// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT        572
#define STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_49_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_49_latin_ext_LINE_SPACING          32

static unsigned int stb__consolas_49_latin_ext_pixels[]={
    0x26213331,0x02800099,0x66644000,0x000001cc,0x00005000,0x00000000,
    0xcb800000,0x0000cccc,0x76c17ba6,0xb300001e,0x000003bf,0x000fbbae,
    0x00000000,0x332e0000,0xcccccccc,0xddd70004,0x53000007,0x332a3997,
    0x640001ab,0xcccccccc,0x5ddd72cc,0x77440000,0xeeeeeeee,0x8000000e,
    0x01deeeeb,0x1f775c00,0x00000000,0x7dcfffee,0x7ec003ff,0xfd100002,
    0x00005fff,0x2007ffb8,0xd88005fa,0x7e4004ff,0x260000cf,0x00002efe,
    0x03dffff7,0x1fff9800,0x0007ffcc,0x7ffffcc0,0x7dc00000,0x0003ffff,
    0xffecb980,0x540001de,0x36002efe,0xffffffff,0xfb8007ff,0x0003ffff,
    0xffffff70,0x3ffffee7,0xff88002f,0xffffffff,0x07fff94f,0x7ffc4000,
    0xffffffff,0x5c000001,0x001effff,0x7ffffdc0,0x50000003,0x5c7fffff,
    0xfff73fff,0x7ffe4007,0x7f440002,0x00000dff,0x5005ffe8,0xe8009fff,
    0xb004ffff,0x000bffff,0x0bffffe6,0xffff7000,0x7fc0000b,0xffeb9bef,
    0xff900007,0x00007fff,0x7fffffdc,0x3200003f,0xffffffff,0xf98000ef,
    0xb001ffff,0xffffffff,0xfb800fff,0x03ffffff,0x3fffa200,0xff73ffff,
    0x01dfffff,0x7ffffc40,0x94ffffff,0x00007fff,0x7fffffc4,0x001fffff,
    0x3ffee000,0xfb80005f,0x03ffffff,0x7fd40000,0x7fdc1eff,0x07fff73f,
    0x07fffee0,0xffff9800,0xf3000003,0x3e6007ff,0xf3004fff,0x801fffff,
    0x1ffffff8,0xffffc800,0x3ee0005f,0x2aaa2fff,0xfff70000,0x05ffffff,
    0x3fff2000,0x700004ff,0xffd3dfff,0xe980007f,0xffefffff,0x4000efff,
    0x04fffffc,0xdddfffb0,0x400ddddd,0xfe9efffb,0xfd0003ff,0x5ddfffff,
    0x3ffffbaa,0x3a2005ff,0xfeeeeeee,0x7fff94ff,0xccc80000,0xffffcccc,
    0xf7000001,0x00007fff,0xfd3dfff7,0x000007ff,0x037fffe6,0x7dcfffee,
    0xffb803ff,0x220001ff,0x0000deed,0x03fff200,0x3ffffa80,0xfffffa80,
    0x7ffcc01f,0xc8002fff,0x005fffff,0x43dfff70,0x0000fff9,0x3ffffff2,
    0x2a00004f,0x002fffff,0x25fffc80,0x003fffe8,0x59ffff70,0x3fff6a21,
    0x3ff6000e,0xfb004fff,0x900003ff,0x7f44bfff,0x7d4003ff,0x1000dfff,
    0x005ffffb,0x53ffea00,0x0003fffc,0x3fffe000,0xfb800001,0x80001eff,
    0x3a25fffc,0x00003fff,0x01ffffcc,0x3ee7fff7,0x7fd403ff,0x000002ff,
    0x7fc00000,0xffc8006f,0x7fcc02ff,0xf8807fff,0x000fffff,0x3fffffa8,
    0x2aaa8800,0x0006ffc8,0x1cefec98,0xffc80000,0xfc80004f,0xfffb04ff,
    0xfff98007,0x7ffd401f,0x3ffee006,0xffb002ff,0xfc80003f,0xfffb04ff,
    0x7fff4007,0xfffb0004,0x3ea0000d,0x7fff94ff,0x7c000000,0x00001fff,
    0x006fffdc,0x27ffe400,0x003fffd8,0x3dfff300,0x73fffb80,0x7c407fff,
    0x20004fff,0x00ceeec8,0x3fe60000,0xffb0004f,0xffc801ff,0xff7002ff,
    0x640009ff,0x00005fff,0x0013ffa0,0x00000000,0x000002a2,0xf8800000,
    0xf9000eff,0x7ec005ff,0x3f6005ff,0x000001ff,0x7fc40000,0xf10000ff,
    0x20000fff,0xff94fffa,0x0000007f,0x000ffffc,0x00000000,0x00000000,
    0x7fff7000,0xd80fffee,0x20005fff,0xfffffffa,0xf9000002,0x740005ff,
    0xca805fff,0x664c001c,0x1a980001,0x3e200000,0x000001ff,0x00000000,
    0x00000000,0x001fffd0,0x4005ffd8,0x7ec001a9,0x000001ff,0x7fcc0000,
    0x7f40005f,0xa80000ff,0xfff94fff,0x40000007,0x0001ffff,0x00000000,
    0x70000000,0xf7007bdb,0x3ffee7ff,0x1ffff503,0x3ffe2000,0x00fffdac,
    0x00000000,0x017fffcc,0x00000000,0x73000000,0x0fff9799,0x00000000,
    0x00000000,0x3ee00000,0xfa8002ff,0x000000ff,0x001fffd8,0x40000000,
    0x0004fffa,0x000fffec,0xca7ffd40,0x00003fff,0x07fffe00,0x00000000,
    0x00000000,0xfffffd10,0x7ffdc01d,0x207fff73,0x0003fffe,0xff90ffee,
    0x00000005,0xdfff9000,0x00000000,0xa8000000,0xfffffffe,0x200005ff,
    0x0000aaa9,0x01555300,0x2aa60000,0x3fe0000a,0x3fe0005f,0x8000003f,
    0x0001fffd,0x54000000,0x40003fff,0x0002fffc,0xf94fffa8,0x000007ff,
    0x00ffffc0,0x00000000,0x00000000,0x3fb3bffa,0x3ffee05f,0x707fff73,
    0x8000dfff,0x7fd41ffc,0x00000003,0xffff8800,0x00000004,0x90000000,
    0xffffffff,0x0007ffff,0x7fffff54,0xffffffff,0xffd5007f,0xffffffff,
    0x200fffff,0xffffffea,0xffffffff,0x00fffb87,0x01bff600,0x3ff60000,
    0xffd0001f,0xffffffff,0x001fffff,0x000fffea,0x005fff90,0x29fff500,
    0x3003fffc,0x003fffff,0x800ffffc,0x003ffff9,0x98ffff90,0x0003ffff,
    0x400ffff9,0x7fec5ffa,0x27fff701,0x7c43fffb,0x40002fff,0xfd10dffa,
    0x3000003f,0x00001555,0x101ffff7,0xf800ffff,0x7ff40fff,0xffffffff,
    0x000fffff,0xffffffd1,0xffffffff,0xffe98009,0xffffffff,0x07ffffff,
    0x7fffff4c,0xffffffff,0x74c07fff,0xffffffff,0xffffffff,0x004ffe87,
    0xf13ffdc0,0xffffffff,0x3f6003ff,0xfd0001ff,0xffffffff,0x01ffffff,
    0x00fffea0,0x05fff900,0x9fff5000,0x200ffff2,0x01fffff9,0x00ffffc0,
    0x00dfffd0,0x213fffa0,0x0006fffe,0x4009fffd,0x7fcc0ffc,0x27fff703,
    0x7dc3fffb,0x880005ff,0xfffefffe,0x3aa00005,0xffffffff,0x07ffffff,
    0x883fffe8,0x7c007fff,0x7ff40fff,0xffffffff,0x800fffff,0xcefffff8,
    0xfffffb11,0x3fe2007f,0xffdeffff,0xffffffff,0x3fffe207,0xffffdeff,
    0x07ffffff,0x3fffffe2,0xffffffde,0x7d47ffff,0x210001ff,0xff10fff9,
    0xffffffff,0x3ff6003f,0xffd0001f,0xffffffff,0x001fffff,0x000fffea,
    0x005fff90,0x29fff500,0x4c03fffc,0x001fffff,0x001ffff8,0x007fffea,
    0x03ffff30,0x003ffff5,0x01ffff98,0xf307ff20,0x3ffee07f,0xe87fff73,
    0x00002fff,0x9fffffb1,0xfd300001,0xffffffff,0xffffffff,0x0dfff700,
    0x800ffff1,0x7f40ffff,0xffffffff,0x00ffffff,0x04ffffc8,0xffffffff,
    0xffffd001,0xffffd305,0x7f405559,0xfe982fff,0x02aacfff,0x20bffffa,
    0xacffffe9,0x837fec2a,0xdbeffec8,0x21fff13f,0xfffffff8,0xb001ffff,
    0x20003fff,0xaaaaaaaa,0xffffbaaa,0x7fff5000,0xfffc8000,0xffa80002,
    0x07fff94f,0x0fffffcc,0x1ffff800,0x27fffc00,0x1bfff200,0x004ffff8,
    0x0037ffe4,0xffb17fea,0x4fffee05,0x3e63fffb,0x00000fff,0x00055d4c,
    0xfffff880,0xfffffdef,0x807fffff,0x440ffff9,0x7c007fff,0x55540fff,
    0xaaaaaaaa,0x400ffffb,0x304ffff8,0xffff9fff,0xffffb809,0x2ffff400,
    0x07fffdc0,0x017fffa0,0x003fffee,0x7c0bfffd,0xfff983ff,0x22ffffff,
    0x2aaa1fff,0xffffaaaa,0x3fffb001,0xf1000000,0x2a001fff,0x40003fff,
    0x0002fffc,0xf94fffa8,0x3fe607ff,0x20001fff,0x4001ffff,0x4007fffc,
    0x3203ffff,0x7c007fff,0xe8003fff,0x6ffecfff,0x5cfffee0,0x3fee3fff,
    0x4400005f,0x00099999,0x2ffffe80,0xcffffe98,0xffd002aa,0x7fff887f,
    0x07fffc00,0xffff1000,0x5fffd801,0x7f5bff20,0x3f600fff,0xff9803ff,
    0x7fec00ff,0xfff9803f,0x7ffec00f,0xffff9803,0x40fff980,0xfffffff9,
    0x3ffe0fff,0x3ffff002,0x07fff600,0x3e200000,0xf7000fff,0xb80005ff,
    0x80003fff,0xff94fffa,0xffff107f,0xff80003f,0x7cc001ff,0xf5002fff,
    0x7cc01fff,0xf5002fff,0x30001fff,0x1dfffffd,0xb9fffdc0,0x3ffa3fff,
    0x6400002f,0x005fffff,0x07fffdc0,0x017fffa0,0x11bfff20,0xf800ffff,
    0x20000fff,0x200ffff8,0x202ffff9,0xfff54ffe,0x7fffc07f,0x5fffd000,
    0x00ffff80,0x805fffd0,0xd000ffff,0xff705fff,0x25fffd0f,0x7f47fff9,
    0xffff003f,0x3fff6003,0x88000001,0x9000ffff,0x80003fff,0x0004fffa,
    0xf94fffa8,0xfff887ff,0xf80001ff,0xe8001fff,0xf9005fff,0xffd00bff,
    0x3ff200bf,0x6dc0005f,0xffb803df,0x27fff73f,0x000ffff8,0x7ffffc00,
    0x7ec0007f,0xff9803ff,0x7cc000ff,0x3fe20fff,0x7ffc007f,0x3e20000f,
    0x3f600fff,0x3fe207ff,0x17fffa1f,0x003fffc4,0x4407fffb,0x36007fff,
    0x3e203fff,0x3f6007ff,0x5ffd83ff,0x3a17ffdc,0x1fff46ff,0x01ffff80,
    0x003fffb0,0xfff10000,0xfff1001f,0xf880001f,0x40000fff,0xff94fffa,
    0x7fff447f,0xff00001f,0xf70003ff,0xff001fff,0xff7005ff,0xfff001ff,
    0x0000005f,0x2e7fff70,0xfff53fff,0xf980000f,0x02ffffff,0x03fffe00,
    0x017fff40,0x10ffffc0,0xf800ffff,0x20000fff,0x200ffff8,0x2e04fffe,
    0x7ffdc7ff,0x0ffff307,0x017ffec0,0x400ffff3,0x2602fffd,0x36007fff,
    0xfff82fff,0x7c37ff43,0x27fec5ff,0x01ffff80,0x003fffb0,0xfff10000,
    0xffd8801f,0xfb00004f,0x40003bff,0xff94fffa,0x3fffa27f,0x3e00001f,
    0x88001fff,0x5404ffff,0xf1007fff,0xfa809fff,0x4c0007ff,0x4009aaaa,
    0xff73fffb,0x1bffea7f,0xfff90000,0x000bffff,0x801fffe2,0x8003fffd,
    0x3e22ffff,0x7fc007ff,0x220000ff,0xf100ffff,0x7ec03fff,0x7fffd45f,
    0x1ffff881,0x01ffff00,0x00ffffc4,0x200ffff8,0x001ffff8,0xf881ffff,
    0x3ffe61ff,0x227ffc43,0xff003ffe,0x3f6003ff,0x000001ff,0x40ffff88,
    0xffffdcba,0xd100000e,0x579bffff,0xa7ffd400,0xfe8bfffc,0x00001fff,
    0x000ffffc,0x407fffc8,0x2004fffd,0x6c07fffc,0x54004fff,0xffffffec,
    0x33103fff,0x4fffee13,0x0005fffb,0x7dffffc0,0xf30007ff,0x7ec00fff,
    0xfe8002ff,0x3ffe23ff,0x7fffc007,0x3fe20000,0xfff500ff,0x3ffe201f,
    0x0ffffcc2,0x805fffe8,0xe807fffb,0xfb805fff,0xffe807ff,0xfffb805f,
    0x20fffa87,0x7d41fffb,0x17ff42ff,0x01ffff80,0x003fffb0,0xfff10000,
    0x7fffc41f,0x00004eff,0xfffffc88,0xff5000ff,0x33fff29f,0x001ffffe,
    0x1ffff800,0xffff3000,0x3fffe205,0x3ffe6001,0xffff102f,0x7fff4003,
    0xffffffff,0xf7002fff,0x3fff27ff,0x3e600004,0x5ffff5ff,0xffff1000,
    0x3fffe003,0xfffd8000,0x01fffe24,0x001ffff0,0x07fffc40,0x207fffb8,
    0x7c40fffa,0xff502fff,0x7fcc07ff,0xffa804ff,0x3fe603ff,0xffa804ff,
    0x3fe603ff,0x7ffa84ff,0x7dc3ffec,0x17ffc1ff,0x01ffff80,0x003fffb0,
    0xfff10000,0x7fffc41f,0x00000bef,0xfffff710,0x3fea001f,0xfbfff94f,
    0x0001dfff,0x03ffff00,0x2ffff400,0x006fffa8,0x505fffe8,0xe800dfff,
    0xffffffff,0x1fffffff,0xb3fffb80,0x00007fff,0xfd9fffe4,0xfd0004ff,
    0xff700bff,0x3f2000ff,0x3ffe25ff,0x7fffc007,0x3fe20000,0xfff700ff,
    0x837fe40f,0x3603ffff,0x88adffff,0x06ffffc9,0x37ffff60,0xfffc988a,
    0x3ff6006f,0xc988adff,0xf706ffff,0x86fff8ff,0x7fc0fffc,0xffff001f,
    0x3fff6003,0x88000001,0x3a20ffff,0x3fffffff,0x7fd40000,0x00efffff,
    0x329fff50,0xfff9bfff,0xf800006f,0x20001fff,0xd80ffffb,0xb8003fff,
    0xfd80ffff,0x7f4003ff,0x9899abdf,0x0effffea,0xd9fffdc0,0x00003fff,
    0x7d43fffe,0xf50007ff,0x7cc07fff,0x70004fff,0x7fc4bfff,0x7ffc007f,
    0x3e20000f,0xff900fff,0x1fffc0df,0x203ffff8,0xfffffffc,0x0fffffff,
    0x3ffff200,0xffffffff,0x3f2000ff,0xffffffff,0x700fffff,0x7ffc4dff,
    0xf87ffd85,0xfff001ff,0x3ff6003f,0x8000001f,0x100ffff8,0x07ffffb3,
    0x3ffea000,0xf50001bf,0x3fff29ff,0x0bffff53,0xffff8000,0x3fe20001,
    0x7ffc43ff,0xff88000f,0x7ffc43ff,0x0564000f,0x3ffffb80,0xd9fffdc0,
    0x00004fff,0x7c4dfff3,0xb0002fff,0x115bffff,0x0dffff93,0x27ffe400,
    0x800ffff1,0x0000ffff,0x403fffe2,0xf306fffc,0x3ffa03ff,0xffff503f,
    0xffffffff,0x7d40019f,0xffffffff,0x000cffff,0x3fffffea,0xcfffffff,
    0x897ff200,0xffe84fff,0x007ffcc6,0x001ffff8,0x0003fffb,0xffff1000,
    0xdfff7001,0x3ffa0000,0x7d40001f,0x7fff94ff,0x02ffffdc,0x3ffff000,
    0xfffc8000,0x02fffdc6,0x8dfff900,0x0005fffb,0x9fffb000,0x93fffb80,
    0x0000bfff,0xfb0ffff2,0x320009ff,0xffffffff,0x00ffffff,0x8ffff600,
    0x4007fff8,0x0000ffff,0x403fffe2,0xf906fffc,0x7fffc0df,0x8efff883,
    0xcdefffdb,0x7ffc4001,0xefffdb8e,0x7c4001cd,0xffdb8eff,0xc801cdef,
    0x3ffe65ff,0x544fff83,0x3fe007ff,0xffb001ff,0x0000003f,0x001ffff1,
    0x0007fffa,0x00bfff30,0x29fff500,0x7e43fffc,0x00004fff,0x0003ffff,
    0x21ffff98,0x0002fffe,0xe87fffe6,0x00002fff,0x0dfff500,0xf73fffb8,
    0x20000bff,0x7dc1ffff,0xfa8007ff,0xffffffff,0x000cffff,0x117fff40,
    0xf800ffff,0x20000fff,0x700ffff8,0x3fa0ffff,0x3fffe04f,0x02fffa83,
    0xfff50000,0x2a000005,0x00002fff,0xff993ff6,0x1fffcc4f,0xf8013ff2,
    0xfb001fff,0x000003ff,0x01ffff10,0x00bfff20,0x07fff500,0x9fff5000,
    0x360ffff2,0x0003ffff,0x001ffff8,0x34fffe80,0x0000ffff,0x3e69fffd,
    0x000007ff,0x01fffe60,0x3ea7fff7,0x980006ff,0xff886fff,0x3e2001ff,
    0xffdb8eff,0x0001cdef,0x445ffff0,0x7c007fff,0x20000fff,0x500ffff8,
    0xf881ffff,0xfff102ff,0x3fff905f,0x3f200000,0x000001ff,0x0003fff9,
    0xf12ffec0,0xfffb89ff,0x0017ff43,0x2003ffff,0x0001fffd,0xffff8800,
    0x7fff7000,0xfffb8000,0xffa80002,0x07fff94f,0x07ffffd1,0x1ffff800,
    0xfffb8000,0x009fff96,0x2dfff700,0x0004fffc,0x3ffe2000,0x9fffdc07,
    0x0007fff9,0xd04fffc8,0x54009fff,0x00002fff,0x0ffffc00,0x800ffff1,
    0x0000ffff,0x403fffe2,0x5c1ffffa,0x3fe607ff,0xfffd81ff,0xfb000004,
    0x000009ff,0x0013fff6,0x225ffc80,0x3fe25fff,0x1ffe63ff,0x03ffff00,
    0x007fff60,0x3fe20000,0xff5000ff,0xfc80007f,0xa80002ff,0xfff94fff,
    0x3fffe207,0x3fe0002f,0x880001ff,0xfff9ffff,0xf880001f,0xffff9fff,
    0x31000001,0xffff5333,0x7dc26662,0xffff13ff,0xfff80005,0xffff701f,
    0x0fffe400,0xf5000000,0xfff88dff,0x7fffc007,0x3fe20000,0xfff300ff,
    0x05ffd85f,0x641fffea,0x99bdffff,0x32000099,0x99bdffff,0x32000099,
    0x99bdffff,0x7dc00099,0x877ffc6f,0x364ffffd,0x7fc005ff,0xffb001ff,
    0x0000003f,0x001ffff1,0x000fffea,0x005fff90,0x29fff500,0x2603fffc,
    0x001fffff,0x003ffff0,0x3bfff600,0x00006fff,0x3ffbfff6,0x9300006f,
    0xffffffdb,0x3eefffff,0x7fff73ff,0x0027ffec,0x40ffff30,0x001ffff9,
    0x0009fffb,0x7ffe4000,0x03fffc44,0x003fffe0,0x0ffff880,0xf0ffffe0,
    0x7fec05ff,0xffff306f,0xffffffff,0x30059ddf,0xffffffff,0x9ddfffff,
    0xffff3005,0xffffffff,0x2a059ddf,0x7ffe47ff,0xfffaffee,0x000fffed,
    0x800ffffc,0x0001fffd,0xffff8800,0x7fff5000,0xfffc8000,0xffa80002,
    0x07fff94f,0x1fffffa8,0xaaaaaaa8,0xaabffffa,0x2000aaaa,0xfffffff9,
    0x3e600003,0x03ffffff,0x7fff5400,0xffffffff,0xfff77fff,0xa8fffee7,
    0x20007fff,0x7404fffc,0xf9004fff,0x3337bfff,0xf8000013,0x7fc41fff,
    0x7ffc007f,0x3e20000f,0x3f600fff,0x3ffea6ff,0x7ffff100,0x7ffffdc0,
    0xffffffff,0x5c02efff,0xffffffff,0xffffffff,0x7ffdc02e,0xffffffff,
    0x42efffff,0x7fcc7ffa,0xffb4ffff,0x5503ffff,0xff555555,0x555557ff,
    0x0fffec15,0x7c400000,0xf5000fff,0xc80007ff,0x80002fff,0xff94fffa,
    0xfff7007f,0xfffe81ff,0xffffffff,0x2fffffff,0x7ffff400,0x400000ff,
    0x0ffffffe,0x3fff2000,0xffffffff,0xf77fffff,0x3ffee7ff,0x0bfffe23,
    0x17fffc00,0x01ffff20,0x7fffffcc,0xefffffff,0xfa8002ce,0xfff887ff,
    0x7fffc007,0x3fe20000,0x3fee00ff,0x0dff90ff,0x007fffdc,0x3ffffff6,
    0xffffffff,0x7ec02fff,0xffffffff,0xffffffff,0x7fffec02,0xffffffff,
    0x262fffff,0x7fd40fff,0x3ffa65ff,0xfffd02ef,0xffffffff,0x5fffffff,
    0x000fffec,0x7ffc4000,0xfff5000f,0xffc80007,0xfa80002f,0x7fff94ff,
    0x3ffff200,0x3ffffa0e,0xffffffff,0x02ffffff,0x7ffffdc0,0xfb800003,
    0x0003ffff,0x2fffffea,0xffff1019,0x7dcfffee,0x7ffec3ff,0xfff98004,
    0xffff9807,0xffff7001,0xffffffff,0x005dffff,0x4427ffe4,0x7c007fff,
    0x20000fff,0x200ffff8,0xff5ffff8,0x3ffa207f,0x7ffe403f,0xccbaaaae,
    0xfffffffd,0x5dfff901,0xfb997555,0x03ffffff,0x2abbfff2,0xffdccbaa,
    0xf11fffff,0x155103ff,0xfd002a20,0xffffffff,0xffffffff,0x0fffec5f,
    0x7c400000,0xf5000fff,0xc80007ff,0x80002fff,0xff94fffa,0x7fec007f,
    0xfffd0eff,0xffffffff,0x5fffffff,0xffff8800,0x8800000f,0x000fffff,
    0x1bffff10,0x2ffff100,0xff73fffb,0xffffa87f,0x7ffe4000,0x9ffff005,
    0x7fffec00,0xffffffff,0x802fffff,0x881ffff8,0x7c007fff,0x20000fff,
    0x400ffff8,0xffcffffc,0xfffe881f,0x77ffe407,0xfff93000,0xdfff907f,
    0x3ff26001,0xfffc83ff,0xff93000e,0x27ffc7ff,0x3fa00000,0xffffffff,
    0xffffffff,0x07fff62f,0x3e600000,0x3ea007ff,0x640003ff,0x80002fff,
    0x0004fffa,0x00000000,0x7fffc400,0xf1000004,0x40009fff,0x000ffffa,
    0x3eeffff1,0x7fff73ff,0x00bfffd0,0x002ffff8,0x200dfff9,0xaaaefffc,
    0xfffdccba,0x6c01ffff,0x00004fff,0x007fff88,0x03fffcc0,0x7fffffc4,
    0xfffd887f,0x3ffe203f,0xffe8001f,0x7fffc45f,0xfffe8001,0x0ffffc45,
    0x2ffff400,0x0000fffb,0x7ec00000,0x3fff60ef,0xa8000001,0x2a005fff,
    0x40003fff,0x0002fffc,0x004fffa8,0x00000000,0x7ffe4000,0x9000000f,
    0x0001ffff,0x002fffe4,0x3eeffff1,0x7fff73ff,0x05ffff30,0x37fffe60,
    0xcccccccc,0x01ffffdc,0x0077ffe4,0x3ffffc98,0x03fffea0,0x3fe60000,
    0x7d40006f,0xff7005ff,0x735dffff,0x0dfffffd,0x006fffa8,0xa8bfff90,
    0x90006fff,0xffa8bfff,0xff90006f,0x17ffccbf,0x00000000,0x3607ffec,
    0x00001fff,0x04fffb80,0x013ffea0,0x03fff900,0x9fff5000,0x00666600,
    0x03333000,0x7ffc4000,0x1000004f,0x0009ffff,0x004fffd8,0x7ddfffee,
    0x7fff73ff,0x01bfff60,0x7fffffe4,0xffffffff,0x204fffff,0x001ffff8,
    0x205fffe8,0x0003fffe,0x0bfff500,0x4fffb800,0x3fffee00,0xffffffff,
    0xffc804ff,0xffb0005f,0x5fffc89f,0x9fffb000,0x005fffc8,0xe89fffb0,
    0x000005ff,0x7ffd4000,0x01fffd82,0xffe80000,0x3fe6003f,0x7ec0005f,
    0xa80000ff,0xf9804fff,0x200005ff,0x0005fff9,0x1ffffd10,0xfd100000,
    0x80001fff,0x8805fffc,0xf77ffffd,0x3ffee7ff,0x7ffff103,0xffffff00,
    0xffffffff,0x0dffffff,0x0037ffd4,0x705fffc8,0x0000dfff,0x027fff40,
    0x0ffffa00,0xfffff500,0x5fffffff,0x1ffff200,0x3fffe600,0x03fffe42,
    0x17fffcc0,0x001ffff2,0x70bfffe6,0x00003fff,0x7ff40000,0x03fffb06,
    0xffb80000,0x3e2000ff,0x7c0007ff,0x500007ff,0xf7009fff,0x400007ff,
    0x0003fffb,0x05ffffb0,0x3ff60000,0xb80002ff,0x2a01ffff,0x77ffffff,
    0x3fee7fff,0x3ffee03f,0x3ffe601f,0xffffffff,0xffffffff,0xfff901ff,
    0x3ff6000b,0xffff984f,0xf5000002,0x40003fff,0x000ffffb,0xffffffd8,
    0x2000cdff,0x00dffffa,0x0dffff50,0x01bffff5,0x1bfffea0,0x037fffea,
    0x37fffd40,0x00ffffc4,0x44000000,0xffb05fff,0x37d0003f,0x3ffffc80,
    0x4ffff800,0xdfff9000,0x3fea0000,0xfffd804f,0x3f600000,0x540000ff,
    0x004ffffe,0xfffea800,0xf300004f,0x3137ffff,0xffffffd7,0x4fffeeff,
    0x6c03fffb,0xf901ffff,0x33333bff,0x33333333,0x3209ffff,0x98007fff,
    0x7c42ffff,0x50004fff,0x7fffdc01,0x6401be84,0x8003ffff,0xaaabfff8,
    0x3fa20000,0xaabdffff,0xffffcba9,0xffe880ef,0x9aabdfff,0xfffffcba,
    0xfffe880e,0xa9aabdff,0xefffffcb,0x3ffff900,0x00072600,0x1ffff300,
    0x003fffb0,0x99bfffd0,0xdfffffb9,0x3ffee000,0x7fe4004f,0x500003ff,
    0xfd009fff,0xe80000df,0x75c006ff,0xffffffee,0xeeb80006,0x6ffffffe,
    0x7fe40000,0xffffffff,0x7ffe9eff,0x3ee7fff7,0x7f4403ff,0xfff80eff,
    0xffb0003f,0x3ffea0df,0xff5000df,0xffe88dff,0x3fa0005f,0xffedccde,
    0xffe80fff,0xffdcccdf,0x50006fff,0x00001fff,0xfffffe88,0xffffffff,
    0x2201efff,0xfffffffe,0xffffffff,0x3fa201ef,0xffffffff,0xefffffff,
    0x7fffe401,0xd75311bd,0x000003ff,0x79bfffff,0x3337fff6,0xfd04cccc,
    0xffffffff,0x0001dfff,0x6ffffff4,0xfb9951cc,0x800dffff,0xdccccccc,
    0x7c404fff,0x200004ff,0x4004fff8,0xfffffffc,0xf900004f,0x9fffffff,
    0xfb100000,0xffffffff,0xbbffec9f,0xfff73fff,0xfffd1007,0x0ffff98d,
    0xffff5000,0xffffd103,0x753557bf,0x1dfffff9,0x005fffd8,0x7fffff40,
    0x01ffffff,0xfffffffd,0x01dfffff,0x017ff200,0x7fe44000,0xffffffff,
    0x1002efff,0xfffffff9,0x5dffffff,0x3fff2200,0xffffffff,0x2e002eff,
    0xffffffff,0x01ffffff,0xfffa8000,0xfffb4fff,0xffffffff,0x3fffffa0,
    0x03ffffff,0xffff9800,0xff73ffff,0x03ffffff,0x7ffffc40,0x04ffffff,
    0x000fffd4,0x03fff500,0xfffffc80,0x200001ef,0xeffffffc,0x54000001,
    0xdefffffe,0xfbbffec2,0x7fff73ff,0x3fffe600,0x017fff23,0x3ffff880,
    0xfffffd10,0xffffffff,0xfb83dfff,0x40000eff,0xfffffffe,0x3fa00dff,
    0xffffffff,0x7c0003ff,0x000003ff,0xffeedca8,0x0002bcde,0x3ffbb72a,
    0x0002bcde,0x3ffbb72a,0x0002bcde,0xfffffff5,0x005bffff,0x7ff54000,
    0xffffb4ff,0x0fffffff,0x7fff6dcc,0x00000acd,0x3fffff22,0xfffff73f,
    0xff10009f,0xffffffff,0x5eeb809f,0x775c0000,0xeffb8005,0x800002bc,
    0x02bceffb,0xa9800000,0x7fdc000a,0x07fff73f,0x3a2ffcc0,0x40003fff,
    0x2206fffd,0xfffffffc,0x2effffff,0x001dfd10,0xffdb7300,0x260037bd,
    0xcdfffedb,0x7cc0000a,0x000001ff,0x00000000,0x00000000,0x65440000,
    0x00bcdefd,0x4cc00000,0x3bbbbb20,0x006eeeee,0x10000000,0x2a5dd975,
    0x000abcee,0xdddddd10,0x007ddddd,0x00000000,0x00000000,0x00000000,
    0xffb80000,0x07fff73f,0x7fcc5a80,0x540000ff,0xa801ffff,0xdeffeedc,
    0x1d8802bc,0x00000000,0x20000000,0x00001998,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dc00000,0x7fff73ff,0xfff90000,0xff10000d,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff700000,0x0fffee7f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff70000,0x00fffee7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5ddd5000,0x000bbbaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0072a000,0xee880593,0x0000005e,
    0x00379730,0x00199998,0x00019988,0x00055540,0x003eed80,0xccca9880,
    0x33101abc,0x26200013,0x02000099,0x00100000,0xddd50000,0xbcb98000,
    0x88000001,0x01abccba,0x0006e600,0x26666666,0x99999999,0x09999999,
    0x4cccc400,0x99980009,0x00999999,0x00666600,0x81333310,0x00099999,
    0x3310ccc4,0x33333333,0x13333333,0x33333330,0x33333333,0xffd80133,
    0xbfff702f,0x03fffc40,0x7e400000,0x1004ffff,0x007fffff,0x000fffe8,
    0x01fff300,0x0fffe000,0xffffb800,0xffffffff,0x037ffd45,0x02fffe80,
    0x04ffd880,0x7fec4000,0x32000004,0x320007ff,0x004fffff,0x7ff64400,
    0xffffffff,0xfff9002c,0xffff0005,0xffffffff,0xffffffff,0xfc800dff,
    0x8005ffff,0xffffffff,0x003defff,0x400ffff3,0x446ffff8,0x005fffff,
    0xfe87fff4,0xffffffff,0xffffffff,0x7ffffc46,0xffffffff,0x2604ffff,
    0xff06ffff,0x3e201fff,0x000007ff,0x7f7ffe40,0xff8803ff,0x2000ffff,
    0x0000fffe,0x000dff90,0x00bffe20,0x3ffffaa0,0xffffffff,0x37ffd46f,
    0x2fffe800,0xffffd800,0x3f600004,0x00004fff,0x000dffb0,0x3ffbfff2,
    0xd300003f,0xffffffff,0x00ffffff,0x000bfff6,0x3ffffffe,0xffffffff,
    0x6fffffff,0x7ffffc00,0xfff8007f,0xffffffff,0x4c02ffff,0xd1007fff,
    0xf881dfff,0x000fffff,0x7f43fffa,0xffffffff,0xffffffff,0x7ffffc46,
    0xffffffff,0x2604ffff,0xff07ffff,0x3e203fff,0x000007ff,0x443bfe20,
    0xff8807fe,0x2003ffff,0x0000fffe,0x0009ffd0,0x007ffe60,0xffffff90,
    0xffffffff,0x6fffa8df,0x5fffd000,0xfffff000,0x7fc0000d,0x00006fff,
    0x000bffd0,0x3a21dff1,0xfc80007f,0xffffffff,0x07ffffff,0x005fffb0,
    0xfffffff0,0xffffffff,0xdfffffff,0x7fffcc00,0x7c002fff,0xffffffff,
    0x5fffffff,0x01fffe60,0x40ffffec,0x4ffffff8,0x43fffa00,0xfffffffe,
    0xffffffff,0x7ffc46ff,0xffffffff,0x04ffffff,0xc81ffff4,0x3e206fff,
    0x000007ff,0xf70ffe60,0xfff8801f,0xd000ffff,0x00001fff,0x0003fff1,
    0x003ffee0,0xcfffffa8,0x32a66099,0x37ffd46d,0x2fffe800,0xfffff800,
    0x3fe00006,0x00006fff,0x0007fff0,0xffb87ff3,0xffd30000,0x357bffff,
    0x0fffb753,0x00bfff60,0x2aaaaaa0,0xdfffeaaa,0xaaaaaaaa,0x3fff2002,
    0x4005ffff,0xaaacffff,0xffffecba,0xffff302f,0x5ffff700,0x3ffffe20,
    0xffd000ff,0x2aaaaa1f,0xadfffeaa,0x442aaaaa,0xaaabffff,0xaaaaaaaa,
    0x1ee4401a,0x8802f6e0,0x00007fff,0x90ffe600,0xff8801ff,0x004fffff,
    0x8001fffd,0xffcbccb9,0xd9710007,0xdfffffff,0x3ffe2059,0x540000ef,
    0xd0006fff,0x90005fff,0x0005ffff,0x17fffe40,0x7fc40000,0xff98002f,
    0x0007fe43,0x2fffffe8,0x200d7100,0x0002fffd,0x09fff900,0xffff8000,
    0x4007fffb,0x5c02ffff,0x980fffff,0x7cc07fff,0x3e203fff,0x04ffffff,
    0x001fffd0,0x4009fff9,0x0007fff8,0x20000000,0x0007fff8,0x8fffc000,
    0xf8807ffa,0x0ffffeff,0x00fffe80,0xfffffea8,0x4005ffff,0xffffffc8,
    0x6fffffff,0x01ffff70,0xdfff5000,0x3fffa000,0x5bd70002,0xbd700000,
    0x26000005,0xf0001fff,0x1ffea3ff,0x7fffd400,0x2000001e,0x0002fffd,
    0x09fff900,0x7ffcc000,0x005ffff5,0x4017fffc,0x982ffffb,0x3e207fff,
    0x7c405fff,0x0ffffeff,0x00fffe80,0x004fffc8,0x001fffe2,0x80000000,
    0x0007fff8,0x7ffdc000,0x8802ffff,0xfffcefff,0x0fffe804,0x7ffffe40,
    0x3fffffff,0xfffff500,0xffffffff,0x3ff20dff,0xf500005f,0x3a000dff,
    0x00002fff,0x00000000,0x3ffea000,0xfff70000,0x0005ffff,0x01dffff1,
    0xffd80000,0x9000002f,0x00009fff,0xfd9fffe4,0x3fe004ff,0xfff002ff,
    0xffff307f,0x037fff40,0x7e77ffc4,0xffe803ff,0xfffc800f,0x3ffe2004,
    0x00000007,0x3ffe2000,0x80000007,0x03fffffb,0xf1dfff10,0xfe803fff,
    0xffd100ff,0xffffffff,0x9809ffff,0xbcefffff,0xfeccdfff,0x09fffd06,
    0x3ffea000,0xfffd0006,0x00000005,0x80000000,0xcfffeca8,0xffb8000a,
    0x90003fff,0x0003ffff,0x3ffffee0,0xffffffff,0xffffffff,0x3fff2000,
    0x3fe00004,0xffff50ff,0x17fffc00,0x85fffe80,0xf907fff9,0xf1001fff,
    0xffff3dff,0x01fffd00,0x009fff90,0x003fffc4,0x00000000,0x440ffff1,
    0x400000aa,0x2000aaa8,0xff96fff8,0xfffe80bf,0xfffff880,0xfffb11ce,
    0x3a207fff,0x7fc2efff,0xffd0182f,0x2a0000df,0xd0006fff,0x20005fff,
    0x0aaccba8,0xcba88000,0xc8001abc,0xffffffff,0x88004fff,0x10000aaa,
    0x000bffff,0x7ffffdc0,0xffffffff,0xffffffff,0x3fff2000,0xff300004,
    0x7fffc4df,0x5ffff002,0x17fff600,0x2e1fffe6,0x1001ffff,0x3ffadfff,
    0x7fff403f,0x4fffc800,0x1fffe200,0x3ffe6000,0xff90003f,0x3fffc4ff,
    0x3ffffb2a,0x9998804e,0x33310000,0x45bffe21,0x3a01ffff,0xffc80fff,
    0xffff04ff,0xf701ffff,0xff981fff,0x3ff2001f,0xa80000ff,0xd0006fff,
    0x5c005fff,0xfffffffd,0x1001beff,0xffffffd9,0x8059ffff,0xffffffe9,
    0x05ffffff,0x4ccccc40,0xfffb8000,0x2e00001f,0xffffffff,0xffffffff,
    0x000fffff,0x0013fff2,0x21fffe40,0xf004fffd,0x3a005fff,0xff983fff,
    0x7fffcc7f,0x3ffe2002,0x80dfff56,0xc800fffe,0x22004fff,0x00007fff,
    0x000dfffd,0xf893fffa,0xfffb16ff,0x0bffffff,0x006fffa8,0x225fffd0,
    0x3ff26fff,0x3fffa05f,0x27fffc40,0xffcfff98,0xfffd84ff,0x00fffa84,
    0x3ffffea0,0x7fd40001,0xffd0006f,0xffd1005f,0xffffffff,0xd300dfff,
    0xffffffff,0x40ffffff,0xeffffffb,0x5fffffff,0x7fffe400,0xffc8005f,
    0x4c00005f,0xfeaaaaaa,0xaaaaacff,0x000aaaaa,0x0013fff2,0x20ffffc0,
    0xf007fffb,0xf1005fff,0xff305fff,0x7fff44ff,0x7ffc4004,0x80bfffe6,
    0xc800fffe,0x22004fff,0x00007fff,0x003ffff5,0x21ffff98,0xffd6fff8,
    0xffffffff,0x3fea01bf,0xffd0006f,0x9bffe25f,0xd01ffff8,0xffd81fff,
    0x5bff205f,0x7c0ffffe,0xffb82fff,0x7ff44007,0x20003fff,0x0006fffa,
    0xa805fffd,0xffffffff,0x6fffffff,0x7ffffe40,0xffffffff,0xfff507ff,
    0x3ffe39ff,0x4005da8b,0x07ffffff,0x04fffd80,0x3f600000,0x000002ff,
    0x0009fff9,0x10dfff30,0xf003ffff,0xfd005fff,0x3fe60dff,0x17fff67f,
    0x9bffe200,0x3a06fffc,0xfc800fff,0x3e2004ff,0x200007ff,0x4004ffff,
    0x7c46fffc,0xffffdeff,0xfffeb99b,0xdfff503f,0x3fffa000,0xc8dfff12,
    0xffd06fff,0x7fffcc1f,0x553ffa02,0x7fc3ffff,0x6ffc85ff,0xffff8800,
    0x4000bfff,0x0006fffa,0x6405fffd,0xbdffffff,0xffdba999,0xffffd306,
    0x53357bff,0x3a0fffb7,0x3e21ffff,0x260002ff,0x2fffffff,0x1ffff400,
    0xfb000000,0x000005ff,0x0013fff2,0x413fff20,0xf804fffe,0x36602fff,
    0xf302ffff,0x3fff2fff,0xfff10006,0x0ffffc4d,0x800fffe8,0x2004fffc,
    0x0007fff8,0x01ffff20,0x887ffff0,0x4fffffff,0x0dfffd10,0x001bffea,
    0xf897fff4,0x7ffc46ff,0x0fffe82f,0x881ffff6,0x3ffa1fff,0x7fffec5f,
    0x002ffec0,0xffffff98,0xf5001cff,0x3a000dff,0xff502fff,0x22009fff,
    0xffffd05b,0x1ae2005f,0x307ffff2,0x40003fff,0xfffffffc,0x3ffe2005,
    0x2aaa201f,0x0aaaaaaa,0x02fffd80,0xfff90000,0xfff00009,0x3ffee03f,
    0xcffff807,0xffdcaaaa,0x3e604fff,0xffffafff,0xfff10000,0x05fffc8d,
    0x9001fffd,0x44009fff,0xffffffff,0xffffffff,0x5ffff307,0x3fffea00,
    0x7ffffc40,0x7ffc403f,0x6fffa82f,0x5fffd000,0x321bffe2,0xffe86fff,
    0x13fffa0f,0x7dc7ffb8,0x7ffdc7ff,0x13ffa0df,0xfffd8800,0x02efffff,
    0x0037ffd4,0xd02fffe8,0x0005ffff,0x3bfffea0,0xff880001,0xfffa84ff,
    0x3ffe0000,0x007fffbf,0x803fffe6,0xfffffffa,0xfd801fff,0x000002ff,
    0x0009fff9,0x207fff98,0x401ffff9,0xffffffff,0x3fffffff,0x7ffffcc0,
    0x20002fff,0x7c46fff8,0xffe81fff,0xfffc800f,0x3ffe2004,0xffffffff,
    0x207fffff,0x9005fffe,0xff10bfff,0x36007fff,0xffa85fff,0xffd0006f,
    0x1bffe25f,0xd0bfffe2,0x3fe21fff,0x3ff601ff,0x0ffffd45,0x7ffffff1,
    0x0000fffe,0x3fffff66,0xf501efff,0x3a000dff,0xffb82fff,0x100001ff,
    0x001dffff,0x3fffea00,0x007ffc80,0x7d7ffe60,0xf5002fff,0xffa80fff,
    0xffffffff,0x2fffd801,0xff900000,0xfc80009f,0x7ff404ff,0x7fffc04f,
    0xffffffff,0xff9800be,0x06ffffff,0x1bffe200,0x3a17fff6,0xfc800fff,
    0x3e2004ff,0xffffffff,0x7fffffff,0x03fffee0,0x20bfffe0,0x004ffff8,
    0x2a1bffee,0xd0006fff,0x3fe25fff,0xdfff706f,0xf50fffe8,0x3e201fff,
    0x7ffcc2ff,0x7fffd41f,0x02fffeff,0x3ff22000,0x84ffffff,0x0006fffa,
    0xf885fffd,0x00005fff,0x007ffff2,0x5fffb800,0x000dffb0,0xfd9fffe4,
    0xff3004ff,0x7fd401ff,0xffffffff,0x2fffd801,0xff900000,0xff80009f,
    0x7fe402ff,0x7fffc07f,0xffffffff,0x3ffe6004,0x04ffffaf,0x0dfff100,
    0xe81ffff3,0xfc800fff,0x3e2004ff,0xcccccfff,0x4ccccccc,0x13fffe20,
    0x20ffff50,0x4007fff8,0xfa87fff8,0xfd0006ff,0x3ffe25ff,0x7ffff106,
    0xfb87fff4,0x3fea07ff,0x7fffc40f,0xfffffb82,0x0002ffff,0xffffd700,
    0xfffa8bff,0xfffd0006,0x1ffffc85,0xfff10000,0xd80000bf,0xffd04fff,
    0x7ffc000b,0x0ffff50f,0x07fffe20,0x0ffffc00,0x017ffec0,0xfffc8000,
    0x3fe60004,0xfff9807f,0x3fffe01f,0xffff7312,0xfff3001d,0x0bffff2f,
    0x1bffe200,0x3a27ffec,0xfc800fff,0x3e2004ff,0x800007ff,0x6c07fffc,
    0xff104fff,0xff8800ff,0x7ffd40ff,0xfffd0006,0x81bffe25,0x3fa7fffb,
    0xffff70ff,0xf837fe40,0xfb103fff,0xbfffffff,0x2a000005,0x23fffffe,
    0x0006fffa,0xfe85fffd,0x200005ff,0x001ffffb,0x1ffff400,0x0004fff8,
    0x7c4dfff3,0xff002fff,0x3e0005ff,0xfd801fff,0x000002ff,0x0009fff9,
    0x802fffe4,0x3e04ffff,0xfe882fff,0xff9805ff,0x3ffffa7f,0x7ffc4001,
    0x1ffff306,0x4007fff4,0x2004fffc,0x0007fff8,0x2ffff980,0x03ffff10,
    0x001fffe2,0xf507fffe,0x3a000dff,0xfff12fff,0x3ffff80d,0x3f21fffd,
    0x3ffe06ff,0x07ffff03,0xfffffd98,0x0001efff,0xfffff900,0x01bffea1,
    0x217fff40,0x0002ffff,0x017fff20,0x3fffe000,0x03fff882,0x87fff900,
    0xd004fffd,0x20007fff,0xd801ffff,0x00002fff,0x009fff90,0x017fffc0,
    0x206fffc8,0xf302ffff,0xf9805fff,0x3ffe27ff,0x3e2000ef,0x3ffa06ff,
    0x03fffa4f,0x013fff20,0x007fff88,0xbfffd000,0x81bffea0,0x8007fff8,
    0x7d41ffff,0xfd0006ff,0x3ffe25ff,0xb7ffdc06,0xff90fffe,0x3ffe60df,
    0x07fffd01,0x3ffffa20,0x000dffff,0xffffb800,0x00dfff52,0x887fffe0,
    0x0001ffff,0x013fff60,0x3fffa000,0x01fff983,0x83ffff00,0xb007fffb,
    0x20009fff,0xd801ffff,0x00002fff,0x009fff90,0x37fffe60,0xcccccccc,
    0x01ffffdc,0x6405ffff,0x2600ffff,0x7fd47fff,0x3e2005ff,0x3fea06ff,
    0x03fffa7f,0x013fff20,0x007fff88,0xffff7000,0x07fffb01,0x003fffc4,
    0x2a0ffffc,0xd0006fff,0x3fe25fff,0xfffe806f,0xf90fffea,0x3ff20dff,
    0x0ffffe06,0xfffffe80,0x0006ffff,0x29ffff00,0x0007fff9,0x7d41ffff,
    0x00000fff,0x000ffffa,0x13fff600,0x0003ffea,0x221bffe6,0xc801ffff,
    0x8000ffff,0xd801ffff,0x00002fff,0x009fff90,0x3fffff20,0xffffffff,
    0x04ffffff,0x4405ffff,0x2604ffff,0xffc87fff,0xff1004ff,0xfffe80df,
    0x001fffd3,0x4009fff9,0x0007fff8,0x7ffff100,0x00ffff88,0x001fffe2,
    0xf50ffff1,0x3a000dff,0xfff12fff,0xdfff500d,0x3ee1fffd,0x9ffd07ff,
    0x01ffffc0,0xf937fff0,0x000bffff,0x2bfffb00,0x000ffff8,0x2e3fffc4,
    0x00007fff,0x807fffe2,0xaaaaaaa8,0x3ff20aaa,0x07ffb86f,0x09fff900,
    0x2013fffa,0x003ffffb,0x801ffff8,0x0002fffd,0x09fff900,0x3ffffe00,
    0xffffffff,0x6fffffff,0x805ffff0,0x300ffffc,0x3f60ffff,0xf8802fff,
    0x7fdc06ff,0x01fffd6f,0x009fff90,0x003fffc4,0xdfff9000,0x405fffb8,
    0x4007fff8,0xfa86fff9,0xfd0006ff,0x3ffe25ff,0xffffd006,0x3fea1fff,
    0x7ffc40ff,0x5ffff102,0x317ffc00,0x005ffffd,0x4fffd800,0x0007fffe,
    0xfc8ffff5,0x200006ff,0x200ffff9,0xfffffffa,0x3fee1fff,0x37fe41ff,
    0x1ffff800,0x00ffff70,0x001ffffa,0x2007fffe,0x0003fffd,0x09fff900,
    0xfffff300,0xffffffff,0xffffffff,0x05ffff03,0x03ffff88,0x220ffff3,
    0x400fffff,0xf806fff8,0xfffeafff,0x4fffc800,0x1fffe200,0xff980000,
    0x3fffa1ff,0x3fffc402,0x17ffea00,0x001bffea,0xf897fff4,0xff5006ff,
    0x2a1fffff,0x7dc1ffff,0x3ffe607f,0xfff3001f,0x4ffff983,0x7ffc0000,
    0x13fffa2f,0x89fffd00,0x0005fffd,0x01fffea0,0xfffffff5,0x7fc43fff,
    0x2ffec6ff,0x3fffcc00,0x03ffff30,0x09ffff50,0x01ffff80,0x004fffb8,
    0x9fff9000,0xbfff9000,0x33333333,0xfff33333,0x5ffff09f,0x0ffffb00,
    0x981fffe6,0x4406ffff,0xfb806fff,0x0fffedff,0x04fffc80,0x01fffe20,
    0xfffd0000,0x01fffe69,0x001fffe2,0xf509fffb,0x3a000dff,0xfff12fff,
    0x7fff400d,0xfff30fff,0x05ffd85f,0x801fffea,0xfc80fffa,0x200006ff,
    0x320ffffc,0x5000ffff,0xfd83ffff,0x200006ff,0x200ffff9,0xfffffffa,
    0x7fe41fff,0x13ffa5ff,0x13fff200,0x009fffd0,0x037ffff6,0x00ffffc0,
    0x007fffd4,0x7ffe4000,0xffff8004,0xfffb0003,0x05ffff0d,0x07ffff30,
    0xb80ffff3,0x2204ffff,0xf8806fff,0x0fffffff,0x04fffc80,0x01fffe20,
    0xfff70000,0x013fff2d,0x801fffe2,0xa81ffff9,0xd0006fff,0x3fe25fff,
    0x3fea006f,0x3fe0ffff,0x17ffc3ff,0x00dfffb0,0xfb83ffdc,0x006e67ff,
    0xdffff910,0x1effff88,0x2ffffd40,0x003fffe4,0x3ffff100,0x3fffe000,
    0x7ffffc41,0x4c3fffae,0x3fffe04c,0x3fffe402,0xfffff980,0xffff801e,
    0xffff9801,0x6400000d,0x4c004fff,0x0000ffff,0xf83ffff5,0xfb002fff,
    0xfff30fff,0xffffb00f,0x1bffe207,0x7ffffe40,0xffc800ff,0x3fe2004f,
    0x4000007f,0xff9ffff8,0xff8801ff,0x3ffa007f,0xdfff504f,0x3fffa000,
    0x00dfff12,0x0fffffe8,0xfa9bfff6,0xfff100ff,0x7fe4007f,0x4bfff906,
    0xbccdfffa,0xffdcbaaa,0xfb80efff,0x99acffff,0xfffffdba,0x0ffffb81,
    0x3ffe0000,0xfff0002f,0xffff303f,0xdbbfffff,0x3e60bfff,0xff9807ff,
    0xff7001ff,0x59dfffff,0xffffd955,0x3fff6003,0xa999abff,0x3f2000dc,
    0x7e4004ff,0x220005ff,0x7fc3ffff,0xff3002ff,0xfff987ff,0xfffe8807,
    0x6fff881f,0xfffff100,0x3332e1ff,0xefffeccc,0x43cccccc,0xcccffff8,
    0xcccccccc,0x3f6002cc,0x06fffeff,0x00ffff10,0x01ffffb1,0x001bffea,
    0xf897fff4,0x7cc006ff,0x3ee0ffff,0xdff90fff,0x07fffdc0,0x20bffb00,
    0x3ea3fffe,0xffffffff,0xffffffff,0xfffb100f,0xffffffff,0x2a03ffff,
    0x0000ffff,0x00ffffa0,0x80ffffc0,0xffffffe9,0x5fffffff,0x00bfff90,
    0x8013fffe,0xffffffe9,0xffffffff,0xff1001ff,0xffffffff,0x64001fff,
    0x74004fff,0x40003fff,0x7fc6fffd,0x3fa002ff,0x7ffcc6ff,0xffff3007,
    0x6fff881f,0x3ffff200,0xffffd0ff,0xffffffff,0x88dfffff,0xffffffff,
    0xffffffff,0x3fe6004f,0x003fffff,0x59fffff1,0xfff75313,0x7fd405ff,
    0xffd0006f,0x1bffe25f,0x3ffff600,0x57fffe20,0xfd103fff,0xfe8007ff,
    0xffffd84f,0x3ffffea1,0xffffffff,0xb800cfff,0xffffffff,0x201effff,
    0x002ffff9,0x13fff600,0x0ffffc00,0xfffff910,0x9fffffff,0x00bfffe0,
    0x0037ffe4,0x7fffffe4,0xffffffff,0x3fa6000e,0xffffffff,0x3f2000ff,
    0x3e6004ff,0x40000fff,0x3e1ffffa,0x2a002fff,0x3e62ffff,0x3ee007ff,
    0x7fc45fff,0x3fe6006f,0xffd0ffff,0xffffffff,0xdfffffff,0xffffff88,
    0xffffffff,0x74004fff,0x00ffffff,0xffffff10,0xffffffff,0xffa805ff,
    0xfff0006f,0x1bffe23f,0x3fffe600,0x67fffe40,0xfe881fff,0x9bea87ff,
    0xa89fffc0,0x445ffffe,0xffffffdb,0x0befffff,0x7ff64c00,0x01dfffff,
    0x00bffff0,0x7fffe400,0xffff8000,0xfffd3001,0x4c01579d,0xcccdffff,
    0xfdcccccc,0x98001fff,0xffffffdc,0x0001bdff,0x3fffffaa,0x2000efff,
    0x2004fffc,0x0006fffc,0x23ffff88,0x4002ffff,0x3e66fffe,0x7ec007ff,
    0x3fe24fff,0x7fec006f,0xfffd0fff,0xffffffff,0x8dffffff,0xfffffff8,
    0xffffffff,0x7dc004ff,0x2003ffff,0xfffffff8,0xdfffffff,0x7fff9800,
    0x1ffff000,0x7fc40000,0xffff887f,0xfd887fff,0xffa83fff,0xfffeefff,
    0xfffffffe,0xaa998806,0x000009aa,0x017ffecc,0x07ffffa0,0x7ffdc000,
    0xfff8003f,0x3ff6001f,0x7ffe4006,0xffffffff,0xffffffff,0xa9880004,
    0x000001aa,0x00133531,0x00000000,0x0bffea00,0x00000000,0x00000000,
    0x3ea00000,0x900002ff,0x88003fff,0x000fffff,0x3fbfffe2,0x2cdfffff,
    0x3fffe200,0x7ffc4000,0x7cc00007,0xfff706ff,0xd735dfff,0x20dfffff,
    0xfffffffa,0xffffffff,0x00000dff,0xff980000,0xffa8003f,0x200005ff,
    0x8007fffe,0x2001ffff,0x7c005ffe,0xffffffff,0xffffffff,0x00006fff,
    0x00000000,0x00000000,0xfff30000,0x00000007,0x00000000,0x30000000,
    0x00007fff,0x0007ffee,0x013fffe2,0x4cffff10,0x7c000099,0x54001fff,
    0x00006fff,0x702fffd4,0xffffffff,0x09ffffff,0x7fffffd4,0xffffffff,
    0x980001df,0x20000199,0x20006ffe,0x001ffffe,0x9ffff500,0x1ffff800,
    0x00fffe00,0xffffff98,0xffffffff,0x1fffffff,0x06666000,0x4ccc0000,
    0x4cc00001,0x00000019,0x00bffd10,0x00066660,0x00666600,0x0cccc000,
    0x3fa00000,0xf100005f,0x320009ff,0x4000ffff,0x0007fff8,0x09fffd00,
    0x04fffe80,0x7fff4000,0x7fffd403,0xffffffff,0xdcb98802,0xbdeffffe,
    0xf300000a,0x20000bff,0x0002fffa,0x0fffffe6,0x7ffec000,0xfff000df,
    0x3fe2003f,0x3ff2002f,0x999999df,0xf9999999,0x30004fff,0x0000bfff,
    0x00bfff30,0x2fffcc00,0xb8000000,0x98001fff,0x00005fff,0x002fffcc,
    0x2fffcc00,0xff500000,0x3200005f,0x88000fff,0x8004ffff,0x0007fff8,
    0x1ffff900,0x3fffea00,0x3ea00001,0xfd801fff,0xdfffffff,0x7e40000c,
    0x2000006f,0x0003fffb,0x003fffb0,0xfffffd80,0x86da800d,0x1efffff9,
    0x01ffff80,0x003fff30,0x001ffffc,0x006fffd8,0x007fff70,0x7fff7000,
    0x7fdc0000,0x0000003f,0x001fffb0,0x007fff70,0x3fffb800,0xffb80000,
    0x2000003f,0x0001fffd,0x000ffff0,0x01ffffd1,0x0ffff100,0x3fe20000,
    0x7d401eff,0x00004fff,0x013fffee,0x2aafffe2,0x7400000a,0x000005ff,
    0x0003fff6,0x01fffec0,0x3fffa600,0xcacdffff,0x706fffec,0xdfffffff,
    0xffd95559,0x3ea003ff,0xff3000ff,0x2a0001ff,0x8001ffff,0x0000fffd,
    0x00fffd80,0x3fff6000,0x00000000,0x0007fffb,0x0001fffb,0x00fffd80,
    0xfffd8000,0x36000000,0x00003fff,0x8003ffff,0x002ffffd,0x00ffff10,
    0x7ffdc000,0xba99acff,0x00fffffd,0x7ff6cc00,0xfa800fff,0x000000ff,
    0x0001fffc,0x00dffd00,0x7fffdc00,0x90000cce,0xffffffff,0xdfffffff,
    0x7ffff4c0,0xffffffff,0x7001ffff,0x7e400fff,0x220005ff,0x8003ffff,
    0x00006ffe,0x000dffd0,0x006ffe80,0x3f200000,0x004cefff,0x0000dffd,
    0x000dffd0,0x01bffa00,0xfff70000,0x000199df,0x33bffff6,0x3fffaa04,
    0x3e20004f,0x000007ff,0x7fffffec,0xffffffff,0xfb80001f,0x001fffff,
    0x0000bff9,0x02fff880,0xfff10000,0x74400009,0x00ffffff,0x3fffea00,
    0xffffffff,0xffc805ff,0xffffffff,0x000effff,0x7400dff9,0x40003fff,
    0x4006fffd,0x0004fff8,0x04fff880,0x3ffe2000,0x00000004,0x3fffffa2,
    0x4fff8807,0x7fc40000,0x8800004f,0x00004fff,0x7ffff440,0xf30000ff,
    0x2edfffff,0xfffffeee,0x7c40006f,0x000007ff,0xffffffb8,0x0cffffff,
    0xfff70000,0x7fc001bf,0x4000003f,0x0001fff9,0x03fff500,0xffc88000,
    0x40000fff,0xffffecb8,0x001befff,0x3ffff726,0x01bdffff,0x802ffec0,
    0x000ffff9,0x0ffffd40,0x03fff500,0xfff50000,0x7d400003,0x000001ff,
    0x7ffe4400,0xfffa807f,0x7d400001,0x800001ff,0x0001fffa,0xfffc8800,
    0x260000ff,0xf96ffffd,0x9fffffff,0xfff10000,0x2000000f,0xfffffec8,
    0x00002def,0x000def5c,0x0007ffe6,0x19993000,0x3ae00000,0x4000005e,
    0x00000198,0x00026aa2,0x1aaa9880,0x27ff4000,0x06fffc80,0xffff8800,
    0x17bae003,0x775c0000,0x75c00005,0x0000005e,0x800cc400,0x00005eeb,
    0x0005eeb8,0x00bdd700,0x33100000,0x19880000,0x3ffffff2,0xf100001e,
    0x00000fff,0x006a6200,0x00000000,0x00003331,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2bceffb8,0x77440000,
    0x0000005e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00099988,0x99800000,0xc8801999,0xcc880ccc,0xd73000cc,
    0x0a2017bd,0x3332e000,0x98000003,0x002ccccc,0x2e079995,0x00002ccc,
    0x00400000,0xdeeb9800,0x0005100b,0x74417ba6,0x220000ee,0x9703cccc,
    0x30003999,0x00039999,0xd703eec8,0x8000009d,0x803ccccb,0x65401cb8,
    0xfe880003,0x00000eff,0x001e665c,0xcccc9800,0x26000001,0x882ccccc,
    0xf505eeee,0x00000dff,0xffffc800,0xfff5001e,0x7fffd45f,0xffff5001,
    0xfe887fff,0x3ff60002,0x00005fff,0x3ffffe60,0x7ffec003,0xbfffb10d,
    0xfb971000,0x009bddff,0x02fffa80,0x3fffea00,0x7f443fff,0xfff88002,
    0x007ffc82,0x3bfffa20,0x3ffffd80,0xffffa800,0x320001ff,0xfff887ff,
    0x32000004,0x800dffff,0xf502fffe,0x44000dff,0x0efffffe,0xfffb0000,
    0x80000bff,0x1ffffffa,0xff980000,0xff103fff,0x3fea0dff,0x0000006f,
    0x37ffff20,0x7ffcc000,0x1efffccf,0xfffff500,0xf97dffff,0xd1000dff,
    0xbfffffff,0xf9800001,0x0001efff,0xfd5dfff9,0xf90009ff,0xffffffff,
    0x7cc000ff,0x8000ffff,0xfffffffa,0xfffcbeff,0xffff0006,0xbfffd77b,
    0x7fff4000,0xffffd80e,0xfffb8002,0x002fffff,0x79dfff50,0x005ffffb,
    0x3fff2000,0xfff3004f,0x3fff60bf,0xff98000f,0x1efffeff,0x3ffa2000,
    0x00dfffff,0xffffb800,0x0002ffff,0x3bfffe60,0x37fffc01,0x006fffa8,
    0xff900000,0x4c0007ff,0xefffffff,0x37ffa000,0xfffffc99,0x4000efff,
    0xd8cfffe8,0x0000efff,0x1bffff30,0xfffc8000,0x4004ffff,0xffffffe9,
    0x007fffff,0x3ffffee0,0xdffe8002,0xfffffc99,0x0000efff,0xfffffff3,
    0x20001fff,0xfb05fffd,0x70001dff,0xff53dfff,0x360005ff,0xffffffff,
    0x9000004f,0x4003ffff,0x904ffff8,0x8001ffff,0xf73ffff9,0x10003fff,
    0xfb19fffd,0x40001dff,0xfa9efffb,0x80002fff,0x00dffff9,0x506ffff8,
    0x0000dfff,0xdfff9000,0xfd100003,0x8001dfff,0xffd984f9,0x4000efff,
    0x5c2fffe8,0x0000efff,0x01ffffc4,0xffff7000,0xffd0007f,0x55559dff,
    0x5c000fb7,0x002fffff,0xfd984f98,0x000effff,0x7ffff540,0x90001eff,
    0x3f60bfff,0xc8000dff,0x3a60dfff,0x90003fff,0x9fffffff,0x3f200000,
    0xc8000dff,0xfd100fff,0xffa8009f,0x7ffcc1ef,0x3fa2002f,0x7ffdc2ff,
    0xffc8000e,0x3ffa60df,0x3e20003f,0x3e003fff,0xff506fff,0x000000df,
    0x00dfffc8,0x2aaa2000,0x30020002,0x20003797,0x5300aaaa,0xa8000555,
    0x00001aaa,0x001aaa98,0x01ffffb8,0x7fc40000,0x10000eff,0x01bcb980,
    0x665d4000,0x2a20001b,0x555102aa,0x2aa20005,0x2aaaa02a,0x99510000,
    0x00000159,0x000aaaa2,0x35001510,0x03333000,0x000cccc4,0x26015555,
    0x44002aaa,0x2aa02aaa,0x550000aa,0xff800355,0xfff506ff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5fffd000,0x22000000,
    0x00000ded,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff80000,0xdfff505f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ffff880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0005eee8,0x00000000,0x00000000,0x3ffe0000,0xdfff505f,0xee880000,
    0xeeeeeeee,0x8800000e,0x00aaccba,0x00026662,0x0004ccc4,0x33332a62,
    0x440001ab,0xabcccca9,0x54c40001,0x01abcccc,0x017fffc4,0x00000000,
    0xabcb9800,0x22000000,0x01abccba,0xabcb9800,0x44000000,0x01abccba,
    0xabcb9800,0x22000000,0x00aaccba,0x00026662,0x4404ccc4,0x00007fff,
    0x0004ccc4,0x00099988,0x55997510,0x04ccc401,0x09998800,0x5417fffa,
    0x00006fff,0x7fffffc4,0x001fffff,0xffffb700,0x37dfffff,0x006fffa8,
    0x005fffd0,0x3fffffee,0x05ffffff,0x7ffffdc0,0x5fffffff,0x7fffdc00,
    0xffffffff,0x1bfffa05,0x33330000,0x33333333,0x00133333,0x3fffffaa,
    0x0000deff,0x7ffff644,0x2cffffff,0x3fffaa00,0x00deffff,0xffec8800,
    0xffffffff,0x3faa002c,0xdeffffff,0xfdb80000,0xffffffff,0x7ffd41be,
    0xfffd0006,0x0ffff105,0xfffa8000,0xfffd0006,0x7fedc005,0xefffffff,
    0x37ffd41b,0x2fffe800,0x5417fffa,0x00006fff,0x7fffffc4,0x001fffff,
    0x7ffff440,0xffffffff,0x37ffd46f,0x2fffe800,0x7ffff540,0xffffffff,
    0xffd5006f,0xffffffff,0x2a00dfff,0xfffffffe,0x06ffffff,0x03bffff2,
    0x3ffe2000,0xffffffff,0x04ffffff,0xffffffc8,0x01ffffff,0xffffd300,
    0xffffffff,0x3ff200ff,0xffffffff,0x260001ff,0xfffffffe,0x07ffffff,
    0xffffff90,0x03ffffff,0x3fffa200,0xffffffff,0x7ffd46ff,0xfffd0006,
    0x0ffff105,0xfffa8000,0xfffd0006,0xfffd1005,0xffffffff,0xfffa8dff,
    0xfffd0006,0x82ffff45,0x0006fffa,0xcccccc80,0x001ffffc,0x3ffffea0,
    0xffffffff,0x7ffd46ff,0xfffd0006,0x7fffe405,0xffffffff,0xfc806fff,
    0xffffffff,0x06ffffff,0xffffffc8,0xffffffff,0x7fff406f,0x440002ff,
    0xffffffff,0xffffffff,0x3ffa204f,0xffffffff,0x4003ffff,0xfffffffc,
    0xffffffff,0x7fff4407,0xffffffff,0xc8003fff,0xffffffff,0x7fffffff,
    0x7ffff440,0xffffffff,0x7d4003ff,0xffffffff,0x46ffffff,0x0006fffa,
    0xf105fffd,0x80000fff,0x0006fffa,0xa805fffd,0xffffffff,0x6fffffff,
    0x0037ffd4,0x3a2fffe8,0xff504fff,0x000000df,0x001ffff8,0xffffff90,
    0xb753337b,0xfffa8dff,0xfffd0006,0x3fffea05,0x266099cf,0x7d406dca,
    0x099cffff,0x01b72a66,0x39fffff5,0x6e54cc13,0x3fffa206,0x0001dfff,
    0xfffffff1,0xffffffff,0x3fe209ff,0x989cefff,0x3fffffeb,0xffffe980,
    0xa99abdff,0x2207ffdb,0x9cefffff,0xffffeb98,0xffd3003f,0x357bffff,
    0x0fffb753,0x77ffffc4,0xffeb989c,0xf9003fff,0x37bfffff,0xdffb7533,
    0x006fffa8,0x105fffd0,0x0000ffff,0x006fffa8,0x405fffd0,0xdffffffc,
    0xfdba999b,0x37ffd46f,0x2fffe800,0x5413fffa,0x00006fff,0x0ffffc00,
    0x7fffd400,0x8b71004f,0x0006fffa,0xf105fffd,0x0001dfff,0x77fffc40,
    0x3e200000,0x0000efff,0xffffff30,0x0009ffff,0x557ffff1,0x55555555,
    0x3ff20355,0x7fdc04ff,0x7f400fff,0x1002ffff,0x7ffe40d7,0x7ffdc04f,
    0xffe800ff,0x71002fff,0x7fffe40d,0x7fffdc04,0x7ffd400f,0xb71004ff,
    0x006fffa8,0x105fffd0,0x0000ffff,0x006fffa8,0x205fffd0,0x04fffffa,
    0xffa8b710,0xffd0006f,0x27ffec5f,0x006fffa8,0x7ffc0000,0xffe8001f,
    0xa80002ff,0xd0006fff,0xff705fff,0x800001ff,0x000ffffb,0x7fffdc00,
    0xff100000,0xfffd5bff,0x44003dff,0x00007fff,0x013fffe2,0x01ffffdc,
    0x03dffff5,0x7ffc4000,0xfff7004f,0xfffa807f,0x200001ef,0x004ffff8,
    0x807ffff7,0x002ffffe,0x06fffa80,0x05fffd00,0x000ffff1,0x06fffa80,
    0x05fffd00,0x00bffffa,0x1bffea00,0x17fff400,0x2a09fffb,0x00006fff,
    0x0ffffc00,0x3fffee00,0xff500001,0x3fa000df,0xfffc82ff,0xfc800005,
    0x800005ff,0x0005fffc,0x717fff60,0x09ffffff,0x01fffe20,0x5fffd800,
    0x3fffe400,0x0effff88,0x7fec0000,0x7fe4005f,0x3ffe207f,0x400000ef,
    0x4005fffd,0x2e07fffc,0x0001ffff,0x00dfff50,0x20bfffa0,0x0007fff8,
    0x037ffd40,0x82fffe80,0x001ffffb,0x0dfff500,0x8bfffa00,0xf504fffd,
    0x00000dff,0x01ffff80,0x17fffe20,0xfffa8000,0xfffd0006,0x09fffd05,
    0xfffd0000,0xfd000009,0x200009ff,0x880ffff8,0x05fffffd,0x007fff88,
    0x5ffff300,0xffff9800,0x1ffffc82,0x7fcc0000,0x7cc002ff,0xff902fff,
    0x800003ff,0x002ffff9,0x417fffcc,0x005ffff8,0x1bffea00,0x17fff400,
    0x883fffc4,0xf50009aa,0x3a000dff,0x7fc42fff,0x200005ff,0x0006fffa,
    0x7ec5fffd,0xfff503ff,0x8000000d,0x2001ffff,0x001ffffc,0x1bffea00,
    0x17fff400,0x0037fff4,0x37fff400,0x7ff40000,0xf500006f,0xffa809ff,
    0x7c405fff,0xb00007ff,0x2000ffff,0x7c46fffe,0x00005fff,0x007fffd8,
    0x10dfffd0,0x000bffff,0x0ffffb00,0x1bfffa00,0x007ffff2,0x6fffa800,
    0x5fffd000,0xa8ffff10,0x2ffffffe,0x037ffd40,0x42fffe80,0x001ffffc,
    0x1bffea00,0x17fff400,0x2a07fffb,0x00006fff,0x0ffffc00,0x0bfffd00,
    0xfffa8000,0xfffd0006,0x1ffff905,0xffc80000,0x400000ff,0x000ffffc,
    0x03fffc80,0x2ffffe88,0x01fffe20,0x27fff400,0x7fffc800,0x00ffffdc,
    0x7fff4000,0xfff90004,0x3ffff70f,0xffd00000,0x3f20009f,0xfffe87ff,
    0x7d400005,0xfd0006ff,0xfff105ff,0x3ffff62f,0x00dfffff,0x000dfff5,
    0xfd0bfffa,0x80000bff,0x0006fffa,0x7e45fffd,0xfff503ff,0x8000000d,
    0x2001ffff,0x0002ffff,0x037ffd40,0x82fffe80,0x01fffffa,0x3ffea000,
    0x200001ff,0x01fffffa,0x2fffdc00,0x7fffe880,0x01fffe20,0x3fffe200,
    0xfff30001,0x2fffe41f,0x7fc40000,0xf30001ff,0xffc81fff,0x8800005f,
    0x0001ffff,0xf81ffff3,0x00002fff,0x0037ffd4,0x882fffe8,0xffe8efff,
    0xffffffff,0xdfff504f,0x3fffa000,0x017fffc2,0x3ffea000,0xfffd0006,
    0x81fffe45,0x0006fffa,0x7fffc000,0xffff1001,0xfa800003,0xfd0006ff,
    0xffd105ff,0x00007fff,0x3fffffa2,0xfd100003,0x0007ffff,0x007fffcc,
    0x01ffff88,0x000ffff1,0x01ffff50,0x3fffe200,0x013fff61,0x3ffea000,
    0xff10000f,0xfffd83ff,0xfa800004,0x10000fff,0x7c43ffff,0x00001fff,
    0x0037ffd4,0x882fffe8,0xfffeefff,0xfffb99ae,0xfffa80ff,0xfffd0006,
    0x0ffffc45,0x3fea0000,0xffd0006f,0x1fffe45f,0x006fffa8,0x7ffc0000,
    0xfff5001f,0xa800001f,0xd0006fff,0x3e205fff,0x0bffffff,0x7ffc4000,
    0x000bffff,0x7ffffc40,0x44000bff,0x2004ffff,0xf103fffd,0x70000fff,
    0x8000ffff,0x3fa1ffff,0x800003ff,0x0007fffb,0x3a0ffffc,0x00003fff,
    0x007fffb8,0x50ffffc0,0x0001ffff,0x06fffa80,0x05fffd00,0xfffffff1,
    0x3fffe607,0x06fffa84,0x45fffd00,0x000ffffa,0x37ffd400,0x2fffe800,
    0x540bfff2,0x00006fff,0x0ffffc00,0x07fffb80,0xfffa8000,0xfffd0006,
    0x7fffcc05,0x001cffff,0x3ffffe60,0x0001cfff,0x3fffffe6,0x2e001cff,
    0x7004ffff,0x3e209fff,0xb80007ff,0x40007fff,0xff12ffff,0x554403ff,
    0xaaaaaaaa,0x01fffee0,0x45ffff00,0x201ffff8,0xaaaaaaa8,0x3fee0aaa,
    0x7fc0007f,0x3ffee2ff,0xfa800007,0xfd0006ff,0xfff105ff,0xfc805fff,
    0xfffa85ff,0xfffd0006,0x03fffdc5,0x7ffd4000,0xfffd0006,0x817ffe45,
    0x0006fffa,0x7fffc000,0xdfff9001,0xff500000,0x3fa000df,0x7ec402ff,
    0xefffffff,0xffb10002,0x5dffffff,0x3ff62000,0x2effffff,0xbffffd00,
    0x3fffb801,0xffffff10,0xffffffff,0xfffc8fff,0x7ff40006,0x1ffff33f,
    0x7ffffd40,0x321fffff,0x40006fff,0x3e63fffe,0x3ea00fff,0xffffffff,
    0x1bfff21f,0x7fffd000,0x0037ffe4,0x37ffd400,0x2fffe800,0x2fffff88,
    0x86fff980,0x0006fffa,0x7e45fffd,0x800006ff,0x0006fffa,0x7dc5fffd,
    0xfff502ff,0x8000000d,0xb001ffff,0x0000bfff,0x00dfff50,0x00bfffa0,
    0x7ffffecc,0x0001efff,0xffffffb3,0x20003dff,0xffffffd9,0x74401eff,
    0x202fffff,0xf102fffe,0xffffffff,0xffffffff,0x006fffc8,0xaa7fff40,
    0x7d407fff,0xffffffff,0x1bfff21f,0x9fffd000,0x203fffd4,0xfffffffa,
    0x3ff21fff,0x7f40006f,0x3fff64ff,0xfa800005,0xfd0006ff,0xfff105ff,
    0x3fe2007f,0x6fffa87f,0x5fffd000,0x002fffec,0x37ffd400,0x2fffe800,
    0x5407bbaa,0x00006fff,0x0ffffc00,0x06fffd80,0xfffa8000,0xfffd0006,
    0xffc88005,0x04ffffff,0x3fff2200,0x004fffff,0x3ffff220,0x4404ffff,
    0x0dfffffd,0x1037ffd4,0xffffffff,0xffffffff,0x06fffb8f,0x9ffff400,
    0x200ffff9,0xfffffffa,0x3fee1fff,0x7f40006f,0x3ffe63ff,0x3ffea00f,
    0x1fffffff,0x001bffee,0x6c7fffd0,0x00006fff,0x006fffa8,0x105fffd0,
    0xf800ffff,0x7fd40fff,0xffd0006f,0x37ffec5f,0x7fd40000,0xffd0006f,
    0xff50005f,0x000000df,0x001ffff8,0x000ffff9,0x0dfff500,0x0bfffa00,
    0xfffeb800,0x80005fff,0xffffffeb,0xfeb80005,0x805fffff,0x3ffffffb,
    0x405ffff7,0xcccffff8,0xcccccccc,0x3fffd44c,0x3fffe000,0x03ffff13,
    0x87fffe00,0x0007fffa,0xf11ffffc,0x20003fff,0x3ea1ffff,0x7c0007ff,
    0x3ff23fff,0xa800007f,0xd0006fff,0xff105fff,0xfff800ff,0x37ffd40f,
    0x2fffe800,0x001ffff2,0x1bffea00,0x17fff400,0x37ffd400,0x3e000000,
    0xf7001fff,0x00001fff,0x006fffa8,0x005fffd0,0xffffd500,0x2a00007f,
    0x03fffffe,0xfffd5000,0xfd3007ff,0xffffffff,0xfff8809f,0xffa80007,
    0x3e20007f,0x3ffe2fff,0xfff0002f,0x3fffd43f,0xffff1000,0x02ffff85,
    0x43ffff00,0x0007fffa,0xb8bfffe2,0x0000ffff,0x037ffd40,0x82fffe80,
    0x4007fff8,0x7d40ffff,0xfd0006ff,0x7ffdc5ff,0x5400000f,0xd0006fff,
    0x50005fff,0x9999ffff,0x99999999,0x3fe00059,0xff5001ff,0x800001ff,
    0x0006fffa,0x0005fffd,0x7ffffe40,0x3f200000,0x0000ffff,0x3fffff20,
    0xffff5000,0x1007ffff,0x0000ffff,0x001ffff3,0x87fffe20,0x0003fffe,
    0x7cc3ffff,0x10000fff,0xfe83ffff,0xff0003ff,0x7ffcc3ff,0xff10000f,
    0x7ffd43ff,0x5400000f,0xd0006fff,0xff105fff,0xfff800ff,0x37ffd40f,
    0x2fffe800,0x003fffea,0xdfff5000,0x3fffa000,0x4033b622,0xfffffffa,
    0xffffffff,0xff0004ff,0x3e6003ff,0x00002fff,0x0037ffd4,0x001ffff8,
    0x7fffdc00,0x7dc00002,0x00002fff,0x017fffdc,0x3fffff20,0xffff1005,
    0xfff10000,0x3ea0003f,0x7ffec7ff,0xffff0004,0x0ffffc43,0x7fffa800,
    0x004fffd8,0x443ffff0,0x0001ffff,0xf98ffff5,0x00002fff,0x0037ffd4,
    0x881ffff8,0x7c007fff,0x7fd40fff,0xfff0006f,0x7fffcc3f,0x7d400002,
    0xff0006ff,0x3ffe23ff,0xffff506f,0xffffffff,0x009fffff,0x007fffe0,
    0x005ffff8,0x3fffcc00,0x0ffff800,0xfff80000,0xf800004f,0x00004fff,
    0x004ffff8,0x3ffffe98,0x07fff880,0x9ffff000,0x3fff6000,0x07fffe46,
    0x0ffffc00,0x0013fffe,0x6437ffec,0x8000ffff,0x7fc1ffff,0xfb0004ff,
    0xffff0dff,0xf980000b,0xff0007ff,0xfff101ff,0xffff800f,0x03fffcc0,
    0x40ffff80,0x0005ffff,0x03fffcc0,0x90ffff80,0x505fffff,0xffffffff,
    0xffffffff,0x3fe0009f,0x3fa001ff,0x00001fff,0x003fffe2,0x00ffff10,
    0x3fff6000,0xfd800005,0x800005ff,0x0005fffd,0x00ffffd1,0x000ffff1,
    0x01ffff60,0x13fffe20,0x007ffff7,0xd83ffff0,0x88007fff,0xfb84ffff,
    0xf8003fff,0x7fec1fff,0xff88007f,0xfffe84ff,0x2200001f,0x4000ffff,
    0xf107fff8,0xff800fff,0x7ffc40ff,0x7fc4000f,0xffffe87f,0x3e200001,
    0x44000fff,0x3ff67fff,0x00003fff,0xfff80000,0x3fea001f,0x400005ff,
    0x4001ffff,0x0006fffa,0x09fffb00,0xfffb0000,0xfb000009,0x4c0009ff,
    0x4401ffff,0x00007fff,0x003ffff5,0x80ffffa8,0x8007fffe,0x7d41ffff,
    0x54001fff,0xfd00ffff,0xff000fff,0xfffa83ff,0x7fd4001f,0xfffa80ff,
    0x7c00005f,0x54001fff,0xff106fff,0xfff800ff,0x1ffff80f,0x37ffd400,
    0x02ffffd4,0x3fffe000,0x7ffd4001,0x3ffffee6,0x00000001,0x01ffff80,
    0x0fffff40,0xfffd0000,0xfffe8009,0xff000004,0x000005ff,0x0005ffff,
    0x05ffff00,0x1ffff800,0x03fffc40,0xbfffd000,0x7fff4400,0x9ffff503,
    0x1ffff800,0x005fffe8,0x80ffffa2,0x004ffffa,0x740ffffc,0x22005fff,
    0x3a03fffe,0x0001ffff,0x013fffa0,0x209fffd0,0x4007fff8,0xfe80ffff,
    0x7f4004ff,0xfffd04ff,0x7400003f,0x74004fff,0x7fec4fff,0x9998003f,
    0xff000001,0xf98003ff,0x0003ffff,0x01ffff90,0x07fffea0,0x3ff20000,
    0x400000ff,0x000ffffc,0x7fffe400,0x3fe60000,0xfff8807f,0x3ee00007,
    0xe8805fff,0x7ec07fff,0xf000dfff,0xff703fff,0xfd100bff,0xffb00fff,
    0x3e001bff,0xffb81fff,0xfe8805ff,0x7fcc07ff,0x00003fff,0x001ffff9,
    0x407fffea,0x4007fff8,0xfc80ffff,0xf5000fff,0x3e603fff,0x0003ffff,
    0x01ffff90,0x07fffea0,0x260002a6,0x00005fff,0x003ffff0,0xbfffffb0,
    0x10db5001,0x803dffff,0x304ffffa,0xfc880037,0x1b986fff,0x7ffe4400,
    0x001b986f,0x37fffe44,0x3fffa000,0x7fff8805,0x3fe20000,0x36204fff,
    0x4c03ffff,0x01efffff,0x881ffff8,0x204fffff,0x03ffffd8,0xefffff98,
    0x1ffff801,0x4fffff88,0x3ffff620,0xffffd803,0x6da800df,0x1effff88,
    0x27fffd40,0x00ffff10,0x880ffff8,0x401effff,0x404ffffa,0x0dfffffd,
    0xf886da80,0x5401efff,0x0004ffff,0x03fffb80,0xffff0000,0xffd30003,
    0x59bfffff,0x0dfffd99,0x33ffffee,0xffdba99a,0xff500fff,0x555799bf,
    0xfffffb97,0xbfff501d,0x97555799,0x1dfffffb,0x99bfff50,0xfb975557,
    0xd81dffff,0xeb9809bd,0x8802ffff,0x00007fff,0x7fffffd4,0xfffebabd,
    0xff7006ff,0x59dfffff,0xffffd955,0x3fffea03,0xfebabdff,0x2006ffff,
    0xfffffffb,0xfecaaace,0xff501fff,0x757bffff,0x0dfffffd,0x3ffffa60,
    0xccacdfff,0xf706fffe,0x3359ffff,0xfffffb75,0x3fffc401,0x03fffe00,
    0x67ffffdc,0xffdba99a,0x74c00fff,0xdfffffff,0xfffeccac,0xfffff706,
    0xfb753359,0x0001ffff,0x01fffb00,0x3ffe0000,0x3f20001f,0xffffffff,
    0x06ffffff,0x3ffffff6,0xffffffff,0x3ffea01f,0xffffffff,0x0fffffff,
    0xffffff50,0xffffffff,0x2a01ffff,0xffffffff,0xffffffff,0xfffe80ff,
    0xffffffff,0xf1002fff,0x99999fff,0x99999999,0x7fffcc05,0xffffffff,
    0x74c004ff,0xffffffff,0xffffffff,0x3fffe601,0xffffffff,0xe98004ff,
    0xffffffff,0xffffffff,0x3fffe601,0xffffffff,0xfc8004ff,0xffffffff,
    0x06ffffff,0x3ffffff6,0xffffffff,0x7ffc401f,0x7fffc007,0x3ffff600,
    0xffffffff,0x32001fff,0xffffffff,0x6fffffff,0x3fffff60,0xffffffff,
    0x000001ff,0x4000dffd,0xaaaaaaaa,0xaaabffff,0xfa800aaa,0xffffffff,
    0x405fffff,0xfffffffb,0x00cfffff,0x7fffffd4,0xffffffff,0x3ea00cff,
    0xffffffff,0xcfffffff,0x3fffea00,0xffffffff,0xd00cffff,0xffffffff,
    0x005fffff,0x7fffffc4,0xffffffff,0x74404fff,0xffffffff,0x20002fff,
    0xfffffffc,0xefffffff,0x7fff4400,0xffffffff,0x7fe40002,0xffffffff,
    0x400effff,0xffffffe8,0x002fffff,0x3ffffea0,0xffffffff,0x7ffdc05f,
    0xffffffff,0xff8800cf,0x7ffc007f,0x7ffdc00f,0xffffffff,0xfa8000cf,
    0xffffffff,0x405fffff,0xfffffffb,0x00cfffff,0xfff10000,0x7ff40009,
    0xffffffff,0xffffffff,0xfd971002,0x7dffffff,0x3fb22003,0x2defffff,
    0xfffb7100,0xffffffff,0xb710017d,0xffffffff,0x0017dfff,0xfffffb71,
    0x7dffffff,0xffffd801,0xbeffffff,0x7ffc4000,0xffffffff,0x04ffffff,
    0xfffecb88,0x0000cdff,0xffffdc98,0x01bdffff,0x3ffb2e20,0x000cdfff,
    0xfffb9300,0x37bfffff,0x7f65c400,0x00cdffff,0xfecb8800,0xbeffffff,
    0xffd91001,0x05bdffff,0x03fffc40,0x003fffe0,0x3ffffb22,0x0002deff,
    0x7fff65c4,0x01beffff,0xffffd910,0x0005bdff,0x1fffa800,0x3fffa000,
    0xffffffff,0x2fffffff,0x26aa2000,0x53100000,0x26200003,0x009aaaa9,
    0xaa998800,0x800009aa,0x9aaaa998,0xba988000,0x0009accc,0x3ffffe20,
    0xffffffff,0x8004ffff,0x00000a98,0x1aaa9880,0x2a620000,0x10000000,
    0x00035553,0x00054c40,0x9aa88000,0x53100000,0x7fc40003,0x7ffc007f,
    0xa988000f,0x88000001,0x000009aa,0x00003531,0x05eeb800,0x7ffff400,
    0xffffffff,0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99950000,0x00000399,0x00000080,0x32000010,
    0x9dd703ee,0x03971000,0x00003ca8,0x00157973,0x33322000,0x9999703c,
    0x99970003,0x00000007,0x33332a00,0x0000001c,0x33333260,0xccb80002,
    0x2600003c,0x100bdeeb,0x1cb88005,0x0001e540,0x33333260,0x32200002,
    0x8002cccc,0x9503ccca,0x95000599,0x00039999,0x200e5c40,0x2a6003ca,
    0x7fdc0001,0x00000fff,0x02fffa80,0xfff50000,0xffc80005,0x04fff887,
    0x02fffe80,0x000dfff5,0x3fffffaa,0x0000deff,0x1dfffd10,0x07ffffb0,
    0xfffffb00,0x2200000b,0x2efffedc,0x7ffffdc0,0x80000000,0x03fffff9,
    0xffffd800,0xfa80005f,0x43ffffff,0x3a002fe8,0xff502fff,0x260000df,
    0x003fffff,0x3fffe200,0x3f60003f,0x3ff60dff,0x3ee0005f,0x0000ffff,
    0x205fffd0,0xc806fffa,0x40004fff,0x00ffffe9,0x3fe60000,0x00000fff,
    0x07ffffcc,0xdfff5000,0x5ffffb79,0xffff9800,0x1ffffb05,0xffffc800,
    0xffffffff,0xffe80001,0xfffd80ef,0x7f44002f,0x0dffffff,0x3fee0000,
    0x03ffffff,0x0ffffe98,0x26000000,0x001effff,0x7ffff440,0x0000dfff,
    0xfffffff5,0xfff97dff,0x3ffe600d,0xffffb05f,0xff980001,0x00001eff,
    0x07ffffa2,0x3fff2000,0x05fffeaf,0xfffe9800,0x7cc0000f,0xffb05fff,
    0x7fd401ff,0x40002fff,0x00ffffd8,0xfff70000,0x800005ff,0x02fffffb,
    0x7fffec00,0x004fffff,0x04ffff88,0x001ffff9,0x3fffffa2,0xffffffff,
    0x3f60003f,0xfffb05ff,0xfe88001d,0xfffd8cff,0xfd80000e,0xffffffff,
    0xfffb1003,0x0000001f,0x01bffff3,0xfffe8800,0x0efffd8c,0x9dffe800,
    0xffffffc9,0xf1000eff,0x3f209fff,0x20000fff,0x00dffff9,0x3ffa2000,
    0x200000df,0xfffffffb,0x36200004,0x0000ffff,0x413fffe2,0x200ffffc,
    0x04fffffc,0xdfff7000,0xf7000001,0x0005ffff,0xfffffb80,0xffc80002,
    0x004fffff,0x403fff20,0x1004ffe8,0x59dfffff,0xffffd951,0xff90007f,
    0x3fff60bf,0x7f44000d,0x7ffdc2ff,0x3ee0000e,0xcccdffff,0x7fdc003e,
    0x000000ef,0x00ffffe2,0x3fffa200,0x077ffdc2,0x2613e600,0x0efffffd,
    0x07ffe400,0x004ffe88,0x0ffffe20,0xffd10000,0x2000007f,0x03fffffb,
    0xfff70000,0x7e40001d,0xffd100ff,0xffffb809,0x2600003f,0x00001aaa,
    0x0effff88,0x7fc40000,0x00000eff,0x01599951,0x00151000,0x7fe40035,
    0x7fdc04ff,0x22000fff,0x55102aaa,0x2aa00055,0x555300aa,0x3fe20005,
    0x00000dff,0x0006aaa6,0x1aaaa800,0x55550000,0x0aaaa601,0x97300200,
    0x54400037,0x0001a800,0x000d5554,0x0d554c00,0x2a600000,0x000001aa,
    0x000d554c,0x2a002a20,0xfffe8801,0x0000000f,0xed880000,0x1000000d,
    0x00001bdb,0x00000000,0xfff88000,0xfff9004f,0x0000007f,0x00000000,
    0x7fffdc00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd9100000,0x00000019,0x00000000,
    0x00000000,0x00000000,0xffc80000,0x7fec005f,0x0000007f,0x00000000,
    0x0ffff600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x00009998,0x00013331,
    0x00000000,0x02666200,0x04ccc400,0x55e5cc00,0x7ffcc000,0x7fcc002f,
    0x333103ff,0x26620001,0x99998009,0x99999999,0xf0001999,0x00003fff,
    0x01579730,0x32e60000,0x000000ab,0x00157973,0x02666660,0x80333100,
    0x99999999,0x99999999,0x26662009,0x99800000,0x09999999,0x26660000,
    0x00999999,0x26666000,0x99999999,0x00099999,0x04ccccc4,0x2a000000,
    0xd0006fff,0x33105fff,0x33333333,0x33333333,0x4ccc4033,0x99999999,
    0x40999999,0x0006fffa,0x2005fffd,0xffffffea,0xfc800def,0xfd0007ff,
    0x3fea0dff,0xffd0006f,0xfff9805f,0xffffffff,0x8007ffff,0x0007fff9,
    0x3ffffaa0,0x000defff,0x7ffff540,0x000defff,0x7ffff540,0x000defff,
    0x0bfffff1,0x00fffe80,0xfffffff1,0xffffffff,0x7fd409ff,0xf800006f,
    0xffffffff,0x0003deff,0x3ffffffe,0x03deffff,0xfffff100,0xffffffff,
    0x8009ffff,0x05fffffc,0x7d400000,0xfd0006ff,0xfffd05ff,0xffffffff,
    0xffffffff,0x7ffff40f,0xffffffff,0x546fffff,0xd0006fff,0xf9005fff,
    0xffffffff,0xfe803fff,0xf90004ff,0x3fea0fff,0xffd0006f,0xfff9805f,
    0xffffffff,0x8007ffff,0x0006fffb,0xffffff90,0x03ffffff,0x3ffff200,
    0xffffffff,0xfff90001,0xffffffff,0xfff1003f,0x74001fff,0xff100fff,
    0xffffffff,0x9fffffff,0x037ffd40,0x7fffc000,0xffffffff,0xf8002fff,
    0xffffffff,0x02ffffff,0x7ffffc40,0xffffffff,0x4004ffff,0x07ffffff,
    0x01eee980,0x01bffea0,0x417fff40,0xfffffffe,0xffffffff,0x3a07ffff,
    0xffffffff,0xffffffff,0x37ffd46f,0x2fffe800,0x3ffffa20,0xffffffff,
    0xfff103ff,0x3e60003f,0xffa80fff,0xffd0006f,0xfff9805f,0xffffffff,
    0x8007ffff,0x0005fffc,0x7fffff44,0xffffffff,0x3fa2003f,0xffffffff,
    0x003fffff,0x3fffffa2,0xffffffff,0x7ffc403f,0x3a004fff,0xff100fff,
    0xffffffff,0x9fffffff,0x037ffd40,0x7fffc000,0xffffffff,0x4005ffff,
    0xffffffff,0xffffffff,0x3ffe2005,0xffffffff,0x04ffffff,0x3ffffe60,
    0x7d4002ff,0x3ea002ff,0xfd0006ff,0xfffd05ff,0xffffffff,0xffffffff,
    0x7ffff40f,0xffffffff,0x546fffff,0xd0006fff,0x3e205fff,0x89ceffff,
    0xfffffeb9,0x0ffffa83,0xffff1000,0x0dfff503,0x0bfffa00,0x55555510,
    0xff955555,0xffb000ff,0x7c40009f,0x89ceffff,0xfffffeb9,0xffff8803,
    0xeb989cef,0x803fffff,0xcefffff8,0xfffeb989,0x3fe203ff,0x000fffff,
    0x2201fffd,0xaaabffff,0xaaaaaaaa,0x3ffea01a,0xff800006,0xbaaaacff,
    0x2fffffec,0x33fffe00,0xfecbaaaa,0x1002ffff,0x5557ffff,0x55555555,
    0x7fe40035,0x005fffff,0x0017ffd4,0x000dfff5,0x2e0bfffa,0xcccccccc,
    0xfdcccccc,0x2aa04fff,0xffeaaaaa,0xaaaaaadf,0x037ffd42,0x02fffe80,
    0x809ffff9,0x40fffffb,0x0007fffa,0x5417fffc,0xd0006fff,0x00005fff,
    0x007fffa8,0x003fffe8,0x13ffff20,0x1fffff70,0x4ffffc80,0x7ffffdc0,
    0x7fffe400,0x7fffdc04,0xffff100f,0x3a009fff,0xff100fff,0x500000ff,
    0x0000dfff,0x805ffff0,0x00fffffb,0x805ffff0,0x00fffffb,0x007fff88,
    0xffff8000,0x4007fffb,0x2002fffa,0x0006fffa,0x0005fffd,0x0ffffe80,
    0x9fff9000,0x37ffd400,0x2fffe800,0x04ffff88,0x87ffff70,0x0007fffb,
    0x541ffffc,0xd0006fff,0x00005fff,0x007fffa8,0x002ffff8,0x09ffff10,
    0x0ffffee0,0x04ffff88,0x07ffff70,0x027fffc4,0x03ffffb8,0xfffdfff1,
    0xfffd001f,0x1fffe201,0x3fea0000,0xf800006f,0xfb802fff,0xff002fff,
    0xff7005ff,0xff1005ff,0x800000ff,0xfff5fff9,0x7fdc005f,0x3fea003f,
    0xffd0006f,0x5c00005f,0x0002ffff,0x8013fff2,0x0006fffa,0xfb05fffd,
    0xfc800bff,0x7ffdc7ff,0x7ff40006,0x6fffa84f,0x5fffd000,0xffa80000,
    0x7fc4007f,0xfb0001ff,0xfc800bff,0x3ff607ff,0x7fe4005f,0x3fff607f,
    0x7ffe4005,0x9dfff107,0xfd007fff,0x3fe201ff,0xa800007f,0x00006fff,
    0x002ffff8,0x2007ffff,0xf002ffff,0xf1007fff,0x00000fff,0xfb3fffc8,
    0x7dc009ff,0x3ea003ff,0xfd0006ff,0x200005ff,0x004ffff9,0x027ffe40,
    0x00dfff50,0x30bfffa0,0x8005ffff,0x322ffff9,0x40006fff,0xfa84fffe,
    0xfd0006ff,0x800005ff,0xca87fffa,0xffdccccc,0xccccccff,0xffff304c,
    0xfff98005,0xffff982f,0x7ffcc002,0xffff982f,0x7ffcc002,0xefff882f,
    0xe807fff9,0xff100fff,0x500000ff,0x0000dfff,0x005ffff0,0x4017fffa,
    0xd002ffff,0xf100bfff,0x00000fff,0xf50ffff8,0x7dc00fff,0x3ea003ff,
    0xfd0006ff,0x200005ff,0x000ffffe,0x027ffe40,0x00dfff50,0xb0bfffa0,
    0x2000ffff,0x3f26fffe,0x740006ff,0xffa83fff,0xffd0006f,0xa800005f,
    0xffc87fff,0xffffffff,0xffffffff,0x0ffffb07,0x1bfffa00,0x001ffff6,
    0x6c37fff4,0xd0007fff,0xff10dfff,0x0ffffadf,0x201fffd0,0x0007fff8,
    0x06fffa80,0xffff8000,0xbfffb002,0x0bfffe00,0x02fffec0,0x003fffc4,
    0xdfff3000,0x017fffc4,0x003fffb8,0x001bffea,0x0017fff4,0x17fffdc0,
    0x7ffe4000,0x3ffea004,0xfffd0006,0x04fffe85,0x4ffff900,0x0007fffb,
    0x5417fffc,0xd0006fff,0x00005fff,0xc87fffa8,0xffffffff,0xffffffff,
    0xfffd07ff,0x3ff20009,0x4fffe87f,0xffff9000,0x009fffd0,0x21ffff20,
    0xff56fff8,0xfffe80df,0x0ffff100,0xfff50000,0xff00000d,0x3fa005ff,
    0xfff003ff,0x3ffa005f,0xfff8803f,0x32000007,0x7fec3fff,0xfff7004f,
    0x7ffd4009,0xfffd0006,0xff980005,0x900005ff,0x54009fff,0xd0006fff,
    0x7fc45fff,0xf30001ff,0x3fea1fff,0x3e20007f,0xffa81fff,0xffd0006f,
    0xa800005f,0xeeb87fff,0xffffeeee,0xeeeeeeef,0x1ffff885,0xffff3000,
    0x0ffffc41,0xffff9800,0x07fffe20,0x7fffcc00,0xf37ffc40,0x7f405fff,
    0xfff100ff,0xf500000f,0x00000dff,0x1005ffff,0x2005ffff,0x8802ffff,
    0x8802ffff,0x00007fff,0x707fffe0,0x3200ffff,0x2a004fff,0xd0006fff,
    0x80005fff,0x000ffffe,0x09fff900,0x037ffd40,0x22fffe80,0x000ffffa,
    0x23ffff10,0x000ffff9,0x01ffff10,0x000dfff5,0x000bfffa,0x0ffff500,
    0x03fffe80,0x0ffffa80,0xffff1000,0x07fffd43,0xffff8800,0x03fffea1,
    0x7fffc400,0x937ffc41,0x7f40dfff,0xfff100ff,0xf500000f,0x00000dff,
    0xd005ffff,0x7c00dfff,0xfe802fff,0xff1006ff,0x200000ff,0xf886fff9,
    0xfc801fff,0x3ea004ff,0xfd0006ff,0x5c0005ff,0x0002ffff,0x013fff20,
    0x006fffa8,0x5c5fffd0,0x40007fff,0xff11ffff,0x2a0003ff,0xff507fff,
    0x3fa000df,0x400002ff,0x4007fffa,0x8002ffff,0x0007fffb,0xf70ffffc,
    0xf8000fff,0x3fee1fff,0x7fc0007f,0x7ffc41ff,0x07fffe26,0x8807fff4,
    0x00007fff,0x006fffa8,0x2ffff800,0x3ffff660,0x3fffe002,0x3fff6602,
    0xfff1002f,0x3200000f,0xffd04fff,0xfff9009f,0x7ffd4009,0xfffd0006,
    0x3fe20005,0x400005ff,0x2004fffc,0x0006fffa,0x7dc5fffd,0x7c0007ff,
    0x3ffe2fff,0xffb0004f,0x3ffea0df,0xfffd0006,0xfa800005,0x7fc007ff,
    0xfb8001ff,0x7c0007ff,0x3fee2fff,0x7fc0007f,0x3ffee2ff,0x7ffc0007,
    0x37ffc42f,0x7417fff2,0xff100fff,0xffffffff,0x0fffffff,0x006fffa8,
    0xcffff800,0xffdcaaaa,0x7c004fff,0xaaaacfff,0x4fffffdc,0x3fffe200,
    0xffffffff,0xf807ffff,0xff701fff,0xfff900ff,0x7ffd400b,0xfffd0006,
    0x3ffa0005,0x400000ff,0x2004fffc,0x0006fffa,0x7e45fffd,0x740006ff,
    0x3ff63fff,0xff88007f,0xfff503ff,0x3ffa000d,0x5400002f,0x26007fff,
    0x8000ffff,0x0006fffc,0xf91ffff4,0xe8000dff,0x3ff23fff,0x7f40006f,
    0x7ffc43ff,0x0ffffc46,0x8807fff4,0xffffffff,0xffffffff,0x37ffd407,
    0x7ffc0000,0xffffffff,0x8003ffff,0xffffffff,0x3fffffff,0x7fffc400,
    0xffffffff,0x4c07ffff,0x3e607fff,0x7e401fff,0x3ea005ff,0xfd0006ff,
    0xf70005ff,0x00005fff,0x009fff90,0x0037ffd4,0x322fffe8,0x40006fff,
    0x3ea4fffe,0x5c001fff,0x3ea07fff,0xfd0006ff,0x800005ff,0x2007fffa,
    0x0007fffa,0x000dfff9,0x324fffe8,0x40006fff,0x3f24fffe,0x740006ff,
    0x7fc44fff,0x5fffd86f,0x100fffe8,0xffffffff,0xffffffff,0x6fffa80f,
    0xfff80000,0xffffffff,0xf0000bef,0xffffffff,0x0017dfff,0xffffff10,
    0xffffffff,0xffc80fff,0x7fff404f,0x2fffec04,0x0dfff500,0x0bfffa00,
    0xbffff100,0x3f200000,0x3ea004ff,0xfd0006ff,0x7ffdc5ff,0x7ff40006,
    0x2ffffc3f,0x9fffd100,0x037ffd40,0x02fffe80,0x7ffd4000,0x3ffee007,
    0xfff70006,0xffe8000d,0x1bffee3f,0x7fffd000,0x0037ffdc,0x10ffffa0,
    0xff30dfff,0xfffe81ff,0x9ffff100,0x99999999,0xfa809999,0x800006ff,
    0xffffffff,0x0004ffff,0x7ffffffc,0x004fffff,0x33fffe20,0xcccccccc,
    0x7fc04ccc,0x7fe402ff,0x7ffec07f,0x3ffea005,0xfffd0006,0xfffd8005,
    0x9000000f,0x54009fff,0xd0006fff,0x7fd45fff,0x7fc0007f,0x7ffe43ff,
    0xffe8805f,0x3fea00ff,0xffd0006f,0xa800005f,0x32007fff,0x50005fff,
    0x8000ffff,0x3ea3ffff,0x7c0007ff,0x3fea3fff,0x7fc0007f,0x7ffc43ff,
    0x89fffb06,0xf100fffe,0x00000fff,0x000dfff5,0x25ffff00,0xeffffb98,
    0xffff0000,0x3ffee625,0xf88000ef,0x400007ff,0x9807fff9,0x3601ffff,
    0x2a006fff,0xd0006fff,0x5c005fff,0x0002ffff,0x13fff200,0x06fffa80,
    0x45fffd00,0x0007fffa,0x10bfffe2,0x019fffff,0x13ffffa2,0x00dfff50,
    0x00bfffa0,0xffff5000,0x27ffec00,0x7fffa800,0x3ffe2000,0x1fffea2f,
    0xffff8800,0x01fffea2,0x2ffff880,0x9837ffc4,0x3fa0ffff,0xfff100ff,
    0xf500000f,0x00000dff,0xd105ffff,0x2000bfff,0xe882ffff,0x88005fff,
    0x00007fff,0x802fffe4,0x3604ffff,0x2a006fff,0xd0006fff,0x22005fff,
    0x0005ffff,0x27ffe400,0x0dfff500,0x8bfffa00,0x000ffff9,0x03ffff10,
    0xdffffff3,0xffffd959,0xfff5009f,0x3ffa000d,0x5400002f,0x3a007fff,
    0x30003fff,0x0001ffff,0x987fffe2,0x0000ffff,0x4c3ffff1,0x0000ffff,
    0x883ffff1,0x3fa06fff,0x3fffa4ff,0x0ffff100,0xfff50000,0xff00000d,
    0x3fe605ff,0xff8002ff,0xfff302ff,0xff88005f,0x7c00007f,0xf9002fff,
    0x7fec0dff,0x3fea006f,0xfff0006f,0x3ff6003f,0x000000ff,0x0027ffe4,
    0x000dfff5,0xf887fffe,0x50001fff,0x7d40ffff,0xffffffff,0x004fffff,
    0x000dfff5,0x0007fffe,0x0ffff500,0x017fffc0,0x1ffff880,0xffff5000,
    0x01ffff88,0x8ffff500,0x001ffff8,0x10ffff50,0x7d40dfff,0x3fffa7ff,
    0x0ffff100,0xfff50000,0xff00000d,0x7fe405ff,0x7fc000ff,0x3ff202ff,
    0x3e2000ff,0x200007ff,0xccdffff9,0xdccccccc,0xfd01ffff,0x7cc00dff,
    0xff0007ff,0xff5001ff,0x000005ff,0x009fff90,0x003fffcc,0x7c0ffff8,
    0xb0004fff,0xfa80dfff,0xffffffff,0x26003fff,0xf0007fff,0x00001fff,
    0x007fffa8,0x003ffff1,0x027fffc0,0x86fffd80,0x0004ffff,0xff0dfffb,
    0x360009ff,0xff886fff,0x7fff406f,0x201fffd3,0x0007fff8,0x06fffa80,
    0xffff8000,0x3fffe202,0x7fffc004,0x3fffe202,0x3ffe2004,0x3f200007,
    0xffffffff,0xffffffff,0xfffd04ff,0x7ffc400f,0x7fc4000f,0xfff8807f,
    0x0000005f,0x4009fff9,0x000ffff8,0x6c3fffc4,0x88007fff,0x5004ffff,
    0xbffffffb,0xff880015,0x7c4000ff,0x800007ff,0x3006fffb,0x8000ffff,
    0x8007fffd,0xd84ffff8,0x88007fff,0xfd84ffff,0xf88007ff,0xff884fff,
    0x7ffdc06f,0x201fffd6,0x0007fff8,0x06fffa80,0xffff8000,0x7fffe402,
    0x3fffe000,0x7fffe402,0xffff1000,0x7ffc0000,0xffffffff,0xffffffff,
    0xffffd06f,0x1ffff800,0x37ffd400,0x07fffec0,0xfc800000,0x7fc004ff,
    0x7d4001ff,0xfffa86ff,0x7fd4001f,0x744000ff,0x40002fff,0x4001ffff,
    0x0006fffa,0x04fffc80,0x00dfff70,0x1ffffa80,0x7fffd400,0x1ffffa80,
    0x7fffd400,0x1ffffa80,0x7fffd400,0x06fff880,0xfeaffff8,0xfff100ff,
    0xf500000f,0x00000dff,0x8805ffff,0x2003ffff,0x4402ffff,0x1003ffff,
    0x0000ffff,0x3fffffe6,0xffffffff,0x1fffffff,0x007fffe8,0x0027fff4,
    0x5013fffa,0x0005ffff,0x7ffe4000,0x7fff4004,0x7fff4004,0x0bfffd04,
    0x1ffff440,0x5fffb800,0x7fff4000,0x7fff4004,0xfe800004,0xffd003ff,
    0xfd00009f,0x74400bff,0x3fa03fff,0x3a2005ff,0x3fa03fff,0x3a2005ff,
    0xff103fff,0xfff700df,0x201fffdb,0x0007fff8,0x06fffa80,0xffff8000,
    0x7fffd802,0x0bfffe00,0x01ffff60,0x003fffc4,0x9dfffc80,0x99999999,
    0xffff9999,0x07fffe84,0x07fffe40,0x1ffffa80,0x17fffe20,0xf9000000,
    0xfc8009ff,0xf5000fff,0x3ee03fff,0xe8805fff,0x20007fff,0x001ffff9,
    0x03ffff20,0x0ffffd40,0xfb800540,0xf9801fff,0x80002fff,0x805ffffb,
    0x407fffe8,0x805ffffb,0x407fffe8,0x805ffffb,0x207fffe8,0x8806fff8,
    0xffffffff,0x0ffff100,0xfff50000,0xff00000d,0xff3005ff,0x3fe007ff,
    0xff9802ff,0xff8803ff,0xff00007f,0x360007ff,0xeed86fff,0x7fc4006e,
    0x7d401eff,0x7ec04fff,0x00000fff,0x27ffe400,0x3fffe200,0x7ffd401e,
    0x3ffe204f,0x3f6204ff,0x20003fff,0x405ffff8,0xffff101a,0xfffa803d,
    0x19f9004f,0x2ffffdc0,0x0ffffc80,0xfff88000,0x3f6204ff,0x7c403fff,
    0x2204ffff,0x403ffffd,0x04fffff8,0x0fffff62,0x006fff88,0xfffffff9,
    0x1fffe201,0x3fea0000,0xf800006f,0xfb002fff,0x3fe00fff,0xffb002ff,
    0xfff100ff,0xff30000f,0x2a0001ff,0x0001ffff,0xfffffb80,0xfdba99ac,
    0x2a00ffff,0x0002ffff,0xfffc8000,0xfffb8004,0xba99acff,0x00fffffd,
    0x7fffffd4,0xfffebabd,0xb80006ff,0x89aeffff,0x2e06fea9,0x9acfffff,
    0xffffdba9,0xfff9000f,0xffd9579d,0x4c181fff,0x004ffffc,0x3fffea00,
    0xfebabdff,0x5006ffff,0x7bffffff,0xfffffd75,0x3ffea00d,0xebabdfff,
    0x406fffff,0x1006fff8,0x1fffffff,0x33fffe20,0xcccccccc,0x2a02cccc,
    0xccccffff,0xcccccccc,0x3fffe02c,0xffff3002,0x5ffff007,0x3fffe600,
    0x7fffc403,0xcccccccc,0x322ccccc,0x20005fff,0x003ffff8,0xffffb000,
    0xffffffff,0x7c403fff,0xffffffff,0xffffffff,0x9701ffff,0xffd99999,
    0x999999df,0x7fffec07,0xffffffff,0xf3001fff,0xffffffff,0x009fffff,
    0x7ffff400,0xffffffff,0x3ffff603,0xffffffff,0x32001fff,0xffffffff,
    0xf82fffff,0xffffffff,0x4c00000f,0xffffffff,0x04ffffff,0x7ffffcc0,
    0xffffffff,0x7fcc004f,0xffffffff,0x8804ffff,0x32006fff,0x00ffffff,
    0xfffffff1,0xffffffff,0x7fd409ff,0xffffffff,0x4fffffff,0x00bfffe0,
    0x806fffe8,0x2002ffff,0x4406fffe,0xffffffff,0xffffffff,0x0ffffa4f,
    0xdfffb000,0x7dc00000,0xffffffff,0x5400cfff,0xffffffff,0xffffffff,
    0xd01fffff,0xffffffff,0xffffffff,0xfffb80df,0xffffffff,0x744000cf,
    0xffffffff,0x00002fff,0x7fffff44,0x03ffffff,0x7fffffdc,0x0cffffff,
    0x7fffdc00,0xefffffff,0xffffff00,0x00003fff,0x3ffffa20,0x2fffffff,
    0xfffd1000,0xffffffff,0x3fa20005,0xffffffff,0xff1002ff,0x7fcc00df,
    0xf100ffff,0xffffffff,0xffffffff,0x7fffd409,0xffffffff,0x204fffff,
    0x2002ffff,0x402ffffa,0x2002ffff,0x202ffffa,0xfffffff8,0xffffffff,
    0xffff34ff,0xffa80001,0x000001ff,0x3ffffb22,0x5002deff,0xffffffff,
    0xffffffff,0x203fffff,0xfffffffe,0xffffffff,0xec8806ff,0xdeffffff,
    0x32e20002,0xcdfffffe,0x2a000000,0xffffffff,0xfd91000c,0x5bdfffff,
    0x7f64c000,0x03deffff,0x7ffffffc,0x4000000d,0xffffecb8,0x40000cdf,
    0xffffecb8,0x40000cdf,0xffffecb8,0x22000cdf,0x6c006fff,0x100fffff,
    0xffffffff,0xffffffff,0x7ffd409f,0xffffffff,0x04ffffff,0x000bfffe,
    0xf80dfffd,0x74002fff,0x3e206fff,0xffffffff,0xffffffff,0x00dfff94,
    0x7ffff100,0x44000000,0xf50001a9,0xffffffff,0xffffffff,0x3a03ffff,
    0xffffffff,0xffffffff,0xa988006f,0x22000001,0x000000a9,0x9acba980,
    0x54c40000,0x31000001,0x54c00133,0x00001acc,0x02a62000,0x53100000,
    0x88000001,0x000000a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33332600,0x4c00002c,0x002ccccc,0x00799970,0x33332a00,0x2a00001c,
    0x99703ccc,0xd7300059,0x0a2017bd,0x99531000,0x00035799,0x00799970,
    0x703eec80,0x800009dd,0x02ccccc9,0x07999700,0x33322000,0xcccccccc,
    0x730000cc,0x22017bdd,0x32600002,0x0002cccc,0x99999300,0xccca8005,
    0x000001cc,0x01e665c0,0x1e665400,0x002cccb8,0xb81e6654,0x10002ccc,
    0x00335553,0x7fffcc00,0x4c00003f,0x003fffff,0xbfffffb0,0x3fee0000,
    0x00000fff,0x4437fff6,0x8005fffd,0xfffffffa,0x0017f443,0x7fffffdc,
    0x05ffffff,0xfffffb00,0x7fe4000b,0x04fff887,0x3ffe6000,0xfb0003ff,
    0x000bffff,0xffffff30,0x3fffffff,0xffff5000,0xfe887fff,0xff980002,
    0x00003fff,0x7fffff30,0x3ffee000,0x000000ff,0xbfffffb0,0xfffb0000,
    0x3fff621b,0xfffb0005,0x3fff621b,0x3fb22005,0xffffffff,0x3e60001e,
    0x0001efff,0x77fffcc0,0xffe88001,0x00dfffff,0xfffe9800,0x3200000f,
    0xffeaefff,0xffa8004f,0xefffffff,0x006fffcb,0x3fffffaa,0xffffffff,
    0x7ff44006,0x00dfffff,0xcefffa80,0x02ffffdb,0xffff3000,0xfd10003d,
    0x1bffffff,0x7ffcc000,0xffffffff,0x7d4001ff,0xffffffff,0x06fffcbe,
    0x7fffcc00,0x3000001e,0x003dffff,0xffffe980,0x22000000,0xfffffffe,
    0x7e40000d,0xfffeaeff,0x7fe40004,0x4fffeaef,0x3fffee00,0xffffffff,
    0xff30001f,0x00001bff,0x0dffff98,0xfffe8800,0x0efffd8c,0xffd88000,
    0x200000ff,0xfffffffc,0xbffd0004,0xfffff933,0x2001dfff,0xfffffffc,
    0xffffffff,0x3ffa2006,0xefffd8cf,0xfffd8000,0x04ffffff,0xffff3000,
    0xfd10001b,0xfffb19ff,0x3220001d,0xcccccccc,0x4000cccc,0xfc99dffe,
    0xefffffff,0x3fe60000,0x00000dff,0x1bffff30,0x3f620000,0x00000fff,
    0x8cfffe88,0x000efffd,0x7ffffe40,0x900004ff,0x9fffffff,0x7fffec00,
    0xffffffff,0xf88001ff,0x00003fff,0x03ffff88,0x5fffd100,0x00efffb8,
    0xdfff7000,0x7dc00001,0x0003ffff,0x3f6613e6,0x000effff,0x39fffff5,
    0x6e54cc13,0xfffd1006,0x0efffb85,0xffffc800,0x00004fff,0x007ffff1,
    0x0bfffa20,0x001dfff7,0x40000000,0xffd984f9,0x0000efff,0x00ffffe2,
    0xfff88000,0x7000003f,0x0001dfff,0x17fff440,0x003bffee,0xfffff700,
    0xfb800007,0x2003ffff,0x9adffffa,0x3d973310,0x35555000,0x2aa00000,
    0x2a0001aa,0x55300aaa,0x4c000055,0x00001aaa,0x000d554c,0x32e60040,
    0x3fe2001b,0x00000eff,0x20155550,0x0002aaa9,0x01599951,0x55554000,
    0x2aaa0001,0x5555300a,0x00000000,0x65cc0080,0xaa80001b,0x000001aa,
    0x000d5554,0x2aaa6000,0x2aa00001,0x555300aa,0x55300005,0x20000035,
    0x4001aaa9,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x000ffffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x000ffff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0017fff2,0x00000000,0x00000000,0x00000000,0x97300000,0x00000157,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,
    0x2660000f,0x44000999,0x26620199,0x99999999,0x09999999,0x4cccc400,
    0x4c400009,0x99999999,0x99999999,0x09999980,0x00ccc400,0x4ccccc40,
    0xfffe8000,0x26000004,0x99999999,0x99999999,0x33333100,0x33333333,
    0x4c013333,0x99999999,0x99999999,0x00066620,0x8004ccc0,0xffffffea,
    0x44000def,0x99999999,0x99999999,0x4cc40009,0x44000999,0x00001999,
    0x80013333,0x00999998,0x01333100,0x40666600,0x99999998,0x99999999,
    0x99819999,0x99999999,0x99999999,0xff109999,0x880005ff,0x005fffff,
    0xe807fff4,0xffffffff,0xffffffff,0x7fe4006f,0x40005fff,0xfffffffe,
    0xffffffff,0x7ffc46ff,0x7f4005ff,0x7e4000ff,0x8005ffff,0x0006fffe,
    0xfffff100,0xffffffff,0x3a09ffff,0xffffffff,0xffffffff,0xffff106f,
    0xffffffff,0x749fffff,0x80000fff,0xfc806fff,0xffffffff,0x3a001fff,
    0xffffffff,0xffffffff,0x7fe4006f,0x64005fff,0x0004ffff,0x01ffffd4,
    0x3fffff20,0xfff50005,0x3ffe000d,0xffffe81f,0xffffffff,0x7fffffff,
    0xfffffff8,0xffffffff,0x6fffffff,0x00fffffa,0xfffff880,0x3ffa000f,
    0xffffd00f,0xffffffff,0x00dfffff,0x7ffffff8,0x7fff4000,0xffffffff,
    0x46ffffff,0x0ffffff8,0x03fffa00,0xffffff00,0xfff9000f,0x1000001f,
    0xffffffff,0xffffffff,0x3fffa09f,0xffffffff,0x06ffffff,0xfffffff1,
    0xffffffff,0x7fff49ff,0xfff80000,0x3fffa205,0xffffffff,0xfd003fff,
    0xffffffff,0xffffffff,0xffff800d,0x7c4007ff,0x0000ffff,0x001bfffa,
    0x1ffffffe,0x37ffd400,0x1ffff800,0xffffffe8,0xffffffff,0xf87fffff,
    0xffffffff,0xffffffff,0x2a6fffff,0x1bffffff,0x7fffc400,0x3fa004ff,
    0xfffd00ff,0xffffffff,0x0dffffff,0x7ffffcc0,0x3a0002ff,0xffffffff,
    0xffffffff,0x7fffc46f,0x3fa004ff,0x3e6000ff,0x02ffffff,0x7ffffd40,
    0x7c400001,0xffffffff,0xffffffff,0xfffffd04,0xffffffff,0x220dffff,
    0xffffffff,0xffffffff,0x07fff64f,0xbfff1000,0x3ffffe20,0xfeb989ce,
    0xe803ffff,0xffffffff,0xffffffff,0x3fe6006f,0x002fffff,0x027fffdc,
    0x2ffffa80,0x7fffcc00,0xa8002fff,0xf0006fff,0xffd03fff,0xffffffff,
    0xffffffff,0xfffff0ff,0xffffffff,0xffffffff,0xffffc8df,0x800befff,
    0xfffffff8,0x1fffd000,0x2aaaaaa0,0xaadfffea,0x2002aaaa,0xfffffffc,
    0x2aaa0005,0xfffeaaaa,0x2aaaaaad,0x7fffffc4,0xfffd000f,0x7ffe4001,
    0x4005ffff,0x3fffffe8,0x3fe20000,0xaaaaabff,0x1aaaaaaa,0x55555550,
    0x555bfffd,0x3e205555,0xaaaabfff,0xaaaaaaaa,0x007fff21,0x09fff100,
    0x013ffff2,0x01fffff7,0xaaaaaaa8,0xaaadfffe,0x32002aaa,0x5fffffff,
    0xffffe800,0xfffe8001,0xfffc8006,0x8005ffff,0x0006fffa,0x9703ffff,
    0x99999999,0xffb99999,0x555509ff,0xffd55555,0x555555bf,0xfff50555,
    0x7dffffff,0x7ffffc40,0xffd004ff,0xff90001f,0x3e00009f,0x7fffbfff,
    0xff900000,0x7fc4009f,0x004fffff,0x4001fffd,0xfffbffff,0xfff88007,
    0x000bffff,0x03fffc40,0xff900000,0xff10009f,0xf90000ff,0x980005ff,
    0xff884fff,0xff7004ff,0x640007ff,0x00004fff,0xfff7ffff,0xfff5000f,
    0xffb800bf,0xff8001ff,0x07fffbff,0x06fffa80,0x03ffff00,0xfffe8000,
    0xff90000f,0x5c40009f,0xfffffffe,0xfff881ef,0x800ffffe,0x8000fffe,
    0x0004fffc,0xff5fff98,0x000005ff,0x4009fff9,0xfffefff8,0xfffe800f,
    0xbfff3000,0x000bfffe,0x3fffffe6,0x10001cff,0x0000ffff,0x27ffe400,
    0x3fffc400,0x7ffdc000,0x7fcc0002,0x5fffd83f,0x3fffe400,0x9fff9000,
    0xfff30000,0x00bfffeb,0x07ffff60,0x05ffff80,0xf5fff980,0xa8005fff,
    0xf0006fff,0x00003fff,0x017fffdc,0x09fff900,0x3ff26000,0x42ffffff,
    0xffcefff8,0xfffe803f,0xfffc8000,0xffc80004,0x09fffb3f,0xfff90000,
    0x7ffc4009,0x803fffce,0x9000fffe,0x3ff67fff,0xfb10004f,0xdfffffff,
    0xfff88005,0x20000007,0x8004fffc,0x0007fff8,0x003fffb8,0x217ffcc0,
    0x002ffff9,0x017fffcc,0x04fffc80,0x3fffc800,0x0009fffb,0x00dffff3,
    0x003fffee,0x6cffff20,0x54004fff,0xf0006fff,0x00003fff,0x013fffe6,
    0x09fff900,0xff930000,0x7c41ffff,0x7fff9eff,0x00fffe80,0x04fffc80,
    0x0ffff800,0x000ffff5,0x09fff900,0x4f7ffc40,0xfe807fff,0xfff000ff,
    0x1fffea1f,0xfffb3000,0x03dfffff,0x01fffe20,0xffc80000,0xff88004f,
    0xfa80007f,0x540003ff,0x7fec2fff,0xffd0007f,0x3f2000df,0xf80004ff,
    0xfff50fff,0x3ff2000f,0x7fc402ff,0xff0004ff,0x3ffea1ff,0x7ffd4007,
    0xffff0006,0x3fa00003,0x40000fff,0x0004fffc,0x3fff6200,0x5bffe23f,
    0x7403fffe,0xc8000fff,0x40004fff,0x3e26fff9,0x00002fff,0x0027ffe4,
    0x3fadfff1,0x7ff403ff,0xfff9800f,0x0bfffe26,0x3ff22000,0x04ffffff,
    0x007fff88,0x3ff20000,0xff88004f,0xfa80007f,0x540004ff,0x7ff41fff,
    0xff90004f,0x3f2000ff,0x4c0004ff,0x3fe26fff,0xf88002ff,0x7e406fff,
    0x98000fff,0x3fe26fff,0x3ea002ff,0xff0006ff,0x700003ff,0x0005ffff,
    0x009fff90,0xfffd0000,0xab7ffc4b,0x7f406fff,0xfc8000ff,0x640004ff,
    0x7fec3fff,0x6400004f,0x22004fff,0xfff56fff,0x0fffe80d,0x43fffc80,
    0x0004fffd,0x7ffff5c0,0x7fc405ff,0x0000007f,0x0013fff2,0x001fffe2,
    0x013ffe60,0x43fff700,0x001ffff8,0x01ffff30,0x09fff900,0x3fffc800,
    0x0027ffec,0x03ffffb8,0x007ffff1,0xb0ffff20,0x54009fff,0xf0006fff,
    0x80003fff,0x005ffff9,0x09fff900,0xff700000,0x37ffc4bf,0x7405ffff,
    0xc8000fff,0x40004fff,0x7dc1ffff,0x400007ff,0x2004fffc,0x3fe6fff8,
    0x3ffa02ff,0xffff800f,0x03fffdc1,0xffea8000,0x3e203fff,0x000007ff,
    0x013fff20,0x01fffe20,0x13ffe200,0xf702f744,0x7ffd41ff,0xff10000f,
    0xf90003ff,0xf80009ff,0x7fdc1fff,0x3fa0007f,0xfff907ff,0x7ffc000d,
    0x3fffdc1f,0x0dfff500,0x07fffe00,0xffffd000,0x3f200001,0x000004ff,
    0x224fffc8,0x3ff26fff,0x3fffa06f,0xfffc8000,0x3fe60004,0xffff886f,
    0x3f200001,0x3e2004ff,0x3fff26ff,0x03fffa06,0x10dfff30,0x0003ffff,
    0x7fffe400,0xffff100f,0x64000000,0x88004fff,0x80007fff,0xf505fff8,
    0x3ff205ff,0x1fffee0f,0x3ffff000,0x9fff9000,0x7ffcc000,0x1ffff886,
    0xffff5000,0x2ffff887,0xdfff3000,0x03ffff10,0x01bffea0,0x00ffffc0,
    0x5ffff700,0x7fe40000,0x0002004f,0x88ffffe6,0x3fe26fff,0xfffd01ff,
    0xfff90001,0x7fe40009,0x9fffd04f,0x7fe40000,0x3fe2004f,0x3fffe26f,
    0x01fffd01,0xd04fffc8,0x00009fff,0x2ffffb80,0x00ffff10,0x7fe40000,
    0xff88004f,0xff00007f,0x3fff60bf,0xb8fff904,0x40007fff,0x8002ffff,
    0x0004fffc,0x7413fff2,0x20004fff,0x360ffffe,0x20005fff,0xfd04fffc,
    0x3ea009ff,0xff0006ff,0x220003ff,0x0005ffff,0x027ffe40,0x3559df90,
    0xffb53313,0xfff88dff,0x82fffe46,0x8000fffe,0x0004fffc,0x5c07fffe,
    0x00007fff,0x8013fff2,0x7e46fff8,0xfffd05ff,0x1ffff801,0x00ffff70,
    0xffff0000,0x3fffe209,0xffffffff,0x0007ffff,0x0009fff9,0xfffffff1,
    0xffffffff,0x0dfff0ff,0x20fffff1,0x7fe47ffd,0x7f40006f,0xfc8003ff,
    0x3e0004ff,0xff701fff,0x7cc000ff,0xfff33fff,0x7fc0003f,0xfff701ff,
    0x3ffea00f,0xffffffff,0xffffffff,0xfd0001ff,0x00001fff,0x004fffc8,
    0x3ffffff2,0xffffffff,0x7ffc41ff,0x0ffffc46,0x0007fff4,0x0027ffe4,
    0x207fff98,0x001ffff9,0x09fff900,0x237ffc40,0xe81ffff8,0x3e600fff,
    0x3fe607ff,0x000001ff,0x882fffec,0xffffffff,0xffffffff,0xfff90007,
    0xfff10009,0xffffffff,0xd0ffffff,0xfff50dff,0xfffb05ff,0x006fffc8,
    0x027fff40,0x027ffe40,0x07fff980,0x007fffe6,0x8ffffd80,0x0004fffd,
    0x981fffe6,0xa801ffff,0xffffffff,0xffffffff,0x001fffff,0x02ffffb8,
    0xfffc8000,0x3fff2004,0xffffffff,0xf880efff,0xfffd86ff,0x00fffe85,
    0x04fffc80,0x09fff900,0x004fffe8,0x09fff900,0x437ffc40,0xfe85fffd,
    0x3ff200ff,0x7fff404f,0x6c000004,0xff104fff,0xffffffff,0x0fffffff,
    0x13fff200,0x3fffe200,0xffffffff,0xfe87ffff,0xffffd87f,0x46ffd85f,
    0x0006fffb,0x001ffff4,0x0027ffe4,0x404fffc8,0x0004fffe,0x3f7fffe2,
    0x20000fff,0x7404fffc,0xfa804fff,0xffffffff,0xffffffff,0x4001ffff,
    0x005ffff8,0x9fff9000,0x7ff6d400,0xffffffff,0x3ffe201d,0x0ffff986,
    0x0007fff4,0x0027ffe4,0x402ffff8,0x0007fffc,0x009fff90,0x4c37ffc4,
    0x7f40ffff,0x3ffe00ff,0x7ffe402f,0x7c000007,0xff102fff,0x999999ff,
    0x09999999,0x13fff200,0x3fffe200,0xcccccccc,0xfd84cccc,0xfefff87f,
    0x2fff40ff,0x001fffea,0x007ffff0,0x009fff90,0x00bfffe0,0x000ffff9,
    0xffffffc8,0x7fc0003f,0x7fe402ff,0xfffa807f,0xcccccccf,0xffcccccc,
    0x7ec001ff,0x00000fff,0x009fff90,0x2aaa6620,0xff1000aa,0x3fff60df,
    0x007fff44,0x027ffe40,0x03fffcc0,0x00ffffcc,0x27ffe400,0x0dfff100,
    0xfd13fff6,0x3fe601ff,0xfff9807f,0x9000001f,0x2201ffff,0x00007fff,
    0x13fff200,0x1fffe200,0x3ffec000,0x3febffea,0x22fff42f,0x0007fffa,
    0x00bfffe2,0x013fff20,0x01fffe60,0x007fffe6,0xfffff880,0x7cc0006f,
    0xff9807ff,0x7fd401ff,0xfff0006f,0x7fdc003f,0x000002ff,0x0013fff2,
    0xff100000,0x3ffe60df,0x03fffa0f,0x13fff200,0x17fff200,0x027fffc0,
    0x27ffe400,0x0dfff100,0xe83fffe6,0xff900fff,0x3ffe00bf,0x0037304f,
    0x6ffffc88,0x01fffe20,0xffc80000,0xff88004f,0xf900007f,0x67fec1ff,
    0x7fc5fff8,0x7fffcc4f,0xfff10000,0xff90003f,0xff90009f,0x3ffe00bf,
    0x7dc0004f,0x0002ffff,0x802fffe4,0x5404ffff,0xf0006fff,0x22003fff,
    0x0005ffff,0x27ffe400,0x33330000,0x1bffe200,0x3a4fffe8,0xc8000fff,
    0xf8004fff,0xf9002fff,0x90000dff,0x44009fff,0x3fa06fff,0x3fffa4ff,
    0x05ffff00,0x41bfff20,0xbccdfffa,0xffdcbaaa,0x2200efff,0x00007fff,
    0x13fff200,0x1fffe200,0x7ffe4000,0x7ecbffe0,0x13ffe0ff,0x003ffff1,
    0x01fffea0,0x027ffe40,0x017fffc0,0x006fffc8,0x06fffe80,0x2ffff800,
    0x0dfff900,0x006fffa8,0x003ffff0,0x003ffff6,0xfff90000,0x3e600009,
    0xff1005ff,0x7ffd40df,0x003fffa7,0x013fff20,0x9bffff30,0x99999999,
    0x003ffffb,0x04fffc80,0x81bffe20,0x3fa7fffa,0xfff980ff,0xccccccdf,
    0xffffdccc,0xfffffa81,0xffffffff,0x400effff,0x0007fff8,0x3fff2000,
    0xfff88004,0xff700007,0x43ffea3f,0x3fe3fffa,0x4ffff83f,0xdfffb000,
    0x3fff2000,0x7ffcc004,0xccccccdf,0xffffdccc,0x7fe40001,0x7cc0004f,
    0xccccdfff,0xffdccccc,0x3fea01ff,0xfff0006f,0xfff5003f,0x0000005f,
    0x0009fff9,0x00fffee0,0x2037ffc4,0xffd3fffe,0xff90001f,0xffc8009f,
    0xffffffff,0xffffffff,0x7e40004f,0x3e2004ff,0x7ff406ff,0x01fffd3f,
    0xfffffff9,0xffffffff,0xf509ffff,0xffffffff,0xbfffffff,0xffff1001,
    0x64000000,0x88004fff,0x00007fff,0x3f25fff5,0x57ffe25f,0xfd83fff8,
    0xf88007ff,0x90004fff,0xc8009fff,0xffffffff,0xffffffff,0x40004fff,
    0x0004fffc,0x7fffffe4,0xffffffff,0x204fffff,0x0006fffa,0x8803ffff,
    0x0005ffff,0x9fff9000,0x3ff60000,0xfff1000f,0x6fffb80d,0x0001fffd,
    0x8009fff9,0xffffffff,0xffffffff,0x0006ffff,0x0027ffe4,0xb80dfff1,
    0xfffd6fff,0xffffff01,0xffffffff,0x0dffffff,0xfffffb71,0x7dffffff,
    0x7ffc4003,0x20000007,0x8004fffc,0x0007fff8,0x3e5fff50,0x7ffec2ff,
    0xa82fff88,0x4001ffff,0x000ffffa,0x009fff90,0xfffffff8,0xffffffff,
    0x006fffff,0x027ffe40,0x3ffffe00,0xffffffff,0x6fffffff,0x01bffea0,
    0x00ffffc0,0x003ffff6,0x7fe40000,0xfd00004f,0x7fc400df,0xffff806f,
    0x000fffea,0x004fffc8,0x3fffffe6,0xffffffff,0x1fffffff,0x3fff2000,
    0x3ffe2004,0xaffff806,0x7cc0fffe,0xffffffff,0xffffffff,0x4401ffff,
    0xffffba99,0xfff10000,0x4000000f,0x8004fffc,0x0007fff8,0xf37fff30,
    0xfffa81ff,0xd02fff9b,0x4400bfff,0x0003fffe,0x8013fff2,0xfffffff9,
    0xffffffff,0x01ffffff,0x13fff200,0xffff9800,0xffffffff,0xffffffff,
    0xdfff501f,0x3fffe000,0x3fffea01,0x20000002,0x0004fffc,0x004fff88,
    0x201bffe2,0xffedfffb,0xffc8000f,0x3ff2004f,0x999999df,0xf9999999,
    0x20004fff,0x2004fffc,0xb806fff8,0xfffedfff,0x4efffe40,0x99999999,
    0xffff9999,0x7ffcc004,0x3fe20005,0x0000007f,0x0013fff2,0x001fffe2,
    0x65fffcc0,0xfff885ff,0x701fff9e,0x100bffff,0x000ffffd,0x004fffc8,
    0x2677fff2,0x99999999,0x4ffff999,0x3fff2000,0x3ff20004,0x999999df,
    0xf9999999,0xff504fff,0x3fe000df,0xfff101ff,0x000000bf,0x004fffc8,
    0x01fffa80,0x01bffe20,0x3fffffe2,0xfc8000ff,0x3fe004ff,0xfb0003ff,
    0x64000dff,0x22004fff,0xf8806fff,0x0fffffff,0x001ffffc,0x006fffd8,
    0x0017ffdc,0x00ffff10,0x7fe40000,0xff88004f,0xf100007f,0x05ffd9ff,
    0x3feffff6,0xffff101f,0x7fec409f,0x640003ff,0x3e004fff,0xb0003fff,
    0x4000dfff,0x0004fffc,0x000ffffe,0xa837ffec,0xf0006fff,0x3f603fff,
    0x00000fff,0x27ffe400,0x2f75c000,0x1bffe200,0x7ffffe40,0xfc8000ff,
    0xff3004ff,0x2a0001ff,0x0001ffff,0x4009fff9,0x9006fff8,0x1fffffff,
    0x007fffcc,0x1ffffa80,0x03fff600,0x7fff8800,0x32000000,0x88004fff,
    0x00007fff,0xfffdfff1,0x3bffea01,0x3ea00fff,0xabdfffff,0x6fffffeb,
    0xfffc8000,0xffff3004,0x3fea0001,0xf90001ff,0x260009ff,0x0000ffff,
    0x503ffff5,0x2000dfff,0xfa81ffff,0x00002fff,0x4fffc800,0x40000000,
    0x1006fff8,0x1fffffff,0x333332e0,0xccefffec,0x3f23cccc,0x220005ff,
    0x2e03ffff,0xfecccccc,0xccccceff,0x37ffc43c,0xfffff880,0x3fff20ff,
    0x3fe20005,0x3fe003ff,0x7c40006f,0xcccccfff,0xcccccccc,0x99999702,
    0x99dfffd9,0x22079999,0xccccffff,0xcccccccc,0xfffff82c,0x7fffc05f,
    0x7cc00fff,0xffffffff,0x004fffff,0x3333332e,0xcccefffe,0x3ff23ccc,
    0x3e20005f,0x90003fff,0x20009fff,0x0005fffc,0x20ffffe2,0x0006fffa,
    0xf883ffff,0xffffffff,0xffffffff,0x8001ffff,0x0004fffc,0x7fc40000,
    0x3ff2006f,0xfd00ffff,0xffffffff,0xffffffff,0x01ffff4d,0x1bfff600,
    0xffffffe8,0xffffffff,0x7fc46fff,0x3ff2006f,0x3fa0ffff,0x6c0003ff,
    0xf1006fff,0x880009ff,0xffffffff,0xffffffff,0xffffd04f,0xffffffff,
    0x20dfffff,0xfffffff8,0xffffffff,0xffff84ff,0x7fe402ff,0xd1007fff,
    0xffffffff,0xe8005fff,0xffffffff,0xffffffff,0x0ffffa6f,0xdfffb000,
    0x3fff2000,0xfffd0004,0xffd80007,0x6fffa86f,0x3ffff000,0xffffffa8,
    0xffffffff,0x1fffffff,0x4fffc800,0x40000000,0x2006fff8,0x0ffffff9,
    0xffffffd0,0xffffffff,0x3fe6dfff,0x540000ff,0xfd01ffff,0xffffffff,
    0xffffffff,0x06fff88d,0x3ffffe60,0x1ffff30f,0xfffa8000,0xfffa801f,
    0x7fc40001,0xffffffff,0x4fffffff,0xffffffd0,0xffffffff,0x3e20dfff,
    0xffffffff,0xffffffff,0xfffffe84,0x7fffcc00,0x32e2007f,0xcdfffffe,
    0xfffe8000,0xffffffff,0x36ffffff,0x0001ffff,0x01ffffa8,0x04fffc80,
    0x0ffff980,0x7ffd4000,0x37ffd41f,0x1ffff800,0x7fffffd4,0xffffffff,
    0x1fffffff,0x4fffc800,0x40000000,0x4006fff8,0x00fffffd,0xfffffffd,
    0xffffffff,0x3fff2dff,0xff880006,0xfffd03ff,0xffffffff,0x8dffffff,
    0x4006fff8,0x90fffffd,0x0000dfff,0x007ffff1,0xff100000,0xffffffff,
    0x9fffffff,0x3fffffa0,0xffffffff,0xf106ffff,0xffffffff,0xffffffff,
    0xbffffd09,0x3ffffe00,0x2a620006,0xffe80000,0xffffffff,0x6fffffff,
    0x000dfff9,0x07ffff10,0x09fff900,0x0dfff900,0xffff1000,0x06fffa87,
    0x83ffff00,0xfffffffa,0xffffffff,0x01ffffff,0x04fffc80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c5eed80,0x000005ee,
    0x59975100,0x53100015,0xdddddd97,0x00000bdd,0x00799997,0x2a00e5c4,
    0x8000003c,0x01deeeeb,0x81e66540,0x1002cccb,0x99999999,0x00199999,
    0x99993000,0xcb800059,0x220003cc,0x1e5401cb,0x3332e000,0x32a00003,
    0x999503cc,0x77640005,0x009dd703,0xd703eec8,0x6440009d,0xcccccccc,
    0x1000cccc,0x99999999,0x00199999,0x33333322,0x0ccccccc,0x00006200,
    0x3ea00000,0x7ffe44ff,0x70000002,0xfffffffb,0xa8037dff,0xfffffffe,
    0x06ffffff,0x7ffe4000,0x3fa000df,0xfff502ff,0x5c00000d,0x001effff,
    0x21bfffb0,0x005fffd8,0x3fffffe6,0x1fffffff,0x7fcc0000,0x40003fff,
    0x05fffffd,0x05fffd00,0x001bffea,0x2fffffec,0xfffb0000,0x2fffec1b,
    0x1fff2000,0x0013ffe2,0xff10fff9,0x7cc0009f,0xffffffff,0x3001ffff,
    0xffffffff,0x003fffff,0x3fffffe6,0x1fffffff,0x03fff700,0x40000000,
    0x7cc0fffe,0x000005ff,0x7fffff44,0xffffffff,0xffffd306,0xffffffff,
    0x0000dfff,0x027fffe4,0x17fffe60,0x007fffec,0x7ffdc000,0x640000df,
    0xffeaefff,0x7fcc004f,0xffffffff,0x00001fff,0x07bfffe6,0xfffe8800,
    0x000dffff,0x417fffe6,0x000ffffd,0x3fffffa2,0x00000dff,0xfd5ffff9,
    0x50000bff,0xfb79dfff,0xa8005fff,0xfdbcefff,0x20002fff,0xfffffff9,
    0x01ffffff,0xffffff30,0x3fffffff,0x3fffe600,0xffffffff,0xfff8801f,
    0x0000007f,0x0bfff300,0x0003fff6,0x7fffd400,0xffffffff,0xffb86fff,
    0xefffffff,0x6fffdccc,0xfff90000,0xff10003f,0x3ff209ff,0x400000ff,
    0x003ffffb,0x3ffff200,0x88004fff,0xcccccccc,0x000ccccc,0xbffff300,
    0x7f440001,0xfffd8cff,0xfff1000e,0x3fff209f,0xffd1000f,0xdfffb19f,
    0x3ee00001,0x04ffffff,0x3fff6000,0x04ffffff,0xfffffb00,0x0009ffff,
    0xcccccc88,0x0ccccccc,0x99999100,0x99999999,0x33322001,0xcccccccc,
    0xff8800cc,0x00002fff,0xfffc8000,0x09fff502,0xfff90000,0x3337bfff,
    0x98dffb75,0xffffffff,0x7ffcc4ff,0xffc80006,0x320000df,0xfd100fff,
    0xb800009f,0x3311ffff,0xffb80003,0x00003fff,0x88000000,0x0003ffff,
    0x217fff44,0x000efffb,0x2201fff9,0xd1004ffe,0xffb85fff,0x700000ef,
    0x007fffff,0xffff9000,0x80009fff,0xfffffffc,0x00000004,0x00000000,
    0xd8000000,0x0003ffff,0x7fc40000,0x7fff406f,0x3ea00000,0x1004ffff,
    0x7fffc4b7,0x4fffffff,0x0037ffcc,0x00aaaa20,0x40054400,0x5400001a,
    0x3f60dfff,0xa980005f,0x000001aa,0x55000000,0x50000355,0x2a601555,
    0x2a2002aa,0x2001a800,0x5300aaaa,0x40000555,0x0001aaa9,0x3332a200,
    0x5100000a,0x00015999,0x00000000,0x00000000,0x3ffe2000,0x0000003f,
    0x01fffdc0,0x000fffee,0x2ffffe80,0x7ffe4000,0xffffffff,0x037ffcc4,
    0x00000000,0x00000000,0x017ffc40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e400000,0x000001ff,0x07fff400,0x01bffe20,0x7fffdc00,0xffe80001,
    0xffffffff,0x37ffcc4f,0x00000000,0x00000000,0x07ffd400,0x20000000,
    0x00009998,0x00013331,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33330000,0x33333333,0x20133333,0x99999998,0x99999999,
    0x4c400099,0x00009999,0x0003ffee,0xffa80000,0xfffb004f,0xff880003,
    0xf00005ff,0xffffffff,0xff989fff,0x2620006f,0x99999999,0x33109999,
    0x26000033,0x00000999,0x2002ffec,0x99999999,0x99999999,0x37ffd409,
    0x2fffe800,0x99999988,0x99999999,0x20199999,0x99999998,0x99999999,
    0x33310099,0x33333333,0x21333333,0x00019998,0x10133330,0x33333333,
    0x33000001,0x33333333,0x13333333,0x99998800,0x7c400009,0xffffffff,
    0xffffffff,0xfffffd04,0xffffffff,0x800dffff,0x05fffffc,0x017ffa00,
    0xfb000000,0x3e6003ff,0x640005ff,0x0001ffff,0xffffff98,0x44ffffff,
    0x0006fff9,0x3ffffff2,0x4fffffff,0x009ffff9,0x3ffffa80,0x5554c000,
    0x22002fff,0xffffffff,0xffffffff,0x37ffd44f,0x2fffe800,0xffffffe8,
    0xffffffff,0x207fffff,0xfffffffe,0xffffffff,0xfffd06ff,0xffffffff,
    0x2dffffff,0x004ffffc,0x1ffffd40,0x7fffffd4,0xacdeffff,0xfff10000,
    0xffffffff,0x09ffffff,0xfffffc80,0x7fc40005,0xffffffff,0x4fffffff,
    0xffffffd0,0xffffffff,0xf800dfff,0x007fffff,0x07fff54c,0x10000000,
    0xe800dfff,0x20000fff,0x0005fffe,0xffffff50,0x89ffffff,0x0006fff9,
    0x3ffffffe,0x4fffffff,0x01fffff1,0x37fff400,0x7ff6d400,0x00ffffff,
    0x3ffffe20,0xffffffff,0x7d44ffff,0xfd0006ff,0xfffd05ff,0xffffffff,
    0xffffffff,0x7ffff40f,0xffffffff,0xd06fffff,0xffffffff,0xffffffff,
    0x3fffe2df,0x3fa0000f,0xfff506ff,0xffffffff,0x0005ffff,0xfffffff1,
    0xffffffff,0xff8009ff,0x0007ffff,0x7fffffc4,0xffffffff,0xffd04fff,
    0xffffffff,0xdfffffff,0x7fffcc00,0x3e002fff,0x0002ffff,0x7fe40000,
    0x7fd4002f,0x3fe0003f,0x100002ff,0xffffffff,0xf989ffff,0xf50006ff,
    0xffffffff,0x5c9fffff,0x0004ffff,0x005ffff5,0xffffffc8,0x01efffff,
    0xffffff10,0xffffffff,0xffa89fff,0xffd0006f,0xffffd05f,0xffffffff,
    0xffffffff,0x7fffff40,0xffffffff,0xfd06ffff,0xffffffff,0xffffffff,
    0x27fffdcd,0xffffa800,0xfffff502,0xffffffff,0x4001bfff,0xfffffff8,
    0xffffffff,0x3e6004ff,0x02ffffff,0x3fffe200,0xaaaaaaab,0x501aaaaa,
    0xfd555555,0x55555bff,0x7fe40055,0x005fffff,0x00037ffe,0x3fe00000,
    0xfff0007f,0x3fe2000f,0x200001ff,0xffffffff,0x7cc4ffff,0xfd0006ff,
    0x33ffffdf,0xe8133333,0x8001ffff,0x2006fffe,0xffffffe9,0xffffffff,
    0xffff8803,0xaaaaaaab,0x541aaaaa,0xd0006fff,0x99705fff,0x99999999,
    0xfffb9999,0x5555409f,0xdfffeaaa,0x02aaaaaa,0xd5555555,0x5555bfff,
    0xfffe8555,0xffe8001f,0x3ffea06f,0xdcbaaaaf,0x3ffffffe,0x7ffff100,
    0x55555555,0x40035555,0xfffffffc,0x3fe20005,0x0000007f,0x0013fff2,
    0x7dffffc0,0x2ae007ff,0x00000000,0x007fff50,0x00bfff20,0x03fffea0,
    0xfffe8000,0xffffffff,0x037ffcc4,0x7dfffcc0,0x7d4007ff,0x5c005fff,
    0x1001ffff,0x379fffff,0x3fffffee,0x7ffc401f,0xff500007,0x3fa000df,
    0x400002ff,0x000ffffe,0x009fff90,0x4fffc800,0x3fffea00,0x7ffdc005,
    0x3ffea01f,0xfffe9806,0xff8800ff,0x8000007f,0xfffbffff,0x3fe20007,
    0x0000007f,0x0013fff2,0x7d7ffe60,0x00002fff,0x006aa620,0x0fffe800,
    0xdfff1000,0xffff7000,0xffb80000,0xffffffff,0x37ffcc4f,0x47ffe400,
    0xd8007fff,0x2001ffff,0x2005ffff,0xd82ffffc,0xfffffeff,0x1fffe200,
    0x7ffd4000,0xfffd0006,0x7dc00005,0x20002fff,0x0004fffc,0x027ffe40,
    0x07ffff60,0x05ffff80,0x0037ffd4,0x00bffff7,0x000ffff1,0x5fff9800,
    0x0005ffff,0x001fffe2,0xfffc8000,0xffc80004,0x09fffb3f,0x11fff600,
    0xbffffffb,0x7fcc0001,0x7ec0005f,0x7e4001ff,0x800006ff,0xfffffffe,
    0x7fcc4fff,0x7fc4006f,0x00ffff4f,0x0dffff30,0x03fffee0,0x0ffffcc0,
    0x7dd7ffc4,0x3e203fff,0x500007ff,0x2000dfff,0x0002fffe,0x09ffff30,
    0x4fffc800,0x7fe40000,0x7fcc004f,0xff7006ff,0xffa801ff,0x7fdc006f,
    0x7fc401ff,0x4000007f,0xffb3fffc,0x3e20009f,0x000007ff,0x013fff20,
    0x43fffe00,0x0007fffa,0x3ea1fffb,0xffffffff,0xffb0002f,0xfa80003f,
    0x7ec004ff,0x800005ff,0xfffffff8,0x7fcc4fff,0x7fdc006f,0x00ffff1f,
    0x0bffff20,0x09ffff10,0x827ffec0,0xffb0fffa,0x7ffc40df,0xff500007,
    0x3fa000df,0xd00002ff,0x0001ffff,0x004fffc8,0x27ffe400,0x7fffe400,
    0x7fffc402,0x6fffa804,0x7fffc400,0x3fffc406,0x3fe00000,0xffff50ff,
    0x3ffe2000,0x20000007,0x0004fffc,0xf137ffcc,0xb0005fff,0xfff71fff,
    0xffffffff,0xff88001f,0xfd00006f,0x7ec001ff,0x000006ff,0xffffffd5,
    0xfff989ff,0x37ff4006,0x2000ffff,0x406ffff8,0x000ffffc,0x203ffff1,
    0x3fe65ffd,0xfff101ff,0x3ea0000f,0xfd0006ff,0x700005ff,0x0005ffff,
    0x009fff90,0x4fffc800,0xffff8800,0x7fffe406,0x6fffa800,0xffffb800,
    0x1fffe201,0xff980000,0x3fffe26f,0xfff88002,0x20000007,0x0004fffc,
    0x361fffe4,0xd8004fff,0xffffcfff,0xfffda99b,0x7fdc004f,0xf700003f,
    0x7e4007ff,0x000007ff,0x7fffffdc,0x37ffcc4f,0x47fff300,0x20007fff,
    0x103ffffb,0x4007ffff,0xf106fff9,0xffff85ff,0x0ffff102,0x3ffea000,
    0xfffd0006,0xff980005,0x900005ff,0x00009fff,0x004fffc8,0x07ffff70,
    0x00ffffe2,0x0037ffd4,0x01ffffc4,0x000ffff1,0x1fffe400,0x0013fff6,
    0x001fffe2,0xfffc8000,0x7ffc0004,0x3fffdc1f,0x7fffec00,0xff900dff,
    0x7f4001ff,0x100000ff,0x5c00dfff,0x0000ffff,0x7fedc400,0x7ffcc4ff,
    0x3fff2006,0x001fffe0,0x20ffffd0,0x4006fffc,0xf504fffa,0xfffe81ff,
    0x0ffff103,0x3ffea000,0xfffd0006,0xffe80005,0x900000ff,0x00009fff,
    0x004fffc8,0x41ffffa0,0x2006fffc,0x0006fffa,0x4409fffd,0x00007fff,
    0x707fffe0,0x1000ffff,0x0000ffff,0x27ffe400,0xdfff3000,0x03ffff10,
    0xfffffd80,0x7fffc405,0x9fff5001,0xffc80000,0xfff5002f,0x0000001f,
    0x7cc19998,0xff1006ff,0x07fff8bf,0x7fffd400,0x17fffc43,0x0fffee00,
    0x7e42ffec,0xfff104ff,0x3ea0000f,0xfd0006ff,0x5c0005ff,0x0002ffff,
    0x013fff20,0x9fff9000,0x7ffd4000,0x7fffc43f,0x3ffea002,0xfffb0006,
    0x3fffc40b,0xff980000,0xffff886f,0x7ffc4001,0x20000007,0x0004fffc,
    0x7413fff2,0x6c004fff,0xb005ffff,0x36005fff,0x00000fff,0x802fffcc,
    0x002ffff9,0x26000000,0xf7006fff,0x7fff85ff,0xfffe8000,0x17fff60f,
    0x0bfff600,0x2e0bffe2,0xff105fff,0x2a0000ff,0xd0006fff,0x20005fff,
    0x005ffff8,0x27ffe400,0x3ff20000,0x7f40004f,0x3ff60fff,0x7fd4005f,
    0xff90006f,0x7ffc40df,0xf9000007,0x3ffa09ff,0x7fc4004f,0xffffffff,
    0x07ffffff,0x09fff900,0x0ffffc00,0x007fffb8,0x0077ffec,0x803fffc8,
    0x0005fff9,0x01fffd00,0x0bffff10,0x40000000,0xd006fff9,0xffff0fff,
    0x3ddddddd,0x7ffff300,0x007fffe6,0x20ffff60,0xfb80fffa,0xfff104ff,
    0xffffffff,0x50ffffff,0x2000dfff,0x0002fffe,0x001ffffd,0x4fffc800,
    0x7fe40000,0x7cc0004f,0xfff33fff,0xffa8003f,0xff70006f,0x7ffc40ff,
    0xffffffff,0x807fffff,0xf701ffff,0xf8800fff,0xffffffff,0x7fffffff,
    0x9fff9000,0x3ffe6000,0x3fffe607,0x3fff6001,0x3fff2003,0x2fffc804,
    0xff500000,0x3ff6009f,0x000001ff,0xdfff3000,0x09fff300,0xffffffff,
    0x36003fff,0xffd8ffff,0xff90004f,0x0bffb09f,0x440ffff2,0xffffffff,
    0xffffffff,0x06fffa87,0x05fffd00,0x5ffff700,0xff900000,0xc800009f,
    0x80004fff,0xfd8ffffd,0xfa8004ff,0xf50006ff,0x3e201fff,0xffffffff,
    0x7fffffff,0x03fffcc0,0x003ffff3,0x7fffffc4,0xffffffff,0xf90007ff,
    0x320009ff,0x7f404fff,0x3f6004ff,0x3ee003ff,0x7fc404ff,0x4000006f,
    0xf5007fff,0x0000bfff,0x3fe60000,0xfffd806f,0xffffff80,0x001fffff,
    0xffbffff1,0x320001ff,0x7fc45fff,0x5fffb02f,0x3ffffe20,0xffffffff,
    0xffa87fff,0xffd0006f,0xff88005f,0x000005ff,0x0009fff9,0x04fffc80,
    0xffff8800,0x000ffffd,0x006fffa8,0x01ffff50,0x3fffffe2,0xffffffff,
    0x7fe407ff,0x7fff404f,0x3ffe2004,0xcccccccf,0x004ccccc,0x009fff90,
    0x00bfffe0,0x400ffff9,0x2003fffd,0x5c04fffb,0x00003fff,0x017ffdc0,
    0x01ffffe8,0x98000000,0x7c406fff,0xffff05ff,0x19999999,0x7fffe400,
    0x20003fff,0x7d46fffb,0xfffd00ff,0x3fffe203,0xcccccccc,0xfa84cccc,
    0xfd0006ff,0xfd8005ff,0x00000fff,0x009fff90,0x4fffc800,0xfff90000,
    0x0007ffff,0x001bffea,0x103fffd4,0x9999ffff,0x99999999,0x2ffff809,
    0x03fffe40,0x00ffff10,0x7fe40000,0xff98004f,0xfff9807f,0xfffb001f,
    0x7ffdc007,0x07fff404,0x3e200000,0xff7006ff,0x00007fff,0xfff98000,
    0x17ffdc06,0x0007fff8,0x3ffffe20,0x7cc0006f,0x3ff60fff,0x0ffff305,
    0x003fffc4,0x06fffa80,0x05fffd00,0x17fffdc0,0xff900000,0xc800009f,
    0x00004fff,0xdffffff1,0x7ffd4000,0xfff70006,0x3fffc40f,0x3fe60000,
    0xfff9807f,0xfff1001f,0x4000000f,0x8004fffc,0xf005fffc,0x36009fff,
    0x2e003fff,0x3e604fff,0x000004ff,0x003fffb0,0x37fffffa,0x006da800,
    0x1bffe600,0x7c0fffd0,0x400007ff,0x02fffffb,0x5fffe800,0x3605fff1,
    0x3e205fff,0x500007ff,0x2000dfff,0x1002fffe,0x000bffff,0x4fffc800,
    0x7fe40000,0x2e00004f,0x002fffff,0x01bffea0,0x037ffec0,0x000ffff1,
    0x05fffc80,0x009ffff0,0x001fffe2,0xfffc8000,0xffff8004,0xdfff9002,
    0x0ffff600,0x04fffb80,0x0007fff6,0x7ffcc000,0xfffd1005,0x959bffff,
    0x00dfffd9,0x37ffcc00,0x409fff30,0x00007fff,0x006fffe8,0x5ffff700,
    0xf301fff5,0x7c401fff,0x500007ff,0x2000dfff,0xb001ffff,0x0001ffff,
    0x4fffc800,0x7fe40000,0x7400004f,0x40006fff,0x0006fffa,0x440bfffd,
    0x00007fff,0x8017fffc,0x1006fffc,0x0000ffff,0x27ffe400,0x3fffe600,
    0xcccccccd,0x1ffffdcc,0x03fffd80,0x413ffee0,0x0006fff8,0x7fff4000,
    0xfffd1000,0xffffffff,0x000dffff,0x02fffd40,0x3335fffb,0x0ffff333,
    0xfff90000,0x3e200009,0x5ffeffff,0x04ffffa8,0x003fffc4,0x07fff980,
    0x01ffff00,0x05ffff50,0xff900000,0xc800009f,0x00004fff,0x0027ffe4,
    0x01bffea0,0x01ffffc0,0x000ffff1,0x6ffffcc0,0xcccccccc,0x01ffffdc,
    0x007fff88,0x3ff20000,0x7fe4004f,0xffffffff,0xffffffff,0xfffd804f,
    0x3ffee003,0x05fff904,0xfb800000,0x2e2003ff,0xffffffff,0x05ffffff,
    0x3ffee000,0xfffff104,0xffffffff,0x900000ff,0x00009fff,0x7fffffcc,
    0xfffb733f,0xff8801ff,0xf100007f,0x88001fff,0xf8807fff,0x00005fff,
    0x09fff900,0xfffc8000,0x7e400004,0x540004ff,0xb8006fff,0x2201ffff,
    0x00007fff,0x3ffffff2,0xffffffff,0x804fffff,0x0007fff8,0x3fff2000,
    0x7fffc004,0xffffffff,0xffffffff,0x3fffd806,0x13ffee00,0x0003fffc,
    0x6fff8000,0xfffb5000,0x37dfffff,0xffc80000,0xffff703f,0xffffffff,
    0x00000fff,0x0009fff9,0xfffffb80,0xffffffff,0xff8801ef,0x3e00007f,
    0x54001fff,0xfd806fff,0x00000fff,0x09fff900,0xfffc8000,0x7e400004,
    0x540004ff,0xf8006fff,0x7c407fff,0x200007ff,0xffffffff,0xffffffff,
    0x8806ffff,0x00007fff,0x13fff200,0xfffff980,0xffffffff,0xffffffff,
    0x1fffec01,0x09fff700,0x0009fff5,0x3ff20000,0x3fe0002f,0x00019bff,
    0x17fff400,0xffffffe8,0xffffffff,0xfc800007,0x800004ff,0xffffffe9,
    0x004fffff,0x001fffe2,0x04fffe80,0x027fff40,0x00bfffea,0xffc80000,
    0x6400004f,0x00004fff,0x0027ffe4,0x01bffea0,0x07ffff70,0x007fff88,
    0xfffff300,0xffffffff,0xffffffff,0x7fff8803,0x32000000,0x32004fff,
    0x9999dfff,0x99999999,0x404ffff9,0x2003fffd,0xfe84fffb,0x000000ff,
    0x0bfff100,0x1bffe200,0x2a001800,0xfa80ffff,0x99999dff,0x07fff999,
    0xfffc8000,0xf1000004,0xdfffffff,0xff880039,0x3200007f,0x5000ffff,
    0x4403ffff,0x0005ffff,0x7ffe4000,0x7e400004,0x400004ff,0x0004fffc,
    0x0037ffd4,0x00dffff5,0x000ffff1,0x277fff20,0x99999999,0xffff9999,
    0x3fffc404,0xf9000000,0x7fc009ff,0xfb0003ff,0xffd80dff,0x3fee003f,
    0x2fffcc4f,0x20000000,0x8001fffd,0x0004fffa,0xf9803df1,0xffb04fff,
    0xffff005f,0xff900000,0x2000009f,0x1aaafffa,0x7ffc4000,0x3e200007,
    0x5401efff,0x6c04ffff,0x0000ffff,0x7ffe4000,0x7e400004,0x400004ff,
    0x0004fffc,0x8037ffd4,0x01fffffc,0x007fff88,0x07ffff00,0x1bfff600,
    0x00ffff10,0x7fe40000,0xfff3004f,0x3ea0001f,0x3f601fff,0x3ee003ff,
    0x7ffe44ff,0x00000001,0x0027ffd4,0x000fffe4,0x1bdfffd8,0xdffff931,
    0x01bffe20,0x0003fffc,0x027ffe40,0x5ffd8000,0x7fc40000,0x5c00007f,
    0x9acfffff,0xffffdba9,0x3ffea00f,0x0000002f,0x004fffc8,0x27ffe400,
    0x3ff20000,0x7d40004f,0xd73106ff,0x009fffff,0x001fffe2,0x03fffe60,
    0x7fffd400,0x3fffe201,0xcccccccc,0x702ccccc,0xfd999999,0x99999dff,
    0x2fffe479,0xffff1000,0x1fffec07,0x49fff700,0x0006fff8,0xffd00000,
    0xffe8001f,0xfff50007,0xffffffff,0x3205ffff,0xff003fff,0x555555ff,
    0xff900055,0x1000009f,0x00005fff,0xccffff88,0xcccccccc,0x3f602ccc,
    0xffffffff,0x01ffffff,0x3fffffe2,0xffffffff,0x1fffffff,0x99999970,
    0x999dfffd,0x32e07999,0xffeccccc,0xccccccef,0xfffc8003,0x7fd40004,
    0xffdcccff,0x2fffffff,0x3fffe200,0xcccccccc,0x322ccccc,0x20005fff,
    0x203ffff8,0xfffffff8,0xffffffff,0xfffd04ff,0xffffffff,0x4dffffff,
    0x0003fffe,0xb037ffec,0x5c007fff,0x3fee4fff,0x0000003f,0x07fff700,
    0x004fff80,0x3ffffa60,0xefffffff,0x03fffe01,0x7fffffc0,0x007fffff,
    0x004fffc8,0x0fffa800,0x7fc40000,0xffffffff,0x4fffffff,0x7ffffdc0,
    0xcfffffff,0x7fffd400,0xffffffff,0xffffffff,0xffffd01f,0xffffffff,
    0x20dfffff,0xfffffffe,0xffffffff,0xfc8006ff,0x540004ff,0xffffffff,
    0xefffffff,0x7ffc4001,0xffffffff,0x24ffffff,0x0003fffe,0x1037ffec,
    0xffffffff,0xffffffff,0x3fffa09f,0xffffffff,0x36ffffff,0x0001ffff,
    0x01ffffa8,0x4007fffb,0x3fa4fffb,0x000000ff,0xdfff1000,0x17ffcc00,
    0x7ff54000,0x03ffffff,0x002fffd4,0xffffffff,0x9000ffff,0x00009fff,
    0x000bffb0,0xfffff100,0xffffffff,0x1009ffff,0xffffffd9,0x3ea005bd,
    0xffffffff,0xffffffff,0xfd01ffff,0xffffffff,0xffffffff,0x3ffffa0d,
    0xffffffff,0x006fffff,0x004fffc8,0x7ffffd40,0xffffffff,0xff10002d,
    0xffffffff,0x9fffffff,0x003fffe6,0x3ffff500,0x3ffffe20,0xffffffff,
    0xfd04ffff,0xffffffff,0xffffffff,0x01bfff2d,0x3fffe200,0x40000003,
    0x00000999,0x4cc40000,0x00000001,0x026b2a60,0x017ffec0,0xfffffff0,
    0x000fffff,0x0009fff9,0x00133300,0xffff1000,0xffffffff,0x009fffff,
    0x00035310,0x3fffffea,0xffffffff,0x1fffffff,0xffffffd0,0xffffffff,
    0x3fa0dfff,0xffffffff,0xffffffff,0xfffc8006,0x7fd40004,0xceefffff,
    0x440000bc,0xffffffff,0xffffffff,0x0dfff94f,0xffff1000,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xedb80000,0xb800003d,0x00003ded,0x51000000,
    0x00000135,0x04000000,0x98000000,0x00000aaa,0x00333100,0x00000000,
    0x09aaaa98,0x5ee98000,0x0003ddb0,0x0000aa88,0x2eeeb800,0xdfd98000,
    0xa8800001,0x0000000a,0x0ef7775c,0x037bb620,0x0037bb62,0x000000c0,
    0x03fffc00,0x7fc00000,0x7f44007f,0x000effff,0xffffe880,0xca8000ef,
    0x0bdefffe,0x21fffc40,0xffffffea,0x00000003,0xb503fffc,0x8005bfff,
    0x5400eeec,0xfffffffe,0x7fffffff,0x5ffd8000,0x20000000,0xca83fffb,
    0xfffffffe,0x260003ff,0x7fcc1fff,0x4fff880f,0x7ffff654,0x2000004e,
    0x0003fffc,0x07ffffcc,0x3f6e2000,0x02dfffff,0x7fe40000,0xf5000eff,
    0x7fcc3dff,0xb95001ff,0xbdfffffd,0x74c00005,0x3ffe64ee,0x40000004,
    0x4004fffa,0xffeceffe,0xffe80005,0x005ffece,0x3fffffa6,0x203fffff,
    0xfb14fff8,0xffffffff,0xee88001b,0xeeeeeeee,0x4fffa80e,0xfffffd88,
    0xff5005ff,0x7ff4c09f,0xffffffff,0x07ffffff,0x17ffc400,0xd0000000,
    0xffe81fff,0xffffffff,0x0002ffff,0xd737dfff,0x3fe20fff,0xffffb14f,
    0x00bfffff,0x3fff2000,0x7fe40003,0x20003fff,0xffffffe9,0x000dffff,
    0xffffc800,0xfff98005,0x1ffffaaf,0xffffe980,0x4fffffff,0x3fea0000,
    0x07fff26f,0xf9000000,0x7d4003ff,0x00ffec5f,0xd8bff500,0xffc801ff,
    0xffffffff,0xff104fff,0xffffd19f,0x9fffffff,0xffff8800,0x1fffffff,
    0xd81fffc8,0xffffffff,0x7ffc403f,0x3fffe206,0xffffdeff,0x07ffffff,
    0x07ffd400,0x88000000,0xffe85fff,0xffffffff,0x001fffff,0xffffffb8,
    0xff102fff,0x3ffffabf,0xdfffffff,0xccca8000,0xefffeccc,0x64004ccc,
    0x004fffff,0xffffff50,0xffffffff,0x7dc00003,0x20003fff,0xfffffff9,
    0xfffc801f,0xffffffff,0x200004ff,0x3fa6fffa,0x2600006f,0x37ff401b,
    0x303ff200,0x640007ff,0x1ffcc0ff,0x3bfffea0,0xfffcaaac,0xfff882ff,
    0x9adfffed,0x0fffffb9,0x3fffe200,0x1fffffff,0xf986ffe8,0xfff70dff,
    0x7ffe401f,0x3ffffa01,0xffffe982,0x40002aac,0x00005ffd,0x50013331,
    0xffd05fff,0x5313357b,0x01dffffd,0xfffff900,0x7fc409ff,0xbffffddf,
    0xffffeb99,0xfffc8003,0xffffffff,0x54007fff,0x002fffff,0x9dffffb8,
    0xffff9310,0x3ee0000d,0x80001eff,0x1ffffff9,0xfffffb80,0xcbaaabcd,
    0x2a00004d,0xfff16fff,0xff900007,0x7ffc405f,0x0ffe4003,0x8000ffe6,
    0x7fcc1ffc,0x3fffe203,0x3fffa204,0xfffff885,0xfff302ff,0xccc8009f,
    0xffffcccc,0x41fffc41,0xffa87ffd,0x9fff302f,0x07fffdc0,0x017fffa0,
    0xffaaa980,0xf500002f,0xff900dff,0x4002b20f,0x003ffffb,0x39dfd930,
    0xfffff880,0xffd104ff,0xff9000df,0xffffffff,0x000fffff,0x0009fff9,
    0x809ffff1,0x003ffffa,0x06fffdc0,0xfff30000,0xfff3003f,0x000003bf,
    0x2dfff500,0x0000fffb,0x202fffd8,0x4000fffb,0x7fec5ffa,0x3fea0002,
    0x9017fec5,0xf300dfff,0xfff10fff,0xfc803fff,0x200005ff,0x7dc1ffff,
    0x4ffe80ff,0xd03fff88,0x7ec01fff,0xff9803ff,0xdb5000ff,0xffffffff,
    0x3ea00001,0xfff806ff,0x3f600004,0x000004ff,0x7ffffc40,0x7ffc403f,
    0x775c002f,0xffffeeee,0x0005eeee,0x2e000151,0xf5005fff,0x00001fff,
    0x00000000,0x00bfffd0,0x7d400000,0x0dffb6ff,0x3fff6000,0x017ff602,
    0x767fff40,0xe80006ff,0x6ffecfff,0x00ffff40,0x440ffff8,0x802fffff,
    0x0006fff9,0xb07fffe0,0x3ffe0bff,0x909fff03,0xff805fff,0xffd000ff,
    0xfff9005f,0xffffffff,0xf500003d,0xff980dff,0x2a00001f,0x00006fff,
    0x7fffc400,0xfffb003f,0x7e40000b,0x000003ff,0xffff8800,0x3fffa000,
    0x00000003,0x7d400000,0x00000fff,0x3ffea000,0x36000006,0x00002fff,
    0x7ffff4c0,0x980000ef,0x0efffffe,0x01fffe20,0x207fffc4,0x003ffff8,
    0x000ffff1,0x00ffffc0,0xe81fffc0,0x7ffcc4ff,0x3fffc405,0x07fffb00,
    0x7fffff4c,0xffffffff,0x7d40003f,0x000006ff,0x1fffe600,0xf1000000,
    0x5c009fff,0x00006fff,0x000ffff2,0x3ee00000,0x7dc005ff,0x000004ff,
    0x40000000,0x0004fffb,0x7fd40000,0x2000006f,0x0002fffd,0x7bfb7000,
    0xfb700000,0xfff3007b,0x3ffee00d,0x07fff886,0x007fffc0,0x1ffff800,
    0x05ffe800,0xffe87fff,0x7ffcc00f,0x3fff6007,0xfffff102,0x3ffee379,
    0x0001ffff,0x001bffea,0xff880000,0x5530007f,0xf8801355,0x7c4007ff,
    0x330007ff,0x01fffe41,0x00aa8800,0x01fffe40,0x017ffea0,0x066a6200,
    0x35310000,0x1fffe403,0x20000000,0x0006fffa,0x0bfff600,0x00000000,
    0x50000000,0xf300bfff,0xff107fff,0xfff800ff,0xff00000f,0xfb0003ff,
    0x3fff50ff,0x4017ffdc,0x001ffff8,0x3201ffff,0xfd82ffff,0x0fffffef,
    0xdfff5000,0x22000000,0xfffa9999,0xffd95007,0x7fffffff,0x01fffe20,
    0x01ffff10,0xfffedb88,0x3ffffeff,0xffb71000,0x005bffff,0x8003fffd,
    0x8006fff9,0xfffffdb8,0x4000bdff,0xfffffdb8,0x3fa0bdff,0x000002ff,
    0x7d426660,0x000006ff,0x000bfff6,0x00000000,0x4d5554c0,0x2fffdc00,
    0x1bfffea0,0x003fffc4,0x0003fffe,0x00ffffc0,0x8efffdc0,0x3e66fff9,
    0x3fa005ff,0xffb805ff,0xffff307f,0x75fff103,0x0007ffff,0x001bffea,
    0x3fb72600,0xffffffff,0xfffe807f,0xffffffff,0x7fc42fff,0xfff8007f,
    0x3ffea01f,0xffffffff,0x98003fff,0xfffffffe,0x3e00dfff,0xeeeeefff,
    0xeeeeeeee,0x5c007fff,0xffffffff,0x2003ffff,0xfffffffb,0x3e3fffff,
    0x00001fff,0x3fffb2e0,0x6fffefff,0x7ffdc000,0xffffffff,0xffffffff,
    0x3fe200ff,0x7ffc007f,0x7f65400f,0xffffffff,0x0bfff703,0x077fffe4,
    0x007fff88,0x0007fffc,0x01ffff80,0xfffffd00,0x7f43ffff,0x3ea000ff,
    0x3e603fff,0xffb04fff,0x3ffea09f,0x00dfffb0,0x01bffea0,0xfffea800,
    0xffffffff,0xfe807fff,0xffffffff,0x21ffffff,0x8007fff8,0xf901ffff,
    0xffffffff,0x07ffffff,0xfffffa80,0xffffffff,0xffff881f,0xffffffff,
    0xffffffff,0xffd8800f,0xffffffff,0xd8803fff,0xffffffff,0xf13fffff,
    0x00001fff,0xfffffd30,0xffffffff,0xffb8000d,0xffffffff,0xffffffff,
    0x3e200fff,0x7fc007ff,0x3ffa00ff,0xffffffff,0x7dc2ffff,0xfffb05ff,
    0xfff880bf,0x7fffc007,0xfff00000,0x3a60003f,0x2fffffff,0x000fffee,
    0x2b7ffff6,0xffffc988,0x3ffff106,0xf997ff60,0xa8001fff,0x00006fff,
    0xfffffff9,0xffffffff,0xbffd00ff,0xd5313357,0x221dffff,0xf8007fff,
    0xffd81fff,0xa99abdff,0x03ffffeb,0x37fffee0,0xfff93109,0xffff10df,
    0xffffffff,0xffffffff,0xfff8801f,0xa99bdfff,0x4403ffcb,0xbdffffff,
    0x3ffcba99,0x001ffff1,0xffffb800,0xffffffff,0x40006fff,0xfffffffb,
    0xffffffff,0x00ffffff,0x001fffe2,0x7401ffff,0xffffffff,0x1fffffff,
    0x2a17ffee,0x8803ffff,0x7c007fff,0x00000fff,0x0003ffff,0x6f7ff644,
    0x01bffe20,0x7ffffe40,0xffffffff,0xdfff300f,0xf0bffe20,0x50005fff,
    0x0000dfff,0x37fffff5,0x1fffe203,0x5c002b20,0xff13ffff,0xff8800ff,
    0xffffa87f,0x3fffd803,0x9ffff100,0x3ffffa80,0xaabffff8,0xaaaaaaaa,
    0x802aaaaa,0x00effffd,0x7fec02a8,0x2a800eff,0x001ffff1,0x7fffe400,
    0xdba99ace,0x0006ffff,0x5555554c,0xaaacfffe,0x0aaaaaaa,0x01fffe20,
    0x401ffff0,0x99abdffe,0xffffea98,0x0bfff70e,0x2007fffd,0x4007fff8,
    0x0000ffff,0x003ffff0,0xffd80400,0xffa8000f,0xffffffff,0x2a00cfff,
    0xff504fff,0x3fffe81f,0x6fffa800,0x7ffc4000,0xff8800df,0xb000007f,
    0x3fe29fff,0x7fcc007f,0x2fffe86f,0x07fff900,0x017ffee0,0x207fffd4,
    0x0002fffe,0x7fffd400,0x3ea00004,0x10004fff,0x0001ffff,0x37fffe60,
    0x37ffd400,0xffb00000,0x2200005f,0x7c007fff,0x2b200fff,0xffff7000,
    0x117ffee7,0x2001ffff,0x4007fff8,0x0000ffff,0x003ffff0,0xfffb8000,
    0xfff88003,0xefffdb8e,0xffb801cd,0x0bffb03f,0x0009fff9,0x000dfff5,
    0x00ffffa8,0x00ffff10,0x3ffea000,0x00ffff16,0x5c5fffa8,0x32006fff,
    0xf8803fff,0x3a000fff,0x7fec3fff,0x2000003f,0x006fffe8,0x3fffa200,
    0x3fe20006,0xb00000ff,0x2a007fff,0x00006fff,0x00bfff60,0x3fffc400,
    0x03fffe00,0xfffb0000,0x117ffee9,0x2001ffff,0x4007fff8,0x0000ffff,
    0x003ffff0,0x7ffc4000,0xfff50006,0x7ec00005,0xfff882ff,0x05fffb82,
    0x06fffa80,0x2fffe400,0x0ffff100,0x3fe60000,0x0ffff17f,0x44fffd80,
    0x2002fffe,0xb803fffc,0x5c005fff,0x7fe44fff,0x2000005f,0x001ffffa,
    0x3fffea00,0x3fe20001,0xa80000ff,0x2a007fff,0x00006fff,0x00bfff60,
    0x3fffc400,0x03fffe00,0xfff50000,0x217ffeed,0x1003ffff,0xf800ffff,
    0x00000fff,0x0003ffff,0x0fffec00,0x1fffc800,0x3ff60000,0x0fffa83f,
    0x004fffb8,0x006fffa8,0x027ffec0,0x00ffff70,0x3ffe2000,0x00ffff17,
    0x20ffffcc,0x64007fff,0xfc803fff,0x7d4003ff,0x7ffd45ff,0x9000001f,
    0x0000bfff,0x005fffc8,0x07fffc40,0x7ffec000,0x3ffea003,0x36000006,
    0x00002fff,0x800ffff1,0x0000ffff,0xbbfffcc0,0xffd85fff,0xff8802ff,
    0x7ffc007f,0xff00000f,0x000003ff,0x0013ffea,0x004fffd8,0x13fff200,
    0x7e417ff6,0xfa8003ff,0x640006ff,0xd8805fff,0x0007ffff,0xfa999988,
    0xffff17ff,0x27ffec00,0x001bffe6,0xd007fff9,0x98003fff,0xffe86fff,
    0xb000006f,0x00009fff,0x004fffd8,0x07fffc40,0x7fffc000,0x3ffea000,
    0x36000006,0x00002fff,0x800ffff1,0x0000ffff,0xbbfffc40,0xff985fff,
    0x7c403fff,0x7fc007ff,0xf00000ff,0x00003fff,0x00dfff10,0xdffffc80,
    0x0009999b,0x222fffe4,0xffb02fff,0xff50005f,0xfb8000df,0x3ea01fff,
    0x007fffff,0x7fff6e4c,0x7fffffff,0x100ffff1,0xa81ffffd,0x64006fff,
    0xff803fff,0xeeeeeeff,0xfeeeeeee,0xfffa87ff,0x400001ef,0x0002ffff,
    0x017fffc0,0x3fffe200,0x7fc40000,0x7fd4007f,0x2000006f,0x0002fffd,
    0x00ffff10,0x000ffff8,0x2a666620,0xfff77fff,0x3fffee0b,0xfff100df,
    0xffff800f,0xfff00000,0xb000003f,0x6dc43fff,0x3e602cef,0xffffffff,
    0x2ceeffff,0xa8dfff70,0xffd00fff,0xff50003f,0xf98000df,0x989bffff,
    0xffffffeb,0xffd5007f,0xffffffff,0x3e2fffff,0x89acffff,0xfffffca9,
    0x05fffb82,0x01fffe40,0x3fffffe2,0xffffffff,0x0fffffff,0xdfffffd8,
    0x32a6609a,0x3ffe206d,0x2200001f,0x0001ffff,0x007fffc4,0x1bffe600,
    0x0dfff500,0x7fec0000,0xf100002f,0xff800fff,0xb93000ff,0xfffffffd,
    0x3feeffff,0x3ffee05f,0xff881eff,0x7ffc007f,0xff00000f,0x800003ff,
    0x3e64fffa,0x0dffffff,0xffffff70,0xffffffff,0xff985dff,0x17ff60ff,
    0x003fffcc,0x006fffa8,0xfffffc80,0xefffffff,0xc807ffe9,0xffffffff,
    0xffffffff,0xffffff17,0xffffffff,0x3ff207ff,0x7fe4004f,0x7ffc403f,
    0xffffffff,0xffffffff,0xffd880ff,0xffffffff,0x206fffff,0x000ffff8,
    0x3fffe200,0x7fc40000,0x540000ff,0x54005fff,0x00006fff,0x00bfff60,
    0x3fffc400,0x03fffe00,0xfffffd50,0xffffffff,0x17ffeeff,0xffffff30,
    0x07fff883,0x007fffc0,0x1ffff800,0x3fe20000,0xffff30ef,0x40bfffff,
    0xfffffffd,0xffffffff,0x7fff42ff,0x205fff15,0x0005fffd,0x000dfff5,
    0xfffffb10,0x6c9fffff,0x7fd407ff,0x1019bfff,0x3fe2ffff,0xffffffff,
    0x200dffff,0x4005fffc,0xf803fffc,0xaaaabfff,0xaaaaaaaa,0x7dc02aaa,
    0xffffffff,0x406fffff,0x0002ffff,0x017fffc0,0x3fffe200,0x7fdc0000,
    0x7fd4005f,0x2000006f,0x0002fffd,0x00ffff10,0x200ffff8,0xfffffffc,
    0xffffffff,0x0bfff77f,0xdffffd10,0x03fffc41,0x003fffe0,0x0ffffc00,
    0xfff90000,0x457ffec5,0xc81ffffb,0xaaaaefff,0xffffdccb,0x3fee1fff,
    0x0fffaaff,0x00ffff98,0x0dfff500,0x7ff54000,0x6c2defff,0x3fe207ff,
    0xf8800dff,0xffff17ff,0xdffffffd,0xfff70059,0xfffc800b,0x2fffe803,
    0xc8800000,0xfffffffe,0x7402ceff,0x00003fff,0x001ffff4,0x03fffe20,
    0xbfff7000,0x6fffa800,0x3f600000,0x100002ff,0xf800ffff,0xff500fff,
    0x20337fff,0xff77fff8,0x7fec00bf,0x100005ff,0x0000ffff,0x000ffffc,
    0x24fff980,0x7c42fff9,0x7ffe45ff,0xff93000e,0x7ffc47ff,0xa85ffeff,
    0x0004ffff,0x001bffea,0x80554c00,0x2a03fff9,0x1000ffff,0x3fe2ffff,
    0x0026667f,0x01bffea0,0x007fffd0,0x0007fffb,0xb5310000,0x6c005fff,
    0x00004fff,0x0027ffec,0x03fffe20,0xdfff5000,0x6fffa800,0x3f600000,
    0x100002ff,0xf800ffff,0xff880fff,0xf8800dff,0xbfff77ff,0x7fffd800,
    0xfff30000,0x7fc0000d,0xd00001ff,0x7fdc1fff,0x44dffd07,0x8001ffff,
    0x7cc5fffe,0x33ffffff,0x1fffffb7,0x7ffd4000,0x00000006,0xc809fff1,
    0x22005fff,0xfff17fff,0x7cc0000f,0xfb000fff,0xf9007fff,0x00000bff,
    0x1fffcc00,0x3ffff200,0x3f200000,0x20000fff,0x000ffff8,0x03fffcc0,
    0x01bfff20,0xfffd8000,0xff100002,0xfff800ff,0xffffa80f,0xffff1000,
    0x0017ffee,0x003ffff3,0x0bfff500,0x7fffc000,0xffc80001,0x837fe42f,
    0x3fea7ffc,0xff90006f,0xffff70bf,0xffffffff,0x80003dff,0x0006fffa,
    0xdffb0000,0x09fffb00,0x8bfffdc0,0x00007fff,0x00bfffe2,0x0ffffff2,
    0x07fffea0,0x74000000,0xfa8005ff,0x00004fff,0x013fffea,0x0ffff880,
    0x7ffc4000,0xfff7000f,0x400000df,0x0003fffd,0x01ffff10,0x03fffee0,
    0x8017fff2,0xff77fff8,0xffd000bf,0xfd00005f,0x400009ff,0x0001ffff,
    0x6c2fffcc,0xfff706ff,0x002fffe4,0x304fffd8,0xfffffffd,0x0009ffff,
    0x01bffea0,0x3e600000,0xffc803ff,0xffd8805f,0xffff17ff,0xffd80000,
    0x7ffdc05f,0xfd003fff,0x00000dff,0x05fff500,0x3ffffa00,0x3fa00001,
    0x10001fff,0x0001ffff,0x007ffff0,0x0dfffff5,0x7fdc0000,0x3e00004f,
    0xfa801fff,0xfd80ffff,0x3ee004ff,0xbfff77ff,0x3ffff000,0xfffa8000,
    0x3e00001f,0x40001fff,0xfc80fffe,0x6ffc80ff,0x001ffff2,0x80bfffe6,
    0xfffffff8,0x00001cef,0x001bffea,0x3ff20000,0xfffb802f,0x3ffea01f,
    0xfff17fff,0xf980000f,0xff703fff,0x007fffdf,0x07bfffea,0xfd800000,
    0xf30001ff,0x2009ffff,0x3ffe602a,0x255004ff,0x000ffff8,0x06fffc80,
    0x7fffffcc,0x2a000006,0x0000ffff,0x809fffd0,0x0ffffffa,0x805fffc8,
    0x77ffffd8,0xc800bfff,0x40007fff,0x004ffffb,0x0ffffc00,0x5fff7000,
    0x207ffee0,0x3fea4ffe,0xf5000dff,0xfa80dfff,0x001aaaff,0x3ffea000,
    0x80000006,0x9804fffc,0x89bfffff,0xfffffeb9,0xffff17ff,0xffd00000,
    0xfd5359ff,0x7fff59ff,0x7fffec00,0x26609adf,0x20006dca,0x0003fffd,
    0x3bfffff2,0xfdba9abc,0x7ffe403f,0xa9abceff,0xff13ffdb,0x100001ff,
    0x260bffff,0x6fffefff,0x3e600000,0x0000dfff,0x00ffffc8,0xfffffff7,
    0x3ffff701,0x7ffffd40,0x8bfff77f,0xeba99ab8,0x8003ffff,0xfffffed9,
    0x7fc00000,0xf30001ff,0x7fcc0bff,0x3fff21df,0x3ffffa21,0xba9aabdf,
    0x0efffffc,0x002ffec0,0xfff50000,0x0000000d,0x99fffff5,0x3ffff203,
    0xffffffff,0xf17ffe9e,0x00000fff,0xfffffff3,0x3ea9ffff,0x362003ff,
    0xffffffff,0x6fffffff,0x3ffee000,0x2000ccef,0xffffffc8,0xffffffff,
    0x7ffe4403,0xffffffff,0xfff13fff,0x3600001f,0xa9adffff,0xff8efffc,
    0x4000006f,0xabfffffd,0x00dca999,0x5fffffcc,0xefffea99,0xf980fffd,
    0x989bffff,0xffffffeb,0x8bfff77f,0xfffffff9,0x70006fff,0x03ffffff,
    0x55555500,0x57ffff55,0x40155555,0x6400fffe,0xfffeffff,0xfffe885f,
    0xffffffff,0x01efffff,0x0017ffc4,0xfff50000,0x9999999f,0x05999999,
    0xffffd800,0xffb101ff,0xffffffff,0xf8bffec9,0x000007ff,0xfffffff3,
    0x7ffcc9ff,0xfffb8003,0xffffffff,0x20006fff,0xffffffe8,0xffe98000,
    0xffffffff,0xfd3003ff,0xffffffff,0x3fe27fff,0x100000ff,0xfffffffd,
    0x3fe1dfff,0x4000006f,0xfffffff8,0x00ffffff,0xffffffc8,0xd8efffff,
    0xff900fff,0xffffffff,0xfffd3dff,0xf317ffee,0xffffffff,0x3ee00019,
    0x0000dfff,0xfffffffd,0xffffffff,0x3ee05fff,0xfe8803ff,0x0effffff,
    0xfffff910,0xffffffff,0x3fea005d,0x0000000f,0x3fffffea,0xffffffff,
    0x40004fff,0x1fffffb8,0x7ffff540,0x7fec2def,0x00ffff17,0x7fecc000,
    0x7cc1ceff,0x910003ff,0xfffffffd,0x00059dff,0xfffffc88,0x3b6e0000,
    0xdfffffff,0x76dc000a,0xdfffffff,0x1ffff10a,0x7f440000,0xefffffff,
    0x001bffe0,0x3ffa6000,0xffffffff,0xffd8800f,0xdfffffff,0x201fff90,
    0xffffffd8,0x3f64ffff,0x8bfff77f,0xeffffff9,0x75c0001d,0x740001bd,
    0xffffffff,0xffffffff,0xfff882ff,0x7ffe4006,0x32a004ff,0xcdeffeed,
    0x7fec002b,0x40000005,0xfffffffa,0xffffffff,0x200004ff,0x4c000998,
    0x744000aa,0x000005ee,0x00001530,0x55531000,0x40000033,0x80000198,
    0x000099a8,0x804cd440,0x000ffff8,0x7ff64400,0xfff82dff,0x20000006,
    0xffffffea,0x2e000eff,0x2effffff,0x2007ffe4,0xefffffea,0x03ffec2d,
    0x00133310,0x80000000,0xfffffffe,0xffffffff,0x00002fff,0x00002620,
    0x33300000,0x80000001,0xfffffffa,0xffffffff,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000d4400,
    0x40000000,0x00099a98,0x00554c40,0x0554c000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3bdddd70,0x77776cc0,0xd3000003,
    0x07bb60bd,0x200e5400,0x2a0002c9,0x06202cdc,0x3bbae000,0x20000003,
    0x01deeeeb,0x1f7776cc,0xeeb80000,0x7ddd703e,0x7776c400,0x5400000d,
    0x0164c01c,0x1f775c00,0x00000000,0xeee88000,0x401ca805,0x700002c9,
    0x00007ddd,0x77775c00,0x776cc01d,0x000003ee,0x22026620,0xeeeb8002,
    0xeeee8803,0xfb80000e,0x9801efff,0x003ffffe,0x1fff9800,0x0007ffcc,
    0xb817ffec,0x4c005fff,0x1effffff,0x20001fd8,0x03fffffb,0xffb80000,
    0xd3001eff,0x0007ffff,0x13fff600,0x000bfff9,0x10bffff7,0x7ec00775,
    0xfff702ff,0x7fdc000b,0xf8803fff,0x3ea007ff,0x800006ff,0x6c07fff8,
    0xff702fff,0xfb8000bf,0x0003ffff,0xffffb800,0xffd3001e,0x000007ff,
    0x3ffff72a,0x07fecdff,0x7ffffdc0,0x7fffc403,0x7dc0000f,0x44005fff,
    0x003ffffd,0xbefff800,0x007ffeb9,0x06ffff98,0x001fffff,0x3fffffe6,
    0xfeaadfff,0xff70006f,0x007fffff,0x7ffdc000,0xfd88005f,0x00003fff,
    0xb1bfffb0,0x4000bfff,0xdbcffffd,0x3005fffe,0x3e0dffff,0x8000ffff,
    0xfffffffb,0x3fffc403,0x0dfff500,0xfff10000,0x7fffcc0f,0x1fffff06,
    0x3ffee000,0x0003ffff,0x3fffee00,0xffd88005,0x200003ff,0xffffffe8,
    0x7fffffff,0x3fffee00,0x3e203fff,0x0000ffff,0x00ffffee,0x3ffffb80,
    0x7fdc0000,0x2fffffff,0xffff9800,0x3fffff07,0x33fffa00,0xffffffeb,
    0xb8001fff,0xffe9efff,0xb800003f,0x0003ffff,0x01ffffdc,0xfffd8000,
    0x0005ffff,0x7fffffcc,0x005fffff,0x20fffff3,0x001fffff,0x74f7ffdc,
    0x3e203fff,0x3ea007ff,0x800006ff,0x2607fff8,0xff07ffff,0x70003fff,
    0xffd3dfff,0x7000007f,0x0007ffff,0x03ffffb8,0xffffa800,0xffffffff,
    0xf7007fff,0xfffd3dff,0x3ffffc07,0xdfff7000,0xfd300003,0x800007ff,
    0xfffffffc,0x3ffa0004,0xdfff903f,0x5c37d400,0x2fffffff,0x5fffc800,
    0x00ffffa2,0xefffb800,0xfd300001,0x000007ff,0x17fffff6,0x3ff72200,
    0xffffffff,0x3a004fff,0xff903fff,0xffc800df,0x3fffa25f,0x0ffff103,
    0x037ffd40,0x7ffc4000,0x1ffff407,0x006fffc8,0x225fffc8,0x0003fffe,
    0x07bffee0,0x7ff4c000,0x3ee0003f,0x89acffff,0x7ffffda9,0x25fffc80,
    0xf03fffe8,0x2000ffff,0x000dfffb,0x3fff6200,0x64c00003,0x0001cefe,
    0x2e01ee44,0x054000bd,0x0bdedb88,0x4fffc800,0x007fffb0,0x1bfff700,
    0xfd880000,0x000003ff,0x0009fffb,0x3fffffe6,0x0abfffff,0x03dc8800,
    0x90005edc,0x3f609fff,0xfff883ff,0x3ffea007,0xf8800006,0x6e4407ff,
    0x005edc03,0x413fff20,0x0003fffd,0x00dfffb8,0x7fec4000,0xff88003f,
    0x7cc00dff,0x7fe407ff,0x7fffb04f,0x00dffff0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffe60,
    0x02ffffee,0x00000000,0x3e200000,0x3ea007ff,0x800006ff,0x0007fff8,
    0x00000000,0x00000000,0x40000000,0x1005fffc,0x0000ffff,0x37fff400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9bdf9800,0x03ffffa0,0x00000000,0x7c400000,0x3ea007ff,
    0x800006ff,0x0007fff8,0x00000000,0x00000000,0x20000000,0x000ffff8,
    0x000ffff1,0x7fff4000,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf3000000,0x0000bfff,0x00000000,
    0x1fffe200,0x06fffa80,0xfff88000,0x00000007,0x00000000,0x00000000,
    0x3fff2000,0x3ffe2005,0x20000007,0x0005fffd,0x00000000,0xaa880000,
    0x26000000,0x000000aa,0x00002aa6,0x000aa980,0x02aa6000,0xaa980000,
    0x22000000,0x000000aa,0x05ffff93,0x00000000,0xff100000,0x7fd400ff,
    0x4c40006f,0x0ffff109,0x002aa200,0x0aa88000,0x2a200000,0x2000000a,
    0x74000aa8,0x22002fff,0x10007fff,0x40335553,0xf104fffd,0xff800fff,
    0xfff880ff,0x7fffc007,0xffb71000,0x005bffff,0xfffec980,0x0003efff,
    0x7ffff64c,0x40003eff,0xfffffec9,0x4c0003ef,0xffffffec,0x64c0003e,
    0xeffffffe,0x6dc40003,0x2dffffff,0xfd951000,0x1fffffff,0x0ffff100,
    0x80ffff80,0x4007fff8,0xff10ffff,0x7fd400ff,0x7654006f,0xfeffffff,
    0xb71007ff,0x5bffffff,0xfdb88000,0x02dfffff,0x7fedc400,0x002dffff,
    0x7ffedc40,0xf802dfff,0x22000fff,0x91007fff,0xfffffffd,0xffc83dff,
    0xffff104f,0x0ffff800,0x007fff88,0x4007fffc,0xffffffe9,0x000dffff,
    0xffffffb8,0x00efffff,0xfffffb80,0x0effffff,0xffffb800,0xefffffff,
    0xfffb8000,0xffffffff,0xffb8000e,0xffffffff,0xe98000ef,0xffffffff,
    0x26000dff,0xfffffffe,0x8804ffff,0x7c007fff,0xff880fff,0x7ffc007f,
    0x0ffff10f,0x037ffd40,0xfffffd88,0xffffffff,0xfffe9807,0xdfffffff,
    0xffe98000,0xffffffff,0xfe98000d,0xffffffff,0xe98000df,0xffffffff,
    0xff100dff,0x7c4001ff,0xffb807ff,0xffffffff,0x554c1fff,0xffff101a,
    0x0ffff800,0x007fff88,0x2007fffc,0xfffffffa,0x1fffffff,0xffffd100,
    0xffffffff,0x3a2007ff,0xffffffff,0x03ffffff,0xfffffd10,0xffffffff,
    0x3fa2007f,0xffffffff,0x003fffff,0xffffffd1,0xffffffff,0x7ffd4007,
    0xffffffff,0xfa801fff,0xffffffff,0x400fffff,0x4007fff8,0xf880ffff,
    0x7fc007ff,0xffff10ff,0x37ffd400,0x7ffffd40,0xffffffff,0x7fd407ff,
    0xffffffff,0x2001ffff,0xfffffffa,0x1fffffff,0x3fffea00,0xffffffff,
    0x3ea001ff,0xffffffff,0x981fffff,0x44007fff,0x7ec07fff,0xffffffff,
    0x001fffff,0x00ffff10,0x880ffff8,0x7c007fff,0x3ee00fff,0x3109dfff,
    0x00dffff9,0x2fbffffe,0xfffdb98a,0xfff801ff,0xb98abeff,0x01fffffd,
    0xbefffff8,0xfffdb98a,0xfff801ff,0xb98abeff,0x01fffffd,0xbefffff8,
    0xfffdb98a,0xffb801ff,0x93109dff,0xb80dffff,0xabdfffff,0x5fffeba9,
    0x03fffc40,0x203fffe0,0x4007fff8,0xff10ffff,0x7fd400ff,0x7ffdc06f,
    0xb999acff,0x207ffffd,0x09dffffb,0xdffff931,0x3fffee00,0xff93109d,
    0x3ee00dff,0x3109dfff,0x00dffff9,0x277fffee,0xffff9310,0x0dfff50d,
    0x07fff880,0x2b7fffea,0xd9733109,0x07fff883,0x800ffff1,0xf880ffff,
    0x7fc007ff,0xfff100ff,0xfffa809f,0x7ffe403f,0x7ffdc03f,0x7ffe406f,
    0x7ffdc03f,0x7ffe406f,0x7ffdc03f,0x7ffe406f,0x7ffdc03f,0x7ffe406f,
    0x7ffdc03f,0x7ffc406f,0x7ffd404f,0xffff103f,0x7ffdc01d,0x3ffe201f,
    0x7fffc007,0x07fff880,0x887fffc0,0x2a007fff,0x3e206fff,0x4c00dfff,
    0xff107fff,0xffa809ff,0x7fc403ff,0x7fd404ff,0x7fc403ff,0x7fd404ff,
    0x7fc403ff,0x7fd404ff,0x7ffcc3ff,0x7ffc4007,0x13fffe07,0xbfff5000,
    0x01fffe20,0x101ffff0,0xf800ffff,0xff700fff,0x3fea00bf,0xfff100ff,
    0x3fea005f,0xfff102ff,0x3fea005f,0xfff102ff,0x3fea005f,0xfff102ff,
    0x3fea005f,0xfff102ff,0x3fea005f,0x3fee02ff,0xfff5005f,0xbfffb01f,
    0x13fffe00,0x007fff88,0x4407fffc,0x7c007fff,0xfff10fff,0x7ffd400f,
    0x17fff206,0x83fffc40,0x5005fffb,0x5c01ffff,0xf5005fff,0x7dc01fff,
    0xff5005ff,0x7fdc01ff,0xfff5005f,0x3fffc41f,0x1fffe200,0x007fffc4,
    0x0bffee00,0x003fffc4,0x2203fffe,0x7c007fff,0xff880fff,0x3fa000ff,
    0xfffb03ff,0xfffe800b,0x0bfffb06,0x06fffe80,0x800bfffb,0xfb06fffe,
    0xfe800bff,0xfffb06ff,0xfffe800b,0x1ffff106,0x1ffff400,0x003fffe6,
    0x1037ffe4,0xf800ffff,0xff880fff,0x7ffc007f,0x0ffff10f,0x837ffd40,
    0x000ffff9,0xf10ffff1,0x74001fff,0xff103fff,0x7f4001ff,0xfff103ff,
    0x7ff4001f,0xffff103f,0x7fff4001,0x03fffe23,0x07fffa80,0x000ffff3,
    0x201fffb0,0x4007fff8,0xf880ffff,0x7fc007ff,0xfffb80ff,0x7ffdc005,
    0x2ffff884,0x7fffd400,0x17fffc40,0x3fffea00,0x17fffc40,0x3fffea00,
    0x17fffc40,0x3fffea00,0x17fffc40,0x3fffea00,0x05fffb80,0x227ffdc0,
    0x2004fffd,0x101ffff8,0xf800ffff,0xff880fff,0x7ffc007f,0x1ffff10f,
    0x1bfff600,0x0027ffe4,0xf70ffff1,0xfb800bff,0xfff704ff,0xfffb800b,
    0x0bfff704,0x04fffb80,0x800bfff7,0x7fc4fffb,0xff3002ff,0x3fe20fff,
    0x7c0002ff,0x3fe206ff,0x7ffc007f,0x7fff880f,0x07fffc00,0x001fffe4,
    0x2617ffea,0xf0006fff,0xff983fff,0xfff0006f,0x6fff983f,0x3ffff000,
    0x006fff98,0x983ffff0,0xf0006fff,0xff903fff,0xffa8007f,0x0ffffc5f,
    0x13fff600,0x003fffc4,0x2203fffe,0x7c007fff,0xfff10fff,0xfff9003f,
    0x3fff60df,0x3ffe2001,0x03fffc87,0x82fffd40,0x4003fffc,0xf905fffa,
    0xfa8007ff,0xfff905ff,0xfffa8007,0x02ffff45,0x3fffffcc,0x07ffffd0,
    0x0fffe600,0x007fff88,0x4407fffc,0x7c007fff,0xffe80fff,0x7fcc001f,
    0x5fffa86f,0x5fffd000,0x005fffa8,0xa85fffd0,0xd0005fff,0xffa85fff,
    0xffd0005f,0x5fffa85f,0x5fffd000,0x003fffd0,0x226fff98,0xc8007fff,
    0xff105fff,0xfff800ff,0x7fff880f,0x87fffc00,0x404ffff8,0x07fffffb,
    0x4001ffff,0xfe87fff8,0x7cc001ff,0xfffd06ff,0xfff98003,0x03fffd06,
    0x06fff980,0x8003fffd,0x7d46fff9,0x3a200fff,0x207fffff,0xbffffffa,
    0x3ffea001,0x1fffe201,0x01ffff00,0x800ffff1,0xff80ffff,0xeeeeeeff,
    0xfeeeeeee,0xfffb87ff,0xfffb0004,0x04fffb87,0x87fffb00,0x0004fffb,
    0xfb87fffb,0xfb0004ff,0xfffb87ff,0xfffb0004,0xddffff07,0xdddddddd,
    0x4ffffddd,0x8006fff9,0xf106fffb,0xff800fff,0xfff880ff,0x7fffc007,
    0x3fffff10,0x3ffffee0,0x7ffc41ff,0x3fe2000f,0xeffff87f,0xeeeeeeee,
    0x7fffeeee,0xdddffff0,0xdddddddd,0x20ffffdd,0xeeeeffff,0xeeeeeeee,
    0xff07fffe,0xddddddff,0xfddddddd,0xffff0fff,0xfffd101d,0xfc80ffff,
    0xbeffffff,0x3e200000,0x7fc007ff,0xfff880ff,0x7fffc007,0x7ffffc40,
    0xffffffff,0xffffffff,0x01fffec0,0x44fffc80,0x0003fffd,0xfd89fff9,
    0xf90003ff,0xfffd89ff,0xfff90003,0x03fffd89,0x89fff900,0xfffffff8,
    0xffffffff,0x50ffffff,0x5000bfff,0x3e20ffff,0x7fc007ff,0xfff880ff,
    0x7fffc007,0xffffff10,0xfffd7357,0x35ffff99,0x001fffe6,0xf88ffff1,
    0xffffffff,0xffffffff,0x7c40ffff,0xffffffff,0xffffffff,0x7c40ffff,
    0xffffffff,0xffffffff,0x7c40ffff,0xffffffff,0xffffffff,0x7e40ffff,
    0xc99befff,0xfff8efff,0xffffa807,0x03efffff,0x7fff8800,0x07fffc00,
    0x003fffc4,0xf103fffe,0xffffffff,0xffffffff,0xfd81ffff,0xf90003ff,
    0xfffd89ff,0xfff90003,0x03fffd89,0x89fff900,0x0003fffd,0xfd89fff9,
    0xf90003ff,0xfff889ff,0xffffffff,0xffffffff,0xbfff90ff,0xffff3000,
    0x01fffe20,0x101ffff0,0xf800ffff,0xfff10fff,0xffffffff,0x3ffeabff,
    0xdfff55ff,0x7fff8800,0x7fffffc4,0xffffffff,0x0fffffff,0x7fffffc4,
    0xffffffff,0x0fffffff,0x7fffffc4,0xffffffff,0x0fffffff,0x7fffffc4,
    0xffffffff,0x0fffffff,0x7fffff44,0xf0efffff,0x2e200fff,0xfffffffe,
    0x220001ef,0x7c007fff,0xff880fff,0x7ffc007f,0xbffff80f,0xaaaaaaaa,
    0x2aaaaaaa,0x004fffc8,0xc87fffb0,0xb0004fff,0xffc87fff,0xffb0004f,
    0x4fffc87f,0x7fffb000,0x004fffc8,0xf07fffb0,0x55557fff,0x55555555,
    0x7fdc5555,0xffa8006f,0xffff107f,0x0ffff800,0x007fff88,0xf887fffc,
    0xfffffeff,0x7fec4fff,0xffff35ff,0x7fff8800,0xaabffff8,0xaaaaaaaa,
    0xf02aaaaa,0x55557fff,0x55555555,0x3fe05555,0xaaaaabff,0xaaaaaaaa,
    0xffff02aa,0x55555557,0x55555555,0x3fff6205,0x10efffff,0x3000ffff,
    0xfffffff9,0x3e20005f,0x7fc007ff,0xfff880ff,0x7fffc007,0x02fffe80,
    0xfffb8000,0xfffd0005,0x05fffb85,0x85fffd00,0x0005fffb,0xfb85fffd,
    0xfd0005ff,0xfffb85ff,0xfffd0005,0x05fffd05,0x7ffd4000,0xfffb8007,
    0x0ffff106,0x80ffff80,0x4007fff8,0xff10ffff,0xffffd3bf,0xfff9105b,
    0x01fffe2b,0xd0ffff10,0x00005fff,0x00bfffa0,0x7fff4000,0xfd000002,
    0x000005ff,0xdffffec8,0x1fffe20b,0xfff93000,0x10001fff,0xf800ffff,
    0xff880fff,0x7ffc007f,0x3fffd80f,0xffa80000,0xfff0006f,0x6fffa81f,
    0x1ffff000,0x006fffa8,0xa81ffff0,0xf0006fff,0xffa81fff,0xfff0006f,
    0x7fffb01f,0x7fcc0000,0x7e4000ff,0xfff104ff,0xffff800f,0x07fff880,
    0x887fffc0,0x2aa26fff,0x7c131000,0x2a000fff,0xffd87fff,0xb000003f,
    0x00007fff,0x00ffff60,0x7ffec000,0x10000003,0x7ffc4035,0xfb100007,
    0x10007fff,0x2001ffff,0x880ffffb,0x7000ffff,0xf901ffff,0x00000bff,
    0x003ffff3,0x987fffa8,0x4001ffff,0xf987fffa,0x54001fff,0xff987fff,
    0x7d4001ff,0xfff987ff,0x7fd4001f,0xbfff907f,0xfff80000,0x7ff4002f,
    0xffff102f,0x3ffee001,0xffff880f,0xffff7000,0x01bffe21,0x3fffe000,
    0xffff3002,0x0bfff90f,0x3ff20000,0x9000005f,0x0000bfff,0x017fff20,
    0x88000000,0x00007fff,0x002ffff4,0x801ffff8,0x00fffffa,0x5003ffff,
    0x501fffff,0x0003ffff,0x0bffff00,0x04fffe80,0x800bffff,0xff04fffe,
    0xfe800bff,0xffff04ff,0xfffe800b,0x0bffff04,0x04fffe80,0x003ffff5,
    0x37fff400,0x1ffff500,0x00ffffc0,0x07ffffd4,0x801ffff8,0x10fffffa,
    0x0000ffff,0x00bfffb0,0x0ffffff3,0x003ffff5,0xffff5000,0xf5000003,
    0x00003fff,0x03ffff50,0x20000000,0x0007fff8,0x02fffdc0,0x04fffe80,
    0x7fffffd4,0x09fffd00,0xffffffa8,0x0dfffd00,0xfff70000,0x3fee003f,
    0xfff700ff,0x3fee003f,0xfff700ff,0x3fee003f,0xfff700ff,0x3fee003f,
    0xfff700ff,0x3fee003f,0x3ffa00ff,0x2a00006f,0x8802ffff,0x7404fffe,
    0x7d404fff,0xd00fffff,0xfa809fff,0xf10fffff,0x00000fff,0x401ffff5,
    0x7fffffe8,0x00dfffd0,0x3fffa000,0xfd000006,0x00000dff,0x001bfffa,
    0x7c400000,0x400007ff,0x0004fffc,0x201ffff9,0xfffffffb,0x1ffff900,
    0x3ffffee0,0xfff500ff,0x800003df,0x403ffffe,0x403ffffc,0x403ffffe,
    0x403ffffc,0x403ffffe,0x403ffffc,0x403ffffe,0x403ffffc,0x403ffffe,
    0x403ffffc,0x01effffa,0xffffd000,0x7fff4407,0x7ffe400f,0xffff700f,
    0x3f201fff,0xff700fff,0x221fffff,0x00007fff,0x01dffff0,0xfffdffd1,
    0x3fffea0f,0x5400001e,0x001effff,0x7fffd400,0x5400001e,0x001effff,
    0x7c400000,0x000107ff,0x007ffff3,0x3ffffe60,0xfffea99b,0x300fffde,
    0x337fffff,0xfbdfffd5,0x7fec01ff,0x209adfff,0x406dca99,0xbdfffffa,
    0xfffeba89,0xfffa806f,0xba89bdff,0x806ffffe,0xbdfffffa,0xfffeba89,
    0xfffa806f,0xba89bdff,0x806ffffe,0xbdfffffa,0xfffeba89,0xfffb006f,
    0x4c135bff,0xf306dca9,0x137bffff,0x7fffff95,0xfffff300,0xfffd5337,
    0x201fffbd,0x9bfffff9,0xdefffea9,0xfff10fff,0x3200000f,0x99beffff,
    0xfe8efffc,0x3fff607f,0x2609adff,0xd806dca9,0x9adfffff,0x1b72a660,
    0x3fffff60,0x2a6609ad,0xffd806dc,0x209adfff,0x006dca99,0x3fffc400,
    0x9aacefc8,0xffda9989,0x640006ff,0xffffffff,0xffd8efff,0x3fff200f,
    0xffffffff,0x00fffd8e,0x3fffff62,0xffffffff,0xffb806ff,0xffffffff,
    0x000dffff,0xfffffff7,0xbfffffff,0x3ffee001,0xffffffff,0x7000dfff,
    0xffffffff,0x1bffffff,0x3fffee00,0xffffffff,0xb1000dff,0xffffffff,
    0xdfffffff,0x7ffffdc0,0xffffffff,0x3ff2004f,0xffffffff,0x0fffd8ef,
    0x3fffff20,0x8effffff,0xff10fffd,0x200000ff,0xffffffe8,0xfd0effff,
    0x7fec40ff,0xffffffff,0x806fffff,0xffffffd8,0xffffffff,0xffd8806f,
    0xffffffff,0x806fffff,0xffffffd8,0xffffffff,0x4400006f,0xff907fff,
    0xffffffff,0x03ffffff,0xfffd8800,0x0dffffff,0x4401fff9,0xfffffffd,
    0xfff90dff,0xffff7001,0xffffffff,0x3a600dff,0xffffffff,0x98003fff,
    0xfffffffe,0x8003ffff,0xffffffe9,0x003fffff,0xfffffe98,0x03ffffff,
    0xffffe980,0x3fffffff,0xffff7000,0xffffffff,0xfe980dff,0xffffffff,
    0x6c4003ff,0xffffffff,0x1fff90df,0x7fffec40,0x90dfffff,0x3fe21fff,
    0x2000007f,0xffffffd8,0x3ff60eff,0xffffb807,0xffffffff,0x3ee006ff,
    0xffffffff,0x006fffff,0x3fffffee,0xffffffff,0x3ffee006,0xffffffff,
    0x00006fff,0xc83fffc4,0xffffffff,0x0effffff,0x3fee0000,0x642effff,
    0xfb800fff,0x42efffff,0x1000fffc,0xffffffd9,0x0059dfff,0xfffffeb8,
    0x40001cef,0xffffffeb,0x5c0001ce,0xeffffffe,0x75c0001c,0xceffffff,
    0x7f5c0001,0x1cefffff,0x7f644000,0xffffffff,0xfd9002ce,0x19ffffff,
    0x7ffdc000,0x7e42efff,0xffb800ff,0x642effff,0xfff10fff,0x9000000f,
    0x17bffffd,0x1007ffd8,0xffffffd9,0x0059dfff,0xffffec88,0x2cefffff,
    0x7ff64400,0xefffffff,0x7644002c,0xffffffff,0x00002cef,0xa83fffc4,
    0xffffffed,0x001dffff,0x2aa62000,0x98800000,0x000000aa,0x0cd554c4,
    0x35510000,0x54400000,0x2000001a,0x00001aa8,0x0006aa20,0x01aa8800,
    0x54c40000,0x800019aa,0x00001aa8,0x000aa988,0x0aa98800,0x2f774400,
    0x51000000,0x10000003,0x00335553,0xaaa98800,0x44000019,0x0019aaa9,
    0x5554c400,0x40000019,0x8805eee8,0x0aaaaa99,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x39500000,0x8002c980,0x2202cdca,0x3bae0001,
    0x8000003e,0x01deeeeb,0x07ddddb3,0x3ae00000,0x260003ee,0x3ddb05ee,
    0x44000000,0x00005eee,0x00000000,0x00000000,0x80000000,0x01deeeeb,
    0x00000000,0x40000000,0xddb05ee9,0x5666e403,0x53000001,0x00000001,
    0x6fecc000,0xddd70001,0x0fbbae07,0x05fffb00,0x4017ffee,0xeffffff9,
    0x8001fd81,0x03fffffb,0x3fee0000,0x74c01eff,0x0003ffff,0x7fffe400,
    0xff30003f,0x0fff983f,0x2efea800,0x0ffff100,0x7ffc4000,0x7fffc007,
    0x3fff2200,0xeeec8004,0xffec9800,0x00000cef,0x3fffee00,0x8800001e,
    0xeefffecb,0xff9100cd,0xdd90009f,0xfff3001d,0x00fff983,0x3ffffff6,
    0xe880001c,0x7fcc2fff,0xf90003ff,0x26000fff,0x000fffff,0xc89fffb0,
    0x4c005fff,0xff06ffff,0xf9801fff,0xffffffff,0x06ffeaad,0x7ffffdc0,
    0x800003ff,0x005ffffb,0x0fffff62,0x7fe40000,0x003fffff,0x737dfff0,
    0x3000fffd,0x003fffff,0x000ffff1,0x03fffc40,0x203fffe0,0x4fffffc8,
    0x27ffd400,0x3ffff220,0x003fffff,0xfffb8000,0x7000005f,0xffffffff,
    0xfc881fff,0x4004ffff,0x2004fffa,0xeb9befff,0x7fec07ff,0x0dffffff,
    0x3fff2000,0x7fff40ff,0xfffd0006,0x3ff20009,0x20003fff,0xfd8dfffd,
    0xf98005ff,0xfff07fff,0xffe803ff,0xffffebcf,0x001fffff,0x3a7bffee,
    0x00003fff,0x00ffffee,0x1ffffdc0,0x3ff20000,0x3fffeaef,0xffffb800,
    0x002fffff,0x4fffffc8,0x07fff880,0x3ffe2000,0x7fffc007,0x7ffffdc0,
    0x3e2004ff,0x7f4406ff,0xffffffff,0x000004ff,0x00ffffee,0x3ffa2000,
    0xffffffff,0x3ffee0ff,0x2004ffff,0x4006fff8,0xfffffffb,0x7fec02ff,
    0xffffffff,0xfffd0002,0xfffa85ff,0x7fcc001f,0xf90001ff,0x0009ffff,
    0xffffffd8,0x3fa0005f,0xfff903ff,0x70df500d,0x5fffffff,0x2fffe400,
    0x007fffd1,0x3dfff700,0xffe98000,0xf900003f,0x7ff44bff,0xffc8003f,
    0x004fffff,0x9fffffb0,0x0ffff100,0x7ffc4000,0x7fffc007,0x3bfffe20,
    0x32004fff,0x7e401fff,0xfebcefff,0x0001ffff,0x1efffb80,0xff900000,
    0x97579fff,0x3fe21fdb,0x04fffeff,0x007fff20,0x3fffff20,0x262004ff,
    0xffffffda,0xfffd8001,0xffff81ff,0x7ffe4004,0x3fea0006,0x80001fff,
    0x05fffffd,0x01ee4400,0x54002f6e,0x7bdb7100,0x7ffe4001,0x07fffb04,
    0x6fffdc00,0xfb100000,0xc80007ff,0xffb04fff,0xd930007f,0x400039df,
    0x02fffffb,0x007fff88,0x1fffe200,0x81ffff00,0xfff8aefd,0x9fff3004,
    0x3ffff980,0x05ffff98,0x7ffdc000,0x3000000d,0x001bffff,0xff8aefd8,
    0xfff3004f,0x764c0009,0x40001cef,0x1fffffd9,0x7fffcc00,0x0ffff905,
    0x03ffff80,0x1fffe400,0xfffb0000,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x1005fffd,0x0000ffff,0x003fffc4,
    0x7303fffe,0x8027ffc4,0x5c00fffe,0x3f206fff,0x000007ff,0x36000000,
    0x30006fff,0x027ffc47,0x000fffe8,0x20000000,0x005ffffc,0x2603ed98,
    0x5002ffff,0x0001ffff,0x00001510,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22001a98,0x00007fff,0x001fffe2,
    0x8801ffff,0xfc804fff,0xffd802ff,0x3ffe603f,0x0000000f,0xffd00000,
    0x2200005f,0xfc804fff,0x000002ff,0xffd80000,0x000001ff,0x4017fffa,
    0x0005fffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07fff880,0x3ffe2000,0x7fffc007,0x27ffc400,
    0x017ffe60,0x2017fff4,0x0000ffff,0x00000000,0x0001ffff,0x013ffe20,
    0x000bfff3,0x20000000,0x004ffff8,0x3ffee000,0xffff800f,0x00000002,
    0x00000000,0x09aaaa98,0x55530000,0x20000135,0x009aaaa9,0x55553000,
    0x26000013,0x0009aaaa,0x33531000,0x00000000,0xff880000,0x02aa207f,
    0x01fffe20,0x801ffff0,0x7404fff8,0xfd000fff,0x7fcc09ff,0x5510006f,
    0x01530015,0xffff3000,0x7fc40000,0x7fff404f,0x2a600000,0xe800000a,
    0x00006fff,0x13fffe20,0x00ffff50,0x19a98800,0x55310000,0x2a000335,
    0xffffffec,0x54003fff,0xffffffec,0x54003fff,0xffffffec,0x54003fff,
    0xffffffec,0x54003fff,0xffffffec,0x40003fff,0xfffffdb8,0xf880bdff,
    0x7fc007ff,0x000000ff,0x951fffe2,0x09dffffd,0x003fffc4,0x1003fffe,
    0x7dc09fff,0x3f2002ff,0x3ff205ff,0x3ae2005f,0x0dffffff,0x3bffff66,
    0x3fea0003,0x2200006f,0x3ee04fff,0x4c0002ff,0xffffffec,0xf900003e,
    0xeb800fff,0xfffc806e,0x27ffec07,0x3f6e2000,0xbdffffff,0xffd91000,
    0xdfffffff,0x3fffa003,0xffffffff,0xfe802fff,0xffffffff,0x802fffff,
    0xfffffffe,0x2fffffff,0xfffffe80,0xffffffff,0xfffe802f,0xffffffff,
    0xb8002fff,0xffffffff,0xf883ffff,0x7fc007ff,0xffff10ff,0x3fffffff,
    0x2dfff100,0xffffffd8,0xff105fff,0xfff800ff,0x7ffc400f,0x0bfff304,
    0x1ffffa80,0x01ffff98,0x3fffffe0,0xf98effff,0x3fffffff,0xdfff5000,
    0x7fc40000,0xbfff304f,0xfffb8000,0xffffffff,0x7dc0000e,0x7e4007ff,
    0xfff9807f,0xffff102f,0x7fdc0003,0xffffffff,0xffb803ff,0xffffffff,
    0xfd001fff,0xffffffff,0x03ffffff,0xffffffe8,0xffffffff,0x7fff401f,
    0xffffffff,0x7401ffff,0xffffffff,0x1fffffff,0x7fffff40,0xffffffff,
    0xfb1001ff,0xffffffff,0xf107ffff,0xff800fff,0xffff10ff,0x3fffffff,
    0x2dfff100,0xfffffffe,0x440dffff,0x7c007fff,0x7c400fff,0xfffd04ff,
    0xfff88001,0x7fffd46f,0x7fffc004,0xefffffff,0xffffffff,0xfa8002ff,
    0x200006ff,0xfd04fff8,0x220001ff,0xfffffffe,0x3fffffff,0x3fff2000,
    0x7ffe4005,0x5fffe800,0x00dfff50,0x3ffff620,0xffffffff,0x7ffec03f,
    0xffffffff,0xfd001fff,0x313357bf,0x1dffffd5,0x55efff40,0xffea9899,
    0x3fa00eff,0x9899abdf,0x0effffea,0x2af7ffa0,0xffea9899,0x3fa00eff,
    0x9899abdf,0x0effffea,0x7ffffc40,0xcba99bdf,0xfff883ff,0x7fffc007,
    0xffffff10,0x003fffff,0xffbdfff1,0xfd7337ff,0xff887fff,0x7ffc007f,
    0x7ffc400f,0x03fffb84,0x7ffff700,0x0bffffb1,0x4159ff00,0xffffffe9,
    0x0bfff912,0x0dfff500,0x7ffc4000,0x03fffb84,0x3ffffe00,0xfdb98abe,
    0x8001ffff,0x004fffe8,0x4007ffe4,0xd80ffffb,0x88003fff,0xbdffffff,
    0x3ffcba99,0x37fffea0,0x9733109a,0x02b2003d,0x1ffffdc0,0x2e001590,
    0x3203ffff,0xfff7000a,0x0056407f,0x03ffffb8,0x7dc002b2,0x7ec03fff,
    0xa800efff,0x07fff882,0x507fffc0,0xff555555,0xff1003ff,0x209fffff,
    0x446fffe8,0x7c007fff,0x74400fff,0x7ffc43ee,0x7ff40006,0x4fffffff,
    0x4c017000,0xe83fffff,0xccc80fff,0xfffdcccc,0xcccccccf,0x74401ccc,
    0x7ffc43ee,0x3ff20006,0x7fdc03ff,0x6c4006ff,0x4002ffff,0x8800fffd,
    0x7c43ffff,0xd8000fff,0x800effff,0x3fffe02a,0x00000004,0x013fff60,
    0x9fffb000,0xffd80000,0x6c00004f,0x00004fff,0x5027ffec,0x0009ffff,
    0x00ffff10,0x000ffff8,0x1003ffff,0x07ffffff,0x22ffff88,0x4007fff8,
    0x0000ffff,0x0007ffec,0x3ffffe60,0x00002eff,0x83ffffc0,0x7c43fffa,
    0xffffffff,0xffffffff,0x002fffff,0x007ffec0,0x2ffff880,0x5ffff500,
    0xf9755510,0x000bffff,0x2001fffb,0x7dc6fffc,0xfa8005ff,0x00004fff,
    0x001ffff1,0x54000000,0x00006fff,0x0037ffd4,0x1bffea00,0xfff50000,
    0xfa80000d,0xffd106ff,0x220000df,0x7c007fff,0xff000fff,0xff1003ff,
    0x36007fff,0x3fe25fff,0x7ffc007f,0x3ee0000f,0x980003ff,0x04ffffff,
    0xffb00000,0x3ffe60bf,0x7ffffc45,0xffffffff,0xffffffff,0x3ee0002f,
    0x360003ff,0x74005fff,0xffa86fff,0xefffffff,0xfecb8800,0xf3001fff,
    0x7ff43fff,0x7f44002f,0x200006ff,0x0007fff9,0x7cc00000,0x400007ff,
    0x0007fff9,0x03fffcc0,0x3ffe6000,0x7cc00007,0xfff507ff,0x2200003f,
    0x7c007fff,0xff000fff,0xff1003ff,0x7dc009ff,0x3ffe26ff,0xfff7000f,
    0x3e20001f,0xb80006ff,0x5fffffff,0x006aaa60,0x03fffb80,0xff117ffe,
    0xffffffff,0xffffffff,0x0005ffff,0x001bffe2,0x02ffff88,0x07fffd40,
    0x3fffffea,0xfc8803ff,0x1fffffff,0x53fffa00,0x8007fff9,0x001ffffa,
    0x3fffe200,0x00000002,0x01fffe20,0xffff1000,0xff880000,0x4400007f,
    0x00007fff,0xc83fffc4,0x00005fff,0x001fffe2,0x2001ffff,0x8801ffff,
    0x44007fff,0x7ffc7fff,0xfffa801f,0xfb0000ff,0xc80003ff,0xffffffff,
    0x5fffb03f,0x7ffd4000,0x01bffe02,0x00dfff50,0xfffb0000,0x7fcc0003,
    0xfff0006f,0xffffa83f,0xf8800ace,0xffffffff,0x3fee001f,0x09fff96f,
    0x0bfff900,0xfffd0000,0x0000007f,0xf5333310,0x44000fff,0xfffa9999,
    0x26620007,0x07fffa99,0x26666200,0x0007fffa,0x3ea66662,0xfffb07ff,
    0x7c400009,0x7fc007ff,0xfff000ff,0xfff1003f,0xfff8800f,0x13fffa0f,
    0xffffff50,0xfff50001,0xffc80009,0xffff9cff,0x1fffe81f,0x3ffea000,
    0x01fffe02,0x00dfff50,0xfffa8000,0x7fd40004,0xffd0005f,0x4fff985f,
    0xffffd800,0x00aaaace,0x27fffe20,0x8001ffff,0x0004fffd,0xfffffa80,
    0x800001bf,0xffffedc9,0x07ffffff,0xfffdb930,0xffffffff,0x3fb72600,
    0xffffffff,0xdb93007f,0xffffffff,0x32600fff,0xffffffed,0xff07ffff,
    0x400005ff,0x4007fff8,0xf000ffff,0xf1003fff,0xff000fff,0x7ffe43ff,
    0xffff700f,0x88001fff,0x40006fff,0x2a4ffff9,0x740fffff,0x64401fff,
    0xffffffed,0xffffffff,0x54007fff,0x00006fff,0x01bffe20,0x13ffee00,
    0x1fffec00,0x0013ffe6,0x009ffff5,0x77ffec00,0xf0006fff,0x00005fff,
    0x3fffff20,0x0000beff,0x7fffff54,0xffffffff,0x7ff5407f,0xffffffff,
    0x5407ffff,0xfffffffe,0x7fffffff,0x7ffff540,0xffffffff,0x7f5407ff,
    0xffffffff,0x887fffff,0x0001ffff,0x01fffe20,0x001ffff0,0x2007fffe,
    0x8007fff8,0x3e61ffff,0xa99bffff,0xffdefffe,0x7fec000f,0x6666441f,
    0xbfffb02c,0x8dffff90,0x2e00ffff,0xffffffff,0xffffffff,0x007fffff,
    0x0037ffd4,0x3fffb000,0x03efedb8,0x001fffec,0x4c4fffc8,0x6c004fff,
    0x00006fff,0x7fffffcc,0xff88003f,0x000001ff,0x3fffffea,0x8003efff,
    0xfffffffc,0xffffffff,0x3fff207f,0xffffffff,0x207fffff,0xfffffffc,
    0xffffffff,0x3fff207f,0xffffffff,0x207fffff,0xfffffffc,0xffffffff,
    0xffff887f,0x3e200000,0x7fc007ff,0xfff000ff,0xfff1003f,0xffff000f,
    0xfffffc83,0x8effffff,0x2000fffd,0xfd84fffa,0xf884ffff,0xffb01fff,
    0x3ffe2bff,0x3ffff207,0xffffffff,0xffffffff,0x7d4007ff,0x000006ff,
    0x7cc9fff5,0x0fffffff,0x007fffb0,0x313fff20,0xe8007fff,0x00003fff,
    0xffffffe8,0xfff88000,0x4000000f,0xfffffeb8,0x5001efff,0x337fffff,
    0x41fffe20,0x9bfffffa,0x0ffff101,0x2fffffea,0xffff1019,0x3ffffea0,
    0xfff1019b,0x3fffea0f,0xff1019bf,0x3fffe0ff,0x3e200002,0x7fc007ff,
    0xfff000ff,0xfff1003f,0xfff8800f,0xffffd887,0x90dfffff,0x22001fff,
    0x7d40efff,0xa84fffff,0x3a206fff,0xffbbffff,0xffff306f,0x7ffd4139,
    0xf5000002,0x00000dff,0x5c1dfff1,0xffffffff,0x09fff906,0x0ffff600,
    0x8007fff1,0x0002ffff,0xfffffb80,0x3ffe0003,0x0000002f,0x3fffff26,
    0x7c402fff,0x8800dfff,0xff887fff,0xf8800dff,0xfff887ff,0xff8800df,
    0xffff887f,0xfff8800d,0xdffff887,0x7fff8800,0x007fffd0,0x3fffc400,
    0x03fffe00,0x00ffffc0,0x003fffc4,0xb81bffe6,0x2effffff,0x8007ffe4,
    0xfe82fffc,0xb84fffdf,0x7cc05fff,0xfffeffff,0x07fffb03,0x000bffea,
    0x37ffd400,0x7fe40000,0xb11ee82f,0xff701fff,0x3fa000bf,0x777442ff,
    0x3ffe2002,0x8800003f,0x000fffff,0x00ffffa0,0x64c00000,0x00ffffff,
    0x003fffea,0x543fffc4,0x1000ffff,0xff50ffff,0x3e2001ff,0xfffa87ff,
    0xfff1000f,0x1ffff50f,0x1fffe200,0x0027ffec,0x0ffff100,0x00ffff80,
    0x003ffff0,0x800ffff1,0x8805fffa,0xfe880aa9,0xfff3004f,0xf1fff909,
    0xfff909ff,0xffff500b,0x3e01ffff,0xff501fff,0x2000007f,0x0006fffa,
    0x827ffcc0,0x82fffa80,0x0006fffa,0x0001ffff,0x05ffff80,0xfff88000,
    0x7ec0004f,0x000004ff,0x7ffec400,0x3fff203f,0x3ffe2005,0x05fffc87,
    0x21fffe20,0x2005fffc,0xfc87fff8,0x3e2005ff,0xfffc87ff,0x3ffe2005,
    0x1ffff907,0x3fe20000,0xff7000ff,0x3fe001ff,0xff8801ff,0x7fec007f,
    0xe880004f,0x3fa005ff,0x7ffcc0ff,0xf709fff2,0x3f200fff,0x105fffff,
    0x7d40ffff,0x000004ff,0x000dfff5,0x00fffe80,0x207fff20,0x001ffff9,
    0x003fffd4,0x3fffec00,0x7fe40000,0x640000ff,0x0000ffff,0xffe80000,
    0x3fff605f,0x3ffee004,0x04fffd87,0x21fffee0,0x2004fffd,0xfd87fffb,
    0x3ee004ff,0xfffd87ff,0x3ffee004,0x9ffff507,0x7ffc0000,0xfffa801f,
    0xfff000ff,0xfff1003f,0x7ffcc00f,0xfc80001f,0xff9000ff,0x4bffd05f,
    0xff984fff,0xffb001ff,0x3e603fff,0x3ff205ff,0x5000006f,0x0000dfff,
    0x0017ffe4,0x7c0dfff3,0x74005fff,0x00004fff,0x04ffffa8,0x3ffe2000,
    0xfa80004f,0x00004fff,0xfffb8000,0x17fff205,0x3ffff620,0x05fffc87,
    0x7ffffd88,0x805fffc8,0x87ffffd8,0x8805fffc,0xc87ffffd,0xd8805fff,
    0x3a07ffff,0x0001ffff,0x809fffd0,0x0ffffffa,0x03ffff00,0x00ffff10,
    0x0027fff4,0x027ffc40,0xb85fff98,0x3ffe0fff,0x5ffff884,0xfffff300,
    0x1bffe207,0x0fffffd4,0x7fd40000,0xf300006f,0x7d400bff,0x3ee01fff,
    0xf7001fff,0xd9101fff,0xffd0003b,0x100007ff,0x001ffffd,0x3ffffa00,
    0x00000001,0x7027ffe4,0x5403ffff,0x87ffffff,0x201ffffb,0x7ffffffa,
    0x01ffffb8,0x3fffffea,0x1ffffb87,0x3ffffea0,0xffffb87f,0x3fffea01,
    0x3fe607ff,0x55004fff,0x03ffff20,0x7fffffdc,0xffff000f,0xffff1003,
    0xffffb100,0xff500001,0x3ffa007f,0x77ffc40f,0xcefffccc,0x67fffec3,
    0x3fffee00,0xfff02fff,0xffff981f,0x00000eff,0x0037ffd4,0x00fffe80,
    0x03ffff70,0x07ffffd0,0x03ffffc8,0x001ffffd,0xcfffff98,0x3ff60000,
    0x200002ff,0x04fffff9,0x00020550,0x80ffffe6,0x9bfffff9,0xffffeb98,
    0xff987fff,0xb989bfff,0xfffffffe,0xfffff987,0xffeb989b,0x987fffff,
    0x89bfffff,0xfffffeb9,0xfff987ff,0xeb989bff,0x7fffffff,0x7ffffe40,
    0xdba9abce,0xfff303ff,0xfd5337ff,0x1fffbdff,0x07fffe00,0x3ffffe20,
    0xfba989ac,0x0002ffff,0x00bfff50,0xf305fff7,0xffffffff,0xff88bfff,
    0xa9acffff,0xffffffec,0xffe80fff,0xfffb89df,0x0aefffec,0x8001b731,
    0x0006fffa,0x802fffb8,0x00dfffd8,0xbfffff50,0xffd75137,0x3fea0dff,
    0xa8004fff,0xadffffff,0xffea8009,0x800004ff,0xcefffffc,0xffdba9ab,
    0x559df903,0xfb533133,0xf900dfff,0xffffffff,0xffd3dfff,0x3ffff20f,
    0xffffffff,0x907ffe9e,0xffffffff,0xfd3dffff,0x3fff20ff,0xffffffff,
    0x07ffe9ef,0xfffffff9,0xd3dfffff,0xfc880fff,0xffffffff,0x203fffff,
    0xfffffffc,0xfd8effff,0x555550ff,0x7ffff555,0x21555555,0xfffffff8,
    0xffffffff,0x2600002f,0x2cdfffff,0x982fffcc,0xffffffff,0xfa85ffff,
    0xffffffff,0xfdefffff,0x7d40efff,0xffffffff,0xffffff34,0x001fffff,
    0x006fffa8,0x02fffcc0,0x01ffff4c,0x7ffffdc0,0xffffffff,0xfff500df,
    0x2a000bff,0xffffffff,0xfddd74ff,0x00dfffff,0x3ff22000,0xffffffff,
    0xf903ffff,0xffffffff,0x3fffffff,0xffffb100,0x49ffffff,0xfb107ffd,
    0xffffffff,0x83ffec9f,0xffffffd8,0x3f64ffff,0xfffb107f,0x9fffffff,
    0xd883ffec,0xffffffff,0x1fff64ff,0x7ffff4c0,0xffffffff,0x3fff6203,
    0x0dffffff,0x3fa1fff9,0xffffffff,0xffffffff,0xffffb12f,0xffffffff,
    0x000001bf,0x5ffffff9,0x100fffe8,0xf5555555,0x26055bff,0xfffffffe,
    0x3f63ffff,0xffe85fff,0x545fffff,0xffffffff,0x7d4000ff,0x740006ff,
    0xfd800fff,0xffffffff,0xfffe9806,0xffffffff,0x7fffcc03,0x3620003f,
    0xffffffff,0xffffff94,0x000009ff,0xfffffd30,0x7fffffff,0x3fffff20,
    0xffffffff,0x754000ef,0x2defffff,0x2a03ffec,0xdefffffe,0x203ffec2,
    0xefffffea,0x03ffec2d,0x3fffffaa,0x3ffec2de,0x3ffffaa0,0x7fec2def,
    0x7f6dc007,0xadffffff,0xffffb800,0x7fe42eff,0xfffffd0f,0xffffffff,
    0x885fffff,0xfffffeda,0x00002cdf,0x7ffffdc0,0x00fffee2,0x004fff80,
    0xffffffd7,0xffe8817b,0xfffc83ff,0xffb503ef,0x009dffff,0x00dfff50,
    0x01fffdc0,0xffffffd8,0x2e006fff,0xeffffffe,0xfff7001c,0x3260000b,
    0x94ffffff,0x3dffffff,0xb8000000,0xffffffed,0xdb500adf,0xffffffff,
    0x00003bff,0x00001553,0x00015530,0x00155300,0x01553000,0x15530000,
    0x22000000,0x2000099a,0x4000aa98,0xfffffffe,0xffffffff,0x98802fff,
    0x00000009,0xff882660,0x7fc0006f,0x9988004f,0xa9800000,0x26aa6000,
    0x3fea0000,0xff10006f,0x7fec00df,0x6fffffff,0x03551000,0x000d4400,
    0xeccaa800,0x579dff73,0x00000000,0x000266a2,0x2aaaa662,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01100000,0x88000000,0x400009aa,
    0x2202cdca,0x3bb20001,0xeeeb80de,0x2a60004e,0x5c000001,0x001deeee,
    0x406f7764,0x204eeeeb,0x03eeeed9,0x3bbba200,0x0eeeeeee,0x00e54000,
    0xd7000b26,0x3bae07dd,0xb800003e,0x001deeee,0x2e07ddd7,0x98003eee,
    0x3ddb05ee,0x55555000,0x35555555,0x2aaaa000,0xaaaaaaaa,0xcdca8001,
    0x20006202,0x2202cdca,0x2f774401,0x3ae00000,0xddd703ee,0x201a9807,
    0x1dffffeb,0x0eeec800,0xea87fff1,0x03ffffff,0x7ffffcc0,0x01fd81ef,
    0x1ffffc80,0x0dffffa8,0x7113ffe2,0x1bfffffb,0xffb80000,0x64001eff,
    0xfa81ffff,0x4c00dfff,0x003ffffe,0xffffff10,0x003fffff,0x817ffec0,
    0x4005fffb,0x7e44fffd,0x800005ff,0x01effffb,0x227ffec0,0x0005fffc,
    0xf983fff3,0xfd8000ff,0xffffffff,0xfb0005ff,0xffffffff,0x7cc00bff,
    0x81efffff,0xff3001fd,0xb03dffff,0x7ffc403f,0xd8000007,0x7fe44fff,
    0x3ff6205f,0xffffb05f,0x54003fff,0x3fe24fff,0xffffb14f,0x01bfffff,
    0xffffff30,0xfd55bfff,0xffb800df,0xfff981ff,0x4fff884f,0x3fffffa6,
    0x0001efff,0x0bffff70,0x3ffff700,0x09ffff30,0x7fffec40,0xfff88003,
    0xffffffff,0xfff30001,0x3fffe0df,0x7fec000f,0x5fffd8df,0xffb80000,
    0x360005ff,0xffd8dfff,0x7fc0005f,0xffeb9bef,0xfffb0007,0xffffffff,
    0x3ff6000b,0xffffffff,0xfff3005f,0x5bffffff,0x300dffd5,0xffffffff,
    0xdffd55bf,0x03fffc40,0xffd80000,0x5fffd8df,0x7ffffe40,0xffeded84,
    0xff1005ff,0xcfff88df,0xffffffe8,0x804fffff,0xfebcfffe,0xffffffff,
    0x3ffea001,0xffff981f,0x29fff103,0xfffffffb,0x0007ffff,0x03ffffb8,
    0x1ffffa80,0x03ffff98,0x7ffff700,0x99999000,0x03ffff99,0x3fffe600,
    0x3fffff07,0xffffb000,0x0000bfff,0x07ffff70,0xffffb000,0x0000bfff,
    0xfffffff7,0x2e0005ff,0xcccccccc,0x70003ccc,0x99999999,0x3a007999,
    0xffebcfff,0x1fffffff,0xbcfffe80,0xfffffffe,0x666641ff,0xccccffff,
    0x00002ccc,0x3ffffff6,0xffff805f,0xffa807ff,0xfff9006f,0xedfff883,
    0xb99adfff,0x400fffff,0xfffb86fa,0x2002ffff,0x881ffff9,0x2202ffff,
    0xfffadfff,0xffda9acf,0x2e0003ff,0x8001efff,0x881ffff9,0x0002ffff,
    0x01ffff4c,0x3ffff000,0x7fff4000,0x0dfff903,0x7fffec00,0xb800005f,
    0x0001efff,0x3fffff60,0x3f200005,0x04ffffff,0x00000000,0x2a000000,
    0xffffb86f,0xf5002fff,0xfffff70d,0xffff05ff,0xffffffff,0x00007fff,
    0x5fffffd8,0xfffff880,0x7fcc00ff,0xfff9804f,0xfffff884,0xfff302ff,
    0x2015009f,0x00bdedb8,0x07fffe20,0x007fffa2,0xfffffff1,0x3fff601d,
    0xfff70006,0xff10001b,0xffd103ff,0x2200003f,0x0003fffd,0x003ffff0,
    0x201ee440,0x40000bdb,0x0004fffd,0x0dfffb80,0xffd80000,0x9800004f,
    0x001cefec,0x00000000,0x0a800000,0x17bdb710,0x7100a800,0x3e017bdb,
    0xffffffff,0x03ffffff,0xfffd8000,0x3fffa004,0xfb9906ff,0xfd001dff,
    0xfff101ff,0xfc803fff,0x000005ff,0x00000000,0x7fffffc4,0x3ffe600d,
    0x0000001f,0x00000000,0x20000000,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xffffeeee,
    0x2eeeeeee,0x00000000,0x0fffffd4,0x2ffffff8,0x02fffc80,0x05fffff1,
    0x00dfff30,0x00000000,0xfff88000,0xffd005ff,0x0000003f,0x00000000,
    0x40000000,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x001fffe2,0x00000000,0xf8077b66,
    0x06ffffff,0x8817ffe6,0x1003ffff,0x0000ffff,0x00000000,0xeffff880,
    0x5fffb000,0x00000000,0x00000000,0x7fc00000,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00000aa9,0x09aaaa98,0x00000000,
    0x88000000,0x00007fff,0x00000000,0x7fdcccc0,0xfffd02ff,0x3fffc401,
    0x03fffe00,0x00000000,0xff880000,0x3f6000ff,0x310003ff,0x00033555,
    0x0002aa60,0x00000000,0x000ffffc,0x00000000,0x00000000,0x00000353,
    0x00001a98,0xc9800000,0xeffffffe,0xfd950003,0xffffffff,0x54400007,
    0x0000009a,0x7ffc4000,0x00000007,0x00026aa2,0x3fff2000,0x02fffb84,
    0x003fffc4,0x2203fffe,0x7c007fff,0xff880fff,0x7ffc007f,0x7fff880f,
    0x04ccc400,0xfffec880,0x1effffff,0x3ffb2600,0x003effff,0xffffff10,
    0x003fffff,0x03ffff00,0xfffff100,0x03ffffff,0xfffffb00,0xffffffff,
    0x4407ffff,0x6dc44fff,0x00dfffff,0x444fff88,0xdfffffdb,0xffff8800,
    0x1fffffff,0x7ffdc000,0xffffffff,0x3ffa000e,0xffffffff,0x2202ffff,
    0x7f543fff,0x003fffff,0xfffffff1,0x8003ffff,0x2607fff8,0x7fc40009,
    0x7fff543f,0x00003fff,0x87fffd10,0x8805fff9,0x7c007fff,0xff880fff,
    0x7ffc007f,0x7fff880f,0x07fffc00,0x003fffc4,0x7ffdc000,0xffffffff,
    0xff7001ff,0xffffffff,0xf88001df,0xffffffff,0xf80001ff,0x88001fff,
    0xffffffff,0xd8001fff,0xffffffff,0xffffffff,0x3ffe203f,0x3ffffa64,
    0x401effff,0x3a64fff8,0xffffffff,0x7ffc401e,0xffffffff,0xffd10001,
    0xffffffff,0x2007ffff,0xfffffffe,0xffffffff,0x29fff101,0xffffffd8,
    0x4400dfff,0xffffffff,0x44001fff,0x7e4c7fff,0x801dffff,0xfb14fff8,
    0xffffffff,0xee80001b,0x0fffffee,0x4007fff4,0x4007fff8,0xf880ffff,
    0x7fc007ff,0xfff880ff,0x7fffc007,0x07fff880,0x7fec0000,0xffffffff,
    0x4401ffff,0xfffffffe,0x3fffffff,0x3fffe200,0x1fffffff,0xffff8000,
    0xfff88001,0xffffffff,0xfffd8001,0xffffffff,0x03ffffff,0x7dd3ffe2,
    0xffffffff,0x7fc407ff,0xfffff74f,0x0fffffff,0xffffff88,0x001fffff,
    0x7dfffff0,0xfffb7315,0xffd003ff,0x5313357b,0x01dffffd,0xfd19fff1,
    0xffffffff,0xff8809ff,0xffffffff,0x7fc4001f,0x3fffee7f,0x403fffff,
    0xfe8cfff8,0xffffffff,0x7c0004ff,0x1fffffff,0x801fffdc,0x4007fff8,
    0xf880ffff,0x7fc007ff,0xfff880ff,0x7fffc007,0x07fff880,0x3fea0000,
    0x3109adff,0xf803d973,0x8abeffff,0xfffffdb9,0x2aaaa001,0x1ffffaaa,
    0xffff8000,0x55550001,0x3ffff555,0x55553000,0x55555555,0x403ffffd,
    0xffadfff8,0xfda9acff,0x3e203fff,0xffffadff,0xfffda9ac,0x5555403f,
    0x1ffffaaa,0xffffc800,0x7fffdc03,0x000ac806,0x107ffff7,0xfffdbfff,
    0xfff7335b,0xaaa801ff,0xffffaaaa,0x7ffc4001,0xffffffb6,0x407fffff,
    0xffedfff8,0xffb99adf,0x20000fff,0x0beffffe,0x0037ffc4,0x800ffff1,
    0xf880ffff,0x7fc007ff,0xfff880ff,0x7fffc007,0x07fff880,0x3ffe0000,
    0x3200004f,0x5c03ffff,0x0006ffff,0x003ffff0,0x03ffff00,0xffff0000,
    0x30000003,0x8807ffff,0xefffffff,0x0dfffb00,0x7fffffc4,0xfffb00ef,
    0x7ffc000d,0x7fc4001f,0xff5002ff,0x000005ff,0xf109fffb,0x05ffffff,
    0x013fffe6,0x01ffff80,0x6f7ffc40,0xcaacffff,0x100fffff,0x5fffffff,
    0x13fffe60,0x80131000,0x2000fffd,0x4007fff8,0xf880ffff,0x7fc007ff,
    0xfff880ff,0x7fffc007,0x07fff880,0xfff10000,0x2200001f,0x5002ffff,
    0x0005ffff,0x003ffff0,0x03ffff00,0xffff0000,0x88000003,0x8805ffff,
    0x0dffffff,0x07fffe60,0x7fffffc4,0x3ffe600d,0xfff0001f,0xffd8003f,
    0x7ff4005f,0xa800006f,0xff886fff,0x6401ffff,0x20005fff,0x4001ffff,
    0xfffffff8,0xffffa80c,0xfffff103,0xfffc803f,0xb8000005,0x44003fff,
    0x7c007fff,0xff880fff,0x7ffc007f,0x7fff880f,0x07fffc00,0x003fffc4,
    0x7fff9800,0x3ff60000,0x7ff4005f,0xff80006f,0xf80001ff,0x00001fff,
    0x001ffff8,0x7fff4000,0xfff8800e,0xffd005ff,0x3ffe203f,0xffd005ff,
    0x3fe0003f,0x3e2001ff,0x54002fff,0x0000ffff,0x43fffcc0,0x02fffff8,
    0x006fff98,0x007fffe0,0xffffff10,0x5fffd807,0x5fffff10,0x0dfff300,
    0xff880000,0xff88006f,0x7ffc007f,0x7fff880f,0x07fffc00,0x003fffc4,
    0x2203fffe,0x00007fff,0x05ffff10,0xffff1000,0xfffa8005,0x7fc0000f,
    0xf80001ff,0x00001fff,0x001ffff8,0x3fff2000,0xfff1001f,0x3f6001df,
    0xfff102ff,0x3f6001df,0xff0002ff,0x7cc003ff,0xff0006ff,0x800003ff,
    0xf887fff8,0xf1003fff,0x7c000fff,0x44001fff,0x804fffff,0xf106fffa,
    0x22007fff,0x00007fff,0x00fffec0,0x03fffc40,0x203fffe0,0x4007fff8,
    0xf880ffff,0x7fc007ff,0xfff880ff,0x3a000007,0x0003ffff,0x0037ffcc,
    0x001ffff8,0x00ffffc0,0x0ffffc00,0x7ffc0000,0x5000001f,0x4005ffff,
    0x000ffff8,0x440ffff6,0x2000ffff,0x0003fffd,0x4003ffff,0x0005fffa,
    0x0005fffd,0x7d4cccc4,0xfff887ff,0x7fffc007,0xffff0000,0xfff88003,
    0xfff1004f,0x1fffe20f,0x81ffff00,0x0001ded9,0x0009fff5,0x001fffe2,
    0xf101ffff,0xff800fff,0xfff880ff,0x7fffc007,0x07fff880,0x3fea0000,
    0x001bffff,0x005fffa8,0x005fffd0,0x01ffff80,0x1ffff800,0xfff80000,
    0x9800001f,0x4004ffff,0x4007fff8,0xf1009998,0x98800fff,0xff000099,
    0x7dc003ff,0xfb0004ff,0x326007ff,0xffffffed,0xf887ffff,0x7fc007ff,
    0xff0000ff,0xf88003ff,0x7fc007ff,0xfff880ff,0x7fffc007,0x3ffffea0,
    0x7ffc4001,0x3fe20006,0x7ffc007f,0x7fff880f,0x07fffc00,0x003fffc4,
    0x2203fffe,0x00007fff,0x7ffffe40,0x7000beff,0x20009fff,0x0003fffd,
    0x000ffffc,0x00ffffc0,0x7fffc000,0x74400001,0x88006fff,0x00007fff,
    0x00ffff10,0x3fe00000,0x3f6001ff,0xf90003ff,0xfea809ff,0xffffffff,
    0x887fffff,0x7c007fff,0xf0000fff,0x88003fff,0x7c007fff,0xff880fff,
    0x7ffc007f,0x3ffffa0f,0x7fec006f,0x6666441f,0x7fff882c,0x07fffc00,
    0x003fffc4,0x2203fffe,0x7c007fff,0xff880fff,0x8000007f,0xfffffffa,
    0x7ec03eff,0xf90003ff,0xf80009ff,0x80001fff,0x0001ffff,0x01ffff80,
    0x7ffec000,0xff88000f,0x1000007f,0x0000ffff,0x3fffe000,0x3fff6001,
    0xfff90003,0x7fffe409,0xffffffff,0xf887ffff,0x7fc007ff,0xff0000ff,
    0xf88003ff,0x7fc007ff,0xfff880ff,0x7fffc007,0xffffff10,0x3fea001f,
    0xffffd84f,0x7fff884f,0x07fffc00,0x003fffc4,0x2203fffe,0x7c007fff,
    0xff880fff,0x0000007f,0xfffffd71,0x3603dfff,0x90003fff,0x80009fff,
    0x0001ffff,0x001ffff8,0x1ffff800,0x3fee0000,0xf10002ff,0x00000fff,
    0x001fffe2,0x7ffc0000,0x3ff2001f,0xffb0004f,0x3ffea07f,0xf1019bff,
    0xfff10fff,0xffff800f,0xffff0000,0xfff88003,0x7fffc007,0x07fff880,
    0xf07fffc0,0x00ffffff,0x503bffe2,0x09ffffff,0x800ffff1,0xf880ffff,
    0x7fc007ff,0xfff880ff,0x7fffc007,0x07fff880,0xc9800000,0xffffffff,
    0x04fffc82,0x07fffb00,0x1ffff800,0xffff8000,0xff800001,0x300001ff,
    0x0009ffff,0x003fffc4,0x7fff8800,0xf0000000,0x5c003fff,0xd0005fff,
    0xff105fff,0xf1001bff,0xfff10fff,0xffff800f,0xffff0000,0xfff88003,
    0x7fffc007,0x07fff880,0xb07fffc0,0x009fffff,0x3a0bfff2,0x84fffdff,
    0x4007fff8,0xf880ffff,0x7fc007ff,0xfff880ff,0x7fffc007,0x07fff880,
    0x4c000000,0x0ffffffc,0x002fffdc,0x002fffe8,0x00ffffc0,0x0ffffc00,
    0x7ffc0000,0xf880001f,0x40005fff,0x0007fff8,0x0ffff100,0x3e000000,
    0x2a001fff,0xf0006fff,0xff501fff,0x3e2001ff,0xfff887ff,0x7fffc007,
    0xffff0000,0xfff88003,0x7fffc007,0x07fff880,0x107fffc0,0x200bfffb,
    0xfc84fff9,0x04fff8ff,0xf1000000,0xff800fff,0xfff880ff,0x7fffc007,
    0x00000000,0x3ff62000,0x7ffd43ff,0xffff0006,0xfff80001,0xff80001f,
    0x800001ff,0x0001ffff,0x00ffffd8,0x3fffc400,0xff880000,0x0000007f,
    0x003ffff0,0x00ffffcc,0x41fffea0,0x2005fffc,0xf887fff8,0x7fc007ff,
    0xff0000ff,0xf88003ff,0x7fc007ff,0xfff880ff,0x7fffc007,0x2001a980,
    0x7cc0fffe,0x09fff2ff,0x22000000,0x7000ffff,0xf101ffff,0x2e001fff,
    0x0000ffff,0x80000000,0x7cc5fffe,0x54001fff,0x80007fff,0x0001ffff,
    0x001ffff8,0x1ffff800,0x7ffe4000,0xf880001f,0x000007ff,0x000ffff1,
    0x3ffe0000,0x7ffc001f,0x7ff4005f,0x9fffb04f,0x3fffdc00,0x003fffc4,
    0x0003fffe,0x000ffffc,0x001fffe2,0xf101ffff,0xff800fff,0xc80000ff,
    0xffe82fff,0x0013ffe5,0x8000cccc,0xa801ffff,0xf00fffff,0xf5003fff,
    0x0001ffff,0x00003333,0xbfff7000,0x00bffff0,0x004fffe8,0x01ffff80,
    0x1ffff800,0xfff80000,0x3ea0001f,0x00003fff,0x000ffff1,0x1fffe200,
    0x7c000000,0x5c001fff,0x7001ffff,0x3201ffff,0xd8805fff,0xf887ffff,
    0x7fc007ff,0xff0000ff,0xf88003ff,0x7fc007ff,0xfff880ff,0x7fffc007,
    0x7fcc0000,0x0fffb85f,0x20013ffe,0x0005fff9,0xa809fffd,0x00ffffff,
    0xa809fffd,0x00ffffff,0x02fffcc0,0x7e400000,0xfffb84ff,0xfff7001f,
    0xff00001f,0xf00003ff,0x00003fff,0x003ffff0,0x17fffe20,0xfff88000,
    0xf1000007,0x00000fff,0x07fffe00,0x3ffffa00,0x7fffe403,0x3fffee03,
    0x3fffea01,0xfff887ff,0x7fffc007,0xffff0000,0xfff88003,0x7fffc007,
    0x07fff880,0x007fffc0,0x03fffa00,0x999dfff1,0x0079dfff,0x001fffdc,
    0x00ffffc8,0xfffffff7,0x3ffff201,0xfffff700,0xfb8001ff,0x020003ff,
    0x3fffe600,0x7ffffd03,0x3ffffc80,0xffff0000,0xfff00003,0xf000003f,
    0x20003fff,0x000efffe,0x1fffe200,0x7fc40000,0x0000007f,0x003ffff0,
    0xbfffff50,0xffd75137,0xff980dff,0xb989bfff,0xfffffffe,0x07fff887,
    0x007fffc0,0x01ffff80,0x03fffc40,0x203fffe0,0x4007fff8,0x0000ffff,
    0x260bffee,0xffffffff,0x2005ffff,0x0000fffd,0x37fffff3,0xbdfffd53,
    0x3e601fff,0xa99bffff,0xffdefffe,0x7fec000f,0x3f20000f,0x9899aace,
    0x6ffffda9,0x3ffffea0,0xfeba89bd,0x2a006fff,0xfaaaaaaa,0xaaaabfff,
    0x555550aa,0x7ffff555,0x01555555,0x2aaaaaaa,0xaabffffa,0xf900aaaa,
    0x9999bfff,0x99999999,0x3ffe2019,0xf1000007,0x00000fff,0x2aaaaaaa,
    0xaabffffa,0x2e00aaaa,0xffffffff,0x0dffffff,0xfffffc80,0xefffffff,
    0xf887ffe9,0x7fc007ff,0x555500ff,0xffff5555,0x15555557,0x00ffff10,
    0x880ffff8,0x7c007fff,0x30000fff,0x3e60bfff,0xffffffff,0x3a005fff,
    0x640006ff,0xffffffff,0xffd8efff,0x3fff200f,0xffffffff,0x00fffd8e,
    0x0037ff40,0x3fffff20,0xffffffff,0x7dc01fff,0xffffffff,0x00dfffff,
    0x3fffffa0,0xffffffff,0xfd2fffff,0xffffffff,0xffffffff,0x3fffa05f,
    0xffffffff,0x2fffffff,0xfffffff0,0xffffffff,0x2203ffff,0x00007fff,
    0x00ffff10,0x3fffa000,0xffffffff,0x2fffffff,0x7ffff4c0,0x3fffffff,
    0x3fff6200,0x4fffffff,0x3e21fff6,0x7fc007ff,0xfffd00ff,0xffffffff,
    0x5fffffff,0x00ffff10,0x880ffff8,0x7c007fff,0xd0000fff,0x2a201fff,
    0xffaaaaaa,0xf1002adf,0x880009ff,0xfffffffd,0xfff90dff,0x7ffec401,
    0x0dffffff,0x4001fff9,0x0004fff8,0x7fffffe4,0xffffffff,0xffd3000e,
    0xffffffff,0xffd0007f,0xffffffff,0xffffffff,0x3fffffa5,0xffffffff,
    0xd02fffff,0xffffffff,0xffffffff,0x3ffe05ff,0xffffffff,0xffffffff,
    0x0ffff101,0x3fe20000,0xd000007f,0xffffffff,0xffffffff,0x3ae005ff,
    0xceffffff,0xffd50001,0xd85bdfff,0xfff887ff,0x7fffc007,0xfffffd00,
    0xffffffff,0x105fffff,0xf800ffff,0xff880fff,0x7ffc007f,0xffb8000f,
    0x3fe0003f,0x7fd4004f,0xf700001f,0x85dfffff,0xb800fffc,0x2effffff,
    0x0007ffe4,0x0003fff5,0xffffeda8,0x1dffffff,0xfffd7000,0x0039dfff,
    0x3fffffa0,0xffffffff,0xfd2fffff,0xffffffff,0xffffffff,0x3fffa05f,
    0xffffffff,0x2fffffff,0xfffffff0,0xffffffff,0x2203ffff,0x00007fff,
    0x00ffff10,0x3fffa000,0xffffffff,0x2fffffff,0x01aa8800,0x0aa98000,
    0x3ffe2000,0x7fffc007,0xfffffd00,0xffffffff,0x105fffff,0xf800ffff,
    0xff880fff,0x7ffc007f,0x7fc4000f,0x7fc0006f,0x775c004f,0x98800005,
    0x800000aa,0x0000aa98,0x005eeb80,0x554cc400,0x00000aaa,0x0000d544,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaa0000,0xaaaaaaaa,0xd700001a,0x3a2007dd,
    0xeeeeeeee,0x000000ee,0x1deeeeb8,0x77777754,0x0004eeee,0x001a9800,
    0xeeeeb800,0xfb30001d,0x5500003b,0x55555555,0x3bae0355,0x0000002e,
    0x007ddd70,0x00bddd10,0x2e000000,0x4c1deeee,0x99999999,0x01999999,
    0x99995310,0x98000357,0x0000abcb,0x332ea200,0x310001ab,0x00033555,
    0x03333100,0x26666666,0x99999999,0x65d4c009,0x0009abcc,0xaaccaa98,
    0xfffd8000,0xffffffff,0xffb80005,0xf8803fff,0xffffffff,0x000001ff,
    0x0f7fffdc,0x7fffffdc,0x0005ffff,0x3fff6200,0x3ee00005,0x0001efff,
    0x01fffff3,0xffffd800,0x5fffffff,0x007fff90,0xff700000,0x88007fff,
    0x00007fff,0xfffb8000,0x7ffcc1ef,0xffffffff,0x5c07ffff,0xffffffff,
    0x2005ffff,0xffffffea,0x40000def,0xfffffec8,0x02cfffff,0x3ffffb22,
    0x01efffff,0xffedc980,0xff887fff,0xffffffff,0x84ffffff,0xffffffd8,
    0x00cfffff,0xffffffc8,0x2000cfff,0xfffffffd,0x0005ffff,0x7fffffdc,
    0x7ffc403f,0xffffffff,0x2e000001,0x2e05ffff,0xffffffff,0x000005ff,
    0x13fffff2,0x3ffee000,0x7e40005f,0x0003ffff,0x7fffffec,0x905fffff,
    0x00007fff,0xffffb800,0x22003fff,0x00007fff,0x7ffdc000,0xffff305f,
    0xffffffff,0x3aa0ffff,0xffffffff,0x006fffff,0xfffffff9,0x003fffff,
    0x3ffffa60,0xffffffff,0xffff707f,0xffffffff,0x7ed4003f,0xffffffff,
    0xfffff887,0xffffffff,0xff984fff,0xffffffff,0x7403ffff,0xffffffff,
    0x32e006ff,0xcccccccc,0x2e0003cc,0xffe9efff,0x6666403f,0x1ffffccc,
    0xff700000,0xcca807ff,0xfffdcccc,0x3e000005,0x007fffff,0x1ffffdc0,
    0x7ffe4000,0x5c0004ff,0xcccccccc,0xff903ccc,0x0000007f,0x74f7ffdc,
    0xf1003fff,0x00000fff,0x7fffdc00,0x3fffe603,0xffffffff,0xffc87fff,
    0xffffffff,0x406fffff,0xffffffe8,0xffffffff,0x7ffe4003,0xffffffff,
    0xfd87ffff,0xffffffff,0x801fffff,0xffffffe9,0x887fffff,0xffffffff,
    0xffffffff,0xfffff984,0xffffffff,0x3bfa02ff,0xfffebabc,0x0000004f,
    0x2fffe400,0x007fffd1,0x007fffe0,0x3ffee000,0x7d40001e,0x000005ff,
    0xfffffff1,0x3fee0001,0x500001ef,0x005fffff,0x32000000,0x00003fff,
    0x4bfff900,0x803fffe8,0x0007fff8,0xfff70000,0xaaa8803d,0xaaaaaaaa,
    0x7d47fffc,0x099cffff,0x81b72a66,0xcefffff8,0xfffeb989,0xfe9803ff,
    0xabdfffff,0x7ffdba99,0x56ffffd4,0xd9733109,0xffff9803,0xaabcefff,
    0xefff882a,0xaaaaaaaa,0xf981aaaa,0x6d4409bd,0x500fffff,0x37ffd401,
    0x00000000,0x3609fff9,0xf8003fff,0x00001fff,0x006fffdc,0x2fffd400,
    0xffd00000,0x2000dfff,0x000dfffb,0x27ffe400,0x00000000,0x0007fff9,
    0x9fff9000,0x00ffff60,0x000ffff1,0xfff70000,0x5000001b,0x7fc4ffff,
    0x00000eff,0x013ffff2,0x01fffff7,0x2fffffe8,0xff8d7100,0x200004ff,
    0x1dfffff9,0x5fff8800,0x90000000,0x0007ffff,0x0003fff4,0x00000000,
    0xffff8000,0x00000001,0xbfff5000,0x7d400000,0x0001ffff,0x44000000,
    0x0000000a,0x1fffe400,0x00000000,0xffff1000,0x00000000,0x7d400000,
    0x3ffee7ff,0x2200000f,0x7004ffff,0x5407ffff,0x001effff,0x07fffc40,
    0xfff88000,0x220002ef,0x00005fff,0x3fffa000,0x3ff20005,0x0000000f,
    0x00000000,0x001ffff8,0x00000000,0x000bfff5,0x1ded9800,0x00000000,
    0x00000000,0x3fff2000,0x00000003,0x3fe20000,0x0000007f,0x20000000,
    0x3f27fffa,0x400005ff,0x4005fffd,0xf107fffc,0x0001dfff,0x00ffff30,
    0x77ffdc00,0x7fc40000,0x0000005f,0x01bfff20,0xfddd9951,0x20001fff,
    0x00000aa8,0x7c000000,0x00001fff,0xf5000000,0x00000bff,0x00000000,
    0x00000000,0x7e400000,0x000003ff,0x22000000,0x00007fff,0x00000000,
    0xe9fffea0,0x00004fff,0x00bfffe6,0x05ffff30,0x003ffff9,0x3fffe200,
    0xff880002,0x880001ff,0x00005fff,0x3ffea000,0xffff9107,0x1fffffff,
    0x3ff6e200,0x002dffff,0x80000000,0xea81ffff,0x00000000,0x017ffea0,
    0x00000000,0x0026aa20,0x10000000,0xf800ffff,0xfff90fff,0x00000007,
    0x7fc40000,0x1355107f,0x00000000,0xffff5000,0x0037fff4,0x0ffffb00,
    0x1bfffa00,0x00bffff1,0xffffe800,0x7fe40003,0xf100003f,0x00000bff,
    0x37ffdc00,0x77ffff44,0x0ffffeee,0xffffe980,0x0dffffff,0xfffff100,
    0x03ffffff,0x3ffff000,0x8807ff54,0xffffffff,0x80001fff,0x0005fffa,
    0x3e200000,0x7ff543ff,0xb003ffff,0xffffffff,0xffffffff,0x3ffe207f,
    0x7fffc007,0x007fff90,0x07ffffe6,0x0000ffff,0x7c4ffff1,0x7ff547ff,
    0xb002ffff,0xffffffff,0xffffffff,0x7d40007f,0x3fff27ff,0xfd00000f,
    0x320009ff,0x7fdc7fff,0x400001ff,0xbffffffa,0xfffe8001,0xff100000,
    0x000000bf,0x427ffec0,0xc80dfffd,0x7d400fff,0xffffffff,0x801fffff,
    0xfffffff8,0x0001ffff,0xea9ffff8,0xf100ffff,0xffffffff,0x500003ff,
    0x0000bfff,0x7fc40000,0xffffb14f,0x01bfffff,0xffffffd8,0xffffffff,
    0xff103fff,0xfff800ff,0x07fff90f,0x3fffff30,0x001fffd0,0x26fff980,
    0xfb17fff8,0xffffffff,0xfffd801b,0xffffffff,0x03ffffff,0x9fffea00,
    0x01fffffa,0x7fffc400,0xfff30001,0x2fffe41f,0xffc80000,0x0befffff,
    0x06fff880,0x3ffe2000,0x00000005,0xf01ffff1,0x7fe40fff,0x3ffee00f,
    0xf93109df,0xf100dfff,0xffffffff,0xf00003ff,0xffffffff,0x7ffc40df,
    0xffffffff,0xffa80001,0x0000005f,0x33ffe200,0xffffffe8,0x404fffff,
    0xfffffffd,0xffffffff,0xfff103ff,0xffff800f,0x807fff90,0x01fffff9,
    0x0003fffb,0x225fffa8,0xffe8efff,0xffffffff,0x7ffec04f,0xffffffff,
    0x03ffffff,0x9fffea00,0x3fffffe8,0x3ffea000,0xff10000f,0x7ffec3ff,
    0x2a000004,0xffffffff,0x3fea03ef,0x8006604f,0x0005fff8,0xffe88000,
    0x6fff884f,0x01fffd30,0x013fffe2,0x007ffff5,0xf5555555,0x00003fff,
    0xffffffff,0x5555005d,0x3ffff555,0xfff50000,0x0000000b,0x76fffc40,
    0xb99adfff,0x200fffff,0xaaaaaaa9,0xffeaaaaa,0xfff101ff,0xffff800f,
    0x407fff90,0x01fffff9,0x000bfff2,0x449fff50,0xfffeefff,0xfffb99ae,
    0x2aa600ff,0xaaaaaaaa,0x1ffffeaa,0x3ffea000,0x7ffffc47,0x5c000bff,
    0x40007fff,0x3fa1ffff,0x000003ff,0x7ffff5c4,0xc81effff,0xfd932fff,
    0x059dffff,0x777fffc4,0x001bccee,0x3ffee200,0x3fffe02f,0x7ffffdc2,
    0x0bfff700,0x03fffea0,0x1ffff800,0x7ffd4000,0x0002efff,0x003ffff0,
    0x0bfff500,0x40000000,0xfffffff8,0x9ffff302,0x7fcc0000,0x3fe203ff,
    0x7ffc007f,0x07fff90f,0x07ffffe6,0x007fff70,0x23fffb80,0xfffffff8,
    0x9ffff303,0x7fcc0000,0x540003ff,0xff987fff,0x1cffffff,0x0ffff700,
    0x2ffff800,0x403ffff1,0xaaaaaaa8,0xc9800aaa,0xffffffff,0x767ffec2,
    0xffffffff,0xf880dfff,0xffffffff,0x000befff,0xfffdddd3,0xfd803dff,
    0xfffdefff,0xf880ffff,0x3a000fff,0x20003fff,0x0001ffff,0xdfffffd5,
    0xff800005,0xa80001ff,0x2a005fff,0x1000001b,0x03ffffff,0x005fffc8,
    0xbffff100,0x07fff880,0xc87fffc0,0xff883fff,0xfa801fff,0x640004ff,
    0x3fe21fff,0x6402ffff,0x00005fff,0x00bffff1,0x0ffff500,0x3fffff62,
    0x6402efff,0x40006fff,0xff33fffe,0x7fd401ff,0xffffffff,0x7fe4c001,
    0x3fa0ffff,0xffffffff,0xffffffff,0x7fffc40f,0xffffffff,0xf9801fff,
    0xffffffff,0xffff8802,0xff9cffff,0x5fffb80f,0x27ffdc00,0x3ffff000,
    0xfffea800,0x0001ffff,0x01ffff80,0x5fffa800,0xdfffe980,0x7c400000,
    0x9802ffff,0x00006fff,0x801dfffd,0x4007fff8,0xff90ffff,0xffff887f,
    0xfff1001f,0x03ffe60b,0xf107ffec,0x3005ffff,0x0000dfff,0x003bfffa,
    0x1fffea00,0xfffffb30,0x3203dfff,0x40006fff,0xff54fffe,0xfffa80ff,
    0x1fffffff,0xfffb1000,0x7ffff47f,0xa999bdff,0x45fffffb,0xeeeeeee8,
    0xfffffffe,0x7ffcc00f,0xffffffff,0x7ffecc04,0x1fff12df,0x007fff90,
    0x005fffa8,0x007fffe0,0x7fffff4c,0x0001ffff,0x01ffff80,0x5fffa800,
    0x7ffffc40,0x2cc9805f,0x1ffffc40,0x07fff880,0xffffc800,0x7fff8801,
    0x87fffc00,0x3a23fffc,0x4001ffff,0xff906fff,0x1fffa07f,0x007ffff1,
    0x001fffe2,0x07ffff20,0x7ffd4000,0xfff91007,0x709fffff,0x8000dfff,
    0xff33fffe,0x7fd401ff,0xffffffff,0x7ff40001,0x3ffffe5f,0x7fec400c,
    0xc88002ff,0x00ffffff,0x3b733322,0x1effffff,0xd0000980,0x98003fff,
    0x20006fff,0xd001ffff,0xff5dffff,0x000003ff,0x0003ffff,0x80bfff50,
    0xfffffffa,0x3fffe600,0xffff100e,0x0ffff800,0x3ffea000,0xfff1002f,
    0xffff800f,0x227fff90,0x001ffffe,0xfd07ffe8,0x3ffe0bff,0x03fffc46,
    0x003fffe0,0x2ffffa80,0x3fea0000,0xfeb8007f,0x545fffff,0x40007fff,
    0xff13ffff,0x3e0003ff,0x40001fff,0x3fe5fffb,0x7f4002ff,0x6c0006ff,
    0x0003ffff,0x3bffff6a,0x3e000000,0xeeeeefff,0xeeeeeeee,0x20007fff,
    0xd001ffff,0x7ffc7fff,0xf800001f,0x80001fff,0x5c05fffa,0x1fffffff,
    0x3fffff60,0x0ffff104,0x00ffff80,0x9ffff300,0x3fffc400,0x43fffe00,
    0xfe8bfffc,0xb0001fff,0xff981fff,0x7fc40fff,0x3fffc45f,0x03fffe00,
    0x7fffcc00,0x7d400004,0x2a0007ff,0x23fffffe,0x0007fffa,0xf8bfffe2,
    0xf0002fff,0x80003fff,0x3fe4fffc,0x7d4002ff,0x20000fff,0x005fffe8,
    0x5ffffa80,0xff100000,0xffffffff,0xffffffff,0x20001fff,0xd001ffff,
    0x3ffff07f,0xfff00000,0xf500003f,0xffa80bff,0x200fffff,0x0ffffffe,
    0x007fff88,0x0007fffc,0x037fff44,0x01fffe20,0x321ffff0,0xfffecfff,
    0x3f20001f,0x7ffdc1ff,0x7ffcc3ff,0x03fffc44,0x003fffe0,0x1bfffa20,
    0x3fea0000,0xfc80007f,0xff30ffff,0x220001ff,0x3fa1ffff,0xff0003ff,
    0x200023ff,0x3a2ffff9,0x44003fff,0x0001ffff,0x003fffdc,0x0ffffb80,
    0xddddddd7,0xdddddddd,0x7ffffc47,0xffffffff,0xffffffff,0xffff0000,
    0xff80a003,0x800001ff,0x0001ffff,0x405fffa8,0x5fffffe8,0x7ffffec0,
    0x7fff882f,0x07fffc00,0x7fffec00,0x7ffc4000,0x7fffc007,0xffbfff90,
    0x40001dff,0x7f42fffb,0x7d46ffff,0x7ffc43ff,0x7fffc007,0xfffd8000,
    0xa800000f,0x00007fff,0x225ffff7,0x0001ffff,0xfd8ffff5,0xff0004ff,
    0x33bf23ff,0xa99899aa,0x6c6ffffd,0xf8003fff,0x40002fff,0x001ffffa,
    0x1ffff880,0xfffffff9,0xffffffff,0xabffff89,0xaaaaaaaa,0x02aaaaaa,
    0x07fffe00,0x3fffe000,0xff800001,0xa80001ff,0xe9805fff,0x4c00dfff,
    0x83ffffff,0x4007fff8,0x4000ffff,0x002ffffb,0x007fff88,0xfc87fffc,
    0xffff9bff,0x3fea0006,0x2bffe63f,0x3fee1fff,0x3fffc41f,0x03fffe00,
    0x5ffff700,0x3ea00000,0x200007ff,0x3fe4ffff,0xfb0004ff,0xfffc8dff,
    0xfff8000f,0xfffff91f,0xffffffff,0xffc81fff,0xffe8004f,0x7cc0002f,
    0x00001fff,0x3f27fffd,0xffffffff,0x44ffffff,0x0002fffe,0x3ffe0000,
    0xff80001f,0x800001ff,0x0001ffff,0x005fffa8,0xfc8006a6,0xf883ffff,
    0x7fc007ff,0x3e6000ff,0x10004fff,0xf800ffff,0xfff90fff,0x17fffea7,
    0x27ffcc00,0xfff1bff7,0x207ffe47,0x4007fff8,0x2000ffff,0x004ffff9,
    0x3ffee000,0x3f600006,0x3fff65ff,0xfff88007,0x7fffdc4f,0xffff8003,
    0xffffff91,0xffffffff,0xbfff701b,0x3ffff000,0xfffa8000,0x3fe00007,
    0x555531ff,0x55555555,0xffd83555,0x0000003f,0x007fffe0,0x07fffe00,
    0x3ffe0000,0xfa80001f,0x000005ff,0x81fffff8,0x4007fff8,0x1000ffff,
    0x000bffff,0x003fffc4,0x7e43fffe,0x3ffee3ff,0xfff0005f,0xfd9fff4b,
    0x21fff26f,0x4007fff8,0x1000ffff,0x000bffff,0x4fffc800,0x3ff60000,
    0x3fffea4f,0x7ffd4001,0x7fffe80f,0x1ffff800,0xffffffb5,0x05bfffff,
    0x007fffd4,0x00ffff30,0x0bfff900,0x3ffe2000,0x9000000f,0x0000bfff,
    0x7fffc000,0xfff80001,0xf800001f,0x80001fff,0x0005fffa,0xffffd800,
    0x07fff880,0x007fffc0,0x00ffffd8,0x3fffe200,0xffff7000,0x90ffff21,
    0x0009ffff,0x3fe2dffd,0x23fff50f,0xff886ffd,0x7ffc007f,0xfffb000f,
    0x8000001f,0x0003fffe,0xd0bfffe0,0x4400bfff,0xf503fffe,0xf8009fff,
    0x99881fff,0x004fffda,0x800ffffe,0x0006fffb,0x01ffffc4,0x6fffb800,
    0x3ea00000,0x00001fff,0x3ffff000,0xffff0000,0xff000003,0x500003ff,
    0x0000bfff,0x0dfffd00,0x001fffe2,0x9001ffff,0x0003ffff,0x003ffff0,
    0x21fffff5,0xfd83fffc,0x6c003fff,0x4bff77ff,0xffd4fff8,0x0ffff10b,
    0x00ffff80,0x01ffffc8,0xf7000a80,0x00003fff,0x703ffff2,0x100bffff,
    0xd80ffffd,0x000dffff,0xb003ffff,0x5c003fff,0xf1006fff,0x80007fff,
    0x000ffffe,0x3ffff980,0x3ffffff2,0x4fffffff,0x01bfffa0,0x7fc00000,
    0xf80001ff,0x00001fff,0x001ffff8,0x05fffa80,0x7fcc0000,0xfff102ff,
    0xffff800f,0x7fffd400,0xffd00003,0xfffa809f,0xfff90fff,0xffffd107,
    0x7ffe4007,0x7ec3ffe8,0x109fff7f,0xf800ffff,0x7d400fff,0x90003fff,
    0x7fdc019f,0x006e65ff,0xdffff910,0x9fffff10,0x7fffec40,0x7fffcc03,
    0xfff801ef,0x7fff801f,0x7fffc400,0x3ffa200d,0x3aa0005f,0x0001ffff,
    0x2ffffdc4,0x3ffffff2,0x4fffffff,0x3bfffea0,0x40000001,0x0001ffff,
    0x001ffff8,0x1ffff800,0xfffa8000,0x26000005,0x2205ffff,0x7c007fff,
    0x3e200fff,0x00005fff,0x403ffff2,0xfffffffb,0x207fff90,0x02fffff8,
    0xff5fff70,0xafffa81f,0xff883fff,0x7ffc007f,0x3ffe200f,0x3f20005f,
    0xecabceff,0x2a0fffff,0xabccdfff,0xfffdcbaa,0xff500eff,0x757bffff,
    0x0dfffffd,0x3ffffee0,0xcaaaceff,0x401ffffe,0x8005fff8,0x9beffffc,
    0xffffb988,0x4d565c0f,0xffecaa99,0x57902fff,0x97533335,0x81dfffff,
    0xfffffffc,0x04ffffff,0x6fffffec,0x32a6609a,0x7fc0006d,0xf80001ff,
    0x00001fff,0x001ffff8,0x05fffa80,0x36a66000,0x200fffff,0x4007fff8,
    0x3a00ffff,0x0000efff,0x3ffffe60,0xfffea99b,0xf90fffde,0x7fcc07ff,
    0xfa801fff,0xf05ffdff,0x03fffdff,0x800ffff1,0x3a00ffff,0x0000efff,
    0x3ffffff2,0x2fffffff,0x7fffffd4,0xffffffff,0x4c00ffff,0xffffffff,
    0x04ffffff,0x7ffff4c0,0xffffffff,0x5401ffff,0x88002fff,0xfffffffd,
    0x2fffffff,0xffffffd8,0xffffffff,0x3ffffe03,0xffffffff,0xffc81eff,
    0xffffffff,0x6c404fff,0xffffffff,0x6fffffff,0x55555540,0xabffffaa,
    0x550aaaaa,0xff555555,0x555557ff,0x2aaaa015,0xffffaaaa,0x0aaaaaab,
    0x55555551,0x555dfff9,0xf8005555,0x0dffffff,0x03fffc40,0x403fffe0,
    0xccdffffc,0xcccccccc,0x3f200ccc,0xffffffff,0xfffd8eff,0x807fff90,
    0x01fffffa,0x7fffffcc,0xfffffb03,0xffff101f,0x0ffff800,0x9bffff90,
    0x99999999,0x3ee19999,0xffffffff,0xffa80eff,0xffffffff,0x0cffffff,
    0xffffd100,0x5fffffff,0x7ffe4000,0xffffffff,0x6400efff,0x20000fff,
    0xfffffffb,0xb00dffff,0xffffffff,0x8019ffff,0xffffffff,0x02efffff,
    0x2e000000,0xffffffff,0x06ffffff,0x7ffffff4,0xffffffff,0xffd2ffff,
    0xffffffff,0xffffffff,0x3ffffa05,0xffffffff,0x52ffffff,0xffffffff,
    0xffffffff,0xff800fff,0x1002ffff,0xf800ffff,0xfff00fff,0xffffffff,
    0xffffffff,0x7ffec403,0x0dffffff,0x3f21fff9,0xffb803ff,0x7fc00fff,
    0xf500ffff,0x220fffff,0x7c007fff,0xfff00fff,0xffffffff,0xffffffff,
    0x7fff64c3,0x2203deff,0xffffffdb,0x0befffff,0xfecb8800,0x00cdffff,
    0xffdc9800,0xbdffffff,0x0dffd001,0xffdb3000,0x805bffff,0xfffffffd,
    0xf000ceff,0xffffffff,0x00005bdf,0x3b220000,0xffffffff,0x7f402cef,
    0xffffffff,0xffffffff,0xfffffd2f,0xffffffff,0x205fffff,0xfffffffe,
    0xffffffff,0xfff52fff,0xffffffff,0xffffffff,0xacdff800,0x3ffe2000,
    0x7fffc007,0xffffff00,0xffffffff,0x003fffff,0xdffffff7,0x90fffc85,
    0x32007fff,0x200effff,0x405fffff,0x106fffff,0xf800ffff,0xfff00fff,
    0xffffffff,0xffffffff,0x02666203,0x554cc400,0x000009aa,0x0000a988,
    0xaaa98800,0x00000001,0x00135300,0x9aaaa998,0x2a660000,0x00009aaa,
    0x10000000,0x00335553,0xffffffe8,0xffffffff,0xffd2ffff,0xffffffff,
    0xffffffff,0x3ffffa05,0xffffffff,0x52ffffff,0xffffffff,0xffffffff,
    0x00800fff,0x3fffc400,0x03fffe00,0x7ffffffc,0xffffffff,0x2001ffff,
    0x4000aa98,0x2003fffc,0x00effffd,0x807ffffb,0x105ffffc,0xf800ffff,
    0xfff00fff,0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5d440000,0x9880aacc,0x31000099,0x73000133,0x00005599,
    0x5e65d4c4,0x2600001a,0x99aabccb,0x01999999,0x0000dcc0,0x0abcb880,
    0xaaaa8000,0xaaaaaaaa,0xa9880001,0x2e600019,0x99988001,0x33330000,
    0x26666620,0x44000199,0x00001999,0x4ccccccc,0x99999999,0x09999999,
    0x00266660,0x04ccc400,0x02666200,0x0000cccc,0x26620000,0x99999999,
    0x99880999,0x00199999,0x97310000,0x2a200359,0xfb70001b,0xffffffff,
    0x3ffea37d,0xfffd0006,0xffb71005,0x19ffffff,0x3ff22000,0xefffffff,
    0xffd50002,0xffffffff,0x1fffffff,0x05fff900,0x7fed4000,0x03efffff,
    0x3ffff600,0x5fffffff,0xffdb8800,0x0bdfffff,0x02fffc80,0x06fffa80,
    0x03ffff00,0xfffffff9,0x0359bdff,0x01fffea0,0xfffff000,0xffffffff,
    0xffffffff,0x7fffc0df,0xff900002,0xffd8009f,0x7fff984f,0x40000000,
    0xfffffffc,0x84ffffff,0xfffffffc,0x01acdeff,0xfffb1000,0x03bfffff,
    0x037fffea,0x7ffff440,0xffffffff,0x0dfff56f,0x0bfffa00,0xfffffd30,
    0x3dffffff,0xffffc800,0xffffffff,0x3f2000ef,0xffffffff,0xffffffff,
    0xffd800ff,0xf700002f,0xffffffff,0x36000bff,0xffffffff,0x5c005fff,
    0xffffffff,0xd803ffff,0xa8002fff,0xf0006fff,0xff903fff,0xffffffff,
    0x5007ffff,0x0000ffff,0xfffffff8,0xffffffff,0x6fffffff,0x00bfffe0,
    0x27ffe400,0x13fff600,0x001fffe6,0xfff00000,0xffffffff,0xff909fff,
    0xffffffff,0x0007ffff,0xffffffb8,0x44ffffff,0x4ffffff8,0xfffffa80,
    0xffffffff,0xdfff56ff,0x3fffa000,0x3fffea02,0xfffdcdff,0xf9002fff,
    0xdddfffff,0x0dffffff,0xfffffb10,0xffffffff,0x1fffffff,0x05fffb00,
    0xffff9000,0xffffffff,0xcb8001df,0xcccccccc,0xfb1003cc,0xffffffff,
    0xb007ffff,0x50005fff,0x2000dfff,0xfc81ffff,0xffffffff,0x1effffff,
    0x01fffea0,0xfffff000,0xffffffff,0xffffffff,0x7fffc0df,0xff900002,
    0xffd8009f,0x7fff984f,0x20000000,0xfffffffa,0x4fffffff,0xffffffc8,
    0xffffffff,0xfc8001ef,0xfeffffff,0x2e5fffff,0x07ffffff,0x7fffffe4,
    0xdba999bd,0xdfff56ff,0x3fffa000,0x7ffff902,0x3fff2601,0x7ffd404f,
    0xffb501df,0xffe809ff,0x3fa0adff,0x99999aff,0xfffb0019,0xffd80005,
    0x3a60adff,0x0006ffff,0xff880000,0x99bdffff,0x803ffcba,0x8002fffd,
    0x0006fffa,0xf903ffff,0x95555bff,0xffffffdb,0x1fffea09,0x55550000,
    0xffd55555,0x555555bf,0x7ffc0555,0xf900002f,0xfd8009ff,0xfff984ff,
    0x00000007,0x3fffbffa,0x9999999f,0xadfffc80,0xffedcaaa,0x2004ffff,
    0x0afffff9,0x907ffe4c,0x3fffffff,0x3ffffea0,0x2ab71004,0xd0006fff,
    0xff505fff,0x3ea003ff,0x3fa02fff,0xffb004ff,0x7ffdc0ff,0x3fffd02f,
    0xfffb0000,0x7fd40005,0x7fe405ff,0x000002ff,0x7fffec00,0x802a800e,
    0x8002fffd,0x0006fffa,0xf903ffff,0xfd8809ff,0xfa81ffff,0x000007ff,
    0x04fffc80,0x17fffc00,0xfffc8000,0x7ffec004,0xcffff984,0x09abcccc,
    0xff980000,0x007fffbf,0x404fffc8,0x1fffffd8,0x1dfffd00,0x7dc1e880,
    0x207fffff,0x002ffffe,0x01bffea0,0x417fff40,0x4001effe,0xf106fffa,
    0x22001fff,0xfd00ffff,0x7ff409ff,0xfd80001f,0x360002ff,0xfb005fff,
    0x00000dff,0x7fffd400,0xfd800004,0xfa8002ff,0xff0006ff,0xfff903ff,
    0x3ffee009,0x7fffa85f,0xc8000000,0x40004fff,0x0002ffff,0x3fffffe6,
    0xffffffff,0xffffffff,0xfff31fff,0xffffffff,0x00005dff,0x7fc7ffe4,
    0xffc8007f,0xfff7004f,0xfff500bf,0x7c40003f,0x704fffff,0x0003ffff,
    0x006fffa8,0xb85fffd0,0x50001fff,0xff505fff,0xfff800df,0x5fffb82f,
    0x00ffff40,0x17ffec00,0xffff8800,0xffff1000,0x00000003,0x00dfffd1,
    0x3fff6000,0xfffa8002,0xffff0006,0x09fff903,0x17fffd40,0x001fffea,
    0x3ff20000,0x7fc0004f,0x301402ff,0xffffffff,0xffffffff,0xffffffff,
    0x3fffe63f,0xffffffff,0x0002efff,0xffa7ffc4,0xffc8007f,0x3fea004f,
    0x7fdc02ff,0xe980005f,0xff104fff,0x50000bff,0x2000dfff,0x3e22fffe,
    0x32e605ff,0x86ffe81a,0x2007fffa,0xe81ffff8,0x7f402fff,0xff7001ff,
    0xffffffff,0xffffffff,0x7fe41fff,0x7fec005f,0x0000005f,0x01ffffa8,
    0x3fffee00,0xffffffff,0xffffffff,0x0dfff50f,0x07fffe00,0x0013fff2,
    0xfa8dfffd,0x000007ff,0x04fffc80,0x17fffc00,0x3e607ea8,0xffffffff,
    0xffffffff,0xffffffff,0xffffff31,0xffffffff,0x40007fff,0xfff1fffb,
    0xfff9000f,0xfffe8009,0x1fffe406,0x01530000,0x00ffffe4,0x37ffd400,
    0x2fffe800,0x2a07ffee,0x2fffffff,0xf30bffea,0x2e001fff,0x7d40ffff,
    0x7f400fff,0xff7001ff,0xffffffff,0xffffffff,0x7ffc1fff,0x7fe4002f,
    0xfff100ff,0xffffffff,0x3fff2003,0x7fdc0005,0xffffffff,0xffffffff,
    0xfff50fff,0x3ffe000d,0x4fffc81f,0x7fffdc00,0x01fffea2,0x3f200000,
    0x7c0004ff,0x7f542fff,0x3b32207f,0xccccefff,0xeccccccc,0x30ccefff,
    0x54c0ffff,0x01fffffe,0x7cdffd00,0xfc8007ff,0x7dc004ff,0x3fa02fff,
    0x000002ff,0x02ffff40,0x6fffa800,0x5fffd000,0x7e437ff4,0x2fffffff,
    0x3e237ff4,0xfd005fff,0xfff90dff,0x3fffd00b,0x3fffee00,0xffffffff,
    0xffffffff,0x0ffff30f,0x7fffec40,0xffff100f,0x3fffffff,0x13fff600,
    0xffff7000,0xffffffff,0xffffffff,0x1bffea1f,0x0ffffc00,0x0027ffe4,
    0xf51ffffc,0x00000fff,0x09fff900,0x2ffff800,0x0fffffd5,0x013fff20,
    0x309fffb0,0x2e00ffff,0x000fffff,0xff1fffcc,0xff9000ff,0xfff0009f,
    0x7fffc07f,0x2ea00001,0x0bfffe02,0x7ffd4000,0xfffd0006,0x2a1fffc5,
    0xcbbcffff,0x43ffdc2f,0x00dffffc,0x20bffff2,0xe803fffd,0x53001fff,
    0xffd55555,0x5555559f,0x3ea15555,0xff3005ff,0x203fffff,0xfffffff8,
    0xf001ffff,0x80005fff,0xeaaaaaa9,0xaaaacfff,0x50aaaaaa,0x2000dfff,
    0xfc81ffff,0xfd8004ff,0x3ffea4ff,0x80000007,0x0004fffc,0x7f6ffffc,
    0x002effff,0x8009fff9,0xf984fffd,0x3ee007ff,0x64003fff,0x3ffe0fff,
    0xfffc8007,0xfffd8004,0x07fffe04,0x3ffa6000,0x7ffc40ef,0xf500001f,
    0x3a000dff,0xfff12fff,0x01fffe85,0x40fffa81,0x2ffffff8,0x27ffff4c,
    0x802ffff8,0x0001fffe,0x002fffd8,0x804fffb8,0xfffffffc,0x2aaaa02f,
    0x1ffffaaa,0x1ffff880,0x3f600000,0xfa8002ff,0xff0006ff,0xfff903ff,
    0xfffb0009,0x03fffd4b,0x7e400000,0x7c0004ff,0xffffffff,0x7fe4002e,
    0x7fec004f,0x7fff984f,0x2fffec00,0x8bfff100,0xc8007fff,0xd8004fff,
    0x3fe05fff,0xe80001ff,0x546fffff,0x0000ffff,0x00dfff50,0x4cbfffa0,
    0x3fea1fff,0x3fe6003f,0xffff881f,0xfffcaeff,0xfff102ff,0xfffd003f,
    0xffb00003,0xff90005f,0x7fec409f,0x3fffdfff,0x3ffff000,0x1ffff100,
    0x7ec00000,0xfa8002ff,0xff0006ff,0xfff903ff,0xfff90009,0x03fffd4d,
    0x00055cc0,0x0027ffe4,0x3fffffe0,0xf90002ef,0xfd8009ff,0xfff984ff,
    0x7ffdc007,0x3ffee007,0x003fffc2,0x0027ffe4,0xf037ffe4,0x80003fff,
    0xfffffff9,0x01fffee1,0x6fffa800,0x5fffd000,0xfb83ffea,0x7fc4007f,
    0xfffb102f,0xdfffffff,0x7fffc401,0xffffe800,0x04ffffff,0x005fffb0,
    0x207fff90,0x8dfffffa,0x0004fffb,0x1003ffff,0x0005ffff,0x17ffec00,
    0x37ffd400,0x1ffff800,0xffffffff,0xb80fffff,0x3fea7fff,0x7fec007f,
    0x555502ff,0x5bfffd55,0xa8055555,0x2efffffe,0x7ffe4000,0x9999999d,
    0xfffd9999,0x07fff984,0x07fffcc0,0xf87ffe80,0xeeeeefff,0xfffff1ee,
    0xffffffff,0x27fffb80,0xffff9998,0x9999999a,0xfff70099,0x7e45ffff,
    0x200006ff,0x0006fffa,0x3f25fffd,0x037fec7f,0x201fffc0,0xfffffffa,
    0xfff8806f,0xfffe800f,0x4fffffff,0x05fffb00,0x05fffb00,0x47fffff9,
    0x0005fffa,0x2003ffff,0x0003ffff,0x0bfff600,0x1bffea00,0x8ffffc00,
    0xffffffff,0x5407ffff,0xff50ffff,0x7fe400ff,0xff80ffff,0xffffffff,
    0x07ffffff,0xffffffd5,0x3f200009,0xffffffff,0xffffffff,0xfff984ff,
    0x7ffc4007,0xfff9801f,0xffffff84,0xff1fffff,0xffffffff,0xffa80fff,
    0xffffb0ff,0xffffffff,0x20bfffff,0xfffffff9,0x017fff61,0x6fffa800,
    0x5fffd000,0xffd1bff2,0x9fff000d,0xfffffb80,0x201effff,0xd007fff9,
    0xffffffff,0x3f6009ff,0xfe8002ff,0x3ffa22ff,0x7fd41eff,0xfff0005f,
    0x3ffa003f,0x2000004f,0x8002fffd,0x0006fffa,0x3fe3ffff,0xffffffff,
    0x7fd407ff,0xffff50ff,0x7ffffc00,0xffff83ff,0xffffffff,0xfd87ffff,
    0x2fffffff,0xfff90000,0xffffffff,0xffffffff,0x0ffff309,0x0ffff980,
    0x80fffd80,0xffffffff,0xffff1fff,0xffffffff,0xffffa80f,0xffffffb0,
    0xffffffff,0x7f40bfff,0x7ec5ffff,0x200006ff,0x0006fffa,0x3f25fffd,
    0x037fec7f,0x981fffc0,0xfffffffe,0x103fffff,0xd001ffff,0x9999bfff,
    0x99988599,0x9bfffe99,0x09999999,0xfa97ffec,0xb80dffff,0xf0005fff,
    0x36003fff,0x0000ffff,0x05fffb00,0x0dfff500,0x47fffe00,0xefffeccc,
    0x5404cccc,0xff50ffff,0x3fe200ff,0xf85fffff,0xffffffff,0x7fffffff,
    0xffeffff8,0x900002ff,0xffffffff,0xffffffff,0xff309fff,0xffb800ff,
    0xfff8806f,0x99ffff05,0x32199999,0xcefffecc,0x7d404ccc,0xfffb0fff,
    0xffffffff,0x0bffffff,0x06ffff44,0x001ffff2,0x06fffa80,0x25fffd00,
    0x3f20fffa,0x7fc4007f,0xffff982f,0xffff70df,0x3ffe09ff,0xfffe800f,
    0x3ffee001,0xffffffff,0x5fffffff,0x7e57ffe4,0x3203ffff,0xf0004fff,
    0x26003fff,0x0004ffff,0x05fffb00,0x0dfff500,0x07fffe00,0x0013fff2,
    0xfa9fffee,0x3fe007ff,0x003fffff,0x8013fff2,0xffff2eff,0x3f200005,
    0xaaaaadff,0xfeaaaaaa,0xfff984ff,0x7ffec007,0x2fffb805,0x000ffff0,
    0x0009fff9,0x4c4ffff7,0x9affff99,0x99999999,0x701a9800,0x0001ffff,
    0x01bffea0,0x997fff40,0x3fee1fff,0x3fe6003f,0x7fffcc0f,0xfffc882f,
    0xffff83ff,0x1fffe801,0x3fffee00,0xffffffff,0x45ffffff,0xfffffffc,
    0x7fe401ef,0xfff0003f,0x7ff4003f,0x800001ff,0x8002fffd,0x0006fffa,
    0xf903ffff,0xf90009ff,0x7ffd4fff,0x3fff2007,0x32000fff,0x3a004fff,
    0x017fffc2,0x4fffc800,0x27ffec00,0x003fffcc,0x003ffff7,0x7fc0fffd,
    0xffc8007f,0xffc8004f,0x3fffe07f,0x20000001,0x000ffffa,0x0dfff500,
    0x4bfffa00,0x3e22fff8,0x41982fff,0xffe87ffa,0x7fdc01ef,0x7ff40fff,
    0xfffe802f,0x3ffee001,0xffffffff,0x5fffffff,0x7fffffdc,0xffd800df,
    0xfff0002f,0x7fd4003f,0x55004fff,0x05fffb00,0x0dfff500,0x07fffe00,
    0x0013fff2,0xfa9bfff6,0x7ec007ff,0x64002fff,0x40004fff,0x0002ffff,
    0x009fff90,0x984fffd8,0xf5007fff,0xf3009fff,0x7ffc09ff,0xfffc8007,
    0xfffd8004,0x07fffe06,0xf9800000,0x00002fff,0x000dfff5,0xff87fffe,
    0x7fffe43f,0x642ffdde,0x7ffdc6ff,0xfff7001f,0x3fffd89f,0x01fffe80,
    0x26666620,0x999bfffe,0x54099999,0x03ffffff,0x007fffa0,0x00ffffc0,
    0x3fffff20,0xdba9abce,0xffd803ff,0xffa8002f,0xfff0006f,0x9fff903f,
    0x7ffff000,0x003fffd4,0x4000554c,0x0004fffc,0x0017fffc,0x04fffc80,
    0x427ffec0,0x4c07fff9,0x00fffffd,0x99afffd8,0x7fff9999,0x4fffc800,
    0x3ffff800,0x007fffe0,0xfff00000,0x260000bf,0xf0007fff,0x7ff41fff,
    0x7fffec47,0x7fc2ffff,0x2ffff45f,0x1bfffa00,0xd00bfff9,0x00003fff,
    0x0005fffb,0x03dffff3,0x07fffc40,0x1ffff800,0xffffc800,0xffffffff,
    0xffd803ff,0xffa8002f,0xfff0006f,0x9fff903f,0xffffa800,0x01fffea1,
    0x3f200000,0x7c0004ff,0x00002fff,0x8009fff9,0xf984fffd,0xeeeeefff,
    0xffffffff,0xffff8801,0xffffffff,0xfc8007ff,0x7d4004ff,0x3fe01fff,
    0x000001ff,0x0fffff40,0x7ffc4000,0x7fc4000f,0x1fffd47f,0x7fffffdc,
    0x0bffee1d,0x8007ffff,0x7dc7fffc,0x7f400fff,0xd80001ff,0x88002fff,
    0x4002ffff,0x0006fffb,0x0007fffe,0x7fffffdc,0x3fffffff,0x02fffd80,
    0x06fffa80,0x03ffff00,0x8009fff9,0x7d47fffe,0x000007ff,0x04fffc80,
    0x17fffc00,0xfffc8000,0x7ffec004,0xfffff984,0xffffffff,0xf7000dff,
    0xffffffff,0x00ffffff,0x009fff90,0x407fffe8,0x0001ffff,0x7ffd4000,
    0xff00005f,0xfa8003ff,0x6ffe86ff,0x7402a620,0x7ffc46ff,0x7fdc002f,
    0x7fffc47f,0x0ffff403,0x7ffec000,0xfffb0003,0xfffe800b,0x3ffe0003,
    0x6d40001f,0xffffffff,0xffd800ad,0xffa8003f,0xff88006f,0xfffc80ff,
    0x3ffea004,0x3fffd44f,0x64000000,0x40004fff,0x0002ffff,0x009fff90,
    0x984fffd8,0xffffffff,0x02efffff,0x7fffff40,0xffffffff,0xffc8007f,
    0x3fea004f,0x7ffc04ff,0x0000001f,0x01ffffe8,0x4fffe800,0x27fff400,
    0x001fffd4,0xf81fffa8,0x64004fff,0xffc86fff,0x7fff406f,0xffb80001,
    0xff30004f,0x3e6001ff,0x7c0007ff,0x00001fff,0x0135ffff,0x09fff700,
    0x0dfff500,0x0ffff300,0x4013fff2,0x40ffffe9,0x0007fffa,0xfffc8000,
    0x7ffc0004,0xf900002f,0xfd8009ff,0xfff984ff,0xbcefffff,0xffa8000a,
    0x999999df,0x007fff99,0x004fffc8,0x01ffffd3,0x001ffff8,0xff980000,
    0x40003fff,0x000ffffc,0x203ffff5,0x4003fffe,0xfb05fffa,0x22001dff,
    0xf984fffe,0x3fa05fff,0xa80001ff,0x0000ffff,0x100dfffb,0x0009fffd,
    0x001ffff8,0x06fff880,0x7fffd400,0x7ffd4000,0xfffc8006,0x09fff906,
    0x5fffff70,0x00ffff50,0xff900000,0xff80009f,0x900002ff,0xd8009fff,
    0xff984fff,0xb000007f,0xff005fff,0xff9000ff,0xfff7009f,0xfff005ff,
    0x0000003f,0x3fffff60,0x26da800d,0x01effff8,0x027fffd4,0x009ffff5,
    0x407ffff2,0x00effffb,0x17ffff44,0x04ffffe8,0x0003fffd,0x1bffff30,
    0xffff5000,0x3ffa201b,0x7c0000ff,0x80001fff,0x0004fffa,0x06ffffcc,
    0x0dfff500,0x3ffffa80,0x209fff90,0xfffffea9,0x0ffff505,0xf9000000,
    0xf80009ff,0x00002fff,0x8009fff9,0xf984fffd,0x800007ff,0xf006fff8,
    0xf9000fff,0x3aa609ff,0x005fffff,0x0003ffff,0x3fa60000,0xcdffffff,
    0x6fffecca,0x67ffffdc,0xffdba99a,0x7d400fff,0x4c1bdfff,0x02ffffdb,
    0x3fffffa2,0xfca999ac,0x2604ffff,0xacefffff,0xcdfffe99,0x00cccccc,
    0x7fffffb0,0x1b953335,0x7fffffd0,0xffffb535,0xff00005f,0x900003ff,
    0x00003fff,0x57fffffb,0x21b95333,0xdc86fffa,0xfffda99b,0x3fff206f,
    0xfffedcce,0x203fffff,0xcccffffa,0xcccccccc,0x320002cc,0x40004fff,
    0xcccdffff,0xcccccccc,0x4fffc82c,0x27ffec00,0x003fffcc,0x1fffe400,
    0xaaffff80,0xc82aaaaa,0xedccefff,0xffffffff,0x3f332e03,0xccccdfff,
    0xcccccccc,0x3f200003,0xffffffff,0x86ffffff,0xfffffffd,0xffffffff,
    0xfffd3001,0xffffdfff,0xf1001dff,0xffffffff,0xbfffffff,0xffffd100,
    0xffffffff,0xffffffff,0x3ffe2001,0xffffffff,0xfffb00ff,0xffffffff,
    0x2aa005ff,0xffaaaaaa,0xaaaaabff,0xfffd000a,0x3fe20000,0xffffffff,
    0xfff50fff,0xfffff90d,0x405fffff,0xfffffffc,0xffffffff,0x7fffd402,
    0xffffffff,0x004fffff,0x013fff20,0xffffff00,0xffffffff,0xff909fff,
    0xffd8009f,0x7fff984f,0xfff80000,0xffff000f,0xffffffff,0xffffff90,
    0xffffffff,0xfffd805f,0xffffffff,0xffffffff,0x5400006f,0xffffffff,
    0x05ffffff,0xfffffff7,0x019fffff,0xffffe880,0x5fffffff,0x7ffecc00,
    0xffffffff,0x3a2003ff,0xffffffff,0xffffffff,0x26000fff,0xfffffffe,
    0x2e00ffff,0xffffffff,0x3a001fff,0xffffffff,0xffffffff,0xfff002ff,
    0x74c0000b,0xffffffff,0xfff50fff,0xfffff90d,0xc803dfff,0xffffffff,
    0x002effff,0xfffffff5,0xffffffff,0x640009ff,0x40004fff,0xffffffff,
    0xffffffff,0x4fffc84f,0x27ffec00,0x003fffcc,0x17ffea00,0xffffff80,
    0xc87fffff,0xffffffff,0x002effff,0xfffffffb,0xffffffff,0x00dfffff,
    0xfd971000,0x7dffffff,0xffec8803,0x02deffff,0x7fedcc00,0x001bdfff,
    0x3ffff660,0x003effff,0x3fffb2a0,0xffffffff,0x000fffff,0xfffffea8,
    0x5400efff,0xdfffffec,0x7ff4000b,0xffffffff,0xffffffff,0x2fff9802,
    0xfea80000,0xefffffff,0x50dfff50,0x9dfffffd,0x3ffff200,0x1bcdeeff,
    0x7fffd400,0xffffffff,0x004fffff,0x013fff20,0xffffff00,0xffffffff,
    0xff909fff,0xffd8009f,0x7fff984f,0x7fec0000,0x3ffe002f,0xffffffff,
    0xfffffc87,0x01bcdeef,0x7ffffec0,0xffffffff,0x6fffffff,0x51000000,
    0x88000135,0x000001a9,0x00000544,0x009aa988,0x33530000,0x40000001,
    0x00099a98,0x00015310,0xffffffe8,0xffffffff,0x0002ffff,0x98800000,
    0x8000099a,0x00000098,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999988,0x99999999,0x09999999,0x00133331,0x304cccc0,
    0x33333333,0x33333333,0x00666621,0x04ccc400,0x4de65440,0x26662000,
    0x33100009,0x4ccc4133,0x33330000,0x33331000,0x33300013,0x13333333,
    0x99998800,0x99999999,0x00099999,0x01379953,0x00066660,0x44133331,
    0x99999999,0x4cc40000,0x33000009,0x99800133,0x26200199,0x02666009,
    0x00999998,0x260ccc40,0x99999999,0x99999999,0x26621999,0x99999999,
    0x99999999,0x55440019,0x1998802a,0x13330000,0xffffffd0,0xffffffff,
    0xdfffffff,0x013fffe6,0x8ffffd40,0xfffffff8,0xffffffff,0xffff93ff,
    0xfff00001,0x3ff6a09f,0x0dffffff,0x5ffff980,0xffffb000,0x037ffd41,
    0x01ffff80,0x7ffffe40,0x7ffcc005,0xffffffff,0x7f401def,0xffffffff,
    0xffffffff,0x3fff6206,0x01efffff,0x801fffe6,0x546ffff8,0xffffffff,
    0x00acdeff,0x00dfff50,0xfffff500,0x7fffcc00,0xdff9001f,0x881fffc0,
    0x005fffff,0xf987fff4,0xffffffff,0xffffffff,0x3ffa7fff,0xffffffff,
    0xffffffff,0xff71007f,0xffd00dff,0xff00001f,0xffffd0df,0xffffffff,
    0xffffffff,0x7fffe4df,0xfffe8001,0x3ffffe25,0xffffffff,0xff53ffff,
    0x980007ff,0x6c41ffff,0xffffffff,0xc803ffff,0x4002ffff,0x543ffffa,
    0xf0006fff,0xf8003fff,0x007fffff,0x7fffffcc,0xffffffff,0xfffd02ef,
    0xffffffff,0x0dffffff,0x3fffffea,0x03ffffff,0x200ffff3,0x40efffe8,
    0xfffffffa,0xffffffff,0x6fffa802,0xfffa8000,0xff9002ff,0x36005fff,
    0xfff105ff,0x3fffe205,0x3fa000ff,0xffff30ff,0xffffffff,0xffffffff,
    0x7fffff4f,0xffffffff,0x07ffffff,0xffffffb8,0x0fffe806,0x5fff8000,
    0x00001fe8,0x7ffc4df5,0x7fdc005f,0x3ffe20ff,0xffffffff,0x23ffffff,
    0x0005ffff,0x2637ffe4,0xfffffffe,0x2fffffff,0x7ffffc40,0xffff1000,
    0x0dfff50d,0x07fffe00,0xfffff980,0x3e6002ff,0xffffffff,0xffffffff,
    0xfffffe81,0xffffffff,0xfc86ffff,0xfeefffff,0x985fffff,0xfb007fff,
    0xff503fff,0xffffffff,0x1bffffff,0x037ffd40,0x7fffdc00,0xffff005f,
    0x3fa005ff,0x5fff304f,0x3ffffe20,0x3ffa004f,0xfffff30f,0xffffffff,
    0xffffffff,0x7ffffff4,0xffffffff,0x207fffff,0xffffffea,0xfffd806f,
    0x7fc40001,0x001fe85f,0xfb8df500,0xf1002fff,0xff887fff,0xaaaaacff,
    0x1aaaaaaa,0x003ffff2,0x24fffe80,0xbdfffff8,0xffffb511,0xfffa801f,
    0xfff9004f,0xdfff503f,0x3fffe000,0x3fff2001,0x2005ffff,0xaaaffff9,
    0xfffdcaaa,0x55540fff,0xfffeaaaa,0x2aaaaaad,0x0f7fffd4,0x17ffff4c,
    0x201fffe6,0x502ffffb,0x5555ffff,0xffffdb97,0x3fea07ff,0xfb80006f,
    0x400fffff,0x2ffffffa,0x207fff00,0xf101fffa,0x01ffffff,0x443fffa0,
    0xcccccccc,0xcccccccc,0x32e6fffd,0xcccccccc,0xffdccccc,0xffea84ff,
    0x6fffffff,0x01fffc80,0x27ffc400,0x37ae0ff4,0x6fa801ac,0x006fffe8,
    0xf10dfff9,0x80003fff,0x002ffffa,0x83ffff30,0x6401effb,0xd804ffff,
    0x4c01ffff,0xf503ffff,0x3e000dff,0x3e001fff,0x7fffbfff,0x1fffe600,
    0x3ffff620,0x3fff2004,0xffff1004,0xdfffb009,0x407fff98,0x203ffff9,
    0x9806fffa,0x80fffffe,0x0006fffa,0xfffeffb8,0x7f7fec03,0xfff003ff,
    0x03ffea07,0x7fffffc4,0xfffd004f,0x7ec00001,0xd00003ff,0x74c1ffff,
    0xedffffff,0xfc806fff,0x4c0002ff,0x1fe84fff,0x77ffffe4,0x261bea01,
    0x4403ffff,0xf881ffff,0x80001fff,0x0005ffff,0x320dfff7,0xfffd000d,
    0xffff100d,0x6fffe80d,0x01bffea0,0x00ffffc0,0xff5fff98,0x3e6005ff,
    0x3fa007ff,0x3f2006ff,0xffb004ff,0x7ffc00df,0x1fffe62f,0x05ffff88,
    0x0037ffd4,0x50bffff7,0x0000dfff,0xdffbdff9,0x7dfffc40,0xff8803ff,
    0x0fff702f,0x7ff7ffc4,0xffe800ff,0xf300000f,0x00001fff,0xb85ffff7,
    0xb1efffff,0xf700dfff,0x980005ff,0x1fe83fff,0x7fff6e54,0x20df505f,
    0x200ffffc,0xf105fffd,0x00003fff,0x001ffff9,0x009fffd0,0x3fffea00,
    0xffffb800,0x3ffff702,0x037ffd40,0x01ffff80,0x367fff90,0xf3004fff,
    0x7dc00fff,0x3f2007ff,0xfff004ff,0x7fe4005f,0x1fffe66f,0x806fffe8,
    0x4006fffa,0x541ffffb,0x80006fff,0xfffaeffc,0xf3dff700,0xff3009ff,
    0x1bff203f,0xfcefff88,0xffe803ff,0xfb00000f,0x300009ff,0xf109ffff,
    0xffd85dff,0xfffb806f,0x7fcc0003,0x401fe82f,0xa84fffb8,0xffff106f,
    0x3fffe609,0x3ffff100,0xfff50000,0xff88005f,0x300001ff,0x2003ffff,
    0x440ffffe,0x5404ffff,0xf0006fff,0x3e003fff,0xfff50fff,0x3ffe600f,
    0x3ffe6007,0xfff9000f,0xffff1009,0x7ffc4001,0x0ffff31f,0x003ffff2,
    0x001bffea,0xa8dffff1,0x80006fff,0xfff8effd,0xf19ffd03,0xaaa989ff,
    0xaabfffca,0xaeffeaaa,0xfff12aaa,0x00ffff3d,0x0001fffd,0x01ffff30,
    0xffffd000,0x6c0bf201,0xfa806fff,0x540003ff,0x1fe82fff,0x85fff300,
    0x3fee06fa,0xfffe81ff,0x3fffe203,0xfff00001,0xffb800bf,0x2200006f,
    0x3002ffff,0xfd89ffff,0x7d400fff,0xff0006ff,0xff3003ff,0x7fffc4df,
    0x7fff9802,0x1fffea00,0x04fffc80,0x007fffa8,0xf33fffe8,0xfff70fff,
    0x3fea003f,0xffb8006f,0x3ffea1ff,0xffd80006,0xf30dffd5,0x9fff13ff,
    0xffffffd8,0xffffffff,0xffffffff,0x3adfff16,0x7f403fff,0xd80000ff,
    0x80004fff,0x202ffffb,0x37ffec00,0x027ffd40,0x07ffea00,0xfa8007fa,
    0x2037d45f,0x7d45fffe,0x7fc406ff,0x900001ff,0xe800ffff,0x00003fff,
    0x007fffe2,0x31ffffc8,0x5005ffff,0x2000dfff,0xc801ffff,0x7fec3fff,
    0xfff9804f,0x3fff2007,0x3fff2006,0x6fffb804,0x4fffd800,0xf98ffff3,
    0x2a002fff,0x88006fff,0x3ea3ffff,0xd80006ff,0x3fff75ff,0xff16ffc8,
    0xffffd8bf,0xffffffff,0xffffffff,0xdfff16ff,0xd01bffea,0x80001fff,
    0x000ffff9,0x2ffffcc0,0x3fff6000,0x4fff9806,0x7ffdc000,0x2001fe81,
    0x37d47ff8,0x87fffea0,0x4401ffff,0x0001ffff,0x05ffff50,0x07fffe20,
    0xfff98000,0x3fe2000f,0xbfffd6ff,0x1bffea00,0x0ffffc00,0x20ffffc0,
    0x9807fffb,0xd1007fff,0x64007fff,0xfb804fff,0xfc8006ff,0xffff35ff,
    0x027fff44,0x01bffea0,0x527fff40,0x0000dfff,0x3fe2bffd,0xf1fffc4f,
    0xeeec8bff,0xeeeffffe,0xeefffeee,0xfff15eee,0x017fffcd,0x0001fffd,
    0x004fffd8,0x0ffffe80,0x7ffec000,0x4fff8806,0x5c0bdd10,0x1fe80fff,
    0x2a3ffc00,0xfffd806f,0x00bfff75,0x003ffff1,0x27fffc00,0x06fffb80,
    0x7ffdc000,0xfffa8007,0x00ffffef,0x00dfff50,0x007fffe0,0xf10dfff3,
    0xf9803fff,0xffb007ff,0x7e4001ff,0xffa804ff,0xffb8007f,0x4ffff36f,
    0x8005fffd,0x0006fffa,0x7d4bfffb,0xe80006ff,0x9fff65ff,0x3fe0fffa,
    0x5ffd805f,0x405fff10,0x3f26fff8,0x3ffa06ff,0x3e60000f,0x40000fff,
    0x002ffffb,0x06fffd80,0x505fff88,0x3f205fff,0x01fe80ff,0xf51bfea0,
    0xffff100d,0x001ffff7,0x003ffff1,0x3fffe400,0x03fffd80,0x7fff4000,
    0xfffb0004,0x4007ffff,0x0006fffa,0xc803ffff,0xffd04fff,0xfff9809f,
    0x3ffee607,0x7e4001ff,0xff8804ff,0x7dc002ff,0xffff36ff,0x001bfff2,
    0x0037ffd4,0x2a6fffc8,0x80006fff,0x3fea5ffe,0xf8bffb1f,0xffe806ff,
    0x03fff304,0xf137ffc4,0x3fa03fff,0x360000ff,0x40005fff,0x005ffff8,
    0x0dfffb00,0x6c17ffe0,0xff904fff,0x4007fa0f,0x7d43ffd9,0xffff7006,
    0x22007fff,0xaaacffff,0xaaaaaaaa,0x3fffea02,0x7fffc401,0x3ee00001,
    0x10000fff,0x0dffffff,0xfffffa80,0xffffffff,0xffffffff,0x0ffffc01,
    0x407fffb8,0xeeeffff9,0xfffffffe,0xffc8000d,0xfffd004f,0xfffc800d,
    0xf5ffff37,0x20001fff,0x0006fffa,0x7d4ffff7,0xf80006ff,0xa7ffc5ff,
    0x7ffc2fff,0x03fff806,0x4401fff5,0x7fe46fff,0x1fffd05f,0x3ffe2000,
    0x7f40001f,0x00000fff,0x200dfffb,0xff886fff,0xfffb07ff,0x66407fa0,
    0xa86fffec,0x3ffa006f,0x22006fff,0xffffffff,0xffffffff,0x27fffc06,
    0x01bffea0,0xffff9800,0x7fdc0004,0x54001fff,0xffffffff,0xffffffff,
    0x201fffff,0x2607fff9,0x2601ffff,0xffffffff,0x0cffffff,0x9fff9000,
    0x3fffea00,0x7ff5401e,0xffff36ff,0x0005ffff,0x0037ffd4,0x50ffffa8,
    0x0000dfff,0xffc8bfff,0xff87ffaf,0x7ffc406f,0x01fff503,0x2237ffc4,
    0xfe81ffff,0xf90000ff,0xb8000bff,0x0002ffff,0x01bfff60,0x7d437ff4,
    0xfd82ffff,0x203fd07f,0x03ffffff,0x7d400df5,0x2001ffff,0xfffffff8,
    0xffffffff,0x7ffe406f,0x1fffec06,0xfffd0000,0xfb80001d,0x4002ffff,
    0xfffffffa,0xffffffff,0x01ffffff,0xd013fff2,0x7cc09fff,0xffffffff,
    0xdfffffff,0x7ffe4000,0x3fff6004,0xdcaacdff,0x6fffffff,0xfffffff3,
    0x7d4000df,0xf50006ff,0x3fea1fff,0xff80006f,0x77ffcc4f,0x7ffe84ff,
    0x817ffc40,0x7c407ffb,0xfffd86ff,0x00fffe85,0x1ffff880,0x3ffe2000,
    0x6c00005f,0xfd006fff,0xffffb0ff,0x0dffb0bf,0x77fc07fa,0x1bea009b,
    0x0bfffd00,0xfffff880,0xffffffff,0x7d406fff,0x3fe01fff,0xb00000ff,
    0x0003ffff,0xffffff88,0x3fea000f,0xccccccff,0xfccccccc,0x3fe01fff,
    0x7fe402ff,0x3ffe607f,0xeecccccf,0x1effffff,0x13fff200,0xffffe880,
    0xffffffff,0xf35fffff,0xffff5fff,0x3fea0009,0xff50006f,0x37ffd4ff,
    0x3ffe2000,0xfffffe84,0x407ffe81,0xf901fff9,0xfff880df,0x0ffff986,
    0x0007fff4,0x002fffe4,0x03ffff60,0xfffb0000,0x1fff600d,0x3fffbffe,
    0xe82fff40,0x009ff01f,0x3bba1bea,0xffffeeee,0x5eeeeeef,0x01ffff88,
    0xffff8000,0x0dfff503,0x3fff6000,0xfd80002f,0x05ffffff,0x01bffea0,
    0x80ffffc0,0x9807fff9,0xf301ffff,0xfd700fff,0x6400dfff,0xb8004fff,
    0xffffffff,0xfffbbeff,0x32ffff35,0x8002ffff,0x0006fffa,0x7d4ffff7,
    0x440006ff,0xffb84fff,0xfffd06ff,0x00fffa80,0xf880bffb,0xfffb06ff,
    0x00fffe89,0x0ffffc40,0xffff7000,0xfb000005,0x3f600dff,0x57ffd47f,
    0x7ff42fff,0x3e03fd05,0x0df5003f,0xffffffff,0xffffffff,0xfff10fff,
    0x9000003f,0x3f20dfff,0xd80003ff,0x0003ffff,0xfdffffa8,0xf5002fff,
    0x3e000dff,0xff901fff,0x3ffe00bf,0xffff304f,0x7fffec00,0x9fff9004,
    0x372a2000,0x322cceff,0xfff33fff,0x0fffff4f,0x1bffea00,0x37ffec00,
    0x000dfff5,0x884fff98,0xfd03ffff,0x7fdc01ff,0x017ffa07,0x260dfff1,
    0x3fa0ffff,0x7e4000ff,0x220006ff,0x0005ffff,0x0dfffb00,0xd83fff20,
    0x5fff8cff,0xfe827ffc,0x2007ff01,0xffff86fa,0xffffffff,0x87ffffff,
    0x001ffff8,0xffffa800,0x00ffff80,0x7fffe400,0xff880003,0xdfffd5ff,
    0xdfff5001,0x3fffe000,0x05ffff01,0x41bfff20,0x4007fff9,0x9006fffe,
    0x00009fff,0x47fffa00,0x3e27fff9,0x2000efff,0x0006fffa,0x7d4bfffd,
    0x4c0006ff,0xffd03fff,0x3fff601f,0xfdddddb0,0xddddddff,0xddddffff,
    0x037ffc47,0x7f49fffd,0x3e2000ff,0x20002fff,0x000ffffd,0xdfffb000,
    0x83fff200,0xfffb2fff,0xe827ffc1,0x0035501f,0x33321bea,0xfffecccc,
    0x4cccccce,0x01ffff88,0xffff0000,0x06fff987,0x7fffe400,0xffb00004,
    0x3ffea1ff,0xfffa804f,0xffff0006,0xbffff303,0x99999999,0x03ffffb9,
    0x800ffff3,0x800ffffb,0x0004fffc,0xffff8800,0xa8ffff30,0x2005ffff,
    0x0006fffa,0x7d47ffff,0x4c0006ff,0xdd503fff,0x87ffec09,0xffffffff,
    0xffffffff,0x4fffffff,0xa81bffe2,0x3ffa7fff,0x3ff2000f,0x3ea0006f,
    0x00002fff,0x01bfff60,0xfa8fffdc,0x7fff50ff,0xfe81fffc,0xdf500001,
    0x4fffc800,0x7fffc400,0xf9000001,0xfffd8dff,0x3ff20003,0x500004ff,
    0xfd87ffff,0x7d401fff,0xff0006ff,0xfff903ff,0xffffffff,0xffffffff,
    0x0ffff309,0x1ffff980,0x04fffc80,0xff980000,0x1fffe66f,0x013ffff2,
    0x0037ffd4,0x50ffffdc,0x8000dfff,0x0003fffa,0xff8fffec,0xffffffff,
    0xffffffff,0x224fffff,0x7f406fff,0x1fffd3ff,0x3fffe200,0xfff10002,
    0x800000bf,0x5006fffd,0x3ff25fff,0x457ffe25,0x3fd03fff,0xfa800a60,
    0x7ffe4006,0x7ffc4004,0x5000001f,0x7fc1ffff,0xf90000ff,0x00009fff,
    0x21bfffe2,0x406ffff8,0x0006fffa,0xff03ffff,0xffffffff,0xffffffff,
    0xfff30dff,0xfffa800f,0xfffc800f,0xe8000004,0x3fe62fff,0xffffb07f,
    0xdfff5005,0xfffff000,0x006fffa8,0x01fffd40,0x47fff600,0xfff99999,
    0xfa99999d,0x09999aff,0x701bffe2,0x3ffadfff,0xfff9000f,0x7fec000d,
    0x000000ff,0x8037ffec,0xfff2fffa,0x88fffd85,0x3fd02fff,0x200dff50,
    0x7e4006fa,0x7c4004ff,0x00001fff,0x54ffffe0,0x90006fff,0x0007ffff,
    0x0ffffe40,0x03ffffb8,0x001bffea,0x260ffffc,0xffffffff,0xffffffff,
    0x4c1fffff,0x5c007fff,0xf9006fff,0x000009ff,0x4c6fffc8,0xff107fff,
    0xfa801fff,0x7dc006ff,0x7fd43fff,0x7dc0006f,0x640003ff,0x3fe01fff,
    0x1fff503f,0x06fff880,0xfeaffff8,0xff8800ff,0xf50002ff,0x00005fff,
    0x0dfffb00,0x26fffe60,0x7fd40fff,0x02fff9bf,0xfffb03fd,0x90df5003,
    0xfd999999,0x99999dff,0xffff1099,0x6c000003,0xfff95fff,0xfffb0007,
    0x5400007f,0x7405ffff,0xf500ffff,0x3e000dff,0x7fe41fff,0x999999df,
    0xf9999999,0x7fcc4fff,0x7ff4007f,0xfff9005f,0x54000009,0x7cc2ffff,
    0x3fe607ff,0x7fd406ff,0x3fea006f,0xfffa86ff,0x7fdc0006,0x7e40002f,
    0xfff102ff,0x03ffee07,0x00dfff10,0xffdbfff7,0xfff9001f,0x3fe2000d,
    0x000005ff,0x00dfffb0,0x3f2fffe6,0xefff885f,0xfd01fff9,0x01fff703,
    0xfff0df50,0xffffffff,0xffffffff,0x03ffff10,0x7fd40000,0x0ffff8ff,
    0x7fffec00,0x3a200003,0x5400ffff,0xf505ffff,0x3e000dff,0x7ffc1fff,
    0xffb0003f,0x7fff98df,0x3ffff200,0x9fff9002,0xfb300000,0xff309fff,
    0xfffb80ff,0x3ffea04f,0xffff9006,0xdfff503f,0xfffb8000,0x7fe40002,
    0x5fff302f,0x201fff20,0x8806fff8,0xffffffff,0x7fffc400,0xfffb0003,
    0x0000001f,0x401bfff6,0xffecfff8,0xf7fffb02,0x07fa03ff,0xfa800e5c,
    0xffffff86,0xffffffff,0xf887ffff,0x00001fff,0x7e7fffc0,0x7ec006ff,
    0x00003fff,0x01ffffe4,0x83ffffd8,0x0006fffa,0x7cc3ffff,0x50000fff,
    0x7cc3ffff,0xfd9807ff,0x32005fff,0x00004fff,0xfffffb31,0x1fffe60d,
    0x0fffff60,0x8837ffd4,0xfffffeb9,0x0dfff504,0x2fffc800,0x7ffe4000,
    0x03fff303,0x2201bff2,0xf9006fff,0x01ffffff,0x007fffc8,0x05ffff50,
    0x7ec00000,0xff1006ff,0x201fffdf,0xfffefffa,0x0003fd00,0x3321bea0,
    0xffeccccc,0xccccccef,0x1ffff884,0x7ec00000,0x03ffffff,0x3ffffee0,
    0xffffffff,0x0fffffff,0x037fffcc,0x1fffff10,0x006fffa8,0x643ffff0,
    0x20005fff,0x263ffff8,0xccccffff,0xffffeedc,0xccccb86f,0xcefffecc,
    0x543ccccc,0xfffeeccc,0x00dfffff,0x100ffff3,0x503ffffd,0xb999ffff,
    0xffffffff,0x7ffd405f,0xcccccccf,0x92cccccc,0x80005fff,0xf503fffb,
    0x3ff601ff,0x6fff8805,0xfffff100,0x7fc401ff,0xf88003ff,0xffffffff,
    0xffffffff,0x3b21ffff,0xffeeeeee,0xeeeeefff,0x7ffffc5e,0x7fffc05f,
    0x7fd00fff,0x33333333,0x33333333,0xc800df73,0x44004fff,0x0001ffff,
    0x7fffd400,0x2e000fff,0xffffffff,0xffffffff,0x7f40ffff,0x5c001fff,
    0x7d45ffff,0xff0006ff,0x7fff43ff,0x7fec0003,0x3fffe66f,0xffffffff,
    0xe80dffff,0xffffffff,0xffffffff,0x7fffec6f,0xffffffff,0x3fffcc03,
    0xfffff980,0x7ffffd40,0xffffffff,0x7d401eff,0xffffffff,0xffffffff,
    0x005fffb4,0x03fffb80,0x7f40fff7,0xfff8805f,0x3fff2006,0x3f200fff,
    0xa8000fff,0xffffffff,0xffffffff,0x361fffff,0xffffffff,0xffffffff,
    0x7fffc6ff,0x7fe402ff,0x3fa07fff,0xffffffff,0xffffffff,0x4006ffff,
    0x4004fffc,0x001ffff8,0xffff8000,0x7dc006ff,0xffffffff,0xffffffff,
    0x3ff20fff,0xfd0005ff,0x7fd45fff,0xfff0006f,0x3fffe63f,0x7fd40000,
    0xffff31ff,0xffffffff,0x7f403bff,0xffffffff,0xffffffff,0x7ffffec6,
    0x003effff,0x400ffff3,0x545ffffb,0xffffffff,0x02dfffff,0xffffff50,
    0xffffffff,0x3ff69fff,0x7dc0001f,0xfff904ff,0x4027ffc0,0x2006fff8,
    0x0ffffff9,0x09ffff10,0x3fffea00,0xffffffff,0xffffffff,0x3ffff61f,
    0xffffffff,0x46ffffff,0x00fffffe,0x3fffffcc,0xffffffd0,0xffffffff,
    0xdfffffff,0x4fffc800,0x7fffc400,0xd8000001,0x003fffff,0x7fffffdc,
    0xffffffff,0x30ffffff,0x001fffff,0x3ffffea0,0x00dfff50,0x647fffe0,
    0x80006fff,0xf33ffff8,0xffffffff,0xd00159bd,0xffffffff,0xffffffff,
    0xefffd8df,0x4000acee,0x4007fff9,0x2a4ffffd,0xefffffff,0x4000bcce,
    0xfffffffa,0xffffffff,0x3fffb4ff,0xfffb8000,0x40dff904,0xf8803fff,
    0x7ec006ff,0xf900ffff,0x20001fff,0xfffffffa,0xffffffff,0x21ffffff,
    0xfffffffd,0xffffffff,0x7ff46fff,0xfff005ff,0x00000dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x00999998,0x00066662,0x304cccc0,
    0x33333333,0x33330003,0x00133333,0x26666660,0x99999999,0x99999999,
    0x26666660,0x99999999,0x22000999,0x00000999,0x00180000,0x03000000,
    0x22005440,0xa88000aa,0x0a9800aa,0x03750000,0x5554c000,0x4400009a,
    0x0019aaa9,0x00055440,0x00000000,0x00066a62,0x00015530,0x01355100,
    0x01a98000,0x00000000,0xffffff10,0x7fffe405,0x7fd40004,0xffff33ff,
    0xffffffff,0xfff8017d,0xffffffff,0xfff003de,0xffffffff,0xffffffff,
    0x3fe2dfff,0xffffffff,0x4fffffff,0x0fffee00,0x0007ee00,0x2fd41fc4,
    0x20000000,0x7f6402fd,0xffc83eff,0x5c402eff,0xdffffffe,0x3ffff660,
    0x3f60003e,0x950004ff,0xfffffffd,0x322007ff,0xfffffffe,0xb8801eff,
    0xdffffffd,0x3fffc402,0x03fffe00,0x3fff6e20,0x00bdffff,0x7ffff64c,
    0x7c403eff,0x7ff543ff,0xf103ffff,0xfdb889ff,0xb00dffff,0xffffffff,
    0xffffffff,0x7ec0007f,0x202fffff,0x00fffff8,0x9bfffa00,0xfffffff9,
    0xffffffff,0xfffff01c,0xffffffff,0xfff805ff,0xffffffff,0xffffffff,
    0xfff16fff,0xffffffff,0x09ffffff,0x01fffdc0,0x00dffd30,0x547bff60,
    0x0000efff,0x7ff44000,0xffffb01f,0x7fec5fff,0x202fffff,0xffffffff,
    0xfff98eff,0x003fffff,0x1fffffb8,0x7ffff400,0xffffffff,0x3fee02ff,
    0xffffffff,0x74c01fff,0xffffffff,0xff100dff,0xfff800ff,0x7ffdc00f,
    0xffffffff,0x3ffee03f,0xffffffff,0x9fff100e,0x3fffff62,0x440dffff,
    0x3fa64fff,0xefffffff,0xfffffd81,0xffffffff,0x0003ffff,0xfffffff5,
    0xffffb805,0xfff50004,0x7fffcc5f,0xffffffff,0xf81fffff,0xffffffff,
    0x5fffffff,0x3fffffe0,0xffffffff,0xffffffff,0xffffff16,0xffffffff,
    0x5c009fff,0x32003fff,0x4003ffff,0xf93ffffa,0x0003dfff,0x3ffe6000,
    0xfffd83ff,0xa8ffffff,0xffffffff,0xfffff01f,0xfdffffff,0xffffffff,
    0xffd8005f,0x74003fff,0xffffffff,0x1fffffff,0xffffffd8,0xffffffff,
    0x3fffea01,0xffffffff,0xfff881ff,0x7fffc007,0xffffb100,0xffffffff,
    0xfffd107f,0xffffffff,0xff107fff,0xffffd19f,0x9fffffff,0xf74fff88,
    0xffffffff,0xfffb0fff,0xffffffff,0x07ffffff,0xfffff100,0xfd005fff,
    0xd0003fff,0xff98dfff,0xa99999ff,0xffffffdc,0x567fffc1,0xffecbaaa,
    0x55502fff,0xfd555555,0x55555bff,0x3fe25555,0xaaaaabff,0x1aaaaaaa,
    0x0fffee00,0x1ffffb00,0x3fffe200,0x7ffffdc5,0x54000002,0xa82fffff,
    0xfb8aefff,0x9dffedff,0xf05fffc8,0x7f4c159f,0x912fffff,0xc800bfff,
    0x002fffff,0x4d5efff4,0xfffea989,0x3ffea0ef,0x33109adf,0x3ee03d97,
    0x3109dfff,0x10dffff9,0xf800ffff,0xff880fff,0x99bdffff,0xf83ffcba,
    0x8abeffff,0xfffffdb9,0x76fffc41,0xb99adfff,0x220fffff,0xfffadfff,
    0xffda9acf,0x5554c3ff,0xaaaaaaaa,0x01ffffea,0xfcfffd80,0xfa802fff,
    0x5c005fff,0x7cc1ffff,0xfc8807ff,0x3fe0efff,0x7fdc02ff,0x90000fff,
    0x44009fff,0x00007fff,0x03fffb80,0xaffffc40,0x90acdcb8,0xf301dfff,
    0x0007ffff,0x3ffff200,0x3fffb01f,0xefffffc8,0x407ffec0,0x3ffe600b,
    0xfffe83ff,0x3ffe2000,0x0ac8006f,0x7ffff700,0x0027fffc,0x27fffc40,
    0x0ffffea0,0x800ffff1,0xfd80ffff,0xa800efff,0x1ffffe42,0x1bfffee0,
    0xfffffff1,0x3fffe605,0x3ffffe24,0xffb00eff,0xf98000df,0xa8003fff,
    0xffff6fff,0x3fff6005,0x3ffe001f,0x7fff985f,0x3ffff200,0x00bfffe3,
    0x00bfffee,0x027ffe40,0x00ffff10,0xfff70000,0xfff50007,0xffffffdf,
    0x03ffffff,0x2fffff44,0x3ff60000,0xff100eff,0xffff10bf,0x5fff507f,
    0x3fffe000,0x07fff507,0x003dc880,0x3ff60000,0x1ffff14f,0xfff70000,
    0x3ffea00b,0x1fffe20f,0x81ffff00,0x004ffffa,0x0bfffe20,0x17fffd40,
    0x3ffffff1,0x25fffc80,0xdffffff8,0x3fffe600,0xfff10001,0xfd1000bf,
    0x3fffe3ff,0xffff3002,0x3ffee00d,0x7fff980f,0x2ffff400,0x2005ffff,
    0x0003ffff,0x4009fff9,0x0007fff8,0x3fffb800,0xffff9000,0xffffffff,
    0xb1007fff,0x001dffff,0xffffe880,0x1fffd405,0x81ffffe8,0x0004fff8,
    0x260bfffb,0x00005fff,0xf5000000,0x3ffe6dff,0xff880007,0x3fa000ff,
    0x3ffe23ff,0x7fffc007,0x1bfffa20,0xbfffb000,0x6fffe800,0x0bffffe2,
    0x89bffe60,0x005fffff,0x0003fffd,0x003bfffa,0xf93fff20,0x32002fff,
    0x4402ffff,0xf304ffff,0xfb800fff,0x3fffe6ff,0xbfffd002,0x3fff2000,
    0x3ffe2004,0xb8000007,0x20003fff,0xfffffffe,0x06ffffff,0x77fffe40,
    0xfff30001,0xff9007ff,0x3fff201f,0x0bfff00f,0x0fffee00,0x0005fff8,
    0x30000000,0x3fe2ffff,0x5c0002ff,0x5c005fff,0x3fe24fff,0x7ffc007f,
    0x3fffea0f,0x3fe20001,0x7d4002ff,0xfff10fff,0x3fe2007f,0x3fffe27f,
    0xfffb000e,0xfff90005,0xff30003f,0x7fffc1df,0x3ffe2002,0x7ffe406f,
    0xffff300f,0xffff9800,0x005ffff0,0x0017fff6,0x0027ffe4,0x000ffff1,
    0x7fff7000,0x7fff4000,0xfff510bf,0xfb8001ff,0x4002ffff,0x02fffffa,
    0x5c0fffb0,0x3fa07fff,0xff50006f,0x37ffc05f,0x00000000,0x27fff880,
    0x003ffffe,0x00ffff20,0x44bfff50,0x7c007fff,0x3ff20fff,0x7cc0005f,
    0xff0006ff,0x3ffe23ff,0x7fffc007,0x01ffff10,0x01fffec0,0x0bfffea0,
    0x17fff400,0x000bfffe,0x207ffff7,0x203ffff8,0x4007fff9,0xff1ffff8,
    0x3fa005ff,0xf90003ff,0x7c4009ff,0x540007ff,0xeeeeeeee,0xeeeefffe,
    0xa82eeeee,0xf102ffff,0x30009fff,0x007fffff,0x07bfffee,0x207ffe80,
    0x3a07fffb,0xf50007ff,0x7ffc05ff,0x00000007,0xa9999880,0x3fea7fff,
    0x001bffff,0x000ffff4,0xf89bffe6,0x7fc007ff,0x3fff60ff,0x7fd40004,
    0xffd0005f,0x1fffe25f,0x21ffff00,0x4007fff8,0x20009998,0x004ffff9,
    0xf0bfff70,0xd0005fff,0x3f20ffff,0x7fcc06ff,0x7fcc007f,0x5ffff0ff,
    0x5ffff100,0x3fff2000,0x3ffe2004,0x7fdc0007,0xffffffff,0xffffffff,
    0xffe83fff,0x7ffe404f,0xffd10007,0xffd809ff,0x74000dff,0x3fea07ff,
    0xffffffff,0x32207fff,0xffffffed,0xffffffff,0x3bb67fff,0xeeeeeeee,
    0xeeeeeeee,0x32605eee,0xffffffed,0x7e47ffff,0xbeffffff,0xeffff800,
    0xeeeeeeee,0x7fffeeee,0x001fffe2,0x7fc1ffff,0x5c0002ff,0xb0004fff,
    0x3fe27fff,0x7ffc007f,0x0ffff10f,0x3a200000,0x10006fff,0xff01ffff,
    0xf50005ff,0xff887fff,0x7fcc02ff,0x7fdc007f,0x0bfffe6f,0x01bfffa0,
    0x04fffc80,0x01fffe20,0xfffff700,0xffffffff,0xffffffff,0x1ffff887,
    0x07fffc40,0xfffd8800,0x7ff440df,0xff0004ff,0x7ffd40df,0xffffffff,
    0xfff707ff,0xffffffff,0xffffffff,0x7fffcfff,0xffffffff,0xffffffff,
    0xffea87ff,0xffffffff,0xfa87ffff,0xffffffff,0xffff103e,0xffffffff,
    0xffffffff,0x1fffe21f,0x21ffff00,0x001ffff8,0x01fffec0,0x14fffc80,
    0xf800ffff,0xfff10fff,0x2000000f,0x000ffffd,0x205fffd0,0x0002ffff,
    0x6c1ffffd,0xf9805fff,0x7ec007ff,0x3fffe5ff,0x3fff6602,0x3f20002f,
    0x3e2004ff,0x540007ff,0xcccccccc,0xcccdfffe,0x4c1ccccc,0xff007fff,
    0xc80003ff,0xf31effff,0x0007ffff,0xf5037ffc,0xffffffff,0xf90fffff,
    0xffffffff,0xffffffff,0x7cffffff,0xffffffff,0xffffffff,0x647fffff,
    0xffffffff,0xffffffff,0xfffd7107,0x83dfffff,0xfffffff8,0xffffffff,
    0x10ffffff,0xf800ffff,0xfff10fff,0xfd80001f,0xf90003ff,0x3ffe29ff,
    0x7fffc007,0x00ffff10,0xfff70000,0x3ee0005f,0x3ffe05ff,0xff30002f,
    0x3ffe67ff,0xfff9801f,0x3ffee007,0x33fffe2f,0xffdcaaaa,0x40004fff,
    0x2004fffc,0xfffffff8,0xffffffff,0x7fdc007f,0xffa8003f,0xfffd006f,
    0xffb80005,0xffd30eff,0x7c0009ff,0x3fea06ff,0xff30007f,0x7d4139ff,
    0xed8002ff,0xeeeeeeee,0xeeeeeeee,0x3ea5eeee,0x019bffff,0x300ffff1,
    0xfffffff9,0xbffff85f,0xaaaaaaaa,0x2aaaaaaa,0x001fffe2,0x7fc1ffff,
    0x640002ff,0xb0004fff,0x3fe27fff,0x7ffc007f,0x0ffff10f,0xff980000,
    0xf10004ff,0x7fc01fff,0x360002ff,0xffd8ffff,0xfff3004f,0x3ffea00f,
    0x7ffffc4f,0xffffffff,0xc80003ff,0x22004fff,0xffffffff,0xffffffff,
    0x7ffdc007,0xfffb8003,0x5fffd005,0x7ffec000,0x7fec40df,0xe8000dff,
    0x3fea07ff,0xffb0007f,0x3ffea07f,0x00000002,0xdffff880,0x7fff8800,
    0x7ffe4c00,0x3ffa0fff,0x2200002f,0x7c007fff,0x3ffa0fff,0x7dc0003f,
    0xfd0005ff,0x3ffe25ff,0x7fffc007,0x00ffff10,0x7ffc4000,0x3f60005f,
    0x7ffc03ff,0x3e20002f,0xffffdfff,0xffff3000,0x7fff54c0,0x7fffc0ff,
    0xffffffff,0x900000be,0x44009fff,0xffffffff,0xffffffff,0x7ffdc007,
    0xfffa8003,0x3ffff006,0xfffd1000,0xfffc809f,0x7f4000ef,0x3ffee07f,
    0xfff8000f,0x7fff501f,0x00000000,0x01ffff50,0x01fffe20,0x7fffec40,
    0x00ffff63,0x7fff8800,0x07fffc00,0x0009fffb,0x006fffa8,0x221ffff0,
    0x7c007fff,0xfff10fff,0x6c00000f,0x0000ffff,0xf00bfff5,0x80005fff,
    0xfffffffc,0x3ffe6003,0xfffeeeef,0x81ffffff,0xffffffff,0x0004ffff,
    0x027ffe40,0x99ffff10,0x99999999,0xfb800999,0xf98003ff,0xff8807ff,
    0x7cc000ff,0x7003ffff,0x003fffff,0xc807ffec,0x4001ffff,0x2a07fff8,
    0x00004fff,0xffc80000,0x3fe2005f,0x7f40007f,0x3fff25ff,0x3e200005,
    0xf7000fff,0x7fe41fff,0x260000ff,0x4001ffff,0x3e27fffa,0x7fc007ff,
    0xffff10ff,0x3f200000,0x10001fff,0xf001ffff,0x80005fff,0x6ffffff8,
    0x7fffcc00,0xffffffff,0xff00cfff,0x3ee625ff,0x0000efff,0x009fff90,
    0x003fffc4,0x7ffdc000,0xfff88003,0x7ffdc02f,0x7ffd4007,0x7d4001ff,
    0x9003ffff,0x3fa05fff,0x4c003fff,0x3f205fff,0x000006ff,0xfffd8000,
    0x3ffee004,0x7fdc0007,0x3fffea5f,0x3fe00001,0xffa801ff,0x3fea0fff,
    0x7c0004ff,0x74005fff,0x3fe24fff,0x7ffc007f,0x0ffff10f,0xfff50000,
    0x7e40007f,0xfff003ff,0xf700005f,0x8005ffff,0xfffffff9,0x1effffff,
    0x417fffc0,0x005fffe8,0x09fff900,0x03fffc40,0x7fdc0000,0xffd0003f,
    0x7ffc40df,0x3ff2003f,0x30000eff,0x009ffffd,0xf109fff5,0x800dffff,
    0xf506fff8,0x0003ffff,0x019d9100,0x02fffe40,0x3ffffec4,0x3fff2000,
    0x037fff44,0x9fffd000,0xfffffa80,0x7ffff40f,0x3fee0001,0xff7001ff,
    0x7ffc41ff,0x7fffc007,0x00ffff10,0xffff8800,0x3fe60005,0x3ffe006f,
    0xfd00002f,0xf3000dff,0xbddddfff,0x7fc00357,0xfff302ff,0xf900005f,
    0x7c4009ff,0x000007ff,0x003fffb8,0x1bffff50,0x0ffffe88,0xffffd880,
    0x6c40000d,0x400dffff,0x7e40ffff,0x004fffff,0x2607fffc,0x0effffff,
    0x3fe20000,0x3ee006ff,0x3ea01fff,0x017fffff,0x7ffff300,0x1effffa8,
    0xfffc8000,0xffff700f,0xff981fff,0x55004fff,0x03ffffe8,0x21ffffe4,
    0x4007fff8,0xff10ffff,0xe80000ff,0x0000efff,0x3337fffa,0xcccccccc,
    0xcccdffff,0xffc8002c,0xff98004f,0x3e00007f,0x3f202fff,0x40000fff,
    0x2004fffc,0x0007fff8,0x3fffb800,0x3fffe000,0xfffecdff,0xfe8805ff,
    0x00004fff,0x077fffe4,0x13dfff90,0xfff9fff7,0xd953359f,0x9dfffe83,
    0xfecfffb8,0x7310aeff,0x7fe4001b,0xf3002fff,0x3137ffff,0xffffffd7,
    0x2b3bf2ff,0xda99899a,0xfb06ffff,0x135bffff,0x436e54cc,0x9bfffff9,
    0xdefffea9,0xffc80fff,0x9abcefff,0x543ffdba,0x9bdfffff,0xffffeba8,
    0x07fff886,0x887fffc0,0x00007fff,0x337ffff2,0xcccccccc,0xfff0cccc,
    0xffffffff,0xffffffff,0x009fffff,0x009fff90,0x00ffff30,0x17fffc00,
    0x09ffff10,0x4fffc800,0x1fffe200,0x3ee00000,0xf30003ff,0xffffffff,
    0x03ffffff,0x1fffffcc,0xffb80000,0xff301fff,0xbfffffff,0x3ffffff2,
    0x7d41ffff,0xffffffff,0xffffff34,0x001fffff,0x1fffffec,0xfffff900,
    0xdfffffff,0x3f2fffd3,0xffffffff,0x1fffffff,0xfffffb10,0xffffffff,
    0x3ff20dff,0xffffffff,0x0fffd8ef,0xfffffc88,0xffffffff,0xffffb83f,
    0xffffffff,0xff880dff,0x7ffc007f,0x0ffff10f,0x7fffc000,0xffffffff,
    0x1fffffff,0xffffffff,0xffffffff,0xffffffff,0xfff90009,0xfff30009,
    0x7fc0000f,0x7fe402ff,0x320000ff,0x22004fff,0x00007fff,0xd1000000,
    0xffffffff,0xdfffffff,0xfffff701,0xa8000003,0x503fffff,0xffffffff,
    0x3ffffa21,0xe81fffff,0x5fffffff,0x7fffffd4,0x2000ffff,0x01fffffb,
    0x3ffff620,0x24ffffff,0xfff97ffd,0xffffffff,0x7001dfff,0xffffffff,
    0x0dffffff,0x3fffff62,0xf90dffff,0x7f4c01ff,0xffffffff,0xfd303fff,
    0xffffffff,0x7fc407ff,0x7ffc007f,0x0ffff10f,0x7fffc000,0xffffffff,
    0x1fffffff,0xffffffff,0xffffffff,0xffffffff,0xfff90009,0xfff30009,
    0x7fc0000f,0x7fc402ff,0x320003ff,0x22004fff,0x00007fff,0xfb000000,
    0xffb75dff,0xffff37df,0xeffffc8b,0x30000000,0x209ffffd,0x1dffffe9,
    0xfffffdb8,0xfff900ce,0x3f6a07df,0x04efffff,0x04fffd80,0xffffd500,
    0xffd85bdf,0xffffdb57,0x3bffffff,0xffec8800,0xefffffff,0x7ffdc02c,
    0x7e42efff,0xedb800ff,0xdfffffff,0x7ff5c00a,0x01ceffff,0x003fffc4,
    0x7c43fffe,0x200007ff,0xffffffff,0xffffffff,0x80001fff,0x0002ffff,
    0x009fff90,0x00ffff30,0x17fffc00,0x03fffec0,0x09fff900,0x03fffc40,
    0x00000000,0x00ffffdc,0x23ffffa8,0x000dfff9,0x7f440000,0x029801ff,
    0x80026aa0,0x2a6000a9,0x4c00009a,0x5300001a,0x4c400015,0x00aaaaa9,
    0x2aa62000,0x3100019a,0x00000155,0x0004cd44,0x00035510,0x00000000,
    0x00000000,0xffff0000,0x3f200005,0xf98004ff,0x200007ff,0x9802ffff,
    0x0003ffff,0x4009fff9,0x0007fff8,0xaaaaaaa8,0xaaaaaaaa,0x261aaaaa,
    0x4004ffff,0x261ffffd,0x0000004f,0x0000fec0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e000000,0x00002fff,0x0009fff9,0x000ffff3,0x017fffc0,0x007fffd8,
    0x009fff90,0x003fffc4,0x7fffff40,0xffffffff,0x25ffffff,0x8006fffb,
    0x043ffff8,0x80000000,0x66666640,0xcccccccc,0xcccccccc,0x0004cccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x0002ffff,0x009fff90,0x00ffff30,0x17fffc00,
    0x3ffff980,0x4fffc800,0x3fffe200,0xcccccccc,0x3a2ccccc,0xffffffff,
    0xffffffff,0x7f4c5fff,0x3bf70001,0x00000000,0x7ffffc00,0xffffffff,
    0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000bfffe,0x027ffe40,
    0x03fffcc0,0x5ffff000,0x37fff400,0x27ffe400,0xfffff100,0xffffffff,
    0x7f49ffff,0xffffffff,0xffffffff,0x000505ff,0x00000028,0xfff80000,
    0xffffffff,0xffffffff,0x6fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0bfffe00,
    0x7ffe4000,0xfff98004,0x3fe00007,0x3ea002ff,0x64002fff,0x22004fff,
    0xffffffff,0xffffffff,0x0000004f,0x00000000,0x00000000,0xdddddddd,
    0xdddddddd,0xdddddddd,0x00000bdd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc00000,0x900002ff,
    0x30009fff,0x0000ffff,0x0017fffc,0x001bfffa,0x4009fff9,0xfffffff8,
    0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0aa88000,0x00015310,0x00000000,0x55e54c00,0x66540000,
    0x0000002c,0x3ba20000,0x2660000e,0x00440000,0xa8000000,0x0c018800,
    0xb3002980,0x4006e000,0x10002cca,0x00000333,0x3bbbb200,0xa7777542,
    0xfffffffe,0xffffffff,0xdd15ffff,0xdddddddd,0xdddddddd,0x000001dd,
    0x3ee00000,0x54005fff,0x7fc5ffff,0xf880007f,0x3ffe67ff,0xff90003f,
    0x917ff4ff,0xfa85ffff,0x7fe45fff,0xfff3003f,0x7ffc43ff,0xffffffff,
    0xfffb8001,0x000dffff,0x007fff90,0x3fb6e600,0x80001bde,0x2000fff8,
    0xffffffec,0x6e4400cf,0x002effff,0x01fffea8,0x006ffc40,0xfd983bf9,
    0x03ff6604,0x800bff30,0x7dc01ffc,0xd8004fff,0x20003fff,0xceffedb8,
    0x5ffffb01,0xd5ffffb8,0xffffffff,0xffffffff,0x3fe6bfff,0xffffffff,
    0xffffffff,0xfd9501ff,0x0000019d,0x7fffec00,0xffff1003,0x0fffe81d,
    0x7ffcc000,0x037fff46,0x24fffe80,0xfffb2ffe,0x3fea1fff,0x3f25ffff,
    0xff9803ff,0x7fc41fff,0xffffffff,0x3fa2001f,0xffffffff,0xffc8002f,
    0x6c40003f,0xffffffff,0x220000df,0x7fc007ff,0xffffffff,0xffff702f,
    0x01dfffff,0xfffffd50,0xfffd8003,0x4ffff504,0x901ffff8,0x7c40bfff,
    0xf9005fff,0x3e201fff,0x002fffff,0x03ffffea,0x3fffea00,0x40cfffff,
    0x542ffffd,0xffd4ffff,0xffffffff,0xffffffff,0x3fffe6bf,0xffffffff,
    0xffffffff,0xfffffd81,0xcc9803ff,0xf880001c,0xd800ffff,0xfd81ffff,
    0x540001ff,0x7fdc5fff,0x7cc001ff,0x3ffa1fff,0xffffffaa,0xfffff8bf,
    0xfff90fff,0xffff9807,0xffff881f,0x1fffffff,0x3ffffa00,0xfffffede,
    0x7ffe4000,0x3fea0003,0xfdcabdff,0x20002fff,0x7fc007ff,0xffffffff,
    0x7ffec0ff,0xffffffff,0xfffd500e,0x4003ffff,0xf106fffa,0xffa83fff,
    0xffe880ef,0x3fff602f,0x7ffe405f,0x3ffe203f,0x3a006fff,0x005fffff,
    0x7fffffe4,0x646fffff,0x7d41ffff,0x99974fff,0x99999999,0x99999999,
    0x3bbbba27,0xeeeeeeee,0x1ffffeee,0x7fffffec,0x7dc05fff,0x300001ff,
    0xa80dffff,0xf903ffff,0xa80005ff,0x7fc44fff,0x7e4004ff,0x5fff46ff,
    0xfff89efe,0xfc8bffcc,0x7fff93ff,0x7ffffcc0,0x2aaaaa01,0x01ffffaa,
    0x81dfff70,0x005fffe8,0x001fffe4,0x403fffb8,0x3603fffc,0x320dff03,
    0x999abd85,0x42ffffd9,0xdbcdfff9,0x4c3fffff,0xfffffffe,0xff1001ff,
    0x3ff603ff,0x9fff904f,0x03bffea0,0x05ffffd8,0x007ffff9,0x0fffffff,
    0x3f3bfee0,0xff5001ff,0xf75359ff,0x7fe49fff,0x7ffcc1ff,0x0000003f,
    0xfffe8000,0x3ffffea1,0x05fffffe,0x0003fff2,0x3ffffc80,0x0bffff10,
    0x001fffdc,0x20fffee0,0x4007fffc,0x7f42ffff,0x3f20ffef,0x3e63ffef,
    0x7fff94ff,0x3ffffe60,0x3ffe0001,0xfff8801f,0xffff100f,0x7ffe4001,
    0xeff98003,0x40aaaa99,0xfa80fff9,0x237f41ef,0x4002ffe9,0xda84fffe,
    0x5ffff880,0x5fffffcc,0xb001ffff,0x3ea09fff,0x7ff406ff,0x9fff902f,
    0x5ffffd80,0x01ffffe4,0xffffffb8,0x97ffc400,0xf8806ffe,0xff301fff,
    0x3ffee3ff,0x7fffcc0f,0x00000003,0x1fffe800,0x4433fff6,0x80dffffd,
    0x00007fff,0x81ffffd8,0x200efffd,0x0004fffa,0x4c0fffe4,0x5002ffff,
    0xffd0ffff,0xfffb87ff,0xafffc46f,0xf883fffc,0x0001ffff,0x400ffffc,
    0x6404fff9,0x32002fff,0xe8003fff,0xffff71ff,0x2ffcc9df,0xb1fffff4,
    0x7fffe4bf,0x7ffec006,0xfffc8002,0xf0bffd87,0xf5003fff,0xff101dff,
    0xff9801ff,0xfff880ff,0x7ffec01f,0x7ffff95f,0xffffe800,0x37fe400f,
    0xa807fff5,0x7e403fff,0xffff73ff,0x2ffff881,0x00000000,0x11fffe80,
    0x3f20dfff,0xea8aefff,0x00004fff,0x46ffff88,0x401ffffa,0xf305fff8,
    0x3ff601ff,0xbfffd00f,0x13fff600,0x2e1ffffa,0xff82ffff,0x87fff95f,
    0x01fffff8,0x1ffff800,0x02fffb80,0x001fffd4,0x8007fff9,0x3fee4ffb,
    0x323ffedc,0xfffb83ff,0xe9dfd9ef,0x000bffff,0x003fffe2,0x21bffee0,
    0x7fffc0b9,0x2fffe801,0x007fffb0,0x5417ffee,0xfd806fff,0xffffefff,
    0xfff98003,0x7ffcc07f,0x007fff41,0x9801fff9,0xfff54fff,0x5ffff10f,
    0x00000000,0x23fffd00,0x3204fff9,0xffffffff,0x00000fff,0x29ffff50,
    0x003ffff8,0x3f20dfff,0xfffd03ff,0x07fffdc0,0x07fffe20,0x2e0ffffa,
    0xfff06fff,0x88ffff2b,0x001ffffe,0x03ffff00,0x803fff90,0x2004fffa,
    0x4003fffc,0x237dc7fd,0x17fe25ff,0xffffffb8,0x803ffffe,0xfffca998,
    0xffd0003f,0x7ffc00bf,0x7ffe401f,0x0bfff705,0x02fffd80,0xb007fffb,
    0x7fffffff,0x3ffe2000,0x2ffec05f,0xb02fffcc,0xff100fff,0x1fffeabf,
    0xcb8ffffc,0xcccccccc,0xcccccccc,0x200003cc,0xff31fffe,0xfffb807f,
    0x03ffffff,0x7fe40000,0x5fffd9ff,0x41fffa00,0xff05fffe,0x7ffc40df,
    0x7ffdc03f,0x01fffd06,0x3e07fff7,0x7fff95ff,0x07ffffa2,0xffff8000,
    0x1fffc801,0x01fffd40,0x007fff90,0x37dc5ff8,0x0ffd13fa,0xffffff70,
    0x7fe4007f,0x001effff,0x03ffff70,0x00ffffc0,0x101ffff3,0x8001ffff,
    0x880ffff8,0xd801ffff,0x003fffff,0x13fffe20,0x901fffa8,0x3fa05fff,
    0xfff8807f,0x20dfff35,0xffd1ffff,0xffffffff,0xffffffff,0x740000bf,
    0x55511fff,0xfffd5001,0x00005fff,0x3ffffa00,0x2000efff,0x7cc0fffd,
    0x7c40ffff,0x7fec05ff,0x7fff406f,0x20fffd03,0xff02fffb,0x2ffff2bf,
    0x01ffffe8,0x7fffc000,0x2fffb801,0xd97ffdc0,0xeeeeeeee,0xeeeeffff,
    0xf15eeeee,0x516fb87f,0x0ffc83ff,0xfffffa80,0x7ffe4001,0x002dffff,
    0x02ffffe4,0x807fffe0,0x980ffff9,0x4000efff,0x880ffff8,0xc801ffff,
    0x005fffff,0x03fffee0,0x2204ffe8,0xff906fff,0xfff9801f,0x20dfff33,
    0xffd0fffe,0xffffffff,0xffffffff,0x640000bf,0x80000eee,0x000acdca,
    0x3fe20000,0x001fffff,0x2e0fffe4,0x4c3fffff,0x7cc04fff,0xff300fff,
    0x3ffa01ff,0x05fff707,0x7fe57ffe,0x1ffffecf,0xfff80000,0xfffa801f,
    0x87fff405,0xffffffff,0xffffffff,0x57ffffff,0xfffb85ff,0xffa82eff,
    0x3fffa602,0x001dffff,0xfffffdd7,0x3f6009ff,0xf8005fff,0x7e401fff,
    0xfff704ff,0xfffd800b,0x09fffb03,0xffffff90,0xff7000bf,0x7fdc05ff,
    0x7ffdc00f,0x04fffb83,0xa897ffe4,0x555502aa,0x77777764,0xeeeeeeee,
    0x004eeeee,0x00000000,0x80000000,0x03fffffa,0x42fffb80,0x46fffffe,
    0xe803fffa,0xff903fff,0x3fff40bf,0xf02fffb8,0x3fff2bff,0x00effffd,
    0xffff8000,0xffff8801,0x4dfff501,0xffffffff,0xffffffff,0x57ffffff,
    0xfffb85ff,0x3ff704ff,0xddfffd50,0x3bfffddf,0xfffb3000,0x7ff4403f,
    0xf8000dff,0x7c401fff,0xffd01fff,0x3fee005f,0xdfff505f,0xdffff900,
    0x980bffff,0x5ffffeb9,0x013ffe20,0x2607fff4,0xf501ffff,0x00000dff,
    0x00000000,0x00000000,0xb8000000,0x003fffff,0x263fffa8,0x1fffafff,
    0x2007ffee,0xff06fffb,0x7ff403ff,0x05fff707,0x7fe57ffe,0x6ffff9bf,
    0xfff80000,0xfff9001f,0x3ff2617f,0x3bbb61ff,0xfffeeeee,0xeeeeeeef,
    0x89ff15ee,0x07ff56fb,0x7f541ff9,0x2bfb3fff,0x02effffb,0x03ffff80,
    0x09fffff5,0x0ffffc00,0x837ffd40,0x400ffff8,0x880ffff8,0x6401fffe,
    0xffb3ffff,0x3fe60bff,0x00cfffff,0x4003fff2,0xfc85fffa,0xdbabcfff,
    0x0001ffff,0x37bbbae0,0xddddb301,0x072a0007,0x54005930,0xaaaaaaaa,
    0x00001aaa,0xfffff980,0x7cc001ff,0x37fee4ff,0x3f23fff8,0xff8800ff,
    0x7ffd41ff,0x83fff406,0xff02fffb,0x4ffff2bf,0x005ffffa,0x0ffffc00,
    0xfffff880,0x4fffffff,0x3fffc800,0x2e2ffc00,0x3a1ff26f,0x6fffec6f,
    0xfe997fa0,0xfe8004ff,0xfffb83ff,0x7c0002ff,0xfb001fff,0x3fee09ff,
    0x7fff406f,0x09fff902,0x43ffffc8,0x985ffffd,0x01efffff,0x001fffcc,
    0x3a0bfff6,0xffffffff,0x00003fff,0x07bfffee,0x7ffffd30,0x2fffd800,
    0x00bfff70,0x3ffffff6,0x005fffff,0x7ff44000,0x00efffff,0xfd2fffc0,
    0xc9bff67f,0x3f6007ff,0x7ffec4ff,0x83fff403,0xff02fffb,0x8ffff2bf,
    0x005ffffb,0x07fffe00,0xffffe980,0x003fffff,0x007fff90,0x3ee0ffd8,
    0xf98ffe66,0x417fcc4f,0x0ffb86fe,0x7fffcc00,0x3ffff622,0xff80000d,
    0xff1001ff,0x3ff603ff,0xbfff903f,0x03fffe60,0x03ffffc8,0x98bffffb,
    0xb002cdef,0xf3000dff,0x3ff20dff,0x1effffff,0x3fee0000,0x362005ff,
    0x3003ffff,0x3e0dffff,0xd800ffff,0xffffffff,0x00005fff,0x4ffffec0,
    0x4005ffff,0xfff16ffe,0x6c7ffea1,0x3ea006ff,0x3ffe27ff,0x3fff400f,
    0xf02fffb8,0x3fff2bff,0x27fffe43,0xffff8000,0xffeb8001,0x0000ceff,
    0x000ffff2,0x37dcbff5,0x1ffe9bf6,0x0dff00b8,0x133510a6,0xffff9731,
    0x7ffff41f,0xeeeeeeef,0x3332a0ee,0xcdffffcc,0x3fee04cc,0xffff106f,
    0x0ffff983,0x405fffd0,0x403ffffc,0x005ffffd,0x00000000,0xcdfecb98,
    0x7dc00002,0x70003fff,0x3007ffff,0x3e0fffff,0xb801ffff,0xcccccccc,
    0x00003ccc,0x47fffee0,0x004ffffa,0x7fddfff6,0x753ffe25,0x7fc005ff,
    0xbfff72ff,0x20fffd00,0xff02fffb,0x0ffff2bf,0x00fffff6,0x07fffe00,
    0x00031000,0x01fffe40,0xfb9ffe40,0x7dd7fd46,0x7ff8004f,0x3fffee00,
    0xffffffff,0x3ffffe21,0xffffffff,0x3fff20ff,0xffffffff,0x7ff407ff,
    0xdfff503f,0x817fff44,0x2205fffc,0xb003ffff,0x0001dfff,0x00000000,
    0x2e000000,0x0001efff,0x01ffff4c,0xc81ffff4,0x00006fff,0x4c000000,
    0x7e44ffff,0xf9002fff,0x87ffd1ff,0x9fff7ffd,0x5fffc800,0xd005fffb,
    0x3fee0fff,0x2bfff02f,0xe883fffc,0x0003ffff,0x000ffffc,0x32000000,
    0x88003fff,0xf9004ffe,0xff1000df,0x7ffdc00f,0xffffffff,0x7ffffc42,
    0xffffffff,0x3fff20ff,0xffffffff,0x7fcc07ff,0x07bf601d,0x6cc09fd3,
    0x7fcc00ff,0x077ec003,0x00000000,0x00000000,0x00dfffb8,0xfffb1000,
    0x03dc8807,0x00005edc,0x10000000,0xd10dffff,0x7001ffff,0x1fff5fff,
    0xffafffa8,0x7fc4003f,0x07fff8ff,0x2e0fffd0,0xfff02fff,0x40ffff2b,
    0x02fffff8,0x07fffe00,0x00000000,0x0007fff9,0x02bbffe6,0x03fffd51,
    0x01fff100,0x3ffffee0,0xf102dfff,0xffffffff,0x41ffffff,0xfffffffc,
    0x07ffffff,0x028801a8,0x014c0054,0x19000398,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01ffffe8,0x00dffff3,0xbffbfff5,
    0x3ffbffe0,0xffd8001f,0x004fffef,0x3ee0fffd,0xbfff02ff,0x980ffff2,
    0x001fffff,0x003ffff0,0xddddddd7,0xdddddddd,0x7ffe4007,0x3f620003,
    0xffedefff,0x10000dff,0x33000555,0x00000333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,
    0x5c03ffff,0x4c05ffff,0x03ffffff,0x1ffffffb,0xffff5000,0x3a001fff,
    0xfff707ff,0x657ffe05,0x7d403fff,0xaa81ffff,0xffaaaaaa,0xaaaaabff,
    0xfffff90a,0xffffffff,0x7e4009ff,0xa80003ff,0xffffffff,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x3a00bfff,0x7c03ffff,0x500fffff,
    0x00ffffff,0x7fffffc0,0x1fffa005,0xf817ffdc,0x7fff95ff,0xfffff700,
    0xfffffe81,0xffffffff,0xf92fffff,0xffffffff,0x09ffffff,0x01fffe40,
    0x7b951000,0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x000fffff,
    0x03fffff1,0x02fffffc,0x01bffffe,0xfffffc80,0x1fffa002,0xf817ffdc,
    0x7fff95ff,0x3ffff200,0x3ffffa0e,0xffffffff,0x32ffffff,0x55555555,
    0x35555555,0x16665400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffd100,0xfffb8005,0xfffb00ff,0xfffc807f,0x3e60005f,0x74007fff,
    0xfff707ff,0x657ffe05,0x36003fff,0xfd0effff,0xffffffff,0xffffffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_49_latin_ext_x[560]={ 0,10,6,1,2,0,1,10,7,6,3,2,5,6,
9,2,2,3,3,3,1,4,2,2,2,2,9,5,3,3,5,7,0,0,3,2,2,4,4,1,2,4,4,3,
5,1,2,1,3,1,4,2,2,2,0,1,0,0,2,8,3,6,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,10,2,2,2,1,
11,3,0,0,5,3,2,6,2,0,5,2,5,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,0,0,0,3,0,
0,0,0,0,0,3,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,4,4,0,4,2,2,0,0,3,4,4,0,0,5,
4,-6,-4,4,2,1,4,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,4,4,-1,0,
0,0,0,0,2,4,0,0,2,1,0,-5,2,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-2,0,-3,-2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__consolas_49_latin_ext_y[560]={ 36,2,2,4,0,1,2,2,0,0,2,11,28,20,
28,2,4,4,4,4,4,4,4,4,4,4,11,11,9,17,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,42,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,11,11,11,11,11,11,1,-4,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,36,11,0,4,5,4,
-4,1,2,4,4,13,21,20,1,3,1,6,1,1,2,11,2,18,36,1,4,13,1,1,1,11,-4,-4,-4,-4,
-4,-6,4,4,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,13,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,2,2,0,11,11,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,6,2,2,2,2,2,2,2,
-3,3,-4,2,4,11,-4,2,-4,2,-5,2,-4,2,-4,0,4,2,-3,3,-4,2,-5,2,4,11,-4,2,-4,2,
-4,2,-5,2,4,0,-4,-5,4,2,-4,2,-3,3,-4,2,4,1,-5,11,4,1,-4,2,4,2,11,-4,-6,4,
2,0,0,4,2,4,2,-4,2,4,11,-4,2,-2,4,11,-3,3,-4,2,-4,2,4,11,-4,2,4,11,-4,2,
-4,2,-4,2,4,11,-4,2,4,4,-4,0,4,4,-4,2,-3,3,-4,2,-6,0,-4,2,4,11,-4,2,-4,2,
-4,-4,2,-5,2,-4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-11,-7,-4,2,-4,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_49_latin_ext_w[560]={ 0,7,15,25,23,27,26,7,14,14,21,23,13,15,
9,22,23,21,22,21,25,20,23,22,23,22,9,13,19,21,19,16,27,27,22,22,24,19,19,24,23,19,17,23,
19,25,23,25,22,26,22,22,23,23,27,25,27,27,23,13,22,13,23,27,16,20,22,20,21,23,26,23,21,20,
18,22,20,23,21,23,22,21,21,19,23,21,25,27,25,25,21,19,5,19,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,20,23,23,25,
5,21,22,27,17,21,22,15,23,20,17,23,17,15,23,23,22,9,7,17,17,21,27,27,27,16,27,27,27,27,
27,27,28,22,23,23,23,23,23,23,23,23,26,25,26,26,26,26,26,21,25,25,25,25,25,27,22,22,23,23,
23,23,23,23,27,20,25,25,25,25,24,24,24,24,23,24,25,25,25,25,25,23,23,24,24,24,24,26,22,26,
27,23,27,23,28,22,23,24,23,23,23,23,23,22,27,31,26,25,23,25,23,25,23,25,20,23,23,25,24,25,
24,25,24,25,24,25,25,24,27,24,23,24,23,24,23,24,21,21,23,20,23,23,22,22,23,22,22,24,24,19,
20,30,31,23,29,23,20,25,24,23,21,25,24,24,23,21,26,25,26,25,27,27,27,27,27,25,22,21,27,25,
24,23,24,23,22,19,24,23,23,23,25,31,23,23,25,24,25,24,25,24,25,24,27,27,23,22,26,27,27,26,
27,25,24,25,24,25,24,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,27,23,28,27,29,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,22,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_49_latin_ext_h[560]={ 0,35,12,32,42,36,35,12,47,47,21,24,17,5,
9,40,33,32,32,33,32,33,33,32,33,32,26,34,28,12,28,35,45,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,41,32,33,32,33,32,32,32,32,32,45,40,45,17,4,10,26,35,26,35,26,35,36,34,35,
46,34,34,25,25,26,35,35,25,26,33,26,25,25,25,35,25,45,50,45,11,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,35,42,32,30,32,
50,41,10,33,24,20,11,5,23,9,17,30,20,21,10,35,40,9,8,20,24,20,35,35,35,35,40,40,40,40,
40,42,32,40,40,40,40,40,40,40,40,40,32,40,41,41,41,41,41,20,43,41,41,41,41,40,32,36,35,35,
35,35,35,37,26,33,35,35,35,35,34,34,34,34,35,34,35,35,35,35,35,26,36,35,35,35,35,44,44,44,
39,34,40,35,42,35,41,35,41,35,42,35,41,35,40,37,32,35,39,34,40,35,41,35,42,35,40,35,41,45,
41,45,42,45,42,47,40,41,32,34,40,34,39,33,40,34,42,45,41,25,33,46,41,45,42,44,25,40,42,42,
44,36,36,32,34,32,34,40,34,42,35,40,34,38,43,36,40,34,41,35,41,35,33,26,40,34,42,35,40,34,
41,35,41,35,40,33,41,35,42,42,40,37,32,33,41,35,40,34,41,35,43,37,41,35,42,35,40,34,40,44,
40,40,34,41,34,40,34,35,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,41,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,47,44,40,35,46,40,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,42,35,42,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32, };
static unsigned short stb__consolas_49_latin_ext_s[560]={ 511,500,411,363,127,191,265,503,13,82,215,
167,355,494,500,1,152,460,99,472,1,451,427,413,76,245,501,128,213,427,193,
401,248,174,202,1,292,125,51,382,150,225,315,268,317,337,389,356,55,130,78,
333,101,24,71,482,122,27,436,298,24,375,369,233,435,313,191,400,331,354,320,
219,268,170,121,217,203,81,445,421,345,457,467,334,222,378,55,27,1,435,489,
335,7,355,472,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,511,497,247,
476,169,25,1,171,452,48,494,289,449,494,191,475,393,145,253,237,411,307,70,
500,503,271,149,311,237,347,1,418,386,330,51,129,469,268,420,47,445,228,180,
340,79,27,254,278,270,314,233,260,287,217,103,333,101,1,474,424,373,358,397,
114,97,73,49,25,1,90,261,201,431,405,379,353,178,73,27,224,233,401,181,
155,129,103,77,289,243,26,1,282,257,433,28,1,458,377,382,321,369,298,349,
444,450,121,198,461,46,469,330,1,449,368,410,1,358,51,193,394,491,420,178,
207,297,222,244,170,222,196,296,56,414,399,369,451,306,426,434,176,204,326,469,
276,53,128,246,97,185,312,421,389,105,364,21,1,412,267,159,297,98,345,52,
1,142,445,29,103,476,486,77,137,279,351,322,375,269,150,100,233,389,274,398,
104,417,300,121,126,96,479,157,407,146,485,345,321,466,33,321,128,70,51,202,
192,77,145,51,65,157,76,174,214,252,240,302,460,122,228,290,27,167,440,249,
492,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,208,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,28,487,93,292,140,150,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,151,492,345,321,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__consolas_49_latin_ext_t[560]={ 1,97,545,479,52,264,338,302,1,1,545,
545,545,435,445,223,445,479,479,410,512,410,410,479,445,479,374,410,512,545,512,
338,1,479,479,445,479,512,479,410,479,479,410,479,479,479,479,410,512,140,512,
410,512,445,479,479,479,512,479,1,223,1,545,539,558,512,338,512,302,512,338,
264,410,338,1,410,374,545,512,512,264,302,512,512,445,512,545,545,545,338,512,
1,1,1,545,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,1,140,52,
445,512,479,1,97,558,445,410,545,545,435,545,558,545,512,545,545,558,302,223,
455,315,545,545,545,338,338,374,338,182,182,182,182,140,52,445,223,140,182,182,
140,182,182,223,223,445,140,140,140,140,97,140,545,52,140,97,97,97,182,445,
264,338,338,338,338,338,264,512,445,302,302,302,302,374,410,410,374,302,374,302,
302,302,302,302,512,264,302,302,302,302,1,52,52,223,374,223,264,52,264,97,
264,97,338,52,338,97,264,223,264,445,264,223,410,223,302,97,264,52,264,223,
302,97,1,97,1,52,1,52,1,182,97,445,374,182,374,223,445,182,374,52,
1,140,545,445,1,140,1,52,1,545,140,97,97,1,264,264,445,410,445,410,
182,410,52,374,182,374,223,52,264,182,374,97,338,97,374,445,512,140,374,52,
374,140,374,97,374,97,302,182,410,97,338,52,52,182,264,445,445,97,374,223,
410,140,338,52,264,140,374,52,338,182,410,223,1,223,223,410,140,410,182,374,
264,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,140,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,1,1,223,338,1,223,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,52,182,52,52,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479, };
static unsigned short stb__consolas_49_latin_ext_a[560]={ 431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_49_latin_ext(stb_fontchar font[STB_FONT_consolas_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_49_latin_ext_s[i] + stb__consolas_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_49_latin_ext_t[i] + stb__consolas_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_49_latin_ext_x[i];
            font[i].y0 = stb__consolas_49_latin_ext_y[i];
            font[i].x1 = stb__consolas_49_latin_ext_x[i] + stb__consolas_49_latin_ext_w[i];
            font[i].y1 = stb__consolas_49_latin_ext_y[i] + stb__consolas_49_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_49_latin_ext_s[i] + stb__consolas_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_49_latin_ext_t[i] + stb__consolas_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_49_latin_ext_x[i] + stb__consolas_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_49_latin_ext_y[i] + stb__consolas_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_49_latin_ext_LINE_SPACING
#endif

