// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT        246
#define STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_30_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_30_latin_ext_LINE_SPACING          20

static unsigned int stb__consolas_bold_30_latin_ext_pixels[]={
    0x3feadff5,0x00026006,0x002aaaa6,0x2a000e60,0x02203ccc,0x00000130,
    0x000aaa00,0x04880044,0xbddd5000,0x445db101,0x64c003ed,0x1e5c004c,
    0x2aa03993,0x931aaaaa,0x03999999,0x004cc980,0x59999100,0xaaaaaa98,
    0x0026200a,0x40666440,0x200001aa,0x79970a98,0xaa980000,0x3333301a,
    0xaa880003,0x33300001,0x02ccc813,0x004ccc40,0xa9880333,0x4cc409aa,
    0x99999999,0x54400999,0x2dff5002,0xfb006ffa,0x7fcc009f,0xf98001ff,
    0x3fea003f,0x7ffb00df,0x005ffd10,0x039bfd93,0x00bff300,0x880bff50,
    0x5c0005fe,0xf900dfff,0x3fff21ff,0xffff3000,0x57fec00b,0xf881ffd9,
    0x53ffffff,0x7fffffff,0x7fffcc00,0x7f440005,0xfffb83ff,0xf300ffff,
    0xe88003ff,0x7f40efff,0x70000dff,0x3fa5ffff,0xea80005f,0x5fffffff,
    0x3fffffe2,0x26002dff,0x0005ffff,0x206fffec,0x64004fff,0x3fe06fff,
    0xffffa81f,0x3fa3ffff,0xffffffff,0xd102ffff,0x3ea007ff,0x00dff56f,
    0x001ffff5,0x261bfff3,0xfff98009,0x5fff7006,0x43fffd40,0x5c06fffb,
    0x2fffffff,0x01ffe400,0x017fff40,0x000bfff5,0xb00fffea,0x3ff21fff,
    0xeff9801f,0xf3004ffc,0x20bfffff,0xfffffff8,0xffffff53,0x3fe6007f,
    0x0004ffce,0x203fffd1,0xfffffffb,0x0bfffb00,0x7e7ff440,0x3fffa0ef,
    0x7ec001ff,0xffd2ffff,0x7ec4000b,0xffffffff,0xfffff10f,0x01dfffff,
    0x5fd59fd0,0x3fff6000,0x009fff03,0x02ffffc8,0xffe83fff,0x3fffffff,
    0x3ffffffa,0x2fffffff,0x007fff10,0x7fd5bfea,0xffffa806,0x1f76c400,
    0xf8807ff5,0xa8800eff,0x7fd400aa,0x7fffb87f,0x337fff60,0x2002fffe,
    0xf8001ffe,0x7dc03fff,0xaa8005ff,0x3fe9801a,0x22013fa2,0x9ff90fff,
    0x3fffea00,0x2aaaa00d,0xff103ffe,0xfff1007f,0x0013ff21,0x401bffd1,
    0xaaaaeffb,0x0bfffb00,0xfa97fec0,0x3ff6aa6f,0x3fe6005f,0xffd0abef,
    0x3fe2000b,0xffeeffff,0xdfff10ff,0xbffffffd,0x3f21ff00,0xeffd8003,
    0x013ffe01,0x0dffff90,0xffc87ffe,0xfedcceff,0x3fbbbb23,0xeeeeefff,
    0x07fff101,0x7d5bfea0,0x9ffd006f,0x0ffd8000,0x0077fec0,0x0177fecc,
    0x7441fff4,0xfff702ff,0x006ffa83,0x2000bdd3,0xc800effa,0x26002fff,
    0x000003dc,0x2604cc40,0x04cc0019,0x81ffec00,0x8803fff8,0x00ccc099,
    0x20066620,0x2a005ffb,0x31001fff,0x80998813,0x9000fffa,0x3ffa0dff,
    0xfff90005,0x4436a05f,0x3ee23fff,0x7f400fff,0x4001ffbc,0xff801998,
    0x7fe4004f,0xfff83fff,0x01dfff11,0xfff90062,0x7ffc4001,0x2dff5003,
    0x26006ffa,0xaaa88001,0x7fdc06ff,0xdff8802f,0x09802ffc,0xff9804c0,
    0x03ff900f,0x0c400000,0x03fffa00,0x1bfffea0,0x88000000,0x00c40001,
    0x103ffd80,0x00007fff,0x2e000000,0x544005ff,0x20000000,0xfb001fff,
    0x17ffa07f,0x3fffe200,0x3ffe2000,0x01fffd83,0x027fff4c,0x40ffd800,
    0x00444fff,0x0dfffff9,0x3fe63fff,0x7e40004f,0x3ba200ff,0xeeefffee,
    0x7fd41eee,0x000dff56,0x7fff4c00,0x3e204fff,0xff3005ff,0x000027e4,
    0x301ffe40,0x06200bff,0x80031000,0xf805fff9,0xa83feacf,0x76402eee,
    0x3ff6605e,0x2eeeeeff,0xdffffb30,0x6c05dddd,0xfff103ff,0x0bbbaa07,
    0x754bdd90,0x776402ee,0x0017fee5,0xdddd9000,0x40bddddd,0xfd002ffe,
    0x17ffa05f,0xc837bbaa,0x44003fff,0xffa83fff,0x304cc42f,0x00666215,
    0x3e1bfe20,0xdffd93ff,0xffdff907,0x31fff87f,0x8000dfff,0x2200fffc,
    0xffffffff,0x541fffff,0x4dff56ff,0xeeeeeeec,0xffb805ee,0x0fffffff,
    0x001fff70,0x3faaffe2,0x41f76c02,0x7c42eee8,0x07ff806f,0x3bffff66,
    0xb302eeee,0xddddffff,0x3fff205d,0xfb9fe600,0x06fff885,0x5c13ffe2,
    0xffffffff,0xffb83fff,0xffffffff,0x0fff603f,0x881fffc4,0x3e206fff,
    0x3ffe24ff,0x93ffe206,0x3a605ffb,0x02eeeeee,0xffffffd8,0x3f607fff,
    0x3fff003f,0xf317ffa0,0xffe83fff,0xfff88007,0x41fffc83,0x3ea06ffd,
    0x2e6001ff,0xcfff83ff,0x4ffffffd,0x7fe67fe4,0xf88fffc7,0x0001dfff,
    0x4401fff9,0xffffffff,0x541fffff,0x4dff56ff,0xfffffffd,0x7fdc07ff,
    0xffffdeff,0x04ffe80e,0x27fffd40,0x4427ffc0,0x7fdc3fff,0x7b9bd913,
    0x3fee0ffb,0xffffffff,0xffffb83f,0x3fffffff,0x407fff10,0x4fd8aff8,
    0x203fffb0,0xf981fffb,0xffebadff,0x7fcc2eef,0xfffebadf,0x3ff602ee,
    0x07fff103,0xb80fffec,0x7fec1fff,0x3fff701f,0xf502ffdc,0x07ffffff,
    0xffffffb0,0x7ec0ffff,0x3fff003f,0xe897ffa0,0xfff82fff,0xfff88005,
    0x437ffd43,0x3ea06ffd,0x3b2201ff,0xf81fffff,0xffffffff,0x3ff21fff,
    0x3e3fff8c,0x3fff61ff,0x2000aeff,0x2000fffc,0x5003fff8,0x9bfeadff,
    0xfffffffd,0x3fe207ff,0xffff50ff,0x1fff98bf,0x0abb9800,0x884fff80,
    0x7ff43fff,0xffffff98,0x7cc0ffcb,0xffebadff,0x7fcc2eef,0xfffebadf,
    0x3ff602ee,0x7fffe406,0x9fff500f,0x641bffa0,0x4ffe86ff,0xfd0dff90,
    0x7ffb009f,0x80fffe20,0xfd04fffa,0x9fff50df,0xf71bffa0,0x7ffd40bf,
    0x0003ffff,0xfb03ffec,0x3ffe007f,0x74bffd01,0xff882fff,0x7fffe44f,
    0xdfff10ff,0x3dffffdd,0x540dffb0,0xff501fff,0x1dffffff,0x0cfffff8,
    0x7e4bfff7,0x7cfff94f,0x3ffa21ff,0x00cfffff,0x000fffc8,0x400fffe2,
    0xdff56ffa,0x81fff600,0x3f21fffb,0x2e0fffef,0xfb8007ff,0xff807fff,
    0x3fff884f,0x7ff5bfe2,0xffcafffe,0x7437fe41,0xdff904ff,0x7009ffd0,
    0xeb801fff,0x7ff400de,0x03fff986,0xff707ffd,0x20fffa0d,0xfd806ffb,
    0x7fff103f,0x986ffe80,0xffd03fff,0x87fff30d,0x22005ffb,0x40003fff,
    0x3ee07ffd,0xfff8806f,0x32bffd00,0xff303fff,0xffffc87f,0xffff10ff,
    0x017dffff,0xfa81bff6,0xfffa81ff,0xefffffef,0x213fffe0,0xff90fffe,
    0x7cfffe29,0x7fe441ff,0x01efffff,0x0007ffe4,0x2007fff1,0xdff56ffa,
    0x81fff600,0x77fc6ffe,0x3f22fff9,0xffd8005f,0x7fc01fff,0x3fff884f,
    0x3fe73fe6,0xff73ffb6,0xb83ffe85,0x7ffd06ff,0x300dff70,0x33003fff,
    0x07ffee00,0x3a01fff9,0x6ffb83ff,0xf707ffd0,0x7ffb00df,0x00fffe20,
    0xfc83fff7,0xfff700ff,0x40fffc83,0x22005ffb,0x40003fff,0x3e607ffd,
    0x3f200aff,0x37ffa06f,0x2604fffb,0x775c4fff,0xff10fffe,0x3dffffff,
    0x5037fec0,0xffd03fff,0x3ffffa3f,0x417ffe4f,0xff91fffb,0x7c7ffe49,
    0xff9101ff,0x401fffff,0x2000fffc,0x5003fff8,0x02662dff,0xf03ffec0,
    0xa7fcc7ff,0x3ff63fff,0xffff8004,0x7ffc03ff,0x23fff884,0x3ffbaffb,
    0x3ff71ffd,0xfb83ffe8,0x07ffd06f,0xf100dff7,0xffb705ff,0x2019ffff,
    0x7fc4fff8,0x1bff205f,0x7e413ffa,0x04ffe86f,0xf103ffd8,0xff8807ff,
    0x02fffc4f,0xff89fff1,0x05ffb85f,0x00fffe20,0x80fffb00,0x91effffc,
    0x405ffffd,0x5ffffffe,0x205fff80,0xff10fffa,0xffff717f,0x81bff601,
    0x7d41fffa,0xbbff11ff,0x27ffcdff,0xf92fffa8,0x67ffc49f,0xea801fff,
    0x3204ffff,0x22000fff,0xf5003fff,0x7ec000df,0x5fff107f,0xffe8ffe4,
    0x0013ffa4,0xdffdfff5,0x884fff80,0x3ff23fff,0xffd2ffc9,0xfc83ff71,
    0x04ffe86f,0xffd0dff9,0x0fffe009,0xfffffff3,0x3f603fff,0x0bffe67f,
    0xbcefff98,0xf301fffe,0xffd79dff,0x7ffb003f,0x00fffe20,0xff99fff6,
    0x3ffec02f,0xf705fff3,0x7fc400bf,0x7ec0003f,0xfffa807f,0x3bfffb1f,
    0xfffffe80,0x6fff806f,0x443ffea0,0x3fee3fff,0x0dffb04f,0x320fffd4,
    0x2bfee6ff,0x3ffe7ffa,0x25fff504,0x7fe44ffc,0x2001ffff,0x3205fffc,
    0x22000fff,0xf5003fff,0x7ec000df,0x3fff307f,0xdffd3ff4,0x20027ffc,
    0xfffcdffc,0x213ffe00,0x3f63fff8,0xff0ffd8f,0xf303ff2f,0xffd79dff,
    0x3ffe603f,0x1fffebce,0x987fff00,0xfeccceff,0xfff506ff,0x201bff65,
    0xfffffffe,0x7fff403f,0x003fffff,0x3e207ffb,0xffa803ff,0x00dffb2f,
    0x3f65fff5,0x0bff706f,0x01fffc40,0x01fff600,0x23fffff9,0x00dffffd,
    0x3fef7ffa,0x7ffec05f,0x21fff502,0x7f43fff8,0x6ffd80ff,0xb07ffea0,
    0x47ff4bff,0xfff1fff8,0x47ffee09,0x7fc44ffc,0x2001ffff,0x3206fff8,
    0x22000fff,0xf5003fff,0x7ec000df,0x3fff507f,0xffd93fe6,0x0013ffa6,
    0xfff37fff,0x427ffc05,0x3f63fff8,0xf88ffe8f,0xd01ffb6f,0xffffffff,
    0xffffe807,0x2003ffff,0x05442fff,0xf01fffc8,0x7fff1bff,0xfedffc80,
    0x7e400cef,0x0ceffedf,0x40fff600,0xf003fff8,0x7fff1bff,0x237ffe00,
    0xff703fff,0x7ffc400b,0x7fec0003,0x2fffea07,0x5ffeb880,0x7ed7ffa0,
    0x3fea03ff,0xfffa80ef,0xb87fff10,0xffd84fff,0x07ffea06,0x3fe29ffd,
    0x3e5fff15,0xfff904ff,0x7e427fe4,0x2001ffff,0x3204fff8,0x22000fff,
    0xf5005fff,0x7ec000df,0x3fff507f,0xffe8bfee,0x8017ff65,0xfff1fff9,
    0x427ffc0b,0x3fa3fff8,0xff11ffd7,0x3f21bfab,0x0ceffedf,0x7f6ffe40,
    0x22000cef,0x4c001fff,0xff902fff,0x801fff7f,0x3e0007ff,0xfb00007f,
    0x3ffe207f,0x7fff9003,0x32001fff,0x0fffbfff,0x400bff70,0x0003fff8,
    0xf903ffec,0xfff5009f,0xf8afff40,0x3fa01fff,0x3ee0aeff,0x7fff10ff,
    0xd81ffff0,0x3fea06ff,0xba7fec1f,0x3fff12ff,0x3e213ffe,0x13ff26ff,
    0x47ffffe2,0xfe980acb,0x3ff203ff,0x7ffc000f,0x6ffa800f,0x36007993,
    0xfff107ff,0xffd1ffa5,0x003ffe49,0x7fecfff7,0x213ffe07,0x3f63fff8,
    0xff71ffb7,0xff09ff1b,0x3ffc000f,0xfff98000,0xff531000,0x3ffe205f,
    0x7c405fff,0xf88002ff,0xd80002ff,0xfff103ff,0x3ffe2007,0x22005fff,
    0x05ffffff,0x88017fee,0x40003fff,0x3f607ffd,0xfff8803f,0x54bffd00,
    0xf300ffff,0xffffffff,0x3fe21fff,0x4fffc83f,0xf5037fec,0x5ffc83ff,
    0x7ffd4ffd,0xd889fff0,0x3ff22fff,0x3ffff904,0x3bbffff2,0x406fffff,
    0x4000fffc,0xccdffffd,0xab7fd41e,0xffb006ff,0x45fffc0f,0x1fffc5ff,
    0x2003fff5,0x3fee4ffe,0x09fff01f,0x7ec7fff1,0xffcffd8f,0x442ffdef,
    0x88002fff,0x80002fff,0x36607ffc,0xfffffffe,0x3ffff602,0xffff802f,
    0x02cdeeef,0x3bbffffe,0xfb002cde,0x3bbbb67f,0x4eeeefff,0x3fffff60,
    0x7ffec002,0x3fee02ff,0x3ffe2005,0x7fec0003,0x00fff607,0xfe80fffc,
    0x37ffe45f,0xfffffd30,0x221fffff,0xff883fff,0x1bff60ff,0x541fffa8,
    0x25ffafff,0x3ffe7ffd,0xfffedcdf,0x8827fe45,0xff91ffff,0xffffffff,
    0xfffc801d,0x7ffc4000,0x541fffff,0x0dff56ff,0xe81fff60,0x22ffbeff,
    0x3e22fffa,0xff8804ff,0x13ffe62f,0x7c427ffc,0x27ff23ff,0xffeffffa,
    0xffff05ff,0x059bdddf,0x777ffffc,0xff002cde,0x3fff609f,0x2fffffff,
    0x1bfffea0,0x7ffffcc0,0x81ffffff,0xfffffff9,0x6c01ffff,0xffffd3ff,
    0xbfffffff,0x37fffd40,0x7fffd400,0x02ffdc06,0xfffddddb,0x8009dddd,
    0x3f607ffd,0x3fff003f,0x3a17ffa0,0x76405fff,0x2dffffff,0x6c0fffe2,
    0x3ff63fff,0x03ffea06,0x5ffffff1,0xff8fffee,0xffffffff,0x027fe40d,
    0x3aa3fff9,0xefffffff,0x1fff9002,0xfffb3000,0xffa83fff,0x200dff56,
    0x3f207ffd,0x360ffeff,0xfffd86ff,0x07ffd400,0x7fc1bffa,0x3fff884f,
    0x7fecbfee,0x00effe8d,0xfffffff3,0xf303ffff,0xffffffff,0x7fd403ff,
    0xefffd80f,0x2fffbaac,0x01ffffc0,0xeeefffb8,0x40ffffff,0xfeeefffb,
    0x200fffff,0xfffd3ffd,0xffffffff,0x3ffff80b,0x7ffff000,0x205ffb80,
    0xfffffffe,0x4005ffff,0x3f606ffd,0x3fff003f,0x2217ffa0,0x3003ffff,
    0x00000135,0xf703ffe4,0x3ffee0ff,0x6fffedff,0x7ffffffc,0x5c0002ef,
    0x99980fff,0x00000019,0x80cd4c40,0xdff56ffa,0x81bff600,0x16fffff9,
    0xf305fff9,0xffc809ff,0x80fffc86,0xff884fff,0x993fea3f,0x3ee004c0,
    0xfffeeeff,0x7fdc0fff,0xffffeeef,0xbffd00ff,0x10bfff10,0xff805fff,
    0xfff5007f,0x3fffb105,0x4417ffd4,0x3601fffd,0x000003ff,0x4000ffff,
    0xfb807fff,0x3fffa05f,0xffffffff,0x2fffc005,0x2007ffb0,0x00001fff,
    0x00aaa200,0x200aaa20,0xfb01fffb,0x7ffe40df,0x40efffff,0x0098cfff,
    0x1fffa000,0x80055510,0x10002aa8,0xff500555,0x401bfead,0x7d405fff,
    0xfffeffff,0x3fff606f,0x3bfffe01,0x3fffeeee,0x2fff9800,0x0001ffe2,
    0xb105fff5,0x7fd43fff,0xfffd882f,0x81fffb81,0xfa82fffa,0x3ff202ff,
    0xdffb003f,0xb17ffcc0,0x7fcc0dff,0x0fff602f,0x2001aa98,0x0003fffc,
    0x7007fff9,0xd8000bff,0x3e6002ff,0x3ffa04ff,0x05ffd002,0x000aaa20,
    0x4002ffdc,0xf9805ffb,0x7fd40eff,0x7ffec03f,0xfff04eff,0xa8800009,
    0x7dc05fff,0x7fdc005f,0xbff70005,0x2adff500,0xff9806ff,0xfffc804f,
    0x00dfffff,0x203bffe2,0xfffffff9,0x005fffff,0x6c1fffb8,0x360003ff,
    0x3fe606ff,0x81bff62f,0x7cc2fff9,0xfff303ff,0x2ffffa8b,0x00bfff90,
    0xc807fff4,0x3ffa0fff,0x1fff900f,0xd01ffec0,0x3f2005ff,0xf90005ff,
    0x3ee00bff,0x3ee0005f,0x4c0b983f,0xf102fffd,0x3f6003ff,0xbff7004f,
    0x0bff6000,0x00bff600,0x66ffffec,0xf806fffe,0x7c009aff,0x200004ff,
    0x01fffffb,0x20017fec,0xb0002ffd,0xff5005ff,0x5cdbfead,0x17ffecc0,
    0x7ffffc40,0xff5003ef,0xffff90bf,0xffffffff,0x7ec4080f,0x7ffd40ff,
    0x7f407302,0xfff900ff,0x807fff41,0x3e20fffc,0x3fe206ff,0xfffecdff,
    0xffdf12ff,0x64001fff,0xbaacefff,0x7e44fffe,0xebaaceff,0x7ec04fff,
    0x0fff103f,0x7ffff7c4,0xfdf1000f,0x2001ffff,0x20005ffb,0xff980fff,
    0x5ffffeee,0x00fffb10,0x401fffdc,0xd0002ffd,0xfd0001ff,0x3fa2001f,
    0xffffffff,0x027fcc01,0x0009fff0,0x1ffffe40,0x0007ff40,0x40003ffa,
    0xfa800ffe,0x26dff56f,0xfffeeeff,0x9ff5005f,0xf7000133,0xdffe8bff,
    0xfc999999,0x3bea02ff,0xb04ffffd,0xd957dfff,0x7ffe40bf,0xffebaace,
    0x77ffe44f,0xfffebaac,0x03fffa24,0xffffff90,0x225ffbbf,0x01efffff,
    0xfffffd80,0xb04fffff,0xffffffff,0xfff889ff,0xf303ffff,0x7ffc40bf,
    0x22001eff,0x01efffff,0x3ffffee0,0xfff000ff,0x7ffcc15b,0x40efffff,
    0x03fffffe,0x7fffff40,0x001ffd02,0x000dff10,0x9000dff1,0x19ffffff,
    0x003ff900,0x00027ffc,0x0019df90,0x8800dff1,0xf10006ff,0x3fea00df,
    0x3e6dff56,0xefffffff,0x01ffb000,0x4bff7000,0x2602fff8,0x3ea04fff,
    0x00efffff,0x3ffffff6,0x7fec05ff,0xffffffff,0xfffffb04,0x989fffff,
    0xf7000eff,0x3f27ffff,0x7dfff12f,0xffda8000,0x400cefff,0xefffffda,
    0xffff880c,0xff703fff,0x77ffc405,0xfff88003,0xffb8003e,0x000fffff,
    0x445ffffb,0x2dffffec,0x09ffffd0,0xffffd300,0x00dff105,0x00000000,
    0x00099880,0x36000cc4,0x200003ee,0x00000000,0x50000000,0x5bfeadff,
    0xdffffec8,0x037fc002,0xfb8b7000,0x7ffc00ff,0x3fffea07,0xfdb7003e,
    0x2a005bff,0xcefffffd,0x7ffed400,0xd300ceff,0x03530001,0x00000220,
    0x44000088,0xeeee8800,0x80002eee,0x08800008,0x77754000,0x1000eeee,
    0x4403dfd9,0x1bcec800,0x76e54000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf56ffa80,0x000220df,0x00000998,0x402ffec0,
    0x4401fffd,0x00040001,0x40000880,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xdff56ffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26620000,0x00666009,0x10004cc0,
    0x09998033,0x4c133310,0x30000099,0x765403dd,0x5100a20c,0x01554455,
    0x1cc88b32,0x22009988,0xaa980199,0x9a988002,0xaa980000,0x355300aa,
    0x44015544,0x55531aaa,0x91166405,0x4ccc0039,0x99998009,0x01999999,
    0x02aaaa80,0x0001aa88,0x01999930,0x39910e64,0x46aaa200,0x3002aaa9,
    0x26000555,0xd98002aa,0x1991002e,0x64402da8,0x4016d40c,0x0a20ceca,
    0x802aa980,0x9970cccb,0x1ffff919,0x0007ffe0,0x5c007ff5,0xfff100ff,
    0x3ffff109,0x000fffe2,0xb807fd40,0xeacfffff,0x6ffec02f,0x7401fffa,
    0x2ffd9aff,0x2a06ffd8,0x3e601fff,0xd3005fff,0x03dfffff,0x3fffe600,
    0x567fec01,0x7c400eff,0xfff98dff,0x2bffa00d,0x7002ffd9,0x980fffff,
    0xffffffff,0x32001fff,0x4c00dfff,0x0005ffff,0x00f7ffcc,0x3f6abbfe,
    0xfff8801f,0x0dfff98d,0x5ffffa80,0x7fffd400,0x7fff4005,0x26ffd800,
    0x3601fff9,0x3ffe66ff,0x3fffee01,0x802feacf,0x405ffff9,0xffb1fffd,
    0x7ffff91f,0x0007ffe0,0x64001ffb,0x3ffe207f,0x23fffd84,0x0003fff8,
    0x3e20ff70,0xfffffdef,0xfffc801f,0xffa801ff,0xfb06ffff,0x7ffd40df,
    0xfbdff501,0x7fdc01bf,0x2fffffff,0x6fffcc00,0xffffb000,0xffe8801d,
    0x007fff53,0xdffffff5,0x7fffec00,0x3ffe601f,0xffffffff,0x7fff9001,
    0x3ab3fa00,0xff30002f,0xff7001bf,0x100bffff,0x3fea7ffd,0xdff5003f,
    0x2a00bffb,0x05ffdeff,0x00bfffe0,0xffb9fffe,0x9fffe02f,0xf102fffb,
    0xfffffbdf,0xeffa803f,0xfb00dffd,0x3fff23ff,0x07ffffc8,0xa8803fff,
    0x4006ffaa,0x3fe205fe,0x2fffdc4f,0x000fffe2,0xb3037e40,0x0177fecc,
    0x001bdd90,0x067fff54,0x2a06ffd8,0xed981fff,0x209dd50d,0xfefffffb,
    0x1001ffff,0x90007ddb,0xdb001bdd,0x077b663d,0xcfffea80,0x3fffe000,
    0x3fe603ff,0xffffffff,0xdeea801f,0x643fe001,0xed88003f,0x7f54003e,
    0xddb003ef,0x0077b663,0xdd72774c,0x24ee9809,0xf9004eeb,0xff7001df,
    0x0077f447,0x7f447ff7,0xd996600e,0x6cc02eff,0x09dd50de,0x7e47fff6,
    0xfffff97f,0x203fff07,0xffffffe9,0x7ff64c04,0x7c42deff,0x3ffe24ff,
    0x1fffc40f,0x05fe8000,0x00000100,0x7ec00400,0x3ffea06f,0x7fc00001,
    0x3ff222ff,0x0000005f,0x00000000,0x3ea00020,0x206ffeff,0x0002fff9,
    0x67f40000,0x00001ffb,0x00000000,0x00000000,0x05540000,0x00601100,
    0x00018044,0x40000004,0xff70fffc,0x3fffff2f,0xb81fff86,0xffffffff,
    0xffff900f,0x889fffff,0x3ff64fff,0x3fff882f,0xffd93000,0x4cc43dff,
    0x00666200,0x026aaa62,0x98802662,0x81bff619,0x4401fffa,0xb809aaa9,
    0xffb02fff,0x5531003f,0xa8800135,0x099881aa,0x80066620,0x64001a98,
    0x0fffcdff,0x005fff30,0x06aaa200,0x27fff4c0,0xccccc980,0x530001cc,
    0x4c400355,0x5300001a,0x51000355,0xa9800355,0x262001aa,0x0998801a,
    0x20066620,0x98801a98,0x06662009,0x3ea1fff9,0xffdff97f,0x41fff85f,
    0xfdeffffb,0x7e40efff,0xffffffff,0xa7ffc44f,0xf104fffa,0xf90007ff,
    0x7fffffff,0xf5037fec,0x3fea03ff,0x43ffffff,0x3ea06ffd,0x0dffb1ff,
    0xa80fffd4,0xffffffff,0x503fff43,0x7d407fff,0x3fffffff,0x7fffec40,
    0x3ff64fff,0x07ffea06,0xfffffd30,0x7fff003d,0x2605fff3,0x20002fff,
    0xffffffd8,0xacb9804f,0xffff5000,0x54007fff,0xfffffffe,0x3fffa605,
    0x54001eff,0xfffffffe,0x7ffec405,0x2a04ffff,0xfffffffe,0x3fffa605,
    0xffb01eff,0x0fffd40d,0xfffffe98,0x0dffb01e,0xf90fffd4,0x5bfea1ff,
    0x6ffdcffc,0xff10fffc,0x3ffea1ff,0x3ffe65ff,0xa88ffa9e,0x467ffc42,
    0x3e206fff,0x7e4003ff,0xffffffff,0xa81bff63,0xffe81fff,0x3fffffff,
    0xf5037fec,0x1bff63ff,0xe81fffa8,0xffffffff,0x027ffc3f,0x3a09fff1,
    0xffffffff,0x3ffea03f,0x25ffffff,0x3ea06ffd,0x3ff201ff,0x2fffffff,
    0x7c7ffe60,0xfff305ff,0x3fea0005,0x5fffffff,0x3ffffdc0,0xfffffa80,
    0xfd8803ff,0xffffffff,0xffffc80f,0x802fffff,0xffffffd8,0xf500ffff,
    0xffffffff,0xffffb10b,0x01ffffff,0xfffffff9,0xdffb05ff,0x40fffd40,
    0xfffffffc,0x6ffd82ff,0xc87ffea0,0x79930fff,0x3feb3ff2,0xb87ffe1f,
    0x3ff21fff,0xff70fffe,0x101fee5f,0xfffb9fff,0x1fffc403,0x9ffff300,
    0x6c375ff5,0x3fea06ff,0x7fffe41f,0x43fedcce,0x3ea06ffd,0x0dffb1ff,
    0x320fffd4,0xdcceffff,0x3ffe23fe,0x42fffc03,0xcceffffc,0xff703fed,
    0xfffdffff,0x5037fecb,0x3ee03fff,0xfffeffff,0xfff701ff,0xf983ffec,
    0xaaaaacff,0xffff702a,0x0bfffdff,0x1fffffd8,0x3fff8800,0x7ffffc40,
    0x0ffffeef,0x77ffffdc,0x201fffff,0xeffffff8,0xb80ffffe,0xfeffffff,
    0x7ffc45ff,0xfffeefff,0x7fffdc0f,0x1fffffef,0xf5037fec,0xfffb83ff,
    0xfffffeff,0x5037fec1,0x7fdc3fff,0xea7fe407,0x87ffe5ff,0x77fc6ffe,
    0xff92fff9,0x101bf65f,0x7fffdfff,0x03fff880,0x5c7fffa0,0x6ffd80ff,
    0x887ffea0,0x3100efff,0x2a06ffd8,0xdffb1fff,0x10fffd40,0x2201dfff,
    0x00bffe61,0xff88dfff,0x103100ef,0x8819ffff,0x81bff63b,0xf881fffa,
    0x3f222fff,0x9ffd05ff,0x4c0fffdc,0xffffffff,0xfff886ff,0x01dc40cf,
    0x0ffffffe,0x0fffe200,0x05ffff90,0xfff8836a,0x3fff222f,0x3ffff205,
    0xf881b502,0x5c40cfff,0x17fffe43,0x3fe20da8,0x3ff222ff,0x037fec5f,
    0x7c43fff5,0x3f222fff,0x37fec5ff,0x5c3fff50,0x47ffc7ff,0xfff54ffc,
    0xff87ffe1,0x7d3fe63f,0xffff53ff,0xf880bfd7,0x03ffffff,0x001fffc4,
    0x3fe4dfff,0x2a06ffd8,0x3fe61fff,0x7fec004f,0x47ffea06,0x3ea06ffd,
    0x3ffe61ff,0x3ffea004,0x237ff402,0x8004fff9,0x2004fffc,0x3ea06ffd,
    0xfffc81ff,0x81fffb02,0x3e62fff8,0xfff984ff,0x6fffffff,0x004fffc8,
    0x3fbffea0,0xff88006f,0x3ffe203f,0x7fe4000f,0x1fffb02f,0x01ffff10,
    0x09fff900,0x07fffc40,0x0bfff200,0xfb07ffec,0x7ffd40df,0x40bfff21,
    0x3f60fffd,0x3ffea06f,0xf99ffee1,0x7c9ff96f,0x23fff4ff,0x3f22fff8,
    0x229ffd1f,0x5fffffff,0x767ffc40,0x3e200fff,0xff1003ff,0xd837ec9f,
    0x3fea06ff,0x1bffe61f,0x40dffb00,0xffb1fffa,0x0fffd40d,0x400dfff3,
    0x7c02fffa,0x7ffcc6ff,0x7ffc4006,0x37fec007,0xd03fff50,0x7fd40dff,
    0x07ffd43f,0x3e61bffa,0xcccccdff,0x3fffc43c,0x37ff2000,0x4000fffc,
    0x3203fff8,0xe8003fff,0x3fea06ff,0x3fffc83f,0x7fff8800,0x1fffe400,
    0x037ff400,0x7ec7fff5,0x3ffea06f,0xa81bffa1,0x3ff63fff,0x87ffea06,
    0x3fee7ffa,0x7dc9ff93,0x31fff8ff,0x3ff43fff,0x7fccdffd,0x03ffffff,
    0xff59fff1,0x7ffc40df,0x7fff3003,0xffd82ff4,0x87ffea06,0x01dffff8,
    0x540dffb0,0xdffb1fff,0x10fffd40,0x003bffff,0xf807fff3,0x7ffc45ff,
    0xff5001df,0xffd8009f,0x07ffea06,0xf8813ffe,0x37fe44ff,0x2607ffe4,
    0x2a002fff,0x40004fff,0xfff9bfff,0x7ffc4002,0x01fffa03,0x1027ffc0,
    0xffd09fff,0x3fea000f,0x7ff4004f,0x9fff0007,0xb27ffc40,0x7fd40dff,
    0x813ffe1f,0x3f64fff8,0x3ffea06f,0xfc9bfea1,0x449ff90f,0x1fffbfff,
    0x3e63fff5,0x11bff64f,0xfffffffb,0x4fff883f,0x2207fffb,0xf3003fff,
    0x827fcbff,0x3ea06ffd,0x7ffec1ff,0x3600aeff,0x3fea06ff,0x40dffb1f,
    0x7ec0fffa,0x00aeffff,0x4409fff1,0xffd84fff,0x200aefff,0x4002fffb,
    0x3ea06ffd,0x7ffc41ff,0x22fffc03,0xeeeeffff,0x7cc3fffe,0x3ee002ff,
    0x260002ff,0xbfff1fff,0x3fff8800,0x0017ffe0,0xf00fffe2,0xbfff0bff,
    0x3ffee000,0x2fffc002,0x1fffc400,0xfd97ffe0,0x3ffea06f,0x807fff11,
    0x3ff65fff,0x87ffea06,0x86a66ffa,0x7fe44ffc,0xff51ffff,0xe8bfee3f,
    0xffb105ff,0x443fffff,0xfff14fff,0x7fff103f,0x5bffe200,0xffb02ff8,
    0x0fffd40d,0x3fffffa2,0xffd80cff,0x47ffea06,0x3ee07ffc,0xfffe887f,
    0xf80cffff,0x3fee07ff,0xfffe882f,0xc80cffff,0x6c001fff,0x3fea06ff,
    0x17ffd41f,0xf99bffe0,0xffffffff,0x7fcc5fff,0x3ff2002f,0x3ee0001f,
    0x01fff67f,0x207fff10,0x7e44fff8,0xf50fffff,0xfff805ff,0x227ffc46,
    0x0ffffffc,0x8007fff2,0x7e44fff8,0xf50fffff,0xfff805ff,0xa81bff66,
    0xfff51fff,0x26fff805,0x3ea06ffd,0x1bfea1ff,0xf989ff90,0xf11fffff,
    0xd1ffa5ff,0x7fe409ff,0x225ffffc,0x3fee4fff,0x3fff886f,0x37fffa00,
    0xfd821ff9,0x3ffea06f,0xffffc881,0x7ec1efff,0x3ffea06f,0x203fff71,
    0xf9106ffd,0x3dffffff,0xd02fffc8,0x7e440dff,0x1effffff,0x0007ffec,
    0xfa81bff6,0x7ffd41ff,0x937ff402,0xffffffff,0xf98fffff,0x3f6002ff,
    0x3a0000ff,0x3ffee4ff,0x3ffe2001,0x87fff303,0x0ffffffc,0xe805fff5,
    0x7ffcc6ff,0x7ffffe43,0x03fff60f,0x43fff980,0x0ffffffc,0xe805fff5,
    0x1bff66ff,0xf51fffa8,0xffe805ff,0xa81bff66,0x90001fff,0xfffb09ff,
    0x5fffc3ff,0x7ffc5ff8,0x7cdbf603,0x3ffe27ff,0x21ffff44,0x2003fff8,
    0xfffffff9,0x3ff63fcc,0x07ffea06,0xfffffc88,0x1bff60ff,0xf31fffa8,
    0xffa81dff,0x7fe4403f,0x260fffff,0xb30affff,0x91007fff,0x1fffffff,
    0x000fffec,0xfa81bff6,0x7ffd41ff,0xd2fffc02,0x33333bff,0x4c5fff93,
    0x36002fff,0x10001fff,0x7fcc5fff,0x3fe2004f,0x9fff303f,0xfffeeeb8,
    0x805fff50,0x7fcc5fff,0x7f775c4f,0x3fff60ff,0x3ffe6001,0x7ff775c4,
    0x05fff50f,0x3f65fff8,0x3ffea06f,0x805fff51,0x3ff65fff,0x07ffea06,
    0x9ff90011,0x3fffff50,0x7fdf7ff4,0x80bffea2,0x9fffa5fe,0x7cc4fff8,
    0x3fe21fff,0xffffffff,0x7fffe44f,0x363fffff,0x3fea06ff,0xffd5001f,
    0x37fec9ff,0x6c3fff50,0xfecdffff,0x2a000fff,0x6c4ffffe,0xffffffff,
    0xea8005ff,0x3f24ffff,0x7ec002ff,0x3ffea06f,0x01fffcc1,0x7fc53ffe,
    0x3ffe602f,0x3ffffe64,0x21ffffff,0x0002fffc,0xfe81fff5,0x3fe2006f,
    0x17ffe03f,0xf30fffa8,0xfff807ff,0x205fff84,0x3f20fffa,0x7fc002ff,
    0x3ffea05f,0x807fff30,0x3ff64fff,0x47ffea06,0x7c03fff9,0x1bff64ff,
    0x2a1fffa8,0x7fe405ff,0x3ffffd04,0x7ff7ffe4,0xf01bff60,0x9bffe27f,
    0xfc84fff8,0x3ffe26ff,0xffffffff,0xfffffa84,0x3ff63fff,0x03ffea06,
    0x4bfff900,0x3ea06ffd,0x3ffa60ff,0x1fffffff,0xbfff9000,0xffffffb0,
    0x40001dff,0x3ea5fffc,0x7ec004ff,0x3ffea06f,0x027ffc40,0x3ee7fff1,
    0x7ffc00ff,0x3ffffe67,0x21ffffff,0x0004fffa,0xff90dff9,0x3fe2001f,
    0x1bffe03f,0xf10fffa8,0x7fc409ff,0x06fff83f,0xfa83ffea,0x7fc004ff,
    0x3ffea06f,0x409fff10,0x3f63fff8,0x3ffea06f,0x409fff10,0x3f63fff8,
    0x3ffea06f,0x80bfffa0,0xff504ffc,0x7ffcc3ff,0xfff916ff,0x7d55f645,
    0x3fffeabf,0x2213ffe2,0xff14ffff,0xffffffff,0x77f4c09f,0x3ffe40ab,
    0x000fff70,0x7e4dfff1,0x1ffee07f,0x3fffff22,0x220000cf,0xfd506fff,
    0x0007dfff,0x4cdfff10,0x2000ffff,0x3ee07ffc,0x0ffff07f,0xfd97ffdc,
    0xfffd805f,0xffffff31,0x4c3fffff,0x8000ffff,0xeeeeffff,0x1003fffe,
    0x7ec07fff,0xfff502ff,0x703fffc1,0xffb05fff,0x3ffea05f,0x03fffe60,
    0x02fffd80,0x7fc1fff5,0x3ffee07f,0xb81fff22,0x3fffc7ff,0x645fff70,
    0x3fee07ff,0x01ffffc7,0x7fd40000,0xffffefff,0x7ffffe46,0x05ffffff,
    0x00000000,0xff7027f4,0x1bff603f,0x93ffe200,0xfb01fffb,0xfff980df,
    0xff880001,0x3ffe404f,0xfff10000,0x04fffe89,0x407ffee0,0xff906ffd,
    0x1fffa05f,0x07ff4400,0xd0bff500,0x98009fff,0xffffffff,0x1005ffff,
    0x7d407fff,0xffa80eff,0x0bfff20f,0xfa83fff4,0xffa80eff,0x27fff40f,
    0x1dfff500,0x641fff50,0xffd02fff,0x01fffb8f,0xffc8dffb,0x8fffd02f,
    0xfb01fffb,0x0effb8df,0x01554400,0xffffff90,0xffc81bff,0xffffffff,
    0x2aa8800c,0x01aa9800,0xf301ffc0,0xffa81dff,0x40565c3f,0x263fffe9,
    0x7d40efff,0x7fec03ff,0x80acb802,0x403fffe9,0x40c2fffa,0xfe980acb,
    0x7ffd43ff,0x99510adf,0x2077ffcc,0xf103fffa,0x36615fff,0xd0003fff,
    0x7c4003ff,0xfffa80ef,0x99510adf,0xffffffc8,0x07ffffff,0x807fff10,
    0x20aefffe,0x3e20fffb,0xfb30afff,0x7ff407ff,0x3fee0aef,0x7fffd40f,
    0x899510ad,0x20aefffe,0x3e20fffb,0xfb30afff,0xfff987ff,0x1fffd40e,
    0x42bfffe2,0x4c3fffd9,0x7d40efff,0x001883ff,0x400bff70,0xeffffff8,
    0xffd97303,0x40017bdf,0xe8005ffb,0x3e2002ff,0x7ffec02f,0x6fffecdf,
    0xeeffffc8,0xd86fffff,0xfecdffff,0x7fc406ff,0xfffc800f,0xfffffeef,
    0xffff8806,0x7e44fdcd,0xfffeefff,0xfffb06ff,0xbfffffff,0xcdffffd8,
    0x6c06fffe,0xffffffff,0xf30006ff,0xffb800ff,0x3ffff604,0x45ffffff,
    0x9999dffe,0x02fffc99,0x403fff88,0xfffffff9,0x6c0fffff,0xffffffff,
    0x7fcc06ff,0xffffffff,0xfffd80ff,0x5fffffff,0x7fffffcc,0x40ffffff,
    0xfffffffd,0xffb06fff,0xfffd9bff,0x3ffff60d,0x06ffffff,0xd9bffffb,
    0x0000dfff,0x4005ffb0,0x0099cffa,0x00037ec0,0x88005ffb,0x7cc007ff,
    0x7ff4401f,0x1fffffff,0xffffffc8,0x880effff,0xfffffffe,0x7fc401ff,
    0x3f200acf,0xffffffff,0xff7000ef,0x43ffffff,0xfffffffc,0x3200efff,
    0xffffffff,0x7fff445f,0x01ffffff,0xffffffc8,0x30000dff,0x20057fff,
    0x902beffc,0xffffffff,0x17ffc4bf,0xb09fff30,0xdfffdddd,0xfd309ddd,
    0xffffffff,0xffff901f,0x001bffff,0xffffffd3,0x3201ffff,0xffffffff,
    0xfffe985f,0x0fffffff,0xffffffc8,0xfd100dff,0xffffffff,0x7fffe403,
    0x100dffff,0xfffffffd,0x000003ff,0x6c001ffd,0x3a0000ff,0x3fa0004f,
    0x7fcc000f,0x07fdc005,0xfffffc80,0xffd500cf,0x05dfffff,0xffffff90,
    0x3ffa0019,0x3faa01ff,0x2effffff,0xffffb800,0x3faa0cff,0x2effffff,
    0xfffdb300,0x3f2039ff,0x00cfffff,0x3ffffae0,0x7c40003e,0xa800ffff,
    0x2605ffff,0xcfffffed,0x003ffee1,0xffd0ffff,0xffffffff,0x7ff640bf,
    0x202dffff,0x3effffeb,0xfffec800,0x4c02dfff,0xcfffffed,0x3fffb201,
    0x2e02dfff,0x03effffe,0xffffff90,0xffd70019,0x32007dff,0x0cffffff,
    0xff880000,0x037fc006,0x000ffe00,0x40037fc4,0x54002ffb,0x9988004c,
    0x4cccc000,0x13310001,0xbfdb1000,0x26666001,0xaa880001,0x4ccc00ab,
    0x99800019,0x02662000,0x00266000,0x5eed9800,0x13bfaa00,0xfb009980,
    0xfffb00bf,0xfffffe83,0x05ffffff,0x00013530,0x20000133,0x200009a9,
    0xa9800099,0x09980009,0x01331000,0x0004cc00,0x00009988,0x26000000,
    0x32200009,0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01555530,0x98055530,0x00002aaa,0x0055554c,
    0x2201554c,0x99999999,0xdb300199,0x4cc98005,0x02aaa980,0x5554c000,
    0x33b2a00a,0x4c000a20,0x4c00aaaa,0x991002aa,0x8002da81,0x000aaaa9,
    0x53005553,0x40000555,0x000aaaa9,0x200d5554,0x0a20ceca,0xa88aaa20,
    0x0399902a,0x0aaaa600,0x05553000,0x01f6c400,0x001554c0,0x5b503322,
    0x2a0aaa80,0x2cc800aa,0x54c07322,0x020002aa,0xffff3000,0xffff3003,
    0x5fffc80b,0xfff30000,0xfff3003f,0x7ffec0bf,0xffffffff,0x0fffe801,
    0xbffff300,0x0bfff900,0x3ffe6000,0x3ffee01f,0x02feacff,0x0ffffcc0,
    0x17fffe60,0xf99bff60,0x3e6001ff,0xf3001fff,0xf900bfff,0x30000bff,
    0x8003ffff,0x5c04fffd,0xeacfffff,0xdffd802f,0xfb01fffa,0x7e4000bf,
    0xf30005ff,0x2000bfff,0x2001fffd,0x005ffff9,0xff99bff6,0x3bfe601f,
    0xd004ffda,0x5ffb35ff,0x02fffe40,0x0017fea0,0x006fffcc,0x7fef7fd4,
    0x3ffea00d,0x7fcc0005,0xffa800df,0xd80dffde,0xffffffff,0xff801fff,
    0xffa802ff,0x400effce,0x0005fffa,0x006fffcc,0xfffbdff1,0x4c003fff,
    0x5400dfff,0x0dffdeff,0xfb9fffe0,0xff3002ff,0x3ea001bf,0x00dffdef,
    0x002fffd4,0x01bfff30,0x02fffd80,0x7fef7fc4,0x9001ffff,0x403fffff,
    0x0000fffa,0x0017ffea,0xbffbdff5,0xfffe8001,0xbdff5003,0xff001bff,
    0x17ffdcff,0x3ffffe60,0x3ffea004,0xfa806fff,0x3fa005ff,0x6c4002ff,
    0xdb3003ee,0x013baa1b,0x0007ddb1,0x400fbb62,0xdd50ded9,0xffddd909,
    0x03ddddff,0x801dff90,0xdd50dee9,0x7ddb1009,0x3bb62000,0x6ccb3003,
    0x22002eff,0xd9803eed,0x09dd50de,0xfd11ffdc,0xddb1001d,0x6f6cc007,
    0x1009dd50,0x10007ddb,0x90007ddb,0x26001bdd,0x0bbff665,0x01bdd900,
    0x0009ffd0,0x003eed88,0x3aa1bdb3,0x7fdc004e,0xded9800f,0x7009dd50,
    0x77f447ff,0x3eed9800,0xfffea800,0xddb1000c,0x3fffe007,0x00000003,
    0x00000000,0x80000000,0x20007ffc,0x000000aa,0x00000000,0x00001000,
    0x44000000,0x00000300,0x00000000,0x00000000,0x00004000,0x0fff7000,
    0x00000000,0x00a98000,0x08800000,0x00000030,0x00000040,0x401dff70,
    0x26200998,0x99998819,0x44199999,0x26620099,0x01a98801,0x00353100,
    0x0007ffc8,0x6406aaa2,0x880002cc,0x998801a9,0x10666009,0x4cc01333,
    0x99999881,0x88199999,0x99999999,0x99988199,0x19999999,0x00999980,
    0x26666660,0x33019999,0x33333333,0x26666603,0x30199999,0x00033333,
    0x80099998,0x26009998,0x2fff8819,0x4cccc400,0x01999999,0x00099998,
    0x33333331,0x4cc43333,0x20333000,0x99999999,0x99988199,0x99880019,
    0x99999999,0x09999801,0xfb003100,0x7ffd40df,0x7ffffd41,0x361fffff,
    0x3fea06ff,0xfffd301f,0xd3003dff,0x03dfffff,0x800fff90,0xffffffd8,
    0x027ffc4f,0xffffd300,0x3ff203df,0x3fff00ff,0x807fffe4,0x7fec1fff,
    0xffffffff,0x7fffec1f,0x1fffffff,0x7fffffec,0x201fffff,0x007ffffb,
    0xfffffff3,0xf983ffff,0xffffffff,0x7ffcc1ff,0xffffffff,0x7ffffc41,
    0x2002dfff,0x807ffffb,0xf00ffffc,0xdff903ff,0xffffd800,0x1fffffff,
    0x1ffffee0,0x7ffffec0,0x71ffffff,0x3fe00bff,0xfffff987,0x41ffffff,
    0xfffffffd,0x7fec00ce,0xffffffff,0x3ffee01f,0x6c00007f,0x3fea06ff,
    0x7fffd41f,0x21ffffff,0x3ea06ffd,0xfffc81ff,0x02ffffff,0x3ffffff2,
    0x7e402fff,0x3fea007f,0x5fffffff,0x80027ffc,0xfffffffc,0xfffc82ff,
    0x43fff03f,0xf03ffffc,0xfffd83ff,0xffffffff,0x7ffffec1,0x41ffffff,
    0xfffffffd,0x3601ffff,0x801fffff,0xfffffff9,0x7cc1ffff,0xffffffff,
    0x7ffcc1ff,0xffffffff,0x7ffffc41,0x00efffff,0x1fffffd8,0x1ffffe40,
    0xf981fff8,0x3f6001ff,0xffffffff,0x3ff601ff,0xfd801fff,0xffffffff,
    0x0bff51ff,0xf30fff10,0xffffffff,0xfffd83ff,0x3fffffff,0x3fffff60,
    0x01ffffff,0x07fffff6,0xd80dff30,0x3fea06ff,0x77774c1f,0x21fffeee,
    0x3ea06ffd,0x7ffdc1ff,0xfffffeff,0xfffffb81,0x01fffffe,0x5c01fff2,
    0xfeffffff,0x27ffc5ff,0x7fffdc00,0x1fffffef,0x83ffffe4,0x3ff21fff,
    0x3fff07ff,0xfffeeec8,0x641eeeef,0xeffffeee,0x77641eee,0xeeeffffe,
    0x3fffe01e,0xff9803ff,0xffffffff,0x7fffcc1f,0x1fffffff,0x7fffffcc,
    0x441fffff,0xfffeefff,0xff805fff,0x6403ffff,0xff07ffff,0x17ff603f,
    0xffeeec80,0x01eeeeff,0x0ffffffe,0x3ffbbb20,0x51eeeeff,0xff100bff,
    0xfffff30d,0x83ffffff,0xffeefffd,0xd905ffff,0xddffffdd,0x7ffc03dd,
    0x7d403fff,0x37fec06f,0x003fff50,0xfb0fffd4,0x7ffd40df,0x8bfffe21,
    0x445fffc8,0x3222ffff,0x3f205fff,0xfff8807f,0x21dc40cf,0x44004fff,
    0x3222ffff,0x7fe45fff,0xfff83fff,0x3fffff21,0x401fff83,0xc8007ffc,
    0xfc8007ff,0x3fea007f,0x9806ffef,0x4c002fff,0x4c002fff,0x44002fff,
    0x3ee23fff,0x3ea00fff,0x406ffeff,0x83fffffc,0xff501fff,0x3f20001f,
    0x3fea007f,0x8006ffef,0x3ea07ffc,0x6ff8805f,0x002fff98,0x32637fec,
    0xc801ffff,0x3ea007ff,0x406ffeff,0x7ec06ffa,0x3ffea06f,0x3ffea001,
    0xa81bff61,0x3ff21fff,0x1fffb02f,0xd817ffe4,0xff900fff,0x9fff900f,
    0x44fff800,0x3fff2009,0x41fffb02,0x86fffffc,0x3ff21fff,0xfff86fff,
    0x03ffe401,0x003ffe40,0x9003ffe4,0x1fff9bff,0x02fff980,0x017ffcc0,
    0x00bffe60,0xb07fff10,0x7e403fff,0x00fffcdf,0x1bfffff2,0xfe807ffe,
    0xff90003f,0x6ffe400f,0x4000fffc,0x3e607ffc,0x5ff9806f,0x002fff98,
    0xfb837fec,0xffc806ff,0x37ff2007,0x2a00fffc,0x7fec06ff,0x07ffea06,
    0x21fffa80,0x3ea06ffd,0x1bffa1ff,0x3a3fffa8,0x3fea06ff,0x0fff903f,
    0x007fff88,0xfc8bfff8,0xffe82eff,0x8fffea06,0x2fffeffc,0xff90fffc,
    0xff85fffd,0x3ffe401f,0x03ffe400,0x003ffe40,0xfff37fff,0x2fff9805,
    0x17ffcc00,0x0bffe600,0x07fff100,0x7c05fff5,0x2fff9bff,0x3ffbff20,
    0x00fffc2f,0x2000fff7,0x3e007ffc,0x2fff9bff,0x03ffe400,0x1aa8dff3,
    0x3e617fe6,0x7ec002ff,0x3fffa06f,0x03ffe401,0xff37fff0,0x3ffd405f,
    0xa81bff60,0x2a001fff,0x3ff61fff,0x87ffea06,0x3e204fff,0x13ffe4ff,
    0x904fff88,0xffa80fff,0xfff8004f,0xffffffec,0x1027ffc3,0x7fe49fff,
    0x7fc6ffdc,0x373ff21f,0x0fffc6ff,0x001fff20,0x2001fff2,0xf3007ffc,
    0x17ffe3ff,0x005fff30,0x002fff98,0x0017ffcc,0x320fffe2,0xff301fff,
    0x817ffe3f,0x6ffdcffc,0xf100fffc,0xf90005ff,0x3fe600ff,0x00bfff1f,
    0x2207ffc8,0x32ffc6ff,0xfff309ff,0x6ffd8005,0x00bffee0,0x2600fff9,
    0xbfff1fff,0x203ffdc0,0x3ea06ffd,0x3ea001ff,0x1bff61ff,0xf11fffa8,
    0xfff807ff,0x807fff15,0xff905fff,0x2fffb80f,0xfffff800,0x27ffffff,
    0x7c03fff8,0x33ff25ff,0x3fe1fffa,0x2b3ff21f,0x3ffe1fff,0x03ffe401,
    0x003ffe40,0xb803ffe4,0x1fff67ff,0x559fff30,0xf3055555,0x555559ff,
    0x9fff3055,0x05555555,0xfa87fff1,0x3fee06ff,0xc81fff67,0x1fffacff,
    0xf9007ffe,0xff9000df,0x9ffee00f,0x64007ffd,0x3fe207ff,0xf99ffea7,
    0xcfff984f,0x82aaaaaa,0x3ea06ffd,0x7fe403ff,0x4fff7007,0x3ee07ffd,
    0x37fec07f,0x003fff50,0xfb0fffd4,0x7ffd40df,0x805fff51,0xfff56fff,
    0x06fff805,0xfc80fff9,0xff8001ff,0xfc88cfff,0x5fff51ff,0x326fff80,
    0x4bffd4ff,0x3ff21fff,0x7fcbffd4,0x3ffe401f,0x03ffe400,0x803ffe40,
    0x3fee4ffe,0x3ffe601f,0x6fffffff,0xffffff98,0xf986ffff,0xffffffff,
    0xefff886f,0x1effffee,0xfb93ffa0,0x9ff901ff,0xfff97ffa,0x0fffcc01,
    0x01fff200,0xff727ff4,0x7fe4003f,0xf93ffc07,0x13fea5ff,0x3fffffe6,
    0xfd86ffff,0x3ffe606f,0x03ffe404,0x3ee4ffe8,0xfff701ff,0x206ffd80,
    0x2001fffa,0x3f61fffa,0x3ffea06f,0x805fff51,0xfff56ffe,0x06ffe805,
    0xfd80fff9,0xff8000ff,0x7ffcc4ff,0x805fff52,0x3ff26ffe,0x3e1fff54,
    0x53ff21ff,0xfff0fffa,0x07ffc803,0x007ffc80,0x8807ffc8,0x3fe62fff,
    0x3ffe604f,0x6fffffff,0xffffff98,0xf986ffff,0xffffffff,0xffff886f,
    0x00beffff,0xf98bffe2,0x9ff904ff,0x7fc3ffea,0x4ffe801f,0x03ffe400,
    0xf317ffc4,0x7e4009ff,0xf3ffc07f,0x3fea9fff,0xfffff983,0xd86fffff,
    0x3fe206ff,0x3ffe404f,0x317ffc40,0x3f209fff,0x3ff600ff,0x07ffea06,
    0x21fffa80,0x3ea06ffd,0x5fff51ff,0xf55fff80,0xfff805ff,0x80fff905,
    0x8001fffd,0xff885fff,0x05fff53f,0x3f25fff8,0x7d3ffe4f,0x93ff21ff,
    0x3fff4fff,0x007ffc80,0x8007ffc8,0xfa807ffc,0x37ff40ff,0x99bfff30,
    0xf3079999,0x99999bff,0xbfff3079,0x07999999,0xfffffff1,0xffa803df,
    0x837ff40f,0x3ffe4ffc,0x5003fff4,0x64001fff,0xffa807ff,0x037ff40f,
    0xf80fff90,0xfffff37f,0x3e60ffea,0xcccccdff,0x06ffd83c,0x900fffe6,
    0xff500fff,0x06ffe81f,0x6c01fff9,0x3fea06ff,0x3fea001f,0x81bff61f,
    0xff31fffa,0x4fff807f,0xf807fff3,0xffffb4ff,0x3fffffff,0x0017ffe4,
    0x7c427ffc,0x7fff33ff,0x324fff80,0x3ffee4ff,0x3f21fff8,0x23ffee4f,
    0x7e401fff,0xffc8007f,0x7ffc8007,0xc86ffc80,0xff300fff,0xff98005f,
    0x7fcc002f,0x7fc4002f,0xffffb8bf,0x21bff200,0xfc80fffc,0x23ffee4f,
    0xff001fff,0x7fe4007f,0x86ffc807,0x9000fffc,0x7fe80fff,0x53ff9df9,
    0xfff305ff,0x6ffd8005,0x00bffea0,0xf900fff9,0x1fff90df,0x401fff90,
    0x3ea06ffd,0x3ea000ff,0x1bff61ff,0xf10fffa8,0x7fc409ff,0x09fff13f,
    0xfd9fffc4,0xffffffff,0x3ffea1ff,0x4fff8004,0xf13fff88,0x7fc409ff,
    0x893ff23f,0x1fffbfff,0xff893ff2,0x401fffbf,0xc8007ffc,0xfc8007ff,
    0xffff807f,0xfffeeeee,0x05fff303,0x02fff980,0x017ffcc0,0xb8fffe20,
    0x3fe04fff,0xfeeeeeff,0x4ffc83ff,0x3fefffe2,0xdff7001f,0x03ffe400,
    0x7777fffc,0x003fffee,0xfe80fff9,0xffacfe8f,0xf982ffbc,0x7ec002ff,
    0x3fff206f,0x03ffe401,0x7777fffc,0xc83fffee,0x3f200fff,0x1ffee07f,
    0x43fff700,0x3ee07ffc,0x03fffc7f,0x7fc5fff7,0x3ffee07f,0xffffffb2,
    0x4c3fffff,0x4000ffff,0xff884fff,0x81fffe3f,0x3f22fffb,0x7fffe44f,
    0x13ff21ff,0x3ffffff9,0x007ffc80,0x8007ffc8,0x7cc07ffc,0xffffffff,
    0xff305fff,0xff98005f,0x7fcc002f,0x7fc4002f,0x07fff43f,0x7fffffcc,
    0x85ffffff,0x7fe44ffc,0x1001ffff,0x32005fff,0x7fcc07ff,0xffffffff,
    0xff9005ff,0xfaffd80f,0xfbeff8af,0x2fff981f,0x837fec00,0xc807fff8,
    0x7fcc07ff,0xffffffff,0xfffd85ff,0x07ffee01,0x20037fec,0x7fdc7ffd,
    0x8dffb01f,0xfd02fffc,0x2fffc8ff,0x400fffd0,0xffe86ff9,0x7ffc004f,
    0x23fff884,0xfd02fffc,0x44ffc8ff,0x1ffffff9,0xff313ff2,0xc803ffff,
    0xfc8007ff,0xffc8007f,0x7fffe407,0xffffffff,0x05fff307,0x02fff980,
    0x017ffcc0,0x70fffe20,0xff909fff,0xffffffff,0x9ff90fff,0xffffff98,
    0x17ff2001,0x203ffe40,0xfffffffc,0x007fffff,0xfd80fff9,0x3ff67fcf,
    0xff981ffd,0x7fec002f,0x07fffb06,0xc80fff90,0xffffffff,0xfd87ffff,
    0x3fe601ff,0x7ffd40ef,0x7dc0cb83,0x7ffcc6ff,0x1fffd40e,0x42bfffe2,
    0x443fffd9,0xb30affff,0x22007fff,0xffa80fff,0x9510adff,0x884fff89,
    0x3fe23fff,0xffb30aff,0x84ffc87f,0x21fffffd,0xffd84ffc,0x7e401fff,
    0xffc8007f,0x7ffc8007,0x4cefff40,0xfffc9999,0x02fff982,0x017ffcc0,
    0x00bffe60,0xf07fff10,0xffe81fff,0xc999999d,0x7fe42fff,0xfffffd84,
    0x3ffe6001,0x07ffc801,0x4ccefff4,0x2fffc999,0x407ffc80,0x2a5ffffc,
    0x980fffff,0x6c002fff,0x3faa66ff,0xff9006ff,0x9dffe80f,0xffc99999,
    0x0f77642f,0x37ffff60,0x706fffec,0xfffdddff,0xffffb05f,0x0dfffd9b,
    0x3ffffff6,0xfb06ffff,0xffffffff,0x7fdc00df,0x3ffff605,0x45ffffff,
    0xff884fff,0x7fffec3f,0x86ffffff,0xffa84ffc,0x3ff21fff,0xfffffa84,
    0x7ffffec1,0x41ffffff,0xfffffffd,0x7ec1ffff,0xffffffff,0x5fff11ff,
    0x427ffcc0,0xfffffff9,0x7cc1ffff,0xffffffff,0x7ffcc1ff,0xffffffff,
    0x41fffc41,0x3e24fffc,0x3fe602ff,0x427fe44f,0x01fffffa,0x6c27ff40,
    0xffffffff,0xfff11fff,0x27ffcc05,0x7fffffec,0x321fffff,0x3e22ffff,
    0xf980ffff,0xffffffff,0x7ffec1ff,0xefffffff,0xfffffb01,0x23ffffff,
    0x2602fff8,0x40004fff,0xffffffe8,0xff701fff,0x09ffffff,0x3fffffa2,
    0x3201ffff,0xffffffff,0x3fff200d,0x00dfffff,0x0afffee0,0x7fffffe4,
    0x7ffc5fff,0x83fff884,0xfffffffc,0x4ffc80df,0x43ffffd0,0xffd04ffc,
    0xfffd83ff,0xffffffff,0x7ffffec1,0x41ffffff,0xfffffffd,0xff71ffff,
    0x7fff801f,0xffffff98,0x4c1fffff,0xffffffff,0x7fcc1fff,0xffffffff,
    0x1fffc41f,0xb87fffc4,0x7fc00fff,0x827fe47f,0x001ffffe,0x3607ffd4,
    0xffffffff,0xfff71fff,0x87fff801,0xfffffffd,0x3f21ffff,0x7fec0fff,
    0xfff980ff,0xffffffff,0x7ffffec1,0x6c04ffff,0xffffffff,0xfff71fff,
    0x07fff801,0xffff9000,0x6cc019ff,0x01efffff,0xffffffc8,0xffeb800c,
    0xd7003eff,0x007dffff,0x0dffff30,0x7ffff6cc,0x27ffc1cf,0xb81fffc4,
    0x03effffe,0x7d413ff2,0x3ff21fff,0x3ffff504,0xffffffd8,0x6c1fffff,
    0xffffffff,0x7fec1fff,0xffffffff,0x00bffb1f,0xf983fffb,0xffffffff,
    0x7ffcc1ff,0xffffffff,0x7ffffcc1,0x41ffffff,0xfb03fff8,0x17ff67ff,
    0xc87fff60,0xfff504ff,0x3330003f,0xfffffd81,0xb1ffffff,0xffb00bff,
    0xffffd83f,0x1fffffff,0x2e17ffee,0xff307fff,0xffffffff,0xffffd83f,
    0xd801bcef,0xffffffff,0xbffb1fff,0x03fffb00,0x04cc4000,0x000cc400,
    0x00009988,0x98000266,0x6d400009,0x266004ef,0x213ffe00,0x9803fff8,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x009aaa98,0x0aaaa980,
    0x10676540,0x0aaa6005,0xa8199100,0xaa88002d,0x5553001a,0x55530000,
    0x3ed88015,0x44555100,0x555402aa,0x0002aaa0,0x2002ccb8,0x000aaaa9,
    0x03bffb26,0x666654c4,0xa8000ccc,0x55102aaa,0x20155445,0x073222cc,
    0xb5033220,0x7f6dc005,0xb1004def,0x2aa2007d,0x200aaa22,0x073222cc,
    0xfffffff0,0xffff007f,0xf007ffff,0x7fffffff,0xffffff80,0xb93003ff,
    0x7b930007,0x7ffffc00,0x79703fff,0x7fd40035,0x03ffffff,0x07fffe60,
    0x9fffff70,0xf9805fd5,0x36005fff,0x3ffe66ff,0xfffd8801,0x2604ffff,
    0x0005ffff,0x007fffe6,0x4007fff6,0xfffadffd,0x577fcc01,0x20004ffd,
    0x3001fff9,0x4003ffff,0x1ffffffc,0x7ffffdc4,0x001fffff,0x006fffe4,
    0xfff5bffb,0x9affe803,0xfd802ffd,0x07ffe66f,0xffffff30,0x3f600fff,
    0xffb001ff,0x003fff5b,0xffb35ffd,0xfffff805,0xff803fff,0x03ffffff,
    0xfffffff8,0x7fffc03f,0xa803ffff,0x2006ffff,0x006ffffa,0xffffffff,
    0x3ffffa07,0x7fff402e,0x03ffffff,0x01bfff30,0xffdeff88,0x2a01ffff,
    0x0dffdeff,0x2e7fff80,0x7d402fff,0xffffffff,0xfbdff505,0xf98001bf,
    0xfd000dff,0x7e4007ff,0x3001ffff,0x009fffff,0x006ffc80,0x001bfff3,
    0x7fffffd4,0x3fffe21f,0xffffffff,0x3fff2001,0xffff9003,0xfff5003f,
    0x3e00dfff,0x3ffee7ff,0x3fffe202,0x007feeef,0x4007fffd,0x01fffffc,
    0xffffff50,0x9999900d,0x99003999,0x03999999,0x99999990,0xcccc8039,
    0xf801cccc,0x003feacf,0x07fd59ff,0x99999990,0x3fffa039,0xfc80efff,
    0xedccefff,0xeed8803f,0xd9966003,0x36602eff,0x09dd50de,0x7447ff70,
    0x3fee00ef,0xfffeffff,0x50ded985,0x6c4009dd,0x7dc003ee,0x764000ff,
    0x6cc000de,0x440003ee,0xd8802fff,0xfe8003ee,0xffb00aff,0x3e6dffff,
    0xdd5001ff,0xeec8003b,0x3faa000d,0xf7000cff,0x077f447f,0x107fff70,
    0x3ffee005,0x6f764000,0x7ff54000,0x000000cf,0x00000000,0x3e600000,
    0x26017ee7,0x0017ee7f,0xffedb800,0x7fc46fff,0x003100ef,0x00400000,
    0x02200000,0x3ffe200c,0x01dc40cf,0x00000000,0x00000a98,0x80000000,
    0x00007ffb,0x09fff100,0x7fffffd4,0x03fff36f,0x00000000,0x11000080,
    0x3ff60060,0xa980000f,0x00000000,0x04cc4004,0x10033310,0x4cc00353,
    0x99999999,0x99999881,0x20199999,0x4fd8aff8,0xd8aff880,0x2666004f,
    0x7fd40009,0x3ffe64ff,0x06662004,0x22066620,0x99999999,0x06662199,
    0x98866620,0x19988019,0x0027ffe4,0x4c403331,0x99999819,0x09999999,
    0x4ccccccc,0x4c099999,0x99999999,0x99980999,0xd0000199,0x4ccc09ff,
    0x7fd40000,0x3fff201f,0xff36ffff,0x2666003f,0x98099999,0x99999999,
    0x99998019,0x33330000,0x3fff2001,0x4ccc000d,0x19999999,0x4cccccc4,
    0x09999999,0x99999998,0x7fec1999,0x07ffea06,0x7fffff4c,0x3ffe601e,
    0xffffffff,0x7ffffec1,0x01ffffff,0x03fffff2,0x7ffffe40,0xffff7000,
    0xfff3000f,0x037ffccd,0x807fff70,0xffd87ffe,0xffffffff,0x07fff71f,
    0x3ee7ffe8,0x7ff403ff,0x01fffe27,0x5c0fff90,0x3fe60fff,0xffffffff,
    0x3ffe66ff,0xffffffff,0x3fffe66f,0xffffffff,0x7ffffc46,0x8002dfff,
    0xf100fffa,0xb80007ff,0x7ff407ff,0xf36fffff,0xff7003ff,0x8bffffff,
    0xfffffff9,0x2e01ffff,0x8007ffff,0x007ffffb,0x05fffff3,0x3ffffe60,
    0x21ffffff,0xfffffffe,0x42ffffff,0xfffffff9,0x3f61ffff,0x3ffea06f,
    0xfffffc81,0xf302ffff,0xffffffff,0xfffd83ff,0xffffffff,0x06f75c01,
    0x037bae00,0xfffffd80,0xffff8001,0x3bffff10,0x0dfff100,0x6c1fffd4,
    0xffffffff,0xfff11fff,0x1fffd40d,0x540dfff1,0x3fea3fff,0x7fe4004f,
    0x83ffee07,0xfffffff9,0x266fffff,0xffffffff,0x3e66ffff,0xffffffff,
    0x7fc46fff,0xffffffff,0x3ff6000e,0x0fffe205,0x0fff9000,0xffffffe8,
    0x03fff36f,0xffffffd0,0xfff98bff,0xffffffff,0x3ffff601,0x7fec001f,
    0x74401fff,0x1effffff,0x7ffffcc0,0x21ffffff,0xfffffffe,0x42ffffff,
    0xfffffff9,0x3f61ffff,0x3ffea06f,0x7ffffdc1,0x81fffffe,0xfffffff9,
    0x7641ffff,0xeeffffee,0x000001ee,0xff800198,0x8003ffff,0x7fec7ffe,
    0x200aefff,0xfd02fffb,0x3bbb20ff,0xeeeeffff,0x40bffee1,0xffb87ffe,
    0x8fffd02f,0x4002fffb,0x3ee07ffc,0x3ffe60ff,0xffffffff,0x3fffe66f,
    0xffffffff,0x3ffffe66,0x6fffffff,0x7f77ffc4,0x005fffff,0x4403fff3,
    0x40003fff,0x7e406ffd,0x36ffffff,0xf9803fff,0xeeefffff,0x7ffffcc4,
    0x01ffffff,0x0ffffffe,0xffffff00,0xffffd807,0x203fffff,0xfffffff9,
    0x3b21ffff,0xeffffeee,0x7cc1eeee,0xffffffff,0x1bff61ff,0x221fffa8,
    0x3222ffff,0xff985fff,0x7e40002f,0x3eed807f,0xb82eee88,0xcffffffd,
    0x77ffd400,0x7cc006ff,0x7ff446ff,0x80cfffff,0xfa86fff8,0xff9003ff,
    0x6fff880f,0x883fffa8,0xffa86fff,0x0fffe43f,0x81fff200,0x4cc0fffb,
    0xff999999,0x4cccc2ff,0xffff9999,0x4cccccc2,0x42ffff99,0x2e23fff8,
    0xc800ffff,0x7fc406ff,0x3ba2003f,0xeeffffee,0x3ffea2ee,0xff36ffff,
    0xdffc803f,0x7fcc06ff,0xff50002f,0x400dffdf,0x6ffefffa,0x233ffea0,
    0x05fffffc,0x0005fff3,0x800fffc8,0x2002fff9,0x3ea06ffd,0x3fff21ff,
    0x81fffb02,0x0002fff9,0x7c03ffe4,0xfff884ff,0x7ffffcc3,0x201fffff,
    0xfffcdffc,0x3f2ea600,0xfc882fff,0x1effffff,0x742fffb8,0x3f2006ff,
    0xfffb807f,0x7037ff42,0xffe85fff,0x00fffd86,0x703ffe40,0x64001fff,
    0x64005fff,0x64005fff,0xff885fff,0x1fffd83f,0x017ffc40,0x800fffe2,
    0xfffffff8,0x6c3fffff,0x36ffffff,0x7c403fff,0x406ffaff,0x0002fff9,
    0xfff9bff9,0x37ff2001,0xf900fffc,0x7ff4c1ff,0xfff983ff,0x7fe40002,
    0xfff9800f,0x1bff6002,0x3a1fffa8,0x3fea06ff,0x17ffcc3f,0x1fff2000,
    0x2213ffe0,0x7fcc3fff,0xfffeccce,0x26fffe06,0x3f202fff,0x404fffff,
    0xffffffc8,0x37ffc40f,0x4007fff5,0xf8807ffc,0x3ffea6ff,0x9bffe203,
    0xfd83fffa,0x7e4001ff,0x3ffee07f,0xffff3000,0x7ffcc001,0x3fe6000f,
    0xfff880ff,0x02fffa83,0x4403ffdc,0x22003fff,0xffffffff,0x7443ffff,
    0xf36fffff,0x7fd403ff,0x4c06ffac,0xf0002fff,0x5fff37ff,0x26fffe00,
    0xff902fff,0xffff905f,0x005fff30,0x00fffc80,0x002fff98,0xfa81bff6,
    0x13ffe1ff,0x4c4fff88,0x40002fff,0xff807ffc,0x3fff884f,0xffc80544,
    0x1fff981f,0x7e40bfff,0x4002efff,0x84ffffea,0xffd1fffb,0x7ffc800d,
    0x23fff700,0xfb806ffe,0x0dffd1ff,0x000bfff2,0x7dc0fff9,0xffd000ff,
    0xffe8005f,0x7ff4002f,0x7fff102f,0x803fff90,0xf8804ffe,0x260003ff,
    0x2a002fff,0xff36fffe,0x4fff403f,0x7cc06ffa,0xf98002ff,0x0bfff1ff,
    0x3e3fff30,0xfff505ff,0x3fffd01d,0x002fff98,0x007ffe40,0x0017ffcc,
    0x7d40dffb,0x7fff11ff,0x4c5fff80,0xaaaacfff,0xffc802aa,0x84fff807,
    0x4003fff8,0xfb82fff9,0x81fff67f,0x0000effb,0x442fffe4,0xfff9dfff,
    0x3ffe4003,0x9dfff880,0xf8803fff,0x3fff9dff,0x009fff50,0xaaafffc8,
    0x0fffdaaa,0x04fffc80,0x027ffe40,0x813fff20,0x7d43fff8,0x7fd406ff,
    0xfff8800f,0x3fea0003,0xa998001f,0x203fff33,0xdff56ff8,0xff981333,
    0xaaaaaacf,0x6cfff702,0xffb807ff,0x441fff67,0x5c2fffff,0x7fcc1fff,
    0xaaaaaacf,0x0fffc802,0xacfff980,0x6c2aaaaa,0x3fea06ff,0x05fff51f,
    0x7cc6fff8,0xffffffff,0x7ffc806f,0x884fff80,0x31003fff,0xfd05fff5,
    0x0fffdc9f,0x0005ffb8,0x706fff88,0x0dffdfff,0x00fff900,0x7ff7ffdc,
    0x3ffee006,0x3e606ffe,0x32000fff,0xffffffff,0x400fffff,0x000efff9,
    0x003bffe6,0x00efff98,0x3bbbffe2,0x401effff,0xf1005ffd,0x5c0007ff,
    0x00000fff,0x3203fff3,0xffff53ff,0xfff987ff,0x6fffffff,0x7dc9ffd0,
    0x7ff401ff,0x407ffee4,0x0dfffffa,0xf981fffb,0xffffffff,0xfffc806f,
    0xffff9800,0x46ffffff,0x3ea06ffd,0x5fff51ff,0x4c6ffe80,0xffffffff,
    0xffc806ff,0x84fff807,0xb303fff8,0xfffffffd,0x22fff885,0xf704fff9,
    0xf10000bf,0x3fe20bff,0x8002ffff,0x22007ffc,0x02ffffff,0x3ffffe20,
    0x7fff402f,0x3fff2004,0xffffffff,0x7ff400ff,0x7ff4001f,0x7ff4001f,
    0x7ffc401f,0x0befffff,0x00fffc40,0x003fff88,0x001fff20,0x01fff980,
    0x3fea1fff,0x7cc3ffff,0xffffffff,0x2fff886f,0x8813ffe6,0x3fe62fff,
    0x3ffea04f,0x5fffdfff,0xffffff98,0xc806ffff,0xf9800fff,0xffffffff,
    0x037fec6f,0x3ea3fff5,0x7ffc02ff,0x66fffcc5,0x803ccccc,0xff807ffc,
    0x3fff884f,0xffffffd8,0x7d42ffff,0x37ff40ff,0x0565c000,0x01ffff4c,
    0x00dffff7,0x001fff20,0x00dffff7,0x0dffff70,0x5bffff50,0xfc932a21,
    0xccccccff,0x3200fffe,0x64004fff,0x64004fff,0xf8804fff,0xefffffff,
    0x06ffc801,0x00fffe20,0x006ffd80,0x07ffe600,0xffa9bfea,0x7cc2cccf,
    0xcccccdff,0x0fffa83c,0xf5037ff4,0x6ffe81ff,0x7fffec40,0xf980ffff,
    0xcccccdff,0xfffc803c,0xdfff9800,0x43cccccc,0x3ea06ffd,0x7fff31ff,
    0x4c4fff80,0x40002fff,0xff807ffc,0x3fff884f,0x5677ffec,0x642fffba,
    0xfffc86ff,0xf9003300,0xfffddfff,0xff880dff,0xf90002ff,0xff8800ff,
    0xf88002ff,0xfb002fff,0xffffffff,0x03ffe4bf,0x2601fff7,0x4c006fff,
    0x4c006fff,0xf1006fff,0xfff717ff,0x7ffc401f,0x3ffe2003,0x3ffa0003,
    0x3e600005,0x3ffd81ff,0xf301bfea,0xfc8005ff,0x0fffc86f,0xf90dff90,
    0xfd3001ff,0x2601ffff,0x40002fff,0x9800fffc,0x36002fff,0x3fea06ff,
    0x09fff10f,0x261fffc4,0x40002fff,0xff807ffc,0x3fff984f,0x2217ffe2,
    0x7ffc2fff,0xffeeeeef,0x0effc83f,0x3fffff20,0x00efffff,0x0007ffc8,
    0x2001fff2,0x20007ffc,0x64007ffc,0xffffffff,0x81fff25f,0xfd00fffb,
    0xfe8003ff,0x7f4001ff,0xff1001ff,0x27ffdc7f,0x001fff70,0x001fffc4,
    0x0009fff0,0x20fffd40,0xdccdfff8,0x7fcc06ff,0x7ffc002f,0xffeeeeef,
    0xdffff03f,0x7fffdddd,0x7fffe400,0x05fff300,0x0fffc800,0x02fff980,
    0xb81fff20,0x3fffc7ff,0x985fff70,0x40002fff,0xff807ffc,0x7fff445f,
    0x20bffea3,0x3e62fffa,0xffffffff,0x7fc45fff,0x3faa03ff,0x3effffff,
    0x01fff200,0x007ffc80,0x0007ffc8,0x2001fff2,0xffffffda,0x81fff21c,
    0xfc80fffb,0x7e4004ff,0x7e4004ff,0x3e2004ff,0x7fff43ff,0x009ffd00,
    0x003fff88,0x005fff30,0x43ffec00,0xfffffffb,0x7fcc06ff,0x3fe6002f,
    0xffffffff,0xfff985ff,0xffffffff,0x7fe4005f,0x5fff302f,0xfffc8000,
    0x2fff9800,0x07ffee00,0x3f237fec,0xfffd02ff,0x005fff30,0x807ffc80,
    0xfb30fffe,0x7fcc7fff,0x7fffd45f,0x3fffff22,0x7fffffff,0x01ffffc4,
    0x04ffe998,0x007ffc80,0x001fff20,0x8001fff2,0x20007ffc,0xf900bffd,
    0x7ffdc0ff,0x037ffcc0,0x01bffe60,0x00dfff30,0x5c3fff88,0xff984fff,
    0x7fc4000f,0xffb0003f,0x8398001f,0xfe86fff8,0xffffffff,0x17ffcc06,
    0xfffff900,0xffffffff,0xffffff90,0x8fffffff,0x0fffe400,0x002fff98,
    0x007ffe40,0x0017ffcc,0xa81dfff3,0x7fc43fff,0xffb30aff,0x5fff307f,
    0x7ffc8000,0xeffffc80,0x23ffffff,0xecdffff8,0x3a2fffff,0x99999dff,
    0x642fffc9,0x74000eff,0xfc8001ff,0x3f20007f,0xffc8007f,0x3ff20007,
    0x3ffe0007,0x81fff200,0x7f40fffb,0x99999bff,0x7fff4199,0x9999999b,
    0x4dffff41,0x41999999,0xff83fff8,0x2ffec0ff,0x1fffc400,0xffebab80,
    0x7f44006f,0xffffdbce,0x4cfffcc2,0x406ffb99,0x2002fff9,0x9999dffe,
    0x42fffc99,0x9999dffe,0x22fffc99,0xcbaabdfa,0x3e607fff,0x640002ff,
    0xf9800fff,0x7ec002ff,0xffecdfff,0xffffb06f,0x0dffffff,0x3fffffe6,
    0x6c1fffff,0xffffffff,0x7fc41fff,0xfdcfffff,0x7fffe43f,0x2ffddfff,
    0x4c05fff1,0x01884fff,0x006ff880,0x400fff90,0xfffffffd,0x6401ffff,
    0x320007ff,0xf30007ff,0x7ffc80bf,0xb83ffee0,0xffffffff,0x3ee7ffff,
    0xffffffff,0x3fee7fff,0xffffffff,0x7ffc47ff,0x24fffc83,0x8002fff8,
    0xfffffff8,0xffd4ffff,0x8001ffff,0xfffffffb,0x4ffc84ff,0xffffffa8,
    0x7ffffcc6,0x11ffffff,0x7cc05fff,0x3ffe24ff,0x93ffe602,0xfffffffa,
    0x3e601fff,0xffffffff,0x7fe401ff,0xfff9800f,0xffffffff,0x7ffff441,
    0x201fffff,0xfffffffc,0xfff300df,0xffffffff,0xfffffd83,0x81ffffff,
    0x93ffffe9,0xfff707ff,0x4bff27ff,0x7c00fffb,0x200007ff,0x90003ff9,
    0x7ec00fff,0xffffffff,0x7fe401ff,0x3ff20007,0x5ff50007,0x207ffc80,
    0x3ee0fffb,0xffffffff,0x3fee7fff,0xffffffff,0x3ffee7ff,0xffffffff,
    0x1fffc47f,0xc87fffc4,0xf10006ff,0xffffffff,0x3fffa9ff,0xd50001df,
    0x05dfffff,0x3ea07ffe,0x4c6fffff,0xffffffff,0xfff71fff,0x27fff801,
    0x7c00fffb,0x3ffea7ff,0x01dfffff,0x7fffffcc,0x401fffff,0x9800fffc,
    0xffffffff,0xff901fff,0x0019ffff,0x7dffffd7,0xfffff980,0x41ffffff,
    0xfffffffd,0x2201ffff,0x35300019,0x00bffb00,0x0003fffb,0x0002aa20,
    0xb003ffe4,0xffffffff,0xfc803fff,0x3f20007f,0x5530007f,0x40fff900,
    0x3ee0fffb,0xffffffff,0x3fee7fff,0xffffffff,0x3ffee7ff,0xffffffff,
    0x1fffc47f,0x313fffd8,0x3e200013,0xffffffff,0x155534ff,0x2aa20000,
    0x1bfea019,0x7fffffd4,0x7ffffcc6,0xb1ffffff,0xffb00bff,0x017ff63f,
    0x5307fff6,0x20013555,0xfffffff9,0x6401ffff,0xf9800fff,0xffffffff,
    0x4cc401ff,0x02660000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80004cc0,0x30000008,0x6f541ddd,
    0x02600001,0x98000c00,0x000c4000,0x0fbb2000,0x00000220,0x2000cc00,
    0x073263cb,0x66665400,0x64c79700,0x4ccc401c,0x20009999,0x4ccc4001,
    0x80009999,0x442cccc8,0x0002cccc,0x66543997,0x4c799301,0x3b6203cc,
    0x200fb622,0x0a21dfeb,0x004cc980,0x2cccc880,0x01666644,0x02ccb800,
    0x223cccb8,0xcc88002a,0x8bb6201c,0x44003ed8,0xeffffffc,0x07ffb000,
    0xbff70000,0x4006fff8,0xffc88eed,0xaf74c2ef,0x40dfffd9,0xffc88eed,
    0x3f6602ef,0xeeeeefff,0x9e65c002,0x7d402ffe,0x7ec0005f,0xfffb700f,
    0xd8019fff,0x1ffd9aff,0xefffa800,0x26bff601,0x7f401ffd,0x02ffffff,
    0x277fff5c,0x7fffff40,0x744002ff,0xfd303fff,0xd10005ff,0x09ff73ff,
    0xff9cffc8,0x3fff200f,0x401fff90,0xbdfffffc,0xff9802fe,0x220005ff,
    0xd303fffe,0x80005fff,0x402ffffc,0xfeefffe8,0x5333005f,0x32037fff,
    0xfff90fff,0x2a4fea81,0xffffffff,0xfff9801f,0x0aa20007,0xffe85ffb,
    0x4fffc007,0x3ffffffe,0x3febffea,0x3e0fffff,0xffffe9ff,0xfffb83ff,
    0xffffffff,0x6fff4003,0xfe807ff8,0xf10002ff,0x3ffe60df,0x1fffffff,
    0x3ffffe60,0xffa8005f,0x7fcc00df,0xe805ffff,0x2fffffff,0xfffffb10,
    0x7f401dff,0x02ffffff,0x07fffa20,0x00bfff60,0x3ffffa20,0xffff9005,
    0xfffd803f,0x203fff90,0xfffdefe8,0x7cc01fff,0x004ffcef,0x01fffe88,
    0x002fffd8,0xffdbff70,0x3ffb2a03,0x805fffff,0xfffffff8,0xfffd81ff,
    0x443fff90,0xff9cffff,0xfdcbbdff,0xffffa801,0x7ff44000,0x2607ffc3,
    0x7fc007ff,0xffffffff,0x3fffea7f,0x4ffffeff,0x3ffffffe,0x7cc7ffff,
    0xffebadff,0x74002eef,0x04ffadff,0x003ffff8,0x303ffb98,0xfd999dff,
    0xffa80dff,0x54000dff,0x2a003fff,0x800dffff,0xaaaaaaaa,0x7dfffd00,
    0x540dfffb,0x0aaaaaaa,0x1bffd100,0x17ffd400,0x2fffc400,0x07fff600,
    0xe88ffa60,0xb324404f,0xf8805dff,0x09ff90ff,0x06fff440,0x05fff500,
    0xd14ffb80,0xffff03ff,0x015bffff,0xffffff10,0xfd303fff,0x2a27f447,
    0xffbeffff,0xfd80002f,0xff88003f,0x217fe23f,0x7c006ff8,0xc88cffff,
    0xfff51fff,0x3fff45ff,0x119fffff,0x7e43fff9,0x04ffe86f,0xf9bffd00,
    0xdff5003f,0xffd91001,0x2a203fff,0x03fff900,0x20001330,0x30000998,
    0x80000013,0x7d41fffa,0x000002ff,0x8000ccc4,0x10001998,0x26600033,
    0x00000000,0x26620010,0x1000ccc0,0x22000333,0x4cc00199,0x7c04cc41,
    0x5fffdcef,0x2eaaa200,0x000acfff,0xbffff100,0x0005fff9,0x44000260,
    0x26623fff,0x00fff640,0x313fffe0,0x3fea5fff,0x3ffdc1ff,0xf989ffff,
    0x0fffa2ff,0x4001bfee,0x0198dffe,0x7d400620,0xefffffff,0xfff98000,
    0x00003002,0x00cc0001,0xfd003300,0x17ffa0bf,0x000000c0,0x08000000,
    0x00006000,0x00300003,0x30000300,0x00030000,0xd0260020,0x88007fff,
    0x002fff98,0x8effb800,0x01cffffb,0x10000800,0x3e007fff,0xff8001ef,
    0x3fff885f,0xf507fff5,0x17ffe1ff,0xfe8fffe2,0x06ffb83f,0x05ffe840,
    0x3ea00600,0xffffefff,0x531000ef,0x75c05fff,0x2004efff,0x5efffedb,
    0x3ffff6e0,0x36e00cff,0x0cffffff,0xd817ffc4,0x3fae06ff,0x3b604eff,
    0x2eee883e,0xe883eed8,0x76dc02ee,0x5c05efff,0x804efffe,0x4efffec8,
    0xfffd9100,0x3b22009d,0x1004efff,0x09dfffd9,0x3fffb220,0x76dc004e,
    0x9105efff,0x1ffffffd,0xffffeb80,0xddb02fff,0x85ddd107,0x3fffe218,
    0x2001ceff,0x5efffedb,0xffdddd10,0x3ddddddf,0x80440098,0xff884fff,
    0x03fff53f,0x4427ffc0,0x3ff23fff,0x404ffe86,0xfffffeda,0x7f5c005f,
    0xffd04eff,0x3ffffa3f,0xffdb304f,0x105fffff,0xfffffffb,0x7ff4c01d,
    0x307fffff,0xffffffff,0xfff303ff,0x3fffffff,0x7fffffcc,0x87ffffff,
    0xffffffd8,0x4fff80ef,0xf83fff88,0xfff884ff,0xffffd303,0x3620ffff,
    0xefffffff,0xfffff500,0x5403dfff,0xffffffff,0x3ffea01e,0x01efffff,
    0x3fffffea,0x3ea01eff,0xefffffff,0x7fff4c01,0xfa87ffff,0xffffffff,
    0xffffd504,0x205fffff,0xff884fff,0xffe9803f,0x00cfffff,0x3fffffa6,
    0xfff107ff,0xffffffff,0x3bae03ff,0x89fffd72,0xff884fff,0x03fff53f,
    0x4427ffc0,0x3fe63fff,0xfffebcef,0xffffb101,0x00bfffff,0x3fffff62,
    0x3fea0eff,0xfbbff11f,0xffffb0df,0x05ffffff,0xfb7dfffd,0x3fe60dff,
    0x7fffffff,0x999dff30,0xf30dfffd,0xffd999df,0x7fffdcdf,0xffffffff,
    0xbefffe87,0xff86fffd,0x3fff884f,0xf884fff8,0xfff983ff,0x07ffffff,
    0xfb7dfffd,0xfff50dff,0xffffffff,0xfffff501,0x01ffffff,0xfffffff5,
    0xf501ffff,0xffffffff,0xfff501ff,0xffffffff,0x3fffe601,0x4c7fffff,
    0xfedeffff,0x7fcc0fff,0xfffedeff,0x09fff02f,0x4007fff1,0xffffffc9,
    0xfffff305,0x220fffff,0xffffffff,0x901fffff,0xffffb7ff,0x27ffcbff,
    0xfa9fffc4,0x3fe001ff,0x3fff884f,0x7ffffff4,0x3ffa03ff,0xfffeddff,
    0xdfffd005,0x64dfffb7,0x2bfee6ff,0x7fec7ffa,0xffbaacef,0x0fffd42f,
    0x3a0bffea,0x2a21dfff,0x32015105,0x05441fff,0xf51fffc8,0x555557ff,
    0xffa85555,0x17ffd41f,0x3e213ffe,0x4fff83ff,0xe83fff88,0x2a21dfff,
    0x41fffa85,0x7f42fffa,0xffb10bff,0x7fffd09f,0x13fff621,0x442ffffa,
    0xfe84fffd,0xffb10bff,0x7fffd09f,0x13fff621,0x10effff4,0x3fffd8b5,
    0x3617ffe4,0x7fcc3fff,0x09fff02f,0x0007fff1,0x03ffff66,0x8877fffa,
    0xfff1005a,0xfffc8007,0xffffffff,0xf109fff1,0x3ffea7ff,0x13ffe001,
    0xfc8fffe2,0x0ceffedf,0x217ffee0,0xfa805ffe,0x7ffd41ff,0x7f4bffb2,
    0x11fff88f,0xff10bfff,0x05ffe85f,0xffb8bffd,0x9800005f,0x4c002fff,
    0xfff32fff,0xbffd0003,0xff17ffa0,0x7fff109f,0xf109fff0,0xfffb87ff,
    0x2fff4005,0x3ea5ffe8,0xffff03ff,0xf03fffa8,0xfffa8fff,0xa8ffff03,
    0xfff03fff,0x03fffa8f,0xff70ffff,0x3fea00bf,0x5fff984f,0x2613ffea,
    0xfff02fff,0x07fff109,0x1fffd800,0x002fffdc,0x01fffc40,0x37ffff20,
    0x3e9fff71,0xfff884ff,0x003fff53,0x7c427ffc,0x01ffe3ff,0x41bffe20,
    0xfe805ffe,0x2bffd05f,0xbff14ffe,0x7d4bffe2,0xfffa82ff,0x40bffe22,
    0x7fe46ffd,0x2200000f,0x002fffa9,0x25fff531,0x4004fff8,0xfb02fff8,
    0x84fff8df,0xff83fff8,0x3fff884f,0x0007ffe4,0x3605fff1,0x3fff26ff,
    0x41fff700,0xf700fffc,0x7ffe41ff,0x41fff700,0xf700fffc,0x7ffe41ff,
    0x81fff700,0x7000fffc,0x3fe03fff,0x03ffee6f,0x7c0bffe6,0xfff884ff,
    0x04d3b663,0xc81fffd0,0x80000fff,0x4003fff8,0xff86fffc,0x109fff5f,
    0x3fea7fff,0x3ffe001f,0x13fff884,0x98005fff,0xffd03fff,0x2fff880b,
    0x3f6dffb0,0x225ff74f,0xfff31fff,0x2ffffa8b,0x3fffffe6,0x47ffffff,
    0x40007ffe,0xfffffed9,0xfdb302ff,0x45ffffff,0x0203fffd,0xfffffff3,
    0xf8ffffff,0xfff884ff,0x884fff83,0x7ff43fff,0x7ffcc007,0xffffffff,
    0x81bff67f,0x3f61fffa,0x3ffea06f,0xa81bff61,0x3ff61fff,0x87ffea06,
    0x3ea06ffd,0x3fff41ff,0x40fff900,0x3ff27ffe,0x05fff307,0x3e213ffe,
    0xffff13ff,0x9579dfb7,0xfd0dfffd,0x220000ff,0x64003fff,0xffe80fff,
    0xf109fff5,0x3ffea7ff,0x13ffe001,0xff8fffe2,0xcdeeefff,0x01fffa82,
    0xf980bffd,0xffffffff,0xbff97fff,0xfffa9ffa,0x9bffff10,0x45fffffd,
    0xfffffffb,0x7c7fffff,0x360006ff,0xffffffff,0xfffd82ff,0x2fffffff,
    0x33bfffe2,0x2e0feccc,0xffffffff,0x7fc7ffff,0x3fff884f,0xf884fff8,
    0x37ffc3ff,0x3fffee00,0xffffffff,0x981bffa7,0x3ffa2fff,0x8bffe606,
    0x3e606ffe,0x1bffa2ff,0x3a2fff98,0x3fe606ff,0x037ffc2f,0x6c0dffd0,
    0x1bffa7ff,0xf817ffcc,0xfff884ff,0xbdffff53,0xffffffff,0xdfff01df,
    0x3fe20000,0x7fe4003f,0x3ebffb06,0xfff884ff,0x003fff53,0x7c427ffc,
    0x3ffe63ff,0xffffffff,0x403fff21,0x7dc05ffe,0xffffffff,0xfff57fff,
    0x7fecbff5,0x7ffffe47,0x22ffddff,0xaaabfffa,0x7c2aaaaa,0xfb0007ff,
    0xf7559dff,0xfffd85ff,0xfffbaace,0x7ffffd42,0x2a0fffff,0xaaaabfff,
    0x7fc2aaaa,0x3fff884f,0xf884fff8,0x3fffc3ff,0x2fffea00,0xaaaaaaaa,
    0xa81bffa2,0x3ffa1fff,0x87ffea06,0x3ea06ffe,0x1bffa1ff,0x3a1fffa8,
    0x3fea06ff,0x03fffc1f,0x6c0fffd0,0x1fffa7ff,0xf817ffcc,0xfff884ff,
    0x9bffff33,0xffffffff,0x1fffe019,0x7ffc4000,0x37fe4003,0xfff5ffd8,
    0x27fff109,0x2001fffa,0xff884fff,0x3bffee3f,0xffffffee,0x201fff70,
    0x7d405ffe,0xaaaaabff,0xfff12aaa,0x3fee5fff,0xffffb83f,0x4c5ff93f,
    0xd8001fff,0x44000fff,0xff885fff,0x17ffe22f,0x220bffe2,0xfffffffd,
    0x07ffe60d,0x213ffe00,0xff83fff9,0x3fff984f,0x0007ffec,0x8003fff3,
    0x3f207ffd,0x1fff60ff,0x360fffc8,0x3ff207ff,0x81fff60f,0x3f60fffc,
    0x3fff207f,0x007ffec0,0x3e07ffd8,0x1fff66ff,0xf817ffcc,0xfff984ff,
    0x883bff23,0xd8019a99,0x80000fff,0x4003fff8,0xffb06ffc,0x3ffea00b,
    0x00000002,0x220bffea,0xff71fffd,0x17ffa03f,0x003fff30,0xdfffffb8,
    0x4c06fffe,0x83bfe61a,0x8004fff8,0x4005fffc,0xfa82fffa,0x3ffea2ff,
    0x02fffa82,0x4077fdc4,0x8004fff8,0x7f445fff,0x5fff83ff,0x21ffff44,
    0x2005fffc,0x4004fff8,0xfd02fffb,0x2fffb8ff,0xfb8fffd0,0xfffd02ff,
    0xd02fffb8,0xfffb8fff,0x90fffd02,0x3200bfff,0xffa82fff,0x07fff24f,
    0x205fffd1,0x7f445fff,0x804c43ff,0xfc802aa8,0x880005ff,0x64005fff,
    0xbffb06ff,0x03fff200,0x20015544,0x3f602aa8,0x3ffe606f,0x907fff52,
    0xf880bfff,0xfc8004ff,0xefffffff,0x1ffe8000,0x203fffd8,0xdffff980,
    0x7fcc1cc0,0x7fffd45f,0x517ffe62,0xd005ffff,0x7fec01ff,0x3fa0203f,
    0xfffb30ff,0x1fffd07f,0x0fffff66,0x81bffff3,0x3fffd839,0xffff3020,
    0x1fffec19,0x833fffe6,0x7cc3fffd,0x3f60cfff,0x7ffcc3ff,0x3fff60cf,
    0x67fffcc3,0x20ffff60,0x40dffff9,0x3bffe639,0x87fffa22,0xd11efff9,
    0x3a05ffff,0xffb30fff,0xfb8007ff,0xfff9805f,0x001cc0df,0x4001ffff,
    0xffb06ffc,0xfffa880b,0x017fee07,0x740bff70,0xff900fff,0x3fffe21f,
    0xbffff910,0x07fffb00,0xffffd804,0xf50004ef,0x3ffe20df,0xfeccccef,
    0xfffffc80,0xf887ffef,0xffecdfff,0x3fe22fff,0xfffecdff,0x7fd402ff,
    0x7fffc405,0x0fecccce,0x7f7fffe4,0xc83fffff,0xfffeffff,0xffc83fff,
    0x7ffeffff,0xceffff88,0x640feccc,0xffefffff,0xfff906ff,0xdffffdff,
    0x3fffff20,0x906ffffe,0xffdfffff,0x3ff20dff,0xffffefff,0x3ffff206,
    0x6c7ffeff,0xffefffff,0xfffe85ff,0xffffffef,0xdffff902,0x07ffffff,
    0x002ffd80,0xdffffff9,0x7ec00fff,0x1eccdfff,0x360dff90,0x3fe605ff,
    0x3f602fff,0x7fec002f,0x3bfff202,0xfffebaac,0x77fffe44,0x05ffffff,
    0xceffff88,0xf80feccc,0x00009aff,0x415fffd4,0xfffffffa,0xff900fff,
    0x0fffffff,0x3ffffff2,0x642ffddf,0xdfffffff,0x7dc02ffd,0x3ea02bff,
    0xffffffff,0x7fffc40f,0x3ffdcfff,0xffffff88,0x903ffdcf,0xffffffff,
    0x3fffea0f,0x40ffffff,0xffffffd8,0xfb100eff,0xdfffffff,0x3fff6201,
    0x00efffff,0xffffffb1,0x36201dff,0xffffffff,0x7ffe400e,0x447fffff,
    0xfffffffe,0xfff980ef,0xffdbffff,0xfffff102,0x07ffb9ff,0x000ffe80,
    0x3ffffff2,0x3e2007ff,0x1fffffff,0x360dff90,0x3fea05ff,0x7ff403ff,
    0x07ff4000,0x3fffff60,0x884fffff,0xeffffffe,0xf5005ffb,0xffffffff,
    0x04ff981f,0x3ffe2000,0xfffb107f,0x401bffff,0xefffffd9,0x3fffee04,
    0x705ff93f,0x327fffff,0x7fcc02ff,0x7ec407ff,0x0dffffff,0x3ffffe98,
    0x3a607ff9,0xff93ffff,0x7ffecc07,0x36204eff,0xdfffffff,0xfffff700,
    0x3fee007d,0x7003efff,0x07dfffff,0x3ffffee0,0xfff7003e,0x4c007dff,
    0x4efffffd,0xffffff90,0x7ff4c017,0x05ffb2ff,0x9fffff4c,0x22003ffc,
    0xd98006ff,0x04efffff,0x7fffecc0,0xdff901ff,0xa817ff60,0x7c400def,
    0x7fc4006f,0xfffb5006,0x44019dff,0xf54ffffd,0x7ec400bf,0x0dffffff,
    0x0000ffe4,0x017bb660,0x00026a62,0x98002662,0x3530001a,0xeed98000,
    0x26a62005,0x00331000,0x0000cc40,0x20004cc4,0x20009a98,0x10000998,
    0x22000133,0x31000099,0x26200013,0x4c400009,0x13310009,0x00198800,
    0x0000cc40,0x4c400000,0x4c400009,0x7fe4019a,0x40bffb06,0x00000000,
    0x00044000,0x00000998,0x1004d4c4,0x00000033,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3004cc98,0x1e64c799,0x6c45db10,0x9993003e,0xccc88000,0x6666442c,
    0x33310002,0x20013333,0x9930cccb,0x8bb62079,0x75c03ed8,0x400a21df,
    0x40004cc9,0x442cccc8,0x8002cccc,0x02defeda,0x70000880,0x33261999,
    0x2666203c,0xb8009999,0x2073263c,0x50002ccc,0x654039fb,0xeb80000c,
    0xed80004e,0x6664002e,0x33322001,0x0098802c,0x5c001300,0x5073263c,
    0xec805ddd,0x37fae05e,0x08800a21,0x20008008,0x005ffff9,0xfff39ff9,
    0x87ffe401,0x4c00fffc,0x0005ffff,0x207fffd1,0x002fffe9,0xffffffe8,
    0xfffa802f,0x01bfff33,0x7e43fff2,0xfff900ff,0x05fd7bff,0x05ffff98,
    0x7fffd100,0x0bfffa60,0x7ffff440,0x2a006fff,0x7d4005ff,0xbfff33ff,
    0x7ffff401,0xfd802fff,0x81ffd9af,0xb8004fff,0x984fffff,0xb00005ff,
    0x332607ff,0xf11ccccc,0x7c4001ff,0xfd1003ff,0xff3007ff,0x23bb603f,
    0x03efffc8,0xfd9affd8,0x37ffc41f,0x209fff10,0xbdfffffc,0x3f6e02fe,
    0x03fddfff,0x3003bfea,0x09ff9dff,0x3fffff20,0x87ffec01,0x2601fffc,
    0x04ffceff,0x0ffff440,0x017ffec0,0x3fffffa0,0x7fc402ff,0x09fff13f,
    0xf90fffd8,0xdfd103ff,0x3ffffffb,0x7e77fcc0,0x7f44004f,0xffd801ff,
    0xfffe802f,0x05ffffef,0x005fffd0,0x7c4fffe2,0xffe804ff,0x802fffff,
    0x5ffffff9,0x8009fff0,0xffeaeff8,0x8007ff40,0xfff80999,0xfffff500,
    0x17fea7ff,0x07fff100,0x03fffd10,0x417fff60,0xfffe9fff,0x7cc04fff,
    0xb05fffff,0x3ee03fff,0xefe881ff,0x1ffffffd,0xfffffe98,0x3e03ffff,
    0x3e204fff,0x09ff90ff,0x007fff60,0xfe88ffa6,0x43ffe204,0xd1004ffc,
    0x54001bff,0x2a002fff,0x0aaaaaaa,0xe89fff40,0xfe9803ff,0x8813fa23,
    0x0bbff664,0xf90fff88,0x3fa2009f,0x3ea000df,0x3fee02ff,0xfffb10bf,
    0x0ffffe00,0xe89fff40,0x555003ff,0x00155555,0x037fffea,0x20027ffc,
    0x5ff51ffa,0x88017fdc,0x7fcc3fff,0x3fffea05,0x5ff93fff,0x3fff8800,
    0x06fff440,0x0bfffb00,0x3ffffffe,0x401fffff,0x00dffffa,0x3a09fff5,
    0x992206ff,0xf982effd,0xffedffff,0x3ffe03ff,0x0266204f,0x4cc00333,
    0x10000000,0x01998133,0x00033310,0x00006662,0x104cc400,0x00000133,
    0x31001000,0x00199813,0x20003331,0x3f601998,0x0fffb87f,0x00effa80,
    0x26209988,0x00000009,0xff002660,0xffb8009f,0x3e25ff30,0x3fe2005f,
    0x017fdc3f,0x3a7fff10,0x7c4000ff,0x4cc403ff,0xfffa8001,0x9fffff01,
    0x017ffee1,0x7f4004cc,0x3fff986f,0x7ec01000,0x7ffc43ff,0x07ffee03,
    0x33000000,0x00060001,0x01800030,0x00001800,0x00000000,0x0cc00033,
    0x00033000,0x260000cc,0x42fff401,0x22007ffc,0x000c0001,0x30000300,
    0x889fff00,0x547fea00,0x01ffb1ff,0x21fffc40,0x7c400198,0x001333ff,
    0x1fffc444,0x80010088,0x3ffe00a8,0x0fffe84f,0x7fdc0000,0x07ffe41f,
    0x3fe60000,0x3fff884f,0xdb0054c0,0x5ddd107d,0x3ffff220,0x75c00eff,
    0x7004efff,0x009dfffd,0x13bfffae,0xefffeb80,0x20fbb604,0x76c2eee8,
    0x2eee883e,0x7fffedc0,0x36e00cff,0x0cffffff,0x3ffff6e0,0x36e00cff,
    0x0cffffff,0x7fffedc0,0x7ffc0cff,0x027ffd44,0x3b220000,0x4004efff,
    0x4efffec8,0xfffd9100,0x4fffe09d,0x983effec,0x8ffeaeff,0x44002ffb,
    0x00003fff,0x8007fff1,0xffffffeb,0x3fff6a3f,0x1bfff74f,0x3ffe0000,
    0x83fff705,0xee883eed,0x27ffc42e,0xed817ffe,0x2eee883e,0xf103fff7,
    0xf00007ff,0xfff109ff,0xfffff507,0x2203ffff,0xfffffffd,0xfffb100e,
    0x201dffff,0xffffffd8,0x3f6200ef,0x0effffff,0xf884fff8,0x27ffc3ff,
    0x301fffc4,0xffffffff,0xfff303ff,0x3fffffff,0xffffff30,0xf303ffff,
    0xffffffff,0x3ffe603f,0x1fffffff,0xffa93ffe,0x3bbae05f,0xeeeeeeee,
    0xfffffa80,0xa801efff,0xffffffff,0x3ffea01e,0x41efffff,0xfffdcfff,
    0xffc84fff,0x5ff8bfff,0x3fff8800,0xfff10000,0x3ffa6007,0x3fffffff,
    0x3ffffffa,0x0effffff,0x3bbbbba6,0x09fff02e,0xff0bffea,0x7fff109f,
    0x7ccfffb0,0x3ffe02ff,0xb3fff884,0x3fe20fff,0x1bfe203f,0xf884fff8,
    0x7ffcc3ff,0x1fdcbbdf,0xb7dfffd0,0x3fa0dfff,0xfffdbeff,0x7dfffd06,
    0x740dfffb,0xffdbefff,0x84fff86f,0x7fc3fff8,0x3fff884f,0x333bfe60,
    0x986fffec,0xfeccceff,0xeff986ff,0x6fffeccc,0xccceff98,0xf306fffe,
    0xffd999df,0x8a7ffcdf,0x7e405fff,0xffffffff,0x7ffd40ff,0xffffffff,
    0x3fffea00,0x0fffffff,0xffffffa8,0x3e0fffff,0xffffffff,0xec981fff,
    0x001ffb2d,0x007fff10,0x0fffe200,0x3ffffe20,0x23ffffed,0xfffcacee,
    0x23fffbff,0xfffffffa,0x209fff03,0x7fc2fffa,0x3fff884f,0xfb2fffa8,
    0x4fff80df,0xfd3fff88,0x3ffe20df,0x81ffe603,0xff884fff,0x17ffdc3f,
    0x07ffea00,0xfa85fff5,0x7ffd41ff,0x20fffd42,0xfa82fffa,0x7ffd41ff,
    0x4427ffc2,0x7ffc3fff,0x03fff884,0x7fe402a2,0xc805441f,0x05441fff,
    0x441fffc8,0x3fff900a,0x3f201510,0x29fff1ff,0x6400fffb,0xffffffff,
    0x7ff40fff,0xfffb10bf,0x5ffff409,0x09fffb10,0x2217fffd,0x3fe4fffd,
    0xff70cfff,0x3fea00bf,0xfff10003,0x3e200007,0xffd803ff,0x1fffc43f,
    0x23fff705,0x3fea6ff9,0xf03fffff,0x3fee09ff,0x427ffc1f,0xff03fff8,
    0x07fff1bf,0xf884fff8,0x0fffd3ff,0xa80fffe2,0x3ffe07ff,0x43fff884,
    0x4002fffc,0xffd05ffe,0xd05ffe8b,0x5ffe8bff,0xfd0bffd0,0x17ffa0bf,
    0xff109fff,0x84fff87f,0x0003fff8,0x000bffe6,0x8005fff3,0x4002fff9,
    0x8002fff9,0xfff2fff9,0x007ffee9,0xd3333331,0xffa87fff,0x0ffff03f,
    0x7c0fffea,0x7ffd47ff,0x7cffff03,0xffe84fff,0x37fc400f,0x7fff1000,
    0x3fe20000,0x7ffd403f,0x03fff884,0x3fe3ffcc,0x0fffe207,0xfc827ffc,
    0x84fff87f,0xf903fff8,0x01fff7ff,0xf884fff8,0x0fffb3ff,0x2e0fffe2,
    0x3e07fffe,0xfff884ff,0x67fffdc3,0x2fff8801,0x7c4dffb0,0xdffb02ff,
    0xd817ffc4,0x7ffc46ff,0xf8dffb02,0xfff884ff,0x4427ffc3,0x88003fff,
    0x002fffa9,0x05fff531,0x3ffea620,0xff531002,0x54c4005f,0x9fff2fff,
    0x003bffea,0x217ffee0,0xf700fffc,0xfff901ff,0x83ffee01,0xf700fffc,
    0x17ffe1ff,0x200fffdc,0x20000ffd,0x0003fff8,0x807fff10,0xf881fffb,
    0x7fc403ff,0xf103ff45,0x3ffe07ff,0x86fff884,0xff884fff,0xffff103f,
    0xfff00bff,0x27fff109,0x7441fffc,0x3fa23fff,0xf00fffff,0xfff109ff,
    0xfffff887,0xff301cef,0xffffffff,0x7ffccfff,0xffffffff,0x3fffe67f,
    0xffffffff,0x7ffffcc7,0x7fffffff,0x7c427ffc,0x27ffc3ff,0x401fffc4,
    0xfffffed9,0xfdb302ff,0x05ffffff,0x3ffffb66,0xdb302fff,0x5fffffff,
    0x7fff6cc0,0xfff2ffff,0x0fffff49,0x1dfff500,0x540dffb0,0xffd81fff,
    0x87ffea06,0x3ea06ffd,0x09fff1ff,0xa80bffea,0x017953ff,0x01fffc40,
    0x3fff8800,0x883ffe40,0x6e443fff,0xfffffffe,0xff100fff,0x13ffe07f,
    0xf05fffb1,0xfff109ff,0x7fffec07,0x4fff802f,0xf33fff88,0x7fec4bff,
    0x3fff63ff,0xff00cccf,0x7fff109f,0xfffffd30,0xffb819ff,0xffffffff,
    0x3ffee7ff,0xffffffff,0x3fffee7f,0xffffffff,0x7ffffdc7,0x7fffffff,
    0x7c427ffc,0x27ffc3ff,0x201fffc4,0xfffffffd,0xffd82fff,0xffffffff,
    0xfffffd82,0xd82fffff,0xffffffff,0xfffb02ff,0x5fffffff,0xff993ffe,
    0xf8802fff,0xffd01fff,0x17ffcc0d,0xf3037ff4,0x37ff45ff,0x3e5fff30,
    0xfff504ff,0x6dbfe205,0x800dffff,0x0003fff8,0x807fff10,0xff106ffe,
    0x7fffdc7f,0xffffffff,0xfff100ff,0x37fffe07,0x05fffedc,0xff109fff,
    0x7ffd407f,0x9fff006f,0x747fff10,0xfffeffff,0xfff33fff,0x27ffc00d,
    0x301fffc4,0xbffffff9,0xaabfffa8,0x22aaaaaa,0xaaabfffa,0x2a2aaaaa,
    0xaaaabfff,0x7d42aaaa,0xaaaaabff,0x7ffc2aaa,0x43fff884,0xff884fff,
    0x3fff603f,0xfffbaace,0x677ffec2,0x42fffbaa,0xaacefffd,0x7ec2fffb,
    0xfbaaceff,0xfffd82ff,0xfffbaace,0xe889fff2,0x7400ffff,0x3fa03fff,
    0x3ffea06f,0x206ffe81,0x3fa1fffa,0x3ffea06f,0x2e09fff1,0xffb01fff,
    0xffddff53,0x7fff1009,0x3fe20000,0x3fff403f,0xf13fff88,0xbff759ff,
    0x40555555,0xff03fff8,0xffffffff,0x13ffe01b,0xf00fffe2,0x3e007fff,
    0xfff884ff,0x3ffffe63,0x73fffcff,0x7c005fff,0xfff984ff,0xfffb3003,
    0x0fffcc1f,0x07ffe600,0x03fff300,0x03fff300,0x309fff00,0xfff87fff,
    0x03fff984,0xf10bfff1,0x7ffc45ff,0x22fff885,0xf885fff8,0x3ffe22ff,
    0x42fff885,0xf885fff8,0x09fff2ff,0xc80ffff6,0x7ec04fff,0x3fff207f,
    0x207ffd80,0x3f60fffc,0x3fff207f,0x3209fff0,0x7ff507ff,0x06fe9bf6,
    0x003fff88,0x07fff100,0xf107ffd8,0x93fee7ff,0x88005ff8,0xfff03fff,
    0x05dfffff,0xf984fff8,0x7ffc03ff,0x13ffe007,0xd30fffe6,0x3fe7ffff,
    0x05fff93f,0x222fffc0,0x4003fffe,0x3e21fffd,0x7c4004ff,0x7c4004ff,
    0xf88004ff,0xff8004ff,0x7fff445f,0x222fffc3,0xf503fffe,0xfff505ff,
    0x417ffd45,0x3ea2fffa,0xfffa82ff,0x20bffea2,0x7d42fffa,0xfffa82ff,
    0x2609fff2,0xff504fff,0xfff700df,0x41fffa05,0xfd02fffb,0x2fffb8ff,
    0x7fcfffd0,0x6fff884f,0x3fa6ff88,0x2201ff25,0x00003fff,0xc807fff1,
    0x7f441fff,0x45ff93ff,0x88006ff9,0xfff03fff,0x7c001319,0x7ff445ff,
    0x3fff203f,0x17ffe003,0x207fffd1,0x9fffc198,0x2005fffa,0xfb30fffe,
    0x00987fff,0xfb03fffa,0x6c0407ff,0x20203fff,0x0203fffd,0x101fffec,
    0x261fffd0,0x743ffffd,0xffb30fff,0x3fe607ff,0x7fffd45f,0x517ffe62,
    0x7cc5ffff,0x7ffd45ff,0x17ffe62f,0x985ffff5,0x7fd45fff,0x09fff2ff,
    0x260fffe2,0x9800ffff,0x360cffff,0xff303fff,0x7fec19ff,0x7fffcc3f,
    0x8ffff60c,0x7ec44fff,0x1ffc82ff,0x06fd97fa,0x003fff88,0x07fff100,
    0x225fff98,0xf93ffffd,0x17ffec7f,0x0fffe200,0x80027ffc,0xfb30fffe,
    0x3f207fff,0x7f4005ff,0xfffb30ff,0x7fc4007f,0x9ffff13f,0xffff9001,
    0x7ffffffd,0xcabcefd8,0xf886fffe,0xccccefff,0x7ffc40fe,0xfeccccef,
    0x77fffc40,0x80fecccc,0xcceffff8,0x7e40fecc,0xffffefff,0x7ffe43ff,
    0xffffffef,0xbffff103,0x5fffffd9,0x66ffffc4,0x22fffffe,0xecdffff8,
    0x222fffff,0xfecdffff,0x7c42ffff,0xffecdfff,0x9fff2fff,0x3fff336e,
    0x7fff441f,0x8199999b,0xfefffffc,0x7e406fff,0xfffeffff,0xffff906f,
    0x8dffffdf,0xedcdffff,0xffa85fff,0x7ccffec4,0xfff8805f,0xff100003,
    0xfffd007f,0xffffffdf,0x36fbfee7,0xaabfffff,0x3ffe204d,0x009fff03,
    0x3bffff20,0x13ffffff,0x1fffffdf,0xffffc800,0x3ffffffe,0x8fffe200,
    0xcdfffffb,0xffff881c,0x3ffdcfff,0x7fffffec,0xf500efff,0xffffffff,
    0xffff501f,0x01ffffff,0xfffffff5,0x3ea01fff,0xffffffff,0x7fffc40f,
    0x3ffdcfff,0x7fffffc4,0x203ffdcf,0xfffffffc,0x7e42ffdd,0xddffffff,
    0x7ffe42ff,0xffddffff,0x7ffffe42,0x82ffddff,0xfffffffc,0xfff2ffdd,
    0x3fffff29,0xffffc84f,0x1fffffff,0x7ffffec4,0x4400efff,0xfffffffd,
    0xffb100ef,0x1dffffff,0xfffffff8,0x7440dfff,0xffff986f,0xff8801ff,
    0xffffffff,0xddddb04f,0x9ddddfff,0xffffff30,0x227ff99f,0xeaffffff,
    0x24ffffff,0xfffeeeed,0xfff4eeee,0x3fe20009,0xfdcfffff,0xfffff13f,
    0xff10003d,0xfb9fffff,0x7fc4007f,0x7fffec3f,0xfd302fff,0x3ff27fff,
    0x7ffffe43,0x4400cfff,0xfffffffd,0xfffb100d,0x201bffff,0xffffffd8,
    0x3f6200df,0x0dffffff,0x3ffffe98,0xfd307ff9,0x3ff27fff,0x7fffdc03,
    0x705ff93f,0x327fffff,0xfffb82ff,0x05ff93ff,0x27fffff7,0xff702ffc,
    0x3ff27fff,0x3f29fff2,0xfb02efff,0xffffffff,0x3fee03ff,0x4003efff,
    0x3efffffb,0xfffff700,0x3ff6e07d,0x902effff,0x3f6a03ff,0xff1002ff,
    0xffffffff,0x3fffa09f,0xffffffff,0xffffd305,0xd98fff27,0xffb12fff,
    0x7ff45fff,0xffffffff,0x009fff5f,0x7ffff4c0,0x3e27ff93,0x40003eff,
    0x93ffffe9,0x7c4007ff,0xffea83ff,0x4c402fff,0xa9988001,0x53100019,
    0xa9880013,0x54c40009,0xa9880009,0x03310009,0x00066200,0x40006a60,
    0x530001a9,0x06a60003,0x001a9800,0x36006620,0xffffffff,0x4c401fff,
    0x4c400009,0x33100009,0x04cc4001,0x00220000,0xffffff10,0x209fffff,
    0xfffffffe,0x4405ffff,0x80c40019,0xffe819a8,0xffffffff,0x007ddb5f,
    0x20033100,0x88000008,0xd1000019,0x654c05dd,0x000002ed,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33260000,0x5654c004,0x00000001,0x99991000,
    0x100ccc45,0x4cc40333,0x40099999,0x0275c4ec,0x664c0020,0x800f3263,
    0x32604cc9,0x01cccccc,0x99999991,0xdffd8005,0x0332a00c,0xca80ddb3,
    0x0376cc0c,0x8800332a,0x2e02cccc,0x00a21dfe,0x02cc8995,0x0a177ed4,
    0x3263cc98,0x0133003c,0x74c1f774,0x353001ee,0x35530001,0x00333333,
    0x02cccc88,0x83cccb80,0x009aaaa8,0x3263cc98,0x0799703c,0x4ccccc40,
    0x22099999,0x99999999,0x3ffe6019,0xffd8805f,0x2000dfff,0xdeffedc9,
    0x004fea81,0x21ffff44,0x3ee07ffc,0xfff700ff,0x5409ffff,0xfff32fff,
    0xffedb807,0x3ff205ef,0x000fff9c,0x20bffff3,0xfffffffa,0xfffff303,
    0x7c4009ff,0xf305ffff,0x7ffec4bf,0x897fe607,0x2607fffd,0x3a2005ff,
    0x3f203fff,0xfebdffff,0x273fee02,0x3ea03ffc,0xfdbeffff,0x273ff204,
    0xf9100fff,0x81dfffff,0xff984fff,0x3ffa601f,0xc800dfff,0xffffffff,
    0xd1000fff,0x90007fff,0x7d41bfff,0xbfffffff,0x4e7fe400,0xffb00fff,
    0x7ffd400b,0x4fffffff,0x3fffffea,0xf981ffff,0x204ffcef,0xfffffff8,
    0xfff7006f,0x885fffff,0x1004ffff,0xf903fffd,0x7ffdc0ff,0xfffff700,
    0x7fdc09ff,0x07fff52f,0x3fffffa6,0x7fe407ff,0xf3001fff,0x509ff9df,
    0x7fffffff,0x3ffffe60,0xb0c004ff,0x1ffd01ff,0x03ffffc4,0x7fc41ffd,
    0x3ffa07ff,0xfffd1000,0x6f7f4403,0x01ffffff,0x3fffffe2,0x33bf600f,
    0x04ffffff,0x0fffffe4,0xffffffa8,0x7ffc1fff,0x01fff984,0xfffffff5,
    0x3fa203ff,0xffffffff,0xe8800fff,0xc8001fff,0xffb83fff,0x5fffffff,
    0xfffffc80,0xffffff81,0x3ea04fff,0xffffffff,0x3fffea4f,0x41ffffff,
    0xff90fff8,0x2bfff209,0x403fffc9,0xeefffffc,0x7ffd42ff,0xffe8806f,
    0x0fff900d,0x9807ffdc,0x1aaaaaaa,0x3f62fec0,0xffff980e,0x807fffff,
    0x1001fffd,0x3ff21fff,0x1fffc404,0x009fff00,0x84ffcc88,0xd8a82ffb,
    0x05ff707f,0x2e0ffb15,0xfd1002ff,0x491001bf,0x802effd9,0x01efffe9,
    0xfff910c8,0x3fff6009,0xbffff301,0xf83fb977,0xfff984ff,0xcffffa81,
    0xd07fffeb,0xffd9ffff,0x801ddddf,0x000dffe8,0x701effc8,0xffd99bdf,
    0xffb007ff,0x3fffe03f,0x204fffff,0xfffffffa,0x3ba64fff,0xfffeeeee,
    0x2604cc41,0x87fff019,0x3e605ffd,0x40981eff,0x805ffff8,0x7e401998,
    0x3ffee07f,0x00000000,0x0effff40,0x26600b51,0x02662000,0xff880333,
    0x3ffe003f,0x7ffcc004,0x02ffc43f,0x3fe21ff6,0x443fec05,0x262005ff,
    0x01000019,0x00013100,0x13300030,0x017ffdc0,0xf309fff0,0xfffd03ff,
    0x43fffc81,0x3ee4fffa,0x9988006f,0x26660001,0x7d402200,0x133005ff,
    0x77ffe640,0x3ea02ccc,0x999999ff,0xfff50009,0x40133003,0x7e41fff8,
    0x3fff605f,0x77fdc000,0x80266000,0x3ee07ffc,0x000000ff,0x3ffee000,
    0x00c00005,0xff100000,0xff00cc7f,0xaa88009f,0x3ff63ffd,0x6c3fec00,
    0x3fec00ff,0x00007fec,0x00980003,0x00000000,0xfff90000,0x27ffc005,
    0x2a0fffcc,0xffd02fff,0x5c6ffe8f,0x4c0006ff,0x00000000,0x20037ffc,
    0x2ffec009,0x00fff500,0x07ffea00,0x3fffff22,0x3fff80ef,0xf80fffa2,
    0x310005ff,0xffff9100,0xffc81dff,0x03ffee07,0xddddddd3,0xeeee9805,
    0x3f202eee,0x74c000ff,0xbfffb35e,0x3bbba601,0xf1002eee,0x05fb37ff,
    0x10027ffc,0xfb9ffd41,0x47fd802f,0xfd802ffb,0x2017fdc7,0xffb35ee9,
    0x3bb601bf,0x2efffc88,0xdddddd30,0xeee9805d,0x5c02eeee,0xeeeeeeee,
    0xfff70eee,0xfff0039f,0x83fff309,0x3f607ffd,0x9fff11ff,0xd806ffb8,
    0xfffc88ee,0x3bba602e,0x0002eeee,0x3b613ffa,0xefffc88e,0x4cbffb02,
    0x7ffa81ab,0xfff50000,0xfffffa83,0xfd81ffff,0xfffd88ff,0x07fff100,
    0x7fd40000,0x1fffffff,0xf703ffe4,0xfffa81ff,0x5403ffff,0x3fffffff,
    0x001fffa0,0x3febffea,0xa80fffff,0x3fffffff,0xfffff100,0x7ffc05ff,
    0x3ffea004,0x0bff16ff,0xff89ff60,0x44ffb005,0xffa805ff,0xffffffaf,
    0xe9fff80f,0x83ffffff,0xfffffffa,0x7fffd403,0x7e403fff,0xffffffff,
    0xffff10ff,0x3e039dff,0xfff984ff,0x4c27ff41,0xf32ffffe,0x6ffb83ff,
    0xfe9fff80,0x503fffff,0x7fffffff,0x3ffe6000,0xfe9fff81,0xd83fffff,
    0xfffe8cff,0x03ffd45f,0x1fffa800,0x2f7fffe6,0xf981fdcb,0x1ffffdff,
    0x00fffe20,0x7ffcc000,0x1fdcbbdf,0xf703ffe4,0xfffa81ff,0x5403ffff,
    0x3fffffff,0x001bffe0,0x3fffffea,0xa84ffffe,0x3fffffff,0xfffff100,
    0x7ffc03df,0x3ffe6004,0x01ffb1ce,0xffd932e0,0x6c997000,0xffa800ff,
    0xfffeffff,0xfffff84f,0x87ffffff,0xfffffffa,0x7fffd403,0x7e403fff,
    0xffffffff,0x3ffa60ff,0x40cfffff,0xff984fff,0x227ffc1f,0x3ffffffb,
    0xfb81fff5,0xf80999ef,0xffffffff,0xfff507ff,0x1007ffff,0x9fff9533,
    0x3fffffe0,0xd87fffff,0xfffffdff,0x3ffea4ff,0x000bceee,0xf70fffd4,
    0xf90005ff,0x803dffff,0x0003fff8,0x05fff700,0x703ffe40,0xf8801fff,
    0x7c4003ff,0x3ffe03ff,0xfffa8007,0x1fffa2ff,0x00fffe20,0x3bffff66,
    0x84fff802,0xf5003eeb,0x7d40007f,0x3ea0003f,0xfff5003f,0x3fff45ff,
    0x467ffffc,0x401fffc8,0x4003fff8,0x4403fff8,0xfe999999,0xff9303ff,
    0xff8bffff,0x1fffb84f,0x6c4fffe2,0x4fffefff,0xfb81fff7,0xf85fffff,
    0xc88cffff,0xf8801fff,0xffc803ff,0x3e02ffff,0xc88cffff,0x7fec1fff,
    0xfffdcfff,0x3ffffea7,0x2004ffff,0x3f21fffa,0xfb8002ff,0xf1004fff,
    0x2a0007ff,0x5fff900a,0x03ffe400,0x8801fff7,0x44003fff,0x3fa03fff,
    0x7d4000ff,0x7fdc1fff,0x3fff8807,0x3ffff660,0x3ffe004f,0x1ffffd44,
    0x001bfe20,0x0006ff88,0xa801bfe2,0x7dc1ffff,0x4ffff87f,0x2017ffcc,
    0x4003fff8,0x0003fff8,0x200bfff7,0x20ffffd9,0x7fcc5fff,0x3ffe21ff,
    0xd4ffff9a,0x1fff2bff,0x3fffffee,0x44ffff85,0x8802fff9,0xfc803fff,
    0x0cffffff,0x4c4ffff8,0x7fec2fff,0x3ffee1ff,0xffffff51,0x2009ffff,
    0x3ee1fffa,0xb001cfff,0x41ffffff,0x3fe21fff,0xffd8003f,0xffffb81f,
    0x7ffc801c,0x003ffee0,0x8007fff1,0x3203fff8,0x54005fff,0xffa83fff,
    0x7ffc400f,0x3ffffe03,0x3fe003ff,0x7fffec4f,0x007fec06,0x001ffb00,
    0x0007fec0,0xf507fff5,0x5fff81ff,0x403fff88,0x4003fff8,0x8003fff8,
    0x000efffa,0xff0fffec,0x3ffa61ff,0x3ffe23ff,0x3e2ffffe,0x1fff74ff,
    0xcccfffb8,0x885fff83,0xf8803fff,0xba9803ff,0x0effffdc,0x7c42fffc,
    0x7ffec3ff,0x017ffd41,0x3ffffb31,0x43fff500,0xeffffff8,0x9fff701c,
    0xff11dfff,0x1fffc41f,0x3fffe200,0xfffff885,0xff901cef,0x07ffdc0f,
    0x00fffe20,0x407fff10,0x40dffff9,0x1fffa839,0xfff88000,0x3f3ffe03,
    0x3fe003ff,0x7fffe44f,0x44ffea05,0xfa801aaa,0x0159753f,0x2a27ff50,
    0xfff501aa,0x9fff0003,0x807fff10,0x4003fff8,0x4003fff8,0x981ffff8,
    0x83fffa00,0xffefffff,0x3e5fffff,0x40dfffff,0xfff53fff,0x806ffb81,
    0xff884fff,0xfff8803f,0xffb10003,0x84fff89f,0x7ec3fff8,0x2fff985f,
    0x05fffd00,0x983fff50,0xfffffffe,0x53ffe20c,0xff9dfffb,0x01fffc47,
    0x3ffffe20,0xffffe980,0x7e40cfff,0x3ffee07f,0x1fffc400,0x0fffe200,
    0xffffffb0,0xff50fffd,0xf100003f,0x89fc07ff,0x3e003fff,0x7ffcc4ff,
    0x4dff102f,0x4404fffc,0xffffb6ff,0x37fc401f,0x2a09fff9,0xf8001fff,
    0xfff884ff,0x1fffc403,0x0fffe200,0x07fffd00,0x32af3bf6,0x7fc6fffe,
    0xdaffffff,0x3ffa6fff,0xfff983ff,0xb83fff52,0xfff806ff,0x03fff884,
    0x003fff88,0x3e37ffc0,0xfff884ff,0x4c2ffec3,0xf5002fff,0xff5009ff,
    0x3ff2603f,0x3ea5ffff,0x3fff21ff,0x7fc46ffe,0xffc8003f,0x3f2600ff,
    0x645fffff,0x3fee07ff,0x7ffc400f,0x7ffc4003,0xffffd803,0xfa87ffff,
    0x880001ff,0xf1003fff,0x7fc007ff,0x01cc984f,0x7fcc7ff6,0x7fec04ff,
    0x7ff97d51,0xf98ffec0,0xff504fff,0xfff0003f,0x07fff109,0x003fff88,
    0x001fffc4,0x6c09fff9,0xffffffff,0x7fffc0ff,0xfff32fff,0x80fffecd,
    0xff30fffb,0x06ffb87f,0xf884fff8,0xff8803ff,0x7f40003f,0x427ffc6f,
    0x7ec3fff8,0x2fff985f,0x09fff300,0x003fff70,0x21ffffb3,0xffd87ffb,
    0x7fc43fff,0xffd0003f,0x7fecc00f,0x1fff20ff,0x8807ffc8,0x44003fff,
    0xb5003fff,0x09dfffff,0x0003fff5,0x007fff10,0x800fffe2,0x50004fff,
    0x75ff47ff,0x0ffea04f,0xfa81ffcc,0x3faffa3f,0x03fff504,0x109fff00,
    0xf8807fff,0x7c4003ff,0xff5003ff,0xfffc80df,0x80cfffff,0x8819afff,
    0x3ffea099,0xe8bffd03,0x37fdc6ff,0x4427ffc0,0xf8803fff,0x220003ff,
    0x7ffc4fff,0x43fff884,0xff985ffd,0xfffb002f,0x0fffb005,0x51fffd80,
    0xfe881fff,0x7fc40fff,0xff90003f,0xfffb000d,0x433ffe43,0x8806ffe8,
    0x44003fff,0x7c003fff,0x3ea00aff,0x880001ff,0xf1003fff,0x7fc007ff,
    0xff88004f,0x27f5bee6,0xd106ff88,0xdff103ff,0x04feb7dc,0x0003fff5,
    0xff109fff,0xfff8807f,0x7ffc4003,0xffff9803,0xff731000,0x03fff80f,
    0x83fffd00,0x7dc1fffd,0xdff70dff,0x109fff00,0xf1007fff,0x260007ff,
    0x7fc3fffe,0x3fff884f,0x7cc2ffec,0x2e6012ff,0x1970ffff,0x4c6fffb8,
    0x43fffa00,0xfb85fff9,0x7fc40fff,0xffd0003f,0x7f401307,0x9fff20ff,
    0x4ffffeff,0x03fff880,0x01fffc40,0x500dff10,0x00003fff,0x2007fff1,
    0x2003fff8,0xc8004fff,0x59ff11ff,0xff905bfd,0x05ffd103,0x7fc47ff2,
    0xa82dfeac,0xf8001fff,0xfff884ff,0x1fffc403,0x0fffe200,0x37fffd10,
    0x5c033333,0x7ffc04ff,0xfff70003,0xbffff9df,0xdfffff10,0xddddffff,
    0x884fff81,0xf8803fff,0x3bbe03ff,0xffffeeee,0x884fff85,0x7fec3fff,
    0xb2fff985,0xffffdddf,0x77fdc5ff,0x42ffffee,0xecabcefd,0x7ff46fff,
    0xfffeccef,0x7ffc46ff,0xfd731003,0x33bf60bf,0x6fffecab,0xfff3ffe4,
    0x3b60dfff,0xeefffeee,0x7776c4ee,0xeeeefffe,0x00ffea04,0x0007ffea,
    0x3ffbbbb6,0xdb4eeeef,0xddfffddd,0x3bbb29dd,0xeeeffffe,0x327fd405,
    0xdfffffff,0xfa84ffa8,0x7d419bff,0x3fffe64f,0xffa86fff,0xfff8001f,
    0x43fff884,0xfffeeeed,0x76c4eeee,0xeefffeee,0x7ffe44ee,0xffffffff,
    0x803ffb01,0x20004fff,0xfffffffb,0x3ffa605f,0xffffffff,0x27ffc0ff,
    0x6c1fffc4,0xefffeeee,0x3ffe4eee,0xdfffffff,0x884fff80,0x7fec3fff,
    0xb2fff985,0xffffffff,0xffffb85f,0xfd84ffff,0xffffffff,0x7fffc40e,
    0xffefffff,0x0fffe25f,0x67fffec0,0xfffffb00,0xc81dffff,0x3fffa7ff,
    0x3fffa04f,0xffffffff,0x7fffff45,0x05ffffff,0x2a003ff2,0xe8001fff,
    0xffffffff,0xfffd5fff,0xffffffff,0x3fffff6b,0x06ffffff,0x9911bfa2,
    0x447dff99,0xffff06fe,0x37f44fff,0x3ff33322,0x1fffa83e,0x84fff800,
    0x7f43fff8,0xffffffff,0x7fff45ff,0xffffffff,0x7ffffec5,0x01ffffff,
    0xfff00dfd,0xfe980009,0x8803efff,0xffffffed,0x7fc0ffff,0x3fff884f,
    0xffffffe8,0x3e5fffff,0xcfffffff,0x213ffe01,0x7ec3fff8,0x2fff985f,
    0xdffffffb,0x3fff6607,0xff901eff,0x19ffffff,0x3ffff220,0x7fffb2ef,
    0x400fffe2,0x6401defd,0xffffffff,0x04c4000c,0x7fffff40,0x45ffffff,
    0xfffffffe,0x2605ffff,0xfff5002a,0xfffd0003,0xffffffff,0x3fffffab,
    0xb5ffffff,0xffffffff,0x7e40dfff,0x44fe801f,0xfff01ffc,0x7fe4ffff,
    0x504fe801,0xf0003fff,0xfff109ff,0xfffffe87,0x45ffffff,0xfffffffe,
    0x7ec5ffff,0xffffffff,0x035501ff,0x0007ddd0,0x10000cc0,0x7fc00133,
    0x3fff884f,0xffffffe8,0x4c5fffff,0x3e001999,0xfff884ff,0x4c2ffec3,
    0x26622fff,0x0cc40009,0x33533100,0x00998800,0x007fff10,0x4cc40002,
    0x0000019a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00262000,0xbdffd930,0x00153003,0x01aaa880,0x09aaa988,0x0d554c00,
    0xcccc8800,0x800b3322,0x6c003ccb,0xeee883ee,0x33333262,0x2a6001cc,
    0x544001aa,0x35310002,0x20099880,0xccb81998,0x64c0003c,0x2a20004c,
    0x9aa88002,0x33333100,0x33333333,0x0aa98801,0x026aa600,0x20133100,
    0x00199998,0x26666662,0x09999999,0x33333300,0x26600133,0x33330199,
    0x83333333,0x99999999,0x26662199,0x00cccc00,0x20026666,0x00199998,
    0x3fffb220,0x3ff2005f,0x502fffff,0x09fffffd,0x7fffec40,0xffa84fff,
    0x03ffffff,0x7fffff54,0x3a2005ff,0x7ffc3fff,0x17ffa004,0x109fff00,
    0x7fd47fff,0x803fffff,0xeffffffb,0x1fff4403,0x3fffa600,0xffd81eff,
    0x07ffea06,0x009fffb1,0x17fffe60,0x07ffd100,0x3ffff220,0x7ff40cff,
    0xffffffff,0xfb102fff,0x407fffff,0x4ffffffc,0x5fffc880,0xffffffb0,
    0x3fa019df,0xffffffff,0xb802ffff,0xffffffff,0xffffa805,0xfffff987,
    0x31ffffff,0xffffffff,0x7ffc4fff,0x13ffe606,0x07ffffb8,0xffffffb8,
    0x6c400cef,0x5fffffff,0xfffff700,0xff705ffd,0x1dfffdff,0xfffffa80,
    0x7f45ffff,0xffffffff,0xffffb103,0x01ffffff,0x03fffd10,0x74009fff,
    0x7fc005ff,0x3fff884f,0x3fffffea,0x7fff403f,0x04ffffff,0x800fffe2,
    0xfffffffc,0x37fec2ff,0x203fff50,0x4004fffb,0x4ffceff9,0x0fffe200,
    0x3ffffea0,0x7f46ffff,0xeeeeeeee,0xf882ffee,0xffffffff,0x7ffffc45,
    0x880effff,0x05fffffb,0xfffffffb,0xffd07fff,0xffffffff,0xfd005fff,
    0xbfffffff,0xfffffd00,0xffffff30,0x263fffff,0xffffffff,0x7ffdc7ff,
    0x01fffb03,0x0fffffec,0x3ffffee0,0x103fffff,0xdffffffd,0xfff1009d,
    0x7e40883d,0x3fee21df,0xffff700f,0x4bfffdff,0xcceffffc,0xff883fed,
    0xffeeffff,0x7f4400ff,0x9fff00df,0x02fff400,0x2213ffe0,0x3e203fff,
    0x3ff203ff,0xffecabdf,0x7fff101f,0x3fffee00,0x1fffffef,0xfa81bff6,
    0x3fa601ff,0xfff1004f,0x4013ff21,0xe803fff8,0xffeeffff,0x547fa4ff,
    0x82fd809a,0xdbcffffd,0x7fff42ff,0x4fffedce,0x7fffffdc,0xdfffb05f,
    0xbffffffd,0xffeeeec8,0x1eeeeeff,0x7ffffcc0,0x6404eeef,0x987fffff,
    0xffffffff,0xfff31fff,0xffffffff,0x981fffd0,0x7fc03fff,0x5c03ffff,
    0xfffeefff,0xffe85fff,0x980009df,0xf8802fff,0x13fe605f,0x033fffe2,
    0x3ffe2771,0xf903100e,0x36a05fff,0x00ccc400,0xe8013ffe,0x7fc005ff,
    0x3fff884f,0x80fffe20,0xff985ffe,0x7fff103f,0x5ffff100,0xb2fffe44,
    0x7fd40dff,0x0ccc401f,0x4c099880,0xfff10019,0x83df1007,0x3fa6fffb,
    0x0cffff89,0xfff30bf6,0xffb8750b,0x7fff444f,0xfdffff10,0x3ff60bff,
    0x7fffe4c6,0x07ffe401,0x7effe400,0x3fe6006f,0xf987ffef,0xff3002ff,
    0xffa8005f,0x037ff44f,0x3ffbffea,0x07ffdc06,0x43ffff93,0x0004fffa,
    0x4007ffd4,0x665cc6fc,0x7e40ffb8,0xff3004ff,0xff88009f,0x000000ff,
    0x2627ffc0,0x00bffd00,0xf884fff8,0x3fe203ff,0x0fffe03f,0xee89fffc,
    0xeeefffee,0x3ff21eee,0x1fffb02f,0xfa81bff6,0x000001ff,0x77744000,
    0xeeeefffe,0xfd00c1ee,0x227fa1ff,0xb0ffffee,0x2fffa85f,0x20fff900,
    0x3f63fffa,0x20bffd2e,0xff706ffd,0xfffc80df,0x7ffc4000,0x36006ffa,
    0x87ffbdff,0x3002fff9,0xb0005fff,0x3fea1fff,0x6ffe401f,0x2e00fffc,
    0xffb80fff,0x01bffa6f,0x03ffee00,0x7e47ff10,0x4ff88fff,0x801fffe2,
    0x4006fff9,0x0003fffc,0xddddddd7,0x7fc1dddd,0xefffc8bf,0x542fff42,
    0xfff0deee,0x07fff109,0xf01fffc4,0xfff30bff,0x3ffffe25,0xffffffff,
    0xa81bffa1,0xdffb3fff,0x20fffd40,0xeeeeeee9,0x007dd902,0x7fc47bb6,
    0xffffffff,0x36001fff,0x03fd0fff,0x0bf6bff7,0x7400fff7,0xfff106ff,
    0x3ffa1cc9,0x40dffb05,0x3201fffe,0x54000fff,0x06ffacff,0xf71fff50,
    0x5fff30ff,0x0bffe600,0x53ffe200,0xff805ffe,0x02fff9bf,0x7403ffee,
    0xfff89fff,0xffb80004,0x87fd400f,0x90fefffb,0x27ffd4df,0xbffff100,
    0x1fffa003,0xffffc800,0x0fffffff,0x3ffb3ffe,0x3fa3ffff,0x7fffcc5f,
    0x2213ffe1,0x3e203fff,0x3ff203ff,0xdffd10df,0x7fffffc4,0x1fffffff,
    0xf8813ffe,0x0dffb4ff,0x2a0fffd4,0x3fffffff,0x200bffb0,0xfff10fff,
    0xffffffff,0x7f4003ff,0x6407fa7f,0xfc85fb7f,0x3ffa007f,0x017ffe07,
    0x3f60bffd,0x3ffee06f,0x03fff202,0xf53ffd00,0xfff100df,0x261ffee7,
    0xf3002fff,0x320005ff,0x0fffbfff,0xf8fffcc0,0x3fee05ff,0x5fff700f,
    0xdb77fff3,0x3b2019bd,0xeefffeee,0x9fee5eee,0x7fb81fff,0x000bffee,
    0x5dfffffb,0x02fffc01,0xfffff900,0x41ffffff,0xffffffff,0x3ffa7fff,
    0x0bfffa25,0xff109fff,0x7ffc407f,0x3fffe203,0x01ffffcf,0x100fffe2,
    0xff807fff,0x40dffb5f,0x7d41fffa,0x03ffffff,0xf100dff7,0x7ffc40ff,
    0x7fc40003,0x6c07fa5f,0xfc85fb6f,0x3ff6007f,0x0dffd02f,0xfb05ffe8,
    0x7ffd40df,0x03fff203,0xf56ff880,0x901333df,0x3ffdcdff,0x5567ffcc,
    0x3e62aaaa,0xf10002ff,0x009fffff,0x7fecfff7,0x7fff9507,0x7ffd4355,
    0xffffffab,0xe83fffff,0xffffffff,0x3f27ffff,0x2a0bff36,0x3fff90ff,
    0xfffe8800,0x440cffff,0x7fe44fff,0x4c40ffff,0xffe99999,0x7ffffc3f,
    0x1fffc88c,0x7ff4bffd,0x84fff82f,0x2203fff9,0x74c03fff,0x0effffff,
    0x01fffc40,0xf00bffea,0x1bff6dff,0x401fffa8,0xf503fff8,0xdff300ff,
    0x01fffc40,0x8bfff600,0xfb5511fe,0x76cbf69f,0xeeeeffff,0xffffb85e,
    0xfffdb99c,0x82fff407,0x3e606ffd,0x7f7744ff,0x03eeefff,0xffa9ffe4,
    0x7cc3ffff,0x1ffee1ff,0x3fffffe6,0x3e66ffff,0xeeeeeeff,0x7ffdc03e,
    0x9ffd006f,0x7c0fffdc,0x4fffffff,0x3ef3ffe6,0xffffffff,0x7ff42fff,
    0xffffffff,0x4d7f67ff,0x3ff305ff,0x0003fff6,0x3fffff22,0x3fe61eff,
    0x7fffe43f,0xff7000ff,0x9ffff0bf,0xfd2fff98,0x0ffff2bf,0x3a22fffc,
    0x3e203fff,0xffa803ff,0x403fffff,0x5403fff8,0x7f402fff,0x40dffb6f,
    0x4401fffa,0xff303fff,0xa93ba21f,0x3fe205ff,0x3ee0003f,0xa8ff45ff,
    0x3f65ffff,0xffffffd2,0x3a0dffff,0xffffffff,0x7f406fff,0x0dffb05f,
    0x3e27ffc4,0xffffffff,0x87ffc04f,0x3ffffffa,0x3ee27ff4,0xffff987f,
    0x26ffffff,0xfffffff9,0xfe804fff,0xff8802ff,0x13ffe62f,0x3ffffffe,
    0x33ffe24f,0x30aefffb,0xb80dfff9,0x7e400fff,0x2a0dff36,0x3fffb0ff,
    0x7fe44000,0xf30fffff,0xeeeb89ff,0xfa800fff,0xfff80eff,0xd3fff885,
    0x9fff7bff,0x987fff40,0x203ffffd,0x6403fff8,0xffffffff,0x7fffdc4f,
    0x2fffffff,0xf00bffea,0x1bff6bff,0x401fffa8,0xf103fff8,0x3ffee3ff,
    0x4409ff70,0x50003fff,0xfe81dfff,0xd815ff31,0xffffdb2f,0x20bddddd,
    0xffffffe8,0x7405ffff,0xdffb05ff,0x21fffcc0,0xffffffff,0x3fea04ff,
    0x333ffea6,0x03ffee2c,0xff30fff7,0x999999bf,0x7ffffcc7,0xa84fffff,
    0xafffdaaa,0xffa80aaa,0x437ff40f,0xcccfffdc,0x2efffe62,0xffb01fff,
    0x7ffdc01f,0xf8bfdc00,0x3fdc13ff,0x0005fff9,0x3ffffaa0,0xa817ffe4,
    0x7c400fff,0xfff01fff,0x27fff109,0x5ffffffe,0x77fffe40,0x03ffffff,
    0xb80fffe2,0xff914fff,0x7ffdc3ff,0xffffffff,0x00fffe62,0x3ff69fff,
    0x07ffea06,0x407fff10,0xfffd2fff,0x880ffee7,0x98003fff,0xfe81ffff,
    0x3f60df31,0x003ffe42,0x8bcedc98,0x7f404fff,0x0dffb05f,0x2617ffd4,
    0x99fffd99,0x8fff6009,0xff106ffa,0x0fff705f,0x2005fff3,0x999bfff9,
    0xffd80999,0xffffffff,0x86ffc81f,0xfb80fffc,0xfff500ff,0x205fff55,
    0x2e01fffb,0x7d400fff,0xfffff90f,0xffa9bf21,0x6400004f,0x3ffe5fff,
    0x03ffea06,0x407fffd0,0xff884fff,0xfffffd3f,0xfff880df,0xffdcffff,
    0x0fffe203,0x542fffc4,0x332a5fff,0xcccefffc,0x13ffe21c,0xfb3fff88,
    0x7ffd40df,0x1fffc400,0xff17ffd0,0x0bff2dff,0x003fff88,0x80ffffcc,
    0x205511fe,0x3ffe42fd,0x3fe60000,0x2fff403f,0x3206ffd8,0x3f201fff,
    0xff8800ff,0x6ffdccdf,0xffffff50,0xffffffff,0x00bffe6d,0x0017ffcc,
    0x3ffbbbb2,0xf81eeeef,0xeeeeefff,0xffb83fff,0x3fff900f,0x2a07fff3,
    0x3ee01fff,0x7fc400ff,0x1ffffb14,0x7fcc9ff1,0x200000ff,0x3f66fff8,
    0xfff502ff,0x27ffe401,0x2213ffe0,0xbffd3fff,0x980bfff7,0xf93ffffe,
    0x7ffc407f,0x03fff503,0x7c41bff6,0xfff803ff,0x4bffee07,0x3ee07ffc,
    0xfff8807f,0x2f3ff603,0xfd8fffff,0x3ffe201f,0x3ffe6003,0x447fa01f,
    0xc85fb03c,0x400007ff,0x7400fffc,0xdffb05ff,0x01fffe20,0x7001fff9,
    0xffffffff,0x3ffea0df,0xffffffff,0xfff36fff,0x3ffe6005,0x7fdc0002,
    0xffff9807,0xffffffff,0x80fffb85,0xff17fff8,0x3fff20df,0x03ffee00,
    0x7531ff60,0xfd03fee5,0x400009ff,0x3ea4fff8,0xffa80eff,0xdfff500f,
    0x109fff00,0x3ffa7fff,0x007fffb5,0x77fc4331,0x0fffe200,0xd80fffdc,
    0xfff106ff,0x5fff900b,0xfb9fffa0,0xdffb01ff,0x07fff100,0x7feeffdc,
    0x07febffc,0x802fffc4,0x400efff9,0x05ff91fe,0x7ffc85fb,0x3fea0000,
    0x5ffe805f,0x360dffb0,0x7e403fff,0xffe800ff,0x6fffffff,0xffffff50,
    0xffffffff,0x00bffe6d,0x0017ffcc,0x3ff26662,0xfc81999f,0xffffffff,
    0xffb87fff,0x3fffd80f,0xf50ffff2,0xffb80dff,0x5ff9800f,0x2a13fea0,
    0x10adffff,0x02b2e995,0xd0ffffa6,0x5c15dfff,0xff980fff,0xfff800ff,
    0xd3fff884,0x3ffe2bff,0xffe8001f,0x1fffc401,0x885fff98,0x3fe04fff,
    0x7fc400ff,0xffb30aff,0x77ffcc7f,0x01fffd40,0x501fffc4,0xf3bffdff,
    0xf00fffdf,0xf9801fff,0x9999afff,0x2e3fd099,0x42fd81ff,0x20007ffc,
    0xffffda98,0x74cccc41,0xb1999eff,0x7f54cdff,0xffc806ff,0x7ffcc00f,
    0x6ffb9999,0x33333310,0x33fff933,0x00bffe61,0x0017ffcc,0x3ffffff6,
    0x741fffff,0x99999dff,0x5c2fffc9,0xfd530fff,0xfff88dff,0xffffedef,
    0x07ffdc01,0x0aeffc80,0x201dff93,0xfffffffd,0xfff95fff,0xfffffddf,
    0xfffff30d,0x1fffffff,0x9bfffe88,0x7fc19999,0x3fff884f,0x7fd4bffd,
    0x3ea000ff,0xfff8806f,0xfffff103,0x3ffff99b,0x6ffffec0,0x7fec1ecc,
    0xffffffff,0xdffffd86,0x006fffec,0x4c07fff1,0xfd2fffff,0xfb00bfff,
    0x3d99bfff,0x3fffffe2,0xd6ffffff,0xfd804c3f,0xffffffd2,0x8dffffff,
    0xfffffffd,0xfffd81ff,0xffffffff,0xffffffb7,0x003dffff,0xc801fff9,
    0xfffa84ff,0x2e006fff,0xfff987ff,0xffffffff,0x005fff31,0xffffffd8,
    0x221fffff,0x3e602fff,0x7ffdc4ff,0xefffffff,0xfffffa81,0xb802ffff,
    0x2e000fff,0xffffffff,0x7ffe400d,0x95ffffff,0xffffffff,0x3a601dff,
    0xffffffff,0x7ffe40ff,0xffffffff,0x2213ffe1,0xbffd3fff,0x006fffc8,
    0xd8afffea,0xefffeeee,0x3fe64eee,0xffffffff,0x7fffc403,0xfc81ffff,
    0xdfffffff,0xffffe880,0xb01fffff,0xdfffdddd,0x7fc49ddd,0x3fff27ff,
    0xfff8804f,0xf11fffff,0xffffffff,0x3ffadfff,0xffffffff,0xfffd2fff,
    0xffffffff,0xffffd8df,0xfb01dfff,0xffffffff,0x3fff6fff,0x04ffffff,
    0x003fff20,0xff503fff,0x400dffff,0xff987ffb,0xffffffff,0x05fff31f,
    0x07ffb800,0x2007ffdc,0x7fdc7fff,0x4fffffff,0x7fffecc0,0xff7000cf,
    0xfda8001f,0x2003efff,0xfffffed9,0xffffd51c,0x2005dfff,0xffffffec,
    0xffffd82d,0x1fffffff,0x3e213ffe,0x0bffd3ff,0x200bfffd,0x3a7ffff8,
    0xffffffff,0x7e445fff,0x01dfffff,0xfffffb30,0x3ffae03f,0xfc803eff,
    0x00cfffff,0x3ffffffa,0x7c5fffff,0x3fe65fff,0xfb3003ff,0x223fffff,
    0xffffffff,0xffd6ffff,0xffffffff,0x3ffa5fff,0xffffffff,0x7ffec6ff,
    0x7ec01bde,0xffffffff,0xffffb7ff,0x800379df,0x2a00fffc,0xfff506ff,
    0x5c00dfff,0xfff987ff,0xffffffff,0x005fff31,0x407ffb80,0xfd805ffd,
    0x3ffee1ff,0x001bceff,0x5c0004cc,0x20000fff,0x33000018,0x19999801,
    0x04d4c000,0x3fffff60,0x21ffffff,0xff884fff,0x10bffd3f,0x2007ffff,
    0x3fa5eed9,0xffffffff,0x266205ff,0x2a620001,0x02660019,0x00266200,
    0x7ffffff4,0x745fffff,0x7ff42fff,0x54c4002f,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999880,0x4c199999,0x00099999,
    0x4c402666,0x4cccc409,0x99999999,0x44033310,0x06662199,0x01331000,
    0x0ccccc40,0x00333300,0x4cc13331,0x13331009,0x33026620,0x00133301,
    0x20013330,0x99999998,0x20999999,0x33009998,0x99999813,0x26666001,
    0x99999999,0x10033310,0x4ccc4333,0x82666200,0x33000998,0x19999983,
    0x01333100,0x06d40ccc,0x000032a0,0x00401000,0x00040200,0x00880018,
    0x00040001,0x0aa000cc,0xfffffffb,0x3e23ffff,0xefffffff,0x5fff301c,
    0xf71bff60,0xffffffff,0x3ff2dfff,0x43ffee07,0x40007ffc,0x2e006ffe,
    0xefffffff,0x3fffd00c,0x11fffb80,0xff109fff,0x3fee03ff,0x3e13fe62,
    0x7c4004ff,0xffd003ff,0xffffffff,0x7fdc5fff,0x6fffb86f,0x7ffffffc,
    0xfff302de,0xffffffff,0x0fffeedf,0x7c4fffd0,0xffb00fff,0x02ffdc5f,
    0x3fe27ff8,0x2dffffff,0x01ffff90,0x7f447ffe,0x3ffe204f,0x01bfea03,
    0xd903f900,0xffd88001,0x1bffd31e,0x7fff6440,0x3ff6a04e,0xbfff74ff,
    0xffdb7001,0xffb70bdf,0x4019ffff,0xffb0effe,0xffffffff,0x3fffe23f,
    0x2fffffff,0xb02fff98,0xfffb8dff,0xffffffff,0x40fff96f,0xff90fffb,
    0xffe8000f,0x3ffee006,0x3fffffff,0x403fffb8,0x3fe27ffe,0x3fffd84f,
    0xf987ff20,0x04fff84f,0x01fffc40,0xffffffe8,0x2fffffff,0xb03fffee,
    0xfff8ffff,0xefffffff,0x7ffffcc1,0x6fffffff,0x540dfff1,0x7fe43fff,
    0x6fff984f,0x4402ffd4,0x3ffe27ff,0xefffffff,0x1ffffe40,0x3f61fff8,
    0xfffb02ff,0x037fd403,0x43fffb00,0x1001fffc,0xf3fffffd,0x2a0dffff,
    0xffffffff,0xffffe81e,0xffffffff,0xfffd300e,0xf98fffff,0xffffffff,
    0xffffa81f,0xfffddd94,0x223ddddf,0xfeeeefff,0x3260ffff,0xaaaacfff,
    0x70aeffea,0xffffffff,0x3f2dffff,0x3ffee07f,0x000fff90,0x2006ffe8,
    0xffeefffb,0x7cc5ffff,0x3fe206ff,0x13ffe25f,0xc80bfff7,0x0ffea1ff,
    0x2af3bffe,0x3ffe2009,0xdddd9003,0xddddffff,0x7fffdc3d,0x1ffffe23,
    0xffddffff,0x7cc1ffff,0xffffffff,0x3fee6fff,0x0fffd02f,0xd81ffff1,
    0x7fd42fff,0x26ff8805,0xffeefff8,0x7e45ffff,0xfff07fff,0x6ffffc43,
    0x3fffdfff,0x0037fd40,0x0f7fff44,0x007ffff9,0xfff79ff9,0x85ffd7ff,
    0xfffffffa,0x7740ffff,0xfffffcac,0xf983fffb,0xffffffff,0x6677fcc7,
    0xa86fffec,0xf906ffff,0x7ffc40ff,0x17ffec43,0xfffffffb,0xffffffff,
    0x2aaaaa23,0x4fffcaaa,0x7dc0fff9,0x0fff90ff,0x86ffe800,0x41fff703,
    0x41ffffc9,0xf500fffe,0x7ffc45ff,0x03fffe24,0x7dc1ffb0,0xfffff82f,
    0x881dffff,0x20003fff,0x6400fffc,0x3ea5ffff,0x7ffc7fff,0x2fffecc4,
    0x26666666,0x222ffff9,0xffa86fff,0x9fff703f,0x542fffcc,0xff8805ff,
    0x88fffe26,0x320ffffb,0xf83fffff,0x7ffcc1ff,0x5fffffff,0x006ffa80,
    0x06ffff4c,0x027fffd4,0xfffc9bfe,0xfe8bff12,0xffb10bff,0xffb8289f,
    0xd0dff31f,0x5443bfff,0xfc805445,0xfffe81ff,0x40fff907,0xf983fff8,
    0x3fff64ff,0xffffffff,0x2001ffff,0xff90fffe,0x87ffdc0f,0x40007ffc,
    0x1fee6ffe,0x5c07ffdc,0x7fe46fff,0x1fff902f,0xfb27ffc4,0x332a05ff,
    0xfecccfff,0x3ffe3cdf,0xffffffff,0x01fffc44,0x01fff900,0x0ffdffc8,
    0x41ffdffb,0xff884fff,0x3ff2007f,0x2fffb85f,0x3a037ff4,0xfffb0fff,
    0x00dff303,0x7fc4bff3,0x1fffd83f,0x1bfffff2,0x3f607ffe,0xffffffff,
    0x06ffa801,0x13fffea0,0x1bffff30,0x7d47ff30,0xa9bfe0ff,0xfff03fff,
    0x8fff300f,0x7ffdc7ff,0x3e600005,0xfff882ff,0x40fff906,0xf983fff8,
    0x3ff6a3ff,0xecccccdf,0x5000cfff,0x7fe49fff,0x43ffee07,0x40007ffc,
    0xffeaeffe,0x01fff707,0xf987fffa,0xbfff04ff,0xf54fff88,0x7fe409ff,
    0xffffffff,0x3ffe6fff,0xfffecbad,0x0fffe22f,0x0fffc800,0x7fdffec0,
    0x1ffb9ff2,0xfc827ffc,0xff9800ff,0xfff880ff,0x00fffea6,0xff39fff5,
    0x1bfe60bf,0x2ffcc355,0xf507fff1,0x77fe45ff,0x7ffc2fff,0x2a4ffe81,
    0x77544ffe,0xeefffeee,0xfffb85ee,0xffd1003f,0x2ffa81df,0xffd1ffe6,
    0xb807ffe4,0x7c400fff,0x323ff45f,0x80000fff,0x02fffa98,0x3f209ffb,
    0x3ffe207f,0x40fffc83,0xfb02fff9,0xffe800df,0x81fff20f,0xff90fffb,
    0xffe8000f,0x704fffff,0x3ee01fff,0x3fffc2ff,0x221fffcc,0xfff8cfff,
    0x7fffe406,0xffffffff,0x213ffe6f,0x3e26fffb,0x320003ff,0x7ec00fff,
    0xffacff9f,0x3fe1ffda,0x1fff904f,0x05fffd00,0xfe8fffdc,0xfffd006f,
    0x2201fffd,0x32ffc6ff,0x7ffc49ff,0x21fffc83,0x6ffdcffc,0x3e20fffc,
    0x46ffc87f,0xfffffffb,0x647fffff,0x8001ffff,0x2e1ffffd,0x3ffe62ff,
    0x367fffff,0x3fea06ff,0x7f6e441f,0xffffffff,0x01fffa0f,0x7fff6cc0,
    0xf882ffff,0xfff901ff,0x4e7ffc40,0x84fffca9,0xfb02fff9,0x7fcc00df,
    0x57ffe45f,0xffdaaaaa,0x20fff90f,0xfd01dfd8,0x201bffff,0xaabfffca,
    0xb0fffea1,0xffb83fff,0x67ffc40f,0x4401fffd,0x999dffa9,0x3e099fff,
    0xfff884ff,0x00fffe27,0x00fffc80,0x77f47fec,0x43ffb7fc,0xffb04fff,
    0x9fff900f,0x9dfff880,0xf3003fff,0x409fffff,0x3fea7ff8,0xf893fe67,
    0x7ffd43ff,0x7d67fe46,0x07ffe1ff,0xff50bff5,0xfffffb8f,0x7fffffff,
    0x01dfffb1,0x7fffe400,0x7cc3ff72,0x7fffffff,0xf981bffa,0x3ffee2ff,
    0xffffffff,0x3ffe0fff,0xfffd8006,0x2fffffff,0x09fff731,0xf103ffe4,
    0xffffffff,0x3ffe605f,0xffffffff,0x3ff6006f,0x7fffe41f,0xffffffff,
    0x20fff90f,0x2a0ffffd,0x01dffffe,0x7ffffffc,0x13ffe64f,0xfd87fff5,
    0xefff886f,0x26003fff,0x837fc4ff,0xff904fff,0x0fffe23f,0x0fffc800,
    0xffbbff40,0x43ffb5ff,0xff984fff,0x7ffcc05f,0xfffb800e,0x6c006ffe,
    0x400fffff,0x3fff27ff,0x7c49ff52,0xfffeeeff,0xa7fe41ef,0x3ffe5ffe,
    0x4c2ffdc1,0xffa807ff,0x3fffa206,0x3ee0000e,0x5ff72fff,0x55577fcc,
    0x1bffa2aa,0xf11fffa8,0xbff759ff,0xf8555555,0x7ec007ff,0xfbaaceff,
    0xffffd2ff,0x07ffc807,0x3fffffe2,0x983fffff,0xffffffff,0x3006ffff,
    0xff90bfff,0xffffffff,0x3ff21fff,0xfffff887,0xdfffff72,0x3ffffe00,
    0x3fe24fff,0x2fffc44f,0xf109fff1,0x07ffffff,0xf11ffd40,0x13ffe0bf,
    0xf887ffe4,0x320003ff,0x7f400fff,0x25ffff37,0x3ffe2ffc,0xfffc999d,
    0x7fff401f,0xffff1001,0xfc8005ff,0xff806fff,0x553fffe7,0x3ffe23ff,
    0x0befffff,0xff54ffc8,0x707ffe1f,0xbff50fff,0x00dff500,0x003ffffb,
    0x43ffff90,0x3fe62ffb,0x07ffd807,0x7dc3fff2,0x017fe24f,0x8007ffec,
    0xf885fff8,0x19dfd2ff,0x40fff900,0xdccdfff8,0x4c3fffff,0xffffffff,
    0xb006ffff,0xff903fff,0xd999999f,0x3ff21fff,0xfffff887,0xdfffff72,
    0x3fff7200,0x3fe62ccc,0x27ffd83f,0xf881fffa,0x0fffecff,0x4c5ff700,
    0x9fff04ff,0xf89fffa0,0x320003ff,0x7fc00fff,0x643fffe7,0x3fffe2ff,
    0x4fffffff,0x027ffe40,0x1bfffee0,0xfffff100,0x37ff805f,0x3eafffff,
    0x3fffe23f,0x901effff,0xa7ffc9ff,0x7fd41fff,0x01ffec1f,0xb8037fd4,
    0x1002ffff,0xa81dfffb,0x3ffea3ff,0x17ffdc00,0x3f27ffe8,0x01bfe62f,
    0x802fffe4,0xfa82fffa,0x900012ff,0x7fc40fff,0xffffa83f,0x40bffe60,
    0xf9806ffd,0xfff905ff,0xc87ffdc0,0xfff907ff,0x7ff4edcd,0x3ffee006,
    0x05fff500,0x3f25fff7,0x9fff107f,0x4c0dfff5,0xccdffecc,0x7c4ceffd,
    0xfffc84ff,0x00fffe24,0x00fffc80,0xbff93ffc,0xfff1ffe4,0x5dffffff,
    0x06fff980,0x2ffff880,0x7fffe400,0x3fa00fff,0x3ff9df97,0x7fc45ff5,
    0xffffb8bf,0x2e4ffc80,0x1fff8fff,0xc9cffff8,0xfa801fff,0x3fea006f,
    0x7f4c04ff,0xff980dff,0x00ffff25,0x419ffff3,0x3f23fffd,0x0bfff63f,
    0x37fffe60,0xfff31cc0,0x2ffffa8b,0x1fff2000,0xd03fff88,0x7fcc3fff,
    0x0dffb02f,0x203fffb0,0x3ee07ffc,0x0fff90ff,0x7410665c,0x3ee006ff,
    0xfff900ff,0x29fff103,0xff104ffe,0x0ffff69f,0x7fffffd4,0xffffffff,
    0x333bffe0,0x20efffec,0x0003fff8,0xf003fff2,0x917fd4df,0x7fffc7ff,
    0xd002cdee,0x20003fff,0x4c007ffc,0xfffcefff,0x3a3ffa04,0xfbcffacf,
    0x8fffe22f,0xfc84fffb,0x2fffe24f,0xffd81fff,0x1fffffff,0x006ffa80,
    0x06ffffcc,0x027fffd4,0x3feabffa,0x2b99bfff,0x77ffffe4,0x7dc6ffff,
    0xffffdbef,0xc84daabf,0xfeffffff,0x3fffe27f,0xfffffecd,0x3ff20002,
    0x0fffe207,0xf30fffe4,0x3ff605ff,0x37ffc406,0x5c0fff90,0xfff90fff,
    0x6ffe8000,0x03ffee00,0xe81fffe2,0x2fff8eff,0x229fff10,0xfa81ffff,
    0xffffffff,0x3e0fffff,0xffffffff,0x7ffc41ff,0x3ff20003,0x9bfe200f,
    0x3fee0aa8,0x0013ffe3,0x0027ffe4,0x800fff90,0xff89fffd,0x5ffb00ff,
    0x7dff15ff,0x7ffc43ff,0x207fff43,0x7fe44ffc,0x7dc1ffff,0xffffffff,
    0x4cc400ff,0xffe88000,0x3ffee0ef,0xfffb803f,0xffffbfff,0x7fec43ff,
    0x0effffff,0x7fffffc4,0xffffffea,0xfffff904,0xffc8ffff,0xfddfffff,
    0x3f20002f,0x3ffe207f,0x41fffd03,0xfb02fff9,0xfffc80df,0x81fff202,
    0xff90fffb,0xffe8000f,0x3ffee006,0x03fffd80,0x3ff3fff2,0x9fff100f,
    0x2037ffdc,0x0ffe47fe,0xfffffff8,0xff880cff,0x3f20003f,0x3fe200ff,
    0x24ffb806,0x98004fff,0x40006fff,0x2a007ffc,0x3ff25fff,0xf9ffb05f,
    0x7feffecf,0x70fffe21,0xffc89fff,0x7ffffcc4,0x37ffe61f,0xfffabccb,
    0x88000005,0x3f21fffd,0x3f2002ff,0xfff91eff,0x3fee05ff,0x2603efff,
    0xfb12fffd,0x4c05ffff,0x4efffffd,0x3fffffb8,0x40005ff9,0x3e207ffc,
    0x7fecc3ff,0x17ffcc6f,0x2206ffd8,0x7e406fff,0x3ffee07f,0x000fff90,
    0x2006ffe8,0xd530fffb,0xf980dfff,0x205fffff,0x7f44fff8,0x1bfe03ff,
    0x3fe01ffb,0x401aaadf,0x0003fff8,0x8803fff2,0xffb806ff,0x0013ffe4,
    0x266ffffa,0x40199999,0x3a007ffc,0x3fe21fff,0xfffc82ff,0x3fffea5f,
    0x0fffe20f,0xfc83fffe,0xffffd84f,0x1fffd11f,0xe8ffff20,0xeeeeeeee,
    0x32002eee,0x001ed81f,0x33310330,0x00266200,0x33510188,0x00998800,
    0x00001a98,0xfffffffb,0x3e23ffff,0xffffffff,0x7fcc1fff,0x0dffb02f,
    0x2017ffe4,0x3ee07ffc,0xffff90ff,0x0fffffff,0xffffffe8,0x3ee7ffff,
    0xffffffff,0xfff801ef,0x3e203fff,0x7ffcc4ff,0xe8bff01f,0x13ffe07f,
    0xfffff100,0x09ffffff,0x3007ffe4,0xff700bff,0x0027ffcb,0x3fffffee,
    0x07ffffff,0xb803ffe4,0xffb85fff,0xffffc86f,0x3ffffe22,0x20fffe20,
    0x3f24fffc,0xffffa84f,0x00bfee1f,0x7ffc3bfd,0xffffffff,0x1004003f,
    0x00000000,0x00000000,0x00000000,0x3fffff60,0x11ffffff,0xffffffff,
    0xff305fff,0x1bff605f,0x4037ffc4,0x3ee07ffc,0xffff90ff,0x0fffffff,
    0xffffffe8,0x3ee7ffff,0xffffffff,0x3fff2004,0x3fe200ff,0x6fffc84f,
    0x7fc5ff88,0x013ffe07,0xffffff10,0x409fffff,0x2600fffc,0xffa805ff,
    0x0013ffe5,0xfffffff7,0x80ffffff,0xf8807ffc,0xfff01fff,0xffffc87f,
    0x07fffec0,0xf107fff1,0x3ff21fff,0x3ffffd04,0x81980288,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0xffffd800,0x1fffffff,
    0xfffffff1,0x7fcc05bd,0x0dffb02f,0x200bfff2,0x3ee07ffc,0xffff90ff,
    0x0fffffff,0xffffffe8,0x3ee7ffff,0x1bceffff,0x7fffd400,0x27ffc406,
    0x227fffc4,0x37fc4ff9,0x8009fff0,0xfffffff8,0x3204ffff,0x3ea00fff,
    0x5ffa805f,0x70013ffe,0xffffffff,0xc80fffff,0xffc807ff,0x3ffee05f,
    0x17ffee0f,0xf11fffee,0x3ff607ff,0x209ff93f,0x001ffffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09980000,0x53001800,0x00000355,0x00020100,0x00600013,
    0x0009aa88,0xed805db1,0x2eee883e,0x90026620,0xddd509dd,0x02eeed8b,
    0x74c5ddd7,0x02eeeeee,0xc805ddd5,0x0fbb25ee,0xeb8f76c0,0xeeeeeeee,
    0x200440ee,0x00000001,0x00f32200,0x71000000,0x2017dfdb,0x3001eeda,
    0x55550013,0x55555555,0x2aaaaa63,0x1aaaaaaa,0x2000a988,0x9950ccca,
    0x45db1019,0x66443ed8,0x4c0002cc,0x4ccc400a,0x2ee21999,0x82bbbbbb,
    0xffffffc8,0x3ffae00e,0xffff04ef,0xb7005fff,0x22039bfd,0x2efe9aee,
    0x76c5fff5,0xefffc88e,0xd9af74c2,0xb100dfff,0x009fffff,0x7c03fffd,
    0xfff884ff,0x01bfea03,0xff98bffb,0x7ffcc1ff,0x2fffc40f,0x3fffffea,
    0xdfff103f,0xb27ffc40,0x3fe00bff,0xfffff90f,0x41ffffff,0x9f500ee8,
    0x05d50b50,0x0c981990,0x1027fc40,0x05bdffdb,0x0677f6d4,0x3fffffea,
    0x3ffaa0ef,0xffc802ff,0xfffff806,0x3fffffff,0xfffffff7,0xb87fffff,
    0x440cffff,0x1fff92aa,0x3203fff2,0x3ffee7ff,0x17fff4c0,0x6c0dffa8,
    0x3fa01fff,0x31ffffff,0xffffffff,0xfffffa8b,0xd881ffff,0xefffffff,
    0x7f66ffc0,0xffd100ff,0x107fffff,0xdfffd9ff,0x7cfffff3,0xffffe9ff,
    0x3ffea3ff,0xfffffffa,0xfffffe80,0x7ffc04ff,0x13ffe02f,0xa80fffe2,
    0x7fec06ff,0x07fffa25,0x3a2fffdc,0x7fd40fff,0x203fffff,0xf701fffd,
    0x37fdc3ff,0xf93ffc40,0xffffffff,0x3ffa21ff,0x1fffd40e,0x7fe47ffd,
    0x07ffd406,0x10b85ffd,0xf30d49ff,0x07ffffff,0xfffffffb,0x7f7ffc45,
    0xfff72fff,0xf8805fff,0x7fc03fff,0xffffffff,0xffff73ff,0xffffffff,
    0x7ffffd47,0x57fea0ef,0x3fee7ffb,0x21fffb07,0xf901fffc,0xfff985ff,
    0x3fffea5f,0x3ffffa06,0xfff31fff,0x4cbfffff,0xcbbdffff,0xfffe81fd,
    0x46fffdbe,0x882ffc81,0x3ee21dff,0x7fffc44f,0xfeffffee,0xfffff1ff,
    0x4fffffff,0xeffffffa,0x7dc4ffff,0xfffb89ef,0x03fff200,0xf884fff8,
    0x3fea03ff,0xd2ffec06,0xfd805fff,0x5fff72ff,0x07fff100,0xe827ffd4,
    0x3ffd46ff,0x3137fcc0,0xffd33333,0xefffb87f,0x41dfff50,0xfd11fffa,
    0x3ffa209f,0xf31bff23,0x362ffe5f,0x32f3a65f,0x7fdc7ffe,0x0ffffccf,
    0x4fff98a6,0x5fff9ff1,0xffeffd80,0x33333200,0x2ccccccc,0x55555553,
    0x747ffb55,0xefffefff,0x3ee9ff90,0x41ffee7f,0x3fa23fe9,0x17ffd404,
    0x64fffff7,0x2607ffff,0x0aaaaaaa,0x99999991,0x17ffdc79,0x83fff500,
    0x3302fffa,0x9fd05ff7,0xf15dfff7,0xb7ffc45f,0xff95fffa,0x33ffffe5,
    0x51fffc88,0x745fffff,0x07ff47ff,0x7500bff6,0x84fff801,0x2a03fff8,
    0x7fec06ff,0x007fff95,0xff5ffff1,0x3fe200bf,0x37ff403f,0x261fffcc,
    0x9dd10fff,0x5c02ffd4,0xff705fff,0x1dfff7df,0x7d4dff90,0x6ffc81ff,
    0xfb07ffe6,0xfd9ff9ff,0x7fdc03ff,0x3a17ff47,0x3fea03ff,0x7ffc462f,
    0x2affea02,0x000005ff,0x44fff200,0x3ffea7ff,0xf51fffef,0x037fd4df,
    0x22220000,0x9ffffea0,0x005ffffa,0xffc80000,0x3ffa002f,0x4cbffd05,
    0x2ffffffd,0xcdfbb7d4,0x226fa8ff,0xfff32fff,0x7fd3fee1,0x7ffcc4ff,
    0x83ffff52,0x3ffc7ffb,0x0001ffdc,0xf884fff8,0x3fea03ff,0x5effec06,
    0x2a004fff,0x0fffffff,0x07fff100,0x641fffb8,0x7fc40fff,0x21fff71f,
    0x7d404ffb,0x3ee00eff,0x00efffff,0xffc8fffa,0x88fffcc6,0xfd703ffe,
    0x39ffffff,0x9ffd5330,0x7dc3ffc4,0xdfff304f,0x80bffe20,0x0bff66fe,
    0x64000000,0x8dff33ff,0x6ffffffa,0xffa9bfea,0x00000006,0xfb0ffffa,
    0x000003df,0x9ffff700,0x2fff8803,0x3e6dffb0,0x2ffcbcff,0xd2fb97e4,
    0x7c43fa3f,0xb9bfe67f,0x0bfff4ff,0x3ea7fff1,0xfffa83ff,0xf903ffe0,
    0x2aaaaa5f,0xaaaaaaaa,0x109fff0a,0x2aaa7fff,0xaafffcaa,0xdffb0aaa,
    0x9000bfff,0x005fffff,0x201fffc4,0x7fc4fff8,0x25fff05f,0xff73fffe,
    0x7fffc407,0xffffb801,0x7ffcc00e,0x747ffd11,0x17ff23ff,0x3bfffee0,
    0x3ffffe00,0x5c3ffc44,0xfff984ff,0x5fff101f,0xf98bfee0,0x9999906f,
    0x59999999,0x23ffc800,0xffe98099,0x32ffcc5f,0x00000bff,0x301cb800,
    0x00000003,0x7fffffc4,0xfff981ce,0xffffffff,0x5c5ffb7f,0xb87f42ff,
    0x3f25fddf,0x7ccfff12,0x7d3fee5f,0xfff884ff,0x003fff53,0x7fc3ffd8,
    0xfffffd1f,0xffffffff,0x2213ffe5,0xfffd3fff,0xffffffff,0x3fff65ff,
    0x88006fff,0x4006ffff,0xd803fff8,0x3ffe67ff,0xf17ffd02,0x3ff2dfff,
    0x0ffffa02,0x77fffd40,0x8fffcc00,0xff13ffe8,0x02ffec5f,0xffffff91,
    0x3fffe05d,0x3ffe1eff,0x2a1ffec1,0x2200efff,0xff882fff,0xf84ffc86,
    0xffffffff,0x54003fff,0x0c4001cc,0x3222cc88,0x0000003c,0x00000000,
    0xffe98000,0x20cfffff,0xfffffffb,0xfb7fffff,0x5fff739f,0xfff70ff8,
    0xff13fc8d,0xf72ffccf,0x213ffe9f,0xff53fff8,0xffb8003f,0x25fffcdf,
    0xfffffffe,0xf2ffffff,0xfff109ff,0x3fffffa7,0xffffffff,0xff9bffb2,
    0xffc8009f,0x22002fff,0xfa803fff,0x0dffb2ff,0x7fde7fec,0x1ffd8fff,
    0x009fff90,0x3fffffea,0x7ffd100e,0x3ea37fe4,0x5fff10ff,0xffdfff90,
    0x203ffffb,0x364fffa8,0xffdabfff,0x17ffee0f,0x20bffe20,0xff881ffd,
    0x7ffffc1f,0x3fffffff,0x00000000,0x00000000,0x00000000,0xf9300000,
    0x54bfffff,0xaaaabfff,0xff52aaaa,0x85ffdfff,0xf75f71fd,0xff88fec7,
    0xfb97fe67,0x109fff4f,0x3fea7fff,0xffd8001f,0x2a0effff,0xaaaaaaaa,
    0xff0aaaaa,0x7fff309f,0x3f2aaaaa,0x0aaaaaff,0x3ffabffb,0xfff5003f,
    0x2001ffff,0xf003fff8,0x7fff1bff,0x7eeffdc0,0x7febffcf,0x00dfff50,
    0x3efbffea,0xffc80eff,0x207ffea6,0x3fea5ffd,0xfa7fdc0f,0x806fe9bf,
    0x3fe26ffe,0x23ffffff,0xfffffffa,0xfffff37f,0x3fe6ffff,0x517fee05,
    0x55555555,0x44003555,0x3ba2cccc,0xeeeeeeee,0x02eeeeee,0x00000000,
    0x00000000,0xffb30000,0x3ffe61ff,0x77f54001,0x4fb85db3,0x11ff15f7,
    0x33ffc4ff,0xa7fdcbff,0xff884fff,0x03fff53f,0x3bffae00,0xff800003,
    0x7fff445f,0x01bfea03,0x3fe2bffb,0x7fc401ff,0x06fffbef,0x007fff10,
    0x3feffff2,0x3bfea00f,0xfeff9dff,0xffff987f,0xefffa800,0x41dfff70,
    0xff10fffa,0x3ffe207f,0x3617ff63,0x16c53fe2,0xffb97995,0xfffd889f,
    0x7ffdc1ef,0xf37fffff,0xffffffff,0x33002662,0x20000003,0x7c3fffe8,
    0xffffffff,0x3fffffff,0x00000000,0x00000000,0x7ec00000,0x9fff11ff,
    0xf8800000,0x7f92fb9f,0x3ffc49fb,0x7fdcbff3,0xf109fff4,0x3ffea7ff,
    0x00000001,0xffe80155,0xffffb30f,0x037fd407,0xffa97ff6,0x3ffa00ff,
    0x07fffb1f,0x007fff10,0x3fffffe2,0x7fffcc05,0xbffffd2f,0x9bfffe88,
    0x3e219999,0x7fdc0eff,0xc8fff63f,0x7fdc06ff,0x05fff10f,0xf7027fc4,
    0x0bffffff,0xdd500998,0x2bdddddd,0xeeeeeee9,0x0000005e,0x7ff44000,
    0xfffff81f,0xffffffff,0x00003fff,0x00000000,0x40000000,0x3fffa009,
    0x80ffff60,0x2aaaaaa0,0x7dc0aaaa,0x41df902e,0x3fe67ff8,0x7fd3fee5,
    0x3fff884f,0x8003fff5,0xaaaaaaaa,0x3ff200aa,0x3fff200f,0xffffffef,
    0x01bfea03,0xffc8bffb,0x7fff906f,0x20ffffc4,0xfffeeeed,0x3604eeee,
    0x402fffff,0x327ffff8,0x7e44ffff,0xffffffff,0x03be61ff,0x42541fdc,
    0x0ce801ea,0x3e6006d4,0x3ffaa05f,0x00002dee,0x00000000,0x44000000,
    0x0000dffe,0x00000000,0x00000000,0xfb000000,0xffd9579d,0xffff88df,
    0x0fecccce,0xfffffffd,0xdff905ff,0x83dffb79,0x3fe67ff8,0x7fd3fee5,
    0x3fff884f,0x8003fff5,0xfffffffe,0x3ffe02ff,0x3ffe202f,0xffdcffff,
    0x01bfea03,0xffd0bffb,0x6fffa8bf,0x20efffa8,0xfffffffe,0x2a05ffff,
    0xf007ffff,0x7fccbfff,0x7ffec3ff,0xffffffff,0x006004c1,0x00000000,
    0x00000000,0x00000000,0x20000000,0x00000088,0x00000000,0x00000000,
    0x7fec0000,0xefffffff,0xfffffa80,0xfd0fffff,0xffffffff,0x3fffa605,
    0xfff104ff,0xff72ffcc,0x2213ffe9,0xfff53fff,0xfffe8003,0x02ffffff,
    0x3007fffa,0x327ffffd,0x3fea03ff,0x42ffec06,0xf13ffff8,0x3f601fff,
    0x3fffa5ff,0xffffffff,0x27fffc05,0x42fffe80,0x7ec2fffe,0xffffffff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffe40,0x2200cfff,0xfffffffd,0x4400000d,
    0x7fc401aa,0xfb97fe67,0x109fff4f,0x3fea7fff,0x0000001f,0x2003ed98,
    0x31000198,0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x35331000,0x35310003,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_30_latin_ext_x[560]={ 0,5,3,0,1,0,0,6,3,3,1,1,3,3,
5,1,0,1,1,2,0,2,1,1,1,1,5,3,1,1,2,4,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,2,1,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
6,1,0,0,3,1,1,3,0,0,2,1,3,3,0,1,1,5,6,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,2,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,1,2,2,0,0,2,
2,-4,-2,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_30_latin_ext_y[560]={ 22,1,1,2,-1,1,1,1,0,0,1,6,16,12,
16,1,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,25,1,6,1,6,1,6,1,6,1,0,
0,1,1,6,6,6,6,6,6,6,2,7,7,7,7,7,7,0,-2,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,22,6,0,2,3,2,
-2,1,1,2,2,7,12,12,0,1,0,3,1,0,1,7,1,10,22,1,2,7,1,1,1,6,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,-1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,3,1,1,1,1,1,1,1,
-2,1,-3,1,2,6,-3,1,-3,1,-3,0,-3,1,-3,0,2,1,-2,1,-3,1,-3,0,2,6,-3,1,-3,1,
-3,1,-3,0,2,0,-3,-4,2,1,-3,1,-2,1,-3,1,2,0,-3,7,2,0,-3,1,2,1,7,-3,-4,2,
1,0,0,2,1,2,1,-3,1,2,6,-3,1,-1,2,6,-2,1,-3,1,-3,1,2,6,-3,1,2,6,-3,1,
-3,1,-3,1,2,6,-3,1,2,2,-3,0,2,2,-3,1,-2,1,-3,1,-4,-1,-3,1,2,7,-3,1,-3,1,
-3,-3,1,-3,0,-3,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-7,-5,-3,1,-3,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_30_latin_ext_w[560]={ 0,6,11,16,15,17,17,5,11,10,14,15,9,10,
7,14,16,14,14,13,16,13,15,14,14,14,6,9,13,14,13,11,17,17,15,14,15,13,13,16,15,13,12,15,
13,16,15,16,15,17,15,14,15,15,17,17,17,17,14,9,15,9,15,17,11,14,14,14,14,14,16,15,13,13,
13,14,13,16,13,15,14,14,14,13,15,13,17,17,17,17,13,12,4,12,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,6,13,15,16,16,
4,15,14,17,11,14,14,10,16,13,12,14,10,10,16,15,15,7,5,10,12,14,17,17,17,11,17,17,17,17,
17,17,17,14,15,15,15,15,15,15,15,15,16,16,16,16,16,16,16,14,16,16,16,16,16,17,15,14,15,16,
15,15,15,15,17,14,15,16,15,15,15,16,15,15,15,15,16,16,16,16,16,15,15,15,16,15,15,17,14,17,
17,15,17,15,17,14,16,16,15,15,15,15,15,15,17,19,16,16,15,15,15,15,15,15,13,14,15,15,16,16,
16,16,16,16,16,16,16,15,17,15,15,15,15,15,15,15,13,14,15,13,15,15,14,14,15,14,14,15,15,13,
13,19,19,15,18,15,13,16,16,15,13,16,15,15,15,13,16,16,16,16,18,18,17,17,17,16,15,14,17,16,
15,16,15,15,14,13,15,15,15,15,16,20,15,15,16,15,16,15,16,15,16,15,18,18,15,14,17,17,17,17,
17,15,16,15,15,15,15,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,17,15,17,17,19,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,14,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_bold_30_latin_ext_h[560]={ 0,22,8,20,27,22,22,8,29,29,13,16,12,4,
7,25,21,20,20,21,20,21,21,20,21,20,17,22,18,10,18,22,29,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,26,20,21,20,21,20,20,20,20,20,28,25,28,11,4,7,17,22,17,22,17,21,23,21,22,
29,21,21,16,16,17,22,22,16,17,21,16,15,15,15,22,15,28,31,28,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,26,20,19,20,
31,25,7,21,16,14,8,4,16,7,12,19,12,13,7,21,25,7,5,12,16,14,21,21,21,22,25,25,25,25,
25,26,20,25,25,25,25,25,25,25,25,25,20,25,26,26,26,26,26,14,27,26,26,26,26,25,20,22,22,22,
22,22,22,24,17,21,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,23,22,22,22,22,28,27,28,
24,22,25,22,26,22,26,22,26,22,26,23,26,22,25,23,20,22,24,22,25,22,25,23,26,22,25,22,26,28,
26,28,26,29,27,29,25,26,20,21,25,21,24,21,25,21,26,28,25,15,21,29,26,28,27,28,15,25,26,27,
28,22,22,20,21,20,21,25,21,27,23,25,21,23,27,23,25,22,26,22,26,22,21,17,25,21,27,23,25,21,
26,22,26,22,25,21,26,22,27,27,25,23,20,21,26,22,25,22,26,22,27,24,26,22,26,21,25,21,25,28,
25,25,21,25,22,25,21,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,29,28,25,22,29,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,27,23,27,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_bold_30_latin_ext_s[560]={ 509,499,430,163,34,313,17,506,45,143,306,
148,502,499,477,184,370,350,288,439,415,485,1,49,174,335,505,49,392,383,406,
499,91,477,15,52,365,432,446,82,64,1,499,147,196,226,344,205,243,176,328,
67,210,222,129,310,292,274,259,282,348,222,367,415,457,487,298,472,371,15,17,
111,116,404,11,130,160,59,76,438,418,483,90,1,272,134,211,229,179,449,247,
335,1,322,413,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,509,500,80,
319,360,460,6,318,442,34,30,291,398,499,42,485,332,377,345,321,398,354,232,
469,506,356,105,276,241,223,205,498,482,229,380,313,300,311,397,86,263,279,247,
432,364,181,197,213,495,164,130,50,67,465,431,261,17,33,1,482,448,16,180,
214,198,181,165,149,133,465,454,124,82,65,49,33,238,422,156,108,456,276,423,
406,389,372,355,118,163,307,290,1,489,264,431,170,481,243,282,227,262,179,294,
210,398,440,98,15,210,323,448,127,112,472,417,274,367,194,334,147,280,259,266,
339,381,188,345,205,414,126,363,109,101,114,31,469,34,308,433,92,466,292,84,
292,398,197,76,75,18,307,50,348,164,199,329,66,232,331,351,80,186,96,172,
147,405,1,97,331,453,52,446,68,400,264,245,281,362,245,387,420,295,259,380,
82,166,139,194,59,160,1,1,340,111,17,477,493,350,31,381,189,94,467,383,
98,127,433,396,449,226,114,144,145,414,254,50,246,68,118,99,134,229,150,324,
35,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,215,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,57,154,248,386,25,413,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,462,1,477,493,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303, };
static unsigned short stb__consolas_bold_30_latin_ext_t[560]={ 1,33,227,206,33,138,161,33,1,1,227,
227,206,227,227,88,161,184,184,161,184,161,184,206,184,184,114,161,206,227,206,
88,1,184,206,184,184,184,184,184,206,206,161,206,206,206,206,184,206,33,206,
184,206,184,206,206,206,206,206,1,61,1,227,236,227,206,138,206,138,227,184,
114,184,138,1,184,184,227,227,206,138,138,227,227,184,227,227,227,227,138,227,
1,1,1,227,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,1,61,33,
184,206,184,1,88,227,184,227,227,227,227,227,227,227,206,227,227,236,161,88,
227,42,227,227,227,161,161,161,138,61,61,61,61,88,33,184,88,61,61,61,
61,61,61,61,61,184,61,61,61,61,33,33,227,33,61,61,33,33,88,206,
138,138,138,138,138,138,88,206,161,138,138,138,138,184,161,161,161,114,161,114,
114,114,114,114,227,114,114,114,138,114,1,1,1,88,114,88,114,33,114,33,
114,33,114,61,114,33,114,61,114,206,114,88,114,88,114,88,114,33,114,88,
114,33,1,33,1,33,1,1,1,88,61,206,161,88,161,88,161,61,161,61,
1,61,227,161,1,61,1,33,1,227,88,33,33,1,138,138,206,161,206,161,
61,161,33,114,61,161,114,1,114,88,138,33,138,33,138,161,206,61,161,1,
114,88,161,33,161,33,161,88,161,33,138,1,1,88,114,184,184,33,138,88,
138,33,138,1,88,33,138,33,184,61,184,88,1,88,88,184,88,138,88,161,
161,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,88,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,1,1,88,138,1,1,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,1,114,1,1,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184, };
static unsigned short stb__consolas_bold_30_latin_ext_a[560]={ 264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_30_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_30_latin_ext_s[i] + stb__consolas_bold_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_30_latin_ext_t[i] + stb__consolas_bold_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_30_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_30_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_30_latin_ext_x[i] + stb__consolas_bold_30_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_30_latin_ext_y[i] + stb__consolas_bold_30_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_30_latin_ext_s[i] + stb__consolas_bold_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_30_latin_ext_t[i] + stb__consolas_bold_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_30_latin_ext_x[i] + stb__consolas_bold_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_30_latin_ext_y[i] + stb__consolas_bold_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_30_latin_ext_LINE_SPACING
#endif

