// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT        346
#define STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_36_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_36_latin_ext_LINE_SPACING          24

static unsigned int stb__consolas_bold_36_latin_ext_pixels[]={
    0xeee97bba,0x99988005,0x00000019,0x2aaa0000,0x400001aa,0x00099999,
    0x30002ee2,0x2a600ddd,0x000aa801,0x000002ea,0x2a200003,0x10040002,
    0x0eee8800,0x65417baa,0x2ccccccc,0x132ea200,0x017bb620,0x3bb62000,
    0x6664c3ee,0x323ccccc,0xeeeeeeee,0x17bba603,0x76c40000,0xbcc8805e,
    0x3200000a,0xdd701eee,0x2000009d,0x40001bca,0x200000a8,0xd7009a98,
    0xfff83ddd,0x001bffe6,0x03dffff3,0x400007a6,0xfb0001ea,0x00009fff,
    0x04ffffd8,0x07fffe20,0x806ffd80,0x3604fffb,0x74402fff,0x20001fff,
    0xbdfffec8,0xfff88000,0x7fd4000e,0x00f7f445,0x3a29fff0,0xfff905ff,
    0x009fffff,0x0fffffb1,0x5ffffe88,0x3fa20000,0xffa82fff,0x26ffffff,
    0xfffffffe,0x3ffea04f,0xe8800006,0x4405ffff,0x00cfffff,0x7fffe400,
    0x5fffc80f,0x7f440000,0x44005fff,0x0001ffec,0x3ffff722,0x3ee3dfff,
    0x7ffc2fff,0x801bffe6,0x203ffff9,0x0001fff9,0x000fffd4,0x00bffff6,
    0xffffb000,0xfffc8005,0xfff1005f,0xfffff009,0xdffff501,0x6ffffb80,
    0xffff5000,0x001dffff,0x03ffffc8,0x917fffc0,0x5c00bfff,0xffffffff,
    0xfffff902,0xf8809fff,0x407fffff,0x5fffeffe,0xffe88000,0xfff500ef,
    0x74dfffff,0xffffffff,0x1bffea04,0x3ffa0000,0x2205fffe,0x06ffffff,
    0x3bfff200,0x7fe40eff,0x6c00005f,0x03ffdcff,0x07fffe20,0x7fffd400,
    0xffffffff,0x83ffff70,0x3ffe6fff,0xdfff3006,0xffffd803,0xfff50001,
    0x7fec009f,0x3ddd10ef,0x3fff6000,0xffd8000e,0xff5006ff,0xfff8805f,
    0xfffb81ff,0x7ffe407f,0xffc8006f,0xffffffff,0x3ff6000e,0x3e2004ff,
    0x3ff64fff,0x7fec006f,0x3204ffff,0xeeeeefff,0x7fffec03,0x3ff604de,
    0x04fff98e,0x3fffa200,0x77774c04,0x32e6fffe,0x4ffffccc,0x01bffea0,
    0x1dffb000,0x2209fff3,0x4ffffedc,0xafffb800,0x320effe8,0x00005fff,
    0x0bfb27fc,0x0ffffc40,0x7fffe400,0xffffffff,0x3ffff70f,0x3fe6fff8,
    0x3331006f,0x3fffa200,0x7fcc001f,0x32a004ff,0x7ffd43cc,0xeeec8000,
    0x3fea0003,0xffb003ff,0xfffd001f,0xffff101f,0xffffa809,0x7ffd4004,
    0xfff930af,0x7ffdc00b,0x7fec001f,0x13ffee1f,0x37bf6e00,0x17ffe402,
    0x3fffe600,0x0deeb802,0x000bbba6,0x00177764,0x406fff88,0x2a04fffd,
    0x00006fff,0xe9837bae,0xffb802ee,0x3a6000ff,0x3bb622ee,0x017fff24,
    0x749ff000,0x3fe2005f,0x7e4001ff,0xccefffff,0xf50fffed,0xfff83fff,
    0x101bffe6,0x005dfff9,0x01bfffa2,0x00bfffd0,0x05ffd800,0x00002600,
    0x50027fdc,0x36200555,0x3faa01ef,0x4ffb800c,0x77ffc400,0x01fffb00,
    0x001775c0,0x6540e5c4,0x20000003,0x4002fffc,0x0004fffb,0x00000000,
    0x06fff880,0x5027ffec,0x0000dfff,0xfd800000,0x000001ff,0x005fffc8,
    0x76ffe400,0x3e2002ff,0x22001fff,0x404fffff,0xffff50da,0x3e6fff83,
    0x7ff406ff,0x1002fffe,0x2009ffff,0x0006fffc,0xfff9a988,0xfffb8002,
    0x0000002f,0x00000000,0xfb000000,0xffe801ff,0x00000003,0x19800000,
    0x05fff900,0x02fffc80,0x00000000,0xfff88000,0x27ffec06,0x00dfff50,
    0x00198000,0x00bffee0,0x3ff20000,0x0000885f,0x09ffffb1,0xffeeeed8,
    0xeeeeeeff,0x7fffec0e,0xfffa8002,0xf37ffc0f,0x7fcc0dff,0xa801bfa3,
    0x5401ffff,0x0001ffff,0xfffffd91,0xfb8001ff,0x002fffff,0x03300000,
    0x00000000,0x7fff3000,0x00dff900,0x00000198,0x7f644000,0xeeeeefff,
    0x05fff93e,0x00fffd80,0x003dddd5,0x2a3dddd3,0x9801eeee,0x2201eeee,
    0x7ec06fff,0x3fea04ff,0xdddd106f,0xfec8801b,0xeeeeefff,0x3ffea03e,
    0xeeee9803,0xeeeeeeee,0x4d3fff22,0x00ceffec,0x800aa980,0xffffffff,
    0xffffffff,0x17fffe60,0x7fffd400,0xff37ffc0,0x17fd40df,0xfd800dfb,
    0x7ffc06ff,0xff30004f,0xffffffff,0x77fc4007,0xd306ffa9,0xdddddddd,
    0x64405ddd,0xeeeffffe,0x3bae3eee,0x3bbb604e,0x77777641,0xfb003eee,
    0x3fea00df,0x3fb2200f,0xeeeeefff,0x3dddd53e,0x3dddd300,0x3ffffee0,
    0xffffffff,0x005fff94,0x100fffd8,0x900bffff,0x7fc4dfff,0xffc805ff,
    0x7ffc406f,0x27ffec06,0x10dfff50,0x805ffffd,0xfffffffb,0x04ffffff,
    0x200fffea,0xfffffffa,0x323fffff,0xfffacfff,0xb80effff,0xff806fff,
    0xfffff1ff,0xffffffff,0x7fdc1fff,0xf30001ff,0xfff81fff,0x881bffe6,
    0x4ffdcfff,0x7fffcc00,0x0dfff502,0x3fffee00,0xffffffff,0x45ff3004,
    0xfff507fc,0xffffffff,0x3ffee07f,0xffffffff,0x3fff24ff,0x0bfffa05,
    0xfffffffd,0xfff1009f,0x5cde5cc7,0x701fff8d,0xffffffff,0x229fffff,
    0xc805ffff,0xff506fff,0xffffdfff,0x3f29ffff,0x7ec002ff,0x3ff200ff,
    0x7ffc00ff,0x7fffe43f,0x1ffffc00,0x01bffe20,0x5409fffb,0xffd86fff,
    0x7fd402ff,0xffffefff,0x2a04ffff,0xfa803fff,0xffffffff,0x3ff23fff,
    0xffffffef,0xffb86fff,0xffff806f,0xff755551,0x555557ff,0x37ffec15,
    0xffff3000,0x3e6fff81,0x7f4c06ff,0x90004fff,0x3f60bfff,0xf88003ff,
    0xfcbdffff,0x801fffff,0x1ff64ff8,0x7fffffd4,0x83ffffff,0xfefffffa,
    0x4fffffff,0xe817fff2,0x7ff42fff,0x04ffffff,0xf70fffb8,0x3effffff,
    0xfffa82ff,0xfffffeff,0x3ff24fff,0x7ffc00ff,0x9ffff03f,0x4ffffdc4,
    0x05fff909,0x00fffd80,0x80bfffe6,0x4c0ffffa,0x2a02ffff,0x4400ffff,
    0x7ec06fff,0x3fea04ff,0x7fffe46f,0x4ffff803,0x27fffee2,0x3ffea009,
    0xaaaa8804,0xfffeaaaa,0x3fffff23,0xffffccff,0x37ffdc2f,0x80ffffc0,
    0x001ffff8,0x330bfffd,0x4c333333,0xfff87fff,0x401bffe6,0x20000aa9,
    0x440ffffa,0x8000ffff,0x321ffffc,0x06ffffff,0xffdbffd0,0x2aaaa209,
    0xfffeaaaa,0x24ffff83,0x99ffffb8,0x817fff20,0x5542fffe,0x4fffeaaa,
    0xf55ffd80,0x2dffffff,0xfff82fff,0x3ffee24f,0x3fe6099f,0x3fea02ff,
    0xfff980ff,0x87fffb06,0x4002fffc,0x7400fffe,0x3f605fff,0xfffd05ff,
    0x2fffec0b,0x037ffc40,0xa813fff6,0x3fee6fff,0xff9804ff,0x7fffb06f,
    0x0bfff300,0x3fffa000,0x3fffff23,0x3fffe20c,0x037ffdc6,0x880ffffc,
    0xf001ffff,0xfff09fff,0x261fffff,0xfff87fff,0x301bffe6,0x00ffffff,
    0x217fffc0,0x8006fffb,0x7c2ffff8,0x1ffffeff,0xffffe880,0x7ff40005,
    0x37ffcc3f,0xc83fffd8,0x3fa05fff,0xffd802ff,0x3fff804f,0xfff9fffd,
    0xf30fffad,0x3ff60dff,0xbfffd03f,0x82fffec0,0xf503fffa,0xfffc89ff,
    0x3ffe2002,0xffffb807,0x2ffff880,0x01ffff70,0x005ffff1,0xd80dfff1,
    0x3ea04fff,0xffff36ff,0x3ffea00b,0x09fff503,0x01ffff10,0x7fffd000,
    0x82ffffe4,0x2e0ffffb,0xff806fff,0xfff101ff,0xfff1003f,0xfffff07f,
    0x3fe21fff,0x26fff87f,0x7e406fff,0x002fffff,0xd89fff90,0xc8003fff,
    0x7fcc6fff,0x03ffff9f,0x000b32e0,0x50ffffa0,0x3ea07fff,0xfffc84ff,
    0x0bfffa05,0x013fff60,0xff35fff1,0x757ffa5f,0x7ffd44ff,0x09fff503,
    0x203fffee,0x702ffff8,0x3ea09fff,0x7ffe44ff,0xfff91002,0xffff100b,
    0x0ffff707,0x41ffffc4,0x1007fffb,0xfd80dfff,0x3fea04ff,0x6ffff8ef,
    0x13ffee00,0x8027ffd4,0x001cfffe,0x91ffff40,0x2601dfff,0x3ee1ffff,
    0xfff806ff,0xffff101f,0xffff1003,0xffffff07,0x3ffe21ff,0x3a6fff87,
    0x7ff405ee,0x0004ffff,0xfe8bfff7,0xfd8002ff,0xb7fe43ff,0x2005fffd,
    0xd0000198,0xffb87fff,0x9fff504f,0x40bfff90,0xd802fffe,0x7d404fff,
    0x27ffc8ff,0x9ffd4fff,0x504fffb8,0x3e209fff,0xffb83fff,0x3ffe607f,
    0x85fff907,0x2602fffc,0x1fffffee,0x0dfffb00,0xd809fffd,0xffe86fff,
    0xfff1004f,0x4fffd80d,0x3bfffea0,0x2000efff,0xf907fff9,0x3ea005ff,
    0x00eeffff,0x23fffe80,0x2205fffc,0x3ee2ffff,0xfff806ff,0xffff101f,
    0x3fffe003,0xff999984,0xdfff10ff,0x000dfff0,0xfffffff1,0x3fea000f,
    0x0ffffc6f,0x17fff400,0x7fdd3ffa,0xffb5107f,0x03bfffff,0x0ffffa00,
    0x320ffff3,0xffc82fff,0x3fffa05f,0x4fffd802,0xfdb7fdc0,0x74fffe6f,
    0x7ffcc3ff,0x05fff907,0x7437ffec,0x7fc04fff,0x3fee1cff,0x7ffe40ff,
    0x3fffea02,0x3e6000ce,0x3fe21fff,0x7fcc00ff,0x3ffe21ff,0xfff1000f,
    0x4fffd80d,0x3ffffea0,0xf8003fff,0x3ee1cfff,0x26000fff,0x00fffffd,
    0x23fffe80,0x7c05fffc,0x3fee3fff,0xffff806f,0x3ffff101,0x17fffa00,
    0x41ffff10,0xfff86fff,0xfffb8006,0x001ffffe,0x7c7fff98,0xf8000fff,
    0x3fe61fff,0x0ffff71f,0x3ffffff6,0x004fffff,0xf83fffe8,0x3ee1cfff,
    0xffc80fff,0x3fffa05f,0x4fffd802,0xfeb7fe40,0x27fff15f,0xfff82ffe,
    0x3ffee1cf,0x3ffe600f,0x3fffe21f,0x7fffd400,0x3fffffff,0x202fffc8,
    0x1dfffffa,0x27fff400,0x200bfff7,0x3ee4fffe,0x3e2005ff,0x7fec06ff,
    0x3ffea04f,0x01ffffdf,0x7ffffd40,0x03ffffff,0x7ffff540,0xffe8000f,
    0x17fff23f,0x5c5ffff0,0xff806fff,0xfff101ff,0x3ff2003f,0x7ffc407f,
    0x21bffe0f,0xd8006fff,0xffffafff,0xfff88003,0x01fffe27,0x83fffe20,
    0x3fea7ffb,0xfffd80ff,0xffffffff,0x7ff4002f,0xffffa83f,0x3fffffff,
    0x40bfff90,0xd802fffe,0x7e404fff,0x269fff5f,0x5fff2fff,0xffffff50,
    0x007fffff,0x7dc9fffd,0xffb805ff,0xffffffff,0x05fff904,0x7fff6e4c,
    0x3fee001f,0x0bfffa7f,0xd3fffdc0,0x44005fff,0x7ec06fff,0x3fea04ff,
    0xfffff8ef,0x3ffee000,0x4fffffff,0x7fffdc00,0xe8000cce,0x3ff23fff,
    0x3ffe205f,0x1bffee1f,0x407fffe0,0x001ffff8,0x405ffff7,0x360ffff8,
    0x6fff84ee,0x8ffff800,0x8006fffc,0x3e27fff8,0x4c000fff,0x3fa0ffff,
    0x3fffea4f,0x09acfd80,0x0dffff51,0x83fffe80,0xfffffffb,0x3f204fff,
    0x3ffa05ff,0xfffd802f,0xfaffec04,0x3fff53ff,0xf703fff1,0xffffffff,
    0x3fee009f,0x0bfffa7f,0xfbbfff10,0x64019dff,0x32002fff,0x22005fff,
    0xff99ffff,0x3fe2007f,0x7fff99ff,0x37ffc400,0x813fff60,0xff36fffa,
    0x3e200dff,0xefffddff,0xfff8000c,0xfe80002f,0x3fff23ff,0x1fffea05,
    0xf00dfff7,0x3e203fff,0xf1002fff,0x2201dfff,0x2000ffff,0x54006fff,
    0xfff56fff,0xff98001f,0x0ffffc6f,0x3fffe600,0x545fff10,0x00107fff,
    0x001ffff5,0x221ffff4,0xfffddfff,0x7fe400ce,0x3fffa05f,0x4fffd802,
    0xffa7fec0,0x31fff53f,0xff881fff,0xcefffddf,0x3ffe2000,0x07fff99f,
    0x000fffc8,0x005fff90,0x003fffcc,0x3f33fff6,0x7ec004ff,0x4fffccff,
    0x37ffc400,0x813fff60,0x3f26fffa,0xfc804fff,0x200000ff,0x0005fff8,
    0x647fffd0,0x3fa05fff,0x7ffdc6ff,0x1ffff806,0x017fffe0,0x1fffffb8,
    0x00ffff88,0x001bffe0,0x3e27fff9,0x54002fff,0x7ff45fff,0x7fcc002f,
    0x8fff71ff,0x0006fffa,0x000ffffc,0xfc87fffd,0x320000ff,0x3fa05fff,
    0xffd802ff,0xa7fec04f,0xfff94fff,0xf90bff71,0x400001ff,0xffccfffd,
    0xfffe804f,0xfff90000,0xffff8005,0x3ffe6000,0x001fffff,0x7fffffcc,
    0x7c4001ff,0x7fec06ff,0x3ffea04f,0x1fffff46,0x003fffa0,0x4fff9800,
    0xfffd0000,0x82fffe47,0x5c3ffffb,0xff806fff,0x3ffa01ff,0x17311cff,
    0xdfffffd0,0xffffb77b,0x7c1ffe41,0x17bba6ff,0xfd0ffff4,0xfb800bff,
    0x7ffec4ff,0x7ffc4003,0xb8bffb1f,0x40005fff,0x2002ffff,0x7f43fffe,
    0x320000ff,0x3fa05fff,0xffd802ff,0xaffe404f,0xfffadffe,0xe83ffeaf,
    0x00000fff,0x3fffffe6,0xffd801ff,0xaaaaacff,0x0bfff201,0x01fffb00,
    0xfffffe80,0xffd0006f,0x000dffff,0x2a2dfff1,0xfffeaaaa,0xf51aaaad,
    0xfff88dff,0x3ff601ff,0xaaaaacff,0x7ffd4001,0xffd00003,0x77ffe47f,
    0xffff9319,0x0dfff70d,0x403ffff0,0xfffffffb,0xffa80fff,0xffffffff,
    0xff70ffff,0x6fff85ff,0x3e61bffe,0x7ffdc7ff,0x7fff4007,0x037ffe42,
    0x45ffffc0,0x7fec2fff,0xedca804f,0x2fffffff,0x0ffffa00,0x559ffffb,
    0xfc803555,0x3ffa05ff,0x2aaaa22f,0xaadfffea,0x5bff21aa,0xfffffffc,
    0xd80fffff,0xaaacffff,0xfe8001aa,0x006fffff,0xfffffff5,0x839fffff,
    0x4002fffc,0x4000fffd,0x3ffffffb,0xffff7000,0xf10007ff,0x3ffeedff,
    0xffffffff,0xfff55fff,0xfffff50d,0x3fffea01,0xffffffff,0xfffa801c,
    0xffd00003,0x7fffe47f,0xffffffff,0x6fffb81f,0x01ffff80,0x7ffffff4,
    0xfb100fff,0xffffffff,0x3ff61fff,0x37ffc4ff,0xff70dfff,0xffff98bf,
    0xffff1001,0x0ffff981,0x77ffec00,0x3e20fffa,0x3ae02fff,0xffffffff,
    0x3a002fff,0x7fd43fff,0xffffffff,0xffc81cff,0x3fffa05f,0x3ffffee2,
    0xffffffff,0x4dffee5f,0xffbfffff,0xff502fff,0xffffffff,0x2e0039ff,
    0x03ffffff,0x3ffffee0,0xffffffff,0x00bfff22,0x001fffb0,0x7fffff88,
    0x3ffe2000,0xf10007ff,0x3ffeedff,0xffffffff,0xfff55fff,0x3ffff20d,
    0x3fffee06,0xffffffff,0x7ffd402f,0xffd00003,0x7fffe47f,0xefffffff,
    0x0dfff701,0x00ffff88,0xffffffb8,0x7f5400ff,0xbeffffff,0x0fffff20,
    0x7ffcdfff,0x82fffd86,0x7004ffff,0x3fa09fff,0x7dc003ff,0x45ffefff,
    0x3207fffb,0xffffffff,0x002fffff,0x2e0ffffa,0xffffffff,0x642fffff,
    0x3fa05fff,0x3ffee2ff,0xffffffff,0x3fea5fff,0x23dff70f,0x5c02dffc,
    0xffffffff,0x802fffff,0x07fffff8,0x3bfffa20,0xffffeeee,0x5fff90ff,
    0x0fffd800,0xffffd800,0x7fec0003,0xf10003ff,0x3ffeedff,0xffffffff,
    0xfff55fff,0x7ffff40d,0xefffe885,0xffffeeee,0x3fea00ff,0xfd00003f,
    0x7ffe47ff,0x2effffff,0x03fffd40,0x001fffe6,0x00135531,0x01335310,
    0x3e1bffa2,0x1bffe6ff,0xb01ffff1,0x3a00dfff,0xff701fff,0x7c4001ff,
    0x23ffffff,0x703ffffa,0x335dffff,0x05ffff33,0x21ffff40,0xeeefffe8,
    0xffffffee,0x817fff20,0x3ee2fffe,0xffffffff,0x265fffff,0x08042fff,
    0xefffe880,0xffffeeee,0xffd800ff,0x3fa003ff,0xff9103ff,0x3fff25ff,
    0x7ffec002,0xfffd8000,0x7ec0000f,0x10000fff,0x0000dfff,0xfe800000,
    0xff9103ff,0x7fd405ff,0xff00003f,0x7ffe45ff,0x2000998d,0x201ffff8,
    0x0006fffb,0x10000000,0x9bffe035,0x7fd46fff,0xffff506f,0x6fffc801,
    0x13fffe20,0xfffff700,0xffffb77f,0x37ffec0d,0x005ffff0,0x3a17fffc,
    0xf9103fff,0x20005fff,0x0001ffff,0xff83fff7,0x3a00005f,0xf9103fff,
    0xfb005fff,0x2a001fff,0xff806fff,0x5fff93ff,0x1fffc800,0x7fffcc00,
    0x7fcc0003,0x220003ff,0x00006fff,0x3ea00000,0xfff806ff,0x3ffee03f,
    0xff880002,0x3fff20ff,0x7ffc0005,0xfffd105f,0xdfff1009,0x7ffc4000,
    0xfff00006,0x3237ffcd,0xffffffff,0x03ffffff,0x00bfffe6,0x003ffff7,
    0xffffffe8,0x02ffffff,0x440ffffe,0x1002ffff,0x7d41ffff,0xfff806ff,
    0xff98003f,0xf98000ff,0xfffc83ff,0xffa80000,0xffff806f,0x7fffcc03,
    0x3fff2003,0x7fffc406,0x005fff91,0x003fffb8,0x03bfffe2,0xffff8800,
    0x3e20000e,0x7fd406ff,0x7fc4004f,0x3ff2006f,0x7ffc406f,0x3fff201f,
    0x7e401801,0x7ffe47ff,0x7fe40005,0xeb99aeff,0x9800ffff,0x20003fff,
    0x0003fff9,0x7fcdfff0,0x7ffffc6f,0xffffffff,0x3ff605ff,0xfffd004f,
    0xffd8800d,0xefffffff,0x2ffffc01,0x97ffff4c,0x3fffe401,0x101bfff2,
    0x0003ffff,0x000ffff7,0x7cc1bffa,0x04400eff,0x80dfff90,0x201ffff8,
    0x00effff8,0x0ffffee0,0x93fffec4,0xa8005fff,0x3500efff,0x3fffff73,
    0xfb99a800,0x0001ffff,0x2037ffc4,0x4001fffc,0x2003fff9,0x103ffffb,
    0x4c0ffffb,0xe800ffff,0xfd9889be,0x7fe44fff,0x7c40005f,0xffffffff,
    0x7002ffff,0x40003fff,0x0001fffb,0x7fcdfff0,0x3fffe66f,0xffffffff,
    0xff907fff,0x3e6001df,0x4c005fff,0xefffffff,0xffffd004,0xffff7117,
    0x26fba5ff,0xffffd988,0x1ffffdc4,0x07fffd88,0xffa88d44,0xff0005ff,
    0x7fff40df,0x01fc981e,0x40ffffee,0x547fffd8,0xfffffb99,0x7ffc4001,
    0xfedcefff,0x3f21ffff,0x1aaaacff,0x5fffff40,0x3ffffe2a,0xf8002fff,
    0x2fffffff,0x55554400,0x6c06fffb,0xfb8007ff,0x3e2001ff,0xdcefffff,
    0x21fffffe,0xffffcaa8,0xffffd005,0x0dffffff,0x000bfff9,0xfffffd30,
    0x007fffff,0x00037fe4,0x0001bff2,0x3fe6fff8,0x37ffee6f,0xcaaaaaaa,
    0x7e42ffff,0x5c001fff,0x2004ffff,0x09a9effc,0x7fffdc00,0xffffffff,
    0xffffd2ff,0x0dffffff,0xdffffff1,0xfffffdb9,0xffff9803,0x000fffff,
    0x5bdffff0,0xfffffe88,0x01ffffee,0x3fffffe2,0xffffedce,0x7ffffc1f,
    0x50002fff,0xffffffff,0xc85fffff,0xffffffff,0x7fffd404,0x3fffe7ff,
    0xf0002fff,0x05ffffff,0xfffff500,0xff80dfff,0xffc8004f,0xfffa8006,
    0xffffffff,0x7ffc42ff,0xd001ffff,0xffffffff,0xfff903df,0x7dc0000b,
    0x0dffffff,0x027ff400,0x013ffa00,0x26fff800,0x3ffa6fff,0xffff802f,
    0x0bfffee4,0x7fffdc00,0x07fff004,0xffffd000,0xff79ffff,0x3ffffa5f,
    0x01efffff,0xfffffff5,0x05ffffff,0xffffff30,0x6c0007ff,0x883fffff,
    0xfffffffe,0x7d401fff,0xffffffff,0xff82ffff,0x002fffff,0x7fffdc40,
    0x903effff,0xffffffff,0xffff7009,0x7ffffcff,0x3fe0000c,0x0000cfff,
    0xfffffff5,0x7ffc40df,0x4ffe8002,0xfff71000,0x07dfffff,0x3bffffe2,
    0x3ffb2002,0x202fffff,0x0005fffc,0x00135300,0x0004ccc0,0x00026660,
    0x3e6fff80,0xffff16ff,0xdfffb001,0x0017ffd4,0x007ffee0,0x0007ffe6,
    0x7ffffe40,0x25fff52e,0xffffffec,0xffb8802f,0x3effffff,0x3fffe600,
    0x40001eff,0x02ffffc8,0xfffffd91,0x2e20039f,0xffffffff,0x3fffe03e,
    0x400000cf,0x8009a998,0xfffffffc,0xdb91004f,0x004d4cff,0x009a9800,
    0xffffa800,0x4c06ffff,0x33300019,0x33100001,0xff100135,0x4400079d,
    0x00001aa9,0x00000000,0x00000000,0x9bffe000,0xfff56fff,0x3ffee00b,
    0x000bea1f,0xa800fe40,0x400005ee,0x40009a98,0x0001aa98,0x0026a662,
    0x01aa9880,0x00110000,0x00009a98,0x004d4cc4,0x00009a98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0x6dbffe6f,0xf3003fff,0x00087fff,0x00000400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0x01bffe6f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x82666000,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01355300,0x00e65c00,0x5c099800,
    0xff806fff,0x3ae601ff,0x2000182c,0x40000099,0x54000009,0x000ccccc,
    0xfc813100,0xffffffff,0x2fffffff,0x99079910,0x0aaaa009,0x50006aaa,
    0x55545555,0x555501aa,0x40035550,0x2aa2aaaa,0x55001aaa,0x54000055,
    0x000ccccc,0x0aaaaa98,0x000dfff7,0xaaaaa800,0x06f2a002,0x7ffffec0,
    0x201cdeff,0xfffffffd,0x007fffff,0x15555530,0x4c066440,0x100000bc,
    0x20003ddd,0xffffffd8,0x74000dff,0xa80001ff,0x7ffdc5ff,0x1ffff806,
    0xdfffff70,0x200bf513,0xeffffec8,0xeda8001d,0x03efffff,0x3fffea00,
    0x6d40000e,0xf91fffff,0xffffffff,0x5fffffff,0x447ffe20,0xf3006ffc,
    0xffd11bff,0x7fe4001d,0xffff91ef,0x77ff4407,0x00effe88,0x23dfff90,
    0x003ffffc,0x009ffffb,0xbffff500,0xfff30001,0x7ffdc5ff,0x2e000006,
    0x800effff,0x05ffffe8,0xffffffd8,0x80dfffff,0xfffffffd,0x007fffff,
    0x2fffff98,0x83fffe20,0x0005fff9,0x001fff50,0xffffff90,0x003fffff,
    0x0000fff8,0x7dc4ffb8,0xfff806ff,0xffffa81f,0xffffffff,0x7fff4c01,
    0x03ffffff,0xfffffd30,0x000bffff,0x013fffea,0x3ffff600,0xfff91fff,
    0xffffffff,0x405fffff,0xfffffffd,0x3fa6003f,0x00efffff,0x437fff20,
    0x801efffc,0xffffffe8,0xfff9000e,0x3bfff21b,0xffffb001,0x54000bff,
    0x0003ffff,0x81bffff3,0x0006fffb,0x9ffff700,0x6e7fec00,0x7fec03ff,
    0xffffffff,0x7fec0eff,0xffffffff,0x7cc007ff,0x5400dfff,0x3f22ffff,
    0x80000fff,0xc8005ffd,0xffffffff,0x2001ffff,0x00007ff8,0xffb87ff9,
    0xffff806f,0xc9bff981,0x03ffffff,0x7fffffdc,0x04ffffff,0x7fffffc4,
    0x005fffff,0x02ffffa8,0xffffc800,0x9951ffff,0xffffb999,0x03999999,
    0x7fffff44,0xfe88005f,0x2000dfff,0x3f24fffc,0x744004ff,0x000effff,
    0x7e49fff9,0xfd1004ff,0xbfff53df,0xffff5000,0x3fe60003,0xfff703ff,
    0xf700000d,0xf8003fff,0xb017f64f,0xfd99dfff,0xd8bfffff,0xccccefff,
    0x2004cccc,0x003ffff9,0x543ffff3,0x10007fff,0x05fff353,0xfffffa80,
    0xfecbaabd,0x7f6dd401,0x000acdff,0xfb85ffb0,0xfff806ff,0xc985301f,
    0x7c402dfe,0xedceffff,0x201fffff,0x89bffffd,0x8004cb99,0x0000aaaa,
    0xcfffff98,0x7d400baa,0x20000fff,0x002deedb,0x01333220,0x4c599930,
    0x10002ccc,0x20019999,0x3262ccc9,0x32e002cc,0x333260cc,0x55554002,
    0x332e0000,0x3ffee01c,0x64400006,0xf8000ccc,0xb017fa4f,0xfa889fff,
    0x7fec7fff,0x5c00004f,0x5c001ccc,0x2ffd83ff,0x3ffb2200,0x000fffff,
    0x00ffffec,0xfffea802,0x2fffffff,0x83ffd000,0xf806fffb,0x00001fff,
    0x17fffe40,0x02ffffdc,0x0009fffd,0x0f32a000,0x1ffff200,0x7fffd400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0dfff700,
    0x00000000,0x3ffb7ff2,0x27ffec02,0x20ffffb8,0x0004fffd,0x00000000,
    0xffff9800,0x03ffffff,0x02ffff40,0xfffff900,0x5fffffff,0x7fdcc400,
    0x3ffee0af,0x1ffff806,0x3e200000,0x3f203fff,0xfff01fff,0x000000bf,
    0x20013ffa,0x0004fffe,0x001ffff5,0x30000000,0x00001355,0x26600000,
    0x99880019,0x54c00000,0xeec8009a,0x03eeeeee,0x04d54c00,0x006fffb8,
    0x06666000,0xffffb100,0x9fffb009,0x87fffe60,0x0004fffd,0x44000000,
    0xfb800099,0xffffffff,0x3e004fff,0x50006fff,0xffdfffff,0x005ffddf,
    0xfffffff5,0x3ffee1ff,0x1ffff806,0x201bffee,0x3f21ffff,0x7fcc07ff,
    0xfffd04ff,0x8000009f,0x4001fff8,0x001ffff8,0x01ffff50,0x00dfff70,
    0x4403ffff,0xfffffffd,0x7ffdc0df,0x1ffff806,0xfffd9500,0x4405bfff,
    0xdeffffec,0xffd88001,0x0dffffff,0xffffffd0,0xd88009ff,0xffffffff,
    0x1bffee0d,0xfeca8000,0x02dfffff,0x4002aa60,0xf504fffd,0x7fec1fff,
    0xffb8004f,0xffff806f,0x3ffb2201,0x8801deff,0xcbdfffff,0x01ffffff,
    0x09ffffd0,0x3dffff00,0x0d443ffa,0xfffffb10,0x2e1fffff,0xff806fff,
    0x3ffee1ff,0x1ffff806,0x2017fff6,0xf705fffe,0x003dffff,0xffc98800,
    0xfff98007,0xff50000f,0xff7001ff,0xffff00df,0x3ffff203,0x1fffffff,
    0x4037ffdc,0xd801ffff,0xffffffff,0xfff504ff,0x5fffffff,0x7fffe400,
    0x1fffffff,0xffffffd0,0x7e4009ff,0xffffffff,0x3ffee1ff,0xffb00006,
    0xffffffff,0xffff3009,0xfffb00ff,0x1ffff609,0x0009fffb,0xf00dfff7,
    0x3ea03fff,0xffffffff,0x7ffe402f,0x3ffff21f,0xff9006ff,0x0017dfff,
    0x7c7ffff1,0x7ff4007f,0xffffffff,0x0dfff70f,0x5c3ffff0,0xff806fff,
    0x3fffa1ff,0x6fffc803,0xfffffe88,0x10000cff,0xffffffb9,0xfff50009,
    0x7fd4000f,0xffb800ff,0xffff806f,0xfffffc81,0x1fffffff,0x4037ffdc,
    0x2601ffff,0xfffffffe,0xfb84ffff,0xffffffff,0xfc804fff,0xffffffff,
    0x99701fff,0x09ffff99,0x3fffff20,0x1fffffff,0x001bffee,0xfffffd30,
    0x09ffffff,0xffffff90,0x4fffd805,0x17fffecc,0x333bfff6,0x42cccccc,
    0xf806fffb,0xffb81fff,0xffffffff,0xfff104ff,0xfefff85f,0xf8801fff,
    0xcfffffff,0x3fffea01,0x400dff12,0xcaeffffc,0xf70ebcff,0xfff00dff,
    0x37ffdc3f,0xf0ffffc0,0xf9005fff,0xffe88fff,0xffffffff,0x7ffcc002,
    0x1fffffff,0x37ffdc00,0xffff5000,0xdfff7001,0x83ffff00,0xbdfffffa,
    0x41fecbaa,0xf806fffb,0xff101fff,0x99bfffff,0xff889ffd,0xfedcefff,
    0x2a01ffff,0xabdfffff,0x001fecba,0x2013fff6,0xbdfffffa,0x21fecbaa,
    0x0006fffb,0x3fffffe2,0x4ffeccdf,0xfffffe80,0x7ffec04f,0xfffffeef,
    0xffffd84f,0xffffffff,0x037ffdc4,0x220ffffc,0xdcefffff,0x81fffffe,
    0x7cc6fffc,0x3ffff9ff,0xfffff500,0x105dffff,0xf51dffff,0x3fe600bf,
    0x0bff25ff,0x201bffee,0x3ee1ffff,0xfff806ff,0x3ffff11f,0x8ffff700,
    0xffcffffc,0x004fffff,0xfffffff7,0x203fffff,0xffc99998,0x099999df,
    0x0ffffa80,0x06fffb80,0x6c1ffff8,0x0401ffff,0x4037ffdc,0xf901ffff,
    0x2203dfff,0x7fffec3a,0x5ffffb82,0x07ffff60,0xffd80010,0xfffd804f,
    0x3ee0401f,0x320006ff,0x101effff,0xfff88075,0x6c07ffff,0xffffffff,
    0xffb02dff,0xffffffff,0xfffb89ff,0x1ffff806,0x417fffec,0xd85ffffb,
    0x7fe43fff,0x00bfffb6,0x7fffff4c,0xff84ffff,0x4ffeffff,0x3ffff700,
    0x7dc0fff4,0xfff806ff,0x1bffee1f,0x4c7fffe0,0xb801ffff,0xff10ffff,
    0x3ff227ff,0x4405ffff,0xfacfffff,0x81ffffff,0xfffffffd,0x2fffffff,
    0x0ffffa80,0x06fffb80,0x741ffff8,0x70005fff,0xff00dfff,0xfff103ff,
    0xf98001df,0x3f203fff,0xffd00fff,0xb00000bf,0xfd009fff,0xf7000bff,
    0x22000dff,0x000effff,0xfefffb80,0x3f601fff,0xffffffff,0x3fff600d,
    0xffffffff,0x37ffdc4f,0x30ffffc0,0x6407ffff,0x7f40ffff,0xa7ff42ff,
    0x8007fffb,0xffffffda,0x7ffdc4ff,0x00dfffff,0x7c7fffc8,0xfffb80ff,
    0x1ffff806,0x201bffee,0xff31ffff,0xff7003ff,0x7fffd4ff,0x7ffff4c1,
    0x3fff203f,0xfffff30e,0xfffb0bff,0xffffffff,0xf5005fff,0xf7001fff,
    0xfff00dff,0x6ffff83f,0xdfff7000,0x03ffff00,0x005ffffb,0x80ffff90,
    0xf04ffff9,0x0000dfff,0x009fffb0,0x000dffff,0x000dfff7,0x00bffff6,
    0x57ffec00,0x3603ffff,0xffebdfff,0xffb00fff,0xff70009f,0xffff00df,
    0x03fffe43,0xf13fffe6,0x7fcc3fff,0x0ffff71f,0x7ffdc400,0x7e41ffff,
    0xffffffff,0x3fffa01d,0x5c1ffe25,0xff806fff,0x3ffee1ff,0x1ffff806,
    0x005ffff1,0x7d4dfff9,0xffb02fff,0x3fe20fff,0x3bff22ff,0x6c0ffffa,
    0xffffffff,0x02ffffff,0x00ffffa8,0x806fffb8,0x7f41ffff,0xb8004fff,
    0xff806fff,0xffff81ff,0xfffb0006,0xbfffd009,0x13ffffa0,0xfffb0000,
    0xffffd009,0xfffb8009,0xffff0006,0x7fc0000d,0x6fffc8ff,0x993fff60,
    0xfb05ffff,0xf70009ff,0xfff00dff,0x27ffec3f,0x12ffff40,0x7dc1ffff,
    0x3fffea7f,0xffb80000,0xfea84fff,0xffffffff,0x47ffff05,0xff706ff9,
    0xfff880df,0x1bffee0f,0x447fffe0,0xc803ffff,0x3fe25fff,0xffb00eff,
    0xfff503ff,0xff3fff8d,0x999883ff,0x99affff9,0xfa800999,0xfb800fff,
    0xfff806ff,0x7fffe41f,0xf7000bef,0xfff00dff,0xffff883f,0xffff0003,
    0xdfff9007,0x3fffff20,0xd80000be,0xfc804fff,0x00beffff,0x006fffb8,
    0x03ffff88,0xdfff5000,0x403fffea,0x7dc4fffd,0xffd82fff,0xffb8004f,
    0xffff806f,0x00ffffe1,0xf99bfff2,0x3ffa0fff,0x03fffea4,0x7ffd4000,
    0x3ff6a06f,0x85ffffff,0x3ea5fffe,0xffff505f,0x47fff980,0xf806fffb,
    0x3ffe1fff,0xfffe804f,0x77ffff44,0x2ffffa80,0x264fffb8,0xfffd0fff,
    0xffff8805,0x3fea0000,0xffb800ff,0xffff806f,0x7ffffc41,0x5c01cfff,
    0xff806fff,0x7ffcc1ff,0xfff0002f,0xfff9005f,0x3fffe20f,0x001cffff,
    0x013fff60,0x3fffffe2,0x3ee01cff,0xf98006ff,0x00002fff,0x3e27fff9,
    0xffb02fff,0xdffff09f,0x009fffb0,0x00dfff70,0x7fc3ffff,0xffc802ff,
    0x3fffe67f,0x545fff10,0x00007fff,0x2037fffc,0xfffffff9,0x7ffec3ff,
    0x4c13fee7,0x2e01ffff,0x7fdc6fff,0xffff806f,0x01ffffa1,0xa85ffff1,
    0x43ffffff,0xc81ffff9,0x3ff24fff,0x00ffff66,0x000ffff3,0x00ffffa8,
    0x806fffb8,0xfa81ffff,0xffffffff,0xdfff702e,0x83ffff00,0x001ffffa,
    0x01ffff98,0x207fffb8,0xfffffffa,0xd8002eff,0xf5004fff,0xffffffff,
    0xdfff705d,0xffff5000,0x3fa00003,0x3fffa1ff,0x09fffb05,0xd83ffff9,
    0xb8004fff,0xff806fff,0xffff31ff,0xffff7003,0xb8ffffcc,0x7ffd47ff,
    0x7fc00006,0x7fd404ff,0x6ffffd9d,0xc97fffe4,0xfff103ff,0x3ffa20bf,
    0x37ffdc3f,0x50ffffc0,0x6405ffff,0xff707fff,0x325dffff,0xfd80ffff,
    0x8fffe3ff,0x5403fffd,0x40006fff,0x800ffffa,0xf806fffb,0xfd301fff,
    0xffffffff,0x0dfff709,0xb83ffff0,0x8001ffff,0x801ffff9,0x200ffffb,
    0xffffffe9,0x6c004fff,0x26004fff,0xfffffffe,0x7ffdc4ff,0xfffb8006,
    0xf980001f,0x7ffdc7ff,0x09fffb07,0xd8bffff1,0xb8004fff,0xff806fff,
    0xffff31ff,0xffff7003,0x47fffe21,0x7fdc5ffd,0x00dcc05f,0x017fffe4,
    0xffe8ffee,0x7fffcc7f,0x261ffdbf,0x3bffff20,0xfffeb99a,0x37ffdc0f,
    0x10ffffc0,0x703fffff,0x5c07ffff,0xefffffff,0xf904ffff,0x3ffea9ff,
    0x00bfffa0,0x000bfff7,0x00ffffa8,0x806fffb8,0x5401ffff,0xfffffffd,
    0x37ffdc4f,0x20ffffc0,0x001ffffb,0x01ffff98,0x007fffb8,0xffffffb5,
    0x7ec009ff,0xda8004ff,0xffffffff,0x3bfffee4,0xeeeeeeee,0x07fffee3,
    0x3ffee000,0x0ffffcc5,0xd827ffec,0x3f61ffff,0xccccceff,0x7fdc4ccc,
    0xffff806f,0x03ffff31,0xf8ffff70,0xfff8bfff,0x027ffec2,0x2f37ffe6,
    0xfffffcba,0x17fe400f,0xfb0ffff9,0xbfffffff,0x7fc43ffb,0xffffffff,
    0xffb83fff,0xffff806f,0x7ffffe41,0xffffecce,0x7ff4400f,0xefffffff,
    0x2bfff700,0x3fe25ffc,0x7fe400ff,0x7d40004f,0xfb800fff,0xfff806ff,
    0xff71001f,0x5c3fffff,0xff806fff,0x7ffd41ff,0xff88002f,0xffc802ff,
    0x7dc4006f,0x01ffffff,0x009fffb0,0x7fffdc40,0xfff71fff,0xffffffff,
    0x7ffd49ff,0xfd80002f,0xffff82ff,0x04fffd84,0x6cbffff3,0xffffffff,
    0x7dc7ffff,0xfff806ff,0x5ffff11f,0x8dfff900,0xffaefffd,0x3fffe20f,
    0x7fffcc02,0xffffffff,0xffe801ff,0x217fff61,0xffffffe8,0x4c1fffff,
    0xfffffffe,0xff703fff,0xffff00df,0xfffffb03,0x3fffffff,0x7fffd400,
    0x2a00efff,0xfff9ffff,0x01fffee3,0x0013fff6,0x01ffff50,0x00dfff70,
    0x0003ffff,0x49fffff7,0xf806fffb,0x7fcc1fff,0xff0003ff,0xff9007ff,
    0x7dc000bf,0xb004ffff,0x00009fff,0x53ffffee,0xfffffffb,0x24ffffff,
    0x003ffff9,0x07fffc40,0x6c37ffec,0x3fa04fff,0xfffb1fff,0xffffffff,
    0x6fffb8ff,0x21ffff80,0xc803ffff,0x7fdc5fff,0x5c5ffeff,0xf9807fff,
    0xffffffff,0x6d42ffff,0x643ffe0a,0xb104ffff,0xffffffff,0xfd9103ff,
    0x019fffff,0x2037ffdc,0xd00ffff8,0xffffffff,0x320003ff,0x804fffff,
    0xfffeffff,0x07ffff10,0x007fffd0,0x0ffffa80,0x06fffb80,0x007fffc4,
    0x6ffffa80,0x101bffee,0xf881ffff,0xd0006fff,0xfd009fff,0xa80009ff,
    0xb006ffff,0x00009fff,0xbb7fffd4,0xffffffff,0x224fffff,0x0006ffff,
    0xa837ffd4,0x7ec0ffff,0x3fea04ff,0xffffb4ff,0xffffffff,0x06fffb8f,
    0xd07fffc4,0xfd009fff,0xfff889ff,0x3ea3ffff,0xc8803fff,0xfffffffe,
    0xfff503ef,0xffdfffdf,0x9801dfff,0xdffffffc,0xfffd8802,0x7fffa802,
    0x03fffcc0,0x3fffff6a,0x540000be,0xb807ffff,0x9dffffff,0x00fffffb,
    0x00ffffc4,0xfa800000,0x7fcc07ff,0x7fc0007f,0x3ffea6ff,0x3fffcc07,
    0x01fffff8,0x07fffd80,0x01ffffc4,0x37fffc00,0x04fffd80,0x7fffc000,
    0x7fc00006,0x20001fff,0xfffffffc,0x3fffffff,0x20000000,0x7d44fff9,
    0x7fcc07ff,0x3fffec7f,0x0ffffe20,0x3fffffee,0x6ffffdbb,0xaa998800,
    0xfffa8019,0xffffffff,0x2a000fff,0xf98005ff,0xff1003ff,0x7fdc03ff,
    0xfff3006f,0xfc80000f,0xff9007ff,0xffffffff,0xff7005ff,0x000000ff,
    0x0ffffc40,0x00dfff70,0x24ffff80,0x201ffff8,0xf706fffb,0x8001dfff,
    0x202ffffa,0x000ffffc,0x04ffff80,0x009fffb0,0x4ffff800,0x7fdc0000,
    0xf0000eff,0xffffffff,0x0bffffff,0x74000000,0xfff885ff,0x3ffee01f,
    0x17fffd46,0x01ffff90,0x3ffffffa,0x02ffffff,0x7d400000,0xffffffff,
    0x4000cfff,0xd8003ffb,0x7fc007ff,0xffd105ff,0x3fe2009f,0x001001ff,
    0x400dfffd,0xfffffffc,0xfd001fff,0x10000bff,0x7c00dfff,0xfd105fff,
    0x01b989ff,0x42ffffc8,0xd105ffff,0x7f409fff,0x7101efff,0x1ffffe87,
    0x03ffffb8,0xff900373,0x3f6005ff,0x0dcc04ff,0x17fffe40,0x009fff50,
    0x07bffffa,0x3fe61dc4,0xffffffff,0x807fffff,0x0006fff8,0xf01fffb8,
    0x3a20bfff,0xffe84fff,0xfffb81ff,0x3ff6203f,0xefffffff,0xff880001,
    0x65cc406f,0xbceffffe,0x5ff90000,0x0dfff000,0xeffffc80,0xfffeb99a,
    0x3ffa000f,0x85d512ff,0xb999acef,0x004ffffd,0x7ffffff4,0x955700ce,
    0x007fffff,0x07fff300,0x77fffe40,0xfffeb99a,0x6fffcc0f,0xfffcbabc,
    0x7fe40fff,0xeb99aeff,0x2a00ffff,0xdfffffff,0x5c4ffecc,0xccefffff,
    0x206ffffe,0xabcdfff9,0xffffffcb,0x9fffb000,0xcdfff980,0xffffcbab,
    0x3ff200ff,0xfff5001f,0xd99bffff,0xfffb89ff,0xaaaaaaad,0x402ffffc,
    0x0003fff9,0x900fffd8,0x335dffff,0x01ffffd7,0x9dfffff7,0x0dffffd9,
    0xffffff30,0x400009df,0x8003fff9,0x00002ffd,0xf0003ffb,0x005bdfff,
    0xfffffff1,0x05ffffff,0xfffffb80,0x3e0fffff,0xffffffff,0x2000efff,
    0x09acfff8,0xfffffe80,0x700005ff,0x44003fff,0xffffffff,0x982fffff,
    0xffffffff,0x81ffffff,0xfffffff8,0x02ffffff,0xffffffd8,0x44ffffff,
    0xffffffe8,0x02ffffff,0x3fffffe6,0xffffffff,0xaaaaa881,0xaaadfffe,
    0x3fffe61a,0xffffffff,0x7fec01ff,0x7ffec007,0xffffffff,0x17fff44f,
    0x027fffc0,0x0007ffee,0x37bfff60,0x7ffffc44,0xffffffff,0xffffd102,
    0xffffffff,0x3dff9005,0x00000135,0x0003fff7,0x00003ffd,0x20003ffe,
    0x03fffffc,0xfffffd30,0x007fffff,0x3fffff60,0x3fe4ffff,0xffffffff,
    0x7d4000ef,0xffe8007f,0x000effff,0x00dff900,0xfffffd30,0x207fffff,
    0xfffffff9,0x02ffffff,0x3fffffa6,0x003fffff,0x3fffffea,0x904fffff,
    0xffffffff,0xff9803df,0xffffffff,0xff702fff,0xffffffff,0x7ccbffff,
    0xffffffff,0xf802ffff,0xfa8004ff,0xffffffff,0x3ffe24ff,0xfffd800f,
    0x037fe406,0xffffa800,0xfffe985f,0x3fffffff,0xfffffc80,0x001effff,
    0x00007fff,0x00dff900,0x0003ffe0,0x0003ffc0,0x005ffff9,0xffffffb8,
    0x220000df,0xfffffffb,0x7fff6dc4,0x0002dfff,0xb000bffb,0x005bffff,
    0x04ffe800,0x3fffee00,0x2200dfff,0xffffffec,0x2e003eff,0xdfffffff,
    0xfec88000,0x0bdfffff,0x3ffffaa0,0xd91004ef,0xffffffff,0xfffb807d,
    0xffffffff,0x3b225fff,0xffffffff,0xfff1003e,0x3b220005,0xbdffffff,
    0x017ffea0,0x00ffffdc,0x00009ffd,0x027fffd4,0xfffffff7,0x7f54001b,
    0x004effff,0x0007ffe6,0x13ffa000,0x01ffe200,0x037fcc00,0x80000800,
    0x000009a9,0x055e5d44,0x80000880,0x0001eee8,0x80000022,0x00000999,
    0x10001353,0x00335533,0x00135300,0x00998800,0x00135100,0x4d54cc40,
    0x3ffee001,0xffffffff,0x33105fff,0x20003355,0x20000199,0x3f600998,
    0xff3003ff,0x4ccc07ff,0x01000000,0x0009a980,0x0009a880,0x0005eea8,
    0x01333000,0x00555100,0x00aaa200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2ceb9800,0x2aa00018,0x3aa0002a,
    0x3322002e,0x2a04cc83,0xffffffff,0x00ffffff,0x79301991,0x55550001,
    0x1bfffea0,0x003fff90,0x0000aaaa,0x0000aaaa,0x8002aaa8,0x4cc83cc8,
    0x0fffffa8,0x107fff20,0x00155555,0x0bbaa000,0xcccc8800,0x55300000,
    0x26001555,0x007fffff,0x02aaaaa2,0x09fffb00,0x017fffec,0xaaaaa980,
    0x0aaaa000,0x0b3ae600,0x15554006,0x4400d554,0x0bc980cc,0x77777440,
    0x7006eeee,0x13dfffff,0xfb000bf5,0x5000bfff,0x2003ffff,0xf911fff8,
    0x7ffd40df,0xffffffff,0xff880fff,0x3ffe60ff,0x7ffec005,0xffffa84f,
    0x3fff203f,0xffffd801,0x3ff60004,0xd80004ff,0x8005ffff,0x3fee2fff,
    0xfffffa87,0x07fff204,0x03bfffee,0xfff50000,0xfd10003f,0x0001dfff,
    0x2fffff98,0x3ffff200,0x3ee002ff,0x2000efff,0xf504fffd,0x2000bfff,
    0x02fffff9,0x13ffff60,0xfffffb80,0x805fa89e,0xe88dfff9,0x7c400eff,
    0x3fe60fff,0x7ffcc05f,0x07ffffff,0xffffffa8,0x01ffffff,0x3fffff60,
    0x7fe4005f,0x3f6004ff,0x3fffffff,0x3ffffea0,0xffffffff,0xffffa80f,
    0x03ffff22,0x7ffffec0,0x7fffd45f,0x3fff207f,0x7fffec01,0xfd8005ff,
    0x005fffff,0x3fffff60,0x7fe4005f,0x84ffffff,0x0ffffffa,0x203fff90,
    0x00efffe9,0x3fff2000,0x7f44004f,0x00efffff,0xbffff300,0xfffe8001,
    0x4c004fff,0x000efffe,0xf109fffb,0x0001dfff,0x01bffff3,0x7ffffec0,
    0xfffa805f,0xffffffff,0xffe9801f,0x800effff,0x322ffffa,0x2600ffff,
    0xffffffff,0xbff9807f,0xffffffc9,0x3fff6003,0x005fffa9,0x00ffffee,
    0xfffffe88,0x6664c05f,0xccffffdc,0xff980ccc,0x3ffea1ff,0xeffe8807,
    0x2a5fffa9,0x03ffffff,0x2203fff9,0xffa9effe,0xffd1005f,0x0bfff53d,
    0x53fffb00,0x4400bfff,0x5ffffffe,0xffffff50,0x07fff207,0x01dfff90,
    0x3ffee000,0x3fe6003f,0xeffe98df,0x7ffcc000,0xff88003f,0x007fffff,
    0x01dfff90,0xb09fffb0,0x0003ffff,0x007ffff3,0x54f7ff44,0x7cc05fff,
    0xffffc9bf,0x3a2003ff,0x000dffff,0x543ffff3,0x54407fff,0xaaaaaaaa,
    0xc9853002,0x2a002dfe,0x33220ccc,0xffd1002c,0x3b6e000d,0xf30002de,
    0x5c001fff,0x2ffd83ff,0x20cccb80,0xff52ccc9,0x320fffff,0x99701fff,
    0x16664c19,0x306665c0,0x54005999,0x33220ccc,0x76dc002c,0x3fea02de,
    0xf907ffff,0x995003ff,0x22000079,0x54006ffe,0x1aaa82aa,0x0e665c00,
    0xefffb800,0x0001ffff,0xb0079995,0xffa89fff,0x970004ff,0xcb800399,
    0x333260cc,0x32614c02,0x88002dfe,0xb8004ccc,0x2ffd83ff,0x00000000,
    0x00000000,0x00000cc0,0xfff98000,0x0000000f,0x7fd40000,0xc83fffff,
    0x00001fff,0x00000000,0x00000000,0x3fffffea,0x1fffc83f,0x80000000,
    0x00000019,0xb0000000,0xffff5fff,0x40000007,0x3e24fffd,0x00006fff,
    0x00000000,0x00000000,0x80000000,0x80000998,0x00000998,0x0000cccc,
    0x10003333,0x4c000133,0x0000ffff,0x40000000,0xfffefffa,0x01fffc87,
    0x31000000,0x88000013,0x400009a9,0xf5009a98,0x0dfffdff,0x2003fff9,
    0x00000998,0x2004d4c4,0x0004eeeb,0x00099880,0x323fffe0,0x00006fff,
    0x93fff600,0x001ffffd,0x00000000,0x00000000,0x00000000,0xffffd910,
    0x644003bd,0x1deffffe,0xffeca800,0x402dffff,0xfffffeca,0x3b2202df,
    0x01deffff,0x07fffcc0,0x01bffee0,0x3607fffe,0xffffffff,0xfff56fff,
    0xc87fffd9,0x3fee1fff,0xffff806f,0x3ffb2201,0x8001deff,0xfffffdc8,
    0xc8803dff,0xfffffffd,0x33ffea3d,0x7e42fffe,0x3b2201ff,0x01deffff,
    0xfffdc880,0xc83dffff,0x00005fff,0xdffffd91,0x7fd4003b,0x1ffff56f,
    0x037ffdc0,0xfd8ffffc,0xffff54ff,0xffff5007,0x7ffe401f,0x7ffffd41,
    0xffffffff,0x3fffea0f,0x3fff200f,0x3ffffea1,0x07fff200,0xfffffff5,
    0x1fffffff,0x3ffffea0,0x802fffff,0xfffffffa,0x36002fff,0xffffffff,
    0x3ff604ff,0xffffffff,0xfffff504,0x005fffff,0x007fffcc,0x201bffee,
    0xfd81ffff,0xffffffff,0x9fff56ff,0x641ffff5,0x3fee1fff,0xffff806f,
    0xfffff501,0x005fffff,0x7fffffd4,0x00ffffff,0x3fffffea,0x50ffffff,
    0xfff79fff,0x01fffc8d,0xfffffff5,0x54005fff,0xffffffff,0x7e40ffff,
    0xa80005ff,0xffffffff,0xff9002ff,0x3fffe27f,0x1bffee02,0x6c7fffe0,
    0xfff8cfff,0xfff5005f,0x7fe409ff,0x7fffd41f,0xffffffff,0x3ffea0ff,
    0x3ff204ff,0x3fffea1f,0x3fff204f,0x7ffffd41,0xffffffff,0xffffb80f,
    0xffffffff,0x3fffee04,0xffffffff,0x7fff4c04,0xffffffff,0xffffe984,
    0x4fffffff,0xffffffb8,0x04ffffff,0x01ffff30,0x806fffb8,0xfd81ffff,
    0xffffffff,0x9fff56ff,0xfc8ffffa,0x3ffee1ff,0x1ffff806,0xffffffb8,
    0x04ffffff,0xffffffc8,0x0fffffff,0xffffff90,0x1fffffff,0x3e33ffea,
    0x3ff21fff,0xffffb81f,0xffffffff,0xffffc804,0xffffffff,0x2fffe40f,
    0x3ffee000,0xffffffff,0xfffe804f,0x817fffa1,0xf806fffb,0xfffb1fff,
    0x01ffff99,0x3ffffea0,0x3fff900f,0xffffffa8,0xffffffff,0x3ffffea0,
    0x3fff900f,0x7fffffd4,0x83fff900,0xfffffffa,0x0fffffff,0x77ffffc4,
    0xfffffedc,0xfffff881,0xffffedce,0xffff101f,0xfd99bfff,0xffff889f,
    0xfeccdfff,0x7fffc44f,0xfffedcef,0xff9801ff,0x7fdc00ff,0xffff806f,
    0xcccccb81,0x56fffdcc,0x3fea9fff,0x3fff90ff,0x4037ffdc,0x7c41ffff,
    0xedceffff,0x201fffff,0xeffffffc,0x0fffedcc,0xffffffc8,0xfffedcce,
    0x329fff50,0x3ff25fff,0x7fffc41f,0xfffedcef,0x3ff201ff,0xdcceffff,
    0x7e40fffe,0x220005ff,0xdcefffff,0x01fffffe,0xf71fffe6,0x7fdc0fff,
    0xffff806f,0xffdfffb1,0x7d4005ff,0x903fffff,0xcc983fff,0xcffffdcc,
    0x3ea0cccc,0x903fffff,0x7fd43fff,0xf903ffff,0xccc983ff,0xccffffdc,
    0x7fec0ccc,0xfffb82ff,0xffffd85f,0x5ffffb82,0x3dffff90,0xff90ea20,
    0x2a203dff,0x17fffec3,0x02ffffdc,0x007fffcc,0x201bffee,0x8001ffff,
    0xff56fffb,0x9ffff49f,0x3ee1fffc,0xfff806ff,0x7fffec1f,0x5ffffb82,
    0x9fffff10,0x7c40da80,0x5404ffff,0x29fff50d,0xf90ffff8,0xfffd83ff,
    0xffffb82f,0xfffff105,0x640da809,0x20005fff,0xb82ffffd,0x2e05ffff,
    0x7fcc5fff,0xfff701ff,0x3ffff00d,0x3ffffff6,0x3ea001ff,0x907fffff,
    0xf3003fff,0xfa801fff,0x907fffff,0x7fd43fff,0xf907ffff,0xff3003ff,
    0xff9801ff,0x3ff203ff,0x3ffe60ff,0x3fff203f,0x7fffc40f,0x7fc4000e,
    0x4c000eff,0x3203ffff,0x4c00ffff,0x5c00ffff,0xff806fff,0xfb8001ff,
    0x9fff56ff,0x647fffd4,0x3fee1fff,0xffff806f,0x0ffffe61,0x80ffffc8,
    0x002ffffd,0x0bffff60,0x93ffea00,0xff94fffd,0x7fffcc3f,0x3ffff203,
    0x2ffffd80,0x3fff2000,0x26004c45,0x3203ffff,0xfb00ffff,0xffff05ff,
    0x1bffee09,0x6c7fffe0,0xfffedfff,0xfff5000e,0xf907ffff,0xff3003ff,
    0xffa801ff,0xc83fffff,0x3fea1fff,0xc83fffff,0xf9801fff,0x7e400fff,
    0x7fcc07ff,0x3fff24ff,0x7fffcc07,0x17fffec4,0x7fffec00,0xfffc8002,
    0x7fffcc07,0x7fffcc04,0x37ffdc00,0x00ffffc0,0xab7ffdc0,0x7ff44fff,
    0x21fffccf,0xf806fffb,0x3ff21fff,0x7ffcc07f,0x7fffcc4f,0x3fe60005,
    0xf50005ff,0x7ffcc9ff,0x21fffc8f,0x4c07fffc,0x7cc4ffff,0x40005fff,
    0xfb34fffc,0x3f209fff,0x7fcc07ff,0xfff884ff,0x6fffd80f,0x00dfff70,
    0x3f63ffff,0xffffacff,0xdfff5004,0xff90dfff,0xfff3003f,0xfffa801f,
    0xfc86fffe,0x3ffea1ff,0xfc86fffe,0xff9801ff,0x7fec00ff,0xfffe804f,
    0x013fff65,0xff17fffa,0x3e000dff,0xb0006fff,0xfd009fff,0xff980bff,
    0x7fdc00ff,0xffff806f,0xfffb8001,0xa89fff56,0xfffdffff,0x01bffee1,
    0xfd87fffe,0xffe804ff,0x7fffdc5f,0x3fee0001,0xf50001ff,0xfffe89ff,
    0x361fffcb,0xfe804fff,0x7ffdc5ff,0x7e40001f,0xffffbcff,0x7ec0efff,
    0xffe804ff,0x6fffa85f,0x01ffff50,0xf00dfff7,0x3ff63fff,0x5ffffb4f,
    0xd9fff500,0xffc85fff,0xfff9801f,0x7ffd400f,0x642fffec,0x3fea1fff,
    0x42fffecf,0x9801fffc,0x7c00ffff,0xfc803fff,0x3fffe6ff,0x6fffc803,
    0x00ffffe2,0x0ffffe20,0x1ffffc00,0x037ffe40,0x003fffe6,0xf00dfff7,
    0x70003fff,0x3feadfff,0xffffe84f,0x3fee1fff,0xffff806f,0x00ffffe1,
    0xfb1bfff2,0xd8000dff,0x20006fff,0x7d44fffa,0x1fffceff,0x200ffffe,
    0x7ec6fffc,0xc80006ff,0xffffefff,0x7c3fffff,0xfc803fff,0xfffc86ff,
    0xffffffff,0xffb83fff,0xffff806f,0x229fffb1,0x400fffff,0xffbcfffa,
    0x0fffe46f,0x07fffcc0,0x2f3ffea0,0x7fe46fff,0x33ffea1f,0x7e46fffb,
    0xff9801ff,0x7ffc00ff,0xfffc802f,0x00bfffe7,0xf99ffff2,0x98002fff,
    0x0002ffff,0x9005ffff,0xf980ffff,0x7dc00fff,0xfff806ff,0xffb8001f,
    0x09fff56f,0xfffffff5,0x037ffdc3,0xff0ffffc,0xff9005ff,0x5fffe8ff,
    0x99999998,0x42ffff41,0x19999999,0x3a13ffea,0x1fffffff,0x200bfffe,
    0x7f47fffc,0x999985ff,0xffc81999,0xfdcfffff,0x7ffc7fff,0xfffc802f,
    0xffffff87,0xffffffff,0x6fffb85f,0xb1ffff80,0x7fdc9fff,0x7fd405ff,
    0x1ffff8cf,0x2007fff2,0x400ffff9,0xff8cfffa,0x3fff21ff,0x233ffea1,
    0x3f21ffff,0xff9801ff,0x3fe600ff,0xffb801ff,0x3ffff37f,0x4ffff700,
    0x001ffffa,0x01ffffa8,0x1ffff980,0x07fffb80,0x007fffcc,0x201bffee,
    0x8001ffff,0xff56fffb,0x3fffa09f,0x3fee1fff,0xffff806f,0x03ffff31,
    0xf8ffff70,0xfff84fff,0x3e0fffff,0xfff84fff,0xf50fffff,0xfff709ff,
    0x3e63ffff,0xfb801fff,0x7fffc7ff,0xffffff84,0x7ffe40ff,0x3fea0cff,
    0xffff30ff,0xffff7003,0xffffff98,0xffffffff,0x6fffb87f,0xb1ffff80,
    0xffe89fff,0x3fea02ff,0x4bfff94f,0x9801fffc,0x5400ffff,0xfff94fff,
    0x50fffe4b,0x3ff29fff,0x07fff25f,0x03fffe60,0x01ffff98,0x98ffffb8,
    0xb801ffff,0xff70ffff,0xf70003ff,0x30003fff,0x7003ffff,0x4c01ffff,
    0x5c00ffff,0xff806fff,0xfb8001ff,0x9fff56ff,0x3ffffea0,0x1bffee1f,
    0x4c7fffe0,0xb801ffff,0xff10ffff,0xffff07ff,0x3e21ffff,0xfff83fff,
    0xf50fffff,0xfff109ff,0x3e63ffff,0xfb801fff,0xfff10fff,0xfffff07f,
    0xffc81fff,0xfff885ff,0x3ffff31f,0x1ffff700,0x556fffdc,0xffcaaaaa,
    0x7ffdc2ff,0x1ffff806,0xf989fffb,0xf500ffff,0x3ffe29ff,0x03fff90f,
    0x01ffff30,0xf14fffa8,0x3ff21fff,0x53ffea1f,0xf90ffff8,0xff3003ff,
    0x7fcc01ff,0xffb801ff,0x3ffff37f,0x4ffff700,0x001ffffb,0x01ffffb8,
    0x1ffff980,0x27fffb80,0xffdcccc9,0x0cccccff,0x201bffee,0x8001ffff,
    0xff56fffb,0x7fff409f,0x3ffee1ff,0x1ffff806,0x003ffff3,0x7c4ffff7,
    0xfff83fff,0xf10fffff,0xfff07fff,0x2a1fffff,0xff904fff,0x3e63ffff,
    0xfb801fff,0x3ffe27ff,0xfffff83f,0x7fe40fff,0xffff00ef,0x07fffe65,
    0xd1fffee0,0xff005fff,0xfffb89ff,0x1ffff806,0xf909fffb,0x3ea0bfff,
    0x3fff64ff,0x003fff94,0x801ffff3,0x3f64fffa,0x3fff94ff,0xfb27ffd4,
    0x3fff29ff,0xffff9801,0x3fffe200,0x6fffc802,0x005ffff1,0x7d4dfff9,
    0xa8002fff,0x8002ffff,0x802ffff8,0x3ea6fffc,0xffffffff,0x2e0fffff,
    0xff806fff,0xfb8001ff,0x9fff56ff,0x7ffffd40,0x01bffee1,0x7c47fffe,
    0xfc802fff,0x7fffc6ff,0xff999984,0x3fffe0ff,0xff999984,0x9fff50ff,
    0x3ffffe20,0x5ffff11f,0x8dfff900,0x9984ffff,0x40ffff99,0x3a05fffc,
    0xfff12fff,0xfff9005f,0x07fffc4d,0x237ffec0,0xf806fffb,0xfffb1fff,
    0xfffff109,0x49fff505,0xfc8ffff9,0xff9801ff,0x7fd400ff,0x3fffe64f,
    0x2a1fffc8,0x3fe64fff,0x1fffc8ff,0x0ffff980,0x01ffffc0,0xff2fffe4,
    0xff9007ff,0x7fffccbf,0xfff98003,0xfff0003f,0xfff9007f,0x7ffffd4b,
    0xffffffff,0x1bffee0f,0x007fffe0,0x55bffee0,0x7f404fff,0x3fee1fff,
    0xffff806f,0x00ffffe1,0xfd17fff2,0xff880bff,0x3fffa0ff,0x7fffc405,
    0x409fff50,0x21fffffd,0xc803ffff,0x7ff45fff,0x7ffc405f,0x2fffe40f,
    0x7c5fffd0,0xfc803fff,0x3ffea5ff,0xffff7005,0x037ffdc3,0xfd8ffffc,
    0xfff504ff,0xfffa81ff,0x65ffff44,0xf9801fff,0x7d400fff,0x7fff44ff,
    0x2a1fffcb,0x7ff44fff,0x01fffcbf,0x00ffff98,0x4027fff4,0x3fa4fffe,
    0xffe804ff,0x3fffe24f,0xfff88006,0xffd0006f,0xfffd009f,0x7ffffd49,
    0xffffffff,0x1bffee0f,0x01ffff10,0x2dfff700,0x5404fffa,0x3ee1ffff,
    0x7fc406ff,0x3fffa0ff,0x4fffe804,0x203fffe4,0x320ffff8,0x7c407fff,
    0xfff50fff,0x7fffcc09,0x13fffa1f,0x913fffa0,0xf880ffff,0x7fe40fff,
    0x3fffa05f,0x013fffa2,0xfd93fffa,0xff3003ff,0x7ffdc7ff,0x7fffc406,
    0x409fffb0,0x545ffffd,0x7fd44fff,0x01fffcef,0x00ffff98,0x2a27ffd4,
    0xfffcefff,0x513ffea1,0xfff9dfff,0xffff3003,0x7fffd801,0x1ffffc40,
    0x880ffffb,0x7fc3ffff,0xf8001fff,0x8001ffff,0x4407fffd,0x8003ffff,
    0x7d45ffe8,0x7fcc07ff,0xff90007f,0x3e2000df,0x3fea0fff,0x7ffcc07f,
    0x03fffec7,0x70ffffe2,0x4405ffff,0x3ee0ffff,0x3e202fff,0x00000fff,
    0x80ffffb0,0x5c3ffff8,0x2202ffff,0x7e40ffff,0x3ffa05ff,0x1ffff62f,
    0x07ffff10,0x3fff7000,0x407fffa8,0x0007fff9,0x13ffea00,0x3ffffffa,
    0xfff9801f,0x7ffd400f,0xfffffe84,0x3ffea1ff,0xfffffe84,0xff9801ff,
    0x7fd400ff,0x3ff202ff,0x3ffea0ff,0x3fff202f,0x7fffdc0f,0x7fdc000e,
    0x54000eff,0x3202ffff,0x8000ffff,0xff886ffe,0x3fee01ff,0xffd0006f,
    0x3e60009f,0x7ffc47ff,0x3ffee01f,0x17fffd46,0x81ffff90,0x00effff8,
    0x441ffff1,0x100effff,0x0001ffff,0x3fffea00,0x3ffff202,0x77fffc40,
    0x1ffff100,0x205fffc8,0x3ea2fffe,0x3f202fff,0x40000fff,0xf882fffa,
    0x3ee01fff,0x000006ff,0x2e13ffea,0x1fffffff,0x0ffff980,0x427ffd40,
    0xfffffffb,0x213ffea1,0xfffffffb,0xffff9801,0xffffe800,0x3ffffb81,
    0x81ffffe8,0xd03ffffb,0x203dffff,0x7fff43b8,0x877101ef,0xb81ffffe,
    0x8003ffff,0xff02fffa,0x3fa20bff,0x201904ff,0x003ffffa,0xf0dfffb0,
    0x3a20bfff,0xffe84fff,0xfffb81ff,0xffff703f,0xffff103f,0xfffffb81,
    0x0ffff881,0x037ffc40,0x03ffffd0,0x207ffff7,0x81fffffb,0x640ffff8,
    0x3fa05fff,0x7fff42ff,0xffffb81f,0xffe80003,0x17fffe06,0x027fff44,
    0x801bffe2,0xf884fffa,0x01ffffff,0x00ffff98,0x4427ffd4,0x1fffffff,
    0x2213ffea,0x1fffffff,0x0ffff980,0xfffffb80,0xffffecce,0xfffff706,
    0xffffd99d,0x7fffd40d,0xfeccdfff,0x7fffd44f,0xfeccdfff,0x7fffdc4f,
    0xfffeccef,0xff90006f,0x3fff203f,0xfeb99aef,0xbff00fff,0xffff9557,
    0x75cc001f,0xfc84ffff,0xb99aefff,0xb80ffffe,0xccefffff,0x406ffffe,
    0xdefffffe,0x0ffffdbb,0xefffffe8,0xffffdbbd,0x1fffcc00,0xfffff700,
    0xffffd99d,0xffffe80d,0xffdbbdef,0x7ffe40ff,0x0bfffa05,0x9dfffff7,
    0x0dffffd9,0xbfff1000,0x77fffe40,0xfffeb99a,0x7ffcc00f,0x3ffea003,
    0xfffff904,0xcccc983f,0xcccffffd,0x3ffea0cc,0xfffff904,0x27ffd43f,
    0xffffffc8,0x6e6664c1,0xccccffff,0x7fff440c,0xffffffff,0xfffd102f,
    0xffffffff,0xfffd805f,0xffffffff,0xffffd84f,0xffffffff,0x7ffff444,
    0xffffffff,0xfff90002,0xfff88bbf,0xffffffff,0x3ffe02ff,0xffffffff,
    0x7fffc003,0xfff106ff,0xffffffff,0x3fa205ff,0xffffffff,0x7d402fff,
    0xffffffff,0xa80fffff,0xffffffff,0x00ffffff,0x000fffdc,0xffffffd1,
    0x05ffffff,0xffffffa8,0xffffffff,0x02fffe40,0xe885fffd,0xffffffff,
    0x0002ffff,0xdeffff88,0x7ffffc41,0xffffffff,0x1fffb802,0x13ffea00,
    0x7fffffc4,0x7ffffd41,0xffffffff,0x13ffea0f,0x7fffffc4,0x413ffea1,
    0x1ffffff8,0x7fffffd4,0xffffffff,0xfffff900,0x003dffff,0xfffffff9,
    0x2a003dff,0xffffffff,0xff504fff,0xffffffff,0x3fff209f,0x1effffff,
    0x3ffe6000,0xffe986ff,0xffffffff,0x7ffffc03,0x004fffff,0x1ffffff8,
    0x3ffffa60,0x03ffffff,0xffffffc8,0x1001efff,0xfffffffb,0x201fffff,
    0xffffffd8,0x00ffffff,0x80037fe4,0xfffffffc,0xb1001eff,0xffffffff,
    0xfc81ffff,0x3ffa05ff,0xffff902f,0x03dfffff,0x7fff4000,0xffe982ff,
    0xffffffff,0x0dff9003,0x04fffa80,0x07fffff6,0xfffffff5,0x1fffffff,
    0xb027ffd4,0x543fffff,0x3f604fff,0x7d41ffff,0xffffffff,0x200fffff,
    0xefffffea,0x7ff54004,0x8004efff,0xfffffec8,0x32200bdf,0xdffffffe,
    0x3ffaa00b,0x0004efff,0x0bfffd50,0x7fffffdc,0xfda800df,0x01dfffff,
    0x07dfff00,0x7ffffdc0,0x2a000dff,0x4efffffe,0xfffd5000,0x017dffff,
    0xfffffd50,0xd0017dff,0x540009ff,0x4efffffe,0xfffd5000,0x017dffff,
    0x740bfff9,0x3aa02fff,0x04efffff,0xffc88000,0x3fee01ff,0x00dfffff,
    0x0013ffa0,0x4c09fff5,0x541fffff,0xffffffff,0x20ffffff,0x2604fffa,
    0x2a1fffff,0x3e604fff,0x7d41ffff,0xffffffff,0x000fffff,0x00001351,
    0x00001351,0x00004cc4,0x20001331,0x000009a8,0x35300020,0x4ccc0001,
    0x09a80000,0x04d4c000,0x04d44000,0x35310000,0x4c400013,0x4c00099a,
    0x10000099,0x40000135,0x40099a98,0x3a05fffc,0x51002fff,0x00000013,
    0x26a60002,0x13330000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaa200,0x2a60001a,
    0x5440aaaa,0x0000aaaa,0xc980cc88,0x1555400b,0x4c00d554,0x55540aaa,
    0x55550002,0x2deb8000,0xdb955000,0x03dddddd,0x55555300,0x55530001,
    0xcc880155,0x8804cc83,0xeeeeeeee,0x5554406e,0x200000aa,0x20002aaa,
    0x0182ceb9,0x002aaa80,0x99079910,0x554c0009,0x55500009,0x19910005,
    0x00017930,0x15555530,0x00b7ae00,0x93019910,0x2aaa0017,0x101aaa82,
    0x22000001,0x003ffffe,0x3ffffe60,0xdffff702,0x7fc40001,0x3ffe60ff,
    0x6fffcc05,0x00effe88,0x363fffb0,0xd8001fff,0x0004ffff,0x003ffff5,
    0x7fffffdc,0x02ffffff,0x7ffffcc0,0xfff98002,0xff8802ff,0x0dff911f,
    0xffffff30,0xf700ffff,0x0001dfff,0x09ffffb0,0xfffff700,0x00bf513d,
    0x027fffec,0x88fffc40,0x22006ffc,0xfffffffd,0xffb000df,0x7c4009ff,
    0x3fe60fff,0x7cc0005f,0x5002ffff,0x2003ffff,0x260ffff8,0xf3005fff,
    0xffd11bff,0x4ffe881d,0x001ffe44,0x07ffffa2,0xffff9800,0x7ff4c00d,
    0xf50000ef,0x7fe45fff,0x7f4c00ff,0x00efffff,0x7f7ffec0,0xfd8001ff,
    0x005fffff,0x03ffffd8,0xffffff98,0xffffffff,0x3ffe6002,0xf98000df,
    0x2000dfff,0xfffffffd,0xfff9803f,0x07ffffff,0x1dfffd30,0x7ffec000,
    0x2a005fff,0xffffffff,0xd801ffff,0x05ffffff,0xfffffd80,0xf9003fff,
    0xffffffff,0xffb003ff,0x200bffff,0x322ffffa,0x0000ffff,0x01bffff3,
    0x1ffffec0,0x2ffffa80,0x003ffff2,0x7fffff4c,0xfffc80ef,0x3ffff62f,
    0xfffb1003,0x7cc0001b,0x64003fff,0x8000efff,0x2a1ffff9,0xd1007fff,
    0x001bffff,0x3fffff60,0x7ff44001,0x05fffa9e,0x17fffe40,0x3ffffa20,
    0xffccffff,0xff3002ff,0x260007ff,0x8003ffff,0xffffffe8,0x55551005,
    0x00555555,0x00efffc8,0x4f7ff440,0x3005fffa,0xfff937ff,0xe8807fff,
    0xfffa9eff,0x7ff44005,0x9005ffff,0xffffffff,0x4403ffff,0xffa9effe,
    0xfff9805f,0x1fffea1f,0x7fffcc00,0xfffc8003,0xfff3002f,0x3fffd43f,
    0x3fffa200,0xfffb00df,0x3fffe29f,0x9995007f,0x99700007,0x32a00039,
    0xf70003cc,0x05ffb07f,0x02666440,0x0e665c00,0x06665c00,0x40059993,
    0xd805ffe8,0xffffffff,0x00bfffa6,0x000e665c,0x00399970,0x2deedb80,
    0x00000000,0x80079995,0x3260cccb,0x853002cc,0x802dfec9,0x3260cccb,
    0xdb8002cc,0xf5002dee,0x557bffff,0x5c03fd97,0x33260ccc,0x3ffb802c,
    0x0002ffd8,0x00039997,0x0017ffa2,0xffb07ff7,0x99910005,0xffffc809,
    0xffffff12,0x00000000,0x00000000,0x00000000,0x00000000,0x0cc00000,
    0x7ffffc40,0x3fa6ffff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x007ffff6,0x00000001,0x00000000,0x00033000,
    0x00000000,0xe89ffb10,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffa80000,0x6fffffff,0x000bfffa,0x00000000,0x7fdc0000,
    0xffff806f,0x00000001,0x00000000,0x00000000,0x2ffff400,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffe98088,0xffffd80e,0x01cdefff,
    0xffffffa8,0xffffffff,0x7fffcc00,0x7fec007f,0xffffffff,0x7ffe47ff,
    0xffffffff,0x5c2fffff,0xefffffff,0x3f6002bc,0xffffffff,0xffa87fff,
    0xffffffff,0xff90ffff,0xdfffffff,0x6c17fff4,0xffffffff,0x3f27ffff,
    0xf9801fff,0x7fd42fff,0xffffffff,0x3ee0ffff,0xfff806ff,0xffffd81f,
    0xffffffff,0x00bffea7,0x541fffb8,0xffffffff,0x90ffffff,0x3003ffff,
    0x9805ffff,0x007fffff,0x000dffff,0x301fffea,0x3f21ffff,0xf9801fff,
    0x7ff42fff,0xffffffff,0x7f46ffff,0xffffffff,0x406fffff,0x07fffff9,
    0x3fffffa0,0xffffffff,0x004c006f,0xfffffffb,0x401bffff,0xfffffffa,
    0x0fffffff,0x7ffffe40,0x3ff6002f,0xffffffff,0x7ffe47ff,0xffffffff,
    0x5c2fffff,0xffffffff,0xd802efff,0xffffffff,0xfa87ffff,0xffffffff,
    0xf90fffff,0xffffffff,0x417fff4d,0xfffffffd,0x227fffff,0xd804ffff,
    0xffa86fff,0xffffffff,0x3ee0ffff,0xfff806ff,0xffffd81f,0xffffffff,
    0x00fffea7,0x540fffb8,0xffffffff,0x10ffffff,0xb009ffff,0xf900dfff,
    0x005fffff,0x009ffffd,0x80ffff50,0xf10ffff9,0xfb009fff,0xfffd0dff,
    0xffffffff,0xffe8dfff,0xffffffff,0x6406ffff,0x02ffffff,0xffffffd0,
    0xffffffff,0x002776cd,0xffffffd8,0x0effffff,0xffffff50,0xffffffff,
    0xffffe801,0x3f6004ff,0xffffffff,0x7fe47fff,0xffffffff,0x42ffffff,
    0xfffffffb,0x0dffffff,0x3fffff60,0x7fffffff,0xffffffa8,0xffffffff,
    0xffffff70,0x7ff4dfff,0xffffd82f,0xffffffff,0x07fffe47,0x05ffff30,
    0xfffffff5,0x1fffffff,0x4037ffdc,0xfd81ffff,0xffffffff,0x3fe67fff,
    0x3fee003f,0x7fffd40f,0xffffffff,0x3fff20ff,0x3ffe600f,0xfffe802f,
    0xfc804fff,0x00beffff,0x80ffff50,0x320ffff9,0x2600ffff,0xfe82ffff,
    0xffffffff,0x746fffff,0xffffffff,0x06ffffff,0x7ffffff4,0xffffd004,
    0xffffffff,0x2fffcdff,0xefffd800,0xfffffecc,0x9999305f,0x999ffffb,
    0x7fc40199,0x007fffff,0x333bfff6,0x44cccccc,0xfdccccca,0xcccccfff,
    0x7fffdc1c,0xffffedcc,0x3ff604ff,0xccccccef,0xccc984cc,0xccffffdc,
    0xfff30ccc,0x4dffffff,0xfd82fffe,0xccccceff,0x7fc44ccc,0x3ff604ff,
    0x9999306f,0x999ffffb,0x7ffdc199,0x1ffff806,0xccefffd8,0x24cccccc,
    0x2003fff9,0xcc987ffc,0xcffffdcc,0x3e20cccc,0x3f604fff,0xff8806ff,
    0x807fffff,0xfffffff8,0x7fd401cf,0x7ffcc07f,0x3fffe20f,0x1bfff604,
    0x7ffffff4,0xffffffff,0x7fffff45,0xffffffff,0x3ffe205f,0xd007ffff,
    0xffffffff,0x4bffffff,0xb0006fff,0xfa889fff,0x26007fff,0x4000ffff,
    0xfffefffb,0xfffb001f,0x7d400009,0xf7000fff,0xff910dff,0x3f603fff,
    0x200004ff,0x400ffff9,0xffffffff,0x0bfffa6f,0x0013fff6,0x407fffe4,
    0x001ffff9,0x003fffe6,0xf00dfff7,0xffb03fff,0xff88009f,0x3ff2003f,
    0xffff3007,0xffff9001,0x3ffff301,0xfdfff700,0xf5003fff,0xffffffff,
    0x3ffea05d,0x7fffcc07,0x07fffe40,0x00ffffcc,0xfffff100,0xfff10001,
    0x7fdc01ff,0x01ffffef,0xffff1000,0x037ffc1f,0x04fffd80,0x001ffff7,
    0x003fffe6,0xff5fffb0,0x3f6007ff,0x200004ff,0x000ffffa,0x540dfff7,
    0xfb05ffff,0x400009ff,0x400ffff9,0xfffffff9,0x0bfffa6f,0x0013fff6,
    0x427fffc4,0x4006fffd,0x400ffff9,0xf806fffb,0xffd81fff,0x7fc4004f,
    0x3ff2004f,0xffff3007,0xffff1001,0x0dfffb09,0x3ebfff60,0xd3003fff,
    0xffffffff,0xffff509f,0x0ffff980,0x427fffc4,0x0006fffd,0x01ffffec,
    0x3ffffd80,0x7d7ffec0,0x00003fff,0x447ffffb,0xb0006fff,0x3e609fff,
    0xf3001fff,0xf8001fff,0xfffc8fff,0x9fffb006,0x7fd40000,0xff7000ff,
    0xfffd80df,0x4fffd81f,0x3fe60000,0xffb800ff,0x3a6fffff,0xffd82fff,
    0x3f20004f,0x3fe60fff,0x7cc001ff,0x7dc00fff,0xfff806ff,0x4fffd81f,
    0x27ffc400,0x00dff900,0x003fffe6,0x307fffe4,0x2003ffff,0xffc8ffff,
    0x7ed4006f,0x4fffffff,0x203fffd4,0xc80ffff9,0x3e60ffff,0x20001fff,
    0x005ffffa,0x0bffff50,0xf91ffff0,0x50000dff,0xf88bffff,0x2eec86ff,
    0x209fffb0,0x000ffffa,0x001ffff3,0xfab7ffd4,0xfd800fff,0x200004ff,
    0x000ffffa,0xa80dfff7,0xfd82ffff,0x200004ff,0x000ffff9,0xdfffffb3,
    0x6c17fff4,0x20004fff,0x363ffff8,0x98005fff,0x5c00ffff,0xff806fff,
    0xfffd81ff,0x4fff8004,0x3f61ffdc,0xfff3006f,0x3fe2001f,0x3fff63ff,
    0xdfff5005,0x003fffea,0x3fffee20,0x3fea1fff,0x7ffcc07f,0xffff880f,
    0x017fff63,0xfffff880,0xfff88000,0x7fd400ff,0x1ffff56f,0x7ffc4000,
    0x7ffc40ff,0x1ffffec7,0xd827ffec,0x26007fff,0x2000ffff,0xff13fffc,
    0xffb005ff,0x5400009f,0x7000ffff,0xff00dfff,0xfffb07ff,0x7cc00009,
    0x4c000fff,0x3fa6fedc,0xfffd82ff,0x7fe40004,0x3ffff37f,0xffff3000,
    0x6fffb801,0x81ffff80,0x8004fffd,0x7ff45fff,0x802ffec6,0x000ffff9,
    0x7cdffff2,0xf9001fff,0x3ffe27ff,0x7dc0002f,0x3ea4ffff,0x7fcc07ff,
    0xfff900ff,0x07fffe6f,0xffffd800,0xfffb0003,0xfff9007f,0x0bfffe27,
    0xffffd800,0x27fff883,0x86fffff8,0x6cc4fffd,0x2002ffff,0x000ffff9,
    0xfe87fffa,0xffd805ff,0xccccccef,0xff5002cc,0x3ee001ff,0xfff806ff,
    0xefffd84f,0xcccccccc,0xffff3002,0xfe800001,0xfffd82ff,0xccccccce,
    0x3ffe202c,0x05fffcaf,0x1ffff300,0x06fffb80,0xd81ffff8,0xccccefff,
    0x7f42cccc,0x3fffe25f,0x4017ff60,0x000ffff9,0x32bfffe2,0x3a005fff,
    0x3ffa1fff,0xfa80005f,0x3fea6fff,0xeeeeeeff,0x00ffffee,0xf95ffff1,
    0x54000bff,0x0005ffff,0x00bffff5,0xfe87fffa,0xf50005ff,0x3e60bfff,
    0x3ffe67ff,0xfffd87ff,0xfffffeef,0x7fcc004f,0xff3000ff,0x7fffb8ff,
    0xfffffd80,0x4fffffff,0x1ffff500,0x1bffee00,0x217fffa0,0xfffffffd,
    0x004fffff,0x001ffff3,0x2fffe800,0xffffffd8,0x04ffffff,0x7ff7ffe4,
    0xf30001ff,0xfb801fff,0xfff806ff,0xffffd81f,0xffffffff,0xf52fff44,
    0x7ff47fff,0xffff3004,0xfffc8001,0x001ffffe,0xfb8ffff3,0xf00007ff,
    0x7fd4dfff,0xffffffff,0x00ffffff,0x3ffbfff2,0xf10001ff,0x0001ffff,
    0x01fffff1,0xb8ffff30,0x88007fff,0x300fffff,0xfff8ffff,0xfffd85ff,
    0xdfffffff,0xfff98002,0xfff7000f,0x1ffff98b,0x7ffffec0,0x4fffffff,
    0x1ffff500,0x1bffee00,0x21bfffa0,0xfffffffd,0x004fffff,0x001ffff3,
    0x2fffe800,0xffffffd8,0x04ffffff,0x7fffffc4,0x3e60005f,0x7dc00fff,
    0xfff806ff,0xffffd81f,0xffffffff,0xfb2fff44,0x7ff4bfff,0xffff3004,
    0xfff88001,0x2005ffff,0x7cc5fffb,0x80001fff,0x3ea5ffff,0xffffffff,
    0x0fffffff,0x3ffffe20,0x360005ff,0x0002ffff,0x005ffffb,0xf317ffee,
    0xd8003fff,0x2602ffff,0x3e60ffff,0xffd80eff,0xdfffffff,0xfff30000,
    0x3ff6001f,0x4ffff82f,0x7ffffec0,0x4fffffff,0x1ffff500,0x1bffee00,
    0x217fffa0,0xfffffffd,0x004fffff,0x001ffff3,0x2fffe800,0xffffffd8,
    0x04ffffff,0xffffffc8,0x3fe60001,0x7fdc00ff,0xffff806f,0xfffffd81,
    0x4fffffff,0xfff37fec,0x3ffa1fff,0xffff3004,0xfff90001,0x6c003fff,
    0xfff82fff,0x801b984f,0x2a3ffffc,0xffffffff,0xffffffff,0x7fffe400,
    0xf50001ff,0x2000bfff,0x005ffffa,0x3e0bfff6,0x2a004fff,0x5405ffff,
    0x5440ffff,0x37fff601,0x0fffffeb,0xffff9800,0xffff8800,0x06fffd80,
    0x0027ffec,0x1ffff500,0x1bffee00,0x20ffffe0,0x0004fffd,0x03fffe60,
    0xfffd0000,0x09fffb05,0x3ffe2000,0x4c0005ff,0x5c00ffff,0xff806fff,
    0xfffd81ff,0x6ffd8004,0x5fffbff5,0x4c00fffa,0x8000ffff,0x05fffff8,
    0x03fffe20,0x261bfff6,0xbabcdfff,0x0ffffffc,0x301fffea,0x8801ffff,
    0x005fffff,0x1fffff10,0xffff1000,0x3fe2001f,0xfffd80ff,0xffff1006,
    0xfffa801f,0xffd8000f,0x3fffe64f,0xfff98005,0xfffa800f,0x1ffff506,
    0x027ffec0,0xffff5000,0x3ffee001,0x7fffc406,0x04fffd82,0x3ffe6000,
    0x7400000f,0xffd81fff,0x3200004f,0x0001ffff,0x007fffcc,0x101bffee,
    0xfb01ffff,0xf90009ff,0x3abff2df,0x07fff4ff,0x03fffe60,0x7fffe400,
    0x3ffea001,0x1ffff506,0xffffff98,0xffffffff,0x03fffd42,0x003fffe6,
    0x007ffff2,0x17fffe40,0xffffc800,0x3ffea002,0x1ffff506,0x5ffff900,
    0x3ffff500,0x9fffb000,0x02ffffb8,0x07fffcc0,0x7ffffe40,0xffffffff,
    0x3fff603f,0x3ea00004,0xf7000fff,0xffa80dff,0xfffd81ff,0x3e600004,
    0x00000fff,0x6c07fffc,0x00004fff,0x001fffea,0x03fffe60,0x80ffff50,
    0xfb07fff9,0xf90009ff,0x2e3ffeff,0x05fff7ff,0x03fffe60,0x3fffd400,
    0x3ffff200,0xffffffff,0x7ffcc3ff,0xffffffff,0xfffa82ff,0x7fffcc07,
    0x7fffa800,0xffff5000,0x3fea000b,0x7e4005ff,0xffffffff,0x403fffff,
    0x005ffffa,0x003ffff5,0xf09fffb0,0x9800dfff,0xf800ffff,0xffffffff,
    0x05ffffff,0x0013fff6,0x0ffffa80,0x0dfff700,0xb06fffe8,0x00009fff,
    0x007fffcc,0xffff3000,0x013fff60,0x7fffa800,0xfff98000,0x7ffc400f,
    0x3ffee01f,0x09fffb06,0xf3fff700,0x27ffe6df,0xf3002fff,0x20001fff,
    0x4007fffa,0xffffffff,0x5fffffff,0x7ffff644,0x00beffff,0x980ffff5,
    0xa800ffff,0x88007fff,0x000fffff,0x0fffff88,0x7ffffc00,0xffffffff,
    0x3fe205ff,0xf7000fff,0xb0003fff,0xff909fff,0x7cc003ff,0x7cc00fff,
    0xffffffff,0x07ffffff,0x0013fff6,0x0ffffa80,0x0dfff700,0x817fffdc,
    0x0004fffd,0x03fffe60,0x3fa04a80,0xfffb06ff,0x7d400009,0x980007ff,
    0xf800ffff,0xfd105fff,0x3ff609ff,0xffb8004f,0x3fa3ffcf,0x001fffcf,
    0x001ffff3,0x01fffea0,0xffffff98,0xffffffff,0x3266207f,0xfa803fff,
    0x7fcc07ff,0xffa800ff,0xffc8007f,0xf90002ff,0x98005fff,0xffffffff,
    0x7fffffff,0x0bffff20,0x1ffffb80,0x4fffd800,0x05ffff88,0x03fffe60,
    0x55bfff70,0xff955555,0x3ff605ff,0x2a00004f,0x7000ffff,0xfb10dfff,
    0x7ec0dfff,0x200004ff,0x000ffff9,0x7579fff1,0x203ffffd,0x0004fffd,
    0x01fffea0,0x3fffe600,0xffffc800,0xffeb99ae,0xfffb00ff,0xfff50009,
    0x7fe41ffd,0x3001fffe,0x0001ffff,0x801fffea,0xaaadfffb,0xfffcaaaa,
    0xfffc802f,0x7fffa800,0x07fffcc0,0x03fffd40,0x13fffea0,0x7fffd400,
    0xfffb8004,0xaaaaaaad,0xa82ffffc,0x4004ffff,0x002ffffb,0xb04fffd8,
    0x9303ffff,0xffffb999,0x74199999,0xff802fff,0xfffb04ff,0x9999999d,
    0x3fea0099,0xff7000ff,0xfffb99ff,0x6c03ffff,0xccccefff,0xc984cccc,
    0xffffdccc,0xd80ccccc,0xffffffff,0x3f604fff,0xccccceff,0xf5004ccc,
    0xc9800fff,0xffffdccc,0x440ccccc,0xffffffff,0x202fffff,0xcccefffd,
    0x544ccccc,0x4c6fffff,0x80ffffff,0xffdcccc9,0x0cccccff,0x07fffa80,
    0x00bfffa0,0x2013fffe,0xf5006ffd,0xff980fff,0xffa800ff,0x7ff4007f,
    0xffffffff,0x7f47ffff,0xffffffff,0x3a7fffff,0xff802fff,0xfffe84ff,
    0xffffffff,0x00007fff,0x9827ffec,0xfa85ffff,0xffffffff,0xf10fffff,
    0xfb001fff,0x3ff60dff,0xffffffff,0xff5007ff,0x3ee001ff,0xffffffff,
    0x6c01efff,0xffffffff,0xfa87ffff,0xffffffff,0x980fffff,0xfffffffe,
    0x7fec04ff,0xffffffff,0xff5007ff,0xffa800ff,0xffffffff,0xe980ffff,
    0xffffffff,0x7fec03ff,0xffffffff,0x7ffd47ff,0xffff83ff,0xfffa80ff,
    0xffffffff,0xfa800fff,0xff1007ff,0xffb001ff,0x5fff00df,0x1fffea00,
    0x01ffff30,0x00ffff50,0x7fffffc4,0xffffffff,0x3fffe27f,0xffffffff,
    0xfff17fff,0xfffb001f,0xfffff88d,0xffffffff,0x400007ff,0x3a04fffd,
    0x7d41ffff,0xffffffff,0xf50fffff,0x3ee00bff,0xffd81fff,0xffffffff,
    0xff5007ff,0x3ee001ff,0xffffffff,0xffb004ff,0xffffffff,0xfff50fff,
    0xffffffff,0x6d401fff,0x00cefffe,0xffffffd8,0x07ffffff,0x00ffff50,
    0xffffffa8,0xffffffff,0x3fffee00,0xd800dfff,0xffffffff,0x7cc7ffff,
    0xfc81ffff,0xfa80ffff,0xffffffff,0x800fffff,0x5007fffa,0x2e00bfff,
    0x2601ffff,0xf5000fff,0xff980fff,0xffa800ff,0x3fe2007f,0xffffffff,
    0x227fffff,0xffffffff,0x7fffffff,0x200bfff5,0x221ffffb,0xffffffff,
    0x7fffffff,0x7fec0000,0x3ffea04f,0x7fffd44f,0xffffffff,0x7fffb0ff,
    0x3fffe600,0xfffffd83,0x7fffffff,0x1ffff500,0x3fffee00,0x00abceff,
    0x3fffff60,0x7fffffff,0xffffffa8,0xffffffff,0x20002000,0xfffffffd,
    0x007fffff,0x800ffff5,0xfffffffa,0x0fffffff,0x00135300,0xffffffd8,
    0x47ffffff,0x506ffff9,0x2a0fffff,0xffffffff,0x00ffffff,0x007fffa8,
    0x2007fffb,0x203ffff9,0x2a000998,0x7cc07fff,0xfa800fff,0x3e2007ff,
    0xffffffff,0x27ffffff,0xfffffff8,0xffffffff,0x007fffb7,0x88ffffe6,
    0xffffffff,0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa60000,0x0155540a,0x55555000,0x26660005,0x554c0001,0x55400aaa,
    0x01aaa82a,0x00155540,0x3059d730,0x2aa60000,0xd7000aaa,0x2aa2005b,
    0x20000aaa,0x4cc83cc8,0xeeeee880,0x0006eeee,0xdd100013,0xdddddddd,
    0x00026000,0x0bbbae00,0x77777744,0x3b206eee,0x000002ee,0x04ccc400,
    0x26620000,0x000dcc09,0x006a2000,0x0002a880,0x44000004,0x01300001,
    0xd8fffec0,0x00001fff,0x01dffff7,0x3fffb2a0,0x4002dfff,0x02fffff9,
    0x88dfff98,0x2000effe,0x004ffffd,0xefffffb8,0x0005fa89,0x17ffffcc,
    0x1ffffa80,0xdffff700,0x3fe20001,0x0dff911f,0xffffff30,0xb800ffff,
    0x2002ffff,0xfffffff9,0x7dc007ff,0x00002fff,0x201ffff1,0xfffffff9,
    0x3fea07ff,0x0000006f,0x017ffec0,0x3fff6000,0x00bffee1,0x7ffd4000,
    0xfff88004,0x3f22000e,0x005c0dff,0xefffeda8,0x0eeeb80c,0x09ffffb3,
    0x3fbfff60,0x700001ff,0x4009ffff,0xfffffffd,0x26004fff,0x000dffff,
    0x3fffffa6,0x3f6000ef,0x005fffff,0x3fffffea,0x01ffffff,0xbffff300,
    0x7ffec001,0x3fa6003f,0xb0000eff,0xffffffff,0xffff3007,0x00ffffff,
    0x7fffffdc,0xffff3002,0x00ffffff,0x7fffffdc,0xffb80002,0x3ffe605f,
    0x07ffffff,0x000ffff4,0x77764000,0x000ffff2,0xd8dfff00,0x00006fff,
    0x03fffff0,0x3ffffc80,0x3ffffa00,0x0efcacff,0x7ffffe40,0x7e42ffff,
    0xffffb9ff,0xd800efff,0x001fffff,0x3ffff700,0x3fffa600,0xffffffff,
    0xffff3004,0x3fa20007,0x1000dfff,0xff53dffd,0x3fe600bf,0xfffffc9b,
    0xff30003f,0xf90007ff,0x90005fff,0x0001dfff,0xffffffd1,0x2aaa200b,
    0x02aaaaaa,0xf53dff10,0x2aa200df,0x2aaaaaaa,0x53dff100,0xd0000dff,
    0x54403fff,0xaaaaaaaa,0x27ffdc02,0x7ec00000,0x4fff8bff,0x98151000,
    0x7fe43fff,0x800000ff,0x002fffff,0x027fffec,0xffffffb8,0x01ffffff,
    0x3ffffffa,0x321fffff,0xffffdfff,0x003fffff,0x00039997,0x03333220,
    0x7ffffc40,0xffeccdff,0x39997004,0xccc88000,0x6665c004,0x00b33260,
    0x3fb2614c,0x32e0002d,0xd10001cc,0x54000bff,0x20003ccc,0x002deedb,
    0x3e600000,0x001ff22f,0x7fcc0000,0x0001ff22,0x000dfff3,0x3ffe2000,
    0x4000000f,0xffabfffd,0x3b22001f,0x7ffdc1ff,0x007ffe80,0xffffb000,
    0xfffb8001,0x47b6001f,0x2fffffea,0x33fffee0,0x4dfffd31,0xfffffffc,
    0x07ffffdc,0x00000000,0x3ffff200,0x0075101e,0x00000000,0x00000000,
    0x00000000,0x00001980,0x00000000,0x3e200000,0x001ff64f,0x7fc40000,
    0x0001ff64,0x0007fffb,0x7ffe4000,0x6c000003,0x6ffcbfff,0x7fffc400,
    0xc837fec1,0x000006ff,0x0003bd91,0x2000bbae,0x01bddb80,0x207fffe2,
    0xf93ffff8,0x5419ffff,0x0000ffff,0x80000000,0x00effff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffea0,0xffffffff,
    0x6fff400f,0xfd804ffe,0xffffffff,0xfe807fff,0x004ffedf,0x01fffe20,
    0x7fffff98,0x1fffe600,0xffb00000,0x007dd97f,0x41ffff88,0xff982eed,
    0x0000003f,0x00000000,0x7ffe4000,0x53fff206,0x885ffffc,0x7ec1ffff,
    0xdeffffff,0x3e20001c,0xffffffff,0x7fffec6f,0xff300002,0xd800ffff,
    0xffffffff,0x9807ffff,0x007fffff,0x3ffffe60,0x7ffdc007,0x3ff60006,
    0xffffffff,0xfffa87ff,0xffffffff,0xffd80fff,0xffffffff,0xfffa87ff,
    0xffffffff,0x74400fff,0xb005ffff,0xffffffff,0x100fffff,0x00bffffd,
    0x04fffc80,0x3fffff20,0x3ff6002f,0x2000002f,0x0003fffd,0x00ffffc4,
    0x00bffff0,0x00220000,0x00001880,0x7fec0031,0x3ffee03f,0x01dfff96,
    0xfb0bfffe,0xffffffff,0x70001bff,0xffffffff,0xffff8dff,0x3f200006,
    0x002fffff,0x3ffffff6,0x07ffffff,0xffffffc8,0xfff90002,0x5c005fff,
    0x20006fff,0xfffffffd,0xa87fffff,0xffffffff,0x80ffffff,0xfffffffd,
    0xa87fffff,0xffffffff,0x00ffffff,0x40059970,0xfffffffd,0x007fffff,
    0x0000b32e,0x8003fffe,0x4ffffffe,0x1bffea00,0x36110000,0x40003fff,
    0x001ffff8,0x0000bbfe,0xfffdc980,0x6d403dff,0x00cefffe,0x3ffff6e0,
    0x3ffa00ce,0xffffffff,0xff97ffff,0x7fff40bf,0x7ffffec2,0xefffffff,
    0x7fff4000,0x6fffffff,0x00ffffe2,0xffffe800,0x3f6004ff,0xffffffff,
    0xfe807fff,0x004fffff,0xffffffd0,0x7ffdc009,0x3ff60006,0xffffffff,
    0xfffa87ff,0xffffffff,0xffd80fff,0xffffffff,0xccc987ff,0xccffffdc,
    0x00000ccc,0x677ffec0,0x4ccccccc,0x00066200,0x017ffea0,0xffffff88,
    0x7ff4007f,0x36a0001f,0xfffffffe,0x776c003f,0xeeffffee,0x0c0eeeee,
    0x90003300,0xffffffff,0x7ffe40df,0x02ffffff,0x7fffff4c,0xff02ffff,
    0xffffffff,0x32ffffff,0x3fa05fff,0x7ffec2ff,0xffffecce,0x3e6005ff,
    0xcdffffff,0x3ffe63cc,0xf100002f,0x0fffffff,0x677ffec0,0x4ccccccc,
    0x7ffffc40,0xf88007ff,0x07ffffff,0x01bffee0,0xcefffd80,0x4ccccccc,
    0xfdcccc98,0xcccccfff,0xcefffd80,0x4ccccccc,0x1ffff300,0x09ddd700,
    0x6c0f776c,0x20004fff,0xfffffda8,0xe8001dff,0x2e002fff,0xffffefff,
    0x3ffee001,0xffd88004,0xffffffff,0x7ffc003f,0xffffffff,0x100fffff,
    0x3f225ddd,0x4401dfff,0xfffffffe,0xffd06fff,0xffffffff,0x3ffee03f,
    0xffffffff,0x7fffc43f,0xffffffff,0xfff97fff,0x17fff40b,0x5113fff6,
    0x400fffff,0xfffdfffc,0x3fffea00,0xff700001,0x03ffffdf,0x013fff60,
    0x3bffee00,0x4001ffff,0xfffefffb,0xfff7001f,0x7fec000d,0x2600004f,
    0xb000ffff,0x00009fff,0x007fffcc,0xf02fffe4,0xffb05fff,0x7ec0009f,
    0xffffffff,0x3e6004ff,0x7ec006ff,0x3ffffaff,0x3fffe200,0x3ffe2000,
    0xffffffff,0x7fc003ff,0xffffffff,0x00ffffff,0xff37fff3,0x05ffffff,
    0x77ffffec,0xb86fedcc,0xd31cffff,0xff10dfff,0xfd99bfff,0xff81ffff,
    0x99999aff,0xf9099999,0x7ff40bff,0x27ffec2f,0x00ffffb8,0xff99fff0,
    0x7ffdc01f,0xfb00001f,0x7ffff5ff,0x13fff600,0x3fff6000,0x003ffffa,
    0x7fd7ffec,0xff7003ff,0x7ec000df,0x200004ff,0x000ffff9,0x0009fffb,
    0x07fffcc0,0x02fffe40,0xfb05ffff,0x6c0009ff,0xffffffff,0xb002ffff,
    0xf8007fff,0xfffc8fff,0x7ffe4006,0x3fff6003,0xffb99adf,0x554003ff,
    0xbffffbaa,0x00aaaaaa,0xfffbfff3,0x0dffffff,0x07bfffea,0x3ffe214c,
    0xffff881f,0x17fffe43,0x227fffdc,0x8002fffe,0x3a05fffc,0x7fec2fff,
    0xffff304f,0x3fff5003,0x5c01fff9,0x0001ffff,0xf91ffff0,0x3f600dff,
    0xf80004ff,0xfffc8fff,0x7fffc006,0x006fffc8,0x000dfff7,0x0027ffec,
    0x1ffff300,0x13fff600,0xfff98000,0xfffc800f,0x0bfffe05,0x0013fff6,
    0x109acfd8,0x00dffff5,0x001ffff1,0xfab7ffd4,0x26000fff,0xf7006fff,
    0x3f607fff,0x440003ff,0x8001ffff,0xfffffff9,0x2fffffcd,0x00fffff8,
    0x037ffe40,0x7c49fff9,0x3f603fff,0x7ffec7ff,0xfffc8005,0x0bfffa05,
    0x2a09fffb,0xd800ffff,0x1fff96ff,0x17fffd40,0x7ffd4000,0x01ffff56,
    0x009fffb0,0x56fffa80,0x2001ffff,0xff56fffa,0xff7001ff,0x7ec000df,
    0x200004ff,0x000ffff9,0x0009fffb,0x07fffcc0,0x02fffe40,0xfb05ffff,
    0x040009ff,0x07fffd40,0x013fff20,0x227fff90,0x4002ffff,0xf802fffe,
    0x3f606fff,0x440003ff,0x8001ffff,0x0efffff9,0x221ffffc,0x8003ffff,
    0x2e03fffd,0x3fea6fff,0x3fe600ff,0x3ffee0ff,0x7fe4002f,0x3fffa05f,
    0x827ffec2,0x8807fffd,0xfff93fff,0x7fffcc01,0xffc80003,0x5ffff13f,
    0x09fffb00,0x3fffc800,0x005ffff1,0x7c4ffff2,0xfb802fff,0x360006ff,
    0x00004fff,0x003fffe6,0x0027ffec,0x1ffff300,0x0bfff900,0x6c17fffc,
    0xccccefff,0x0002cccc,0x200ffffc,0x4001ffff,0x3fa1fffe,0x7d4005ff,
    0x7fc405ff,0x3ff602ff,0x7c40003f,0x98001fff,0xd80fffff,0x7fd44fff,
    0xfe8000ff,0xffffffff,0x2e7fffff,0x7c406fff,0x7ff42fff,0x53109dff,
    0x2fffe4b9,0xd85fffd0,0x7ecc4fff,0xfb802fff,0xbfff90ff,0x7fc45999,
    0xe80006ff,0x3ffa1fff,0xfffd805f,0xccccccce,0x3fffa02c,0x017fffa1,
    0xfd0ffff4,0xff700bff,0x7ec000df,0xccccceff,0xf3002ccc,0x36001fff,
    0xccccefff,0x3002cccc,0x9001ffff,0x7fc0bfff,0xfffd82ff,0xffffffff,
    0x7fc0004f,0x3fea02ff,0x7fcc005f,0x3fffdc7f,0x0ffffc00,0x01ffff30,
    0x001fffec,0x07fffe20,0x3fffe600,0x8bfff901,0x0007fffb,0xffffffff,
    0xffffffff,0x402fffe4,0x7cc3ffff,0xffffffff,0x3ff27fff,0x3fffa05f,
    0x77fffec2,0x4ffffffe,0x64dffd00,0x4fffffff,0x00fffffc,0x8ffff300,
    0xd807fffb,0xffffffff,0xf304ffff,0xfffb8fff,0x7fff9807,0x403fffdc,
    0x0006fffb,0x3ffffff6,0x04ffffff,0x01ffff30,0x3fffff60,0x4fffffff,
    0x1ffff300,0x0bfff900,0x6c17fffc,0xffffffff,0xa804ffff,0xfffffedc,
    0x3ffa02ff,0x7fdc002f,0x7fffcc5f,0x7ffdc001,0x1fffea04,0x007fffb0,
    0x1ffff880,0xffff9800,0x8bfff900,0x8007fffc,0xfffffff8,0xffffffff,
    0x017fff67,0x2a0ffffe,0xffffffff,0x3ff27fff,0x3fffa05f,0x7ffffec2,
    0x02dfffff,0x647fff30,0x4fffffff,0x077fffdc,0x5fffb800,0x00ffffcc,
    0x3ffffff6,0x04ffffff,0xf98bfff7,0x7dc01fff,0x7ffcc5ff,0x7ffdc01f,
    0x3ff60006,0xffffffff,0xff3004ff,0x3f6001ff,0xffffffff,0xf3004fff,
    0xf9001fff,0x7ffc0bff,0xffffd82f,0xffffffff,0x3fffae04,0xffffffff,
    0x0dfff302,0x05fffb00,0x8009ffff,0x700ffff8,0xfd80ffff,0x440003ff,
    0x8001ffff,0x900ffff9,0xffb8bfff,0xff8000ff,0x99999aff,0x2e099999,
    0x7c406fff,0x3f201fff,0xefffffff,0x817fff24,0x7ec2ffff,0xffffffff,
    0x3ff6000d,0x3bfff20f,0xfff83eee,0x77101eff,0xf05fffb0,0xfd809fff,
    0xffffffff,0xffb04fff,0x9ffff05f,0x82fffd80,0x5c04ffff,0x20006fff,
    0xfffffffd,0x004fffff,0x001ffff3,0x3ffffff6,0x04ffffff,0x01ffff30,
    0x40bfff90,0xfd82ffff,0x320004ff,0xffffffff,0xb02fffff,0x88007fff,
    0xfd80ffff,0xfd8006ff,0xfff503ff,0x3fffd80f,0x7ffc4000,0xff98001f,
    0xfff900ff,0x2ffffa8b,0x2fffe800,0xffff5000,0x0ffff980,0xfffd9880,
    0x7ffc0002,0x6fffec1f,0x0fffffeb,0x45fff880,0xb800fffc,0xdfffffff,
    0x444ffecc,0xfd80ffff,0x7fec06ff,0xff10004f,0xfffb01ff,0x7fffc40d,
    0x06fffd80,0x0037ffdc,0x009fffb0,0x7fffcc00,0x9fffb000,0x7fcc0000,
    0xffc800ff,0x3fffe05f,0x04fffd82,0xdffff700,0xfff33335,0xffff105f,
    0xfffa8001,0x1ffff506,0x6fff9800,0x01ffff50,0x001ffff4,0x07fffe20,
    0x3fffe600,0x8bfff900,0x00fffff8,0x02fffec0,0x3ffff980,0x01ffff60,
    0x004fff98,0x43fffcc0,0x3e64fffd,0xfb805fff,0x7ffe42ff,0xffff9000,
    0xffffffff,0x06fffa89,0x401ffff5,0x0004fffd,0x2a0dfff5,0xf500ffff,
    0x3fea0dff,0x3fee00ff,0x3f60006f,0x200004ff,0x000ffff9,0x0009fffb,
    0x07fffcc0,0x82fffe40,0xd82ffff8,0xb0004fff,0x7fc0dfff,0xfffb82ff,
    0xfffc8004,0xffffffff,0xe8003fff,0xff982fff,0xfffb02ff,0xf880007f,
    0x98002fff,0xf900ffff,0xfffd0bff,0x2e0c01bf,0x0002ffff,0x503fffff,
    0x4007ffff,0x80007ffd,0xfd86fffd,0x7ffdc4ff,0x7fff402f,0xffffeeee,
    0x3ffee000,0xffffffff,0x7ffffe44,0xffffffff,0x3fff603f,0xfff90004,
    0xffffffff,0x3f207fff,0xffffffff,0x203fffff,0x0006fffb,0x0013fff6,
    0x0ffff980,0x09fffb00,0x7ffcc000,0xfffb800f,0x5ffffd06,0x009fffb0,
    0x40ffffe0,0xf82ffff8,0xf8001fff,0xffffffff,0x05ffffff,0x05fffa80,
    0xf90dffff,0x0007ffff,0x00bffff0,0x01ffff30,0x2617fff2,0xbdffffff,
    0xfe86fdba,0x3109dfff,0xfff50b95,0xff9759ff,0xff800dff,0xb310007f,
    0xfb07ffff,0xffff09ff,0x7fffcc0d,0xffffffff,0x7f5c4000,0x0bdfffff,
    0x7ffffffc,0xffffffff,0x13fff605,0x7ffffc00,0xffffffff,0xffff05ff,
    0xffffffff,0x7dc0bfff,0x360006ff,0x00004fff,0x003fffe6,0x0027ffec,
    0x1ffff300,0x1ffff500,0x2fffffd8,0x004fffd8,0x30bffff0,0xa85ffffd,
    0x98006fff,0xffffffff,0x7fffffff,0x1ffff000,0x5bffff70,0xffffffd7,
    0xffd00007,0x2e6239ff,0x1ffff300,0x417fff20,0xfffffffc,0xf986ffff,
    0xffffffff,0xffd07fff,0xffffffff,0xfe8005ff,0x2003deff,0x05fffffe,
    0xf909fffb,0x3f203fff,0xffffffff,0x50000fff,0x4c039fff,0xffffffff,
    0x7fffffff,0x013fff60,0x3ffffe60,0xffffffff,0xfff987ff,0xffffffff,
    0x2e07ffff,0x20006fff,0x0004fffd,0x03fffe60,0x027ffec0,0xffff3000,
    0xffff3001,0xfffff77d,0xfffb05ff,0x3ffa0009,0xffb88bff,0x7f42ffff,
    0xfb8002ff,0xaaaaadff,0x2ffffcaa,0x4fffc800,0xffffff88,0xfffdffff,
    0xffb80003,0xffffffff,0x1ffff300,0x817fff20,0xfffffffb,0xff506fff,
    0xffffffff,0x3ff620ff,0xefffffff,0xfffc8001,0x3fa004ff,0xfb00efff,
    0xfff109ff,0x3bffe0bf,0xffdaaaaa,0xff70000f,0xfffb803f,0xaaaaaaad,
    0xb02ffffc,0x70009fff,0x5555bfff,0xffff9555,0xadfffb85,0xfcaaaaaa,
    0xff702fff,0x7ec000df,0x200004ff,0x000ffff9,0x0009fffb,0x3f733326,
    0xcccccfff,0xfffffe80,0xfffeffff,0xcefffd82,0x4ccccccc,0xffffffb8,
    0xffffffff,0x01fffe62,0x017fff40,0x0027fffc,0x983fffc4,0xffffffff,
    0x003fff9c,0xfffffd00,0x2601ffff,0xf900ffff,0xec880bff,0x2dffffff,
    0x7ffffe40,0x5404efff,0xcefffffe,0x3ff20000,0x3fa003ff,0x7fec02ef,
    0xffffb04f,0x03fffa83,0x5557fff9,0x1bff6005,0x00bfffa0,0x6c13fffe,
    0xccccefff,0x7f44cccc,0xfff802ff,0x17fff44f,0x827fffc0,0xeeeffffb,
    0x83eeeeee,0xcccefffd,0x984ccccc,0xfffdcccc,0x80cccccf,0xcccefffd,
    0xa84ccccc,0xffffffff,0x80ffffff,0xfffffff9,0x82fffabf,0xfffffffd,
    0xd07fffff,0xffffffff,0x645fff79,0x88003fff,0xd800ffff,0xb0006fff,
    0x3a607fff,0xf32effff,0x400007ff,0xfffffffb,0xffff300f,0x17fff201,
    0x00333300,0x03555310,0x0026a600,0x20002000,0x3ff60019,0xffff304f,
    0x00fffd8b,0xfffffff9,0x0fffe00f,0x01ffff10,0x20dfffb0,0xfffffffd,
    0x227fffff,0xd800ffff,0x3fe26fff,0xffd800ff,0xffff706f,0xffffffff,
    0xffffb09f,0xffffffff,0xfffff50f,0xffffffff,0xffffb01f,0xffffffff,
    0xfffff50f,0xffffffff,0x3ffa601f,0xfff51eff,0xfffffb05,0xffffffff,
    0x7ffffe40,0x25fff52e,0x000ffff8,0x005fffa8,0x003ffff7,0x80dfff30,
    0x00001a98,0x9aa98800,0x7fffcc00,0x0bfff900,0x00000000,0x00000000,
    0xd8000000,0x3fa04fff,0xfff11fff,0x7fffe40d,0xf8807fff,0x7fd400ff,
    0xfff7005f,0xffffb03f,0xffffffff,0x02fffd4f,0x51ffffb8,0x2e00bfff,
    0xfb81ffff,0xffffffff,0xfd84ffff,0xffffffff,0xffa87fff,0xffffffff,
    0xfd80ffff,0xffffffff,0xffa87fff,0xffffffff,0x4400ffff,0xfd8000aa,
    0xffffffff,0x4c407fff,0xdd50009a,0x3f60009d,0xff3003ff,0x360007ff,
    0x00001eee,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff60000,
    0x3ffea04f,0x07fff74f,0x7fffffe4,0x0133007f,0x007fffb0,0x20ffffe6,
    0xfffffffd,0x367fffff,0xf3003fff,0x3ff67fff,0xfff3003f,0xffff707f,
    0xffffffff,0xffffb09f,0xffffffff,0xfffff50f,0xffffffff,0xffffb01f,
    0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00cc4000,0x26600000,0x00088009,0x10000080,
    0x31000040,0x04010001,0x00019800,0x04001004,0x00000000,0x00801333,
    0x26620002,0x004c0001,0x00000080,0x0fbbbb62,0x01e65400,0x017bb620,
    0x02777764,0x80001000,0x223eeeed,0x001002b9,0x26666600,0xb0009999,
    0xdeeb8bdd,0x26666600,0x88009999,0x3baa0eee,0xb5100005,0xbfffffff,
    0x54000003,0xfd505fff,0x0017dfff,0x037fff22,0x5ffa8017,0x640f7f44,
    0x3ffaa6ee,0xffa803ef,0x00f7f445,0x3ffffb22,0x03eeeeee,0xfe88bff5,
    0xfffb101e,0x2eed801b,0x7fd40000,0x8bff504f,0x2201efe8,0xffffffeb,
    0x87775c4e,0x04ffffd9,0x0dfffc88,0xe880005c,0x0002ffff,0x88013ffa,
    0x005ffffe,0x00bffff9,0x2effeb80,0x3fe20154,0xfffedfff,0x0f7f4404,
    0x3e00fff2,0xffffffff,0xbfff1005,0xf00bffee,0xffffffff,0x53ffe00b,
    0x8805ffe8,0xffd83ffc,0xffffffff,0x9000004f,0xfe985fff,0xffffffff,
    0xffffe802,0x0efcacff,0xc8bfffe0,0xffe85fff,0xfffffd8f,0x7ffc05ff,
    0x17fff22f,0xffffffb8,0x4fffffff,0x645ffff0,0xff985fff,0x900fffff,
    0xdd900dff,0x47dddddd,0xff01fffc,0x7ffe45ff,0xfffff505,0xc8dfffff,
    0xfffb9fff,0x200effff,0xcffffffe,0x4000efca,0x00efffe8,0x07ffe200,
    0xffeffe80,0xfff5005f,0x3ee000bf,0xbadfffff,0xfb5102ff,0xffffffff,
    0x5fffc809,0x003fffe6,0xffffffff,0x7fcc00bf,0x802fffef,0xffffffff,
    0xfff7005f,0x005fffff,0xd87ffffb,0xffffffff,0x0002ffff,0x447ffe80,
    0xffffffff,0x2e01ffff,0xffffffff,0xf101ffff,0x7fec9fff,0xdfffe86f,
    0xffffffff,0xffff101f,0x837ffec9,0xfefffffa,0x4fffffff,0x24ffff88,
    0xfd86fffd,0x84fffcff,0xe801fff9,0xffffffff,0x441fffa4,0x3f64ffff,
    0xfffa86ff,0xffffffff,0x7efffe46,0xffffffff,0xfffff703,0x3fffffff,
    0x7fff4400,0x32620004,0x3f6007ff,0x4fff98ef,0xbfffd100,0xffff8800,
    0xffffffff,0xfffffa83,0x2dffffff,0x537ffec0,0xe803ffff,0xeeeeeeee,
    0x7ffcc004,0xddd002ff,0x09dddddd,0x7ffffec0,0xfff8804f,0x567ec7ff,
    0xffff5109,0x7ffdc00d,0xd89fff06,0xb99cffff,0x6c05ffff,0xffffd51e,
    0xfffd805f,0x213ffee1,0xeffffffe,0x05ffffbb,0xfb87fff6,0xffff04ff,
    0x7fffdc49,0xfffb0099,0x227ffdc3,0xff50fff8,0x009ffd0f,0x3ffffffa,
    0x9fff14ff,0x70fffec0,0xffd09fff,0x5cc415ff,0x7ffffe44,0xffffdcff,
    0x7547b607,0x002fffff,0x00177764,0x3ffff722,0xdd7004ff,0x17774c1b,
    0x07ddd900,0xfb12fb80,0x2a0bffff,0xffffffff,0x3fee005f,0x1bffe24f,
    0x98000000,0x00003eee,0x77edc000,0xfff1002d,0xa8008fff,0x7000ffff,
    0xff30dfff,0x7fffc43f,0x07fffb82,0x1bddb808,0xa81cb880,0xffffd03c,
    0x7fffb87f,0x2a072e20,0xdfff303c,0x00ffff60,0x79503971,0x7c4dff30,
    0x037fdc7f,0xff999970,0x3ffe69ff,0x2072e201,0xfff883ca,0x7fe4003f,
    0x3ea0cfff,0x20200fff,0x0001bddb,0x7ffcc000,0x1fffffff,0x00000000,
    0x64c0c000,0x3bea02ce,0xffffe9bc,0x20f2a002,0x00000cc9,0x00000000,
    0x00000000,0x017ffffa,0x00ffffc0,0xa86fffb8,0x7ffcc5ee,0x7fffa80f,
    0x00000000,0x3ffffa00,0x0ffff884,0xff500000,0x3ffea07f,0x2a000004,
    0x87ffc5ff,0x0001fff9,0xeaa7ffec,0x2000005e,0x005ffff8,0x42ffffe4,
    0x001ffff8,0x00000000,0x3fffffee,0x01ffffff,0x00000000,0x22000000,
    0xfffff980,0x00000000,0x00000cc4,0x18800022,0x00310000,0x01dffd30,
    0x0bfffe00,0x037ffdc0,0x41bffee0,0x4006fffc,0x10000198,0x3fffa003,
    0x1ffff105,0xb800c400,0xff504fff,0x4000009f,0x3fe67ff9,0x0013ffa7,
    0x013fff60,0x40066200,0x02dfffff,0x01dfff90,0x000bfffe,0x4eeeb800,
    0x107bbb60,0xf59fffff,0x03ffffff,0x6c09ddd7,0x775c1eee,0x3bbb604e,
    0x70000001,0xfffffffb,0x40000009,0xfffffda8,0x4c001dff,0xdfffffdc,
    0x7ff6d403,0x2a000cef,0x0cefffed,0x2a002600,0xfffffedc,0xff7002ff,
    0xffc800df,0xffffa85f,0x3ff6a202,0x01dfffff,0x3ffff6e0,0xfffd00ce,
    0x6d400009,0x00cefffe,0x320ffff3,0xdd702fff,0x7776c09d,0xb39fff11,
    0x3bfeebff,0xffd80000,0x6d44004f,0xdfffffff,0xfffff901,0x7e405bff,
    0x3ffa05ff,0x27775c2f,0xc83dddb0,0x3fe05fff,0x7ffe42ff,0xfffff30e,
    0xfff90bff,0x17fffc0b,0xf817fff2,0xeec82fff,0x03eeeeee,0xfffffd30,
    0x401fffff,0xeeeeeeec,0xfffb003e,0xffffffff,0x3fff2009,0x06ffffff,
    0x3ffffff2,0xfc802fff,0xffffffff,0xfd700002,0xffffffff,0x3ee005ff,
    0x7e4006ff,0x7ffd45ff,0x7ffec04f,0xffffffff,0x7fff4c04,0x82ffffff,
    0x0004fffe,0xffffff90,0x3fe05fff,0x3fee1cff,0xfff900ff,0x17fffc0b,
    0xfffffff9,0x005fff11,0x13fff600,0xfffffb00,0x09ffffff,0xffffffd1,
    0xff907fff,0x7fff40bf,0x02fffe42,0xfc85ffff,0x3ffe05ff,0x3fffe22f,
    0x3ebbff22,0x7fe40fff,0x3fffe05f,0x02fffe42,0xfd05ffff,0x9fffffff,
    0xfffff300,0x9fffffff,0x7fffff40,0xfb004fff,0xffffffff,0x74405fff,
    0xffffffff,0xfffd06ff,0xffffffff,0x7ffff403,0x1fffffff,0x7ffe4000,
    0xffffffff,0xff7002ff,0xffc800df,0x3fffe65f,0xffffd804,0xffffffff,
    0xfffff702,0x7fffffff,0x004fffe8,0xfffffe80,0x81ffffff,0xfffffffa,
    0x3203ffff,0x3fe05fff,0x3ff622ff,0xbffb1fff,0x7fec0000,0x7fec004f,
    0xffffffff,0xffd702ff,0x1dffffff,0xd02fffe4,0xffc85fff,0x3fffe05f,
    0x02fffe42,0x7d45ffff,0x9fffc6ff,0x7e41ffff,0x3ffe05ff,0x2fffe42f,
    0xd05ffff0,0xffffffff,0xffffd009,0xfffd535b,0x3fffa01f,0x004fffff,
    0x221359fb,0x206ffffa,0xcefffffd,0xfb86fedc,0xfd31cfff,0x3fee0dff,
    0xffd31cff,0x7dc000df,0x999aefff,0x002ffff9,0x800dfff7,0x3fa5fffc,
    0x9fb005ff,0x3fea2135,0xfff886ff,0xffeccdff,0x3ffa0fff,0x7dc0004f,
    0xfd31cfff,0xfff70dff,0x9fffffff,0x05fffc80,0x260bfffe,0xfff70aba,
    0x7ec00001,0x7ec004ff,0xff5109ac,0xfc980dff,0x24ffffff,0x3a05fffc,
    0x7fe42fff,0x3fffe05f,0x02fffe42,0x7dc5ffff,0x3ffe64ff,0xc85fffd0,
    0x3fe05fff,0x7ffe42ff,0x0bfffe05,0x3faaaaaa,0x7fdc04ff,0xfffa83ff,
    0x5555502f,0x2009fffd,0xffffa800,0xeffffa80,0xff885301,0xfff881ff,
    0x7fffc43f,0x3ffff881,0xdfffb000,0x017fffc0,0x006fffb8,0xff2fffe4,
    0x002005ff,0x903fffea,0xf705ffff,0x7ff49fff,0x3e20004f,0xff881fff,
    0x3ffe23ff,0x0cefffdd,0x05fffc80,0x400bfffe,0x0002fff8,0x027ffec0,
    0x3fea0020,0xfb3000ff,0x7fe4ffff,0x3fffa05f,0x02fffe42,0xfc85ffff,
    0x3ffe05ff,0x93fff22f,0x3ff66ffc,0x2fffe43f,0xc85ffff0,0x3fe05fff,
    0xffb002ff,0xffff809f,0x9ffff105,0x27ffec00,0x3ffe0000,0xfffff81f,
    0x7ffe4000,0x13fff206,0x640dfff9,0x2e604fff,0x1ffffc0a,0x02ffff88,
    0x00dfff70,0x3e5fffc8,0x00003fff,0xf10ffffc,0x7ec07fff,0x3fffa7ff,
    0x3ff20004,0x3fff206f,0x003fff24,0x0bfff900,0x8017fffc,0x00005ffd,
    0x004fffd8,0x3ffff000,0xffffd800,0x40bfff90,0x7e42fffe,0x3ffe05ff,
    0x2fffe42f,0x6c5ffff0,0x3ffe3fff,0x90ffff63,0x7fc0bfff,0x7ffe42ff,
    0x0bfffe05,0x027ffec0,0x403ffff1,0x2006fffd,0x0004fffd,0x217fffc0,
    0x003ffff8,0x203fffd8,0x7ec6fffb,0x3fee03ff,0xdfff506f,0x42ffffc1,
    0x02ffffe9,0x00dfff70,0x3a5fffc8,0x0001ffff,0xa8bfffe0,0x2600ffff,
    0xffd0ffff,0x7ec0009f,0x3fee03ff,0x03fffa6f,0xbfff9000,0x017fffc0,
    0x0007ffd4,0x27ffec00,0xfff80000,0x7fec002f,0x17fff27f,0x642fffe8,
    0x3fe05fff,0x7ffe42ff,0x8bfffe05,0xff54fffc,0x17fff41f,0xf817fff2,
    0x7fe42fff,0x3fffe05f,0x9fffb002,0x03fffd40,0x801ffff2,0x8004fffd,
    0xffffedca,0x7fd42fff,0xfe8000ff,0xffffffff,0x747fffff,0xffffffff,
    0x07ffffff,0x74bfffff,0xb88bffff,0x02ffffff,0x00dfff70,0x2e5fffc8,
    0x003fffff,0x3fffb72a,0x3ee2ffff,0x7fc406ff,0x9fffd2ff,0x7fff4000,
    0xffffffff,0x3ff67fff,0xaaaaacff,0x5fffc801,0x00bfffe0,0x54c5fff1,
    0x7ec00009,0x2a0004ff,0xfffffedc,0x159f32ff,0x5ffffb88,0xe817fff2,
    0x7fe42fff,0x3fffe05f,0x02fffe42,0x7dc5ffff,0x4bff95ff,0x640ffff8,
    0x3fe05fff,0x7ffe42ff,0x0bfffe05,0x027ffec0,0xb80ffff7,0x36007fff,
    0x2e004fff,0xfffffffe,0x7dc2ffff,0xff0007ff,0xffffffff,0xf8ffffff,
    0xffffffff,0x07ffffff,0x21ffffff,0xfffffffb,0x2fffffff,0x0dfff700,
    0x45fffc80,0x05fffffe,0x7fffff5c,0x22ffffff,0xf805fffc,0xfffd3fff,
    0x7ffc0009,0xffffffff,0x3ea7ffff,0xffffffff,0xf901cfff,0x7ffc0bff,
    0xaffec02f,0x02fffff9,0x13fff600,0x3fffae00,0xffffffff,0xffffff32,
    0x5fffffff,0xd02fffe4,0xffc85fff,0x3fffe05f,0x02fffe42,0x7d45ffff,
    0x3fff9fff,0x321fffee,0x3fe05fff,0x7ffe42ff,0x0bfffe05,0x027ffec0,
    0xb80dfff9,0x36007fff,0xf9004fff,0xffffffff,0xfc85ffff,0xf88007ff,
    0xffffffff,0x27ffffff,0xfffffff8,0xffffffff,0xfffffd07,0x7fffff45,
    0xfffbcfff,0xdfff7002,0x5fffc800,0x4fffffd8,0xffffff90,0x5fffffff,
    0x402fffec,0xffd3ffff,0x3e20009f,0xffffffff,0x47ffffff,0xfffffffb,
    0x82ffffff,0x3e05fffc,0x3ea02fff,0xffff98ff,0xb0001fff,0xc8009fff,
    0xffffffff,0xf32fffff,0xffffffff,0xffc85fff,0x3fffa05f,0x02fffe42,
    0xfc85ffff,0x3ffe05ff,0x77fffc2f,0xfff10fff,0xbfff907f,0x217fffc0,
    0x3e05fffc,0xfb002fff,0x7fdc09ff,0x7ffe407f,0x3fff6007,0xffffb804,
    0xff9999ae,0x7ffdc2ff,0xfff8000f,0x999999af,0x7fc09999,0x99999aff,
    0x30099999,0xc85fffff,0x52efffff,0x2e005fff,0x64006fff,0xff905fff,
    0xffb83fff,0x9999aeff,0x3ee2ffff,0x7fc406ff,0x9fffd1ff,0x7fffc000,
    0x9999999a,0x3fa20999,0xfeeeeeff,0x640fffff,0x3fe05fff,0xfff102ff,
    0x3ab7ffa7,0xfb0006ff,0x7dc009ff,0x999aefff,0xd32ffff9,0xffffffff,
    0xfff9039f,0x17fff40b,0xf817fff2,0x7fe42fff,0xffff105f,0xfffffb85,
    0xffffb9df,0x5fffc80f,0x85ffff10,0xf105fffc,0x36005fff,0x3ea04fff,
    0x7fec07ff,0x3ff6006f,0xfffd804f,0x0bfffe06,0x005ffff5,0x005fffd0,
    0x017fff40,0xffffa800,0x409a9881,0x2e006ffd,0x64006fff,0x3ee05fff,
    0x7fec4fff,0x3fffe06f,0x01fffea2,0x001ffff3,0x5fffd000,0x3fffa000,
    0xffff9103,0x05fffc85,0x205ffff1,0xfff15ffd,0x001ffe61,0x0027ffec,
    0x7c0dfffb,0xa9982fff,0x000019aa,0x17fff200,0x217fffc4,0xfd06fffb,
    0xff905fff,0xffffffff,0x3fee05ff,0xffffd06f,0x06fffb85,0x005ffffd,
    0x9813fff6,0xf102ffff,0x6c009fff,0xff804fff,0xfff103ff,0xffff885f,
    0x7fec000f,0x3f60005f,0x100005ff,0xb000ffff,0x5c001fff,0x64006fff,
    0x7f405fff,0x7fffc5ff,0x5ffff103,0x01ffffcc,0x000ffffb,0x17fff600,
    0x1bffea00,0x70ffffe0,0x3fa0dfff,0xffa82fff,0xf8dff30f,0xfd8000ff,
    0x3fe004ff,0xfff103ff,0x0000005f,0x3ffee000,0x5ffffd06,0x40ffffa8,
    0x02fffffd,0xfffffff9,0x7d403fff,0x7fec0fff,0x7fd42fff,0x7ffec0ff,
    0xffb002ff,0x7ffc409f,0xfffd80ef,0x3ff6001f,0xffff804f,0xffffe985,
    0xdffffe82,0xfff70600,0x3ee0005f,0x80002fff,0x4005fffa,0x4003fff9,
    0x4006fffb,0x6c05fffc,0x7ffc5fff,0xfffe985f,0x7ffffc2f,0x3ffffa81,
    0x01bffe20,0x02ffffb8,0x037ffe40,0x507fffe2,0xfd81ffff,0x7c42ffff,
    0x1bfe63ff,0xb0001fff,0x7c009fff,0xfe985fff,0x3e202fff,0xf88006ff,
    0xff5006ff,0xfffd81ff,0x7ffcc2ff,0xffffbbef,0x3fa02fff,0x0cefffff,
    0x77fffcc0,0xffffffbb,0x7fffcc2f,0xfffffbbe,0xffb002ff,0xfffb809f,
    0xffebabef,0x7ec006ff,0xffe804ff,0xffb88bff,0xf982ffff,0xabdfffff,
    0xffe86fdb,0x53109dff,0x3fffa0b9,0x953109df,0x7fffd40b,0x7ffdc000,
    0x7ffdc002,0x7ffe4006,0x3ea226a5,0x7ff43fff,0xffb88bff,0x7d42ffff,
    0xcbacffff,0x4c06ffff,0x74003fff,0x109dffff,0x7fdcb953,0xffb103ff,
    0xffff30ff,0xfffff77d,0x6ffc85ff,0xf987ffc4,0xffb0007f,0x7ff4009f,
    0xffb88bff,0x2602ffff,0x98003fff,0xf3003fff,0xff77dfff,0xd05fffff,
    0xffffffff,0x205fffdf,0x09acfff8,0x7ffff400,0xffefffff,0xffffe82f,
    0xffefffff,0x5555442f,0xaadfffea,0x3ffe21aa,0xffffffff,0x555101ff,
    0x5bfffd55,0xffb83555,0xffffffff,0xf902ffff,0xffffffff,0xfff30dff,
    0xffffffff,0x3ffe60ff,0xffffffff,0x7ff6e47f,0xfb8002ff,0x7005dfff,
    0xddddffff,0x327ddddd,0xfff15fff,0x81ffffff,0xfffffffb,0x2fffffff,
    0xffffffe8,0x02ffffff,0x000fffdc,0x3fffffe6,0x27ffffff,0xeffffff8,
    0xfffffedc,0xfffffd01,0xfffdffff,0x40fffcc5,0xffebeffe,0x55554404,
    0xaadfffea,0xfff701aa,0xffffffff,0x7dc05fff,0xfb8001ff,0x3fa001ff,
    0xffffffff,0xf982fffe,0xbfffffff,0xf502fffa,0xf98000ff,0xbfffffff,
    0xf982fffa,0xbfffffff,0x7dc2fffa,0xffffffff,0x4c5fffff,0xfffffffe,
    0x3ee01fff,0xffffffff,0xe85fffff,0xffffffff,0x202fffbc,0xfffffffb,
    0xff506fff,0xffffffff,0x7ffd40ff,0xffffffff,0x3ffffe27,0xff10001d,
    0x2e00ffff,0xffffffff,0xf94fffff,0x3ffe2bff,0xd01fffff,0xffffffff,
    0x105fff79,0xfffffffb,0xf9003dff,0x3ea000df,0xffffffff,0x7ffd47ff,
    0xffffffff,0x3fe602ff,0xabffffff,0x3ffa2fff,0xfffff503,0xffb801ff,
    0xffffffff,0x3a05ffff,0xffffffff,0x202fffbc,0x90006ffc,0xf9800dff,
    0xbfffffff,0xd302fffa,0x2a3dffff,0xffb02fff,0xfd30000b,0x3ea3dfff,
    0xffd302ff,0x3fea3dff,0x7fffdc2f,0xffffffff,0xfff905ff,0x8019ffff,
    0xfffffffb,0x5fffffff,0xdfffff90,0x00bffea5,0xfffffd91,0xffc805bf,
    0x4effffff,0xfffffc80,0x3e24efff,0x80002cef,0x006fffe9,0xfffffff7,
    0x29ffffff,0xff15fffc,0x8019ffff,0x2efffffc,0x5405fff5,0xcefffffe,
    0x09ffd000,0xffffc800,0x884effff,0xfffffffb,0xfd3003ef,0x3ea3dfff,
    0x0dff92ff,0x0effffa8,0xfffffb80,0xffffffff,0x7ffe405f,0xfff52eff,
    0x027ff405,0x004ffe80,0xeffffe98,0x805fff51,0x88000aa8,0x00001eee,
    0x00002aa2,0xb8001551,0xffffffff,0x05ffffff,0x0004d4c4,0xfffffff7,
    0xbfffffff,0x004d4c40,0x06666000,0x2aaa6200,0x55310001,0x00004035,
    0xf7000200,0xffffffff,0x1009ffff,0x88001333,0x000009a9,0x30001353,
    0x20000133,0x001aaa98,0x0026a662,0x000aa880,0x00266000,0xffffffb8,
    0xffffffff,0x09a98805,0x02666000,0x004ccc00,0x00155100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002f76c4,0xddddb100,
    0x9dddd907,0xee980000,0xed88003e,0xee88005e,0x017baa0e,0xe9837bae,
    0x362002ee,0x200005ee,0x83eeeed8,0x004eeeec,0x3bb62000,0x3a0003ee,
    0xdd901eee,0x000009dd,0x3bdddd30,0x20000100,0x001bccb9,0xa83bba20,
    0xd80005ee,0x00881eee,0x13300000,0x800ba800,0x001abcee,0x00100880,
    0x3bbae022,0x07bbb604,0x7776c400,0x0098003e,0xfffe8800,0xe880005f,
    0x3202ffff,0x0005ffff,0x7fffff30,0x7fff4400,0xfff8005f,0x00bffd14,
    0x3e63fff6,0x3a2004ff,0x0005ffff,0x2ffffe88,0x17ffff20,0x3fa20000,
    0x40002fff,0x3201ffff,0x0005ffff,0x3fffe600,0x3ff2201e,0x2005c0df,
    0xffffffd8,0xfff0001d,0x017ffa29,0x8bfffa00,0x02dffffd,0x2e02eed8,
    0xefffffed,0x3fffa202,0x7ffffc01,0x32a002ef,0xdcdffffe,0xeffc802f,
    0x817fff20,0x8002ffff,0x82ffffe8,0xfb30eeeb,0x00019dff,0x3fffbffa,
    0x3fa20005,0xfa800eff,0x40005fff,0xfffefff9,0xfdffd003,0xfb800bff,
    0x2fffffff,0x3ffffa00,0x7f4004ff,0x005fffef,0x3bfffa20,0xffffa800,
    0x3a200005,0x4000efff,0xfffffffe,0xff503fff,0x00000bff,0x00bffff3,
    0x9ffffffd,0x2601df95,0xffffffff,0xfb8000ff,0x2fffffff,0xfffe8000,
    0x3fffffe2,0x1bff200f,0x7fffff4c,0x2e02ffff,0x7c06ffff,0xefffffff,
    0x3fff6201,0xffffffff,0x7fffd402,0x817fff26,0x4002ffff,0x00efffe8,
    0xff73fff9,0x01dfffff,0x98effd80,0x88004fff,0x4004fffe,0x005fffe8,
    0x2ebfff10,0x7ec02fff,0x4fff98ef,0x7fffec00,0x744004ff,0x4005ffff,
    0xff98effd,0xfe88004f,0x744004ff,0x80005fff,0x004fffe8,0xffffffd0,
    0x4407ffff,0x0005fffe,0x0ffffe60,0x3ffffee0,0x1fffffff,0xbbffffd0,
    0x000dffff,0x3ffffff6,0xffd00004,0x7d4d5c5f,0xfff303ff,0xfffff503,
    0x05ffffff,0x037fffe4,0x3ffffffe,0xff980fff,0xffffffff,0x7e402fff,
    0x3ff27fff,0x3fffe05f,0x3ffa2002,0x7ffe404f,0xfffffffd,0x3ae006ff,
    0x3bba60de,0x77764002,0x3bb20002,0xeed8003e,0x80f775c4,0x3a60deeb,
    0x6dc002ee,0x10002def,0xb8009ddb,0x3ba60dee,0x7764002e,0x3b20002e,
    0x640003ee,0x20002eee,0xfffffffe,0xec803fff,0x880003ee,0x2001deed,
    0xfffd51ed,0x3fea05ff,0x3ffea0ef,0xfb70000f,0x400005bd,0xd302fffe,
    0x3ffa05ff,0xfffff884,0x2cba99ad,0x13fffea0,0xffb55330,0xffd0dfff,
    0xf7335bff,0xfb805fff,0x3ff26fff,0x3fffe05f,0x3bbb2002,0xffffc802,
    0xfffccfff,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99998800,0x009affff,0x00000000,0x376e0200,
    0x3fff201b,0x01fffe82,0x00000000,0xfe85fffd,0xff703fff,0x3ffff20d,
    0x7fdc0001,0xfff30004,0x7ffdc5ff,0x5fffd03f,0x43fffb00,0x3e05fffc,
    0x00002fff,0x7ffffe40,0x3fffe20c,0x00620006,0x0000c400,0x80000310,
    0x06200008,0x00cc4000,0x00018800,0x80001988,0x10000198,0x22000033,
    0x42600001,0x8001ffff,0x88000018,0x80000000,0xfd82fffd,0x000001ff,
    0x7f426000,0x7fff42ff,0x7ffcc2ef,0x07ffff01,0x40000000,0x3e4ffff9,
    0x3fa05fff,0x133002ff,0x205fffc8,0x4c02ffff,0xfc802200,0xff705fff,
    0x6d4001ff,0x00cefffe,0x3fffb6a0,0x6d4000ce,0x00cefffe,0x7ffee4c0,
    0x6dc03dff,0x00ceffff,0xffffda88,0x2001dfff,0xcefffeda,0x7fed4400,
    0x01dfffff,0x7fffed44,0x8801dfff,0xffffffda,0x36e001df,0x00ceffff,
    0x3fffb6a0,0x001fffff,0x9dffffb7,0xfb930001,0x007bffff,0x7e4004c0,
    0x7ffc44ff,0x9ddd7007,0x00f776c0,0xfffffdb5,0xaaa85fff,0x7ff47ffd,
    0x3ffff104,0x00000000,0xf36ffff8,0x7f403fff,0x640002ff,0x3fe05fff,
    0x7fdc42ff,0xfd70dfff,0xfff909ff,0x3ffe601d,0xfff9001f,0x05ffffff,
    0xffffff90,0x32005fff,0xffffffff,0xfff9002f,0x0dffffff,0x3fffffa6,
    0x6c02ffff,0xffffffff,0xfc804fff,0xffffffff,0x3ffff602,0x4fffffff,
    0x3fffff60,0x04ffffff,0x7fffffec,0x404fffff,0xffffffe9,0x74c02fff,
    0xffffffff,0x74c01fff,0xffffffff,0x3ff2002f,0x6fffffff,0x261ddd70,
    0x204ffffd,0xd10ffffa,0x32009fff,0x3fe05fff,0xffd882ff,0xffffffff,
    0x3ffea02f,0x201dff70,0x8007fff9,0xeeeeeeec,0x3fa0003e,0xffff56ff,
    0x02fffe80,0x7e46eeb8,0x3ffe05ff,0x7fffe42f,0xfffdffff,0x7fe45fff,
    0x3ffe205f,0xfffe802f,0xffffffff,0x3ffffa01,0x1fffffff,0x7fffff40,
    0x01ffffff,0x3fffffa2,0xb86fffff,0xffffffff,0x3603ffff,0xffffffff,
    0x3a02ffff,0xffffffff,0xffb01fff,0xffffffff,0x3ff605ff,0xffffffff,
    0x3ff602ff,0xffffffff,0xfff702ff,0xffffffff,0x3ffe607f,0xffffffff,
    0x3fee01ff,0xffffffff,0x7f4403ff,0xffffffff,0x3fff906f,0xfffffff7,
    0xffff101d,0x1dfffd3b,0x17fff200,0x4c2ffff8,0xffffffff,0xf32fffff,
    0x2dfffddd,0x2a02fff8,0xe8007fff,0xffffffff,0xfff10004,0x1fffee9f,
    0x005fffd0,0x7e41fff9,0x3ffe05ff,0x77ffe42f,0xffffffff,0x3f22ffff,
    0x7ffc05ff,0x7ffdc03f,0xfffd31cf,0x3fffee0d,0xdfffd31c,0x67fffdc0,
    0x0dfffd31,0x77ffffec,0x446fedcc,0xccdfffff,0x00fffffe,0x221359fb,
    0x706ffffa,0x2639ffff,0xfb06fffe,0x3ea21359,0x9fb06fff,0x3fea2135,
    0x33f606ff,0xfff5109a,0xffff10df,0xfffd99bf,0xfffd01ff,0xff75359f,
    0x3fe203ff,0xfeccdfff,0x3600ffff,0xccefffff,0xff906fed,0xffffffbf,
    0x3ea07fff,0xefffffff,0x3fff2000,0x0bfffe05,0x35bffffd,0x25ffff73,
    0xeffffff9,0xa80bffb0,0xe8007fff,0xffffffff,0xffd88004,0xdfff92ff,
    0x02fffe80,0x320fffd8,0x3fe05fff,0x20ee42ff,0x98dffffc,0x3ff25fff,
    0x7fffc05f,0x3fffe202,0x3ffff881,0x40ffffc4,0x883ffff8,0xf881ffff,
    0xffa83fff,0x85301eff,0xb82ffffc,0x0104ffff,0x81ffff50,0x881ffff8,
    0x0083ffff,0x80ffffa8,0xffffa800,0xff500100,0xfffc81ff,0xffffb82f,
    0x17fffe44,0x901ffff8,0xf705ffff,0x3ea09fff,0x5301efff,0x3fffff20,
    0xffffdcff,0x3ffff607,0xfc8004ff,0x3ffe05ff,0x3fffee2f,0x25fffd03,
    0x21abccb8,0x5400fffb,0xa8007fff,0xfffeaaaa,0xfeeeb804,0x3ee6ffff,
    0x7ff407ff,0x7ff4c02f,0x17fff21f,0x217fffc4,0x1ffff100,0xff93ffdc,
    0x7ffc40bf,0x3fff201f,0x13fff206,0x640dfff9,0xffc84fff,0x3fff206f,
    0x0fffff84,0x3fffe200,0x1ffff603,0x3ffff000,0x206fffc8,0x0004fffc,
    0x0007fffe,0x001ffff8,0x10ffffc0,0x6c07ffff,0x7ffc7fff,0x3fffe05f,
    0x3ffff881,0x41ffff60,0x000fffff,0x9fffff90,0x07fffd41,0x7fffff44,
    0xfff90002,0x17fffc0b,0x740bffff,0xf1002fff,0xff5005ff,0x360000ff,
    0xfb804fff,0x1effffff,0x881fffea,0xf902ffff,0x5c3fffff,0xffd06fff,
    0x7f4005ff,0x87ffd46f,0x2a05fffc,0x7ec07fff,0x3fee03ff,0x1fffec6f,
    0xb0dfff70,0x7dc07fff,0x7ffc46ff,0x7fd4003f,0x3fe600ff,0x3e0000ff,
    0x7fec2fff,0x3ffee03f,0x3ffe0006,0x3fe0002f,0x7c0002ff,0x3fea2fff,
    0x3fe600ff,0xffff30ff,0x0ffffc03,0x007fffd4,0x881ffff3,0x0003ffff,
    0x217ffff2,0x4c1ffff8,0x6fffffff,0xc80fffe4,0x3fe05fff,0xffff32ff,
    0x17fff403,0x005ffd80,0x000ffff5,0x013fff60,0x3fffffee,0x1ffff984,
    0x85ffffb0,0xffffffe9,0x3fffea2f,0x7ffffec0,0x17ffa002,0x3f23fff3,
    0x3ffa05ff,0x7fff406f,0xffffffff,0x7ff47fff,0xffffffff,0xfe87ffff,
    0xffffffff,0x547fffff,0x4000ffff,0x4406fffb,0x5402ffff,0xfffffedc,
    0x7fff42ff,0xffffffff,0x65407fff,0xffffffed,0x76e5402f,0x2fffffff,
    0xffedca80,0x2e2fffff,0x7c406fff,0xfff52fff,0x1ffff80f,0x406fffb8,
    0x542ffff8,0x0000ffff,0x403bfff2,0x3a22ffff,0xffffefff,0x403fff65,
    0x3e05fffc,0xfff52fff,0x2fffe80f,0x00fffa80,0x00ffff50,0x13fff600,
    0x077ffee0,0x85ffff88,0x42fffffc,0xfffffffe,0x3fffe62f,0xfffffbbe,
    0x975102ff,0x999dfff9,0x3f25fff9,0xfff705ff,0xffff807f,0xffffffff,
    0x7ffc7fff,0xffffffff,0xff87ffff,0xffffffff,0x5c7fffff,0xc8007fff,
    0xff805fff,0xffd703ff,0xffffffff,0xfffff85f,0xffffffff,0xffd707ff,
    0xffffffff,0x3ffae05f,0xffffffff,0x3ffae02f,0xffffffff,0x17fff22f,
    0x5cffffe0,0x7fc07fff,0xfffc81ff,0x3ffff805,0x003fffdc,0x817fff20,
    0x3f22fffe,0xfffb8eff,0x01fffb3f,0xf817fff2,0xfff72fff,0x2fffe80f,
    0x017ffc40,0x00ffff50,0x13fff600,0x00fffea0,0x2b7ffff2,0xfffffffb,
    0x37ffff22,0x7ffff400,0xffefffff,0xffffb82f,0xffffffff,0xff92ffff,
    0x3f2633df,0x7c406fff,0xffffffff,0x27ffffff,0xfffffff8,0xffffffff,
    0x7ffffc47,0xffffffff,0x7ffe47ff,0xfffd8007,0x3ffff805,0xffffffc8,
    0x2fffffff,0x3fffffe2,0xffffffff,0xffffc87f,0xffffffff,0xffffc82f,
    0xffffffff,0xffff902f,0xffffffff,0x2fffec5f,0xc9ffffc0,0x7fc06fff,
    0xfffd81ff,0x3ffff805,0x003fffe4,0x817fff20,0xff12fffe,0x7ffec3ff,
    0x207fffaf,0x3e05fffc,0xfff92fff,0x2fffe80d,0xf32ffec0,0xffa87fff,
    0xfb00007f,0xff5009ff,0xfff1007f,0xffffffff,0x7ff45fff,0xfff3006f,
    0xf57fffff,0xfffb85ff,0xffffffff,0x92ffffff,0xffffffff,0x003fffff,
    0x3335ffff,0x13333333,0x99affff8,0x99999999,0x9affff80,0x99999999,
    0x7fffdc09,0x7ffdc000,0x7fffc406,0x77fffdc1,0xfff9999a,0x57fffc2f,
    0x99999999,0x7ffdc099,0xf9999aef,0x7fdc2fff,0x9999aeff,0xfb82ffff,
    0x999aefff,0x2e2ffff9,0x7c406fff,0xfff71fff,0x1ffff80f,0x406fffb8,
    0x5c1ffff8,0x0000ffff,0xe817fff2,0xfff32fff,0xfffffd0f,0x7fe40bff,
    0x3fffe05f,0x80ffff72,0x2a02fffe,0x3ffa0fff,0x7ffd43ff,0xffb00007,
    0xddd3009f,0x3ffea005,0xfdbfffff,0x3fffe2ff,0x3ffa6004,0xfff51eff,
    0x0f7ffc45,0x32007ffd,0xffffffff,0xd001efff,0x40005fff,0x0002fffe,
    0x0017fff4,0x05ffff50,0x07fffa80,0x207fffcc,0x3e06fffd,0x7ff42fff,
    0x3f60002f,0x3ffe06ff,0x37ffec2f,0xb05ffff0,0x7fc0dfff,0x3ffea2ff,
    0x7fffcc07,0x40ffff50,0xa81ffff8,0x7cc07fff,0x7fd40fff,0x320002ff,
    0x3fa05fff,0xdfff52ff,0xffffff10,0x7ffe405f,0x5ffff105,0x881fffea,
    0xf102ffff,0x6ffdc7ff,0x7ffd43ff,0xffb00007,0x8000009f,0x1effffe9,
    0x3e25fffd,0x88004fff,0x77fec0aa,0xd07ffee0,0x3f2009ff,0xffffffff,
    0x7fec002e,0x3f60005f,0x6c0005ff,0x20005fff,0x00fffff8,0x0ffffe60,
    0xf87fffd8,0xff103fff,0xfffd85ff,0x3ffe0005,0xffff103f,0x03ffff85,
    0xf05ffff1,0x3e207fff,0x3fe62fff,0x3ff603ff,0x3fffea7f,0x3ffffd01,
    0x07ffff30,0x443fffec,0x000fffff,0x40bfff90,0xff52fffe,0x3ffe60ff,
    0x7fdc07ff,0xffffd06f,0x07fffe65,0x817fffec,0x3fe25ffd,0x7d43ffad,
    0xb00007ff,0x0c009fff,0x81551000,0x3fa2fffe,0x200006ff,0x7e40fffd,
    0x06ffe87f,0x31bfff90,0x7dc00013,0x70002fff,0x0005ffff,0x017fffdc,
    0xbffffd00,0x3ffe0c01,0xfffa81ff,0x5ffff83f,0x2ffffe98,0x017fffdc,
    0x85ffff80,0x42ffffe9,0xe985ffff,0xff82ffff,0xffe985ff,0x7fffc2ff,
    0xffffa81f,0x17fffe23,0x07fffff6,0x40fffffc,0xd03ffffa,0x401bffff,
    0x0bfff901,0xf897fff4,0xff703fff,0xffa80bff,0x7ffec0ff,0xffff12ff,
    0xfffff90b,0x41fff505,0x3ffa8ffd,0x003fffd4,0x04fffd80,0x003fff98,
    0x17fff400,0x00bffff9,0x07fff300,0x7cc1fff9,0xfc801fff,0x400005ff,
    0x09dffffe,0x3a0b9531,0x109dffff,0x7f40b953,0x3109dfff,0x3fe60b95,
    0xbabdffff,0x7ffd46fd,0xffcbacff,0xfffd06ff,0xfff7117f,0xffd05fff,
    0x26213bff,0xfffe85ca,0xfffb88bf,0x7ff42fff,0xffb88bff,0xfe82ffff,
    0xfb88bfff,0x542fffff,0xbacfffff,0xc86ffffc,0xeaadffff,0x01ffffff,
    0x59fffff5,0x0dffff97,0x7fffffcc,0x06fdbabd,0x740bfff9,0x3ffa2fff,
    0xfb989cff,0x202fffff,0xbbeffff9,0x2fffffff,0x2b7ffff2,0xfffffffb,
    0x71fffc42,0x9ff739ff,0x03fffd43,0x4fffd800,0x1fffff80,0x3ffa0000,
    0x3fffe62f,0x80019bff,0xfb83fffb,0xffff33ff,0x322981df,0x00005fff,
    0x7fffffcc,0x07ffffff,0xfffffff3,0x40ffffff,0xfffffff9,0x207fffff,
    0xfffffffc,0xfe86ffff,0xffffffff,0xff702fff,0xffffffff,0xf305ffff,
    0xffffffff,0xff70ffff,0xffffffff,0xfb85ffff,0xffffffff,0xb82fffff,
    0xffffffff,0x82ffffff,0xfffffffe,0x982fffff,0xffffffff,0x01fffeff,
    0x3ffffffa,0x02ffffff,0x7fffffe4,0x906fffff,0x7f40bfff,0x3ffe62ff,
    0xffffffff,0x201fffff,0xfffffffe,0x22fffeff,0xfffffff8,0x2fffefff,
    0x3f637fe4,0x7fffffff,0x001fffea,0xfd555551,0x35555bff,0x17ffffcc,
    0xfffd0000,0xfffffa85,0x2006ffff,0x25dffffb,0xffeffff9,0xeeffffef,
    0x3fff24ff,0xfa800005,0xffffffff,0x3fea07ff,0xffffffff,0x7ffd407f,
    0xffffffff,0x7fffdc07,0x86ffffff,0xffffffd8,0x7401efff,0xffffffff,
    0x502fffbc,0xffffffff,0x3fa0ffff,0xcfffffff,0xfe82fffb,0xcfffffff,
    0xfd02fffb,0x9fffffff,0xb105fff7,0xffffffff,0x7fd403df,0xbaffffff,
    0x36201fff,0xffffffff,0xff7001ef,0xffffffff,0x17fff20d,0x5c2fffe8,
    0xffffffff,0xffffedff,0xfffff300,0xfff57fff,0xfffffa85,0xfffabfff,
    0xb07ffe62,0xffffffff,0x03fffd4f,0x3ffffee0,0xffffffff,0x3fffe25f,
    0x3a00001f,0xffb82fff,0x06ffffff,0x3ffffe20,0x7fffff47,0xfffff8bf,
    0x3ff24fff,0x2000005f,0xfffffffc,0xffc804ef,0x4effffff,0xfffff900,
    0x1009dfff,0xffffffd9,0x7ff5405b,0x000cefff,0x5dfffff9,0x900bffea,
    0xffffffff,0x7ffe409d,0xfff52eff,0x3ffff205,0x5fff52ef,0x7ffffe40,
    0x05fff52e,0x7fffff54,0xfe9800ce,0xff71efff,0xffd5003f,0x0019dfff,
    0xffffec88,0xff902dff,0x7fff40bf,0xffffd882,0xfff31eff,0x7ff4c0df,
    0xfff51eff,0xffffd305,0x8bffea3d,0x99883ffe,0x21cffb99,0x4007fffa,
    0xfffffffb,0x5fffffff,0x0027ffd4,0x0bfffa00,0x7ffffe44,0x7f4c006f,
    0x7fec46ff,0x3ffa23ff,0x3f23efff,0x000005ff,0x01aaa988,0x35553100,
    0x554c4000,0x4cc0001a,0x9a980019,0x35310000,0x26200001,0x22001aaa,
    0x200009a9,0x00009a98,0x0004d4c4,0x0009a980,0x00015510,0x0009a980,
    0x00666600,0xe817fff2,0x54c02fff,0x2200001a,0x220000aa,0xff9000aa,
    0x1ffd400d,0x001fffea,0xfffffff7,0xbfffffff,0x00003510,0x805fffd0,
    0x06fedca8,0x35100200,0x404d5440,0x0005fffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000aa200,0x4ccccccc,0xdd100099,0x02f7541d,
    0x0f777540,0x403bdddb,0x99999999,0x77540009,0x3bbb61ee,0x3dddd51d,
    0x3dddd300,0x9837bae0,0x00002eee,0x9ddd7013,0xb1000000,0x2007dddd,
    0x0005eed8,0xdd700088,0x17774c1b,0x6c2eec80,0x330000ee,0x4c400033,
    0x3bb2009a,0x03eeeeee,0xdddb1000,0x2662007d,0x37bae001,0x00bbba60,
    0x26666662,0xc8000199,0xd70ceeee,0x3ba207dd,0x362000ee,0x54c005ee,
    0x7500019a,0x7ffc4005,0x7ffc000e,0x05ffffff,0x7453ffe0,0x7c4005ff,
    0x3ff63fff,0x7ffc01ff,0x05ffffff,0x8ffffe20,0x221ffffd,0xc805ffff,
    0x7ec06fff,0x4fff98ff,0x3ffaa000,0xff92efff,0x800000bf,0x02ffffe8,
    0xbffffd10,0xffdc9800,0x3603dfff,0xfff98fff,0x3bff2004,0x00fffb88,
    0xffffd950,0xc8805bff,0xfffffffd,0x7ffff43d,0x0004ffff,0x2ffffe88,
    0x3fffae20,0xd804efff,0xfff98fff,0xffff9004,0x001fffff,0x27fffe40,
    0x4413fff2,0x1000ffff,0x80bffffd,0xffffffeb,0xff9002ef,0x3ff200bf,
    0x7fc003ff,0x5fffffff,0x3fffee00,0x4002ffff,0x3f23fffe,0xff800eff,
    0x5fffffff,0x8ffffa00,0xc80efffc,0x7c00ffff,0xfe803fff,0x004fffff,
    0xfffffd30,0x3ff27fff,0x2000005f,0x00efffe8,0x3ffbffa0,0xfff9005f,
    0x0dffffff,0xffffffe8,0x7ffcc004,0x004fffff,0xfffffffb,0x7d409fff,
    0xffffffff,0x3ffa0fff,0x04ffffff,0x7fff4400,0x3ffea00e,0x6fffffff,
    0xfffffd00,0x7fe4009f,0x0fffffff,0xffff9000,0x09fff905,0x003fffe2,
    0x7fff7ff4,0x3ffffe05,0x0effffff,0x3ffffe20,0xffffd803,0x77774004,
    0x004eeeee,0x7fffffec,0x7ffe4004,0x017ffee3,0xeeeeeee8,0xff9004ee,
    0x2fffdc7f,0x05ffff30,0x007fffd4,0x2fffff44,0xfffe8800,0x93ffffff,
    0x0000bfff,0x13fffa20,0x31dffb00,0x74409fff,0xffffffff,0x7f4406ff,
    0x70005fff,0x1dffffff,0xffffe980,0x4fffffff,0xffffff90,0x1fffffff,
    0x7fe6665c,0x220004ff,0x5404fffe,0xffffffff,0xd1006fff,0x800bffff,
    0xeeeeeeeb,0xfc8000ee,0xff901eff,0x3ffe209f,0xeffd800f,0xf04fff98,
    0xffffffff,0x7cc0bfff,0xb807ffff,0x0001ffff,0xfb700000,0xe98005bd,
    0x3bba63ee,0x00000003,0x74c7ddd3,0xffe803ee,0x3fff605f,0x3bb62005,
    0x3ff20004,0xcaa9adff,0x00bfff92,0x3bbb2000,0x6f75c002,0x40bbba60,
    0xcefffffd,0x8806fedc,0x40004eed,0x803efed9,0xfffffff8,0x84ffeccd,
    0xeffffffc,0x0fffedcc,0x027ffec0,0x05ddd900,0x15ffffd0,0x10025cc4,
    0x00009ddb,0x77540000,0x7ffe404e,0x1ffff104,0x20deeb80,0xef82eee9,
    0xffdb9aac,0xff101fff,0x7001ffff,0x000005dd,0x00000000,0x00000000,
    0x70000000,0xf101ffff,0x00005fff,0x3fffe000,0x5fffc804,0x00000000,
    0xff500000,0x0a603dff,0x00000000,0xeffffc80,0xf8875101,0x5404ffff,
    0x7ffec00d,0x20000004,0x003ffff8,0x00000000,0x90000000,0x3e209fff,
    0x00000fff,0x3fea0040,0x3fea03ff,0x00001fff,0x00018800,0x80000620,
    0x00000018,0x20000000,0xb83ffff8,0x10007fff,0xf1000333,0xf9001fff,
    0x00110bff,0x00333100,0x80333100,0x000fffff,0x00098800,0x3fe20000,
    0xd8000eff,0x0002ffff,0x013fff60,0x1004c400,0x000bffff,0x00000000,
    0x32000000,0xff104fff,0x000001ff,0x9ffff000,0x07fffc80,0x36e00000,
    0x00ceffff,0x7fffedc0,0x6dc000ce,0x00ceffff,0x409ddd70,0x75c1eeed,
    0x3bb604ee,0x7ffec01e,0x04fffe86,0xffffd710,0x2a009dff,0xf9007fff,
    0x3fb269ff,0x71000cef,0xdffffffd,0x3fae2009,0x44efffff,0x003ffff8,
    0x754ddd90,0x6403efff,0xeeeeeeee,0x7fffec03,0xfff98002,0x6c00005f,
    0xd9004fff,0x7fff54dd,0xfffff03e,0xee88005b,0xeeeeeeee,0xdd906eee,
    0x07dddddd,0x3bbbbb20,0x7e403eee,0xfff104ff,0x7776401f,0x003eeeee,
    0x02fffd80,0x2237ffd4,0xeeeeeeee,0x206eeeee,0xffffffe9,0xe9802fff,
    0xffffffff,0xffe9802f,0x2fffffff,0x05fffc80,0xf90bfffe,0x7ffc0bff,
    0x7ffcc02f,0x3fffe21f,0xffffa800,0x06ffffff,0x00dfff50,0x3eb3fff2,
    0x0effffff,0x7ffffd40,0x806fffff,0xfffffffa,0x7fd46fff,0xfd0000ff,
    0xffffb1ff,0x7f40bfff,0x4fffffff,0x037fffc0,0x1ffffb80,0x7fec0000,
    0xfffd004f,0xffffffb1,0xffff90bf,0x1005bfff,0xffffffff,0x20ffffff,
    0xfffffffe,0xfffd004f,0x809fffff,0xf104fffc,0x7f401fff,0x4fffffff,
    0x7ffc4000,0x7ffdc00f,0x7ffffc43,0xffffffff,0xfffff707,0x7fffffff,
    0x7ffffdc0,0x3fffffff,0x3ffffee0,0x3fffffff,0x02fffe40,0xfc85ffff,
    0x3ffe05ff,0xfffe802f,0x017ffee4,0x3fffffea,0x006fffff,0x200dfff5,
    0xfffefffc,0x06ffffff,0x3fffffea,0x406fffff,0xfffffffa,0x7dc6ffff,
    0x3a0007ff,0xffffdfff,0xd01fffff,0xffffffff,0x7fffc409,0xfffb0003,
    0xfb00000d,0x3fa009ff,0xfffffdff,0x7441ffff,0xffffffff,0x3ffe203f,
    0xffffffff,0xfffd07ff,0x009fffff,0x3ffffffa,0x7fe404ff,0xffff104f,
    0x7ffff401,0x0004ffff,0x017fff62,0xf10dfff7,0xffffffff,0xf10fffff,
    0xd99bffff,0x101fffff,0x99bfffff,0x01fffffd,0x9bfffff1,0x1fffffd9,
    0x02fffe40,0xfc85ffff,0x3ffe05ff,0xfffb802f,0x00bfffa7,0x82bffffa,
    0x99884b98,0x9ffffb99,0x32199999,0xcfffffff,0x02fffffc,0x415ffffd,
    0x7f404b98,0x2620afff,0x3fffe44b,0xffffd000,0xfff77dff,0x2aaaa0bf,
    0x204fffea,0x002ffff9,0x30bfffd0,0x03333333,0x009fffb0,0x3ffffffa,
    0x5ffffbbe,0xfffffd70,0xd101dfff,0xfddddddd,0x2a0bffff,0xfffeaaaa,
    0x55555004,0xc809fffd,0xff104fff,0x555401ff,0x04fffeaa,0xffb99970,
    0xdc881bff,0x880fffff,0xeeeeeeee,0xc85fffff,0xfb82ffff,0xffc84fff,
    0xfffb82ff,0xffffc84f,0x4ffffb82,0x817fff20,0x7e42ffff,0x3ffe05ff,
    0xfff8802f,0x07fff99f,0x03ffff88,0xfffffc80,0xffffffff,0x3fff27ff,
    0x3fe20cff,0xfff886ff,0x3e20003f,0x5c003fff,0x0000ffff,0x87fffffd,
    0x2007fffb,0x2a04fffd,0x0001ffff,0xff09ffff,0x01ffffff,0x004fffd8,
    0x87fffffd,0x4c07fffb,0xfffffffc,0xfff98004,0x3f6000ef,0x360004ff,
    0x7e404fff,0xfff504ff,0xffd8001f,0xfffb004f,0x2607ffff,0x00cfffff,
    0xdffff300,0x3ffff881,0x11ffff60,0x6c07ffff,0x7fc47fff,0x3ff603ff,
    0x3fff207f,0x0bfffe05,0x7c0bfff9,0xfb002fff,0x9fff99ff,0xbffff100,
    0xffff9000,0xffffffff,0x7fe4ffff,0xfff705ff,0xffff881f,0x3fe20005,
    0x7d4005ff,0xd0002fff,0xf109ffff,0x36001fff,0x3ee04fff,0x88001fff,
    0xff83ffff,0x00ffffff,0x8027ffec,0x884ffffe,0x3000ffff,0x00fffffb,
    0x1ffffe88,0x27ffec00,0x9fffb000,0x86fffc80,0x00fffff9,0x027ffec0,
    0xffffffd8,0x7fcc1dff,0x220001ce,0xa81ffffe,0x2600ffff,0x3ea0ffff,
    0x3e600fff,0x3fea0fff,0x3fe600ff,0xfff900ff,0x17fffc0b,0xf817fff2,
    0xf3002fff,0x3fffffff,0x3ffffe00,0x3ff2002d,0xffffffff,0x327fffff,
    0xf300efff,0xfff03fff,0x20005bff,0x02dfffff,0x1fffff30,0xbfffd000,
    0x03fffe20,0x027ffec0,0x003ffff7,0x07ffff10,0xffffffff,0x4fffd801,
    0x0bfffd00,0x003fffe2,0x01ffffb0,0x1ffffec0,0x27ffec00,0x9fffb000,
    0x0ffffc80,0x3fffffa2,0x7ffec001,0xfddd9004,0x07ffffff,0x7fec0000,
    0xfff703ff,0xffff880d,0x01bffee2,0x5c5ffff1,0x7c406fff,0xff902fff,
    0x7fffc0bf,0x02fffe42,0x4005ffff,0x6ffffffe,0x3ffff200,0x8002dfff,
    0x9006fffa,0x7c40bfff,0xffc82fff,0x02dfffff,0x3fffff20,0x7f402dff,
    0x0600dfff,0x0013fffa,0x13fff600,0x02ffffa8,0x09ffff00,0xffff3333,
    0x4fffd801,0x09fffd00,0x7fec0000,0x3fee007f,0xfb0005ff,0x6c0009ff,
    0x7e404fff,0xffcbefff,0x02dfffff,0x013fff60,0xffffb880,0xb800001f,
    0x3205ffff,0xff805fff,0x3fff23ff,0x3ffff805,0x2017fff2,0xf903ffff,
    0x7ffc0bff,0x2fffe42f,0x005ffff0,0x7fffffdc,0x3ffa2003,0x3fffffff,
    0x1bffea00,0x02fffe40,0x220ffffe,0xfffffffe,0xfe8803ff,0xffffffff,
    0xfffff503,0xdfb757bf,0x009fffd0,0x9fffb000,0x1ffffcc0,0x5fffe800,
    0x07fffc40,0x013fff60,0x0027fff4,0x220567cc,0x006ffffb,0x00dffff3,
    0x027ffec0,0x09fffb00,0xffffffc8,0xfffeffff,0x3ff6007f,0xf980004f,
    0xddd54fff,0xff30003d,0xffd80dff,0xffff805f,0x017fff63,0xfd8ffffe,
    0xfff805ff,0xbfff903f,0x217fffc0,0x3e05fffc,0x22002fff,0x007fffff,
    0xfffffd70,0x5001dfff,0x3200dfff,0x7fc05fff,0x3fae02ff,0xefffffff,
    0xfffeb800,0x80efffff,0xfffffffc,0xfe86ffff,0x800004ff,0x2204fffd,
    0x0006ffff,0x880ffff9,0x6c00ffff,0xfd004fff,0xf30009ff,0xffffffff,
    0x1003ffff,0x001fffff,0x027ffec0,0x09fffb00,0xffffffc8,0xfffa9fff,
    0x3ff6007f,0xfb00004f,0x3ffeadff,0x7fc4001f,0x7dc00fff,0x7fc406ff,
    0x3ffee1ff,0x7fffc406,0x01bffee1,0x203ffff1,0x3e05fffc,0x7fe42fff,
    0x3fffe05f,0x7ffec002,0x64c0003f,0x4fffffff,0x06fffa80,0x40bfff90,
    0x801ffff8,0xffffffc9,0x3f26004f,0x04ffffff,0xfffffff7,0xffd0dfff,
    0xb000009f,0xff809fff,0xb8001fff,0x2202ffff,0x6c00ffff,0xfd004fff,
    0xf30009ff,0xffffffff,0x36007fff,0x0002ffff,0x0027ffec,0x809fffb0,
    0xfffefffc,0x1ffff61e,0x04fffd80,0xdfffb000,0x003fffea,0x05ffffb0,
    0x80ffff50,0x2a0ffff9,0x7cc07fff,0x3fea0fff,0x7ffcc07f,0xbfff900f,
    0x0bfffe20,0x220bfff9,0x4002ffff,0x000ffffd,0x3fff6600,0xfffa807f,
    0xbfff9006,0x03fffd40,0x7fffecc0,0xffb30007,0x7e440fff,0x2dffffff,
    0x004fffe8,0x4fffd800,0x77fffdc0,0x7ffc4000,0xfff100ef,0xfffd801f,
    0x9fffd004,0xfffd3000,0x19ffffff,0x3ffff200,0xffd80004,0x3f60004f,
    0x7fe404ff,0x5100a8bf,0x7fec0013,0xfd00004f,0x3ffe69ff,0x3ff2000f,
    0xff3004ff,0x7fec07ff,0x7fffcc7f,0x1ffff603,0x407ffff3,0x2e07fffd,
    0xffd06fff,0xfffb85ff,0x5ffffd06,0x7fffcc00,0xfb000003,0xfa801fff,
    0xff9006ff,0x7fff40bf,0x3ff60006,0x360000ff,0x5c00ffff,0x7400bfff,
    0x00004fff,0x804fffd8,0x01effffe,0xfffb8771,0xfff881ff,0x7ffec00f,
    0x9fffd004,0xfa998000,0x7d4007ff,0x00006fff,0x0009fffb,0x2027ffec,
    0x0003fffc,0x13fff600,0x3fff2000,0x0ffff32f,0x37fffd40,0x3ffffe00,
    0x3ffffa81,0x81fffff8,0xf83ffffa,0xfa81ffff,0x3ea03fff,0x7fec0fff,
    0x7fd42fff,0x7ffec0ff,0xff1002ff,0x00001dff,0x01ffff60,0x401bffea,
    0xf705fffc,0x40007fff,0x0007fffd,0x403fffec,0xfd007ffd,0x000009ff,
    0x5009fffb,0xbfffffff,0xd09ffd99,0x7bdfffff,0x01ffffb7,0x004fffd8,
    0x0009fffd,0x013ffe20,0x0fffff88,0xfffb0000,0x7fec0009,0x7ffe404f,
    0x36000004,0x32a04fff,0xfcaa9aaa,0xf10effff,0x3e200fff,0x4000ffff,
    0xacfffffa,0x06ffffcb,0x59fffff5,0x0dffff97,0x33ffffea,0x6ffffcba,
    0x77fffcc0,0xffffffbb,0x7fffcc2f,0xfffffbbe,0x733502ff,0x003fffff,
    0x88159f30,0x805ffffb,0x9006fffa,0x2633dfff,0x306ffffc,0xfb88159f,
    0x9f305fff,0xfffb8815,0x4fff805f,0x09fffd00,0x55554400,0xaadfffea,
    0xfffd81aa,0xffffffff,0xffffa84f,0xffffffff,0x555510ff,0x55bfffd5,
    0xfffd0355,0x3ea00009,0x3fa001ff,0xeeeeffff,0x5440eeee,0xfffeaaaa,
    0x441aaaad,0xffeaaaaa,0x21aaaadf,0x0004fffc,0xeaaaaa88,0xaaaadfff,
    0xffffff91,0x1fffffff,0x8037ffc4,0xeefffffe,0x80eeeeee,0xfffffffe,
    0x202fffff,0xfffffffe,0x202fffff,0xfffffffe,0x802fffff,0xfffffffe,
    0x82fffeff,0xfffffffe,0x02fffeff,0xffffffff,0x3fe60005,0xffffffff,
    0xfa802fff,0xff9006ff,0xffffffff,0x3e603fff,0xffffffff,0xf302ffff,
    0xffffffff,0x8805ffff,0xfd001fff,0x5c0009ff,0xffffffff,0x05ffffff,
    0xfffffff5,0x2209ffff,0xfffffffd,0xf70fffff,0xffffffff,0xd0bfffff,
    0x00009fff,0xa801bff2,0xffffffff,0x40ffffff,0xfffffffb,0x5fffffff,
    0x7fffffdc,0xffffffff,0x013fff25,0x3fffee00,0xffffffff,0xffff95ff,
    0xbfffffff,0x00dfff03,0xfffffff5,0x1fffffff,0xfffffb10,0x803dffff,
    0xffffffd8,0x4401efff,0xfffffffd,0xf3001eff,0x7fffffff,0xf305fff5,
    0x7fffffff,0x3e05fff5,0x02ffffff,0x3fffe600,0xffffffff,0xdfff5002,
    0x3ffff200,0xefffffff,0x3fffe601,0xffffffff,0x3fffe602,0xffffffff,
    0x06ffa802,0x013fffa0,0xfffffb80,0xffffffff,0x3fb2205f,0x0bdfffff,
    0x7ffff540,0x2e0befff,0xffffffff,0x85ffffff,0x0004fffe,0x4007ffb0,
    0xfffffffa,0x0fffffff,0x7fffffdc,0xffffffff,0x7ffffdc5,0xffffffff,
    0x13fff25f,0x3ffee000,0xffffffff,0xfff95fff,0x39dfffff,0x402fffc0,
    0xfffffffa,0x0fffffff,0x3ffffaa0,0x2a000cef,0xcefffffe,0x3ffaa000,
    0x000cefff,0x77ffff4c,0x205fff51,0x1effffe9,0x3e05fff5,0x000cffff,
    0x7ffff4c0,0x01cfffff,0x01bffea0,0x7fffedc4,0x9802efff,0xfffffffe,
    0x74c01cff,0xffffffff,0x331001cf,0x7fff4001,0x3fee0004,0xffffffff,
    0x2005ffff,0x20000998,0x70099a98,0xffffffff,0x0bffffff,0x0009fffd,
    0x50006620,0xffffffff,0x81ffffff,0xfffffffb,0x5fffffff,0x7fffffdc,
    0xffffffff,0x013fff25,0x3fffee00,0xffffffff,0x2a6625ff,0x0000009a,
    0x3fffffea,0xffffffff,0x01353000,0x01353000,0x01353000,0x01551000,
    0x00aa8800,0x00135300,0x2aa66000,0xf500019a,0x22000dff,0x20000999,
    0x019aaa99,0x35553300,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd3000000,0x00000bdd,0x00004cc4,0x80009998,
    0xd801fffb,0xbdd702ee,0x017774c1,0xddddb100,0x06662007,0x13553000,
    0x000cc000,0x3bbbbbb2,0x776c03ee,0x02eeeeee,0x00a88000,0x004eeeb8,
    0x00133000,0x801fffb8,0x77542eed,0x00000dee,0x7ddddb10,0x17bb6200,
    0x002a2000,0x005eee98,0x00353000,0x7f6e5c40,0x2a2003ff,0x7ffec009,
    0xffffffff,0x00998806,0x101fffe6,0x3301ffff,0x37ffd403,0x3b220000,
    0x01deffff,0x7fffedc0,0xffffffff,0x3ffffee2,0x037fe401,0x3e63fff6,
    0x220004ff,0x402ffffe,0xffffffe9,0xffd8802e,0x0dffffff,0x7ffedc40,
    0x7f400bdf,0x4fffffff,0x7fffff40,0x00003fff,0x003ffd91,0x000bfff9,
    0x3fffb220,0x3ee00dff,0x6401ffff,0xfff506ff,0x800001ff,0x02ffffe8,
    0xbffffd10,0xffd91000,0x7ffd4003,0x36600006,0x04efffff,0xfffffb30,
    0xea807fff,0x03ffffff,0xfffffffb,0x440dffff,0x2606fffd,0x7c407fff,
    0xffd30fff,0xfa87dfff,0x200006ff,0xfffffffa,0xd8802fff,0xffffffff,
    0x22ffffff,0x01ffffff,0x2007ffe6,0x4ffffffe,0x3ffa2000,0x7fec00ef,
    0xffffffff,0x3ffff206,0x1fffffff,0x3ffffe60,0x200effff,0xfffffffe,
    0x7fff404f,0x003fffff,0x3ffff100,0x0bfff900,0xfffd1000,0x03ffffff,
    0x07fffffe,0x201fff98,0x00ffffe8,0xfffd1000,0x7ff4001d,0x4005fffe,
    0x801ffff8,0xeffffeee,0xc8003eee,0xffffffff,0x3fee01ef,0xffffffff,
    0xffffb103,0x81dfffff,0xfffffffd,0xc886ffff,0x206fffff,0x4407fff9,
    0xff70ffff,0x4bffffff,0x0006fffa,0xffffff70,0x09ffffff,0x7fffff44,
    0xffffffff,0x3eb722ff,0x3ffa01ff,0xfffd1004,0x744000bf,0xfc804fff,
    0xffffffff,0xffc85fff,0xffffffff,0xfff501ff,0xfffb77bf,0x3332e03f,
    0x404ffffc,0xfffccccb,0xf100003f,0xf9003fff,0x98000bff,0xffffffff,
    0xdc82ffff,0x3a01fffa,0xff9004ff,0x880001ff,0x4004fffe,0xff98effd,
    0x3fe2004f,0xfff801ff,0xffffffff,0x7ffdc004,0xffffffff,0xfffff905,
    0x05999ddf,0x3ffffffa,0x5c6fffff,0xdccccccc,0x3f226fff,0x06ffffff,
    0x101fffe6,0x3ee1ffff,0xfffffeef,0x00dfff52,0xfffff100,0xffffdb9d,
    0x3fff203f,0xfffeabef,0x880aaaac,0xff701fff,0xeed8800d,0x77640004,
    0xfff9802e,0xffb511cf,0x7ffd41ff,0xcbaabdff,0xfffa81fe,0x1fffb104,
    0x13fff600,0x0ffffa00,0x7ffc4000,0xfffc801f,0x7ffc0005,0xffda9bff,
    0x3fe206ff,0x0dff701f,0x0deeea80,0x3bbb2000,0x6f75c002,0x00bbba60,
    0x00ffffc4,0x7ffffffc,0x2004ffff,0x9cfffff8,0x980efea8,0x003fffff,
    0x577fffe4,0x3ffffeb9,0x5bffee00,0xfffffffb,0x3fe606ff,0x7ffc407f,
    0xffd0110f,0x1bffea7f,0x3fff6000,0xffffb82f,0x4ffff885,0x800fffec,
    0xf981fff8,0x000001ff,0xfb800000,0xfff106ff,0x7fffec5f,0xffe80401,
    0x04ffd804,0x009fffb0,0x007fffd0,0x3fffe200,0x5fffc801,0x3ffee000,
    0xffffa81f,0x03fff103,0x0003fff3,0x00000000,0xf1000000,0x55003fff,
    0x555ffff9,0x7fdc0035,0x201700ff,0x000efffe,0x427fffc4,0x007fffe8,
    0x7e5bffee,0xfffdffff,0x1fffe606,0x01ffff10,0xf51fffe8,0x98000dff,
    0x3203ffff,0x7dc0ffff,0xfffd86ff,0x3fff1001,0x0009ffd0,0x20000130,
    0xfffd8009,0x8ffff603,0x0005fffe,0x9730bff5,0x003ffe17,0x3713fff6,
    0x03fffe80,0xfddddb00,0xdddddfff,0x3fff21dd,0x74004c45,0x3f603fff,
    0xfff106ff,0x009ffd03,0x00000000,0x36000000,0xffffeeee,0x0eeeeeee,
    0x0037ffd4,0x01bfff20,0x07fffe60,0x3fffea00,0x5ffff300,0x5bffee00,
    0xff73fff9,0x7ffcc0df,0x7fffc407,0x7ff65540,0x1bffea5f,0x06f77744,
    0x301ffff2,0xfe89ffff,0xfffd84ff,0x3fff1001,0x400effb8,0xfb30eeeb,
    0x75c09fff,0xfffb30ee,0x7ffe409f,0x87fffa05,0x0006ffff,0x7f445ffd,
    0x9ff92fff,0x29fffb00,0x7f401ffb,0xff0003ff,0xffffffff,0x21ffffff,
    0xfb34fffc,0x3ea09fff,0x3ea00fff,0xff881fff,0x077fdc1f,0x77777640,
    0xe8803eee,0xeeeeeeee,0x7646eeee,0x3a6001ee,0xfffff3ee,0xffffffff,
    0xffa81fff,0x0055446f,0x001fffec,0x0037ffe4,0x406fffc8,0x7003ffff,
    0x0674dfff,0x4c0dfff7,0x7c407fff,0x7ffc0fff,0x7fd45fff,0xfffe886f,
    0x4fffd82f,0x45fffe80,0xfd81ffff,0xff1001ff,0x17ffc43f,0x5cfffe40,
    0xefffffff,0xb9fffc80,0xefffffff,0x3ffffa80,0x746fffb8,0x4004ffff,
    0x3fe26ff8,0xff12ffff,0xdfffb00f,0xe803ffff,0xf0003fff,0xffffffff,
    0x1fffffff,0x3ef3fff2,0x0effffff,0x702fffe4,0x105fffff,0x7fc43fff,
    0xfffd002f,0x009fffff,0xfffffff1,0x8fffffff,0x2002fffc,0xfff2fffa,
    0xffffffff,0xa81fffff,0xffd56fff,0x7f401bff,0xfd8002ff,0x026664ff,
    0x80dfffb0,0x7004fffd,0xfb80dfff,0x3fe606ff,0x7ffc407f,0x7ffffc0f,
    0xfff52eff,0x5ffffb0d,0x00ffffe0,0xf89bfff2,0xfffb07ff,0x3ffe2003,
    0x4017ff61,0xfffdfffc,0x83ffffff,0xfffdfffc,0x03ffffff,0x23bffffd,
    0x642ffffc,0x0befffff,0x364ff980,0x21bacfff,0x7ec00ffe,0x1fffffff,
    0x01ffff40,0xfbaaaa80,0xaaaabfff,0xdfff90aa,0xffffffff,0x3fffd87f,
    0xfffffd88,0x1fff883f,0xe8017ff6,0xffffffff,0xffff8804,0xffffffff,
    0x1fffdc7f,0x23fff700,0xfffbaaaa,0xaaaaaabf,0x5efffd40,0xffffffff,
    0x05fffd00,0xbbffff00,0x19ffffff,0x03ffff70,0x802fffec,0x5c06fffb,
    0x3e606fff,0x7fc407ff,0x5cccc0ff,0xfa8ffffd,0x7ffe46ff,0x3fffe03f,
    0x7fffc802,0x6c1fffe6,0x4cccdfff,0xffb86660,0xfff9000f,0xffb9ffff,
    0xfff90fff,0xffb9ffff,0x3fe60fff,0xffffffff,0xffff883f,0x201cffff,
    0xfff13ffa,0x00ffec09,0x3ffffffa,0xfffe802e,0x2002a603,0x801ffff8,
    0xfffffffc,0x47ffffdc,0x74c3fffd,0x4fffffff,0x7fdc3330,0x2aaa000f,
    0x04fffeaa,0xeeeeee88,0x5fffffee,0x0027ffd4,0x2201fff9,0x2001ffff,
    0xfffffffa,0x03ffffff,0x8005fffd,0xfffffff8,0x2fffffff,0x027fffd4,
    0x200dfffb,0x5c06fffb,0x3e606fff,0x7fc407ff,0xfff800ff,0x26fffaaf,
    0x204ffffb,0x801ffff9,0x3ea7fffb,0xfffb06ff,0x400fffff,0x2002fff8,
    0x0cfffffc,0x903fffea,0x419fffff,0x300ffffa,0xfffffffd,0x7ffd403f,
    0x2effffff,0xff32ffb8,0x17fe405f,0xffffffb8,0x3ffa002e,0xfffe883f,
    0x7fffc403,0xffffc801,0x3ffea0cf,0x8bfffa0f,0xfdfffffb,0xff1005ff,
    0xfb00005f,0x300009ff,0x981dffff,0x36005fff,0x3fe207ff,0x3ea001ff,
    0xb9cfffff,0x3f26ffff,0xffffffff,0xf883ffff,0xffffffff,0x20ffffff,
    0xbefffff8,0xffffeb99,0xdfff7007,0x06fffb80,0x101fffe6,0x9801ffff,
    0xffaaffff,0xbffff36f,0x1ffff980,0x0ffffb80,0x360dfff7,0x7fffffff,
    0x017ff600,0x0bffff90,0xc83ffff1,0xf885ffff,0x3e601fff,0xcfffffff,
    0x3fffa600,0x44ffffff,0xfff51ffc,0x21ffdc03,0xfffffffb,0xfffe8005,
    0xfffffd83,0x3fffe201,0xffffc801,0x1ffff885,0x3a27fffe,0xfb8dffff,
    0xffb006ff,0x3f60000b,0x440004ff,0x881ffffe,0x7ff46fff,0x1037ff45,
    0x4003ffff,0x43fffffa,0x3f27fffa,0xffffffff,0xf983ffff,0x9abeffff,
    0x45ffffeb,0xfffffffb,0x6fffffff,0x0dfff700,0x206fffb8,0x4407fff9,
    0xdfd0ffff,0xfffffddd,0xf1dfff51,0xf300dfff,0xf7003fff,0x7ffdcfff,
    0xddfffb06,0x3ea00bdd,0x7e4000ff,0xfff00eff,0xefffc85f,0x05ffff00,
    0x3fffffee,0x400effff,0xffffffda,0x4bff24ff,0x3202fff9,0x3ffee2ff,
    0x004fffff,0xf83fffe8,0x264fffff,0xffffffff,0x20ffffff,0xf00efffc,
    0x7ffc5fff,0x3fffffcf,0x2017ffee,0x0000fffa,0x009fffb0,0x3ffffd80,
    0xf89fffe0,0x3ffa0fff,0x3fffe205,0x3ffea001,0xffff984f,0xffffff90,
    0x7fffffff,0x05ffff30,0x207fffec,0xfffffffd,0x05ffffff,0x80dfff70,
    0x2606fffb,0x7c407fff,0xfffd0fff,0x23ffffff,0xffeffffa,0xff8800ef,
    0xffc802ff,0x1fffea6f,0x000fffec,0x0017ffc4,0xd02fffe4,0xffc85fff,
    0x3fffa05f,0xcffffc82,0x6fffffc9,0xffff7100,0x3fee3fff,0x409fff13,
    0x3fee1ffd,0x04ffffef,0x43fffe80,0x4ffffff8,0x3fffffe6,0xffffffff,
    0x817fff20,0x3fa2fffe,0x1effffff,0x2027ffe4,0x2a62fff8,0xfffb0001,
    0x7fdc0009,0x7ff405ff,0x5ffff70f,0xf1027ffc,0x54003fff,0xff107fff,
    0x3e6623ff,0x9999bfff,0xfff88099,0x3ffe602f,0xfffea81f,0xfffecfff,
    0xdfff7004,0x06fffb80,0x101fffe6,0x3fa1ffff,0x0adfffff,0x3fffffea,
    0x3fe003ff,0xffc803ff,0x1fffe65f,0x000fffec,0xff32ffec,0x3ff207ff,
    0x3fffa05f,0x02fffe42,0xf985fffd,0x7f4c2fff,0x5c002fff,0xf54fffff,
    0x6ffff49f,0x83ffa1bb,0xfffb2efb,0xfffd0009,0xfffffb07,0x7ffffcc5,
    0xffffffff,0x17fff20f,0x362fffe8,0x0dffffff,0x403fffd8,0xfff75ffd,
    0xfd8009ff,0xf30004ff,0xf900dfff,0x3fffa3ff,0x07fff15f,0x00ffffc4,
    0x20dfff50,0xe81ffff8,0xf8002fff,0x3e203fff,0x54c02fff,0x0ffffa09,
    0x037ffdc0,0x981bffee,0x7c407fff,0x26620fff,0x7fffd400,0x001ffffd,
    0xd009fffd,0x7fc49fff,0xfffd81ff,0x7ffd4001,0x0fffffa0,0xd02fffe4,
    0xffc85fff,0x3fffa05f,0x827fff42,0x005fffe8,0x36ffffa8,0x7ffd4dff,
    0xfff12fff,0x7ffec2a8,0xfffe8004,0x4fffe883,0x7fdd5544,0x2aaaabff,
    0xd02fffe4,0x7fe45fff,0x3fa02fff,0x3fea02ff,0xfffffd0f,0x7fec003f,
    0xff88004f,0xfb800fff,0xffff8aff,0x2fff98ff,0x07fffe20,0x06fffa80,
    0xd03ffff1,0xd0005fff,0x7c409fff,0x88001fff,0x9001ffff,0xfb80dfff,
    0x3fe606ff,0x7ffc407f,0xff50000f,0xfffff1df,0xffffb001,0x3ffff880,
    0x6c1ffffc,0x22001fff,0x3fee3fff,0xff903ffd,0x7fff40bf,0x02fffe42,
    0xff85fffd,0x3fee01ff,0xfff0006f,0x70fffcdf,0x2e5fffff,0xffd804ff,
    0xffe8004f,0x002aa03f,0x007fffe2,0xe817fff2,0x3fee2fff,0x3fe601ff,
    0xfff101ff,0x7ec4ecc7,0x3ff6005f,0xffd8004f,0xff5002ff,0xffdff77f,
    0x03fff57f,0x00ffffc4,0x20dfff50,0xe81ffff8,0xd8002fff,0x3ea07fff,
    0xb8000fff,0x3a006fff,0x7dc04fff,0x3fe606ff,0x7ffcc07f,0x07fff20f,
    0xf36fffa8,0xf500dfff,0x7e405fff,0x7fec0fff,0x1fffd86f,0x897ff600,
    0x03ffadff,0x740bfff9,0x7fe42fff,0x3fffa05f,0x07fffe22,0x006fffa8,
    0x5c9ffff0,0x665445ff,0x001fff0b,0x0009fffb,0x0007fffd,0x0bfffe20,
    0x817fff20,0x3e22fffe,0x3f203fff,0x3ff605ff,0x027fe405,0x009fffb0,
    0x04ffffc8,0x373ffe60,0xbeffebff,0x7fc407ff,0x3ea002ff,0xfff106ff,
    0x5fffd03f,0xffff5000,0xdfffd107,0xffff3000,0xffa80647,0x7fdc03ff,
    0x3ffe606f,0x3fffdc07,0xf501bffa,0x7ffe4dff,0xfffe804f,0xffffb81f,
    0x4ffff983,0x800fffec,0x3f60fffa,0x903ffa8f,0x7f40bfff,0x7ffe42ff,
    0x0bfffa05,0x6c0bffff,0x03734fff,0x85ffff90,0xfd803fff,0xfffb004f,
    0xfffd0009,0x7fc00007,0xffc805ff,0x3fffa05f,0x07fffe42,0x80ffffd4,
    0x2a00fffa,0x36002fff,0x2a004fff,0x4006ffff,0xfffefff8,0xffdfffb9,
    0x5ffff807,0x1bffea00,0x40ffffc4,0x0002fffe,0x359ffffd,0x05ffffd7,
    0x7fffe440,0x2af7fe0e,0x0fffffca,0x037ffdc0,0x6e4ffff3,0x5ffffcab,
    0x2a01fffc,0x7ff46fff,0x7fdc03ff,0xfeccefff,0x3fa06fff,0xfeabdfff,
    0x0aaaacff,0xf71fffc4,0x39ff739f,0x40bfff90,0x7e42fffe,0x3ffa05ff,
    0x7ffff42f,0xfff930ac,0x37ffe65f,0xfffcbabc,0x7fdc0fff,0x3fff603f,
    0x9fffb000,0x7fffd000,0x7ff40000,0x17311cff,0xe817fff2,0x7fc42fff,
    0xfc99cfff,0xff105fff,0x7ffdc07f,0x7ffec004,0xffff1004,0xfff0001f,
    0x3fe2dfff,0xe805ffff,0x311cffff,0x6fffa817,0x23ffff10,0xdffffcca,
    0xcccccccc,0xfffffa83,0x4fffffff,0xfeeccc98,0x41ffffff,0xffffffff,
    0x3ba63fff,0xffffeeee,0xff35eeee,0x7fffe4ff,0x3e61ffff,0x7fd400ff,
    0x7fffc46f,0x3ffa201f,0xffffffff,0x3fea02ff,0xffffffff,0x42ffffff,
    0x7fec6ffc,0x87ffffff,0x3a05fffc,0x7fe42fff,0x3fffa05f,0x7ffffcc2,
    0xffffffff,0x3ffffe65,0xffffffff,0xffff901f,0xffffb77b,0x55555103,
    0x555bfffd,0x2aaaa635,0xaadfffea,0xf70001aa,0xffffffff,0x17fff21f,
    0xc82fffe8,0xffffffff,0xf901efff,0x7ffe40df,0x2aaaa203,0xaadfffea,
    0xfffe81aa,0xeeeeeeff,0xfffe80ee,0x3fffa4ff,0xffb804ff,0xffffffff,
    0x837ffd40,0xf91ffff8,0xffffffff,0x0bffffff,0x3fffffea,0xf504ffff,
    0xffffffff,0xffff05ff,0x89ffffff,0xfffffffa,0x7fffffff,0x7e4ffff3,
    0x43ffffff,0xfa805ffb,0xfffa86ff,0x7fe400ff,0xefffffff,0xffff9801,
    0xffffffff,0x3fe62fff,0x7fffec1f,0xfc87ffff,0x3ffa05ff,0x2fffe42f,
    0x505fffd0,0xffffffff,0xff98bfff,0xffffffff,0x7dc02fff,0xffffffff,
    0xffff700e,0xffffffff,0x3ffeebff,0xffffffff,0x20005fff,0xfffffffe,
    0xbfff90ff,0x817fff40,0xfffffffb,0xff300eff,0xfffd103f,0xfb81999d,
    0xffffffff,0x545fffff,0xffffffff,0x80ffffff,0x21fffffd,0x03fffffb,
    0xffffffd0,0xffa81fff,0xffff106f,0x3fffff23,0xffffffff,0x3f6205ff,
    0x01dfffff,0x3fffffea,0xb500cfff,0x3bffffff,0xffffff50,0xffffffff,
    0xb9fffe6f,0x81dfffff,0xfa800998,0xfff906ff,0xffd500df,0x8009dfff,
    0xfffffec8,0x2fffffff,0x2620fffa,0x1cffb999,0x205fffc8,0x7e42fffe,
    0x3ffa05ff,0xfff9102f,0x103bffff,0xffffffd9,0x4c007dff,0xcdffffed,
    0x3fffee00,0xffffffff,0xffff75ff,0xffffffff,0xb8000bff,0xffffffff,
    0x40bfff90,0x2602fffe,0x3efffffd,0x881fff40,0xffffffff,0x7ffffdc0,
    0xffffffff,0x7fffd45f,0xffffffff,0xfffb80ff,0x7fffc47f,0x3fee002f,
    0x40ffffff,0xf106fffa,0x3ff23fff,0xffffffff,0x005fffff,0x2a001551,
    0xaceeffff,0x02666000,0xffffff50,0xffffffff,0x00ccc00f,0x3ffea000,
    0x3ffffa06,0x026a2005,0x04ccc000,0x006ffc80,0x7e40ffea,0x3ffa05ff,
    0x2fffe42f,0x005fffd0,0x40035531,0x019aa998,0x001a8800,0x3fffffee,
    0xffffffff,0xffffff75,0xffffffff,0x2620000b,0x7fe409aa,0x3fffa05f,
    0x00353002,0xf881bff2,0x0fffffff,0x7fffffdc,0xffffffff,0x7ffffd45,
    0xffffffff,0xffffa80f,0x1ffffe84,0x9aa98800,0x0dfff500,0x007fffe2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffdc000,0x1ffff806,0x4004d440,0xfffffffe,0x302fffff,
    0x440dc007,0xd805ffff,0x3ff26fff,0xffffffff,0x22ffffff,0xfffffff8,
    0x7c402bce,0xffffffff,0x06ffffff,0x3fffff20,0xfffff904,0xffffffff,
    0x22007fff,0xffffffff,0x3fff26ff,0x3fe20005,0xbcefffff,0x3ffe6002,
    0x3fe6000f,0x7c0000ff,0x3ee02fff,0xffb805ff,0x002fff86,0x1fffffe6,
    0x3ffffee0,0x402bceff,0x2002fffa,0xffb1fffb,0xffffffff,0x7fff4fff,
    0x3fffe007,0x409fffb4,0x2e2ffffd,0x6c006fff,0xffffffff,0x3e26ffff,
    0xff307fff,0x2aa20dff,0x037ffdc0,0x5c0ffffc,0x3ffffffd,0x3fffffa0,
    0x2fffffff,0x400ffecc,0x7dc0dffa,0x3e601fff,0x3ff22fff,0xffffffff,
    0x22ffffff,0xfffffff8,0x102effff,0xffffffff,0xdfffffff,0x3fffe600,
    0xfff904ff,0xffffffff,0x007fffff,0x3fffffee,0x3f26ffff,0x220005ff,
    0xffffffff,0x9802efff,0x2000ffff,0x000ffff9,0x017fffc0,0x900bfff7,
    0xfff88dff,0x3fff2002,0x7dc02fff,0xffffffff,0xff502eff,0x7fdc007f,
    0xfffffb0f,0xffffffff,0x017fffe4,0xd97fffcc,0xff504fff,0xfffb8bff,
    0x7ffec006,0xffffffff,0x3fffe26f,0xffffc81f,0x1efffb87,0x201bffee,
    0x3a61ffff,0xffffffff,0xfffe80ef,0xffffffff,0x3fffe22f,0x7fffc406,
    0x06fffe85,0xf917fffa,0xffffffff,0x5fffffff,0x7fffffc4,0xdfffffff,
    0x7ffffc40,0xffffffff,0xffd006ff,0x3209ffff,0xaaaaaaff,0xffbaaaaa,
    0xffffd003,0x4dffffff,0x0005fffc,0x3fffffe2,0xdfffffff,0x3fffe600,
    0x3ffe6000,0x7fc0000f,0x3fee02ff,0x5ffd805f,0x000fffcc,0x9ffffffd,
    0xfffffb80,0xffffffff,0x1fffcc0d,0x21fff700,0xfffffffd,0x267fffff,
    0xb804ffff,0x3ff67fff,0xffff884f,0x37ffdc0e,0x3ffff600,0xffffffff,
    0x3ffffe66,0x7ffffe84,0x37ffffcc,0xf00dfff7,0x3fee3fff,0xffffffff,
    0xfffe85ff,0xffffffff,0x7fffd42f,0x3f613314,0xff980fff,0xfffa82ff,
    0x6666540f,0xccffffdc,0x3e21cccc,0xfedcdfff,0x444fffff,0xffffffff,
    0x6fffffff,0xfffffb80,0x2df904ff,0x880abce8,0xff9803ff,0xccdfffff,
    0x3ffff23c,0x00abceee,0x66ffffc4,0xffffffed,0x3fffe604,0x3ffe6000,
    0xf950000f,0x9999bfff,0x9ffffd99,0x227ff403,0x1000fffa,0xffffffff,
    0xcffffb80,0xfffffedc,0x1fffcc4f,0x6cfff900,0xccccefff,0x7fc4cccc,
    0xffd806ff,0x13fff65f,0x207ffff6,0x4006fffb,0xcccefffd,0x263ccccc,
    0x4c6fffff,0x5c7fffff,0x70ffffff,0xff00dfff,0x3ffe63ff,0xfffdbcef,
    0x7fff43ff,0xfff90000,0xfdffffdf,0x7ec05fff,0xfffe86ff,0x3ffea004,
    0xfff8800f,0x7ffe440f,0x4cccc1ff,0xfb999999,0x7c403fff,0x4fffdfff,
    0x3fe2df90,0x3e21dfff,0xfffc803f,0x3200fffd,0xffffffff,0xf100cfff,
    0xfc881fff,0xf301ffff,0x03501fff,0x001ffff3,0x3fffff20,0xffffffff,
    0x203fffff,0x7fd43ffe,0x3ffee007,0x201ffffe,0xc886fffb,0x221fffff,
    0x32003fff,0x3fff67ff,0xfffc8004,0x3ffe200f,0x13fff63f,0x209ffff5,
    0x4006fffb,0x4004fffd,0x0ffffff9,0x3fffffee,0x3ffffee0,0x0dfff70f,
    0x5c3ffff0,0xfffb80ef,0x07fff44f,0xffffd000,0xffffffff,0xffff8809,
    0x03fffea3,0x0ffffa80,0x0ffff880,0x0bffff50,0x1ffff600,0x333fff60,
    0xdf904fff,0x3fffffe2,0x007ff11f,0xfff99fff,0x7fffe401,0xffffffff,
    0xffff881f,0xbffff500,0x83fffe60,0xff982fea,0xf90000ff,0xffffffff,
    0xffffffff,0x7d55447f,0xfdaaacff,0x6c02aaff,0xffffafff,0x1bffee03,
    0x25ffffa8,0x2004fff8,0x3ff67ffc,0xffa8004f,0x3fea02ff,0x3fff60ff,
    0x1bfffe24,0x006fffb8,0x0027ffec,0x3ffbffea,0x3ff7ffa3,0x3fffe60f,
    0x1bffee6f,0x507fffe0,0x46fffe80,0x0000fffe,0x3fffffe2,0x006fffff,
    0x7f4ffff9,0x7d4002ff,0xf8800fff,0x3f600fff,0x4c001fff,0x4c03ffff,
    0xfff96fff,0x221bf209,0xff17ffea,0x9fffa807,0x3200fffc,0xfeeeffff,
    0x40efffff,0x200ffff8,0x981ffffd,0xfea8ffff,0xfff982ff,0xff90000f,
    0xffffffff,0xffffffff,0x7ffffd47,0xffffffff,0x7fc07fff,0x6fffc8ff,
    0x01bffee0,0x223ffffb,0x32004fff,0x3fff66ff,0xffff0004,0x37ffe40b,
    0xfd93fff6,0x3ee01fff,0x7ec006ff,0x7d4004ff,0xf15ffcff,0x81fff5ff,
    0x2e0efffa,0xff806fff,0x7e4001ff,0x7fff47ff,0x3fe60000,0xffeb9cff,
    0xff8800ff,0x6fffabff,0xffffa800,0xffff8800,0x3fffea00,0x7ffec002,
    0x7fff400f,0x209fff92,0x3fe206fc,0x403ff89f,0xfff96ffd,0x2fffe401,
    0x27ffff4c,0x803fffe2,0x982ffffa,0xfffeffff,0xfff982ff,0x7fc0000f,
    0x3fee02ff,0xffffa85f,0xffffffff,0x2a07ffff,0xfff56fff,0x3ffee01f,
    0x7fffd406,0xf713ffe2,0x26ffd87f,0x0004fffd,0x7c0ffffb,0x7fec3fff,
    0x7ffff54f,0x06fffb80,0x027ffec0,0x3e7ffee0,0xadffb8ff,0x1a881fff,
    0x806fffb8,0x4001ffff,0x7f46fffd,0x00099aff,0x6c1fffe4,0xf5004fff,
    0x3fffdfff,0xffff5000,0xffff1001,0x3ffff801,0x3fffe600,0x2fffdc04,
    0x3209fff9,0x57fec06f,0x3e203ff8,0x1fff93ff,0x82fffe40,0x446ffff8,
    0x7c00ffff,0xff983fff,0x2effffff,0x01ffff30,0xfff00a98,0x7ffdc05f,
    0xffeee985,0xfffeeeef,0x3f206eef,0xffff13ff,0x1bffee05,0xf8ffffe0,
    0x37ff45ff,0xffd97ff6,0xff70004f,0xfff303ff,0xcfffd83f,0x805ffff8,
    0x4006fffb,0x4004fffd,0x5fff6ffb,0xfff37ffb,0xfffb8003,0x1ffff806,
    0x2ffff400,0x3ffffffa,0xfe802eff,0xfffb80ff,0x3fffa005,0x50005fff,
    0xc801ffff,0xccdffffc,0x27fffc0c,0x1ffffb00,0x07fffc40,0x3209fff9,
    0x4fffc06f,0x3ee03ff8,0xbfff90ff,0x7fe45999,0x3fff605f,0xffff990f,
    0xff81999b,0xfffa84ff,0x4c02efff,0x3600ffff,0xfff84fff,0x999999bf,
    0x5c05fffc,0x3fff87ff,0x43fffd00,0xf705fffe,0xfff00dff,0x12fff49f,
    0x7ec1ffff,0x3bfff65f,0xcccccccc,0x3ffff882,0xd86fffb8,0xfffccfff,
    0xfffb800f,0x7ffec006,0xb7fdc004,0x8fffcffd,0x3302fff9,0x00dfff70,
    0x4003ffff,0x742ffff9,0xffffffff,0x3fe02fff,0xdfff306f,0x7fffcc00,
    0xff7000ff,0xffffffff,0xffff83ff,0x41ffffff,0x1005fffe,0xd809ffff,
    0x7fe43fff,0x44df904f,0x16ffecaa,0x7ff407ff,0x3fffff26,0x3fff24ff,
    0x3fffea05,0xfffffff1,0xffe83fff,0x3fff665f,0xf3002eff,0x3f201fff,
    0x7fc2ffff,0xffffffff,0x405fffff,0xfff86ffb,0x7fff9802,0xb83fffdc,
    0xfe806fff,0x97ffa5ff,0x3a3ffffa,0x3fff64ff,0xffffffff,0xdfffd04f,
    0xb09fffb0,0xffffdfff,0x3ffee005,0x7ffec006,0xffffffff,0x55bff21f,
    0xf36fffff,0xffe985ff,0x1bffee0e,0x007fffe0,0xe86fffe8,0xffffffff,
    0xf881ffff,0x3ffe06ff,0x7ffec006,0x3fee003f,0xffffffff,0x7fffc1ff,
    0x41ffffff,0x9006fffe,0x5401ffff,0xffc85fff,0x44df904f,0x10efffff,
    0x3fe607ff,0x3ffff23f,0x3ff24fff,0x3ffea05f,0xffffff0f,0xfe83ffff,
    0xffff56ff,0x4c001fff,0xfd00ffff,0xff8bffff,0xffffffff,0x405fffff,
    0x7fc46ffc,0xfffb802f,0x0ffffcc5,0x4037ffdc,0x3fa6fffe,0x3ffff65f,
    0xfd93ffa5,0xffffffff,0xff704fff,0x7ffc41ff,0xffffd82f,0x7001ffff,
    0xd800dfff,0xffffffff,0x3f21ffff,0xfffff16f,0x88bffe67,0x2e6fffff,
    0xff806fff,0xff9001ff,0x333105ff,0xffff9553,0x3fffe0ff,0x05fff880,
    0x3ea66662,0x19999fff,0x3ffffee0,0x1fffffff,0x7ffffffc,0x7ff41fff,
    0xfff8805f,0x7fff404f,0x04fffc81,0x77fc4df9,0x81ffc42c,0x3f20fffd,
    0x23eeeeff,0x3205fffc,0x3ffe7fff,0x1fffffff,0xfaaffff4,0x00ffffff,
    0x03fffe60,0x2ffffffc,0x3ffffffe,0xffffffff,0x22ffec05,0xd801fff9,
    0xfff82fff,0x6fffb84f,0x25fffe80,0x3ffe6ffd,0x9ffd0fff,0x7fffffec,
    0x04ffffff,0x545ffff3,0xffb07fff,0x1dfffdbf,0x0dfff700,0xfffffd80,
    0x1fffffff,0xffe97ff6,0x7fff10ff,0x7fffffd4,0x00dfff71,0x7003ffff,
    0x0009ffff,0x07ffffa2,0x2a0bfffa,0x3ea04fff,0xffffffff,0x300fffff,
    0xffffb999,0xf1019999,0xff801fff,0xffc803ff,0x3ff200ff,0x9fff903f,
    0xff89bf20,0x107ff103,0xffc8bfff,0x3fff200f,0xbffff105,0x00ffff88,
    0xfa9ffffc,0x00ffffcf,0x03fffe60,0x1fffffe4,0x2ab3fffe,0xfffdaaaa,
    0xffe99985,0xfffb999d,0xfff10199,0xdfffb01f,0x00dfff70,0x7ec7ffff,
    0xffbff56f,0xd8fffa5f,0x40004fff,0x3f24fffe,0xfffb05ff,0x09ffff59,
    0x00dfff70,0xccefffd8,0x20cccccc,0x3fee5ffd,0x8fffe26f,0x1ffffffa,
    0xf00dfff7,0xfb803fff,0x40005fff,0xd82ffff9,0x3a20dfff,0x3ea02fff,
    0xffffffff,0x000fffff,0x001ffff5,0x401ffff1,0x402ffff8,0x205ffff8,
    0xaabffff8,0xdfffdaaa,0xf1bf22aa,0x0ffe205f,0xf90bffee,0x7fe401ff,
    0xfffea85f,0x7fffc41f,0x3fffe200,0x3ffe6752,0x3fe6000f,0xffd100ff,
    0x5ffff09f,0x22fffdc0,0xfffffff9,0xffffffff,0xfffa80ff,0x1ffff506,
    0x406fffb8,0x322ffff8,0xd5ff96ff,0x8fffe9ff,0x0004fffd,0xfd3fffe4,
    0x3ff605ff,0x5ffffb4f,0x06fffb80,0x027ffec0,0xf997ff60,0x3ffe23ff,
    0x3ffffe24,0x0dfff70f,0x00ffff88,0x017fffea,0x27fffc00,0x67ffffcc,
    0x406fffec,0xffdcccc9,0x0cccccff,0x1ffff500,0x1ffff100,0x0ffffd40,
    0x07ffff20,0xffffffa8,0xffffffff,0x1bf27fff,0x3fe20133,0xeefffe83,
    0x00ffffee,0x3bbffff2,0x4ffffffe,0x00ffff88,0x207fffea,0x000ffff9,
    0x003fffe6,0x3ffe0355,0x3ffee02f,0x7ffffcc5,0xffffffff,0xfc80ffff,
    0xffffffff,0x5c3fffff,0x7d406fff,0x3ff21fff,0xff71fff7,0xfd8bffef,
    0x540004ff,0xff89ffff,0xfffb00ff,0x3ffffe29,0x1bffee00,0x09fffb00,
    0x7c5ffe80,0x3ffe21ff,0x17fffdc4,0x980ffff5,0x3ea07fff,0x0000efff,
    0x107ffff0,0xffffffff,0x8001dfff,0x0007fff9,0x007fffd4,0x007fffc4,
    0x880dfffd,0x5405ffff,0xffffffff,0xffffffff,0xd89bf27f,0x87ff101d,
    0xfffffff9,0x200fffff,0xfffffffc,0x105fffff,0x7401ffff,0xff306fff,
    0x7cc001ff,0x40000fff,0x2e02ffff,0x7fcc5fff,0xffffffff,0x0fffffff,
    0xfffffff8,0xffffffff,0x037ffdc5,0xf71bfffa,0x26dff3ff,0x2fff9fff,
    0x0013fff6,0x2effffe0,0x3f606fff,0x3ffee4ff,0x3ffee05f,0x7ffec006,
    0x27ff4004,0x3ffe0662,0x440bb984,0x2e01ffff,0xff506fff,0x40000bff,
    0xe81ffffa,0xffffffff,0x4005ffff,0x0007fff9,0x007fffd4,0x807fffc4,
    0x402ffffb,0x401ffffc,0xfffffffa,0xffffffff,0xc9bf27ff,0x7ff107ff,
    0xffffffc8,0x00ffffff,0x3ffffff2,0x201effff,0x700ffff8,0x2605ffff,
    0x2000ffff,0x000ffff9,0x017fffc0,0x4c0bfff7,0x7fec0fff,0x7fffcc05,
    0xffffffff,0x7fdc7fff,0x3ffee06f,0x67ffdc2f,0x33ffa3ff,0x3ff61fff,
    0xfd80004f,0x3fffddff,0xd13fff60,0x2e05ffff,0x6c006fff,0x7c004fff,
    0x3fe004ff,0xfff8005f,0xfffd105f,0xbffff509,0x7fcc0000,0xfffc87ff,
    0xfcdffedf,0xff503fff,0xffffffff,0x2001ffff,0x800ffffa,0x440ffff8,
    0x406ffffd,0x805ffff8,0xaaaaaaa8,0xdfffdaaa,0xc9bf22aa,0x7ff107ff,
    0xaaaefff8,0x00fffdaa,0x3bbffff2,0xf8801acd,0x7ec40fff,0x3e606fff,
    0x26000fff,0x0000ffff,0x7017fffc,0x7d40bfff,0x27ff40ff,0x2b7ffee0,
    0xfcaaaaaa,0x3fee2fff,0xfffd886f,0xefffa86f,0x3bff20ff,0x3ff61fff,
    0xfa80004f,0x1fffffff,0x313fff60,0x701fffff,0xd800dfff,0x7c004fff,
    0x3fe004ff,0xffc8005f,0xeb99aeff,0x7d40ffff,0x26005fff,0xdba9aabd,
    0x542fffff,0x3202ffff,0xfa81ffff,0xffffffff,0x000fffff,0x001ffff5,
    0xb9bffff1,0x3fffffff,0x1ffffb80,0x7fe40000,0x44df904f,0x7ff101dc,
    0xc81fffd4,0x2aaabfff,0x0017fff2,0xcdffff88,0xfffffffd,0x3fffe601,
    0xeeeeeeee,0xdffff35e,0xdddddddd,0x17fffc0b,0x40bfff70,0xfff87ffb,
    0x17fff403,0x727fffc0,0xfb99ffff,0x03ffffff,0x8dfffff5,0x0ffffff9,
    0x333bfff6,0x04cccccc,0x7fffffc4,0x7ffec06f,0x5ffffc84,0xeeffffb8,
    0x3eeeeeee,0x8009fffb,0x3e004fff,0xf88006ff,0xffffffff,0x7d42ffff,
    0xffffffff,0xf36fffff,0xffffffff,0xff887fff,0x7f4405ff,0xccc985ff,
    0xccffffdc,0xf5000ccc,0xf1001fff,0xffffffff,0xf003dfff,0x0000dfff,
    0x209fff90,0xaaaaaffc,0xfbaaaaaa,0x03fff63f,0x7fffffe4,0x17fff27f,
    0xffff8800,0xffffffff,0x7ffcc01e,0xffffffff,0xffff37ff,0xffffffff,
    0x7fffc0df,0x17ffee02,0xff86ffb8,0x3ffe202f,0xfffd800f,0x3ffffee6,
    0xefffffff,0xfffff501,0xffffff07,0x7ffffec1,0x7fffffff,0xfffffd80,
    0x7ffec04f,0xfffff884,0x7ffffdc2,0xffffffff,0x009fffb4,0x001fffc4,
    0x2000dfff,0xffffffe9,0xfd83ffff,0xffffffff,0xf36fffff,0xffffffff,
    0x3f2207ff,0x2ff9800f,0x1fffe600,0xffff5000,0xffff1001,0x9fffffff,
    0x3fffee00,0xfc800002,0xfff904ff,0xffffffff,0x227fffff,0x3f206fff,
    0x27ffffff,0x0005fffc,0x3fffffe2,0x004fffff,0xfffffff3,0x2fffffff,
    0xfffffff9,0x06ffffff,0xb80bfffe,0x3f205fff,0x0fffc46f,0x00bfff50,
    0x5c7fffee,0xffffffff,0x7cc04fff,0xfc81ffff,0x3f60ffff,0xffffffff,
    0xfb807fff,0x401fffff,0xf504fffd,0x7dc1ffff,0xffffffff,0xffb4ffff,
    0x7fc4009f,0x3ffa003f,0x7fdc0006,0x00dfffff,0xfffffffb,0xdfffffff,
    0x3fffffe6,0x31002dff,0x4c001400,0x40007fff,0x800ffffa,0xeffffff8,
    0x3e000abc,0x00006fff,0x209fff90,0xfffffffc,0xffffffff,0x07fff73f,
    0x7fffffe4,0x17fff27f,0xffff8800,0x00abceff,0x3ffffe60,0xffffffff,
    0xffffff37,0xdfffffff,0x017fffc0,0x6c0bfff7,0x7ffcc5ff,0x0ffff601,
    0x9ffffcc0,0xeffffffb,0xf9800abc,0xff506fff,0xfffd8fff,0xffffffff,
    0xfff9807f,0xffd807ff,0x3fff604f,0x3fffee5f,0xffffffff,0x09fffb4f,
    0x01fffc40,0x000fffd0,0x4004d4c0,0xfffffffd,0x6fffffff,0x004d54cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffd400,0x3fff200f,0xffffff91,0xe80399df,0xffffffff,0x96ffffff,
    0x3003ffff,0x3e25ffff,0x7d406fff,0x3ff64fff,0xdeefffff,0xffff500b,
    0x0ffff980,0xfffffffb,0x7e4039bd,0xffffffff,0x2fffffff,0xfffffff5,
    0x1fffffff,0x00799900,0x06201800,0x33310000,0x000c4000,0x0000cc40,
    0x00000088,0x00018800,0x00044013,0x00088022,0xd7004cc4,0x776c09dd,
    0x0026001e,0x00088020,0x33000088,0x22000135,0x3fea0009,0x3f204fff,
    0xffff91ff,0xbfffffff,0x3ffffa03,0xffffffff,0xffff16ff,0xdfffb009,
    0x02ffffc8,0xd83ffffa,0xffffffff,0xfa83ffff,0x7fcc07ff,0xffffb0ff,
    0xbfffffff,0xfffff901,0xffffffff,0x3fea5fff,0xffffffff,0xf800ffff,
    0x200006ff,0x2fe884fc,0x3fae2000,0x04efffff,0xeffffdb8,0x7ed4400c,
    0x1dffffff,0xfffb9300,0xf9007bff,0x36a0005d,0x00cefffe,0xbfffff71,
    0x13fffae1,0x47dffd50,0x403effd9,0x3ffffffa,0x205fffc8,0xdd72ffff,
    0x3fff661d,0x98eed84f,0xfd30dffe,0xfdb801df,0x4402dfff,0xeffffffd,
    0xd5377641,0x5007dfff,0x01ffffff,0x7e47fff2,0xffffffff,0xfe82ffff,
    0xffffffff,0x326fffff,0x2600ffff,0x7c42ffff,0xff506fff,0xfffd89ff,
    0xffffffff,0x7ffd43ff,0x7fffcc07,0xffffffb0,0x1dffffff,0xffffffc8,
    0xffffffff,0xffff52ff,0xffffffff,0xfff001ff,0x3f60000d,0x7ffec4ff,
    0xfffa8004,0x6fffffff,0x3ffffa60,0x202fffff,0xfffffffd,0x6404ffff,
    0xffffffff,0x7ffe406f,0x7fe4001f,0x2fffffff,0xffffffc8,0xfffffdff,
    0xffff505f,0xffff15ff,0x3ff609ff,0x45ffffff,0x3e05fffc,0xfff92fff,
    0xffffff73,0x57ffc1df,0xf8cffffe,0xd307ffff,0xffffffff,0x3ffe601b,
    0x21ffffff,0xffd8fffe,0x405fffff,0x3ffffffa,0x323fff90,0xecccefff,
    0x40ffffff,0xfffffffe,0x5fffffff,0x813fffe2,0xf706fffd,0xffd07fff,
    0xfffd81ff,0xffecbaad,0x3fea0fff,0x7ffcc07f,0x9dfffb0f,0xffffffd9,
    0xccccca8b,0xcccffffd,0x99931ccc,0x99ffffb9,0xff001999,0xe88000df,
    0xf30effff,0x400bffff,0xfffffffa,0xf706ffff,0xffffffff,0x3f607fff,
    0xffffffff,0xfe882fff,0xffffffff,0x7fff406f,0x3ffa003f,0xffffffff,
    0x77ffe41f,0xffffffff,0x7c42ffff,0xefffffff,0x1fffffff,0x76ffffd4,
    0x3f22ffff,0x3ffe05ff,0xfbfff92f,0xffffffff,0x7ff7ffc7,0xfffdffff,
    0x7fd42fff,0xfda88acf,0xace981ff,0x25fffb99,0xfffdfffe,0x01ffffff,
    0x3fffffea,0x23fff907,0xd885fffc,0x8005ffff,0x40fffff8,0x980ffffc,
    0x3a01ffff,0x7fd47fff,0xfffd83ff,0x3ffff904,0x203fffd4,0xfb0ffff9,
    0xffa889ff,0xff5007ff,0xf30001ff,0x20001fff,0x20006fff,0x0dfffff9,
    0x77ffff44,0xffffe800,0x212e620a,0xcdfffff8,0x0fffffec,0x109acfd8,
    0xb0dffff5,0x99dfffff,0xfc80dfdb,0xf7002fff,0x3a639fff,0x0ee46fff,
    0x237ffff2,0x7dc5fff9,0xffffb0ef,0x89ffd31d,0x3e60efff,0x3fff26ff,
    0x4bfffe05,0xfffffffc,0x27ffffdc,0xfabfffff,0xffbbffff,0x2bbfe24f,
    0xfa8acccc,0x7fe4006f,0x3fffffa6,0xffffbbef,0x3fffea05,0xffc83fff,
    0x0bfff91f,0x003ffff4,0x41ffffec,0xd84ffff8,0x7d406fff,0x3ffa3fff,
    0x9fffb06f,0x8ffffe20,0x4c07fffa,0xffb0ffff,0x3ffee09f,0xfffa800f,
    0xff98000f,0xff0000ff,0x3ea000df,0x2204ffff,0x01effffd,0x00ffffe2,
    0x0bffff20,0x213fffee,0xffffa800,0x3bfffea0,0xe8805301,0xff1004ff,
    0xfff103ff,0xff88047f,0x1ffee0ff,0x7fcc7ffd,0x9ffee2ff,0xfd82fff9,
    0x17fff27f,0xf92ffff8,0x5419ffff,0xfff0ffff,0x27fffcbf,0x7fec9fff,
    0xefffffa8,0x4c03ff98,0x3a6ffda9,0x5c3fffff,0x3ea07fff,0x86fffeff,
    0xff91fffc,0x7ffd40bf,0x3fea000f,0x3ff205ff,0x3ffe60ff,0xfffe801f,
    0x2ffffa8f,0x409fffb0,0x3ea2ffff,0x7fcc07ff,0x9fffb0ff,0x07fffe60,
    0x03fffea0,0x3fffe600,0x2aaaa200,0xaaefffaa,0x3ee02aaa,0x9002ffff,
    0x205fffff,0x005ffff8,0x01ffffc4,0x000ffffb,0xff0ffffc,0x00001fff,
    0xffc80022,0x3fff206f,0x8dffd004,0xff10fffa,0x7fffc43f,0x543ffe60,
    0xffa80fff,0x0bfff91f,0xfc97fffc,0xff885fff,0x3ffff1ff,0xff07fffc,
    0x54bfe6bf,0x92ffb9ef,0xfffb30ff,0x7f4dffff,0xff884fff,0xfff500ff,
    0xc85fffd9,0xfff91fff,0x7fffcc0b,0xffff1001,0x7ffc401f,0x17fff63f,
    0x5ffffcc0,0x3606fffe,0xff304fff,0x7ffd43ff,0x7fffcc07,0x209fffb0,
    0x800ffffa,0x000ffffa,0x00ffff98,0x3fffffe2,0xffffffff,0xffffb07f,
    0xffb8003f,0xfff03fff,0x2a005bff,0x2600ffff,0x0000ffff,0x3e25ffff,
    0x00003fff,0x3fff6000,0x1bffee03,0x262fff40,0xfff31fff,0x447fff81,
    0xfff50fff,0x21fff703,0x3e05fffc,0xfff92fff,0x3fffe01d,0xff8bfff2,
    0xaafffc5f,0xff9bea7f,0x7d43ff33,0xffeeefff,0x417fffa6,0x500ffff8,
    0xfff79fff,0x91fffc8d,0x7d40bfff,0xfb000fff,0xf9007fff,0x3ffe6fff,
    0x3ff6001f,0x01ffffff,0x2213fff6,0x7d45fffe,0x7fcc07ff,0x9fffb0ff,
    0x01ffff60,0x007fffd4,0x07fffcc0,0xffffff10,0xffffffff,0xfffe88ff,
    0xf30000ef,0xf909ffff,0x5bffffff,0x037ffdc0,0x80bfffe2,0xffffedca,
    0xfff52fff,0x554c001f,0xaaaaaaaa,0x20aaaaaa,0xfffffffe,0x7fffffff,
    0xffccba88,0xffccccef,0xd0fff52f,0xf9999fff,0x3ffe63ff,0x327ffd84,
    0x3fe05fff,0xbfff92ff,0xf97fff40,0x2fffc5ff,0x37e57ffe,0x1ffb7ff5,
    0xdffd17fc,0xfd37fdc1,0x500009ff,0xfff19fff,0x8fffe43f,0x3205fffc,
    0xf5007fff,0x2200bfff,0xffcaffff,0x7fcc005f,0x405fffff,0xbaadfffd,
    0x40effffc,0xeeeffffa,0xfffeeeee,0x89fffb0f,0x02ffffd9,0x01ffff50,
    0x1ffff300,0x7ffffc40,0xffffffff,0x3ffa67ff,0x880005ff,0x20dffffe,
    0xffffffe8,0xffc83fff,0xffff805f,0xffffeb83,0x2fffffff,0x800ffff7,
    0xfffffffc,0xffffffff,0x3ffffe3f,0xffffffff,0x7ffdc7ff,0xffffffff,
    0xf52fffff,0xffffd0ff,0x23ffffff,0x2e2efff8,0x3ff25fff,0x3fffe05f,
    0x40bfff92,0xfff2fffe,0x7c5fff8b,0x54bfb5ff,0x740dffff,0x89fff14f,
    0x3ffa6ffd,0xfa80004f,0xbfff94ff,0xfc8fffe4,0xfff305ff,0xfff100bf,
    0x7e4001ff,0x1ffffeff,0xffffc800,0x7fec01ff,0xffffffff,0xfffa80df,
    0xffffffff,0xfb0fffff,0xfffddfff,0x54009fff,0x8000ffff,0x000ffff9,
    0xd00dfff0,0x001fffff,0x3fffe600,0xfffeb85f,0x20efffff,0xf805fffd,
    0x7fe43fff,0xffffffff,0xfff92fff,0xfffc800f,0xffffffff,0xf13fffff,
    0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,0x0fff72ff,0xfffffffd,
    0x7fe43fff,0xfffffeff,0x817fff20,0xff92ffff,0x7fff40bf,0xff8bfff2,
    0xcafffc5f,0x3ebbea6f,0xff17fc1f,0xffff77ff,0x027fff4d,0xa7ffd400,
    0xf90ffff8,0x3fff23ff,0x7fffdcc5,0xfffd800f,0x7fc4002f,0x005fffff,
    0xffffff50,0xfffffb00,0xbfffffff,0xfffffa81,0xffffffff,0xfffb0fff,
    0xbfffffff,0xfffa8005,0xff98000f,0xff0000ff,0xffd100df,0x80001dff,
    0x05ffffe9,0x7ffffe4c,0x3ffee4ff,0x7fffc406,0x3bfffee1,0xfff9999a,
    0x1ffff72f,0x7fffe400,0xffffffff,0x3fe3ffff,0x99999aff,0xf1099999,
    0x7ff43dff,0x0fff5003,0xe800dffd,0xffffffff,0x82fffe42,0xf92ffff8,
    0x7ff40bff,0xf8bfff2f,0xafffc5ff,0x65bea7fa,0xc87fe66f,0xfeffffff,
    0x13fffa6f,0x3ffea000,0x653fff64,0xfff91fff,0xffffffff,0xff5007ff,
    0x32000bff,0x01ffffff,0xfffffd00,0xfffd807f,0xffffeeee,0x3fea1fff,
    0xffffffff,0xb0ffffff,0xffffffff,0xf50001bf,0x30001fff,0x0001ffff,
    0xd801bffe,0x001fffff,0x7fffff50,0xfffd9800,0x1fffea7f,0x41ffff30,
    0x3e06fffd,0xfff52fff,0x4cc4005f,0x99999999,0x20999999,0x8002fffe,
    0x7f41fffb,0xfff5004f,0x000dfff0,0x1bfffff7,0x20dfff70,0xf92ffffe,
    0x7ff40bff,0xf8bfff2f,0xafffc5ff,0x2df53ff9,0x0ff92ff8,0x3e7dfff9,
    0x13fffa6f,0x3ffea000,0x23fffe64,0xff91fffc,0xffffffff,0xff1007ff,
    0x20001fff,0x05fffff8,0xfffff700,0x7ec01fff,0xffc884ff,0x3ffea6ff,
    0x7fffcc07,0xd7bfffb0,0x001fffff,0x00ffffa8,0x0ffff980,0x0dfff000,
    0xfffffb80,0x7ffdc002,0x360002ff,0xff30ffff,0x7fec07ff,0x1ffffc7f,
    0x12ffff88,0x001fffff,0x3f600000,0xfc8005ff,0x06ffe87f,0x441fff30,
    0x0000ffff,0xfff50026,0xffffd81f,0x0bfff92f,0xff97fff4,0x22fffc5f,
    0x3ff65fff,0x3bf66fa8,0x00203ff9,0x0027fff4,0x227ffd40,0xffcbfffe,
    0xfffff91f,0x01bfffff,0x0bffff20,0xffff9000,0xfff10003,0x0bffffdf,
    0xd027ffec,0x3ea1ffff,0x7fcc07ff,0x9fffb0ff,0x02ffffcc,0x03fffea0,
    0x3fffe600,0xdfff0000,0xffff5000,0x3ff6009f,0x40001fff,0x7fc7fffd,
    0xffa81fff,0x7fffc3ff,0xffffe985,0x37ffffa2,0x26200600,0x3ffee001,
    0x7fe4002f,0x3fffe60f,0x2fff8801,0x00ffffe6,0xfff30000,0xffff77df,
    0x3ff25fff,0x3fffa05f,0xff8bfff2,0x12fffc5f,0x7d403dff,0xfd00006f,
    0x500009ff,0xffa89fff,0x91fffcef,0x5799dfff,0x7fd40013,0xa80005ff,
    0x90007fff,0xffb3ffff,0x3ff603ff,0x3ffee04f,0x0ffff52f,0xb0ffff98,
    0xffb89fff,0x3ea002ff,0x98000fff,0x0000ffff,0x2000dfff,0x0dfffff9,
    0xdffffd10,0x0567cc01,0x17fffee2,0x59fffff5,0x0dffff97,0x117ffffd,
    0x5ffffff7,0x7fffffcc,0x06fdbabd,0x002fffcc,0x13bffffd,0xfb972a62,
    0xffff33ff,0x742981df,0x3fff65ff,0xd10c41ff,0xdddddddd,0xfffe8bdd,
    0xfeffffff,0xbfff92ff,0xf97fff40,0x2fffc5ff,0xff517ffe,0xfb73359f,
    0xeee881ff,0xeeeeeeee,0x009fffd5,0x09fff500,0xfffffffd,0x017fff23,
    0xfffff100,0xff500001,0xff3000ff,0x3ffe6bff,0x9fffb06f,0x97fffd40,
    0x4c07fffa,0xffb0ffff,0xdffff09f,0x7fffd400,0xfff98000,0x3330000f,
    0x7f440001,0x7cc0efff,0x9805ffff,0xffffffff,0xe82fffff,0xffffffff,
    0xfb82ffff,0xffffffff,0x642fffff,0xffffffff,0x7ec06fff,0xf3002fff,
    0xffffffff,0x7fccffff,0xfefffeff,0x4ffeefff,0x7ef7ffdc,0xcdffffff,
    0x3ffe24fe,0xffffffff,0x7ffffcc7,0xfffabfff,0x40bfff92,0xfff2fffe,
    0x7c5fff8b,0xffe885ff,0x0dffffff,0xffffff88,0xfd7fffff,0x500009ff,
    0xff709fff,0x323fffff,0x40005fff,0x002ffffc,0x0ffff500,0x3ffffb00,
    0x417fffec,0x3204fffd,0xff50ffff,0xfff980ff,0x09fffb0f,0x003ffff9,
    0x003fffea,0x03fffe60,0x20000000,0x0fffffd8,0x09fffff3,0x3ffffe60,
    0x2fffffff,0xfffffb10,0x403dffff,0xfffffffe,0x82fffbcf,0xfffffffb,
    0x7f406fff,0x2a003fff,0xffffffff,0x7ff47fff,0xff8bffff,0x44ffffff,
    0xffffffe8,0xffffffba,0x3fffe24f,0x7fffffff,0xeffffe98,0x325fff51,
    0x3fa05fff,0x8bfff2ff,0x7ffc5fff,0x3ffb6e05,0x3fe202ce,0xffffffff,
    0x09fffd7f,0x9fff5000,0xffffff10,0x17fff23f,0xffffa800,0x3ea00004,
    0x7d4007ff,0x7fcc5fff,0x7fec0fff,0xffff704f,0x03fffd4f,0x6c3fffe6,
    0xff884fff,0xff5005ff,0xf30001ff,0xa9801fff,0xaaaaaaaa,0x000aaaaa,
    0x361fffe4,0x26002fff,0xfffffffe,0xea801cff,0x0cefffff,0xfffffc80,
    0x05fff52e,0x3ffffb22,0x7dc02dff,0xc8001fff,0xffffffff,0x7ffec44e,
    0x3fffa23f,0xfe883eff,0x3ff23fff,0x0003ffff,0x00155100,0xe817fff2,
    0xbfff2fff,0x7fc5fff8,0x0011005f,0xfffe8000,0xffa80004,0xffff904f,
    0x3fff23ff,0x3ffa0005,0xffffffff,0xa807ffff,0x74007fff,0xfd80ffff,
    0x7fec4fff,0xfeccccef,0x3ea3ffff,0x7fcc07ff,0x9fffb0ff,0x07ffff60,
    0x03fffea0,0xfb999930,0x99999fff,0x7ffffe41,0xffffffff,0x3fb8003f,
    0x40003fb0,0x019aaa99,0x0026a600,0x0026a620,0x00cccc00,0x00077ae0,
    0x03555310,0x54403510,0xaa88009a,0x009a9880,0x00000000,0x00000000,
    0x00000000,0x2a000000,0xff104fff,0x3f23ffff,0xf10005ff,0xffffffff,
    0x0fffffff,0x00ffff50,0x827fffdc,0x20fffff8,0xfffffffd,0x45ffffff,
    0x4c07fffa,0xffb0ffff,0x3ffe609f,0xfffa805f,0x7ffd400f,0xffffffff,
    0x3ff20fff,0xffffffff,0x0003ffff,0x00000801,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x27ffd400,0x3fffffb0,0x0017fff2,0x7fffffc4,0xffffffff,0xfffa807f,
    0xffff1007,0x7ffe401f,0x3ffff65f,0xffffffff,0x07fffa83,0xd87fffcc,
    0x3fa04fff,0x7d401fff,0x7d400fff,0xffffffff,0x320fffff,0xffffffff,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9fff5000,0x7ffffcc0,
    0x00bfff91,0x3ffffe20,0xffffffff,0xffa807ff,0xfff9007f,0xfff8809f,
    0xffffb2ff,0x059bdfff,0x203fffd4,0xfb0ffff9,0x7fd409ff,0x7fd404ff,
    0x7fd400ff,0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0xee980099,
    0xdddb104e,0x7777541b,0xeeee9801,0x003ddd91,0xd91f774c,0x74405ddd,
    0x3ba23eee,0xeeeeeeee,0x77646eee,0x03eeeeee,0x40020008,0x53004eed,
    0x0800b220,0x15015400,0x98002200,0x2002fffd,0xb805fff8,0xeeeeeeee,
    0x12eeeeee,0x55555555,0x15555555,0x01799510,0x80802000,0x3b23eeed,
    0x777644ee,0x4ccc004e,0x00999999,0xeeeed880,0x2eeeee63,0x330bbbbb,
    0x33333333,0x33333333,0x00000013,0x00000000,0x20000000,0xfa806fff,
    0xffe886ff,0x7ffc41ff,0xfffc805f,0x00bfff26,0x222fffa8,0xb00fffff,
    0x7c41dfff,0xffffffff,0x7f47ffff,0x4fffffff,0x6c02fcc0,0x4ffe801f,
    0x20ffecc0,0x9100fffc,0x019ffffd,0x2a177fc4,0xfea80bff,0xd502efff,
    0x005fffff,0x017fffec,0x3ffffff2,0xffffffff,0xffffff33,0xffffffff,
    0xfffe885f,0x555303ff,0xd117fea0,0x7fffc3df,0x217fff63,0x005ffffc,
    0x3ffffffe,0x744005ff,0x7dc2ffff,0xffffffff,0xffffff2f,0xffffffff,
    0x00bfffff,0x00000000,0x00000000,0x1bffe000,0x21bffea0,0x902ffffd,
    0xf801ffff,0x3fee3fff,0x3fee003f,0x7fffd41f,0x1ffffb85,0x7fffffc4,
    0x7fffffff,0x7ffffff4,0x3fe604ff,0x3fff605f,0x0fff60c1,0x46fffa85,
    0xfb84fffc,0xffffffff,0x47fffb01,0x6c0ffff8,0xffffffff,0x7ffffec5,
    0xff3002ff,0xfc80dfff,0xffffffff,0xf33fffff,0xffffffff,0x45ffffff,
    0xfffffff8,0x06ffe84f,0x7e45ffff,0x3fffa5ff,0x413fff23,0x005ffffa,
    0xffffffff,0x7f4400bf,0xffb80eff,0xffffffff,0xfffffff2,0xffffffff,
    0x000bffff,0x00000000,0x00000000,0x01bffe00,0xf91bffea,0x7cc07fff,
    0x3ea02fff,0x3fea0fff,0x3ff2004f,0xffffc80f,0x13fffe22,0x3bbbbba2,
    0x5fffffee,0x7f555554,0x3ff204ff,0xfffd85ff,0xfc93ee2f,0xc83fb12f,
    0x3fa24fff,0x7ffdc1ff,0x86ffffff,0x7ec6fffa,0x7ffdc3ff,0x3fffffef,
    0x3fffffee,0x9ffd002f,0x65407fff,0xcccccccc,0xf31ccccc,0xffffffff,
    0x45ffffff,0xfffffffb,0x2fffc4ff,0xb27fffc4,0x7fecdfff,0x13fff22f,
    0x05fffe88,0xeeeeeee8,0xfd1004ee,0x7fdc09ff,0xffffffff,0xfffffff2,
    0xffffffff,0x000bffff,0x00000000,0x00000000,0x01bffe00,0xfb9bffea,
    0xfe804fff,0x3ff605ff,0x2fffcc5f,0x20fffb00,0xb0ffffe8,0x2000dfff,
    0x00effff9,0x404fffd8,0x365ffffd,0x3e22ffff,0xaffb8eff,0xfe86fff9,
    0x3ffea1ff,0xd99bed86,0x7fc47fff,0x3ffea0ff,0x877ffc45,0x227fffb8,
    0x2fffd8cf,0xf76ffb80,0x000001ff,0x99999998,0xfffb9999,0x22bfffa2,
    0xdbeffffc,0xffb03fff,0x27ffdc3f,0x7dc5fffb,0xeec803ff,0x0000003e,
    0x100bbbb2,0x55555555,0x26666155,0x99999999,0x09999999,0x00000000,
    0x00000000,0xfff00000,0xdfff500d,0x017fffe6,0x407fffdc,0x442ffff8,
    0x7ff46fff,0x3037ff45,0xff7bffff,0xd10003ff,0x2003ffff,0xd804fffd,
    0xffddffff,0x7ffd42ff,0xffdffeff,0x7fcc0eff,0x3fff20ef,0x7ffd4044,
    0x11fffe47,0xfa81ffff,0xfffc81ff,0x05fffb01,0x3a2fff88,0x000005ff,
    0x3ffea000,0xf717ffe2,0xffffffff,0x2072e201,0x7ffe43ca,0x00fffee1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54037ffc,
    0xfff8efff,0x3fe2005f,0xfffb83ff,0x44ffff07,0x3fa0ffff,0x7ffdc05f,
    0x003fffff,0x07ffffb0,0x027ffec0,0xffffffd8,0x3fae02ff,0xefffffff,
    0x93ffee02,0x401fffe8,0x3ea6fffe,0x7ffec5ff,0x80fffb82,0xfb02fffa,
    0xffc805ff,0x017ffd46,0xa8000000,0xfff12fff,0xfffff707,0x000007ff,
    0x7d43fff9,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa6000,0xaffffbaa,0xf50aaaaa,0xdfffddff,0xfffd8001,0x04fffe86,
    0x3ee1fffd,0x3ffe2fff,0xffffe804,0xf70006ff,0xd800bfff,0x36004fff,
    0x02ffffff,0xdfffff50,0xffff1003,0x027ffdc1,0x743ffffb,0x3fe62fff,
    0x1fff906f,0x205fff50,0x2602fffd,0xffe81fff,0x77775c0f,0xeeeeeeee,
    0xf50002ee,0xe98005ff,0x0003ffff,0x41fff700,0x0002fffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f200000,0xffffffff,0x3fffffff,
    0xfffffff5,0xff30007f,0x7ffc43ff,0x3fff900f,0x457ffffa,0xf8803fff,
    0x000fffff,0x06ffff98,0x04fffd80,0x2fffffc0,0xffffea80,0x7e402dff,
    0x3ffe23ff,0xffffb00f,0x46fffa87,0xfa82fffd,0xfffd83ff,0x05fffb00,
    0xf982fff4,0x7ffe44ff,0xffffffff,0x50003fff,0x20005fff,0x000000a8,
    0x3e63ffdc,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff2000,0xffffffff,0xf53fffff,0xffffddff,0xfffd0003,0x02fffdc9,
    0xff15fff7,0xff31ffff,0xfff1005f,0x88001fff,0x000fffff,0x004fffd8,
    0x3ffffff6,0xffff7105,0xdfffffff,0x8bfff505,0xd882fffd,0xfb03ffff,
    0x7ffc47ff,0x77ffcc0f,0x6fffc88b,0x40bfff60,0x3600fffb,0x3ff21fff,
    0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64000000,0xffffffff,0xffffffff,0xf1dfff53,
    0x8001dfff,0x3fa7fffb,0x3fea02ff,0xffeffbbf,0x01fffabf,0xffffffe8,
    0x7ffec006,0xffb0002f,0x3ff6009f,0x85ffffff,0xfbdffffa,0x0ffffeaf,
    0xb83fffe2,0xfe885fff,0x3e201eff,0x3fea1fff,0xffffc85f,0x21ffffff,
    0xfffd9998,0xfff1099b,0x6fff8809,0x3333332a,0xcccccccc,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cccc400,0x99efff99,0xff509999,0x3fffeadf,0x7ffc4005,0x07fff99f,
    0x7ee7ffcc,0xfbeffebf,0xfffc807f,0x004fffff,0x009ffff9,0x027ffec0,
    0x6d7fffec,0xfd85ffff,0x2e5ff92f,0x7ffec4ff,0x03fffe22,0x57ffffd3,
    0xffa83555,0x1fffec6f,0x7fffffec,0x7ffdc3ff,0x4fffffff,0x22003331,
    0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06fff800,0x326fffa8,0x4004ffff,0xffccfffd,
    0x7ffc404f,0xffb9fffe,0x5407ffdf,0xffdbffff,0x7fd402ff,0x6c0006ff,
    0x7ec04fff,0x3ff62fff,0x9074c5ff,0x7074c7ff,0xffd8bfff,0xffffd83f,
    0x84ffffff,0x3e23fffd,0xfea81fff,0xfb80deff,0xffffffff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e000000,0xffa806ff,0x7ffff46f,0x3ffe6003,0x801fffff,
    0x16ffffff,0x0bffffff,0x8b7fffc4,0x100fffff,0x001fffff,0x04fffd80,
    0x20bffff2,0x403ffffd,0xfb804ffd,0x82ff540f,0xfffffffd,0xff884fff,
    0x01ffd42e,0x7ffdc004,0x4fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe0000,
    0x6fffa806,0x0fffffc4,0xfffffd00,0x3ffa00df,0x3ffa4fff,0x3f604fff,
    0x3fee0fff,0xfffd05ff,0xddddddff,0x2aaa21dd,0xadfffeaa,0xfff31aaa,
    0x02ffec05,0x88027ff4,0x7ec02a01,0xffffffff,0x1405504f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6fff8000,0x86fffa80,0x00fffffa,0xffffff70,
    0x3fff6007,0x3ffee1ff,0xfff703ff,0xffffb07f,0xfffffa87,0xffffffff,
    0xfffff70f,0xffffffff,0x4017ccbf,0x3555005d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa806fff8,0xff906fff,0x3e200dff,
    0x000fffff,0x88fffff7,0x982fffff,0xf105ffff,0x7d43ffff,0xffffffff,
    0xf70fffff,0xffffffff,0x00bfffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0xfffa806f,0x3ffffa06,0xffffb004,
    0x7ffd4009,0xffffe84f,0x7ffffc41,0x3fffea00,0x3ffffea6,0xffffffff,
    0xfffff70f,0xffffffff,0x000000bf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_36_latin_ext_x[560]={ 0,7,3,0,1,0,0,7,4,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,1,1,0,0,
7,1,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,4,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-5,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,1,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_36_latin_ext_y[560]={ 26,1,1,3,-1,0,1,1,-1,-1,1,7,19,14,
19,1,2,2,2,2,3,3,3,3,2,2,7,7,6,11,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,29,1,7,1,7,1,7,0,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,26,7,-1,2,3,3,
-3,0,0,2,2,9,14,14,0,1,0,4,0,0,1,8,1,12,26,1,2,9,1,1,0,7,-4,-4,-4,-4,
-4,-5,3,2,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,8,-1,-4,-4,-4,-4,-4,3,0,1,1,
1,0,0,-2,7,7,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,6,4,1,1,1,0,1,1,0,
-3,1,-4,1,3,7,-4,1,-4,1,-4,0,-4,1,-4,-1,3,1,-3,1,-4,1,-4,0,3,7,-4,1,-4,1,
-4,1,-4,0,2,0,-4,-5,3,1,-4,0,-3,1,-4,1,3,0,-4,8,3,0,-4,1,3,1,8,-4,-5,3,
1,-1,-1,3,1,3,1,-4,1,3,7,-4,1,-2,3,7,-3,1,-4,1,-4,1,2,7,-4,1,3,7,-4,1,
-4,1,-4,1,2,7,-4,1,3,2,-4,-1,3,2,-4,0,-3,1,-4,1,-5,-2,-4,1,3,8,-4,1,-4,1,
-4,-4,1,-4,0,-4,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-9,-7,-4,1,-4,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,7,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_36_latin_ext_w[560]={ 0,6,13,20,18,20,21,6,12,12,16,18,11,12,
8,17,19,16,16,16,20,16,18,17,17,17,8,11,16,16,15,13,20,20,17,17,18,15,14,19,18,16,13,18,
15,20,18,20,17,20,17,17,18,18,20,20,20,20,17,10,17,10,18,20,13,17,17,15,17,17,19,18,16,16,
14,18,16,18,16,18,17,17,16,16,17,16,20,20,20,20,16,14,5,15,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,16,18,20,20,
5,18,16,20,13,16,17,12,18,15,14,17,12,12,19,18,18,8,6,12,14,16,20,20,20,13,20,20,20,20,
20,20,21,17,18,18,18,18,18,18,18,18,19,19,20,20,20,20,20,16,20,19,19,19,19,20,17,17,18,19,
18,18,18,18,20,15,18,19,18,18,18,19,18,18,18,18,19,19,19,19,19,18,18,18,19,18,18,20,17,20,
20,18,20,18,20,17,19,19,17,17,17,17,17,17,20,23,19,19,18,18,18,18,18,18,15,17,18,18,19,19,
19,19,19,19,19,19,19,18,20,18,18,18,18,18,18,18,16,17,18,16,18,18,16,17,18,18,18,18,18,15,
16,23,23,18,22,18,16,19,19,18,16,19,18,18,18,16,20,19,20,19,21,21,20,20,20,19,17,16,20,19,
18,19,18,18,17,16,18,18,18,17,19,23,18,18,19,18,19,18,19,18,19,18,21,21,18,17,20,20,20,20,
20,18,19,18,18,18,18,15,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,20,18,21,20,24,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,17,16,18,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_bold_36_latin_ext_h[560]={ 0,26,9,23,32,27,26,9,35,35,16,19,14,5,
8,29,25,24,24,25,23,24,24,23,25,24,20,26,21,11,21,26,34,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,31,23,25,23,24,23,23,23,23,23,33,29,33,12,5,8,20,26,20,26,20,26,27,25,26,
34,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,37,33,9,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,32,24,23,23,
37,31,9,25,19,15,10,5,19,8,14,22,15,16,8,25,30,8,6,14,19,15,25,25,26,26,30,30,30,30,
30,31,23,30,30,30,30,30,30,30,30,30,23,30,31,31,31,31,31,17,31,31,31,31,31,30,23,27,26,26,
26,27,27,29,20,25,26,26,26,27,25,25,25,26,26,26,26,26,26,27,27,20,26,26,26,26,27,33,32,34,
29,26,30,26,31,27,31,26,31,26,31,27,31,26,30,28,23,26,29,26,30,26,30,27,31,27,30,26,31,33,
31,33,31,34,32,34,30,31,23,25,30,26,29,25,30,25,31,34,30,18,24,34,31,33,31,33,18,30,31,31,
33,27,27,23,25,23,25,30,25,31,27,30,25,28,31,27,30,26,31,26,31,26,25,20,30,25,31,27,30,25,
31,26,31,26,30,25,31,26,31,32,30,28,23,25,31,27,30,26,31,26,32,29,31,26,31,26,30,25,30,33,
30,30,25,30,26,30,25,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,35,34,30,26,34,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,32,27,31,32,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_bold_36_latin_ext_s[560]={ 510,503,336,312,19,174,292,500,47,34,153,
1,500,400,502,296,255,463,20,483,153,37,412,135,122,431,503,500,207,264,224,
405,176,333,98,295,354,394,466,313,116,172,449,431,450,481,1,20,20,94,135,
140,153,1,410,373,77,56,38,258,335,326,245,413,350,276,183,294,333,329,163,
136,238,388,104,1,333,438,421,257,490,419,490,240,356,404,39,60,81,123,102,
269,1,393,299,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,510,496,38,
393,54,75,7,115,319,158,476,200,281,400,457,364,217,189,187,499,380,445,160,
502,499,232,389,170,62,275,351,437,41,62,102,123,456,389,193,44,258,179,122,
62,182,22,413,472,233,432,252,312,172,1,464,136,485,354,444,152,96,198,215,
43,174,154,135,61,219,277,347,240,40,20,1,117,296,425,464,406,387,273,233,
193,77,457,80,310,311,349,291,330,155,305,427,217,314,425,338,97,333,1,369,
253,22,59,40,420,256,444,101,353,115,213,258,462,201,481,163,438,428,477,83,
116,193,373,213,238,273,197,483,119,377,293,291,374,298,368,220,406,219,276,79,
158,141,119,480,139,116,409,374,354,20,144,315,353,337,19,195,272,196,253,179,
393,102,233,255,452,83,401,133,495,491,20,58,40,274,60,41,368,1,350,410,
100,1,256,334,201,296,221,359,370,215,144,176,465,81,377,96,219,74,272,238,
82,195,314,445,239,234,101,55,451,277,335,317,284,397,418,315,437,1,477,387,
372,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,156,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,13,85,22,469,60,134,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,1,238,176,465,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174, };
static unsigned short stb__consolas_bold_36_latin_ext_t[560]={ 1,1,323,274,39,166,194,236,1,1,323,
323,221,323,274,135,248,248,274,221,274,274,248,274,248,248,104,166,299,323,299,
194,1,274,299,221,274,274,274,221,299,299,248,274,274,274,299,248,299,39,299,
248,299,274,274,274,299,299,299,1,135,1,323,323,323,299,221,299,194,299,221,
166,248,194,1,248,221,299,299,299,194,194,299,299,248,299,323,323,323,221,323,
1,1,1,323,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,1,104,39,
248,274,274,1,39,323,248,299,323,323,323,299,323,323,299,323,248,323,221,104,
283,265,323,299,323,248,248,194,194,104,135,135,135,104,39,274,135,104,104,104,
104,135,104,72,72,274,72,72,72,72,72,39,323,39,72,39,72,72,104,274,
166,194,194,194,166,166,135,299,221,194,194,194,166,248,221,221,166,166,194,194,
194,194,135,166,299,166,166,166,166,166,1,1,1,135,166,104,194,72,166,39,
194,72,194,72,135,39,166,104,135,274,194,135,166,135,166,135,135,39,135,135,
194,72,1,72,1,72,1,1,1,104,72,274,248,104,166,135,221,104,221,72,
1,104,323,248,1,72,1,72,1,323,135,39,39,1,166,166,274,248,274,248,
72,248,72,166,72,248,135,72,135,72,221,72,221,39,221,248,299,104,221,39,
166,135,221,39,221,39,221,104,221,39,221,39,1,104,135,274,248,39,166,104,
221,39,194,1,135,39,221,39,194,104,248,104,1,104,104,248,104,221,104,221,
194,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,39,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,1,1,135,194,1,39,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,39,166,39,1,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274, };
static unsigned short stb__consolas_bold_36_latin_ext_a[560]={ 317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_36_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_36_latin_ext_s[i] + stb__consolas_bold_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_36_latin_ext_t[i] + stb__consolas_bold_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_36_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_36_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_36_latin_ext_x[i] + stb__consolas_bold_36_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_36_latin_ext_y[i] + stb__consolas_bold_36_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_36_latin_ext_s[i] + stb__consolas_bold_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_36_latin_ext_t[i] + stb__consolas_bold_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_36_latin_ext_x[i] + stb__consolas_bold_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_36_latin_ext_y[i] + stb__consolas_bold_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_36_latin_ext_LINE_SPACING
#endif

