// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT        499
#define STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_44_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_44_latin_ext_LINE_SPACING          29

static unsigned int stb__consolas_bold_44_latin_ext_pixels[]={
    0x99826666,0x00000099,0x00000000,0xaaa88000,0x40004002,0x02200000,
    0x776cc000,0x00001dee,0x5555554c,0x7fdc0000,0x0003ffff,0x2a60aaaa,
    0x440000aa,0x001bddba,0x02aaaa00,0x55400000,0x7002aaaa,0x01e5c079,
    0x22000c00,0xaaaaaaaa,0x554002aa,0x400000aa,0x2201aaa9,0xaaaaaaaa,
    0x035512aa,0x98800000,0x1555551a,0x2aaa0000,0xaaaaaaaa,0xffff3000,
    0x0ffffe67,0x5c01b300,0xc8800003,0x00000dff,0x006fffa8,0x5007fff5,
    0x40007ffd,0x000effe9,0x3ffffe60,0x5400000e,0x02ffffff,0x7fffdc00,
    0x7c0001ef,0xffff87ff,0x3ff20000,0x04ffffff,0x7fffe400,0x4000000e,
    0x0efffffd,0x86fffd80,0x0006fffd,0x2007fff9,0xfffffffa,0x32007fff,
    0x000effff,0xfffff300,0x3fffee03,0x56ffffff,0x01bdffff,0xfec88000,
    0xfffb3fff,0xf100007f,0xffffffff,0x3e6005ff,0xfff33fff,0x7fcc007f,
    0x03ffb80e,0x7ffec000,0xd800006f,0xf9804fff,0x2603ffff,0x003fffff,
    0x0dffffd0,0x3fffe600,0xa800003f,0x00efffff,0x7fffdc00,0xfb00004f,
    0xff931bff,0x3a6000ff,0xffffffff,0xf90004ff,0x00dfffff,0x7ffec000,
    0xff1004ff,0x7fcc5fff,0x5c002fff,0x802fffff,0xfffffffa,0xf9007fff,
    0x00dfffff,0xfffff300,0xfff703ff,0xdfffffff,0x3fffffea,0xf500003f,
    0x27ffffff,0x003ffffd,0xfffff880,0x02ffffff,0x27ffff30,0x003ffff9,
    0x41dffff3,0x004ffffb,0xfffff100,0x4400005f,0xc802ffff,0x206fffff,
    0x06fffffc,0xfffffa80,0x7fd4001f,0x00001eff,0x4fffffa8,0xfffb8000,
    0x333222ff,0x7ffd4004,0x3fffffff,0xffffa800,0xffffffff,0x7fdc005f,
    0x05fffeff,0xfffd8000,0x3e6002ff,0x3e63ffff,0x4003ffff,0x05fffffe,
    0xffffffa8,0xb807ffff,0xfffeffff,0x3fe60005,0x1ffffeff,0x7fffffdc,
    0xff56ffff,0x07ffffff,0xffffa800,0xffb3ffff,0x100007ff,0xffffffff,
    0x26005fff,0xff33ffff,0xff3007ff,0x7ec1dfff,0x0004ffff,0xffffff88,
    0x3ee00002,0xfd800fff,0x3206ffff,0x007fffff,0xffffffa8,0x55554002,
    0xf5000002,0x0005ffff,0x1bffff70,0x005fffb8,0xffffffd8,0xf88006ff,
    0x711cffff,0x009ffffb,0x227fffee,0x0005fffe,0x3bffff60,0xffff8000,
    0x3fffe21f,0x7ffc000f,0xe9805fff,0xfffeeeee,0x7ffdc07f,0x5fffe89f,
    0xffff8800,0x41ffff94,0xeeeffffb,0xddd35eee,0x01ffffff,0x7ffff400,
    0xffb2eeff,0x100007ff,0xffdddddd,0x26005fff,0xff33ffff,0xff8807ff,
    0xfd80efff,0x0003ffff,0x0fffffe8,0x3ffa0000,0xfff7006f,0x7fd40bff,
    0x88005fff,0x00ffffff,0x073772a0,0x55540000,0x000000aa,0x017ffec0,
    0xfffffb80,0xffd0004f,0x7ff405ff,0xfffa807f,0x3fffa21f,0xffd80004,
    0x260004ff,0xff982ffe,0xffd8002f,0x40003fff,0x2a07fffe,0x3a21ffff,
    0x22004fff,0x7e44fffe,0xfff70eff,0xfe98005f,0x70005fff,0x205fffff,
    0x003ffffd,0x7fffc000,0xfff3002f,0x3fffe67f,0x7fffec03,0x3fff600e,
    0x4c0001ff,0x0003ffff,0x0fbbba20,0x0efffd80,0x077ffec0,0xffffb800,
    0xfffd1003,0x0000bfff,0x00002660,0x3ffe2000,0x2620000f,0x90000abb,
    0x8803ffff,0x4c02ffff,0x99880999,0x4c400019,0x00001999,0x40001001,
    0x006ffff8,0x07fffe80,0x22026666,0x22001999,0x33301999,0x3fffee13,
    0xfff98002,0xffb0006f,0x7fec05ff,0x000003ff,0x017ffffc,0x33ffff98,
    0x5c07ffff,0x400fffff,0x06ffffe8,0x00aa8800,0x80000000,0x2ea002ca,
    0xbb980002,0x3fff6001,0x004fffdd,0xffff9100,0x4000001b,0xfffcbca9,
    0x00000005,0x07ffff30,0x017ffee0,0x00000000,0x00000000,0x0b2e2000,
    0x7fff4000,0x00000007,0x3fee0000,0xfb0002ff,0x3a000fff,0x7ec07fff,
    0x00003fff,0x17ffffc0,0x3ffff980,0x207ffff3,0x02fffff9,0x9fffff10,
    0x00000000,0x00000000,0x00000000,0xfa8bffe0,0xfd00007f,0x01ffffff,
    0x7ff5c000,0x3fffffff,0x09988000,0xdfffb000,0x7fffcc00,0x00000000,
    0x00000000,0x00000000,0x7fffe800,0x004cc400,0x2e000000,0x0002ffff,
    0x001ffff9,0x80bffff0,0x003ffffd,0x7fffc000,0xfff3002f,0x3fffe67f,
    0xbffffd03,0xffffb800,0x2620001f,0x88000009,0x00000099,0x00000000,
    0x4c1fff10,0xb80007ff,0xfffddfff,0xfd880005,0xffffffff,0xb50005ff,
    0xddffffff,0x889ddddd,0x4001ffff,0xdd32fffe,0xd8005ddd,0xdd33eeee,
    0xd8005ddd,0xdd33eeee,0xd8005ddd,0x0003eeee,0xfffd0000,0xfffb500f,
    0xdddddfff,0xddd909dd,0xdddddddd,0x7fdcbddd,0xf70002ff,0x88003fff,
    0x6c04ffff,0x2603ffff,0x01eeeeee,0x05fffff0,0x4ffffe60,0xa83ffff9,
    0x000fffff,0x06ffffe8,0x7fffed40,0xeeeeeeff,0xffda804e,0xeeeeffff,
    0x3bba4eee,0x776c00ee,0x777641ee,0xeeeeeeee,0xfd005eee,0xbffd55bf,
    0x7ffd0000,0x0003ffcc,0x3fffffe6,0xffffffff,0xffd3000d,0xffffffff,
    0xb8bfffff,0x9a886fff,0xfff93510,0x37ffffc7,0xfffff500,0x37ffffc3,
    0xfffff500,0x37ffffc3,0xfffff500,0x3bbbba23,0x02eeeeee,0x3ffff400,
    0xfffffd30,0xffffffff,0xfffb0bff,0xffffffff,0x7fdcffff,0xf50002ff,
    0x88005fff,0x6c04ffff,0xd103ffff,0x007fffff,0x017ffffc,0x33ffff98,
    0xfd07ffff,0x20007fff,0x01fffff9,0xfffffe98,0xffffffff,0x3fa605ff,
    0xffffffff,0x25ffffff,0x401fffff,0x6c1fffff,0xffffffff,0x07ffffff,
    0xffffff30,0xf00001ff,0x1fff81ff,0xffff1000,0xffffffff,0x100bffff,
    0xffffffff,0xffffffff,0x3ffff8bf,0x3fffffa6,0x4fffbaff,0x03fffff2,
    0x37fffec0,0x03fffff2,0x37fffec0,0x03fffff2,0x37fffec0,0xfffffff1,
    0x0005ffff,0x107fffe8,0xffffffff,0xffffffff,0xffffb0bf,0xffffffff,
    0x7ffdcfff,0xff50002f,0xf88005ff,0x7ec04fff,0xffd03fff,0xf8009fff,
    0x3002ffff,0x3e67ffff,0x7fcc3fff,0x6c0007ff,0x4404ffff,0xffffffff,
    0xffffffff,0xffff105f,0xffffffff,0x7cbfffff,0x7c01ffff,0x7ec1ffff,
    0xffffffff,0x007fffff,0x33ffff26,0xffd00000,0x003ffcc7,0xbfffffb0,
    0xfffff117,0xfe803fff,0xfdbcffff,0xffffffff,0x43fffe65,0xfffffffa,
    0x4fffa9ff,0x0fffffe2,0x3ffffe20,0x7ffffc43,0xffff8803,0x7fffc43f,
    0xfff8803f,0x3ffe23ff,0xffffffff,0x7ff40002,0xffffd07f,0xffffb79f,
    0xb0bfffff,0xffffffff,0x4fffffff,0x002ffffb,0x05ffff50,0x4ffff880,
    0x1ffffec0,0x27ffffe4,0x7ffffc00,0xffff3002,0x0ffffe67,0x009ffff9,
    0x7ffffa80,0x7fffff40,0xfffffdbc,0xfd05ffff,0xfb79ffff,0xffffffff,
    0x0fffffcb,0x07ffffe0,0xfffffffb,0xffffffff,0x00022000,0x33fff200,
    0x0005fffc,0x89fffff3,0xfffffffa,0x3ffea06f,0x7fe440ef,0xfff704ff,
    0x3ffffe2b,0xfa8fffff,0x7ffec5ff,0xfffa806f,0xfffd80ff,0xfffa806f,
    0xfffd80ff,0xfffa806f,0x3ffe20ff,0xffffffff,0x7ff40002,0xffffa87f,
    0x7ffe440e,0x4ccc404f,0xfb999999,0x3fee7fff,0xf50002ff,0x88005fff,
    0x6c04ffff,0x7dc3ffff,0x0005ffff,0x005fffff,0x4cffffe6,0x7fc3ffff,
    0x80001fff,0x502fffff,0x881dffff,0x404ffffc,0x40effffa,0x04ffffc8,
    0x803fffff,0x441fffff,0x99999999,0x07ffffb9,0x3fffff60,0xd100007f,
    0x1fffffff,0x3fff6000,0xefffc85f,0x901fffff,0x2205ffff,0xd80fffff,
    0xfff93fff,0x1ffffbbf,0xfa8dfff3,0x6c01ffff,0xf504ffff,0xd803ffff,
    0xf504ffff,0xd803ffff,0x9984ffff,0xffff9999,0x7f40002f,0xfffc87ff,
    0xffff102f,0xf500001f,0x7fdcffff,0xf30002ff,0x98007fff,0x6c03ffff,
    0x3ea3ffff,0x0006ffff,0x00bffffe,0x99ffffcc,0x3ea3ffff,0x00006fff,
    0x20bffffb,0x102ffffc,0x401fffff,0x102ffffc,0xf01fffff,0xf803ffff,
    0x0001ffff,0x00fffff5,0x3fffffe2,0x100001ff,0x01dffffb,0x3fffe600,
    0x9ffff81f,0xb03fffff,0xfd80ffff,0xfff82fff,0x29ffff2f,0xff37fffa,
    0xfffff0ff,0x7fffc409,0x3fffe01f,0x3ffe204f,0x3ffe01ff,0x3fe204ff,
    0x3e001fff,0x0002ffff,0x6c3ffff4,0x7ec07fff,0x80002fff,0x2e7ffffa,
    0x0002ffff,0x00bffff3,0x02ffffb8,0x99ffffec,0x00efffff,0x3ffffe00,
    0xffff3002,0x8ffffe67,0x004ffffb,0xdffff500,0x01ffff60,0x405ffffb,
    0x6c07fffd,0xff82ffff,0x7fc01fff,0x50001fff,0x200fffff,0xfffffffa,
    0x4400003f,0x5c0001aa,0xf987ffff,0xffffb7ff,0x1ffffa0d,0x85ffff70,
    0xf98ffff8,0xfff71fff,0x21fffe6d,0x207ffffc,0x406ffffb,0x207ffffc,
    0x406ffffb,0x207ffffc,0x006ffffb,0x017ffffc,0x1ffffa00,0x701ffffa,
    0x0005ffff,0x4fffff50,0x002ffffb,0x0bffffa0,0x7ffffc40,0x7fffec00,
    0xfffffe8b,0x7ffc0000,0xff3002ff,0x3ffe67ff,0x3ffff23f,0xff100002,
    0x3ffa0fff,0x7ffdc07f,0x3fffa02f,0x7fffdc07,0x1fffff82,0x0fffffc0,
    0xffffa800,0xffff9007,0x000dffff,0x00099980,0x27fffe40,0xfaa7ffe4,
    0xffb07fff,0x7fe403ff,0x7ffd41ff,0x64dfff76,0xfff36fff,0xfffff30d,
    0x3ffffa05,0x7fffcc03,0xffffd02f,0xffff9807,0xffffd02f,0xffff8007,
    0x7f40002f,0xfffd87ff,0x3fff201f,0xfa80001f,0x3fee7fff,0x2e0002ff,
    0xabdfffff,0xfff97532,0xffb00bff,0xffffb7ff,0xff00003f,0x26005fff,
    0x9913ffff,0x7ffec599,0x3e00002f,0xfd80ffff,0x3f201fff,0x3f601fff,
    0x3f201fff,0xfff81fff,0x7ffc01ff,0xf50001ff,0x3e00ffff,0xffffffff,
    0xd930000f,0xdfffffff,0xffd80019,0xfffe83ff,0x1fffff31,0x09ffff90,
    0x21ffffe2,0xff95fffb,0xafffe4bf,0xfd06fff9,0xff30bfff,0xfd001fff,
    0xff30bfff,0xfd001fff,0xff30bfff,0xf8001fff,0x0002ffff,0x643ffff4,
    0xf104ffff,0x0000ffff,0xb9ffffea,0x0002ffff,0x7fffffe4,0xfffffb7f,
    0xfb001bff,0xffffffff,0x3e00005f,0x3002ffff,0x2007ffff,0x001ffffe,
    0x3ffffa00,0x4ffffc81,0x0fffff10,0x04ffffc8,0x20fffff1,0x401fffff,
    0x001fffff,0x0fffff50,0xfbffff30,0x0005ffff,0xffffffff,0x09ffffff,
    0x17ffff40,0xf99fffe6,0xf981ffff,0x261cffff,0xb85ffffe,0xfffb4fff,
    0x9a7ffec9,0xff505fff,0xffc81fff,0xff5005ff,0xffc81fff,0xff5005ff,
    0xffc81fff,0xff8005ff,0x40002fff,0xf987fffe,0x261cffff,0x005ffffe,
    0xfffff500,0x017fffdc,0x7ffe4c00,0xffffb7ff,0x7ec003bf,0xffffffff,
    0xff00000f,0x26005fff,0xf003ffff,0x0001ffff,0x17fffec0,0x67ffffcc,
    0x3ffffa61,0x7fffcc05,0x3ffa61cf,0xffff05ff,0xffff803f,0xff50001f,
    0xff700fff,0xffffb7ff,0xffff000b,0xffffffff,0x3e009fff,0x7dc2ffff,
    0x3ffe25ff,0xfff901ff,0xffffdfff,0xff901fff,0x8ffffa9f,0xff53fffe,
    0x7fffc09f,0x7ffffc3f,0x3fffe002,0x7ffffc3f,0x3fffe002,0x7ffffc3f,
    0xffff8002,0x7f40002f,0xfff907ff,0xffffdfff,0x00001fff,0xb9ffffea,
    0x0002ffff,0x7fffff4c,0xfffffb7f,0x3f6005df,0xffffdfff,0xff00006f,
    0x26005fff,0x8803ffff,0x0007ffff,0x17fffec0,0xffffffc8,0xfffffffe,
    0xffffc800,0xfffffeff,0xffff00ff,0xffff803f,0xff50001f,0xffd00fff,
    0xffff73ff,0xffff000f,0xffdd9ddf,0x8805ffff,0x741fffff,0x3fe22fff,
    0xff502fff,0xffffffff,0x3f203fff,0x7fffd3ff,0xfb9ffff4,0x3ff204ff,
    0x3ffea6ff,0x7fe4007f,0x3ffea6ff,0x7fe4007f,0x3ffea6ff,0xfff0007f,
    0xe80005ff,0xff507fff,0xffffffff,0x00003fff,0x73ffffd4,0x0005ffff,
    0x7fffffcc,0xffdd95ee,0xb007ffff,0xff77ffff,0x0000bfff,0x005fffff,
    0x00ffffe6,0x007ffffc,0xffffb000,0x3fffea03,0xffffffff,0xfff5001f,
    0xffffffff,0x7ffc03ff,0x7ffc01ff,0xf50001ff,0xf880ffff,0xfff17fff,
    0xef8003ff,0x3ffea00b,0x7fc405ff,0x3fe21fff,0x7fffc0ff,0xffff981f,
    0xffffffff,0x3fff600c,0x7c5ffff3,0xfff92fff,0x7fffcc07,0x9ffffb0f,
    0xffff9800,0x9ffffb0f,0xffff9800,0x9ffffb0f,0x3fffe000,0x7f40002f,
    0xfff987ff,0xffffffff,0x400000cf,0x2e7ffffa,0x0002ffff,0x033ffffa,
    0x1fffff20,0x4fffff60,0x03fffffd,0x7ffffc00,0xffff3002,0x3fffe007,
    0x3a00001f,0xf980ffff,0xffffffff,0x3000cfff,0xffffffff,0x8019ffff,
    0x401fffff,0x001fffff,0x0fffff50,0x24ffffa8,0x004ffffe,0xfff70004,
    0xfff880df,0x3ffee2ff,0x7ffffc45,0x8dfffd80,0x00abcdcb,0xfd2fffd8,
    0x3ffe27ff,0x03fffb1f,0x8bffffe8,0x000fffff,0x8bffffe8,0x000fffff,
    0x8bffffe8,0x000fffff,0x05fffff0,0x7fffe800,0xb8dfffd8,0x000abcdc,
    0xffff5000,0x17fffdcf,0xffff8800,0x7ffec006,0x7ffec02f,0xfffff13f,
    0x7fc0003f,0xf3002fff,0x3a007fff,0x0002ffff,0x41ffffe0,0xcb8dfffd,
    0x4000abcd,0xcb8dfffd,0xf000abcd,0xf803ffff,0x0001ffff,0x80fffff5,
    0x322ffffd,0x0006ffff,0x3fffe600,0xfffff807,0x30bfffa2,0xf10fffff,
    0x00005fff,0x3fa7fffb,0xffff73ff,0x00dfff13,0xf5dffff7,0x2000bfff,
    0xfaeffffb,0x70005fff,0xff5dffff,0x7c000bff,0x0002ffff,0x223ffff4,
    0x0002ffff,0xfff50000,0x7fffdcff,0xfff30002,0xffa8007f,0x7fec03ff,
    0x3ffe63ff,0xf0000fff,0x2005ffff,0x003ffff9,0x007ffffb,0x3ffffc00,
    0x017fffc4,0xffff1000,0x3fe00005,0x7fc01fff,0x50001fff,0xf80fffff,
    0x3ea0ffff,0x0000ffff,0xfffff100,0xfffff801,0x81ffff13,0xa86ffff9,
    0x0003ffff,0xfb4fffc8,0xffff3bff,0x09fff95f,0xdfffff10,0x0005ffff,
    0x3bffffe2,0x0002ffff,0xfdfffff1,0x40005fff,0x002fffff,0x23ffff40,
    0x003ffffa,0xff500000,0x7ffdcfff,0xff50002f,0xf98005ff,0x7ec04fff,
    0x7fe43fff,0xf0006fff,0x2005ffff,0x913ffff9,0x7fe45999,0x300005ff,
    0xf50dffff,0x00007fff,0x01ffffd4,0xfffff800,0x7ffffc01,0xfff50001,
    0x7ffcc0ff,0xfffff86f,0xa9880003,0xfffffbaa,0x7ffff400,0x50dfff54,
    0xf30bffff,0x3359ffff,0x3ee00133,0xffff74ff,0xffffffff,0x32005fff,
    0xffffffff,0x7fe40007,0x07ffffff,0x7fffe400,0x0007ffff,0x017ffffc,
    0x1ffffa00,0x59fffff3,0x00013333,0x7fffd400,0x0bfffee7,0x7fffd400,
    0x7ffc4002,0x7ffec04f,0xffffe83f,0xfff8005f,0xff3002ff,0x3ffe67ff,
    0x3fffea3f,0xff900007,0xfff309ff,0x333359ff,0xfff98001,0x9999acff,
    0x3fffe000,0x7fffc01f,0xff50001f,0x7fe40fff,0xfffd83ff,0xeb88005f,
    0xffffffff,0x6400ffff,0xffb6ffff,0xffffb07f,0x3ffffe09,0xffffffff,
    0xfff503de,0x3ffffe2b,0xffffffef,0x3fe6004f,0x04ffffff,0x7fffcc00,
    0x0004ffff,0x7fffffcc,0x7c0004ff,0x0002ffff,0x7c3ffff4,0xffffffff,
    0x03deffff,0x3ffea000,0x3fffee7f,0xfff50002,0xff88005f,0x7fec04ff,
    0xfff883ff,0xffe83fff,0xffffffff,0x5fffffff,0x99ffffcc,0x3e23ffff,
    0x0002ffff,0x01ffffe8,0xffffffff,0x7bdfffff,0xffffff00,0xdfffffff,
    0x7fffc07b,0x7fffc01f,0xff50001f,0x7ff40fff,0xfffb81ff,0x3f2000ff,
    0xffffffff,0x00ffffff,0x57ffffd4,0x7c40ffff,0xf302ffff,0xffffffff,
    0x7fffffff,0x326fffa8,0xfa8fffff,0x8005ffff,0xfffffffe,0xffe80000,
    0x000fffff,0xfffffe80,0xffe800ff,0xffffffff,0x5fffffff,0x0ffffd00,
    0xfffffff3,0xffffffff,0xf500007f,0x7fdcffff,0xf50002ff,0x88005fff,
    0x6c04ffff,0xf503ffff,0xe85fffff,0xffffffff,0xffffffff,0x7fffcc5f,
    0x87ffff33,0x005ffffd,0x37fffcc0,0xffffff30,0xffffffff,0x7fcc07ff,
    0xffffffff,0x83ffffff,0x401fffff,0x001fffff,0x0fffff50,0x41ffffe2,
    0x02fffff9,0xffffffb0,0xffffffff,0xff8801ff,0x6fffefff,0x06ffffc8,
    0x7fffffdc,0xffffffff,0x3ffe63ff,0x873bae0f,0x0002cedb,0xbffffff7,
    0x3fee0000,0x0005ffff,0xffffff70,0x3fffa00b,0xffffffff,0x05ffffff,
    0x20ffffd0,0xfffffffb,0xffffffff,0x7d40003f,0x3fee7fff,0xf50002ff,
    0x88005fff,0x6c04ffff,0x3203ffff,0x20ffffff,0xfffffffe,0xffffffff,
    0x7ffcc5ff,0x7ffff33f,0x0fffffa8,0x3fff2000,0x7ffdc03f,0xffffffff,
    0x203fffff,0xfffffffb,0xffffffff,0x7ffffc3f,0x7ffffc01,0xfff50001,
    0x3ffee0ff,0x3fffe05f,0xfffc804f,0xaaabcfff,0x00fffffb,0xffffffd8,
    0x7ffdc4ff,0x3fee02ff,0xeeeeefff,0xffffffff,0x05ffff10,0xf8800000,
    0x001fffff,0xfffff100,0x2200003f,0x01ffffff,0xffffffd0,0xffffffff,
    0x3a00bfff,0xffb87fff,0xeeeeefff,0xffffffff,0x3fea0000,0x3ffee7ff,
    0xff50002f,0xf88005ff,0x7ec04fff,0x7f403fff,0xfd0effff,0xffffffff,
    0xffffffff,0x3ffff98b,0xf07ffff3,0x0009ffff,0x03ffffe2,0xefffffb8,
    0xffffeeee,0xfb80ffff,0xeeeeffff,0xfffffffe,0x3ffffe0f,0x7ffffc01,
    0xfff50001,0x3fff60ff,0x3fff202f,0x7ffc407f,0xff100dff,0xf1001fff,
    0x5fffffff,0xfffffb73,0x7fffd40d,0x3ff6201f,0x3ff62fff,0x0000005f,
    0x2fffffc4,0xfff10000,0x40000bff,0x05fffff8,0x3fffffa0,0xffffffff,
    0xd005ffff,0xffa8ffff,0x36201fff,0x002fffff,0x97fffee0,0x002ffffb,
    0x03ffff50,0x4ffff880,0x00000000,0x7fcc0000,0xffff33ff,0xfffff707,
    0xfffb0003,0x7ffd40bf,0x3f6201ff,0x7d42ffff,0x2201ffff,0x02fffffd,
    0x7ffffc00,0xfff70000,0x3fffe0bf,0xeeeeeeef,0x01fffffe,0x03ffffea,
    0x0fffff88,0xfffff700,0xffffffff,0x7fc05fff,0xfd002fff,0x7fd49fff,
    0x000000ff,0x3fffff20,0x3f200001,0x0001ffff,0x3fffff20,0x54000001,
    0xd001ffff,0xfff8ffff,0xffd002ff,0x640009ff,0x3ee4ffff,0x70002fff,
    0x0003ffff,0x000bffff,0x00000000,0x3ffff980,0x207ffff3,0x006ffffe,
    0x07ffffd4,0x05fffff0,0x13ffffa0,0x005fffff,0x013ffffa,0x7ffff880,
    0x3fff2000,0xffffa84f,0xffffffff,0x03ffffff,0x01bffff2,0x01fffff5,
    0x7ffffe40,0xffffffff,0x3ffe602f,0x3ffa007f,0x7fffc3ff,0x50000005,
    0x00bfffff,0x7fffd400,0x2a00005f,0x005fffff,0x7ffcc000,0x3ffa002f,
    0x3fffe67f,0x3fffa007,0xff10003f,0x7fdc7fff,0xf90002ff,0x3a000fff,
    0x10006fff,0x00059999,0x07333260,0x9ffffcc0,0x303ffff9,0x007fffff,
    0x0fffffe2,0x07ffff98,0x8fffffa0,0x007ffff9,0x00fffffa,0x6ffffa80,
    0xffff1000,0xffff907f,0xffffffff,0x0dffffff,0x0fffffdc,0xffffffb8,
    0x7ffe4000,0xffffffff,0x7ffcc00e,0xff9800ff,0x7fe41fff,0x073005ff,
    0xfffff500,0x2a00001f,0x00ffffff,0xffff5000,0x000001ff,0x005fffe8,
    0xf33ffff4,0x3001ffff,0xa83fffff,0xffffc802,0x3fffee1f,0xfff88002,
    0xffb0007f,0xf50003ff,0x00005fff,0x007fffee,0x99ffffcc,0x3203ffff,
    0x801fffff,0x405ffffd,0x00fffff9,0x1fffff98,0x03ffffe6,0x3ffffe60,
    0x3ff60001,0x401545ff,0x81fffffc,0xffffffff,0xffffffff,0xf500ffff,
    0x441bffff,0xfffffffc,0x7ffcc000,0x3effffff,0xfffff100,0x7ffd403d,
    0xfff986ff,0x5c40adff,0x555c04fe,0xffffffdb,0x75570001,0x3ffffffb,
    0x2eaae000,0x1ffffffd,0x7cc00000,0x74002fff,0x3fe27fff,0x2a01efff,
    0xb86fffff,0xa999bdff,0x44fffffe,0x002ffffb,0x2ffffec4,0xffffb800,
    0x7fe4001e,0x3600007f,0x26006fff,0xff33ffff,0xffe807ff,0x3f201fff,
    0x4400ffff,0x01efffff,0x1bffffea,0x3dfffff1,0x7ffffd40,0x999bc806,
    0x1fffffda,0x4cdeffdc,0xfffffea9,0xeffff984,0xaaaaaaaa,0x2fffffba,
    0xffffff10,0xfffffddf,0x8001ffff,0xaaacfffc,0xfffb0001,0xdbbdffff,
    0x1fffffff,0x3ffffea0,0xffffeeff,0x7fff404f,0x03ffffff,0x3ffffa00,
    0x003fffff,0x3fffffa0,0x0003ffff,0xffffb800,0xccccc983,0x6c7ffffc,
    0xefffffff,0xfffffedd,0xfffb80ff,0xffffffff,0x7fdc0eff,0xcccccdff,
    0xfffb9933,0x20003fff,0xdffffff8,0x7ff402cc,0x3e00005f,0x26004fff,
    0xff33ffff,0xff9807ff,0xfc81ffff,0xb002ffff,0xdfffffff,0xfffffdbb,
    0xfffb01ff,0xdbbdffff,0x1fffffff,0xfffffd00,0x70bfffff,0xffffffff,
    0x01dfffff,0x009ffff7,0x02fffffc,0xfffffff9,0xff9fffff,0xfe8001ff,
    0x100001ff,0xfffffffd,0xffffffff,0xfffa803f,0xffffffff,0x7ff404ff,
    0x03ffffff,0x7ffff400,0x0003ffff,0x7ffffff4,0x000003ff,0xdfffff50,
    0x3fffea5d,0x47ffffff,0xffffffe8,0xffffffff,0xfff701ff,0xffffffff,
    0xfff703ff,0xdfffffff,0x3fffffea,0x5c0005ff,0xffffffff,0x17fffc03,
    0xfff88000,0x3fe6001f,0xffff33ff,0xffff3007,0x7ffe41ff,0x3a2003ff,
    0xffffffff,0xffffffff,0xffffd101,0xffffffff,0x2003ffff,0xfffffffe,
    0xffb80fff,0xffffffff,0xffb01fff,0x7ec005ff,0x3a207fff,0xffffffff,
    0xffffa8ef,0x3ffe6000,0x64400007,0xffffffff,0x00bfffff,0xffffff30,
    0x039fffff,0xffffffe8,0xfe80000e,0x00efffff,0xffffe800,0x00000eff,
    0x3fffe200,0xfff53fff,0xffffffff,0xfffff910,0xffffffff,0x7ffdc017,
    0xffffffff,0xffff700c,0x2dffffff,0xfffffffa,0xfc80000d,0x03ffffff,
    0x003fffe6,0x3fffd400,0x3fffe600,0x07ffff33,0x17fffe60,0x007ffff9,
    0xfffff910,0xffffffff,0xffc88017,0xffffffff,0x2000bfff,0xfffffffe,
    0xfff700df,0xffffffff,0x3ffe2019,0x7fdc007f,0x7dc01fff,0x23efffff,
    0x000ffffa,0x0013ffee,0xfedca800,0x002cceff,0x3bfb2e60,0xf9000acd,
    0x00057bdf,0x5ef7fe40,0x3f200002,0x0002bdef,0xfff50000,0x3fea7fff,
    0xffffffff,0x7f6e5407,0x002cceff,0x3fffb6e6,0x7dc00bce,0xffffffff,
    0xfffff56f,0x9800005d,0x03fffffe,0x0013bba6,0x04eeea80,0x9ffffcc0,
    0x003ffff9,0x7e417fe6,0xca80003f,0xccefffed,0xdb950002,0x0599dfff,
    0x3fff6e00,0xb9802cde,0xbcefffed,0x7fffd400,0x7ffc4005,0x553004ff,
    0x70000035,0x00003999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3372e200,0x9999931b,0x00999999,0x00000000,0x666664c0,0x933ccccc,
    0x00001357,0x2cba9880,0x00000000,0xffff3000,0x0ffffe67,0x3c80b300,
    0x00000000,0x00000000,0x00000000,0x03ffffc8,0x6ffffe80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xf33ffff9,0x00007fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cffffe6,0x0003ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x25dddd30,0x002eeee9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aaaaa80,
    0x51000000,0x40000035,0x00001998,0xaa880000,0x0000000a,0x0aea0000,
    0xaa880000,0x0001aaaa,0x00000000,0x00000000,0x00003530,0x04c00988,
    0x00000000,0x20000000,0x0000aba9,0x000aea00,0x2aeea200,0x75300009,
    0x00013559,0x000015cc,0x00355551,0x55500000,0x7fffc555,0x4000001f,
    0x1effffd8,0xffd80000,0x7fffffc7,0xffffb803,0xfffb8002,0xfff88001,
    0x01fffc85,0x3fffa200,0xe8800005,0x00dfffff,0xfffffd80,0x3fe2007f,
    0xff000fff,0x7ffc5fff,0xffffffff,0x406fffff,0x3effffd8,0x3f2003d8,
    0xffe881ff,0x3fffe605,0xffffffff,0xffffffff,0x43fff403,0x4004fff9,
    0xffffffea,0x100002df,0x000bfffd,0xffffec98,0x03dfffff,0x7fffffdc,
    0x004fffff,0x007fffb7,0x3fffa200,0x7fec02ff,0x3a0004ff,0xff0fffff,
    0x00003fff,0xfffffe80,0x400000ff,0x7ffc6ffe,0xfb807fff,0xd8002fff,
    0xf0000fff,0xf7117fff,0x40001fff,0x02fffffc,0x3ffa2000,0x10003fff,
    0xffffffff,0x3ffe2003,0xfff000ff,0x7fffc5ff,0xffffffff,0x6c06ffff,
    0xefffffff,0x804ffd9b,0xd87ffff9,0xf303ffff,0xffffffff,0xffffffff,
    0xfc807fff,0xfea89dff,0xfb1002ff,0xffffffff,0x900009ff,0x005fffff,
    0x3fffff20,0xffffffff,0xffffb80f,0xffffffff,0xfffd006f,0xd100007f,
    0x5fffffff,0x27fffec0,0xffffd000,0x3ffffe1f,0x2e000001,0xffeaaeff,
    0x7fc00004,0x7ffffc5f,0x7fdc03ff,0xfe8002ff,0x3ee0007f,0xffffffff,
    0x7ec0004f,0x0004ffff,0xdffffd10,0x7fd40003,0x03ffffff,0x1fffff10,
    0x3ffffe00,0x3fffffe2,0xffffffff,0x3ff206ff,0xffffffff,0xb806ffff,
    0x7c1fffff,0xf305ffff,0xffffffff,0xffffffff,0xf9807fff,0xffffffff,
    0xfe9800ef,0xffffffff,0x000dffff,0x3fffff60,0x7ff4c004,0xffffffff,
    0x640fffff,0xffffffff,0x06ffffff,0x07ffffd0,0xffff9800,0x02ffffde,
    0x009ffffb,0x3fffff40,0x003fffff,0x17fe4000,0x0000dff3,0x3e27ffc4,
    0x0fffffff,0x0bfffee0,0x01bffe00,0xfffffd00,0x0001dfff,0x3fffffc8,
    0xffe88000,0xc80004ff,0xffffffff,0xffff1006,0x3ffe001f,0x3fffe2ff,
    0xffffffff,0x2a06ffff,0xffdaaeff,0x00efffff,0x0fffffa8,0x827ffff4,
    0xfffffff9,0xffffffff,0x803fffff,0xfffffffb,0xff8801ff,0xffffffff,
    0x05ffffff,0x3ffff200,0x3fea003f,0xffffffff,0x0fffffff,0x3fffffe6,
    0xffffffff,0xfffd006f,0x7cc0007f,0x3fee4fff,0xfffd83ff,0x3fa0004f,
    0x3ffe7fff,0x000001ff,0xff98fff2,0x3e600006,0x7fffc3ff,0x2e03ffff,
    0x4402ffff,0xfffffdca,0xb8001bcd,0x03ffffff,0xffff3000,0x5300001f,
    0x00003555,0x3ffffffe,0xf8800fff,0xf000ffff,0x7fc5ffff,0xaaaacfff,
    0x02aaaaaa,0x3faa0754,0x2001efff,0xfa84fffe,0x55100fff,0xffb55555,
    0x55555dff,0x3a600355,0x00dfffff,0xdfffff90,0xfffb7359,0x20003fff,
    0x00fffff9,0xffffff10,0x753359df,0x7fc1fff9,0x41adffff,0xd006db98,
    0x0007ffff,0x4c0d5554,0x7ec0aaaa,0x20004fff,0x3e7ffffd,0x0001ffff,
    0x2fffea00,0x0004ffeb,0xf0bffea0,0xffffffff,0x3fffee01,0xffffb102,
    0xffffffff,0x54c4000f,0xd9800000,0x000000ce,0x001aaa98,0x3f7fffe6,
    0x8802ffff,0x000fffff,0x7c5fffff,0x0002ffff,0x02aa6000,0x300e5400,
    0x64000177,0x0005ffff,0x000d4c40,0x3bffffe2,0xfffff900,0x76cc000b,
    0x3ff2000c,0x5002ffff,0x3fffe61b,0xe800004f,0x0003ffff,0xffd80000,
    0x360004ff,0x3fe7ffff,0x00001fff,0x7ffffec0,0x200000ef,0x7fc1fffb,
    0x3fffffff,0x05ffff70,0xfffffff7,0xffffffff,0x00000000,0x00000000,
    0x001ffff8,0x36ffffee,0x8805ffff,0x000fffff,0x7c5fffff,0x0002ffff,
    0x00000000,0x32000000,0x0005ffff,0x3f600000,0x6c00efff,0x001fffff,
    0x7fc40000,0x0001efff,0x07ffffea,0xeeeec800,0xeefffffe,0x85eeeeee,
    0x000aaaaa,0x13ffff60,0xffffd800,0x03ffffe6,0x4400004c,0x00dffffc,
    0x3f72a200,0xf2deffff,0xffffffff,0xffff701f,0xfffffa85,0xffffffff,
    0x000007ff,0xaa980000,0x800001aa,0x4006fffa,0xfb9ffffe,0xf8807fff,
    0xf000ffff,0x7fc5ffff,0x00002fff,0x40000000,0x0000aba9,0x17ffff20,
    0x2ea20000,0x3e6009ab,0x9803ffff,0x004fffff,0x26aeea20,0x3ffff600,
    0x7e40002f,0x0001ffff,0x3ffffff6,0xffffffff,0xff87ffff,0x20001fff,
    0x004ffffd,0x9bffff20,0x710fffff,0x019dfffd,0x00033000,0xffffff50,
    0x3ebfffff,0xfffdefff,0xffffb84f,0x3ffffe22,0xbfffecff,0xff107fec,
    0x3e001fff,0x7002ffff,0xffffffdb,0x00005bff,0x8013fff2,0xf17ffff8,
    0x8803ffff,0x000fffff,0x7c5fffff,0x0002ffff,0x03ffffe2,0x17ffffc0,
    0x7ffff5c0,0x0002dfff,0x02ffffe4,0x7ff64c00,0xdfffffff,0x7ffffd43,
    0xffffd000,0x7f64c00d,0xffffffff,0x3fffe23d,0xfb80006f,0x0005ffff,
    0x3ffffff6,0xffffffff,0xff87ffff,0x20001fff,0x004ffffd,0x9bffff20,
    0xf98fffff,0xffffffff,0xfffff101,0x3fffe001,0xfffd882f,0xffffffff,
    0x3dffff5f,0xb81fffff,0x3f22ffff,0x3fa3ffff,0xf881446f,0xf000ffff,
    0x9805ffff,0xfffffffe,0x004fffff,0x3ffe6620,0x3fea001f,0x3fffa4ff,
    0x7ffc404f,0xfff000ff,0x7fffc5ff,0x3e20002f,0xf000ffff,0x4405ffff,
    0xfffffffd,0x0003ffff,0x017ffff2,0xfffff900,0xffffffff,0x7fffe41f,
    0x3fff2006,0xfff9006f,0xffffffff,0x3fe61fff,0x80002fff,0xdffffff9,
    0xfffd8000,0xffffffff,0x7fffffff,0x01fffff8,0x3ffff600,0x3ff20004,
    0x3fffe6ff,0xffffffaf,0x881fffff,0x000fffff,0xd05fffff,0xffffffff,
    0x3ebfffff,0xfffb6fff,0xffffb89f,0x1bffff62,0x4400bfff,0x000fffff,
    0x405fffff,0xfffffffb,0x4fffffff,0x3ff72600,0x006fffff,0x917fffec,
    0x880dffff,0x000fffff,0x7c5fffff,0x0002ffff,0x03ffffe2,0x17ffffc0,
    0xffffffa8,0xffffffff,0xffc8000d,0xd30005ff,0xffffffff,0x1fffffff,
    0x027fffec,0x0fffff70,0xfffffe98,0xffffffff,0xffff50ff,0xf100001f,
    0xbfffffff,0x4ccc4003,0xcffffe99,0x19999999,0x01fffff8,0x3ffff600,
    0x3ff20004,0x3fffe5ff,0xffffffff,0x886fffff,0x000fffff,0xc85fffff,
    0xcdffffff,0xf5feefff,0x3fe6dfff,0x3fee0fff,0x3fffe2ff,0x13ffe25f,
    0xfffff880,0xfffff000,0x3ffff605,0xffffffff,0xf9004fff,0xffffffff,
    0x7fc007ff,0x3fea0fff,0x3e200fff,0xf000ffff,0x7fc5ffff,0xccccdfff,
    0x41cccccc,0x00fffff8,0x05fffff0,0xfffffff1,0xffffffff,0xff9000bf,
    0xf5000bff,0xffffffff,0xffffffff,0x27ffff41,0xfffff500,0x3fffea01,
    0xffffffff,0xf90fffff,0x2620ffff,0x19999999,0x7fffffdc,0x000befff,
    0x07ffffd0,0x3fffff00,0x7ffec000,0x3ee0004f,0x3ffe5fff,0x9bffffff,
    0x2ffffffb,0x07ffffc4,0x2fffff80,0x3bffffe6,0x227fff31,0x6cdffff2,
    0x3ee4ffff,0x3ffa2fff,0xfff50fff,0x7ffc4007,0xfff000ff,0xfff505ff,
    0x357bffff,0x809ffb75,0xffffffe9,0x5fffffff,0x6ffff980,0x03fffff8,
    0x03ffffe2,0x17ffffc0,0xffffffff,0xffffffff,0xfffff885,0xfffff000,
    0xfffffb05,0xffd7559d,0x8003ffff,0x005ffffc,0x7fffffc4,0xba99acef,
    0x3fe0fffc,0x2a003fff,0x881fffff,0xefffffff,0xfcba99ac,0xffffb0ff,
    0x3ffff60d,0x6c1fffff,0xffffffff,0x4001cfff,0x003ffffe,0x01fffff8,
    0x3ffff600,0x3fee0004,0x3fffe5ff,0xff984fff,0x7fc45fff,0xff000fff,
    0x7fec5fff,0x3fee0fff,0x6ffff81f,0x43ffffe6,0x322ffffb,0xbaefffff,
    0x22002fff,0x000fffff,0xd05fffff,0x01dfffff,0x3e202a88,0xffffffff,
    0x3fffffff,0x1ffffe40,0x02ffffec,0x01fffff1,0x8bffffe0,0xffffffff,
    0xffffffff,0x7ffffc42,0xfffff000,0xfffff985,0xffff900e,0xffc800bf,
    0x7e4005ff,0x002fffff,0x3ffe21b5,0x3e6002ff,0xfc82ffff,0x002fffff,
    0x3fffa1b5,0xffffb05f,0x703fffff,0xffffffff,0x4007ffff,0x003ffffe,
    0x01fffff8,0x3ffff600,0x3fee0004,0x3fffe4ff,0x3ff205ff,0x3fe20fff,
    0xff000fff,0x7ffc5fff,0x7ffe44ff,0x46ffff80,0xf74ffffd,0x7fdc5fff,
    0xffffffff,0x3fe2000f,0xff000fff,0xffb85fff,0x0000dfff,0xbfffff90,
    0xfffffb15,0x7f403fff,0xffb81fff,0xff100fff,0x3e001fff,0x3fe2ffff,
    0xffffffff,0x42ffffff,0x00fffff8,0x85fffff0,0x00effffd,0x07ffffec,
    0xbffff900,0x7fffc400,0x220001ef,0x002fffff,0x07ffffe6,0x3dfffff1,
    0x7fffc000,0xffffb04f,0x203fffff,0xffffffd9,0x005fffff,0x007ffffd,
    0x03fffff0,0xffd80133,0x2a0004ff,0x3fe4ffff,0x7cc05fff,0x3e21ffff,
    0xf000ffff,0x3e25ffff,0x7ec1ffff,0xdffff07f,0x8fffff98,0x742ffffb,
    0xffffffff,0x3e2002ff,0xf000ffff,0x7c45ffff,0x000fffff,0xfffff100,
    0x7ffffc49,0xf104ffff,0x3e60ffff,0xf102ffff,0x2001ffff,0x3e2fffff,
    0xeeeeffff,0x1eeeeeee,0x07ffffc4,0x2fffff80,0x0fffffe6,0x3ffffe60,
    0x3fff2004,0x3ff6005f,0x40002fff,0x03fffff8,0x3ffffe60,0x7ffffec0,
    0x7ff40002,0xfffb05ff,0x03ffffff,0xfffffc98,0x804fffff,0x003ffffe,
    0x30fffff8,0x19fffffb,0x09ffffb0,0x7fffd400,0x07ffffe4,0x5fffff10,
    0x07ffffc4,0x2fffff80,0x81fffff5,0xfff06ffe,0xffffb0df,0x85ffff79,
    0xfffffff8,0x00cfffff,0x07ffffc4,0x2fffff80,0x13ffffea,0xfffc8000,
    0x6fffdc6f,0x707ffffb,0x7c0bffff,0xf104ffff,0x2001ffff,0x3e2fffff,
    0x0002ffff,0x03ffffe2,0x17ffffc0,0x01fffff7,0x17ffffa0,0x5ffffc80,
    0xfffff100,0x3fe0000d,0x2a004fff,0x220fffff,0x006fffff,0x6ffffd80,
    0xff333310,0x54003fff,0xfffffffd,0x7fff401f,0xfff8003f,0xffffb8ff,
    0x6c1effff,0x0004ffff,0xf93fffea,0xf801ffff,0x3e23ffff,0xf000ffff,
    0x3ee5ffff,0xfff87fff,0x0dffff05,0xf9fffff3,0xfb105fff,0xffffffff,
    0x7c407fff,0xf000ffff,0x7dc5ffff,0x0001ffff,0x0bffffa0,0xff17fffb,
    0xffb03fff,0x7fe405ff,0xfff107ff,0x3fe001ff,0x3ffe2fff,0x220002ff,
    0x000fffff,0x645fffff,0x2005ffff,0x006ffffc,0x017ffff2,0x17ffffcc,
    0xfffe8000,0x3fee004f,0x7ffcc7ff,0xc80002ff,0x2007ffff,0x001fffff,
    0xfffffe98,0x7fff403f,0xfff8003f,0xfffffbff,0x6c6fffff,0x0004ffff,
    0xf8ffffea,0xe801ffff,0x3e24ffff,0xf000ffff,0x3ee5ffff,0x3e20ffff,
    0xffff04ff,0x3ffff60d,0x202fffff,0xffffffea,0x80efffff,0x00fffff8,
    0x45fffff0,0x007ffffc,0x3ffffc00,0x6c3fffe2,0xff83ffff,0xeeeeefff,
    0xfffffeee,0xfffff881,0xfffff000,0x17ffffc3,0xffff1000,0x3ffe001f,
    0x3fff62ff,0x3fee004f,0x3f2007ff,0xf5005fff,0x0001ffff,0x1bffffa0,
    0x6ffffc80,0x07ffffd4,0x7ffd4000,0xfff001ff,0x6c0003ff,0x405fffff,
    0x003ffffe,0xfffffff8,0xffffffff,0x3fff63ff,0x3e60004f,0x3ffe3fff,
    0xfff801ff,0x3ffe23ff,0xfff000ff,0x3ffea5ff,0x3ffe62ff,0x0dffff03,
    0x3fffffe6,0xd9802fff,0xffffffff,0xfff885ff,0xfff000ff,0x7fff45ff,
    0x2200006f,0x7dc6ffff,0x3fff65ff,0x7fffd43f,0xffffffff,0x03ffffff,
    0x003fffff,0x41fffff1,0x002fffff,0x3ffffe20,0xfffff000,0x27ffff45,
    0xfffff500,0x3fff2001,0xfff9005f,0x266620ff,0x6c199999,0x000fffff,
    0xc8bfffff,0x3107ffff,0x33333333,0x27ffffcc,0x1fffff80,0x3ffe6000,
    0x7ff406ff,0xff8003ff,0xbfffffff,0x6fffffd9,0x013ffff6,0x3ffff980,
    0x007ffffe,0x45fffff1,0x00fffff8,0x25fffff0,0x23fffff9,0xff02fffa,
    0x7fec0dff,0x02ffffff,0xffffff70,0x887fffff,0x000fffff,0x7c5fffff,
    0x0005ffff,0x17fffea0,0x7e45fffd,0x7fe44fff,0xffffffff,0xffffffff,
    0x5ffffd06,0xfffff300,0x02fffff8,0x3fffe200,0xffff000f,0x7ffffc5f,
    0x3ffea003,0xff9001ff,0x3f600bff,0xffb06fff,0x3fffffff,0x1fffffd4,
    0x7ffffcc0,0x37fffec1,0xffffffd8,0xfff11fff,0xff001fff,0x80003fff,
    0x405fffff,0x003ffffe,0xfffffff8,0x7ffffc84,0x013ffff6,0x2ffff980,
    0x007ffffe,0x41fffff3,0x00fffff8,0x25fffff0,0x26fffff8,0xff01fffb,
    0x7fcc0dff,0x02ffffff,0xf91fffb0,0x88bfffff,0x000fffff,0x225fffff,
    0x004fffff,0x3fffea00,0x83fffe25,0x7c4ffffc,0xffffffff,0xffffffff,
    0xffd80fff,0xffc805ff,0x7fffc6ff,0x3e20002f,0xf000ffff,0x3e25ffff,
    0x2002ffff,0x02fffff9,0x0bffff90,0x17ffffa0,0x7fffffec,0x7ffc1fff,
    0x7ec00eff,0xffe86fff,0xfffb05ff,0x43ffffff,0x05fffffb,0x01fffff8,
    0x3fffe200,0x7ffec03f,0xfff8005f,0xff505fff,0x3ff61fff,0x4c0004ff,
    0x3ffe0999,0x7fdc01ff,0x7ffc47ff,0xfff000ff,0x7ffec5ff,0xfffc8eff,
    0x6ffff840,0x7ffffec0,0xffd002ff,0x7ffffccf,0x7ffffc47,0xfffff000,
    0x3ffffe65,0x3ea00004,0x3fee6fff,0x7fffec5f,0x3bfffe63,0xaaaaaaaa,
    0x2fffffba,0x1fffffc8,0x3ffffe20,0x17ffffc2,0xffff1000,0x3ffe001f,
    0xffff12ff,0x7fcc005f,0xf9001fff,0x3e00bfff,0xfb04ffff,0xffffffff,
    0xfffffc83,0xffffb00e,0xfffff05f,0x3ffff609,0x7c1fffff,0x00efffff,
    0x647ffffe,0x3ffa000a,0x7e401fff,0x4000ffff,0x205fffff,0xb1fffff8,
    0x0009ffff,0x7ffffc00,0x7ffffc01,0x7ffffc46,0xfffff000,0x7ffffcc5,
    0x98fffeff,0xdffff6db,0xfffff980,0xfff002ff,0xfffffd8d,0x3ffffe20,
    0xfffff000,0x3ffffe25,0x3e600005,0x3ffa7fff,0x7ffff42f,0x13fffee1,
    0x5fffff80,0xffffff88,0x7fffd40b,0xfffff87f,0xaaaaaaac,0x7fc42aaa,
    0xff000fff,0x7ffc5fff,0x3e6003ff,0x9000ffff,0x200bffff,0xb05ffffe,
    0xffffffff,0xffff983f,0xecaaceff,0xd07fffff,0x360bffff,0xffffffff,
    0x7fffd41f,0xa9acdfff,0xd1fffffb,0x33579dff,0xfffff953,0xfff700ff,
    0x206209ff,0x401fffff,0xfb1fffff,0x9999dfff,0x39999999,0xffff0110,
    0x7ffe403f,0x7ffc42ff,0xfff000ff,0xfffd85ff,0xffffffff,0xffff6fff,
    0xffffb00d,0xff1005ff,0xffffc89f,0x7ffffc46,0xfffff000,0x37ffffc5,
    0xfff10000,0xffff11ff,0x7ffffc41,0x0bffff60,0x7ffffd80,0xffffff90,
    0xffffffff,0xffff07ff,0xffffffff,0xf88dffff,0xf000ffff,0x7fc5ffff,
    0x2a004fff,0x2007ffff,0x005ffffc,0x20dffffb,0xfff99998,0xfffb81ff,
    0xffffffff,0xb01fffff,0x220dffff,0xffff9999,0xffffe81f,0xffffffff,
    0xfd1fffff,0xffffffff,0xffffffff,0xffff3003,0xfddbdfff,0x3fffff0f,
    0x1fffff80,0xfffffffb,0xffffffff,0x77fec47f,0x0bffffe1,0x3fffff62,
    0xfffff885,0xfffff000,0xffffe885,0xffffffff,0x0dffff6f,0xffffff30,
    0x7fff3005,0x45ffffe8,0x00fffff8,0x45fffff0,0x007ffffe,0x7ffff400,
    0x5c5fffbc,0x3e27ffff,0x5c007fff,0x881fffff,0xfffffffe,0x4fffffff,
    0xfffffff0,0xffffffff,0xffff88df,0xffff000f,0x7ffff45f,0x3ffee004,
    0x3ff2006f,0xff9005ff,0x7fc00fff,0xff901fff,0xffffffff,0x6403ffff,
    0x2007ffff,0x881fffff,0xfffffffc,0xffffffff,0xfffffd1f,0xffffffff,
    0x64005fff,0xffffffff,0xfff87fff,0x7ffc01ff,0xffffb1ff,0xffffffff,
    0x7ec7ffff,0x3ffe6fff,0xffeeffff,0x80ffffff,0x00fffff8,0x05fffff0,
    0x3ffffff6,0xf6ffffff,0x3600dfff,0x3a2fffff,0x3ffea0ac,0xfffffb12,
    0xfffff887,0xfffff000,0x7ffffec3,0x3ee00000,0xfffeffff,0x3ffffe62,
    0x17fffea3,0xfffff100,0x3fff6209,0xffffffff,0x3fffe04f,0xffffffff,
    0x7c46ffff,0xf000ffff,0x7ec3ffff,0x32006fff,0x2005ffff,0x005ffffc,
    0x03fffff5,0x07ffffe0,0xffffffc8,0x01efffff,0x0fffffd4,0x1fffff80,
    0x3ffffea0,0xffffffff,0xffffd0ff,0xffffffff,0x88005dff,0xfffffffe,
    0xfff87fff,0x7ffc01ff,0xffffb1ff,0xffffffff,0x3e27ffff,0xff1fffff,
    0xffffffff,0x05ffffff,0x03ffffe2,0x0fffffc0,0xfffff950,0x3e5bffff,
    0xf3006fff,0x7fc5ffff,0xfffedfff,0xffffffed,0xfffff80e,0xffff8801,
    0x7ffffe47,0x3e200004,0x7fffffff,0xdfffff51,0x03ffffc8,0x6ffffe80,
    0x7fffedc0,0x400cffff,0xffffffff,0xffffffff,0x1fffff86,0x7ffff880,
    0x07ffffe4,0x4fffff80,0x3ffff200,0xffff3005,0x3ffe009f,0x75c401ff,
    0x2dffffff,0xfffff300,0x3fffe009,0x7f64401f,0xffffffff,0x7ff6d41c,
    0xffffffff,0x7540002d,0xffffffff,0x1fffff86,0x8fffffc0,0xfffffffd,
    0xffffffff,0xfffff13f,0x3ffffe5f,0xffffffff,0x7ffc00df,0xff8801ff,
    0x3f2007ff,0x0009acff,0x3ffffe00,0x3fffffe1,0xffffffff,0xfd00ffff,
    0xf3005fff,0xffa8dfff,0x0000ffff,0x3ffffee0,0xffffefff,0x00002fff,
    0x02ffff98,0x7fffecc0,0xf9800001,0xffe82fff,0xff9802ff,0x7ffd46ff,
    0xff9803ff,0x00002fff,0xfffff100,0xffff001f,0x7fe4003f,0x7c4003ff,
    0x800fffff,0x001fffff,0x04d55544,0xaaaa9880,0x8000009a,0x01aaaa98,
    0x007ffffe,0x003fffff,0x3fffa000,0xfffff0ff,0xbdffffff,0x3fffa003,
    0xfff9802f,0x3fee006f,0x8800000f,0x3e0fffff,0xffffffff,0xefffffff,
    0x3ffff601,0xffffc805,0xfffffe85,0x3600000d,0xffffffff,0x03ffffff,
    0xfff88000,0xff98003f,0x800002ff,0xb03ffff8,0x900bffff,0xfd0bffff,
    0xd801dfff,0x0006ffff,0x7ffdc000,0xfff805ff,0x3ea001ff,0xb8006fff,
    0x805fffff,0x001fffff,0x00000000,0xf0000000,0xf803ffff,0x0001ffff,
    0x5ffff300,0x4cfffffc,0xfb0001aa,0xf900bfff,0x6c00bfff,0x000007ff,
    0xf8dffff5,0xffffffff,0x02efffff,0x1fffffc8,0x3ffffe20,0xfffff983,
    0x1e4c01ef,0x7ffffe40,0x1effffff,0xffb00000,0x3fa000bf,0x000004ff,
    0x640dfffb,0x201fffff,0x83fffff8,0x0efffffb,0x5fffffb0,0xcccc8800,
    0x7fffc002,0x3fe00eff,0x22001fff,0x703fffff,0x3ffffe01,0x3ffe00ef,
    0x991001ff,0x10000599,0x00059999,0x05999910,0x0fffffc0,0x07ffffe0,
    0x03999930,0xff02aa20,0x00003fff,0x07fffff2,0x3fffff88,0x01bffa00,
    0x3ffe2000,0xdba985ff,0xbceffffe,0x3ffe2001,0x7d40bfff,0x3606ffff,
    0xefffffff,0xffedbabc,0xffff9004,0x019dffff,0x3fe20000,0xfa8002ff,
    0x00001fff,0x03ffff88,0x3fffffe2,0x7fffd40b,0xffff106f,0xd9559dff,
    0x00dfffff,0x05ffff50,0xfffffa80,0xba9acdff,0x001fffff,0x6ffffffc,
    0x505fecaa,0xbfffffff,0xfff75359,0x3ea003ff,0x80002fff,0x002ffffa,
    0x2ffffa80,0x3ffffe00,0x7ffffc01,0x7fffdc01,0xfff80001,0x100001ff,
    0x17ffffff,0x6fffffa8,0x02fffc00,0xffca8800,0x9802ffff,0x40003fff,
    0xfffffffc,0xffffffff,0x3ffe601f,0xffffffff,0x004fffff,0x3557ffff,
    0x2a000000,0x8003ffff,0x002ffffb,0xffff9800,0x7fffe404,0xffffffff,
    0x3201ffff,0xffffffff,0xffffffff,0xfffc8001,0xfffd0007,0xffffffff,
    0x03ffffff,0xfffffa80,0x3fffffff,0xffffffd0,0xffffffff,0x32003fff,
    0x00007fff,0x000ffff9,0x01ffff20,0x03fffff0,0x01fffff8,0x0037ffec,
    0x1fffff80,0x3ff20000,0xffffffff,0x01ffffff,0x013ffe20,0x7fffec00,
    0xf7004fff,0x880005ff,0xffffffff,0x4fffffff,0xffffe980,0xffffffff,
    0xff9804ff,0x0000006f,0xdfffff30,0x3fea007d,0x002eefff,0xfffff300,
    0xfff109dd,0xffffffff,0x7009ffff,0xffffffff,0x05ffffff,0x17fffa00,
    0x7ffe4400,0xffffffff,0x001fffff,0xffffffd8,0x80ffffff,0xffffffc8,
    0xffffffff,0xffd001ff,0x3a0000bf,0x00005fff,0x800bfffd,0x401fffff,
    0x401fffff,0x0004ffff,0x03fffff0,0x7ffc4000,0xffffffff,0x4004ffff,
    0x0003fff9,0xffffffb0,0x7ffe400d,0xfd880001,0xffffffff,0x5c002fff,
    0xffffffff,0x804fffff,0x0004fffc,0xfff10000,0x2009ffff,0xfffffff8,
    0x3fa00003,0x105fffff,0xfffffffb,0x005fffff,0x7fffffd4,0x00efffff,
    0x0bfffe00,0xffff5000,0xffffffff,0x10001fff,0xfffffff9,0xfa803dff,
    0xffffffff,0x00ffffff,0x005ffff0,0x0bfffe00,0x7fffc000,0x7fffc002,
    0x7fffc01f,0x3ffe201f,0xff00001f,0x00003fff,0xfffffd88,0x2fffffff,
    0x2fffa800,0xfffb0000,0xfd8007ff,0x5400007f,0xfffffffe,0x930000cf,
    0xfffffffb,0x3fe0037d,0x000001ff,0x3fffea00,0x3ea004ff,0x003fffff,
    0x3fffe600,0x7f5405ff,0xcfffffff,0xfec88000,0x03efffff,0x7fffcc00,
    0xec880000,0xffffffff,0x880001cf,0x3defffec,0x3ffb2200,0xcfffffff,
    0x3ffe6001,0xf980000f,0x80000fff,0x000ffff9,0x00fffffc,0x807ffffe,
    0x0007fffa,0x07ffffe0,0x7f540000,0xcfffffff,0xfff70000,0x3b600003,
    0xfd0003cd,0x400000df,0x0009aa98,0x19a98800,0x4ccc8800,0x80000000,
    0x01bcdcb8,0x5e6e5c40,0xca800000,0x22001bcd,0x00009aa9,0x000d54c0,
    0x09ddd300,0x2aa20000,0x000009aa,0x10000080,0x00135555,0x013bba60,
    0x27774c00,0xeee98000,0xffff8004,0x7fffc01f,0x3bbaa01f,0x3fe00004,
    0x00001fff,0x09aa9880,0x2aa98000,0x00000000,0x0002aaa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33320000,
    0x000000cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0x002aaaaa,0x00000000,0x00000000,0x26004c40,0xaa880000,0xa9800001,
    0x00000001,0x80099991,0x004c0098,0x33333300,0x01333333,0x0006a600,
    0x3ffee000,0xffb0005f,0xfffd81df,0x0131000e,0x10000098,0x00000377,
    0x55555533,0x4c000155,0x0dffffff,0x3b72a600,0x0001accc,0x4bfffff5,
    0x0dfffffd,0x00000198,0xffffffb0,0xffffffff,0xc8000fff,0x21efffff,
    0xfffffff9,0x00bdefff,0x0fffff98,0x7fffff40,0x2fffc403,0x000fffe4,
    0x2207fff2,0x10005ffe,0x03dffffb,0xfffd8800,0x003d83ef,0xbfff7000,
    0x0fffe400,0x002fff44,0x7fffffc4,0x02ffffff,0x3ffff620,0x0003d83e,
    0x7fffffdc,0xfffb0005,0xdfffd15f,0x3fff2001,0x05ffe881,0x7fffcc00,
    0x3ae20003,0xfffffffe,0x0002ffff,0x7ffffff3,0x7fffdc00,0x3fffffff,
    0x7fffd400,0x3ffff63f,0xeffe882f,0xbffffff1,0x5ffff700,0x3ffffff6,
    0xffffffff,0x320007ff,0x984fffff,0xffffffff,0x1dffffff,0x3ffffe60,
    0x3fffee00,0xffff005f,0xffff7117,0x7ffcc001,0xffffd87f,0xfffe8003,
    0x0000ffff,0x3ffffff6,0x4ffd9bef,0xffd80000,0xfff3002f,0xffffb0ff,
    0xfff88007,0xffffffff,0x3ff6002f,0x9befffff,0x90004ffd,0xffffffff,
    0xff90001d,0x1dffffff,0x3fffe600,0x3ffffd87,0x3fffa000,0x644000ff,
    0xffffffff,0x2fffffff,0xffff8800,0xff1001ef,0xffffffff,0x54007fff,
    0x361effff,0xd00dffff,0xff1fffff,0x803fffff,0xfb2ffffb,0xffffffff,
    0xffffffff,0x3fff2000,0xfff302ff,0xffffffff,0x201fffff,0x00fffff9,
    0x1ffffff1,0x3fffee00,0x04ffffff,0x7ffffdc0,0x2fffffc1,0x2bbfee00,
    0x0004ffea,0xfffffff9,0xdfffffff,0xff880000,0xff7000ff,0xfff83fff,
    0x7c4005ff,0xffffffff,0xf9002fff,0xffffffff,0x00dfffff,0x35ffff90,
    0x001dfffd,0xffffff90,0xfffb800b,0x7fffc1ff,0xff10005f,0x4005ffff,
    0xfffffffa,0xffffffff,0x7c4002ff,0x2004ffff,0xffffffe8,0x3fffffff,
    0xbffff300,0x1ffffec1,0xffffff10,0xfffffff5,0xffffb809,0xffffffb2,
    0xffffffff,0xf9000fff,0x4c01dfff,0xffffffff,0xffffffff,0xffff980e,
    0xffffb00f,0xffe8005f,0x0effffff,0x7fffd400,0x7ffff40f,0x17fe4004,
    0x2000dff3,0xfdaaeffa,0x0effffff,0x5e54c000,0x2005fffc,0x40fffffa,
    0x004ffffe,0x66666644,0x01cccccc,0xb55dff50,0xdfffffff,0xfffc8001,
    0x3fff620e,0xffc8000e,0xfa8005ff,0x7f40ffff,0x20004fff,0x01ffffff,
    0xffffff30,0xfdddffff,0x4005ffff,0x02fffff8,0x7ffffe40,0xecaa99bd,
    0xfff9803f,0x3fff624f,0x7ffc401e,0xffffafff,0x2e00ffff,0x3312ffff,
    0xffffb333,0x0333333d,0x2aaaa880,0xfffff980,0xffecaaaa,0xf983ffff,
    0xfb80ffff,0x0005ffff,0x7ffffff7,0x7fff4000,0x0ffffa84,0x31ffe400,
    0x54000dff,0x7fff540e,0xd70001ef,0xffffffff,0xffe8007f,0xffffa84f,
    0x00000000,0x3aa07540,0x001effff,0x00000000,0x3ffa0000,0xffffa84f,
    0x3fee0000,0x3fa005ff,0xffffffff,0x3ffff63f,0x80000002,0x006ffffe,
    0x00000001,0x8fffffe8,0xffffffff,0x3fffee04,0x7fffe402,0x00000005,
    0x03ffffcc,0x0bfffff7,0x81fffff3,0x0efffff8,0x054c4000,0x01ca8000,
    0x20002ee6,0xfebbfffa,0x2000004f,0x10000aa9,0xfffffffb,0x000bffff,
    0x5dcc0395,0x00000000,0x0aa98000,0x00000000,0x50000000,0x05dcc039,
    0x1f6d4000,0xfffff900,0x47ffffff,0x002ffffd,0x7fc40000,0x00003fff,
    0xd3000000,0x3ffe5fff,0x00ffffff,0x805ffff7,0x005ffffc,0xaaaaaaa8,
    0x4c00aaaa,0x6c07ffff,0xf987ffff,0x7ec0ffff,0x0001ffff,0x00000000,
    0x7fec0000,0x000effff,0x20000000,0xfffffff9,0xdfffffff,0x00000000,
    0x00000000,0x20000000,0x09aacba9,0x65d4c000,0x000009aa,0x00000000,
    0x3fffffa0,0x23ffffff,0x002ffffd,0x4d565d4c,0xffff8800,0x4000005f,
    0x0000aba9,0xffff04cc,0x207fffff,0x402ffffb,0x005ffffc,0x7fffffc4,
    0x402fffff,0x407ffff9,0x40fffffb,0x20fffff9,0x03fffffa,0x15753000,
    0x00000000,0x7ffe4400,0x800000df,0x0000aba9,0xfffffff1,0xffffffff,
    0x000000bf,0xfffff880,0xfffff000,0x00000005,0x7ffffdc0,0x04ffffff,
    0x3ffffee0,0x04ffffff,0x00000000,0xffff8000,0xffffffff,0x0bffff63,
    0x3ffffee0,0x04ffffff,0x6ffffffc,0x3ae00000,0xdfffffff,0xfff00002,
    0x0dffffff,0x00bfffee,0x00bffff9,0xffffff88,0x402fffff,0x407ffff9,
    0x987ffffb,0xf10fffff,0x000dffff,0xfffffeb8,0xf8802dff,0xf000ffff,
    0x0005ffff,0x70000033,0xfffffffd,0x7fec005b,0xf88bdfff,0x1fffffff,
    0x7fffec00,0x7c4007ff,0xf000ffff,0x2005ffff,0x7ffffffd,0x7ffdc000,
    0xffffffff,0xffb806ff,0xffffffff,0x7fdc6fff,0x7c002fff,0x7d44ffff,
    0xffffffff,0xffffffff,0xfffff35f,0x7fffffff,0x017fffec,0xfffffff7,
    0x0dffffff,0xffffffb8,0x6c40002f,0xffffffff,0x26003fff,0xffff0999,
    0x05ffffdd,0x805ffff7,0x005ffffc,0x7fffffc4,0x402fffff,0x407ffff9,
    0x986ffffc,0xfb0fffff,0x0001ffff,0x3fffff62,0x03ffffff,0x07ffffc4,
    0x2fffff80,0xfffffb00,0xd88000ff,0xffffffff,0xf9803fff,0x7d44ffff,
    0x6fffffff,0x3fffe200,0x2001ffff,0x00fffff8,0x05fffff0,0xffffff10,
    0x320003ff,0xffffffff,0x06ffffff,0x7fffffe4,0xffffffff,0x6fffff86,
    0x3fffee00,0x7fffd40f,0xffffffff,0x55ffffff,0xffffffff,0x7ec7ffff,
    0xff902fff,0xffffffff,0xc80dffff,0xffffffff,0xffa8001e,0xffffffff,
    0x400dffff,0xff2ffff8,0xffff5dff,0x5ffff70d,0x5ffffc80,0x77774400,
    0x2fffffee,0x3ffffcc0,0x9fffff30,0x1fffff30,0x05fffff5,0x3fffea00,
    0xffffffff,0xff100dff,0x3e001fff,0x8802ffff,0xffffffff,0xfff50001,
    0xffffffff,0x6c01bfff,0xfc85ffff,0xfffffeff,0xffff5001,0x4007ffff,
    0x00fffff8,0x05fffff0,0xffffff50,0xf30007ff,0xffffffff,0x0dffffff,
    0x7fffffcc,0xffffffff,0xffffb86f,0xffff001f,0xffff509f,0xffffffff,
    0x2bffffff,0xfffffff9,0x363fffff,0xf982ffff,0xffffffff,0x06ffffff,
    0x3ffffff6,0x004fffff,0x3fffffe2,0xffffffff,0x7fcc05ff,0xdffff2ff,
    0x707ffffe,0xc805ffff,0x0005ffff,0x0bffffe0,0x0fffff30,0xffffff71,
    0xfffff301,0x0bfffff3,0x3fffe200,0xffffffff,0xf105ffff,0x2001ffff,
    0x802fffff,0xfffffffa,0xff88003f,0xffffffff,0x05ffffff,0x03fffff3,
    0xfff3ffff,0x3f2007ff,0x6fffffff,0x3fffe200,0xffff000f,0xfff9005f,
    0x00dfffff,0xbffffff0,0x6db98835,0x3fffffe0,0x6dcc41ad,0xbfffff06,
    0xfffff700,0xfffff501,0xffffffff,0x7cbfffff,0xffffffff,0x3ff63fff,
    0xffff82ff,0x4c41adff,0xfff906db,0xffffffff,0xfb003dff,0x559dffff,
    0xffffffd7,0x7fffcc03,0x2edffff3,0x7dc5ffff,0x7e402fff,0x00005fff,
    0x00bffffe,0xddfffff3,0xffffffdd,0x3ffe605f,0xfffffeff,0xfffb0000,
    0xd7559dff,0x03ffffff,0x01fffff1,0x0bffffe0,0x3fffff20,0xd8006fff,
    0xacefffff,0xfffffeba,0xffffb81f,0xb7fff987,0x200dffff,0xffffffff,
    0xff1000ff,0x3e001fff,0xf802ffff,0xffffffff,0x3fe6000f,0x80004fff,
    0x04fffff9,0xffffb800,0x7fffc01f,0xdddd304f,0xdddddddd,0x49ffffff,
    0xfffffffe,0x3f63ffff,0x7fcc2fff,0x40004fff,0xadfffff9,0xffffffff,
    0x3ffe603f,0xff900eff,0x7cc0bfff,0xffff3fff,0x3ffffe2d,0x0bfffee1,
    0x0bffff90,0x7fffc000,0x7ffcc02f,0xffffffff,0x2601efff,0xffffffff,
    0xf30004ff,0x201dffff,0x85fffffc,0x00fffff8,0x05fffff0,0xfffffff0,
    0x4c001fff,0x00efffff,0x0bfffff9,0x909ffff9,0x3fea9fff,0xff9807ff,
    0xfffffdff,0xffff1002,0x3ffe001f,0x7fcc02ff,0xfffffdff,0x3ffea002,
    0xa80001ff,0x001fffff,0xbfffff00,0x7ffffdc0,0xff700000,0xffb8dfff,
    0xffffffff,0x3ffff63f,0x7ffffd42,0x7fec0001,0x3ff227ff,0x03ffffff,
    0x01dffffb,0x0fffffd8,0x27ffff30,0x3f26ffff,0x3fee4fff,0x7fe402ff,
    0x200005ff,0x402fffff,0xfffffff9,0x01cfffff,0xefffff98,0x001fffff,
    0x0effffd8,0x7ffffec0,0x7ffffc40,0xfffff000,0xffff9805,0x02fffffd,
    0x3bffff60,0x7fffec00,0x7fffec0f,0x31fffe83,0x801fffff,0xfdbffffb,
    0xf1005fff,0x2001ffff,0x402fffff,0xfdbffffb,0x32005fff,0x001fffff,
    0xfffffc80,0xff700001,0x3fe03fff,0x00004fff,0x3ffffff1,0xffffffd0,
    0x7ec7ffff,0x7fe42fff,0x40001fff,0x984ffffe,0xfffffffe,0x7ffffcc1,
    0xffff9803,0xffff504f,0x89bfffe7,0xf70fffff,0xfc805fff,0x00005fff,
    0x00bffffe,0xfffffff3,0x05ffffff,0x5fffff30,0x00dfffff,0x3fffff98,
    0xfffff980,0x7ffffc44,0xfffff000,0xffffb805,0x05ffffdb,0x7fffff30,
    0xfffff300,0x2ffffe89,0xf33fffcc,0xe803ffff,0xffb9ffff,0xff1007ff,
    0x3e001fff,0x7402ffff,0xffb9ffff,0x3ee007ff,0x0005ffff,0x5fffffb8,
    0x3ffe0000,0xfffb84ff,0xb00000ff,0x209fffff,0xfffffff8,0x3ff63fff,
    0x7ffdc2ff,0x7c0005ff,0x2e04ffff,0x46ffffff,0x00fffffb,0x0bffffd0,
    0x7d3fffea,0x7fec6fff,0xffff74ff,0xffffc805,0x3fe00005,0x7cc02fff,
    0xfdbaffff,0x402fffff,0xc8fffff9,0x004fffff,0x03ffffee,0x2fffff40,
    0x03ffffe2,0x17ffffc0,0x27ffffa0,0x007ffffb,0x01fffff7,0x17ffffa0,
    0xb85fffff,0x3fe25fff,0x3e201fff,0xfff17fff,0xff1003ff,0x3e001fff,
    0x2202ffff,0xff17ffff,0x26003fff,0x0dffffff,0x3ffe6000,0x0000dfff,
    0x0fffffb8,0x13ffffe2,0x7ffd4000,0x7f4c06ff,0x3fffffff,0x30bffff6,
    0x1bffffff,0x3fffa000,0x3fea00ff,0x3f20ffff,0x32005fff,0xf506ffff,
    0x3ffe9fff,0x7fffcc6f,0x2ffffb8f,0x2ffffe40,0xffff0000,0xfff9805f,
    0x7fffcc7f,0x7ffcc06f,0xffffd0ff,0x3ff2003f,0x3f2005ff,0x7fc46fff,
    0xff000fff,0x7c405fff,0xfff17fff,0xff9003ff,0x7e400bff,0x3fe26fff,
    0x7ff41fff,0x3fffe22f,0x3ffea02f,0x3ffffa4f,0xffff8804,0xffff000f,
    0x7ffd405f,0x3ffffa4f,0xffff1004,0x003bffff,0xffffff10,0x80003bff,
    0x2e4fffff,0x000fffff,0xfffff880,0xffd5001f,0x7ec7ffff,0x7fc42fff,
    0x1dffffff,0x7fffec00,0x7ffe405f,0x3fff62ff,0x3fee004f,0xfff507ff,
    0x1bfffe9f,0x2efffffa,0x6402ffff,0x0005ffff,0x0bffffe0,0x0fffff30,
    0x09fffff5,0x87ffffcc,0x06fffffa,0x09ffffb0,0x3ffffdc0,0x03ffffe2,
    0x17ffffc0,0x49ffff50,0x804ffffe,0x004ffffd,0x89ffffee,0x221fffff,
    0x7fc0ffff,0x3f601fff,0x3ff22fff,0xff8806ff,0xff000fff,0x7ec05fff,
    0x3ff22fff,0x3ee006ff,0xffffffff,0x3ee000be,0xffffffff,0xfb8000be,
    0xffd0ffff,0x200009ff,0x03fffffd,0xfedcb980,0x0bffff63,0x3fffffee,
    0x800befff,0xeffffffa,0xfffff300,0x27ffff47,0xfffff500,0xbffff701,
    0x2a1bfffe,0xffbeffff,0x7fe402ff,0x200005ff,0x402fffff,0xb07ffff9,
    0x201fffff,0x20fffff9,0x04fffffd,0x04ffffe8,0x3ffffea0,0x3ffffe20,
    0xfffff000,0x7fffec05,0x1bffff22,0x13ffffa0,0xfffffa80,0x5fffff10,
    0x222fffdc,0x200fffff,0x2a0fffff,0x400fffff,0x00fffff8,0x05fffff0,
    0x507ffffc,0x001fffff,0x7fffffec,0x01cfffff,0xffffffb0,0x039fffff,
    0x7ffffc40,0x0fffffab,0xfffa8000,0x000006ff,0x40bffff6,0xfffffffd,
    0x401cffff,0xfffffffd,0xfffff883,0x0fffffe2,0xfffffa80,0x5ffffb81,
    0x3e0dffff,0xfffdffff,0x7ffe402f,0x3e00005f,0x4c02ffff,0xf507ffff,
    0x2607ffff,0x220fffff,0x01ffffff,0x01fffffc,0x3fffff50,0x07ffffc4,
    0x2fffff80,0x83ffffe0,0x00fffffa,0x01fffffc,0x3fffff50,0xd17ffffc,
    0xff985fff,0x3fe607ff,0xffff86ff,0x7ffc403f,0xfff000ff,0x3fe605ff,
    0xffff86ff,0x7fdc003f,0xffffffff,0xff7003ff,0xffffffff,0x7dc007ff,
    0xfffdefff,0xf880003f,0x000fffff,0x3fff6000,0x3ffee02f,0xffffffff,
    0x3ffe203f,0x21efffff,0x11fffffb,0x005fffff,0x17ffffcc,0xfaffffdc,
    0xff706fff,0x5fffffff,0x5ffffc80,0x3ffe0000,0x7fcc02ff,0x3ffa07ff,
    0xff980fff,0x7fdc0fff,0x3e206fff,0x2002ffff,0x22fffff9,0x00fffff8,
    0x05fffff0,0x21bfffe6,0x203fffff,0x02fffff8,0x3ffffe60,0x4fffffe2,
    0x4c0ffff8,0x3206ffff,0xfd83ffff,0x7c405fff,0xf000ffff,0x3205ffff,
    0xfd83ffff,0x98005fff,0xfffffffd,0x3005ffff,0xfffffffb,0x200bffff,
    0xfffffff8,0x80000fff,0x03fffffd,0x7fec0000,0x7ecc02ff,0xffffffff,
    0x3fa205ff,0xdfffffff,0x26fffff9,0x02fffff8,0x3ffffe60,0x5ffffc81,
    0x220dffff,0xffffffff,0x7ffe402f,0x3e00005f,0x4c02ffff,0x2e07ffff,
    0x983fffff,0xe80fffff,0x104fffff,0x005fffff,0x0fffffcc,0x01fffff1,
    0x0bffffe0,0x41ffffe4,0x205ffffd,0x02fffff8,0x3ffffe60,0x53ffffa1,
    0xfa86fffa,0x3fa05fff,0xffb81fff,0x3e200fff,0xf000ffff,0x3a05ffff,
    0xfb81ffff,0x0000ffff,0xffffff93,0x4009ffff,0xffffffc9,0x7004ffff,
    0xffffffff,0xff500007,0x0000bfff,0x5ffffb00,0x3fff2600,0x4fffffff,
    0x3ffff620,0xffffffff,0x7fffc1ff,0x3fe6003f,0xffc80fff,0xdffff6ff,
    0x7ffffe40,0x55552fff,0xdffffb55,0x00555555,0x05fffff0,0x07ffff98,
    0x1fffffe2,0x03ffffe6,0x3fffffe6,0x7fffff01,0x7fffcc00,0x3fffe20f,
    0xffff000f,0x3fffa05f,0xffffb81f,0x3fffe00f,0x3fe6003f,0x3ff20fff,
    0x7fffb6ff,0x09ffffb0,0x41ffffe2,0x02fffff9,0x03ffffe2,0x17ffffc0,
    0x83ffffc4,0x02fffff9,0xfffda800,0x001fffff,0xfffffda8,0xf8801fff,
    0x0fffffff,0x7ffc4000,0x00000fff,0x2ffffd80,0xfffda800,0x401fffff,
    0xfffffffa,0xf83fffff,0x2004ffff,0x907ffffa,0x3fedffff,0x3fe206ff,
    0xb2ffffff,0xffffffff,0xffffffff,0xffff000f,0xfff9805f,0x7ffe407f,
    0x7ffcc3ff,0xfff900ff,0xfff01dff,0x7d4009ff,0x7fc47fff,0xff000fff,
    0xff105fff,0x3fe60fff,0x3fe02fff,0x2a004fff,0x7d47ffff,0xfffaffff,
    0x7fffc40f,0xffff702f,0x7ffffc0b,0x3fffe204,0xffff000f,0xffff705f,
    0x7ffffc0b,0x3a600004,0x03ffffff,0x3fffa600,0xf7003fff,0x007fffff,
    0xfffffb00,0x20000007,0x002ffffd,0x3ffffa60,0xff9003ff,0x7fffffff,
    0x13ffffa0,0x6ffffb80,0x2dffff90,0x6c06ffff,0x2fffffff,0xfffffffb,
    0xffffffff,0xfff000ff,0xff9805ff,0x7fc407ff,0x7fcc6fff,0xff100fff,
    0xfd09ffff,0x5c009fff,0x7c46ffff,0xf000ffff,0xf705ffff,0x7fc0bfff,
    0x3fa04fff,0x2e004fff,0x7c46ffff,0xfffeffff,0x6ffffc86,0x0bffff60,
    0x07ffffc8,0x03ffffe2,0x0fffffc0,0x017fffec,0x00fffff9,0xffffb000,
    0xfb0000bf,0x200bffff,0x07fffff8,0xffffa800,0x0000005f,0x00bffff6,
    0x3ffff600,0x3f62005f,0x206fffff,0x006ffffd,0x417ffff2,0xff6ffffd,
    0xff980dff,0xfb2fffff,0xffffffff,0xffffffff,0xfffff000,0xffff9805,
    0xffffd807,0x3fffe62f,0x3ffea00f,0x7fec2fff,0x3f2006ff,0x7fc45fff,
    0xff000fff,0xffb03fff,0x7fe405ff,0x3ff607ff,0x3f2006ff,0xffd85fff,
    0x44ffffff,0x02fffffb,0x3bbffffe,0xffeeeeee,0x3fe01fff,0xf8801fff,
    0xfff07fff,0xddddddff,0x3fffffdd,0xff980000,0x80006fff,0x06fffff9,
    0x17ffff20,0xffff1000,0x000001ff,0x0fffff40,0x7ffcc000,0xfb8006ff,
    0x902fffff,0x001fffff,0x413ffffe,0xff7ffffd,0xffd00dff,0x3f65ffff,
    0xffffffff,0x7fffffff,0xfffff800,0x7fffcc02,0xffffa807,0x3fffe66f,
    0x7ffec00f,0x3ff20fff,0xff000fff,0xfff09fff,0xff1003ff,0x3ffe0fff,
    0xeeeeeeff,0x1fffffee,0x1fffff90,0x3ffffe00,0xfffff884,0xfdb9afff,
    0x2a06ffff,0xffffffff,0xffffffff,0x3ffa03ff,0xff9802ff,0xfffa86ff,
    0xffffffff,0x3fffffff,0xfff80000,0xf00005ff,0x400bffff,0x005ffffc,
    0x7ffffec0,0x40000002,0x000fffff,0xbfffff00,0x3ffee000,0xfff504ff,
    0xff3007ff,0x3f605fff,0xffff7fff,0xffff500d,0x220005ff,0x8003fffe,
    0x002fffff,0x00000000,0x3ffea000,0xff9803ff,0xffe82fff,0xff9802ff,
    0xfffa86ff,0xffffffff,0x3fffffff,0x7fffff50,0xfffff300,0x3fffee05,
    0xffffffff,0x3202ffff,0xffffffff,0xffffffff,0x3ff606ff,0xffc805ff,
    0xfffc85ff,0xffffffff,0x6fffffff,0x7fc40000,0x80003fff,0x03fffff8,
    0x17ffff20,0xffffa800,0x0000005f,0x03ffffd4,0xffff8800,0x3fe0003f,
    0x3fa04fff,0x6c00efff,0x3a06ffff,0x0007ffff,0x7f400000,0xff0004ff,
    0x00005fff,0x00000000,0xeffffe80,0x7fffec00,0xbffffb06,0xbffff900,
    0xffffff90,0xffffffff,0x740dffff,0x400effff,0x406ffffd,0xfffffffc,
    0x2fffffff,0x7fffffc0,0xffffffff,0x00ffffff,0x03fffff9,0x1fffffc4,
    0x7ffffffc,0xffffffff,0x900fffff,0x7ff40015,0x05641fff,0xfffffd00,
    0x7ffe4003,0xff10005f,0x0001ffff,0xe880be60,0xac85ffff,0x3fffa000,
    0x400221ff,0x01fffffa,0x3bffffee,0xfffffb00,0x7ffff405,0x00000007,
    0x01ffff20,0x2fffff80,0x33322000,0x9100002c,0x70005999,0x01dfffff,
    0x0bfffff6,0x0fffffe4,0x7fffff10,0xfffffff0,0xffffffff,0x201fffff,
    0x0efffffb,0x5fffffb0,0xfffff900,0x1dffffff,0xeffff980,0xaaaaaaaa,
    0x2fffffba,0xffffff10,0xffffa817,0xffff986f,0xaaaaaaae,0xfffffbaa,
    0x79dffd02,0xff953335,0xfd0fffff,0x333579df,0xffffff95,0xfffc800f,
    0xffb0005f,0x00005fff,0x4d5f7ff4,0xffffffb9,0xbceffe81,0xffca999a,
    0x7e47ffff,0x7dcc19bd,0x200fffff,0xeffffff8,0xfffecaac,0x665c06ff,
    0xcc8804cc,0x800002cc,0x0004ffff,0x00bffffe,0x2ffffa80,0xfff50000,
    0xff10005f,0x559dffff,0xdfffffd9,0x7ffffc40,0x7ffd40bf,0xfff986ff,
    0xaaaaaaef,0xffffbaaa,0xffff102f,0xd9559dff,0x00dfffff,0x3fffffe6,
    0x7003efff,0x4009ffff,0x205fffff,0xfffffffc,0xffffffff,0xffffb81f,
    0x3fffe004,0xffffd05f,0xffffffff,0xd03fffff,0xffffffff,0xffffffff,
    0xffc8003f,0xfa8005ff,0xeeefffff,0xeeeeeeee,0xffff905e,0xffffffff,
    0x3ffa07ff,0xffffffff,0x1fffffff,0x7fffffe4,0xffffffff,0xfffc804f,
    0xffffffff,0x001fffff,0xffff5000,0xf8800005,0x20005fff,0x002fffff,
    0x01ffff20,0x7fffc800,0x3fff2000,0xffffffff,0x401fffff,0xfffffffc,
    0xffffffff,0xffffb81f,0x3fffe004,0x3fff205f,0xffffffff,0x001fffff,
    0x5559fff9,0xfffb0003,0x7fec005f,0x3fe207ff,0xffffffff,0xb04fffff,
    0x4005ffff,0xd07ffffd,0xffffffff,0xffffffff,0x3ffffa05,0xffffffff,
    0x8002ffff,0x005ffffc,0xffffffd8,0xffffffff,0xfb07ffff,0xffffffff,
    0x740bffff,0xffffffff,0xffffffff,0xfffffc82,0xffffffff,0x3fee004f,
    0xffffffff,0x0002ffff,0x1ffff200,0x3fe20000,0xe84eefff,0xffffffff,
    0xffffffff,0xfffe805f,0x3fa00005,0x5c0005ff,0xffffffff,0x02ffffff,
    0xffffff88,0xffffffff,0xffffb04f,0x7ffec005,0x7ffdc07f,0xffffffff,
    0x3a002fff,0x40001fff,0x007ffff8,0x0fffffdc,0xfffffb10,0x5fffffff,
    0x1ffffe20,0xfffff700,0xfffffd03,0xffffffff,0x7ff405df,0xffffffff,
    0x002effff,0x0bffff90,0xfffffb00,0xffffffff,0x40ffffff,0xffffffea,
    0x7402efff,0xffffffff,0x2effffff,0xffffff90,0x7fffffff,0xffff5000,
    0xdfffffff,0xe8000001,0x00005fff,0xffffffd0,0xfffffd0d,0xffffffff,
    0xf00bffff,0x00005fff,0x0017fffc,0x7ffffd40,0x0effffff,0x3fff6200,
    0xffffffff,0xffff102f,0xfffb800f,0x7fd401ff,0xffffffff,0x3e6000ef,
    0xa80007ff,0x4005ffff,0x04fffff8,0xfffffea8,0x2a00cfff,0x4005ffff,
    0x84fffff8,0xfffffeda,0x02dfffff,0xffffeda8,0x2dffffff,0x7ffe4000,
    0xffd8005f,0xffffffff,0xffffffff,0xffdca807,0xb5003cee,0xfffffffd,
    0x8805bfff,0xffffedca,0x40002def,0xfffffec8,0x000003ef,0x005ffff0,
    0x3ffa2000,0xffe86fff,0xffffffff,0x5fffffff,0x07fffcc0,0xfff98000,
    0x9100000f,0xdffffffd,0x7f540007,0xcfffffff,0x3fffea00,0x7ffc4005,
    0xec8804ff,0x3effffff,0x4fffb800,0xfffc8000,0xffe8003f,0x4c4006ff,
    0xf90009aa,0xd0007fff,0x880dffff,0x09aaaaa9,0x2aa62000,0x00009aaa,
    0x17ffff20,0x3ffff600,0xffffffff,0x07ffffff,0x31000000,0x01355555,
    0x00000000,0x000d54c0,0x3fe60000,0x000000ff,0x40de6e54,0xfffffffe,
    0xffffffff,0x774c05ff,0x2600004e,0x00004eee,0x0006aa60,0x26aa6200,
    0xffff9000,0xfffd0007,0x553000df,0xccb80003,0x0000001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeee98000,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0x00bcddcb,0x00003530,0x5ffffff9,0x98000000,0x0dffffff,
    0xffffb800,0x7d400005,0x3f65ffff,0x400dffff,0x99999999,0x80009999,
    0x004c0098,0x0000d4c0,0xffff9800,0x000004ff,0x06ee2000,0x00000000,
    0x0006ee20,0x77fffcc0,0xffb80000,0x000005ff,0x7ffe4000,0x00002fff,
    0x3fffe600,0x4c000dff,0x000effff,0x44000980,0x0004c009,0xfffffa80,
    0x36201fff,0xd83effff,0xffff3003,0x000005ff,0x3ffffe60,0xff70003f,
    0x000bffff,0x3ffffea0,0x3fffff63,0xffff8802,0xffffffff,0x7ffe4002,
    0x05ffe881,0xeffffd88,0x80003d83,0x2ffffff9,0x85fff880,0x8001fffc,
    0x003ffff9,0xc85fff88,0x98001fff,0x0003ffff,0x7fffffcc,0x3ee0001f,
    0x005fffff,0x3217ffe2,0x4c001fff,0x02ffffff,0xff980000,0x8003ffff,
    0xfffffff9,0xfff70001,0xfff9001b,0x0bffd103,0xffffd800,0x201fffff,
    0xfffffffd,0x04ffd9be,0xfffffb10,0x88000005,0x01efffff,0xfffff900,
    0x0001dfff,0x0f7fffd4,0x01bffffb,0x3ffffe20,0x2fffffff,0x3fffe600,
    0x3ffffd87,0x7ffffec0,0xffd9beff,0x3fe60004,0x2000dfff,0xb88bffff,
    0x8000ffff,0x00fffffe,0x8bffff80,0x00ffffb8,0xfffffe80,0xfff30000,
    0x03ffffff,0xfffff900,0x2001dfff,0xb88bffff,0x8000ffff,0x2fffffd8,
    0x3e200000,0x001effff,0xffffff98,0x54001fff,0x405fffff,0xd87ffff9,
    0x0003ffff,0xfffffff7,0x3f203fff,0xffffffff,0x006fffff,0x17ffffdc,
    0xff880000,0x20004fff,0xe9affffc,0x8000efff,0x20dffff9,0x003ffffd,
    0x7fffffc4,0x02ffffff,0x3ffffee0,0x2fffffc1,0xffffff90,0xffffffff,
    0x3fe6000d,0xb8003fff,0xffffffff,0xf88004ff,0x002fffff,0xffffffb8,
    0x8004ffff,0x2ffffff8,0xffffa800,0x1ffffd8c,0x3ffff200,0x0efffe9a,
    0xfffffb80,0x004fffff,0x7ffffdc0,0xf8800002,0x0004ffff,0xb19ffff5,
    0x4003ffff,0x0ffffffd,0x3ffffee0,0x2fffffc1,0x7fffcc00,0x1dcbcfff,
    0xb55dff50,0xdfffffff,0xffd30001,0x800003ff,0x02fffff8,0x3bfff200,
    0x3bfff620,0x3ffe6000,0x3fff624f,0xcc88001e,0xcccccccc,0x3ea001cc,
    0x7f40ffff,0x3ea04fff,0xfffdaaef,0x000effff,0x1effff98,0x3fffa000,
    0x00efffff,0xffffff00,0x3ffa0003,0x0effffff,0xfffff000,0xffa8003f,
    0x7ffdc2ff,0xfffc801f,0x3fff620e,0xfffe800e,0x00efffff,0xfffe9800,
    0x2200001f,0x002fffff,0x85ffff50,0x001ffffb,0x1ffffffb,0x7ffffd40,
    0x27ffff40,0x7fffe400,0x0ea8002f,0x77ffff54,0x00000001,0x00000000,
    0x00000000,0x00000000,0x9fffd000,0x01ffff50,0x7f540ea8,0x0001efff,
    0x7dc00000,0x003fffff,0x2ffffdc0,0x3ffee000,0x40003fff,0x005ffffb,
    0x00000000,0x7fdc0000,0x0003ffff,0x00000000,0x00000000,0x7fffdc00,
    0xfffe806f,0x0ffffa84,0xffffe800,0x53000005,0x00000015,0x00000000,
    0x00000000,0x00000000,0x39500000,0x0005dcc0,0x000554c0,0x20000000,
    0x00000a98,0x0000fb6a,0x0000a988,0x000fb6a0,0x00000000,0xa9880000,
    0x00000000,0x00000000,0x20000000,0x001efffd,0x5dcc0395,0xfff88000,
    0x000002ff,0x2a600000,0x800000ab,0x0000aba9,0x00aba980,0x00000000,
    0x055d4c00,0x00000000,0x00000000,0x006aaaa6,0x00000000,0x00000000,
    0x00000000,0x026aeea2,0x00000000,0x00000000,0x00000000,0x2aaa6000,
    0x5750001a,0x00000001,0x7ffffa80,0x00000000,0xffffeb80,0x0002dfff,
    0x3fffffae,0x20002dff,0xffffffeb,0xff8802df,0xff000fff,0xb8005fff,
    0xfffffffe,0x0000002d,0x00000000,0xffffedb8,0x002dffff,0x00000000,
    0x00000000,0x93000000,0xfffffffd,0x3e207bff,0xffffffff,0x03ffffff,
    0xf8800000,0xf000ffff,0x7c45ffff,0xf000ffff,0x2005ffff,0xfffffedb,
    0x0002dfff,0x00000000,0x0bffff70,0xffffff80,0xffffb805,0x3fff6202,
    0xffffffff,0x7fec4003,0xffffffff,0x7ec4003f,0xffffffff,0x7fc403ff,
    0xff000fff,0x22005fff,0xfffffffd,0x2003ffff,0xffffffff,0xffffffff,
    0xfffffd86,0xffffffff,0xe9807fff,0xffffffff,0x3e04ffff,0xffffffff,
    0x6fffffff,0xfffffff0,0xffffffff,0xffffb0df,0xffffffff,0xfb0fffff,
    0xffffffff,0xffffffff,0xfffffc80,0xffffffff,0xffff880f,0xffffffff,
    0xfb003fff,0x00ffffff,0x0fffff88,0x5fffff00,0x07ffffc4,0x2fffff80,
    0x7ffff4c0,0xffffffff,0x33331004,0xfffffd80,0xffffffff,0x32007fff,
    0x4004ffff,0x1fffffff,0x17fffdc0,0xffffffa8,0xffffffff,0xfffa800d,
    0xffffffff,0xa800dfff,0xffffffff,0x0dffffff,0x1fffff10,0x3ffffe00,
    0xffffa802,0xffffffff,0xff800dff,0xffffffff,0x86ffffff,0xfffffffd,
    0xffffffff,0x7ffdc07f,0xffffffff,0x3fe04fff,0xffffffff,0x06ffffff,
    0xffffffff,0xffffffff,0xfffffb0d,0xffffffff,0xffb0ffff,0xffffffff,
    0x0fffffff,0x3fffffa6,0xffffffff,0xfff880ff,0xffffffff,0x8803ffff,
    0xffffffff,0x3ffe2001,0xfff000ff,0x7ffc45ff,0xfff000ff,0x7fdc05ff,
    0xffffffff,0x7004ffff,0xfd80ffff,0xffffffff,0x7fffffff,0x3ffff600,
    0x7fffc003,0x7dc04fff,0xff882fff,0xffffffff,0x05ffffff,0x7fffffc4,
    0xffffffff,0x7fc405ff,0xffffffff,0x05ffffff,0x01fffff1,0x0bffffe0,
    0xffffff10,0xffffffff,0xfff00bff,0xffffffff,0xb0dfffff,0xffffffff,
    0xffffffff,0x7fffec0f,0xffffffff,0x3fe04fff,0xffffffff,0x06ffffff,
    0xffffffff,0xffffffff,0xfffffb0d,0xffffffff,0xffb0ffff,0xffffffff,
    0x0fffffff,0xfffffff5,0xffffffff,0xfff101ff,0xffffffff,0x5007ffff,
    0xffffffff,0x7ffc4007,0xfff000ff,0x7ffc45ff,0xfff000ff,0x3ff605ff,
    0xffffffff,0x004fffff,0xd80ffff9,0xffffffff,0xffffffff,0x3fffa007,
    0x7ffc002f,0x200fffff,0xd82ffffb,0xacefffff,0xfffffeba,0x3fff601f,
    0xebaaceff,0x01ffffff,0x3bfffff6,0xfffebaac,0xff881fff,0xff000fff,
    0xfd805fff,0xaaceffff,0xffffffeb,0x7ffffc01,0xffffffff,0xffd86fff,
    0xffffffff,0x07ffffff,0xfffffff5,0xfb75357b,0x7fffc09f,0xffffffff,
    0xff06ffff,0xffffffff,0x0dffffff,0xfffffffb,0xffffffff,0xffffb0ff,
    0xffffffff,0xf88fffff,0xceffffff,0xffcba99a,0x3333300f,0xfff33333,
    0xff9007ff,0x0dffffff,0x7ffffc40,0xfffff000,0x7ffffc45,0xfffff000,
    0xfffff505,0x75357bff,0x32009ffb,0x3600ffff,0xffffffff,0xffffffff,
    0x55555447,0xacfffffa,0xf80aaaaa,0x4fffffff,0x0bfffee0,0x1dfffff3,
    0x3fffff20,0xfffff305,0x3fff201d,0xfff305ff,0x3f201dff,0xf885ffff,
    0xf000ffff,0x4c05ffff,0x00efffff,0x0bfffff9,0xacfffff8,0xaaaaaaaa,
    0x9999882a,0x9effffd9,0xfd019999,0x801dffff,0x3ffe02a8,0xaaaaacff,
    0xf02aaaaa,0x5559ffff,0x55555555,0xb3333310,0x333dffff,0x33310333,
    0xdffffb33,0xc8333333,0x02ffffff,0x80001b50,0x803fffff,0xffffffff,
    0xff1000ff,0x3e001fff,0x3e22ffff,0xf000ffff,0xfd05ffff,0x801dffff,
    0xffb002a8,0x4cc401ff,0xffffd999,0x4199999e,0xfffffff9,0xffffffff,
    0xfff81fff,0x00ffffff,0xd85ffff7,0x400effff,0x80fffffd,0x00effffd,
    0x07ffffec,0x077fffec,0x3fffff60,0x7ffffc40,0xfffff000,0x7fffec05,
    0x7ffec00e,0x3ffe00ff,0x000002ff,0x00bffff9,0x6fffffdc,0xfff00000,
    0xf00005ff,0x0005ffff,0x3ffff200,0xffc80005,0xff8805ff,0x0001efff,
    0xffff8000,0x7ffcc03f,0x2fffffdf,0xfffff100,0x3fffe001,0x3fffe22f,
    0xffff000f,0xffffb85f,0x500000df,0x1fffffd9,0xffff9000,0x3ffe600b,
    0xffffffff,0x1fffffff,0xfffffff8,0xfff703ff,0x7fffcc5f,0xfff9803f,
    0x7ffcc4ff,0xff9803ff,0x7fcc4fff,0xf9803fff,0x7c44ffff,0xf000ffff,
    0x2605ffff,0x803fffff,0x04fffff9,0x00bffffe,0x7ffe4000,0xfff1005f,
    0x00001fff,0x017ffffc,0x7ffffc00,0xf9000002,0x0000bfff,0x00bffff9,
    0x05fffffb,0x3e000000,0x5c03ffff,0xffdbffff,0xff1005ff,0x3e001fff,
    0x3e22ffff,0xf000ffff,0x7c45ffff,0x000fffff,0xffffe880,0x8001ffff,
    0x005ffffc,0xfffffff3,0xffffffff,0xfff03fff,0x0dffffff,0xb8bfffee,
    0x000fffff,0xb8bffffd,0x000fffff,0xb8bffffd,0x000fffff,0x88bffffd,
    0x000fffff,0x205fffff,0x00fffffb,0x0bffffd0,0x017ffffc,0xfffc8000,
    0xfff5005f,0x800009ff,0x002fffff,0x2fffff80,0xff900000,0x90000bff,
    0x880bffff,0x006fffff,0x3fe00000,0x7f403fff,0xfffb9fff,0xfff1007f,
    0x3fe001ff,0x3fe22fff,0xff000fff,0x7fd45fff,0x80004fff,0xfffffffa,
    0xc8001fff,0x1005ffff,0xffdddddd,0xdddddfff,0xffff01dd,0x05ffffdd,
    0x645ffff7,0x2005ffff,0x646ffffc,0x2005ffff,0x646ffffc,0x2005ffff,
    0x446ffffc,0x000fffff,0x205fffff,0x005ffffc,0x81bffff2,0x002fffff,
    0xffff9000,0x3ffee00b,0x400001ff,0x002fffff,0x2fffff80,0xff900000,
    0x90000bff,0x980bffff,0x002fffff,0x3fe00000,0x3e203fff,0xfff17fff,
    0xff1003ff,0x3e001fff,0x3e22ffff,0xf000ffff,0x7dc5ffff,0x0001ffff,
    0x7fffffc4,0x002fffff,0x05ffffc8,0x7fffe400,0xffff8005,0x86ffffae,
    0x362ffffb,0x2004ffff,0x6c7ffffb,0x2004ffff,0x6c7ffffb,0x2004ffff,
    0x447ffffb,0x000fffff,0x205fffff,0x004ffffd,0x81ffffee,0x002fffff,
    0xffff9000,0x3fff200b,0xf800007f,0x0002ffff,0x02fffff8,0xfff90000,
    0xf90000bf,0xfa80bfff,0x0000ffff,0x3ffe0000,0x3fea03ff,0x3fffa4ff,
    0xfff8804f,0xfff000ff,0x7ffc45ff,0xfff000ff,0x7ffe45ff,0xfc80007f,
    0x009effff,0xffffc800,0x7fe40005,0xff8004ff,0xfffff6ff,0x2ffffb83,
    0x013ffffa,0x0fffffa8,0x013ffffa,0x0fffffa8,0x013ffffa,0x0fffffa8,
    0x03ffffe2,0x17ffffc0,0x04ffffe8,0x3ffffea0,0x5fffff00,0x3f200000,
    0xfd005fff,0x0000dfff,0x05fffff0,0xfffff000,0x32000005,0x0005ffff,
    0x05ffffc8,0x83ffffe4,0x99999998,0xff800019,0x3f603fff,0x3ff22fff,
    0xff8806ff,0xff000fff,0x7fc45fff,0xff000fff,0x7ff45fff,0xf80006ff,
    0x0006ffff,0x2ffffe40,0x3fff6000,0xfff8003f,0xbffff76f,0x22ffffb8,
    0x003fffff,0x87ffffea,0x003fffff,0x87ffffea,0x003fffff,0x87ffffea,
    0x00fffff8,0x05fffff0,0x00fffffe,0x1fffffa8,0x9bfffff0,0x99999999,
    0x7fe40039,0xfff005ff,0x00000bff,0x99bfffff,0x99999999,0x3ffffe03,
    0xcccccccd,0x32001ccc,0x0005ffff,0x05ffffc8,0x837fffec,0xfffffffd,
    0x7c0001ff,0x3e03ffff,0x3ea0ffff,0x4400ffff,0x000fffff,0x445fffff,
    0x000fffff,0x7c5fffff,0x0005ffff,0x1fffffcc,0x3ff20000,0x740005ff,
    0x8002ffff,0xff16ffff,0x7fdc3fff,0xffff12ff,0x7fcc005f,0xfff12fff,
    0x7cc005ff,0xff12ffff,0x4c005fff,0x222fffff,0x000fffff,0x105fffff,
    0x005fffff,0x17ffffcc,0xfffffff8,0xffffffff,0x3ff2002f,0xff8805ff,
    0x00004fff,0xfffffff8,0xffffffff,0xfffff02f,0xffffffff,0x64005fff,
    0x0005ffff,0x05ffffc8,0x82fffff4,0xfffffffd,0x7c0001ff,0xf303ffff,
    0xfff0dfff,0xff8807ff,0xff000fff,0x7fc45fff,0xff000fff,0x3fe25fff,
    0x40004fff,0x01fffffa,0x7ffe4000,0x7fc0005f,0xf8001fff,0x3ff26fff,
    0x3ffee4ff,0xfffff12f,0x7ffcc005,0xffff11ff,0x7fcc005f,0xfff11fff,
    0x7cc005ff,0x3e21ffff,0xf000ffff,0xf105ffff,0x4005ffff,0x01fffff9,
    0xffffffff,0xffffffff,0x7ffe4005,0xfff9805f,0x800004ff,0xffffffff,
    0xffffffff,0xffffff02,0xffffffff,0x7e4005ff,0x80005fff,0x405ffffc,
    0xb04fffff,0xffffffff,0xff80003f,0xff903fff,0xfffb07ff,0xfff880bf,
    0xfff000ff,0x7ffc45ff,0xfff000ff,0x3ffe65ff,0x5c0004ff,0x002fffff,
    0x7fffe400,0x3fe20005,0xf8000fff,0x3fe26fff,0xfff70fff,0x7ffffc5f,
    0x3ffe6003,0x3fffe0ff,0x3fe6003f,0x3ffe0fff,0x3e6003ff,0x3e20ffff,
    0xf000ffff,0x3e05ffff,0x2003ffff,0x00fffff9,0xffffffff,0xffffffff,
    0x7ffe4005,0xfff8805f,0x800005ff,0xffffffff,0xffffffff,0xffffff02,
    0xffffffff,0x7e4005ff,0x80005fff,0x405ffffc,0xb05ffffe,0xffffffff,
    0xff80003f,0xffd03fff,0xfff703ff,0x7fc401ff,0xff000fff,0x7fc45fff,
    0xff000fff,0x3fe25fff,0x40005fff,0x04fffff9,0x7ffe4000,0x3e60005f,
    0xf0007fff,0xffd8dfff,0xffff74ff,0x27ffffc5,0xfffff500,0x04fffff8,
    0x1ffffea0,0x009fffff,0x23ffffd4,0x00fffff8,0x05fffff0,0x013ffffe,
    0x07ffffa8,0x3bbffffe,0xeeeeeeee,0x3ff2001e,0xfff005ff,0x00000dff,
    0xdddfffff,0xdddddddd,0x3ffffe03,0xeeeeeeee,0x32001eee,0x0005ffff,
    0x05ffffc8,0x837fffec,0xfff99998,0x7c0001ff,0xf883ffff,0xff307fff,
    0x7c405fff,0xf000ffff,0x7c45ffff,0xf000ffff,0x7fc5ffff,0x80006fff,
    0x02ffffff,0x3fff2000,0x3ea0005f,0xf0006fff,0xff98dfff,0xfffb8fff,
    0x3ffffa2f,0x3ffee004,0x7ffff46f,0x3ffee004,0x7ffff46f,0x3ffee004,
    0x7fffc46f,0xffff000f,0x3fffa05f,0x3fee004f,0x3ffe06ff,0x000002ff,
    0x00bffff9,0x01fffffa,0x3fffe000,0xff80002f,0x00002fff,0x0bffff90,
    0xffff9000,0xffffc80b,0x3fffe007,0x7fc0001f,0xffb83fff,0x3ffe05ff,
    0x3fe204ff,0xff000fff,0x7fc45fff,0xff000fff,0x7ff45fff,0xd80007ff,
    0x0cffffff,0xfffc8000,0x3ee0005f,0xf0005fff,0xffd0dfff,0xffff77ff,
    0x37fffec5,0xbffff900,0x06ffffd8,0x17ffff20,0x00dffffb,0x22ffffe4,
    0x00fffff8,0x03fffff0,0x01bffff6,0x05ffffc8,0x00bffffe,0x7ffe4000,
    0xfffb005f,0x800001ff,0x002fffff,0x2fffff80,0xff900000,0x90000bff,
    0xa80bffff,0x001fffff,0x003fffff,0x3fffff80,0x02ffffd8,0x81fffff2,
    0x00fffff8,0x43fffff0,0x00fffff8,0x43fffff0,0x00fffffd,0x7fff4400,
    0xabcdffff,0x3ff2000a,0x320005ff,0x0004ffff,0xf50dffff,0xfff7dfff,
    0x7fffe45f,0xffff000f,0xffffc89f,0xffff000f,0xffffc89f,0xffff000f,
    0xfffff09f,0xffff1003,0x7fffe40f,0xffff000f,0x7fffc09f,0x9000002f,
    0x200bffff,0x04fffffc,0x7fffc000,0xff80002f,0x00002fff,0x0bffff90,
    0xffff9000,0xffff980b,0xffff004f,0xff80003f,0xfff82fff,0xeeeeeeff,
    0x1fffffee,0x07ffffe0,0x1ffffe20,0x007ffffe,0x91ffffe2,0x009fffff,
    0xfffff300,0x1fffffff,0x7fffe400,0x3ffe0005,0xff0002ff,0x3ffe0dff,
    0x2ffffdff,0x0fffffea,0x3ffffe60,0x7ffffd42,0xffff9803,0x7fffd42f,
    0xfff9803f,0xfffe82ff,0xfff9802f,0x3ffea06f,0xff9803ff,0x3fe02fff,
    0x00002fff,0x0bffff90,0x3ffffea0,0x3e00000f,0x0002ffff,0x02fffff8,
    0xfff90000,0xf90000bf,0xf880bfff,0x800fffff,0x001fffff,0x3ffffe20,
    0x7ffffd41,0xffffffff,0x203fffff,0x802ffffe,0xe86ffff9,0x9802ffff,
    0x7d46ffff,0x000fffff,0xfffffa80,0x00ffffff,0x17ffff20,0x7fffd400,
    0xfff0000f,0x3ffee0df,0x42ffffff,0x00effffe,0x837fffec,0x00effffe,
    0x837fffec,0x00effffe,0x837fffec,0x805ffffd,0x405ffffc,0x00effffe,
    0x037fffec,0x00bffffe,0x7ffe4000,0x3ffa005f,0x0000dfff,0x05fffff0,
    0xfffff000,0x32000005,0x0005ffff,0x05ffffc8,0x5fffffb8,0x1fffff80,
    0x3ffee000,0x7ffe40ff,0xffffffff,0x6fffffff,0x17ffff60,0x17ffff20,
    0x017ffff6,0x217ffff2,0x0dfffffe,0xffc88000,0x0fffffff,0x3ffff200,
    0xfffb0005,0x7fc000df,0xfff106ff,0x85ffffff,0x0efffffb,0x5fffffb0,
    0x3ffffee0,0xffffb00e,0x3ffee05f,0xffb00eff,0x3f205fff,0x2201ffff,
    0x403fffff,0x0efffffb,0x5fffffb0,0x2fffff80,0xff900000,0x7cc00bff,
    0x01efffff,0xfff01e4c,0xf00005ff,0x0005ffff,0x3ffff200,0xffc80005,
    0xfff005ff,0x7c01dfff,0xc981ffff,0x3fffe200,0xfffff87f,0xffffffff,
    0x0fffffff,0x3fffff90,0x7ffffc40,0xfffffc83,0x3fffe201,0xffff983f,
    0x64c01eff,0x7ff64403,0x2000ffff,0x405ffffc,0xfffc999a,0x20004fff,
    0x3206ffff,0xffffffff,0x7ffffc42,0xfecaacef,0x2206ffff,0xceffffff,
    0xffffecaa,0x3ffe206f,0xcaacefff,0x06fffffe,0x3fffffe2,0x7fffd40b,
    0xfff8806f,0xcaacefff,0x06fffffe,0x02fffff8,0xfff90000,0xffd800bf,
    0xbcefffff,0x04ffedba,0x00bffffe,0x3ffffe00,0xf9000002,0x0000bfff,
    0x00bffff9,0x3fffffea,0xfba9acdf,0xf981ffff,0xff510acf,0xf989ffff,
    0xaaaaefff,0xffbaaaaa,0xff102fff,0xa817ffff,0x106fffff,0x17ffffff,
    0x6fffffa8,0x3fffff60,0xdbabceff,0x44004ffe,0x2000cba9,0x405ffffc,
    0xfffffffe,0x7c0006ff,0x3e206fff,0x2fffffff,0xffffffc8,0xffffffff,
    0x7fe401ff,0xffffffff,0x01ffffff,0x7fffffe4,0xffffffff,0x7fe401ff,
    0xffffffff,0x01ffffff,0xffffff90,0xffffffff,0xfff003ff,0x555559ff,
    0x50555555,0xffb55555,0x55555dff,0x3fffe605,0xffffffff,0x3e04ffff,
    0xaaacffff,0x2aaaaaaa,0x59fffff0,0x55555555,0x55555055,0x5dffffb5,
    0x55055555,0xfffb5555,0x555555df,0xffffffd0,0xffffffff,0xff303fff,
    0xffffffff,0xfb81dfff,0x3e004fff,0x3205ffff,0xffffffff,0xffffffff,
    0x3ffff201,0xffffffff,0x2601ffff,0xffffffff,0xffffffff,0x55000004,
    0xfffb5555,0x555555df,0x3ffffffa,0x40001fff,0x6c06ffff,0x2fffffff,
    0xffffff70,0xffffffff,0x3ffee005,0xffffffff,0xf7002fff,0xffffffff,
    0x005fffff,0xfffffff1,0xffffffff,0xfffb8009,0xffffffff,0xff002fff,
    0xffffffff,0x0dffffff,0xfffffffb,0xffffffff,0x7ff4c0ff,0xffffffff,
    0x3e04ffff,0xffffffff,0x6fffffff,0xfffffff0,0xffffffff,0xffffb0df,
    0xffffffff,0xfb0fffff,0xffffffff,0xffffffff,0xfffff910,0xffffffff,
    0xff303fff,0xffffffff,0xffb05fff,0x7ec005ff,0x3e207fff,0xffffffff,
    0x04ffffff,0x7fffffc4,0xffffffff,0xffe9804f,0xffffffff,0x3554ffff,
    0xffb00001,0xffffffff,0x2fffffff,0xfffffffe,0xff80001e,0x7fcc06ff,
    0x202fffff,0xfffffffa,0x000effff,0x7fffffd4,0x00efffff,0x7ffffd40,
    0x0effffff,0x3fff6200,0xffffffff,0xff50002f,0xffffffff,0x7fc001df,
    0xffffffff,0x86ffffff,0xfffffffd,0xffffffff,0xfffb807f,0xffffffff,
    0x3ffe04ff,0xffffffff,0xf06fffff,0xffffffff,0xdfffffff,0xffffffb0,
    0xffffffff,0xfffb0fff,0xffffffff,0x40ffffff,0xfffffffa,0xffffffff,
    0xfffff980,0x1effffff,0x07ffff88,0x7ffffdc0,0x3fff6201,0xffffffff,
    0xffb1002f,0xffffffff,0xfb8005ff,0xffffffff,0xfff4ffff,0x00079dff,
    0xfffffffb,0xffffffff,0x3fffb2ff,0x200002ce,0xe806ffff,0x02ffffff,
    0x7ffff644,0x20003eff,0xfffffec8,0x220003ef,0xffffffec,0x3aa0003e,
    0xffffffff,0x6440000c,0xeffffffe,0xffff8003,0xffffffff,0xfd86ffff,
    0xffffffff,0x7fffffff,0xfffb9300,0x037dffff,0xfffffff8,0xffffffff,
    0xfffff06f,0xffffffff,0xffb0dfff,0xffffffff,0x0fffffff,0xfffffffb,
    0xffffffff,0xfec880ff,0xffffffff,0x7fe4c01c,0x03efffff,0x017fffea,
    0x9fffff10,0xffffd500,0x0019ffff,0xfffffd50,0x00019fff,0x3ffff726,
    0x3e1befff,0xffffffff,0x3fff6003,0xffffffff,0x007fffff,0x7ffc0000,
    0xfffa806f,0x4c002fff,0x000001aa,0x00003553,0x0006aa60,0x26aa6200,
    0x26000000,0x7c0001aa,0xffffffff,0x6fffffff,0xffffffd8,0xffffffff,
    0x310007ff,0xff800335,0xffffffff,0x06ffffff,0xffffffff,0xffffffff,
    0xfffffb0d,0xffffffff,0xffb0ffff,0xffffffff,0x0fffffff,0x9aaaa880,
    0x55310000,0x3fff2003,0xffe8003f,0x4c4006ff,0x000009aa,0x0026aa62,
    0x26a62000,0x3ffffe01,0x02efffff,0xffffffd8,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff8,0x001fffff,0x5c000000,0x0005ffff,
    0x907bfff2,0x0003ffff,0xfffff980,0x3ee000df,0x32005fff,0x02ffffff,
    0xff980000,0x200dffff,0x2ffffffc,0xf9800000,0x00dfffff,0x35555300,
    0x3fe60000,0x000dffff,0x02ffffdc,0x7ffffe40,0x4000002f,0x09aacba9,
    0x3bfff600,0x077ffec0,0xffe88000,0xa880efff,0x00001aaa,0xbffff700,
    0xffb80000,0x980005ff,0x99999999,0x80000999,0xdffffff9,0xffdd9990,
    0x01ffffff,0x85ffff70,0x002ffffb,0x3fffffee,0x3ff20005,0xfffd8bff,
    0x4c00000e,0x03ffffff,0x7ffffdc0,0x3fe6005f,0x0002ffff,0x3fffe600,
    0xff3003ff,0x0005ffff,0x7fffcc00,0x6dc003ff,0xfffffffe,0xf30002df,
    0x007fffff,0xffffff70,0xfff3000b,0x00005fff,0xffffffb8,0x004fffff,
    0xd15ffffb,0x0001dfff,0x3ffffa20,0x3ffe203f,0x8000007f,0x5ffffffb,
    0xfff70000,0x4000bfff,0xfffffff8,0x002fffff,0x7ffffcc0,0xffd9803f,
    0x5006ffff,0xfb19ffff,0x64003fff,0xffffffff,0xff70000e,0x1dffffff,
    0xff880000,0x4001efff,0xfffffffc,0xfb1000ef,0x0005ffff,0xfffff100,
    0xfd88003d,0x0002ffff,0xfffff880,0x3fa6001e,0xffffffff,0x88004fff,
    0x01efffff,0xfffffc80,0x4000efff,0x2fffffd8,0xfffb8000,0xffffffff,
    0x3f2006ff,0xefffffff,0xfd100000,0x9003ffff,0x0005ffff,0x7fffe400,
    0x000effff,0x3fffff20,0x8000efff,0xfffffff8,0x002fffff,0x3ffffe20,
    0x7fd4001e,0x5000ffff,0xffffffff,0x7fe4003f,0xfffe9aff,0xff70000e,
    0x001dffff,0xffff8800,0xffc8004f,0xfffe9aff,0x3fee000e,0x00002fff,
    0x13ffffe2,0xffff7000,0x4400005f,0x004fffff,0x7fffffdc,0xffffffff,
    0x7ffc4004,0xf90004ff,0xffd35fff,0xf70001df,0x0005ffff,0x7fffffe4,
    0xffffffff,0x7ffe4006,0x00005fff,0x37ffffa2,0xffff3000,0x3200000d,
    0xfe9affff,0xc8000eff,0xfe9affff,0x44000eff,0xffffffff,0x0002ffff,
    0x09fffff1,0x7fffe400,0x3fea002f,0x001fffff,0x883bfff2,0x000efffd,
    0x1dffff50,0xff880000,0xc8002fff,0x3620efff,0x2000efff,0x01ffffe9,
    0xffff8800,0xd300002f,0x0003ffff,0x5fffff10,0xffffd800,0xffffffff,
    0x22004fff,0x002fffff,0x41dfff90,0x00efffd8,0xffffe980,0xfff98001,
    0xffffffff,0x8006ffff,0x005ffffc,0x3fffa200,0xffe8003f,0x400001ff,
    0x220efffc,0x000efffd,0x883bfff2,0x000efffd,0x33333322,0x01cccccc,
    0xfffff880,0x7fcc0002,0x4c004fff,0x000effff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0xdfffffff,0xffdba9ab,
    0x00000004,0x00000000,0xffff8000,0x4c41adff,0x000006db,0x00000000,
    0x02ffffd4,0x00000000,0x00000000,0x00000000,0xfff88000,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bfffffa,0x00154400,0x00000000,0x00000000,0x13ffffe6,0x00000000,
    0x00000000,0x001fffff,0x00000000,0x00000000,0x00000000,0xffff3000,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0dfffffb,0x00000000,0x00000000,0x3ea00000,0x0001ffff,
    0x00000000,0x7dc00000,0x00004fff,0x00000000,0x00000000,0x00000000,
    0x1fffffc8,0x2aaa6000,0xffff101a,0x3ffe001f,0x7ffc42ff,0xdeffffff,
    0xff0002bc,0xffffffff,0x0dffffff,0x7ffffffc,0xffffffff,0xffffd86f,
    0xffffffff,0xff77ffff,0xf8005fff,0xff04ffff,0xffffffff,0x0dffffff,
    0xfffffffb,0xffffffff,0xffff88ff,0x7c0000ff,0x805fffff,0x7c2ffffb,
    0x8802ffff,0x000fffff,0xfffffffb,0x7fffe400,0x7cc0001f,0xffffffff,
    0xffffffff,0xff983fff,0xffffffff,0x44000bde,0x0007ffff,0x005ffff3,
    0x5cffffe0,0x002fffff,0x427ffffc,0xfffffffd,0xffffffff,0x7fffd47f,
    0xffffffff,0x05ffffff,0x7fffffc8,0x7ff6dc00,0x2dffffff,0x03ffffe2,
    0x17ffffc0,0x3fffffe2,0xffffffff,0x7ffc001e,0xffffffff,0x206fffff,
    0xffffffff,0xffffffff,0xfffffd86,0xffffffff,0x3ffe7fff,0x3ee006ff,
    0xff00ffff,0xffffffff,0x0dffffff,0xfffffffb,0xffffffff,0xffffa8ff,
    0xff80004f,0x401fffff,0x7c2ffffb,0x8802ffff,0x800fffff,0xfffffff8,
    0xfff7001f,0x98000bff,0xffffffff,0xffffffff,0xf983ffff,0xffffffff,
    0x01dfffff,0x0bffff60,0x3fffe600,0xffff0002,0x37ffffc5,0xfffff700,
    0xfffffb01,0xffffffff,0xffa8ffff,0xffffffff,0xffffffff,0x3fbbba25,
    0x02ffffff,0xfffffd30,0x9fffffff,0x07ffffc4,0x2fffff80,0x7fffffc4,
    0xffffffff,0xff000cff,0xffffffff,0x0dffffff,0x7ffffffc,0xffffffff,
    0xffffd86f,0xffffffff,0x3ee7ffff,0xf001ffff,0x7c09ffff,0xffffffff,
    0x6fffffff,0xffffffd8,0xffffffff,0x7ffdc7ff,0xf80001ff,0x04ffffff,
    0x217fffdc,0x802fffff,0x00fffff8,0xffffffa8,0xff3003ff,0x001bffff,
    0x3ffffe60,0xffffffff,0x3fffffff,0xffffff98,0xffffffff,0xff3000ff,
    0xf1000dff,0x10007fff,0x7dc5ffff,0xf001ffff,0x3609ffff,0xffffffff,
    0xffffffff,0x7ffffd47,0xffffffff,0x225fffff,0xffffffff,0xff7005ff,
    0xffffffff,0x7c49ffff,0xf000ffff,0xf885ffff,0xffffffff,0xffffffff,
    0xffff800e,0xffffffff,0x3e06ffff,0xffffffff,0x6fffffff,0xffffffd8,
    0xffffffff,0x7fffc7ff,0xfffb805f,0x3ffe00ff,0xffffffff,0xd86fffff,
    0xffffffff,0xffffffff,0x3ffffe47,0xffff8000,0x2e00ffff,0x7fc2ffff,
    0xf8802fff,0xc800ffff,0xffffffff,0xffff1006,0x003bffff,0xffffff98,
    0xffffffff,0x83ffffff,0xfffffff9,0xffffffff,0xffd000ef,0xf88003ff,
    0x88003fff,0x7fc1ffff,0xfb805fff,0xfb00ffff,0xffffffff,0xffffffff,
    0xffffffa8,0xffffffff,0x7fc5ffff,0x3fffffff,0xfffffb00,0xffffffff,
    0x7ffc49ff,0xfff000ff,0xfff885ff,0xecbaabff,0x3fffffff,0xcfffff80,
    0xaaaaaaaa,0x3ffe02aa,0xaaaaacff,0x882aaaaa,0xffd99999,0x99999eff,
    0x7ffffdc1,0x7ffffc01,0x7ffffc04,0xaaaaaaac,0x99882aaa,0xffffd999,
    0x4199999e,0x006ffffe,0xffffff00,0x7fdc09ff,0x7fffc2ff,0xfff8802f,
    0xfff800ff,0x0fffffff,0xfffff700,0x017dffff,0x55555510,0x5dffffb5,
    0x03555555,0x55fffff3,0xffffd955,0x3ea007ff,0xf8005fff,0x88003fff,
    0x7dc1ffff,0x7c01ffff,0x2204ffff,0xffd99999,0x99999eff,0x777774c1,
    0xfeeeeeee,0x7c4fffff,0x0befffff,0xfffff500,0x75357bff,0x7fc49ffb,
    0xff000fff,0xff885fff,0xfd100fff,0x801fffff,0x002fffff,0x5fffff00,
    0x3f200000,0x3e005fff,0x2e05ffff,0x400fffff,0x002fffff,0xffff9000,
    0x3fffe00b,0xff00005f,0x1fffffff,0x0bfffee0,0x005fffff,0x01fffff1,
    0xfdffff98,0x2002ffff,0xfffffffd,0x001cffff,0x17ffff20,0x3fffe600,
    0x3fffee07,0x3ffe005f,0x7fc000ff,0xf88004ff,0xfff81fff,0x3fee05ff,
    0xc8000fff,0x0005ffff,0xfffff700,0x1fffff0d,0xffffd000,0x2a8801df,
    0x03ffffe2,0x17ffffc0,0x03ffffe2,0xbfffff90,0x2fffff80,0xffff0000,
    0x2000005f,0x005ffffc,0x07ffffee,0x027ffffc,0x017ffffc,0xfffc8000,
    0xfff8805f,0xf00004ff,0xffffffff,0x3fffee07,0x17ffffc2,0x7ffffc40,
    0x7fffdc00,0x05ffffdb,0x7ffffdc0,0x3fffffff,0xffff9000,0xfff3000b,
    0xfffd80ff,0x3ff2007f,0x7fc003ff,0xf98004ff,0xffb80fff,0xfff01fff,
    0x320009ff,0x0005ffff,0xfffff880,0x6ffff81f,0xffffb800,0xf10000df,
    0x2001ffff,0x442fffff,0x800fffff,0x00ffffff,0x00bffffe,0x7ffffc00,
    0xf9000002,0xf800bfff,0xfb84ffff,0xf800ffff,0x0002ffff,0xbffff900,
    0xfffff300,0x3fe00009,0x6fffffff,0x85ffff70,0x802fffff,0x00fffff8,
    0x5cfffff4,0x8007ffff,0xffffffd9,0x005fffff,0x05ffffc8,0x7ffff980,
    0x7ffffdc0,0xffff1000,0xfffe800f,0xfff98004,0xfffff00f,0xfffff709,
    0x3ff20001,0x800005ff,0x04fffffd,0x800dfffd,0x0ffffff8,0x3ffe2000,
    0xfff000ff,0xfff885ff,0xffc800ff,0x3fe02fff,0x00002fff,0x005fffff,
    0x3fff2000,0x7fdc005f,0x3fe20fff,0xff004fff,0x00005fff,0x17ffff20,
    0x3ffffe20,0xfff00005,0x5ffffddf,0x85ffff70,0x802fffff,0x00fffff8,
    0x45ffffe2,0x001fffff,0xfffff930,0x009fffff,0x05ffffc8,0x7ffff980,
    0x3ffffdc0,0x3ffff600,0x3fffa002,0x984cc984,0x3ee07fff,0x3e20ffff,
    0x0004ffff,0x017ffff2,0xffff5000,0x7fff40df,0x7ffd4005,0x440004ff,
    0x000fffff,0x885fffff,0x800fffff,0x03fffff8,0x00bffffe,0x7ffffc00,
    0xf9000002,0xf000bfff,0x7dc9ffff,0xf000ffff,0x0005ffff,0x3ffff200,
    0xfffff005,0x3fe0000d,0xffffaeff,0x2ffffb86,0x017ffffc,0x07ffffc4,
    0x49ffff50,0x004ffffe,0xffffda80,0x2001ffff,0x005ffffc,0x07ffff98,
    0x037fffe4,0x1bfffe60,0x85fffd80,0x7d41fffd,0x7ffc07ff,0x3ffee4ff,
    0x320000ff,0x0005ffff,0x3ffffe20,0x2666201f,0x7ffdc000,0x440001ff,
    0x000fffff,0x885fffff,0x000fffff,0x409fffff,0x002fffff,0x5fffff00,
    0x3f200000,0xb8005fff,0xfd0fffff,0x7c009fff,0x0002ffff,0xbffff900,
    0x3ffffa00,0xfff00007,0x3ffffedf,0x17fffdc1,0x00bffffe,0x03ffffe2,
    0x22ffffd8,0x006ffffc,0x3fffa600,0x32003fff,0x8005ffff,0x207ffff9,
    0x04fffff9,0x1ffffe80,0x8bfffb00,0x543ffff8,0x7dc07fff,0xffd0ffff,
    0xc80009ff,0x0005ffff,0x3fffff60,0x64000003,0x0007ffff,0x0fffff88,
    0x5fffff00,0x0fffff88,0xbffffd00,0x6fffffc0,0xcccccccc,0x3ffe01cc,
    0xcccccdff,0x001ccccc,0x017ffff2,0x3ffffe20,0x0fffffab,0x3ffffe00,
    0xcccccccd,0x32001ccc,0xb005ffff,0x001fffff,0x2dffff00,0x5c5ffffb,
    0x7fc2ffff,0xeeeeefff,0xfffeeeee,0x3ffe00ff,0x3ffea0ff,0x400000ff,
    0x05fffffd,0x17ffff20,0x3fffe600,0xffffb887,0xfa8000ff,0xf9004fff,
    0xfffa8bff,0x37ffd46f,0x3ffffe20,0x0fffffab,0x7ffe4000,0xf500005f,
    0x200dffff,0xfe8000a8,0x80006fff,0x00fffff8,0x85fffff0,0x00fffff8,
    0x0dffffb0,0x7ffffffc,0xffffffff,0x3fffe02f,0xffffffff,0x2002ffff,
    0x005ffffc,0xbdffff70,0x8007ffff,0xffffffff,0xffffffff,0x3fff2002,
    0xfff9005f,0xf00009ff,0x3fe2dfff,0x3fee1fff,0x7fffc2ff,0xffffffff,
    0xffffffff,0xdffff300,0x07fffff0,0xfff98000,0x3f2006ff,0x98005fff,
    0xeeefffff,0xfffffffe,0x3ffe0002,0xffc800ff,0x7fffe46f,0x1bffea0f,
    0x3bfffee0,0x003ffffd,0x5ffffc80,0xfff88000,0xfd800fff,0x7fc005ff,
    0x80005fff,0x00fffff8,0x85fffff0,0x00fffff8,0x0fffff90,0x7ffffffc,
    0xffffffff,0x3fffe02f,0xffffffff,0x2002ffff,0x005ffffc,0xffffff10,
    0x8001ffff,0xffffffff,0xffffffff,0x3fff2002,0xfff5005f,0x80001fff,
    0x3f26ffff,0x3fee4fff,0x7fffc2ff,0xffffffff,0xffffffff,0x7ffff900,
    0x0bffffb0,0xffff0000,0x7fe400bf,0xf98005ff,0xffffffff,0x01efffff,
    0x7fffe400,0x6fffc803,0x1ffffffc,0x100bfff7,0xffffffff,0x900001ff,
    0x000bffff,0x7fffffb0,0xfffff700,0x3ffe2009,0x880004ff,0x000fffff,
    0x885fffff,0x000fffff,0x40fffffb,0xffffffff,0xffffffff,0x3ffffe02,
    0xffffffff,0x32002fff,0x0005ffff,0x3fffffee,0xff8003ff,0xffffffff,
    0x02ffffff,0x17ffff20,0xfffffe80,0x3fe0000d,0x3ffe26ff,0xffff70ff,
    0xffffff85,0xffffffff,0x00ffffff,0x703ffffd,0x001fffff,0x7fffc400,
    0x3ff2004f,0xf98005ff,0xffffffff,0x0001cfff,0x0dffff10,0x4cdfff70,
    0x25ffffff,0x7005fffb,0xffffffff,0x3f200007,0x40005fff,0x05fffffa,
    0xdfffffd0,0x3fffe600,0xf880004f,0xf000ffff,0xf885ffff,0xb000ffff,
    0x7c0bffff,0xeeeeffff,0x1eeeeeee,0x3bffffe0,0xeeeeeeee,0x3f2001ee,
    0x20005fff,0xfffffff8,0xfff8000f,0xeeeeeeff,0x001eeeee,0x017ffff2,
    0xffffffa8,0x21e4c01e,0x7ec6ffff,0xfff74fff,0xfffff85f,0xeeeeeeee,
    0x0fffffee,0x07ffff88,0x05fffff3,0xfe8002b2,0x2002ffff,0x005ffffc,
    0xffffff98,0x2fffffff,0x3ff60000,0x7fdc02ff,0x3ffff26f,0xfff70fff,
    0x3ffe2009,0x000fffff,0xbffff900,0x7ffc4000,0xfd000fff,0x200fffff,
    0x05fffff8,0xffff8800,0xffff000f,0xffff885f,0xfffd000f,0x7fffc09f,
    0xff00002f,0x00005fff,0x17ffff20,0xffff7000,0x3e0007ff,0x0002ffff,
    0xbffff900,0xffffe800,0xbabcefff,0x7fc4ffed,0x7ffcc6ff,0xffffb8ff,
    0x17ffffc2,0x7ffffc40,0x5ffffb80,0x13ffffe0,0x55e77ff4,0xfffca999,
    0x64006fff,0x8005ffff,0xbafffff9,0x2ffffffd,0xfff30000,0xfffa80bf,
    0x3fb7ffa7,0x9fff72ff,0x7fffdc00,0x200003ff,0x005ffffc,0x3fffff60,
    0x3fff2003,0x3fe004ff,0x80006fff,0x00fffff8,0x85fffff0,0x00fffff8,
    0x07fffff0,0x017ffffc,0xfffff800,0xf9000002,0x8000bfff,0x07fffff8,
    0x3ffffe00,0xf9000002,0x9800bfff,0xffffffff,0xffffffff,0x437fffc4,
    0xfbbffffe,0x7ffc2fff,0xff8802ff,0xffd80fff,0x3ff202ff,0xfffd07ff,
    0xffffffff,0x03ffffff,0x5ffffc80,0xffff9800,0x7ffffcc7,0x3fa00006,
    0x3ea01fff,0x7fff37ff,0x3f29fff9,0x3e2004ff,0x0007ffff,0x2ffffe40,
    0xffffa800,0xffd8005f,0x3fa000ef,0x80007fff,0x00fffff8,0x83fffff0,
    0x00fffff8,0x2fffff98,0x0bffffe0,0x7fffc000,0x9000002f,0x000bffff,
    0x0bffff90,0x7ffffc00,0xf9000002,0x1000bfff,0xfffffffd,0x9fffffff,
    0xa86ffff8,0xffbeffff,0x7fffc2ff,0xfff8802f,0xffff80ff,0xeeeeeeef,
    0x81fffffe,0xfffffffe,0xffffffff,0xffc8003f,0xf98005ff,0xffa87fff,
    0x00004fff,0x409ffff7,0xff77fff9,0x2ffff53f,0x4003fffc,0x005ffffc,
    0x7fffe400,0xfff88005,0x50000fff,0xffb00055,0x00001fff,0x003fffff,
    0x10fffff1,0x001fffff,0x03fffffb,0x017ffffc,0xfffff800,0xf9000002,
    0x0000bfff,0x00bffff9,0x17ffffc0,0xffc80000,0xb10005ff,0xffffffff,
    0xf89fffff,0xfff06fff,0x5ffffbff,0x02fffff8,0x0fffff88,0x7fffffd4,
    0xffffffff,0xfe83ffff,0xffffffff,0x01efffff,0xbffff900,0xffff3000,
    0x3ffff60f,0xf880000f,0xf300ffff,0xfffd1fff,0x7ecffffc,0x7e4003ff,
    0x00005fff,0x02ffffe4,0x7ffffec0,0x00000002,0x09fffff9,0xffffd000,
    0xffff3005,0xfffff10d,0xffff9801,0x7fffc05f,0xff00002f,0x00005fff,
    0x17ffff20,0x3fff2000,0x3fe0005f,0x00002fff,0x0bffff90,0xffec9800,
    0x1cefffff,0x706ffff8,0xffffffff,0xfffff85f,0xffff8802,0x7fffe40f,
    0xffffffff,0x86ffffff,0xfffffeda,0x0adfffff,0x3fff2000,0xff98005f,
    0xfff507ff,0x200007ff,0x103ffffc,0xfff3ffff,0x6e7ffec9,0x64002fff,
    0x0005ffff,0x2ffffe40,0x3fffea00,0xffb0005f,0xff5000ff,0x0001ffff,
    0x05ffffd8,0x85ffffc8,0x00fffff8,0x3fffffa2,0x7ffffc00,0xfff00002,
    0x000005ff,0x017ffff2,0x3ffff200,0x3ffe0005,0x000002ff,0x00bffff9,
    0x3fffea00,0xffff801c,0xfffff106,0xff85ffff,0xf8802fff,0x7fc0ffff,
    0xffffffff,0xffffffff,0x2a6200ff,0x00ffffea,0xffff9000,0xfff3000b,
    0x7fff40ff,0x880000ff,0xf106ffff,0x3fff7fff,0x7ef7ffd4,0x7e4002ff,
    0x00005fff,0x02ffffe4,0xffffff10,0x3ffe0001,0xffd0004f,0x0001bfff,
    0x0fffffe4,0x7fffff10,0x1fffff10,0x3ffffee0,0xffff804f,0xff00002f,
    0x00005fff,0x17ffff20,0x3fff2000,0x3fe0005f,0x00002fff,0x0bffff90,
    0x3fff2000,0xffff000f,0x7fffe40d,0x7fc2ffff,0xf8802fff,0x3e60ffff,
    0xaaaaefff,0xffbaaaaa,0x3a002fff,0x00005fff,0x017ffff2,0x1ffffe60,
    0x3fffffb8,0xfffb0000,0xffff105f,0xff88fffd,0x01fffeff,0x2ffffe40,
    0x3ff20000,0x3f6005ff,0x0002ffff,0x003ffff1,0x3ffffe60,0x1e4c01ef,
    0x3fffffe2,0x7fffd40b,0xffff106f,0xffb9557f,0x01ffffff,0x59fffff0,
    0x55555555,0x7fffc055,0xaaaaaacf,0xaa82aaaa,0xfffdaaaa,0x2aaaaaef,
    0x3ffff200,0x3ffe0005,0xaaaaacff,0xa82aaaaa,0xffdaaaaa,0xaaaaaeff,
    0x7ffec002,0x3fffe004,0x3fffe206,0x7fc2ffff,0xf8802fff,0x3ee0ffff,
    0x3e004fff,0x1005ffff,0x0005ffff,0x2ffffe40,0x7fffcc00,0x3fffe207,
    0xf500007f,0x3fe0bfff,0xd84fffff,0x1fffffff,0x7fffe400,0x55550005,
    0xdffffb55,0xa8555555,0xeeffffff,0xeeeeeeee,0xdfff55ee,0xfffd8000,
    0xabceffff,0xc84ffedb,0xffffffff,0xffffffff,0xfffff101,0xffffffff,
    0x2003dfff,0xffffffff,0xffffffff,0x3ffffe06,0xffffffff,0xffd86fff,
    0xffffffff,0x07ffffff,0x17ffff20,0xfffff800,0xffffffff,0xffd86fff,
    0xffffffff,0x07ffffff,0x00ffffc0,0x80dffff0,0xfffffffd,0x17ffffc2,
    0x7ffffc40,0x0bffff60,0x7ffffd80,0x0ffff300,0xfffc8000,0xff98005f,
    0x7fe407ff,0x00003fff,0xf01ffffd,0x05ffffff,0xfffffff5,0xfffc8001,
    0xffb0005f,0xffffffff,0x8fffffff,0xfffffffd,0xffffffff,0xfff97fff,
    0xff980009,0xffffffff,0x84ffffff,0xfffffff8,0xffffffff,0x3fffe204,
    0xffffffff,0x7c004fff,0xffffffff,0x6fffffff,0x3fffffe0,0xffffffff,
    0xfffd86ff,0xffffffff,0x007fffff,0x017ffff2,0xffffff80,0xffffffff,
    0xfffd86ff,0xffffffff,0x007fffff,0x001bffe6,0x980dffff,0x2fffffff,
    0x017ffffc,0x87ffffc4,0x007ffff8,0x0fffffdc,0x027ffdc0,0x3fff2000,
    0xff98005f,0x7fc407ff,0x00006fff,0xd09ffff7,0x20ffffff,0xfffffff8,
    0x7ffe4000,0xffb0005f,0xffffffff,0x8fffffff,0xfffffffd,0xffffffff,
    0xfffb7fff,0xfd300003,0xffffffff,0x209fffff,0xffffffd8,0x02ffffff,
    0x7fffffc4,0xefffffff,0xffff8001,0xffffffff,0x3e06ffff,0xffffffff,
    0x6fffffff,0xffffffd8,0xffffffff,0x3f2007ff,0x20005fff,0xffffffff,
    0xffffffff,0xfffffd86,0xffffffff,0x2a007fff,0x7c003fff,0xfe806fff,
    0x7c2fffff,0x8802ffff,0xf50fffff,0x8800bfff,0x804fffff,0x0001fffd,
    0x2ffffe40,0x7fffcc00,0xffffd807,0xf880002f,0x7f40ffff,0x3605ffff,
    0x00ffffff,0x2ffffe40,0xffffd800,0xffffffff,0x7ec7ffff,0xffffffff,
    0xffffffff,0x0055537f,0xffffb800,0xffffffff,0x7ff5404f,0x0cffffff,
    0xfffff880,0x1bdeefff,0x3fffe000,0xffffffff,0x3e06ffff,0xffffffff,
    0x6fffffff,0xffffffd8,0xffffffff,0x3f2007ff,0x20005fff,0xffffffff,
    0xffffffff,0xfffffd86,0xffffffff,0x26007fff,0x7c000aaa,0xfa806fff,
    0x7c2fffff,0x8802ffff,0xf90fffff,0xd0007fff,0x500dffff,0x00000555,
    0x00bffff9,0x0fffff30,0xdfffff50,0x332e0000,0x7fff41cc,0x3fee02ff,
    0xc8007fff,0x0005ffff,0xfffffffb,0xffffffff,0xffffd8ff,0xffffffff,
    0x07ffffff,0xb9300000,0xdfffffff,0xa9880037,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9a988000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26666000,0x99999999,0xfffd8000,0x77ffec0e,0xff980000,0x200dffff,
    0x6c0efffd,0x0000efff,0x0d5554c0,0xbffff700,0xdfff9000,0x1ffffc83,
    0x99999800,0x09999999,0xffffb800,0x20000005,0x4ffffff9,0xfff98000,
    0x0000dfff,0x000004cc,0x220004cc,0x000002cb,0x7fdc0000,0x000002ff,
    0xf5000000,0x30009fff,0x00000013,0x09988000,0xffb00000,0xfffd81df,
    0x7ffc400e,0xffffffff,0xffb0002f,0xfffd15ff,0xf300001d,0x007fffff,
    0x22bffff6,0x000efffe,0xffffe800,0xffff7001,0xf9000bff,0xffb17fff,
    0xf10001df,0xffffffff,0xb8005fff,0x05ffffff,0xff980000,0x0002ffff,
    0xffffff98,0x3f220003,0x0000dfff,0x6ffffe44,0xffff8800,0x00000003,
    0xfb155554,0x88001fff,0x0000dffd,0xfffc8000,0x8bbbba1f,0xcfffffc9,
    0xff910000,0x6d40001b,0xeeffffff,0x004eeeee,0x15ffffb0,0x001dfffd,
    0xfffffff1,0x005fffff,0x7ffffe40,0x0000efff,0xefffff88,0x7ffe4001,
    0x00efffff,0xfff98000,0xfff9006f,0x01dfffff,0xfffffb80,0x0000efff,
    0xfffffff1,0x005fffff,0x7fffffe4,0x00000eff,0xbfffff30,0xff100001,
    0x0003dfff,0xffffffe8,0x3fa0000f,0x00ffffff,0x07ffffdc,0x88000000,
    0xff0fffff,0xfd000bff,0x0000bfff,0xdfffb000,0xf74ffff8,0xdfffffff,
    0xfffb0003,0xfd3000df,0xffffffff,0x0bffffff,0x7fffe400,0x000effff,
    0xfffffff1,0x005fffff,0xfffffc80,0xf100005f,0x0009ffff,0x7fffffe4,
    0x32000005,0xc803ffff,0xfe9affff,0x5c000eff,0x0effffff,0x3ffe2000,
    0xffffffff,0xfff9002f,0xdfffd35f,0xf9800001,0x0003ffff,0x9fffff10,
    0xfff70000,0x00bfffbb,0x377ffee0,0x7d405fff,0x0002ffff,0xfff10000,
    0xffff31ff,0xfff98005,0x00001fff,0xfff815cc,0x67fffc4f,0xfffffffb,
    0x44006fff,0x02ffffff,0x3ffffe20,0xffffffff,0x0005ffff,0x7fffffe4,
    0x66644005,0xcccccccc,0xfc80001c,0x00005fff,0x05fffff1,0xffff9000,
    0x4400000b,0xc807ffff,0x3620efff,0x4000efff,0x00effffa,0x66664400,
    0xcccccccc,0xefffc801,0x3bfff620,0xff300000,0x00003dff,0x0bffffe2,
    0x1fff4000,0x2000fff3,0x3fe63ffe,0x7fff4407,0x0000003f,0x1fffff10,
    0x000ffff7,0x3ffffff3,0xffb70000,0xffff307f,0xffffff83,0xffffffff,
    0x22003fff,0x02ffffff,0x3fffffa0,0xfffffdbc,0x0005ffff,0x05ffffc8,
    0x00000000,0x00000000,0x00000000,0xfffb8000,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff03ffe0,0xfff0003f,0x401fff81,
    0x002ffff9,0xff100000,0xfffb1fff,0xfff10009,0x00001fff,0x707ffffd,
    0xfff0dfff,0x37ffffff,0x0dfffffb,0xfffffe80,0xffff5000,0xfffc881d,
    0x0000004f,0x00000000,0x00000000,0x00000000,0xffd00000,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31fff400,0x3a000fff,
    0x1ffe63ff,0x007fffc0,0xf8800000,0xfff8ffff,0xff50001f,0x200005ff,
    0xd83ffffe,0xfff83fff,0xfc84ffff,0x4c007fff,0x2003ffff,0x102ffffc,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x05ffffa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0xfffccfff,
    0xfff90005,0x00bfff99,0x000bfff7,0x7fc40000,0x19998fff,0x05544000,
    0xfffd0000,0x0333107f,0x17fffffe,0x07ffffd4,0x002aa200,0x80ffffb0,
    0x002ffffd,0x40000000,0x7ffffffd,0xffffa800,0xffffffff,0x05ffffff,
    0x009ffffb,0xffffff80,0xffffb805,0xfffb0002,0xfffd805f,0xffffffff,
    0x987fffff,0xffffffff,0x000bdeff,0xfffffff8,0xffffffff,0xfffb006f,
    0x0000ffff,0xffffff50,0x1fffffff,0x3ffff600,0x100007ff,0xfffffffd,
    0x3fa20001,0x00ffffff,0x03ffffb6,0x88000000,0x000fffff,0x00000000,
    0x007ffffd,0x17ffffe0,0x1fffff88,0x3a000000,0x7dc07fff,0xf0002fff,
    0xffffffff,0xdfffffff,0xfffff100,0xa8003fff,0xffffffff,0xffffffff,
    0xfffb05ff,0xff80009f,0x401fffff,0x002ffffb,0x06ffff98,0xffffffd8,
    0xffffffff,0xfff987ff,0xffffffff,0x2001dfff,0xffffffff,0xffffffff,
    0xffff8806,0x0001ffff,0x7ffffec0,0xffffffff,0xffff8800,0x0001ffff,
    0xdffffb10,0xfd880001,0x7c00efff,0x0001efff,0x88998000,0x000fffff,
    0x00026000,0x1fffff40,0xfffff800,0x7ffffc01,0x00988001,0x0ffffec0,
    0x03ffff90,0x3ffffe00,0xffffffff,0xfa806fff,0x3fffffff,0x7fffd400,
    0xffffffff,0x05ffffff,0x009ffffb,0xffffff80,0x7ffdc04f,0xffc8002f,
    0xffd803ff,0xffffffff,0x87ffffff,0xfffffff9,0xffffffff,0xffff000f,
    0xffffffff,0x500dffff,0xffffffff,0x7c400007,0xffffffff,0x800fffff,
    0xfffffffa,0x4400003f,0x400001aa,0xdf001aa8,0x0000007b,0x3fffb6e2,
    0x0fffffff,0xdb730000,0x39dfffff,0x77777640,0xeeefffff,0xf05eeeee,
    0xf803ffff,0x7001ffff,0x7bffffdb,0x9ffff900,0x1ffffe20,0xfffff800,
    0xffffffff,0xfc806fff,0x6fffffff,0x7fffd400,0xffffffff,0x05ffffff,
    0x009ffffb,0xffffff80,0x3fee00ff,0x7c4002ff,0xd800ffff,0xffffffff,
    0xffffffff,0xfffff987,0xffffffff,0xf800efff,0xffffffff,0x6fffffff,
    0xfffffc80,0x00006fff,0x3fffffee,0xffffffff,0xffffc800,0x0006ffff,
    0x20000000,0x00000999,0x20006620,0xfffffffa,0x0fffffff,0x7fe44000,
    0xffffffff,0x3fff603f,0xffffffff,0x7fffffff,0x03fffff0,0x01fffff8,
    0x7fffff4c,0x201effff,0x1cfffff9,0x17ffffa6,0xfffff800,0xffffffff,
    0xff806fff,0xffffffff,0x3bba6000,0xeeeeeeee,0x4ffffffe,0x09ffffb0,
    0xfffff800,0x3ee04fff,0x5c002fff,0x1004ffff,0xffb33333,0x33333dff,
    0xfffff303,0xffd95555,0xf007ffff,0x5559ffff,0x55555555,0xffffff00,
    0x0001ffff,0x3fbfffa0,0x9999bfff,0xfffff001,0x001fffff,0x00eeeee8,
    0x00777774,0xfffffd93,0x70019dff,0xfeb8bddd,0x4401efff,0xfffffffe,
    0xffffffff,0x3fea0000,0xffffffff,0x3f603fff,0xffffffff,0xffffffff,
    0xfffff07f,0xfffff803,0x3fffea01,0xffffffff,0x3fff203f,0xffffefff,
    0x20000fff,0xaacfffff,0xaaaaaaaa,0x7fffcc02,0x02fffffd,0x3fee0000,
    0x3f606fff,0x40004fff,0xffffffff,0xffff700f,0xfffe8005,0x7e40001f,
    0x26005fff,0x2e07ffff,0x805fffff,0x002fffff,0x3fffe600,0x02fffffd,
    0xffff9800,0x002ffffb,0xfbffff30,0x8005ffff,0x400fffff,0xf01fffff,
    0xffffffff,0x809fffff,0xfd37fffc,0x9fffffff,0x7fffff40,0xffffffff,
    0x50000fff,0xffffffff,0x07ffffff,0x7fffffec,0xffffffff,0xff07ffff,
    0xff803fff,0xff301fff,0xfd9bffff,0x203fffff,0xfffffffa,0x01ffffff,
    0x7ffffc00,0x3ee00002,0xfffdbfff,0x1000005f,0x03ffffff,0x027fffec,
    0x3ffffe00,0xf703ffff,0x54005fff,0x0005ffff,0x05ffffc8,0x1ffffe60,
    0x0fffffb0,0x05fffff0,0x7ffdc000,0x5ffffdbf,0xfffc8000,0x02ffffae,
    0x7ffff700,0x00bffffb,0x00fffff8,0x80fffffc,0xffffffff,0x4fffffff,
    0x27ffff20,0xffffffff,0xffb82fff,0x220affff,0x00fffffa,0xffffe880,
    0xccaabdff,0x266203ff,0xffffe999,0x9999999c,0x3fffff01,0x1fffff80,
    0x1bffffd0,0x5ffffe98,0xffffff98,0x0cffffff,0xffff8000,0x3a00002f,
    0xffb9ffff,0x000007ff,0x09fffffb,0x04ffffd8,0x7ffffc00,0xf706ffff,
    0x6c005fff,0x0002ffff,0x05ffffc8,0x1ffffe60,0x1fffff70,0x2fffff80,
    0x3ffa0000,0xffffb9ff,0xfff80007,0x2ffffaaf,0xffffd000,0x0fffff73,
    0x0fffff80,0x0fffffc0,0xeefffff8,0xfffffeec,0xffff902f,0xffffffff,
    0xf88dffff,0x100effff,0x001fffff,0xdfffff90,0x8002a803,0x003ffffe,
    0x03fffff0,0x81fffff8,0x205ffffa,0x42fffff9,0xcb8dfffd,0x0000abcd,
    0x0bffffe0,0x7ffc4000,0xfffff17f,0xfa800003,0xd806ffff,0x0004ffff,
    0x7f77fffc,0xffb82fff,0xff3002ff,0x20000dff,0x005ffffc,0x01ffffe6,
    0x00fffff7,0x005fffff,0x3fffe200,0x3fffff17,0x7ffd4000,0x2ffffa8f,
    0xffff8800,0x3fffff17,0x7ffffc00,0x7ffffc00,0x4017df01,0x05fffffa,
    0xfffffff9,0xffff73bf,0x7ffe43ff,0x3fe201ff,0x4c000fff,0x006fffff,
    0x7fff4000,0xfff0003f,0xfff803ff,0xfffe81ff,0x7ffec00f,0x3fffe23f,
    0x20000002,0x002fffff,0x9ffff500,0x027ffff4,0xffff1000,0xffb003ff,
    0xf80009ff,0xfffaefff,0xffffb86f,0xffff9002,0x3f200007,0x26005fff,
    0x6407ffff,0xf806ffff,0x0002ffff,0x49ffff50,0x004ffffe,0x557fff60,
    0x8002ffff,0x3a4ffffa,0x2004ffff,0x400fffff,0x101fffff,0x7fffdc00,
    0xfffff906,0xfff881df,0x3fffa2ff,0x7ffc405f,0x7dc000ff,0x0002ffff,
    0x7ffff400,0xffff0003,0xffff803f,0x7fffcc1f,0xffffb806,0x0ffffea5,
    0xff800000,0x00002fff,0x645ffffb,0x0006ffff,0x3fffff60,0xffffb003,
    0xfff80009,0x3fffff6f,0x02ffffb8,0x0fffff88,0xfff90000,0x7fcc00bf,
    0x3fe607ff,0xff804fff,0x00002fff,0x645ffffb,0x0006ffff,0x2a5ffff1,
    0x8002ffff,0x322ffffd,0x2006ffff,0x400fffff,0x001fffff,0x7ffff980,
    0xffffff90,0x3ffffa01,0x0bffffe4,0x1fffff10,0xffffc800,0xe8000006,
    0x0003ffff,0x803fffff,0x541fffff,0xaaaeffff,0xffcaaaaa,0x3ffe66ff,
    0x9999acff,0x7fc00000,0x00002fff,0x541fffff,0x000fffff,0xfffffa80,
    0x3fff6006,0x7fc0004f,0xffff76ff,0x2ffffb8b,0x4ffffb80,0x3ff20000,
    0x3e6005ff,0xfb887fff,0x800fffff,0xccdfffff,0xcccccccc,0x3ffffe01,
    0x3ffffea0,0xfffb8000,0x37fffea7,0x7c03cccc,0x3ea0ffff,0xf000ffff,
    0xf801ffff,0x0001ffff,0x0fffff88,0x1fffffc8,0x53ffff20,0x01fffff8,
    0x07ffffc4,0x3ffffa00,0xe8000005,0x0003ffff,0x803fffff,0x5c1fffff,
    0xffffffff,0xffffffff,0x7fffc7ff,0xffffffff,0x40003def,0xccdfffff,
    0xcccccccc,0xdffff301,0x07fffff0,0xffff8800,0x3f6000ff,0x40004fff,
    0xff16ffff,0x7fdc3fff,0xffe802ff,0x200001ff,0x005ffffc,0x3bffffe6,
    0xfffffeee,0xfff002ff,0xffffffff,0x205fffff,0xf86ffff9,0x8003ffff,
    0x3ea4fffe,0xffffffff,0x3fffe605,0x3fffff86,0x1fffff00,0x1fffff80,
    0x5554c400,0x80fffffb,0x404ffffc,0xf34ffffc,0x8801ffff,0x000fffff,
    0x027ffffc,0x7ff40000,0xff0003ff,0xff803fff,0x7fe41fff,0xffffffff,
    0xffffffff,0x7ffffcc7,0xffffffff,0xf0003fff,0xffffffff,0x5fffffff,
    0x0fffff20,0x017ffff6,0xfffffb00,0xfffd8007,0x7fc0004f,0x3fff26ff,
    0x3fffee4f,0x7fffd402,0x7e400005,0x26005fff,0xffffffff,0x1effffff,
    0x3ffffe00,0xffffffff,0xff902fff,0xfffb07ff,0xff9800bf,0x3ffea1ff,
    0x05ffffff,0x20fffff2,0x005ffffd,0x801fffff,0x401fffff,0xfffffeb8,
    0x0fffffff,0x04ffffc8,0xaa7fffe4,0x8807ffff,0x000fffff,0x0fffffe2,
    0x3fa00000,0xf0003fff,0xf803ffff,0x7ec1ffff,0xffffffff,0xffffffff,
    0xffffb87f,0xffffffff,0x8003ffff,0xffffffff,0xffffffff,0x3ffffd02,
    0x1fffff70,0x3ffea000,0xfd8005ff,0x40004fff,0x3e26ffff,0xff70ffff,
    0xffd805ff,0x400002ff,0x005ffffc,0x3fffffe6,0x1cffffff,0xfffff800,
    0xffffffff,0xffd02fff,0xfff703ff,0x7ec001ff,0x7ffd46ff,0x05ffffff,
    0x207ffffa,0x00fffffb,0x00fffff8,0x00fffffc,0xfffffff9,0xffffffff,
    0x9ffff901,0x4ffffc80,0x01fffff5,0x0fffff88,0x7ffffc00,0xe8000005,
    0x0003ffff,0x803fffff,0x641fffff,0xaaadffff,0xaaaaaaaa,0x7ffdc2aa,
    0xfeeeeeff,0x0fffffff,0x7ffffc00,0xffffffff,0xff882fff,0xfff307ff,
    0xf10005ff,0x001fffff,0x09ffffb0,0x6ffff800,0xba7fffec,0x2202ffff,
    0x0006ffff,0x5ffffc80,0x3fffe600,0xffffffff,0xfff8002f,0xeeeeeeff,
    0x881eeeee,0xf307ffff,0x2005ffff,0x543ffff8,0xcccdffff,0xffff103c,
    0x3fffe60f,0xffff802f,0x7fffc00f,0xffffb01f,0xffffffff,0xf901ffff,
    0xfc809fff,0xfff34fff,0xff8803ff,0x74000fff,0x0006ffff,0xffffe800,
    0x10000003,0xf70fffff,0x0000bfff,0x03fffff5,0x7ffffec4,0x7fffc002,
    0xeeeeeeef,0xfb81eeee,0x3fe05fff,0xd8004fff,0x003fffff,0x09ffffb0,
    0x6ffff800,0x47ffffcc,0x202ffffb,0x003ffffc,0xffffc800,0x3ffe6005,
    0xfffdbaff,0x7c002fff,0x0002ffff,0x02ffffdc,0x009fffff,0x503fffee,
    0x4005ffff,0x205ffffb,0x804fffff,0x400fffff,0xc81fffff,0xbcffffff,
    0xffffbaaa,0xffffc80f,0x7fffe404,0x5fffff14,0xfffffb80,0x7ffe4000,
    0x000001ff,0x01fffff4,0xff980000,0xfffa86ff,0xff80006f,0xfd002fff,
    0xf8009fff,0x0002ffff,0x017fffec,0x00fffff9,0x5fffffa8,0x3fff6000,
    0x7fc0004f,0xfffe86ff,0x2ffffbbf,0x03ffffe0,0x3ff20000,0x3e6005ff,
    0x7fcc7fff,0x7c006fff,0x0002ffff,0x017fffec,0x00fffff9,0x2a1bfffa,
    0x2002ffff,0x202ffffd,0x807ffffc,0x400fffff,0x441fffff,0x00dfffff,
    0x01fffff1,0x809ffff9,0x3e4ffffc,0x2a04ffff,0x00ffffff,0x7ffffdc0,
    0x6c000006,0x0005ffff,0xffffb000,0xfffff30b,0x7fcc0005,0x3fa007ff,
    0x7c003fff,0x0002ffff,0x777ffffc,0xffeeeeee,0xf1001fff,0x001fffff,
    0x27fffec0,0x3fffe000,0xeffffa86,0x702ffffb,0x0009ffff,0x3ffff200,
    0x3ffe6005,0xffffa87f,0x3ffe004f,0x7c0002ff,0xeeeeffff,0xffffeeee,
    0x7ffcc01f,0xfdccccef,0x3e002fff,0xeeeeffff,0xffffeeee,0x7fffc01f,
    0x3ffee01f,0x7ffd41ff,0x3fe200ff,0xffc80fff,0x7fe404ff,0x3fff64ff,
    0xfff980ff,0x4000ffff,0xdffffff8,0x4000c400,0x00fffffc,0x7fd40000,
    0xffd03fff,0x20001dff,0x00fffff9,0x1fffff98,0x7ffffc00,0x3fea0002,
    0xffffffff,0xffffffff,0xffffb003,0xfd80005f,0x40004fff,0xff06ffff,
    0xffffbfff,0x3ffffa05,0xf9000001,0x4c00bfff,0xfb07ffff,0x2001ffff,
    0x002fffff,0x3ffffea0,0xffffffff,0x403fffff,0xfffffffc,0x2fffffff,
    0xfffff500,0xffffffff,0x807fffff,0x503fffff,0x83ffffff,0x406ffffc,
    0x80fffffa,0x404ffffc,0x264ffffc,0x8aefffff,0xffffffd9,0xfb8000ff,
    0xacffffff,0x04fdba99,0xfffffb80,0x20003104,0xfffffca8,0xffff500e,
    0x3b9807ff,0x3bffffe2,0x3fffea01,0xfff8006f,0x320002ff,0xffffffff,
    0xffffffff,0xffa806ff,0x80005fff,0x004ffffd,0x837fffc0,0xfffffffb,
    0xfff982ff,0x2000006f,0x005ffffc,0x41ffffe6,0x03fffffa,0x05fffff0,
    0x7fffe400,0xffffffff,0x06ffffff,0x7ffffffc,0xffffffff,0xffff9002,
    0xffffffff,0x0dffffff,0x85ffffe8,0xfffffff9,0x7ffffdc1,0xfffff701,
    0xffff901f,0xffffc809,0x7fffff44,0xffffffff,0x0000ffff,0xfffffffd,
    0x9fffffff,0xffff3000,0xfddbdfff,0x3ffa000f,0x401fffff,0xfffffffd,
    0xfffeeede,0x7ffffec6,0xffeddeff,0x000fffff,0x02fffff8,0x3ffffe00,
    0xffffffff,0x0fffffff,0x3ffffe20,0xfd80000f,0x40004fff,0xf106ffff,
    0xffffffff,0x5ffffb05,0x7e400000,0x26005fff,0x3a07ffff,0x800fffff,
    0x002fffff,0x3fffffe0,0xffffffff,0x00ffffff,0xfffffff5,0xffffffff,
    0x3fffe005,0xffffffff,0xffffffff,0x3ffff600,0xfffd98cf,0x541fffff,
    0x20dfffff,0xffffffc8,0xffffc80f,0x7fffe404,0x7ffffd44,0xbdffffff,
    0x0000ffff,0xfffffff3,0x9fffffff,0x3fff2000,0xffffffff,0xfffd0007,
    0xf1009fff,0xffffffff,0x8dffffff,0xffffffe8,0xffffffff,0xff0001ff,
    0x20005fff,0xaaeffff9,0xbaaaaaaa,0x202fffff,0x02fffffd,0xffffb000,
    0xfff80009,0x3fff206f,0x442fffff,0x0007ffff,0x7fffe400,0x3ffe6005,
    0x3ffee07f,0xfff803ff,0xf30002ff,0x5555dfff,0xff755555,0x3f605fff,
    0xaaaaafff,0x02ffffca,0xaeffff98,0xaaaaaaaa,0x02fffffb,0x3fffffea,
    0xffffffff,0x7fc41fff,0xfeefffff,0xffffffff,0x4ffffc80,0x27fffe40,
    0x7fffffcc,0xffb8dfff,0x640000ff,0xffffffff,0x0004ffff,0xffffffd1,
    0x000fffff,0x07bffffa,0xffffc880,0xffffffff,0xfffc886f,0xffffffff,
    0x20000bff,0x002fffff,0x09ffff70,0x2fffffc0,0xffffffa8,0xeeeeeeee,
    0xfb05eeee,0x9999dfff,0x39999999,0x206ffff8,0xfffffff8,0x7fffe42f,
    0x55500003,0xffffb555,0x0555555d,0x40fffff3,0x07fffff8,0xacfffff8,
    0xaaaaaaaa,0x3fffee2a,0x3fffe004,0xffff885f,0x3fffea04,0x5c19999b,
    0x2004ffff,0x405fffff,0xfffffffe,0xfffbefff,0xffffc81f,0xffffffff,
    0xc80ffffc,0x6404ffff,0xb304ffff,0x47dfffff,0x000ffffa,0xfffed980,
    0x00bdffff,0x7fff5400,0x006fffff,0x0059bdd0,0x7fffecc0,0x2dffffff,
    0x7ff6e540,0x0002ccef,0x59fffff0,0x55555555,0x7fffec55,0x3fff6002,
    0xffffb07f,0xffffffff,0x0fffffff,0x3ffffff6,0xffffffff,0x7fffc3ff,
    0x7fffec06,0x7ffc2fff,0xb00000ff,0xffffffff,0xffffffff,0xfffff30f,
    0xfffffc80,0x7ffffc03,0xffffffff,0x3ff66fff,0x3f6002ff,0xffb87fff,
    0x3fea01ff,0xffffffff,0x0bffff61,0x7ffffd80,0x7ffffcc0,0xfa8dffff,
    0xfe881fff,0xffffffff,0x0ffffa8e,0x04ffffc8,0x027fffe4,0x0000d54c,
    0x35510000,0x22000003,0x001aaaa9,0x10000000,0x01355553,0x00000000,
    0x7ffffffc,0xffffffff,0xfffff16f,0xffffb800,0xffffd81f,0xffffffff,
    0x07ffffff,0xfffffffb,0xffffffff,0x6ffff87f,0x7ffffcc0,0x3ffea2ff,
    0x3600005f,0xffffffff,0xffffffff,0x7ffff987,0x7ffffc40,0x7ffffc06,
    0xffffffff,0xfff16fff,0xffb800ff,0x7ff41fff,0x7ffd406f,0x1fffffff,
    0x00fffff1,0x1fffffb8,0x7fffec40,0x3ffea3ff,0x3ffee01f,0x3ea3efff,
    0xffc80fff,0x7fe404ff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffe00,0xffffffff,0xfff56fff,0xff8800bf,0xffd84fff,
    0xffffffff,0xffffffff,0xfffffb07,0xffffffff,0xfff87fff,0xfffe806f,
    0x3ffa2fff,0x200001ff,0xfffffffd,0xffffffff,0xffff987f,0xffffd807,
    0x3fffe02f,0xffffffff,0xff56ffff,0xf8800bff,0x3e64ffff,0x7d403fff,
    0xffffffff,0xbffff51f,0xffff8800,0x5531004f,0x54c00003,0x000001aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc00,
    0xffffffff,0xfff96fff,0xffd0007f,0xfffb0dff,0xffffffff,0xffffffff,
    0x3fffff60,0xffffffff,0x7ffc3fff,0xfffa806f,0x99912fff,0xd8000099,
    0xffffffff,0xffffffff,0x7ffff987,0xfffffa80,0x3ffffe06,0xffffffff,
    0xfff96fff,0xffd0007f,0x7ffe4dff,0x7ffd400f,0x1fffffff,0x007ffff9,
    0x0dffffd0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffff,0xffffffff,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x8002aaaa,0x40000999,0xaa982aaa,0x2aaa000a,0x00aaa982,0x55544000,
    0x44002aaa,0x2aa00009,0xaaa881aa,0xaaaaa80a,0x97000000,0x001e5c07,
    0x002aaaa0,0x55550000,0x55550555,0x00001555,0x1aaa9800,0xb80f2e00,
    0xca88003c,0x000101bd,0x00155550,0x55550000,0x55550555,0x00001555,
    0x1aaaaaa8,0x54c00020,0x2a20aaaa,0x000aaaaa,0x00100988,0x000cccc4,
    0xffff8800,0x7ff64c07,0x0cefffff,0x43fffc00,0x2000ffff,0xfff87fff,
    0x2200000f,0x0dfffffe,0xfffedb80,0x7d4003df,0x3fa22fff,0xffff03ff,
    0xb000003f,0xffb0dfff,0x3f2000df,0x0000efff,0xfffffb00,0xfffb101d,
    0x00001dff,0x0ffffc00,0x86fffd80,0x2006fffd,0xdffffff9,0x90002f40,
    0x001dffff,0x7ffec000,0xfd880eff,0x000effff,0x3fffee00,0xfd9731ff,
    0xffe88003,0x7fff45ff,0xcb8802ff,0xbdfffffe,0xd9301fec,0xffffffff,
    0x2200003b,0x3e07ffff,0xffffffff,0x004fffff,0x2637fff6,0x4007fffc,
    0xc98dfffd,0x00007fff,0x3fffffa2,0xfffe9804,0x1effffff,0x3fffea00,
    0x04fffe8a,0x007ffffe,0xffff1000,0x7fffcc5f,0x7fe4002f,0x0006ffff,
    0xfffffd80,0xffffb804,0x000000ef,0x006fffa8,0x45fffff1,0x02fffff9,
    0xffffff88,0xffebcfff,0xfffc8005,0x00006fff,0x9fffffb0,0xfffff700,
    0x6400001d,0xffffffff,0x4001ffff,0x6c5ffffd,0x801effff,0xfffffffa,
    0x1fffffff,0x7ffffec4,0x2fffffff,0xfffff800,0xffffffff,0x7fffffc6,
    0xffffffff,0xfff5004f,0x7fffffff,0xffffa800,0x03ffffff,0xfffd1000,
    0xff5005ff,0xffffffff,0x5c007fff,0xffffffff,0x7ffffc04,0x7cc00001,
    0x3e63ffff,0x2003ffff,0xffeffffb,0x3600005f,0x002fffff,0x3bffffe6,
    0x64000000,0xf3004fff,0x7cc7ffff,0xd803ffff,0xffffffff,0x05ffffff,
    0x77fffdc0,0x00005fff,0x17ffffec,0xfffff300,0x9880001d,0xfffffffb,
    0x001fffff,0x917fffee,0x801dffff,0xffffffd8,0xffffffff,0x3fffa21f,
    0xffffffff,0xff8002ff,0xffffffff,0x7ffc6fff,0xfeeceeff,0x002fffff,
    0xfffffffb,0x3f6000df,0x6fffffff,0xffd10000,0xf3001dff,0xd9bfffff,
    0x03ffffff,0x7ffffdc0,0xffff805f,0xf800001f,0x3e21ffff,0x7000ffff,
    0xfd13ffff,0xb0000bff,0x001dffff,0xdffffb10,0x98800001,0x001ffff9,
    0x887ffffe,0x800fffff,0xfc88cff8,0x0effffff,0x3fffee00,0x05fffe89,
    0xffffb000,0xfb10001d,0x0001dfff,0x3fffffee,0xffffffff,0xfff3001e,
    0xffffc8bf,0xffffd005,0xffffffff,0x7f43ffff,0xccefffff,0x002fffed,
    0xfffffff8,0x46ffffff,0x3ea00bef,0x2005ffff,0x4ffffffb,0x7ffdc000,
    0x00004fff,0x09ffffd1,0x6fffff40,0x7ffff4c0,0x7ffe4005,0xffff005f,
    0x3000003f,0xff305ffd,0x3fea005f,0x3ffa21ff,0x3f60004f,0x80004fff,
    0x00effffb,0x3ff72600,0x006fffff,0x4c17ff4c,0x22002fff,0xffffd984,
    0x3fea000d,0x3ffa21ff,0x7ec0004f,0x80004fff,0x00effffb,0xfffffb80,
    0x9dffffff,0x3ffe2000,0x7fffdc5f,0xffff5003,0x7d4417ff,0xff31ffff,
    0xb980bfff,0xeeee8001,0xefffffee,0xf700045e,0x8800dfff,0x0000abb9,
    0x01577310,0x4ccc4000,0x3fea0009,0x3fe605ff,0x4c002fff,0x3fe00199,
    0x00001fff,0x00020020,0x31013333,0x22000333,0x00019999,0x02666620,
    0x7fffe400,0x3fffffff,0x00800800,0x01988000,0x01333300,0x00033331,
    0x00ccccc4,0x33331000,0xfff70001,0xfffffdff,0x9988001f,0x09999819,
    0x3ffffa00,0x3fffe01e,0xfffff71f,0x80000003,0x007ffff8,0xfffff300,
    0x00000000,0x00000000,0x7ffff400,0x7fffec00,0xf0000003,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0xfffffe98,0xffffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0xf90de75c,0x000bffff,0x7dc00000,
    0x7c02ffff,0xff91ffff,0x00003fff,0xff113300,0x20000fff,0x00fffff8,
    0x00009880,0x0004ccc0,0x40026000,0x806ffff9,0x005ffffb,0x3e000988,
    0x1300ffff,0x00000000,0x00000000,0x00000000,0xfffff880,0xffffffff,
    0x20003fff,0x00000098,0x00000131,0x00000262,0x000004c4,0x00000988,
    0xffffff88,0x00000002,0x0dffffb0,0x23fffff0,0x2efffffb,0x36e20000,
    0xfffffffe,0x988007ff,0xffffbaaa,0xfdb7000f,0x8007bfff,0xfffffec9,
    0x0000ceff,0x3fffb6e6,0xfa81ceff,0xaaaaefff,0xfffcaaaa,0xfdb7006f,
    0xf807bfff,0xd710ffff,0x0019dfff,0x801ddddd,0xe80eeeee,0x7400eeee,
    0xee80eeee,0x77400eee,0xddd00eee,0xeee801dd,0x7ffe40ee,0xffd8adff,
    0x01ffffff,0xffffb930,0x200019bf,0xfffffdc9,0x930000cd,0x9bfffffb,
    0x37260001,0x0cdfffff,0xffb93000,0x0019bfff,0xffffb910,0x801fffff,
    0x400eeeee,0x200eeeee,0x803ffffe,0xf31fffff,0x7dffffff,0x7fd40003,
    0xffffffff,0xb8807fff,0xfffffffe,0x400fffff,0xffffffe9,0xf801efff,
    0xffffffff,0x004fffff,0x7ffffe44,0x83ffffff,0xfffffffb,0xffffffff,
    0x74c07fff,0xffffffff,0xffff01ef,0xfffff31f,0xf803ffff,0x7c00ffff,
    0xff81ffff,0x7fc00fff,0xfff81fff,0x7ffc00ff,0xffff01ff,0xffff801f,
    0x3fffe21f,0x3fffe24f,0x804fffff,0xfffffffc,0x4002ffff,0xfffffffc,
    0x4002ffff,0xfffffffc,0x4002ffff,0xfffffffc,0x4002ffff,0xfffffffc,
    0x2002ffff,0xfffffffb,0x404fffff,0x400fffff,0x201fffff,0x802fffff,
    0x321fffff,0xffffffff,0xb1000bef,0xffffffff,0x0fffffff,0xffffffc8,
    0xffffffff,0x3ffea00f,0xffffffff,0x7ffc03ff,0xffffffff,0x5004ffff,
    0xffffffff,0x907fffff,0xffffffff,0xffffffff,0x7fd40fff,0xffffffff,
    0xfff83fff,0xfffffaff,0x01ffffff,0x003ffffe,0xf03fffff,0xf801ffff,
    0xff81ffff,0x7fc00fff,0xfff01fff,0xfff801ff,0x3fff21ff,0x6fffdc6f,
    0x207ffffb,0xffffffe9,0x5fffffff,0xffffe980,0xffffffff,0xffe9805f,
    0xffffffff,0xe9805fff,0xffffffff,0x805fffff,0xffffffe9,0x5fffffff,
    0x7ffff440,0xffffffff,0x3ffe00ff,0x7ffc00ff,0xfff301ff,0xfff003ff,
    0x7fec43ff,0xffffffff,0x7fec00df,0xffffffff,0x207fffff,0xfffffffd,
    0xffffffff,0xffff300f,0xfffd9bff,0x7fc03fff,0xeeceefff,0x02ffffff,
    0x7fffffd4,0xffffffff,0xfffffd83,0xffffffff,0x307fffff,0x9bffffff,
    0x3ffffffd,0xfffffff8,0xffffffff,0x3ffe06ff,0x7ffc00ff,0xffff81ff,
    0x7fffc00f,0xfffff81f,0x7ffffc00,0x1fffff01,0x1fffff80,0xb0bffffa,
    0xfff17fff,0x3ffa03ff,0xffffffff,0x403fffff,0xfffffffe,0xffffffff,
    0x7ffff403,0xffffffff,0x7f403fff,0xffffffff,0x03ffffff,0x7ffffff4,
    0xffffffff,0x3fff603f,0xffffffff,0x3e04ffff,0x7c00ffff,0xf501ffff,
    0xf001ffff,0xf703ffff,0xffffffff,0x3ea05fff,0x20afffff,0x07ffffb8,
    0x9ffffff9,0xfff75557,0x3ffa01ff,0x7f4c0dff,0x3be05fff,0x3ffea00b,
    0x3fa205ff,0xabdfffff,0xc83ffcca,0xaaadffff,0xaaaaaaaa,0xfffd02aa,
    0xffe981bf,0x7fffc5ff,0xb9bfffff,0x02ffffff,0x801fffff,0xf81fffff,
    0x7c00ffff,0xff81ffff,0x7fc00fff,0xfff01fff,0xfff801ff,0x3fffe1ff,
    0x87fffc47,0xb83ffffd,0xacffffff,0xfffffeb9,0xffff700f,0xfd7359ff,
    0x201fffff,0xcffffffb,0xffffeb9a,0xfff700ff,0xd7359fff,0x01ffffff,
    0x3fffffee,0xfffeb9ac,0xffa80fff,0x220affff,0x207fffff,0x400fffff,
    0x301fffff,0x003fffff,0x403fffff,0xffffffd9,0x7c40ffff,0x100effff,
    0xf10fffff,0x201bffff,0x80fffff8,0x205ffffa,0x02fffff9,0x7ffdc001,
    0x3fff206f,0x15401eff,0x02ffffdc,0xffff5000,0x7fffcc0b,0x3ffffe2f,
    0xfff984ff,0xffff05ff,0xffff801f,0xfffff81f,0x7ffffc00,0x0fffff81,
    0x0fffffc0,0x00fffff8,0x88fffffc,0x7dc6ffff,0x3fff65ff,0x7fffc43f,
    0xfff900ef,0xfff109ff,0x3f201dff,0xf884ffff,0x900effff,0x109fffff,
    0x01dfffff,0x13fffff2,0x3bffffe2,0xfffff900,0xfffff889,0xffff900e,
    0x3fffe03f,0x7fffc00f,0xffff101f,0xffff003f,0x3f2a003f,0x44ffffff,
    0x01fffffb,0x21ffffe2,0x00fffffa,0x03ffffe2,0x003ffffa,0x007ffffb,
    0xfffff300,0x3ffffe60,0x7fd40006,0x200006ff,0x400ffffe,0x3e3ffffd,
    0x205fffff,0x80fffffc,0x400fffff,0xf81fffff,0x7c00ffff,0xff81ffff,
    0x7fc00fff,0xfff01fff,0xfff801ff,0xffff51ff,0x22fffe8b,0x644ffffc,
    0x400fffff,0xc87ffffe,0x400fffff,0xc87ffffe,0x400fffff,0xc87ffffe,
    0x400fffff,0xc87ffffe,0x400fffff,0x5c7ffffe,0x202fffff,0x03fffff9,
    0x801fffff,0x201fffff,0x403fffff,0x01fffffb,0x7fffec40,0x7fffec6f,
    0x7fffc406,0x6ffffc87,0x7ffffd40,0x37fffcc0,0x2ffffdc0,0x7ffc4000,
    0xfffb80ff,0x4c0002ff,0x002fffff,0x6ffff980,0x5ffffb80,0x017ffffe,
    0x03fffff3,0x801fffff,0xf81fffff,0x7c00ffff,0xff81ffff,0x7fc00fff,
    0xfff01fff,0xfff801ff,0xffff51ff,0x07fffc4b,0xe89ffff9,0xa804ffff,
    0x740fffff,0xa804ffff,0x740fffff,0xa804ffff,0x740fffff,0xa804ffff,
    0x740fffff,0xa804ffff,0x360fffff,0xe806ffff,0xff05ffff,0xff801fff,
    0x3fa01fff,0x3ea05fff,0x001fffff,0x8fffffd0,0x403ffffe,0xb87ffff8,
    0x701fffff,0x81ffffff,0xaaeffffa,0xfcaaaaaa,0x44006fff,0xfffbaaa9,
    0xfffc80ff,0xfd00006f,0x0001dfff,0xaeffffa8,0xcaaaaaaa,0x3fe6ffff,
    0x7c401fff,0xff82ffff,0x7fc00fff,0xfff81fff,0x7ffc00ff,0xffff81ff,
    0x7fffc00f,0xfffff01f,0xfffff801,0x4dffff51,0x7ec5fffb,0x7ffc3fff,
    0xff8801ff,0x7ffc1fff,0xff8801ff,0x7ffc1fff,0xff8801ff,0x7ffc1fff,
    0xff8801ff,0x7ffc1fff,0xff8801ff,0x3ffa1fff,0xffd803ff,0xffff06ff,
    0xffff801f,0x3fff201f,0xfff981ff,0x0001ffff,0xf8bffffd,0x4402ffff,
    0xfa87ffff,0x220dffff,0xfffffffc,0x7ffffdc0,0xffffffff,0x407fffff,
    0xfffffeb8,0x0fffffff,0x05ffffe8,0xffff5000,0x3b9807ff,0xffffffb8,
    0xffffffff,0x3fe7ffff,0xff801fff,0xfff83fff,0x7ffc00ff,0xffff81ff,
    0x7fffc00f,0xfffff81f,0x7ffffc00,0x1fffff01,0x1fffff80,0x74fffff3,
    0x7ff42fff,0x3ffe21ff,0xfff000ff,0x7ffc47ff,0xfff000ff,0x7ffc47ff,
    0xfff000ff,0x7ffc47ff,0xfff000ff,0x7ffc47ff,0xfff000ff,0x7fffc7ff,
    0xfffc802f,0xfffff07f,0xfffff801,0x3fffe201,0xffc98aff,0x91ffffff,
    0xffc8017b,0x3fe63fff,0x7c401fff,0xff887fff,0xfeefffff,0xffffffff,
    0x7ffffe40,0xffffffff,0x207fffff,0xfffffffc,0xffffffff,0x4fffff80,
    0x3ff60000,0xedefffff,0xc86fffee,0xffffffff,0xffffffff,0x3fffe7ff,
    0xfffe801f,0xfffff84f,0x7ffffc00,0x0fffff81,0x0fffffc0,0x007ffffc,
    0x407ffffe,0x400fffff,0xf11fffff,0xff11ffff,0x7ffc41ff,0x3ffea0ff,
    0x3ffa007f,0x3ffea4ff,0x3ffa007f,0x3ffea4ff,0x3ffa007f,0x3ffea4ff,
    0x3ffa007f,0x3ffea4ff,0x3ffa007f,0xffff14ff,0xfff7003f,0x3fffe0ff,
    0x7fffc00f,0x7ffec01f,0xffffffff,0x91ffffff,0x999ddfff,0xfffffffd,
    0x7ffffd43,0x7fffc400,0xfffff907,0x9fffffff,0xfd81ffff,0xffffffff,
    0xffffffff,0xffffb07f,0xffffffff,0xf881ffff,0x0003ffff,0x3ffffe20,
    0xffffffff,0xfffd86ff,0xffffffff,0x7fffffff,0x007ffffe,0x20fffffe,
    0x400fffff,0xf81fffff,0x7c00ffff,0xff81ffff,0x7fc00fff,0xfff01fff,
    0xfff801ff,0x3fffa1ff,0x45fffbcf,0x547ffffb,0x2007ffff,0x2a3ffffe,
    0x2007ffff,0x2a3ffffe,0x2007ffff,0x2a3ffffe,0x2007ffff,0x2a3ffffe,
    0x2007ffff,0xf53ffffe,0x7001ffff,0x3e0fffff,0x7c00ffff,0x4c01ffff,
    0xffffffff,0xfffeefff,0xfffff91f,0xffffffff,0xfff985ff,0x7fc401ff,
    0xffd107ff,0xdfffffff,0x81ffff51,0xaadffffc,0xaaaaaaaa,0xffc82aaa,
    0xaabcffff,0x0fffffba,0x05fffff8,0x7fe44000,0xffffffff,0xffc86fff,
    0xaaaaadff,0xaaaaaaaa,0x07ffffe2,0x5fffff10,0x01fffff0,0x81fffff8,
    0x400fffff,0xf81fffff,0x7c00ffff,0xff01ffff,0xff801fff,0x3fee1fff,
    0x2fffefff,0x0fffffe6,0x01fffff3,0x8bffffe0,0x00fffff9,0x45fffff0,
    0x00fffff9,0x45fffff0,0x00fffff9,0x45fffff0,0x00fffff9,0x25fffff0,
    0x01fffff9,0x07ffffc8,0x801fffff,0x801fffff,0xfffffff9,0xfffe8dff,
    0xfffff91f,0xffffffff,0xffff105f,0xfff8803f,0x7ffdc07f,0x3ea3efff,
    0x7fdc0fff,0x100005ff,0x01bfffff,0x03ffffe2,0x01bffffa,0x7fecc000,
    0xffffffff,0xffffb82d,0xfff80005,0x7fcc01ff,0xfff80fff,0x7ffc00ff,
    0xffff81ff,0x7fffc00f,0xfffff81f,0x7ffffc00,0x1fffff01,0x1fffff80,
    0x3fffffe2,0xfff517ff,0xfff10dff,0xff1003ff,0x7fc43fff,0xf8801fff,
    0x3e21ffff,0x8801ffff,0x221fffff,0x801fffff,0x21fffff8,0x01fffff8,
    0x1fffff88,0x05fffff1,0x0dffffb0,0x003ffffe,0x003fffff,0x3fffff62,
    0x3ffffa3f,0xfffffd51,0x17dfffff,0x17ffffc0,0x1fffff20,0x40d554c0,
    0xfa85fffd,0x00006fff,0x01fffff5,0x07ffffc4,0x0fffffe4,0x26200000,
    0x405ffffb,0x006ffffa,0x1fffff80,0x3ffffdc0,0x01fffff8,0x07ffffee,
    0x807ffffe,0x81fffffb,0x201fffff,0x01fffffb,0x403fffff,0x41fffffb,
    0xfffffffb,0xffffffef,0xfffff02f,0xffff5007,0xfffff81f,0xffffa803,
    0x7ffffc0f,0xffffa803,0x7ffffc0f,0xffffa803,0x7ffffc0f,0xffffa803,
    0x3ffffe0f,0xffffe803,0x3fffff05,0x7ffffdc0,0x1aa98001,0x81fffff8,
    0x9aaaaaa9,0xffffd001,0x7fffd40b,0xfb00007f,0x3fe60dff,0x80002fff,
    0x406ffffc,0x80fffffa,0x06fffffb,0xffb00000,0xfff300bf,0xf80005ff,
    0x7c01ffff,0xff06ffff,0x3ea07fff,0xf81fffff,0xf503ffff,0xf03fffff,
    0x2a07ffff,0x01ffffff,0x207fffff,0x1ffffffa,0xffffffd8,0xffffffff,
    0x3ffffa03,0xffffe807,0x7ffffe86,0x6ffffe80,0x07ffffe8,0x86ffffe8,
    0x807ffffe,0xe86ffffe,0xe807ffff,0x7f46ffff,0x7d406fff,0xff03ffff,
    0x3ea07fff,0x001fffff,0xfffff800,0x32000001,0x981fffff,0x07ffffff,
    0xffffa800,0x3ffffa00,0x7dc0000e,0xf701ffff,0x101fffff,0x1bffffff,
    0x50001880,0x2001ffff,0x00effffe,0x3ffffe00,0x3ffff201,0xffffd02f,
    0xfffff30b,0xfffd03ff,0xffff30bf,0xffd03fff,0xfff30bff,0x3a03ffff,
    0xf985ffff,0x01ffffff,0xfffffff9,0x803dffff,0x05fffffb,0x0bfffff2,
    0x17ffffee,0x2fffffc8,0x5fffffb8,0x3fffff20,0xfffffb82,0x3ffff205,
    0xffffb82f,0x3fff205f,0x7ffe42ff,0xffd103ff,0x3fa01fff,0xff985fff,
    0x001fffff,0xfffff800,0x66664401,0xffff3002,0xff7115ff,0x00ffffff,
    0x0bfffd00,0xffffffa8,0x541dcc03,0x20dfffff,0xffffffc8,0xffff700f,
    0x53359fff,0x20009fb7,0x2006fffe,0x3ffffffa,0x3fe1dcc0,0xfd882fff,
    0x3605ffff,0x98cfffff,0xfffffffd,0xffffd81f,0xfffd98cf,0xd81fffff,
    0x98cfffff,0xfffffffd,0xffffb01f,0xfffb319f,0x403fffff,0xfffffffc,
    0xfd000cef,0x115dffff,0xdfffffb5,0x7fffff40,0xffda88ae,0x3fa06fff,
    0x88aeffff,0x6fffffda,0x3fffffa0,0xffda88ae,0x3fa06fff,0x88aeffff,
    0x6fffffda,0xffffff88,0xfffa889c,0x3f604fff,0xd98cffff,0xffffffff,
    0xff800001,0x7d401fff,0x36002fff,0xffffffff,0xffffffff,0xfff80007,
    0xfffd806f,0xeedeffff,0xf886fffe,0xeeffffff,0xffffffff,0x3fffa00f,
    0xffffffff,0xf0004fff,0xd800ffff,0xefffffff,0x6fffeeed,0x7ffffffc,
    0xffffffee,0x3fea00ff,0xffffffff,0x1fffffff,0xffffffa8,0xffffffff,
    0xffa81fff,0xffffffff,0x1fffffff,0xffffff50,0xffffffff,0x7fc03fff,
    0x001aabff,0xffffff50,0xffffffff,0x7fd403ff,0xffffffff,0x01ffffff,
    0x3fffffea,0xffffffff,0x3fea01ff,0xffffffff,0x01ffffff,0x3fffffea,
    0xffffffff,0xfff901ff,0xffffffff,0x401fffff,0xfffffffa,0xffffffff,
    0x800001ff,0x401fffff,0x4007fffc,0xfffffff9,0xffcdffff,0xfe80007f,
    0x106effff,0xffffffff,0xdfffffff,0x3fffff20,0xcfffffff,0x2600ffff,
    0xffffffff,0x04ffffff,0xfffffd00,0xfff100dd,0xffffffff,0xff8dffff,
    0xffffffff,0x02ffffff,0xffffffe8,0xffbeffff,0xfffd01ff,0xdfffffff,
    0x203ffff7,0xfffffffe,0xfffbefff,0x3fffa01f,0xefffffff,0x301ffffb,
    0x0000dfff,0x7fffffec,0xffffffff,0xffffd803,0xffffffff,0xffd803ff,
    0xffffffff,0xd803ffff,0xffffffff,0x03ffffff,0xffffffd8,0xffffffff,
    0x3fffa203,0xffffffff,0xfe801fff,0xffffffff,0x1ffffbef,0xfff80000,
    0x7ff401ff,0xff98005f,0x5fffffff,0x000ffff7,0xffffff90,0x7ffe440f,
    0xffffffff,0xffd106ff,0xdfffffff,0x01ffff51,0xffffff90,0x09ffffff,
    0x3ffff200,0xf91007ff,0xffffffff,0xff8dffff,0xffffffff,0x000dffff,
    0xfffffff3,0xfff51bff,0x3ffe603f,0x8dffffff,0x301ffffa,0xffffffff,
    0xffff51bf,0x7fffcc03,0xa8dfffff,0xf901ffff,0x800009ff,0xfffffffb,
    0x001effff,0x3fffffee,0x01efffff,0x3ffffee0,0x1effffff,0x3fffee00,
    0xefffffff,0x3ffee001,0xffffffff,0xffc8801e,0xffffffff,0xff3001ff,
    0xbfffffff,0x03ffff51,0xffff0000,0xffff803f,0xffb30002,0x7dc5dfff,
    0x880007ff,0x07fffffe,0xfffffd98,0x02dfffff,0x7fffffdc,0x3fffea3e,
    0xffdb3000,0x17bfffff,0x3ffa2000,0x4c007fff,0xfffffffd,0x5cc2dfff,
    0xfffffffd,0x88001def,0x3ffffffd,0x807fffea,0xffffffd8,0x07fffea3,
    0xfffffd88,0x3fffea3f,0x7ffec401,0x3fea3fff,0xffff01ff,0xb1000003,
    0xdfffffff,0x3f620009,0x4effffff,0xfffb1000,0x009dffff,0x3ffff620,
    0x0004efff,0xffffffb1,0xd50009df,0xdfffffff,0xffb10007,0x7d47ffff,
    0x00001fff,0x01fffff8,0x003fffe6,0x006aa600,0x99500000,0x98800599,
    0x0009aaaa,0x001aaa98,0x4d544000,0x65400001,0x20002ccc,0x09aaaa98,
    0x2aa66200,0x26200001,0x200001aa,0x0001aa98,0x006aa620,0x35531000,
    0x66644000,0x88000004,0x00001aa9,0x000d54c4,0x06aa6200,0x55310000,
    0x98800003,0x200001aa,0x0009aaa8,0x01aa9880,0x32000000,0x2600cccc,
    0x00004eee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05ffff98,0x79701e5c,0xaaaa8000,0x54000000,0xa82aaaaa,0x00aaaaaa,
    0x6e544000,0x8000101b,0x0000aaaa,0x1e5c0797,0x2f72a200,0xa8000101,
    0x00000aaa,0x55555540,0xaaaaaa82,0x4400000a,0x02bcdcba,0x00006000,
    0x00004cc0,0x000aaaa0,0x40009980,0x000bcdba,0x50055551,0x55303555,
    0x01100055,0x2a000000,0x002aaaaa,0x0037ff22,0x7dc00000,0x3f602fff,
    0xfffd86ff,0xfff90006,0x000001df,0x3bfffff6,0xffffd880,0x300000ef,
    0x1bffffff,0xf90005e8,0x8001dfff,0xfd86fffd,0xff3006ff,0xe81bffff,
    0xfff90005,0x000001df,0x3bfffff6,0xffffd880,0x880000ef,0xfffffffc,
    0x90000bff,0x3a007fff,0x3f262eee,0x000cefff,0x2ffffec0,0x47dddd10,
    0x4fffffd9,0x7fffec40,0xffc802ff,0xfffb804f,0x3fffe61f,0xfffb7002,
    0x000007bf,0x3fffff60,0x3ff6000e,0x000006ff,0x0ffffb00,0x17ffffc4,
    0x05fffff3,0xfffffc80,0xd800006f,0x804fffff,0x0efffffb,0x7ffc4000,
    0xbcffffff,0x64005ffe,0x06ffffff,0x3ffffe20,0x3ffffe62,0x7fffc402,
    0xebcfffff,0x7e4005ff,0x006fffff,0xffffd800,0xfffb804f,0x20000eff,
    0xfffffffa,0x00efffff,0x7ffffdc0,0x4ffff802,0xfffffff7,0x360003ff,
    0x05ffffff,0x2ebffff1,0xffffffff,0xffffd01e,0x4c03ffff,0x7000efff,
    0xff33ffff,0xfd3007ff,0xdfffffff,0x6c000005,0x004fffff,0x7fffffc4,
    0x80000002,0x2605fffe,0x263fffff,0x003fffff,0x3fbfffee,0x200005ff,
    0x02fffffd,0x3ffffe60,0x3f60000e,0xffffffff,0x005fffff,0x3fbfffee,
    0xff3005ff,0x7fcc7fff,0x7ec03fff,0xffffffff,0x005fffff,0x3fbfffee,
    0x200005ff,0x02fffffd,0x3ffffe60,0xff88000e,0xffffffff,0x4006ffff,
    0x05fffffe,0xfbcffff8,0xffffffff,0x7e4001ff,0x4fffffff,0xbdffff88,
    0xffffffff,0xfffb86ff,0x06ffffcf,0x000bfffa,0xfffffff9,0xfff5009f,
    0xffffffff,0xb000003f,0x005fffff,0xffffff10,0xffb00005,0x3fe209ff,
    0x7ffc02ff,0x3ffe21ff,0xff7000ff,0xfffd13ff,0xffb0000b,0x10001dff,
    0x01dffffb,0x233fe200,0xffffffc8,0xff7000ef,0xfffd13ff,0x3fffe00b,
    0x3fffe21f,0x67fc400f,0xfffffc88,0xf7000eff,0xffd13fff,0xfb0000bf,
    0x0001dfff,0x1dffffb1,0xffffe800,0xffebaacf,0x3e002fff,0x805fffff,
    0xffffffff,0xffffffff,0x3ff2006f,0xffff98ff,0x7ffffc44,0xffffffff,
    0x7fc2ffff,0xfffd10ff,0x09fff901,0x3ffff200,0xff8804ff,0xfffeffff,
    0x0000efff,0x3bffff60,0x3ffa0000,0x80000fff,0x504ffffd,0xd300ffff,
    0xfff305ff,0x3ffea005,0x3fffa21f,0x3ff60004,0xb80004ff,0x000effff,
    0xffb30910,0x2a001bff,0x3a21ffff,0xe9804fff,0xfff982ff,0xb3091002,
    0x001bffff,0x887fffea,0x0004fffe,0x013ffff6,0x3fffee00,0xfff5000e,
    0xffd103ff,0x7ec009ff,0xf803ffff,0xffffffff,0xfffffb9b,0xfffb802f,
    0x3fffe60f,0x3ffffe23,0xfa8aefff,0x3e25ffff,0x7ffe45ff,0x07fffcc1,
    0xffffb000,0x3fff2009,0x3ffee0ef,0xb00002ff,0x0009ffff,0x07ffff30,
    0x3fff6000,0x9fff904f,0x00400400,0x20266660,0x00019998,0x00333331,
    0x4cccc400,0x31000000,0x33330003,0x03333101,0x00040040,0x00066200,
    0x22026666,0x10001999,0x00033333,0x04cccc40,0x4ffffb80,0x1bfffee0,
    0x6ffff880,0xffffff00,0xffff309f,0x333300bf,0x43333101,0xfffffff8,
    0x7ffffb83,0xf713ffe6,0xfffe85ff,0x99980002,0x3fffa001,0xffffc80f,
    0x99880004,0x20000199,0x00000aa8,0x413ffff6,0x00009998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x3f202fff,0x44005fff,0x3fe002cb,0x3205ffff,0x000fffff,
    0x7ffc4000,0xff105fff,0x3fe61fff,0x0fffdc4f,0x000bfff7,0x7fc40000,
    0xfff305ff,0x000000bf,0x00000000,0x27fffec0,0x4c400000,0x98800000,
    0x98800000,0x31000000,0x00000001,0x99988000,0x99980001,0x4cc00000,
    0x4c000009,0x40000099,0x00000999,0x20009998,0x201ffffe,0x003ffffe,
    0xffff0000,0xfff980bf,0x4c0001ff,0x3fffe200,0x7fffc06f,0x8dfff10f,
    0xff30fffd,0x000001ff,0xfff30013,0x3ffea0bf,0x2200004f,0x00001999,
    0x7ec00000,0x00004fff,0xffffdb70,0x6dc0007b,0x03dffffe,0x3ffb6e00,
    0x40003dff,0xdffffedb,0xddddd003,0xeeeee801,0xffec9800,0x1dffffff,
    0x7fff64c0,0x00ceffff,0x3fffb260,0x00ceffff,0x3fffb260,0x00ceffff,
    0x3fffb260,0x00ceffff,0x7fff64c0,0x00ceffff,0x407ffffe,0x00fffffd,
    0xfff00000,0xff8803ff,0x26002fff,0xfffffedb,0xffff11ce,0xcccc803f,
    0x4ffffe0c,0x3fa6fffa,0x980002ff,0xfffffedb,0x7ffc41ce,0xffff907f,
    0x764c0005,0xffffffff,0x3bbaa01d,0xeeeeeeee,0x004eeeee,0x027fffec,
    0x3ffa6000,0xefffffff,0x3ffa6001,0xefffffff,0x3ffa6001,0xefffffff,
    0x7ff4c001,0xefffffff,0x7ffffc01,0x7ffffc00,0x3fff6201,0xffffffff,
    0x3fffe02f,0xffffffff,0xfff804ff,0xffffffff,0xff804fff,0xffffffff,
    0xf804ffff,0xffffffff,0x004fffff,0xffffffff,0x09ffffff,0x207ffffe,
    0x03fffffd,0xddddddd1,0xf005dddd,0xf003ffff,0x1007ffff,0xfffffff9,
    0x3e27ffff,0x0001ffff,0x7fffffdc,0xfff72fff,0xfc88000b,0xffffffff,
    0xfffe83ff,0x7fffd42f,0xfd88000f,0xffffffff,0x3ee02fff,0xffffffff,
    0x6fffffff,0x7fffec00,0x3ea00004,0xffffffff,0xa803ffff,0xffffffff,
    0x803fffff,0xfffffffa,0x03ffffff,0xffffff50,0x7fffffff,0x07ffffc0,
    0x07ffffe0,0x7fffff44,0xffffffff,0x3ffffe02,0xffffffff,0x7ffc04ff,
    0xffffffff,0x7c04ffff,0xffffffff,0x04ffffff,0x7ffffffc,0xffffffff,
    0xfffff804,0xffffffff,0xffff84ff,0x7fffe41f,0x3ffe203f,0xffffffff,
    0xfffff802,0xffffe801,0x7fffd404,0xffffffff,0xfffff13f,0xffd00003,
    0x22bfffff,0x0000ffff,0x3fffffea,0x3fffffff,0x0fffffc8,0x07fffff5,
    0xffffd100,0xffffffff,0x7ffdc05f,0xffffffff,0x006fffff,0x027fffec,
    0xffff9800,0xfffecdff,0x3e601fff,0xecdfffff,0x01ffffff,0x3fffffe6,
    0xfffffecd,0x7ffcc01f,0xffecdfff,0xff01ffff,0xff801fff,0xffd01fff,
    0xb99dffff,0x7c05fffd,0xeceeffff,0x2ffffffe,0x3bffffe0,0xffffeece,
    0x3ffe02ff,0xfeeceeff,0x202fffff,0xceefffff,0xffffffee,0x7ffffc02,
    0xfffeecee,0x7ffc2fff,0x3ffea1ff,0x7fc402ff,0xffffffff,0xffff802f,
    0xffff801f,0x3ffea03f,0xffffffff,0xfff13fff,0x200003ff,0x23fffffc,
    0x0002fffe,0x3fffffea,0xffffffff,0xfffff883,0x5fffffdd,0xffffd000,
    0xfdb99dff,0x7fdc05ff,0xffffffff,0x06ffffff,0x27fffec0,0xfffe8000,
    0x7ff4c0df,0x3ffa05ff,0x7f4c0dff,0x3fa05fff,0x74c0dfff,0x7405ffff,
    0x4c0dffff,0xf05ffffe,0xf801ffff,0xf981ffff,0x4c05ffff,0x02fbe01b,
    0x5fffffa8,0xa802fbe0,0x205fffff,0x3ea00bef,0x3e05ffff,0x3fea00be,
    0x77c05fff,0x3ffea00b,0x7fffc5ff,0x3ffffa1f,0xffff8804,0x2fffffff,
    0x1fffff80,0x7ffffc40,0xffffd102,0x99557bff,0x3ffe27ff,0x400001ff,
    0x7ffdc0a9,0x3fa20005,0xabdfffff,0x503ffcca,0xffffffff,0x260009ff,
    0x405fffff,0x332a01b9,0xdccccccc,0x02ffffff,0x27fffec0,0x7ffd4000,
    0x3ffe605f,0xfffa82ff,0x3ffe605f,0xfffa82ff,0x3ffe605f,0xfff502ff,
    0x7ffcc0bf,0xffff82ff,0x7fffc00f,0xffffb81f,0x0080001f,0x1bfffee0,
    0x3fee0008,0x800206ff,0x206ffffb,0x3ffee000,0x7000406f,0xff8dffff,
    0x3ffe1fff,0x333001ff,0xfffff333,0xfffff005,0xffff9803,0xffff900f,
    0x12a803df,0x003fffff,0xfff10000,0x7e40001f,0x401effff,0x3fff602a,
    0x002effff,0x3ffffee0,0x20000001,0x04fffffd,0x4ffffd80,0xfffe8000,
    0x7ffec00f,0xffffe83f,0x7fffec00,0x0ffffe83,0x1ffffec0,0x00ffffe8,
    0x41ffffec,0x400fffff,0xc81fffff,0x001fffff,0x7fcc0000,0x300007ff,
    0x000fffff,0x1ffffe60,0x7ffcc000,0x2600007f,0x7fc7ffff,0xfff11fff,
    0xf80007ff,0xf802ffff,0x5c01ffff,0xf307ffff,0x000dffff,0x03fffff1,
    0xffb00000,0x7cc0007f,0x0006ffff,0xffffffb0,0xff900009,0x00003fff,
    0x3fffee00,0xffb0005f,0x980009ff,0xb806ffff,0x7cc5ffff,0xfb806fff,
    0x7fcc5fff,0xffb806ff,0xfff985ff,0xfffb806f,0xfffff85f,0x7ffffc00,
    0xfffffb81,0x0000002e,0x03ffffe2,0x3ffe2000,0x880000ff,0x000fffff,
    0xfffff880,0xff100000,0x7ffc1fff,0x3fffa1ff,0x3e0000ef,0xf802ffff,
    0x7c01ffff,0xf706ffff,0x0005ffff,0x03fffff1,0xffb80000,0x7dc0006f,
    0x0002ffff,0x7fffff44,0x664c0eff,0x3fee01cc,0x0002efff,0x7fffcc00,
    0xfb0000ef,0x80009fff,0xaaeffffa,0xfcaaaaaa,0x7fd46fff,0xaaaaaeff,
    0xffffcaaa,0x77fffd46,0xaaaaaaaa,0xa86ffffc,0xaaaeffff,0xffcaaaaa,
    0xffff86ff,0x7fffc00f,0xffff981f,0x001befff,0x2aaa6200,0x00fffffb,
    0x5d554c40,0x000fffff,0x7dd554c4,0x4000ffff,0xffbaaa98,0x88000fff,
    0xfffbaaa9,0x3fffe0ff,0x3ffff61f,0xff0000ef,0xff005fff,0x7e403fff,
    0xf902ffff,0x2000dfff,0x01fffff8,0x3fe20000,0x640000ff,0x0006ffff,
    0x7fffff44,0x7dc5ffff,0x3e601fff,0xbeffffff,0x7c400001,0x001fffff,
    0x13ffff60,0xffff7000,0xffffffff,0x8fffffff,0xfffffffb,0xffffffff,
    0x7fdc7fff,0xffffffff,0xffffffff,0xfffffb87,0xffffffff,0xf87fffff,
    0x7c00ffff,0xf901ffff,0xffffffff,0xb880017d,0xfffffffe,0x400fffff,
    0xfffffeb8,0x0fffffff,0x7fff5c40,0xffffffff,0x7f5c400f,0xffffffff,
    0xb8800fff,0xfffffffe,0x3e0fffff,0x3e21ffff,0x02ffffff,0x2fffff80,
    0x2fffff80,0xfffffd88,0x3ffffa05,0xfff10005,0x000003ff,0x731fffec,
    0xfd00179b,0x8000bfff,0xfceffffe,0x3ee3ffff,0x7e401fff,0xffffffff,
    0xe80000be,0x003fffff,0x27fffec0,0x3fff2000,0xffffffff,0x7fffffff,
    0x7fffffe4,0xffffffff,0x7e47ffff,0xffffffff,0xffffffff,0xffffc87f,
    0xffffffff,0x87ffffff,0x400fffff,0x101fffff,0xfffffffb,0x001bffff,
    0xfffffff9,0xffffffff,0x7fffe401,0xffffffff,0x3f200fff,0xffffffff,
    0x00ffffff,0x3ffffff2,0xffffffff,0x7ffe400f,0xffffffff,0x3fe0ffff,
    0x7fdc1fff,0x004fffff,0x017ffffc,0x7ffffffc,0xffffffee,0x3ffe00ff,
    0xf10004ff,0x0003ffff,0x5bffea00,0xffffffd8,0x7ffffc02,0x3fea0004,
    0xfffb1fff,0x3fff25ff,0x7fec400f,0xffffffff,0xf90000df,0x000bffff,
    0x09ffffb0,0xffffd800,0xffffffff,0x47ffffff,0xfffffffd,0xffffffff,
    0x7fec7fff,0xffffffff,0xffffffff,0xfffffd87,0xffffffff,0xf87fffff,
    0x7c00ffff,0x5c01ffff,0xffffffff,0x3602ffff,0xffffffff,0xffffffff,
    0xfffffb00,0xffffffff,0x3f601fff,0xffffffff,0x0fffffff,0xffffffb0,
    0xffffffff,0x7fec01ff,0xffffffff,0x20ffffff,0xb81fffff,0x3fffffff,
    0x3ffffe00,0xfffff802,0xffffffff,0x3e202fff,0x0003ffff,0x03fffff1,
    0xfff10000,0x3ffffa3f,0xf102ffff,0x0007ffff,0x11fffff4,0xd3fffffd,
    0x5c00ffff,0xffffffff,0x4002ffff,0x0efffffa,0xfffd8000,0x7e40004f,
    0xaaaadfff,0xaaaaaaaa,0x7fffe42a,0xaaaaaaad,0x42aaaaaa,0xaadffffc,
    0xaaaaaaaa,0xffc82aaa,0xaaaaadff,0xaaaaaaaa,0x0fffff82,0x0fffffc0,
    0xffffd980,0x80ffffff,0xcffffffc,0xfffbaaab,0xfffc80ff,0xaaabcfff,
    0x80fffffb,0xcffffffc,0xfffbaaab,0xfffc80ff,0xaaabcfff,0x00fffffb,
    0x9ffffff9,0xfff75557,0x7fffc1ff,0xffff501f,0x3e003fff,0xf802ffff,
    0xffffffff,0x00dfffff,0x05fffff8,0xfffff100,0xfb000003,0x3ffea7ff,
    0x06ffffcf,0x017ffffe,0x1fffff80,0x77ffffcc,0x8006ffff,0xffffffd9,
    0x3000ffff,0x01ffffff,0x3fff6000,0x7dc0004f,0x00005fff,0x00bffff7,
    0x3fffee00,0x3ee00005,0x00005fff,0x003ffffe,0x003fffff,0xfffff950,
    0xfff889ff,0xff100dff,0xff881fff,0xf100dfff,0xf881ffff,0x100dffff,
    0x881fffff,0x00dfffff,0x01fffff1,0x1bfffff1,0x3ffffe20,0x07ffffe0,
    0xfffffe88,0xfffff004,0xfffff005,0xbdffffff,0x7fff4003,0xff10006f,
    0x00003fff,0x3a6fffa8,0x3ffa0fff,0xffffd01f,0x3fe2000d,0xfff507ff,
    0x05ffffff,0xfffca800,0x8804ffff,0x02fffffe,0x3fff6000,0x7d40004f,
    0x00006fff,0x00dffff5,0x3fffea00,0x3ea00006,0x00006fff,0x807ffffe,
    0x01fffffb,0x3fff6200,0x7ffd46ff,0x3fe200ff,0x7fd40fff,0x3e200fff,
    0x7d40ffff,0x2200ffff,0x540fffff,0x200fffff,0x80fffff8,0x00fffffa,
    0x83ffffe2,0x401fffff,0x06fffff8,0x05fffff0,0x33fffff0,0x64000355,
    0x001fffff,0x10000000,0x7fc3ffff,0x17ffe46f,0x1fffffc8,0xffff9800,
    0x3fffee07,0x00007fff,0x3fffff62,0xffffd806,0x6c00004f,0x0004ffff,
    0x17ffffcc,0x7ffcc000,0x980002ff,0x002fffff,0xfffff300,0x3fe00005,
    0xff503fff,0x0003ffff,0x8fffffd0,0x406ffffc,0x40fffffa,0x406ffffc,
    0x40fffffa,0x406ffffc,0x40fffffa,0x406ffffc,0x80fffffa,0x406ffffc,
    0x20fffffa,0x801fffff,0x007ffffc,0x005fffff,0x003fffff,0x7fffdc00,
    0x0000006f,0x9fff9000,0x2a2fffc4,0xff703fff,0x1000dfff,0x401fffff,
    0x4ffffffd,0xffe80000,0x7fdc07ff,0x00006fff,0x04ffffd8,0xffffe800,
    0xfe80000e,0x0000efff,0x0effffe8,0xfffd0000,0xd00001df,0xf30bffff,
    0x03ffffff,0xffffd000,0xfffffb8b,0xfffff701,0xffffb81f,0xffff701f,
    0xfffb81ff,0xfff701ff,0xffb81fff,0xff701fff,0xf701ffff,0x2e03ffff,
    0x20ffffff,0x801fffff,0x006ffffb,0x005fffff,0x003fffff,0x7fffc400,
    0x0c400dff,0x0b333220,0x1bffea00,0xfb8bfff1,0xfff102ff,0x8801bfff,
    0x17ffffe1,0xfffffe88,0xfe800002,0x3e605fff,0x000fffff,0xffffd800,
    0xffa80004,0x4c03ffff,0xffff503b,0x3b9807ff,0xffffff50,0x203b9807,
    0x3ffffffa,0xfd81dcc0,0xd98cffff,0xffffffff,0x400bdc81,0x43fffffc,
    0x0dfffffa,0x3fffff22,0x7ffd40ff,0x3f220dff,0x40ffffff,0x0dfffffa,
    0x3fffff22,0x7ffd40ff,0x3f220dff,0x80ffffff,0x0dfffffa,0x3fffff22,
    0x3fffe0ff,0x3fa2021f,0xff004fff,0xff005fff,0x00003fff,0xffffffb8,
    0xdba99acf,0x7ffd404f,0x7f44002f,0x7fff81ff,0x700fffe4,0x9fffffff,
    0x9fb75335,0x67ffffec,0x7fffe440,0x6e400fff,0x7ffe400b,0xfff103ff,
    0x9999dfff,0x00999999,0xceffffd8,0xcccccccc,0xfffb01cc,0xddbdffff,
    0x6c0dfffd,0xefffffff,0x6fffeeed,0x3fffff60,0xfeeedeff,0x7fec06ff,
    0xedefffff,0x506fffee,0xffffffff,0xffffffff,0xdfff903f,0xfffd999d,
    0xf883ffff,0xeeffffff,0xffffffff,0x7fffc40f,0xfffeefff,0x40ffffff,
    0xfffffff8,0xffffffee,0x7fc40fff,0xfeefffff,0xffffffff,0xfffff880,
    0xffffeeff,0x3e0fffff,0xdf11ffff,0xfffffddd,0x3ffe005f,0xfff802ff,
    0x800001ff,0xfffffffe,0x4fffffff,0x03fffe40,0x827ffe40,0xff53fffe,
    0xfffd00ff,0xffffffff,0x7fcc9fff,0xfeefffff,0xffffffff,0x3ff200ef,
    0xfeccceef,0x01ffffff,0xfffffffb,0xffffffff,0xffd800ff,0xffffffff,
    0x03ffffff,0xfffffff1,0xffffffff,0x7fffc40d,0xffffffff,0x3e206fff,
    0xffffffff,0x06ffffff,0x7fffffc4,0xffffffff,0x3fffa06f,0xefffffff,
    0xc81ffffb,0xffffffff,0x2fffffff,0xffffff90,0xf9ffffff,0xff901fff,
    0xffffffff,0x1ffff9ff,0xffffff90,0xf9ffffff,0xff901fff,0xffffffff,
    0x1ffff9ff,0x3fffff20,0xcfffffff,0x3fe0ffff,0xfff11fff,0x9fffffff,
    0xffffffe8,0xffffffff,0x3ffe5fff,0x800001ff,0xfffffff9,0x4fffffff,
    0x02ffff40,0x81bffe60,0xfffffffa,0xff9803ff,0xffffffff,0x7dc4ffff,
    0xffffffff,0xffffffff,0x3ff205ff,0xffffffff,0x202fffff,0xfffffffd,
    0xffffffff,0x7fec007f,0xffffffff,0x03ffffff,0x3fffff22,0xffffffff,
    0x7ffe4406,0xffffffff,0x7e4406ff,0xffffffff,0x8806ffff,0xfffffffc,
    0x06ffffff,0x3fffffe6,0xffa8dfff,0xfffc81ff,0xffffffff,0x3a202fff,
    0xffffffff,0xffffa8ef,0xffffe880,0xa8efffff,0xe880ffff,0xffffffff,
    0xffffa8ef,0xffffe880,0xa8efffff,0xd100ffff,0xffffffff,0xffff51df,
    0x8fffffc1,0xfffffff8,0xfffe85ff,0xffffffff,0x25ffffff,0x001fffff,
    0x3fff2000,0xffffffff,0x7fffc04f,0x7fff4002,0x7ffff401,0x64006fff,
    0xffffffff,0xfb84ffff,0xffffffff,0xfffcbfff,0xfff904ff,0xffffffff,
    0xfd805fff,0xffffffff,0x7fffffff,0x7fffec00,0xffffffff,0x9803ffff,
    0xfffffffd,0x3002dfff,0xfffffffb,0x2005bfff,0xffffffd9,0x002dffff,
    0x3fffff66,0x02dfffff,0x7ffffec4,0x3fffea3f,0xffffea81,0xbeffffff,
    0xffff7000,0x7fd47dff,0x3fee00ff,0x2a3effff,0x2e00ffff,0x3effffff,
    0x803fffea,0xeffffffb,0x03fffea3,0xffffff70,0x7fffd47d,0x47ffffe0,
    0xfffffff8,0xffffd01d,0xffffffff,0x7cbfffff,0x0001ffff,0x7ff6cc00,
    0x0bdfffff,0x03fffe60,0x04fffc80,0x7fffff90,0x3fb66000,0xbdffffff,
    0xffff9100,0x6c19ffff,0xa82fffff,0xfffffffe,0x800befff,0xfffffffd,
    0xffffffff,0x7fec007f,0xffffffff,0x03ffffff,0x55554c40,0x4c400009,
    0x0009aaaa,0x55554c40,0x98800009,0x0009aaaa,0x001aa988,0x55555300,
    0x4c000335,0x00001aaa,0x0006aaa6,0x01aaa980,0x2aaa6000,0x54c00001,
    0x800001aa,0x8009a998,0xfffffffe,0xffffffff,0x333325ff,0x0000000c,
    0x000cd544,0x0009ddd3,0x01a98000,0x4d544000,0xaa988001,0x4c000009,
    0x19aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55500000,
    0x00005555,0x3ffffa00,0x5ddddd30,0xeeeed800,0xaaa80003,0x555400aa,
    0x00aaa982,0x10355550,0x50015555,0x55530555,0x554c0001,0x2aa20aaa,
    0x8000aaaa,0x26000099,0x80202cdb,0x1aaaaaa8,0x55400000,0x880000aa,
    0x0101bdca,0x40aaa980,0x5001aaa8,0x55103555,0x10000155,0x579bd975,
    0xd9751001,0x001579dd,0x55555500,0x99997005,0x09999999,0x40d55540,
    0xd00aaaa8,0xe801dddd,0x0000eeee,0xffd80000,0x2000efff,0xaaaaaaaa,
    0x3fe20aaa,0x7fffc5ff,0x3fea006f,0x80001fff,0x401fffff,0xfff87fff,
    0xfff5000f,0x7fff445f,0x0ffff003,0x0001ffff,0x17ffffa2,0x85fffffd,
    0x3262eeee,0x00cfffff,0x3fffffa0,0x700fd42f,0x05ffffff,0x3ff20000,
    0x20000eff,0xdffffff9,0xf7002f40,0xfffb85ff,0xffff5004,0x1ffff445,
    0x3ff62000,0x4fffffff,0x3ffffa60,0x03ffffff,0x7fffec00,0xffe800ef,
    0xffffffff,0xfff5000f,0x7fff445f,0x3ffffe03,0x7ffffc00,0x6ffe4401,
    0x3f600000,0x4004ffff,0xfffffff8,0x3e62ffff,0x7fe42fff,0xfb000fff,
    0x0000dfff,0x007ffffe,0x931bfffb,0xa800ffff,0xfe8affff,0x3f6004ff,
    0xffc98dff,0x3f60007f,0x7fec5fff,0xfff81eff,0xfffff74f,0x9003dfff,
    0xffffffff,0x03fffb7d,0x7fffff4c,0x7e400002,0x006fffff,0xffffff10,
    0xffd79fff,0x3ffea00b,0xffffa8af,0x3ffea002,0x4fffe8af,0x7ffdc000,
    0xffffffff,0xffffc884,0xffffffff,0x3ff60003,0x3a004fff,0xffffffff,
    0x2a000fff,0xfe8affff,0x7ffc04ff,0x7ffc00ff,0x7ff401ff,0x80000fff,
    0x02fffffd,0xfffff880,0x22ffffff,0x440ffffb,0x803fffff,0x03fffff8,
    0xfffff000,0xffffa803,0x03ffffff,0xfffffb80,0x54004fff,0xffffffff,
    0xf70003ff,0xffc8bfff,0xfff00eff,0xfffff79f,0x80dfffff,0xfffffffa,
    0xffffffff,0x7ffec401,0x700002ff,0xfffdffff,0xfffb000b,0xffffffff,
    0x7400bfff,0xffffffff,0xffb8006f,0x04ffffff,0x7fffcc00,0xffffffff,
    0x7ffff444,0xffffffff,0xffb0003f,0xe8005fff,0xffffffff,0x5c000fff,
    0xffffffff,0xfffff804,0x7ffffc00,0x3fffee01,0x6c0004ff,0x000effff,
    0xffffff10,0x6c5fffff,0xffb05fff,0xff500dff,0x00001fff,0x007ffffe,
    0x3ffffff6,0x2e0006ff,0x05ffffff,0xfffffb00,0x2000dfff,0x645ffff9,
    0x7c05ffff,0xffffffff,0xffffffff,0x44f7e403,0xffffffea,0x3fee002f,
    0x40002fff,0xe89ffffb,0x44005fff,0xffc88cff,0x00efffff,0x3ffffe60,
    0x0001ffff,0xbffffff7,0xfffd0000,0x99559dff,0xffffc89d,0xcbabcdff,
    0xfd8003fd,0x8000efff,0x99999998,0x70001999,0x0bffffff,0x03ffffe0,
    0x03fffff0,0x7fffffec,0x3ff60006,0x440004ff,0xffeeeeee,0x3ffe2fff,
    0xffff502f,0xfffd803f,0x3e00004f,0x7001ffff,0x09ffffff,0xffff9000,
    0xffb8000b,0x0004ffff,0xb8bffff1,0xf803ffff,0xffffffff,0xfffffd9b,
    0xfb80c806,0x8002efff,0x02ffffe9,0x3ffff500,0x027fff44,0x3f661220,
    0x8000dfff,0xefffffe9,0x7fe40001,0xa80005ff,0x004fffff,0x3bffffe2,
    0x6c000801,0x0004ffff,0xc8000000,0x2005ffff,0x400fffff,0x201fffff,
    0x6ffffffc,0x33331000,0xf8000003,0xff32ffff,0xffff80ff,0x3ffe204f,
    0x200001ff,0x001fffff,0x002aee62,0x01999800,0x57731000,0x4cc40001,
    0x09999819,0xffffff00,0xffff909f,0x1530000f,0x99988000,0x33300019,
    0x33331013,0x19880000,0x59530000,0x4cc00003,0xf7000019,0xd800dfff,
    0x000fffff,0x99998800,0x00000001,0x06666000,0x1fffff00,0x1fffff80,
    0x3ffffea0,0x0000003f,0x3ffe0000,0x133312ff,0x7ffffc80,0x1bfffee0,
    0xffff0000,0x0000003f,0x00000000,0x00000000,0x7ffffc00,0xffff505f,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x20000000,0x003ffffd,
    0x01fffff4,0x00000000,0x00133300,0x7c000000,0x7c00ffff,0x6401ffff,
    0x2005ffff,0x0c400998,0x7ffc0000,0xf30002ff,0x3a05ffff,0x0003ffff,
    0xffff84c4,0x0000001f,0x0cccc400,0x00988000,0x01310000,0x7ffffc00,
    0x3fffe205,0x0000001f,0x00000000,0x30000000,0x00000013,0x09980000,
    0x7fff4000,0x7ffc002f,0x000001ff,0x20002660,0xfffffec9,0x0000ceff,
    0x7c004cc0,0x7c00ffff,0x9801ffff,0xfc9802cc,0x20dfffff,0x02dffffc,
    0xfffff000,0x7ff40005,0xfff985ff,0x6dc000ff,0xfffffffe,0xeee81fff,
    0x777400ee,0xec9800ee,0xffffffff,0xfb93001d,0x019bffff,0x3ff72600,
    0x000cdfff,0x007ffffe,0x103fffff,0xdddddddd,0x44005ddd,0xeeeeeeee,
    0x76402eee,0x90000eee,0xddd0bddd,0x7ffe4c5d,0x74400cff,0xeeeeeeee,
    0x3ba002ee,0x3ff262ee,0x8000cfff,0x002fffff,0x03ffffe6,0xdddd1000,
    0x7fffecc7,0xffff004f,0xffffffff,0xee8809ff,0x3ff663ee,0x3fe04fff,
    0x7fc00fff,0x00001fff,0x7fffffcc,0xffeaffff,0x002fffff,0x2fffff80,
    0x3ffea000,0x7ffe40ff,0x3faa005f,0xffffffff,0xff81ffff,0x7fc00fff,
    0x36201fff,0xffffffff,0xc802ffff,0xffffffff,0x64002fff,0xffffffff,
    0xff002fff,0xff803fff,0xff881fff,0xffffffff,0x3fe2002f,0xffffffff,
    0x7ffe402f,0xffd0002f,0x9ffff0bf,0x3fffffee,0x3e201eff,0xffffffff,
    0x3fe002ff,0xffff74ff,0x003dffff,0x02fffff8,0x1ffffea0,0x3ffe2000,
    0xfffff75f,0xf803dfff,0xffffffff,0x04ffffff,0x5d7fffe2,0xffffffff,
    0xfffff81e,0x7ffffc00,0x7cc00001,0xffffffff,0xffffffff,0x40001fff,
    0x002fffff,0x1fffffc0,0x00bffffe,0x3fffff62,0xffffffff,0xffff81ff,
    0x7fffc00f,0xfffd101f,0xffffffff,0x7f4c05ff,0xffffffff,0x9805ffff,
    0xfffffffe,0x05ffffff,0x01fffff8,0x40fffffc,0xfffffff8,0x2002ffff,
    0xfffffff8,0x5c02ffff,0x0003ffff,0xff09ffff,0xffff79ff,0x0dffffff,
    0x7fffffc4,0x002fffff,0x3ef3fffe,0xffffffff,0x7ffc006f,0x3ea002ff,
    0x80007fff,0xfbdffff8,0xffffffff,0x7fffc06f,0xffeeceef,0xf102ffff,
    0xfff7bfff,0xdfffffff,0x01fffff0,0x01fffff8,0x7ffcc000,0xffffecbd,
    0xfffdcfff,0x7fc0004f,0x40002fff,0x2a6ffffc,0xb007ffff,0xffffffff,
    0xffffffff,0x1fffff03,0x1fffff80,0xffffffd0,0xfffdb99d,0x7ffff405,
    0xffffffff,0x7f403fff,0xffffffff,0x03ffffff,0x00fffffc,0x207ffffe,
    0xfffffff8,0x2002ffff,0xfffffff8,0x5402ffff,0x8004ffff,0xf83ffff8,
    0xffffffff,0xffffffff,0xfffff103,0x05ffffff,0x7fffffc0,0xffffffff,
    0x66443fff,0xffffcccc,0xccccccdf,0x3fffea3c,0xff880007,0xffffffff,
    0x2fffffff,0xa802fbe0,0x105fffff,0xffffffff,0xffffffff,0xfffff85f,
    0x7ffffc00,0x74c00001,0xfffffb02,0x03fffdc3,0x3ffffe00,0x7fcc0002,
    0xfffb0fff,0xfff5009f,0x54417fff,0xf81fffff,0x7c00ffff,0xf981ffff,
    0x4c05ffff,0xffff701b,0xfd7359ff,0x201fffff,0xcffffffb,0xffffeb9a,
    0x3ffe00ff,0x7ffc01ff,0x333301ff,0x5fffff33,0x99999800,0x02fffff9,
    0x02ffffcc,0x17fffcc0,0x7ffffffc,0xfffd9bff,0x266606ff,0xfffff999,
    0x3fffe002,0xd9bfffff,0x4c6fffff,0xffffffff,0xffffffff,0x3fea6fff,
    0x880007ff,0xffffffff,0xffffa8ae,0xb800205f,0xf106ffff,0xdfffffff,
    0xfffff515,0x0fffff8b,0x0fffffc0,0x26000000,0xff85ffff,0x3e0001ff,
    0x0002ffff,0x8bffffe8,0x400fffff,0x1efffff8,0x07ffffe0,0x003ffffe,
    0x703fffff,0x003fffff,0x7ffffc40,0xffff900e,0xffff109f,0x3ff201df,
    0x3fe04fff,0x7fc01fff,0x7c001fff,0x0002ffff,0x05fffff0,0x06ffff88,
    0x1ffffa80,0xfffffff8,0x7ffffc84,0xfffff800,0x3fffe002,0xffc84fff,
    0x7ffcc7ff,0xffffffff,0xffffffff,0x1ffffea6,0x3ffe2000,0xfb83ffff,
    0x00007fff,0x20fffff3,0xfffffff8,0x7ffffb83,0x00fffffc,0x03fffff7,
    0xf8800000,0xffd84fff,0x3fe0002f,0x80002fff,0xfaeffffb,0xfb805fff,
    0x7c02ffff,0xff81ffff,0x7fc00fff,0xffc81fff,0x20001fff,0x00fffffc,
    0x43fffff4,0x00fffffc,0x03fffff4,0x803fffff,0x001fffff,0x017ffffc,
    0xfffff800,0x7ffff802,0x541eeed8,0xff80ffff,0xf505ffff,0x8001ffff,
    0x002fffff,0x17fffffe,0x07ffffd4,0xfffffff3,0xffffffff,0x7d4dffff,
    0x80007fff,0x5ffffff8,0x1fffff10,0xfff10000,0xfff101ff,0x3e20bfff,
    0x3fe0ffff,0xff503fff,0x8803ffff,0x0000cefd,0x6417fffc,0x20003fff,
    0x002fffff,0xfffff880,0x802ffffe,0x806ffffd,0xf81fffff,0x7c00ffff,
    0xfb81ffff,0x002effff,0x09ffffd0,0x1fffff50,0x04ffffe8,0x0fffffa8,
    0x03fffff0,0x01fffff8,0x17ffffc0,0xffff8000,0xfffd802f,0x3fffe60f,
    0x83fffdc4,0x205fffff,0x01fffff8,0x17ffffc0,0xbfffff00,0x7ffffc40,
    0x2aaaaa21,0xacfffffa,0x22aaaaaa,0x007ffffa,0xfffff880,0x7ffffc06,
    0x554c4000,0x0fffffba,0x6fffff88,0x07ffffc0,0x30bffffd,0x3fffffff,
    0xeffffe80,0x3ffe0000,0x4fffb80f,0x3fffe000,0xf900002f,0xffffffff,
    0x3ffffa00,0xfffff803,0x0fffff81,0x0fffffc0,0x7fffffcc,0x3e001bef,
    0x8801ffff,0x7c1fffff,0x8801ffff,0xf01fffff,0xf803ffff,0x4001ffff,
    0x002fffff,0x5fffff00,0x3ffff900,0x23ffffe4,0xff06fffc,0xff803fff,
    0x7c001fff,0x2002ffff,0x401fffff,0x001fffff,0x005fffff,0x03ffffd4,
    0x7fffc400,0x6666401f,0x7f5c400c,0xffffffff,0xff880fff,0x66401fff,
    0x3ff60ccc,0xfd98cfff,0x1fffffff,0x3ffffea0,0xfecb804f,0xffffffff,
    0x4fffffff,0x3fffe000,0xf300002f,0x9fffffff,0x3ffffe00,0xfffff802,
    0x0fffff81,0x0fffffc0,0xffffffc8,0x200befff,0x00fffff8,0x47fffff0,
    0x00fffff8,0x07fffff0,0x007ffffe,0x003fffff,0x02fffff8,0xfffff000,
    0xffff7005,0x7fffff45,0x417fff62,0x401fffff,0x001fffff,0x017ffffc,
    0x03fffff0,0x01fffff8,0x05fffff0,0x3ffffd40,0x7ffc4000,0x400001ff,
    0xfffffffc,0xffffffff,0xfffff880,0x7fd40001,0xffffffff,0x1fffffff,
    0x3ffffee0,0xffd300ff,0xffffffff,0xffffffff,0x7fc0009f,0x00002fff,
    0x3ffffffa,0xfff9800f,0xfff801ff,0xffff81ff,0x7fffc00f,0xfffb101f,
    0xffffffff,0xffff501b,0x7fff400f,0x3fffea4f,0x3fffa007,0xfffff04f,
    0xfffff803,0x7fffc001,0xff00002f,0xf5005fff,0x3fe67fff,0x3fa4ffff,
    0xffff04ff,0xffff803f,0x7ffc001f,0x3fe002ff,0x7fc01fff,0xff001fff,
    0x54005fff,0x0007ffff,0x1fffff88,0x3ff60000,0xffffffff,0x80ffffff,
    0x01fffff8,0xffffe800,0xbeffffff,0x2a01ffff,0x1fffffff,0xffffff88,
    0xffffffff,0x4fffffff,0x3fffe000,0x2e00002f,0x05ffffff,0x1fffff50,
    0x3fffff00,0x01fffff0,0x01fffff8,0x7fffffdc,0x42ffffff,0x007ffffa,
    0xa8fffffa,0x2007ffff,0xf03ffffe,0xf803ffff,0x4001ffff,0x002fffff,
    0x5fffff00,0x9ffff300,0x3ffffff2,0x40bfffe7,0x401fffff,0x001fffff,
    0x017ffffc,0x03fffff0,0x01fffff8,0x05fffff0,0x3ffffd40,0x7ffc4000,
    0x900001ff,0x79ffffff,0xffff7555,0xffff101f,0xf300003f,0xffffffff,
    0x3ffff51b,0xfffffe80,0xffffd82f,0xffff99ac,0x99999999,0x3fe00009,
    0x00002fff,0x3fffffe2,0xffff3001,0xffff003f,0xfffff03f,0xfffff801,
    0xfffb3001,0x1fffffff,0x07ffffcc,0x2fffff80,0x03ffffe6,0x17ffffc0,
    0x01fffff8,0x00fffffc,0x0bffffe0,0x7fffc000,0xfff8802f,0xfffffd5f,
    0x3fffe5ff,0x3fffff01,0x1fffff80,0x7ffffc00,0x3fffe002,0x7fffc01f,
    0xffff001f,0x7fd4005f,0x880007ff,0x001fffff,0xfffff880,0xffff100d,
    0xffff101f,0x2200003f,0x3ffffffd,0x007fffea,0x5ffffff1,0x83ffff98,
    0x0000ffff,0x7ffffc00,0x3e200002,0x2005ffff,0x01fffff8,0x81fffff8,
    0x400fffff,0x001fffff,0xfffffca8,0x3ffe24ff,0xff8801ff,0x3fe21fff,
    0xf8801fff,0xff01ffff,0xff803fff,0x7c001fff,0x0002ffff,0x05fffff0,
    0x27bfffe0,0xfffdefff,0x00ffff9d,0x803fffff,0x001fffff,0x017ffffc,
    0x03fffff0,0x01fffff8,0x05fffff0,0x3ffffd40,0x7ffc4000,0xa80001ff,
    0x200fffff,0x80fffff8,0x01fffff8,0x554c4000,0x05fffd81,0x1fffff50,
    0x80ffffa8,0x0001ffff,0x7ffffc00,0x3f200002,0x4001ffff,0x403fffff,
    0x81fffffb,0x201fffff,0x01fffffb,0x3fff6200,0x7fffc6ff,0xfffa803f,
    0x7fffc0ff,0xfffa803f,0x000000ff,0x7fffc000,0xff00002f,0x36005fff,
    0xfffbffff,0xfaffffab,0x3ffe07ff,0x7ffc01ff,0x7fc001ff,0x3e002fff,
    0x7c01ffff,0xf001ffff,0x4005ffff,0x007ffffa,0xfffff880,0xffc80001,
    0x7fd406ff,0xff880fff,0x00001fff,0x37ffec00,0xfffff100,0x20ffff70,
    0x0003ffff,0x7ffffc00,0xff500002,0xd000bfff,0x540bffff,0x81ffffff,
    0x503fffff,0x03ffffff,0xffffd000,0x7ffffe8f,0x6ffffe80,0x07ffffe8,
    0x06ffffe8,0x80000000,0x002fffff,0x5fffff00,0x3ffff200,0xff89fffe,
    0x06fffdff,0x007ffffe,0x003fffff,0x02fffff8,0x07ffffe0,0x03fffff0,
    0x0bffffe0,0x7ffffa80,0xfff88000,0xb80001ff,0x701fffff,0x01ffffff,
    0x03fffff1,0x7d400000,0x26001fff,0xfb85ffff,0x7fe40fff,0x000006ff,
    0x017ffffc,0x7fffd400,0xfc8000ff,0xf981ffff,0x81ffffff,0x985ffffe,
    0x1fffffff,0xfffe8000,0x7fffdc5f,0x3fff205f,0xfffb82ff,0x3ff205ff,
    0x88002fff,0x0002cccc,0x0bffffe0,0x7fffc000,0xfff7002f,0x7ecdffff,
    0x05ffffff,0x007ffffe,0x003fffff,0x02fffff8,0x07ffffe0,0x03fffff0,
    0x0bffffe0,0x7ffffa80,0xfff88000,0xa80001ff,0x20dfffff,0xffffffc8,
    0xffff880f,0x0000001f,0x001bfff6,0x501ffffb,0x7d43ffff,0x104fffff,
    0xfff80005,0x55c002ff,0xfffffdba,0xff10001f,0x9315ffff,0xffffffff,
    0xfffffb03,0xffffb319,0xb903ffff,0xfffc8017,0xfffe83ff,0xda88aeff,
    0x206fffff,0xaefffffe,0xffffda88,0xff50006f,0x400005ff,0x002fffff,
    0x5fffff00,0x3fffea00,0x3fea4fff,0x204fffff,0x401fffff,0x001fffff,
    0x017ffffc,0x03fffff0,0x01fffff8,0x05fffff0,0x3ffffd40,0x7ffc4000,
    0x880001ff,0xefffffff,0xfffffffe,0xfff880ff,0x000001ff,0x01ffffe0,
    0x3ffffaa2,0xfffff302,0xffffffb7,0xfb957dff,0xfff8000d,0x7f4002ff,
    0xffffffff,0x7fec0003,0xffffffff,0x1fffffff,0xffffffa8,0xffffffff,
    0xffc81fff,0xfeccceef,0x81ffffff,0xfffffffa,0xffffffff,0x3ffea01f,
    0xffffffff,0x001fffff,0x00ffff90,0xffffffd0,0xffffffff,0xffd0bfff,
    0xffffffff,0xbfffffff,0xffffff98,0x3fffe21f,0x3fe03fff,0x7fc01fff,
    0xffe81fff,0xffffffff,0x5fffffff,0x01fffff8,0x00fffffc,0x02fffff8,
    0x1ffffea0,0x3ffe2000,0x900001ff,0xffffffff,0xfff9ffff,0xffff101f,
    0x0000003f,0x77fffff4,0x3ffffa26,0x7f404fff,0xefffffff,0xfffffffa,
    0xfe806fff,0xffffffff,0xffffffff,0xfffffd05,0x00007fff,0xfffffff3,
    0xff7dffff,0x3ffa03ff,0xffffffff,0x81ffffbe,0xfffffffc,0xffffffff,
    0x3ffff602,0xffffffff,0xffd803ff,0xffffffff,0x0003ffff,0x0017fffa,
    0x3ffffffa,0xffffffff,0xffe85fff,0xffffffff,0x5fffffff,0x7fffffc4,
    0xfffffd87,0x3fffe02f,0x7fffc01f,0xffffe81f,0xffffffff,0xf85fffff,
    0x7c01ffff,0xf001ffff,0x4005ffff,0x007ffffa,0xfffff880,0xfd100001,
    0xffffffff,0x1ffff51d,0x3fffff10,0x64000000,0x27ffffff,0xeffffff9,
    0xffffa802,0xff70efff,0xdfffffff,0xfffffd00,0xffffffff,0x3a0bffff,
    0x0effffff,0x3fe60000,0xdfffffff,0x01ffffa8,0xfffffff3,0xfff51bff,
    0xffff903f,0xffffffff,0xff7005ff,0xffffffff,0x7dc003df,0xffffffff,
    0x40001eff,0x8002ffff,0xfffffffe,0xffffffff,0xfffe85ff,0xffffffff,
    0x85ffffff,0x84ffffff,0x1ffffffb,0x07ffffe0,0x03fffff0,0xfffffffd,
    0xffffffff,0xffff0bff,0xffff803f,0xffff001f,0x7fd4005f,0x880007ff,
    0x001fffff,0x7fffdc00,0x3fea3eff,0xfff880ff,0x000001ff,0x7ffffec0,
    0x3bfffe67,0x7ffd4003,0x7fd40dff,0x03efffff,0xffffffe8,0xffffffff,
    0xff905fff,0x000057bd,0x3ffff620,0x3ffe63ff,0x3ff6201f,0x3ea3ffff,
    0xfea81fff,0xffffffff,0x22000bef,0xfffffffd,0xfb10004e,0x9dffffff,
    0xfff30000,0xffd0001f,0xffffffff,0xbfffffff,0xffffffd0,0xffffffff,
    0xffd0bfff,0xff103fff,0xff80ffff,0x7fc01fff,0xffe81fff,0xffffffff,
    0x5fffffff,0x01fffff8,0x00fffffc,0x02fffff8,0x1ffffea0,0x3ffe2000,
    0x000001ff,0x00035553,0x0fffffc4,0x4c000000,0x2e22cccc,0x4c40001a,
    0x554c00aa,0x3fa0009a,0xffffffff,0xffffffff,0x00000005,0x001aa980,
    0x06aa6200,0x5554c000,0x00019aaa,0x001aa988,0x0d54c400,0x3ba60000,
    0x0000004e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x15555554,0x666665c0,0x204ccccc,0x1bcedcb8,
    0x0aaaa200,0x002aaa88,0x880aaaa2,0x22002aaa,0x55402aaa,0xaaa881aa,
    0x5555540a,0xc9800000,0x0399301c,0xaaa98000,0x54000aaa,0x51000aaa,
    0x55555555,0xe8800055,0x2600eeee,0xaa85eeee,0x00000aaa,0x55554000,
    0x555542aa,0x0aaaaaaa,0xaaaaaa80,0x000aaaaa,0x002aaaaa,0x3332e000,
    0x4ccccccc,0xccccb800,0x04cccccc,0x00000000,0x4cc40000,0x80000019,
    0x0efffffd,0xfffffe80,0x00ffffff,0xfffffffb,0x3fff2009,0xffffc884,
    0x3fff2006,0xffffc884,0x3fff2006,0x7fffd404,0x0ffffa22,0x007ffffe,
    0xffff3000,0x1ffff985,0xfff50000,0xc8007fff,0x800effff,0xfffffffa,
    0x0000ffff,0x03ffffe2,0x87ffff98,0x003ffffd,0x3f600000,0x220effff,
    0xffffffff,0x7c402fff,0xffffffff,0x3f6002ff,0x00003fff,0xffffffe8,
    0x000fffff,0x7ffffff4,0x000fffff,0xfffdb950,0xfff881ff,0xffffffff,
    0x4c07ffff,0xffffffec,0x00001dff,0x27ffffec,0xfffffd00,0x01ffffff,
    0x3ffffff6,0x7fcc02ff,0x7ffdc0ef,0xf3006fff,0xffb81dff,0x3006ffff,
    0x5001dfff,0xfd15ffff,0x3ffe09ff,0x400001ff,0x6c6ffffd,0x0006ffff,
    0xefffffa8,0x7ffe4001,0xfa806fff,0xffffffff,0x220000ff,0x200fffff,
    0xd87ffff9,0x0003ffff,0xfffb0000,0xfff109ff,0xffffffff,0xffff8805,
    0x2fffffff,0x3ffff600,0xfe800003,0xffffffff,0x7f4000ff,0xffffffff,
    0x326000ff,0xffffffff,0x7ffc40ff,0xffffffff,0xb107ffff,0xffffffff,
    0x0005ffff,0x7ffffec0,0x7fff4002,0xffffffff,0xd3337500,0xfe807fff,
    0xfffe82ff,0xfd006fff,0xfffd05ff,0x3a00dfff,0x2e002fff,0xffffffff,
    0x3ffffe04,0x7f400001,0x7ff46fff,0x540006ff,0x00dfffff,0x77fffdc0,
    0x7d405fff,0xffffffff,0x220000ff,0x200fffff,0xd87ffff9,0x0003ffff,
    0xfffd8000,0xfff102ff,0xffffffff,0xffff8805,0x2fffffff,0x7fffffc0,
    0xffffffff,0x3ffa0000,0xffffffff,0x7ff4000f,0xffffffff,0xfff9000f,
    0xffffffff,0xffff881f,0xffffffff,0xfe887fff,0xffffffff,0x0002ffff,
    0x1dffffb0,0x33331000,0x03333333,0x01fffd80,0x5413fff2,0x06fffbef,
    0x504fffc8,0x0dfff7df,0x009fff90,0xffffff70,0xfffff80b,0x7e400001,
    0x7fe44fff,0x2a0004ff,0x003fffff,0x89ffffb8,0x2a05fffe,0xffeeeeee,
    0x20000fff,0x00fffff8,0x21ffffe6,0x003ffffd,0x7fec0000,0x3a200eff,
    0xfffeeeee,0x774402ff,0xffffeeee,0x7fffc02f,0xffffffff,0x220000ff,
    0x99999999,0x98800199,0x99999999,0xffd88019,0xffffffff,0x7fc40fff,
    0xffffffff,0xe87fffff,0xceffffff,0x02fffedc,0xffffd800,0x00000004,
    0xffffdd50,0x7fffcc09,0x3fe65100,0x7ffcc06f,0x3e65100f,0x7fcc06ff,
    0xf90000ff,0xff00bfff,0x00003fff,0xb01bffb0,0x20001bff,0x01effffa,
    0x1ffffa80,0x013fffa2,0x1fffff30,0x7ffc4000,0x3fe600ff,0xfffd87ff,
    0x0000003f,0x013ffff6,0x5fffff00,0x7fffc000,0x7fffc02f,0xffffffff,
    0x000000ff,0x00000000,0x3fffffa0,0xaaabcdef,0x7fffc40a,0xeeeeeeef,
    0x7fcc6eee,0x5cc05fff,0x4cc40001,0x00000199,0x3ffea000,0x3fa01eff,
    0xff3002ff,0xfffe80df,0xdfff3002,0x02fffe80,0x00cccc00,0x01fffff8,
    0x80110000,0x4cc00008,0x30000999,0x33101333,0xff980033,0x20000fff,
    0x00fffff8,0x21ffffe6,0x003ffffd,0x33310000,0xff000033,0x40005fff,
    0x402fffff,0xffffffff,0x00ffffff,0x00000000,0xff700000,0x0005dfff,
    0x00bffff1,0x7ffffdc0,0x00000001,0x4c400000,0x7ffd4000,0xfb84ffff,
    0x3e6005ff,0x3fee06ff,0x3fe6005f,0x3ffee06f,0x00000005,0x003fffff,
    0x00000000,0x00000000,0xff980000,0x20000fff,0x00fffff8,0x21ffffe6,
    0x003ffffd,0x00000000,0x17ffffc0,0xfffff000,0x7ffec005,0x0000003f,
    0x00000131,0x7ffc4000,0x220005ff,0x0005ffff,0x07fffff2,0x4c000000,
    0xdb800009,0x03dffffe,0xffb99988,0x3ffe60ff,0x3fe6000f,0xffff306f,
    0x7ffcc001,0x1ffff306,0x20000000,0x981fffff,0x00000009,0x00000000,
    0x98000000,0x000fffff,0x3ffffe20,0x3fffe600,0x3ffffd87,0x00000000,
    0x7fffc000,0xf802cc2f,0x2002ffff,0x003ffffd,0xffb93000,0x0019bfff,
    0x003bbbba,0x641ddddd,0x000fffff,0x17fffe20,0xffffb800,0x200002ef,
    0x3262eeee,0x00cfffff,0x7ffff4c0,0x01efffff,0xd0ffffc0,0x98005fff,
    0xffd06fff,0xff98005f,0x5fffd06f,0x77775400,0xeeeeeeee,0x3fe4eeee,
    0xffb30fff,0x88019fff,0xeeeeeeee,0x22002eee,0xeeeeeeee,0x44002eee,
    0xeeeeeeee,0x20002eee,0x00fffff9,0x3fffe200,0x3ffe600f,0xffffd87f,
    0x3bbba603,0xddd501ee,0xdddddddd,0x009ddddd,0x997ffffc,0xfff007fd,
    0x7ec005ff,0x09882fff,0xffff9000,0x5fffffff,0x1fffff00,0x1fffff80,
    0x00fffffa,0xbffff100,0x7ffcc000,0x01beffff,0xa7fffc00,0xfffffffb,
    0xff5001ef,0xffffffff,0x99d07fff,0x4ffffd99,0x8005fffb,0xfb86fff9,
    0xf98005ff,0xfffb86ff,0x7ffdc005,0xffffffff,0x3e6fffff,0xffb8ffff,
    0x1effffff,0x3ffffe20,0x02ffffff,0x3ffffe20,0x02ffffff,0x7ffffc40,
    0x02ffffff,0x3fffe600,0x3e20000f,0x2600ffff,0xfd87ffff,0xfd103fff,
    0x5c07ffff,0xffffffff,0xffffffff,0x3fffe006,0x07fffdcf,0x05fffff0,
    0x97fffec0,0xcffffec8,0xfffe9800,0xffffffff,0x7ffc05ff,0x7ffc00ff,
    0xffff11ff,0xf880003f,0x40005fff,0xfffffffc,0x8000beff,0xffbcffff,
    0xffffffff,0xffff9806,0xfffecdff,0x7ffc1fff,0x12ffffff,0x0001ffff,
    0xf88dfff3,0x98000fff,0x7fc46fff,0x7dc000ff,0xffffffff,0x6fffffff,
    0x3efffffe,0xffffffff,0x3ffe206f,0xffffffff,0x3ffe2002,0xffffffff,
    0x7ffc4002,0xffffffff,0x3fe60002,0x20000fff,0x00fffff8,0x21ffffe6,
    0xd03ffffd,0x809fffff,0xfffffffb,0xffffffff,0x3ffe006f,0x7fffffff,
    0x5fffff00,0x7fffec00,0xffffff99,0x7f401eff,0xffffffff,0x03ffffff,
    0x003ffffe,0x2a3fffff,0x2627ffff,0xf8801aba,0x9aaaefff,0x3ff62001,
    0xffffffff,0x3fe000df,0xffffffff,0x3fffffff,0x6fffff40,0x7ffff4c0,
    0x7fffffc5,0x3fffa1df,0xfff30002,0x02fffe8d,0x8dfff300,0x8002fffe,
    0xfffffffb,0xffffffff,0x3ffffe6f,0xffffffff,0xf103ffff,0xffffffff,
    0x7c4005ff,0xffffffff,0x7c4002ff,0xffffffff,0x260002ff,0x000fffff,
    0x3ffffe20,0x3fffe600,0x3ffffd87,0x4fffffc8,0xfffffb80,0xffffffff,
    0x3e006fff,0xffffffff,0xffff006f,0x7fec005f,0xfffffbff,0x206fffff,
    0xcffffffb,0xffffeb9a,0xffff00ff,0xffff801f,0xdffff91f,0xffffffd7,
    0x3fe203df,0xffffffff,0xff7002ef,0xffffffff,0x3fe005ff,0xbfffffff,
    0x6fffffd9,0x17fffea0,0x2fffff98,0x0266aaa6,0x000bfff7,0x17ffee00,
    0x7fdc0000,0x9950005f,0xb9999999,0x45ffffff,0xffffffff,0xffffd9bf,
    0x2666606f,0x2fffff99,0x4ccccc00,0x02fffff9,0x99999980,0x002fffff,
    0x3ffffe60,0x02b2a200,0x01fffff1,0x43ffffd4,0x5c3ffffd,0x005fffff,
    0x99999995,0xfffffb99,0x3fe6005f,0x3fffffff,0x3ffffe00,0x3fff6002,
    0xffffffff,0x882fffff,0x00efffff,0x09fffff9,0x003ffffe,0x323fffff,
    0xffffffff,0xffffffff,0x7fffc40c,0xffffffff,0xfb3003ff,0xffffffff,
    0xffff001f,0xff909fff,0x7ff40fff,0x7fec00ff,0x7c4003ff,0x00000fff,
    0x00ffff88,0xfff88000,0x4000000f,0x44fffffd,0x4fffffff,0x07ffffc8,
    0x2fffff80,0xffff0000,0x7c00005f,0x0002ffff,0x03ffffe6,0x0fffff4c,
    0x01fffff1,0x43fffff4,0x2a3ffffd,0x006fffff,0xffffd800,0xffd9804f,
    0x03ffffff,0x2fffff80,0x3ffff600,0xfd99dfff,0xfc85ffff,0x7400ffff,
    0xff07ffff,0xff801fff,0xfffb1fff,0xffffffff,0x8bffffff,0xfffffff8,
    0xffffffff,0x7fe54002,0x804fffff,0x05ffffff,0x01fffff5,0x00dffff3,
    0x00bffff7,0x003fffd8,0x7fffb000,0x3f600000,0x000003ff,0x2fffffdc,
    0x2ffffffc,0x0fffffa8,0x7ffffc00,0xfff00002,0x400005ff,0x002fffff,
    0x3ffffe60,0xffffe880,0xffff10ff,0x3fff605f,0xfffd87ff,0xfffff33f,
    0xb800001d,0x405fffff,0xffffffd9,0x3e0004ff,0x2002ffff,0x4ffffffd,
    0x86ffffc8,0x804ffffe,0x80fffffa,0x400fffff,0xfb1fffff,0xffffffff,
    0xfffffffd,0x7777445f,0xffffffee,0x8002ffff,0x6fffffd8,0x5fffff80,
    0x3ffffe20,0xeffffa81,0xaaaaaaaa,0x006ffffc,0x001bffee,0x37ffdc00,
    0xffb80000,0x4000006f,0x0efffff9,0x05fffff8,0x07ffffe2,0x5fffff00,
    0x3ffe0000,0x200002ff,0x002fffff,0x3ffffe60,0xfffffa80,0xffff13ff,
    0xffff709f,0xfffb0fff,0xffffd17f,0x9800001f,0x00efffff,0x3fffffee,
    0x0002ffff,0x00bffffe,0x5fffffd8,0x0fffff70,0x003fffff,0x03fffff1,
    0x801fffff,0xfd1fffff,0x815dffff,0x6fffffd9,0x7ffe4c00,0x20006fff,
    0x807ffffe,0x401fffff,0xb81fffff,0xffffffff,0xffffffff,0xff1007ff,
    0x000001ff,0x001ffff1,0xffff1000,0x44000001,0x01ffffff,0x803fffff,
    0x001fffff,0x017ffffc,0xfffff800,0x3fe00002,0x20002fff,0x80fffff9,
    0xfffffffc,0xffffff14,0xffffd519,0x6c17ffff,0xffdbffff,0x00001fff,
    0x7fffffc4,0x7fffe401,0x02ffffff,0x3ffffe00,0x3fff6002,0x3ffe606f,
    0x7fffc47f,0xffff000f,0xfffff07f,0xfffff801,0x0bffffd1,0x1fffffb0,
    0xffff1000,0x7f4000ff,0xff806fff,0x7fc01fff,0xffc81fff,0xffffffff,
    0xffffffff,0x7fffb007,0x00aaaaa8,0x23fffd80,0x001cccb9,0xa87fffb0,
    0x0000aaaa,0x0ffffffa,0x01fffff8,0x00fffffc,0x0bffffe0,0x7fffc000,
    0x3e00002f,0x0002ffff,0x03ffffe6,0x3fffffee,0xfffff14f,0xffffffff,
    0x3fffffff,0x3ffffff6,0x0002ffff,0xfffffe80,0xffffc803,0x02fffffb,
    0x3ffffe00,0x3fff6002,0x3ffe603f,0x7fffd47f,0x3fffa007,0xfffff84f,
    0x7ffffc00,0x0bffffb1,0x3fffff30,0x3ffea000,0x017b91ff,0x4fffffc8,
    0x1fffff80,0x0fffffc0,0x7fffffec,0xffffffff,0xa807ffff,0x7fdc6fff,
    0x54002fff,0xffd36fff,0x800bffff,0x7dc6fffa,0x0002ffff,0x0bfffff9,
    0x01fffff8,0x00fffffc,0x0bffffe0,0x7fffc000,0x3e00002f,0x0002ffff,
    0x03ffffe6,0x3fffffe2,0xfffff11f,0x9fffffff,0x3ffffff9,0x3ffffff6,
    0x0000ffff,0x7ffffe40,0x47ff9005,0x002fffff,0x0bffffe0,0x3ffffd80,
    0x1ffffe60,0x00fffff5,0x41fffff4,0x400fffff,0xf91fffff,0x3e00dfff,
    0x0002ffff,0x27fffff1,0xcceefffc,0xffffffec,0xffff801f,0x7fffc01f,
    0xffffc81f,0xaaaaaaad,0x02aaaaaa,0x10ffffc4,0x05ffffff,0x8ffffc40,
    0xfffffffb,0xfff1004f,0x7fffc43f,0xfa8002ff,0x400effff,0x401fffff,
    0x001fffff,0x017ffffc,0xfffff800,0x3fe00002,0x20002fff,0x00fffff9,
    0x47fffff5,0xfffffff8,0xff34ffff,0x3f63ffff,0xffffdfff,0x2a00006f,
    0x00efffff,0xffff0790,0x7fc0005f,0x36002fff,0x2603ffff,0x7cc7ffff,
    0xf000ffff,0xff05ffff,0xff801fff,0xfff71fff,0x3ffe00ff,0x3e0003ff,
    0xff93ffff,0xffffffff,0x007fffff,0x007ffffe,0x703fffff,0x000bffff,
    0x0ffff600,0x5fffdffb,0x1fffec00,0x3ff6afba,0xfffb007f,0xffeffd87,
    0x7fcc002f,0xf800ffff,0x7c01ffff,0x4001ffff,0x002fffff,0x5fffff00,
    0x7ffc0000,0x260002ff,0x200fffff,0x7c41cec9,0xfffeffff,0x7fffdc3e,
    0x7ffffb1f,0x0bfffff7,0xffff3000,0xf00001ff,0x0005ffff,0x017ffffc,
    0x07ffffb0,0x23ffffcc,0x01fffff8,0x1fffff88,0x00fffff8,0xa8fffffc,
    0x401fffff,0x01fffff8,0xfffff300,0x3fffff23,0xffffffff,0x3ffe003f,
    0x7ffc01ff,0xfffa81ff,0xa800006f,0x7fd46fff,0x002fffaf,0x810dfff5,
    0xa807fff8,0x7fd46fff,0x002fffaf,0x3fffffa2,0xfffff002,0xfffff803,
    0x7fffc001,0xff00002f,0x00005fff,0x017ffffc,0xfffff300,0x7fc40001,
    0x403556ff,0x3f60aaa8,0xfffb3fff,0x440007ff,0x02fffffe,0xfffff000,
    0x7ffc0005,0x3f6002ff,0x3e603fff,0xfff87fff,0xffa803ff,0xfff80fff,
    0x3fee01ff,0xfff31fff,0xffa809ff,0x90000fff,0x75cfffff,0xffffffff,
    0x4000ceff,0x401fffff,0x981fffff,0x002fffff,0x3fffe200,0x22fffe21,
    0xf8802fff,0xfa801fff,0x7fc404ff,0x3ffe21ff,0x002fff8b,0x13fffff6,
    0x1fffff80,0x0fffffc0,0x3ffffe00,0xfff00002,0x400005ff,0x002fffff,
    0x3ffffe60,0x3fe20000,0xb00007ff,0x3e27ffff,0x001fffff,0x9fffffb0,
    0x7ffc0000,0x3e0002ff,0x2002ffff,0x203ffffd,0xe87ffff9,0xe807ffff,
    0xff06ffff,0x3ea07fff,0x361fffff,0x101fffff,0x00dfffff,0x3ffffee0,
    0xff753305,0x7c000bff,0x7c01ffff,0xfd01ffff,0x0001dfff,0x913fff20,
    0x3ffe2dff,0x4fffc802,0x2ffffa80,0x227ffe40,0xfff16ffc,0x3ffee005,
    0x7fc006ff,0x7fc01fff,0x7c001fff,0x0002ffff,0x05fffff0,0x7fffc000,
    0x3e60002f,0x0000ffff,0x01ffffe2,0x7fffec00,0x3ffffe63,0x7fdc000f,
    0x00006fff,0x017ffffc,0x5fffff00,0x7fffec00,0x3fffe603,0xfffffb87,
    0x3ffff205,0xffffd02f,0xfffff30b,0x7ffcc3ff,0xd510afff,0x545fffff,
    0x2a62099b,0x1ffffffe,0x1ffffa80,0x3fffe000,0x7fffc01f,0xffff501f,
    0x3b9807ff,0xa8dfff50,0xffa9bfff,0x3fea01bf,0xfffb806f,0x7ffd403f,
    0x4dfffd46,0x401bfffa,0x0ffffff9,0x7ffffc00,0x7ffffc01,0x7fffc001,
    0xff00002f,0x00005fff,0x017ffffc,0xfffff300,0x7fc40001,0x80000fff,
    0x643ffffd,0x006fffff,0x3fffffe6,0x7fc00000,0x20002fff,0x002fffff,
    0x80fffff6,0xd07ffff9,0x15dfffff,0xfffffb51,0x7fffec0d,0xfffd98cf,
    0x6c1fffff,0xffffffff,0x4fffffff,0x7fffffe4,0xffffffff,0xfff7002f,
    0xfff8000d,0x7ffc01ff,0x3ff601ff,0xedefffff,0x886fffee,0x7e41fffe,
    0xffffffff,0xffe881ff,0x7ffe401f,0x7ff4402f,0x7fffe41f,0x1fffffff,
    0xffffff10,0x9999999d,0x7fffc999,0x7fffc01f,0x7ffc001f,0xf00002ff,
    0x0005ffff,0x17ffffc0,0xffff3000,0x7c40001f,0x0000ffff,0x83ffffd8,
    0x05fffffe,0xffffff88,0xccccccce,0x3fe004cc,0x20002fff,0x002fffff,
    0x80fffff6,0x507ffff9,0xffffffff,0xffffffff,0x7fffd403,0xffffffff,
    0x4c1fffff,0xfffffffe,0x86ffffff,0xfffffffc,0x3fffffff,0x13fff600,
    0xfffff000,0xfffff803,0x3fffe201,0xffffffff,0xffc86fff,0xffffc84f,
    0x1fffffff,0x204fffc8,0x9bffffe8,0xfffc8099,0xfffffc84,0x01ffffff,
    0xfffffffb,0xffffffff,0x7ffffcff,0x7ffffc01,0xfffffe81,0xffffffff,
    0xfe85ffff,0xffffffff,0xffffffff,0xfffffd05,0xffffffff,0x3e2bffff,
    0xffffffff,0xffffffff,0xfff8802f,0xd80000ff,0xf883ffff,0x403fffff,
    0xfffffffd,0xffffffff,0x7ffff47f,0xffffffff,0xfd5fffff,0xffffffff,
    0xffffffff,0x7ffffb0b,0x3ffffcc0,0xffffffb0,0xffffffff,0xffffd007,
    0x7dffffff,0xb103ffff,0xffffffff,0xf9019fff,0xffffffff,0x8003bfff,
    0x0001ffff,0x00fffffc,0x007ffffe,0xffffff91,0xdfffffff,0x706fff98,
    0xffdddddd,0xff981ddf,0x7ffec06f,0x42ffffff,0xd706fff9,0xfffddddd,
    0x3ff601dd,0xffffffff,0x27ffffff,0x401fffff,0xe81fffff,0xffffffff,
    0xffffffff,0xffffe85f,0xffffffff,0xd05fffff,0xffffffff,0xffffffff,
    0x3fffe2bf,0xffffffff,0x02ffffff,0x0fffff88,0xfffd8000,0xffff503f,
    0x7fec05ff,0xffffffff,0x47ffffff,0xfffffffe,0xffffffff,0xffffd5ff,
    0xffffffff,0xb0bfffff,0x4c07ffff,0x5c07ffff,0xffffffff,0x3001efff,
    0xffffffff,0xffff51bf,0x7fff5c03,0x200dffff,0xfffffffc,0x8000ceff,
    0x0006fff8,0x01fffff8,0x00fffffc,0xfffffd98,0x42dfffff,0x4001fffe,
    0xfd02fff8,0xffd803ff,0x2fffffff,0x000ffff4,0xb00bffe2,0xffffffff,
    0xffffffff,0x0fffffcf,0x07ffffe0,0x3ffffffa,0xffffffff,0xffe85fff,
    0xffffffff,0x5fffffff,0xffffffd0,0xffffffff,0x3fe2bfff,0xffffffff,
    0xffffffff,0xffff8802,0xfd80000f,0x3f203fff,0xb00fffff,0xffffffff,
    0xffffffff,0xfffffe8f,0xffffffff,0xffd5ffff,0xffffffff,0xbfffffff,
    0x07ffffb0,0x03ffffcc,0x7ffffec4,0x88004eff,0x3ffffffd,0x007fffea,
    0x0004d54c,0x13555331,0x55510000,0xfff00003,0xfff803ff,0x988001ff,
    0x9009aaaa,0x10009fff,0xff905fff,0xfffb009f,0x45ffffff,0x8004fffc,
    0x6c02fff8,0xffffffff,0xffffffff,0x07ffffe7,0x03fffff0,0xfffffffd,
    0xffffffff,0xfffd0bff,0xffffffff,0x0bffffff,0x3ffffffa,0xffffffff,
    0xfff15fff,0xffffffff,0x5fffffff,0x33333200,0xffd80000,0x7ff403ff,
    0xfd80efff,0xffffffff,0x7fffffff,0x7ffffff4,0xffffffff,0xfffd5fff,
    0xffffffff,0x0bffffff,0x407ffffb,0x007ffff9,0x000d54c4,0x01aa9880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x57753000,0x51000033,0x00013355,0x20000000,0x00001ba8,0x99999993,
    0x00059999,0x4c400130,0x009abcba,0x15751000,0x2b980000,0x55300000,
    0x4c000355,0x0000002b,0x5d440000,0x300009ab,0x01355975,0x0aba9800,
    0x00000000,0x02aea620,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffc8800,0x03efffff,0x7fffed40,0xffffffff,0xffff4fff,0xfff1005f,
    0xfb7001ff,0x17bfffff,0x3ffee000,0xffffffff,0x76dcc003,0x1cefffff,
    0x3ffffb22,0x02efffff,0xffffda80,0x0000dfff,0x007fffb7,0x3ffb6e00,
    0x2dffffff,0x3fffdb80,0xfffff100,0x3fffe001,0xfec9802f,0xffffffff,
    0x7ffdc03d,0xffffffff,0x3ffae004,0x02dfffff,0x7fffffc4,0xffffffff,
    0xfff5003f,0x03bfffff,0xfffffff5,0xffffffff,0x747fffff,0x000fffff,
    0x21fffff9,0xfffffff8,0x02bcdeff,0xffffffb0,0xffffffff,0x3ffe6fff,
    0xffffffff,0x7fc00bde,0xffffffff,0x46ffffff,0xfffffffc,0x01ffffff,
    0xffffffc8,0xffffffff,0xffff4fff,0xfff1005f,0x7ec401ff,0xffffffff,
    0xfb8000ef,0xffffffff,0xf91003ff,0xffffffff,0x7ffcc7ff,0xffffffff,
    0xf9000eff,0xffffffff,0xfd0005ff,0x80007fff,0xffffffe9,0x04ffffff,
    0x03ffffe8,0x1fffff10,0x3ffffe00,0x7fffe402,0xffffffff,0xfffb80ff,
    0xffffffff,0xfd8806ff,0xffffffff,0x3fe203ff,0xffffffff,0x403fffff,
    0xffffffd8,0x543fffff,0xffffffff,0xffffffff,0x3e63ffff,0x8804ffff,
    0x223fffff,0xffffffff,0x1effffff,0x7ffffec0,0xffffffff,0xfff37fff,
    0xffffffff,0x2019ffff,0xffffffff,0xffffffff,0x3ffffee6,0xffffffff,
    0xffb100ff,0xffffffff,0xffffffff,0x0bffffe9,0x3ffffe20,0xffffd100,
    0xfffffdff,0xffb8003f,0xffffffff,0xfffa803f,0xffffffff,0x3ffe63ff,
    0xffffffff,0x2200efff,0xfffffffd,0x04ffffff,0x1fffff40,0xffff7000,
    0xffffffff,0xffd009ff,0x3e2007ff,0xf000ffff,0x2605ffff,0xfffffffe,
    0xffffffff,0x7ffffe40,0xffffffff,0x7ffd406f,0xffffffff,0xf880dfff,
    0xffffffff,0x03ffffff,0x7ffffff4,0x6fffffff,0x3bbbffea,0xeeeeeeee,
    0x43fffeee,0x00fffffc,0x237fffe4,0xfffffff8,0xffffffff,0xfffb00cf,
    0xffffffff,0x26ffffff,0xffffffff,0xffffffff,0xffffff05,0xffffffff,
    0x3ffe6dff,0xfeccefff,0xb06fffff,0xffffffff,0xffffffff,0x3ffe9fff,
    0xff8802ff,0xff980fff,0x2e21bdff,0x002ffffd,0x26666662,0x40099999,
    0xfffffffa,0x3fffffff,0x3fffffe6,0xfffffffe,0x3fffa05f,0xfffeefff,
    0x2002ffff,0x003ffffe,0xffffffb0,0xffffffff,0xfffd009f,0x3fe2007f,
    0xff000fff,0xff505fff,0xffffffff,0x1fffffff,0x7fffffcc,0xffffffff,
    0x3ffe206f,0xffffffff,0x885fffff,0xffffffff,0x3fffffff,0x3fffff20,
    0xffffedef,0x897fea2f,0x0fff2000,0x0bfffff1,0x17ffffc4,0x3fffffe2,
    0xffffffff,0xfd80efff,0xffffffff,0x7fffffff,0xfffffff3,0xffffffff,
    0xffff09ff,0xffffffff,0x3f6dffff,0xf900efff,0xf881ffff,0x90beffff,
    0x3337ffff,0x3fffe133,0xfff8802f,0xfffe80ff,0xffffc805,0x80000000,
    0xffffffe8,0xffccaabd,0x202b3a63,0x7fffffc8,0xbfffff70,0x7fffe4c1,
    0x3ffa006f,0xfa8003ff,0xbdffffff,0x4ffdba9a,0x3ffffe80,0xfffff100,
    0x3fffe001,0x7fffc42f,0x99acefff,0x20fffcba,0xadffffff,0x036dcc41,
    0x9dfffffb,0xffffd755,0x333303ff,0xff333333,0x3e607fff,0x440dffff,
    0x7fd43ffb,0x2f7bffa5,0x707ff900,0x203fffff,0x885ffffd,0xaabfffff,
    0xfffffecb,0x999883ff,0xeffffd99,0xf3199999,0x3333ffff,0xfffffd73,
    0x9fffff0f,0x55555555,0x3fffe555,0x3ffe202f,0x7ffe41ff,0x7ffdc0ff,
    0x7fffc02f,0xfff8802f,0x7ffd40ff,0x3ffee004,0x80000004,0x1efffffc,
    0xe8001540,0xe81fffff,0x2e05ffff,0x002fffff,0x007ffffd,0xdfffffd0,
    0x802a8801,0x003ffffe,0x01fffff1,0x0bffffe0,0x5ffffff9,0x7cc36a00,
    0x0004ffff,0xefffff98,0xfffff900,0x7ffc000b,0xfff703ff,0xa83880ff,
    0x3fffa5ff,0x7e40cfff,0xffffd03f,0xfffff30b,0xfffff103,0x3fffa201,
    0xf9000fff,0xf980bfff,0x7f407fff,0x7fc0ffff,0x44002fff,0xd807ffff,
    0x3e22ffff,0xfb82ffff,0x7fc02fff,0xf8802fff,0x7f40ffff,0x8aae606f,
    0x0000fffd,0x3ffe6000,0x000006ff,0x2fffffa8,0x03ffffd4,0x237ffff4,
    0xffeeeeec,0xeeeeefff,0x7fdc5eee,0x0000dfff,0xffddddd9,0xdddddfff,
    0x3fe2bddd,0xff000fff,0x7fc45fff,0x0001efff,0x07ffffea,0x3fff6000,
    0x7fec00ef,0xf0000fff,0x3207ffff,0x0003ffff,0x7ff4bff5,0x20ffffff,
    0xff503ffc,0xffd85fff,0xfff104ff,0xffc801ff,0xf9005fff,0xf980bfff,
    0x7cc07fff,0x7fc2ffff,0x44002fff,0x400fffff,0x320ffffe,0xf706ffff,
    0xff805fff,0xf8802fff,0x3ea0ffff,0x7fec43ff,0xfff31fff,0x3bbba209,
    0x2eeeeeee,0xfffffb80,0xf0000002,0xfe83ffff,0xf9804fff,0x3f61ffff,
    0xffffffff,0xffffffff,0x3fffe27f,0x360000ff,0xffffffff,0xffffffff,
    0xffff17ff,0x3ffe001f,0x3fff62ff,0x640002ff,0x001fffff,0x7ffffcc0,
    0xffff9803,0xfff0004f,0x3ff607ff,0xf50001ff,0x654cc4bf,0x3f26ffff,
    0x3fff603f,0x3fffe66f,0xffff100f,0xffff001f,0xff9001ff,0xff980bff,
    0x7fc407ff,0x7ffc2fff,0xff8002ff,0x3ea05fff,0x7fec6fff,0xfff704ff,
    0xffff805f,0xfff8802f,0x1fffa0ff,0xffffffd3,0x883fff43,0xffffffff,
    0xfc802fff,0x00006fff,0xfffff300,0x7ffffc41,0x7ffec401,0x3fff62ff,
    0xffffffff,0x7fffffff,0x13ffffea,0xffffb000,0xffffffff,0x2fffffff,
    0x00fffff8,0x25fffff0,0x06fffff8,0xffffb800,0x7dc0005f,0xd000ffff,
    0x000bffff,0x40fffffe,0x000fffff,0x880bff50,0xff91fffe,0x7fffcc07,
    0x7ffffb2f,0x7ffffc40,0xffffc800,0xfffc802f,0x7ffcc05f,0x7ffcc07f,
    0x7fffc0ff,0xffd8002f,0x7cc0dfff,0x7f43ffff,0xff702fff,0xfff805ff,
    0xff8802ff,0x3ffe0fff,0x7fffff44,0x3ffea1ff,0xfffff881,0x02ffffff,
    0x05ffffe8,0xff900000,0xfff98bff,0x7ffcc06f,0x3f63ffff,0xffffffff,
    0xffffffff,0x3fffee7f,0x7ec0001f,0xffffffff,0xffffffff,0xfffff17f,
    0x3fffe001,0xfffff32f,0xff300005,0x001bffff,0x17ffff20,0x6ffffc80,
    0xfffff000,0x3ffffe07,0xbff50000,0x27fff500,0x7e403ffc,0xfff9efff,
    0x7ffc406f,0xff8800ff,0xfc803fff,0x7cc05fff,0x7e407fff,0xfff86fff,
    0xf88002ff,0x73ffffff,0xf0dfffff,0x2e01ffff,0x7c02ffff,0x8802ffff,
    0xf10fffff,0x7ffd45ff,0x260a89cf,0xff882fff,0xffffffff,0xffff802f,
    0x4000004f,0x1fffffc8,0x02ffffd4,0xfffffff9,0x4cccc49f,0x9cffffe9,
    0x21999999,0x007ffffc,0x99999880,0x99cffffe,0xf1199999,0x2001ffff,
    0xf52fffff,0x0001ffff,0xffffff10,0xd8003bff,0x2004ffff,0x007ffffb,
    0x07fffff0,0x003ffffe,0x402ffd40,0xff94fff9,0xffff8807,0x01ffffff,
    0x07ffffc4,0x4fffff80,0x5ffffc80,0x3ffffcc0,0x5fffff50,0x05fffff0,
    0x3fffea00,0xffffffff,0x7ffc40ef,0xfff700ff,0x199999bf,0x00bffffe,
    0x43ffffe2,0x3f61fff9,0x7fc405ff,0x3333303f,0x05fffff3,0x3fffff88,
    0x99950000,0xdfffffd9,0x9ffff703,0xfffffd10,0xd00bffff,0x4007ffff,
    0x006ffffe,0x3fffa000,0xfff1003f,0x3fe001ff,0xfff92fff,0x266620ff,
    0x5c199999,0xffffffff,0xfe800bef,0x2a004fff,0x000fffff,0x03fffff8,
    0x001fffff,0x2017fea0,0xff92fffb,0xffff7007,0x100bffff,0x001fffff,
    0x017ffffa,0x017ffff2,0x55fffff3,0xffffd975,0x3fffe09f,0xccccccdf,
    0x7d41cccc,0xffffffff,0xfff304ff,0x7ffdc0ff,0x0fffffff,0x005fffff,
    0x21fffff1,0x3fe0fffa,0xfff802ff,0x7fffc004,0xffff802f,0xf900005f,
    0xffffffff,0x7fffe409,0x7ffffd44,0x06ffffef,0x03ffffe8,0x17ffffe0,
    0xffe80000,0xff1003ff,0x3e001fff,0xffb2ffff,0x3ff60dff,0x1fffffff,
    0x7fffffec,0x01cfffff,0x00fffffe,0x1fffffa8,0xfffff800,0xfffddd33,
    0xddddddff,0x3fea0bdd,0x7ed4cc45,0x7ff90fff,0x3ffffa00,0xf8800fff,
    0xb000ffff,0x900dffff,0x980bffff,0xffffffff,0x2effffff,0x3fffffe0,
    0xffffffff,0xffe882ff,0x2fffffff,0x0fffff50,0x7fffffdc,0xfff0ffff,
    0xff1005ff,0x3ff21fff,0x00ffffc7,0x2002fff4,0x802fffff,0x006ffffe,
    0xfffff900,0x017bffff,0x227ffffb,0xbffffffd,0x807ffff9,0x003ffffe,
    0x09fffff1,0x7ff40000,0xff1003ff,0x3e001fff,0xffd2ffff,0x3ff60bff,
    0x1fffffff,0xffffffb8,0x83ffffff,0x02fffff8,0x3ffffe60,0xffff8002,
    0xfffff53f,0xffffffff,0x3ea0dfff,0x7fffec5f,0x3ff22fff,0xffff5003,
    0x3e2009ff,0x9000ffff,0x900fffff,0x980bffff,0xffffffff,0xbeffffff,
    0xffffff00,0xffffffff,0xfff905ff,0xffffffff,0xfffff50b,0x7ffffdc0,
    0xff0fffff,0xf1005fff,0x3f21ffff,0x3fffe27f,0x05ffe802,0x17ffffc0,
    0x7ffffec0,0xffc80001,0xffffffff,0x7fff42ff,0xffffe9af,0xffff30ef,
    0xffffd00f,0x3ffe6007,0x500004ff,0xffff5555,0x555555bf,0x7ffffc43,
    0xfffff000,0x13ffffe5,0x7fffffec,0xfb301fff,0xffffffff,0xfff88bff,
    0x3e6002ff,0x8001ffff,0xf53fffff,0xffffffff,0xdfffffff,0xf917fea0,
    0xc83dffff,0x3f6003ff,0x1000ffff,0x001fffff,0x01fffff6,0x017ffff2,
    0xfffffff3,0xffffffff,0xffff05ff,0xffffffff,0x7445ffff,0xffffffff,
    0x20efffff,0x207ffff9,0xccdffffb,0xffff0ccc,0xfff1005f,0x3ffee1ff,
    0x013fffe0,0xf0013ffe,0x7005ffff,0x00dfffff,0xb9755300,0xfffffffd,
    0x77fffec7,0x44ffffff,0x806ffffa,0x003ffffe,0x0bfffff1,0x3fffa000,
    0xffffffff,0x224fffff,0x000fffff,0x3a5fffff,0xfb05ffff,0xffffffff,
    0xfffc9803,0x4fffffff,0x01fffffc,0x1fffff30,0xfffff000,0x3ffffea7,
    0xffffffff,0xff506fff,0x1adffc8b,0x5507ff90,0xfffb5555,0x555555df,
    0x1fffff10,0x3ffff600,0xffffc805,0x7fffcc05,0xfedccccf,0x41ffffff,
    0xeeefffff,0xeeeeeeee,0xfffffd11,0x3ffffaa7,0x3ffe25ff,0xfff700ff,
    0xffff805f,0xfff8802f,0x3fff50ff,0x2037fff4,0x4003fff8,0x802fffff,
    0xdffffff8,0x4000c400,0xffffffc8,0xffffff90,0xf705ffff,0xfd00bfff,
    0x7c007fff,0x0006ffff,0xffffffd0,0xffffffff,0x7ffc49ff,0xfff000ff,
    0x3fff65ff,0x3333106f,0x003fffff,0x7ffffed4,0x3ffe1fff,0x3ea004ff,
    0xf0007fff,0x3e07ffff,0x0000ffff,0xffc8bff5,0x41ffe404,0xfffffffd,
    0xffffffff,0xffff887f,0xfffd000f,0xfff9009f,0xfff980bf,0x3ff6207f,
    0x7ffc6fff,0xfc8002ff,0xfc81ffff,0xf11fffff,0x2e01ffff,0x7c02ffff,
    0x8802ffff,0xf30fffff,0x7ffe45ff,0x260b9bef,0x7c002fff,0x9002ffff,
    0x9fffffff,0x9fb75335,0x7ffd4000,0xffff74ff,0x201bffff,0x804ffffc,
    0x003ffffe,0x01fffffa,0x7ffff400,0xffffffff,0x3e24ffff,0xf000ffff,
    0x3f25ffff,0x3e007fff,0x8001ffff,0xffffffe9,0x13ffffa3,0x6ffffb80,
    0xfffff000,0x3ffffe07,0xbff50000,0x6403ffb8,0xfffd83ff,0xffffffff,
    0x887fffff,0x000fffff,0x007fffff,0x80bffff9,0x807ffff9,0x21fffffd,
    0x002fffff,0x17ffffcc,0x9fffff70,0x80fffffc,0x402ffffb,0x802fffff,
    0x20fffff8,0x3fe24fff,0x21ffffff,0x4001fffa,0x002fffff,0xfffffff1,
    0xffffffff,0xffe80009,0xffff55ff,0xfd807fff,0xfe803fff,0x36003fff,
    0x000fffff,0xfeeeed80,0xeeeeffff,0x3fe23eee,0xff000fff,0x3fea3fff,
    0xff001fff,0x40003fff,0x25fffffd,0x006ffffd,0x017ffff2,0x1fffffc0,
    0x00fffff8,0x98bff500,0x7fe401aa,0xeeeeec83,0xeefffffe,0xff885eee,
    0xf9800fff,0xc802ffff,0x4c05ffff,0xa807ffff,0x3e2fffff,0x4002ffff,
    0x805ffffb,0x3a5ffffd,0xf703ffff,0xff805fff,0xf8802fff,0x3fe0ffff,
    0x3ffee0ff,0x3fa1ffff,0xfff8007f,0x3a2002ff,0xffffffff,0x004fffff,
    0xb7fffec0,0x1efffff9,0x2fffff80,0x3ffffe80,0x3ffff200,0xd000004f,
    0x4007ffff,0x801fffff,0x267ffff8,0x004fffff,0x003fffff,0x7ffffcc0,
    0x3fffff26,0xfffff000,0x3ffe0009,0xffff02ff,0x3ea0001f,0xc801985f,
    0x3ee003ff,0x22005fff,0x800fffff,0x01fffffd,0x05ffffc8,0x03ffffcc,
    0x1fffffcc,0x005fffff,0x04ffffc8,0x27ffffa8,0x706ffffd,0xf805ffff,
    0x8802ffff,0x320fffff,0x7f4c3fff,0xff31ffff,0xfff0009f,0xd88005ff,
    0xffffffff,0x0004ffff,0x8afffff4,0x803fffff,0x00fffffa,0x03ffffe8,
    0x3ffffea0,0xe800000f,0x2003ffff,0x802ffffe,0x226ffff9,0x00ffffff,
    0x01fffff8,0x7ffffc00,0x3ffffea5,0xffff9803,0xff88002f,0xfff01fff,
    0x2a0001ff,0x2ffec5ff,0x800fff20,0x005ffffb,0x03ffffe2,0xbfffff30,
    0x3ffff200,0x7fffcc05,0xffffa807,0x3ffffe2f,0x7ffec002,0xfffa804f,
    0x3fffea6f,0xffffb81f,0x7ffffc02,0xffff9802,0x1bffe20f,0xfb0d54c4,
    0xff0001ff,0x20005fff,0xffffffc9,0x0000beff,0x8fffffe2,0x00fffffc,
    0x027fffec,0x05ffffd8,0x7fffff40,0x6c00000d,0x2005ffff,0x805ffffd,
    0x5c5ffffc,0x805fffff,0x001fffff,0x3ffffe20,0x77ffff43,0x7fffec00,
    0xfff70006,0x3ffe01ff,0xf50000ff,0x7fffccbf,0x20fff201,0xfc999998,
    0x9999dfff,0xffff8819,0x3ffa200f,0xf9000fff,0xf980bfff,0xfd807fff,
    0x3fe0ffff,0x64002fff,0xd806ffff,0x7f44ffff,0x7dc0ffff,0x7fc02fff,
    0xfb802fff,0xffc86fff,0x3fee005f,0xfff0004f,0xc80005ff,0x001affff,
    0xffffd100,0x7fffc43f,0x3fff205f,0xff9000ff,0x4c001fff,0x1effffff,
    0x6401e4c0,0x000fffff,0x03fffff9,0x1fffffc4,0x77fffffc,0x3ffffe00,
    0x74001591,0x5c1fffff,0x00efffff,0x85fffffb,0x3fe200c9,0x3fe07fff,
    0x50000fff,0x7ffc4bff,0x0fff201f,0x3ffffff6,0xffffffff,0xfff887ff,
    0xfff700ff,0x64009fff,0x4c05ffff,0x6407ffff,0x7c7fffff,0x4002ffff,
    0xadfffffa,0x7fffe440,0x7fffdc2f,0xffc99bef,0x99999bff,0x45fffff0,
    0xffb99acc,0xff885fff,0xffc805ff,0xff0000ff,0x80005fff,0xb805fffe,
    0xfc99809a,0xc86fffff,0x22dfffff,0x4fffffc8,0x3fffee00,0xfb03104f,
    0x9dffffff,0x9ffdb757,0xfffff700,0xff886209,0x540bffff,0x506fffff,
    0xbfffffff,0xfff75359,0x3bffa3ff,0xca999abc,0x87ffffff,0xeffffff8,
    0xfffecaac,0xcff986ff,0xffff510a,0x555449ff,0xaabfffff,0xaaaaaaaa,
    0xf717fea1,0x3ffc807f,0xffffffd8,0xffffffff,0xfff887ff,0xfdcaabff,
    0x0fffffff,0xdaaaaaa8,0xaaaeffff,0xffff32aa,0xd955555f,0x87ffffff,
    0xaacfffff,0xaaaaaaaa,0xffffff8a,0xfffedeff,0xff886fff,0xffffffff,
    0xffffffff,0xfffff4ff,0x7ffffec5,0x701fffff,0x437dffff,0x2ffffdb9,
    0x3fffe000,0x7fc0002f,0xfff802ff,0xffffffff,0x80efffff,0xfffffff8,
    0xffffffef,0x3fe6000f,0xedefffff,0xfff987fe,0xffffffff,0x804fffff,
    0xfffffff9,0x647feede,0xffffffff,0xffffffff,0x3ffffa01,0xffffffff,
    0xfd1fffff,0xffffffff,0xffffffff,0x3ffff203,0xffffffff,0xf981ffff,
    0xffffffff,0x2a0effff,0xffffffff,0xffffffff,0x3fea5fff,0x3ff20005,
    0xfffffd83,0xffffffff,0xff887fff,0xffffffff,0x1effffff,0xffffffb0,
    0xffffffff,0x3ffe6fff,0xffffffff,0x85ffffff,0xffffffff,0xffffffff,
    0xffffff36,0xffffffff,0x3fa601df,0xffffffff,0xffffffff,0x5fffff4f,
    0x7fffffec,0x7d404fff,0xffffffff,0x801fffff,0xfffffffe,0xffffffff,
    0xff9805ff,0xfff800ff,0xffffffff,0x201fffff,0xfffffffa,0x0effffff,
    0xffffc800,0x7fffffff,0xfffffd30,0xffffffff,0x3ff2009f,0xffffffff,
    0x7fffc47f,0xffffffff,0x64404fff,0xffffffff,0xffffffff,0xffffffd1,
    0xffffffff,0xffb805ff,0xffffffff,0xf302ffff,0xffffffff,0xfa85ffff,
    0xffffffff,0xffffffff,0x3ffea5ff,0xeeeeeeee,0xffeeeeee,0x3fee003f,
    0x3e2005ff,0xffffffff,0x04ffffff,0x7fffffec,0xffffffff,0xffff37ff,
    0xffffffff,0xf01dffff,0xffffffff,0xdfffffff,0x7fffffd4,0xdfffffff,
    0x7fff4400,0xffffffff,0xf4ffffff,0x7ec5ffff,0xdfffffff,0xfffe9800,
    0xefffffff,0xffffd000,0xffffffff,0x00bfffff,0x2009fff7,0xffffffff,
    0x0cffffff,0xffffe880,0x0dffffff,0xfffd1000,0xffffffff,0xfffffb80,
    0xffffffff,0xfffd1004,0xffffffff,0xfffffb10,0x5fffffff,0x7fffd400,
    0xffffffff,0xfffd0fff,0xffffffff,0x2005dfff,0xfffffffa,0x200effff,
    0xfffffff9,0xa81effff,0xffffffff,0xffffffff,0x3fea5fff,0xffffffff,
    0xffffffff,0x3ee003ff,0x22005fff,0xffffffff,0x01efffff,0xffffffd8,
    0xffffffff,0xffff37ff,0xffffffff,0x7fc05dff,0xffffffff,0x86ffffff,
    0xffffffea,0x22001dff,0xffffffdb,0xffffffff,0x5fffff4f,0x7fffffdc,
    0x6dc4002e,0xbdffffff,0x3fffa000,0xffffffff,0x05ffffff,0x001fffc8,
    0xffffffff,0x0017dfff,0xfffffd90,0x200007bf,0xffffffea,0xdc9806ff,
    0xefffffff,0xfea8001b,0x6fffffff,0x3ffffaa0,0x000cffff,0xffffec88,
    0x41cfffff,0xfffffeda,0x02dfffff,0xfffec880,0x3003efff,0xfffffff9,
    0x7ffd407d,0xffffffff,0xffffffff,0x3ffffea5,0xffffffff,0x3fffffff,
    0x3fffee00,0x3ffe2005,0xdeefffff,0x3ff6001b,0xffffffff,0x37ffffff,
    0xffffffff,0x00399ddf,0xffffffff,0xffffffff,0x5554c40d,0x51000019,
    0x00000335,0x00006a62,0x0000aa88,0x3ffffffa,0xffffffff,0xaa805fff,
    0x2662002a,0x0019aaaa,0x00aa9800,0x2a620000,0x20001aaa,0x00019a98,
    0x2aaaa620,0x554c4001,0x44000009,0x0009aaaa,0x35555531,0xa9800001,
    0x4c40001a,0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x75100000,0x00000135,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00013331,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb30000,0x07ffffff,0xfffffff8,
    0xffffffff,0x9ffffb3f,0xfffd8000,0x3fea03ff,0x7fec6fff,0xffffffff,
    0xffffffff,0xfffc8005,0x3fe07fff,0xf8802fff,0x9800ffff,0x005ffffd,
    0x00bffff7,0x98bffff7,0xffffffff,0xffffffff,0x4003ffff,0xfffffffa,
    0xf0ffffff,0x00bfffff,0xd85ffff7,0xffffffff,0x0002bcde,0xffffffb0,
    0xfffb000f,0x9bdfffff,0x3fe20057,0xffffffff,0x54001cce,0x0007ffff,
    0xfffffff3,0x017bdfff,0x1fffff30,0xfffffe80,0x17ffff23,0x7ffc4000,
    0x000001ff,0xf10dfff3,0xc8800fff,0xffffffff,0xff00efff,0xffffffff,
    0x27ffffff,0x004ffffd,0x7ffffec0,0x3ffff605,0x7fffec6f,0xffffffff,
    0x05ffffff,0x7ffffc40,0x3ffe07ff,0xff8802ff,0x36600fff,0x05ffffff,
    0x0bffff70,0x8bffff70,0xfffffff9,0xffffffff,0x003fffff,0x7fffffec,
    0x0fffffff,0x3fffffff,0x2ffffb80,0x7fffffec,0xefffffff,0x3fe20001,
    0x01ffffff,0x7ffffec0,0xffffffff,0x7ffc401e,0xffffffff,0x5001dfff,
    0x000fffff,0x3fffffe6,0xffffffff,0x3ffe601d,0x3fee00ff,0x7fe45fff,
    0x100005ff,0x003fffff,0x3ffea000,0x07fff985,0x7fffff40,0xffffffff,
    0xfffff81f,0xffffffff,0xfffb3fff,0xfd80009f,0x880fffff,0x47ffffff,
    0xfffffffd,0xffffffff,0x6c005fff,0x7fffffff,0x0bffffe0,0x3ffffe20,
    0xffffc880,0x7005ffff,0x700bffff,0xf98bffff,0xffffffff,0xffffffff,
    0x22003fff,0xffffffff,0xf0ffffff,0x09ffffff,0x42ffffb8,0xfffffffd,
    0xffffffff,0xffa8000c,0x03ffffff,0x7ffffec0,0xffffffff,0xff100cff,
    0xffffffff,0x09ffffff,0x0fffff50,0x3fffe600,0xffffffff,0xf300ffff,
    0x2201ffff,0x40ffffff,0x005ffffc,0xfffff100,0x2e000003,0xffa85fff,
    0x3ff2006f,0xffefffff,0xf85fffff,0xffffffff,0x3fffffff,0x009ffffb,
    0xfffffe80,0xffffa82f,0x7ffec7ff,0xffffffff,0x5fffffff,0x3fffea00,
    0x3e07ffff,0x8802ffff,0x220fffff,0xfffffffc,0xf7005fff,0xf700bfff,
    0xff98bfff,0xffffffff,0xffffffff,0x3ee003ff,0xffffffff,0xff0fffff,
    0x01ffffff,0x217fffdc,0xfffffffd,0xffffffff,0x7e4000ef,0x6fffffff,
    0x7fffec00,0xffffffff,0x880effff,0xffffffff,0xffffffff,0x7ffd402f,
    0xff30007f,0xffffffff,0x1dffffff,0x1fffff30,0x3fffff60,0x5ffffc82,
    0xfff10000,0x003335ff,0x27ffe400,0x802fffd4,0x2efffffa,0x3ffffa62,
    0x7ffffc1f,0xaaaaaaac,0xfffb1aaa,0xfe80009f,0xd85fffff,0x47ffffff,
    0xfffffffd,0xffffffff,0xf1005fff,0xffffffff,0x7ffffc0f,0xffff8802,
    0xfffff30f,0xbfffffff,0xfffffc80,0xffffffff,0xffffffff,0x5555515f,
    0xdffffb55,0x35555555,0x77fff400,0x999bffff,0x3ffffe19,0x3ee04fff,
    0x7fec2fff,0xecbaadff,0x3fffffff,0x7ffffc00,0x000fffff,0x2b7ffff6,
    0xffffecba,0xff883fff,0xbaaabfff,0xfffffffc,0x3fffea01,0xfff30007,
    0xd95555ff,0x07ffffff,0x01fffff3,0x0bfffff7,0x017ffff2,0x7fffc400,
    0xefffffff,0xffb0002c,0x9fff707f,0x3ffff600,0xffff100f,0xfffff8df,
    0xfffd8002,0x7fc0004f,0xf87fffff,0x0fffffff,0x7ffdc000,0xff9001ff,
    0xfffff9ff,0x17ffffc0,0x7ffffc40,0xffffff10,0x0bffffbd,0xffffffc8,
    0xffffffff,0xffffffff,0xffff9005,0x3e60000b,0xffffbfff,0x7ffffc02,
    0xf700ffff,0xffd85fff,0xffd104ff,0x2001ffff,0xffdffff9,0x36002fff,
    0xd104ffff,0x81ffffff,0x01fffff8,0xbfffffb1,0x3ffffd40,0x3fe60770,
    0x3fee07ff,0xff985fff,0x7fc40fff,0xf900efff,0x0000bfff,0x3fffffe2,
    0xffffffff,0x7fec002e,0x4fffc82f,0x7fffff00,0xfffffb80,0x0bffffe1,
    0x3ffff600,0x7ffc0004,0x262fffdf,0xffffdfff,0x7ffc0000,0xff3006ff,
    0xffff1fff,0x7ffffc0f,0xffff8802,0x3bfff60f,0x0bffff92,0xffffffc8,
    0xffffffff,0xffffffff,0xffff9005,0x3f20000b,0xffffaeff,0x7ffffc02,
    0xf703ffff,0xffd85fff,0x7fe404ff,0xf7005fff,0xfffb7fff,0x7fec00bf,
    0x7fe404ff,0x7fc45fff,0x3e201fff,0x2a06ffff,0xfb87ffff,0xffff304f,
    0xffffd80f,0xfffff987,0x7ffffec0,0x3ffff201,0xff100005,0xffffffff,
    0x0bffffff,0x7ffd5554,0xfeaaaacf,0x80aaadff,0x00fffff8,0x1fffffc4,
    0x005fffff,0x09ffffb0,0xbffff800,0x3ff24fff,0x01ffffaf,0x3fffee00,
    0xfffd002f,0x1ffffe5f,0x02fffff8,0x0fffff88,0xff90ffe6,0xffc80bff,
    0xffffffff,0xffffffff,0x9005ffff,0x000bffff,0x2abfffe0,0x7c02ffff,
    0xffffffff,0x5ffff706,0x04ffffd8,0x0ffffff8,0x9ffffe80,0x007ffffb,
    0x013ffff6,0x83fffffe,0x01fffff8,0x07ffffdc,0x27ffffa8,0x304ffffb,
    0xb80fffff,0x4c0fffff,0x2a0fffff,0x403fffff,0x005ffffc,0xfffff100,
    0xffffffff,0x3e07ffff,0xffffffff,0xffffffff,0xfa81ffff,0xfd007fff,
    0x7ffc9fff,0xfd8002ff,0x20004fff,0xff9ffff8,0x23fffe7f,0x0001ffff,
    0x01bffffa,0xf2ffffdc,0x7fc0ffff,0xf8802fff,0x05c0ffff,0x02ffffe4,
    0x3ffff6a6,0xaaaaaaae,0xaeffffda,0xffff9001,0xff50000b,0xffff51ff,
    0xeffff805,0xb82ffffe,0x7ec2ffff,0xfc804fff,0x4402ffff,0xff17ffff,
    0x36003fff,0xc804ffff,0x222fffff,0x401fffff,0x01fffff9,0xd5fffff5,
    0x209fffff,0x407ffff9,0x987ffffb,0xf10fffff,0x900dffff,0x000bffff,
    0x3ffffe20,0xffba999a,0xf81fffff,0xffffffff,0xffffffff,0xfa81ffff,
    0xe800ffff,0x3fe5ffff,0xd8002fff,0x0004ffff,0x7f5fffe2,0x5fff99ff,
    0x0003ffff,0x0bffffea,0x3ffffe20,0x81ffffe0,0x802fffff,0x00fffff8,
    0x0bffff90,0x17fffee0,0x17fffee0,0xbffff900,0xfffb0000,0x0bfffeab,
    0xf5dffff0,0xff70dfff,0xfffd85ff,0xfff8804f,0x7fd403ff,0x3fffa4ff,
    0xfffb004f,0xfff1009f,0x7ffc47ff,0x7fcc01ff,0xff501fff,0xffffffff,
    0x3fe605ff,0x7fe407ff,0xfff986ff,0xffffb0ff,0xfff9001f,0x220000bf,
    0x101fffff,0x0bfffff9,0xffffffff,0xffffffff,0x103fffff,0x005fffff,
    0x7cdffffb,0x8002ffff,0x004ffffd,0x65fffe20,0xfffbbfff,0x005ffff2,
    0x1bffffa0,0x1ffffe40,0xf81ffffe,0x8802ffff,0x000fffff,0x00bffff9,
    0x017fffee,0x017fffee,0x0bffff90,0xffff8800,0x05ffff52,0xff6ffff8,
    0xffb83fff,0x7ffec2ff,0xffff004f,0xfffd809f,0x3ffff22f,0xffffb006,
    0x3fffe009,0x3fffe24f,0x7ffd401f,0xfff500ff,0x9fffffff,0x7fffcc01,
    0x3fffe607,0xffff984f,0xfffffa8f,0xffff9002,0x06ee600b,0x07ffffe2,
    0x0fffffd0,0xffffb999,0xfff99999,0x2019999f,0x806fffff,0x3e6ffffd,
    0x8002ffff,0x004ffffd,0x55fffe60,0x7ffddfff,0x000bfffe,0x0bffffea,
    0x1bfffe60,0xf81ffffe,0xeeeeffff,0xffeeeeee,0xf9000fff,0x2e00bfff,
    0xb805ffff,0x4005ffff,0x005ffffc,0x53fffdc0,0x999bffff,0xb7fffc79,
    0x5c5ffffb,0xd992ffff,0x999dffff,0xffffd059,0xfffff80b,0x3ffffea0,
    0x3ffb3200,0x2cccceff,0x25ffffe8,0x01fffff8,0x03ffffe4,0xfffffff7,
    0xff30019f,0xff710fff,0xf301ffff,0xfff3ffff,0x7e400bff,0xfc805fff,
    0x7fc45fff,0x7d401fff,0x2a00ffff,0xff985fff,0x3ffa007f,0x5c41efff,
    0x27fffffe,0xeeefffff,0x5eeeeeee,0x013ffff6,0x26fff980,0x5fffffff,
    0x000ffffe,0x01bffffa,0x40fffff4,0x3e07ffff,0xffffffff,0xffffffff,
    0xf9000fff,0x2e00bfff,0xffffffff,0xffffffff,0x7e4005ff,0x40005fff,
    0x3ea4fffe,0xffffffff,0x45bfffe5,0x2e1fffff,0xfff2ffff,0xffffffff,
    0xffffb07f,0x7fffcc0d,0x3fffff86,0x3fffffe0,0x83ffffff,0x226ffffd,
    0x201fffff,0x85fffff9,0xffffffea,0x3e6000cf,0xeeeeffff,0x2fffffff,
    0xdfffff30,0x001fffff,0x02ffffe4,0x3fffffee,0x3ffffe24,0x7fffcc01,
    0x3ffee02f,0x06fffa85,0x3ffffe60,0xffffffff,0x3e6fffff,0xffffffff,
    0x27ffffff,0x004ffffd,0xd9bffea0,0x22ffffff,0x4003fffe,0x03fffffa,
    0x04ffffb8,0x7c0fffff,0xffffffff,0xffffffff,0xf9000fff,0x2e00bfff,
    0xffffffff,0xffffffff,0x7e4005ff,0x20005fff,0x2a1ffff9,0xffffffff,
    0x9bfffe5f,0x2e4ffffc,0xfff2ffff,0xffffffff,0xffff907f,0x7fffe40f,
    0x5ffffd83,0x3fffffe0,0x83ffffff,0x227ffffc,0x501fffff,0x43fffffd,
    0xffffffe8,0xf98000ff,0xffffffff,0x01efffff,0x3fffffe6,0x4004ffff,
    0x405ffffc,0x7fffffff,0x07ffffe2,0x3fffff30,0x427ffe40,0x4005fffb,
    0xfffffffc,0xffffffff,0x3fffe5ff,0xffffffff,0x3ff67fff,0x2a0004ff,
    0x3fee6fff,0x3fa0ffff,0x7f4003ff,0xf8807fff,0xff00efff,0x7ffc0fff,
    0xffffffff,0xffffffff,0xfff9000f,0x3fee00bf,0xffffffff,0xffffffff,
    0x7ffe4005,0x3f60005f,0x7ffd46ff,0x25ffffff,0x3e26ffff,0xff70ffff,
    0x3fffe5ff,0xffffffff,0x7ffffd83,0x07ffffa0,0x03ffffee,0x7ffffffc,
    0xd83fffff,0x3e27ffff,0xbaabffff,0xffffffec,0x7ffffcc4,0x30007fff,
    0xffffffff,0x0039ffff,0xfdfffff3,0x4003ffff,0x205ffffc,0xfffffff8,
    0xfffff10f,0xffffa803,0x3fff600f,0x04fffb83,0xfffffc80,0xffffffff,
    0x3ffe4fff,0xffffffff,0x3f67ffff,0x20004fff,0x3e26fffa,0x7f45ffff,
    0x3ea004ff,0xd803ffff,0x3e02ffff,0x3fe07fff,0xeeeeefff,0xfffeeeee,
    0xff9000ff,0x3ee00bff,0xffffffff,0xffffffff,0x7fe4005f,0xf10005ff,
    0xffa87fff,0x3ccccdff,0xfb1bfffe,0x3fee9fff,0xfffdd2ff,0x5dddddff,
    0x0bffffb0,0x41ffffe2,0x02fffff9,0xdfffffdd,0xfb05dddd,0x7fc4bfff,
    0xffffffff,0x86ffffff,0xfffffff9,0xff30007f,0xffffffff,0xf3005fff,
    0xfff5ffff,0x7e400dff,0x7fc05fff,0x227fffff,0x401fffff,0x406ffffd,
    0xfc82fffe,0xb30004ff,0xbfffffff,0x49ffffd7,0xccdfffff,0x4ccccccc,
    0x013ffff6,0x45fffb80,0x742ffffe,0x3a004fff,0x400fffff,0x405ffffa,
    0x3e07ffff,0x8802ffff,0x000fffff,0x00bffff9,0x27bfffee,0xc9999999,
    0x4005ffff,0x005ffffc,0x81ffff70,0x402ffffa,0x7cc6ffff,0xffb8ffff,
    0x7ffec2ff,0xfffd004f,0x3ffee09f,0x3fffe05f,0x7ffec04f,0xfffd004f,
    0x7fffc49f,0xffffffff,0xf980dfff,0x7ffffcdf,0xffff3000,0xffffb75f,
    0xff9805ff,0xfffc8fff,0xff9004ff,0xffc80bff,0x3e25ffff,0x2a01ffff,
    0x4c5fffff,0xbffff999,0xfffd9999,0x1000199c,0x7fc13553,0x3ffe3fff,
    0xfd8002ff,0x20004fff,0x7e45fffb,0x7fec0fff,0xfff3005f,0xffd009ff,
    0x555557ff,0x5fffff55,0x3ffe1555,0xff8802ff,0xf9000fff,0x2e00bfff,
    0xb805ffff,0x4005ffff,0x005ffffc,0x50dfffd0,0xf805ffff,0xffe86fff,
    0xffffbbff,0x27fffec2,0x3fffff80,0x05ffffb0,0x03ffffe4,0x013ffff6,
    0x11fffffc,0xffffffff,0x03dfffff,0xfffa8ecc,0xff30007f,0xfff98fff,
    0x7fcc06ff,0xfffd0fff,0xff9003ff,0xfe880bff,0x3e20efff,0xf701ffff,
    0x441fffff,0xffffffff,0xffffffff,0x000fffff,0x7fffcc00,0x3ffffe1f,
    0xfffd8002,0x3f20004f,0x7ffcc5ff,0x05fffd85,0x1fffffb0,0xfffff880,
    0xffffffff,0xffffffff,0x5fffff1f,0xfffff100,0x3fff2001,0xfff7005f,
    0xfff700bf,0xffc800bf,0xf98005ff,0xccccefff,0x402ffffd,0xfa86ffff,
    0xfffbefff,0x7fffec2f,0xffff9804,0xfffff02f,0xdddddddd,0x403fffff,
    0x804ffffd,0x22fffff9,0xfffffff8,0x001acdef,0x07ffffa8,0xfffff300,
    0x9fffff50,0x7ffffcc0,0xdfffff50,0xbffff900,0x20f76e00,0xcdfffff8,
    0xffffedcc,0x7ffc43ff,0xffffffff,0xffffffff,0x400000ff,0x7c6ffffb,
    0x8002ffff,0x004ffffd,0x217fff20,0xffd82ccc,0xfff9805f,0xff8804ff,
    0xffffffff,0xffffffff,0xfff1ffff,0xff1005ff,0x32001fff,0x7005ffff,
    0x700bffff,0x800bffff,0x005ffffc,0xffffffc8,0xffffffff,0x37fffc02,
    0xfdfffff8,0x7fec2fff,0xffd804ff,0xffa81fff,0xffffffff,0xffffffff,
    0x3ffff603,0xffffd804,0x3fffe21f,0x5400001f,0x0007ffff,0x20fffff3,
    0x00fffffd,0x41fffff3,0x04fffffd,0x02ffffe4,0xffff8800,0xffffffff,
    0xf886ffff,0xffffffff,0xffffffff,0x0000ffff,0x3ffffe20,0x17ffffc3,
    0x7fffec00,0x3ff20004,0xffd8005f,0xfffd806f,0xff8800ff,0xffffffff,
    0xffffffff,0xfff1ffff,0xff1005ff,0x32001fff,0x7005ffff,0x700bffff,
    0x800bffff,0x005ffffc,0xfffffff8,0xffffffff,0x37fffc02,0xffffffb8,
    0x7fec2fff,0x7fcc04ff,0xff905fff,0xffffffff,0xffffffff,0x7fffec0d,
    0x7fffcc04,0x7fffc45f,0x5400001f,0x0007ffff,0x20fffff3,0x03fffffa,
    0x41fffff3,0x1ffffff8,0x17ffff20,0x7ffc4000,0xffffffff,0x9104ffff,
    0x9ffffb99,0xffff9999,0x00019999,0x7ffffec0,0x17ffffc0,0x7fffec00,
    0x3ff60004,0xffd8004f,0x7ffcc06f,0xff1004ff,0xffffffff,0xffffffff,
    0x3fe3ffff,0xf8802fff,0x9000ffff,0x200bffff,0x805ffffb,0x005ffffb,
    0x02ffffe4,0x3ffffea0,0xffffffff,0x7ffc02ff,0xffff106f,0xd85fffff,
    0x2204ffff,0x00fffffe,0xffffffff,0xffffffff,0x3601ffff,0x2204ffff,
    0x40fffffe,0x01fffff8,0x7ffd4000,0xff30007f,0x7ff40fff,0xff980fff,
    0x7fdc0fff,0x3f206fff,0x00005fff,0xfffffff1,0x1bffffff,0x2fffd400,
    0x003fffcc,0x7ffdc400,0xfff84fff,0xfd8002ff,0x20004fff,0x8004fffd,
    0x6c07fffc,0x000fffff,0x26666666,0xff999999,0x21999fff,0x802fffff,
    0x00fffff8,0x0bffff90,0x17fffee0,0x17fffee0,0xbffff900,0xffffd800,
    0xfcaaaaaa,0x7fc02fff,0x3ff206ff,0x42ffffff,0x704ffffd,0x09ffffff,
    0x2bbfffe6,0xaaaaaaaa,0x02fffffb,0x209ffffb,0x4ffffffb,0x1fffff88,
    0x7fd40000,0xf30007ff,0x7dc0ffff,0xf983ffff,0xfe80ffff,0xf904ffff,
    0x0000bfff,0x3bffffe2,0x009bcdee,0x84fffb80,0x8006fffa,0xedccaaaa,
    0x5fffffff,0x05fffff0,0xdffffb00,0x99999999,0x7ff43999,0xffc8004f,
    0x3ffe607f,0x000005ff,0x03ffffc4,0x005fffff,0x41fffff1,0xeccccccb,
    0xcccfffff,0x7ffdc4cc,0xfffb805f,0x7fe4005f,0x3e2005ff,0x3ea04fff,
    0x9999bfff,0x81bfffe1,0xfffffff8,0x7fffec2f,0xfffdcaad,0x700fffff,
    0x4009ffff,0xb05fffff,0x955bffff,0xfffffffb,0xffff101f,0xa800003f,
    0xcccfffff,0xcccccccc,0x0fffff33,0x3fffffc4,0x07ffffcc,0x7fffffcc,
    0xeffffc81,0xcccccccc,0xff102ccc,0x00003fff,0xb84fffc8,0xd8005fff,
    0xffffffff,0x206fffff,0x002fffff,0xffffffd8,0xffffffff,0x3fffa3ff,
    0xfffc8004,0x3ffff607,0x4000001f,0x207ffff8,0x802fffff,0x20fffff8,
    0xfffffffd,0xffffffff,0x7ffdc7ff,0xfffb805f,0x7fe4005f,0x3ee005ff,
    0x3ea01fff,0xffffffff,0x0dffff1f,0xffffffd8,0x7fffec2f,0xffffffff,
    0x3601efff,0x2002ffff,0xb07ffffd,0xffffffff,0xdfffffff,0x3fffe203,
    0x5400001f,0xffffffff,0xffffffff,0x0fffff36,0x3fffffc8,0x07ffffcc,
    0xefffffc8,0x7ffffe40,0xffffffff,0xff104fff,0x00003fff,0xc83fffd8,
    0xd8004fff,0xffffffff,0x200cffff,0x002fffff,0xffffffd8,0xffffffff,
    0x3fffa3ff,0xfffc8003,0xffff880f,0x8000005f,0x207ffff8,0x802fffff,
    0x20fffff8,0xfffffffd,0xffffffff,0x7ffdc7ff,0xfffb805f,0x7fe4005f,
    0x3fa005ff,0x7fd406ff,0xffffffff,0x80dffff1,0xfffffff9,0x7ffffec2,
    0xffffffff,0x7ffc404f,0x7fdc007f,0xffd81fff,0xffffffff,0x4404ffff,
    0x001fffff,0x7fffd400,0xffffffff,0xff36ffff,0xff880fff,0x7fcc6fff,
    0xff100fff,0xfc89ffff,0xffffffff,0x4fffffff,0x3fffff10,0xffe80000,
    0x4fffc82f,0xffffd800,0x0dffffff,0x2fffff80,0xffffd800,0xffffffff,
    0x3fe3ffff,0xfb8003ff,0xffc80fff,0x00001fff,0x7ffff880,0x0bffffe0,
    0x3ffffe20,0x3fffff60,0xffffffff,0x7dc7ffff,0xfb805fff,0x64005fff,
    0x3005ffff,0xa807ffff,0xffffffff,0xdffff1ff,0xfffffd00,0xffffd85f,
    0xffffffff,0xfffa801e,0x7fc4005f,0xffd84fff,0xffffffff,0xf8801eff,
    0x0001ffff,0x7ffffd40,0xffffffff,0xfff36fff,0xfffb00ff,0x7ffcc5ff,
    0x3fea00ff,0x3f22ffff,0xffffffff,0x4fffffff,0x3fffff10,0xfff80000,
    0x3fffd81f,0xffffd800,0x4001bdee,0x002fffff,0xffffffd8,0xffffffff,
    0x3fffe3ff,0xfffb8003,0x7fffc40f,0x0000005f,0x40fffff1,0x802fffff,
    0x20fffff8,0xfffffffd,0xffffffff,0x7ffdc7ff,0xfffb805f,0x7fe4005f,
    0xff9005ff,0xffa801ff,0xffffffff,0x00dffff1,0x5ffffff5,0xffffffd8,
    0x001bdeef,0x00fffff2,0x1bffffa0,0x3ffffff6,0x001bdeef,0x07ffffe2,
    0xfff50000,0xffffffff,0x26dfffff,0xa807ffff,0x266fffff,0x400fffff,
    0x0ffffffd,0xfffffff9,0xffffffff,0x3ffe209f,0x400001ff,0xfe80ffff,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x35731000,0x00750001,0x51000930,
    0x00003555,0x03200640,0x99980000,0x13000000,0x00988000,0x004c4000,
    0x00044000,0x2004cc40,0x00600018,0x31000062,0x00000333,0x00004cc0,
    0x00188031,0x54009980,0xff52aaaa,0xffffffff,0xffffffff,0x3ffffeeb,
    0x7fffc002,0x3ffffa4f,0xfffa801f,0x7ffcc6ff,0xfff0002f,0x3ffffa7f,
    0x7fe4000f,0x3ffe67ff,0xffffffff,0xffffffff,0xffdb503f,0x007fffff,
    0x8003ffd3,0x26003ffe,0x0003ffff,0x00efe880,0x00003ffb,0xfffffd93,
    0x00019dff,0xffffdb73,0xdb8039df,0x03dffffe,0xfffdc980,0x0000cdff,
    0x007bffa6,0xfffff930,0x7ffe41bf,0xfda802df,0x7ed42dff,0xc9801dff,
    0xfffffffe,0x7fe441df,0x1777740d,0x9fffff93,0x21ddd901,0x261cfffc,
    0x7444fffe,0x3f663eee,0xfb04ffff,0x3feaffff,0xffffffff,0xffffffff,
    0x1bffffe5,0xfffffb80,0x3ffffea0,0xffffe805,0x7fffcc1f,0xffff0002,
    0x3ffffee5,0x7fff4002,0x3fffe65f,0xffffffff,0xffffffff,0x7fffec43,
    0xefffffff,0xdffffb01,0x7fffe400,0xfff9800e,0x4c00003f,0x6c0effff,
    0x0002ffff,0x3ffffffe,0x4fffffff,0xffff9100,0x7fffffff,0x3ffffa60,
    0x01efffff,0xffffff90,0x005fffff,0x1bffffa0,0xfffff980,0xfeafffff,
    0x02ffffff,0x3fffffee,0xfffff51f,0x3f6203ff,0xffffffff,0x7ff42fff,
    0x3ffe0fff,0xfffff74f,0xfd83dfff,0xffffc8ff,0xfffff36f,0x7fffc4bf,
    0xffffff75,0xffd83dff,0xffff56ff,0xffffffff,0x4bffffff,0x01fffffb,
    0x09fffff0,0x03fffffd,0x2fffffd4,0x01ffffc4,0x97fffc40,0x05fffff9,
    0x3ffffe20,0x3ffffe62,0xffffffff,0x3fffffff,0x3fffffea,0xffffffff,
    0xffffb80e,0xfffa804f,0xff3004ff,0x400007ff,0x5ffffffa,0x3fffffee,
    0xffff0003,0xffffffff,0xfa809fff,0xffffffff,0xfa83ffff,0xffffffff,
    0x2603ffff,0xfffffffe,0x05ffffff,0x7ffffc40,0xfff3001f,0xffffffff,
    0xffffffff,0xffff503f,0xff3fffff,0x1fffffff,0xfffffe88,0xffffffff,
    0x3ffffee2,0x33fffe4f,0xfffffffb,0x7fec6fff,0xffffffbf,0xfffffe9f,
    0xffff11ff,0xffffff7b,0xfc8dffff,0xfff56fff,0xffffffff,0xbfffffff,
    0x05fffff8,0x0fffffb8,0x5fffffa8,0x3fffffa0,0x3ffff880,0xffff8800,
    0x1fffffa1,0xfffffb80,0x3ffffe60,0xffffffff,0x3fffffff,0xfffffff1,
    0xffffffff,0x3fff60bf,0xaaaa8aff,0x6fffff89,0x3fffe600,0xff700003,
    0xc81bffff,0x05ffffff,0xefffff80,0xffffeece,0xfff502ff,0xffffffff,
    0xff987fff,0xfecdffff,0xd01fffff,0xffffffff,0x7fffffff,0x7fffc400,
    0xff3001ff,0xfffd97bf,0xffb9ffff,0xfffd09ff,0xfffffd7b,0xffffb9ff,
    0xfffffe87,0xffedccef,0x3ffff62f,0x3fffe6ff,0xffffffff,0x363fffff,
    0xffffffff,0xffffffff,0xff14ffff,0xffffffff,0x5fffffff,0x9affffe4,
    0xeeeeeeee,0xffffeeee,0x7ffdc4ff,0x7ffc01ff,0x3ff604ff,0xffa81fff,
    0x3fe04fff,0xf88003ff,0x3ff21fff,0xfb001fff,0xaa88dfff,0xffdaaaaa,
    0xaaaaaeff,0x3ffea1aa,0xfea99bdf,0x881fffff,0xfffffffe,0xffffffff,
    0x3e6000ff,0x80003fff,0x4ffffffd,0x3ffffea0,0x3be000ef,0x3ffea00b,
    0xffe885ff,0xaabdffff,0x7f43ffcc,0x74c0dfff,0xfb85ffff,0x9acfffff,
    0xffffffeb,0x3fffa000,0x0ba6006f,0x0fffffec,0xf98ffff7,0x3ffe26ff,
    0x3fee3fff,0x3fffe66f,0x90dcc05f,0x4dffffff,0xffffffff,0xffffd9bf,
    0x3ffff66f,0xfffff74f,0x57fffa3f,0xfffffff8,0xfffa8aef,0x3ffee5ff,
    0xff70005f,0x3fe0dfff,0x3ee05fff,0x2600ffff,0xe86fffff,0x200fffff,
    0x8004ffff,0x261ffff8,0x003fffff,0x007fffff,0x05ffffc8,0xb00f7e40,
    0x205fffff,0xfffffff9,0xffffffff,0x7fcc002f,0x220003ff,0x2ffffffe,
    0xfffff980,0x001001ef,0x437fffdc,0x1efffffc,0xfff51540,0x7ffcc0bf,
    0x3ffe22ff,0xff900eff,0x44009fff,0x0000dffd,0x17fffe60,0xfc87fffe,
    0x7ffe43ff,0x7fffc0ff,0x3fffff71,0xffff5000,0x7fffc7ff,0xffc84fff,
    0x3fff67ff,0x3fffe67f,0x5bfff63f,0xfffffff8,0x7ffffb83,0x013fffee,
    0x3ffffe20,0xffff701f,0x3fffe03f,0xfffc804f,0x3ffea2ff,0x7ffc03ff,
    0xff98004f,0x7fffc0ff,0xfff9806f,0x7e4001ff,0xb8005fff,0x7fffc400,
    0x3ffee04f,0xffffffff,0x98004fff,0x0003ffff,0xffffffd3,0x7ff44003,
    0x0002ffff,0x3ffffcc0,0x1bffffe6,0x7ffff400,0x7fffec00,0x3fffff23,
    0x7ffff400,0x00010007,0x9ffff100,0x745fffb0,0x7fd41fff,0xfffd86ff,
    0x3fffff92,0x3fff2000,0x7ffffc5f,0xffff505f,0x3ffff61f,0x1ffffe23,
    0x3e2dfff9,0x105fffff,0x2a1fffff,0x8004ffff,0x04fffffd,0x427ffffc,
    0x00fffffb,0x6fffff88,0x01fffffa,0x0013fffa,0xb03fffe6,0x801fffff,
    0x006ffffc,0x05ffffc8,0x3ffe0000,0x3fe205ff,0xffdeffff,0xd903ffff,
    0xffdddddd,0xddddddff,0x3ffea0bd,0x8000efff,0xffffffd8,0x3e200003,
    0x3ee0ffff,0x8002ffff,0x806ffff9,0x3a5ffffb,0xa804ffff,0x000fffff,
    0x3e000000,0xffc82fff,0x21fffe3f,0xd84ffff8,0xfff72fff,0x20005dff,
    0xfff82cc9,0x3fe205ff,0xfffb1fff,0x3ffff88f,0xf8bfffe4,0x7c06ffff,
    0xff50ffff,0xfa8007ff,0xb806ffff,0x220fffff,0x004fffff,0x2bfffff2,
    0x03fffffa,0x984fffe8,0xfff984cc,0xfffffa87,0x7ffff402,0xfffc8004,
    0x2000005f,0x205ffffe,0x40effffc,0xb06ffffc,0xffffffff,0xffffffff,
    0xfff70fff,0x0000bfff,0x9ffffff9,0x55531000,0x41fffff7,0x006ffffc,
    0x5dffff50,0x95555555,0x7fcdffff,0xf8801fff,0x0001ffff,0x3fe00000,
    0xfffb80ff,0x10ffff14,0xf907ffff,0x3ffe67ff,0x01beffff,0x3fffe000,
    0x7fffc01f,0x8bfffb1f,0x642ffff8,0xfff17fff,0xccc803ff,0xffff30cc,
    0x7ffc4007,0xff001fff,0x7fdc9fff,0x22000fff,0xfeefffff,0xfb006fff,
    0xfffb0bff,0x87fffa83,0x04fffff8,0x07ffffe2,0x3ffff200,0x3e000005,
    0x3e04ffff,0xfd00ffff,0xffb03fff,0xffffffff,0xffffffff,0xfffffc8f,
    0x2a00003f,0x0dffffff,0x3fffae20,0xffffffff,0x3ffffa0f,0xfff70005,
    0xffffffff,0xffffffff,0x03ffffe2,0x9fffffc0,0xeeeeeee9,0xeeeeeeee,
    0x702eeeee,0xffffffd9,0xffffffff,0x3ffe69ff,0xfffff886,0xffffffff,
    0x3fffff24,0x00beffff,0x7ffffc00,0x7ffffc01,0x88bfffb1,0x7e42ffff,
    0xffff17ff,0x7cc0003f,0x36002fff,0x003fffff,0x43ffffee,0x004ffffe,
    0xffffffb8,0xb002ffff,0xff88bfff,0x7ffd43ff,0xfffffb07,0x3ffffdc0,
    0xffffc800,0xf3000005,0x2605ffff,0x2a04ffff,0xfd83ffff,0xffffffff,
    0xffffffff,0xffffb17f,0x000005ff,0xdffffff3,0xfffff901,0xffffffff,
    0x7fffc1ff,0xff90004f,0xffffffff,0xffffffff,0x1ffffeaf,0x4ffffe80,
    0xfffffff5,0xffffffff,0x987fffff,0xfffffffe,0xffffffff,0xff34ffff,
    0x3fffe0df,0xffffffff,0x3fff623f,0xffffffff,0xfff0000d,0xfff803ff,
    0xbfffb1ff,0x42ffff88,0xff17fffc,0x40003fff,0x000aaaa8,0x0dfffff5,
    0xfffff880,0x0fffffab,0xffffd000,0x400dffff,0x7d45fffc,0x7fd46fff,
    0xffff706f,0x3fff603f,0xff90005f,0x00000bff,0x03fffff6,0x01ffffcc,
    0x509ffff3,0xf9555555,0x5555bfff,0x3ffee555,0x00005fff,0x3ffffee0,
    0x7fffec4f,0xffffffff,0xff10ffff,0x20007fff,0xfffffffd,0xffffffff,
    0xfff57fff,0x7ff400ff,0xffff53ff,0xffffffff,0xffffffff,0x7ffffc47,
    0xffffffff,0xffffffff,0x20dfff54,0xffffffff,0xb83fffff,0xffffffff,
    0x8002ffff,0x401fffff,0xfb1fffff,0xfff88bff,0xbfffe42f,0x01fffff8,
    0xf8800000,0x000fffff,0xdeffffb8,0x0003ffff,0x3fffffea,0x3f2001ff,
    0x7ffe46ff,0x3ffea0ff,0xfffff106,0x3ffffe07,0xeeeec802,0xeeffffff,
    0x540005ee,0x204fffff,0x202ffffa,0x004ffff8,0x01ffffcc,0xffffffa8,
    0x6400000d,0x43ffffff,0xcffffffc,0xfffbaaab,0x3fffe0ff,0xff90005f,
    0x55555bff,0x55555555,0x3ffffe65,0xfffff000,0x3ffffea5,0xffffffff,
    0x3fffffff,0x2b3ffff6,0x99ffff99,0x09999999,0xf10dfff3,0x33337fff,
    0x4c013333,0xfffffffd,0x7c000fff,0x7c01ffff,0xffb1ffff,0xffff88bf,
    0x8bfffe42,0x001fffff,0xffd80000,0x10003fff,0xffffffff,0xe80001ff,
    0x05ffffff,0x237ffe40,0x23ffffff,0x3a05fffb,0xf985ffff,0xd800ffff,
    0xffffffff,0x06ffffff,0x3fffe200,0x3fea00ff,0x3fe602ff,0x7cc004ff,
    0x26003fff,0x0effffff,0xffd88000,0x7c42ffff,0x100dffff,0x741fffff,
    0x0006ffff,0x00bffff7,0xfffff880,0xffff8801,0x5555511f,0x55555555,
    0x35555555,0x20ffffe6,0x2000ffff,0xf887fff9,0x00003fff,0x3fffff2a,
    0x7fc004ff,0x7fc01fff,0xfffb1fff,0x2ffff88b,0xf8bfffe4,0x0001ffff,
    0x7ffd4000,0x5c0005ff,0xffffffff,0x7fcc0003,0x00ffffff,0x99bffee0,
    0x25ffffff,0x3205fffb,0xfc87ffff,0xfb005fff,0xffffffff,0x00dfffff,
    0x7ffffec0,0x7fffcc02,0x3fffe603,0x7ffcc003,0x7f44003f,0x002fffff,
    0x3ffffa20,0xfffa81ff,0x3fe200ff,0x3ff20fff,0xa8001fff,0x0006ffff,
    0x03fffff8,0x0fffffa8,0xfa800000,0xfff80fff,0x3fe2001f,0xffff887f,
    0xd8800004,0x886fffff,0x3fffff00,0x1fffff80,0xf88bfffb,0x7fe42fff,
    0xfffff17f,0x40000003,0x0ffffff8,0x7ffc4000,0x000fffff,0x7ffffec0,
    0x2e005fff,0x3ff26fff,0xf70fffff,0x7fcc09ff,0x7ff42fff,0xffb003ff,
    0xffffffff,0x000dffff,0x13fffff6,0x17fffe60,0x02ffffc8,0x1ffffcc0,
    0x7ffec400,0x98003fff,0x0effffff,0x0dffff90,0x0fffffa8,0x1bffffee,
    0x3fffe600,0x7f40002f,0xfe807fff,0x00006fff,0x0ffff700,0x800ffffe,
    0x540ffff8,0x0006ffff,0x3ffffa00,0x0bfffa67,0x803fffff,0xfb1fffff,
    0xfff88bff,0xbfffe42f,0x01fffff8,0x3f600000,0x0003ffff,0xffffff70,
    0xffa80007,0xffffffff,0xffff5001,0x7ff6fff4,0x09fff72f,0x24fffff8,
    0x00fffff8,0xfd999950,0x9999ffff,0xfff90007,0x7fc00bff,0xff982fff,
    0xf98007ff,0x20003fff,0x4ffffffc,0x3fffee00,0x3ee00dff,0xf701ffff,
    0x441fffff,0x0dffffff,0xfffd0c40,0x5c0001df,0x205fffff,0x02fffffc,
    0x0005dc40,0xc81ffff7,0x4006ffff,0x7e42ffff,0x0001ffff,0xbffffd00,
    0x3fffffe2,0x07ffffe1,0x23fffff0,0x7c45fffd,0x7fe42fff,0xfffff17f,
    0x20000003,0x05fffffa,0x3ffe2000,0xe80007ff,0xffffffff,0xff5006ff,
    0x2fffe6ff,0xff94fffc,0xfffc809f,0x3fffea7f,0x7fe40006,0xc80005ff,
    0x005fffff,0x5fffffe4,0xfffffb99,0xfff98004,0x7dc0003f,0x00dfffff,
    0x7fffffe4,0xffffa804,0x3ff220df,0x5c0fffff,0xcfffffff,0x4fdba99a,
    0x3fffffea,0x741dcc03,0x8aefffff,0xfffffda8,0x7ffd4006,0xfff5002f,
    0x7fffd43f,0xc85104ff,0x7ff45fff,0xb9006fff,0xfffc8017,0xffff73ff,
    0x7fffcbff,0x7fffc01f,0x8bfffb1f,0x642ffff8,0xfff17fff,0x000003ff,
    0xffffff10,0xfc800001,0x40005fff,0xdbfffffb,0x803fffff,0xff77fff9,
    0x2ffff53f,0x5403fffc,0xfb1fffff,0x80009fff,0x005ffffc,0x7ffffe40,
    0xfff88005,0xffffffff,0x98001fff,0x0002eeee,0xffffff98,0xfffd881e,
    0xf1003fff,0xddffffff,0xffffffff,0xffffd01f,0xffffffff,0xfffd89ff,
    0xeedeffff,0xfa86fffe,0xffffffff,0x1fffffff,0x7ffffc00,0xfff9800f,
    0xffffdbff,0xcabeffff,0x7ffcc6fd,0xffffd9cf,0xba9aefff,0x3bfff25d,
    0xfffeccce,0xffb1ffff,0x7fcdffff,0x7fc01fff,0xfffb1fff,0x2ffff88b,
    0xf8bfffe4,0x0001ffff,0xffffd800,0xc800002f,0x0005ffff,0x5bffffe2,
    0x0ffffff8,0x47fffcc0,0x3ffe7ffe,0x03fffd9f,0x9fffffc4,0x001fffff,
    0x2ffffe40,0xffff9000,0x3f2000bf,0xffffffff,0x006fffff,0x44000000,
    0x2ffffffe,0x3fffffa2,0x7fe4001f,0xffffffff,0x0ffffcff,0xffffff98,
    0xffffffff,0x7ffffc44,0xffffffff,0xfffb06ff,0xffffffff,0x98007fff,
    0x01ffffff,0xffffffd0,0xffff5dff,0x0dffffff,0xffffffff,0xfffff9df,
    0x7e4bffff,0xffffffff,0x22ffffff,0x5ffffffc,0x007ffffe,0x363fffff,
    0x7fc45fff,0x7ffe42ff,0x3fffff17,0xfa800000,0x0005ffff,0xbffff900,
    0x7ffe4000,0x3fff22ff,0x7fc404ff,0x24fff9ff,0xffdcfffd,0xfffd802f,
    0x7ffff9df,0xfffc8000,0xff90005f,0x2000bfff,0xfffffffa,0xffffffff,
    0x0000004f,0x7ffec400,0x3ffea4ff,0x88000eff,0xfffffffe,0xfffa8eff,
    0x3fff200f,0xffffffff,0xfffc884f,0xffffffff,0x3fee06ff,0xffffffff,
    0xf88001ef,0x000fffff,0xfffffff5,0x3fffee1d,0x986fffff,0xffffffff,
    0xfffffe89,0x3ff25fff,0xffffffff,0x7cc2ffff,0x3e2fffff,0x7c01ffff,
    0xffb1ffff,0xffff88bf,0x8bfffe42,0x001fffff,0x3ffe2000,0x00000fff,
    0x0bffff90,0x3fffe200,0x7fffc46f,0x3fe201ff,0x21fffbff,0xffdefffa,
    0xfffb802f,0x4ffffbff,0xfffc8000,0xffc8005f,0x10005fff,0xfdbfffff,
    0xfffbbfff,0x333305ff,0x33333333,0x01333333,0x13fff200,0x0037ffee,
    0xfffff700,0x7ffd47df,0x7f6cc00f,0xbdffffff,0x3fff6600,0xdfffffff,
    0x7ffec402,0x004effff,0x2ffffe40,0x3fffea00,0x7ffd40df,0x303effff,
    0x43dfffff,0xffffffd8,0x3fffaa3e,0xefffffff,0xffff700b,0x1fffff89,
    0x8fffffc0,0x7c45fffd,0x7fe42fff,0xfffff17f,0x6c000003,0x002fffff,
    0x3fff2000,0xffb0005f,0xff905fff,0x7c40bfff,0x47ffefff,0xffeffff8,
    0xfff8801f,0x2fffffff,0xfffc8000,0x7fe4005f,0x20005fff,0x806ffffe,
    0x20fffffe,0xfffffff8,0xffffffff,0x20002fff,0x13ee04fb,0x55530000,
    0x22000003,0x100019aa,0x01355553,0x06aa6200,0x7bb70000,0x2aa62000,
    0x4d554c00,0x03551000,0x00555544,0x2aaaaaa6,0x15510019,0x00000000,
    0x00000000,0xffffa800,0xeeeeeeff,0x05eeeeee,0x17ffff20,0x3fffe600,
    0xffff106f,0x7ffc05ff,0xfd84ffff,0x01ffffff,0xffffffd0,0x20000fff,
    0x005ffffc,0x3ffffff2,0xeeeeeeee,0x3ff64eee,0xf8801fff,0x3e26ffff,
    0xffffffff,0xffffffff,0x00c0002f,0x0000000c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd800000,
    0xffffffff,0xffffffff,0x3ff2007f,0xfe8005ff,0x2e02ffff,0x206fffff,
    0x2fffffff,0xffffffa8,0xfff9000f,0x00bfffff,0x3ffff200,0xffff3005,
    0xffffffff,0x4dffffff,0x004fffea,0x88ffffee,0xffffffff,0xffffffff,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f600000,0xffffffff,0xffffffff,
    0x3ff2007f,0x7d4005ff,0x4406ffff,0x03ffffff,0x0ffffffd,0x3fffffe2,
    0xfff3000f,0x007fffff,0x3ffff200,0xffff3005,0xffffffff,0x0dffffff,
    0xfb000df7,0xffff8819,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffff60,0xffffffff,0x007fffff,0x017ffff2,0x5fffffd0,
    0xfffff700,0xffffd01f,0x7ffec0bf,0x3e000fff,0x0fffffff,0xfff90000,
    0x3fe600bf,0xffffffff,0xffffffff,0x10001106,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffd80,0xffffffff,0x007fffff,0x017ffff2,
    0x6fffffb8,0x3ffffe00,0xffffe85f,0x3ffee02f,0x7e4007ff,0x006fffff,
    0x3ffff200,0xffff3005,0xffffffff,0x0dffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeee80000,0x777400ee,0xdddd50ee,0xdddddddd,0x75c9dddd,0x8804eeee,
    0x204eeeed,0x009acaa9,0x003bbbb2,0x9af77640,0x002eeeee,0x01f7776c,
    0x566edd44,0xeeee8800,0x2eeeeeee,0x0f777640,0xbddddd30,0x99998001,
    0x2a620000,0x001001ab,0x55500010,0x01400015,0xa8018004,0x372a6000,
    0x65cc02cc,0x001cceee,0x0066664c,0x32a20000,0x0001bced,0x00000000,
    0x0d555540,0x21555551,0xeeeeeeec,0xeeeeeeee,0xba881eee,0x200002cd,
    0x400fffff,0xf71fffff,0xffffffff,0xdfffffff,0x2fffffe8,0x7ffffe40,
    0x7fffec41,0xc81dffff,0x0002ffff,0x7fcbfffd,0x2a006fff,0x201fffff,
    0xffffffd8,0x3e200eff,0xffffffff,0x7fec02ff,0xffd102ff,0x98005fff,
    0x8003ffff,0xffffffd8,0x013a203f,0x7c002f98,0x50001fff,0x177405df,
    0xd501fea8,0xffd500bf,0x07ffffff,0xfffffff7,0xea801dff,0x000fffff,
    0x700fbf66,0xffffffff,0xff50001b,0x3e2005ff,0xffffffff,0xffffffff,
    0x3ffffe2f,0x3ffffe63,0xffffffd1,0xffffffff,0xf983ffff,0x02efffff,
    0xff80cccc,0x7fc00fff,0xfff71fff,0xffffffff,0x98dfffff,0x00ffffff,
    0x07fffff3,0xfffffff1,0xfb83ffff,0xf0003fff,0x7fe49fff,0xfb000fff,
    0x7d40dfff,0xffffffff,0xff103fff,0xffffffff,0xfffd805f,0xffffb02f,
    0xff30007f,0xfa8007ff,0xffffffff,0x4ffe886f,0x02fff980,0x003fffe0,
    0x1bfffe20,0xe83bfff2,0x7ec0efff,0x3f603fff,0xffffffff,0x7ffdc3ff,
    0xefffffff,0xffffea80,0xf1000fff,0x3a09ffff,0xffffffff,0x74001fff,
    0x1006ffff,0xffffffff,0xffffffff,0x7fffc5ff,0x3fffe62f,0xfffffd1f,
    0xffffffff,0x4c3fffff,0xffffffff,0xffff503f,0x1fffff01,0x1fffff80,
    0xfffffff7,0xffffffff,0xffff70df,0xfffd10bf,0x3bfe20df,0xffffdccd,
    0x27fffd46,0x7fffc400,0x3ffffe23,0xffff8803,0xdfff703f,0x3fae6137,
    0xfff885ff,0xffffffff,0x7fffec02,0xfffffc82,0xfff30004,0x7fc4007f,
    0xffffffff,0x3ffa24ff,0x3fe604ff,0xe8182fff,0x00440fff,0x30fffff6,
    0xfc8dffff,0x7fcc4fff,0xff500fff,0xffffffff,0x7ffdc1ff,0xffffffee,
    0x7fffff43,0x9000ffff,0x85ffffff,0xfffffffc,0x006fffff,0x3ffffff2,
    0xffff8803,0xffffffff,0x22ffffff,0x222fffff,0xfd0fffff,0xffffffff,
    0xffffffff,0x7ffff43f,0x84ffffff,0xff07fffb,0xff801fff,0x99951fff,
    0xfb999999,0x205fffff,0x43fffffd,0x00fffffc,0x3fea0171,0x7fffcc7f,
    0xfff98005,0x7fffec2f,0xffffa806,0xdfff980f,0x2e1aaaaa,0x99983fff,
    0xfffff999,0x7fffec02,0x7ffffdc2,0x3fe60005,0x3f6003ff,0xfd99cfff,
    0xfd11ffff,0xf309ffff,0xc81dffff,0x23ffec3f,0x3fea05fa,0x7ff445ff,
    0xfffe80ff,0x7fffdc2f,0x2b3bf605,0x2fffffdb,0xffb102a6,0xfffb8bff,
    0x00ffffff,0xffffffb0,0x77fffccb,0x3ffff621,0xffff8803,0x4400ffff,
    0xffffffff,0xffffffff,0x3fffa2ff,0x3ffffc1f,0x55555555,0xf9555555,
    0x3fe63fff,0xffffefff,0x7ffec4ff,0x1fffff06,0x1fffff80,0x7fffec00,
    0x3ffe204f,0xfff30fff,0xf80007ff,0x3fe21fff,0xfa8006ff,0x7fd41fff,
    0x7ec01fff,0xffd04fff,0x3fffffa7,0x01fff52f,0x0bffffe0,0x45ffffb0,
    0x06fffffa,0x7fffcc00,0xffff3003,0x7ffff305,0x7fffff44,0x3ffffe64,
    0x77ffc40e,0x362dffb0,0xff882fff,0x7fe40fff,0xfff102ff,0xfffe81df,
    0xf105102f,0x2007ffff,0x443ffffb,0xfffeaeff,0xfff9000f,0x7fdcffff,
    0xfff880ff,0xfffd805f,0x805fffda,0x99999999,0x99999999,0x3fffa099,
    0x3ffffc1f,0x7ffd4000,0x3ffff91f,0x3fffffa2,0x4ffffebe,0x01fffff0,
    0x01fffff8,0x3ffffee0,0xffffa805,0xffffe8df,0x554c4005,0x7c1ffffa,
    0xeed87fff,0x7fffd41e,0x4fffff80,0x3ffffe20,0x3a6ffc81,0x0ffffeff,
    0x3e00bff9,0x6c02ffff,0xff32ffff,0x0001dfff,0x03ffff98,0x40dfff50,
    0x7444ffff,0xf9cfffff,0xd80effff,0xfcafffff,0xffffe9ef,0x3ffffc86,
    0x02ffffd4,0x313fffee,0x001dffff,0x0fffffcc,0x7ffff440,0x3ffa1b81,
    0xff3000ff,0x321fffff,0x3f605fff,0x7fd406ff,0x5ffff16f,0xb0000000,
    0xff81ffff,0xa80007ff,0xffb1ffff,0xffffb0bf,0x3fffffff,0x03ffffe0,
    0x03fffff0,0x3ffffe60,0xfff9000e,0xfffffdff,0xffd71001,0x3fffffff,
    0x20ffffd8,0x5c4ffff9,0xff907fff,0x7fdc0fff,0x3ffd06ff,0x5ffb37f4,
    0x2003ffe2,0x402fffff,0xe8affffd,0x000fffff,0x3ffff980,0x0bfff700,
    0x442fffe4,0xfffffffe,0xd500efff,0xffffffff,0x7fffffff,0x45ffff98,
    0x00fffff8,0x42ffffd8,0x004ffffb,0x41fffff6,0xffffeeec,0xfffd003f,
    0x7fd4001f,0xffd0ffff,0x7ffdc09f,0x0ffff407,0x001dfff9,0xffd80000,
    0x6fffe87f,0xfffa8000,0x09fffd1f,0x3ffffff6,0x3fe05fff,0x7fc00fff,
    0xf8801fff,0x001fffff,0x7ffffff4,0xe8802fff,0xffffffff,0x7fe41fff,
    0x3fff21ff,0x37ffe47f,0x2fffff98,0x07ffffd0,0x6fe8dff1,0xffd8bfee,
    0xfffff801,0x7fffec02,0x1fffffea,0xfff30000,0x3ff2007f,0x3fff205f,
    0xffffd105,0x001dffff,0xffffffd5,0x207dffff,0x6c0ffffe,0x1001ffff,
    0xe81fffff,0xd801ffff,0xb02fffff,0x7fffffff,0x3fffa001,0x7fec000f,
    0x3fffa6ff,0x1ffff206,0x445fffb8,0x0004ffff,0x7ffe4000,0x06fffe87,
    0xffffa800,0x40399991,0xfffffffc,0x7ffffc05,0x7ffffc00,0xffffe801,
    0xff98003f,0x04ffffff,0x37ffffb0,0x83ffff33,0x3a2ffffb,0x362fffff,
    0x3fa05fff,0xff985fff,0xff980fff,0x7dcf7f45,0x0ffee0ff,0x0bffffe0,
    0xfdffffb0,0x4003ffff,0xeeeeeee9,0xeeeffffe,0xf72eeeee,0x3fa01fff,
    0x3fa204ff,0x00efffff,0x7fffecc0,0x3ea02eff,0x7fc45fff,0x7ec006ff,
    0x7fdc2fff,0x7fec03ff,0x3f604fff,0xffffffff,0xffffe804,0x7ffd4000,
    0x3ffff25f,0x0bffff00,0x207fffe2,0x881ffffa,0xcccccccc,0xcccccccc,
    0x3fff21cc,0x05fffd87,0xffffa800,0xfdb30001,0xfff007bd,0xfff801ff,
    0x7fe401ff,0x20005fff,0xeffffffb,0xffff8800,0x41ffff82,0xf33ffffa,
    0x749fffff,0x3ea04fff,0x7e40ffff,0xff705fff,0xfffffe87,0x027fcc0c,
    0x017ffffc,0x3ffffff6,0x2000ffff,0xfffffffa,0xffffffff,0xf53fffff,
    0xff105fff,0xffa807ff,0x8004ffff,0xffffffea,0x3ff600bf,0x7ffdc1ff,
    0xfff5003f,0xffff889f,0x3fffa206,0x665404ff,0xffffffdc,0x7ffff401,
    0x7ffe4000,0x3fffee3f,0x7fffd40c,0x09fffb04,0x4437fff4,0xffffffff,
    0xffffffff,0x3ffee2ff,0x05fffd86,0xaaaa8800,0x80000000,0x400fffff,
    0x201fffff,0x0efffffa,0x3ffee000,0x9800ffff,0x7cc1ffff,0x7fcc1fff,
    0xffff94ff,0x7fffcfff,0x7ffffc02,0x17ffffc3,0x7f44ffa8,0xfa85ffef,
    0xffff804f,0x7ffec02f,0x6fffffdf,0x3fffea00,0xffffffff,0xffffffff,
    0x7dffff13,0x3ffffaa1,0x3fffe600,0x8804ffff,0xfffffffb,0x80cfffff,
    0x40effff8,0x401ffffe,0x40effff8,0x101ffffe,0x05fffffd,0x7ffff400,
    0x7ffff405,0x3ffa2000,0x7fffc46f,0xfffdbdff,0xfff980ff,0x3ffe600f,
    0x7fffc42f,0xffffffff,0x22ffffff,0xa982aaa8,0x000001aa,0x20000000,
    0x400fffff,0x301fffff,0x01ffffff,0x7fffcc00,0x8805ffff,0xcabeffff,
    0x441fffff,0xffd5ffff,0x3e5fffff,0x7e401fff,0x3fea6fff,0x3fe607ff,
    0xffcb7f45,0x4017fe42,0x402fffff,0xfcaffffd,0x5004ffff,0xffffffff,
    0xffffffff,0x7e47ffff,0xffffffff,0x3e603fff,0xffffffff,0x3fff204f,
    0xfeffefff,0x40cfffff,0x4c4ffffb,0x6c06ffff,0x7dc1ffff,0xff304fff,
    0x0001dfff,0x06ffffb8,0x007ffff4,0x7ffffdc4,0xfffffa80,0x2fffffff,
    0x007fffd0,0x441ffffb,0xffffffff,0xffffffff,0x000002ff,0x00000000,
    0x3fffe000,0x7fffc00f,0xfffe881f,0x220002ff,0xfffffffe,0xffd803ff,
    0xffffffff,0xffff81ff,0xfdefff9e,0xffff9dff,0x7fffcc00,0x9ffffb0f,
    0x7f47ff80,0xfd8dff16,0xffff801f,0x7ffec02f,0xfffffd2f,0x55551007,
    0xffff9555,0x5555555b,0xfffffe83,0x205fffff,0xeefffff9,0x904fffff,
    0xf93dffff,0xffffd1df,0x3ffffa0d,0x27fffdc2,0x44ffffb8,0x306ffff9,
    0xddffffff,0x04cddddd,0x4ffffe98,0x3feaaaa6,0x22aabfff,0xfffffffa,
    0x3ffee02f,0x3fffffff,0x00dfff70,0x893fffe2,0xcccccccc,0xcccccccc,
    0x000001cc,0x00000000,0x3fffe000,0x3ffee01f,0xfffd81ff,0x6c0004ff,
    0xffffffff,0x74400fff,0xabffffff,0xffd81fff,0xabfffbff,0xfffaffff,
    0xffffd007,0x1fffff17,0x3a3ffd80,0x4cbff66f,0xfff007ff,0xffd805ff,
    0xffff12ff,0x980003ff,0x4003ffff,0xffffffd8,0x3fe603ff,0xfe88efff,
    0xf884ffff,0xdffb0dff,0x980fffdc,0x740fffff,0x7cc2ffff,0xffe86fff,
    0xfffd01ff,0xffffffff,0x77fffcff,0xfffffffe,0x3ffffee2,0x7fffffff,
    0x3fffffee,0xfec8800d,0x200cefff,0x2002cccb,0x000cccca,0x00000000,
    0x00000000,0x7fffc000,0xffff503f,0xfffb83ff,0x5c0006ff,0xfabfffff,
    0x7006ffff,0x2a2159b9,0xfffc80aa,0xf89fffef,0x6fffdfff,0xdffff700,
    0x00bffff5,0x3fa1fff5,0x7f5bfea6,0xffff003f,0xfffd805f,0x3fffea2f,
    0x260000ff,0x0003ffff,0x159bd973,0x7ffffcc0,0x3fffa20e,0x42fb84ff,
    0x2f4c7ffd,0x13ffff20,0x41fffff3,0x5c1ffffe,0x3a04ffff,0xffffffff,
    0x3fe7ffff,0xffffffff,0x7ffdc3ff,0xffffffff,0x3fffee7f,0x0660002d,
    0x00000000,0x00000000,0x00000000,0xffe80000,0xfff985ff,0x3e61ffff,
    0x000fffff,0x3ffffe60,0x3fffff65,0xb8000004,0x6fffffff,0x3ffffff6,
    0xfff1005f,0x5ffffdff,0x237ff200,0x6dd542aa,0x3fe006ff,0x7ec02fff,
    0x7fe42fff,0x20006fff,0x003ffff9,0x3fe60000,0xe880efff,0x082fffff,
    0x440fffe8,0x7fff4400,0x43fffb84,0xea84ffea,0x3fa00fff,0xffffffff,
    0x3ffe7fff,0xdfffffff,0xfffffb82,0x7fffffff,0x000026a6,0x00000000,
    0x00000000,0x00000000,0x6c000000,0x98cfffff,0xfffffffd,0xfffff11f,
    0x999999df,0x3fa09999,0x3e20ffff,0x002fffff,0x7ffd4000,0x3ea4ffff,
    0x04ffffff,0x3fffff20,0x22007fff,0x2602fffe,0x2001fffe,0x402fffff,
    0xd82ffffd,0x004fffff,0x07ffff30,0xfd800000,0x3a200eff,0x3e005fff,
    0x50000fff,0x05ec019f,0x2ea80b50,0x55555540,0x2aaaaaaa,0x337bb72e,
    0x2aa600ac,0xaaaaaaaa,0x000002aa,0x00000000,0x00000000,0x00000000,
    0x54000000,0xffffffff,0xffffffff,0xfffffb1f,0xffffffff,0xff90ffff,
    0xff507fff,0xe981ffff,0xeeeeeeee,0x4c2eeeee,0x1fffffff,0x3fffffe2,
    0x3fe6003f,0x04ffffff,0x77fff4c0,0xfffecbbd,0xffffe82f,0xffffffff,
    0xfb5fffff,0xff105fff,0x0007ffff,0x007ffff3,0x3bbbbba6,0xeeeeeeee,
    0x40077ec2,0x7c005fe8,0x20001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffa0,0xfbefffff,
    0xfffb1fff,0xffffffff,0xa8ffffff,0x205fffff,0x45fffffc,0xfffffffa,
    0x3fffffff,0x7fffffc4,0xfffffd87,0x7ff4002f,0x001fffff,0xffffff90,
    0x201bffff,0xfffffffe,0xffffffff,0xffffb5ff,0x3fffea05,0x7cc001ff,
    0xf5003fff,0xffffffff,0x907fffff,0x00244001,0x0004cccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff980,0xfa8dffff,0xfffb1fff,0xffffffff,0x44ffffff,0x00ffffff,
    0x3fffffe2,0x3ffffea3,0xffffffff,0xfffff83f,0xffffb84f,0x7dc001ff,
    0x006fffff,0x7fffed40,0x7f403dff,0xffffffff,0xffffffff,0x05ffffb5,
    0x7fffffe4,0x3ffe6000,0xfff5003f,0xffffffff,0x00007fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff620,0x3ffea3ff,0xfffffb1f,0xffffffff,0x7ff4ffff,
    0xfa802fff,0xd31fffff,0xdddddddd,0xd05ddddd,0x103fffff,0x00ffffff,
    0xffffff10,0x54400005,0x3ffa000a,0xffffffff,0x5fffffff,0x805ffffb,
    0x06fffffd,0x0bbbba60,0x777774c0,0xeeeeeeee,0x0000002e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0001aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaaa800,0x5006202a,0x01555555,0x019dd910,0x333332e0,0x004ccccc,
    0x55555500,0x55555555,0x55555555,0x00000055,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x0f2e03cb,0x7ffec000,0xfe980eff,
    0xffb103ff,0x4401dfff,0x00fffffe,0xffffffe8,0xf70fffff,0xffffffff,
    0x3ffebfff,0xffffffff,0xffffffff,0x000fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6fffd800,0x006fffd8,0x7ffffec0,
    0xfffff304,0x7ffdc07f,0xffb00eff,0xd00bffff,0xffffffff,0x3fee1fff,
    0xffffffff,0xfffff5ff,0xffffffff,0xffffffff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2fffff88,0x0bffffe6,
    0x7fffec00,0x3fff602f,0x7cc07fff,0xf80effff,0x07ffffff,0xffffffe8,
    0xf70fffff,0xffffffff,0x3ffebfff,0xffffffff,0xffffffff,0x000fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffcc00,
    0x3fffe63f,0xffd8003f,0x7fc00eff,0x01ffffff,0x77fffec4,0x3ffffe20,
    0x4c400fff,0x99999999,0x3fffee19,0xffffffff,0xddddddd5,0xdddddddd,
    0xdddddddd,0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf0000000,0x7c43ffff,0x4000ffff,0x004ffffd,0xfffffffd,0x3ffee003,
    0x3fffe0ef,0x00007fff,0x333332a0,0x3ccccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffa6000,0x02fff982,
    0x0ccccc40,0xfffff900,0x998800ff,0x3ffee099,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00008008,0xfff10000,0x00005fff,0x09ffff90,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x0001effd,0x002aa200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_44_latin_ext_x[560]={ 0,8,4,0,1,0,0,9,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,8,4,2,2,4,6,0,0,2,1,1,3,3,1,2,3,3,2,
4,0,2,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,4,2,4,5,0,2,1,7,9,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,2,3,3,0,0,4,
3,-6,-3,3,1,0,3,0,0,2,2,0,0,0,2,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_44_latin_ext_y[560]={ 32,1,1,3,-1,1,1,1,-1,-1,1,9,23,17,
24,1,3,3,3,3,3,3,3,3,3,3,9,9,8,13,8,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,36,1,9,1,9,1,9,1,9,1,0,
0,1,1,9,9,9,9,9,9,9,3,10,10,10,10,10,10,0,-4,0,15,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,32,9,-1,3,4,3,
-4,1,1,3,3,11,18,17,1,2,1,5,1,1,1,10,1,15,32,1,3,11,1,1,1,9,-4,-4,-4,-5,
-5,-6,3,3,-4,-4,-4,-5,-4,-4,-4,-5,3,-5,-4,-4,-4,-5,-5,10,-1,-4,-4,-4,-5,-4,3,1,1,1,
1,1,1,-2,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
-4,2,-5,1,3,9,-4,1,-4,1,-5,0,-4,1,-4,0,3,1,-4,2,-5,1,-5,0,3,9,-4,1,-4,1,
-5,1,-5,0,3,0,-4,-6,3,1,-5,1,-4,2,-5,1,3,0,-5,10,3,0,-4,1,3,1,10,-4,-6,3,
1,0,0,3,1,3,1,-4,1,3,9,-4,1,-2,3,9,-4,2,-5,1,-4,1,3,9,-4,1,3,9,-4,1,
-4,1,-4,1,3,9,-4,1,3,3,-4,0,3,3,-5,1,-4,2,-5,1,-6,-2,-4,1,3,10,-4,1,-4,1,
-5,-4,1,-5,0,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-8,-4,1,-4,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_44_latin_ext_w[560]={ 0,8,16,24,22,25,25,7,15,15,20,22,13,14,
10,21,23,20,20,20,24,19,21,20,20,21,8,13,19,20,18,15,24,25,21,21,23,18,18,22,21,18,17,22,
18,24,21,24,21,25,22,20,22,22,25,24,25,24,20,12,21,12,22,25,15,20,21,19,21,20,23,22,20,19,
18,21,19,22,20,22,21,21,20,18,20,20,24,24,24,24,18,17,6,17,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,18,22,24,24,
6,22,20,24,16,20,20,14,22,19,17,20,16,14,23,22,22,10,7,16,16,20,25,25,25,16,25,25,25,25,
25,25,25,21,21,22,21,21,21,22,21,21,24,23,24,24,24,24,24,20,24,23,23,23,23,24,21,22,22,23,
22,22,22,22,24,19,22,23,22,22,22,23,22,22,22,22,23,23,23,23,23,22,22,22,23,22,22,24,21,24,
25,22,25,22,25,20,23,24,21,21,21,21,21,21,25,28,24,23,21,22,21,22,21,22,19,20,21,22,22,23,
22,23,22,23,22,23,23,22,24,22,21,22,21,22,21,22,19,20,21,19,21,21,20,20,22,21,21,22,22,18,
19,28,28,22,27,22,19,23,23,21,20,23,22,22,21,20,24,23,24,23,26,26,24,24,25,23,22,20,25,23,
22,23,22,21,20,18,22,21,22,20,23,28,22,21,23,22,23,22,23,22,23,22,26,26,22,21,24,24,24,24,
24,22,23,22,21,22,21,18,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,25,22,25,24,29,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,20,18,22,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_bold_44_latin_ext_h[560]={ 0,32,12,29,39,32,32,12,43,43,20,22,17,6,
9,36,30,29,29,30,29,30,30,29,30,29,24,31,25,14,25,32,41,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,38,29,30,29,30,29,29,29,29,29,41,36,41,15,5,10,24,32,24,32,24,31,33,31,32,
42,31,31,23,23,24,32,32,23,24,30,23,22,22,22,32,22,41,45,41,11,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,29,28,29,
45,37,10,30,22,19,11,6,22,9,16,27,18,18,10,31,37,10,7,18,22,19,31,31,31,32,36,36,36,37,
37,38,29,36,36,36,36,37,36,36,36,37,29,37,37,37,37,38,38,20,38,37,37,37,38,36,29,32,32,32,
32,32,32,35,24,30,32,32,32,32,31,31,31,31,32,31,32,32,32,32,32,24,32,32,32,32,32,41,40,41,
36,31,37,32,38,32,37,32,37,32,38,33,37,32,36,33,29,32,36,31,37,32,37,33,38,32,36,32,37,41,
38,41,38,42,38,42,36,38,29,31,37,31,36,30,37,31,38,41,37,22,30,42,37,41,38,40,22,36,38,38,
40,32,32,29,31,29,31,36,31,38,32,36,31,34,39,33,37,31,38,32,37,32,30,24,36,31,38,32,36,31,
37,32,37,32,36,30,37,32,38,38,36,33,29,30,38,32,37,31,38,32,39,35,37,32,38,31,36,31,36,41,
37,36,31,37,32,36,31,31,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,37,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,42,41,36,32,41,38,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,38,32,38,38,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29, };
static unsigned short stb__consolas_bold_44_latin_ext_s[560]={ 509,503,447,483,88,414,462,504,15,31,259,
198,371,104,73,119,158,154,147,137,107,468,446,86,1,1,430,495,214,426,234,
494,239,296,471,203,428,493,23,270,132,452,339,415,42,61,249,314,347,347,392,
293,200,247,98,73,47,22,1,418,377,360,403,119,57,253,161,274,80,294,359,
482,148,329,117,290,356,460,439,315,349,469,483,411,182,1,108,83,41,55,22,
449,1,431,485,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,509,503,47,
357,168,403,8,453,1,69,66,280,464,104,133,84,385,193,322,339,22,267,407,
46,494,354,221,301,100,74,48,494,280,263,211,287,237,161,223,210,165,73,96,
198,118,187,141,1,322,47,71,96,121,187,276,238,212,424,448,23,137,140,461,
306,283,259,236,213,190,312,361,117,122,98,75,52,242,192,216,169,419,290,395,
371,347,323,299,338,276,253,229,206,183,289,1,314,23,426,398,69,183,25,242,
92,472,371,135,387,1,440,47,358,271,1,189,25,266,46,288,459,232,117,1,
138,354,373,324,215,373,47,396,71,256,461,175,376,220,219,449,94,310,313,23,
339,332,156,47,95,377,397,89,467,176,72,43,484,489,23,26,438,239,369,336,
232,1,1,198,95,336,335,66,438,173,399,112,147,476,171,22,386,351,402,66,
393,163,449,430,488,313,168,306,488,336,125,301,440,327,409,124,225,252,145,263,
423,111,102,23,289,146,442,209,473,399,265,424,264,359,471,312,384,1,49,126,
383,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,23,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,136,162,237,1,185,157,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,419,491,301,440,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380, };
static unsigned short stb__consolas_bold_44_latin_ext_t[560]={ 1,47,462,402,47,273,273,432,1,1,462,
462,462,485,485,202,371,402,432,371,402,339,339,402,371,402,432,306,432,462,432,
159,1,402,371,371,371,371,402,371,402,371,371,402,402,402,402,371,402,47,402,
371,402,371,432,432,432,432,432,1,164,1,462,485,485,432,240,432,306,432,306,
202,339,273,1,339,339,432,432,432,273,240,432,432,371,462,462,462,462,306,462,
1,1,1,462,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,1,87,47,
371,432,371,1,87,486,371,462,462,462,485,462,485,462,432,462,462,485,339,87,
485,192,462,462,462,339,339,339,126,164,202,202,87,87,87,402,164,164,164,164,
126,164,164,202,127,402,126,126,126,126,87,47,462,87,126,126,164,87,164,402,
273,273,273,273,273,273,202,432,371,273,273,273,273,306,339,339,339,240,306,240,
240,240,240,240,432,240,240,240,240,240,1,47,1,202,306,126,240,47,240,126,
240,126,273,47,202,165,273,164,202,402,240,202,339,126,240,126,202,47,240,203,
240,126,1,47,1,47,1,47,1,164,47,402,339,126,306,164,371,126,306,87,
1,126,462,371,1,126,1,87,1,462,202,87,47,1,273,306,402,339,402,339,
164,339,88,306,202,306,202,47,202,126,339,87,306,87,306,371,432,164,306,87,
273,202,306,87,273,87,273,164,339,87,306,47,47,164,202,432,371,47,273,87,
339,47,306,47,202,126,240,47,306,164,306,164,1,87,164,339,87,273,202,339,
306,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,126,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,1,1,202,306,1,47,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,47,240,47,47,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371, };
static unsigned short stb__consolas_bold_44_latin_ext_a[560]={ 387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_44_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_44_latin_ext_s[i] + stb__consolas_bold_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_44_latin_ext_t[i] + stb__consolas_bold_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_44_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_44_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_44_latin_ext_x[i] + stb__consolas_bold_44_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_44_latin_ext_y[i] + stb__consolas_bold_44_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_44_latin_ext_s[i] + stb__consolas_bold_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_44_latin_ext_t[i] + stb__consolas_bold_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_44_latin_ext_x[i] + stb__consolas_bold_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_44_latin_ext_y[i] + stb__consolas_bold_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_44_latin_ext_LINE_SPACING
#endif

