// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT        519
#define STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_45_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_45_latin_ext_LINE_SPACING          30

static unsigned int stb__consolas_bold_45_latin_ext_pixels[]={
    0x22dffff1,0x0006ffff,0x00013331,0x00000a80,0x09ddddd9,0x00000288,
    0xdddddb10,0x20000019,0x09999998,0x2201a880,0x0000002a,0x00000000,
    0x00000000,0x00003751,0x00000000,0x00000000,0x00000000,0x033b2600,
    0x00000000,0x00037b6a,0x76440000,0x7bb5001d,0x00000000,0x16ffff88,
    0x000dffff,0x003ffff1,0x0077dc00,0x3ffff600,0x1ff4403f,0x3a200000,
    0x004fffff,0x3ffa2000,0x5400efff,0xfe985fff,0x3fe600ef,0x00003cef,
    0x1dffff10,0xfffe8000,0x027ffdc0,0x3fff6200,0xf803dfff,0xffffffff,
    0xff9805ff,0xffffffff,0x65c4002f,0xfffb7ffe,0x0000009f,0x03bfffe2,
    0xfff30000,0x3e6001ff,0xffffffff,0xfb8001ff,0x0000ffff,0x7fffffcc,
    0xffffe80e,0x7fffe402,0xfffd8005,0x7ffec02f,0x3ffe23ff,0xdffff16f,
    0xffff5000,0x7fdc0000,0xe88000ef,0x401effff,0x003fffe8,0xfffd1000,
    0x000005ff,0x7fffff44,0xfffff004,0x5ffffd87,0x3ffffe60,0x200002ef,
    0xefffffe8,0x3ff60000,0x3fffa24f,0x3fee0002,0xffffffff,0x7ffffc05,
    0x05ffffff,0xffffff98,0x002fffff,0x3fffffee,0x09ffffb7,0xfd100000,
    0x001dffff,0x7ffff400,0xfff3004f,0xffffffff,0xffff0003,0x4c0009ff,
    0x04ffffff,0x0ffffff7,0x7fffffc4,0x3fff2001,0x3f201fff,0x3e22ffff,
    0xfff16fff,0xffb000df,0x2e0000bf,0x004fffff,0x1fffff44,0xfffffd80,
    0x74400003,0x2a0effff,0x40001aaa,0x2fffffe8,0xfffff100,0x6fffff8b,
    0x3ffffe60,0x80004fff,0xffffffe8,0x3ea0005f,0xfffdefff,0xd88000ff,
    0xffffffff,0x3e05ffff,0xffffffff,0xff9805ff,0xffffffff,0xfffd002f,
    0x3f6fffff,0x00004fff,0x7ffff440,0x00005fff,0x17fffffe,0x7ffffcc0,
    0x01ffffff,0x7ffffc40,0xff10005f,0x6405ffff,0x00ffffff,0x7ffffff5,
    0x3ffff200,0xf901ffff,0x7c45ffff,0xfff16fff,0xff8800df,0xb80003ff,
    0x005fffff,0x01ccccb8,0x3ffffa20,0xd100003f,0xff07ffff,0x440003ff,
    0x00dffffe,0x27ffffc0,0x817ffffa,0xfffffff9,0x220001ff,0xff9efffe,
    0x360005ff,0xffffffff,0xffb0003f,0xfb77bfff,0x3e0bffff,0xffffffff,
    0xff9805ff,0xffffffff,0xfffb802f,0xfb7fffff,0x00009fff,0x77fff440,
    0x005ffff9,0xfffffd00,0x3ffe6009,0xffffffff,0xffff8001,0xf88004ff,
    0x400effff,0x07fffffb,0x3fffffe6,0xffffc802,0x81ffffda,0x22fffffc,
    0xf16ffff8,0xb800dfff,0x0001ffff,0x2fffffcc,0x5e654400,0xffe88001,
    0x80001fff,0xa8099998,0x40007fff,0x003eeeec,0x81ffff70,0x801ffffa,
    0xfffffc98,0x3ffa0006,0xffff30ef,0x3f62000b,0x04ffffff,0xdffff700,
    0x3ffff601,0x99999981,0x005ffffd,0xfb333333,0xf8805fff,0x09bfffff,
    0x013ffff6,0xfffe8000,0xbffff30e,0xfff50000,0x3e6001ff,0x9999dfff,
    0xff700019,0x88003fff,0x004fffff,0x07fffff1,0x06ffffd8,0x21ffffb8,
    0x640ffffd,0x222fffff,0xff16ffff,0xfe800dff,0x40000fff,0x005ffffe,
    0xffffffb8,0x7fc4000e,0x00006fff,0x13fff200,0x00000000,0x2e601793,
    0xff98000b,0xc8000fff,0x6cc0deee,0x20003eee,0x01cefeda,0xdffff300,
    0x7fff4401,0x3fff6004,0x7e40005f,0x7dc02fff,0xfb00ffff,0x00009fff,
    0x037bbb20,0x007dddb3,0x01bdb500,0x27fffcc0,0x7f5c0000,0x76c4001e,
    0x4c002eee,0xd9003efd,0xee98019f,0xeeec81ee,0x7ffffdc5,0x5bfffe21,
    0x006ffff8,0x000ccccc,0x3bffff20,0x7ffd4000,0x006fffef,0x4fffff98,
    0x46600000,0x0002ffff,0x033bff66,0x00000000,0x07ffff20,0x00000000,
    0x74000000,0x9800ffff,0xb000ffff,0x000bffff,0x02ffffc8,0x017fffe4,
    0x009ffffb,0x00000000,0x98000000,0x0004ffff,0x00000000,0x00000000,
    0x3ee00000,0x3e21ffff,0xfff16fff,0x000000df,0x7ffffd40,0x5ffe8002,
    0x0007ffe6,0x07fffff2,0x3b2a2000,0x7fffffff,0x3ffee000,0x0001ffff,
    0x54000000,0x0003ffff,0x00000000,0xfffa8000,0x3ffa002f,0xfffb003f,
    0xfc8000bf,0x7ec02fff,0x3f600fff,0x00004fff,0x00000000,0x7fcc0000,
    0x000004ff,0x00000000,0x00000000,0x3ffee000,0x3ffe21ff,0xdffff16f,
    0x40000000,0x005fffff,0xfe85fff0,0xffd0002f,0x98000dff,0xffffffff,
    0x30006fff,0xffffffff,0xaaaa880d,0x554c001a,0x7cc00aaa,0x40004fff,
    0xabcedca9,0x0aaaaaaa,0x9db95300,0x55555557,0xbfffd015,0x6fffc800,
    0xbffffb00,0xfffc8000,0x7fff402f,0x7fffec07,0x55554c04,0x2aaaa22a,
    0x554c001a,0x53000aaa,0x55579db9,0x26155555,0x3004ffff,0x55555555,
    0x15555555,0x06aaaaa2,0x55555300,0x05555541,0x06aaaa60,0x5555554c,
    0xaaaaaaaa,0x7fffd40a,0x3fffe21f,0x0dffff16,0x33b72a60,0xaaaaaaab,
    0xffffa80a,0xffb0000f,0x07ffea1b,0x7fffd400,0xff70002f,0xffffffff,
    0x9000bfff,0x3fea3dff,0x3ffe202f,0x7ec005ff,0xf8807fff,0x30004fff,
    0xfffffffb,0xffffffff,0xfffd9803,0xffffffff,0x7cc1ffff,0x54001fff,
    0xfb007fff,0x8000bfff,0x402ffffc,0x6c07fffe,0x2604ffff,0x22ffffff,
    0x05fffff8,0x3ffffec0,0x7fffecc0,0xffffffff,0xfff31fff,0x3ff2009f,
    0xffffffff,0xf12fffff,0x800bffff,0x7c7ffffd,0x6402ffff,0xf905ffff,
    0xffffffff,0x85ffffff,0x20fffffa,0xf16ffff8,0xd980dfff,0xffffffff,
    0x1fffffff,0x03ffffe8,0x3fffe600,0x0005ffff,0x02ffffec,0x7ffffec0,
    0xffffffff,0x7f4006ff,0x027fec3f,0x03fffff6,0x7ffffc40,0xffff8804,
    0xfffb8004,0xffffffff,0x01ffffff,0x3fffffee,0xffffffff,0x7fec1fff,
    0x676dcc6f,0xfff8ddba,0xffffb007,0xffc8000b,0x7ff402ff,0x7ffec07f,
    0xffff104f,0xfffb07ff,0x3e2001ff,0x5c04ffff,0xffffffff,0xffffffff,
    0x9ffff31f,0x3ffff200,0xffffffff,0x3ff62fff,0xf1000fff,0xff89ffff,
    0x7e402fff,0xff905fff,0xffffffff,0xa85fffff,0x220fffff,0xff16ffff,
    0x7fdc0dff,0xffffffff,0x1fffffff,0x07ffffcc,0x3ffaa000,0x80004fff,
    0x00fffff9,0x3ffffea0,0xfffecdff,0x2003ffff,0x7fec3ffd,0x7fffd403,
    0xfff7003f,0xff1003ff,0xf98009ff,0xffffffff,0xffffffff,0xffff301f,
    0xffffffff,0x43ffffff,0x2e3ffff8,0xffffffff,0x001ffff5,0x00bffffb,
    0x2ffffc80,0x03ffff40,0x413ffff6,0x04fffffe,0x07fffff5,0x3ffffee0,
    0x3fffe601,0xffffffff,0x31ffffff,0x2009ffff,0xfffffffc,0xffffffff,
    0x3ffffea2,0xffff7003,0xfffff83f,0x7fffe402,0xfffff905,0xffffffff,
    0xfffa85ff,0x3ffe20ff,0xdffff16f,0x3ffffe60,0xffffffff,0x641fffff,
    0x0005ffff,0x002aea60,0xfffff800,0x3fffa003,0x7fff42ff,0x000fffff,
    0xf715fff9,0xfff003ff,0x3fa00dff,0xf1006fff,0x44009fff,0x11efffff,
    0x9fffffd7,0xfff10199,0x3ae23dff,0xcccfffff,0x43fffea0,0xfffffffb,
    0x3ffff4ff,0xbffffb00,0xfffc8000,0x7fff402f,0x7fffec07,0xfffffd84,
    0x7ffffc05,0xffffd006,0x7fffc40d,0xffd711ef,0x21999fff,0x004ffff9,
    0xddddddd7,0xfffffddd,0x6fffff85,0xdffffd00,0x05fffff0,0x05ffffc8,
    0xddddddd7,0xfffffddd,0x7ffff985,0x8b7fffc4,0xf886ffff,0x711effff,
    0x99fffffd,0xfffff819,0xeea80002,0x000eeeee,0x6ffffc80,0xfffff500,
    0xfffff985,0x1004ffff,0xffffffff,0x3fff200b,0x7fcc01ff,0xf1002fff,
    0x5400bfff,0x3e06ffff,0x5401ffff,0x3e06ffff,0xf701ffff,0x3ffe2bff,
    0x4fffffff,0xb005fffd,0x000bffff,0x02ffffc8,0x2037fffc,0x5c4ffffd,
    0x806fffff,0x01fffffc,0x17ffffcc,0x0dffff50,0x40fffffc,0x004ffff9,
    0xfffff800,0x7ffffe42,0x7fffcc01,0xfffff82f,0x7fffe402,0xfff80005,
    0x7ffcc2ff,0x7fffc47f,0x0dffff16,0x40dffff5,0x301fffff,0x000fffff,
    0x3fffff60,0x980003ff,0x801fffff,0xb84ffffe,0xfffedfff,0x3fe6006f,
    0x000effff,0x09fffff1,0x07ffffc8,0x037fffc0,0x05ffff90,0x02ffffe4,
    0x80bffff2,0xb05ffffc,0x3ff29fff,0xffff9cff,0x005fffd3,0x00bffffb,
    0x2ffffc80,0x17fffe20,0x49ffffb0,0x0efffffa,0xfffff880,0x7fffe404,
    0x7fffe407,0x3ffff202,0x4ffff985,0xfff80000,0x7ffc42ff,0x7fe404ff,
    0xffff07ff,0xfffc805f,0xff80005f,0x7fcc2fff,0x7ffc47ff,0xdffff16f,
    0x05ffff90,0x82ffffe4,0x005ffffa,0xfffff880,0x00005fff,0x805fffff,
    0x82fffffa,0xffbbfffe,0x22001fff,0x8003dedc,0x407ffffd,0x004ffffe,
    0x00fffff4,0x00ffffd8,0x01bfffe6,0x401ffffb,0xf06ffff9,0x3ffa5fff,
    0x5ffff15f,0x200ffff6,0x005ffffd,0x17fffe40,0x09ffff70,0x34ffffd8,
    0x01ffffff,0x3ffffec0,0x13ffffa0,0x01ffffb0,0x437fffcc,0x004ffff9,
    0xfffff800,0x7ffffd82,0x27ffff40,0x02fffff8,0x02ffffe4,0x7ffffc00,
    0x3ffffcc2,0x45bfffe2,0xfd86ffff,0x3e600fff,0xff706fff,0x500009ff,
    0xffffffff,0xfb00001f,0xfb807fff,0xff887fff,0xffff88ff,0x0000003f,
    0x2fffffa8,0x3fffff30,0xffffb800,0xfffe801e,0x3ffe201f,0x7fff406f,
    0x3ffe201f,0xffff986f,0x32ffff88,0x3f63ffff,0xffd803ff,0x640005ff,
    0xf502ffff,0xd803ffff,0xfe8cffff,0x4001ffff,0x02fffffa,0x03fffff3,
    0x01ffffe8,0x21bfffe2,0x004ffff9,0xfffff800,0xfffffa82,0xfffff302,
    0x3ffffe03,0x7fffe402,0xfff80005,0x7ffc42ff,0x7fffc47f,0x20266666,
    0x201ffffe,0x906ffff8,0x0007ffff,0xffffff90,0x00005fff,0x807ffffb,
    0xb85ffffc,0x3ffe6fff,0xca9804ff,0x01accedc,0x2fffffc0,0x06ffffc8,
    0xfffff880,0xfc81cdef,0x3ea04fff,0x7e404fff,0x3ea04fff,0xffa84fff,
    0x1ffff57f,0x747fffe6,0xfd802fff,0x40005fff,0x952ffffc,0xdfffffdd,
    0x9ffffb00,0x03fffffd,0x3ffffe00,0xdffff905,0x9ffff900,0x27fffd40,
    0x027fffcc,0x7fffc000,0xfffff02f,0x3ffff20b,0x3ffffe06,0x7fffe402,
    0xfff80005,0x7ffc42ff,0x7fffc46f,0x7ffe4006,0x3ffea04f,0xffffb04f,
    0xfff00005,0x9fffffff,0xfff90000,0xfffd809f,0x3fffe84f,0x417ffffa,
    0xffffffda,0x02efffff,0x1fffff90,0x07fffff0,0x3fffa200,0xfb82ffff,
    0x3fa07fff,0x7dc02fff,0x3fa07fff,0xffb82fff,0x4ffff76f,0xfd0ffffa,
    0xffb005ff,0xc8000bff,0xff92ffff,0x009fffff,0x3ffffff6,0x0002ffff,
    0x03fffff2,0x00fffffe,0x81ffffee,0x982ffffe,0x0004ffff,0x2fffff80,
    0x1fffff90,0x07fffff0,0x017ffffc,0x017ffff2,0x3ffffe00,0x37fffc42,
    0x01bfffe2,0x0fffff70,0x817ffff4,0x002ffffe,0x77fffcc0,0x007ffffc,
    0x5ffffb80,0x1fffff40,0xd87fffe2,0xfd05ffff,0xffffffff,0x00bfffff,
    0x87fffff3,0x00fffffa,0x7fffdc00,0xffe882ff,0xea89cfff,0x400fffff,
    0xcfffffe8,0xffffea89,0x5fffb80f,0x7dcbfff9,0x3fffa7ff,0xffffd801,
    0x7fe40005,0xffff92ff,0x7ec005df,0xffffffff,0x3e60004f,0x7d43ffff,
    0x8800ffff,0x9cfffffe,0xfffffea8,0x4ffff980,0xfff80000,0xfff302ff,
    0xfffa87ff,0x3ffe00ff,0x7fe402ff,0xf80005ff,0xff82ffff,0x7ffc46ff,
    0x7f44006f,0xa89cffff,0x00fffffe,0x003fffff,0xcffffb80,0x01fffff9,
    0x7fffd400,0x7ffffc05,0x237ffd43,0xd06ffffd,0xffffffff,0x5fffffff,
    0xdffffd00,0x04ffffd8,0x3fffe600,0xf302ffff,0xffffffff,0x003fffff,
    0x3fffffe6,0xffffffff,0x2bfff901,0x3ee5fffd,0x3fffe6ff,0xffffd801,
    0x7fe40005,0xffff92ff,0xb001dfff,0xffd9ffff,0x40005fff,0x6c6ffffe,
    0x2004ffff,0xfffffff9,0x1fffffff,0x09ffff30,0xffff0000,0x7fff405f,
    0x7fffec6f,0x7ffffc04,0x7fffe402,0xfff80005,0xffff82ff,0x37fffc45,
    0x7fffcc00,0xffffffff,0x3ffa01ff,0x740002ff,0xfff2ffff,0xb80009ff,
    0x2205ffff,0x6c2fffff,0x7fe44fff,0xdffd06ff,0xfd553579,0x801fffff,
    0x10fffffa,0x003fffff,0x3ffffe60,0xf700accf,0xffffffff,0x4007ffff,
    0xfffffffb,0x03ffffff,0x7ed3fff2,0x3fff25ff,0x01ffff16,0x0bffffb0,
    0xffffc800,0xfffb9532,0xffb00dff,0xffff19ff,0x2a0003ff,0xf10fffff,
    0x4003ffff,0xfffffffb,0x03ffffff,0x013fffe6,0x3fffe000,0x3ffea02f,
    0xffff10ff,0xffff803f,0x7ffe402f,0xff80005f,0xfff82fff,0x7fffc45f,
    0xfffb8006,0xffffffff,0x7fec03ff,0x220003ff,0x3f67ffff,0x40006fff,
    0x204ffffc,0x42fffff8,0x7e41ffff,0x17b05fff,0xfffff900,0xfffff003,
    0x1bfffee7,0xffffc800,0xfff9800d,0xffffffff,0x3e6000cf,0xffffffff,
    0x6c00cfff,0xfffd4fff,0x9afffec9,0xfb007fff,0x8000bfff,0x302ffffc,
    0x805fffff,0xf54ffffd,0x001dffff,0x4fffffe0,0x006ffffb,0x3fffffe6,
    0x0cffffff,0x27fffcc0,0x7ffc0000,0x7ffc02ff,0xffff73ff,0xfffff00d,
    0xffffc805,0xfff80005,0xf88002ff,0x4c006fff,0xffffffff,0x800cffff,
    0x004ffffc,0x97fffea0,0x00fffffb,0x3ffff600,0x3fffe203,0x1fffea3f,
    0x013ffff6,0x7ffffc00,0xffffc802,0x07ffffd6,0x7ffffc00,0xdfffb000,
    0x026aeea6,0x5bfff600,0x009abba9,0x367fffb0,0x3ffa5fff,0x09fff54f,
    0x17ffff60,0xffff9000,0x7fffdc05,0x7fffec05,0x3fffff24,0xfff90006,
    0x3ffffadf,0x3fff6003,0x13577536,0x3fffe600,0xff800004,0x7e402fff,
    0xfffd6fff,0xffff007f,0xfffc805f,0xff80005f,0x88002fff,0x4006ffff,
    0x7536fffd,0x64001357,0x0005ffff,0x98fffff6,0x003fffff,0x0bffff60,
    0x47fffff0,0xfe84fffc,0x00003fff,0x009ffffb,0xf5fffff3,0x0001ffff,
    0x8037fffc,0x003ffff8,0x7fffc400,0xff900003,0x57fff29f,0xfb4ffffa,
    0x3f6005ff,0x40005fff,0x202ffffc,0x405ffff8,0x744ffffd,0x004fffff,
    0xafffff98,0x000fffff,0x007ffff1,0x3fffe600,0xff800004,0x7cc02fff,
    0xfffaffff,0xfff800ff,0x7fe402ff,0xf80005ff,0x3102ffff,0xdffff101,
    0x117bbba2,0x0007ffff,0x3ffffdc0,0xfffff000,0x5ffffe83,0x3fffe000,
    0x7fffc01f,0x0bfffe4f,0x00bffffa,0x7fffec00,0xffffd004,0x00bfffff,
    0x2ffffc40,0x5ffff980,0x7fcc0000,0x900005ff,0x3ff2bfff,0xffffe9ff,
    0x00ffffad,0x0bffffb0,0xffffc800,0x37fffc02,0x13ffff60,0x7ffffff3,
    0xffffd000,0x00bfffff,0x02ffffcc,0xffff9800,0xff800004,0xfe802fff,
    0xffffffff,0xfffff005,0xffffc805,0xfff80005,0xfffd82ff,0xb7fffc43,
    0x4c6ffff8,0x0005ffff,0x3ffffe60,0xfff98002,0xffffc87f,0xfff50007,
    0xfffd00ff,0x1fffe6df,0x07ffffe2,0x665d4c40,0x4ffffecc,0xfffff700,
    0x0005ffff,0x027fffc4,0xefffff88,0x00999aab,0x7ffffc40,0x0999aabe,
    0x2bfff700,0xfffffffa,0xffffffff,0x4ccccc45,0x9effffd9,0x90019999,
    0xe805ffff,0x7ec07fff,0xffb84fff,0x4001ffff,0xfffffffb,0x3e2002ff,
    0xaabeffff,0xf3000999,0x00009fff,0x05fffff0,0xffffff70,0x3e005fff,
    0x6402ffff,0x0005ffff,0x42fffff8,0x22fffffc,0xf16ffff8,0xff88dfff,
    0x9aabefff,0x7f400099,0xc8005fff,0xfa84ffff,0x8002ffff,0x804ffffd,
    0xc8fffffb,0xffb85fff,0x6cc00fff,0xffffffff,0x004fffff,0xfffffff1,
    0xf88000ff,0x3a004fff,0xffffffff,0x1defffff,0xfffffe80,0xffffffff,
    0xfff501de,0x7fffffcd,0xffffffdf,0x7ffff40e,0xffffffff,0x00ffffff,
    0x02ffffc8,0x203ffff4,0xb04ffffd,0x01ffffff,0x7ffffc40,0xe8007fff,
    0xffffffff,0x1defffff,0x09ffff30,0xffff0000,0xfff1005f,0x00ffffff,
    0x017ffffc,0x017ffff2,0x3ffffe00,0x7fffff42,0x5bfffe24,0xe86ffff8,
    0xffffffff,0x1defffff,0x3ffffdc0,0x7ffff400,0xfffff882,0xffff8004,
    0xfff9801f,0x2fffebff,0x06ffffd8,0x3fffffa2,0xffffffff,0x3f2004ff,
    0x03ffffff,0x7fffc400,0x3ffa2004,0xffffffff,0x00efffff,0x3fffffa2,
    0xffffffff,0x7fcc0eff,0x3fffea7f,0xfffff8af,0xffffe81f,0xffffffff,
    0x00ffffff,0x02ffffc8,0x203ffff4,0x104ffffd,0x0dfffffd,0xfffffc80,
    0xe88003ff,0xffffffff,0xefffffff,0x27fffcc0,0x7ffc0000,0xff9002ff,
    0x007fffff,0x017ffffc,0x017ffff2,0x3ffffe00,0x7fffffc2,0x5bfffe25,
    0x886ffff8,0xfffffffe,0xffffffff,0xffff100e,0x7fc4005f,0xffd00fff,
    0xfa800dff,0x3e006fff,0xffffffff,0x7fffd40f,0x3fffa01f,0xffffffff,
    0x004fffff,0x3fffffe6,0x7c40000f,0x5c004fff,0xffffffff,0xffffffff,
    0x3ffee00e,0xffffffff,0x20efffff,0x2a1ffff9,0x3b262ded,0xfffd00bd,
    0xffffffff,0x1fffffff,0x5ffff900,0x07fffe80,0x027fffec,0x9ffffff3,
    0x7fffcc00,0x70000fff,0xffffffff,0xffffffff,0x7fffcc1d,0xff800004,
    0xf3002fff,0x01ffffff,0x17ffffc0,0x17ffff20,0x3fffe000,0x7fffec2f,
    0x3fffe22f,0x0dffff16,0x3fffffee,0xffffffff,0xffb00eff,0x7dc00dff,
    0x3ee06fff,0x2000ffff,0x003ffffe,0x3ffffff2,0x7ffcc5ff,0x3ff605ff,
    0x99abffff,0x4ffffd99,0x7ffff400,0xf880004f,0x2e004fff,0xeeefffff,
    0xfffffeee,0xfff704ff,0xddddddff,0x9fffffff,0x027fffc4,0x7fff4000,
    0xffffffff,0x0fffffff,0x2ffffc80,0x03ffff40,0x013ffff6,0x7ffffff7,
    0x7ffff400,0xff70004f,0xdddddfff,0xfffffffd,0x27fffcc9,0x3fe20000,
    0x3a002fff,0x004fffff,0x017ffffc,0x017ffff2,0xfffff100,0x5fffe885,
    0x8b7fffc4,0xfb86ffff,0xeeeeffff,0xffffffee,0xffff504f,0x3ff6009f,
    0x3fe603ff,0xf7003fff,0x4001ffff,0xfffffff8,0xfffdb9cf,0xff101fff,
    0xfd80dfff,0x74004fff,0x000fffff,0x4ffff980,0xfffff500,0x7ffdc405,
    0xfffa86ff,0x3ee202ff,0x7ec6ffff,0x000006ff,0xc8000000,0x7402ffff,
    0x00007fff,0x3fa00000,0x8000ffff,0x02fffffa,0x3ffffee2,0x13fffe66,
    0xfff10000,0x7f4003ff,0x0000ffff,0xffffd800,0x7fc40004,0x35501fff,
    0x2dffff10,0x546ffff8,0x202fffff,0x6fffffb8,0x3fffff60,0xfffff801,
    0xffffffff,0x805fffff,0x03fffff8,0xfffffa80,0xffffffff,0x3ea05fff,
    0x6c01ffff,0x2004ffff,0x04fffffa,0xffff3000,0x3fffa007,0xfff7003f,
    0xfffe81ff,0xfff7003f,0x7ffd41ff,0x0000001f,0x7e400000,0x7ec02fff,
    0x000007ff,0xfff50000,0x3a0009ff,0x7003ffff,0x261fffff,0x0004ffff,
    0x3ffffcc0,0xfffff500,0x20000009,0x003ffffd,0x3ffffcc0,0xffff8800,
    0x8dffff16,0x003ffffe,0x01fffff7,0x17ffffe2,0xffffff50,0xffffffff,
    0x801fffff,0x006ffffd,0x3ffffee0,0xffffffff,0x7ffdc04f,0x3fe600ff,
    0xf1004fff,0x001fffff,0x3fffee00,0xffff9802,0xfff7001f,0xffff98ff,
    0xfff7001f,0xdffff0ff,0xa8000000,0x40002aaa,0x402ffffc,0x001ffffc,
    0x00555550,0x3fffe200,0xf98000ff,0x7001ffff,0x7ccfffff,0x00004fff,
    0x037fffec,0xffffff88,0xf0000000,0x0005ffff,0x86ffffd8,0x442ffffb,
    0xff16ffff,0x7ffccdff,0xff7001ff,0xffa80fff,0x3f204fff,0xffffffff,
    0xffffffff,0x3fee02ff,0x40000fff,0xfffffffa,0x802fffff,0x03fffffb,
    0x9ffffff5,0xffffd100,0x7400005f,0x9801ffff,0x002fffff,0x98bffffb,
    0x002fffff,0x90bffffb,0x400bffff,0x3fe60003,0x640004ff,0x5c02ffff,
    0x8004ffff,0x005ffff8,0xffffe880,0xff30002f,0x36005fff,0x3e65ffff,
    0x29804fff,0xfffffa80,0xfffe8805,0x000002ff,0x3fffff50,0xff500530,
    0xffb0bfff,0xffff10ff,0x9bfffe2d,0x02fffff9,0x0bffffb0,0x7fffffb0,
    0x3fffffa0,0xffffffff,0x04ffffff,0x07fffff7,0xffff1000,0x1bdfffff,
    0x3fffe600,0x3fee21ef,0x544fffff,0xffffca9a,0x200004ff,0x00fffffb,
    0xefffff88,0x3fff6200,0x7ffc43ff,0x36200eff,0x983fffff,0x01dfffff,
    0x4000ff93,0x001ffffb,0x17fffe40,0x3ffffea0,0x7ffd4002,0x4d54002f,
    0xffffffca,0x3fe20004,0x2200efff,0x23fffffd,0x804ffff9,0x889acffa,
    0xffffffc9,0x7e54d540,0x004fffff,0x884ddc00,0x06fffffb,0x11359ff5,
    0xffffff93,0x09ffff01,0x22dffff1,0x3e26ffff,0x200effff,0x3fffffd8,
    0xffffe880,0x7fffcc3f,0xaaaaaaaf,0xffffeaaa,0xfffffa87,0xff700005,
    0x013555df,0xfffff100,0xffffdfff,0xd89fffff,0xffffffff,0x2a20006f,
    0xfffffeca,0x3fff6004,0xccceffff,0x5ffffffe,0xffffffb0,0xffd999df,
    0x540bffff,0xdfffffff,0x07ffffec,0x1ffff200,0x55555440,0x02ffffda,
    0xdfffffe8,0x7fe402ac,0x7ec000ff,0xffffffff,0xffd80006,0xccefffff,
    0xffffffec,0x6ffffcc5,0x50aaaaaa,0xffffffff,0x07ffffff,0xfffffffb,
    0x00000dff,0xfffffff9,0x2a03ffff,0xffffffff,0x83ffffff,0x881ffff8,
    0xff16ffff,0xfffd8dff,0xccceffff,0x5ffffffe,0x3fffa200,0x3ffee2ff,
    0x3ff2005f,0x3fea1fff,0x0000efff,0x007fffb0,0x7fffdc00,0xffffffff,
    0x6c4ffffb,0xffffffff,0x3e60000e,0xffffffff,0x3ffa2000,0xffffffff,
    0x05ffffff,0x3fffffa2,0xffffffff,0xfa805fff,0xffffffff,0x0007ffff,
    0x4013fffa,0xfffffff9,0x9802ffff,0xffffffff,0x2fffec07,0x7fffec00,
    0x000effff,0xffffe880,0xffffffff,0xf985ffff,0xffffffff,0xffff51ff,
    0xffffffff,0x3fff60bf,0x00efffff,0xfffc8000,0x4fffffff,0x3ffffea0,
    0xffffffff,0x0dfff505,0x45bfffe2,0x7446ffff,0xffffffff,0xffffffff,
    0xffe88005,0x3fff62ff,0x3fe6003f,0x3ff23fff,0x00000eff,0x003ffff1,
    0xffffd800,0xf2ffffff,0xffd89fff,0x003fffff,0xfffff980,0x88002fff,
    0xfffffffd,0x2effffff,0xffffd880,0xffffffff,0x3e6002ef,0xffffffff,
    0x10004fff,0x2005ffff,0xfffffff9,0x9002ffff,0xffffffff,0x03ffff80,
    0xfffffd80,0x400003ff,0xffffffd8,0xefffffff,0xfffff302,0x23ffffff,
    0xfffffffa,0x202effff,0xfffffffd,0x32000003,0xffffffff,0x7ffd403f,
    0xffffffff,0x3ffee02e,0xdffff103,0x21bfffe2,0xffffffd8,0xefffffff,
    0x3fa20002,0x3fffe22f,0x7ffc000f,0x77fe46ff,0x3ea00000,0x000006ff,
    0xfffffff7,0x27fffc19,0x337ffff6,0xff300000,0x0019ffff,0xfffeb880,
    0x02ceffff,0xfffeb880,0x02ceffff,0xffd95100,0x0005bdff,0x007fff98,
    0x3fffffe6,0x002fffff,0x3fffffa6,0x3fffe207,0xfffd8000,0x00000cdf,
    0x3fffae20,0x02ceffff,0x7fffffcc,0x511fffff,0xdffffff9,0xfffb007b,
    0x000019bf,0xffffeb80,0xa8800def,0xeffffffc,0xbbba803d,0xdffff100,
    0x81bfffe2,0xfffffeb8,0x0002ceff,0xffa85d10,0xfd8006ff,0x2e40ffff,
    0x77640000,0x4000003e,0x0001aaa9,0x00000266,0x055e6f44,0x33100000,
    0x4c400000,0x4c000001,0x00000000,0x3bbbba20,0x01eeeeee,0x5ecba980,
    0x33000000,0x00000001,0x98001988,0xeeeeeeee,0x26201eee,0x01330000,
    0x22000000,0x10000099,0x40000013,0xf16ffff8,0x8800dfff,0x00000019,
    0x04ffffc8,0xfffffb80,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0xffff16ff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e200000,0xfff16fff,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76c40000,0x4000002d,
    0x22000018,0x31000001,0x4c000001,0x10000099,0x00000033,0x13333331,
    0x4cccc000,0x01880000,0x00600000,0x774c0000,0x2a20002e,0xddddb001,
    0x3bba00bd,0xddddd35e,0xdddddddd,0xdddddddd,0x77777744,0x01abcdee,
    0x01000800,0x3eeeeed8,0x2bdddd00,0x004eeeeb,0x01a88000,0x4cc40000,
    0x10009999,0x7fc00200,0x00002fff,0x3ffffe20,0x95300003,0xbdfffffb,
    0xd9510037,0xa80000bf,0x001effff,0x27ffcc00,0x7f65c400,0xbcefffff,
    0xff500000,0x0009ffff,0x1fffffe4,0xfffdb800,0x0005882e,0x9dfffb95,
    0x70000037,0x20005fff,0x400efffb,0x1fffffff,0x36ffff80,0xffffffff,
    0xffffffff,0x7c4fffff,0xffffffff,0x00beffff,0x80fffcc0,0xff00effb,
    0x200fffff,0xff96ffff,0x00000dff,0x00efffb8,0xfff98000,0x4c00dfff,
    0xff701fff,0xffff801d,0x2000002f,0x07fffffc,0x7ffec400,0xffffffff,
    0x7fec04ff,0x200005ff,0xfffffffc,0x3ea00002,0x7dc003ff,0xffffffff,
    0x0001ffff,0xffffffa8,0x3ff20002,0x003fffff,0x7fffffdc,0x5fea8aef,
    0x3fffa600,0x3fffffff,0x7fe40000,0xff98001f,0x7fc05fff,0x805fffff,
    0xff36ffff,0xffffffff,0xffffffff,0x7ffc4fff,0xffffffff,0x001fffff,
    0x81fffff1,0xf06ffffa,0x07ffffff,0x32dffff0,0x0006ffff,0x3fffe600,
    0x4c00005f,0x02ffffff,0x0fffff88,0x037fffd4,0x00bffffe,0xfffd8000,
    0x50000fff,0xffffffff,0x9fffffff,0x5ffffd80,0xfff30000,0x00fffd7b,
    0x17ffdc00,0xfffff980,0xffffffff,0x540001ff,0x00dfffff,0x3ffff600,
    0x004ffffe,0xfffffff5,0xffffffff,0xffff7005,0xffffffff,0x6c0000bf,
    0xb8000fff,0x407fffff,0xffffffff,0xb7fffc00,0xfffffff9,0xffffffff,
    0x227fffff,0xffffffff,0xffffffff,0xfffa800e,0x7ffec3ff,0xffff80ff,
    0x7c00ffff,0xfff96fff,0x400000df,0x07fffffb,0x3ffe6000,0xf5000eff,
    0xfd87ffff,0x3e00ffff,0x0002ffff,0x3ffff200,0xfd88007f,0xffffffff,
    0x4fffffff,0x2ffffec0,0x5ffb8000,0x00007ffc,0x001fffd8,0xfffffffd,
    0xffffffff,0x7fd40003,0x40003fff,0xf71ffffd,0xf9009fff,0xfffd9bff,
    0x009fffff,0xfffffffb,0xffffffff,0xfd00001d,0x3ee000ff,0x7c07ffff,
    0x4fffffff,0x9b7fffc0,0xeeeeeeee,0xeeefffff,0x3e26eeee,0xeeeeffff,
    0xffffffff,0xffffa806,0x7fffe42f,0xfffff80f,0x7fc03fff,0xffff96ff,
    0x5c00000d,0x007fffff,0xfffff300,0xfffa8009,0x7ffe42ff,0x3ffe00ff,
    0x000002ff,0x0fffffe6,0x3ffff600,0xeddfffff,0x404fffff,0x005ffffd,
    0xe89ff700,0x260001ff,0x9bfffeca,0x3ffff200,0xcbacceff,0x0001ffed,
    0x03bdddb3,0xcccca800,0x0e6664c0,0x3ee17e40,0x806fffff,0xfffffffa,
    0xffffffde,0xf80003ff,0xf10006ff,0xf809ffff,0xffffffff,0x1bfffe00,
    0x7ffffd40,0xffff1000,0xfffb303f,0xe8801fff,0x7cc0ffff,0xfff05fff,
    0x01ffffff,0xfcb7fffc,0x00006fff,0x3ffffe20,0x99700004,0xd1000599,
    0xf981ffff,0x7fc05fff,0x00002fff,0x01f7f4c0,0x7ffffcc0,0x32600aff,
    0x7ffec04f,0xf500005f,0xfff715ff,0xfffb3000,0xffffffff,0xfffff05f,
    0x0151005f,0x00000000,0x01800000,0x0037b971,0x33fffffa,0x7fffec40,
    0x7c40007f,0x260005ff,0xff804fff,0x3fffffff,0x01bfffe0,0x07ffffd4,
    0xfffff880,0x3ffff601,0xded8801f,0x409db300,0xffffffff,0x3fffe03f,
    0x0dffff96,0xff980000,0x0000004f,0x1bdb1000,0x2013b660,0x002fffff,
    0x80000000,0x0efffffe,0xaaa98400,0xeffffeaa,0xaaaaaaaa,0xffffd000,
    0x44007fff,0xfffffffc,0x3fffffff,0x1fffffcc,0x40000000,0x0006fffb,
    0x00000000,0x3fffea00,0x7ffec04f,0x4c4003ff,0x0adfffdb,0xf8002000,
    0xffffffff,0x1bfffe07,0x7ffffd40,0xffff1000,0x7ffcc03f,0x000003ff,
    0xffffff80,0xff00ffff,0x3fff2dff,0x0000006f,0x00000001,0x00000000,
    0x00bffffe,0x00000000,0x0dfffff5,0xffffd800,0xffffffff,0x3fffffff,
    0xffffd100,0x7f44009f,0xffffffff,0x43ffffff,0x02fffffb,0xe8000000,
    0xff803fff,0x00002fff,0xfe800000,0xff006fff,0x2e00dfff,0xffffffff,
    0x20000fff,0xffff8018,0x02ffffef,0x200dffff,0x00fffffa,0x3fffff10,
    0x7ffffc40,0x000c0004,0x7f7ffffc,0xfff04fff,0x3ffff2df,0x40000006,
    0xffff8000,0x5fffffff,0x00000000,0x217ffffc,0x801bddb9,0xaaaaaaaa,
    0x3a001aaa,0x002fffff,0x7ffffec0,0xffffffff,0x03ffffff,0x00de5d40,
    0x3fffff60,0xffffffff,0x7fdc3fff,0x00004fff,0x7ffc4000,0xffff800f,
    0x7440002f,0x7001eeee,0x7d49dddd,0xb003ffff,0x403fffff,0xffffffe9,
    0x00ffffff,0xfffb9530,0x7c37bdff,0xfffbffff,0xdffff06f,0x3fffea00,
    0xfff1000f,0x7fc403ff,0x22002fff,0xcefffeca,0x7fffc01b,0x0fffffaf,
    0xf96ffff8,0x0000dfff,0x3fb2e620,0x01bdefff,0x3ffffffe,0x1005ffff,
    0x003ddddd,0x213bbbae,0xf51fffff,0x1dffffff,0x7fffffc0,0x005fffff,
    0x0dfffff1,0xffffb000,0xffffffff,0x7fffffff,0x0f777744,0x4eeeeb80,
    0x3bffffea,0x31fffc8b,0xfff987b7,0x00002fff,0x3ffee000,0xfffff006,
    0xff880005,0xf9002fff,0x7fdcdfff,0xf5000fff,0x2e05ffff,0xffffffff,
    0x00ffffff,0x7ffffec4,0xffffffff,0x3efffff4,0xff82ffff,0xff5006ff,
    0x22001fff,0x201fffff,0x01fffffb,0xfffffd30,0x407fffff,0xffd7ffff,
    0xffff09ff,0x1bffff2d,0x3fea0000,0xffffffff,0x3ffe07ff,0xffffffff,
    0xffff1005,0x3ff2005f,0xffff86ff,0xfffffb9f,0xf01fffff,0xffffffff,
    0x3e600bff,0x0002ffff,0xfeeeeec8,0xeeefffff,0x222eeeee,0x002fffff,
    0x64dffff9,0x361fffff,0xf8800fff,0x1dffffff,0x54c00000,0x3ffffeec,
    0x5fffff00,0xfff88000,0xff9002ff,0x7ffe4dff,0x3fe2006f,0xff883fff,
    0xffffffff,0x200fffff,0xfffffffa,0xffffffff,0x32fffff4,0xff85ffff,
    0xff5006ff,0x22001fff,0x301fffff,0x00dfffff,0x3fffffee,0x5fffffff,
    0x2afffff0,0x7c0fffff,0xfff96fff,0xc80000df,0xffffffff,0x207fffff,
    0xffffffff,0xf1005fff,0x2005ffff,0xf86ffffc,0xfffdffff,0xffffffff,
    0xfffff80f,0x05ffffff,0x3fffff70,0x7ec00000,0x44005fff,0x002fffff,
    0x6cdffff9,0x7f46ffff,0x3ffa007f,0xadffffff,0xfb100000,0xffffffff,
    0x3ffe005f,0x440002ff,0x002fffff,0x6cdffff9,0x4005ffff,0xd84fffff,
    0xf2efffff,0x01f93dff,0xffffffb1,0xffffffff,0x3fffe9ff,0x3fffff17,
    0x006ffff8,0x01fffff5,0x3ffffe20,0xffda999a,0xd801ffff,0xffffffff,
    0xefffffff,0xd3ffffc0,0xff89ffff,0xffff96ff,0x3a60000d,0xffffffff,
    0x07ffffff,0x36666666,0x1005ffff,0x005fffff,0x21bffff2,0xffffffff,
    0xfffffeff,0xeeee83ff,0x5fffffee,0xfffff900,0x99999301,0xd8059999,
    0x4005ffff,0x02fffff8,0x4dffff90,0x7c7fffff,0x3e2006ff,0xffffffff,
    0x20001cff,0xffffffe9,0x03ffffff,0x02fffff8,0x7fffc400,0xfff9002f,
    0x7ffff4df,0x7fffc005,0x7fffd45f,0xbfff10df,0xfffffb00,0xfdbbffff,
    0x3fe9ffff,0x3fff67ff,0x37fffc5f,0xfffffa80,0xffff1000,0xffffffff,
    0x5005ffff,0xdfffffff,0xfffffffb,0x7ffff87f,0x83ffffea,0xff96ffff,
    0x20000dff,0xffffffff,0xfffeedef,0xfffd8007,0xfff1005f,0x3f2005ff,
    0xfff86fff,0x21dfffff,0x07fffffb,0x17ffff60,0x3ffffec0,0xffffffb8,
    0x7ec05fff,0x44005fff,0x002fffff,0x6cdffff9,0xf14fffff,0xfa800bff,
    0xffffffff,0x4000dfff,0xfffffffb,0xffffffff,0x7ffffc04,0x7fc40002,
    0xf9002fff,0x7ffcdfff,0x7f4004ff,0x7ff46fff,0x3fe60fff,0x7ffcc04f,
    0x200affff,0xffff4fc9,0x7ffffccf,0x01bfffe0,0x07ffffd4,0xfffff880,
    0xffffffff,0xffd000df,0xd8819fff,0x7c7fffff,0x7ff47fff,0x3fffe4ff,
    0x0dffff96,0xffff7000,0x2a013bff,0xffd8007d,0xff1005ff,0x32005fff,
    0xff86ffff,0x703fffff,0x007fffff,0x017ffff6,0x837ffff4,0xfffffffb,
    0x7fec05ff,0x7c4005ff,0x9002ffff,0x7dcdffff,0xfbefffff,0xe88004ff,
    0xffffffff,0x1003ffff,0xbfffffff,0xfffffffb,0x7fffc03f,0x7c40002f,
    0x9002ffff,0x3e2dffff,0x4003ffff,0x7c6ffffe,0x7d44ffff,0x7ff403ff,
    0x4000efff,0xe8fffff0,0x3fe4ffff,0xff5006ff,0x22001fff,0xffffffff,
    0x000effff,0x13ffffee,0x5fffffb0,0x2a3ffffc,0xff0fffff,0x3fff2dff,
    0x7c40006f,0x004fffff,0x3ff60002,0xff1005ff,0x32005fff,0xff86ffff,
    0x2204ffff,0x004fffff,0x00bffffb,0x41bffffa,0xfffffffb,0x7fec05ff,
    0x7c4005ff,0x9002ffff,0x7ccdffff,0xffffffff,0x2a0003ff,0xfffffffe,
    0xd803ffff,0x323fffff,0xffffffff,0x3ffffe06,0x2f7b2e22,0x3fffe202,
    0xfff9002f,0x3fffe2df,0x7ff4004f,0x3ffe25ff,0x7ffdc2ff,0x3fffea02,
    0x7fc0006f,0x7ffd47ff,0xdffff0ff,0x3fffea00,0xfff1000f,0xffffffff,
    0x3e003dff,0x8806ffff,0x3e6fffff,0xffe87fff,0xdffff4ff,0x01bffff2,
    0xfffff900,0xb0000009,0x200bffff,0x02fffff8,0x0dffff90,0x00bfffff,
    0x00bffffb,0x017ffff6,0x83ffffec,0xfffeeeea,0x7fec05ff,0x7c4005ff,
    0x9002ffff,0xfb8dffff,0xffffffff,0x20000bef,0xffffffc9,0x2601ffff,
    0x7c2fffff,0xffffdfff,0xfffff01f,0x3ffffee3,0xff880dff,0xf9002fff,
    0x7ffcdfff,0x7f4004ff,0x3fe65fff,0x7fe41fff,0x3fffa01f,0x7c0002ff,
    0xffe87fff,0xdffff3ff,0x3fffea00,0xfff1000f,0xffb735ff,0xf500dfff,
    0x2007ffff,0xf1fffffd,0xff50ffff,0xffff3fff,0x1bffff2d,0xffff8800,
    0x000000ff,0x05ffffd8,0x5fffff10,0x3ffff200,0x2fffff86,0x6ffffc80,
    0xbffffb00,0x3ffff200,0x3fff2007,0x7ffec05f,0x7fc4005f,0xf9002fff,
    0xff90dfff,0xffffffff,0x800019ff,0xffffffea,0x3fff606f,0x7fffcc6f,
    0x04fffff8,0xfb3fffff,0xffffffff,0xffff881f,0xfff9002f,0x7ffffcdf,
    0x7fffc005,0x3fffee4f,0x07ffec0f,0x6fffff88,0xffff8000,0xeffffb87,
    0x006ffff8,0x01fffff5,0x3ffffe20,0x7ffffec1,0x7fffe403,0xfff5000f,
    0x3fffe5ff,0xbffffd07,0x3f2dffff,0x20006fff,0x04fffffa,0xffb00000,
    0x3e200bff,0x9002ffff,0xff0dffff,0xf9005fff,0x3600ffff,0x7005ffff,
    0x001fffff,0x017ffff2,0x00bffffb,0x2fffff88,0xdffff900,0x3ffffea0,
    0xffffffff,0xffa80003,0x3a07ffff,0x7e42ffff,0xffff74ff,0x3ffffe0d,
    0xfffffffe,0x7c44ffff,0x9002ffff,0x7f4dffff,0x22006fff,0x2a3fffff,
    0x742fffff,0x3fe607ff,0x80002fff,0xf887ffff,0xfffaffff,0xfff5006f,
    0x3e2001ff,0x7441ffff,0x200fffff,0x006ffffe,0x4fffffe2,0xf507ffff,
    0xffffffff,0x1bffff2d,0xffffb800,0x0000001f,0x00bffffb,0x0bffffe2,
    0x37fffe40,0x017ffffc,0x07ffffdc,0x2ffffec0,0xfffffa80,0xffff9003,
    0xffffd80b,0x7ffc4005,0xff9002ff,0xfeb80dff,0xffffffff,0x980004ff,
    0x01ffffff,0xf81fffff,0xfff52fff,0x3fffe0ff,0xfeffffff,0x20ffffff,
    0x02fffff8,0x4dffff90,0x007ffffd,0x8bffffe6,0x44fffff9,0x3ee06fff,
    0x0001ffff,0x907ffff8,0xfffdffff,0x3fea00df,0xf1000fff,0xf503ffff,
    0x7c09ffff,0x4005ffff,0xff4fffff,0x7ff40fff,0x96ffffff,0x000dffff,
    0x07ffffec,0xfd800000,0xf1005fff,0x2005ffff,0xf86ffffc,0xc802ffff,
    0xb007ffff,0x200bffff,0x06fffff9,0x0bffff90,0x05ffffd8,0x7ffffc40,
    0xffff9002,0x3ffea00d,0xffffffff,0xffd80003,0xff882fff,0x7ffd47ff,
    0x1ffffe67,0x7ffffffc,0xfff911df,0x7ffc45ff,0xff9002ff,0x7ffe4dff,
    0xff9002ff,0x7fc41fff,0x3fe25fff,0x3fff204f,0xccc980ff,0xf2cccccc,
    0x3e20ffff,0xffffffff,0xffff5006,0x3fe2001f,0xfff01fff,0x3fe01fff,
    0x7c005fff,0xfff5ffff,0x7ffd40ff,0xf96fffff,0x4000dfff,0x007ffffe,
    0x3ff60000,0xff1005ff,0x32005fff,0xff86ffff,0xfd802fff,0xfb006fff,
    0x7c00bfff,0x801fffff,0x405ffffc,0x006ffffd,0x17ffffc4,0x6ffffc80,
    0xfdfff500,0x0fffffff,0xffff9000,0xffff501f,0x24fffc8d,0x80fffff8,
    0x3fffffff,0x3fffff88,0x0bffffe2,0x37fffe40,0x0bfffff3,0x17ffffe0,
    0x4bfffffe,0x3603fff9,0xf707ffff,0xffffffff,0x81ffffeb,0xfffffffd,
    0xfff5006f,0x3e2001ff,0xf701ffff,0xf107ffff,0x8009ffff,0xff6ffffe,
    0xffe80fff,0xf96fffff,0x4000dfff,0x006fffff,0x3ff60000,0xff1005ff,
    0x32005fff,0xff86ffff,0xfe802fff,0xfb004fff,0x5400bfff,0x01efffff,
    0x02ffffe4,0x03fffff2,0xfffff880,0xffff9002,0x3ffee00d,0xfffffc8a,
    0x7f40001f,0xff507fff,0xffff8fff,0x1ffffe61,0x27fffffc,0x49ffffd0,
    0x02fffff8,0x8dffff90,0x01fffffe,0x0fffffdc,0x7fffffe4,0x442fffab,
    0x0dffffd0,0x3fffffee,0xffff5fff,0x7fffcc0f,0x5006ffff,0x001fffff,
    0x07ffffe2,0x7fffffc4,0x7ffffc40,0x7fff4003,0x0fffff6f,0xffffffa8,
    0xdffff96f,0x3ffe2000,0x000005ff,0x17ffff60,0x7ffffc40,0xffff9002,
    0x5fffff0d,0xfffff980,0xffffb003,0xfffe800b,0x3f202fff,0x7dc05fff,
    0x2003ffff,0x02fffff8,0x0dffff90,0xd87fff20,0x7b3fffff,0x7ffe4003,
    0xfff305ff,0x3fffd4ff,0x41bfffea,0x405fffff,0x225ffffc,0x002fffff,
    0xb8dffff9,0x01ffffff,0x0dfffff7,0x3fffffe2,0xbaafffef,0xffffd1fe,
    0x3fffee0d,0xff5fffff,0xffe80fff,0x006fffff,0x01fffff5,0x3ffffe20,
    0x3ffff201,0x7fffc43f,0x7ff4004f,0xfffff6ff,0xfffffd00,0x3ffff2df,
    0xcccccccf,0xff14cccc,0x0000dfff,0x7fffec00,0xffff1005,0x3ff2005f,
    0xffff86ff,0x7ffec02f,0xffb001ff,0xf9800bff,0xdeffffff,0xffffbaab,
    0x7ffd405f,0x09881eff,0x0bffffe2,0x37fffe40,0x547ffd80,0xfd4fffff,
    0x55579bff,0xffffff95,0x3ffe605f,0x9fffb0ff,0x05ffffb8,0x805fffff,
    0x225ffffc,0x002fffff,0x88dffff9,0xefffffff,0xffffecac,0x3ff202ff,
    0xffffffff,0xfb1fffff,0x3aa0ffff,0xfffffeee,0x80fffff5,0xfffffffa,
    0xffff5006,0x3fe2001f,0x3e601fff,0xff87ffff,0x74004fff,0xfff6ffff,
    0xfff500ff,0x3ff2dfff,0xffffffff,0x27ffffff,0x007fffff,0x3ff60000,
    0xff1005ff,0x32005fff,0xff86ffff,0x3ee02fff,0x2005ffff,0x005ffffd,
    0xffffffd8,0xffffffff,0x7c405fff,0xefffffff,0x3e23fffe,0x9002ffff,
    0x200dffff,0x7fcc7fff,0xfffd2fff,0xffffffff,0x09ffffff,0x97ffffc4,
    0x7f41ffff,0xfff04fff,0xffc805ff,0x3ffe25ff,0xff9002ff,0xfff50dff,
    0xffffffff,0x007fffff,0xfffffff9,0x3fffffff,0x01fffff2,0xf5ffffc8,
    0xfd00ffff,0x00dfffff,0x03ffffea,0x7ffffc40,0x7ffff401,0x7ffff43f,
    0x7fffc005,0x0fffff5f,0x3fffffa0,0xffffff96,0xffffffff,0x7fff4fff,
    0x0000007f,0x017ffff6,0x17ffffc4,0x6ffffc80,0x0cfffff8,0x7ffffe4c,
    0x4cccc40f,0xeffffd99,0x40199999,0xfffffffb,0xffffffff,0xfffa805f,
    0xffffffff,0x3fffe23f,0xfff9002f,0xff8804df,0x7fffe45f,0xfffffd0f,
    0xffffffff,0xfb00bfff,0xfff5dfff,0xfffff98f,0x5fffff02,0x5ffffc80,
    0x0bffffe2,0x37fffe40,0xffffffa8,0xffffffff,0x3ffee004,0xffffffff,
    0xffff71ff,0x3ff2001f,0xfffff5ff,0xfffff700,0x3fea00df,0xf1000fff,
    0xa803ffff,0x6c6fffff,0x2006ffff,0xf4fffff8,0x2a00ffff,0xf96fffff,
    0xffffffff,0xffffffff,0x07ffffec,0xfd800000,0xf1005fff,0x2005ffff,
    0xf86ffffc,0xefffffff,0xffffffff,0xfffffe83,0xffffffff,0x400fffff,
    0xffffffe9,0xffffffff,0xffffb004,0x7fffffff,0x17ffffc4,0x6ffffc80,
    0xff986f7e,0xffff914f,0x7ffff4ff,0xffffffff,0xb800cfff,0xffefffff,
    0x3fffa24f,0x3fffe06f,0x7ffe402f,0x7ffffc5f,0xffff9002,0x7fffdc09,
    0xffffffff,0xfeb88003,0xdfffffff,0x3ffffea3,0xffff9003,0x01ffffeb,
    0x3fffffe2,0xffff5006,0x3fe2001f,0xfe801fff,0x3f22ffff,0x26007fff,
    0xff2fffff,0x7f400fff,0xfff96fff,0xffffffff,0x64ffffff,0x003fffff,
    0xfffb0000,0x7ffc00bf,0xff9002ff,0xffff09ff,0xffffffff,0x3a0bffff,
    0xffffffff,0xffffffff,0xfb7000ff,0xffffffff,0xe980017b,0xffffffff,
    0x7ffffc2f,0xffff9002,0x77ffffc9,0xffeefffe,0x2a2fffff,0xffffffec,
    0x003effff,0x7fffffc4,0xfea89fff,0x3e02ffff,0x6402ffff,0x7fc5ffff,
    0xfb003fff,0xd5007fff,0x7dffffff,0xff300001,0xf30135bf,0x200dffff,
    0x005ffffc,0x00000000,0x40000000,0x02fffffb,0x1fffff90,0xfff90000,
    0x200000bf,0x06fffffb,0xffb00000,0x7fc00bff,0xfb003fff,0xfff07fff,
    0xffffffff,0x7403dfff,0xffffffff,0xffffffff,0x988000ff,0x00019aaa,
    0x55555310,0x3ffffe01,0xffffb003,0x7fffffc7,0xffffffff,0x2203ffff,
    0x19aaaaa9,0x7ffd4000,0xffefffff,0x405fffff,0x402fffff,0x745ffffc,
    0xd004ffff,0x4005ffff,0x006ffffa,0x1fffd400,0x7fffffc0,0xffffc801,
    0x00000005,0x00000000,0x7fffcc00,0xffff005f,0x360000df,0x0004ffff,
    0xfffff300,0x0000005f,0x00bffffb,0x027ffff4,0x82ffffe8,0xffffffff,
    0x803effff,0xfffffffe,0xffffffff,0x00000fff,0x00000000,0x009ffffd,
    0xf8bffffa,0xffffffff,0xffffffff,0x00000003,0xffffffc8,0xffffffff,
    0x7fffc00d,0x7ffe402f,0x7fffec5f,0xffff9807,0x3fe2001f,0x00000fff,
    0x200bffee,0x1efffffa,0x2ffffe40,0x02aaaa80,0x2aaaa000,0x2aa00002,
    0xfe8002aa,0x5c01ffff,0x002fffff,0xfffff880,0x2aaaa802,0xfffffb00,
    0x8000005f,0x005ffffd,0x01fffff6,0x07ffffe6,0x26bffffe,0x000009aa,
    0x5fffe880,0x2aaaa800,0x2aaa0000,0x3ff6002a,0xff9807ff,0x3ffe1fff,
    0xffffffff,0x000cffff,0x00555550,0xfffff700,0x7fffffff,0x3ffffe00,
    0x7fffe402,0x7ffffdc5,0x7fffec04,0xffff8006,0x8007105f,0xd001fffc,
    0x05ffffff,0x02ffffe4,0x02ffffc4,0xffff8800,0xff100005,0xf5000bff,
    0x203fffff,0x06fffffb,0xffff9000,0xfff9803f,0xfff1004f,0x9807ffff,
    0xffd8007b,0x3ee005ff,0x6c04ffff,0xff06ffff,0x00005fff,0x3fffa000,
    0xfff88006,0xf100005f,0x5c00bfff,0x404fffff,0x986ffffd,0xffffecba,
    0x0000abde,0x017fffe2,0x7fffdc00,0x01deffff,0x0bffffe0,0x8bffff90,
    0xdffffff8,0xfffd3109,0xfb0005ff,0x557dffff,0x6c003ff9,0xf3000fff,
    0xbdffffff,0xffff7557,0xfff500bf,0x2a00005f,0x0002ffff,0x05ffff50,
    0x3ffffa00,0xfecaceff,0x001fffff,0x3fffaa60,0xffb806ff,0x3f2001ff,
    0xefffffff,0x7ffedcbc,0xffffd800,0x3ffe2005,0x3109dfff,0x05fffffd,
    0x00bffffe,0x3ee00000,0xa8000fff,0x0002ffff,0x05ffff50,0x7ffffc40,
    0xfd3109df,0x1005ffff,0x0000bfff,0x02ffffa8,0x9fffd000,0x20001375,
    0x402fffff,0xb85ffffc,0xffffffff,0xffffffff,0xfff30005,0xffffffff,
    0x7ff400df,0x7ffec007,0xffffffff,0x05ffffff,0x00ffffc8,0xffff9000,
    0x3f200001,0x50000fff,0xffffffff,0xffffffff,0x7fdc000b,0x01ffffff,
    0x007fffc8,0x7fffffc4,0xffffffff,0x333107ff,0xffffb333,0x0333333d,
    0x3fffffee,0xffffffff,0x3ffe05ff,0x000002ff,0x05fffe80,0x1ffff900,
    0x3ff20000,0x7dc000ff,0xffffffff,0x5fffffff,0x09fff300,0xfffc8000,
    0xf880000f,0x00000fff,0x805fffff,0xd05ffffc,0xffffffff,0x1fffffff,
    0x7ffdc000,0xffffffff,0xdfff004f,0xffff7000,0xffffffff,0xb00bffff,
    0x0000bfff,0x002fffec,0x0bfffb00,0xffffa800,0xffffffff,0x5c0004ff,
    0x3fffffff,0x09fffd00,0xffffb100,0xffffffff,0x3ffa0fff,0xffffffff,
    0xffffffff,0xfffffd00,0xffffffff,0x7ffc01ff,0x000002ff,0x37fffc40,
    0x5fffd800,0x3ff60000,0xffd0005f,0xffffffff,0x001fffff,0x000fffea,
    0x0bfffb00,0x3ffee000,0x3fe00006,0x7e402fff,0x3f205fff,0xffffffff,
    0x0000cfff,0xffffffc8,0x800dffff,0x0005fff8,0xffffffd3,0xffffffff,
    0x7ffff009,0x7ffc0000,0x3e00003f,0x80003fff,0xffffffe9,0x002fffff,
    0xfffffb80,0xfff1002e,0x7d40005f,0xffffffff,0xfd07ffff,0xffffffff,
    0xffffffff,0x7ffe401f,0xffffffff,0x7ffc00cf,0x000002ff,0xefffff80,
    0x3ffe005c,0x3e00003f,0x20003fff,0xfffffffc,0x00cfffff,0x00bffee0,
    0x7ffff000,0x3ffa0000,0x3e00003f,0x6402ffff,0x4c05ffff,0xfffffffd,
    0x400001df,0xffffffc8,0x3fe6002d,0x6dc0004f,0xffffffff,0xf8800bdf,
    0x00000fff,0x001ffff1,0x3fffe200,0xd9100000,0x9dffffff,0x3ee00001,
    0x4c002def,0x80007fff,0xffffedc8,0xd00adfff,0xffffffff,0xffffffff,
    0xfd9801ff,0xdfffffff,0xfffff001,0x00000005,0xfffffffd,0x3fffe200,
    0xff100000,0x980001ff,0xfffffffd,0xfd8001df,0x200000ff,0x000ffff8,
    0x0eeee880,0x3ffe0000,0x7fe402ff,0x262005ff,0x000009aa,0x00026600,
    0x000d5544,0x35553100,0x00000003,0x00000000,0x26000000,0x000001aa,
    0x00000011,0x2aa60000,0xfffd0009,0xffffffff,0x1fffffff,0x4d54c400,
    0xffff8000,0x0000002f,0xffffff98,0x00000007,0x88000000,0x00009aa9,
    0x00015554,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3b600000,0x00002eee,0xddb71000,0x0000009b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x401eeeee,0x0eeeeee9,
    0x00003100,0xaaaa8000,0x04c40001,0xd9000000,0x005ddddd,0xdeeeed88,
    0xdddddb31,0x776c4005,0xd50000de,0xed885ddd,0x0c4004ee,0x00200000,
    0xd8800004,0xb31deeee,0x805ddddd,0xee885eed,0x7640004e,0x00001eee,
    0x77640000,0x776cc0de,0x8004002e,0x54c40000,0x00009aaa,0x00001530,
    0x00004002,0x5554c400,0xdddddb09,0xdddddddd,0x3fe23ddd,0x7f402fff,
    0xb804ffff,0x882efffd,0x3e000005,0x50001fff,0x003dffff,0xfffc8000,
    0x44001eff,0x30effffe,0x03dfffff,0x7ffffcc0,0xf70000ef,0x3fa69fff,
    0xb7000eff,0xb105dfff,0x3fff3000,0x003bfee0,0xffffe880,0xfffff30e,
    0xfffd003d,0x27ffec47,0xffffb000,0x220005ff,0xffffecca,0x407fffff,
    0xf72ffffd,0x4c009fff,0xff701fff,0x7e44001d,0xffffffff,0x3f60005f,
    0x260004ff,0xff701fff,0x7000001d,0xdfffffff,0x3ffffffe,0xffffffff,
    0xffff12ff,0x7ffdc05f,0xffb806ff,0x8aefffff,0x00005fea,0x007fffa8,
    0xffffff90,0x2000005f,0x0dfffffc,0x7fff4400,0x3fffe65f,0x3e6000df,
    0xefffffff,0xfff50000,0x1bffffdf,0x3fffee00,0xea8aefff,0x3fe2005f,
    0x7fd40fff,0xd10006ff,0x7ccbffff,0x000dffff,0xfdfffff7,0x0003ffff,
    0x3ffffff6,0x322002ff,0xffffffff,0x07ffffff,0xfeffffd8,0x22003fff,
    0x540fffff,0x7006ffff,0xffffffff,0x000fffff,0x0bfffff2,0x3fffe200,
    0x7fffd40f,0x3a600006,0xffffffff,0xfffffff6,0xffffffff,0x3ffe25ff,
    0xfff302ff,0xfa801fff,0xffffffff,0x02ffffff,0x7ffe4000,0xfff98004,
    0x007ffebd,0xffffc800,0xffb0002f,0x7ffcc7ff,0x7cc002ff,0xfffaefff,
    0xf50000ef,0x0bffffff,0x7ffffd40,0xffffffff,0xff5002ff,0xffd87fff,
    0xd8000fff,0x3e63ffff,0x8002ffff,0xfffffffe,0xe88004ff,0xffdaffff,
    0x7e4402ff,0xffffffff,0x7fffffff,0xfffffb00,0xfa8007ff,0x7ec3ffff,
    0x5c00ffff,0xffffffff,0x007fffff,0x9fffffd0,0xffff5000,0xffffd87f,
    0xf880000f,0xffffffff,0xffffff6f,0xffffffff,0x3fe25fff,0xffd02fff,
    0xf9007fff,0xfffd9bff,0x009fffff,0x7ffc6600,0xffb8002f,0x0007ffc5,
    0xdffff900,0x3ff60001,0x3ffe61ff,0x7cc000df,0x3f624fff,0x50000eff,
    0x00bfffff,0xecdfffc8,0xffffffff,0x3ffea004,0x7ffe42ff,0x7ec000ff,
    0x3fe61fff,0x10000dff,0xfffffff9,0xffd10007,0x7ffdc1df,0x3fff603f,
    0xffffffff,0x07ffffff,0x3fffff20,0xfffa8002,0x7ffe42ff,0x3fea00ff,
    0xdcdfffff,0x0007ffee,0x09fffffd,0xfffff500,0xfffffc85,0xffd80000,
    0xffefffff,0xddfffff6,0xdddddddd,0x3ffe23dd,0xfffb82ff,0x3f2005ff,
    0x7ffffdc2,0x9510006f,0xfffffffd,0x3fee000f,0x000fff44,0x03333300,
    0x4cccc400,0x00cccc40,0x00999880,0x00013333,0x000cccc4,0x7fdc2fc8,
    0x4006ffff,0x40ffffe8,0x005ffff9,0x204cccc4,0x00019998,0x15799510,
    0x26662000,0x03333101,0x3fffffee,0xb99effff,0x4007ffff,0x00009999,
    0x81ffffd1,0x405ffff9,0x02fffffd,0x5c000ea2,0x001fffff,0x0ffffe88,
    0x02ffffcc,0x7fffcc00,0xff840bef,0x10003fff,0x885fffff,0x00ffffff,
    0xdcb880c0,0xff30001b,0xffffffff,0x3ea000df,0x7ffb8aff,0x00000000,
    0x00000000,0x00000000,0x22030000,0x0001bdcb,0x2601bdb1,0x000004ed,
    0x00000000,0x20000000,0xfffffff9,0x3e66ffff,0x00007fff,0x37b62000,
    0x009db300,0x00bfffff,0xfff70000,0x76c40005,0x09db300d,0x3ffee000,
    0x7ffc01ff,0xf10003ff,0xfd85ffff,0x0002ffff,0xfb800000,0xffffffff,
    0x0005ffff,0xfffffffd,0x22000007,0x00000019,0x98800000,0x04000001,
    0x00000000,0x00000000,0x000000c0,0x40000000,0xffffb000,0xdfffffff,
    0x03ffffcc,0x00019880,0xff800000,0x00006fff,0x00000200,0xb0000000,
    0xf00dffff,0x0007ffff,0x8bffffe2,0x04fffffb,0x0000c000,0x7fffffec,
    0xffffffff,0xfe88006f,0x0004ffff,0xfffd9710,0x0179dfff,0x03ddddd1,
    0x13bbbae0,0xffd97100,0x179dffff,0xecb98800,0x1bdeffff,0x00000000,
    0x10000000,0x9dfffd95,0x77440037,0xd7001eee,0x22009ddd,0xffffecb9,
    0x7ff41bde,0xffffffff,0x3fffe66f,0xfecb8807,0xbcefffff,0x00000000,
    0x0ffffffa,0x00000000,0x00000000,0x1fffffc0,0x1fffffc0,0xffff8800,
    0xfffff12f,0xca88000d,0x1bcefffe,0x3fffea00,0xffecdfff,0x003fffff,
    0x00379750,0x3fffee00,0xffffffff,0xffff881f,0xfff9002f,0x7fdc00df,
    0xffffffff,0x2a001fff,0xffffffff,0x2007ffff,0xeeeeeeea,0xdddd7000,
    0xeea8003d,0x74c01eee,0xffffffff,0xff1003ff,0x32005fff,0xa806ffff,
    0xffffffff,0x3e27ffff,0xffffffff,0x3fe66fff,0x7fdc07ff,0xffffffff,
    0x76c01fff,0xeeeeeeee,0x1eeeeeee,0xffffff90,0x3a60001b,0xeeeeeeee,
    0xeeeeeeee,0xdd5001ee,0x001ddddd,0x7fffcc00,0xffff800f,0xff10003f,
    0x3ff65fff,0x20001fff,0xffffffe9,0xd003ffff,0xe85fffff,0xffffffff,
    0x3bbaa000,0x0000eeee,0xfffffff3,0xffffffff,0xfffff103,0x3fff2005,
    0xfff9806f,0xffffffff,0x9001ffff,0xffffffff,0x00ffffff,0x7fffffec,
    0xfff1003f,0xfe800bff,0x7dc06fff,0xffffffff,0x8805ffff,0x002fffff,
    0x80dffff9,0xfffffffc,0x27ffffff,0xfffffff9,0x266fffff,0xf307ffff,
    0xffffffff,0x03ffffff,0xfffffff8,0xffffffff,0xfff302ff,0x007fffff,
    0xffffff30,0xffffffff,0x003fffff,0x3ffffff6,0x2a00003f,0xf007ffff,
    0x0007ffff,0x2bffffe2,0x03fffffa,0x3fffee00,0xffffffff,0x7ffd405f,
    0x7ffcc2ff,0x04ffffff,0x3fffff60,0xfd0003ff,0xffffffff,0x03ffffff,
    0x05fffff1,0x1bffff20,0x3fffffa0,0xffffffff,0x7f4c01ff,0xffffffff,
    0x007fffff,0xfffffff1,0x7fe400bf,0xf5001fff,0x6c05ffff,0xffffffff,
    0xefffffff,0x3fffe200,0xfff9002f,0x3ffa60df,0xffffffff,0x3e67ffff,
    0xffffffff,0x3fe66fff,0xfffd07ff,0xffffffff,0xf803ffff,0xffffffff,
    0xffffffff,0xffffe982,0x01efffff,0x3ffffe60,0xffffffff,0x01ffffff,
    0xffffff88,0x200005ff,0x007ffffb,0x007fffff,0x3ffffe20,0x05fffffb,
    0x3ffff600,0xffffffff,0xfd00efff,0xff709fff,0xdffffdbf,0x3fffe200,
    0x8005ffff,0xeffffffc,0xfedcbacc,0xffff881f,0xfff9002f,0xfffc80df,
    0xbaccefff,0x401ffedc,0xffffffff,0xfffeedef,0xffff5007,0x001fffff,
    0x17ffffe2,0x37ffff40,0xffffff50,0xfffffbdf,0x7c407fff,0x9002ffff,
    0x3e0dffff,0xffffffff,0x7fffeede,0x3fffffe2,0x26ffffff,0xc87ffff9,
    0xceffffff,0xffedcbac,0x7ffffc01,0xffffffff,0x7c42ffff,0xffffffff,
    0x800cffff,0xfffffff9,0xffffffff,0xa801ffff,0xffffffff,0xf900000f,
    0x3e00dfff,0xffffffff,0x5fffffff,0x3fffffe2,0x000fffff,0xffffff50,
    0xfffffbdf,0xff507fff,0xffd05fff,0xfffff77f,0xffff5003,0x001fffff,
    0x2ffffff8,0xf880a880,0x9002ffff,0xf80dffff,0x802fffff,0x3fee00a8,
    0x009dffff,0x3f200fb5,0xffffffff,0x3fff2002,0x7fd401ff,0x3fa02fff,
    0x440cffff,0x07fffffd,0x0bffffe2,0x37fffe40,0x7fffffdc,0x8fb5009d,
    0xfffffffe,0x3e66ffff,0xfff87fff,0xa8802fff,0x7ffffc00,0xeeeeeeee,
    0x7f41eeee,0xfffeffff,0x01ffffff,0x7fffffcc,0xffffffff,0x801fffff,
    0xfffffffc,0x900002ff,0x200bffff,0xffffffff,0xffffffff,0x3ffffe25,
    0x00ffffff,0xfffffd00,0xfffd8819,0xfffb87ff,0xffff887f,0x3fffff88,
    0xfffffc80,0x2002ffff,0x03fffff9,0xffff8800,0xfff9002f,0x7ffcc0df,
    0x100003ff,0x09ffffff,0xfff80040,0x4fffffff,0x3fffe200,0x7fff405f,
    0x3ffee06f,0x7fec04ff,0xff102fff,0x32005fff,0x7c46ffff,0x004fffff,
    0xfffffb02,0x4dffffff,0x4c7ffff9,0x003fffff,0x7ffffc00,0x3fea0003,
    0xfff74fff,0x05ffffff,0x99999998,0xffe99999,0xff005fff,0xffffffff,
    0x77744009,0xfffffeee,0x4eeeeeef,0x3ffffffe,0xffffffff,0x3fffe25f,
    0x5fffffdf,0xffffb800,0x7ffec04f,0x7ffe42ff,0x6fffb85f,0x013ffffe,
    0x3ffffffe,0x2e004fff,0x002fffff,0xfffff880,0xffff9002,0x7fffdc0d,
    0xf900002f,0x0009ffff,0xdffff300,0x00fffff9,0x0fffffd8,0x5fffff50,
    0x37ffffc0,0x7ffffc40,0xfffff106,0x3fff2005,0x7fffe46f,0x7cc0004f,
    0xffffffff,0x3ffe66ff,0x7fffdc7f,0x7c00002f,0x0003ffff,0x11fffff6,
    0xfffffffb,0x2e00003f,0x00ffffff,0xceffff98,0x2007ffff,0xfffffff8,
    0xffffffff,0x3ffe5fff,0xffffffff,0x225fffff,0xfeafffff,0x4002ffff,
    0x806fffff,0x46fffff8,0xe84ffffd,0x3ffa3fff,0x7fcc05ff,0xffffceff,
    0x3ffee007,0x880004ff,0x002fffff,0x40dffff9,0x04fffffb,0xffff8800,
    0x800000ff,0xf9cffffb,0x2001ffff,0x04fffff8,0x40dffffd,0x03fffffa,
    0x3fffffb0,0x5fffff10,0x3ffff200,0x3ffffe26,0xfb80000f,0xffffffff,
    0x3fffe66f,0x7ffffdc7,0x7fc00004,0x20003fff,0x505ffffe,0xdffffffd,
    0xfff10000,0x2e005fff,0xff9cffff,0xf1001fff,0xffffffff,0xffffffff,
    0x7ffffcbf,0xaaaaaaad,0x3fe22aaa,0xfff9afff,0xf5000fff,0x2007ffff,
    0x21fffffd,0x443ffffe,0x3f61ffff,0x7dc05fff,0xfff9cfff,0xff3001ff,
    0x0005ffff,0x2fffff88,0xdffff900,0x7ffffcc0,0x7d40002f,0x0004ffff,
    0x5ffffd00,0x013ffffe,0x1fffffb0,0x1fffffa8,0x3fffff20,0xffff5000,
    0xffff105f,0x3ff2005f,0x3ffea6ff,0x200004ff,0xfffffffd,0x3ffe66ff,
    0x7fffcc7f,0x200002ff,0x003fffff,0x1fffffe0,0xffffffb0,0xffd80007,
    0x3a005fff,0xfff2ffff,0x3e2009ff,0xffffffff,0xffffffff,0x3ffffe5f,
    0xfff10003,0x3fff25ff,0xff9005ff,0x2a001fff,0x3e2fffff,0x7d43ffff,
    0x7ffec6ff,0x7fff406f,0x9fffff2f,0x3fffe200,0x0001dfff,0x05fffff1,
    0x1bffff20,0xffffff88,0xf70001df,0x0003ffff,0xfffff100,0x037fffec,
    0x3ffffe20,0x2fffff44,0x1bffffa0,0xfffff880,0xfffff883,0xffff9002,
    0x7ffffdcd,0x7dc00001,0x6fffffff,0x11ffffe6,0xbfffffff,0xfff00003,
    0x6c0007ff,0x402fffff,0x05fffffd,0x3fffee00,0xff1000ff,0x7ffecfff,
    0x5551006f,0xfffff955,0x35555557,0x01fffffc,0xfffff880,0x3fffffa2,
    0xffffe803,0x3ffe2006,0xffff13ff,0x4fffd85f,0x037fffe4,0x6cfffff1,
    0x2006ffff,0xfffffffe,0x22000adf,0x002fffff,0x80dffff9,0xfffffffe,
    0x36000adf,0x000fffff,0xffffa800,0x3ffffee5,0x7ffec000,0xffff50ff,
    0xffff803f,0x7ffc005f,0xfff884ff,0xff9002ff,0x7ffecdff,0x000000ff,
    0xdffffff7,0x43ffffcc,0xfffffffe,0xf0000adf,0x0007ffff,0x7fffffe4,
    0x3fffe202,0xff10006f,0x4005ffff,0x2e5ffffa,0x000fffff,0x1ffffea0,
    0x3fffff80,0xffff1000,0x7fffd45f,0x7ffc00ff,0x7fc005ff,0xfff14fff,
    0xffff85ff,0x2ffffe41,0x4bffff50,0x00fffffb,0xffffff10,0x039fffff,
    0x5fffff10,0x3ffff200,0x7fffc406,0xcfffffff,0xffffe801,0xfb000007,
    0x7fcc7fff,0x4c003fff,0xfb3fffff,0xff00bfff,0xf800bfff,0xf885ffff,
    0x9002ffff,0x7f4dffff,0x00007fff,0x4dcaa980,0x21ffffe6,0xfffffff8,
    0x001cffff,0x01fffffc,0xfffff300,0x7fec07ff,0xfb0007ff,0x8009ffff,
    0x263ffffd,0x003fffff,0x1bfffee0,0x3fffff80,0xffff1000,0xffffd85f,
    0x7fffc05f,0x7ffc005f,0xffff15ff,0x3fffd47f,0x027fffec,0x4c7ffffb,
    0x003fffff,0x3fffffea,0x0dffffff,0x3ffffe20,0xffff9002,0xffff500d,
    0xffffffff,0x7fffc01b,0xf000006f,0xfe83ffff,0xd8005fff,0xff9effff,
    0x7c401fff,0x4004ffff,0x886ffffe,0x002fffff,0x7cdffff9,0x0006ffff,
    0xff980000,0xfff507ff,0xffffffff,0x3fe001bf,0xffffffff,0x85ffffff,
    0xfffffffc,0xffffe81e,0xfffa8006,0x7c000eff,0x7f41ffff,0x20005fff,
    0x005ffffc,0x00fffffe,0x7ffffc40,0x7ffffc42,0xffff103f,0xffe8009f,
    0x3fffe6ff,0x13fff23f,0x80fffffa,0x741fffff,0x4005ffff,0xffffffe8,
    0x03ffffff,0x05fffff1,0x1bffff20,0x7ffff440,0xffffffff,0xfffff883,
    0xf9800005,0xffc87fff,0xf98007ff,0xfffeffff,0xfff8805f,0x7f4003ff,
    0xff886fff,0xf9002fff,0x3fe2dfff,0x00005fff,0xfff98000,0x3ffa207f,
    0xffffffff,0xfff803ff,0xffffffff,0xb05fffff,0xffffffff,0x3fffe61b,
    0x7fc4004f,0x4001ffff,0xc87ffff9,0x0007ffff,0x013ffff6,0x03fffff8,
    0xfffff100,0xfffff705,0xffff101f,0xffe8007f,0x3fffe6ff,0x0bfffe4f,
    0x40bffffa,0xc87ffff9,0x0007ffff,0xffffffd5,0x107fffff,0x005fffff,
    0x01bffff2,0xfffffd50,0x87ffffff,0x06fffff8,0xfffc8000,0xffffa84f,
    0xffd8002f,0x1fffffff,0xfffff880,0x7fff4004,0xffff886f,0xfff9002f,
    0x3fffe2df,0x0000006f,0x7ffff980,0xffffea80,0x3fffffff,0x7fffffc0,
    0xffffffff,0x3ff605ff,0xbfffffff,0x01fffffe,0x7ffffec0,0xfffc8004,
    0xffffa84f,0xffd0002f,0x7fc007ff,0x10003fff,0x205fffff,0x86fffffe,
    0x04fffff8,0x37ffff40,0x26dffffd,0xff887fff,0xff901fff,0xfff509ff,
    0x4c0005ff,0xfffffffc,0x7fc41fff,0xf9002fff,0x2000dfff,0xffffffc9,
    0x7fc1ffff,0x00007fff,0x82ffffe8,0x04fffff8,0xfffff980,0x3e005fff,
    0x4004ffff,0x886ffffe,0x002fffff,0x7cdffff9,0x0007ffff,0xff980000,
    0x326007ff,0xffffffff,0x3ffe01ff,0xffffffff,0x405fffff,0xfffffffb,
    0x4fffffff,0x7fffd400,0xffd0006f,0xfff105ff,0x3e0009ff,0x2002ffff,
    0xccefffff,0xcccccccc,0xfffff11c,0x3fffe605,0xffff83ff,0x7ff4004f,
    0x3ffee6ff,0x5fffc8ff,0x0fffffb8,0x05ffffd0,0x09fffff1,0x3ffaa000,
    0x446fffff,0x002fffff,0x00dffff9,0xffffd500,0xffe8dfff,0x400007ff,
    0x00fffff8,0x00dffffd,0x3fffff60,0x3fa001ff,0x7c005fff,0xf885ffff,
    0x9002ffff,0x7f4dffff,0x00007fff,0xfff98000,0xfd50007f,0x0dffffff,
    0x56fffffc,0xaaaaaaaa,0xffd8802a,0xffffffff,0x7fc4006f,0x8001ffff,
    0x00fffff8,0x00dffffd,0x3fffff10,0x7ffffc00,0xffffffff,0xff12ffff,
    0x7e405fff,0x741fffff,0x4005ffff,0x265fffff,0xfebfffff,0xfffd82ff,
    0xffff106f,0x3fffa01f,0x5400006f,0x47ffffff,0x02fffff8,0x0dffff90,
    0x7ffd4000,0x7fec7fff,0x00000fff,0x81bfffee,0x00fffffb,0xfffff980,
    0x7fec005f,0x3e2006ff,0xf884ffff,0x9002ffff,0x7ecdffff,0x0000ffff,
    0x7fcc0000,0x540007ff,0x07ffffff,0x00fffffe,0x7ff54000,0x05ffffff,
    0xfffffd80,0xfff70004,0x7ffdc0df,0x7cc000ff,0x2000ffff,0xffffffff,
    0xffffffff,0xfffff12f,0x7fffc405,0x7ffec6ff,0x3fe2006f,0x7ffc4fff,
    0x0fffffff,0x0fffffd4,0x06ffffb8,0x03ffffee,0xfff30000,0xfff83fff,
    0xff9002ff,0x800009ff,0x1ffffff9,0x0ffffff2,0xfffd8000,0x3ffe603f,
    0xfb0003ff,0x8003ffff,0x007ffffc,0x0bffffe6,0x017ffffc,0x24ffffc8,
    0x03fffffc,0x54000000,0x0006ffff,0xffffff98,0x7fffff01,0xfb800000,
    0x02ffffff,0x7ffffd40,0x3ff60006,0x3fe603ff,0x54003fff,0x4007ffff,
    0xffffffff,0xffffffff,0xfffff12f,0xffffa805,0x3fff23ff,0x3fe6007f,
    0x7fe42fff,0x45ffffff,0x05fffff9,0x80fffff6,0x03fffff9,0xfffd8000,
    0x7fffc2ff,0xfffb003f,0xb000007f,0x5c5fffff,0x006fffff,0x3ffffe00,
    0xffffffff,0x005fffff,0x0fffff70,0xfffff700,0x3fff2005,0xffff00ff,
    0x3ff6007f,0x3ffee3ff,0x000006ff,0x7fffdc00,0xffb00005,0x3fe05fff,
    0x00003fff,0xffffe880,0x3fe2006f,0x0001ffff,0x3ffffffe,0xffffffff,
    0x5c005fff,0x4007ffff,0xffffffff,0xffffffff,0x0000002f,0x05fffff7,
    0x3fffff20,0x7ffffc40,0xfdb9cfff,0x201fffff,0xffffffff,0xffffffff,
    0x800005ff,0x40fffffc,0x004ffffe,0x005ffffd,0xffff9000,0x7fffcc1f,
    0xa80002ff,0xffffffff,0xffffffff,0xb8000fff,0x8007ffff,0x05fffff9,
    0x0dfffff0,0x027ffff4,0x22ffffe8,0x2ffffff9,0x20000000,0x004ffffc,
    0xfffff900,0x3ffffe01,0x10000003,0x00ffffff,0x1fffffec,0xffff5000,
    0xffffffff,0x1fffffff,0x7ffff400,0x6c000005,0x00006fff,0x3fffe600,
    0xffff005f,0x3ffea0df,0xffffffff,0x205fffff,0xfffffffa,0xffffffff,
    0x0000ffff,0x3fffff40,0x03ffffec,0x0fffffcc,0x7ff40000,0xfffd87ff,
    0x40002fff,0xfffffffc,0xffffffff,0x8002ffff,0x007ffffb,0x3fffffd0,
    0xfffffb80,0x3ffff602,0xffff9807,0x7fffec1f,0x400002ff,0xffff8800,
    0xfd00002f,0x7fc0ffff,0x00003fff,0x3ffff600,0xffff5007,0xfc8000df,
    0xffffffff,0xffffffff,0xff3002ff,0x00007fff,0x077ffec0,0x05555500,
    0xfffffd00,0xffffb803,0x3ffee02f,0xffffffff,0x7e404fff,0xffffffff,
    0xffffffff,0x037b02ff,0x7ffffe40,0xfffffb85,0x7fffec04,0x000dec06,
    0x0bfffff9,0xfffffff1,0xe87b9807,0xffffffff,0xffffffff,0xb8004fff,
    0x0007ffff,0x3ffffff5,0x3ffffee0,0x7fffdc06,0x7ffec04f,0xffff886f,
    0x5cc03fff,0x201fc407,0x41fffffc,0x3f2001bd,0x3e05ffff,0x0003ffff,
    0x7fc40022,0xf8805fff,0x001fffff,0x7fffff40,0xffffffff,0x04ffffff,
    0x1fffff90,0x3ea00000,0x22001fff,0x8005ffff,0x1ffffffa,0xdfffff70,
    0xfffff500,0x5fffffff,0xfffffd00,0xffffffff,0x09ffffff,0x2f37fffa,
    0xfffcaaaa,0xf882ffff,0x09dfffff,0xfffffd31,0xdfffe805,0xfcaaaabc,
    0x02ffffff,0xfffffff9,0xfdb979df,0xffff98ff,0xaaaaaaaf,0xffffeaaa,
    0xfffb8007,0x3fa0007f,0xacefffff,0xffffffec,0x7fffc401,0xd3109dff,
    0x205fffff,0xfffffffc,0xfedcbcef,0x77fec07f,0xffea99ac,0xffe84fff,
    0xaaaabcdf,0xfffffffc,0x3ffffe02,0x3bf20003,0x7f54c19b,0xd803ffff,
    0x003fffff,0x7ffffcc0,0xaaaaaaaa,0x7ffffeaa,0x7f5cccd4,0x0006ffff,
    0x1ffff600,0x5ffff500,0x3fffa000,0xecacefff,0x01ffffff,0xffffff88,
    0x800defff,0xaafffff9,0xaaaaaaaa,0xd07ffffe,0xffffffff,0xffffffff,
    0x7ffdc09f,0xffffffff,0x805fffff,0xfffffffe,0xffffffff,0x3fe204ff,
    0xffffffff,0x47ffffff,0x005ffffb,0x07fffff2,0xfffff700,0x7ffd4000,
    0xffffffff,0x005fffff,0xfffffff7,0xffffffff,0x7ffc40bf,0xffffffff,
    0x207fffff,0xfffffffb,0xffffffff,0xfffffe80,0xffffffff,0x7c04ffff,
    0xccceffff,0xcccccccc,0x3fffff21,0xffffffff,0x7d400fff,0xeeefffff,
    0xeeeeeeee,0x3ffee2ee,0x3ff2005f,0x3ffa1fff,0xffffffff,0x3e000001,
    0x64007fff,0x0000ffff,0xfffffff5,0xffffffff,0x3fee00bf,0x009aaaef,
    0x2ffffdc0,0xfffff900,0xfffffd03,0xffffffff,0xfd00bfff,0xffffffff,
    0x01ffffff,0xffffffd0,0xffffffff,0xfb100bff,0xffffffff,0xd8ffffff,
    0x2003ffff,0x03fffff9,0x3ffffdc0,0x3ffea000,0xffffffff,0x74004fff,
    0xffffffff,0x0fffffff,0x7fffec40,0xffffffff,0x3ff607ff,0xffffffff,
    0xfd02ffff,0xffffffff,0xbfffffff,0xffffff00,0xffffffff,0x7fe45fff,
    0xffffffff,0x801fffff,0xfffffffd,0xffffffff,0x3f63ffff,0x26003fff,
    0x3a3fffff,0xffffffff,0x4000003f,0xcceffffe,0x2fffec00,0x3ffea000,
    0xffffffff,0x36004fff,0x80003fff,0x003ffffd,0x0fffffe6,0x3ffffffa,
    0xffffffff,0xff9000cf,0xffffffff,0x3a0019ff,0xffffffff,0xcfffffff,
    0x3ffea000,0xffffffff,0x3ffe27ff,0x7fc000ff,0x5c006fff,0x0007ffff,
    0xfffffe98,0x02ffffff,0xfffff900,0x9fffffff,0x7ffd4001,0xffffffff,
    0x7f5407ff,0xffffffff,0x3ffa00df,0xffffffff,0x00cfffff,0xfffffff8,
    0xffffffff,0x3fff22ff,0xffffffff,0xfb001dff,0xffffffff,0xffffffff,
    0x3ffe27ff,0x7fc000ff,0x3ffa6fff,0x03ffffff,0xffd80000,0x400fffff,
    0x0003ffff,0xfffffe98,0x02ffffff,0x07fffe20,0xffff1000,0xfff8001f,
    0xfeca86ff,0xffffffff,0xb30003ef,0xffffffff,0xeca8003b,0xffffffff,
    0x20003eff,0xffffedc8,0x2a0adfff,0x8006ffff,0x00fffffd,0x1ffffee0,
    0x7f644000,0x0cefffff,0x7fecc000,0x1dffffff,0xfdb91000,0x5bffffff,
    0x3fb2e001,0x801cefff,0xfffffeca,0x03efffff,0x7fffffc0,0xffffffff,
    0x32e62fff,0xfffffffe,0x7ec001ce,0xffffffff,0xffffffff,0xffff53ff,
    0xfffb000d,0x3fff61ff,0x0000ceff,0xffff1000,0x7c401fff,0x00000fff,
    0xfffffd91,0xa80019df,0x80006fff,0x006ffffa,0x0fffffd8,0x2aaaa620,
    0x4000019a,0x0009aa98,0x55553100,0x00000335,0x9004d54c,0x0009ffff,
    0x05fffff7,0x3ffffdc0,0xaa980000,0x22000001,0x00009aa9,0x01355300,
    0x00002000,0x2aaaaa62,0x3fe00019,0xffffffff,0x2fffffff,0x00003300,
    0xfffffffb,0xffffffff,0x3f27ffff,0xb8004fff,0x442fffff,0x00000009,
    0x67776dc0,0x00000000,0x00035530,0x003eeec8,0x4ffffc80,0xffffb800,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07bbbba2,
    0x277775c0,0x2217bb60,0x10004eee,0x88000200,0x000deeed,0x00001880,
    0x5dddddd7,0x90000000,0x05dddddd,0xbdddb100,0x90000001,0x03bddddd,
    0x3bbbbaa0,0x800000ee,0x400000a9,0x001eeeec,0xdddd9000,0x0c4005dd,
    0x54c00000,0xeeeb8000,0x00002eee,0x6c07775c,0xeeec86ee,0xeeeeeeee,
    0x02eeeeee,0x6f776c40,0x75c00000,0x402eeeee,0x2eeeeeeb,0x33726000,
    0xfffff100,0x3fff2005,0x7fff406f,0x13fff623,0x03fff300,0x0003bfee,
    0xdffffff3,0x3f6e0001,0x05882eff,0xffffff50,0x40000005,0x1efffffc,
    0xffff9800,0x00000eff,0x3fffff60,0x3ff6001e,0x003fffff,0x27ffec00,
    0xfffd8000,0x00002fff,0x77ffffe4,0xfffb7001,0x000b105d,0x0027ffec,
    0x7fffffd4,0x3ee00002,0xff710dff,0xffffb0df,0xffffffff,0x007fffff,
    0x7fffffcc,0xf700000e,0x005fffff,0x3fffffea,0xfff98002,0xfff880ef,
    0xff9002ff,0xffb80dff,0xffffefff,0x3fe2001f,0x7fd40fff,0x3e6006ff,
    0xefffffff,0x7ffdc000,0xa8aeffff,0xfd1005fe,0x0005ffff,0xffff9000,
    0xf30001bf,0xdfffffff,0xfb000001,0x8009ffff,0xfffffff8,0x3200005f,
    0x002fffff,0x7ffffec0,0x00002fff,0x1bfffff9,0x3fffee00,0xea8aefff,
    0xffc8005f,0x88002fff,0x02fffffe,0xffff1000,0x9fffffdf,0xffffffb0,
    0xffffffff,0x26007fff,0xffffffff,0x7dc0000e,0x000dffff,0x7fffff44,
    0x7ffec002,0xfff883ff,0xff9002ff,0xffd00dff,0x9fffffff,0xffffa800,
    0x7fffec3f,0xfff9800f,0xeffffaef,0xffff5000,0xffffffff,0x64005fff,
    0x002fffff,0x3fff2000,0xf30002ff,0xfff5dfff,0x400001df,0x02fffffd,
    0xfffffa80,0x0000ffff,0x9fffffd0,0x3ffa2000,0xffffdaff,0x7fe40002,
    0x2a002fff,0xffffffff,0x2fffffff,0x7ffff400,0x3f20004f,0x0002ffff,
    0xffffff70,0x3f60dfff,0xffffffff,0xffffffff,0xffff9803,0x0effffae,
    0xffff7000,0xfc80007f,0x2002ffff,0x85ffffff,0x02fffff8,0x0dffff90,
    0xfffff910,0xf50007ff,0xfc85ffff,0x4c00ffff,0x3624ffff,0xc800efff,
    0xffecdfff,0x04ffffff,0xfffffa80,0xfc800002,0x0000efff,0x449ffff3,
    0x000efffd,0xdffffc80,0xfff90000,0x05ffffff,0x3fffa000,0xe88004ff,
    0x3ee0efff,0x90003fff,0x001dffff,0xecdfffc8,0xffffffff,0xfffe8004,
    0x540004ff,0x002fffff,0xfffff700,0x32a019ff,0xfffdcccc,0xccccccff,
    0x7fffcc01,0x3bfff624,0x7ffdc000,0x500001ef,0x005fffff,0x13fffffa,
    0x0bffffe2,0x37fffe40,0x57995100,0x3fa20001,0x7fcc0fff,0x998805ff,
    0x13333009,0xf70bf200,0x00dfffff,0x0ccccc40,0x4ccc0000,0x4c400019,
    0x33330099,0x33300001,0xff800033,0xffffffff,0xff700004,0x10003fff,
    0x26203333,0x33000199,0x64000333,0x7fffdc2f,0xf70006ff,0x0003ffff,
    0x03333310,0x65d44000,0xf50000ac,0x0001ffff,0x4c026662,0x4c000999,
    0x00009999,0x0ccccc40,0xfffffa80,0xfffff880,0xffff9002,0x0000000d,
    0x300ded88,0x000009db,0xb880c000,0x00001bdc,0x00000000,0x00000000,
    0x40000000,0xfceffff9,0x00007fff,0x000bffee,0x00000000,0x880c0000,
    0x0001bdcb,0x0017ffdc,0x00000000,0xffa80000,0x00000fff,0x00000000,
    0x80000000,0xf101dfea,0x2005ffff,0x006ffffc,0x00000030,0x00000000,
    0x00000000,0x00000180,0x80000018,0x40000001,0x3fee0000,0xffff9cff,
    0x0400001f,0x06200000,0x00000000,0x00000000,0x00000001,0x01880000,
    0x3fffea00,0x0000000f,0x00000000,0x00000000,0x0bffffe2,0x37fffe40,
    0x7ff65440,0x0001bcef,0x77440000,0xd7001eee,0x00009ddd,0xd9510000,
    0x0379dfff,0x7f654400,0x001bceff,0x3ffb2a20,0x0001bcef,0xffecb988,
    0x801bdeff,0xff2ffffe,0x00009fff,0x54c00000,0xefffffdc,0x777441bd,
    0xdd7001ee,0x000009dd,0x10000000,0x003ddddd,0x013bbbae,0x7ffee54c,
    0x801bdeff,0x00fffffa,0xeeeeee80,0xeeeeeeee,0xeeee885e,0xabcdeeee,
    0xdddb0001,0xdddddddd,0x003ddddd,0x3ffffe20,0xffff9002,0xfffe980d,
    0x3fffffff,0xddddd900,0xdddddddd,0x7c45dddd,0x9002ffff,0xed8dffff,
    0xd005eeee,0xe980bddd,0xffffffff,0xe98003ff,0xffffffff,0xe98003ff,
    0xffffffff,0x2a0003ff,0xffffffff,0x4407ffff,0x3f67ffff,0x6c006fff,
    0xeeeeeeee,0xeeeeeeee,0x7ffec401,0xffffffff,0x3ffe24ff,0xff9002ff,
    0xddd90dff,0xdddddddd,0x05dddddd,0xddddddd9,0xdddddddd,0x7ffc45dd,
    0xff9002ff,0xfd880dff,0xffffffff,0x5404ffff,0x000fffff,0xfffffff8,
    0xffffffff,0xfffff886,0xffffffff,0x3fe000be,0xffffffff,0x2fffffff,
    0x880d5554,0x002fffff,0x40dffff9,0xfffffffb,0x05ffffff,0xffffffd8,
    0xffffffff,0x3fe23fff,0xf9002fff,0xfff8dfff,0xf801ffff,0x3ee06fff,
    0xffffffff,0x2005ffff,0xfffffffb,0x05ffffff,0x3ffffee0,0xffffffff,
    0xfffc8005,0xffffffff,0x7fd407ff,0x3ffee5ff,0x3fe000ff,0xffffffff,
    0x2fffffff,0x3ffffea0,0xffffffff,0x3ffe24ff,0xff9002ff,0xfffb0dff,
    0xffffffff,0x07ffffff,0xfffffffb,0xffffffff,0x7ffc47ff,0xff9002ff,
    0x7fd40dff,0xffffffff,0x404fffff,0x00fffffa,0xffffff80,0xffffffff,
    0xffff886f,0xffffffff,0xf001ffff,0xffffffff,0xffffffff,0x05ffff85,
    0x05fffff1,0x1bffff20,0x7fffffec,0xffffffff,0x3ff600ef,0xffffffff,
    0x3fffffff,0x0bffffe2,0x37fffe40,0x3ffffffe,0x6ffff805,0xffffffb0,
    0xffffffff,0xffd801df,0xffffffff,0x00efffff,0x7fffffec,0xffffffff,
    0xfe9800ef,0xffffffff,0x407fffff,0x263ffffd,0x003fffff,0x3ffffffe,
    0xffffffff,0xffd882ff,0xffffffff,0x24ffffff,0x02fffff8,0x0dffff90,
    0xfffffffb,0xffffffff,0xfffb07ff,0xffffffff,0x47ffffff,0x02fffff8,
    0x0dffff90,0xffffffb1,0xffffffff,0xffa809ff,0xf8000fff,0xffffffff,
    0x86ffffff,0xfffffff8,0xffffffff,0xfff800ef,0xffffffff,0x42ffffff,
    0xf105ffff,0x2005ffff,0xa86ffffc,0xefffffff,0xfffffffd,0x3fff603f,
    0xffffffff,0x23ffffff,0x02fffff8,0x8dffff90,0xffffffff,0x37fffc00,
    0x7fffffd4,0xfffffdef,0x3ea03fff,0xdeffffff,0xffffffff,0x3fffea03,
    0xfffdefff,0x803fffff,0xffffffff,0xfffeedef,0x7ffffc07,0x2fffff41,
    0xffffff00,0xffffffff,0xffb05fff,0xbfffffff,0x9fffffdb,0x17ffffc4,
    0x6ffffc80,0xffffffd8,0xffffffff,0xffd83fff,0xffffffff,0x3fffffff,
    0x0bffffe2,0x37fffe40,0x7fffffec,0xffeddfff,0x7d404fff,0x8000ffff,
    0xeeeeeeee,0x6fffffee,0xefffff88,0xfffffeee,0xff806fff,0xeeeeefff,
    0x1eeeeeee,0x882ffffc,0x002fffff,0xd0dffff9,0x819fffff,0x7fffffd8,
    0x333332a0,0xccfffffd,0x3e21cccc,0x9002ffff,0xff8dffff,0x04ffffff,
    0x7437fffc,0x40cfffff,0x7fffffd8,0x3fffffa0,0x7ffec40c,0x3ffa07ff,
    0x6c40cfff,0x407fffff,0xdffffffb,0x40fb5009,0xc87ffff9,0x2007ffff,
    0xeeefffff,0xeeeeeeee,0x7fffcc1e,0x2600afff,0x3ffe24fc,0xff9002ff,
    0x99950dff,0xfffffb99,0x03999999,0xfb999995,0x9999ffff,0x7ffc4399,
    0xff9002ff,0xfff98dff,0x200affff,0x7d404fc9,0x0000ffff,0x3ffff200,
    0xfffff886,0xffffd981,0x7ffc00ff,0x7c0003ff,0xff106fff,0x32005fff,
    0x7dc6ffff,0x6c04ffff,0x002fffff,0x07ffffd4,0x7ffffc40,0xffff9002,
    0xffffff8d,0x3fe00fff,0x7ffdc6ff,0x7fec04ff,0xffb82fff,0x7ec04fff,
    0xfb82ffff,0x6c04ffff,0x102fffff,0x09ffffff,0xfff90040,0xffff509f,
    0x3ffe005f,0x740003ff,0x00efffff,0xffff1040,0x3ff2005f,0x3ea006ff,
    0x0000ffff,0x0fffffa8,0xfffff880,0xffff9002,0xfffffe8d,0x2004000e,
    0x00fffffa,0x3ff20000,0xfff886ff,0x3ff601ff,0x7fc01fff,0x20003fff,
    0x106ffff8,0x005fffff,0xf1bffff2,0x100dffff,0x00dfffff,0x0fffffa8,
    0xfffff880,0xffff9002,0xffffff8d,0x3fe03fff,0x7fffc6ff,0xfff8806f,
    0xffff86ff,0xfff8806f,0xffff86ff,0xfff8806f,0xfff906ff,0x400009ff,
    0x882ffffe,0x004fffff,0x007fffff,0x7ffffd40,0xff880006,0xf9002fff,
    0x5400dfff,0x000fffff,0xfffffa80,0xffff8800,0xfff9002f,0x7fffd4df,
    0x5000006f,0x001fffff,0x7ffe4000,0xffff886f,0x3ffe601f,0x7ffc03ff,
    0x220003ff,0xf106ffff,0x2005ffff,0x2a6ffffc,0x003fffff,0x03fffffb,
    0x7ffffd40,0xffff8800,0xfff9002f,0xfffff8df,0x3e07ffff,0x3fea6fff,
    0xfb003fff,0x7d43ffff,0xb003ffff,0x543fffff,0x003fffff,0x83fffffb,
    0x0ffffff8,0xfff10000,0x3ffa01ff,0xfff006ff,0x740007ff,0x002fffff,
    0xfffff880,0xffff9002,0x7ffd400d,0xa80000ff,0x800fffff,0x02fffff8,
    0x4dffff90,0x02fffffe,0xfff50000,0x000001ff,0x437fffe4,0x01fffff8,
    0x13ffffe2,0x07fffff0,0x7fffc400,0xfffff106,0x3fff2005,0x3ffff26f,
    0xfff5000f,0x7d4005ff,0x8800ffff,0x002fffff,0xf8dffff9,0xfffeffff,
    0xdffff02f,0x07ffffe4,0xfffffa80,0x3fffff22,0xffff5000,0x7fffe45f,
    0xfff5000f,0xfffa85ff,0x200004ff,0x206ffffb,0x00fffffb,0x03fffff8,
    0xfffff100,0x3e20000d,0x9002ffff,0x400dffff,0x00fffffa,0xffffa800,
    0xfff8800f,0xff9002ff,0x3ffe2dff,0x000006ff,0x03ffffea,0xffc80000,
    0xfff886ff,0x3fe201ff,0x7fc02fff,0x20003fff,0x107ffff8,0x005fffff,
    0xe9bffff2,0x2006ffff,0x03fffff8,0x3ffffea0,0xffff8800,0xfff9002f,
    0xfffff8df,0xf06ffffb,0x7ff4dfff,0x3e2006ff,0x3fa3ffff,0x22006fff,
    0x3a3fffff,0x2006ffff,0x43fffff8,0x01fffffb,0x3fff6000,0x3ffe603f,
    0xfff803ff,0xf30003ff,0x0005ffff,0x3ffffe20,0xffff9002,0x7ffd400d,
    0xa80000ff,0x800fffff,0x02fffff8,0x2dffff90,0x02fffff9,0x3fea0000,
    0x00000fff,0x1bffff20,0x07ffffe2,0x1fffffb8,0x1fffffc0,0xffff3000,
    0x7ffffc0f,0xffff9002,0x2fffffcb,0x3ffffe00,0x3ffea004,0xff8800ff,
    0xf9002fff,0xfff8dfff,0x5fffff7f,0x7cdffff0,0x4005ffff,0x3e4fffff,
    0x4005ffff,0x3e4fffff,0x4005ffff,0x6c4fffff,0x000fffff,0x3ffffe00,
    0xffffffff,0x805fffff,0x003fffff,0x3fffff70,0x3fe20000,0xf9002fff,
    0x5400dfff,0x000fffff,0xfffffa80,0xffff8800,0xfff9002f,0x3fffeedf,
    0x2000001f,0x00fffffa,0x3ff20000,0xfff886ff,0xfff301ff,0xfff00dff,
    0x4c0007ff,0x3e07ffff,0xb003ffff,0x7fc9ffff,0x7c005fff,0x2005ffff,
    0x00fffffa,0x2fffff88,0xdffff900,0xf97ffff8,0xfff0bfff,0x7ffffcdf,
    0x7fffc005,0x3ffffe5f,0x7fffc005,0x3ffffe5f,0x7fffc005,0x7ffff45f,
    0x3ea00007,0xffffffff,0xffffffff,0x7ffc00ff,0xf90003ff,0x9301ffff,
    0x99999999,0x7ffffc45,0xffff9002,0x7ffd400d,0xa80000ff,0x800fffff,
    0x02fffff8,0x2dffff90,0x80fffffc,0xccccccc9,0x7fd402cc,0x00000fff,
    0x1bffff20,0x2bffffe2,0xfffda999,0xff801fff,0xffffffff,0x45ffffff,
    0x207ffff9,0x004ffffe,0x227ffffd,0x004fffff,0x037ffff4,0x1fffff50,
    0xfffff100,0x3fff2005,0xbffffc6f,0x41fffff8,0xff16ffff,0xe8009fff,
    0xff16ffff,0xe8009fff,0xff16ffff,0xe8009fff,0x7fc6ffff,0x00006fff,
    0x3ffffff2,0xffffffff,0x402fffff,0xffffffff,0xffffffff,0x1fffff65,
    0x7fffffdc,0x3fe25fff,0xf9002fff,0x5400dfff,0x000fffff,0xfffffa80,
    0xffff8800,0xfff9002f,0x3ffff6df,0xfffff707,0xa80bffff,0x000fffff,
    0x3fff2000,0xffff886f,0xffffffff,0xf002ffff,0xffffffff,0xbfffffff,
    0x0fffffa8,0x0fffffb0,0x3fffff30,0x0fffffe2,0xdffffd00,0x7fffd400,
    0xfff8800f,0xff9002ff,0xffff8dff,0x17ffff67,0x3e2dffff,0x4003ffff,
    0xf16ffffe,0x8007ffff,0xf16ffffe,0x8007ffff,0x226ffffe,0x005fffff,
    0x3ffffa00,0xffffffff,0x4fffffff,0x7fffffc0,0xffffffff,0x3fffa5ff,
    0xffff706f,0x44bfffff,0x002fffff,0x00dffff9,0x07ffffd4,0x7ffd4000,
    0xff8800ff,0xf9002fff,0x3ffadfff,0xfff706ff,0x0bffffff,0x0fffffa8,
    0x3f200000,0xff886fff,0xffffffff,0x000dffff,0x3ffffffe,0xffffffff,
    0x7fffd45f,0xffff700f,0xfffd809f,0x3fffe26f,0x7ff4004f,0x3ea006ff,
    0x8800ffff,0x002fffff,0xf8dffff9,0x3fe67fff,0x3ffe0fff,0xfffff16f,
    0xfffe8009,0xfffff16f,0xfffe8009,0xfffff16f,0xfffe8009,0x3fffe26f,
    0xf300006f,0x5555ffff,0xfd555555,0xff80ffff,0xffffffff,0x25ffffff,
    0x706ffffe,0xffffffff,0x7fffc4bf,0xfff9002f,0x7fd400df,0x80000fff,
    0x00fffffa,0x2fffff88,0xdffff900,0x41bffffa,0xfffffffb,0x7fd405ff,
    0x00000fff,0x1bffff20,0x3fffffe2,0x0effffff,0xfffff800,0xffffffff,
    0x7fd45fff,0xff100fff,0x213bffff,0xfffffe98,0x27ffffc3,0x3ffffa00,
    0x3ffea006,0xff8800ff,0xf9002fff,0xfff8dfff,0x7ffff47f,0xf9bfffe4,
    0x4004ffff,0x3e6ffffe,0x4004ffff,0x3e6ffffe,0x4004ffff,0x7c6ffffe,
    0x0007ffff,0x0bffff70,0x7ffffe40,0x3ffffe01,0xffffffff,0x3ff65fff,
    0xddd507ff,0x4bfffffd,0x02fffff8,0x0dffff90,0x7ffffd40,0xffa80000,
    0xf8800fff,0x9002ffff,0x3f6dffff,0xdd507fff,0xbfffffdd,0x32aaaaa6,
    0xaabfffff,0x80000aaa,0x886ffffc,0xffffffff,0x01efffff,0x6fffffc0,
    0xaaaaaaaa,0x7ffd42aa,0x3fee00ff,0xffffffff,0x86ffffff,0x005ffffe,
    0x02fffffc,0x1fffff50,0xfffff100,0x3fff2005,0x3ffffc6f,0x43ffffea,
    0x3fa6ffff,0x7c005fff,0x3fa5ffff,0x7c005fff,0x3fa5ffff,0x7c005fff,
    0x7f45ffff,0x00007fff,0x007ffffb,0x1fffffcc,0x5bfffff0,0x55555555,
    0x7fffe455,0x3fff2007,0x3fffe25f,0xfff9002f,0x7fd400df,0x80000fff,
    0x00fffffa,0x2fffff88,0xdffff900,0x01fffff2,0xb5ffffc8,0xffffffff,
    0xffffffff,0xf900007f,0xff10dfff,0xfb735fff,0x800dffff,0x003fffff,
    0x3ffffee0,0x3fffa201,0xffffffff,0xfd80efff,0x22006fff,0x004fffff,
    0x03ffffea,0x3ffffe20,0xffff9002,0x87ffff8d,0xff3ffffe,0x7ffecdff,
    0x3fe2006f,0x3ff64fff,0x3e2006ff,0x3f64ffff,0x22006fff,0x6c4fffff,
    0x000fffff,0x7ffffc40,0x7fffc000,0x3fffe06f,0xff70003f,0x32001fff,
    0x3e25ffff,0x9002ffff,0x400dffff,0x00fffffa,0xffffa800,0xfff8800f,
    0xff9002ff,0x3ffeedff,0xff9000ff,0x3fff6bff,0xffffffff,0x03ffffff,
    0xffffc800,0xfffff886,0x7ffffec1,0x3fffe003,0x3ee0003f,0xc801ffff,
    0xffffffff,0x900dffff,0x400fffff,0x02fffff9,0x3ffffea0,0xfffff000,
    0x3fff2005,0x3ffffc4f,0x477fffdc,0x3f26ffff,0x26007fff,0x322fffff,
    0x2007ffff,0x22fffff9,0x007ffffc,0x0bffffe6,0x07fffff9,0xffffa800,
    0xfffd8006,0xffff00ff,0x3ea0007f,0x9003ffff,0xff8bffff,0xf9002fff,
    0x54009fff,0x000fffff,0xfffffa80,0xfffff000,0x3fff2005,0xfffff54f,
    0x3fff2007,0xfffffb5f,0xffffffff,0x0007ffff,0x0dffff90,0x83fffff1,
    0x0fffffe8,0x7fffff00,0x7ffdc000,0xfb5001ff,0xbfffffff,0xffffb803,
    0xfff9002f,0x7d4001ff,0xf000ffff,0x2007ffff,0x7c3ffffd,0xff887fff,
    0xffffafff,0x3ffffee6,0xffff9002,0x7fffdc1f,0xfff9002f,0x7ffdc1ff,
    0xff9002ff,0xffb81fff,0x40006fff,0x004ffffc,0x2fffffb8,0x07fffff0,
    0x3fffe600,0xfff9006f,0xfffff8bf,0xffffb003,0x7ffd4007,0xa80000ff,
    0x000fffff,0x007fffff,0x4cfffff6,0x006fffff,0x36bffff9,0xffffffff,
    0xffffffff,0xfd80003f,0xff886fff,0xffa81fff,0xff004fff,0x40007fff,
    0x02fffffc,0xffffc880,0xffff3003,0x3ffe00bf,0x7d4006ff,0xd000ffff,
    0x2009ffff,0x7c2ffffe,0xff907fff,0xdffffdff,0x2fffffcc,0x6fffff80,
    0x2fffffcc,0x6fffff80,0x2fffffcc,0x6fffff80,0xffffff98,0x00000002,
    0x406fffd8,0x003fffff,0x3fffffe0,0xffffc801,0x27ffff45,0x2ffffe80,
    0x3fffea00,0xfa80000f,0xd000ffff,0x2009ffff,0x3e2ffffe,0x801fffff,
    0x005ffffc,0x03bfff20,0x3fffa000,0xffff885f,0xfffff01f,0xffff001f,
    0x7e40007f,0x8002ffff,0x005fffe8,0x0ffffff4,0x3ffffee0,0x7ffd4002,
    0xffb000ff,0xff300fff,0xfff83fff,0xffff107f,0xe8dfffff,0x401fffff,
    0x82fffffb,0x01fffffe,0x17ffffdc,0x0ffffff4,0x3ffffee0,0xfffffb02,
    0x0000005f,0x077ffec0,0x0fffffe0,0xffffa800,0x7fe401ef,0x7ffec5ff,
    0xfff9807f,0x3ea001ff,0x0000ffff,0x0fffffa8,0xfffffb00,0xfffff300,
    0x7ffffd43,0x7ffe401e,0xff70005f,0x300001ff,0x107fffff,0x203fffff,
    0x03fffffb,0x03fffff8,0x3ffff200,0xffd8002f,0x7d4000ff,0x701fffff,
    0x00dfffff,0x1fffff50,0x3fffee00,0x7ffec04f,0x7ffff86f,0x3fffff60,
    0x7fd46fff,0xf701ffff,0x2a0dffff,0x01ffffff,0x0dfffff7,0x3fffffea,
    0xfffff701,0x7fffc40d,0x5cc03fff,0x3ea00007,0xff801fff,0x40003fff,
    0x2ffffffe,0x17ffff20,0x09fffff7,0x06ffffd8,0x7ffffd40,0xffa80000,
    0xf7000fff,0xd809ffff,0xfe86ffff,0x202fffff,0x005ffffc,0x03ffff98,
    0x3fa00ecc,0xf882ffff,0xf101ffff,0x801fffff,0x003fffff,0x3bbbbae0,
    0x7ffc4002,0xffd0004f,0x959dffff,0x3ffffffd,0xffff5000,0x3fe2001f,
    0x109dffff,0x5fffffd3,0x40fffff0,0xfffffff9,0xffffe86f,0xfecaceff,
    0x201fffff,0xeffffffe,0xffffecac,0x3ffa01ff,0xcaceffff,0x1ffffffe,
    0x7ffffe40,0xdcbcefff,0x00007ffe,0x401bfff6,0x003fffff,0x7ffffcc0,
    0xbaabdeff,0x445fffff,0x9dffffff,0xffffd310,0xffa8005f,0x80000fff,
    0x00fffffa,0xffffff10,0x3fa6213b,0xf982ffff,0xdeffffff,0xffffbaab,
    0xffc8005f,0xdff9807f,0xffea899b,0xf880efff,0x3201ffff,0x403fffff,
    0xccefffff,0xcccccccc,0x9800001c,0x0005ffff,0xfffffff5,0xffffffff,
    0xaaa980bf,0xfffffcaa,0x80aaaaab,0xfffffffb,0xffffffff,0xfffff05f,
    0xfffffe80,0xfffa86ff,0xffffffff,0x405fffff,0xfffffffa,0xffffffff,
    0x7ffd405f,0xffffffff,0x805fffff,0xfffffff8,0xffffffff,0x3e00007f,
    0xff007fff,0x9999dfff,0x39999999,0xffffffb0,0xffffffff,0xff70bfff,
    0xffffffff,0x0bffffff,0x6555554c,0xaabfffff,0xaa980aaa,0xffffcaaa,
    0x0aaaaabf,0xffffffb8,0xffffffff,0x3ff605ff,0xffffffff,0x5fffffff,
    0xffffe800,0x7fffcc00,0xffffffff,0xfff102ff,0x7fcc03ff,0x7fc07fff,
    0xffffffff,0x2fffffff,0xff980000,0x004cdfff,0x7fffffd4,0xffffffff,
    0xffffd804,0xffffffff,0xd03fffff,0xffffffff,0x1fffffff,0x01ffffe0,
    0xfffffff5,0x3fffea0d,0xffffffff,0xff5004ff,0xffffffff,0x2009ffff,
    0xfffffffa,0x4fffffff,0x3fff6200,0xffffffff,0x00007fff,0x33bffffe,
    0xfffff00c,0xffffffff,0x2e05ffff,0xffffffff,0xffffffff,0xfffffd05,
    0xffffffff,0x7fec01ff,0xffffffff,0x3fffffff,0xffffffd8,0xffffffff,
    0xffd03fff,0xffffffff,0x801fffff,0xfffffffb,0xffffffff,0xffd8005f,
    0x981cceff,0xffffffff,0x205fffff,0x01fffff8,0x1ffffff4,0xfffffff0,
    0xffffffff,0x000005ff,0x3ffffffe,0xffe98006,0xffffffff,0xfffb002f,
    0xffffffff,0x07ffffff,0x7fffffe4,0x0cffffff,0x01ffffe0,0x3ffffffa,
    0x3fffa606,0xffffffff,0x7ff4c002,0xffffffff,0x7f4c002f,0xffffffff,
    0xf50002ff,0xffffffff,0x000fffff,0x7ffffec0,0xffff00ff,0xffffffff,
    0x405fffff,0xffffffe9,0xffffffff,0x3ffff204,0xffffffff,0x7ffec00c,
    0xffffffff,0x83ffffff,0xfffffffd,0xffffffff,0x3ff203ff,0xffffffff,
    0xd3000cff,0xffffffff,0x09ffffff,0xfffff900,0xfff305ff,0xffffffff,
    0xfff8807f,0x7fd401ff,0x3fe06fff,0xffffffff,0x2fffffff,0xff500000,
    0x000dffff,0x3ffffb22,0x2000ceff,0xfffffffd,0xffffffff,0x7ecc03ff,
    0xdfffffff,0x7ffff801,0xfffffb80,0x7f64406f,0x0cefffff,0xffd91000,
    0x019dffff,0x3ffb2200,0x00ceffff,0x7f6e4400,0xadffffff,0x3e200000,
    0x00ffffff,0xffffffff,0xffffffff,0xffb7005f,0xbfffffff,0xffb30017,
    0x3bffffff,0x3ffff600,0xffffffff,0xd83fffff,0xffffffff,0xffffffff,
    0x7fecc03f,0x1dffffff,0xfffb7000,0x7bffffff,0x7ff40001,0x9302ffff,
    0xffffffff,0xfff10019,0xffd003ff,0x3fe05fff,0xffffffff,0x2fffffff,
    0x32200000,0x0003deee,0x00035530,0x7fffffec,0xffffffff,0x22003fff,
    0x40009aa9,0x8807ffff,0x06ffffff,0x000d54c0,0x01aa9800,0x35530000,
    0x53000000,0x00000135,0x19dddb70,0x3fffffe0,0xffffffff,0x44002fff,
    0x0019aaa9,0x04d54c40,0x7fffec00,0xffffffff,0xd83fffff,0xffffffff,
    0xffffffff,0x2a62003f,0x4000009a,0x019aaa98,0x776dc000,0xa98800ce,
    0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x76400000,0x002eeeee,0x037bbb62,0xbddd7000,0x3eeed883,
    0x6f775c00,0x1f776c41,0x3bb62000,0xec8000de,0x76cc0dee,0x200002ee,
    0x2eeeeeec,0x3bb20000,0x4002eeee,0x32000198,0x6cc0deee,0x7c002eee,
    0xffffffff,0x20005fff,0x00deeed8,0x00000000,0x0deeed88,0x76c40000,
    0x00000dee,0xeeeeec80,0x7776402e,0x7776cc0d,0x77775c02,0x000002ee,
    0x90000000,0x05dddddd,0xfd973100,0x037bdfff,0xffffc800,0x3e6001ef,
    0x00efffff,0x7fffe400,0x0bffff53,0x3ffff200,0x0bffff53,0xffff9800,
    0xd8000eff,0xff72ffff,0x400009ff,0x1efffffc,0x3ff20000,0x4401efff,
    0xfffffecb,0xb000bcef,0x3ee5ffff,0xf8004fff,0xffffffff,0x30005fff,
    0x1dffffff,0xfffff880,0x98000000,0x0effffff,0xfff30000,0x0001dfff,
    0x7fffe400,0xffb001ef,0x3ffee5ff,0xfff5004f,0x00005fff,0x7fffd400,
    0x7fe40006,0x8001efff,0xfffffffa,0x007fffff,0x3fffff20,0x3fe6000d,
    0x0effffff,0x7ffe4000,0x04ffffef,0x7fffe400,0x004ffffe,0x7ffffcc0,
    0x8000efff,0xffeffffd,0x200003ff,0x0dfffffc,0x3ff20000,0x5c00dfff,
    0xffffffff,0x001fffff,0x3fbffff6,0xf0003fff,0xffffffff,0x3000bfff,
    0xffffffff,0xfffd801d,0x4000003f,0xfffffff9,0x4c0000ef,0xffffffff,
    0xc800000e,0x00dfffff,0x77fffec0,0x4003ffff,0x2fffffe8,0xfb000000,
    0x40007fff,0x0dfffffc,0xffffc800,0xffffffff,0xff90007f,0x98005fff,
    0xffaeffff,0x40000eff,0xfffffffc,0xff900004,0x009fffff,0xeffff980,
    0x00effffa,0xfffffd80,0x200003ff,0x02fffffc,0x7ffe4000,0x7fcc02ff,
    0xffffffff,0x001fffff,0x7fffffec,0x3ba0003f,0xeeeeeeee,0x7cc004ee,
    0xfffaefff,0x3fe600ef,0x000006ff,0x2bbfffe6,0x000effff,0x5dffff30,
    0x001dffff,0x7fffe400,0x3f60002f,0x03ffffff,0x3ffff200,0x4000002f,
    0x00fffff8,0xfffff900,0xffd30005,0xffffffff,0x000fffff,0x01dffff9,
    0x4ffff980,0x03bfff62,0xffff7000,0xb800009f,0x004fffff,0x27fffcc0,
    0x01dfffb1,0xfffff900,0x7e400005,0x0000efff,0x77fffe40,0xffffe800,
    0xffffffff,0xc8001fff,0x002fffff,0x20000000,0x224ffff9,0x200efffd,
    0x002ffffe,0xffff9800,0x3bfff624,0x7ffcc000,0x3fff624f,0xfc80000e,
    0x0000efff,0x2fffffc8,0xfffa8000,0x000002ff,0x013ffff2,0x77fffe40,
    0xffff0000,0xdbdfffff,0x000ffffd,0x00033333,0x4c026662,0x80000999,
    0x00019998,0x03333100,0x13331000,0x00266660,0x004cccc0,0x26666000,
    0x33000001,0x3f200333,0xccefffff,0x1ffedcba,0x13333000,0x00000000,
    0x00999880,0x5c013333,0x0005ffff,0x00999880,0x80013333,0x33009998,
    0x30000133,0x00003333,0x00099998,0x26666200,0x3e000001,0x0001ffff,
    0x00033333,0x7fffffdc,0x0fb5009d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5ffffff0,0x00015100,0x00000000,
    0x00000000,0x07ffffc4,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff700000,0x00000bff,0xffff1000,0x004009ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0fffffe6,0x00000000,
    0x77777440,0xdddd7001,0x00000009,0x009ffff9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff4000,0x0000002f,0xfffffc80,0x3b600004,
    0xeeeeeeee,0x1eeeeeee,0xddddd500,0xd10001dd,0xbddddddd,0x88003579,
    0xeeeeeeee,0x00009acd,0x3bbbbbb6,0xeeeeeeee,0x7776c1ee,0xddd005ee,
    0x3bbbaebd,0x7754001e,0xdd701eee,0x2e0009dd,0x002fffff,0xeeeee980,
    0xeeeeeeee,0x6eeeeeee,0x17ffffc4,0x6ffffc80,0x0177776c,0x83eeeec8,
    0x00fffff8,0x5dddd300,0x3bbae000,0x3bbbbae6,0x77754001,0x7774c1ee,
    0xeeeeeeee,0xeeeeeeee,0x777774c1,0xeeeeeeee,0x81eeeeee,0xeeeeeeec,
    0xeeeeeeee,0xf30002ee,0xd900dfff,0xdddddddd,0xdddddddd,0x3fffe205,
    0x200000ff,0xffffffff,0xffffffff,0xfffb002f,0x0007ffff,0xfffffff1,
    0x7dffffff,0xffff1001,0xffffffff,0xf80019ff,0xffffffff,0xffffffff,
    0x7fffffc2,0xffff801f,0xbfffff16,0xffffe800,0x3ffff206,0xfff70006,
    0x300009ff,0xffffffff,0xffffffff,0xf88fffff,0x9002ffff,0xfe8dffff,
    0xfb003fff,0x3f609fff,0x30003fff,0x0007ffff,0xf89ffff2,0x4005ffff,
    0x986ffffe,0xffffffff,0xffffffff,0x7fcc1fff,0xffffffff,0xffffffff,
    0xffffd81f,0xffffffff,0x003fffff,0x07ffffb0,0xffffffb0,0xffffffff,
    0x3ea07fff,0x0004ffff,0x7fffffc0,0xffffffff,0xf8802fff,0x5fffffff,
    0xffff8800,0xffffffff,0x4401ffff,0xffffffff,0xffffffff,0x3fffe003,
    0xffffffff,0x7c2fffff,0x05ffffff,0x326ffff8,0x001fffff,0x05fffff5,
    0x037fffe4,0xfffff980,0x7cc0002f,0xffffffff,0xffffffff,0x7fc47fff,
    0xf9002fff,0xffe8dfff,0xffb003ff,0x3fea09ff,0xf10006ff,0x20009fff,
    0x7e46fffc,0x5001ffff,0x305fffff,0xffffffff,0xffffffff,0xff983fff,
    0xffffffff,0xffffffff,0xffffd81f,0xffffffff,0x003fffff,0x0fffff88,
    0xfffffd80,0xffffffff,0xf703ffff,0x0003ffff,0xffffff80,0xffffffff,
    0xfa802fff,0xffffffff,0x7ffc4000,0xffffffff,0x00efffff,0x3fffffe2,
    0xffffffff,0xf800efff,0xffffffff,0xffffffff,0x7fffffc2,0x7ffc00ff,
    0x3fffe26f,0xfffd005f,0xfffc80df,0xff10006f,0x03bfffff,0x3fffe600,
    0xffffffff,0xffffffff,0x7ffffc47,0xffff9002,0x3ffffe8d,0x9ffffb00,
    0x0fffff40,0x7fffc400,0xfff90004,0xfffff88d,0xffffd005,0x3fffe60d,
    0xffffffff,0x1fffffff,0x7fffffcc,0xffffffff,0xd81fffff,0xffffffff,
    0xffffffff,0xffc8003f,0xffb004ff,0xffffffff,0x7fffffff,0x3fffff60,
    0x7fc00000,0xeeeeefff,0x1eeeeeee,0xfffffc80,0x4002ffff,0xeefffff8,
    0xffffffee,0x3fe206ff,0xfeeeefff,0xffffffff,0xfffff805,0xeeeeeeee,
    0x7fc1eeee,0x04ffffff,0x3237fffc,0x401fffff,0x02fffffa,0x037fffe4,
    0xfffffd00,0x0015bfff,0x7777774c,0xefffffee,0x46eeeeee,0x02fffff8,
    0x8dffff90,0x003ffffe,0x409ffffb,0x005ffffb,0x009ffff0,0x21bfff60,
    0x01fffffc,0x17ffffd4,0xffffff98,0xffffffff,0x4c1fffff,0xffffffff,
    0xffffffff,0xcca81fff,0xffffdccc,0x1ccccccf,0xfffff800,0x99995001,
    0x9fffffb9,0x20399999,0x007ffffe,0xfffff800,0xff800003,0xffffffff,
    0x7ffc4004,0xffd981ff,0xf100ffff,0x9883ffff,0xfffffffb,0x7ffffc02,
    0x7ffc0003,0x00ffffff,0xf11bfffe,0xe80bffff,0xc806ffff,0x0006ffff,
    0x3fffffe2,0x01cfffff,0xffffa800,0x3fe2000f,0xf9002fff,0xffe8dfff,
    0xffb003ff,0x7fc409ff,0xf8000fff,0xb0004fff,0xff10bfff,0xfe80bfff,
    0x4cc06fff,0x99999999,0xfffffe99,0x33333305,0xfd333333,0x800bffff,
    0x00fffffa,0xffff5000,0xff50000d,0xf8001fff,0x0006ffff,0x3fffff80,
    0x7fcc0000,0xffffceff,0x7ffc4007,0x3ff601ff,0xff101fff,0x74403fff,
    0x406fffff,0x003fffff,0x7fffffc0,0x3fe03fff,0xfffd86ff,0xfff500ff,
    0xff9005ff,0xa8000dff,0xffffffff,0x000dffff,0x3ffffea0,0x3ffe2000,
    0xff9002ff,0xfffe8dff,0xfffb003f,0xfffc809f,0xfff8004f,0xffb0005f,
    0x3fff60bf,0xfff500ff,0x400005ff,0x0ffffffb,0xfffb8000,0x54000fff,
    0x000fffff,0x5ffffd00,0xfff50000,0x7c4001ff,0x0005ffff,0x3fffff80,
    0x7fdc0000,0xffff9cff,0x3fe2001f,0x3e601fff,0xf103ffff,0xd003ffff,
    0x407fffff,0x003fffff,0x7fffffc0,0x3fe07fff,0xfff886ff,0xfffd04ff,
    0x3ff200df,0x880006ff,0xfffffffe,0x003fffff,0x1fffff50,0x7fffc400,
    0xfff9002f,0xffffe8df,0xffffb003,0xffff9809,0xfffe8007,0xfffd0005,
    0x3fffe209,0xffffd04f,0x7c40000d,0x002fffff,0xfffff880,0xffa8002f,
    0x80000fff,0x007ffff9,0xfffff500,0x7ffc4001,0x800006ff,0x003fffff,
    0x7ffff400,0x09fffff2,0x7ffffc40,0x3fffe201,0xffff104f,0xfff5003f,
    0x7ffc0dff,0x7c0003ff,0xfffeffff,0xdffff02f,0x3fffff60,0x7ffffd40,
    0xffff9001,0x7540000d,0xffffffff,0xa8003fff,0x000fffff,0x0bffffe2,
    0x37fffe40,0x00fffffa,0x027fffec,0x017fffec,0x017fffa0,0x027fff40,
    0x81fffffb,0x01fffffa,0x3fff6000,0xb00005ff,0x00bfffff,0x3ffffea0,
    0xffd80000,0x500003ff,0x001fffff,0x07fffff8,0xffff8000,0x2200003f,
    0x3f67ffff,0x22006fff,0x201fffff,0x02fffff8,0x03fffff1,0x1fffffe0,
    0x03fffff8,0x7ffffc00,0xf06ffffb,0x3e20dfff,0x7f44ffff,0x32005fff,
    0x0006ffff,0xffffc980,0x01ffffff,0x7ffffd40,0x3ffe2000,0xff9002ff,
    0xfffe8dff,0xfffb003f,0xfff5009f,0xffd800df,0x2fffa86f,0x203fffe8,
    0x44fffff8,0x005ffffe,0x3fffee00,0xb80000ff,0x00ffffff,0xfffff500,
    0xff880001,0x00000fff,0x01fffff5,0x7ffffe80,0xfff80000,0x200003ff,
    0x2e5ffffa,0x000fffff,0x03fffff1,0x0fffffdc,0x1fffff88,0xfffff900,
    0x1fffffc0,0x3fffe000,0x05fffff7,0x6c0dffff,0xf50fffff,0x4003ffff,
    0x006ffffc,0x7ff54000,0x006fffff,0x07ffffd4,0xfffff100,0x3fff2005,
    0x7ffff46f,0xffffb003,0x3fffa009,0x3ff6001f,0x4fffc86f,0x403fffe8,
    0x50fffffd,0x003fffff,0x3fffe200,0x880002ff,0x02ffffff,0x3fffea00,
    0x7dc0000f,0x00005fff,0x03ffffea,0xfffffb00,0xff800001,0x00003fff,
    0x98fffff6,0x003fffff,0x03fffff1,0x1bffffe6,0x1fffff88,0xfffff700,
    0x3ffffe03,0x7ffc0003,0xbffff97f,0x40dffff0,0xb3fffff9,0x800bffff,
    0x006ffffc,0xfff50000,0xa800ffff,0x000fffff,0x0bffffe2,0x37fffe40,
    0x273ffffa,0x99999999,0x004ffffe,0x00bffff7,0x7c37ffe4,0xfff87fff,
    0x7ffcc03f,0xffffb3ff,0x7ec0000b,0x0004ffff,0x9fffffb0,0xfffa8000,
    0x7c0000ff,0x0001ffff,0x3ffffea0,0x7ffe4000,0x400003ff,0xffffffff,
    0xffffffff,0x7ffffc05,0x2fffff41,0xfffff880,0xffda999a,0x2201ffff,
    0x001fffff,0x05fffff5,0x3ffffffe,0xffffffff,0x7ffff85f,0x83fffff1,
    0x6c06ffff,0xff9effff,0x64001fff,0x0006ffff,0x3ffe6000,0x2a001fff,
    0x000fffff,0x0bffffe2,0x37fffe40,0x3ffffffa,0xffffffff,0x004fffff,
    0x01fffff1,0x31bfff20,0xf83fffff,0xfd802fff,0xfff9efff,0x500001ff,
    0x01dfffff,0xffff5000,0xa80001df,0x000fffff,0x1bfffea0,0xfff50000,
    0xfb8001ff,0x0006ffff,0x7fffffc0,0xffffffff,0x3fe605ff,0xfffc87ff,
    0xfff1007f,0xffffffff,0x805fffff,0x01fffff8,0x7fffff50,0x3fffffe0,
    0xffffffff,0xffff85ff,0x17ffff67,0x980dffff,0xffefffff,0xfc8005ff,
    0x00006fff,0x7fffec00,0x3fea002f,0x22000fff,0x002fffff,0xe8dffff9,
    0xffffffff,0xffffffff,0x32004fff,0x9003ffff,0xffc8ffff,0x7ffc4fff,
    0xfff9802f,0x5ffffeff,0xfff10000,0x00003fff,0x3ffffff1,0xfff50000,
    0x740001ff,0x0002ffff,0x7ffffd40,0x7ffcc000,0x00002fff,0x3ffffffe,
    0xffffffff,0x3fff205f,0xffffa84f,0xfff8802f,0xffffffff,0x8800dfff,
    0x001fffff,0x07fffff3,0x3ffffffe,0xffffffff,0x7ffff85f,0x83ffffe6,
    0xd806ffff,0xffffffff,0xffc8001f,0x000006ff,0x7ffffe40,0x3ffea001,
    0x3e2000ff,0x9002ffff,0xfe8dffff,0xffffffff,0xffffffff,0x3e6004ff,
    0xf7007fff,0xfffe8fff,0x7fffc6ff,0xffffb001,0x003fffff,0x3ffff600,
    0xfb00004f,0x0009ffff,0x3ffffea0,0xfff30000,0x500000ff,0x001fffff,
    0xffffffb0,0x3fe00005,0xffffffff,0x05ffffff,0x20bffffa,0x04fffff8,
    0xffffff88,0x0effffff,0x3fffe200,0xfff5001f,0x3ffe05ff,0xffffffff,
    0xf85fffff,0x7ff47fff,0x3fffe4ff,0xffff9806,0x0005ffff,0x00dffff9,
    0xffe80000,0x7d4007ff,0x2000ffff,0x02fffff8,0x8dffff90,0xfffffffe,
    0xffffffff,0x4004ffff,0x802ffffe,0x3e27fffb,0x11ffffff,0x2003ffff,
    0xfffffff9,0xf500005f,0x000dffff,0x3ffffea0,0x3ea00006,0x0000ffff,
    0x009ffff9,0xffff5000,0xff10001f,0x807fffff,0x3ffe07b9,0xaaaaadff,
    0x102aaaaa,0x201fffff,0x806ffffe,0xfffffff8,0x1effffff,0xfffff100,
    0x3ffee003,0xffff01ff,0x555555bf,0xff055555,0xfffa8fff,0xdffff0ff,
    0x3ffff600,0x90001fff,0x000dffff,0xfc8006f6,0x4006ffff,0x00fffffa,
    0x3ffffe20,0xffff9002,0xdffffe8d,0xaaaaaaaa,0x04ffffea,0x37fffd40,
    0x73fffd40,0x7fffffff,0x003fffe2,0xffffffd8,0xf880001f,0x001fffff,
    0xfffff880,0x2a00001f,0x000fffff,0x0fffff88,0xffa80000,0x90000fff,
    0xffffffff,0xffdb979d,0x7ffffc0f,0xffb80003,0x3fee06ff,0x7c400fff,
    0xdb9affff,0x006fffff,0x03fffff1,0x3ffffee0,0x7fffff00,0xffff8000,
    0x3ffffe87,0x200dffff,0x5ffffff9,0x3fff2000,0xffd0006f,0x555579bf,
    0xfffffff9,0xfffa8005,0x3e2000ff,0x9002ffff,0xfe8dffff,0xfb003fff,
    0xf0009fff,0xa803ffff,0xffb0ffff,0x22dfff7f,0x2000ffff,0x5ffffff9,
    0xfffb0000,0x200009ff,0x04fffffd,0x7ffd4000,0xfb8000ff,0x00005fff,
    0x1fffff50,0x3ffa2000,0xffffffff,0x207fffff,0x003fffff,0x3ffffd80,
    0x3ffffe60,0x7fffc403,0x7fffec1f,0xfff8803f,0xff9001ff,0x7ffc0fff,
    0x7c0003ff,0xffb87fff,0xffff8eff,0x3fff6006,0x320001ff,0x0006ffff,
    0xfffffffd,0xffffffff,0xf5000bff,0x8001ffff,0x002fffff,0xe89ffff9,
    0xb003ffff,0x0009ffff,0x809ffff7,0xf88ffff9,0xffff9cff,0x007fff88,
    0x1fffffd8,0xfffa8000,0x500006ff,0x00dfffff,0xffff5000,0xffd0001f,
    0x000003ff,0x03ffffea,0xfffd8800,0xffffffff,0x3fe07fff,0x80003fff,
    0xffffffff,0xffffffff,0x7fc405ff,0x7f441fff,0x4400ffff,0x001fffff,
    0x40dfffff,0x003fffff,0x43ffffc0,0xfafffff8,0x2e006fff,0x0007ffff,
    0x037fffe4,0xfffffe80,0xffffffff,0x8000dfff,0x00fffffa,0x1fffffc0,
    0x3ffffd80,0x01fffff4,0x04ffffd8,0xfffff880,0x3fffe600,0xff2fffa9,
    0xffff37ff,0xffff7000,0xff10000f,0x0003ffff,0xffffff10,0xf5000003,
    0x8001ffff,0x006ffffa,0x3ffea000,0xc80000ff,0xffffffff,0x207fffff,
    0x003fffff,0x7ffffd40,0xffffffff,0x00ffffff,0x07ffffe2,0x13ffffea,
    0x3fffff10,0xfffff700,0x7ffffc09,0x7ffc0003,0xffff907f,0x00dffffd,
    0x03ffffdc,0x3ffff200,0xfffd0006,0xffffffff,0x0007ffff,0x07ffffd4,
    0x3ffffa00,0xffffd004,0x3ffffe85,0x9ffffb00,0x3fff6000,0x3ffe203f,
    0x90fffd9f,0xfff3bfff,0xfff7000f,0xfb0000ff,0x0007ffff,0x3fffff60,
    0xf5000003,0x8001ffff,0x003ffffd,0x3ffea000,0x100000ff,0xffffffd7,
    0x7c015bff,0x0003ffff,0x7fffffe4,0xffffffff,0x202fffff,0x01fffff8,
    0x01ffffff,0x0fffffc4,0x7fffffc0,0x3ffffe00,0x7ffc0003,0xffff107f,
    0x00dfffff,0x03ffffdc,0x3ffff200,0xfd950006,0xffffffff,0x800017df,
    0x00fffffa,0x3ffffec0,0x7ffffcc0,0x1fffff41,0x4ffffd80,0xffff3000,
    0x7fffc40f,0x3ea6fff9,0x6fffafff,0xffffb800,0x7fd40007,0x00006fff,
    0x0dfffff5,0x7fd40000,0x26000fff,0x0007ffff,0x7fffd400,0x4400000f,
    0x009effff,0x0fffffe0,0xffffd000,0xffffffff,0x9fffffff,0x7ffffc40,
    0xfffff701,0x7fffc407,0x3ff6201f,0x7fc03fff,0x40003fff,0x3607ffff,
    0xffffffff,0x3ffee006,0x7e40007f,0x80006fff,0xfffdaa98,0x2a00003f,
    0x000fffff,0x27ffffdc,0x1bffff60,0x00fffffa,0x027fffec,0x5ffffd00,
    0x33fffe20,0x7ffc3fff,0x006fffcf,0x07ffffb8,0x3fffe200,0x880001ff,
    0x01ffffff,0x3fea0000,0x32000fff,0x0004ffff,0x7fffd400,0x5400000f,
    0x8002ffff,0x003fffff,0x3ffffe60,0xaaaaaaaa,0x7ffffeaa,0x3ffffe20,
    0xfffff101,0x3ffe201f,0xfff501ff,0xf801ffff,0x0003ffff,0x303ffffc,
    0xffffffff,0x7ffdc00d,0x7e40007f,0x00006fff,0x00ffffc8,0x3ffea000,
    0x7c4000ff,0x09dfffff,0xfffffd31,0x7ffffd05,0x3ffff600,0x3fea0004,
    0x3ffe06ff,0x6c0fffef,0x5fffffff,0xffffb800,0x3ff60007,0x00003fff,
    0x07fffffb,0xffa80000,0xf1000fff,0x0001ffff,0xffffa800,0x5c00000f,
    0xf0007fff,0x999dffff,0x99999999,0x2ffffdc3,0xfffff900,0x3fffe203,
    0x3fff201f,0xfff103ff,0xfd999bff,0x7fffffff,0xdfffff00,0x99999999,
    0xfff83999,0x7fff407f,0x2006ffff,0x007ffffb,0x7ffffe40,0xcccccccc,
    0xfe804ccc,0x400005ff,0x00fffffa,0xfffffb80,0xffffffff,0xffd05fff,
    0x3f6007ff,0x40004fff,0xf01fffff,0x0dffffff,0xfffffff5,0xfff7000b,
    0x3ea000ff,0xeeefffff,0xeeeeeeee,0x7ffd42ee,0xeeeeefff,0xeeeeeeee,
    0xaaaaa982,0xabfffffc,0x7dc0aaaa,0x00005fff,0x32aaaaa6,0xaabfffff,
    0xb0000aaa,0x20009fff,0xffffffff,0xffffffff,0x3ffff62f,0x3ffe6003,
    0xfff103ff,0x7fcc03ff,0xff107fff,0xffffffff,0x7fffffff,0x3ffffe00,
    0xffffffff,0x7fc2ffff,0x7fd407ff,0x006fffff,0x01ffffee,0xfffff900,
    0xffffffff,0xff00ffff,0x800005ff,0x00fffffa,0xfffffd00,0xffffffff,
    0x3ffa01ff,0xffb003ff,0xc80009ff,0xfd04ffff,0x107fffff,0xbfffffff,
    0xffff7000,0x3ff6000f,0xffffffff,0xffffffff,0x7fffec3f,0xffffffff,
    0x3fffffff,0xffffffd8,0xffffffff,0x7ff43fff,0x200002ff,0xfffffffd,
    0xffffffff,0xff0003ff,0x3e0003ff,0xffffffff,0xffffffff,0x1fffff12,
    0xfffff800,0xfffff106,0xffffe803,0xffff883f,0xffffffff,0x2000dfff,
    0xffffffff,0xffffffff,0x3ffffc2f,0x7fffff40,0x3fee006f,0x640007ff,
    0xffffffff,0xffffffff,0x3fffcc07,0x7fd40000,0x20000fff,0xfffffffc,
    0x00cfffff,0x00fffffa,0x027fffec,0x3fffe200,0xffffe80f,0xfffb01ff,
    0x70009fff,0x000fffff,0x3ffffff6,0xffffffff,0x6c3fffff,0xffffffff,
    0xffffffff,0xffd83fff,0xffffffff,0x3fffffff,0x01bfffea,0xffffb000,
    0xffffffff,0x007fffff,0x00dfff10,0x7fffffc0,0xffffffff,0xfff52fff,
    0xffb000df,0xff101fff,0xfa803fff,0xf886ffff,0xffffffff,0x003fffff,
    0xfffffff8,0xffffffff,0x7fffc2ff,0xffffb807,0x3ee006ff,0x40007fff,
    0xfffffffc,0xffffffff,0x7ffdc07f,0xfa800004,0x0000ffff,0x7ffffecc,
    0xe801dfff,0xb003ffff,0x0009ffff,0x07ffffb0,0x0dfffffd,0x7fffffdc,
    0xfffb8004,0xffb0007f,0xffffffff,0xffffffff,0xffffd87f,0xffffffff,
    0x3fffffff,0xffffffd8,0xffffffff,0x3ff63fff,0x400003ff,0xfffffffd,
    0xffffffff,0xa88003ff,0x3e0001aa,0xffffffff,0xffffffff,0x09ffff92,
    0xfffff700,0xfffff105,0xffffd003,0xffff885f,0xbdeeffff,0x3ffe0001,
    0xffffffff,0x42ffffff,0x8807ffff,0x06ffffff,0x1ffffee0,0xffff9000,
    0xffffffff,0x980fffff,0x00000aaa,0x0fffffa8,0x2a620000,0x7f40009a,
    0xfb003fff,0x00009fff,0xb0bdddd3,0x409fffff,0x3ffffff8,0xffffb800,
    0xfffb0007,0xffffffff,0xffffffff,0xfffffd87,0xffffffff,0x83ffffff,
    0xfffffffd,0xffffffff,0xdddd13ff,0xd800001d,0xffffffff,0xffffffff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x01deeeee,
    0x206f7764,0x002eeed9,0xdd10bddb,0x2000009d,0x2eeeeeec,0x777775c0,
    0x0000002e,0xdddddd90,0xeed88005,0xdb0000de,0x9ddd10bd,0x42f76c00,
    0x2004eee8,0xffffffff,0x8005ffff,0xffffffff,0x2005ffff,0xffffffff,
    0x0005ffff,0x00000000,0xfffff800,0x5fffffff,0x0002a600,0x40000000,
    0x000eeeed,0xeeed8000,0x0000000e,0x40000000,0x00002ba8,0xefffffd8,
    0xffffb001,0x13fffee5,0x23fffe80,0x004fffd8,0xffffc800,0xff5001ef,
    0x0005ffff,0xfffc8000,0x4c001eff,0x0effffff,0x3fffe800,0x013fff62,
    0x223fffe8,0x2004fffd,0xffffffff,0x8005ffff,0xffffffff,0x2005ffff,
    0xffffffff,0x0005ffff,0x019dffb3,0xdffb3000,0x3fe00019,0xffffffff,
    0xffb005ff,0x0000005f,0xfff88000,0x8000006f,0x005ffff9,0x9ffffd00,
    0x7ffcc000,0xff98006f,0x00000eff,0x09fffffb,0xdffffb00,0x8007ffff,
    0xfefffffb,0x0001ffff,0x7ffffe40,0x7f44000d,0x0002ffff,0xffff9000,
    0xf98001bf,0xefffffff,0x7ffdc000,0xfffffeff,0x3ffee001,0xfffffeff,
    0x3fffe001,0xffffffff,0xffff8005,0xffffffff,0x3fffe005,0xffffffff,
    0xfffb8005,0x0001ffff,0x3fffffee,0xfff8001f,0xffffffff,0xfffa805f,
    0x000000ff,0x3fe60000,0xb00004ff,0x3ee9ffff,0x00002fff,0x009ffffd,
    0x3ffffe60,0x3fe2005f,0x0005ffff,0x2fffffd8,0x3fff6000,0x0003ffff,
    0xfffffffd,0x800009ff,0x02fffffc,0x7fffe400,0x4000002f,0x02fffffc,
    0xeffff980,0x00effffa,0x7fffff40,0x8004ffff,0xfffffffe,0x774004ff,
    0xeeeeeeee,0xee8004ee,0xeeeeeeee,0x3ba004ee,0xeeeeeeee,0x7cc004ee,
    0x6fffffff,0xffff3000,0x000dffff,0xdddddddd,0x7009dddd,0x007fffff,
    0x18800000,0x03ffff70,0x3fff6000,0x1ffff94f,0xeeeec800,0xeefffffe,
    0xfff1002e,0x00bfffff,0x3fffffea,0x3f20000f,0x0000dfff,0x2fffffc8,
    0x3ff22000,0x003fffff,0x7fffe400,0xf500000e,0x0005ffff,0x3ffff200,
    0xff98000e,0x3ff624ff,0x322000ef,0x3fffffff,0xfff91000,0x0007ffff,
    0x00000000,0x00000000,0x23dff900,0x8002fffa,0xff51effc,0x0000005f,
    0xfffff100,0x80000009,0xb05feca8,0x0000dfff,0xea7fffec,0xd8005fff,
    0xffffffff,0x803fffff,0xf9dfffe8,0xfb804fff,0x01ffffff,0x06666600,
    0x33330000,0x2a200001,0x0000abcc,0x01999980,0x99988000,0x30000019,
    0x40003333,0x33009998,0x51000133,0x00015799,0x15799510,0x00000000,
    0x00000000,0x3fa00000,0x027fec3f,0x361fff40,0x000004ff,0xffff7000,
    0x80000009,0xf05ffffd,0x00007fff,0x467fffec,0x8002ffff,0xfffffffd,
    0x03ffffff,0x32ffff44,0xa809ffff,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000600,
    0x00000000,0x1ffec000,0x2000fff6,0x7fec3ffd,0x00000003,0x00bfffe0,
    0xffb00000,0xfff30bff,0x6c00001f,0xffacffff,0xffb0007f,0xffffffff,
    0xec807fff,0xeee984ee,0x7fff402e,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32a20000,0x1bcefffe,
    0x77776c00,0xeeeeeeee,0xec81eeee,0xeeeeeeee,0xeeeeeeee,0xafffc802,
    0x001fffb8,0xb8afffc8,0x50001fff,0x1ddddddd,0xffff8800,0x40000000,
    0xa85ffffd,0x00004eee,0x5e7fffec,0x10004eee,0xffd33333,0x001339ff,
    0x3a200000,0x0000dfff,0x3bbbbbb6,0x03eeeeee,0xdddddddb,0xdddddddd,
    0x3baa003d,0x000eeeee,0xddddd500,0x200001dd,0xeeeeeeea,0x7776c000,
    0xddd005ee,0xdddd90bd,0xdddddddd,0x205ddddd,0xeeeeeeed,0xeeeeeeee,
    0xeeeec81e,0xeeeeeeee,0x402eeeee,0xffffffe9,0x2003ffff,0xffffffff,
    0xffffffff,0xffffd82f,0xffffffff,0x803fffff,0xfffffff8,0xff10005f,
    0x0bffffff,0x7fffec00,0x73003fff,0x0009fffd,0xfffb0000,0x000000bf,
    0x09ffffb0,0xffd00000,0x000009ff,0x0054c000,0x3fffea00,0xffffffff,
    0xfffff04f,0xffffffff,0x2005ffff,0xfffffffd,0xffb00003,0x007fffff,
    0x3ffff600,0x7c003fff,0x01ffffff,0xd86ffff8,0xffffffff,0xffffffff,
    0xfffff03f,0xffffffff,0xfb05ffff,0xffffffff,0xffffffff,0x7fffdc07,
    0xffffffff,0xffff005f,0xffffffff,0xb05fffff,0xffffffff,0xffffffff,
    0x3fe6007f,0x000effff,0x3ffffe60,0xf10000ef,0xbfffffff,0x3ffffe00,
    0x00000005,0x00bffffb,0xffb00000,0x200009ff,0xebcdcba8,0x0004ffff,
    0x5e665cc4,0x0000000a,0xffffffd8,0x4fffffff,0xfffffff0,0xffffffff,
    0xff1005ff,0x0bffffff,0xffff1000,0x000bffff,0xffffff10,0xff800bff,
    0x805fffff,0xfd86ffff,0xffffffff,0xffffffff,0xffffff03,0xffffffff,
    0xffb05fff,0xffffffff,0x7fffffff,0x3fffff60,0xffffffff,0x7fc00eff,
    0xffffffff,0x2fffffff,0xffffffd8,0xffffffff,0x22003fff,0x0003dedc,
    0x07bdb910,0xffffa800,0x800fffff,0x0002ffff,0xaaaa9800,0xaeffffea,
    0x0aaaaaaa,0xdcba8800,0x4ffffebc,0x7ffd4000,0xffffffff,0xf90004ff,
    0xffffffff,0x000000ff,0x7fffffc4,0xffffffff,0xffffff04,0xffffffff,
    0xf5005fff,0xffffffff,0xffa80001,0x0fffffff,0x7ffd4000,0x00ffffff,
    0x3fffffe0,0x7ffc00ff,0xffffd86f,0xffffffff,0xf03fffff,0xffffffff,
    0xffffffff,0xfffffb05,0xffffffff,0xf507ffff,0xbdffffff,0xffffffff,
    0xfffff807,0xeeeeeeee,0xca81eeee,0xfffdcccc,0xccccccff,0x00000001,
    0x32000000,0xffffffff,0x01ab802f,0x3f600000,0xffffffff,0xffffffff,
    0x3ea003ff,0xffffffff,0x0004ffff,0xffffffb1,0xffffffff,0xffea8009,
    0xffffffff,0x0000007f,0x3fffffee,0xccccceff,0xdfffff02,0xdddddddd,
    0xf9003ddd,0xffffffff,0xffc80005,0x2fffffff,0x7ffe4000,0x02ffffff,
    0x3fffffe0,0x7ffc04ff,0xcccca86f,0xcfffffdc,0xf01ccccc,0xddddffff,
    0xdddddddd,0x99999503,0x99fffffb,0xfd039999,0x8819ffff,0x07fffffd,
    0x01fffffc,0xfff50000,0x554001ff,0x54c00aaa,0xa9801aaa,0x1accedcc,
    0xfffff000,0x009fffff,0x982aaa98,0x000acddc,0x3ffffff6,0xffffffff,
    0x803fffff,0xffffffe9,0xffffffff,0xfff98004,0xffffffff,0x004fffff,
    0x3ffffff6,0x7fffffff,0x3a000000,0xffffdfff,0x7fffc005,0xf800003f,
    0xffffffff,0x7fc0004f,0xffffffff,0x7ffc0004,0x4fffffff,0x3ffffe00,
    0x3e00ffff,0x2a006fff,0x000fffff,0x01fffffc,0xfff50000,0x3ee001ff,
    0x6c04ffff,0x202fffff,0x003fffff,0x3ffea000,0x3fe000ff,0x7e402fff,
    0xfb505fff,0xffffffff,0x4c005dff,0xffceffff,0x7dc007ff,0xffd30fff,
    0x005fffff,0x3ffffff6,0xffffffff,0x403fffff,0xfffffffa,0xffffffff,
    0xffe8004f,0xccceffff,0x04fffffe,0xffffff70,0xffffffff,0x2000000f,
    0xffaffff9,0x7fc005ff,0x00003fff,0x677fffcc,0x0007ffff,0x33bfffe6,
    0x0007ffff,0x33bfffe6,0x2007ffff,0xffffffff,0x3fffe03f,0x3ffea006,
    0x7fc000ff,0x00003fff,0x3ffffea0,0xfffff000,0xffff100d,0x7fffc0df,
    0x2000003f,0x00fffffa,0x0bffffe0,0x0bffff90,0x3ffffffa,0xffffffff,
    0xffff7005,0x3fffff39,0x7fffdc00,0xffffffa9,0xc803ffff,0xfffeeeee,
    0xeeeeefff,0x3e202eee,0xcdffffff,0xfffffecc,0x7ffe4004,0xffd00eff,
    0xff1009ff,0x437fffff,0x2007eb98,0x3ff20000,0x5ffff8ef,0x7ffffc00,
    0x7dc00003,0xfff9cfff,0xf70001ff,0xfff39fff,0x2e0003ff,0xff9cffff,
    0xff001fff,0xffffffff,0x037fffc0,0x1fffff50,0xfffff800,0x2a000003,
    0x800fffff,0x03fffffa,0x3fffffb0,0x0fffffe0,0xffa80000,0x3e000fff,
    0x6402ffff,0xfd05ffff,0xffffffff,0x05ffffff,0x25ffffd0,0x004fffff,
    0x3effffee,0xffffffff,0xb0000fff,0x000bffff,0xefffffc8,0x9ffffb00,
    0x7fffcc00,0x7fff406f,0xfffd804f,0x00800dff,0x0177fec4,0x2ffffe20,
    0x005ffff8,0x01fffffc,0x3fffa000,0x9fffff2f,0x3fffa000,0x9fffff2f,
    0x3fffa000,0x9fffff2f,0x3ffffe00,0xf02ffffe,0x5400dfff,0x000fffff,
    0x01fffffc,0xfff50000,0xff9001ff,0x2a001fff,0xf02fffff,0x0007ffff,
    0x7fffd400,0x3ffe000f,0x7fe402ff,0xdffd05ff,0xfd553579,0x401fffff,
    0x367ffff8,0x2006ffff,0xfffffffb,0xffffffff,0xfb0004ff,0x4000bfff,
    0x05fffff9,0x027fffec,0x5fffff90,0x4ffffe80,0x7ffffcc0,0x3f600006,
    0x2002ffff,0xf88ffffa,0x7c005fff,0x0003ffff,0x9ffffe20,0x006ffffd,
    0x27ffff88,0x006ffffd,0x27ffff88,0x006ffffd,0xff7fffff,0x3ffe0dff,
    0x3fea006f,0x7c000fff,0x0003ffff,0x3fffea00,0xfffe800f,0x3fe2006f,
    0xfff03fff,0x000007ff,0x07ffffd4,0x5fffff00,0x5ffffc80,0xf90017b0,
    0x5403ffff,0x3ee5ffff,0x7000ffff,0xdfffffff,0x3fffea17,0xffb0006f,
    0x6c000bff,0x401fffff,0x004ffffd,0x01bffff6,0x013ffffa,0x05fffff7,
    0x3ffe6000,0x3a007fff,0xfff16fff,0xfff800bf,0x200003ff,0x2e5ffffa,
    0x000fffff,0x72ffffd4,0x001fffff,0x25ffffa8,0x00fffffb,0xff7ffff8,
    0xfff05fff,0x7fd400df,0x7c000fff,0x0003ffff,0x3fffea00,0xffff800f,
    0x7ffc005f,0xffff04ff,0x4000007f,0x00fffffa,0x0bffffe0,0x0bffff90,
    0x3fffe000,0x3fff602f,0x3fffe63f,0xfff7003f,0xfb01dfff,0x2000ffff,
    0x005ffffd,0x17ffffa0,0x13ffff60,0x4ffffe80,0x4ffffe80,0x3ffffe40,
    0xfff50000,0x1007ffff,0x3e27ffff,0x7c005fff,0x0003ffff,0x8fffff60,
    0x03fffff9,0x1ffffec0,0x07fffff3,0x3ffffd80,0x0fffffe6,0x65ffffe0,
    0xff85ffff,0x3ea006ff,0x4000ffff,0x003fffff,0x3ffea000,0xfff800ff,
    0x7fc005ff,0xfff05fff,0xffffffff,0x00bfffff,0x0fffffa8,0x3ffffe00,
    0x7fffe402,0xffb00005,0x7ffc09ff,0x7fff41ff,0xfff7005f,0x3ee01fff,
    0x8000ffff,0x005ffffd,0x0fffffe0,0x13ffff60,0x3fffff80,0x4ffffe80,
    0x37ffff40,0xfff10000,0x9009ffff,0x3e21ffff,0xffffffff,0xfffff01f,
    0xffffffff,0xff80bfff,0x7ff41fff,0x7fc005ff,0x7ff41fff,0x7fc005ff,
    0x7ff41fff,0xfff805ff,0xfffff17f,0x06ffff83,0x3ffffea0,0x7fffc000,
    0xffffffff,0x4005ffff,0x00fffffa,0x27ffffc4,0x3ffffa00,0xffffff06,
    0xffffffff,0xfa800bff,0x2000ffff,0x402fffff,0x005ffffc,0x9ffffb00,
    0x1ffffe60,0x01fffff2,0x0fffffdc,0x1fffff30,0xffffb000,0x3fe2000b,
    0xfd802fff,0xf3004fff,0xd005ffff,0xf809ffff,0x0005ffff,0x7ffffe40,
    0xffff805f,0x3ffffe25,0xf01fffff,0xffffffff,0xbfffffff,0x3ffffcc0,
    0x03ffffe4,0x0fffff30,0x00fffff9,0x43ffffcc,0x807ffffc,0x3f67ffff,
    0x7ffc5fff,0x3fea006f,0x7c000fff,0xffffffff,0x5fffffff,0x7fffd400,
    0x7ffc400f,0x7f4003ff,0xfff06fff,0xffffffff,0x00bfffff,0x0fffffa8,
    0x3ffffe00,0x7fffe402,0x97531005,0xffffd999,0x3ffff209,0xfffffa84,
    0xffffb802,0x7fffc406,0xffd8000f,0xf50005ff,0xb003ffff,0x2009ffff,
    0x02fffff9,0x04ffffe8,0x02fffffc,0x7fff4000,0x7fd405ff,0x3ffe22ff,
    0x1fffffff,0xfffffff0,0xffffffff,0x7ffe40bf,0xffffa84f,0xfff9002f,
    0xffff509f,0x3ff2005f,0xfffa84ff,0x7ffc02ff,0x3fffe67f,0x1bfffe0f,
    0xfffffa80,0x7fffc000,0xffffffff,0x4005ffff,0x00fffffa,0x27ffffc4,
    0x3ffffa00,0xffffff06,0xffffffff,0xfa800bff,0x2000ffff,0x402fffff,
    0x405ffffc,0xffffffd9,0x4fffffff,0x05ffffd0,0x09fffff1,0x0dffff70,
    0x0fffff88,0xffffd800,0xfff50005,0xffb003ff,0x3e2009ff,0xe802ffff,
    0x7404ffff,0x0007ffff,0xfffff880,0x3fffec03,0x3fffffe2,0xff01ffff,
    0xffffffff,0x0bffffff,0x417ffff4,0x04fffff8,0x05ffffd0,0x09fffff1,
    0x0bffffa0,0x13ffffe2,0xe8fffff0,0x3fe4ffff,0x3ea006ff,0x4000ffff,
    0xffffffff,0xffffffff,0x7ffd4005,0xfff800ff,0x7f4004ff,0xfff06fff,
    0x55555bff,0x00555555,0x0fffffa8,0x3ffffe00,0x7fffe402,0xffffd105,
    0xffffffff,0xff109fff,0x3fa01fff,0xfb806fff,0x7c406fff,0x8000ffff,
    0x005ffffd,0x3fffff30,0x9ffffb00,0x3fffe200,0xfffe803f,0x7ffec04f,
    0x800000ff,0x202ffffe,0x444ffff8,0xaaaeffff,0xffff00aa,0x555555bf,
    0x22055555,0xd00fffff,0x100dffff,0x201fffff,0x806ffffe,0x00fffff8,
    0x80dffffd,0x7d47ffff,0xfff0ffff,0x7fd400df,0x7c000fff,0xaaadffff,
    0x2aaaaaaa,0x7fffd400,0xfffe800f,0x7ffc005f,0xffff05ff,0x4000007f,
    0x00fffffa,0x0bffffe0,0x0bffff90,0x3ffffffa,0xffffffff,0xfffb84ff,
    0x3ffee06f,0x7fdc00ff,0x7fc406ff,0xd8000fff,0x0005ffff,0x05fffff1,
    0x09ffffb0,0x27ffffc0,0x3ffffea0,0x7fffdc04,0xf800004f,0x2e00ffff,
    0x7c41ffff,0x7c005fff,0x0003ffff,0x06ffffb8,0x03ffffee,0x0dffff70,
    0x07ffffdc,0x1bfffee0,0x0fffffb8,0x21ffffe0,0xff3ffffe,0x7d400dff,
    0x4000ffff,0x003fffff,0x3ffea000,0xffd800ff,0x3e2006ff,0xff04ffff,
    0x00007fff,0x7ffffd40,0x3fffe000,0x7ffe402f,0xffffd85f,0x9999abff,
    0xd84ffffd,0x2603ffff,0x403fffff,0x406ffffb,0x00fffff8,0x6ffffd80,
    0xffff1000,0xfffa807f,0x3fa004ff,0x3e607fff,0x404fffff,0x1ffffffa,
    0x3fee0000,0x7ff403ff,0xffff886f,0x7fffc005,0xfd80003f,0x3e603fff,
    0x6c03ffff,0x2603ffff,0x403fffff,0x203ffffd,0x03fffff9,0x2e1ffffe,
    0xff8effff,0x3ea006ff,0x4000ffff,0x003fffff,0x3ffea000,0xffc800ff,
    0x3e6007ff,0xff02ffff,0x00007fff,0x7ffffd40,0x3fffe000,0x7ffec02f,
    0x7fffc45f,0x7ffec06f,0xfffff84f,0xffffffff,0x405fffff,0x406ffffb,
    0x00fffff8,0xfffffc80,0xffff0000,0x7ffcc0df,0x2e004fff,0x883fffff,
    0x4fffffff,0x7ffff440,0x202802ff,0x05ffffd9,0x77ffffcc,0xffffeeee,
    0x7fffc005,0xff80003f,0xffffffff,0xffffffff,0x7ffffc05,0xffffffff,
    0x405fffff,0xffffffff,0xffffffff,0x3ffe05ff,0xffff887f,0x06ffffaf,
    0x3ffffea0,0x7fffc000,0x2000003f,0x00fffffa,0x2fffffb8,0xfffff900,
    0x3ffffe01,0x2a000003,0x000fffff,0x80fffffe,0x45fffff9,0x01fffffa,
    0x227fffec,0xfffffffa,0xffffffff,0x2e00ffff,0x4406ffff,0x000fffff,
    0x3fffffb8,0xffff9000,0xffff105f,0x44009fff,0x9bffffff,0xffffffb8,
    0xffa804ff,0xacefffff,0x10ffdbaa,0xffffffdd,0xfffc801f,0xffffffff,
    0x7c005fff,0x0003ffff,0x7fffffd4,0xffffffff,0x500fffff,0xffffffff,
    0xffffffff,0x3ea01fff,0xffffffff,0xffffffff,0xffff00ff,0x3ffff20f,
    0x006ffffe,0x03ffffea,0x7fffff00,0x7d400000,0x9800ffff,0x005fffff,
    0x40dfffff,0x003fffff,0x3ffea000,0x3fa000ff,0xff305fff,0xfb8bffff,
    0x2600ffff,0x644fffff,0xffffffff,0xffffffff,0x3ee02fff,0x7c406fff,
    0x8000ffff,0x1efffffa,0xff300988,0xb337ffff,0xffffffff,0xfffd8009,
    0xffffffff,0x04ffffff,0xffffffb0,0xffffffff,0x3fffe21f,0xf800cfff,
    0xffffffff,0x05ffffff,0x1fffffc0,0x3fff2000,0xffffffff,0xffffffff,
    0xfffff902,0xffffffff,0x05ffffff,0x3ffffff2,0xffffffff,0xf02fffff,
    0x3e20ffff,0xffffffff,0x3ffea006,0x7fc000ff,0x00003fff,0x3ffffea0,
    0xffffd000,0xfffb803f,0x3ffe02ff,0x000003ff,0x03ffffea,0x7ffffd80,
    0xfffffe88,0x7fffdc5f,0xffff503f,0xfffe89ff,0xffffffff,0xffffffff,
    0x3fffee04,0x7fffc406,0xff88000f,0xeeffffff,0x3f603fff,0xffffffff,
    0xffffffff,0x7ffcc004,0xffffffff,0x04ffffae,0xfffffd10,0xffffffff,
    0x3fffe21f,0xff5000df,0xffffffff,0x00bfffff,0x03fffff8,0x7ffff400,
    0xffffffff,0x4fffffff,0xffffffd0,0xffffffff,0x209fffff,0xfffffffe,
    0xffffffff,0xff04ffff,0x7fec0fff,0x06ffffff,0x3ffffea0,0x7fffc000,
    0x2000003f,0x00fffffa,0xffffff50,0x3fffee03,0x7fffc06f,0x2000003f,
    0x00fffffa,0x3fffff20,0xffffc9ae,0x7cc5ffff,0x221effff,0xfffffffb,
    0x3ffffe64,0xaaaaaaaa,0x7ffffeaa,0x1bfffee0,0x1fffff10,0x3ffea000,
    0xffffffff,0x3ffe603f,0xffffffff,0x04ffff9f,0xffffe880,0xf88effff,
    0x5c004fff,0xffffffff,0x910fffff,0xfb000357,0x33333fff,0x0bffff33,
    0x3fffff80,0x3ffe6000,0xaaaaaaff,0xfffeaaaa,0xffff987f,0xaaaaaaaf,
    0xffffeaaa,0xfffff987,0xaaaaaaaa,0x7ffffeaa,0x40fffff0,0xfffffff9,
    0x3fea006f,0x7c000fff,0x0003ffff,0x3fffea00,0x3ffa000f,0xcaceffff,
    0x1ffffffe,0x77ffffc0,0xcccccccc,0xaa981ccc,0xffffcaaa,0x0aaaaabf,
    0xffffff98,0xffffffff,0x7fc45fff,0xfeffffff,0xffffffff,0x17fffee4,
    0xfffffc80,0xdffff701,0xfffff880,0x3ff60000,0xffffffff,0x7ffcc03f,
    0x9effffff,0x004ffff8,0xfffffb10,0x7fffc49f,0xfec88004,0xceffffff,
    0x3e200002,0x3e205fff,0xaaaaefff,0xfffff02a,0x9999999d,0x7dc39999,
    0x32005fff,0x5c1fffff,0x2005ffff,0x41fffffc,0x005ffffb,0x07fffff2,
    0xd01ffffe,0xdfffffff,0x95555530,0x557fffff,0x3fe01555,0xccccefff,
    0x1ccccccc,0xcaaaaa98,0xaabfffff,0xffa80aaa,0xffffffff,0x05ffffff,
    0xfffffff8,0xffffffff,0xfffd82ff,0xffffffff,0x03ffffff,0xfffffffb,
    0xfff3ffff,0xffff70bf,0xffffffff,0x6c9ffff7,0x2003ffff,0x03fffff9,
    0x80dffff7,0x00fffff8,0x7fff4c00,0x02ffffff,0xfffffd88,0x27fffc4f,
    0x0d54c000,0x31000000,0x00001335,0x0bfffee0,0xffffff88,0xff06ffff,
    0xffffffff,0x5fffffff,0x01ffffec,0x7fffff30,0x03ffffd8,0x3ffffe60,
    0x1ffffec3,0xfffff300,0x0fffff07,0xffffffa8,0xffffd86f,0xffffffff,
    0xf03fffff,0xffffffff,0xffffffff,0xfffffb05,0xffffffff,0x2a07ffff,
    0xffffffff,0x04ffffff,0xfffffff0,0xffffffff,0xfffb05ff,0xffffffff,
    0x07ffffff,0x3fffffa2,0xfff1efff,0x3fff60bf,0x2fffffff,0x3e29ffff,
    0x4000ffff,0x706fffff,0x880dffff,0x000fffff,0x55553100,0x2a600015,
    0x0000001a,0x00000000,0x74000000,0x7c407fff,0xffffffff,0xfffff06f,
    0xffffffff,0x3e25ffff,0x4000ffff,0x226fffff,0x000fffff,0x137ffffc,
    0x001fffff,0x86fffff8,0xe807ffff,0x86ffffff,0xfffffffd,0xffffffff,
    0xffff03ff,0xffffffff,0xb05fffff,0xffffffff,0xffffffff,0x7ff4c07f,
    0xffffffff,0x3ffe002f,0xffffffff,0x82ffffff,0xfffffffd,0xffffffff,
    0x7fec03ff,0x3e0cffff,0x3ee05fff,0x0cffffff,0x7d53fffe,0xd8006fff,
    0xb80fffff,0x4406ffff,0x000fffff,0x00000000,0x00000000,0x00000000,
    0xff980000,0x7fc404ff,0xffffffff,0xffffff06,0xffffffff,0x3fea5fff,
    0xfd8006ff,0xff50ffff,0xfb000dff,0x3ea1ffff,0xd8006fff,0x7c0fffff,
    0xfb807fff,0xd86fffff,0xffffffff,0xffffffff,0xfffff03f,0xffffffff,
    0xfb05ffff,0xffffffff,0xffffffff,0xffec8807,0x00ceffff,0x7fffffc0,
    0xffffffff,0xffd82fff,0xffffffff,0x3fffffff,0x0aaa9880,0x55530000,
    0xfffc8003,0xffb8004f,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01ffffc8,0x7fffffc4,0xff06ffff,0xffffffff,0x5fffffff,
    0x013ffff2,0x3ffffee0,0x09ffff92,0xfffff700,0x13ffff25,0x3fffee00,
    0x3ffffc2f,0x7ffffc40,0xffffd86f,0xffffffff,0xf03fffff,0xffffffff,
    0xffffffff,0xfffffb05,0xffffffff,0x8007ffff,0x00001aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07b93000,
    0x00000000,0x00000000,0x64c00000,0x000000ce,0x00000000,0x004d4c00,
    0x00000000,0x00000000,0x35100000,0x00015440,0x00000000,0x00000000,
    0x88000000,0x00aa201a,0x00135300,0x00000000,0x00000000,0x00000000,
    0x01bfffea,0xfff98000,0x7400dfff,0x7fdc0fff,0x7fe4004f,0x7ffdc1ff,
    0x7fcc001f,0x20000fff,0x7dc0fffe,0xff7004ff,0xfffa83ff,0xfffb001f,
    0x00b309ff,0x507fffee,0x0003ffff,0x8bffffee,0x2ffffff9,0x005fffff,
    0x3ffea000,0x0effe985,0xffff8800,0x3000000e,0x1dffffff,0xffffff98,
    0x40000005,0x2006fffb,0xe985fffa,0x6c000eff,0x984fffff,0x7fc40005,
    0x00000eff,0x7ffffcc0,0xfff980ef,0x40005fff,0x02fffffc,0x3fffffa0,
    0xf9800003,0x003fffff,0x7449fffb,0xd8002fff,0xff71ffff,0xfd0003ff,
    0x0009ffff,0xd127ffec,0x64005fff,0xff51ffff,0x3f6005ff,0xaeffffff,
    0x9005fea8,0x3ea3ffff,0x50002fff,0x445fffff,0x21efffff,0x002fffff,
    0xfffff000,0x5ffffd87,0x7fff4400,0x00000eff,0x7fffffcc,0x3fffa204,
    0x000005ff,0x00ffffa0,0x43fffff8,0x005ffffd,0x3ffffff6,0x5fea8aef,
    0xfffd1000,0x00001dff,0x3ffffe60,0x7ff4404f,0x20005fff,0x01fffffb,
    0xffffff10,0xf980000b,0x001fffff,0x37bfffea,0x000fffff,0xf9ffffb0,
    0x20005fff,0x05ffffff,0x3fffea00,0x0fffffde,0x7fffe400,0x002ffffc,
    0xfffffff7,0xffffffff,0x3fff2005,0x02ffffcf,0xfffff100,0x7ffff447,
    0x7ffffc0d,0xf8800002,0x7fc5ffff,0x22006fff,0xfffffffe,0x3e200005,
    0x002fffff,0x0bfffff9,0xff100000,0x3e2001ff,0x7fc5ffff,0xf7006fff,
    0xffffffff,0x05ffffff,0xffffe880,0x00005fff,0xffffff88,0x3fff2002,
    0xf70005ff,0x4003ffff,0x03ffffff,0x3ffe6000,0xd8000dff,0xffffffff,
    0x7ec0003f,0x02ffffff,0x3ffffa00,0x7ec0004f,0xffffffff,0xfffb0003,
    0x4007ffff,0xfebcfffa,0x5fffffff,0x7fffec00,0x20003fff,0x743ffffe,
    0xff04ffff,0x00005fff,0x13ffffe0,0x00bffffd,0x27bfffa2,0x0005ffff,
    0xefffff88,0x7ffd4000,0x000005ff,0x0037ffdc,0xd13ffffe,0x200bffff,
    0xfebcfffa,0x5fffffff,0x7fff4400,0x05ffff9e,0x3ffe2000,0xa8000eff,
    0x005fffff,0x0fffffa8,0x3fffee00,0xf300000f,0x0007ffff,0x7ffffec4,
    0x880004ff,0x03fffffe,0x7fffd400,0x6c40000f,0x4fffffff,0x7ffec000,
    0xfa8003ff,0x7ffffdc1,0xffb0006f,0x40007fff,0x6c3ffffc,0x3e03ffff,
    0x0002ffff,0x1ffff700,0x01ffffa8,0x21dfffd0,0x005ffff9,0x3ffffe20,
    0x3fa20004,0x00005fff,0xfffdd953,0xffb8007f,0x7ffd40ff,0x07ea001f,
    0xdffffff7,0xdfffd000,0x17fffe61,0x3ffe2000,0x440004ff,0x005ffffe,
    0x07ffffd4,0x037b6a00,0x776c4000,0x500001de,0x0039dfdb,0x7776c400,
    0xdb500003,0x5400001b,0x001cefed,0x07dddb00,0xcb880400,0x6c0001bd,
    0x20003eee,0x5c3eeee9,0x7c01eeee,0x0002ffff,0x402f2600,0xd9000bb9,
    0xed981bdd,0xd88003ee,0x0002eeee,0x09dddd90,0x3fff6200,0x2fffffff,
    0x00bc9800,0x10001773,0x06f72e20,0x37bbb200,0x1f776cc0,0xdddb1000,
    0x6400005d,0x2004eeee,0x007ffff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2fffff80,0x00000000,
    0x00000000,0x00000000,0xffd30000,0xffffffff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x7ffcc000,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff800000,0x00002fff,
    0x00000000,0x00000000,0x80000000,0xfffffffb,0xffffffff,0x00000004,
    0x00000000,0x00000000,0x00000000,0x0dffff10,0x99973100,0x44000157,
    0x0abcccb9,0x372a2000,0x00000abc,0x2f332e62,0xca88000a,0x0000abcd,
    0x33b732a6,0x220001ac,0xcceedcba,0x2aaa00ab,0x554c00aa,0x2a2001aa,
    0x000abcdc,0x002aaaaa,0x20355553,0x4c2fffff,0x2001bddb,0x400aaaaa,
    0xa81aaaa9,0x4c00aaaa,0xaa81aaaa,0x54c00aaa,0x55501aaa,0xaa980155,
    0x7ffc41aa,0xffddffff,0x01ffffff,0xbceca980,0x5300000a,0x001579d9,
    0x33b2a600,0x300000ab,0x01579d95,0x3b2a6000,0xf8800abc,0x32006fff,
    0xffffffff,0x7e4007ff,0xffffffff,0x7f4c007f,0xdfffffff,0x3ff20000,
    0xffffffff,0xfffd3007,0x01bfffff,0x3ffff6a0,0xefffffff,0x3ff22002,
    0xffffffff,0x3fffe05f,0x7ffe402f,0xffe9805f,0x0dffffff,0x2fffff80,
    0x2ffffe40,0x51fffff8,0xdfffffff,0xfffff001,0xffffc805,0x2fffff85,
    0x2ffffe40,0x017ffffc,0x417ffff2,0x402fffff,0x6c5ffffc,0x323fffff,
    0xffffffff,0x3fff2006,0x0dffffff,0xffff9000,0x01bfffff,0x3ffff200,
    0x00dfffff,0xfffff900,0x001bffff,0x3fffff20,0x400dffff,0xa805ffff,
    0xfffffffe,0x5007ffff,0xfffffffd,0x400fffff,0xfffffffb,0x002fffff,
    0x7fffff54,0x07ffffff,0xffffffb8,0x02ffffff,0xffffffe8,0xffffffff,
    0xffffa805,0xffffffff,0x3fffe05f,0x7ffe402f,0x7ffdc05f,0xffffffff,
    0x7fffc02f,0x7ffe402f,0xfffff05f,0xffffff73,0xf803ffff,0x6402ffff,
    0xff85ffff,0x7e402fff,0xfff85fff,0x7fe402ff,0xffff05ff,0xfffc805f,
    0x3fffe65f,0x6ffffc2f,0x401fffff,0xffffffe9,0x03ffffff,0x3ffffa60,
    0xffffffff,0x3ffa6003,0xffffffff,0x3a6003ff,0xffffffff,0x2003ffff,
    0xffffffe9,0x03ffffff,0xb013bbb6,0xffffffff,0x00ffffff,0xfffffffb,
    0x0fffffff,0x3fffff60,0xffffffff,0xfffb001f,0xffffffff,0xffd80fff,
    0xffffffff,0x7401ffff,0xffffffff,0x2fffffff,0x3ffffe60,0xffffffff,
    0x3fffe05f,0x7ffe402f,0x3fff605f,0xffffffff,0x3fe01fff,0x7e402fff,
    0xfff05fff,0xfffffbff,0x1fffffff,0x17ffffc0,0x17ffff20,0x00bffffe,
    0xf0bffff9,0xc805ffff,0xff05ffff,0xfc805fff,0x3ff65fff,0x7ffcc6ff,
    0x4fffff8f,0x3ffffee0,0xffffffff,0xffb804ff,0xffffffff,0x804fffff,
    0xfffffffb,0xffffffff,0xffffb804,0xffffffff,0xfb804fff,0xffffffff,
    0x04ffffff,0xffffb800,0xffffffff,0x7fdc07ff,0xffffffff,0xa807ffff,
    0x9adfffff,0x6fffffca,0xfffffb80,0xffffffff,0x3ffea07f,0xfca9adff,
    0x7406ffff,0xa9abceff,0xffffffea,0xffffff00,0xb753337b,0x7fffc0bf,
    0x7ffe402f,0xffff505f,0xff9535bf,0x7fc0dfff,0x7e402fff,0xfff05fff,
    0xdfffffff,0x7fffffff,0x17ffffc0,0x17ffff20,0x00bffffe,0xf0bffff9,
    0xc805ffff,0xff05ffff,0xfc805fff,0x3ffa5fff,0x7ffe42ff,0x0dffff74,
    0x3fffffe2,0xfffffeff,0x3e200fff,0xefffffff,0xffffffff,0x3fffe200,
    0xfffeffff,0x200fffff,0xfffffff8,0xffffffef,0x3fe200ff,0xfeffffff,
    0x0fffffff,0x3ffe2000,0x221bffff,0x3e207eb9,0x1bffffff,0x201fae62,
    0x303fffff,0x407fffff,0xfffffff8,0x1fae621b,0x03fffff8,0x07fffff3,
    0x7e4005ec,0xf981ffff,0x1005ffff,0x17ffffc0,0x17ffff20,0x81fffffc,
    0x03fffff9,0x805fffff,0xf05ffffc,0xbfffffff,0x7ffffdc3,0x3ffffe07,
    0x7fffe402,0x2fffff85,0x2ffffe40,0x017ffffc,0x417ffff2,0x402fffff,
    0x3e5ffffc,0x7fc0ffff,0xffff52ff,0x3ffff60f,0x7ff4c1ef,0x3f605fff,
    0x4c1effff,0x05fffffe,0x3bfffff6,0x7ffff4c1,0x3fff605f,0x7f4c1eff,
    0x3605ffff,0x41efffff,0x5fffffe9,0x3fff6000,0x00800dff,0x37fffff6,
    0x7dc00800,0x7e405fff,0x3f606fff,0x800dffff,0xbffff700,0x6ffffc80,
    0x3ffe0000,0xfffb82ff,0xf80002ff,0x6402ffff,0xfb85ffff,0x7e405fff,
    0xfff06fff,0xffc805ff,0xffff05ff,0x3ee07fff,0xff03ffff,0xfc805fff,
    0xfff85fff,0x7fe402ff,0xffff85ff,0x7ffe402f,0xfffff05f,0xffffc805,
    0x8fffff15,0x3e67fffa,0xff987fff,0x3a205fff,0x981fffff,0x205fffff,
    0x1fffffe8,0x5fffff98,0x3ffffa20,0xffff981f,0x3ffa205f,0xff981fff,
    0x3a205fff,0x001fffff,0x6fffff98,0xfff98000,0x200006ff,0x401fffff,
    0x80fffff9,0x06fffff9,0xfffff800,0x7fffcc01,0xfb00000f,0xff709fff,
    0x00009fff,0x805fffff,0xf85ffffc,0x4c01ffff,0xf80fffff,0x6402ffff,
    0xff05ffff,0x4409ffff,0xf04fffff,0xc805ffff,0xff85ffff,0x7e402fff,
    0xfff85fff,0x7fe402ff,0xffff05ff,0xfffc805f,0xdffff55f,0x224fffc8,
    0x6c0fffff,0x400fffff,0x83fffffa,0x00fffffd,0x1fffffd4,0x07ffffec,
    0x3ffffea0,0xfffffd83,0x7fffd400,0xffffd83f,0x7ffd400f,0xfb8003ff,
    0x0002ffff,0x2fffffb8,0xfff10000,0xfff100ff,0xfff703ff,0x880005ff,
    0x8807ffff,0x001fffff,0x9ffffb00,0xffffff50,0x7fc0005d,0x7e402fff,
    0x7fc45fff,0xff8807ff,0xfff81fff,0x7fe402ff,0xffff05ff,0xfffb00bf,
    0x3fffe0bf,0x7ffe402f,0xfffff85f,0x7fffe402,0x2fffff85,0x2ffffe40,
    0x02fffff8,0xaaffffe4,0x7fc7ffff,0x3ffe61ff,0xffffe87f,0xffffd005,
    0xbffffd0b,0x3ffffa00,0x5ffffe85,0xbffffd00,0x0bffffd0,0x17ffffa0,
    0x017ffffa,0x02fffff4,0x3ffffe40,0xfffc8000,0x2a00007f,0xcccfffff,
    0xffcccccc,0xffc82fff,0xa80007ff,0xcccfffff,0xffcccccc,0x31002fff,
    0xfd999975,0xff109fff,0x9fffffff,0xffff8003,0x7ffe402f,0x7fffd45f,
    0xcccccccf,0x2fffffcc,0x02fffff8,0x82ffffe4,0x802fffff,0xf06ffffc,
    0xc805ffff,0xff85ffff,0x7e402fff,0xfff85fff,0x7fe402ff,0xffff05ff,
    0xfffc805f,0xfffff35f,0x2a3fffd4,0xff86ffff,0xf9002fff,0xfff0dfff,
    0x3f2005ff,0xfff86fff,0xff9002ff,0xffff0dff,0x3ff2005f,0xffff86ff,
    0xfff9002f,0xffd000df,0x20000dff,0x006ffffe,0x3fffee00,0xffffffff,
    0x3fffffff,0x06ffffe8,0xffffb800,0xffffffff,0x3fffffff,0x7fffecc0,
    0xffffffff,0xffff504f,0x9fffffff,0xfffff003,0xffffc805,0x7ffffdc5,
    0xffffffff,0x83ffffff,0x402fffff,0xf05ffffc,0x9005ffff,0x3e0fffff,
    0x6402ffff,0xff85ffff,0x7e402fff,0xfff85fff,0x7fe402ff,0xffff05ff,
    0xfffc805f,0xfffff35f,0x713fff61,0xf88bffff,0x9001ffff,0xf88fffff,
    0x9001ffff,0xf88fffff,0x9001ffff,0xf88fffff,0x9001ffff,0xf88fffff,
    0x9001ffff,0x000fffff,0x00bfffff,0x3ffffe00,0x3f200005,0xffffffff,
    0xffffffff,0xffff83ff,0xfc80005f,0xffffffff,0xffffffff,0xffd103ff,
    0xffffffff,0x409fffff,0xfffffffb,0x00cfffff,0x00bffffe,0xc8bffff9,
    0xffffffff,0xffffffff,0xfff83fff,0x7fe402ff,0xffff05ff,0xfff7005f,
    0xffff01ff,0xfffc805f,0xfffff85f,0x7fffe402,0x2fffff85,0x2ffffe40,
    0x02fffff8,0x8affffe4,0xff2fffff,0xfffe83ff,0x7fffd44f,0xfff7001f,
    0x7ffd41ff,0xff7001ff,0x7fd41fff,0xf7001fff,0x7d41ffff,0x7001ffff,
    0x541fffff,0x001fffff,0x01fffff7,0x5fffff80,0xffff0000,0x6c0000bf,
    0xffffffff,0xffffffff,0xfff82fff,0xd80005ff,0xffffffff,0xffffffff,
    0xffd02fff,0xffffffff,0x09ffffff,0xfffffc88,0x0effffff,0x05fffff0,
    0x45ffffc8,0xfffffffd,0xffffffff,0xff82ffff,0x7e402fff,0xfff05fff,
    0xff9005ff,0x3ffe0fff,0x7fe402ff,0xffff85ff,0x7ffe402f,0xfffff85f,
    0x7fffe402,0x5fffff05,0x5ffffc80,0x2bbffff6,0x7fcc7fff,0x7fd42fff,
    0xf7001fff,0xffa8ffff,0xf7001fff,0xffa8ffff,0xf7001fff,0xffa8ffff,
    0xf7001fff,0xffa8ffff,0xf7001fff,0xd000ffff,0x000fffff,0x1fffffa0,
    0xfffc8000,0x999999ef,0x99999999,0x7ffffe80,0xfffc8000,0x999999ef,
    0x99999999,0xfffffd80,0xd9999abf,0x2004ffff,0xffffffda,0xfff05fff,
    0xffc805ff,0x7ffe45ff,0x999999ef,0x99999999,0x2fffff80,0x2ffffe40,
    0x02fffff8,0x06ffffd8,0x805fffff,0xf85ffffc,0x6402ffff,0xff85ffff,
    0x7e402fff,0xfff05fff,0xffc805ff,0x3ffee5ff,0x24fffeff,0x86ffffe8,
    0x02fffff9,0x8dffff90,0x02fffff9,0x8dffff90,0x02fffff9,0x8dffff90,
    0x02fffff9,0x8dffff90,0x02fffff9,0x0dffff90,0xfffffb00,0xffb00001,
    0x00001fff,0x01bfffea,0xffffb000,0xfa80001f,0x00006fff,0x1bffffe2,
    0x09ffffb0,0x3fff6a00,0xff80ffff,0x7ec02fff,0x7fd45fff,0x400006ff,
    0x402fffff,0xf05ffffd,0xd005ffff,0x3e09ffff,0x6c02ffff,0xff85ffff,
    0x7ec02fff,0xfff85fff,0x7fec02ff,0xffff05ff,0xfffd805f,0x3fffe25f,
    0xa89fffff,0x02fffffe,0x007fffff,0x217ffff6,0x003fffff,0xf0bffffb,
    0x2007ffff,0xf85ffffd,0xb003ffff,0xff0bffff,0x36007fff,0x8005ffff,
    0x04fffffb,0xffffb800,0xf300004f,0x0001ffff,0x7ffffdc0,0x7fcc0004,
    0x00000fff,0x03fffff5,0x04ffffd8,0x7fffcc00,0xffff82ff,0x3ffe603f,
    0x7ffcc5ff,0x200000ff,0x203fffff,0x05fffff9,0x805fffff,0x03fffff9,
    0x407fffff,0x85fffff9,0x203fffff,0x85fffff9,0x203fffff,0x05fffff9,
    0x407fffff,0x45fffff9,0xfffffffa,0xffffffef,0x3fffa05f,0xfff8805f,
    0xfffe84ff,0xfff8805f,0xfffe84ff,0xfff8805f,0xfffe84ff,0xfff8805f,
    0xfffe84ff,0xfff8805f,0xfa8004ff,0x001fffff,0x7ffffd40,0xf880001f,
    0x0004ffff,0x3ffffea0,0x3e20001f,0x0004ffff,0x1fffff70,0x7ffffcc0,
    0xffb80004,0xffe82fff,0xfff305ff,0xff88bfff,0x00004fff,0x417ffffa,
    0x5ffffff9,0x05fffff0,0x1fffffd8,0x0bffffd0,0x3fffffe6,0x5ffffe85,
    0xffffff30,0xbffffd0b,0x3ffffe60,0xffffd05f,0x3fffe60b,0xfffc85ff,
    0xffffffff,0x3600dfff,0x401fffff,0x82fffffb,0x01fffffd,0x17ffffdc,
    0x0fffffec,0x3ffffee0,0xfffffd82,0x7fffdc01,0xffffd82f,0x7ffdc01f,
    0xe88002ff,0x02ffffff,0xfffd1028,0x05005fff,0x2fffffd8,0xffd10000,
    0x5005ffff,0x3fffff60,0xffb80002,0xff503fff,0x0109ffff,0xfffffd80,
    0x7ffffd80,0xfffffe88,0xffffd85f,0xfb00002f,0xfd10ffff,0x20bfffff,
    0x202fffff,0x05fffffb,0x21fffff6,0xffffffe8,0x7ffffd85,0xfffffe88,
    0xffffd85f,0xffffe887,0xfffb05ff,0xfffd10ff,0x3ee0bfff,0xffffffff,
    0xfa803fff,0x500effff,0x20dfffff,0x0efffffa,0xdfffff50,0x3ffffea0,
    0xffff500e,0x3ffea0df,0xff500eff,0x3ea0dfff,0x500effff,0x00dfffff,
    0x7ffffd40,0xbaaaceff,0xff500ffd,0x59dfffff,0x01ffb755,0x7fffffcc,
    0x076e601d,0xffffffa8,0xdbaaacef,0xfff980ff,0x2601dfff,0xfff981db,
    0x3ee21eff,0x84ffffff,0x7d401cec,0xf907ffff,0x935dffff,0xffffffff,
    0xfffff30b,0x6dcc03bf,0xfffff901,0xffff935d,0x3e0bffff,0x4c0cffff,
    0x0ffffffc,0x3fffff20,0xffffc9ae,0xfc85ffff,0xc9aeffff,0xffffffff,
    0xfffffc85,0xffffc9ae,0xf905ffff,0x935dffff,0xffffffff,0x7fffdc0b,
    0x01deffff,0x3fffffa0,0xffca9abf,0x3a01ffff,0xabffffff,0xfffffca9,
    0x3fffa01f,0xca9abfff,0x01ffffff,0x3ffffffa,0xfffca9ab,0x3fa01fff,
    0x9abfffff,0xffffffca,0x7fec0001,0xffffffff,0x200fffff,0xfffffffd,
    0xffffffff,0x7fffe400,0xfeeeffff,0x6c01ffff,0xffffffff,0x0fffffff,
    0xffffff90,0xfffdddff,0xfff103ff,0xffdfffff,0x9fffffff,0xddffff90,
    0xfffffd9b,0x3fe609ff,0xffffffff,0x5fffffff,0xffffff90,0xfffdddff,
    0x3fe603ff,0xffffffff,0x5fffffff,0xfffffff0,0xffffffdf,0xff9807ff,
    0xffffffff,0x5fffffff,0xffffff98,0xffffffff,0xff985fff,0xffffffff,
    0x5fffffff,0xffffff30,0xffffffff,0x7f40bfff,0x009bacff,0xfffff300,
    0xffffffff,0xf9809fff,0xffffffff,0x4fffffff,0x7ffffcc0,0xffffffff,
    0x7cc04fff,0xffffffff,0x4fffffff,0x7ffffcc0,0xffffffff,0x80004fff,
    0xffffffe8,0xffffffff,0x3fffa200,0xffffffff,0xfe800fff,0xffffffff,
    0x01ffffff,0x7fffff44,0xffffffff,0x3fffa00f,0xffffffff,0xf701ffff,
    0xffffffff,0xffff7fff,0xfffff909,0xffffffff,0xffd80bff,0xffffffff,
    0x05ffff9f,0x3ffffffa,0xffffffff,0x3fff601f,0xffffffff,0xf05ffff9,
    0xffffffff,0xbfffffff,0x3ffff600,0x9fffffff,0xfb05ffff,0xffffffff,
    0xbffff3ff,0x3fffff60,0xf9ffffff,0x3f605fff,0xffffffff,0x5ffff9ff,
    0x01ffff10,0x7ffe4000,0xffffffff,0xc800dfff,0xffffffff,0x0dffffff,
    0xfffffc80,0xffffffff,0xffc800df,0xffffffff,0x800dffff,0xfffffffc,
    0xdfffffff,0x3ee00000,0xffffffff,0xb800ffff,0xffffffff,0x000fffff,
    0xfffffff7,0x3fffffff,0x3fffee00,0xffffffff,0x7ffdc00f,0xffffffff,
    0x3f601fff,0xffffffff,0x09ffff2f,0xfffffff9,0xbfffffff,0xffffd100,
    0x3e3dffff,0x7dc05fff,0xffffffff,0x201fffff,0xffffffe8,0xffff1eff,
    0x3ffffe0b,0xffffffff,0x3a2001ef,0xffffffff,0x0bffff1e,0x3fffffa2,
    0xfff1efff,0x3ffa20bf,0x1effffff,0x440bffff,0xfffffffe,0xbffff1ef,
    0x01bffee0,0x3ffea000,0xffffffff,0x7fd4003f,0xffffffff,0x7d4003ff,
    0xffffffff,0x54003fff,0xffffffff,0x4003ffff,0xfffffffa,0x003fffff,
    0xffd91000,0x59dfffff,0x7ff64400,0x2cefffff,0x7ffec400,0xefffffff,
    0x3b22000c,0xefffffff,0xffb1002c,0xffffffff,0xffb8019d,0x20cfffff,
    0xea84ffff,0xffffffff,0x4001cfff,0xcffffffd,0x017fffe0,0x3fffff62,
    0x0cefffff,0xfffffd80,0x3fffe0cf,0xffd95105,0x7dffffff,0x7ffec000,
    0x3fe0cfff,0x7fec05ff,0x3e0cffff,0x7ec05fff,0x20cfffff,0xd805ffff,
    0x0cffffff,0x7417fffe,0x00003fff,0xffffd910,0x0001bdff,0x3ffffb22,
    0x0000deff,0xfffffd91,0x20001bdf,0xfffffec8,0x10000def,0xffffffd9,
    0x000001bd,0x04cd4c40,0x9a988000,0x31000009,0x00335575,0x4cd4c400,
    0x54c40000,0x00019aab,0x00035553,0x2eaaaa20,0x440001aa,0x0000aaa9,
    0xaaba9880,0x53100019,0x80000155,0x0009aa99,0x2aaa6200,0x53100000,
    0x20000155,0x000aaa98,0x2aaa6200,0xddd10000,0x0000001d,0x00135531,
    0x9aa98800,0x4c400000,0x000009aa,0x004d54c4,0x2aa62000,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54400000,0x4001aaaa,0x00aaaaa9,
    0x00000000,0x3bbba600,0x00000004,0x00000000,0x1a880000,0x0000aa20,
    0x00000000,0x00000000,0x88000000,0xcceedcba,0xaa9800ab,0x44000001,
    0x00aa201a,0x0004d4c0,0x00000000,0x00000000,0x55544000,0x00000009,
    0x00000000,0x44f77764,0x005fffff,0x03ffffec,0x3ffffff2,0x00265cc1,
    0xfffc8000,0x7cc0002f,0x00efffff,0xeffff880,0xf3000000,0x01dfffff,
    0x4c2fffd4,0x0000effe,0x01dffff1,0x7fcc0000,0x4c0effff,0x05ffffff,
    0xfffe8000,0x027ffdc0,0x3fffff22,0x05ffffff,0x3bffffea,0xfffe8801,
    0x17ffea02,0x003bffa6,0x27ffffec,0xf88002cc,0x0000efff,0xfffff300,
    0xfff981df,0x00005fff,0xffffffb3,0x700005df,0x4c5fffff,0x02ffffff,
    0xfff80000,0x3ffff67f,0xfff1000f,0xffb009ff,0xffd9ffff,0x7fc00bff,
    0xffffffff,0x7ffff45f,0x3fe60000,0x0004ffff,0xdfffffd1,0xf9800001,
    0x804fffff,0x6c3fffff,0x8005ffff,0xefffffe8,0xf9800000,0x204fffff,
    0x5fffffe8,0x7fec0000,0x3fffa24f,0x3fffea02,0xffffffff,0xffff905f,
    0xc803ffff,0x7fc05fff,0x7fec3fff,0xffd805ff,0x8aefffff,0x44005fea,
    0x0efffffe,0x7fcc0000,0x2204ffff,0x05fffffe,0x3fff2200,0xffffffff,
    0xff50000e,0x7fc45fff,0x0001efff,0xffff9800,0x3ffffea4,0xffff7003,
    0xfff1003f,0xffffffff,0x7ffc00bf,0xffffffff,0x02ffffc5,0xfffff100,
    0x3a20005f,0x5fffffff,0x3fe20000,0x8802ffff,0x7c5fffff,0x4006ffff,
    0xffffffe8,0x4400005f,0x02ffffff,0xbfffff90,0x7fd40000,0xffffdeff,
    0xffff300f,0xffffffff,0xfff30bff,0x0dffffff,0x007fffcc,0x8bfffff1,
    0x406fffff,0xfffffffb,0xffffffff,0xfffd1002,0x000bffff,0x7ffffc40,
    0xfff9002f,0x36000bff,0xffffffff,0x00efffff,0x7ffffc40,0x3ffffa23,
    0x0000000d,0xf83ffff7,0xd006ffff,0x4c0dffff,0xffffffed,0x5fffffff,
    0x3ffffe00,0x25ffffff,0x002ffff9,0xdfffff10,0x3fa20001,0xffff9eff,
    0xff880005,0x2000efff,0x744fffff,0x2005ffff,0xf9efffe8,0x00005fff,
    0x1dfffff1,0xffffa800,0x3600005f,0xffffffff,0x3fffe03f,0xa999bdff,
    0xffd85fdb,0x5fffd34f,0x00bfffa0,0xd13ffffe,0xa80bffff,0xffebcfff,
    0x05ffffff,0x3dfffd10,0x000bffff,0xdfffff10,0xfffa8001,0x7dc005ff,
    0xecefffff,0x05ffffff,0x1fffff40,0x013ffffa,0x9dddd700,0x437ffec0,
    0x01fffffc,0x17ffffcc,0xffffff50,0x9dffffff,0x7ffc0015,0xffffffff,
    0x01fffee5,0x7ffffc40,0x7ff40004,0xffff30ef,0x7fc4000b,0xb8004fff,
    0x7d40ffff,0x3a001fff,0xff30efff,0x88000bff,0x004fffff,0x3ffffa20,
    0xfb100005,0x09ffffff,0x2fffffcc,0x7fff8080,0x641fffe4,0xf7005fff,
    0xffa81fff,0x1fa801ff,0x7fffffdc,0x3fffa006,0xbffff30e,0x7ffc4000,
    0x220004ff,0x005ffffe,0x1bfffff1,0x7ffffe88,0x3ffff200,0x1ffffec3,
    0x7ffe4000,0x3fffe06f,0xfffff884,0x7fffe404,0x7fffd407,0xffffffff,
    0x33330001,0xbffffb33,0x0027ffec,0x177776c4,0x3bbb2000,0x7776cc0d,
    0xeed88003,0x260002ee,0x177300bc,0x6f776400,0x1f776cc0,0xeeed8800,
    0xd900002e,0x00009ddd,0x0e77f6d4,0x3ffffee0,0xfff10002,0x44fffa8b,
    0x000ffff9,0x5cc02f26,0x4402000b,0x2001bdcb,0x4c0deeec,0x8003eeed,
    0x02eeeed8,0xdddd9000,0xffff5009,0x3ffe601f,0xee9801ff,0x7775c3ee,
    0xf900001e,0x3e20dfff,0xffb01fff,0xffe80fff,0x7fd404ff,0xfffc9bdf,
    0x400006ff,0x365ffffd,0x00001eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0x30004fff,0xff98bfff,0x1ffff44f,
    0x00000000,0x00000000,0x00000000,0xfc800000,0x3e204fff,0x0001ffff,
    0xc8000000,0xd306ffff,0x7fd40bdd,0xff302fff,0xa9803fff,0xfffffd00,
    0x7ec00007,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x2effffff,0x37ffc400,0xfb8fffee,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x0fffff60,0x0fffffa8,0x00000000,
    0x6ffffc80,0xffff0000,0x3fff20bf,0x9530006f,0x3ffffffd,0x3ff60000,
    0x510005ff,0x50379db9,0x000159b9,0x3bb72ea2,0x4000abcc,0xceedcba8,
    0x10000abc,0x01579b95,0x9b951000,0x10000157,0x01579b95,0x9b951000,
    0x55400157,0x54c00aaa,0xfff11aaa,0x39ffffff,0x83fffe00,0xff32fffd,
    0x260001ff,0xaccedcca,0x99530001,0x003599db,0x3b732a60,0x30001acc,
    0x599db995,0x654c0003,0x01accedc,0x40bffffa,0x06ffffe8,0x79d95300,
    0x90000015,0x000dffff,0x3fffff20,0x3fffff80,0x7fffdc00,0x5fffffff,
    0xfffb0000,0xfc8800bf,0xdfffffff,0xfffffe88,0x3f22001f,0xffffffff,
    0xf91005ff,0xffffffff,0xe9800bff,0xffffffff,0xfe98000d,0xdfffffff,
    0xffe98000,0x0dffffff,0xfffe9800,0x00dfffff,0x02fffff8,0x52ffffe4,
    0xffffffff,0x6c039fff,0xffebffff,0x0ffffa6f,0xffffb500,0xdfffffff,
    0xfffb5005,0xffffffff,0xffb5005d,0xffffffff,0xfb5005df,0xffffffff,
    0x2a005dff,0xfffffffd,0xf82effff,0xd882ffff,0x001fffff,0x7fffffe4,
    0x0000dfff,0x1bffff20,0x7ffcc000,0x7ffd43ff,0xfd3000ff,0xffffffff,
    0x0003ffff,0x0bffffb0,0xfffff980,0xffefffff,0x1fffffff,0xfffffa80,
    0xffffffff,0xffffa805,0xffffffff,0x3fee005f,0xffffffff,0x3ee002ff,
    0xffffffff,0x2e002fff,0xffffffff,0x2002ffff,0xfffffffb,0x402fffff,
    0x402fffff,0x5c5ffffc,0xffffffff,0x880cffff,0xffffffff,0x0dfff72f,
    0xfffffd00,0xffffffff,0xfffe80bf,0xffffffff,0x7f405fff,0xffffffff,
    0x405fffff,0xfffffffe,0x5fffffff,0xfffffe80,0xffffffff,0x7ffffc5f,
    0xfffffe82,0x3ffa6003,0xffffffff,0x900003ff,0x000dffff,0x37ffff40,
    0x013ffff6,0x7fffffcc,0xffffffff,0xfd80005f,0x4c005fff,0xffffffff,
    0xffffffff,0x4c06ffff,0xffffffff,0x05ffffff,0x7fffffcc,0xffffffff,
    0xffffb005,0xffffffff,0xffb003ff,0xffffffff,0xb003ffff,0xffffffff,
    0x03ffffff,0xffffffb0,0xffffffff,0x7ffffc03,0x7fffe402,0xffffc885,
    0xefffffff,0xfffffa80,0xffff13ff,0xfffd0003,0xffffffff,0x7405ffff,
    0xffffffff,0x2fffffff,0x3fffffa0,0xffffffff,0x3ffa02ff,0xffffffff,
    0x402fffff,0xfffffffe,0xffffffff,0x0bffffe2,0x05fffffb,0x7ffffdc0,
    0xffffffff,0xc80004ff,0x0006ffff,0x3ffffea0,0x3fffff10,0x3ffffa00,
    0xffdcceff,0x0001ffff,0x02ffffec,0x2273fe60,0xffffffa8,0xffffc8af,
    0x3ffffe01,0xba999bdf,0x7ffc05fd,0x999bdfff,0xa805fdba,0x9adfffff,
    0x6fffffca,0x7ffffd40,0xfffca9ad,0x7fd406ff,0xca9adfff,0x406fffff,
    0xadfffffa,0xfffffca9,0x3ffffe06,0x7fffe402,0x7ffed405,0x05ffffff,
    0x439bfb91,0x0003fffe,0x3579dffd,0xfffffd55,0x3bffa01f,0xfeaa9abc,
    0xd00fffff,0x53579dff,0xffffffd5,0x33bffa01,0xffeaa9ab,0x3a00ffff,
    0xa9abceff,0xffffffea,0x45fffff0,0x02fffffa,0x3ffffe20,0xffffefff,
    0x0000ffff,0x037fffe4,0x3fffe000,0xdffff73f,0x3fffee00,0xfffb80ef,
    0x6c0003ff,0x4005ffff,0x3ffea039,0x7ffec2ff,0xfffff304,0xf980200b,
    0x1005ffff,0x7fffff00,0x3ffffe60,0x3ffffe03,0xfffff303,0x7ffffc07,
    0xfffff303,0x7ffffc07,0xfffff303,0x3ffffe07,0x7fffe402,0x3ff6a005,
    0x000fffff,0x006fffb8,0x32002f60,0xb01fffff,0xfff90017,0x02f603ff,
    0x3fffff20,0x90017b01,0x403fffff,0xffc800bd,0xffff1fff,0x7fffec5f,
    0x7ffec006,0x7f4c1eff,0x0005ffff,0x037fffe4,0x3fff2000,0x7ffffd6f,
    0xfffff100,0x3ffe201d,0x6c0006ff,0x0005ffff,0x87ffff80,0xf706fffb,
    0x0005ffff,0x5fffff70,0x3fee0000,0x7fe405ff,0xfff706ff,0xfffc80bf,
    0xffff706f,0xffffc80b,0xbffff706,0x6ffffc80,0x05fffff0,0x05ffffc8,
    0xfffff980,0x7fc4002f,0x000001ff,0x0bffffe0,0x7fffc000,0xff00002f,
    0x00005fff,0x00bffffe,0xfffff800,0x45fffff2,0x004ffffe,0x17ffffe6,
    0xfffffe88,0x3ff20001,0x400006ff,0xfafffff9,0xb800ffff,0x402fffff,
    0x00fffffe,0x3ffff600,0xfe800005,0xfff986ff,0xfffff707,0xff700009,
    0x00009fff,0x007ffffe,0x01fffff3,0x803fffff,0x80fffff9,0x401fffff,
    0x80fffff9,0x401fffff,0x80fffff9,0x402fffff,0x005ffffc,0x5fffff70,
    0x4fffd800,0x6c000000,0x0004ffff,0x09ffffb0,0x3fff6000,0xfb00004f,
    0x00009fff,0xfa7fffec,0x3f62ffff,0x36007fff,0x400fffff,0x03fffffa,
    0x3ffff200,0xfe800006,0xffffffff,0xffffb005,0xffff700d,0x7ec0005f,
    0x00005fff,0x884fffd8,0xff507fff,0x005dffff,0x7ffffd40,0x220002ef,
    0x8807ffff,0x441fffff,0x8807ffff,0x441fffff,0x8807ffff,0x441fffff,
    0x8807ffff,0xf81fffff,0x6402ffff,0x0015ffff,0x0fffffd8,0x1bffea00,
    0x36000000,0x0004ffff,0x09ffffb0,0x3fff6000,0xfb00004f,0x00009fff,
    0xfa7fffec,0x3f22ffff,0xd004ffff,0x200bffff,0x005ffffe,0x1bffff20,
    0x3fee0000,0x2fffffff,0x9ffffd00,0xfffff500,0x7fec0005,0x880005ff,
    0xdfffeaa9,0xfffbaaaa,0xffff880f,0x01cfffff,0x7ffffc40,0x001cffff,
    0x67ffffd4,0xcccccccc,0x542fffff,0xcccfffff,0xffcccccc,0x7fd42fff,
    0xcccccfff,0xffffcccc,0x7fffd42f,0xcccccccf,0x2fffffcc,0x02fffff8,
    0xcaffffe4,0x7fd401ce,0x22007fff,0x0001ffff,0xccba9880,0x4ffffecc,
    0x99753100,0x9ffffd99,0x32ea6200,0xffffeccc,0x97531004,0xffffd999,
    0x5d4c4009,0xfffecccc,0x5fffff4f,0x7fffffd4,0x7fffc00d,0xfff9002f,
    0x7e4000df,0x00006fff,0xffffff88,0x3fe007ff,0xf9803fff,0x0003ffff,
    0x017ffff6,0x7fffe440,0xffffffff,0x1fffffff,0xffffff50,0x039fffff,
    0x3ffffea0,0x1cffffff,0xfffffb80,0xffffffff,0x43ffffff,0xfffffffb,
    0xffffffff,0x7dc3ffff,0xffffffff,0xffffffff,0x7ffdc3ff,0xffffffff,
    0xffffffff,0x2fffff83,0xaffffe40,0xdeeffffc,0xffffffec,0x3ff6004f,
    0x3bfb6a4f,0x3f66000c,0xffffffff,0x4c04ffff,0xfffffffd,0x04ffffff,
    0x7ffffecc,0xffffffff,0x7ffecc04,0xffffffff,0xfd9804ff,0xffffffff,
    0xfff4ffff,0xfffd85ff,0xf101ffff,0x2003ffff,0x007ffffc,0x1bffff20,
    0x7fe40000,0x003fffff,0x05fffff1,0x7fffff10,0x7ffec000,0xffb8005f,
    0xffffffff,0xffffffff,0x3ee00fff,0xffffffff,0xb800cfff,0xffffffff,
    0x200cffff,0xfffffffc,0xffffffff,0x7e43ffff,0xffffffff,0xffffffff,
    0x7ffe43ff,0xffffffff,0xffffffff,0x7ffffe43,0xffffffff,0x83ffffff,
    0x402fffff,0xf95ffffc,0xffffffff,0x0bffffff,0x8b7ffd40,0xfffffffd,
    0x7fff4401,0xffffffff,0xd104ffff,0xffffffff,0x9fffffff,0x3ffffa20,
    0xffffffff,0xfd104fff,0xffffffff,0x09ffffff,0x7fffff44,0xffffffff,
    0xfffff4ff,0xffffe885,0xffa82fff,0xf7001fff,0x0001ffff,0x01bffff2,
    0x7ffcc000,0x3000ffff,0x005fffff,0x07fffff1,0x7fffec00,0x7ffcc005,
    0xffffffff,0xffffffff,0x64400fff,0xffffffff,0x8800efff,0xfffffffc,
    0xb00effff,0xffffffff,0xffffffff,0xffd85fff,0xffffffff,0xffffffff,
    0x7fffec2f,0xffffffff,0x2fffffff,0x7fffffec,0xffffffff,0xf82fffff,
    0x6402ffff,0xff95ffff,0xffffffff,0x400bffff,0xfb1ffff8,0xdfffffff,
    0xfffffe80,0xffffffff,0xffd04fff,0xffffffff,0x09ffffff,0x3ffffffa,
    0xffffffff,0xfffd04ff,0xffffffff,0x409fffff,0xfffffffe,0xffffffff,
    0x5fffff4f,0xfffffd10,0xfffa83ff,0xff7001ff,0x64000fff,0x0006ffff,
    0x3ffffa00,0x3fe2004f,0xf9802fff,0x0003ffff,0x017ffff6,0x17ffffd0,
    0x0017ffec,0x7ffed400,0x05ffffff,0x7fffed40,0x905fffff,0x333dffff,
    0x33333333,0xffc81333,0x99999eff,0x99999999,0x7fffe409,0x9999999e,
    0x09999999,0x4f7fffe4,0x99999999,0xf8099999,0x6402ffff,0xfd55ffff,
    0xffffffff,0xd80039ff,0xfff34fff,0x7ffff99f,0x3fffff60,0xd9999abf,
    0xfd84ffff,0x9abfffff,0xffffd999,0xfffffd84,0xd9999abf,0xfd84ffff,
    0x9abfffff,0xffffd999,0xfffffb04,0xb333357f,0x3fe9ffff,0x3f202fff,
    0x4c6fffff,0x002fffff,0x00dffff9,0x37fffe40,0xffd00000,0xf8001fff,
    0xa803ffff,0x002fffff,0x17ffff60,0x3ffff980,0x003fffd8,0x7fed4000,
    0x000fffff,0xfffffb50,0xfff501ff,0x540000df,0x0006ffff,0x1bfffea0,
    0xfffa8000,0x7c00006f,0x6c02ffff,0xa885ffff,0x01aabaaa,0x1dfff500,
    0xfa8ffff2,0xfff885ff,0x7fec06ff,0x7ffc44ff,0x7fec06ff,0x7ffc44ff,
    0x7fec06ff,0x7ffc44ff,0x7fec06ff,0xfff884ff,0x7fec06ff,0xfffff4ff,
    0xffffb805,0x7fffc0ff,0xfffb003f,0x7e4000bf,0x00006fff,0x9fffff50,
    0xfffff000,0xffff900b,0x7ec0001f,0x2a005fff,0xfd80ffff,0x000004ff,
    0xffffff30,0xff980005,0xf982ffff,0x0000ffff,0x1fffff30,0x3fe60000,
    0x00000fff,0x01fffff3,0x7fffc000,0x3ffe603f,0x000005ff,0x45ffff10,
    0x3e21fffd,0xfffa86ff,0x7fec01ff,0x7ffd44ff,0x7fec01ff,0x7ffd44ff,
    0x7fec01ff,0x7ffd44ff,0x7fec01ff,0xfffa84ff,0x7fec01ff,0xfffff4ff,
    0xffff9005,0xffffe85f,0xffff8805,0x3f20004f,0x00006fff,0xffffff88,
    0xfffe8000,0x3fe200ff,0x40006fff,0x005ffffd,0x741fffee,0x00006fff,
    0x3fffee00,0xfb80002f,0xf882ffff,0x0004ffff,0x9fffff10,0x3fe20000,
    0x00004fff,0x09fffff1,0x7fff4000,0xffff305f,0x55500bff,0xff900055,
    0x87ffe8bf,0xffb87fff,0x3e600fff,0x7dc4ffff,0x2600ffff,0x5c4fffff,
    0x200fffff,0x44fffff9,0x00fffffb,0x13ffffe6,0x03ffffee,0x4fffff98,
    0x005fffff,0x87fffff3,0x01fffffd,0x17ffffdc,0xffff9000,0xe880000d,
    0x002fffff,0xbfffff70,0x7ffffec0,0x7fec0004,0x3ee005ff,0x7fdc1fff,
    0x10002fff,0xffffd800,0x6c00080f,0xb00fffff,0x005fffff,0x3ffff600,
    0xfb00002f,0x0005ffff,0x3fffff60,0xffb00002,0xffd10fff,0x880bffff,
    0x4005ffff,0x740ffffa,0x7ffc0fff,0xfffffb86,0xfffff503,0xffffb89f,
    0xffff503f,0xfffb89ff,0xfff503ff,0xffb89fff,0xff503fff,0xf709ffff,
    0x2a07ffff,0xf4ffffff,0x1005ffff,0xa85fffff,0x00efffff,0x0dfffff5,
    0xffffc800,0x26aa0006,0xffffffca,0x7ffc0004,0xa89aefff,0x0ffffffe,
    0x7ffec000,0x3fea005f,0x3ffe63ff,0x3501ffff,0x50073b20,0x20ffffff,
    0x7d401cec,0x2607ffff,0x1dffffff,0x4c076e60,0x1dffffff,0x4c076e60,
    0x1dffffff,0x4c076e60,0x1dffffff,0x64076e60,0x9aefffff,0xfffffffc,
    0x7ffd405f,0x3fa2002f,0xfffd82ff,0x217ffe62,0x1efffff9,0x3ffffee2,
    0x7ffcc4ff,0x3ee21eff,0x44ffffff,0x1efffff9,0x3ffffee2,0x7ffcc4ff,
    0x3ee21eff,0x84ffffff,0x1efffff9,0x3ffffee2,0xfffff4ff,0x3f6204c5,
    0xfe80ffff,0x9abfffff,0xffffffca,0x7fe40001,0x360006ff,0xffffffff,
    0xfb80006f,0xffffffff,0x3fffffff,0x33333100,0x3dffffb3,0xf3033333,
    0xff9bffff,0xbfffffff,0x205ffb97,0xdeeffffc,0xffffffec,0xffff904f,
    0xfffd9bdd,0xc809ffff,0xffffffff,0xfffffeee,0x3ffff201,0xfeeeffff,
    0x3201ffff,0xffffffff,0xfffffeee,0x3ffff201,0xfeeeffff,0xf301ffff,
    0xffffffff,0xffffffff,0xffffc80b,0x3fff2000,0x3dfff705,0x107fffb3,
    0xffffffff,0xfffffffd,0xfff889ff,0xffefffff,0x4fffffff,0x7fffffc4,
    0xfffffeff,0x7c44ffff,0xefffffff,0xffffffff,0xffff884f,0xfffeffff,
    0xf4ffffff,0x7fc5ffff,0xfffffeef,0xffff306f,0xffffffff,0x0009ffff,
    0x9fffff90,0x99999999,0x7ffec999,0x00efffff,0xffffd000,0xffffffff,
    0x7f4009ff,0xffffffff,0xffffffff,0xffffe80f,0xfeafffff,0xffffffff,
    0xffff902f,0xffffffff,0x7e40bfff,0xffffffff,0x05ffffff,0xffffffd0,
    0xffffffff,0xfffe803f,0xffffffff,0x7401ffff,0xffffffff,0x1fffffff,
    0x7fffff40,0xffffffff,0x3ff601ff,0xffffffff,0x05ffff9f,0x002fffec,
    0x201ffff3,0xfffffff8,0x3fee06ff,0xffffffff,0x4ffffbff,0xffffffb8,
    0xfbffffff,0xffb84fff,0xffffffff,0x4ffffbff,0xffffffb8,0xfbffffff,
    0xff704fff,0xffffffff,0x9ffff7ff,0xf8bffffe,0xffffffff,0x3ff200ff,
    0xffffffff,0x000dffff,0xfffffc80,0xffffffff,0x3ff67fff,0x003fffff,
    0xffffb800,0xffffffff,0x7fff4004,0xffffffff,0x0fffffff,0xffffff98,
    0xffff31ff,0x05ffffff,0x3ffffff2,0xffffffff,0x7fffe405,0xffffffff,
    0x7dc005ff,0xffffffff,0x801fffff,0xfffffffb,0x1fffffff,0xfffffb80,
    0xffffffff,0xfffb801f,0xffffffff,0x3a201fff,0xffffffff,0x0bffff1e,
    0x003ffff8,0x700bfffa,0xffffffff,0xffffd805,0xf2ffffff,0x3f609fff,
    0xffffffff,0x09ffff2f,0x3ffffff6,0xfff2ffff,0x3fff609f,0x2fffffff,
    0x6c09ffff,0xffffffff,0x9ffff2ff,0xf8bffffe,0xffffffff,0xfffa801e,
    0xffffffff,0x3200003f,0xffffffff,0xffffffff,0x37ffff67,0x2000000c,
    0xffffffd9,0xe8000cff,0xffffffff,0xffffffff,0xffd300ff,0xfe983dff,
    0x0dffffff,0xfffffd50,0x39ffffff,0xffffd500,0x9fffffff,0x3f620003,
    0xffffffff,0xb1000cef,0xffffffff,0x20019dff,0xffffffd8,0x00ceffff,
    0xfffffb10,0x19dfffff,0xfffffb00,0x7fffc19f,0x3fffe205,0xbfff9000,
    0x3fffea00,0xff7000ef,0x419fffff,0x2e04ffff,0xcfffffff,0x813fffe0,
    0xfffffffb,0x13fffe0c,0xffffffb8,0x3fffe0cf,0x7fffdc04,0x3fe0cfff,
    0xfffff4ff,0x7fffffc5,0x644002ef,0xeffffffe,0x6400000d,0xffffffff,
    0xffffffff,0x00004cc7,0xaa988000,0x7f400019,0xffffffff,0xffffffff,
    0x0554c00f,0x06aaaa60,0x75555100,0x44000355,0x1aabaaaa,0x54c40000,
    0x00019aab,0x9aaba988,0xa9880001,0x00019aab,0x9aaba988,0x55310001,
    0x00000015,0x54400000,0x55300009,0x4c000035,0x00001aaa,0x0006aaa6,
    0x01aaa980,0x5554c000,0x99800001,0x100001aa,0x00013553,0x7fffe400,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55540000,0x6f65c41a,0xca98002b,0xaaaabced,0x2aa0aaaa,
    0x765c42aa,0x555501bd,0xbdecb883,0x00000002,0x00155100,0x00000000,
    0x00000000,0x00000000,0x002ded88,0x30000000,0x599db995,0x054c0003,
    0x88001530,0x99999999,0x00000999,0x22000000,0x02bcedca,0x00000000,
    0x55533000,0x00000013,0x757ffff2,0x01abceff,0x07fff400,0xf813ffee,
    0x3fee5fff,0x00dfffff,0xfffffd98,0xffffffff,0x3fffe1ff,0x3ffffee6,
    0x7ffc0dff,0x3fffee5f,0xb100dfff,0x03ffffff,0xffea8000,0x81d81dff,
    0x002fffff,0x7fffffc0,0x005fffff,0x027fffec,0x7cc00000,0x00efffff,
    0x1fffffc4,0xffffb800,0x0ffffd41,0xfffffda8,0x2effffff,0x17ffec00,
    0x001fffe4,0xfffffffb,0xa807ffff,0xffffffff,0x00003fff,0xffffff70,
    0x6c003bff,0x0004ffff,0xffd98000,0x0fffffff,0x7e400000,0xfffd5fff,
    0x003bffff,0x893fff60,0x3e02fffe,0xfffb5fff,0x1fffffff,0x7ffffdc0,
    0xffffffff,0x3fe1ffff,0xffffb6ff,0x41dfffff,0xffb5ffff,0xffffffff,
    0x7fffdc01,0x300001ff,0xffffffff,0x83ff9339,0x002fffff,0x7fffffc0,
    0x005fffff,0x027fffec,0x3e600000,0x004fffff,0x0ffffff9,0x7fffe400,
    0x05ffff51,0x7ffffff4,0xffffffff,0xffff7005,0xfffffa8f,0xffffb000,
    0x7fffffff,0xfffffa80,0x03ffffff,0x7ff44000,0xffffffff,0xfffb002f,
    0x0000009f,0x7ffffec4,0x00ffffff,0x7fe40000,0xffffd5ff,0x03bfffff,
    0xeffffa80,0x00fffffd,0x3f7bfffe,0xffffffff,0xfff304ff,0xffffffff,
    0x3fffffff,0x7e7ffffc,0xffffffff,0x3fffe4ff,0xffffffde,0x404fffff,
    0x1fffffe9,0x7ffc4000,0xffffffff,0x7fc6ffff,0x40002fff,0xffffffff,
    0xcc805fff,0xceffffec,0x0001cccc,0xfffff880,0x3ff6002f,0x0000ffff,
    0x3f3ffff2,0x7f402fff,0xffffffff,0x02ffffff,0x0fffffd8,0x0bffffee,
    0x7ffffec0,0x03ffffff,0x7fffffd4,0x003fffff,0x7fffe400,0xffffffff,
    0xfffd800f,0x0000004f,0x3ffffff6,0x00ffffff,0x7fe40000,0xffffd5ff,
    0x5fffffff,0xffffd800,0x403fffff,0xffffffff,0xfffffeff,0x7ffc40ff,
    0xfd711eff,0x1999ffff,0x7ffffffc,0xfffedfff,0xffff0fff,0xfdffffff,
    0x01ffffff,0xfffffd88,0x3fa20001,0xffffcbdf,0x7c0fffff,0x0002ffff,
    0x7ffffffc,0xf805ffff,0xffffffff,0x003fffff,0x7fffc400,0x7e4000ef,
    0x0007ffff,0xffffffd8,0xeffe803f,0xfeaa9abc,0x400fffff,0x547ffffc,
    0x001fffff,0x99999997,0xa8039999,0xffffffff,0x00003fff,0x37ffffe6,
    0xfffffcaa,0xffffd805,0x50000004,0xdfffffff,0x001fffdd,0xfffc8000,
    0xfffffd5f,0x3fffffff,0x7ffec400,0xf804ffff,0xdfffffff,0xfffff911,
    0x6ffffa85,0x07ffffe0,0x7ffffffc,0x3ffee0cf,0xfffff2ff,0x3223bfff,
    0x002fffff,0x03fffff7,0x22274400,0x2ffffffd,0x02fffff8,0x4ccccc00,
    0x05ffffd9,0xfffffff8,0x3fffffff,0x3fe20000,0x30004fff,0x007fffff,
    0x3ffff600,0x017b003f,0x3fffff90,0x3ffff880,0x004fffe8,0x26200000,
    0xfff99999,0x200003ff,0xb84ffffd,0xd806ffff,0x0004ffff,0xffff8800,
    0x005103ff,0xfff90000,0xff9330bf,0x01dfffff,0xcefeda80,0xfffff001,
    0xfff107ff,0xfffc87ff,0x3fff202f,0xfffff05f,0x3ffe07ff,0xfffff3ff,
    0xfff107ff,0x6cc007ff,0x0000deee,0xacdc9802,0x5fffff00,0x3f600000,
    0xff805fff,0xffffffff,0x0003ffff,0x5ddddb10,0xefe98000,0x76c00003,
    0x000003ee,0x00bffffe,0xca8072e2,0x00000002,0x3ffffe00,0x3fe00003,
    0xfff00fff,0xffd801ff,0x000004ff,0x3fffff98,0x80000000,0x805ffffc,
    0x3ffffffc,0x7c000000,0x204fffff,0x6c4ffffe,0x2600ffff,0xff06ffff,
    0x6c09ffff,0xfff4ffff,0x7f409fff,0x00004fff,0x00000000,0x005fffff,
    0x3fff6000,0xeaaa805f,0xaaadffff,0x000001aa,0x00000000,0x00000000,
    0x13ffff60,0x00000000,0xff000000,0x00007fff,0x81bfffe2,0x400fffff,
    0x004ffffd,0xfffa8000,0x0000007f,0xbffff900,0x3ffff200,0x0000005f,
    0x02fffffc,0xd17ffff2,0x4403ffff,0xff06ffff,0xfc80bfff,0xffff5fff,
    0xfffc80bf,0x0000005f,0xff000000,0x00005fff,0x17ffff60,0x7ffec062,
    0x0000004f,0x00000000,0x00000000,0x4ffffd80,0x00000000,0x55e7654c,
    0xfff80000,0x100003ff,0x101fffff,0xb00dffff,0x0009ffff,0xffff9000,
    0x4000000b,0xdbcdcb98,0x2005ffff,0x007fffff,0x55e7654c,0xfffff800,
    0x7fffe402,0x27fffe45,0x09ffff50,0x00fffffe,0x3e555553,0x6402ffff,
    0x5505ffff,0x55555555,0x55500035,0x55555555,0xfffff003,0x5ef65c45,
    0xfffd8002,0x413ee25f,0x004ffffd,0x83555500,0x02bdecb8,0x55555554,
    0x4001aaaa,0x5c41aaaa,0x4002bdec,0xccccba98,0x204ffffe,0xaaaaaaaa,
    0x40001aaa,0xfffffffc,0x20000dff,0x003fffff,0x3ffffa00,0x5ffffc82,
    0x4ffffd80,0x555554c0,0x3fff6002,0x8000004f,0xffffffea,0x05ffffff,
    0x3fffffa0,0xffffc800,0x00dfffff,0x00bffffe,0xb8bffff9,0x3a07ffff,
    0xff02ffff,0x40007fff,0x402fffff,0xf05ffffc,0xffffffff,0xff000bff,
    0xffffffff,0xffff00bf,0x3fffee3f,0x2000dfff,0xb8dffffd,0xffb04fff,
    0xddb989ff,0xffff802b,0x3ffffee5,0xfff00dff,0xffffffff,0xffff800b,
    0x3ffffee5,0x6cc00dff,0xffffffff,0x204fffff,0xffffffff,0x30005fff,
    0xfffffffd,0x007fffff,0x0fffffe0,0xfffd8000,0x7fffdc6f,0xfffd801f,
    0x3ffe604f,0x36002fff,0x0004ffff,0x3fff6200,0xffffffff,0x36005fff,
    0x4c07ffff,0xfffffffe,0xf03fffff,0xc805ffff,0x7445ffff,0x89cfffff,
    0x0fffffea,0x07fffff0,0x7ffffc00,0x7fffe402,0xffffff05,0x00bfffff,
    0xfffffff0,0xf00bffff,0xffb3ffff,0xffffffff,0x3fff6001,0x4fffffff,
    0x27ffffb0,0xfffffffa,0x3fffe00d,0xffffffb5,0xff01ffff,0xffffffff,
    0xfff800bf,0xfffffb5f,0x101fffff,0xfffffffd,0xffffffff,0x7ffffc09,
    0x05ffffff,0xfffffb80,0xffffffff,0xff8004ff,0x00003fff,0x2fffffe6,
    0x3fffffc8,0x9ffffb00,0x3ffffe20,0x7fec003f,0x000004ff,0xfffffff3,
    0xffffffff,0x7ffc00bf,0x3fee06ff,0xffffffff,0xf84fffff,0x6402ffff,
    0xf985ffff,0xffffffff,0x201fffff,0x003fffff,0x0bffffe0,0x0bffff90,
    0x3ffffffe,0x8005ffff,0xffffffff,0xff805fff,0xffffefff,0x4fffffff,
    0xfffffb00,0x209fffff,0xfabffffd,0xffffffff,0x3bfffe06,0xfffffffd,
    0xff84ffff,0xffffffff,0x7ffc005f,0xfffffdef,0x84ffffff,0xfffffffe,
    0xffffffff,0x3fffe04f,0x5fffffff,0x7fffc400,0xfffeffff,0x000fffff,
    0x01fffffc,0x3fff6000,0xffffffff,0x3fff6004,0xffffd04f,0x4cccc09f,
    0xdffffe99,0x99999999,0xfffe8000,0xecccefff,0x005fffff,0x0bfffff9,
    0x3fffffe2,0xfffffeff,0x7ffc0fff,0x7fe402ff,0xfffb85ff,0xffffffff,
    0x7ffc03ff,0x3e0003ff,0x6402ffff,0xdd05ffff,0xffffdddd,0xddd000bf,
    0xfffffddd,0xfffff00b,0xffdfffff,0x001fffff,0xfffffffb,0x3f603bff,
    0xffffdfff,0x3fffffff,0xfffffff0,0xffffdfff,0xeee81fff,0xfffffeee,
    0x7fffc005,0xfeffffff,0x20ffffff,0xbffffffd,0xffd9999a,0x3bba04ff,
    0xfffffeee,0x7ffec005,0x7f4c1eff,0x4005ffff,0x003fffff,0x7fffc400,
    0x03ffffff,0x27fffec0,0x2fffffec,0xffffff30,0xffffffff,0x05ffffff,
    0xfffffb80,0xffff900e,0xda99998b,0x01ffffff,0x3dfffffb,0xfffffe98,
    0x17ffffc5,0x17ffff20,0xfffffff3,0x019fffff,0x07fffff0,0x7ffffc00,
    0x7fffe402,0x7ffec005,0x3600005f,0xf805ffff,0xdfffffff,0xfffff911,
    0x7ffdc405,0x01dfffff,0x7fffffec,0xffffdeff,0xffff07ff,0x223bffff,
    0x02fffffc,0x0bffffb0,0xffffff80,0xff911dff,0x3fe25fff,0x7ec06fff,
    0xd8004fff,0x2005ffff,0x05fffff9,0x3fffffa2,0x3fffe001,0x3bb2203f,
    0xfffb800d,0x000dffff,0x44ffffd8,0x06fffffb,0x7fffffcc,0xffffffff,
    0x02ffffff,0x3ffffe60,0x3fff200e,0x7ffffc5f,0x03ffffff,0x0bfffff3,
    0x7fffff44,0x0bffffe1,0x8bffff90,0x7536fffd,0x7c001357,0x0003ffff,
    0x00bffffe,0x00bffff9,0x05ffffd8,0x3fff6000,0xffff805f,0xff883fff,
    0xfb883fff,0xdfffffff,0xffffb001,0x7ec47fff,0xff81ffff,0x883fffff,
    0x003fffff,0x00bffffb,0xfffffff8,0xfffff883,0x3fffff53,0x4ffffd80,
    0xffffd800,0x3fff6005,0x7fd400ff,0x3e003fff,0xf103ffff,0x403fffff,
    0xffffffe9,0x3ff60006,0x3ffea4ff,0x7cc00eff,0xffffffff,0xffffffff,
    0x32002fff,0x402fffff,0x745ffffc,0xffffffff,0x3fff605f,0x7fd400ff,
    0x3ffe3fff,0x7fe402ff,0x3ffe25ff,0x3e00003f,0x0003ffff,0x00bffffe,
    0x00bffff9,0x05ffffd8,0x3fff6000,0xffff805f,0x3ffa04ff,0x7ffdc4ff,
    0x05ffffff,0x7ffffec0,0xffff983f,0xfffff82f,0x3fffa04f,0xfffb004f,
    0xfff800bf,0x3fa04fff,0xfff74fff,0x7fcc01ff,0xd8004fff,0x2005ffff,
    0x005ffffe,0x00bffffd,0x81fffffc,0x6ffffffd,0xffffff50,0xfff07fff,
    0xffffb0df,0x3ffffe69,0xfff9800f,0xffffffff,0xffffffff,0x3ff6002f,
    0xffc806ff,0x7fff45ff,0x402fffff,0x005ffffe,0x7cbffffd,0x6402ffff,
    0x3e65ffff,0x00005fff,0x00fffffe,0x2fffff80,0x2ffffe40,0x3ffff600,
    0x3f600005,0xff805fff,0x7e405fff,0x3fee5fff,0xffffffff,0x7ffec005,
    0x3ffe04ff,0xffff83ff,0x7ffe405f,0xfffb005f,0xfff800bf,0x7fe405ff,
    0xffff75ff,0x3ffea07f,0xd8004fff,0x2005ffff,0x002fffff,0x00dffff9,
    0x81fffffc,0xffffffff,0x7ffffcc1,0x21ffffff,0xd85ffff8,0xfe8cffff,
    0x0001ffff,0x04ffffd8,0x7fff4000,0xfffc804f,0x7ffff45f,0xff800ace,
    0xf9002fff,0x7ffcdfff,0x7fe402ff,0x3ffe25ff,0x99aabeff,0x3ffe0009,
    0x3e0003ff,0x6402ffff,0x4005ffff,0x005ffffd,0x3ffff600,0xfffff805,
    0x7fffe402,0x3ffffee5,0x005fffff,0x037fffec,0x20fffffa,0x402fffff,
    0x005ffffc,0x00bffffb,0x02fffff8,0x9affffe4,0x21efffff,0xffffffb8,
    0xffd8004f,0xff1005ff,0x32003fff,0x2007ffff,0x883fffff,0xffffffff,
    0x77ffffc1,0x0ffffff9,0xb09ffff1,0xffd9ffff,0x00003fff,0x013ffff6,
    0xfffff000,0xffff9007,0x1ffffd8b,0x3fffe200,0xfff9001f,0x7ffffcff,
    0x7fffe402,0x7fffff45,0xffffffff,0x3ffe01de,0x3e0003ff,0x6402ffff,
    0x4005ffff,0x005ffffd,0x3ffff600,0xfffff805,0x7fffe402,0x277ffee5,
    0x005ffffd,0x027fffec,0x20fffffa,0x402fffff,0x005ffffc,0x00bffffb,
    0x02fffff8,0x8affffe4,0xffffffff,0xfffffffe,0xfd8004ff,0xf5005fff,
    0x2003ffff,0x00fffffb,0x07fffff0,0x3ffffffe,0x3fffee0f,0xfffff50f,
    0x9ffff31d,0xffffffb0,0x0005ffff,0x27fffec0,0xfff30000,0xff9005ff,
    0xfffd8bff,0x3fea000f,0xf7001fff,0x3fe1ffff,0x7e402fff,0x7f445fff,
    0xffffffff,0x0effffff,0x03fffff8,0x3ffffe00,0x7fffe402,0x7ffec005,
    0x3600005f,0xf805ffff,0x6402ffff,0x3ee5ffff,0x3ffff61e,0x7ffec005,
    0x7fff404f,0xfffff83f,0x7fffe402,0xffffb005,0xffff800b,0x7ffe402f,
    0x3fffee5f,0xffffffff,0x004ffffb,0x05ffffd8,0x3fffff50,0x3fffee00,
    0x3fffe007,0xffff703f,0xfffe8bff,0x7fffdc3f,0x3ffffbdf,0xffffffd8,
    0x0004ffff,0x13ffff60,0xfff98000,0xffc802ff,0x7ffec5ff,0x3fea000f,
    0xf7001fff,0x7ffcffff,0x7fe402ff,0xfffb85ff,0xffffffff,0x40efffff,
    0x003fffff,0x0bffffe0,0x0bffff90,0x5ffffd80,0x3ff60000,0xfff805ff,
    0x7fe402ff,0x3606a5ff,0x4005ffff,0x404ffffd,0xf83ffffe,0x6402ffff,
    0xb005ffff,0x800bffff,0x402fffff,0x6c5ffffc,0xffffffff,0x9ffff2ff,
    0xffffb000,0x3ffe600b,0xff9002ff,0x7fc00dff,0x3f203fff,0x7fc0dfff,
    0xffd81fff,0xffffffff,0xcffffd81,0x02fffffe,0xffffb000,0x7c400009,
    0xc802ffff,0x7e45ffff,0x7cc007ff,0x9002ffff,0x7fcdffff,0x7e402fff,
    0x7fdc5fff,0xeeeeefff,0xfffffffe,0x1fffffc4,0xfffff000,0xffffc805,
    0x7ffec005,0x3600005f,0xf805ffff,0x6402ffff,0xd805ffff,0x4005ffff,
    0x404ffffd,0xf83ffffe,0x6402ffff,0xb005ffff,0x800bffff,0x402fffff,
    0xb85ffffc,0xcfffffff,0x013fffe0,0x17ffff60,0x3fffff80,0xbffffb00,
    0x7ffffc00,0x415dcc03,0x107ffff9,0xfffffffd,0x3fff60df,0xfffff8cf,
    0xfd80001f,0x00004fff,0x01fffffc,0x02ffffe4,0x7fffc000,0xfffb003f,
    0xfd8000bf,0x3fea3fff,0x2e202fff,0x006fffff,0x00000000,0xffffb000,
    0x7ec0000b,0xff805fff,0x7e402fff,0xfd805fff,0x6c005fff,0x7404ffff,
    0xff83ffff,0x7e402fff,0xfb005fff,0xf800bfff,0x6402ffff,0x2605ffff,
    0xffb81aaa,0xfd8001ff,0x3a005fff,0x8805ffff,0x004fffff,0x00fffffe,
    0xfffff300,0x3fffe201,0xfb02ffff,0x3fea9fff,0x0000efff,0x027fffec,
    0x3fffe000,0x7ffcc04f,0x800005ff,0x805ffffe,0x04fffff8,0x7ffff400,
    0x0fffffa2,0x7ffffdc0,0x00000000,0xfd800000,0x00005fff,0x017ffff6,
    0x00bffffe,0x00bffff9,0x00bffffb,0x04ffffd8,0x41fffff4,0x402fffff,
    0x005ffffc,0x00bffffb,0x02fffff8,0x02ffffe4,0x3ffff500,0x3fff6000,
    0x3ff6005f,0x7dc01fff,0x2002ffff,0x003fffff,0x7ffffc40,0x3fffea02,
    0x3ff607ff,0x3fff24ff,0x6c0006ff,0x0004ffff,0x3fffff40,0xffffff10,
    0x0015730b,0x3fffffb0,0xfffffb80,0x3fea0002,0xfff31fff,0x3ee003ff,
    0x55007fff,0x50000555,0x00005555,0x02ffffec,0xffffb000,0xfffff00b,
    0xffffc805,0xffffd805,0x7ffec005,0x7fff404f,0xfffff83f,0x7fffe402,
    0xffffb005,0xffff800b,0x7ffe402f,0xff10005f,0x6c0009ff,0x2005ffff,
    0x0efffffa,0xdfffff50,0xfffff800,0xffe80003,0x7fe406ff,0x3f606fff,
    0x7ff44fff,0x20004fff,0x004ffffd,0x7fffdc00,0xfffe883f,0x7fe45fff,
    0x7d4001ff,0x500effff,0x00dfffff,0x7ffff440,0x3ffffe67,0xffffb002,
    0xffff100b,0xff88000b,0x200005ff,0x005ffffd,0x3ffff600,0xfffff805,
    0x7fffe402,0xffffd805,0x7ffec005,0x7fff404f,0xfffff83f,0x7fffe402,
    0xffffb005,0xffff800b,0x7ffe402f,0xff70005f,0x6c0003ff,0x4005ffff,
    0xbffffffe,0xffffca9a,0x7fc001ff,0x80003fff,0x1efffffd,0x7ffffe44,
    0xfffb04ff,0xffff989f,0xfb0003ff,0x00009fff,0xffffff88,0xffffc99c,
    0x3ea5ffff,0x8006ffff,0xbffffffe,0xffffca9a,0xb98001ff,0x23ffffff,
    0x0efffff8,0x3ffff620,0xfffa803f,0x7d40002f,0x44002fff,0xfd999999,
    0x9999efff,0x33331019,0xdffffb33,0x7c333333,0x6402ffff,0x3315ffff,
    0xfffb3333,0x333333df,0x13ffff60,0x07ffffd0,0x805fffff,0x225ffffc,
    0xfd999999,0x9999efff,0xfffff019,0xffffc805,0xfff90005,0x9998803f,
    0xffffd999,0x0199999e,0xfffffff3,0xffffffff,0x2666609f,0xfffff999,
    0x0099999b,0x3ffffe20,0xffffefff,0x3fffffff,0x84ffffd8,0x1ffffffb,
    0xffffd800,0xfc800004,0xffffffff,0xffffffff,0x3fffff65,0x7fcc001f,
    0xffffffff,0x04ffffff,0xfffffc80,0xfffd86ff,0xccceffff,0x5ffffffe,
    0x1ffff900,0xfffc8000,0x7ff4000f,0xffffffff,0xffffffff,0xfffffe80,
    0xffffffff,0xff0fffff,0xfc805fff,0xfffd5fff,0xffffffff,0x1fffffff,
    0x09ffffb0,0x83ffffe8,0x402fffff,0x3a5ffffc,0xffffffff,0xffffffff,
    0xffff80ff,0x7ffe402f,0xff90005f,0xd059bfff,0xffffffff,0xffffffff,
    0x3ff201ff,0xffffffff,0x880dffff,0xffffffff,0xffffffff,0x7d4006ff,
    0xffffffff,0xffffffff,0x7fec2fff,0xfffb04ff,0xd8001fff,0x0004ffff,
    0xfffff880,0x9fffffff,0x3f65ffff,0x001fffff,0xffffffc8,0xffffffff,
    0xffc8000d,0x880fffff,0xfffffffe,0xffffffff,0x3ff6005f,0xfd80005f,
    0xfe8005ff,0xffffffff,0xffffffff,0xffffe80f,0xffffffff,0xf0ffffff,
    0xc805ffff,0xffd5ffff,0xffffffff,0xffffffff,0x9ffffb01,0x3ffffe80,
    0x02fffff8,0xd2ffffe4,0xffffffff,0xffffffff,0xffff01ff,0xfffc805f,
    0xff50005f,0xd07fffff,0xffffffff,0xffffffff,0x7fd401ff,0xffffffff,
    0x3fe203ff,0xffffffff,0xffffffff,0xfffa8006,0xffffffff,0xfffffacf,
    0x3ffff60f,0xffffd104,0xffd800df,0x000004ff,0xffffffd1,0x3ffe3fff,
    0x3fffea5f,0x3ea0006f,0xffffffff,0x20003fff,0x0cfffffc,0x3ffff620,
    0xffffffff,0x7fc002ef,0xf80003ff,0xe8003fff,0xffffffff,0xffffffff,
    0xfffe80ff,0xffffffff,0x0fffffff,0x805fffff,0xfd5ffffc,0xffffffff,
    0xffffffff,0xffffb01f,0xffffe809,0x2fffff83,0x2ffffe40,0xfffffffd,
    0xffffffff,0xfff01fff,0xffc805ff,0x360005ff,0x83ffffff,0xfffffffe,
    0xffffffff,0x64400fff,0xeffffffe,0x7ffc400d,0xffffffff,0x6fffffff,
    0x3ffee000,0x20dfffff,0x0efffffa,0x409ffffb,0x4ffffff9,0x3ffff600,
    0x22000004,0xcffffffd,0x917fffe0,0x0003ffff,0xffffec88,0x0000deff,
    0x00e77fe4,0xffffd710,0x0059dfff,0x01ffff10,0xffff8800,0xfffe8000,
    0xffffffff,0x0fffffff,0xffffffe8,0xffffffff,0xfff0ffff,0xffc805ff,
    0xffffd5ff,0xffffffff,0x01ffffff,0x809ffffb,0xf83ffffe,0x6402ffff,
    0x3fa5ffff,0xffffffff,0xffffffff,0xfffff80f,0x7fffe402,0x76540005,
    0xffe81cee,0xffffffff,0xffffffff,0x2aa62000,0x3fe20009,0xffffffff,
    0xffffffff,0xa9880006,0x360000aa,0x5c04ffff,0x03ffffff,0x09ffffb0,
    0x2a200000,0x530000aa,0x88000015,0x00009aa9,0x00000220,0x00000331,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2b2e6200,0xdb80009a,0x2aaa202d,0x4000001a,
    0x00001998,0x00066620,0x04d4c000,0x06aaaa00,0x037bd971,0x80000000,
    0x0abcdca8,0x40000000,0x400aaaaa,0x541aaaa9,0x5400aaaa,0x4000aaaa,
    0xabcdca98,0x00007730,0x26620000,0x99999999,0x26620009,0x99999999,
    0x00000009,0x3fffee00,0x0ffffd41,0xfff98000,0x0000efff,0xffffffc8,
    0x7fffdc02,0x0ffffd41,0xffff8800,0x3ae0000e,0xffffffff,0x3ff6007f,
    0xfffc85ff,0x1003ffff,0xb105fffd,0x2001ffff,0x882fffe8,0x000ffffd,
    0x805fffd1,0x84fffffd,0x5ffff859,0x3fffffee,0x3ffe00ef,0xffffffff,
    0xffd30005,0x1bffffff,0x3fffa800,0xf83fffc4,0x6402ffff,0x7fc5ffff,
    0x7fc02fff,0xd5002fff,0xffffffff,0x400bffff,0x00effff8,0xffffd800,
    0x3fffffff,0x3ffff600,0x3fffffff,0x3fe60000,0x800effff,0xf51ffffc,
    0x00005fff,0x3fffffe6,0xff900004,0x2003dfff,0xf51ffffc,0x20005fff,
    0xefffffe8,0x7ff44000,0xffffffff,0xfff5007f,0xffc85fff,0x02ffffff,
    0x445fffc8,0x0ffffffc,0x8bfff900,0xffffffc8,0xbfff9000,0xfffffd80,
    0xfea8aeff,0xdaffffc5,0xffffffff,0xffff01ff,0xbfffffff,0xffff7000,
    0xffffffff,0x7ffcc005,0x1bffee0f,0x017ffffc,0xf17ffff2,0xf805ffff,
    0x4402ffff,0xfffffffd,0x5fffffff,0xffffd100,0xd80001df,0xffffffff,
    0x36003fff,0xffffffff,0x00003fff,0x9ffffff3,0xffffc800,0x002ffffc,
    0xfffff100,0x3200005f,0x005fffff,0xfcffffc8,0x10002fff,0xfffffffd,
    0x7ffdc00b,0xffffffff,0xff7007ff,0xec87ffff,0x5ffffccc,0x07fffcc0,
    0x3ffffffa,0xfff9800f,0x7ffff40f,0xf9800fff,0x3ee00fff,0xffffffff,
    0x22ffffff,0xffdeffff,0xffffffff,0xffff80ff,0x5fffffff,0x7fffec00,
    0xffffffff,0x3fa001ff,0xffffdfff,0xfffff04f,0xffffc805,0x17ffffc5,
    0x0bffffe0,0xffffff98,0xffffffff,0xfe8805ff,0x05ffffff,0x7fffec00,
    0x3fffffff,0x3ffff600,0x3fffffff,0xfff88000,0xb0002fff,0x7fffffff,
    0x3fe20000,0x0000efff,0x5fffff90,0x7ffec000,0x0003ffff,0xf3dfffd1,
    0xf100bfff,0xffffffff,0x00ffffdd,0x3fffffee,0x4fffb802,0x417fff40,
    0xffffeffb,0x2fffe800,0xfffeffb8,0xfffe800f,0x67ffd402,0xffffffeb,
    0x7fffc5ff,0xfeffffff,0x83ffffff,0xffffffff,0x2a005fff,0x9adfffff,
    0x6fffffca,0x3fffea00,0x206fffff,0x402fffff,0x7c5ffffc,0x7c02ffff,
    0x3a02ffff,0xceffffff,0xfffffecc,0x7fff4405,0x05ffff9e,0x33332e00,
    0x1ccccccc,0x33332e00,0x1ccccccc,0x7ffc4000,0x40000eff,0x03fffffd,
    0xffff1000,0x6400009f,0x001effff,0xfffffd80,0x3ffa0003,0xffff30ef,
    0xffffd80b,0x00e601ef,0x77ffffc4,0xffbaa880,0x3ff201ff,0xf13d105f,
    0xfc801fff,0x13d105ff,0xc801ffff,0xf5005fff,0xfffffb83,0xfffff86f,
    0x3ee1dfff,0x9987ffff,0xfffd9999,0x3ffe005f,0xfff303ff,0x7dc007ff,
    0x1effffff,0x0bffffe0,0x8bffff90,0x402fffff,0x702fffff,0x01dfffff,
    0x017ffff2,0x261dfffd,0x0005ffff,0x00000000,0x7fc40000,0x00004fff,
    0x000fbbb6,0x77776c40,0x3ae00002,0x00004eee,0x001f776c,0x81bddd90,
    0x503eeed9,0x009fffff,0xdffd3000,0x3fffea01,0x3fe601ff,0xff8800ff,
    0x3fe600ff,0xff8800ff,0x3fe600ff,0x402000ff,0xf01bdcb8,0x07ffffff,
    0x0fffffee,0x2ffffec0,0x5ffffb80,0x37fffe40,0x3bfb2200,0xffff803d,
    0x7ffe402f,0x7ffffc5f,0x7ffffc02,0xfffff882,0x3fff200e,0x3bbb205f,
    0x7776cc0d,0x00000003,0x00000000,0x05ddddb1,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00fffffd,0x00220000,0xdffffff5,0x0ffffa05,
    0x07fffc40,0x007fffd0,0x803fffe2,0x0003fffe,0xffff8000,0x3fe204ff,
    0xfb004fff,0x3e00bfff,0x4c01ffff,0x000fffff,0xffff0000,0xfffc805f,
    0x7ffffc5f,0x7ffffc02,0xfffffc82,0x7fffe402,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x004ffffe,
    0xc9800000,0x0ffffedc,0x002fffdc,0x201ffff1,0x2005fffb,0x700ffff8,
    0x0000bfff,0x3fffe000,0xfffd805f,0xfffb005f,0xfff100bf,0xfff100ff,
    0x000003ff,0x0bffffe0,0x8bffff90,0x402fffff,0xd82fffff,0xc806ffff,
    0x0005ffff,0x2aaa0000,0x554c00aa,0xca9801aa,0x01accedc,0x20000000,
    0xaaaaaaa8,0xaaaaaaaa,0x555500aa,0xbdecb885,0x55555001,0x03555555,
    0x0aaaaa00,0x037bd971,0x2aaaaaa0,0x001aaaaa,0x005fffff,0x2aaa2000,
    0x3ffa000a,0x3fffe63f,0x3ffe2000,0xffff980f,0x3ffe2000,0xffff980f,
    0x35555000,0x2bdecb88,0x05fffff0,0x0dffff90,0x17ffff60,0x3ffffea0,
    0xcccccccc,0x02fffffc,0x55555555,0xff003555,0xfc805fff,0x7ffc5fff,
    0x7ffc02ff,0xfffe82ff,0xfffc804f,0x1555555f,0x2aaa2000,0xfffff81a,
    0x7fffe402,0xffffb505,0xdfffffff,0xaaaa8805,0xaaaaaaaa,0x200aaaaa,
    0xfffffffb,0xffffffff,0xffff01ff,0x7ffffdcd,0x7fc00dff,0xffffffff,
    0xfff0005f,0x7fffdcdf,0x7c00dfff,0xffffffff,0xff8805ff,0x00001fff,
    0x05ffff30,0xffff9813,0x00ffffa2,0x01ffff10,0x8007fffd,0xe80ffff8,
    0x3e003fff,0x3fee5fff,0x40dfffff,0x802fffff,0x007ffffc,0x00bffffb,
    0xfffffff7,0xffffffff,0x3e07ffff,0xffffffff,0xfff805ff,0x7fe402ff,
    0x7fffc5ff,0x7fffc02f,0xfffff82f,0xffffc803,0x05ffffb5,0x3fffea00,
    0x2fffff82,0x2ffffe40,0xffffffe8,0xffffffff,0x3fffee05,0xffffffff,
    0x201fffff,0xfffffffb,0xffffffff,0xffff01ff,0x3fffff6d,0x200effff,
    0xffffffff,0xf0005fff,0x3ff6dfff,0xefffffff,0x3ffffe00,0x05ffffff,
    0x1fffff98,0xff500000,0xffff05ff,0x21ffffff,0x8006fffb,0x5c0ffff8,
    0x88006fff,0x7dc0ffff,0x7fc006ff,0xffffb5ff,0x41ffffff,0x802fffff,
    0x00fffffb,0x05ffffd8,0xffffffc8,0xffffffff,0xf03fffff,0xffffffff,
    0xfff00bff,0xffc805ff,0x7fffc5ff,0x7fffc02f,0x7fffcc2f,0xfffc802f,
    0x7ffff95f,0x3ffee000,0xfffff81f,0x7fffe402,0xfffffd05,0xffffffff,
    0x3fee05ff,0xffffffff,0x1fffffff,0x3ffffee0,0xffffffff,0xff01ffff,
    0xffff9fff,0x9fffffff,0x7fffffc0,0x005fffff,0xf9fffff0,0xffffffff,
    0x7ffc09ff,0xffffffff,0xffff9805,0x5000001f,0xff07ffff,0x3fffffff,
    0x007fffe2,0x83fffe20,0x001ffff8,0x20ffff88,0x001ffff8,0x7ef7fffc,
    0xffffffff,0x3fffe4ff,0xfffc802f,0xfffb007f,0xfffb00bf,0xffffffff,
    0xffffffff,0x3ffffe05,0x05ffffff,0x02fffff8,0x22ffffe4,0x402fffff,
    0x4c2fffff,0x802fffff,0xf55ffffc,0x20009fff,0xf80ffffc,0x6402ffff,
    0xfd05ffff,0x553579df,0x1ffffffd,0xffffff70,0xffffffff,0x7dc03fff,
    0xffffffff,0xffffffff,0xffffff00,0xffdbffff,0x3a01ffff,0xfffeeeee,
    0xff0005ff,0xffffffff,0xffffffdb,0x3bbbba01,0x05fffffe,0x1fffff98,
    0xff900000,0xffdd07ff,0xffe85bdd,0x3320003f,0x1ffff44c,0x89999000,
    0x8003fffe,0xffffffff,0xfffffeff,0xfffff0ff,0xffffb005,0x3fff600d,
    0xfffc805f,0x999999ef,0x99999999,0xdddddd00,0x00bfffff,0x805fffff,
    0x7c5ffffc,0x7c02ffff,0x7c42ffff,0xc802ffff,0xff35ffff,0x36000bff,
    0xfff07fff,0xffc805ff,0x017b05ff,0x3fffff90,0xffffff70,0xffffffff,
    0x4c401fff,0x99999999,0x3ffffff9,0x3fffffe0,0x3fee0cff,0x6c002fff,
    0x0005ffff,0xffffffff,0x7fffdc19,0x7fec002f,0xff9805ff,0x00001fff,
    0x3fffff6e,0x3ee0004f,0x000006ff,0x000dfff7,0x1bffee00,0x7ffffc00,
    0xf911dfff,0x3fe5ffff,0xfe802fff,0xfb004fff,0xf500bfff,0x0000dfff,
    0x7fffec00,0xfffff805,0x7fffec02,0x17ffffc5,0x0bffffe0,0x00fffffe,
    0x457ffff2,0x0006ffff,0x3e0dfffd,0x6402ffff,0x0005ffff,0x05fffff0,
    0x33333331,0xfffff333,0x3600007f,0x405fffff,0x3fffffff,0x07fffff0,
    0x5ffffd80,0xfffff000,0x3ffe07ff,0x7ec003ff,0xf9805fff,0x0001ffff,
    0xfffffe98,0x10004fff,0x0003ffff,0x3ffff100,0xff100000,0x3e0003ff,
    0x83ffffff,0xf3fffff8,0x9805ffff,0x003fffff,0x00bffffb,0x01fffff3,
    0x3f600000,0xff805fff,0x3e603fff,0x7fc5ffff,0x3f602fff,0xff82ffff,
    0x7cc04fff,0x3fe5ffff,0x999887ff,0x05ffff80,0x805fffff,0x005ffffc,
    0x9ffffb00,0x7ffec000,0x700005ff,0x01dfffff,0x4ffffff8,0x13ffff60,
    0xbffffb00,0x3fffe000,0x3ff604ff,0x7ec004ff,0xf9805fff,0x0001ffff,
    0x7fffffd4,0x0004ffff,0x0009fffb,0x13fff600,0x7fec0000,0x3fe0004f,
    0x3a04ffff,0xfff4ffff,0xffd805ff,0xfb001fff,0xf100bfff,0x0009ffff,
    0x3fff6000,0xfffe805f,0xffff305f,0xffff8bff,0xffff704f,0xfffd07ff,
    0x7ffc40ff,0x3ffa5fff,0x7fff40ff,0x04ffff85,0x805fffff,0x005ffffc,
    0x9ffffb00,0x3ffee000,0x80000eff,0x1ffffff9,0x5fffff80,0x2ffffe40,
    0x3ffff600,0xffff0005,0xfffc80bf,0x7fec005f,0xff9805ff,0x20001fff,
    0xfffffff8,0x8004eeef,0x0006fffa,0x0dfff500,0x3fea0000,0x7fc0006f,
    0x7e405fff,0xffff5fff,0x7ffdc05f,0x3f6005ff,0xfb005fff,0x0005ffff,
    0xffffb000,0xffffb00b,0xffffd10f,0xffff8bff,0xffffa86f,0xffb84fff,
    0xfe883fff,0x365fffff,0x3e21ffff,0x3e20ffff,0xfff03fff,0xffc805ff,
    0x531005ff,0xffd99997,0xf30009ff,0x003fffff,0xfffff100,0x3ffe005f,
    0x554c03ff,0x7ec002aa,0xf0005fff,0x9807ffff,0x4002aaaa,0x805ffffd,
    0x01fffff9,0x3ffff200,0x880002ef,0x0001ffff,0x1ffff880,0xff880000,
    0x7c0001ff,0x6402ffff,0xfff5ffff,0xfc9819ff,0x000fffff,0x017ffff6,
    0x7fffffcc,0x076e601d,0x3ffff600,0xffffc805,0xfffc9aef,0x7c5fffff,
    0x9aefffff,0xfffffffd,0x3fe209ff,0xc99cffff,0xffffffff,0x8bffff25,
    0x22fffffb,0xf02ffff9,0xc805ffff,0x4c05ffff,0xfffffffd,0x04ffffff,
    0x7ffffc40,0xfd00002f,0x4009ffff,0x003fffff,0xfffd8000,0xfff0005f,
    0x000007ff,0x0bffffb0,0x3fffff30,0x7fffc000,0xb00000ff,0xccb89fff,
    0xfd8003cc,0x3fb2a4ff,0xfd8002de,0x6665c4ff,0x7fffc03c,0x7ffe402f,
    0xffffff5f,0xfffffdff,0xd8007fff,0x2005ffff,0xfffffffc,0xffffeeef,
    0xffd8001f,0xff9805ff,0xffffffff,0x5fffffff,0x7ffffffc,0xffffffff,
    0x645fffff,0xffffffff,0xffffffff,0x3fffee5f,0x3fffffa3,0x03fffea5,
    0x017ffffc,0x417ffff2,0xffffffe8,0xffffffff,0x7ff4004f,0x00004fff,
    0x0dfffff9,0x3fffff80,0xfd800000,0xf0005fff,0x0007ffff,0xffffb000,
    0xffff300b,0x3e20003f,0x0004ffff,0x98dfff50,0x006fffff,0xe9b7ffd4,
    0x4fffffff,0x1bffea00,0x0dfffff3,0x02fffff8,0xfaffffe4,0xffffffff,
    0x5fffffff,0xffffd800,0x7fff4005,0xffffffff,0x8001ffff,0x005ffffd,
    0xfffffffb,0xfff3ffff,0xfffff8bf,0xefffffff,0x5ffffff9,0x7fffffc4,
    0xfcffffff,0x3fe65fff,0xffff14ff,0x3fee1fff,0x3fffe07f,0x7ffe402f,
    0xffffd05f,0xffffffff,0x4009ffff,0x06fffffc,0xffff5000,0xff8001ff,
    0x00003fff,0x5ffffd80,0xfffff000,0xb0000007,0x300bffff,0x003fffff,
    0x3ffffea0,0xff880003,0x7fff41ff,0x3e2006ff,0xfff11fff,0x03ffffff,
    0x83ffff10,0x06fffffe,0x017ffffc,0x7d7ffff2,0xffffffff,0x01efffff,
    0xbffffb00,0xffff7000,0xffffffff,0xfb0003ff,0x2200bfff,0xfffffffe,
    0xbffff1ef,0xfffffff8,0xfd0effff,0xd10bffff,0xffffffff,0xbffff73f,
    0xbaffffc4,0x3fffffff,0x7c0dfff7,0x6402ffff,0xfd85ffff,0x9abfffff,
    0xffffd999,0xffff5004,0x300001ff,0x03ffffff,0x7fffff00,0xfb000000,
    0x2000bfff,0x003fffff,0xfffd8000,0xfff9805f,0xf50001ff,0x0009ffff,
    0xb89fffb0,0x06ffefff,0x713fff60,0xffff337d,0x9fffb007,0xffefffb8,
    0x7ffffc06,0x7fffe402,0xfffffff5,0x07dfffff,0xffffd800,0xffb10005,
    0xffffffff,0xfb00019d,0xd800bfff,0x0cffffff,0xff17fffe,0xffffdfff,
    0x7fff4419,0xfffb105f,0x3ee19fff,0x7ffc5fff,0xfdfffb6f,0x3fff6dff,
    0x3ffffe05,0x7fffec02,0x7ffffc45,0x7fffec06,0xffff9804,0x880001ff,
    0x03fffffe,0x7fffff00,0xfb000000,0x2000bfff,0x003fffff,0xfffd8000,
    0xfff9805f,0xf10001ff,0x000dffff,0x20efffa8,0xffdafff9,0xdfff5006,
    0x5fffb001,0x0efffa80,0x3f6bffe6,0x7fffc06f,0x7ffe402f,0x5fffff5f,
    0x00013553,0x2ffffec0,0x7d4c4000,0x0000ffff,0x02ffffec,0x05554c40,
    0xf07fffea,0x3531ffff,0x009aa980,0x640aaa88,0x7f45ffff,0xffff8fff,
    0xfe8ffffa,0x3ffe04ff,0x3fe603ff,0x7fd45fff,0x7ec01fff,0x74404fff,
    0x003fffff,0xfffffb00,0x7ffc000b,0x000003ff,0x05ffffd8,0x7fffff00,
    0xfb000000,0xf300bfff,0x0003ffff,0x27fffff4,0xffff8800,0xfdafff42,
    0xfff8806f,0xfff8802f,0x3ffe200f,0xdafff42f,0x7ffc06ff,0x7fe402ff,
    0xfffff5ff,0xd8000005,0x0005ffff,0x07fffee0,0x3fff6000,0xa800005f,
    0xff82ffff,0x00000fff,0x7ffe4000,0x7fffec5f,0xff8dfffb,0x3ffffbff,
    0x17ffffa0,0x7fffffcc,0x7ffffdc5,0x3fffe600,0x7ffec04f,0x700005ff,
    0x01dfffff,0x7ffffc00,0xd8000003,0x0005ffff,0x007fffff,0xfffb0000,
    0xfff300bf,0x640003ff,0x1cffffff,0x2fffe400,0x7ec3ffee,0xfffc806f,
    0xfffe8805,0x2fffe405,0x7ec3ffee,0x7fffc06f,0x7ffe402f,0x5fffff5f,
    0xfd800000,0x00005fff,0x007ffff1,0x3ffff600,0x7c400005,0xfff04fff,
    0x000003ff,0xffffc800,0x77fffe45,0xfffb2fff,0x405ffffd,0x887ffffd,
    0x5ffffffe,0x1fffffdc,0xffffffa8,0x3fffee04,0x980000ef,0x01ffffff,
    0x7ffffc00,0xd8000003,0x0005ffff,0x007fffff,0xfffb0000,0xfff300bf,
    0x440003ff,0xfffffffe,0xa809abcd,0x3e20ffff,0xffe99cff,0xfff5009f,
    0xfff9801f,0x3fea00df,0x3ffe20ff,0x9fffe99c,0x5fffff00,0x5ffffc80,
    0x005fffff,0xfffd8000,0xf700005f,0x00001fff,0x017ffff6,0xffff5000,
    0x3ffffe03,0x00000001,0x22ffffe4,0xfffffffb,0xfffff50f,0x7e403fff,
    0xc9aeffff,0xffffffff,0x7ffffcc5,0x3ffee21e,0xf304ffff,0x003fffff,
    0xfffff100,0xddddddff,0x3e05dddd,0x0003ffff,0x33333310,0x33dffffb,
    0xff803333,0x00003fff,0xb3333331,0x333dffff,0x7ffcc333,0x4c0001ff,
    0xffffffff,0x7444ffff,0x7fd42fff,0xffffffff,0xfffe885f,0x7fffdc02,
    0x7fff4405,0x7ffffd42,0x05ffffff,0x805fffff,0xff5ffffc,0x00005fff,
    0xb3333331,0x333dffff,0xfd800333,0x22001fff,0xfd999999,0x9999efff,
    0xff900019,0x3ffe05ff,0x000002ff,0x7fffe400,0x7ffffcc5,0x3ffe25ff,
    0x200fffff,0xfffffff9,0xffffffff,0x7ffc45ff,0xffefffff,0x4fffffff,
    0xffffff88,0xeeeeeeef,0x3f202eee,0xffffffff,0xffffffff,0x7fffff03,
    0x3ffa0000,0xffffffff,0xffffffff,0x3ffffe00,0xffd00003,0xffffffff,
    0xffffffff,0x3ffffe61,0xffa80001,0xffffffff,0x2fffe44f,0x7fffffd4,
    0xc85fffff,0x7ec05fff,0x1999cfff,0xa85fffc8,0xffffffff,0xfff05fff,
    0xffc805ff,0xfffff5ff,0xffd00005,0xffffffff,0xffffffff,0x7ffe4001,
    0x7402cdef,0xffffffff,0xffffffff,0xfc8000ff,0x22cdffff,0x002fffff,
    0x7e400000,0x7fc45fff,0x6c3fffff,0x07ffffff,0xffffffd8,0xff9fffff,
    0xfffb85ff,0xffffffff,0x84ffffbf,0xfffffffc,0xffffffff,0x3ff603ff,
    0xffffffff,0x3fffffff,0x07fffff0,0x3fffa000,0xffffffff,0x0fffffff,
    0x0fffffe0,0x7fff4000,0xffffffff,0x0fffffff,0x03fffff3,0x3ff22000,
    0x4fffffff,0x203fffe6,0xfeeeeeea,0x7cc4efff,0x3ee00fff,0xffffffff,
    0x07fffcc7,0x77777754,0xf04effff,0xc805ffff,0xfff5ffff,0xd00005ff,
    0xffffffff,0xffffffff,0x7dc001ff,0x03ffffff,0x7ffffff4,0xffffffff,
    0x8000ffff,0xfffffffa,0x0bffffe3,0x90000000,0xff0bffff,0xa81fffff,
    0x06ffffff,0xfffffe88,0xfff1efff,0x3fff60bf,0x2fffffff,0xfb09ffff,
    0xffffffff,0xffffffff,0x7fffec07,0xffffffff,0xf03fffff,0x0007ffff,
    0x3fffffa0,0xffffffff,0x200fffff,0x003fffff,0xfffffd00,0xffffffff,
    0x261fffff,0x001fffff,0x7ffe4400,0x3fa4ffff,0xfd8002ff,0x5fffd06f,
    0xfffffb80,0x7f47ffff,0xfd8002ff,0x7fffc06f,0x7ffe402f,0x5fffff5f,
    0xfffd0000,0xffffffff,0x1fffffff,0xffffd800,0x7ff403ff,0xffffffff,
    0xffffffff,0xfffb0000,0x7ffc7fff,0x000002ff,0x7fffe400,0xfffffe85,
    0xfffff886,0x3ff6004f,0x3e0cffff,0x3ee05fff,0x0cffffff,0x3613fffe,
    0xffffffff,0xffffffff,0x3fff603f,0xffffffff,0x03ffffff,0x007fffff,
    0x3ffffa00,0xffffffff,0x00ffffff,0x00fffffe,0x7ffff400,0xffffffff,
    0x30ffffff,0x003fffff,0x5d4c4000,0xbfff93ec,0x1bff6000,0x2017fff2,
    0xfffffffb,0x3fff27ff,0xdffb0005,0x2fffff80,0xaffffe40,0x002eeeed,
    0xfffffe80,0xffffffff,0x000fffff,0x1ceeeda8,0x7fffff40,0xffffffff,
    0x000fffff,0x37bbb2a0,0x07bbbba1,0x70000000,0xfb09dddd,0x3607ffff,
    0x003fffff,0x005554c4,0x1aaa9800,0x3fff6000,0xffffffff,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x006764c0,0x33333100,
    0x01333333,0x00008000,0x00000666,0x00000c40,0x20000004,0x80000198,
    0x26200000,0x99999999,0x4c000199,0x06000000,0x00100000,0x00620000,
    0x00062000,0x22003000,0x001eeeee,0x749dddd7,0xeeeeeeee,0x2eeeeeee,
    0x80008800,0xeeeeeeee,0x5eeeeeee,0x00004400,0x776e5d44,0x0000abcc,
    0xddb97553,0x015d4407,0x7ffffcc0,0xfffb0000,0xffffffff,0x2e620007,
    0xdeffffec,0x7f6dcc1b,0x0cefffff,0x6e54c000,0xbdefffff,0x3f6e6001,
    0x0001bdff,0x3fffb2e2,0x00bcefff,0x3fff6ea0,0x50000bce,0xffffffff,
    0x4c00ffff,0xefffffec,0x9510001d,0x379dfffd,0x7ee54000,0xeeeeefff,
    0x800eeeee,0x005feca8,0x5feca880,0x76dc0000,0x81bdefff,0x02fffff8,
    0x4dffff90,0xffffffff,0xffffffff,0xfedb9803,0xf801deff,0xffffffff,
    0x06ffffff,0x7fffee4c,0x322002ce,0xffffffff,0x22005fff,0xfffffffb,
    0xfff304ff,0x7f4001df,0x0004ffff,0xfffffffb,0x0007ffff,0xfffffff5,
    0x44ffffff,0xffffffff,0x00dfffff,0x7fffec40,0xffffffff,0x7ffcc04f,
    0xefffffff,0x7ffdc000,0xffffffff,0xfe8801ff,0xffffffff,0xffa8001f,
    0xffffffff,0xffc8807f,0xffffffff,0x3a6001ef,0xffffffff,0x744003ff,
    0xffffffff,0xffffffff,0xfffd800f,0xfd80005f,0x00005fff,0xffffffd3,
    0xf887ffff,0x9002ffff,0x7fcdffff,0xffffffff,0x03ffffff,0x3fffffa6,
    0x01dfffff,0x3ffffffe,0xffffffff,0xffffb106,0x1bffffff,0xfffffa80,
    0xffffffff,0xfffd8805,0xffffffff,0xfffff884,0x3ffe005f,0xb0005fff,
    0xffffffff,0xc8007fff,0xffffffff,0x227fffff,0xffffffff,0x0effffff,
    0xfffff500,0xffffffff,0x7fdc09ff,0xffffffff,0xf9801fff,0xffffffff,
    0x01ffffff,0x7fffffcc,0x3fffffff,0x7fffd400,0x7fffffff,0x7ffffc40,
    0xffffffff,0xffb801ff,0xffffffff,0xf3005fff,0xffffffff,0xffffffff,
    0xffb001ff,0xb0000bff,0x000bffff,0xffffff70,0xbfffffff,0x3ffffe21,
    0xffff9002,0x7fffffcd,0xffffffff,0xfff903ff,0xffffffff,0x3fe01fff,
    0xffffffff,0xb86fffff,0xffffffff,0x01ffffff,0xfffffff3,0xbfffffff,
    0xfffff980,0xffffffff,0xfffffa84,0xffd000ff,0x20009fff,0xcccccccb,
    0x3001cccc,0xfffffffd,0xffffffff,0x7fffffc4,0xffffffff,0x7fec406f,
    0xffffffff,0x04ffffff,0x7bfffff9,0xfffffb73,0xffffe805,0xffffffff,
    0x3ee01fff,0xffffffff,0x04ffffff,0x33333260,0x04cccccc,0x7ffffff4,
    0xffffffff,0x3ff600ff,0xffffffff,0x00efffff,0x3fffffea,0xffffffff,
    0x00ffffff,0x05ffffd8,0xffffd800,0x7fc40005,0xffffffff,0xf11fffff,
    0x2005ffff,0x3e6ffffc,0xffffffff,0x3fffffff,0x7fffff44,0xffffffff,
    0xdddd06ff,0xffdddddd,0xff98dfff,0xffffffff,0xf06fffff,0x37bfffff,
    0x0bfb7533,0x7fffffd4,0xeeeeffff,0xfffffb83,0xff5001ff,0x00001fff,
    0xfff80000,0xdeffffff,0x227fffee,0xaaabceff,0xffffffeb,0x3ffff602,
    0xeddfffff,0xc84fffff,0x6402ffff,0xf902ffff,0x99dfffff,0x3ffdb975,
    0x3ffffe20,0xfffc9adf,0x0000ffff,0xfffb8000,0xb710acff,0x207fffff,
    0xfffffffa,0xffffffde,0x3ffa03ff,0xfdbdffff,0xccccffff,0xffd800cc,
    0xd80005ff,0x0005ffff,0x6fffffec,0xfffda99a,0x3ffffe22,0xffff9002,
    0x57ffffcd,0xaaaaaaaa,0xfffc81aa,0xffdcdfff,0x003fffff,0x1bffff20,
    0x7dfffffd,0xfffffb75,0xffff987f,0x2201005f,0xbfffffff,0x3fea0009,
    0x000fffff,0x00037b6a,0xf7000000,0x13bfffff,0x0a89f6a0,0xfffffc80,
    0xfffff304,0x64c015ff,0x7fffc44f,0xdfff9002,0x3fffffe0,0x900a8802,
    0x205fffff,0x04fffffb,0xfd800000,0x7fc05fff,0xffd05fff,0xd8819fff,
    0x507fffff,0x989fffff,0x0006ffff,0x02ffffec,0x7fffec00,0x3fe60005,
    0x3e604fff,0x7ffffc43,0xffff9002,0x03ffffcd,0x1effe800,0xfffffe88,
    0x3ff20005,0x3fff26ff,0xfff304ff,0x7fdc1fff,0x40002fff,0x0cfffffc,
    0x3fffa000,0x000004ff,0x20000000,0x4ffffff8,0xf8000200,0xfd05ffff,
    0x001dffff,0x17ffe408,0x0bfff200,0x07fffff3,0xffff1000,0xfffe807f,
    0x000000ff,0x0fffffc0,0x1bfffee0,0x13ffffee,0x5fffffb0,0x0dffffd0,
    0x00dffff3,0x3aaaaaa6,0xaaaeffff,0x530aaaaa,0xfffd5555,0x555555df,
    0x3fee0155,0x880806ff,0x002fffff,0x7cdffff9,0x00007fff,0xff8809f1,
    0x20007fff,0x3a6ffffc,0x5406ffff,0x2e4fffff,0x004fffff,0x3ffffe60,
    0xfe880005,0x00000dff,0xb9510000,0x32001579,0x004fffff,0x3ff60000,
    0xfffa86ff,0x880006ff,0xdb885fff,0xfff13efe,0xfffffb8d,0xffc80002,
    0xff9807ff,0x2aa04fff,0xaaaaaaaa,0xfff8801a,0x7fd400ff,0xffff85ff,
    0xfff8806f,0x7ffd46ff,0xfff981ff,0xfffb006f,0xffffffff,0xffffffff,
    0x3fffff67,0xffffffff,0x03ffffff,0x009ffff9,0x3ffffe20,0xffff9002,
    0x03ffffcd,0x36001000,0x000fffff,0x4dffff90,0x803fffff,0x2a6fffff,
    0x2effffff,0xffffc800,0x2600000e,0x2aaa200a,0xaaaaaaaa,0x00aaaaaa,
    0xfffffe98,0x2200dfff,0x00ffffff,0x3f600000,0xffe85fff,0x80002fff,
    0x7cc2fffc,0x324fffff,0x3fee2fff,0x80004fff,0x004fffff,0x40dffffd,
    0xffffffff,0xff005fff,0xfc807fff,0x7fd44fff,0xfb003fff,0x7e43ffff,
    0xff306fff,0x3f600dff,0xffffffff,0xffffffff,0xffffb3ff,0xffffffff,
    0x7fffffff,0x0fffff60,0x7fffc400,0xfff9002f,0x3ffffcdf,0x5c000000,
    0x001fffff,0x2dffff90,0x01fffff9,0x27ffffc8,0xfffffff8,0xfd001cff,
    0x00009fff,0xffff7000,0xffffffff,0x803fffff,0xfffffffb,0x502fffff,
    0x009fffff,0xfff80000,0x7ffc43ff,0xd00006ff,0xfffa8dff,0x3e64ffff,
    0x3ffe64ff,0x20002fff,0x01fffff8,0x7fffff4c,0x3ffffe07,0x05ffffff,
    0x3fffffd0,0x3ffffe60,0x7ffffe41,0xffff5000,0x7fffec5f,0xdffff304,
    0x3ffff600,0xffffffff,0x3fffffff,0xfffffffb,0xffffffff,0x3a07ffff,
    0x0002ffff,0x05fffff1,0x9bffff20,0x0007ffff,0xfffc8000,0xf90000ff,
    0x3feadfff,0xfb801fff,0x3ea1ffff,0xffffffff,0xff101cff,0x00005fff,
    0xffff7000,0xffffffff,0x403fffff,0xfffffffd,0x1fffffff,0x1fffffb8,
    0x32000000,0x4c0fffff,0x002fffff,0xe89fff00,0x4edeffff,0xff12fff4,
    0x03bfffff,0xfffff300,0xfffffb80,0xfff00fff,0xffffffff,0x3ffea00b,
    0x7fd44fff,0xffe85fff,0x3e2006ff,0x3fa3ffff,0xff302fff,0x3b200dff,
    0xffffeeee,0xeeeeeeff,0xdddd92ee,0xdffffffd,0x5ddddddd,0x0bffffa0,
    0x7fffc400,0xfff9002f,0x7ffffcdf,0x02bcceee,0xfffb0000,0x7e4000ff,
    0xfff36fff,0xff5005ff,0xffb83fff,0xffffffff,0x7fd40cff,0xecb88fff,
    0x0002bcee,0x7ffffdc0,0xffffffff,0xf501ffff,0x535bffff,0x0dfffff9,
    0x01fffffb,0xea880000,0xb82fffff,0x001fffff,0x23fff880,0x403ffffa,
    0x7ff47ffd,0xadffffff,0xffff5000,0x3fff620d,0x01ffffff,0xffdddddd,
    0x6c00bfff,0xbfffffff,0x0efffffc,0x05fffff8,0x27ffffc0,0x203fffff,
    0x006ffff9,0x2ffffec0,0x7ffec000,0x3fa0005f,0x10002fff,0x005fffff,
    0xf9bffff2,0xffffffff,0x000befff,0xfffff100,0x7fe4000b,0x3fffe6ff,
    0xfffa804f,0xffc882ff,0xffffffff,0x3fff20ef,0xfffffeff,0x001effff,
    0xfffff700,0xffffffff,0x3e01ffff,0xf303ffff,0xfe87ffff,0x00007fff,
    0x7fff7754,0x900effff,0x301fffff,0x99999999,0x8bffea59,0xc806fffd,
    0x7ffc47ff,0xffffffff,0x7ffdc01c,0xffffa85f,0x1fffffff,0x7fffec00,
    0x3ffa2005,0xffffffff,0xfff00eff,0xff800bff,0xfff15fff,0x3fe603ff,
    0xffffffff,0xffffb004,0xffb0000b,0x4c400bff,0xbffffe99,0x19999999,
    0x5fffff10,0x3ffff200,0x3fffffe6,0xffffffff,0xfc80001f,0x0002ffff,
    0xe9bffff2,0x202fffff,0x2fffffc8,0x7fffed40,0x325fffff,0xffffffff,
    0xffffffff,0x9880004f,0x99999999,0x3ffffff9,0x0bffff70,0x46ffffc8,
    0x006fffff,0x7fffdc00,0x405fffff,0x707ffffd,0xffffffff,0x87ffeebf,
    0xb804fffe,0x7fd41fff,0xffffffff,0xff900dff,0xfffc89ff,0xfffecfff,
    0x7fec002f,0x6c4005ff,0xffffffff,0x3fe204ff,0x74004fff,0xff36ffff,
    0x3e601fff,0xffffffff,0xfffb004f,0xfb0000bf,0x5400bfff,0xffffffff,
    0xffffffff,0xffff881f,0xfff9002f,0x7ffffcdf,0xffffffff,0x20001fff,
    0x06fffff9,0x7fffe400,0x3fffff26,0xfdba9adf,0x02ffffff,0x3ffff6a0,
    0xfffb0fff,0xffffffff,0x5fffffff,0x36000000,0x205fffff,0x401fffff,
    0x10fffff9,0x00bfffff,0xffffb800,0xcfffffff,0x6ffffe80,0xffffff70,
    0x3ff2bfff,0x0ffffe0f,0x20bffea0,0xffffffe8,0x83ffffff,0xd14ffffd,
    0x25ffffff,0x003ffffe,0x02ffffec,0xfffffd80,0x102effff,0x007fffff,
    0x56ffffe8,0x201fffff,0xfffffff9,0xfb004fff,0x0000bfff,0x00bffffb,
    0x7fffffd4,0xffffffff,0xff881fff,0xf9002fff,0x6664dfff,0xffedcccc,
    0x00ffffff,0xffffe880,0x7e40002f,0x3fa26fff,0xffffffff,0xffffffff,
    0xff98001f,0xffb2ffff,0x9bdfffff,0xffffffd9,0x002a601f,0xfffff700,
    0x3ffe201d,0xfff8807f,0xffff11ff,0xb80000df,0xffffffff,0x741fffff,
    0xf706ffff,0xffffffff,0xf83ffeeb,0xfb805fff,0x3faa01ff,0xffffffff,
    0x7ffec3ff,0xfffffacf,0x3fffa0ef,0x7fec003f,0x6c4005ff,0xffffffff,
    0xf884ffff,0x4004ffff,0xf56ffffe,0x2601ffff,0xffffffff,0xcccb84ff,
    0xcfffffec,0x004ccccc,0x00bffffb,0x7fffffd4,0xffffffff,0xff881fff,
    0xf9002fff,0x8800dfff,0x2ffffffc,0xffffd800,0xfc80004f,0x7fcc6fff,
    0xffffffff,0xffffffff,0xfff70001,0x3fffa5ff,0xfd301cff,0xe987ffff,
    0x8000dfff,0x1ffffff9,0x3ffffea0,0xcccccccc,0x22fffffc,0x007fffff,
    0x4cccc400,0xfffffdba,0x3fff60ff,0xdddd507f,0x2abfffff,0x3ffa1fff,
    0xfffc806f,0xfffc9800,0x1fffffff,0x3ffffff2,0xf83fffff,0x4002ffff,
    0x005ffffd,0x3fffffe2,0xfffffffd,0xfffff84f,0x7fff4004,0xfffff36f,
    0x3fffe601,0x8099999e,0xfffffffd,0xffffffff,0xffd800ff,0x3a6005ff,
    0xefffffee,0xeeeeeeee,0xfffff881,0xffff9002,0x3fee000d,0x6c004fff,
    0x005fffff,0xdffff900,0xfffffd50,0xffffffff,0x00021fff,0x23fffffb,
    0x806ffffd,0x44fffff9,0x05fffffe,0x7ffffc40,0x7ffdc02f,0xffffffff,
    0xffffffff,0x1fffffa3,0xb1000000,0x64bfffff,0x2007ffff,0xf35ffffc,
    0x7ffe45ff,0x3ffe402f,0x7fff5400,0x3ee6ffff,0xffffffff,0xffff881e,
    0x7fec001f,0xff1005ff,0x7dc5ffff,0x41ffffff,0x005ffffe,0x8afffffc,
    0x301fffff,0x400dffff,0xfffffffd,0xffffffff,0xffd800ff,0x3a0005ff,
    0x0002ffff,0x05fffff1,0x1bffff20,0xfffff800,0x3fff2006,0x00000eff,
    0x40dffff9,0xeffffeda,0x7ffffbac,0xf50073b2,0x321fffff,0xb007ffff,
    0x7d4dffff,0x00ffffff,0x3fffffa0,0xffffc804,0xffffffff,0x3fffffff,
    0x03fffff6,0x3a000000,0xf70fffff,0x2001ffff,0xf15ffffc,0x7ffcc7ff,
    0x6c4cbeff,0x2a0006ff,0x27ffffff,0xfffffffa,0xfff100df,0xfd8001ff,
    0xfb005fff,0xd103ffff,0xd8dfffff,0x2006ffff,0x24fffff8,0x301fffff,
    0x400dffff,0xfffffffd,0xffffffff,0xffd800ff,0x3a0005ff,0x0002ffff,
    0x00bffffe,0x027fffe4,0xfffffb00,0x3ffff200,0x200000ef,0x006ffffc,
    0x3fff2022,0x3ffff27f,0xfffecdee,0x3ee4ffff,0xf9007fff,0x7fdcffff,
    0x001fffff,0x0dfffff9,0x3fffff60,0xffffffff,0x22ffffff,0x03fffffc,
    0xfb800000,0xff51ffff,0x32007fff,0x3fe5ffff,0x7fffec5f,0x3fe24fff,
    0x7cc0005f,0xf31fffff,0x07ffffff,0x07ffffa8,0x5ffffd80,0xfffff980,
    0x7ffff402,0x3ffff20f,0x3ffe6007,0x3fffe2ff,0xffff303f,0x6665c00d,
    0xcfffffec,0x004ccccc,0x00bffffb,0x17ffff40,0xfffff000,0x3fff6007,
    0x3f60003f,0xfc807fff,0x000effff,0x7fffec00,0xffe80006,0x3fff24ff,
    0xffffffff,0x7d46ffff,0xc800ffff,0x3ea7ffff,0x00ffffff,0xffffffa8,
    0xffff9000,0x3333333d,0x13333333,0x37ffffdc,0x54000000,0xf32fffff,
    0x200dffff,0x3a5ffffc,0x3fa21fff,0x2e4fffff,0x80003fff,0x12fffffd,
    0x03dfffff,0x0dffffb0,0xbffffb00,0xdffff700,0xfffff300,0x7ffffdc5,
    0xffff9002,0x7ffff41f,0xdffff305,0xfffd8000,0xfd80005f,0x20005fff,
    0x002ffffe,0x13ffffa0,0x17ffff40,0xfffff000,0xffffc80b,0x800000ef,
    0x005ffffe,0x7ffffcc0,0x3fffff21,0xffffffff,0x7ffcc0df,0xffd803ff,
    0x3ffe25ff,0xf9805fff,0x001fffff,0x01bfffea,0x7fffcc00,0x000002ff,
    0x7ffffdc0,0x3fffffe0,0xffffc801,0x213ffee5,0x24fffffc,0x0000fffe,
    0x0fffffc8,0x017ffffe,0x0fffffe2,0x3ffff600,0xffffc805,0xfffff005,
    0x7ffffcc7,0xfffff005,0x7ffffc8d,0x0dffff30,0xffffd800,0xffd80006,
    0x3a0006ff,0x0002ffff,0x01fffff6,0x07ffffe6,0x7fffd400,0x3fff203f,
    0x00000eff,0x3fffff98,0x7fff4000,0x7fff546f,0xffffffff,0xffff102d,
    0xfff880df,0x7ff4c3ff,0x7f4400ef,0x4003ffff,0x00fffff9,0xffffb000,
    0x000005ff,0x3fffff40,0x3bffffea,0x7fffe401,0x807fff45,0x3fea0998,
    0xfd00003f,0xffb8ffff,0x7dc02fff,0xb0007fff,0xb00bffff,0x100bffff,
    0xe83fffff,0x401fffff,0x42fffffb,0x83fffff9,0x006ffff9,0x7ffffe40,
    0x7fe40000,0xd0000fff,0x0005ffff,0x27ffffdc,0x1bffff60,0x7fffd400,
    0xfff901ff,0x98001bff,0x7fff401d,0x320002ff,0x203fffff,0xffffaa99,
    0xffff9007,0x7ffec07f,0x1aa882ff,0xfffffb00,0xfff1000b,0x200009ff,
    0xfffffff8,0x003dcc03,0xbfffffb0,0xffffffd0,0x7fffe405,0x077ffdc5,
    0x87fff980,0x3f2001bd,0x7c45ffff,0x500fffff,0x007fffff,0x17ffff60,
    0x3ffffee0,0x7fffdc01,0xfffffa87,0xffff701f,0x3fffa0df,0x7ffcc2ff,
    0x7dc0006f,0x0003ffff,0x1fffffdc,0xffffe800,0x3fe20002,0x109dffff,
    0x5fffffd3,0x44ccd654,0xffffeb99,0xfff904ff,0x26000bff,0xa899bdff,
    0x0efffffe,0x7ffdc400,0x1000efff,0x2009ffff,0xcffffff8,0xffffd511,
    0x2e0000bf,0x00efffff,0xfffffb00,0x3f200005,0xefffffff,0x7ffedcbc,
    0x44666af2,0xfffffca9,0xfff981ff,0xabdeffff,0x5fffffba,0x00efffe8,
    0x41ffffd4,0xabcdfffe,0xffffcaaa,0xffb82fff,0x710befff,0x01ffffff,
    0x3ffff600,0xffff9805,0x7dc41bef,0xfd06ffff,0x59dfffff,0xffffffd9,
    0x3fffea03,0xffb9adff,0xaaaaaeff,0xfffa800a,0x09881eff,0x7ffffd40,
    0x9309881e,0xbfffff99,0x99999999,0xffb81999,0xffffffff,0x45ffffff,
    0xfffffffc,0xffffffff,0xfffff905,0xffffffff,0x265fffff,0xffffffff,
    0x82ffffff,0xfedcccca,0xffffffff,0x3ffe6000,0x3ff2001f,0xffffffff,
    0x00ffffff,0xffff9800,0x260001ff,0x1dffffff,0x44076e60,0xffffffff,
    0xffffffff,0x3fffffe7,0xffffffff,0x3f602fff,0xffffffff,0xffffffff,
    0xfffffa85,0xffb730ac,0x3ffa0bff,0xffffffff,0x4fffffff,0xffffff10,
    0xffffffff,0x998807ff,0xfffd9999,0x199999ef,0x7ffffff4,0xffffeeff,
    0xff501fff,0xffffffff,0x0bffffff,0xffffffe8,0xffffffff,0x00ffffff,
    0xffffff88,0x3fffeeff,0x7ffffc40,0xfffeefff,0xffffff53,0xffffffff,
    0x03ffffff,0xfffffffd,0xffffffff,0xfffffc81,0xffffffff,0xffff106f,
    0xffffffff,0x5fffffff,0x3fffffe6,0x5fffffff,0xffffffb0,0xffffffff,
    0xfffb8003,0x7ff44006,0xffffffff,0x0002ffff,0xffffff88,0xeeeeeeef,
    0xff902eee,0xddffffff,0x03fffffd,0x7ffffec4,0xffffffff,0x3ffffe7f,
    0xffffffff,0xfb804fff,0xffffffff,0x5fffffff,0xfffffd30,0xffffffff,
    0x7ffff407,0xffffffff,0x4c05ffff,0xfffffffe,0x02ffffff,0xffffffe8,
    0xffffffff,0x3e20ffff,0xffffffff,0x2fffffff,0x7ffffd40,0xffffffff,
    0xffe8804f,0xffffffff,0xffffffff,0xfff5000f,0xffffffff,0xfff5007f,
    0xffffffff,0x3fffea7f,0xffffffff,0xffffffff,0xfffff901,0x9fffffff,
    0xfffff901,0xdfffffff,0x7fffc405,0xffffffff,0x2fffffff,0xfffffff3,
    0x407fffff,0xfffffffd,0x01dfffff,0x03fffd80,0xfffff900,0x3dffffff,
    0x3ff20000,0xffffffff,0x3fffffff,0x3fffffa0,0xffffffff,0xffa801ff,
    0xffffffff,0x3ffe7fff,0xffffffff,0x2001dfff,0xffffffe9,0xffffffff,
    0x3fff6204,0xffffffff,0x7ffff402,0xffffffff,0x8800cfff,0xfffffffd,
    0xd001ffff,0xffffffff,0xffffffff,0xffe981ff,0xffffffff,0xd3002fff,
    0xffffffff,0x44005fff,0xfffffffd,0xffffffff,0x36000fff,0xffffffff,
    0xfb003fff,0xffffffff,0x3ffea7ff,0xffffffff,0xffffffff,0x3ff6601f,
    0x1dffffff,0x3fffff20,0x01dfffff,0xffffff88,0xffffffff,0x262fffff,
    0xfffffffc,0x7fec00cf,0xffffffff,0x3fe0002e,0x260000ff,0xfffffffe,
    0x6c00002e,0xffffffff,0xffffffff,0x7ffdc03f,0xffffffff,0x91001fff,
    0xffffffdb,0x7ffc15bf,0xffffffff,0x2e0000ce,0xfffffffd,0x7000bdff,
    0xbfffffdb,0xfd950037,0xffffffff,0x2e0007df,0xdffffffe,0x3ffa000c,
    0xffffffff,0xffffffff,0xffffd500,0x005dffff,0xffffd910,0x00019dff,
    0x3ffffb6e,0xffffffff,0x4c000fff,0xfffffffe,0x3a6002ff,0xffffffff,
    0xfffff52f,0xffffffff,0x3fffffff,0x26aa6200,0x2a662000,0x880019aa,
    0xffffffff,0xffffffff,0x53102fff,0x7ec00135,0xaceeefff,0xaaa80000,
    0x2a200002,0x000001aa,0x3ffffff6,0xffffffff,0xd8803fff,0xffffffff,
    0x0000ceff,0x30026aa6,0x13355553,0x26200000,0x00019aaa,0x0001aa88,
    0x555554c4,0x4c000019,0x3a0001aa,0xffffffff,0xffffffff,0xaa9800ff,
    0x000009aa,0x00006aa6,0x026aa620,0x53100000,0x00015555,0x555554c4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffffd,0xffffffff,0x4c4003ff,0x0019aaba,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77776c00,0xdddd9002,
    0x65cc4007,0x74c0abcc,0xeeeeeeee,0xeeeeeeee,0xeeb86eee,0xacdeeeee,
    0x776c0009,0x76c005ee,0x775c4eee,0xacdeeeee,0x3a600009,0x0000eeee,
    0x00bdddd5,0x77777400,0x01800002,0xeea80300,0xee8805ee,0x20001eee,
    0xeeeeeeed,0xd33eeeee,0xdddddddd,0xdddddddd,0x776cdddd,0xeeeeeeee,
    0x11eeeeee,0xdddddddd,0x0001359b,0x77776cc0,0x77774400,0xabcdeeee,
    0xdddd3001,0x3bae0005,0x3bbbb26e,0xeeeeeeee,0xdb2eeeee,0x8001dddd,
    0x13eeeee8,0x803ddddd,0x0eeeeee9,0x4026aa60,0x003ffffe,0x009ffffb,
    0xfffffff9,0x7fccffff,0xffffffff,0xffffffff,0xfffc87ff,0xffffffff,
    0xfb800cff,0x7003ffff,0xc83fffff,0xffffffff,0x00cfffff,0x7ffffcc0,
    0xfff70001,0x7c0000ff,0x0002ffff,0x0003faa0,0x3ea05df3,0xf8807fff,
    0x0001ffff,0xfffffff5,0x29ffffff,0xfffffff9,0xffffffff,0x3e7fffff,
    0xffffffff,0xffffffff,0xffffff12,0xffffffff,0x36600019,0x00ffffff,
    0x7fffffc4,0xefffffff,0x3ffe600b,0xff90003f,0x7fffecff,0xffffffff,
    0xf93fffff,0x8007ffff,0x12fffffa,0x805fffff,0x84fffffe,0xffffffeb,
    0x7ffff42e,0xffffb003,0x7fff5409,0xffffffff,0x3ffffe67,0xffffffff,
    0x7fffffff,0xffffffc8,0xffffffff,0xfffe803f,0x7fc400ff,0xffc85fff,
    0xffffffff,0x003fffff,0x07ffffe6,0x7fffdc00,0x3fe00007,0x80002fff,
    0x005fffe9,0x20effff4,0x807ffffa,0x01fffff8,0xfffffb00,0xffffffff,
    0x3ffffe69,0xffffffff,0x7fffffff,0x3ffffffe,0xffffffff,0xffff12ff,
    0xffffffff,0x4007ffff,0xffffffd8,0x7fc400ff,0xffffffff,0x01ffffff,
    0x009ffff1,0xd9bfff20,0xffffffff,0xffffffff,0xfffff53f,0xfffc800b,
    0xffff10ff,0x7ffdc05f,0x7ff546ff,0xffffffff,0x0fffffa4,0x27fffec0,
    0xffffffd8,0x7fffffff,0x3fffffe6,0xffffffff,0x87ffffff,0xfffffffc,
    0xffffffff,0x3fe600ef,0x7e404fff,0xfc80ffff,0xffffffff,0xefffffff,
    0xffff9800,0xff70001f,0x40000fff,0x002fffff,0xfffffd80,0xffff9003,
    0xffffa87f,0xffff8807,0xff88001f,0xffffffff,0xff34ffff,0x3333333d,
    0x53333333,0x7fffcfff,0xffffffff,0xf12fffff,0xffffffff,0xffffffff,
    0x7fe4401d,0xffffffff,0x7fffc400,0xffffffff,0x880effff,0x0004ffff,
    0x7ecdfff9,0xffffffff,0xffffffff,0x1fffffe3,0xbfffff00,0x17ffffc4,
    0xffffff98,0x7ffffdc0,0x2fffffff,0x007ffffd,0x213ffff6,0xfffffffb,
    0x7fffffff,0x3bbbbba6,0xefffffee,0x86eeeeee,0xeefffffc,0xfffffffe,
    0x7fec05ff,0xff100fff,0x3f207fff,0xfeeeffff,0xffffffff,0xffff9805,
    0xff70001f,0x40000fff,0xeeefffff,0x8009abcd,0x1fffffe8,0x7ffffd40,
    0x3fff72a5,0xccccccff,0xfffffccc,0x3ee000cd,0xefffffff,0xf32ccccc,
    0x4d6654df,0xf9ffe200,0xeeeeffff,0xeeeeeeee,0xdfffff11,0xfffffddd,
    0x910bffff,0xffffffff,0x8801ffff,0xeeefffff,0xfffffffe,0x9ffff06f,
    0x3fff6000,0x333332a6,0xccfffffd,0x3f61cccc,0x3001ffff,0x447fffff,
    0xd02fffff,0x207fffff,0xffdefffe,0xffd4ffff,0x3f6007ff,0x7fc44fff,
    0x21bfffff,0x2007eb98,0x00fffffa,0x2ffffe40,0x3fffee62,0x3e202fff,
    0xf905ffff,0x7e40dfff,0x5cc45fff,0x2fffffff,0x7ffffcc0,0xffb80a01,
    0x200007ff,0xffffffff,0x0cffffff,0x7ffffcc0,0xcefffdbe,0x20efffff,
    0xfffffffc,0xffffffff,0xffffffff,0x3fffa001,0x405ffffd,0x3ff26ff9,
    0xf882efff,0x3ffffe7f,0xfff10003,0xfb9883ff,0x42ffffff,0xfffffff9,
    0x00ffffff,0x0fffffc4,0x7ffffecc,0x4ffff80f,0xbfffb000,0xfffff500,
    0xffff5001,0x3fee009f,0x3fe20fff,0xffb82fff,0x3a605fff,0x6fffff82,
    0x007ffffd,0xb13ffff6,0x01bfffff,0x7fd40010,0x64000fff,0x2205ffff,
    0x06fffffe,0x0fffffe4,0x0bffffe2,0x05ffffc8,0x3fffffa2,0x7fffcc06,
    0x207e981f,0x007ffffb,0x3ffffe00,0xffffffff,0x7dc04fff,0xffffffff,
    0xffffffff,0x7ffffe41,0xffffffff,0xffffffff,0xff3001ff,0xbffff5ff,
    0x326ff980,0xefffffff,0xff9ffe20,0x10003fff,0x403fffff,0x6fffffe8,
    0xafffffe8,0x00fffffa,0x0fffffc4,0x3fffffb0,0x00bffff0,0x017fff60,
    0x03ffffea,0x3ffffe20,0xffffb006,0xfffff88d,0x7ffffc42,0xffb0000f,
    0x3fffabff,0xfffb003f,0x7fffcc9f,0x5000006f,0x001fffff,0x05ffffc8,
    0x3fffffe8,0x37ffffc0,0x017ffff6,0x00bffff9,0x07fffffd,0x0fffffcc,
    0x5c0fffb3,0x0007ffff,0x3fffffe0,0xffffffff,0x7ec04fff,0xffffffff,
    0x82ffffff,0xfffffffc,0xffffffff,0xffffffff,0xdfff9001,0x80bffff1,
    0x3b2a6ff9,0x26fffffe,0x3ffe7ff8,0xf10003ff,0xd003ffff,0xb87fffff,
    0x3fea3fff,0x7c400fff,0x2601ffff,0xe83fffff,0xd0005fff,0xf5009fff,
    0x2001ffff,0x00fffffe,0x27ffffc4,0x0bffffe2,0x05fffffb,0x3fffe600,
    0x7ffffd4f,0x3ffff600,0x3ffffee4,0xf5000002,0x8001ffff,0x805ffffc,
    0x06fffffa,0x97ffffd4,0x01fffff9,0x02ffffe4,0x37ffffd4,0x3fffff30,
    0x0fffffb3,0x03ffffdc,0xfffff000,0xfffddddd,0x405fffff,0xfffffff8,
    0x6fffffff,0xffffdd70,0xdddddddf,0xdfffffdd,0xfff1003d,0xbffff17f,
    0x206ff980,0x13ffffb8,0x7fffcfff,0xff10003f,0xf5003fff,0xf88dffff,
    0x7fffd40c,0x7ffc400f,0x3fe201ff,0xffe84fff,0xffd0005f,0xfff5009f,
    0x3ee001ff,0x5402ffff,0x441fffff,0x2e2fffff,0x004fffff,0xfffffd10,
    0x0fffffa1,0x27fffec0,0x00fffff9,0x7ffd4000,0x7e4000ff,0xff005fff,
    0xfd00ffff,0x3ff6dfff,0xffc804ff,0xfff005ff,0x7fcc0fff,0xffffefff,
    0x3fee07ff,0x200007ff,0x502fffff,0x1ffffffd,0x3ffffe60,0xfffeb9bd,
    0x3fea00ff,0xff8807ff,0x2a001fff,0xff88ffff,0x7fcc05ff,0x6fffa806,
    0x7ffcfff1,0xf10003ff,0x2003ffff,0x087fffff,0x1fffff50,0xfffff880,
    0x3fffe201,0x6fffd82f,0xe82fffa8,0xfa803fff,0x3000ffff,0x80bfffff,
    0x887ffffc,0xf12fffff,0x000dffff,0x3fffffa2,0x0fffffa3,0x27fffec0,
    0x00dffffd,0x7ffd4000,0x7e4000ff,0xf9005fff,0xf300ffff,0xfff7ffff,
    0xff9001ff,0x3f200bff,0x3e607fff,0xffffffff,0x3ee02eff,0x00007fff,
    0x00bffffe,0x05fffffd,0x417ffff2,0x204ffffd,0x807ffffa,0x01fffff8,
    0x45bfffa0,0x4c05ffff,0xffd006ff,0xff9ffe2f,0x10003fff,0x003fffff,
    0x01fffff2,0x0fffffa8,0x7ffffc40,0x3fffee01,0x6fffd81f,0xe84fffc8,
    0xfa803fff,0x2000ffff,0x407ffffe,0x884ffffe,0xfb2fffff,0x0003ffff,
    0x7ffffff3,0x03ffffe8,0x49ffffb0,0x005fffff,0x3ffea000,0x7e4000ff,
    0xf7005fff,0x9003ffff,0xffffffff,0x3ff2007f,0xff7005ff,0x3e603fff,
    0xffffffff,0xfffb802e,0xbfb5007f,0x5fffff05,0xfffff980,0x1fffff03,
    0x1bfffe60,0x07ffffa8,0x1fffff88,0x7ffff100,0x017fffe2,0x3e00dff3,
    0x4fff17ff,0x003fffff,0x3fffff10,0x3fffee00,0xfff5001f,0xff8801ff,
    0xff301fff,0x3f20dfff,0xffff86ff,0x03ffff87,0x0fffffa8,0x3ffff200,
    0xffff101f,0xffff105f,0xfffff55f,0xfff30007,0xffd05fff,0x3f6007ff,
    0x3ffe4fff,0x100005ff,0xfff73333,0x133335ff,0xfffffff0,0x50dfffff,
    0x005fffff,0xfffffff1,0xffff00df,0xffffffff,0xfffff50d,0xffffb105,
    0x4005dfff,0x807ffffb,0x44fffffc,0x802fffff,0x885fffff,0x7c05ffff,
    0x3ea07fff,0xaaaaffff,0xfffbaaaa,0xff9001ff,0x3ffe21ff,0x1fffffff,
    0xf700dff3,0x9ffe2bff,0xffffffff,0xffffffff,0x3ffffe25,0xffff5001,
    0x3fea005f,0x7c400fff,0x999affff,0xffffffda,0x8dfff901,0x41fffff9,
    0xa802ffff,0x000fffff,0x0fffffe6,0x83ffffdc,0xfbfffff8,0x8005ffff,
    0x1efffffa,0x07ffffd0,0x93ffff60,0x007ffffe,0xfffff900,0xffffffff,
    0xffff05ff,0xffffffff,0xfffff50d,0x3ffee007,0xf801ffff,0xffffffff,
    0xffa86fff,0x3f223fff,0x2effffff,0xffffb800,0x7fffd407,0x3ffe1fff,
    0xffe802ff,0xfff986ff,0x7fff404f,0x3fffea07,0xffffffff,0x1fffffff,
    0x4bffff00,0xfffffff8,0xdff31fff,0xfffccca8,0x4fff11ff,0xffffffff,
    0xffffffff,0x3ffffe25,0xffff5001,0x3fea007f,0x7c400fff,0xffffffff,
    0x2fffffff,0x91ffff20,0xf89fffff,0xfa802fff,0x4000ffff,0xb06fffff,
    0x220bffff,0xffffffff,0x5c000fff,0x99efffff,0xffe89999,0xffb003ff,
    0x7ffec9ff,0xc80000ff,0xffffffff,0x2fffffff,0xfffffff8,0x986fffff,
    0x003fffff,0x17fffffa,0x7fffffc0,0x86ffffff,0x13fffff9,0xffffffff,
    0x3ee0003f,0x7e407fff,0x24ffffff,0x802fffff,0xa85ffffe,0x6c03ffff,
    0xf500ffff,0xffffffff,0xffffffff,0xff5003ff,0x7ffc45ff,0x1fffffff,
    0xffb8dff3,0x223fffff,0x3fffe7ff,0xffffffff,0x3e25ffff,0x3001ffff,
    0x007fffff,0x03ffffea,0xffffff10,0xffffffff,0xfffb801b,0x7fffff47,
    0x00ffffc6,0x07ffffd4,0x3ffff600,0xfffff80f,0xfffff103,0x01ffffff,
    0x7ffffdc0,0xffffffff,0x03ffffeb,0x49ffffb0,0x04fffffc,0xffffc800,
    0xffffffff,0xfff82fff,0xffffffff,0xffffa86f,0x3fea002f,0xff000fff,
    0xffffffff,0xfff50dff,0x3ffe65ff,0x01ffffff,0xfffff700,0xfffffd80,
    0x3fffe5ff,0x7ffc402f,0xfff983ff,0x7fff404f,0x3fffea07,0xffffffff,
    0x1fffffff,0x47fffd80,0xfffffff8,0xdff31fff,0xdfffffb8,0xff3ffc41,
    0xffffffff,0x4bffffff,0x01fffff8,0x5fffff50,0x3fffea00,0x7ffc400f,
    0xffffffff,0xff7000ef,0x7fffc4ff,0xfff11fff,0xfff5003f,0xfa8001ff,
    0x7d42ffff,0xf100ffff,0xfffbffff,0x7ec00bff,0xffffffff,0xffebffff,
    0xffb003ff,0x7ffd49ff,0x40001fff,0xfffffffc,0xffffffff,0xfffeaa82,
    0x82aaaaef,0x81fffffb,0xfeeeeeec,0xeeeeffff,0x7f5542ee,0xaaaaefff,
    0xfffffb82,0xffffff31,0x20003fff,0x407ffffb,0xfffffffc,0x0bffffe3,
    0x5fffff70,0x0bffff10,0x206ffff8,0xfffffffa,0xffffffff,0x4401ffff,
    0x7c44ffff,0xaaaaefff,0xa8dff30a,0x3e200eff,0x3ffffe7f,0xaaaaaaad,
    0x3fe22aaa,0xf7001fff,0x2003ffff,0x00fffffa,0x7fffffc4,0xefffffff,
    0x7fffa801,0x3fffffee,0x1ffff13f,0xfffff500,0xfff88001,0x7ffe44ff,
    0x3ffe206f,0xffffeaff,0xfffb002f,0xffffffff,0xffffd7ff,0x3fff6007,
    0x7ffff44f,0x102802ff,0xfff73333,0x133335ff,0x2ffffe40,0xfffffb80,
    0xfffffd80,0xffffffff,0xf902ffff,0x2e00bfff,0xf30fffff,0xfffff57f,
    0x3fee0003,0x7fc407ff,0x3e0fffff,0x2602ffff,0x80ffffff,0x00fffff8,
    0x40bffff5,0x807ffffa,0x01fffff8,0x20ffffdc,0x405ffff8,0x7fd46ff9,
    0xf3ffc406,0x0007ffff,0x07ffffe2,0x7ffffdc0,0xffff5000,0xfff8801f,
    0xffdb9aff,0xfa806fff,0xfffb0fff,0x3e2dfff7,0xfa800fff,0x8000ffff,
    0x747ffffd,0x2203ffff,0xf9afffff,0x800fffff,0xfffffffd,0xebffffff,
    0xb003ffff,0xfb89ffff,0xceffffff,0x0ffdbaaa,0xfffff500,0xfffc8001,
    0xfff9005f,0x3fff60ff,0xffffffff,0x02ffffff,0x00bffff9,0x89fffff2,
    0xfffff30b,0x3fee0003,0xffa807ff,0x7ffc1fff,0xffb882ff,0x3a03ffff,
    0xe885ffff,0x2a02ffff,0x8807ffff,0x401fffff,0xf886fffe,0x7cc05fff,
    0x02ffd46f,0xfff9ffe2,0xf10003ff,0x2003ffff,0x007ffffc,0x03ffffea,
    0x3fffff10,0x3fffffd8,0x47fffcc0,0xff9cfff8,0x7fff88ff,0xfffff500,
    0xfff70001,0x3ffe23ff,0x3fe201ff,0xfff92fff,0x33100bff,0x33333333,
    0xfffd1333,0x3ff6007f,0xfffe84ff,0xffffffff,0x5000ffff,0x001fffff,
    0x05ffffc8,0x0dfffff0,0x3733332a,0xcccfffff,0xff901ccc,0x3fe00bff,
    0x3e606fff,0x0001ffff,0x00fffff7,0x3e02b2a2,0xeeeeffff,0xffffffff,
    0x7fffd406,0xfffcabef,0x7fd406ff,0xff8807ff,0x3e601fff,0xeeeeffff,
    0x405ffffe,0x09986ff9,0xff3ffc40,0x20007fff,0x01fffff8,0x0dfffff0,
    0x7ffffd40,0x7fffc400,0x7fff441f,0x3fe600ff,0x2fffa9ff,0xff37ffff,
    0x3fea00ff,0x88000fff,0xf53fffff,0xf880dfff,0x3fa2ffff,0x0003ffff,
    0x3ffffa00,0xffffb003,0xffffb109,0xffffffff,0x3ea001ff,0x4000ffff,
    0x805ffffc,0x04fffffb,0x3ffffcc0,0x7fffe400,0xffffb805,0x3ffe604f,
    0xf70001ff,0x0000ffff,0x7ffffffc,0xffffffff,0x7fc400ff,0xffffffff,
    0x5405ffff,0x8807ffff,0x201fffff,0xfffffffc,0x5fffffff,0x5437fcc0,
    0x3ffc401b,0x007fffff,0x3ffffe20,0xffffb801,0x3fea004f,0x7c400fff,
    0xfa81ffff,0x2204ffff,0xffd9ffff,0x3bfff90f,0x2a00ffff,0x000fffff,
    0x2bffffd0,0x404ffffd,0x22fffff8,0x0ffffffa,0x00acb880,0x03ffffe8,
    0x09ffffb0,0x7fffffe4,0x0fffffff,0xfffff500,0xfffc8001,0xffff805f,
    0x7cc000ff,0xc8007fff,0xf805ffff,0x200fffff,0x01fffff9,0xfffff700,
    0x7ffc0000,0xffffffff,0x800cffff,0xfffffffc,0xffffffff,0x3fffea03,
    0xffff8807,0x3fffe01f,0xffffffff,0x7cc05fff,0x0fffec6f,0x7fcfff10,
    0x10003fff,0x003fffff,0x01ffffff,0x7ffffd40,0x7fffc400,0xfffff01f,
    0x3ffe201f,0x2a6fff9f,0xfffaffff,0xffff5006,0x3f20001f,0xfff8ffff,
    0x7fc402ff,0x7fec2fff,0x7d405fff,0x7401ffff,0xd003ffff,0x8809ffff,
    0xffffffeb,0x2a002cff,0x000fffff,0x02ffffe4,0x7fffffb1,0x555554c0,
    0xaafffffc,0xf900aaaa,0x6c40bfff,0x403fffff,0x01fffff9,0xfffff700,
    0x7ffc0000,0xffffffff,0xf5001eff,0xffffffff,0xffffffff,0x3fffea03,
    0xffff8807,0xffff501f,0xffffffff,0xf980bfff,0x3fffe26f,0xf9ffe204,
    0x0003ffff,0x03fffff1,0x7ffffec4,0x7ffd4003,0x7fc400ff,0xff701fff,
    0x3e207fff,0x3fffcfff,0x7fe7fffc,0xfff5006f,0x260001ff,0xffcfffff,
    0xff8807ff,0x7fc42fff,0xf303ffff,0x01ffffff,0x01fffff4,0x17ffffcc,
    0xcffffa80,0xff500009,0xc8001fff,0xf505ffff,0x01ffffff,0x7fffffec,
    0xffffffff,0xff902fff,0x3fea0bff,0x400fffff,0x01fffff9,0xfffff700,
    0x7ffc0000,0xabceeeff,0x3fe60009,0xffecdfff,0xfffffbde,0xffffa80e,
    0xffff8807,0xffffb01f,0xf3333333,0xf980bfff,0x1ffffc6f,0x7fcfff10,
    0x10003fff,0x203fffff,0xfffffffa,0x7ffd4000,0x7fc400ff,0xff101fff,
    0x3e01ffff,0x0fffefff,0x7fffffec,0xfff5005f,0x7c0001ff,0xffffffff,
    0xfff8805f,0xfffb82ff,0xffc80fff,0x203fffff,0x2e3ffffe,0xffea9abe,
    0xf9001fff,0x80001fff,0x00fffffa,0x77fffe40,0xffffeccc,0x6c03ffff,
    0xffffffff,0xffffffff,0xffff902f,0xfffd999d,0x007fffff,0x9bfffff3,
    0x99999999,0x3ffee399,0xccccccff,0x204ccccc,0x002fffff,0xffffe880,
    0x7ffd400f,0xfffa85ff,0xfff8807f,0xfff881ff,0x3ffe205f,0x2aaaaaef,
    0xfe98dff3,0xf3ffc404,0x999dffff,0x99999999,0x3ffffe23,0xfffecccd,
    0x703fffff,0xfddddddd,0xddddffff,0x3ffe25dd,0x3ff201ff,0xfff03fff,
    0xf50dffff,0x8bffffff,0xfcaaaaa9,0xaaabffff,0xffc800aa,0x2fffffff,
    0xfffff880,0xfffffd02,0xfffffb0d,0x7ff409ff,0x3ffee3ff,0x5fffffff,
    0x17fffa00,0x3ffea000,0x7e4000ff,0xffffffff,0x3fffffff,0xfffffd80,
    0xffffffff,0xf902ffff,0xffffffff,0x7fffffff,0x3fffe600,0xffffffff,
    0xf72fffff,0xffffffff,0xffffffff,0x3ffffe01,0xffd80002,0xfb002fff,
    0xfa87ffff,0xf8807fff,0xfb81ffff,0x3e202fff,0xffffffff,0x00dff36f,
    0xff3ffc40,0xffffffff,0x5fffffff,0x3fffffe2,0xffffffff,0x3f203fff,
    0xffffffff,0xffffffff,0xfffff13f,0x7fffcc03,0xffffd07f,0xfff107ff,
    0xfd8bffff,0xffffffff,0xffffffff,0xffffa803,0x800fffff,0x02fffff8,
    0x7ffffff3,0xffffffd8,0x3fffa03f,0x3fffee3f,0x00ffffff,0x00bfffe0,
    0x3fffea00,0x7fe4000f,0xffffffff,0x000dffff,0x3ffffcc0,0x7fffe400,
    0xffffffff,0x26000dff,0xffffffff,0xffffffff,0xfffff72f,0xffffffff,
    0x3e01ffff,0x0002ffff,0x05fffea8,0x37fffe20,0x3ffffd40,0x7ffffc40,
    0x07fffe81,0x7fffffc4,0xff36ffff,0xffffffff,0xffffffff,0x7fffcfff,
    0xffffffff,0xf12fffff,0xffffffff,0x1bffffff,0xfffffc80,0xffffffff,
    0xf13fffff,0xe803ffff,0xe83fffff,0x01ffffff,0x9ffffffb,0xffffffd8,
    0xffffffff,0xf8803fff,0x6fffffff,0xfffff100,0x7fffe405,0x3ffea1ff,
    0x3a01ffff,0x3ee3ffff,0xefffffff,0x3ffe6001,0xff500007,0xc8001fff,
    0xffffffff,0x003fffff,0xfffff300,0xffff9000,0xffffffff,0xff30007f,
    0xffffffff,0x5fffffff,0x3fffffee,0xffffffff,0xfff00fff,0x400005ff,
    0x54000ffa,0xfff501ef,0xfff100ff,0xfff983ff,0x7ffc404f,0x6fffffff,
    0xfffffff3,0xffffffff,0x7cffffff,0xffffffff,0xffffffff,0xffffff12,
    0xffffffff,0x3fff2007,0xffffffff,0x3fffffff,0x03fffff1,0x6fffffa8,
    0x6fffffe8,0x3ffffee0,0x7fffec4f,0xffffffff,0x003fffff,0xfffffffb,
    0x3ffe2007,0x3fe202ff,0x7ec6ffff,0x7403ffff,0x3a63ffff,0x04efffff,
    0x04fffa80,0xffff5000,0xffc8001f,0xdeefffff,0x4c00001b,0x8007ffff,
    0xfffffffc,0x0001bdee,0x3fffffe6,0xffffffff,0xfff72fff,0xffffffff,
    0x01ffffff,0x00bffffe,0x40006000,0x7fffd401,0xffff8807,0x7fffe41f,
    0x7fffc401,0x36ffffff,0xffffffff,0xffffffff,0x7fcfffff,0xffffffff,
    0x2fffffff,0xfffffff1,0x0037bddf,0xffffffc8,0xffffffff,0xff13ffff,
    0xfd003fff,0xfd85ffff,0x2204ffff,0x43ffffff,0xfffffffd,0xffffffff,
    0xff7003ff,0x003fffff,0x0bffffe2,0xffffff50,0x02dedb87,0x26a62000,
    0x2aa60000,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x013bbbae,0x777775c0,0xeeeeeeee,0x01eeeeee,
    0x40777744,0x0003eeec,0x777776c4,0xdd50002e,0x001ddddd,0x3bbbbba2,
    0x1abcceee,0xeeeeed80,0xeeeeeeee,0x3bba66ee,0xeeeeeeee,0xeeeeeeee,
    0x3ddddd71,0xeeeea800,0x5ddddb1e,0x3bbbb200,0xbdddddb3,0x17bbba00,
    0x07ddddd7,0x1eeeeed8,0x77777774,0x801aacde,0xeeeeeee9,0xeeeeeeee,
    0x226eeeee,0x01eeeeed,0x5ddddd90,0x08000000,0x20000000,0x9b730008,
    0x2b36e205,0xedca8800,0xcdca81bc,0x3260000a,0xa980003d,0x1accedcc,
    0xdffff900,0x3fff2000,0xffffffff,0xffffffff,0x7fffcc01,0x03fffe80,
    0x7fffec00,0xb0003fff,0x7fffffff,0x3fffe200,0xffffffff,0x3fe02eff,
    0xffffffff,0x27ffffff,0xfffffff9,0xffffffff,0xff11ffff,0xe800bfff,
    0x3fa6ffff,0xfb003fff,0x3ffe9fff,0xf801ffff,0x7fe46fff,0x3e606fff,
    0x7c2fffff,0xffffffff,0x00bfffff,0xfffffff3,0xffffffff,0xc8ffffff,
    0x805fffff,0x0ffffff9,0x1bfffe00,0x000bf300,0x1dd10000,0xfffffe80,
    0x3ffff20f,0xff9101ff,0x1bffffff,0xffffffd1,0xfff50003,0xfb5000df,
    0xffffffff,0xfc805dff,0x90006fff,0xffffffff,0xffffffff,0xfa803fff,
    0xffff07ff,0x7fcc0005,0x03ffffff,0xfffff880,0xf1005fff,0xffffffff,
    0xdfffffff,0x3fffffe0,0xffffffff,0x3ffe67ff,0xffffffff,0xffffffff,
    0x3fffff21,0xffff5001,0x7ffff45f,0xffffb003,0x3fffffe9,0xffff805f,
    0x7ffffec6,0xffff900f,0xffff87ff,0xffffffff,0xf983ffff,0xffffffff,
    0xffffffff,0x7fc47fff,0x7401ffff,0x003fffff,0x0037fffc,0x001dfff3,
    0x3fe60000,0xfffb00ef,0x3eadffff,0x1fffffff,0xffffff98,0xfffeffff,
    0x01ffffff,0x7fffff40,0x7fff4003,0xffffffff,0x3f205fff,0x90006fff,
    0xffffffff,0xffffffff,0xfa803fff,0xffff06ff,0x7ff40003,0x03ffffff,
    0xfffffa80,0x8800ffff,0xffffffff,0xffffffff,0xfffff85f,0xffffffff,
    0x3fe67fff,0xffffffff,0xffffffff,0x3fffe21f,0xfffd005f,0xffffe8df,
    0xffffb003,0x3fffffe9,0x7ffc00ff,0x7fffec6f,0xfffd03ff,0xfff87fff,
    0xffffffff,0x43ffffff,0xfffffff9,0xffffffff,0xb87fffff,0x205fffff,
    0x06fffff9,0x06ffff80,0xffffff30,0xb8000003,0x40efffff,0xfffffffc,
    0xfffffdff,0xf985ffff,0xffffffff,0xffffffff,0x7c006fff,0x004fffff,
    0x7ffffff4,0xffffffff,0xffff902f,0x3ff2000d,0xffffffff,0xffffffff,
    0x7ffdc01f,0x0ffff885,0xffff7000,0x007fffff,0xffffff90,0xf1005fff,
    0x999bffff,0xffffffdb,0xfffff85f,0xeeeeeeee,0x3fe66eee,0xffffffff,
    0xffffffff,0x7fffe41f,0x7ffd401f,0x7fff42ff,0xfffb003f,0x3ffffe9f,
    0x7fc04fff,0x7fff46ff,0xff985fff,0x7c3fffff,0xeeeeffff,0xffffffff,
    0x3bbba62f,0xffffeeee,0xeeeeeeef,0xfffffd06,0x3ffffa03,0xfff8002f,
    0xfff3006f,0x0005ffff,0x3ffff200,0x7ffc0eff,0xfffff53f,0x3ffee5ff,
    0x4e7fcc0f,0xfffffa88,0xfffc8aff,0x3ffa001f,0x74003fff,0xa9abceff,
    0xffffffea,0x6ffffc80,0x55553000,0x55555555,0x1ffffff5,0x85fffc80,
    0x0007fff9,0xfdfffff1,0xf0007fff,0xffffffff,0xfff1009f,0x3fa601ff,
    0x7fc4ffff,0x20003fff,0x99999999,0xfffe9999,0xfff885ff,0x7ff405ff,
    0xfffe86ff,0xfffb003f,0x3ffffe9f,0x3e00ffff,0x7ff46fff,0x5c0fffff,
    0x4fffffff,0x817ffffc,0xfffffffb,0xffff5000,0xff50001f,0xff30bfff,
    0x2000dfff,0x2006ffff,0xffffffe8,0x36200003,0x84ffffff,0x7e46fffa,
    0x7ec4ffff,0x501cc3ff,0xd85fffff,0x2a004fff,0x8006ffff,0xffc800bd,
    0xffc81fff,0x000006ff,0x3ffffea0,0x4fffd803,0x007fffa8,0xb9ffffb0,
    0x8007ffff,0xfceffff9,0xf8807fff,0x2200ffff,0x7c5fffff,0x0003ffff,
    0xffff7000,0x3ff601ff,0xff500fff,0xffd05fff,0x3f6007ff,0xffff4fff,
    0x407fffff,0x7f46ffff,0x42fffeff,0xfffefffe,0x17ffffc4,0xfffffd10,
    0x3ffea005,0xfd0000ff,0xfe83ffff,0x0001ffff,0x000dffff,0xbffffffb,
    0xffd10000,0x3607ffff,0x7fcc3fff,0x7fdc1fff,0xfff8005f,0x6fffb87f,
    0x01ee4c00,0xfff80000,0xfffc82ff,0x0000006f,0x03fffffa,0x3fffbbb6,
    0xfeeeeeef,0x04eeefff,0x8fffffa8,0x003ffffd,0x4e7fffdc,0x401fffff,
    0x00fffff8,0x237ffff4,0x003fffff,0xfff88000,0x3e202fff,0xfd04ffff,
    0x3fa0dfff,0xfb003fff,0x3ffe9fff,0x07ffffff,0xff1bfffe,0x4bfff9ff,
    0xffdefff8,0x7ffffc4f,0x7fffd402,0xfff5003f,0x260001ff,0x2a6fffff,
    0x005fffff,0x01bfffe0,0x7ffffdc0,0xf30000ef,0x05ffffff,0x220ffffc,
    0xf987ffff,0xfe8006ff,0xfff986ff,0x00000007,0xffffd800,0x6ffffc84,
    0xf5000000,0x3e09ffff,0xffffffff,0xffffffff,0xe805ffff,0xffb2ffff,
    0xfe8007ff,0xffff2fff,0xfff8809f,0x7fec00ff,0x7fffc5ff,0x8000003f,
    0x05fffffd,0x0fffffd8,0x0fffffd4,0x03ffffe8,0x29ffffb0,0xffefffff,
    0xffff02ff,0xfaffff8d,0x3ffee7ff,0x7c5fffcc,0xf802ffff,0x5005ffff,
    0x001fffff,0x7ffffec0,0x1fffffd2,0x4ccccc40,0x9effff99,0x00999999,
    0x3fffffea,0x7fd4001e,0x400effff,0xff80ffff,0xfff986ff,0xfffd8007,
    0x07fff884,0x00000000,0x84ffffd8,0x006ffffc,0xfffd0000,0x3ffe01ff,
    0xffffffff,0xffffffff,0x7fe405ff,0x3fff65ff,0x3fe2003f,0x3fff67ff,
    0x7ffc406f,0x7ffc00ff,0x7fffc3ff,0x4000003f,0x0ffffffb,0xfffff880,
    0x2fffff44,0x07ffffd0,0x53ffff60,0xffbfffff,0xffff06ff,0xe8ffff8d,
    0xfffb1fff,0xf8bfff93,0xe802ffff,0x5006ffff,0x001fffff,0x7ffffcc0,
    0x4fffffae,0x7ffffec0,0xffffffff,0x03ffffff,0x7fffffcc,0xfff7002f,
    0x8801bfff,0xffd07fff,0xf75555df,0x53100fff,0x55bfffd5,0x1ffff755,
    0x4ccccccc,0x99999999,0x80199999,0xccccba98,0xc84ffffe,0x0006ffff,
    0xffffa800,0x3fffe04f,0xffffffff,0xffffffff,0x3ffe205f,0x3fff60ff,
    0x3fea003f,0x3ffee5ff,0x3fe200ff,0x3ee00fff,0x7fc0ffff,0x00003fff,
    0x3ffffe20,0x3ff6002f,0xfff50fff,0x7ff403ff,0xffb003ff,0x3fffe9ff,
    0x05fffff7,0x7c4dffff,0xfffc8fff,0x3f2ffff4,0x7fffc6ff,0xfffe802f,
    0xfff5005f,0xc80001ff,0xffffffff,0x7ec00fff,0xffffffff,0xffffffff,
    0xfe8803ff,0x403fffff,0x4ffffffd,0x0ffff300,0x3ffffffa,0x0fffffff,
    0xfffffc88,0xffffffff,0x31ffffff,0xffffffff,0xffffffff,0x4c0fffff,
    0xfffffffd,0x84ffffff,0x006ffffc,0xfffe8000,0x266600ff,0x999ffffa,
    0x9cfffe99,0x3ff60099,0x7ffec3ff,0x3ff6003f,0x3ffe63ff,0x3fe203ff,
    0xfc880fff,0xff84ffff,0x00003fff,0x3fffff60,0x7ffcc004,0xffffb3ff,
    0xffffe80b,0x9999999c,0x4ffffe99,0x3f2fffff,0xfff85fff,0x3fffe26f,
    0xfaefffa8,0xdfff94ff,0x02fffff8,0x03fffff8,0x1fffff50,0xfff88000,
    0x3fffffff,0xfffffd80,0xffffffff,0x03ffffff,0x3fffff60,0xfffe884f,
    0x26002fff,0xffd07fff,0xffffffff,0xffb81fff,0xffffffff,0xffffffff,
    0xfff30fff,0xffffffff,0xffffffff,0xfffd10ff,0xffffffff,0xf909ffff,
    0x0000dfff,0xfffff980,0x3ffea004,0x05ffff07,0x1bfffea0,0x00fffff6,
    0x41fffff8,0x205ffffe,0xeefffff8,0xffffffee,0xfffff04f,0x33333339,
    0x54001333,0x00efffff,0xeffffd80,0x01fffff9,0x7ffffff4,0xffffffff,
    0xff4fffff,0x3ffe2fff,0x7fffc1ff,0x43fffe66,0xfffdffff,0xf8dfff91,
    0x5c02ffff,0x002fffff,0x01fffff5,0xffff7000,0x200fffff,0xfffffffd,
    0xffffffff,0x4003ffff,0xdffffffb,0xfffffd30,0xffa8003f,0xffffd07f,
    0xffffffff,0xfffff98f,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,
    0xffffffff,0xffffffd0,0xffffffff,0xfff909ff,0x800000df,0x01fffffd,
    0x41bffea0,0x8801ffff,0xd81fffff,0x3003ffff,0xf90fffff,0x7c40ffff,
    0xffffffff,0x01ffffff,0x3ffffffe,0xffffffff,0xfff1002f,0x20003fff,
    0xfefffff9,0xfe805fff,0xffffffff,0xffffffff,0xfffff4ff,0x22ffffec,
    0x3e66ffff,0x3fff67ff,0x3fee7fff,0x7ffffc7f,0x3fffe202,0xff5000ff,
    0x00001fff,0x3ffffffe,0xff00003f,0x80000dff,0xeffffffa,0xffffff30,
    0xff98003f,0xbfffd07f,0xffffd000,0x17ffec17,0x3fffe600,0xffffffff,
    0xffffffff,0x7ffffec7,0xd9999abf,0xfc84ffff,0x00006fff,0x3ffffe60,
    0x7ffdc005,0x0ffff885,0x4ffffc80,0x07ffffb0,0x13ffff20,0x0bffffea,
    0x7fffffc4,0xffffffff,0xfff80cff,0xffffffff,0x002fffff,0x09fffffb,
    0xffffd800,0x801fffff,0xfffffffe,0xffffffff,0xfff4ffff,0x7fffccff,
    0x9bfffe0f,0x3ee7fff9,0x2e4fffff,0x7ffc7fff,0xfff702ff,0x54007fff,
    0x000fffff,0xfffffb00,0x200001ff,0x0006ffff,0x3fffff20,0xfffe885f,
    0x22002fff,0xffd07fff,0xff9800df,0xfffd83ff,0x99998003,0x99999999,
    0x99999999,0x3ffffe21,0x7fffec06,0x6ffffc84,0x3f600000,0x4001ffff,
    0xf985fffc,0xff9807ff,0x3ff606ff,0xffd003ff,0xfff105ff,0x3fe209ff,
    0xffffffff,0xefffffff,0x7fffffc1,0xffffffff,0xffa802ff,0x80006fff,
    0xfffffff9,0xfffd005f,0xffffffff,0xffffffff,0xd1ffffe9,0x7fc9ffff,
    0x3ffea6ff,0x3ffffe27,0x1fffee2f,0xdddfffff,0xffffffdd,0xffa800df,
    0x80000fff,0xfffffff9,0xff00005f,0x20000dff,0x3ffffffd,0x3ffff620,
    0xff1004ff,0xffff01ff,0xfffa800f,0x4fffd80f,0x00000000,0x0fffffd4,
    0x13ffff60,0x01bffff2,0x7ffcc000,0xfd8005ff,0xfffa84ff,0xffffe807,
    0x3ffff602,0xffff8803,0xffffd00f,0x3fffe20d,0xdba999af,0x46ffffff,
    0xffffffff,0xffffffff,0x7fffc402,0xb00001ff,0x3fffffff,0x3ffffa00,
    0xaaaaaaad,0x4ffffeaa,0xfa8fffff,0xfff0ffff,0x3fffd4df,0x51fffffa,
    0x7fc1ffff,0xffffffff,0x1fffffff,0x7fffd400,0xfd80000f,0xffffffff,
    0xfff80001,0x7440006f,0x02ffffff,0xffffff90,0xffff001b,0xfffff883,
    0x3ffee001,0x0dfffd07,0x80000000,0x00fffffb,0x13ffffe6,0x01bffff2,
    0x7ffec000,0xaaa801ff,0xaadfffea,0xaffffcaa,0x7ffdc1aa,0x7ffec05f,
    0xfffb803f,0x3ffee06f,0xfff880ff,0x3fe600ff,0x3fe3ffff,0x9999cfff,
    0x00999999,0x27ffffec,0xfff30000,0x7400bfff,0xb003ffff,0x3fe9ffff,
    0xfffe87ff,0x4dffff3f,0x7e46fffb,0x7fd44fff,0x3fffe0ff,0xffffffff,
    0x8000dfff,0x00fffffa,0x7fffd400,0x06ffffff,0x6ffff800,0x3ffe6000,
    0x4001ffff,0xeffffffb,0x1ffff400,0x13ffffea,0x1ffffb80,0x17ffffdc,
    0x32e20000,0x7ffdc003,0xfff503ff,0xff909fff,0x00000dff,0x0dfffff1,
    0xffffff10,0xffffffff,0x9fffffff,0x6fffffc4,0xeccccccc,0xcccdffff,
    0x3ffffd83,0x3ffffe60,0xfffff883,0x7fffcc00,0x3ffffe5f,0xff500003,
    0x0000dfff,0x3fffffb0,0x7ffff400,0xffffb003,0x21ffffe9,0xf8effffb,
    0x3fee6fff,0x7fffcc6f,0x0ffffd42,0xffffffff,0x03dfffff,0x7fffd400,
    0x7f40000f,0xfffeffff,0x7c0002ff,0x50006fff,0x1dffffff,0x3ffe6000,
    0x3201ffff,0x7ff46fff,0x5002ffff,0x7cc7ffff,0x01ffffff,0x7fcc0035,
    0x3e6006ff,0x221effff,0xfffffffb,0x6ffffc84,0xffc80000,0xf8802fff,
    0xffffffff,0xffffffff,0x3e24ffff,0xffffffff,0xffffffff,0xf85fffff,
    0xffffffff,0xffffffff,0xffff885f,0xffff800f,0x3ffffe6f,0xff880003,
    0x0001ffff,0x7ffffb80,0x7ffff400,0xffffb003,0x21ffffe9,0xfafffff8,
    0x3fee6fff,0x87fff86f,0x3e1ffffa,0xdeeeffff,0x800009ac,0x00fffffa,
    0x3fffee00,0xfffff9cf,0x3fe0000f,0xfc8006ff,0x00dfffff,0x7fff4400,
    0xff302fff,0xfff95bff,0x559fffff,0x7fcc3fb7,0xfffcdfff,0xbdffffff,
    0x2002ffdc,0x03fffffe,0xffffff10,0xfffffdff,0xf909ffff,0x0000dfff,
    0x6fffff88,0xfffff100,0xffffffff,0xffffffff,0x7ffffc49,0xffffffff,
    0xffffffff,0x7fffd45f,0xffffffff,0x0fffffff,0x07ffffc4,0x3fffff40,
    0x007fffff,0xfffffb00,0x2e000007,0x4007ffff,0x003ffffe,0x3e9ffffb,
    0xff907fff,0xdffffdff,0x5437ffe4,0xfffa82aa,0x3ffffe1f,0x54000002,
    0x000fffff,0xffffff10,0x3fffff61,0x3bba0004,0x3f62004e,0x004fffff,
    0x3fff6200,0xffd04fff,0x7fffffff,0xffffffff,0xfffe83ff,0xeaffffff,
    0xffffffff,0x3fe002ff,0x2004ffff,0xfffffffb,0xffbfffff,0xfffc84ff,
    0x6400006f,0x002fffff,0x3fff7332,0xffcccccf,0x22cccdff,0xfffffff8,
    0xffffffff,0x5fffffff,0x7fffffe4,0xffffffff,0x442fffff,0x800fffff,
    0x3e5fffff,0x0003ffff,0x37ffffd4,0xff700000,0xfe800fff,0xfb003fff,
    0x3ffe9fff,0xffff107f,0x64dfffff,0x98006fff,0x3fe2ffff,0x00002fff,
    0x7ffffd40,0xfff90000,0x7ffcc9ff,0x00000fff,0x7fff4400,0x00003fff,
    0xffffff90,0xffff981b,0xffb3ffff,0x3fffffff,0xffffff98,0xffff31ff,
    0x05ffffff,0x7fffff40,0x7ffec003,0x2fffffff,0xf909ffff,0x0000dfff,
    0x37ffffc4,0xffff5000,0x80bfffe0,0xfffffff8,0xffffffff,0x5fffffff,
    0x7ffffff4,0xffffffff,0x444fffff,0x400fffff,0x24fffffb,0x003fffff,
    0x3ffffe20,0x2000001f,0x007ffffb,0x01fffff4,0xf4ffffd8,0x7ec0ffff,
    0x6fffffff,0x0017fff6,0xf8bfffe6,0x0002ffff,0x7fffd400,0xff88000f,
    0x7ec0ffff,0x0005ffff,0x7ffcc000,0x00001fff,0x7ffffdc0,0xfffe880e,
    0x7ffdc2ff,0x980dffff,0x41effffe,0xffffffe9,0x3ea000df,0x8000ffff,
    0xfffffffb,0x13fffe0c,0x01bffff2,0xffffc800,0x3ee0002f,0xffff06ff,
    0x99999803,0x99999999,0x99bffffe,0x3fffe609,0xaaaaaaaf,0xffffeaaa,
    0x7ffffc47,0x3fffee00,0x3fffe2ff,0x3f60003f,0x0003ffff,0x7fffdc00,
    0x7fff4007,0xfffb003f,0x1ffffe9f,0xffffff98,0x3fff66ff,0xfff98005,
    0x3ffffe3f,0x54000002,0x000fffff,0x3fffffd8,0xffffff98,0x33333302,
    0x33333333,0xf9813333,0x00000eff,0x1dfff500,0x402aa880,0x3001aaaa,
    0xaa980155,0x2a0001aa,0x40000ced,0x0001aaa9,0x33fffff2,0xcccccccc,
    0xfff104cc,0xb8000dff,0xff885fff,0x800000ff,0x203ffffd,0x005ffffb,
    0x87fffff2,0xabfffff8,0xfffecbaa,0x3fe0efff,0x50003fff,0xddffffff,
    0xdddddddd,0x5c005ddd,0x4007ffff,0x003ffffe,0x3e9ffffb,0x7f407fff,
    0x26ffffff,0x8005fffd,0x3e3ffff9,0x0002ffff,0x7fffd400,0x7fcc000f,
    0xf900ffff,0x3e0dffff,0xffffffff,0xffffffff,0x00dfa86f,0x7cc00000,
    0x0000000e,0x00000000,0x00000000,0x7ffe4000,0xffffffff,0x907fffff,
    0x007fffff,0x84fffc80,0x0007fff9,0x7ffffb00,0x1ffffec0,0xfffff300,
    0x7ffffc47,0xffffffff,0x7c0fffff,0x0003ffff,0xfffffffb,0xffffffff,
    0x4007ffff,0x007ffffb,0x01fffff4,0xf4ffffd8,0xfa80ffff,0x26ffffff,
    0x8005fffe,0x3e3ffff8,0x0002ffff,0x7fffd400,0x7ff4000f,0x3e203fff,
    0xf83fffff,0xffffffff,0xffffffff,0x0000306f,0x00044000,0x00000000,
    0x00000000,0x40000000,0xfffffffc,0xffffffff,0xffff887f,0xfd80007f,
    0xfffa84ff,0xfb000007,0x3e207fff,0x4000ffff,0x226fffff,0xffffffff,
    0xffffffff,0xfffff82f,0xfffb0003,0xffffffff,0xffffffff,0x7ffdc007,
    0x7ff4007f,0xffb003ff,0x3fffe9ff,0xffffe807,0x3fffa6ff,0xfff88004,
    0x3ffffe4f,0x54000002,0x000fffff,0x3fffffea,0x7fffe400,0x7fffc0ff,
    0xffffffff,0x06ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff200,0xffffffff,0xfb87ffff,0x0003ffff,0xb83fffe8,0x00006fff,
    0x07ffffb0,0x01bfffea,0x3fffff60,0xffffff10,0xffffffff,0x3ffe017f,
    0xfb0003ff,0xffffffff,0xffffffff,0x7dc007ff,0x74007fff,0xb003ffff,
    0x3fe9ffff,0xffb807ff,0x3fe6ffff,0xf88004ff,0x3ffe4fff,0x000002ff,
    0x07ffffd4,0xfffffd00,0xffff1007,0xffff89ff,0xffffffff,0x06ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff200,0xffffffff,
    0x7c47ffff,0x0007ffff,0x905ffff0,0x0000bfff,0x0fffff60,0x027fffe4,
    0x7ffffdc0,0xffffff12,0x599ddfff,0x7fffff00,0x3fff6000,0xffffffff,
    0xffffffff,0x3ffee003,0x7ff4007f,0xffb003ff,0x3fffe9ff,0xffff8807,
    0x3fffe6ff,0xfff88004,0x3ffffe5f,0x54000002,0x000fffff,0x0ffffff7,
    0x7ffffe40,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdca88000,0x80000abc,
    0xabcccb98,0x05555540,0x06aaaa60,0xeedcba88,0x4000abcc,0x0abceca9,
    0x57510000,0x5554c001,0x220736e0,0xaa882cdc,0xaaaaaaaa,0x0aaaaaaa,
    0x98004c40,0x002aaaaa,0x43555551,0x000aaaaa,0x23555510,0x01aaaaa8,
    0x555554c0,0x10aaaaa0,0x2037bd97,0x5c41aaaa,0x0002bdec,0x2aaa6003,
    0x5554c01a,0x555542aa,0x1aaaaaaa,0x99990000,0x00000007,0x50000000,
    0x001a8003,0x55440000,0x00009aba,0x7fff4c00,0x00dfffff,0xfffffc80,
    0x3e7fffff,0x6402ffff,0xc885ffff,0xffffffff,0xf9005fff,0xffffffff,
    0xfb30001b,0x1bffffff,0x89fffd80,0x2a6ffffe,0x5c5fffff,0xffffffff,
    0xffffffff,0x7ff6541f,0x300cefff,0x03ffffff,0x1fffffd0,0x017fffec,
    0x2ffffa80,0x0bfffff1,0x7ffffd80,0xf737fffc,0x1bffffff,0x2e5ffff8,
    0xdfffffff,0x7ff6cc00,0xffb01def,0x7fcc07ff,0x7fc2ffff,0xffffffff,
    0xf880005f,0x00006fff,0x0013fffa,0x364401b3,0x001ffa80,0x36003ff5,
    0x2605c403,0xffffffff,0xff9100cf,0x3fee005d,0xffffffff,0xfd5002ff,
    0xffffffff,0x7fffcfff,0x7ffe402f,0x7fffd45f,0xffffffff,0x7ff4c05f,
    0xffffffff,0x3f2003ff,0xffffffff,0x3ff602ff,0xfffffeaf,0xfffff99f,
    0x3ffee3ff,0xffffffff,0x41ffffff,0xffffffff,0xff701fff,0xfc80dfff,
    0x7e42ffff,0x70003fff,0x7ec3ffff,0x1000ffff,0xf89fffff,0xfffb6fff,
    0x1dffffff,0xfdaffffc,0xffffffff,0xffff900f,0x81bfffff,0x103ffffd,
    0x07ffffff,0xffffffff,0x0000bfff,0x00dffff1,0x1fffec00,0x85ffd980,
    0x403fffc8,0x401ffffa,0x401ffffa,0xfd03fffb,0x7fffd47f,0x1fffffff,
    0x7fffff44,0x7fffec03,0xffffffff,0x7fec01ff,0xffffffff,0x3ffe7fff,
    0x7fe402ff,0x3ffe65ff,0xffffffff,0x3ee05fff,0xffffffff,0x04ffffff,
    0x6f7fff44,0xffffdcab,0xdfffd80d,0xdfffffff,0xfffffffe,0x3ffffee6,
    0xffffffff,0x7fc1ffff,0xffffffff,0xfffd00ff,0x3fe609ff,0xffa85fff,
    0xf90004ff,0x7fd41fff,0xf7003fff,0xff83ffff,0xffffcfff,0x4fffffff,
    0x3f7bfffe,0xffffffff,0xfffd84ff,0xffffffff,0x1ffffec5,0x4fffffe8,
    0xfffffff0,0x000bffff,0x0dffff10,0x7ffec000,0xffffd003,0xfffffa85,
    0xfffff100,0x3ffea03f,0x3fe206ff,0x7fdc0fff,0xffff54ff,0xdfffffff,
    0xffffffc8,0xffff500f,0xff9535bf,0x7dc0dfff,0xffffffff,0x3e7fffff,
    0x6402ffff,0x3fe5ffff,0x99bdffff,0x105fdba9,0xffffffff,0xfffffffd,
    0x7fff401f,0x3fff6203,0xfffffd84,0xfffffdcf,0xffffecff,0xffffff71,
    0xffffffff,0xacf81fff,0x3fffee20,0xfffff102,0xffffd03f,0xffff301f,
    0x3ff6000b,0xfffff87f,0xffffd006,0xffffff0d,0xffdbffff,0x3fe1ffff,
    0xffffffff,0xfffffffe,0x3ffffea0,0xffffffcd,0x0fffff62,0x17fffff6,
    0xfeeeeee8,0x0005ffff,0x06ffff88,0x7e41e980,0x4c35c2ff,0x640fffff,
    0x2e05ffff,0x41ffffff,0x0efffffa,0x0fffffa0,0x21fffff3,0xea99acda,
    0x3a0fffff,0x2fffffff,0x07fffff0,0x0fffffe6,0x3fffffe2,0x3ae621bf,
    0x0bffffe7,0x2bffff90,0x05fffff9,0x3fff6010,0x7f4c1eff,0xf905ffff,
    0xffff93df,0x3ffea3bf,0x7ffffec2,0xffffff13,0x47fffea3,0x99999998,
    0xfffff999,0xffd8003f,0x3ffea03f,0x3ff20eff,0xff102fff,0x3a000dff,
    0xffc86fff,0x7cc01fff,0xff82ffff,0x0cffffff,0x4bffffee,0xffffffff,
    0xffff911d,0x77fffc5f,0x37fffd40,0xb87ffffb,0x005fffff,0x0bffffb0,
    0xffff1000,0x7ffb000d,0xd88fffdc,0xfffb83ff,0x7fff445f,0x3ffee02f,
    0xfff51fff,0x7dc01dff,0xffe85fff,0xff3001ff,0xfffe8fff,0xfb83ffff,
    0x7e405fff,0xffd86fff,0x0800dfff,0x00bffffe,0x2ebffff9,0x002fffff,
    0x3ffffe60,0x3fffa205,0x7ffcc1ff,0xffffff91,0x83ffee3f,0x7c6ffffd,
    0x3e64ffff,0x6c002fff,0x005fffff,0x809fff90,0x34fffffd,0x809fffff,
    0x9887ffff,0xffff8099,0xfffff885,0x7fffe404,0xffffff07,0x3fffe07f,
    0xffffff3f,0xffff107f,0x3fffe67f,0x4ffffb02,0x2a3ffffd,0x00efffff,
    0xbffffb00,0xfff10000,0xffa800df,0xfffa8eff,0x0fffff98,0x43ffffd8,
    0x00fffff9,0x3fffffee,0x0efffffb,0x3ffffe20,0x27fffe40,0xbffff500,
    0xffffffd8,0xfffff82f,0x7fffcc01,0x3fffe60f,0xfff0006f,0xffc805ff,
    0xffff75ff,0x7ec0009f,0x5400ffff,0x6c3fffff,0x2fff24ff,0x3fa4ffeb,
    0x3ffff63f,0x07ffffc3,0x007ffff3,0x77ffffdc,0x7f6e4c00,0x404fffff,
    0xafffffe8,0x806ffffe,0x740ffffe,0xfff85fff,0xffffb04f,0xffffe80f,
    0xffffff04,0x7fffec09,0x9ffffff4,0xa7ffff40,0x2e07fffa,0xffb0ffff,
    0x3ffe67ff,0x20000eff,0x005ffffd,0x6ffff880,0x7fffec00,0xfcfffdff,
    0x883fffff,0x640fffff,0x5c04ffff,0xffffffff,0x7ec00eff,0x7fcc3fff,
    0x2a6206ff,0x2fffffca,0x7fffffcc,0x7ffff886,0xfffff880,0x3ffffee1,
    0xffff0002,0xfffc805f,0xfffff55f,0xfd0005df,0x3a00bfff,0x7fc5ffff,
    0x443ff20f,0x97fea6ff,0xfe87fffd,0x7ffc45ff,0xfff3003f,0x74c03fff,
    0xffffffff,0xff9804ff,0xffffffff,0xfffd801f,0x3fffe21f,0x3fffe20f,
    0xfffff503,0x3fffe605,0xfffff01f,0xffffc80b,0x0bfffff5,0x75ffffc8,
    0x7cc0dfff,0xfffb1fff,0xfffff17f,0xfd80003f,0x33005fff,0xff333333,
    0x33333dff,0xffb50333,0xffffffff,0x54039fff,0xfe85ffff,0x7e401fff,
    0xefffffff,0x7fffd400,0x7ffff445,0x3fffee01,0xf501efff,0xf501bfff,
    0x9999ffff,0xfff99999,0x7ffe45ff,0x3fe0007f,0x7e402fff,0xfff15fff,
    0x39ffffff,0x3ffffe00,0xffff9002,0x3237fc4d,0x49ff70ff,0x3ff66ff8,
    0x4fffe87f,0x01ffffc4,0x7fffffc4,0x3fffe602,0xffffeeef,0xffff7004,
    0x007fffff,0xb8bffff2,0x262fffff,0x3e02ffff,0xf905ffff,0x7fc0dfff,
    0x54c03fff,0xffff2aaa,0xfffc805f,0x1ffff75f,0x43fffea0,0xfecffffd,
    0x0001ffff,0x05ffffd8,0xffffff98,0xffffffff,0x07ffffff,0x3fffff66,
    0x000cffff,0x987ffffb,0xc806ffff,0x0effffff,0x7ffffc40,0x1ffffe40,
    0x3ffffee0,0x5102dfff,0x7ffdc035,0xffffffff,0xffffffff,0x1bffffa3,
    0xfffff800,0x7fffe402,0x3ffffea5,0x1cffffff,0x3fffff10,0x3ffff200,
    0xf917fea7,0x81dfffdf,0xfffb0fff,0x89fffd0f,0x803ffff8,0x04fffffe,
    0x2077fff4,0x2004fffc,0xfffffffe,0x3ffee006,0x3ffffa3f,0x3fffea5f,
    0x3ffff200,0xfffff80f,0x3ffffe03,0x3ffe0003,0x7fe402ff,0xffff35ff,
    0x9ffff205,0xfffffffd,0x00002fff,0x00bffffb,0xfffffff3,0xffffffff,
    0x00ffffff,0xfffffff5,0xfffd8003,0x7fffcc3f,0xffffa806,0x7cc01fff,
    0x7ec0efff,0x7dc02fff,0xffffffff,0x3f20003f,0xffffffff,0xffffffff,
    0x3fffe3ff,0x3fe0005f,0x7e402fff,0x7fdc5fff,0xffffffff,0x7fd40cff,
    0xf7001fff,0x3ee1ffff,0x7fffe44f,0x23ffd05f,0xfe87fffd,0x7ffc44ff,
    0x7ffe403f,0x7fc406ff,0xfffc83ff,0x3ffe2004,0x2001ffff,0xf14ffff9,
    0x21ffffff,0x4c07fffb,0x543fffff,0x200fffff,0x003fffff,0x0bffffe0,
    0x2bffff90,0x885ffff8,0x3f65ffff,0xffffffff,0xfb00004f,0xf300bfff,
    0xffffffff,0xffffffff,0x7540ffff,0xffffffff,0xffa801df,0x7ff445ff,
    0x7fd401ff,0x1fffffff,0x27fffe40,0x03ffffe2,0x7ff5cc40,0x360006ff,
    0xffffffff,0xffffffff,0x3ffe2fff,0x3e0005ff,0x6402ffff,0xc885ffff,
    0xffffffff,0x3ea0efff,0x7001ffff,0x7ccfffff,0x757fe45f,0x27ff82ff,
    0xfe87fffd,0x7ffc44ff,0x3ffea03f,0x7c400fff,0x7fdc5fff,0x3ee004ff,
    0x03ffffff,0x57fffe20,0xfffffffb,0x00dfff73,0xd8dffffd,0x7c04ffff,
    0x0003ffff,0x00bffffe,0x74bffff9,0xdacfffff,0x361fffff,0xffecffff,
    0x80002fff,0x805ffffd,0xfffffff9,0xffffffff,0xa87fffff,0xfffffffe,
    0x1dffffff,0x1fffff10,0x04ffffc8,0x7fffffd4,0x401fffff,0x5c2ffffe,
    0x8005ffff,0x01fffff9,0xdffff900,0x33333333,0x41333333,0x007ffffe,
    0x0bffffe0,0x0bffff90,0xfffffda8,0x3e65ffff,0x9002ffff,0x7c4dffff,
    0x447fe47f,0x37fcc6ff,0xfd0ffffb,0xfff889ff,0xffff303f,0x3fa003ff,
    0xffedefff,0xf3004fff,0xffffffff,0x7fffc003,0xffdfffb6,0x17fff6df,
    0x3ffffea0,0x3fffff10,0x3fffff80,0x3fffe000,0x7ffe402f,0x3fffe65f,
    0xffffffff,0x5ffffec4,0x1ffffff9,0x7ffec000,0x3333005f,0xffff3333,
    0x3333333d,0xfffffe83,0xffbfffcf,0xfe83ffff,0x7fd42fff,0x7fd406ff,
    0xfffcefff,0x3e601fff,0x7ec0ffff,0x54003fff,0x001fffff,0x0dffff50,
    0x3fff6000,0xff0000ff,0xfd805fff,0x2a005fff,0xfffffffd,0x0fffffe0,
    0x2ffffec0,0xffc87ffa,0x7dc5ffb0,0x1ffff64f,0xf113fffa,0xfd107fff,
    0x4007ffff,0xfffffffa,0x804fffef,0xffffffe8,0xd000efff,0xfff1ffff,
    0xd1ffff5f,0x3e009fff,0xff73ffff,0xfff00dff,0x7c0007ff,0x6402ffff,
    0x7dc5ffff,0xffffffff,0x7ffec0df,0xfffff73f,0x7ec0001d,0x80005fff,
    0x006ffff8,0x46ffffd4,0xfe98fffa,0x7fdc0fff,0x7ff445ff,0x3fea01ff,
    0xff70efff,0x6403ffff,0x7c44ffff,0x2ee1ffff,0xffba99aa,0x20007fff,
    0x00fffff9,0xffffb800,0xfff0004f,0x7fcc07ff,0x98005fff,0x22ffffff,
    0x805ffffe,0x44fffff8,0x3ff26ffc,0x3e2dff30,0x3fff62ff,0x44fffe87,
    0xd83ffff8,0x005fffff,0xffffffb8,0xb009fff2,0xffdfffff,0x3600bfff,
    0xfffbffff,0xfbffff8d,0xf9003fff,0x3ffadfff,0xfff803ff,0x3e0003ff,
    0x6402ffff,0xe985ffff,0x2fffffff,0x47ffffb0,0x05fffffd,0x3ffff600,
    0xff880005,0xfd8006ff,0x87ffee3f,0x7fcc3ffc,0x7fe40fff,0x3fea04ff,
    0x7dc0efff,0x101fffff,0xb85fffff,0x3fa6ffff,0xffffffff,0x20003fff,
    0x04fffff8,0xffffa800,0xfe8001ff,0xff305fff,0x000bffff,0x8bffffee,
    0x01fffffd,0x17ffffdc,0x7e4fffe2,0x36bffa0f,0x7ffec5ff,0x44fffe87,
    0x5c3ffff8,0x00efffff,0x81555100,0x7d400998,0xfe8cffff,0xc802ffff,
    0xfffeffff,0xffdfffb2,0x3e6005ff,0xfffaffff,0xfff800ff,0x3e0003ff,
    0x6402ffff,0x2605ffff,0x6c00abba,0x3a23ffff,0x004fffff,0x0bffffb0,
    0xffff1000,0x81d1000d,0x3542fffc,0x217ffff4,0x00effffa,0x1dfffff1,
    0x3ffffee0,0x3fffea06,0x7fffec0f,0xffffffd4,0x007fffff,0xfffffb00,
    0xfe880005,0x802fffff,0x1fffff62,0x3fffffa2,0xfd80015f,0x3ea0ffff,
    0x500effff,0x20dfffff,0x9003fffa,0xffd81fff,0x4fffe87f,0x31ffffc4,
    0x03ffffff,0x30000000,0x54dfffff,0x00ffffff,0x7fffffdc,0xffff50ff,
    0x4003ffff,0xfffffffe,0xfff005ff,0x7c0007ff,0x6402ffff,0x0005ffff,
    0x1ffffec0,0x3fffffe6,0xfffd8002,0xf880005f,0x00006fff,0x400ffff6,
    0xc884ffd8,0x7dc02fff,0x7dc00eff,0x7ec00eff,0x7fc40cff,0xffffd0cf,
    0x039dffff,0x3ffe6000,0x2601dfff,0xfffa81db,0xaaceffff,0xf90ffdba,
    0x935dffff,0xffffffff,0x50073b2b,0xd0ffffff,0x57ffffff,0xfffff953,
    0x7ffec03f,0xfffd501d,0x0ffffb07,0xf889fffd,0xfff13fff,0xddddffff,
    0x45dddddd,0x99999999,0x01999999,0x83fffffd,0x06fffffc,0x7fffffcc,
    0x3fffe25f,0x2000ffff,0xfffffffb,0xfff002ff,0x7c0007ff,0x6402ffff,
    0x2665ffff,0x99999999,0x3f619999,0xffb83fff,0x9881ffff,0xffd99999,
    0x99999eff,0x3ffe2001,0x3600006f,0x4c003fff,0x0136200d,0xc80077dc,
    0xcf8800ef,0x51032a00,0x03355555,0x3ff20000,0xeeffffff,0x01fffffe,
    0xfffffffb,0xffffffff,0x3ffffe61,0xffffffff,0xff95ffff,0xfd9bddff,
    0x09ffffff,0xfffffff3,0xffffffff,0xfff9009f,0xfffd9dff,0x3ff607ff,
    0x4fffe87f,0xc9ffffc4,0xffffffff,0xffffffff,0xfffff33f,0xffffffff,
    0xffff90ff,0xfffd109f,0x7fc409ff,0x6c3fffff,0x07ffffff,0x7ffffc40,
    0x3e007fff,0x0003ffff,0x00bffffe,0x26bffff9,0xffffffff,0x27ffffff,
    0xb03ffffd,0x81dfffff,0xfffffffe,0xffffffff,0xf1000fff,0x0000dfff,
    0x0027fff4,0x0b800000,0x00005c00,0x00000000,0x7ffff400,0xffffffff,
    0xfd101fff,0xffffffff,0x6c1fffff,0xffffffff,0xffff9fff,0xffffff95,
    0xffffffff,0x7ffe40bf,0xffffffff,0x3000dfff,0xfffffffd,0x7ec01bff,
    0xfffe87ff,0x9ffffc44,0xfffffffd,0xffffffff,0xffff33ff,0xffffffff,
    0xfffa8fff,0x3fe606ff,0x3e01ffff,0x40ffffff,0x6ffffffa,0xffffc800,
    0x3e004fff,0x0003ffff,0x00bffffe,0x26bffff9,0xffffffff,0x27ffffff,
    0x103ffffd,0x8bfffffd,0xfffffffe,0xffffffff,0xf1000fff,0x0000dfff,
    0x00000000,0x00000000,0x00000000,0xfff70000,0xffffffff,0xfb803fff,
    0xffffffff,0x3a20ffff,0xffffffff,0x2bffff1e,0xfffffffc,0x5fffffff,
    0xfffffa80,0x3fffffff,0xffd97000,0xfb0059df,0xfffd0fff,0x3ffff889,
    0xfffffffb,0xffffffff,0x3ffe67ff,0xffffffff,0x3fe27fff,0x6401ffff,
    0x00efffff,0x0dfffffd,0x9ffffff1,0xffff3000,0x7c001fff,0x0003ffff,
    0x00bffffe,0x26bffff9,0xffffffff,0x27ffffff,0x203ffffd,0x4ffffff9,
    0x3ffffffa,0xffffffff,0x1000ffff,0x000bdddd,0x00000000,0x00000000,
    0x00000000,0x36200000,0xffffffff,0x8800ceff,0xffffffec,0xffb02cef,
    0x7c19ffff,0xffd55fff,0xffffffff,0x6440039f,0xeffffffe,0x3100000d,
    0xffffb000,0x889fffd0,0xffb3ffff,0xffffffff,0x7fffffff,0x33333322,
    0xcccccccc,0x3fffffa4,0xffffd004,0x3fff60bf,0xfffb03ff,0x3a0007ff,
    0x005fffff,0x01fffffc,0x5fffff00,0x5ffffc80,0x99999991,0x99999999,
    0x01ffffec,0x3fffffea,0xffffffd2,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaba9880,0x98800019,0x3100099a,
    0x20001555,0xaabaaaa8,0xa9880001,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x88000999,0x55d4c000,0xeed80001,0x2aaa002e,
    0xaaaaaaaa,0x2aaaaaaa,0x26620000,0x99999999,0x99999999,0x00000400,
    0x20000000,0x0aa201a8,0x98800000,0x99999999,0x55551099,0x55555555,
    0x4cccccc5,0x99999999,0x99999999,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd5000000,0x4007ffff,
    0x201effe9,0xffffffd8,0xfb8000cf,0xf000ffff,0xffffffff,0xffffffff,
    0x7ffffcdf,0xafffffc5,0xfffffffd,0xffffffff,0xeca85fff,0x00002eff,
    0xffff9800,0x3ea00eff,0xffe985ff,0x7fffcc0e,0xfb0005ff,0xffffffff,
    0x3ffea7ff,0xffffffff,0xfffff0ff,0xffffffff,0xffffffff,0x0000bfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0x3fffffff,0xfffff100,0xffff503f,0x5fffffff,0x7fffc400,
    0xfff004ff,0xffffffff,0xdfffffff,0x227ffff4,0xfb4ffffe,0xffffffff,
    0xffffffff,0xffffb8bf,0x2e00efff,0x20002ccc,0x4ffffff9,0x3fffff80,
    0x42ffffec,0x5fffffe8,0xffffd800,0x3fffffff,0xfffffff5,0x21ffffff,
    0xffffffff,0xffffffff,0xffffffff,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff7000,0x007fffff,
    0x3fffffee,0x7ffffcc5,0xffffffff,0xffffb000,0xff003fff,0xffffffff,
    0xffffffff,0x27ffff4d,0x6d3ffffa,0xffffffff,0xffffffff,0x3ffee5ff,
    0x1fffffff,0x009ffff0,0x3ffffe20,0xfff8802f,0x7fffc5ff,0x3fff206f,
    0x7ec005ff,0xffffffff,0xffff53ff,0xffffffff,0x3ffffe1f,0xffffffff,
    0xffffffff,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9000000,0xffffffff,0x3fff2007,0x3fa1ffff,
    0xebaadfff,0x9805ffff,0xfffdefff,0xeeeee806,0xeeeeeeee,0x364eeeee,
    0x7ec3ffff,0xfffb3fff,0xffffffff,0xbfffffff,0x7ffffff4,0x441fffff,
    0x8003ffff,0x0efffff8,0x3ffffe00,0x2fffff44,0x3ffffea0,0x3332e005,
    0xcccccccc,0xffffff51,0x1fffffff,0x3ffffffe,0xffffffff,0xffffffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff10000,0x07ffffdd,0x3ffffee0,0xffff52ff,0x3ffffa09,
    0x57fff400,0x003ffff8,0xffd80000,0x7ffec3ff,0x3333313f,0x33333333,
    0x2abffff3,0xfecfffff,0x2e2fffff,0x4002ffff,0x04fffff8,0x0ffffb80,
    0x00ffffd4,0x2fffff44,0x2a200000,0xaaaaaaaa,0x0000aaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xed800000,0x07ffff92,0x7fffff40,0x1ffff73f,0x07fffee0,0x2e6fffb8,
    0x0000ffff,0x7ffe4000,0x7fffe42f,0xfff80002,0x1ffff95f,0x7fffffd4,
    0x07ffffee,0x77776c40,0x2f260002,0x00177300,0x04eeeec8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffc810,0x3ffe2003,0xfff93fff,0x7fffcc0d,
    0x3ffff103,0x005ffff8,0x7fe40000,0x7ffe42ff,0xff80002f,0xdfffb5ff,
    0xffffff50,0x009fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03ffffc8,0x7ffffdc0,0x40dfffb1,0x903ffff8,0xff50bfff,
    0x000003ff,0x0ffffdc0,0x007fffee,0x57fffe00,0xf305fffe,0xffffffff,
    0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0x7c4003ff,0xff90ffff,0x3fee01ff,0xfff981ff,0xdfffd00f,0x3bbbbba0,
    0xeeeeeeee,0x3ee4eeee,0x7fdc1fff,0xf80001ff,0x55555fff,0x7fff4c03,
    0x0000efff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x003ffffc,0x737fffcc,0x3607ffff,0xfe80ffff,0x3fe604ff,0xffff83ff,
    0xffffffff,0x26ffffff,0x540ffffa,0x0000ffff,0x005ffff8,0x2b3bb6a0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff90000,
    0xffd8007f,0x3ffe61ff,0x3ff222ff,0xfffb86ff,0x7ffec00f,0x7ffffc0f,
    0xffffffff,0x266fffff,0xee986eee,0xa80000ee,0x00001aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,0xfd5003ff,
    0xff907fff,0xffffffff,0xff883fff,0xff8803ff,0x7fffc5ff,0xffffffff,
    0x06ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ffffc8,0xfffffdd3,0x7fff40bf,0xffffffff,
    0x06fffc83,0x8bffff20,0xaaaaaaaa,0xaaaaaaaa,0x000002aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7774c000,
    0xeefffffe,0xffff52ee,0xc8807fff,0xffffffff,0x3555501e,0x55554400,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0xffffffff,0xf53fffff,0x0019ffff,0x66f765cc,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfa800000,0xffffffff,0x7933ffff,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fea0000,0xffffffff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x99999998,0x00999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_45_latin_ext_x[560]={ 0,8,4,0,1,0,0,9,5,5,2,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,4,2,2,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,0,2,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,3,2,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,3,3,1,3,0,0,0,0,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,4,2,5,5,0,2,1,8,9,5,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,3,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,2,3,3,0,0,4,
3,-6,-3,3,1,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_45_latin_ext_y[560]={ 33,1,1,4,-1,1,2,1,0,0,1,10,24,18,
24,1,3,4,3,3,4,4,4,4,3,3,10,10,8,14,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,37,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-3,0,15,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,33,10,0,3,4,4,
-3,1,1,3,3,11,18,18,1,2,1,5,1,1,1,10,1,16,33,1,3,11,1,1,1,10,-4,-4,-4,-5,
-5,-6,4,3,-4,-4,-4,-5,-4,-4,-4,-5,4,-5,-4,-4,-4,-5,-5,11,-1,-4,-4,-4,-5,-4,4,1,1,1,
1,1,1,-2,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,5,1,1,1,1,1,1,1,
-3,2,-4,1,4,10,-4,1,-4,1,-5,1,-4,1,-4,0,4,1,-3,2,-4,1,-5,1,4,10,-4,1,-4,1,
-4,1,-5,1,3,0,-4,-6,4,1,-5,1,-3,2,-4,1,4,1,-5,10,4,1,-4,1,4,1,10,-4,-6,4,
1,0,0,4,1,4,1,-4,1,4,10,-4,1,-2,4,10,-3,2,-4,1,-4,1,3,10,-4,1,4,10,-4,1,
-4,1,-4,1,3,10,-4,1,4,3,-4,0,4,3,-5,1,-3,2,-4,1,-6,-2,-4,1,4,10,-4,1,-4,1,
-5,-4,1,-5,1,-4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-10,-8,-4,1,-4,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_bold_45_latin_ext_w[560]={ 0,8,16,24,22,25,26,7,15,14,20,23,13,15,
9,22,23,21,21,20,24,20,22,21,21,22,9,13,19,20,19,16,25,25,22,22,23,18,18,22,21,19,17,22,
18,24,21,24,21,25,22,21,23,22,25,25,25,25,21,13,22,13,22,25,16,20,21,20,21,21,24,23,19,20,
18,21,20,23,19,23,21,21,20,19,21,19,25,25,25,25,19,17,6,18,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,19,22,24,24,
6,23,20,25,16,20,20,15,23,19,17,21,15,15,23,22,22,9,7,15,17,21,25,25,25,16,25,25,25,25,
25,25,25,22,22,22,22,22,22,22,22,22,24,23,24,24,24,24,24,21,24,23,23,23,23,25,21,21,22,23,
22,22,22,22,25,20,23,23,23,23,23,24,23,23,22,22,24,24,24,24,24,23,23,22,23,22,22,25,21,25,
25,22,25,22,25,21,23,24,22,22,22,22,22,22,25,29,24,24,22,23,22,23,22,23,19,21,22,23,22,24,
22,24,22,24,22,24,23,22,25,22,22,23,22,23,22,23,20,21,22,20,21,21,20,21,22,21,21,22,23,18,
20,29,28,22,28,23,20,23,23,21,19,23,22,23,21,19,24,24,24,24,26,26,25,25,25,23,22,20,25,23,
23,23,23,22,21,19,23,22,23,21,24,29,23,22,23,22,23,22,23,22,23,22,26,26,22,20,25,25,25,25,
25,23,23,23,22,23,22,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,25,23,25,25,29,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,21,19,23,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_bold_45_latin_ext_h[560]={ 0,33,12,29,40,33,32,12,43,43,20,22,17,6,
10,37,31,29,30,31,29,30,30,29,31,30,24,31,26,14,26,33,42,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,39,29,31,29,30,29,29,29,29,29,42,37,42,15,6,10,24,33,24,33,24,32,33,32,32,
42,32,32,23,23,24,32,32,23,24,31,24,23,23,23,33,23,42,46,42,11,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,30,29,29,
46,38,10,31,23,20,12,6,23,9,16,28,19,19,10,32,38,9,7,19,23,20,32,32,32,32,37,37,37,38,
38,39,29,37,37,37,37,38,37,37,37,38,29,38,38,38,38,39,39,20,39,38,38,38,39,37,29,33,33,33,
33,33,33,36,24,30,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,24,33,33,33,33,33,42,41,42,
36,32,37,33,38,32,38,33,38,33,39,33,38,33,37,34,29,33,36,32,37,33,38,33,38,32,37,33,38,42,
38,42,39,42,40,43,37,39,29,32,38,32,36,31,37,32,38,41,38,23,30,42,38,42,39,42,23,37,39,39,
42,33,33,29,32,29,32,37,32,39,33,37,32,35,39,33,37,32,38,33,38,33,31,24,37,32,39,33,37,32,
38,33,38,33,37,30,38,33,39,40,37,34,29,31,39,33,37,32,38,33,40,36,38,33,38,32,37,32,37,42,
38,37,32,38,32,37,32,32,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,38,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,43,42,37,33,42,39,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,40,33,39,40,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29, };
static unsigned short stb__consolas_bold_45_latin_ext_s[560]={ 510,501,200,42,114,291,430,504,40,82,397,
373,124,344,499,462,163,356,396,71,67,375,479,20,211,436,502,496,391,179,371,
23,246,92,118,48,332,313,141,92,208,427,418,473,1,252,230,233,277,233,378,
141,299,352,447,401,323,182,160,398,316,293,156,360,307,487,240,23,1,1,479,
85,198,286,412,457,281,132,292,84,259,392,271,64,307,44,245,219,193,1,156,
307,1,177,238,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,510,499,259,
329,212,93,8,394,286,115,176,462,217,344,108,324,138,349,496,483,262,369,324,
496,501,108,312,418,210,184,158,141,102,76,47,198,442,74,263,1,476,24,125,
371,439,485,152,49,118,96,120,145,170,24,371,440,49,361,291,72,484,172,190,
433,410,386,363,340,317,315,437,23,224,200,176,152,150,48,97,352,27,236,479,
454,429,404,379,463,355,332,308,285,262,431,1,151,338,463,50,120,219,330,195,
24,301,473,437,1,175,73,99,418,68,448,246,24,175,49,245,96,492,302,27,
189,268,196,385,221,279,373,45,15,292,186,237,239,315,174,269,187,198,324,408,
23,338,352,1,457,429,479,1,325,330,198,460,418,272,482,50,167,401,143,218,
128,262,302,130,148,307,364,396,65,221,376,24,40,250,455,258,411,450,24,348,
109,73,73,100,128,151,105,221,459,347,143,324,68,243,388,44,284,209,166,268,
440,277,248,90,292,124,213,1,348,339,414,365,347,224,391,486,418,1,415,1,
121,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,468,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,56,127,1,79,97,159,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,137,271,324,68,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289, };
static unsigned short stb__consolas_bold_45_latin_ext_t[560]={ 1,1,498,444,48,279,313,245,1,1,474,
474,498,498,474,169,380,413,380,380,444,380,380,444,380,380,380,207,444,498,444,
313,1,444,444,380,413,413,444,380,444,413,380,413,444,444,444,380,444,48,413,
380,444,380,413,413,444,444,444,1,169,1,498,498,498,444,245,474,313,474,313,
313,313,313,1,313,347,474,474,474,347,347,474,474,380,474,474,474,474,279,474,
1,1,1,498,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,1,130,48,
380,413,413,1,90,498,380,474,474,498,498,474,498,498,444,413,474,498,347,90,
433,35,498,474,474,347,347,347,347,207,207,169,90,90,90,413,169,130,169,169,
90,169,169,207,130,413,130,130,130,130,90,48,474,90,130,130,130,48,169,413,
279,279,279,279,279,279,207,444,413,279,279,279,279,313,347,347,313,279,347,245,
245,245,245,245,444,245,245,245,245,245,1,48,1,207,347,207,245,130,313,130,
245,90,207,48,245,90,245,169,207,413,207,207,380,207,245,130,245,90,347,207,
245,130,1,130,1,48,1,48,1,169,48,413,313,130,313,207,380,207,347,130,
48,130,474,413,1,130,1,90,1,474,169,48,48,1,279,279,413,313,413,313,
207,313,48,313,169,313,207,48,313,207,313,130,313,90,279,380,444,130,347,48,
313,169,347,90,279,90,279,169,380,90,245,48,48,169,207,413,380,48,245,169,
347,90,279,48,207,90,245,130,347,169,347,169,1,90,169,347,90,380,169,347,
347,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,90,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,1,1,207,279,1,48,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,48,279,48,48,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413, };
static unsigned short stb__consolas_bold_45_latin_ext_a[560]={ 396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_45_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_45_latin_ext_s[i] + stb__consolas_bold_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_45_latin_ext_t[i] + stb__consolas_bold_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_45_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_45_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_45_latin_ext_x[i] + stb__consolas_bold_45_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_45_latin_ext_y[i] + stb__consolas_bold_45_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_45_latin_ext_s[i] + stb__consolas_bold_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_45_latin_ext_t[i] + stb__consolas_bold_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_45_latin_ext_x[i] + stb__consolas_bold_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_45_latin_ext_y[i] + stb__consolas_bold_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_45_latin_ext_LINE_SPACING
#endif

