// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT        623
#define STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_50_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_50_latin_ext_LINE_SPACING          33

static unsigned int stb__consolas_bold_50_latin_ext_pixels[]={
    0x3e7fffff,0x0003ffff,0xcccccc88,0x0001001c,0x00001000,0xdddddb10,
    0x2000009d,0x00000198,0x00000000,0x26005544,0x0a98000a,0xddd70000,
    0x6440001d,0x37b201de,0x54c00002,0x4c000aaa,0xaaaaaaaa,0xa801aaaa,
    0xcccccccc,0x4400cccc,0xa980aaaa,0x2aa201aa,0x00001aaa,0x55553000,
    0x00000001,0x2aaaaaaa,0xccccca82,0x0ccccccc,0x00335995,0x75300000,
    0x5554c199,0xffff8aaa,0x7fffff3f,0xffe88000,0xb002ffff,0x4000001d,
    0x200003f9,0xffffffe8,0xf7000003,0x00003dff,0x3bf72a20,0x000001bc,
    0x213fffea,0x005fffe8,0x007fffd3,0x0ffffd00,0x7fffc400,0xffffd81f,
    0xff500003,0x4001dfff,0xfffffffc,0x803fffff,0xfffffffc,0x401fffff,
    0xf82ffff8,0x3ea04fff,0x0004ffff,0xfffa8000,0x00000eff,0x7fffec00,
    0xffc80dff,0xffffffff,0xffffb1ff,0x000009ff,0xfffffe98,0x3ffff20f,
    0xfffff8ff,0x07fffff3,0x7fff4400,0xfb000dff,0x000001df,0x0007fff3,
    0xfffffd10,0x2000003d,0x0efffffb,0x7fdc0000,0xffffffff,0x7cc00001,
    0x743fffff,0x404fffff,0x2ffffff8,0x3ffe6000,0x3ee0005f,0x7cc5ffff,
    0x0007ffff,0xffffffa8,0xff9000ef,0xffffffff,0xff9007ff,0xffffffff,
    0xfff003ff,0x3ff221df,0x3fea02ff,0x00004fff,0x7fffd400,0x0000efff,
    0xffffb000,0x7fe407ff,0xffffffff,0xffffb1ff,0x0005ffff,0xffffc880,
    0x3f20ffff,0xff8fffff,0xffff3fff,0x3a20007f,0x002fffff,0x03bffff6,
    0xfff98000,0x220003ff,0x0dfffffe,0x00026666,0xffffffd0,0x36200005,
    0xffffffff,0x0001ffff,0x3fffff20,0x3fffe66f,0x7fdc07ff,0x0006ffff,
    0x00fffff2,0xfffffc80,0x7ffffdc7,0x3e60000f,0xffffffff,0xffff9006,
    0xffffffff,0xffff9007,0xffffffff,0xffff9003,0xffffffff,0x7fffd401,
    0x0000004f,0x3fffffe6,0x00006fff,0xfffffd80,0x7ffe401f,0xffffffff,
    0xfffffb1f,0x0003ffff,0x7fffff40,0x3f20ffff,0xff8fffff,0xffff3fff,
    0xff30007f,0x4001bfff,0xeffffff8,0xffa80000,0x0004ffff,0x5fffffd1,
    0x04ffff88,0x7ffffc00,0x980003ff,0xffffffff,0x2fffffff,0xfffb0000,
    0x7fd4ffff,0x200fffff,0x7ffffffc,0x3fffe000,0x3ee0001f,0x7cc5ffff,
    0x0007ffff,0x27ffffe6,0x805ffffc,0xfffffffc,0x803fffff,0xfffffffc,
    0x001fffff,0xfffffffd,0xfa805fff,0x0004ffff,0xffff3000,0xbffff93f,
    0x7ec00000,0x800dffff,0xfffffffc,0xfb1fffff,0xffffffff,0x3ea0000d,
    0xffffffff,0x3ffff20f,0xfffff8ff,0x07fffff3,0x33333100,0x3ffe6000,
    0x0000efff,0x3fffffe6,0x332e0004,0xffb80ccc,0x740002ff,0x02ffffff,
    0x7fffc400,0xfdbabeff,0x001fffff,0xfffffb80,0x3fffe66f,0x7fdc07ff,
    0x0006ffff,0x00fffff5,0x3ffffd00,0x05ffffb0,0x3fffe600,0x3ffff21f,
    0x4cccc405,0xfffffd99,0x7fcc0003,0xd3001fff,0xffffffff,0xffff5007,
    0x0000009f,0x43fffff3,0x005ffffc,0xffffd800,0x3ff2003f,0xc98007ff,
    0x03ffffff,0xffffe800,0xff700aef,0x3ffeffff,0xfffff3ff,0xedc88007,
    0x260001cd,0x05ffffff,0xffffd100,0x000000bf,0x003fffec,0x7ffffd40,
    0xffe80006,0xfd102fff,0x0000bfff,0x5ffffff1,0x3fffffd8,0x7ffff440,
    0xffb0002f,0x20000bff,0x36e00cdb,0xdb10001c,0xdd903bdd,0x320007dd,
    0x003fffff,0x7ffffcc0,0x7ff64001,0xf5001dff,0x0009ffff,0xeeed8800,
    0xeeeec81d,0x3b200003,0x4001eeee,0x007ffffc,0x3ffffe60,0x7fd40006,
    0xfb805fff,0xfff7ffff,0x3fffe7ff,0x3ff2003f,0x005fffff,0x3ffffe60,
    0xffd8003f,0x00005fff,0x3fffe200,0xfd500005,0xc800019f,0x401fffff,
    0x00fffff8,0xfffe9800,0x3fffd883,0x5fffd100,0x55554000,0x0000001a,
    0x00000000,0x3ff20000,0x40003fff,0x01fffff9,0x20002600,0x04fffffa,
    0x00000000,0x00000000,0x7ffffc80,0x7ffe4000,0x7dc0007f,0xb800ffff,
    0xff7fffff,0x3ffe7fff,0xff7003ff,0xbfffffff,0x7ffd4000,0x2a000fff,
    0x006fffff,0x55544000,0x002ffffb,0x80000400,0x01fffffa,0x07ffff50,
    0x400c4000,0x01100018,0x00000000,0x00000000,0x90000000,0x007fffff,
    0xfffff980,0x80000001,0x04fffffa,0x00000000,0x00000000,0x7ffffc80,
    0x7ffcc000,0x320000ff,0x5005ffff,0x3effffff,0xfff3ffff,0x3fe007ff,
    0xfffb11ef,0x7fec0001,0xf1005fff,0x003fffff,0xffdc9800,0xffffffff,
    0x00000000,0x7ffffd00,0x6fffe800,0x00000000,0x00000000,0x00000000,
    0x26600000,0x64000009,0x003fffff,0x7ffffcc0,0x13330001,0xffffa800,
    0x0000004f,0x00000000,0xffc80000,0x440007ff,0x001fffff,0x13ffff60,
    0x7ffffd40,0x27fffff6,0x803fffff,0x7d43fff8,0x220002ff,0x02ffffff,
    0x4fffffd8,0x7fdc0000,0xffffffff,0x00000eff,0x80002666,0x006ffff9,
    0x01ffffc8,0x00000000,0x33000000,0xee980013,0x8001eeee,0x04eeeeeb,
    0x3fffb660,0xeeeeefff,0xf9005eee,0x0007ffff,0x1fffff98,0xfffdb300,
    0xdddddfff,0x3feabddd,0x6c404fff,0x21eeeeee,0x1eeeeee9,0xeeeeb800,
    0x3bbba64e,0xeb8001ee,0x3f24eeee,0x80007fff,0x002fffff,0x0fffffa0,
    0x7ffffd40,0x27fffff6,0x003fffff,0xffc8bfff,0x7dc0001f,0x200fffff,
    0x0efffff9,0xffb10000,0xffffffff,0x001dffff,0x3fffb660,0xeeeeefff,
    0xffd85eee,0xfa8002ff,0x774c4fff,0xeeeeeeee,0x3eeeeeee,0x0f77775c,
    0x77777640,0x3fb66000,0xeeefffff,0x3a5eeeee,0x005fffff,0x3fffffe8,
    0xffffd880,0xffffffff,0x006fffff,0x07fffff9,0xffff9800,0x7fec401f,
    0xffffffff,0x6fffffff,0x09fffff5,0xffffffd8,0xfffffe83,0xfffe8005,
    0x7fff43ff,0xfe8005ff,0x3f23ffff,0x80007fff,0x002fffff,0x0fffffa0,
    0x7ffffd40,0x27fffff6,0x003fffff,0xfb9dfffb,0x20000dff,0x02fffffe,
    0x0bfffff2,0x7ff4c000,0xffffffff,0x0effffff,0x3fff6200,0xffffffff,
    0x46ffffff,0x206ffff8,0xffff1300,0xfffff989,0xffffffff,0x7e44ffff,
    0xe802ffff,0x800fffff,0xffffffd8,0xffffffff,0x3fee6fff,0x2000ffff,
    0x0ffffff9,0x7ffffc40,0xffffffff,0x06ffffff,0x7fffff90,0xfff98000,
    0x3fe201ff,0xffffffff,0xffffffff,0xfffff56f,0x7fffe409,0xfff704ff,
    0x4c001fff,0x40ffffff,0x0ffffffb,0x3fffe600,0x3fff20ff,0xff80007f,
    0x20002fff,0x003ffffe,0x2dfffff3,0xff3fffff,0x22007fff,0xfffffffe,
    0xf300001f,0x220dffff,0x006fffff,0x3ffffa00,0xffeeffff,0x05ffffff,
    0xffffff10,0xffffffff,0xc8dfffff,0x6d43ffff,0x6fecefff,0xf98bfffd,
    0xffffffff,0xffffffff,0x7ffffe44,0xffffe802,0x7ffc400f,0xffffffff,
    0xffffffff,0x3ffffe26,0x3ff2002f,0xfe805fff,0xfeffffff,0xffffffff,
    0xff9006ff,0x80007fff,0x01fffff9,0x3ffffffa,0xffffffef,0xf56fffff,
    0x2e09ffff,0x05ffffff,0x3fffffe2,0x3fff2002,0xfff885ff,0x32002fff,
    0x645fffff,0x0007ffff,0x02fffff8,0x3ffffa00,0xffff3003,0x3ffffebf,
    0x07fffff3,0x7fffdc40,0x400000cf,0x80fffffe,0x03fffffb,0xffff5000,
    0x3ea15bff,0xffffffff,0xffffe802,0xffffefff,0x6fffffff,0x907ffff4,
    0xffffffff,0x1bfff6df,0xfffffff3,0xffffffff,0xfffc89ff,0xffe802ff,
    0x7f400fff,0xfeffffff,0xffffffff,0x7ffec6ff,0x3fe005ff,0x6402ffff,
    0x41efffff,0xcffffffa,0xff9003cc,0x80007fff,0x01fffff9,0x3dfffff9,
    0xffffffa8,0xfff53ccc,0xfff309ff,0xfb00dfff,0x400bffff,0x02ffffff,
    0x0bfffffb,0x7fffffc0,0x3ffffe42,0x7fffc000,0x3fa0002f,0xf3003fff,
    0x3febffff,0xffff3fff,0x2620007f,0x2e000000,0xe83fffff,0x000fffff,
    0xfffffd00,0xfffff90b,0xc80dffff,0x41efffff,0xcffffffa,0x3ffe23cc,
    0x3ffff25f,0xb5ffffff,0xee98ffff,0xeeeeeeee,0x4fffffee,0x17ffffe4,
    0x7fffff40,0x3ffff200,0x7ffd41ef,0x43cccfff,0x0ffffffa,0xfffff980,
    0xfffff806,0x3fffe206,0xffc8003f,0x40003fff,0x01fffff9,0x40dfffff,
    0x83fffff8,0x44fffffa,0xeffffff8,0xffffa800,0xff9800ff,0x3ea06fff,
    0x800fffff,0x86fffff9,0x007ffffc,0x3ffffe80,0x3fffe000,0xfff1002f,
    0x3fffebff,0x7fffff3f,0x7fffe400,0x0000ffff,0x3ffffe60,0x7ffffcc6,
    0xff500005,0x3fe0dfff,0xfffffeff,0x3fffe01f,0x3ffe206f,0xfff503ff,
    0x3fffe25f,0x4fffffff,0x000ffff9,0x4fffffb8,0x17ffffe4,0x7fffff40,
    0x3ffffe00,0x3fffe206,0x7fffc03f,0xffc803ff,0x7c403fff,0x6402ffff,
    0x8007ffff,0x03fffffc,0x7fffcc00,0xffff881f,0x7ffe402f,0xffffa87f,
    0x3fffa24f,0x3e000fff,0x803fffff,0x03fffffc,0x1ffffffc,0x7ffffe40,
    0x7ffffc83,0xfffd8000,0xff10004f,0x22005fff,0xff4fffff,0x3ffe7fff,
    0x3fa003ff,0x2fffffff,0x7ff40000,0x3fee1fff,0x00002fff,0x05fffffd,
    0xfd7ffff3,0x2209ffff,0x402fffff,0x907ffffc,0x3f63ffff,0xffdbffff,
    0xffff93ff,0x7fdc0001,0x7fe44fff,0xfe802fff,0xf100ffff,0xc805ffff,
    0x5c07ffff,0x806fffff,0x00ffffff,0x07ffffd4,0x3ffffea0,0x7ffe4000,
    0x4c0003ff,0xa81fffff,0x400fffff,0x40fffffa,0x24fffffa,0x1ffffffd,
    0x7fffdc00,0xffff806f,0x7fdc00ff,0xff806fff,0xfc80ffff,0x80007fff,
    0x00fffffd,0xfffffa80,0xffff1001,0x3ffffe9f,0x07fffff3,0x3ffffe20,
    0x0004ffff,0x7ffffdc0,0x3fffff22,0xff980000,0xff907fff,0xffff73ff,
    0x3ffea0df,0x7fd400ff,0xffe80fff,0x3ffffe7f,0x27ffff90,0x001ffffb,
    0x3ffffee0,0x7ffffe44,0xffffe802,0xffff500f,0xfffa801f,0x3fe200ff,
    0x2a01ffff,0x805fffff,0x807ffffb,0x00fffffa,0x7ffffe40,0x7fcc0003,
    0xffb81fff,0xffa807ff,0x7fd40fff,0xfff94fff,0x10005fff,0x03ffffff,
    0x2fffffd4,0x7ffffc40,0x3ffea01f,0xfff905ff,0xf50000ff,0x8009ffff,
    0x06ffffe8,0x3ffffe20,0x27fffff4,0x003fffff,0xfffffff7,0x80000fff,
    0x23fffffa,0x007ffffd,0xfffff700,0x5bfffa0b,0x0ffffff8,0x07ffffb8,
    0x0fffffa8,0x9b7fffc4,0x3f25ffff,0xfff72fff,0x7dc0003f,0x7e44ffff,
    0xe802ffff,0x700fffff,0x500fffff,0x801fffff,0x04fffffd,0x0bfffff6,
    0x3ffffea0,0x7fffdc00,0xfffc8007,0x4c0003ff,0xa81fffff,0x400fffff,
    0xa87ffffb,0xfacfffff,0x003fffff,0x3fffff60,0x3ffff604,0xfffb002f,
    0x7fec09ff,0xff902fff,0x20000fff,0xcefffffe,0x975512aa,0x07ffffff,
    0x4fffff80,0x267fffff,0xb0009999,0xffffffff,0x400003ff,0x24fffff9,
    0x006ffffe,0xfffff900,0x9ffff305,0x0ffffff4,0x07ffffd4,0x1ffffee0,
    0x653fffe6,0x3f62ffff,0xfff71fff,0x7dc0001f,0x7e44ffff,0xe802ffff,
    0x500fffff,0x801fffff,0x807ffffb,0x07fffffa,0x0ffffff1,0x3ffffe20,
    0x7ffff403,0xfffc8005,0x4c0003ff,0x881fffff,0x403fffff,0xa85ffffe,
    0xffefffff,0x0003ffff,0x3fffffd4,0x7fffff88,0x3fffea00,0xffff107f,
    0x7ffe40ff,0xd300007f,0xffffffff,0x3ffffe6b,0x8004ffff,0xff3fffff,
    0x00007fff,0xffffffff,0x00007fff,0x2fffffc4,0x00bfffff,0x3ffffa00,
    0xffffb82f,0x3fffffa1,0xfffff882,0x7ffff403,0x2ffffa85,0x743ffffb,
    0xff90ffff,0xfb8000ff,0x7e44ffff,0xe802ffff,0x100fffff,0x807fffff,
    0x005ffffe,0x05ffffff,0x09fffff7,0x7fffffc0,0xfffff901,0xfff90009,
    0x980007ff,0xf01fffff,0x203fffff,0x84fffffc,0xfffffffa,0x0006ffff,
    0x5ffffff0,0x9fffff70,0xfffff800,0xffffb82f,0x3fff204f,0x2200007f,
    0xffffffeb,0xffffff35,0x3e0005bf,0xfff3ffff,0xa80007ff,0xffdfffff,
    0x00006fff,0x8afffffc,0x004fffff,0xfffffd00,0x8ffffd03,0x02fffffd,
    0x03ffffff,0x13fffff2,0x74bfffea,0x3fa0ffff,0xfff90fff,0xffb8000f,
    0x7fe44fff,0xfe802fff,0x3e00ffff,0x901fffff,0x009fffff,0x17fffff2,
    0x03fffffa,0xfffffa80,0xffebaacf,0x8000ffff,0x03fffffc,0x7fffcc00,
    0xffff501f,0xfd7559ff,0x501fffff,0xffffffff,0x0007ffff,0xbfffff90,
    0x1fffffd0,0xffffc800,0xffffe85f,0x3fff200f,0x2200007f,0xffffffeb,
    0xffffff35,0x3e00059f,0xfff3ffff,0xc80007ff,0xff8fffff,0x0000ffff,
    0x5bffffe0,0x03fffff9,0xfffff000,0xffff881f,0x7ffffec4,0xfffff503,
    0xffd7559f,0xf701ffff,0x3ffe3fff,0x3ffffc7f,0x000ffff9,0x4fffffb8,
    0x17ffffe4,0x7fffff40,0x3fffea00,0xfebaacff,0x000fffff,0x1ffffff1,
    0x37ffffcc,0x7fffec00,0xffffffff,0x90001fff,0x007fffff,0xfffff980,
    0x3ffff601,0xffffffff,0xff501fff,0xfffb9fff,0x80003fff,0x0ffffff8,
    0x1bffffe6,0x3fffe200,0x3ffe60ff,0x7fe406ff,0x300007ff,0xffffffff,
    0x3fffe6bf,0x004fffff,0xf2ffffe8,0x0007ffff,0xb5ffffe8,0x005fffff,
    0x7ffff400,0x9fffff36,0x3ffe0000,0x7fdc0fff,0x7ffe42ff,0x3ff604ff,
    0xffffffff,0x701fffff,0x3fe3ffff,0x7fffc6ff,0x01bfff66,0xfffff700,
    0xfffffc89,0xffffe802,0x7ffec00f,0xffffffff,0x4001ffff,0x22fffffd,
    0x02fffffc,0x7ffffc40,0xffffffff,0x320003ff,0x003fffff,0x7ffffcc0,
    0xfffff101,0xffffffff,0x7fd407ff,0xffe8cfff,0x0000ffff,0x17ffffec,
    0x05fffff9,0x3ffff600,0x3ffff22f,0x7ffe402f,0xff00007f,0x559dffff,
    0x3f6eaa25,0x002fffff,0xf97ffff4,0x0003ffff,0x4fffffe6,0x05fffffb,
    0x3fffe000,0xfffff35f,0xff10000b,0xfd81ffff,0xfffc87ff,0xfff103ff,
    0xffffffff,0x6407ffff,0xff88ffff,0x3ffe26ff,0x1bfffa6f,0xffff7000,
    0xffffc89f,0xfffe802f,0x3fe200ff,0xffffffff,0x003fffff,0x5fffffa8,
    0x01fffffe,0x3fffff60,0xffffffff,0x7e40000c,0x0003ffff,0x0fffffcc,
    0xffffffd8,0xcfffffff,0x7fffd400,0xfffff34f,0xfa8000df,0x3fe5ffff,
    0x20007fff,0x25fffffa,0x807fffff,0x007ffffc,0xfffffa80,0x7ffcc004,
    0x200006ff,0x003fffff,0x3ffffee0,0xffffff31,0x3fe20000,0xfff14fff,
    0x20000dff,0x20ffffff,0xc85ffff8,0xb03fffff,0xffffffff,0x019fffff,
    0x88ffffd8,0x3e66ffff,0x3ffe4fff,0x7dc0004f,0x7e44ffff,0xe802ffff,
    0x200fffff,0xfffffffd,0x0cffffff,0x3fffe000,0xffff98ff,0x7fd4004f,
    0x9b9956ff,0x20000157,0x03fffffc,0x7fffcc00,0xffffa81f,0x579b9956,
    0x3ffea001,0x3ffee4ff,0x40005fff,0x98ffffff,0x004fffff,0x7fffffc0,
    0x4fffff98,0x7ffffc80,0xfffd8000,0xff70006f,0x00003fff,0x00fffffe,
    0x7ffffd80,0x0ffffffc,0x7ffcc000,0x3fffe3ff,0xff00006f,0x7d43ffff,
    0xffd82fff,0xffa82fff,0x9b9956ff,0x3f600157,0xffff17ff,0xa7fffd4d,
    0x002ffff8,0x7ffffdc0,0x7ffffe44,0xffffe802,0xffff500f,0x2f3732ad,
    0xfc80000a,0xffcbffff,0x6c001fff,0x0002ffff,0x3fff2000,0x4c0003ff,
    0xd81fffff,0x0002ffff,0x3ffffea0,0x7ffffec4,0x3f20003f,0xffcbffff,
    0x40001fff,0xcbfffffc,0x801fffff,0x007ffffc,0x4ffffe80,0xffff1000,
    0x3e00003f,0x0003ffff,0x89fffff1,0x04fffffc,0xffff9800,0x3ffffa2f,
    0xffd00007,0x7fec3fff,0xfffe80ff,0xfffd82ff,0x3200002f,0xfff0ffff,
    0x7fffecdf,0x01ffff74,0xffffb800,0x7fffe44f,0xfffe802f,0xfffb00ff,
    0x0000005f,0x3bffffe6,0x006fffff,0x03fffff8,0x3f200000,0x0003ffff,
    0x0fffffcc,0x01fffffc,0xffff5000,0xffff889f,0x30001fff,0xffdfffff,
    0x0000dfff,0xfdfffff3,0x200dffff,0x007ffffc,0x3ffffe80,0x3fffe000,
    0x3f66002f,0x3ffffe4e,0x05ddddb3,0x17ffffd4,0x1bffffea,0x3ffee000,
    0x3fff61ff,0xd80001ff,0x3e2fffff,0xffd05fff,0xfff01fff,0x400007ff,
    0xfd0ffffc,0xfff51fff,0x3fffa9ff,0xffb80005,0x7fe44fff,0xfe802fff,
    0xff00ffff,0x00007fff,0x7ffff400,0x03ffffff,0xffffff80,0x90000002,
    0x007fffff,0xfffff980,0xffffff81,0xff500002,0xff509fff,0x001fffff,
    0x3fffffa0,0x003fffff,0xfffffd00,0x007fffff,0x01fffff2,0x3ffffe00,
    0x3ffa0002,0xff3003ff,0x3ffebfff,0xfffff3ff,0x7fffe407,0x7fffc40f,
    0x6c0000ff,0x320fffff,0x004fffff,0xfffffc80,0x07ffff54,0x0ffffff1,
    0x0bfffffe,0x7ffdc000,0xdffffb1f,0xdfffffff,0x0007ffff,0x9fffff70,
    0x2fffffc8,0xfffffe80,0xffffff00,0x20000005,0xfffffffa,0xd8000fff,
    0xefffffff,0x9accdeee,0x33332600,0xffffeccc,0xccccccef,0xffff9802,
    0xffffd81f,0xdeeeefff,0x2a009acc,0x904fffff,0x0dffffff,0x3fffea00,
    0x00ffffff,0xffff5000,0x01ffffff,0x1fffff20,0x3fffe000,0x3fa0002f,
    0xfb003fff,0xff3fffff,0x3ffe7fff,0x3ffe03ff,0xfffd06ff,0x440007ff,
    0x4c5fffff,0x006fffff,0xfffffa80,0x01ffff96,0x0bfffff7,0x3ffffff6,
    0xccdeeeef,0x3fea009a,0xffff72ff,0xffffffff,0x001dffff,0xfffff700,
    0xfffffc89,0xffffe802,0xffffb00f,0xbddddfff,0x00013599,0xfffffff8,
    0xf50004ff,0xffffffff,0xffffffff,0xffff703b,0xffffffff,0xffffffff,
    0xffff3009,0xffff503f,0xffffffff,0x03bfffff,0x09fffff5,0x7ffffff4,
    0xffff0005,0x009fffff,0xfffff800,0x2004ffff,0x007ffffc,0x2fffff80,
    0x3fffa000,0xffff003f,0xffff7fff,0x3ffffe7f,0xfffff303,0x3ffff209,
    0x3ee0005f,0xfe82ffff,0x0001ffff,0x7fffffc4,0xb06ffff9,0x205fffff,
    0xfffffffa,0xffffffff,0xff981dff,0xffff13ff,0xfffd7fff,0x0001ffff,
    0x3ffffee0,0x7ffffe44,0xffffe802,0xffff500f,0xffffffff,0x03bfffff,
    0x3ffff200,0x0001ffff,0x3fffffea,0xffffffff,0x7dc4ffff,0xffffffff,
    0xffffffff,0xf9804fff,0xf501ffff,0xffffffff,0xffffffff,0xffffa89f,
    0x3ffe204f,0x8003ffff,0xfffffffc,0x6400001f,0xffffffff,0x3fff2001,
    0xff80007f,0x20002fff,0x003ffffe,0x5ffffffd,0x3e7fffff,0xf903ffff,
    0x2603ffff,0x007fffff,0x1fffffa0,0x27ffffdc,0x7fff4000,0x3ffffeff,
    0x6fffff98,0x7ffffd40,0xffffffff,0x444fffff,0x3ea3ffff,0xff34ffff,
    0x0003ffff,0x7ffffdc0,0x7ffffe44,0xffffe802,0x3ffea00f,0xffffffff,
    0x4fffffff,0xffff9800,0x40005fff,0xffffffe8,0xffffffff,0x3ee3ffff,
    0xffffffff,0xffffffff,0xf9804fff,0xd101ffff,0xffffffff,0xffffffff,
    0x7ffd47ff,0x7fd404ff,0x002fffff,0x7fffffcc,0x9800005f,0x5fffffff,
    0x7fffe400,0xfff80007,0x3a0002ff,0x9003ffff,0xf1ffffff,0x3fe7ffff,
    0xffd03fff,0xfff80fff,0x98002fff,0x104fffff,0x01ffffff,0xffffb800,
    0x41ffffff,0x2ffffff8,0x7ffff440,0xffffffff,0x23ffffff,0x4c6ffff8,
    0x6dcc1cec,0xb800002c,0x644fffff,0x802fffff,0x00fffffe,0x3fffffa2,
    0xffffffff,0x003fffff,0xffffffe8,0x3fa60001,0xeeeeffff,0xffffffee,
    0xfff70fff,0xffffffff,0xffffffff,0xfff3009f,0xffd303ff,0xdddddfff,
    0xfffffffd,0x3ffea1ff,0xffc804ff,0x000fffff,0x7ffffff4,0xfd000001,
    0x003fffff,0x07ffffc8,0xfffff800,0x3ffa0002,0x3f6003ff,0xffff2fff,
    0x3ffffe7f,0xfffff883,0x7fffec05,0xffd8004f,0x3f601fff,0x0004ffff,
    0xffffffe8,0x3faa26ff,0x4c06ffff,0xeefffffe,0xffffeeee,0x3e0fffff,
    0x0001ffff,0x7dc00000,0x7e43ffff,0xe802ffff,0x300fffff,0xddfffffd,
    0xffffdddd,0x001fffff,0x5fffffe8,0x3ffa2000,0x64401fff,0x02ffffff,
    0x4c000000,0x441fffff,0x01fffffe,0x7ffffe44,0x0000002f,0xffffe800,
    0x2000005f,0x05fffffe,0x7ffffc80,0xffff8000,0x3fa0002f,0x54003fff,
    0x3fffe0ab,0x7fffff3f,0x9fffff70,0x93333333,0x00ffffff,0x6fffffa8,
    0x7ffffd40,0x7d40001f,0xffffffff,0xffffffec,0x3fa202ff,0x4401ffff,
    0x2ffffffc,0x00fffff2,0x90000000,0x005fffff,0x7ffff400,0xffffd107,
    0xffc8803f,0x2002ffff,0x2ffffffa,0x3fff2000,0x3f2002ff,0x0004ffff,
    0x7fcc0000,0x7fe41fff,0x32002fff,0x004fffff,0x54000000,0x02ffffff,
    0xfff50000,0x90005fff,0x000fffff,0x1fffff88,0x3fff6000,0xff00004f,
    0x3ffe7fff,0xfffd83ff,0xffffffff,0xffffffff,0xfff1001f,0xfb003fff,
    0x000dffff,0xffffffb0,0xffffffff,0xfc80bfff,0x2002ffff,0x24fffffc,
    0x006ffff9,0x6c000000,0x001fffff,0x3ffffe00,0xfffff906,0x7ffe4005,
    0xfd1004ff,0x000dffff,0x07fffff8,0x7ffffdc0,0x26662004,0x7cc00009,
    0x7fc1ffff,0x5c007fff,0x004fffff,0x00133331,0xfffe8800,0x000006ff,
    0xdfffffd1,0x3fff2000,0x7cc0007f,0x0000ffff,0x017ffff2,0x87ffffd4,
    0xff3fffff,0xfff07fff,0xffffffff,0xffffffff,0x3f2007ff,0x1004ffff,
    0x07ffffff,0xffff9000,0xffffffff,0xff007fff,0xb800ffff,0x744fffff,
    0x0002ffff,0xff100000,0x0000ffff,0x2fffffc4,0x07fffff8,0x7ffffdc0,
    0xffffb004,0x440003ff,0x007fffff,0x17ffffe4,0x7fffff00,0xfff98000,
    0x3ffe21ff,0x7e4007ff,0xf002ffff,0x0007ffff,0xfffffd80,0xb000001f,
    0x03ffffff,0x3ffff200,0x7fdc0007,0x5c0007ff,0x800fffff,0x3e5ffffc,
    0xfff3ffff,0xfff987ff,0xffffffff,0xffffffff,0xffa805ff,0x54006fff,
    0x01ffffff,0xffffc800,0xffffffff,0xfff8801e,0x7e4007ff,0x7dc2ffff,
    0x4002ffff,0x20008008,0x06fffffc,0x3ffee000,0xfff884ff,0x7e4007ff,
    0x4c02ffff,0x2ffffffe,0xffff8000,0xff5002ff,0x2001ffff,0x00fffff9,
    0x7fffcc00,0x7ffffc1f,0xfff5002f,0xf3001fff,0x0001ffff,0x3ffffa60,
    0x800002ff,0xffffffe9,0x3ff20002,0x220007ff,0x006fffff,0x7ffffd40,
    0xffffd804,0x4fffffe2,0x643fffff,0xffffffff,0xffffffff,0x00ffffff,
    0x3fffffe6,0xfffd8001,0x40000fff,0xfffffffb,0x000cefff,0x0bfffffe,
    0x7ffffd40,0x7fffc40f,0xfc8801ff,0x016fc400,0x3ffffff2,0xf9806003,
    0xf02fffff,0x005fffff,0x3fffffea,0x3ffbbb20,0x04ffffff,0xffffb000,
    0x988359ff,0x4ffffffd,0x3fffea00,0xff980006,0x7fec1fff,0x41acffff,
    0xfffffd98,0xfff5004f,0x3b2000df,0xffffffee,0xc80004ff,0xfffffeee,
    0x40004fff,0x007ffffc,0xfffffb88,0x7c40003f,0x01dfffff,0xff1ffffe,
    0x3ffe7fff,0x7fff43ff,0xeeeeeeff,0xfffeeeee,0xff302fff,0x0007ffff,
    0x3fffffe2,0x3fa0000e,0x1acbafff,0x3fff6000,0x441acfff,0xffffffd9,
    0xfffff904,0x2e6637bf,0x4400fffd,0xccceffff,0xffffffed,0x66fec005,
    0xfffffdbb,0x3fff606f,0x441acfff,0xffffffd9,0x7ffffe44,0x006fffff,
    0x3fffea00,0xffffffff,0xffffffff,0x7ffe4005,0xfff9003f,0xffffffff,
    0xffffa83f,0xffffffff,0xffffffff,0x3fff2005,0xff90003f,0xffffffff,
    0x3f20000d,0xffffffff,0xfc80006f,0xffffffff,0xffd91fff,0x0dffffff,
    0x3ffee000,0x0effffff,0xf89ffff1,0xfff3ffff,0x7ffc47ff,0x7ec004ff,
    0xf884ffff,0x005fffff,0x7ffffcc0,0xf88000ef,0x00004fff,0x7fffffd4,
    0xffffffff,0x05ffffff,0x7ffffff4,0xffffffff,0x7fc400ff,0xffffffff,
    0x00ffffff,0x7ffffec0,0x1fffffff,0x3ffffea0,0xffffffff,0x5fffffff,
    0xffffffc8,0x0000dfff,0x7ffffd40,0xffffffff,0x006fffff,0x01ffffe8,
    0xffffff90,0x03ffffff,0xfffffff5,0xffffffff,0xe800dfff,0x0001ffff,
    0xfffffff9,0x00001bff,0x3ffffff2,0x0000dfff,0xffffffc8,0xb1ffffff,
    0xffffffff,0x7400005f,0xffffffff,0x3ffff50f,0xf3fffff8,0x7dc7ffff,
    0x4002ffff,0x47fffffb,0x5fffffe8,0xfff30000,0x7000bfff,0x0005ffff,
    0xfffff500,0xffffffff,0x00dfffff,0xffffffd1,0xffffffff,0xfff8801f,
    0xffffffff,0x8002ffff,0xfffffffd,0xa804ffff,0xffffffff,0xffffffff,
    0xfff906ff,0x005dffff,0x7ff54000,0xffffffff,0x002dffff,0x00dffff0,
    0x7fffffe4,0x01ffffff,0xffffffd5,0xffffffff,0xfff0005b,0x7e4000df,
    0x2effffff,0x7fe40000,0x02efffff,0x3fff2000,0xffffffff,0xfffffb1f,
    0x00007fff,0xfffffe88,0xfff90fff,0x7fffff0d,0xd8fffffe,0x000fffff,
    0x7fffffcc,0x2ffffec1,0x3fe60000,0xd8001fff,0x00007fff,0x3ffffaa0,
    0xffffffff,0x64002dff,0xffffffff,0x803effff,0xfffffff8,0x0cffffff,
    0xffffb000,0x05ffffff,0x7ffff540,0xffffffff,0x3f202dff,0x003cefff,
    0x3b260000,0xefffffff,0x260001cd,0x2004ffff,0xfffffffc,0x401fffff,
    0xfffffec9,0x001cdeff,0x09ffff30,0x7fffe400,0x000003ce,0x79dffff9,
    0xff900000,0xffffffff,0x3fff63ff,0x0000dfff,0x3fffaa00,0x33310fff,
    0x7fffff01,0x44fffffe,0x005fffff,0x9ffffff0,0x000bffb0,0x07ffe600,
    0x3fffe200,0x98000005,0xffffffec,0x0001cdef,0x3ffffae2,0x4001ceff,
    0xfffffdb8,0x0000ceef,0x7fffff5c,0x30000cef,0xffffffd9,0x20039bdf,
    0x00000199,0x04cc4000,0x00000000,0x3333332a,0x00cccccc,0x00099880,
    0x40000000,0x00000199,0x00006660,0x33332a00,0xcccccccc,0x13579950,
    0x4c000000,0x000cccba,0x7cfffffe,0xff53ffff,0x20007fff,0x06fffffc,
    0x800000bb,0x260001f9,0x00000999,0x01331000,0x19880000,0x33100000,
    0x4c400000,0x00000099,0x00002662,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc00,
    0x27fffff3,0x01fffffc,0xfffff500,0x0000001f,0x00000040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xff3fffff,0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7cfffffe,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaa8800,0x64000001,0x0deeeeee,0x002aa200,0x15555530,0x30000000,
    0x40000017,0x099aaa99,0x99800000,0x88000099,0x00001aaa,0x33555310,
    0x2a600000,0x640001aa,0x00002eee,0x0000aa88,0xddd70000,0x0003bddd,
    0x000006a2,0x2ccccb80,0x75100000,0xffff8003,0xffffffff,0xffffffff,
    0x18804fff,0x00001100,0x1001ba88,0x00dfffff,0xffd10000,0x00005fff,
    0x3fffff60,0x3ee000df,0x32004fff,0x002fffff,0xfdb98000,0x400001ff,
    0xffffffda,0x01bdffff,0x7ffc4000,0x7e40004f,0x001effff,0x7fff6cc0,
    0xceffffff,0xffd00001,0xfe80005f,0x880002ff,0xffffffdc,0x000001cd,
    0xffffffc8,0x7644000e,0x980cffff,0x7ec0000d,0x002fffff,0x7fffd400,
    0x3fffe005,0xffffffff,0xffffffff,0x7e404fff,0xffb102ff,0xf500003d,
    0xf100bfff,0x000dffff,0xfffe8800,0x0002ffff,0x7ffffec0,0x7fcc003f,
    0x9002ffff,0x005fffff,0xfffd0000,0x200003ff,0xffffffe9,0xffffffff,
    0x2e00000f,0x0002ffff,0x3ffffff6,0xd98001ff,0xffffffff,0x04ffffff,
    0x3ffff000,0xffff8000,0x7fd40001,0xffffffff,0x000004ff,0x3fffffee,
    0xfffd0004,0x217fffff,0x0000efe9,0xfffffffb,0x2200005f,0x03ffffff,
    0xfffffff0,0xffffffff,0xffffffff,0x7fffdc09,0xffffd81f,0x3e20000f,
    0x403fffff,0x06fffff8,0x7ff40000,0x1fffffff,0xfffb0000,0x90003dff,
    0x0dffffff,0x3fffff20,0xe8000002,0x001fffff,0xfffffb80,0xffffffff,
    0x0000ffff,0x01ffff60,0xbefffa80,0x4005fffd,0xfffffffb,0xffffffff,
    0xf880004f,0x20000fff,0x000ffff9,0x3fffff60,0xffffffff,0x400000df,
    0x1ffffffb,0xffff9000,0xffffffff,0x800bffff,0xfeffffd8,0x0003ffff,
    0xffffffa8,0xfffff006,0xffffffff,0xffffffff,0x7ff409ff,0x7fc44fff,
    0x0002ffff,0x3fffffea,0x7fffc406,0x2000006f,0xf9cffffd,0x0001ffff,
    0x27ffffec,0xffffb000,0x3f200fff,0x0002ffff,0xffffe800,0x3a20001f,
    0xffffffff,0xffffffff,0x100000ff,0x000bffff,0x3ee3ffe4,0x3fea007f,
    0xffffffff,0x4fffffff,0xfff98000,0x7fd40007,0xfd10007f,0xffffffff,
    0xdfffffff,0x3ee00003,0x000dffff,0xdfffff30,0xffffffff,0x44001fff,
    0xf34ffffe,0x0007ffff,0xffffffa8,0xfffff006,0xffffffff,0xffffffff,
    0x7ffc09ff,0x7fc44fff,0x0002ffff,0x3fffffea,0x7fffc406,0xb000006f,
    0x7cc9ffff,0x0001ffff,0x05ddddd7,0xffffc800,0xff9005ff,0x00005fff,
    0xfffffd00,0x3fe20003,0xffffffff,0xffffffff,0x510000ff,0x5ffff755,
    0x2ffec000,0x2003ffe6,0xfffffff8,0xfeeeeeff,0x80004fff,0x4006fffa,
    0xfffecba8,0xb0009acf,0xffffffff,0xffffffff,0x30000bff,0x00799999,
    0x217ff500,0xffffffd9,0x3a2001ff,0x6c42ffff,0x0004ffff,0x3fffffe2,
    0xff500004,0x8000dfff,0x82fffffc,0x00fffffe,0x3fffe200,0x7fc404ff,
    0x00006fff,0x83eeeeb8,0x00deeee9,0x20000000,0x2ffffff8,0xfffff900,
    0xd0000005,0x003fffff,0x3fffff20,0x220aceff,0x00fffca9,0xffffb930,
    0x01ffffff,0x07ffdc00,0x3200fff9,0x1dffffff,0x001edcc0,0x02fffdc0,
    0xffffffa8,0xffffffff,0x7fffcc05,0xa889beff,0xfffffffc,0x00000001,
    0xd9825400,0x001cffff,0x00000000,0x077fffdc,0xfffa8000,0x440006ff,
    0xd304fffe,0x00005fff,0x01dffff7,0x6fffff88,0x00000000,0xbd970000,
    0x26000019,0x2002fffe,0x02fffffc,0xffe80000,0x98001fff,0x5fffffff,
    0x40064c00,0xfffffffb,0x00efffff,0x3fffe600,0x005fffed,0x0bfffffd,
    0x32000000,0x74c04fff,0xffffffff,0x5fffffff,0x7fffff40,0x3ffee00f,
    0x00005fff,0x07fffec0,0x00cc0000,0x00000000,0x00f72600,0xffff5000,
    0x260000df,0x00aa800a,0x0f726000,0x7ffffc40,0x00000006,0x7f4c0000,
    0x003fffff,0x20006200,0x02fffffc,0xdddd7000,0xffffffdd,0xdddddddd,
    0xffffd8bd,0x000003ff,0xffffffb1,0xffffffff,0x7e40001d,0x0fffffff,
    0xffffff00,0x80000005,0x0dfffea9,0xffffff50,0xffffffff,0x7d40bfff,
    0x801fffff,0x1ffffffb,0xff100000,0x00000bff,0xaaa98000,0x000000aa,
    0x40000000,0x06fffffa,0x00000000,0x22000000,0x006fffff,0x00000000,
    0x3ffffa20,0x0003ffff,0x7fe40000,0x13101fff,0x3ffff200,0xffffffff,
    0xffffffff,0x3fffea6f,0x000004ff,0xffffffd3,0xffffffff,0x40001dff,
    0x0cfffffa,0xfffff300,0x8000005f,0xfffffed9,0x222fffff,0xffffffff,
    0xffffffff,0x3ffa05ff,0x3e004fff,0x004fffff,0xffff7000,0x00000005,
    0xfffffc80,0x80000002,0x099aaa99,0x7ffd4000,0x000006ff,0x40000000,
    0x1009aaa8,0x00dfffff,0x3bbba600,0xeeeeeeee,0x003eeeee,0x36fbfff2,
    0x0000ffff,0x3ff20000,0x3b2a1fff,0x202defff,0xfffffffc,0xffffffff,
    0x26ffffff,0x0ffffffe,0xffd00000,0xddffffff,0xffffffff,0x3510000b,
    0xfff88001,0x00004fff,0x3fffff20,0xffffffff,0x3fffffa2,0xffffaadf,
    0x305fdca9,0x03ffffff,0x7ffffec0,0xfb000006,0xffd00fff,0x64001fff,
    0xc82fffff,0x002fffff,0xffb50000,0xffffffff,0xfa80037b,0x8006ffff,
    0x00fffffe,0x3fffff20,0x372a2002,0xffffffff,0xffff10bd,0x260000df,
    0xffffffff,0xffffffff,0x3ffa004f,0x017ffdc6,0x3bbbbbae,0x02eeeeee,
    0x3fffff90,0x3ffffff2,0xff903fff,0xffffffff,0xffffffff,0x7ffcdfff,
    0x00004fff,0xffffff50,0x3ffea15b,0x02ffffff,0x01fffffd,0x7ffffe40,
    0x3fffffe2,0x5400003f,0xfffffffe,0x2fffffff,0x7ffffff3,0x1837ffd4,
    0xdfffff70,0xffffa800,0x3100007f,0x0bffff35,0x1fffffd0,0x7fffe400,
    0xffffc82f,0x4000002f,0xffffffe9,0xffffffff,0x3fea000f,0xe8006fff,
    0x000fffff,0x0bfffff2,0x7ffffdc0,0xffffffff,0xfffff13f,0x3e60000d,
    0xffffffff,0xffffffff,0x13ffe004,0xc807fff1,0xffffffff,0x9003ffff,
    0xfb3fffff,0xffffffff,0xddd709ff,0xfffffddd,0xdddddddf,0x3ffe2bdd,
    0x00000fff,0xbfffffd0,0xffffff90,0x3fa0dfff,0x2000ffff,0x22fffffc,
    0xfffffffd,0xf980002e,0xffffffff,0x2fffffff,0x8ffffff7,0x4005fffb,
    0x04fffffc,0x7ffffc40,0xdb98000f,0xfffffffe,0xfffe802f,0x3f2000ff,
    0xfc82ffff,0x0002ffff,0x3fffee00,0xffffffff,0x000fffff,0x1bffffea,
    0x3ffffa00,0x3ff2000f,0x6c402fff,0xffffffff,0x3fffffff,0x0dfffff1,
    0x3ffe6000,0xffffffff,0x04ffffff,0xf317ffe0,0xffc805ff,0xffffffff,
    0xff9003ff,0xffffdfff,0xffffffff,0x7ff4007f,0x26001fff,0x007fffff,
    0xffff5000,0x3fffe0df,0x1ffffffe,0x0fffffe8,0x3ffff200,0x3fffee2f,
    0x0bffffff,0xffffd000,0xfffbdfff,0x3f25ffff,0x7ec5ffff,0x7f4004ff,
    0x8003ffff,0x01ffffff,0x7ffffdc0,0x5fffffff,0xfffffe80,0x3fff2000,
    0xfffc82ff,0x800002ff,0xffffffe8,0xffffffff,0x2000ffff,0x06fffffa,
    0xfffffe80,0x3fff2000,0x3fa602ff,0xffffffff,0x3fffffff,0x0dfffff1,
    0x3bba6000,0xeeeeeeee,0x04fffffe,0x22ffff60,0x401fffea,0xfffffffc,
    0x003fffff,0xfffffff9,0xfffdffff,0x400fffff,0x01fffffe,0x3ffffea0,
    0x2aaaaa06,0x40aaaaaa,0x82fffffe,0xfebffff9,0xfe84ffff,0x2000ffff,
    0x42fffffc,0xfffffffd,0x002dffff,0x3fffffee,0x2bfff70d,0xffff92c9,
    0x7fff41ff,0x7fff4003,0xff8003ff,0x1002ffff,0xfffffffb,0xdfffffff,
    0x7ffff403,0x3ff2000f,0xffc82fff,0x00002fff,0x7fffffc4,0xffffffff,
    0x00ffffff,0x3ffffea0,0xfffe8006,0x3f2000ff,0xf302ffff,0xffffffff,
    0xffffffff,0x3fffe27f,0x0000006f,0x9fffff70,0x7fffcc00,0x805fffff,
    0xfeeeeeeb,0x003fffff,0xfffffff9,0x3f6217df,0x002fffff,0x03fffffd,
    0x7ffffdc0,0xfffff105,0x43ffffff,0x07fffff9,0xf73ffff9,0xfd0dffff,
    0x4001ffff,0x42fffffc,0xfffffff8,0x3effffff,0x7ffffc40,0x27ffe45f,
    0xffffffb8,0x05ffff0c,0xffffff80,0xfffe8002,0xff9803ff,0xffffffff,
    0xefffffff,0xfffffd00,0x7ffe4001,0xfffc82ff,0x400002ff,0xfffffffc,
    0x2a620ace,0x2000fffc,0x06fffffa,0xfffffe80,0x3fff2000,0xfffd02ff,
    0x137bffff,0x4fff6a62,0x06fffff8,0xf7000000,0x8009ffff,0xfffffffb,
    0x7e40000e,0x9003ffff,0xbfffffff,0x7ffffec0,0xffffd006,0x7fec003f,
    0xff104fff,0xffffffff,0x7fffdc3f,0xdfffd05f,0x3fffffe2,0x7fffff40,
    0x3fff2000,0xffd882ff,0xffffffff,0xf700efff,0xe81fffff,0xff303fff,
    0xf7ffffff,0xf8003fff,0x001fffff,0x3fffffe8,0xfffffd80,0xffffcdff,
    0xd05fffff,0x001fffff,0x17ffffe4,0x17ffffe4,0xfff30000,0x800bffff,
    0x3ea000c9,0x8006ffff,0x00fffffe,0x3fffff20,0xfffffa82,0x551002ff,
    0x1bffffe2,0x5c000000,0x004fffff,0x3ffffd98,0xfff90000,0x3f2007ff,
    0x00efffff,0x3fffffea,0xffffe800,0x3ffa001f,0xff104fff,0xffffffff,
    0x7fffe43f,0xffff982f,0x3fffffa4,0x7fffff41,0x3fff2000,0x3fee02ff,
    0xffffffff,0xfc82ffff,0xff84ffff,0x3ffe02ff,0xffffffff,0x7fc4007f,
    0x8001ffff,0x03fffffd,0x7fffffd4,0x3ffffe64,0xe82fffff,0x000fffff,
    0x0bfffff2,0x0bfffff2,0xd8002a62,0x03ffffff,0xff500000,0xd000dfff,
    0x001fffff,0x17ffffe4,0x7ffffff4,0x3fe20001,0x00006fff,0xffff7000,
    0x0980009f,0x7fe40000,0xf9003fff,0x001dffff,0x03ffffff,0x3fffffd0,
    0x7fffec00,0xffff104f,0x3fffffff,0x17fffff4,0xd0ffffdc,0xe85fffff,
    0x000fffff,0x0bfffff2,0x3ffffaa0,0xffffffff,0x7fffff40,0x01ffff81,
    0x3fffffe6,0x1cffffff,0x3ffffe00,0xffe8002f,0x7f402fff,0x7e43ffff,
    0xffffefff,0xffffe85f,0x3ff2000f,0xffc82fff,0x3faa1fff,0x201dffff,
    0x4ffffffa,0x2a000000,0x006fffff,0x0fffffe8,0x3ffff200,0x7fffdc2f,
    0x440002ff,0x006fffff,0xff700000,0x20009fff,0x00009a99,0x3fffff20,
    0xffff9003,0x3ff6005f,0xfe802fff,0x2001ffff,0x05fffffc,0x3faaaaaa,
    0x3fa1ffff,0xfe81ffff,0x7ffec7ff,0x7fff42ff,0x3f2000ff,0x2002ffff,
    0xffffffc9,0x7fc6ffff,0x7cc0ffff,0xffb807ff,0xffffffff,0xe802efff,
    0x003fffff,0x1ffffff8,0x3ffffea0,0x9efffe86,0xe87fffff,0x000fffff,
    0x0bfffff2,0x27fffff2,0xffffffd8,0xffd03fff,0x0001ffff,0x7ffd4000,
    0xfe8006ff,0x2000ffff,0x42fffffc,0x07ffffff,0xffff8800,0x0000006f,
    0x9fffff70,0xfffd7300,0x3bdfffff,0x7ffe4000,0xff9003ff,0x36005fff,
    0x803fffff,0x01fffffe,0x3ffffee0,0x7ffec006,0x3fffe1ff,0x7ffc40ff,
    0x7fffec4f,0x7ffff43f,0x3ff2000f,0x50002fff,0xfffffffd,0x3fffe25f,
    0x6fffa87f,0xffffd500,0xffffffff,0x7ff403df,0xf8003fff,0x200fffff,
    0x42fffffc,0xfb3ffff9,0xfe85ffff,0x2000ffff,0x82fffffc,0xe9fffffc,
    0xffffffff,0xfff83fff,0x00004fff,0x7fffd400,0xffe8006f,0x32000fff,
    0x222fffff,0x03ffffff,0xffff8800,0x0000006f,0x9fffff70,0x7ffffd40,
    0xffffffff,0xc8001dff,0x003fffff,0x05fffff9,0x3fffff20,0xffffe804,
    0x3fe6001f,0x6c007fff,0x3e1fffff,0x5c0fffff,0x7e42ffff,0x7f44ffff,
    0x2000ffff,0x02fffffc,0x7fffdc00,0xfff13fff,0xffb81fff,0x7fe4005f,
    0xffffffff,0xfb03ffff,0x8009ffff,0x07fffff8,0x43ffffec,0xf71ffffc,
    0xfe87ffff,0x2000ffff,0x82fffffc,0xfefffffc,0xffffffff,0x7fc47fff,
    0x0000ffff,0x7ffd4000,0xfe8006ff,0x2000ffff,0x22fffffc,0x0ffffff9,
    0xfff88000,0x000006ff,0xfffff700,0x7fffd409,0xffffffff,0x000fffff,
    0x1fffffe4,0xfffffc80,0xffff9002,0xfffd009f,0x7c4003ff,0x001fffff,
    0x47fffff6,0x0ffffff8,0x643fffec,0x743fffff,0x000fffff,0x0bfffff2,
    0x3ffea000,0x3ffe5fff,0x7fe42fff,0xea88004f,0xffffffff,0xfc82ffff,
    0x4006ffff,0x07fffffa,0x437ffff4,0x3ea6ffff,0x7f44ffff,0x2000ffff,
    0x82fffffc,0xfffffffc,0xfffeffff,0x3e63ffff,0x0007ffff,0xfffa8000,
    0xfe8006ff,0x2000ffff,0x22fffffc,0x07fffffa,0xffff1000,0x000000df,
    0x3ffffee0,0x3fffea04,0xffffffff,0x005fffff,0x1fffffe4,0xfffffc80,
    0xffffb002,0xfffd007f,0xff8003ff,0x2005ffff,0x21fffffd,0x20ffffff,
    0xc85ffff8,0x743fffff,0x000fffff,0x0bfffff2,0x7fffc000,0x3fffe6ff,
    0x7ffec4ff,0x3fe20003,0xffffffff,0x7fdc1fff,0x2000ffff,0x05fffffc,
    0x22fffffc,0x263ffff9,0x744fffff,0x000fffff,0x0bfffff2,0x3ffffff2,
    0xfd50beff,0x7d4bffff,0x2a06ffff,0xaaaaaaaa,0x3ea000aa,0x8006ffff,
    0x00fffffe,0x3fffff20,0x3ffffee2,0xff100006,0x0000dfff,0x3ffee000,
    0x3fea04ff,0xa99aacdf,0xfffffffb,0x3fff2002,0xff9003ff,0x36005fff,
    0x802fffff,0x01fffffe,0x7fffff40,0xfffb000f,0x7fffc3ff,0x3ffea1ff,
    0xffffd82f,0x7ffff42f,0x3ff2000f,0x00002fff,0x49fffffb,0x46fffffe,
    0x0002fffe,0x3f3fffea,0x4fffffff,0x7fffffc4,0x3fffe003,0x3fe201ff,
    0x7fe44fff,0x3ffe20ff,0x7fff45ff,0x3f2000ff,0xfc82ffff,0x05ffffff,
    0x4dfffff5,0x05fffffb,0xfffffff1,0x4003ffff,0x06fffffa,0xfffffe80,
    0x3fff2000,0x3fff62ff,0x100005ff,0x00dfffff,0x3ee00000,0x2a04ffff,
    0xfe8800ad,0x2004ffff,0x03fffffc,0x5fffff90,0x3ffffe00,0xfffe800f,
    0x7cc002ff,0x005fffff,0x43fffffb,0x21fffffe,0xe80ffffd,0x742fffff,
    0x000fffff,0x0bfffff2,0x7fffc000,0x3fff23ff,0x3ffe2fff,0x3ee0001f,
    0xfffb16ff,0xffb0dfff,0x7001dfff,0x80dfffff,0x45fffff8,0x7cc6ffff,
    0x7f44ffff,0x2000ffff,0x82fffffc,0xeffffffc,0xfffff100,0x7ffffecf,
    0xfffff104,0x03ffffff,0x7ffffd40,0xfffe8006,0x3f2000ff,0x3fa2ffff,
    0x0004ffff,0xdfffff10,0x20000000,0x04fffffb,0x7ffcc000,0x3f2005ff,
    0x9003ffff,0x005fffff,0x0ffffff3,0x3fffff60,0xfffd8003,0x6c00efff,
    0x361fffff,0x3e2fffff,0xffd05fff,0xffe81fff,0x32000fff,0x352fffff,
    0x3ffee000,0x3fe61fff,0xf89fffff,0x00c40fff,0x744fffc8,0xa87fffff,
    0x0effffff,0x3ffffea0,0x7ffc403f,0x3ffe66ff,0x7fffd43f,0x7ffff43f,
    0x3ff2000f,0xffc82fff,0x7400efff,0xfd0fffff,0x2209ffff,0xffffffff,
    0x2a001fff,0x006fffff,0x0fffffe8,0x3ffff200,0x3ffffe2f,0xf100004f,
    0x333fffff,0x33333333,0xb8000133,0x004fffff,0xfffff800,0x3fff2007,
    0xff9003ff,0xfb005fff,0x200dffff,0x0ffffffb,0x7fffc400,0x40abffff,
    0x1fffffd8,0x53fffff2,0x883ffffa,0xe87fffff,0x000fffff,0x4bfffff2,
    0x009bdffc,0x3fffff66,0xffffd87f,0xffffefff,0x003fdba8,0xfb87fffb,
    0xf80fffff,0xaeffffff,0x3fffee60,0xfff007ff,0x7ffe4fff,0x7fffdc0f,
    0x7ffff42f,0x3ff2000f,0xffc82fff,0xfe802fff,0xffb0ffff,0x3e209fff,
    0xffffffff,0x3ea001ff,0x8006ffff,0x00fffffe,0x3fffff20,0x3fffffa2,
    0xff100005,0xffffffff,0xffffffff,0xfb80005f,0x0004ffff,0x7ffffe80,
    0x3ffff200,0xfff9003f,0xffa805ff,0x5003ffff,0x7fffffff,0x0bb75335,
    0xfffffff9,0xffddffff,0x543fffff,0xf96fffff,0xff701fff,0xffd0bfff,
    0x64001fff,0xf92fffff,0xddffffff,0xfffffffd,0xff105fff,0xffffffff,
    0x7fffffff,0x0bfffa00,0x0dfffff5,0x3fffffee,0xffffffff,0x002fffff,
    0x21fffffd,0xfe86ffff,0x7f40ffff,0x2000ffff,0x82fffffc,0x02fffffc,
    0x0fffffe8,0x0bfffff9,0x7f555554,0x2001ffff,0x06fffffa,0xfffffe80,
    0x3fff2000,0x3fff62ff,0x100006ff,0xffffffff,0xffffffff,0x80005fff,
    0x04fffffb,0xf9999800,0x2007ffff,0x03fffffc,0x5fffff90,0x7ffffdc0,
    0x7ff4005f,0xffffffff,0xfe886fff,0xffffffff,0xffffffff,0x3ffe21ff,
    0xffff9fff,0xfffffb06,0xfffffd05,0x7ffe4001,0xffff92ff,0xffffffff,
    0x9fffffff,0x7ffffd40,0xffffffff,0xff003fff,0xfffc83ff,0x3ff205ff,
    0xffffffff,0x3fffffff,0x3ffff200,0x3ffffacf,0x3fffffcc,0x07fffff4,
    0xfffff900,0xfffff905,0xffffd005,0x3fffee1f,0x7fec006f,0x2a001fff,
    0x006fffff,0x0fffffe8,0x3ffff200,0x3ffff22f,0xf100007f,0xffffffff,
    0xffffffff,0xb80005ff,0x004fffff,0x3fffb722,0xffffffff,0x3fff2007,
    0xff9003ff,0x5559dfff,0xffffffb7,0xff98001f,0xffffffff,0x3ee06fff,
    0xffffffff,0xffffffff,0x7ffff41f,0x83ffffef,0x06fffff9,0x01fffffd,
    0x7ffffe40,0xffffff92,0xffffffff,0x300bffff,0xffffffff,0x7fffffff,
    0x3fe206f2,0x3ffee0ff,0x7e403fff,0xffffffff,0x03ffffff,0x7ffffcc0,
    0x40ffffdf,0x83fffffd,0x00fffffe,0x3fffff20,0xfffffc82,0xffffe802,
    0xfffff30f,0xfffd800f,0x3ea001ff,0x8006ffff,0x00fffffe,0x3fffff20,
    0x3ffffee2,0xff100007,0xffffffff,0xffffffff,0xfb80005f,0x9804ffff,
    0xfffffffd,0xffffffff,0x33333267,0xfffffecc,0x2cccccce,0x3ffffff2,
    0xffffffff,0x0003ffff,0xfffffff7,0x80dfffff,0xffffffe9,0xffffffff,
    0x7ffdc0ef,0x1fffffff,0x7fffffc4,0xfffffd02,0x7ffe4001,0xffff92ff,
    0xffffffff,0x005dffff,0x7ffffec4,0xffffffff,0x59bfffb2,0xd73ffff7,
    0x1fffffff,0xfffff900,0xdfffffff,0x3ffe0005,0x5fffffff,0x3fffffa2,
    0xfffffd06,0x7ffec001,0xfffc80ff,0xffe802ff,0xfff10fff,0x6c003fff,
    0x001fffff,0x1bffffea,0x3ffffa00,0x3ff6000f,0x3fea0fff,0x0003ffff,
    0xffffff88,0xffffffff,0x002fffff,0x7ffffdc0,0x7fffec04,0xffffffff,
    0x2e7fffff,0xffffffff,0xffffffff,0x3f24ffff,0xffffffff,0xffffffff,
    0x7e440003,0xffffffff,0xfdb7005f,0xffffffff,0x7ff4017d,0x26ffffff,
    0xfffffea8,0x3ffffa06,0x3ff6000f,0xfb730fff,0xffffffff,0x0005bfff,
    0xfffffda8,0x7fec2cee,0xffffffff,0xffffffff,0x754001ff,0xdfffffff,
    0x7fd40002,0xcfffffff,0xffffffdb,0xffffb02f,0x7ff4003f,0xfff907ff,
    0xffd005ff,0x7ffc1fff,0x36005fff,0x001fffff,0xffb00000,0x74003fff,
    0x7cc7ffff,0x006fffff,0x00000000,0xffffb800,0x3fff204f,0xffffffff,
    0x7fffffff,0x3fffffee,0xffffffff,0x24ffffff,0xfffffffc,0xffffffff,
    0x4c00000d,0x01aabcaa,0x55654c00,0xff500099,0x9fffffff,0xfffffffd,
    0x7ffec05f,0x3fa001ff,0x26207fff,0x09abcaaa,0xfff80000,0x7ffec01f,
    0xffffffff,0xffffffff,0x3fea0002,0x00003fff,0x3ffffff6,0xffffffff,
    0x3f206fff,0x2002ffff,0x906fffff,0x005fffff,0x41fffffd,0x0ffffffe,
    0xfffffb00,0x00000003,0x0bfffff2,0x6fffff80,0xfffffff8,0x00000002,
    0x7dc00000,0xf503ffff,0x37ffffff,0xfffffd01,0x7fffffdc,0xffffffff,
    0x24ffffff,0xfffffffc,0x2defffff,0x00000000,0x20000000,0xfffffffd,
    0xffffffff,0x7fe405ff,0x3e002fff,0x0006ffff,0x7c400000,0xffd807ff,
    0xffffffff,0xefffffff,0x7fc40002,0x00005fff,0x3fffff62,0xffffffff,
    0x7fdc04ff,0xf3005fff,0x320bffff,0x802fffff,0x20fffffe,0x5ffffff9,
    0xfffffb00,0x99988003,0xffb80009,0xf3005fff,0xf70bffff,0x03dfffff,
    0x4cc40000,0x00000099,0x0bfffff2,0x37ffffec,0x3fffff40,0xfffffff7,
    0xffffffff,0x649fffff,0xa9afffff,0x000001aa,0x00266662,0x99998800,
    0x7fe40000,0xffffffff,0x803fffff,0x05fffffb,0xbfffff30,0x99998800,
    0x3e600000,0xffd807ff,0xffffffff,0x02efffff,0x3fffa000,0x000601ff,
    0x3ffffff2,0x2fffffff,0xfffffa80,0xfffd801f,0xfff903ff,0xffd005ff,
    0xffd81fff,0x400effff,0x01fffffd,0x1fffffc0,0x7fffd400,0xffd801ff,
    0xffd03fff,0x005fffff,0x7fc00ae2,0x00003fff,0x3fffff60,0xffffff01,
    0xffffd003,0x3a20000f,0x3f21ffff,0x0002ffff,0x7fffc000,0x3e00003f,
    0x0003ffff,0xffffffc8,0x1effffff,0xfffff500,0xfffb003f,0xff8007ff,
    0x00003fff,0x8017ffee,0xfffedba9,0x001acdef,0xffffd800,0x27e443ff,
    0x7fffec00,0x0cefffff,0x3ffffa00,0x3ff201ff,0xf900ffff,0xd005ffff,
    0x881fffff,0xffffffff,0x7fec40ab,0x26001fff,0x000fffff,0xffffffd0,
    0x7fffe403,0xfff500ff,0x37bfffff,0x1ffedcc1,0x7ffffcc0,0xf1000000,
    0x260fffff,0x807fffff,0x07fffff8,0xffffd000,0xfffffc85,0x20000002,
    0x00fffff9,0xffff3000,0xf700001f,0xffffffff,0xe80019df,0x01ffffff,
    0x3ffffff2,0x3ffe6000,0x200000ff,0x0004fffc,0x003fffe6,0x3fea0000,
    0xfeffffff,0x2001ffff,0xcbdffff8,0x3ea0001a,0xceffffff,0xffffecba,
    0x3ff202ff,0xfe802fff,0xfc80ffff,0xffffffff,0xffffeeff,0x2a001fff,
    0x0006ffff,0x3fffffea,0xfecbacef,0x402fffff,0xfffffffe,0xffffffff,
    0xfa803fff,0x04006fff,0xfffff900,0x3fffe60d,0x3fe601ff,0x0007ffff,
    0x84ffffc8,0x02fffffc,0x3ea00000,0x00006fff,0x01bfffea,0x7ffff400,
    0x0001acba,0x7fffffd4,0xfecbacef,0x002fffff,0x037fffd4,0x3fff6000,
    0x3fea0003,0x0000007f,0x3ffffff6,0x6fffffff,0x3fffee00,0x7f400002,
    0xffffffff,0xffffffff,0x7fffe405,0xfffe802f,0xffe880ff,0xffffffff,
    0xffffffff,0x3ff2001f,0x740003ff,0xffffffff,0xffffffff,0xffe9805f,
    0xffffffff,0x3fffffff,0x3ffffc80,0x00b7e200,0x7ffffff9,0x3ffffe20,
    0xffff504f,0x8000ffff,0x80fffff8,0x02fffffc,0x3f200000,0x00003fff,
    0x00fffff2,0x3fffe200,0xfd000004,0xffffffff,0xffffffff,0xfff9000b,
    0xe800007f,0x20002fff,0x0005fffb,0x3ffa2000,0xffffffff,0xfb002fff,
    0x00000fff,0xfffffff3,0xffffffff,0xffc801df,0xfe802fff,0x2e00ffff,
    0xffffffff,0xffffffff,0x3fa001ff,0x40001fff,0xfffffff9,0xffffffff,
    0x3f2000ef,0xffffffff,0x3fffffff,0x1ffffe80,0x3fffe200,0xffedccce,
    0x7c05ffff,0xbdffffff,0xfffffeb9,0x40007fff,0x907ffffa,0x005fffff,
    0x7ff40000,0x200001ff,0x001ffffe,0x2ffffb80,0xff300000,0xffffffff,
    0x1dffffff,0xffffd000,0xff800003,0x320001ff,0x00004fff,0x7ffe4400,
    0xefffffff,0xffff1001,0x22000009,0xfffffffc,0x03ffffff,0x5fffff90,
    0xfffffd00,0xfffe9801,0xffffffff,0x000effff,0x001bfffe,0x7fffe440,
    0xffffffff,0xfd50003f,0xffffffff,0x005fffff,0x800dffff,0xfffffff8,
    0xffffffff,0x7ffdc00f,0xffffffff,0xffffffff,0x7fdc0007,0x3210afff,
    0x002fffff,0x3ffe0000,0x7c00006f,0x00006fff,0x000ffffb,0xfffc8800,
    0xffffffff,0x3e0003ff,0x00006fff,0x007fffc4,0x07fffd00,0x22000000,
    0xdeffffed,0x7ffdc003,0x4000002f,0xffffffd9,0x2000dfff,0x02fffffc,
    0x0fffffe8,0xfffdb700,0x7dffffff,0xfff98001,0x4c00004f,0xfffffffd,
    0x40000dff,0xffffecb8,0x00adffff,0x04ffff98,0x7ffffc40,0xffffffff,
    0xffd002ff,0xffffffff,0xffff3dff,0xffa8000f,0x94ffffff,0x005fffff,
    0x3fe60000,0x200004ff,0x004ffff9,0x5ffff880,0xb3000000,0xffffffff,
    0x4c0001bf,0x0004ffff,0x03fffcc0,0x0bfffe00,0x40000000,0x22000098,
    0x00001999,0x5654c400,0xff900009,0xfd005fff,0x0001ffff,0x266ab2a6,
    0x00000000,0x32a62000,0x0000009a,0x004d5544,0xf8800000,0xffffffff,
    0x000cffff,0x3fffffe6,0x88dfffff,0x0007ffff,0x7fffffc4,0xffff94ff,
    0x0000005f,0x00000000,0x33330000,0x00000001,0x01359531,0x00000000,
    0x00cccc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffdb8800,0x0ceeffff,0xfff91000,
    0x445bffff,0x0007ffff,0xffffffa8,0x9999954f,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x88000019,0x000aaca9,0x6dc40000,0x0001ceee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffec0,0x3ffe003f,0x018802ff,
    0xffb00110,0x400dffff,0x002fffff,0x200006a2,0xfffffffe,0x02bcdeef,
    0x33200000,0x3a3ccccc,0x801fffff,0x5ffffffb,0x35551000,0x03100000,
    0x7f400220,0x2000ffff,0x02fffffc,0xeeed8800,0x88003eee,0x004eeeed,
    0x0006a200,0xddb10000,0x3621bddd,0x01deeeee,0x77776c40,0xdddb10de,
    0x20003bdd,0x80000ab9,0xf907fffa,0x2a000dff,0xff907fff,0x7ffd40df,
    0xffffffff,0xffffffff,0x3fffff66,0xfff000ff,0xffc805ff,0xdffb102f,
    0x7fffec03,0xff001fff,0xc8805fff,0x80cffffe,0x3ffa00d9,0xffffffff,
    0x00bfffff,0x3ff60000,0x3a0dffff,0x401fffff,0xfffffff8,0xfffc8000,
    0x00001eff,0x2205fff9,0x7401effd,0x000fffff,0x0bfffff2,0xfffd1000,
    0x10007fff,0x9ffffffd,0x7f644000,0xd980cfff,0xfe880000,0xf10dffff,
    0x01dfffff,0xffffe880,0xffff10df,0x20001dff,0x002ffffd,0x1ffffc40,
    0x013fffe6,0x1ffffc40,0x813fffe6,0xfffffffa,0xffffffff,0x3f66ffff,
    0x03ffffff,0x05fffff0,0x0fffffdc,0x07ffffec,0xffffffd8,0xffff005f,
    0xfffe805f,0x30bfffff,0x3fa01dfd,0xffffffff,0xffffffff,0xfd800001,
    0xe83fffff,0x401fffff,0x2ffffffd,0xffffd800,0x0001ffff,0x0fffffdc,
    0x07ffffec,0x1fffffd0,0x7fffe400,0x3a20002f,0x01efffff,0xfffff980,
    0x0005ffff,0xfffffffd,0x3bfa617f,0x7fec0000,0x3fe63fff,0x0003ffff,
    0x47fffffb,0x3ffffff9,0x3ffee000,0x40000fff,0xfdeffffe,0x002fffff,
    0x3bffffa0,0x2ffffffd,0x3ffffea0,0xffffffff,0x26ffffff,0xfffffffd,
    0xffff800f,0x3fffa02f,0x7ffc44ff,0xffb02fff,0x03ffffff,0x05fffff0,
    0x7fffffe4,0xffffffff,0xfffd05ff,0xffffffff,0x1fffffff,0x7fec0000,
    0xfd01efff,0x5403ffff,0x04ffffff,0xbefffa80,0x0005fffd,0x27fffff4,
    0x3fffffe2,0x3ffffa02,0x3ff2000f,0x10002fff,0x09fffffd,0x3fffe600,
    0x5ffffecf,0x7fffe400,0xffffffff,0x0005ffff,0x87fffff6,0x1efffff9,
    0xffffb000,0x7fffcc3f,0x740001ef,0x02ffffff,0x7fffcc00,0x5fffffff,
    0x7ffcc000,0xffffffff,0x7fffd405,0xffffffff,0x6fffffff,0x3ffffff6,
    0xfff804ff,0x3ffe02ff,0x7fc44fff,0xfb02ffff,0x9fffffff,0x5fffff00,
    0x3ffffe60,0xfffffffe,0xfd00ffff,0xffffffff,0xffffffff,0xb00001df,
    0x01bfffff,0x0ffffff4,0xffffff88,0xfff90006,0x0007ffb8,0x27fffffc,
    0x3fffffe2,0x3ffffa02,0x3ff2000f,0x88002fff,0x02fffffe,0xfffff300,
    0x3ffff625,0xffff3005,0xffffffdf,0x001fffff,0x3bffff60,0x3ffffe60,
    0x3ff60004,0x3fe60eff,0x00004fff,0x5ffffffd,0xfff70000,0x1bffffff,
    0xfff70000,0x1bffffff,0xfffffa80,0xffffffff,0x26ffffff,0xfffffffd,
    0x7ffc00ff,0x3ff202ff,0xffe82fff,0xffb00fff,0x1fffffff,0x2fffff80,
    0x4c2ffea0,0xfffffffd,0x3fffa01f,0x3ae660ff,0x2fffffff,0x7ffec000,
    0xffe802ff,0xffb01fff,0x0003ffff,0xff317ff6,0x7e40001f,0xfe82ffff,
    0x3a00ffff,0x000fffff,0x0bfffff2,0x33332e00,0x9910000c,0x99701999,
    0x3ea00599,0xfffb30bf,0x003fffff,0x0f333260,0x00b33332,0x3cccc980,
    0x02ccccc8,0x3fff2000,0x00000fff,0xbffffd91,0xc8800005,0x02dffffe,
    0xffff9800,0xfffb005f,0x09ffffff,0x02fffff8,0x413fffa2,0x202fffe9,
    0xfffffffd,0x7ffc04ff,0x825402ff,0x1cffffd9,0x7fffff40,0x3fffee00,
    0x000004ff,0x3ffffa00,0xffffa81f,0x2e0003ff,0x3ff20fff,0x7f440007,
    0xffd304ff,0xfffe805f,0x3f2000ff,0x0002ffff,0x00000000,0x98254000,
    0x01cffffd,0x00000000,0x00000000,0x3fffa200,0x2000003f,0x00000009,
    0x30000026,0x00bfffff,0x3ffffff6,0x3e00ffff,0x9802ffff,0x00aa800a,
    0x7fffffec,0x3e00ffff,0x0002ffff,0x7f400330,0x6c00ffff,0x005fffff,
    0x3fa00000,0x7c41ffff,0x005fffff,0x6ffffcc0,0x0005fffe,0x55001530,
    0xffffd001,0x7fe4001f,0x00002fff,0x00000000,0x03300000,0x00000000,
    0x00000000,0x1cdb8000,0x00000000,0x00000000,0xfffff980,0xffffb005,
    0x09ffffff,0x017ffffc,0xfd800000,0xffffffff,0x3fffe03f,0x0000002f,
    0x1fffffd0,0xfffffb80,0xaaaa9807,0xaaaaaaaa,0xffffe801,0x7fffec1f,
    0xc80000ff,0xffffffff,0x00000000,0x7ffff400,0x3ff2000f,0x10002fff,
    0x00335553,0xaaa98800,0x00000019,0x00000000,0x2a200000,0x0000000a,
    0x88000000,0x000000aa,0x26000000,0x005fffff,0xfdbffffb,0x3e01ffff,
    0x0002ffff,0xb0001551,0xfffbffff,0x7ffc0dff,0x510002ff,0xffd00015,
    0xf9801fff,0xc807ffff,0xffffffff,0xe803ffff,0x2a1fffff,0x02ffffff,
    0x3ffea000,0x00000cff,0xfe800000,0x2000ffff,0x02fffffc,0xffffdb30,
    0x39dfffff,0xffed9800,0xefffffff,0x0000001c,0x3ffffa00,0x3ff2000f,
    0x98002fff,0xffffffdc,0x000001cd,0xc9800000,0xdffffffd,0x3ffa001c,
    0x32000fff,0x802fffff,0x05fffff9,0x5bffffb0,0x209fffff,0x002fffff,
    0xfffffb93,0xfb0039bf,0xfff7bfff,0x3ffe05ff,0xb93002ff,0x9bffffff,
    0xffffd003,0xfffb801f,0xffc805ff,0xffffffff,0xffe803ff,0xfff11fff,
    0x0000bfff,0x00026a20,0x7fffffe4,0xfffa8000,0x3fffa7ff,0x3f2000ff,
    0x4c02ffff,0xfffffffd,0x4fffffff,0xffffb300,0xffffffff,0xf90009ff,
    0x1fffffff,0xffffd000,0x7fe4001f,0x5c002fff,0xffffffff,0x8004ffff,
    0xffffffff,0xffffffff,0x805fffff,0xfffffffb,0x004fffff,0x01fffffd,
    0x7ffffe40,0xffff9802,0xfffb005f,0x3ffffabf,0xfffff80f,0xffffb802,
    0xffffffff,0x7fffec04,0x6fffff8d,0x05fffff0,0xffffff70,0x09ffffff,
    0x0fffffe8,0x7ffffec0,0xffffc804,0xffffffff,0xffffe803,0xfffff91f,
    0x6400001d,0xffffffff,0x3ffe2000,0xe8004fff,0x3a3fffff,0x000fffff,
    0x0bfffff2,0xffffffb8,0xffffffff,0xffb804ff,0xffffffff,0x04ffffff,
    0xfffffe80,0xe8002fff,0x000fffff,0x0bfffff2,0x7fffec40,0xffffffff,
    0x3e000dff,0xffffffff,0xffffffff,0x2205ffff,0xfffffffd,0xdfffffff,
    0x7ffff400,0x3ff2000f,0xf9802fff,0xb005ffff,0x3eabffff,0xff84ffff,
    0x36202fff,0xffffffff,0x0dffffff,0x2bffffb0,0x81fffffd,0x202fffff,
    0xffffffd8,0xffffffff,0xffffd00d,0x7ffe401f,0xfc801fff,0xffffffff,
    0xfe803fff,0xffa9ffff,0x0001ffff,0x7fffff40,0x64002fff,0x00ffffff,
    0x3ffffea0,0x7fffff47,0x3fff2000,0xfff502ff,0xffffffff,0x09ffffff,
    0xffffffa8,0xffffffff,0x44004fff,0xffffffff,0xffe8004f,0x32000fff,
    0x802fffff,0xfffffff9,0xffffffff,0xff001eff,0xffffffff,0xffffffff,
    0x3e60bfff,0xffffffff,0xffffffff,0x3fffa01e,0x3f2000ff,0x9802ffff,
    0x005fffff,0x74bffffb,0x7c0fffff,0xf302ffff,0xffffffff,0xffffffff,
    0xffffb03d,0x3ffffe6b,0x2fffff85,0xffffff30,0xffffffff,0xfd03dfff,
    0xa881ffff,0x4ffffffe,0x33333100,0x7fffffb3,0xfffffd00,0x7fffffd3,
    0xff880000,0x4fffffff,0x7fffc400,0x3fa003ff,0x7f43ffff,0x2000ffff,
    0x82fffffc,0xfffffff8,0xfeeeeeff,0x3e204fff,0xffffffff,0xfffeeeee,
    0x7fdc004f,0x7fffffff,0xffffe800,0x3ff2000f,0xfe802fff,0xffffffff,
    0xffffffff,0xffff005f,0xffffffff,0xffffffff,0x3fffa0bf,0xffffffff,
    0x5fffffff,0x3fffffa0,0x3fff2000,0xff9802ff,0xfb005fff,0x7fd4bfff,
    0x7ffc4fff,0xfffd02ff,0xffffffff,0xbfffffff,0x4bffffb0,0x41fffffd,
    0xd02fffff,0xffffffff,0xffffffff,0xfffd0bff,0xfffdddff,0x1dffffff,
    0xfff90000,0xffd007ff,0xffffdfff,0x700000df,0xffffffff,0xff9000ff,
    0x2a00ffff,0xe86fffff,0x000fffff,0x0bfffff2,0x3ffffff2,0x1edcc01d,
    0xffffff90,0x3db9803b,0x7fffec00,0x01ffffff,0x7fffff40,0x3fff2000,
    0x7fd402ff,0x11beffff,0xffffff95,0xffff003f,0xffffffff,0xffffffff,
    0xffff50bf,0x2a237dff,0xfffffffc,0xfffffd01,0x7ffe4001,0xff9802ff,
    0xfb005fff,0xffe8bfff,0x3ffe0fff,0xfffa82ff,0x511befff,0xfffffff9,
    0x5ffffd83,0x13ffffea,0x505fffff,0x7dffffff,0x3fff2a23,0x7f41ffff,
    0xffffffff,0x3fffffff,0x3ff20000,0xfe803fff,0xffffffff,0x800002ff,
    0xfffffffd,0x44001fff,0x03ffffff,0x3fffffe8,0x0fffffe8,0x3ffff200,
    0xffffe82f,0x7400005f,0x005fffff,0xffff8000,0x3fffffff,0x7ffff400,
    0x3ff2000f,0x7f402fff,0x200effff,0x5ffffffb,0xcccccc80,0xcccccccc,
    0x2fffffff,0xefffffe8,0x3fffee00,0xfffd05ff,0x7e4001ff,0x9802ffff,
    0x005fffff,0xa8bffffb,0x3e4fffff,0xfe82ffff,0x200effff,0x5ffffffb,
    0x22ffffec,0x20fffffe,0xe82fffff,0x00efffff,0x3fffffee,0x7fffff45,
    0xffffffff,0x400000ad,0x03fffffc,0xffffffe8,0x00ffffff,0x7fffc000,
    0x3fffffff,0xffffc800,0x7ffd406f,0xfffd06ff,0x7e4001ff,0xff82ffff,
    0x0002ffff,0x7fffffc0,0x54000002,0xffdfffff,0x74006fff,0x000fffff,
    0x0bfffff2,0xffffffb8,0xffffb800,0x800000ff,0x5ffffffb,0xffffffb8,
    0xffffb800,0xfffe80ff,0x3f2000ff,0x9802ffff,0x005fffff,0xd0bffffb,
    0x3e1fffff,0x7dc2ffff,0x800fffff,0x0ffffffb,0x717ffff6,0x7c9fffff,
    0x7dc2ffff,0x800fffff,0x0ffffffb,0x3ffffffa,0xefffffff,0xfc800001,
    0xe803ffff,0xffafffff,0x0005ffff,0x3ffffea0,0x06fffffd,0xfffff880,
    0x3fffa02f,0xfffd02ff,0x7e4001ff,0x7cc2ffff,0x002fffff,0x3fffe600,
    0x000002ff,0x47ffffe4,0x00ffffff,0x3fffffa0,0x3fff2000,0x3ffe02ff,
    0x3e003fff,0x004fffff,0x7fffc400,0xfff80fff,0x3e003fff,0xe84fffff,
    0x000fffff,0x0bfffff2,0x3ffffe60,0xffffb005,0xfffff70b,0x0bffffeb,
    0x07ffffff,0x7fffffc0,0x17ffff64,0x43fffffe,0x7c2fffff,0x003fffff,
    0x93fffffe,0xeefffffe,0xffffffff,0x7e400002,0xe803ffff,0xfb9fffff,
    0x002fffff,0xfffff900,0x1ffffff1,0xffff9000,0x3ffea0df,0x3ffa06ff,
    0x32000fff,0x442fffff,0x04ffffff,0x3ffe2000,0x00004fff,0xafffff40,
    0x02fffffd,0x3fffffa0,0x3fff2000,0xfff302ff,0x6c003fff,0x006fffff,
    0x7ffff400,0xfff982ff,0x36001fff,0xe86fffff,0x000fffff,0x0bfffff2,
    0x3ffffe60,0xffffb005,0x3ffffa0b,0x2fffff9f,0x3fffffe6,0x3fff6001,
    0x3fff66ff,0xffffc85f,0x5fffff3f,0x7fffffcc,0x3fff6001,0x3fffa6ff,
    0xfff510ff,0x0001ffff,0x7ffffe40,0xffffe803,0xfffffd1f,0xfd00001f,
    0x3ff6bfff,0x88002fff,0x82ffffff,0x02fffffe,0x03fffffa,0xfffffc80,
    0xffffff82,0x3e00003f,0x03ffffff,0xfff30000,0x3ffee7ff,0x3fa005ff,
    0x2000ffff,0x02fffffc,0x0dfffff7,0xfffffa80,0x3ee00007,0x704fffff,
    0x00dfffff,0x7fffffa8,0x0fffffe8,0x3ffff200,0xfff9802f,0xffb005ff,
    0x3fee0bff,0xffffdfff,0x3fffee2f,0x7fd4006f,0x3ff67fff,0xfff885ff,
    0xffff8eff,0x3fffee2f,0x7fd4006f,0x3ffa7fff,0x7fcc0fff,0x0005ffff,
    0x3fffff20,0xffffe803,0xfffff31f,0xf98000bf,0xff73ffff,0x2000bfff,
    0x46fffffc,0x06fffffa,0x07fffff4,0xfffff900,0xfffffb05,0x00005dff,
    0xfffffffb,0xb800005d,0xf31fffff,0x400fffff,0x00fffffe,0x3fffff20,
    0xfffffb02,0xfff88009,0x80000fff,0xfffffff8,0xfffffb00,0xfff88009,
    0x7ff40fff,0x32000fff,0x802fffff,0x05fffff9,0x0bffffb0,0x7ffffff4,
    0x3f62ffff,0x4004ffff,0x0ffffff8,0x20bffffb,0xfafffffd,0x3f62ffff,
    0x4004ffff,0x0ffffff8,0x01fffffd,0x3ffffff7,0x3ff20000,0xfe803fff,
    0x3f61ffff,0x002fffff,0x3ffffee0,0xffffff31,0x3ffe2000,0x3ffa1fff,
    0x7f402fff,0x2000ffff,0x81fffffd,0xfffffffb,0x0000bfff,0xfffffff7,
    0x00017fff,0x8fffffb0,0x01ffffff,0x1fffffd0,0x7fffe400,0xffffd02f,
    0xfff0007f,0x00003fff,0x5ffffffd,0x7fffff40,0xffff8003,0x7fff41ff,
    0x3f2000ff,0x9802ffff,0x005fffff,0x40bffffb,0xfffffffb,0x3ffa2fff,
    0xf8003fff,0xfb1fffff,0x3e60bfff,0xfffdffff,0x3fffa2ff,0xff8003ff,
    0xffd1ffff,0x3fa01fff,0x0005ffff,0x7fffff90,0xfffffd00,0x7ffffc43,
    0xfb0000ff,0xfff8ffff,0x90001fff,0x26bfffff,0x806fffff,0x01fffffd,
    0x3fffffa0,0xfffffb00,0x5bffffff,0xffffb000,0xbfffffff,0x3fe20005,
    0x7fe44fff,0xfd004fff,0x4001ffff,0x02fffffc,0x07ffffff,0xffffff00,
    0xffb80003,0x7c04ffff,0x003fffff,0x1ffffff8,0x07fffff4,0xfffff900,
    0xffff3005,0x3ff600bf,0x7ff405ff,0x2fffffff,0x0ffffffe,0x3ffffe00,
    0xbffffb1f,0x7ffffec0,0x3e2fffff,0x003fffff,0x1ffffff8,0x01fffffd,
    0x3fffffee,0xffc80001,0xfe803fff,0x7dc1ffff,0x005fffff,0x4fffff88,
    0x27ffffe4,0xffff8800,0xffffd8ff,0xfffc802f,0x3fe002ff,0x3e207fff,
    0xffffffff,0x003effff,0x3fffffe2,0xefffffff,0x7ffd4003,0x7ffd42ff,
    0xffd006ff,0x64001fff,0xf02fffff,0x005fffff,0x5fffffd0,0x7ffc4000,
    0x7c00efff,0x002fffff,0x2fffffe8,0x07fffff4,0xfffff900,0xffff3005,
    0x3ff600bf,0x7fdc05ff,0x2fffffff,0x0bfffffe,0x3ffffa00,0xbffffb2f,
    0x7ffffd40,0x3e2fffff,0x002fffff,0x2fffffe8,0x01fffffd,0x3fffffe2,
    0xffc80005,0xfe803fff,0xfe81ffff,0x003fffff,0x17ffffd4,0x1bffffea,
    0xffffc800,0x6fffffdf,0xfffff700,0x3ffe600b,0x7ec406ff,0xffffffff,
    0x000effff,0xffffffb1,0xdfffffff,0x3fff2001,0x7ffc40ff,0xfe800fff,
    0x2000ffff,0x02fffffc,0x03ffffff,0xfffffd00,0x7ff40007,0xf801ffff,
    0x001fffff,0x3fffffe8,0x07fffff4,0xfffff900,0xffff3005,0x3ff600bf,
    0xffe805ff,0x22ffffff,0x01ffffff,0xfffffe80,0x0bffffb3,0xffffffe8,
    0x3ffe2fff,0xe8001fff,0xfd3fffff,0x6401ffff,0x00ffffff,0x7fffe400,
    0xfffe803f,0xfff981ff,0x2000ffff,0x40fffffc,0x0ffffff8,0xffff1000,
    0x5fffffff,0x3fffea00,0xffd801ff,0xf7003fff,0xffffffff,0x005fffff,
    0x7fffffdc,0xffffffff,0xfffff802,0xfffffd06,0xffffd007,0x7fe4001f,
    0xfff02fff,0xb0003fff,0x007fffff,0x3ffffee0,0xffff004f,0xfb0003ff,
    0xfe87ffff,0x2000ffff,0x02fffffc,0x5fffff98,0xbffffb00,0xfffff700,
    0x7ffc5fff,0xd8001fff,0xfb3fffff,0xfb80bfff,0xffffffff,0x3fffffe2,
    0xfffd8001,0xffffd3ff,0x7ffc401f,0x40004fff,0x03fffffc,0x1fffffe8,
    0xffffff90,0x7fffc00b,0xffffd06f,0x7e40007f,0xffffffff,0x7fff4006,
    0x3f201fff,0x000fffff,0x7fffff54,0x0fffffff,0x7fff5400,0xffffffff,
    0x3ffe600f,0xfff904ff,0xffd00bff,0x64001fff,0xf02fffff,0x005fffff,
    0x7fffffd0,0xffff1000,0x7fc00dff,0x8002ffff,0x43fffffe,0x00fffffe,
    0x3fffff20,0xffff9802,0xfffb005f,0x3ffa00bf,0x3e2fffff,0x002fffff,
    0x3fffffe8,0x00bffffb,0xffffffff,0x7ffffc5f,0xffe8002f,0xfffd3fff,
    0xffd801ff,0x0000ffff,0x0ffffff2,0x3fffffa0,0x3ffffa01,0xff9803ff,
    0xff904fff,0x4000bfff,0xfffffff8,0x7dc002ff,0xceffffff,0xffffecba,
    0x260004ff,0xfffffffc,0x30006fff,0xfffffff9,0x7e40dfff,0xf301ffff,
    0xd00fffff,0x001fffff,0x17ffffe4,0x3fffffe8,0xfffff800,0xffd8002f,
    0x2001ffff,0x03fffffe,0xffffff80,0x7fffff42,0x3fff2000,0xffff52ff,
    0xffffffff,0xdfffffff,0x02ffffec,0xffffffb8,0x3ffffa2f,0xfff8003f,
    0xfffb2fff,0xfff900bf,0x745fffff,0x003fffff,0x2ffffff8,0x01fffffd,
    0xffffffa8,0x3ff20004,0xfe803fff,0x2a01ffff,0x0fffffff,0x7ffffe40,
    0xfffff301,0xffc8000f,0x006fffff,0xffffffd0,0xffffffff,0x0000dfff,
    0x7fffff54,0x40002fff,0xffffffea,0xfffd02ff,0xffff80ff,0x7ff402ff,
    0x32000fff,0xb02fffff,0x007fffff,0x5ffffff0,0xffffb800,0x7ec004ff,
    0x8003ffff,0x42ffffff,0x00fffffe,0x3fffff20,0xffffff52,0xffffffff,
    0x6cdfffff,0x2005ffff,0x2ffffffe,0x0ffffff6,0x3ffffe00,0xbffffb2f,
    0xfffff100,0x7fec5fff,0xf8003fff,0xfd2fffff,0xd001ffff,0x01ffffff,
    0x3ffff200,0xfffe803f,0x7fec01ff,0x7406ffff,0x7c07ffff,0x002fffff,
    0x3ffffe20,0xf30002ff,0xffffffff,0xdfffffff,0xf7000001,0x07ffffff,
    0x3ffee000,0xf883ffff,0x6c05ffff,0x404fffff,0x00fffffe,0x3fffff20,
    0xfffff902,0xfff88009,0x22001fff,0x06ffffff,0xfffffc80,0x7ffc4004,
    0x7ff41fff,0x32000fff,0xf52fffff,0xffffffff,0xffffffff,0x7ffecdff,
    0x3fee005f,0x3f22ffff,0x4004ffff,0x1ffffff8,0x00bffffb,0x3ffffff6,
    0x3ffff22f,0x7fc4004f,0xffd1ffff,0xf7001fff,0x007fffff,0x3fffff20,
    0xffffe803,0x7ffc401f,0xf103ffff,0xd80bffff,0x004fffff,0x7ffffe40,
    0x7ec40006,0xffffffff,0x000dffff,0x3ffea000,0x00005fff,0x3fffffea,
    0xfffffb85,0x9999999c,0x07fffffc,0x07fffff4,0xfffffb00,0x3fffee01,
    0x7fd4006f,0x6c007fff,0x01ffffff,0xfffffb80,0x7ffd4006,0xfffe87ff,
    0x3f6000ff,0xff50ffff,0xffffffff,0xffffffff,0x7fffecdf,0x7fff4005,
    0x3ffee2ff,0x7d4006ff,0x3f67ffff,0xf3005fff,0x45ffffff,0x06fffffb,
    0x7ffffd40,0x3fffffa7,0xfffff000,0x3f2000ff,0xe803ffff,0x801fffff,
    0xfffffffb,0xfffffb81,0x9999999c,0x07fffffc,0x7fffd400,0xb700005f,
    0xffffffff,0x0000019f,0x3fffffe0,0x7fc00006,0xfd86ffff,0xffffffff,
    0xffffffff,0x3f601fff,0x2001ffff,0x207ffffe,0x0ffffffa,0x3ffff200,
    0x3fee005f,0x0003ffff,0x1ffffff5,0x7fffe400,0xffffd85f,0x3ffa001f,
    0x3ffea7ff,0xffffffff,0xffffffff,0x7ec00006,0x3ea1ffff,0x000fffff,
    0x17fffff2,0x2a000000,0x00ffffff,0x3fffff20,0x00000005,0x3ffff200,
    0x0000003f,0xffffd800,0xffffffff,0xffffffff,0x3fea0001,0x00005fff,
    0xfffffb88,0x40000002,0x04fffffd,0x7ffec000,0xffff84ff,0xffffffff,
    0xffffffff,0x3fff203f,0x3fe002ff,0x3e206fff,0x003fffff,0x0ffffffe,
    0x7ffffc40,0x3e20006f,0x003fffff,0x0ffffffe,0x0bfffff2,0x6fffff80,
    0xfffb0000,0xe800005f,0x220fffff,0x03ffffff,0x3fffffe0,0x80000003,
    0x3ffffff8,0x3ffffe00,0x0000003f,0x3fff2000,0x000003ff,0xffff8000,
    0xffffffff,0xffffffff,0x3ea0003f,0x0005ffff,0x7ffffb00,0xf0000000,
    0x007fffff,0xfffff800,0x7fffcc3f,0xffffffff,0xffffffff,0x3ffee05f,
    0xff3005ff,0xfd80bfff,0x800effff,0x07fffffb,0x3fffff60,0x7ec0001f,
    0x800effff,0x07fffffb,0x0bfffff7,0x3ffffe60,0xffd80005,0x800003ff,
    0xd87fffff,0x00efffff,0x7fffffb8,0x99998800,0xfffd8000,0xfb800eff,
    0x4007ffff,0x00099998,0x3fff2000,0x880003ff,0x00009999,0xfffffff3,
    0xffffffff,0x0bffffff,0x7fffd400,0xb800005f,0x0005ffff,0x3ee00035,
    0x541fffff,0xfff70001,0xffc83fff,0xffffffff,0xffffffff,0xf500ffff,
    0x003fffff,0x07fffffb,0xffffff98,0x7fffd406,0xff7003ff,0x0007ffff,
    0xffffff30,0xffffa80d,0xfff503ff,0xfb003fff,0x0007ffff,0x05ffffa8,
    0xfffc8000,0xfff985ff,0x7d406fff,0x003fffff,0x03fffff8,0xfffff980,
    0x7ffd406f,0x7c003fff,0x0003ffff,0x3ffff200,0xff80003f,0x90003fff,
    0xffffffff,0xffffffff,0x01ffffff,0x3fffea00,0xf800005f,0x0001ffff,
    0x0137bff9,0x7ffffecc,0xbdffc87f,0x3ff66009,0xfe87ffff,0xeeeeffff,
    0xfeeeeeee,0x202fffff,0x1ffffffe,0x3fffff20,0xfffe800f,0x260aefff,
    0x6ffffffb,0xfffff100,0x740000df,0xaeffffff,0x3fffee60,0x7ff406ff,
    0x3201ffff,0x00ffffff,0x7ffff400,0x7dc00001,0xd04fffff,0x5dffffff,
    0x7fffdcc1,0xf98006ff,0x0000ffff,0xdffffffd,0x7ffdcc15,0x4c006fff,
    0x000fffff,0x3fff2000,0x4c0003ff,0x000fffff,0xdfffffd0,0xdddddddd,
    0xffffffdd,0x3fea0005,0x00005fff,0x07ffffcc,0xffffc800,0xffeeefff,
    0xffffffff,0xfffffc82,0xfffeeeff,0x2fffffff,0x27ffffc4,0x3ffff600,
    0x3ffea04f,0xbaceffff,0xffffffec,0xffff5002,0xffffffff,0x5fffffff,
    0x3ffff600,0xaaaaacff,0xaaaaaaaa,0xfffffa82,0xffffffff,0x02ffffff,
    0x7fffffd4,0xfecbacef,0x002fffff,0x7ffffcc0,0x6e440000,0xefffffff,
    0xfffff500,0xffffffff,0x05ffffff,0xdffff500,0x7ffd4000,0xffffffff,
    0xffffffff,0x7ffd4002,0x4000006f,0x03fffffc,0x7fffd400,0xfff10006,
    0xfd8009ff,0x0004ffff,0x0bfffff5,0xfffa8000,0x40010bff,0xfffffffc,
    0xffffffff,0xf904ffff,0xffffffff,0xffffffff,0xfff709ff,0xfb8005ff,
    0x7407ffff,0xffffffff,0xffffffff,0x7fec005f,0xffffffff,0x5fffffff,
    0xfffff500,0xffffffff,0xffffffff,0x3ffff60f,0xffffffff,0x005fffff,
    0xfffffffd,0xffffffff,0x30000bff,0x219fffff,0xfff88000,0x01ffffff,
    0x7fffffec,0xffffffff,0x90005fff,0x0007ffff,0xffffffd8,0xffffffff,
    0xc8005fff,0x0003ffff,0x6666664c,0xefffffec,0x02cccccc,0x03ffffc8,
    0xfffff700,0xfffb8005,0xf50007ff,0x000bffff,0xfffff980,0x32005fff,
    0xffffffff,0xffffffff,0x3ff205ff,0xffffffff,0xffffffff,0xfffffb05,
    0xfff98001,0x3e601fff,0xffffffff,0xefffffff,0xfffb8000,0xffffffff,
    0x2003ffff,0xfffffffb,0xffffffff,0x07ffffff,0x3fffffee,0xffffffff,
    0x3fe6003f,0xffffffff,0x0effffff,0xfff88000,0x006fffff,0xffffff88,
    0xff7004ff,0xffffffff,0x007fffff,0x0fffff40,0x7ffdc000,0xffffffff,
    0x0003ffff,0x003ffffd,0xfffffb80,0xffffffff,0x4fffffff,0x1ffffe80,
    0xffffb000,0xff98001f,0x8001ffff,0x05fffffa,0xfffe8000,0x2005ffff,
    0xfffffffc,0xffffffff,0x7fe402ef,0xffffffff,0x2effffff,0xbfffff10,
    0x3fffe000,0x7e4404ff,0xffffffff,0x0003ffff,0x7fffffcc,0x1effffff,
    0x7fffdc00,0xffffffff,0xffffffff,0x7ffcc07f,0xffffffff,0xc88001ef,
    0xffffffff,0x003fffff,0x7ffff400,0x88006fff,0x1dffffff,0x7fffcc00,
    0xffffffff,0x7fc0001e,0x200006ff,0xfffffff9,0x01efffff,0x1bfffe00,
    0x3ffee000,0xffffffff,0xffffffff,0xffff804f,0xfff10006,0x3e000bff,
    0x004fffff,0x5fffffa8,0xff980000,0x005fffff,0x3ffff6e6,0xffffffff,
    0xfb73002d,0xffffffff,0xa805bfff,0x003fffff,0xdfffff90,0x3fff6600,
    0x0dffffff,0xfd910000,0x9dffffff,0xfff70001,0xffffffff,0xffffffff,
    0xd9100fff,0xdfffffff,0xd9800019,0xffffffff,0x800000df,0xffffffe8,
    0xfff88006,0x220001de,0xffffffec,0x40000cef,0x004ffff9,0x7ff64400,
    0x0cefffff,0x3ffe6000,0xfb80004f,0xffffffff,0xffffffff,0x7cc04fff,
    0x50004fff,0x007fffff,0x3fffff20,0xfffa8006,0x000005ff,0x0b3bbb6e,
    0xaaa98800,0x00009abc,0xbcaaa988,0x3f20009a,0x0001ffff,0x1ffffff5,
    0xaca98800,0x80000009,0x0001aba8,0xffffffb8,0xffffffff,0x7fffffff,
    0x1aba8800,0x26200000,0x00009aca,0xddd97000,0x0060005b,0x57510000,
    0x00000003,0x75100000,0x00000035,0xfff70000,0xffffffff,0xffffffff,
    0x0000009f,0x0fffffe4,0xffffa800,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x00022003,
    0x09dddd70,0x01bdddb3,0x1deeed88,0x03eeeec8,0x08800c40,0x776c4000,
    0x000004ee,0xdddddb10,0xff90007d,0x01ffffff,0x3bae0000,0x00001dee,
    0x000055cc,0x008800c4,0x0006a200,0xeeeed980,0x000004ee,0x7776c400,
    0x20003eee,0x04eeeed8,0x55cc0000,0xffff7000,0xffffffff,0x0bffffff,
    0x3bb62000,0x0003eeee,0x03bdddd7,0x776c4000,0x262004ee,0xfff90001,
    0x3bff6205,0x3ff20001,0xfff50eff,0x3e6003ff,0xfb13ffff,0xc8009fff,
    0xfb102fff,0xd10003df,0x09ffffff,0xfe880000,0x003fffff,0xffffffd0,
    0x000005ff,0xfffffff9,0x3f600003,0x20002fff,0xb102fffc,0x22003dff,
    0x0cffffec,0xd1000d98,0x09ffffff,0x22000000,0x3ffffffe,0x3ffa2000,
    0x0004ffff,0x5ffffb00,0xfffff700,0xffffffff,0x00bfffff,0xffffd100,
    0x320007ff,0x1fffffff,0xffe88000,0xb804ffff,0x2000efff,0x81fffffb,
    0x00fffffd,0x3ffff200,0x1fffffdf,0x7fffcc00,0x4fffffdf,0x7fffdc00,
    0xffffd81f,0x3fe6000f,0x5fffffff,0xfd100000,0x003dffff,0x3ffffe20,
    0x0004ffff,0x7ffffe40,0x0001ffff,0x7fffffdc,0xfffb8000,0xfffd81ff,
    0xffe800ff,0x0bffffff,0x4001dfd3,0x4ffffffc,0x44000000,0x1efffffe,
    0x3ffe6000,0x05ffffff,0x7ffdc000,0x7dc00fff,0xffffffff,0xffffffff,
    0x7440005f,0x01efffff,0xfffff900,0x0003ffff,0x7fffffcc,0x3ee05fff,
    0x2006ffff,0x44fffffe,0x2ffffff8,0x7ffe4000,0x00efffff,0xffffd100,
    0x0009ffff,0x89fffffd,0x2ffffff8,0xfffff300,0x0bffffd9,0xffe88000,
    0x40004fff,0xfffffffb,0x200007ff,0xfceffffc,0x0001ffff,0x3ffffffa,
    0xfffe8002,0x7ffc44ff,0x7e402fff,0xffffffff,0x5fffffff,0x7fffcc00,
    0x000004ff,0xfffffd10,0xff980009,0xfffecfff,0x3a00005f,0x02ffffff,
    0x7fffffdc,0xffffffff,0x0005ffff,0x3fffffa2,0x3ff20004,0xffffceff,
    0xff98001f,0xfffecfff,0xffffd05f,0x3fe005ff,0x7c44ffff,0x002fffff,
    0xfffffb80,0x440000ef,0x3ffffffe,0xfffff000,0xffff889f,0xff9802ff,
    0xffb12fff,0x20000bff,0x2fffffe8,0xfffd8000,0x1fffffff,0xfffd8000,
    0xffff50df,0x3fa0005f,0x002fffff,0x4ffffff8,0x7fffffc4,0x3fffe602,
    0xffffffef,0x000fffff,0xfffffd88,0x44000003,0x02fffffe,0x7fffcc00,
    0xffffb12f,0x3fa0000b,0x402fffff,0xfffffffb,0xffffffff,0x10005fff,
    0x05fffffd,0x7fffec00,0xfffff50d,0x7ffcc005,0xfffb12ff,0xfffff0bf,
    0x3f2007ff,0xfe82ffff,0x0000ffff,0x19999950,0x33220000,0x20002ccc,
    0x82fffffc,0x00fffffe,0x06666644,0x0166665c,0x66665c00,0xff00000c,
    0xffffffff,0xca80007f,0xcc883ccc,0xc8000ccc,0x00ffffff,0xfffffc80,
    0xfffffe82,0x85ffd400,0xffffffd9,0x5c0001ff,0x001ccccc,0x3332e000,
    0x440000cc,0xb80ccccc,0x0002cccc,0xffffffc8,0x7fffdc00,0x999999df,
    0x00999999,0x99999700,0x66540001,0xccc883cc,0xcc8800cc,0xccb80ccc,
    0x7fff42cc,0xd1002fff,0x3a609fff,0x00002fff,0x00000000,0x7ff44000,
    0xfffd304f,0x00000005,0x00000000,0xbfffff50,0x00dfffff,0x00000000,
    0x7ffffd10,0x3ffa2000,0xfffd304f,0x4c12a005,0x01cffffd,0x00000000,
    0x00000000,0x80000000,0x03ffffe8,0x4fffffb8,0x00000000,0x00000000,
    0xa8000000,0x006fffff,0xaa800a98,0x00000000,0x00000000,0x2a002a60,
    0x0000000a,0x00000000,0xfffff900,0x1ffffff1,0x00000000,0x0736e000,
    0x002a6000,0x000002aa,0x00000066,0x00000000,0x00000000,0x66dc0000,
    0xffff7001,0x0000009f,0x00000000,0x00000000,0x037ffee0,0x00000000,
    0x2aaa2000,0x31000009,0x00033555,0x00000000,0x00000000,0x3ffa0000,
    0xffffb5ff,0x4000005f,0x0009aaa8,0x00000000,0x00000000,0x2a200000,
    0x8000000a,0x00000aa8,0x000aa880,0x70000000,0x009fffff,0x2a200000,
    0x000009aa,0x266aaa66,0x00000000,0x00000260,0x44000000,0xfffffdca,
    0x000bdfff,0xfffffdb3,0x039dffff,0x74000000,0x000fffff,0x0bfffff2,
    0x01fffffd,0x7ffffe40,0x7fffcc02,0xfffff73f,0x2a20000b,0xffffffdc,
    0x0000bdff,0x00000000,0x00000000,0x3ff72600,0x01cdffff,0xffdc9800,
    0x01cdffff,0xffdc9800,0x01cdffff,0x70000000,0x009fffff,0xb9510000,
    0xffffffff,0xda80017b,0xffffffff,0x3201bdff,0xffffffff,0xffffffff,
    0x4000000f,0xfffffffc,0x2e00000f,0xffffffff,0x03ffffff,0x7ffffecc,
    0xffffffff,0x7ffdc04f,0xffffffff,0x5fffffff,0x07fffff4,0xfffff900,
    0xfffffe85,0x3fff2000,0x7fdc02ff,0xfff31fff,0x70000fff,0xffffffff,
    0x07ffffff,0x3fffffee,0xffffffff,0xfa85ffff,0xffffffff,0xffffffff,
    0x7ffec6ff,0x3e006fff,0xb802ffff,0xffffffff,0x0004ffff,0x3fffffee,
    0x04ffffff,0x3fffee00,0xffffffff,0x3ffea004,0xffffffff,0xffffffff,
    0x9fffff76,0xfb800000,0xffffffff,0x003fffff,0xffffffd3,0xffffffff,
    0x3fff201f,0xffffffff,0x00ffffff,0x7ff40000,0x02ffffff,0xfffd8800,
    0xffffffff,0x2e03ffff,0xffffffff,0xffffffff,0x7fffdc04,0xffffffff,
    0x45ffffff,0x00fffffe,0x3fffff20,0x7fffff42,0x3fff2000,0x7fec02ff,
    0x7fffc7ff,0xb10001ff,0xffffffff,0x7fffffff,0x3ffffee0,0xffffffff,
    0xa85fffff,0xffffffff,0xffffffff,0x7fec6fff,0x001fffff,0x405fffff,
    0xffffffd8,0xffffffff,0x3f62000d,0xffffffff,0x00dfffff,0x3ffff620,
    0xffffffff,0xfa800dff,0xffffffff,0xffffffff,0xffff76ff,0x2000009f,
    0xffffffd8,0xffffffff,0xfffb803f,0xffffffff,0x00ffffff,0xfffffff9,
    0xffffffff,0xeeec81ff,0xff10001e,0x9fffffff,0xffe98000,0xffffffff,
    0x03ffffff,0xfffffff5,0xffffffff,0xffb809ff,0xffffffff,0xffffffff,
    0x7fffff45,0x3fff2000,0x7fff42ff,0x3f2000ff,0x2202ffff,0x644fffff,
    0x004fffff,0xfffffe98,0xffffffff,0xff703fff,0xffffffff,0xffffffff,
    0xfffff50b,0xffffffff,0x8dffffff,0xfffffffd,0xfffff005,0x3fffe605,
    0xffffffff,0x01efffff,0xffffff98,0xffffffff,0x9801efff,0xffffffff,
    0xffffffff,0x7fd401ef,0xffffffff,0xffffffff,0xfffff76f,0xd3000009,
    0xffffffff,0xffffffff,0x7fff4407,0xffffffff,0x0fffffff,0xffffff90,
    0xffffffff,0xffe81fff,0xf70002ff,0xffffffff,0x7fcc000f,0xffffffff,
    0xffffffff,0xfffff883,0xeeeeffff,0x404ffffe,0xfffffffb,0xffffffff,
    0x7ff45fff,0x32000fff,0x742fffff,0x000fffff,0x0bfffff2,0x2fffffa8,
    0x37ffffd4,0x3fffe600,0xffffffff,0x03ffffff,0xfffffff7,0xffffffff,
    0xff50bfff,0xffffffff,0xffffffff,0xffffd8df,0xf801ffff,0xfd02ffff,
    0xffffffff,0xffffffff,0xfffd00bf,0xffffffff,0xbfffffff,0xfffffd00,
    0xffffffff,0x80bfffff,0xfffffffa,0xffffffff,0xff76ffff,0xddddffff,
    0xdddddddd,0x7fffcc01,0xffffffff,0x03ffffff,0xfffffff1,0xffffffff,
    0x201fffff,0xfffffffc,0xffffffff,0x7fff40ff,0xffb0002f,0xffffffff,
    0x3ffa0003,0x9bdfffff,0x7ffb5310,0xffffff90,0x3db9803b,0x7ffffdc0,
    0xffffffff,0x745fffff,0x000fffff,0x0bfffff2,0x01fffffd,0x7ffffe40,
    0x3ffff202,0x7fffc40f,0x3fa000ff,0xbdffffff,0xffb53109,0x3fffee07,
    0xffffffff,0x85ffffff,0xfffffffa,0xffffffff,0x7ec6ffff,0x4fffffff,
    0x2fffff80,0xffffffa8,0xff9511be,0x403fffff,0xeffffffa,0xfff9511b,
    0x5403ffff,0xbeffffff,0xffff9511,0x7d403fff,0xffffffff,0xffffffff,
    0xffff76ff,0xffffffff,0x01ffffff,0x7ffffff4,0x53109bdf,0x3f207ffb,
    0xceffffff,0x3f2a620a,0xf00000ff,0xe81fffff,0x0002ffff,0xffffffff,
    0x50007fff,0x5fffffff,0x3a0aa200,0x005fffff,0xffffb800,0x999999df,
    0x40999999,0x00fffffe,0x3fffff20,0x7fffff42,0x3fff2000,0x3ffe02ff,
    0xfffd06ff,0x3ea007ff,0x02ffffff,0x3ee05510,0x999dffff,0x99999999,
    0x7fcc0009,0x36005fff,0xffffffff,0x7fffc00f,0xffffe82f,0x3fee00ef,
    0x3a05ffff,0x00efffff,0x3fffffee,0x3ffffa05,0x3fee00ef,0x0005ffff,
    0x0bfffff3,0xffffff70,0xffffffff,0x2a01ffff,0x2fffffff,0xf3055100,
    0x0bffffff,0x0000c980,0x1ffffff0,0x03fffff8,0xfffffa80,0x06fffffd,
    0xfffffe80,0xff00001f,0x0005ffff,0xfffff700,0xffd00009,0x64001fff,
    0x742fffff,0x000fffff,0x0bfffff2,0x27ffffcc,0x5fffffc8,0xfffffd00,
    0x5c00003f,0x004fffff,0xfff98000,0x3f6005ff,0xffffffff,0x7ffffc04,
    0x7ffffdc2,0xfffb800f,0xffb80fff,0xb800ffff,0x80ffffff,0x0ffffffb,
    0xfffffb80,0xff98000f,0xfb805fff,0xffffffff,0xffffffff,0xffffd00f,
    0x200003ff,0x3ffffffd,0x80000000,0x40ffffff,0x003fffff,0x8fffffc8,
    0x00ffffff,0x3ffffee0,0xf300002f,0x005fffff,0xffff7000,0xfd00009f,
    0x4001ffff,0x42fffffc,0x00fffffe,0x3fffff20,0xfffff902,0x3fffe603,
    0xfffb807f,0x00002fff,0x27ffffdc,0x7cc00000,0x2005ffff,0xfffffffd,
    0x3fe00fff,0x7ffc2fff,0x3e003fff,0xf84fffff,0x003fffff,0x13fffffe,
    0x0ffffffe,0xffffff80,0xfff98004,0xffb805ff,0xffffffff,0xffffffff,
    0xfffffb80,0xf500002f,0x009fffff,0x3e000000,0x7c0fffff,0x8003ffff,
    0xfb5ffffe,0x4005ffff,0x07ffffff,0x3ffe2000,0x00004fff,0x4fffffb8,
    0xfffe8000,0x3f2000ff,0x7f42ffff,0x2000ffff,0x02fffffc,0x80fffffd,
    0x02ffffff,0x3ffffffc,0x7fdc0000,0x00004fff,0xfffff980,0x3fff6005,
    0x3fffffff,0x8bffffe0,0x1ffffff9,0x3ffff600,0x7fffcc6f,0x3f6001ff,
    0x7cc6ffff,0x001fffff,0x1bfffff6,0x3fffe600,0xfffb805f,0xf00004ff,
    0x00ffffff,0x7ffff400,0x000000ff,0xfffff000,0xfffff81f,0x7ffcc004,
    0xffff73ff,0x3fe200bf,0x0003ffff,0x7fffffc0,0x5c00003f,0x004fffff,
    0xfffffe80,0x3fff2000,0x7fff42ff,0x3f2000ff,0xf882ffff,0x6c05ffff,
    0x204fffff,0x3ffffff8,0xffb80000,0x00004fff,0xfffff980,0x3fff6005,
    0x6fffffdf,0x8bffffe0,0x06fffffb,0x7ffffd40,0x7ffffdc7,0x7ffd4006,
    0x7ffdc7ff,0x7d4006ff,0x8007ffff,0x05fffff9,0x4fffffb8,0xfff88000,
    0x00003fff,0x13fffffe,0x80000000,0x20ffffff,0x04fffff8,0x7ffffdc0,
    0xffffff31,0x3fffe600,0x400000ff,0xfffffffd,0xf700002e,0x0009ffff,
    0x1fffffd0,0x7fffe400,0x7ffff42f,0x3ff2000f,0xffb82fff,0x9999cfff,
    0xffffc999,0x3ffe607f,0x00000fff,0x4fffffb8,0xf9800000,0x2005ffff,
    0xfbdffffd,0xff02ffff,0x7fec5fff,0x44004fff,0x20ffffff,0x04fffffd,
    0x7ffffc40,0x3ffff60f,0x7fc4004f,0x4000ffff,0x05fffff9,0x4fffffb8,
    0xfff98000,0x00000fff,0x1ffffff1,0x00000000,0x07fffffc,0x09fffff1,
    0x7ffffd80,0x0ffffffc,0x7ffffd40,0xfb800007,0xffffffff,0x2e0000bf,
    0x004fffff,0xfffffe80,0x3fff2000,0x7fff42ff,0x3f2000ff,0xfd82ffff,
    0xffffffff,0xffffffff,0xff501fff,0x0000ffff,0x3ffffee0,0x98000004,
    0x005fffff,0x237ffff6,0xf06fffff,0x7f45ffff,0x8003ffff,0x21ffffff,
    0x03fffffe,0xffffff80,0x3fffffa1,0xffff8003,0x7cc001ff,0xb805ffff,
    0x004fffff,0xfffffa80,0x3e600007,0x0007ffff,0x7fc00000,0x3e20ffff,
    0x2004ffff,0x44fffff8,0x04fffffc,0x6fffffb8,0xffb00000,0xffffffff,
    0xf70005bf,0x0009ffff,0x1fffffd0,0x7fffe400,0x7ffff42f,0x3ff2000f,
    0xfff82fff,0xffffffff,0xffffffff,0xfff703ff,0x00000dff,0x13ffffee,
    0x3e600000,0x2005ffff,0xfb5ffffd,0xff03ffff,0x7ffc5fff,0xf8003fff,
    0x3e1fffff,0x003fffff,0x1ffffff8,0x0ffffffe,0x3ffffe00,0x7fcc001f,
    0xfb805fff,0x0004ffff,0x6fffffb8,0x3fea0000,0x2aa06fff,0xaaaaaaaa,
    0xff00000a,0x7c41ffff,0x2005ffff,0x42fffffa,0x06fffffa,0x5fffffd8,
    0xff100000,0xffffffff,0x4007dfff,0xeffffffb,0xeeeeeeee,0x7ff40eee,
    0x32000fff,0x742fffff,0x000fffff,0x0bfffff2,0xfffffff3,0xffffffff,
    0x0bffffff,0x17fffff6,0x7fdc0000,0xeeeeffff,0xeeeeeeee,0x7ffcc000,
    0x3f6005ff,0xfff35fff,0xffff0bff,0x7ffffc5f,0xffe8002f,0x3ffe2fff,
    0xe8002fff,0x3e2fffff,0x002fffff,0x2fffffe8,0x7fffcc00,0xfffb805f,
    0xd80004ff,0x005fffff,0x3fffee00,0xffff105f,0x3fffffff,0x3ffe0000,
    0x3fe60fff,0x32005fff,0x440fffff,0x00ffffff,0x27fffff4,0xfb100000,
    0xffffffff,0x001dffff,0xfffffff7,0xffffffff,0xffe81fff,0x32000fff,
    0x742fffff,0x000fffff,0x0bfffff2,0xfffffff9,0xffffffff,0x1fffffff,
    0x9fffffd0,0x3ee00000,0xffffffff,0xffffffff,0x7fcc000f,0x36005fff,
    0x3f65ffff,0x7fc1ffff,0x3ffe2fff,0xe8001fff,0x3e3fffff,0x001fffff,
    0x3fffffe8,0x07fffffe,0x3ffffa00,0x7fcc003f,0xfb805fff,0x0004ffff,
    0x4fffffe8,0x3ff60000,0xff104fff,0xffffffff,0x3e00003f,0x260fffff,
    0x005fffff,0x41bffffe,0x03fffffe,0x27fffffc,0x7dc00000,0xffffffff,
    0x402fffff,0xfffffffb,0xffffffff,0x7ff40fff,0x32000fff,0x742fffff,
    0x000fffff,0x0bfffff2,0xddfffffd,0xdddddddd,0x5ffffffd,0x9ffffff0,
    0x3ee00000,0xffffffff,0xffffffff,0x7fcc000f,0x36005fff,0x3ea5ffff,
    0x7fc4ffff,0x3ffe2fff,0xd8001fff,0x3e3fffff,0x001fffff,0x3fffffd8,
    0x07fffffe,0x3ffff600,0x7fcc003f,0xfb805fff,0x0004ffff,0x4ffffff8,
    0x3ffa0000,0xff104fff,0xffffffff,0x3e00003f,0x260fffff,0x006fffff,
    0x09fffff3,0x17fffff2,0xbfffffd0,0x54000000,0xfffffffe,0x200fffff,
    0xfffffffb,0xffffffff,0x7ff40fff,0x32000fff,0x742fffff,0x000fffff,
    0x8bfffff2,0x04fffff8,0x7ffffec0,0xfffffe84,0xf7000005,0xffffffff,
    0xffffffff,0xff98001f,0x36005fff,0x7f45ffff,0x3fe0ffff,0x3ffe2fff,
    0xe8002fff,0x3e3fffff,0x002fffff,0x3fffffe8,0x0bfffffe,0x3ffffa00,
    0x7fcc003f,0xfb805fff,0x0004ffff,0x5fffffe8,0x3ff60000,0xff104fff,
    0xffffffff,0x3e00003f,0x2a0fffff,0x006fffff,0x03fffff9,0x1fffffe6,
    0xdfffffb0,0x30000000,0xfffffff9,0x7dc0dfff,0xffffffff,0xffffffff,
    0x7ffff40f,0x3ff2000f,0x7ff42fff,0x32000fff,0x2e2fffff,0x002fffff,
    0x3fffffdc,0x37ffffec,0xffb80000,0xffffffff,0xffffffff,0x7ffcc000,
    0x3f6005ff,0x7fdc5fff,0x3ffe4fff,0x3fffa2ff,0xff8003ff,0x3fa2ffff,
    0x8003ffff,0x22ffffff,0x03fffffe,0xffffff80,0x7ffcc002,0xffb805ff,
    0xffffffff,0xffffffff,0x7ffffec5,0x3f200006,0x2a05ffff,0xfffeaaaa,
    0xf00001ff,0x541fffff,0x006fffff,0x80fffffd,0x02ffffff,0x1ffffff2,
    0x50000000,0xfffffffd,0x3ffee05f,0xe80004ff,0x000fffff,0x0bfffff2,
    0x01fffffd,0x7ffffe40,0x3fffff62,0x7ffcc000,0x7fe41fff,0x00007fff,
    0x9fffff70,0xf3000000,0x400bffff,0xf85ffffd,0xff0fffff,0x7fec5fff,
    0xf8003fff,0x362fffff,0x003fffff,0x2ffffff8,0x0ffffff6,0x3ffffe00,
    0x7fcc002f,0xfb805fff,0xffffffff,0xffffffff,0x7fffe45f,0x2e00007f,
    0x006fffff,0x0fffffec,0xffff8000,0x3ffea0ff,0xff8806ff,0x7ec05fff,
    0x2e04ffff,0x007fffff,0xf7000000,0x07ffffff,0x13ffffee,0x3fffa000,
    0x3f2000ff,0x7f42ffff,0x2000ffff,0x12fffffc,0x00bfffff,0x3fffffe0,
    0x7ffffdc4,0xf7000007,0x0009ffff,0xffff3000,0x7fec00bf,0xfffc85ff,
    0xfffff3ff,0x7ffffe45,0x7ffc4004,0x3ff21fff,0x44004fff,0x21ffffff,
    0x04fffffc,0x7ffffc40,0x7fcc001f,0xfb805fff,0xffffffff,0xffffffff,
    0x7fffdc5f,0x2600007f,0x007fffff,0x0fffffec,0xffff8000,0x3ffea0ff,
    0xffb807ff,0x9999cfff,0xffffc999,0x3ffea07f,0x00003fff,0xfff50000,
    0x3ee0bfff,0x0004ffff,0x0fffffe8,0x3ffff600,0x7ffff40f,0x3ff6000f,
    0xfff50fff,0x320007ff,0x546fffff,0x03ffffff,0xfffb8000,0x000004ff,
    0x5fffff98,0x3ffff600,0xfffff885,0x2fffff8e,0x1bffffee,0xfffff500,
    0xfffffb8f,0x7ffd4006,0x7ffdc7ff,0x7d4006ff,0x8007ffff,0x05fffff9,
    0xffffffb8,0xffffffff,0x7d45ffff,0x003fffff,0xfffff100,0x7fec003f,
    0x00001fff,0x41ffffff,0x07fffffb,0xffffffd8,0xffffffff,0x01ffffff,
    0xdffffff3,0x00000000,0x37fffffc,0x4fffffb8,0xfffd8000,0x3fa001ff,
    0xffd87fff,0x3a001fff,0x3f27ffff,0x0001ffff,0x1ffffff5,0x7fffffcc,
    0xfb800006,0x0004ffff,0xffff9800,0x3ff6005f,0xfffb05ff,0xfffff5ff,
    0x7ffffd45,0x3ff2000f,0x7fd45fff,0x2000ffff,0x45fffffc,0x0ffffffa,
    0x3ffff200,0xff98005f,0xfb805fff,0xffffffff,0xffffffff,0x7fffcc5f,
    0x200006ff,0x05ffffff,0x3fffff60,0xff880001,0x7fdc7fff,0xff807fff,
    0xffffffff,0xffffffff,0x3fe03fff,0x002fffff,0xfb000000,0x2e09ffff,
    0x004fffff,0xfffffc80,0x3fffe002,0xffffc86f,0x3ffe002f,0x000006ff,
    0x40fffff6,0x2fffffff,0x7fdc0000,0x00004fff,0xfffff980,0x3fff6005,
    0xffff305f,0x5fffffbf,0x7fffffc4,0x3fffe003,0x7ffc43ff,0x3e003fff,
    0x443fffff,0x03ffffff,0x3fffffe0,0xfff98003,0x000005ff,0x03ffffd1,
    0x5fffffff,0x3ffa0000,0xb000ffff,0x003fffff,0xfffff300,0xfffffb8d,
    0x7fffcc07,0xffffffff,0xffffffff,0x3ffee05f,0x0001efff,0xfff80000,
    0xff703fff,0x00009fff,0x0bfffff7,0x3ffffe60,0xfffffb85,0xffff3005,
    0x200000bf,0x203ffffc,0xeffffffb,0x3ee00001,0x0004ffff,0xffff9800,
    0x3ff6005f,0x3ff605ff,0xffffffff,0x7ffffec2,0xfffb800e,0xfffb07ff,
    0xf7001dff,0x360fffff,0x00efffff,0x7fffffb8,0xffff3000,0x200000bf,
    0x702ffffe,0x3dffffff,0xfff30000,0x3600bfff,0x001fffff,0xfffffb80,
    0x7ffffe45,0x3fff200f,0xffffffff,0xffffffff,0x3fa00fff,0x02ffffff,
    0x01a85710,0xfffff700,0x3ffee03f,0xa80004ff,0x01ffffff,0x3fffffd8,
    0xffffffa8,0xffffd801,0xa800003f,0xe806ffff,0x2fffffff,0x2e057100,
    0x004fffff,0xfff98000,0x3f6005ff,0x3ea05fff,0xffffffff,0x7fffcc2f,
    0x7fd406ff,0xf303ffff,0x80dfffff,0x3ffffffa,0xffffff30,0xffffa80d,
    0xf30003ff,0x000bffff,0x9ffff700,0xfffffe80,0x571002ff,0xffffffb0,
    0xfffd801d,0x001701ff,0x9ffffff1,0xffffffc8,0x3ffffa00,0xeeeeeeef,
    0xffffeeee,0x3fea02ff,0xbdffffff,0x3ff6e609,0x4deffe43,0x3fff6600,
    0x3ee07fff,0x0004ffff,0xffffffd0,0x7fffe403,0xfffd00ff,0x7e403fff,
    0x000fffff,0xffffe800,0xffffa802,0x09bdffff,0x40fff6e6,0x04fffffb,
    0xff980000,0x36005fff,0x7405ffff,0xffffffff,0xffffe82f,0x2e60aeff,
    0x06ffffff,0x7ffffff4,0x3fee60ae,0x7406ffff,0xaeffffff,0x3fffee60,
    0x260006ff,0x005fffff,0x7fffc400,0x7ffd400f,0x9bdfffff,0x0fff6e60,
    0x3fffffe2,0x6c40abff,0xb01fffff,0x3fa6039f,0x542fffff,0x00cccccc,
    0x09fffff1,0xfffffd80,0x7ffff404,0xffffffff,0x43ffffff,0xfffffffc,
    0xfffffeee,0x202fffff,0x04fffffb,0xffff5000,0x9759dfff,0x5ffffffd,
    0x7ffffd40,0xecbaceff,0x02ffffff,0xfff88000,0xffd001ff,0xffffffff,
    0xffffffff,0x3fffee07,0x8000004f,0x05fffff9,0x17ffff60,0xffffff70,
    0xff505fff,0xffffffff,0xffffffff,0xfffa805f,0xffffffff,0xffffffff,
    0x7fffd402,0xffffffff,0x2fffffff,0x3ffe6000,0x400005ff,0x007ffffa,
    0xfffffffd,0xffffffff,0x3f207fff,0xffffffff,0xffffeeff,0xffb01fff,
    0xffb99bff,0x00bfffff,0x3fffee00,0x7fdc002f,0x74c07fff,0xffffffff,
    0xffffffff,0x7fffe43f,0xffffffff,0x4fffffff,0x7ffffdc0,0xffffffff,
    0xd05fffff,0xffffffff,0xffffffff,0xfffd00bf,0xffffffff,0x0bffffff,
    0x3fe60000,0x4010cfff,0xffffffe9,0xffffffff,0xff703fff,0xffffffff,
    0xffffffff,0xfffff50b,0xffffffff,0x8dffffff,0x805ffffd,0xffffffff,
    0xffffb02f,0xffffffff,0x00bfffff,0x3ffffff6,0xffffffff,0xfb005fff,
    0xffffffff,0xffffffff,0xffff500b,0xffffffff,0xdfffffff,0xffff5000,
    0x74c0217f,0xffffffff,0xffffffff,0xfffd103f,0xffffffff,0xffffffff,
    0x3ffff603,0xffffffff,0x00000fff,0x01fffffb,0xfffff980,0xfffc801f,
    0xffffffff,0x643fffff,0xffffffff,0xffffffff,0xffb805ff,0xffffffff,
    0xffffffff,0xfffff305,0xffffffff,0x3001dfff,0xffffffff,0xffffffff,
    0x2000001d,0xfffffff8,0xfffc806f,0xffffffff,0x703fffff,0xffffffff,
    0xffffffff,0xfff50bff,0xffffffff,0xffffffff,0x5ffffd8d,0xfffffc80,
    0x3ee02fff,0xffffffff,0x03ffffff,0x7ffffdc0,0xffffffff,0x7dc003ff,
    0xffffffff,0x03ffffff,0xffffff50,0xffffffff,0x00dfffff,0xffffff30,
    0xffc809ff,0xffffffff,0x03ffffff,0x7fffffdc,0xffffffff,0xfb01ffff,
    0xffffffff,0x007fffff,0x3fffe200,0xfff0005f,0x2a009fff,0xfffffffe,
    0x2fffffff,0x7fffffe4,0xffffffff,0xf7002eff,0xffffffff,0xffffffff,
    0x7fe440bf,0xffffffff,0x44003fff,0xfffffffc,0x03ffffff,0xffd80000,
    0x006fffff,0xffffffd5,0xffffffff,0x3fffee05,0xffffffff,0x85ffffff,
    0xfffffffa,0xffffffff,0x7ec6ffff,0xf8805fff,0x2fffffff,0x7ffffcc0,
    0xefffffff,0xfff30001,0xffffffff,0x260003df,0xffffffff,0x001effff,
    0x3fffffea,0xffffffff,0x006fffff,0xfffffe88,0xfea804ff,0xffffffff,
    0x802fffff,0xffffffe9,0xffffffff,0xfffb00ef,0xffffffff,0x400003df,
    0x03fffffa,0xfffff900,0x765c400d,0xffffffff,0xfdb980ad,0xffffffff,
    0x4002dfff,0xfffffffb,0xffffffff,0xd9805fff,0xffffffff,0x260000df,
    0xfffffffd,0x00000dff,0xffffd100,0x5c400dff,0xffffffec,0x2e00adff,
    0xffffffff,0xffffffff,0xfffa85ff,0xffffffff,0xffffffff,0x2ffffec6,
    0xfffffd80,0xec8802ff,0xefffffff,0x6440000c,0xfffffffe,0x440000ce,
    0xffffffec,0x54000cef,0xffffffff,0xffffffff,0x30006fff,0x9fffffff,
    0x3fb2e200,0xdfffffff,0x76dc000a,0xffffffff,0xda800bef,0xffffffff,
    0xc800002e,0x001fffff,0xffffff50,0x55440001,0x9880009a,0x09abcaaa,
    0x3ffee000,0xffffffff,0x5fffffff,0x5654c400,0x88000009,0x0009aca9,
    0x32e00000,0x0002deee,0x004d5544,0xffffff70,0xffffffff,0xf50bffff,
    0xffffffff,0xffffffff,0xfffd8dff,0xfff3005f,0x0005ffff,0x00035751,
    0x1aba8800,0x54400000,0x540001ab,0xffffffff,0xffffffff,0x20006fff,
    0x1ceeedb8,0x2aaa2000,0x4c000009,0x0099aaca,0x26aa6600,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x4eeeeeed,0xa8800000,
    0xfe800001,0xfff882ff,0x4400002f,0x4eeeeeed,0xeeeed980,0x000004ee,
    0x277776c4,0x3bb66000,0x0004eeee,0x3bbb6200,0xeeeeb81e,0x22000003,
    0x3eeeeeed,0x55544000,0x88000009,0x3eeeeeed,0xed880000,0x803eeeee,
    0xfffffffa,0x06ffffff,0xeeeed880,0x3eeeeb81,0x3bbb6600,0x00004eee,
    0x3fbb2ea0,0x001bceee,0x26aaa620,0x22000001,0x3eeeeeed,0x3bbb6200,
    0xeeeec81d,0xfffe8803,0x00004fff,0xffffec88,0x000d980c,0x883bfff2,
    0x000ffffc,0x3fffa200,0x22003fff,0x4ffffffe,0xfd100000,0x009fffff,
    0xffffe880,0x000004ff,0x4fffffe6,0x05ffffd8,0x3fa20000,0x003fffff,
    0x7ffee544,0x0bdfffff,0x7ff44000,0x0003ffff,0xffffe880,0xff5003ff,
    0xffffffff,0x2000dfff,0x13fffff9,0x00bffffb,0xfffffd10,0xa800009f,
    0xfffffffe,0x001fffff,0xfffffdb3,0x039dffff,0x3ffa2000,0x8003ffff,
    0x13fffff9,0x009ffffb,0xffffffc8,0x7f400004,0xbfffffff,0x001dfd30,
    0x3bffffea,0x06fffffe,0x3ffa2000,0x0001efff,0x9ffffff9,0xff980000,
    0x5fffffff,0xfffc8000,0x00004fff,0x3ffffa20,0x04ffffed,0x3fa20000,
    0x001effff,0x7fffffdc,0xffffffff,0x3fa20003,0x001effff,0xfffe8800,
    0x2a001eff,0xffffffff,0x006fffff,0x3ffffa20,0x04ffffed,0x7fffe400,
    0x880004ff,0xfffffffe,0x1fffffff,0x7fffecc0,0xffffffff,0x880004ff,
    0x1efffffe,0x3ffe6000,0xfffffdff,0xfff30004,0x00009fff,0x3ffffff2,
    0xffffffff,0x3f6005ff,0xffffffff,0x100001ff,0x1bfffffd,0xfff98000,
    0x00004fff,0xd9fffff3,0x000bffff,0xffffff30,0x44000009,0xfffffffe,
    0x2000004f,0x4fffffe8,0x7ffec400,0xffffffff,0x0003ffff,0x9fffffd1,
    0x3a200000,0x004fffff,0xffffffa8,0x6fffffff,0x7ff44000,0x04ffffff,
    0xffff3000,0x440009ff,0xfffffffe,0xffffffff,0x3fffee01,0xffffffff,
    0x0004ffff,0x7fffff44,0xfd100004,0x9fffffff,0xffd88000,0x40003fff,
    0xfefffff9,0xffffffff,0x362000ff,0xffffffff,0xd100002f,0x005fffff,
    0x7ffec400,0x4c0003ff,0xb12fffff,0x000bffff,0xfffffb10,0x44000007,
    0x4ffffffe,0x3a200000,0x002fffff,0x7fffff4c,0xffffffff,0x88003fff,
    0x02fffffe,0xffd10000,0x20005fff,0xaaaaaaa8,0x02aaaaaa,0xfffe8800,
    0x00004fff,0x7ffffec4,0xfffb0003,0xb99dffff,0x203fffdd,0xfffffffa,
    0xffffffff,0x220004ff,0x02fffffe,0x7ff44000,0x0003ffff,0x333332e0,
    0x7fd40001,0xffffb30b,0x0003ffff,0x3bffffaa,0x2e00000c,0x000ccccc,
    0x99997000,0x32200039,0xcb80cccc,0x00002ccc,0x03999997,0x66440000,
    0x00003ccc,0x666665c0,0x7ffcc000,0xffffffff,0x3fffffff,0xccccb800,
    0x2000000c,0x00cccccb,0x00000000,0x33332200,0x2000003c,0x01cccccb,
    0x7ffffc40,0x0e54405f,0x7fffffc4,0xeeeeefff,0x0004ffff,0x0333332e,
    0x66440000,0x00002ccc,0x2a000000,0xffffb304,0x22000039,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,0x7bffffff,
    0x3f6a6213,0x0000003f,0x00000000,0x00000000,0x00000000,0xff500000,
    0x0001ffff,0xffffffc8,0x1edcc01d,0x00000000,0x00000000,0x00000000,
    0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0x02ffffff,0x00005510,0x00000000,0x55100000,0x00000001,
    0x00000000,0x3fffee00,0xfe80006f,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x0099aaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffff400,0x000001ff,0x00000000,0x93000000,
    0xbffffffb,0x00000039,0x00000000,0x3fffea00,0x7c0002ff,0x002fffff,
    0x00000000,0x00000000,0x01fffffd,0x7ffffe40,0x00000002,0x7fffed40,
    0xbdffffff,0x3ffffa01,0xcdeeffff,0x3ee0002b,0xffffffff,0xffffffff,
    0x3ff2005f,0x00ffffff,0x7ffe4000,0x000fffff,0x3fffffa0,0xbcdeefff,
    0x3fe20002,0x80006fff,0x2ffffffb,0xfc800000,0x0fffffff,0x3ffee000,
    0xffffffff,0x5fffffff,0xfffff700,0x9fffffff,0x7ffff400,0xbcefffff,
    0x3ea0001a,0xffffffff,0xffffffff,0xfff986ff,0x0003ffff,0x5ffffff3,
    0xfff90000,0x50001fff,0xf0ffffff,0xffffffff,0xffffffff,0x49ffffff,
    0x00fffffe,0x3fffff20,0xfffffa82,0xffffffff,0x06ffffff,0xfffffe98,
    0xffffffff,0xfffd00ff,0xffffffff,0x0017ffff,0xffffffb8,0xffffffff,
    0x2005ffff,0xfffffffe,0x7400002f,0xffffffff,0x3ffa0002,0xffffffff,
    0x00bfffff,0x7ffffc40,0xfff80006,0x00007fff,0xfffffd00,0x40005fff,
    0xfffffffb,0xffffffff,0x6c405fff,0xffffffff,0x0dffffff,0xfffffe80,
    0xffffffff,0x54000cff,0xffffffff,0xffffffff,0xffb06fff,0x03dfffff,
    0xfffff880,0xf880004f,0x004fffff,0x3fffffe8,0xfffffff8,0xffffffff,
    0xffffffff,0x3fffffa4,0x3fff2000,0xfffa82ff,0xffffffff,0xffffffff,
    0x7fffdc06,0xffffffff,0xd00fffff,0xffffffff,0xffffffff,0x7fdc003f,
    0xffffffff,0xffffffff,0xffff1005,0x009fffff,0x7fffc400,0x004fffff,
    0x3fffffa0,0xffffffff,0x2001ffff,0x06fffff8,0x7fffc400,0x000003ff,
    0xffffff88,0x20004fff,0xfffffffb,0xffffffff,0x3e605fff,0xffffffff,
    0xffffffff,0x7fff401e,0xffffffff,0x02ffffff,0x3ffffea0,0xffffffff,
    0x06ffffff,0xfffffffb,0x7c0019ff,0x03ffffff,0xffffc800,0x3ea000ff,
    0xff07ffff,0xffffffff,0xffffffff,0x749fffff,0x000fffff,0x0bfffff2,
    0x3fffffea,0xffffffff,0x106fffff,0xfffffffd,0xffffffff,0x3fa01fff,
    0xffffffff,0xffffffff,0xfff7000f,0xffffffff,0xbfffffff,0x3fffee00,
    0x007fffff,0x3fffee00,0x007fffff,0x3fffffa0,0xffffffff,0x000fffff,
    0x0dfffff1,0xffff9800,0x000000ff,0xffffffb8,0x20007fff,0xfffffffb,
    0xffffffff,0x3fa05fff,0xffffffff,0xffffffff,0x7fff405f,0xffffffff,
    0xefffffff,0xffffa800,0xffffffff,0x6fffffff,0x7fffff44,0x3fffffff,
    0xfffffb00,0x40005dff,0x3ffffff8,0x3ffffa00,0xfffff03f,0xffffffff,
    0xffffffff,0x7fff49ff,0x3f2000ff,0xfa82ffff,0xffffffff,0xffffffff,
    0xfff886ff,0xffffffff,0xffffffff,0xffffd00f,0xffffffff,0x1dffffff,
    0xfffff700,0xffffffff,0x00bfffff,0x3ffffff6,0x0001ffff,0xffffffb0,
    0x0003ffff,0x3ffffffa,0xffffffff,0x800effff,0x06fffff8,0x7fffd400,
    0x0000007f,0xfffffffb,0x20003fff,0xfffffffb,0xffffffff,0xff505fff,
    0x237dffff,0xfffffca8,0x3ffa01ff,0xffffffff,0xffffffff,0xfffa806f,
    0xffffffff,0xffffffff,0x7fffff46,0xffffffff,0x7fdc00ef,0xffffffff,
    0xffc8000b,0xf5007fff,0x7c0dffff,0xffffffff,0xffffffff,0x24ffffff,
    0x00fffffe,0x3fffff20,0xfffffa82,0xffffffff,0x86ffffff,0xfffffffc,
    0x2a620ace,0xfd00fffc,0x4cc1ffff,0xffffffeb,0xfffb802f,0x99999dff,
    0x09999999,0xffffff00,0x007fffff,0x3ffffe00,0x03ffffff,0xfffffd00,
    0x7ff5ccc1,0x802fffff,0x06fffff8,0x7fffdc00,0x0000006f,0xffffffff,
    0x20007fff,0x9dfffffb,0x99999999,0xffd00999,0x5c01dfff,0x05ffffff,
    0x27fffffa,0xffdba999,0x03ffffff,0x3fffe600,0xfff9005f,0xffffdfff,
    0x05ffffff,0xffffffd8,0x02dfffff,0x3ffffe20,0xfffe803f,0x2a0003ff,
    0x006fffff,0x07fffff4,0xfffff900,0xfff98005,0x3e6005ff,0x05ffffff,
    0xfe8064c0,0x2e00ffff,0x04ffffff,0x4fffffb8,0xff500000,0xffffbfff,
    0xf50000df,0xfffbffff,0x3a000dff,0x200fffff,0x4ffffffb,0xfffff880,
    0x7fec0006,0x00005fff,0xfffffa80,0x06fffffd,0xfffff700,0x3ee00009,
    0x800fffff,0x0ffffffb,0x1fffffd0,0x7ffff440,0x30000fff,0x00bfffff,
    0x9ffffff1,0x3fffffea,0x2203ffff,0xffffffff,0x03efffff,0xdfffff90,
    0xfffffa80,0x7fd40006,0x74006fff,0x000fffff,0x0bfffff2,0xfffff300,
    0x7ffec00b,0x00003fff,0x0fffffe8,0x7ffffec0,0xffffb805,0x9000004f,
    0xff1fffff,0x0001ffff,0x8fffffc8,0x00ffffff,0xfffffe80,0x7fffec00,
    0xfff8805f,0x740006ff,0x004fffff,0xfffc8000,0xfffff8ff,0xffb8000f,
    0x00004fff,0x07ffffff,0x7fffffc0,0xfffffd04,0xffff9001,0x260009ff,
    0x805fffff,0x46fffffb,0xffffffc8,0x36203fff,0xffffffff,0x00efffff,
    0x7fffffc4,0x3ffffa02,0x7d40002f,0x4006ffff,0x00fffffe,0x3fffff20,
    0x7ffcc002,0xff5005ff,0x0009ffff,0x3ffffa00,0x7ffdc00f,0xffb807ff,
    0x00004fff,0x2bffffd0,0x02fffffd,0x7ffff400,0x5fffffb5,0xffffd000,
    0xfffb801f,0xff8807ff,0x40006fff,0x04ffffff,0xffe80000,0xffffb5ff,
    0xff70005f,0x00009fff,0x3ffffff3,0x7fffec00,0xffffd06f,0x3ffa001f,
    0x8000ffff,0x05fffff9,0x4fffffc8,0xfffffd30,0xfb801fff,0xffffffff,
    0x402fffff,0x06fffffc,0x0dfffff5,0xffff5000,0xffe800df,0x32000fff,
    0x002fffff,0x2fffffcc,0xfffffe80,0xd000000f,0x801fffff,0x07fffff9,
    0x4fffffb8,0xff980000,0xfff73fff,0x4c000bff,0xf73fffff,0x000bffff,
    0x01fffffd,0x7fffff98,0xfffff880,0x7ff40006,0x00005fff,0x7ffffcc0,
    0xbfffff73,0xffff7000,0xf700009f,0x800dffff,0x07fffffa,0x01fffffd,
    0x3ffffee0,0xff98003f,0xfd805fff,0x6405ffff,0x5fffffff,0xffffd500,
    0xffffffff,0x7fffc401,0xfffe82ff,0xa80002ff,0x006fffff,0x07fffff4,
    0xfffff900,0xfff98005,0xfff005ff,0x00009fff,0x7fffff40,0x7fffdc00,
    0xfffb805f,0x800004ff,0x31fffffb,0x00ffffff,0x7ffffdc0,0xffffff31,
    0xffffd000,0xfffb801f,0xff8805ff,0x40006fff,0x06fffffd,0x7fdc0000,
    0xfff31fff,0xf7000fff,0x0009ffff,0x9fffffb0,0xffff8800,0xfffe80ff,
    0xff1000ff,0x0009ffff,0x0bfffff3,0xffffff90,0xffffb801,0x26000fff,
    0xfffffffc,0x7e406fff,0x7d46ffff,0x0006ffff,0xdfffff50,0xffffe800,
    0x3ff2000f,0x4c002fff,0x805fffff,0x0ffffff8,0x3fa00000,0x6c00ffff,
    0x804fffff,0x04fffffb,0xfffd8000,0x7ffffc7f,0xffb0001f,0xffff8fff,
    0x7f4001ff,0x6c00ffff,0x804fffff,0x06fffff8,0x7fffe400,0x4000007f,
    0x7c7ffffd,0x001fffff,0x27ffffdc,0x7fff4000,0xff8003ff,0xfe81ffff,
    0x2000ffff,0x06fffffd,0xfffff980,0xffffb805,0xffb804ff,0x0002ffff,
    0xffffffd5,0x7fc405ff,0x3fa1ffff,0x0002ffff,0xdfffff50,0xffffe800,
    0x3ff2000f,0x4c002fff,0x805fffff,0x07fffff9,0x7ff40000,0x3f200fff,
    0x801fffff,0x04fffffb,0x7ffc4000,0x7ffe44ff,0xf88004ff,0x7e44ffff,
    0x4004ffff,0x00fffffe,0x3ffffff2,0xffff8801,0x7dc0006f,0x0007ffff,
    0x3fffe200,0x7fffe44f,0x7fdc004f,0x80004fff,0x03ffffff,0xffffff80,
    0xfffffe81,0x3fff2000,0xf98007ff,0x9805ffff,0x5fffffff,0x7ffffc40,
    0x7dc0003f,0x03ffffff,0xafffffe4,0x06fffff9,0x3ffea000,0x7f4006ff,
    0x2000ffff,0x02fffffc,0x7ffffcc0,0xffffa805,0x2aaaa06f,0x0aaaaaaa,
    0x1fffffd0,0xffffea88,0xff7004ff,0xddddffff,0xdddddddd,0x7fffd401,
    0x7fffd42f,0xffa8006f,0x7fd42fff,0x74006fff,0x440fffff,0xffffffea,
    0xffff1004,0xfa8000df,0x003fffff,0xffff5000,0xffffa85f,0x7fdc006f,
    0xeeeeffff,0xeeeeeeee,0x7fffffc0,0xfffe8002,0xfffe82ff,0x3ee000ff,
    0x8007ffff,0x05fffff9,0xffffffb0,0x7ff403df,0x80003fff,0x5ffffffa,
    0x7ffffc40,0xfffffd8f,0x3ea00002,0x4006ffff,0x00fffffe,0x3fffff20,
    0x7ffcc002,0xffb805ff,0xff105fff,0xffffffff,0x3fffa03f,0xfffeeeff,
    0x0effffff,0xfffff700,0xffffffff,0x401fffff,0x40fffffc,0x0ffffff8,
    0x7fffe400,0x7fffc40f,0x3fa000ff,0xfeeeffff,0xffffffff,0xfff1000e,
    0x98000dff,0x06ffffff,0xfff90000,0xfff881ff,0x2e000fff,0xffffffff,
    0xffffffff,0x7fffc0ff,0xfe8001ff,0xfe83ffff,0x2000ffff,0x0ffffffa,
    0x7fffcc00,0xfff1005f,0x1bffffff,0x5ffffff0,0x3ffe0000,0xfc806fff,
    0xfffdffff,0x400006ff,0x06fffffa,0x7fffff40,0x3fff2000,0x7cc002ff,
    0xd805ffff,0x104fffff,0xffffffff,0x3fa03fff,0xffffffff,0x3fffffff,
    0x7fffdc00,0xffffffff,0x00ffffff,0x41bffffe,0x03fffffe,0x37ffffc0,
    0x3fffffe8,0x3ffffa00,0xffffffff,0x4003ffff,0x06fffff8,0xfffff800,
    0x800002ff,0xd06fffff,0x007fffff,0x7fffffdc,0xffffffff,0x7fc0ffff,
    0x8001ffff,0x83fffffd,0x00fffffe,0x3ffffe60,0x7fcc000f,0x2a005fff,
    0xffffffff,0x3ffea3ff,0x00000fff,0x0bfffffb,0xffffff10,0x005fffff,
    0xffffa800,0x7ff4006f,0x32000fff,0x002fffff,0x2fffffcc,0x7fffff40,
    0xfffff104,0x03ffffff,0x3ffffffa,0xdfffffff,0xffb8000a,0xffffffff,
    0xffffffff,0xfffff300,0x3ffff209,0x3fe6005f,0xff904fff,0x7400bfff,
    0xffffffff,0x0adfffff,0xffff8800,0xfb80006f,0x01efffff,0x3ffe6000,
    0xfff904ff,0x7dc00bff,0xffffffff,0xffffffff,0x7ffffc0f,0xffe8002f,
    0xffe83fff,0x26000fff,0x00ffffff,0x7ffffcc0,0x7ffcc005,0xefffffff,
    0x5ffffffa,0x3ffe0000,0xf9003fff,0xffffffff,0xf500000d,0x800dffff,
    0x00fffffe,0x3fffff20,0x7ffcc002,0xffd805ff,0xff104fff,0xffffffff,
    0x3fffa03f,0xffffffff,0x70001eff,0xffffffff,0xffffffff,0x3ff201ff,
    0xff301fff,0x6400ffff,0x301fffff,0x00ffffff,0x7ffffff4,0xefffffff,
    0xfff10001,0x20000dff,0xfffffffe,0x20571002,0x01fffffc,0x0ffffff3,
    0x7ffffdc0,0xffffffff,0x740fffff,0x003fffff,0x2ffffff8,0x0fffffe8,
    0x3fffea00,0xff98007f,0x88005fff,0xfffffffd,0xffffffff,0x40006a1f,
    0x2ffffffb,0xfffff100,0x0005ffff,0xfffff500,0xfffe800d,0x3f2000ff,
    0x4002ffff,0x05fffff9,0x5fffffc8,0x3aaaaaa0,0xd01fffff,0xfddfffff,
    0x5fffffff,0xffff7000,0x7400009f,0x7c07ffff,0x002fffff,0x80fffffd,
    0x02ffffff,0xdfffffd0,0xfffffffd,0xff10005f,0x0000dfff,0x3fffffea,
    0x2609bdff,0xfd03ffdb,0xff80ffff,0x7002ffff,0x009fffff,0xfffffb00,
    0xffff0007,0xfffd05ff,0x7dc001ff,0x8006ffff,0x05fffff9,0x3fffee00,
    0xffffffff,0x6ffe42ff,0x3f66009b,0x00ffffff,0x3fffff20,0x000006ff,
    0x0dfffff5,0xfffffe80,0x3fff2000,0x7cc002ff,0xb805ffff,0x006fffff,
    0x0fffffec,0x0fffffe8,0xffffff51,0xffb8001f,0x00004fff,0x0bfffff1,
    0x4fffffd8,0xfffff880,0x7fffec05,0xfffd004f,0x3fea21ff,0x000fffff,
    0x37ffffc4,0xfffd0000,0xffffffff,0x7fffffff,0xbfffff10,0xfffffd80,
    0xffff7004,0xf900009f,0x8009ffff,0x1ffffff8,0x0fffffe8,0x3ffff200,
    0xff98004f,0x40005fff,0xffffffc8,0xc83fffff,0xefffffff,0xffffffee,
    0x4002ffff,0xfffffff8,0xf5000002,0x800dffff,0x00fffffe,0x3fffff20,
    0x7ffcc002,0xff9805ff,0x6c007fff,0xd01fffff,0x981fffff,0x05ffffff,
    0x7ffffdc0,0xff700004,0x33339fff,0xffff9333,0xfff700ff,0x333339ff,
    0xfffff933,0x3fffa00f,0x7ffcc0ff,0x44005fff,0x006fffff,0x3fffa200,
    0xffffffff,0x83ffffff,0x9cfffffb,0xfc999999,0x7007ffff,0x009fffff,
    0xfffff700,0xfffa800d,0xfffd07ff,0x7ec001ff,0x8003ffff,0x05fffff9,
    0xfffd3000,0x207fffff,0xfffffffc,0xffffffff,0x0005ffff,0x0dfffff9,
    0x7fd40000,0x74006fff,0x000fffff,0x03fffff6,0xfffff300,0xffff100b,
    0x7ec003ff,0xfd01ffff,0xf701ffff,0x003fffff,0x27ffffdc,0xfffd8000,
    0xffffffff,0xffffffff,0x7ffec01f,0xffffffff,0xffffffff,0xfffe801f,
    0xfffb80ff,0x22001fff,0x006fffff,0x7ffec400,0xffffffff,0xd83fffff,
    0xffffffff,0xffffffff,0xb801ffff,0x004fffff,0xfffffa80,0x3ff2000f,
    0xffd05fff,0x22001fff,0x02ffffff,0xfffff980,0x7dc00005,0x06ffffff,
    0xfffffff9,0xffffffff,0x0001bfff,0x17ffffea,0xffa80000,0x6c006fff,
    0x001fffff,0x01fffffa,0x3ffffe60,0xfffff005,0x7fec00bf,0xffd01fff,
    0x3fa01fff,0x2005ffff,0x04fffffb,0xfffff000,0xffffffff,0xffffffff,
    0xfffff807,0xffffffff,0xffffffff,0xffffe803,0xffffd00f,0x7fc400bf,
    0x00006fff,0xffffff70,0xffffffff,0xfffff05f,0xffffffff,0xffffffff,
    0xffff7007,0xf100009f,0x007fffff,0x1ffffffc,0x0fffffe8,0xfffff900,
    0xff30001f,0x0000bfff,0xffffff30,0xffff901f,0xffffffff,0x005fffff,
    0xfffffa80,0x2a000005,0x006fffff,0x17ffffe4,0xdfffff00,0xffff3000,
    0x3ffa00bf,0xb000ffff,0x203fffff,0x00fffffe,0x3ffffff7,0x3fffee00,
    0xf980004f,0xffffffff,0xffffffff,0x2605ffff,0xffffffff,0xffffffff,
    0x805fffff,0x00fffffe,0x3ffffff7,0x3fffe200,0x2000006f,0xfffffda8,
    0x80adffff,0xfffffff9,0xffffffff,0x05ffffff,0x4fffffb8,0xfffb0000,
    0xf7001dff,0x740fffff,0x800fffff,0x4ffffff8,0xffff3000,0x200000bf,
    0x1ffffffa,0xffffdb98,0xffffffff,0xa80000ad,0x005fffff,0x3ffea000,
    0x7dc006ff,0x3005ffff,0x00bfffff,0xbfffff30,0x3fffe600,0xffb005ff,
    0x3fa03fff,0xf100ffff,0x00bfffff,0x13ffffee,0x3fff2000,0xffffffff,
    0xffffffff,0xff900fff,0xffffffff,0xffffffff,0xe801ffff,0x100fffff,
    0x0bffffff,0x3ffffe20,0xd0000006,0x013bffff,0xffffff90,0xffffffff,
    0xffffffff,0xffffb801,0xf300004f,0x80dfffff,0x3ffffffa,0x3fffffa0,
    0x7ffec400,0x30000fff,0x00bfffff,0x3ffe2000,0x99800fff,0xfffffdaa,
    0x7d400000,0x0005ffff,0x3fffea00,0x7fd4006f,0xd801ffff,0x003fffff,
    0x5fffff98,0x3ffff600,0x7ec00eff,0xfd01ffff,0x6401ffff,0x00ffffff,
    0x4fffffb8,0xfffe8000,0xeeeeeeff,0xfffeeeee,0xffd02fff,0xdddddfff,
    0xffdddddd,0xe805ffff,0x200fffff,0x0ffffffc,0xfffff880,0x88000006,
    0x000fffff,0x3bfffffa,0xeeeeeeee,0xffffffee,0x7fffdc02,0x3a00004f,
    0xaeffffff,0x3fffee60,0x7ff406ff,0x3a600fff,0x03ffffff,0x3fffe600,
    0x0018805f,0x3fffffe4,0xffffc800,0xfa800005,0x0005ffff,0x3fffea00,
    0xffe8006f,0x3201ffff,0x00ffffff,0xfffff980,0x3ffe2005,0x0abfffff,
    0x7ffffec4,0xfffffd01,0x7fffc401,0xffb804ff,0x40004fff,0x04fffff8,
    0x7ffffec0,0xfffff884,0x7ffec004,0x7ff404ff,0x3e200fff,0x804fffff,
    0x9ffffff8,0x99999999,0x20009999,0x006ffffa,0x13ffffe2,0xfffffb00,
    0xffffb809,0x2a00004f,0xffffffff,0xffffffff,0x7f402fff,0x2a20ffff,
    0xffffffdb,0x260000ff,0x805fffff,0x301acff9,0xbffffff7,0x3fff6000,
    0xa800002f,0x005fffff,0x3ffea000,0xfa8006ff,0xceffffff,0xffffecba,
    0xf30002ff,0x800bffff,0xfffffffc,0xffeeffff,0xd01fffff,0x801fffff,
    0x0ffffffd,0x7ffffdc0,0xffffffff,0x2e5fffff,0x002fffff,0x3fffffdc,
    0x17ffffdc,0x3fffee00,0x7fff407f,0x7fec00ff,0x4400ffff,0xffffffff,
    0xffffffff,0x2e002fff,0x2002ffff,0x02fffffb,0x7ffffdc0,0x7fffdc07,
    0xffffffff,0x05ffffff,0x3ffffff6,0xffffffff,0xfe805fff,0xffffffff,
    0xffffffff,0xffa802ff,0xffffffff,0xffffffff,0xfffff36f,0xffffddff,
    0x005fffff,0x01ffffe0,0x7ffd4000,0x000005ff,0x1bffffea,0x7ffff400,
    0xffffffff,0x405fffff,0xfffffffa,0xffffffff,0xe886ffff,0xffffffff,
    0xffffffff,0xffd01fff,0xfa801fff,0x404fffff,0xfffffffb,0xffffffff,
    0x3ff65fff,0x4c000fff,0x41ffffff,0x00fffffd,0x7ffffcc0,0x3fffa01f,
    0x7fd400ff,0x4404ffff,0xffffffff,0xffffffff,0x36002fff,0x2000ffff,
    0x00fffffd,0x7ffffcc0,0x3ffee01f,0xffffffff,0x5fffffff,0x7ffffdc0,
    0xffffffff,0xffd003ff,0xffffffff,0xffffffff,0x3ffea005,0xffffffff,
    0xffffffff,0xffffff36,0xffffffff,0x20005fff,0x004ffff8,0xffff5000,
    0x400000bf,0x06fffffa,0xfffff300,0xffffffff,0xa801dfff,0xffffffff,
    0xffffffff,0x3ee06fff,0xffffffff,0xffffffff,0xffffd01f,0xfffd001f,
    0x7dc01fff,0xffffffff,0xffffffff,0xfffff15f,0x3ffe000b,0x3fe24fff,
    0xf0005fff,0x409fffff,0x00fffffe,0xffffffe8,0x3fffe200,0xffffffff,
    0x2fffffff,0x17fffe00,0xfffff880,0xffff0005,0x7fdc09ff,0xffffffff,
    0xffffffff,0xffff9805,0xffffffff,0x3ffa001e,0xffffffff,0x1effffff,
    0x3fffea00,0xffffffff,0x6fffffff,0xfffffff3,0xffffffff,0x7d40005f,
    0x00001fff,0xbfffff50,0x7d400000,0x0006ffff,0x3fffff22,0xffffffff,
    0xffff5003,0xffffffff,0xdfffffff,0xffffe980,0xffffffff,0xfd00efff,
    0x7001ffff,0x07ffffff,0x7fffffdc,0xffffffff,0xff55ffff,0x20007fff,
    0x26fffffc,0x03fffffa,0xfffff900,0x7ffff40d,0xfffb800f,0x3e203fff,
    0xffffffff,0xffffffff,0xff1002ff,0x7d4003ff,0x0003ffff,0x0dfffff9,
    0x7fffffdc,0xffffffff,0x1005ffff,0xffffffd9,0xe80019df,0xffffffff,
    0x2effffff,0xffffa800,0xffffffff,0x6fffffff,0xffffffd3,0x7fffffff,
    0xffc80001,0x2000006f,0x05fffffa,0x3fea0000,0x80006fff,0xffffffd9,
    0x2000dfff,0xfffffffa,0xffffffff,0x7006ffff,0xffffffdb,0x8017dfff,
    0x00fffffe,0xfffffff0,0x7ffffdc0,0xffffffff,0xf95fffff,0x0003ffff,
    0x3fffffea,0x3fffff90,0x3ffea000,0xffd00fff,0x3e001fff,0x207fffff,
    0xfffffff8,0xffffffff,0x2002ffff,0x64001999,0x001fffff,0xffffff50,
    0x3fffee01,0xffffffff,0x05ffffff,0x03575100,0xffffe800,0xceefffff,
    0x3ea0000a,0xffffffff,0xffffffff,0x65cc46ff,0x2accedcc,0x26620000,
    0x20000009,0x05fffffa,0x3fea0000,0x00006fff,0x04d654c4,0xffffa800,
    0xffffffff,0x6fffffff,0x55953000,0x00000133,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffd40,0xffffffff,0xed880006,
    0x00004eee,0xeeed8800,0xaaa83eee,0x000002aa,0xeeeed880,0xb1000004,
    0x0009dddd,0xeed88000,0x8003eeee,0x04eeeed8,0xbdddb100,0x7dddd903,
    0x55530000,0x55555555,0x54400003,0x2201aaaa,0xc81deeed,0x0003eeee,
    0x7f6e5c40,0x80001cee,0xeeeeeed8,0xddb10003,0x220009dd,0xc81deeed,
    0x4003eeee,0xf907fffa,0x54000dff,0xff907fff,0x880000df,0x3eeeeeed,
    0xffff5000,0xffffffff,0xe88000df,0x04ffffff,0x3a200000,0x03ffffff,
    0x01fffff9,0x74400000,0x04ffffff,0x7ff44000,0x0004ffff,0xfffd1000,
    0x10007fff,0x9ffffffd,0x3ffe6000,0xfffb13ff,0xd910009f,0xffffffff,
    0x07ffffff,0x7ffe4000,0x7fcc00ff,0xffb13fff,0x800009ff,0xfffffffb,
    0x440002ff,0x3ffffffe,0xfffd1000,0x20009fff,0x13fffff9,0x009ffffb,
    0x87ffff10,0x004ffff9,0x0ffffe20,0x009ffff3,0x7fff4400,0x20003fff,
    0xfffffffa,0x06ffffff,0x3fffe600,0x005fffff,0xffe88000,0x2601efff,
    0x003fffff,0xfff30000,0x0bffffff,0x3ffe6000,0x05ffffff,0x7f440000,
    0x001effff,0xffffff98,0x30005fff,0xffbfffff,0x88009fff,0xfffffffb,
    0xffffffff,0x100003ff,0x00bfffff,0x37ffffe6,0x004fffff,0x3fffa200,
    0x2fffffff,0x3ffa2000,0x0001efff,0xfffffff3,0x26000bff,0xffdfffff,
    0x20004fff,0xfdeffffe,0x002fffff,0x77ffff40,0x2ffffffd,0xffd10000,
    0x0003dfff,0xffffffa8,0x6fffffff,0xffff3000,0xbffffd9f,0x74400000,
    0x004fffff,0x00fffffd,0xfff30000,0xffffd9ff,0xff98000b,0xfffecfff,
    0x1000005f,0x09fffffd,0x3fffe600,0x5ffffecf,0xfffd1000,0x009fffff,
    0xffffffb8,0xffffffff,0x003fffff,0xfffff700,0x7ff44005,0x04ffffff,
    0x7ffec000,0xffffffff,0xffd10002,0x40009fff,0xecfffff9,0x0005ffff,
    0xffffffd1,0x980009ff,0xffffffff,0x80005fff,0xfffffff9,0x0005ffff,
    0xfffffd10,0x2a200009,0xaaaaaaaa,0x8002aaaa,0x12fffff9,0x00bffffb,
    0xfffd1000,0x7d4005ff,0x0002ffff,0x3fffe600,0xffffb12f,0x3fe6000b,
    0xffb12fff,0x80000bff,0x2fffffe8,0xffff3000,0x3fff625f,0xfd10005f,
    0x007fffff,0xffffffa8,0xffffffff,0x03ffffff,0xffffd000,0xffd1000d,
    0x0007ffff,0xfffffb80,0x2fffefff,0xfffe8800,0x260002ff,0xb12fffff,
    0x000bffff,0x3fffffa2,0xf700003f,0xffffffff,0x2e00001b,0xffffffff,
    0x880000df,0x02fffffe,0x00000000,0xccccc880,0x2ccccb80,0x665c0000,
    0xf8000ccc,0x0006ffff,0x99999100,0x59999701,0xcccc8800,0xccccb80c,
    0x32e00002,0x0000cccc,0x01999991,0x00599997,0x33333220,0x7ffc4002,
    0xffffffff,0xfffb99cf,0xa80003ff,0x003fffff,0x59999910,0xff880000,
    0x881effff,0xcccb8000,0x220000cc,0xb80ccccc,0x0002cccc,0x05999991,
    0xfec88000,0x0002dfff,0xfffec880,0x200002df,0x00cccccb,0x00000000,
    0x00000000,0x80000000,0x01fffffb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ff40000,0xffffffff,0x3ffea3ff,0xd80003ff,0x000fffff,
    0x40000000,0x0ffffffa,0x00000000,0x00000000,0x00000000,0x00000098,
    0x000004c0,0x00000000,0x00000000,0x00000000,0x7ffc4000,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffea,0x3fffffff,
    0x0fffffea,0xffff1000,0x0000009f,0xfff90000,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe8000000,0x000fffff,0x0bfffff2,
    0x00000000,0xd8000000,0x000fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff9000,0xffffffff,0x7fffd47f,0x7e40003f,0x0001ffff,
    0xe8000000,0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffff40,0x3fff2000,0x7ffe42ff,0x3fa002ff,0x0000ffff,
    0x3ffffffe,0xffffffff,0xfffff301,0x7fc40007,0x20000fff,0xf95ffffa,
    0x001fffff,0xffffff50,0x3fffffe0,0xffffffff,0x5fffffff,0xffffff70,
    0xffffffff,0xff0bffff,0xffffffff,0xffffffff,0x7fecbfff,0xffffffff,
    0x3fea3fff,0x40003fff,0x005fffff,0xfffffff7,0xffffffff,0x8800bfff,
    0x007fffff,0xffffffd8,0x3fffe006,0xffffa82f,0xffffffff,0x6fffffff,
    0x7fffffec,0x3fffe006,0x3ff2002f,0x00ffffff,0x3fffee00,0xffffffff,
    0x85ffffff,0xfffffffa,0xffffffff,0xd006ffff,0x001fffff,0x17ffffe4,
    0x0bfffff2,0xfffffe80,0xfff50000,0xffffffff,0x7403ffff,0x0006ffff,
    0x03ffffe2,0xffffb800,0xffffff14,0xfffd0009,0x3ffe07ff,0xffffffff,
    0xffffffff,0xfff705ff,0xffffffff,0xbfffffff,0xfffffff0,0xffffffff,
    0x4bffffff,0xffffffff,0x23ffffff,0x03fffffa,0x3fffee00,0xfff7002f,
    0xffffffff,0xbfffffff,0xffff9800,0xffd8005f,0x001fffff,0x505fffff,
    0xffffffff,0xffffffff,0xffd8dfff,0x001fffff,0x005fffff,0x7ffffff4,
    0x2e0002ff,0xffffffff,0xffffffff,0xfffa85ff,0xffffffff,0xffffffff,
    0xffffd006,0x7fe4001f,0x7fe42fff,0x3a002fff,0x000fffff,0xffffffb0,
    0xffffffff,0x7ffd403f,0x3e0002ff,0x0000ffff,0xc93fffee,0x00ffffff,
    0x3ffffea0,0x3ffffe07,0xffffffff,0xffffffff,0xfffff705,0xffffffff,
    0xf0bfffff,0xffffffff,0xffffffff,0x3e2bffff,0xffffffff,0x2a3fffff,
    0x003fffff,0x1bffffa0,0xfffffb80,0xffffffff,0x005fffff,0x27ffffd4,
    0x7fffec00,0xff005fff,0xff505fff,0xffffffff,0xffffffff,0xffffd8df,
    0xff005fff,0x22005fff,0xffffffff,0x3ee0004f,0xffffffff,0xffffffff,
    0xffffa85f,0xffffffff,0x6fffffff,0xfffffd00,0x7ffe4001,0x7ffe42ff,
    0x3fa002ff,0x8000ffff,0xfffffff8,0xffffffff,0x7fffc01f,0x3fe0005f,
    0x20001fff,0x223ffffb,0x03ffffff,0x3fffffa0,0x3ffffe03,0xffffffff,
    0xffffffff,0xfffff705,0xffffffff,0xf0bfffff,0xffffffff,0xffffffff,
    0x7fcbffff,0xffffffff,0x3ea3ffff,0x0003ffff,0x07fffff3,0x7ffffdc0,
    0xffffffff,0x005fffff,0x1fffffd4,0x7fffec00,0xf801ffff,0xfa82ffff,
    0xffffffff,0xffffffff,0x7ffec6ff,0x801fffff,0x002fffff,0xfffffff7,
    0x5c000fff,0xffffffff,0xffffffff,0xfffa85ff,0xffffffff,0xffffffff,
    0xffffd006,0x7fe4001f,0x7fe42fff,0x3a002fff,0x000fffff,0xffffffb8,
    0xffffffff,0x7fe401ff,0xf0001fff,0x0003ffff,0x21ffffdc,0x07fffffc,
    0xdfffff50,0xffffff80,0xffffffff,0x5fffffff,0xffffff70,0xffffffff,
    0xff0bffff,0xffffffff,0xffffffff,0x7ff4bfff,0xffffffff,0x3fea3fff,
    0xb0003fff,0x001fffff,0x7fffffdc,0xffffffff,0x4005ffff,0x03fffffb,
    0xfffffd80,0xff804fff,0xffa82fff,0xffffffff,0xffffffff,0x7fffec6f,
    0xf804ffff,0xb002ffff,0xffffffff,0x2e0003ff,0xffffffff,0xffffffff,
    0xfffa85ff,0xffffffff,0xffffffff,0xffffd006,0x7fe4001f,0x7fe42fff,
    0x3a002fff,0x000fffff,0xfdffffe8,0x20005fff,0x04fffff8,0x3ffffd00,
    0x7ffe4000,0x7fffc42f,0xffe803ff,0x66403fff,0xcccccccc,0xffffcccc,
    0xff702fff,0x3333bfff,0x33333333,0x99999901,0x99999999,0x5fffffff,
    0x7fffffe4,0x3fffffff,0x0fffffea,0x3fffe200,0x7fdc004f,0x9999dfff,
    0x99999999,0x7ffe4000,0xfd8002ff,0xffffffff,0x7ffffc00,0x7ffcc002,
    0x3f6005ff,0xffffffff,0x7ffffc00,0xfffff002,0x07ffffff,0x3fffee00,
    0x999999df,0x00999999,0x7ffffcc0,0xffe80005,0x32000fff,0x642fffff,
    0x002fffff,0x03fffffa,0xbffff300,0x00bffff9,0xfffffd80,0xfffe8000,
    0x3f20002f,0xffc82fff,0x7d406fff,0x0006ffff,0xfffff700,0x7ffdc0bf,
    0x000004ff,0x3fffee00,0x7ffdc5ff,0xffffffff,0x3ffea3ff,0xfc8003ff,
    0x4001ffff,0x04fffffb,0xddddb000,0xffffffdd,0xdddddddd,0xfffffb01,
    0xf809ffff,0x4002ffff,0x05fffff9,0x3fffff60,0x7c04ffff,0xa802ffff,
    0xffdfffff,0x70006fff,0x009fffff,0xfff30000,0xd0000bff,0x001fffff,
    0x17ffffe4,0x0bfffff2,0xfffffe80,0x7ffe4000,0x5ffffcaf,0x7ffcc000,
    0xfd8003ff,0x20002fff,0x881ffffc,0x02ffffff,0x0bfffffa,0x3fe20000,
    0x200fffff,0x04fffffb,0xf1000000,0x81ffffff,0xfffffff8,0x23ffffff,
    0x03fffffa,0x6fffff80,0xffffb800,0xfd00004f,0xffffffff,0xffffffff,
    0xffb01fff,0xffffffff,0x7ffffc01,0x7ffcc002,0x3f6005ff,0xffffffff,
    0x3fffe00f,0xfffc802f,0xfffff8ff,0xffb8000f,0x00004fff,0xfffff980,
    0xffe80005,0x32000fff,0x642fffff,0x002fffff,0x03fffffa,0x1fffff00,
    0x00bffff9,0xdffffd00,0xffffb000,0x7fec0005,0xfff901ff,0x3fea0dff,
    0x00006fff,0xffffffd0,0xffffb805,0x0000004f,0xffffffd0,0x3fffea05,
    0xffffffff,0x3ffffea3,0x7ffd4003,0xfb8002ff,0x0004ffff,0xffffffd0,
    0xffffffff,0x01ffffff,0xfffffffb,0x7fc07fff,0x4c002fff,0x005fffff,
    0x3ffffff6,0x3e03ffff,0xe802ffff,0xffb5ffff,0x70005fff,0x009fffff,
    0xfff30000,0xd0000bff,0x001fffff,0x17ffffe4,0x0bfffff2,0xfffffe80,
    0x3ffea000,0xbffff95f,0xfff70000,0xfd8005ff,0x33302fff,0x3ffff601,
    0xfffff101,0xffffd05f,0x7000005f,0x09ffffff,0x9fffff70,0x70000000,
    0x09ffffff,0xffffffc8,0x2a3fffff,0x003fffff,0x03fffff4,0xfffffb80,
    0xffd00004,0xffffffff,0xffffffff,0xfffb01ff,0xdfffffbf,0x17ffffc0,
    0x3fffe600,0x3ff6005f,0xfffffdff,0x3ffffe06,0x7fffcc02,0xfffff73f,
    0xfff7000b,0x000009ff,0xbfffff30,0xfffd0000,0x7e4001ff,0x7e42ffff,
    0x2002ffff,0x00fffffe,0x4bffff60,0x005ffffc,0xbfffff00,0xffffc800,
    0x07fff983,0x401ffffb,0x46fffffc,0x06fffffa,0xfff88000,0xb800ffff,
    0x004fffff,0x7fc40000,0x800fffff,0xfffffffd,0x3fea3fff,0x26003fff,
    0x003fffff,0x9fffff70,0x3ffa0000,0xffffffff,0xffffffff,0xfffd80ff,
    0xfffffbdf,0x5fffff02,0xffff9800,0x3ff6005f,0xffffbdff,0xfffff02f,
    0xffffb805,0xfffff31f,0xfff7000f,0x000009ff,0xbfffff30,0xfffd0000,
    0x7e4001ff,0x7e42ffff,0x2002ffff,0x00fffffe,0x4fffff10,0x005ffffc,
    0xfffff900,0x7ffe4001,0xffffb83f,0x0ffffd82,0x3ffffe20,0x3ffffa1f,
    0xe800002f,0x02ffffff,0x9fffff70,0xe8000000,0x02ffffff,0x3ffff660,
    0x3ea3ffff,0x2003ffff,0x00fffffd,0xfffff700,0xa8000009,0x004fffff,
    0x1bffffb0,0x20dfffff,0x002fffff,0x2fffffcc,0xbffffb00,0x0dfffff1,
    0x00bffffe,0xf8fffffb,0x001fffff,0x27ffffdc,0x7cc00000,0x0005ffff,
    0x0fffffe8,0x3ffff200,0x7fffe42f,0x3ffa002f,0xf7000fff,0x7fe49fff,
    0x100005ff,0x009fffff,0x41ffffdc,0xe84ffffe,0xfc807fff,0xff35ffff,
    0x0000dfff,0xffffff70,0x7ffdc009,0x000004ff,0x3ffffee0,0xf910004f,
    0x547fffff,0x003fffff,0x0bfffff1,0x7fffdc00,0x4000004f,0x03fffffb,
    0xbffffb00,0x07fffff6,0x00bffffe,0xbfffff30,0x7fffec00,0x3fffffb5,
    0x05fffff0,0x27ffffc4,0x13fffff2,0xfffff700,0x30000009,0x00bfffff,
    0xfffffd00,0x7ffe4001,0x7ffe42ff,0xffffffff,0xffffffff,0xfd000fff,
    0x7fe43fff,0xeeeeefff,0xfffd8005,0xff7000ff,0xfff889ff,0xfffe87ff,
    0xffff8807,0xffffd8ff,0x4400002f,0x0effffff,0x3fffee00,0xeeeeeeff,
    0x00eeeeee,0xfffff880,0x100000ef,0x7fd43753,0xf7003fff,0x0003ffff,
    0x7fffffdc,0xeeeeeeee,0x2000eeee,0x02fffffc,0xbffffb00,0x17ffffe6,
    0x00bffffe,0xbfffff30,0x7fffec00,0xbfffff35,0x05fffff0,0x17ffffd4,
    0x1bffffea,0xfffff700,0xdddddddf,0x001ddddd,0x5fffff98,0xfffe8000,
    0x3f2000ff,0x7e42ffff,0xffffffff,0xffffffff,0x800fffff,0x646ffff9,
    0xffffffff,0xfa8006ff,0x5003ffff,0xfa89ffff,0x741fffff,0xf9007fff,
    0xfffbffff,0x00000dff,0x3ffffffd,0xffffb800,0xffffffff,0x00ffffff,
    0xfffffe80,0x0000001f,0x07fffff5,0x1bffffe0,0xffff7000,0xffffffff,
    0x01ffffff,0x7ffffec0,0xfffb0001,0x7fffecbf,0x7ffffc1f,0x7ffcc002,
    0x3f6005ff,0x3ff65fff,0x7ffc1fff,0x3ff202ff,0x7fc40fff,0x2000ffff,
    0xfffffffb,0xffffffff,0x4c000fff,0x005fffff,0xfffffe80,0x3fff2000,
    0x7ffe42ff,0xffffffff,0xffffffff,0xfc800fff,0x7fe43fff,0xffffffff,
    0xfffd0006,0x3fea00df,0x7ffec4ff,0x7ff43fff,0xfff1006f,0xffffffff,
    0xfb800005,0x004fffff,0xffffffb8,0xffffffff,0x4000ffff,0x4ffffffb,
    0x2a000000,0x803fffff,0x02fffffa,0x7fffdc00,0xffffffff,0x00ffffff,
    0x3fffffa0,0xfffb0000,0x7fffd4bf,0x7ffffc4f,0x7ffcc002,0x3f6005ff,
    0x3fea5fff,0x7ffc4fff,0x3ffe02ff,0xfffd06ff,0x7dc007ff,0xffffffff,
    0xffffffff,0x7fcc000f,0x80005fff,0x00fffffe,0x3fffff20,0x7ffffe42,
    0xffffffff,0xffffffff,0x7ffc400f,0x7ffe40ff,0x6fffffff,0xffff7000,
    0xfff3003f,0xfffff89f,0x7fffc6ff,0x3fff2006,0x06ffffff,0x7ffc4000,
    0x70006fff,0xffffffff,0xffffffff,0x7c4001ff,0x006fffff,0x7fd40000,
    0xfe803fff,0x80007fff,0xfffffffb,0xffffffff,0x3e000fff,0x0007ffff,
    0xd17ffff6,0x7c1fffff,0x4002ffff,0x05fffff9,0x17ffff60,0x41fffffd,
    0x302fffff,0x209fffff,0x05fffffc,0x3ffffee0,0xffffffff,0x000fffff,
    0x2fffffcc,0x7fff4000,0x3f2000ff,0x7e42ffff,0xffffffff,0xffffffff,
    0x400fffff,0xc86ffffa,0xffffffff,0xf10006ff,0x300bffff,0x7d4bffff,
    0x0fffffff,0x8017fffe,0xfffffff8,0x400002ff,0x1ffffffd,0xffff7000,
    0xffffffff,0x01ffffff,0x7ffffec0,0x0000001f,0x1fffffd4,0x3ffffe60,
    0xffb80004,0xffffffff,0xffffffff,0xffff1000,0x7ec000ff,0x7fdc5fff,
    0x3ffe4fff,0x7cc002ff,0x2005ffff,0x5c5ffffd,0x3e4fffff,0xf902ffff,
    0x2603ffff,0x007fffff,0x3fffffee,0xffffffff,0x4000ffff,0x05fffff9,
    0xffffe800,0x3ff2000f,0x7fe42fff,0x9999bfff,0xfe999999,0x7400ffff,
    0xfc83ffff,0x00005fff,0x0fffffc8,0x2ffffcc0,0xfffdfff9,0x2ffffc7f,
    0x3ffff200,0x00006fff,0x7fffffdc,0x3fee0004,0x00004fff,0x3ffffee0,
    0x0000004f,0x3fffffa8,0x7ffffe40,0xffb80000,0x00004fff,0x3ffffe60,
    0x3ff60006,0xffff85ff,0xfffff0ff,0xfff98005,0x3f6005ff,0xfff85fff,
    0xffff0fff,0x3fffa05f,0x7fffc07f,0xff7002ff,0x00009fff,0xfffff300,
    0xffd0000b,0x64001fff,0x642fffff,0x002fffff,0x03fffffa,0x0fffff88,
    0x05ffffc8,0xfff98000,0x7fc404ff,0x3fffe5ff,0x3e5ffff9,0x44004fff,
    0x2fffffff,0x3fe20000,0x0006ffff,0x27ffffdc,0xff880000,0x0006ffff,
    0xfff50000,0x7fc407ff,0x00005fff,0x09fffff7,0x7fcc0000,0x20005fff,
    0xc85ffffd,0xff3fffff,0x98005fff,0x005fffff,0x217ffff6,0xf3fffffc,
    0xf105ffff,0xd80bffff,0x004fffff,0x09fffff7,0xff300000,0x0000bfff,
    0x01fffffd,0x7ffffec0,0x7ffffe40,0x3fffa002,0x3ff200ff,0xfff905ff,
    0x200000bf,0x407ffffd,0xf36ffff8,0x3fff6fff,0x4ffff88f,0xffffc800,
    0x6c00006f,0x01ffffff,0x7fffdc00,0xb000004f,0x03ffffff,0x2a000000,
    0x203fffff,0x01fffffb,0xffff7000,0x4000009f,0x04fffffa,0x3ffff600,
    0xfffff885,0x2fffff8e,0x7fffcc00,0x3ff6005f,0xfff885ff,0xffff8eff,
    0xffffb82f,0x999999cf,0x7fffffc9,0xfffff700,0x30000009,0x00bfffff,
    0xfffffb00,0x7fff4003,0xffffc87f,0x3ffa002f,0x3fe00fff,0xffffffff,
    0x05ffffff,0xfff50000,0xfff805ff,0x29fff96f,0xf8affffb,0xa8004fff,
    0x005fffff,0x3fffee00,0xb80003ff,0x004fffff,0xffffb800,0x000003ff,
    0x3fffea00,0x3fffa02f,0x2e00006f,0x004fffff,0x3ffee000,0x360003ff,
    0xfb05ffff,0xfff5ffff,0xf98005ff,0x2005ffff,0xb05ffffd,0xff5fffff,
    0xffb05fff,0xffffffff,0xffffffff,0xff7003ff,0x00009fff,0xfffff300,
    0xff90000b,0x7c005fff,0xfc86ffff,0x2002ffff,0x00fffffe,0xfffffff5,
    0xffffffff,0x400000bf,0x406ffffe,0xffd7ffff,0x3fffe65f,0x03ffff9d,
    0xfffffa80,0xff100005,0x000dffff,0x3ffffee0,0x7c400004,0x006fffff,
    0x7dc00000,0xf501ffff,0x0007ffff,0x7ffffdc0,0x36000004,0x001fffff,
    0x17ffff60,0x6fffffcc,0x002fffff,0x2fffffcc,0xbffffb00,0x3ffffe60,
    0x82fffffd,0xffffffff,0xffffffff,0x803fffff,0x04fffffb,0xff980000,
    0x80005fff,0x05fffffb,0xbfffff30,0x5fffff90,0x7ffff400,0xffffb00f,
    0xffffffff,0x000bffff,0x7fffdc00,0x3fffe01f,0x20ffff8f,0xff9ffffe,
    0xfa8003ff,0x0005ffff,0xffffffb0,0x3ee00003,0x0004ffff,0x7ffffec0,
    0x0000001f,0x3ffffec0,0x0fffffb0,0xfffb8000,0x000004ff,0x01fffffe,
    0xbffffb00,0x7ffffec0,0x002fffff,0x2fffffcc,0xbffffb00,0x7ffffec0,
    0x4c2fffff,0xffffffff,0xffffffff,0x805fffff,0x04fffffb,0xff980000,
    0x80005fff,0x1ffffffa,0xfffffd80,0xfffffc83,0x3fffa002,0xfff880ff,
    0xffffffff,0x05ffffff,0x3fe20000,0x3fa05fff,0x5fffbfff,0x7dffffe4,
    0xa8002fff,0x005fffff,0xfffffb80,0x2e00003f,0x004fffff,0x3fffee00,
    0x000003ff,0x3ffe6001,0xfff306ff,0x800009ff,0x04fffffb,0xfff30000,
    0xd8000bff,0x2a05ffff,0xffffffff,0x7cc002ff,0x2005ffff,0x205ffffd,
    0xfffffffa,0x7fe42fff,0xffffffff,0xffffffff,0x5c00ffff,0x004fffff,
    0xfff98000,0xd00005ff,0x03ffffff,0x7fffffe4,0xfffffc80,0x3fffa002,
    0xfffb80ff,0xccccccff,0x05ffffec,0x7fe40000,0xffd00fff,0x85fffbff,
    0xffdffff9,0xfa8002ff,0x0005ffff,0x7fffffc4,0x7dc00006,0x0004ffff,
    0xffffff10,0x2a00000d,0x7ff4404f,0xff905fff,0x00001fff,0x4fffffb8,
    0xffd00000,0x80007fff,0x405ffffd,0xfffffffe,0x7cc002ff,0x2005ffff,
    0x405ffffd,0xfffffffe,0x7fff42ff,0xeeeeeeff,0xfffeeeee,0x7dc02fff,
    0x0004ffff,0xffff9800,0xf500005f,0x9dffffff,0xffffd975,0x3ff205ff,
    0x3a002fff,0xe80fffff,0x6403ffff,0x0005ffff,0x7fffcc00,0xffffb04f,
    0xfd01ffff,0x3fffffff,0xffff5000,0xfd8000bf,0xaacfffff,0xaaaaaaaa,
    0xff702aaa,0x00009fff,0x3ffffff6,0xaaaaaaac,0x02aaaaaa,0x2b3bffe2,
    0xfffff730,0xfff101ff,0x00000bff,0x09fffff7,0xa884d400,0x1ffffffe,
    0x7ffec000,0x7ffdc05f,0x02ffffff,0x7ffffcc0,0x3fff6005,0x7ffdc05f,
    0x22ffffff,0x04fffff8,0x7ffffec0,0x7fffdc04,0x8000004f,0x05fffff9,
    0x3fffa000,0xffffffff,0x05ffffff,0x0bfffff2,0xfffffe80,0x7ffffcc0,
    0x7fffe400,0x2eeeeeef,0xfffd0000,0x3fff60ff,0xf905ffff,0x3fffffff,
    0xffff5000,0x7d4000bf,0xffffffff,0xffffffff,0xf707ffff,0xffffffff,
    0xffffffff,0xffffa8bf,0xffffffff,0xffffffff,0x3fff607f,0xffffffff,
    0x703fffff,0x005fffff,0xffff7000,0xffffffff,0x2bffffff,0xfffffffe,
    0x0004ffff,0x05ffffd8,0xfffffff8,0xfffa82ff,0xffffffff,0xffffffff,
    0x2ffffec6,0x7fffffc0,0x3fee2fff,0x5c002fff,0x407fffff,0xfffffffb,
    0xffffffff,0xffa85fff,0xffffffff,0xffffffff,0x7fcc006f,0xffffffff,
    0x0effffff,0x3fffff20,0x3fffa002,0x7ffe40ff,0xfffc806f,0xffffffff,
    0xff500003,0xff905fff,0x207fffff,0xfffffff9,0xffa8000f,0x20005fff,
    0xfffffffb,0xffffffff,0x07ffffff,0xfffffff7,0xffffffff,0xffb8bfff,
    0xffffffff,0xffffffff,0xff307fff,0xffffffff,0x0bffffff,0x037ffff4,
    0xfffb8000,0xffffffff,0x5fffffff,0xfffffffd,0x0000dfff,0x017ffff6,
    0x3ffffff2,0xfffa82ff,0xffffffff,0xffffffff,0x2ffffec6,0x7ffffe40,
    0x3ff62fff,0x4c000fff,0x01ffffff,0x3fffffee,0xffffffff,0xfa85ffff,
    0xffffffff,0xffffffff,0xc88006ff,0xffffffff,0x803fffff,0x02fffffc,
    0x3fffffa0,0x1fffffc0,0x7ffffe40,0x03ffffff,0x3fffe000,0xffffc86f,
    0x3fe00fff,0x00ffffff,0xfffffa80,0x3fee0005,0xffffffff,0xffffffff,
    0xff707fff,0xffffffff,0xffffffff,0xfffffb8b,0xffffffff,0xffffffff,
    0x3fffaa07,0xffffffff,0xff500cff,0x00007fff,0x3ffffee0,0xffffffff,
    0xfd5fffff,0xffffffff,0x3600003d,0x8805ffff,0xffffffff,0xfffffa82,
    0xffffffff,0x46ffffff,0x805ffffd,0xfffffff8,0xfffff12f,0x3ffe000b,
    0x3ee04fff,0xffffffff,0xffffffff,0xffffa85f,0xffffffff,0x6fffffff,
    0x3ff66000,0xdfffffff,0xffff9000,0x7ff4005f,0x3fea0fff,0xfc800fff,
    0xffffffff,0x200003ff,0x41fffffb,0x6ffffffc,0x7ffffe40,0xfa8000ff,
    0x0005ffff,0x3fffffee,0xffffffff,0x7fffffff,0xffffff70,0xffffffff,
    0xfb8bffff,0xffffffff,0xffffffff,0xb807ffff,0xffffffff,0x7ec00dff,
    0x0000ffff,0xfffff700,0xffffffff,0x3abfffff,0xffffffff,0x7ec00002,
    0xfb005fff,0x05ffffff,0xfffffff5,0xffffffff,0xfd8dffff,0xfb005fff,
    0x25ffffff,0x03fffffa,0xfffff900,0x7fffdc0d,0xffffffff,0x85ffffff,
    0xfffffffa,0xffffffff,0x0006ffff,0x13595310,0xffff9000,0x7ff4005f,
    0x3ff60fff,0xff9005ff,0xffffffff,0x9800007f,0x7dc09999,0x403fffff,
    0x7ffffffa,0xffff5000,0x7dc000bf,0xffffffff,0xffffffff,0xf707ffff,
    0xffffffff,0xffffffff,0xffffb8bf,0xffffffff,0xffffffff,0x2ea6007f,
    0x0009acdd,0x00133333,0x7ffdc000,0xffffffff,0x5fffffff,0x359bb975,
    0x3f600000,0xf3005fff,0x05ffffff,0xfffffff5,0xffffffff,0xfd8dffff,
    0xf3005fff,0x25ffffff,0x01fffffc,0xfffff500,0x3ffee01f,0xffffffff,
    0x5fffffff,0xffffffa8,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc83fffd4,0x2a006fff,0xffffffff,0x006fffff,
    0x3fffffea,0x6fffffff,0x3ffea000,0xffffffff,0x5c0006ff,0x0000cdec,
    0x00000013,0x0cdecb80,0x00000000,0x00aaaaa6,0x55100000,0x10001555,
    0x40000153,0x000999a9,0x55400000,0x10002aaa,0x20000033,0x00000198,
    0x00002666,0x000a9880,0x00000000,0x00015310,0x55400000,0x44001aaa,
    0x7cc3ffff,0x2a004fff,0xffffffff,0x006fffff,0x3fffffea,0x6fffffff,
    0x3ffea000,0xffffffff,0xd30006ff,0x07ffffff,0x06fffd40,0x26000000,
    0x3ffffffe,0x00000000,0x00bffffd,0xffc80000,0xddd70fff,0xfffea87d,
    0x22001dff,0xffffffec,0x0004efff,0xffff8000,0xffb8004f,0x200001ef,
    0x001efffb,0xfffed980,0xeeeeefff,0xddd75eee,0xfffda89d,0x00001dff,
    0x01ffffb0,0xa87dddd7,0x1dfffffe,0x20000000,0x01fffff9,0xeffffe80,
    0x2ffffffd,0x3fffea00,0xffffffff,0x3fea006f,0xffffffff,0x20006fff,
    0xfffffffa,0x06ffffff,0xffffe880,0x8803ffff,0x005fffff,0x3fa20000,
    0x3fffffff,0x40000000,0x02fffff8,0x55554000,0x3ffff62a,0x53ffff25,
    0xffffffd8,0x64403fff,0xffffffff,0x007fffff,0x7fcc0000,0x5c001fff,
    0x00efffff,0xffffb800,0xb10000ef,0xffffffff,0xffffffff,0x3ffff2df,
    0xfffffb16,0x0007ffff,0x5ffff880,0x29ffff90,0xffffffd8,0x98003fff,
    0xaaaaaaaa,0x7dc1aaaa,0x30007fff,0xffffffff,0xa800bfff,0xffffffff,
    0x006fffff,0x3fffffea,0x6fffffff,0x3ffea000,0xffffffff,0xfc8006ff,
    0xfffdbeff,0x7ffcc00f,0x00001fff,0x7dfff900,0x001ffffb,0x7d400000,
    0x0000ffff,0x37ffffc0,0x645fffff,0xff8cffff,0xffffffff,0xffd103ff,
    0xffffffff,0x000fffff,0xfffb8000,0xffe8006f,0x0002ffff,0xffffffe8,
    0xfff88002,0xffffffff,0xffffffff,0x1fffff96,0xfffffffd,0x0009ffff,
    0x17fffdc0,0x8cffffc8,0xffffffff,0x4003ffff,0xfffffffc,0x6c3fffff,
    0x0004ffff,0x3fffffee,0x4000dfff,0xaaaaaaa8,0x02aaaaaa,0x2aaaaa20,
    0xaaaaaaaa,0x2aa20002,0xaaaaaaaa,0xe8002aaa,0x7ffdc6ff,0x7fffc402,
    0x000002ff,0xfb8dffd0,0x000002ff,0x7fdc02e6,0x800005ff,0xf36fffff,
    0xffc8ffff,0xffffedff,0xffffffff,0xfffffd07,0xffffffff,0x00000fff,
    0x3ffffd80,0xfffff800,0xf80003ff,0x03ffffff,0xfffffe80,0xfffffeff,
    0x96ffffff,0xffbfffff,0xffffffff,0x00001fff,0xc81ffff6,0xffedffff,
    0xffffffff,0x7e4007ff,0xffffffff,0x7ffc3fff,0x440001ff,0x2dffffec,
    0x00000000,0x00000000,0x20000000,0x7fc44fff,0xfffd803f,0x000003ff,
    0xf889fff0,0x200003ff,0x01fffdb9,0x005ffffb,0xfffff000,0x13fffeed,
    0xfffffff9,0xfffdffff,0xfc87ffff,0x1bdfffff,0x0ffb7533,0x3fffe200,
    0x7fffc06f,0xffe8001f,0x0002ffff,0xffffffe8,0x7ffe4002,0x7fd41eff,
    0x3cccffff,0xfffffff9,0xffdbffff,0x0007ffff,0x3ffe6a62,0x3fff205f,
    0xffffffff,0xfffffffe,0x3fff2003,0xffffffff,0x3fffe63f,0x09800006,
    0x00000000,0x00000000,0x00000000,0xff98bfff,0xffe8802f,0x000002ff,
    0xf98bfff0,0x200002ff,0x01fffffe,0x000fffff,0x3ffffe00,0x83ffffb6,
    0xfffffffc,0xffd50bef,0xffe8bfff,0x02006fff,0x7fffc400,0x3ffe206f,
    0xff50006f,0x0000dfff,0x1bffffea,0x3ffffe00,0x3fffe206,0xffffc83f,
    0x6c2effff,0x006fffff,0xffffdb73,0x6405ffff,0xffffffff,0xfffd50be,
    0x7e400bff,0xffffffff,0x3fee3fff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x545fffec,0x9001fffe,0x0003ffff,0x3fff6000,0x1fffea8b,
    0x3ffa0000,0xff981fff,0x000004ff,0x3edfffff,0xffc87fff,0x505fffff,
    0xf8dfffff,0x002fffff,0xfff88000,0x3fea06ff,0x2a0003ff,0x0000cffe,
    0x033ffaa0,0xfffff100,0xffffc805,0xfffffc87,0xfff105ff,0xff700fff,
    0xffffffff,0x7fe40bff,0x505fffff,0x00dfffff,0x4cccccc4,0x23fffffd,
    0x001ffffc,0xb8000000,0xffffffff,0xffffffff,0x3f2005ff,0x0fffffff,
    0xffff5000,0xffffffff,0xdfffffff,0x3fffe600,0x005fffff,0x001ffffa,
    0xfff98000,0x05ffffff,0x7fff4000,0xeeea81ff,0xf000001e,0xdd1dffff,
    0xfff907dd,0x2201dfff,0x227fffff,0x03ffffff,0xff880000,0x3ae06fff,
    0x80000eee,0x04000000,0xffff5000,0xfffa801f,0x7ffe40ff,0x7f406fff,
    0xb100ffff,0xffffffff,0x3dffffff,0xffffff90,0x3ffe201d,0x900007ff,
    0x6c7fffff,0x54005eee,0xffffffff,0xffffffff,0xff706fff,0xffffffff,
    0xffffffff,0x7fff400b,0x002fffff,0xffffff50,0xffffffff,0x00dfffff,
    0x7fffffdc,0x6d4c00ef,0x0002ffff,0x7ffdc000,0x000effff,0x7ffff400,
    0x0000001f,0x37ffffc0,0xfffff900,0xfffe801d,0x3fffe0ff,0x0000bfff,
    0x3fffe200,0x0000006f,0x00000000,0x7fffdc00,0xffffa807,0x7fffe40f,
    0x7fec00ff,0xff981fff,0xffffffff,0xefffffff,0x7ffffe40,0x7fff400e,
    0xc80000ff,0x003fffff,0x3fffea00,0xffffffff,0x6fffffff,0xffffff70,
    0xffffffff,0x200bffff,0xfffffff8,0xf50004ff,0xffffffff,0xffffffff,
    0xd9800dff,0xf003ffff,0x009fffff,0x36600000,0x0003ffff,0xfffffd00,
    0x00000003,0x06fffff8,0x3fffff20,0xffffe802,0x3ffff60f,0x001cffff,
    0xffff8800,0x0000006f,0x00000260,0x2a000266,0x400fffff,0xc87ffffb,
    0x803fffff,0x81eeeeeb,0xfffffffd,0xffffffcd,0x7fe45fff,0xfe802fff,
    0x0000ffff,0x3fffffc8,0x3fea0000,0xffffffff,0xffffffff,0xffff706f,
    0xffffffff,0x0bffffff,0x3ffffee0,0x0007ffff,0xfffffff5,0xffffffff,
    0x000dffff,0x3fe0004c,0x00002eff,0x00130000,0xfffe8000,0x000001ff,
    0x7fc26620,0x32006fff,0x802fffff,0x20fffffe,0xfffffff9,0x001cffff,
    0xfffff100,0x1000000d,0xffffdb75,0x40017bdf,0xfffffeca,0xff8800cd,
    0x7f403fff,0xffc85fff,0x00003fff,0x3fffffea,0x3ffffe64,0x322fffff,
    0x802fffff,0x00fffffe,0xffffc800,0x2a00003f,0xffffffff,0xffffffff,
    0xff706fff,0xffffffff,0xffffffff,0x3fff600b,0x1fffffff,0xffffa800,
    0xffffffff,0x6fffffff,0x74000000,0x000002cd,0x13533000,0xeeeb8000,
    0xfffffeee,0xeeeeeeef,0x970005ee,0xfdfffffd,0x400dffff,0x02fffffc,
    0x0fffffe8,0x7fffffe4,0xbeffffff,0x3fe20000,0x00006fff,0x7ffffd40,
    0xffffffff,0xfffd8802,0xffffffff,0xfffff802,0xffff901f,0xffff909f,
    0x7400007f,0x643fffff,0xfffeffff,0x3fff25ff,0xffe802ff,0x80000fff,
    0x03fffffc,0x3ffea000,0xffffffff,0xffffffff,0xfffff706,0x3333333b,
    0x00133333,0x3ffffffe,0x0003ffff,0x7ffffcc0,0x7775c005,0xeed801ee,
    0x80000eee,0x26000199,0xffffffeb,0x4001deff,0xfffffffc,0xffffffff,
    0x06ffffff,0x7ffff540,0xffffffff,0x3f2006ff,0xe802ffff,0xa80fffff,
    0xffffffff,0x01efffff,0xfffff100,0x2200000d,0xfffffffd,0x2fffffff,
    0x7ffff4c0,0xffffffff,0x3fea00df,0xbaacffff,0x0ffffffe,0x3fffffc8,
    0xfff50000,0xfffd0dff,0xffffff3d,0x17ffffe4,0x7fffff40,0xffc80000,
    0x00003fff,0xfffff300,0xfff7000b,0x000009ff,0x37ffffea,0x006fffff,
    0x7fffcc00,0x7fe4005f,0xfe801fff,0xe880ffff,0x7e446eee,0x004effff,
    0xfffffff5,0xffffffff,0x3ff2003b,0xffffffff,0xffffffff,0xb1006fff,
    0xffffffff,0xffffffff,0x7ffe400d,0xffe802ff,0xf9100fff,0xffffffff,
    0x0005ffff,0x0dfffff1,0xfff30000,0xffffffff,0x405fffff,0xfffffffa,
    0xffffffff,0x7ffec04f,0xffffffff,0xf901ffff,0x0007ffff,0x3fffff20,
    0x9ffffcc2,0x92fffffd,0x005fffff,0x01fffffd,0xffff9000,0x0000007f,
    0x17ffffe6,0x3fffee00,0x9000004f,0xff1fffff,0x0001ffff,0x7ffffcc0,
    0x7ffe4005,0xffe801ff,0xff880fff,0xfff70fff,0x1dffffff,0xfffffa80,
    0xffffffff,0xc800ffff,0xffffffff,0xffffffff,0x806fffff,0xfffffff8,
    0xffffffff,0x32006fff,0x802fffff,0x00fffffe,0xfffffc98,0x00ffffff,
    0x7ffffc40,0xfe800006,0xffffffff,0x2fffffff,0x3fffffa0,0xffea99ae,
    0xf101ffff,0xffffffff,0x07ffffff,0x1fffffe4,0xfffd8000,0xffffc87f,
    0x7fffff71,0x0bfffff2,0x3fffffa0,0xffc80000,0x00003fff,0xfffff300,
    0xfff7000b,0x000009ff,0x6d7ffffa,0x002fffff,0x3fffe600,0x7fe4005f,
    0xfe801fff,0xf880ffff,0xffc8ffff,0xffffffff,0x7ffd406f,0xffffffff,
    0x05ffffff,0xeeeeeeb8,0xeeffffff,0x5eeeeeee,0xfffffd80,0xfdcbceff,
    0x006fffff,0x0bfffff2,0x3fffffa0,0x7fe4c000,0x03ffffff,0x7ffffc40,
    0x7dc00006,0xacffffff,0x0bfae620,0x27ffffdc,0xdfffff90,0x3fffff60,
    0xffffffff,0x7ffe400c,0xd00003ff,0xff0dffff,0x7ffd4dff,0xffff94ff,
    0xfffd005f,0x900001ff,0x007fffff,0x3fe60000,0xb8005fff,0x004fffff,
    0xffff9800,0xfffff73f,0x7cc0000b,0x4005ffff,0x01fffffc,0x0fffffe8,
    0xcfffff88,0xffffffff,0x203fffff,0xaacdfffa,0xffffba99,0x20002fff,
    0x01fffffe,0xffffa800,0x3fe00eff,0x32006fff,0x802fffff,0x00fffffe,
    0xffffb100,0xf88009ff,0x0006ffff,0x3ffffe60,0x013002ff,0x0bfffff1,
    0x5fffffd0,0x56ffffa8,0x01579b99,0x3fffff20,0xfff00003,0xfff98bff,
    0x3fffe63f,0xfffff94f,0xffffd005,0xf900001f,0x0007ffff,0x3ffe6000,
    0xfb8005ff,0x0004ffff,0xfffffb80,0xffffff31,0x7fcc0000,0x64005fff,
    0x801fffff,0x80fffffe,0xfffffff8,0xfffeffff,0x2a07ffff,0xfe8800ad,
    0x0004ffff,0x07fffffa,0xffff1000,0xfff00bff,0x7e400dff,0xe802ffff,
    0x000fffff,0x7fffff40,0x7ffc4006,0x200006ff,0x1ffffffd,0xfffc8000,
    0xffa801ff,0x7fec3fff,0x200002ff,0x03fffffc,0xffff8800,0x7fffe44f,
    0x3ffffe20,0x5fffff95,0xfffffd00,0xff900001,0x00007fff,0x3fffe600,
    0xffb8005f,0x00004fff,0x47ffffd8,0x01ffffff,0xffff3000,0xffc800bf,
    0xfe801fff,0xf880ffff,0xffffffff,0xffff911c,0x400003ff,0x05fffff9,
    0x3ffffa00,0x7dc0001f,0x800fffff,0x006fffff,0x0bfffff2,0x3fffffa0,
    0x7fec0000,0x44004fff,0x006fffff,0x3ffffe00,0xfd00004f,0x2600ffff,
    0x7c4fffff,0x0003ffff,0x3fffff20,0xff880003,0x7ffc5fff,0x7fffcc6f,
    0xfffff94f,0xffffd005,0xf900001f,0x0007ffff,0x3ffe6000,0xfb8005ff,
    0x0004ffff,0x7ffffc40,0x7ffffe44,0xff300004,0xc800bfff,0x801fffff,
    0x80fffffe,0xfffffff8,0xffffd01f,0xf800005f,0x0007ffff,0x07fffffa,
    0xffff9000,0x3ffe00bf,0x3f2006ff,0xe802ffff,0x910fffff,0x7ffd4003,
    0x44002fff,0x006fffff,0xfffff100,0x3e00001f,0x999effff,0xf9999999,
    0x7fc5ffff,0x0002ffff,0x7fffff90,0xfff10000,0x7ffccdff,0x7fffd43f,
    0xfffff93f,0xffffd005,0xf900001f,0x0007ffff,0x3ffe6000,0xfb8005ff,
    0xeeefffff,0xeeeeeeee,0x3ffea00e,0x7ffd42ff,0x300006ff,0x00bfffff,
    0x1fffffc8,0xfffffe80,0xfffff880,0x3ff202ff,0x00003fff,0x03fffff4,
    0xfffffd00,0xffe80003,0xff001fff,0x6400dfff,0x802fffff,0x10fffffe,
    0x1355bfff,0x7ffffdcc,0x7c4000ff,0x0006ffff,0xffffff50,0x3fe20000,
    0xffffffff,0xffffffff,0x7fec7fff,0xeeefffff,0x009accde,0x0ffffff2,
    0x7fffc000,0x3ffff27f,0x7ffffdc0,0x5fffff92,0xfffffd00,0xff900001,
    0x00007fff,0x3fffe600,0xffb8005f,0xffffffff,0xffffffff,0x3ffff200,
    0x7fffc40f,0x980000ff,0x005fffff,0x0fffffe4,0x7fffff40,0xfffff880,
    0x7ffd403f,0x4c0004ff,0xfffff999,0x3ffa0007,0x40001fff,0x00ffffff,
    0x0dfffff0,0x7ffffe40,0xffffe802,0xfffff10f,0xffffffff,0x00bfffff,
    0xdfffff10,0x3fee0000,0x00006fff,0xfffffff3,0xffffffff,0x8fffffff,
    0xfffffffa,0xffffffff,0xffc81dff,0x00003fff,0x21fffffd,0xfe86ffff,
    0xff90ffff,0xfd005fff,0x0001ffff,0x7fffff90,0x26000000,0x005fffff,
    0xffffffb8,0xffffffff,0x3e00ffff,0xfd06ffff,0x0007ffff,0xbfffff30,
    0xffffc800,0xfffe801f,0xfff880ff,0xffa806ff,0x91004fff,0xffffffdb,
    0x00ffffff,0x7fffff40,0x3fe20001,0x3e007fff,0x2006ffff,0x02fffffc,
    0x0fffffe8,0xfffffff1,0xffffffff,0x22000bff,0x006fffff,0xfffffb00,
    0x3ea0000b,0xffffffff,0xffffffff,0xfa87ffff,0xffffffff,0xffffffff,
    0x7fffe44f,0xf900003f,0xff59ffff,0xfff987ff,0x3fff27ff,0xffe802ff,
    0x80000fff,0x03fffffc,0xff300000,0x7000bfff,0xffffffff,0xffffffff,
    0x3fe601ff,0xff904fff,0x0000bfff,0x0bfffff3,0xfffffc80,0xffffe801,
    0xffff880f,0xfffa806f,0x7ecc04ff,0xffffffff,0x07ffffff,0x3ffffa00,
    0x3e60001f,0x2006ffff,0x006fffff,0x0bfffff2,0x3fffffa0,0xffffff10,
    0xffffffff,0x440009ff,0x006fffff,0xfffff900,0x3ee0000b,0xffffffff,
    0xffffffff,0xe886ffff,0xffffffff,0xffffffff,0x3fff23ff,0x300003ff,
    0xfbffffff,0xffd81fff,0x3ff23fff,0xfe802fff,0x0000ffff,0x3fffffc8,
    0xf3000000,0x000bffff,0xfffffff7,0xffffffff,0x3f201fff,0xf301ffff,
    0x000fffff,0xbfffff30,0xffffc800,0xfffe801f,0xfff880ff,0xffa806ff,
    0x3f604fff,0xffffffff,0xffffffff,0x3ffa0007,0x20001fff,0x06fffffa,
    0x1bffffe0,0xfffffc80,0xffffe802,0xfffdb10f,0xffffffff,0x8800017d,
    0x006fffff,0xfffff700,0x3e60000f,0x999dffff,0x99999999,0x74c09999,
    0xeeefffff,0xfffffeee,0xff90ffff,0x00007fff,0x7ffffffc,0x3fa25fff,
    0x7e46ffff,0xe802ffff,0x000fffff,0xfffffc80,0x30000003,0x00bfffff,
    0x9fffff70,0x7ff40000,0x7ffc07ff,0x40002fff,0x05fffff9,0x7ffffe40,
    0xffffe801,0xffff880f,0xfffa806f,0xfff904ff,0xffffffff,0xffffffff,
    0x7fff4000,0x260001ff,0x007fffff,0x01bffffe,0x7ffc0000,0x2aa607ff,
    0x019abcba,0x3ffe2000,0x500006ff,0x01ffffff,0xffff1000,0x440000bf,
    0x01fffffe,0x7ffffe44,0x0000002f,0x3fffffea,0xffdbcfff,0x002fffff,
    0x00000000,0x07fffff9,0x3e600000,0x8005ffff,0x04fffffb,0xffff1000,
    0xfffd80bf,0x4c0004ff,0x005fffff,0x0fffffe4,0x7fffff40,0xfffff880,
    0xffffa806,0xffffa84f,0xe809bfff,0x0007ffff,0x07fffffa,0xffff8800,
    0x3ffe007f,0x000006ff,0x5fffff88,0x00000000,0x1bffffe2,0x7ffc4000,
    0x00004fff,0x00ffffff,0x7fffe400,0x3ff2002f,0x00004fff,0x7fffec00,
    0xffffffff,0x006fffff,0x00000000,0x0ffffff2,0x7cc00000,0x8005ffff,
    0x04fffffb,0xffff7000,0x3333339f,0xffffff93,0xfff98000,0x7e4005ff,
    0xe801ffff,0x880fffff,0x806fffff,0x84fffffa,0x06fffffd,0x07ffffe8,
    0x3ffffa00,0x7fc0001f,0xc801ffff,0x006fffff,0xfffa8000,0x262004ff,
    0x00000999,0x1bffffe2,0xffff8000,0x80000fff,0x02fffffe,0xfffff000,
    0xfffb800f,0x998804ff,0xb1000099,0xffffffff,0x9fffffff,0x26662000,
    0x80000009,0x03fffffc,0xff300000,0x7000bfff,0x009fffff,0x3ffff600,
    0xffffffff,0xffffffff,0x3fe60001,0x64005fff,0x402fffff,0x0ffffffa,
    0x6fffff88,0xfffffa80,0xffffff84,0xffffe801,0x3ffa0007,0x40002fff,
    0x03fffffe,0x7fffffdc,0xe8000006,0x003fffff,0x00fffffe,0xffff8800,
    0x3600006f,0x1effffff,0x3ff20200,0x0000ffff,0x3fffffc4,0x3ffff200,
    0xffff802f,0x7e40003f,0xffffffff,0x0002ffff,0x00fffffe,0x3ff20000,
    0x00003fff,0xfffff300,0xfff7000b,0x200009ff,0xffffffff,0xffffffff,
    0x003fffff,0x3ffffe60,0x7ffe4005,0x3fe604ff,0x880fffff,0x806fffff,
    0x44fffffa,0x07fffff9,0x7fffff88,0x3fff6000,0x640003ff,0x206fffff,
    0xfffffffa,0x26000006,0x0ffffffe,0xfffff300,0x7c400001,0x0006ffff,
    0x3ffffe20,0x7300bfff,0xffff107d,0x44003dff,0x7fffffc1,0xffff5002,
    0xff9801ff,0x80000fff,0xfffffffd,0x0000ceff,0x03ffffe6,0x3f200000,
    0x0003ffff,0xffff3000,0xff7000bf,0x00009fff,0xfffffff3,0xffffffff,
    0x0bffffff,0x7fffcc00,0x7fdc005f,0xff106fff,0x01ffffff,0x0dfffff1,
    0x9fffff50,0xffffff98,0x3fffe601,0x2e0007ff,0x00ffffff,0x3fffe600,
    0x7fdc45ff,0x06ffffff,0x7f644000,0x03ffffff,0x1bfffea0,0xfff10000,
    0x33333fff,0x33333333,0x3fffee01,0xeeffffff,0x703ffffe,0xbfffffff,
    0xb7553357,0xfffd89ff,0x441acfff,0xffffffd9,0xffffa804,0xff880006,
    0x01acbdff,0x3ffea000,0x0000006f,0x07fffff9,0x3e600000,0x8005ffff,
    0x04fffffb,0xffffc800,0xffffffff,0xffffffff,0xf30000ff,0x800bffff,
    0x2ffffffa,0x3ffffee2,0xf880ffff,0xa806ffff,0x444fffff,0x04ffffff,
    0xfffffff5,0x7fd4000f,0x9abfffff,0x6c05dba9,0xdfffffff,0xfffffffd,
    0x00006fff,0x7fffffcc,0x7e4005ff,0x00003fff,0x7fffffc4,0xffffffff,
    0x202fffff,0xfffffffe,0xffffffff,0x3fffa03f,0xffffffff,0x44ffffff,
    0xfffffffa,0xffffffff,0x005fffff,0x007ffff9,0x5ffff700,0x7e400000,
    0x00003fff,0x99999993,0x9dfffffd,0x00599999,0x7fffcc00,0xffb8005f,
    0x80004fff,0xeefffffe,0xeeeeeeee,0x2ffffffe,0xffff3000,0xff8800bf,
    0xfcefffff,0xffffffff,0xfff880ff,0xffa806ff,0xfff84fff,0xb9bdffff,
    0xfffffffe,0x7f40007f,0xffffffff,0x5406ffff,0xffffffff,0xfdffffff,
    0x00006fff,0x7fffffcc,0x7f4000ef,0x00001fff,0x7fffffc4,0xffffffff,
    0x202fffff,0xffffffd8,0xffffffff,0x3ffa203f,0xffffffff,0x84ffffff,
    0xfffffffa,0xffffffff,0x3a006fff,0x0001ffff,0x007fffd8,0x7fff4000,
    0xf700001f,0xffffffff,0xffffffff,0x00009fff,0x2fffffcc,0x7fffdc00,
    0x7c40004f,0x4004ffff,0x04fffffd,0xfffff300,0xfff9000b,0xffffffff,
    0xfffffbff,0xfffff101,0xffff500d,0xffff709f,0xffffffff,0xffffffff,
    0xfff98000,0xffffffff,0xffc806ff,0xffffffff,0xffffabff,0x7cc00006,
    0x003fffff,0x00dffff0,0xffff1000,0xffffffff,0x5fffffff,0xfffff500,
    0xffffffff,0xfff7007f,0xffffffff,0x2a09ffff,0xfffffffe,0xdfffffff,
    0x7fffc002,0xff880006,0x000004ff,0x0037fffc,0xfffff700,0xffffffff,
    0x9fffffff,0x7fcc0000,0xb8005fff,0xffffffff,0xffffffff,0x3ffee5ff,
    0x7dc002ff,0x2a07ffff,0xffffffff,0xffffffff,0xff106fff,0xffffffff,
    0xffff1bff,0xffff101f,0xfff500df,0x3ffa09ff,0xffffffff,0xffff9eff,
    0xffb80007,0xffffffff,0xff7006ff,0xffffffff,0x1bfffe67,0xdff30000,
    0x2600017b,0x0004ffff,0xfffff880,0xffffffff,0x02ffffff,0x3ffffae0,
    0x02ceffff,0x3ffff620,0xefffffff,0x7f64c01c,0xdeffffff,0xff98001c,
    0xb80004ff,0x0002ffff,0x3fffe600,0x3ee00004,0xffffffff,0xffffffff,
    0x54004fff,0xffffffff,0xffffffff,0xff706fff,0xffffffff,0xffffffff,
    0x7ffffecb,0x7ffcc000,0xff501fff,0xffffffff,0xffffffff,0x7ffd40df,
    0x4fffffff,0x01fffff1,0x0dfffff1,0x9fffff50,0x3ffffe60,0x8dffffff,
    0x007ffff8,0xffff9100,0x0bffffff,0x7ffff540,0x3fe61dff,0x800006ff,
    0x00000000,0xfff88000,0xffffffff,0xffffffff,0x55310002,0x20000133,
    0x1aabcca9,0x09988000,0x00000000,0x00cccc40,0x00000000,0x3fffee00,
    0xffffffff,0xffffffff,0x7ffd4004,0xffffffff,0xffffffff,0xfffff706,
    0xffffffff,0x22bfffff,0x005fffff,0x9ffffff0,0x3ffffea0,0xffffffff,
    0x06ffffff,0x7fffff44,0x3ffe22ef,0xfff880ff,0xffa806ff,0x32204fff,
    0xdfffffff,0x1ffffe22,0x2aa60000,0x0001aabc,0x00055dcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffa80000,0xffffffff,0xffffffff,0xffff706f,0xffffffff,
    0x2bffffff,0x03fffffa,0xfffff900,0x3fffea0d,0xffffffff,0x6fffffff,
    0x35773100,0xfff88000,0xffa806ff,0x98804fff,0x0000aaca,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffd400,0xffffffff,0x6fffffff,
    0xffffff70,0xffffffff,0x3f2bffff,0x0001ffff,0x1ffffff5,0xffffff50,
    0xffffffff,0x00dfffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fd40000,0xffffffff,0xffffffff,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa20000,0xaaa980aa,0x55544001,0x1aaa980a,0x2aaaa200,0x35555302,
    0x26a66000,0x40000000,0x002aaaaa,0x2aaaa000,0xaa882aaa,0x001aaaaa,
    0x02660000,0x37b22000,0x00b7b201,0x66fedcc0,0x40000600,0x000aaaa9,
    0x55540000,0xa882aaaa,0x01aaaaaa,0x3b220000,0x0b7b201d,0xaaaaa880,
    0x000c01aa,0x0000aa88,0x55554000,0x30002aaa,0x80015555,0xaaaaaaa8,
    0x00000001,0x17fffc40,0x0027fffc,0x20bfffe2,0x4004ffff,0x4c5ffffc,
    0x800effff,0xfffffeb9,0x001defff,0x7fffc000,0xb000007f,0x1bffffff,
    0x3ffffee0,0x000002ff,0xfffffd95,0xf880019b,0xfd81ffff,0x5c003fff,
    0xcfffffff,0x00017dc0,0x3bffffea,0xb0000000,0x1bffffff,0x3ffffee0,
    0x800002ff,0x81fffff8,0x003ffffd,0x3ffffff2,0xffd9510f,0xffff7000,
    0x20000009,0xdffffffd,0xfffa8000,0x5c000eff,0x2fffffff,0xfea80000,
    0xfff000ce,0x3ff221df,0xff8002ff,0xff910eff,0xf90005ff,0x3fe6bfff,
    0x7d400fff,0xffffffff,0x1dffffff,0xfff00000,0x00000fff,0x7ffffffb,
    0xffffd300,0x400005ff,0xffffffd8,0x002fffff,0x17ffffee,0x0ffffff3,
    0x7ffffd40,0xdabfffff,0x50002fff,0xdfffffff,0xd8000001,0x03ffffff,
    0xfffffe98,0x5c00002f,0x4c5fffff,0x007fffff,0x7fffffec,0x7fffffff,
    0x7fffcc00,0x000002ff,0x7fffffec,0xfff50003,0x001dffff,0xfffffe98,
    0x2e00002f,0x00efffff,0xffffffc8,0x00ffffff,0xfffffc80,0x0fffffff,
    0xffffb000,0x03fffffb,0xffffff50,0xffffffff,0x20001fff,0xfffffffc,
    0xffffffff,0x7fec0000,0x2001ffff,0xffffffd8,0xfe980001,0xffffffff,
    0x800dffff,0x47fffffc,0x0ffffffb,0xfffff880,0xffffffff,0x8004ffff,
    0xfffffff9,0x000006ff,0x3ffffff6,0x3ff62001,0x0001ffff,0x3fffff20,
    0x7ffffdc7,0x3fe6000f,0xffffffff,0x64007fff,0x06ffffff,0x3ff60000,
    0x0001ffff,0xfffffff3,0xb1000dff,0x03ffffff,0xffff3000,0x3a009fff,
    0xffffffff,0x3a0002ff,0xffffffff,0x6c0002ff,0xffffffff,0xffff5001,
    0xffffffff,0x00bfffff,0x3fffff20,0xffffffff,0x360000ff,0x00dfffff,
    0xfffff700,0x7d40003f,0xffffffff,0x4fffffff,0xfffffb80,0x7ffffcc5,
    0x3bff6007,0xfffffdbb,0x8006ffff,0xc9fffff9,0x0005ffff,0xfffffd80,
    0xff70000d,0x0003ffff,0x3ffffee0,0x7ffffcc5,0xfffec807,0xffffffff,
    0x4007ffff,0x7ffffffd,0xffb00000,0x0001bfff,0x27ffffe6,0x005ffffc,
    0xffffff70,0xffb80003,0x007fffff,0xffffffd3,0x980007ff,0xfffffffe,
    0xfb00003f,0x005fffff,0x566fffd4,0xfffba99a,0x8002ffff,0xfffffffc,
    0xffffffff,0xfffb0000,0x300007ff,0x03fffffd,0x3ffffa00,0xfea99aef,
    0x801fffff,0xd81ffffe,0x4002ffff,0x7ff540fd,0x000effff,0x0fffffcc,
    0x00bffff9,0x7fffec00,0xe980003f,0x001fffff,0x3ffffd00,0x05ffffb0,
    0xffffffd0,0xdfffffff,0xfc800379,0x005fffff,0xffffd800,0x3e60003f,
    0x3f21ffff,0x30005fff,0x03fffffd,0x7fffe400,0x2000ffff,0x1dffffec,
    0x3fb20000,0x0001dfff,0x3bbbb620,0x056d4002,0x7ffff440,0xffc8004f,
    0xffffffff,0x000fffff,0x1eeeeec8,0x3b220000,0x4000deee,0x04fffffb,
    0x1bfffff2,0x70066dc0,0x0600039b,0x0aceeda8,0x7776c400,0xeeeec81d,
    0xeec80003,0x00001eee,0x37bbbb22,0x9b700000,0x00e6dc01,0xffffffe8,
    0x0fffffff,0x3ffe2000,0x00002fff,0x0f777764,0xdddb1000,0xdddd903b,
    0x3b220007,0x0000deee,0xfffffff5,0x004c000d,0x004c0000,0x00000000,
    0x7ffcc000,0xa98005ff,0xfffaaaaa,0x002aafff,0x00000000,0xfff88000,
    0xffe805ff,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fa00000,0xffccefff,0x0004ffff,0x017fff4c,0x00000000,0x00000000,
    0x7c400000,0x03ffffff,0x00000000,0x00000000,0x7c000000,0x0007ffff,
    0x3fffffc0,0x00000000,0x32000000,0x801fffff,0x03fffffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa06f36,0x002fffff,
    0x00001880,0x00000000,0x00000000,0x7ffcc000,0x330005ff,0x00000135,
    0x00000998,0x00004cc0,0xffffd000,0x4cc4000f,0x0ffffff0,0x00130000,
    0x20000000,0x007ffffe,0x09fffff3,0x0004cc00,0x004cc000,0x04cc0000,
    0x4cc00000,0x98000000,0x00000009,0xf5000000,0x01dfffff,0x00000000,
    0x00000000,0x33000000,0x10000135,0x260059b7,0xffffffeb,0x0001deff,
    0x7ffff654,0x40000cdf,0xfffffeca,0x200000cd,0xffff9999,0x372a007f,
    0xffefffff,0x20007fff,0xfffedba8,0x400bdeff,0x01eeeeeb,0x0eeeeed8,
    0x27bffffe,0x99999999,0x05fffff9,0xfffdb710,0x00019bff,0xfffedb88,
    0x0000cdff,0x7fff6dc4,0x0000cdff,0x7fff6dc4,0x0000cdff,0x7fff6dc4,
    0x2000cdff,0x01eeeeeb,0x0eeeeed8,0xfffd9700,0x09ffffff,0xb8000000,
    0x801eeeee,0x00eeeeed,0x03ddddd7,0x1dddddb0,0xfffeb980,0x1defffff,
    0xfa800000,0xffffffff,0x1dffffff,0x7ffec400,0xffffffff,0xffd88002,
    0xffffffff,0x6e44002f,0xfffffffe,0x9807ffff,0xfffffffe,0x7fffffff,
    0xffff5000,0xffffffff,0xfffc805f,0xffe801ff,0xfff10fff,0xffffffff,
    0xffffffff,0xff700fff,0xffffffff,0x2e0007ff,0xffffffff,0x0003ffff,
    0xfffffff7,0x007fffff,0x3ffffee0,0x3fffffff,0xffff7000,0xffffffff,
    0x3fff2007,0xffe801ff,0x75400fff,0xffffffff,0x700fffff,0xdddddddd,
    0x8005dddd,0x01fffffc,0x0fffffe8,0x3fffff90,0xfffffd00,0x3fffea01,
    0xffffffff,0x0001dfff,0x3fffea00,0xffffffff,0x000fffff,0xffffffd3,
    0xbfffffff,0x3ffa6001,0xffffffff,0x4c00dfff,0xfffffffd,0xffffffff,
    0x3fff2207,0xffffffff,0x007fffff,0x7ffffec4,0xffffffff,0x7ffe402f,
    0xffe801ff,0xfff30fff,0xffffffff,0xffffffff,0x7ec40fff,0xffffffff,
    0x01efffff,0xfffffb10,0xffffffff,0x362003df,0xffffffff,0x1effffff,
    0xffffb100,0xffffffff,0x22003dff,0xfffffffd,0xefffffff,0x7fffe401,
    0xfffe801f,0xffb100ff,0xffffffff,0x209fffff,0xfffffffc,0x003fffff,
    0x0fffffe4,0x7fffff40,0xfffff900,0xffffd003,0x3ffea01f,0xffffffff,
    0x00ffffff,0xfff50000,0xffffffff,0x0bffffff,0xffffff50,0xffffffff,
    0xff5009ff,0xffffffff,0x09ffffff,0x7fffffec,0xffffffff,0x3fa07fff,
    0xffffffff,0xffffffff,0x3ffe6007,0xffffffff,0x402fffff,0x01fffffc,
    0x0fffffe8,0xfffffff5,0xffffffff,0x0fffffff,0x3fffffe2,0xffffffff,
    0xf8806fff,0xffffffff,0xffffffff,0xffff8806,0xffffffff,0x806fffff,
    0xfffffff8,0xffffffff,0xff8806ff,0xffffffff,0x6fffffff,0x7ffffe40,
    0xffffe801,0xffffd00f,0xffffffff,0x901fffff,0xffffffff,0x8007ffff,
    0x01fffffc,0x0fffffe8,0x3fffff90,0xfffffd00,0x3fffea01,0xffffffff,
    0x005fffff,0xbfff5000,0xf7533559,0x05ffffff,0xefffffe8,0xfffea99a,
    0x7f401fff,0x99aeffff,0xffffffea,0xfffffc81,0xffffffff,0x707fffff,
    0xdfffffff,0xffffb959,0x7f400fff,0xffffffff,0x2fffffff,0x7ffffe40,
    0xffffe801,0xfffff70f,0xffffffff,0xffffffff,0x3ffff60d,0xfffeffff,
    0x03ffffff,0x7fffffec,0xfffffeff,0x6c03ffff,0xffffffff,0xfffffffe,
    0x7fec03ff,0xfeffffff,0xffffffff,0x7fffec03,0xfffeffff,0x03ffffff,
    0x07fffff2,0x3fffffa0,0xfffffb80,0xfdcaceff,0xc84fffff,0xffffffff,
    0x4003ffff,0x01fffffc,0x0fffffe8,0x3fffff90,0xfffffd00,0x37ffea01,
    0xfba99aac,0x02ffffff,0x0ada8000,0xffffe880,0x3ffee04f,0x3ff204ff,
    0x3ee06fff,0x3204ffff,0x546fffff,0xbfffffff,0xffffe809,0xfffff887,
    0x3ffe01ef,0xff7007ff,0x159fffff,0x017f5cc4,0x07fffff2,0x3fffffa0,
    0xbfffff30,0x33333333,0x13333333,0xffffff30,0x7fdc415d,0x300fffff,
    0x5dffffff,0x7fffdc41,0xff300fff,0x415dffff,0xffffffb8,0xffff300f,
    0x5c415dff,0x0fffffff,0xffffff30,0x7fdc415d,0x900fffff,0x003fffff,
    0x81fffffd,0xfffffff8,0xfffffd01,0xddddd70f,0x7ffffffd,0xffffc800,
    0xfffe801f,0xfff900ff,0xffd003ff,0x36a01fff,0xffe8800a,0x00004fff,
    0xfff30000,0x3fe20bff,0xfe805fff,0xf882ffff,0xe805ffff,0x362fffff,
    0x806fffff,0xd87ffffe,0x00efffff,0x03fffffc,0x7fffffcc,0x8013002f,
    0x01fffffc,0x0fffffe8,0x0bfffff1,0xfffd0000,0x7cc01dff,0xd05fffff,
    0x01dfffff,0x7fffffcc,0xfffffd05,0x7ffcc01d,0xffd05fff,0x4c01dfff,
    0x05ffffff,0x1dfffffd,0x7ffffcc0,0xffff905f,0xfffd003f,0xfffd81ff,
    0x3ee00eff,0x001fffff,0x0ffffff2,0xfffff900,0xffffd003,0x3fff201f,
    0xffe801ff,0x00000fff,0x17ffffe6,0x80000000,0x907fffff,0x003fffff,
    0x07fffff5,0x03fffff9,0x7fffff50,0x0ffffffc,0x3fffff40,0x3fffffe6,
    0xfffff802,0xffffd807,0x400001ff,0x01fffffc,0x0fffffe8,0x01fffffe,
    0xffff5000,0xff9001ff,0xff50ffff,0x9001ffff,0x50ffffff,0x01ffffff,
    0xffffff90,0xffffff50,0xffff9001,0xffff50ff,0xff9001ff,0x3f20ffff,
    0xe801ffff,0x260fffff,0x02ffffff,0x7fffffc4,0x3fff2003,0x7e4003ff,
    0xe801ffff,0x900fffff,0x003fffff,0x01fffffd,0xffff8000,0xefeb807f,
    0xfd000004,0x3fa0ffff,0xf3007fff,0xfd09ffff,0x2600ffff,0xf34fffff,
    0x100fffff,0xa8ffffff,0x006fffff,0x00ffffff,0x09ffffff,0xfff90000,
    0xffd003ff,0x7ff41fff,0x00002fff,0x17fffff2,0x7ffffc40,0x7fffe40f,
    0xfff1005f,0xffc81fff,0xf1005fff,0xc81fffff,0x005fffff,0x1ffffff1,
    0x5fffffc8,0xfffff100,0xffff901f,0xfffd003f,0x7ffd41ff,0xffb006ff,
    0x6400bfff,0x003fffff,0x0fffffe4,0x7fffff40,0xfffff900,0xffffd003,
    0xe800001f,0x6407ffff,0x00dfffff,0x7ccccc00,0xff07ffff,0x3333dfff,
    0xff333333,0xfff0bfff,0x33333dff,0xfff33333,0x3ffe6bff,0x3e601fff,
    0x647fffff,0x003fffff,0x80ffffff,0x0ffffff8,0xffc80000,0xfe801fff,
    0x3f20ffff,0x000fffff,0xfffffb00,0x7fff4005,0x7ffec1ff,0x3fa002ff,
    0x7ec1ffff,0x2002ffff,0x41fffffe,0x02fffffd,0x3fffffa0,0x7ffffec1,
    0x3fffa002,0xfffc81ff,0xffe801ff,0x3fee0fff,0xf7003fff,0x400dffff,
    0x03fffffc,0x7ffffe40,0xffffe801,0xffff900f,0xfffd003f,0x980001ff,
    0xfffff999,0x3fffe207,0x91004fff,0xffffffdb,0x10ffffff,0xffffffff,
    0xffffffff,0x88ffffff,0xffffffff,0xffffffff,0xf17fffff,0x209fffff,
    0xfffffffa,0x7ffffec7,0xfffff002,0xffffa80f,0x9000007f,0x003fffff,
    0x41fffffd,0xeffffff8,0x3a062001,0x000fffff,0x0ffffff6,0x01fffffd,
    0x7ffffec0,0x7fffff43,0x3fff6000,0x7fff43ff,0x3f6000ff,0x7f43ffff,
    0x2000ffff,0x83fffffd,0x01fffffc,0x0fffffe8,0x0bfffff6,0x7ffffd40,
    0x3fff2007,0x7e4003ff,0xe801ffff,0x900fffff,0x003fffff,0x01fffffd,
    0x3ffb7220,0xffffffff,0x3ffea07f,0x200fffff,0xffffffd9,0xffffffff,
    0xffff987f,0xffffffff,0xffffffff,0x7fffcc7f,0xffffffff,0xffffffff,
    0x3ffffe7f,0xfeb9bdff,0x7fffffff,0x0ffffff4,0x7fffff80,0x7ffffdc0,
    0xf9000006,0xd003ffff,0xb81fffff,0xdfffffff,0xdbaa99ab,0xffff84ff,
    0x3f2000ff,0x7fc4ffff,0x2000ffff,0x44fffffc,0x00ffffff,0x3fffff20,
    0x7fffffc4,0x3fff2000,0x7fffc4ff,0x3f2000ff,0xfc84ffff,0xe801ffff,
    0x3a0fffff,0x001fffff,0x0ffffff5,0x7ffffe40,0x7ffe4003,0xffe801ff,
    0xff900fff,0xfd003fff,0x9801ffff,0xfffffffd,0xffffffff,0x3fffea07,
    0xfb02ffff,0xffffffff,0xffffffff,0xfffff50f,0xffffffff,0xffffffff,
    0xfffffa8f,0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0x47ffffff,
    0x00ffffff,0x0ffffff0,0x5fffffd8,0xff900000,0xfd003fff,0xfd01ffff,
    0xffffffff,0xffffffff,0xfffff889,0x7ffdc007,0x3ffe25ff,0x7dc007ff,
    0x3e25ffff,0x4007ffff,0x25fffffb,0x07fffff8,0x7ffffdc0,0x3ffffe25,
    0x7ffdc007,0xfffc85ff,0xffe801ff,0x3ffe0fff,0xf3000fff,0x001fffff,
    0x0ffffff2,0xfffff900,0xffffd003,0x3fff201f,0xffe801ff,0x3f600fff,
    0xffffffff,0xffffffff,0x3fffe207,0xfc83ffff,0xffffffff,0xffffffff,
    0xffffb87f,0xffffffff,0xffffffff,0x7fffdc6f,0xffffffff,0xffffffff,
    0x7ffff46f,0xffffffff,0x27ffff9e,0x0ffffff8,0xffffff00,0xfffffc80,
    0xf9000005,0xd003ffff,0x101fffff,0xfffffffd,0xffffffff,0xffff889f,
    0x7fe4007f,0x3fe24fff,0x64007fff,0x224fffff,0x007fffff,0x27ffffe4,
    0x0ffffff1,0xfffffc80,0x3ffffe24,0x7ffe4007,0xfffc84ff,0xffe801ff,
    0xfff10fff,0x26001fff,0x007fffff,0x0ffffff2,0xfffff900,0xffffd003,
    0x3fff201f,0xffe801ff,0xff900fff,0xffffffff,0xffffffff,0xffffa80f,
    0x7fd44fff,0x09bfffff,0x87ffffe8,0x9dfffff9,0x99999999,0x40999999,
    0x9dfffff9,0x99999999,0x40999999,0xfffffff9,0xf88dffff,0x7ffc7fff,
    0xff001fff,0xfb80ffff,0x0007ffff,0xfffff900,0xffffd003,0x7ffdc01f,
    0xffffffff,0xff84ffff,0x2000ffff,0x42fffffc,0x00ffffff,0x3fffff20,
    0x7fffffc2,0x3fff2000,0x7fffc2ff,0x3f2000ff,0x7fc2ffff,0x2000ffff,
    0x82fffffc,0x01fffffc,0x0fffffe8,0x07fffffe,0x7ffffd40,0x3fff2007,
    0x7e4003ff,0xe801ffff,0x900fffff,0x003fffff,0x01fffffd,0xfffffff5,
    0xfffd0137,0xfff900ff,0xffd87fff,0xfe806fff,0xff887fff,0x00005fff,
    0x2fffffc4,0x7e440000,0x2dffffff,0xd1ffffe2,0x003fffff,0x01fffffe,
    0x1ffffff5,0xff900000,0xfd003fff,0x8801ffff,0xfffffffd,0x81ceffff,
    0x01fffffe,0x3fffffa0,0x7fffff41,0x3fffa001,0x7fff41ff,0x3fa001ff,
    0x7f41ffff,0x2001ffff,0x41fffffe,0x01fffffe,0x3fffffa0,0xfffffc81,
    0xffffe801,0x3ffffa0f,0xfff7002f,0x7e400dff,0x4003ffff,0x01fffffc,
    0x0fffffe8,0x3fffff90,0xfffffd00,0xfffffb01,0xffffd00d,0x3fffa00f,
    0x7fffc2ff,0xffe801ff,0xffff07ff,0xf00000ff,0x000fffff,0x5654c400,
    0xffffb80a,0x7ffffec4,0xffffb803,0x7ffc407f,0x00004fff,0x2fffffc8,
    0x7ffffd40,0x6d4c000f,0x401fffff,0x04fffffd,0xffffff10,0xfffffd81,
    0xffff1004,0xfffd81ff,0xff1004ff,0xfd81ffff,0x1004ffff,0x81ffffff,
    0x04fffffd,0xffffff10,0xfffff901,0xffffa805,0x3fff60ff,0xffb003ff,
    0x64009fff,0x003fffff,0x17ffffe4,0x3ffffea0,0xffff900f,0xfffa805f,
    0xfff80fff,0xfe801fff,0xf9007fff,0x7cc1ffff,0x8807ffff,0xd07fffff,
    0x005fffff,0xffffe800,0x0000002f,0x2ffffdc0,0x2fffffe4,0x3ffffe60,
    0xffff807f,0x00000fff,0x27ffffe4,0xffffff30,0xfd10001f,0xf9003fff,
    0x001fffff,0x0ffffff9,0x1ffffff9,0xfffff900,0xfffff90f,0xfff9001f,
    0xfff90fff,0xf9001fff,0xf90fffff,0x001fffff,0x0ffffff9,0x13fffff2,
    0xffffff98,0x3ffff20f,0xfff9806f,0x32002fff,0x003fffff,0x27ffffe4,
    0xffffff30,0x3fff201f,0x3fe604ff,0x4c0fffff,0x807fffff,0x07fffff8,
    0x8fffffb0,0x1ffffff9,0x3ffffe60,0xffff907f,0x400001ff,0x0ffffffc,
    0x30000000,0x701dffff,0x01ffffff,0x3fffffe6,0xfffd807f,0x2001efff,
    0x7fffdc00,0xffff106f,0x0001ffff,0x007ffff9,0x3fffffea,0x7fffcc04,
    0xfffa83ff,0x7cc04fff,0xa83fffff,0x04ffffff,0x7fffffcc,0xfffffa83,
    0x7ffcc04f,0xffa83fff,0x4c04ffff,0x03ffffff,0x0dfffff7,0x3fffffe2,
    0x3ffea0ff,0x7ec02fff,0x000fffff,0x0ffffff2,0xfffff700,0x3fffe20d,
    0xf700ffff,0x220dffff,0xffffffff,0x7ffffcc0,0x3ffe601f,0xf8807fff,
    0x7c42ffff,0x504fffff,0xffffffff,0x3ffffe20,0x062001ef,0x7fffffc4,
    0x0062001e,0x3ffff600,0x3ffffe03,0x7ffd40ef,0x807fffff,0xfffffff8,
    0x7d7300bf,0xfffffa80,0x3ffee22f,0x00ffffff,0x7ffffc40,0x3fff6000,
    0xfa80dfff,0x206fffff,0xdffffffd,0xfffffa80,0x3fff606f,0xfa80dfff,
    0x206fffff,0xdffffffd,0xfffffa80,0x3fff606f,0xfa80dfff,0x206fffff,
    0x2ffffffa,0x3ffffee2,0x7f40ffff,0x883fffff,0x4ffffffd,0x7fffe400,
    0x7fd4003f,0x2e22ffff,0xffffffff,0xffff500f,0x7fdc45ff,0x0fffffff,
    0x7fffffc4,0xfffff504,0xff980fff,0xfff05fff,0x737bffff,0xfffffffd,
    0x7ffdc0ff,0x9abdffff,0x4ffdbaa9,0x3ffffee0,0xa99abdff,0x004ffdba,
    0x2fffff80,0x3fffff20,0xfffecdff,0x07ffffff,0xffffff70,0xfdddffff,
    0xf8807fff,0xceffffff,0xffffffff,0x54000fff,0x4007ffff,0xfffffff9,
    0xffffdcef,0x2602ffff,0xffffffff,0xfffffdce,0x3e602fff,0xefffffff,
    0xffffffdc,0x3fe602ff,0xceffffff,0xfffffffd,0x3ffe602f,0xdcefffff,
    0xffffffff,0x3fffe202,0xfffcefff,0xffffffff,0x7ffffd40,0xffdcdfff,
    0x00ffffff,0x7ffffe40,0x7ffc4003,0xffceffff,0xffffffff,0xffff100f,
    0xfff9dfff,0xffffffff,0xffffff01,0xffd737bf,0x4fffffff,0xfffebaa8,
    0xff700eff,0xffffffff,0xffffffff,0xfffe80ff,0xffffffff,0x04ffffff,
    0x7ffffff4,0xffffffff,0x40004fff,0x0dfffff8,0xfffff881,0xffffffff,
    0x07ffffdf,0x3fffffa0,0xffffffff,0xfc803fff,0xffffffff,0xfffdffff,
    0x7dc000ff,0x010affff,0xffffff90,0xffffffff,0xf900bfff,0xffffffff,
    0xffffffff,0xffff900b,0xffffffff,0x00bfffff,0xfffffff9,0xffffffff,
    0xff900bff,0xffffffff,0xbfffffff,0xfffff900,0xffffffff,0x01fffffb,
    0xfffffffd,0xffffffff,0x999307ff,0xfffd9999,0x99999dff,0x3fff2059,
    0xffffffff,0xfffffdff,0x3ffff200,0xffffffff,0x0fffffdf,0xffffffb8,
    0xffffffff,0x327fffff,0xffffffff,0x7fff401e,0xffffffff,0x7ffff9ef,
    0x7ffff440,0xffffffff,0x4404ffff,0xfffffffe,0xffffffff,0xff80004f,
    0x87ffffff,0xfffffffb,0xf9cfffff,0x22007fff,0xfffffffd,0xffffffff,
    0xffff8803,0xffffffff,0x0fffff8d,0x7fffd400,0x8804ffff,0xfffffffd,
    0xffffffff,0xfffb1004,0xffffffff,0x2009ffff,0xffffffd8,0xffffffff,
    0xffb1004f,0xffffffff,0x009fffff,0x3fffff62,0xffffffff,0xff1004ff,
    0xffffffff,0xffff1bff,0xfffd301f,0xffffffff,0x2e07ffff,0xffffffff,
    0xffffffff,0xf104ffff,0xffffffff,0xfff1bfff,0x7fc401ff,0xffffffff,
    0xffff8dff,0xffffd00f,0xffffffff,0x4fffff3d,0xfffffffc,0xffff3003,
    0xbfffffff,0x0fffff11,0x3ffffee0,0xffffffff,0xff7004ff,0xffffffff,
    0x009fffff,0xfffff900,0x3fea0fff,0xffffffff,0x0fffff33,0xfffff500,
    0xffffffff,0x3fea007f,0xffffffff,0x1fffff14,0xffff8800,0x2004ffff,
    0xfffffffa,0x02ffffff,0xfffffa80,0xffffffff,0xfffa8002,0xffffffff,
    0xfa8002ff,0xffffffff,0x8002ffff,0xfffffffa,0x02ffffff,0x7ffffd40,
    0xf14fffff,0x6401ffff,0xffffffff,0x203fffff,0xfffffffb,0xffffffff,
    0x204fffff,0xfffffffa,0xfff14fff,0xffa801ff,0xffffffff,0x1fffff14,
    0x3ffffe60,0x8dffffff,0x327ffff8,0x00ceffff,0x7fffe440,0x3e22dfff,
    0x22007fff,0xfffffffd,0x01ceffff,0x3ffff620,0xefffffff,0xe880001c,
    0x07ffffff,0x3fffff66,0x3ffe61df,0x3ae0007f,0xffffffff,0x744002ce,
    0x2effffff,0x03ffffe2,0x3fffea00,0x44004fff,0xffffffec,0x20000cef,
    0xfffffec8,0x0000ceff,0x3ffffb22,0x000cefff,0x3fffb220,0x00ceffff,
    0x3ffb2200,0x0cefffff,0xfffd1000,0x7c45dfff,0x5400ffff,0xfffffffe,
    0x7dc00bff,0xffffffff,0xffffffff,0x74404fff,0x2effffff,0x03ffffe2,
    0x3ffffa20,0x3fe22eff,0x32200fff,0xdfffffff,0x9ffffe22,0x000009aa,
    0x01559531,0x95300000,0x00035579,0x55e654c0,0x2000001a,0x03deeeca,
    0x00157730,0xa9880000,0x8000099a,0x001abb98,0xedb88000,0x20001cee,
    0x001aba98,0x57531000,0x22000003,0x0001aba9,0x35753100,0x26200000,
    0x00001aba,0x00d5dcc4,0xbb988000,0x3ee0009a,0xffffffff,0xffffffff,
    0x31004fff,0x00003577,0x06aee620,0x95310000,0x00000155,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ef64400,0x0005bd90,0x01555530,
    0x55400000,0x882aaaaa,0x1aaaaaaa,0x22000000,0x400000a9,0x0aaaaaa8,
    0x55555554,0x9dfb7301,0xaaa98005,0x6f64400a,0x00b7b201,0x337f6e60,
    0x20000600,0x000aaaa9,0x2aaa0000,0x5542aaaa,0x4000009a,0xceeedcb9,
    0x2000001b,0x40020099,0x00cdfdb9,0x55510006,0x35553015,0x55400000,
    0x30002aaa,0x00015555,0x00009880,0xf1000000,0xfb03ffff,0x40007fff,
    0x0efffffa,0xfd800000,0x00dfffff,0xfffffff7,0x775c0005,0x7ff543ee,
    0x0002deff,0x5fffffd8,0x7fffffdc,0xfffff704,0xf1001bff,0xf880dfff,
    0xfd81ffff,0x2e003fff,0xcfffffff,0x00017dc0,0x1dfffff5,0xfb000000,
    0x41bfffff,0xeffffff8,0xf910002c,0xffffffff,0xa80003bf,0xfffffedb,
    0x00ffdbbd,0x7fffffdc,0x017dc0cf,0x05ffff10,0x0009ffff,0x7ffff400,
    0x7fd4000f,0x0000efff,0x7ffffedc,0x7540003e,0x70000cef,0x98bfffff,
    0x007fffff,0xffffff50,0x000001df,0x7fffffec,0xfffe9803,0x90002fff,
    0x3629ffff,0xffffffff,0x3f20003f,0x7d45ffff,0x903fffff,0xffffffff,
    0xfff900bf,0xfffb803f,0x7ffcc5ff,0xff5007ff,0xffffffff,0x05fffb57,
    0xfffff500,0x00001dff,0x7ffffec0,0xffff883f,0x02efffff,0x3ffffee0,
    0xffffffff,0xfe98003f,0xffffffff,0x00ffffff,0x3fffffea,0xfdabffff,
    0x3fe002ff,0xff910eff,0x000005ff,0x07fffff4,0xfffff500,0x30001dff,
    0xfffffffd,0x70005dff,0x01dfffff,0xfffff900,0xfffffb8f,0x7fcc000f,
    0x6fffffff,0xffb00000,0x4003ffff,0xffffffd8,0xfffc8001,0xfffff8cf,
    0x4fffffff,0xffffa800,0x7fffcc5f,0xfff101ff,0xfffffdff,0x7fffcc03,
    0xffffc803,0x7fffdc7f,0x7fc400ff,0xffffffff,0x4fffffff,0x7fffcc00,
    0x006fffff,0xffffb000,0x3fe203ff,0xffffffff,0x7fcc02ef,0xffffffff,
    0x02ffffff,0x3ffffee0,0xffffffff,0xf100ffff,0xffffffff,0xffffffff,
    0x7ffe4009,0xffffffff,0x2000000f,0x00fffffe,0xffffff30,0xb800dfff,
    0xffffffff,0x002fffff,0x3fffffe6,0xffb8004f,0x7fcc5fff,0x4c007fff,
    0xfc9fffff,0x00005fff,0x6fffffec,0xfff70000,0xc8003fff,0xffedffff,
    0xffffffff,0x22003fff,0x445fffff,0x00efffff,0x547bfff2,0x3a05ffff,
    0xf7006fff,0xf98bffff,0xb007ffff,0xffb77dff,0xdfffffff,0xffff9800,
    0x5ffffc9f,0x7fec0000,0x2200dfff,0xffffffff,0x102fffff,0xdffffffd,
    0xfffffdb9,0x3ffa00ff,0xffffffff,0xffffffff,0x2fbff600,0xffffffdb,
    0xe8006fff,0xffffffff,0x000002ff,0x07fffff4,0x7ffffcc0,0x05ffffc9,
    0xffffff30,0xffffffff,0x3fee001f,0x007fffff,0x03ffffd0,0x005ffffb,
    0x0fffffcc,0x00bffff9,0x3ffff600,0xe980003f,0x001fffff,0x3ffffff2,
    0xffefffff,0x007fffff,0x117ffffa,0x01bffffd,0x644fffe8,0xff906fff,
    0x7f4003ff,0xffd81fff,0x3f6002ff,0x7ffff540,0x26000eff,0x321fffff,
    0x0005ffff,0x7fffffb0,0xfffff100,0xffffffff,0xffff903f,0xfff503df,
    0xfb803fff,0xceffffff,0xffffecca,0x07ec00ff,0x3fffffaa,0xe98000ef,
    0xffffffff,0xe8000003,0x400fffff,0x21fffff9,0x805ffffc,0xbefffffe,
    0xffffffca,0xffff9005,0x0001ffff,0xdb80336e,0x3b62001c,0xeec81dee,
    0x640003ee,0x001eeeee,0x3bbb2200,0xff9000de,0x7dffffff,0x3ffff621,
    0xeeb802ff,0xeeec84ee,0xffff004e,0x87fffb85,0x004ffff9,0x2e00cdb8,
    0x018001cd,0x02b3bb6a,0xdeeed880,0x3eeeec81,0x77764000,0x998001ee,
    0xffffffca,0x7ffc0fff,0x3f200fff,0x2203ffff,0x1fffffff,0x3fffffa0,
    0x36a01800,0x0000acee,0x6fffff64,0xd0000001,0x401fffff,0x81deeed8,
    0x203eeeec,0x84fffffa,0x07fffff9,0xffffff50,0x000000df,0x00000000,
    0x00000000,0xf9000000,0x0bffffff,0x37ffffec,0x40000000,0x4c1ffff8,
    0xffe87fff,0x0000006f,0x00000000,0x00000000,0x20000000,0xffffffb8,
    0x3fffe25f,0x7ffd405f,0x3ff604ff,0x7400efff,0x000fffff,0x80000000,
    0x00000009,0x0fffffe8,0x70000000,0x201fffff,0x00fffffc,0xffffff88,
    0x0000003f,0x00000000,0x00000000,0xfc800000,0x00efffff,0x3fffffea,
    0x00000000,0x217fffc4,0x7e47fffb,0x00001fff,0x00000000,0x00000000,
    0x00000000,0xfffffa80,0x3fffe67f,0x7ffdc03f,0xfff303ff,0xfd005fff,
    0x0001ffff,0x00000000,0x74000000,0x000fffff,0xffb00000,0x7fd40dff,
    0xf3001fff,0x000bffff,0x00026600,0x00133000,0x00998000,0x09980000,
    0x3ffff200,0xfff800ef,0x00001fff,0xffff8000,0x32fffe44,0x0009ffff,
    0x004d4cc0,0x9a998000,0x33000000,0x00000135,0x00026a66,0x7fffe400,
    0xffff70ff,0xfffe805f,0xfff702ff,0x3fa00dff,0x0000ffff,0x00000000,
    0x26600000,0x1fffffd0,0x4cd4c000,0xfffd0009,0x7ffdc0df,0x2e2000ff,
    0x200002cd,0xfffffeca,0x540000cd,0xdfffffec,0x6540000c,0xcdfffffe,
    0xeca80000,0x0cdfffff,0x3fffff20,0xffffb002,0xdddd705f,0xdddb003d,
    0x7ff401dd,0xffff51ef,0x037fff49,0xfffd7300,0x3bdfffff,0xffd73000,
    0xbdffffff,0xfd730003,0xdfffffff,0xd730003b,0xffffffff,0x200003bd,
    0x2ffffff9,0x05fffff9,0x37ffffec,0x7fffff90,0x3ffffa00,0xeeeeb80f,
    0xeeed801e,0xeeeb80ee,0xeed801ee,0x95000eee,0xffffffdb,0x001fffff,
    0x3ffffb22,0x04efffff,0x03fffff2,0x037fffec,0x44000000,0xfffffffd,
    0x8002ffff,0xffffffd8,0x002fffff,0xfffffd88,0x02ffffff,0xffffb100,
    0x5fffffff,0x3fffff20,0xffffb002,0xffff907f,0xfffd003f,0x7fd401ff,
    0xffffefff,0x3ffff70f,0xffff5000,0xffffffff,0x5003bfff,0xffffffff,
    0xbfffffff,0xffff5003,0xffffffff,0x5003bfff,0xffffffff,0xbfffffff,
    0xfff00003,0x3ff27fff,0xff902fff,0x6c03ffff,0x002fffff,0x01fffffd,
    0x03fffff9,0x1fffffd0,0x3fffff90,0xfffffd00,0xfffe9801,0xffffffff,
    0x4400ffff,0xfffffffc,0x07ffffff,0x0bffffee,0x13ffffea,0x30000000,
    0xfffffffd,0x1bffffff,0x3fffa600,0xffffffff,0xd3000dff,0xffffffff,
    0x01bfffff,0x7ffff4c0,0xffffffff,0x7ffe40df,0xff9002ff,0xff909fff,
    0xfd003fff,0xe801ffff,0xffffffff,0x9ffff33f,0x3ffea000,0xffffffff,
    0x00ffffff,0x7fffffd4,0xffffffff,0x7d400fff,0xffffffff,0xffffffff,
    0x7fffd400,0xffffffff,0x000fffff,0x3ffffe20,0xfffff92f,0xfffff905,
    0xfffe805f,0xffd001ff,0xff901fff,0xfd003fff,0xf901ffff,0xd003ffff,
    0x201fffff,0xffffffc8,0xffffffff,0x3a200fff,0xffffffff,0x07ffffff,
    0x3fffffe6,0x3ffffea0,0x0000000f,0x3ffffea0,0xffffffff,0xfa804fff,
    0xffffffff,0x4fffffff,0xfffffa80,0xffffffff,0xf5004fff,0xffffffff,
    0x9fffffff,0x2fffffc8,0xfffff900,0xfffff909,0xffffd003,0xffd8801f,
    0x3a2fffff,0x0000efff,0xfffffff5,0xffffffff,0xffa80bff,0xffffffff,
    0x5fffffff,0x7ffffd40,0xffffffff,0x5405ffff,0xffffffff,0xffffffff,
    0x3ea0005f,0xf90fffff,0xfb85ffff,0x802fffff,0x00ffffff,0x1fffffd0,
    0x3fffff90,0xfffffd00,0xfffff901,0xffffd003,0x3fffa01f,0xffffffff,
    0x0fffffff,0x3fffffa0,0xffffffff,0x7fec07ff,0xffc8dfff,0x0002ffff,
    0x7ff40000,0xa99aefff,0x1ffffffe,0x7fffff40,0xffea99ae,0x7401ffff,
    0x9aefffff,0xfffffea9,0xfffe801f,0xea99aeff,0x21ffffff,0x02fffffc,
    0x7fffffb0,0x3fffff90,0xfffffd00,0x3fb2a001,0x3ffee0bd,0x3ea0002f,
    0x99aacdff,0xffffffba,0x3ffea02f,0xba99aacd,0x2fffffff,0x337ffea0,
    0xffba99aa,0x202fffff,0xaacdfffa,0xffffba99,0x88002fff,0x27ffffff,
    0x22fffffc,0x2ffffff8,0xfffff880,0xfffd000f,0xfff901ff,0xffd003ff,
    0xff901fff,0xfd003fff,0xf701ffff,0x9dffffff,0xffffd995,0x3ff201ff,
    0x31bdffff,0x80ffb753,0xfffffff9,0x03ffffff,0x5c000000,0x204fffff,
    0x06fffffc,0x13ffffee,0x6fffffc8,0x3ffffee0,0x3ffff204,0x7ffdc06f,
    0x3ff204ff,0x3ff26fff,0xfb002fff,0xf905ffff,0xd003ffff,0x001fffff,
    0x3fffe200,0x56d40004,0xfffe8800,0x2b6a04ff,0xfffe8800,0x2b6a04ff,
    0xfffe8800,0x2b6a04ff,0xfffe8800,0x731004ff,0x7fffffff,0x17ffffe4,
    0x0bfffff5,0x7fffffc0,0xffffd001,0xffff901f,0xfffd003f,0xfff901ff,
    0xffd003ff,0xff881fff,0x201fffff,0x00fffffe,0x0dfffffd,0x7fe40040,
    0xffffffff,0x0000001f,0x7ffffc40,0xffffe805,0xffff882f,0xfffe805f,
    0xfff882ff,0xffe805ff,0xff102fff,0xfd00bfff,0x3f25ffff,0xf002ffff,
    0x901fffff,0x003fffff,0x01fffffd,0x3fffa000,0x0000000f,0x5fffff98,
    0x7fcc0000,0x00005fff,0x2fffffcc,0x3fe60000,0x3fe05fff,0xffffffff,
    0x7ffe46ff,0x3fff22ff,0x3fa003ff,0xd001ffff,0x901fffff,0x003fffff,
    0x01fffffd,0x03fffff9,0x1fffffd0,0xefffffd8,0x7ffff400,0xfffff00f,
    0xd000005f,0xffffffff,0x00000019,0xfffff900,0xffff5003,0xffff907f,
    0xfff5003f,0xfff907ff,0xff5003ff,0x3f207fff,0xa801ffff,0xf93fffff,
    0x3005ffff,0x20ffffff,0x01fffffc,0x0fffffe8,0xfffb8000,0x0000002f,
    0x1fffffe0,0x3ffe0000,0x800007ff,0x007fffff,0xfffff800,0x3ffffe07,
    0x1fffffff,0x17ffffe4,0x0bfffff9,0x7ffffec0,0xffffa803,0xfffc80ff,
    0xffe801ff,0xffc80fff,0xfe801fff,0x3e60ffff,0x802fffff,0x80fffffe,
    0x3ffffff8,0x7fcc0000,0x01ffffff,0x00044000,0x07ffffe8,0x9fffff30,
    0x0fffffd0,0x3ffffe60,0x7ffffe84,0xfffff300,0x3ffffa09,0xffff3007,
    0x3ffff29f,0xfffd802f,0xfff906ff,0xffd003ff,0x80001fff,0x005ffff8,
    0x7f400000,0x00007fff,0x07ffffe8,0xfffe8000,0xe800007f,0x3e07ffff,
    0xffffffff,0xfffc80df,0x3ffea2ff,0xf9001fff,0x980bffff,0x0fffffff,
    0x1fffffc8,0xfffffe80,0xfffffc80,0xffffe801,0x3fffea0f,0xfffd006f,
    0x3ffe01ff,0x000bffff,0xfffffb80,0x9904ffff,0x7dc03999,0x7c001eff,
    0x999effff,0xf9999999,0xff85ffff,0x9999efff,0xff999999,0xfff85fff,
    0x99999eff,0xfff99999,0xffff05ff,0x333333df,0xffff3333,0x3ffff2bf,
    0x7ffd402f,0xff903fff,0xfd003fff,0x0001ffff,0x00ffffd8,0x4cc00000,
    0x7fffff99,0x99998000,0x007fffff,0xff999980,0x80007fff,0xffff9999,
    0x3fffe07f,0x202dffff,0x22fffffc,0xfffffff9,0xffffa802,0xfff100ff,
    0x901fffff,0x003fffff,0x01fffffd,0x03fffff9,0x1fffffd0,0x1fffffe4,
    0xfffffe80,0xfffffb00,0x00039fff,0x3fffffee,0x443fffff,0xb02fffff,
    0x03ffffff,0x3ffffe20,0xffffffff,0xffffffff,0x7ffffc47,0xffffffff,
    0xffffffff,0x7ffffc47,0xffffffff,0xffffffff,0xfffff887,0xffffffff,
    0xffffffff,0x5fffff97,0x7ffffdc0,0x3fff205f,0xffe801ff,0x20000fff,
    0x442ffffa,0x200009aa,0xffffedc8,0x7fffffff,0x3fb72200,0xffffffff,
    0x322007ff,0xffffffed,0x007fffff,0x3fffb722,0xffffffff,0x3ffffa07,
    0xfff9001e,0xfffd85ff,0xf804ffff,0x40efffff,0xffffffeb,0xfffc80ff,
    0xffe801ff,0xffc80fff,0xfe801fff,0x3f60ffff,0xd002ffff,0x201fffff,
    0xfffffff9,0x001cffff,0xdffffff5,0x43ffffff,0x81fffff8,0xfffffff9,
    0xffff3005,0xffffffff,0xffffffff,0xffff98ff,0xffffffff,0xffffffff,
    0x7fffcc7f,0xffffffff,0xffffffff,0xffff987f,0xffffffff,0xffffffff,
    0xfffff97f,0xfb75559d,0x01ffffff,0x0fffffe4,0x7fffff40,0xfff10000,
    0x7fffd4bf,0x6cc004ff,0xffffffff,0x7fffffff,0xffffd980,0xffffffff,
    0xd9807fff,0xffffffff,0x7fffffff,0xffffd980,0xffffffff,0x3fa07fff,
    0x32004fff,0x442fffff,0xffffffff,0x3ffee00d,0xffcdffff,0xffffffff,
    0xffffc80f,0xfffe801f,0xfffc80ff,0xffe801ff,0x3ffa0fff,0xfd001fff,
    0x6401ffff,0xffffffff,0x00beffff,0x4ffffffa,0x0ffffffe,0x01fffff1,
    0xfffffff7,0x3ffea00f,0xffffffff,0xffffffff,0x7ffd47ff,0xffffffff,
    0xffffffff,0x7ffd47ff,0xffffffff,0xffffffff,0xfffa87ff,0xffffffff,
    0xffffffff,0xffff97ff,0xffffffff,0x07ffffff,0x1fffffc8,0xfffffe80,
    0xfffb0000,0x3ffff21f,0x800effff,0xfffffffd,0xffffffff,0x7fec07ff,
    0xffffffff,0x7fffffff,0x7ffffec0,0xffffffff,0x6c07ffff,0xffffffff,
    0xffffffff,0x3fff607f,0x3ff2004f,0xff982fff,0x0effffff,0xffffff10,
    0xffffffff,0x01ffffff,0x03fffff9,0x1fffffd0,0x3fffff90,0xfffffd00,
    0x7fffffc1,0xffffd000,0xfffa801f,0xffffffff,0xffa81eff,0x3fe24fff,
    0xfa8effff,0xff907fff,0x00ffffff,0x3fffffee,0xffffffff,0x6fffffff,
    0x7fffffdc,0xffffffff,0x6fffffff,0x7fffffdc,0xffffffff,0x6fffffff,
    0xffffffb8,0xffffffff,0x6fffffff,0xfffffff9,0xffffffff,0xff9007ff,
    0xfd003fff,0x0001ffff,0x267ffff5,0xffffffff,0x7fe404ff,0xffffffff,
    0xffffffff,0x3ffff207,0xffffffff,0x07ffffff,0x3ffffff2,0xffffffff,
    0x3207ffff,0xffffffff,0xffffffff,0x3ff607ff,0x3f2003ff,0xd302ffff,
    0xbfffffff,0x7ffffd40,0xdfffffff,0x80fffffc,0x01fffffc,0x0fffffe8,
    0x1fffffc8,0xfffffe80,0xffffff10,0x3fffa001,0xfc8800ff,0xffffffff,
    0x7f42ffff,0x7cc1ffff,0xfbdfffff,0xff507fff,0x00dfffff,0x37ffffe6,
    0x99999999,0x09999999,0x6fffffcc,0x99999999,0x09999999,0x6fffffcc,
    0x99999999,0x09999999,0xdfffff98,0x99999999,0x09999999,0xfffffff9,
    0xffffffff,0x3ff2001b,0xfe801fff,0x4000ffff,0x3a5ffff8,0xffbbffff,
    0xff500fff,0x137fffff,0x0fffffd0,0x3fffffea,0xffe809bf,0xfff507ff,
    0x0137ffff,0x20fffffd,0xfffffffa,0xfffe809b,0x3fff607f,0x3ff2003f,
    0x36202fff,0x2fffffff,0x3ffffe60,0xf94fffff,0xf901ffff,0xd003ffff,
    0x901fffff,0x003fffff,0x41fffffd,0x01ffffff,0x1fffffd0,0xfffc9800,
    0xffffffff,0x1fffffe0,0x7fffffdc,0x204fffff,0x2ffffffe,0xfffff100,
    0xf880000b,0x0005ffff,0x7ffffc40,0xf8800005,0x0005ffff,0xffffff90,
    0xbdffffff,0xfffc8005,0xffe801ff,0x6c000fff,0xff30ffff,0x7ffc43ff,
    0xffffb02f,0xfffd00df,0x3fff60ff,0xffe806ff,0xfffb07ff,0xffd00dff,
    0x3ff60fff,0xfe806fff,0x00007fff,0x3fffff20,0xffffd802,0x7ecc05ff,
    0x22efffff,0x80fffffd,0x01fffffc,0x0fffffe8,0x1fffffc8,0xfffffe80,
    0x3fffffa0,0xffffd001,0x64c0001f,0xffffffff,0xbfffff13,0x7ffffe40,
    0x201fffff,0x03ffffe8,0x3fffffc0,0x7ffc0000,0x800007ff,0x007fffff,
    0xfffff000,0x3f20000f,0xaa9affff,0x7e40001a,0x5402ffff,0x00ffffff,
    0x8ffffea0,0xff87fffa,0xffff03ff,0xffd003ff,0x3ffe0fff,0xfe801fff,
    0xfff07fff,0xfd003fff,0x3fe0ffff,0xe801ffff,0x0007ffff,0x3ffff200,
    0xfffb002f,0x5cc00fff,0xfffd81ab,0xfffc80ff,0x7fd402ff,0xfc80ffff,
    0x5402ffff,0x20ffffff,0x03fffffd,0xffffffa8,0xfd880000,0xf14fffff,
    0xd80bffff,0xffffffff,0x01575006,0xfffffd00,0xfe800005,0x0002ffff,
    0x7fffff40,0xfe800002,0x0002ffff,0x2fffffc8,0xffc80000,0x3e604fff,
    0x00ffffff,0x8dffff10,0xfd86fffb,0xfff984ff,0xff8807ff,0xff987fff,
    0xf8807fff,0xf987ffff,0x8807ffff,0x987fffff,0x807fffff,0x07fffff8,
    0xfc800088,0x5002ffff,0x01ffffff,0x7ffec000,0xfffc80ff,0x3fe604ff,
    0xc80fffff,0x204fffff,0xfffffff9,0x3fffff20,0x7fffcc05,0x00000fff,
    0x9bfffffa,0x407fffff,0xffffffe8,0x0000003f,0x1ffffff9,0x7fe40000,
    0x0000ffff,0x3fffff20,0x6400000f,0x00ffffff,0x7fffe400,0xb800002f,
    0x106fffff,0xffffffff,0x3fff2001,0x37ffdc1f,0x4c27ffec,0x01ffffff,
    0x3fffffe6,0xfffff987,0x3ffe601f,0xff987fff,0x2601ffff,0x87ffffff,
    0x1ffffff9,0x3ffffe60,0x3ffea07f,0x3ff2001e,0xf1002fff,0x000fffff,
    0xfffffe80,0xfffffb80,0xfffff106,0xff701fff,0x3e20dfff,0x0fffffff,
    0x3fffffea,0xfffff100,0x00001fff,0x27ffffec,0x05fffffd,0xffffff98,
    0x3fff600f,0xffffffff,0x7fc41fff,0x001effff,0x7ffc4062,0x2001efff,
    0xffff1018,0x44003dff,0x3fffe201,0x22001eff,0x3fffff21,0xfa800002,
    0x222fffff,0xfffffffb,0xffa800ff,0xfffa83ff,0x83ffff87,0x4ffffff8,
    0xffffff50,0xffff10ff,0x3fea09ff,0x887fffff,0x04ffffff,0xfffffff5,
    0xfffff10f,0x3ffea09f,0xf307ffff,0x003fffff,0x0bfffff2,0x7ffffd40,
    0x7f400006,0xfa80ffff,0x222fffff,0xfffffffb,0xfffa80ff,0x3ee22fff,
    0xffffffff,0x7fffffc0,0x7fff5c0e,0x880fffff,0x3fea001c,0x3f22ffff,
    0x201fffff,0xfffffffa,0x3ffffa04,0xffffffff,0xfffb81ff,0x9abdffff,
    0x4ffdbaa9,0x3ffffee0,0xa99abdff,0x204ffdba,0xfffffffb,0xbaa99abd,
    0x7dc04ffd,0xbdffffff,0xfdbaa99a,0x3ffff24f,0x8800002f,0xefffffff,
    0xfffffffc,0x4400ffff,0xf306fffe,0x7fc43fff,0xffff02ff,0xd737bfff,
    0xffffffff,0x3ffffe0f,0xfeb9bdff,0x7fffffff,0xfffffff0,0xfffd737b,
    0x20ffffff,0xdfffffff,0xffffeb9b,0xfb07ffff,0x00bfffff,0x8bfffff2,
    0xfca9aacc,0x004fffff,0x7ffff400,0xffff880f,0xfffcefff,0xffffffff,
    0xfffff880,0xffffceff,0x0fffffff,0x7fffffdc,0xfffffcdf,0x80ffffff,
    0x9aadfff8,0x3fffee60,0x3fe60fff,0x9bdfffff,0xfffffdba,0xfd03ffff,
    0xffffffff,0x203fffff,0xfffffffe,0xffffffff,0x7ff404ff,0xffffffff,
    0x4fffffff,0x7fffff40,0xffffffff,0xe804ffff,0xffffffff,0xffffffff,
    0x3ffff24f,0x9000002f,0xffffffff,0xffbfffff,0xfc801fff,0xff101fff,
    0xfff79fff,0x7ffdc0df,0xffffffff,0xffffffff,0xfffff707,0xffffffff,
    0x0fffffff,0x3fffffee,0xffffffff,0x707fffff,0xffffffff,0xffffffff,
    0x3fe0ffff,0x006fffff,0x45fffff9,0xfffffffd,0x000fffff,0x7ffff400,
    0xffff900f,0xffffffff,0x1fffffbf,0x3fffff20,0xffffffff,0x40fffffd,
    0xfffffff8,0xdfffffff,0x880fffff,0xffffffff,0xffffffff,0xfffc85ff,
    0xffffffff,0xffffffff,0xffe82fff,0xffffffff,0xd101ffff,0xffffffff,
    0xffffffff,0xfffe8809,0xffffffff,0x404fffff,0xffffffe8,0xffffffff,
    0xfe8804ff,0xffffffff,0x4fffffff,0x0bfffff2,0x7fc40000,0xffffffff,
    0xffff8dff,0x3ffe600f,0x7ffdc03f,0x2fffffff,0x7fffff40,0xefffffff,
    0x207ffff9,0xfffffffe,0xf9efffff,0x3fa07fff,0xffffffff,0xfff9efff,
    0x3fffa07f,0xffffffff,0x7ffff9ef,0xffffffd0,0x3fff200b,0x3fff62ff,
    0xffffffff,0xfe800001,0xf100ffff,0xffffffff,0xfff1bfff,0x3fe201ff,
    0xffffffff,0xffff8dff,0xffffa80f,0xffffffff,0x0fffff8d,0xffffff88,
    0xffffffff,0x3fa05fff,0xffffffff,0xffffffff,0x740fffff,0xffffffff,
    0x01ffffff,0x7fffffdc,0xffffffff,0xfff7004f,0xffffffff,0x2009ffff,
    0xfffffffb,0xffffffff,0x3ffee004,0xffffffff,0x3f24ffff,0x0002ffff,
    0x3fffea00,0x14ffffff,0x401fffff,0xd006fffe,0xffffffff,0xffff3009,
    0xbfffffff,0x0fffff11,0x7fffffcc,0x88dfffff,0x2607ffff,0xffffffff,
    0xff88dfff,0x3fe607ff,0xffffffff,0xffff88df,0xfffff707,0x3ff2005f,
    0x3ff62fff,0xefffffff,0xfd000002,0x5401ffff,0xffffffff,0xffff14ff,
    0x7ffd401f,0x4fffffff,0x01fffff1,0x3fffffe6,0x3fe4ffff,0xff880fff,
    0xffffffff,0x04ffffff,0x7ffffe44,0xefffffff,0xffffff8a,0x2aaaa60e,
    0xaaaaaaaa,0xfd8800aa,0xffffffff,0x2001ceff,0xffffffd8,0x1cefffff,
    0x3fff6200,0xffffffff,0x6c4001ce,0xffffffff,0x321cefff,0x002fffff,
    0x7ff44000,0x222effff,0x900fffff,0x4003ffff,0x2ffffffb,0x3fff2200,
    0x222dffff,0x4407ffff,0xfffffffc,0x3fffe22d,0x7ffe4407,0x222dffff,
    0x4407ffff,0xfffffffc,0x3fffe22d,0x3ffff207,0x3fff2004,0x3fff62ff,
    0x003effff,0x7fff4000,0x7f4400ff,0x22efffff,0x00fffff8,0x7fffff44,
    0x3ffe22ef,0x3f6600ff,0x42efffff,0x880fffff,0xffffffed,0x0befffff,
    0x3fff6200,0x43ffffff,0x5ffffff9,0x20000000,0x1aabcca9,0x32a60000,
    0x0001aabc,0x2af32a60,0x4c00001a,0x01aabcca,0x0733332a,0x4c400000,
    0x00001abb,0x2aa60000,0x2a620000,0x00000aac,0x055654c4,0x2a620000,
    0x00000aac,0x055654c4,0x1bb98000,0x53300000,0x00000335,0x666665c0,
    0x57731000,0x31000003,0x00003577,0x00357730,0xbaaa9800,0x00019abc,
    0x09aca988,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x00155555,0x54000000,0x02aaaaaa,0x40000000,0x2a200098,0x55302aaa,
    0xaa880355,0x555302aa,0x98800035,0x3bba6001,0xb8001eee,0x004eeeee,
    0x01555530,0x2aaa2000,0x55540aaa,0x0001aaaa,0x2aaaaaa0,0xaaa8802a,
    0x1aaa980a,0x35553000,0x01555510,0xaaaa9800,0xeda80000,0x033b6603,
    0x15555440,0x01aaaa98,0x55555553,0x00355555,0xcccccc80,0x2ccccccc,
    0x2aaaa200,0x35555302,0x55500000,0xf9055555,0x0005ffff,0x3f600000,
    0x00dfffff,0x3fb2ea20,0x01bceeff,0x37fff620,0xffff9000,0xeffff98b,
    0xffffc800,0x77fffcc5,0x3fee0000,0xffd001ef,0xd000bfff,0x007fffff,
    0xdfffff50,0xffb00001,0xffb8bfff,0x0004ffff,0x3fffff60,0xff8800df,
    0xffff82ff,0xfff90004,0x1ffff70d,0x7ffd4000,0x20000eff,0x985ffffb,
    0x000effff,0x98bffff9,0x900effff,0xffffffff,0x0007ffff,0xfffffff8,
    0x04ffffff,0x2ffffe40,0x03bfffe6,0xfffb0000,0xf901bfff,0x0005ffff,
    0xffb00000,0x4007ffff,0xffffffc8,0x04ffffff,0x3fffff60,0x3fff2006,
    0xfffff35f,0x7ffe4001,0xfffff35f,0x7fdc0001,0xb800efff,0x00ffffff,
    0x3ffffe60,0x7fd4000f,0x00efffff,0x3ffff200,0x7fffd45f,0x200003ff,
    0x3ffffffd,0x77fffc00,0x5ffff910,0x3ffee000,0x3fffea3f,0x3fea0006,
    0x00efffff,0xffffff00,0xfffffe83,0x3fff2003,0xfffff35f,0x7fffe401,
    0xffffffff,0x7ffc0003,0xffffffff,0xfc8004ff,0xfff35fff,0x800001ff,
    0x3ffffffd,0x3fffff20,0x00000002,0x7fffffec,0x3ffea001,0xffffffff,
    0xf3004fff,0x05ffffff,0x6ffffec0,0x001fffff,0xfdffffd8,0x0001ffff,
    0x7ffffff4,0xffff8802,0x3f2002ff,0x4005ffff,0xfffffff9,0xf50006ff,
    0xf98bffff,0x001fffff,0x3ffff600,0xfc8001ff,0xffffffff,0x10000fff,
    0xffffffff,0x0007ffff,0x3fffffe6,0x88006fff,0x42ffffff,0x04ffffff,
    0x6ffffec0,0x401fffff,0xfffffffc,0x003fffff,0x7fffffc0,0x4fffffff,
    0xffffb000,0x03fffffb,0xfffd8000,0x7e401fff,0x0002ffff,0x3ff60000,
    0x2000dfff,0xfffffffc,0xffffffff,0xffff5004,0xd8007fff,0xffffffff,
    0x3ff60001,0x01ffffff,0xfffff800,0xffb003ff,0x7c00bfff,0x002fffff,
    0x27ffffe6,0x005ffffc,0x2fffffc4,0x3bffffe2,0x3f600000,0x000dffff,
    0x3fffffa0,0x002fffff,0x7ffffdc0,0x006fffff,0x3fffff30,0x00bffff9,
    0x3ffffff0,0x3fffffd8,0xffffd800,0xc801ffff,0xffffffff,0x0003ffff,
    0x66666664,0x02cccccc,0x3ffff600,0x0001ffff,0x7ffffec0,0xfffc800d,
    0x000002ff,0xfffffb00,0xfffa8007,0xeeffffff,0x004fffee,0xfffffff3,
    0xfffb0005,0x00005fff,0x5ffffffb,0x3ffa0000,0x5002ffff,0x01ffffff,
    0xdfffff30,0x7fffcc00,0x3ffff21f,0x3fffa005,0x7fff445f,0x200000df,
    0x03fffffd,0xfffe9800,0x003fffff,0xfffff900,0x0001dfff,0x43fffff3,
    0x005ffffc,0x42ffffdc,0x006ffff9,0x3fffff60,0x3331002f,0xffffb333,
    0x0000007f,0xffb00000,0x0005ffff,0xfffffd80,0x3fff2003,0x000002ff,
    0xeeeeec80,0xfffe8001,0x2601cfff,0x3ffa002a,0x10006fff,0x005ddddb,
    0x3bbb6200,0x2a00002e,0x006fffff,0x1ffffffc,0x7ffffe40,0xdddb1003,
    0xdddd903b,0xdddd7007,0x9dddd909,0xeec80000,0x00001eee,0x6fffff64,
    0x6cc00001,0x003effff,0x3bdddb10,0x07dddd90,0x203dda80,0x40003dc9,
    0x02eeeed8,0xffff9000,0x0000007f,0xdb100000,0x00005ddd,0x1eeeeec8,
    0x7fffe400,0x0000002f,0x3ee00000,0x001fffff,0xfffd1000,0x0000001d,
    0x00000000,0x0cffea80,0x7fffdc00,0xffff806f,0x000000ff,0x00000000,
    0x00000000,0x00026000,0x000c4000,0x00000000,0x00000000,0xfc800000,
    0x0003ffff,0x00000000,0x00000000,0xffffc800,0x0000002f,0x3fe00000,
    0x0003ffff,0x001a9800,0x00000000,0x04000000,0xffff1000,0x7fd403ff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff90000,0x800007ff,0x00009a99,0x00000000,0xffc80000,
    0x13101fff,0x09988000,0x44009880,0x007fffff,0x00000000,0x00000980,
    0x00999a98,0x40000000,0x04fffffd,0x0bfffff6,0x00260000,0x00266000,
    0x35300000,0x00000133,0x00000266,0x00000000,0x00000000,0x53100000,
    0xff900001,0x0d707fff,0xffffd730,0x03bdffff,0x00000000,0x0054c400,
    0x3fffff90,0x77fff654,0xffb5002d,0xc83bffff,0x80cefffe,0x05fffff9,
    0x00000000,0x3fb6ea20,0x0bdeffff,0xfffd9100,0x9dffffff,0x00000000,
    0x0ffffff5,0x1fffffe2,0xdb751000,0x7bdfffff,0x3b6e2001,0x0cdfffff,
    0x3b220000,0xffffffff,0x710004ef,0xbfffffdb,0xeeb80019,0xeeeeeeee,
    0xeb8002ee,0xeeeeeeee,0xb8002eee,0xeeeeeeee,0x4002eeee,0x543eeeeb,
    0x1dfffffe,0xffff9000,0x03ffdc7f,0xfffffff5,0xffffffff,0xdddd003b,
    0xdddddddd,0x7ddddddd,0x13bbbae0,0xbfffffb5,0xffffc803,0xfffff91f,
    0xf807ffff,0xffffffff,0xfffe8cff,0x540effff,0x004fffff,0xeeed8000,
    0x7fd4000e,0xffffffff,0x64402fff,0xffffffff,0x407fffff,0xeeeeeeee,
    0xeeeeeeee,0x3fe03eee,0xfb82ffff,0x0004ffff,0x3fffffea,0x2fffffff,
    0xfffffb80,0x3fffffff,0x7fe44000,0xffffffff,0xb8007fff,0xffffffff,
    0x2003ffff,0xfffffffc,0x003fffff,0xffffffc8,0x03ffffff,0xfffffc80,
    0x3fffffff,0x7fffe400,0xfffffb14,0x0007ffff,0x77fffff9,0x540fffff,
    0xffffffff,0xffffffff,0x7fffc00f,0xffffffff,0x4fffffff,0x2dffff90,
    0xffffffd8,0x3f203fff,0xffd9ffff,0xffffffff,0x3fffe04f,0xffffffff,
    0xffffffff,0x3ff20eff,0x00003fff,0x1fffff80,0xffffb100,0xffffffff,
    0x7f4405ff,0xffffffff,0x407fffff,0xffffffff,0xffffffff,0x3f204fff,
    0xfe85ffff,0x8000ffff,0xffffffd8,0xffffffff,0x3fff6202,0xffffffff,
    0x8001efff,0xffffffe8,0xffffffff,0x3ff62007,0xffffffff,0x801effff,
    0xfffffffc,0x003fffff,0xffffffc8,0x03ffffff,0xfffffc80,0x3fffffff,
    0x7fffe400,0xffffff8c,0x03ffffff,0x7ffffe40,0x07ffffff,0x3fffffea,
    0xffffffff,0x7fc05fff,0xffffffff,0xffffffff,0xffff904f,0xfffffd1f,
    0x09ffffff,0x3bfffff2,0xffffffff,0xf03fffff,0xffffffff,0xffffffff,
    0x47ffffff,0x03fffffc,0xfff80000,0xff9801ff,0xffffffff,0x02ffffff,
    0x3ffffffa,0xffffffff,0x7fffc07f,0xffffffff,0x4fffffff,0x3ffffe20,
    0x3fffe60f,0xff98006f,0xffffffff,0x02ffffff,0xfffffff1,0xffffffff,
    0xfd000dff,0xffffffff,0x0fffffff,0x3ffffe20,0xffffffff,0xc806ffff,
    0xffffffff,0x8003ffff,0xfffffffc,0x003fffff,0xffffffc8,0x03ffffff,
    0x6ffffe40,0xfffffffe,0x007fffff,0x7fffffe4,0x207fffff,0xaacdfffa,
    0xffffba99,0x3fe02fff,0xffffffff,0xffffffff,0xffff904f,0xffffffbf,
    0x1fffffff,0xffffff90,0xffdfffff,0x20ffffff,0xf510adff,0x1bffffff,
    0xc9bfffee,0x003fffff,0x7ffc4000,0xffe801ff,0xffffffff,0x02ffffff,
    0xbffffff9,0x36ea6637,0x7fffc07f,0xffffffff,0x4fffffff,0x7ffffec0,
    0x3fffff22,0xfffe8002,0xffffffff,0xb02fffff,0xffffffff,0xfffffffd,
    0x7e4007ff,0x1bdfffff,0x0ffb7533,0x3fffff60,0xffffefff,0x403fffff,
    0xfeeeeeeb,0x003fffff,0xeeeeeeb8,0x03ffffff,0xeeeeeb80,0x3ffffffe,
    0x7fffe400,0xefffffff,0x3fffffff,0x3ffff200,0x2effffff,0x2002b6a0,
    0x4fffffe8,0x3fffffe0,0xffffffff,0x903fffff,0xffffffff,0xfffdbfff,
    0xff907fff,0x7dffffff,0x3ffff621,0x200d82ff,0x0ffffff9,0xc8ffffec,
    0x003fffff,0x7ffd4000,0x7fdc02ff,0x0acfffff,0x40bfae62,0x06fffffe,
    0xffff0020,0xffffffff,0x7fffffff,0xfffffa80,0x1fffffe5,0x3fffee00,
    0x220acfff,0xf982feb9,0x0aefffff,0x3ffffee2,0xffd000ff,0x0400dfff,
    0x7ffffcc0,0x3ee20aef,0x00ffffff,0xfffff900,0xfc800007,0x0003ffff,
    0x7ffffe40,0x7ffe4003,0x0befffff,0xbfffffd5,0x3fffee00,0x02efffff,
    0xfff30000,0x4ccc0bff,0x99999999,0x5ffffffb,0x3fffff20,0x7ec2efff,
    0xfc86ffff,0x05ffffff,0x1bfffff6,0x7ffff400,0x3ffffa84,0x07fffff9,
    0xffb50000,0x405fffff,0xfffffff9,0x3e013002,0x002fffff,0x26666600,
    0xfb999999,0x005fffff,0x31ffffff,0x009fffff,0xffffff98,0xd013002f,
    0x01dfffff,0x7fffffcc,0xfffff005,0xe800005f,0x00efffff,0x3fffffe6,
    0xfff90005,0x800007ff,0x03fffffc,0x7ffe4000,0x7e4003ff,0x05ffffff,
    0x0dfffff5,0xfffffea8,0x0002efff,0xfffff800,0xff880007,0x200fffff,
    0xfffffffc,0xfffff105,0xfffff90f,0x7fd401df,0x8000ffff,0xf02ffffd,
    0x3ff29fff,0x00003fff,0x3fffffa2,0x3603ffff,0x01ffffff,0xffff8800,
    0x000003ff,0xfffff880,0xff9000ff,0xfff97fff,0xfd8003ff,0x001fffff,
    0x7ffffd40,0xfffc800f,0xff8807ff,0x0003ffff,0x3ffffea0,0xfffc800f,
    0xf90007ff,0x0007ffff,0xfffffc80,0x7e400003,0x4003ffff,0xeffffffc,
    0xfffff100,0x3fffaa0f,0x04ffffff,0x3fa00000,0x80007fff,0x1ffffffe,
    0x7ffffe40,0x7fff406f,0x7ffe40ff,0xff800eff,0x8001ffff,0xf01ffffc,
    0x3ff2bfff,0x00003fff,0xfffffff7,0x7c07ffff,0x004fffff,0x3ffffe00,
    0x00000bff,0x3ffffa00,0x3e6001ff,0xfffeffff,0xff8006ff,0x0004ffff,
    0x5fffffc8,0xfffff100,0xffff001f,0x00017fff,0xbfffff90,0x3fffe200,
    0xfc8000ff,0x0003ffff,0x7ffffe40,0x7e400003,0x4003ffff,0x0efffffc,
    0x7fffff40,0x7fffff40,0x03ffffff,0x26660000,0x07fffff9,0x7fffec00,
    0xffc803ff,0x6c00ffff,0x641fffff,0x002fffff,0x05fffffb,0x1ffff900,
    0x657fffa0,0x003fffff,0xfffff980,0x3fffffff,0xffffff10,0x7ec00001,
    0xcfffffff,0x6c000001,0x03ffffff,0xfffffe80,0x003fffff,0x7fffffc4,
    0xffd80000,0x3a002fff,0x801fffff,0xfffffffd,0x360001cf,0x002fffff,
    0x07fffffa,0x3ffff200,0x6400003f,0x003fffff,0x7fffe400,0x7fe4003f,
    0xfe802fff,0x7fc0ffff,0xffffffff,0x880003ff,0xfffffedc,0x07ffffff,
    0x3fffee00,0xff9005ff,0xd7007fff,0xfc83dddd,0xb002ffff,0x407fffff,
    0xffeedca9,0xeeeeefff,0xf96ffffe,0x0007ffff,0xffffffd0,0x0355559d,
    0x1fffffea,0xfff30000,0xffffffff,0xb8000039,0x05ffffff,0xfffff500,
    0x001fffff,0x7fffffa8,0xfffd0000,0x7ec001ff,0x9803ffff,0xffffffff,
    0x4001cfff,0x00fffffe,0x3fffff60,0xfffc8003,0x400003ff,0x03fffffc,
    0x7ffe4000,0x7e4003ff,0xe802ffff,0x7c0fffff,0xffeeffff,0x20003fff,
    0xffffffd9,0xffffffff,0xff30007f,0x001dffff,0x0ffffff2,0xfffc8000,
    0xff9002ff,0xfb309fff,0xffffffff,0xffffffff,0x3f2dffff,0x0003ffff,
    0x7fffffd4,0xfffb8005,0x800006ff,0xfffffffc,0x0befffff,0x7ffcc000,
    0x0000efff,0x3ffffffe,0xfb8004ff,0x0006ffff,0x1ffffff0,0x7fffe400,
    0xfff9004f,0xffffffff,0xff0017df,0x4001ffff,0x04fffffc,0xfffffc80,
    0x7e400003,0x0003ffff,0x7ffffe40,0x7ffe4003,0xffe802ff,0x7ffc0fff,
    0xfffff92e,0x3ff60007,0xffffffff,0x7fffffff,0xffff8800,0x32001fff,
    0x003fffff,0x3ffff200,0xfff9002f,0xfffb89ff,0xffffffff,0xffffffff,
    0xff96ffff,0x80007fff,0x0ffffffc,0xffffd800,0x5000005f,0xffffffff,
    0x03dfffff,0x3fffe200,0x40001fff,0xfffffffc,0xffd8001f,0x80005fff,
    0x07fffff8,0x7ffffdc0,0x3ffea005,0xffffffff,0x3e201eff,0x4007ffff,
    0x05fffffb,0xfffffc80,0x7e400003,0x0003ffff,0x7ffffe40,0x7ffe4003,
    0xffe802ff,0x177c0fff,0x0ffffff2,0x3ffff200,0xffffffff,0x07ffffff,
    0xfffffd80,0x7fe4002f,0x00003fff,0x0bfffff2,0x7ffffec0,0x3ffffe63,
    0xffffeeff,0xeeeeeeef,0xfff94eee,0xd80007ff,0x004fffff,0xbfffff90,
    0x64400000,0xffffffff,0x002fffff,0xffffffd8,0xff980002,0x005fffff,
    0xbfffff90,0xfff10000,0xfc800fff,0x4004ffff,0xffffffc8,0x2fffffff,
    0xffffff10,0xffffc800,0xffc8004f,0x00003fff,0x1fffffe4,0x3ff20000,
    0x64003fff,0x802fffff,0x40fffffe,0xfffff902,0xfffa8007,0x809bffff,
    0x007ffffe,0x7fffffe4,0xfffc8004,0x200003ff,0x02fffffc,0x5fffffb0,
    0x0f7ffff4,0x001ffff2,0x0ffffff2,0xfffff000,0x3ee0007f,0x0007ffff,
    0xfff93000,0xffffffff,0x7ffe4001,0x00004fff,0x3ffffffa,0xfff70001,
    0x20000fff,0x00ffffff,0x3fffff20,0x3f260002,0xffffffff,0xffff00ff,
    0x7e4001ff,0x8002ffff,0x03fffffc,0x7ffe4000,0x400003ff,0x03fffffc,
    0x7ffffe40,0xffffe802,0xfff9000f,0xfd8007ff,0xe806ffff,0x2007ffff,
    0x6ffffffa,0xffff9000,0x6400007f,0x002fffff,0x21ffffff,0x80fffff8,
    0x000ffffc,0x1fffffe4,0x3fffe000,0xf50005ff,0x001fffff,0xfc980000,
    0x3fffffff,0xfffff500,0xe80000df,0x005fffff,0x3ffffea0,0xfe80000f,
    0x2001ffff,0x01fffffe,0xfff93000,0x207fffff,0x01fffffe,0x3fffffa0,
    0xfffc8001,0x400003ff,0x03fffffc,0x7ffe4000,0x7e4003ff,0xe802ffff,
    0x000fffff,0x07fffff9,0xffffff80,0xffffe801,0xffff1007,0x20001fff,
    0x03fffffc,0x3fff2000,0xff9802ff,0x3fe67fff,0xfff905ff,0xffc8003f,
    0x40003fff,0x07fffffd,0xfffff100,0x0000009f,0x3ffff620,0xff8804ff,
    0x000fffff,0x3fffea00,0x220002ff,0x04ffffff,0xffffd800,0xfff1004f,
    0x00001fff,0xfffffd88,0xffffb04f,0x3fe2009f,0x8000ffff,0x03fffffc,
    0x7ffe4000,0x400003ff,0x03fffffc,0x7ffffe40,0xffffe802,0xfff9000f,
    0x7cc007ff,0x8807ffff,0x007fffff,0x5ffffffd,0x7ffe4000,0x200003ff,
    0x02fffffc,0x6fffffd8,0x413fffee,0x003ffffc,0x1fffffe4,0x3ffee000,
    0xf0004fff,0x01ffffff,0x74000000,0x806fffff,0x2ffffffe,0x3fa20000,
    0x0006ffff,0xfffffff8,0x7fe40000,0xc800ffff,0x007fffff,0x3fffa000,
    0xfff906ff,0xf9001fff,0x000fffff,0x0ffffff2,0xfff90000,0x800007ff,
    0x03fffffc,0x7ffffe40,0xffffe802,0xfff9000f,0x7cc007ff,0x201fffff,
    0x7ffffff9,0xfffffc80,0x7e40003f,0x0003ffff,0x3fffff20,0x7fffd402,
    0x3ffee3ff,0xffff885f,0x7fe4006f,0x40003fff,0xfffffff9,0x7fec000c,
    0x001effff,0xfd800002,0x6404ffff,0x03ffffff,0x7ffec000,0x80001fff,
    0xeffffffd,0xff502001,0x9809ffff,0x03ffffff,0x3ff60000,0xff504fff,
    0x9809ffff,0x03ffffff,0xfffff900,0xfc800007,0x0003ffff,0x7ffffe40,
    0x7ffe4003,0xffe802ff,0xf9000fff,0x4007ffff,0x4ffffff8,0xffffff50,
    0xfffb80ff,0x80005fff,0x03fffffc,0x3fff2000,0x3fee02ff,0x7d45ffff,
    0xffe87fff,0x2003ffff,0x03fffffc,0xffffd800,0x019cffff,0xffffff88,
    0xd7300bff,0x40039107,0x2ffffffa,0x3ffffee0,0x2600005f,0x2ffffffe,
    0xfff10000,0x017fffff,0x3f60fae6,0x80dfffff,0x6ffffffa,0x40039100,
    0x2ffffffa,0x3fffff60,0xfffa80df,0x20006fff,0x03fffffc,0x7ffe4000,
    0x400003ff,0x03fffffc,0x7ffffe40,0xffffe802,0xfff9000f,0xff8007ff,
    0x9bdfffff,0xffffffeb,0x3fe607ff,0x999fffff,0x99999999,0xfffff900,
    0x7e400007,0xaaceffff,0xfffffdba,0x7ffcc0ff,0xfffb13ff,0x417fffff,
    0x3ff26c98,0x80003fff,0xffffffe8,0x3effffff,0xffffff70,0xfdddffff,
    0xff107fff,0x4c1355bf,0xfffffffb,0xfffff300,0x333333ff,0x64133333,
    0xfffffeee,0x00004fff,0x7fffffdc,0xfeeeffff,0xff983fff,0xceffffff,
    0xfffffffd,0xfff1002f,0x5cc1355b,0x0fffffff,0x3ffffe60,0xffdcefff,
    0x02ffffff,0x33333326,0xefffffec,0x82cccccc,0xccccccc9,0xcefffffe,
    0x982ccccc,0xeccccccc,0xccefffff,0xfc82cccc,0xe802ffff,0x930fffff,
    0xfd999999,0x999dffff,0xff705999,0xffffffff,0xffffffff,0x3ffa20ff,
    0xffffffff,0xffffffff,0xfffff906,0x7e400007,0xffffffff,0xffffffff,
    0xffff883f,0xffffffff,0xefffffff,0x3f27ffff,0x0003ffff,0xffffff10,
    0x9fffffff,0x7fffff40,0xffffffff,0xff883fff,0xffffffff,0xffffffff,
    0xffffd105,0xffffffff,0x4dffffff,0xfffffffc,0x00006fff,0xffffffd0,
    0xffffffff,0x3ff207ff,0xffffffff,0x5fffffff,0x3fffe200,0xffffffff,
    0x05ffffff,0xffffffc8,0xffffffff,0x7dc05fff,0xffffffff,0xffffffff,
    0xffb84fff,0xffffffff,0xffffffff,0xfffb84ff,0xffffffff,0xffffffff,
    0xffffc84f,0xfffe802f,0xffff70ff,0xffffffff,0xffffffff,0x3ffffa09,
    0xffffffff,0x07ffff9e,0xfffffff5,0xffffffff,0x320dffff,0x003fffff,
    0x3ffff200,0xffffffff,0x203fffff,0xfffffffc,0xfffa9fff,0xffffffff,
    0x3fffff27,0x3a600003,0xffffffff,0x36204fff,0xffffffff,0x3fffffff,
    0xffffff88,0xffffffff,0x3ea05fff,0xffffffff,0xffffffff,0x3fff26ff,
    0x0dffffff,0xfb100000,0xffffffff,0x07ffffff,0x3fffff62,0xffffffff,
    0x7c4004ff,0xffffffff,0xffffffff,0xfffb1005,0xffffffff,0x7009ffff,
    0xffffffff,0xffffffff,0xf709ffff,0xffffffff,0xffffffff,0xff709fff,
    0xffffffff,0xffffffff,0xfff909ff,0xffd005ff,0x3fee1fff,0xffffffff,
    0xffffffff,0xfff304ff,0xffffffff,0xfffff11b,0x3ffffea0,0xffffffff,
    0x06ffffff,0x07fffff9,0x7ffe4000,0xffffffff,0x400dffff,0xffffffe8,
    0x3fff21ff,0x7fffffff,0x0ffffff2,0x3faa0000,0xffffffff,0xffffa804,
    0xffffffff,0xfff883ff,0xffffffff,0x404fffff,0xfffffffa,0xffffffff,
    0x3f26ffff,0x2effffff,0xf5000000,0xffffffff,0x807fffff,0xfffffffa,
    0x02ffffff,0xfffff880,0xffffffff,0xa8004fff,0xffffffff,0x002fffff,
    0xfffffff7,0xffffffff,0x709fffff,0xffffffff,0xffffffff,0xf709ffff,
    0xffffffff,0xffffffff,0xff909fff,0xfd005fff,0x3ee1ffff,0xffffffff,
    0xffffffff,0x32204fff,0xdfffffff,0x1ffffe22,0x7fffffd4,0xffffffff,
    0x906fffff,0x007fffff,0xffdb9800,0xefffffff,0x3f62002d,0xb81effff,
    0xffffffff,0x3ffff23e,0x2000003f,0xffffffda,0x3fae004f,0xefffffff,
    0xffdb102c,0xffffffff,0xf50017df,0xffffffff,0xffffffff,0x7ffe4dff,
    0x00003cef,0xfffd7000,0x59dfffff,0x3ffb2200,0x0cefffff,0xffdb1000,
    0xffffffff,0x400017df,0xfffffec8,0x2000ceff,0xfffffffb,0xffffffff,
    0xb84fffff,0xffffffff,0xffffffff,0xfb84ffff,0xffffffff,0xffffffff,
    0xffc84fff,0xfe802fff,0xff70ffff,0xffffffff,0xffffffff,0x531009ff,
    0x80001559,0xfffffffa,0xffffffff,0xf906ffff,0x0007ffff,0xaa998800,
    0xa880001a,0xcaa800ab,0xffc809ab,0x00003fff,0x99753100,0x2a620005,
    0x9800099a,0x9abcbaaa,0x7ffd4001,0xffffffff,0xffffffff,0x0000ccc6,
    0x4c400000,0x000099aa,0x00d5d4c4,0xaaa98000,0x0019abcb,0xaba98800,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66666664,
    0x02cccccc,0x0aaaaa20,0x00d5554c,0x55530000,0x00015555,0x55555540,
    0xfb73002a,0x300c019b,0x5bdffdb7,0x55553000,0x26665401,0x55554c00,
    0x13332a00,0x2aaaa600,0xeeca8800,0x2200202d,0x001aaaaa,0x2aaaaa00,
    0xa80002aa,0xaaaaaaaa,0x00002aaa,0xcccccc80,0x2ccccccc,0x2aaaaa20,
    0x3b200001,0x4401eeee,0x304eeeee,0x55555555,0x00035555,0xccccccc8,
    0x02cccccc,0x01555553,0xdddd7000,0xdddb003d,0x5554c1dd,0xfff002aa,
    0xffffffff,0xfc8009ff,0x7fcc5fff,0x00000eff,0xffffff50,0x6c00005f,
    0x0dffffff,0xfffffb80,0x17dc0cff,0xffffffb8,0xf1000eff,0x3aa0dfff,
    0x000fffff,0x41bfffe2,0x0fffffea,0x3fffe200,0xfffe8806,0x7c41efff,
    0x7fffd405,0x2200004f,0x5ffffffe,0x7fffc000,0xffffffff,0xf8000007,
    0xffffffff,0x2a04ffff,0x004fffff,0x3ffff600,0x7ffc401f,0xfff905ff,
    0xffffffff,0xff80007f,0xffffffff,0xff904fff,0x00005fff,0x03fffff9,
    0x1fffffd0,0x3fffffdc,0xffffff80,0x4fffffff,0xffffc800,0x1fffff35,
    0x3ea00000,0x00efffff,0x3fff6000,0xf5003fff,0xffffffff,0x5fffb57f,
    0xffffff70,0x3200bfff,0x7541ffff,0x0fffffff,0x3ffff200,0x7ffff541,
    0x32000fff,0xe801ffff,0xffffffff,0x5ffebadf,0x3ffffea0,0xfc800004,
    0x005fffff,0x3fffffe0,0x07ffffff,0xfff80000,0xffffffff,0x3fea04ff,
    0x00004fff,0x07fffff6,0xbfffff10,0x3fffff20,0x3fffffff,0x7fffc000,
    0xffffffff,0xffff904f,0xf900005f,0xd003ffff,0x5c1fffff,0x007fffff,
    0xffffffff,0x009fffff,0x37ffff60,0x001fffff,0xffff5000,0x800009ff,
    0x1ffffffd,0xfffff100,0xffffffff,0xb709ffff,0xffff7559,0xffff300f,
    0xfffffb07,0x26001fff,0xfd83ffff,0x0fffffff,0x7ffff300,0xfffff900,
    0xffffffff,0x7741ffff,0xffffffee,0x00eeeeee,0x3fffea00,0xff0005ff,
    0xffffffff,0x00000fff,0xfffffff0,0x09ffffff,0x27ffffd4,0xfffb0000,
    0xff8803ff,0xff905fff,0xffffffff,0xf80007ff,0xffffffff,0xf904ffff,
    0x0005ffff,0x3fffff90,0xfffffd00,0x7ffffd41,0x99999006,0x99999999,
    0x7fec0005,0x01ffffff,0xfff50000,0x00005fff,0xdfffffd8,0x77fec000,
    0xfffffdbb,0x4006ffff,0xe805fffd,0xff506fff,0x01ffffdf,0x41bfffa0,
    0xfffefffa,0xfffd000f,0x3ffea00d,0xfffffbad,0x7c2fffff,0xffffffff,
    0x0fffffff,0x7ff44000,0xf8005fff,0xffffffff,0x00007fff,0xcccccc80,
    0x2ccccccc,0x3ffffea0,0x3f600004,0x4401ffff,0x905fffff,0xffffffff,
    0x0007ffff,0xccccccc8,0x02cccccc,0x05fffff9,0xffff9000,0xfffd003f,
    0x7ffd41ff,0x000006ff,0x3ff60000,0x0002ffff,0xfffff500,0xd800001d,
    0x003fffff,0xfd503f60,0x01dfffff,0xfffca998,0x7ffe403f,0x322fa01f,
    0xc800ffff,0x3a01ffff,0x0ffffc8b,0x1ffffc80,0x910fea00,0x7fffffff,
    0xfffffff0,0xffffffff,0x3200001f,0x005fffff,0x4ccccccc,0x007fffff,
    0x00000000,0x4fffffa8,0x3ff60000,0x7c401fff,0x3105ffff,0xffb33333,
    0x00007fff,0x7fe40000,0x80002fff,0x01fffffc,0x0fffffe8,0x17ffffe6,
    0x00000000,0x2eeeed88,0xdb300000,0x00009ddd,0x3ddddd90,0x54030000,
    0x800aceed,0x2fffffff,0x27fffcc0,0x1ffff900,0x4ffff980,0x3ffff200,
    0x7fffcc00,0x26018004,0xf01bdfec,0xffffffff,0x1fffffff,0x77540000,
    0x00003eee,0x00ffffff,0x00000000,0x9fffff50,0x7fec0000,0x7c401fff,
    0x8005ffff,0x03fffffc,0x20000000,0x02fffffc,0xffffc800,0xfffe801f,
    0x3ffe60ff,0x000005ff,0x00000000,0x00000000,0x00000000,0x3fe00000,
    0x00cfffff,0x001bfffa,0x801ffff9,0x4006fffe,0x400ffffc,0x0006fffe,
    0xeee80000,0xeffffffe,0x000eeeee,0x00000000,0x01fffffe,0x00000000,
    0x3ffffea0,0x3f600004,0x4401ffff,0x005fffff,0x3fffffc8,0x00000000,
    0x0bfffff2,0x3fff2000,0xffe801ff,0x3fe20fff,0x40004fff,0x00000099,
    0x00000000,0x00000000,0x00000000,0xfffffff8,0xfffc81ff,0x7fe4001f,
    0x3ff200ff,0x7e4001ff,0x3f200fff,0x00001fff,0x7fd40000,0x00004fff,
    0x00000000,0x00ffffff,0x4cc00000,0x7ffd4000,0x200004ff,0x01fffffd,
    0x2fffffc4,0x7fffe400,0x0000003f,0x3ffff200,0xfc80002f,0xe801ffff,
    0x220fffff,0x004fffff,0x7ffff654,0x00000cdf,0x00015310,0x00000000,
    0x0002a620,0x01531000,0x7ffdcc00,0x7fffcc4f,0xfffc8004,0xffff300f,
    0xfff90009,0x3ffe601f,0x0000004f,0xffffa800,0x0000004f,0xff000000,
    0x0000ffff,0x3fb6e200,0x00cdffff,0x27ffffd4,0xfffb0000,0xff8803ff,
    0xc8005fff,0x003fffff,0x0f77775c,0x777776c0,0x5fffff90,0x90015310,
    0x003fffff,0x81fffffd,0x003fffff,0xffffffb1,0x005fffff,0x513bbbae,
    0x3bfffffb,0x3bbbae00,0xeeeeeeee,0xeeeb8002,0x7fff543e,0xd7001dff,
    0xfea87ddd,0x001dffff,0xe8dffff0,0x90006fff,0x3a01ffff,0x90006fff,
    0x3a01ffff,0xb8006fff,0xeeeeeeee,0x4002eeee,0x04fffffa,0x3bae0006,
    0xeeeeeeee,0xf80002ee,0x0007ffff,0xffffb800,0xffffffff,0x3fffea03,
    0x776c404f,0x3f61eeee,0x4401ffff,0x005fffff,0x3fffffc8,0x7fffe400,
    0xfffe801f,0xffff90ff,0x7fff543f,0xff901dff,0xfd003fff,0xff81ffff,
    0xe9803fff,0xffffffff,0x00dfffff,0x8b7fffe4,0xfffffffd,0xffc803ff,
    0xffffffff,0xfc8003ff,0xffb14fff,0x7fffffff,0x9ffff900,0x3fffff62,
    0x7903ffff,0xfffb7555,0x7fffdc9f,0xfff90001,0xffff701f,0x3ff20003,
    0xfffb80ff,0xffc8001f,0xffffffff,0x7d4003ff,0x2e63ffff,0x00cefffd,
    0xffffffc8,0x03ffffff,0xfffff800,0x22000007,0xfffffffd,0xefffffff,
    0xfffffa81,0x7fffec04,0x7ffec3ff,0x7fc401ff,0xc8005fff,0x003fffff,
    0x0fffffe4,0x7fffff40,0x3fffff90,0xffffffb1,0xff907fff,0xfd003fff,
    0xfe81ffff,0x7d402fff,0xffffffff,0x4fffffff,0x7ffffe40,0xffffffe8,
    0x404fffff,0xfffffffc,0x003fffff,0x8cffffc8,0xffffffff,0x6403ffff,
    0xff8cffff,0xffffffff,0xffff83ff,0x0fffffff,0x009ffff3,0x07fffe40,
    0x013fffe6,0x0ffffc80,0x027fffcc,0xfffffc80,0x3fffffff,0x7fffd400,
    0xfffff73f,0xc805ffff,0xffffffff,0x0003ffff,0x07fffff8,0xfff10000,
    0xffffffff,0x0dffffff,0x09fffff5,0x7fffffe4,0xfffffd84,0x7fffc401,
    0xffc8005f,0x64003fff,0x801fffff,0x90fffffe,0xfd3fffff,0xffffffff,
    0xfffc87ff,0xffe801ff,0x665c0fff,0x7ff401cc,0xa99aefff,0x1ffffffe,
    0x3fffff20,0xfffffffd,0x00ffffff,0x3ffffff2,0x03ffffff,0xdffffc80,
    0xfffffffe,0x407fffff,0xfedffffc,0xffffffff,0xfff87fff,0x1effffff,
    0x003bfffa,0x0ffffc80,0x0077fff4,0x1ffff900,0x00efffe8,0xfffff900,
    0x7fffffff,0xffffa800,0xfffffbaf,0x01ffffff,0x3ffffff2,0x03ffffff,
    0xfffff800,0xfb000007,0xdfffffff,0xffffffff,0xffffa87f,0xffff704f,
    0x3ff60bff,0x7c401fff,0x8005ffff,0x03fffffc,0x7ffffe40,0xffffe801,
    0xfffff90f,0xfffffffd,0xc8ffffff,0x801fffff,0x00fffffe,0x7fffdc00,
    0x3fff204f,0x3ff206ff,0xffffffff,0xfffffedf,0x3bbae03f,0xfffffeee,
    0xffc8003f,0xffffffff,0xffffffef,0x3fff203f,0xffffffff,0xfffffffe,
    0x77fff6c3,0x7ffdc1cd,0x54c0002f,0x7ffdc2aa,0x54c0002f,0x7ffdc2aa,
    0x3ae0002f,0xfffeeeee,0x54003fff,0xffefffff,0xffffffff,0x3bae05ff,
    0xffffeeee,0xf80003ff,0x0007ffff,0xfffff980,0x3ee20aef,0x20ffffff,
    0x84fffffa,0x6ffffff9,0x3fffff60,0x7fffc401,0xffc8005f,0x64003fff,
    0x801fffff,0x90fffffe,0xffffffff,0xffffdfff,0x7fe47fff,0xfe801fff,
    0x0000ffff,0x17ffffe2,0x3fffffa0,0xfffff902,0xfd85dfff,0x0006ffff,
    0x07fffff9,0xfffff900,0x2a17dfff,0x05fffffe,0x3ffffff2,0xfd50beff,
    0x000bffff,0x027fffc4,0x3fe20000,0x000004ff,0x027fffc4,0xfff90000,
    0xfa8007ff,0xffffffff,0xfffffeef,0xfc8001ff,0x0003ffff,0x07fffff8,
    0x00cefda8,0x3bfffffa,0x3fffe600,0x3ffea5ff,0x7ffc44ff,0x3600efff,
    0x401fffff,0x05fffff9,0xfffffc80,0x7ffe4003,0xffe801ff,0xfff90fff,
    0x17dfffff,0x3fffffaa,0x3fffff25,0xffffe801,0x3f20000f,0xa801ffff,
    0x903fffff,0xbfffffff,0x3ffffe20,0xfff90007,0xf90007ff,0x0bffffff,
    0x1bffffea,0xffffffc8,0xffff505f,0x7f4000df,0x00000fff,0x07ffff40,
    0x3fa00000,0x00000fff,0x3fffff20,0x7ffd4003,0x21efffff,0x3fffffe8,
    0xffffc800,0xff80003f,0x7e407fff,0xa81fffff,0x00ffffff,0x7fffffc8,
    0x93ffffea,0xffffffe8,0x7fffec00,0x7fff401f,0xfc8005ff,0x4003ffff,
    0x01fffffc,0x0fffffe8,0xfffffff9,0x3fffea0b,0x3ffff26f,0x7ffd402f,
    0x20000fff,0x007ffffe,0x09fffff3,0x3ffffff2,0x7ffff406,0xffc8000f,
    0xc8003fff,0x0effffff,0xffffff10,0x7ffffe40,0xfff100ef,0x2e000fff,
    0x0002ffff,0x7fffdc00,0x5c000002,0x0002ffff,0x7fffe400,0x7fd4003f,
    0x80efffff,0x04fffffc,0xfffffc80,0xfff80003,0x3fea07ff,0xc86fffff,
    0x005fffff,0x1ffffff1,0x93ffffea,0x1ffffffd,0xfffffd80,0x3ffff603,
    0xfc8006ff,0x4003ffff,0x01fffffc,0x0fffffe8,0xdffffff9,0x3fffe201,
    0x3ffff27f,0x3ffe604f,0x0000ffff,0x27bffffe,0x99999999,0x05fffff9,
    0x1ffffff9,0xfffffd80,0xfffc8001,0xfc8003ff,0x400effff,0x00fffffe,
    0x1dfffff9,0xfffffe80,0x7ffc4000,0x4000005f,0x005ffff8,0x7ffc4000,
    0x8000005f,0x03fffffc,0x7ffffd40,0xfff500ef,0xf9000bff,0x0007ffff,
    0x0ffffff0,0x7fffffec,0x7ffec1ff,0x3fa002ff,0xff51ffff,0x3ff29fff,
    0xb002ffff,0x20bfffff,0xfffffffb,0xfffc8006,0x7e4003ff,0xe801ffff,
    0xf90fffff,0x801dffff,0x70fffffe,0x20dfffff,0xfffffff8,0xff10000f,
    0xffffffff,0xffffffff,0x3f20ffff,0xb803ffff,0x001eeeee,0x3fffffc8,
    0xffffc800,0xfffe802f,0xfff900ff,0xffd005ff,0xd8001fff,0x0000ffff,
    0x7fffec00,0x6c000000,0x0000ffff,0xffffc800,0x7fd4003f,0x2201ffff,
    0x006fffff,0x3fffffc8,0xffff8000,0x3fffa07f,0x743fffff,0x000fffff,
    0x4ffffff6,0xacfffffa,0x03ffffff,0x3fffff60,0x3fff222f,0x00ffffff,
    0x7ffffe40,0x7ffe4003,0xffe801ff,0xfff90fff,0xffd005ff,0x3fea1fff,
    0x2e22ffff,0xffffffff,0xff30000f,0xffffffff,0xffffffff,0x3f20ffff,
    0x0003ffff,0x7ffe4000,0xfc8003ff,0xe802ffff,0x900fffff,0x005fffff,
    0x01fffffd,0x17fffd40,0x3ea00000,0x54c42fff,0x7d40001a,0x00002fff,
    0xfffff900,0xfffa8007,0xfff804ff,0xfc8006ff,0x0003ffff,0x07fffff8,
    0x3ffffffa,0x7fffc2ff,0x3f2000ff,0xff54ffff,0xffffdfff,0xfd8007ff,
    0xdeffffff,0xffffffff,0x001cffff,0x07fffff9,0xfffffc80,0xffffe801,
    0xfffff90f,0xffffd005,0x3fffe21f,0xfffcefff,0xffffffff,0xfff50000,
    0xffffffff,0xffffffff,0x3ff20fff,0x00003fff,0x7fffe400,0xffc8003f,
    0xfe802fff,0xf900ffff,0xd005ffff,0x001fffff,0x117fffe2,0x05ffffff,
    0xbffff100,0x7fffff54,0xff88002e,0x7ffc45ff,0x40002fff,0x03fffffc,
    0x7ffffd40,0xfffff804,0xfffc8006,0xf80003ff,0x3207ffff,0xffffffff,
    0x3ffffe20,0x7ffdc007,0xffff55ff,0xdfffffff,0xffffb000,0xffffffff,
    0xfffffbff,0x3f2007ff,0x4003ffff,0x01fffffc,0x0fffffe8,0x05fffff9,
    0x1fffffd0,0x7fffffe4,0xdfffffff,0x000fffff,0xffffff70,0xffffffff,
    0xdfffffff,0x3fffff20,0x40000003,0x03fffffc,0xfffffc80,0xffffe802,
    0xffff900f,0xfffd005f,0x3f6001ff,0x7fec0fff,0x8002ffff,0xfd0ffffd,
    0xffffffff,0xfffd8005,0x7fffec0f,0x640002ff,0x003fffff,0x27ffffd4,
    0x37ffffc0,0x7fffe400,0xff80003f,0x3e207fff,0x44ffffff,0x07fffff8,
    0x7ffffe40,0xffffff54,0x07ffffff,0xfffffd80,0xffffffff,0xffffff9a,
    0xfff9003f,0xfc8007ff,0xe801ffff,0xf90fffff,0xd005ffff,0x441fffff,
    0xffffffff,0xff8dffff,0x30000fff,0x33bfffff,0x33333333,0x20133333,
    0x03fffffc,0x7e400000,0x8003ffff,0x02fffffc,0x0fffffe8,0x5fffff90,
    0xfffffd00,0xffff5001,0xfffffa87,0x7d4002ff,0x3fee3fff,0x6fffffff,
    0x3fffea00,0x7ffffd43,0x640002ff,0x003fffff,0x27ffffd4,0x37ffffc0,
    0x7fffe400,0xff80003f,0x74c07fff,0xff04ffff,0x4001ffff,0x52fffffc,
    0xfb9fffff,0x003fffff,0x7fffffec,0x22ffffff,0x3ffffffe,0xfffff900,
    0xfffc8007,0xffe801ff,0xfff90fff,0xffd005ff,0xffa81fff,0xffffffff,
    0x1fffff14,0x3ffe2000,0x000005ff,0x07fffff9,0xfc800000,0x8003ffff,
    0x02fffffc,0x0fffffe8,0x5fffff90,0xfffffd00,0xffff8801,0x77fff445,
    0x22002fff,0xde85ffff,0xffffe889,0xffff8800,0x77fff445,0x40002fff,
    0x03fffffc,0x7ffffd40,0xfffff804,0xfffc8006,0xf80003ff,0x5007ffff,
    0x7ff40157,0x3a001fff,0xf51fffff,0xfd19ffff,0x001fffff,0x3bfffff6,
    0x442dffff,0x03fffffe,0x7fffff90,0xffffc800,0xfffe801f,0xffff90ff,
    0xfffd005f,0xffd101ff,0x445dffff,0x000fffff,0x1fffffe0,0x7fe40000,
    0x00003fff,0x7fffe400,0xffc8003f,0xfe802fff,0xf900ffff,0xd005ffff,
    0x801fffff,0x640ffffd,0xfffdafff,0x3fff6002,0xffb8080f,0xfffb007f,
    0xafffc81f,0x0002fffd,0x1fffffe4,0x3fffea00,0xffff804f,0xffc8006f,
    0x80003fff,0x007fffff,0x7fffec00,0xfff1004f,0x3fea1fff,0xfff34fff,
    0x3600dfff,0x5757ffff,0x1aaa9801,0x3ffff200,0x7fe4003f,0x7d402fff,
    0xf90fffff,0xd005ffff,0x401fffff,0xb81abb98,0x0004ffff,0x17fffff4,
    0x7fe40000,0x00003fff,0x7fffe400,0xffc8003f,0xfe802fff,0xf900ffff,
    0xd005ffff,0x401fffff,0x4c3ffffa,0xfffb5fff,0x3ffea005,0x3ffa003f,
    0xfffa805f,0xafffcc3f,0x0002fffd,0x1fffffe4,0x3fffea00,0xffff804f,
    0xffc8006f,0x80003fff,0x007fffff,0x7fffe400,0xffc800ff,0x3fea7fff,
    0x3fee4fff,0xd805ffff,0x0007ffff,0x7ffe4000,0x7e4003ff,0x2604ffff,
    0x0fffffff,0x05fffff9,0x1fffffd0,0xfffb8000,0xfc80005f,0x000fffff,
    0x7fffe400,0x0000003f,0x1fffffe4,0x7fffe400,0xfffe802f,0xfff900ff,
    0xffd005ff,0x3e201fff,0xffe86fff,0x05fffb0f,0x0dffff10,0x17fffec0,
    0x1bfffe20,0x7ec3fffa,0x640002ff,0x003fffff,0x27ffffd4,0x37ffffc0,
    0x7fffe400,0xff80003f,0x00007fff,0x7fffffd4,0x7fffcc04,0x3ffea3ff,
    0x7ffec4ff,0x7ec03fff,0x0000ffff,0x3fff2000,0x7dc003ff,0xf106ffff,
    0x1fffffff,0x0bfffff2,0x3fffffa0,0x3fe20000,0x80000fff,0xeffffff8,
    0xc8062001,0x003fffff,0x7fe40000,0xc8003fff,0x802fffff,0x00fffffe,
    0x05fffff9,0x1fffffd0,0x07ffff20,0x7ec7fff9,0xffc802ff,0xfe8801ff,
    0xfc804fff,0x7fe41fff,0x0bfff63f,0xffff9000,0xffa8007f,0xff804fff,
    0xc8006fff,0x003fffff,0x7fffff80,0xffd80000,0xa80dffff,0x46ffffff,
    0x44fffffa,0xfffffff8,0x3ffff601,0x0000000f,0x0ffffff2,0xfffff500,
    0x7ffdc45f,0x90ffffff,0x005fffff,0x01fffffd,0x7fffe400,0x3ee00003,
    0xbdffffff,0xfdbaa99a,0x3fff204f,0x000003ff,0x7ffffe40,0xfffc8003,
    0xffe802ff,0xff900fff,0xfd005fff,0xf501ffff,0xff887fff,0xfffeeeff,
    0xff501eef,0xfd3007ff,0xf5009fff,0xff887fff,0xfffeeeff,0x90001eef,
    0x007fffff,0x4fffffa8,0x6fffff80,0xffffc800,0xff80003f,0x00007fff,
    0xffffff98,0xfffdceff,0x542fffff,0xa84fffff,0x0fffffff,0x3fffffb0,
    0x64000000,0x003fffff,0x7fffffc4,0xfffffcef,0x90ffffff,0x005fffff,
    0x01fffffd,0x7ffffc00,0x7f400002,0xffffffff,0xffffffff,0x3ffff204,
    0x4c00003f,0xeccccccc,0xccefffff,0xf902cccc,0xd005ffff,0x201fffff,
    0x02fffffc,0x0fffffe8,0x437fff44,0xfffffff8,0x82ffffff,0x806fffe8,
    0x03fffffa,0x86fffe88,0xfffffff8,0x02ffffff,0x99999993,0x9dfffffd,
    0x50599999,0x009fffff,0x30dfffff,0xd9999999,0x99dfffff,0x33259999,
    0xffcccccc,0xccccffff,0x90000ccc,0xffffffff,0xffffffff,0xffff50bf,
    0x3fff209f,0xffb06fff,0x00003fff,0x6666664c,0xefffffec,0x02cccccc,
    0xfffffff9,0xfbffffff,0x3f21ffff,0xe802ffff,0x000fffff,0x37ffffe0,
    0xd1000010,0xffffffff,0xffffffff,0x7fffe409,0x5c00003f,0xffffffff,
    0xffffffff,0xf904ffff,0xd005ffff,0x201fffff,0x02fffffc,0x0fffffe8,
    0x40ffffe4,0xfffffff8,0x82ffffff,0x401ffffc,0xcdfffffc,0xffc82ccc,
    0xfff881ff,0xffffffff,0xfff702ff,0xffffffff,0xffffffff,0xffff509f,
    0xffff009f,0xffff70df,0xffffffff,0xffffffff,0x3fffffe9,0xffffffff,
    0x0fffffff,0xfffb1000,0xffffffff,0x2a09ffff,0x204fffff,0x5ffffffe,
    0x1fffffd8,0x3fee0000,0xffffffff,0xffffffff,0xfff104ff,0xffffffff,
    0xfffff1bf,0x3fffff21,0xffffe802,0x3fa0000f,0x07ffffff,0x3ffee000,
    0xffffffff,0x3204ffff,0x003fffff,0x7fffdc00,0xffffffff,0xffffffff,
    0xfffff904,0xffffd005,0x3fff201f,0xffe802ff,0x3fe60fff,0x333203ff,
    0xfffecccc,0x7ffcc1cd,0xffff803f,0x4fffffff,0x01ffffcc,0xd9999999,
    0x2039bfff,0xfffffffb,0xffffffff,0xa84fffff,0x804fffff,0xb86fffff,
    0xffffffff,0xffffffff,0xfff4ffff,0xffffffff,0xffffffff,0xa80001ff,
    0xffffffff,0x202fffff,0x04fffffa,0x3fffffe2,0x7fffec3f,0x2e00001f,
    0xffffffff,0xffffffff,0x2a04ffff,0xffffffff,0xffff14ff,0x3ffff21f,
    0xfffe802f,0x320000ff,0x7fffffff,0x7ec40000,0xffffffff,0x3201ceff,
    0x003fffff,0x7fffdc00,0xffffffff,0xffffffff,0xfffff904,0xffffd005,
    0x3fff201f,0xffe802ff,0x3ffa0fff,0x3f60006f,0xfffd02ff,0x3fffe00d,
    0x4fffffff,0x0037fff4,0x805fffb0,0xfffffffb,0xffffffff,0xa84fffff,
    0x804fffff,0xb86fffff,0xffffffff,0xffffffff,0xfff4ffff,0xffffffff,
    0xffffffff,0x100001ff,0xffffffd9,0xfa8019df,0x5404ffff,0x2fffffff,
    0x07fffff6,0xfffb8000,0xffffffff,0xffffffff,0x7ff4404f,0x222effff,
    0xf90fffff,0xd005ffff,0x001fffff,0xfffffd80,0x4000007f,0x1aabcca9,
    0x3ffff200,0x5c00003f,0xffffffff,0xffffffff,0xf904ffff,0xd005ffff,
    0x201fffff,0x02fffffc,0x0fffffe8,0x003ffff9,0x417ffec0,0x001ffffc,
    0xffffffff,0x7fe49fff,0x360001ff,0x7dc02fff,0xffffffff,0xffffffff,
    0xffa84fff,0xff804fff,0xffb86fff,0xffffffff,0xffffffff,0xfffff4ff,
    0xffffffff,0xffffffff,0x98800001,0x54001aba,0x804fffff,0xfffffffc,
    0x19999950,0x7fdc0000,0xffffffff,0xffffffff,0x731004ff,0xf9000357,
    0xd005ffff,0x001fffff,0xbddd9500,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53000000,0x00001555,0xfecba800,0x001bceef,0x2aaaaa00,
    0xa98002aa,0x40000999,0x0009aa98,0x2aaaa620,0x30000009,0x00013555,
    0x55533000,0x20000133,0x00001aa8,0x000aa880,0x55510000,0x51000013,
    0x00000135,0x00000b98,0x500004c0,0x99999999,0x00099999,0x00002e60,
    0x26aaa620,0xffffc801,0xffffffff,0x645fffff,0xffffffff,0xffffffff,
    0xfffffd0f,0x7ffe4001,0x200002ff,0x0efffffa,0xea800000,0xffffffff,
    0xb00004ff,0x1bffffff,0xfffec880,0x4effffff,0xffffd500,0x805dffff,
    0xfffffdb8,0x01dfffff,0x7ffe4c00,0x00beffff,0x3ff6a000,0xffffffff,
    0xb71001bd,0x9dfffffd,0xb9300001,0x9bffffff,0x95100003,0xfffffffb,
    0x730017bf,0xfffffffb,0xffffffff,0xfb7300df,0x200003ff,0xfffedba8,
    0x800bdeff,0xfffffffc,0x007fffff,0x3fffb730,0xfdb30000,0xffffffff,
    0xfff9039d,0xffffffff,0x8bffffff,0xfffffffc,0xffffffff,0xffffd0ff,
    0x7fe4001f,0x00002fff,0xfffffff5,0x2000001d,0xffffffe8,0x04ffffff,
    0xffffd800,0x7e4403ff,0xffffffff,0x5407ffff,0xfffffffe,0x02efffff,
    0xfffffffb,0xbfffffff,0xfff70003,0xffffffff,0xe980001d,0xffffffff,
    0x0fffffff,0x7ffffd40,0x2fffffff,0x3ffee000,0xffffffff,0x3ee0004f,
    0xffffffff,0x403fffff,0xfffffffa,0xffffffff,0xe806ffff,0x001fffff,
    0xfffffa80,0xffffffff,0xffffc802,0xffffffff,0xfffd0007,0x4c0003ff,
    0xfffffffd,0x4fffffff,0xffffffc8,0xffffffff,0x7fe45fff,0xffffffff,
    0x0fffffff,0x01fffffd,0x7ffffe40,0xff980002,0x6fffffff,0xffb00000,
    0xffffffff,0x80009fff,0x1ffffffd,0x7ffff440,0xffffffff,0x3fee07ff,
    0xffffffff,0x82ffffff,0xfffffffd,0xffffffff,0x3ff6000f,0xffffffff,
    0x0001ffff,0xfffffff7,0xffffffff,0x7fdc01ff,0xffffffff,0x4004ffff,
    0xffffffd8,0xffffffff,0x3f62000d,0xffffffff,0x03ffffff,0x3ffffff2,
    0xffffffff,0x06ffffff,0x1fffffe8,0x3ff62000,0xffffffff,0xc802ffff,
    0xffffffff,0x0007ffff,0x03fffffd,0x3fffee00,0xffffffff,0xfc84ffff,
    0xffffffff,0xffffffff,0x7ffffe45,0xffffffff,0xffd0ffff,0x64001fff,
    0x002fffff,0x7ffffcc0,0x05ffffc9,0x7ffd4000,0xeeefffff,0x20004fff,
    0x0dfffffd,0xfffffe80,0xffffffff,0xfff307ff,0xffffffff,0x3fffffff,
    0xffffffd8,0xffffffff,0xfe8806ff,0xbbdfffff,0x3ffffffe,0x3fffa200,
    0xffffffff,0x0fffffff,0xffffffb0,0xffffffff,0x3e600bff,0xffffffff,
    0xffffffff,0xffe9801e,0xffffffff,0x03ffffff,0xfffffffb,0xffffffff,
    0x0dffffff,0x3fffffd0,0x3ffe6000,0xffffffff,0x802fffff,0xccccccca,
    0x004ccccc,0x3fffffd0,0xffff5000,0xffffffff,0x909fffff,0xffffffff,
    0xffffffff,0xffffc8bf,0xffffffff,0xfd0fffff,0x4001ffff,0x02fffffc,
    0x3fffe600,0x3ffff21f,0xff100005,0x205fffff,0xfb000298,0x2007ffff,
    0xdffffffc,0xfb75331b,0xfffff10f,0xb7537bff,0x8bffffff,0xcdeefffd,
    0xffffffdc,0x3fa203ff,0x5101cfff,0x007fffff,0xfffffff1,0xffffffff,
    0x901fffff,0xbfffffff,0xffffffb7,0xffd005ff,0xffffffff,0xffffffff,
    0xffff980b,0xffffffff,0x83ffffff,0xfffffffa,0xfffffeef,0x6fffffff,
    0xfffffe80,0xfffd0001,0xffffffff,0x005fffff,0xe8000000,0x001fffff,
    0x7fffffc4,0xeeeeefff,0xfc84ffff,0xeeeeffff,0xeeeeeeee,0x7ffc0004,
    0xfffd0fff,0x7e4001ff,0x0002ffff,0x03bdddb1,0x007dddd9,0xfffff300,
    0x2000003f,0x01eeeeec,0x3fffffa0,0x3ea02006,0x4c05ffff,0x647fffff,
    0x7fdc00ac,0x3205ffff,0x3004ffff,0x801fffff,0xfffffffc,0x2a620ace,
    0x7c40fffc,0x885fffff,0x6ffffffa,0x7ffffd40,0xf9511bef,0x03ffffff,
    0x7ffffff4,0x53109bdf,0xffd07ffb,0x6c15dfff,0x0005ffff,0x0ffffff4,
    0x7fffdc00,0x220acfff,0x0002feb9,0x7f400000,0x4001ffff,0xdffffffc,
    0x41edcc01,0x007ffffc,0xfff80000,0xfffd0fff,0x7e4001ff,0x0002ffff,
    0x00000000,0x13ffffea,0x00000000,0x5ffffff0,0xfffc8000,0xffc800ff,
    0x20001fff,0x07fffffb,0x007ffff1,0x04fffe88,0x3fffffe6,0x064c005f,
    0x3bfffff2,0x3fffea00,0x3ffa01ff,0x2e00efff,0x05ffffff,0xfffffff5,
    0x50aa2005,0x01ffffff,0x00bffffb,0xfffffe80,0x7ffcc001,0x3002ffff,
    0x00000001,0xfffffe80,0x7fff4001,0x900005ff,0x000fffff,0xffff0000,
    0x3fffa1ff,0x3f2000ff,0x0002ffff,0x00000000,0x0bfffff2,0x00000000,
    0xffffff88,0x7fec0003,0xff7007ff,0x40003fff,0x0ffffff8,0x405fffc8,
    0xff309aa9,0x3ff601ff,0x0003ffff,0xffffff10,0xffffb001,0x3ffee0df,
    0xfb800fff,0xe80fffff,0x01ffffff,0xffffe800,0xffffb02f,0xdddd700b,
    0xffffffdd,0xdddddddd,0x7fffecbd,0x000001ff,0xeeb80000,0xffffeeee,
    0xeeeeeeff,0x3ffe5eee,0x00002fff,0x00fffff9,0xfff00000,0x3ffa1fff,
    0x32000fff,0x002fffff,0x00000000,0x3fffff60,0x00000001,0x7ffffc00,
    0xb0000bff,0x001fffff,0x01fffff9,0xfffff800,0x7fffc40f,0xffffe981,
    0x13fffa3f,0x3fffffea,0x3ee00004,0x1005ffff,0x03ffffff,0x07ffffff,
    0x7fffffc0,0x7ffffdc4,0xfa80002f,0x3606ffff,0xc805ffff,0xffffffff,
    0xffffffff,0x3e6fffff,0x004fffff,0x3bbbae00,0xeeeeeeee,0xffff9002,
    0xffffffff,0xffffffff,0x3fffe6df,0x900002ff,0x000fffff,0xffff0000,
    0x3fffa1ff,0x3f2000ff,0xc802ffff,0x0005eeee,0x07777744,0xfffffd00,
    0xeee80001,0xeeeeeeee,0xeeeeeeee,0xfffffd83,0x4001cfff,0x04fffffc,
    0x3fffffc4,0x3ffe2000,0xfffc87ff,0xfffffb86,0x3ffea3ff,0x7ffff40f,
    0x200000ff,0x01fffffe,0xffffff30,0xfffff987,0x3ff6001f,0x7ffc6fff,
    0x00007fff,0x09fffff9,0x02ffffec,0x7fffffe4,0xffffffff,0x6fffffff,
    0x1ffffff1,0x7fe40000,0xffffffff,0xff9003ff,0xffffffff,0xffffffff,
    0x3fe2dfff,0x0004ffff,0x0fffff90,0xff000000,0x3fa1ffff,0x2000ffff,
    0x02fffffc,0x07ffffc8,0x7fffcc00,0x7fff4007,0x7c0000ff,0xffffffff,
    0xffffffff,0xfff984ff,0xffffffff,0xfffa801c,0x3f203fff,0x0003ffff,
    0x2fffffd4,0x2e17ffec,0xffffffff,0x20ffffc3,0x04ffffff,0x7fffc000,
    0xfff7006f,0xfb8bffff,0x4006ffff,0x27fffffa,0x3ffffff8,0xfffd0000,
    0x7fec05ff,0xffc805ff,0xffffffff,0xffffffff,0xfff56fff,0x80000fff,
    0xfffffffc,0x003fffff,0xfffffff9,0xffffffff,0x4dffffff,0x3fffffff,
    0xfffc8000,0x0000007f,0x0ffffff8,0x01fffffd,0x7ffffe40,0xffffb802,
    0x3ea0000f,0x74007fff,0x000fffff,0x7fffffc0,0xffffffff,0x904fffff,
    0xffffffff,0x017dffff,0x7ffffff4,0x7fffe40d,0x7c40007f,0xf81fffff,
    0x3fe20fff,0x3eddffff,0xf11fffe4,0x001fffff,0x7fffc400,0x7fec405f,
    0x46ffffff,0x04fffffd,0x7ffffc40,0xfffff30f,0x3e00001f,0x200fffff,
    0x805ffffd,0xfeeeeeeb,0xeeefffff,0x75eeeeee,0x00dfffff,0xffffc800,
    0xffffffff,0xdddd7003,0xffffffdd,0xdddddddd,0x7fffecbd,0x0002efff,
    0x3bfffff2,0x00abccee,0xffff8000,0xffffd0ff,0x7fe4001f,0xfa802fff,
    0x0001ffff,0x217fffee,0xe9999999,0x99afffff,0x00999999,0x3ffffffe,
    0xffffffff,0x2a04ffff,0xffffffff,0x01efffff,0xfffffff5,0xffffd59f,
    0x220003ff,0x3ffffffc,0x5c7fff88,0x400effff,0x3e64fffb,0x0007ffff,
    0x7ffffcc0,0x3fffea04,0x47ffffff,0x03fffffe,0xffffff80,0xffffff51,
    0x3fe20000,0x7ec07fff,0x40005fff,0x01fffffe,0x3fffff60,0x75c00005,
    0xfffeeeee,0x80003fff,0x01fffffe,0x7ffffdc0,0x00bfffff,0x7ffffe40,
    0xffffffff,0x3e00002d,0xfd0fffff,0x4001ffff,0x02fffffc,0x2fffff98,
    0x3fff2000,0xfffff84f,0xffffffff,0xffffffff,0x3fffe06f,0xffffffff,
    0x3fffffff,0x7fffe440,0xffffffff,0xffff702f,0xffffffff,0xd9003fff,
    0xfffffddd,0x3e603dff,0x7fff46ff,0xfffa801f,0x3ffffea5,0x2aaaaa06,
    0x50aaaaaa,0x207fffff,0xfffffffc,0x7fc7ffff,0x8003ffff,0x71ffffff,
    0x00dfffff,0x3fffe600,0x7ffec06f,0xeeeeeeff,0xffffe801,0x3ff6001f,
    0x00005fff,0x3ffff200,0xfe80003f,0x8001ffff,0xfffffffd,0x002dffff,
    0xfffffff9,0xffffffff,0xff00001d,0x3fa1ffff,0x2000ffff,0x02fffffc,
    0x07fffff0,0x7fffec00,0xffffff83,0xffffffff,0xffffffff,0x26666606,
    0xfb999999,0x005fffff,0x7ffffe4c,0x00ffffff,0xfffffff7,0x01bfffff,
    0x3fffff60,0x00dfffff,0xff17ffea,0x3e600fff,0x3ffee6ff,0xfff105ff,
    0xffffffff,0x3ffffee3,0x7ffff4c3,0xfffffeff,0x3ffffe0f,0xffe8002f,
    0xfffb2fff,0x20000bff,0x06fffff9,0x7fffffec,0x801fffff,0x01fffffe,
    0x3ffffee0,0x20000007,0x03fffffc,0xffffe800,0xff88001f,0xffffffff,
    0x6403efff,0xffffffff,0xffffffff,0x7fc0000e,0xffd0ffff,0x64001fff,
    0x002fffff,0x009ffffd,0x17fffec0,0x7ffffffc,0xffffffff,0x6fffffff,
    0xfff88000,0x0000ffff,0x3fffff26,0x3a203fff,0xffffffff,0x3f6004ff,
    0xffffffff,0xff701cef,0x7fffc49f,0xffff1006,0x27ffffec,0xffffff88,
    0xf91fffff,0x7dc5ffff,0xd4ffffff,0x7c1fffff,0x001fffff,0x3fffffe8,
    0x09fffffd,0x3ffe6000,0x7fec05ff,0xffffffff,0xfffe801f,0x3ea001ff,
    0x000fffff,0xfff90000,0xd00007ff,0x003fffff,0x3ffff620,0xffffffff,
    0xfff900ef,0xffffffff,0x1dffffff,0x7fffc000,0xffffd0ff,0x7fe4001f,
    0xfb002fff,0xff90bfff,0xfffd03ff,0xfffff03f,0xffffffff,0xffffffff,
    0xfd0000df,0x003fffff,0x3fff6200,0x3ee04fff,0xffffffff,0xd801efff,
    0xffffffff,0x40dfffff,0x3e64fffb,0xf1006fff,0x7fff4fff,0xfff104ff,
    0xffffffff,0x3fffff63,0xfffffd89,0x3fffa2ff,0x3fffe0ff,0xfd8001ff,
    0xfff3ffff,0x00009fff,0x17ffffe6,0xffffffb0,0x003fffff,0x03fffffd,
    0x7ffffcc0,0x0000004f,0x07fffff9,0x4ccccc40,0x9afffffe,0x00999999,
    0x7fffffdc,0xffffffff,0x5d4c4002,0xffffffff,0x3ffe0004,0xfffd0fff,
    0x7e4001ff,0x9002ffff,0xfd0dffff,0xfff09fff,0x555501ff,0xffffd555,
    0x5555557f,0xd8000555,0x03ffffff,0xfffe8000,0xffe886ff,0xffffffff,
    0x401fffff,0xfffeeeec,0xefffffff,0x897ffea0,0x800fffff,0x3f66fff9,
    0xf104ffff,0xffffffff,0x3fff23ff,0xfffffcff,0x7ffc0dff,0x7fffc7ff,
    0xfe8002ff,0xffd3ffff,0x0000bfff,0x1bffffe6,0xdfffffb0,0x003ddddd,
    0x03fffffd,0x7ffffc40,0x000000ff,0x3fffffc8,0x3ffff200,0xffffffff,
    0x2fffffff,0xffffd500,0xffffffff,0xffb80001,0x000fffff,0x1ffffff0,
    0x03fffffa,0xfffffc80,0xffff7002,0xfffff98f,0x3ffffc47,0x7ffff400,
    0x4000000f,0x5ffffffb,0xffb00000,0xfe88bfff,0xeacfffff,0xffffffff,
    0xff930001,0x4cbfffff,0x7ffc6fff,0xffa802ff,0x3ffff25f,0x2aaaa05f,
    0x1fffffea,0xfffffff9,0x207fffff,0x746fffff,0x003fffff,0x2ffffff8,
    0x0dfffffb,0x3ffe2000,0x7fec06ff,0x740005ff,0x001fffff,0x7fffffec,
    0x0002001e,0x0ffffff2,0xfffffc80,0xffffffff,0x02ffffff,0x7fffe4c0,
    0x06ffffff,0xffffc800,0xff0002ff,0x3fa1ffff,0x2000ffff,0x02fffffc,
    0x1fffff50,0x7fffffe4,0x1bfffe61,0x3ffffa00,0x2000000f,0xeffffff9,
    0x000e4400,0x7ffffff5,0xefffffe8,0x7ffffdc1,0xd80006ff,0x12ffffff,
    0xffe8ffff,0x7dc01dff,0x3ffee4ff,0x7ec006ff,0xff71ffff,0xffffffff,
    0x3ffe203d,0x7ffec5ff,0xff8003ff,0xff92ffff,0x0000ffff,0x03fffffc,
    0x017ffff6,0xfffffd00,0xfff98003,0x00bfffff,0x90007d73,0x007fffff,
    0x7fffffe4,0xffffffff,0x002fffff,0x3ffffaa0,0x0002ffff,0x7fffffc4,
    0xffff0002,0x3fffa1ff,0x3f2000ff,0x3002ffff,0x743fffff,0x24ffffff,
    0x005ffff9,0x0fffffe8,0xff100000,0x003fffff,0x355bfff1,0x7fffdcc1,
    0x3fea1fff,0xd300efff,0x05ffffff,0xfffe8800,0x1fffe4ff,0xdffffff5,
    0xfffc87db,0x3ffffe63,0x7ffec007,0xffff51ff,0x01bfffff,0x27ffffcc,
    0x13fffff2,0xfffff100,0x3fffee3f,0x3e00007f,0x6c07ffff,0x0005ffff,
    0x0ffffff4,0x7fffec00,0xeeffffff,0x003ffffe,0x3fffffc8,0x3ffff200,
    0xffffffff,0x2fffffff,0xfffb8000,0x0003ffff,0x3ffffff8,0xfffff000,
    0x3ffffa1f,0x3ff6000f,0x3e000fff,0xff32ffff,0x54ffffff,0x8004ffff,
    0x00fffffe,0xfffb0000,0x22005fff,0xffffffff,0xffffffff,0x7fffc4ff,
    0x7fc401ff,0x0004ffff,0x5fffffc8,0xfd0bfffa,0x7fffffff,0x222fffe8,
    0x01ffffff,0x3fffff60,0xffffff31,0xff5005ff,0xffb87fff,0x54006fff,
    0x2a7fffff,0x03ffffff,0xffffd000,0x7ffec03f,0x7f40005f,0x8001ffff,
    0xffffffe8,0xffffffff,0xfc8003ff,0x2003ffff,0xffaaaaa9,0xaaabffff,
    0x0000aaaa,0xffffff50,0xffd0000b,0x10005fff,0x6cffffff,0x001fffff,
    0x01fffffa,0x27ffffd0,0xfffffffc,0x5ffff72f,0xffffd000,0x9000001f,
    0x09ffffff,0x7ffffc40,0xffffffff,0x220effff,0x005fffff,0x0bfffff5,
    0xffff7000,0x2fffecdf,0x3fffffa6,0x3ffe63ff,0x7ffffc0f,0x3ff6005f,
    0x3ffe1fff,0xb000efff,0xa85fffff,0x00ffffff,0x3fffff20,0x3ffffe65,
    0xfb00006f,0x6c07ffff,0x0005ffff,0x0ffffff4,0xfffd8800,0xffffffff,
    0x8003ffff,0x03fffffc,0xffffe800,0x0000001f,0x1bfffffe,0xffff1000,
    0xf30001ff,0x7e4dffff,0x2002ffff,0x006fffff,0xea7fffec,0xffffefff,
    0x03ffff95,0xfffffd00,0xfa800001,0x006fffff,0x7fffffc4,0xffffffff,
    0xfffa84ff,0xff1004ff,0x0000ffff,0x49fffff9,0x441ffffa,0x3ffffffd,
    0x3a13fff6,0x00ffffff,0x3fffffb0,0x1ffffff4,0xfffff880,0x7fffc40f,
    0x3fe003ff,0x7fc3ffff,0x002fffff,0xfffffb80,0x3ffff605,0x7ff40005,
    0x40001fff,0xfffffffc,0x3fffffff,0xffffc800,0xfe80003f,0x0001ffff,
    0x3fff6000,0x5c0004ff,0x007fffff,0xbfffff70,0x2fffffdc,0xfffff980,
    0x7ffe4005,0xaffff9df,0xfd8fffff,0xe8000fff,0x000fffff,0x3fffe200,
    0x44000fff,0xffffffed,0x1cffffff,0x9fffff70,0x3fffe200,0xfe80006f,
    0x7f43ffff,0x973104ff,0x3ffe2155,0xffff980f,0xffb005ff,0x7fd43fff,
    0xb800ffff,0xb04fffff,0x01dfffff,0xffffff70,0xffffff70,0xf880003d,
    0xb00fffff,0x000bffff,0x2fffffe8,0xfeb88000,0xffffffff,0xff90002d,
    0x00007fff,0x05fffffd,0x7fc00000,0x0003ffff,0x3fffffe6,0x3e2002e5,
    0x2a4fffff,0x01ffffff,0x3fffffd8,0x7fffdc00,0xd8ffffbe,0xffeaffff,
    0xffd0007f,0x00001fff,0x7ffffff4,0x54c40002,0x5fffffba,0xfffff980,
    0xffff5006,0xfc80009f,0x541fffff,0x4002ffff,0x204fffe8,0xeffffffd,
    0x7fffec00,0x7ffff41f,0x7ffcc05f,0xff300fff,0xa80dffff,0x03ffffff,
    0xfffffffd,0xb0ae2005,0x01dfffff,0x00bffffb,0xfffffd80,0x3e600003,
    0x009bffff,0xffffc800,0xfd80003f,0x2003ffff,0xff70001a,0x00c3ffff,
    0xfffffc88,0x073f62ff,0x7fffff4c,0x7ffff42f,0x3ff201ff,0x4000ffff,
    0xfdfffffa,0xffff55ff,0x00dffffb,0x3fffffa0,0xff900000,0x0007ffff,
    0x3ffffe00,0xffff8802,0x7fcc04ff,0x0012ffff,0xfffffda8,0xffffd07f,
    0x3ffa2005,0x3fe200ff,0xabffffff,0x7fffec40,0x7fffd41f,0xff980bff,
    0x7404ffff,0xaeffffff,0x3fffee60,0x3fea06ff,0xbdffffff,0x3ff6e609,
    0x7ffffd43,0x7ffec1df,0x7dc0005f,0x000fffff,0xdffff500,0xffc80000,
    0x80003fff,0x0ffffffb,0x37bff900,0x7ffecc01,0x3fe27fff,0xedccccde,
    0xffffffff,0x6ffffec3,0xfffffdcc,0xfffa85ff,0xbaceffff,0xffffffec,
    0xfff98002,0x13ffffff,0xffffffff,0x3fa000bf,0x0000ffff,0xffffffb8,
    0xf1000005,0x7400ffff,0xdfffffff,0xfffca99b,0xdf90ffff,0xd999999b,
    0xfffffffd,0x3ffea03f,0x3a600bff,0xc804ffff,0xffffffff,0xfffeefff,
    0xfe81ffff,0xadffffff,0xffffffdb,0x7ffd400f,0xffffffff,0xffffffff,
    0x7ffff402,0xffffffff,0x83ffffff,0xffffffff,0xfffffddf,0x5eeeeeef,
    0xfffffa80,0xba99abff,0xfff9005d,0xc800007f,0x003fffff,0xfffffa80,
    0xba99abff,0xfffff95d,0xfffdddff,0x5fffffff,0x7fffffc4,0xffffffff,
    0xffd84fff,0xffffffff,0xd00fffff,0xffffffff,0xffffffff,0x3e2000bf,
    0xffffffff,0x3fffff60,0xd0004fff,0x001fffff,0xfffff980,0x999999ff,
    0x00099999,0x013fffea,0xffffff98,0xffffffff,0x321fffff,0xffffffff,
    0xffffffff,0x7fdc02ff,0xbabeffff,0x4ffffffd,0xffffd100,0xffffffff,
    0x3fffffff,0xffffff50,0xffffffff,0x36007fff,0xffffffff,0xffffffff,
    0xffe9805f,0xffffffff,0x3fffffff,0xffffffa8,0xffffffff,0xffffffff,
    0xffffd006,0xffffffff,0x3ffa00df,0x64c000ff,0xfecccccc,0xccceffff,
    0x3a002ccc,0xffffffff,0xf96fffff,0xffffffff,0xffffffff,0xfff889ff,
    0xffffffff,0xb04fffff,0xffffffff,0x07ffffff,0x7fffffcc,0xffffffff,
    0x20000eff,0xffffffff,0x7ffffd46,0xd0003fff,0x001fffff,0x7ffff440,
    0xffffffff,0x06ffffff,0x07ffff20,0xfffff500,0xffffffff,0xfc85ffff,
    0xffffffff,0xffffffff,0xffff3003,0xffffffff,0x70005fff,0xffffffff,
    0xffffffff,0x3fea03ff,0xffffffff,0x001fffff,0x7fffffdc,0xffffffff,
    0x7fe4003f,0xffffffff,0x03ffffff,0xfffffff3,0xffffffff,0x0dffffff,
    0x3ffffe60,0xffffffff,0xbffff006,0xffff7000,0xffffffff,0xffffffff,
    0x7ffcc009,0xffffffff,0xffff96ff,0xffffffff,0x0bffffff,0xfffffff1,
    0x9fffffff,0x7fffec01,0xffffffff,0xffc8801e,0xffffffff,0x80003fff,
    0xfffffffd,0x7ffffc43,0xd0002fff,0x001fffff,0x7ffffd40,0xffffffff,
    0x06ffffff,0x01bfff60,0x7ffff540,0xffffffff,0xfffc82ef,0xffffffff,
    0x000cffff,0x7fffff44,0x1fffffff,0x3ffa6000,0xffffffff,0x00efffff,
    0x3fffffa2,0x0effffff,0xffff3000,0xffffffff,0x3aa0003d,0xffffffff,
    0x02ffffff,0x3fffffa2,0xffffffff,0x06ffffff,0x3ffffee0,0x6fffffff,
    0x2ffff980,0xffffb800,0xffffffff,0xffffffff,0x7ffdc004,0xffffffff,
    0xfffff96f,0xffffffff,0x2205dfff,0xffffffff,0x000cefff,0xffffffb5,
    0x30005dff,0xfffffffb,0x00001bff,0x3ffffff2,0xffffd80f,0xd0001fff,
    0x001fffff,0x7ffffd40,0xffffffff,0x06ffffff,0x00ffffe0,0xffffd500,
    0x05bfffff,0x7fffffe4,0x3dffffff,0xffeb8000,0x0cffffff,0xfdb70000,
    0xffffffff,0x75c0017d,0xdfffffff,0xec880003,0xefffffff,0x5c40000c,
    0xffffffec,0x8800adff,0xfffffedb,0xffffffff,0x44006fff,0xfffffffc,
    0xfb805fff,0xf70007ff,0xffffffff,0xffffffff,0x10009fff,0xfffffff9,
    0x36e6bfff,0xffffffff,0x002dffff,0x35555533,0x53300001,0x40000135,
    0x009aca98,0xfffb8000,0xff506fff,0x000fffff,0x07fffff4,0xffff5000,
    0xffffffff,0xdfffffff,0x00cccc00,0x95531000,0x4c400355,0x09aaaaaa,
    0x2a200000,0x0001abca,0xaaca9800,0x98000099,0x00000aba,0x00d5d440,
    0x55440000,0x8800009a,0x00019aa9,0x79553000,0x4c400355,0xf7000099,
    0xffffffff,0xffffffff,0x80009fff,0x1aabcaa9,0x65554c40,0x000009ab,
    0x00000000,0x00000000,0xfffffa80,0xffff103f,0x74000fff,0x000fffff,
    0x3ffffea0,0xffffffff,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55100000,0x98800003,0x0000009a,0x00033333,
    0xedcba980,0x88007fff,0x320009a9,0x002fffff,0x03fffffa,0x2fffffd8,
    0x7c000000,0xffffffff,0xb1ffffff,0x005fffff,0x7ffffc00,0xffffffff,
    0xffffffff,0x7ffc44ff,0xff3006ff,0x7d40bfff,0xffffffff,0x0001abce,
    0xfffffff5,0x03579dff,0x0000a800,0x7ffc402a,0x400007ff,0xfffffff8,
    0xffffffff,0xffffffff,0x3fffffa4,0x7ffc4006,0xfffd2fff,0x9dffffff,
    0xfe800357,0x0007ffff,0x0bfffffe,0x3fae0000,0x2defffff,0xfffeb800,
    0x002effff,0xffffea80,0xfb880007,0xffffffff,0xecb8807f,0x2dffffff,
    0x7ffffe40,0x3fffa002,0x3ff600ff,0x00002fff,0x3fffea00,0xffffffff,
    0xfffb1fff,0x400005ff,0xffffffff,0xffffffff,0x4fffffff,0x37ffffc4,
    0xfffff980,0x3fffea05,0xffffffff,0x2000cfff,0xfffffffa,0xffffffff,
    0x3f66000c,0x9ff30006,0xfffff881,0x7c400007,0xffffffff,0xffffffff,
    0x24ffffff,0x2ffffff9,0x3ffff200,0x3ffffa6f,0xffffffff,0xc800cfff,
    0x01ffffff,0xfffff980,0x2a00000f,0xfffffffe,0x800dffff,0xffffffea,
    0x00dfffff,0xffffe980,0x260007ff,0xfffffffd,0x407fffff,0xfffffffb,
    0x01dfffff,0x05fffff9,0x7fffff40,0x3ffff600,0x0000002f,0x3ffffff6,
    0xffffffff,0xfffffb1f,0x7fc00005,0xffffffff,0xffffffff,0x444fffff,
    0x006fffff,0x0bfffff3,0x7fffffd4,0xffffffff,0xf5002fff,0xffffffff,
    0xffffffff,0xfffd8805,0xffe8003f,0x3ffe23ff,0x400007ff,0xfffffff8,
    0xffffffff,0xffffffff,0x7ffffe44,0xffff1006,0x7fff43ff,0xffffffff,
    0x02ffffff,0x7fffffcc,0xfffc8003,0x200005ff,0xfffffffc,0xffffffff,
    0xffffb102,0xffffffff,0x26005fff,0xfffffffd,0xff30007f,0xffffffff,
    0x260fffff,0xfffffffe,0xffffffff,0xfffffc81,0x3fffa002,0x3ff600ff,
    0x00002fff,0xfffff100,0xffffffff,0x3ff63fff,0x00002fff,0x3ffffffe,
    0xffffffff,0xffffffff,0x7ffffc44,0xffff3006,0x7ffd40bf,0xffffffff,
    0xefffffff,0x7fffd400,0xffffffff,0x0effffff,0xffffffb0,0x7ffe4003,
    0xfff11fff,0x80000fff,0xaaacfff8,0xaaaaaaaa,0xfffaaaaa,0x7ffffc44,
    0xfffc803f,0x7fff44ff,0xffffffff,0xefffffff,0x3ffffe00,0xffe8005f,
    0x00003fff,0xfffffff3,0xffffffff,0x3fff60bf,0xffffffff,0x00ffffff,
    0x3fffff62,0x007fffff,0xffffffa8,0xffffffff,0xffffb87f,0xffffffff,
    0xc86fffff,0x002fffff,0x03fffffa,0x2fffffd8,0xf7000000,0xffffffff,
    0x3fffffff,0x37fffff6,0x0019accc,0xfffffff8,0xffffffff,0xffffffff,
    0xffff5314,0x333333df,0xffff7333,0xff5033bf,0xffffffff,0xffffffff,
    0xfffa80df,0xffffffff,0xffffffff,0xffffd106,0x3fe600df,0x3e22ffff,
    0x0007ffff,0x517ffc40,0x7fc00135,0xffffb84f,0x3fe600ff,0x7f40ffff,
    0xffffffff,0xffffffff,0x3ff206ff,0x44007fff,0x00ffffff,0xffffd000,
    0xfb557bff,0xf501dfff,0x9dffffff,0xffffffd9,0xfff9109f,0xffffffff,
    0xffa800ff,0xccffffff,0x8199999a,0xfffffffb,0xffffffef,0x7fe44fff,
    0x3a002fff,0x200fffff,0x02fffffd,0xffd00000,0xbffffbff,0xfffffb00,
    0xffffffff,0x5000019d,0x00dfffff,0x7fffffdc,0xffffffff,0xffffffff,
    0xffa87fff,0xa999dfff,0xffffffdb,0x3fea03ff,0xa999dfff,0xffffffdb,
    0xfff303ff,0x99719fff,0xfffd3599,0xfff889ff,0x400007ff,0x3fa2fff8,
    0x201cefff,0xffd04fff,0x7ec09fff,0xfe83ffff,0x9999ffff,0xfffffdba,
    0xff503fff,0x4005ffff,0x06fffffb,0xffff7000,0x3f2205ff,0xffff880f,
    0xfe881eff,0x7c0fffff,0xffffffff,0x007fffff,0x7ffffff4,0x3f20000c,
    0x260acfff,0x7ffffffd,0x17ffffe4,0xfffffd00,0x7fffec01,0x001aa02f,
    0x37fffe60,0x805ffffc,0xfffffffd,0xffffffff,0x2a0000cf,0x006fffff,
    0x3fffffee,0xffffffff,0xffffffff,0xffa87fff,0x3a204fff,0x0fffffff,
    0x9fffff50,0x7ffff440,0xff700fff,0xffffffff,0xffffffff,0xffff10df,
    0x880000ff,0x3ffa2fff,0x81dfffff,0xff504fff,0xf301ffff,0x3a0dffff,
    0x200fffff,0xffffffe8,0xffff880f,0x3f6004ff,0x0003ffff,0x7fffffb0,
    0x3ee03500,0x200fffff,0x5fffffe8,0x7fffffec,0x7fffffbe,0x3fffee00,
    0xd00001ff,0xffd803df,0x3f21ffff,0x2002ffff,0x00fffffe,0x0bfffff6,
    0x0001ffaa,0x32bffff2,0xd805ffff,0xffffffff,0xffffffff,0xf50002ff,
    0x400dffff,0xfffffffb,0xffffffff,0xffffffff,0xfffa87ff,0xffc804ff,
    0xf504ffff,0x9009ffff,0x09ffffff,0x7fffffec,0xffffffff,0xf880ffff,
    0x0007ffff,0xd17ffc40,0xffffffff,0x04fff83f,0x17fffff6,0x0bfffff6,
    0x07fffff4,0x7ffffe40,0xffffb04f,0x7ffc00df,0x00001fff,0x00dffffd,
    0xfffffb00,0xffff5007,0x7ffcc1ff,0xffff13ff,0x3fe200ff,0x0003ffff,
    0x7c401220,0x322fffff,0x002fffff,0x03fffffa,0x2fffffd8,0x01ffffaa,
    0x3ffffe00,0x05ffffc8,0xffffffd8,0xffffffff,0x001fffff,0x6fffffa8,
    0x3fffee00,0xffffffff,0xffffffff,0xa87fffff,0x004fffff,0x1ffffffd,
    0x9fffff50,0x3ffffa00,0xffd100ff,0xffffffff,0x05ffffff,0x1fffffe2,
    0xfff10000,0x7edd4c45,0x3e0effff,0x3fe604ff,0x3ea1ffff,0x3a05ffff,
    0x000fffff,0x1ffffffd,0xffffff70,0xffff3001,0x7c0000ff,0x0005ffff,
    0x1fffffe8,0xfffff880,0x067ff42f,0x0ffffff1,0x3ffffea0,0x00000006,
    0x27fffffc,0x05fffff9,0x7fffff40,0x3ffff600,0xffffeaaf,0x7d40007f,
    0xfff95fff,0xfffb00bf,0xb97559ff,0xfffffffd,0xffa8001d,0x2a006fff,
    0xffffffcc,0xcccccccc,0xefffffdc,0xffffa84c,0xfff7004f,0xff507fff,
    0x2e009fff,0x03ffffff,0x3fffffee,0xffffffff,0xfff100ff,0x80000fff,
    0x4402fff8,0x3e4ffffc,0x7fe404ff,0x3ffa5fff,0x3fa01fff,0x7000ffff,
    0x07ffffff,0x5ffffff1,0xfffff900,0x3e200009,0x0004ffff,0x3fffffc4,
    0xfffffb00,0xf880db87,0x9007ffff,0x007fffff,0xfe800000,0x3f24ffff,
    0x2002ffff,0x00fffffe,0x3ffffff6,0x7fffffff,0x7ffec000,0xbffff92f,
    0xfffffb00,0x7fffd405,0x54004fff,0x006fffff,0x6fffff88,0xfffff300,
    0x7fffd40b,0xfff1004f,0xff509fff,0x22009fff,0x04ffffff,0x37fffff6,
    0xffffb98a,0xfff103ff,0x80000fff,0xb002fff8,0x7ffcdfff,0x7fffc404,
    0xffffa9ff,0x7fff404f,0xff1000ff,0x3a09ffff,0x805fffff,0x02fffffe,
    0xffff3000,0xf880007f,0x2007ffff,0x05fffffc,0x3ffffe20,0xffffd007,
    0x0000003f,0xfffffe80,0x3fffff22,0x3fffa002,0x3ff600ff,0xffffffff,
    0x20001dff,0x327ffff8,0xd805ffff,0x402fffff,0x6ffffff8,0x7fffd400,
    0xff88006f,0xf3006fff,0x540bffff,0x004fffff,0x1bfffff6,0x13ffffea,
    0xfffffd80,0xfffff306,0x3fffe20b,0xffff106f,0x880000ff,0xf5002fff,
    0x27ffcfff,0x7ffffdc0,0x0fffffed,0x7fffff40,0x3fff6000,0xfff706ff,
    0xff880fff,0x00007fff,0x0fffffe6,0x3fffe000,0xff7000ff,0x4400bfff,
    0x807fffff,0x17fffff8,0x59bddb95,0xf1000003,0x643fffff,0x002fffff,
    0x03fffffa,0xffffffd8,0x001dffff,0x4ffffb80,0x017ffff2,0x0bfffff6,
    0x3ffffee0,0x7ffd4007,0xf88006ff,0x3006ffff,0x40bfffff,0x04fffffa,
    0x3fffff20,0xfffffa87,0x3fff2004,0xfff907ff,0x7fe401ff,0xff880fff,
    0x2a007fff,0x7c40cefd,0xff5002ff,0x027ffcff,0xffffffe8,0xe803ffff,
    0x000fffff,0x1ffffff2,0x7fffffcc,0x3fffea01,0x2600005f,0x003fffff,
    0xfffffe80,0xffff7003,0x7fc400df,0xf9807fff,0xffdfffff,0xffffffff,
    0x2e00000d,0x20ffffff,0x02fffffc,0x3fffffa0,0xffffd300,0x003dffff,
    0x7ffff400,0x3fffff21,0x365eeeee,0x802fffff,0x1ffffff8,0x3fffea00,
    0xff88006f,0x9999efff,0xffb99999,0xeee85fff,0xeeffffff,0xffb81eee,
    0x3bba7fff,0xeeffffff,0xffb81eee,0xffb07fff,0xff980bff,0xff881fff,
    0xf9007fff,0x441fffff,0xfd002fff,0x27ffcbff,0xfffffa80,0xd006ffff,
    0x001fffff,0x3fffffdc,0x7ffffff0,0x7ffffec0,0x3e600002,0x0003ffff,
    0xffffffd8,0xffffc800,0x3fe2006f,0xfa807fff,0xffffffff,0xffffffff,
    0xd00004ff,0xc89fffff,0x002fffff,0x03fffffa,0xffffffb3,0x00005dff,
    0x46ffff98,0xfffffffc,0x3ff66fff,0xff002fff,0xf105ffff,0xffffffff,
    0xffffffff,0x7fffc409,0xffffffff,0xffffffff,0xfffff85f,0xffffffff,
    0xffffa81f,0xfffff0ff,0xffffffff,0xffff503f,0xfffd01ff,0xfff8809f,
    0xfff882ff,0xffa807ff,0x226fffff,0x4cc42fff,0x2ffffec9,0xd8013ffe,
    0xffffffff,0xffffd001,0x7fd4001f,0xf900ffff,0x7c0dffff,0x000fffff,
    0x3ffffe20,0xffffffff,0x03ffffff,0x3fffffee,0x3f2621bf,0x06ffffff,
    0x3ffffe20,0xffffa807,0xffffffff,0xffffffff,0x7fdc0003,0x7e41ffff,
    0x2002ffff,0x20fffffe,0xfffffffd,0x000003ff,0xc87ffff9,0xffffffff,
    0x3fff66ff,0xfff002ff,0xff103fff,0xffffffff,0x9fffffff,0x7ffffc40,
    0xffffffff,0xffffffff,0xffffff85,0xffffffff,0xfffff981,0xffffff0f,
    0xffffffff,0xfffff303,0xfffff01f,0xfffff007,0xfffff107,0xffffb00f,
    0x3e23ffff,0x7ffe42ff,0x7c4fffff,0x3e2004ff,0x05ffffff,0x3fffffa0,
    0x3ffe6000,0xff500fff,0xf301ffff,0x000dffff,0xffffff88,0xffffffff,
    0x403fffff,0xfffffffe,0xffffffff,0x006fffff,0x1fffffe2,0x3ffffee0,
    0xffffffff,0xffffffff,0xfff30000,0xff90bfff,0x74005fff,0xf10fffff,
    0xffffffff,0x1000005f,0xc81fffff,0xffffffff,0x3fff66ff,0xff8802ff,
    0xf880ffff,0xffffffff,0xffffffff,0x3fffe204,0xffffffff,0xffffffff,
    0xfffff85f,0xffffffff,0xffff981f,0xfffff0ff,0xffffffff,0xffff303f,
    0xffff01ff,0xffff007f,0xffff105f,0xfffd00ff,0x227fffff,0x7fdc2fff,
    0xf83fffff,0x7e4004ff,0x000fffff,0x03fffffa,0xfffff980,0x3fffe00f,
    0xfffc82ff,0x440003ff,0xffffffff,0xffffffff,0x7cc03fff,0xffffffff,
    0xffffffff,0x22005fff,0x807fffff,0xfffffffb,0xfb9889be,0x05ffffff,
    0xffffe880,0xfffc80ef,0x3fa002ff,0xff10ffff,0xffffffff,0xf5000005,
    0xff90dfff,0xffffffff,0x7ffffecd,0xffffa802,0xffff107f,0xffffffff,
    0x409fffff,0xfffffff8,0xffffffff,0x85ffffff,0xffffffff,0x81ffffff,
    0x27fffffa,0xffffffff,0x81ffffff,0x07fffffa,0x809ffffd,0x81fffff8,
    0x07fffff8,0xffffffe8,0x5fff12ff,0xacefffb8,0x109fff00,0xf5333333,
    0x333bffff,0xffd01333,0x54001fff,0x407fffff,0x84fffffd,0x01fffffe,
    0x7fffc400,0xffffffff,0x3fffffff,0xfffffb80,0xffffffff,0x04ffffff,
    0x3ffffe20,0xffffc807,0x7f4401ef,0x4007ffff,0xffffffe8,0xfffff901,
    0x7fff4005,0xdfff10ff,0x05fffffd,0xfffd0000,0xffff907f,0xffffb00b,
    0xfffd005f,0x3fe20bff,0xffffffff,0x4fffffff,0x3ffffe20,0xcccccccf,
    0xfffffdcc,0x3fffea05,0x3fee004f,0xffa86fff,0x2e004fff,0xb06fffff,
    0xa80dffff,0x880fffff,0x807fffff,0xfffffffc,0x85fff10f,0xf800fffb,
    0xfffa84ff,0xffffffff,0xffffffff,0xfffffe85,0x3ffee000,0x7fd406ff,
    0x7fc47fff,0x00006fff,0xffff9555,0x555555bf,0x26001555,0xfffffffd,
    0xfffeefff,0x3e2003ff,0xb807ffff,0x006fffff,0x3ffffff3,0x7ffff400,
    0x3ff203ff,0x3a002fff,0xf10fffff,0x3ffff67f,0x4400002f,0xc80fffff,
    0xd805ffff,0x402fffff,0x2ffffffc,0x7fffd400,0xff88006f,0xf3006fff,
    0x540bffff,0x004fffff,0x13fffff2,0x13ffffea,0xfffffc80,0xfffff904,
    0x7fffec03,0xfffff107,0xffff100f,0x7fc49fff,0x07ffd42f,0x5427ffc0,
    0xffffffff,0xffffffff,0xffe85fff,0x32000fff,0x404fffff,0x1ffffff8,
    0x13ffffea,0x3fe60000,0x00003fff,0xdfdd9730,0x3fff239b,0x3e2003ff,
    0xa807ffff,0x006fffff,0x0bfffffa,0x7ffffec0,0x7ffe403f,0x3fa002ff,
    0x8710ffff,0x02fffffd,0x7ffe4000,0xffff905f,0xffffb00b,0xffd5105f,
    0x000bffff,0x0dfffff5,0xfffff100,0x3ffe600d,0x3fea05ff,0x36004fff,
    0xa83fffff,0x004fffff,0x0ffffff6,0x77ffffcc,0xfffffb80,0xfffff104,
    0x3ffa600f,0x7ffc44ff,0x007ffd42,0x7d427ffc,0xffffffff,0xffffffff,
    0xfffe85ff,0x3f6000ff,0xe803ffff,0x323fffff,0x001fffff,0xffff9800,
    0x0000003f,0xfffffe80,0x3ffe2002,0xff9807ff,0x36007fff,0x803fffff,
    0x4ffffffd,0xfffffc80,0x3fffa002,0x3ff600ff,0x00002fff,0x7ffffffc,
    0xffffffff,0xfffd805f,0xffeeeeff,0xffffffff,0xfffa8000,0xf88006ff,
    0x3006ffff,0x40bfffff,0x04fffffa,0xffffff10,0xfffff505,0x3ffe2009,
    0x3fa02fff,0xbacfffff,0x0ffffffd,0xffffff10,0x80aba800,0x0002fff8,
    0xc984fff8,0xffdccccc,0xccccefff,0xfffe83cc,0xff1000ff,0x7005ffff,
    0x7cdfffff,0x0007ffff,0xfffff300,0x00000007,0x7fffff88,0x7fffc400,
    0xfff8807f,0x3f2007ff,0x6c03ffff,0x04ffffff,0x5fffff90,0x7ffff400,
    0x3fff600f,0x200002ff,0xfffffffa,0xffffffff,0xfffd805f,0xffffffff,
    0x2fffffff,0xffff5000,0xff1000df,0x2600dfff,0x205fffff,0x04fffffa,
    0xffffff90,0xfffff501,0x3fff2009,0x3ee00fff,0xffffffff,0x06ffffff,
    0x1fffffe2,0xfff10000,0x20037505,0x4c004fff,0x005fffff,0x07fffff4,
    0xfffffc80,0xfff9800f,0xfff98fff,0x000005ff,0x07fffff3,0xa8000000,
    0x004fffff,0x3fffffc4,0xffffff80,0xffffd002,0x7ffec03f,0x32004fff,
    0x002fffff,0x03fffffa,0x2fffffd8,0x3ff60000,0xffffffff,0x05ffffff,
    0xffffffd8,0xffffffff,0x20001eff,0x06fffffa,0xfffff880,0xffff3006,
    0x7ffd40bf,0xff8804ff,0xf504ffff,0x1009ffff,0x09ffffff,0x7fffffc4,
    0xffffffff,0xff104fff,0x0000ffff,0x642fff88,0xff802fff,0x7fcc004f,
    0x74005fff,0x800fffff,0x4ffffff8,0x3ffffa00,0xfffffbaf,0xf3000002,
    0x0007ffff,0x7fc40000,0x4001ffff,0x07fffff8,0xbfffffd0,0xfffff100,
    0x3fff601f,0x64003fff,0x002fffff,0x03fffffe,0x2fffffd8,0xfff10000,
    0xffffffff,0x0bffffff,0xffffffb0,0xffffffff,0xf500007f,0x000dffff,
    0x0dfffff1,0x3ffffe60,0x3fffea05,0x7fec404f,0xf500ffff,0x8809ffff,
    0x0ffffffd,0x3fffff60,0xffffffff,0x882fffff,0x007fffff,0x17ffc400,
    0x00dffff1,0x98009fff,0x005fffff,0x07fffff4,0x3ffff620,0x3f2000ff,
    0xffdcffff,0x00000fff,0x7fffff30,0x40000000,0x06fffffd,0xfffff880,
    0xffff5007,0xffc801ff,0xffb06fff,0x0007ffff,0x05fffff9,0x3ffffe20,
    0x7fffec07,0xf700002f,0x9999ffff,0xffffd999,0xffffb00b,0x9dffffff,
    0x20000157,0x06fffffa,0xfffff880,0xffff3006,0x7ffd40bf,0x3fa604ff,
    0x203fffff,0x04fffffa,0x3fffffa6,0x3fff203f,0xffffffff,0xfffffeff,
    0x7fffc40f,0x4400007f,0x3fe22fff,0xfff807ff,0xfffffa84,0xffffffff,
    0x85ffffff,0x00fffffe,0x3fffffa6,0x7fcc003f,0xffffefff,0x2000005f,
    0x03fffff9,0xea800000,0x03ffffff,0xfffff880,0x3fffa007,0xff901fff,
    0xfb09ffff,0x005fffff,0x3fffff20,0xfb102e62,0xd80bffff,0x99bfffff,
    0x99999999,0xfffe8099,0x7ffe403f,0xfffd805f,0x00099bff,0x7ffd4000,
    0xf88006ff,0x3006ffff,0x40bfffff,0x24fffffa,0xffffdba8,0x2a00ffff,
    0x224fffff,0xfffffdba,0xff500fff,0x2a63ffff,0x3fffa1aa,0x7ffc46ff,
    0x99999fff,0x99999999,0x85fff100,0xf803fffd,0xfffa84ff,0xffffffff,
    0xffffffff,0xfffffe85,0x3ff6ea20,0x00ffffff,0xffffff80,0x003fffff,
    0x7dcccc00,0x999cffff,0x99999999,0x99998809,0xffecaa99,0x204fffff,
    0xa9999999,0x99ffffff,0x7d419999,0xcdffffff,0xfffffecb,0xffffd86f,
    0xaaaaadff,0x2aaaaaaa,0x45fffff9,0xffddeff9,0x403fffff,0xfffffffd,
    0xffffffff,0x7fcc6fff,0x7e400fff,0xeeeeffff,0xffffb2ee,0x0000005f,
    0x37ffffd4,0x7fffc400,0xfff3006f,0x7fd40bff,0xffffffff,0xffffffff,
    0x7ffd402f,0xffffffff,0xffffffff,0xfffff102,0x3fe6009f,0x3e24ffff,
    0xffffffff,0xffffffff,0xfff103ff,0x20039505,0xffa84fff,0xffffffff,
    0xffffffff,0xffffe85f,0xffffffff,0x2fffffff,0xffffb000,0x01ffffff,
    0x7ffc4000,0xffffffff,0xffffffff,0xffa85fff,0xffffffff,0x05ffffff,
    0x3fffffe6,0xffffffff,0x87ffffff,0xfffffffe,0xffffffff,0x7ffe40ff,
    0xffffffff,0xffffffff,0xfffff96f,0x7ffffcc5,0x06ffffff,0xffffffd8,
    0xffffffff,0x7e46ffff,0xfc806fff,0xffffffff,0xffffb3ff,0x0000005f,
    0x37ffffd4,0x7fffc400,0xfff3006f,0x7fd40bff,0xffffffff,0xffffffff,
    0xffffa802,0xffffffff,0x02ffffff,0x1bfffff6,0xfffff700,0x3fffe23f,
    0xffffffff,0x3fffffff,0x337fff10,0x33333333,0xff333333,0xdddd309f,
    0xfffffddd,0x9ddddddf,0xffffffd0,0xffffffff,0x0005ffff,0x7fffffd4,
    0x00006fff,0x7fffffc4,0xffffffff,0xffffffff,0xfffffa85,0xffffffff,
    0x3e600eff,0xffffffff,0xffffffff,0xfe887fff,0xffffffff,0x82ffffff,
    0xfffffffe,0xffffffff,0xf96fffff,0x7cc5ffff,0xffffffff,0xffd801ff,
    0xffffffff,0xffffffff,0x1fffffc6,0x7ffffe40,0xb3ffffff,0x005fffff,
    0x7fd40000,0x88006fff,0x006fffff,0x0bfffff3,0x7fffffd4,0xffffffff,
    0xf5001eff,0xffffffff,0xdfffffff,0xffff7003,0xfffd0003,0x7fffc41b,
    0xffffffff,0x3fffffff,0xffffff10,0xffffffff,0xffffffff,0xff98009f,
    0x74005fff,0xffffffff,0xffffffff,0x7c40001e,0xffffffff,0x7c400004,
    0xffffffff,0xffffffff,0xa85fffff,0xffffffff,0x02ffffff,0xffffff98,
    0xffffffff,0x07ffffff,0x3ffffff2,0x0dffffff,0xffffffd0,0xffffffff,
    0x2dffffff,0x22fffffc,0xfffffff9,0xfb001eff,0xffffffff,0xffffffff,
    0x7fffd4df,0xfffc800f,0xffffffff,0x5fffffb3,0x54000000,0x006fffff,
    0x6fffff88,0xfffff300,0x7fffd40b,0xffffffff,0x54002eff,0xffffffff,
    0x2effffff,0x027e4400,0x881ef880,0xffffffff,0xffffffff,0xff103fff,
    0xffffffff,0xffffffff,0x009fffff,0x5fffff98,0x7ffff400,0xffffffff,
    0x00002eff,0x3ffffff6,0x400001ff,0xfffffff8,0xffffffff,0x5fffffff,
    0xffffffa8,0x03efffff,0x3ffffe60,0xffffffff,0x7fffffff,0x7fffed40,
    0x401dffff,0xfffffffe,0xffffffff,0xf96fffff,0x6c45ffff,0x4effffff,
    0x7fffec00,0xffffffff,0x26ffffff,0x005ffffd,0xfffffff9,0x3f67ffff,
    0x0002ffff,0x3ffea000,0xf88006ff,0x3006ffff,0x40bfffff,0xfffffffa,
    0x00aceeff,0xfffff500,0x59ddffff,0x00080001,0xfff100c0,0xffffffff,
    0xffffffff,0x3fffe207,0xffffffff,0xffffffff,0x4c004fff,0x005fffff,
    0x7ffffff4,0x0aceefff,0xffb80000,0x007fffff,0xffff8800,0xffffffff,
    0xffffffff,0xfffa85ff,0x0aceeeff,0xffff9800,0xffffffff,0xffffffff,
    0x2eea2007,0x3ffa0009,0xffffffff,0xffffffff,0x330006ff,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e000000,0xffffffff,0xffffffff,0xffff15ff,
    0x7d40001f,0xfff95fff,0x7f4005ff,0xff50ffff,0xffffffff,0xffffffff,
    0x3fffeedf,0xffffffff,0x02ffffff,0x3fffff20,0x3a000fff,0x801fffff,
    0x5ffffffb,0x2ffffa80,0x20dffff0,0x06fffff8,0x7ffff400,0xdeefffff,
    0x000001bc,0xfffffffd,0x7fffd409,0xffffffff,0xffffffff,0x3ffffe5f,
    0xffffffff,0xffffffff,0xffffff95,0xfff50001,0xfffe8fff,0x3e000fff,
    0x20ffffff,0xfffffffe,0x02bcdeef,0x3fffff60,0xacceffff,0xfffd8009,
    0x3e006fff,0x3fe2ffff,0xffffffff,0xffffffff,0x2a4fffff,0x04ffffff,
    0x7fffffcc,0xffffb806,0xffffffff,0x15ffffff,0x001fffff,0xa7fffdc0,
    0x02fffffc,0x3fffffa0,0xffffff50,0xffffffff,0x2edfffff,0xffffffff,
    0xffffffff,0x3fa002ff,0x2fffffff,0x3ffffa00,0x7ffc401f,0xb800ffff,
    0xff01ffff,0x3fe20bff,0x40006fff,0xfffffffe,0xffffffff,0x700000be,
    0xffffffff,0x7fffd409,0xffffffff,0xffffffff,0x3ffffe5f,0xffffffff,
    0xffffffff,0xffffff15,0xfffd0009,0xfffa87ff,0xf7004fff,0xe87fffff,
    0xffffffff,0xbfffffff,0x7fffec00,0xffffffff,0x3600cfff,0x1fffffff,
    0x5fffff00,0x7ffffffc,0xffffffff,0xffffffff,0x3ffffea4,0x7ffdc06f,
    0xfb806fff,0xffffffff,0xffffffff,0x3ffffe5f,0x3fee0000,0xffff94ff,
    0x7ff4005f,0xfff50fff,0xffffffff,0xffffffff,0x3ffffeed,0xffffffff,
    0x002fffff,0xfffffff1,0x7f4009ff,0x6c01ffff,0x02ffffff,0x03ffff90,
    0x209ffff1,0x06fffff8,0x7ffff400,0xffffffff,0x00efffff,0x7fffc400,
    0x204fffff,0xfffffffa,0xffffffff,0x25ffffff,0xffffffff,0xffffffff,
    0x325fffff,0x00ffffff,0x3ffffea0,0xfffffd07,0xffff001f,0xfffd0fff,
    0xffffffff,0x03ffffff,0x7fffffec,0xffffffff,0xffb04fff,0x00bfffff,
    0xf8bffffe,0xffffffff,0xffffffff,0x24ffffff,0xfffffffb,0x3ffffa00,
    0xffb807ff,0xffffffff,0xffffffff,0x07ffffe5,0xffffb800,0x5fffff93,
    0x7ffff400,0xfffff50f,0xffffffff,0x2dffffff,0xfffffffb,0xffffffff,
    0xf7002fff,0xffffffff,0x7fff400f,0x3fea01ff,0x2004ffff,0x980ffffc,
    0xf103ffff,0x000dffff,0xffffffe8,0xffffffff,0x0006ffff,0x7fffffec,
    0x3ea04fff,0xffffffff,0xffffffff,0x3fe5ffff,0xffffffff,0xffffffff,
    0x3fe25fff,0x2003ffff,0x03fffffe,0x9ffffff3,0xfffffb80,0xffffe82f,
    0xffffffff,0x00ffffff,0xfffffffb,0xffffffff,0xffb0bfff,0x03ffffff,
    0x45fffff0,0xffffffff,0xffffffff,0x4fffffff,0x3fffffee,0xffff103f,
    0xf700ffff,0xffffffff,0xffffffff,0x7ffffcbf,0x3fee0001,0xffff93ff,
    0x7ff4005f,0xfff50fff,0xffffffff,0xffffffff,0x3ffffeed,0xffffffff,
    0x002fffff,0xfffffffb,0x3a003fff,0x101fffff,0x0dffffff,0x07fffd80,
    0x207ffff5,0x06fffff8,0x7ffff400,0xfffeeeef,0x4fffffff,0xffff3000,
    0x09ffffff,0x7fffffd4,0xffffffff,0x5fffffff,0x3ffffffe,0xffffffff,
    0x45ffffff,0x07fffffc,0xdfffff50,0xfffffd80,0x3fffe00f,0xfffd06ff,
    0xffffffff,0xdfffffff,0xfffffb01,0xffffffff,0x87ffffff,0xfffffffd,
    0xffff804f,0x3ffffe2f,0xffffffff,0xffffffff,0x3ffee4ff,0xf706ffff,
    0x0fffffff,0xbfffff70,0x33333333,0x7f413333,0x20001fff,0xf92ffffc,
    0x4005ffff,0x00fffffe,0x5fffff98,0xfffffb80,0x9999999d,0x00099999,
    0xffffffff,0x3a007fff,0xb01fffff,0x03ffffff,0x07fffe80,0x205ffff7,
    0x06fffff8,0x7ffff400,0xfffb500f,0x2000dfff,0xfffffffe,0x3aa04fff,
    0xeeeeeeee,0xffeeeeee,0x3324ffff,0xcccccccc,0xffffcccc,0x7fc42fff,
    0xe803ffff,0x403fffff,0x4ffffff9,0xffffff70,0x3ffffa05,0x3fae660f,
    0x82ffffff,0x42fffffd,0xfffffba9,0x3ff61fff,0x0fffffff,0x17ffffc0,
    0xfffff500,0xfffc800d,0xd80fffff,0x7fffffff,0xfffffb80,0x7ff40004,
    0x320002ff,0xff92ffff,0x74005fff,0x800fffff,0x05fffff9,0x4fffffb8,
    0xff500000,0xffffbfff,0x3ffa00df,0xffa81fff,0x8003ffff,0xf706ffff,
    0x3e203fff,0x0006ffff,0x07fffff4,0x3fffff60,0x7fdc000f,0xffffcfff,
    0x5000004f,0x01ffffff,0xffffb800,0xfff905ff,0xffa80dff,0xf9006fff,
    0xf01fffff,0x40bfffff,0x00fffffe,0x3fffffee,0xfffffd84,0x3fff2202,
    0x3ff65fff,0x4fffffff,0x17ffffc0,0xfffff500,0xfffc800d,0x442fffff,
    0xffffffff,0x7ffdc00f,0x6c0004ff,0x0002ffff,0x647ffff2,0x002fffff,
    0x03fffffa,0x3ffffe60,0xffffb805,0x9000004f,0xff1fffff,0xd001ffff,
    0x883fffff,0x05ffffff,0xff999988,0x99999dff,0x99affffd,0xfffff109,
    0xffe8000d,0x7c400fff,0x001fffff,0x3bffffe2,0x04fffff8,0xfffd0000,
    0x88000bff,0x0fffffff,0xffffff10,0x7ffff405,0xfff1002f,0xffb8bfff,
    0x3a01ffff,0x400fffff,0x85fffffd,0x02fffffd,0x6fffffe8,0x3ffffff6,
    0x3e00ffff,0x2002ffff,0x06fffffa,0x777ffec0,0x7fd45fff,0x0ffffdff,
    0x7ffffdc0,0x7fec0004,0x360002ff,0xff91ffff,0x74005fff,0x800fffff,
    0x05fffff9,0x4fffffb8,0xffd00000,0x3fff6bff,0xffe802ff,0x7fec1fff,
    0xd800ffff,0xffffffff,0xffffffff,0x3fffffff,0x0dfffff1,0xffffe800,
    0xffff800f,0x3f6001ff,0xff89ffff,0x00004fff,0xffffffa8,0x7ff40001,
    0x6402ffff,0x506fffff,0x00dfffff,0xffffffb8,0x3fffffe1,0x7ffff405,
    0x7ffdc00f,0xfffd87ff,0xff9802ff,0xffb0ffff,0xffffffff,0x7ffffc07,
    0x3ffea002,0x7ec006ff,0x7fffceff,0x7e6fffec,0x7dc01fff,0x0004ffff,
    0x817fffec,0xffb00999,0x3fff23ff,0x3fa002ff,0x9800ffff,0x805fffff,
    0x04fffffb,0xfff98000,0xffff73ff,0xfffd00bf,0x7ffd43ff,0xfb002fff,
    0xffffffff,0xffffffff,0x27ffffff,0x06fffff8,0x7ffff400,0xffff800f,
    0xff5000ff,0x3fe29fff,0x00004fff,0x5fffffe8,0x7ffdc000,0xf8804fff,
    0xe82fffff,0x002fffff,0x7fffffc4,0xffffff75,0xffffe801,0x7ffcc00f,
    0xfffd87ff,0xff8802ff,0xffb1ffff,0xfffffbff,0x7ffffc0d,0x3ffea002,
    0x7ec006ff,0xffffaeff,0x95ffff12,0xb803ffff,0x004fffff,0x1ffffe40,
    0xd83fffcc,0xff90ffff,0x74005fff,0x800fffff,0x05fffff9,0x4fffffb8,
    0xffb80000,0xfff31fff,0xffd00fff,0x3fe23fff,0x2005ffff,0xfffffffd,
    0xffffffff,0xffffffff,0xdfffff13,0xfffe8000,0x7fcc00ff,0x3a006fff,
    0x3e26ffff,0x0004ffff,0x7ffffd40,0x3e20001f,0x00ffffff,0xdfffff90,
    0x6fffffa8,0xffff7000,0xfffff3ff,0xfffd009f,0xffb801ff,0xffd85fff,
    0xfd002fff,0x3f65ffff,0xfffbdfff,0xffff02ff,0x7fd4005f,0x74006fff,
    0xfff8efff,0x1ffff54f,0x803ffff9,0x04fffffb,0x7fffe400,0x2ffffb83,
    0x90ffffd8,0x005fffff,0x07fffff4,0x7ffffcc0,0xffffb805,0xd800004f,
    0x7fc7ffff,0x7401ffff,0xf91fffff,0x001dffff,0x7fffffec,0xffffffff,
    0xffffffff,0xfffff13f,0xffe8000d,0x7f400fff,0x9003ffff,0x443fffff,
    0x004fffff,0x7ffff400,0x7f40005f,0x002fffff,0x3fffffe2,0x3fffffa1,
    0x3ffa0002,0xffffffff,0xffe800ff,0x7ec00fff,0xfd84ffff,0xf002ffff,
    0x363fffff,0xff8dffff,0xfff06fff,0x7d4005ff,0x4006ffff,0xffb6fffe,
    0x5bfff2df,0x402ffffc,0x04fffffb,0x7fffdc00,0x4ffffe83,0x327fffe8,
    0x002fffff,0x03fffffa,0x3ffffe60,0xffffb805,0x4400004f,0x644fffff,
    0x404fffff,0xa9fffffe,0x01ffffff,0x7e4ccc40,0x9999afff,0x99dffffa,
    0xffff1099,0xfe8000df,0xd300ffff,0x00dfffff,0x17ffffe2,0x09fffff1,
    0x7ffd4000,0x20001fff,0x4ffffffb,0xffffc800,0xfffff35f,0xffa8000d,
    0xffffffff,0xfffd003f,0x7fe401ff,0xfd81ffff,0x8802ffff,0x367fffff,
    0xffb5ffff,0xfff03fff,0x7d4005ff,0x4006ffff,0xff75ffff,0x7fffd1ff,
    0x00bfffee,0xdffffff7,0xdddddddd,0x7fdc1ddd,0x7ffc44ff,0xfffe87ff,
    0x3fffff27,0xffffffff,0xffffffff,0xfff9800f,0xffb805ff,0x00004fff,
    0x17ffffd4,0x1bffffea,0x3fffffd0,0x07fffffd,0xffff9000,0x7ffff301,
    0x7ffffc40,0x7ff40006,0xeeeeefff,0xefffffff,0xffffb000,0xffff881f,
    0x3600004f,0x006fffff,0x3ffffe20,0xf88000ef,0xfd8fffff,0x0002ffff,
    0xffffffd8,0x3a006fff,0x440fffff,0xffffffea,0xfffffb04,0xffff7005,
    0x7fffecdf,0xbfffff35,0x05fffff0,0x7ffffd40,0x7fffc006,0xf9ffff35,
    0x3fee1fff,0x7fdc03ff,0xffffffff,0xffffffff,0x13fffea0,0x3ffffff5,
    0x327fffe8,0xffffffff,0xffffffff,0x00ffffff,0x5fffff98,0xfffffb80,
    0xffffffff,0x6404ffff,0x440fffff,0x00ffffff,0x3bfffffa,0x006fffff,
    0x0ffffb00,0x80ffffea,0x06fffff8,0x7ffff400,0xffffffff,0x2003ffff,
    0x82fffffa,0x04fffff8,0xffff3000,0x740005ff,0x01ffffff,0x3ffff200,
    0x6fffffdf,0xfff30000,0x05ffffff,0x7fffff40,0xfffffeee,0xb00effff,
    0x805fffff,0x5ffffff8,0xd97ffff6,0x7c1fffff,0x2002ffff,0x06fffffa,
    0xd2ffffc0,0xdfffffff,0x01ffffdc,0x3fffffee,0xffffffff,0x3ea0ffff,
    0x7fec4fff,0x7f43ffff,0x3fff26ff,0xffffffff,0xffffffff,0xf9800fff,
    0xb805ffff,0xffffffff,0xffffffff,0x7fffc04f,0xffffd06f,0x7fff407f,
    0xffffffff,0xffd00002,0x3ffee0df,0x3ffe202f,0x740006ff,0xffffffff,
    0xffffffff,0xfff8802d,0xfff105ff,0x200009ff,0x06fffffd,0x3fffee00,
    0x440004ff,0xffffffff,0x00002fff,0x3ffffff6,0x7ff4006f,0xffffffff,
    0x03ffffff,0x17ffffec,0xfffffd30,0x7fffec3f,0x3ffffea5,0x17ffffc4,
    0xfffff500,0x7ffc400d,0x3ffff25f,0x3fee3fff,0x7fdc03ff,0xffffffff,
    0xffffffff,0x13fffe60,0xdfffffff,0x326ffff8,0xffffffff,0xffffffff,
    0x00ffffff,0x5fffff98,0xfffffb80,0xffffffff,0x2604ffff,0x904fffff,
    0x40bfffff,0xfffffffe,0x000fffff,0x06ffff80,0x403ffff7,0x06fffff8,
    0x7ffff400,0xffffffff,0x0dffffff,0x3fffff20,0xfffff100,0xff300009,
    0x0005ffff,0x3fffffe2,0xff900006,0xdfffffff,0x7fc40000,0x1fffffff,
    0x3ffffa00,0xffffffff,0xfd800adf,0x999bffff,0xfffffdba,0x7ffec3ff,
    0x7ffff45f,0x3ffffe0f,0x3ffea002,0x3e2006ff,0x3fea4fff,0x2a0fffff,
    0x5c04ffff,0xffffffff,0xffffffff,0x3ffe60ff,0x3fffea5f,0x3fe0ffff,
    0x3fff25ff,0xffffffff,0xffffffff,0xf9800fff,0xb805ffff,0xffffffff,
    0xffffffff,0x3fff204f,0xfff301ff,0x7ff40fff,0xffffafff,0xf80005ff,
    0xff905fff,0x7fc401ff,0x40006fff,0xeefffffe,0xffffffee,0xf306ffff,
    0x4407ffff,0x004fffff,0xfffffd80,0x3ff60006,0x0001ffff,0xffffff10,
    0x00005fff,0x7fffffe4,0x3a006fff,0xffffffff,0x01efffff,0xffffffb0,
    0xffffffff,0xfb0dffff,0xffb8bfff,0x3ffe4fff,0x3ea002ff,0x2006ffff,
    0x7c4ffff8,0x546fffff,0x5c04ffff,0x004fffff,0x2ffffcc0,0xfffdfff9,
    0x2ffffc7f,0x37fffff9,0x33333333,0x1fffffd3,0xfffff300,0xffff700b,
    0xffffffff,0x409fffff,0x407ffffe,0x02ffffff,0x73fffffd,0x05ffffff,
    0x7fffc400,0x0ffffb04,0x6fffff88,0x7fff4000,0xff9300ff,0xd09fffff,
    0x880dffff,0x004fffff,0x7ffffcc0,0xff70003f,0x0009ffff,0xfffffc80,
    0x200006ff,0xfffffff9,0xd002ffff,0xfddfffff,0x5fffffff,0xfffffb00,
    0xffffffff,0xb01dffff,0xff0bffff,0x3fe1ffff,0x2a002fff,0x006fffff,
    0xb13fffe6,0xa87fffff,0x5c05ffff,0x004fffff,0x2ffffc40,0xfff3ffff,
    0x27fffcbf,0x05fffff9,0x7fffff40,0xffff9800,0xfffb805f,0x100004ff,
    0x80bfffff,0x04fffffd,0x23fffffd,0x0ffffffe,0xfddddb00,0xdddddfff,
    0xddfffffd,0x7ffc41dd,0x740006ff,0x400fffff,0xfffffff8,0x3ffffee0,
    0x7fffc401,0x7ec0004f,0x0006ffff,0xdffffff1,0xff100000,0x005fffff,
    0x7fffec00,0xffffffff,0xffffe800,0xffff510f,0xfd801fff,0xffffffff,
    0x3fffffff,0x17ffff60,0x4ffffff2,0x002fffff,0x1bffffea,0x4ffff980,
    0x0fffffdc,0x017fffea,0x09fffff7,0xffff8800,0x36ffff36,0xff88ffff,
    0x3fff24ff,0x3fa002ff,0x9800ffff,0x805fffff,0x04fffffb,0xffff7000,
    0x3333339f,0xffffff93,0x3fffffa0,0xffffff31,0x3fffe00b,0xffffffff,
    0xffffffff,0x3e20ffff,0x0006ffff,0x07fffff4,0x7ffffcc0,0x3ffffe1f,
    0xeeeeeeef,0xffffffee,0x1002eeee,0x07ffffff,0x3ffff600,0x000001ff,
    0x0dfffff9,0x7ffd4000,0xffffdfff,0xffe804ff,0x7fcc0fff,0x6c05ffff,
    0xffffffff,0x0cffffff,0x2ffffec0,0x77ffffc4,0x02fffff8,0x3ffffea0,
    0x3ffea006,0x7fffc43f,0x5ffff986,0x7ffffdc0,0xfff80004,0x29fff96f,
    0xf8affffb,0x3ff24fff,0x3a002fff,0x800fffff,0x05fffff9,0x4fffffb8,
    0xfffb0000,0xffffffff,0xffffffff,0xffffd03f,0x7fffec3f,0xfff802ff,
    0xffffffff,0xffffffff,0x220fffff,0x006fffff,0x7fffff40,0xfffff000,
    0x7ffffc7f,0xffffffff,0xffffffff,0x9003ffff,0x00ffffff,0x3ffffee0,
    0x2000003f,0x05fffffa,0x3fffa000,0xffffd6ff,0xffe801ff,0xffb80fff,
    0x3601ffff,0xeeefffff,0x20009acd,0xb05ffffd,0xff5fffff,0x54005fff,
    0x006fffff,0x20ffffea,0xf984fffe,0x7dc06fff,0x0004ffff,0xfd7ffff8,
    0x3ffe65ff,0x3ffff9df,0x0bfffff2,0xfffffe80,0xffff9800,0xfffb805f,
    0xf00004ff,0xffffffff,0xffffffff,0xfd07ffff,0x7c43ffff,0x00ffffff,
    0x7ffffffc,0xffffffff,0xffffffff,0x3fffe20f,0x7f40006f,0xd000ffff,
    0x7c7fffff,0xffffffff,0xffffffff,0xffffffff,0xffff8803,0xf88003ff,
    0x006fffff,0x7ffd4000,0x700005ff,0x25ffffff,0x5ffffffa,0x7fffff40,
    0xfffffd00,0x7fffec0b,0xfb00002f,0x3e60bfff,0xfffdffff,0x3ea002ff,
    0x2006ffff,0xa83ffffb,0xff980ccc,0x7fdc06ff,0x80004fff,0xff8fffff,
    0x3fffa0ff,0x23ffff9f,0x02fffffc,0x3fffffa0,0xffff9800,0xfffb805f,
    0x980004ff,0xffffffff,0xffffffff,0xe85fffff,0x5c1fffff,0x05ffffff,
    0x7ff66664,0xdcccccff,0xcccdffff,0x3fffe20c,0x7f40006f,0x8800ffff,
    0x22ffffff,0xffffffff,0xffffffff,0xffffffff,0xfffc803f,0xd8000fff,
    0x01ffffff,0x7fd40000,0x80005fff,0x6ffffff8,0x7ffffff4,0x3ffffa02,
    0xffff700f,0x3ff603ff,0x00002fff,0x40bffffb,0xfffffffd,0x2a002fff,
    0x006fffff,0x00ffffee,0x3ffffcc0,0x3ffffee0,0xffe80004,0x45fffbff,
    0xffbffffc,0x3fff22ff,0x3fa002ff,0x9800ffff,0x805fffff,0x04fffffb,
    0xffffc800,0xffffffff,0xffffffff,0x7fff40ff,0xfffe81ff,0x36003fff,
    0xff507fff,0xff8805ff,0x40006fff,0x00fffffe,0xffffffb8,0x3fffffe0,
    0xffffffff,0xffffffff,0x7c403fff,0x004fffff,0xffffffb8,0xa8000003,
    0x005fffff,0xfffffc80,0x7fffcc2f,0x3ffa06ff,0xff100fff,0x360bffff,
    0x002fffff,0xbffffb00,0x7ffffd40,0x002fffff,0x1bffffea,0x2ffffb80,
    0xffff1000,0xffffb80f,0xfe80004f,0x2fffdfff,0x7effffcc,0x3ff22fff,
    0x3a002fff,0x800fffff,0x05fffff9,0x4fffffb8,0xfffe8000,0xeeeeeeff,
    0xfffeeeee,0x7ff42fff,0xff981fff,0x000fffff,0x2e0dfffd,0x4401ffff,
    0x006fffff,0x7fffff40,0x7fffcc00,0x666647ff,0xcccccccc,0xfffffdcc,
    0x401cccce,0x0ffffffc,0x7fffc400,0x000006ff,0xbfffff50,0xfff88000,
    0xffb06fff,0x3a07ffff,0x200fffff,0x0ffffffc,0x2fffffd8,0xfffb0000,
    0xfffe80bf,0x02ffffff,0x3ffffea0,0x3fff2006,0xff10002f,0xffb80fff,
    0x80004fff,0xfffffffd,0xffffe80f,0x3f21ffff,0x2002ffff,0x00fffffe,
    0x5fffff98,0xfffffb80,0x7fc40004,0x6c004fff,0x744fffff,0x901fffff,
    0x0bffffff,0x417fffe0,0x401ffffc,0x9ffffff8,0x99999999,0xffd09999,
    0x93101fff,0xbfffffff,0x3fe60000,0x44004fff,0x04ffffff,0xfffffd80,
    0xaaaaaacf,0x2aaaaaaa,0x7fffd400,0x7ec0005f,0x301fffff,0x1fffffff,
    0x1fffffd0,0x7ffffc40,0xffffd84f,0xfb00002f,0xfb80bfff,0xffffffff,
    0x3ffea002,0x3f2006ff,0x10002fff,0x401fffff,0xfffffffb,0xffffffff,
    0x7fec5fff,0x905fffff,0xffffffff,0x7ffffe43,0x3fffa002,0xffff50ff,
    0xffffffff,0xdfffffff,0x13ffffee,0xffff7000,0xffb8005f,0x7ff47fff,
    0x3fa01fff,0x403fffff,0x905ffff8,0x8801ffff,0xffffffff,0xffffffff,
    0xfffd2fff,0xffffffff,0xffffffff,0x2600001d,0x004fffff,0x7fffffe4,
    0x7ffd4000,0xffffffff,0xffffffff,0x7d4007ff,0x0005ffff,0x3fffffe6,
    0x7fffec05,0xfffe84ff,0x7fec00ff,0x7ec0ffff,0x0002ffff,0x0bffffb0,
    0xfffffff0,0x7d4005ff,0x2006ffff,0x002ffffd,0x1fffff10,0x7ffffdc0,
    0xffffffff,0x645fffff,0x3fffffff,0xffffff30,0x7ffe41ff,0x3fa002ff,
    0xff50ffff,0xffffffff,0xffffffff,0x3fffeedf,0x7ec0004f,0x4000ffff,
    0x1ffffff9,0x07fffffa,0xffffffa8,0x3ffe600f,0xffffb04f,0xfffff100,
    0xffffffff,0x25ffffff,0xfffffffe,0xffffffff,0x0001ffff,0x3ffffe60,
    0x3ffe2004,0xb8004fff,0xffffffff,0xffffffff,0x007fffff,0x2fffffd4,
    0xffffd000,0xff9803ff,0x741fffff,0x400fffff,0x4ffffffa,0x17ffffec,
    0xfffd8000,0xfffc805f,0x002fffff,0x1bffffea,0x1ffffd80,0x3fffe000,
    0x3ffee00f,0xffffffff,0x5fffffff,0x7fffffe4,0x3fffe00f,0x3f20ffff,
    0x2002ffff,0x50fffffe,0xffffffff,0xffffffff,0x3feedfff,0x20004fff,
    0x05fffff8,0xffffff00,0x7fffff49,0x7fffec01,0x3fe606ff,0xfffd03ff,
    0xffff100d,0xffffffff,0x5fffffff,0x3ffffffa,0xffffffff,0x0002ffff,
    0x7ffffcc0,0x3ffee004,0xb8000fff,0xffffffff,0xffffffff,0x007fffff,
    0x2fffffd4,0xffffa800,0xff9005ff,0xfe8bffff,0xe800ffff,0x20ffffff,
    0x02fffffd,0xffffb000,0xffff100b,0x4005ffff,0x06fffffa,0x07ffff60,
    0xfffff800,0x3fffee01,0xffffffff,0x45ffffff,0x6ffffffc,0x7ffffe40,
    0x3fff20ff,0x3fa002ff,0xff50ffff,0xffffffff,0xffffffff,0x3fffeedf,
    0x3ea0004f,0x0003ffff,0x4dfffff9,0x01fffffe,0x7fffffc4,0xffff503f,
    0x1bfffe05,0x3ffffe20,0xffffffff,0xd2ffffff,0xffffffff,0xdfffffff,
    0x26000005,0x004fffff,0x17fffffe,0x7fffdc00,0xffffffff,0xffffffff,
    0x7fd4007f,0xd0005fff,0x03ffffff,0x3ffffe20,0x3fffa2ff,0xffb800ff,
    0x3f63ffff,0x0002ffff,0x0bffffb0,0x3fffff60,0x3ea002ff,0x2006ffff,
    0x001ffffe,0x07ffffe0,0xffffffb8,0xffffffff,0x7dc5ffff,0x403fffff,
    0x7ffffffa,0x17ffffe4,0xfffffd00,0x3ffffea1,0xffffffff,0x76ffffff,
    0x009fffff,0x7ffffe40,0xfff50001,0x3ffa1fff,0xfb801fff,0x81ffffff,
    0x881ffffb,0x8805ffff,0xffffffff,0xffffffff,0xfffd2fff,0xdfffffff,
    0x0000379b,0xfffff980,0xffff7004,0x2e0003ff,0xffffffff,0xffffffff,
    0x007fffff,0x2fffffd4,0x7fffdc00,0x7e4005ff,0x3a6fffff,0x000fffff,
    0x4fffffff,0x02fffffd,0xffffb000,0x3ffe600b,0x2002ffff,0x06fffffa,
    0x07ffffa0,0xfffff800,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54c00000,0x4c400001,0x00013000,0x22002662,
    0x99800009,0x0000009a,0x9800004c,0x0000999a,0x00001330,0x00004cc0,
    0x00153100,0x03ddddd7,0x1dddddb0,0x01531000,0x00000000,0x1004cc40,
    0x54c00013,0xddd7001a,0xdddddddd,0x4c00005d,0x00009999,0x026aaa62,
    0x3bbbba60,0x7776c402,0x00001eee,0x00fffffe,0x13620000,0x00005d10,
    0x77ffec00,0x7edc0001,0xfda83eff,0x5400ceff,0xdffffffd,0x77fff641,
    0xfeb9800c,0xefffffff,0x7510001d,0xdfffffdb,0x7644017b,0xffffffff,
    0x32a004ef,0xcdfffffe,0xdb710000,0x19bfffff,0x4eeeeb80,0x7ffffed4,
    0xffff901d,0xfffd003f,0x3bbae1ff,0x7fff543e,0x30001dff,0x37bdfd95,
    0xbddd7001,0x227fffdc,0x03ffffd8,0xfffffd50,0x7fe405df,0xffffffff,
    0x200003ff,0x003fffff,0x7ffff644,0x500cffff,0x807fffff,0x3ffffffd,
    0x7ffc0000,0x000003ff,0x8827ff44,0x00003ffe,0xfffffc80,0x3ff60006,
    0x2a4fffff,0xefffffff,0xffffff00,0xd19fffff,0xdfffffff,0x3fffea01,
    0xffffffff,0x2001dfff,0xfffffffa,0x82ffffff,0xffffffc8,0x7fffffff,
    0xffffd880,0x2fffffff,0x7fffdc00,0xffffffff,0x3ffff203,0xfffffb16,
    0xf907ffff,0xd003ffff,0x321fffff,0xfb14ffff,0xffffffff,0x7fec4007,
    0xffffffff,0xb7ffe402,0x3ffffffc,0xffffffd1,0x7ffec409,0xdfffffff,
    0xfffffc80,0x3fffffff,0x3ffe0000,0x7d4003ff,0xffffffff,0xffa81fff,
    0x3f203fff,0x004fffff,0xfffff800,0x26000003,0x444fffff,0x004ffffe,
    0x7fffc000,0xc8001fff,0xffffffff,0xfffff8af,0xff06ffff,0xffffffff,
    0xffffffff,0x501dffff,0xffffffff,0xffffffff,0xffd8801f,0xffffffff,
    0x7442ffff,0xffffffff,0x07ffffff,0x7fffff4c,0xffffffff,0x7fec400d,
    0xffffffff,0xc81effff,0xfe8fffff,0xffffffff,0x7ffe44ff,0xffe801ff,
    0xfff90fff,0xfffff19f,0x7fffffff,0xfffff500,0xffffffff,0x3fff201b,
    0xffffff9e,0xfffffb6f,0xff101fff,0xffffffff,0xff90bfff,0xffffffff,
    0x400007ff,0x003fffff,0x7fffffd4,0x0effffff,0x1fffffd4,0xffffffb8,
    0xff000005,0x00007fff,0x3ffffea0,0x3fffa3ff,0x0000dfff,0xffffff00,
    0xffb8005f,0xffffffff,0xffffffef,0xff82ffff,0xffffffff,0xffffffff,
    0xa83fffff,0xffffffff,0xffffffff,0x3ffe605f,0xffffffff,0x742fffff,
    0xffffffff,0x7fffffff,0x3ffffea0,0xffffffff,0x3e204fff,0xffffffff,
    0xffffffff,0xfffffc86,0xfffffffd,0x20ffffff,0x01fffffc,0x0fffffe8,
    0xfdbffff9,0xffffffff,0xfd80ffff,0x99acefff,0x1fffffdb,0xfeffffc8,
    0xcfffffff,0xffffffff,0xffffc83f,0xffffeeff,0x7775c2ff,0xfffffeee,
    0x3e00003f,0x4003ffff,0x989abdfa,0x42ffffea,0x83fffffa,0x5ffffff9,
    0x3fe00000,0x00003fff,0xffffffc8,0x7fffd45f,0x0000efff,0xfffffe80,
    0x7ff4000f,0xffff31ff,0x3ea1dfff,0xdff85fff,0xffff510a,0x3ee1bfff,
    0xffa86fff,0xa99aacdf,0xfffffffb,0xfffffd02,0xffffffff,0x7fe45fff,
    0x31bdffff,0x40ffb753,0xaefffffe,0xffffea99,0xfffb01ff,0xffdfffff,
    0x7fffffff,0xffffffc8,0xfedfffff,0x323fffff,0x801fffff,0x90fffffe,
    0xffffffff,0xffffdfff,0x3ee07fff,0x6c402fff,0x7e40efff,0xdcffffff,
    0xffffffff,0x45ffffeb,0x43fffff9,0x07ffffd8,0x3fffff20,0x3fe00003,
    0x44003fff,0x7fffcc00,0x7ffffd44,0x7ffffc43,0x000000ef,0x00fffffe,
    0xffffb000,0x3a609fff,0x1fffffff,0x7fcc0000,0x44004fff,0x7e43ffff,
    0x641fffff,0x06c0ffff,0xffffff30,0x1ffffd81,0x440056d4,0x84fffffe,
    0xfffffffb,0x3ae620ac,0x3ffffa2f,0x5c02006f,0x204fffff,0x86fffffc,
    0xeffffff9,0x3ffee20a,0x3f20ffff,0xefffffff,0x7ffffec2,0x3fffff26,
    0xffffe801,0xfffff90f,0x2a17dfff,0x85fffffe,0xfd8efff8,0x70beffff,
    0xffc89fff,0x3fe2ffff,0xf50effff,0xffc8dfff,0xfff104ff,0x3f2001ff,
    0x0003ffff,0x0fffffe0,0x3fe20000,0x7ffd45ff,0x3ffa23ff,0x0000efff,
    0x7ffffc00,0xfd100003,0x05ffffff,0xfffffd88,0x400003ff,0x8002dec8,
    0x4c0ffffb,0xa87fffff,0x8002ffff,0xa84ffffe,0x0003ffff,0x5fffff98,
    0x7fffffcc,0x7c13002f,0x002fffff,0x7ffffc40,0xffffe805,0x7ffff42f,
    0x3fe600ef,0x3f25ffff,0x05ffffff,0x4ffffff1,0x01fffffc,0x0fffffe8,
    0xfffffff9,0x3fffea0b,0x0fffd86f,0xfffffffb,0x8bfff21d,0x45fffffc,
    0x22fffffe,0x6c7ffff8,0x3200ffff,0x9002ffff,0x007fffff,0x7ffffc00,
    0x54c40003,0x5ffffaaa,0x1fffffd4,0x3ffffffb,0xff000000,0x00007fff,
    0xffffffd3,0x7fe4003d,0x004fffff,0x6c000000,0xfff07fff,0xfff10bff,
    0xffb0007f,0x3ffe05ff,0xff00004f,0xffd8ffff,0x0001ffff,0x7ffffff1,
    0xfffc8000,0xffa801ff,0x3fea3fff,0xc800ffff,0x327fffff,0x06ffffff,
    0x87fffff4,0x01fffffc,0x0fffffe8,0xdffffff9,0x3fffe201,0x17ffd47f,
    0xffd9bffb,0x937ff47f,0xe83fffff,0x7c46ffff,0x7ffc7fff,0x7ffdc07f,
    0xfff9003f,0x400007ff,0x003fffff,0xfffffb50,0xa8bfffff,0xf93fffff,
    0x003fffff,0x33333100,0xfffff333,0x33333339,0xffffa803,0x8000efff,
    0xfffffffb,0x0000000d,0x0bfffd00,0x40fffffa,0x8004ffff,0xf01ffffc,
    0x0000bfff,0xf1fffffa,0x009fffff,0xffffff80,0xfd0000bf,0x2600ffff,
    0x324fffff,0x005fffff,0x1ffffff1,0x3ffffff2,0x7fffec00,0xfffff91f,
    0xffffd003,0x3ffff21f,0x7ff400ef,0x3ff20fff,0xfb17fec6,0x87ffcc9f,
    0xd85ffffc,0x7c43ffff,0x7ffc7fff,0x7ffd406f,0xfff9003f,0x400007ff,
    0x003fffff,0x7fffff44,0x5fffffff,0x5fffffd4,0x2ffffffb,0xfff70000,
    0xffffffff,0xffffffff,0x7fdc0fff,0x004fffff,0x7ffffd40,0x00000eff,
    0xffff8000,0x7ffffb04,0x013fffe0,0x03ffff20,0x002ffff4,0xfff99998,
    0x3ffe27ff,0x40000fff,0xfffffffd,0x7fc001cf,0x9999efff,0xff999999,
    0x3ff65fff,0x3a002fff,0xf91fffff,0x7007ffff,0x323ddddd,0x801fffff,
    0x90fffffe,0x005fffff,0x41fffffd,0x7fec4ffe,0xff13ff62,0x3ffff25f,
    0x1ffffd84,0x23ffffc4,0x5c07fffe,0x9002ffff,0x007fffff,0xddddddd1,
    0xdfffffdd,0xdddddddd,0x7fffff47,0xffffaacc,0x7ffffd45,0x3ffffffd,
    0x3fee0000,0xffffffff,0xffffffff,0xff907fff,0x007fffff,0x3fffa600,
    0xe881ffff,0xeeeeeeee,0xeeeeeeee,0x13eeeeee,0x3609ffff,0xeeeeffff,
    0x05ffffee,0x3fbb72a6,0xeeeeffff,0x06ffffee,0x7fff6e44,0xffffffff,
    0x3ffffea7,0xff980007,0xffffffff,0x7fc401cf,0xffffffff,0xffffffff,
    0x3ffa7fff,0x36000fff,0xf93fffff,0x0007ffff,0x3fffff90,0xfffffd00,
    0x3fffff21,0xffffe802,0xb0bffe0f,0xfff937ff,0xf93ffe83,0xffb09fff,
    0xfff883ff,0x7fffec7f,0x3ffff601,0xffff9000,0xfff1007f,0xffffffff,
    0xffffffff,0x3e69ffff,0xff80efff,0x7ffd45ff,0xffffffff,0x7dc00006,
    0xffffffff,0xffffffff,0x6c47ffff,0x2fffffff,0x7ec40000,0x42ffffff,
    0xfffffff8,0xffffffff,0xffffffff,0x09ffff14,0x3ffffff6,0xffffffff,
    0xffffd985,0xffffffff,0xffffffff,0xfffb306f,0xffffffff,0x7dcfffff,
    0x0006ffff,0xffffff90,0x7dffffff,0xfffff301,0xffffffff,0xffffffff,
    0x7fffffcf,0x3fff2000,0xffff94ff,0xf900007f,0xd003ffff,0x321fffff,
    0x802fffff,0x30fffffe,0xffd81fff,0xc82effff,0xffff95ff,0x3ffffb09,
    0x47ffff88,0x505ffffc,0x400fffff,0x03fffffc,0xffffff88,0xffffffff,
    0xffffffff,0x7ffff94f,0x517fffe0,0xffffffff,0x0005ffff,0x7ffffdc0,
    0xffffffff,0xffffffff,0x3ffffa27,0x00000eff,0x3fffff20,0x3ffe23ff,
    0xffffffff,0xffffffff,0xff34ffff,0x3ff207ff,0xffffffff,0x7dc5ffff,
    0xffffffff,0xffffffff,0x86ffffff,0xfffffffd,0xffffffff,0x3fff67ff,
    0x200005ff,0xfffffffa,0x1effffff,0x7fffffd4,0xffffffff,0x7fffffff,
    0x0ffffff1,0xfffffb80,0x7fffff95,0xfff90000,0xffd003ff,0x3ff21fff,
    0xfe802fff,0xff30ffff,0xffffd81f,0xbff903ff,0x213ffff2,0x441ffffd,
    0x7cc7ffff,0x99aeffff,0x02fffffb,0x3fffff20,0xffff8803,0xffffffff,
    0xffffffff,0xfff74fff,0xfffd88bf,0x7fffd45f,0xfffffebf,0x5100001f,
    0xf5555555,0x555bffff,0x3e655555,0x0effffff,0xfb800000,0x14ffffff,
    0xffffffff,0xffffffff,0x9fffffff,0x40ffffe6,0xfffffffd,0x5fffffff,
    0x3fffffe6,0xfffffeef,0xeeeeeeee,0x7ffe44ee,0xffffffff,0x7fffffff,
    0x17fffff2,0xff910000,0xffffffff,0x7fdc5fff,0xffffffff,0xffffffff,
    0xfff16fff,0xfc800fff,0xff94ffff,0x00007fff,0x03fffff9,0x1fffffd0,
    0x0bfffff2,0x3fffffa0,0xfb0bffe0,0x03fff77f,0x3ff29ffd,0xfffd84ff,
    0x7fffc41f,0xfffffd87,0xffffffff,0x7ffe4006,0xff8803ff,0xffffffff,
    0xffffffff,0xf54fffff,0xfb9bffff,0xa8bfffff,0xf8bfffff,0x00efffff,
    0xfff00000,0x7dc007ff,0x04ffffff,0x7f440000,0x10efffff,0xffffffff,
    0xffffffff,0x9fffffff,0x413fffe2,0x002ffffd,0x1effffe8,0x003fffe4,
    0xffffffa8,0xffe809bf,0x3ffee7ff,0x000007ff,0x3fffff26,0x30ffffff,
    0x33bfffff,0x33333333,0x7c133333,0x000fffff,0x4bfffff2,0x03fffffc,
    0xffffc800,0xfffe801f,0xffff90ff,0xfffd005f,0x1fff41ff,0x7fe4bff6,
    0xf92fff85,0xffb09fff,0xfff883ff,0xffff887f,0xffffffff,0x7fe4000e,
    0x33003fff,0xf3333333,0x3339ffff,0x22133333,0xfffffffe,0x45ffffff,
    0x53fffffa,0x0bffffff,0x3fe00000,0x54003fff,0xdfffffff,0xfa800000,
    0x0dffffff,0x4ccccccc,0x99999999,0x99999999,0x09ffff10,0x00fffff6,
    0x1fffff10,0x01ffff90,0xfffffb00,0xffffd00d,0x7ffffd4f,0x8000000f,
    0xffffffc9,0xffff13ff,0x740000bf,0x001fffff,0x47fffffa,0x03fffffc,
    0xffffc800,0x7ffd402f,0xfff90fff,0xffd005ff,0x7fe41fff,0xf997fec5,
    0x3ffe61ff,0x09ffff90,0x883ffffb,0xb107ffff,0xffffffff,0x3f20009f,
    0x0003ffff,0x0fffffe0,0xfffff300,0xfff57fff,0xfffffa8b,0x3fffff23,
    0x8000004f,0x003fffff,0xffffff98,0x200000ef,0xfffffffb,0x00000004,
    0xe827fffc,0x4004ffff,0x905ffff9,0x0003ffff,0x03ffffff,0x4fffffd0,
    0x4ffffff8,0x22000000,0x4ffffffd,0x01fffffe,0xffffd800,0xfff1004f,
    0x3ff21fff,0x80003fff,0x04fffffc,0x3fffffe6,0xfffff90f,0xffffd005,
    0x17ffd41f,0x7ff45ffb,0xfc9fffa5,0xffd84fff,0x7ffc41ff,0x7f64c07f,
    0x0001bdef,0x0ffffff2,0xffff8000,0xec88003f,0x9910bcef,0xffffa859,
    0x7fffec3f,0x000002ff,0x01fffffc,0xffffe880,0x80002fff,0xfffffffc,
    0x00000003,0xf06ffff8,0x800dffff,0x904ffffb,0x8007ffff,0x07fffff9,
    0x7fffff88,0x7ffffffc,0x40000000,0x26fffffe,0x02fffffe,0xffff9000,
    0xff9001ff,0x7fe4ffff,0x80003fff,0x06fffffb,0xfffffff1,0x3ffff21f,
    0xfffe802f,0x7fff40ff,0x7d45ffb0,0x2fffb8ff,0x213ffff2,0x441ffffd,
    0x0007ffff,0x3ff20000,0x00003fff,0x00fffffe,0x7d400000,0x7c43ffff,
    0x01ffffff,0x3ffe0000,0x220003ff,0xfffffffd,0xffd10003,0x005fffff,
    0x0006a600,0x4c3ffff4,0x01ffffff,0x17fffee0,0x1bffffe2,0xfffff300,
    0x7ffcc03f,0x7fec7fff,0x001effff,0xffb00002,0x7fe49fff,0x0000ffff,
    0xffffffa8,0x7fffcc04,0x3fff23ff,0xa80003ff,0x22ffffff,0xffffffb8,
    0xfff90fff,0xffd005ff,0xff981fff,0x40aa98df,0x5fffbaaa,0x427fffe4,
    0x441ffffd,0x0007ffff,0x3ff20000,0x00003fff,0x00fffffe,0x7d400000,
    0xf983ffff,0x00ffffff,0xffff0000,0xf900007f,0x09ffffff,0xffffe980,
    0x80001eff,0x01efffd8,0x0ffffe40,0x3fffffee,0x3ffea005,0xffffe87f,
    0x3e2003ff,0x504fffff,0xffffffff,0xffffff88,0xd7300bff,0xa8007227,
    0x22ffffff,0xeffffff8,0x36062001,0x0dffffff,0xffffffa8,0x7ffffe46,
    0xff880003,0xfcefffff,0xffffffff,0xffff90ff,0xfffd005f,0xfff901ff,
    0xfff9003d,0xffffc81f,0x1ffffd84,0x23ffffc4,0xaaaaaaa9,0xaaaaaaaa,
    0x9999930a,0xfffffd99,0x5999999d,0xfffff800,0x2aaa6003,0xaaaaaaaa,
    0xf50aaaaa,0x3207ffff,0x06ffffff,0xffff0000,0x2e00007f,0xdfffffff,
    0xffffa800,0x0000efff,0xdfffff90,0xffff9800,0x3ffffe26,0x49504fff,
    0x13fffff9,0xfffffffb,0x364c417f,0x3ffffffe,0xfffeb9bd,0xb87fffff,
    0xffffffff,0xfffeeeff,0x5bfff13f,0x7fdcc135,0x5c0fffff,0xdfffffff,
    0xdbaa99ab,0xfff984ff,0xdcefffff,0xffffffff,0x7ffffe42,0xff900003,
    0xffffffff,0xffffbfff,0x3ffff21f,0xfffe802f,0xfffb00ff,0x953137bf,
    0x905ffffd,0xfb09ffff,0xff883fff,0x7ffec7ff,0xffffffff,0xf70fffff,
    0xffffffff,0xffffffff,0xf8009fff,0x2003ffff,0xfffffffd,0xffffffff,
    0xfffff50f,0x7fffec07,0x800004ff,0x002eeeed,0x3fffe600,0x2e01efff,
    0x5fffffff,0x7ffc0000,0x4002ffff,0xfdfffffe,0xffffffff,0x6ffeddff,
    0x3fffffe2,0xffffffff,0xffefffff,0x7ffdc7ff,0xffffffff,0xffffffff,
    0xfffffd07,0xffffffff,0x3fe27fff,0xffffffff,0xffffffff,0xfffffd05,
    0xffffffff,0x3209ffff,0xffffffff,0xffffffff,0xffffc85f,0xf100003f,
    0xffffffff,0xfff1bfff,0x3fff21ff,0xffe802ff,0x3ee00fff,0xffffffff,
    0x900effff,0xfb09ffff,0xff883fff,0x7ffec7ff,0xffffffff,0xf70fffff,
    0xffffffff,0xffffffff,0xf8009fff,0x2003ffff,0xfffffffd,0xffffffff,
    0xfffff50f,0x7fffc407,0x00003fff,0x88000000,0xfffffffe,0xfffffd82,
    0x800003ff,0x2fffffff,0x7fffdc00,0xdaffffff,0xffffffff,0x7ffe46ff,
    0x9fffffff,0xfffffffa,0xfe87ffff,0xffffffff,0xfff9efff,0xfffb107f,
    0xffffffff,0x3e27ffff,0xffffffff,0xffffffff,0x3fffa205,0xffffffff,
    0x104fffff,0xfffffffb,0xffffffff,0x3ffff209,0x2a00003f,0xffffffff,
    0xffff14ff,0x3ffff21f,0xfffe802f,0x7f4c00ff,0xffffffff,0x7ffe403f,
    0xffffd84f,0x3ffffc41,0x3ffffff6,0xffffffff,0xffff70ff,0xffffffff,
    0xffffffff,0xffff8009,0x3ff6003f,0xffffffff,0x50ffffff,0x807fffff,
    0xfffffff9,0x00000001,0xffd88000,0x3a2fffff,0x2fffffff,0xffd00000,
    0x0001ffff,0xfffffff9,0x3fffa29f,0x46ffffff,0xffffffe8,0x3fff21ff,
    0x7fffffff,0xffffff98,0x88dfffff,0x5407ffff,0xffffffff,0x13ffffff,
    0xffffffff,0xffffffff,0x3ffee009,0xffffffff,0x5404ffff,0xffffffff,
    0x202fffff,0x03fffffc,0x7ff44000,0x222effff,0xf90fffff,0xd005ffff,
    0x001fffff,0x3bffb6e6,0xffc800ac,0xfffd84ff,0x7fffc41f,0x77777647,
    0xeeeeeeee,0xfff70eee,0xffffffff,0xffffffff,0xccc8009f,0x3b2001cc,
    0xeeeeeeee,0x0eeeeeee,0x07fffff5,0xffffff70,0x0000001f,0x3f200000,
    0x2e0effff,0x01ffffff,0x3fe60000,0x20003fff,0x3ffffffc,0x7ffffec4,
    0xfd883eff,0xb81effff,0xffffffff,0xfff9103e,0x445bffff,0x7007ffff,
    0xfffffffd,0x76c459df,0xffffffff,0x000befff,0x7ffffec4,0xceffffff,
    0xffec8801,0x0cefffff,0x7ffffe40,0x31000003,0x90003577,0x005fffff,
    0x01fffffd,0x64000200,0xfd84ffff,0x7fc41fff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x77777640,0xeeeeeeee,0x1eeeeeee,0x7ffdc000,
    0xefffb80e,0x88000000,0x00002dec,0x44015773,0x800aabba,0xa800aba8,
    0x0009abca,0x01559531,0x54c40000,0x5300099a,0x33579755,0x654c0000,
    0x0001aabc,0x00d5d4c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb000000,0xffffffff,0xffffffff,
    0x00003fff,0x7dc01df5,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff60000,0xffffffff,
    0xffffffff,0x300001ff,0x00005001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,0xffffffff,
    0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,0xffffffff,
    0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x74000000,0xeeeeeeee,0xeeeeeeee,0x3bbaa3ee,
    0x2e004eee,0x325eeeee,0x0005eeee,0x87777744,0x1eeeeee9,0xeeeeb800,
    0x0000004e,0x2aaaa600,0x00000000,0x00011000,0x4c000004,0x0bdefecb,
    0x7776cc00,0x0000001e,0xfd000000,0x5c001fff,0xcccccccc,0xcccccccc,
    0x5510cccc,0xaa885555,0x00002aaa,0xcccc9800,0xcccccccc,0xcccccccc,
    0x00aa980c,0x55550000,0x00005555,0x403bd910,0x55102dec,0x00355555,
    0x7ffffc00,0xffffffff,0x44ffffff,0x2ffffffd,0xfffff980,0x3ffff22f,
    0x7fcc0007,0x7fff47ff,0xfe8005ff,0xd103ffff,0x00b90005,0x03ffffb0,
    0x7ff6dc40,0x8802ceef,0x3f2200fc,0x3bf10006,0x2a02ea80,0xfffffffe,
    0x6cc00dff,0x01ffffff,0x3ffb2e20,0x644003ce,0xb8002dff,0x005fffff,
    0x3ffffff6,0xffffffff,0x51ffffff,0xa8dfffff,0x506fffff,0x005bdfd9,
    0xfffff700,0xffffffff,0xffffffff,0x7ffff441,0x7ec00003,0x00dfffff,
    0x2007dfb5,0x81fffff8,0x703ffffd,0x5fffffff,0x3ffe0000,0xffffffff,
    0xffffffff,0x7ffffc44,0x7ff400ff,0x7fdc5fff,0x20000fff,0x5c7ffffa,
    0x00ffffff,0x3ffffe60,0x2ffe880f,0x017ff200,0x01ffff90,0x7ffffec0,
    0x82efffff,0x885fffc8,0x003ffffc,0x81dfffd8,0x221efff8,0xfffffffe,
    0x505fffff,0xfffffffd,0x3fee003f,0xefffffff,0xffffd002,0x7fc4009f,
    0x002fffff,0xfffffffb,0xffffffff,0x2a3fffff,0x546fffff,0xd86fffff,
    0xdfffffff,0x55554c00,0xffffff70,0xffffffff,0x1fffffff,0x7ffffff4,
    0xffb00004,0x6c07ffff,0x00efffff,0x2fffffdc,0x1fffffe6,0xfffffe98,
    0xff80002f,0xffffffff,0xffffffff,0xffffa84f,0x3ff205ff,0x7d40ffff,
    0x0001ffff,0x117fffee,0x05ffffff,0x7ffffe40,0xffffe885,0xffffc802,
    0xfff70085,0x7fec020f,0xffffffff,0x7ffdc1ff,0xfffe82ff,0x3ee000ff,
    0xfd83ffff,0x3fa0ffff,0xffffffff,0x3a23ffff,0xffffffff,0x7f4401ff,
    0xffffffff,0x7d404fff,0x02ffffff,0xffffffb0,0x3ff600df,0xffffffff,
    0xffffffff,0xffff31ff,0xffff98bf,0x3fffa25f,0x1fffffff,0x47ffff60,
    0xfffffffb,0xffffffff,0x70ffffff,0xffffffff,0xffd80001,0x2e01ffff,
    0x5fffffff,0x7ffffe40,0x7ffffdc7,0x3ff6200f,0x0001ffff,0x7ffffffc,
    0xffffffff,0xf903ffff,0x307fffff,0x03ffffff,0x05fffff3,0x7fffe400,
    0xfffffd84,0x3fffe005,0xfffe82ff,0x3f202fff,0x6c2fffff,0x3fffdc0e,
    0x7fec0fdc,0xffffffff,0xfffe86ff,0x7ffcc0ff,0xff1005ff,0xff70bfff,
    0xff885fff,0xfffedeff,0x7ffc5fff,0xffffffff,0x7fffe401,0xffffffff,
    0x3ff202ff,0x805fffff,0xffeffff9,0xffd804ff,0xffffffff,0xffffffff,
    0xffff31ff,0xffff98bf,0x3fffee5f,0xffffffff,0x1ffffb02,0x3fffffee,
    0xffffffff,0x0fffffff,0xfffffffb,0x7ec0005f,0x400dffff,0xfffffffe,
    0x3ffee00f,0x7ffcc5ff,0xff7007ff,0x0003ffff,0x4ccccccc,0xfffb9999,
    0x7f405fff,0x740fffff,0x204fffff,0x003fffff,0x0fffff60,0x3fffffea,
    0xffff9800,0xffff306f,0xff905fff,0xf987ffff,0x3ffea2ff,0x21bff626,
    0xb999abdc,0x40ffffff,0x85fffff8,0x02fffffb,0x0fffffd8,0x2fffffc4,
    0xffc82eb8,0x7fdc7fff,0xfffffeff,0x3fffe601,0xffba9aef,0xf900efff,
    0x1fffffff,0xd6fffe80,0x8801ffff,0x99999999,0x99999999,0x3fe21999,
    0x7fc44fff,0x3ffa4fff,0xffffffff,0x7fc42fff,0x266627ff,0x99999999,
    0xfff99999,0xffffd0ff,0x0007ffff,0x0ffffff6,0x7fffffc0,0x7f402fff,
    0xffd81fff,0x3a6002ff,0x001fffff,0x7ffc4000,0x4c00ffff,0x26ffffff,
    0x06fffffc,0x027ffff4,0x5ffffb00,0x3fffffe0,0xffffc803,0x3ffe603f,
    0x3f22ffff,0xe83fffff,0xff34ffff,0x3fffe6bf,0x7ff4002f,0xffa80fff,
    0xffe82fff,0x3ea00fff,0xfd82ffff,0x8000efff,0x46fffff9,0xfff73ef8,
    0x7fec03ff,0xfff305ff,0x3fea05ff,0x01ffffff,0x547fffee,0x0005ffff,
    0x3fe20000,0xfff84fff,0xffff54ff,0xffff739f,0xfd319fff,0x0000dfff,
    0xb0fffff8,0xffffffff,0xddd90005,0x7fc003dd,0x1fffffff,0x200cdb80,
    0x88001cdb,0x00deeeec,0x3ffa0000,0x7001ffff,0x37ffffff,0x03ffffff,
    0x85ffffd8,0xe81ffffc,0xf701ffff,0xf00dffff,0x801fffff,0xfffffff9,
    0xffffffca,0xfffffb83,0xcdfffaef,0x06ffffff,0x2fffff40,0x1fffffb0,
    0x5fffff98,0xbfffff10,0x3fffff70,0x3fff2000,0x7dc185ff,0x3e01ffff,
    0x3a00ffff,0x3603ffff,0x2fffffff,0x8bffff10,0x002ffffd,0x3fe00000,
    0xfff83fff,0xffff73ff,0xffffe889,0xffffffff,0x7c00003f,0xff50ffff,
    0x00dfffff,0x7ec00000,0x07ffffff,0x00000000,0xd8000000,0x03ffffff,
    0x7ffffec0,0x3fffffef,0x6ffffc80,0x84ffffe8,0x100fffff,0x03ffffff,
    0x2fffffd4,0xfffff980,0xffffffff,0x3fffae03,0xffffffff,0x01dfffff,
    0xffffd988,0x3ffe203f,0xfffb85ff,0xfffd82ff,0x7ffcc0ff,0xf50004ff,
    0x005fffff,0x03fffff7,0x01bfffe2,0x80bffff9,0x1ffffffe,0x83ffff90,
    0x00fffff9,0xff000000,0xfff05fff,0x3fff27ff,0xfffe881f,0xffffffff,
    0x7c00000f,0x3f20ffff,0x001fffff,0x3e200000,0x03ffffff,0x00000000,
    0x5c000000,0x05ffffff,0xfffff880,0x06ffffff,0x8fffff70,0x47fffff9,
    0x407ffff8,0x04fffffd,0x0bfffff6,0xfffff980,0x03ffffff,0xfffffd50,
    0x9fffffff,0xffffd801,0x803fffff,0x83fffffa,0x546ffffe,0xe82fffff,
    0x0006ffff,0xbffffff3,0x3fffee00,0xffff301f,0xffffa80b,0x7fffcc05,
    0xffff307f,0x3ffff209,0x00000004,0xd05ffffd,0x3f65ffff,0xfb101fff,
    0xffffffff,0xf000007f,0xda81ffff,0x00000def,0xfffa8000,0x000003ff,
    0x00000000,0x7fffcc00,0x50000eff,0xffffffff,0x3ea001ff,0x3f20ffff,
    0x261fffff,0x5406ffff,0x107fffff,0x00ffffff,0xffffff30,0x30007fff,
    0xfffffffb,0x3f60017f,0xcfffffff,0xffffb001,0xffff981f,0x3ffffa3f,
    0xfffffb85,0xfffa8001,0x7000efff,0x203fffff,0x407ffff9,0x804ffffb,
    0xd06fffff,0x2201ffff,0xc81fffff,0xeeeeeeee,0xeeeeeeee,0x3fa1eeee,
    0xffe81fff,0x555551ff,0xffffc801,0x0002ffff,0x1fffff00,0x00000000,
    0x055d4400,0x00000000,0x20000000,0xfffffff8,0x7fe40001,0x03ffffff,
    0x3ffffe60,0x3fffffa1,0x3fffe64f,0xfffff805,0xffffb82f,0xff30004f,
    0x009fffff,0x3ffff260,0x2002efff,0xfffffffd,0x2200dfff,0xc84fffff,
    0x360fffff,0x4c0fffff,0x003fffff,0x7fffffdc,0x3fee000e,0x3fe01fff,
    0x3fa02fff,0x7c403fff,0xfa84ffff,0x7dc03fff,0xffd86fff,0xffffffff,
    0xffffffff,0x3fff61ff,0xffffd81f,0x7ecc0001,0x0001ceff,0x3bbbba00,
    0x00000000,0x00000000,0x00000000,0x3ff60000,0x0002ffff,0xffffff88,
    0xfff8007f,0xffff32ff,0x7fd4ffff,0xffc804ff,0xffe85fff,0x90000fff,
    0xffffffff,0x7fecc005,0xffffffff,0x76400bff,0xfffffeee,0x3ff605ff,
    0x7fcc0eff,0x7fc43fff,0xffc85fff,0xf9001fff,0x00bfffff,0x3fffff70,
    0x2fffff40,0x1fffff98,0x7ffffdc0,0x37fffc40,0x3ffffe80,0x7fffffec,
    0xffffffff,0x21ffffff,0xa80cccca,0x0000cccc,0x00000020,0x00000000,
    0x00000000,0x00000000,0x7e400000,0x004fffff,0xfffff900,0xe8007fff,
    0xff93ffff,0x25ffffff,0x802ffffb,0x0ffffff8,0x1bffffe6,0x7fffe400,
    0x02ffffff,0x7fffff54,0xffffffff,0x2000cfff,0xffffffa8,0xfffffb80,
    0x7ffff441,0xfffff706,0xdffffd05,0xfffff900,0x3ee0007f,0x2e01ffff,
    0x99dfffff,0x6fffffb9,0x7ffffdc0,0x2ffffc82,0xfffff500,0x7ffffec1,
    0xffffffff,0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff50000,0x0000dfff,0x3fffffea,0x2001ffff,0xfd4ffffd,
    0xbffffdff,0x007ffff2,0x17ffffec,0x05fffff9,0xfffff900,0x5fffffff,
    0x3ffffee0,0xddfffbff,0x07ffffff,0xfffffd80,0x7ffffcc3,0xfffffc84,
    0x3ffff601,0x7fffcc0f,0x3fff604f,0x9999afff,0x7fdc0099,0x7f401fff,
    0xffffffff,0x261fffff,0xfffffcaa,0xffff985f,0x7fff4006,0x3bbbb24f,
    0xeeeeeeee,0xeeeeeeee,0xccccc801,0xcccccccc,0xbbbbbbb2,0xbbbbbbbb,
    0xbbbbbbbb,0x0005bbbb,0x00000000,0x00000000,0x00000000,0x3fe20000,
    0x000fffff,0xfffff880,0x06ffffff,0x37ffff20,0xffaffff9,0xfffd8fff,
    0xfff5000f,0x7fffcbff,0xffc8007f,0xfffcffff,0xfd02ffff,0xff31bfff,
    0x3fffeabf,0xffe8003f,0x7ff42fff,0xfffa86ff,0x7fc403ff,0xffc85fff,
    0xffe82fff,0xffffffff,0x3b24ffff,0xffffeeee,0x4c3eeeef,0xffffffff,
    0x743fffff,0xffffffff,0xcccca80d,0x6664c001,0x000000cc,0x7ffffc00,
    0xffffffff,0xfffffff4,0xffffffff,0xffffffff,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0x3ffa0000,0x0002ffff,0xdfffffd0,0x09ffffff,
    0x3bfffee0,0xfd8ffffb,0xfffeafff,0x7fffc007,0xffff98ff,0x7fe4004f,
    0xff33ffff,0x505fffff,0x7fd47fff,0x1bffa26f,0x33335571,0xffffffb5,
    0x7ffffe41,0x7ffffc41,0xffff7006,0xffffd05f,0x7fffc41f,0xffffffff,
    0x3ff64fff,0xffffffff,0xd884ffff,0xffffffff,0xfffe81ef,0x0001efff,
    0x00000000,0xffff0000,0xffffffff,0x3ffffe9f,0xffffffff,0xffffffff,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0xfc800000,0x003fffff,
    0xfffff900,0xfffffb1f,0xfff5005f,0x2bfffbff,0xffdffffa,0x7e4006ff,
    0xffcbffff,0x32001fff,0x43ffffff,0xfffffff9,0x7d41ed82,0x41fc86ff,
    0xfffffff9,0x5fffffff,0x0fffffea,0x07fffff2,0xfffffe80,0x7ffffcc0,
    0x3ffffe25,0xffffffff,0x3fff64ff,0xffffffff,0x32a04fff,0x03defffe,
    0x0bbffffa,0x00000000,0xf0000000,0xffffffff,0x3fe9ffff,0xffffffff,
    0xffffffff,0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x7fffffdc,0xff500005,0x3e27ffff,0x00ffffff,0x7fffffcc,0xfff13fff,
    0x0bffffff,0xfffff980,0x06fffffe,0x3fffff20,0xffff303f,0x70083fff,
    0x2060ffff,0xfffffff9,0x45ffffff,0x886fffea,0x004ffffe,0x27ffffcc,
    0x86ffffdc,0xfffffff8,0xffffffff,0x3fffff64,0xffffffff,0x8002004f,
    0x000009ab,0x00000000,0x33320000,0xcccccccc,0xfffff2cc,0xffffffff,
    0xffffffff,0x07ffffff,0x00000000,0x00000000,0x00000000,0x7cc00000,
    0x99ffffff,0x99999999,0xffff1009,0xfffa8bff,0x7c405fff,0xffffffff,
    0x3fffff60,0xe8004fff,0xffffffff,0x3f2003ff,0x4c03ffff,0x00efffff,
    0x01ffff90,0x3ffffe60,0x3effffff,0xb803fee0,0xf90006ff,0x77f403bf,
    0x66666441,0xcccccccc,0x3332e2cc,0xcccccccc,0x00002ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff44000,0xffffffff,0xffffffff,0xfffffd06,0xffffb01f,0xfff807ff,
    0x546fffff,0xffffffff,0xfffa8003,0x0fffffff,0x1fffe400,0x0efff980,
    0x3ffff200,0xffdb1001,0x0379ddff,0x0dc00620,0x801d8800,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffd4000,0xffffffff,0xffffffff,0xfffffc86,
    0xffff102f,0x7ec03fff,0x43ffffff,0xfffffff8,0xfff0002f,0x09ffffff,
    0x000ff200,0xb8001df3,0x0000cccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffffa,0xffffffff,0x7d46ffff,0x405fffff,
    0xeffffffa,0xfffff900,0xfffb01ff,0x0003ffff,0x3ffffff2,0x0a0001ff,
    0x00004c00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff50000,0xffffffff,0xffffffff,0x7ffffc4d,0xffd800ff,0xf704ffff,
    0x20dfffff,0x7ffffffa,0x3ffe6000,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff50000,0xffffffff,
    0xffffffff,0x7ffffecd,0xfff1002f,0xf505ffff,0x207fffff,0x7ffffff8,
    0x7fff4000,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_50_latin_ext_x[560]={ 0,9,5,1,2,0,0,10,6,5,3,1,5,6,
8,1,1,2,3,3,0,3,2,2,2,1,9,5,2,3,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,2,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,11,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,1,0,
11,2,0,0,5,2,2,6,1,0,4,2,5,5,0,3,1,9,10,5,4,3,0,0,0,3,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,1,1,1,1,1,1,1,-1,0,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-6,-4,3,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-2,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_50_latin_ext_y[560]={ 37,2,2,5,0,2,2,2,0,0,2,11,27,21,
27,2,4,4,4,4,5,5,5,5,4,4,11,11,9,16,9,2,1,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,1,2,1,5,42,2,11,2,11,2,11,2,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,12,12,12,12,12,12,1,-3,1,17,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,37,11,0,4,5,5,
-3,2,2,4,4,13,21,21,1,3,1,6,2,1,2,12,2,18,37,2,4,13,2,2,2,11,-4,-4,-4,-5,
-5,-6,5,4,-4,-4,-4,-5,-4,-4,-4,-5,5,-5,-4,-4,-4,-5,-5,12,-1,-4,-4,-4,-5,-4,5,2,2,2,
2,2,2,-1,11,11,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,6,2,2,2,2,2,2,2,
-3,3,-4,2,5,11,-4,2,-4,2,-5,1,-4,2,-4,0,5,2,-3,3,-4,2,-5,1,5,11,-4,2,-4,2,
-4,2,-5,1,4,1,-4,-6,5,2,-5,2,-3,3,-4,2,5,1,-5,12,5,1,-4,2,5,2,12,-4,-6,5,
2,0,0,5,2,5,2,-4,2,5,11,-4,2,-2,5,11,-3,3,-4,2,-4,2,4,11,-4,2,5,11,-4,2,
-4,2,-4,2,4,11,-4,2,5,4,-4,0,5,4,-5,2,-3,3,-4,2,-6,-1,-4,2,5,12,-4,2,-4,2,
-5,-4,2,-5,1,-4,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-11,-8,-4,2,-4,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,4,11,5,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__consolas_bold_50_latin_ext_w[560]={ 0,9,17,26,24,28,29,8,17,16,22,25,14,16,
11,24,26,23,22,22,27,22,24,23,23,24,10,14,21,22,21,18,28,28,23,23,25,20,20,25,24,21,19,24,
21,26,24,27,23,28,24,23,25,24,28,27,28,28,23,14,24,14,24,28,17,23,23,21,24,23,26,25,22,22,
21,24,22,26,22,25,23,24,22,21,23,22,28,28,27,28,21,20,6,19,26,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,9,21,25,26,27,
6,24,23,28,18,23,23,16,25,21,19,23,17,17,26,24,25,10,8,17,19,22,28,28,28,18,28,28,28,28,
28,28,29,23,24,25,24,24,24,25,24,24,27,26,27,27,27,27,27,23,27,26,26,26,26,28,23,24,25,26,
25,25,25,25,27,21,25,26,25,25,25,26,25,25,25,25,26,26,26,26,26,25,25,25,26,25,25,28,23,28,
28,25,28,25,28,23,25,26,24,23,24,23,24,23,28,32,27,27,24,25,24,25,24,25,21,23,24,25,25,26,
25,26,25,26,25,26,26,25,28,24,24,25,24,25,24,25,22,23,24,22,24,24,23,23,24,24,24,25,25,21,
22,31,32,25,30,25,22,26,26,24,22,26,25,25,24,22,27,26,27,26,29,29,27,27,28,26,24,22,28,26,
25,26,25,24,23,21,25,24,25,23,26,32,25,24,26,25,26,25,26,25,26,25,29,29,24,23,27,28,28,28,
28,25,26,25,24,25,24,20,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,28,25,29,27,32,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,23,21,25,23,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__consolas_bold_50_latin_ext_h[560]={ 0,36,13,32,44,36,36,13,48,48,22,25,19,6,
11,41,34,33,33,34,32,33,33,32,34,33,27,35,29,15,29,36,47,32,32,34,32,32,32,34,32,32,33,32,
32,32,32,34,32,43,32,34,32,33,32,32,32,32,32,46,41,46,16,6,11,27,36,27,36,27,35,37,35,36,
47,35,35,26,26,27,36,36,26,27,34,26,25,25,25,36,25,46,51,46,13,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,36,44,33,32,32,
51,41,11,34,25,21,12,6,26,10,19,31,20,21,11,35,41,11,8,20,25,21,35,35,35,36,41,41,41,42,
42,43,32,41,41,41,41,42,41,41,41,42,32,42,42,42,42,43,43,23,44,42,42,42,43,41,32,36,36,36,
36,36,36,39,27,34,36,36,36,36,35,35,35,35,36,35,36,36,36,36,36,27,37,36,36,36,36,46,45,46,
40,35,41,36,42,36,42,36,42,36,43,37,42,36,41,38,32,36,40,35,41,36,42,37,42,36,41,36,42,46,
42,46,43,47,44,47,41,43,32,35,42,35,40,34,41,35,42,46,42,25,33,47,42,46,43,46,25,41,43,43,
46,37,37,32,35,32,35,41,35,43,37,41,35,39,43,37,41,35,42,36,42,36,34,27,41,35,43,37,41,35,
42,36,42,36,41,34,42,36,43,44,41,38,32,34,43,36,41,35,42,36,44,39,42,36,42,35,41,35,41,46,
42,41,35,42,36,41,35,36,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,41,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,48,46,41,36,47,43,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,44,37,43,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32, };
static unsigned short stb__consolas_bold_50_latin_ext_s[560]={ 511,502,340,172,250,160,465,502,61,44,133,
434,277,495,447,270,208,52,101,130,245,436,76,273,106,27,495,497,25,317,47,
294,139,118,221,263,447,1,97,182,50,75,459,147,199,479,428,235,404,275,379,
412,453,479,473,22,350,321,297,446,85,321,292,362,483,151,1,175,415,219,30,
376,455,395,168,356,406,364,315,243,106,338,269,197,315,292,80,51,23,167,1,
481,1,461,358,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,511,498,228,
1,340,419,8,407,459,153,460,197,385,495,338,340,257,1,221,156,420,381,244,
409,502,239,391,174,192,163,134,74,162,270,133,318,1,183,175,246,108,299,193,
81,382,480,374,239,284,264,291,319,347,79,26,109,149,1,133,106,438,456,205,
313,471,267,241,215,189,157,123,339,80,53,27,1,272,54,330,356,369,108,316,
289,262,235,208,69,425,158,418,445,343,417,75,242,51,431,426,1,160,79,422,
131,189,196,465,326,30,93,353,216,312,103,26,1,455,27,214,350,400,184,295,
53,448,271,53,336,386,112,123,215,28,360,255,247,28,221,80,361,1,304,488,
51,375,411,124,190,474,1,158,363,479,220,132,490,298,294,474,367,298,149,408,
347,81,54,451,399,382,131,1,249,325,329,433,277,377,220,287,95,79,482,107,
402,191,27,266,250,292,440,432,84,55,117,412,99,485,183,229,387,333,363,1,
429,461,389,177,105,347,130,241,478,110,1,138,388,212,167,57,407,142,218,457,
53,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,320,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,15,25,55,25,79,304,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,204,272,412,99,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393, };
static unsigned short stb__consolas_bold_50_latin_ext_t[560]={ 38,1,596,531,53,351,351,425,1,1,596,
564,596,379,596,230,461,497,497,461,531,461,497,531,461,497,351,314,564,596,564,
351,1,531,531,461,497,531,531,461,531,531,461,531,531,531,531,461,531,53,531,
461,531,461,497,531,531,531,531,1,230,1,596,610,596,564,388,564,351,564,461,
272,425,314,1,425,425,564,564,564,351,351,564,564,461,564,596,596,596,388,596,
1,1,1,596,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,38,144,53,
497,497,497,1,187,596,461,564,596,596,379,564,610,596,564,596,596,596,425,230,
596,38,596,564,596,425,425,425,388,187,187,187,100,144,100,497,187,187,187,230,
144,187,230,230,144,497,144,144,144,144,100,100,596,53,187,144,144,53,187,497,
351,314,351,351,351,351,272,564,461,351,351,351,351,425,425,388,388,314,425,314,
314,314,314,314,564,272,314,314,314,314,1,53,1,272,388,230,314,144,314,144,
314,144,388,53,272,144,388,187,272,497,314,272,425,230,314,144,272,144,314,230,
314,144,1,187,1,53,1,53,1,230,53,497,425,187,425,272,461,272,388,100,
53,144,564,497,1,144,53,100,1,564,187,100,53,1,272,272,497,425,497,388,
230,425,100,272,230,388,272,100,272,187,425,100,388,100,388,461,564,187,388,100,
272,187,425,100,388,100,351,187,461,144,388,53,53,187,272,497,461,53,351,230,
425,100,351,53,272,100,351,100,425,230,461,230,1,100,230,461,100,388,230,388,
388,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,230,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,1,53,230,388,1,53,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,53,272,53,53,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497, };
static unsigned short stb__consolas_bold_50_latin_ext_a[560]={ 440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_50_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_50_latin_ext_s[i] + stb__consolas_bold_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_50_latin_ext_t[i] + stb__consolas_bold_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_50_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_50_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_50_latin_ext_x[i] + stb__consolas_bold_50_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_50_latin_ext_y[i] + stb__consolas_bold_50_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_50_latin_ext_s[i] + stb__consolas_bold_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_50_latin_ext_t[i] + stb__consolas_bold_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_50_latin_ext_x[i] + stb__consolas_bold_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_50_latin_ext_y[i] + stb__consolas_bold_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_50_latin_ext_LINE_SPACING
#endif

