// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT        252
#define STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_35_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_35_latin_ext_LINE_SPACING          16

static unsigned int stb__courier_35_latin_ext_pixels[]={
    0x00001800,0x00000075,0x00000080,0x14405100,0x00000000,0x000e6000,
    0x00000000,0x5c000000,0x4cccc404,0x00000199,0x00000000,0x000ea000,
    0x16441644,0x98001b80,0x0000000b,0x00000000,0x4c02cc00,0x93002a01,
    0x4c070000,0x0e01a802,0x32000000,0x7e40000f,0x02640002,0x0000e980,
    0x3e201ae0,0x40009b01,0x06dc006c,0x6ffdc000,0xb0be2000,0x005c8009,
    0x000fa800,0x3e201fb0,0x4fffffff,0x0007e200,0x0000fa80,0x000e98f2,
    0x3000bff7,0x809f309f,0x2003ffd8,0x0001ebcd,0x5c000b70,0x36354006,
    0x04fa8003,0x7ec43fb8,0x00774400,0x5c0ee880,0x43fb803f,0xd70006e8,
    0x01ed8800,0x000fec00,0x0001db10,0xc8000076,0x81d9001f,0xfb0000fa,
    0x01d90003,0x227f6200,0x3a6001ee,0x88004e8b,0x700000ee,0x7ec0003f,
    0x20000000,0xb80002fb,0x3f20003f,0xb1009f10,0x003dd13d,0x27cc27cc,
    0xbf31dd30,0x16258801,0x007f6000,0x3000fe40,0x00076c7f,0xfa800fee,
    0x000ee98d,0x40001dd1,0x005fb2fd,0x05faafd4,0x4005f900,0x20000ee8,
    0x20000ed8,0x10000ee8,0x880001bf,0x362001ed,0x003efdef,0x2000ee88,
    0x1447ee28,0x32077440,0xd885402f,0x88002a3f,0x144001ed,0x000a21d9,
    0x00a803b2,0x9f500035,0x017e4000,0x3a23f900,0x40df8805,0x7d3001fc,
    0x3ea07d10,0x30077444,0x10003449,0xb10003db,0x1fcc003d,0xfc8001f9,
    0xfee88002,0x03fb0004,0x077fdc00,0x1fff4400,0x001fd800,0x4c0002f4,
    0x3e20000d,0x7fd40005,0x3ba20001,0x37510000,0x037a2000,0x84c3fb00,
    0x01c401fd,0x22fc4035,0x20017e60,0x3f6001fc,0x00fec131,0x213ea000,
    0xf30006f8,0x03db0009,0xbd0fdc00,0x1a80e200,0x29800000,0x26ba00e0,
    0xdd10003d,0x1dd10001,0xf727c400,0x003b0003,0x40002c80,0x24c0002b,
    0x000e4000,0x88000ee8,0x17300000,0x000e2000,0x40001dc0,0x00000003,
    0x12600070,0x00000c98,0x0e402c80,0x2000a800,0x00326049,0x20391000,
    0x0a20002c,0x00002a00,0x00003835,0x00000000,0x05b71000,0x40003800,
    0x54388003,0x50171001,0x50171003,0x50171003,0x00000003,0x002e0000,
    0x0077b660,0x01ebcd80,0x001b0000,0x00000000,0x00006ea2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x00000375,
    0x00000000,0x00000000,0x32000000,0x007fc44f,0x1ff113f2,0x7c44fc80,
    0xcccca80f,0x66665c1c,0xdfb9100c,0x00000037,0x8002c436,0x50016259,
    0x6c19dfd9,0x00dd4406,0xd8800000,0xf73ffeff,0x372203ff,0x32a01bef,
    0x65c1cccc,0xff90cccc,0xfff303ff,0x33332a9f,0x66665c1c,0x9999950c,
    0xcccccb83,0x39999950,0x0cccccb8,0xfffffff1,0x3332a5ff,0x6665c1cc,
    0xfb9100cc,0x6654037d,0x665c1ccc,0x99950ccc,0xcccb8399,0xffd880cc,
    0xfff73ffe,0x3ffffe63,0xffffff13,0x7fffff45,0x332a2fff,0x665c1ccc,
    0x2e600ccc,0x80e2defd,0x70ceffeb,0x5f7ee440,0xb03d3001,0xb03d3009,
    0xb03d3009,0x337f2a09,0x6fe65c1c,0x9bdfa80c,0x99106fca,0x99999999,
    0x0362c405,0x06892600,0x2e6b3f60,0x100fbbfd,0x27ffdffb,0xff91fffb,
    0xfff303ff,0x40df989f,0x019ebcea,0xf9537bf5,0x337f2a0d,0x6fe65c1c,
    0x033f710c,0xca85fccc,0x65c1ccdf,0xf950cdfc,0xccb8399b,0xbf950cdf,
    0xfccb8399,0x266620cd,0x952e9999,0xcb8399bf,0xfa80cdfc,0x06fca9bd,
    0x8399bf95,0x50cdfccb,0xb8399bf9,0x4c0cdfcc,0x5e7540df,0x4cccc19e,
    0x2666623e,0x2666622e,0x32a2e999,0x65c1ccdf,0xfb00cdfc,0x3bf9537b,
    0xbdfe881f,0x507dfec9,0xdf9537bf,0x00000000,0x74000000,0x2e05d003,
    0x30bd102f,0x9999999f,0x10e80bd9,0x4d74000b,0x0ee8802d,0x2605ff50,
    0x5e7540df,0x27ee219e,0x02fe6601,0x05fe809d,0x2f440bee,0x0ba007d0,
    0x835c01f4,0x205d003e,0x205d003e,0x005d003e,0x003e85d0,0x40bee05d,
    0x00fa05e8,0x003e8174,0xd013a05d,0x00f600bf,0x4174005d,0x405d003e,
    0xff9100dd,0xf500ed81,0x2205f70f,0x0000005e,0x00000000,0x20ba007d,
    0x43d801f9,0x01fc4079,0x00077b66,0x9001db88,0x01ff880b,0x05fe809d,
    0x21ae00fa,0x05f9806c,0x07b003f3,0x817400fa,0xd02f807a,0x740ba007,
    0x3a05d003,0x0005d003,0xd003e85d,0xb003f305,0x7400fa07,0x3a007d02,
    0xf9806c82,0xe807b005,0x3a0ba002,0x3205d003,0x4c1fd006,0x263ec02f,
    0x003d801f,0x00000000,0x003e8000,0x2009d05d,0xb01e62f9,0x0000400b,
    0x00fcc000,0x1b21b37a,0x7a817e60,0x03e82f80,0x013a0bb0,0x01f417cc,
    0x80fa02e8,0x400fa06b,0x2007d02e,0x2007d02e,0x42e8002e,0xd05d003e,
    0x20be6009,0x205d003e,0xd05d003e,0x40176007,0x0017403d,0x2007d05d,
    0x001f982e,0x4035c1f5,0x98027479,0x03ffee2f,0xf71bffee,0xfff701ff,
    0x80fffb8d,0x7d06fffb,0x1f50ba00,0x0f326c00,0xccb807dc,0x0001cccc,
    0xb002aea6,0xf88ec809,0x5d801f42,0x0d701f40,0x42e4007e,0x136000fa,
    0x017400fa,0xd01740f5,0x740ba007,0x3a05d003,0x0005d003,0xd003e85d,
    0x2000fa85,0xd003e84d,0x7400fa05,0xb9001f82,0x5d00f600,0x1f417400,
    0x05b82e80,0x401aa1c0,0xd8003ea0,0x9807ccc4,0x0f9986b9,0x330d7330,
    0x1ae6601f,0x42e801f4,0x134c005c,0xa80be60f,0x05dfdccc,0x777ff5c0,
    0x807e03ff,0x3f1321fa,0xf5017200,0x01f81740,0x00b90b70,0x003e8698,
    0xb83e805d,0xe801f406,0x3a007d02,0x3a007d02,0x742e8002,0x5c85d003,
    0x1f434c00,0x07d02e80,0x007e0ba0,0x03d802dc,0x05d00174,0x20ba007d,
    0x7c40003d,0x002e4002,0x2007c1a6,0x5003e06a,0x2a007c0d,0x3a007d06,
    0x22001ec2,0x004e8047,0x8007ce64,0x7d441bd8,0xf300f881,0x00fc5b85,
    0x83e805b8,0x400ba06b,0x4003d85d,0xd003e878,0x3e86a805,0x2e801f40,
    0x0ba007d0,0x02e801f4,0x01f42e80,0x001ec2e8,0x400fa1e2,0x2007d02e,
    0xb002e82e,0xd00f600b,0x74174005,0x3f05d003,0x17f70000,0x1000f600,
    0xd5003e0f,0x1aa007c0,0x835400f8,0xe85d003e,0x401f8002,0xd1f8006c,
    0x2dc00007,0x84e883cc,0xd801746a,0x3e86a805,0x3e201720,0xf8002e85,
    0x2e801f41,0x01aa3e80,0x817400fa,0x205d003e,0x005d003e,0x003e85d0,
    0x8002e85d,0xe801f41f,0x3a007d02,0xf8805c82,0xe807b005,0x3a0ba002,
    0xf885d003,0xfb300000,0x0ba037bd,0x03e07e00,0x007c0d50,0x400f81aa,
    0x2007d06a,0x40017c2e,0x007e602e,0x0035cd50,0x6a81f100,0x91ea0db0,
    0x00bf100b,0x4406a8fa,0x42fec03f,0x42e8002f,0x005d003e,0x7401f4d5,
    0x3a05d003,0x3a05d003,0x0005d003,0xd003e85d,0xe8002f85,0x2e801f42,
    0x0ba007d0,0xbfb00fe2,0x5d00f600,0x1f417400,0x07c42e80,0x6dcc0000,
    0x0017c3ff,0x2007c174,0x5003e06a,0x2a007c0d,0x3a007d06,0x7c001f42,
    0x0007f100,0x000fc49b,0x3cc0f880,0x46b807dc,0x2fec03f8,0x00fa6a80,
    0x376213ea,0x8003e85b,0xe801f40f,0x0f57d002,0x17400fa0,0x05d003e8,
    0x017400fa,0x00fa1740,0x000fa174,0x2007d03e,0x2007d02e,0x109f502e,
    0x3600b7bb,0xd0017403,0x3a007d05,0x00001f82,0x0fa4fa80,0x03e03e00,
    0x007c0d50,0x400f81aa,0x2007d06a,0x2002642e,0x00176078,0x009b07e2,
    0x3ffffae2,0x07c40fde,0x426403f3,0xbdd884fa,0x1eafa005,0xecdfe980,
    0x0990b75f,0x03e87880,0x3aa005d0,0x007d003e,0x801f40ba,0x2007d02e,
    0x42e8002e,0xc85d003e,0x743c4004,0x3a05d003,0x4c05d003,0x75fecdfe,
    0xd333310b,0x2e833339,0x0fa0ba00,0x01741740,0x1f880000,0x07880099,
    0x206a801f,0xf035400f,0x7b06a801,0x0d70be00,0x1f505b80,0x435c02a0,
    0xbff9807a,0x0fca999a,0x807f13e8,0x9bfd303e,0x8016ebfd,0xa8003eea,
    0x216e0acb,0x42dc006b,0x005f003d,0x07b003f4,0x01ec0be0,0x007b02f8,
    0x0ba000be,0x70be007b,0xd85b800d,0x3605f003,0x5005f003,0x42dc1597,
    0xfffffffb,0x00ba1fff,0x003d82e8,0x0009b05f,0x5cf60008,0xf82dc006,
    0x1f035400,0x03e06a80,0x012e0d50,0x05f103e6,0x17c41fc0,0x40fa05d0,
    0x013e202f,0xd1d701f1,0x400fa80b,0x16e0acba,0x0000fd00,0x05f10b70,
    0x025c1fc0,0x7d0007cc,0x4c025c00,0x3009700f,0x2012e01f,0x2e8000f9,
    0x07cc025c,0x3f800be2,0x0f9804b8,0x1f300970,0x005b8000,0xe800ba00,
    0xf9804b82,0x0000f980,0x572001f1,0x0fe002f8,0x81b200fc,0xf036401f,
    0xf306c803,0xd707b801,0x3a03ae00,0x7cc17405,0x7e40b900,0xe807c400,
    0x003e806e,0x3a002dc0,0x4c800003,0x3ae00d70,0x5c00f980,0x001ea007,
    0x07b801f3,0x0f7003e6,0x1ee007cc,0xf307e200,0xd707b801,0x2603ae00,
    0x303dc00f,0x007b801f,0x00004c80,0x3e2003f1,0x5c00f982,0xc8017607,
    0x3a009f32,0x75c01ae3,0x36209900,0x4413206f,0x413206fd,0x17a06fd8,
    0x37a02f98,0x2e03ea00,0x6417400e,0xa999999e,0x3009b00f,0x80ff201f,
    0xc80006d8,0x001ea004,0xe80ba200,0x803ea00d,0x00be605e,0x5e8003e8,
    0xbd00be60,0x3a017cc0,0x000be605,0x302f41ee,0x006f405f,0x02f401f5,
    0x05e805f3,0x10000be6,0x2e00005d,0x403ee007,0x80be605e,0x7ec405e8,
    0xb803ff30,0x5006f40f,0x117cc01f,0x013d9dd5,0x775445f3,0x2f9809ec,
    0x27b3baa2,0x220de880,0x76c405fa,0x207f220a,0x82e801f9,0xffffffff,
    0x80d503ff,0xcf980ffb,0x37aa20cf,0x17440000,0x00007d00,0x6c401dd0,
    0x07f220ae,0x5441bd10,0x03ea005f,0x8837a200,0xde8805fa,0x2017ea20,
    0x3ea20de8,0x05e98005,0x7d441bd1,0x0576c405,0xe8803f91,0x017ea20d,
    0xfa8837a2,0x0ee80005,0x04e98000,0x74409d30,0x017ea20d,0xa882bba2,
    0x3b7e60de,0x882fc882,0x3f220aed,0xfeffc801,0x209ff53f,0x53ffeffc,
    0x3ff209ff,0x9ff53ffe,0x3fbff620,0x3ff2003f,0xbb01cffe,0x33333333,
    0x99f985d3,0x6b999999,0xda8873a0,0xf109afbf,0x3fbffa67,0xdd00004f,
    0x003ea001,0x6d5554c0,0xff9000ef,0x20039ffd,0x3ffeffd8,0x3aaaaa20,
    0xd88002ad,0x003ffeff,0x3ffbff62,0x3ff62003,0x55403ffe,0x405febaa,
    0x3ffeffd8,0x3fbff200,0xfb1001cf,0x4007ffdf,0x3ffeffd8,0x2aaaa600,
    0x44000efd,0x84febaaa,0xefebaaaa,0x77fec400,0x322003ff,0x83ffeeff,
    0xfddff568,0xffc803df,0x4001cffe,0x2a0001aa,0x2aa0001a,0x4d4c0001,
    0x03530000,0xffffffb0,0xc85fffff,0x2603f004,0x8cffeefe,0x0b94fff8,
    0x30003551,0x1dfb5555,0x3aaaaa20,0xeb8002ad,0x0003deee,0x98000353,
    0x775c009a,0x00deeeee,0x0026a600,0x0009a980,0x10026a60,0x059ddddb,
    0x0009a980,0x80003530,0x200009a9,0x5c0009a9,0x003deeee,0x59dddd30,
    0x33bbbb60,0x09a98002,0x02aa6000,0x03555300,0x0001a980,0x00000000,
    0x00000000,0x00000000,0x132003f1,0x20035530,0xd7000000,0xb807bddd,
    0xdeeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01aa0000,0x00000798,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x10099cd9,0x5c437f33,0xbbbbbbbb,0xbbbbbbbb,0xddddd72b,
    0xdddddddd,0x0005dddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0xfd03ffff,0x3623ffff,
    0xeeeeeeee,0xeeeeeeee,0x7777734e,0x77777777,0x00037777,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x07300001,
    0x7fc40000,0x3500003f,0x70001710,0x20288003,0x0000000a,0x00000930,
    0x88000000,0x70006602,0x0000003b,0x8000e600,0x4880003c,0x05101c00,
    0x0002fff4,0x7ffe4000,0x0040006f,0x30000000,0x00005403,0x03101400,
    0x32e000cc,0xcccccccc,0x0001cccc,0x80000d80,0x0002ffe8,0xb8000fea,
    0x01f55405,0x207fc400,0x7ec003fd,0x13e6003f,0x220007f6,0xff70001e,
    0x17c4001d,0x02e40000,0x0ba01f30,0x005ff880,0x9dffb730,0x7fdc0121,
    0x06f8000d,0x0f7fcc00,0x4d80fc40,0x00176a60,0xa8809b00,0x30006caa,
    0x00003bdb,0x2a002e98,0x2003f106,0x22defdb9,0x540df883,0x0013203f,
    0xfb9999bd,0x05f99999,0x3601e980,0xafd40005,0xfb8003fb,0x07f20002,
    0x80001ec0,0x001ea84d,0x1bf31dd3,0x223ba600,0xf98000ee,0x15f90005,
    0x7dc005fb,0x3f600003,0x106ec001,0x7fd000d9,0x37bfb000,0x01f9fd95,
    0x7ec57ec4,0x0037c001,0x0bf27f70,0x1f503b20,0x0000b900,0x50003ba2,
    0x4436000d,0x3e600005,0x20ce8004,0xbfb005d8,0xf3bf9537,0x323fb101,
    0x0026403f,0x741aa0ba,0x013ea002,0x2e0001f3,0x002fcc3f,0x220003f9,
    0x0f6001ed,0x80000000,0x077444f9,0x009ffb00,0x40013ea0,0x01fdc0ee,
    0x80009f50,0x98000ee8,0x01efdefe,0xf9000100,0x807f4c03,0x17dc0ee8,
    0x2000bb00,0x027d41fd,0x3bf7bf62,0x000b9003,0x0001bd10,0x8b1000d5,
    0xfa80000d,0xbfd50003,0xbb003dfd,0x03ff2201,0x801eefb8,0x4174004c,
    0x2005d06a,0x09b003fb,0x1c406a00,0x0001e880,0xd8001dd1,0x00000003,
    0x00b80a60,0xb80015c0,0x80e0002f,0x27cc0029,0x00de8800,0x005dc400,
    0x3f200000,0x100fa801,0x0000cc07,0x7300b800,0x006ea200,0x88000b90,
    0x1aa0005f,0x05887400,0x002fb800,0x000bb880,0x03fa00d9,0x32001930,
    0x54174004,0xf7005d06,0x007d4005,0x00000000,0x6c000e00,0x00055443,
    0x00000000,0x06a00000,0x00000000,0x1c4000a2,0x80000000,0x22001ba8,
    0x0016002f,0x00000000,0x80000000,0x1440005c,0x001aa000,0x000ef6cc,
    0x00000cc0,0x001f9800,0x900001f5,0xffffffff,0x82e83fff,0x5005d06a,
    0x007d0003,0x3bff6e60,0x3ff2090c,0x000006ff,0xeffb9ec0,0xffc83efe,
    0xfff981ff,0x3f6e604f,0x7300e2de,0x01c5bdfb,0xccca8000,0x6665c1cc,
    0x000000cc,0xdb980000,0x4090ceff,0x3ffeffd8,0x3543fff7,0x37220000,
    0x00001bef,0x33332e00,0x2a3ccccc,0x5c1ccccc,0xc80ccccc,0x7ffffcc5,
    0x2a000001,0x00040006,0x22000000,0x401befdc,0x701c005b,0x8e19dffd,
    0x999dd998,0x81c81999,0x0001906a,0x4003d400,0xeca9bdfd,0xaa880fcf,
    0xccb806ca,0x003ccccc,0x2a0bf2f6,0x0cfdc44f,0x2017f330,0xfca9bdfd,
    0xbfb00f9d,0xf3bf9537,0x333332a1,0xa802bccc,0x5c1ccdfc,0x930cdfcc,
    0x99999999,0x33322099,0xcccccccc,0x37f602cc,0xfcfeca9b,0x540df980,
    0x6419ebce,0x3ea00004,0x06fca9bd,0x03ffffdc,0x66666540,0x32a3ccdf,
    0x65c1ccdf,0x5c80cdfc,0x4c19cfb8,0xcccccccc,0x06a804cc,0x333332e0,
    0xccb8001c,0x8001cccc,0xfca9bdfa,0x0000f606,0x326f7fa2,0x09907dfe,
    0x201aa000,0x2e04ccc8,0xe80ccccc,0x807f2003,0x6a800fe9,0xcfdccb80,
    0x3f6003cc,0x213e200e,0x206b803e,0xff9100dd,0x2201bb01,0xf9930ffc,
    0xdfd99999,0x2007d005,0x66664c2e,0x03ccccfd,0xdd9dd991,0x09d99999,
    0xfe9807f2,0x7f404e80,0x00005d05,0x2f440bee,0x01ee6660,0x7401f800,
    0x6405d003,0x9301fdc5,0x999fb999,0x00d50079,0x6fee6654,0xccca8005,
    0x5c005dfd,0x20bd102f,0xed80001f,0x320ff500,0x0d500004,0x07fd9910,
    0x0337f32e,0x0fe401ae,0x54007d40,0x003cc006,0xf3003fb0,0x2f807a81,
    0x3fa00d90,0xfe803640,0xc9807c40,0x801f401f,0x006a802e,0x640f67d0,
    0xa801fc84,0x4c03640f,0x0003f05f,0x7b003f30,0x0001ea00,0x01f401f8,
    0xc97202e8,0x06a8002f,0x4000d500,0x0000f9cc,0x8007ce64,0x43d801f9,
    0x4c0000f8,0xc83ec02f,0x0d500004,0x400fed80,0x2017c03d,0x016002f8,
    0x1e600354,0x2006d800,0x2e03e82e,0x2003f306,0x007e60fa,0x03e207d4,
    0x03e80fb0,0x0d5005d0,0x0f61f100,0x00be2264,0xb003e858,0x00007e0b,
    0x17cc013a,0x00003d40,0x003e803f,0x6c6e405d,0x0d50001e,0x8001aa00,
    0x80007d1f,0x3a007d1f,0x445f3004,0x35c0000f,0x04c83cc0,0x800d5000,
    0x1ec05dbd,0x0d501ae0,0x01aa0000,0x6c000f30,0x2a132004,0x2dc0ba07,
    0x00b70e00,0x400f8838,0x00fa01f9,0x03540174,0x207b3540,0x0003544c,
    0x05c800fc,0x3bb6203f,0x1f51eeee,0x54026c00,0x07e00007,0x0ba007d0,
    0x002feec8,0x54001aa0,0x5cd50006,0xb9aa0006,0x000fa806,0x0003f136,
    0x201006a8,0xd500004c,0x1f8bd800,0x5f100f60,0x00002640,0x3cc006a8,
    0x4009b000,0xd707d04c,0x20001ec0,0xf880003d,0x3a02f800,0x5005d003,
    0x6c99000d,0x04c87703,0x7001f800,0xaa80ba0b,0xb90bfbaa,0xa8069800,
    0x07e00007,0x0ba007d0,0x01fbdfc8,0x2000d500,0x49b0006a,0x9b0001f8,
    0x17200fc4,0x02e8d300,0x0017c400,0x20000990,0xb9ec006a,0x3200f606,
    0x0000ba05,0x26003540,0x01760007,0xd0d503d8,0x0000fc07,0x2200007e,
    0x203d400f,0x005d003e,0x45d000d5,0x05d00a3d,0x2005d000,0x4007b05d,
    0x000f60f8,0x00f500f1,0x3a00fc00,0x6405d003,0x20007ee5,0x0d50006a,
    0x4d83f100,0x6c1f8800,0x2001ec04,0x00026c78,0x40005fdc,0xd500004c,
    0x0fa3d800,0x0fc401ec,0x000001f8,0x079800d5,0x2003f600,0xa8fa01f9,
    0x0003e206,0x80000f88,0x0fea00f8,0x0ba007d0,0xf1001aa0,0x403f1ec1,
    0x5c80001f,0xd705f880,0x5d07c400,0xa803f000,0x07e00007,0x0ba007d0,
    0x00fe45c8,0x54001aa0,0xa86b8006,0xa86b8007,0x40017407,0x0003e61f,
    0x2f7bf660,0x0005c801,0x3d800d50,0x00f603ea,0x001f82ec,0x800d5000,
    0x3f600079,0x5404e806,0x0f880fa6,0x003e2000,0x266be200,0x804fdba9,
    0x005d003e,0x46b800d5,0x201feeed,0xf880001f,0x882fec03,0x41f1003e,
    0x02e8002f,0xf00003d4,0xd003e803,0x7e42e405,0x001aa001,0x1f400354,
    0x1f4002f8,0x00be02f8,0x00bb0ba0,0x36e60164,0x03ee03ff,0x00d50010,
    0x6c26c3d8,0xf01f3003,0x3bbb6203,0x35401eee,0x8001e600,0xe981edcd,
    0x7abe800e,0x40001f80,0xf880001f,0x0cffffff,0x3a007d00,0x4006a802,
    0x7d56ec4d,0x6c407e01,0x41eeeeee,0xbdd884fa,0x200be605,0x000fa0f8,
    0x80f5003e,0x803f0049,0x405d003e,0x001f905c,0x354001aa,0x6403e600,
    0x403e6005,0x000fa05c,0x80bd103e,0x54000fd8,0x83bf104f,0x9981fda8,
    0x00999eb9,0xb07e61ec,0x7426c007,0x2eaaaa02,0x035400bf,0xd8001e60,
    0xfdbbdf93,0x1f754009,0x20001740,0xf880002e,0x0dfa999a,0x3a007d00,
    0x4006a802,0x23d999bf,0xa80ba01f,0x80bfbaaa,0x5fecdfe9,0x1dfa80b7,
    0x2641fb50,0x2a01e200,0xf8035407,0xe801f401,0x105c9882,0x540133fb,
    0x99999806,0x099999fb,0x33333d90,0x32001f53,0xa999999e,0x8009900f,
    0x15dd1078,0x0006f544,0xfb301f88,0x019fffdf,0xfffffff5,0xc83d80df,
    0xf3001ec6,0x22003d81,0x006a800f,0x42dc03cc,0x2b32a23d,0x007e8000,
    0x4d80009b,0x80f88000,0x3d800ee8,0xd5005f00,0x7fffcc00,0x0f6003ff,
    0x5400f880,0x016e0acb,0x3bbfff62,0x035c0cff,0x333116e0,0x33333f73,
    0x01f80354,0x82f801ec,0xfff05fff,0x035407ff,0x3fffffe2,0x04ffffff,
    0xffffffff,0x3fe007ff,0xffffffff,0xb800d703,0x3bff2205,0x00103ffe,
    0x4d4c01ec,0xd8000000,0x0f63f883,0x06b89d00,0x2a003e20,0x403cc006,
    0x0003d85b,0xf3003e80,0x07cc0001,0x803e2000,0x804b806d,0x06a800f9,
    0x00f616e0,0x3e2006b8,0x016e0000,0x40355530,0x0fe002f8,0xfffffffb,
    0x1aa5ffff,0x97003e60,0x0001f300,0x001aa000,0x4cfcc000,0x6b999999,
    0x9999f980,0x106b9999,0x01fc005f,0x2200ae98,0x80b9000f,0x0a200028,
    0x3ea07b00,0xfa8007b0,0x4400fa20,0x006a800f,0x42dc03cc,0x5400003d,
    0x002ec007,0x2005d859,0x1007c42c,0x00f9807f,0x06a803dc,0x80f60fa0,
    0x400fa21e,0x320000f8,0x00544004,0x1d7006b8,0x5402f880,0x9806c806,
    0x003dc00f,0x2a000151,0x01530006,0x0fc01320,0x0fc01320,0x1d7006b8,
    0x26007400,0x807d004f,0xff0004ff,0xd01ec009,0x3a000f69,0x44017cc3,
    0x006a800f,0x42dc03cc,0x7400003d,0x02f44003,0xbd103f62,0x440fd880,
    0x007d400f,0x02f9817a,0x3e200d50,0x07e03d80,0x1f1005f3,0x00ba2000,
    0x2001d710,0x03ea00de,0x3ea012a0,0x400be603,0x00be605e,0x8000eb88,
    0xd910006a,0x2003f100,0x007e204c,0x01bd0264,0x2e0007d4,0x07fe601e,
    0xfe801f70,0x07fd0003,0x3f301ec0,0x0f70007b,0x36a03bf5,0x006a800f,
    0x42dc03cc,0x2a00003d,0xee88000f,0x037aa20a,0x51057744,0x01f101bd,
    0xde880bb0,0x8017ea20,0x20d5006a,0x2a07e03d,0x1fb501df,0x003ba000,
    0x20059098,0x3220aed8,0x0495001f,0x5443bf50,0x37a2005f,0x8017ea20,
    0x50005909,0x06c3000d,0x79801aa0,0x79801aa0,0x882bb620,0x171001fc,
    0xedf980ee,0x002fc882,0x0740001d,0xec807b00,0x05f0003e,0xfddfffb1,
    0x3333019f,0x33333f73,0x4fd4cc41,0xc9999999,0x2ab7aaa5,0x5551000a,
    0x00055bd5,0xffddff91,0xdff91007,0x33107ffd,0x7c40335f,0x3ff6201b,
    0x4cc03ffe,0x9999fb99,0x98776620,0x99999cd9,0xffb101f9,0x019ffddf,
    0xfdaaaa98,0x775c000e,0xeffc8004,0x74001cff,0x36200fde,0x003ffeff,
    0xffeffd88,0x2775c003,0xfb999980,0x64009999,0x366203ef,0x3310099c,
    0x66cc437f,0xf3310099,0x77fe4037,0x5c001cff,0x5a200dfe,0xeffeeffa,
    0x00099001,0xe9880264,0xff88099c,0x80330003,0x2201aaa9,0xffffffff,
    0x3fa4ffff,0xffffffff,0xdb15ffff,0x003ddddd,0x3bbbbbae,0x260000de,
    0x530000aa,0x7ffdc015,0x3ee01fff,0x09a9800f,0x7ffffd40,0x326fffff,
    0xff88ffff,0xffffffff,0xaaa9801f,0x3bbae001,0x000003de,0x000d4c00,
    0x98800660,0x9800009a,0x0000009a,0xffffffa8,0x0006ffff,0x7fffff90,
    0x3fffffa0,0x7fffff91,0x3fffffa0,0x000d4c01,0x55300000,0x00280035,
    0xff700140,0x3ee07fff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x0000000c,0x01440000,0x0000e600,0x4c000326,
    0x40002a02,0x99950039,0x05799999,0x00a60380,0x14000e54,0x1c400310,
    0x99999700,0x38800799,0x44000660,0x80b8000c,0x00220029,0x01440700,
    0x2004c880,0x5500a603,0x5c001710,0x17005100,0x66440a20,0x3332e04c,
    0x4c8800cc,0x7c049800,0xd300efff,0x3e200003,0x3fa60002,0xffd7001e,
    0x9000e19d,0x006a800b,0x0037fea0,0x00f77d40,0x36227d40,0xffa8000f,
    0x7e64c00d,0xefeccccc,0x40ee8802,0x7f4403fb,0x40f91dfd,0x27d40ee8,
    0x00effa80,0xccfdccb8,0x6fc4003c,0x20017e40,0x00cfefc8,0x3ff0bf50,
    0x0cffc880,0x07e200aa,0xfb800264,0x0ee8802f,0xff101fdc,0x2004fc81,
    0x027d41ee,0x13ea0f6c,0x81ff6644,0x00cdfccb,0x2002ffb8,0x9f00effb,
    0x2fc80355,0x07f70000,0x3f29f700,0x2f7fa203,0x007dfec9,0xd50007f6,
    0x22bf2000,0x7e4001fd,0x30005f92,0x01dd31dd,0xfb15f900,0x201f1003,
    0xfb001fc9,0x2a00bf65,0x5fff910c,0xf91fd880,0x6cff2007,0x01e6002f,
    0x227b6200,0x7d4001ed,0x005fd31e,0x01b705b1,0xcfd99ed8,0x1d9002fd,
    0x30000fa8,0x7ec001ff,0xb9005fb2,0xc8003b30,0x4007f93f,0x007f93fc,
    0x7b003fb6,0x007fcc00,0x2fd8afd8,0x7dc001f8,0x9f500003,0x2a17e400,
    0x201db04f,0xee8807fa,0x3ff22000,0x7400a9df,0x801fdc1e,0x027d40ee,
    0x027fec40,0x7dc1ee80,0x2007c403,0x3fee007d,0x5440000e,0x3bbee000,
    0xb83db001,0x00f3003f,0x06ffe400,0x6b81ec00,0x01000000,0x44003b93,
    0x03efdefd,0xb8000400,0x00000eff,0x3bfea000,0xeffa8001,0x176f6001,
    0x008007b0,0x7f703ba0,0xfa8001f8,0x9f300003,0x1c402e00,0x1f6017cc,
    0x4001bd10,0xfdb9adfb,0x9805c02f,0x14407002,0x00057000,0x4029805c,
    0x0fcc00f8,0x00009300,0x00d98000,0x014c02e0,0x40000798,0x0000003a,
    0x00000000,0x03751000,0x30000000,0x00000009,0x80003220,0x5ec000c8,
    0x00f601f8,0x26038000,0x98000fc2,0x0a200002,0x06b80000,0x01c40798,
    0x7d407e20,0x00000002,0x00000000,0x0f880000,0x00002f80,0x1ccccca8,
    0x0666665c,0x00000000,0x00000798,0x07ffd400,0xfdc88000,0x322001be,
    0x0001befd,0x6dcc0000,0x0090ceff,0x33332a00,0x66665c1c,0x0000000c,
    0xd73d8000,0x5cc01ec0,0x00e2defd,0x00007e00,0x40000000,0x70ceffeb,
    0x001006a8,0xc80b7000,0x33333221,0xccccc883,0xcccccb83,0x9995001c,
    0x05799999,0x03999930,0x220f3332,0xb83d400f,0xcccccccc,0x951ccccc,
    0xcb8399bf,0x9910cdfc,0x99999999,0x2cccca85,0x00e6665c,0x65c000f3,
    0x001ccccc,0x00003eea,0x32a6f7ea,0xbdfa806f,0xb806fca9,0x01cccccc,
    0x537bfb00,0x4c1f9fd9,0xcccccccc,0x37f2a4cc,0x7e65c1cc,0x999910cd,
    0x666665c0,0x99999930,0x36001579,0x01ec0fa3,0x32a6f7f6,0x9930f9df,
    0x99999999,0x32e00fc9,0x001ccccc,0x99999995,0x03999999,0xd937bfd1,
    0x02f88fbf,0x66666540,0xcccccccc,0x22001f41,0x883cccfc,0xa83eeccc,
    0x05dfdccc,0x999f9930,0x405dfd99,0x901ceec9,0x1f107bf9,0xde81fd40,
    0xccfdcccc,0x1f42fccc,0x67cc2e80,0xeccccccc,0x1667e545,0x8033f72e,
    0x32a00079,0x005dfdcc,0x200007c4,0x0bd102fb,0x5e8817dc,0x7ee66540,
    0x1fc8005d,0xc983fa60,0xcccfdccc,0xd003e83c,0x3fecc885,0x19bf9970,
    0x3333bb26,0xd804ffdc,0x0f603ea3,0xf9100dd8,0x3333261f,0x23ccccfd,
    0x6665401f,0x93005dfd,0x999999f9,0xdb07d999,0x2e1fea01,0x993000bf,
    0x9999999f,0x06d87d99,0xd8003f00,0x1f399003,0x9807c400,0x07d401fc,
    0xaf881b20,0x4fdba999,0x41aa0ba0,0xe801f42e,0x3e203cc2,0x5c00f883,
    0x00079806,0x003e7320,0x20000f88,0x83d801f9,0x03d801f9,0x003e7320,
    0xfa801fc8,0xe8035400,0x6c05d003,0x81ec00fe,0x01ba604d,0x3d84d87b,
    0x3fa00d90,0x3f01aa00,0x0f9cc800,0x2003e200,0x2017cc3d,0xbdfb307d,
    0x00f88037,0x0efcc3d8,0xd000ba00,0x1f47e005,0xd801f100,0x2605c807,
    0x3ffe201f,0x400cffff,0x5d06a82e,0x85d003e8,0x882ec079,0x4035c00f,
    0x3e000079,0x7c4007d1,0x013a0000,0x013a17cc,0x1f8017cc,0x0be2007d,
    0x06a80580,0x0ba007d0,0x6c05dbd8,0xe8809b03,0x3f30f604,0x01f983d8,
    0x35401f50,0x3f0007e0,0x0f8800fa,0x035c3d80,0x6dcc03cc,0x01f103ff,
    0xff9107b0,0x83e8037b,0x801f81ec,0x8801ae6a,0x00fcc00f,0x01f40fe2,
    0x2a666be2,0x417400df,0x3e85d06a,0x07985d00,0x07c403ee,0x1e601ae0,
    0xd7354000,0x7107c400,0x00fa8035,0x00fa9360,0x9aa01360,0x00d5006b,
    0x200d5000,0x405d003e,0x3601f8bd,0xf3009b03,0x1b20f601,0x800b707b,
    0x3e035403,0x6b9aa001,0x2003e200,0x0803543d,0x884fa800,0x403d800f,
    0xb01ffdb9,0xf83ef889,0x3e24d800,0x001f1001,0x81f5005f,0x80f8806c,
    0x0ba00ee8,0x3a1741aa,0x7885d003,0x7c405f30,0x4c035c00,0x6c05b807,
    0x44007e24,0xffefe98f,0x800b900e,0x30017269,0x7c49b00d,0x0004c801,
    0x7d006a80,0x3d80ba00,0xd81ec0d7,0x360bb004,0x0f63f883,0x500000f6,
    0x2001f80d,0x4007e24d,0x409800f8,0x000002f8,0x01f107e2,0xfb800130,
    0x5fd44c82,0x7c403c46,0xf88026c1,0xb003d400,0x4400fccb,0xc81b600f,
    0x81906a81,0x105d003e,0x1f1013a0,0x79806b80,0x3e205b80,0xf88026c1,
    0x836d42fb,0xb3c4003d,0x40788007,0x4026c1f8,0xa800002e,0x2007d006,
    0x3e8f602e,0x013607b0,0x503d83d4,0x07e0f61f,0x80d50000,0x83f1001f,
    0x81f1004d,0x17f70069,0x7b000400,0x034c0f88,0x5b85b800,0xf307c6e4,
    0x0f50d700,0xfa803e20,0x74fe2003,0x401f1004,0x354003f8,0x3a007d00,
    0x100d9002,0x806b801f,0x205b8079,0x1007a86b,0x07e203ff,0x47e000ba,
    0x01f8002e,0x201ea1ae,0xa800001f,0x2007d006,0xfa8f602e,0x09b03d80,
    0x0f603e20,0xf887b4e8,0x35400000,0x35c007e0,0x0f8803d4,0xfb3003d4,
    0x3e2037bd,0xf88b9000,0x00403d40,0x3e3543cc,0x403545d2,0x1005f03e,
    0xb753335f,0x9f50009f,0x007c400d,0x6a8003ea,0x7400fa00,0x801f9802,
    0xeeeeeef8,0x79806eee,0x0fa05b80,0x17c4017c,0x00be1320,0x0017cba0,
    0x207d0174,0x000fc02f,0xe8035400,0x6c05d003,0x81ec26c3,0x207e004d,
    0x367e603d,0x00007c43,0x03f01aa0,0x017c0fa0,0x777777c4,0xfb730007,
    0x004f987f,0xeeef887d,0x02dc07ee,0xf33cc3e4,0x405b9721,0x00b900f9,
    0xfffffff1,0x7ec00019,0x003e2001,0x06a80176,0x17400fa0,0x4400fe20,
    0xaaaaaabf,0x079806ca,0x01f305b8,0x03e20172,0x007d0d70,0x000fa1f0,
    0x807cc03e,0x880fc05c,0x1eeeeeed,0x1f401aa0,0x0f602e80,0xb03d83f3,
    0x6c0fc009,0x41f76403,0x5400001f,0x4c00fc06,0x100b900f,0x0f95557f,
    0x993ea000,0x07dc01ff,0x32aaafe2,0x1017e407,0x2e1f109f,0x404c9ea6,
    0x999999ec,0x57c400fa,0x00dfa999,0x4401ea00,0x2019af99,0x6a801bf8,
    0x7400fa00,0x1002ec02,0x106b801f,0x3333f533,0x20b93333,0x999999ec,
    0x07c400fa,0x01321ae0,0x00264f10,0x99ec81e2,0x00fa9999,0xaaaa80ba,
    0x1aa00bfb,0x2e801f40,0xb1b20f60,0x44013607,0x273a620f,0x83ff8809,
    0x5400002e,0x6400fc06,0xa999999e,0x207c400f,0x2200007a,0x05dbf31f,
    0x1f105f91,0x7fe407a8,0x0df950ac,0x8fc4d8fc,0x7fffc03d,0x03ffffff,
    0x774407c4,0x00f50000,0x3fffffee,0x003fee01,0x01ec00d5,0x03ea02f8,
    0x003e2054,0x3fffa0d7,0xffffffff,0xffff05ff,0x07ffffff,0x35c00f88,
    0x96e0035c,0x02dc006b,0xffffffff,0x01ec07ff,0x6a801f10,0x3e007b00,
    0x3e20f602,0x026c0f63,0x7ffdc6a8,0x07f703ff,0xa800009b,0x7c00fc06,
    0xffffffff,0x207c403f,0x20008048,0x3fead13d,0x101effee,0x5404881f,
    0xfffffe9c,0x41f97403,0x7cc05d3d,0x99999999,0x007c406b,0x1ea000db,
    0x80000000,0x012e006a,0x17c403e6,0x00f885d0,0x0000035c,0x4ccccfcc,
    0x4406b999,0x4435c00f,0x88fe002f,0x40fe002f,0x999999f9,0x1ae06b99,
    0x5400f880,0x30097006,0xa81ec01f,0x13607b0f,0x00002640,0x00001f30,
    0x007e0354,0x333333f3,0xf880d733,0x07c4b000,0x2e605c80,0x07c401ae,
    0x075c0580,0xb87aad80,0x026405d6,0x03e201f8,0xa8003f88,0x0a980007,
    0x00354000,0x07b801f3,0x885d017a,0x0035c00f,0x4c8002a2,0x7c403f00,
    0x6b835c00,0x6b81d700,0x3201d700,0x2203f004,0x01f1003e,0x1f3006a8,
    0x1ec07b80,0x6c0f69d0,0x003e8804,0x5d8002a2,0x6a80b200,0x13200fc0,
    0x1f100fc0,0x3e61f100,0x8807d004,0x00f8800e,0x1aa00f88,0x885cbd80,
    0x3f101f8f,0xf8813200,0x0007d400,0x220001ea,0x3540006c,0xf9817a00,
    0xe801d702,0x2e007c42,0x075c4006,0xc800fc40,0x7003e204,0x5006f40d,
    0x8037a01f,0x03f100fa,0x2f981320,0x5400f880,0x9817a006,0x301ec02f,
    0x13607b3f,0x710017a0,0x17a2001d,0x5401fb10,0xf100fc06,0x88132003,
    0x30f8800f,0x0fb803ff,0x20075c40,0x0f8800f8,0xcc801aa0,0x01f7d03e,
    0x079801aa,0x176003e2,0x8000f500,0xa8000361,0x06f44006,0x3e60bf51,
    0x7c42e801,0x30035c00,0x1aa00b21,0x3e207980,0xb1035c00,0x0fe4415d,
    0x4415db10,0x01aa01fc,0x6fd40798,0x801fb501,0x37a2006a,0x2017ea20,
    0x1f76403d,0x1b6204d8,0x00b21300,0x220aee88,0x35400dea,0x50aab3e0,
    0x103cc00d,0x21f1001f,0xc882edf9,0x642e202f,0x4007c402,0x01aa00f8,
    0xd900feb8,0x339b310f,0x2fe66201,0x26be6621,0x806fe201,0x999fb999,
    0x1f7e4000,0x75cccc00,0xd8800999,0x203ffeff,0x999999dd,0x2662e999,
    0x5cc409af,0xeeb8009e,0x4e6cc404,0x7f331009,0x009fa883,0x64013d93,
    0x01cffeff,0x9ffdff90,0x27366203,0x7f331009,0x7ffec403,0x980cffee,
    0x999fb999,0x3ff62009,0x4c403ffe,0xf88099ce,0x4e6cc43f,0x0efda999,
    0x02775c00,0x777fe440,0x333303ff,0x413333f7,0x988effff,0x310099cd,
    0x4cc437f3,0x999999af,0x2d10f999,0xeffeeffa,0x04fec801,0x266be662,
    0xf9999999,0xa8012600,0x21bea06f,0x03fffffc,0x23fffffd,0x1ffffffb,
    0x2603fee0,0xffffffff,0x20000006,0xfffffffa,0x4d4c006f,0x7fffec00,
    0x2fffffff,0x87fffff3,0x007ffffe,0x7fffe400,0xffffd03f,0x3fffe23f,
    0x7fffd40f,0x001a9805,0x32006a60,0xd03fffff,0x003fffff,0x54035553,
    0xffffffff,0x353006ff,0xffff7001,0x70fee07f,0xdfffffff,0x00000039,
    0x40155300,0xfffffffa,0xfc806fff,0xfd03ffff,0x3ee3ffff,0xffffffff,
    0x200fffff,0x0001aaa9,0xfffffb80,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x49800000,0x02880e00,0x003880d4,
    0xccc99a20,0x33220ccc,0x880e04cc,0x00970002,0x80b882a8,0x0039b059,
    0x2aaaaaaa,0xeeea801a,0x980deeee,0x00002205,0x805c4154,0x540ffffd,
    0xb800b882,0xa980001d,0x66666441,0x003ccccc,0x00000003,0x4003b500,
    0xaaaaaaa8,0x980b800a,0x00008002,0x0000076e,0x80110200,0x999950e8,
    0x99999999,0x31eb8039,0xa8199999,0x1663cccc,0x3ee00000,0x0fc400ef,
    0x17e404d8,0xc8001ba6,0x333f3265,0x3bf7220c,0x3603f103,0x01fc8004,
    0xf903fe20,0xb307f109,0xdddb100f,0x3007dddd,0x79999999,0xf910d501,
    0x0015419f,0x4fc81ff1,0x41f75530,0x27e40ff8,0x0017fe20,0x26feffa8,
    0xcfdcccc8,0x75c02ccc,0x800e21ef,0x00cdfeca,0x005ff880,0x3bbbbbaa,
    0x2fd401de,0xea800ffc,0x100e21ef,0xb0000bff,0x991ec009,0x33266d80,
    0xcccccccf,0x3b603ecc,0x3337f262,0x1efe6540,0x41d100d5,0x8afc805b,
    0x076402fd,0x3ea003ea,0x40009f54,0x00f882f8,0x3b2017a2,0x10007d40,
    0xb90003db,0x3f603b30,0x00007b00,0x6a800000,0xcfd99ed8,0x2e4002fd,
    0x7c400ecc,0x0ecc2e40,0x8001ff40,0x50021cf9,0x8bfa800d,0x005fcdfc,
    0xfb7359fb,0x07fd0005,0xd8800000,0xa800db82,0xfbdfc9bf,0x003fe805,
    0x8003ba20,0xf981363e,0xd800f883,0x3a01f103,0x6a85d003,0x3f72f440,
    0x7dc0ee80,0x37bf6203,0x3a6003ef,0x5c0002ff,0x2601f106,0xdfb1004f,
    0x44007dfb,0x000000ee,0x5b81fcc0,0x71000000,0x1aa03501,0x00772602,
    0x7c400000,0x01000000,0x4002f400,0xb880006a,0x0ee8803d,0x10007f50,
    0x00000000,0x22044000,0x002003ec,0x000ee880,0x6c07b174,0x800f880f,
    0x740d703d,0x6a85d003,0x2fa97a20,0x00a60380,0x80006ea2,0x2f80001c,
    0x7f501f10,0x03751000,0x00007100,0xb8374000,0xccccca86,0x666665c1,
    0x7c44fc80,0x0006a80f,0x20000000,0x000000f8,0x017c4000,0x00003540,
    0x4c02e400,0x8000001f,0x01befdc8,0x00000000,0xf8800000,0x745f0005,
    0x2209f103,0x703d800f,0xe801f40b,0x4bd03542,0x000002f9,0x00000000,
    0x7c40d700,0x00017dc0,0x50000000,0x99999999,0x70399999,0x950d703f,
    0xcb8399bf,0xe980cdfc,0x0d504d81,0x39999997,0x33332600,0x07999901,
    0x6664c3e2,0x4ccccccc,0x33333326,0xa804cccc,0x80d50007,0x2e04ccc8,
    0x260ccccc,0xa8d9001f,0xcccccccc,0x501ccccc,0xdf9537bf,0x99999700,
    0x33260039,0xcccccccc,0x33333224,0x802ccccc,0x87e00038,0x203f702e,
    0x009800f8,0x801f40b7,0x8703542e,0x3332a029,0xcccccccc,0x333261cc,
    0x4ccccccc,0x3333332a,0x1ccccccc,0xf880fa00,0x2a007ee0,0xcccccccc,
    0x261ccccc,0x9901cccc,0x7e64c799,0xcccccccc,0x70bf03ec,0xe801f40d,
    0x6a800002,0xdfdccca8,0x9dd93005,0x0f7f3203,0xccc987c4,0x3ccccfdc,
    0x3f733326,0xa803cccc,0x80d50007,0x703fecc8,0x6c19bf99,0x98be2004,
    0xcccccfcc,0xb83ecccc,0x80bd102f,0x5dfdccca,0xb9999300,0x4c79999f,
    0xcccccccf,0x100005ec,0x02f83e20,0x207c40dd,0x816e0069,0xa85d003e,
    0x32600006,0xccccccfc,0x3263eccc,0xcccfdccc,0x33f3263c,0xcccccccc,
    0x80f5003e,0x003f90f8,0x3333f326,0x3ecccccc,0x4073bb26,0xf883dfcc,
    0xfd03d800,0x0fa06b81,0x00001740,0x4e640354,0x03ea000f,0x0f880d90,
    0x2a001aa0,0x00f50006,0xed801aa0,0x7c1ec00f,0x4426c001,0x4c3d800f,
    0x003d801f,0x0003e732,0x01e60354,0x753007f1,0xf105d815,0x27cc0fc1,
    0x07a81f10,0x03e816e0,0x006a85d0,0x800f8800,0x8035403d,0x03d800f8,
    0x9f8807d0,0x2000dffd,0x83d800f8,0x036400fa,0x07b001f1,0x40d707f6,
    0x005d003e,0xf00d5000,0xb9000fa3,0x2200fcc0,0x001aa00f,0x76c401aa,
    0x03eeefee,0x5ec00d50,0x221ec05d,0x42dc000f,0x43d800f8,0x05f3004e,
    0x001f47e0,0x03cc06a8,0xfff50176,0x1db3bffd,0x55fdd544,0xf70aabfb,
    0x7777c407,0x16e007ee,0x85d003e8,0x01fff76a,0x220dfff7,0x403d800f,
    0x01f1006a,0x1f5007b0,0xa8eef880,0x1f1002fe,0x17207b00,0x3e201f98,
    0xf903d800,0x7d00f985,0xff70ba00,0xdfff701f,0x2e6a8010,0x81fc4006,
    0x00f8803e,0x1aa001aa,0xcfdccb80,0x0d5001cc,0x00fc5ec0,0x8007a87b,
    0x800f886a,0x8003ea3d,0x2e6a804d,0x80d50006,0x803ee079,0x36e20bfc,
    0x777540ff,0xeeefeeef,0x7c405f93,0x007caaab,0x003e8136,0x2666a85d,
    0x0d73300f,0x0f6003e2,0x3e200d50,0xd803d800,0xc85f8804,0x00f8800f,
    0x07f103d8,0x01f100fa,0x0fea0130,0x00fa077a,0x07ccc174,0x8006b998,
    0x0007e24d,0x006c81f5,0x035401f1,0xa8003540,0x00d50007,0x3606b9ec,
    0x54003543,0x9800f887,0xd3001720,0x0fc49b00,0x22035400,0x5c05f307,
    0x03ff600f,0x6c1e66a8,0x503e200f,0x03f7100f,0x42e801f4,0x5400f86a,
    0x3001f106,0x1006a801,0x8013001f,0x0f8800f9,0x1f100d90,0x7d401300,
    0x7c403640,0xf30034c0,0xe83ff309,0x7c05d003,0x20035400,0x0026c1f8,
    0x003f32ec,0x06a803e2,0x50006a80,0x01aa000f,0x6c0fa3d8,0x5c003cc3,
    0x34c0f886,0xf1000f60,0x26c1f880,0x04035400,0x0be604e8,0x205c9fc8,
    0x7f41e66b,0x9103e200,0xe809fd00,0x6a85d003,0x835400f8,0x0034c0f8,
    0x0f880354,0x2ec0034c,0xf100f880,0x4c0f8807,0x265d8006,0x40f8801f,
    0x0fea007a,0x07d03bd1,0x00f80ba0,0x1ae00354,0x3e2001ea,0x7c4009d3,
    0x2001aa00,0x0f50006a,0xd801aa00,0x0f603ea3,0x4c8001f1,0x03d40f88,
    0x07e000ba,0x007a86b8,0xd90006a8,0x3f205c80,0x96e03f11,0x401fb06a,
    0x88b000f8,0x00f602fb,0x3e1aa174,0xf8835400,0x54003d40,0xa81f1006,
    0x00fc4007,0x1ea00f88,0x07a81f10,0x09d3f880,0x3bbbbe20,0x0bf2007e,
    0x00fa01f5,0x801f0174,0x0fa0086a,0x7d40017c,0x07c4006c,0xd5000d50,
    0x001ea000,0x87b00354,0x2f83d84d,0x7c41f400,0x407eeeee,0x02e8002f,
    0x0017c0fa,0x3e6001aa,0xfc81ec01,0x93311741,0x133d733b,0x1f1017e4,
    0x9b01f100,0x7c402640,0x007c3540,0x777c41aa,0xa8007eee,0xdddf1006,
    0x5c800fdd,0xf003e200,0x7777c405,0xf50007ee,0x5fc400d9,0x2007caaa,
    0xd035c1fd,0xf80ba007,0x1aa35400,0x05c807cc,0x8003fb00,0x01aa00f8,
    0x54001aa0,0x00d50007,0xb07e61ec,0x5400d707,0xaabf880f,0x01f407ca,
    0x0f9807c0,0x6a800b90,0x401fc400,0xd81fc82f,0xffffff13,0x5cffffff,
    0x003e203f,0x816e03e2,0x43dc00fa,0x5400f86a,0x5557f106,0x0d5000f9,
    0x2aaafe20,0x07e2007c,0x6400f880,0x2aafe205,0x360007ca,0x03e2001f,
    0x07f400f5,0x003e81ae,0x2007c05d,0xec83546a,0xfa999999,0x007a8000,
    0x1aa00f88,0x4001aa00,0x0d50007a,0x23641ec0,0x2007f03d,0xa81f103e,
    0x20026407,0x267b2078,0x00fa9999,0xbb001aa0,0x3f70f600,0x91ec0ba0,
    0x8813ea09,0x80f8800f,0x102f405b,0x1f0d505f,0x1f106a80,0x6a8007a8,
    0x7a81f100,0x4401b200,0x1019af99,0x0f88135f,0xf50003d4,0x440f8800,
    0x2e13e004,0x7c00f606,0xd5003e02,0xffff06a8,0x07ffffff,0x1000f500,
    0x0035401f,0x7a800354,0xf7333300,0x36013333,0x0f63f883,0xdb101fd4,
    0x12207c40,0x5b800d70,0x3fffffe0,0x2003ffff,0x03ea006a,0x7dcb9054,
    0x3603f101,0x85e81323,0x999af998,0x0f999999,0x6fcc05b8,0x6a82fd40,
    0x835400f8,0x002440f8,0x0f880354,0x2f880244,0xfffff700,0x13ff603f,
    0x004881f1,0xf1001ea0,0x3ee16001,0x12e06b81,0x0f803e60,0x21aa3540,
    0x999999f9,0xa8006b99,0x00f88007,0x1aa001aa,0x4c03d400,0xffffffff,
    0x207b05ff,0x5407b0fa,0x06f4c1cf,0x96001f10,0x0fe002f8,0x4ccccfcc,
    0x2006b999,0x05f1006a,0xf73f3174,0x5d036c05,0x83f701ec,0xfffffffb,
    0x0fffffff,0xfd8805b8,0x2a03ffef,0x36401f86,0x0b000f88,0x1f1006a8,
    0x01ae1600,0xf8800000,0x2a00b000,0x007c4007,0x41ba07c4,0x003e606b,
    0x401f80f7,0x2643546c,0x54001f80,0x00f88007,0x1aa001aa,0x40036400,
    0x0f6002f8,0x9807b4e8,0x04ffeffd,0xf8800f88,0x75c01ae0,0x3e009900,
    0x200d5001,0x2e17405e,0x03ee02ff,0x880f62f8,0x6d40004f,0x4400b700,
    0x86a801ce,0x0dfb104c,0x3e2003e2,0x4401aa00,0x40f8800f,0x5100003f,
    0x007c4001,0x3d4007c4,0x2003e200,0x40fe60f8,0x302f405b,0x104c805f,
    0x446a8dfb,0x0099001f,0xf88007a8,0x2001aa00,0x0bd0006a,0xd8009500,
    0x0f67e603,0x000dfec0,0x1f1001f1,0x3ea00de8,0x2003f100,0x00d5004c,
    0x42e801d7,0x6cc2dffb,0x5d0fc02f,0x0000fd80,0x006b8036,0x86a8007c,
    0x3baa22f9,0x07c409ec,0xd5007c40,0x2003e200,0x001ea0f8,0x000eb880,
    0x1f1001f1,0x8800f500,0x20f8800f,0x807b00fd,0x3ea20de8,0x222f9805,
    0x509eceea,0x26006a8d,0x003d4007,0x0d5007c4,0x5000d500,0x4950003f,
    0x6403d800,0x7f4403ee,0x41cc1aac,0x0f8800f8,0x910576c4,0x0035403f,
    0x01aa00f3,0x45d003f3,0xeffeaafa,0x1f800dff,0x07f300be,0x41996400,
    0x83a000f8,0x7e41aa00,0xff53ffef,0x8800f889,0x401aa00f,0x0f8800f8,
    0x4c0000fa,0x3e200590,0x800f8800,0xf331007a,0x33333335,0x0fe21f33,
    0x22003f66,0x03ffeffd,0x3ffbff20,0x5aa9ff53,0x0099cd98,0x4037f331,
    0x999fb999,0x1f755300,0x4fdccccc,0x4ccc0999,0x09999fb9,0x0ffaef62,
    0x0fdee800,0x1339d310,0x4c07ff10,0xfffeffff,0x26624fed,0x999999af,
    0xf900f999,0x2039ffdf,0x0099cd98,0x9837f331,0x999fb999,0x26677609,
    0x2e999999,0x9aa985f1,0x7c1f1000,0x0006d801,0x36077f22,0xfbd5002e,
    0x2a035407,0xf998801a,0x9999999a,0x26660f99,0x09999fb9,0x266be662,
    0xf9999999,0x00001f50,0x22013bae,0x9999af99,0x00f99999,0x333f7333,
    0x3fffee01,0xffffffff,0x360b30ff,0x9a98000c,0x03550000,0x3fff2930,
    0xfffd03ff,0xfff303ff,0x20dfffff,0xf50ffffd,0xffffffff,0x7fffd4df,
    0x46ffffff,0x0001dedb,0x7fdc0198,0x7f703fff,0x2204dc40,0x7fdc0bba,
    0xffffffff,0x4c00ffff,0xfffc801a,0xfffd03ff,0x3ffea3ff,0x6fffffff,
    0x3ffffff6,0x022fffff,0x74688000,0x000d8800,0x07ae2000,0x24c00a80,
    0xfff70000,0xffffffff,0x3fea1fff,0xffffffff,0x3ffffee6,0xffffffff,
    0x0000310f,0x7ffdc000,0xffffffff,0xff980fff,0x06ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x75100000,0xaaa88013,
    0x000aaaaa,0x55555554,0x0000001a,0x02e60000,0x00000000,0x2e000000,
    0x01cccccc,0x0d407100,0x202880e0,0x0700a603,0x00d40144,0x002a6007,
    0x07000dc0,0x80000144,0x10000018,0x2aaaa001,0x0001aaaa,0x20000000,
    0x0000002a,0x00000000,0x400b9000,0x200001f8,0xdff9005c,0x774c03ff,
    0x01eeeeee,0x3bbbb620,0xe8803eee,0x0b900001,0x01ebcd80,0x1002e400,
    0x7c40003d,0xccca8001,0x10005dfd,0x02fc81bf,0x826c07e2,0x17dc0ee8,
    0x13603f10,0xdd10fee0,0x7fffd401,0xffb1000e,0x5c0ba007,0x00f98005,
    0xd1000bfa,0x017fe605,0xddddddb1,0x12dc007d,0x02e4003d,0x0075e740,
    0x00009b00,0xd1000390,0x07f60005,0x0005f900,0xdb003fb0,0x000fe443,
    0x00000000,0x200017e4,0x966001fd,0x3f600058,0x017e4001,0x0005f900,
    0x000f9cc8,0xdb13fb10,0xa81d9003,0x457ec00f,0x0ec802fd,0xf98007d4,
    0x200dfa8d,0x1fb30bfb,0xfa8df980,0x4c1fa805,0x27d4001f,0x9800ffa0,
    0x1ffee05f,0xfb800000,0x2200bd11,0x1d4001fd,0xdd100075,0x7d000001,
    0x005f9800,0x0000ee88,0x220007f7,0x0f9800ee,0x000009b0,0x2e000000,
    0xee88003f,0xd124c000,0x01dd1000,0x000fee00,0x20003fb8,0x80007d1f,
    0x1000dffb,0x07dfbdfb,0x003bfee0,0x77ef7ec4,0x7ff44003,0xd81fc403,
    0xd113ea05,0xdffc801d,0x7dc004ff,0x002fe803,0xed8809f5,0x70000002,
    0x003ba25f,0x20003ba2,0x1001262b,0x332601dd,0x66540ccc,0x2000fecc,
    0xe88004fa,0x7d40000d,0x06f44004,0x1ea04e80,0x6666665c,0x99995001,
    0x99999999,0x13ea0039,0x000de880,0x005b35d0,0x0000de88,0x500027d4,
    0x4d50009f,0x3980006b,0x03751000,0x20009300,0x40001ba8,0x205c801b,
    0x403501f9,0x0395000b,0x2005f900,0x3fa802fe,0x33260000,0xcccccccc,
    0xed8bea04,0x00de8800,0x3d35d100,0x202fc400,0x40ccdfc9,0x002dfcca,
    0x88001fd4,0x0a600003,0x4c007100,0x203e200f,0x5dfdccca,0x99f99300,
    0xd9999999,0x0014c007,0xb8800071,0x0388001d,0x000a6000,0x9b000530,
    0x00000fc4,0x00000000,0x00000000,0x7402f880,0x00000004,0xb0005400,
    0x0033005f,0xcccc9800,0x03ccccfd,0x200170a6,0xc8800038,0x01c4001c,
    0x0ba007d0,0x00006600,0x00000000,0xf00d5000,0x1f399003,0x4007c400,
    0x0000003d,0x00000000,0x00000000,0x83f10000,0x7510004d,0x00000035,
    0x000aba88,0x0004d54c,0x3004d54c,0x880d900f,0x4c001aba,0x00000aba,
    0x0000fec0,0x0d500000,0x00000000,0x00000000,0x0ba007d0,0x22000000,
    0x00001aba,0x5c800000,0x01ffec88,0x4007d1f8,0x03d800f8,0x00055d4c,
    0x0002aea6,0x00015753,0x80013553,0x80009ba9,0x40009aa9,0x4007a86b,
    0xfffeffd8,0x3ffee5aa,0x06fffb80,0xbffdffd7,0x77fdc099,0xf7004ffe,
    0x209ffddf,0x107b806a,0x5fffdffb,0xdffd70b5,0x00007ffd,0x003f9013,
    0x31002aa6,0x000d5000,0x80013753,0x00009ba9,0x55d44000,0xe801f400,
    0x80aa8802,0x7ec400a9,0x5aafffef,0x2e03ffee,0x7fdc6fff,0x6fffb80f,
    0x37fe626c,0x735401fa,0x007c400d,0x7ff5c1ec,0x5c03ffee,0x3ffeeffe,
    0x777ff5c0,0xff7003ff,0x3009ffdd,0x19ffddfd,0xfddff700,0x81f4009f,
    0x19f5002f,0x4c6ffb98,0xd73300f9,0x54437fb0,0x2ee885fd,0xd100eea8,
    0x81dd505d,0xa879805b,0x7fdcc0cf,0x220dec46,0xfff901fa,0x6fffec4b,
    0xffd03f20,0xdffdfd31,0x2001aa01,0x3fa6006a,0x400cffee,0xcffeefe9,
    0x80fffb80,0xd706fffb,0x99bffdff,0x0ba007d0,0x2ffefea8,0x207fdfd1,
    0x7dcc0cfa,0x807ccc6f,0xf9986b99,0xd8d73300,0x03f17a23,0x007e24d8,
    0x04c007c4,0xf5106f62,0x106f6203,0x2f6203f5,0x100fd441,0x1dd505dd,
    0xd302ff20,0x0bba203d,0xf3003baa,0x22017201,0x837d403f,0x2235400f,
    0x6c2f402f,0xdb05d806,0x05b8bb00,0x0fe20f88,0x7000df50,0xaae4cc0b,
    0x5c9b12df,0x7dfcc40f,0x203b660b,0x06a8007a,0xe9817f90,0x817f901e,
    0xf9981ee9,0xb0d73300,0x7ed4437f,0x5d003e85,0x3f505e40,0x10fea3bb,
    0x06fa807f,0x206a801f,0x3635400f,0x03f03ea3,0x01360fc4,0x01a607c4,
    0x0002dc00,0x2dc000b7,0x0bb00db0,0x06c803f5,0x80bb00db,0x999999ec,
    0x02ec00fa,0x801f06c8,0x2017c46a,0x4007d43a,0x007d42e8,0x00b71744,
    0x802ec1f1,0x0f88006c,0x81fdedc0,0x7fc41ee0,0xf707f102,0x500d5000,
    0xa86c803f,0xf036401f,0x7c46a801,0x1f42f402,0xd8002e80,0x363dc0ff,
    0x3e0d9005,0x1f035400,0x71ec6a80,0x35c03f0d,0x0f8803d4,0x880003d4,
    0x1f10000f,0x203e2000,0x2e8800fa,0x27400be2,0x3a2003ea,0x3ffffe02,
    0x403fffff,0x2031001f,0x6c35400f,0x136000af,0x026c5b80,0x402dcb70,
    0x4007e0f8,0x0f880018,0x800ffdc0,0x807f107b,0x000fb85c,0x0be20354,
    0x05f12740,0x007c13a0,0x805f11aa,0xd003e83a,0x0bf50005,0x800fc7f1,
    0xa801f018,0xd5003e06,0xf03e23d8,0x2f81f403,0xeeeef880,0xf100007e,
    0x03e20001,0x6c07c400,0x6a96e004,0x09b1ea00,0x9f982dc0,0xb9999999,
    0x0001e606,0x41aa007c,0x0acdeffc,0x99999bf0,0x8db99999,0xccccccdf,
    0x2e6dcccc,0x1e67a806,0x3fae2000,0x00fdefff,0xd5000fdc,0xd5003e20,
    0xa8001f90,0x50035406,0xf500354f,0x0d5003e0,0xe80015fb,0x0005d003,
    0x4d7605f5,0x01f00007,0x003e06a8,0x6ec3d8d5,0x07cc07e2,0xbf8805c8,
    0x1007caaa,0xbdffffd7,0x3fae201f,0x00fdefff,0xdffffd71,0x99bf01fb,
    0x99999999,0x100264db,0x6666fc1f,0xdccccccc,0x3e009906,0x0000d501,
    0x80d5003e,0x83ffeca9,0xeeeeeeef,0x7c6eeeee,0xeeeeeeee,0x1ea6eeee,
    0x006a9ae0,0x4d5ffcc0,0x400fca99,0x1018005b,0xc86a801f,0x0354001f,
    0x0f880132,0x07c40099,0x41aa007c,0x0acdeffc,0x17400fa0,0xddffb710,
    0x9555555f,0x40001aad,0xf035400f,0x2646a801,0x13ffff22,0x4ccccf64,
    0x7c400fa9,0x7cc03d40,0xca999abf,0xabff980f,0x80fca999,0x999abff9,
    0xeef80fca,0xeeeeeeee,0x000f66ee,0x77777c3f,0xeeeeeeee,0x9001f886,
    0x0001e609,0x01aa007c,0x3e8bf510,0x001f4000,0x5d801f30,0xf88001e6,
    0x2007c404,0x2200005b,0x6c35400f,0x0354001f,0x23f000f6,0x40fc003d,
    0x2035400f,0x03ffeca9,0x40ba007d,0xda9adffb,0xeeeeeeef,0x20000f35,
    0xf035400f,0x2dc6a801,0x3e035550,0xffffffff,0x207c403f,0x027c4048,
    0x09f103e2,0x27c40f88,0x0fa03e20,0x2004c800,0x000fa0f8,0x79801aa0,
    0x00003f10,0x046a801f,0x1720fa80,0x000b9000,0x93e017c4,0xf90001f8,
    0x400f8801,0x2200005b,0x6c35400f,0x0354002f,0x0f880132,0x07c40099,
    0x01aa007c,0x7b0bf510,0x3ee0be00,0x1001f501,0x1f00003f,0x03e06a80,
    0x006a8d50,0x26667e60,0x406b9999,0x64b000f8,0x207c400f,0x07c400fc,
    0x1f1003f2,0x54000b90,0xb91ea006,0x66cc4000,0xf3310099,0x400bb037,
    0x6401f808,0x2f801746,0x980007e6,0x1760001f,0x02ec1f98,0x20136110,
    0x02dc00f9,0x801f1000,0x002fe86a,0x01aa0354,0x801aa7a8,0xa801f07a,
    0x0fa80046,0x07cc025c,0x03f5026c,0x08801760,0x036401f8,0x446c803f,
    0x0990001f,0x0f8807e0,0x09b0f880,0x04d81f30,0x026c0f98,0x0fcc07cc,
    0x002f8800,0x001f989d,0x7fffff90,0x3fffffa0,0x5c017c41,0xb104c82f,
    0xb805e8df,0x4007dc0f,0x800fb849,0xd80fcc49,0xb802f885,0xfb80d52f,
    0x002dc00f,0x03e2072e,0x07fd0d50,0x7c406a80,0x7c49d002,0x3e09d002,
    0x0ba36401,0x03e617c0,0x816e0f70,0x5f1004fb,0x9905f700,0xc81bf620,
    0x90dfb104,0x03f1000b,0x0f881320,0x0d50f880,0x3540ffb8,0xd503fee0,
    0x700ffb80,0xa893001f,0xb836401f,0x0049800f,0x7d405b00,0x1ff4c40d,
    0x3aa22f98,0xdfd09ece,0x207f7103,0x6cc40bfc,0x817f904f,0xfc84fd98,
    0x5403f622,0x7f4c40df,0xb510e743,0x20135f7f,0x3fea005b,0x5400f887,
    0x4003fe86,0x01fa806a,0x00fd4364,0x104c81b2,0x805e8dfb,0x205e80fb,
    0x01f302f9,0x9301fff5,0x4c40dfa8,0x45f303fe,0x09eceea8,0x3aa22f98,
    0x3e209ece,0x0d507104,0x1f103cc0,0x6741f100,0x3eff6a21,0x8873a09a,
    0x09afbfda,0xfda8873a,0xfc809afb,0x27ecc40b,0x3a605fe4,0x02ff201e,
    0x0009fb31,0xfd100d10,0x019fffdf,0x3ffeffc8,0x32b69ff5,0x2efeeeff,
    0x7f7ff4c0,0x74c01dff,0x1dfffeff,0x3bfbfee0,0x77ff4400,0xe980cfff,
    0x88cffeef,0x26664fff,0x199999ec,0x4cc6ffa8,0x3d7301af,0x20006dc1,
    0x17f9006a,0xf901ee98,0x01ee9817,0xeea88be6,0x3dfd09ec,0x2207f710,
    0x17ea20de,0x77d41d90,0x7f911edf,0xffdffd10,0xffc8019f,0x9ff53ffe,
    0x3ffbff20,0xf989ff53,0x24fcaabe,0x0099cd98,0x4437f331,0x9999af99,
    0x20f99999,0xcffeefe9,0x264fff88,0x8cffeefe,0x3a64fff8,0x88cffeef,
    0xfd304fff,0x03bfffdf,0x7ff7ff4c,0xdffd3004,0x0003bfff,0x005c4740,
    0x00135551,0x44001aa8,0x4001aaa9,0x8000aaa8,0x2000aaa8,0x44000a98,
    0x98009aaa,0xff3001aa,0xffffffff,0x4c15301f,0x4c1fffff,0x8004ffff,
    0x99fb9999,0xffd30099,0xd3009ffd,0x009ffdff,0x4fffbff2,0xf95b4ffa,
    0x05dfdddf,0xffeffd88,0xffdf9003,0x3fbf6b37,0x5554401e,0x0d540009,
    0x00355000,0x0bdeec88,0x1fffffe4,0x1fffffe8,0xfffffff7,0x1fffffff,
    0x00035530,0x30003553,0x88000355,0x44000aaa,0x880009aa,0x00000aaa,
    0x0007db30,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffd40,0x406fffff,0x40009aa8,0x80009aa8,0x4c4001aa,0x98001aaa,
    0x5440009a,0x0015300a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01000000,0x01440700,0x20003510,0x39800039,0x00322000,0x44001530,
    0x5c053002,0x00a98000,0x5c400398,0xffffffec,0x05c03306,0x7fff5c40,
    0x0e6007ff,0x73000000,0x0d800000,0x301c0000,0x000d9805,0x01510530,
    0x00000aa0,0x03501510,0x9305edc0,0x0d40a205,0x26000100,0x0e00a882,
    0xf3000298,0x000007ff,0xdd71035c,0x07e2005b,0x3ae6026c,0x2002ffff,
    0x0000effa,0x8001dff5,0xb801efe9,0x201effff,0x01dffff9,0x1fb113ea,
    0x3fff6a00,0x3bfea04f,0x8cffb800,0x9f500ea6,0x4400ee88,0x200d00ce,
    0x4000effa,0x7fd4006a,0x7654000e,0x01b60cef,0x3a200b62,0x201fdc0e,
    0xf8000ee8,0x402fdc1f,0xc9804ffc,0x201dfffe,0x07fc44fc,0xeefdb880,
    0x87fb00df,0xfea806f9,0xf880e21e,0x8827e40f,0x01fdc0ee,0x807d5500,
    0x32004fe9,0xd88f202f,0xa81d9001,0x873ea00f,0xfc804fd9,0x4001fd8a,
    0x01fd8afc,0x0ff27f70,0xfb51cfd8,0x2a19f505,0x3ba600fd,0x8800ee98,
    0x40221bfd,0x01fd8afc,0x1d4d13f2,0x7cc6fcc0,0x403c800d,0xd8afc806,
    0x01aa001f,0x1fd8afc8,0x7359fb00,0x801f77fb,0x36000de8,0x4005fb2f,
    0x2e4001fd,0xdd10174c,0x3a01dd33,0xfda99adf,0xbb03d303,0x6ff64c00,
    0x20f5c02f,0x5fd403d8,0x05fbdfc9,0x0174c2e4,0x017ecbf6,0x74cccc40,
    0xfffd009c,0x403fb005,0x10059868,0x07dfbdfb,0x07ea01e8,0x1fdc1ee8,
    0x7dc1ee80,0x2a17e403,0x900fb84f,0xd703e81f,0x04ffd880,0x4003dd10,
    0x41fdc1ee,0x0ea687f8,0x01ffec40,0x405801d0,0x01fdc1ee,0x3dd006a8,
    0x3a203fb8,0x05ff500e,0x70005f98,0x90001dff,0x0000005f,0x7ec41bf3,
    0x3ee02f81,0x3a000001,0x003ee1cf,0x44088000,0x000003ec,0x001dff70,
    0xffffff10,0x3ffa0dff,0x0077402f,0x000740ea,0x00003751,0x2017027c,
    0x4c070029,0x38805c02,0x8fe204f8,0x4026c06a,0x0176002b,0xa82980e0,
    0x00ea683f,0x1d800370,0x5301c000,0x1c01aa00,0x02e40530,0xfa807fe2,
    0x024c0003,0x0000aa00,0x1a80a600,0x13e201f8,0x20180000,0x0000006c,
    0x00000000,0xd0000093,0x04fe9807,0x859800b8,0x00000068,0x0000b900,
    0x00000000,0x4d803f10,0x00d50132,0x000fb800,0x05f50000,0x00001d4d,
    0x0003b6a0,0x3f200000,0x26000002,0x366f401f,0x00000530,0x98000000,
    0x000009aa,0x00d90030,0x36020000,0x0aba9804,0x055d4c00,0x026ea600,
    0xa9800000,0x00003e81,0x77036000,0x09ba9800,0x007f0000,0x00000000,
    0xf0055d44,0x0f63e805,0x575301e0,0x0003f801,0x5004dd4c,0x01d4d09f,
    0x9be88000,0x4c0002ea,0xb88009aa,0x1ddfedef,0x002aea60,0x88ec809b,
    0x2000002f,0x00009ba9,0xddff7000,0x000009ff,0x7fddaa00,0x6fffb80f,
    0x77ffecc0,0xeb80f98c,0x03ffeeff,0x7f77ff5c,0xefe9803f,0x0000cffe,
    0x3fbff200,0x0007d0df,0x674c0000,0x3a6005eb,0x00cffeef,0xfb83ee00,
    0xfffb80ff,0x06ffff86,0x713fffea,0x9bffdffd,0x3e606c89,0x07e00f21,
    0xffddffd7,0x8001e607,0xcffeefe9,0x340ff880,0x1fff7075,0xc8dfff70,
    0x0006ec41,0x3ffbbfee,0x1033e204,0xffeb87fb,0x3e03ffee,0x4c87ea01,
    0xfe980000,0x200cffee,0x007ffffd,0xdd505dd1,0x3ffff601,0x23d80007,
    0x73300f99,0x4d67e40d,0x42ebfda9,0x7d441bd8,0x8837b101,0x2ff201fa,
    0x220f74c0,0xffffffff,0x83db06ff,0x003e8ed8,0x3ffffe20,0x206fffff,
    0x43ca80b9,0x774c0bfc,0x3f6a2001,0x300f9982,0x3bb10d73,0x41f99801,
    0x36a21bfd,0x205fcc5f,0x202dc5e9,0x06f622fc,0x8b503f51,0x5fe401a8,
    0x4c0f74c0,0x03a9a1ef,0x26601f33,0xea81dc6b,0x82ee8803,0x04d80eea,
    0x1bd88be2,0x7c40fd44,0x5b85f300,0x07ffffd8,0xe9817f90,0x7333101e,
    0x201b600f,0x7333105d,0x0fc8000f,0x835400f8,0x37ea01fc,0x005b8004,
    0x0fd416e0,0x35f11b20,0x5f733333,0xffb80bb0,0x2be20003,0xfb999999,
    0x33b6a002,0x3200fd42,0xffff8806,0x2a007c01,0x5400d506,0x3a017c47,
    0xecdfe985,0x301f984f,0x5b8009bf,0xfffb34c8,0x803f503f,0x9df9106c,
    0x03e01d4d,0x01e88d50,0x06d80bae,0x007cc5d8,0x0b70002a,0x213a20f3,
    0xb999886a,0x401fa807,0x00f3006c,0x5d1001f5,0x1000f300,0x03e03dd7,
    0x03f30d50,0x1000bf50,0x3e20001f,0xe8017c40,0x7c403e24,0xd800fa83,
    0x3332203f,0xf8807c42,0x676d4403,0x2005f101,0xeca8804e,0x5003e00d,
    0x3ae1e20d,0x0be22dc0,0x3ff60750,0x5d701ffe,0x005baf98,0x22ba07c4,
    0x45fb32ef,0x09d002f8,0x00ea6a88,0x886a801f,0x2136203e,0x2e8800fa,
    0x400001aa,0xd83540f8,0xf300f506,0xd002f880,0xb00f3009,0x402dc009,
    0x77d40079,0x2a007c02,0x36004c86,0x00f88007,0x6a81f100,0x2091ea00,
    0x007904e8,0xffb80fe2,0x9d10480f,0x073b6a20,0x7a801aa0,0x80f6c400,
    0xf035400f,0x1ec3fe83,0x100057ec,0x3f2617db,0xfd9df902,0xf10012e7,
    0x704ecd81,0xa801aa1f,0x01d4d007,0x40d5003e,0xb13201ec,0xb72dc009,
    0x3e200000,0x07dc3cc0,0x079806b8,0x0f500354,0x9bf00f30,0x99999999,
    0x0f300db9,0x1f006b80,0x02e86a80,0xd7103ee0,0x1fbdffff,0x3fffae20,
    0x2640fdef,0xd001f100,0xf001740b,0x01fff407,0x674417a0,0x09902881,
    0x40007c40,0xa801f05c,0xcf98f606,0xffc80fc5,0xdb00acde,0xb9817cc0,
    0x710f60ad,0xfbdffffd,0x2206fb81,0x4400993f,0x0ea6800f,0x06a801f0,
    0x0e806f4c,0x3333337e,0x26dccccc,0xd710007a,0x1fbdffff,0x07e60f88,
    0x079804c8,0x1f100264,0xef807980,0xeeeeeeee,0x79806eee,0xf802dc00,
    0x0fc35400,0xff98f300,0xfca999ab,0x9abff980,0x6c0fca99,0x200fc003,
    0x000fc06d,0x1bfe207d,0x3000db00,0x3d87d9bb,0x4000fc00,0x400f80f9,
    0xdc96e06a,0x801f10f8,0x43ffeca9,0x027402f8,0x7ff30f40,0x1f953335,
    0xaec01fa8,0x00fc003d,0x0f807534,0xea803540,0x3bbe1d83,0xeeeeeeee,
    0x00be26ee,0x3357ff30,0x7d01f953,0x07d00fe2,0x03d80f30,0x1e600fc0,
    0x00000fa0,0x031001e6,0x0d5003e0,0x135c005d,0x40f8809f,0x07c404f8,
    0x0f880132,0x5d003b20,0xfb81fc00,0x03b2002f,0x43903a00,0x03e2004c,
    0x07c17400,0x27981aa0,0x01aa7d2e,0x7a97ea20,0x4c007a80,0x8809f10f,
    0x5c034c0f,0x7c400995,0x00ea6800,0x006a801f,0x172e7722,0xfb80007d,
    0x3e237101,0x5c07c404,0x7d405e8e,0x64079800,0x003e2004,0x00b900f3,
    0x000f3000,0x2a007c00,0x36005d86,0xf1003f25,0x4400fc81,0x5003540f,
    0x4007dc0f,0x07f1003c,0xfb8017f6,0x98498000,0x7a801aa5,0x3e07e000,
    0xf1035400,0x65ae1f31,0x1f500084,0x01ee01ea,0x007e4bd0,0x007e03e2,
    0xa801aa99,0x01d4d007,0x00d5003e,0xb9037f70,0x59f90000,0x321df753,
    0x807c400f,0x03e806ee,0x06a80f30,0x1e601ea0,0x00007e60,0x00000f30,
    0x21b200fc,0x1f8800fa,0x03e60136,0x81f3009b,0x09d002f8,0x7d4007ea,
    0xf03fd800,0x07ea001f,0x26815c00,0x09d002f8,0x3e03ea00,0x3a036401,
    0x363e25ca,0x5f002e83,0x0bd00be6,0x09b07dc0,0x09b01f30,0x005f13e8,
    0x7534013a,0x36401f80,0xf301d800,0xfb500003,0x04d837df,0x7f900f98,
    0x30036c40,0x002f880f,0x00f3009d,0x126003ee,0xc9801e60,0x104c802c,
    0x07f20dfb,0x03545e88,0x0d503fee,0xfa80ffb8,0xfa836401,0x01761602,
    0x7f307ff7,0x580bea00,0x224c2cc0,0x436401fa,0x81fc402c,0x0dfb104c,
    0x5ec2ecc8,0xb805e81f,0xfa81b60f,0xa85f9001,0x407fdc06,0xa8f501e8,
    0x0036401f,0x13201d4d,0x0d437ec4,0x0fb80ae0,0x35404980,0xffb80d50,
    0x0cfcf980,0x80037aa2,0x01fa8079,0x07980364,0x3102ff20,0x0f3009fb,
    0x00ffff40,0xeea88be6,0x7ec409ec,0x03baa20a,0xfda8873a,0x33a09afb,
    0x3eff6a21,0x05fe409a,0x3e607ba6,0x3603e202,0x7476c42e,0x9800409c,
    0x003e202f,0x640ec43b,0x0f74c0bf,0x2e04efdc,0x88be605f,0x009eceea,
    0x7fb81ff5,0x7103dfd0,0x41df887f,0x510444fb,0x873a03dd,0x9afbfda8,
    0xf70e7cc0,0x9817f905,0xa9a001ee,0x5117cc03,0x5c13d9dd,0x3200f402,
    0x7ecc40bf,0x3a035404,0x2ff6a21c,0x27f109af,0x4ffeffe9,0x90079800,
    0x1ee9817f,0xfb999988,0x30099999,0xbfffdffd,0x73333103,0x0133333f,
    0x9001fffd,0x2a7ffdff,0xdff704ff,0x74c07ffd,0x88cffeef,0x3fa64fff,
    0xf88cffee,0xffe984ff,0xbf104ffe,0x33333333,0x3bff201f,0xdffd0dff,
    0x33bf1000,0x1f333333,0x2edec880,0x3fbffa60,0x7fe4404f,0xc802ffee,
    0xf53ffeff,0x217e609f,0xf95b05f8,0x05dfdddf,0x3ffbff62,0xeffefc82,
    0x3bfa600c,0xff88cffe,0xfefea84f,0x3ffa602f,0x68004ffe,0x3ff200ea,
    0x9ff53ffe,0x04da815c,0xffdffd30,0x0d5003bf,0xffeefe98,0x94fff88c,
    0x0035510b,0x3ee66662,0x98099999,0x04ffeffe,0x3ffffffe,0x404fffff,
    0x7c00aaa8,0xffffffff,0xaa884fff,0x00d54000,0x00355300,0x4000d54c,
    0x20001aa9,0x2a009aa8,0xffffffff,0x54c00fff,0xfa800001,0xffffffff,
    0x031000ff,0x004d5440,0x0006aa20,0x000006aa,0xaaa98800,0x03551001,
    0x98001a88,0x220001aa,0x2aa2001a,0xfff90009,0x01bffa5f,0x7dc006aa,
    0x03dfffff,0x00aaa880,0xa9802cc0,0x0001001a,0x7fffffc0,0x04ffffff,
    0x00026aa2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0x000002de,
    0x01aba880,0xe803b500,0xffffffff,0x7014c6ff,0x01362001,0xff700000,
    0x1dffffff,0x0fffcc00,0x400003db,0x31000008,0x05100003,0x000000cc,
    0x00002660,0xaaaaa800,0xaaaaaaaa,0x000880aa,0x00000800,0xaa980000,
    0x4402a000,0x00000003,0x0d54c000,0x017aa000,0x035004c0,0x0000001c,
    0xfd79fd00,0x7edcc009,0x6c40e2de,0xaafffeff,0x05ff8805,0x55555674,
    0x7d46daaa,0x8007ec44,0x4c002ffb,0x90ceffdb,0x2aaabae0,0xa8001aaa,
    0x07ff31fa,0xc980db71,0x440000fe,0x002eccfd,0x1ec03e20,0x5f7ee440,
    0xfffb1001,0xb73001bf,0x88059dfd,0x9999999b,0x1a999999,0x0001fd93,
    0x10f7f540,0x3b2a2807,0x7f403def,0xffefe98f,0x42fc800e,0xfeb805f9,
    0xcc870cef,0x37fb2a0c,0x98ffc80b,0x01effefe,0x07fe4011,0x6c4bfff9,
    0xfb80dfff,0xa8037443,0xc81bdfec,0x5413fa61,0xd802fa86,0xdfca9bdf,
    0x067d40f9,0x401bfee6,0x016c03fe,0x4774c2e4,0x26000ee9,0x3f6000ff,
    0xcfeca9bd,0x0005b80f,0x0fa87e00,0x0dbdfd71,0x0001f1a8,0x00344288,
    0x1f703720,0xa9bdfa80,0x6fcc06fc,0x01feb88a,0x54c2afb2,0x005101ed,
    0x0f8d4620,0x37f50000,0x80bf7bf9,0xb9bdfdaf,0xf3100dfc,0x76cc17f7,
    0xf74fb800,0xbdfe8807,0x5c7dfec9,0xbefd88fc,0xf9886eb9,0x1b6a0bfb,
    0x216e0264,0x5bf55c99,0xafd41362,0xfd8804fa,0x42fdb9ac,0x0bfffa3e,
    0x202f40ba,0xff9100dd,0x2a01fc41,0x2002006f,0x2205f000,0x10004ffd,
    0x201fc800,0x05b80fe9,0xb87e0000,0x3546faa5,0x00001f00,0x880007a0,
    0x02efdefd,0x5e8817dc,0x7e409f10,0x54027440,0x0002883f,0x0001f031,
    0x7d910220,0x201bff00,0xff100fe8,0x400fe205,0xd802ffe9,0x10ff500e,
    0xd101dd5f,0x205ff109,0x204c81f8,0x2f6e01e8,0x7440103f,0xee8803ff,
    0x3ea5f500,0x10bfffa0,0xc81ae01f,0x6c1fd006,0x000d9005,0x01f30000,
    0x000002b8,0xf5003f90,0x0000b701,0x801d0fc0,0x003e006a,0x05c98800,
    0x03751000,0x7b003f30,0x3f880d70,0x44044174,0x8001442e,0x0000f818,
    0x17e00000,0x7c417a20,0x1002e403,0x05f30019,0xdff887d8,0xf107e600,
    0x4c85c805,0xff7006a0,0x01c80003,0x9f300b90,0x84fe989f,0x20b900f8,
    0x1f5001f9,0x018800fc,0x0009aa98,0x00002e40,0x80357510,0x416002f8,
    0xa980005b,0x2a000fc1,0x0003e006,0x1ffb0191,0x00012600,0x5f3004e8,
    0x25d801b8,0x666f444b,0x2883a649,0x1f031000,0x4c03a800,0x5f0009ba,
    0x220be200,0x0035400f,0x9806b800,0xd005f887,0x5400f887,0x40004c86,
    0x000001fb,0x64007e60,0x0f88003f,0x0b701fb8,0x001e6380,0xfeeffb80,
    0x0fa0004f,0x3f620000,0x5aafffef,0xb8000354,0x20026a65,0xf2ffeff9,
    0x006a8003,0x5fb8003e,0x3200fd40,0xf500004f,0x0026c001,0x441d35c8,
    0x92e3dc0d,0x03100028,0x3f62001f,0xfddfd302,0x0018019f,0x007c42f4,
    0xaa9801aa,0x08035400,0x99000f88,0xb5400f88,0xfffffffb,0x5c00ffff,
    0x13000005,0x7c4009b0,0x10f88001,0x1ec07ffb,0x000d5000,0xd505dd10,
    0x0f88001d,0x07ffffd8,0xb9819f50,0x002646ff,0xfffdeb80,0x0fea04ff,
    0x8003f5f5,0x003e006a,0x6400bfa2,0x203dd304,0x407ffffd,0x034c005c,
    0xb8773e80,0x22788b02,0xf0310002,0x01bf7001,0xdd302ff2,0x35c00003,
    0x1aa007c4,0x3fa63ffa,0xf100effe,0x03e20005,0x03e22640,0x6ecccd50,
    0x00999999,0x7e4005b8,0x3ff625ff,0x0007e0df,0x1f10007b,0xf817f6dc,
    0x01e60001,0x3601b600,0x8835c005,0x8807b999,0x237d403f,0xf700002e,
    0x0774c37b,0x1ffa81f4,0xf0035400,0x00dfb801,0x9f910f20,0x7b999880,
    0x22001ec0,0x90eb8007,0x87400585,0x03100028,0x17f4401f,0x6c803f50,
    0x03e60000,0x86a801f1,0x20bfbf98,0x7f700ed9,0x00f88001,0x00f88b70,
    0x00264354,0x260016e0,0x25bf55c9,0x001f14d8,0xf88004b8,0xf889f500,
    0x07e20000,0x800fa800,0x0f6002e8,0x2ec03cc0,0x00fc6c80,0x89d00000,
    0x00fec06b,0x33101aa0,0xfe98135f,0x5c46f602,0x000f7d46,0x00ba03cc,
    0xfa8007e0,0x004883a1,0x000288ec,0x2be66231,0x006fdc09,0x13a005f1,
    0xdddddddd,0xfddddddd,0x5400f881,0x205ff106,0x3f6603f8,0x7c401bde,
    0xf88b7000,0x26435400,0x0016e000,0x103fbdb8,0x1aa001e6,0x8803e200,
    0x0003e22f,0x04400bb0,0x02dc009b,0xf3000f88,0x22003f00,0x00000fc1,
    0x1ec1f300,0x50007e60,0xeeeec80d,0x419f90de,0x6f6dc1ed,0xdb0ff622,
    0xf80f3001,0x002e8002,0x220f85f5,0x28964004,0x3b231000,0xe98deeee,
    0x1ceeb8af,0x47a801aa,0xaaaaaacf,0xfbaaaaaa,0x2a007c40,0xc807f106,
    0xffb73005,0x4003e207,0x2007c44b,0x0004c86a,0xf70002dc,0x00d5003f,
    0x072a0f50,0x8f5003e2,0x7c40001f,0x3e2fb802,0xcccccccd,0x5006dccc,
    0x203cc00d,0x0fc00079,0xeeeeed88,0x43f0001e,0x00fc402f,0x98001aa0,
    0x0f6dc1ee,0x640dfa80,0x079800fc,0x07c001f4,0x0ec17d40,0x223d001a,
    0x00310002,0x98ba19f9,0x4400990e,0x2000be0f,0x007c40f8,0x007c41aa,
    0x7d4001aa,0x7000f884,0x5400f889,0x40004c86,0x3ee0005b,0x000f3001,
    0x3fff90b7,0x1f800f88,0x2a0000ba,0x7f4c40df,0x777777c3,0x6eeeeeee,
    0x4c009b00,0x00035407,0xaaaa80ba,0xd0000bfb,0x0fc00fc5,0x2001aa00,
    0x8e984fc8,0x1fec401e,0x9800fb4c,0x20026407,0x02fa8078,0x0102c879,
    0x8800144f,0x987ba601,0x007b4b83,0x000f61f8,0x35f331aa,0x1027ae60,
    0x006a801f,0x1f107e20,0xf9893200,0x321aa00a,0xc9998004,0x0199999e,
    0x3e2005b8,0x7c1e4000,0x07c43fff,0x009b1f40,0x3bffa200,0x3e80cfff,
    0x03f00000,0x1e603cc0,0x4007b000,0x3e0000f8,0x3f100be2,0x4006a800,
    0x25d01efa,0x037ee01e,0x9800f8f4,0x20035c07,0x017dc05b,0x598390b5,
    0x000512cc,0x13f22062,0x00993d80,0x00b907c4,0x7ffccb90,0x7ffcc1ff,
    0x2007c44f,0x3600086a,0xc8007c43,0x1fffff14,0x01321aa0,0xffffff30,
    0x801fffff,0x0174005b,0x3ff207a0,0x4007c40f,0x0003e63e,0x09aea880,
    0x00001720,0x0f3001ea,0x20001f88,0x03e2006b,0x7b07c400,0x4001f980,
    0x0ff2006a,0x7407a5b8,0x0f93202f,0x7c407980,0xb80fe002,0x442d802f,
    0x220ccbed,0x4000a21e,0x00f7cc18,0x00354b70,0x001f98f5,0x00000be2,
    0x1aa007c4,0x172001f1,0x0f2001f1,0x26435400,0x20000000,0x035c005b,
    0x2a601f50,0x0720f880,0x005d85f1,0x01d100b2,0x00003f30,0x3cc004c8,
    0x11002ec0,0xf8801f44,0x46b80040,0x00fec06b,0x0b801aa0,0x81e83a60,
    0x83a600b8,0x8079800f,0x01d7006b,0x7c4007f2,0x11320300,0x30620005,
    0x445c8007,0x909d002f,0x002ec00d,0x3e200151,0x3e635400,0xf887d004,
    0x0005d000,0x00172172,0x20002a20,0x03e8005b,0x220007d0,0x1f51320f,
    0x6c405e88,0x075c400f,0x4c007dc0,0x4001f804,0x02f88079,0x17cc2fb8,
    0x37a07c40,0x3a0be600,0x003ff503,0x200006a8,0x0cfccced,0xcccee800,
    0x03cc00cf,0x3ea00de8,0x8003f900,0x6c8801ea,0x31000288,0x826c4000,
    0x036401fa,0x0fc801bd,0x003ae200,0x8d5003e2,0x7dc01ff9,0x4c007c40,
    0x213a0006,0x200400fb,0x5c001eb8,0x03fa8005,0x7fec1362,0x8be6621f,
    0x209d10f9,0x2a20aee8,0x42e200de,0x17f9002c,0x404fd988,0x07980079,
    0x9881bf50,0x3bf503fe,0xd303f6a0,0x27dc415f,0x4fd43fa8,0x1aa001af,
    0x99988000,0x310002e9,0x3005f333,0x2bb6200f,0x6c07f220,0x4c14400e,
    0x07d500ce,0x0c4000a2,0x403e8800,0x774c0bfc,0x02bb6201,0x4c001dd3,
    0x1f100590,0x6fcc6a80,0x42fc882e,0x8620af98,0xf90003d8,0x881bf101,
    0x21100fda,0x02dc002b,0x220cfa80,0x3fee05e9,0x3fffee0f,0x017fbf22,
    0xffddff91,0x13fb2007,0xfdffd300,0x97003bff,0xb9999880,0x8099999f,
    0xfffeffe8,0x7fec400c,0x00cffeef,0x3ffbffae,0x7f7fcc02,0x107fff1f,
    0x33d73333,0x40000133,0x3e00001e,0x5ccccc40,0x0099999f,0x39ffdff9,
    0x2666bea0,0x06c99999,0x3fb77fb2,0x000a201d,0x754000c4,0x7f4c0c41,
    0x2004ffef,0x3ffeeffb,0x04eeb800,0x301af998,0x55a213d7,0x1effeeff,
    0x266fffe8,0x800cfeff,0x02fecaa9,0x3ffbbf66,0x3faa01ce,0xd9333005,
    0x00333333,0x7dfdffd3,0x03ffd401,0x2000d440,0x00000aa9,0x0aaa8800,
    0xfff80000,0xffffffff,0x2aaa204f,0xaa980009,0x5544001a,0x00d4c001,
    0x3ffffea0,0x006fffff,0x01efeb80,0x077f6400,0xffffffff,0x9809ffff,
    0xfffa801a,0xffffffff,0x00a98806,0x55555910,0x55555555,0xddd00037,
    0x440bdddd,0x100009aa,0x00000355,0x3ffffe60,0x27fffcc1,0x00355530,
    0x00055440,0x0019bdd9,0x00004d4c,0xfffff980,0x00ffffff,0x20015510,
    0x00006ff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x017fe200,0x20015751,
    0x004002a8,0x00000000,0xfff30000,0x06ea2007,0x0ab98800,0x00000000,
    0x44015510,0x00003fff,0x0fee01e4,0xcccb8000,0x2201cccc,0xcccccccb,
    0x000a2000,0x3333332e,0x2aa6001c,0xfffc8009,0x665c006f,0x801ccccc,
    0x66540008,0x66643ccc,0x2a0ccccc,0x00000fff,0x00100000,0xddddb500,
    0x00ed4059,0x00000008,0x9bffff20,0x81ffc2fc,0xdffeffeb,0xbfff104c,
    0x41bff700,0xffffc829,0x4ffff981,0xf701fff7,0x54000dff,0x7ec403ea,
    0xff73ffef,0xdff9103f,0x3ffa3dff,0x7f6dcc06,0x7fcc02ce,0xfddff73f,
    0x0faaa07d,0x80df0000,0x100005fe,0xdddddddb,0x7776cc07,0x2002eeee,
    0x76c4006a,0x03eeeeee,0xffeeffb8,0x65554404,0x7776c006,0xc803eeee,
    0x7e654004,0x666643cd,0x5d40ccee,0xff30000f,0xdfff301f,0x43dfd500,
    0x7bfb0038,0x7c059975,0x7fe4406f,0xd8800d43,0xa8802dff,0x17fe6caa,
    0x37fb05fd,0x982fed44,0x75c06fff,0x3fccfd9a,0x2019fb88,0x2660bf99,
    0x0d73300f,0x4c07d000,0x5e7540df,0x1ef9819e,0x4e757e44,0x42afb200,
    0x2201eda9,0xa82fcbe9,0x000f604f,0xd980df00,0x00000002,0xd5000000,
    0x88000000,0x0eea82ee,0x0000d500,0x00099000,0x04c800fc,0x26667ea6,
    0x03e66001,0x2a035cc4,0xfbdfc9bf,0x001fb805,0xde809fb0,0x1febfea9,
    0xb9bef880,0x3354003f,0x441fd85b,0x702f402f,0x980803bb,0x01f402dc,
    0x00f8835c,0x74000354,0xfd013a03,0x2a02f40b,0x13a203ff,0xfb00fea0,
    0x827c401d,0x6c00003d,0x0003cc05,0x00000000,0x0000d500,0xd806d800,
    0x000d5005,0x00990000,0x4c800fc0,0xffffffb0,0x0f8005ff,0x02203540,
    0x36007d91,0x40040005,0x001dda80,0x001d30db,0xf70f3354,0x3a805f10,
    0x00000000,0x205f00f5,0x035400f8,0x6c81f400,0xd705f980,0x407f9001,
    0x0ba2002e,0xf9801fd8,0x00003d80,0x0001c800,0x01375300,0x00aba980,
    0x00006a80,0x2003ea00,0x06a802e8,0x01355300,0xf0002640,0x98132003,
    0x009999fa,0x35400f80,0x3e800000,0x00000000,0x0000fe00,0x8003b354,
    0x00000afd,0x7d000000,0x1f1035c0,0x53006a80,0x0fa07d03,0x03d82ec0,
    0x52e07f10,0x0bdeeed8,0x06d8074c,0x10f60ba0,0x00000355,0x002aa600,
    0x7ff77f4c,0x3ffae00c,0x4003ffee,0xfffb806a,0x86fffb80,0x016e004d,
    0xff7001aa,0x5c09ffdd,0xffffffff,0x07e00fff,0x3e202640,0x8006ae20,
    0x0035400f,0xe8002aa6,0x00000003,0x001f1000,0x0001aa00,0x2b37bff2,
    0xffb80000,0x6fffb80f,0x02e81ea0,0x0d5003e2,0xdffeffc8,0x007e07d0,
    0x001f82e4,0xb03a60fe,0x825c0d98,0x2132004d,0xfddfd53d,0x2000005f,
    0xefe98ffe,0x3f200eff,0x40f74c0b,0x7d441bd8,0x401aa001,0x73300f99,
    0x9999bf0d,0xdb999999,0x8044d500,0xeea82ee8,0x33bb3300,0xf8013333,
    0x88099001,0xffefe98f,0x400f800e,0x31ffd06a,0x01dffdfd,0x007ffff1,
    0x3fffffe2,0xfd86ffff,0x7c007fff,0x0d500001,0x20f33220,0x03ffeca9,
    0x3e6600a8,0x80d73300,0x4406b83e,0xb035400f,0xe8ed883d,0x2e003f03,
    0x74003f05,0x88583b83,0x04d83c44,0x2af61320,0x13ee20bf,0x03ffffec,
    0x0bfbf988,0x3ea03b66,0x80036401,0xaaaa985b,0xaaaaafca,0x5400f80a,
    0xeeeeef86,0x6eeeeeee,0x09f76a80,0x017601b6,0x0fc00099,0x7c404c80,
    0x036d43fb,0x41aa007c,0x20bfbf98,0x99880ed9,0x35f1003e,0x5f733333,
    0x0f733310,0x00003e80,0x3fee00d5,0x5fa8801f,0x07c01f40,0x0d501aa0,
    0x00f8807d,0x405d8354,0x05d03ffb,0x01ec1760,0x82c83f88,0x80e84985,
    0x20f6005d,0x3e601fed,0x7b999883,0x40bfe200,0x017c43f8,0xf88004e8,
    0x777775c0,0xdeeeeefe,0x35400f80,0x400001f4,0xf502fefa,0x405d1001,
    0x07e0004c,0x3e202640,0x803f101f,0x1035400f,0x0fe205ff,0x3e2007d0,
    0x2007f100,0x02dc0079,0xd006a800,0x54002bff,0x007d100f,0x806a801f,
    0x2201aa3e,0x5435400f,0x03fd800f,0x0bf100b9,0x1fdc01b2,0xb712c074,
    0x1fb03b01,0xfb03f300,0x801f7007,0x0fe2007a,0x006a8b90,0x3e2001ea,
    0x800d5000,0x6435400f,0x6c400005,0x013600cf,0x6ccc45b8,0x0009999d,
    0x0132003f,0x04c805f1,0x81aa007c,0x02e403f8,0x104800fa,0x03cc009d,
    0x777f776c,0x0d50004e,0x3a3fff10,0xc885f002,0x00f801ef,0xd3540354,
    0x803f1007,0x1003c86c,0x00fe207f,0x13a20bfb,0x1f07ff30,0x409dddb0,
    0x806fd82c,0x400db04e,0x003d402e,0x46a801f1,0x03e2004c,0xdffffd71,
    0x1aa001fb,0x6a801f00,0x80001f98,0xf806efc8,0xcccccccd,0x7f46dccc,
    0x6fffffff,0x32003f00,0x2007c404,0x200fc06b,0x003e206c,0x003e80d5,
    0x4c005e80,0xfaaaa807,0x50001aac,0x4bff500d,0x20fb805e,0x3e001dfa,
    0xe8035400,0x9f1007ab,0x3a1bf620,0xa80fe002,0x5bdd884f,0x2e037e60,
    0x81d83ebf,0x81e81645,0xe981edcd,0x400bb00e,0x003d404d,0x46a801f1,
    0x30fc003d,0x533357ff,0x1aa001f9,0x6a801f00,0x93001f70,0x0d53df10,
    0xddddddf0,0x0ddddddd,0x3f000264,0xf1013200,0x6406b801,0x40dfb104,
    0x035400f8,0xdb0000fa,0x000f3000,0xd500005d,0x741ff900,0x3fb881ef,
    0x3e000fe6,0xa8035400,0xff1003ee,0x76775445,0xe8007e09,0x66ff4c03,
    0x880b75fe,0x2ffdcefe,0x0b07907d,0x4f60f03b,0x4feddefc,0xb7001ec0,
    0x22007a80,0x3235400f,0x443e2004,0x007c404f,0x07c006a8,0xbfc81aa0,
    0x827ecc40,0x0fa01aa1,0x004c8000,0x904a87e0,0x400f8809,0x117cc06b,
    0x203d9dd5,0x035400f8,0xec8000fa,0x00798000,0xa80002e8,0x6c4ff806,
    0xfeeeffca,0x8002e42e,0x0035400f,0x6fc400fd,0xf53ffeff,0xf001749f,
    0x2b2ea007,0x5cc016e0,0x541f41bc,0x4c588585,0x65447b05,0x05d800ac,
    0x0f501360,0x2a007c40,0xf5003546,0x3e2007e4,0x800d5000,0x2035400f,
    0xfffeffe9,0x00d5001d,0x640000b9,0xc87e0004,0xf8807b05,0x64035c00,
    0xf53ffeff,0x801f105f,0x001f406a,0x30000fb8,0x003f000f,0xf980d500,
    0x3ae6200f,0x0005f01a,0x00d5003e,0x1f1001f4,0x1e4006aa,0x0003f880,
    0xd00005b8,0x7644b607,0x744edc2c,0x00007b01,0x017400db,0x0f8801ea,
    0x0be23540,0x009b2740,0x1aa001f3,0x6c803f00,0x015bd100,0xf300d500,
    0x17200003,0x1721f800,0x03e20174,0x2a600d70,0x8806e41a,0x2035400f,
    0x1fa8003e,0x001e6000,0x2a0000f3,0x801fd406,0x013a00e8,0xd9007e02,
    0x1001ea00,0x3ea0001f,0x003fd800,0x00004c80,0x4c3e207d,0x09918099,
    0x6c0001ec,0x00fb803f,0x1f1003d4,0x1fa86a80,0x01aa3640,0x26001ff7,
    0x88264005,0x0b1006fd,0x7006a800,0x4093001f,0xf80400fb,0x07e61ae1,
    0x6b801f10,0x200e8000,0x035400f8,0x5f5000fa,0x03cc02c0,0x00e01720,
    0x005101aa,0xfc8075c4,0x1321e600,0xe8037ec4,0x007c4003,0xfb80bb00,
    0x7440003f,0x07d00002,0x64400f54,0x0001ec06,0xf300ff6c,0x400f5005,
    0x835400f8,0x774c0bfc,0x2a21ce81,0x009afbfd,0x22f98000,0x09eceea8,
    0x200024c0,0x2ff2006a,0x027ecc40,0xda8839f1,0x35f3310f,0x2f4c37a1,
    0x2e007c40,0x20e80006,0x2a007c40,0x3001f406,0x007c405f,0x1f8801e6,
    0x35403cc0,0x90b88000,0xb813e205,0x2a22f987,0x2009ecee,0x7c4000fa,
    0x176c0000,0x273a3b62,0x01dd0000,0x300fa000,0x0faa019d,0x98000f60,
    0x20bfabe9,0xf5004fb8,0x06be6600,0x4c04f5cc,0x04ffeffe,0x3ffbbfa6,
    0x14fff88c,0x33333333,0x64033333,0xf53ffeff,0xdbbb009f,0xb9999980,
    0x0099999f,0xfffdffd3,0xffb3003b,0x6c39dffd,0xd16fffff,0x8801bfdf,
    0xd73009fa,0x7d400013,0x2be663fd,0x413d7301,0x099be999,0x26677e20,
    0x20f99999,0x9fb99998,0x75409999,0x9999999e,0x4cccc4e9,0x99999fb9,
    0x4fec8000,0x55677cc0,0xff904ffc,0x3fea7ffd,0xbd555514,0x07c40055,
    0x77fe4000,0xdffd0dff,0x6d5554c0,0x260000ef,0x02adeaaa,0x7f6eff64,
    0x6f55401d,0xf1000aaa,0x3bfaa7ff,0x33102ffe,0x3333f733,0x7fffcc13,
    0x7fffcc1f,0x026aa204,0x800d54c0,0xfffffffd,0x01ffffff,0x40000d54,
    0x7ffc4019,0xffffffff,0x5554404f,0x26a60000,0x0d4c0000,0x7ffffc40,
    0x2ffffd40,0x982a2000,0x4c1fffff,0xff54ffff,0x01dfffff,0x3fffffea,
    0x3e0fffff,0xffffffff,0x3fe64fff,0xffffffff,0x3ffe20cf,0xffffffff,
    0x8000004f,0x0aceedb8,0xb801aa80,0xdeeeeeee,0x00016000,0x40003530,
    0x03deeeeb,0xeeeeb800,0x531005ee,0x3bb62001,0x0001eeee,0xf8035510,
    0xffffffff,0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x037fffe4,0x002981a8,0xb5006fe8,
    0xc839bddd,0x8006ffff,0xcccccccb,0x3332a3cc,0x6665c1cc,0x001980cc,
    0x0007ffdc,0x000bffd0,0x20399993,0xca83cccc,0x9bcccccc,0x66665c00,
    0x65c03ccc,0xcccccccc,0x9931cccc,0x64419999,0x08804ccc,0x16666540,
    0x8873332e,0x99003ccc,0xccb98079,0xcccccccc,0x66666642,0x664403cc,
    0x3332e04c,0x999930cc,0x99999999,0x6665c199,0xb803cccc,0x3ccccccc,
    0xccccc980,0x99300bcc,0xccca8399,0xcccca80c,0x2009bccc,0xccccccc8,
    0x53000acc,0x99700157,0x99999999,0x55103999,0xdf500d95,0x5c005fd0,
    0xdfc806ce,0x443ccbab,0x8006caaa,0xdfccccca,0x37f2a3cc,0x7e65c1cc,
    0x004c80cd,0x0007dd44,0x000bb530,0x2039df93,0xc983dfcb,0xfdccccef,
    0x3732e03f,0x7403cccf,0xcfdccccd,0x932fcccc,0x441999f9,0x2a03efdc,
    0x9506dffe,0xdcb8599f,0x3bb220cf,0x6ffd400f,0x9bffb103,0xd99999dd,
    0xcfdccb89,0x664402cc,0xf99703fe,0x3f32619b,0xcccccccd,0x332e1fcc,
    0x803cccfd,0xcccfdccb,0xdd507fa3,0x03bddddd,0x50333f26,0x93019fb9,
    0xfb9999df,0x3b32207f,0xffdcccce,0xddffd703,0xcde807ff,0xcccfdccc,
    0x6a802fcc,0xeb83d880,0xd53f1000,0x0001f880,0xf80001aa,0xe801f401,
    0x40013202,0xc80000f8,0x03ea0005,0x07b00d90,0x3cc02fd4,0x1aa0ba00,
    0x803e2174,0x5fd405e8,0x3e202d98,0x7b035c00,0x2ebe807d,0x3d81bf30,
    0x03cc0990,0x801fdb00,0x2007e03d,0x00f301f8,0xff107980,0xf8800007,
    0x6c035c00,0xb017ea03,0x113ee207,0x1fa8837b,0x41aa0ba0,0x006a802e,
    0xaaec0000,0x0002e406,0xf80001aa,0xe801f401,0x40013202,0xc80000f8,
    0x02ec0005,0x07b003f3,0x3cc03e88,0x1aa0ba00,0x403e2174,0x03e804f9,
    0x2e007c40,0x81eaf606,0xf882e8f9,0x13207b04,0x36000798,0x01ec05db,
    0x03f1003f,0xf30001e6,0x00007cc0,0xd7003e20,0xe8807b00,0xf500f603,
    0x205b8003,0x5d06a82e,0x0000d500,0x6a87cc00,0x20001f40,0x3e00006a,
    0xe801f401,0x40013202,0xc80000f8,0x1fc40005,0x07b003e8,0x3cc01f50,
    0x1aa0ba00,0x203e2174,0x0f8803fa,0x2007c400,0x174f606b,0xd905d4c8,
    0x04c81ec0,0xbd8001e6,0x80f601f8,0x01f8801f,0x798000f3,0x000012e0,
    0xdddddfd9,0x07dfdddd,0x07d401ec,0x04e803d8,0x2e807c40,0x005d06a8,
    0x000000d5,0xe80d5274,0x03540003,0xe803f000,0xfc85d003,0xffffffff,
    0x41f101ff,0x32000ab9,0x0fa80005,0x07b00364,0x07981360,0x83541740,
    0x2e07c42e,0x007e002f,0x6b801f10,0x4435cf60,0x1f885d1f,0x01dc0f60,
    0x9ec000f3,0xf80f606b,0x3cc05001,0x581e6000,0x1fffff60,0x2aafee60,
    0xaecaaaaa,0x6c00f601,0xb7007b04,0xd00f8800,0x0ba0d505,0x7ec01aa0,
    0x2a007fff,0xff51aa0f,0xffffffff,0x00d5001f,0x3a00fc00,0x9885d003,
    0x99999dd9,0x263e2019,0x00effeff,0x7ffcc5c8,0x32ec01ff,0x01ec003f,
    0x01e606a8,0x20d50150,0xf707c40b,0x005c8003,0x1ae007c4,0xb83f13d8,
    0x80f50ba5,0x79800a3d,0x1ec00faa,0xf80f607d,0x26003c41,0x9800db87,
    0x33310007,0x03e200f7,0x07b00d70,0x01ec1aa0,0x3fae226c,0x00fdefff,
    0x320d5039,0x1006a800,0x200f7333,0x4c3542f8,0x9999be99,0x00d50009,
    0x3a00fc00,0x6405d003,0xf7f10004,0x0076d417,0x273ee172,0x7d2f8801,
    0x3003d800,0x0003cc0f,0x3e2006a8,0x10003f90,0x07c4003f,0x23d81ae0,
    0x85d17c5c,0x3f1ec05b,0x3f67e600,0xfa8f6003,0x07e03d80,0x479800f3,
    0x79804ff9,0x00f30000,0x0d7003e2,0x1e6007b0,0x87e601ec,0x999abff9,
    0x54000fca,0x8b540006,0x079800de,0x80d50d90,0x3540003e,0x803f0000,
    0x405d003e,0xff10004c,0x900be203,0x8003fb8b,0xdb006cfa,0x7dddddfd,
    0x1e601f10,0x65554c00,0x101aaaaf,0x01bffb3f,0x2006fb80,0xeeeeeef8,
    0x8f606eee,0x2e8d50f8,0x3bb60264,0xff3001fe,0x43d8001b,0x3e03d84d,
    0x007eeeee,0x017f43cc,0x980003cc,0xdddf1007,0x0ddddddd,0x3bbbfbb6,
    0x80f883ee,0x893ea03d,0x007c404f,0x50001aa0,0x200bfeed,0x81f88079,
    0x001f406a,0x80001aa0,0x801f401f,0x0013202e,0x172017c4,0x017e4b90,
    0xbff99990,0x2aa05999,0x1aaaadea,0x0f300f88,0xfffff300,0x20dfffff,
    0xfea8eef8,0xeaed8802,0x3e20ee43,0xaaaaaaab,0x9b0f606c,0x4d85d0fa,
    0x0fd56ec0,0x000ffdc0,0x20fcc3d8,0x2aafe03d,0x3cc007ba,0x00f30008,
    0x4401e600,0xaaaaaabf,0xd55506ca,0x1035555b,0x999db01f,0xfc87ffb9,
    0x0007c400,0xd50001aa,0x26003ba2,0xd505d807,0x40003e80,0x8024c06a,
    0x801f401f,0x0013202e,0x1ae007c4,0x03db1b90,0xfb999980,0xd8009999,
    0x4c0f1003,0x0d500007,0x7e42fc40,0x1f335c00,0x1f102fe2,0x0f606b80,
    0x2e81f3f3,0xf8f602dc,0x1f3fa601,0x6c83d800,0x983f01ec,0x003cc007,
    0x40001e60,0x01f10079,0x03d806b8,0x3bb60f10,0xd80bcdee,0x000f9804,
    0x2a000354,0x80f30006,0x80d500fa,0x3540003e,0x0fc01aa0,0x17400fa0,
    0x22000990,0x2035c00f,0x0002feec,0x7b0006a8,0x7981aa00,0x35405b80,
    0x3201f100,0x5721f406,0x801f106b,0x3a0f606b,0x3542e84f,0x2e008f60,
    0xb80798cf,0x3f883d85,0x441f80f6,0x403cc004,0x700f305b,0x1007980b,
    0x806b801f,0x20d5003d,0x0354003d,0x50003fee,0x06a8000d,0xed80f300,
    0xfdcccccc,0x0007d02c,0x035406a8,0x01ec01f8,0x013202f8,0x2e007c40,
    0x7defe406,0x5554c001,0x00aaaafc,0x099003d8,0x02dc03cc,0x0f8801aa,
    0x3e207f10,0x81f57c40,0x035c00f8,0xd03d507b,0x3600f985,0x3cc33003,
    0x81ec2dc0,0x7c07b0fa,0x07980001,0x00f305b8,0x007980b7,0x06b801f1,
    0x099003d8,0x33a000f6,0x3eff6a21,0x0d50009a,0x0006a800,0xeeec80f3,
    0x3efeeeee,0xa80007d0,0x4c035406,0x4025c00f,0x013200f9,0x2e007c40,
    0x3f72e406,0x6e666400,0x801ccccf,0x02f8803d,0x016e01e6,0x07c400d5,
    0x41fc0f50,0x1f100ffa,0x0f606b80,0x09b05d00,0x201d01ec,0xd85b8079,
    0x01ed3a03,0xf300003f,0x1e60b700,0x0f3016e0,0xd7003e20,0xf1007b00,
    0x2000f605,0xcffeefe9,0x004fff88,0x6a8000d5,0x000f3000,0x01f406a8,
    0xd501aa00,0xf300d900,0x6407b801,0x01f10005,0x22e406b8,0xd50001fc,
    0x200f6000,0x403cc04e,0x0035405b,0x02f801f1,0x40bf10db,0x035c00f8,
    0x82e8007b,0x407b01f9,0x700f301f,0x7cc07b0b,0x007e03d9,0x2e01e600,
    0xb700f305,0xf1007980,0xd806b801,0x3604e803,0x2aa60003,0x54003d01,
    0x03540006,0x40007980,0x001f406a,0x7f501aa0,0xe8017cc0,0x700be605,
    0xf880801f,0x32035c00,0x8001fc85,0x07b0006a,0x3cc02ec4,0x1aa02dc0,
    0x6400f880,0x2219f105,0xf881afee,0x7b035c00,0xf702e800,0x0fc07b07,
    0x85b80798,0x1f76403d,0x300003f0,0x260b700f,0x4c05b807,0x801f1007,
    0x203d806b,0x01ec05d8,0x00930000,0x540006a8,0x00f30006,0x1f406a80,
    0x201aa000,0x3ea21dfa,0x837a2005,0xf8805fa8,0x0fed441d,0x0d7003e2,
    0x01f905c8,0x33f73310,0x39d31003,0x0dfb5333,0x4cfd4cc4,0x5c999999,
    0x99eb9988,0xaf998809,0x135f1019,0x8dfefe98,0x3e661ffb,0x75cc409a,
    0x27366209,0x7d331009,0x2b3bea03,0x99999ce9,0x2a6621f9,0x9999999f,
    0x33a625c9,0x3ff88099,0x4cd7ccc4,0x53310019,0x3333333f,0x54cc4b93,
    0x9999999f,0x266625c9,0x99999fb9,0x206be620,0x8809eb98,0xa9999ce9,
    0x3a6606fd,0x0009999c,0x0711d100,0x267ae666,0x26666009,0x99999fb9,
    0x2e666620,0x0099999f,0x427ee662,0x99be9998,0x99980999,0x9999fb99,
    0x77fec409,0xd88003ff,0x003ffeff,0x3ffbff66,0x4fd4c0cf,0x09ec9881,
    0xd882e4c4,0xffb0099f,0x803fffff,0xfffffffb,0x7ff401be,0xffffffff,
    0x7fcc5fff,0x84ffffff,0x1ffffffb,0x5109ffb0,0xfff98035,0x7fff43ff,
    0x3fffee7f,0xffffd04f,0x3b6e203f,0xffffffff,0x3fffa1ff,0xffffffff,
    0x3ffee5ff,0x87f703ff,0xfffffffa,0xfffe801f,0xffffffff,0x3fffa5ff,
    0xffffffff,0x3fffe5ff,0xffffffff,0x5fffff14,0x85ffffc8,0xfffffffb,
    0x3fe201be,0x03ffffff,0x0b76a000,0x3fffffea,0xfff106ff,0xffffffff,
    0x7ffffc9f,0x4fffffff,0x3ffffea0,0xffffff94,0xf88bffff,0xffffffff,
    0x53104fff,0x53000013,0x54c00013,0xffff3009,0xffffc83f,0xf82fffc6,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99950000,0x99999999,0x66654399,
    0x02bccccc,0x66666440,0xcccccccc,0x33333262,0x704ccccc,0x03999999,
    0x333332a0,0x100acccc,0x99999999,0x66664405,0x22cccccc,0x901cccc9,
    0x664c7999,0x0abccccc,0x07333260,0x911e6664,0x91079999,0x32a79999,
    0x9902cccc,0x00019999,0x8400014c,0x8800001b,0x57530002,0x35530001,
    0xaba88001,0x00000001,0x00026ea6,0x0000c400,0x01575100,0x2602aa20,
    0x3753000a,0x55101301,0x2000dcc0,0x200000eb,0xccccfcc9,0x23eccccc,
    0xccccfcc9,0x1002efec,0x9dd9dd99,0x4c9d9999,0xccfdcccc,0x999503cc,
    0x2600bbfb,0xcccccfcc,0xcc884ffd,0x02ccccee,0x333333e6,0x3265eccc,
    0xf9901cee,0x67764c7b,0x04ffdccc,0x2039df93,0x3223efcc,0xc883cccf,
    0xf953eecc,0x3320399b,0x8000cdfc,0x54c02fd9,0xfcaec0ab,0x2a00000c,
    0x3ffae006,0x7003ffee,0x09ffddff,0xffdffb10,0xfff8b55f,0x3ffea06f,
    0xeefe984f,0xff980cff,0x6fff980f,0x03ffee99,0x5c1bffee,0xcdffeffe,
    0xffefea84,0x07fdfd12,0x7ff77f4c,0xff51320c,0x77f445fd,0x0bfa003f,
    0x0f4407b0,0x07b001f1,0x3f2601f1,0x3d9f4001,0x06a80990,0x03e73200,
    0x7100f880,0x001ec09f,0x07f101e6,0x06c801f5,0x06e98136,0x1d9003ee,
    0x7b0007e0,0x7c400b90,0xdfc88000,0x3bffea00,0x20ed9dff,0x0000cfd9,
    0x7b1006a8,0x201fa883,0xeea82ee8,0x9819f500,0x6ec46ffb,0x0fccc009,
    0x3a605fe4,0x00f9981e,0x45d3d731,0x73300f99,0x4437fb0d,0x0bc85fda,
    0x547767ea,0x40bfc83f,0x4c7d1ee9,0x6ec7ea3f,0x22007f50,0x883fa802,
    0x4007c45e,0x400f883d,0x43e2007d,0xa809903d,0x747e0006,0x003e2003,
    0x00f601f7,0x05d80f30,0x01f98172,0x09d10136,0x03f502ec,0x0ba00174,
    0x2e4003e6,0x00f7dc00,0xdb882ff2,0x7fd500ff,0x006a8000,0x6d816e00,
    0x3f885d80,0x35437d40,0x3f50f500,0x03e06c80,0x3e09df50,0x3e235400,
    0xb002f402,0x547b81ff,0x7e7e401f,0x2bae1360,0x0007dc0f,0xe88fea00,
    0x4007c40d,0x400f883d,0x4d5001f9,0xa809903d,0x5cd50006,0x003e2006,
    0x7ffec0be,0x7983dfff,0xf8803ee0,0x4d807d03,0xd100f980,0xe807f109,
    0x1f81ec83,0x0ba007d0,0x802efa80,0x3ff600fb,0x0177dc00,0x00006a80,
    0x03ea03e2,0x0bb0ba20,0x21e21b20,0x222dc0eb,0x209d002f,0x2035400f,
    0x2235400f,0x001d402f,0x27f10bf5,0x3fd002f8,0x5fe807cc,0x00003f88,
    0x0ee8bfa8,0x09800f88,0x2f800f88,0x81ec9900,0x0035403b,0x007e24d8,
    0x0fc007c4,0xb9999cd8,0x41e20efe,0x0fa802f9,0x026c0364,0x0be605d8,
    0x889b00bd,0x700f83ef,0x200f500d,0xf3003fe9,0x2e4fe405,0x00efe440,
    0x80001aa0,0x004d80f8,0x2003f16e,0xfe83f018,0x01aa1ec3,0x801f07a8,
    0x2007c06a,0x00afd86a,0x205f5000,0x5400d55d,0x5f902dc7,0x00001760,
    0x88077fd4,0x88034c0f,0x003d400f,0x0051ec5d,0xf88006a8,0xf88026c1,
    0x7b03dc00,0x40236c40,0x9976004e,0x004d801f,0x90fb80f5,0xa899001d,
    0x103c46bf,0x404d803f,0x2000cfd8,0x447f205c,0x9fb1001f,0x801aa001,
    0xeffffeb8,0xccdf80fd,0xcccccccc,0x0001e66d,0x8b9f31ec,0x1002641f,
    0xa801f01f,0x2a007c06,0x9bdff906,0x7edc4015,0xaaaafeef,0x00996caa,
    0x409907c4,0xccccccfb,0x2aaaa66d,0xaaaaaaaa,0x03fe880a,0x00f503e2,
    0x3fa803e2,0x1ec1f100,0x0354003f,0x03d435c0,0xf9300f88,0x2601ec05,
    0x0036403f,0x80274fe2,0x01f1004d,0x001fbec8,0x0f8dc8b7,0x409901e6,
    0xbf9101f8,0x207b0001,0x001741fc,0xaa98ffa6,0xaaafcaaa,0x3fe60aaa,
    0xfca999ab,0xeeeeef80,0x6eeeeeee,0x5c0001aa,0x443e3725,0x2001ec0f,
    0x5400f81f,0x2a007c06,0x7f654c06,0xadffb83f,0xeeeefda9,0x007b5eee,
    0xa81361f8,0xeeeeeeef,0x3bbbbb25,0xeeeeeeee,0x1fd6f441,0xeeeeef88,
    0x335f1007,0x009fb753,0x3bbb635c,0x01aa001f,0x017c0fa0,0x777777c4,
    0x1ec01fff,0x3f3026c0,0x0d9f5000,0x3f0026c0,0x4005fd00,0x22e97c6a,
    0x703cc06a,0x00f7dc0d,0x1fc82f80,0xfa8003d8,0xddddd72e,0xbdddddfd,
    0xf1013e21,0x40007d01,0xf3000079,0x0d53e974,0x07c40099,0x01aa007c,
    0x006a801f,0x3f72fd44,0x32003ea0,0xc83e2004,0x0003ee04,0x0de88000,
    0x57f107f5,0x2200f955,0xcfffffff,0x3626c000,0x2001faad,0x07cc006a,
    0xbf8805c8,0xeedcbaaa,0x3200f602,0x0007f105,0x9b000fec,0x2200fc00,
    0x9e6003fe,0x2dcb90f9,0x03e81740,0x0006fe44,0x203f70f6,0x3fa6002e,
    0x900d5003,0x80f8801f,0x3e20005c,0x8f880001,0x132d70f9,0x07a801aa,
    0x406a801f,0x0235400f,0x04d87d40,0x1aa007ea,0x02d47a80,0x000005f9,
    0xf503ba20,0x3d40f887,0x999af880,0x7c000dfa,0x3e3d999b,0x001aa001,
    0x333333d9,0x0f8801f5,0x3d827d40,0x0bb03e80,0x4007a800,0x01f1004d,
    0x001faed8,0x7a9ae1f1,0x21ae0132,0xfb1000f9,0xb9720019,0x003f101f,
    0x40019fb1,0x804d806a,0x01f980f9,0x88017600,0x44b95d00,0x2f883d8f,
    0x07e09d00,0x01f80d90,0x400ba364,0x7dc0b72f,0x002f8804,0xd00f889d,
    0x0000009f,0x0fd403b6,0x004881f1,0x1dd101f1,0x3fffe600,0x2a0003ff,
    0x7fffc006,0x03ffffff,0x7c4007c4,0x7e403d81,0x1500fa80,0xd800f500,
    0xb80d5004,0x2001d90f,0xb1f89b1f,0xc81f1007,0x3fe98005,0x2fb9f980,
    0xf9101b60,0x0d50001b,0xffb80d50,0x3001f700,0xb802f889,0x85d9902f,
    0x3f501fbd,0x13206c80,0x32037ec4,0xe8dfb104,0xf30fb805,0x01fff501,
    0x200fd493,0xb709906c,0x009301f3,0x04c00c00,0x216001f1,0x01b600f8,
    0x001ec2dc,0x7cc00d50,0x99999999,0x007c406b,0x883d83d8,0x2f882fda,
    0x1ea00ba0,0x32009b00,0xbb0be604,0x20fcba00,0x36005d3d,0x500017c4,
    0xffb805dd,0xb803ee02,0x2a0001ef,0x4439d006,0x09afbfda,0x4c40bfc8,
    0x0dfa84fd,0x501ff4c4,0x07fb81ff,0x3a605fe4,0x88be601e,0x201eceea,
    0x3baa22f9,0x3dfd09ec,0xec87f710,0x3b7fbea0,0xfc87f911,0x80f74c0b,
    0x643ea4f8,0x007fb30e,0x000003f9,0x1f1001f1,0x3e200f88,0x3d83e803,
    0x06a807a0,0x0fc01320,0x32001f10,0xeeeeed85,0x0bd00cff,0x07a802e8,
    0x744026c0,0xf109d103,0x0f55b007,0x5400bad7,0x40001ea7,0xff701efb,
    0x02fd985b,0x00005fd5,0x3fa600d5,0xf88cffee,0xffd304ff,0x403bfffd,
    0xfffeffe8,0x42fcc00c,0xfe9805f8,0x9004ffef,0x2a7ffdff,0x3ff203ff,
    0x9ff53ffe,0x3bbff2b6,0xdf902efe,0x3f6b37ff,0xfd301efe,0x3009ffdf,
    0xfd85fdff,0xfb001efe,0xf1000005,0x881f1001,0x007d400f,0x407b01f1,
    0x401aa01f,0x099001f8,0x3e8007c4,0x9aaaadd8,0xd003ae00,0x800f5005,
    0x205e804d,0x007e605d,0x1f10b97b,0xd97c003f,0x32200004,0x2abea0df,
    0x0dffeffe,0x0003fe98,0x53001aa0,0xa8800035,0x544000aa,0x000009aa,
    0x13551000,0x00355000,0x4001aa80,0x801aaa98,0x15300aa8,0x026aa200,
    0x2202a880,0x0018000a,0x001f1000,0x00f881f1,0x41aa05d8,0xa807e03d,
    0x400d5006,0x003e2079,0x00f603f2,0x5d003f30,0xd800f500,0xb81b6204,
    0x007dc00f,0x2fa07d99,0x2372000f,0x8800001f,0xa985f14d,0x033a009a,
    0x00b30000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0x333335f3,0x221f3333,0x2019af99,0x36621bf8,
    0x2736661d,0x21f99999,0x99fb9999,0x33662099,0xf3310099,0x4fd4c437,
    0xeb999999,0x4e74cc1f,0x37600999,0x99999999,0x733302e9,0x2201333f,
    0xa9999cd9,0xfa880efd,0xdd33009b,0x403fae03,0x7c4007ec,0x0000006c,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff7000,0xffffffff,0x3ffee1ff,0x3ee01fff,
    0x1ffff90f,0xfffffff1,0x3ea3ffff,0xffffffff,0x3ffff26f,0xffffd03f,
    0x3fffee3f,0xbdffffff,0x7ffffc40,0x3f603fff,0xffffffff,0xfff982ff,
    0x706fffff,0xdfffffff,0x7ffe4039,0xffff985f,0x206fa81f,0xfe8006fa,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x44000aa9,0x0002a81a,
    0x00000000,0x40010260,0x9800e400,0x18018802,0x037b9510,0xc81cdcb8,
    0x333264cc,0x00002881,0x55555544,0xaaaaaaaa,0xddddb30a,0xdddddddd,
    0x0000609d,0x1ca80000,0x33221cb8,0xcccccccc,0x220a63cc,0x0000000b,
    0x00000000,0x00000000,0xf8000000,0x6c1fffff,0x3e3fffff,0xf1007d03,
    0xffffffff,0xffffb0df,0xffffb00f,0x1ffffc83,0x7f4c7ff4,0xfc80effe,
    0x36fefcbf,0xf705fdff,0x3f63ffff,0x6b802fff,0xfffc8f50,0x37fff625,
    0x54188bb0,0x700fa01f,0xb509d9bf,0xfdb87d99,0xd959dd06,0xd79fd107,
    0x26ffe87f,0x3662fffa,0x5400cfff,0x77775406,0xeeeeeeee,0x77712fee,
    0x77777777,0x8b105777,0x45c801e8,0x9001efd8,0x7fe43fff,0xfffff11f,
    0xbfffffff,0x13f207fc,0x00000000,0x00000000,0x00000000,0x3a620000,
    0xf998809c,0x541fdc1b,0x4d7c404f,0x2fb99999,0x07b99988,0x881bfb88,
    0xf9881ee9,0x3b660bfb,0x11ffe980,0x835c9fbd,0x3e609fa9,0x2fc8019e,
    0xc9983fb8,0x3625bf55,0xffb5bd14,0xe807f79f,0x8b605c03,0xb88f40e8,
    0x3e200699,0x3e606f40,0xf997ff62,0x26fbe1ff,0x3fe603fc,0x5d000005,
    0x3a200000,0xdb017e40,0x7e4e7cc3,0x3ffa4c82,0x8ffffa3f,0x99999999,
    0x17209999,0x000007a6,0x00000000,0x00000000,0x00000000,0x07a807a8,
    0x17ee13f2,0x7f100f88,0xa801e600,0x401db02f,0x7f102ff8,0xbf707f60,
    0x31e603f0,0x3f2001bd,0x5c04fc83,0x44103fbd,0x9fd51cff,0x0043e808,
    0x9703125c,0x5d4c0d30,0x03ea1faa,0x49ff72ec,0x07ea7ff8,0x233a20fb,
    0xe800003f,0x2e000002,0x221fdc0e,0x2a27c0ee,0xfc83f23f,0x3ffee0ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05f00000,0x2fe403e8,
    0x20902fe4,0x1e6004e8,0xed85f500,0x201fc400,0xf307b05c,0x53cc0ba0,
    0x27ec009f,0x7dc02fe4,0x05f1001f,0x239fd136,0x83fda8be,0xe801eb98,
    0xffb06982,0x2dc3fd9b,0x1ffd4f50,0x986e9bfe,0x3ea6d82f,0x17400001,
    0x33333333,0x41333333,0xf50590b8,0x81417a27,0x980dfee9,0x000a980a,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf981ae00,0xd85fd800,
    0x17a000ef,0x5000f300,0x2003b65f,0x835400f8,0x5d07983d,0x01fdde60,
    0xfd85fd88,0x003f7005,0x88f5035c,0xffefffda,0x07fd701c,0x0d303d88,
    0x543f01d7,0x7ccd900f,0xf92fec1f,0x7dc0fb81,0x00007dc0,0x3ffea5d0,
    0xffffffff,0x77646fff,0x01c4a604,0x00003500,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0fc40000,0x3fa004d8,0x0077ec0e,0x3cc0036c,
    0x05efa800,0xd5003e20,0x41e60f60,0xdf9f302e,0x8bfd1001,0x7000efd8,
    0x403d800b,0x3ff9102f,0x881f4c00,0x3a1a603e,0x3e21fa82,0x3e23f883,
    0xf127e40f,0xf517a619,0x0001b603,0x444442e8,0x88888888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e217200,
    0x17fe6001,0xec80bff1,0x00798000,0x4007fd10,0x835400f8,0x5d07983d,
    0x3fabbe60,0x20ffec01,0x2e001ffc,0x1026c005,0x3b3a203f,0x4c3cc004,
    0x5c34c02e,0xbffda9ae,0x326b7ea1,0xfb87f85f,0x7ff7fe43,0xe880fe21,
    0x05d00004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07cc0000,0xfe88016e,0x200efe85,0xf30000fb,0xf3bd1000,
    0x003e2007,0x260f60d5,0x3e605d07,0xd880ff20,0x077ec0ef,0x54005b80,
    0x6c0d700f,0x54003f36,0x4c0075c5,0x259fb706,0x7f6c43ee,0x9107703e,
    0x505b9101,0x000b3009,0x00000760,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x002f89b0,0x17f617fa,0x40003f50,
    0x2f440079,0x1f1009f3,0x07b06a80,0x4c0ba0f3,0x6c01fa87,0x00efc85f,
    0x4f8005b8,0x1f503e98,0x2b6a07e4,0x4f643d50,0x2623a999,0x000099eb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfa800000,0x7ec00d50,0x5405fc84,0x2601602f,
    0x217a2007,0x07c404f9,0x41ec1aa0,0x2605d079,0xf900bb07,0x700bf90b,
    0xfff9800b,0xf05ffdac,0xd9507b05,0xeeed817d,0xddb14eee,0x00007ddd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4fa00000,0x07f9003e,0x2f9809f9,0xf3003e20,
    0x8813a200,0x003e204e,0x260f60d5,0x1e605d07,0x7e4017c4,0x5c05fb84,
    0x22fe6005,0x5e89cfda,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d75c000,0xb83fb800,0x4efc403f,0xf9999999,0x2e666620,0x2099999f,
    0x98819df9,0x7ccc0cfa,0x13d7301a,0xf3073a62,0x4c1be813,0x9ec819fa,
    0x541fdc00,0x764ccc4f,0xd8199999,0x001e8803,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8027fc0,0xf5007d02,0xffffffff,0x7fffc1ff,
    0xffffffff,0x3fffff54,0x26ffffc8,0x41fffff9,0xf74ffff9,0x7fcc3fff,
    0xfb8fff45,0x7c41ffff,0x835400ef,0x3fffe66a,0x0fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_35_latin_ext_x[560]={ 0,7,4,2,3,2,3,7,9,4,0,2,4,2,
6,3,3,3,2,2,3,2,4,3,3,4,6,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,3,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,7,3,1,3,1,
8,2,4,0,0,0,0,2,0,-1,5,2,5,5,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,1,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,3,2,3,2,3,2,3,2,3,2,0,0,2,2,1,2,2,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
2,3,2,3,2,3,2,3,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,3,2,0,
2,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,2,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_35_latin_ext_y[560]={ 25,5,6,4,4,5,8,6,6,6,6,8,20,15,
21,4,5,5,5,5,6,6,5,6,5,5,11,11,8,13,8,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,4,6,5,32,4,11,6,11,6,11,6,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,11,11,11,11,11,11,6,6,6,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,25,11,4,6,9,7,
6,6,6,6,5,11,15,15,6,3,2,6,5,5,4,11,6,13,24,5,5,11,5,5,5,11,0,0,1,2,
2,0,7,6,0,0,1,2,0,0,1,2,7,2,0,0,1,2,2,10,6,0,0,1,2,1,7,6,4,4,
5,6,6,4,11,11,4,4,5,6,5,4,5,6,6,6,4,4,5,6,6,9,10,4,4,5,6,4,6,6,
3,7,1,5,7,11,0,4,1,5,2,6,1,5,1,6,7,6,3,7,1,5,2,6,7,11,1,5,1,5,
1,5,2,6,6,4,1,1,7,6,2,6,3,7,1,5,7,5,2,11,7,5,1,5,7,6,11,0,0,7,
6,7,6,7,6,7,6,0,4,7,11,1,5,6,6,11,3,7,1,5,0,4,7,11,0,4,7,11,1,5,
0,4,1,5,6,11,1,5,7,7,1,6,7,7,2,6,3,7,1,5,0,4,0,4,7,11,1,5,1,5,
2,0,4,2,6,1,5,6,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,6,11,5,5,5,5,5,5,5,5,5,5,5,5,5,4,11,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,1,5,1,
5,1,5,0,3,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-5,-1,0,4,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_35_latin_ext_w[560]={ 0,5,11,14,13,14,13,5,6,6,12,15,7,14,
6,13,13,13,13,14,12,14,12,12,13,12,6,8,15,17,15,11,12,19,16,16,16,16,16,17,17,13,17,17,
16,19,18,16,15,17,18,14,15,17,19,18,17,17,13,6,12,6,13,19,6,15,17,15,18,16,14,17,17,14,
11,16,14,19,16,15,17,18,15,13,15,16,18,18,17,16,13,7,2,7,14,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,12,16,13,17,
2,15,10,19,10,16,17,14,19,20,9,15,8,9,6,16,15,6,6,8,11,17,19,19,19,11,19,19,19,19,
19,19,19,16,16,16,16,16,13,13,13,13,18,18,16,16,16,16,16,11,17,17,17,17,17,17,15,15,15,15,
15,15,15,15,18,15,16,16,16,16,14,14,14,14,16,16,15,15,15,15,15,15,16,16,16,16,16,16,17,16,
19,15,19,15,20,17,16,15,16,15,16,15,16,15,16,18,18,18,16,16,16,16,16,16,17,16,16,16,17,17,
17,17,17,17,17,17,17,17,17,18,13,14,13,14,13,14,13,14,13,14,19,16,17,12,17,16,15,16,14,16,
14,16,14,16,14,16,14,18,16,18,16,18,16,17,16,14,16,15,16,15,16,15,19,19,18,15,18,15,18,15,
14,13,14,13,14,13,14,13,15,15,15,15,15,16,17,16,17,16,17,16,17,16,17,16,17,17,18,18,17,16,
17,13,13,13,13,13,13,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,18,16,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,19,15,13,14,16,
15,17,16,17,16,17,16,17,16,17,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,19,15,19,18,17,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_35_latin_ext_h[560]={ 0,21,9,23,24,21,18,10,23,23,12,16,10,3,
5,24,21,20,20,21,19,20,21,20,21,21,15,18,17,7,17,20,22,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,23,18,20,18,19,18,18,18,18,18,23,24,23,9,2,6,15,20,15,20,15,19,20,19,20,
26,19,19,14,14,15,20,20,14,15,19,15,14,15,14,20,14,23,23,23,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,20,21,19,13,18,
23,21,3,20,10,14,9,3,20,2,9,19,11,11,6,20,21,5,7,11,10,14,20,20,20,20,25,25,24,23,
23,25,18,25,25,25,24,23,25,25,24,23,18,23,26,26,25,24,24,12,21,26,26,25,24,24,18,20,22,22,
21,20,20,22,15,20,22,22,21,20,20,21,20,19,20,19,22,22,21,20,20,15,17,22,22,21,20,27,25,25,
22,19,24,21,22,18,26,22,25,21,24,20,25,21,24,20,18,20,22,19,24,21,23,20,23,19,24,21,25,26,
25,26,24,25,25,27,24,24,18,19,23,19,22,18,24,20,23,25,23,14,19,26,25,26,24,25,14,25,25,24,
25,18,19,18,19,18,19,25,21,24,20,24,20,19,20,20,23,19,25,21,26,22,18,15,25,21,24,20,24,20,
26,22,25,21,25,20,25,21,25,25,24,20,18,19,24,20,23,19,25,21,26,22,26,22,23,19,24,21,24,26,
23,25,21,23,19,24,20,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,23,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,15,20,20,20,20,20,20,20,20,20,20,20,20,20,22,15,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,24,21,24,20,25,
21,25,21,26,23,26,25,26,25,26,25,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,30,27,25,22,27,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_35_latin_ext_s[560]={ 412,478,249,425,85,15,249,504,440,133,185,
279,504,371,357,49,416,163,249,46,31,129,154,67,111,125,504,501,230,303,263,
374,166,71,91,17,156,1,357,111,263,57,74,231,198,281,338,232,460,308,18,
390,494,92,210,191,173,138,124,505,499,224,271,42,328,295,172,328,78,311,44,
97,126,190,214,144,59,102,85,363,154,115,155,414,110,397,1,344,67,44,38,
465,491,140,342,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,412,501,249,
472,171,161,183,216,386,263,226,138,285,371,134,21,261,255,208,198,335,61,183,
364,321,217,237,20,177,301,197,15,1,379,118,186,360,359,37,416,21,68,1,
116,157,330,491,231,179,289,244,108,245,332,315,500,278,178,261,139,401,98,108,
1,216,232,262,436,420,248,428,34,297,264,232,342,327,296,359,16,403,411,281,
31,167,321,452,484,246,132,149,61,386,73,51,69,179,239,349,446,314,476,363,
116,86,430,474,95,103,335,438,144,441,482,199,320,81,382,326,50,447,288,32,
399,1,297,191,90,369,209,227,55,242,297,423,374,380,457,1,408,18,217,275,
262,245,52,354,315,277,332,63,313,122,34,19,260,344,391,489,374,1,321,305,
480,484,455,356,419,373,205,405,422,343,223,399,30,395,15,301,464,120,462,175,
453,138,469,380,64,38,97,53,1,433,368,464,448,194,437,215,337,210,27,148,
271,295,351,345,47,279,494,473,393,99,78,157,143,206,498,1,394,443,228,468,
428,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,337,283,283,259,
283,283,283,283,283,283,283,283,283,283,283,283,283,485,447,283,283,283,283,283,
283,283,283,283,283,283,283,283,78,379,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,277,138,
387,80,481,311,463,199,226,166,196,412,160,429,125,446,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,1,21,171,97,37,408,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283, };
static unsigned short stb__courier_35_latin_ext_t[560]={ 27,108,235,84,58,132,196,170,84,84,235,
216,181,235,235,84,108,154,154,132,196,154,132,154,132,132,154,132,216,235,216,
132,108,216,216,154,216,216,196,154,196,216,196,196,196,196,196,154,196,84,216,
154,196,196,216,216,216,216,216,58,32,84,235,29,235,216,175,216,175,216,196,
175,196,175,1,196,196,235,235,216,175,175,235,216,196,216,235,216,235,175,235,
84,84,84,235,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,27,108,132,
175,235,196,84,132,235,154,235,235,235,235,175,29,235,175,235,235,235,175,132,
235,235,235,235,235,154,154,154,175,58,32,58,84,84,32,216,32,58,58,84,
84,32,32,58,84,196,84,1,1,32,58,58,216,132,1,1,32,58,84,216,
154,108,108,132,132,132,108,216,154,108,108,132,132,132,132,132,196,132,175,108,
109,132,154,132,216,216,108,108,132,132,1,32,32,108,175,58,108,108,196,1,
108,32,108,58,154,32,108,58,154,196,132,108,175,84,108,84,154,84,175,84,
108,32,1,32,1,58,32,32,1,58,58,196,175,84,175,109,196,84,154,84,
32,84,235,175,1,32,1,84,32,235,32,32,58,32,196,175,196,196,196,175,
32,108,58,154,58,154,175,154,154,84,175,32,132,1,109,196,216,32,108,58,
154,58,154,1,109,58,132,58,175,32,108,32,32,58,154,196,175,58,175,84,
175,32,108,1,109,1,84,84,175,58,132,58,1,84,1,132,84,175,58,132,
175,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,84,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,216,154,154,154,154,154,
154,154,154,154,154,154,154,154,109,216,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,58,132,
58,154,1,132,1,132,1,84,1,1,1,1,1,1,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,1,1,32,109,1,84,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154, };
static unsigned short stb__courier_35_latin_ext_a[560]={ 297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_35_latin_ext(stb_fontchar font[STB_FONT_courier_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_35_latin_ext_s[i] + stb__courier_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_35_latin_ext_t[i] + stb__courier_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_35_latin_ext_x[i];
            font[i].y0 = stb__courier_35_latin_ext_y[i];
            font[i].x1 = stb__courier_35_latin_ext_x[i] + stb__courier_35_latin_ext_w[i];
            font[i].y1 = stb__courier_35_latin_ext_y[i] + stb__courier_35_latin_ext_h[i];
            font[i].advance_int = (stb__courier_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_35_latin_ext_s[i] + stb__courier_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_35_latin_ext_t[i] + stb__courier_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_35_latin_ext_x[i] + stb__courier_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_35_latin_ext_y[i] + stb__courier_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_35_latin_ext_LINE_SPACING
#endif

