// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT        320
#define STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_40_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_40_latin_ext_LINE_SPACING          19

static unsigned int stb__courier_40_latin_ext_pixels[]={
    0x00053000,0x40000980,0x1a880000,0x00000000,0x0188004c,0x02800044,
    0x00018800,0x70000014,0x01a98009,0x07100353,0x4400006a,0x00800002,
    0x80001a80,0x20000000,0x3100000a,0x00000000,0x332000a2,0x000000cc,
    0x00000080,0x00000000,0x17005700,0x005fa800,0x000fee00,0xb80003e8,
    0x3f22004f,0x5c00001d,0x80d7003f,0x7f44005d,0xff50000d,0xdfb10007,
    0xfc800001,0x81fe4003,0xdf8804fb,0x00007f20,0x800017e6,0xfb8006e8,
    0x076c0002,0x3f200000,0x5f980002,0x01fd4000,0x8017e600,0x000feed8,
    0x407fc400,0x07b002fd,0x03d70000,0x006ec400,0xf880ffe4,0x017ee001,
    0x004fc800,0x40001ae0,0x2fa004fb,0x00000ea8,0x7d4007f9,0x4007f503,
    0x01efaefa,0x6fde7e40,0xd5fd3000,0xb100005f,0x7f90005f,0x44013ee0,
    0x001ed9ed,0x0004fa80,0x0007fa20,0x100027d4,0x000003fd,0x00005fb1,
    0x40001bf5,0x000dfdfc,0x00037ea0,0x800001f3,0x4ff81ffa,0x00009d00,
    0x01ff7ec4,0x0f7ff4c0,0xf8826c40,0x009f9002,0x0017ec00,0x40000fa0,
    0x8b3004fb,0x6c40003b,0xcfd8002f,0x00efc98a,0x7f449f90,0x23fe8803,
    0x7dc01ef9,0x0013f60d,0x0001fe88,0x13ee07f9,0x37f20b88,0x8aa006e0,
    0x000e62fa,0x4000ef98,0x3997e62a,0x00bfa200,0x01fe8800,0x004fc800,
    0x7ccff620,0x3e60001e,0x03e6000e,0x40ae0000,0x09d000b9,0x47ba6000,
    0x3ee005fc,0x803fd88d,0x02f880fa,0x00003fc8,0x80003fd1,0x80005ff9,
    0x8b3001a8,0x3a20003b,0xf910001f,0x001bffff,0x17e40bf2,0x36207ba0,
    0x209f500f,0xdd0004fb,0x0d4c0003,0x3f201a98,0x01bea0c4,0xf0661ff1,
    0xbf50005f,0x0ff88001,0x002ff8a2,0x40001fec,0x80001ee8,0x220003fc,
    0x17f441ef,0x01fd1000,0x00003e60,0x9d000000,0x1bf50000,0x6400efa8,
    0x405fc84f,0x02f882f8,0x200001b8,0x980001d8,0x000004ff,0x1d517d00,
    0x006c4000,0x0554c400,0x13002200,0x00c00980,0x00088031,0x00000130,
    0x805d5000,0x05d803e8,0x74000764,0x01760004,0xd90001d9,0x01910000,
    0x000b2000,0x1dc01930,0x00722000,0x000007cc,0x13a00000,0x880f2000,
    0x5016c01d,0x882f880b,0x02b8802f,0x002a2000,0x0000a600,0xdfc88000,
    0x30000001,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000802,0x02008000,0x00000000,0x00000000,0x3e600000,0x0000a980,
    0xfff98000,0xffffffff,0x000001ff,0x3e200000,0x5c02f882,0x80006dbe,
    0x0004eceb,0x00000000,0x54400000,0x27c409bc,0x00006a60,0x000006a6,
    0x00000000,0x00000000,0x40666662,0x44199998,0x31019999,0x7ec03333,
    0x4405fa82,0x31019999,0x7ec03333,0x8005fa82,0x800abca8,0x10199998,
    0x98833333,0x33101999,0x95100333,0x7cc00157,0xfffffb30,0x3ffe603b,
    0xfff501ff,0x332e21df,0xccccccef,0x2e6000bc,0x980040ab,0x40209acb,
    0x02f882f8,0x8000b234,0x8000ec68,0x3f2001a9,0xffffffff,0x2666621f,
    0x33333101,0xfefff980,0x203ba3ff,0xdfffffd8,0x109fff70,0x1bfffffb,
    0x7d53ffee,0xffffffff,0x3fffe61f,0xffff501f,0x3fffe61d,0xffff501f,
    0x3fffa21d,0x3fff62ff,0xfff74fff,0xffa89fff,0xff75ffff,0xfa89ffff,
    0xf05fffff,0x40ff909f,0x4ffffffb,0x7fffffd4,0xf909ff05,0x7ff4400f,
    0x700cfffe,0x89ffffff,0x5ffffffa,0x9ffffff7,0xffffffa8,0xfdffd105,
    0xf30019ff,0x2635bf71,0xfb882fea,0x99100bce,0x027407df,0x77fed400,
    0x05f0dfff,0x3fbfff66,0xf105f3ff,0x4c05f105,0x50002d45,0x22004b89,
    0x0dfffffd,0x3269fff7,0xdccccccc,0xfffff71f,0xffffa89f,0x5bf705ff,
    0x7eefe4c1,0x31befa81,0x99f73dd7,0x31befa83,0x99f73dd7,0x33333223,
    0x221fdccc,0x100bcefb,0x5c47df99,0x9100bcef,0xccb87df9,0x332a2fcc,
    0x2e64fccc,0x9980999f,0x2e609de9,0x9980999f,0x73009de9,0x98037101,
    0x980999fb,0x3009de99,0x00371017,0xb982bbea,0x27ee606f,0xe9998099,
    0x27ee609d,0xe9998099,0xaefa809d,0x201bee60,0x6403fdf9,0x001f902f,
    0x09d00be2,0x0adfa800,0x0beffaa2,0xa886f7e6,0xf883fffc,0x7402f882,
    0x88000b20,0xfa800ec6,0x3dd731be,0x400399f7,0x27ee61f9,0xe9998099,
    0x04fc809d,0x7cc17fd4,0x1b7f200d,0xf9006fcc,0x3e6000db,0x1000fc81,
    0x003f205f,0x2f8017c4,0x03d44e80,0x03d413a0,0x000013a0,0x3a003d40,
    0x50000004,0x05e980bf,0x09d001ea,0x09d001ea,0xbd3017ea,0x003ff980,
    0x07f101f9,0x13a01b20,0x803f9800,0x27cc2ffb,0xf81ff440,0x5402f883,
    0x80005ecf,0x3006dbec,0x6fe401bf,0x83f30006,0x8274007a,0xff9803f9,
    0xfb006e83,0x6c01ba0d,0x3f30006f,0x32007f10,0x400fe206,0x00be006c,
    0x800f513a,0x800f504e,0x0000004e,0x04e800f5,0x4f880000,0x2a07d100,
    0xa8274007,0x44274007,0x07d1004f,0xd1002fcc,0x2201f207,0x004e802f,
    0x64007f30,0x8013e62f,0x10bd03f9,0x002a005f,0x001b8800,0x37ec01ba,
    0x541f9800,0xe8274007,0xfcdf8806,0x44007ea0,0x001fa86f,0x26000df1,
    0x100f901f,0x807c805f,0x0be002f8,0x00f513a0,0x00f504e8,0x000004e8,
    0x4e800f50,0xfc800000,0x20bea000,0x8274007a,0x4274007a,0x3ea000fc,
    0x8007f302,0x807f105c,0x009d006c,0xf1001ba0,0x740036c5,0x445bf502,
    0x9999882f,0x00000099,0x2003f500,0xf30006f8,0x74007a83,0xe801fa84,
    0x1ae3f88e,0x0d70dd00,0x30006e80,0x00fe203f,0x07f100d9,0x17c006c8,
    0x01ea2740,0x01ea09d0,0xfff989d0,0x1ffffa07,0x274007a8,0xe81fffe6,
    0x3f987fff,0x7a84e800,0x7a827400,0x3e627400,0x304e8003,0x07a8003f,
    0x03f881f2,0xf10009d0,0x7c190005,0xfd800003,0xfa85f10f,0x0fffffff,
    0x4d54c000,0x4006b800,0x3f30006e,0x274007a8,0x0fe40364,0x2002ecf9,
    0x4005d86c,0x3f30006c,0x7f103e40,0xf881f200,0x4017c003,0x2003d44e,
    0x800f504e,0x3f65c44e,0x40fb9950,0x2274007a,0x2a07ecb8,0x07b87dcc,
    0x0f50d500,0x0f504e80,0x03dc4e80,0x3f306a80,0x100fa800,0x801b207f,
    0x07a8004e,0x001f9800,0x1067dc00,0x7333305f,0x88005f5f,0xffffffdb,
    0x0017601d,0x3e6000d9,0x3a003d41,0x7d404e84,0x05d87d43,0x02ec3640,
    0x4c001b20,0x40fe201f,0x0fe2006c,0x17c00364,0x01ea2740,0x01ea09d0,
    0x03dc09d0,0x01ea07b8,0x03dc09d0,0x006c87b8,0x07a81f10,0x07a82740,
    0x01b22740,0x7cc07c40,0x20364002,0x003f887c,0x1b20013a,0x001ee000,
    0x3e217a00,0x0bb6c802,0x09bdfd80,0x3603fd53,0x00364005,0x03d41f98,
    0x80fe13a0,0x91f984f9,0xc86d800d,0x0036c006,0x3e401f98,0x32001fc4,
    0x8003f887,0x544e802f,0xa8274007,0x70274007,0xa81ee00f,0x70274007,
    0x361ee00f,0x50be0004,0x504e800f,0x6c4e800f,0x20be0004,0x2f4005f9,
    0x0f90fe20,0xd8004e80,0x05d80004,0x882f8000,0xf53f802f,0xf8800001,
    0xd800d906,0x83f30006,0x2274007a,0x0dd102f8,0x007d4be2,0x0fa86f88,
    0x000df100,0x7f1007e6,0xf88007c8,0xf8003e43,0x3d44e802,0x3d413a00,
    0x7b813a00,0x3d40f700,0x7b813a00,0x07f0f700,0x1ea1f400,0x1ea09d00,
    0x03f89d00,0x3e60fa00,0x03f7002f,0x01fc4f90,0x3a001760,0x04d80004,
    0x417c4000,0x07d402f8,0x7000007f,0x001f501f,0x4c001be2,0x2003d41f,
    0xd817c44e,0x745f100f,0x20dfb005,0x0dfb005e,0x2007e600,0x000fe27c,
    0x007f13e4,0x13a00be0,0x04e800f5,0x04e800f5,0x03dc01ee,0x04e800f5,
    0x43dc01ee,0x0fa0003e,0x04e800f5,0x44e800f5,0x0fa0003e,0x5007fbe6,
    0x4fe2009f,0x1fc8007c,0x009d1a80,0x00009b00,0x2f882f88,0x01b22ec0,
    0x407e6000,0x0dfb005e,0xf507e600,0x3f84e800,0x3e601fb8,0xf700fe61,
    0x00fe60dd,0x2000ddf7,0x3f8801f9,0x7c4000f9,0x7c000f93,0x3d44e802,
    0x3d413a00,0x7b813a00,0x3d40f700,0x7b813a00,0x0bb0f700,0x1ea17c00,
    0x1ea09d00,0x05d89d00,0x3e60be00,0x6cc1cfc8,0x4764005f,0xef88003f,
    0x3ff2620b,0xb0000bb3,0xffffd80b,0x17c45fff,0x5f1017c4,0x20001f98,
    0x407e6199,0x77dc03f9,0x83f30006,0x4274007a,0x201fcc4e,0x41dfb87a,
    0x206bafd9,0x7ecc1dfb,0xf30006ba,0x3e3b2003,0x47640003,0x0be0003f,
    0x00f513a0,0x00f504e8,0x01ee04e8,0x00f503dc,0x01ee04e8,0x003643dc,
    0x03d40f88,0x03d413a0,0x00d913a0,0x3e603e20,0xffdfff70,0xdf10005f,
    0x7f4c000f,0x1cffffff,0x320001b2,0x66665406,0x17c42dfc,0x0f7017c4,
    0xfc98013a,0xfeefffff,0x3077ee01,0x000d75fb,0x00f507e6,0x226c84e8,
    0x306c805f,0x3dffdffd,0xffd301ae,0x1ae3dffd,0x800fcc00,0x80007ef8,
    0x51007ef8,0x559f5555,0x544e8355,0x413a000f,0x13a000fa,0x0f7007b8,
    0x9d0007d4,0x7b803dc0,0xd50007b8,0x74001f50,0x4001f504,0x8003dc4e,
    0x981f306a,0x00009bcb,0x20000ff2,0x7009aca9,0x7a80001f,0xf107f000,
    0x7405f105,0x9001f704,0x533559ff,0xe9803fb7,0x71effeff,0x07e6000d,
    0x274001f5,0x00ee97cc,0x2e6027c4,0x8035c0ac,0x35c0acb9,0x001f9800,
    0x40000ff2,0xff7003fc,0xffffffff,0x7c44e8df,0x205f1001,0x5f1001f8,
    0x7b803dc0,0x44007e20,0x401ee02f,0x003f887b,0x01f885e8,0x3e205f10,
    0x885f1001,0x05e8003f,0x000001f3,0x00000fc8,0x00fe2001,0x0003f300,
    0x105f107f,0x407e605f,0x1fe402f8,0x9800fcc0,0x035c0acb,0x7c41f980,
    0x205f1001,0xc800fced,0x35c0000f,0x006b8000,0x64003f30,0xf900000f,
    0x20000001,0x7003e84e,0x801f403f,0x01ee01fb,0x00fa03dc,0x0f700fdc,
    0x07e41ee0,0x3a05f500,0x403f7003,0x03f7003e,0x7d4001f9,0x0001f302,
    0x0027c400,0x7006fc80,0x2288001f,0x83f8006e,0x02f880fa,0x206d80d9,
    0x3f3003f8,0x01ae0000,0x1f407d40,0xf301fb80,0x07f3005f,0x000b9000,
    0x54001720,0x09f1000f,0x013e2000,0x1fc40000,0x374007dc,0x3a003ee0,
    0x2007d406,0x07dc07f9,0x3ea03740,0x883fcc00,0x0bf1005f,0x374007dc,
    0x3a003ee0,0x200bf106,0x03e605f8,0x0fb80000,0x1fff0000,0x98017a00,
    0x000fe65e,0x104e987f,0x2673e05f,0x0fb99999,0x26001f50,0xb900001f,
    0x5c1ba000,0x206e800f,0x7dc04ff9,0x07d00005,0x000fa000,0x1f7003ec,
    0x03ee0000,0x7d400000,0x200de881,0x6f4401fd,0x3007f600,0x3ffdc07f,
    0xd8037a20,0x01fcc01f,0x7d40fff7,0x03fe600d,0x3600de88,0x06f4401f,
    0x7d403fb0,0x03fe600d,0x00000f98,0x800013e0,0x3e2005d9,0x077d401e,
    0x7c0033ee,0x44077fa3,0xffffa81f,0x4fffffff,0xd1001f50,0x3a00003f,
    0x04f88003,0x7ec01bd1,0xdf7bf101,0x13f2a215,0x00fe4000,0x000fe400,
    0x9f0027c4,0x027c0000,0x0fd00000,0xa8857744,0xdd1003fe,0x0ffaa215,
    0xb985fec0,0x02afbcfd,0x5442bba2,0x7fb003fe,0x2f3f6e61,0x7df302af,
    0x0077dcc3,0xa8857744,0xdd1003fe,0x0ffaa215,0x986fbe60,0x7cc00efb,
    0xf7000000,0x2e800001,0x4dffcc00,0x40bf9510,0x4c09bffa,0x006a2ffc,
    0x4cceec0a,0x6c999999,0xfa809f30,0xc80001ff,0x3ee2001f,0x2bba200e,
    0x407fd510,0xfffd30ee,0x00005fff,0x80007f93,0x98003fc9,0x1f7000fe,
    0x03ee0000,0x3aa00000,0x7fec402f,0x4001efff,0xefffffd8,0x3ff62001,
    0xff71efff,0x7fec401f,0x2001efff,0xefffffd8,0x201fff71,0xffffffd8,
    0x3f62000c,0x001effff,0x7ffffec4,0x3f62001e,0x00cfffff,0xdddfddb1,
    0xed88005d,0x3eeffeee,0x006c8000,0xfffff910,0xfb1005df,0x7fffffff,
    0x7c400001,0x203f1002,0x36a62cfc,0x02abfadf,0x703fc980,0xbffddddd,
    0xfffb1001,0x7dc03dff,0x00aba881,0xeeeeec80,0x3b2002ff,0x02ffeeee,
    0x3fbbbbaa,0xeed880ef,0x03eeffee,0xfddddb10,0x00007ddf,0xfffdddb3,
    0x1ab98003,0x1ab98000,0x26eea000,0x57300000,0x5dd40003,0xb9800009,
    0x4c0000ab,0x980001ab,0x4c0001ab,0xcc800abb,0x01cccccc,0x66666440,
    0x0002cccc,0x980000a8,0x10000aba,0x00035775,0xd001ea00,0x7fffe40b,
    0xfff31eff,0x7777640d,0x32a02ffe,0x001bcccc,0x10035730,0x5c000003,
    0x00accccc,0x666665c0,0x6664c00a,0x32202bcc,0xcccccccc,0x99991002,
    0x00599999,0x99999100,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0013a000,
    0x5d4401f5,0x2e00009b,0x00accccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2000fc40,
    0x000003f8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54400000,0x200aaafd,0x51aeeaaa,
    0xdddddddb,0xdddddddd,0x2e23bddd,0xcccccccc,0xcccccccc,0x0001cccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffee000,0xff303fff,0x326bffff,0xcccccccc,0xcccccccc,
    0xddd31ccc,0xdddddddd,0xdddddddd,0x000005dd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000cc00,0x66666644,0x88001ccc,
    0x0000000b,0x0002aa00,0x00003100,0x4c140000,0x4ccccc40,0x99999999,
    0x00000099,0x22000020,0x260a0001,0xb3016c00,0x01880001,0x00000140,
    0x8806d400,0x01e8803c,0x1000016e,0x00000003,0x04b80950,0x40000000,
    0x28000009,0x004c0000,0xfc800000,0x664c0002,0x2ccccccc,0x00ffe800,
    0x002fb800,0x00007fa0,0x80004fa8,0x320000ec,0xf70fea1f,0xffffffff,
    0x0bffffff,0x40004e88,0x2a0003f9,0x1fb0004f,0x3f200fdc,0x0005fb84,
    0xf1002fcc,0x3f980003,0x85fd1000,0xfb001fe9,0x002fd887,0x0017ea00,
    0x40007f30,0x09f101fa,0x0037aa00,0x001fdc00,0x001fd100,0x000bf200,
    0xb0003fd8,0x0000007f,0x07ffe000,0xfdfd8800,0x03fd0004,0x017ee000,
    0x5fdfd100,0x4c7f7000,0x999fb85f,0x999bfa99,0x3ea05e99,0xa8000efe,
    0x3ee0005f,0x45f90005,0xdf5004fa,0x0007fb11,0x2000dfa8,0x2e0001f8,
    0x10005fef,0x03bea9fb,0xd31bf700,0x5c00003f,0x7dc0005f,0xf10005fe,
    0x01fd883d,0x7f6fecc0,0x3f20000c,0x3a600004,0xfb00001e,0x7fd40007,
    0x13f20007,0x7005c400,0x09d70003,0xb8ff4c00,0x7f4000df,0x4fc80001,
    0x8f7d4000,0x3ee004fc,0x35c17e63,0x0bb01f88,0x17f4d7f2,0x0009f900,
    0xc80027e4,0x0013ea2f,0x003fdfd3,0x4004fc80,0x010adfc9,0x3ea7fb10,
    0xdf70000e,0x7cc0009f,0x00000dff,0x880013f2,0x01df53fd,0xd9dff300,
    0xfc8007ff,0x00bfee1e,0x0000ff60,0x0000ef98,0x0002fd88,0x0002ffc4,
    0x320017ee,0x00df704f,0xbf500000,0x001fe981,0xb00002aa,0xfb80007f,
    0x0077d40d,0x05f893ea,0x80fc41ae,0xd83fd85d,0x03fd803f,0x000ff600,
    0x09f31fdc,0x00076c00,0x9800ff20,0xcfffeffe,0x07fa202e,0x20005fd1,
    0x880002e9,0x6c00004e,0x3a20003f,0x017f441f,0x66f6dc40,0x81fcc000,
    0x7f4007c8,0x3ea00002,0xfd100005,0x0a200003,0x0024c000,0x3e981754,
    0xb8000000,0x00072203,0x00760000,0xd980f200,0x3261dc00,0x7c41ae00,
    0x1d88bb01,0x5f3012e0,0x002d8000,0x00950f20,0x80004010,0x3be6002d,
    0x0ffee60b,0x0f200da8,0x00000000,0x02d80000,0x9006d400,0x00000007,
    0xd8800000,0x1d400001,0x01b10000,0x00000000,0x00000000,0x00006a60,
    0x00000000,0x00000000,0xd7000000,0x2ec07e20,0x00000000,0x00000000,
    0xfa82fd80,0xe8000005,0x00fee00f,0x33310000,0x26662033,0xbca88019,
    0x0000000a,0x88000000,0x31019999,0xccc83333,0x00000003,0x00000000,
    0x2e600000,0x331040ab,0x26620333,0x4ccc4199,0x33331019,0x3fff6203,
    0xfff70dff,0xabca8809,0x00000000,0x02055dcc,0x4cccccc0,0x88019999,
    0x5c00abca,0x3603f106,0x57975104,0x66664041,0x544001cc,0x1020abcb,
    0x22033333,0x3e019999,0x407fc84f,0x99999998,0x7c409999,0x4c41d804,
    0x4cc40099,0x3fffee09,0x7ffd44ff,0xfd105fff,0x019fffdf,0x4cccccc0,
    0x99999999,0x0ccccc41,0x82666660,0x4ffffffb,0x7fffffd4,0x00dfdb15,
    0x33333300,0x22000133,0x00999999,0x4ccccc40,0x99999999,0x3ff6a009,
    0x5f0dfffe,0x9ffffff7,0xffffffa8,0xffffff75,0xfffffa89,0x8df7d45f,
    0xcfb9eeb9,0xdffd101c,0xd8019fff,0x002fffff,0xffeffda8,0xd805f0df,
    0xffffffff,0xfd104fff,0x019fffdf,0x101f8804,0xfdfff701,0x441f17ff,
    0x02feeeed,0x3fbffee0,0xf70f8bff,0xa89fffff,0x05ffffff,0x03710173,
    0xffffffc8,0x4c6fffff,0xff88001f,0xff503fff,0x7dcc5fff,0x99980999,
    0xefa809de,0x01bee60a,0x7fffffec,0xffffffff,0xfffff30f,0x3fff60df,
    0x3ee62fff,0x99980999,0x06c809de,0x7fffec00,0x002fffff,0x7fffffd4,
    0xff5000ff,0xffffffff,0x20bfffff,0x2a20adfa,0xf732fbfe,0x33301333,
    0x7dcc13bd,0x99980999,0x37e609de,0x01b7f200,0x5cc15df5,0x6665406f,
    0x7d4002fc,0x3faa20ad,0x4cc402fb,0x99afa999,0x0aefa809,0x2001bee6,
    0x3f2001f8,0x7ffe440c,0x8017c401,0x7e440cfc,0x27ee61ff,0xe9998099,
    0x0000009d,0x266667b2,0x446d9999,0xf530005f,0x7d4c0137,0x4007a81b,
    0x80bf504e,0x998805e9,0x999fb9dd,0x260fa999,0x100999de,0x503f9333,
    0x204e800f,0x4c40006c,0x1999fb99,0x73333000,0x4c005f5f,0x99999ec9,
    0x85d99999,0xffb803f9,0x9d001ea2,0x9d001ea0,0x3f600dd0,0x3017ea06,
    0x17c400bd,0x7007f300,0x260005ff,0x02fd401f,0xf10017a6,0x00fea003,
    0xf8803ff5,0x403fa802,0x03d41ffa,0x000013a0,0x3ea01720,0x0002fd82,
    0x1ba003f2,0x274007a8,0xe88027c4,0x3d4fe003,0x05d81f30,0x1ea0d900,
    0x36409d00,0x03ea0000,0x6db20000,0x006c8005,0x007f3176,0x00f517e4,
    0x00f504e8,0x00fd44e8,0x9f106f88,0x400fa200,0x7f3002f8,0x0017e400,
    0x3e201f98,0x007d1004,0x5d800fc4,0x8803fd00,0x005d802f,0x007a83fd,
    0x00000274,0x17e202e4,0x05677ec4,0xb80bf100,0x001ea01f,0x001f909d,
    0x7cc017d4,0x07cc0f51,0x2ec001b2,0x274007a8,0x80000d90,0x800000fa,
    0x8001f53f,0xd176006c,0x22f8800d,0x8274007a,0x2274007a,0x8374006b,
    0x3ea000fc,0x002f8802,0x2f8800dd,0x403f3000,0x3ea000fc,0x003f1002,
    0x07cc00fe,0x3e00be20,0xa81f3003,0x26274007,0x3fa07fff,0x80b907ff,
    0x764c00ed,0xa801cfff,0x807f102f,0x2274007a,0x4e8003f9,0x81ea7b80,
    0xb83dc0f9,0x2a09b04e,0x90274007,0x0013530d,0x00000fa8,0x007f07d4,
    0x976006c8,0x0c8002f8,0x09d001ea,0x89d001ea,0x4364005d,0x4e8003f9,
    0x8802f880,0x00c8002f,0x2603f300,0x04e8003f,0x3e003f10,0x2200a003,
    0x003f802f,0xd001ea0a,0x07ecb889,0x641f732a,0x0007ee05,0x007fd751,
    0x00db01fb,0x44e800f5,0x0d50007b,0x303d49b0,0xfd07a81f,0x3d40fa0f,
    0x6c813a00,0x7fffffb1,0x0007d400,0x0d917600,0x2a006c80,0x40001ea2,
    0x8274007a,0x2274007a,0x4364005d,0x0d50007b,0xf5005f10,0x30000000,
    0x001ee03f,0x1f880354,0x0000db00,0x6d802f88,0x003d4000,0x007b813a,
    0x4c0660f7,0xfb80003f,0x2e27c404,0x007a801f,0x001b2274,0x5f1007c4,
    0x301023d4,0x1fbf881f,0x00f502f8,0x27b204e8,0xbf730adf,0x0003ea00,
    0x7cc2f880,0x641b2001,0x00036401,0x274007a8,0x274007a8,0x0db001b2,
    0x3e2000d9,0x4017c400,0x0000006c,0x0d901f98,0x2003e200,0x9f3001f8,
    0x17c40000,0x00027cc0,0x04e800f5,0x03dc01ee,0x00003740,0x25f500d9,
    0x0f5004f8,0x026c4e80,0x7d405f00,0x01f89ea0,0x23ee0fc4,0xa80fc44e,
    0x90274007,0x17dc09ff,0x00007d40,0x013a0f70,0x807f06c8,0xf500004d,
    0xf504e800,0x7d44e800,0xb0df1000,0x017c0009,0x13600be2,0x26000000,
    0x0009b01f,0x0fc4017c,0x159ff500,0x017c4000,0x00acffa8,0x9d001ea0,
    0x7b803dc0,0x0007e400,0xb001f300,0x5400db1d,0x3e274007,0x80fa0003,
    0x54cfd46c,0x6c2f801f,0x00f98d95,0x04e800f5,0x17e013f2,0x00003ea0,
    0x01f704e8,0x26667b20,0x027403f9,0x4007a800,0x800f504e,0xb005e84e,
    0x0007f0df,0x0be201f4,0x000013a0,0x7c07e600,0x00fa0003,0x2e0007e2,
    0x01bdfffd,0x7000be20,0x037bfffb,0x13a003d4,0x0f7007b8,0x7c017cc0,
    0x001f5001,0x4003fdf1,0x2274007a,0x0fa0003e,0x7ffd44e8,0x43f801ff,
    0x7d41f53f,0xe800f500,0x6401b204,0x000fa806,0x2203f300,0xfff9002f,
    0xe807ffff,0x0f500004,0x0f504e80,0x3f984e80,0x74377dc0,0x00fa0003,
    0x09d005f1,0xf3000000,0x8000fa03,0x01f8803e,0x7f65cc00,0x005f1004,
    0x27f65cc0,0x274007a8,0x1ee00f70,0xf802fc40,0x400db006,0x3d4004fa,
    0x0bb13a00,0xf8817c00,0x7d4cfd42,0x3e64e801,0x03dc5f11,0x04e800f5,
    0x03dc01b2,0x800007d4,0x8036c06c,0xf99999ec,0x0002ec03,0x274007a8,
    0x274007a8,0x6cc1dfb8,0x05d86baf,0xf100be00,0x000bb005,0x7cc00760,
    0x4000bb01,0xbaaa982f,0x001aaacf,0x2006fd40,0x200002f8,0x03d40dfa,
    0x07b813a0,0x3f600f70,0x01bff000,0x88007f22,0x03d4002f,0x00d913a0,
    0x7d403e20,0x227b9999,0x325d801f,0x40d72ec7,0x0274007a,0x01ee00d9,
    0x004003ea,0x2666673e,0xc800fb99,0x6c807f06,0x00f50000,0x00f504e8,
    0x3fa604e8,0xd71effef,0x22000d90,0x017c400f,0xf8000364,0x203f3002,
    0x1f10006c,0xffffffb0,0x0000dfff,0x2f8805f3,0x17cc0000,0x09d001ea,
    0x07b803dc,0x82601fa8,0xbaceffcf,0x44002ffc,0x07d4002f,0x07b89d00,
    0x7ec0d500,0x047fffff,0x713a6c80,0x1f502e4f,0xd9027400,0x2a01ee00,
    0x00f9800f,0xfffffff5,0x9009ffff,0xf700720d,0x1f500001,0xfa827400,
    0x2013a000,0x35c0acb9,0x6a8003dc,0x7dd55554,0x20aaaaac,0xf80000fb,
    0x203f3002,0x0d50007b,0x20000000,0x017c405d,0x2a2ec000,0x813a000f,
    0x80f7007b,0x727404f8,0xbfffb711,0x5f100017,0x001f8800,0x03f885f1,
    0x2fe05e80,0x007b9999,0x30be2d70,0xf881363f,0x405f1001,0x00f7006c,
    0x1f3001f5,0x26667760,0x06c99999,0x85c006c8,0x880003f8,0x05f1001f,
    0x7c4007e2,0x86b80002,0x5e8003f8,0x3fffffea,0x4fffffff,0x20000fe2,
    0x01f5002f,0x3a000fe2,0x64002005,0x203dc002,0x016402f8,0x03f11ee0,
    0x7b80be20,0x6e80f700,0x7c404e80,0x17c40001,0xb801f400,0x000fc81f,
    0x07cc0bea,0x212603d4,0x7f01f57a,0x007d00fa,0x06c807ee,0x1f500f70,
    0xf101f300,0x007e2005,0x23f800d9,0x144000fb,0x0fdc00fa,0x3ee007d0,
    0x05c80001,0x7d4001f9,0x000ce802,0x288001f7,0x03e400be,0xfa8003f2,
    0x00df9002,0x06c800dd,0x1ba017c4,0x07d0d900,0xfa807ee0,0x703fcc00,
    0x809d003f,0x440001f8,0x0fb8002f,0xbf106e80,0xb817e200,0x6b80f506,
    0x906d8f98,0x1f700fed,0x6c80dd00,0xf500f700,0x501f3001,0x405e800f,
    0x21fc006c,0x17a6005e,0x0dd001f7,0x6e800fb8,0x207d0000,0xbf1005f8,
    0xd000f300,0xf2f4c00b,0x1017e007,0x17e200bf,0x400fff80,0x9f1001fe,
    0x7402f880,0x09f1001f,0x0dd001f7,0x3ee03f98,0x007f307f,0x03f1013a,
    0x002f8800,0x3600de88,0x037ea01f,0x3a00ff98,0x6c80f504,0x503f9f88,
    0xe8805f1f,0x007f600d,0x01ee00d9,0x3e6003ea,0x54004e80,0x001b200f,
    0x01ef887f,0x3a2077d4,0x007f600d,0x7ec01bd1,0x1fc80001,0x98037ea0,
    0x05a800ff,0x401ef880,0x0ff60efa,0xf5001fb0,0x07fcc01b,0xd00bb300,
    0x1fb001df,0x7402f880,0x0fd800ef,0x3600de88,0x0bfd801f,0x5f79fb73,
    0xd002f445,0x001f8809,0x80017c40,0xd510aee8,0x7df3007f,0x0077dcc3,
    0x01ea05f1,0x07f3e0d9,0x400fe7c4,0xd510aee8,0x00d9007f,0x03ea01ee,
    0x3f103e60,0x203f8800,0x41fc006c,0x5109bff9,0x77440bf9,0x07fd510a,
    0x442bba20,0x40003fea,0xf9803fc9,0x3bee61be,0x2e6fe000,0x37ff3005,
    0x417f2a21,0xb510aefb,0x77cc005f,0x03bee61b,0x3a00ba00,0x5441cfdd,
    0x2f8801ff,0x0e7eef40,0x8807fea2,0xfd510aee,0x3ff62007,0xff71efff,
    0x2aafea1f,0xaaaaaaaa,0x00fc404e,0x3eeaaa60,0x2002aaac,0xefffffd8,
    0x3ff62001,0x100cffff,0x55437f95,0xaaaaaafc,0x0fff06da,0x1000ffd8,
    0x3dfffffb,0x2aeda980,0x455fb530,0xabfcaaa9,0xcaaaaaaa,0x55fb510f,
    0x75554015,0xfb5511ae,0x55555555,0x2207f555,0xeffffffc,0xfffd8802,
    0x44001eff,0x1efffffd,0x3bbbb200,0x22002ffe,0xcffffffd,0x6fecc000,
    0x3ff22002,0x402effff,0xefffffe9,0xffd88000,0x000cffff,0x279006c8,
    0xfffffffb,0x55554c0d,0xaaaacfba,0x3fee791a,0x00dfffff,0xfffffd88,
    0xbba8001e,0xfff50009,0xffffffff,0x001009ff,0xffffff90,0x2000dfff,
    0x40001ab9,0x5c00abb9,0xff15ffff,0xffffffff,0x17fa0dff,0x2000ff70,
    0xfb001ab9,0xfb01dfff,0x3f23ffff,0xffffffff,0x0fffffff,0x7ffffff7,
    0x3ffffe60,0xfffff55f,0xffffffff,0x53007fff,0x26000157,0x980001ab,
    0xcb8001ab,0x000acccc,0x002aee60,0x53000000,0xa8800157,0x300001ab,
    0x40001577,0x2a60000a,0xff900abb,0xffffffff,0x54c0dfff,0x30000abb,
    0x00000357,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000a00,0x00000571,0x806dc000,0x000e42d8,0x1e404b80,
    0x1e401950,0x00014000,0x00000004,0x00130000,0x80000000,0x00620002,
    0x00005000,0x666400a8,0x64c01ccc,0x000002cc,0x8803a000,0x006d400e,
    0x97510079,0x26004157,0x04cccc43,0x01999988,0x6c00351c,0x0003a603,
    0x01019d71,0xccccb864,0x06fc4004,0x6df5c000,0x3ea00006,0x1ef98003,
    0x1b6077d4,0x807dc000,0x3be603f8,0x0017f441,0x8000fd10,0x400003fb,
    0x200003fd,0x4c0002fb,0x4400003e,0xf50000fe,0x3e200009,0xfc80000d,
    0x3bbb6201,0x775402fe,0xa800004f,0x02fc003f,0xfe8801f9,0x200ff4c2,
    0xfffefffb,0xfe880f8b,0xfffff30d,0xffff885f,0x21f903ff,0xbf7000fc,
    0x4005fb81,0x13ffdff9,0x647e20fb,0x8007eeee,0x40000ef9,0x40001646,
    0x000dfdfc,0xdfb97f44,0x0001fa80,0x7440ef98,0x9fec400f,0x20001ef9,
    0x20001ef9,0x000dfdfd,0x007ffa80,0x0009f900,0x00dfefb8,0x01fe8800,
    0x002fdc00,0x000ef980,0x0005fb10,0x26c005f1,0x37f20000,0x7f9000df,
    0x2005fa81,0x01df54fd,0x6440cfc8,0x1fb81fff,0x0199fb88,0x203bd331,
    0x013e65f9,0xfd89ef98,0x10cc8003,0x205ffff9,0x00f702f8,0x0007fa20,
    0x0016a2cc,0xdf33fd88,0xfdf90003,0x0005e807,0xfd9dff50,0x77e4005f,
    0x2a0000df,0xd30000ef,0x007be65f,0x00bff100,0x0007fb00,0x3df34fd8,
    0x077cc000,0x0dfa8000,0x1fe88000,0x00ff4400,0x2002f880,0xd100004d,
    0x007be67f,0x7feeffec,0x77dc000e,0x03fa804f,0x2740ffd4,0x4e800f50,
    0x3fd07f60,0x7ffec400,0x5cc00001,0x40be200b,0x3a20007b,0x41d0001f,
    0xdf10002c,0x002fe883,0xfa801ea8,0xb9100001,0x500019bd,0xfa80007f,
    0x3be60005,0x0017f440,0x10000a20,0x440005fd,0x17ec42fe,0x006fd400,
    0x03be6000,0x07fa2000,0x00077c40,0x6c005f10,0xef880004,0x8017f441,
    0x002ceeca,0x6c00ba60,0x883fd005,0x001ea02f,0x21be609d,0xeb8004fa,
    0x00000000,0x03dc0be2,0x80016400,0x0005ecfa,0x03b80326,0x05e80000,
    0x00000000,0x00ee0000,0x2b809300,0x80000000,0x4c0001e9,0x0012e00d,
    0x8000012e,0x200000d8,0x0193002c,0x002f8800,0x26000136,0x000ee00c,
    0x40000000,0x81f3003f,0x01ea02f8,0x0bf209d0,0x000007fc,0x19999880,
    0x43333310,0x00f702f8,0x2a000000,0x00000000,0x81577300,0x0000fb80,
    0x41359730,0x5e5d4400,0x0000020a,0x00000000,0x0826b2e6,0x00000000,
    0x00000000,0x00000000,0x88000000,0x0136002f,0x20000000,0x400abca8,
    0x99999998,0x99999999,0x82800fe0,0x01ea02f8,0x81fe09d0,0x999883fb,
    0x00099999,0x3fffffee,0x7ffffd44,0x2e05f15f,0x26666207,0x99999999,
    0x26620099,0x40009999,0x99999998,0x09999999,0x3fbff6a0,0xf05f0dff,
    0x7ecc0009,0xf3fffeff,0x3bffee05,0x20f8bfff,0x44009998,0x22019999,
    0x00999999,0x3fff6600,0x85f3fffe,0x44009998,0x99880999,0x33331019,
    0x33333310,0x44000133,0x00999999,0x4ccccc40,0x40999999,0x99999998,
    0x88009999,0x2136002f,0x83fffffc,0x99999998,0x22009999,0xcfffeffe,
    0xfffff700,0xffffffff,0x0036cbff,0x7a80be20,0x7d427400,0xf51be204,
    0xffffffff,0x73003bff,0x3301333f,0x3e213bd3,0x3ea0f702,0xffffffff,
    0x05ffffff,0xfffffff5,0x3fea001f,0xffffffff,0x505fffff,0x754415bf,
    0x0fb82fbf,0x1bdf9800,0x0ffff2a2,0xf91033f2,0x3ffe23ff,0x3ffe606f,
    0xffa85fff,0x00ffffff,0x21bdf980,0x23fffca8,0x03fffff8,0x45fffff5,
    0x45fffffa,0x25fffff9,0xfffffffa,0x001dffff,0x3fffffea,0x3fe000ff,
    0xffffffff,0x3ffe0fff,0xffffffff,0x17c400ff,0xfd309b00,0xfff0399d,
    0xffffffff,0x5df501ff,0xb837dcc1,0xfa99999f,0x5e99999b,0x880013e6,
    0x001ea02f,0x805fb09d,0x764cc1fe,0xeba99999,0x007a804f,0x40be2274,
    0x3b26607b,0x99999999,0x26605d99,0x02fafb99,0x267b2660,0x99999999,
    0x803f985d,0x3f882ffb,0x4027cc00,0x1fd43fe8,0x9987fea0,0x26603ffa,
    0x33009de9,0x05f5f733,0x8804f980,0x5fd4c3fe,0x2fea6009,0x099ec981,
    0x409fc998,0x9999ec99,0x004feba9,0x2bee6666,0x2662002f,0x999bf999,
    0x4cccc419,0x19999bf9,0x2002f880,0x00dfa84d,0x7cccccc4,0xa819999b,
    0x42f4c05f,0x203f106b,0x567fd45d,0x80be2000,0x2274007a,0x7ec00ff8,
    0xf700d903,0x4007a807,0xb80fc44e,0x2006c807,0x6db2005d,0x006c8005,
    0x007f3176,0x07c817e4,0x98013e60,0xe802ec3f,0x0fcf981f,0x64005d80,
    0x7cc00bb6,0x40fe6004,0x06e800fc,0x07b80364,0x1fdc0364,0x0bb6c800,
    0x002f8800,0x20005f10,0x136002f8,0x440009f7,0x04f8802f,0x06b87d10,
    0x417603f1,0x1bdfffdb,0x7a807e60,0x3e627400,0x904fc807,0x803ee00d,
    0x4274007a,0x900f700d,0x002ec00d,0x0003ea7f,0x22ec00d9,0x17c4006e,
    0xdb003f88,0x3f85d000,0xf301f300,0x0bb00bd1,0x01f53f80,0x3a001b60,
    0xb80bf102,0x8036401f,0x8036407b,0x3f8000fb,0x440001f5,0x5f10002f,
    0x00be2000,0x00ff24d8,0x9005f100,0x17d4001f,0x407e20d7,0xecb9805d,
    0x401f704f,0x2274007a,0x5fb806fa,0x1fc00d90,0x4e800f50,0x6403dc00,
    0x40176006,0x000fe0fa,0x12ec00d9,0x0190005f,0x03f8036c,0x4007f000,
    0x3f51f302,0x2a005d80,0x7c00fe0f,0xfa800003,0x9007f102,0x901ee00d,
    0x001fc00d,0x003f83ea,0x4000be20,0xf10002f8,0x6c66c005,0xf880002f,
    0x001fcc02,0x220d7274,0x000bb01f,0x3f261bf5,0x2003d404,0x402fdc4e,
    0x00d906f9,0x00f50274,0x3dc004e8,0x55003640,0x0d917600,0x2a006c80,
    0x00001ea2,0x3e6017cc,0x0db00001,0x361f3000,0xb002ec06,0xf9806c8b,
    0xfb000001,0x3200db01,0xc80f7006,0x0013a006,0x0006c8bb,0x44000be2,
    0x5f10002f,0x2ff76c00,0x02f88000,0x6a8003dc,0x80fc41ae,0x5f30004d,
    0xf5003ffa,0x7dc4e800,0x907f9804,0x807e600d,0x0274007a,0x1b201ee0,
    0xf88000e4,0x9000fcc2,0xd900720d,0x36c00000,0x80001ee0,0x4c0004f9,
    0x6c07f10f,0x985f1005,0x003dc01f,0xb89f1000,0x00d9001f,0x00d901ee,
    0xf88007e6,0x8000fcc2,0xf10002f8,0x0be20005,0x4fbefd80,0x02f88000,
    0xf8800364,0x80fc4020,0x57600008,0x7d405fb8,0xf713a000,0x20df500b,
    0x06d8806c,0x13a003d4,0xd900f700,0x5c000fe0,0x64009d07,0x4d807f06,
    0x3e600000,0x00017602,0x0159ff50,0x3f20f980,0x2e00bb00,0x5d809d07,
    0x7d400000,0x64009f12,0xc80f7006,0x006d8806,0x004e83dc,0x20005f10,
    0xf10002f8,0xf52ec005,0x2f880009,0xf00026c0,0x003f1005,0x47b80059,
    0x07e600fb,0x37d42f80,0x6c82fdc0,0x200ffd40,0x0274007a,0x3b201ee0,
    0x03f99999,0x3ee09d00,0x333d9000,0x4e807f33,0x2f400000,0x000009b0,
    0x2f7fff6e,0x3a07cc01,0x3a00bb04,0x6c01f704,0xd8000004,0x64006d8e,
    0x9999999e,0x36407c99,0x0007fea0,0x003ee09d,0x4000be20,0xf10002f8,
    0x2a26c005,0x3e20003f,0x0001fc02,0x03f1007d,0x6c800dd0,0x0fe017c4,
    0x3e60fcc0,0x904fc807,0xfb95555f,0x0f5003df,0x01f84e80,0xfff900f7,
    0x0007ffff,0x0be203f3,0x7ffffe40,0x027403ff,0x07ea0000,0x0000026c,
    0x027f65cc,0x81fa81f3,0x01f9805d,0x026c05f1,0x77c40000,0x7fe4001f,
    0xffffffff,0x557e407f,0x1effdcaa,0x880fcc00,0x2f88002f,0x005f1000,
    0xd800be20,0x0003fb84,0x03e805f1,0x2200fa00,0x01fe801f,0x2f889f10,
    0x74007e40,0xd803ff06,0xffff903f,0x4003ffff,0x2274007a,0x00f701f8,
    0xf33333d9,0x80d90007,0x33d9006d,0xd807f333,0xe8000005,0xfd80bb05,
    0x05ffffff,0x980dfa80,0x5d86d80f,0x36c06c80,0xffd80bb0,0x005fffff,
    0xd90009f5,0x33333333,0xffc80f93,0x01ffffff,0x6d80d900,0x002f8800,
    0x20005f10,0x136002f8,0x44001fdc,0x002ec02f,0x3f1005f0,0x001dfd00,
    0x02f881fb,0xf9006fc4,0xd00bf603,0x221b201f,0x1ea004fd,0x2f889d00,
    0x0d900f70,0x33e000fe,0xb9999999,0xf06c800f,0x0006c807,0xc80fa800,
    0x66665406,0x30002dfc,0x301f305f,0xf805d87f,0x9999999c,0x80d900fb,
    0xdfccccca,0x005f1002,0x1ee00d90,0x9fb10d90,0x2673e000,0x0fb99999,
    0x0017c400,0x10002f88,0x026c005f,0xf88007f7,0x80036402,0x1f8800f8,
    0x1cfdde80,0x440ffd44,0xaef9802f,0xa80ffa60,0x817e204f,0x017ee06c,
    0x9d0007d4,0x0f702f88,0x00720d90,0xffffff50,0x009fffff,0x700720d9,
    0x0000001f,0x000f509f,0xbb0000fe,0x3f201f30,0xff501760,0xffffffff,
    0x001ea09f,0x5f1001fc,0x200d9000,0x7036407b,0xffa800bf,0xffffffff,
    0x17c4004f,0x402f8800,0xfbaaaaa9,0x11aaaaac,0x75409d55,0xf8802abf,
    0x8003dc02,0x03f1006a,0x3ffee790,0x100dffff,0x3f62005f,0x801effff,
    0x05f900ff,0x13e60364,0x44007e20,0xb817c42f,0x4006c807,0x333bb00b,
    0xd9333333,0xb800d900,0x00007f10,0xf981f700,0x323f8001,0x4c3dc002,
    0x6c9f100f,0x4cceec05,0x6c999999,0xf0003f30,0x017c4007,0x7b803640,
    0x3e603640,0x26776004,0xc9999999,0x017c4006,0x6402f880,0xffffffff,
    0xf76fffff,0x3fe609ff,0x4400ffff,0x01fc402f,0xf8802f40,0x7f530001,
    0x02f88015,0x00dfec40,0x1fe07f90,0x5f700d90,0x2e007d00,0xb817c41f,
    0x4006c807,0x002f883f,0x06c803f1,0x01f71fc0,0x22002880,0x8006e84f,
    0x9001ba3f,0x5401f30d,0x7c40bb1f,0x203f1002,0x03f8006e,0x2000be20,
    0x80f7006c,0x02fb806c,0xf1002f88,0x017c4003,0x0002f880,0x00000000,
    0xfc802f88,0x00bea000,0x20000fc4,0x05f1000e,0x10007d00,0x809f70df,
    0x01fb006c,0x6e800fb8,0x0f702f88,0x3f800d90,0x2f4007a8,0x7f001b20,
    0x3a6005e8,0x207e4005,0x1fc003f9,0x3e2003fd,0x7400f984,0x03d40bb6,
    0x1fcc17a0,0x8800fe00,0x06c8002f,0x06c80f70,0x7a801fb0,0x1002f400,
    0x3e20005f,0x00020002,0x22000010,0x05f8802f,0x4400bf10,0x7ec0001f,
    0x0009b003,0x3f20003d,0x32007f42,0x809f1006,0x3f600de8,0xf702f881,
    0xf800d900,0x54004e83,0x001b200f,0x01ef887f,0x200077d4,0x0cfb83f8,
    0x77f47f00,0x980fd800,0x6d7cc00f,0x50013a05,0x033ee01f,0xf1001fc0,
    0x00d90005,0x00d901ee,0x09d013e2,0x1000fa80,0x3e20005f,0x5fd30002,
    0x07fb1000,0x002f8800,0x7cc01bf5,0x07e2000f,0x401e2000,0x75c002fa,
    0xf1002c9a,0x64027ccb,0x007ee006,0x2a215dd1,0x03f103fe,0x01b201ee,
    0x01f887f0,0xd901fc40,0xf983f800,0xf95109bf,0x83e4000b,0x4c09bffa,
    0x377a2ffc,0x7fd441cf,0x9001f301,0x07e20bdf,0x5407f100,0x64c09bff,
    0x3e2002ff,0x006c8002,0x006c80f7,0x0fc407ee,0x400fe200,0xf10002f8,
    0x05980005,0x0001e200,0x7cc005f1,0x3bee61be,0x5d554c00,0x801aaacf,
    0x006cacf9,0xb8003ff6,0x7dc004ee,0x2a201db0,0x00aaafda,0xb100d774,
    0x03dfffff,0xfffd8fc4,0xfb55107f,0x55555555,0x2a27f555,0x200aaafd,
    0x11aeeaaa,0x5555fb55,0xf5555555,0x3fff2207,0x0002efff,0xfd880744,
    0xbfffffff,0xfffb9e40,0x880dffff,0x01aabfca,0xda88bff1,0x2a00aaaf,
    0x101aeeaa,0xfffffffb,0xaa98017f,0x2aaacfba,0x2abf6aa0,0xaafdaa81,
    0x55fb5510,0x1aee8015,0x1555fb51,0x57755540,0x2eaaaa61,0x42aaaacf,
    0xcfbaaaa9,0x6c02aaaa,0x64004dab,0x26006cac,0xacfbaaaa,0x36202aaa,
    0x0cffffff,0xfffffd80,0x3006ffff,0x880017b7,0x40000002,0xffa80262,
    0x402fffff,0x73005ff9,0xa98a0035,0xff502aaa,0xffffffff,0x27ffffff,
    0x3ffffffb,0xffffff30,0x3ffffeab,0xffffffff,0xa9803fff,0x000000ab,
    0x1abba880,0x55dd4c00,0x3fffea00,0x17ee04ff,0x7ffffff7,0x3ffffe60,
    0xbba8805f,0x3ff2001a,0x6fffffff,0x3fffffa0,0x7ffffcc4,0xfffff52f,
    0xff9805ff,0xffffff75,0x3fffe607,0x3fffa5ff,0xffffffff,0x3ffffa0f,
    0xffffffff,0x02b72600,0x017b9100,0x7fffff40,0x0fffffff,0x00abb980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55dcc000,0x07a60040,0x266204c8,0x4ccc4009,
    0x4cccc419,0x00009999,0x36600408,0x0000ee00,0x999981d1,0x09999999,
    0x00001980,0x404a8000,0x4cccc04b,0x90009999,0x00059999,0xa80fa000,
    0x700f4c06,0x4cccc409,0x13333009,0x2201b700,0x0000002d,0x00da81e4,
    0x012e0254,0x004b8095,0x104d65cc,0x644036a0,0x4406d403,0x0100002d,
    0x99999910,0x36003999,0xeeeeeeee,0x3ff6a005,0x5f0dfffe,0x221ff440,
    0xfff102fe,0x7ffcc0df,0xfff55fff,0xffffffff,0x8990003b,0x07fa202e,
    0x80005fb1,0x7fffec7c,0x6fffffff,0x87bffaa0,0x3ee001c8,0x01fa8005,
    0x7fec09f1,0x2fffffff,0x4eeeef80,0x000bf700,0x13f213f2,0xd887fb10,
    0xffff502f,0xffc87fff,0x7cc02fff,0x0077cc1e,0x2002fdc0,0x4ff81ffa,
    0xf880fd40,0x880fd404,0xffd9804f,0x5f3fffef,0xe985fd10,0x427fc01f,
    0x260007fb,0x2a05fffe,0xeeeeeeee,0x9997003e,0x00999999,0xa882b7ea,
    0xc802fbfe,0x803df35f,0x203ffa99,0x209de999,0x9999ec99,0x004feba9,
    0x100be2ec,0x07be67fb,0x887f1000,0x9bf99999,0xbf300999,0xff7bfd53,
    0x3ffe2003,0x0f7c4001,0x98807f62,0x1999fb99,0x20007f00,0x50002fff,
    0x05fd11df,0x7cc6fe40,0x764cc01e,0xfc988199,0x7fd1001d,0x400037ee,
    0x22001fff,0x803f905e,0x7ec41ef8,0x20f7c401,0x7cc01fd8,0x3f2a21bd,
    0x9fb103ff,0x2e003bea,0x004e982f,0x9759ff70,0x00000001,0x03f98000,
    0x5002ffb8,0x4001bfdf,0xd800fcf9,0x2e01b205,0x893a003f,0xfdf7002f,
    0xf700001b,0x005f1001,0x6ff5c0c4,0x03ff4000,0xeceff980,0x7d4003ff,
    0x003f8000,0x0001ffb0,0x00f7ff44,0x06ff7d40,0xf700d900,0x3bf20009,
    0x7ec0003f,0x0000000f,0xfd9dff30,0x3fe6007f,0x403ffece,0xfe8804f9,
    0x27f7dc03,0x40000000,0x000004f9,0x00200800,0xfc800fe6,0x00fa2002,
    0x017a3e60,0x006c8176,0x93a001f7,0x3e6001f8,0x13e00003,0x00017c40,
    0x00a80000,0x37b6e200,0x0fa8000c,0x0003f800,0x6400002a,0x3a20000d,
    0x406c8003,0x540003fc,0x1500001e,0x80000000,0x00cdedb8,0x66f6dc40,
    0x0027cc00,0x5d3007f3,0x00000000,0x262003f6,0x33101999,0x17ec0333,
    0x1ba02fd4,0x0005f100,0x2a3e6000,0x902ec01f,0x801fc00d,0x0007e63f,
    0x0fb80000,0x0005f100,0x002af2a2,0x00000000,0x0007d400,0x000001fc,
    0x00000000,0x3606c800,0x0000002f,0x26200000,0x33101999,0x00000333,
    0x036c0000,0x00001740,0x055e5440,0x700bf000,0x89ffffff,0x5ffffffa,
    0xff909ff0,0x40017c40,0x0266620c,0x03333310,0x2036c3e6,0x801b205d,
    0x4c5f004e,0x3333100f,0x13333333,0x400bd000,0x744002f8,0x0cfffeff,
    0x26666620,0x00999999,0x26666662,0x03ea0000,0x9880fe00,0x99999999,
    0x44099999,0x99999999,0x40999999,0x99999998,0xb06c8000,0x3310003f,
    0x80013333,0x99999998,0x3ee09999,0x544fffff,0x25ffffff,0x99999998,
    0x4c409999,0x99999999,0x7c099999,0x33100003,0x33333333,0x7ff44013,
    0x000cfffe,0xb98017c4,0x9980999f,0x73009de9,0x54037101,0xff880007,
    0x3fe606ff,0xf985ffff,0x2ec07f10,0x3e600d90,0x2a2f8801,0xffff900f,
    0xdfffffff,0x001fa800,0xfa800be2,0x1bee60ae,0xfffffff8,0x80ffffff,
    0xfffffffa,0x1f50000f,0x2a07f000,0xffffffff,0x5fffffff,0x3fffffea,
    0xffffffff,0x3fffe25f,0x3dffffff,0xfe88d900,0xfffa8001,0x000fffff,
    0x3ffffff2,0x4c6fffff,0x980999fb,0x3e09de99,0xffffffff,0xff50ffff,
    0xffffffff,0x4cbfffff,0xff00001f,0xffffffff,0xdf501fff,0x037dcc15,
    0xa800be20,0x00274007,0x001b2000,0x1ffd4cc0,0x13bd3330,0x07e41f30,
    0x01b205d8,0x7c401b62,0x9ec81ee1,0x99999999,0x02f4006d,0x5400be20,
    0x82f4c05f,0xbf999998,0x26019999,0x2fafb999,0x001f5000,0x64cc07f0,
    0x9999999e,0x4cc5d999,0x999999ec,0x4c5d9999,0x99999bf9,0x6400efdb,
    0x0003ba26,0xafb99998,0x27b2002f,0x99999999,0x4007a86d,0x9999884e,
    0x19999bf9,0x4ccf64cc,0xd9999999,0x80001ee5,0xbf999998,0xfa819999,
    0x002f4c05,0x3d4005f1,0x00013a00,0x00009b00,0x800fcf98,0xd03e605d,
    0x6c817609,0x100ffd40,0x9335f533,0x2e41333f,0x30017d40,0x2f88003f,
    0x1004f880,0x0be2007d,0x176d9000,0x0007d400,0x036401fc,0x01b20bb0,
    0x02f885d8,0xd900ff44,0x0000bfe6,0x80176d90,0x82fa805c,0x0274007a,
    0x32002f88,0x5d976006,0x7c400000,0x004f8802,0x2aa207d1,0x0aaacfba,
    0x9d001ea0,0x4e800000,0x47cc0000,0x205d805e,0x40fd40f9,0x2abf205d,
    0x1effdcaa,0x7fffffc0,0x6fffffff,0x0bf10172,0x88006d80,0x00fc802f,
    0x2200bea0,0x9fc0002f,0xfa8000fa,0x803f8000,0x4176006c,0x2176006c,
    0x0dd002f8,0x7f6fd764,0x7f00000d,0x2e4003ea,0x3d417e20,0x44013a00,
    0x01b2002f,0x001365d8,0x005f1000,0x7d4001f9,0xfffffa82,0x2a04ffff,
    0x26274007,0x3fa07fff,0x004e87ff,0x7d47cc00,0xf302ec01,0x0bb0db01,
    0x7fffffe4,0x331001ff,0x3db333f7,0x202e4133,0x3e6000ed,0x02f88002,
    0x74001fcc,0x002f8804,0x03f83ea0,0x8000fa80,0x006c803f,0x00364176,
    0x005f10bb,0x7fe40be6,0x0007ff24,0x01fc1f50,0x076c05c8,0x274007a8,
    0x2002f880,0xd976006c,0x44000004,0x01fcc02f,0x7c402740,0x001ea002,
    0x7ecb889d,0x21f732a0,0x4c00005d,0x5d80db0f,0x3e603e60,0x0d902ec3,
    0x70009fb1,0x17205d8f,0x6c001fb8,0x05f10006,0xd50007b8,0x0005f100,
    0x001b22ec,0xf04003ea,0x400d9007,0x400d902a,0x002f882a,0x13f203f2,
    0xb0001ba6,0xb9006c8b,0xf500fdc0,0x1004e800,0x0364005f,0x202ec550,
    0xfffffffd,0x2017c405,0x0d50007b,0x54005f10,0x70274007,0x321ee00f,
    0x7cc00006,0x2ec07f10,0x3f201f30,0x06c81760,0xf70017ee,0x406604e8,
    0x7c4003f9,0x05f10003,0xf10006c8,0x002f8801,0x1f985f10,0x4007d400,
    0x9007f0f9,0xc800720d,0x22003906,0x07e2002f,0x04f881b2,0xf985f100,
    0xf3019801,0x4007a807,0x05f1004e,0x01c83640,0x332a0364,0x402dfccc,
    0x036402f8,0x4400f880,0x01ea002f,0x03dc09d0,0x00fb87b8,0xc83e6000,
    0x4c0bb00f,0x6c9f100f,0xf301b205,0x3a364009,0x00dd0004,0x44000f90,
    0x0026c02f,0x2f8805f0,0x3a0f7000,0x007d4004,0x803f87cc,0x4007f06c,
    0x2007f06c,0x1fc002f8,0x07ea0364,0x2741ee00,0x201ba000,0x0274007a,
    0x32002f88,0x7a807f06,0x1007f000,0x004d805f,0x5f100be0,0x2003d400,
    0x401ee04e,0x003f887b,0x9d03e600,0x0f981760,0x02ec7ea0,0x05f700d9,
    0x4cf6cccc,0x00099cf9,0xf88001f9,0x0be20003,0x740007f0,0x0017c403,
    0x01f704e8,0x4c007d40,0xd9007f0f,0x07f33333,0x4cccf640,0x5f1003f9,
    0x6c84d800,0xe8005e80,0x0001f704,0x1ea003f2,0x22009d00,0x27b2002f,
    0x403f9999,0x3f8001f9,0x7c02f880,0x00fa0003,0x3d4005f1,0x7b813a00,
    0x3ee0f700,0x4c144000,0x6c0fd40f,0xd003e605,0x06c8176d,0xff901fb0,
    0xffffffff,0xf9801fff,0x00fc8002,0xd00be200,0x01f40007,0x26000be2,
    0x005f101f,0x7cc007d4,0xff9007f0,0x007fffff,0x7fffffe4,0x05f1003f,
    0x06c85d80,0x26001fa8,0x005f101f,0x2a005f30,0x80274007,0x3f2002f8,
    0x03ffffff,0x3f8006e8,0x7402f880,0x00fa0003,0x3d4005f1,0x7b813a00,
    0x2f40f700,0xf30bd300,0x0bb0db01,0x3e6007cc,0x01b205da,0x4cc427c4,
    0xbf999de9,0x2fc40099,0x0027c400,0xbb00be20,0x2017c000,0x6c8002f8,
    0xf50036c0,0x3e1f3001,0x999ec803,0x32003f99,0x3f99999e,0x8005f100,
    0xd006c85d,0x20364009,0x2fc4006d,0xe800f500,0x005f1004,0x4ccccf64,
    0x03f9803f,0x7c401fc0,0x0002ec02,0x02f8805f,0x9d001ea0,0x7b803dc0,
    0x5007be20,0x01f301df,0x205d87f3,0xefc800f9,0xb801b205,0xf127401f,
    0x007ec003,0x00007dc0,0x0d900be2,0x1003e200,0x39f0005f,0xf7333333,
    0x003ea001,0x401fc3e6,0x4007f06c,0x2007f06c,0x1f4002f8,0x0fb80364,
    0x33339f00,0x001f7333,0xf50007ec,0x1004e800,0x8364005f,0x19f7003f,
    0x2200fe00,0x0036402f,0x7c400f88,0x003ea002,0x01ee04e8,0x3fe603dc,
    0xbf95109b,0xfc807cc0,0x32a21760,0xf101aabf,0xfdaa88bf,0x77400aaa,
    0x7cc7f01a,0x403f5001,0x8009d009,0xcfbaaaa8,0x1ee1aaaa,0x44035400,
    0x7fd4002f,0xffffffff,0x9555304f,0x5555557f,0x0fe1f955,0x00e41b20,
    0x00720d90,0xf10017c4,0x2bf6aa25,0x59f100aa,0x7fffd405,0x4fffffff,
    0x4c03f500,0xd0007d40,0x00be2009,0x003906c8,0x204dffd4,0x8802ffc9,
    0x003dc02f,0x2f8806a8,0x4007e200,0x01ee02f8,0x7e4403dc,0x02efffff,
    0x4f8807cc,0x3ffea176,0x3ee04fff,0x7ffffd45,0x7fcc02ff,0x07cc5f05,
    0x3a027c40,0x4001fa84,0xfffffffc,0x3e26ffff,0x805e8003,0x6ec002f8,
    0x99999999,0xfff906c9,0xffffffff,0x3e1fffff,0x4006c803,0x4006c80b,
    0x0017c40b,0x3ffe61f5,0x3602ffff,0x3bb00fff,0x33333333,0x09f100d9,
    0x00fc44e8,0xf1002f88,0x00364005,0x7fec402e,0x0bffffff,0x8805f100,
    0x05e8003f,0x74002f88,0x403f7003,0x00f7007b,0x000ace98,0x8fd401f3,
    0x0000005d,0xf8800000,0x3a003ea2,0x5e84e806,0x019d0000,0x54001f90,
    0x02f8802f,0x4400be20,0x4000001f,0x006c803f,0x003641fc,0x005f10fe,
    0x00000364,0x22005f10,0x4037401f,0x7003e84e,0x0be2003f,0x7c006c80,
    0xabba8803,0x02f88001,0x2a000fc8,0x01fa802f,0x74007dc0,0x2007d406,
    0x1d8007f9,0x2007cc00,0x2000bb6e,0x00400000,0x3d43f100,0x7400fdc0,
    0x0000fd44,0xbf1003cc,0x4017e200,0x1ea002f8,0x1000bd00,0x6401fc00,
    0x641fc006,0x221fc006,0x07f5002f,0x2a000080,0x702f4007,0x709d003f,
    0x00dd001f,0xd90017c4,0x1003f800,0x05f10000,0x2200bf10,0x00fd005f,
    0x6c01bd10,0x01fcc01f,0x9000fff7,0x07cc007f,0x0176be60,0x000ff620,
    0x000bfa60,0x407b87e6,0x89d003f9,0xb500006e,0x00dfa800,0x44003fe6,
    0x013a002f,0x44001f50,0x03f803fd,0x1fc006c8,0x0fe00364,0xdf3005f1,
    0x03fd8800,0x54004e80,0x003f980f,0x01bd109d,0xf1000fec,0x00364005,
    0x3f6200fe,0x0be20003,0x3006fd40,0x9f3001ff,0x2bba2000,0x007fd510,
    0x6dcc2ff6,0x002afbcf,0x1f3000e8,0x00bdf900,0x00003c40,0x1f3000b3,
    0x0bd10364,0x05f32740,0x5cdfc000,0x1bef9805,0x8003bee6,0x3f1002f8,
    0x003f8800,0x03f80788,0x1fc006c8,0x0fe00364,0x7dc405f1,0x0f10000e,
    0x4001f880,0x02f443f8,0x3ba209d0,0x07fd510a,0x2002f880,0x01fc006c,
    0x44000f10,0x3be6002f,0x03bee61b,0x3bf266ee,0x3f620000,0x001effff,
    0x3fffff62,0x01fff71e,0x035d6fc4,0x555fe544,0x00bff101,0x006cacc8,
    0x026d5ec0,0x816e3cc0,0xaaaaabfa,0x24eaaaaa,0x4c00006d,0xb1002dfd,
    0x19ffffff,0x5d5554c0,0x22aaaacf,0x0aaafda8,0x2bbaaaa0,0x36566401,
    0xafffffc0,0xaaafdaa8,0xaaaaaaaa,0x5fb5513f,0x55555555,0x7dd47f55,
    0xfdbaaaac,0x664000df,0xb51006ca,0x5401555f,0xf51aeeaa,0x55555557,
    0x4409d555,0x1efffffd,0x5d5554c0,0x22aaaacf,0xaaafdaa8,0xaaaaaaaa,
    0x6566403f,0x55553006,0x555559f7,0x7fffec40,0xff900cff,0x00001bff,
    0x0000d5cc,0x00013775,0x800bdb88,0x4ffffffa,0x10017ee0,0x800017b9,
    0x0000adc9,0x7fd40101,0xffffffff,0x00764fff,0x20000000,0xe800abb9,
    0xffffffff,0xff70ffff,0x2607ffff,0x05ffffff,0x4005ee44,0xf51aaaaa,
    0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,0xffff13ff,0x15bfffff,
    0x2f722000,0xffff7000,0x3fe607ff,0xff55ffff,0xffffffff,0x26009fff,
    0xffd001ab,0xffffffff,0x3ffea1ff,0xffffffff,0x403fffff,0xd000bdc8,
    0xffffffff,0x3001ffff,0x26001577,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x5c0000a8,0xcccccccc,0x00544003,
    0x88001510,0x001b503c,0x000de544,0x80000350,0x001b503c,0x00da81e4,
    0x2d880da8,0x33333100,0x33333333,0x33310013,0x00001333,0x00000544,
    0x644016c4,0xcccccccc,0x99971001,0x44019999,0xcccccccc,0x0a88001c,
    0x32e62000,0x0ccccccc,0x99999950,0x20000799,0x8002d43b,0x00c402d8,
    0x00100022,0x002200c4,0x010000a8,0xff910000,0xb004a87f,0xdddddddd,
    0xffd3001d,0xffc807ff,0xfa824c3f,0x804ff81f,0xfffefff9,0x3ffaa003,
    0x0007221d,0x9ff03ff5,0x207fea00,0x4ff804ff,0xfa807fb8,0xffffffff,
    0x05ffffff,0x7fffffd4,0xb80000ff,0x00004ece,0x2a007fa2,0xeeeeeeee,
    0xacfc803e,0x00eaaaaa,0x3bbbbbaa,0x6c003eee,0x4c003ece,0xaacecefd,
    0x3b602acd,0xeeeeeeee,0x17e40000,0xd10009f5,0x406b803f,0xffd9805d,
    0x1fdc02ef,0xf9003fa8,0x3b22003f,0x7dc01cef,0x645fec04,0x005fdbff,
    0x6fdc0000,0x904fea9b,0x97ff937f,0x417a20bf,0x6fdc01fc,0x013ee60a,
    0x3faa37e6,0x4001ffbd,0x03f905e8,0x7e417a20,0x982fb801,0xd933004e,
    0x33333333,0x3300bb33,0x05f5f733,0x0ec68800,0x077cc000,0x2e000000,
    0x0007400d,0xd1660000,0x87bf2001,0x0000b22d,0x1fdc0000,0xf3000bf3,
    0x07f5001d,0xdf900fea,0x80bfb757,0x13f20dfb,0x3f6ff620,0x567f4403,
    0x3f605ffc,0x36204c07,0x000003ff,0xfa81fcc0,0x7ec40982,0x4000004f,
    0x37d404fc,0x3fae0620,0x0000000d,0x00000000,0x006c8000,0x5b200176,
    0x2540005d,0xf500012e,0x0000001b,0x01d003f0,0x2c800000,0x7fd40164,
    0x005916c0,0xf7000000,0x4002fcc7,0x36000dfa,0xefc98acf,0x540fee00,
    0x577cc04f,0xef9802fe,0x74037ee1,0xb02fa81e,0x000000ff,0x02af2a20,
    0x17a02f40,0x00000100,0x26007f30,0x0000003f,0x00000000,0x00000000,
    0x02ec00d9,0x00fa9fc0,0x03b1a200,0x002fcc00,0x26666662,0x10099999,
    0x3103200d,0x33333333,0x00133333,0xd800e8b5,0x0b22d84f,0x26666620,
    0x7c400009,0x4c002fc4,0xff90005f,0x4401bfff,0x00fd404f,0x2007bf62,
    0x6f980df8,0x3ea01fa8,0x4c46fd80,0x4cc40099,0x3fa20199,0x00cfffef,
    0x8f7007ea,0x99999998,0x4c409999,0x99999999,0x006e8099,0x331007e4,
    0x80013333,0x44009998,0x4cc40999,0x99999999,0x22009999,0x00999999,
    0x6c00d900,0xf07d4005,0xbec80007,0x0180006d,0xffffff80,0x0fffffff,
    0xf50003f0,0xffffffff,0x0bffffff,0x013af7a0,0x916c07fc,0xffffa805,
    0x0000ffff,0x30000c0c,0xaa988000,0x800fa800,0x8007004e,0x2740c401,
    0x37e42ec0,0x40dffff1,0x5ffffff9,0x260aefa8,0x017606fb,0xffff87e6,
    0xffffffff,0x3ffffe0f,0xffffffff,0x10007ea0,0x3ffea09f,0x000fffff,
    0x07fffff1,0x4bffffea,0xfffffffa,0xffffffff,0xfffff505,0x90001fff,
    0x0015400d,0x000d9176,0x00003710,0x26620400,0x999bf999,0x0eea8819,
    0x9ec99800,0x99999999,0x2e6005d9,0x6c1fe000,0x26600b22,0x02fafb99,
    0x00000000,0xc8000000,0x000bb006,0x2f800000,0x7e40fa80,0x1ffd4cc5,
    0x13bd3330,0x74c05fa8,0xf1009d05,0x4ccccc43,0x419999bf,0xbf999998,
    0x36419999,0x2606c800,0x2fafb999,0x26fea600,0x06fea600,0x3333d933,
    0xbb333333,0x7dccccc0,0x6c8002fa,0x88000390,0x000fcc2f,0x26000000,
    0x01fb80aa,0x764017c4,0x0001ecbd,0x02ec00d9,0x03fe0000,0x8002c8b6,
    0x0000bb6c,0xaa980000,0x1a988001,0x3600f500,0x01aa9804,0x201aa980,
    0x2f8801f9,0xcf982fdc,0x885d800f,0x07d1004f,0x3b72205f,0x017c401f,
    0xe802f880,0x00f50004,0x8005db64,0x06e800fc,0x0bb00364,0x005db640,
    0x007f06c8,0x09d07b80,0x04d54c00,0xfffe9800,0x09f72eff,0x68805f10,
    0x4000cfa8,0x0176006c,0x07fb0000,0x4001645b,0x3001f53f,0x7f40ffff,
    0x7edc07ff,0x4aaeffff,0x3ffffee0,0x07e201ef,0x36e03f10,0xaaefffff,
    0xffffb704,0x7c4955df,0xfb89d001,0x0bd1f305,0x01f90bb0,0x3f117d40,
    0x3fbbff70,0x0002f880,0x07f005f1,0x4007e600,0x8001f53f,0x0fdc05f8,
    0x5d801b20,0x07d4fe00,0x2667b200,0x40003f99,0x001f704e,0x3ffff6e2,
    0x32001dff,0xfd931aef,0x3e2009fd,0xc8825402,0x01b2002f,0x3ffe65d8,
    0x1ffffa07,0x8b617fc4,0x07d4002c,0xd971007f,0x3ee6540f,0x26139fb0,
    0xe886ffdb,0xfd5309cf,0xb0076c09,0x4273f60f,0xd86ffdb9,0xfb7309cf,
    0xa803e8df,0x9827d46f,0x6c01fa8f,0x4001fcc5,0xf703e64e,0x2200fc47,
    0x5f10002f,0x0002f880,0x1f5005f1,0x7d4001fc,0x9007f102,0x802ec00d,
    0x000fe0fa,0xfffffff9,0x0fcc0007,0xfb002f88,0x3aa6137b,0x03fc801f,
    0x88007fe4,0x201e802f,0x6c801ee9,0xcb88aa00,0x3732a07e,0x4b3fa607,
    0xb000b22d,0x5c006c8b,0x2a0f7007,0x437d403f,0x27dc01ee,0x510afd88,
    0x07f503dd,0x1fd46fa8,0x0d91bea0,0x7d46ff88,0x1b61f304,0x007b8bb0,
    0x107ccd50,0x401f88df,0xf10002f8,0x002f8805,0xbb005f10,0xfb0006c8,
    0x3200db01,0x400aa006,0x2003645d,0xf99999ec,0x01b20003,0x440000db,
    0x017d406f,0x4013f3ea,0x1ea802f8,0x90067d40,0xb800720d,0x500f7007,
    0x1645ffdb,0xf985f100,0x401ee001,0x200f907b,0x8007e46d,0x3ff601fb,
    0xf900efff,0x0f91b600,0x07f31b60,0xf31efb62,0x7c43e607,0x0d917603,
    0x7cc3e200,0x3f10bea0,0x0002f880,0x07f005f1,0x1007e600,0x001f985f,
    0x0fdc4f88,0x03906c80,0xf30be200,0xf8364003,0x273e0003,0xfb999999,
    0x3ee00000,0xa80bf100,0x1003f54f,0x13e6005f,0x3201d910,0x5c007f06,
    0x800f7007,0x800b22d8,0x4009d07b,0x20f7007b,0x218802fa,0x36c002f9,
    0xeccdef98,0x005f502f,0x802fa831,0x4c3fa818,0x7cc7a8ee,0x7e41f303,
    0x04d8bb00,0x07ccbe00,0x01f881f5,0x880017c4,0x004e802f,0x0f700f50,
    0x7d40013a,0x64009f12,0x20007f06,0x4009d07b,0x0003906c,0x3fffffea,
    0x004fffff,0x4c07e600,0xd13ea00f,0x005f1009,0x2e017644,0x3333d906,
    0x3dc007f3,0xd8007b80,0x4e800b22,0x2e001f70,0x220f7007,0x2e000bfe,
    0xa87a8007,0x109f503f,0x880017fd,0x70000bfe,0x21dfddff,0x9817cc7b,
    0x5d82740f,0x7d0001fc,0x43f983e6,0x17c401f8,0x802f8800,0x0d90006d,
    0x03ee09d0,0x36c76c00,0x2667b200,0xd0003f99,0x4003ee09,0x005c006c,
    0x26666776,0x006c9999,0x0fcc3330,0x17ea07b8,0x0be20176,0x8037a600,
    0xffffc82d,0x2e003fff,0x000f7007,0x9801645b,0x005f101f,0x03dc01ee,
    0x337bfff2,0xcccec80a,0xcccccccc,0x0fe61fcc,0x3f205f30,0x00acdeff,
    0x66f7ffe4,0xbca8800a,0x0be236c0,0x07ea07cc,0x0007d176,0x6c0f99f4,
    0x803f10af,0xf10002f8,0x003f3005,0x7cc04f88,0x0005f101,0x0007fbe2,
    0xfffffff9,0x03f30007,0x36400be2,0xf880fe00,0x003f1002,0xffffff93,
    0x1b203fdd,0x06b82fd4,0x20002f88,0x909703fb,0x7f33333d,0xb803dc00,
    0x322d8007,0xd80d9002,0x200f7006,0xcaa8807b,0x7ec2fffe,0xeeeeeeee,
    0x21eeeeee,0x40b9006b,0xfffecaa8,0x76554402,0x40002fff,0x3e60285e,
    0x45d86d80,0x4be0005d,0x7ff441f9,0x7c404fee,0x05f10002,0xf9001ba0,
    0x6c06c801,0x13ea0006,0x2667b200,0xc8003f99,0xc8036c06,0x501fc006,
    0x405e800f,0x99aacffc,0xf701fdba,0x2e40bf30,0x00017c40,0x74c47b62,
    0x07f06c80,0x7b803dc0,0x0b22d800,0x4ccce7c0,0x800fb999,0x00f7007b,
    0xb93f2a20,0x09b00006,0x51001ea0,0xa88009f9,0xf10004fc,0x80f98007,
    0x322ec3f9,0x21f10006,0x9b9502f8,0x02f8809d,0x2005f100,0x7f3003f9,
    0x33339f00,0x001f7333,0x2000be20,0x0007f06c,0x3333339f,0xd9001f73,
    0x3a03f800,0x807d4004,0x1f9803fc,0x2fcc1f50,0x3e2013a0,0xdf500002,
    0x41b205bf,0x01ee001c,0x16c003dc,0xfff50059,0xffffffff,0x200f7009,
    0xfa80007b,0x00001f50,0x03e6007f,0x0007d400,0xd8000fa8,0x07cc000f,
    0x71760fc8,0xf1aa000f,0x7c400007,0x05f10002,0x2a027dc0,0xfffa805f,
    0xffffffff,0x05f10004,0x0720d900,0xfffff500,0x09ffffff,0x3f800d90,
    0x88003f10,0x003f883f,0x53e203f3,0x17cc05f9,0x00017c40,0x0d900f50,
    0x07b80b80,0x5b000f70,0x4eec0164,0x99999999,0x007b806c,0x800b30f7,
    0x0007f13f,0x9ee00bb0,0x99fc0059,0x001fc005,0x26000fea,0x6c9f100f,
    0x4001fc45,0x0002ec5e,0x20005f10,0x7dc002f8,0x9f9510ae,0x26677600,
    0x6c999999,0x005f1000,0x0b800d90,0x33333bb0,0x20d93333,0xaaafdaa8,
    0xaaaaaaaa,0x57ed443f,0x2aaa00aa,0x03ea1aee,0xf700fcc0,0x5e880bf7,
    0x2005f100,0xc803d000,0x5c1fc006,0x000f7007,0x2201645b,0x03f1002f,
    0x7cc00fa8,0x3001fb87,0x000fdc7f,0x3a003ee0,0x4c007ee5,0x2003f73f,
    0x3e6003f9,0x01f30005,0xc85d8fd4,0x0bea000f,0x200003f5,0xf10002f8,
    0xffb30005,0x2005dfff,0x3f1002f8,0x005f1000,0x3f800d90,0xf1002f88,
    0xfffff503,0xffffffff,0xffb87fff,0xf303ffff,0x54bfffff,0x1fe8800f,
    0x10077f40,0x3e2001fd,0x3600f002,0x20036402,0x400fa83f,0x2d8007f9,
    0x00f500b2,0x1fcc05e8,0xf70fff70,0x81fd001b,0x5f7001fd,0x3f200ee8,
    0x20037ee0,0x01bf70fe,0x32001fd0,0x1dfb00df,0x6e801f30,0x00bf10bb,
    0x02f417e2,0x002f8800,0x40005f10,0x4000adfc,0x02f4007a,0x40017c40,
    0x41fc006c,0x02f4007a,0x003d5000,0x3036e000,0xfffa809f,0x3bffe601,
    0x07bee61c,0xf002f880,0xc801f100,0x4c1fc006,0x1ffee03f,0x02c8b600,
    0x3ea00274,0x985fec00,0x2afbcfdb,0x106fffee,0xf9105fd5,0x7dcc413b,
    0x0aff984f,0xfb85fd31,0x75441bff,0x2fffee2f,0x217f5441,0x7fd7310a,
    0x427ffd40,0x57cc00f9,0x01bf505d,0xfa807fcc,0x2200e605,0x5f10002f,
    0x39fb1000,0x27405403,0x0003ea00,0xd90005f1,0x4e83f800,0x0007d400,
    0x00001d80,0x67e403a0,0x2b7f6a62,0x77cc2abf,0xfffffea8,0x2f88003f,
    0x3ea80f00,0x7c006c80,0x2617fb03,0x2afbcfdb,0x02c8b600,0xf10007e2,
    0xfffd8807,0xfff71eff,0x3ff23a61,0x01efffff,0x7fffff54,0x36200cff,
    0x80efffff,0xffffc8e9,0x74c1efff,0xffffffc8,0x7ffc41ef,0x4c01ceff,
    0x0f982fff,0x205efc80,0x2e61bef9,0x77dc00ef,0x04fda99b,0x10002f88,
    0xfe98005f,0xacefffff,0x0fc41ffc,0x000fe200,0xd90005f1,0x7c43f800,
    0x01fc4001,0x0001e800,0x64083a00,0x1effffff,0xee8dfff3,0x00d654c0,
    0xfbaaaa98,0xf82aaaac,0xefeeeeee,0x3f6aa203,0xaaaaaaaa,0xb103faaa,
    0x23dfffff,0xdb00fffb,0x3be6dfdd,0x5fb511ee,0x55540155,0x5d401aee,
    0x3100009b,0x80015795,0x0009bba8,0x00055d44,0x01579531,0x2af2a620,
    0x0055cc00,0x95107260,0x2203557f,0x7ec405ff,0x00cfffff,0xdffffd30,
    0x75555305,0x8555559f,0xcfbaaaa9,0x3602aaaa,0xca99abdf,0x2a20dffe,
    0x200aaafd,0x01aeeaaa,0x59f75553,0x2aa20555,0xaaaaaafd,0x13faaaaa,
    0x01555fb5,0x0d775554,0x36faa000,0x75400006,0xbba885ec,0x00540009,
    0xffffd000,0xffffffff,0x99999981,0xfffa8009,0xffffffff,0x403fffff,
    0x00009bba,0x4c333333,0x3ffee199,0xff303fff,0x000bffff,0x00000000,
    0x00000000,0x00000000,0x7fd40000,0x2e04ffff,0x2ee6005f,0x0660000a,
    0xffffffd0,0x41ffffff,0xfffffffe,0x000fffff,0xffff7000,0x3fe607ff,
    0xf905ffff,0xffffffff,0x3fffea0d,0xffffffff,0xff73ffff,0x2607ffff,
    0x05ffffff,0x00ab8800,0x01a88000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04000000,0x40005000,0x40044018,
    0x00044018,0x004c0004,0x00a20006,0x59076200,0x000f2000,0x20091000,
    0x40188000,0x0c00c008,0x02200c40,0x014c0000,0x98005b10,0x0130001d,
    0x00000018,0x200000a0,0xb10002d8,0x10000003,0x1d88003b,0x00ec4000,
    0x4000a000,0x00801801,0x3bff72a0,0x3bf62003,0x406b8000,0x406b805d,
    0xffb1005d,0x3ba003bf,0x000fd881,0x80013fe6,0x07f60ee8,0x005fb100,
    0x00fa8000,0x07dfffd7,0x7d40fee0,0xb803e603,0x504fb807,0xca88009f,
    0x027c409b,0x8000fe98,0xee8001fe,0x000fd881,0xb10000f8,0x200001df,
    0x20001fe8,0x000002fe,0x20003be6,0x740002fe,0xd880001f,0x77c000ef,
    0x100fd881,0x6c403dfd,0x05cabcef,0x5fd5fd30,0x503fa800,0x07f5007f,
    0x3e600fea,0x03febace,0x3a63fe88,0x37ee002f,0x44000dfb,0x00bf20fe,
    0x8803fd10,0x31009999,0x50dd5333,0xf9557bff,0x1bf7001d,0x3e2027e4,
    0x200bf105,0x13f20dfb,0xfefff980,0x003ba3ff,0x40003be6,0x44002fd8,
    0x0bfa63fd,0x0007e200,0x0bfabfa6,0x01df3000,0x007fb000,0x01bf5000,
    0x001fec00,0x0005fb10,0x17f57f4c,0x4c5fd100,0x3fea01ef,0x03ff504f,
    0xb06fdc00,0xcfd8009f,0x00efc98a,0x93159fb0,0xef8801df,0x9002fc80,
    0x001df7bf,0xfe98ff62,0xc87f6001,0x77cc002f,0x7fffcc00,0x7ffc42ff,
    0x7d41dfff,0x00dd100d,0x0bfabbe6,0x4c56fdc0,0x26001feb,0x002feaef,
    0xc982b7ee,0xa801fddf,0xc80000df,0xdfc8004f,0x10000efa,0xefb8003f,
    0x40013f20,0x00000dfa,0x800013f2,0x900005fb,0xfc80009f,0x0dfb8004,
    0xf90013f6,0x8801bf79,0xdfa82fff,0x13ea0000,0x320027dc,0x00dfffff,
    0x7ffffe40,0x00fc800d,0xffa801ba,0x40fec004,0xfc801fd8,0x1000fea1,
    0x2e2001bf,0x3310199f,0x00e601bd,0x6c400fee,0x7dc001ef,0x001effff,
    0x001efd88,0xff5013f2,0x009f3005,0x002fb800,0x0004ffa8,0xf5000fc4,
    0x0013ea09,0x000009f3,0x20000bee,0x400004fa,0x5c0002fb,0x13ea003f,
    0x2a0027dc,0x2a2003ff,0x0005f881,0x00440188,0x00554c40,0x01553100,
    0xf500fe20,0x00144005,0x4006004c,0x8000c408,0x007a8001,0xf8000274,
    0x0001c005,0x00035531,0x3f980070,0x003ff980,0x26000003,0x00510000,
    0x4003f100,0x00044018,0x2000000c,0x03000009,0x00260000,0x88002600,
    0x40004401,0x36000019,0x0000000f,0x00000000,0x00fb8000,0x000005e8,
    0x00000000,0x7a800000,0x00027400,0x000006d8,0x00000000,0x7c403740,
    0x00000fcd,0x00000000,0x37f66000,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02f98000,0x00000000,0x00013530,0x00b90000,
    0x2a6201f6,0x55440001,0x26a60001,0x2aa20000,0x800f5001,0xf880004e,
    0x03551004,0x026aa600,0x01353000,0xdd003f50,0x26007f11,0x2600009a,
    0x5300009a,0xe9800135,0xedffdcef,0x00000002,0x00000000,0xa8806a20,
    0x0d4c4000,0x13553000,0x0d4c4000,0x00000000,0xfd8001ae,0x7dc04fff,
    0xd300efff,0x05dfffff,0xe81fffe6,0x09d07fff,0xffb81ee0,0x001effff,
    0x3ffffff2,0x3a60698d,0x02efffff,0x3fffff20,0x7a8698df,0x00027400,
    0x3f200fdc,0x98dfffff,0xfffdb886,0x2001dfff,0xefffffe9,0x3201b202,
    0xe981f21f,0x02efffff,0xfffffd30,0xfdb8805d,0x01dfffff,0xf980dfa8,
    0x0ffff33f,0x4c3ffff4,0x3fa07fff,0xfff987ff,0x1ffffa07,0x5ffffd70,
    0x01ffff4c,0x7fffffdc,0x7edc401e,0x01dfffff,0x3ffffee0,0xfff301ef,
    0x3ffff40f,0x0009b030,0x00e67ed4,0x40f7f326,0xb531aefb,0xfd97109f,
    0x83ee6540,0x81f5003f,0x5309cfe8,0xee9809fd,0xfea9889b,0xaefb80fd,
    0x809fb531,0x9889bee9,0x540fdfea,0x00274007,0x4c09f930,0xa9889bee,
    0x7ec0fdfe,0xfd5309bd,0x35df7003,0x7413f6a6,0x2a1fd404,0x1aefb80f,
    0xb809fb53,0xfb531aef,0x4defec09,0x403fd530,0x9fd404f8,0x2a07ecb8,
    0xcb887dcc,0x3732a07e,0x07ecb887,0xb81f732a,0x9fd989df,0x3fd9aee8,
    0x2139fd10,0x3604fea9,0xd5309bdf,0xcfe8803f,0x09fd5309,0x540fd971,
    0x3f107dcc,0x3fae63e8,0x00fc403d,0x7dc0be20,0x702fd403,0x7c1ee00f,
    0xe83f3002,0x827dc01e,0x7e400df9,0x201fdc0f,0x1bf305fa,0x540ffc80,
    0x00274007,0x80fffb32,0x7e400df9,0x6f88000f,0x2a01fdc0,0x2603f85f,
    0x5c1f984f,0x82fd403f,0x2fd403fb,0x40df1000,0x703b006c,0x701ee00f,
    0x701ee00f,0x101ee00f,0x2e1b7b60,0x401ee80f,0x220004fb,0x00f7406f,
    0x07b813ee,0x8be20f70,0x79df71f8,0x1fc01bfb,0x80fa8098,0x5f5003f9,
    0x3dc01ee0,0x3f3002f8,0xfb8007e4,0x36005e81,0x400fe60f,0x005e82fa,
    0x00f503f6,0x7ec004e8,0x17a00eff,0x0000fd80,0x0fe601f7,0x5f117d40,
    0x7c41ba20,0x5400fe62,0x801fcc2f,0x2e0002fa,0x0009d00f,0x0f7007b8,
    0x0f7007b8,0x0f7007b8,0x407fea00,0x8007e44e,0x2e0001fb,0x001f900f,
    0x03dc07ee,0x47f307b8,0x983fb9f9,0x2e17605f,0xbd06b84f,0xb80fc800,
    0x3e0f7007,0x263f3002,0x236c002f,0x1ea001fa,0x0fc800bd,0x7a8007ea,
    0x274007a8,0x1eea8800,0x2a001fa8,0x07e60007,0x3f2002f4,0x3f605f10,
    0x2f45f100,0x5e83f200,0x0007e400,0x07f01f98,0x7007b800,0x7007b80f,
    0x7007b80f,0x1be2000f,0x05f30fa8,0x20006d80,0x02f981f9,0x07b836c0,
    0x0fe60f70,0x7d405f9f,0xffd0f701,0x05f10bb0,0x7b81f880,0x0be0f700,
    0x07b8fcc0,0x02e47a80,0x005f1040,0x01721f88,0x001ea020,0xfb00009d,
    0x08005c85,0x7cc33300,0x4002f881,0x2e0fe1f8,0x447e601f,0x8fc4002f,
    0x7c4002f8,0x26199801,0x0007f01f,0x0f7007b8,0x0f7007b8,0x0f7007b8,
    0x04f88c40,0x003dc7e2,0x199803d4,0x01ee07e6,0x03dc1ea0,0x87f507b8,
    0x05d804fe,0x7dfc41f3,0x07cc1fc2,0x3dc1fc00,0x07f07b80,0x67643e60,
    0xcccccccc,0x3a1fcccc,0x07cc0004,0x09d1fc00,0x001ea000,0x3600009d,
    0x00002746,0xffffff93,0x1f303fdd,0x2747f000,0x4f500fe6,0x3f8000f9,
    0x7f0001f3,0xfffff930,0x3603fddf,0x03dc0005,0x03dc07b8,0x03dc07b8,
    0x32a207b8,0xcdfefffe,0x2fcccccc,0x999999d9,0xf9999999,0xffff9303,
    0x903fddff,0x9999999d,0x3f999999,0x1ee00f70,0x03f627d4,0x22f81ae0,
    0x0fc4bb7b,0x4e8003dc,0x0f7007b8,0xb3d4013a,0xdddddddf,0x3ddddddd,
    0x2e0001fc,0x7c9d0007,0x0f500003,0x00004e80,0x001fc3f3,0xaacffc80,
    0x81fdba99,0x49d0007b,0x2017e26c,0x4001ee6c,0x2000f74e,0x567fe44e,
    0x1fdba99a,0x40001f70,0x80f7007b,0x80f7007b,0x20f7007b,0xb9acfffa,
    0xeeeeeefd,0xddfb2eee,0xdddddddd,0xfc83dddd,0xba99aacf,0xeefd81fd,
    0xeeeeeeee,0x7b81eeee,0x3ee0f700,0x7a802dc4,0xf74e93a0,0x00fa83d4,
    0x07b83f80,0x01760f70,0x000d735c,0x50000fa0,0x47f0001f,0xf500003e,
    0x00274001,0x01f47f00,0x401fe400,0x00fa81f9,0x4be63f80,0x27c400ee,
    0x7f0001f5,0x3e0003ea,0x2600ff23,0x003ba01f,0x200f7037,0x803dc07b,
    0x803dc07b,0x01df987b,0x35c007f1,0x03fc8000,0x06b81f98,0x803dc000,
    0xa8bf707b,0x640f7007,0x4be25f16,0x005f106c,0x07b82f88,0x01f20f70,
    0x001f52ec,0x8000bb00,0x7c4002f8,0x40001762,0x5f1001f8,0xb1f40000,
    0x3f88000b,0xf103f300,0x42f88005,0xc800fced,0x000be20f,0x00be25f1,
    0x0fe25f10,0xd300fcc0,0x7fdcc15f,0xf7007b81,0xf7007b80,0xf7007b80,
    0x7c401f90,0x003ea004,0x2007f100,0x00fa81f9,0x401ee000,0x88bf907b,
    0x206c801f,0xb5d8f77a,0x2002f409,0x007b80fb,0x00be60f7,0x01fc47f1,
    0x0007dc00,0xf70017a0,0x00007dc1,0x3f7003d8,0x8be20000,0x2a0000fb,
    0x03f3000f,0x1f70017a,0x9802ff98,0x4005e83f,0x0017a0fb,0x003ea1f7,
    0x36200fcc,0x0bdfffff,0x1ee00f70,0x1ee00f70,0x1ee00f70,0x0df101ae,
    0x0001fc40,0x7cc003ea,0x0003f881,0x3dc01ee0,0x06d86fc8,0x3f101fc4,
    0x2f8fa89d,0x4c00bea0,0x801f503f,0x01ba07f9,0x003f70f9,0x4005f880,
    0x400bea4a,0x02fc43f9,0x03ee12a0,0x80001ba0,0x017e20fd,0x003ea950,
    0x7d407fa2,0x307f3002,0x5fb809ff,0x26005f50,0x8017d43f,0x003ea3f9,
    0x44007fa2,0xfa800bfa,0x203fcc00,0x3fcc00fa,0xf3003ea0,0x5c01f30f,
    0x3ee002ff,0x03ea0001,0x5c07fa20,0xf500001f,0x907f9801,0x407f30df,
    0x1fcf806d,0x2007e7c4,0x2f4c02fc,0x7dc07f30,0x40bea07f,0x03fb03fa,
    0x9f50bee0,0xc89fb100,0x82f4c02f,0xfd8804fa,0x200de884,0x0fee01fd,
    0x3ea0bf20,0x34fd8804,0xfffa809f,0x300bf201,0xf7bf10bd,0x3f2a215d,
    0x2017e404,0x05f905e9,0x27cc5e98,0x007ffea0,0xf3001f88,0x03ffdc07,
    0xffb80fe6,0x701fcc07,0x417e0fff,0xf506fffb,0x7001fd87,0x5013e65f,
    0x7ec03fff,0x305f7001,0x3ffdc07f,0xbf507fd8,0x400ff4c3,0x0ffb07fd,
    0x98277f20,0x7ec00dfc,0x79fb730b,0x33f6055f,0x440bf711,0x26209dfc,
    0xdf704ffb,0x7fe54415,0x413bf903,0x2e00dfc9,0x32a20aef,0x3ba203ff,
    0x07fd510a,0x09befc88,0x5c07fd51,0x32a20aef,0x167e43ff,0x7f5bfb53,
    0x277f2055,0x2037f260,0xfffd30ee,0x32005fff,0x3f2609df,0x277f200d,
    0x2037f260,0x36a62cfc,0x02abfadf,0x36001f88,0x9fb730bf,0x7ec055f7,
    0x79fb730b,0x5fec055f,0xf79fb730,0x10cf9855,0x5dd7f9f9,0x91037f66,
    0x5cc413bf,0x167e44ff,0x7f5bfb53,0x3bf91055,0x27fdcc41,0x2e617fb0,
    0x42afbcfd,0x3f6a06fd,0x7001efff,0x017ea09f,0xffffffa8,0xffb1003f,
    0x3ee3dfff,0xfff700ff,0x3aa009ff,0xcfffffff,0x7fff4c00,0x400bffff,
    0xfffffffa,0xfffd3003,0x0017ffff,0xdfffffb1,0x7fecc003,0x801effff,
    0xffffffe9,0xfff900bf,0x3e63dfff,0x3fea06ff,0x703fffff,0x1575103f,
    0xffff5000,0x2a007fff,0x3fffffff,0x7ffffe40,0xdfff31ef,0x4003f100,
    0xefffffd8,0x201fff71,0xefffffd8,0x201fff71,0xefffffd8,0xa81fff71,
    0x3d2fffff,0x05fffff3,0xfffffea8,0xff900cff,0x263dffff,0x3aa06fff,
    0xcfffffff,0x7ffec400,0xfff71eff,0x4400e441,0x000001aa,0x2aea2000,
    0x37750001,0x5cc40001,0xba88000a,0xa880009b,0x88001abb,0x10001aba,
    0x00035775,0x0000d5cc,0x0002aea2,0x006aeea2,0x004ddd44,0x0d5d4400,
    0x00000620,0x006aea20,0x00d5d440,0x01377510,0x0003a000,0x00026eea,
    0x00137750,0x009bba80,0x40157300,0x544001ba,0x510009bb,0x00001377,
    0x00137751,0x00137750,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x5003ccca,0x000a0000,0x0005b100,0x00002d88,0x00310004,0x50016a00,
    0x10000007,0x00371000,0x00008020,0x260ccca8,0x9930002c,0x33332059,
    0xb9800000,0x40001300,0x05cc0000,0x70000000,0x40005bfd,0x0001bcb9,
    0x00b33260,0x105e4400,0x00008803,0x04c00153,0x55300060,0x00000001,
    0x017fff20,0x0001dfb1,0x0003bf62,0x0007fa20,0x2000fe88,0x05fb06f8,
    0x0007ff50,0x54004fb8,0x3e20005f,0x002fd80f,0x20007fec,0x05fa82fd,
    0x07f76400,0x50001fff,0xdb10bfdd,0x000001fd,0xf937dff7,0x407f407f,
    0xf10003fc,0xaaac80df,0xaaaaaaaa,0xd85aaaaa,0x004fb8ae,0x4fffffc8,
    0xfdd50000,0x3f60000b,0x5413ee3f,0x7fff444f,0xfffffb30,0x81ee803b,
    0xfc800fd8,0x364effff,0x36e62fff,0x3ea00005,0x3fa604ff,0x4c002fea,
    0x002feafe,0x0003be60,0x4000ef98,0x4ff80ffa,0x6fdefe40,0x03fc8000,
    0x001df500,0xfd03ff30,0x2fff8009,0x6427fc00,0xf300007f,0x00037ec1,
    0x03e602ec,0xfeb80000,0x3e200bff,0x005fd82f,0x480fff30,0x35c38000,
    0xf9000fc4,0x013f2639,0x900bb000,0x41fea805,0x13f20dfb,0x7dc7ee5c,
    0x5fd531ad,0xd31fec40,0xbfe9805f,0xb5fca889,0x2fba179d,0x2600005d,
    0xbf703fff,0xb8027ec1,0x013f60df,0x00037ea0,0x0000dfa8,0x402e6057,
    0x3fa63fd8,0x05fb1001,0x01ef9800,0x17302b80,0x004ea800,0x1b880b98,
    0x81f30000,0x332a004c,0x0cceeccc,0x00000f98,0x5deffe4c,0x103a802f,
    0x76400017,0x40002402,0x04c81743,0x3ee09f30,0x17600001,0x1aa013a0,
    0x17f577cc,0x01fefcc0,0xbf900bf2,0xf8801df5,0x3bba600e,0x0002dc04,
    0x505fff10,0x013ee09f,0x13ee09f5,0x0004f980,0x000027cc,0x103dd000,
    0x3fb001fb,0x3fa20000,0x00000000,0x00000000,0x983e6000,0x3ff2000f,
    0x2fffffff,0x00000f98,0xf702fbea,0x00000001,0x00012000,0x16a01f0e,
    0xf8807dc0,0x17600003,0x5f3013a0,0x00f7ec40,0x9003ff98,0x4ffa801f,
    0x1001db00,0x05b809ff,0x0fffc000,0x002200c4,0x00088031,0x0180000c,
    0x4c000000,0x09800c00,0x00380000,0x00000000,0x00000000,0x005b07cc,
    0xf3017600,0x00800001,0x00000364,0x00480000,0xc8174380,0xd80d9004,
    0x17600005,0x055013a0,0xbf3000e0,0x401f4400,0x05f30028,0x2e027dc0,
    0x7f400005,0x00000007,0x00000000,0x54c00000,0x00000009,0x00000000,
    0x001a9880,0x0006a620,0x54400000,0x80007cc1,0x80bb01a8,0x01a980f9,
    0x009d0000,0x00026aa6,0x48035510,0x35c38000,0x6c800fc4,0x51001fc0,
    0x3a017603,0x00000004,0xb9000fe6,0x07b80000,0x2e027c40,0x83b30005,
    0x353007fd,0x2aa60001,0x26200009,0x2a60001a,0xe980009a,0x02efffff,
    0x00000000,0xfb800000,0x01efffff,0xffffff70,0x3ffe603d,0x1ffffa07,
    0x7dffff30,0xd70003e6,0x6c5bffff,0xd887cc05,0x00dfffff,0x9dffb910,
    0x2e207ea3,0xdffffffd,0x7ffe4001,0x2698dfff,0xd8380004,0x003fc9be,
    0x01fd81b2,0xdffffeb8,0x3fa21762,0xffffffff,0x00000eff,0xa8003f30,
    0x2e400007,0x2e027400,0x0efc8005,0xfd3037e4,0x805dffff,0xfffffdb8,
    0x3ee001df,0x01efffff,0x7fffedc4,0xf7001dff,0x3f6a635d,0xffffd104,
    0x3fa2005f,0x1002ffff,0x05fffffd,0x84e7f440,0x2204fea9,0xd5309cfe,
    0xfd97109f,0x03ee6540,0xf7315bf7,0x6c001f39,0xfca889bf,0x8f980bb3,
    0xd731aef9,0xdffb805f,0xf8dfecbc,0x09bdfd84,0x3003fd53,0x531137dd,
    0x0121fbfd,0x7f5c0e00,0xd907302d,0x802feca8,0xca889bfd,0x32e0bb3f,
    0xcccccefc,0xfffc83cc,0xffffffff,0x8003f307,0x3ffa20fa,0x5d802fff,
    0x5c04e800,0x0ffa6005,0xefb827dc,0x09fb531a,0x984defec,0x74401fea,
    0xfd5309cf,0x4defec09,0x803fd530,0x2fd403fb,0x2fccccb8,0x33332e00,
    0x332e002f,0x3a002fcc,0x827dc01e,0x27dc01ee,0x1ee00f70,0xdf9827cc,
    0x03db000f,0x202ee7d4,0x2204fbf9,0x19fb02fd,0x01f7ba60,0x26037c40,
    0x7fe400df,0x07000090,0x07df9500,0x2ffff8d9,0xf500f6c0,0x09d00bb9,
    0x9999f900,0x0bfb9999,0xd9000be6,0x5f999970,0x8800f700,0x402dc04f,
    0x2200efc8,0x403fb80c,0x220005fa,0x00f7406f,0x880013ee,0x00fe606f,
    0x2f8017d4,0x0017c000,0x7e400be0,0xc83f7000,0x03f7000f,0x83dc01ee,
    0x07fdc06e,0x4c007e40,0x7fcc05ff,0xa81db004,0x1ffd002f,0x803ee000,
    0x43f6005e,0x00380004,0x4017dfb5,0xefda886c,0x9800fc80,0x04e805ff,
    0x74406c80,0x00bf300e,0x05f005e8,0x54003f50,0x202dc04f,0x20003ffa,
    0x5f5003f9,0x807dc000,0x3f7000fc,0x807dc000,0x07e4005e,0x200017c0,
    0x17c0002f,0x20017cc0,0x000be66d,0x401ee0db,0x801f987b,0x02f800fe,
    0xf3017f20,0x8fe2001d,0x3e2004f8,0x3f30001f,0xa8007ea0,0x0e000127,
    0x00bdfda8,0x6e980d90,0x3f2002f8,0x8004e805,0x0077406b,0x2e005ff3,
    0x005f001f,0x7fc401ba,0xceeccb84,0x1bfb10cc,0xbd0002a6,0x000fc800,
    0x5f303f30,0x0006d800,0x0be207e6,0xf003f100,0x02f80005,0x5c017c00,
    0x2e7a8007,0x707a8007,0x2e1ee00f,0x801f9007,0x2fc40079,0x9000fe60,
    0x20007d4b,0x199802fc,0x02e407e6,0x00009040,0x5efed447,0x806c8000,
    0x001e64f8,0x09d00bf1,0x7ec03100,0x0ff7cc01,0xf8013ea0,0x809f3002,
    0xa984efd8,0xf52aaaaa,0x3af7ae5f,0x02f8801d,0x4c00fc40,0x2e07e619,
    0x007a8007,0x40fcc333,0x3f8000f9,0x40002f80,0x17c0002f,0x66667640,
    0xcccccccc,0x999d91fc,0x99999999,0x0f703f99,0x01721ee0,0x1ae007dc,
    0xf3017e00,0x327b8005,0x82fa8006,0xffffffc9,0x09d01fee,0x80004800,
    0x2602b723,0x036400ab,0x00d71fa8,0x09d00bf0,0x01fc8000,0x1cfc8f98,
    0x2002fecc,0x3bea002f,0x23bea20a,0x7ec4004d,0x5b81f50d,0x8000f980,
    0xfffc983f,0x81feefff,0xccccccec,0xfccccccc,0xffffc981,0xb81feeff,
    0x009d0007,0x2f80005f,0x4017c000,0xeeeeeefd,0xeeeeeeee,0xdddddfb1,
    0xdddddddd,0x200f703d,0x5004d87b,0x004d801f,0x0fcc05e8,0x2ec3ea00,
    0x320fcc00,0xa99aacff,0x07f01fdb,0x80004800,0xedfd8803,0x401b203f,
    0x0009b2f8,0x009d00bd,0x8017dc00,0xdfff70f9,0xf0005fff,0xffe88005,
    0x9b0dfffe,0x2177dc00,0xb803f01b,0xc89d0007,0xa99aacff,0xefd81fdb,
    0xeeeeeeee,0x641eeeee,0xa99aacff,0x0fa81fdb,0xf803f800,0x017c0002,
    0x2e00be00,0x06b80006,0x803dc000,0x5005d87b,0x005c801f,0x17cc05f8,
    0x06c9ee00,0x3f20fa80,0xd01f9803,0x00480007,0x0cd80380,0x03640fa6,
    0x001729d0,0x013a017e,0x001fd400,0xbcb981f3,0x05f00009,0x26f2a600,
    0x744026c0,0x0fc4004f,0x20003ea0,0x200ff23f,0x006b81f9,0x3007f900,
    0x005f103f,0x2f802f88,0x0017c000,0x3ea00be0,0x07d40000,0x00f70000,
    0x401ae1ee,0x03d400fc,0xf3017e20,0x2a5c8007,0x13e4000f,0x07e6007f,
    0x120002ec,0xf300e000,0x1b20f501,0x00f55d80,0x4e805f88,0x04f98000,
    0x00007cc0,0x00005f00,0x3ee026c0,0x2744001e,0x20017c40,0x007f12f8,
    0x03ea07e6,0x007f1000,0x02f407e6,0x3e003ee0,0x017c0002,0x2200be00,
    0x7c40003f,0x1ee00003,0x0fd43dc0,0x22007f40,0x17ee002f,0x4400df30,
    0x000be64f,0x8007d4bd,0x01f701f9,0x40002400,0x1f025c03,0xf0088d90,
    0xb800be29,0x004e805f,0x4002fcc0,0x000000f9,0x800000be,0x013e204d,
    0xe8013a20,0xa87dc005,0x03f3000f,0xa80007f1,0x03f3000f,0x7cc00bea,
    0x0005f003,0x7c0002f8,0x003f7002,0x0001fb80,0xf9801f50,0xfa80bd07,
    0x00fd800f,0x4c05ff88,0x1fb003ff,0xf7001fc8,0x44007d43,0x0bf101fe,
    0x00094a80,0x204a8070,0x2e46c80f,0x01fb1fcc,0xb00bff10,0x2f44000b,
    0x007cc060,0x005f0000,0x0026c000,0x001fcc00,0x7cc00bea,0x22003ea3,
    0x03f701fe,0x4007d400,0x3f201fe8,0x002f4c02,0x2f80005f,0x0017c000,
    0x3ee003fb,0xb800fec2,0x203f982f,0x7f507ffb,0x003f7e60,0xe98037a2,
    0x67cc05ed,0x817e403f,0x27dc01fe,0xff5013e6,0x027d403f,0x004a7ec4,
    0x80e80380,0xf98d907a,0xbd107e40,0x2f6f4c01,0x5400fe40,0x8803ba20,
    0x000f981f,0x000be000,0x0004d800,0x80017d40,0x2f4c02fc,0xff5013e6,
    0x00fec03f,0x09f32fb8,0x401fffa8,0x32609dfc,0x0be000df,0x0005f000,
    0x322002f8,0x2e6209df,0xdfc884ff,0x3fee6209,0x4c2ff604,0x2afbcfdb,
    0xf510cfc8,0x80357f39,0x2e60afe8,0x4155db4f,0xdfa8fcaa,0x07fd3109,
    0x88567f4c,0x9f905fda,0x56fed4c5,0xdf702abf,0x7fe54415,0x0e000123,
    0x2ea836e0,0xf0bf6aa2,0x220fea1b,0x3ee60afe,0x20155db4,0x2620aef8,
    0x03b62ffc,0x1f305f10,0x17c00000,0x09b00000,0x00764000,0x8277f200,
    0xfc80dfc9,0x37f6a62c,0xc882abfa,0x2e6209df,0x167e44ff,0x7f5bfb53,
    0x7ffd4055,0x5103ffff,0x59f75555,0x54435555,0xacfbaaaa,0x2a21aaaa,
    0xacfbaaaa,0x2a01aaaa,0xfffffffe,0x7ff5400c,0x00cfffff,0x7ffffec4,
    0x01fff71e,0x29fffff7,0x8805fff9,0x4ffffffc,0x7c4bfff6,0xffd30fff,
    0x2003dfff,0xfffefffb,0x7fffe402,0xfff31eff,0x7fff4c0d,0x240bffff,
    0xc801c000,0x7cc1dedf,0x3aa1ffff,0x32204fff,0x24ffffff,0x2602fffd,
    0xeffffffe,0x2ab3f21c,0xfbaaaaaa,0xddfddb12,0xa88005dd,0xacfbaaaa,
    0x4001aaaa,0xeffeeed8,0xbb10001d,0xa8003701,0x3fffffff,0x7ffffe40,
    0xdfff31ef,0x7ffff540,0xf900cfff,0x23dfffff,0x8806fff9,0x7e401aba,
    0xffffffff,0x3f26ffff,0xffffffff,0x3f26ffff,0xffffffff,0x8806ffff,
    0x80009bba,0x0009bba8,0x0009bba8,0x00057510,0x000ab980,0x055d4400,
    0x0aba9800,0x26eea200,0xba880000,0x333201ab,0xcccccccc,0x05cccccc,
    0x00002a20,0xb98006ea,0x5300000a,0x7ff40359,0xffffffff,0x333322ff,
    0x4001cccc,0xfffffffc,0x06ffffff,0xcccccc80,0xf30001cc,0x5fffffff,
    0x2aea2000,0x2eea2001,0xa8800009,0x510009bb,0x00001377,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0d4c0000,0x99999300,
    0x99999999,0x00260044,0x2e000004,0xcccccccc,0x3660004c,0x00000000,
    0x40002aa0,0x22001801,0x25c00009,0x06000400,0xa9800060,0x16a00009,
    0x2006a200,0x80999999,0x99999999,0x0000b260,0x2e601310,0x0000001b,
    0x31000000,0x20000035,0x07b71001,0x00000000,0x65c006a6,0x2a00003c,
    0x8801bccb,0x0dfffffd,0x3ea9fff7,0xeeeeeeee,0x01767eee,0x77ecc07d,
    0xe80000be,0xeeeeeeef,0xfa8000de,0x05db9806,0x0ff40000,0x406fc400,
    0xff5006e8,0x3f6000bf,0xfffb7003,0x03df003b,0x3ea01fb1,0xffffb16f,
    0x9f90007f,0x03ffb000,0x7fffffec,0x7ffffec7,0x3ffa7fff,0xff900000,
    0x77ffec4d,0x7fe402ef,0x2fffffff,0xfffffa80,0xb803ffff,0x1effffff,
    0x1bfffa20,0x019fffb1,0x4bbf7fe6,0x7fcc07d8,0x4fffffff,0x362dff70,
    0x204fffff,0x0006fed8,0x777ffe44,0xdf500dff,0x27bae637,0x1f51ccfb,
    0x1fb9b200,0x3a603f90,0x000b910b,0x000009d0,0x3ba017ee,0x000005db,
    0x98000ff4,0x03bea1fe,0x07fffec0,0x005fb100,0xb759dfd1,0x2fe8809f,
    0xc8807fa6,0x31bee9ee,0x7ec00bf7,0x5ffd0003,0x4f6ccc40,0x4cccc409,
    0x3f2099ec,0x26200007,0x439df36c,0x2a201fd9,0xaaaaaaaa,0xaaaa8800,
    0x200aaaaa,0x5309cfe8,0x665c09fd,0x273bee6e,0x219b06fa,0x02ffefd9,
    0xaaaaaaa8,0xdd9301aa,0xb5137dd3,0x00d9009f,0xa80cff80,0x06fcc0ff,
    0xf30dbf90,0xfd127400,0x0bf95139,0x0003f100,0x800004e8,0x5b8004fc,
    0x7f400000,0x3f620001,0x54004fcb,0x22005fff,0xee8801fe,0x9007f701,
    0x001bf79f,0xfa817fee,0x017ec403,0x4009d500,0x0364006c,0x90000099,
    0x6c01bf7d,0x0000000e,0x03dd0000,0x6c804fb8,0x009109f9,0x0000cca8,
    0x17fee000,0xaa882fa8,0x1aaaaaed,0xf8807f00,0xfd803745,0x17c40006,
    0x3fffff62,0x01f10004,0x0004e800,0x8001fdc0,0x4000005b,0xb80000aa,
    0x310002ff,0x00ee8001,0xfb803fb0,0x04ffa801,0x7c02fdc0,0x000fec05,
    0x03640000,0x0fcc1b20,0x7fe40000,0x003f8805,0x80000000,0x3f7000fc,
    0x02fdec80,0x00000000,0x805fb800,0xffffb84f,0x006fffff,0x23f5005f,
    0xdf1001fa,0x207b8000,0x40009aa8,0x0003eba8,0x400004e8,0x16e00018,
    0x00000000,0x00003300,0x44003000,0x009d003f,0x1ee000a6,0x02603e40,
    0x64000000,0xd8364006,0xf9000003,0x402ec009,0x00009aa9,0x26004d4c,
    0x036c002f,0x00007ff2,0x80004d4c,0x5c001a98,0x407c800f,0x00c0006c,
    0x00d72f88,0x6c0006e8,0x2a000005,0x22000efe,0x0002743c,0x16e00000,
    0x0004b800,0x00000000,0x58800000,0x0001b200,0x2e00d700,0x00000007,
    0x9001b200,0x1a98000d,0x7001b200,0xfffb710f,0x4003bfff,0xefffffe9,
    0x5000f702,0x000fc80f,0x7ffff4c0,0xff7002ef,0x003dffff,0x01ee00d7,
    0x013530d9,0x5d9fc000,0x00036400,0x000005f1,0x5003f710,0x084e83ff,
    0x01a98000,0x4c002dc0,0x000003fe,0x0000d4c0,0x00000000,0x0c000d90,
    0x7b8035c0,0x7e406000,0xffffffff,0x00d907ff,0x7fdc06c8,0xfffffb16,
    0x800d9009,0x9bdfd87a,0x003fd530,0x2a635df7,0xccec84fd,0xcccccccc,
    0x3201fccc,0x77dc0006,0x09fb531a,0x984e7f44,0x35c04fea,0xb6407b80,
    0x3fffffd8,0xb0fa8000,0x006c800b,0xfd103ea0,0x0005ffff,0x3f6204d8,
    0xfdace80d,0xf700dfff,0x3fff62df,0x0b7004ff,0x441efc80,0x02fffffe,
    0x362dff70,0x004fffff,0x3ff200a8,0xffffffff,0x2740007f,0x88dfffd1,
    0x700cfffd,0xe89ee00d,0x7ec46fff,0x33f20cff,0xdccccccc,0x800d905f,
    0x7764c06c,0xda89bee9,0x0036404f,0x7c4001ea,0x201fdc06,0x777ec5fa,
    0xeeeeeeee,0x3201eeee,0x0fee0006,0x3ba0bf50,0x7027dc01,0x901ee00d,
    0x2615dd3d,0x220005fb,0xb001b25e,0x82ec000d,0x02fccccb,0xfb826400,
    0x3fffa02f,0x83fecabd,0xbee9eec9,0x804fda89,0x7fd3005b,0x7e6665c0,
    0x3dd93002,0xfb5137dd,0x202f8009,0xccccccfc,0x0005fdcc,0xd99707ee,
    0x54e77dcd,0x200d706f,0x37665c7b,0xdf539df7,0x3ba20364,0xc800d900,
    0x0bff7006,0x0d9017d4,0x0000fa80,0x0fe601f7,0x0d717d40,0x01b20000,
    0xa801fcc0,0x8007e42f,0x00d701fb,0x9ff901ee,0x40017d40,0x03ea1ffa,
    0x00037c40,0x017c007f,0x207c4054,0x5c00cfd8,0x407f201b,0x3ea05ffb,
    0x2202dc02,0x44000dfc,0x7fdc002f,0x400bea05,0x01b202f8,0x20001dd1,
    0xcb6404f9,0xd704884f,0x6c81ee00,0x5c9109f9,0x90077406,0x006c800d,
    0x09f00bf7,0x1ea00364,0xd01f9800,0x50fc800b,0x9000001f,0x017a000d,
    0x0be61f90,0x1ae0db00,0x3f203dc0,0x2005f804,0x5e80dfea,0x000dfb00,
    0x2f8003e6,0xdbbefb80,0x10f7dc3e,0x36c00013,0x4f805fb8,0xcceeccb8,
    0x88ffea0c,0x02f88009,0x7c02fdc0,0x02fea804,0x01dd01ae,0x2017e600,
    0x8002fdec,0x40f7006b,0x1002fdec,0x200fec03,0x0364006c,0x7c800fb8,
    0xf5001b20,0xf9866600,0x4002f881,0x007f11f8,0x000d9000,0xf88005f1,
    0xf5000f71,0x3dc01ae0,0x36401b20,0x201dfd80,0x77dc03f9,0x00d90006,
    0x751002f8,0x44fe9837,0x20004ff8,0x00fb81f9,0xaaa987c8,0xbfb12aaa,
    0x8805fe81,0x07dc002f,0xfd503e40,0x2018803b,0xf30001fd,0x07ff200b,
    0xb8035c00,0x007ff207,0x400fe400,0x0364006c,0x0f7006b8,0x1ea00364,
    0x7ffffe4c,0xf981feef,0x2e3f8000,0x6400001f,0x00f98006,0x99d93f80,
    0x99999999,0xd703f999,0xd901ee00,0x7401ee00,0x83bf7004,0x006bafd9,
    0x2f8007d0,0x1efc8000,0x0004cdd8,0x8035c1fc,0xffa8007b,0x805cdc82,
    0x35c002f8,0xbf907b80,0x3f900001,0x017e6000,0x20000fc8,0x40f7006b,
    0x700000fc,0x01b2005f,0x1ae00d90,0x0d903dc0,0xffc87a80,0xdba99aac,
    0x0007b81f,0x001fd89d,0x036405f7,0xe8003dc0,0xdddddfb4,0xdddddddd,
    0x200d703d,0x8036407b,0x009d007b,0x7ff7ff4c,0x3000d71e,0x02f8003f,
    0x40ffa600,0x0004c8fa,0x8035c274,0x3f62007b,0x5c8f980c,0x4002f880,
    0x30f7006b,0x2e00007f,0xbf30002f,0x0006c800,0x8055fb53,0x001b207b,
    0x9001fd40,0x1b20498d,0x7b8035c0,0xf5001b20,0xf9803fc8,0x8000fa81,
    0x4efe443f,0x13fee620,0x55db5553,0x2a055555,0x73f8000f,0x2aa0000d,
    0xa880aafd,0x0d902afd,0x0d401ee0,0x0565cc00,0x1ae001ae,0x2000be00,
    0xf100dfc8,0xd0001325,0x2e00d709,0x05df7007,0x8805c9f4,0x035c002f,
    0x006c87b8,0x0007f500,0x320017ea,0xfffb0006,0x03dc03ff,0xf30000d9,
    0x5c6c8009,0x5c01b207,0x640f7006,0xf135c006,0x207e6007,0x7c4002f8,
    0xffffd502,0xfd019fff,0xffffffff,0x5f101fff,0xf52f8800,0xffd00001,
    0xff705fff,0x01b20dff,0x000003dc,0x2001ae00,0x02f8004e,0x201ffcc0,
    0x8001325d,0x006b82f8,0x4fe880f7,0x00b92e40,0x6b8005f1,0x07d0f700,
    0x009f3000,0x40017ea0,0x0000006c,0x006c81ee,0x4002fcc0,0xbb03dc6c,
    0x5c01ae00,0x7001b207,0x98007d4d,0x800bd01f,0x7ec400fb,0x0000009b,
    0xf70017a0,0x0000fe21,0x6c800000,0x0000f700,0x005c8000,0x7c000fc4,
    0x006ec002,0x004c83ea,0x1ae07ea0,0x3ae03dc0,0xb907cc01,0x8005f100,
    0xd0f7006b,0x5f980009,0x009f7000,0x00003640,0x3640d900,0x80bd1000,
    0x07b8d901,0x035c013e,0x01b207b8,0x007d47d0,0xfa80ff44,0x007f3002,
    0x0200003a,0x400bea00,0x00fdc3f9,0x00020000,0x07b80364,0x74000000,
    0x003dc003,0x800002f8,0x732642f8,0x6b82f400,0x0000f700,0x100b90fa,
    0x06b8005f,0x00d90f70,0x80bd10b6,0x0009f701,0x000006c8,0x06c817a0,
    0x401dd100,0x546c81f8,0x001fa83f,0x81ee00d7,0x83e6006c,0x7fd404f9,
    0x00bf201f,0x16600bd3,0x0bf62000,0x9805f900,0x003fb05e,0x6c400bee,
    0x0364003f,0x7f4407b8,0x3200004f,0x026c001f,0x00002f80,0xffffffa8,
    0x801df55f,0x00d700fc,0x260001ee,0x5fffffff,0x20017c40,0x30f7006b,
    0x449d007f,0x07e200ee,0x900007f9,0x2000000d,0x01b202fa,0x220076c0,
    0x5db5532f,0x222fee55,0x1ae005fc,0x6d4c3dc0,0xd50dc2af,0x4c59f909,
    0xabfadfda,0x413bf902,0x2000dfc9,0x0002a8ae,0x3f2001a2,0x37f2609d,
    0x13bf9100,0x027fdcc4,0x32003c40,0xb80f7006,0x0001ffff,0x2001fe4c,
    0x5f0002f8,0x64000000,0x8567f544,0x2e02fea8,0x000f7006,0x4402e400,
    0x035c002f,0x19f907b8,0x76c9fb30,0xf917c400,0xc816a005,0x44000006,
    0x036405fa,0x55567e40,0x2fbaaaaa,0xdffffff9,0x02ffffe4,0x0aafdaa8,
    0x22afda88,0x6c6ffffb,0x900efeff,0x3dffffff,0xa81bffe6,0x3fffffff,
    0x1dfd9800,0x2e55e400,0xffffa800,0xd5003fff,0x9fffffff,0x65664001,
    0x5db53006,0x2bf6a605,0x1ffff502,0x3bbbb200,0x98002ffe,0x55554407,
    0xaaaacfaa,0xc800002a,0xffffd904,0x36aa01df,0xda880aaf,0x800002af,
    0x2aaaa25c,0xaaaacfba,0x57ed541a,0xafda880a,0xedeffb82,0x9f90beff,
    0x55555555,0x556fc5f7,0xaaaaaaaa,0x36aaa67d,0x2aaaaaae,0xfeeeb800,
    0x5554c0cf,0xaaaaaaed,0xfffffd02,0x5fffffff,0x03751000,0x7fffff40,
    0x6ffffb82,0x02bb9800,0x009bba88,0x1aba8800,0x20000000,0x0000bdc8,
    0x000d5d44,0x009bba88,0x017b9100,0x3bffff60,0xfffffd80,0x00179301,
    0x5666665c,0x2e000000,0xffffffff,0x006fffff,0x17fff200,0x400ab988,
    0x82fffffe,0x006ffffb,0x57ffee00,0xfffffffb,0x46ffffff,0x82fffffe,
    0x106ffffb,0xd0379b97,0xffffffff,0x7fc5ffff,0xffffffff,0x3ffa7fff,
    0xffffffff,0x654000ff,0xffd01bcc,0xffffffff,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x57997500,0x32a20015,
    0x9801400a,0x0000abca,0x20003553,0x99001aa8,0x65439999,0xf9800001,
    0x3ffa06ff,0x07b7007f,0x33333200,0x9999001c,0x08000399,0x0b722000,
    0x00000000,0x00379530,0x44004010,0x31019999,0x26003333,0x00209acb,
    0x00379530,0x001da880,0x55e65d40,0x33330009,0x03333333,0x261e64c0,
    0x00002ccc,0x00abca88,0x02aee600,0x7ffffcc1,0xdffff501,0x3f620001,
    0x0fffffef,0x3fbffe60,0x40f984ef,0xffffd34a,0xb7001dff,0x55dfffff,
    0xffffc809,0x44698dff,0x32feeeed,0x01640dff,0x03765c40,0x980fb995,
    0xb12efdff,0x7776c40f,0xed8802fe,0x0002feee,0x2e0007e2,0xd31dfeff,
    0x3ffea00b,0x04ffffff,0x337ffa60,0xc801effd,0x206f983f,0x4ffffffb,
    0x7fffffd4,0xdfffb305,0x00be7fff,0xfb9bffd3,0x2a2003df,0x0001fffd,
    0xfffdffb1,0xffd801ff,0xffffffff,0xbfdd004f,0x004feea8,0x3bffa200,
    0x5000cfff,0xbfffdffb,0x77dc4be1,0xf99100bc,0x3a20007d,0x004c40be,
    0x64c15bf7,0x3207dc5f,0x221bdfce,0x3f602fea,0xffb7309c,0x26fba60d,
    0xfdfea988,0xf897c400,0x0013a04f,0x1ee00d70,0x3f6619b0,0x44002ffe,
    0x5f10002f,0x017c4000,0xdfd51f40,0x2a2003df,0xaaaaaaaa,0x017f7001,
    0xfd00fee2,0x401ff50b,0x80999fb9,0x809de999,0x2a21bdf9,0x2e03fffc,
    0x7f7100bf,0xabeffd80,0xee88001f,0x400cc40b,0xfa999998,0xb800999a,
    0x13605d8f,0x577d4000,0x201bee60,0x2a20adfa,0x7e42fbfe,0x005f1000,
    0x8000fdc0,0xa7d404fc,0x2ffc84f9,0xfa82fc80,0x4c37d403,0x7fe400df,
    0x3a17c400,0x00013a01,0x01ee00d7,0x000e6540,0x880017c4,0x3e20002f,
    0x32a00002,0x0000000b,0x22003dd0,0x017300ee,0x01ea00ae,0x13e609d0,
    0x740ffa20,0x1dd1001e,0x1f882ee0,0x001fb800,0x007e6000,0x81769f10,
    0xfa80004d,0x302f4c05,0x5ff7007f,0xd9003f88,0x006d8000,0x26007f30,
    0xfc81ffdf,0x903f6002,0x3a1b600f,0x003f6005,0x2035c5f1,0x35c0004e,
    0x00007b80,0x005f1000,0x8000be20,0x000002f8,0x20000000,0x0bb0005c,
    0x07a80000,0x27cc2740,0xb907f300,0x05d804c0,0x20007e20,0x4000006d,
    0x7e4001f9,0x026c0bb0,0x4013e200,0x03f983e8,0x1f20bf20,0x0000be20,
    0x1ba0009d,0x201bf900,0x2fc4007c,0x06200bea,0x3d4003f5,0x1e897c40,
    0x20002740,0x00f7006b,0x0004d54c,0x20005f10,0x220002f8,0x0000002f,
    0xf3000000,0x3bbbbaa1,0x002f881c,0x001ea000,0x000db09d,0x440f985d,
    0x258eecfe,0x3f1002f8,0x0009d000,0x001f9800,0x205d8be6,0x7e40004d,
    0xd0bea000,0x82f8800d,0x036403f8,0x40027400,0x7c4001fa,0x2000a203,
    0x2ffa20fd,0x002e4000,0x017c4004,0x3fffffa2,0x0effffff,0x3dc01ae0,
    0xffffb710,0x10003bff,0x3e20005f,0x0be20002,0x81fffe60,0xf987fffe,
    0x3ffa07ff,0x682e887f,0x07d4264c,0x07a80000,0x01fc2740,0x22174400,
    0x2a2f4c2e,0x01f8800f,0x00004e80,0xb000fcc0,0x13605d8d,0x003f9800,
    0x00be24e8,0x03e40320,0xf70007f1,0x90009fff,0x0172000d,0x207ea000,
    0xacdefffc,0x00009d00,0x2e00be20,0xccccefcc,0x35c03ccc,0x3f607b80,
    0xfd5309bd,0x02f88003,0x0005f100,0x5c4017c4,0x332a07ec,0x7ecb887d,
    0x21f732a0,0x0720d06a,0xfffd10b6,0x3d4005ff,0x3f313a00,0x70d50000,
    0x0b616605,0x32007e20,0xffffffff,0x0001efff,0xfa800fcc,0x09b02ec1,
    0x87fffff9,0x4d50007b,0x8800007a,0x000d903f,0x013f3322,0x540013a0,
    0xf8800007,0xfd955102,0x007f05ff,0x00be2000,0xb80009d0,0x000f7006,
    0x44006f88,0x5f10002f,0x266217a6,0x99bfa999,0x0f700999,0x0f701ee0,
    0x412e1ee0,0x09707506,0x05f99997,0x3a003d40,0x80003dc4,0x40c0684b,
    0x01f8804b,0xcefccca8,0x00bccccc,0x800fcc00,0x3605d85e,0xccefe984,
    0x88003641,0x0000d90f,0x0fe21f20,0x00274000,0xf98001fc,0x4ccccc40,
    0x99999999,0x2004e999,0x1f44fca8,0x2f880000,0x00027400,0x03dc01ae,
    0x0007dc00,0x006e25f1,0x077edfc4,0x3fffffea,0xffffffff,0x7007b84f,
    0x7007b80f,0x41a07b0f,0xf005a80e,0x003d4005,0x000bb13a,0x00930f60,
    0x3f100b50,0x0009d000,0x801f9800,0x205d80fb,0x00dfa84d,0x2f800136,
    0x2000009b,0x003e43f8,0x88009d00,0x5f10002f,0xffffffe8,0xffffffff,
    0x50004fff,0x0002ec1f,0x4002f880,0x35c0004e,0x80007b80,0x3e2001f9,
    0x1003ffb2,0x2a205dff,0xcfbaaaaa,0x80aaaaaa,0x80f7007b,0xd0f7007b,
    0x32a67a03,0x200f102e,0x01ea002f,0x004d89d0,0x02a83d00,0xf8807880,
    0x004e8001,0x00fcc000,0x02ec0fe2,0x804fb89b,0x4fa0003f,0x2000004e,
    0x000fe27c,0x44004e80,0x5f10002f,0x99999ce8,0x99999999,0x00b34e99,
    0x003ee3f8,0x00be2000,0x55bd5551,0x2e001555,0x03fcc00f,0x1f986660,
    0x7f4be200,0x27fdc02f,0x005f1000,0x0f7007b8,0x0f7007b8,0x3333a03d,
    0x401e600f,0x01ea002f,0x004d89d0,0x03a83d00,0xf8807980,0x004e8001,
    0x00fcc000,0x205d81b2,0x400ff24d,0x4fa0003e,0x2000004e,0x000f93f8,
    0xf8004e80,0x81f30003,0x9fc0004e,0x7f3001fb,0x2a002fc4,0x2017c404,
    0xfffffffb,0xf7004fff,0x03ffdc07,0x3fffff26,0x2001feef,0x409d32f8,
    0x002fdfe9,0x7000be20,0x701ee00f,0x361ee00f,0x00e98d03,0x00be00b5,
    0x274007a8,0xfffb0176,0x0f6bffff,0x0b500091,0xd0003f10,0x003b0009,
    0x2f9807e6,0x8cd81760,0x176002fd,0x0bb2f800,0x8ec80000,0x7400003f,
    0x004e8004,0x00d90d50,0xdfb97c40,0x540fe800,0x4fd8804f,0x20017c40,
    0x7dc0004e,0x7fb730bf,0xff9055f7,0xb7533559,0x17c4003f,0xf89efa80,
    0x0be20002,0x2e00f700,0xb803dc07,0x10d04b87,0x7c01320d,0x001ea002,
    0x5406c89d,0x2dfccccc,0x8001d097,0x01f8804c,0xf8004e80,0x403f3002,
    0xb02ec06e,0xc800bfdd,0x21f10006,0x4000006c,0x00007ef8,0x6c8004e8,
    0xf50b9000,0xb87d4000,0x5441bfff,0x5df702fe,0x1ffe5441,0x20017c40,
    0x7dc0004e,0x1efffffc,0x3fc8dff7,0x2001f980,0x451002f8,0x220002f8,
    0x03dc002f,0x03dc07b8,0xd06a87b8,0x00ba0ee0,0x1f50017c,0x1ea27400,
    0x0d51fc00,0x3a166093,0x001f8802,0x2f8004e8,0x2603f300,0xccccccdf,
    0xfd81ceec,0x2e004fbe,0x5cd50007,0x4000000f,0x800003fc,0x2fa8004e,
    0x441fc400,0x4db0003f,0xffffc8e9,0x4c01efff,0xfffffffe,0x05f1000b,
    0x40004e80,0x0026ea6b,0xf9801fc4,0x00be2001,0x00017c40,0x7b8005f1,
    0x7b80f700,0x8fa0f700,0x1e809e98,0x02f801ae,0x44007e20,0x000fcc2f,
    0x260fa1fc,0x40eb98ae,0x03f1006b,0xf0009d00,0x403ea005,0xfffffff9,
    0xd85fffff,0x44013ea5,0x25e8003f,0x000003f8,0x000007e4,0x6d800274,
    0xc807e400,0x17d4000f,0x157f5310,0xabfa8800,0x02f88001,0x20002740,
    0x7d40006b,0x003f3000,0x880017c4,0x3e20002f,0x803dc002,0x803dc07b,
    0x263f307b,0x9c984ccc,0x0be001f8,0x2e007d00,0x8006e81f,0x440fcc3f,
    0x1f881bca,0x0003f100,0x05f0009d,0x20001f20,0xf513605d,0x003f2007,
    0x07dc2fa8,0x2200a200,0xd000004f,0x0fe60009,0x3a01fcc0,0x013e2005,
    0x740000e8,0x0be20000,0x8000bb00,0x7d40006b,0x01fe8800,0x4000be20,
    0x220002f8,0x07d4001f,0xf501fe60,0x207f9801,0x6c4000eb,0x0017c004,
    0x1ba003ee,0x3e001fcc,0x4000eb83,0x3e2004d8,0x004e8001,0x0bf003f8,
    0x6c0bb000,0x8803fb84,0x0bf1005f,0x5e98017a,0x0000fb80,0x40009d00,
    0x37d404fc,0x20077cc0,0x7ec006fa,0x0ff60003,0x0017c400,0x02a007f2,
    0xf30001ae,0x1fffa809,0x000be200,0x200017c4,0x03f98003,0xf301ffee,
    0x03ffdc07,0x75400bf2,0x002f8005,0xfb006f44,0x0067dc03,0x05f903f8,
    0x10017aa0,0x09d0003f,0xd807fb00,0x5d80000f,0x1fdc1360,0x3006fd40,
    0x3be201ff,0x0077d401,0x0000027c,0xfa80009d,0xbf9510ae,0x0dff4400,
    0x0009f951,0xf10001e2,0x00be2000,0x9883df10,0x06b82ffc,0x22cfc800,
    0xbfadfda9,0x02f8802a,0x0005f100,0x2ff60000,0xf79fb730,0x85fec055,
    0xafbcfdb9,0x0277ea02,0x0005f931,0x3a2000be,0x7fd510ae,0x137ff500,
    0x202ffc98,0x4c409dfa,0xf88002fc,0x004e8001,0x2215df70,0x00002fda,
    0x7026c0bb,0x7df3007f,0x0077dcc3,0x4426ffe6,0xf7005fca,0x54c00001,
    0x1aaadeaa,0xfffe9800,0x70003eff,0x5dffffff,0x6567cc00,0x567cc006,
    0x5554c06c,0xaaacfbaa,0x3fa601aa,0x1cefffff,0x20000d70,0xeffffffc,
    0x4cdfff31,0xcfbaaaaa,0x531aaaaa,0x59f75555,0x2a235555,0xaaaaaaaa,
    0x00aaaaaa,0xdfffffb1,0x403ffee3,0xefffffd8,0x401fff71,0xfeeefec8,
    0x554400de,0xaacfbaaa,0x6c401aaa,0x01efffff,0x3ffff620,0x800bffff,
    0xfeeefec8,0xaaa800de,0xaaacfbaa,0x7555542a,0x1aaaaaad,0x7ffff4c0,
    0x540000ef,0x511aeeaa,0x7f5409d5,0x3f6202ab,0x00cfffff,0xfffff910,
    0xddb105df,0x07ddffdd,0xffffd000,0x000bffff,0x000d5d44,0x00aba880,
    0x017b7300,0x017b7300,0xffffffc8,0x6fffffff,0x01aca980,0x40000530,
    0x0009bba8,0x3ffffff2,0x6fffffff,0xfffffff9,0x2dffffff,0xfffffffa,
    0xffffffff,0x04ddd404,0x26eea000,0x53100000,0x7fe40013,0xffffffff,
    0x26006fff,0x440001ab,0x0001abba,0x00026a62,0xfffffffd,0x221fffff,
    0xffffffff,0x1005ffff,0x00003575,0xbffffff3,0x4c13ffee,0x00ffffff,
    0x000abb98,0x802aea60,0xccccccc8,0x000002cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0x001ccccc,0x99910000,0xa8800007,0x8820abcb,
    0x3f207ffe,0x998807ff,0x00099999,0x33333331,0x33333333,0x02cb9801,
    0x26200000,0x19999999,0x0cccc400,0x50199988,0x3100019b,0x01333333,
    0x4ccccc40,0x99999999,0x4cccc409,0x99999999,0x33310999,0x33333333,
    0x99813333,0x00999999,0x26666620,0x40999999,0x44009998,0x4ccc0999,
    0x00099999,0x26666660,0x99999999,0x33333101,0x4cc00133,0x00999999,
    0x33333100,0x53000013,0x4c400135,0x33009999,0x7e440133,0x3bb6201d,
    0x6c002fee,0xfee98003,0x3ee00006,0x8bfffeff,0x81fb2e0f,0x5407dcc9,
    0xffffffff,0x3ee02cef,0xffffffff,0x05ffffff,0x13ffbff2,0xffffffd0,
    0x3ea01dff,0xffffffff,0x7c403eff,0x7c43ffff,0x3a23ffff,0xf70bffdf,
    0x3fffe203,0x3dffffff,0x3ffffea0,0xffffffff,0x3ffe25ff,0xffffffff,
    0xf74fffff,0xffffffff,0x4bffffff,0xfffffffd,0xfff002ff,0xffffffff,
    0x3ffe61ff,0xfff503ff,0x3fff65ff,0x02ffffff,0xfffffd80,0xffffffff,
    0x7ffd40ff,0xceffffff,0x3ffff602,0x2a2fffff,0x3ffea00a,0x000fffff,
    0x7fffedc4,0x7d401dff,0x43ffffff,0x02fffffc,0x800dfff9,0x274002f8,
    0x001b2000,0x22067e40,0x7b81fffc,0x7300f700,0x7333335f,0x3f701bfb,
    0x37f53333,0x20bd3333,0x17ea1cfb,0xaaaaaaa8,0x64cc02aa,0xc999999e,
    0x32200eff,0xf931019e,0xf911eb83,0x99809fdf,0xb99999bf,0x93300efd,
    0x3333333d,0x998bb333,0x999999fb,0x74e99999,0xf533333f,0xbd333337,
    0x4fdcccc4,0x26200199,0x99bf9999,0x5fd4c199,0x0dfd4c01,0x33f73331,
    0x26200033,0x99fb9dd9,0x80fa9999,0x9999afb9,0x880dfdb9,0x999fb999,
    0x3013fe61,0x5f5f7333,0x9bdfd800,0x803fd530,0x8199ec99,0x201dfc98,
    0x000fffff,0x9d000be2,0x006c8000,0x5403fa80,0x007b81ff,0x03ea00f7,
    0x6b81df30,0x17603f10,0x074c17e2,0x36400000,0x3202fcc0,0x400f7006,
    0xf1002cc9,0x01fe8805,0x05d801b2,0xa74001f5,0x203f106b,0x001ea05d,
    0x4005f100,0x06e800fd,0x00000fa8,0x2607a9fc,0x801f500f,0x7d400ef9,
    0x009ff300,0x000bb6c8,0x200df100,0x04fb806c,0x005fffc8,0x3a0017c4,
    0x03640004,0xe802ec00,0x7007b81f,0x003ea00f,0x20d713e2,0x50bb01f8,
    0x0000005f,0x2e00d900,0x401b202f,0x4000007b,0x0dd002f8,0x0bb00364,
    0x4e8003ea,0x407e20d7,0x001ea05d,0x4005f100,0x07dc04f8,0x00007d40,
    0x81ea3f30,0x01f500f9,0xfa809f10,0x0007a200,0x0003ea7f,0x2003ee00,
    0x01fe406c,0x80017b70,0x274002f8,0x001b2000,0x7cc00fe0,0xf7007b80,
    0x4003ea00,0x441ae1fb,0xf70bb01f,0x00000000,0x1fc401b2,0x7777f754,
    0xfeeeeeee,0x1000004e,0x0be6005f,0x0bb00364,0x4e8003ea,0x407e20d7,
    0x001ea05d,0x8005f100,0x07f102fa,0x00003ea0,0x981ea7b8,0x001f500f,
    0x0fa807ee,0xf5001b20,0x00001fc1,0x36400fcc,0x00005fb0,0x2017c400,
    0xfffffff9,0x01ffffff,0x006a61b2,0x205001fc,0x00f7007b,0x5e8003ea,
    0x80fc41ae,0x000fa85d,0xfffffd10,0x006c8005,0x3fb2a0fe,0xcccccccc,
    0x7443cfec,0x002fffff,0xfc800be2,0x2a006c80,0x4001f502,0x3e20d72b,
    0x3d40bb01,0x0be20000,0x3a03b600,0x003ea006,0x1ea4d800,0x1f500f98,
    0xf502f400,0x0003e201,0x0006c8bb,0x03f30ccc,0x07f60d90,0xf1000000,
    0xfccb8805,0xccccccce,0x6c5b200b,0x403fffff,0x7b80006d,0x2a00f700,
    0xa9ea000f,0x3203f105,0x0001f883,0x0bf3332e,0x2600d900,0x401b201f,
    0x3332e07b,0x3e2002fc,0x207e2002,0x4003906c,0x402a80fa,0x203f106b,
    0xb51ea04d,0x017c4000,0x3ee27c40,0x203ea001,0x17c4002a,0x500408f5,
    0x03d4001f,0x000401f5,0x03f30be2,0x7fffe4c0,0x801feeff,0x00ff446c,
    0x7c400000,0x00274002,0x2fbe7b20,0x204fdb89,0x5c0004f9,0x200f7007,
    0x3e6000fa,0x001f8801,0x400004e8,0x0364002f,0x1b2037cc,0x3e003dc0,
    0x00be2002,0x20d907f0,0x03ea003f,0x44020176,0x5401101f,0x000bfb37,
    0xa80017c4,0x8007f11f,0x1ffdc0fa,0x3d41f500,0x3ea003f1,0x407e6000,
    0x200000fa,0x2009d07b,0x99aacffc,0xc801fdba,0x0003ba26,0x17c40000,
    0x00013a00,0x7dc09ff9,0x2b3fea01,0x803dc000,0x2e66207b,0x009999af,
    0x07e200be,0x3b666620,0x40001999,0x4f64002f,0xfdba9999,0x999ec805,
    0x7c999999,0x10017c00,0x84d8005f,0xf99999ec,0x267ea003,0x0005d999,
    0x540007e2,0x0002efcf,0xb00017c4,0x5000db1d,0x04ffc81f,0x33f51b20,
    0x4cc403f5,0x09999afb,0x07d40be0,0x209d0000,0x1fe400fb,0x6400fcc0,
    0x0005ff36,0x4000cccc,0x274002f8,0x013f2000,0xfb7009f1,0xb8037bff,
    0x7c0f7007,0xffffffff,0xb87f00ff,0xcdfccccc,0x7fec4ccc,0x2fffffff,
    0x000be000,0xfffffff9,0xf9003fff,0xffffffff,0x2f800fff,0x000be200,
    0xffff90bb,0x54007fff,0x5fffffff,0x007e2000,0x001ffe40,0x0002f880,
    0x0007fbe2,0x1bb303ea,0x3ea27400,0x3e01ffff,0xffffffff,0x207f00ff,
    0x300000fa,0x80be203f,0x3f3003f8,0xdbf5d900,0xfb8001bf,0xf88006ff,
    0x00274002,0x36401b20,0x3fb2e600,0x3003e604,0x5ccc40ff,0x009999af,
    0xdddd70fe,0xbdddddfd,0x7ccccc41,0x4000199b,0x4f64002f,0xdcba9999,
    0x4cf6404f,0xc9999999,0x0017c007,0x5d8005f1,0x99999ec8,0x27ea003f,
    0x005d9999,0x30007e20,0x00001ffd,0xd50017c4,0xddfffddd,0x1f5007dd,
    0x85f10000,0x01fa99fa,0x26bee662,0x0fe00999,0x800007d4,0x5036c06c,
    0x07e6001f,0xfc93ff20,0x3ff6001f,0x2f88001f,0x00027400,0x03dc01b2,
    0x4037ea00,0x1ffee03e,0x10007d40,0x03f1005f,0x0000be00,0x364002f8,
    0x900ef980,0x001ee00d,0x17c4005f,0x1b20fa00,0x1f5001fc,0x44000bb0,
    0xdfb1001f,0x400400f9,0x4cc002f8,0x999bfa99,0x00fa8009,0x4cfd4010,
    0x07e27b99,0x10007d40,0x003ea05f,0x2673e004,0x0fb99999,0xd1001f50,
    0x09f9003f,0x3e200dd3,0xf10004ff,0x004e8005,0x7b803640,0x02f98000,
    0x36e617f7,0x401afbcf,0x3e6000fa,0x001f8800,0x400005f0,0x0364002f,
    0x1b207f10,0x3e003dc0,0x00be2002,0x06c82f88,0x07d40039,0xf10001d4,
    0x25ff3003,0x01f3007a,0x40002f88,0xf50002f8,0x201f3001,0x7ffffffd,
    0x01f50004,0xfa807cc0,0x500f9800,0xffffffff,0x3e609fff,0x0fffd404,
    0x9f103640,0x01fff500,0x000be200,0x6c80009d,0x0000f700,0x7fec4176,
    0xff71efff,0x000fa80b,0x0fc401ae,0x000fc400,0xc8005f00,0xc8364006,
    0x800f7006,0x0be2002f,0x6c80fa80,0x7d405c00,0xf8800000,0x2a0b8801,
    0x801f3007,0x440002f8,0x1f50002f,0x3e01f300,0x07b9999b,0x8003ea00,
    0x003ea06b,0x4eec03e6,0x99999999,0x8b3f206c,0xbfadfda9,0x501b202a,
    0x3ffc803f,0x00be2000,0xc80009d0,0x590f7006,0x4c07b800,0x0ee409bb,
    0xd0007d40,0x007e2009,0x00003ea0,0x364002f8,0x3203ea00,0x800f7006,
    0x0be2002f,0x0d906c80,0x0fa83f80,0x1f880000,0x200f5000,0x17c400f9,
    0xfffff500,0x07ffffff,0xf3001f50,0xf501f301,0x1f504980,0xf5027400,
    0x101f3001,0x07e2005f,0xffffffc8,0x0dfff31e,0x02f40364,0x10001bfe,
    0x04e8005f,0xb8036400,0x64006e87,0x00fc0006,0xf9000fa8,0x007e2003,
    0x00001f20,0x06c8005f,0x06c835c0,0x2f800f70,0x400be200,0x00d903fa,
    0x00fa83f8,0x01f88000,0x2600f500,0x017c400f,0x000be200,0x7cc007d4,
    0x0f506b80,0x01f506b8,0xfa807f20,0xa80f9800,0x202f4007,0xd009bba8,
    0xa806c807,0x03ff301f,0x002f8800,0x320002ec,0xfd0f7006,0x013e2003,
    0x2a007880,0x04fb800f,0x10007e20,0x00ba007f,0x0d9000be,0x6c827440,
    0xf800f700,0x00be2002,0x06c81be6,0x07d41fc0,0x0fc40000,0x3007a800,
    0x02f8801f,0x0017c400,0xf9800fa8,0x0f504e80,0x01f506c8,0xfa809f70,
    0xe80f9800,0x007d4004,0x6402cc00,0x2e09d006,0xf880004f,0x00fe4002,
    0x803640d4,0x00efe87b,0x40000fd8,0x500da9cd,0x2fdc401f,0x0007e200,
    0x03e600d9,0xd9000be0,0x403fa200,0x00f7006c,0x3e2002f8,0x03bee202,
    0x1fc006c8,0x000007d4,0xa8000fc4,0x801f3007,0x440002f8,0x1f50002f,
    0xf881f300,0x6c80f502,0x5c401f50,0x00fa805f,0x0fc40f98,0x000fe200,
    0xd9011660,0x2603ee00,0x5f100004,0x0bef8800,0x20fff262,0xd0f7006c,
    0xa8839fbb,0x880001ff,0xca883efc,0xebaaaabf,0xaa8804ff,0x0aaacfba,
    0x555bfd50,0xbd755555,0x55555544,0x2aaaaacf,0x2abb6aa2,0xfdbaaaaa,
    0xafda980e,0xafda980a,0x2aaaaa22,0xaaaaacfa,0x5567dd42,0x0dffdbaa,
    0xaafdaa88,0xaaaaaaaa,0x3f2aa3fa,0x001aaaab,0x67dd554c,0x55301aaa,
    0x55555f95,0x41f95555,0xcfbaaaa9,0x5402aaaa,0x2aacfbaa,0x3f2aaa60,
    0xaaaaaaab,0xf9510fca,0x57e55437,0x6daaaaaa,0x555fe544,0x04ffebaa,
    0x57f95553,0x95555555,0x2bf6a21f,0x2aaa00aa,0x40001aee,0x5512fced,
    0x201555fb,0x0002acf8,0x5d55554c,0x1aaaaacf,0x3ffffa60,0x5541cfff,
    0xb5502aed,0x5cf2155f,0xdfffffff,0x20000000,0xfffffffa,0x7000acff,
    0xffffffff,0x3fffa09f,0xffffffff,0x3ffee0bf,0xffffffff,0x3ffea6ff,
    0xffffffff,0xffb00adf,0xfe885fff,0xff71ffff,0xffffffff,0x7fc4dfff,
    0xdfffffff,0x3ffea00a,0xffffffff,0xf13fffff,0xffffffff,0xfffd800d,
    0x06ffffff,0xfffffff9,0xffffffff,0x7ffff41f,0xffffffff,0xfffff100,
    0x3203ffff,0xffffffff,0xffffffff,0x2bffff70,0xfffffff8,0x546fffff,
    0xffffffff,0x3f200acf,0xffffffff,0x0fffffff,0x7ffffff7,0x3ffffe60,
    0xa980005f,0x3ffffe60,0x3ff602ff,0x3f20000f,0xffffffff,0x9806ffff,
    0xf1009aca,0xd03fffff,0x405fffff,0x000abba9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc40000,0x00999999,0x33333330,
    0x4cc40013,0x0ccc4001,0x10026662,0x31033333,0x26620333,0x99999819,
    0x31000999,0x33333333,0x4c400133,0x99999999,0x03db8019,0x99999880,
    0x44000999,0x4c400999,0x4cccc099,0x4cccc019,0x26662099,0x4cccc019,
    0x04ccc409,0x00266620,0x000046ea,0x00200080,0x6c007400,0x0000000c,
    0x0000b910,0x13530018,0x015100c0,0x22000a88,0x002a201a,0x00035530,
    0xe8003531,0xffffffff,0x7ffec01f,0x02ffffff,0x03ffff88,0x27ffff10,
    0x206ffff8,0x5ffffff9,0x17ffffea,0x4bfffff3,0xfffffffe,0x3203efff,
    0xffffffff,0x6d406fff,0xffffffff,0x300fffff,0x225dfbff,0xffff507d,
    0xbfffffff,0xffff8803,0xffff503f,0x3ffff25f,0xfff503ff,0x3fe6dfff,
    0xfb06ffff,0x265fffff,0x503fffff,0x205fffff,0x06fffffc,0xb80aa980,
    0x05fb801f,0x4017c400,0x00004ffa,0x4bff2200,0x3207ffe8,0x01f17fff,
    0x3fffffa6,0x6407cc2e,0x6cc1efff,0x75c03fff,0x3a62ffff,0x6dc03fff,
    0xaaefffff,0x3fffee04,0x98801eff,0x19999bf9,0xfb999880,0x26001999,
    0xd9007cfb,0x54cc13db,0x266603ff,0x764c09de,0xfc998099,0x2fe66209,
    0xfca99999,0x999ec81e,0x6d999999,0x379dfb10,0x333333f7,0x433601f5,
    0x02ffefd9,0x2667b266,0x04feba99,0x004dfd4c,0x4c437f53,0x4c0199fc,
    0x2609de99,0x100999de,0x983f9333,0x54c01afc,0x17f701df,0x74c0032a,
    0x72efffff,0x1bf2009f,0x005f1000,0x000fff22,0x07ff7000,0x64c0fd97,
    0x2e0f57dc,0xfb531aef,0xfb03ee19,0x221fb317,0x04fd8aee,0xfb313bf7,
    0xfb35dd13,0x4273f607,0x886ffdb9,0xd5309cfe,0x01fc009f,0x000fa800,
    0x00be3ea0,0x4c0b97f1,0x5d800fcf,0x3dc01b20,0xdd100fe0,0xfa805c81,
    0xb82fe882,0x0003e607,0x32003995,0x803fb806,0x06e800fc,0xf1000be2,
    0x40017605,0x003ba06c,0x04e803b6,0x46bbf200,0x04fefec9,0x00002e20,
    0xc88005f1,0x400002ef,0x5c00cfea,0x9fdf7007,0xfa807f70,0x17cc5e8d,
    0xfb86caec,0x37b60101,0x7d40fb86,0x7437d403,0x027dc01e,0x500003f8,
    0xbd40001f,0x647dc06d,0x17a3e605,0x06c81760,0x03f80f70,0x02e45f88,
    0x077417e2,0x03e607b8,0x1b200000,0x22007dc0,0x00fdc05f,0x0f700176,
    0x5d800364,0xf9017e20,0x0007cc03,0x7e403fc8,0x0000000f,0x30002f88,
    0x80003bfb,0x7001dfd9,0x02fee00f,0x7d400fe6,0x882f41ff,0x0bd01fdf,
    0xd01ffa80,0xdb007c89,0xf7000fc8,0xfffff003,0x2005bdff,0x2a0000fa,
    0xa7403f37,0x2a3e605c,0x902ec01f,0xf01ee00d,0xb91ee007,0xfa80ed80,
    0xf981ee02,0x006a6000,0x1fc00d90,0xf8817d40,0x000fa803,0x707b813a,
    0x5013609d,0x00fea07f,0xf50003f3,0x4fcfa805,0x88000000,0x7540002f,
    0x644000cf,0x3dc002ef,0x17a07b80,0xf983f900,0xa81bf201,0x1be2000f,
    0x0bea0fa8,0x02f98620,0x67c036c0,0xfecaaaaa,0x007d400d,0x82f4f500,
    0x4c0b91fa,0x5d80db0f,0x3dc01b20,0x7cc00fe0,0x1fb81720,0x07b80bd0,
    0x6ffb83e6,0x9fffffb1,0xe801b200,0xb01fb004,0x801fc00d,0x41ea01f9,
    0x007d07fe,0x04f883f7,0xf88009d0,0xfaa7d405,0x40000001,0x700002f8,
    0x3f2007ff,0x0f70002f,0x17c41ee0,0xf507e200,0x2204fa80,0xf88c401f,
    0xe887e204,0x1ee000bf,0x3e01ea00,0x20375403,0x2a0000fa,0x97603ea7,
    0x443e605c,0xc817603f,0xf80f7006,0x198f7003,0x3e607f30,0x3023dc01,
    0xee9eec98,0x04fda89b,0x3f3006c8,0xf713e200,0x80364003,0x207cc06c,
    0x2f81fbf8,0x3741db00,0x4001f500,0x13ea00f9,0x0000009d,0x00002f88,
    0x540bff22,0x5c0003ff,0x260f7007,0x43f8000f,0x66fcc06b,0x2fcccccc,
    0x7fff6544,0xcccccdfe,0xffc82fcc,0xc80acdef,0xccccccce,0x1fcccccc,
    0x7cc01fc0,0x0003ea04,0x222747a8,0xf981722f,0x2ec03f20,0x1ee00d90,
    0x176007f0,0x3ea06e80,0x3f13dc00,0x40bff700,0x036402fa,0x2a0036c4,
    0x8009f12f,0x1fc401f9,0x1f707e20,0x001f889d,0x003f2bd1,0x3dc00bd0,
    0x4bb0bf50,0xeeeeeee9,0xeeeeeeee,0xdddddb33,0xddddddfd,0x3620005d,
    0x19fd51ef,0x00f70000,0x003dc1ee,0x202e44e8,0xeeeeeef8,0x3fea2eee,
    0xefdb9acf,0xeeeeeeee,0xfd955102,0xeefd85ff,0xeeeeeeee,0x7c01eeee,
    0x540f7003,0x1ea0000f,0x2e46c8f7,0x04e81f30,0x4cf640bb,0xc9999999,
    0x6401fc07,0x01f9002f,0x4fdc03dc,0xfb801fa9,0x6404f805,0x00ffd406,
    0x036c76c0,0x7d404e80,0xaec2f800,0x0007cc6c,0x4005fdf3,0x9002ffd8,
    0x5c17ea0d,0x33333266,0xcccccccc,0x999912cc,0x999bf999,0x20003999,
    0xfb31dfd9,0xf700003b,0x7d41ee00,0x5c3f8000,0x001fcc06,0x3e203bf3,
    0x54400003,0x001ae4fc,0x3003f800,0x003ea01f,0x9fc47a80,0x302e43f8,
    0xd81fa81f,0x3ffff205,0x7fffffff,0xd9881fc0,0x05f3003f,0xffb806c8,
    0xfb801fff,0x6407c800,0xfdcaaaaf,0xf10001ef,0x2e0003fd,0xf802f407,
    0x20fa9fc3,0x7dc000fa,0x27be6005,0x2e2fe86d,0x3205f987,0x40000005,
    0x200002f8,0xd502efc8,0x5c00019f,0x220f7007,0x17c4002f,0x0bf501ea,
    0xf1007e40,0x54000009,0x0001f50f,0x5400fe00,0x001f500f,0xbb643d40,
    0xf302e40f,0x0bb0db01,0x4ccccf64,0x407c9999,0xfeeeeeef,0xbf1002ef,
    0xf700d900,0x7003f533,0x901ee00d,0xffffffff,0x9f500003,0x817c4000,
    0x49d002f8,0x5c5f11f9,0x7ff44007,0x7c4bd000,0xfa837e64,0x9d017e60,
    0x88000000,0xf700002f,0x3fee005f,0x00f70003,0x005e81ee,0x07e607dc,
    0x2e007fb8,0x0037c406,0x13f800b3,0x2000007f,0x40db003f,0x501000fa,
    0x09d5f10f,0x407cc0b9,0x902ec3f9,0xf01ee00d,0x579ddddd,0x800fd800,
    0x227b807b,0x006b801f,0x886c80f7,0x880004fd,0x36c0002f,0x976007c8,
    0x0d72ec7c,0x06e9fd80,0x8fdc1f88,0xf34f887c,0x002f980b,0x17c40000,
    0x0ffea000,0x0bff2200,0x9801f500,0x00bea07f,0x05e81fcc,0x2003fbf1,
    0x3fee00f9,0x003f7002,0x01fb8fe6,0x803f8000,0x03ea03fb,0x0f503e60,
    0x17207ff6,0x1f900f98,0x00d902ec,0x007f01ee,0x9807ea00,0x7b801f50,
    0x006b8004,0x206c80f7,0x440005fb,0x7cc0002f,0x32004f80,0x64f713a6,
    0x4c7ee005,0xe83dc04f,0x2fee07f6,0x02f4405f,0x7c400000,0x9fd50002,
    0xfd880001,0x07f3001e,0x3203ffdc,0x02f4c02f,0x32b903f3,0x3e3e980e,
    0x0dfff705,0x06fdcfea,0x3f607f40,0x805f7001,0x13f2203f,0xf3001f50,
    0xbf307a81,0x0f981720,0x02ec9f10,0x01ee00d9,0xf100007f,0x3f14e809,
    0x70007b80,0x901ee00d,0x004f980d,0x0000be20,0x001f513a,0x4c2f8b5c,
    0x26009b1f,0x7017d43f,0x1fbf301f,0x10077f40,0x644001fd,0x17c40001,
    0x077f6600,0xbfd30000,0x217fb001,0xafbcfdb9,0x8277f201,0x6c00dfc9,
    0x741f912f,0x41bf911d,0x9f910cf9,0x3665dd7f,0x7fff70df,0x82fea883,
    0x2209dfc8,0xf804ffb9,0xfedccccd,0x00fa803f,0x03d40f98,0x3e605c80,
    0x2ec7ea00,0x1ee00d90,0xd00007f0,0x3749d00d,0x07301ee0,0x01ee00d7,
    0x05f700d9,0x000be200,0x00db1ee0,0xf01f57a8,0x3a200fa7,0x2a03f905,
    0x40bf702f,0x21cefff9,0x4001efb9,0x440006fd,0xdf91002f,0xa8000005,
    0x36200cfe,0x71efffff,0xfea80bff,0x003fffff,0x30bbfff2,0x207dfffd,
    0xd2fffffa,0x5fffff33,0xfffc8e98,0x401effff,0xffffffea,0xddf000cf,
    0x017bdddd,0x26003ea0,0x8003d40f,0x003e605c,0x6c8176dd,0x3f80f700,
    0x00fdc000,0x405f3274,0x5c35c07b,0xc80f7006,0x001fb006,0x00005f10,
    0x00be25f1,0x20db1f30,0xdb007f6c,0x44077401,0x20bfb06e,0xffea8ef9,
    0x0003ffff,0x880009f5,0x3ffa802f,0x5c000000,0x5dd402ff,0xa8800009,
    0x730001ab,0x001b9805,0x5d401573,0x79531001,0xba880015,0x3f80009b,
    0x01f50000,0x07a81f30,0x7cc0b900,0x2ed7cc00,0x1ee00d90,0x4c0007f0,
    0xc89d003f,0xc80f701f,0xf7006b86,0xf1006c80,0x05f10009,0x7dd76000,
    0x7cfc4000,0x05f1f503,0x7c401fb8,0x225df505,0x20acfcfc,0x5654c0ee,
    0x00000001,0x33600360,0x00000000,0x00000991,0x00000000,0x00000000,
    0x00000000,0x0001fc00,0xf9800fa8,0xc8003d40,0x2003e605,0x1b205efc,
    0x0fe03dc0,0x002f4400,0x84fd889d,0x5c36407b,0xc80f7006,0x007ee006,
    0x00005f10,0x0013a3ea,0xf880fe7c,0x0fe601fc,0xfa81fcc0,0xff92ffff,
    0x00000545,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2ab3eaa6,0xaa9802aa,0xaaaabfca,0x10fcaaaa,0x01555f95,
    0x0d775554,0x3557f951,0x2a17fe20,0xa81aafda,0x530aafda,0x555559f5,
    0x5557f500,0xd5555555,0x33bfee09,0xaaaaafca,0x36aa6daa,0xda880aaf,
    0x36aa22af,0x7400aaaf,0x555301ae,0x055559f7,0x00fefc00,0x6c07ff80,
    0xffa880ff,0xb55101aa,0x5751037f,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffff6,0x7e401fff,
    0xffffffff,0x0fffffff,0x7ffffff5,0x3ffffe20,0x3fffea5f,0x17ee04ff,
    0x13fffffa,0x5ffffff3,0x3ffffff6,0x7d401fff,0xffffffff,0x2204ffff,
    0xfffffecb,0x26ffffff,0x82fffffe,0x2a6ffffb,0x2fffffff,0xc82ffcc0,
    0xffffffff,0x3f20006f,0x17fa0006,0x3ea0ff70,0xf705ffff,0x0009ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00009aa9,
    0x0000d544,0x00001353,0x44000353,0x0003301a,0x3ff60180,0x7fdc04ff,
    0xfff30eff,0x3ffff40f,0x001dfc88,0x83a601d5,0x41effff9,0x23ffffe8,
    0x4016e04c,0xfffffffc,0x0a27ffff,0x3ff61300,0x7441efff,0x446fffff,
    0x02fffffe,0xfffffe88,0x7fffff32,0x00001700,0x00800200,0x26666000,
    0x01bca980,0x99833331,0x40000099,0x3001bb98,0xdd303797,0xdddddddd,
    0x9ddddddd,0x55555554,0xaaaaaaaa,0x4c0280aa,0x7edc4000,0x01dfffff,
    0x7ffffe40,0x260698df,0x2efffffe,0x6c5bfee0,0x204fffff,0xfff97ffa,
    0x3bffea1d,0xdfffd102,0x0cfffd88,0x00e67ed4,0x88f7f326,0x32a07ecb,
    0xfff907dc,0x20bf500d,0x7fe446fa,0xfecb80bc,0x4c17ea1c,0x67e400ef,
    0xdccccccc,0x2a13e65f,0xdca9fd40,0xcb80bccf,0xcb83cefc,0x7002fccc,
    0x64199fd9,0x4400ccff,0x00f4c02f,0xefd88ba2,0xeeb880be,0x765440bd,
    0x3fffee01,0x3fbff220,0x7ffcc0df,0x01ffff47,0x7fe4006c,0x2e02ffee,
    0x4c4fffff,0xcccccccc,0xcccccccc,0xfffff15e,0xffffffff,0x1d03ffff,
    0x007fff50,0x984defec,0xe9801fea,0xea9889be,0xefb80fdf,0x09fb531a,
    0x3ba7bb26,0x04fda89b,0x17fdfb93,0x339f5bf5,0x7665c0db,0x2a73bee6,
    0x001f886f,0x0f7017c4,0x7ffc1ee0,0x3bee00ff,0x300efa80,0x03fb80bf,
    0xdf701df7,0x22036401,0x567dc0ee,0xfbadfffd,0x3003f884,0x02f8005f,
    0x774c3640,0x00be2001,0x774407f6,0x32239d10,0xbb30be86,0x00fd6fd4,
    0xfd87fffb,0x88dd710b,0x7fec6fff,0x02fe402f,0x41ee04cc,0xffb9cffa,
    0x2ec00003,0x07400000,0x003ffff4,0x301be200,0xffc801bf,0x2a01fdc0,
    0x17fee05f,0x3ee02fa8,0x227fdc2f,0x96c802f8,0x3e09109f,0x1f501303,
    0x7b803dc0,0x40dfff90,0xffb80efc,0xb82fcc00,0x077e403f,0x6b8077dc,
    0xfb807740,0x9ff731cf,0x6c803640,0x4002f800,0x0077d46c,0x6c00be20,
    0x0077441f,0x2216e2e8,0x7c03f01f,0x817dc7ff,0x2fffc4f9,0xb803fff2,
    0x20004fbf,0x442fe82f,0x200000ff,0x8000005d,0x7fff43fd,0x5c00000f,
    0x8017a00f,0x00fe60fd,0x5fb817d4,0x3ee04f80,0xbb05f882,0x05fbd900,
    0x9f70bb00,0x07b80d70,0x5ed40f70,0x901ff900,0x3e6003ff,0xd8017e45,
    0x1ffc80ef,0x07f60188,0x7f302f98,0x22017cc0,0x02f8003f,0x0bf73640,
    0x42f88130,0x223fb018,0x3f1000ee,0x0fc0fa00,0x6c3fff98,0x3fa36c06,
    0x03ffdc4f,0x00bea9f3,0x5f9dddb5,0x3fb06f88,0x02ec0000,0xa8f00000,
    0x00003fff,0x3f501f98,0x17a3d400,0xf701f900,0x5c0f9001,0x2ec0be07,
    0x000ffe40,0x87fe87b8,0x803dc05d,0x3f60007b,0x02ffc81f,0x2fcafcc0,
    0x40ffec00,0x32001ffd,0x2026401f,0x202ec06b,0x05f0007b,0x07f96c80,
    0x222fbfa0,0x0ffda8af,0x01dd5fb0,0x004eba88,0x407e01d5,0x04e86ffc,
    0x0fff63dc,0x3a20dff5,0xfe80fe45,0x42fcbace,0x03fb06f8,0x312ec000,
    0x33333333,0x43333333,0x885cacf9,0x9980000a,0x2e407e61,0x05f10400,
    0x6b81f880,0x3dc0f700,0x017605f0,0x980003f2,0x0befe20f,0x007b807f,
    0xfb1000f7,0x05ffb05f,0x0bffe600,0x07ffa200,0x2e00bffa,0x402f802f,
    0x07ea00f8,0x5f0004f8,0xffdec800,0xffb51002,0x17dffdfd,0x0077ec40,
    0x4007fed4,0x407e01fb,0x06d82ffe,0x0bff2374,0x3b60bff3,0x7dc0ee80,
    0x3ff05f00,0x0000ff88,0x7ffc5760,0xffffffff,0x22ffffff,0x0000bdb9,
    0x7fffe4c0,0xd01feeff,0x0f980009,0x6b83f800,0x3dc0f700,0x017605f0,
    0x3e0001b2,0xf12edee2,0x7007b803,0x9ffb000f,0x000bff90,0x0000efd8,
    0xf881fff3,0x0fea01ff,0x3e003e60,0xfa827402,0x005f0000,0x4feaefc8,
    0x7ff54400,0xffd1000b,0x0fd44003,0x1f801d90,0xf506ff88,0xf70fe605,
    0x909ff03f,0xd17e203f,0x2e0bea07,0x4fea8bef,0x12ec0000,0x33333333,
    0x13333333,0x64000000,0xa99aacff,0x07f01fdb,0x0007b800,0x200d709d,
    0xf81ee07b,0xd900bb02,0x749d0000,0x403d4f74,0x00f7007b,0x883ffd10,
    0xb0002ffd,0x8001dd5f,0xfd82ffe8,0x013e602f,0x07c401f8,0x17a03ee0,
    0x4002f800,0x037f20fc,0x02fef880,0x3fb3dd10,0xd885c800,0xa81f800d,
    0x33f601ff,0xf30bf931,0xa87fd01f,0x727cc03f,0x5ffe4c3d,0xfffffc80,
    0x5d800005,0x00000000,0x803fc800,0x007d01f9,0x8000fa80,0x7006b83f,
    0x5f03dc0f,0x1b201760,0x7c5b2000,0x01b25f12,0x03dc01ee,0x81ffd880,
    0x6c001ffd,0x001dd11f,0x7ec0ffec,0x017e602f,0x06b80990,0x0fcc3f88,
    0x8005f000,0x005fa86c,0x2007edba,0x07f60ee8,0x27445b80,0xbfb03f00,
    0xfffff700,0x641be209,0xb8027c1f,0xdfffb10f,0x501fff39,0x00007bd9,
    0x00000ae0,0xf1000000,0x407e6007,0x7c40005d,0x417c4002,0x40f7006b,
    0x6c0be07b,0x0006c805,0x5d8f77a8,0x00f7009b,0xd80101ee,0x1ffc80ff,
    0xe883fb00,0x1ffd800e,0x2201ffc8,0x7cc0c05e,0x2007f302,0x00036c7c,
    0x0d9000be,0x3f200bea,0x7440dd11,0x2a1fd80e,0x17d43f00,0xd81f8044,
    0x3531000e,0x02008801,0x51010002,0x00009983,0x00000000,0x80000000,
    0x3f3000fa,0x00003ee0,0x0fb800bd,0x0f7006b8,0x205f03dc,0x006c805d,
    0x44e9f880,0xa802f8fa,0x83fcc00f,0x3202efe9,0x0ffc80ef,0x4407f620,
    0x3bf200ee,0x201ffb80,0x3e200ee8,0x98e7fd41,0xf1004ffb,0x0000be25,
    0x06c8005f,0x87f501ba,0x01dd04f9,0xcefa87ec,0x3be24eda,0x33eccccc,
    0x599bf999,0x00000000,0x00000000,0x00000000,0x00000000,0x001f5000,
    0x3e203fd1,0xf5254005,0x40fe6005,0x40f7006b,0x6c0be07b,0x0006c805,
    0xf883f9f0,0x3f9800fc,0x6c1ffee0,0x7e407fff,0x101df706,0xfe8801fd,
    0xa80efb81,0x076c00ef,0xcfa8be20,0xbbdfffda,0x2edb004f,0x02f80007,
    0x7f303640,0x86b82640,0x16c400d8,0x554072e6,0x11aaaaaa,0x15555555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x809f3000,0x2a01fffa,
    0x4fd8804f,0x3a6017e4,0x5c01ae05,0x2f81ee07,0x0d900bb0,0x41ff6000,
    0x3f6007fd,0x79fb730b,0xfffe855f,0x82fdc00f,0x67f546fa,0xff75502a,
    0x2037ea17,0x7e400ef9,0xaaaaaaac,0x89f32fba,0x017dc0a8,0x801fdfcc,
    0xfbaaaaa8,0x41aaaaac,0xb02afdaa,0x0000055f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x37f6a62c,0xf702abfa,
    0x7e54415d,0x13bf903f,0x5406fe4c,0x880aafda,0x2a22afda,0xacf82afc,
    0x530d76c0,0x5555db55,0x7dc00555,0x400bf504,0xefffffd8,0x5c1fff71,
    0xd5004fff,0x7c43aa01,0xe81fffff,0x992fffff,0x74006dc0,0xffffffff,
    0x0712ffff,0xfd001a80,0x3ff2001f,0xffffffff,0x3fa26fff,0xf982ffff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f200000,0x31efffff,0x74c0dfff,0xbfffffff,0x7fffd400,0x3fa03fff,
    0xfb82ffff,0x3fee6fff,0x7ffc0fff,0xfd2ffec2,0xffffffff,0x00001fff,
    0x37750000,0x01b98001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x00009bba,0x01abba88,0x01aba880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00165400,0x07625b10,
    0x00400020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xefefe880,0xdd105100,0xe980ff41,
    0x41be22ef,0xffffb2fd,0xffffffff,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd30ee88,
    0x7cc6e883,0xd82fd80e,0x3fea7fff,0xffb3ff80,0xffffffff,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x440ec800,0x41fd32fd,0x3f200dfa,0x07ffff43,0x882e6057,
    0x88888888,0x00008888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x90044000,0x7cc1dfff,0x5c5f7004,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05730000,0x98130006,0x0000001b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_40_latin_ext_x[560]={ 0,8,4,3,3,3,4,8,10,5,0,2,5,3,
7,3,3,3,2,3,3,3,4,3,3,4,7,5,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,2,3,2,1,1,0,1,2,4,0,9,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,2,3,1,
9,2,5,0,0,0,0,3,0,-1,5,2,5,6,7,1,2,7,7,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,2,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,1,1,1,1,3,3,3,3,3,3,3,3,3,3,0,0,2,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,1,0,1,0,1,0,2,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
3,3,3,3,3,3,3,3,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,4,3,4,3,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,3,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_40_latin_ext_y[560]={ 29,6,7,5,5,7,10,7,7,7,7,10,23,17,
24,5,6,7,6,6,7,7,6,7,6,6,14,14,10,15,10,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,5,7,6,37,6,13,7,13,7,13,7,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,7,7,7,16,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,29,13,5,8,11,8,
7,7,7,8,6,14,18,17,8,4,3,7,6,6,6,14,7,15,28,6,6,14,6,6,6,13,1,1,1,3,
3,1,8,8,1,1,1,3,1,1,1,3,8,3,1,1,1,3,3,12,7,1,1,1,3,1,8,7,6,6,
6,8,7,5,13,13,6,6,6,7,6,6,6,7,7,8,6,6,6,8,7,10,12,6,6,6,7,6,7,7,
4,8,2,6,8,13,1,6,1,6,2,7,2,6,2,7,8,7,4,8,2,6,2,7,8,13,2,6,1,6,
2,6,2,7,8,5,1,1,8,7,3,8,4,8,2,6,8,6,2,14,8,6,1,6,8,7,14,1,0,8,
7,8,7,8,7,8,7,1,6,8,13,2,6,7,8,13,4,8,2,6,1,6,8,13,1,6,8,13,2,6,
1,6,1,6,8,13,2,6,8,8,2,7,8,8,3,8,4,8,2,6,0,5,1,6,8,14,1,6,1,6,
3,1,6,2,7,2,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,8,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,13,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,2,6,2,6,2,
6,2,6,1,4,1,1,1,2,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,1,6,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_40_latin_ext_w[560]={ 0,5,13,15,15,15,14,5,7,7,14,17,8,15,
7,15,15,15,15,15,14,15,15,14,15,15,7,9,17,19,17,13,14,21,19,17,18,18,18,18,19,15,19,20,
18,21,20,18,17,19,20,15,17,19,21,21,19,19,15,6,14,6,15,22,7,18,20,17,19,17,17,18,19,16,
12,18,15,21,19,17,20,19,18,15,17,19,20,21,19,19,14,8,3,8,15,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,14,17,15,19,
3,17,11,22,12,18,19,15,22,23,11,17,10,9,7,19,17,7,7,9,12,18,21,22,21,13,21,21,21,21,
21,21,21,17,18,18,18,18,15,15,15,15,20,20,18,18,18,18,18,13,19,19,19,19,19,19,17,17,18,18,
18,18,18,18,21,17,17,17,17,17,16,16,16,16,17,19,17,17,17,17,17,17,19,19,19,19,19,19,20,19,
21,18,21,18,22,19,17,17,17,17,17,17,17,17,18,20,20,19,18,17,18,17,18,17,20,17,18,17,18,18,
18,18,18,18,18,18,19,19,19,19,15,16,15,16,15,16,15,16,15,16,22,18,19,13,20,18,17,18,15,18,
15,18,15,18,15,19,15,20,19,20,19,20,19,20,18,16,18,17,18,17,18,17,21,21,20,18,20,18,20,18,
15,15,15,15,15,15,15,15,17,17,17,17,17,17,19,19,19,19,19,19,19,19,19,19,19,20,21,21,19,19,
19,15,14,15,14,15,14,17,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,16,19,19,19,
19,19,19,19,19,19,19,19,19,19,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,21,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,21,18,15,16,18,
17,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,21,18,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_40_latin_ext_h[560]={ 0,24,11,27,28,23,20,11,27,27,14,18,12,4,
6,27,24,22,23,24,22,23,24,23,24,24,16,19,18,8,18,22,26,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,26,21,22,21,22,21,21,21,21,21,27,28,27,11,2,6,17,23,17,23,17,22,23,22,23,
30,22,22,16,16,17,23,23,16,17,22,16,15,16,15,22,15,27,27,27,6,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,23,24,21,15,21,
27,25,4,22,11,15,10,4,22,2,10,22,13,13,6,22,25,6,7,13,11,15,23,23,23,23,28,28,28,26,
26,28,21,27,28,28,28,26,28,28,28,26,21,26,29,29,29,27,27,13,24,29,29,29,27,28,21,23,24,24,
24,22,23,25,17,22,24,24,24,23,23,23,23,22,23,21,24,24,24,22,23,18,19,24,24,24,23,30,29,29,
25,22,27,24,26,21,29,24,29,24,28,23,28,24,27,23,21,23,25,22,27,24,27,23,26,22,27,24,29,30,
28,30,28,29,27,31,28,28,21,22,26,21,25,21,27,23,27,29,27,15,22,30,29,30,27,28,15,28,29,27,
28,21,22,21,22,21,22,28,23,27,22,27,23,22,22,23,26,22,28,24,29,24,21,17,28,23,27,22,27,23,
29,24,29,24,27,22,28,24,29,29,27,23,21,22,27,22,26,22,28,24,30,25,29,24,27,21,28,24,28,30,
26,28,23,27,22,27,23,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,22,23,23,27,23,23,23,
23,23,23,23,23,23,23,23,23,23,22,17,23,23,23,23,23,23,23,23,23,23,23,23,23,24,17,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,27,24,27,23,28,
24,28,24,29,26,29,29,29,28,29,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,34,31,28,24,30,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_40_latin_ext_s[560]={ 499,505,394,82,275,337,282,505,439,447,312,
335,372,53,33,114,77,360,198,187,414,74,1,20,441,489,159,498,371,469,353,
497,41,435,166,467,223,242,261,318,81,318,394,477,19,38,60,448,101,88,177,
55,280,298,218,240,262,198,119,222,79,500,408,23,25,1,241,20,371,490,376,
1,35,132,61,429,1,76,56,38,424,462,98,474,17,139,256,117,186,485,225,
410,508,499,1,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,499,505,333,
131,240,334,496,290,41,337,424,167,449,53,258,46,437,200,351,341,17,129,347,
497,489,362,381,206,110,482,52,169,252,453,150,108,169,20,373,1,1,475,42,
150,274,290,341,72,395,1,384,325,60,146,435,327,258,1,344,364,345,191,1,
353,448,56,19,149,280,235,452,77,430,38,467,144,127,110,93,281,262,157,296,
278,1,421,75,317,297,388,368,348,180,186,403,424,365,347,181,221,212,457,96,
147,462,111,494,299,61,203,267,200,92,221,308,439,381,423,229,162,191,384,248,
93,480,133,94,114,172,41,400,42,211,414,186,477,56,206,274,149,365,35,130,
79,165,277,284,206,114,152,286,322,294,434,187,203,306,416,95,354,168,298,184,
129,90,40,457,19,149,307,328,233,22,366,357,39,134,129,135,430,231,250,61,
402,455,214,203,407,171,473,394,61,113,457,153,444,376,391,113,111,476,218,471,
238,394,57,74,327,219,387,419,71,372,17,291,166,130,259,183,329,269,98,409,
1,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,41,317,317,454,
317,317,317,317,317,317,317,317,317,317,317,317,317,19,410,317,317,317,317,317,
317,317,317,317,317,317,317,317,165,389,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,307,314,
419,445,331,240,311,485,21,491,245,265,225,239,285,305,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,1,23,350,408,94,254,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317, };
static unsigned short stb__courier_40_latin_ext_t[560]={ 29,123,292,95,36,175,270,174,66,66,292,
270,292,310,310,95,150,224,200,150,224,200,150,200,123,123,292,247,270,292,270,
200,123,247,247,224,247,247,247,224,270,247,224,247,270,270,270,224,270,123,270,
247,247,224,270,270,270,270,270,95,66,66,292,33,310,292,175,292,175,270,224,
200,247,200,1,224,247,292,292,292,175,175,292,270,247,292,292,292,292,224,292,
66,1,1,310,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,29,150,150,
247,292,247,66,123,310,224,292,292,292,310,224,33,292,224,292,292,310,224,123,
292,292,292,292,292,200,175,200,200,66,36,66,123,123,66,247,95,66,36,66,
123,66,66,66,123,247,123,1,1,36,95,95,292,150,36,1,1,95,66,270,
175,150,175,175,224,175,123,270,224,150,175,150,175,175,175,175,224,175,270,150,
150,175,200,175,270,270,150,150,150,175,1,1,1,123,200,95,150,123,247,36,
150,1,150,36,175,66,150,95,175,247,175,123,200,95,123,95,175,123,200,95,
150,1,1,66,1,66,36,95,1,66,36,247,200,123,247,123,247,95,200,95,
36,95,292,200,1,36,1,95,66,292,36,36,95,66,247,224,247,224,247,224,
66,200,95,200,95,200,200,200,200,123,200,66,150,36,150,270,270,66,200,95,
200,66,200,36,123,36,123,66,224,66,123,36,1,66,175,247,224,66,224,95,
224,36,150,1,123,36,123,66,247,36,150,36,1,123,36,200,95,200,95,175,
224,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,224,175,175,95,
175,175,175,175,175,175,175,175,175,175,175,175,175,224,270,175,175,175,175,175,
175,175,175,175,175,175,175,175,150,270,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,95,150,
95,175,36,150,36,150,36,95,1,1,1,36,1,1,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,1,1,36,150,1,123,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175, };
static unsigned short stb__courier_40_latin_ext_a[560]={ 339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_40_latin_ext(stb_fontchar font[STB_FONT_courier_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_40_latin_ext_s[i] + stb__courier_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_40_latin_ext_t[i] + stb__courier_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_40_latin_ext_x[i];
            font[i].y0 = stb__courier_40_latin_ext_y[i];
            font[i].x1 = stb__courier_40_latin_ext_x[i] + stb__courier_40_latin_ext_w[i];
            font[i].y1 = stb__courier_40_latin_ext_y[i] + stb__courier_40_latin_ext_h[i];
            font[i].advance_int = (stb__courier_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_40_latin_ext_s[i] + stb__courier_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_40_latin_ext_t[i] + stb__courier_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_40_latin_ext_x[i] + stb__courier_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_40_latin_ext_y[i] + stb__courier_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_40_latin_ext_LINE_SPACING
#endif

