// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT        332
#define STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_41_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_41_latin_ext_LINE_SPACING          19

static unsigned int stb__courier_41_latin_ext_pixels[]={
    0x00006000,0x00000040,0x00000000,0x14000000,0x000b3000,0x7f980000,
    0x00000200,0x10000401,0x00000000,0x2aaaaaa0,0x00001aaa,0x00000000,
    0x000bc980,0x00001000,0x26620010,0x00000001,0x00000000,0x01660000,
    0x000000d1,0x6c000000,0x2200000f,0xb100006d,0x4e88000d,0x03f98000,
    0x3fb10000,0x007f1000,0x0003f700,0x3ee00ff3,0x9f100001,0x10006d88,
    0x2000007f,0x7cc005e8,0xffffffff,0x0fdc000e,0x2f980000,0x3ae002ec,
    0x00001fbb,0x00000fdc,0xff8801f9,0x000001ff,0x54001f20,0x100000ef,
    0x5406c87d,0x001f602f,0x10003f20,0xe88000bd,0x2200002f,0x880001fe,
    0x2a0002fe,0x0000efef,0x001bfdf7,0x017f4400,0x40005b80,0x003fefd8,
    0xf9003fcc,0x3a600005,0x000de98d,0x00013f20,0x0003df30,0x74400000,
    0x4400002f,0x00bf60ef,0x002d41d0,0x0005f900,0x9801fec0,0x00001fba,
    0x0007fb00,0x0000fffa,0x2fc83fa2,0xfa81fe80,0x1fec0004,0x007be600,
    0x001fe980,0x007be600,0x007fa600,0xe98dfc80,0x3f62002f,0x0003df54,
    0x0003fd30,0x98002774,0x01bf92fe,0x8201fe60,0x100044fa,0x0027fec4,
    0x000dfb80,0x000efa80,0x40000010,0x00003fd8,0x17e41dd1,0x0f11a600,
    0x43fb0200,0x3f620000,0x01f98002,0x7f440000,0x3ff20002,0x7f440002,
    0x4c00ff21,0x6ffdceff,0x0bfa2000,0x001df500,0x00077cc0,0x001df500,
    0x001df500,0x3621fec0,0x2fe8804f,0x00017f44,0x40001df3,0x4000fff8,
    0x77d40efa,0x3fa00000,0x27d43a61,0x0b227d40,0x2a0001fd,0x2e0000ef,
    0x3ea0005f,0x0003fa04,0x40004fc8,0x0ff20fe8,0x0970f400,0x3a63fd00,
    0x20013ea0,0x30001fe8,0x4000003f,0x80001fe9,0xfe80001a,0x1000fee1,
    0x005dffd9,0x000ff440,0x200017ee,0x400000dc,0x3e00005f,0x3a60000d,
    0x2a01ae01,0x0017200d,0x80000db8,0x4c8004fc,0x0000b620,0x3ee01ff8,
    0x805fb805,0x260001ff,0x9f10004e,0x05fb8000,0x80001ff1,0x320001fb,
    0x000fe61f,0x00eddfa8,0x2e01ff80,0x1ed8005f,0x007e6000,0x00ee8000,
    0x20000000,0x013e21fb,0x6c000000,0x27c4000e,0x00110000,0x00000800,
    0x00000004,0x00000000,0x00000000,0x00000000,0x002a0062,0x00c40054,
    0x20000800,0x01500000,0x080000cc,0x04044000,0x001a8000,0x02a00620,
    0x20000200,0x000001f9,0x00000002,0x00202200,0x08000000,0x00002000,
    0x006ff6c4,0x177dc400,0x4c008000,0x0000000f,0x00000000,0x00000000,
    0x55555440,0x001aaaaa,0x00000000,0x00000800,0x00000004,0x00000000,
    0x00000000,0x00000000,0x87e60000,0x00acdca8,0x88000400,0x540aceca,
    0x004001aa,0x59d95100,0x001aaa81,0x00000001,0x001323d8,0x0b663360,
    0x7ff64c00,0x31be21ce,0x4c015555,0x5100aaaa,0xaa8159d9,0x55554c1a,
    0x2aaaa600,0x59d95100,0x541aaa81,0xaaaaaaaa,0x3ffff21a,0x34ffffff,
    0x07999999,0x19999999,0x33333326,0xcccccc83,0x3fb2600c,0x98001dff,
    0x01dfffec,0x6666664c,0xcccccc83,0x9999930c,0x99999079,0x33326199,
    0xccc83ccc,0x9930cccc,0x99079999,0x26199999,0x83cccccc,0x0ccccccc,
    0x79999993,0x99999990,0x3ee3f301,0x0effedef,0xdffb7100,0xfa814c7b,
    0x14ffedff,0x4c03ffff,0x01dfffec,0x3b7ffea0,0xffff14ff,0x3fffaa03,
    0x65c351de,0xcccccccc,0x34401ccc,0xd10001e2,0xfc800698,0x3fedbbce,
    0x7ffcc1fd,0xfff104ff,0xfff50bff,0x3e29ffdb,0xfff31fff,0x3fe209ff,
    0xffa85fff,0xf14ffedf,0x3fea3fff,0xffffffff,0x4cccccc4,0xdd34f999,
    0xdb09dddf,0x261bdfdd,0x84eeefee,0x0defeeed,0xb77bff70,0x2e001bfd,
    0xfedbbdff,0xdfdd300d,0xdddb09dd,0x3ba61bdf,0xed84eeef,0xd30defee,
    0xb09dddfd,0x21bdfddd,0x4eeefee9,0xdefeeed8,0xdddfdd30,0xdfdddb09,
    0x3bfba61b,0xeeed84ee,0x9f980def,0xefa80cfc,0x5effec00,0x6c9efdca,
    0xfa80dfc8,0x2009bf9d,0xedbbdffb,0x6fe400df,0xbf9dfa80,0xbdfe8809,
    0x4ecfecaa,0x3fbbbbb2,0x02eeeeef,0x001a60e8,0x00698d10,0xfc80bfa2,
    0x9ed881ff,0x57e4c401,0x5406fe40,0x409bf9df,0x44019ed8,0x7e40afc9,
    0xf9dfa80d,0x4ccc409b,0x04f99999,0x07cc4f80,0x7cc0f700,0xb01ee000,
    0x077d409f,0xfa813f60,0x003e600e,0x03e607b8,0x3e607b80,0x981ee000,
    0x81ee000f,0x1ee000f9,0x2e000f98,0x0ff7cc07,0x6403b620,0x3bf6602f,
    0x22027cc6,0x7ec02fee,0x403bea04,0x774404f9,0x807fa02f,0x4e804ffb,
    0x2a76e000,0x3d80003e,0x7ec005b1,0x205fc801,0x17a002f9,0xdd1013e6,
    0x017cc05f,0x09f30bd0,0x002fee88,0x3e0013e0,0x70007cc4,0x0007cc0f,
    0x017e40f7,0x5f902fd4,0x4c0bf500,0x81ee000f,0x1ee000f9,0x2e000f98,
    0x8003e607,0x003e607b,0x03e607b8,0x7cc07b80,0x0bf1003f,0x3f2001f9,
    0xf9803746,0x00bf202f,0x037417ea,0xf702ff98,0x009fb003,0xda80009d,
    0x9100002d,0x7d4007df,0x0fef9801,0x7d401b60,0xf3006e81,0x006d805f,
    0x00dd03f5,0x8000bfe6,0x44f8004f,0x1ee000f9,0x2e000f98,0x4007f307,
    0x03f982fa,0x7cc0bea0,0x981ee000,0x81ee000f,0x1ee000f9,0x2e000f98,
    0x8003e607,0x003e607b,0x37cc07b8,0x5f71ea00,0x3ea6f800,0x40bf2001,
    0x3ea003f9,0x9000fd42,0x4017605f,0x04e804f9,0x00000000,0x017a0002,
    0x817a3ba2,0x85e802f9,0x3f2001fa,0x4017cc02,0x001fa85e,0xf8000bf2,
    0x4c4f8004,0x81ee000f,0x1ee000f9,0x3f400374,0x3f400374,0x2e000f98,
    0x8003e607,0x003e607b,0x03e607b8,0x3e607b80,0x981ee000,0x01ee000f,
    0xf88007f3,0x32001ba1,0xf5001ee6,0x2001ba05,0x2003dc7e,0x009d02fa,
    0x027401ec,0x99999910,0x00000199,0x400fdc00,0x403f70fd,0x40fd406d,
    0x17d4007b,0x3ea036c0,0x54007b81,0x13e0002f,0x1f313e00,0xf303dc00,
    0x543dc001,0x0fa8002f,0x2a000bea,0x000f980f,0x00f981ee,0x0f981ee0,
    0xf981ee00,0x981ee000,0x81ee000f,0x1ee000f9,0xf0005f30,0x20007e27,
    0x30017618,0x005f505f,0x02ec1f50,0x2ec0be60,0x02740000,0xfddddb10,
    0x440007fd,0x01cdedba,0x2fc806c8,0x03f301fc,0x005d82f4,0x7cc017cc,
    0x2ec17a01,0x000be600,0x4f8004f8,0xf70007cc,0x70007cc0,0x4000f70f,
    0x8001ee2e,0x000f982e,0x00f981ee,0x0f981ee0,0xf981ee00,0x981ee000,
    0x81ee000f,0x1ee000f9,0xf0005f30,0x40001ea7,0x17cc006c,0x5d0003dc,
    0x3e600364,0x0003f702,0x40004e80,0x8006c9f9,0xedefffd9,0x13a00dfe,
    0x09d07f50,0x03f505d8,0x5f3001b2,0x7d417600,0x9800d901,0x13e0002f,
    0x1f313e00,0xf303dc00,0x643dc001,0xc9360006,0x21360006,0x1ee000f9,
    0x2e000f98,0x8003e607,0x003e607b,0x03e607b8,0x3e607b80,0x301ee000,
    0x2f88009f,0x2e0000d9,0x417dc007,0x9360006c,0x17dc007b,0x00005fd0,
    0x32000274,0xa8003f36,0x0bf501bd,0x0bf101fc,0x03f30176,0x003dc0bd,
    0x7cc00bee,0x1ee05e81,0x0005f700,0x27c0027c,0x7b8003e6,0xb8003e60,
    0x20004e87,0x80013a6c,0x000f986c,0x00f981ee,0x0f981ee0,0xf981ee00,
    0x981ee000,0x81ee000f,0x1ee000f9,0xb800df30,0x0000bb0f,0xfd8007e6,
    0x20004e82,0x8007e66c,0x3f2202fd,0x00009bdf,0x3f80009d,0x4000013a,
    0x02f882fb,0x036403ba,0x807ea2ec,0x3f6001f9,0xf5176002,0x000fcc03,
    0x7c0005fb,0x4c4f8004,0x81ee000f,0x1ee000f9,0x7b8000fe,0x7b8000fe,
    0x2e000f98,0x8003e607,0x003e607b,0x03e607b8,0x3e607b80,0x981ee000,
    0x01ee000f,0x26009ff3,0x0001764f,0xff5006e8,0x40007f05,0xa803747b,
    0xdb8802ff,0x001cefff,0xfa80013a,0x00001ee0,0x205f04f8,0x01b601fd,
    0x805e87e6,0x5ff5006e,0xbd0fcc00,0x2a00dd00,0x3e0002ff,0x4c4f8004,
    0x81ee000f,0x1ee000f9,0x7b80013a,0x7b80013a,0x2e000f98,0x8003e607,
    0x003e607b,0x03e607b8,0x3e607b80,0x981ee000,0x01ee000f,0x9807fbf3,
    0x0002ec6e,0x4c01bf10,0x04e82fdf,0xbf11ee00,0x17efcc01,0x7f654400,
    0x0009d002,0x00be236c,0xe8274000,0x7402fb84,0x3e6bd004,0x00df8801,
    0x000bf7e6,0x2007e6bd,0x3e600df8,0x3e0002fd,0x4c4f8004,0x81ee000f,
    0x1ee000f9,0x5c800176,0x5c800176,0x2e000f98,0x8003e607,0x003e607b,
    0x03e607b8,0x3e607b80,0x981ee000,0x01ee000f,0x13df73f3,0x360f7dcc,
    0x7d400006,0x33f260ae,0x005d82f8,0x3bea1720,0x233f260a,0xfc80002f,
    0x0004e803,0x00bb07f1,0x2aaaa620,0x317609d0,0x007f009f,0x801b67e6,
    0x3260aefa,0x4002f8cf,0x2006d9f9,0x3260aefa,0x0002f8cf,0x13e0013e,
    0x3dc001f3,0x5c001f30,0x20006c87,0x8001b23e,0x000f983e,0x00f981ee,
    0x0f981ee0,0xf981ee00,0x981ee000,0x81ee000f,0x1ee000f9,0x3fa63f30,
    0x704fffff,0xd100000f,0x27ffffff,0x006c82f8,0x7f440fa0,0xf13fffff,
    0x1b200005,0x5c0013a0,0x000fa80f,0x3fffffaa,0xf904ffff,0x26017e21,
    0x3fba002f,0x7ff44002,0x5f13ffff,0x05fdd000,0xffffe880,0x005f13ff,
    0x7c0027c0,0x7000fcc4,0x000fcc0f,0x001f50f7,0x07d43f10,0x4c0fc400,
    0x81ee001f,0x1ee001f9,0x2e001f98,0x8007e607,0x007e607b,0x07e607b8,
    0x7cc07b80,0x04de5441,0x00003f50,0x106f2a60,0x001f505f,0xa9803f10,
    0x017c41bc,0x400f9800,0x0bd0004e,0xefd801fc,0xf733109b,0x7ecfe209,
    0x000fd800,0x98001be6,0x17c41bca,0x0037cc00,0x88379530,0x13e0002f,
    0x0be13e00,0x17c06e80,0x9f10dd00,0x441f9000,0x0fc8004f,0x374005f0,
    0x6e800be0,0xdd0017c0,0x3a002f80,0xd0017c06,0x2002f80d,0x00fcc06e,
    0x00027400,0x82f88000,0xfc8004f8,0x17c40000,0x3e200264,0x40027402,
    0x01b202f8,0x27400ff2,0x003f9f90,0xf98005f3,0x22000002,0x2f98002f,
    0x3e200000,0x013e0002,0x09907f10,0x99013e20,0x5c13e200,0x17e2001f,
    0xf88007ee,0x44013205,0x8026404f,0x026404f8,0x26404f88,0x6404f880,
    0x809f1004,0x09f1004c,0x80001f98,0x0b8002fa,0x407e6000,0x3e2001fb,
    0x1f980005,0x7cc007d8,0x40027401,0x00fcc07b,0x274007f1,0x1007ff10,
    0x0db000dd,0x1f980000,0x0006d800,0x000fcc00,0x5c003f88,0x801fa81f,
    0x0fd401fb,0xdd00fdc0,0x403f6001,0x1fb000ee,0x5c00fd40,0x00fd401f,
    0x3ea00fdc,0x401fb801,0x1fb801fa,0x5c00fd40,0x00fd401f,0x3e600fdc,
    0x1fb00001,0x000fec00,0x0ee80f70,0x0001fb00,0x0bf60f70,0x4e807d80,
    0xaaaee800,0x04faaaaa,0x4e8003ea,0x8037fe60,0x4c001ff9,0x4000002f,
    0x2f98007b,0x3dc00000,0x003f7000,0x07b607e8,0xdb004fb8,0x2027dc03,
    0x3a201ef9,0x07be602f,0xd802fe88,0x013ee01e,0x9f700f6c,0xb807b600,
    0x03db004f,0xed8027dc,0x4013ee01,0x13ee01ed,0x00007e60,0x22017f44,
    0x260002fe,0x0f7cc05f,0x0005fd10,0x3f60bf30,0x02fb801f,0x7cc004e8,
    0xffffffff,0x3f500fff,0x4413f200,0x21bffaee,0x8000efb9,0x4000006d,
    0x6d8005f9,0x7cc00000,0x03fa0005,0x6c03fc80,0xbf9510bf,0x10bfd800,
    0x2200bf95,0x3ae61bfe,0xbfe8802f,0x00bfae61,0x9510bfd8,0xbfd800bf,
    0x00bf9510,0x9510bfd8,0xbfd800bf,0x00bf9510,0x9510bfd8,0xbfd800bf,
    0x00bf9510,0x800007e6,0x510adfe8,0x40003df9,0xe8800ef9,0x3fae61bf,
    0xef980002,0x3bf9db00,0x227f5441,0xdfaaaaa9,0x900aaaaa,0x40be200d,
    0x7f4c05f8,0x221fb04f,0x4ffffffd,0x005f3000,0x077cc000,0x000be600,
    0x00ef9800,0xca85f900,0x2ffdcccc,0xfffffb00,0x3f60007f,0x003fffff,
    0xffffffc8,0x7fe4001d,0x001dffff,0xffffffd8,0xfffb0003,0x20007fff,
    0x3ffffffd,0xffffb000,0x360007ff,0x03ffffff,0xfffffb00,0xfb99007f,
    0x0005999b,0xffffff70,0x9950019f,0x01bffb99,0xfffffc80,0x32a001df,
    0x0dffdccc,0x7ffd52e0,0xd82effff,0xffffffff,0x7f03ffff,0xf702ec00,
    0x3f2a215b,0x70aade9e,0x3775103f,0x33332200,0x004ccfec,0xfb999950,
    0x664401bf,0x4ccfeccc,0x99995000,0x4c01bffb,0xffdccccc,0xeeeeeb83,
    0xb98001bd,0x9800009b,0x400009bb,0x0000abb9,0x00055dcc,0x004ddcc0,
    0x04ddcc00,0x4ddcc000,0xbb980000,0xb9800009,0x9800009b,0xd88009bb,
    0x3eeeeeee,0x2ea20000,0x775c001a,0x0002ceee,0x00055dcc,0x6777775c,
    0x77510002,0x00000035,0x7d4001f5,0x3fffee00,0x3ffa3fff,0x0000312f,
    0xeeeeed88,0x8000deee,0x2ceeeeeb,0xeeeed880,0x000deeee,0xceeeeeb8,
    0xeeeea802,0x00000bde,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbb000000,0x8807f000,0x0000abba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2f880000,
    0x0006c800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x1aabfca8,0x2ff2aaa0,
    0x9999930a,0x99999999,0x59999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fee0000,
    0x3a04ffff,0x51ffffff,0xfffffffd,0xffffffff,0x000bffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x260bf700,
    0xd980007f,0x00097000,0x20000000,0x8005401a,0x002e200b,0x00e201c4,
    0x20004980,0x0014c039,0x13f20000,0x00075000,0x00000100,0x00002000,
    0x88000220,0x00099999,0x00001000,0x17000164,0x00001a80,0x44038800,
    0x405dc003,0x001002c8,0x0004b800,0xbf700000,0x0001fe60,0x26001df5,
    0x000000ef,0xd8003ee0,0x005fb02f,0xfd303ff1,0x03be6001,0x5c001bea,
    0xa8000eff,0x05fb80df,0x8003ee00,0x320004fc,0x80000dff,0xb00006e8,
    0x02fc000b,0xdfed8800,0xffff8000,0x800004ff,0x440003fa,0xf0004ffe,
    0x001fc409,0xf5001b60,0x8007dc03,0x7fc83ff8,0x0000bf00,0x80000ff6,
    0xfb8002fa,0x000ff305,0x4c002fdc,0x000000ef,0xd8004fc8,0x00bfa24f,
    0x3ea3fe88,0x7f4c000e,0x00037f22,0x0bfa73f6,0xd87bea00,0x3f60004f,
    0x027e4004,0x7d5ff440,0x3a20001e,0x7440001f,0x3ea0002f,0x1ec0000d,
    0x55300099,0x00009f55,0x0000dfb8,0x3bee7be6,0x80fec000,0xd10001fd,
    0x6f88005f,0xe800df10,0x005fa81f,0x20001bf5,0x00002fe8,0x5c0017ee,
    0x00ff305f,0x80013f20,0x00001fe8,0x0007fb10,0x0f7df7dc,0xfcdfc800,
    0x3f620004,0x88003fdc,0x13f622fe,0x3affa200,0xfb10002f,0x09f90005,
    0x221ef980,0xf98003fe,0x74c0000e,0xf980001f,0x8d10000e,0x9d000078,
    0x27e40000,0x837ee000,0x22002fe9,0xfeb9adff,0x3fd30004,0x33bee000,
    0x001ffda9,0x7cc00000,0x7f44000e,0x3f200001,0x00000004,0x0007f900,
    0x0001fd10,0x001fe880,0x00dfe980,0x017fd400,0x01ffb800,0x2e03dd00,
    0xdf90003f,0x3fa20001,0x40000001,0x03f900df,0x00077d40,0x0003be60,
    0x001fe980,0x0034c1d0,0x00004e80,0x980007fb,0x00fb104f,0xfffffd88,
    0x1df30002,0xffea8000,0x00001dff,0x3fd30000,0x00077c00,0x0007fb00,
    0x4c000000,0x01400001,0x00f6c000,0x00051000,0x00000c40,0x00800026,
    0x06000088,0x003db000,0x00300000,0x005f8001,0x000df880,0x006e8800,
    0x07d53b70,0x0013a000,0x0000bea0,0x00004004,0xf8000133,0x2200000d,
    0x00000099,0x06e88000,0x800002a0,0x000002fb,0x80e4c000,0x0726003b,
    0x040001dc,0x80e4c000,0x0040003b,0x00000000,0x02000004,0x00001000,
    0x00040000,0x30000040,0x01000000,0x016ed400,0x0009d000,0x00000020,
    0x00100000,0x00000100,0x5554c000,0x2aaa600a,0x1002000a,0x00133333,
    0x4c000200,0x221aaaaa,0x02aaaaaa,0x3fe617fa,0x30bfd002,0x000005ff,
    0x30bfd000,0x64c005ff,0x401dfffe,0x3cccccc9,0xccccccc8,0x3ff2a200,
    0x00731def,0x7bdffb71,0x8000014c,0x01aaaaa8,0xefffea80,0x0000351d,
    0x00000000,0x00000000,0x00027400,0x33260000,0xcc83cccc,0x200ccccc,
    0x1dfffec9,0x26000000,0x83cccccc,0x0ccccccc,0x09fffff3,0x17ffffe2,
    0xffff8000,0x000004ff,0x3fffe200,0x3fff24ff,0x3f207fff,0x000ff883,
    0x1ff107f9,0x33332a00,0xcccccccc,0x3f202ccc,0x000ff883,0xdb77bff7,
    0x3ba601bf,0xed84eeef,0xb00defee,0xfd959dff,0xfd80dbbf,0xefdcabdf,
    0x666546c9,0xcccccccc,0xffffe80c,0x3fa2004f,0xcfecaabd,0x3333224e,
    0xcccccccc,0x3320cccc,0x32e02ccc,0x99913ccc,0x99999999,0x10199999,
    0x99999999,0x13a00001,0x99999100,0x4c001999,0x84eeefee,0x0defeeed,
    0xb77bff70,0x32a01bfd,0xcccccccc,0xefee9802,0xeeed84ee,0x3b620def,
    0x7e4c4019,0x9999970a,0x39999999,0x4faaaa98,0x07999900,0xccccccb8,
    0x3e666620,0x64ccccc4,0x00000007,0x3bae0000,0xeeefeefe,0x004feeee,
    0x09fb0000,0xf30077d4,0x103dc001,0x7d4017fd,0x80bf207f,0x7e46efd9,
    0xeeeeeeee,0x33301fee,0x7f4009d3,0x993fee01,0xeeeefeed,0xfeeeeeee,
    0x7ddfdb10,0xa77ff6c0,0xeeefeed9,0xeeeeeeee,0xeeed880f,0x0003fefe,
    0xd88009d0,0x3fefeeee,0x000f9800,0x09fb01ee,0x754077d4,0xeeeefeee,
    0x003e6003,0x0be607b8,0x77645e80,0xeeeffeee,0x04e802ee,0x05ffddb0,
    0x6f7f776c,0x5c027400,0x00000007,0x2d900000,0x013a02f8,0x0bf20000,
    0xf9817ea0,0xd81ee000,0x0ff1001f,0x7e4003f2,0xfc803e46,0x2009d000,
    0x4fd801fb,0x7d400f70,0xf1005e80,0x5003dc09,0x27e6001f,0x9d00006c,
    0x93f30000,0x01f3000d,0x5f903dc0,0x300bf500,0x7cc0003f,0xb01ee000,
    0x007ea00d,0x9d000274,0x06ff9800,0x3a001f50,0x0007b804,0x00000000,
    0x80be27d0,0x4000004e,0x3ea003f9,0x4001f302,0x007f507b,0x02fb86c8,
    0x01f237c0,0x4e800fe6,0x2600bb00,0x400f704f,0x03f980fa,0x03dc06d8,
    0x32001f50,0x00003f36,0xd900009d,0xf30007e6,0x983dc001,0x0bea003f,
    0x40003f30,0x1ee000f9,0xbd005f30,0x00027400,0xaf98009d,0x00fa804f,
    0x8f7009d0,0x2a202aa9,0xaa980aaa,0x2aaaa202,0x223f1000,0x5313a02f,
    0x55544055,0x8006e80a,0x001f307e,0x006d83dc,0x006e8298,0x203e46c8,
    0x274005e8,0x36004e80,0x5400f703,0x401f900f,0x03dc01fa,0x3e001f50,
    0x200013a3,0x3f80004e,0x1f30013a,0x6e83dc00,0x4c07e800,0x3e60001f,
    0x201ee000,0x00fd406d,0x740009d0,0x5cfcc004,0x007d400f,0x27b804e8,
    0xb00ffff9,0xf985ffff,0xffb00fff,0x9ee005ff,0x993a02f8,0xfb00ffff,
    0x2fa85fff,0x980fa800,0x41ee000f,0xf100003f,0xc8310003,0x0007ec07,
    0x02ec013a,0x2007b800,0x417a00f9,0x07b804f8,0x2a003e60,0x0001ee0f,
    0xf500013a,0x26003dc1,0x21ee000f,0xfa8002fa,0x0007e600,0x2e000f98,
    0x201f9807,0x0274005e,0x98009d00,0xfa80bd1f,0x7009d000,0x00fb988f,
    0x220be666,0x26600fb9,0x4bb002f9,0x10ae02f8,0x4cc01f73,0x003dc2f9,
    0x01f305d0,0x0fcc3dc0,0x007a8000,0xfa81ae00,0x004e8002,0x700003f7,
    0x4c01800f,0x800fd83f,0x800c007b,0x0017c46d,0xb00013a0,0x2002f88d,
    0x1ee000f9,0x2e8001ee,0x80007e60,0x1ee000f9,0x1fa82ec0,0x00027400,
    0x1f98009d,0x07d405f5,0x7b804e80,0x3e001f50,0x4003ea02,0x447f002f,
    0x5400662f,0xc85f000f,0x21360006,0x1ee000f9,0xc80001ee,0x80400006,
    0x9d0004f8,0x0017f400,0x02dc1ee0,0x3ea0fc80,0x2e0f7002,0x07f10005,
    0x4e8000bb,0x20fe2000,0x03e6005d,0x06c87b80,0xf9813600,0x03e60001,
    0xf3007b80,0xd000bd03,0x02740009,0x06d87e60,0x274003ea,0x0fa83dc0,
    0x7d405f00,0x3005f000,0x9b17c43f,0x4003ea00,0x0002742f,0x001f30d9,
    0x002ec3dc,0x0000bb00,0x8001ba00,0x3f22004e,0x20009bdf,0x000d907b,
    0x005e8af4,0x003641ee,0x0fa80fb8,0x0013a000,0x0fa80fb8,0x4001f300,
    0x0004e87b,0x01f981b2,0x8003e600,0x5176007b,0x09d0003f,0x20027400,
    0x40fe21f9,0x09d000fa,0x03ea0f70,0x1f5017c0,0x3200be00,0x75567c47,
    0x001f5005,0x0007f0be,0x007cc3dc,0x00bb0f70,0x0002ec00,0x000fdc00,
    0x710009d0,0x039dfffb,0xaaaaafb8,0x3e60006d,0x2e000fca,0x6daaaaaf,
    0x7c0bd000,0x013a0003,0x0fe05e80,0x70007cc0,0x40007f0f,0x007e607b,
    0x2000f980,0x87e6007b,0x09d0005e,0x20027400,0x407e41f9,0x09d000fa,
    0x03ea0f70,0x1f5017c0,0x3a00be00,0x7ffffc45,0x001f5005,0x0009d0be,
    0x007cc3dc,0x00bb0f70,0x13333333,0x000002ec,0xd0000fe6,0x95100009,
    0x7fdc05fd,0x006fffff,0x0017fe40,0x3fffffee,0x2f88006f,0xe8001b20,
    0x05f10004,0x0f980364,0x13a1ee00,0x2607b800,0x3e60001f,0x001ee000,
    0x0007e6bd,0x9d000274,0x441f9800,0x000fa85f,0x20f7009d,0x05f000fa,
    0x2f8007d4,0x3e217c40,0x7d401762,0x5d85f000,0x26172000,0x21ee000f,
    0x7ffe406c,0xdb2fffff,0x74400000,0x04e80006,0x03fc8000,0x001b20f7,
    0x7000bf10,0x2001b20f,0x00fcc07b,0x70004e80,0x801f980f,0x1ee000f9,
    0x5c800176,0x80007e60,0x1ee000f9,0x0db3f300,0x00027400,0x1f98009d,
    0x07d41fa8,0x7b804e80,0x3e001f50,0x4003ea02,0x55fd402f,0x0f22fbaa,
    0xf8007d40,0xd0003642,0x4001f307,0x4407b87b,0x2fdaaaaa,0x800001ee,
    0xe80000fc,0xd9000004,0x03641ee0,0x40027400,0x000d907b,0x555555dd,
    0x20009f55,0x5dd0004e,0xf5555555,0x001f3009,0x003643dc,0x0fcc07d0,
    0x07cc0880,0xd000f700,0x740005fd,0x013a0004,0x1ba03f30,0xaaa881f5,
    0xaaaadfaa,0x0fa83dc2,0x7d405f00,0xc805f000,0x2fffffff,0x001f5000,
    0x001f50be,0x3f303f10,0x7d43dc00,0x547c8000,0xa800001f,0x550e202f,
    0x55bd5555,0x80005555,0x307b80f9,0x09d00005,0x0a60f700,0xfffff300,
    0x1fffffff,0x2aaaaa20,0xaaaaadfa,0xffff300a,0xffffffff,0x001f9801,
    0x003ea1ee,0xf9807e20,0xf989b001,0x001ee001,0xd0001be6,0x02740009,
    0x7cc07e60,0xff703ea3,0xffffffff,0xa83dc3ff,0x405f000f,0x05f000fa,
    0x02f883e8,0x2001f500,0x0027c42f,0x02f807e4,0x0be21ba0,0x13a1f200,
    0x0bf10000,0x3ffe67a8,0xffffffff,0x00990eff,0x07b82f88,0x9d0024c0,
    0x800f7000,0x200d9049,0xfff702f8,0xffffffff,0x1b203fff,0x7c017c40,
    0x221ba002,0x0fc8004f,0x74007e60,0x3a002f84,0x02f98006,0x00027400,
    0x1f98009d,0x07d43f20,0x41ee0000,0x2f8800fa,0x22003ea0,0x207e602f,
    0x40ec02f8,0x2f8800fa,0x22001fb8,0x4013205f,0x01fb04f8,0x2fa87c80,
    0xed80b800,0x6403d400,0x007d801d,0x03dc0fcc,0x4e801ee0,0x4007b800,
    0x4007f07b,0x0000005d,0x05d800fe,0x9f1004c8,0x88007ee0,0x00fcc05f,
    0x004c84e8,0xdb0009f1,0x009d0000,0x26002740,0x553e201f,0x6400000f,
    0x8805f306,0x0be602fe,0x5c05fd10,0xf805f107,0x4402f982,0x01dd02fe,
    0xfa803f60,0x101fb801,0x07c800bf,0x7ec001fb,0x5400fdc1,0xb001f807,
    0x83ec005f,0x03e4007b,0xf70009d0,0xfa87c800,0x003ea000,0x1f500010,
    0x2007d400,0x1fb801fa,0x6c003ba0,0x00fcc00f,0x01fa84e8,0x4c001fb8,
    0x4e80002f,0x0013a000,0x9fb803f3,0x400000fa,0x40bf104f,0x2202fff9,
    0x3ffe605f,0x7c417602,0x7c417c02,0x0bffe605,0xd100f7cc,0x03db005f,
    0x3ea027dc,0x20f9000d,0x74402fe8,0x8027cc2f,0x003cc07a,0xf7003ffb,
    0x9001ee05,0x0027400f,0x1f2003dc,0x0fe00176,0x003fe880,0x0fe00176,
    0xfb807b60,0x00f7cc04,0xf3005fd1,0x6c13a003,0x013ee01e,0x40001b60,
    0x13a0004e,0xd003f300,0x00001f5d,0x9f7017d4,0x277f6e23,0x9f700acf,
    0x277f6e23,0x03f80acf,0x02f805f1,0x36e239f7,0x80acf9df,0x2e61bfe8,
    0x3f6002fe,0x0bf9510b,0x06b3fa60,0x440dfd73,0x9510adfe,0x00dd03df,
    0x467403d4,0xf9db01c9,0x7f54413b,0x9001ee04,0x0027400f,0x1f2003dc,
    0xd90005f1,0x001f1000,0xd90005f1,0x442ff600,0xd1005fca,0x7f5cc37f,
    0x003f3002,0x0bfd813a,0x000bf951,0x200005f3,0x13a0004e,0x3003f300,
    0x00001fbf,0xfb003ba6,0x7c5fffff,0x3ff603ff,0x3fe2ffff,0x57f7513f,
    0x5567dd54,0x02fbaaaa,0x3ffffff6,0xc80fffe2,0x1dffffff,0xffffd800,
    0xfc8003ff,0xdfffffff,0xffff7001,0xf3019fff,0x55555559,0x300f9555,
    0xa5c09ffb,0xfffffffa,0xfdaa882e,0xaaaaaaaa,0x5307daaa,0x555bd555,
    0xfb551015,0x55555555,0x2a2fb555,0x201aabfc,0x0abfcaaa,0x01ae6ee0,
    0x3557f951,0x5fe55540,0x7ffec00a,0xc8003fff,0x1dffffff,0x3eeaaa60,
    0xaaaaaaac,0x7ec04eaa,0x403fffff,0xfeccccc8,0x553004cc,0x555bf555,
    0x2aaa2155,0xaaadfaaa,0x2ea20aaa,0x3202aacf,0x322000ff,0x05fedccc,
    0x002b2e60,0x01597300,0x9bfffee0,0xfffffffe,0x402fffff,0x0000acb9,
    0x000abb98,0x009bb980,0x565cc400,0x75100009,0xfff98035,0xffffffff,
    0x000007ff,0x01abba88,0x3fffffe6,0xffffffff,0xfff707ff,0x5fffffff,
    0xffffff30,0xffffffff,0x3ffeefff,0x3fa04fff,0x201fffff,0x5c01ced9,
    0x04ffffff,0x3ffffffa,0x13773001,0xabb98000,0xffffb800,0xffffffff,
    0x3004ffff,0xb1001377,0xdddddddd,0xfffb001b,0xffffffff,0x3fffee7f,
    0xffffffff,0x3ffe61ff,0x3e206fff,0x3b62000f,0x0002cdee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00322000,0x00072200,0xc980014c,
    0xcccccccc,0x0ccccccc,0x10000080,0x01828805,0x0c880000,0x00099880,
    0x08000000,0x01c01c40,0x03880710,0x00a20144,0x003500aa,0x8002c980,
    0x4c1c4038,0x1c409999,0x20000e20,0x8005c01b,0x000002b8,0x22000197,
    0x33006602,0x00004333,0x04001644,0x7100a200,0x0002d800,0x000bffa6,
    0x003ffe98,0xf70006d8,0xffdddddd,0x1fdddddd,0x0002fa80,0xe980df98,
    0x00004e86,0x80bffa60,0x0006fffb,0x007f3000,0x00fd407d,0x3e6001f7,
    0x406fa80e,0x7e980ef9,0xf904fc80,0xfff80007,0x00fd4001,0xffff81f7,
    0x4077cc7f,0x04e806fa,0x3f620ff6,0xdfffc802,0x20007621,0x002fffe9,
    0xff885fd8,0xfffffd01,0x00033fa1,0x0013ffa6,0x07dc007b,0x4e800f90,
    0xb3df7000,0xdf70009f,0xd800bf91,0x40f70006,0x001f504e,0x300007fb,
    0x077dc3ff,0x000007dc,0x27ecf7dc,0x006daa88,0x0efa8000,0x3e204e80,
    0x800df106,0x37ee2fe9,0x21ff9800,0xf7000efa,0x00bfa21b,0x007ffe00,
    0x3e20df10,0x1aaadf86,0x3f22fe98,0x00fe400d,0x2fe997f2,0xea8bfc80,
    0x000efcdf,0x3627bf62,0x3f6001ef,0x101ff885,0x221f9555,0x7d4003fc,
    0x000efb8e,0x2fcc009d,0x7c005f98,0x44fd8004,0xfb000dfb,0x000efa89,
    0x1ee000db,0x01f504e8,0x00013f20,0x13f6ffa2,0x00004f88,0xbf713f62,
    0x00036401,0x8017ee00,0x677dc04e,0x001ffda9,0x3fdcfd88,0x65fec400,
    0xff98004f,0x00001efb,0x2e0007b5,0xffda9cef,0xb1003f81,0x1007fb9f,
    0x3bea00df,0x11000efb,0x001bfd70,0x74c17fc4,0x0151002f,0x0fa80066,
    0x9f9003dc,0xe801fe98,0x5f7dc004,0x800ffda9,0x9dffffd9,0x40bf2029,
    0x2fb805f9,0x3600dd30,0x40f70006,0x001f504e,0x00006fdc,0x64017fe4,
    0xf900000f,0xc817e605,0x32000006,0x0274004f,0x6fffff54,0x7fdc0001,
    0x3fee0001,0x3f620002,0x0000000d,0x7fff5400,0x007f01df,0x9001ffb8,
    0x7f44007f,0x00000004,0x00150050,0x3ea00000,0x54017c40,0x00fb103f,
    0xfd50009d,0x7001bfff,0xffb55bff,0x200440df,0x10010008,0x577554c0,
    0x0aaaaaaa,0x413a07b8,0x7d4000fa,0x01500003,0x0000fe20,0x80220044,
    0x5000006c,0x09d0007f,0x0004cc40,0x00001300,0x0a000033,0x00040000,
    0x40099880,0x0098003f,0x2000ff10,0x00000001,0x00006662,0x50000400,
    0x2007f01f,0x4e800800,0x02662000,0xb8067d40,0x0004006f,0x7cc00100,
    0xffffffff,0x7b85ffff,0x07d413a0,0x00000400,0x007c8001,0x32000000,
    0x02000006,0x00027400,0x00000000,0x00000000,0x3ff6e200,0x000a63de,
    0x0001fc00,0x0013ee00,0xcccc9800,0xcccc83cc,0xfff10ccc,0x2600000f,
    0x01dfffec,0x1fc07d40,0x3a000000,0x00040004,0x0db003fa,0xdeffdb88,
    0xd9300a63,0x1003bfff,0x3333db33,0x16603333,0x00d104e8,0x3aa00000,
    0x351defff,0x80007f30,0xccccccc9,0xd904cccc,0x35555510,0x3a000000,
    0xccccc884,0x26000ccc,0xcccccccc,0xcccccccc,0x333332a0,0x0ccccccc,
    0x33333322,0x002bcccc,0x957bffb0,0x44d93dfb,0xcccccccc,0xcccccccc,
    0x665c07f0,0xcccccccc,0x207f41cc,0xccccccc8,0xcccccccc,0xddfdd30c,
    0xfdddb09d,0x3ed4c1bd,0x7fdc0000,0x0dfedbbd,0x7f01f500,0xccccc880,
    0x3a000ccc,0x7e544004,0x8731deff,0x018804f8,0x32af7ff6,0x206c9efd,
    0xedbbdffb,0x0db000df,0x013a0000,0x33333220,0x88000ccc,0xecaabdfe,
    0x0db04ecf,0xeeeea800,0x5eeeffee,0xfff70d90,0xccc88fff,0xbccccccc,
    0xb109d002,0x7fdfdddd,0x7777dc00,0xeeeffeee,0x3f20feee,0xeeeeeeee,
    0x3b661fee,0xeeeeeefe,0x32002eff,0x3bf6602f,0x3bfbb666,0xeeeeeeee,
    0x407f0fee,0xffeeeeec,0x262eeeee,0xfeed985f,0xeeeeeeee,0x7cc0feee,
    0x701ee000,0xfd80000f,0x003bea04,0x00fe03ea,0xdfddddb1,0x0274007f,
    0x959dffb0,0x88dbbffd,0x7e40003f,0x1bbf6602,0xdf5027ec,0x000db001,
    0x20013a00,0xefeeeed8,0x1fe8003f,0x4c13fee0,0xd000002f,0x5c1b2009,
    0x6cc099ef,0xeeeeefee,0x7402effe,0xd93f3004,0x9d03dc00,0x07c83ea0,
    0x1ee01f90,0x9007fb30,0x1bf2001f,0x1f5003dc,0x13a000fe,0xf7013f20,
    0x2607d400,0x01ee000f,0x640000f7,0x05fa802f,0x03f80fa8,0x06c9f980,
    0x3a2013a0,0x3fea00bf,0x0000ff87,0x3f2001f9,0xa802fc86,0x006d805f,
    0x0009d000,0x01b27e60,0xfb003f70,0x00037409,0xd9004e80,0x2001bf50,
    0x1fecc07b,0x5b2007d0,0x0f7001f9,0x20fa8274,0x03f9807c,0x0fe401ee,
    0xf8005f70,0x5400f706,0xd0007f0f,0x807fd009,0x03ea007b,0x3dc001f3,
    0x40001ee0,0x3ea003f9,0x7c07d402,0xf36c8003,0x2013a003,0xff1001fd,
    0x8003bf50,0x37c002fb,0xfa800fe6,0x00036c02,0x00004e80,0x8007e6d9,
    0x09f3005d,0x00000fd4,0x46c80274,0x3dc004fc,0x3501fc80,0x04e8fe00,
    0x82740f70,0x101f20fa,0x007b80bd,0x006e817a,0x00f706c8,0x003f87d4,
    0x2ff804e8,0xf5003dc0,0x2000f981,0x003dc07b,0xe8006e80,0x7407d407,
    0x3a3f8004,0xa809d004,0x8364003f,0x09bdffea,0x32001ba0,0x74003746,
    0x00036c07,0x00004e80,0xd002747f,0x201ec009,0xe800005e,0x7ecd9004,
    0x007b8003,0xf500017a,0x7b803dc1,0x07d413a0,0x00fd80f9,0x0f7003dc,
    0x220007e2,0x4c00f701,0xd0007f0f,0x00ff8809,0x1f3003dc,0x2e000f98,
    0x9513dc07,0xfa8017bd,0x00fa8002,0x03f603ea,0x1ee0fa80,0x1b602740,
    0x7300a600,0x881bfffb,0x2188001f,0xfa8002fa,0x0001b600,0x40002740,
    0x801ee0fa,0x5400005d,0x7400001f,0xfd1d9004,0x01ee0005,0x6c0007b8,
    0x5c017c46,0x7d413a07,0x2fa81ae0,0x32007b80,0x0000f506,0x21800f70,
    0x04e8003f,0x3dc03fcc,0x03e60600,0xbdc07b80,0xffedeff9,0x8001ee03,
    0x203ea02e,0xd800cfe8,0x74017c46,0x0001fc04,0x1feb9800,0x5c0001ea,
    0x80ba0007,0xd000006d,0x8db00009,0x3f7002f8,0x05e80000,0x80274000,
    0x000ffefc,0x36400f70,0xb07f1000,0x740b300b,0x2010d104,0x0f7004f8,
    0x06c81fc0,0x707b8000,0x8003f80b,0x03fcc04e,0x005b83dc,0x3dc001f3,
    0x033efee0,0x1b205f91,0x2a04d800,0x03ffb00f,0x05d83f88,0x07e604e8,
    0xb1000000,0x0001b21f,0x9b000364,0x000036c0,0x440004e8,0x2005d83f,
    0x200002fe,0x200000fb,0x3df9004e,0xf70001dd,0x0001fc00,0x01f501f7,
    0x0004e800,0x3dc00dd0,0xd807ec40,0x7b800005,0x03f80d90,0x7c404e80,
    0xc83dc00f,0x001f3006,0x3fee03dc,0x4e83f403,0xa81b2000,0x00bfb80f,
    0x0fa80fb8,0x0f702740,0x22000000,0x0000bb2f,0x6c80013a,0x00001b60,
    0x2e000274,0x000fa80f,0x137bff91,0x0027c000,0x32009d00,0x0003ba26,
    0x1fb100f7,0x817a0020,0x2740003f,0x00fdc000,0x7dcc0f70,0x0017602f,
    0x2aabee00,0x1fc06daa,0x7c027400,0x557dc01f,0x3006daaa,0x03dc001f,
    0x3ee00fee,0x20003f81,0x203ea07b,0x817a005e,0xb027403f,0x0040000b,
    0x002ed3a0,0x20003f80,0x001f207b,0x00027400,0x003f817a,0x77ffedc4,
    0x07dc001c,0x004e8000,0x00ee88d9,0xfb981ee0,0x880fa02f,0x001b202f,
    0x980009d0,0x77dc003f,0xdfffeeee,0x0002ec01,0x7ffffdc0,0x01fc06ff,
    0x7f402740,0x7fffdc02,0xf3006fff,0x203dc001,0x05f1007b,0x3dc0009d,
    0x07f01f50,0x6c80be20,0x0bb02740,0x001f4000,0x0001767f,0xf7000274,
    0x4c01fd40,0x0013a003,0x1b202f88,0xfd951000,0x81fc4005,0x80274000,
    0x00ee886c,0xdddddf70,0xe803bfff,0xf301ee04,0x02740003,0x000dd100,
    0xfdddddf7,0x01b6005f,0x641ee000,0x4001fc06,0x03fd804e,0x006c83dc,
    0x3dc001f3,0x7c401ee0,0x20005d82,0x203ea05c,0x80f7003f,0x813a01f9,
    0x9999805d,0x07fe0999,0x036c7ee0,0x0005d800,0x39fd0172,0x837f5cc4,
    0xadfaaaa9,0xf7000aaa,0x0001f980,0xc800ff20,0x74005d07,0x220d9004,
    0xefb800ee,0x02ffeeee,0x577409d0,0xfaaaaaaa,0x013a0004,0x8000fc80,
    0x03ff507b,0x00000f70,0xf01b20f7,0x009d0007,0x07b80bf7,0x03e600d9,
    0x3dc07b80,0x6c82f880,0xa80fa000,0xd003f80f,0x5555555d,0x027409f5,
    0xfffc80d9,0xff2fffff,0x727dc03d,0x1b20000f,0x4403e800,0xfffffffd,
    0x3ffee02d,0x1fffffff,0x5555dd00,0x009f5555,0x2006c800,0x003f83f8,
    0x0364013a,0x7b801dd1,0xd003ff50,0x3fffe609,0xffffffff,0x009d0000,
    0x3880bea0,0x7f440f70,0x000fd402,0x14c1ee00,0x3a000fe0,0x407f8804,
    0x2005307b,0x1ee001f9,0x3e200f70,0x8000fa82,0x03ea01f8,0x3fe600fe,
    0xffffffff,0x409d00ff,0x5554407b,0x33e2fdaa,0xfccbdffe,0x000fd44f,
    0x40007d40,0x751001f8,0x00000357,0x3fffe600,0xffffffff,0x3e600000,
    0x3e1b6000,0x8813a003,0x32a06daa,0x7b80aaef,0xd00bfa20,0x4401b209,
    0x09d0002f,0xa80bf100,0xfb00f707,0x0004e801,0x26003dc0,0x9d0007f4,
    0xb80bf200,0x7c24c007,0x701ba002,0x20be200f,0xfc8004f8,0x3e03ea00,
    0x1006c803,0xa813a05f,0x47c8000f,0xbffd951a,0x0013a037,0x20013e20,
    0x000000fc,0x6c800000,0x3205f100,0x017c4004,0x03f85f30,0xffa813e0,
    0x3fffa06f,0x807b83ff,0x413a00fd,0x0176003f,0x6c002740,0xb83d400e,
    0x406e8807,0x0b8002fa,0xbdc007b8,0x04e8003f,0x3dc0df30,0x1321ee00,
    0x2e027c40,0x205f1007,0x3e2001fb,0x7c07d405,0x2003f803,0x4409d05d,
    0x07c8002f,0x5f5009d0,0x7dc17000,0x017e2001,0x0001ffa8,0x4000ffd4,
    0x4176003f,0x0fcc007d,0x07f1b600,0x0000be60,0x201ee000,0x213a06e8,
    0x3ea000fa,0x004e8000,0x3d400fdc,0x7f3007b8,0x2000fd80,0x007b81fd,
    0x8003fbe4,0x07fa004e,0x1f2003dc,0x3ee007ea,0x8803dc01,0x003ba02f,
    0x3ea007ec,0x7d403f80,0x203ea000,0x007ec04e,0x27401f20,0x2000fd80,
    0x007741fd,0x36000fd8,0x6c0003ff,0x7d4003ff,0x203ea000,0x1f6002fd,
    0x4f8be600,0x0001f900,0x07b80002,0x13a07f30,0x0fe00176,0x98013a00,
    0x20f5004f,0x03f2007b,0x4402fe88,0x00f702fe,0x0007f7c8,0x2fd4009d,
    0x3e4007b8,0x3ee01ed8,0x1007b804,0x0f7cc05f,0x5005fd10,0x400f981f,
    0x83f8005d,0x02fc404e,0x27401f20,0x402fe880,0xef982fe8,0x00bfa201,
    0x0001fb30,0x4000fd98,0x83f8005d,0xfb801ffd,0x64dd0002,0x0bee00df,
    0x005fc800,0x3f2007b8,0x17c44e80,0x40036400,0x01ba004e,0x00f707a8,
    0x3a202fc4,0xf9510adf,0x003dc03d,0x4001fdf2,0x07f4004e,0x1f2003dc,
    0x9510bfd8,0x01ee00bf,0x3a2017c4,0x3fae61bf,0x4c1f5002,0x017c405d,
    0x02743640,0xc8006fd4,0x4009d007,0x510adfe8,0x74403df9,0x3fae61bf,
    0x00b70002,0x10016e00,0x0d90005f,0x413bf9db,0x0004fea8,0xbefa87ea,
    0x009f9511,0x7000b600,0x42fc400f,0x57f9514e,0x65554035,0xaa980abf,
    0xaaaadfaa,0xaaacf980,0xcaaaaaaa,0x2bf6aa27,0x5fd401aa,0x3ffee00a,
    0x880cffff,0xaaaafdaa,0xdaaaaaaa,0x4bfffff7,0xdfaaaaa9,0x300aaaaa,
    0x3f6aa27f,0xaaaaaaaa,0x6c07daaa,0x03ffffff,0x02afda98,0x0159f751,
    0xffffffc8,0x3fff601d,0x03dfb0ff,0x2aaff2a2,0x3f2aaa01,0x2009d0ab,
    0x4c1acfe9,0x7d006feb,0xffff7000,0x20019fff,0xdffffffc,0x03f30001,
    0x003f3000,0x2aaff2a2,0x3f2aaa01,0x3ea970ab,0x2effffff,0x443d8000,
    0x2ffffffd,0x2a6ea000,0xdaa8800f,0x5401aaaf,0x2e150abf,0x04ffffff,
    0x3ffffffa,0xfffffb81,0x981fffff,0xffffffff,0x267fffff,0x4fffffff,
    0x801ffe80,0x4c01aba8,0xffffffff,0xffffffff,0x47999997,0xfffffffd,
    0x203fffff,0xfffff31a,0xffffffff,0x2600ffff,0xfb0009bb,0xf503ffff,
    0x2009ffff,0xa800abb9,0x0aa4cccc,0xffffff70,0x7ffff409,0x800151ff,
    0xfffffffc,0x026001df,0x1aba8800,0x2aee6000,0x01540000,0x2002a800,
    0x4ffffffb,0x3fffffa0,0x2eea201f,0x0000001a,0x00026ee6,0x005bd910,
    0x3fffffe6,0x1ffe804f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x026b2e62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40330000,0x802e000a,0x008000b8,0x71005c00,0x00008000,
    0x98000ae0,0x00014c03,0x000002b8,0x20000000,0x00b20019,0x00400080,
    0x07100e20,0x00005700,0x2000164c,0x4cc4002c,0x00999999,0x33333322,
    0x002bcccc,0x99999991,0xccccc885,0x1500cc03,0x90000000,0xcb807999,
    0x000ccccc,0x00566dcc,0x28800791,0x10000660,0x0df905ff,0x2607fe20,
    0xfd5000fe,0x06a3bdff,0xd303ff10,0x6dc4001f,0x0a63deff,0x027fec40,
    0xb80dfa80,0x6c40005f,0x0d9004ff,0x884feb80,0x09f00001,0x009ffd10,
    0x2202fd98,0x1defffca,0x403f5073,0x3f6000fb,0xff00004f,0xfd10001f,
    0x7ff4009f,0x3fffffff,0xddfddb30,0x5dffdddd,0xefeed980,0x7f6c43ee,
    0x3fe204ef,0x8806fc82,0x01883feb,0x05ffddb0,0x6f7f776c,0x3bff2000,
    0x3ff604fe,0x217f6003,0x20001ff8,0x6fc82ff8,0xa8ff6200,0xfe8800ef,
    0xcfecaabd,0x3fe8804e,0xd8003bee,0xfdcabdff,0xe9806c9e,0x000dfb9f,
    0x3f61efa8,0x7f4c0004,0x5400dfb9,0x99fd004f,0x0bf717df,0x801f7000,
    0x0efb9ef9,0x202ef980,0xecaceffd,0xf886ddff,0x200df106,0x0efbafe9,
    0x0fffc000,0x2e7be600,0xaa8800ef,0x0aaaaaaa,0x6cc07b80,0x00f7003f,
    0x3e2013ee,0x806fc82f,0x8befdcfe,0x7cc005fb,0x01f5006f,0x001cfc80,
    0xd800fff6,0x01ff885f,0x1500cc00,0xf9bf9000,0x00ff4009,0x64009ff7,
    0x4004fddf,0x3f6602fc,0x077dc06e,0x10003ff3,0x005fd7fd,0x260efb80,
    0x07f401ff,0xfd887620,0x80000dff,0x06fdc05e,0x6c805fd3,0x802ffa20,
    0xdf707ffa,0x03ffb539,0x74c1df50,0x36a0002f,0x06fdc003,0x00005fd3,
    0xc803dc00,0x807b801f,0x066003fc,0x0ecc00a8,0x01bfffb1,0x04faf980,
    0x26000fa8,0xcd98004f,0x402a2000,0x00000019,0x17fd4000,0xb003f700,
    0xffa8009f,0x007e4002,0x3e606fc8,0x000fb104,0x000077e4,0x3ec413e6,
    0x80013ee0,0x500002b9,0x827cc03f,0x01fc07d8,0x3e2003fb,0x3fffaa07,
    0x5f8801df,0x0001fb10,0x81fcc000,0x008007d8,0x7400f700,0x6c07b805,
    0x0000002f,0x0015cc00,0x00fb9f98,0xf90007d4,0x00000003,0x00000000,
    0x00310000,0x9f3005d8,0x80031000,0x37c002fb,0x00060020,0x04000030,
    0x3fe200c0,0x00008000,0x00805e80,0xa81fc008,0x0364003f,0x20004cc4,
    0x40001800,0x08008000,0xfffec980,0x01ee001d,0x07b807b8,0x00005fb1,
    0x00000000,0x017a3f30,0x36c001f5,0x00000000,0x6664c000,0xccc83ccc,
    0x0000cccc,0xd8013a00,0xd0000003,0x00d9000d,0x00000000,0x20000000,
    0xec9803fc,0x0001dfff,0x00002fa8,0x1b607f00,0x0000a600,0x20000000,
    0xdefffca8,0x00000731,0x6ddeffdc,0x7b800dfe,0x2e01b200,0x801fe887,
    0xccccccc8,0xcccccccc,0xcccc880c,0x0000cccc,0x80bea3f3,0x13a000fa,
    0x333332e0,0x1ccccccc,0xcccccc88,0xe98000cc,0xd84eeefe,0x20defeee,
    0xcccccccc,0x0bb001bc,0x3cccc800,0x666665c0,0x0003f10c,0xccccc831,
    0x33332e02,0xccccc883,0x22000ccc,0x04cccccc,0x79999991,0x7dc06f98,
    0xdfedbbdf,0x21b60000,0xccccccc8,0xcccccccc,0x7f03f80c,0x332e0000,
    0xcccccccc,0x333221cc,0xcccb83cc,0x3ff600cc,0xdffecace,0x66665c6d,
    0xcccccccc,0x2a04fd81,0x03dc00ef,0x8f7007f0,0xb3000ee8,0xdddddfdd,
    0x1fdddddd,0xfddddb10,0x260007fd,0xfa81b61f,0x2013a000,0xffeeeeec,
    0x882eeeee,0xfefeeeed,0x03e60003,0xfdb07b80,0xffdddddd,0x01fb809f,
    0x3ffbb600,0x3fbbb602,0x000f50de,0x3bbfb620,0x3bffb603,0xeeeed884,
    0x22003fef,0x05eeeffd,0x9dfdddb3,0x3f603fd0,0x003bea04,0x3660be60,
    0xeeeeefee,0x0feeeeee,0x01f983f8,0xdddd9000,0xdddddffd,0x777f6c45,
    0xdefeed84,0x00bfe880,0xdd91ffea,0xdddffddd,0x02fc85dd,0x3dc05fa8,
    0x4007ec40,0x003be67b,0xf5003dc0,0x327e6001,0x43f30006,0x01f503f8,
    0xd0002740,0x9f980009,0x3e60006c,0xf01ee000,0x077dcc07,0x80005fd0,
    0xf5006ff9,0x00006c81,0x9f1005e8,0x6c9f9800,0x0005d800,0x13f205f1,
    0x3ea00bf2,0x806d8005,0x03ea007b,0x001ee0fe,0x8013a000,0x05f1007b,
    0xf8800fec,0x3009d007,0x17d4007f,0x7dcc0f70,0x2af7002f,0x70000dff,
    0x007d400f,0x003f36c8,0x0fc83f30,0xdb100fa8,0xbdddffdd,0x00027400,
    0x000fcdb2,0x2e000f98,0x4401fc07,0x3ff2206e,0x260009bd,0xfa804faf,
    0x00002ec0,0x36c01fcc,0x1f9b6400,0x80036400,0x8df701f8,0x3ea003f9,
    0x00fe2002,0x0fa801ee,0x005d83f8,0x004e8000,0x17c401ee,0x64003fa8,
    0xd009d006,0x40fd000d,0xfeeeeefb,0x2e001dff,0x3ffbdfbf,0x2007b800,
    0x47f000fa,0x1f98004e,0x07d42fc4,0xffeeed88,0x3a004eee,0xd1fc0004,
    0x03e60009,0x1fc07b80,0x4403f880,0x1cefffdb,0x07dcfcc0,0x0bb03ea0,
    0x03f20000,0xf8001fa8,0xf70013a3,0x403e6000,0x003747fa,0x0f9003f4,
    0xfa801ee0,0x2ec17cc0,0x27400000,0x2200f700,0x000db02f,0x013a0053,
    0xf50005f5,0x3bbbee01,0x8002ffee,0x3fa24ffb,0x003dc005,0x1f5001f3,
    0x7cc003dc,0x7d41fa81,0x0013a000,0x2a0004e8,0x4001ee0f,0x1ee000f9,
    0x7e4007f0,0x3b2a2000,0x747e602f,0x3607d405,0x3a000005,0x0009f105,
    0x003dc1f5,0x3fee03ea,0x3e607a80,0x0005f50f,0x7f1001f5,0x9801ee00,
    0x6c07e40f,0x99999805,0x04e80099,0x7c401ee0,0x00007f02,0x3dc04e80,
    0x2e05d000,0x003ff507,0x5f703fb8,0x2003dc00,0xf88db001,0x80fcc002,
    0x0007d46e,0x2740009d,0xf88db000,0x00f98002,0x07f01ee0,0x20004e80,
    0x23f303fc,0x03ea02fa,0x400000db,0x00fd83f9,0x17c46d80,0xdb03f300,
    0xf80f705f,0x4000f71f,0x00fc802e,0x21800f70,0x0d903fea,0xffffffc8,
    0x027402ff,0x3e200f70,0x0001f982,0x32027400,0x41360006,0x0bfa207b,
    0x7e407b80,0x2e0f7000,0x07f10005,0x1f9800bb,0x07d47f30,0x40009d00,
    0x7f10004e,0xf3000bb0,0x203dc001,0x0364003f,0x7cc1b200,0x0fa81b61,
    0x000003dc,0x02fa83f2,0x5d83f880,0x3e07e200,0x406c85eb,0x000d91ff,
    0x13e2026c,0x0b707b80,0xf701ffe8,0xaaaaa880,0x04e802fd,0x7c401ee0,
    0x00007b82,0x27404e80,0x2e0d9000,0x000fd807,0x05e880f7,0x01b20f70,
    0x7d407dc0,0x807e6000,0x001f50fc,0x9d000274,0x203ee000,0x7cc000fa,
    0xf01ee000,0x007b8007,0x7cc07cc0,0x7d40fe21,0x0000fd40,0x2f457a00,
    0xa80fb800,0x50be000f,0x0bb0f73f,0x04e87fc4,0xf701b200,0xc83dc001,
    0x507e9806,0x0f90001f,0x7b8013a0,0xbb05f100,0x9d000000,0x20003f80,
    0x100f707b,0x01ee00dd,0x3ee007ea,0x06daaaaa,0x1fc0bd00,0x4403f300,
    0x4001f54f,0x13a0004e,0x7f02f400,0x000f9800,0x007f01ee,0x00990fa8,
    0x1f982f88,0x07d407e4,0x00000274,0x003f2be6,0x07f02f40,0x4df21fc0,
    0xf302741f,0x70001fcf,0x4005f80f,0xdaaaaafb,0x103f5006,0x0f90005f,
    0xfb8013a0,0xaaaaaaaa,0x05d82fba,0x04e80000,0xf7000274,0x7cc01ee0,
    0xd007b803,0xffff700b,0x1000dfff,0x0036405f,0x9fb803f3,0x13a000fa,
    0x8004e800,0x01b202f8,0x5c001f30,0x2001fc07,0x800fb0f9,0x41f981f9,
    0x80fa85f8,0x0b8002fa,0x005ff900,0x6c80be20,0x49d13a00,0xf501fc3f,
    0x7000274d,0x000fd40f,0x3fffffee,0x07f1006f,0xf90003f6,0xb8013a00,
    0xffffffff,0x5d82ffff,0x99999980,0x404e8009,0x1720005d,0x1f9003dc,
    0xf7007b80,0xd907b801,0x980f7000,0x03f3001f,0x001f5dd0,0x9d000274,
    0x980f7000,0x03e6001f,0x1fc07b80,0x7ec3e600,0x4c1f6002,0x541fa81f,
    0x001fb00f,0xf8800fec,0x01ee0005,0x976003f3,0x5f1b62f8,0x0bb2fe40,
    0xbd02e400,0x320f7000,0x440fe006,0x03e4005f,0x1ee004e8,0x36417c40,
    0x3fffff20,0x27402fff,0xe8001b20,0x4400f703,0x803dc05f,0x83dc03f8,
    0xaee8006c,0xfaaaaaaa,0x003f3004,0x4001fbf3,0x13a0004e,0x2aabba00,
    0x04faaaaa,0xb8003e60,0x2001fc07,0x007ff67a,0x0fcc0bee,0x807d46e8,
    0x74402fe8,0x0274002f,0x5555dd00,0x009f5555,0x2a0fb9b2,0x6c03f10f,
    0x8001b22f,0x003f503e,0x01b20f70,0x37ea03f8,0x200f9000,0x01ee004e,
    0x03dc17c4,0x36aaaaa2,0x404e802f,0xf88000fa,0x2bf6aa21,0x5fd401aa,
    0x5f95510a,0x576c0355,0x5307b81a,0xffff9800,0xffffffff,0x33eea200,
    0x3ff202aa,0x0013a000,0x7cc004e8,0xffffffff,0xf3000fff,0x203dc003,
    0xb2e4003f,0x4413bf9d,0x3e604fea,0x7d47f301,0x2b7fa200,0x03df9510,
    0x20009d00,0xfffffff9,0x800fffff,0x5f11b67b,0x47f803e6,0xf88000fa,
    0x2000dd01,0x4005307b,0x67f4c03f,0x37f5cc1a,0x2e004e80,0x505f1007,
    0x0f90001f,0x9f1013a0,0x4c1f9000,0x4fffffff,0xf31ffe80,0x09ffffff,
    0x5c27ffcc,0xc824c007,0x405f1006,0x6ffffff9,0x8003fe20,0x13a0004e,
    0x2200d900,0x00be002f,0x01fc06e8,0xf54b8fa0,0x5dffffff,0x3201f980,
    0x7001f50f,0x9fffffff,0x013a0001,0xf8803640,0x0fe7a802,0xa807d53a,
    0x0027c44f,0x17cc07e4,0x4007b800,0x9003f849,0xffffffff,0x0274003b,
    0x3e200f70,0x8002f882,0x009d007c,0x7c4003f7,0x00000005,0x0f700000,
    0x07f07b80,0x00002ec0,0x03f98000,0xf0013a00,0x002ec007,0x13e20099,
    0x7cc007f0,0x566d4402,0x403f3001,0x001f54f8,0x000d7644,0xf8002740,
    0x20176003,0xc81f98f9,0x0ff40f77,0xf1000fdc,0x8001b60b,0x43dc007b,
    0x5cc4003f,0xe80009ac,0x401ee004,0x01fb02f8,0x9d007c80,0x4003ba00,
    0x008000fd,0x00010000,0x1f2003dc,0xfa8003ea,0x00020000,0x00017e40,
    0x07d4009d,0x2001f500,0x1fb801fa,0xf8801fc0,0x000b2006,0x9fb803f3,
    0x1dc000fa,0x009d0000,0x54001f50,0x64fc400f,0x0d93f307,0x0ee81be6,
    0xf301fb00,0x03dc0007,0x00fe1f20,0x74000020,0x401ee004,0x0bf102f8,
    0x9d007c80,0x807be600,0x88002fe8,0x400003fe,0x7b8005fc,0x2ec3e400,
    0x0001fc00,0xf8000bf9,0x02740006,0x7f000bb0,0x700f6c00,0x007f009f,
    0x5c003fd1,0x07e6004f,0x003ebba0,0x0001bf50,0xbb0009d0,0xf007f000,
    0x6dfc0bd5,0x4c05fb05,0x3fa201ef,0x8000fb02,0x43e4007b,0x5fc8005d,
    0x00274000,0x0be200f7,0x9000dfa8,0x8013a00f,0x2e61bfe8,0x440002fe,
    0xd800000f,0x003dc002,0x005f11f2,0xb0000d90,0x91375005,0xe80003ff,
    0x005f1004,0xfd800d90,0x0bf9510b,0xea880fe0,0x05b0002f,0x26007e60,
    0xb0000fdf,0x09d00007,0x8002f880,0x3fcf806c,0x2213b760,0xbfe8806f,
    0x40bfae61,0x5c0003f8,0x4c3e4007,0x05b0002f,0x70027400,0x00be200f,
    0x98359fd3,0x9d006feb,0xffff9000,0x20003bff,0x0006b9bb,0x01f53750,
    0x55fb5510,0x55555555,0x3f2a2fb5,0x2aa01aab,0x000abfca,0x001f5375,
    0x03dffff7,0x555554c0,0x0aaaaadf,0x3557f951,0x5fe55540,0xfffb000a,
    0x55007fff,0xb55555bf,0x22003dff,0x400eaace,0x2aacfba8,0x4003ff20,
    0x001e9ace,0x6f55554c,0xa880aaaa,0x201aabfc,0x0abfcaaa,0x5401ffd0,
    0x01fb83ff,0x3fffff20,0x03f201df,0x3f6aa200,0xaaaaaaaa,0xfb07daaa,
    0xa9ba803d,0xaaa9800f,0xaaaadfaa,0x2bf2aa0a,0xcfbaa82a,0x7ffe402a,
    0x81dfffff,0xdfaaaaa9,0x800aaaaa,0x0000abb9,0x000e76cc,0x02dec880,
    0xffffff30,0xffffffff,0x3ffeefff,0x3fa04fff,0x001fffff,0x4005bd91,
    0xd8000a98,0xffffffff,0xff73ffff,0x7409ffff,0x01ffffff,0x004ddcc0,
    0x7fffffc4,0x001bdfff,0x802dec98,0x6ffffff9,0x4003fe20,0x8003dec8,
    0xfffffffb,0xffb82fff,0x3a04ffff,0x01ffffff,0xff880dfb,0x30002982,
    0x5b001577,0x3ffe6000,0xffffffff,0x207fffff,0x764400b8,0xfffb002d,
    0xffffffff,0x7ffff47f,0xffffe86f,0x9731006f,0x7fec0135,0xffffffff,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02a01980,0x20540330,
    0xccccccca,0x100002cc,0x99988000,0x00099999,0x00000000,0x66666644,
    0xccccca81,0x2aaaa603,0x300aaaaa,0x99999999,0x88019999,0xc880003c,
    0x4498000b,0x4ccc403a,0x80099999,0x001bdeca,0x99800000,0x80099999,
    0x99999998,0x18800009,0x33331000,0x00001333,0x99999100,0x88001999,
    0xcccccccc,0xcccccccc,0x99999800,0x00000999,0x0000a026,0x32a20180,
    0xff1000ac,0x440df905,0x46fc81ff,0xeefeeeea,0x260003ee,0x01cdffec,
    0x3ffffe60,0x8007ffff,0x0181efc9,0x081dfc88,0x7777f6c4,0xefeeec82,
    0x3ffffa04,0x502fffff,0xdffddddd,0xc803bddd,0x640003ff,0x7b8003ff,
    0xfff3036c,0x0fffffff,0xffedffc8,0x3bee2002,0xdf910002,0x09dddddd,
    0xffffff98,0x40007fff,0xb93006f9,0xdfdddfff,0xbf93009d,0xeed88005,
    0x003fefee,0x777f76cc,0xeeeeeeee,0x7ff400fe,0x3fffffff,0x24f98000,
    0x000006e8,0x3bfee136,0xf8801fff,0x206fc82f,0x6fc82ff8,0x0000fcc0,
    0xdbbcefc8,0x2a6002ff,0x1aaaaaaa,0x75ffcc00,0x02fd89df,0x37fb3fe6,
    0xf982fc89,0x001ee000,0x04e80000,0x007ffb00,0x004ffc80,0x202ec6c8,
    0xaaaaaaa9,0x30bfa01a,0x336007f9,0x44002d98,0x012e01de,0x2aaaaaa6,
    0x2a0001aa,0x7e4400ef,0x1a64b8ae,0x03aa7d00,0xd93f3000,0x003dc000,
    0xaa8801f5,0x0aaaaaaa,0x22fcc000,0x000001fe,0x0cfc89f1,0x2600bf66,
    0x33002a01,0x3e600540,0x7f440001,0x0013f202,0x43b80000,0x403ffffa,
    0x3ffee0cb,0x001f303f,0x000003dc,0x20009d00,0x40000cd8,0xc8000cc8,
    0x00002746,0x3ec03f50,0x01a63440,0x09700b90,0xb8000000,0x4fe8805f,
    0x400d325c,0x00025c5a,0x000fcdb2,0x3ea007b8,0x00000000,0x3f60ef98,
    0xccccc881,0xcccca81c,0x17e60ffd,0x00000fd8,0xf3000000,0x1fd80003,
    0x0004fb80,0x54400000,0x2e20000b,0x003e601b,0x1c9807b8,0x9d000770,
    0x00000000,0xe8bb0000,0x3a000004,0x200fd405,0x20034c68,0x004a801e,
    0x3f200000,0x70bf7004,0xb50034c9,0x7c0004a8,0x5c0013a3,0x003ea007,
    0xf1000000,0x8817ec1d,0x82eeefed,0x0adfeeec,0x0fe6036c,0x00000000,
    0x0000fcc0,0x7dc003f5,0x33333260,0xccccc83c,0x000000cc,0x0f980000,
    0x3a01ee00,0x02ff985f,0x00002740,0x40000000,0xcb81fc5d,0xcccccccc,
    0x03ee1ccc,0x4f600fe0,0x07c002d8,0x33220440,0xcccccccc,0x00cccccc,
    0x7ec007d0,0x01a64b82,0x007a65d0,0x1ee0fa80,0x3003dc00,0x6664401f,
    0x000ccccc,0x0ba07540,0xb8003e60,0xd007f307,0x2ccccc8d,0x4f3332e0,
    0xcccccccb,0x301ccccc,0x2f40003f,0xe997e200,0xd84eeefe,0x20defeee,
    0x5c03cccc,0x70cccccc,0x99999999,0xf9839999,0x201ee000,0x0ff883fc,
    0x54027400,0xcccccccc,0x3220cccc,0xcccccccc,0x0ccccccc,0x207f13a0,
    0xffeeeeec,0x362eeeee,0x1009d006,0x90007df9,0x3b660009,0xeeeeeefe,
    0x00feeeee,0x01ff0000,0x20034c97,0x0002efd9,0x00be236c,0x03001ee0,
    0xfeeeed88,0x000003fe,0x0007cc00,0x003ee0f7,0x7f6c47ea,0x3fb603ee,
    0xdddd94ef,0xdddddffd,0x0007e605,0x5c000fdc,0x0007cc1f,0x3fbb60f7,
    0x3bbb602f,0xddd90def,0xddddffdd,0x000f985d,0x000001ee,0xfc804e80,
    0xeeeeeeee,0x3b661fee,0xeeeeeefe,0x00feeeee,0x002f893e,0x02740274,
    0x0100274c,0x3ffda880,0x003dc000,0x400001f5,0x9701ff3a,0x0080034c,
    0xd83f8800,0x707b8005,0x3e60000b,0x000006c9,0x0007cc00,0x401b20f7,
    0x005e82f9,0x13a009f1,0x0003f300,0x7c4001b2,0x70007cc2,0x06ff980f,
    0x3a001f50,0x001f3004,0x000003dc,0xf9009d00,0x5c03f200,0x803ea007,
    0x000be23f,0x207f009d,0x004fffea,0x22b76000,0x70000de8,0x007d400f,
    0x0b3772a2,0x20bfa7f7,0x0001a64b,0x80fb8000,0x3dc000fa,0x900006c8,
    0x80007e6d,0x02bddca8,0x5c001f30,0x2200bb07,0x803f983f,0x013a006d,
    0x20003f30,0x13a0004e,0x3dc001f3,0x013ebe60,0x274003ea,0x2000f980,
    0x0000007b,0x1f2013a0,0x7b80fe60,0xca83ea00,0xfdccdfcc,0x7400bccd,
    0x6417c404,0x204e9aef,0x1cdedba8,0x3fc834c0,0x2007b800,0x3fee00fa,
    0xbaffeddf,0x703bee4f,0xaa9834c9,0x2aaaa202,0x7c0bd000,0x557dc003,
    0x0006daaa,0x002747f0,0xfedfffb8,0x07cc01ef,0x13a0f700,0x1f904f80,
    0xd000fd40,0x01f98009,0x40007f00,0x0007cc5d,0xb9f980f7,0x007d400f,
    0x1f3004e8,0xa983dc00,0x2aaa202a,0x009d000a,0x05e880f9,0x1f5003dc,
    0x7fffffec,0x1effffff,0x3e602740,0x13a1fdc1,0x37bfff66,0xd100dfee,
    0x00176cc0,0x07cc00f7,0x4c067f44,0xefd85ffd,0x986992e0,0xfb00ffff,
    0xf1005fff,0x20036405,0xfffffffb,0x0fa80006,0x3f6001ee,0x03fe980c,
    0x7b8003e6,0x274007f0,0x13e20bd0,0x98009d00,0x2f88001f,0xf31b2000,
    0x203dc001,0xa80bd1f9,0x009d000f,0x7b8003e6,0x00ffff98,0x005ffffb,
    0x01f2013a,0x07b801fb,0x7cc03e60,0xd0003ea1,0x7c1f9809,0xbda84e86,
    0x6c0bf501,0x006f5403,0x406003dc,0x7fd401fd,0x75bff704,0xb98834c9,
    0x3e66600f,0x4c07b802,0x41ee001f,0x6d80006c,0xf90017c4,0x205f9005,
    0x1ee000f9,0x09d001fc,0x07ec1fcc,0x30013a00,0xf822003f,0x31b60003,
    0x03dc001f,0x017d47e6,0x13a001f5,0x70007cc0,0x03ee620f,0x002f9998,
    0x40d7009d,0x07b802fa,0x43f300c0,0x04e8007b,0x07f10fcc,0x7dc0009d,
    0x7009d102,0x707b807f,0x00bee00b,0x203f7bf5,0x264feca8,0x8007d406,
    0xaaee802f,0x4faaaaaa,0x3641ee00,0x20fe2000,0x07f5005d,0x7cc07ec0,
    0x7c1ee000,0x9013a003,0x0017d41f,0x3e600274,0x2749b001,0xf989d000,
    0x301ee000,0xf5036c3f,0x4013a001,0x1ee000f9,0x3e001f50,0x2009d002,
    0x2009f100,0x800b707b,0x001ee0fa,0x43f3013a,0x004e82f8,0xdb1027c0,
    0x205e8803,0x100d907b,0x25fa809f,0x4c97006e,0x8007d406,0x7ffcc02f,
    0xffffffff,0x20f7000f,0x7dc00029,0xe800fa80,0x427c4005,0x1ee000f9,
    0x09d001fc,0x017a2bd0,0x26002740,0x6c9d001f,0x30fe0005,0x03dc001f,
    0x03f887e6,0x13a001f5,0x7000fcc0,0x000fa80f,0x013a005f,0x5c00dd00,
    0xa800d907,0x74003647,0x3e0fcc04,0x40004e86,0x0dfa804e,0xafb81ec0,
    0x806daaaa,0x17ea01f9,0x497001f5,0x007d4069,0x036402f8,0xf7002f88,
    0xd0049800,0x2201fc0b,0x85d8002f,0x1ee000f9,0x09d00274,0x01f95f30,
    0x30013a00,0xc93a003f,0x85f30007,0x1ee000f9,0x0fc83f30,0x9d000fa8,
    0x800be200,0x007d406c,0x09d002f8,0x000fdc00,0xb55555f7,0xdaaa880d,
    0xaaedaaaf,0x404e800a,0x16fd41f9,0xaa98809d,0x2009d0aa,0x1a603fc8,
    0x7fffffdc,0x207b806f,0x01f985f9,0x501a64b8,0x00be001f,0x02ec007f,
    0x3dc007b8,0xd9017c40,0x8001f980,0x000f987b,0x0036c1ee,0x3ff2007f,
    0x013a0002,0x3a003f30,0x2000fe24,0x000f987d,0x83f301ee,0x00fa85f8,
    0x274009d0,0xfa809d00,0x2005f000,0x7f30004e,0xffffb800,0x7e406fff,
    0xffffffff,0xe803ffff,0x5c17c404,0x80ffffff,0xffffffea,0x44004fff,
    0x707881ed,0x3201b20f,0x220bf307,0x264b802f,0x8007d406,0x003ea02f,
    0x7b800fa8,0x5c03e400,0x500fcc07,0x1f50001f,0x2e000f98,0x2200f907,
    0x0bf1001f,0x4004e800,0x89d001f9,0x3e6000fc,0x2000f982,0x40fcc07b,
    0x007d41fa,0x3ee004e8,0x401fb801,0x05f000fa,0x220013a0,0x07b8006e,
    0x46c800d9,0x04e8005e,0x995103f8,0xbefd8199,0x9f733109,0x44fea000,
    0x20f703da,0x40fa806c,0x3f300ef9,0x034c9700,0x17c003ea,0x7f000bb0,
    0xc800f700,0xaaaee807,0x04faaaaa,0x320007e6,0x2001f987,0x001f707b,
    0x274001f7,0x0013a000,0x13a003f3,0x3a200bf1,0x4001f306,0x80fcc07b,
    0x8007d46e,0x0f74004e,0xf5009f50,0x400be001,0x0fc8004e,0xd907b800,
    0x2745d800,0x74027400,0x0ff20004,0x10002740,0x5c07bffd,0xf3005307,
    0x70077cc3,0x6992e00f,0xf8007d40,0x0005f102,0x00f700d9,0x7fcc07c8,
    0xffffffff,0x00fe00ff,0x017c1760,0x13e20dd0,0x9d001ba0,0x404e8000,
    0xacfbaaa9,0xaaaaaaaa,0x00efa84e,0x7cc07fa6,0x301ee001,0xa8fe603f,
    0x009d000f,0x260bfe88,0xfa800dfc,0xa885f000,0xaadfaaaa,0x0bea02aa,
    0x20f70388,0x22ec0029,0x04e8003f,0xf10007c8,0x00274007,0x3dc01740,
    0x2bd12600,0x3a200ef9,0x34c97005,0x7c003ea0,0x55fe5442,0x32aaa01a,
    0x2aa20abf,0xaaaaaafd,0x07daaaaa,0x2f880364,0xf3001b60,0x44013207,
    0x803f604f,0x274002f9,0x7013a000,0xffffffff,0xffffffff,0x86ffea09,
    0x7c00efb9,0x301ba002,0xa87e403f,0x009d000f,0xfffffb10,0x07d4007f,
    0x7fdc2f80,0xffffffff,0x05f882ff,0x007b83d4,0x7c4e824c,0x804e8003,
    0xfa8002f9,0x0813a000,0xf7009700,0x7d47b800,0x7e400efc,0x34c97000,
    0x22003ea0,0x7fffdc2f,0x3ffa04ff,0x3e61ffff,0xffffffff,0x7fffffff,
    0xbb001fc0,0xd0027c40,0x400fd40d,0x13e601fb,0x740037c4,0x02740004,
    0x26000000,0x4ffffffc,0x22009900,0x00fcc04f,0x003ea9f1,0x91000274,
    0xf500037f,0x005f1001,0x76c003b9,0x7b83d400,0x4e83dc00,0x3a000be2,
    0x001db004,0xf9001fa8,0x54007409,0x4007b805,0x00ffd87c,0x970017e4,
    0x0be6034c,0x0005fd10,0x0005d100,0x7d403e80,0x803ea000,0x7ec404fb,
    0x70076c01,0x5bf7009f,0x003fd511,0xe80009d0,0x00040004,0x01befa80,
    0x5c00fd40,0x00fcc01f,0x003ea7ee,0x32000274,0x0be60005,0xf005fd10,
    0x00fdc003,0x007b83d4,0x223f83e4,0x04e8002f,0x2201df10,0x3017e20c,
    0x07409ffd,0x3dc01f40,0xff11f200,0x754c15df,0x325c003f,0x205f880d,
    0x0002fff9,0x00004b80,0x02ec02d4,0x3ee01fc0,0x3fee60ae,0x217fb002,
    0x2005fca8,0x0efffffa,0x0009d000,0x640004e8,0x3ee0005f,0x4062019d,
    0x13ee01ed,0x3a007e60,0x9d000fae,0x003c8000,0xf9817e20,0x03cc02ff,
    0x2a009f30,0xc800f707,0x0fcc5f07,0x50027400,0xf75359ff,0x0adfb81d,
    0xbd3df951,0x200e8155,0x0f7006d9,0x3ba27c80,0xfffffe98,0x4b8000df,
    0x33ee01a6,0xf3bfb711,0x40000159,0x5c00003b,0x0017c404,0x7f4c0364,
    0x00dfffff,0x7ffffec0,0x5730003f,0x04e80001,0x00027400,0x6c4002d8,
    0xdeffffff,0x3605fdab,0xbf9510bf,0x2007e600,0xd000fdf9,0xae980009,
    0x7dc004b8,0x3bfb711c,0x6740159f,0x0dd01c98,0x07b83d40,0x17c43e40,
    0x554c03f3,0xaaadfaaa,0xffb300aa,0x2e019fff,0x3fffffff,0xdd0bfffa,
    0xbfdddddd,0x7ed54401,0xaaaaaaaa,0x3ba7daaa,0x04ddd4c0,0xfdddd900,
    0x80fbbf63,0x2ffffffd,0x0000fffe,0x02fccf88,0x75e7c400,0x557f9513,
    0x7e555403,0x5d4400ab,0x4c00009b,0x000009bb,0xaaaa9800,0x80aaaade,
    0xdfaaaaa9,0x400aaaaa,0x000fa9ba,0x4d5ef7e4,0x03effecb,0xffffffd8,
    0xcfba8803,0x3ff202aa,0x555554c0,0x0aaaaadf,0x0bbfae00,0x3ffff600,
    0x0fffe2ff,0x304ffd98,0x5555559f,0x44f95555,0xaaaafdaa,0xdaaaaaaa,
    0x3e61f887,0x3ffff600,0xffffffff,0x00099803,0x00157751,0x33333310,
    0x3ffe6003,0xffffffff,0x2a7fffff,0x98800000,0x26621999,0x565cc009,
    0x40000000,0x00001ba8,0x7fdc5971,0x3a04ffff,0x01ffffff,0x00000000,
    0xf7000000,0xffffffff,0xffffb05f,0xffffffff,0x2dec8807,0x11001000,
    0x13773000,0x3fffe600,0x3fe206ff,0x7ffffec0,0x3fffffff,0x98000000,
    0x00000acb,0xfffff980,0xffffffff,0x3ffffe67,0xffffffff,0x10107fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000033,0x00000001,0x800000a8,0x18800018,0x00000000,
    0x01400062,0x00000000,0x00000000,0x00a82800,0x20005100,0x0000000a,
    0x00310000,0x000000a0,0x80000000,0x90000aba,0x201ec409,0x40344059,
    0x00f400e8,0x03d88132,0x4c008000,0x0000accb,0x0000bf50,0x04000df3,
    0xdf003e60,0x7cc00001,0x2fcc0005,0x001db000,0x000bf500,0x400003be,
    0x200004e8,0x500004e8,0xd100005f,0x8001fb8d,0xdf0007e8,0x3a200001,
    0x7cc00004,0x01df0005,0x02744000,0x00274400,0x05fd9fd3,0x981df500,
    0x17cc01fe,0x9f100fb0,0x2a00fdc0,0x0ff4c0ef,0xbff10000,0xfddff910,
    0xfb80007f,0xefa80005,0x7f64c000,0x1be21cef,0x0007fe60,0x00037ea0,
    0x8000dfa8,0x002fffe9,0x00037ee0,0x0000ffcc,0x003bfbea,0x1dfdf500,
    0x7f7e4000,0x0ff40004,0xf30009f7,0x3e60003d,0x7d40001f,0x80000efe,
    0x30000dfa,0x500003ff,0x0001dfdf,0x003bfbea,0x01fa85f1,0xf72fe980,
    0x07fa001d,0x7ec017ea,0x3006f982,0x03bee5fd,0x7cc01880,0x443fe86f,
    0xf90004fc,0xbf700009,0x79df9000,0x3fa7fdb7,0x05fd1000,0x0027e400,
    0x40017f20,0x4fd88efa,0x004fc800,0x002fe880,0xfd31bf90,0x37f20005,
    0x4002fe98,0x1df72fe8,0x543fb000,0xefa8004f,0x7f440000,0x1bf90002,
    0x40005fd3,0x880004fc,0x320002fe,0x02fe98df,0x74c6fe40,0x6417202f,
    0xdfb10005,0xff98009f,0x00effdce,0xd9bffd10,0x6c4001ff,0xc8004fef,
    0x643ea805,0x00bee00f,0x00007fb0,0xe88009f9,0x3fff202f,0x1fec4001,
    0x001fec00,0x4000ff60,0x0dfb85fc,0x0007fb00,0x0017ec40,0x9fb10ffa,
    0x443fe800,0xdf3004fd,0x001ff983,0x04fa8bf6,0x0005fb80,0x000ff620,
    0x4fd887fd,0x003fd800,0x00bf6200,0x3f60ff60,0x887fd004,0x205d04fd,
    0x7dc00078,0xfd910002,0x2e0007df,0x0003effe,0x6c000bee,0x220fa806,
    0x006d803f,0x40000ba2,0x1fd8003e,0x0005fc80,0x0ba00172,0x005d1000,
    0x3d301f40,0x0000ba00,0xd3002640,0x30035c03,0x8035c03d,0x07b100dc,
    0x01321740,0x000026c0,0x3a6005c8,0x2001ae01,0x9000002e,0x01e9800b,
    0x07a601ae,0x203d06b8,0x00000078,0x00000000,0x40000000,0x217c406d,
    0x0fa800fa,0x00000000,0x2007ea00,0x0000fef9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0x0000d705,0x00000000,0x00000000,0x81806d80,
    0x03f3007b,0x00000000,0x74402f40,0x00005e8e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c400000,0x4000fcc2,0x02bcecb9,0x5101554c,0xa8801555,
    0x001cdedb,0x66f6dd44,0xeeaa9801,0x2aaaaaaa,0xd7001f10,0x02b72e60,
    0x40039b71,0x062cddb9,0x3f6007ee,0xb9803f70,0x4002bcec,0x02bcecb9,
    0x37b6ea20,0xdb98001c,0x220062cd,0x002bddca,0x2bddca88,0xddca8800,
    0xaaa8802b,0xaaa9800a,0x3b6ea00a,0x2a6021bc,0x2aaa202a,0xedba800a,
    0x2a6021bc,0x2aaa202a,0x6dd4400a,0xa9801cde,0x2aaa202a,0x6dd4400a,
    0xa9801cde,0x2aaa202a,0xecb9800a,0xefa802bc,0x44003feb,0xffedeffd,
    0xffff980e,0x5ffffb00,0x3bfff660,0x400dfeed,0xedefffd9,0xff100dfe,
    0xffffffff,0x13a07fff,0xffb113a0,0x3e61dfdd,0x2202ffef,0xffedeffd,
    0x03641fcf,0x40fe17e4,0xfedeffd8,0x7ec400ef,0x0effedef,0x3bfff660,
    0x400dfeed,0xfedeffd8,0x2e01fcff,0xeffedfff,0xbfff7001,0x2003dffd,
    0xffedfffb,0x3fffa01e,0x7ffcc07f,0xffe984ff,0xe8dffede,0x03fffe63,
    0x017fffec,0xfdbdffd3,0x7cc7d1bf,0xffb00fff,0x3f6605ff,0xdfeedeff,
    0x1ffff300,0x0bffff60,0x6f7ffecc,0xf300dfee,0x3f601fff,0x36202fff,
    0xeffedeff,0x0de54400,0x3ea0edc4,0x05fd502f,0x4c01f731,0x7b502f99,
    0x5017ea03,0x17ea037b,0x99ed9988,0x20199999,0x3fb103fb,0x6f4c2d98,
    0x3fb11ee8,0x5105fd10,0x04e83ffb,0x42741fd4,0xfd502ffa,0x40bfea05,
    0x7b502fea,0x8817ea03,0xfda882fe,0x019fb01f,0xfd807fd3,0x03fe980c,
    0x74c067ec,0x35f5103f,0x3f931001,0x2a03bf70,0x5cc44ffe,0x3e66600f,
    0x203bf702,0x4c44ffea,0x266600fb,0x037b502f,0xb98817ea,0x3e66600f,
    0x2037b502,0x2e6205fa,0x3e66600f,0x205ff502,0x88002fea,0x7c42cfeb,
    0x203fb006,0x05f000fa,0x002fb800,0xd802fb80,0x77d40006,0x01efbaab,
    0x407ffd40,0x803fa86e,0x101fc1fd,0xf11760bf,0x107f600d,0x07f600df,
    0x502fb800,0x03fb007f,0x5f9005f9,0x3200bf20,0x005f902f,0x01fc05f9,
    0x1fcc2ec0,0xa827f440,0x305f000f,0x9fd1007f,0x7c003ea0,0x17dc0002,
    0x7c003ea0,0x17dc0002,0x7c003ea0,0xb006f882,0xfd73003f,0x0076c039,
    0x03ea0db0,0x400017c0,0x9f00004f,0x0000db00,0x3ffffff7,0x40bfe000,
    0x007dc1f9,0x05f107cc,0x46c80774,0x1b6000ed,0x36c001db,0x5c13e000,
    0x40f9800f,0x3f6003fa,0xb001fd40,0x003fa81f,0x826c03f6,0xbd07f02a,
    0xa827cc00,0xd05f000f,0x827cc00b,0x05f000fa,0xa809f000,0x005f000f,
    0xfa809f00,0xdb05f000,0x9836c001,0x9801cfeb,0x17cc002f,0x2f8007d4,
    0x004e8000,0xdb009d00,0xbdfa8000,0x000eeba9,0x13a00fe8,0x20200bf1,
    0x403fb02f,0x000be66d,0x00be65f3,0x40005f30,0x00bf104e,0x10017a02,
    0x4005e89f,0x002f44f8,0x436413e2,0x0fc40ffa,0x5d0007ea,0x7c003ea0,
    0x2000fd42,0x001f502e,0x3a0000be,0x8007d404,0x4e80002f,0xf8007d40,
    0x20017cc2,0x9dd912f9,0x007a8003,0x01f507d0,0x26200be0,0x09d0aaaa,
    0x2aaaa620,0x0db009d0,0x9017dc00,0x5554403f,0x42e406e8,0x0009bdfc,
    0x00bee13a,0x8003d49d,0x2000f53e,0x2aa6203e,0x6409d0aa,0x10009bdf,
    0x4bb0005f,0x5d8002f8,0x36000be2,0xec81f505,0x3207d42f,0x7d400006,
    0x6c85f000,0x07d40000,0x98802f80,0x09d0aaaa,0x5f000fa8,0x55553100,
    0x1f5013a1,0x0f50be00,0x0dd4fa00,0xc80bdca8,0xeeeeeeef,0x5feeeeee,
    0x5f000fa8,0x7ffff540,0x404fffff,0xffffffea,0x6d804fff,0x007f1000,
    0xffec88db,0xeeefffff,0x506eeeee,0x59dffffd,0x13e62ec0,0xeefc8fe0,
    0xeeeeeeee,0xdf95feee,0xdddddddd,0x50bfdddd,0xfffffffd,0xfea809ff,
    0x302cefff,0x4f70003f,0x7b8001f9,0x2e0007e6,0xbf85f107,0x26c3645d,
    0x03ea0000,0x013617c0,0x001f5000,0xffea80be,0x4fffffff,0xf8007d40,
    0x3fffaa02,0x04ffffff,0x2f8007d4,0x777777e4,0xeeeeeeee,0x67ec405f,
    0x77e41eeb,0xeeeeeeee,0xa84eeeee,0x205f000f,0x3109befd,0x7ec09f73,
    0x733109be,0x00db009f,0x7c401ae0,0x137dff70,0xddddff53,0x880ddddd,
    0x0dfedba9,0x0bf10fc8,0x77e45f30,0xeeeeeeee,0xf94eeeee,0xdddddddd,
    0x89dddddd,0x3109befd,0x22009f73,0x0dfedba9,0x540007d4,0x0001f50f,
    0x003ea1f5,0x1f403ea0,0x741f71f5,0x00003f84,0x2f8007d4,0x200001fc,
    0x05f000fa,0x4426fbf6,0x5404fb99,0x205f000f,0x3109befd,0xfa809f73,
    0xfc85f000,0xeeeeeeee,0x04eeeeee,0x2e35c2e4,0x7d400007,0xf905f000,
    0x6413a007,0x009d003f,0x176000db,0x0cfabf80,0x000017a0,0x7c41fe98,
    0xfb001fb3,0x40003dc1,0xf900007b,0x0013a007,0x7cc3fd30,0x267c8001,
    0x27c8001f,0x7c8001f9,0xf16c9760,0x02f417c5,0x003ea000,0x0017a17c,
    0x2001f500,0x003fc82f,0x00fa809d,0x07f905f0,0x1f5013a0,0x0f70be00,
    0x07e20000,0x003f3174,0x8007d400,0x001fc42f,0x007f109d,0x036c0274,
    0x3a004e80,0x07e807cc,0x84e80000,0x9801fcfc,0x000fcc2f,0x00007e60,
    0x274007f1,0x7c4e8000,0x7c5d8003,0x7c5d8003,0x205d8003,0x35d8fe7b,
    0x000d903f,0xf000fa80,0x00006c85,0x2f8007d4,0x9d001fc4,0xf000fa80,
    0x2003f885,0x007d404e,0x00fcc2f8,0x7034c000,0x00005e89,0x3e2003ea,
    0xd0007d42,0x4001f509,0x006d804e,0x3e200d90,0x1fe807ba,0x8003e600,
    0x03ff887b,0x0bd06e88,0x000bd000,0x3a000fa8,0x2000f984,0x20036c7b,
    0x0036c3f9,0x00db0fe6,0x3e603f98,0x23ea0fa9,0x003f507b,0x4007d400,
    0x00fd42f8,0x001f5000,0x00fa85f1,0x1f5013a0,0xfa85f100,0x5013a000,
    0x05f1001f,0x300000bd,0x3e62640f,0x5f300003,0x542fe880,0x09f9001f,
    0x3f2003f5,0x0006c804,0x1f9005f5,0x7fd401f3,0x05f50405,0x7fcc3640,
    0x07fe600d,0x20001fcc,0x2a0003f9,0x09f9001f,0x364005f5,0x6e8013e2,
    0x3a004f88,0x2004f886,0x6caf806e,0xd02e5fc4,0x81d9800d,0x7f4402f9,
    0x4c006e82,0x402f981d,0x0fd42fe8,0x4c04fc80,0x17f4402f,0x7e4007ea,
    0x2017cc04,0x3f982fe8,0x82f80000,0x03fc82f8,0xbf10dd50,0x217ffcc0,
    0x7f4c05f8,0x405f884f,0xa804ffe9,0x6c29801f,0xf8fea01f,0x3ffff505,
    0x77d4fb10,0x443fa801,0x21bffaee,0x6400efb9,0x8dd5003f,0xdd5003fc,
    0xfd3017e2,0x03df509f,0x9f707f50,0x701fd880,0x1fd8809f,0xd8809f70,
    0x3fde801f,0x2604edd8,0xefc800df,0x2605f880,0xdf982fff,0x80efc800,
    0x3fe605f8,0x202fc42f,0x4404ffe9,0x3ffe605f,0x2602fc42,0x7c404ffe,
    0x0bffe605,0xea801fe4,0xb3175c06,0x0d77dc0b,0x03bfd731,0x6dc473ee,
    0x20acf9df,0x9510adfb,0x155bd3df,0xa8856fdc,0xaade9efc,0x886ffa00,
    0x7446feb9,0xbfb311bf,0xf711df98,0x119fb9db,0x7fd43df7,0x7e4c09bf,
    0xfb10fd85,0x009fffff,0x310d77dc,0xf703bfd7,0x75cc435d,0x2b7ee1df,
    0xd3df9510,0x3fea155b,0x7e4c09bf,0x82bbee05,0x5c02ffb9,0x3ee60aef,
    0x577dc02f,0x00bfee60,0x7d407fe4,0x5ffd402f,0x37fae621,0x4473ee00,
    0xacf9dfdb,0x10dffd40,0x401bfd73,0xfb711cfb,0x5c159f3b,0xf9510adf,
    0x0155bd3d,0x6dc473ee,0x20acf9df,0x9510adfb,0x155bd3df,0x5c473ee0,
    0x0acf9dfd,0x221aefb8,0x801dfeb9,0x00dfdefb,0x7fffff4c,0xfd802eff,
    0x3e2fffff,0x7ffdc3ff,0x3fa3ffff,0x7ffdc2ff,0x3fa3ffff,0x3f6202ff,
    0x2dffffff,0x3ffffee0,0xffff302f,0x7fecf29f,0x47440cff,0xfffffffb,
    0x881fb83f,0x30001bba,0xfffffffd,0xffe9805d,0x02efffff,0xfffffff7,
    0x897fff47,0xfffffb8e,0xe9803fff,0x0dffffff,0xffffd300,0x26001bff,
    0xdffffffe,0x41bea000,0xd8800ff8,0xdfffffff,0xffffb001,0x1fffc5ff,
    0x7ffffec4,0xfb001dff,0x7c5fffff,0x7ffdc3ff,0x3fa3ffff,0x3ff602ff,
    0x3fe2ffff,0x7fffdc3f,0x3ffa3fff,0x3fff602f,0x3ffe2fff,0xffffd303,
    0x8005dfff,0x44000a98,0x8001abb9,0x8000acb9,0x000abba8,0x01577510,
    0x2eea2000,0x2e62000a,0x1573001a,0x80055cc0,0x01abba98,0x00000062,
    0x00d5dcc4,0x0d5dcc40,0x0abba880,0x2ea62000,0xa88001ab,0x100009bb,
    0x00013775,0x0026eea2,0x88000000,0x0009acb9,0x000acb98,0x26b2e620,
    0xacb98000,0xbba88000,0xb980000a,0xa88000ac,0x80000abb,0x0000acb9,
    0x00d5dcc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x41ae01e9,0x99999999,0x00099999,
    0x80000014,0x01aa01e9,0x006880b3,0xa8001300,0x0001bccb,0xbca88000,
    0x00000001,0x00080028,0x19988000,0x04ccc000,0x26662022,0x01999999,
    0x59800a00,0x3b883440,0x1bcb9800,0x80000000,0x9b001998,0x20016c40,
    0x1998800a,0x0f4c0000,0x02000d50,0x880ba800,0x0031002c,0xfd83fe88,
    0xfffff984,0xffffffff,0x01fb1002,0x000f74c0,0x9f907fd1,0x3602f980,
    0x3fb80007,0xddffd500,0x2e0019ff,0x1b6a0bdf,0xefffff98,0x007ee003,
    0x8007f600,0x000003fa,0x003fffe6,0x327ffe40,0xfffd85ff,0x3fffffff,
    0x001fd800,0x83ec05f3,0xd8800ffb,0x02ffefff,0x00005fb8,0x007fffcc,
    0x3e6077dc,0x0274000e,0x007fffe2,0x83fe8800,0x322004fc,0x2002efff,
    0x7fc83ff8,0xffffd710,0xafe4007d,0x7f302fe8,0x55555555,0xd1005f75,
    0xffd8003f,0x15fc8004,0x3fa005fd,0x0005fa81,0xfd8027e4,0x006fb81d,
    0xffdfd951,0x837ea07d,0x6c402fda,0x10003fef,0xf90005fd,0x4c000009,
    0x20000fca,0x3fee4faa,0x555576c4,0x000aaaaa,0xd000bfa2,0x20bf503f,
    0x7d401ffb,0x4400c1bf,0x00001fff,0x8007e54c,0x1bf71ff9,0x3009d000,
    0x00003f75,0x3fa2bf90,0x37fe2002,0x2004ffcb,0x86fa81fe,0xbaabdffc,
    0xf5000dfd,0x7cc03dfd,0x803f3000,0xb8001ef9,0xf50003ff,0x4c003dfd,
    0xeffdceff,0x7fb10000,0x300bea00,0xfb51009f,0x5f805fdf,0x74c03ea0,
    0x001bf72f,0x0000ff44,0x00000bf7,0x80000fa8,0xb07ee24f,0xe880000b,
    0xff98001f,0x00effdce,0x7ec03ff7,0x7f40000d,0x5000000f,0x7ec4001f,
    0x3a0003fe,0x007e6004,0x7f7d4000,0x07f4001e,0x0800bf22,0x006fc020,
    0x74c00bf5,0x64007005,0x0077d407,0x80005500,0x88000de8,0x003effec,
    0x000bfa20,0x881ee001,0xfb0bdffc,0xb003ee01,0xa81df50d,0xef9801ef,
    0xefa80000,0x7fe40000,0x7fffffff,0xd513e000,0x40000bb0,0x20000ef9,
    0x03effec8,0xfb807fd4,0x15100003,0x7d400000,0x01fb8000,0x30027400,
    0x4000003f,0x4c000de8,0x00df103f,0x803f8000,0x000002fb,0x6404e800,
    0x00000004,0x00000000,0x0007a600,0x101f9800,0x41b60179,0x42f9804e,
    0x00f6204d,0x8000036e,0x4c0003f9,0xbfcaaaaa,0x93e0002a,0x005d82f8,
    0x00036e00,0x7fd40000,0x0004f980,0x40000000,0x000000fa,0x98013e00,
    0x0000001f,0x401f5000,0x4000007c,0x009f002e,0xf9800000,0x00000002,
    0x00000000,0x00000000,0x000fa800,0x01fc2740,0x000004e8,0x00000000,
    0x007d4000,0x05327c00,0x00000176,0xa8000000,0x001fd07f,0x00000000,
    0x00000fa8,0x7ffecc00,0xf30289cf,0x00000003,0xf701ee00,0x6765cc00,
    0xbb00002b,0x59bb7300,0x0f70000c,0xcb980000,0x54002bce,0x021bcedb,
    0x2f772a20,0x00000002,0x88037400,0x117cc1a9,0x01ee005f,0x00000000,
    0xda880000,0x007d41bd,0xf0566dcc,0x00176009,0x26000000,0x402bcecb,
    0x02f987f9,0x9db75000,0x54400437,0x07d41bdd,0x2202aa98,0xf700aaaa,
    0xffb7337d,0x7307e60d,0x880037bb,0x002bddca,0x00bd01ee,0xfdbdffb1,
    0xd80001df,0xbdffb105,0x03f9fffd,0x55317a00,0x55555555,0xffb10155,
    0x01dffdbd,0xedeffe98,0x203e8dff,0xffedfffb,0x0aaa201e,0x00159b95,
    0x500fea00,0x3bfffffd,0x2007d1ba,0x5554c0fc,0x2a6001aa,0x2001aaaa,
    0x01aaaaa9,0x6f7ff440,0x01f51fff,0xffedffb8,0x976009f1,0x4c00aaa9,
    0x77302aaa,0x77fec401,0x300effed,0x000f50ff,0xdbdffd30,0x207d1bff,
    0xffdeffe8,0xf301f51f,0x3f601fff,0x3fb82fff,0x7cc1bea0,0xfdbfff51,
    0xff7001bf,0x03dffdbf,0x3f620f70,0x817fd401,0x10002fea,0x05fd105f,
    0x003ffb51,0xffb85f10,0xffffffff,0x17fd42ff,0xf702fea8,0x3ffaa03b,
    0x3019fb04,0x3ff207fd,0xffbffd37,0x64c0005f,0x37f6204f,0xcfda989b,
    0x201720fb,0x7ffc1ff9,0x3e004fff,0x004fffff,0x13fffffe,0x882ee880,
    0x200faafd,0x4fec43fd,0xf9db004f,0x01bfffff,0x983ffffe,0xa85feffe,
    0x5fd502ff,0x0b90df10,0xbf700131,0x13ffaa03,0x3620bba2,0x3100faaf,
    0x4ccc01f7,0x401fc42f,0xf53f306d,0x03ff501b,0x74c067ec,0x2e3dc03f,
    0x7c402ffe,0x003fb006,0x7f507e98,0x0003fb00,0x99fb81f7,0xfa999999,
    0x401be20e,0x01fcc1fd,0x7e427f44,0x302fc802,0xa83bf7f7,0x3f6002fd,
    0x7ec03fff,0x1fefd403,0xfee803f5,0x74cccc42,0x26662004,0x262004e9,
    0x1004e999,0xdfb801bd,0x405f500f,0xfb004ffc,0x3ee237bf,0xfb99881f,
    0x7d45df90,0x6c01be23,0x7437c41f,0x3bfff6e4,0x1007f301,0x0de889fd,
    0x007efdc0,0x17c003ea,0x814c01b2,0x4403fdf9,0x005f906e,0x23dc05f9,
    0x201effeb,0x1b6000ed,0x80f7dc40,0x0f9800fb,0x7b85d800,0x76c0ee80,
    0xbd1b6000,0x2a27cc00,0x03f6003f,0x3a027fd4,0x3fb26006,0x007ee04f,
    0xdd127fcc,0x0be3b601,0xd00013a0,0x04e80009,0x36001fb0,0x00bd00ff,
    0x066009ff,0xfa80dd10,0x41303fd8,0x1b6000ed,0x7e4be17e,0x83fda9ad,
    0x13e6005e,0x3f6001fb,0x007d400f,0x002ec2f8,0x8027fcc0,0x01fd44f9,
    0x1ee01fb0,0xf984fe98,0x017cc002,0x4019ff91,0x001005f8,0x0f507f10,
    0x17cc1fd8,0x7d4be600,0x3a174001,0x827c4005,0x0fb805fa,0x81bf5000,
    0x7e4004f8,0x44577445,0x007f0fea,0x4e80009d,0x80274000,0x3fe2002f,
    0xb801fa80,0x4c00004f,0x3fbea03f,0x005f3002,0x42fc2f98,0xf902fbaf,
    0x2000fd43,0x10017c2e,0x0fa801ff,0x04e85f00,0x00ef9800,0x05e83ee0,
    0x7b827c40,0x3d43fa80,0x3603e800,0xbf9000cf,0x40000137,0x640100fa,
    0x0007a81f,0x0001b27d,0x36000be2,0x1001f505,0x74c0005f,0x0003ea0e,
    0xffd30df1,0x0be23bff,0xd00013a0,0x04e80009,0xfd800798,0xf3007b80,
    0xbb000009,0x000f7d40,0x0fa000f5,0x05fbd0bf,0x001b26e8,0x36001e60,
    0x007d400f,0x002f42f8,0x20027cc0,0x005f11f9,0x01ee0bb0,0xddf90fdc,
    0xdddddddd,0x6c0bfddd,0xffea8005,0x0002ceff,0x3f2001b6,0xddddf902,
    0xdddddddd,0x00136bfd,0x20007e60,0x200f507b,0x440002f8,0x4001ee2f,
    0x02aa206f,0x09d005f5,0x0004e800,0x035c0274,0x36407dc0,0x00009f00,
    0x07d40f90,0x3bbbf200,0xeeeeeeee,0x41f45fee,0x1f9805fd,0xd700009b,
    0x801f7000,0x85f000fa,0xf980006c,0xf33f8003,0x20f70003,0xc93a007b,
    0xeeeeeeef,0x4eeeeeee,0x88001720,0x0dfedba9,0x4003f800,0x3bf203fb,
    0xeeeeeeee,0x7f4eeeee,0x01f50000,0xf501f500,0x000be200,0x005c97a0,
    0x2e000bb0,0x004e800f,0x20002740,0x005d804e,0x05d80fa8,0x000013e0,
    0x00fa81ea,0x77777e40,0xeeeeeeee,0x5c0444ee,0xf2f8800f,0x0bb00007,
    0xa801f500,0x985f000f,0x7cc0003f,0xf54e8002,0x01f50001,0x736400f7,
    0x2200000f,0xe9800000,0x07e6001f,0x5c04fa80,0x05e80007,0x001f9800,
    0x00f507c8,0x20000be2,0x4001ee7b,0x0dd0004f,0xd00013a0,0x04e80009,
    0xfc8006b8,0xf1006c80,0xf7000009,0x20007d40,0x8000007b,0x74fe006a,
    0x06b80005,0x5400fc80,0x905f000f,0x305b805f,0x25f0007f,0x7c8001f9,
    0x7d400f70,0x00003f30,0xd0000000,0x00364009,0x3f300bf3,0x006c8000,
    0xb0007f00,0x4401ea0b,0x7b80002f,0xf30007ea,0x07f70007,0xd00013a0,
    0x04e80009,0x6c000f98,0x3007b80f,0xb000009f,0x0007d40d,0x000007e6,
    0xf1003f30,0x20001b25,0x7ec000f9,0x8007d400,0x15bfb02f,0x207ff731,
    0x7cc004f9,0x36000fe1,0x5400f705,0x00017a0f,0x01f30000,0x9d003dc0,
    0x8017e200,0x7d40005e,0x06d80001,0x7a81fcc0,0x0005f100,0x027c4bb0,
    0x10003ee0,0x027400bf,0x00013a00,0x00fe009d,0xf980ff98,0x004fc802,
    0x5027c400,0x0bd0001f,0x07f00000,0x07ea3f30,0x800fe000,0x7d400ff9,
    0x202f8800,0xbdffffeb,0x003fe600,0x0036c7c8,0x23dc0fe6,0xf98f9028,
    0x04400003,0x2002fa80,0x03f3006c,0x4c01dd10,0x0000fe61,0x1d9800dd,
    0x6e8013e2,0x7c401ea0,0x3ea00082,0x98017dc2,0x7f44004f,0x0013a000,
    0xe80009d0,0x003f9004,0x36c03ffa,0x3013fe20,0x03f20019,0x98000fa8,
    0x0080003f,0x8db003ee,0x0ecc006e,0x3fa003f9,0x017cc00f,0x2200bfa2,
    0xff3000df,0x10bea00b,0x0374009f,0xe80fa8f7,0x5003fc86,0xdffd10dd,
    0x01efa801,0xf7003fa8,0xb003ba00,0x5003fc8b,0x006fccdd,0x3ee077e4,
    0x00fec404,0x0be200f5,0xfa8019f7,0x9807fb05,0x3ea000ff,0x0274001f,
    0x00013a00,0x0f6c009d,0x01f9fb10,0x76c413e6,0x177cc04f,0xf500fee0,
    0x0ff20001,0xff937540,0x540bf105,0x006fcc2f,0x3b6077e4,0x3f3f6201,
    0x302fc400,0x3a005fff,0x3f3e6004,0xb82fd404,0x0fec404f,0x42f88f70,
    0x5df703f9,0x6ff5cc43,0x3ffffa81,0x4dfffd40,0x002fe4c0,0x03fb009d,
    0x5df70bb0,0x6ff5cc43,0x10dffd41,0x201bfd73,0x2e60aefb,0x03d402ff,
    0xffb82f88,0xbfb310ab,0x2b7f6201,0x03df9510,0x3f6e6235,0x04e8000d,
    0x00027400,0x9fb0013a,0x54775443,0xdfb82abf,0x37e3ba61,0x37fa602a,
    0x0bfb310a,0x40001f50,0x2621aefb,0xff31dfeb,0x2bbe60df,0x2a09f930,
    0x2e621bff,0x9fb00dfe,0x54775443,0x3ee02abf,0x3bfb711c,0x4e80159f,
    0x99fbaa80,0x3f260aef,0x2bbee00d,0x20bfee60,0x20afcaa8,0x80dd31ed,
    0xffffffe9,0x3fe602ef,0x474401ff,0xfffffffb,0x00fc003f,0x2aaab3f2,
    0x05eaaaaa,0xffffffd3,0x7ec405df,0x1dffffff,0xffffe980,0x2aa00dff,
    0x7501abfc,0xec88159f,0x02ffffff,0xffffff50,0x7fff409f,0x54402dff,
    0xadeaaaaa,0x510aaaaa,0x5bd55555,0x22155555,0xdeaaaaaa,0x00aaaaaa,
    0xbfffffd9,0x41bffea1,0x0dfffffa,0xb803ffff,0x2ffffffd,0x7f955530,
    0x01555555,0xfffffd30,0xfff05dff,0x7ffe4c0b,0x7ec403ff,0x1dffffff,
    0xffffec80,0xdfff50df,0xfffffd80,0x00fffe2f,0xfff8809d,0xffffb11f,
    0x3a6007ff,0x0dffffff,0x5fffff30,0x077ffecc,0x1abb9880,0x00732600,
    0x2aeea620,0x3a000001,0xffffffff,0x4405ffff,0x4001abb9,0x009acb98,
    0x09bba880,0xfffffe80,0xfffff983,0x06aea202,0x0d5d4400,0x000ab880,
    0x3fffffee,0xffffffff,0xffffff72,0xffffffff,0x3ffffee5,0xffffffff,
    0x0ddc402f,0x055cc000,0x35730000,0xfffffd80,0x3fffffff,0x2aee6200,
    0x0015c401,0x44001373,0x0009acb9,0x0001bb88,0x00159730,0x00002d80,
    0x20003773,0x0009bba8,0x000ae600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0039103b,0x01dc0726,0xc80004c0,0x000f6204,
    0x02600004,0x00040000,0x0b6204d8,0x880ccc00,0x00000199,0x10000620,
    0x5404b800,0x2f2e6005,0x9999300a,0x99999999,0x00599999,0x31000004,
    0x26666200,0x33100409,0x44001333,0x00099999,0x00800000,0xb301f400,
    0x00000203,0x55000800,0x0bddca85,0x57bb7500,0x20d55441,0x7fcc02b8,
    0xd007fc82,0x05ff30bf,0x213ffae0,0x03bea00b,0x22003fd3,0x23deffdb,
    0x3ffae029,0x86200b84,0x3deffec9,0x303bea00,0xf50003ff,0xfff881ff,
    0x44000007,0xdffffffd,0x3ff2a202,0x90731def,0x402f401f,0xfffefff9,
    0x80000b82,0x7ff65404,0x105b01bd,0x3e009fd7,0x324fffff,0xffff80ff,
    0x3fe004ff,0x0004ffff,0x98003dd3,0x01dfffec,0x540dfc80,0x0ffc80ef,
    0x99950000,0xbeffdb88,0x26fff501,0x3ffedffe,0x37bffa60,0xfff52ffe,
    0x205fff8f,0x5fa81fe8,0xf107f900,0x3bf7001f,0x3fd57ff9,0xf72fe980,
    0x3ff6001d,0x9efdcabd,0x93bf706c,0x03fd57ff,0x77fe475c,0x00efecab,
    0x3ee5fd30,0x9bd0000d,0x0fb5301f,0x7fd40000,0x1dccaabd,0x959dffb0,
    0x30dbbffd,0x3fc881bf,0x105f7d40,0x000b87fb,0x3bf20480,0x84ffdbbc,
    0xbffd715e,0x2aa6009f,0x3ffa4faa,0xfaaaa981,0x2aaa6004,0xf90004fa,
    0x7fdc00bf,0x0dfedbbd,0xc8f7d400,0x07ffa05f,0x3f754000,0xd959dff5,
    0x2fee203f,0x82fc81df,0xfd881efb,0x26099fab,0x40006fff,0x00004000,
    0x7fec4198,0xdfb1001e,0x17e4009f,0x20ddfb30,0x77fec41a,0x57ffe401,
    0x005fd100,0x013fbf62,0x0fa8fb80,0x00001ee0,0x200077c4,0x2a00bfe8,
    0xdff507ff,0xa809ffb9,0x70fdc05f,0x10900001,0x1fe405fd,0x2b7fa5f3,
    0x740009d0,0xe801b664,0x02740004,0x003ffb80,0x77d409fb,0x77f44000,
    0x036cc03f,0xfcbdc000,0x201fd01d,0x3f404ffa,0x3ea017e6,0x7ffb00fe,
    0x00000000,0x03100000,0x800bee00,0xdf9000fc,0x20031000,0xfb000efc,
    0x017dc001,0x3ea9f100,0x7ffffdc0,0x001effff,0x2000bea0,0xff1001fd,
    0x6f7f6c40,0x800fd801,0x00002e6d,0x2007f612,0x027f9bfb,0x9d000274,
    0x13a003d8,0x0009d000,0x2fc80154,0x0005fa80,0x0f6003d9,0x37ee0000,
    0x82fc404f,0x1fb804fa,0xffc801ba,0x00002200,0x00000000,0x00000000,
    0xdf000bee,0xfc800000,0x017e2002,0x1f900000,0xd99103ea,0x0799999f,
    0x8006c800,0x364003fa,0x17c40000,0x0170fa80,0x1fa89000,0x07bfee00,
    0xe80013a0,0xe8003ae4,0x02740004,0x1fcc0000,0x0005f500,0x000eb800,
    0x03ffb800,0x0f501f70,0x0fccbe20,0x0003fa00,0x5eee5440,0x02aa9802,
    0x002aaaa2,0x39bdb751,0x3a000000,0x406c8006,0x02bddca8,0xf7000d70,
    0x20000005,0x803ea3f9,0x9000007b,0x00db000d,0x00000530,0x71f98006,
    0xe8900001,0x00ff8005,0x740009d0,0x9d0002a4,0x004e8000,0x006e8000,
    0x000007e8,0x80000054,0x3e6002fb,0xf1007a82,0x32001ee5,0xfb80000f,
    0x1effedff,0x01ffff30,0x40bffff6,0xedefffd9,0x54c00dfe,0x8801aaaa,
    0x0188001f,0x3fb7ffee,0x000801ef,0x554c4f88,0x0177302a,0x00fa8dd0,
    0xddca89ee,0xb555000b,0x007f000d,0xaaaa9800,0xa800001a,0x0000171f,
    0x4000fdc9,0x013a007b,0x40004e80,0x2740004e,0x555554c0,0x0aaaaaaa,
    0xf50005f5,0x542aa881,0x8800acdc,0x66e542aa,0x007b800a,0x007a83f8,
    0x001b25f1,0xb00003ee,0x7fd3019f,0x803ee620,0xb502f999,0x017ea037,
    0x09ffffff,0x00000f50,0xfd3019fb,0x3a000007,0x07ffffc5,0x0bfdffd3,
    0x03ea0fd4,0xbdfd37b8,0xfb807ffd,0x4c006fff,0x7c00001f,0x004fffff,
    0x02e7d800,0x06c92000,0x74007e00,0x013a0004,0x80009d00,0x3ee0a24e,
    0xffffffff,0x00f72fff,0x3ff21740,0xffbffd37,0x7ffc805f,0xfffbffd3,
    0x8007b805,0x1007a83f,0x2001b25f,0x802a00fb,0x2fc802fc,0x7c003ea0,
    0x17dc0002,0x9d333310,0x0000d900,0xfc802fc8,0x7c800002,0xc87dccc4,
    0x40fea2ef,0x200fa85e,0x440cfbfb,0x4ccc02fc,0x03dc006d,0x4ccc4000,
    0x400004e9,0x0002e2fa,0x0004e920,0x027400fa,0x80009d00,0xa740004e,
    0x4fdc0ffb,0xa9999999,0x000d90ef,0x5fdcc26c,0x17ed41df,0x37efee60,
    0x7017ed41,0x507d000f,0x54be200f,0x07ec000f,0x0fea09d0,0xf500fd80,
    0x000be001,0x9d0013e0,0x0000bb00,0xfb001fd4,0x55555541,0xaaaaaaaa,
    0x2a07caaa,0x1303fd8f,0x1f501f70,0x201ffdc0,0x01b2007e,0x00000bb0,
    0x80001360,0x0005c5f9,0x0007f240,0x04e8026c,0x00013a00,0x0077229d,
    0x80dfeee8,0x20ee807b,0x1b20004e,0x3a027fd4,0x04ffa806,0x00f70374,
    0x00f507d0,0x017ccbe2,0x7c01ff10,0x8800bd04,0x001f504f,0x3a0000be,
    0x40274004,0x3a00005d,0xd27c4005,0xffffffff,0xffffffff,0x7f7d40ff,
    0x827c4002,0x13ee00fa,0x64007ee0,0x002ec006,0x004d8000,0x170df300,
    0x3e290000,0x01b20002,0x9d000274,0xf74e8000,0x3fe200bf,0xb01ea01e,
    0x0003f83f,0x02fd41ee,0x3ea007dc,0x700fb805,0x507d000f,0xd8be200f,
    0x1ffb000f,0x17c42fc0,0xfa82ec00,0x1005f000,0x3a155553,0x40274004,
    0xf100005d,0x74bb0005,0x03d40004,0xb0003df5,0x7007d40f,0x00be200f,
    0x17600364,0x26666660,0x009b0009,0x701df300,0x7c900001,0x01760003,
    0x9d000274,0xf54e8000,0xffc880bf,0x7e401005,0x20004e81,0x001f507b,
    0x0fa805f1,0xf702f880,0xf507d000,0xf88be200,0x7efe400e,0x3e617e00,
    0x507b8001,0x80be001f,0xffffffea,0x74004fff,0x0006d804,0x70003f30,
    0x20002ecf,0x003ea07b,0xfa80be60,0x4401ee00,0x00d9002f,0x7fe406c8,
    0x02ffffff,0x4c0004d8,0x001700ef,0x00274900,0x13a007d0,0x0004e800,
    0x40197274,0x004ecffa,0x5d817e40,0x54172000,0x805f1007,0x05f1007a,
    0x0fa001ee,0x17c401ea,0xa886ffe6,0x100faafe,0x001f50df,0x1f501f50,
    0x7ec0be00,0x733109be,0x04e8009f,0x500007b8,0x1f50001f,0xbb0001ee,
    0x40007d40,0x007d406e,0x0be200f7,0x2e003640,0x55554407,0x9b002fda,
    0x06fcc000,0x90000170,0x5f0002ec,0x80013a00,0x2740004e,0x3a1bf500,
    0x0fee0004,0x3a0006c8,0x2200f503,0x803d402f,0x00f702f8,0x7e54c7d0,
    0x417c402b,0xffffffc8,0x2201f51e,0x001f986f,0x01f507c8,0x0ff20be0,
    0x3a002740,0x001fa804,0x8001f980,0x0003ea7c,0x03ea04e8,0x999bf300,
    0x99fb9999,0x2200f701,0x00d9002f,0xc8000fa8,0x00136007,0x05c02fd4,
    0x0f924000,0x4003e600,0x13a0004e,0x8009d000,0xa8002740,0x007d404f,
    0x7a80fc40,0xa805f100,0x205f1007,0x22f8007b,0x02fffffd,0xba880be2,
    0x807d40ab,0x007f07f9,0x03ea0bb0,0x0fe217c0,0x74004e80,0x0009d004,
    0x36000fe0,0x40013e25,0x03ea02fa,0xddddd100,0xbdfddddd,0x2200f701,
    0x00d9002f,0xc8002f88,0x00136007,0x05c017ea,0x7f324000,0x400db000,
    0x13a0004e,0x0009d000,0xf98004e8,0x004f8805,0x0f500fc8,0xf500be20,
    0x5c0be200,0x002f8007,0x00017c40,0x3fcc03ea,0x7cc006d8,0x1001f503,
    0x000fa85f,0x09d0013a,0x2000bea0,0x3001b60b,0x001fb87f,0x3ea02fc4,
    0xf5000000,0x8803dc01,0x00d9002f,0xc8001fb0,0x00136007,0x05c00bf7,
    0x3f224000,0x00fe6000,0x3a0004e8,0x02740004,0x10013a00,0x0fdc00bf,
    0x540bf100,0x805f1007,0x05f1007a,0x3f1001ee,0x01f98000,0xa807d400,
    0x04f880ff,0x2f981ba0,0x2a17f440,0x09f9001f,0x36004e80,0x87f6000f,
    0x1ba004f8,0xfb00076c,0x000fa801,0x401f5000,0x05f1007b,0x22001b20,
    0x03e4005f,0x7dc009b0,0x0005c004,0x017e2240,0x3a003744,0x013a0004,
    0x80009d00,0x3ba2004e,0x1dd06600,0xa803f600,0x805f1007,0x05f1007a,
    0x0d7001ee,0x001f7000,0xf500fa80,0x013ee01f,0x7c403fb1,0x0bffe605,
    0xfe980bf1,0x0274004f,0x8805fd10,0x04fb82fe,0xf880fec4,0x0ff4401f,
    0x00007d40,0x2e00fa80,0x005f1007,0x7d4001b2,0x00f9000d,0x4fb8026c,
    0x0000b800,0x00dfa848,0xd0007fa6,0x02740009,0x00013a00,0x0774009d,
    0x3df31760,0x2017f440,0x05f1007a,0x5f1007a8,0x7d001ee0,0x06e88000,
    0x500fa800,0x77dc03ff,0x0bfee60a,0x5c473ee0,0x0acf9dfd,0x5442b7ee,
    0xaade9efc,0x4004e800,0x510adfe8,0x7dc03df9,0x3fee60ae,0x567ec402,
    0x01df7310,0x00003ea0,0xf7007d40,0x400be200,0x3a60006c,0x75cc1acf,
    0x0136006f,0x1f800ff2,0x09000017,0xb986fbe6,0x4e8001ff,0x0013a000,
    0xe80009d0,0x003fb004,0x37fd10bb,0x4017f5cc,0x05f1007a,0x5f1007a8,
    0x42afda88,0x01f930aa,0x00fec400,0xb807d400,0x7f4c01ff,0x00dfffff,
    0x3fffff60,0x70fffe2f,0x7fffffff,0xa897fff4,0xadeaaaaa,0x200aaaaa,
    0xfffffffb,0xffe9800c,0x000dffff,0x3fffffea,0x5554c04f,0xaaaaabfc,
    0x5554000a,0x6d4c2bfc,0xf75102af,0xaaa98159,0x002aaafd,0xffffffc8,
    0xaa881dff,0xaaeeaaaa,0x5bf0aaaa,0x55555555,0x002e5f75,0xfd881200,
    0x00cfffff,0x7d55554c,0x10aaaaad,0xbf555555,0x21555555,0xfaaaaaa8,
    0x0aaaaaad,0xf5555551,0x1555555b,0x2aaab3f2,0x05eaaaaa,0x3ffffff2,
    0x7e55401d,0x9f7501ab,0xbfcaa815,0x59f7501a,0x3ffffee1,0x3ffffee0,
    0x33326002,0x70002ffe,0x799fb999,0x1001ffb8,0x00013775,0x0002b2e6,
    0x002aeea2,0xffffffb8,0xffffffff,0x1aba8802,0x37751000,0x65440001,
    0xfffb001a,0xffffffff,0xffe8007f,0x3f61ffff,0xfa81ffff,0x7ec4ffff,
    0xefffffff,0x97310000,0x7fdc0135,0xffffffff,0xfff2ffff,0xffffffff,
    0x332e5fff,0xcccccccc,0x4ccccccc,0x01577300,0x3fffff60,0x3fffffff,
    0xfffffff7,0x3fffffff,0x3fffffee,0xffffffff,0xffffff71,0xffffffff,
    0x3fffffa3,0x5fffffff,0x00abb980,0x7fffffd0,0x5fffff30,0x3fffffe8,
    0x2fffff98,0x05654400,0x37bbaa00,0x3b20000b,0x45eeeeee,0x000004d8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01750000,0xca800571,0x565cc01c,
    0x1cc00000,0x03980000,0x1554c000,0x01555510,0x55300040,0x554c0155,
    0x044000aa,0x882aaa60,0x800acdca,0x00999998,0x35403d30,0x2b3b2a20,
    0x000d5540,0xf9000004,0x00400009,0x00099880,0x000ccc40,0x00026000,
    0x4c003700,0x77302aaa,0x6665c401,0x502ccccc,0x89999999,0xccccccc9,
    0x997101cc,0x05999999,0x32a15544,0x22000acd,0x3fe20001,0x000ffb83,
    0x101ffff7,0x09d95bfb,0x6efda800,0x3f6a0000,0x2600006e,0x3f607fff,
    0x75402fff,0x351defff,0x27ffffcc,0x5fffff88,0xffffd880,0xfff11def,
    0x37bfee3f,0x3e00effe,0x004fffff,0x9f907fd1,0x76fffd40,0xffff14ff,
    0xfedb9803,0x0000bcef,0x4c0009f9,0xbceffedb,0x37ffdc00,0xffff5000,
    0xf9100000,0x003885ff,0x7fc009d0,0x3fa60fff,0xff305fef,0xdfffffff,
    0x3bfbbae0,0x3bb660de,0x01eeefee,0xfffffff3,0x7fe40dff,0xffbffd37,
    0x0172005f,0xf305fd00,0x7ffe400d,0x440a881f,0x2aa0000f,0x200006a8,
    0x0006a8aa,0x203dcc40,0xd102f999,0xfd9557bf,0x9ed889d9,0x57e4c401,
    0x5effd400,0x222dccaa,0x0cfc9fa9,0x5300efa8,0x8009f555,0x05fd15fc,
    0x7d406fe4,0x4009bf9d,0xa98abdfc,0xc8001eec,0xbf90004f,0xdd953157,
    0x36d54403,0x1f6aa000,0x33f60000,0xffbaefd9,0x004e8000,0x643ee662,
    0x00fea2ef,0x00f70000,0x00001f88,0x3efee600,0x017ed41d,0x0400036c,
    0xfd880010,0x03e8004f,0x000d5000,0x0001aa00,0x5f003d40,0xfb807fa0,
    0x002f984f,0x3be2017a,0xfef98000,0x0076c401,0xfa8004e8,0x3e601efe,
    0x17f74404,0x2007ba60,0x7e4004fb,0x0f74c004,0x64027dc0,0x0f700006,
    0x98150000,0x0000dffe,0x3ea0009d,0x01303fd8,0x07b80000,0x0000fc40,
    0x13fea000,0x0db00dd0,0x00000000,0x01fa8000,0x000d5000,0x0001aa00,
    0x5f003d40,0xfb003f70,0x5401b609,0x02fa801f,0x007ff300,0x274017e2,
    0x00de8800,0xff980374,0x000fe202,0x00000bd1,0x44003f88,0x0036405e,
    0x00007b80,0x00004400,0x7d40013a,0x000002fe,0x2003dc00,0x000001f8,
    0x5c02fd40,0x0036c00f,0x00000000,0x00fff540,0x006a8040,0x006a8040,
    0x007a8040,0x401760be,0x05f304f9,0x1b200bd0,0x006f9800,0x04e803d4,
    0x0fd40000,0x7405f900,0x02666664,0x00001f44,0x795109d0,0x203e8865,
    0xf700006c,0x00000000,0x0009d000,0x00007bea,0x057bb951,0x22003dc0,
    0x0555301f,0x00555544,0x5f1001f5,0x55dd5530,0x00555555,0x39bdb751,
    0x51000000,0x6c4009fb,0x0006a80f,0x01aa0dd5,0x5417e440,0x3a0be007,
    0xd80f6004,0x800fd406,0x3e60006c,0x00fc4003,0x00000274,0x5f5001ee,
    0xcec99ae0,0xf982ddcc,0x6b800000,0xddb9dfa8,0x6403e60d,0x0f700006,
    0x0aaa6000,0x00aaaa88,0xa8002740,0x7dc0000f,0x1effedff,0x44007b80,
    0xffff981f,0x5ffffb00,0xf8803d40,0x7ffffc42,0xffffffff,0xdfffb303,
    0x001bfddb,0x02740000,0x6a817fdc,0x077ec400,0xea8006a8,0x400f503f,
    0x0005d82f,0x5e807e60,0x3f6aaa20,0x0aaaaaaa,0x2000be60,0x804e803f,
    0xaaaaaaa9,0xbb0aaaaa,0x882f9800,0x6c40d81f,0xaa985c81,0xf8801aaa,
    0x7d407441,0x86c82e40,0x01aaaaa8,0xceca89ee,0x7ffcc00b,0xffffb00f,
    0x004e8005,0x40001f50,0xfe980cfd,0x2003dc03,0xf73101f8,0x17cccc01,
    0x3e200f50,0x9ed99882,0x01999999,0x7d406f6a,0x000dc005,0x3fa607a8,
    0x801aa00c,0x35403ffa,0x01bfb100,0x05f003d4,0x400003f7,0x403f505d,
    0xfffffffd,0x205fffff,0x3f8002f9,0xfb804e80,0xffffffff,0x00d92fff,
    0x05a82f98,0xf30b101b,0xffffff88,0x1b85a804,0x20f30360,0xffffb86c,
    0x7cdee07f,0x02ffedff,0x3007dcc4,0x55505f33,0x55bf5555,0x54055555,
    0x5f90000f,0x5c05f900,0x00fc4007,0x17c003ea,0x3e200f50,0x00036c02,
    0x0017dc00,0x1720007d,0x5400f7dc,0x0dfd8806,0xf5006a80,0x00f5007f,
    0x02fe817c,0xd03f3000,0xdb33300b,0x03333333,0x44004f98,0x804e802f,
    0x999999fb,0xf70efa99,0xc82fb800,0x0b101b04,0x3333103e,0x9099009d,
    0x3203e000,0x133df706,0x0e7dfdc0,0x2a00bf22,0x985f000f,0xffffffff,
    0xffffffff,0x0001f500,0x7ec007f5,0x8800f700,0x007d401f,0x01ea02f8,
    0x1b6017c4,0x27c00000,0x5e409f00,0x3a60fd40,0x01aa004f,0x54005ff7,
    0x06fec406,0x3e007a80,0x7bff9102,0x17600013,0x6c8003f5,0x01be6000,
    0x9d001f70,0xdd00f700,0xb000fcc1,0x3605b05f,0x2e816c40,0x2d804e80,
    0x2e80024c,0x0dfa86c8,0x807ff700,0x00fa806f,0x4e8005f0,0x001f5000,
    0xf8800bd0,0x8800f704,0x007d401f,0x01ea02f8,0x1b6017c4,0x27400000,
    0x301ff540,0x85bdbdfb,0x13221efc,0xdddfdddb,0x2237f623,0x776c0bda,
    0x2e1eeefe,0x033222ff,0x7c4007d4,0x7fedc402,0x26001cef,0x20017a1f,
    0x3e60006c,0x09f3004f,0x1ea013a0,0x0dd03fb0,0x3e0bfea0,0xdd999b01,
    0x7401e403,0x24c1f804,0x6c83c800,0x2e0027e4,0x00fb804f,0x2f8007d4,
    0x80027400,0x7c4000fa,0x705d8002,0x01f8800f,0x2f8007d4,0x7c401ea0,
    0x7f666442,0x003ccccc,0x855554c4,0x37fea04e,0x2a0a6001,0x0fed83fe,
    0x84cccccc,0x37d72efb,0x99998bd7,0x1bfd1099,0xf501fed8,0x02fe8805,
    0x17f65440,0x07e6bd00,0x8001b200,0x4c03fdf9,0x013a006e,0x203f9004,
    0x3e600df8,0xb02e82fd,0xd807b335,0xe804e803,0xd80024c2,0x0ff66c83,
    0x4401ee00,0x007d402f,0x274002f8,0x000fa800,0x5c000fcc,0x8800f707,
    0x007d401f,0x01ea02f8,0x3baa17c4,0xeeeeeffe,0xffea800d,0x4fffffff,
    0x0001bf90,0x701bfb10,0x26001f3f,0x207e24fe,0x5df7002e,0x203f3f50,
    0x3fea05fa,0x7e40002f,0xdb3f3003,0x001b2000,0x9efb9f98,0x007bee60,
    0x640004e8,0x577d402f,0x3e33f260,0x81b03c82,0x2007e04c,0x683c804e,
    0xd903f000,0x20005fd1,0x05f1007b,0x5f000fa8,0x0004e800,0xfa8001f5,
    0x80fa8000,0x0fc4007b,0x7c003ea0,0x4401ea02,0x0036c02f,0x2137dfb0,
    0x984fb998,0xf500003f,0x26be207f,0x1efc800f,0x406b8144,0x5f104fe9,
    0x3fea03f1,0x3bfb731c,0x4000159f,0x3fba006c,0x00d90002,0xfe98fcc0,
    0x004fffff,0x2e0004e8,0xffd1003f,0x3e27ffff,0x01b05b82,0x001f105b,
    0x90b7009d,0x07c40805,0x007ff7e4,0xf1007b80,0x000fa805,0x04e8005f,
    0x7f955530,0x01555555,0xf90003f3,0x01f11ee0,0x1f5007e2,0x2aa0be00,
    0x7501abfc,0x1b60159f,0x801fe400,0x0007c84e,0x200dfd88,0x4c01f34d,
    0x4d8004fe,0xd807bf20,0x3ea03f15,0x2fffffec,0x8000fffe,0xdf3000f9,
    0x00364000,0xca883f30,0x9d00009b,0x013ea000,0x106f2a60,0xb01f305f,
    0x0d50d101,0x3e6013a0,0x1e881d80,0x9efc8354,0x7b8000ee,0xa805f100,
    0x005f000f,0xffb004e8,0xffffffff,0x00fe07ff,0x23dc1760,0x03f301f9,
    0x5f000fa8,0x7fffffd0,0x5fffff30,0x22001b60,0x213a003f,0x7d40004e,
    0x987dc02f,0x03df900f,0xd101d900,0x10fa807f,0xb99ea03f,0x0099000a,
    0xf3002f88,0x03640005,0x0003f300,0x40027400,0x000005f9,0x893605f1,
    0x1ca82bea,0x13a005f1,0x5f4426c0,0x7c42db99,0x7744d902,0x803dc000,
    0x07d402f8,0x74002f80,0x80000004,0x1fcc006d,0x80fcc7b8,0x07d400fa,
    0x00017c40,0x001b6000,0x4e8003ea,0x640004e8,0x317c400c,0x000f601f,
    0x1da8076c,0x3f117c40,0xb0001ea0,0x01f9800f,0xc8000db0,0x07e60006,
    0x04e80000,0x0002fc40,0x2203f300,0x1999912f,0x80176790,0x05f1004e,
    0x2ec02ee6,0x0ee88d90,0x4401ee00,0x007d402f,0x3a0017c4,0x00040004,
    0xdd0027c4,0x07e63dc0,0x17cc03e4,0x000bfa20,0x07c80002,0x9001fa80,
    0x200d909f,0x3760005b,0x001fa999,0x0017a200,0x4cccf6c0,0x000f502f,
    0x36002fd8,0x005f3007,0x20006c80,0x000001f9,0xee88013a,0x80006600,
    0x00fd407b,0xd0007dc0,0x00fd4009,0xd9007dc0,0x2001dd10,0x05f1007b,
    0x74402f98,0x004c002f,0x0013f600,0xfd8809f7,0xbf11ee01,0xf1009f10,
    0x17ffcc0b,0x002fe400,0x94c01fd4,0x7f4c05f8,0x803f984f,0x3ba0006c,
    0x01efeeee,0x004e9800,0x3bbbb600,0x07a82efe,0x00ffec00,0x6d8017dc,
    0x006c8000,0x00007e60,0x3a004e80,0x002ec00e,0xfb805f98,0x03db1003,
    0x5c004e80,0x3db1003f,0xdd106c80,0x200f7001,0x2fc402f8,0x005fff30,
    0x0f400000,0x82bbee00,0xa982ffb9,0xf32aafda,0x003faa1b,0xdb88e7dc,
    0x00acf9df,0xe8002d80,0x7f5cc42f,0x442b7ee6,0xade9efca,0x4413f20a,
    0x400006eb,0xa80000f9,0x8000002f,0x00f501f8,0x9dfced80,0x013faa20,
    0x400017cc,0x3e60006c,0x3a000001,0x003fb004,0xdf3000bb,0x2bba6001,
    0x004fb980,0xd30009d0,0x9f73015d,0xe881b200,0x803dc00e,0xcfb802f8,
    0xf3bfb711,0x32ea2159,0xaaaaaaaa,0x2a02aaaa,0x8000fa9b,0xffffffe9,
    0xffff900d,0x3fea1fff,0x6c001eff,0x22ffffff,0xba803fff,0x88000fa9,
    0xfffffffd,0xffffb82d,0x3ffa3fff,0x66ffe42f,0x001dffec,0x0007cc00,
    0x12207b20,0x03f10000,0x970001ea,0x3fffffea,0xccc882ef,0x04ccfecc,
    0x3f6aaaa0,0x02aaaaaa,0x999bfb99,0xaaa88005,0xaaadfaaa,0x59f90aaa,
    0x55555555,0x3332a0bd,0x000dffdc,0xfeeffec8,0x554402df,0xaadeaaaa,
    0x6400aaaa,0xdffeeffe,0x36d54402,0x155df950,0x0557ed54,0x1567dd4c,
    0x3fffff60,0x54fffe2f,0xffffffff,0xffffffff,0x03bd9100,0x9bba8800,
    0x5cc00000,0x9730000a,0x91000015,0x880005bd,0x8800abba,0x0000abba,
    0x179ddb93,0xff980000,0x3e0001ff,0x7fffffff,0xfff10000,0x0009103f,
    0x35775100,0x77776c40,0x800deeee,0xfffffff8,0x41ffffff,0xeeeeeed8,
    0x7fdc003e,0xffffffff,0xffd1ffff,0xffffffff,0x3bae0bff,0x0002ceee,
    0x40015530,0xfffffffb,0x2fffffff,0x002aa600,0x206fffa8,0x13fffffe,
    0x07fffffd,0x0dfffff9,0x00159730,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00098000,
    0x50000400,0x04379db7,0x99999710,0x2e003999,0xcccccccc,0x9d973003,
    0x2aa98057,0x00555540,0x4c000026,0x2062cddb,0x017501c8,0x80000a60,
    0xccccccc9,0x3264cccc,0xc83ccccc,0x20cccccc,0x2002cccc,0x3224ccca,
    0x42cccccc,0x43ccccc8,0x202ccccc,0x323ccccb,0x3202cccc,0xcb83cccc,
    0xcca82ccc,0x953003cc,0x99999999,0xccc85999,0x332e02cc,0x666443cc,
    0x1bcccccc,0x66666540,0x2002cccc,0xccccccc8,0x6644000c,0xccb83ccc,
    0x66540ccc,0x2ccccccc,0xb8000000,0x00b84ffe,0x073fff20,0x6f7ff4c0,
    0x03e8dffe,0xfffffff5,0xff100bff,0xffffffff,0x77fec401,0x880effed,
    0xf700ffff,0x36605fff,0x00d40dff,0x3b7bff62,0x6c1fcfff,0x03ff886f,
    0x40000db0,0xfeeeeeea,0x3a65eeef,0xd84eeefe,0x10defeee,0x400dffdb,
    0x3665efff,0x43eeefee,0x24effed8,0x03eefed8,0x453bffb6,0x203eeffd,
    0x444efeed,0xb83eefec,0x4c04efee,0xefeefffd,0x5feeeeee,0x0fbbfb62,
    0x44effed8,0xeeeefed9,0x703fffee,0xddddffdd,0x76c4005d,0x03fefeee,
    0x777f6c40,0xdefeed84,0x7f7775c0,0x8003eeee,0x0cbefec8,0x7e4efdc0,
    0x801feabf,0xfdbaefe8,0x80efdc04,0x0004ffea,0x50000000,0x3faa05ff,
    0x00fb9882,0x260be666,0xacffbaef,0x3fa203fe,0x1ffda882,0x1fe827dc,
    0x0000db00,0x26013a00,0x81ee000f,0xa802fafa,0x1ee01faf,0x3a027dc0,
    0x209f1005,0xdd1004f9,0xf1007b80,0x1aefa805,0x05e80be2,0x13e200bd,
    0x64c03f30,0x013a00df,0x64fcc000,0x00f70006,0x7cc00be2,0xdff80001,
    0x4c00efdb,0x0f7fec41,0xfb81fc80,0x1007f302,0x000009fd,0xdf100000,
    0x5407f600,0x105f000f,0x2fffc885,0x6c01fd40,0x0040081f,0x00000db0,
    0x3e6013a0,0xa81ee000,0xde805e8f,0x01ee01f9,0x3e600ff2,0x5406d803,
    0x00fd802f,0x2f8803dc,0x22037ea0,0x4c17a02f,0x806d803f,0x4fa801f9,
    0x000013a0,0x001f9b64,0x5f1007b8,0x0007e600,0x00183f70,0x22001880,
    0x7402605f,0x013e6005,0x00000000,0x6d8003b6,0x3e001f50,0x800c4002,
    0x0f9800fb,0x36c00000,0x4e800000,0x2000f980,0x2a3ea07b,0x267e600f,
    0xb01ee01f,0x07e4005f,0xf9003f50,0x200fdc03,0x99999fb9,0x1bf99999,
    0x3e205f88,0xfc817a02,0x2007ea00,0x3f5001f9,0x2aaab7a0,0x3e00009a,
    0x2e0013a3,0x005f1007,0xd00007e6,0x00000009,0x2000be60,0x174001fa,
    0x9bdb7510,0xd9730003,0x17cc0579,0x2a0be600,0x005f000f,0x02fc4000,
    0x30000008,0x5555dd55,0x00015555,0x1f3009d0,0xf503dc00,0x36d813a1,
    0x883dc03f,0x5e8002fd,0x74009f10,0x403f980e,0xfffffffc,0xffffffff,
    0x100fdc3f,0x102f405f,0x013e20bd,0xdd000fcc,0x3fffffa0,0x4002ffff,
    0x001ee0fa,0x17c401ee,0x0001f980,0x51000be2,0xacdca855,0x001f5000,
    0x40000d90,0xedefffd9,0xd8800dfe,0xeffedeff,0xd0007a80,0x2001f507,
    0x2aaa602f,0x3f2001aa,0x4c0009bd,0x801aaaaa,0xfffffff9,0x05ffffff,
    0x9804e800,0x81ee000f,0x101f70fa,0xb807e65f,0x001fe887,0x1fb07f30,
    0x222fc400,0x5f95005f,0x55555555,0x09f059f7,0x0f202f88,0x1db05f50,
    0x8007e600,0x304e82f9,0x6c00bfb5,0x20017c46,0x05f1007b,0x00107e60,
    0x7e4003f8,0xfbffd37f,0x5f1005ff,0x0009b000,0xa80ded40,0x17fd405f,
    0x7e42fea8,0xeeeeeeee,0x85feeeee,0x05f000fa,0x27fffffc,0x3fffaa00,
    0x7fc02cef,0x1004ffff,0x3333db33,0x00003333,0x03e6013a,0x3ea07b80,
    0x4f907f10,0x11ee01f9,0xc80001dd,0x000bea0f,0x00ee8fea,0x7c401ee0,
    0x4401f982,0x2000662f,0x00bea0fc,0x74001f98,0xfa804e84,0xd83f8804,
    0x803dc005,0x3f3002f8,0xf90017dc,0xf7f73000,0x02fda83b,0x3f8004f8,
    0xb8000000,0x00df102f,0xeefc87f6,0xeeeeeeee,0xfa84eeee,0x4405f000,
    0x004e9999,0xfdb75310,0x2666201b,0x6d8004e9,0x9d000000,0x4001f300,
    0xc83ea07b,0x07e64f86,0x03be67b8,0xe8af4000,0x27f20005,0x3dc001fc,
    0xfa82f880,0xbb17c400,0x22bf1000,0x0fcc004f,0x13a17600,0x2e00fdc0,
    0x000fa80f,0x17c401ee,0xfea9f980,0x01fc4004,0x2027fd40,0x006c806e,
    0x000005e8,0x3b609f00,0x7b9b6000,0x07d40000,0x6c002f80,0x74c00004,
    0x009d001f,0x00000db0,0x3e6013a0,0xa81ee000,0xfa8be20f,0x7b807e60,
    0x0001bff5,0x03f2be60,0x07ffb000,0x5555f700,0x5f755555,0x9f100f70,
    0x2000bd55,0x800fdafa,0xaacfbaaa,0x0d900aaa,0x01fc009d,0x003f817a,
    0x2aaaabee,0x02fbaaaa,0x03bfdf30,0x0003f600,0x1f700bf5,0xcfdccc98,
    0x36401ccc,0xe8000000,0x4002f984,0x003f32f9,0x8007d400,0x026c002f,
    0x004e8000,0x0db0009d,0x13a00000,0xb8003e60,0xbb03ea07,0x807e62f4,
    0xffbdfbfb,0xff900003,0xff300005,0x3ffee000,0xffffffff,0x8806c82f,
    0x005fffff,0x400bff60,0xfffffffe,0x0f902fff,0x0274009d,0x036405f1,
    0xffffff70,0x05ffffff,0x005df910,0x217ffa20,0x001f5018,0xfffc85f1,
    0x03ffffff,0x00000fd4,0x855554c4,0x0007a84e,0x0002f47d,0xf1001f50,
    0x804d8005,0x1ee000f9,0x6c002740,0x80010006,0x00f9804e,0x0fa81ee0,
    0x20fccfcc,0x3fee01f9,0x0017fa24,0x00017e20,0x40027f74,0x05f1007b,
    0x45f100d9,0xfff3005d,0xffffffff,0x003f300f,0x004e86c8,0x407b80fe,
    0x0f7001f9,0xf700be20,0x2a0003ff,0x642fa9ef,0x1007a87f,0x007f005f,
    0xd9800dd0,0xffffea81,0xc84fffff,0xeeeeeeef,0x5feeeeee,0x40000fe6,
    0x7f4402f8,0x4026c002,0x1b2002fa,0x6c002740,0x005d0006,0x07cc0274,
    0x7d40f700,0x986dce80,0x40fee01f,0xe80002fb,0x9fc80004,0x3dc002fb,
    0x7a82f880,0x0f22f880,0x0009d000,0xbb0007e6,0x3ea009d0,0x2aabba01,
    0x04faaaaa,0x3e200f70,0xf5bfd302,0x5d826003,0x03bf076c,0x0be200f5,
    0x260013a0,0xefc800df,0x84df7ec0,0xc84fb998,0xeeeeeeef,0x4eeeeeee,
    0xea801fe4,0x7cc0bb06,0x26c002ff,0x400f7d40,0x09d003fa,0x2000db00,
    0x013a003f,0x7b8003e6,0x3ea03ea0,0x201f982f,0x007e407b,0x00013a00,
    0x007ec5f7,0x3e200f70,0x4400f982,0x7400002f,0x03f30004,0x04e83f80,
    0x3e605fa8,0xffffffff,0x7b800fff,0xf505f100,0x4007e63d,0xf885f14e,
    0x1ea03f54,0x74017c40,0x7ff50004,0x6ff5cc43,0xe801fe40,0x00007b84,
    0x310d77dc,0x2a03bfd7,0xbfb711cf,0x6c0059f3,0xbfffa804,0x02fe4c09,
    0xdb0009d0,0x800fe000,0x01f9804e,0x0fa81ee0,0x07e60bb0,0x2f4407b8,
    0x0013a000,0x37444f98,0x2200f700,0x402f882f,0x260002f8,0x99de9999,
    0x1f980199,0x3a07e200,0x03bee604,0x5f1006c8,0x2200f700,0x7cc2882f,
    0x3ea9d001,0x06c9fb80,0x17c401ea,0x10001fc0,0xfffffffb,0x007f103b,
    0x00fcc274,0x3ffa6000,0x02efffff,0xffffffc8,0x4007ffe2,0xb8e8804d,
    0xffffffff,0x00274003,0x3f80036c,0x7c013e00,0xa81ba002,0x1f98000f,
    0x3ea01ee0,0x013a0001,0xf9837440,0x200f7004,0x80db02f8,0x40ec02f8,
    0xffeeeee9,0x9805eeee,0x41ee001f,0xfeeeeefe,0x1fc00cff,0xf700bb00,
    0x400be200,0x29d001f9,0x7fdd01fa,0xf8803d40,0x000fc402,0x4d6ecc40,
    0x8003ea00,0x000bd04e,0x2b3ee200,0xaca98001,0x0005fcc0,0x5310009b,
    0x200035bb,0x06d8004e,0x26007f00,0x0099002f,0x0fa813e2,0x201f9800,
    0x00bd007b,0xd8002740,0x00fea00f,0x17c401ee,0x3e203f88,0xd0017c02,
    0x07e60009,0xfe827d40,0x0bcdeeee,0x2000fa80,0x03dc00fa,0xf3002f88,
    0x7cd3a003,0x401ff304,0x05f1007a,0x01000fb8,0x3ea00590,0x209f9001,
    0x000003f9,0x8000005b,0x04d8004c,0x00016400,0x1f20013a,0xc8027c00,
    0x03f5000f,0x7d403f70,0x01f98000,0x07dc01ee,0x8004e800,0x1fc802fb,
    0xf8803dc0,0x440bee02,0x0017c02f,0x3e60009d,0x00ef9801,0xbb00009d,
    0xb807f000,0x005f1007,0x274007e6,0x1ff701fd,0xf8803d40,0x4013e202,
    0x04fb806b,0x74c05f88,0x0ff204ff,0x3c037540,0x16c00000,0x00026c00,
    0xe80013ee,0x03fa8004,0x037f2398,0x6c002fb8,0x013ee01e,0xf30001f5,
    0x8803dc03,0x09d0003f,0x2004f980,0x01ee00ee,0x3f2017c4,0x2017c40d,
    0x013a002f,0x7100fcc0,0x027403dd,0x000be200,0x00f701b2,0x7cc00be2,
    0x7c49d001,0xecfb88bf,0x007a82ae,0x07e405f1,0x36004e80,0x0adfb802,
    0xbd3df951,0x5df70155,0x6ff5cc43,0x0732d801,0x13d50000,0x009b0077,
    0x4000b600,0x9fd0004e,0x37f5cc43,0x5446fbea,0xfb0004fc,0x17f2a217,
    0xaabfca88,0x3eeaa601,0xf95510ab,0x76c03555,0x555301aa,0x15555bd5,
    0x555fd510,0x16fdd540,0x02abf2a6,0x02b3eea6,0xbbdeffa8,0xaaaaaacf,
    0x2aaa02fb,0x01aaadfa,0x5567dd44,0x0dffdbaa,0xaadeaa98,0x54401aaa,
    0x201aabfc,0x0abfcaaa,0x0aabf2aa,0x0ab3eeaa,0x57f75553,0x55555555,
    0xfffe989d,0x54dff34f,0x501abfca,0x754159f7,0xaaaaaaef,0x100febaa,
    0x001d559d,0x3fffffee,0x0bfffa3f,0x7fffff4c,0x26002eff,0x00003efd,
    0x223dfd90,0xeeaaaaaa,0x00aaaaaa,0x01d559d1,0x55555544,0xaaaaaade,
    0x3fff6200,0x102dffff,0x5ffffffb,0xfffd8000,0x7d403fff,0x205fffff,
    0x2ffffffd,0xfffffff3,0x27ffcc09,0xffffffb8,0xfa82ffff,0xf306ffff,
    0x6c3fffff,0xc84fffff,0x404fffff,0xffffeca8,0xffffffff,0x3ffffa02,
    0x4c04ffff,0xffffffff,0x3f200bdf,0xffffffff,0x7fffdc03,0x3ffa04ff,
    0x3fa1ffff,0xfe86ffff,0x7e46ffff,0xffffffff,0x4fffffff,0xd0015730,
    0x307fffff,0x6c5fffff,0xffffffff,0x401dffff,0x4002dec9,0x000abba8,
    0x1abb9880,0x00000000,0xffff7000,0xffffffff,0x764c05ff,0x7ffdc02d,
    0xffffffff,0xa8802fff,0x4c001abb,0x000009bb,0x00026ee6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66666440,
    0x0acccccc,0x333332e0,0x1ccccccc,0x99999995,0x99500599,0x59999999,
    0x99999100,0x99999999,0x66541999,0x0bcccccc,0x99999950,0x32005999,
    0xcccccccc,0xba88001b,0x4001cded,0xccccccc8,0xcc801bcc,0x665c03cc,
    0x9950cccc,0x99999999,0x33322015,0xbccccccc,0x33332002,0xcccccccc,
    0x930ccccc,0x99999999,0x19999999,0x66666654,0x20cccccc,0xccccccc9,
    0xcccccccc,0x9999950c,0x6665c059,0x99500ccc,0x99999999,0x44599999,
    0x04cccccc,0x79999991,0x002604c0,0x14000000,0x00001300,0x4401d400,
    0x804c003b,0xeeefeed9,0x04ffeeee,0xffddddd9,0x2a5ddddd,0xeeefeeee,
    0xeeea803e,0x23eeeefe,0x776cc5fc,0xeeeeeeef,0x3a0feeee,0xffffffff,
    0xdddd502f,0x007ddddf,0x3bbbbfb6,0x804fffee,0xedefffd9,0xb3000dfe,
    0xddddddfd,0x76c07fff,0x3b602ffe,0xd70defee,0xdddddffd,0xd9819ffd,
    0xeeeeefee,0xd802effe,0xeeeeefee,0xfeeeeeee,0xdddddf70,0xdddddffd,
    0x777e41fd,0xeeeeeeee,0x3bbbee1f,0xeeeffeee,0xdd70feee,0x6c07dddf,
    0x01eefeee,0xfddfddd7,0xfddddddd,0x777fec49,0xdddb305e,0xffd109df,
    0x00067ecb,0xfea80000,0x0009d000,0x2cddca88,0x7dc01fdc,0xffe8800f,
    0x5c03dc05,0x013a005f,0x00003f30,0x7ffc03f3,0x5400f700,0x2000000f,
    0x7c0001f9,0x03bee603,0xf501bda8,0x01f9800b,0x98037f26,0x1f5006ff,
    0xf7102740,0x301ee01f,0x3e6007fb,0x5c3ea001,0x7d413a07,0x7e401f20,
    0x04e81ee0,0x01f981f5,0x2000fb80,0x7405f16c,0x10005d84,0x3fff205f,
    0x07ff912f,0x74c00000,0x13a001df,0xdfffb800,0x4fbaffed,0x200df300,
    0x202ffffc,0x07f7007b,0xf30013a0,0x3f300003,0xf70375c0,0x0007d400,
    0x003f3000,0xe8803f80,0x2fb80006,0x2007e600,0x2be604fa,0x00fa804f,
    0x17e2013a,0x1fc803dc,0x2001f980,0x740f70fa,0x3e41f504,0x1ee1fcc0,
    0x01f504e8,0x09d0009d,0x05f13e80,0x00364274,0xffb01f88,0xefc885ff,
    0x22000002,0xe8002efd,0xcfe88004,0x05ffd980,0x3ff60000,0x01ee02ff,
    0x09d006e8,0x0001f980,0x1ec01f98,0x7d400f70,0x26000000,0x1fc0001f,
    0x0003f880,0x3e6004f8,0x203f5001,0x400fb9f9,0x013a00fa,0x03dc0fd4,
    0x3f300bd0,0x7b87d400,0x07d413a0,0x85e880f9,0x5413a07b,0x4007b80f,
    0x3e2001f9,0x27405f11,0xf98003dc,0x0dfff300,0x000f7ecc,0x07ff9100,
    0x40027400,0x7fd401fd,0x26000004,0x3dc06fff,0x3a00f700,0x00fcc004,
    0x700fcc00,0x003dc01f,0xaaa981f3,0xf98001aa,0x01fc0001,0x80001f90,
    0x07e6004e,0x3f306e80,0x01f5017a,0x07f00274,0x03dc00f7,0xf5000fcc,
    0x04e81ee1,0x203e41f5,0x207b80fd,0x101f504e,0x0364005f,0x02f89ee0,
    0x203ea13a,0x07a80ffb,0xea8015c4,0x5c0000df,0xe80004ff,0x017dc004,
    0x007ef7ea,0x02b88000,0x1b6007b8,0x26002740,0xf980001f,0xf7007201,
    0xfff81800,0x98004fff,0x1fc0001f,0x31013a00,0x13a15555,0x2001f980,
    0x51f982f9,0x007d405f,0x4274009d,0x01b2007b,0x430007e6,0x5413a07b,
    0xfa81ae0f,0x2740f702,0x0bb00fa8,0x36001fc0,0x2b80be25,0xfed81f98,
    0x00007b82,0x0019ff70,0x000cfea8,0x44009d00,0xd2fd404f,0x0000000d,
    0x7c401ee0,0x8009d004,0x02db81f9,0x80003f30,0x200b707b,0x04e99998,
    0x0001f980,0x1b2001fc,0x7fffff54,0x2004ffff,0x274001f9,0x40db0fcc,
    0x013a00fa,0x03dc17c4,0x3f3007f0,0x07100f30,0x01090274,0x059813e2,
    0x5034413a,0x01f5001f,0x8be23f80,0x81f88019,0x06c85ebf,0x3f220000,
    0xdfe9803f,0x27400001,0x5403f300,0x0007d45f,0x3dc00000,0x80077cc0,
    0x0fcc004e,0x4c01ffe6,0x3dc0001f,0x360006c8,0x01f98004,0x2001fc00,
    0x9befd87b,0x09f73310,0x2000fcc0,0x221f985d,0x401f503f,0x01f7004e,
    0x1fb100f7,0xf503f300,0x04e80001,0x000dd000,0x3e0004e8,0x4005d803,
    0xd8be21f9,0xfa85f004,0x005d87b9,0xefc88000,0x02efd882,0x009d0000,
    0x0bf303dc,0x3ffea3f3,0xffffffff,0x000fffff,0x55555f70,0x001bffb7,
    0x3e600274,0x8037fcc1,0x5c0001f9,0x6daaaaaf,0x00136000,0xf00007e6,
    0x20fa8007,0x09d003fc,0xacfbaaa8,0xd900aaaa,0x0fc83f30,0x13a00fa8,
    0x3dc13f20,0x005ff730,0x2aaab3e6,0x740000fc,0x1fb80004,0x00274000,
    0x2f880d90,0x3e23e400,0xf005eaac,0x83f37c87,0x0000004e,0x7dc37fe6,
    0x7d40003f,0xffffffff,0x0fffffff,0x82fcc1f2,0x555512f8,0x55555555,
    0x40005555,0xfffffffb,0x2000dfff,0x0fcc004e,0xf9800e54,0x7fdc0001,
    0x006fffff,0x26001360,0x1fc0001f,0x7c43e600,0xd013a003,0xffffffff,
    0x21f205ff,0x42fc41f9,0x413a00fa,0x2e05fdb9,0xffeeeeef,0x3e6001df,
    0x0fffffff,0xfffff900,0x7dffffff,0x000fe600,0x980013a0,0x001ee01f,
    0xffff117a,0xd13a00bf,0x80fe1fc9,0x0001aaaa,0xf7077fa6,0xaa80007f,
    0xadfaaaaa,0x542aaaaa,0x8077cc0f,0x000001f9,0x2607b800,0xd002fdba,
    0x01f98009,0x001f9800,0x06c83dc0,0x20013600,0x7c0001f9,0xa87cc003,
    0x013a000f,0x64001f98,0xfa81f986,0xfd007d41,0xdfffffff,0xeeefb803,
    0x8002ffee,0x00fa81f9,0xf9999950,0x0399999d,0x0000dd10,0xbd00013a,
    0x22002740,0xbb17c42f,0x2f897600,0x2605f1b6,0x8000ffff,0x2201efd8,
    0x00002efc,0x3e6004e8,0xb803be61,0x44000007,0x2007b800,0x04e804fb,
    0x8800fcc0,0x2003f300,0xd907b808,0x0026c000,0x08800fcc,0x3d4003f8,
    0x3f2003f5,0x007e6004,0x03f30bb0,0x401f51ba,0xabccccee,0x2a0f7001,
    0x7cc001ff,0x0000fa81,0xf9000274,0x13a00001,0x301f7000,0xbfa8003f,
    0x322fbaaa,0x7dcd9003,0x0fc43ea0,0x003fffc8,0x0017fe44,0x0003dfb3,
    0x3a002740,0x4401df35,0x1000005e,0x7b80bffd,0x7403dc00,0x00fcc004,
    0x03f304d8,0x41ee1360,0x13600029,0x4007e600,0x4003f84d,0x3017e25c,
    0x4c009ffd,0x41fc001f,0x47f301f9,0x013a00fa,0xe881ee00,0x07e6002f,
    0x3a0000e2,0x05f50004,0x09d001c4,0xd83f8800,0xfffc8006,0x0002ffff,
    0x3e236cf7,0x3fa01f32,0x7fdc006f,0x3faa0003,0x4e80000d,0x77e7d400,
    0x0007e400,0xffffc800,0x1001ee02,0x004e805f,0x4e800fcc,0x3a003f30,
    0x4c007b84,0x8004d804,0x09d001f9,0x43e8007f,0x9510adfb,0x155bd3df,
    0x2001f980,0x01f981f8,0x007d43f2,0xf700009d,0x2001fb00,0x000001f9,
    0x3e20013a,0xd003d405,0x8d900009,0x3e8003f8,0x50002f88,0xaa741fcf,
    0x1fff980f,0x019fd500,0x33fee000,0x013a0000,0x9003ff60,0x1e44005f,
    0x2ffffd80,0x3a001ee0,0x20027404,0x09d001f9,0x274007e6,0x1ee003dc,
    0x26001360,0xf09d001f,0x417cc007,0xfffffffb,0x00bfffa3,0x3dc003f3,
    0x3e201f98,0x27401f54,0x403dc000,0x3f3006e8,0x27400000,0x20076c00,
    0x013a007a,0xfb87e600,0x40fcc000,0x40ec02f8,0xc81f98f9,0x3fee0f77,
    0x1dfe9805,0xfc880000,0x09d0003f,0xaefff880,0x00ffaa60,0x3001ff70,
    0x7b80ffff,0x2017c400,0x0fcc004e,0x3f304e80,0x1ee13a00,0x9b00f900,
    0x003f3000,0x400fe13a,0x2ea206f8,0x01b700ab,0x2a003f30,0x803f304f,
    0x200fa9fb,0x7b80004e,0x3007f300,0x4000003f,0x0fdc004e,0x9d003d40,
    0xe93a0000,0x107b8005,0x882f805f,0x3f307c9f,0x03ffa0d9,0x002efd88,
    0xefc88000,0x00274002,0xffd31dd1,0x001bffff,0x4400bd10,0x007b802b,
    0x13a007e4,0x2003f300,0x003f304e,0x001ee13a,0x009b00f9,0x3a003f30,
    0xe8803f84,0x3d00001f,0x2007e600,0x3f300ef9,0x01f5dd00,0x5c000274,
    0x003f2007,0x000003f3,0x9f300274,0xe801ea00,0x2f700004,0x5d8002f9,
    0x2f805f10,0x7c0bd5f0,0x3ff885db,0x000ffee0,0x3f660000,0x8013a005,
    0x5dd4c0ee,0x00000009,0x801ee000,0x04e803fc,0xe800fcc0,0x2003f304,
    0x4007b84e,0x004d807c,0x9d001f98,0x754407f0,0x3a00002f,0x01f98020,
    0x9807bae2,0xfdf9801f,0x00013a00,0x5f8801ee,0x0000fcc0,0x74009d00,
    0x801ea006,0xf100004e,0x3e000f95,0xf805f103,0x407f9f02,0x6fa84edd,
    0x00001ec0,0x006d4000,0x02a002b8,0x00000000,0x7ed54400,0xbaaaaaaa,
    0x554c3ffd,0xaaadfaaa,0x755530aa,0x5555559f,0x2a69d555,0xaaacfbaa,
    0x4eaaaaaa,0x555fb551,0x55555555,0x2aaaa2fb,0xaaaaeeaa,0x755530aa,
    0x5555559f,0x5549d555,0xdaaaaadf,0x00001eff,0x443ee75c,0xaaaacfba,
    0x100dffdb,0x05559f75,0x2a607fe4,0xaaaaadea,0x7ed54401,0x7d401aaa,
    0x3eeaa0ab,0x002aaaac,0x5bf55550,0x33e60555,0xaaaaaaaa,0x55307caa,
    0x5555bf55,0x3fb60001,0x3eea2004,0x33eeaa2b,0xfbaaaaaa,0x401ffd02,
    0x0d883ffa,0x00000000,0x00000000,0x00000000,0xfff98000,0xffffffff,
    0xffd81bdf,0xffffffff,0xffff73ff,0xffffffff,0x3ee9ffff,0xffffffff,
    0x4fffffff,0xfffffff3,0xffffffff,0x3fffeeff,0xffffffff,0xffff72ff,
    0xffffffff,0x3e29ffff,0xffffffff,0x000001bd,0x3e602ae2,0xffffffff,
    0x7fcc00bd,0x2206ffff,0x7ffe40ff,0x03ffffff,0x7fffffcc,0x1ffe804f,
    0xffffffd1,0xa8003fff,0xffffffff,0xfff980ef,0xffffffff,0xfff707ff,
    0x3fffffff,0x07fea000,0x6ffffb80,0x3ffffffa,0x02ffffff,0xff880dfb,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x062cddb9,0x2f772a20,0x2a201702,0x001cdedb,
    0x1bcedba8,0x80aaa602,0x200aaaa8,0x2a01cdb8,0x2aa601cd,0x85555402,
    0x372a202a,0xb98002bd,0x4402bcec,0x9800aaaa,0x7300aaaa,0xdb8815b9,
    0x5555101c,0x55510155,0xaa981555,0xaaa880aa,0x1002001a,0xdb8aaa21,
    0x016dcc2c,0xb950aaa2,0x00440159,0xaaa98002,0x98177302,0xaaaaaaaa,
    0x2a60aaaa,0x2a60aaaa,0x55301aaa,0xb3003555,0x402d4003,0x00d44000,
    0x01405e4c,0x5e5c4188,0x54001000,0x3f621aaa,0xcfffedef,0x3ffee01f,
    0x741effed,0x77ffecc4,0x800dfeed,0xfedeffe9,0x3e63e8df,0xffb00fff,
    0x3fa205ff,0x7fcc5fed,0xff882ffd,0xfff700ff,0x7dc1365f,0x1effedff,
    0xdeffd880,0xfd00effe,0xf980ffff,0x6c44ffff,0x30efeeff,0xd05ffdff,
    0x07ffffff,0x9ffffffb,0x1fffffd4,0x07ffffec,0xf980fdc0,0xfd3fff74,
    0x3fea7ffd,0xff900ffd,0x3f7ffa6f,0x03f902ff,0x7fc00fea,0x3fa60fff,
    0x3fee5fef,0xffffffff,0xffff12ff,0x3ffe2bff,0xfff80fff,0xfd004fff,
    0xa8737263,0x403e804f,0x203ffeb8,0x24ecacea,0x2f4405f8,0x0dd77bf7,
    0x0fbfff22,0x11ffffa8,0xfb5105fd,0x033f603f,0x1fc53fa6,0x7d406f6a,
    0x80efdc05,0x4c44ffea,0x266600fb,0x4c3fd02f,0x6c477a4f,0x0fb9882f,
    0x2afe6660,0x80cfd82f,0x3ea03fe9,0x05fd502f,0x00135f51,0xb303f931,
    0xee8de985,0x9883fb11,0x26019bfa,0xe9819fd9,0x3f2601bf,0x05fc800c,
    0x7dcc1df5,0x3f3f20ff,0xb980fa24,0x6d41dfbf,0x02fe882f,0x331009fb,
    0x8bbf21f7,0x333f73fa,0xdf533333,0x0cfdcc41,0x4026bfe6,0x04e99998,
    0xbffbfd10,0x009f9dfb,0x237100fe,0xf03f103d,0xe882fd45,0x0fa02e0f,
    0xfd75bff3,0x97fff20d,0x1fd803fa,0xfc802fc8,0x70000fdb,0x00fe605f,
    0x7d413fa2,0xf705f000,0x1f73f303,0x07d40dd0,0xc85fff80,0x82fc802f,
    0x3fb006f8,0x36000fe0,0xfffa8005,0x17a06e80,0xfd804f80,0x4013ee01,
    0x1ff505fd,0xf883ff50,0x5406b85f,0x837404ff,0x9fd02ff9,0x7ec7d400,
    0x01ee1303,0x43dc03ba,0xd0001ef9,0x17fc4009,0x7f0037e4,0x5303d800,
    0x8bf516e0,0xb7000fe8,0x7cc06fc4,0x21fffe84,0x0f9800fb,0xfb001fd4,
    0x4f80005f,0x7cc00bd0,0x2001f504,0x3604f82f,0x05f302fe,0x27c003ea,
    0x36003fa8,0x00076c0f,0x541360db,0x20007f02,0x03f302ff,0x3ea003ee,
    0x703fb000,0x3bf6007f,0x501ffb80,0x4c1ba03f,0x017ea01f,0x7fcc03ee,
    0x005fe883,0x2005fdf5,0x00fec07a,0x00dfa8f7,0x98013a00,0x801f201f,
    0x01ec003f,0xafd426c0,0xd1000fe8,0xf900fdc7,0x22fffc41,0xd01005f8,
    0x04f8800b,0xfa84e800,0xa8174001,0x985f000f,0x03fe601f,0x01f504e8,
    0x02f40be0,0x2f993e20,0x6417cc00,0x440ffa86,0x1fd0001f,0x09f02740,
    0xfd800bd0,0x2200fee1,0xffc80efe,0x6c03ea02,0x5403f305,0x02f8800f,
    0x3e213fea,0x77d400df,0xf9004001,0x3ee7b803,0x04e80004,0x0ba01320,
    0x223f8399,0x007b01da,0xbf500eb8,0xed9801fd,0x26036c3f,0x03ffea2f,
    0x0026f7f2,0x6c0017c4,0xaaa98805,0x0d909d0a,0x00fa8000,0x407a85f0,
    0x82e406f8,0x05f000fa,0xbb0005f1,0x3e8003d4,0x7f640fa8,0x44007d42,
    0x406e8aaa,0x803ee05c,0xfd8002f9,0xe8803fca,0x3ffc81ff,0x5d807d40,
    0x3d403f30,0x5c02f880,0xeff984ff,0x0003ea00,0xb802fc80,0x0003fd8f,
    0x17c009d0,0x3ff226c0,0xfdacf9cf,0x007b01ef,0x3ee00764,0xbd93001f,
    0x3e6036c1,0xa813ff62,0x2ceffffe,0x70003f30,0x7fff540f,0x84ffffff,
    0x5400004d,0xc85f000f,0xeeeff806,0x506eeeee,0x20be001f,0x7b8001f9,
    0x3bbbbbf2,0xeeeeeeee,0x7c2f885f,0x103645db,0xffffffd9,0xdddddddf,
    0x01fc40dd,0x7e4000db,0xffe8802f,0x803ffd81,0x20bb00fa,0x01ea01f9,
    0x7e4017c4,0x0eff985f,0x00001f50,0x7dc00fee,0x0000dffe,0x5f1004e8,
    0x32a0d900,0x1befffff,0x6c401ec0,0x7ff4400d,0x2e6d8005,0xf83f201f,
    0xa98800ff,0x540dfedb,0x0fa8000f,0x109befd8,0x7f09f733,0x0fa80000,
    0x06c85f00,0xeeeeefe8,0x1f506eee,0x3ea0be00,0x90fa8000,0xdddddddf,
    0x9ddddddd,0xb8fa8fa0,0x7dc13a0f,0xfa989bef,0xeeeeeeef,0x8836c06e,
    0x3f20003f,0x5ffd802f,0x800fffa8,0x20bb00fa,0x01ea01f9,0x7c4017c4,
    0x4ffd82ff,0x00001f50,0x7dc009f5,0x001efb9e,0x7b002740,0xfb007b00,
    0x01ec005f,0x3a2013a2,0x4005fa8f,0x01bd11f8,0x1ffcc9f3,0x87fa6000,
    0x7c8001f9,0x9d003fc8,0x80000bd0,0x85f000fa,0x006f807b,0x7c003ea0,
    0x8001f982,0x0001ee7c,0xf16c9760,0x67d417c5,0x00017a00,0x01f20be6,
    0x3fcafd80,0xb83ffd80,0x0fa806ff,0x07e60bb0,0x5f1007a8,0x905ffd00,
    0x07d409ff,0x017e6000,0x7f4c1f70,0x013a0003,0x07cc06b8,0x01bb3e60,
    0x0fea03d8,0xfa83fa20,0xf31e6005,0x8bfd75bf,0x200007fb,0x4001fc4e,
    0x001fc45d,0x000d909d,0xf000fa80,0x7c407a85,0x03ea0007,0x03f817c0,
    0x07e65d80,0x7cf70000,0x40fcd763,0x007e807c,0x09f0bb00,0xfb8bf600,
    0x83ffc803,0x7d405ffa,0x3e60bb00,0x4401ea01,0x17fec02f,0x2a027fdc,
    0x3e20000f,0x887b8005,0x9d0001fd,0x882fc400,0x9b74406e,0x207b004f,
    0x223881fb,0x25fa80fe,0x41f4c1bb,0x83efffc8,0x01f302fc,0x01b63dc0,
    0x0fa87f30,0x3ea13a00,0x3ea00001,0x442f8800,0x07fea01f,0x4007d400,
    0x00db02f8,0x02f43f98,0x2a7e6000,0x1ee3ea0f,0x0ff403dc,0x50fd4000,
    0x3fb0001f,0xf7007f70,0x09ff305f,0x05d807d4,0x03d403f3,0x3f202f88,
    0x03ffa81f,0x10000fa8,0x40cc01dd,0x003ba07b,0xfa8013a0,0xffb99aef,
    0xb83f601f,0xfeee981f,0x3bbe5eee,0x3a6eeeee,0x453ea00f,0x03dedffc,
    0x2a008008,0x11b2002f,0x4374009f,0x9f9001fa,0xb3001ba0,0x8805f303,
    0x205d82fe,0x80404ede,0x7f4402f9,0x4009f102,0x003f986e,0x23657c00,
    0xf305cbf8,0x02ffd401,0xbd274002,0x403fb000,0xffb804fb,0x503ff981,
    0x4c17601f,0x401ea01f,0x3df902f8,0x2005ff30,0xdd0000fa,0x7b85d801,
    0x2000fee0,0x3bf5004e,0xd37bffd7,0xd05f503f,0x3333101f,0x4cccc133,
    0x03609999,0x02a212a0,0xfa800000,0x83fa801e,0x7ec404fb,0x4c05f881,
    0xbf304ffe,0x01df9001,0x7fcc0bf1,0xb82f982f,0xd882f98f,0x4c0bf107,
    0x3ee02fff,0x80fec404,0xdd5003fc,0x6c1fef40,0x417e04ed,0x881ffffa,
    0x31f7007d,0x7ec4003f,0x804fa801,0xfe880ffa,0xbb00fa82,0x7a807e60,
    0xf705f100,0x05ff301d,0x40007d40,0x85d801fd,0x003f407b,0x27cc0274,
    0x21ba204c,0x001b103a,0x00000000,0x40000000,0x409bfffa,0x3ee05fc9,
    0x3fee60ae,0x42b7ee02,0xde9efca8,0x5ffd40aa,0x37fae621,0x4473ee00,
    0xacf9dfdb,0x5c45fe40,0x5c4bf22f,0x33ee02ff,0xf3bfb711,0x577dc059,
    0x00bfee60,0x4c435df7,0x3201dfeb,0x2ffa80ff,0x5c477e60,0x8cfdcedf,
    0x1001efb8,0x5400dbbf,0x980aacfe,0x401cfdaa,0xfe880efa,0x057f9511,
    0xbf9835db,0x2ff2aa0a,0x59f7501a,0x2203bea1,0x554c01ff,0xaaaabfca,
    0xacfc80aa,0xaaaaaaaa,0x2bf2aa5e,0x1acfa80a,0x2aaaaaa2,0xaaaaaade,
    0x051000a0,0x00000000,0x00000000,0x71d10000,0xffffffff,0xfffd3007,
    0x7001bfff,0x7fffffff,0x4417fff4,0xfffffffd,0xfffb001d,0x7ffc5fff,
    0x3ffffc83,0x6ffffec4,0xffffd800,0x07ffe2ff,0xfffffe98,0xfd3000df,
    0x5dffffff,0x220df500,0x7fcc00ff,0x36794fff,0x000cffff,0x88017fe4,
    0x82ffffff,0x05fffffc,0x7b101e98,0x07ffffea,0xff98bffb,0x3ffffa1f,
    0xffff983f,0x2601b92f,0xfffd801e,0xffffffff,0xffffe83f,0xffffffff,
    0xfffffd15,0xb97ffa09,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0x1abba988,0x9bba8800,0x5dd44000,0x4c40000a,0x80009acb,
    0x0000acb9,0x2b880573,0x0acb9800,0xbba88000,0x73100009,0x00000357,
    0x01573000,0x000055cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x21999880,0x2e1eeee9,0x33105eee,
    0x00000000,0xdddb0013,0xdddddddd,0x307ddddd,0x80179301,0x02600a18,
    0x000ef644,0x30e440ee,0x33333333,0x41333333,0x99999998,0x99999999,
    0x00099999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9dffd930,0x1ffff503,
    0xb87fffe2,0x7ec45fff,0x7fdc3fff,0xffffffff,0xffffffff,0x2017e200,
    0xeeeeeeec,0xeeeeeeee,0x7cc2c83e,0xbf300fff,0x7f44077c,0x6e77445f,
    0x7cc7204f,0x367fc82f,0xffffffff,0x52ffffff,0xffffffff,0xffffffff,
    0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e6b3720,0x7fff986d,
    0xf507fffc,0xdffe89ff,0x2aa24ffe,0xaaaaaaaa,0xfcaaaaaa,0x00fff600,
    0x1e400000,0x20bffff6,0x3ba60dfa,0x8ffffe41,0x17ee0ef8,0x07f443f6,
    0xddd92fd4,0xdddddddd,0x554c5ddd,0xaaaaaaaa,0xaaaaaaaa,0x000001aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x37ffc43f,0xff31fffa,0x306fdc7f,
    0x400003ff,0x73f900fa,0x0000005f,0x7fdc9f70,0x827dc1ff,0x3ff61fe8,
    0x501d92ff,0x05fb53df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x274cd4cc,0x3f62fffc,0x17ffc45f,0x09f903fd,0x407d4000,
    0x003f63fa,0x96c00000,0x7e44ffd8,0x997ec403,0x22007fff,0x0001effe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd5000000,0x09ffffff,
    0xffb89ffd,0x3e1fff84,0x000bf307,0x3e607d40,0xaa837444,0xaaaaaaaa,
    0x1aaaaaaa,0x81d559d1,0x64005d00,0x4000ae24,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2f7e2000,0x3f613a61,0x41ffd43f,
    0x07fa0ffe,0x800013f2,0x41ba20fa,0x7ffc45f9,0xffffffff,0x25ffffff,
    0x0002dec9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x84e81720,0x7fcc2ffc,0x7e47fd82,0x007fe20d,0x360fa800,
    0x00fea00f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9f904e80,0xf881ff70,0x445fb81f,0x4ffdcffe,
    0x87d40000,0x1fc802fb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x559f5000,0x419dffd7,0x20bb07fa,
    0xffd882e8,0x800004ff,0x4007b0fa,0x0000003d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36a00000,0xeec8ceff,
    0x0001be21,0x000554c0,0x00058800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_41_latin_ext_x[560]={ 0,8,4,3,4,3,4,8,10,5,0,2,5,3,
8,4,4,4,3,3,3,3,4,3,4,4,8,5,0,1,0,0,3,0,1,2,2,1,2,2,1,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,4,1,7,2,0,3,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,3,3,2,1,1,0,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,4,2,3,1,
10,2,5,0,0,0,0,3,0,-1,5,2,6,6,7,1,3,8,7,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,1,1,1,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,1,0,1,0,1,0,2,1,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,3,3,3,3,3,3,3,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,4,3,4,3,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_41_latin_ext_y[560]={ 30,7,8,6,5,7,10,7,7,7,7,10,24,18,
25,5,7,7,7,7,7,7,7,7,7,7,14,14,10,16,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,5,7,7,38,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,30,14,6,8,12,9,
7,7,8,8,6,14,18,18,8,4,3,8,7,7,6,14,7,16,29,7,6,14,7,7,7,14,1,1,2,3,
3,1,9,8,1,1,2,3,1,1,2,3,9,3,1,1,2,3,3,13,7,1,1,2,3,1,9,7,6,6,
6,8,8,5,14,14,6,6,6,8,6,6,6,8,7,8,6,6,6,8,8,11,13,6,6,6,8,6,7,8,
4,9,2,7,9,14,1,6,2,6,3,7,2,7,2,7,9,7,4,9,2,7,3,7,9,14,2,7,2,6,
2,7,3,7,8,6,2,2,9,7,3,8,4,9,2,7,9,7,3,14,9,7,2,6,9,7,14,1,1,9,
7,9,7,9,7,9,7,1,6,9,14,2,7,7,8,14,4,9,2,7,1,6,9,14,1,6,9,14,2,7,
1,6,2,6,8,14,2,7,9,9,2,7,9,9,3,8,4,9,2,7,1,5,1,6,9,14,2,6,2,6,
3,1,6,3,7,2,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,14,7,7,7,7,7,7,7,7,7,7,7,7,7,6,14,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,2,7,2,7,2,
7,2,7,1,4,1,2,1,2,1,2,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-5,-1,1,6,1,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_41_latin_ext_w[560]={ 0,6,13,16,14,16,15,6,7,7,14,18,8,16,
6,14,14,14,15,16,15,16,15,15,14,15,6,9,18,19,18,13,15,22,19,18,19,18,19,19,20,14,19,20,
18,22,21,19,17,19,21,16,18,20,22,21,20,19,16,7,14,7,14,23,7,18,20,17,20,17,17,19,20,16,
12,18,16,22,19,18,20,20,17,16,18,19,20,21,19,19,14,8,2,8,16,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,14,17,16,19,
2,18,12,22,12,18,20,16,22,24,11,18,9,10,7,19,16,6,7,10,12,18,22,22,22,13,22,22,22,22,
22,22,22,18,18,18,18,18,14,14,14,14,20,21,19,19,19,19,19,13,20,20,20,20,20,19,17,18,18,18,
18,18,18,18,22,17,17,17,17,17,16,16,16,16,17,19,18,18,18,18,18,18,19,19,19,19,19,19,20,19,
22,18,22,18,23,20,18,17,18,17,18,17,18,17,19,20,20,20,18,17,18,17,18,17,20,17,18,17,19,19,
19,19,19,19,19,19,20,20,20,20,14,16,14,16,14,16,14,16,14,16,22,19,19,13,20,18,18,18,16,18,
16,18,16,18,16,19,16,21,19,21,19,21,19,20,18,17,19,18,19,18,19,18,22,22,21,17,21,17,21,17,
16,16,16,16,16,16,16,16,18,18,18,18,18,18,20,19,20,19,20,19,20,19,20,19,20,20,21,21,19,19,
19,16,14,16,14,16,14,17,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,16,19,19,19,
19,19,19,19,19,19,19,19,19,19,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,21,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,22,18,14,16,19,
18,20,19,20,19,20,19,20,19,20,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,22,18,22,22,20,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_41_latin_ext_h[560]={ 0,24,11,27,29,24,21,12,28,28,14,19,12,3,
6,28,24,23,23,24,23,24,24,24,24,24,17,20,19,8,19,23,26,21,21,23,21,21,21,23,21,21,22,21,
21,21,21,23,21,27,21,23,21,22,21,21,21,21,21,28,29,28,10,2,6,17,24,17,24,17,23,23,23,23,
30,23,23,16,16,17,23,23,16,17,22,17,16,17,16,23,16,28,28,28,6,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,23,24,22,15,21,
28,26,4,23,12,16,11,3,23,3,11,22,13,13,6,23,26,6,7,13,12,16,23,23,23,23,29,29,28,27,
27,29,21,28,29,29,28,27,29,29,28,27,21,27,30,30,29,28,28,13,25,30,30,29,28,29,21,24,25,25,
25,23,23,26,17,22,25,25,25,23,24,24,24,22,24,22,25,25,25,23,23,18,19,25,25,25,23,31,30,29,
26,22,28,24,26,21,30,25,29,25,28,24,29,24,28,24,21,24,26,22,28,24,27,24,26,22,28,24,29,31,
29,30,28,30,28,31,28,28,21,23,27,22,26,21,28,23,27,29,27,16,22,30,29,31,27,29,16,29,29,27,
29,21,23,21,23,21,23,29,24,27,22,28,23,23,23,23,27,22,29,24,30,25,21,17,29,24,27,22,28,23,
30,25,29,25,28,22,29,24,29,29,28,24,21,22,28,23,27,22,29,24,30,26,30,25,27,22,28,25,28,31,
27,29,24,27,23,28,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,27,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,17,23,23,23,23,23,23,23,23,23,23,23,23,23,25,17,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,28,24,28,23,29,
24,29,24,30,27,30,29,30,29,30,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,35,32,29,25,31,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_41_latin_ext_s[560]={ 511,321,21,225,21,385,496,14,374,165,429,
444,503,171,134,193,496,303,245,124,153,268,328,18,497,159,502,396,425,83,406,
495,257,432,1,76,129,74,253,208,455,21,203,267,110,244,191,384,213,55,231,
123,309,223,328,374,308,288,292,351,153,463,68,24,126,38,418,57,362,158,160,
231,333,274,158,314,199,281,304,139,178,482,343,1,184,75,221,176,242,140,361,
227,503,471,141,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,511,503,403,
21,412,373,229,292,158,291,1,262,47,171,251,188,35,374,455,479,118,103,350,
111,103,444,490,324,80,57,34,20,113,333,480,409,486,293,351,81,274,235,208,
390,457,496,312,21,393,96,213,233,55,173,443,465,41,274,358,356,1,254,414,
458,328,98,289,40,1,273,198,39,62,80,367,477,209,192,175,167,141,1,153,
134,172,95,1,483,463,269,308,347,20,104,379,437,432,57,232,440,387,149,400,
251,36,213,313,344,165,67,22,247,170,226,311,76,332,303,206,49,411,94,382,
402,145,84,1,459,292,419,236,124,271,422,329,169,118,133,242,93,256,228,174,
201,471,395,430,1,168,144,369,188,376,397,472,36,316,55,318,36,335,476,352,
489,104,432,473,59,404,424,445,464,327,411,377,85,439,455,350,95,207,285,347,
393,291,135,479,24,218,117,42,150,136,1,94,75,255,478,273,493,401,354,75,
453,416,420,316,367,295,231,133,112,143,191,100,64,1,184,34,189,369,274,216,
190,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,114,261,261,454,
261,261,261,261,261,261,261,261,261,261,261,261,261,281,18,261,261,261,261,261,
261,261,261,261,261,261,261,261,474,118,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,120,459,
359,59,104,439,124,383,253,154,337,21,192,84,171,41,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,1,24,61,1,43,330,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261, };
static unsigned short stb__courier_41_latin_ext_t[560]={ 1,181,317,127,67,155,254,317,67,98,299,
277,299,317,317,98,127,206,206,181,206,181,181,181,155,181,277,277,277,317,277,
181,127,254,277,206,277,277,277,206,254,277,254,254,277,254,277,206,277,127,277,
230,277,254,277,277,254,254,277,67,67,67,317,34,317,299,181,299,181,299,230,
230,230,230,1,230,230,299,299,299,230,206,299,299,254,299,299,299,299,230,299,
98,67,67,317,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,1,206,181,
254,299,254,67,127,317,230,317,299,317,317,230,317,317,230,299,299,317,230,127,
317,317,299,299,299,230,230,230,230,67,37,67,98,98,37,277,98,37,37,98,
98,37,1,98,127,254,127,1,1,67,98,67,299,155,1,1,37,98,37,254,
181,155,155,155,206,230,127,299,254,155,155,155,181,181,181,181,254,181,254,155,
155,155,206,206,277,277,155,155,155,206,1,1,37,127,254,67,155,127,277,1,
155,67,155,67,181,37,181,98,181,277,181,127,254,67,181,127,181,127,254,67,
155,37,1,68,1,98,1,98,1,98,67,254,206,127,254,127,277,98,206,127,
37,98,299,230,37,67,1,98,67,299,37,37,127,37,277,206,277,206,254,206,
37,181,98,230,98,206,206,206,206,98,230,37,181,1,127,254,299,67,181,98,
230,67,206,1,155,37,155,98,254,67,181,67,67,67,155,277,230,67,230,127,
230,37,155,1,127,1,155,127,254,98,155,98,1,127,37,181,127,206,67,230,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,98,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,299,206,206,206,206,206,
206,206,206,206,206,206,206,206,127,299,206,206,206,206,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,98,155,
67,206,37,181,37,181,1,127,1,37,1,37,1,37,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,
206,206,206,1,1,37,155,1,127,206,206,206,206,206,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,206,
206,206,206,206,206,206,206,206,206, };
static unsigned short stb__courier_41_latin_ext_a[560]={ 348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_41_latin_ext(stb_fontchar font[STB_FONT_courier_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_41_latin_ext_s[i] + stb__courier_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_41_latin_ext_t[i] + stb__courier_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_41_latin_ext_x[i];
            font[i].y0 = stb__courier_41_latin_ext_y[i];
            font[i].x1 = stb__courier_41_latin_ext_x[i] + stb__courier_41_latin_ext_w[i];
            font[i].y1 = stb__courier_41_latin_ext_y[i] + stb__courier_41_latin_ext_h[i];
            font[i].advance_int = (stb__courier_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_41_latin_ext_s[i] + stb__courier_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_41_latin_ext_t[i] + stb__courier_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_41_latin_ext_x[i] + stb__courier_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_41_latin_ext_y[i] + stb__courier_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_41_latin_ext_LINE_SPACING
#endif

