// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT        348
#define STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_42_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_42_latin_ext_LINE_SPACING          20

static unsigned int stb__courier_42_latin_ext_pixels[]={
    0x00002000,0x4c000000,0x0140000d,0x01b30000,0x80002e00,0x000000aa,
    0x004c0140,0x22000000,0x002aa02a,0x00000a60,0x03500000,0x00000000,
    0x20000530,0x2000002d,0x1b30005a,0x20020000,0x5b100000,0x00130000,
    0x000d4000,0x00298000,0xeeeb9cc0,0xf50000ee,0xd1000007,0xdf500009,
    0x07d40001,0x77d40000,0x7ff44000,0x03ff0001,0x80001d30,0x0fe201f9,
    0x1d305d00,0x206fa800,0x7dc002fe,0xb000005f,0x7fe40007,0xfff30003,
    0x5fffffff,0xdbdb1000,0x3fd80005,0x5fb80000,0x03ff1000,0x205f9800,
    0x440002fb,0x5c0001fe,0x800001ff,0x00ba03fc,0x002fd400,0x3bbb2d90,
    0xfb8001fe,0x4c00000e,0x5c0001fe,0x7c0000df,0xfb800002,0x77d4000e,
    0xf8003fea,0x03fb001f,0x3606f800,0x27d4001f,0xf50009f5,0x0017f40d,
    0x03df79fb,0x03ba2000,0x32ffa200,0xaa8000df,0x2aaaaaaa,0x34c79000,
    0x027e4000,0x009f9000,0x002fe880,0xb10f7dc0,0xf980009f,0x3620001f,
    0x0003fecf,0xfb00ff60,0x6fdc0000,0x306c8000,0x5fc8003f,0xef980000,
    0x27e40001,0x00f54000,0x017f2000,0xfc837f20,0x07fe000d,0x0002fc80,
    0x2a22f7ee,0xd30005fd,0x20005f9b,0x0bfa06fa,0xe98ffa60,0x7cc0002f,
    0xefa8000d,0x0007bea1,0x0f800000,0x5c0000ec,0x220000df,0x100003fd,
    0x980007fb,0x02fe9afe,0x0077d400,0x645fd300,0x220000df,0x3f9802fe,
    0x3bea0000,0x98364000,0x13f6001f,0x3bea0000,0x1fec0000,0x1ffd8000,
    0x09f90000,0x2a09f900,0x02aa005f,0x8bee0da8,0x3fee004c,0x2004ffff,
    0x87b622d8,0x551001d9,0x22005540,0x2fd881ef,0x3e21b500,0x7cc02644,
    0x00fe980d,0x6cc07910,0x7c1e8001,0xdf500000,0x017f4000,0x01fec000,
    0x3bff6200,0x6fd40001,0x3be60000,0x000efa80,0x2001fe88,0x4c00006d,
    0x1b2001ff,0xfb800fcc,0xfa800003,0x05500005,0x0fff4000,0x002b8000,
    0x01880310,0x21ff4000,0x8003fe61,0x000abba8,0x36043fdc,0x0000005f,
    0x00a80170,0x260c7fd0,0x014400ff,0x0ff50014,0x540027ec,0x0005d9ae,
    0x70001cc0,0x5c000003,0x0b700001,0x000e6000,0x09100e60,0x0003aa00,
    0x800005f5,0x1b2002e8,0x01000fcc,0x00a20000,0x00bb8800,0x001a8800,
    0x02a80000,0x50000000,0x004d803b,0x3d880000,0x0001d980,0x00000000,
    0x4d803b50,0x10000000,0x00ed407b,0x002ed980,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd000801,0x08010000,0x1f983640,0x017db500,
    0x00000000,0x00ff33e6,0x10000000,0xf3035973,0x00000009,0x20000000,
    0x00000008,0x00000000,0x00000000,0x00011000,0x00000000,0x79730000,
    0xcb980005,0x3331002b,0x26660133,0x4ccc4199,0x33330099,0x99998833,
    0x33333009,0x2f2e6003,0x05fb8002,0x3f5007fb,0x82fdc000,0x41b203fd,
    0xaea801f9,0x000005c9,0x445b0000,0x00440006,0x7ffec400,0xdf11efff,
    0x66666644,0x64c3cccc,0xcccccccc,0x2666623c,0x33333009,0x7ffecc03,
    0x3332e1ce,0x26666622,0x33333300,0x3cccccc8,0x33333322,0x9999911c,
    0x66665405,0x2666620c,0x33333009,0x7ffecc03,0x3332e1ce,0x26666622,
    0x33333300,0x09999988,0x03333330,0xffffffc8,0x7fe4002e,0x202effff,
    0x7ffffffa,0xffffffd8,0xffffff54,0xfffffb0f,0x3fffea9f,0xfffd87ff,
    0x3f204fff,0x02efffff,0x7fc1ff60,0x000bd005,0x5ff83fec,0x0fcc1b20,
    0x003a0ec0,0x16666644,0x19999950,0x001e8780,0x677ffecc,0x40b332e1,
    0x2a21bfe9,0x260fdcfe,0xeeeeeeed,0x777546fe,0x6feeeeee,0xfffffff5,
    0xffffffb0,0x559df909,0x3bf67fd9,0xfffff53e,0xffffb0ff,0x3bb629ff,
    0x3ba65fee,0xb13feeee,0x6409ddff,0xf50dffee,0xb0ffffff,0x09ffffff,
    0xd9559df9,0x4fbbf67f,0x7ffffffa,0xffffffd8,0xffffff54,0xfffffb0f,
    0x37fd109f,0x4027ed44,0x2a21bfe8,0x3eea04fd,0xaa881aac,0x2ea0adfa,
    0xa881aacf,0x2a0adfaa,0x881aacfb,0x80adfaaa,0x2a21bfe8,0x391004fd,
    0x5c003260,0x3910001f,0x6c803260,0x1f003f30,0xfb1002d8,0x76409ddf,
    0x6c00dffe,0xf9001e22,0x7fd9559d,0x2a0fbbf6,0x7fe400ef,0x00d90002,
    0xcfba9b20,0xaaa881aa,0x27ec0adf,0x20bb7f70,0x81aacfba,0x0adfaaa8,
    0x3f802ec0,0xf10007dc,0x559f7507,0xbf555103,0x204fd815,0x7505dbfb,
    0x5103559f,0x5415bf55,0x881aacfb,0x40adfaaa,0x7e401ff9,0x007fe605,
    0x17cc0bf9,0x7cc0fe00,0x981fc002,0x81fc002f,0x7e401ff9,0x00000005,
    0x000000bf,0x1f983640,0x01a64b80,0x88003ee0,0x79f3003f,0x27ec007d,
    0x80bb7f70,0xffa800ee,0x00d90001,0x05f31b20,0x2fa83f80,0x205ffa80,
    0x1fc002f9,0x7f005d80,0x32004f88,0x000be607,0x005f507f,0x7cc0bff5,
    0x981fc002,0x81fc002f,0x7f7000ee,0x5c003ba0,0x005f303f,0x05f303f8,
    0x5f303f80,0xdd03f800,0x00fee001,0x3ee00000,0x00000000,0x007e60d9,
    0x00bbbf62,0xc8013e20,0x0e5c4007,0x5005f500,0x0fdc0bff,0x0376fcc0,
    0x90006c80,0x4002f98d,0x002fc43f,0x17cc0bfb,0x6c00fe00,0xf707f005,
    0x407f1001,0x1fc002f9,0xfd8017e2,0x000be605,0x00be607f,0x05f507f0,
    0x7d40fd80,0x407ec002,0x1fc002f9,0x7c002f98,0x8005f303,0x002fa83f,
    0x000007ec,0x0013e200,0x83640000,0x062001f9,0x001f7000,0x000007f1,
    0x6c00bf10,0x009f105f,0x05f51dd1,0x2000d900,0x0017cc6c,0x003f50fe,
    0x5f302fc4,0xb003f800,0x220fe00b,0x00fc804f,0x7f000be6,0x22001fa8,
    0x00be605f,0x0be607f0,0x5f887f00,0x223f9800,0x3f98005f,0x7c002f98,
    0x8005f303,0x005f303f,0x02fc43f8,0x9911fcc0,0x33220199,0x1f9003cc,
    0x0cccc880,0x07999910,0x407e60d9,0x99999998,0x09f10000,0x30001f90,
    0x00fd4001,0x3ee0bf10,0x3a1fd800,0x006c8005,0x02f98d90,0x01ee1fc0,
    0x2f9817e0,0xd801fc00,0x2e07f005,0x00fe200f,0x3f8005f3,0x2fc003dc,
    0xf8005f30,0x8005f303,0x000fd43f,0x007ea4d8,0x17cc26c0,0x7cc0fe00,
    0x981fc002,0x21fc002f,0x9b0001fa,0x80ff76c4,0x006feee9,0xed8807f1,
    0xddd301fe,0x260d90df,0xffff881f,0x0004ffff,0x3f8803ee,0xffeca880,
    0x3dc01eff,0x6c82fc00,0x3dc2fb80,0x80036400,0x0017cc6c,0x000db0fe,
    0x017cc0bd,0x2ec00fe0,0x9f103f80,0x26007e40,0x21fc002f,0x05e8006d,
    0x7f000be6,0xf000be60,0x20007b87,0x8001ee6b,0x002f986b,0x02f981fc,
    0x2f981fc0,0x1ee1fc00,0xf306b800,0x801b2003,0x07e6007d,0x83643640,
    0x555301f9,0x000fbbf5,0x1f9027c4,0xbceffa80,0x204febaa,0x05e8006d,
    0x84f980bb,0x364000fa,0x7cc6c800,0x321fc002,0x205e8007,0x1fc002f9,
    0x7f005d80,0x7c407dc0,0x002f9804,0x001f21fc,0x02f9817a,0x2f981fc0,
    0x1b61fc00,0xdb0f9800,0x207cc000,0x1fc002f9,0x7c002f98,0x8005f303,
    0x00036c3f,0x03f301f3,0xf9801b20,0x003f3003,0x4c1b21b2,0x35f3001f,
    0x7dc0005f,0x8804f880,0x81fe400b,0x05e8007c,0x837c407f,0x364001f9,
    0x7cc6c800,0x2a1fc002,0x17e2000f,0x7c002f98,0x200bb003,0x213e203f,
    0x2f9800fc,0x3ea1fc00,0x817e2000,0x1fc002f9,0x7c002f98,0x10002743,
    0x80013a5f,0x017cc2f8,0x17cc0fe0,0x7cc0fe00,0x3a1fc002,0x0be20004,
    0x364007e6,0x4c01b600,0x90d9001f,0x4007e60d,0x80017a7c,0x00fc84f8,
    0xa837c000,0x17e2000f,0x0fe80fe2,0xc8005f10,0x98d90006,0x21fc002f,
    0x3ee003f9,0x000be605,0x0176007f,0x83ee01fc,0x5f3004f8,0x7cc3f800,
    0x817ee003,0x1fc002f9,0x7c002f98,0x200027c3,0x80009f3f,0x0017cc3f,
    0x017cc0fe,0x17cc0fe0,0x09f0fe00,0xf983f800,0x800d9001,0x1f9802f9,
    0x0d90d900,0x27c007e6,0x5c0001f7,0x0013e20f,0x7cc1ee00,0x417ee003,
    0x403f903f,0x364001f9,0x7cc6c800,0x641fc002,0x5ff8800f,0xf000be60,
    0x40176007,0x727c403f,0x0be6001f,0x1f907f00,0x40bff100,0x1fc002f9,
    0x7c002f98,0x10002743,0x80013a5f,0x017cc2f8,0x17cc0fe0,0x7cc0fe00,
    0x3a1fc002,0x0be20004,0x364007e6,0x4c037400,0x90d9001f,0x2007e60d,
    0x00fe21f9,0x3ee4f880,0x7b800000,0x22003f20,0x50bd05ff,0x00fa807f,
    0xc8003640,0x20017cc6,0x00ef883f,0x9817bba2,0x01fc002f,0x07f005d8,
    0x09f11f70,0x20017cc0,0x00ef883f,0x9817bba2,0x81fc002f,0x1fc002f9,
    0xf98001b6,0x4c000db0,0x0017cc0f,0x017cc0fe,0x17cc0fe0,0x0db0fe00,
    0x4c07cc00,0x00d9001f,0xf9805f50,0xd90d9001,0x32007e60,0x40006d86,
    0x004f88fb,0x59999550,0x77c40f93,0x17bba200,0x017e6364,0x1b2001f2,
    0x3e636400,0x981fc002,0x3ee61bfe,0x3e605d8d,0x801fc002,0x007f005d,
    0x001f79f1,0x3e0017cc,0x437fd303,0x05d8dfb9,0x7f000be6,0xf000be60,
    0x20007b87,0x8001ee6b,0x002f986b,0x02f981fc,0x2f981fc0,0x1ee1fc00,
    0xf306b800,0x001b2003,0x07e602f4,0x83643640,0x1fc401f9,0x10000fd4,
    0x8001f79f,0xfeeffffb,0x74c07fff,0x37ee61bf,0x23f705d8,0x0bd006e8,
    0x2000d900,0x0017cc6c,0xffd880fe,0x1764ffff,0x7c002f98,0x66665c43,
    0x1bccccee,0xffb801fc,0x017cc004,0xfd880fe0,0x364fffff,0x000be605,
    0x00be607f,0x01fa87f0,0x0fd49b00,0xf884d800,0x40be2002,0x3e2002f8,
    0x4005f102,0x00fd42f8,0x3f304d80,0x4001b200,0x07e601fa,0x83643640,
    0x07d401f9,0x5c0004f8,0x7ec004ff,0x0fb300ae,0xfffffb10,0xbf02ec9f,
    0x3ea003f6,0x006c8002,0x02f88d90,0x2200be20,0x05d81bba,0xf8800be2,
    0x7ffffdc2,0x3fffffff,0xff8801fc,0x017c4000,0x51005f10,0x40bb0377,
    0x3e2002f8,0x4005f102,0x005e82f8,0x02f43f98,0x4e81fcc0,0xe807ee00,
    0x807ee004,0x07ee004e,0x3e60017a,0x2003f303,0x17e0006c,0xd9001f98,
    0x07e60d90,0x03e40db0,0x003fe200,0xf7002fc8,0x0ddd4400,0xfbf702ec,
    0x0017a005,0x6c800364,0x3ee004e8,0x0bb00001,0x3ee004e8,0x3f800001,
    0x0009f100,0x1fb8013a,0x80bb0000,0x07ee004e,0x3ee004e8,0x4002fa81,
    0x017d40fe,0x35c03fa0,0x6b80fb00,0xd701f600,0xfa83ec00,0x807f4002,
    0x0db001f9,0x9807dc00,0x90db001f,0x8807e60d,0x00be602f,0x2004f880,
    0x1ee003f8,0x80bb0000,0x3f9003ff,0x001b6000,0x0035c36c,0x740000fb,
    0xb0035c04,0xf300000f,0x003ee005,0xfb0035c0,0x02740000,0x07d801ae,
    0x0fb0035c,0xfc80076c,0x2001db02,0x0fe602fc,0xf3013e60,0x809f3007,
    0x4f9803f9,0x64003b60,0x00fe202f,0x88001bf2,0x007f104f,0x20d90df9,
    0x03ee01f9,0x5c000bd0,0x07e6000f,0x00007b80,0xdff30274,0x01fec403,
    0x8004f880,0x03f984f8,0x00004f98,0x3f9805f1,0x0004f980,0xf000fc80,
    0x1fcc0009,0x00027cc0,0x7cc02f88,0x404f9803,0x4f9803f9,0x900bfe60,
    0x17fcc0bf,0x32017f20,0x01be602f,0xdf3017e4,0x980bf200,0x17fcc06f,
    0x3a017f20,0x1bffa206,0x201f9000,0x3ffa206e,0xddd96c86,0x67f403fd,
    0xeccccccc,0x09f0000f,0x7003f980,0x440000ff,0xd5dd102f,0x7f5cc37f,
    0x0bee0002,0x640bee00,0x01be602f,0x800fd800,0x1be602fc,0x037c0000,
    0x40000fb8,0x1be602fc,0x00fd8000,0x3e602fc8,0x405f9006,0xfd8806f9,
    0x9fb730ac,0x159fb100,0x8013f6e6,0x3ee61cfc,0x33f2001f,0x007fee61,
    0x2e61cfc8,0xfd8801ff,0x9fb730ac,0x44b7ea00,0xcfcaefca,0x09f10002,
    0x6544b7ea,0x22cfcaef,0x99999729,0x3fffe601,0xffffffff,0x00fb8003,
    0x6c406f80,0x200007ff,0x43fb00fd,0xeffffffc,0x17ea0000,0x901bea00,
    0x7fdcc39f,0xfd880001,0x873f2003,0x0001ffb9,0xf002fc80,0x3f20000b,
    0x07fee61c,0x0ff62000,0x261cfc80,0x32001ffb,0x3fee61cf,0x3fff2001,
    0x4002efff,0xeffffffc,0xfffc8002,0x8000dfff,0xdffffffc,0xfffc8000,
    0x4000dfff,0xeffffffc,0x7ffdc002,0x3ff24fff,0x81ae0006,0x4ffffffb,
    0x0001bff2,0x0d900364,0x2000bf00,0x9510bdfa,0x599f75ff,0x0ff62000,
    0x5cc417d4,0xcc88009b,0x0efecccc,0xcccccc98,0xff9005fe,0x001bffff,
    0x6e66664c,0xfc8003ff,0x00dfffff,0x33332a00,0xccb82fed,0x0bcdfdcc,
    0x7ffe4000,0x2000dfff,0xfdccccc9,0xffc8003f,0x000dffff,0xffffffc8,
    0x9730000d,0xb9800035,0x880001ac,0x80000abb,0x0000abb8,0x000abb88,
    0x00d65cc0,0x03595300,0x98000000,0x00001aca,0x4c009f00,0x9999701f,
    0x00179bfb,0xffffffa8,0xdfff70cf,0x666664c0,0x0a203ffd,0xfff50000,
    0x5c07bfff,0x3defffff,0x0abb8800,0xffffb800,0x40000def,0x0000abb8,
    0xceffffe8,0xffffe881,0x002fffff,0x01577100,0xfffff700,0x880001bd,
    0x80000abb,0x0000abb8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x274001fa,0x7fffff44,0x0002ffff,0x00035975,
    0xefffffb8,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x007b8006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10007f10,0xcccca85f,0xcccccccc,0x555513cc,0x55555555,
    0x55555555,0x3bbb6615,0xeeeeeeee,0xeeeeeeee,0x000002de,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37260000,
    0x2602ccdf,0x92cefccc,0xffffffff,0x2dffffff,0xfffffffb,0xffffffff,
    0x13ffffff,0xbbbbbbbb,0xbbbbbbbb,0x05bbbbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffdc,
    0x3fffee06,0x999955ff,0x99999999,0x44444799,0x88888888,0x88888888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00177764,0x00801000,0x003b1000,0x080004c0,0x00000080,0x4000c000,
    0x08001000,0x22000080,0x20020001,0x000c0000,0x000dddb3,0x000ba800,
    0x0400e200,0x89500000,0x551000d8,0x21dc0000,0xb10000d8,0x88011003,
    0x77775c00,0x4c00005e,0x08018000,0x26666620,0x99999999,0x00000999,
    0x3fbb6073,0xfb000002,0x003ff107,0x001fe880,0x8003df70,0x07f204fa,
    0x017db500,0x09fd1000,0xd101ed80,0x007cc00d,0x3e6000fe,0x1bf0003f,
    0x4000fea0,0xd9800dfd,0x000007ee,0x00013fea,0x22007f4c,0x00bea04f,
    0x7f449f70,0x00df5000,0xe88fee00,0xfe88000f,0x6404e801,0x77776406,
    0x2a00006f,0x3e6001ff,0xfa81fc01,0xffffffff,0x4fffffff,0x364f5000,
    0x0000be20,0x7cc2ffc0,0x3e60003f,0xfd88001e,0x64003fec,0x0ffa20df,
    0xb935d500,0xcff98000,0xfd1000ef,0x001ff987,0x1fc817e2,0x7e6fdc00,
    0x7fd4000d,0x0006fe41,0x07bf3fa6,0x00007b80,0x001bff20,0x4007be60,
    0x2fe40efc,0xe897ea00,0x1bea001f,0x893ee000,0xf98001fe,0x01fb001e,
    0x320017e2,0xbf900006,0x3e2007fd,0x540bee05,0xdaaaaabf,0xfaaaaaaf,
    0x64dd0004,0x0017c406,0x700c9800,0x3ea00017,0xfe98000e,0x80037f22,
    0x1ff99ffa,0x0741d800,0x30efb800,0x7ec005fd,0x0001df75,0x7dc439f9,
    0x93f62005,0x44001efa,0x03fe8bfe,0xd11efa80,0x01ee007f,0x2fe88000,
    0x077d4000,0x227fea00,0x7d4003fe,0x2000ff45,0x540006fa,0x007fa25f,
    0x8003bea0,0xd510aef9,0x0d90003f,0x23fe8800,0xfc800dfc,0x81bee21c,
    0x40d900fa,0x2fa8004e,0x05f101b2,0x00000000,0x000bf500,0x3ea07be6,
    0x3fa2000e,0x1f0000df,0xfd8002d8,0x003fd884,0x0013ffee,0xffdfffb0,
    0x3fa2001b,0x001fe882,0x001fffc8,0xfc80dfb8,0x0007b804,0xb8000000,
    0x3a20005f,0x4c001fff,0x0017ec5f,0x30001544,0x001fd8bf,0x8000dfa8,
    0xfffefffa,0x00d90002,0x540f7c40,0xffc800ef,0x200effef,0x40d900fa,
    0x46e8004e,0x017c406c,0x00000000,0x30001d40,0x0064c019,0x20002640,
    0x4001a64b,0x0015c02c,0x40000ba6,0x001cddc9,0x06e00644,0x0006d400,
    0x01d403b8,0x000003dc,0x01ec0000,0x000dc800,0x00e40c98,0x93000000,
    0x2a000390,0x65c40003,0x20000bce,0x3260006c,0x40032200,0x802cddc9,
    0x40d900fa,0x17cc004e,0x05f101b2,0x00000022,0x00000000,0x00000000,
    0x2eefd880,0x80000000,0x00000400,0x00000000,0x00000000,0x0001ee00,
    0x00000880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000364,
    0xa8000000,0x740d900f,0x6436c004,0x9517c406,0x4059dffd,0x02ccccc8,
    0x0333332a,0x026f2e20,0x2f2e2001,0xb8800409,0x000409bc,0x4c000062,
    0x0041acca,0x0ff60bf7,0x56654400,0x4ccc4041,0x33330099,0x32e60033,
    0x5440002b,0x70041acc,0x9999910f,0xffd98039,0x332e1cef,0x77775c2c,
    0x9530005e,0x30008359,0x00005797,0x4cccc400,0x33333009,0xacca9803,
    0xcb980041,0x3640002b,0x33331000,0x83333333,0x00999998,0x54333333,
    0x740d900f,0x20fe6004,0xd97c406c,0xfecaacef,0xddffb105,0x7ff76409,
    0xffd9100d,0x3e29fffd,0xdffd9101,0x07e29fff,0x7f7ff644,0x203f14ff,
    0x99999998,0xffd30000,0xf53dffdf,0xff83fec0,0x3fb22005,0x8aefffff,
    0x3fffea1f,0xfffd87ff,0x3f204fff,0x02efffff,0x3fffb220,0x1f8aefff,
    0xfdb10f70,0x7e405ddf,0x3fecaace,0xec87ddfb,0x4006feee,0xffefffe9,
    0x7e407a9e,0x02efffff,0x4ccccca8,0xfffffa80,0xffffd87f,0xffe984ff,
    0x7a9effef,0x7ffffe40,0xd90002ef,0x3ffea000,0xffffffff,0xfffff54f,
    0xffffb0ff,0xc80e29ff,0xc8006a06,0x4406c80f,0x2e02febf,0x003ee05f,
    0x3ea03f88,0x3f2609bf,0xffa82fbe,0x3bf2609b,0xbffa82fb,0x2fbf2609,
    0xffff882f,0x8004ffff,0x74c0aef9,0x39100fef,0x4c003260,0x2e60acff,
    0x5d42fefd,0xa881aacf,0x880adfaa,0x36a21bfe,0xcff9804f,0x3bf6e60a,
    0x260f702f,0x4fd800ef,0x0176fee0,0x7cc00d90,0x77f4c0ae,0x1bfe880f,
    0x7013f6a2,0x00ffdddd,0x06ab3eea,0x2b7eaaa2,0x20577cc0,0x880fefe9,
    0x36a21bfe,0x06c8004f,0x2aaaaa00,0x0aaabfda,0x06ab3eea,0x2b7eaaa2,
    0x000d9000,0x36413e20,0x003ffe20,0x27c417e2,0x7d40f900,0x7fec400d,
    0x2006fd42,0x7d42ffd8,0x7fec400d,0xf5555302,0xf8800fbb,0x00ffc806,
    0xef980000,0x82ff9801,0x1fc002f9,0x6401ff98,0x07be605f,0x5c0bfe60,
    0x800dfb87,0xffa802fa,0x80364005,0xffc806f8,0x200ffcc0,0x3e4005fc,
    0x8005f300,0x806f883f,0x7fcc0ffc,0x002fe401,0x200001b2,0x02f9807b,
    0x32001fc0,0x1f900006,0xff101b20,0x80fdc005,0x3f8800fb,0xe800df10,
    0x001be22f,0x037c45fd,0x4c00bfa0,0x2002f9af,0x1fd000fb,0xe8800000,
    0x0bee000f,0x7f000be6,0x5c003ba0,0x00fe883f,0x3dc0bee0,0x7c4013f2,
    0x017f6005,0x3ee00d90,0xe81fd000,0x07f7000e,0xf3003e40,0xb83f8005,
    0x81fd000f,0x7f7000ee,0x00036400,0x7cc03dc0,0x001fc002,0x220001b2,
    0x1002204f,0x07d000df,0x3f2013e2,0x8005f900,0x00bf22fa,0x17e45f50,
    0x400bea00,0xd8017a7c,0x003ee006,0x05f70000,0xf982f880,0x541fc002,
    0x07ec002f,0xf1000bee,0x7ec5ee05,0x007ea003,0x64005f88,0x400db006,
    0x00bea0fb,0x32001fb0,0x00be6007,0x00db07f0,0x05f507dc,0x9000fd80,
    0xf700000d,0x8005f300,0x0364003f,0x0007dc00,0x20013e20,0x803ee05c,
    0x017a03f8,0x05e87e20,0x17a1f880,0x4007e200,0x4003ee4f,0x8922005e,
    0x9100cccc,0x17607999,0x2f980400,0x3e21fc00,0x43f98005,0x4010005d,
    0x002fe8fb,0x2fc003dc,0x7401b200,0xf8922005,0x03f98005,0x7cc00f90,
    0x741fc002,0xf8922005,0x03f98005,0x00000d90,0x05f300f7,0x64003f80,
    0x05f80006,0x003f8800,0x13e207b8,0x3f100fc8,0x03f10000,0x003f1000,
    0x21f98000,0x0f9003f8,0x7f76c400,0xdfddd301,0x00000fe0,0x3f8005f3,
    0xd8000fd4,0x00001fc4,0x027fffdc,0x3a001b60,0x80364005,0x3ea0007c,
    0x009b0001,0x2f9801f2,0x3e41fc00,0x003f5000,0x36401360,0x03dc0000,
    0x3e0017cc,0x00364003,0x00007ee0,0x320013e2,0x4407dc07,0x003ea04f,
    0x0003ea00,0x00003ea0,0x0db0d900,0x00013e60,0x364007e6,0x00000fcc,
    0x7f000be6,0x2e0007b8,0x00007e66,0x3ee3bee0,0x001f2003,0x0d90017a,
    0x40013e60,0x1ae0007b,0xf3003e40,0x983f8005,0x0f70004f,0xc8035c00,
    0x7b800006,0x4002f980,0x0364003f,0x00017a00,0x6c002fc4,0x6427c405,
    0x001b200f,0x80003640,0x4000006c,0x01fa83f8,0x0005bf70,0x6c800fcc,
    0x800007b8,0x1fc002f9,0xf98001b6,0x00000f70,0x007f71ee,0xf88003ea,
    0x00364005,0xd8005bf7,0x03e60006,0xf9801f20,0xb81fc002,0x36c002df,
    0x001f3000,0x700000d9,0x005f300f,0x364003f8,0x003f5000,0x0ff88011,
    0x2013e200,0x013e20fb,0x360000db,0x0db00006,0x0fa80000,0x6cc009f0,
    0x001aceff,0x1b2003f3,0x200001b2,0x1fc002f9,0xf880013a,0x00000d92,
    0x00ff21ee,0xfb800fe6,0x00364005,0x2b3bff66,0x80013a01,0x07c802f8,
    0xf000be60,0x77fecc07,0x013a01ac,0xc802f880,0x7b800006,0x4002f980,
    0x0364003f,0x3200dd00,0x037fc406,0xf1001dd0,0x36007dc9,0x0db00006,
    0x001b6000,0x640db000,0xeca88007,0x2600cfff,0x90d9001f,0xf300000d,
    0x7c3f8005,0xc9fc0004,0xf7000006,0x3200ff20,0x5ff8800f,0x80036400,
    0xcfffeca8,0x200027c0,0x007c803f,0x7f000be6,0xffd95100,0x004f819f,
    0x36401fc0,0x03dc0000,0x3e0017cc,0x00364003,0xd9002f98,0x0dfdf880,
    0x800bf620,0x804f88fb,0xdb00006d,0x01b60000,0x02f88000,0x20000be6,
    0xf300efb9,0x321b2003,0xaaaaa806,0x17cc1aaa,0x09d0fe00,0x6c97c400,
    0xaaaaaa80,0x207b81aa,0x77c403fc,0x17bba200,0x0000d900,0x9d077dcc,
    0x017c4000,0x5f3003e4,0x0003f800,0x2741df73,0x005f1000,0x001300d9,
    0x17cc03dc,0x9000fe00,0x01b6000d,0x57c406c8,0x2e61bff9,0x7c4003ff,
    0x7c800fbc,0x00f90000,0x0001f200,0x7400fb80,0x3a600005,0x001f980f,
    0x980f90d9,0xffffffff,0x20017cc6,0x00036c3f,0x301f21f3,0xffffffff,
    0xfc80f70d,0x0dff4c02,0x0bb1bf73,0x00006c80,0x0db0fe98,0x4007cc00,
    0x0be6007c,0x80007f00,0x00db0fe9,0x64007cc0,0x2004e806,0x02f9807b,
    0x97101fc0,0x9999fd99,0x003f9803,0x25f101b2,0xffffffe8,0xff70000e,
    0x003ee009,0x0003ee00,0x00003ee0,0x66667f40,0x00fecccc,0x20be2000,
    0x0d9001f9,0x998801f5,0xf983fa99,0x2e1fc002,0xa9ae0007,0x4ccc400f,
    0x32e23fa9,0x3ff2607d,0xffb103cc,0x2ec9ffff,0x0001b200,0x07b97c40,
    0x6401ae00,0x00be6007,0x100007f0,0x8001ee5f,0x3332e26b,0xccccfecc,
    0x4009d1cc,0x02f9807b,0xff501fc0,0xffffffff,0x4007d809,0x417c406c,
    0x0000abb9,0x98007fc4,0xf980002f,0x2f980002,0xff980000,0xffffffff,
    0x000203ff,0x007e613a,0x00fcc364,0x7c417c40,0x50be2002,0x9360003f,
    0xf88001f9,0x81fffea2,0x0efffffc,0x206eea20,0x0364005d,0x54e80008,
    0x1360003f,0xfd999997,0x81999999,0x3e2002f8,0x4e800082,0x360003f5,
    0x3ffffea4,0xffffffff,0x5c009d5f,0x002f8807,0x00000be2,0x9000fe20,
    0x002f880d,0x04f88000,0x80003740,0xdd00006e,0x0d900000,0x06c83640,
    0x1f986d80,0x13e0d900,0x740be200,0x207ee004,0x3f98005e,0x7c40027c,
    0x00000002,0x64005d80,0x8006c806,0x20017a6d,0x3ffe63f9,0xffffffff,
    0x04e83fff,0x0d907ee0,0x02f4db00,0x0001fcc0,0x7c8013a0,0x5c009d00,
    0x8000001f,0x364000fc,0x0000be20,0x0003ee00,0x750007f3,0x54001fcc,
    0x2000fe63,0x4009f03a,0x00fc81f9,0x0fcc2740,0x3f906d80,0x702f8800,
    0xa83ec00d,0x07f4002f,0xf10007f2,0x00000005,0xc8009d00,0x000fc806,
    0x005f5274,0xea800fe8,0x0035c002,0x001f90fb,0x00bea4e8,0x02001fd0,
    0xbf002740,0xd801ae00,0x17f44007,0x8004f880,0x017c406c,0x027c0000,
    0x2001fc80,0x00fe44fb,0x1fc89f70,0x2a13ee00,0x4274001f,0x3ea004fc,
    0xc803f882,0x001ba06f,0x0fe605f1,0xed813e60,0x205f9000,0x17c4006e,
    0x000dfb80,0x00be2000,0x9f900d90,0x3617d400,0x05f9000e,0x26000fa0,
    0x84f9803f,0x3ea004fc,0xc80076c2,0x17f6002f,0x3ea00bd0,0x007f3002,
    0xfb8009f3,0x01f7005f,0xf880d900,0x5c000002,0x3f60000f,0xb05fc804,
    0x0bf9009f,0x3f2013f6,0x7000db05,0x007ff90f,0x03740bf3,0x4c0dffd1,
    0x5f3002ef,0xf3017e40,0x02ff980d,0xdf302fe4,0x00be6005,0x00000990,
    0x320007ec,0x03ffc806,0xff985f98,0x002fe402,0x3f20003f,0x641be602,
    0x5f9803ff,0x6402ff98,0x2d88005f,0x9803bee0,0x17e4005f,0x1000df30,
    0x9f1007fb,0x101b2000,0x8000005f,0xfd80005f,0x3fae61be,0x0df7ec03,
    0xd807fd73,0x3ae61bef,0x007f103f,0xbec85f10,0x36620aef,0x37ea00ef,
    0x95df9512,0x3f62059f,0x36a209ad,0x67e401ff,0x007fee61,0x4c2b3f62,
    0xd8804fdb,0x2a209adf,0x5cc01ffd,0x00003d89,0x8003fd88,0xfbec806c,
    0x3f6620ae,0x59fb100e,0x013f6e61,0x05711b90,0x730e7e40,0x2fb203ff,
    0x36620aef,0x9fb100ef,0x13f6e615,0x2e98aa80,0x84e7f4c0,0x8000efb9,
    0x3ee61cfc,0x1f30001f,0x0003f700,0x7e65c0a6,0x0002cccd,0xbfb99997,
    0x54000179,0xeffffffe,0xfffd5001,0x2003dfff,0xffffffea,0xdfdc981e,
    0x332602cc,0x2972cefc,0xffffffe9,0xfff7003f,0x7fe49fff,0x7fffdc06,
    0x00beffff,0xffffff90,0xffc8001b,0x002effff,0x7fffffdc,0x8800beff,
    0x0000cffd,0xfb999993,0x665c407f,0xcccfeccc,0x26971ccc,0xfffffffe,
    0xffff9003,0x10005dff,0x8003dffb,0xdffffffc,0x7f4d2e00,0x03ffffff,
    0xffffff90,0xfd88005d,0xff91003e,0x0009ffff,0xffffffc8,0x13a0000d,
    0x000026c0,0x7fffff44,0xe88006ff,0xffffffff,0xa880002f,0x220001bb,
    0x20001bba,0x5c01bba8,0x06ffffff,0x3fffffee,0x2b2e6205,0x654c0009,
    0x3100001a,0x00035795,0x00055dc4,0x006b2e60,0x57953100,0x00000003,
    0x77ffffdc,0x7ffd400d,0xffffffff,0x26205fff,0x80009acb,0x0001acb9,
    0x44000088,0x10000abb,0x00135973,0x00359730,0x5cc00000,0x200000ab,
    0x0000abb8,0x000002cc,0x00000080,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x100ffc40,0x08008000,0x0b220000,0x2000a600,0x00800800,0x04004000,
    0x00188000,0x00591000,0x30000620,0x00835995,0x80000010,0x01880001,
    0x00770000,0x30013331,0x44033333,0x18000800,0x26620080,0x01999999,
    0x003b1000,0x025c0000,0x20010030,0x00008008,0x20000970,0xff500019,
    0x8001ae09,0x0bee05f9,0x0bfa2000,0x1001b200,0x0bee01bf,0x3ea04f88,
    0x204fa803,0x4c0001fc,0x400003ff,0x98001fe8,0xe98003ff,0x9effefff,
    0x7fe4c07a,0x30001884,0x540007fd,0x400003ff,0xfff803fd,0x3ff201ff,
    0xf905ffff,0x001fa205,0x83f803f3,0xfffffff9,0x00ceffff,0x000bfa00,
    0x013f2000,0x0fe00fcc,0x74407f60,0x3fd80006,0x3ffb8000,0x03ff9800,
    0xfb8000f7,0x013f621e,0x007fa600,0x54003640,0x13f621ef,0xf903bee0,
    0x37f2001b,0x000ffa20,0x0bfbdf70,0x07fe6000,0x3f7bee00,0x2bbe6005,
    0x07f7f4c0,0xffdbff98,0x8005fa8b,0x00dfcefa,0x6fe6fdc0,0x7f440000,
    0xff753002,0x7d55440d,0x9fb100ad,0x4001ff98,0x0bee05f8,0x555fe554,
    0x2ffcbaaa,0x07fb1000,0x3f620000,0x817e2003,0xfe8802fb,0x000f7d43,
    0x0007fb10,0x1bf99fb0,0x81ffcc00,0xe980007b,0x002fe9af,0x000efa80,
    0x22cfeb88,0x9afe9800,0x3e6002fe,0x003fd8af,0xffa9ffa8,0x3f620001,
    0x0003bee4,0x4000efa8,0x3bee4fd8,0x4037c400,0x19500ffc,0x06fffec4,
    0x5437f200,0xfd8801ef,0x0007bea4,0x4000ff44,0xf002fdf8,0x23bee009,
    0x90000efb,0x37dc439f,0x22007d40,0x320001fd,0x4400004f,0xfc8002fe,
    0x01bee21c,0xbf91bf90,0x7f440001,0x7f440002,0x4007bea3,0x0f703ff8,
    0x3ff62000,0xfa80001e,0xffc8000e,0x1fbfffef,0x1effd880,0xfffd8800,
    0x3fa20002,0x740000df,0x01fe982f,0x000dfa80,0xfe982fe8,0x4003ee01,
    0xb98000fe,0x83fe8001,0x3a202fe8,0x01fe982f,0x000f7c40,0x00fdaf88,
    0x3e6004f8,0xc80004ff,0x0effefff,0xd000fa80,0x5fb8000f,0x3ff10000,
    0x7ffe4000,0x8000effe,0x0003fffa,0x0000ffc4,0x3a607be2,0x2ff8801f,
    0x80000f70,0x2600005b,0x5bfd0004,0x00ffed44,0x80001b70,0x900000ec,
    0x39100009,0x4000e440,0x39100039,0xdb00e440,0x0007dc00,0x00720000,
    0x00644039,0x1910006e,0x457c4000,0x004f804f,0x000016c4,0x0059bb93,
    0xf98007d4,0x01540001,0x000c8800,0x2cddc980,0x00ec4000,0x00064400,
    0x71005c40,0x44bfe001,0xcccfeccc,0x004ccccc,0x00000000,0x7ec03fb8,
    0x00000001,0x00000000,0x00000000,0x40000000,0x1122005e,0x20133333,
    0x00199999,0x00000000,0xf8800000,0x4f803f72,0x00000000,0x00fa8000,
    0x00000fe0,0x00000000,0x00000000,0x00000000,0x8ffc0000,0xeefeeed8,
    0x0deeeeee,0x99999998,0x40099999,0x99999999,0x19999999,0x07c403f4,
    0x33333331,0x33333333,0x4cccc413,0x99999999,0x26666200,0x44000999,
    0x20099999,0x40999998,0x99999998,0x44099999,0x99801999,0x003e4099,
    0xffffff50,0xfffffb0f,0x9999889f,0x03333300,0x33333333,0x98813333,
    0x99980099,0x45f10199,0x4427c05e,0x99999999,0x99988001,0x99999999,
    0xf5009999,0x007e6001,0x26666662,0x4cc40009,0x01999999,0x99999980,
    0x40999999,0x99999998,0x99999999,0x26666200,0x20000999,0x99999998,
    0x01ff8000,0x3f6000f7,0xffffffff,0x3ee07fff,0xffffffff,0x0fffffff,
    0x7d40013e,0xffffffff,0x4fffffff,0x3fffffee,0x04ffffff,0xfffffff1,
    0x7fcc009f,0xf01fffff,0x45ffffff,0xfffffffb,0x224fffff,0x206fffff,
    0x21fffffd,0x2a0004f9,0x881aacfb,0x20adfaaa,0x0ffffff8,0x27ffffe4,
    0xfffffffb,0xf8ffffff,0x3201ffff,0x85ffffff,0x80bea2f8,0x7fffcc4f,
    0xefffffff,0x7ffcc00c,0xffffffff,0x504fffff,0x01b6001f,0x3fffffe2,
    0x3e6004ff,0xffffffff,0x6c00ceff,0xffffffff,0x3e67ffff,0xffffffff,
    0x4fffffff,0xffffff10,0x220009ff,0xffffffff,0x00fe8004,0x2a2000f7,
    0xaafdaaaa,0x2a201aaa,0xadfabfca,0x0fcaaaaa,0x7d4001be,0xfdaaaaab,
    0x4faaaaaa,0x2aaaafee,0x04faaaaa,0x37eaaaa6,0x774c007d,0x2a601aaa,
    0x7dc2fdaa,0xaaaaaaab,0x7dcc4faa,0x36a200ae,0x2dfb82cf,0x005f3000,
    0x7f9303f8,0xdd551035,0x55554415,0xaaaaafda,0x37fdd4c1,0x5bf55510,
    0x6d85f101,0x32aa13e0,0xbaaaaabf,0x55402ffc,0xaaaaabfc,0x04faaaaa,
    0xfe8801f5,0x55553002,0xa800fbbf,0xaaaabfca,0x202ffcba,0xfdaaaaa8,
    0x541aaaaa,0xaaaabfca,0x4faaaaaa,0x3eaaaa60,0x260007dd,0x7ddfaaaa,
    0x700fe800,0x6c80000f,0x9d364000,0x5f907d40,0x201f5000,0xfb93a06c,
    0x001fb800,0x00be6be6,0x6c000d90,0xb800fb85,0x003f701f,0xfd980bf1,
    0x9801acef,0x01fc002f,0x1b6001f5,0x44006c80,0x9f002fdf,0x3e617c40,
    0x7d409f03,0x00fec400,0x9f0007d4,0x2a603ea0,0x20003ffc,0x002f9af9,
    0x6c400fa8,0x0364001f,0xf8003ea0,0x26be6004,0xf300002f,0xd8005f35,
    0x0001ee07,0xe8000d90,0x0fa813a4,0x002b3fa2,0x06c807d4,0x400fb93a,
    0x3e4004f9,0x07b800bd,0x3ee13a00,0x2027cc00,0x00fc806e,0xfffd9510,
    0x00be6019,0x07d407f0,0x32006d80,0x6d7c4006,0x204f800f,0x80fc82f8,
    0x003ea04f,0x07d403f4,0x3ea09f00,0xffffffff,0x3e40000c,0x1f5000bd,
    0x9001fa00,0x00fa800d,0x7c8013e0,0x6400017a,0xfb0017a7,0x00003dc0,
    0xf88001b2,0x0fa813a2,0xbceffeb8,0x3201f500,0x0fb93a06,0x7c003740,
    0xa8003ee4,0x00aa880f,0x801f709d,0x04f9806e,0x30000fe6,0x5f301df7,
    0x2a03f800,0x00db000f,0x3e200364,0x4f804f8a,0x3e20be20,0x3ea04f85,
    0x803f3000,0x13e000fa,0x666667d4,0xf00005fe,0x20007dc9,0x3f3000fa,
    0x20036400,0x13e000fa,0x03ee4f80,0xfb93e000,0xb81f6000,0x36400007,
    0x741f5000,0x8803ea04,0xa84ffecb,0x740d900f,0xfc803ee4,0x10fcc001,
    0x0fcc007f,0x3f81ffd4,0x3f200fb8,0x203f7001,0x2600005e,0x017cc0fe,
    0x0fa80fe0,0x6400db00,0xb97c4006,0x1027c01f,0xf0bea05f,0x0007d409,
    0x00fa807f,0x07d40b60,0x40005fd8,0x00fe21f9,0x7c001f50,0x001b2003,
    0x16c001f5,0x3e21f980,0x0fcc0003,0x2dc007f1,0x80000f70,0x1b60006c,
    0x001c409d,0xfa83bee2,0x2740d900,0x01fd40b3,0x036c3640,0xbf905f10,
    0xb305f10d,0x2001fd40,0x000fc86e,0x2617c400,0x01fc002f,0x1b6001f5,
    0x44006c80,0x9f017a2f,0xdd017c40,0x03ea04f8,0x2a00fcc0,0xa800500f,
    0x03bee00f,0x36c36400,0x4003ea00,0x1b2001f9,0x0a01f500,0xdb0d9000,
    0xd86c8000,0x1ee00006,0x00d90000,0x893a27c0,0x9f300005,0x40d901c4,
    0x0bf1001a,0xf507f100,0x7c1fc003,0x0fcc0fbc,0x0017e200,0x03f98fe6,
    0x44e80008,0x1fc002f9,0x36001f50,0x001b2006,0x017d45f1,0x017c409f,
    0x5027c7f3,0x01b6001f,0x03ea03ea,0x4c00fa80,0x3f88004f,0x2a001fa8,
    0x00db000f,0x7d4006c8,0x0000fa80,0x03f507f1,0x2a0fe200,0xf700001f,
    0x06c80000,0x4e83f300,0x400003ea,0x01b2006d,0x0007ec00,0x04f807d4,
    0x15f30fe0,0x000fa85f,0xc80007ec,0xd900dd1f,0xf98db000,0x501fc002,
    0x01b6001f,0x7c4006c8,0x09f036c2,0x3f2017c4,0x07d409f0,0x200bfa20,
    0x00fa80fa,0x2e003ea0,0x07d4002f,0x3ea004f8,0x017f4400,0xf5001b20,
    0x0001f501,0x027c03ea,0x9f00fa80,0x01ee0000,0x000d9000,0x3bbfa1ee,
    0x001300fe,0x0d9003dc,0x005f7000,0x07c81b60,0x21f713a0,0x2003dc4e,
    0x740002fb,0xfc801fce,0x26274000,0x01fc002f,0xddddddf5,0x00dfdddd,
    0x3e200364,0x4f81fcc2,0xf100be20,0x0fa813e9,0x03ffca98,0xdddddf50,
    0x7d4001fd,0x001fb000,0x00f9036c,0x654c07d4,0x6c8003ff,0x7777d400,
    0x0000feee,0x003e40db,0x01f206d8,0x000fd400,0x2000d900,0xeeefe85d,
    0x400bd00f,0x01b2006c,0x0009f300,0x2f980be2,0x26d8bb00,0x3003e47c,
    0xf300009f,0x13f2007f,0x7cc2fa80,0x501fc002,0xdddddddf,0x400dfddd,
    0x17c4006c,0x027c07e4,0x3f7005f1,0x7ffd409f,0x0cffffff,0x3bbbea00,
    0x2000feee,0x9f1000fa,0x980be200,0xfff5002f,0x19ffffff,0x001b2000,
    0xddddddf5,0x5f10001f,0x20017cc0,0x0be602f8,0x5f980220,0x6401b880,
    0xd07f0006,0xfe807d49,0x004f9802,0xdd0001b2,0x007dc000,0x2364017a,
    0x6c87ea3f,0x0001ba00,0x3f2007d8,0x85f9803f,0x1fc002f9,0x36001f50,
    0x001b2006,0x0bf105f1,0x017c409f,0x2a04fee8,0xfecccccf,0x80fa8005,
    0x3ea000fa,0x007f2000,0x0bd003ee,0x33333ea0,0x40005fec,0x07d4006c,
    0x5c0007d4,0x002f400f,0x0bd003ee,0x3205ffb8,0xb7310adf,0x06c805ff,
    0xcccdfa80,0xe81224fc,0x1bea02ff,0x4000d900,0x3a0001fc,0xcccccccf,
    0x7b800fec,0x6c7f07ea,0x003f9005,0x9003e400,0x4415df7d,0xf980efd9,
    0x501fc002,0x01b6001f,0x7c4006c8,0x4f85f502,0xccdfcb88,0x813fe603,
    0x0bfb00fa,0xfa80fa80,0x7ee5c400,0xee802ccc,0x333fa02c,0xfecccccc,
    0xb00fa800,0x364000bf,0x2a03ea00,0xcfe8000f,0xeccccccc,0x33fa000f,
    0xeccccccc,0x3fffe00f,0x3ffff201,0x800cffff,0xefc8006c,0x004feeee,
    0x337ff37a,0x000dfedc,0xfa800364,0xf980e403,0xffffffff,0xfa803fff,
    0x74bb0f90,0x403fa804,0x01f2001c,0xfffd34b8,0x4407ffff,0x0be2002f,
    0xdb000fa8,0x20036400,0xf1ba02f8,0xfffff309,0x27e401ff,0x7dc01f50,
    0x01f5000e,0x3ffe600a,0xa805ffff,0xfff305ff,0xffffffff,0x01f5007f,
    0x400077dc,0x07d4006c,0xff980028,0xffffffff,0xff3003ff,0xffffffff,
    0x7fec07ff,0xacba8807,0x03640009,0x04e82740,0x7ee4c6a0,0x90001cef,
    0x0bf1000d,0x01b207f0,0x1f9806c8,0x3e1f70bd,0x402fc403,0x01f2003f,
    0x35d93100,0x4009d001,0x03ea01fb,0xd90036c0,0x202f8800,0x0013e3f9,
    0x03ea0000,0x2a009f30,0x00f4000f,0x1b200000,0xfa806c80,0x0027cc00,
    0x3ea00364,0xc80f4000,0x401b2006,0x81b2006c,0x00000bb8,0x1001b200,
    0x7013a05f,0x0006c80d,0xfd8006c8,0x9f03f800,0x200fcc00,0x983f89f8,
    0x6c02f8af,0x003f800f,0x540001f2,0x0035c005,0x00fa80fb,0x36400db0,
    0x900be200,0x00013e1f,0x003ea000,0x3ea00bee,0x00be2000,0x4f800008,
    0x5007e600,0x05f7001f,0x54006c80,0x0be2000f,0x3f30027c,0x4c009f00,
    0xd100001f,0x3640005f,0x7403ea00,0x3203e404,0x06c80006,0xf8017dc0,
    0x4001fa83,0xfbaf804e,0x03f39d00,0x3f8017dc,0x0001f200,0x98006fd4,
    0x04f9803f,0x6d8007d4,0x1001b200,0xf4f8805f,0x37ee0009,0x007d4000,
    0x7d400fd8,0x00be2000,0x50005fd8,0x04e8003f,0xfd8007d4,0x001b2000,
    0x7c4001f5,0x4001fa82,0x00fd404e,0x7f5413a0,0x05ffb803,0xb001b200,
    0x3202740d,0x00036407,0x9f100364,0x36c1fc00,0x7c03dc00,0x27b206db,
    0x009f100f,0x0f9001fc,0x004b8000,0x6f980bf2,0xb000fa80,0x0036400d,
    0x3ee00be2,0x640004f9,0x007d4004,0x7d404f88,0x00be2000,0xb0005b10,
    0x80f7000d,0x9f1000fa,0x20036400,0x3e2000fa,0xb8006d82,0x40036c07,
    0xffff987b,0x01fec403,0xf800d900,0xf9013a03,0x80006c80,0x03ba006c,
    0x1fc43f80,0x2017c400,0x3ea04fce,0x003ba07c,0x1f2003f8,0xb139b000,
    0x1cfc8009,0x2007fee6,0x0db000fa,0x22003640,0x9fdd002f,0xd89b9800,
    0x007d4003,0x7d403f90,0x00be2000,0x00ba62aa,0x10007f10,0x007d405f,
    0x32003f90,0x007d4006,0x3f885f10,0x102f8800,0x5f10007f,0x05ffffb8,
    0xc9800f98,0xccfecccc,0x32e62ccc,0x3f3263df,0xccccccce,0x0036407e,
    0x3fb332e2,0xf881cccc,0xcccccccd,0x933fcccc,0x40599bfb,0x2cefccc9,
    0x4405ffb0,0x9bf107ff,0x99999999,0x2e207f99,0xcccfeccc,0x3b66001c,
    0xfc8000cf,0x00dfffff,0x1e6fee54,0x5e7f664c,0xd9999930,0x8599999f,
    0x3ccdfcb8,0x0013fe60,0x0019ffb1,0x999fb971,0x259dd005,0xcccfdcb8,
    0xcccccccc,0xfd8802fc,0x3726003e,0x2602ccdf,0x12cefccc,0x5999fb97,
    0x2659dd00,0xcfeccccc,0x2e22cccc,0xcccccfdc,0xfccccccc,0x99bfb932,
    0x7e664c05,0xbfb932ce,0x664c0599,0xff32cefc,0x09d007ff,0x3fffff20,
    0x6fffffff,0x43ffffee,0xfffffffc,0x407fffff,0x7fd40018,0xffffffff,
    0xfffff884,0xffffffff,0xfffff73f,0x7ffdc0df,0xff905fff,0x220dfb00,
    0xffffffff,0x03ffffff,0xfffffff5,0x0000bfff,0x55dc4000,0xffffd000,
    0xfffb81ff,0xfff92fff,0xffffffff,0xffff98df,0x3f200fff,0x30000004,
    0xbfffffff,0x26bff500,0xffffffff,0xffffffff,0x4000002f,0x6ffffffb,
    0x3ffffee0,0xfffff35f,0xff500bff,0x3fffff2b,0x6fffffff,0x3fffffe6,
    0xffffffff,0xfff72fff,0x7dc0dfff,0xf75fffff,0x40dfffff,0x5ffffffb,
    0x2600fb6a,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04000000,0x44000440,0x00409bcb,0x200003c8,
    0x041acca8,0x001b3000,0x00001880,0x0f200026,0x22002000,0x00b50000,
    0x00000500,0x01300000,0x4ccccc40,0x02666601,0x000400c0,0x00009100,
    0x26666000,0x00099999,0x0006cc00,0x3bba0000,0x0e4c04ee,0x1cc06060,
    0x00330000,0x00000000,0x40b76600,0x09f500ef,0x3bffb220,0x03f14fff,
    0x4000bf70,0xfffffec8,0x001f8aef,0x40006fa8,0x80003ff9,0x5c002ffb,
    0x77c0005f,0x0007f500,0x54000bf7,0xb0001eff,0x01dd103f,0x00bff200,
    0x3fffffe6,0xffffe86f,0x00fcc02f,0x260000fa,0x7d4000ef,0x3205f904,
    0xffffffff,0x2600007f,0xfd8000ef,0xf80ee881,0xb00deeee,0x07cc03df,
    0x05f501f3,0xffffc800,0x6413ea05,0xffd8002f,0x5fffffff,0x407fff40,
    0x6fe42ff9,0x9bffa800,0x3efbf260,0x01df7002,0x0acff980,0x0bfbf6e6,
    0x000bf700,0x0dfcdfb8,0x13ffa000,0x003bee00,0x320ffd40,0x7e4000df,
    0xbfd30004,0x4001bfd5,0xffa84ff8,0x9ffd0002,0x2ff2aa00,0xfea881aa,
    0x05f8802d,0x50000bee,0xfb0001df,0x4417fe0f,0xaadfaaaa,0xf500001a,
    0xff10001d,0xf05ff509,0x00be6007,0x00fa83ea,0xd10001ff,0x4097357f,
    0x0bff07fd,0x55555300,0xe8035555,0xfd100fff,0x2007fb17,0x6c400dfa,
    0x3ea002ff,0x3df3000e,0x005ff300,0x100027e4,0x0f7d49fb,0x01ffb800,
    0x001df500,0x3a2ffa20,0x7ec4003f,0x5df90003,0x2002ffb8,0x01b901db,
    0x007fee00,0xf9001f50,0x1cfc8009,0x0001bee2,0x4c000bf9,0x003b502d,
    0x400001fc,0x5c0005fc,0xf01b901d,0x401b6007,0xb81ee0fa,0x0fd8004f,
    0xa816cc00,0x0000001d,0x200b7660,0x1002fffc,0x2fe800df,0x007fcc00,
    0xb8003fa2,0x07fb002f,0x417f4400,0x10001fe8,0xff980001,0x3ff20000,
    0x2fe8001f,0x880f6000,0x0000005c,0x40004400,0x1fec00fa,0xefffc800,
    0x20000eff,0x000004fc,0x003f8000,0x0027e400,0x0fe00000,0x7b8027c0,
    0x1ff103dc,0x001fcc00,0x04000000,0x40000020,0x3f2000da,0x017d4002,
    0x2e006440,0x17c4002f,0x40001b80,0x00dc00c8,0x22000000,0x6d40000c,
    0x00370000,0x00000000,0x00000000,0xfb100fa8,0xdb980005,0xc80002cd,
    0x00000002,0x00007f00,0x000002b8,0xf003f800,0xf91f2009,0x2003fd80,
    0x000000fa,0x82fdc000,0x000003fd,0x000bd000,0x000003f1,0x008002ec,
    0x00000000,0x2f2e2000,0x00000409,0x00000000,0x00eeec80,0x99998800,
    0x33333009,0x332a2003,0x1f50041a,0x0003fd10,0x00000000,0xbcb98000,
    0x007f0002,0x44000000,0x99999999,0x09999999,0x027c00fe,0x203646c8,
    0x1f2006f9,0x4cccc400,0x20000999,0x0bff07fd,0x26666200,0x10009999,
    0x2200003f,0x99999999,0x09999999,0x100001fc,0x33333333,0x13333333,
    0x99999988,0x99999999,0x3fb22009,0xf14fffef,0x4cccccc3,0x40999999,
    0x98009998,0x4cc19999,0x99999999,0x3bb62099,0x7d40000f,0xd87fffff,
    0x04ffffff,0xfffffd91,0x203f15df,0x0f7440fa,0x99998800,0x44000999,
    0x99801999,0x7fe40099,0x002effff,0x330001fc,0x13333333,0x3fffe600,
    0xffffffff,0x0fe4ffff,0x6d8027c0,0x0ff402ec,0x88006c80,0xffffffff,
    0x07220004,0xf800064c,0xffffffff,0x3ea02cef,0xff980000,0xffffffff,
    0x24ffffff,0x300001f9,0xffffffff,0xffffffff,0x7ffffcc9,0xffffffff,
    0xff504fff,0x77e4c137,0xffffb2fb,0xffffffff,0x1fffff8f,0x3fffff20,
    0xfffffb5f,0xffffffff,0x00003ea0,0x06ab3eea,0x2b7eaaa2,0x0acff980,
    0x0bfbf6e6,0x1df307d4,0x3ffe2000,0x004fffff,0x1bffffe2,0x1fffffd8,
    0x221bfe88,0x3e004fda,0xfff90003,0x0fffffff,0x55fe5540,0xaaaaaaaa,
    0x400fe4fa,0xe8bb004f,0x004fb805,0x2a6000d9,0x07ddfaaa,0x30000000,
    0xaaeea987,0x5fecbaaa,0x40000d90,0xaaabfcaa,0xfaaaaaaa,0x00001ee4,
    0x5557f955,0xf5555555,0xabfcaa89,0xaaaaaaaa,0x0dfa84fa,0x897fec40,
    0xafdaaaaa,0x54c1aaaa,0x2a206ffb,0x510adfaa,0x55fb5555,0x3ea03555,
    0x5f300000,0xf303f800,0x5ff3003d,0x77d43ea0,0x554c0000,0x007ddfaa,
    0x00577dcc,0x3059fb51,0x5fc803ff,0x20007f00,0xadfaaaa8,0xfa8001aa,
    0x3f93e000,0x3a009f00,0x7d402745,0xfb333107,0x20001333,0x002f9af9,
    0x6c800000,0xdf7009d0,0x00006d81,0x3e000fa8,0x00001b24,0x9f0007d4,
    0xf8003ea0,0x20037c44,0x036402fe,0x00bf7e20,0x06c8027c,0x00007d40,
    0x7c002f98,0x000fe883,0x47d40bee,0x0004fffb,0x17cd7cc0,0x400fdc00,
    0x03ba05f8,0x7c01fdc0,0x0fe00003,0x003ea000,0x400fe4f8,0xffff903f,
    0xffffffff,0x81ff309f,0xfffffff8,0xc8002fff,0x000017a7,0x741f6000,
    0xd89f3004,0xfa800006,0x6c93e000,0x1f500000,0xfa827c00,0xf913e000,
    0x02fa8005,0x3e200364,0x4f800fda,0xa800d900,0xf300000f,0xb83f8005,
    0x17c4002f,0xd8cfdfa8,0x900002ef,0xe8002f4f,0x500fc806,0x0fd8005f,
    0x00001fc0,0xf500007f,0x7f27c001,0x2a05f300,0xcccefccc,0x882cccdf,
    0xaaaa81ff,0x00aaaafd,0x03ee4f80,0x03333220,0x01e66644,0x8013a0fb,
    0x001b61fb,0x8003ea00,0x2a01b24f,0x1aaaaaaa,0x3e000fa8,0x4001f504,
    0x4002f44f,0x036401f8,0x13e2be20,0x364013e0,0x2203ea00,0x017cc000,
    0x01760fe0,0x7ff50040,0x0001ffa8,0x003ee4f8,0xf9813e60,0x000bf103,
    0x03f807f3,0x000fe000,0xd8003ea0,0xfb100fe2,0xf88fe001,0x005ff002,
    0xf30000d9,0x4401fc43,0xd301feed,0x7f40dfdd,0x74004e80,0x00001f26,
    0x2d8003ea,0xfff301f2,0x50dfffff,0x816c001f,0x8b6000fa,0x000001f8,
    0x5f1001b2,0x09f007ee,0xf5001b20,0x3fffb261,0x02f9800d,0x01fc1fc0,
    0x81fd4000,0x4c0006d8,0x000fe21f,0x05e80fdc,0x6c0007ea,0x8801fc04,
    0x0001fc03,0x802807d4,0x0bff203f,0x5f117c40,0x200ffa00,0x6c80006c,
    0x7cc006d8,0x740d9001,0x4004e80f,0x001f71fa,0x500fa800,0x8801f500,
    0x03fa9999,0x000a01f5,0x200a01f5,0x000000fa,0x5f1001b2,0x013e02f4,
    0x3ea00364,0xcaacefb8,0x17cc01ff,0x3f30fe00,0x1f500000,0x00027c40,
    0x000db0d9,0x007e4374,0x35c000f7,0x7d400fe0,0x0000fe00,0x03ea03ea,
    0x7fe407f0,0x4c5f1002,0x07fd001f,0x88000d90,0x001fa83f,0x364007e6,
    0x09d03ff0,0x5f32f880,0x0fa80000,0x7cc00fa8,0x02f88001,0x01f501f5,
    0x7d407d40,0x00036400,0x1001b200,0xf017d45f,0x001b2009,0x2207fbf5,
    0x0be600ee,0x07b87f00,0x01f50000,0x88001fb8,0x001fa83f,0x1fcc7f30,
    0x98001b60,0x400fe00f,0x00fe00fa,0x2a03ea00,0x201fc00f,0xf9800fd8,
    0x7c007e61,0x006c802f,0x4f807d40,0x4007e600,0x207fe06c,0x23f8004e,
    0x5400006e,0x800fa80f,0x2f88004f,0x1f501f50,0x5407d400,0x0036c00f,
    0x001b2000,0x206d85f1,0x00d9004f,0x5c02ffa8,0x00be603f,0x006c87f0,
    0x001f5000,0x1f5000bd,0xc80013e0,0x9d00dd1f,0x017c4000,0x03ea007f,
    0xa80003f8,0xfeeeeeef,0x4c01fc00,0xdccc982f,0xcdfdccdf,0x03ff103c,
    0xd8000d90,0x9801f206,0x40d9001f,0x004e82ff,0x00fe64e8,0x3bea0ea0,
    0x00feeeee,0x44001fc8,0xdddf502f,0x4001fddd,0xeeeeeefa,0x0036c00f,
    0x001b2000,0x03f985f1,0x01b2009f,0x3e007f50,0x000be604,0x0006c87f,
    0x7001f500,0x06d8001f,0xdd0001f2,0x09f003f9,0x3e03f800,0x401f5003,
    0xfa80003f,0x0feeeeee,0x3f801fc0,0xffffffa8,0x5fffffff,0x9001ff30,
    0x17c4000d,0x26005f30,0x20d9001f,0x04e82ff8,0x0fe44e80,0xf509f700,
    0x1fdddddd,0x1001ba00,0x3bbea05f,0x000feeee,0x3bbbbbea,0x036c00fe,
    0x01b20000,0x1f905f10,0x1b2009f0,0x2001f500,0x00be605d,0x806c87f0,
    0xaaaaaaaa,0x8800fa81,0x0be2003f,0x20002f98,0x9d003ff9,0x017c4000,
    0x03ea007f,0xa80003f8,0x400fa80f,0x009f003f,0x5007b8f7,0x01b200ff,
    0x7400fb80,0x003f3005,0x17fc41b2,0x27400274,0x7e4027ec,0xf501f505,
    0x0bbe6001,0xfa817cc0,0x2000fa80,0x00fa80fa,0x000003e4,0x5f1001b2,
    0x09f0bf10,0xf5001b20,0x98176001,0x21fc002f,0x7ffcc07c,0xa86fffff,
    0x00fb000f,0x17a007dc,0x400fb000,0x3e60006d,0x5400fe00,0x000fe00f,
    0x3ea03ea0,0xf801fc00,0x3e47b804,0x9004fb80,0x67f4000d,0xeccccccc,
    0x01f9800f,0x3fe60d90,0xf8004e83,0x437dfb03,0x2a03feb9,0x000fa80f,
    0x826b7f62,0x501ffda8,0x001f501f,0x07d407d4,0x00003ee0,0x44006c80,
    0xf85f502f,0x800d9004,0x0bb000fa,0x3e0017cc,0x22007d43,0x23fa9999,
    0xccdfdcb8,0x0f37e602,0x99999fd0,0x001fd999,0xf7003e40,0x7335c000,
    0x999df999,0xfb999999,0x8801fc01,0x0a01f503,0x27c00fe0,0x01b23640,
    0x6c800ff4,0xffff3000,0xffffffff,0x003f3007,0x1ffcc1b2,0x3e600274,
    0x3fffaa01,0x5401efff,0x2000500f,0xfffffffb,0x3ea00bef,0xfa800500,
    0x5f300500,0x36400000,0xe80be200,0x6c8027c6,0x8007d400,0x00be205d,
    0x0fcc2f88,0xf317c400,0x0dffffff,0x300fffe8,0xffffffff,0x0007ffff,
    0x3f5003e4,0xfb936000,0xffffffff,0xffffffff,0x5400fe00,0x000fa80f,
    0xf003f8f4,0x6d8db009,0x2006f980,0x0d90006c,0x7cc03640,0x260d9001,
    0x004e84ff,0xfb8803dc,0x03ea001b,0x31003d00,0x20035795,0x0f4000fa,
    0x3a0007d4,0x00001ba1,0x7c4006c8,0x4f8fe602,0xa800d900,0x80bb000f,
    0x07ee004e,0x3e20013e,0x80000002,0x01b2006c,0x74007c80,0x03f98005,
    0x1fc00000,0xfa80fa80,0x7cbe2000,0xb009f003,0xfd805d8b,0x0017e003,
    0x3f30027c,0xb001f980,0x740f740d,0x017a2004,0xfa800598,0x00be2000,
    0x03ea0000,0xfa82f880,0x98be2000,0x03a8003f,0x3e200364,0x4f87e402,
    0xa800d900,0x80bb000f,0x41f6006b,0x7c4001fc,0x80000002,0x07e6004f,
    0x2003e400,0x7f4002fa,0x40000000,0x01f5003f,0x7c4001f5,0x13e007f2,
    0x809d17a0,0xf5000ff8,0x03f50009,0x7c404e80,0x006fc803,0x7ec009d0,
    0x077e6001,0x2000fa80,0xbf7002f8,0x00fa8001,0x3ea0be20,0x90be2000,
    0x27dc003f,0xf1001b20,0x9f4f8805,0x5001b200,0x0176001f,0x9f3007f3,
    0x22003740,0x6fdc002f,0x01fa8000,0xc8002740,0x00ed8007,0xb8005f90,
    0x7f0000df,0x2a03ea00,0x4be2000f,0x00d9003f,0x5c04f89d,0x07f6004f,
    0x2001b600,0x206e807b,0x0006ffe8,0x13f2009d,0x5002dc00,0x17c4001f,
    0x50013200,0x17c4001f,0xf10007d4,0x9009fb05,0x00d900bf,0xfb802f88,
    0x0d9004f9,0xb000fa80,0x405f900b,0x77cc06f9,0x005f3002,0x36001320,
    0x007b8006,0xf3000f90,0x05fc805f,0x40013200,0x01f5003f,0x7c4001f5,
    0x3e6007f2,0x0fe27c02,0x35301ff0,0x0007fd71,0xf10007f1,0x12dfa805,
    0x9f95df95,0x404e8005,0x32005fda,0x2004c8ac,0x3e2000fa,0x6c4dcc02,
    0x007d4003,0x1f505f10,0xd817c400,0x3ae61bef,0x00d9003f,0xdd002f88,
    0x01b2009f,0x36001f50,0x439f9005,0x8801ffb9,0x2209adfd,0x3001ffda,
    0x8007b137,0xf88003f8,0x007c8002,0x2159fb10,0x4004fdb9,0x003d89b9,
    0x3ea007f0,0x99fb9710,0x99999999,0x3bbe5f99,0xdfb00dee,0x05f0fe05,
    0xffb817d4,0x4c002fff,0x02ccdfdc,0x33bf3326,0x3fffee02,0x1bff24ff,
    0x6677e540,0x3fffcccc,0x67f6cc00,0x7ee5c400,0xcccccccc,0x402fcccc,
    0x800cffd8,0xcccfdcb8,0xcccccccc,0xfb9712fc,0x99999999,0x405f9999,
    0xffffffea,0xcccc981e,0xcccccfec,0x66fe5c42,0x13fe603c,0xfd999993,
    0x98599999,0x700ccfdc,0x90079fd9,0x1bffffff,0xffffb800,0x00beffff,
    0x033ff620,0x66fee4c0,0x3332602c,0x97102cef,0x9999fd99,0x7ffe4003,
    0x8002efff,0x800cffd8,0xcefcccb9,0xcccccccc,0xffff30fd,0xffffffff,
    0x325fffff,0x4c04cccc,0x8030301c,0x4d544039,0xfffb8000,0x3ee06fff,
    0x405fffff,0x0001aca9,0xffffffd0,0x00039dff,0x7ffcc000,0xffffffff,
    0x02ffffff,0xfff30000,0xffffffff,0x25ffffff,0xfffffff9,0xffffffff,
    0xba8802ff,0x7ffe401b,0xffffffff,0x7fffcc6f,0x3f200fff,0x7ffffe44,
    0x6fffffff,0x1fffffec,0x77ffff44,0x15771000,0xca988000,0x000001ab,
    0xfffffb80,0x3ffee06f,0xff505fff,0xffffffff,0x5973000b,0x00000003,
    0xfffffff7,0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x024c0000,0x00c40000,
    0x20018800,0x99999999,0x05dc1999,0x00018800,0x65c00000,0x99988001,
    0x26666019,0x3bb62009,0x1deeeeee,0xddddd700,0x1007dddd,0x22000177,
    0x09999999,0x33331000,0x33333333,0x00001333,0x00e5c000,0x0bc88000,
    0x2e620000,0x220000ac,0x76c400aa,0xdeeeeeee,0x00000001,0x00000000,
    0x00000000,0x05dc4000,0x40397100,0x881fd86e,0xffa800ee,0x7fcc0004,
    0xffffb805,0xffffffff,0x000fff25,0xb0009ff3,0x01dd103f,0x37fffea0,
    0x3e203aa0,0xb85fffff,0x03ffffff,0xddddddb1,0x2e003bdd,0xeeeeeeee,
    0x7ffe403e,0xf102643f,0x9fffffff,0xffff3000,0xffffffff,0x0009ffff,
    0x2a000fa8,0x2a0dffff,0xffb0000e,0x004c87ff,0x3fffff62,0x3a2001ef,
    0x101fffff,0xdddddddb,0x13a003bd,0x004e8000,0x00013a00,0x0000fa80,
    0x4c0003ee,0x8803fccf,0xfb82ffff,0x5427fc43,0xffc802ff,0x7fdc0006,
    0x55555007,0x155555fb,0x2000fd88,0x44007ffc,0x2ffa84ff,0xf70df880,
    0x4c0bfbbf,0x500aacfb,0x0005bf55,0x00000000,0xffb319f7,0xa9807fd9,
    0x07ddfaaa,0x57f95500,0x55555555,0x5c0009f5,0x37e2005f,0xfddffb88,
    0x27f70005,0x2fecffd9,0x437fd300,0x9802fea8,0xfd989bef,0x50000002,
    0x500001bf,0x500001bf,0x800001bf,0x320005fb,0x8b60005f,0xfffb8068,
    0x407fc45f,0x01b901db,0x0007ff30,0x0004ff88,0x3f9801b2,0x00ffe600,
    0x6e4076e0,0xf9101000,0x05f3007d,0x00003f80,0x10000000,0x03dfd501,
    0x5f35f300,0x007d4000,0x320009f0,0x8808004f,0x20003efc,0x1dfd9808,
    0x801df500,0x077c04fd,0x00000fc8,0x001df500,0x001df500,0x001df500,
    0x0013f200,0x40004fd8,0x7d401e87,0x27dc4fff,0x08800000,0x00020000,
    0x4f800d90,0x00000800,0x00000000,0x3e0017cc,0x99999883,0x33333300,
    0x0af2e600,0x20000000,0x80017a7c,0x13e000fa,0x007fb100,0x00000000,
    0x03ba0000,0xfb80fe40,0x2661f400,0x99999999,0x3e600099,0xf980001f,
    0xf980001f,0x3620001f,0xfd10003f,0x45b00005,0xdffb0078,0x0001fe81,
    0x00000000,0x00d90000,0x000004f8,0x30000000,0x4c005797,0x21fc002f,
    0x7ffffffa,0xffffffd8,0x3ffff204,0x4cc02eff,0x99999999,0x93e00099,
    0xf50000fb,0x0027c001,0x88000bf6,0x09999999,0x04ccc400,0x0cccccc0,
    0x3a000fdc,0xc804f886,0x3fffff65,0x7fffffff,0x007f4400,0x007f4400,
    0x007f4400,0x0002fd80,0x400007fa,0x003ebcf9,0x417ea022,0x99999999,
    0x4cc09999,0x99999999,0x4ccc4099,0x99999999,0xc8009999,0x8827c006,
    0x99999999,0x4c409999,0x99980199,0x7ffe4009,0x9802efff,0x41fc002f,
    0x81aacfba,0x0adfaaa8,0x221bfe88,0xffb04fda,0xffffffff,0x3e600fff,
    0x4000fe21,0x0b6000fa,0x40003300,0xfffffff8,0x7ffc004f,0x3ff201ff,
    0x3e25ffff,0x42fa8004,0x27b800fb,0xfdaaaaa8,0x001aaaaa,0x20000288,
    0x22000028,0x00660002,0x00001500,0x0001cb88,0xffb05fb0,0xffffffff,
    0x7ffecfff,0xffffffff,0x3fffe67f,0xffffffff,0xc804ffff,0xb827c006,
    0xffffffff,0x3e24ffff,0x3606ffff,0x881fffff,0x36a21bfe,0x017cc04f,
    0x17cc0fe0,0x7cc0fe00,0x42fe401f,0xfdaaaaa8,0x001aaaaa,0x000db0d9,
    0x001403ea,0x53000000,0x0fbbf555,0x6ffba980,0x37eaaa20,0x0003ee0a,
    0x401b22f4,0x006c807b,0x00000000,0x00000000,0x00000000,0x88000000,
    0x5555107f,0x55555fb5,0x55555443,0x1aaaaafd,0x555fe554,0xaaaaaaaa,
    0x006c804f,0xabfb827c,0xaaaaaaaa,0x577dcc4f,0x33f6a200,0x401ff982,
    0x0be605fc,0x3e607f00,0xe81fc002,0x07f7000e,0x88001b20,0x001fa83f,
    0x0fa80fa8,0x40310000,0x5f3000fa,0xf10005f3,0x13e005fb,0x7c8001b2,
    0xb75102f4,0x000d900f,0x00000110,0x004c0000,0x00008800,0x20000098,
    0xf7000009,0x006c800d,0xf5001b20,0x4027c001,0x827c006c,0x1fb800fb,
    0xf1003f70,0x8007740b,0x05f303fb,0x5f303f80,0xfa83f800,0x007ec002,
    0xf5000364,0x20013e01,0x00fa80fa,0x3ffb6a00,0x017ea3ef,0x0017a7c8,
    0x003f6be2,0x0017a13e,0x413e0fa8,0x807ffffb,0xfd70006c,0x4405bfff,
    0x9100cccc,0xa8807999,0x1effffec,0x3fb2a200,0x01a8beff,0xffffd951,
    0x6544003d,0x01effffe,0x0017f200,0x364000d9,0x8003ea00,0x006c804f,
    0x00fb827c,0x1ba027cc,0x7d403f20,0x407ec002,0x1fc002f9,0x7c002f98,
    0x4002fc43,0x06c803f9,0x7c81b600,0xeeefa800,0x8000feee,0xbabcefd8,
    0x005fcffd,0x001f727c,0x04f8af88,0x003f84f8,0x1fc47e60,0x07b867ec,
    0x754006c8,0xfecaabdf,0xfeed880d,0xdfddd301,0x5e77fd40,0x804febaa,
    0xdbabdff9,0xfa84ffff,0xebaabcef,0xeffa804f,0x4febaabc,0x009fb000,
    0x320006c8,0x007d4006,0x0d9009f0,0x1f706d80,0xf9806e80,0x440fe604,
    0x3f98005f,0x7c002f98,0x8005f303,0x000fd43f,0x06c804d8,0x4c05f100,
    0x77d4002f,0x00feeeee,0x3017fcc0,0xf9800dfd,0x1000fe21,0xf007ee5f,
    0x0003f889,0x217c4be2,0x403dc4fb,0x37ee006c,0x803faa01,0x0d9001f9,
    0x3f2005c4,0x300ffc03,0x01710bfd,0x5c403fc8,0x201fe400,0x001ff429,
    0x6c8001b2,0x0007d400,0x00d9005b,0x0fb82fb8,0x5c007f20,0x540bd01f,
    0x09b0001f,0x3f8005f3,0xf8005f30,0x70003dc3,0x000d900d,0x0bd003ee,
    0xfa80fa80,0x00774000,0x8007ffea,0x4006d86c,0xf017a2f8,0x40009f09,
    0xd85f11f9,0x6403dc0f,0x00bf3006,0x1f9817e2,0x0000d900,0x02fa81be,
    0x40005f98,0x3e00006f,0x47fffa06,0x364002ff,0x800d9000,0x000500fa,
    0x7ec00364,0xfa81661e,0x64374003,0x001ee00f,0x02f986b8,0x2f981fc0,
    0x1b61fc00,0x400f9800,0x9fd0006c,0xd9999999,0x07d4001f,0xf90007d4,
    0xe8dfa803,0x507f1006,0x17c4003f,0x427c05f5,0x3ea0005e,0x84f85f10,
    0x006c807b,0x3f9800dd,0x32003f30,0x0f700006,0x3c8017d4,0x003dc000,
    0x3ea0f700,0x05ff4fff,0x20006c80,0x07d4006c,0xc80007d4,0x1efd8006,
    0x000bf100,0x01fcc7f3,0xf98001b6,0x20017cc0,0x005f303f,0x002743f8,
    0x6c805f10,0xffff9800,0xffffffff,0x403ea003,0x2027c002,0x05f30ef9,
    0x13e01f50,0x36c2f880,0x00db09f0,0x85f13e40,0xc807b85e,0x002f9806,
    0x03f306d8,0x40001b20,0x007fc07b,0x07b80000,0x5c1ee000,0x7fd5ffff,
    0x0006c800,0x1f5001b2,0x20001f50,0x1fdc006c,0x0003f600,0x806e8fe4,
    0x3e20004e,0x10017c42,0x00be605f,0x004f87f0,0x1b201fc0,0xc801b200,
    0x003ea006,0x01f983d0,0x09f03be6,0x03e40db0,0x3f985f10,0x01f709f0,
    0x2f89ba00,0x01ee0fec,0x03ea01b2,0x7cc1ea00,0x200d9001,0x9accccaa,
    0x6ff4c07c,0x550001ab,0xf9359999,0x66655400,0xf107c9ac,0x13f63fff,
    0x4000d900,0x77d4006c,0x00feeeee,0xd800d900,0x017dc006,0x07f3ba00,
    0xf00013e0,0x4c009f07,0x005f301f,0x002743f8,0x6c805f10,0x2004f800,
    0x1f5001f9,0x2a17c400,0x01df300f,0x02f880bb,0x7c400be6,0x4f80fc82,
    0xa8004f88,0xf10be22f,0x201ee39f,0xfffc806c,0xffffffff,0x980fffff,
    0x80d9001f,0xfeeffffb,0xc8807fff,0x1deffffe,0x77fffdc0,0x807ffffe,
    0xfeeffffb,0x5d407fff,0x90017f20,0x0364000d,0x3bbbbea0,0x90000fee,
    0x004f800d,0x200013e6,0x9d003ff9,0x417c4000,0x81f2006d,0x1fc002f9,
    0xf98001b6,0x20036400,0x274001fa,0x2000fa80,0x983dc2f8,0x80db00ef,
    0x02f400fb,0x5f882f88,0x03f704f8,0x83f85e80,0x4fffffe9,0x7e403640,
    0xcccccccc,0x0ccccccc,0xd9001f98,0x80577ec0,0x988007d9,0xfb03ffcb,
    0x1f66015d,0x2015dfb0,0xfb8007d9,0x00364006,0xfa800d90,0x0000fa80,
    0x04f800d9,0x80001ba0,0x01b6007d,0xf980f980,0x204f9803,0x1fc002f9,
    0x6b8001ee,0x6c006c80,0x007b8006,0x7c4001f5,0x3e60fd42,0xd013a00e,
    0x9999999f,0xf1001fd9,0x9f0bea05,0x4003be20,0x204e81fc,0x401cbaa9,
    0x00fa806c,0x00fcc000,0x05f906c8,0x40001ee0,0x017e45fa,0x0bf207b8,
    0x06203dc0,0x6c800ff1,0x001b2000,0x01f501f5,0xf001b200,0x007f2009,
    0x2007c800,0x1ae0007b,0x3a202fd8,0x00be200e,0x0fd42f88,0xc804d800,
    0x00fe2006,0x2a00be20,0x0be2000f,0x077cc7f1,0x7cc07f10,0xffffffff,
    0xf8803fff,0x09f1ba02,0x3600f7cc,0x000bb03f,0xf8806c80,0x7cc00003,
    0xf10d9001,0x003dc007,0x3e21f500,0x441ee003,0x01ee003f,0x005fb0b5,
    0xd9000364,0x500fa800,0x99999100,0x399999fd,0x3ea013e0,0x9000e403,
    0x00fd400f,0x36204d80,0x3fee61cf,0x2004e801,0x005e81fb,0x6c803f98,
    0xcdfdc980,0x3332602c,0x65c42cef,0xccccccfd,0x2fcccccc,0x0ef88ee8,
    0xd9007e40,0x44036400,0xf8fe602f,0x567fcc04,0x405fd730,0x200000fb,
    0x00dd006c,0x001f9800,0x003f30db,0x01f883dc,0x0fccbe20,0x3e60f700,
    0x501ee001,0x400bf50b,0x1b20006c,0x8001f500,0xfffff71e,0xbfffffff,
    0xbf1013e0,0x64007f00,0x002f4007,0x7e401fcc,0x00dfffff,0x3ec00d70,
    0x74002fa8,0x806c800f,0x6ffffffb,0x3ffffee0,0x7fffcc5f,0xffffffff,
    0x982fffff,0x5400eedf,0x0027c03f,0x2f8803f3,0x04f87e40,0xfffffc88,
    0x27c400ef,0x00d90000,0x020017e2,0x7e401fc4,0x7003f986,0x00fe60ff,
    0x07f31f98,0x7cc1fee0,0x80ff7003,0x0ff40dfa,0x20006c80,0x07d4006c,
    0x5405f100,0x027c002e,0x0fe003f6,0x54007c80,0x07f4002f,0x015bf500,
    0x9803f980,0x003b604f,0x6c8017e4,0x32000000,0x5c00000d,0x07ff201d,
    0xfa80bf70,0x20274001,0xa7c402f8,0x3fe6004f,0x3f2000ac,0x0d900000,
    0x40067dc0,0x0dd01fd9,0xf837ff44,0x3ffec406,0x8802ff98,0x22037c6e,
    0x1be07ffd,0x00fffb10,0x009f712e,0x6c8001b2,0x0007d400,0x01f405f1,
    0x5f7027c0,0xc800fe00,0x00ed8007,0xa8005f90,0x3f20000f,0x301be602,
    0x5fc805ff,0x0001b200,0x0000f800,0x3a200f80,0x2a21bfff,0x36c00dfd,
    0x2203dc00,0xf9fb802f,0x33df5004,0x1ff88180,0x1b200ee0,0x137ff500,
    0x0fff6a62,0x9512dfa8,0x859f95df,0x9510bdfa,0x599f75ff,0x0d67ffcc,
    0xf507ff26,0x3f2a217b,0x42ccfbaf,0x9510bdfa,0x599f75ff,0x226c4e6c,
    0x6c800ff8,0x001b2000,0x7c4001f5,0x30007e02,0x013e203f,0x1f2003f8,
    0x00bfe600,0xb7000bf9,0x39f90000,0x400ffdcc,0x730acfd8,0x6c8009fb,
    0xf1000000,0x0f100000,0x7ec47f44,0x02ffffff,0x88003f88,0x00be202f,
    0x64027f74,0xdeffffff,0x981feb9b,0xeba9acff,0x3333262f,0xcccccfec,
    0x3fff6202,0x003effff,0x9ffffff7,0x7d437fe4,0x0cffffff,0x744dfff7,
    0xfffffea8,0xff500cff,0x219fffff,0xfa86fffb,0x0cffffff,0x6ccdfff7,
    0x3fb80cfe,0x20006c80,0x07d4006c,0x6405f100,0x2202b88d,0x003ba06d,
    0x1f2003f8,0x567ec400,0x009fb730,0x064cbe20,0x7fffe400,0x64000dff,
    0x2effffff,0x33333260,0x2cccccfe,0xbdc80000,0xbb00006c,0x20fecd75,
    0x800abba8,0x2ccdfdc9,0x3bf33260,0x37f2e22c,0x3fe603cc,0x677fdc04,
    0xfffecbab,0x3ff6201e,0x7e42dfff,0xffffffff,0x98806fff,0x80009aca,
    0x0001aca9,0x0006b2ea,0x2ab2ea60,0x35975000,0xacba8000,0x3a000001,
    0x33333266,0x2cccccfe,0x3b333326,0x22cccccf,0xcccfdcb8,0xcccccccc,
    0x3f6202fc,0x5ff901ff,0x33337e20,0xcccccccc,0x9997103f,0x039999fd,
    0x7ffffe40,0x5c0002ef,0x40005ffe,0x0000abb8,0x400d65cc,0xfffffffc,
    0x006fffff,0x01795000,0x336e2000,0x800002a1,0x6ffffffb,0x3ffffee0,
    0x3fffe65f,0x3f200fff,0x98801804,0x04d4c000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x23980000,0xfffffffc,0x326fffff,0xffffffff,
    0x3e66ffff,0xffffffff,0xffffffff,0x5c008802,0x7fffc403,0xffffffff,
    0xfff503ff,0xbfffffff,0x35973000,0x00880000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8800000,0x0000000b,0x20000000,0xeeeeeed8,0x22001dee,
    0xeeeeeeda,0x00000006,0x97310000,0xbddddddd,0x3bbbae01,0x004eeeee,
    0x00000000,0x00000000,0x2e000000,0xa8028000,0x00031000,0x22000044,
    0x400a8003,0x200a0019,0x01980009,0x00a00000,0x3005002a,0x00000001,
    0x0f4c0000,0x9f700172,0x400003f9,0x400002f9,0x362000fb,0xeeeeeeee,
    0x7df5001d,0x0f555555,0x0003ee00,0x22003ee0,0xaafcdefc,0x2a02abfa,
    0xeeeeeeed,0xd700003e,0x00002e88,0x09d00d10,0x07dc0000,0x2ffd8800,
    0x407be200,0x3f2202fd,0x7001dfff,0x0017dffd,0x000eff98,0x00bd00fe,
    0x3f8807e6,0xffffd500,0x05c8005d,0xb101df10,0x00fcc05f,0x220007f1,
    0x7ec4004e,0xf98000df,0x20017e46,0x00016a0e,0x000077d4,0x00009f90,
    0x01f98000,0x4fc80078,0x05fc8000,0x1a23ffa8,0x0000003d,0x223fb800,
    0x000000ee,0xdfa803f5,0x7e400000,0x5fd30005,0x74c009fb,0x80ffa22f,
    0xebaacffa,0x5efe403f,0x7002feba,0x005ff5df,0x1fdc03fa,0x7e40df00,
    0x66ff4401,0x005fdbaa,0xfe9801b2,0x200bfa62,0x007f206f,0x0007fa60,
    0x007ffff7,0x3f20ef88,0x3c34c003,0x06fdc000,0x07fb0000,0x90000000,
    0xb001e009,0xfb00007f,0x85ff3009,0x0000f468,0x9f700000,0x4c40ff44,
    0x26601999,0x006ea999,0x00001df5,0x5c0013f6,0x03bee0ef,0x7d67ec40,
    0x037e201e,0x3fb817e4,0x6c401f70,0x013f624f,0x6546fbe6,0x3ee000ef,
    0x5fda88bd,0x5017fc40,0x01b2009f,0xdf79fb10,0x2f7ee003,0x005fda88,
    0x8001ef98,0x002ffffa,0x3fc83ba2,0x2d41f000,0x013f2000,0x02fe8800,
    0x26666620,0x99999999,0x007a0099,0x2fe8802c,0x17f44000,0x6884fb80,
    0x4cc400f4,0x00099999,0x3a25fa80,0xffff881f,0xfffb85ff,0x2001dfff,
    0x20001ff9,0x70002fe8,0x01fe609f,0x801bff70,0x07ec00ee,0x0db013e2,
    0x4fc817f4,0xffffea80,0xfb8000df,0x804fffff,0x1fb800d8,0x70006c80,
    0xf7000bff,0x009fffff,0x0001df50,0x20016ed4,0x013ea0fe,0x1fcbeb80,
    0x00ff2000,0x003fd000,0x7fffffcc,0xffffffff,0x00f604ff,0x003fd000,
    0x4003fd00,0x746882fe,0x7fffc401,0x0004ffff,0x07f62fc4,0x0aacfb98,
    0x019f5550,0x003fa200,0x0000ff40,0x00288053,0x2f880398,0x7e42f880,
    0xa81fc400,0x3000cc00,0x80003597,0x000abba8,0x9007f000,0x01cc000d,
    0x15775100,0x00bf3000,0x0a800000,0x44000144,0x4c0000bc,0x0a800001,
    0xbfcaa800,0xaaaaaaaa,0xd9104faa,0x05400001,0x000a8000,0x23440ff4,
    0xaaa9801e,0x0007ddfa,0x400cc144,0x1fc002f9,0x000a2000,0x000000a8,
    0xa8000000,0xd89f001f,0x000f9005,0x00000000,0x20000000,0x5ff5404e,
    0x00000000,0x00a20000,0x00000000,0x00000000,0x00000000,0x8003ea00,
    0x6efecc4f,0x0000001f,0xfd000000,0x01e8d105,0x2f9af980,0x20000000,
    0x1fc002f9,0x00000000,0x00980000,0x98009800,0xf87f001f,0x003f5004,
    0x13000011,0x00000000,0x703f9800,0x7bffdfff,0x0011001d,0x00001100,
    0x00000000,0x00000000,0x00013000,0x80044008,0x13e000fa,0x00cfa85d,
    0x00011000,0x7e400220,0x00f46884,0x00bd3e40,0x30002200,0x03f8005f,
    0x00001100,0x76440000,0x711dffff,0x7fff6440,0x3f8711df,0x27c1f980,
    0x95107f00,0x517dfffd,0x3fb2a203,0x4401efff,0x9100cccc,0x00007999,
    0x19fd01fb,0x882ffc98,0xbefffeca,0x76d401a8,0x0003dfff,0x44000000,
    0x9100cccc,0x99107999,0x33220199,0xec8803cc,0x711dffff,0x3bffae20,
    0x06ffecc3,0xf8003ea0,0x7ec41a64,0xfdb50002,0xb8007bff,0x02dffffe,
    0x8d10bfe6,0x24f8001e,0xb50000fb,0x007bfffd,0x3f8005f3,0x3ffb6a00,
    0x332203df,0x999100cc,0xdefb8079,0xcdfecaab,0x57bdf707,0x8f9bfd95,
    0x437400fc,0x89f5005d,0xdbabdff9,0xfa84ffff,0xebaabcef,0x3bb6204f,
    0xfddd301f,0x5fa8000d,0x7f401fc8,0x55effcc2,0x04ffffdb,0x9579dfb1,
    0x32e03dfb,0x6dc40ccc,0x077002df,0x80ff76c4,0x886feee9,0xd301feed,
    0xfb80dfdd,0xfecaabde,0xdff987cd,0xff13febb,0x5403ff99,0xf0b6000f,
    0x00f75403,0xabcefd88,0x5401efdc,0xecaabdfe,0x7ff500df,0x0007a344,
    0x01fc43f3,0x2f3bf620,0x201efdca,0x1fc002f9,0x5e77ec40,0x881efdca,
    0xd301feed,0x7e40dfdd,0x43ffd404,0x7fd404fc,0x440f7447,0x807b82fd,
    0x0ffc5ff8,0x710bfd30,0x803fc801,0x0d9001f9,0x7edccc40,0x9803f984,
    0x300ffc1f,0x7ff10bfd,0x6c0ff4c0,0x3ee1feee,0x803fdbef,0x03f3005d,
    0x3f301b20,0xfc81b200,0x43ffd404,0xeafb80b8,0xa81ba20d,0x2e00500f,
    0x067dc00e,0x4c07ff10,0x3bf701fe,0x8807f540,0x746cdffd,0x6c364001,
    0x0ffe2006,0xf301fe98,0x403f8005,0x3a603ff8,0x007e601f,0x02fa8364,
    0x2fa8ff30,0xb10ff300,0x3dfd99df,0xdb00fe60,0x4017d4db,0x7c0005f9,
    0x001f9806,0x7fe400d9,0x00f704ff,0x200bea0c,0x00fd85f9,0x7cc01dd0,
    0x7b81bfb1,0xf3005e80,0x301b2003,0x41b2003f,0xff3002fa,0x0fff8800,
    0x1f503f98,0x32001f50,0x0fec401e,0xdd000fd8,0x1005f981,0xdb9880bf,
    0xf1000f46,0x2003f507,0x1dd000fd,0xf8005f30,0x8007ec03,0x03f300ee,
    0x17e21b20,0x2fc4fb00,0x7d41f600,0x404fffff,0x93fb02fb,0xc8017d4d,
    0x03dc0003,0x6c800fcc,0x7fedcc00,0x20005d82,0x879002fa,0x3e2002fa,
    0x3fabe604,0x9ff70003,0x4007e600,0x00fcc06c,0x05f886c8,0x64003ec0,
    0x541b204f,0x000fa80f,0xf50033ea,0x2002fa85,0x003744f8,0x34400fe6,
    0x0fa8007a,0x5f5009f0,0x4c27c400,0x01fc002f,0x7c4005f5,0x2003f304,
    0x001fa86c,0x003f524c,0x1cfb8498,0xf9017ee6,0x23fd735b,0x0007fc6c,
    0x807b8000,0x0d9001f9,0x743fd800,0x07fc0005,0x8005e800,0xfff300fb,
    0x9ff50003,0x00fcc003,0x0fcc06c8,0x1fa86c80,0x40024c00,0x07ea01fc,
    0x3bbbbbea,0x6c4000fe,0x3a3cc02f,0x30fb8005,0x0db0005f,0x003d1a20,
    0x00f9036c,0x1f7000bd,0x7c002f98,0x20017a03,0x01f980fb,0x00f90d90,
    0x0000f900,0x6e880bf2,0x67fff5c0,0xbfd31b61,0x2a000357,0xc9acccca,
    0x001f9807,0xf70000d9,0x20003647,0x01abdfe9,0xf30007f0,0x003be603,
    0x00037f20,0x364007e6,0x64007e60,0x00007c86,0xfb599730,0xfa82f880,
    0x0feeeeee,0x03dd3000,0x0007f16c,0x003ea3f3,0x34401ea0,0x17c4007a,
    0x3f805f30,0x4c1f9800,0x01fc002f,0x3f30007f,0x32003f30,0x80005d86,
    0xf880005d,0x802f9803,0x910bf018,0x3bdffffd,0xeffffb80,0x807ffffe,
    0x0d9001f9,0xfb9b6000,0x76440000,0x81deffff,0x7f0001f9,0x2000be60,
    0x260004f9,0x80d9001f,0x0d9001f9,0x540000bb,0xfffefffd,0xffffffff,
    0x80fa83ff,0x5c0000fa,0x3e65b04f,0x327f0001,0xffffffff,0xffffffff,
    0x0f468800,0x7400fb80,0x0007e605,0x00be61fc,0x07e607f0,0x7cc1fc00,
    0x9d0d9001,0x009d0000,0x6c00f500,0x0fe20004,0x3ff2e620,0x015dfb03,
    0x3e601f66,0x000d9001,0x2fc43ea0,0x2e620000,0x0fcc3ffc,0xf303f800,
    0x00f90003,0x9001f980,0x001f980d,0x0009d0d9,0x102bbf20,0x999999fb,
    0x1f505999,0x00001f50,0xd9513db1,0xf8000fcc,0x99999f93,0x99999999,
    0x8d100199,0x99fd001e,0xfd999999,0x0007e601,0x00be61fc,0x07e607f0,
    0x7cc1fc00,0xdb0d9001,0x00db0000,0x5c00bb00,0x07ee0007,0x322fd400,
    0x00f7002f,0x1b2003f3,0x2a3f8000,0x07ee00cf,0xf12fd400,0x05f10005,
    0x3a0007e6,0x0fcc0004,0x7cc06c80,0xdb0d9001,0x09f50000,0x50000fc8,
    0x0000a01f,0x417bff70,0xf88002f8,0x00001f52,0x00f46880,0x7fffffcc,
    0x03ffffff,0xf10005f1,0x2002f885,0x05f102f8,0xf305f100,0x2e1b2003,
    0x07b80007,0x2006d800,0xdf30007b,0x10fa8000,0x03dc007f,0x6c800fcc,
    0x85f10000,0xca9abefa,0x540004ff,0x20013e0f,0x03f300fa,0x80009d00,
    0x0d9001f9,0xd9001f98,0x90000f70,0x003f900f,0xd0003ea0,0x816e0003,
    0x0fa8004f,0x000007f1,0x400f4688,0x81b2006c,0x0fa8004f,0x3ee004d8,
    0x20013e01,0x01f980fa,0x07f30d90,0x003f9800,0xbb003dc0,0x883fa000,
    0x4be2001f,0x1ee001f9,0x6c007e60,0x1f500006,0xbffffb30,0x001f8815,
    0x00fc8be2,0x3f303740,0x200d9000,0x001f9868,0x01f980db,0x07f30db0,
    0xc807b800,0x1f50003f,0x0217c400,0xfc807c40,0x3a374000,0x44000006,
    0x27c00f46,0x3203f300,0x8374000f,0x01f6006b,0x6e8001f9,0x36003f30,
    0x4001fb06,0x003f65c8,0x07f35c88,0x90007f30,0x003f985f,0x01fcc7e6,
    0xf8807fb8,0x306fc803,0x402fc400,0x01fcc06d,0x2fc43f30,0x4c03f900,
    0x3fa8001f,0x7c40fa80,0x406fc803,0x6fc803f8,0x44001fb0,0x4c03f35c,
    0x40200fff,0x3e2000fa,0x7c400ec2,0x400bf100,0x02fc41fc,0x46880040,
    0x00fd401e,0x2fc413a0,0x2603f900,0x04f9803f,0xf9002fc4,0x200fe203,
    0x3df106fc,0x445ff500,0xffa801ef,0xf880bee2,0x1ff4c005,0x44017fcc,
    0x22037c6e,0xdd007ffd,0x437ff440,0x74401dfa,0x406c800f,0xe8802ff9,
    0x400dfa86,0x0fcc04fc,0x203fd800,0x06e80fd9,0x201bffa2,0x3ffa206e,
    0x003df106,0x07745ff5,0x827fffcc,0x00fa83fb,0x03b0be20,0xdfa80d70,
    0xb827e400,0xfd9800cf,0x0f468801,0x2e001b60,0x0037ea07,0x2fc809f9,
    0x5401be60,0x27e400df,0xfe881ba0,0x33fa606f,0xdfb73109,0x139fd305,
    0x0bbf6e62,0x64c277f6,0x889a80ef,0x301efcb9,0x98359fff,0x6fd41ffc,
    0x5ff9510b,0x540599f7,0xdf9512df,0xfa859f95,0xf9311acf,0x01b2003f,
    0x8359fff3,0xf501ffc9,0x7f54c37f,0x001f9803,0x779dfb10,0x2a09ffd9,
    0xdf9512df,0x54059f95,0xdf9512df,0xd3059f95,0x2e62139f,0x77c42efd,
    0x5dbdf512,0x9fd513df,0x88003ea0,0x2600ec2f,0xbffa801e,0x00ffaa61,
    0x22137ff5,0x003ffda9,0x2201e8d1,0x2f88003f,0x986ffea0,0xf9003fea,
    0x0ffdcc39,0x437ff500,0xa803fea9,0xdf9512df,0x64059f95,0xefffffff,
    0xffffc802,0x5402efff,0x04ffffff,0x37fffff6,0x2a3a200b,0xfffffffe,
    0xffff500c,0x3ee19fff,0x7fdc06ff,0x3f24ffff,0xffec886f,0x4004ffff,
    0x5474406c,0xfffffffe,0x7fec400c,0x301effff,0x99bf7555,0x50059999,
    0x05bdffdb,0xffffff70,0x2037fe49,0x4ffffffb,0xfc81bff2,0x2effffff,
    0x3ffffa60,0x3ffeeb55,0x6e5c41ef,0xcccccccf,0x42fccccc,0xeeeeeeed,
    0x362001ef,0x1effffff,0xffffb100,0xb807dfff,0xf73feeee,0x37261bdd,
    0x2602ccdf,0x02cefccc,0xffffffb1,0xffc8003d,0x000dffff,0xfffffd88,
    0x3ee001ef,0x324fffff,0x54c406ff,0x44001abc,0x001abca9,0x4004dd4c,
    0x40001ba8,0x00aacba9,0x00359750,0x06b2a600,0x35731000,0x00970001,
    0x15597530,0xabb98800,0x7fffec00,0xffffffff,0x30000006,0x00003595,
    0x00035953,0x1abca988,0x806ee600,0xff301ba8,0xffffffff,0x5fffffff,
    0xaaaaaaa8,0x2620000a,0x10000abb,0x00135953,0x42aaaaa6,0x3ee2aaa8,
    0x206fffff,0x5ffffffb,0x055dcc40,0x2aee2000,0xb9880000,0x530000ab,
    0x00000359,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01400053,0x0110004c,0x28803300,0x00044000,0x02980000,0x0014c000,
    0x00a200cc,0x30000000,0x0a600005,0x44019800,0xa8000001,0x0a000002,
    0x000002a0,0x00007620,0x0100005c,0x2b880008,0x00801000,0x00150050,
    0x02a20591,0x17bb6200,0xddd707b5,0x7ddddddd,0x00500310,0x00bff700,
    0x7c403f30,0xfffec803,0x09f7000d,0x71001be6,0x007dfffb,0xb8003e88,
    0x700004ff,0xfc8009ff,0x000df304,0x70003640,0xb80009ff,0xfb0004ff,
    0x0017ea07,0x40d65cc4,0x3e8804f9,0x203be200,0x75402fd8,0xe8000dff,
    0x3a20002f,0xfe8001ff,0x001ff883,0x2001ffe4,0x07fb05fb,0xd880ef88,
    0xffe9802f,0x02ffdabd,0x27fed880,0x7e40fff8,0xeeeeeeee,0x200fb84e,
    0x360001fa,0x000efbcf,0x03f9037c,0x655eff44,0xdf7002ff,0x00077dc1,
    0x9559dff7,0x0ffcc009,0xf79fb100,0x3620001d,0x000efbcf,0xefb837f2,
    0xfd880000,0xcfd88003,0x44000efb,0x00efbcfd,0x320dfc80,0x6c4000df,
    0x1effffff,0xff300df1,0x2fe98003,0xf900bfa6,0x003fb317,0x8003fd88,
    0x03feaefa,0x7cc27fc0,0x7ff4003f,0x83fec004,0xfe9805ff,0x000bfa62,
    0x15dfff91,0xe8f90000,0x0007c87f,0x07e813ea,0x4c5fd300,0x3ee002fe,
    0x5fda88bd,0x74417ec0,0x5ff3000f,0x6c4009fb,0x540000df,0x3a6000ef,
    0x00bfa62f,0x74c5fd30,0x3fea002f,0x00004fda,0x30005fd1,0x17f4c5fd,
    0x262fe980,0xfa8002fe,0x8003feae,0x2a21bfe9,0x400fdcfe,0x10000efa,
    0x03df59fb,0x06b80f98,0x4009fb00,0x37f20dfc,0x20195000,0x74c000bb,
    0x0e44001e,0xb1000ca8,0x003df59f,0x2b7ff6e2,0x900000fe,0x0f909b0f,
    0x8adfd800,0x8002feb8,0xfd881ef8,0x3ffee002,0x7cc04fff,0x8013e203,
    0x4002ffd8,0xb80003fe,0x3e2000df,0x02fd881e,0xb103df10,0x7f44005f,
    0xf300002f,0xdf10003f,0x805fb103,0xfd881ef8,0xffe98002,0x0efa8001,
    0x2017fe40,0x80000dfb,0xc800dffb,0x0003f105,0x3f2013f2,0x000df503,
    0x00000000,0xf7000000,0x7fc001bf,0x017a20ad,0x3e63e400,0x40007c81,
    0xffffffc8,0x002e0002,0xba880015,0x06e800ab,0x5c000fd8,0x00fe4001,
    0x0027d400,0x000a8028,0x0002a00a,0x4400002e,0x0a0000ef,0x00a002a0,
    0x0c80002a,0x001dd000,0x7d403ff5,0x1cc00005,0x16c05b00,0x30055000,
    0x00028803,0x00000000,0x73000000,0x44013000,0x7c80004e,0x007c81f4,
    0x15775100,0x00000000,0x1fcc0000,0x0001fcc0,0x0013e600,0x00001440,
    0x00000000,0x50000000,0x00000001,0x00000000,0x007ee000,0x881bb7e6,
    0x00000002,0x007e04c8,0x00000000,0x00002200,0x0000004c,0x00000000,
    0x22003f30,0x90047c80,0x0000000f,0x00000000,0x0fa80044,0x4400bf00,
    0x00374000,0x00000000,0x00220000,0x00004c00,0x22000000,0x01300000,
    0x10000000,0x1dd1009f,0x000005f5,0x2a000880,0x0000f507,0x40000000,
    0x2dffffeb,0x3ffb2200,0x44711dff,0x9100cccc,0x00007999,0x3372a200,
    0xb803f61b,0xf90beffe,0x0003e400,0xcc880000,0x999100cc,0x3fae0079,
    0x2e02dfff,0x701b6007,0x05bffffd,0x00002f88,0x99997000,0x99997009,
    0xffeda809,0x951003df,0x03dffffd,0x00022000,0xdffffeb8,0xfd951002,
    0x8803dfff,0x9100cccc,0x3ee07999,0x3a1fd800,0xa8000005,0x03dfffed,
    0x5f712dd8,0x33332e00,0x332e004c,0x54004ccc,0xecaabdfe,0x77dc00df,
    0xdfecaabd,0x3fbb627c,0xdfddd301,0x99999930,0x07999999,0x7f77ffe4,
    0x882f99ef,0xefcbbdfd,0x5f2007c8,0x01bdedb9,0x2666665c,0x3fbb6200,
    0xdfddd301,0xabdfea80,0xd80dfeca,0x541f2006,0xecaabdfe,0x00f500df,
    0x666664c0,0x3ccccccc,0x037bbfb2,0x1bdfdd90,0x579dfb10,0x5403dfb9,
    0xbaabceff,0x664c04fe,0xdffdb10c,0x3faa0019,0xdfecaabd,0x33bfea00,
    0x04febaab,0x407fbb62,0x906feee9,0xb85f700d,0xcccccb87,0x77ec4004,
    0x1efdcabc,0x17ff7e40,0xeeeed810,0x3bb6007f,0x2e007fee,0x3faa01df,
    0xa809f900,0x03f307ff,0x3bea1b20,0xeeeeeeee,0xcfe985fe,0x5ebfe980,
    0xde982fe8,0x3ff2007c,0x4ffedfff,0x3bbbbb20,0x07e60007,0xbf703640,
    0x207f5403,0x21ee005e,0x3aa01dfb,0xc986c80f,0x3bbea02b,0xeeeeeeee,
    0x0017c45f,0xff8817cc,0x407fa603,0x1fe400b8,0xf53fdd50,0x3ffd779d,
    0x201dfb80,0x17100fea,0x9803fc80,0x20d9001f,0x427cc05d,0x7776c0fa,
    0x3e2007fe,0x07fa603f,0x7ed40260,0x0007c805,0x5f9803e4,0xf50bf100,
    0x41fe6005,0x0d9001f9,0xee8801f5,0xb801ee80,0x00fd47ef,0x5c00fff1,
    0x6fb81bdf,0x8001f200,0x0d9001f9,0x7c4017e6,0xf5002745,0x8802fcc1,
    0x3f24d85f,0xa80effef,0x0774400f,0x7d400274,0x2001fb00,0x7c0000ee,
    0x4fdf9806,0x7cc0fd30,0x00bf1005,0xf300df00,0x7c1b2003,0x4c1be203,
    0x007c801f,0x774003f6,0x3f6a2000,0x0f9000be,0xd007c800,0x23f9800d,
    0x3ec005f8,0xd9001f98,0xfd801f50,0x2001fc81,0x017a0ffd,0x01001fee,
    0x32007f50,0x07e60007,0x06e83640,0x09d1fcc0,0x0dd07d40,0x9fc3f980,
    0x3faa0cfc,0x36007d41,0x360d901f,0xf506c80e,0x027c4005,0x2601ee00,
    0x17d403ff,0x7cc006e8,0x03dc0003,0x6c800fcc,0x3fa03f88,0x9005f100,
    0x00bea00f,0x54404f88,0x8000bdfd,0x3e40007c,0x40017cc0,0x0007ea6d,
    0x007e6093,0x20344364,0x03f881fd,0xf98ffc40,0x007f8801,0x200fb000,
    0x3e60007c,0xf30d9001,0x74db0005,0x4c3ea004,0x46d8002f,0xd101fcbe,
    0x7ec0688d,0xf303ea01,0x3a09d07f,0x00fb8005,0x2601ee00,0x30bf004f,
    0x0db0005f,0x9807b800,0x20d9001f,0x403f903f,0x07c801f9,0xf7000bd0,
    0xbdfdb881,0x03e40000,0x2a01f200,0x27a8000f,0x4c00007c,0x00d9001f,
    0x3ea05f90,0x72fc8000,0x003f400f,0x801f9800,0x3e60007c,0xf50d9001,
    0x74f50001,0x543ee005,0x47a8000f,0x7cc02fed,0x00bf2003,0x5efb83f3,
    0x007f03f8,0x55403f30,0x7c9acccc,0xb001f980,0x0001f50d,0xccaa80f5,
    0x807c9acc,0x0d9001f9,0x00fea17a,0x0f9001f5,0x26000fe0,0x15bfb31f,
    0x03e40000,0x3201f200,0xffffffff,0xffffffff,0x80000bb0,0x0d9001f9,
    0x2e03fb80,0x23f70007,0x01f6006c,0x017c4000,0xf30003e4,0x321b2003,
    0xffffffff,0xffffffff,0x3dc00db0,0xfffffff9,0xffffffff,0x802fdc1f,
    0x07f7005e,0xf7bd0fe0,0x7cc0fcc1,0x707f0001,0xffddffff,0x3f300fff,
    0x3f21b600,0xffffffff,0x0fffffff,0xeeffffb8,0x9807ffff,0x20d9001f,
    0x402fcc6c,0x00f9007c,0x3e0003f3,0x36e01533,0x3e4002df,0x201f2000,
    0xccccccfc,0xcccccccc,0x00009d0c,0xd9001f98,0x2027d400,0x1f50006c,
    0x07c801b2,0x00fe0000,0xf98001f2,0xf90d9001,0x99999999,0x19999999,
    0x26c801f2,0xccccccfc,0xcccccccc,0x4003ea0c,0x04fa806c,0x8af89760,
    0x7cc1ee3f,0xd87f0001,0xfb300aef,0x2003f300,0xcccfc86d,0xcccccccc,
    0x7ec0cccc,0x0fb300ae,0x32003f30,0x3a23f706,0x200bd006,0x01f9807c,
    0xfb007f00,0x400bf937,0x3e40007c,0x00007d40,0x2000036c,0x0d9001f9,
    0x2a017e60,0x27c8000f,0x01f6007b,0x017c4000,0xf30003e4,0x2a1b2003,
    0xfb80000f,0x7d4bb000,0x1f300000,0xf301f200,0x2e7b800b,0x106c9767,
    0x5f10005f,0x7b8017e4,0xb001f980,0x0001f50d,0x5c00bf20,0x001f9807,
    0xfdafc0d9,0x002fa800,0x05f100f9,0xb805f100,0x32007d06,0x03e40007,
    0x40001fc4,0x4c00007b,0x00d9001f,0x3e600bf1,0x2a6e8002,0x00ff000f,
    0x007ea000,0xf98001f2,0xf10d9001,0x5f500007,0x7c49f100,0x0be00003,
    0xbf1036c0,0x3a1f5000,0x02743ea5,0x1f50009f,0x7b800fe2,0xb001f980,
    0x0007f10d,0x5c007f10,0x001f9807,0x7efdc0d9,0x400bd002,0x009f007c,
    0x2f801f50,0x1f200d70,0x200f9000,0xf980006e,0x3e600003,0x880db001,
    0x17e000ee,0x7c49f100,0x007fa803,0x200f9000,0x3e60007c,0x3a0db001,
    0x0df00006,0x06e83f70,0x4017a000,0x01dd104e,0x5f15f100,0x017c5fc4,
    0x6e8001f9,0x7b8007e6,0xb001f980,0x0001ba0d,0x7b8007e6,0xb001f980,
    0x003ff80d,0x3e4003f9,0x4000fc80,0x103c406e,0x001f200f,0x3e200f90,
    0x7ec08005,0x21722000,0x6fc803f8,0x71007740,0xb1004fa8,0xe801f90d,
    0x00d9807f,0x32007f30,0x0fe20007,0x7c41bf20,0x7e408005,0x2217a201,
    0xa808005f,0x80fd402f,0x80e200ee,0x9ed87bce,0x017e200f,0x0fe61fc8,
    0x4c03fdc0,0x20db001f,0x208005f8,0xff7003f9,0x9007f100,0x77fcc0df,
    0x00ff6201,0x3e200f90,0x007f2005,0x803cc07e,0x3e40007c,0x0019f700,
    0x77c43fb3,0x02ffa801,0x7ff440dd,0x3007f606,0x404fc81f,0xdf882fe8,
    0x00fbf900,0xe9807ff1,0x001f2006,0x7f440dd0,0x033ee06f,0xf887f660,
    0x203fb00e,0xd9800cfb,0x100fe81f,0x007f60bf,0x3bb201f3,0x807cfa85,
    0x7e400dfa,0x6c406f84,0x1f9807ff,0x7dc0db00,0x1fd9800c,0xffb101be,
    0x881ba00f,0xdd106ffe,0x5cc37fd5,0x7c8002fe,0x0037ea00,0x136009f9,
    0x07c802ec,0x2003e400,0x3109bffa,0xd307ffb5,0x2e62139f,0x3ea02efd,
    0x5df9512d,0x1fc859f9,0xfc81fa80,0x3fae61be,0x42bbea03,0xccfc9fd9,
    0x2fbf6200,0x03df9311,0x20003e40,0xf9512dfa,0x2059f95d,0x3109bffa,
    0xf507ffb5,0x7fb5117d,0x09bffa80,0x07ffb531,0x5c46ffa2,0x01fc80ef,
    0xff701fa8,0x00bff105,0xa986ffea,0x7bf503fe,0x2bff2a21,0xf302ccfb,
    0x501b6003,0x262137ff,0x7d43ffda,0xff9510bd,0x40599f75,0xf9512dfa,
    0xd859f95d,0x3ffff21f,0x90000eff,0xbffa800f,0x00ffaa61,0xf710bf98,
    0x66665c41,0xcccccfec,0x9999711c,0x99999fd9,0x3ff62039,0x03efffff,
    0xffffffc8,0xff7002ef,0x7e49ffff,0x333bee6f,0xdccccccc,0xfffd301f,
    0x3001bfff,0x23dfffff,0xa804fffc,0x4ffffffd,0x99999710,0x999999fd,
    0x3ffee005,0x3ff24fff,0x3fff6206,0x403effff,0x2fffffe9,0xffffb100,
    0x1007dfff,0x1bffffd7,0x9999df70,0x3fb99999,0xfd81fe60,0x3ff62003,
    0x401effff,0xfffffffa,0x8dfff70c,0x01cdfdca,0x4059fd95,0xffffffd8,
    0x3fea03ef,0x70cfffff,0xfb80dfff,0x324fffff,0x20bea6ff,0x8009bb98,
    0xecccccb8,0x1ccccccf,0xfffffb10,0xd30003df,0xfa83dfbf,0xffffffff,
    0xf55fffff,0xffffffff,0x80bfffff,0x009aca98,0x55e54c40,0xaca98001,
    0x3fff6001,0xffffffff,0x5d4401ff,0xb980009b,0x4c00000b,0x7fd401bb,
    0xffffffff,0x2005ffff,0x0001aca9,0x09aca988,0x00dd4c00,0x9aca9880,
    0x15730000,0x7ffffec0,0xffffffff,0x00000001,0x00157731,0x001acba8,
    0x5fffffe8,0x0dffffb0,0x13595310,0x0d65d400,0xaca98000,0x000a2001,
    0xfffff500,0xffffffff,0xbb9880bf,0xa980000a,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05e65c40,0x01777640,0x00000000,0x70000022,
    0x30007ddd,0x200cc001,0x08010028,0xddd70000,0x01750007,0x40080100,
    0x99999998,0x99999999,0x01100199,0x40000000,0x0c000008,0x10066000,
    0x00880005,0x33002600,0x00110000,0x3bbbbba2,0x4eeeeeee,0x10004400,
    0x01800000,0x98000000,0x154400cd,0xfffb8000,0x76c02fff,0x000002fe,
    0xb5000b93,0x001bffff,0x09fdd900,0xffffd910,0x3f20e23b,0xd00df304,
    0x01ff105f,0x9fdd9000,0x05ffa800,0xfe81fec0,0x2aaaea01,0xaaaaaaaa,
    0x80caaaaa,0xefffeca8,0x665c1a8b,0x7edc40cc,0x7fecc02d,0x332e1cef,
    0xffd9102c,0x666417bf,0x504fc81c,0x6664c0df,0x9dffdb10,0x02fe8001,
    0x666409f7,0x3ffb2a1c,0x3be202ce,0xeeeeeeee,0x33225fee,0xfffdb30c,
    0x0fb7301b,0xdfd30000,0x000005bf,0x00bffe00,0x50000df5,0x0ff5c5bf,
    0x00017c40,0x0dfff950,0xaadffc80,0x00002ffc,0xbdf7013e,0x9bfd9557,
    0xb837f20f,0x7fc400ef,0x002ffa84,0x20027c00,0x7c007ffb,0x03ff885f,
    0x2a00006a,0x55effcc0,0x44ffffdb,0x2e1feeed,0x03fdbeff,0xd9559df9,
    0x0fbbf67f,0x2eaf7fee,0xdddf1ffd,0xb837f205,0x3baa00df,0xbbcefa9f,
    0x22001ffe,0x02fec4fd,0x7ecbfbb6,0x5fecaace,0x6c005f10,0x2a7fb665,
    0xffcabdff,0x01eefba1,0x439f3000,0x200000fa,0x1ffc8059,0x00037d40,
    0x00df037c,0x700005f1,0x0db59fff,0x44057ec0,0x2a2001fd,0xadfaaaaa,
    0x2027e40a,0x3ea07ffa,0x2004fdaf,0x007700ca,0x8009f000,0x4c002fd8,
    0x4019701c,0x0a80001a,0xfd300ffc,0xfd8fcc0b,0x7ec3dc0d,0x176fee04,
    0xb100dfc8,0x2a009f5f,0x004fdaef,0x4c13f7e6,0xefb8007e,0x22003fea,
    0x2e02febf,0x001f885f,0xfbf307f1,0x203fa209,0x0000007a,0xb8000136,
    0x500b7007,0xf98000df,0x1007ee03,0x9700005f,0xf7006c83,0x001fb009,
    0x3fffffea,0x3ea3ffff,0x80ff3002,0x0002ffe8,0xf0000000,0x00000009,
    0x001a8000,0x0bea0a80,0xf9817e60,0x2a003fea,0x5ffa802f,0x36009f30,
    0x3a2004ff,0x7cc002ff,0x017d403f,0x00f7f4c0,0x003ffe20,0x800217e2,
    0x3ff981fa,0x3d41fd40,0x9b000000,0x03dc0000,0x544017cc,0x07d40002,
    0xf8805f10,0x32000002,0x200dd006,0xf80002f8,0x4005f884,0x0017007d,
    0x00000000,0x0000027c,0x06a00000,0xfa82a000,0x4c079002,0x22001fff,
    0x17f6005f,0xfd100374,0x00190009,0x3e009f30,0x01910005,0x005ff100,
    0xb0000fdc,0x400fe60d,0x0007a85f,0x07654c00,0x00f70000,0x00000059,
    0x3e600fa8,0x8817c401,0x03640000,0x13e001e8,0x509f0040,0x0498003f,
    0x04400000,0x3e008000,0x00088004,0x54001300,0x40a80001,0x980000ff,
    0x7d4000ef,0x217e2001,0x7dc001f9,0x20000004,0x0db001f9,0xf1000000,
    0x007d000d,0x1f9827c0,0x0f50db00,0xf503a800,0x570003ff,0x00001ee0,
    0x07d40000,0x5f100fb0,0x6ffff64c,0x006c8002,0x220bd000,0x43dfffdb,
    0x0007c84f,0x2a000000,0x03dfffed,0x3fff6e20,0xb8027c3d,0x02dffffe,
    0xfffd9510,0x01a803df,0x74c0a800,0x8001abdf,0x7b8002f9,0xfb85f800,
    0x027cc000,0x3f300000,0x8001b600,0x4f880008,0x0005c800,0x07e603f3,
    0x03d436c0,0x405fd880,0xd3002fb9,0x7f665c5f,0xcccccccc,0x80000003,
    0x7f5c40fa,0xf72f8802,0x9fd9559d,0x0006c800,0xff307f00,0x1dfb757b,
    0x0017613e,0xcccccb80,0x77ec4004,0x1efdcabc,0x55effcc0,0x09f0efdb,
    0xaabdfea8,0x2a00dfec,0xbaabceff,0x006a04fe,0x32202a00,0x1deffffe,
    0x8001f980,0x85e8006d,0x09f0006c,0x1033332e,0x4c05bfb7,0x20db001f,
    0xdb10ccc9,0x20019dff,0x7b8003f8,0x4c0f9000,0x50db001f,0x7ff7000f,
    0x6403e400,0x3bb621ef,0xeeeeeefe,0x332e04ee,0x40004ccc,0x3fff20fa,
    0xf95f1004,0x0037dc07,0x900000d9,0x00df983f,0xd09f1dd3,0x76c00009,
    0x2007feee,0x3a603ff8,0x01bf301f,0x813e3ba6,0x3aa01dfb,0x8017100f,
    0x003503fc,0x31001500,0x9807ff97,0x07c8001f,0x07b85e80,0xdb04f880,
    0x7fdc3fdd,0xf303fdbe,0x541b6003,0xcefa9fee,0x801ffebb,0x7c8004f8,
    0x4c09d000,0x50db001f,0x6fec400f,0x80fc4000,0x7b804fe9,0x7776c000,
    0x540007fe,0x3fb2e20f,0x7ffc401e,0x004f9801,0x980000d9,0x8027cc4f,
    0x06d84ffd,0x03e40000,0x3a001fb0,0x8027cc0e,0xbf304ffd,0x0017e200,
    0x00d41be0,0x80005400,0x07e605fa,0x8003ea00,0x00fa85f8,0x4c027d40,
    0xb81bfb1f,0x2003f307,0x7efcc06d,0x100fd304,0x0bb000bf,0x4c05f300,
    0x50db001f,0x0bfee00f,0x6442e400,0x0f7001ef,0x00f90000,0x2a00fa80,
    0x3fe202fe,0x007f2004,0x980001b2,0x000ed86f,0x0f709ff1,0x07c80000,
    0x44005f50,0x80076c4f,0x0dd04ff8,0x0003f980,0x001a83dc,0x20000a80,
    0x03f300fa,0x4007f300,0x04f885fb,0x4c027ec0,0x8003feaf,0x0db001f9,
    0x5403ff98,0x07fc402f,0x0009f100,0x01f980f7,0x2e662db0,0xfe98199f,
    0x85ef400d,0x7fd41fb9,0x003dc003,0x0003e400,0x3f6003ea,0x000ff100,
    0x00d9009f,0x203be200,0x27dc002f,0x00001fcc,0x17a00f90,0x2f83ee00,
    0x4c27dc00,0x06d8002f,0x1a83dc00,0xf10a8000,0x817c4003,0xf90001f9,
    0x0bff1001,0x7d4007f2,0xfff9804f,0x03f30001,0x9f301b60,0xf1017e00,
    0x077400df,0x2602f400,0x36db001f,0x3eeeeeee,0x9d90bbf2,0x3bfffb50,
    0x36077ec4,0x001ee03e,0x0001f200,0xdd1001f5,0x20017e20,0x006c806d,
    0x980ef980,0x27cc000f,0x22000fd8,0x007c805c,0x3f30007f,0xf30003e6,
    0x0001f509,0xccaa80f5,0x507c9acc,0x21500003,0x3e6003f9,0x0003f301,
    0xe8803be2,0x07fa05ee,0x009fbf50,0x40001df3,0x0db001f9,0xdb001f98,
    0x0dfdf880,0x000bf620,0x3f300be2,0x9801b600,0x5dfb84fe,0x83ffa800,
    0x1ee04eeb,0x01f20000,0x2001f500,0x03f880fa,0x6c807b80,0x077cc000,
    0xf88007b8,0x003df104,0xf9005ff5,0x0003f300,0x4003dcfe,0xfffc84f8,
    0xffffffff,0xb80fffff,0xffeeffff,0x003507ff,0x3fe61500,0x206e8802,
    0x260001f9,0x3ee61bfe,0x3a205d8d,0xfb3109cf,0x3e6013e9,0x0fcc0002,
    0x7cc06d80,0x880db001,0x21bff9af,0x0003ffb9,0x1f9801f7,0x3200db00,
    0xcaf881ef,0x37f62005,0x04d9f980,0x200001ee,0x7d40007c,0x105f3000,
    0x0f70007f,0x4c000d90,0x01b200ef,0xfd3027c0,0x36e62139,0x0f9002ef,
    0x20003f30,0x2000d93f,0xcccfc84f,0xcccccccc,0x7ec0cccc,0x0fb300ae,
    0x2a00006a,0x359fff30,0x261ffc98,0xccdfbaaa,0x8802cccc,0x4ffffffd,
    0x3fee0176,0x3e3fffff,0x001f9804,0x39bfb950,0x0b3fb2a0,0x6d800fcc,
    0xfe897c40,0x00efffff,0xc9817600,0x6c00cdfd,0x01ff5406,0x5c0172bb,
    0x6d3a02ff,0x0001ee04,0x50001f20,0x427c001f,0x6c8004f8,0x50006c80,
    0x07a801df,0xc804f980,0xefffffff,0x403e4002,0xf88002f8,0xf3000f52,
    0x0001f509,0x5c00bf20,0x00003507,0x3aa3a215,0xcfffffff,0x7ffffec0,
    0x6fffffff,0x06eea200,0x5cc40176,0x804f80ac,0xfd0001f9,0x360bffff,
    0xf306ffff,0x101b6003,0x1577305f,0x03f88000,0x0ffffff2,0x3f620db0,
    0x643ee01e,0x06ff4c05,0x7026cd70,0xf900000f,0x00fa8000,0x1be213e0,
    0x32017a00,0x0dfa8006,0x4001f880,0x931004fa,0x2000357d,0x009f007c,
    0x07e21f50,0xf109f500,0x7f100007,0x1a83dc00,0x200a8000,0x00aaeca9,
    0x00000000,0xf0000176,0x003f3009,0x30000000,0x01b6003f,0x000005f1,
    0x00001f50,0x7ff10db0,0x1722f880,0x4c02efa8,0x7b81361f,0x07c80000,
    0x0e07d400,0x7fc41fcc,0x00bea002,0xbf5001b2,0x4005e800,0x2d4004fe,
    0x803e4000,0x374000fc,0x9fd0017a,0x20001ba0,0x1ee001f9,0x540000d4,
    0x0005a800,0x80000002,0x7c00004e,0x001f9804,0x98000000,0x80db001f,
    0x000002f8,0x000006d8,0x001930bd,0x2a05c8bb,0x4d89d004,0x00001ee0,
    0xf50001f2,0x7dc17c41,0x00fff881,0xd9005e88,0x002fdc00,0xfb8017dc,
    0x6fd4004f,0x01f20000,0xf9002fc4,0x7002fb83,0x17e209ff,0x03f98200,
    0x06a0ff70,0x2002a000,0xc8000dfa,0x4000005f,0x400002f8,0x01f9804f,
    0x1bf70000,0x001f9800,0x02f880db,0x03f80000,0x04f88000,0x2667ea00,
    0x40000dd9,0xdd9999fb,0x0001f500,0x40007c80,0x742ec0fa,0x1dd9f106,
    0x8007f440,0x09f7006c,0x2017e400,0x0004fbfb,0x3e400097,0x801bf500,
    0x05f904fc,0x204fbfb8,0xd9800cfb,0xb101be1f,0x006a0fff,0xb8002a00,
    0x07910004,0x07ec0000,0x013e0000,0x000007e6,0xf9800990,0x880db001,
    0x4000002f,0x800001f9,0x2e0002fb,0x5ffeeeee,0x77764000,0xf304ffee,
    0x00171007,0x971000f9,0x9fd439fb,0x665c2fd8,0x21bfe8af,0x2001efb9,
    0x03fc806c,0x37f21720,0x25fb5109,0x3600bcef,0x0004d89c,0xff5001f2,
    0x1ff54c37,0x44277f20,0x79df2fda,0x137ff501,0x0fff6a62,0x2a217bf5,
    0xccfbaffc,0x200006a2,0x2273600a,0x22e6004d,0x800002d8,0x00003fd8,
    0x1f9804f8,0x4dcc0000,0x7cc003d8,0x880db001,0x4000002f,0xa800006c,
    0x9000005f,0x6c00000b,0x8567e404,0x01ffdb98,0xf98007c8,0x3224ffff,
    0x7442ffff,0xffb12fff,0x201bffff,0xfeccccc9,0x3a2ccccc,0xccccccce,
    0x705ecccc,0x3dfffffd,0x3017fffc,0x88019fdb,0xfecccccb,0x01cccccc,
    0xffffffb1,0x3fae003d,0x3e1effff,0xfb102fff,0x7dffffff,0x7ffffd40,
    0xfff70cff,0x40000d4d,0x3fb6600a,0x3f62000c,0x3260004e,0x3ffdcccc,
    0xccc98000,0x530bcefc,0x999bf755,0x10005999,0x20019ffb,0x01cdfdca,
    0xb859fd95,0x2cccdfcc,0x01ec0000,0x3b332e00,0x000000df,0x400000b9,
    0xfffc804d,0x20ceffff,0xecccccb8,0x1ccccccf,0x0ab88000,0x26ee6000,
    0x7fffe400,0xffffffff,0x3fffffa6,0xffffffff,0x055d4405,0x54000000,
    0xffffffff,0x05ffffff,0x0055dcc4,0x00aba880,0xaca98800,0x32ea0009,
    0x66d4001a,0xcccccccc,0xdccccccc,0x00000000,0xffff7000,0x00001bdf,
    0x3fffffee,0xffffb2ff,0xffffffff,0x8000000d,0x05fffffe,0x44dffffb,
    0xfffffffe,0x00000006,0x6f7ffcc0,0xfb000002,0x80000dff,0x8805fffe,
    0x2a01acba,0xffffffff,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000004,0x00000000,0x17bbbbae,0x79731000,0xb8800013,
    0x40abccdc,0x79510198,0x80000001,0x000003d9,0x00019b50,0x17bbbbae,
    0x000b9800,0x8001dda8,0x25eeeeeb,0x4ccc1dc8,0x99880999,0x20999999,
    0x100cccc8,0x20079999,0x00001dda,0x002b2e62,0x00eeec85,0x00440000,
    0x40000000,0x51000008,0x00003597,0x08010000,0x2072e200,0x00007db9,
    0x40002cc0,0xfffffff8,0x3b202fff,0x2006feee,0xffffb159,0x20009fff,
    0xfffefffb,0x83ffee7f,0xefffffeb,0xffff8801,0x02ffffff,0x00003ffd,
    0x7feffcc0,0xc807d30b,0x006feeee,0x400dff30,0x0cffefe8,0x77640bd1,
    0x3fee6fee,0x3fffff64,0x3ffe22ff,0x27ffffff,0x301feed8,0x880dfddd,
    0x10cffefe,0x7ec400bb,0x82efffff,0xfddb10f9,0xc8000001,0xfffd0006,
    0x07ffffff,0x3ffffae0,0xffc8002d,0x0cffecde,0x3fffea00,0x00ffffff,
    0x27e41bea,0x17fffc40,0x000f77dd,0x0007b800,0x99999970,0xc8001799,
    0x3ebee006,0xf9510adf,0x6fdc003d,0x3104c40a,0x2fbf61f9,0x2003faa1,
    0xcccccccb,0x1ffb00bc,0x6ec00000,0xdfbff911,0x00d90001,0x801ffee0,
    0xbff712eb,0x6c8003ff,0xaa88ffea,0xa982abfd,0x1aaeeaaa,0x36003f30,
    0xb8975c06,0x001ffdff,0x5c437fd3,0x407d42fe,0x000000fa,0xcb800364,
    0xbccccccc,0x5eff5401,0x00dfecaa,0x3009ee98,0x2e2005fb,0xcccccccc,
    0x407fe403,0xffb806fe,0x00f505ff,0x007b8000,0x40000000,0x3fee006c,
    0x0ff4400d,0x80037c40,0x202feafa,0x000005f8,0x00000b70,0x00f76600,
    0x10006c80,0x100007fb,0x900019d9,0xf700f88d,0x300bb000,0x01b6003f,
    0x00676440,0x6c00efa8,0xaa8bf32f,0x2aaaabfc,0x01b20000,0xfb800000,
    0x03faa01d,0x2a003fb8,0x0000004f,0x0e4c0b22,0x27fffd40,0x000007a8,
    0x000003dc,0x01b20000,0x22005fb8,0x02f9806f,0x05fff500,0x00005f30,
    0x0002f880,0x00000000,0x00000364,0x90000000,0x1ee05d8d,0x26017600,
    0x00db001f,0x0ee80000,0x3ff7f900,0x7fffffdc,0x0003ffff,0x00000d90,
    0x4017e600,0x03f505f8,0x0007d100,0x00000000,0x5403bff6,0x5c000007,
    0x11000007,0x00d90000,0x2a000fdc,0x007d403f,0x001ffa80,0x0000013a,
    0x000000bb,0xd9000000,0x00000000,0xd9000011,0x0f7007d4,0xf300bb00,
    0x001b6003,0x3ee00026,0x0f7f4001,0x4ccfdcc4,0x20000199,0x1100006c,
    0x20037400,0x897c43f9,0x01cccccc,0x098003f3,0x80000000,0x003d4008,
    0xccb81910,0xccccccfe,0xdb5003cc,0x0007bfff,0x058801b2,0xfa80ff00,
    0x03f50000,0x33226c80,0x999100cc,0x44001079,0x99991000,0x33332201,
    0x00364003,0xeda80000,0x0003dfff,0x3dc008d9,0x4c02ec00,0x80db001f,
    0xffffeca8,0x04f8801e,0x5402fa80,0x0000880f,0x5c000d90,0x02dffffe,
    0x36000be6,0x2f262ec6,0xc81ec999,0x3fb2a206,0x0001efff,0x2a000000,
    0x1ff70007,0x77f776c4,0x4eeeeeee,0x5e77ec40,0x001efdca,0x00000364,
    0x33220fc8,0x50000fdc,0x27c8001f,0x301feed8,0x4c0dfddd,0xfdb10ccc,
    0x6c4019df,0xdd301fee,0x6c800dfd,0xccccc980,0x3ccccccc,0x579dfb10,
    0x8003dfb9,0x03dc006c,0x7cc02ec0,0x540db001,0xbaabceff,0x07dc04fe,
    0x5404e800,0xfffd930f,0x3640001b,0x5eff5400,0x80dfecaa,0x7a8000fa,
    0x20ae03e6,0xf505d058,0xd75579df,0x9997009f,0x00000999,0x362003d4,
    0x03dc00df,0x80ffe200,0x32001fe9,0x50000006,0x7776cc5f,0x1f50000f,
    0xf307b800,0xa81b2003,0xcefa9fee,0x801ffebb,0x0d9001f9,0x07226c80,
    0xddddddf5,0x10bfdddd,0x7f4c07ff,0x001b2001,0x0bb000f7,0x36003f30,
    0x9002e206,0x0036407f,0x8fa80b90,0xfcaacefb,0x0d90001f,0x201dfb80,
    0x7fe40fea,0xffffffff,0x70ffffff,0x0e40ae0b,0x005c4264,0xddb00ff2,
    0x0000ffdd,0xf7003d40,0x01ee005f,0x2001fb00,0x8d9000ee,0x3e000000,
    0x0003ea03,0x2e0007d4,0x2003f307,0xfdf9806c,0x300fd304,0x01b2003f,
    0x3ff91d90,0x74400fa8,0x000fd80e,0x1b2001dd,0xb000f700,0x003f300b,
    0x7c0001b6,0x80017a06,0x7efd407a,0x101dd103,0xfddddddb,0xbddddddf,
    0x8802fcc3,0x6667e45f,0xcccccccc,0x0990cccc,0x203a20ae,0x37c0005b,
    0x0003e400,0xd300f500,0x3dc001bf,0x005f5000,0x6c8027c4,0xddd917f6,
    0xdddddddd,0x9fdddddd,0x80007d40,0x3d4000fa,0xd9001f98,0x807ff300,
    0x0fcc02fa,0x64006c80,0xfa80cfff,0x540fec00,0x13e2002f,0x2e003640,
    0x805d8007,0x0db001f9,0xf81ee000,0x07e60003,0x5402ffa8,0xeeed883f,
    0xeeeffeee,0x1ba2deee,0x7d47f300,0x02e80000,0x303da857,0x07b8000f,
    0x54007c80,0x4cc41aaa,0xfc8199fb,0x07b8002e,0x20017a00,0x36c800fb,
    0x77f43fff,0xeeeeeeee,0xfeeeeeee,0x0003ea04,0x2e0007d4,0x2003f307,
    0x04f9806c,0x1f980bf0,0x4c00d900,0x1a200dfe,0x17a03fb0,0x2003ee00,
    0x03dc006c,0x7cc02ec0,0x000db001,0x1fc41ee0,0x405f1000,0x09f003fa,
    0x2600d900,0x26d8002f,0xf80003f8,0xdfddd701,0x0007c403,0xf9000f70,
    0x7fffc400,0x777776c2,0x29fd33ee,0x4c1cfeb8,0xeeefeeee,0x1fc01dee,
    0x400fcc00,0xbd1ffe6c,0x409f0000,0xf50000fa,0x307b8001,0x01b2003f,
    0x36c007e6,0x64007e60,0x6ffd8806,0x02fc8000,0x3e6000fe,0x4006c801,
    0x05d8007b,0xfd803f98,0x99955006,0x7c0f9359,0x07e60004,0xbb000fa8,
    0x200d9000,0x7a8000fa,0x6c000374,0x0f545702,0xcaa80f30,0x07c9accc,
    0x2e007c80,0x90005fff,0x42be63df,0x333223ea,0xccccccfe,0x0007e600,
    0x136401fc,0x0006c815,0x1f501fc4,0x003ea000,0x07e60f70,0x7cc03640,
    0x980db001,0x80d9001f,0x006cbffc,0xf301fdc0,0x00fe0003,0x0f7001b2,
    0xf300bb00,0x37ff440d,0x3bfffee0,0x207ffffe,0x1ea0005d,0x36001f50,
    0x006c8005,0xfffffff9,0xffffffff,0x002fc41f,0x0ae09904,0x416e01d1,
    0xfeeffffb,0xc8007fff,0x3fff6007,0x27f54000,0x403e60fa,0x3f30007b,
    0x200fe000,0x00fb806c,0xa807e600,0x1f50000f,0xf307b800,0x201b2003,
    0x0db001f9,0xd9001f98,0x6c867c40,0x013ea000,0x3e0003f3,0x4006c803,
    0x2ec0087b,0x896ffcc0,0xcfd9efca,0x00aefd82,0x03640fb3,0xfa80b900,
    0x000bb000,0x33f200d9,0xcccccccc,0x40cccccc,0xd9800cfb,0x0ae0b51f,
    0x6c264166,0xfb300aef,0x200f9000,0x2003fff8,0x0181efd8,0x003dc0be,
    0x88002f88,0x806c802f,0x2e0001f9,0x0007d407,0x5c000fa8,0x2003f306,
    0x01f9806c,0x1f980db0,0xc800d900,0x0bf30006,0x10005f10,0x00d9005f,
    0x202f87b8,0xecf9805d,0x364fffff,0x017e46ff,0x03ee07b8,0x2a01f400,
    0x00bb000f,0x3ea00d90,0x7d400000,0xb53109bf,0x407cc7ff,0xf885902b,
    0xb8017e42,0x007c8007,0x5400dff5,0xfa8003ff,0x4000f700,0x0fa8004f,
    0xdf006c80,0x017e2000,0x2a0001f5,0x8364000f,0x0d9001f9,0x36003f30,
    0x800fcc06,0x0364006c,0xf002fc40,0x01f50009,0x7b800d90,0x013a03f8,
    0x0d5cc7e6,0x4007f100,0x017e207b,0xf500bea0,0x00176001,0x1fc401b2,
    0x7ec40000,0x3effffff,0x66d44b90,0xd857440a,0x7001fc45,0x00f9000f,
    0x64007ff2,0xfa8000df,0x8001ee02,0x374000fc,0xf5006c80,0x01f90007,
    0x50000fa8,0x05d8001f,0x1b6003f3,0x6c007e60,0x800fcc06,0x0364006d,
    0x8003ba20,0x374000fc,0x5c006c80,0x0fe03f87,0x00007e60,0x3dc003f3,
    0xd0007ee0,0x001f500d,0x1b200176,0x00006e80,0x26b7ea20,0x5513e800,
    0x51530155,0x001f981f,0x1f2001ee,0x9002ffc0,0x07ea0005,0x20003f50,
    0x3f2005f8,0x400d9001,0x3ea001fc,0x000fa802,0x44001f50,0x007f102f,
    0x3f300df9,0xf101b600,0x00df9007,0x774006c8,0xbf10e200,0x800fe400,
    0x43dc006c,0x005f303f,0x980003f3,0x0ff7003f,0x32001dd0,0x00fa801f,
    0xd9000bb0,0x002fc400,0x004b8004,0x98002f98,0x003f982f,0xf9000ff7,
    0x001ff300,0x03d90000,0x71009f30,0x400dfa81,0x1b2004fc,0x9007fd00,
    0x03ea009f,0x0007d400,0x206e80d7,0x9806ffe8,0x00db001f,0x7ff440dd,
    0x00364006,0x0f9803fb,0x32006fd4,0x01b2004f,0x01fd0f70,0x07e600fb,
    0x101be000,0xf300fffb,0x27ec403d,0xb000fa80,0x0031000b,0x9800cfb8,
    0x01e801fd,0x0019f500,0x06f80ff2,0x003ffec4,0x16c403e4,0x36200000,
    0x33f2000e,0x3ff6e620,0x21bffa81,0x4003fea9,0xdfc8006c,0x0bfae61a,
    0x4000fa80,0x20acfda8,0x07f711b9,0x9512dfa8,0x059f95df,0x6d800fcc,
    0x512dfa80,0x59f95df9,0x6401b200,0x81fa801f,0x2a61bffa,0x364003fe,
    0x67ee64c0,0x31ee88bc,0x3e6007fb,0xdfa80001,0x5ff9510b,0x440599f7,
    0xd7309cfe,0x07d4007f,0x00005d80,0x26ffea00,0x7ffb5310,0x00a93200,
    0x206fb620,0x5401eea9,0xf9510bdf,0x0599f75f,0x00001f20,0x02f4c000,
    0xfffffc80,0x2200ceff,0xeffffffd,0x99997101,0x99999fd9,0x7ff4c039,
    0x400dffff,0xccfdccc9,0x7fd400cc,0x3fe61fff,0xf7005fff,0x649fffff,
    0xfdca86ff,0xfd9501cd,0xfffb8059,0x3ff24fff,0x33332e26,0xcccccfec,
    0x999df71c,0xfb999999,0x3fff6203,0x7101efff,0x9fd99999,0x32399999,
    0x1fffffff,0x07ffffd1,0x0000fcc0,0xffffffa8,0xdfff70cf,0xfffff900,
    0x326003bf,0x9700ccfd,0x65c479fd,0xcccccccc,0x00bccccc,0xffffffb1,
    0xd88007df,0xb8000eff,0xeffeeffe,0x3ffea003,0xf70cffff,0x665c4dff,
    0xcccfeccc,0x00001ccc,0x3207f500,0xacba8801,0xbb988001,0x7ffd400a,
    0xffffffff,0xa8805fff,0x3f6001bb,0xffffffff,0x75100002,0xca980037,
    0xffe8001a,0xffb05fff,0x95300dff,0x7fd40035,0xffffffff,0xffb5ffff,
    0xffffffff,0x98803fff,0x7d400abb,0xffffffff,0x005fffff,0x80017730,
    0x400000e8,0x0001acba,0x00d65cc0,0x3fffff60,0xffffe883,0xfffff31e,
    0xffffffff,0x98807fff,0x00009aca,0x98000044,0x540001aa,0x54001acb,
    0xffffffff,0x05ffffff,0xff900000,0x07ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04ccccc4,
    0x01999998,0x06b2ea20,0x5ddb0000,0x56665d40,0xbcb88000,0x4c400409,
    0x99999999,0x99510019,0x44000835,0x0aaccdcb,0x0b333322,0x0ccccca8,
    0x02bcb980,0x35995300,0x3bbb6208,0x00800000,0x77775c00,0xeed9805e,
    0x99880006,0x99998019,0x1ccb8800,0x99999880,0x99999999,0x26660999,
    0x00999999,0x26666620,0x02666601,0x40016e4c,0x99999998,0x54000099,
    0x988001dd,0x09999999,0x5c000000,0x32e00ccc,0x7fd403cc,0xfd87ffff,
    0x404fffff,0xfecdeffc,0x540000cf,0x7e443fef,0x3fffeeff,0xeffec880,
    0x03f14fff,0x7fffffd4,0x04ffffff,0xfffffd91,0x003f15df,0x3ffbffee,
    0xffb10fff,0x776409dd,0x3f200dff,0x02efffff,0xfdfffd30,0x6ccf53df,
    0x00000fee,0x3200035c,0x806feeee,0x0007eed9,0x37ffffc4,0x3fffff90,
    0x7f7ff4c0,0x3ffea03e,0xffffffff,0xf94fffff,0xffffffff,0x3ffe600f,
    0xfe86ffff,0x7ec2ffff,0x1f21dfee,0x7fffffd4,0x1dffffff,0x3fbfa200,
    0x40bb10cf,0xffffffff,0x6c02ceff,0xffffffff,0xfddb104f,0x3fbb6203,
    0xacfba806,0xfaaa881a,0x3dd300ad,0x00bf6601,0xf87f5e80,0x4fe981df,
    0x826ffea0,0x02fbefc9,0x6d555554,0x980aaabf,0x2e60acff,0xb802fefd,
    0x0cc40adf,0xf10007dc,0x0dff4407,0x9809fb51,0x7f4c0aef,0x00fa80fe,
    0x003dc000,0x20036400,0xb980007b,0x2a200aef,0x3e202cfd,0x07fb10be,
    0x2aaaafea,0xaaaaafda,0x555514fa,0x003555bf,0x555fe554,0x2dfea881,
    0xdff51fd4,0x655405ff,0xaaaaaabf,0xd7004fec,0x3f7fee25,0x3baa601f,
    0xecbaaaaa,0x3332605f,0x01cccccc,0xd9001f98,0x000be600,0x01fdc07f,
    0x70009f50,0x07f0fe3f,0xbf503f90,0x2ffd8801,0x300f7000,0xff3003df,
    0x006f8805,0x64009f10,0x007fe607,0x1be20bf9,0x2a03ff20,0x5c00000f,
    0x6c800007,0x0003dc00,0xf1003f70,0x201fb00b,0x201f506c,0xf813a06c,
    0x0fa80003,0x4004fc80,0x5001deb8,0x07f7001f,0x06764400,0xfb804e80,
    0x4000000e,0x0d9001f9,0xf000be60,0x0007ea07,0xf8800fa2,0x007f0fe4,
    0x00df117a,0x70002fe8,0x00fe880f,0xf300bee0,0x07dc0005,0xdd01fc40,
    0x20fee001,0x1fd000fb,0x00001f50,0x800007b8,0x03dc006c,0x201ba000,
    0x05f800fc,0x3201f500,0x3f813a06,0x00fa8000,0x00001fec,0x2001f500,
    0x000000fe,0xf9802740,0x4c000004,0x00d9001f,0x7f000be6,0xfb505f10,
    0x7cc535df,0x7c1f9001,0x7c8005c3,0x2a0017e4,0x0f70002f,0x44002fb8,
    0x007d402f,0x9009f100,0x00bea01f,0x06d81fb0,0x3ea03ee0,0x3dc00000,
    0x03640000,0x00001ee0,0x17d407f3,0x80017cc0,0x40d900fa,0x000fe04e,
    0x6c403ea0,0x0000002f,0xfa8007d4,0x00110002,0x7dc009d0,0x26000001,
    0x00d9001f,0x7f000be6,0x45d70bb0,0x03643ec9,0x00fe1fcc,0x17a0fa80,
    0x0007e200,0x017603dc,0x07d40040,0x803ee000,0x0bf103f8,0x5e87f300,
    0x7d412200,0x91000880,0x9999fd99,0x80099999,0x03dc006c,0x40fe4000,
    0x5f1005e8,0x403ea000,0xf813a06c,0x0fa80003,0x2001fe88,0x04cccccb,
    0x88007d40,0x0ccc983f,0x19dffdb1,0xd0013a00,0x9999970d,0x01f98009,
    0x3e600d90,0x261fc002,0x7b02c40f,0x86e805d0,0x9b20003f,0x000001f8,
    0x1fc07b80,0x99950000,0x999999fb,0x09f10099,0x1fa807e4,0x7c89b000,
    0x21f50000,0x0cefffd9,0x3fbbb620,0xeeeeeeee,0x01b2000d,0x99910f70,
    0x3a003999,0x2000fc86,0x1f50004f,0x04e81b20,0x2a0000fe,0x00f7440f,
    0x3bbbbb20,0x007d4007,0xeea81fa8,0xbbcefa9f,0x4e801ffe,0x320fd400,
    0x007eeeee,0x6c800fcc,0x8005f300,0x0dc2dc3f,0x40990530,0x003f81fa,
    0x07d47f10,0x5c000000,0x0007e607,0xfeeeeb80,0xdeeeeeee,0x880fb800,
    0x001ee04f,0x027cc6b8,0x7dc7d400,0x0efcaadf,0x0000f700,0x7b800d90,
    0xeeffed88,0x4c7f3002,0x036c003f,0x1b203880,0x00fe01a8,0xf983ea00,
    0xf900000e,0x800fa800,0x6fcc06e8,0x00fd304f,0x2f88009d,0x4c007c80,
    0x00d9001f,0x7f000be6,0x000584c8,0xf82fc0b7,0x0ff98003,0x000001b2,
    0x0f703dc0,0x0fa80000,0x84f88000,0x01b600fc,0x7dc0f980,0x3ea0002d,
    0x0fd103fd,0x00001ee0,0x0f7001b2,0x40003be6,0x000bd1fc,0x000001f5,
    0x1fc000d9,0xa87d4000,0x200000ef,0x07d4007c,0x801df510,0x7d403ff9,
    0x40027402,0x007c803f,0x6c800fcc,0x8005f300,0x1621743f,0xfc83cc00,
    0x4c007f00,0x036c0efc,0x7b800000,0x00001b20,0x00001f50,0x04f883ee,
    0xf1000274,0x9dffb305,0x3fea0035,0x4017dc02,0xc800007b,0x5c3dc006,
    0x220000df,0xa800fcee,0xeeefeeee,0x6c80004e,0x000fe000,0x3fee3ea0,
    0x3200004f,0x777d4007,0xefffeeee,0x004f9800,0x004e80bf,0x07c804e8,
    0xc800fcc0,0x005f3006,0x220fc3f8,0x81f10005,0x00fe04f8,0x6c0fff66,
    0x00000006,0x003640f7,0x003ea000,0xf727c400,0x0004f801,0xd95101fc,
    0x54019fff,0x04f8803f,0x800007b8,0x23dc006c,0x550004fc,0x55bff955,
    0xddb50155,0x09dddffd,0x000d9000,0x540001fc,0xefd8cfdf,0x07c80002,
    0x77777d40,0x04fffeee,0xdb001f98,0xe8004e80,0x4007c804,0x0db001f9,
    0xf000be60,0x00682d87,0x01fb0f30,0x17e401fc,0x40001b60,0x81ee0009,
    0xaaaa806c,0x2a01aaaa,0x2e00000f,0xe804f88f,0x0be20004,0x01df7300,
    0x2ec003ea,0x00003dc0,0x5ee00364,0x10003fd8,0xdffddddb,0x2003dddd,
    0xc800005d,0x00fe0006,0x50ffea00,0xc80003ff,0x007d4007,0x9807bea6,
    0x80db001f,0x04e8004e,0x3f8007c8,0x3006fc80,0x43f8005f,0x8000d84c,
    0x2017cc5b,0x807c803f,0x9d00007c,0xf903dc00,0xfffff980,0x3ea06fff,
    0x3e200000,0x6d800fbc,0x003e6000,0x5407f4c0,0x00bb000f,0x900000f7,
    0xe8fb800d,0xc800002f,0x03640006,0x00364000,0x0e2007f0,0x6d881fd4,
    0x003e4000,0x6c4003ea,0x003f301f,0x009d01b6,0x0f9007f0,0x7440d900,
    0x5f3006ff,0x2d43f800,0x32060254,0x1fc03744,0x7dc035c0,0x04e80000,
    0x0fa81ee0,0x54cccc40,0x007d403f,0x13fee000,0x70003dc0,0x2f88000d,
    0xbb000fa8,0x0000f700,0xfb800d90,0x00004fff,0x6c0006c8,0x6c800005,
    0x400fe000,0x00fa80fa,0xc80013e2,0x007d4007,0x0fcc0fe0,0x27406d80,
    0x2007e600,0xdf98007c,0x95df9512,0x2f88039f,0xf30be200,0x7b107701,
    0x3be22f88,0xeeeeeeee,0x00403eef,0x400017cc,0x81ee004e,0xf88001f9,
    0x0007d402,0x003fe200,0xd8000fd4,0x27400044,0x5d8007d4,0x00007b80,
    0x7dc006c8,0x0003fb8e,0x3f6aaaaa,0x000aaaaa,0x9000009d,0x01fc000d,
    0x0fa80fa8,0x8000fdc0,0x07d4007c,0x7cc1b200,0xe80db001,0x803dc004,
    0xff70007c,0x7e49ffff,0x004e804f,0x417207ee,0x83dcabdc,0x6666445d,
    0xefcccccc,0xdd00002c,0x009d0000,0x013e03e4,0xf500be20,0xf8800001,
    0x002f4004,0x00d91fcc,0x01f50db0,0x1ee01760,0x01b20000,0x03fb8f70,
    0xccccc880,0x1cccccfe,0x00007f00,0x7c000d90,0x501f5003,0x00bd001f,
    0xf5001f20,0x307b8001,0x01b6003f,0x2f44009d,0x20007c80,0xde81aca8,
    0x400d7001,0x980fa07d,0x001f500b,0x00001fc0,0x2a000fe6,0x2fc009d3,
    0x10007f20,0x00fa805f,0x007dc000,0xd000bea0,0x0007e41f,0x003ea13a,
    0x03dc02ec,0x00364000,0x00ff21ee,0x00036400,0x006003f5,0x3e0006c8,
    0x501f5003,0x01f7001f,0xa800f900,0x836c000f,0x0db001f9,0x3f6004e8,
    0x000f9001,0x0007cc00,0x9f3007f3,0x40017cc0,0x7c0002f9,0x20018803,
    0x3ee001fc,0x3ea00bd4,0x4006e802,0x07d402f8,0x013e0000,0xc80076c0,
    0x0027e42f,0x01f505f5,0x3ea01760,0x36400001,0x7e41ee00,0x06c80003,
    0x44017a00,0x00d9001f,0xfa801fc0,0x8800fa80,0x07c8003f,0x30007d40,
    0x007e607f,0x013a036c,0xf90027e4,0x2d400000,0x3017e400,0x19f500df,
    0x000ff200,0xffd00fe0,0x13f6003f,0xefb97f20,0x4017e600,0xf3002ef9,
    0x000fa805,0x0003ee00,0x32017fcc,0x03ffc85f,0x1f505f98,0x26017600,
    0x01b8805f,0x3dc006c8,0x80007f90,0x3f70006c,0xc801ee00,0x00fe0006,
    0x07d407d4,0xc8007d80,0x007d4007,0xf300efa8,0xd01b6003,0x05fda809,
    0x00003e40,0x03265f10,0xb9873f20,0xdb1001ff,0x3dd53037,0x80fe0000,
    0x005ffffa,0xb986fbf6,0xcfe983fe,0x01df7309,0x4d6fec40,0x07ff6a20,
    0x00001f50,0x220002fc,0xb730acfd,0x3efb209f,0x3f6620ae,0x001f500e,
    0x6fe40176,0xffb7310a,0x800d9005,0x017e407b,0x9fd99930,0xfd980599,
    0xcccccccf,0x7104fdcc,0x999fd999,0x99973039,0x999999df,0x221fb999,
    0x2ccdfdcb,0x88f37e60,0xfecccccb,0x12cccccc,0x9999fb97,0xbffb9999,
    0x337f72a0,0x59fd9501,0xcccefca8,0x03fffccc,0xd9999971,0x5999999f,
    0xffd70000,0x7ffe400b,0x8000dfff,0xffeeffeb,0x64c0003e,0x881cefcc,
    0x4003ffff,0xffffffea,0x3ff2201e,0x0004ffff,0x3fffffee,0xca80beff,
    0xccccfdcc,0x99701ccc,0x179bfb99,0x7ffe4000,0x2e02efff,0xfffffd34,
    0x372a07ff,0xcb881ccf,0x6400bcfe,0xffffffff,0x3332e20c,0xccccfecc,
    0xfb9711cc,0x667fe4c0,0x7fffec03,0x6c06ffff,0xffffffff,0x202effff,
    0xfffffffa,0xffb84fff,0xffffffff,0x0fffffff,0xfffffff3,0x0fffe80d,
    0xfffffff5,0xbfffffff,0x3fffffe6,0xceffffff,0x3ffffa01,0xffffb05f,
    0xfffffe8d,0x401cefff,0xfffffffa,0x5fffffff,0x00220000,0x0055dc40,
    0x01aa9800,0x3fff6000,0x97104fff,0x5d440005,0xbb98001b,0x3100000a,
    0xe8035795,0xffffffff,0xe884ffff,0xffffffff,0xb980002f,0x310001ac,
    0x74013597,0x984fffff,0x02ffffff,0x09acba88,0xffffff50,0xffffffff,
    0x81fffeab,0x0efffffc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x30099998,0x33103333,0x33333333,0x88133333,0x99999999,
    0x99999999,0x33333310,0x33333333,0x26620133,0x00099999,0x4cccccc4,
    0x00999999,0x4ccccccc,0x99999999,0x4cccc001,0x19999999,0x33333310,
    0x99880033,0x99998019,0x4ccccc40,0x26666200,0x99999809,0x20009999,
    0x98009998,0x26219999,0x99999999,0x13331000,0x81999800,0x99999999,
    0x26660009,0x00999999,0x26666660,0x80999999,0x10099998,0x4c401333,
    0x01999999,0x4cccccc0,0x4ccccc00,0x26666609,0x00009999,0x98800098,
    0x19999999,0x77774c00,0x7ffffc42,0x7fffe40f,0x3fffe64f,0xffffffff,
    0x7fc4ffff,0xffffffff,0x4fffffff,0xfffffff5,0xffffffff,0xffff109f,
    0x8009ffff,0xfffffffb,0x204fffff,0xfffffffb,0xffffffff,0x3fb6200f,
    0xffffffff,0x7d41ffff,0xffffffff,0x3e201bdf,0x3606ffff,0xf31fffff,
    0x03ffffff,0x3ffffffe,0x3fffff22,0x2007ffff,0x201fffff,0x5ffffffc,
    0xfffffff9,0xff100fff,0x7d400bff,0x3ff24fff,0x7fffffff,0xfffff900,
    0x2a8fffff,0xffffffd8,0x47ffffff,0x86ffffe8,0x82fffffa,0xfffffffa,
    0x201bdfff,0x6ffffffc,0x3fffff20,0xfffff96f,0x5dffffff,0xffd95100,
    0xf3003dff,0xffffffff,0x88019dff,0xc982ffff,0xaa881abf,0x65540aee,
    0xaaaaaabf,0x4c4faaaa,0xaaaadfba,0xfaaaaaaa,0x55557f54,0x55555fb5,
    0x2aa609f5,0x007ddfaa,0x55555fdc,0x04faaaaa,0x2aff2aa2,0xaaaaaadf,
    0xbff900fc,0x555bf559,0x503f9555,0x555559f7,0x4c07ffb7,0x2200aefb,
    0x74c2cfda,0x2601aaae,0x442fdaaa,0xaacfbaaa,0x2ea6001a,0x2aa206ff,
    0x5510adfa,0x355555dd,0x3f7f2600,0x5dddb001,0x7d555441,0x1001aaad,
    0x55bf5555,0x21ffdc35,0xfdaaaaa8,0x881aaaaa,0x5500abfc,0x7dd405dd,
    0xdbaaaaac,0xf95103ff,0x54403557,0x511adfaa,0x55555dd5,0x201bfb95,
    0xaabceffa,0xaa804feb,0xaaaaabfc,0x7c02ffcb,0x1f501fff,0xf501b600,
    0xf027c001,0xf54e8007,0x4e81b201,0x5f35f300,0x4007dc00,0x4d9001fb,
    0x203ea04e,0x409d04fd,0x05f101fa,0xfb809f90,0x205f8801,0x1760006c,
    0x0000fe20,0x400bf7e2,0x001b604f,0x013a7e60,0x4017abe6,0x3e00003f,
    0x00fff203,0x3ea00364,0x100db000,0x09f9005f,0x4c001fc4,0x201b602f,
    0x017105fa,0xf5003fc8,0x01fd8801,0x5403fffa,0x80db000f,0x13e000fa,
    0xa74003f8,0x40d900fa,0x74f9004e,0x003ee005,0x274009f3,0x207d409d,
    0x813a02fd,0x05f101fa,0xdd007ee0,0x5c01f900,0x013a0007,0x20000fe2,
    0x800fdaf8,0x001b604f,0x03ee7e60,0x4017ad90,0x3e00003f,0x8007d403,
    0x07d4006c,0xf8806d80,0x403f7002,0x07c8006d,0x3fa8036c,0x8037c000,
    0x0fd000fa,0xf503ffec,0x501b6001,0x027c001f,0x54e8007f,0xe81b201f,
    0x7dc9f004,0x801f7000,0x8be2006e,0x983ea04e,0x5027404f,0x00be203f,
    0x27cc06d8,0xfa807f30,0xd00aa880,0x007f1009,0x9f15f100,0x7ec09f00,
    0xacdeeeee,0x7c4fcc00,0x2f4fe203,0x00003f80,0x00b900fe,0xdc880364,
    0xccccccdf,0x02cfeccc,0x6d800be2,0xf0007e60,0x2006d809,0x3dc0006d,
    0x3000fa80,0x1bff203f,0xdb000fa8,0x2000fa80,0x000fe02d,0x6403ea7b,
    0x26013a06,0x400fe21f,0x07f200fb,0x13a0fa80,0x03f60fa8,0x07d409d0,
    0x26002f88,0x80fdc03f,0x81f9805e,0x07f03ffa,0x00007f10,0x007ee5f1,
    0x777ec09f,0x2fffeeee,0x03e47e60,0x4017a1f7,0x3e00003f,0x8007ea03,
    0xfff7006c,0xffffffff,0x01dfffff,0xf9800be2,0xa8013a03,0x0036c01f,
    0x5c0001f7,0x001f5007,0x5ffb81fc,0x6c003ea0,0x2807d406,0x1503f800,
    0xd900fa80,0x36402740,0x0598036c,0xdb000fea,0x88e204e8,0x204e803f,
    0x00be2038,0x0dd00d90,0x5f1001f9,0xf10dbf90,0x987f1005,0xd17c4001,
    0x3604f80b,0x81fec406,0x205f11f9,0x7c017a4e,0x7f000103,0x32000c40,
    0x007d4006,0x2f8806d8,0xf7036400,0x201b6001,0x03ee006d,0xaccccaa8,
    0x1f5007c9,0x5407e600,0x03ea04ff,0x3ea036c0,0x4000fa80,0x3005f03f,
    0x01303640,0x1fa83f88,0x02fc4000,0x893a27c0,0x2007e605,0x8801624e,
    0x07d4002f,0x3f98fe60,0x33e0fe00,0x00fcc0fb,0x5fd89fc4,0xf517c400,
    0xdb027c05,0x2607f200,0x3ea1b61f,0x1fc017a1,0xf00077e4,0x6c800007,
    0x8007d400,0x02f8806d,0xf8807d40,0x803f8802,0x41b6006d,0xfeeffffb,
    0xf5007fff,0x981b6001,0x03ea03ff,0x3ea036c0,0x4000fa80,0x003f883f,
    0x20003640,0x009f00fa,0x4000fd80,0xf52741f9,0x2003ea01,0x4003ea4e,
    0x7cc002f8,0xdd1fc801,0x7cc3f800,0x07d42f8a,0x7fddfc40,0x42f88003,
    0xd813e06d,0x2617a006,0xbd07e61f,0x87f005e8,0x2002fff8,0x6400003f,
    0x007d4006,0x2f8806d8,0xb00fcc00,0x001f700d,0x0fea00db,0x4c02bbf6,
    0x01f5007d,0x2202fe88,0x3bea01ff,0xeeeeeeee,0x77d406fe,0x00feeeee,
    0x777777c0,0x266003fe,0x999ed999,0x81b60019,0x3ee0007c,0xe87b8002,
    0x900feeef,0x3bbfa00f,0x3bb200fe,0xeeeeeefe,0x2005f102,0x4001fcee,
    0x4e87dc4e,0xff8803dc,0xf10000cf,0x9f03f985,0xf70036c0,0x25e83f30,
    0x802f42f9,0x00ffe83f,0x00000fe0,0xefa800d9,0xeeeeeeee,0xddd906fe,
    0x5ddddddf,0xfa80be20,0xd8027401,0xc85fb806,0x00f7002f,0x32a603ea,
    0x07d803ff,0x777777d4,0x06feeeee,0x777777d4,0x77c000fe,0x03feeeee,
    0xffffffb0,0x0fffffff,0x7cc05f10,0x04f98002,0xdfd0bb00,0x1b201fdd,
    0x7f777f40,0x3fbbb600,0x03eeeeee,0x3e6005f1,0x45d8003f,0x0f91f26d,
    0x003dfb30,0xfc82f880,0x1b604f80,0x7cc0fa80,0x86c87d41,0x207f005e,
    0x01fc000a,0x001b2000,0xddddddf5,0x20dfdddd,0xeeefeeed,0x5f103eee,
    0x3e604f80,0x333db001,0x1bfd9533,0x2e003f88,0xffff5007,0x019fffff,
    0x007d4000,0x07d406d8,0x3e0007d4,0x1003f883,0x5fb55555,0x70015555,
    0x005e801f,0x3e0006e8,0x03ea4e83,0x24e803dc,0x5f1000fa,0x002f8800,
    0x364001f6,0x321fa8fe,0x3fff2206,0x2f880003,0x04f85f88,0x86d801b6,
    0xf8cf81f9,0x7f005e83,0x01fc0000,0x001b2000,0x1b6001f5,0x1000be20,
    0x207c805f,0x3ff6006c,0x1effffff,0x5c003f30,0x999f5007,0x000bfd99,
    0x2001f500,0x407d406d,0x1fc000fa,0x640002f8,0x33fa0006,0xeccccccc,
    0x07f2000f,0x666fd400,0x81224fcc,0x24e800fa,0x0be20058,0x4001f500,
    0x4f70007c,0xbb1fc1fa,0x3e33fee0,0x22071003,0xf85f502f,0x4401b604,
    0xb81f984f,0x05e80fcf,0x0e2007f0,0x0e2007f0,0xf5001b20,0x201b6001,
    0x7d4002f8,0x4417cc00,0x2bb6003f,0x9801aaaa,0x0ff7003f,0x7ec03ea0,
    0x7d400005,0xa80db000,0xf000500f,0x00002a07,0x3e6000d9,0xffffffff,
    0xf5003fff,0xf901c807,0x09fddddd,0x7400fcc0,0x0be20004,0xc800d900,
    0x21f50007,0x13a5d87c,0x1fc437ea,0xf880fa80,0x09f1ba02,0x7f4c036c,
    0xf881f980,0x200bd04f,0x01f5003f,0x0fa801fc,0x2a003640,0x00db000f,
    0x6c8005f1,0x1f70bd00,0x00036c00,0xffb101be,0x803ea00f,0x2e000efb,
    0x000fa80f,0x00fa80db,0x03f80f40,0x01b20000,0xd9003640,0xf00bf100,
    0x27413a07,0xd007f100,0x17c40009,0x90017600,0x47e6000f,0x7f0fb85e,
    0x007f1060,0x0be203ea,0x813e3f98,0x3fee606d,0x2e03f301,0x200bd00c,
    0x01f5003f,0x0fa801fc,0x2a003640,0x00db000f,0x5d8005f1,0x5e81f700,
    0x00036c00,0x5442f7ea,0xccfbaffc,0x3003ea02,0x13f2009f,0x6d8007d4,
    0x10007d40,0x000fe05f,0x0006c800,0x0fcc009f,0x3e003f60,0x9d02f883,
    0x03f26b80,0x05a809d0,0x7cc005f1,0x003e4003,0x83f89f88,0x002f8af9,
    0x3ea007f1,0x6402f880,0x7ec09f0f,0xfffeeeee,0x007e600c,0x3f802f40,
    0x7c01f500,0x801f5003,0x07d4006c,0xf8806d80,0x00fe6002,0x05f31fc4,
    0x80006d80,0xfffffffa,0x0dfff70c,0x7dc007d4,0x501fec02,0x01b6001f,
    0x7c4001f5,0x00007f02,0x54003640,0x0274001f,0x0fe005f7,0x027403ea,
    0x405f89f2,0x883e404e,0x1dd1002f,0x0007c800,0x7403eebe,0xf1001f9c,
    0x203ea007,0xa7c402f8,0x333f604f,0x800acccc,0xbd0001f9,0x5400fe00,
    0x400fe00f,0x036400fa,0x6c003ea0,0x002f8806,0x64001dd1,0x36001f26,
    0x2ea00006,0x05f101ac,0xfb000fa8,0x805fb101,0x0db000fa,0x22000fa8,
    0x0007f02f,0x40036400,0x07b8006d,0x1fc009f1,0x809d036c,0xd027d47c,
    0xf107c809,0x00bfa005,0xf8001f20,0x27b206db,0x07f1000f,0x3e203ea0,
    0x4f9fb802,0x20001b60,0xbd0001f9,0x5400fe00,0x400fe00f,0x036400fa,
    0x6c003ea0,0x002f8806,0xf98005fd,0xdb0009f1,0x70000000,0x001f5009,
    0x07fa13e2,0x6c003ea0,0x0007d406,0x00fe05f1,0x006c8000,0x44001fc4,
    0x000ee82f,0xe80fe0fe,0x7dc3e404,0x6404e81e,0x4405f107,0x90002fea,
    0x7e74000f,0x01f3ea04,0xf5003f88,0x2005f101,0x1b604fee,0x007e6000,
    0x3f802f40,0x7c01f500,0x801f5003,0x07d4006c,0xf8806d80,0x0bfaa202,
    0x0fd67400,0x00036c00,0x4025c000,0x3f2000fa,0x32a00541,0xc983cdfd,
    0x710bcfec,0x99999fb9,0xf9999999,0x66fe6545,0x8001cccc,0xccfecccb,
    0xfdc980cc,0x32602ccd,0xf12cefcc,0x9999999b,0x267f9999,0x3263dfcb,
    0xcccccefc,0xfd307ecc,0x99df99bf,0x8fd99999,0xcccdfcb8,0x01fffdcc,
    0xfd999710,0x20039999,0x3e202ffd,0x3332607f,0xcccccdfc,0x20fdcccc,
    0x3ccdfcb8,0x9313fe60,0x99999fd9,0xbfb71005,0x65c40599,0x2e62cefc,
    0xcccefccc,0xfdcccccc,0xdf999730,0x99999999,0x33261fb9,0xcccfeccc,
    0x7ee4c2cc,0xecc882cd,0xfcb883cf,0xfdcccccd,0x2e0001ff,0x326006ef,
    0xcccccfec,0x22000002,0x9713ebcf,0x005999fb,0x740059dd,0x40ffffff,
    0x2ffffffb,0xfffffff3,0xffffffff,0x7fff45ff,0x03ffffff,0x7ffffcc0,
    0xb82fffff,0x06ffffff,0x3fffffee,0xffffff15,0xffffffff,0x3ffffee7,
    0xffffff90,0x0fffffff,0xffffdca8,0xffffffff,0x7ffffcc7,0x01bdffff,
    0x7ffffd40,0x005fffff,0xdfb00ff9,0x7ffffdc0,0xffffffff,0x3e60ffff,
    0x00ffffff,0xfff713f2,0x0dffffff,0xffffff50,0x7fffdc0d,0x3ffee5ff,
    0xffffffff,0x70ffffff,0xffffffff,0xffffffff,0x3ffff21f,0xffffffff,
    0x7ffffe46,0xfffffa85,0x7fffcc1f,0x1bdfffff,0x3ff88000,0x3fffee00,
    0x006fffff,0x165c4000,0xfffffff3,0x0bff500b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00333310,0x88013333,0x000002ba,0x80254000,
    0x000000cd,0x1026cc00,0x00011001,0x22000022,0x01100000,0x00026000,
    0x4c000000,0x00880000,0x88010008,0x10000000,0x80666644,0x003cccc8,
    0x00010044,0x00000220,0x33332e00,0xccccb804,0x20c000c4,0x23cccccb,
    0x20ccccca,0x2ccccccb,0xcccccc98,0x33333264,0x3ccccccc,0x7c402a80,
    0x3606ffff,0x301fffff,0x09fffffd,0x7d403100,0x200d9000,0x00003ffa,
    0x1ffc8800,0x81dffe98,0x401effc9,0xefffeca8,0x6d401a8b,0x003dfffe,
    0x6fffff5c,0xfd951002,0x0003dfff,0x88001fe8,0x1dffffec,0xfeda8071,
    0x06983dff,0x87dffd71,0x700dffd9,0x65c01999,0x221f13cc,0xd301feed,
    0x9930dfdd,0x3bffb319,0x805fff54,0xdb10ccc9,0xb8019dff,0x5c40cccc,
    0x7f642dfd,0x76400dee,0x9f10defe,0x25f70310,0x4eefeed8,0x8bbbffae,
    0x3eeefeec,0xeffeeea8,0x3bbbbea5,0x5feeeeee,0xc9805d80,0x2a200adf,
    0xdf302dfc,0x001bb317,0x3bfffb6a,0xc8017ea3,0x3ff22006,0x70000002,
    0xdf5019ff,0x7c45fb57,0x301ffcbf,0xfb757bff,0x36209fff,0xfdcabcef,
    0x6ff5401e,0x0dfecaab,0x2f3bfea0,0x004febaa,0x8007ff30,0xcaabdefb,
    0xb107cdfe,0xfb9579df,0x2607dc3d,0x3febbdff,0x3ff99ff1,0x01feed88,
    0x2adfddb1,0x001f980f,0x9fdd50d9,0x71df77df,0x20bf97df,0xefa9feea,
    0x01ffebbc,0xb87fbbb6,0x43fdbeff,0xf98002f8,0xfc8cfb82,0x5fb8dfff,
    0xfd103f30,0x003f8803,0x03ea0be6,0xd001dd10,0x007ec00b,0x3f603744,
    0xdfb10000,0x9ffb7579,0x06c800bf,0x01efd980,0x9fd50000,0x903be201,
    0xe8837a1f,0x4c03ff07,0x3ff885fe,0x5c07fa60,0x3faa01df,0xc8017100,
    0x1970003f,0x2027e400,0xff887ffa,0x6cbfa603,0xfb80b886,0x1ba20dea,
    0xd9001f98,0x07e60bd7,0xff503640,0x27ffc41d,0xdf9803ea,0x00fd304f,
    0x06fec7e6,0x0013a1ee,0x7fdc03ea,0xfffcaacf,0xf307e605,0x01f2001d,
    0x01f506d8,0xbd001fd8,0x40374400,0x027c00fd,0x202ff980,0xc8006fe9,
    0x3faa0006,0xd300000d,0x0fc803bf,0x301f7bd0,0x802fa87f,0x00fd85f9,
    0x5f981dd0,0x000bf100,0x00000df0,0x4c00bea0,0x000fd87f,0x8007fbfd,
    0xf980fff8,0x2003f303,0xf300cefc,0xa81b2003,0x05fd80ef,0x1ffcc07f,
    0x2600bea0,0x4003feaf,0x901db06c,0x881ef80d,0x87e600fd,0x26000dfb,
    0x03f8802f,0x81fd80d1,0x0110bd00,0x2fb813e6,0xd0004f80,0xfffa801d,
    0x00364001,0x0067fdc0,0x02efd880,0x3ea04f88,0xf51f204f,0xf50f2005,
    0x227c4005,0x1fcc006e,0x001ee000,0x017e2000,0x02fa8fb0,0x000ffe20,
    0x0d9027e4,0x364007e6,0xc800fcc0,0x6407ea06,0xf9817a07,0x300bf004,
    0x50003fff,0x83ff981f,0x807e604e,0x47e603e8,0xdb0004fc,0x0001f900,
    0x6ff40bf2,0x36a2bd0a,0x20fee06f,0x0db004f9,0xa803f900,0x4006e8df,
    0x9100006c,0x644007ff,0x3e6003ff,0x500ffc00,0x000ff83f,0xf7000bd0,
    0x2000be61,0x3dc0006d,0x7d400000,0x3a24c001,0x00fb8005,0x5403f900,
    0x001f981f,0x03f300d9,0x1fa81b20,0x02f40f90,0x1b6003f3,0x0003be60,
    0x3bee0fcc,0x17203f85,0x9f981ae0,0x2a0004fd,0x0027c01f,0x32603fb8,
    0xfdefdffe,0x7e400cef,0x9801be21,0x027c002f,0x17cc3be6,0x0000d900,
    0x402efc88,0x4000cffb,0x407e807b,0x6ff4c2f8,0x07f001ab,0x3ea3f300,
    0x407a8000,0x9accccaa,0x8000007c,0x7f00007c,0x003f3000,0x0fb59973,
    0x1f982f88,0xf300d900,0xa81b2003,0x740f901f,0x4007e605,0x02f9806d,
    0x37a1fc00,0x807e60fb,0x00f9803e,0x05fffff3,0xf702f400,0x09f50001,
    0x77ff64c0,0x8774001b,0x364000fd,0x4c03f300,0x2a27c0ef,0xfdaaaaaa,
    0x0aaaaaaa,0x3dfb3000,0x000dfea8,0xffb00f90,0xffffffff,0xfffd9107,
    0x3f303bdf,0x7e4fe000,0xffffffff,0x0fffffff,0xeeffffb8,0x2a07ffff,
    0xaaaaaaaa,0x0aaaaaaa,0xf30000bb,0x40fe0003,0xffefffda,0xffffffff,
    0x1f983fff,0xf300d900,0xa81b2003,0x740f901f,0x4007e605,0x01f9806d,
    0x5f12ec00,0x203dc7f1,0x00f9803f,0x9fd13df3,0x403ee000,0x5f98005e,
    0x09ff9000,0x3f37e200,0x03fc8002,0x3e601f50,0x3e65d80e,0xffffffff,
    0x3fffffff,0x97fec000,0x40004ffb,0xccfc806c,0x2ccccccc,0xffcb9880,
    0x8000fcc3,0x9999f93f,0x99999999,0xefd81999,0x20fb300a,0xfffffff9,
    0xffffffff,0x00009d3f,0x3e0003f3,0x40aefc83,0xcccccfd8,0xf982cccc,
    0x300d9001,0x81b2003f,0x40f901fa,0x007e605e,0x0fcc036c,0x7b9ee000,
    0x6406c976,0x2606b805,0x0077e41f,0x0fcc27c0,0x0017e200,0x00fe5fd4,
    0x003ffa80,0x407f7f4c,0x7cc1ee2a,0x988db00e,0x9ed99999,0x00099999,
    0x3037faa0,0x20003bfd,0x00fd807b,0x97ea0000,0xf88002f8,0x00001f52,
    0x3dc00bf2,0x33333310,0x33333333,0x400036c3,0xf88002f8,0x32027d42,
    0x3f30000f,0x2601b200,0x40d9001f,0x40f901fa,0x007e605e,0x0fcc036c,
    0x743ea000,0x02743ea5,0x3f8807e6,0x3ea07e60,0x40fc8005,0x7744006d,
    0x25f88000,0xf88000fe,0x37ea002f,0x2ff98bd0,0x0ef983f5,0x6c8013a0,
    0x7ecc0000,0x67f5401e,0x007d4000,0x00000bfa,0x027c1f50,0x3f887d40,
    0x03f88000,0x00001ee0,0x40001ee0,0x0fa8004f,0x0fe403e4,0x001f9800,
    0x03f300d9,0x1fa81b60,0x02f40f90,0x1b6003f3,0x00007e60,0x445f15f1,
    0xe802f8bf,0x00fd881e,0x17e407e6,0xf88fe200,0x00774003,0x883fa071,
    0xefe8005f,0xa8db000f,0xf887f22f,0x8803be63,0x01b2003f,0x177e4400,
    0x00ffee00,0x3e202f88,0x07e2004f,0x3f22f880,0x3a374000,0x1f980006,
    0x0001ee00,0x000fe600,0xd0003f20,0xf900f70d,0x07e60007,0x7c4036c0,
    0x206fc803,0x40f901fa,0x007e605e,0x0fcc036c,0x3de74000,0x2007cf6c,
    0xcabcfffb,0x3e604fff,0x000df101,0x2003e4db,0x07cc01fd,0x0bea0bee,
    0x6f89fc80,0x1fb07f00,0x223ba13e,0x07e400ef,0x0000d900,0x40007ff7,
    0x9002ffc8,0x07e7640d,0x001fcc10,0x02fc43f3,0x5f883f90,0x0fe60800,
    0x0003fdc0,0x000fd800,0x05f89722,0x3e607f20,0x03ffe601,0x007f1008,
    0x1ba00df9,0x206ffe88,0x40f901fa,0x007e605e,0x0fcc036c,0x2f764000,
    0x2e03e7d4,0x5bffb55f,0x3e609f71,0x000fee01,0x8013e5f3,0x1fa801fc,
    0x0015014c,0x04f98fea,0x67c40fd4,0xedf981fa,0x01fd400e,0xa8001b20,
    0x00000cff,0x8805dfb3,0xe89fa83f,0x3e67f705,0x86e8802f,0x7e400dfa,
    0x0019f704,0x037c3fb3,0x001fff62,0x0f7c4000,0x2a17fd40,0x27e400df,
    0xff301dd0,0x0fee09ff,0xffd10374,0x4b7ea00d,0xfcaefca8,0x901fa82c,
    0xf302f40f,0x201b6003,0xb80001f9,0x5ff882ff,0x40417e20,0x3f72a2fb,
    0xcef882cd,0x3f7ba003,0x99df7000,0xb9999999,0x2000003f,0x02fb85f8,
    0x77dc0be6,0x007ff205,0xd9000bf7,0x3bfd5000,0x3a600000,0x33ee01df,
    0x3e63fb88,0x4cbfd30c,0x4c1acfff,0xff501ffc,0x1ff54c37,0x426ffea0,
    0x43ffda98,0x9510bdfa,0x599f75ff,0x0006ec00,0x22139fd3,0x502efdb9,
    0x754c37ff,0x977c403f,0xfaedefa8,0x04fea89e,0x6544b7ea,0x01cfcaef,
    0xffffffb8,0xb89bff24,0x7e40bdfd,0x22cee83c,0x01cdfdca,0x4c59fd95,
    0xccdfbaaa,0x3002cccc,0x01fec0ff,0xe886000a,0x706fffff,0x2a003fff,
    0x3f6005ff,0xffffffff,0x0001ffff,0x3601dd00,0x40df101f,0xffd102fe,
    0x7ed4437f,0x06c8000d,0x007bf660,0x7fd40000,0xffff700c,0xdffff709,
    0xfea8e885,0x0cffffff,0x7fffec40,0xb1001eff,0xdfffffff,0x7fffd407,
    0xff70cfff,0x3fe600df,0xfffc8003,0x802effff,0xffffffd8,0xffd3001e,
    0x7dd6abff,0xb801efff,0x24ffffff,0x53005ffc,0x7d400359,0x7e42ffff,
    0x2fff40ff,0x0bfffffd,0xd9bffff6,0xffffffff,0x0006ffff,0x00000000,
    0x00000000,0x00000000,0x201fd800,0x3f900ee8,0xd107ff30,0xffffb11f,
    0x40005fff,0x5ff7006c,0x20000000,0x77102ffb,0x000ba801,0x02ab2ea6,
    0x15773100,0x32a62000,0x2ea0009a,0x400001ac,0x310000ed,0x00035795,
    0x00157731,0x8806ee60,0x54c001ba,0x000001ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x0bf3005f,0x2a233fe2,
    0xb0bcfcef,0xabba883f,0x03a80000,0x00000790,0x00791000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2004f980,
    0xffb103fa,0x3ffa1dff,0x00000152,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ccfeb88,
    0x33ff32a0,0x00377301,0x32200000,0xc982cccc,0x2001cccc,0x2e12602b,
    0x004ccccc,0x01100088,0x06c400ec,0x55550010,0x17995105,0x2aaaaa20,
    0xaaaaaaaa,0x441aaaaa,0x0002dfed,0x1aaaa880,0x202aaaa2,0x201bccb8,
    0x99999999,0x99999999,0x00002600,0x20080cc0,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0ffffffa,0x9fffffd0,
    0x00ea0000,0x7f440019,0xee983eef,0xfb002eff,0x361be605,0x007feeee,
    0x02fbbff2,0x20b7fb6e,0x3fa201fd,0x202f64c0,0x643ffff8,0x86fedeff,
    0xfffffffb,0xffffffff,0x3fea4fff,0x5004ffff,0x3fffe009,0x07fffe63,
    0x9ffddff7,0xffffff88,0xffffffff,0x74c2ffff,0x9b000dff,0x21effe80,
    0x0ff882fe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c000000,0x007fa04f,0xf5009f50,0x827ec00b,0xf9001ffa,
    0xe88b7600,0x5d307643,0xe881fe88,0x36f7e21f,0x3fffdc05,0x0be204cc,
    0x26666666,0x99999999,0x9ff14e99,0x805ff713,0xff802ff9,0x3ffe22ff,
    0x9873ee0f,0x555544fc,0xaaaaaaaa,0x4c2aaaaa,0x01ffaadf,0x2037eab9,
    0xf14ffffa,0x05ff309f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9000000,0x00bfe60b,0x7d40bf50,0x0bfd1004,
    0xc8007fea,0x87cc0007,0x886a80f9,0x07fa21fe,0xffd80b90,0x0364003f,
    0xf94e8000,0x440df70b,0x6c01fdee,0x7ffc1fff,0xfb817e27,0x26000002,
    0x217f445f,0x03bea2fc,0x54bffff7,0x0007700c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6fec0000,0x002ffa80,
    0x27dc2fd4,0x706fe880,0x7c8005ff,0x023d4000,0x7f4407cc,0xc801fe89,
    0x037ffc05,0xdd9ddb93,0x53a00000,0x07f881fd,0x007743f6,0xfe81fff9,
    0x8807ee6f,0x2000004f,0x2f3f605a,0x1ff983fd,0x007fffe2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf501dfd0,0x5fa8007f,0x744013ee,0x3ffc80ef,0x8007c800,0xb003fb98,
    0x7f7f440b,0x4c0b9001,0xffb02fff,0x00dfb99d,0x7f53a000,0x3f20ff01,
    0xfb817e22,0x25ffd87f,0x005d806c,0x7dc00000,0x3fa201ef,0x00005d40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfb80efe8,0x6fcc003f,0xff3003fb,0x09ff901d,0x1001f200,
    0x32009ffd,0x1ffcc00e,0x7dc0b900,0x015f506f,0x200000d9,0xf709f94e,
    0xf507f50d,0x21bfea09,0x07ee4ffc,0x332e4f88,0xcccccccc,0x0ccccccc,
    0x51000800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0x09ff903f,0x003ff980,0xfb03fff3,
    0x3e40009f,0x05ea8800,0xd1003762,0x32005fdf,0x407ffa05,0x001b604e,
    0xff8a7400,0x42ffb88c,0x0bee05f8,0x3ee13fe6,0xb813e62f,0x3bbbb62f,
    0xeeeeeeee,0x001eeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb03fff30,0x7e400bff,
    0xffc800ef,0x17ffc40e,0x000f9000,0x5e882f88,0xe89fe880,0x105c802f,
    0x43640bff,0x00006fe9,0x7ffdc9d0,0x77444fff,0x220fec00,0x1ff983ff,
    0xf7105fe4,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x84ffe880,0xc800effb,
    0x800ef9af,0xfe885ffb,0x0f90002f,0xf989b000,0x21fe8803,0x2e402fe8,
    0x2201ffa8,0xeefecdff,0x400004ff,0x77fecc4e,0x8801fc82,0x882fe86e,
    0xdffc80ff,0x0000dffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,0x0effa83f,
    0x3e62fd80,0x5ffb800e,0x001ffe88,0x440007c8,0x200bee1f,0xfe881fe8,
    0x7dc17202,0xcdda8804,0x00035532,0x50002b80,0x541c4003,0xc980ee04,
    0x00001cdd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd80000,0x00eff982,0xee882fd8,
    0x84ffa800,0x4000ffd8,0x1cea807c,0x57e49d51,0x21e99999,0x3fa201fe,
    0x27b26620,0x00000c19,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2ffc8000,0xb005ff98,0x0774405f,0xd81ffcc0,0x1f2000ef,
    0x77ff64c0,0x77777643,0x006e1eee,0x77744322,0x001eeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x5fe881ff,
    0x1003fb00,0xff3001dd,0x801bf205,0x0000007c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd103df5,
    0x9dfd5009,0xfb971039,0xfe88017f,0x5c4bf901,0xcfeccccc,0x001ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x201df300,0xfe8803fd,0xfa84ffff,0x801fffff,0xa9ae03d8,
    0xffffffff,0x05ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x201b7000,0x000002e8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_42_latin_ext_x[560]={ 0,8,4,3,4,3,4,8,10,5,0,2,5,3,
8,4,4,4,3,3,3,3,4,3,4,4,8,5,0,1,0,0,3,0,1,2,2,1,2,2,1,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,4,1,8,2,0,3,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,3,3,2,1,1,1,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,4,2,3,1,
10,2,5,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,1,1,1,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,1,0,1,0,1,0,2,1,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,3,3,3,3,3,3,3,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,2,
1,3,4,3,4,3,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_42_latin_ext_y[560]={ 30,6,7,5,5,6,10,7,7,7,7,10,24,18,
25,4,6,6,6,6,7,7,6,7,6,6,14,14,10,15,10,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,38,5,13,7,13,7,13,7,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,7,7,7,16,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,30,14,5,8,11,8,
7,7,7,8,6,14,18,18,8,4,3,7,6,6,5,14,7,16,29,6,6,14,6,6,6,13,1,1,1,3,
2,0,8,8,1,1,1,2,1,1,1,2,8,3,1,1,1,3,2,13,7,1,1,1,2,1,8,7,5,5,
6,8,7,5,13,13,5,5,6,7,6,5,6,7,7,8,5,5,6,8,7,10,12,5,5,6,7,5,7,7,
4,8,1,6,8,13,1,5,1,6,2,7,1,6,1,7,8,7,4,8,1,6,2,7,8,13,1,6,1,6,
1,6,2,7,8,5,1,1,8,7,3,8,4,8,1,6,8,6,2,14,8,6,1,6,8,7,14,1,0,8,
7,8,7,8,7,8,7,1,5,8,13,1,6,7,8,13,4,8,1,6,1,5,8,13,1,5,8,13,1,6,
1,5,1,6,8,13,1,6,8,8,1,7,8,8,2,8,4,8,1,6,0,5,1,5,8,14,1,6,1,6,
2,1,5,2,7,1,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,8,13,6,6,6,6,6,6,6,6,6,6,6,6,6,5,13,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,6,1,6,1,
6,1,6,0,3,0,1,0,1,0,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-6,-1,1,5,1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_42_latin_ext_w[560]={ 0,6,14,16,15,16,15,6,8,7,14,18,9,16,
6,15,15,15,15,16,15,16,16,15,15,15,6,9,18,20,18,14,15,22,20,18,19,19,19,19,20,15,19,21,
19,23,21,19,18,20,21,16,18,20,22,22,20,20,16,7,14,7,15,23,7,19,21,17,20,18,18,19,20,16,
12,19,16,22,20,18,21,20,18,16,18,20,21,21,20,20,15,8,2,8,16,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,14,18,16,20,
2,18,12,23,12,19,20,16,23,24,11,18,10,10,7,20,17,6,6,10,12,19,23,23,22,14,22,22,22,22,
22,22,22,18,19,19,19,19,15,15,15,15,21,21,19,19,19,19,19,14,20,20,20,20,20,20,18,18,19,19,
19,19,19,19,22,17,18,18,18,18,16,16,16,16,18,20,18,18,18,18,18,18,19,20,20,20,20,20,21,20,
22,19,22,19,24,20,18,17,18,17,18,17,18,17,19,21,21,20,19,18,19,18,19,18,21,18,19,18,19,19,
19,19,19,19,19,19,20,20,20,20,15,16,15,16,15,16,15,16,15,16,23,19,19,14,21,19,18,19,16,19,
16,19,16,19,16,20,16,21,20,21,20,21,20,21,19,17,19,18,19,18,19,18,22,22,21,18,21,18,21,18,
16,16,16,16,16,16,16,16,18,18,18,18,18,18,20,20,20,20,20,20,20,20,20,20,20,21,22,21,20,20,
20,16,15,16,15,16,15,18,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,17,20,20,20,
20,20,20,20,20,20,20,20,20,20,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,22,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,22,19,15,16,19,
18,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,22,19,22,22,20,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_42_latin_ext_h[560]={ 0,25,11,28,29,25,21,12,28,28,14,19,12,3,
6,30,25,24,24,25,23,24,25,24,25,25,17,20,19,8,19,23,27,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,27,22,23,22,23,22,22,22,22,22,28,30,28,11,3,7,18,24,18,24,18,23,24,23,24,
31,23,23,17,17,18,24,24,17,18,23,17,16,17,16,23,16,28,28,28,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,24,25,22,16,22,
28,26,4,23,11,16,11,3,23,2,11,23,13,14,7,23,26,5,8,13,11,16,24,24,24,25,29,29,29,27,
28,30,22,29,29,29,29,28,29,29,29,28,22,27,30,30,30,28,29,13,25,30,30,30,29,29,22,24,26,26,
25,23,24,26,18,24,26,26,25,24,24,25,24,23,24,22,26,26,25,23,24,18,20,26,26,25,24,32,30,30,
26,23,29,25,27,22,30,26,30,25,29,24,30,25,29,24,22,24,26,23,29,25,28,24,27,23,29,25,30,31,
30,31,29,30,29,32,29,29,22,23,27,22,26,22,29,24,28,30,28,16,23,31,30,31,29,30,16,29,30,29,
30,22,23,22,23,22,23,29,25,29,24,29,24,23,23,24,27,23,30,25,30,26,22,18,29,25,29,24,29,24,
30,26,30,25,29,24,30,25,30,30,29,24,22,23,29,23,27,23,30,25,31,26,30,26,28,22,29,25,29,31,
28,29,25,28,23,29,24,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,23,24,24,28,24,24,24,
24,24,24,24,24,24,24,24,24,24,23,18,24,24,24,24,24,24,24,24,24,24,24,24,24,26,18,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,29,25,29,24,30,
25,30,25,31,28,31,30,31,30,31,30,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,36,32,29,26,31,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__courier_42_latin_ext_s[560]={ 511,505,236,418,59,308,22,503,1,435,496,
58,164,24,310,489,41,42,58,410,46,474,76,390,320,336,505,500,96,264,77,
62,356,81,408,77,450,22,42,116,1,359,96,369,349,295,254,176,441,335,481,
196,330,1,418,210,1,189,104,401,464,503,220,41,302,193,20,232,149,174,136,
266,213,490,121,270,253,337,360,155,368,286,381,138,234,316,458,400,58,155,480,
409,500,78,285,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,511,505,427,
311,422,290,505,104,317,22,174,79,187,24,439,65,208,382,127,116,503,297,161,
505,505,153,251,38,424,1,448,497,378,459,482,290,461,101,121,21,40,80,100,
381,139,177,254,10,167,313,320,340,423,125,321,138,251,360,402,182,214,300,276,
1,428,465,210,318,189,485,271,95,388,142,191,359,325,272,342,483,433,429,244,
123,131,237,130,213,38,407,263,1,396,24,1,23,179,463,277,369,223,460,44,
43,63,284,120,378,82,302,1,452,396,74,84,401,336,22,42,170,248,420,439,
57,223,258,162,155,235,263,60,65,233,193,375,361,207,391,372,470,423,491,62,
337,26,99,273,196,429,106,255,243,439,361,283,341,412,339,256,319,63,233,204,
270,170,292,326,155,347,161,120,406,187,44,392,459,317,202,144,115,401,478,356,
247,314,307,375,448,124,352,195,230,300,442,470,1,75,471,62,25,212,183,166,
140,449,389,299,22,354,1,145,487,134,109,174,216,104,157,93,87,221,94,417,
101,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,80,209,209,443,
209,209,209,209,209,209,209,209,209,209,209,209,209,338,250,209,209,209,209,209,
209,209,209,209,209,209,209,209,221,294,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,111,150,
20,113,203,289,381,230,278,484,237,443,175,141,134,479,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,1,45,36,61,85,270,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209, };
static unsigned short stb__courier_42_latin_ext_t[560]={ 1,67,329,100,69,186,309,286,130,100,309,
309,329,34,329,38,186,212,212,159,262,186,186,212,159,159,130,237,309,329,309,
262,130,286,262,262,262,286,286,262,286,286,262,262,262,286,286,262,286,130,286,
262,262,262,286,286,309,286,286,100,1,1,329,34,329,309,212,309,212,309,262,
212,262,212,1,262,262,309,309,309,212,212,309,309,262,309,309,309,329,262,309,
100,1,130,329,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,1,100,159,
262,309,262,38,159,329,262,329,329,329,34,237,34,329,237,329,329,299,237,159,
93,148,329,329,330,212,237,212,159,69,69,69,130,100,38,286,100,100,100,100,
100,100,100,69,130,286,130,1,1,1,130,100,329,186,1,1,38,100,100,286,
212,130,130,186,237,212,130,309,212,130,159,186,186,186,186,186,237,186,262,159,
159,186,237,212,309,309,130,159,186,186,1,38,38,159,237,100,159,130,286,38,
159,38,159,100,186,38,159,100,186,286,212,159,237,69,186,130,212,130,237,69,
186,38,1,38,1,100,38,100,1,69,100,286,237,130,262,130,262,69,186,130,
38,130,329,237,1,38,1,100,38,309,100,38,100,38,286,237,286,237,286,237,
69,186,69,212,100,212,237,237,212,130,237,38,159,38,159,286,309,69,159,69,
212,69,212,38,130,38,159,69,212,38,159,38,69,69,212,286,237,69,237,130,
237,38,159,1,159,38,159,130,262,69,186,69,1,130,69,186,130,237,69,186,
237,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,237,212,212,100,
212,212,212,212,212,212,212,212,212,212,212,212,212,237,309,212,212,212,212,212,
212,212,212,212,212,212,212,212,159,309,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,69,186,
69,212,38,186,1,186,1,100,1,1,1,38,1,1,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,1,1,69,159,1,130,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212, };
static unsigned short stb__courier_42_latin_ext_a[560]={ 356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_42_latin_ext(stb_fontchar font[STB_FONT_courier_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_42_latin_ext_s[i] + stb__courier_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_42_latin_ext_t[i] + stb__courier_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_42_latin_ext_x[i];
            font[i].y0 = stb__courier_42_latin_ext_y[i];
            font[i].x1 = stb__courier_42_latin_ext_x[i] + stb__courier_42_latin_ext_w[i];
            font[i].y1 = stb__courier_42_latin_ext_y[i] + stb__courier_42_latin_ext_h[i];
            font[i].advance_int = (stb__courier_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_42_latin_ext_s[i] + stb__courier_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_42_latin_ext_t[i] + stb__courier_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_42_latin_ext_x[i] + stb__courier_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_42_latin_ext_y[i] + stb__courier_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_42_latin_ext_LINE_SPACING
#endif

