// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT        376
#define STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_44_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_44_latin_ext_LINE_SPACING          21

static unsigned int stb__courier_44_latin_ext_pixels[]={
    0x003a6000,0x000c4000,0x00001440,0x80000040,0x03900000,0x000ea000,
    0x66440332,0x0264c000,0x002e002e,0x00006440,0x00030044,0x26000300,
    0xaaaaaaaa,0x0004002a,0x00593000,0x00402000,0x000bda80,0x00002000,
    0x01000000,0x33004000,0x33333333,0x13333333,0x00001100,0x20000220,
    0x00000efa,0x40007e98,0x000004e8,0x00001fd4,0x88000fb1,0x40003ffe,
    0x2000dffc,0x1ff101ff,0x407fa800,0x00fd404f,0x00f7fd40,0xd107f200,
    0xfc80000d,0xfffe8001,0x1fffffff,0x0003f100,0x007ffe00,0xc85f5000,
    0x56f4000f,0x800001fc,0xb00001fc,0x7e40000b,0x0fc80000,0xffffff98,
    0xffffffff,0xfc804fff,0x7cc00001,0x6fe40005,0xf9800000,0x3640001f,
    0x3ee00000,0xd100000e,0x7d40005f,0x000dfdaf,0x7fde7f44,0x203ff001,
    0x54000ff8,0x80fec07f,0xfc8007f8,0x0003feae,0x0ef99fe4,0x0bf60000,
    0x80000000,0x800002f9,0x0003fff8,0x9f71bea0,0x2dc6a800,0x9fb10000,
    0x7fd10000,0x9fb10000,0x09fb0000,0x2aaab3e6,0xaaaacfba,0xe8804faa,
    0xf500002f,0x7ec0003d,0xf5000005,0x7f00001d,0x32000001,0x2600005f,
    0x320001ff,0x07bee0ef,0xd317fd40,0x03ff007f,0x50003fe2,0xbff980ff,
    0x007fd711,0xfb127f44,0x7d40001b,0x200004fd,0x00001fe8,0x17cc0000,
    0xefc80000,0xdf300000,0x4002fdc1,0x0003c43c,0x0003fe88,0x0002fe98,
    0x0003fe88,0xf301ff44,0xf80fe203,0x07fd1004,0x00efb800,0x0013f600,
    0x0077dc00,0x037fd400,0x13f62000,0x1efa8000,0x413f6000,0x7cc01fe9,
    0x03fd880e,0xcc880664,0x0264c000,0x7fffff4c,0x3fa2003f,0x400df702,
    0x90fa60ee,0x47f5003f,0x013e60ec,0x3b600ed8,0x005f3000,0x00004000,
    0x7dc1df30,0xb8d50005,0xff980005,0xff980002,0xfe980001,0x7f4c0002,
    0x880fcc02,0x0013e03f,0x320009fb,0x6c0000df,0xf5000002,0x7d40000b,
    0x6c00006f,0x2600003f,0x540000ef,0x2005c402,0x001a8038,0x00000000,
    0x005665d4,0x0e6005c0,0x400ffcc0,0x6fc804ff,0x401fee02,0xff102ff8,
    0x00be6005,0x00000000,0x0bf307fc,0xfcade800,0x7fc40001,0xefa80001,
    0xff880000,0x7fc40001,0x101f9801,0x0027c07f,0x2e001fe4,0x2600004f,
    0x05000000,0x03970000,0x001a8000,0x0001c400,0x00000000,0x00000000,
    0x00000000,0x09700000,0x220032a0,0x0164402c,0x65c01970,0x3eeaaa00,
    0xaaaaaaac,0x0000001a,0x01c40b80,0x00bda800,0x00017000,0x00003260,
    0x700000b8,0x407e6001,0x013e03f8,0x26000d40,0xdd700002,0x8000019f,
    0x00000bda,0x00000000,0x15c00000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff880000,0xffffffff,0x5007ffff,0xa837bfd9,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0x880fcc00,0x0013e03f,
    0x00000000,0x01ec47e2,0xf95bd000,0x00000003,0x80000000,0xa80abcb9,
    0x2aaaaa4f,0x55554c02,0x555554c2,0x4c1aaaaa,0x4c2aaaaa,0x0aaaaaaa,
    0x2aaaaaaa,0x2a01aaaa,0x541bdfec,0x32a00aaa,0x5541bdfe,0x266620aa,
    0x33310099,0x99988333,0x33310099,0x99988333,0x33310099,0xa9988333,
    0x999999bf,0x7ec40099,0x25ffecef,0x2625ffff,0x31009999,0x98833333,
    0x31009999,0x98833333,0x31009999,0xd5033333,0x005ddddd,0x03599500,
    0xccba8801,0x01d1040a,0x02e80fe2,0x01accb98,0x33333310,0x00333333,
    0x00069897,0x004b8b50,0x37bfd950,0x2a0aaaa8,0x4c02aaaa,0xb802aaaa,
    0xdfffffff,0x7fc4df10,0xf101ffff,0x223fffff,0xffffffff,0x3fe24fff,
    0x3a0fffff,0x2fffffff,0xfffffff5,0xb109ffff,0xbffd9dff,0x442ffffc,
    0xffeceffd,0x4d7fffe5,0x3fffffff,0x7fffffc4,0xfffff34f,0xfff887ff,
    0xff34ffff,0x887fffff,0x4fffffff,0x80005f30,0xdf703ff9,0x7cc33bf1,
    0x43ffffff,0xfffffff8,0xffffff34,0xffff887f,0xfff34fff,0xf887ffff,
    0x44ffffff,0x3feeeeea,0xfffb7000,0x3e65ffff,0xffffc880,0x06b8dfff,
    0x8000fe20,0xfffffffb,0x3ffee01d,0xffffffff,0x225c06ff,0x7b000069,
    0x6c400788,0x5ffeceff,0x7c57fffe,0x101fffff,0x03ffffff,0x98856fec,
    0x40feaffc,0x4009bfb8,0x440cfa98,0x99999999,0x4ccc44f9,0x4ccc0fc9,
    0x2622fa99,0x99999999,0x81ffcc4f,0x19df8efb,0xf703ff98,0xa833bf1d,
    0x80aaadfa,0x0acfbaaa,0x2aab7eaa,0xcfbaaa80,0x2b7eaa0a,0xbaaa80aa,
    0x5f300acf,0x00ee8000,0xa827f744,0x80aaadfa,0x0acfbaaa,0x2aab7eaa,
    0xcfbaaa80,0x2b7eaa0a,0xbaaa80aa,0xf8800acf,0x6ff44003,0x37faa21b,
    0x6ff441fb,0x3f7fdc41,0x0007f100,0x5442b7f2,0x55102ffb,0x55bf7555,
    0xf8803555,0x00007b11,0x4009716a,0xdf703ff9,0xb8833bf1,0x4c4009bf,
    0xfd100cfa,0x1ffe9807,0xf90017e0,0x027c0001,0x7cc007dc,0x744f8002,
    0x7f74400e,0x1003ba04,0x4f809fdd,0xf017cc00,0x02f98009,0x5f30013e,
    0x0002f980,0x7cc007f2,0x0027c04f,0x04f80be6,0x9f017cc0,0x002f9800,
    0xf8800fe2,0xfffa802f,0x22017ec1,0x3e2007fe,0x1ff44003,0x800bfa60,
    0x2a0003f8,0x0000cfee,0x07f2b7e0,0x4400ee80,0x2fc04fee,0xc803f200,
    0x1ff7002f,0x8800fdc0,0x27c0004f,0x4c007dc0,0x24f8002f,0xff3001fc,
    0x4007f209,0x27c04ff9,0xf80be600,0x017cc004,0x2f98009f,0x80017cc0,
    0x7e4004f8,0x20027c04,0x013e02f9,0x27c05f30,0x800be600,0x3f6003f8,
    0x87fe6002,0xff3003f9,0x001fc400,0x74400bf2,0x07f1000f,0x00003000,
    0x0005ed40,0x3e6003f9,0x00fdc04f,0x3e604f88,0x9fbf3004,0xf9005f80,
    0x04f80001,0xf9800fb8,0xf14f8002,0x84fc8009,0x7e4004f8,0x20027c04,
    0x013e02f9,0x27c05f30,0x300be600,0x3e60005f,0x027d4002,0x5f30013e,
    0x260027c0,0x0013e02f,0x7c4005f3,0x00bf5003,0x07dc3f90,0x4400fd00,
    0x13e6003f,0x200bf100,0x262003f8,0x01999999,0x10000000,0x4fc8009f,
    0xf9005f80,0x4007f401,0x00fc8ef8,0x9f1007ee,0x009f0000,0x5f3001f7,
    0x3e69f000,0x427d4002,0x7d4002f9,0x20027c04,0x013e02f9,0x27c05f30,
    0x300be600,0x3ee0005f,0x027c4000,0x5f30013e,0x260027c0,0x0013e02f,
    0x7c4005f3,0x001f9003,0x03e41f30,0xf88016e0,0x003f6003,0x22007f20,
    0x3ffe003f,0x01ffffff,0x98000000,0x27d4002f,0x2200fdc0,0x00fe604f,
    0x04f88ff4,0x03f202fc,0x2013e000,0x2f9800fb,0x1f74f800,0xb84f8800,
    0x27c4000f,0xf30013e0,0x20027c05,0x013e02f9,0xf9805f30,0x00f90002,
    0x09f013e0,0x3e02f980,0x017cc004,0x2f98009f,0x400fe200,0x7060004e,
    0x4000001f,0x7f3003f8,0x00be2000,0xa9800fe2,0x4fbfcaaa,0x6dd44000,
    0xb802defe,0x27c4000f,0x7e405f80,0x2003ee00,0x2036c2fc,0x09f101fb,
    0x2013e000,0x2f9800fb,0x0f94f800,0x1f213e00,0x3e027c00,0x017cc004,
    0x2f98009f,0xf30013e0,0x002f9805,0x98003f50,0x0027c04f,0x04f80be6,
    0x9f017cc0,0x002f9800,0x3e200fe2,0x3e600002,0x22000004,0x01f7003f,
    0x44026c00,0xb6c0003f,0xfb10007d,0xfdb9bdff,0x003e403d,0x3f7004f8,
    0xf9013e20,0xf909f500,0x3ee0bf00,0x09f00000,0xf3001f70,0x2a9f0005,
    0x27cc001f,0x26000fd4,0x0027c04f,0x04f80be6,0x9f017cc0,0x402f9800,
    0xf30002f9,0x04fa8005,0x3e60027c,0x30013e02,0x0027c05f,0xf8800be6,
    0x000fa803,0x0067e400,0x01fc4000,0x640007c8,0x003f8806,0x17d4fe20,
    0x05674400,0xf500efa8,0x04f98003,0x07dc17e0,0xbf301760,0xf7003ea0,
    0x0005f883,0x3ee013e0,0x002f9800,0x005f34f8,0x2f984fa8,0x2027d400,
    0x17cc004f,0xf98009f0,0x30013e02,0x02f9805f,0xd001be00,0x004f809f,
    0x09f017cc,0x3e02f980,0x017cc004,0xf9007f10,0x3ee00000,0x00009bdf,
    0xdb003f88,0x00fa8000,0x70001fc4,0x0002fc1f,0x4c0fee00,0x27d4002f,
    0xf883f700,0x2204f805,0x05f300ee,0x01fb8bf0,0x2013e000,0x2f9800fb,
    0x1be4f800,0x3e09fd00,0x027f4006,0x5f30013e,0x260027c0,0x0013e02f,
    0x5f8805f3,0x00fea000,0x3e027fdc,0x017cc004,0x2f98009f,0xf30013e0,
    0x01fc4005,0x000003e4,0xbdfffb71,0x7f100015,0x00013e00,0x3f8803f3,
    0xf91ba000,0xf8000001,0xd001be05,0x45f8009f,0x04f801fb,0x1f9807f6,
    0x17e0fb80,0x009f0000,0x5f3001f7,0x7d49f000,0x09ff7003,0x7dc00fea,
    0x0027c04f,0x04f80be6,0x9f017cc0,0x802f9800,0x1d9800fe,0x3ee01fec,
    0x027c04fc,0x4f80be60,0xf017cc00,0x02f98009,0x3200fe20,0x20000007,
    0x01ffecb9,0xe801fc40,0x0fcc0004,0x4000fe20,0x01fc42f9,0x81b60000,
    0xff7003fa,0x20fb8009,0x20bd005f,0x07dc03fc,0x03f75f80,0x804f8000,
    0x2f9800fb,0x7ec4f800,0x27e7dc03,0xfb807fb0,0x027c04fc,0x4f80be60,
    0xf017cc00,0x02f98009,0x262cef98,0x441ffeba,0xd531aefd,0x9f013e7f,
    0x202f9800,0x17cc004f,0xf98009f0,0x00fe2002,0x000001f2,0x102fe980,
    0x9bf99997,0x0db01999,0x400fa800,0xf90003f8,0x0000dd01,0xb01b6022,
    0xfcfb807f,0xf75f8004,0x2a1b2003,0x007c804f,0x0017e7ee,0x2e013e00,
    0x02f9800f,0x7ec44f80,0x7fd531ae,0xefd8813e,0x27fd531a,0x0027c04f,
    0x04f80be6,0x9f017cc0,0x002f9800,0xffffffd5,0x7d4017df,0x22efffff,
    0x0027c04f,0x04f80be6,0x9f017cc0,0x002f9800,0x3ea00fe2,0x00000001,
    0x3e603f62,0xffffffff,0x007c82ff,0x7c403640,0x20bf0003,0xd98001fb,
    0xcefffffe,0x77ec406e,0x27fd531a,0x9fb8004f,0x83ee005f,0x0db006f8,
    0x001fff80,0x3224f800,0xccfdcccc,0x17cc3ccc,0xfa827c00,0x22efffff,
    0xfffa804f,0x13e2efff,0xf98009f0,0x30013e02,0x0027c05f,0x55000be6,
    0x30003579,0x09f01595,0x7cc004f8,0x30013e02,0x0027c05f,0xf8800be6,
    0x003f9803,0x7cc00000,0xf7000002,0x026c0001,0x4c001fc4,0x009f102f,
    0x6677fec4,0x06ffdcca,0xffffff50,0x80027c5d,0x26001fff,0x2003fa4f,
    0x7dc004f8,0x9f000005,0x7fffffd4,0x0fffffff,0x3e000be6,0x05654c04,
    0x9530027c,0xe809f015,0x00fdc005,0x1fb800bd,0xf70017a0,0x00000003,
    0x3a027c00,0x00fdc005,0x1fb800bd,0xf70017a0,0x01fc4003,0x80002fc4,
    0x09f00028,0x0fe60000,0x401fc400,0x7d8003f8,0xe8803ec0,0x06d800cf,
    0x405654c0,0xbf70004f,0xf91fb000,0x003f6003,0x00003f70,0x000013e0,
    0x9f0005f3,0x009f0000,0x5c04f800,0x203ec006,0x03ec006b,0x0fb001ae,
    0x001bf700,0x01fc4000,0x0fb001ae,0x3ec006b8,0xfb001ae0,0x003f8800,
    0x700003f7,0x0bd0001f,0x40037ee0,0xfd8000fd,0x003f8801,0x3e6027c4,
    0x002fd802,0x200001b6,0x3f70004f,0x7fdf3000,0x0013e600,0x4000017e,
    0x400004f8,0x7c4001fa,0x1fc40003,0x07f10000,0x3e001f98,0x000fcc06,
    0x01f980df,0x3e001be0,0x000002ff,0x3f3007ea,0x26037c00,0x01be001f,
    0x37c003f3,0x800fe200,0x2990006e,0x7c4002fb,0x05fff003,0x30013e60,
    0x0fe200bf,0xd003f500,0x8009f00b,0x4400006d,0x0bf0003f,0x802fec00,
    0xfb8006e9,0xf7000001,0x7d800005,0x001fb800,0x0000fd40,0xdf003f50,
    0x200bf200,0x05f9006f,0x3f200df0,0x0ffd8002,0xfd100000,0x6401be00,
    0x006f802f,0x0df005f9,0x1000bf20,0x2fcc007f,0x2e5fb100,0x3f6000ef,
    0x01ffb001,0x8801fe40,0x7f1000fe,0xffffd800,0xffffffff,0x000be600,
    0xa80000dd,0x1fb8001f,0x9fff1000,0x001ffa80,0x000006e8,0x800003fa,
    0x7e8005f8,0x03f44000,0x00fd1000,0xfc8037e6,0x01bf3005,0xf9802fe4,
    0x017f200d,0x00005b80,0x4c00ff60,0x17f200df,0x9006fcc0,0x37e600bf,
    0x0017f200,0xf5000fe2,0x3fe8803d,0x2003bfee,0x2dc003fc,0x013f6200,
    0x44005ff3,0x37e2003f,0xcccccccc,0x3e203fcc,0x0dfd3005,0x03f44000,
    0x20006e80,0x1befd9fe,0x001df951,0x00005f70,0x00013ee0,0xb8005fb0,
    0x7ec0005f,0x3f600003,0x2ffe6003,0x01bfb711,0x88dffcc0,0x2000dfdb,
    0xb711bff9,0x260001bf,0x2660002f,0x3ffca999,0x8dffcc00,0x000dfdb8,
    0x5c46ffe6,0x26000dfd,0xfb711bff,0x7f10001b,0x59ff5000,0x07ff6e23,
    0x139fd5f7,0x002ff5cc,0x64000be6,0xf9511bef,0x3332603f,0xcccdfccc,
    0x00fb82cc,0x1fd01b60,0x06fffb80,0x00ff6000,0x4000bee0,0x3ffea2fc,
    0x8804ffff,0x9ee99999,0x4cc40009,0x06fdb999,0xa9999880,0x99982feb,
    0x04fdb999,0xca999998,0x4cc003ff,0x3ffca999,0xfffe9800,0x30003fff,
    0x7ffffffd,0x3ffa6000,0x0003ffff,0xf5000274,0x3dffffff,0x3ffa6000,
    0x0003ffff,0xffffffd3,0x3fa60007,0x403fffff,0xccccccb8,0xccccccdf,
    0x3fff2201,0x980dffff,0x3fffff26,0xe8002eff,0x7f540004,0x00cfffff,
    0x3fffffee,0x5fffffff,0x7d4005e8,0x42bbe601,0xd8dfeca8,0x4cc02ccf,
    0x3ffca999,0x4ccccc40,0x200099ee,0x795304fa,0x7fffc003,0x0fffffff,
    0xfffff300,0x20007fff,0xeffffffc,0xfffffb81,0xfa803eff,0x1effffff,
    0x7fffd400,0x0001efff,0x004de544,0x4de54400,0xca880000,0x0800009b,
    0xaaa98000,0x1000009a,0x00013795,0x01379510,0x37951000,0xffff3001,
    0xffffffff,0x26009fff,0x30001bca,0x00035795,0x51000004,0x00001579,
    0x0017cc00,0x3fa6027c,0x22ffffff,0x2a06fffd,0xefffffff,0xfffff801,
    0x00ffffff,0x00000710,0x2aaaaaa6,0x4c001aaa,0x000aaaaa,0x0d555440,
    0x2aaaaa20,0x554c000a,0x200009aa,0x009aaaa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32000f90,0x37953007,0x55300001,0x4c001355,0xaaaaaaaa,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e000000,0x05f30004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x337f7260,0x332a00bc,0x3aa2cefc,0xffffffff,0xffffffff,0x003fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff70,0x7fff403f,0x33226fff,0xcccccccc,
    0xcccccccc,0x0001cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00004400,0x04001008,0x04000220,0x00180000,
    0x01f776c0,0x1b300000,0x00980000,0x00200000,0x02000800,0xa8029800,
    0x88035001,0x3620000b,0x08000001,0x88037000,0x064c0003,0x4401b800,
    0x00008003,0x40007500,0x000002e8,0x4001e980,0x000b800b,0x002e002e,
    0x0013e600,0x0f907ea0,0x7d41bee0,0x0df8000f,0x07740000,0x4feed800,
    0xf7000000,0x700003df,0x00019fdd,0x00374400,0xa801fc80,0x1f90003f,
    0xd8027c40,0x01fd304f,0x0fffa600,0x2fa80000,0x303fe800,0x2a0001ff,
    0xe8001eff,0x00df503f,0x00003fa8,0x0006ffe4,0x00003fe8,0x003bea00,
    0x1fa80bf0,0xf5017e00,0xefa80003,0x37d40000,0x7ec013f2,0x01ffb80f,
    0x000efa80,0x007ba200,0x00009f00,0xe9dfd880,0x3e20003f,0x00007b11,
    0x0007fe60,0xd8013f60,0x4fb8004f,0xd800bf60,0x07bee0df,0x6cf7dc00,
    0x400000df,0x88000efb,0x3bee0dfd,0x5bf90001,0xd88007fd,0x0077e45f,
    0x00027ec0,0x7fde7f44,0x4fd88001,0xfb800000,0x2fd8000e,0x4001ff10,
    0x0ff102fd,0x00efb800,0x7077cc00,0x1e44009f,0x20003c88,0x00001ffa,
    0x8000bf62,0x2000004f,0x3f623fe9,0x44b8000d,0xa8000069,0x440001ef,
    0xfc8003fe,0xadfe8005,0x005fda88,0xdfdaffb8,0xdfd88000,0x0007bee0,
    0x0002fe40,0x6fed77dc,0x4fe88000,0x00037f62,0x09fb3df7,0x005fc800,
    0xe98bfea0,0xbfb0003f,0x7e400000,0x3fe20005,0x07fd731c,0x31cff980,
    0x40007fd7,0x980005fc,0x017ee0ef,0x40000000,0x50002ff9,0xf30fc87f,
    0x0013e009,0x80f7c400,0x4b8006fb,0x2000034c,0x40000efb,0x20002fe8,
    0x22000efb,0xcffffffd,0xffd30000,0x1fec0007,0x0001fe98,0x00013f62,
    0x003ffe98,0x2e05ff10,0xffa8006f,0xf700002f,0xef98001d,0x004fd880,
    0x0000bf90,0x00009fb0,0xffffffd3,0x3fa60007,0x003fffff,0x00013f20,
    0x5f983be2,0x00000000,0x000ff440,0xf70437e4,0x0013e00f,0x2005c400,
    0x1f880029,0x400007b1,0x880005fa,0xa80001ff,0xcb98006f,0x880001ac,
    0x0d40001c,0xb0000e20,0x1000007f,0x0b800039,0x88001cc0,0x5400001d,
    0x01cc006f,0xb5000154,0x05b00000,0xccba8000,0xba80000a,0x40000acc,
    0x2e000029,0x00001c40,0x17000000,0x80591000,0x09f002c8,0x00000000,
    0x67f75400,0x0a200000,0x000b8000,0x0000a600,0x00000000,0x80000000,
    0x0000001a,0x00000000,0x20000000,0x00000029,0x04401100,0x11004400,
    0x00000000,0x00000000,0x40000000,0x402aaaaa,0x002aaaa9,0x00000000,
    0xb9893e00,0x0001bdfd,0x006b32e6,0x00001800,0x00000000,0x4c000000,
    0x0001accb,0x00d665cc,0x09999988,0x33333310,0x44000000,0x10099999,
    0x00333333,0x040d6654,0x03599500,0x00000001,0x40abcb98,0x407fcc00,
    0x26001ff9,0x1ff980ff,0x4ccccc40,0x33333100,0x5e5cc003,0x2600040a,
    0x0001accb,0x00d665cc,0x7fffffc4,0xfffff101,0x4cccc43f,0x33331009,
    0x99998833,0x33331009,0xe8a7c033,0xfffeceff,0x3ffee001,0x001dffff,
    0x26666662,0x33100019,0x33333333,0x81333333,0x99999999,0x44099999,
    0x99999999,0x7dc01999,0x1dffffff,0x7fffdc00,0x2601dfff,0x3fffffff,
    0x7fffffc4,0x0666624f,0x26666620,0x3ffffe61,0x7ffc43ff,0x2e04ffff,
    0xfffffffd,0x6dc01f32,0x2fffffff,0x4ccc41f3,0x99999999,0x40099999,
    0xffffffda,0x201f99df,0xffa82ffb,0x0bfee003,0xf980ffea,0x43ffffff,
    0xfffffff8,0x3fff6a04,0xf99dffff,0xffffb801,0x4001dfff,0xfffffffb,
    0x5fdc401d,0x7d4c4009,0x3fffe60c,0x7fc43fff,0xf34fffff,0x87ffffff,
    0xfffffff8,0x5ff39f04,0x2007fa60,0x7510adfc,0x3fe005ff,0x1fffffff,
    0x7fffcc00,0xffffffff,0x263fffff,0xffffffff,0x2e3fffff,0xffffffff,
    0x906fffff,0x2ea215bf,0xbf9002ff,0x3feea215,0x2b7eaa02,0xbaaa80aa,
    0x3ffe0acf,0x7ffc03ff,0x2aa5ffff,0xa80aaadf,0x80acfbaa,0x221bdfe8,
    0x81fbdfea,0x221bdfe8,0x31fbdfea,0xffffffff,0xffffffff,0x3bf6207f,
    0xfd9510ac,0x1e4403fd,0x44001990,0x0033203c,0x1555bf55,0x59f75550,
    0x59dfb101,0x3bfb2a21,0x56fe401f,0x05ff7510,0x442b7f20,0xf802ffba,
    0x407e4005,0x0aaadfaa,0xacfbaaa8,0x2ab7eaa0,0xfbaaa80a,0xbfdf00ac,
    0x203fb001,0x74c03fe8,0xaaa9802f,0x004fbfca,0xaadfbaa8,0xaaaaaaaa,
    0x2b3e63fb,0xaaaaaaaa,0x2aaa23fb,0xaaadfbaa,0x1ff441aa,0x880bfa60,
    0x7f4c03fe,0x20027c02,0xfaa982f9,0x2aa600ff,0x4f80adfb,0x8817cc00,
    0xffa802ff,0x017fc41f,0x550fffd4,0x55555bf7,0x7f755555,0x6400ffa0,
    0x000001ff,0xf0000000,0x02f98009,0x7e400ffa,0x07fd101f,0x2202fe98,
    0x7f4c03fe,0x800fdc02,0x027c04f8,0x4f80be60,0x2017cc00,0x3a000fff,
    0x2005f907,0xd8000fe8,0x44000fb6,0x8fe2003f,0x3fb002f9,0x2007f100,
    0xfd1002fc,0x400bf201,0x13e00fe8,0xf805f300,0x7f1005fe,0x260027c0,
    0x005fb02f,0x3f60ffcc,0x07fe6002,0xf8800fe2,0x4003fc83,0x000001fc,
    0xf0000000,0x02f98009,0xfc8007f9,0x2005f901,0x5f900fe8,0x003fa200,
    0x03f200bf,0xf98009f0,0x30013e02,0x02ff805f,0x3e617cc0,0x02fc4004,
    0x17d4fe20,0x003f8800,0x02f98fe2,0xf1003fa8,0x009f3007,0x4f985f88,
    0xf02fc400,0x02f98009,0x400fde7c,0x013e03f8,0xbf505f30,0x543f9000,
    0x1fc8005f,0x22003f88,0x002fcc3f,0x00000fcc,0x80000000,0x17cc004f,
    0x4c002fcc,0x004f981f,0x27cc2fc4,0x7017e200,0x04f8803f,0x7cc004f8,
    0x30013e02,0x007f805f,0x00fd89d0,0x2001fc80,0x0017e0fb,0xf1001fc4,
    0x22017cc7,0x0fe2005f,0x20003f60,0x007ec1fc,0x4f80fe40,0x2017cc00,
    0xf100dd4f,0x20027c07,0x00fc82f9,0x3f20f980,0x80f98000,0x3e2003f8,
    0x80007dc3,0x01aaaa83,0x406aaaa6,0x2601aaaa,0x7c01aaaa,0x417cc004,
    0x070000fb,0x320003f6,0x0007ec1f,0x17e00fe4,0x9f001f90,0x202f9800,
    0x17cc004f,0x6c001be0,0x4000fe66,0x1ba002f8,0xf10001f9,0x262f8007,
    0x007f402f,0xf9807f10,0x45f10003,0xf10003f9,0x30013e05,0xf54f805f,
    0x203f8807,0x17cc004f,0x83000274,0x4060004e,0x17c003f8,0x8800017a,
    0x3603ffff,0xf885ffff,0x3f603fff,0x27c05fff,0x3a0be600,0x7cc00005,
    0x45f10003,0xf10003f9,0x101fb805,0x013e009f,0x27c05f30,0xf00be600,
    0xb9f2000b,0x1360000f,0x3e217cc0,0x03f88003,0x807e20c0,0x7c4002fb,
    0x0007dc03,0x007dc9b0,0x13e09b00,0xf805f300,0xf8803f64,0x30013e03,
    0x002f885f,0x0005f100,0x8007f100,0x00003f81,0x201fccc4,0x3105e999,
    0x999807f3,0x0027c05e,0x00fe0be6,0x001f7000,0x01f726c0,0x7c026c00,
    0x2001f705,0x17cc004f,0xf98009f0,0x80037c02,0x0001f26d,0x03f200d9,
    0x3e2001ba,0x02009b03,0x88004f98,0x003e403f,0x007c9b20,0x04f83640,
    0x3e017cc0,0xf8813e24,0x30013e03,0x000fa85f,0x0001f500,0x3607f100,
    0x001f9804,0x800fe000,0x003f805e,0x009f017a,0x0fcc2f98,0x01f20000,
    0x03e4d900,0x2e01b200,0x002fc41f,0x2f98009f,0xf30013e0,0x000ff805,
    0x001b64f8,0xbf001f50,0x10007ee0,0x0017a07f,0x0001dd10,0x06d807f1,
    0x6d87d400,0x407d4000,0x17cc004f,0x03f913e0,0x04f80fe2,0x1f217cc0,
    0x007c8000,0x207f1000,0x007b805e,0x001fc000,0x007f00bd,0x013e02f4,
    0x07b85f30,0x006d8000,0x06d87d40,0x4007d400,0x000fdc5f,0x2f98009f,
    0xf30013e0,0x004ff805,0x009f17dc,0x4c01f980,0x009f102f,0xaaaadf88,
    0x640005ea,0x7f10001f,0x40004f80,0x0009f1f9,0x04f81f98,0x3e017cc0,
    0xf8837c44,0x30013e03,0x0007c85f,0x00001f20,0x55556fc4,0x07c805ea,
    0x01fc0000,0x07f00bd0,0x13e02f40,0x7c85f300,0x04f80000,0x4f8fcc00,
    0x00fcc000,0x00bf07dc,0x7cc004f8,0x30013e02,0x1fff805f,0x4e8bf300,
    0x00fcc000,0x00fb01f6,0xffffff88,0x2a0005ff,0x3e20003f,0x00027403,
    0x002747e6,0x13e07e60,0xf805f300,0xf882fa84,0x30013e03,0x0007c85f,
    0x00001f20,0x7fffffc4,0x07c805ff,0x01fc0000,0x07f00bd0,0x13e02f40,
    0x7c85f300,0x04e80000,0x4e8fcc00,0x00fcc000,0x003f75f8,0x7cc004f8,
    0x30013e02,0xfedf805f,0x207fd402,0x7d40006d,0x3013e200,0x67c4005f,
    0x05e99999,0x000df100,0x36c03f88,0x6c3ea000,0x07d40006,0x3e60027c,
    0xfd827c02,0x9f01fc40,0x642f9800,0x1f200007,0x67c40000,0x05e99999,
    0xeeb807b8,0x04eeeeee,0x02f4007f,0x0bd001fc,0x7cc004f8,0x75c03dc2,
    0x4eeeeeee,0xf50001b6,0x50001b61,0x27ee001f,0x04f8005f,0x9f017cc0,
    0x402f9800,0x235bfb4f,0xc81efda9,0x03640007,0x17a007ea,0xbd03f880,
    0x003f6000,0xc807f100,0x93640007,0x06c8000f,0x2f98009f,0x4f9827c0,
    0x09f01fc4,0x7d42f980,0x3f500001,0x7f100000,0x3ea017a0,0x77775c01,
    0x7f04efee,0x7c02f400,0xf017a003,0x42f98009,0x775c01fa,0x24efeeee,
    0x3640007c,0x6c8000f9,0x00fffc00,0x260027c0,0x0013e02f,0x24f805f3,
    0xffffffeb,0x0003ee04,0x7fec04d8,0xffffffff,0x7f1000ff,0x2e001360,
    0x4400402f,0x007dc03f,0x07dc9b00,0x3e09b000,0x017cc004,0x21fc813e,
    0x013e03f8,0x3f985f30,0x07f30000,0x07f10000,0x0be60136,0xf00fcc00,
    0x402f4007,0x017a003f,0x2f98009f,0x980017cc,0x0007dc1f,0x007dc9b0,
    0xb8009b00,0x09f0005f,0x3e02f980,0x017cc004,0x2b2a213e,0x003f9801,
    0x7c407f10,0xcccccccd,0x1003fccc,0x2030007f,0x0fc405f9,0xf300fe20,
    0x8fe20007,0xf10003f9,0x70017a07,0x204f803f,0x80fe25f8,0x0fdc005e,
    0x400017e2,0x800005f8,0x418003f8,0x3f30003f,0xbd001fc0,0x74007f00,
    0x2002f405,0x003f81fb,0x3f983f30,0x4c7f1000,0x7f10003f,0x001fb800,
    0xfb800bd0,0x70017a01,0x004f803f,0x0003f600,0x0fb807f6,0x4401b600,
    0x0fcc003f,0x3e600774,0x401fc402,0xfd8000fd,0x40007ec1,0x00d701fd,
    0x04f807d8,0x03f897dc,0x0fb001ae,0x400007ee,0x400001fb,0x7cc003f8,
    0x20003ba1,0x00fe01f9,0x03f805e8,0x0d7017a0,0x1dd07d80,0xb03f3000,
    0x3fb0001f,0xd8000fd8,0x02fc001f,0xd800d700,0x20035c07,0x004f807d,
    0x0013e600,0x05e80bf3,0x4400fd40,0x0fcc003f,0x3e6007f2,0x401fc402,
    0x7cc004f9,0x4004f985,0x07e605f9,0x4f806f80,0x07f16e80,0xdf000fcc,
    0xc8003740,0xc8003744,0x4003f884,0x013e61f9,0x4f807e60,0xf00bf100,
    0x017e2009,0x37c003f3,0x98004f98,0x004f981f,0x27cc2fcc,0x0017e600,
    0x4c0003f7,0x01be001f,0x37c003f3,0x000027c0,0x74400ff2,0x00be600f,
    0x3e2013e0,0x50fcc003,0x0be6009f,0x32007f10,0x1fd1003f,0x4400ff20,
    0x037c00fe,0x4f802fc8,0x3f8cf980,0xfc8037c0,0x8017e602,0x2fcc2fd8,
    0x105fb100,0x1f98007f,0x260017e4,0x201ba01f,0x6e805ff9,0x805ff980,
    0x05f9006f,0x260017e4,0x007f901f,0x7e403fa2,0x01fd1003,0x80006e80,
    0x05f9006f,0x3f200df0,0x0004f802,0x2027ec40,0x3e402ff9,0x8807c800,
    0x8fcc003f,0x3e6006f8,0x801fc402,0x7cc04fd8,0x13f6202f,0x3005ff30,
    0x2fe401bf,0xf9004f80,0xdf9807f3,0x2017f200,0x74401efa,0x03df503f,
    0xf103fe88,0x81f98007,0xf7000cfe,0x700fe403,0xf900bfff,0x2fffdc03,
    0x9006fcc0,0x19fd00bf,0x4407ee00,0x7fcc04fd,0x013f6202,0xb8005ff3,
    0xf980002f,0x017f200d,0xf9006fcc,0x0013e00b,0x8df7e400,0x801ffca8,
    0x5f30004f,0x4003f880,0x001fb1f9,0x3e2017cc,0x5f7e4003,0x03ff9511,
    0x446fbf20,0x2001ffca,0xb711bff9,0x13e001bf,0x01ff7c40,0xb88dffcc,
    0xf5000dfd,0x36e2359f,0x7fd401ff,0xffb711ac,0x001fc403,0x7fdc07e6,
    0x3ae621ab,0x3fe201ff,0xdfeca88c,0x2203cee8,0xeca88cff,0x03cee8df,
    0xb88dffcc,0xf7000dfd,0x5cc4357f,0x7e401ffe,0xff9511be,0x2fbf2003,
    0x03ff9511,0x74ccccc4,0x4000099e,0xb711bff9,0x7cc001bf,0xbfb711bf,
    0x6fccc401,0x00001999,0x3fffffaa,0x372600cf,0x200bccdf,0x2cefccca,
    0x666fe65c,0xcccccccc,0x99df1fdc,0x99999999,0x33265fb9,0xccdfcccc,
    0x3aa02ccc,0x0cffffff,0x7fff5400,0x8000cfff,0xffffffe9,0x9df97003,
    0x7fdc0399,0xfffd3003,0x10007fff,0xfffffff9,0x3f22001b,0x0dffffff,
    0x99bf9970,0x99999999,0x6cc03fb9,0xffffffff,0xfff3002d,0x7f45ffff,
    0x7ffcc06f,0x3fa2ffff,0xffe9806f,0x8003ffff,0xffffffd9,0x2a002dff,
    0xcffffffe,0x7ff54000,0x400cffff,0xffffffff,0x40000fff,0xffffffe9,
    0xffd30003,0xf007ffff,0xffffffff,0xa8800007,0xfb800abc,0x01ffffff,
    0x3ffffffa,0x3ffffe26,0xffffffff,0xff1fffff,0xffffffff,0x2e5fffff,
    0xffffffff,0x805fffff,0x000abca8,0x055e5440,0x5e544000,0xfff10009,
    0xe807ffff,0x6544003f,0x9800009b,0x40001bca,0x4401bca9,0xffffffff,
    0xffffffff,0x753001ff,0x10001359,0x00015795,0x01579510,0x5e544000,
    0xa9800009,0x00009acb,0x002af2a2,0x15795100,0x2aaaa600,0x001aaaaa,
    0x26f2a200,0xca880000,0x5530009b,0x00555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00d40144,0x00004000,0x02000000,0x32e00000,
    0x00000801,0x00004000,0x2e000020,0x64400002,0x2002a001,0x00100002,
    0xdddddd50,0x22000005,0x0bbbb621,0x2ea20000,0x80040acc,0x0035000d,
    0x2200dc05,0x2005c403,0x3331002a,0x01333333,0x2005c000,0x54c00039,
    0x01b80000,0xb10005c4,0x37ee0003,0x0007f900,0x0003fa80,0x0005d880,
    0x00000774,0x9d007fd0,0x20000000,0x880001fb,0x3620006e,0x300004ff,
    0x3a005ffd,0x01fd302f,0x003fa800,0x7f777754,0xdb000003,0x017f76c4,
    0xfff91000,0xd71bffff,0x2005f100,0x3fd103fe,0x7cc0ffa0,0x07be600f,
    0x7cc027e4,0xffffffff,0x0003efff,0x7d40bfe2,0xffb30006,0x2005707f,
    0x1ff303fe,0x0fffe600,0x10f7dc00,0x800009fd,0x00000efb,0x00017f44,
    0x00007fe6,0x6401ff40,0x0000000f,0x40002fe4,0x30002fe8,0x01df97fd,
    0x6d77dc00,0x4fe8804f,0x0000ffd4,0x00003bee,0x00000fe2,0x17c413e2,
    0xdfe88000,0x3f7fdc41,0x88017c40,0x17fd45fd,0x5c1bfb10,0xff9801ef,
    0x8013fa22,0xaaadfbaa,0x0efecaaa,0x89fd1000,0x88000dfc,0xbffd9bff,
    0x36003fe9,0x07bee0df,0x7ecf7dc0,0xfe98000d,0x0002ffab,0x0002fe40,
    0x000ffcc0,0x002ff980,0x803fe800,0x000004f8,0x0009fb10,0x0003ff30,
    0xffa87bee,0x6fec4002,0x2003bf20,0x0efc8efc,0x06fe4000,0x03f88000,
    0x00fc8000,0x200005f1,0x7f4402fd,0x37f6a207,0xefb8021b,0x7000efc9,
    0x01bfb5df,0x7d67ec40,0x7f10002f,0x001df500,0x7f4f7e40,0x02e20004,
    0x005fffd3,0xbfb5df70,0x1bfb1001,0x4000f7dc,0x000effd8,0x013f6200,
    0x07bea000,0x7fd10000,0x1cb80000,0x0001fb00,0x03fe8800,0x00efa800,
    0x101bf700,0x7ec005fd,0x001ff503,0x0009fff5,0x00009fb0,0x00003f88,
    0x5f1027c4,0x07f30000,0x7d41fe60,0xcefffeff,0x27ffcc07,0x1fff4c00,
    0x1dff9000,0x01fc4000,0x40005f98,0x0002fffa,0x00054c00,0x007ffd30,
    0xfe981fec,0x00970000,0x007fb000,0x01df5000,0x3f620000,0x00000002,
    0x00000fe6,0x00005fd0,0x40001df5,0x001b8029,0x0071006e,0x400016c4,
    0x800003fd,0x400003f8,0x0be201fc,0x003ee000,0x1efb87e8,0x007ffe4c,
    0x88000b62,0x4a80001c,0x03f88000,0x00003f20,0x000001b1,0x64400000,
    0x200d4001,0x80220038,0x1a800008,0x09300000,0x02a00000,0xb0000000,
    0xb800000f,0x07100001,0x00000000,0x00000000,0x0000d400,0x0003f880,
    0xf1017e20,0x0f900005,0x2fcc5b80,0x0003fe20,0x00000000,0x1fc40000,
    0x0003f300,0x99880000,0x33100999,0x00003333,0x30000000,0x3ff301ff,
    0x00000000,0x00000000,0x00000000,0x00001fd4,0x00000000,0xccba8800,
    0x9980040a,0x99999999,0x65d44019,0x000040ac,0x3f880000,0x07ee0000,
    0x55105f10,0xf7015555,0x0fc80001,0x4ccc7b80,0x99999999,0x4ccc4099,
    0x99999999,0x4ccccc41,0x00009999,0xf5001fc4,0x26662003,0x80019999,
    0xfffffff9,0x7ffffc43,0x266664ff,0x99999999,0x22099999,0x99999999,
    0xfb801999,0x03ffa82f,0x26666620,0x31000199,0x98801333,0x26200999,
    0x01999999,0x55555400,0x0374001a,0x4cccc400,0x99999999,0x4cc41999,
    0x01999999,0xffff9100,0x0d71bfff,0xfffffff0,0x09ffffff,0xffffff91,
    0x988d71bf,0x99999999,0x7c400000,0x1be00003,0x3f20be20,0x983fffff,
    0x36c0004f,0x7ffcc100,0xffffffff,0x3ffee3ff,0xffffffff,0xffff36ff,
    0xffffffff,0x7f10007d,0xf0036c00,0xffffffff,0xbf550003,0x55501555,
    0x3e6159f7,0xffffffff,0xffffffff,0xffffff74,0xdfffffff,0x3203c880,
    0x3ffe000c,0x01ffffff,0xffffff80,0x3ffffe01,0xfffff01f,0x0003ffff,
    0x3fffffee,0x017d4003,0xfffff500,0xffffffff,0x3ee1ffff,0xffffffff,
    0x7f44004f,0x77fdc41d,0xaaaa9807,0xaaaafeaa,0x20eff440,0x267effb8,
    0xffffffff,0x003effff,0x0003f880,0xf1005f50,0x26bfee05,0x0033f200,
    0x980036c0,0xaaaaaacf,0x223fbaaa,0xdfbaaaaa,0x2a1aaaaa,0xaaaadfba,
    0x00efecaa,0x6400fe20,0x2aa6002f,0x04fbfcaa,0x30013e00,0xaacf985f,
    0xaacfbaaa,0x514faaaa,0x5bf75555,0x00035555,0x2aa60000,0x04fbfcaa,
    0x2affa980,0x15ff54c0,0xf9555530,0x440009f7,0x003f9999,0x540006e8,
    0xbfcadfaa,0xfcaaaaaa,0xfd555510,0x80015555,0x7f4402fd,0x036c0007,
    0x3a2017ec,0x6fdd547f,0xecaaaaaa,0x220000ef,0xdd00003f,0x2a0be200,
    0x3ee000ef,0x70009bdf,0x5f30003f,0x2007f600,0x3e2003f8,0x00efa803,
    0xe9807f10,0x6d80005f,0x27c000fb,0xf30be600,0xf80fe203,0x001fc404,
    0x40000000,0x4000fb6d,0x9f3003fa,0x3edb6000,0x07f10000,0x0003f700,
    0x07ea5f30,0x1b600fa8,0x007f3000,0xb0001fe6,0x003f980d,0x0fe20ff3,
    0x0003bea0,0x40001fc4,0x5f1002fa,0x8000dfb8,0xdefffdb8,0x17fd100a,
    0x4017cc00,0x7f1003fa,0x801fc400,0xbf1005f9,0xffd97555,0xf100007f,
    0x4000bea7,0x17cc004f,0x1fc407e6,0x3f8809f0,0x00000000,0x2fa9fc40,
    0x003f6000,0x220003fa,0x0005f53f,0x4000fe20,0xfb80005f,0x7d403f50,
    0x0001b600,0x3f4001f7,0x701b6000,0x83f4001f,0xbf3003f8,0x00fe2000,
    0x8801fa00,0x0013f62f,0xffecb980,0x9dff9101,0x017cc015,0xf88017e2,
    0x00fe2003,0xf8800fc8,0xffffffff,0x3ee00003,0x7c0017e0,0x217cc004,
    0x07f101f9,0x0fe2027c,0x01aaaa80,0x006aaaa6,0x05f83ee0,0x7017e200,
    0x3ee0005f,0x400017e0,0xf70003f8,0x26d80003,0x03ea01fa,0x640006d8,
    0x002dc007,0x0f901b60,0x7f105b80,0x0007e400,0x20001fc4,0x3e2003f9,
    0x0003fe8a,0x017f4c00,0x9ffffb71,0x7402f981,0x0fe2000f,0x2003f880,
    0x3f8801f9,0x000dfe88,0x0fc8dd00,0x4004f800,0x80fcc2f9,0x013e03f8,
    0x3e2007f1,0x3f603fff,0xe8005fff,0x00007e46,0x17e207f5,0x7e46e800,
    0x3f880000,0x00bf1000,0x07ea4f80,0x1b600fa8,0x001f7000,0x06d80000,
    0x800007dc,0x3e6003f8,0x03f88001,0x0007ec00,0x00bfd9f1,0x3f620000,
    0xdfb73000,0xf700fc43,0x03f88005,0xa800fe20,0x03f8801f,0x00003bf2,
    0x03f885f3,0x4c004f80,0x880fcc2f,0x1013e03f,0x4cc4007f,0x74ccc03f,
    0x217cc005,0x6c0003f8,0x000fd80f,0x3f885f30,0x03f88000,0x0003f200,
    0x03f50fcc,0x01b602c4,0x0009f300,0x406d8000,0x100004f9,0x0fd4007f,
    0x001fc400,0x88009f30,0x003fdeff,0x05f30000,0x043fd300,0x10009f30,
    0x1fc4007f,0x2200db00,0x077d403f,0xd01f9000,0x009f000d,0x07442f98,
    0x0ba03f88,0x20007f10,0x017a003f,0x0dd01f90,0x545f8800,0x3f20002f,
    0x80006e80,0x220003f8,0x8f90004f,0x000621fa,0xf90000db,0x00000019,
    0x33f201b6,0x1fc40000,0x2000db00,0x320003f8,0x77c4000f,0x44007f90,
    0x009f0002,0x2200fe20,0xf88000ee,0x00fe2003,0xf88017e4,0x004fa803,
    0x0fdc17e0,0x30013e00,0x3f88005f,0x01fc4000,0x3a003f80,0xb82fc005,
    0x7d40001f,0x8000bf12,0x003f705f,0x0003f880,0x740007ec,0x0d90fd45,
    0x00006d80,0x0137bff7,0x01b60000,0x04deffdc,0x400fe200,0xf10002fc,
    0x13e20007,0xfb0be200,0x003ee007,0xd80017a0,0x001fc805,0x44007f10,
    0x2ff4c03f,0x2007f100,0xf98002fc,0x8009f102,0x17cc004f,0x000fe200,
    0x20007f10,0x017a003f,0x9f102f98,0xb1fb0000,0x7cc0001f,0x0009f102,
    0x40003f88,0x7c4003f9,0x7555fd43,0x0036c007,0xfffb7100,0x000015bd,
    0xdb8801b6,0x00adefff,0x3a601fc4,0x3e20005f,0x01f90003,0xfb05f100,
    0x005f7007,0x00753f88,0x1fd406d8,0x007f1000,0x5d556fc4,0x003fffec,
    0xfd001fc4,0x407d8001,0x027c007d,0x1000be60,0xf880007f,0x007f0003,
    0x0fb002f4,0x880007d8,0x40003fef,0x003ec07d,0x0000fe20,0x3f5001f6,
    0x7fffffa8,0x00036c00,0xffd97300,0x0db00003,0x7f65cc00,0x2b7e201f,
    0xfffecbaa,0x1fc40003,0x002fc400,0x5fb02f88,0x000efb80,0x007e47f6,
    0x37c409f0,0x00fe2000,0xffffff88,0x10003fff,0x27cc007f,0x9809f100,
    0x013e002f,0x88005f30,0x7c40003f,0x007f0003,0x4f8802f4,0x00017cc0,
    0x200037dc,0x17cc04f8,0x007f1000,0x4007f300,0x99afa87c,0x036c007d,
    0xfd300000,0x36001d45,0x3a600006,0xffff102f,0x007fffff,0x000fe200,
    0x440007ee,0x80bf602f,0xc800effb,0x003bf23f,0x0fd807f6,0x01fc4000,
    0xfd107f10,0x7f10001b,0x001fc800,0x0bd003f5,0x260027c0,0x1fc4002f,
    0x00fe2000,0xbd001fc0,0x2007ea00,0xf880005e,0x0fd40003,0x10002f40,
    0x3a00007f,0x2a17e006,0xb001b21f,0x8000000d,0x00db0fd8,0x400006d8,
    0x3f880fd8,0x000dfe88,0x8003f880,0x3e20005f,0xb817ec02,0x209cfeaf,
    0x7e45feb9,0x9fd302ef,0x02017dc0,0x8800fe20,0x03bf203f,0x66fe65c0,
    0x77c400cc,0x7ffec02c,0xffffffff,0x009f000f,0x44002f98,0x7c40003f,
    0x007f0003,0xffd802f4,0xffffffff,0x440000ff,0x7ec0003f,0xffffffff,
    0x10000fff,0x2a00007f,0xfff9802f,0x221fffff,0x0036c001,0xf30000d5,
    0xdb001b65,0x5f300000,0x7e407f10,0xccb8800e,0xccdfcccc,0xfb81cccc,
    0x665c4002,0x3ff2e02f,0xfc9a63cc,0x2effffff,0xeffeaec8,0x202fffee,
    0x0fc405f9,0x8800fe20,0x077d403f,0x3ffffe20,0xfb801fff,0x337e205f,
    0xcccccccc,0x0bd003fc,0x4001fb80,0x440003f8,0x07f0003f,0x7c402f40,
    0xcccccccd,0x0003fccc,0x10001fc4,0x999999bf,0x807f9999,0xfccccccb,
    0x0cccccce,0x5c037400,0xfdcccccf,0x036c0001,0x00a21f70,0x006da7c0,
    0x0051036c,0x0fe213e0,0x9801df50,0xffffffff,0x4fffffff,0xf98006e8,
    0x3fa02fff,0x400effff,0x201acfa9,0x3bfb2a18,0x077400ac,0xf100be60,
    0x01fc4007,0x000027d4,0x03ee0000,0xd7006d80,0x8007d800,0x440003f8,
    0x07f0003f,0x7dc02f40,0x001b6000,0x40007f10,0x1b6000fb,0xfffffe88,
    0xffffffff,0x17d4002f,0x0fd41b60,0x06d80620,0x07dc3ee0,0x06daf400,
    0x1f7027c0,0xf10bd000,0x009f5007,0x2fa80000,0x00000000,0x40003d00,
    0x3f9002f8,0x8805f300,0x0fe2003f,0x00017e40,0x0bd00000,0x9801fa80,
    0x01be001f,0x0000fe20,0x3e0007f1,0x00bf1004,0x1fa800bd,0x00fe2000,
    0x54005e80,0x1df8001f,0x02fc0000,0x00fd40fe,0x006d81f2,0x017dc3ee,
    0x036cfe20,0x7dc07f50,0x41fc4002,0x5f9003f8,0x74000000,0x00000006,
    0x00bba000,0x54017c40,0x05f3004f,0x22003f88,0x03fa003f,0x02df9800,
    0x000be600,0x037c013e,0x88002fc8,0x7c40003f,0x00dd0003,0xf980bff3,
    0x004f8002,0x4000fe20,0x4f8002f9,0x0003d400,0xf301fb80,0x9007ea03,
    0x70036c0f,0x003bee1f,0x03fb1fd8,0xfb803f60,0x07f6000e,0xfe800fe2,
    0x2df98000,0x0003f980,0x003ef880,0x000f4c00,0x3e2017c4,0x00be6006,
    0x7c4007f1,0x013e6003,0x000d5100,0x7c8003e4,0x401bf300,0xf10005fc,
    0x3f880007,0x403f9000,0x6405fffb,0x00f90007,0x8001fc40,0x0f90007c,
    0x00005c80,0x1f20bf10,0x3e401fa8,0x7dc00db0,0x001dff70,0x1ff4c7f9,
    0xf700bf60,0x7f9001df,0x9800fe20,0xd510004f,0x0000fb00,0x0007cc40,
    0x00f43750,0x36017c40,0x0be6000f,0x44007f10,0x0fe4003f,0x01f30c00,
    0x40013e00,0xff3002f9,0x37f6e237,0x07f10000,0x003f8800,0x5119ff10,
    0x9dd1bfd9,0x40013e07,0xf10002f9,0x013e0007,0x30017cc0,0x0002a21f,
    0x2f407e40,0x7c803f50,0xfb801b60,0x39fd5f70,0x42ff5cc1,0x731bdfd8,
    0x5f7009fb,0x5cc139fd,0x0fe205fe,0x4003f900,0xf9803e61,0x09800003,
    0xe980007a,0x10005fef,0xccef805f,0xcccccccc,0x99932fdc,0x999bf999,
    0x7e65c599,0x4400cccd,0xd1002cef,0x98007fdf,0x0bccdfdc,0x3bf332a0,
    0xffe9802c,0x2003ffff,0xdfccccb8,0xc980cccc,0xcdfccccc,0x9802cccc,
    0x2fffffff,0xdc99bffa,0x200bccdf,0x2cefccca,0x7e6665c0,0x301cccce,
    0x1799bfb9,0x77e66540,0xfdfb002c,0x2200001f,0x9df9933e,0x37f72e21,
    0xeccccccc,0xfd999917,0x99999999,0x9a61fd99,0xfffffffc,0x7ffdc02e,
    0x3002ffff,0x7ffffe4d,0x99702eff,0x801999bf,0x4402cef8,0x5c03fefe,
    0xc800000e,0x00005fef,0xb8000131,0x7ffffc00,0xffffffff,0xffff72ff,
    0xffffffff,0x3fffe2bf,0xb801ffff,0x0c4005ff,0xffffb800,0x3fa01fff,
    0x006fffff,0x0026f2a2,0xffffff30,0x705fffff,0xffffffff,0x00bfffff,
    0x002af2a2,0xffffffb8,0x3fffa01f,0x3e206fff,0xffffffff,0xfff703ff,
    0x7403ffff,0x06ffffff,0x00006a20,0x7ffdc220,0xffff32ff,0xffffffff,
    0x3fffeaff,0xffffffff,0x00ffffff,0x00d5e54c,0x026f2a20,0x2f2a6000,
    0x3ffe201a,0x801fffff,0x31005ffb,0x00000000,0x00000262,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00039100,0x00039100,0x40001c80,
    0x00022009,0x40abcb98,0xa8038800,0x03b30001,0x801b8000,0x9998800b,
    0x33100999,0x002e0133,0x00aa002e,0xc980002e,0x33331001,0x33333100,
    0x5c015403,0x07620000,0xb800b800,0x07910000,0x01ca8000,0x35995000,
    0x98030010,0x4cccc400,0x00019999,0xaa882644,0xaaaaaaaa,0x1004c000,
    0xe9800001,0x200003ff,0x0003ffe9,0x003ffe88,0xf301ff50,0x7ed4003f,
    0x9dffffff,0x77d401f9,0x0007fb00,0x0007fff7,0x3ea02fc0,0x7fffcc01,
    0x7cc2ffff,0xf82fffff,0x400fd405,0x3fd104fc,0x3ffe2000,0xfffff800,
    0x7ffffc03,0x0bf905ff,0x40007fa2,0x0003ffe9,0x01fa80bf,0x2efffb80,
    0xfff88000,0xffb70000,0x265fffff,0x41bf200f,0x3fee07fb,0xffffffff,
    0x9ff90004,0x3ffffee0,0x004fffff,0x3e603fea,0xf700001f,0x000bfb5d,
    0xbfb5df70,0x57fd4000,0x5c000dfd,0x2ffa81ff,0xacefd880,0xfdfd9510,
    0x45ff5003,0xd8003fe8,0x005fd9df,0x2205fb00,0xbaa800ff,0x5502aadf,
    0x3f6059fd,0x001ff102,0xffa83bf2,0x3fea0002,0xfaa9801f,0x2aa600ff,
    0x2e00adfb,0x0bfea0ef,0x6cf7dc00,0x7ec000df,0x001ff102,0x754f7f4c,
    0x2a0001df,0x44001fff,0x2a21bdfe,0x201fbdfe,0x1ff907fd,0x3aaaaa20,
    0x000aaaaf,0x5400cf88,0xaaaaaaaa,0x3fee000a,0x002ffa81,0x2e0dfd80,
    0xfb0000ef,0x0077dc1b,0xfb83bf20,0x0ee2001e,0x7fd003b8,0x007ff200,
    0x7fd67f44,0x1ff44001,0x00003bee,0x2e239ff1,0x7c4003fe,0x807fb003,
    0xd731cff8,0xffa8007f,0x0000efca,0xf8005fd8,0x7f1005fe,0x32bfea00,
    0xd88000ef,0x07bee0df,0x31cff880,0x5c007fd7,0x2ffb82ef,0x017f6000,
    0x5005ff10,0x64403fff,0x80059102,0xf700006d,0x00000001,0x03b80ee2,
    0x303fd800,0xfd8001ff,0x001ff303,0x7f4c13f2,0x80000001,0x7e4003fc,
    0x77fe4001,0x01ff8000,0x30000ff5,0x7ffffffd,0x807f1000,0xd3003fd8,
    0x07ffffff,0x13ffa200,0x00010000,0x2007ef3e,0x3a2003f8,0x360004ff,
    0x03fd303f,0x7ffff4c0,0x1d4003ff,0x0000b220,0x05fb0001,0x000ffcc0,
    0x036c0000,0x1005e800,0x00004401,0x37000000,0x4000b880,0x005c401b,
    0x05c402a8,0x26000000,0x1f98005f,0x0004a800,0x0051002a,0x5665d400,
    0x07f10000,0x40017f44,0x000accba,0x00002c80,0x753e0000,0x003f8806,
    0x540002c8,0x8001c401,0x000accba,0x00000000,0x002fd400,0x00000fe4,
    0x00036c00,0xff9805e8,0x001ff980,0x00000000,0x00000000,0x00000000,
    0x00359973,0x1c0003ee,0x00000000,0x00000000,0x303f8800,0x000003fd,
    0x00000000,0x081acca8,0x01fd53e0,0x00000fe2,0x00000000,0xddd90000,
    0x30000005,0x80815797,0xf98000fc,0x26666620,0x33333100,0x0006d803,
    0xff700bd0,0x007ff505,0x4cccccc4,0x33100019,0x98803333,0x4c409999,
    0x4c400999,0x4cc40999,0x33310199,0xfff70033,0x803bffff,0x4400005e,
    0x99999999,0x99999999,0x26666200,0x80001999,0x99999998,0x1fc40001,
    0x100077cc,0x33333333,0x99883333,0x99988019,0x7edc0199,0x32ffffff,
    0xfd93e01f,0x4c0fe200,0x19999999,0x4cccc400,0x99999999,0x4c409999,
    0x99999999,0x09999999,0x0017f764,0xfffda800,0xf99dffff,0x30002741,
    0x7fffffcc,0x7fffc43f,0x1b604fff,0x402f4000,0x033203c8,0xffffff80,
    0x44001fff,0x4fffffff,0xffffff50,0x7ffffc5f,0x3fffe01f,0xffff11ff,
    0xffff09ff,0x6fe409ff,0x5ff7510a,0x00001fc0,0xfffffff3,0xffffffff,
    0x7ffc07ff,0x01ffffff,0x7ffffc00,0x0001ffff,0x1df50fe2,0x7fffdc00,
    0xffffffff,0x3ffffe6f,0x7ffffc03,0xdfe885ff,0x37faa21b,0x449f01fb,
    0x20fe204f,0xfffffffe,0x201bdfff,0xfffffff9,0xffffffff,0x3ffe63ff,
    0xffffffff,0x03ffffff,0x800005f1,0x10acefd8,0x43fdfd95,0x200002f8,
    0x0aaadfaa,0xacfbaaa8,0x0001b600,0x000002f4,0x95555300,0x50009f7f,
    0x015555fb,0x57755554,0x0abfea60,0x857fd530,0x80aadfb9,0x80adfaa9,
    0x74c03fe8,0x001f982f,0x6fdd5400,0xaaaaaaaa,0x2603fbaa,0xfbfcaaaa,
    0x554c0004,0x04fbfcaa,0xfb8fe200,0x5544000d,0xaadfbaaa,0x2aa61aaa,
    0x2a600fff,0x440adfba,0xffa802ff,0xfc89f01f,0x5307f101,0x555555fb,
    0x5407ffd9,0xaaaadfba,0xfbaaaaaa,0x56fdd543,0xaaaaaaaa,0x5f103fba,
    0x3fe80000,0x543ff900,0xf800000f,0x017cc004,0xe800036c,0x00000005,
    0x007db6c0,0x40001f70,0x00fea05e,0x7f1027cc,0xf9027c00,0x03fa2005,
    0x400000f7,0x3e2003f8,0x7db6c003,0xb6d80000,0x9fc4000f,0x00003ffc,
    0xdf000fe2,0x0fe200bf,0xf30017ec,0xf113e03f,0xc80fe20d,0x05fd8807,
    0xf1001fc4,0x800fe207,0x05f103f8,0x01fe4000,0x07c87f20,0x009f0000,
    0x6d802f98,0x00bd0000,0x44000000,0x0005f53f,0x740001f5,0x4007ec04,
    0x0fe200fe,0x9f304f80,0x645f8800,0x22000007,0x0fe2003f,0x5f53f880,
    0x9fc40000,0xf10002fa,0x3dfd9f97,0x07f10000,0x01fbcf80,0x5fa83f88,
    0xf01fc800,0xf105f509,0x7003e407,0x01fc405f,0x3e207f10,0x40fe2003,
    0x300002f8,0x3f3000bf,0x800003e4,0x17cc004f,0x800036c0,0x3555505f,
    0x0d5554c0,0xbf07dc00,0x203f3000,0x00fe0098,0x2fb80bf1,0xf001fc40,
    0x0003f609,0x007c87f2,0x00fe2000,0x2e003f88,0x00017e0f,0x017e0fb8,
    0x31fffc40,0x880007fd,0xea7c003f,0xc83f8806,0x0f98000f,0x03f609f0,
    0x03e407f1,0x7c403fa0,0x40fe2003,0x3e2003f8,0x0005f103,0x40003ee0,
    0x00003e43,0x7cc004f8,0x0006d802,0xff883f98,0x3ff603ff,0x6e8005ff,
    0x220007e4,0x20ffd02f,0x3fa802f8,0xf100bf10,0x4c27c007,0x5f10003f,
    0x775c03dc,0x84eeeeee,0x17c003f8,0x0fc8dd00,0xc8dd0000,0xff88000f,
    0x001fd882,0xf000fe20,0xf100fea9,0x40009d07,0x7cc13e01,0xf901fc44,
    0x104f9800,0x02f8007f,0x2f8007f1,0x6dcc5f10,0x5e801cef,0x01f20000,
    0x0027c000,0x1b600be6,0x0efc8800,0x807f3310,0x4005e999,0x01fc42f9,
    0x3e20fe20,0x02f982fe,0x1fb01fb0,0x4007f100,0x000fb84f,0x01fa9360,
    0x7777775c,0x03f884ef,0x5f3000c0,0x80003f88,0x01fc42f9,0x3a01fc40,
    0x0fe20006,0x07ec9f00,0x2f887f10,0x09f00000,0x07f10fe4,0x7e4003e4,
    0x4003f880,0x000fe201,0xfc97c403,0x04ffecdf,0x500001fc,0xf000003f,
    0x02f98009,0x9aa006d8,0x7f001ffe,0x2002f400,0x006e80fc,0xf9fa84f8,
    0x1001fa84,0x002fa8bf,0x27c007f1,0x320003e4,0x4000be66,0x07f101f9,
    0xf9000136,0x0000dd01,0x00dd01f9,0xf9807f10,0x07f10004,0x13e24f80,
    0x07d43f88,0x04f80000,0x03f897e2,0x3e6001f2,0x9b03f881,0xb03f8800,
    0xebf88009,0x209f902f,0x200001f9,0x800003f9,0x17cc004f,0xf70036c0,
    0x003bf661,0x05e800fe,0x1fb82fc0,0xbe42f400,0x000fb86d,0x02fc4bea,
    0x7c007f10,0x40006d84,0x000fe0fa,0x3f880fcc,0xf8000bd0,0x0003f705,
    0x03f705f8,0xc803f880,0x3f88000f,0x3f227c00,0x7c87f101,0x13e00000,
    0x0fe25f70,0xf88007c8,0xbd03f883,0xd03f8800,0xfff8800b,0x5c0ff401,
    0x7c400007,0x4f800005,0x4017cc00,0x03ee006d,0x07f007f5,0xf3002f40,
    0x0013e205,0x3eebf0db,0x6c003e40,0x2000fd8f,0xaaaaadf8,0x84faaaaa,
    0x7cc0004f,0x20003ba1,0x5bf101f9,0x00bd5555,0xf8817cc0,0x0be60004,
    0x220027c4,0x04f8803f,0x4003f880,0x8837c44f,0x0003e43f,0xdd009f00,
    0x07c80fe2,0xbf109f00,0x0bd55555,0xaaadf880,0x44005eaa,0x3fb801ff,
    0x800007c8,0x400001fb,0x17cc004f,0xf70036c0,0x7f00bf01,0xb002f400,
    0x4007d80f,0xf89fcc7c,0x44003643,0x44003fef,0xffffffff,0xe84fffff,
    0x0fcc0004,0xf30009f3,0x3fffe203,0x0005ffff,0x00fb01f6,0x1f603ec0,
    0x2007f100,0x7c4000fc,0x5427c003,0x643f882f,0x3e000007,0xf8cf9804,
    0x4001f203,0xffff884f,0x4005ffff,0xfffffff8,0x1fc4005f,0x7c84f880,
    0x0dd00000,0x13e13200,0xb005f300,0x407dc00d,0x003f805e,0x27c4017a,
    0xb800be60,0x8bd07dc7,0xdf70005d,0x339f1000,0x33333333,0x000db09f,
    0x17e40fa8,0x4407e600,0xe99999cf,0x09f10005,0x88002f98,0x017cc04f,
    0x26007f10,0x1fc4003f,0x7ec13e00,0x1f21fc40,0x04f80000,0x407f3f90,
    0x09f0007c,0x333339f1,0xcf8800bd,0x05e99999,0xf0017c40,0xd700f709,
    0x9ddddddd,0x22005f98,0x004f82fd,0x36c017cc,0xbd01f700,0x74007f00,
    0x003f5005,0x07d400bd,0x2747c8db,0x003f8800,0x3e003f88,0x40007c84,
    0x019fd06c,0x7c407ee0,0x2000bd03,0x05e801fa,0xe801fa80,0x00fe2005,
    0x7c4006e8,0x9827c003,0x2a1fc44f,0xf000001f,0x3fbe2009,0x4001f203,
    0xd03f883f,0x03f8800b,0x2f8800bd,0x3ea13e00,0x77775c01,0xfa84efee,
    0x1ff4401e,0x7cc004f8,0x2006d802,0x805e80fb,0x017a003f,0x7fffffec,
    0x00ffffff,0x13e23f30,0x0027c3f5,0x88003f88,0x213e003f,0x360000fb,
    0x2affee04,0x3ffae621,0x3607f101,0xfffb0004,0xffffffff,0xffd8001f,
    0xffffffff,0x665c00ff,0x200cccdf,0x8803ccfb,0x027c003f,0x21fc43f9,
    0x400003f9,0x1cccefcb,0xc80ffee0,0x82f98007,0x009b03f8,0x09b03f88,
    0x2002f880,0x002f984f,0x7d403f30,0xfb711acf,0x0027c03f,0x99910be6,
    0x99999fd9,0x1fd99999,0x07f00bd0,0x7c402f40,0xcccccccd,0x1003fccc,
    0x3e0bea5f,0x20007f14,0xf88003f8,0x2613e003,0x7f10003f,0xffffd980,
    0x402dffff,0x018003f8,0x333337e2,0x3fcccccc,0x3337e200,0xcccccccc,
    0x3ffe203f,0x202fffff,0x400ffff8,0x27c003f8,0x1fc4bf10,0x800017e2,
    0xfffffff8,0x901ff403,0x01f7000f,0x030007f1,0x06000fe2,0x9f0017c4,
    0x4c000fe0,0x7fe4401f,0x00dfffff,0x3ee002f4,0x7ffffd41,0xffffffff,
    0xe80fffff,0x2003f805,0x00fb805e,0x3f801b60,0x7cdb60f9,0x07f10002,
    0x4007f100,0x001fb04f,0x4c003fb0,0x0009acba,0xf98007f1,0x4001f701,
    0x03ee006d,0x00006d80,0x1fc40000,0xf7013e00,0x3ee0fe25,0x00000001,
    0x001f2000,0x01fc41b6,0x3e207e60,0x40fcc003,0x13e002f8,0x4c000774,
    0x37a6001f,0x01ae001b,0x00000fb0,0x9f00bd00,0x2017e200,0x0fd4005e,
    0x20bd4f80,0x001fa8fb,0x10007f10,0x827c007f,0x7cc004f9,0x40000005,
    0x7cc003f8,0xa800bd01,0x00bd001f,0x00001fa8,0x0fe20000,0xdd009f00,
    0x03740fe2,0x00004c80,0x2003e400,0x07f104f9,0xf881f980,0x40fcc003,
    0x13e002f8,0x4c0027cc,0x016c001f,0xf000fcc0,0x0000000d,0x00dd00bd,
    0xf980bff3,0x004f8002,0x2207f1bd,0x0000fabf,0xf10007f1,0x9027c007,
    0x3fa2007f,0x1f7c4000,0x001fc400,0x0be607e6,0x26013e00,0x04f8002f,
    0x00fbe200,0x000fe200,0x19f3009f,0x017e607f,0x4002fd88,0xc8003ef8,
    0x03fe2007,0x26001fc4,0x003f881f,0x17c40fcc,0x7e409f00,0x00fcc002,
    0x2000fb60,0x05f9006f,0x007df100,0x3f900fb0,0x02fffdc0,0x3e4001f2,
    0x01fbdd80,0x8001ef7a,0xf88003f8,0x8813e003,0x7fcc04fd,0x1f310002,
    0x003f8800,0x03e40fcc,0x7c807c80,0x000f9000,0x0000f988,0x3e001fc4,
    0x7f3f9004,0x200f7d40,0x10003fe8,0x7c8001f3,0x405fd100,0x7cc003f8,
    0x4003f881,0x02f881f9,0x9fd013e0,0x007ee001,0x3000ba60,0x2fe401bf,
    0x01f31000,0x4403fb80,0xeca88cff,0x03cee8df,0x3e60009f,0x07dec802,
    0x000367e4,0xf10007f1,0x4027c007,0x9511befc,0x130003ff,0x3e2000f4,
    0x40fcc003,0x5f30004f,0x30004f80,0x4130005f,0x7c40001e,0x8027c003,
    0x5403fef8,0xb711acff,0x130003ff,0x1f2000f4,0x807fd730,0x7cc003f8,
    0x4003f881,0x02f881f9,0x3ee013e0,0x2e621abf,0xb9801ffe,0x26000b61,
    0xfb711bff,0x4130001b,0xefd8001e,0x3fffe603,0x3ffa2fff,0x337f7266,
    0x332a00bc,0x2e02cefc,0x7fd404ff,0x3332e006,0x1ccccefc,0x99bf9950,
    0x9df99703,0x7ff54019,0x000cffff,0x00bfdf90,0x666fe65c,0xcccccccc,
    0xfb931fdc,0x5401799b,0x22cefccc,0xbccdfdc9,0x3f332a00,0x3f2002ce,
    0x326005fe,0xcdfccccc,0x65c2cccc,0x201cccef,0xc8803ffb,0xdfffffff,
    0xfdf90000,0x7f65400b,0xfecccccc,0x332e01ef,0xccccccdf,0x1fdccccc,
    0x3337f32e,0xcccccccc,0x37261fdc,0x99102cdf,0xd98079df,0xffffffff,
    0x3f62002d,0x260005ff,0x3ffffffe,0x3fbf2000,0x176a0005,0x01579510,
    0x7ffffdc0,0x3ffa01ff,0x2a06ffff,0x5ff802ff,0xfffff100,0x07ffffff,
    0x3ffffff6,0xfffffe83,0xbca8802f,0x9880000a,0x3ffe2000,0xffffffff,
    0x1fffffff,0xfffffff7,0x7ffff403,0x3ffee6ff,0x3a01ffff,0x06ffffff,
    0x20004c40,0xfffffffb,0x25ffffff,0xfffffff8,0x001ff403,0x0006f2a6,
    0x20004c40,0xfffffffd,0x4400bdff,0xffffffff,0xffffffff,0xffff11ff,
    0xffffffff,0x43ffffff,0x05fffffc,0x1dfffff5,0x2b2ea600,0x26200009,
    0x95100000,0x10000137,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0d8ea000,0x00000399,0x13006000,0x00d88ec0,
    0x00098030,0x40002c88,0x930002c9,0x26662005,0x99999999,0x4ccccc41,
    0x26666600,0x04c01800,0x5ddddd90,0x00c40980,0x409a8800,0x01deeeee,
    0x99880000,0x99999999,0x00999999,0x203bd910,0x80000000,0x0080ced9,
    0x0007d930,0x026f2e60,0x80000000,0x0100dec8,0x00040000,0x88000000,
    0x26000aba,0x3f27f15f,0xfff7004f,0x5fffffff,0xb837e400,0x225f107f,
    0x06fc805f,0xfd000ff7,0x7fc0005f,0xffe8001f,0x7fffd402,0xffffffff,
    0xfffff14f,0xfffd03ff,0x7e405fff,0x640ff706,0x403feeee,0x0003645e,
    0x97ffffa6,0x01deeeff,0x3ffffffa,0xf300ffff,0xffffffff,0xffffffff,
    0xfbff5007,0x01ba219f,0xfffffffd,0xfb001fff,0x7d47ffbf,0x7f7fe404,
    0x2013e62e,0xfffffffb,0x7ff4000d,0xffffffff,0xfdffa800,0x00dd10cf,
    0x00fb1000,0xffffffa8,0x0003ffff,0x1dfffff9,0x3e23fd00,0x200bf223,
    0xccccccc9,0x36000ccc,0x01ff907f,0x017ec7f1,0x7fe41ffa,0x3ffe2000,
    0xfff10004,0xfff88007,0xaaaaa803,0xaaaaadfb,0x2ab7ea60,0x9f755102,
    0x907fd805,0x3e2001ff,0x1b627c03,0x9aefa800,0x0013e3b9,0x99999995,
    0x55401799,0xaaaaadfb,0x3fbaaaaa,0xf910df80,0xa805ffbf,0xcccccccc,
    0x1fcc00bc,0x1dfdffd3,0xea867cc0,0x400efdff,0x9510adfd,0x654003df,
    0xcccccccc,0x10df800b,0x03ffbff9,0x2fe88000,0x66664400,0x01cccccc,
    0x4567ec40,0x2a00eea8,0xf10fe26f,0x00000009,0x2c881644,0x37cc7f10,
    0x64407260,0x0efb8002,0x03bf2000,0x003bf200,0xf001fc40,0x02f98009,
    0x59102c88,0x201fc400,0x8002f44f,0x04f805f8,0x44000000,0x0fe2003f,
    0x0ced9800,0x00000000,0x0400fb6a,0x200ceeb8,0x7cc03fe8,0x0000002f,
    0x0676cc00,0x3fe60000,0x00000002,0xe8817ec0,0xf88bfa06,0x00005e83,
    0x20000000,0x01ff43f8,0x01000000,0x00002000,0x3f880001,0x30013e00,
    0x0000005f,0xf880fe20,0xd8002f43,0x004f800f,0x7c400000,0x00fe2003,
    0x00000000,0x00000000,0x005f9000,0x00003fa2,0x00000000,0x00f7d400,
    0x20000000,0x0fcc03f9,0x0fe23fcc,0x97300176,0x00000359,0xf50fe200,
    0x0000000d,0x00000000,0x7f100000,0x20027c00,0x000002f9,0x4407f100,
    0x80027c3f,0x809f005e,0x00999998,0x03333331,0xf8800fe2,0x665cc003,
    0x3331001a,0x33333333,0x01999883,0x19999988,0x4cccccc4,0x98199999,
    0x27cc004f,0x4cccccc4,0x99999999,0x26620099,0x00199999,0x0077cc00,
    0x33333100,0x36000333,0xf907f007,0x5d83f889,0xfffff700,0x98803bff,
    0x99999999,0x09999999,0x07fe0fe2,0x26666662,0x44199999,0x99999999,
    0x99999999,0x4ccccc40,0x41999999,0x99999999,0x80099999,0x13e003f8,
    0x3105f300,0x98801333,0x3e200999,0x9f0be603,0x007f1000,0xfff9813e,
    0x7c43ffff,0x84ffffff,0x17c003f8,0xfffffb80,0x3ee01dff,0xffffffff,
    0x3fe6ffff,0x7fc03fff,0xf75fffff,0xffffffff,0xfe8dffff,0x21fd8000,
    0xfffffff9,0xffffffff,0x3ffe03ff,0x01ffffff,0x000e2000,0x3fffffe0,
    0x4c001fff,0xf0bb003f,0xd83f881f,0x0adfc805,0x205ff751,0xfffffff9,
    0xffffffff,0x20fe23ff,0x7ffdc4fc,0xffffffff,0xffff36ff,0xffffffff,
    0x5c7fffff,0xffffffff,0xf36fffff,0xffffffff,0x1007ffff,0x027c007f,
    0x3fe0be60,0x3e01ffff,0x101fffff,0x10fcc07f,0x7f10007f,0x55013e00,
    0x501555bf,0x0159f755,0x018007f1,0x2215bf90,0x5102ffba,0x5bf75555,
    0x54c35555,0x2600fffa,0x10adfbaa,0xbf755555,0x54355555,0x9f10003f,
    0xaadfbaa8,0xaaaaaaaa,0x2aa603fb,0x04fbfcaa,0x80000000,0xbfcaaaa9,
    0x0fdc004f,0x2fd46d80,0x02ec1fc4,0xe9807fd1,0xbf75502f,0x55555555,
    0x7c47f755,0x5447f883,0xadfbaaaa,0x2aa1aaaa,0xaaaaadfb,0x3fbaaaaa,
    0x2eaaaaa2,0x1aaaaadf,0x555559f3,0x07f75555,0x7c007f10,0x417cc004,
    0x402affa9,0x202bfea9,0x87ea03f8,0xf88003f8,0x2009f003,0x17cc004f,
    0x13607f10,0x00ffa200,0x44005fd3,0x7f7c003f,0x007f1005,0x3ee00fe2,
    0x41b60000,0x3e2003f8,0x7db6c003,0xa8000000,0x6db6000e,0x403e4007,
    0x27ec6e98,0x02ec1fc4,0x3a2005f9,0x00fe200f,0x0fe23f88,0x7c4017fc,
    0x00fe2003,0xf8803f88,0x8017cc03,0x3f8801fd,0x30013e00,0x01fd405f,
    0xf8804f98,0xf983ea03,0x03f88002,0x13e009f0,0x4405f300,0x000bd03f,
    0x3a2005f9,0x07f1000f,0x01fbcf80,0xf1003f88,0x000f9007,0x07f107c8,
    0x1001fc40,0x000bea7f,0x37bf72a0,0x801be60b,0x005f53f8,0xfff7036c,
    0x883ff8df,0xf305d83f,0x05f88009,0xf8800fe2,0x7f40be23,0x003f8804,
    0xf8800fe2,0x403f8803,0x3fa802f9,0x4007f100,0x17cc004f,0x3a003f60,
    0x23f8800f,0xccfdccc9,0x1cccdfdc,0xefeeeec8,0x4f80deee,0x98009f00,
    0x2b7e202f,0x005eaaaa,0x220027cc,0x07f1005f,0x00dd4f80,0x3e2007f1,
    0x0005d803,0x1fc407dc,0x4007f100,0x0017e0fb,0xdceffe98,0x0efacffe,
    0x5f83ee00,0x3a217a00,0x226d9aef,0x83f882ff,0x001fb06d,0x3e203f90,
    0x90fe2003,0x2017f601,0x3e2003f8,0x00fe2003,0x5f300fe2,0x2005f880,
    0x13e003f8,0x8805f300,0x017dc05f,0x3fee3f88,0xffffffff,0xec83ffff,
    0xeeeefeee,0xf004f80d,0x02f98009,0x3fffffe2,0x7ec005ff,0x01fc8000,
    0x7c003f88,0xf8807f54,0x007f1003,0xf980009f,0x4003f882,0x91ba002f,
    0xff70001f,0x3bff6605,0x32374000,0xb09f000f,0x3e66d85f,0xb83f880f,
    0x001fcc1f,0x7f102f88,0x2002f800,0x3f8806fc,0x000fe200,0x07f1005f,
    0x7f402f98,0x00fe2000,0x7cc004f8,0x103fa802,0x1fc400bf,0x00fb8f90,
    0xf003f880,0x0013e009,0x67c405f3,0x05e99999,0x4000fe60,0x3f8802f8,
    0x1fb27c00,0x8801fc40,0x004f803f,0x7c40fcc0,0x3000c003,0x003f885f,
    0x26006fd4,0x7cc006ff,0xf801fc42,0x36c1fcc4,0x0fe20ff5,0x7dc2ffa2,
    0x41360000,0x00c003f8,0x2201fee0,0x0fe2003f,0x3e200300,0x700fc403,
    0x3f88005f,0x30013e00,0x03f6005f,0xf88003f6,0x1f71b603,0x007f1000,
    0x027c013e,0xf880be60,0x5c00bd03,0x1360000f,0xf000fe20,0xf1027c49,
    0x00fe2007,0xf700017a,0x3607f101,0x07e40004,0xbf100374,0x7f7df300,
    0x7407e400,0xfb89f006,0x1fee6d80,0xff981fc4,0xc8000f96,0x3607f106,
    0xffa80004,0x001fc400,0x013607f1,0x0803f880,0x20013e60,0x13e003f8,
    0x2005f300,0x017d45f8,0x6d80fe20,0xf88003e4,0x2009f003,0x17cc004f,
    0x13607f10,0x40007c80,0x03f8806c,0x07f227c0,0xf8801fc4,0x0007d803,
    0x03f883e4,0x5f8000bd,0x36003f70,0x877cc00f,0x0bf000fd,0x13e007ee,
    0x54db01f9,0x107f107f,0x01b639fd,0xf101f500,0x00017a07,0x3e201fea,
    0x40fe2003,0x3e20005e,0x3ba20003,0x03f88000,0xf30013e0,0x897d4005,
    0x3f88005f,0x00f917a0,0x7c00fe20,0x8009f004,0x0fe202f9,0x01b60600,
    0x8801f500,0x227c003f,0x07f106f8,0x2e00fe20,0x1b60000f,0x55556fc4,
    0x260005ea,0x009f102f,0x1ff3013e,0x7cc017cc,0xf009f102,0x6d83fa89,
    0x3e203fe6,0x27c2fb83,0x207e6000,0xaaaaadf8,0xfc80005e,0x003f8806,
    0x2aaab7e2,0x220005ea,0x3f20003f,0x07f10001,0x2a002f40,0x47ec001f,
    0xf88000fd,0x0db17a03,0x400fe200,0x009f004f,0x3e202f98,0x20fcc003,
    0x7cc0004f,0x001fc401,0x20bea13e,0x7f1003f8,0x0007f300,0x7fc413e6,
    0x05ffffff,0xfb01f600,0x4405f100,0x804f81ff,0x403ec07d,0x2077c44f,
    0x207fe26d,0xe87d83f8,0x0fcc0004,0x7fffffc4,0x017005ff,0x3e2017f6,
    0x3ffe2003,0x005fffff,0x4000fe20,0x220003fa,0x01b6003f,0xf1000f70,
    0x220007fd,0xfffff33f,0xffffffff,0x0fe200bf,0x4f8027c0,0x1017cc00,
    0x1f98007f,0x26000274,0x01fc401f,0x07ec13e0,0x7c400fe2,0x001fb003,
    0x3e201fb0,0x5e99999c,0x809f1000,0x0fd402f9,0xbd01ff88,0x4c04f880,
    0x542f402f,0x0feabeff,0x0fe20ffe,0x001b6176,0x9f101f50,0x0bd33333,
    0x3fa05f10,0x003f8804,0x266673e2,0x220005e9,0x6f88003f,0x01fc4000,
    0x74003f70,0x0df70006,0xb89fc400,0xcccefccc,0x002cccef,0x13e007f1,
    0x260027c0,0x00fe202f,0x06d83f30,0x2007d400,0x27c003f8,0x1fc44f98,
    0x3003f880,0x4f98009f,0x2f40fe20,0x801fa800,0x40fd405e,0x17a01fe8,
    0xbd003f50,0xfb306d80,0x7f49ffff,0x5d83f884,0x640007c8,0x3a07f106,
    0xf03f8805,0x07f1005f,0x5e81fc40,0x00fe2000,0x00003f60,0x6f8007f1,
    0x0005f900,0x88000fe2,0xf87f103f,0x07f10004,0x27c013e0,0x880be600,
    0x0fcc003f,0xd90001f2,0x8007f100,0x887f204f,0x07f1003f,0x88017ec0,
    0x0fe200fe,0xfd80026c,0xffffffff,0x3e200fff,0x100ff443,0xfffd807f,
    0xffffffff,0x201f200f,0x2fdc1899,0x42ec1fc4,0x360000fb,0x3607f104,
    0x883f8804,0x3f8800ff,0x6c0fe200,0x0fe20004,0x0805f700,0x4003f880,
    0x3ee00dfa,0x0fe20005,0x303f8800,0x0004f85f,0x13e007f1,0x260027c0,
    0x00fe202f,0x0fb83f30,0x20136000,0x27c003f8,0x1fc4bf10,0x4003f880,
    0x7fcc04fd,0x001fc401,0x99bf100c,0x99999999,0x225f807f,0x17d401fe,
    0x9999bf10,0x7f999999,0x00007dc0,0x3f881ff1,0x03f985d8,0x2207f100,
    0x2218003f,0x004fb83f,0x7c4007f1,0x88018003,0x17e6003f,0x665c3f10,
    0xcccdfccc,0x3fee00cc,0x1bfb511b,0x01fc4000,0x2607f100,0x000fe22f,
    0x4f801fc4,0xb800bd00,0xdfccb81f,0xcccccccc,0x4c1fdccc,0x7f10003f,
    0x8007f100,0x897dc04f,0x07f1003f,0x237dfb00,0x800efca8,0x7cc003f8,
    0x4001f701,0x457dc06d,0x0ee801fe,0xd8003ee0,0x000fe606,0x3f887fb0,
    0x01fb05d8,0x2203fb00,0x8fcc003f,0x01fe83f8,0x44007f10,0x0fcc003f,
    0xe800fe20,0x997cc00e,0xffffffff,0x403fffff,0xffffffea,0x3f880003,
    0x40fe2000,0x00fe21fa,0xf801fc40,0x800d7004,0xffff887d,0xffffffff,
    0x81ffffff,0xfd8000fd,0x003f8801,0x8b74027c,0x07f1003f,0x3fffaa00,
    0x22004fff,0x0fcc003f,0x7d4005e8,0x17f77401,0x3a00fe40,0x00fd4005,
    0xf98000fd,0x2ec1fc46,0x4c004f98,0x00fe205f,0x0fe23f30,0x7c400df5,
    0x00fe2003,0xf8803f30,0x003f9003,0x1df805f3,0x5ff4c000,0x3e200001,
    0x0fe20003,0x05f307d4,0x400bea00,0x03f3004f,0x000037c0,0x4f9806ec,
    0x802fcc00,0x27c003f8,0x1fc67cc0,0x0003f880,0x000df7ec,0x26001fc4,
    0x002f981f,0x7fd404f8,0x027ec403,0x3e000be6,0x000fea04,0x1fc45fd0,
    0x07f902f4,0x8803fa20,0x8fcc003f,0x01fec3f8,0x44007f10,0x0fcc003f,
    0x2a00fe20,0x05f3004f,0xd00003d4,0xf1000009,0x1fc40007,0x07e60fb8,
    0x8007e400,0x01be004f,0x000017e4,0x0ff201e2,0x8007f440,0x27c003f8,
    0x03f9fc80,0x20007f10,0x01004fd8,0xf3000fe2,0x2000f903,0x3ffa207c,
    0xf73109df,0x00f9007f,0x9fb01f20,0xfa80e440,0x7f10fe25,0x2027ec40,
    0x7c402ff9,0x88fcc003,0x003fe63f,0x22003f88,0x0fcc003f,0xf100fe20,
    0x017cc00d,0x7c0000b9,0xf8800001,0x0fe20003,0x007ea3dc,0xf8017e60,
    0x037e6004,0x00005fc8,0xfd8805a8,0x017fcc04,0xf8007f10,0x7fdf1004,
    0x000fe200,0x3ffbffe6,0xfeb89bde,0x4003f881,0x004f81f9,0xfd105f30,
    0x3ffffee5,0x9f000eff,0x80be6000,0xa99bdfe8,0x3fa01ffb,0x0fc87f11,
    0x11befc80,0x1003ff95,0x1f98007f,0x01fe47f1,0x8800fe20,0x0fcc003f,
    0xfb00fe20,0x017cc001,0x002a21f3,0x00512640,0x0007f100,0x47c81fc4,
    0x46a200fa,0x2000ffc9,0x7fcc004f,0x1bfb711b,0x2be00000,0x3bf205a8,
    0x3ff9511b,0x33333260,0xcccccdfc,0x6677e5c2,0x0ffee01c,0xf9999993,
    0x0599999b,0x337bffe2,0xfffffedc,0x66fe65c2,0xcccccccc,0xb931fdcc,
    0x401799bf,0x2cefccca,0x95310bf6,0xb9300137,0x401799bf,0x2cefccca,
    0x3fffff20,0xa7cc01df,0x0bfd73f8,0x7ffff540,0x65c00cff,0xcccccdfc,
    0xfdcccccc,0x1be25f11,0xcccccc98,0x2cccccdf,0x3337f32e,0xcccccccc,
    0x99931fdc,0x999bf999,0x333be599,0xcccccccc,0x7ec02fdc,0x30000ffe,
    0x0009fdff,0x9df99997,0x32e03999,0xd903fccc,0x7fd407b8,0x4000efff,
    0x00ccccef,0x7fffff4c,0x4000003f,0x5402dfd9,0xcffffffe,0x3fffee00,
    0xffffffff,0x3fffe25f,0x7f403fff,0x7ffffdc3,0xffffffff,0x88026a05,
    0xfff881ba,0xffffffff,0x1fffffff,0xfffffff7,0x7ffff403,0x0006a6ff,
    0xfffff700,0x7ff403ff,0x9806ffff,0x2e0009aa,0x00eec764,0x0abca880,
    0xfffff880,0xffffffff,0x361fffff,0x7dc03d11,0xffffffff,0xff15ffff,
    0xffffffff,0xffffffff,0x3ffffee3,0xffffffff,0xfffffff5,0xffffffff,
    0x01551005,0x00353000,0xffffff10,0x207fffff,0x03fffffd,0x53005031,
    0x3e000579,0x002effff,0x00137951,0x40000000,0x000abca8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x19999999,0x65440000,0x5eeeeeee,
    0x016dc400,0x00010000,0x02000001,0x00400000,0x00020000,0x20000000,
    0x2f6a0000,0x00800000,0x00001000,0x00000100,0x00800008,0x00000400,
    0x22008000,0xeeeedca9,0x00005eee,0x00098800,0x10006a20,0x00298017,
    0x80170017,0x005e5409,0x3ffffffe,0x100001ff,0x555559fd,0x7c400d75,
    0x00007dac,0x2e003ec4,0x5c00002f,0x2000002f,0x000005e8,0x20000dd1,
    0x400005e8,0xde8000fc,0x00001fca,0x009d11b6,0x000017dc,0x80006e88,
    0x00fd43f9,0x0006e880,0x00000bee,0x703f3000,0x55bd7bff,0x000555f7,
    0xe98013e6,0x000befff,0x1bfffff7,0x203df300,0x0bf005fb,0x3f201fa8,
    0x013ffea6,0x7f955553,0x3a00009f,0x0034c00c,0x0002d879,0x8005fd10,
    0x00003fe8,0x0000ffa2,0x0007fe60,0x00bfa600,0x00bfe600,0x027ec400,
    0x012e2d40,0xd117ec00,0x7f44003f,0x7cc00003,0x7c40002f,0x001bea0f,
    0x00017fcc,0x00007fd1,0x30fdc000,0x11e41bff,0xefa8000f,0x59ff5000,
    0x4405ff95,0xfca9bdfe,0x3fe9802f,0xd8013f62,0x01ff101f,0xffc87ff4,
    0xb6d8006f,0x1f30000f,0x7400d300,0x40002d41,0x10002ff9,0x400009fb,
    0x00004fd8,0x00007bea,0x0007fe60,0x0007fea0,0x001ff440,0x003c43d8,
    0xfd11fec0,0x9fb10003,0x3fea0000,0x7f440001,0x0003be61,0x00007fea,
    0x88013f62,0x20099999,0x6eb99999,0x8f213fa2,0x3ee00078,0x1df3000e,
    0x3a03fb10,0x03fd102f,0xfd3bfb10,0xbff98007,0x807fd711,0xfff30ffe,
    0x53f88007,0x4b80005f,0x6400d100,0x200016c3,0x80001efa,0x400005fc,
    0xb80005fc,0x800000ef,0x80000efa,0x00000efb,0x40005ff3,0x00025c5a,
    0x1fe88ff2,0x02fe4000,0x003bee00,0x4c3fd100,0xfb8000ef,0x6400000e,
    0xfff8805f,0xfe81ffff,0x21efffff,0x447906fa,0x0bf90007,0x2200fd80,
    0x402fb86f,0x3ee006f8,0xd30001ef,0x07ffffff,0x0981ffb0,0x3e0fb800,
    0x02dc0005,0xacf88000,0x7cc0007d,0x2e00000e,0x5c00005f,0x3ee0005f,
    0xf5000005,0xf500001d,0x2200001b,0xf80001ff,0x0001fcad,0x05fb13ee,
    0x017ee000,0x0006fd40,0xdf10fec0,0x1bf50001,0x3ee00000,0xadfa9805,
    0xf755102a,0x209f9019,0x2001e23c,0x7cc004fc,0x742fa802,0x003f7005,
    0x4000064c,0x000accba,0x40000ffb,0x0007e46e,0x00003f10,0x002f6e20,
    0x00007100,0x00000aa0,0x398000a6,0x0e200000,0x00398000,0x0000b800,
    0x0002f6a0,0x00350730,0x00029800,0x5c000073,0x30000b81,0x50000007,
    0x0027c005,0x1fec0be6,0x001e23c8,0x3ee000a6,0x7c4bf000,0x005f3003,
    0x00000000,0x0000ff90,0x07f10be6,0x5fffb500,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c004f80,0x209fb02f,0x0001e23c,0x2007c800,
    0x400fe27c,0x000002f8,0xfc800000,0x1f900007,0xec800dd0,0x0019f50a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x17cc004f,0x47906fc8,
    0x00000078,0x1f9801b6,0x07d40136,0x9dfd9710,0x35555005,0x0d5554c0,
    0x00006fb8,0x007ee0bf,0x7ec407c4,0x2aaaa002,0x2aaaa601,0xfedb8801,
    0x40130bde,0xdefedba8,0x35555002,0x0d5554c0,0x9dfb9500,0x6dcc0017,
    0xdeb882df,0xdb751003,0x20005bdf,0x2cefedb9,0xdba88062,0x5002defe,
    0x54c03555,0x71001aaa,0x0059dfd9,0x9dfd9710,0x372a0005,0x5400bcef,
    0x2a601aaa,0x2a001aaa,0x00bcefdc,0xf98009f0,0x905ff302,0x55503c47,
    0x5efee4c3,0x7003dc01,0x400fdc7f,0x3ffee05e,0x01effecd,0x407ffff1,
    0x705ffffd,0x4003f0df,0x09f102f9,0xbf5007c0,0xffff8803,0x3ffff603,
    0x6f7fdc05,0x3fcffedc,0xdefffd88,0x201efedc,0x203ffff8,0x805ffffd,
    0xfdceffe8,0x7ec402ff,0x265ffcef,0x205ffdff,0xcdefffd8,0x2001efed,
    0xfecdeffc,0xd886c9ef,0xedcdefff,0x3fe201ef,0x3ff603ff,0xffb805ff,
    0x1effecdf,0x9bfff700,0x2003dffd,0xfdceffe8,0xfff102ff,0x7ffec07f,
    0xffe8805f,0x02fffdce,0x7cc004f8,0x90bfee02,0xffa83c47,0xb9dff93f,
    0x07cc09ff,0xf127fc40,0x417ec01d,0xd500dfe8,0x3e66209f,0x2f4ccc03,
    0x1fc45fb8,0x7d80fb00,0x32017200,0x266200cf,0x74ccc03f,0x4077f205,
    0xe883ffc8,0x1df500ac,0x01fccc40,0x7017a666,0x3fa605ff,0x702fa205,
    0x223df17f,0x59d105fc,0x003bea01,0x2a017fd3,0xce886ffe,0x01df500a,
    0x201fccc4,0x2205e999,0xfd500dfe,0x06ff4409,0x5c04fea8,0xbfd302ff,
    0x00fe6620,0xb80bd333,0xbfd302ff,0x4c004f80,0x6ffd402f,0x81e23c8a,
    0x0bfdcf98,0x13e04fc8,0xd117ff20,0xfd73359f,0x400bf605,0x01fc02fc,
    0x17ea0bd0,0x3e2007f3,0x8017cc04,0xfd8805e8,0x2003f802,0x003be05e,
    0x70000ff6,0x00fe007f,0x37e605e8,0x004fb800,0x701fdfb0,0xfb80003f,
    0x800f7403,0x5c0006fd,0x007f003f,0x05fb02f4,0x7ec0bf20,0x205f9002,
    0xfb800df9,0xd001fc04,0x006fcc0b,0x09f027dc,0x7002f980,0x3c47fffb,
    0x00bffe20,0x07f201fd,0xd05dafc8,0x03ffffff,0xfb000fea,0xd001fc01,
    0xf313ea0b,0x007ea009,0xed88017a,0x404fa801,0x417a003f,0x7f1003f8,
    0x00bf0000,0x05e800fe,0x3f9001ba,0x05ff5000,0x7c0002f4,0x8007ee05,
    0xf80006f8,0x4007f005,0x007f505e,0x1fd40fd8,0x3a03f600,0x00fe4006,
    0x02f4007f,0x1fc800dd,0xf98009f0,0x23d88002,0x17fc4078,0xfb017d40,
    0xdb2fd887,0xb979df90,0x00df01df,0x1fc09f10,0x3e60bd00,0xd8027d44,
    0xffffffff,0x4000ffff,0x74400dfa,0xe800fe04,0x4003fa05,0x6d80000a,
    0x74007f00,0x8003f905,0xf88006e8,0x0007dc07,0x2fc41b60,0x00036400,
    0x03f8036c,0x037c17a0,0x1be27c40,0xf913e200,0x06e88003,0x05e800fe,
    0xe88003f9,0x98009f06,0x4790002f,0x027c4078,0xffe809f0,0x17a3ffed,
    0x3ba605fb,0x4000fe20,0x800fe06d,0xa87f305e,0xcdf8805f,0xcccccccc,
    0xd88003fc,0x807c403f,0x817a003f,0x00001dfb,0x006d8088,0x82f4007f,
    0x1f70005d,0x02fc4100,0x044007e6,0x01fa836c,0x22000880,0x7f006d80,
    0x7c42f400,0x44db0003,0x8db0003f,0x1f70005d,0x5e800fe0,0x2e000bb0,
    0x4004f80f,0x790002f9,0x0fe203c4,0xb9804f80,0x92fc0ade,0x54fd003f,
    0xaaaaaabf,0xcaaaaaaa,0xe800fe07,0xfb87f105,0x000fb805,0xe98001b6,
    0x7c0f601e,0x5017a003,0x359bdfff,0x7ff6cc00,0x06ecefff,0x2f4007f0,
    0xf30004f8,0xffd95103,0x5555bfbf,0x205f7555,0xfffffed9,0x1f706ece,
    0xdb300000,0xd9dfffff,0x800fe00d,0xaabfa85e,0xaaaaaaaa,0x3ea7caaa,
    0xaaaaaaab,0x7caaaaaa,0xf980027c,0x74007f01,0x20009f05,0x004f81f9,
    0xc80017cc,0x7f101e23,0x00027c00,0x007f27cc,0x7ffdc7e6,0xffffffff,
    0x00ffffff,0x02f4007f,0x806fb819,0x0fd4005e,0x033ee000,0x00fe01d1,
    0xca8805e8,0x03ffffed,0x333bff62,0x06ffdcca,0x2f4007f0,0x880017c4,
    0x66ffe43f,0xfffffdcb,0x3fffffff,0x6677fec4,0x06ffdcca,0x880000d9,
    0xcacceffd,0xf006ffdc,0x5c2f4007,0xffffffff,0xffffffff,0xfffff70f,
    0xffffffff,0x3e21ffff,0x07f10002,0x85e800fe,0xf10002f8,0x98009f07,
    0x4790002f,0x01fc4078,0x500009f0,0x8007e63f,0x3335f54e,0x33333333,
    0x1fc03333,0xb800bd00,0x017cc06f,0x400027c0,0x4edbaed8,0x5e800fe0,
    0x3f6a2000,0x067f440d,0x3f8036c0,0x3e217a00,0x25f10003,0xf100cfe8,
    0x33333339,0x67f44133,0xf906d800,0x7f440000,0x006d800c,0x42f4007f,
    0x99999afa,0x99999999,0x266bea19,0x99999999,0x3e219999,0x05f10003,
    0x85e800fe,0xf10003f8,0x98009f05,0x4790002f,0x01fc4078,0xd00009f0,
    0x36003dcf,0x00007f16,0x5e800fe0,0x203fe400,0x0f90007c,0x5f7e4000,
    0xd001fc00,0x3e60000b,0xb0017ec5,0x800fe00d,0x0009f05e,0x01fdc7ea,
    0x360017e2,0x41b6002f,0xb00000fb,0x036c005f,0x17a003f8,0x40000fe2,
    0x200003f8,0x3f50004f,0x5e800fe0,0x2a0009f0,0x4005d81f,0x790001fb,
    0x0fe203c4,0x40004f80,0x003ee3fc,0x0017e5e8,0xd001fc00,0x07fc800b,
    0xf980027c,0x0f600002,0xbd001fc0,0xf7000260,0x360027c1,0x4007f006,
    0x000db05e,0x8807c9f2,0x04f8007f,0x1f9836c0,0x009f0000,0x07f006d8,
    0x05f82f40,0x0017e000,0x90006d80,0xd001fc0f,0x4001b60b,0x800d707c,
    0x8f20007d,0x01fc4078,0x4c0009f0,0x8017cc5f,0x00bee4f8,0x4013e000,
    0x7ec005f8,0x6fee4c0f,0x32a00bcc,0x102cefcc,0x401aa001,0x0bf1004f,
    0x3f3000fe,0xdd000be6,0x44013e00,0x007f505f,0x03ea5f98,0x4003ff10,
    0x374002f9,0x20006f88,0xe8005f30,0x2009f006,0x05f705f8,0x00bee000,
    0x001fd400,0x04f817e6,0x3ea0bf10,0x82fcc003,0x1be001f9,0x1e23c800,
    0x7c007f10,0x1ff50004,0xf9001dd0,0x8000fe83,0x2601ba01,0x815105ff,
    0x7fdc0ffd,0x201fffff,0x6ffffffe,0x1aa00790,0x7cc03740,0x800df05f,
    0x00bf10fc,0x7401bfa6,0x05ff9806,0xfe8007f6,0xe880be20,0x884c05ff,
    0xdfd3005f,0x2001fd40,0x00bf15e9,0x7401bfa6,0x05ff9806,0x060003fa,
    0x060003fa,0xfe8007f6,0x2601ba00,0x07f605ff,0x3e00fe80,0x005f9006,
    0x80f11e40,0x13e003f8,0x407bf200,0x3ee00df9,0x002ef883,0x3f201fd5,
    0x17ffee01,0xfe8fffe6,0x2000000f,0x013200cd,0x1fc801f4,0x417ffee0,
    0xfa800dff,0x2e007f45,0xf9006fff,0x2fffdc03,0x9805ff10,0x81fd82fe,
    0x82ffffe8,0x03fa3fd8,0x80dfff70,0xfc8804fd,0x7003fa1f,0x3200dfff,
    0x3ffee01f,0x00bbe205,0x3e207f54,0x1fd5002e,0x4c02ff88,0x0fe402fe,
    0x40bfff70,0x74c02ff8,0x06fcc02f,0x8000bf90,0xf101e23c,0x4c27c007,
    0x9ff9531b,0x237ff500,0x2205fea8,0x2a61adfe,0x2202ffeb,0xeca88cff,
    0x23cee8df,0x3f26fffc,0x22000007,0xb804c807,0x9ff1000e,0x1bfd9511,
    0xfff879dd,0x36a60abe,0x0aef986f,0xb1bfd951,0x7c40599f,0xfeca88cf,
    0x103cee8d,0x2a235bfd,0xfd102ffc,0xf7fd5117,0xf7115fb7,0x0aef987f,
    0xb1bfd951,0xfb10599f,0x32a6137d,0x77cc0eff,0xbfd9510a,0x40599fb1,
    0xca88cff8,0x3cee8dfe,0x435bfd10,0x02ffeba9,0x4c35bfd1,0x102ffeba,
    0x2a235bfd,0xf8802ffc,0xfeca88cf,0x103cee8d,0x2a235bfd,0xf3002ffc,
    0x3f6e237f,0x1e40000d,0x3f32a0f1,0xcb880bce,0x3fee2cef,0x002cefff,
    0x3fffffa2,0xfff7002f,0x17dfffff,0xfffff300,0x37ff45ff,0x0989fff5,
    0x1a600000,0x33333b20,0x000efdcc,0x7fffffcc,0xd1bffa2f,0xfffffb35,
    0x26017fff,0xfffffffe,0x01bfff62,0xfffffff3,0x2037ff45,0xfffffffb,
    0x7ff4400d,0x363d1fff,0x301effff,0xfffffffd,0x037ffec5,0xfffffff5,
    0x7f4c03bf,0x22ffffff,0x4c06fffd,0x2fffffff,0xf701bffa,0xdfffffff,
    0xfff70017,0x17dfffff,0xfffff700,0x4c001bff,0x2fffffff,0xf701bffa,
    0x1bffffff,0xfffe9800,0x98003fff,0x90decccc,0x3f61999f,0x881fffff,
    0x446fffff,0x40000aba,0x0001aba8,0x00357753,0x02af2a20,0x00059300,
    0x273a0000,0xaaaa986b,0x0000aaaa,0x002af2a2,0x59975100,0x5e54c003,
    0x51000009,0x00001579,0x0026f2a6,0x40157710,0x53000bb9,0x00001379,
    0x026b2ea6,0x09bca980,0x79510000,0x26000015,0x0001abba,0x006aeea6,
    0x09bca980,0x57951000,0x2a600001,0x400009bc,0x0009bca8,0x55555510,
    0x00aaaaa1,0x00000000,0x00000000,0x00000000,0x88000000,0x00002dec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1a800000,0x80000b80,0x04980000,0x00054400,0x80000ae0,0x001000a8,
    0x004d4c00,0x000e4400,0x00072200,0x0b880550,0x071006e0,0x01700170,
    0x01700170,0x10000800,0x22000039,0x0180001c,0x22000000,0x0001a803,
    0x00000722,0x10015c00,0x88037000,0x400b8803,0x03a8002a,0xd801a880,
    0x001fc406,0x8000bee0,0x4001effb,0x04ffffea,0x027fec40,0xfffd9500,
    0xfffd307f,0x3f660007,0x001effff,0x007ffd30,0x0bffa600,0x304fd800,
    0x1ff401fd,0x7c00ff98,0x400fd405,0x00fd405f,0x8003f700,0x0002ffe9,
    0x0017ff4c,0xe8005f10,0xefa80004,0x0007fb00,0x000bffa6,0x055e5cc0,
    0xfc8027d4,0x81ff4000,0x7cc00ff9,0x009f901e,0x000dffc8,0xb80bfff7,
    0x007f603f,0x0005fc80,0x5ff5bfb1,0x2b3bf200,0x9800efdb,0x00efcbfe,
    0x2f7ffa20,0x67d43ca9,0x2005eb89,0xa9bcefd8,0x54004feb,0x005fdaef,
    0x7ed77dc0,0x37f20004,0x1007bee0,0x77dc1bfb,0x101fd801,0x3fb001ff,
    0x0003fe20,0x2e002fe4,0x004fdaef,0x9fb5df70,0x00be2000,0x0001bf70,
    0x3a62ffa8,0xdf70003f,0x40009fb5,0xfffffffb,0x200df10d,0xd88004fd,
    0x07bee0df,0xd117fcc0,0x7f44009f,0xf801efbb,0x2202ffff,0xfb512cfe,
    0x27ec000b,0x23fe9800,0x7dc04fd8,0xb80df505,0x0bfea1ef,0x400ffea0,
    0x007f02f8,0x5f9013fa,0xb837f200,0xfd8001ef,0x003bee0d,0x7e57fd40,
    0x3bee000d,0x26005fd9,0xfd711bff,0x2ffe6007,0x007fd711,0xb0013f60,
    0x077dc1bf,0x5c1bfb00,0x7c4000ef,0x0efb8002,0x5ff44000,0xb0001ffa,
    0x077dc1bf,0x42b7f600,0xfeaffc98,0x01ff4400,0x367bee00,0x744000df,
    0x002ffacf,0xfe98bfea,0x3fffe203,0x7fec402f,0x0004ffff,0x20007fd1,
    0xbf901ff8,0x3ee037c0,0x101bf702,0x77dc05fd,0xc81ea001,0x2005b006,
    0x27ec00fd,0x2000ff98,0x1ff503fd,0x3ffa6000,0xffd30003,0xffd30007,
    0x8007ffff,0xffffffe9,0x3fe88003,0xa81fec00,0x3fd800ff,0x4001ff50,
    0xf50002f8,0xfb00003f,0x360001bf,0x01ff503f,0x9807fd10,0x74401ffe,
    0xd300002f,0xc80007ff,0x2a000eff,0x3fd880ef,0x01ffff60,0x01bccb98,
    0x000bfa00,0x1d400b88,0x7c401fb8,0x37007306,0x20017e60,0x001e204c,
    0x700be600,0x000b8803,0x0171006e,0x0001c800,0x20000ec4,0x000accba,
    0x02b32ea0,0x0017f400,0x02e200dc,0x171006e0,0x0017c400,0x0003ff30,
    0xb8000970,0x4005c401,0xff7002fc,0x00ffc401,0x00722000,0x40025400,
    0x401b8039,0x00000bda,0x0006e000,0x1be00000,0x0000fe40,0x8000fe80,
    0x001ea06b,0x000fe200,0x00000000,0x00000000,0x00000000,0x1b800000,
    0x00000000,0x2e200000,0x10001adf,0x0000003b,0x30000000,0x37e6009f,
    0x0005c04f,0x00000000,0x00000000,0x00000000,0x00000000,0xf9801fc4,
    0xfb800004,0x03f30003,0x20000176,0x000002f8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffd88,0x00005adf,0x00000000,
    0x01fd0000,0x1f91df10,0x00000000,0x00000000,0x10000000,0x5bdfdb75,
    0x00000000,0x33bfb6e6,0x01f98622,0x6dc413e0,0x130bdefe,0x6c0005e8,
    0x003ee21d,0x2a1ee000,0x2a601aaa,0xaa981aaa,0xaa800aaa,0x5cc02aaa,
    0x222cefed,0x3fb6e201,0x80130bde,0x2cefecb8,0xdfb95000,0x00000179,
    0x3bf72a00,0x5c4000bc,0x002cefec,0x2a237ff5,0x0000fffc,0x01aaaa80,
    0x006aaaa6,0x3bfb6ea2,0x07f3002d,0x27c47fa0,0x95000000,0x00179dfb,
    0x77f6dd44,0x2aa2002d,0x0001aaaa,0x77ffec40,0x01efedcd,0x80d55544,
    0xfc802dca,0xeffecdef,0x003ee6c9,0xeffb85e8,0xfcffedcd,0x20001fc3,
    0x1ffcdfd8,0x5f980000,0x01ffffc4,0xd0bffffb,0x807fffff,0x0ffffff8,
    0xd9bdff90,0x20d93dff,0xedcdeffb,0x2e03fcff,0xffecdfff,0xffd1001e,
    0x05fffb9d,0x55555554,0x01aaaaaa,0x373bffa2,0xf7002fff,0xdffd9bff,
    0x006fcc03,0xaa881ff3,0x8801aaaa,0x3603ffff,0x2205ffff,0xdcdefffd,
    0x7dc01efe,0x6c2fc800,0xaaaaa886,0xfe88001a,0x2fffdcef,0x77ffec40,
    0x01efedcd,0xffffffd8,0x74400003,0x1df500ac,0x2ffffec0,0x3ffbffea,
    0x00bfe981,0x3e4dffd5,0xbf91b600,0x8fff2203,0x009881f9,0x202b2ea0,
    0x44004da8,0xf33105fc,0x5e999807,0x00139f30,0x202fea62,0xd500bfe9,
    0x3bf90dff,0x20fff220,0xd500dfe8,0x2ffb809f,0xf10bfd30,0xffffffff,
    0x2e09ffff,0xbfd302ff,0x806ff440,0x1dd04fea,0xfd81f900,0x003fffff,
    0x9807f331,0x3a205e99,0x1df500ac,0x7d403e40,0xffd87c84,0x4003ffff,
    0xfd302ffb,0x0567440b,0x9800efa8,0x003f9999,0x3ee00000,0x2f4ccc03,
    0x3a615dfb,0xb001ee87,0x2003e4df,0x40077c7c,0xb83ee3fd,0x001efffd,
    0x2fbf6e20,0x7fff4400,0x007f004f,0x00bd02f4,0x77403ee0,0xf0dfb001,
    0x07fb001d,0x3f2005fb,0x001bf302,0x9cf889f7,0x99999999,0x0df981ff,
    0xfb04fb80,0x30bf2005,0x40e2005f,0x03f99999,0x3a003f80,0x7f700005,
    0x3e602ec0,0x3301f505,0x4007f333,0xfb800df9,0x3fb80004,0x0007f000,
    0x05f80000,0x13fa37a0,0x007ee0c4,0x01f26f88,0x01fc4f90,0xd9b23f88,
    0x3febabdf,0x37f6e200,0x7f64000b,0x07f003ff,0x0f902f40,0x836c0262,
    0x3e2001fb,0x8801fc46,0x001fd43f,0x01ba03f6,0x1fc43f90,0x6e80fec0,
    0x2a0fe400,0x07ec003f,0x000001f7,0x0fe000fe,0x00005e80,0x204f817e,
    0x5f300ee8,0xe800fe00,0x00fe4006,0x8002fc00,0x0b26003f,0x006d8000,
    0x800bfbba,0x6c8005f8,0x8f9001f2,0x415000fe,0x3205fb6d,0x3fae202f,
    0x300000bd,0x07f00bf9,0x3f502f40,0x13a0df90,0x320017e2,0x5000fe86,
    0x88006f81,0x000fe44f,0x02f89ba2,0x1fc817e4,0x3e374400,0x24f88006,
    0x2000007c,0x03f8003f,0x800017a0,0xd813e06d,0x007e601f,0x1fc801fc,
    0x00374400,0xf80036c0,0xdfff9003,0x6d808800,0x007ffa00,0x10003f50,
    0x32003e41,0x000efdc7,0x200fe76c,0x3fae20fe,0x000000ad,0x3f803bee,
    0xf8817a00,0x441ffe82,0x001fa83f,0x1dfb8088,0x003f8800,0x005d8db0,
    0x200c1f70,0x017603fc,0x3f887dc0,0x3dcdb000,0x07f00000,0x74007f00,
    0xd8088005,0x7e417a06,0x8007dc03,0x00bb003f,0x44003ee0,0xf0006d80,
    0xffff1007,0x7f6cc05f,0x6eceffff,0x0003ba00,0x200003ee,0x436c007c,
    0xacdefffa,0x00fff201,0x56fd4fe6,0x000a9880,0xf80fe600,0xf017a003,
    0x43fbf989,0x00fb81fa,0x7ffd4000,0x2a01acde,0xaaaaaabf,0xcaaaaaaa,
    0x980027c7,0x09f7001f,0xf30004f8,0x2aaafea3,0xaaaaaaaa,0x07ea7caa,
    0x01fc0000,0xbd001fc0,0xfffdb300,0x40dd9dff,0x804fa86c,0x00fe007c,
    0xf980027c,0xfffdb301,0x00dd9dff,0x3e200fe0,0xd882ffff,0xccacceff,
    0x3a006ffd,0x00d90005,0x8003ee00,0xdb95105e,0xf707ffff,0x8027c00d,
    0x00cffffb,0x7c0db000,0xb017a003,0x46d8fc8d,0x000d907b,0x3b72a200,
    0xfb83ffff,0xffffffff,0xffffffff,0x20005f10,0x5fa803f8,0x80017c40,
    0xffff73f8,0xffffffff,0x221fffff,0xf000005f,0x007f0007,0xffb102f4,
    0xfb99599d,0x107dc0df,0x01b600df,0x2f8803f8,0x887f1000,0xcacceffd,
    0x0006ffdc,0x3ff2007f,0x0cfe886f,0x3a006d80,0x00f90005,0x800bea00,
    0x6d44004e,0x00bea0df,0xbec806d8,0x0000db50,0x01fc03ee,0x0fb80bd0,
    0xdb0fd57a,0x00001f20,0x1bfb5100,0x4cccd7d4,0x99999999,0x00fe2199,
    0x26017c40,0x03f8806f,0x3ea5f100,0x9999999a,0x19999999,0x028017dc,
    0x3e000fe0,0x4417a003,0x6d800cfe,0x0fe93e60,0x2004f880,0x03f8803f,
    0x7445f100,0x06d800cf,0x4c007f00,0x005fb02c,0x0bd0036c,0x0003ee00,
    0x4400fe60,0x3e60003f,0xdb001fc5,0x7f01f980,0x05f30000,0x05e800fe,
    0x12f98fcc,0xfb827c9f,0x00000000,0x01fc4bf3,0x0009f000,0xef8807ea,
    0x0009f000,0x01fc47ea,0x813fa000,0x7f000ffb,0x4007f000,0x005fb05e,
    0x23f6036c,0x1fb001fc,0xf801fc00,0x43f50004,0x1b6002fd,0x0001fc00,
    0x6d8009f0,0x40017a00,0xf00001f9,0x98bee00b,0xb07dc000,0x2027400d,
    0x0017206b,0x1fc03ea0,0x7f00bd00,0xf16d83ee,0x0007e605,0x2e0004c0,
    0x00017e0f,0xf90006d8,0x0007f440,0x1f2000db,0x900000bf,0xffb99bff,
    0x01fc003b,0xbd001fc0,0xdb0013e0,0x03fef980,0xf8009f30,0x000db003,
    0x8009f1f2,0x07f0006d,0x7cc164c0,0x00374002,0x3e2000bd,0xfc820006,
    0x1fc6e801,0xfb87e600,0x403f8801,0x001e603d,0x04f81f60,0xbd00bf10,
    0xf53f517a,0x001be201,0x3000fe08,0x0017dc3f,0x4003fa80,0x07fa05f9,
    0x8007f500,0x017dc5f9,0x7f64c000,0x7f0002df,0x2009f000,0x02f985f8,
    0x7ec03740,0x00dd3005,0x3ea007f0,0x32fcc003,0x06e8005f,0x32007f00,
    0x2fc46fff,0x006fe980,0xfa80017a,0x32f4c003,0x42fa80bf,0x07e4006f,
    0x03f601ba,0x23640b90,0x0fee000a,0xff9806e8,0x2f9fc805,0x5407ccf8,
    0x2f4c003f,0x0fc800df,0x0c0007f4,0xfd000fec,0x3007f601,0x4003fb0b,
    0x00fe80fe,0x2f880180,0x001fc000,0x7fcc0374,0x3005f885,0xff880dfd,
    0x0ffd404f,0xb001fc00,0x07f4003f,0x3a600bf1,0x07f0006f,0x5fffff10,
    0x7dc00fe8,0x17a006ff,0x009fb000,0xfc83ff91,0xff0df302,0x0bf5001b,
    0x1fdc09f5,0x3f807cc0,0x2e00ffe2,0x00fe405f,0x500bfff7,0xdfb01fbf,
    0x009fb00b,0x7fc3ff91,0x85fa800d,0xd5002ef8,0x02ff881f,0xfc817f4c,
    0xf887b802,0x17f4c02f,0x5002ef88,0x2f8801fd,0x001fc000,0xff700fe4,
    0x003fa0bf,0xe80dfff7,0x11befd9f,0x0001df95,0xff8800fe,0x417f4c02,
    0x7fdc00fe,0x07f0006f,0x5fffff10,0x510aef98,0x9fb1bfd9,0x005e8059,
    0x4df7ec40,0x1dff9530,0x3159fd10,0xfff03ff7,0x6d4c157d,0x2bbee06f,
    0x005fd988,0x86d98bb2,0x30abefe9,0x8801bfd5,0xeca88cff,0x03cee8df,
    0x7d417fe2,0xefd8803f,0xff95309b,0xbefff81d,0x1bf6a60a,0x21adfe88,
    0x02ffeba9,0x2235bfd1,0xf702ffca,0x441ee007,0x9511adfe,0xfe8805ff,
    0x3aea61ad,0x2f8802ff,0x001fc000,0x54467fc4,0xcee8dfec,0x88577cc3,
    0xfd8dfeca,0x517e42cc,0x9fffffff,0x003f8000,0x88d6ff44,0xf302ffca,
    0x3b2a215d,0x2ccfd8df,0x333332e2,0xcccccefc,0x1bfff21c,0x7fffff4c,
    0x3fff62ff,0x3f333266,0xccccccce,0xffff5002,0x003bffff,0x1dfffff9,
    0x3ff66ba0,0x0bffffff,0x7fffed40,0xffc8003f,0x36a00dfe,0x2fffffff,
    0x3fffe600,0x3ffa2fff,0xf017fc06,0x7fd4003f,0x1dffffff,0xfffb35d0,
    0x017fffff,0xffffff70,0x70017dff,0xbfffffff,0x333fea01,0xcccccccc,
    0x7ffdc07e,0x000dffff,0x3fffffee,0x1000beff,0xccb8805f,0xccefcccc,
    0x2601cccc,0x2fffffff,0x3a61bffa,0x2fffffff,0xfa9bfff6,0x03795304,
    0x33332e20,0xccccefcc,0x3fee01cc,0x00dfffff,0x7fffff4c,0x3fff62ff,
    0x3ffffe66,0xffffffff,0x0164c4ff,0x004de54c,0x3ffffee0,0xffffffff,
    0x65d4c004,0x5440009a,0x544000ab,0x0001accb,0x40001375,0x4c001aa8,
    0x10001aba,0x00015795,0x98000000,0x0009acba,0x0d665d44,0xabba9800,
    0x32a60001,0x7fdc009b,0xffffffff,0x53007fff,0x40001379,0x001abba9,
    0xff3007a0,0xffffffff,0x809fffff,0x000abca8,0x026f2a60,0x00007100,
    0xffffff30,0xffffffff,0x7953009f,0xca980013,0x0000009b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc9800000,0x2f320001,0xed80a981,
    0x000003ee,0x5dddb100,0x00080100,0x00440110,0x00020040,0x20000801,
    0xb80002c8,0x00002cec,0x02eeed88,0x0071006e,0x227775c0,0x401c43eb,
    0x20000038,0x99999999,0x99999999,0x76540199,0x55541bdf,0x986aa60a,
    0xd81cefdb,0xeeeeeeee,0x883eeeee,0x5015400b,0x54c03555,0x3a601aaa,
    0xeeeeeeee,0xaaaa83ee,0x5554c02a,0x0397002a,0x3bb72600,0x2aaa20ac,
    0x1dddd90a,0x03ffe200,0x77ffec00,0xd81ffeba,0x00004fee,0xfddb1000,
    0x506fb807,0x7cc001ff,0x01ff880f,0x7dc17f20,0x20df7006,0xe8000ffa,
    0xd30002ff,0x01dffdff,0x776c4000,0x40ffa03f,0x70000ff9,0x7fc4bfdd,
    0xb00bea1f,0x1f5cc00f,0x2aaab620,0xaaaaaaaa,0x81caaaaa,0xfeceffd8,
    0x57fffe5f,0xff93fff8,0xf89ffd9d,0xeeeeeeef,0x984feeee,0x09f901ef,
    0x80ffffe2,0x204ffffd,0xeeeeeefa,0x7c43eeee,0x101fffff,0x03ffffff,
    0x88007fd0,0xfeddeffc,0x7ffff13f,0x801ffff6,0x0001fffa,0x567fff54,
    0x0004f800,0x3f880000,0x6407fec0,0x3ee001ff,0x03ffa82f,0x7ec1ffa0,
    0x0ffd800f,0x8001ffc8,0x88004fff,0xdf930bff,0xf1000001,0x06fec407,
    0x00003df7,0x41fff17a,0x17ea06f8,0x7fffd930,0x00003880,0x03ff9835,
    0x33bf1df7,0xbfdcf988,0x13e4fc81,0x3e609f00,0x013fa22f,0x9807f331,
    0x3ea04f99,0x3ee20001,0x54c4009b,0x7fd000cf,0x067f4400,0x5fce7ec4,
    0x1bfff209,0x000bfb00,0x2f3ffb26,0x013e005f,0xaa980000,0xaadfbaaa,
    0x9103d880,0x04c88007,0xd9800332,0x2007b102,0x07b102d9,0x003bee00,
    0x7d407f60,0xf8800004,0xd9efb803,0x200000df,0xfb84c85e,0x1ff930be,
    0x2fbffea0,0x01c403fa,0x7741a800,0x27f74400,0x805fff10,0x4007d1fe,
    0x3fa202f9,0x2002ffac,0x13a003f8,0x80001fa8,0x07e4005f,0x4007fd00,
    0xefa801fe,0x5fffb83f,0xb0000800,0x3fa85bff,0x00009f00,0x7ffff400,
    0x04ffffff,0x00000000,0x00000000,0x01000000,0x3e037c00,0xf8800007,
    0x7ffd3003,0x8bd00000,0xfff701f9,0x5403dfff,0x00fe20bd,0x2a000071,
    0x4c007f21,0x3fe204ff,0x013fa801,0xc800fc80,0x44000eff,0x813a003f,
    0xb80001fa,0x09f1001f,0x7001cb80,0x7fdc005f,0x04fff983,0x0a600000,
    0x9f003f50,0x44000000,0xcfa99999,0x00000019,0x00000000,0x00000000,
    0x3f880000,0x00007dc0,0x8800fe20,0xd000001c,0x54404e8b,0x20002bcc,
    0x01c403f8,0x9f11a800,0x204fc800,0x13e003f8,0x5002f400,0x0fe20009,
    0x3ea04e80,0x0bf00001,0x00003f20,0xd000bf00,0x7fff107f,0x00000000,
    0x4f801d90,0x80000000,0x000003f8,0x00000000,0x00000000,0x22000000,
    0x007dc03f,0x00fe2000,0xe8000000,0x00000145,0x2201fc40,0x23500003,
    0x7d4002f9,0x800fe204,0x3f98004f,0xf1000000,0x50274007,0x2e00003f,
    0x027c401f,0x0be60000,0x7c0fee00,0xdb9802ff,0x0622cefe,0x026ee620,
    0x4c4f80bf,0x002cefdb,0xaceeca88,0x2200fe20,0x2defedba,0x03555500,
    0x00d5554c,0x79dfb950,0xecb88001,0x88002cef,0x02cefecb,0xe880fe20,
    0x3b2a2006,0x0fe20ace,0x5c400000,0x17a0bdfd,0x20000000,0x01c403f8,
    0x1f71a800,0x204f8800,0x13e003f8,0x0003ee00,0x01fc4000,0x0fd409d0,
    0x80bf0000,0x000000fc,0x540007d4,0x03ffd03f,0xecdeffc8,0x206c9eff,
    0xffffffd8,0x7c03f92e,0x3b3bff64,0xf9001eff,0x3fffbbdf,0xfd880fe2,
    0xfedcdeff,0x3ffe201e,0x3fff603f,0xffe8805f,0x02fffdce,0xd9bfff70,
    0x2e003dff,0xffecdfff,0x03f8801e,0x32003fd3,0xfffddeff,0x2aa07f11,
    0xaaaaaaaa,0xff301aaa,0x3a3ffd9d,0x2aaa2005,0x20001aaa,0x01c403f8,
    0x0f91a800,0xf8813e00,0x0013e003,0x2aaa21ba,0x05b9501a,0x3a003f88,
    0x5447ea04,0x5c000acb,0x009f101f,0x35555551,0x0001f700,0x3ff607f3,
    0x017fd300,0x5c1bffaa,0xb989acff,0x203fadfd,0x503fe8cf,0xdfc807ff,
    0xf8afd880,0x02b3a203,0x310077d4,0x999807f3,0x17fdc05e,0x2205fe98,
    0xfd500dfe,0x06ff4409,0x4404fea8,0x3fff623f,0x01bf9002,0x07f15fb1,
    0xfffffff1,0x09ffffff,0xfe881df5,0x3f2005e9,0x003fffff,0x7100fe20,
    0x546a0000,0x27cc001f,0x7c007f10,0x41fc4004,0x545ffffd,0x01ffefff,
    0x274007f1,0xfffd9f50,0x4001bfff,0x001f705f,0x7ffffffb,0x0003f500,
    0x1ff207f5,0xfb001ee8,0x801df70d,0x3e06edfb,0x74401eed,0x005f901f,
    0x0007f9f7,0x7c00fee0,0x9817a003,0x4fb800df,0x32005fb0,0x005fb02f,
    0x3f880bf2,0x07bfff62,0xf7005f90,0x39f107f9,0x33333333,0x0ef883ff,
    0x0017ff60,0x07f33333,0x201fc400,0x35000038,0xf5000be6,0x001fc409,
    0x1fb8009f,0x6cbd3330,0x0fd30aef,0x4e800fe2,0x2f7ffea0,0x02ffb989,
    0x5f883f70,0x26666600,0x03f8803f,0xf503fc80,0x8007ee0b,0x02fc46f8,
    0x7c0fff30,0xdf1001ff,0x6c007f50,0x200003ff,0x007f005f,0x00dd02f4,
    0x1fd41fc8,0xf503f600,0x00fd8007,0x3ea207f1,0x007f504f,0x7c41ffec,
    0xc81fd803,0x2ffc401f,0x001fc000,0x38807f10,0x7c350000,0x027f4006,
    0x27c007f1,0x7401b600,0x3104fe8d,0xe800fe20,0x1006e204,0x17e001fd,
    0x440003f7,0x01dd003f,0x701ffc40,0x000bf101,0x000fe8d9,0xff807fe4,
    0x21fd4003,0x7fc4006d,0x1b600003,0xbd001fc0,0x10007f20,0x8006f8dd,
    0x0037c4f8,0x3f8827c4,0x6c1fe440,0x1ffc4006,0x3f2017c4,0x9005f882,
    0x7f0000bf,0x01fc4000,0x540000e2,0x5c00fea1,0x0fe204ff,0x22004f80,
    0xfddd004f,0x13e20005,0x00027c40,0xf7004f98,0x20002fc1,0x9f3003f8,
    0x01ffec00,0x4000fd40,0x000fe208,0x0ff80ffc,0x17c4f800,0x001fe400,
    0x8036c044,0x417a003f,0x1f70005d,0x6c000fe2,0x4000fe26,0x007f106d,
    0x005f07f2,0x00607f90,0x0be607f9,0x0002fcc0,0xf10001fc,0x00038807,
    0x03fd8350,0x1027e7dc,0x027c007f,0x3a003f50,0x220001ff,0x4ff9806f,
    0x01f20000,0x003f75f8,0x2003f880,0x36200cfc,0x41403fcf,0x980000fb,
    0x3fb0001f,0x6c001be0,0x20007e66,0xed9803fa,0xecefffff,0x4007f006,
    0x0009f05e,0x55fd47e6,0xaaaaaaaa,0x2a7caaaa,0xaaaaaabf,0xcaaaaaaa,
    0x4007f107,0x0007e66e,0x2e000fea,0x003ea04f,0x40002fc4,0x3e20003f,
    0x0001c403,0x77ec41a8,0x27fd531a,0x00fe204f,0x1f2004f8,0x0000ee80,
    0xf700ffc4,0x400009ff,0x3f7000fa,0xf10000bf,0xbffc8007,0x9ffb9889,
    0x20f403f8,0xf700006c,0x03f20001,0x7c8002fc,0x7cc001ee,0x3bff6203,
    0xffdccacc,0x4007f006,0x002f885e,0x3fee7f10,0xffffffff,0x0fffffff,
    0xfffffff7,0xffffffff,0x07f101ff,0x07b87dc0,0x8007f300,0x03dc05fa,
    0x200017e0,0x3e20003f,0x0001c403,0xfff501a8,0x27c5dfff,0x1677e644,
    0x9f0027c0,0x0002f400,0x4467ffc4,0xee8dfeca,0xf980003c,0x07ffe002,
    0x00fe2000,0x3ffffa60,0x07f10dff,0x003e41e8,0x0000fa80,0x002fc0f9,
    0x003ea7c8,0x7440fe60,0x06d800cf,0x2f4007f0,0x88001fc4,0x3335f52f,
    0x33333333,0x57d43333,0x99999999,0x01999999,0x7d4007f1,0x30001f51,
    0x37cc007f,0xf0007dc0,0x07f0000b,0x201fc400,0x35000038,0x80aca980,
    0xffffb84f,0x027c00ef,0x3a002f98,0xdf880005,0x2ffffffe,0x0001bffa,
    0xfb800be6,0x7f100005,0x5dd44000,0x7403f881,0x0003ee2e,0x4000be60,
    0x001fe06e,0x003f12f4,0x3f607f70,0x401b6002,0x417a003f,0x3f50004f,
    0x40000fe2,0x800003f8,0x3e2003f8,0x70003f13,0x3be2007f,0x001fa800,
    0xf0000bf1,0x1fc40007,0x40000e20,0x4f80001a,0x027c0000,0x2f4007c8,
    0xa9fc4000,0x00000abc,0x2001fa80,0x100001fb,0x8000007f,0x1e9803f8,
    0x200003f3,0x5f88005f,0x20007fe0,0x4001f44f,0x009f03fc,0x07f006d8,
    0x06d82f40,0x05f8f900,0x0017e000,0x800fe200,0x000fa3f9,0x3a200ff2,
    0x05f3000f,0x00017ea0,0xf88000fe,0x0001c403,0x440001a8,0x7c00003f,
    0x800bd004,0xf880005e,0x00000003,0x0bf001f2,0x01fc4000,0x0fe20000,
    0xf11e86ea,0xfb04000d,0x01fa8001,0xf90017fe,0x2000fc83,0x2f983ff9,
    0xf8037400,0x20bf1004,0x7cc003fa,0x00017dc5,0x00002fb8,0x40ee1fc4,
    0x003f21fb,0xe803ff98,0x0374001f,0x80005fd8,0x3e20003f,0x0001c403,
    0x540001a8,0x2600001f,0x02f9802f,0x40002f40,0x000003f8,0x400df100,
    0x200001fb,0x000003f8,0x7f4c1fc4,0x01fd45fe,0xef897a60,0x80bf3000,
    0xf3003fff,0x400bf309,0x5f883ffe,0x00dfd300,0x3fe601ba,0x8007f605,
    0x00fe80fe,0x00fe8180,0x87f10180,0x4c1fb07c,0x3ffa005f,0x200fec03,
    0x2017d459,0x80005ffa,0x3e20003f,0x0001c403,0x220001a8,0x6400007e,
    0x00fb801f,0x40002f40,0x880003f8,0x07f2003f,0x00006e80,0x00001fc4,
    0x9880fe20,0x1009fb00,0xffa83ff9,0x007fd401,0x500ff33e,0x06fcc0df,
    0x07f5dd10,0xff7003fa,0x07f200df,0x205fffb8,0x74c02ff8,0x05df102f,
    0xf103faa0,0x3faa005d,0x7cc3f880,0x7cc27cc2,0x2bba200d,0x00bf203f,
    0x407fa1ee,0x0005edf9,0x220003f8,0x001c403f,0x20001a80,0x200003fd,
    0x0bd004fb,0x0000bd00,0x200007f1,0x7e400dfd,0x00bee004,0x007f1000,
    0x03f88000,0x2fbf6200,0xdff95309,0x2b7fea01,0x03dfb730,0x7dd3f32e,
    0xbfb510ae,0x1bff9801,0xf11df731,0x77cc399b,0xbfd9510a,0x40599fb1,
    0xca88cff8,0x3cee8dfe,0x235bfd10,0x402ffca8,0x261adfe8,0x102ffeba,
    0x54c35bfd,0x65c2ffeb,0x97743dfc,0xff300fe9,0x3bee6237,0x21ccdf88,
    0x0f7003fb,0x2e637fd1,0x0199dd5f,0x8000fe00,0x01c403f8,0x2601a800,
    0xffca9999,0x33310003,0x1001dfb7,0x0bd0007f,0x007f1000,0x567fdc00,
    0x20bfd531,0xee999998,0x10000099,0x8800007f,0x19bfa999,0x3ffea000,
    0x01dfffff,0xfffffd88,0x7ff404ff,0x3fffaa4f,0x26003fff,0xdffffffd,
    0x87ffff10,0xffffffe9,0x1bfff62f,0xffffff30,0x037ff45f,0x3fffffee,
    0x3ee000df,0xefffffff,0xfffb800b,0x0befffff,0x37ffffc4,0x07bfffea,
    0xfffffb30,0x3ffe21bf,0x999ff53f,0xd9999999,0x3fff620f,0x3fffa5ff,
    0x99997103,0x9999df99,0x33326399,0xcccdfccc,0x000712cc,0x7fd406a0,
    0x01efffff,0x3ffffa00,0x03e6003f,0xdf999930,0x59999999,0x0000be00,
    0xffffd910,0x7ffc05ff,0xffffffff,0x99971000,0x999df999,0xf0003999,
    0xffffffff,0xba980007,0x880009ac,0x0001acb9,0x006f2a20,0x00377300,
    0x09bca980,0x79510000,0x26000015,0x00009bca,0x006aeea6,0x1abba980,
    0x32e20000,0x5dcc000a,0x7ffdc001,0xffffffff,0x654407ff,0x3fe60002,
    0xffffffff,0xf74fffff,0xffffffff,0x362bffff,0xcccccccc,0xcccccccc,
    0x2aa601dc,0x800009aa,0x0000aaa8,0x3fffee00,0xffffffff,0x0001004f,
    0x1aba8800,0xaaaaa980,0x2001aaaa,0xfffffff9,0xffffffff,0xaaa98004,
    0x000aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x313ae000,
    0x5cc43555,0x4001bdfd,0x44000000,0x00000019,0x5c4002a2,0xa8015400,
    0x01001ced,0x07300000,0x2e200370,0x30bdefed,0x03ec8801,0xfdb73000,
    0x540c459d,0x02eeeeee,0x3bbbbaa0,0x3555002e,0x0defee4c,0x332a6000,
    0x0000001a,0xdedca800,0x4ccc1acc,0x33301999,0x01333333,0x8003ec88,
    0x0002eeec,0x1bcb9800,0x00000480,0x00003366,0x0006a200,0xf17ffcc0,
    0x3fa29fff,0x1fffecef,0x007fae60,0x37fa6000,0x000003ee,0x9ffffd93,
    0x901ef980,0xfff1009f,0x7f5cc0df,0x5c000001,0x3fd880df,0xcdeffb80,
    0x03fcffed,0x8bbfbff2,0xff9004e9,0x3dffd9bd,0xdddd50d9,0x754007fd,
    0x803feeee,0xff93fffa,0x009ffb9d,0x3ffee1d1,0x003fffff,0x3ffffff6,
    0x2001ffff,0xffefffe9,0x3fff67ff,0x7e45ffff,0xffffffff,0x3fbff207,
    0x6413a62e,0x00002fee,0x3ffffee0,0x1f981dff,0x20001d10,0x00003ffe,
    0x02fffdc0,0xffd001d1,0x4e7ccc41,0x3fd302ff,0x03f59dd0,0x43f88000,
    0x400003e9,0xdb9beffa,0x3fe601ef,0x4013fa22,0xd07ffff9,0x0003f59d,
    0x43ff7000,0xfc803fe9,0x7ff9101d,0x75433e60,0x401efdef,0xd500bfe9,
    0x3e200dff,0x1fc40003,0xfdcf9880,0x404fc80b,0x2cefdbf9,0x0037f6e6,
    0x3333332a,0x1000bccc,0x131039fd,0x567e5544,0x5555440a,0x301aadfa,
    0x3bfaa19f,0x7c400efd,0xfb000002,0x3f2a215b,0x980fdc0f,0xffb0002f,
    0xf8000005,0xf301ffff,0xf8172005,0xfd800dfe,0x0007e201,0x00fa8000,
    0x01bf7000,0xe8803fa6,0x002ffacf,0x4017ffe4,0x000001f8,0xdf77fd30,
    0x003be003,0x70080ff6,0xdd0019fd,0x01bf6003,0x20001fc4,0x3e2003f8,
    0x07f402ff,0x003fff30,0x00001df5,0x005f9000,0x4000fcc0,0x2e01004f,
    0x2aa00cfe,0xaaaaacfb,0x7fd10001,0xd10ff980,0x0017cc0d,0x00000f50,
    0x2fffff88,0xf5005f30,0x007ffc03,0x0fc40fd0,0xf5000000,0x1be60000,
    0x32017e20,0x10000eff,0x00fc4003,0xfb100000,0x3e2001bf,0x007f1003,
    0x03f70000,0x88037c40,0x7c40003f,0x0bfe2003,0xf980bea0,0x13ea000f,
    0x3a000000,0x0fcc0006,0x00027c00,0xffffb800,0x1fffffff,0x002fc800,
    0x05ff5dd1,0x880017cc,0x8000004e,0x2607fffd,0x402f802f,0x7cc002ff,
    0x0003f102,0x07f53000,0x007f2000,0x25400fdc,0x22000000,0x0000001f,
    0xfe8003b8,0x00015000,0x005f8800,0x7f1006c8,0x03f88000,0xf8013e20,
    0x0013e604,0x000007f2,0x80009f00,0x4f8001f9,0x26000000,0x9999bfa9,
    0x4f980009,0x17ffcc00,0x4000be60,0x0000006c,0xf9802f6a,0x0ff00002,
    0x7c413a00,0x814c0001,0x0003fff9,0x2004e835,0x000002f8,0x03f10000,
    0x0000b800,0x03bf7000,0xdb751000,0xf5005bdf,0x00110003,0x10000fe2,
    0x1fc4007f,0x7c409f00,0x06f88001,0x677f65c4,0x004f8002,0x4000fcc0,
    0x6e54004f,0x1000bcef,0x6c00005f,0x2fd8000f,0x59f75510,0x15555555,
    0x00000130,0x2eaa2000,0xaaaaaacf,0x06f800aa,0x3e20db00,0x1bf20001,
    0x003fda88,0x00113f62,0x000009f0,0x07e20000,0x00ff4c00,0xff500000,
    0x00359bdf,0x9bdfffb1,0x5c03dfdb,0x4000000f,0x440003f8,0x0fe2003f,
    0x00404f80,0x7dc0fd00,0xeffecdff,0x3eaaa601,0x0fcc0004,0x88027c00,
    0xffdceffe,0x22f8802f,0x01cefdb9,0x10003f98,0x3fffa07f,0xffffffff,
    0x555405ff,0x2f7f7261,0x7f400001,0xffffffff,0xf805ffff,0x20f90005,
    0xe98001f8,0x3f5000df,0x007ff700,0xa885f300,0x001aaaaa,0x3f100040,
    0x2efc8800,0x3261aaa8,0x4001bdfd,0xfffedca8,0x2b3a203f,0x201df500,
    0x8000006c,0x440003f8,0xf880a23f,0x0013e003,0x441fc800,0xfd500dfe,
    0xfffff309,0x1f980009,0xb804f800,0xbfd302ff,0xff92f880,0x809ffd9b,
    0x360000fb,0x2fea6604,0x19999999,0xc9fffd40,0x4ffdceff,0x54cc0000,
    0x999999bf,0x00df0019,0x0fc41b60,0x05ff9100,0x6c409d00,0x900000ef,
    0xffffd81f,0x2a0003ff,0x007e2007,0xf504ffa8,0x3bff27ff,0x0004ffdc,
    0x00dfda88,0xc81fdc00,0x88000007,0x7c40003f,0x2203ff53,0x013e003f,
    0x42f98000,0x5f9002fd,0x09f33310,0x001f9800,0x6fcc04f8,0x204fb800,
    0x902febf8,0x003e409f,0x3e601b20,0xf9880002,0xfc80bfdc,0xf9800004,
    0x1ff00002,0x2209f000,0x9ff5001f,0x09f10001,0x0000ffee,0x33304f98,
    0x40007f33,0x3f1000fb,0x03dfb100,0xbfdcf988,0x0004fc80,0x00017e60,
    0x007dc17e,0x8fe20000,0x3e2001db,0x2201efed,0x213e003f,0xaaaaaaa9,
    0xaaaaaaaa,0x3ea3fbaa,0x007ec003,0xf300013e,0x809f0003,0x0fe4006e,
    0x401fff88,0x00bb01fe,0x4c00fb80,0xf100002f,0x0fe805ff,0x17cc0000,
    0x04ff8000,0xf8817dc0,0x0f7ec401,0xf9102b20,0x00dfe981,0x03be2000,
    0x10003f80,0x3e2001fb,0x01ffd401,0x805fff10,0x001300fe,0x40000fb8,
    0x003f306d,0x53f88000,0x7cc00fff,0x3f8802ff,0x3f613e00,0xffffffff,
    0xffffffff,0x001be3ff,0x09f013e2,0x001f9800,0x07f204f8,0x220dd100,
    0x3fa801ff,0x980009f0,0x017cc01f,0x02ff8800,0x75c02fa8,0x3e601eee,
    0xfff00002,0x917e6003,0xbdddfddd,0x5544ffa8,0x6df7f541,0x17fe41ef,
    0x440006aa,0x1fc000fe,0x17ff2200,0xddfddd90,0x8f7ec4bd,0x3e200bb8,
    0x02fa802f,0x1f98007f,0x0db01100,0x08001be2,0xff73f880,0xffc8801f,
    0x00fe2005,0x99ed84f8,0x99999999,0xf9999999,0x20007f13,0x0027c06d,
    0x20007e60,0x0017604f,0x1fc407dc,0x13e09f00,0x503f3000,0x5559f755,
    0xf8800155,0xd013e004,0xf980bfff,0xdbf00002,0x0ffa805f,0x5555554c,
    0x83dfb11a,0x95304ff9,0x0dfe9857,0x40027fd4,0xf8001fe8,0x33fee003,
    0xaaaa9801,0x7ff71aaa,0x3baefba6,0x2004f881,0x800df04f,0xfdb300fc,
    0xdd9dffff,0x2001fd40,0x3f8805e9,0xfa807fb1,0x22003fdf,0x213e003f,
    0xf880006d,0x55557f53,0x55555555,0x04f80f95,0x000fcc00,0x009f027c,
    0x3e207e60,0x6c13e002,0x43dc0006,0xfffffffa,0x000fffff,0x4f800fe2,
    0x07fffe20,0x00005f30,0x8d6fed3e,0x001efda9,0x3a07ff70,0xfc8004dc,
    0x4ebf882e,0x00ff4400,0xfb003f80,0x4c00001b,0x213a0dfe,0x003f886c,
    0x06ffc13e,0x6c42fd40,0xccacceff,0x7ec06ffd,0x1ffc8804,0x4003f880,
    0x03f89efd,0xf800fe20,0x0000fb84,0xfffb97cc,0xffffffff,0x00ffffff,
    0xf300013e,0x209f0003,0xf10002f8,0x4005f107,0x000f904f,0x533106c8,
    0x1333337f,0x003f8800,0xfffb813e,0x002f9804,0x7f5c9f00,0x004fffff,
    0x201bfd10,0x54009b6c,0x2db00cfe,0x3fe6004e,0x00fe0001,0x000013e6,
    0x05a87ff7,0x03f885f1,0x7ffc13e0,0x36a60abe,0x0cfe886f,0x6c406d80,
    0x95309bef,0x22001dff,0x115c003f,0xf995007f,0x9710179d,0x0fd459df,
    0x543ee000,0x999999af,0x99999999,0x00027c01,0x805107e6,0x007f104f,
    0x3e20be20,0x5c13e002,0x1360000f,0x0000be60,0x9f001fc4,0x0077fec0,
    0x800017cc,0x1aca884f,0x0ffee000,0x009b1f98,0x5403dfb1,0x26009d1f,
    0x7c0000ef,0x000fc803,0x01bfd300,0x7c42f880,0x7413e003,0xfffffd9a,
    0xfd80bfff,0x401b6002,0xfffffffa,0x7c4001df,0x1fc40003,0x7ffffec0,
    0xffff881f,0x0013e26f,0x01fc4db0,0x009f0000,0x3e41f980,0x04f813e0,
    0xf103f500,0x9827c005,0x5f30003f,0x0005f300,0xf800fe20,0x00bffe04,
    0x800017cc,0x3000004f,0x4e801bfd,0x9ff50136,0x13a3f880,0x0003be60,
    0x17a00fe0,0x17fe4000,0x440ec800,0x013e003f,0x0d67dd44,0xdb0013e0,
    0xadfa9800,0x7f100009,0x03f88000,0x36000000,0x7f50001f,0x000005f8,
    0xf300013e,0x1fc07c83,0x32000db0,0x4005f107,0x003f604f,0x26007f60,
    0xf100002f,0xa827c007,0x3e6005ff,0x09f00002,0x5ff10000,0x04d8d900,
    0x36007bea,0x3ea02746,0x7f00000e,0x0000bd00,0x200019fb,0x03f880ec,
    0x3a0013e0,0x002f9801,0x1e800374,0x03f88000,0x001fc400,0xdf100000,
    0x70dd1000,0x2000005f,0x7cc0004f,0x5f103e41,0x2001fd40,0x05f105f9,
    0x9f3027c0,0x005f9800,0x200005f3,0x13e003f8,0x30007fe4,0x3e00005f,
    0x15000004,0x4d83f300,0x7d400a20,0xdf502741,0x1fc00001,0x77003e40,
    0x22000330,0x07f100ed,0x740027c0,0x02fc402e,0x0006fe98,0x880005dd,
    0x7c40003f,0xef880003,0x027d4003,0x7f403f60,0x7c018000,0x0fcc0004,
    0x01fb81f2,0xfd000fec,0x800be201,0x017e404f,0x1000fe98,0x220000bf,
    0x413e003f,0x7c4004ff,0x09f00003,0xe8000000,0x2eeaaaae,0xaaef8000,
    0xfb82deaa,0x7c00000d,0x004fa803,0x440000db,0x01fc405e,0x260009f0,
    0x007f401e,0x001bffee,0x20001e98,0x440003f8,0x3100003f,0xdfc8001f,
    0x017f4c00,0x2a005df1,0x013e00fe,0xfa83f300,0x8806f885,0x7f4c02ff,
    0x800be202,0x27f4404f,0x000bfe60,0x193001fd,0xf800fe20,0x2000dd04,
    0x0c9800ee,0x000009f0,0xccccc800,0x80004eec,0xefcccccc,0x1002fdc3,
    0xd801fc00,0x0374c03f,0x804fa800,0x13e003f8,0x03d0dd40,0x510aef98,
    0x9fb1bfd9,0x21ba8059,0x3e20001e,0x1fc40003,0x1e826000,0xacffa800,
    0x03df9530,0x435bfd10,0x02ffeba9,0x64c0027c,0x51ccdfdc,0x3ff7139f,
    0x2b7fa200,0x05ff9511,0x3e002f88,0x37df9004,0x007ff2a2,0x442bbe60,
    0x00ffeba9,0x27c007f1,0x77cc0000,0xfd75311b,0x6fccc41f,0x00001999,
    0x009b0000,0x5c4e8000,0x01f4004f,0xfd1003f8,0xfd75335d,0xf700009f,
    0x00fe2005,0xfd3004f8,0x3a600bfd,0x2fffffff,0x301bfff6,0x100bfdfd,
    0xf9999997,0x3999999b,0x333332e2,0xcccccdfc,0xfefc801c,0x3f620005,
    0x04ffffff,0xfffffb80,0x440befff,0xccefcccc,0xfffc803c,0x3ee4ffff,
    0x8002ffff,0xfffffffb,0x3f72600d,0xf99102cd,0xff50079d,0x019fffff,
    0x7fff4c00,0x503dffff,0x0179df99,0x059df971,0xffea8000,0x83dfffff,
    0xffffffff,0x0000003f,0x00004d80,0x33f62740,0xcccccccc,0x9714fccc,
    0x9df99999,0x70399999,0x7dffffff,0x3db00001,0x7e654b20,0xcb880bce,
    0x31002cef,0x79530001,0x44000013,0xfff30009,0xffffffff,0x3e69ffff,
    0xffffffff,0x04ffffff,0x00001310,0x000565cc,0x0d5dd4c0,0x3ffffee0,
    0x000effff,0x00aca800,0x4de54c00,0xffffc800,0xffff505f,0x2a2001df,
    0x00000abc,0x002af2aa,0x3ffffff6,0xfffff881,0x55000006,0xa9801579,
    0x02aaaaaa,0x7c000000,0x00006fff,0xb37fffc4,0xffffffff,0x29ffffff,
    0xfffffff9,0xffffffff,0x026aa604,0xffff0000,0x369fffff,0x81ffffff,
    0x06fffff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x97300998,0x00000015,0x00b76600,
    0x0d555440,0x0002dca8,0x00600000,0x000ae200,0x22000000,0x000abcb9,
    0xeeeeeea8,0x22037662,0x31002200,0x22013333,0x00199999,0x02af2e62,
    0xeee98000,0x3372e600,0x9950001b,0x26001035,0x99999999,0x2e600199,
    0x40040abc,0x40accba8,0xeeeeea80,0x0010002e,0x332e6000,0xeed8801a,
    0x4000002e,0xabccedca,0x0bbbb620,0xf7004000,0x7fec47ff,0x800dffff,
    0xfffffffd,0x3a000fff,0x2e1dffef,0x3fff602f,0x77ffd45f,0xfff101ff,
    0xdfffffff,0x017c4000,0x00fffa00,0xffffffd0,0x4001ffff,0xfdceffea,
    0x3aa003ff,0x3a3feeee,0x0ffcc3ff,0xf9817fc4,0x43ffffff,0xfffffff8,
    0x77ff5404,0x003fffdc,0x41fefe80,0xfefffeb8,0xdb800dff,0x2fffffff,
    0xfff801f3,0xffffffff,0x3f6a04ff,0x9dffffff,0xff9101f9,0x71bfffff,
    0xddddd50d,0x3f10007f,0x7fdc0000,0x01dfffff,0x00bfbb62,0x7ff4c000,
    0x27ffffef,0x002feed8,0x5102fb80,0x37fe67f7,0x00df710b,0x99999995,
    0x2e001799,0x3b7fee3f,0x4ccc00df,0x42bbf65e,0x332e07e9,0x3ccccccc,
    0x00fe2000,0x009fff00,0xcccccca8,0xb1003ccc,0x3ea2037f,0x7f10000e,
    0x3ea17fe4,0x04ff982f,0x2aab7eaa,0xcfbaaa80,0x37fb100a,0x003bea20,
    0x0fd57d40,0x9102fbfe,0x3fa201ff,0x3faa21bd,0x54c01fbd,0xafeaaaaa,
    0xfd880aaa,0xd9510ace,0xfd103fdf,0xeffb883b,0x007f1007,0x00005f30,
    0x5442b7f2,0xf8802ffb,0xe8800002,0x019881cf,0x100005f1,0x5fc407fd,
    0x3ea00efb,0x00000004,0x07dd9101,0x9fd1bd00,0x00000620,0x007f1000,
    0x001efb80,0x3ea00000,0x7fb1000d,0xa87f1000,0x2e019907,0x004f800c,
    0xbf5017cc,0x0ff62001,0x3eadf100,0x7cc027c1,0x802ff885,0x0001fffa,
    0x1ff401b6,0xd81ffc80,0x3ff4402f,0x8003f880,0x440002f9,0x7f4c03fe,
    0x0017c402,0x0017e400,0x00005f10,0x7c413f62,0xfc800eff,0x00000001,
    0x3ba00000,0x000002fe,0x1fc40000,0x00004000,0x0fe20000,0x0017d400,
    0x009d0fe2,0x009f0000,0x7f102f98,0x00bea000,0x83f51fc8,0x85f7004f,
    0x3e6002fd,0x1b60001f,0x9000ff20,0x003f983f,0x3e200ff3,0x02f98003,
    0x8017e400,0x3e200fe8,0x6e800002,0x017c4000,0x217f2000,0x22005ff8,
    0x0000003f,0x3a000000,0x000001ff,0x3f880000,0x00000000,0x2a5d8000,
    0x201aaaaa,0x3e2000fb,0x00003b23,0x30013e00,0x5c17605f,0x5c133ded,
    0x24f8800f,0x801641fa,0x017ea3f8,0x80007f20,0x02fcc06d,0x3ee0fcc0,
    0x401fa000,0xf98003f8,0x13e60002,0x440bf100,0xf800002f,0x17c40004,
    0x2fdc0000,0x3a0017e2,0x806aaaa5,0x501aaaa9,0x54c03555,0xdd001aaa,
    0x75100001,0x005bdfdb,0x0007f100,0xb9500000,0xb80179df,0x333b2e0f,
    0x0bd03edc,0x0131fc40,0x13e00000,0xf705f300,0xa89cd881,0x02f41eed,
    0x03f507ec,0x3f25e800,0x00f98000,0xf701b600,0x320e0001,0x802dc007,
    0x555003f8,0x555559f7,0x3f603555,0x01fc8000,0x000005f1,0xf880009f,
    0x53000002,0xd8003f88,0x07ffff16,0x42ffffec,0x203ffff8,0x005ffffd,
    0xd88000bd,0xedcdefff,0x220001ef,0x2aaa003f,0xaaaaaaaa,0x3fa201aa,
    0x2fffdcef,0x0b105f10,0x03f103b1,0x8800fe20,0x01aaaaaa,0x260027c0,
    0x6c17c42f,0xf883f302,0xf50fe601,0x24f80003,0x0060004e,0x5e80db00,
    0x07dc0000,0x3f880000,0xfffff880,0xffffffff,0x003f987f,0x3e205f10,
    0xaaaaa882,0x5555440a,0xaaaaaadf,0x517c401a,0x0039bfb9,0x000fe200,
    0x3f9989f2,0x82f4ccc0,0x4c03f998,0xbd005e99,0xace88000,0x001df500,
    0x4400fe20,0xffffffff,0x704fffff,0x3fa605ff,0x0b107a85,0x801ec162,
    0x3f6003f8,0x003fffff,0x3e60027c,0x02cc3d42,0xe80f6076,0x0001fa86,
    0x017c47ea,0xdb000000,0x00003f80,0x000027cc,0x31003f88,0x33337f53,
    0xf7013333,0x826c0001,0xfffc82f8,0x7fd43fff,0xffffffff,0x7c407fff,
    0xfd9dff92,0xf100007f,0x20f90007,0x017a003f,0x05e800fe,0x00000bd0,
    0x5501fdc0,0xbf755555,0x15555555,0x266673e2,0x1ff99999,0xb800df98,
    0x5882dc4f,0x01720d10,0x26001fc4,0x003f9999,0x3e60027c,0x01642dc2,
    0x5f705c80,0x20003f50,0x003ea6e9,0x6d800000,0x00007e60,0x00033f20,
    0x0007f100,0x320005f3,0x83640007,0x5ff702f8,0x26662013,0x999999df,
    0x75fc4009,0x1fe440bf,0x7c45e880,0xf07b8003,0x402f4007,0x017a003f,
    0x000002f4,0x7fc417e0,0xffffffff,0x3fffffff,0x3fb007f1,0xf9001ba0,
    0x05881ec3,0x401aa07b,0xf80003f8,0x0027c003,0xb07b0be6,0x21aa0001,
    0x03f505f8,0x21efc880,0x0000007c,0x0f7036c0,0x7fdc0000,0x400009bd,
    0xf98003f8,0x00db0002,0xf880fa80,0x000efa82,0x440004f8,0x3f401fff,
    0x220ffcc0,0x07b8003f,0x02f4007f,0x0bd001fc,0x000017a0,0x4c40db00,
    0xcfa99999,0x20999999,0x17e402f8,0x44001fc8,0x7440ba6e,0x203edaaa,
    0x3f8800f8,0x003f8000,0x3e60027c,0x00341742,0x1fc81f10,0x22003f50,
    0x3e40dffc,0x20000000,0x001f206d,0xffb71000,0x80015bdf,0xf98003f8,
    0x009f0002,0xf881f980,0x0006fdc2,0x440004f8,0x2fb801ff,0x2207bea0,
    0x07c8003f,0x02f4007f,0x0bd001fc,0x000017a0,0x0036c044,0x06003f88,
    0x2ec07f90,0x5d0fb800,0x3f333a20,0x4007cc01,0xf80003f8,0x0027c003,
    0xd05d0be6,0x83e60001,0x07ea04f8,0x4033fe60,0x0000007c,0x0f9036c0,
    0xb9800000,0x2001ffec,0xf98003f8,0x009d0002,0xf881f980,0x00013f62,
    0xf880009f,0x209f1003,0x7f100efb,0x3e0f9000,0x2017a003,0x017a003f,
    0x980002f4,0xefffffed,0xf10006ec,0x3ee00007,0x80027c04,0x2209b1f9,
    0xd500f4c5,0x000fe200,0x9f000fe0,0x6c2f9800,0x50001c84,0x2a00fd8d,
    0x02f9801f,0x500003e4,0x206d8007,0xeeeb807b,0x004eeeee,0x2005fd30,
    0xf98003f8,0x00db0002,0xf880fa80,0x0003fe8a,0x440004f8,0x213e002f,
    0x1fc405fa,0x3f83e400,0x3e017a00,0x4017a003,0x6c40005e,0xccacceff,
    0x10006ffd,0xf500007f,0x002f880b,0x416e7f10,0x900e8858,0x00fe200b,
    0xf000fe00,0x42f98009,0x0004a85b,0x201fd4b9,0x1f9801fa,0x0000fd40,
    0x36c006d8,0xeb803f50,0x4efeeeee,0x03f62000,0x2000fe20,0xf90002f9,
    0x106c8000,0x000bfd9f,0x100013e0,0x427c005f,0x03f88039,0x07f06c80,
    0x1fc02f40,0x9930bd00,0x9999df99,0x74405999,0x06d800cf,0x0007f100,
    0xf8806f98,0x25f10003,0x2a0b107a,0x22007b05,0x3f80003f,0x20027c00,
    0xd83d42f9,0x8f60aa01,0x999999fe,0x401afb99,0x1fcc00e8,0x006d8000,
    0x05f3036c,0x0007e600,0x2200be60,0x2f98003f,0x001f7000,0xff8826c0,
    0x80003fde,0x7c40004f,0x0013e002,0xd8003f88,0x74007f06,0x2003f805,
    0xffffb85e,0xffffffff,0x00bf604f,0xf10006d8,0x77c40007,0x0009f000,
    0x41fc47ea,0xf30b6058,0x00fe2003,0xd000fe00,0x41fb800b,0x705b03f8,
    0x3e1f981d,0xffffffff,0x003fffff,0x0005f880,0x6d800db0,0x98001fc0,
    0x4000a21f,0x03f8804f,0x0002f980,0x220007f3,0x21df103f,0x7c0003fc,
    0x17c40004,0x64c09f00,0x0007f102,0x800fe0bb,0x003f805e,0x0000017a,
    0x1b60027c,0x001fc400,0x2000fe88,0x8f90006d,0x3bfb20fa,0x13a5e884,
    0x0003f880,0x35c003f8,0x7d41f600,0xddcdc880,0x5544e80b,0xaaaaaaaa,
    0x0000abfc,0x00003f70,0x04f800db,0x4c000774,0x0003ee1f,0x0fe2017a,
    0x000be600,0xd8000fd8,0xd85f101f,0x13e0003f,0x005f1000,0xfffc827c,
    0x8003f886,0x2009f04e,0x04f805f8,0x0000bf10,0x8005f300,0x7f10006e,
    0x007fa000,0x98007f50,0x2625d85f,0x32310099,0x01fc4006,0x2001fc00,
    0x1be001f9,0x004c05d8,0x7d4000d9,0x6e800001,0x1b699000,0x4c03fa80,
    0x1f98004f,0xf1000bee,0x007f1007,0x40005f30,0x7cc004f9,0x360be205,
    0x09f0003f,0x002f8800,0x3ffe213e,0x01fc42ff,0x3740be60,0x402ffcc0,
    0x5ff9806e,0x00b7e600,0xd3005f88,0x17c000df,0x200fec00,0x001fd859,
    0x13e203fa,0x000fdc00,0x20000fe2,0x06f8003f,0x7c405f90,0x03f70004,
    0x400fd400,0xbf3001a9,0xd97ec400,0x01fb001f,0x98005f90,0x003bee1f,
    0xf8801fd8,0x05f88003,0x801fe400,0x3e200fe8,0x0005fb02,0xf880009f,
    0x7c13e002,0x7c42ffff,0x807ec003,0x3fee01fc,0x01fc805f,0x0017ffee,
    0xfe800f51,0x37ffdc00,0x90001000,0x10f7005f,0xfe9805ff,0x007ba602,
    0x40017f44,0xf80003f8,0x0df98003,0x26017f20,0xfd1001ee,0x1fa80005,
    0x02ffff40,0x4401efa8,0x0ffa63fe,0x74005fb0,0x3f7000cf,0x40077fdc,
    0x7f1003fc,0x003fa000,0x9fb10766,0x402ff980,0x0bf602f8,0x80009f00,
    0x13e002f8,0x7137ffdc,0xbb839bf9,0x4407f931,0xeca88cff,0x03cee8df,
    0x2a233fe2,0xcee8dfec,0x01f10c03,0x88577cc0,0xfd8dfeca,0x000002cc,
    0x7b801fdc,0x235bfd10,0x002ffca8,0xa88159f7,0x10000dfc,0x7f00007f,
    0x2ffe6000,0x01bfb711,0x20567dc0,0x000dfca8,0x2201fa80,0x000fffff,
    0x22359ff5,0xd881ffdb,0xfb731bdf,0x7ff70009,0x7f5cc435,0x3fabee1f,
    0x3fae609c,0x00fe2005,0x31677cc0,0x203ffd75,0x9511befc,0x5f1003ff,
    0x2002fd80,0x7c40004f,0x8813e002,0x7fffd41b,0x7fffe44f,0xfff9804f,
    0x3fa2ffff,0x7ffcc06f,0x3fa2ffff,0x3bf6206f,0xfe98003f,0x22ffffff,
    0x6646fffd,0xcccccccc,0x0ccccccc,0x99999ff5,0x0fd99999,0xffffffb8,
    0x6cc000df,0xdfffefff,0xcccb8802,0xcccdfccc,0x99711ccc,0x99df9999,
    0x98039999,0x3ffffffe,0xfffb3000,0x005bfffd,0x7ee65c40,0xfffd01cd,
    0xffc8800d,0x00dfffff,0x7fffffdc,0x3660002f,0xffffffff,0x3f26982d,
    0x2effffff,0xcccccb88,0xcccccdfc,0x7ff5401c,0x0befffff,0x7ffff540,
    0x2e200cff,0x32e02fcc,0x32a3ccff,0xcccefccc,0x9501cccc,0x26079bfb,
    0x00ccefcc,0xbca98000,0x2f2a2001,0xa880000a,0x80000abc,0xa9800018,
    0x440009bc,0xffffffff,0xffffffff,0xfffff72f,0xffffffff,0x2f2a600f,
    0x98800009,0x7cc000aa,0xffffffff,0x34ffffff,0xffffffff,0x9fffffff,
    0x26f2a200,0x53100000,0x26000015,0x2fffffff,0x00179710,0x00de54c0,
    0x04de5440,0x97530000,0x53000135,0x7cc03579,0xffffffff,0x04ffffff,
    0x03579550,0x2af2a200,0xffff9800,0x3ffffa02,0xffffb0ef,0xffffffff,
    0x3fffa07f,0xffc80fff,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4002f72a,0x40099998,0x4c099998,0x99999999,0x99999999,
    0x26666620,0x4c001999,0x40099999,0x09999998,0x33100000,0x99880133,
    0x4ccc4099,0x4cc40199,0x64400999,0x3310003e,0x33333333,0x81333333,
    0x99999999,0x99999999,0x26666209,0x80019999,0x99999999,0x4ccc4001,
    0x00199999,0x26666662,0x10000999,0x22033333,0xa9819999,0x555401aa,
    0x2662001a,0x99999999,0x10199999,0x33333333,0x99998001,0x99999999,
    0x44099999,0x80000cec,0x2cefecb8,0x99999880,0x41999999,0x99999999,
    0x44000019,0x1dffeffd,0x7fffffc0,0x3ffffe01,0xfffff31f,0xffffffff,
    0x3ee9ffff,0xffffffff,0xfff9004f,0x7c03ffff,0x47ffffff,0xfffffffb,
    0x3fe02fff,0x3e01ffff,0xf11fffff,0x09ffffff,0x3fffffea,0xfdff902f,
    0x98274c5d,0xffffffff,0xffffffff,0x3ffffa3f,0xffffffff,0xf74fffff,
    0xffffffff,0xfd01a89f,0xffffffff,0x7dc037bf,0xffffffff,0xf301deff,
    0xffffffff,0x2007dfff,0x4ffffff8,0x4ffffff8,0x701ffff4,0x200bffff,
    0xfffffffa,0xffffffff,0x7ffcc0ff,0xefffffff,0x7ffcc03d,0xffffffff,
    0x24ffffff,0x22ffeffb,0xff7005e9,0x3dffd9bf,0x3ffffee0,0xffffffff,
    0xffffff76,0x0009ffff,0xf50efec0,0x7fd4c03f,0x7ed4c02a,0x2ab3e62b,
    0xaacfbaaa,0x514faaaa,0x555fd555,0x32a20015,0x4c02aacf,0x41adfbaa,
    0xccccccc9,0x32600ccc,0x54c02aef,0x7ed42dfd,0x2a00aaaa,0x80aeeaaa,
    0xdfd50cf9,0x55403dfb,0xaaaaadfb,0x3fbaaaaa,0x2abbaaa6,0xaaaaaaaa,
    0x55514faa,0x15555fd5,0x54c17fec,0xaaaaaafd,0x5103ffec,0x55557f95,
    0x209ffb75,0xaaadfbaa,0x0efecaaa,0xaadfb980,0xadfaa980,0x01fccc40,
    0x8017a666,0xfcadfaaa,0xcaaaaaab,0xadfaa80f,0xfedbaaaa,0x559f301e,
    0x559f7555,0x229f5555,0xbffd30df,0xfe8803ff,0x09fd500d,0xf7555551,
    0x2355555b,0xaabfcaa8,0x00000aaa,0x13a609f5,0x4c00fea0,0x101f985f,
    0xb027c07f,0x13e0000d,0x000fd400,0x02fc8000,0x7dc0df10,0x017a0000,
    0x033fae01,0x1001fc40,0x001b607f,0x406d813e,0x1f202ffe,0x5017f620,
    0x4fc8801f,0x2a00fe20,0x3f8800ef,0x3e013e00,0x0017a003,0x00fd4be6,
    0x027c01f5,0x7cc17fcc,0x7c07f101,0x6ff54024,0x002fd800,0x3e2005f9,
    0x003ea003,0x03fb0000,0x003f6000,0x07e603fa,0x09f01fc4,0xc800036c,
    0x06d8000f,0x7f400000,0x200fe800,0x3a0000fa,0x40000004,0x3e2003f8,
    0xf000db03,0x26036c09,0x01f200fc,0x3ea02fb8,0x205f9000,0xbf3003f8,
    0x4007f100,0x003f804f,0x3ee0017a,0x7d403f50,0x44013e00,0x80fcc0fe,
    0x013e03f8,0x00fea000,0xf1001fb0,0x007d4007,0x01ba0000,0x405f8800,
    0x03f302fb,0x04f80fe2,0x4c0001b6,0x1fc4003f,0x22000000,0x017e406f,
    0x04c407e6,0x000007f0,0x2003f880,0x00db03f8,0x036c09f0,0x01f202ec,
    0x3ea01fd0,0x4417a000,0x03f2003f,0x7c007f10,0x2003f804,0x26d8005e,
    0x03ea01fa,0x3e2004f8,0xf880fcc4,0x00013e03,0x22001be0,0x03f8804f,
    0x33337ea0,0x0000abcc,0x200002f4,0x0bf102fb,0x3f880fcc,0x06d813e0,
    0x001ba000,0xaa8801f7,0x0001aaaa,0x13ea09f5,0x7f40be20,0x5505f107,
    0x6fee4c35,0x0fe2001b,0x1b605f00,0x6d80fa00,0x3200fd40,0x827cc007,
    0x1f2000fa,0xf3001fc4,0x003f8803,0x00fe013e,0x4f8005e8,0x0fa807ea,
    0xf90013e0,0xf880fcc3,0x55113e03,0x10035555,0x1b60007f,0xa800fe20,
    0xffffffff,0xb0000cff,0xfb00000d,0x4c01fb01,0x407f101f,0x001b604f,
    0x2001fb80,0xfffc805e,0x20003fff,0x02fcc2fc,0xef883f88,0x542f982f,
    0xdff93fff,0x2009ffb9,0x00c003f8,0x098040db,0x05901b60,0xf9000f90,
    0x4001f501,0x03f880fb,0xf1007ea0,0x4027c007,0x017a003f,0x0fd43f30,
    0x04f80b10,0x07e65e80,0x89f01fc4,0x3ffffffc,0xaaabfa80,0xaaaaaaaa,
    0xf8807caa,0x403ea003,0x001ffc98,0x00000fb8,0x0bee2fc4,0x3e201d10,
    0x6d80ba03,0x13e20000,0x98017cc0,0x003f9999,0xfe88fec0,0x2a13e000,
    0x1fa84f9f,0xbfdcf988,0x8804fc80,0x8009b03f,0x000f506d,0x640001b6,
    0x81f98007,0x1ba000fa,0xdb001fc4,0x4007f100,0x003f804f,0x8f90017a,
    0x000621fa,0x8f90009f,0xc80fe205,0xf9999980,0xffffb803,0xffffffff,
    0x400fffff,0x3ea003f8,0x006f9800,0x00002f98,0x0bf12fb8,0x007f1000,
    0x000036c0,0x03e401f2,0x0000fe00,0x03fb1dd1,0xb7c85e80,0x2201f70d,
    0x7f402fff,0xe81fc400,0xb836c005,0x06d8000f,0x000f9000,0x01f507f1,
    0x7c413e60,0x005f9003,0x27c007f1,0xbd001fc0,0x7d45e800,0x9f001b21,
    0x001f7000,0x40000fe2,0x9afa803f,0x99999999,0x80199999,0x3ea003f8,
    0x809f3000,0xadfaaaa8,0x80000aaa,0x000fd8fe,0x0003f880,0x300001b6,
    0x009f005f,0x80003f80,0x8003fef9,0x1f75f86d,0x3fe207c8,0x402fa802,
    0xaaaaadf8,0x576c005e,0x00fdaaaa,0x00006d80,0x13e000f9,0x3e6003ea,
    0x807f100f,0xf1005fe9,0x5555555b,0xf009f555,0x002f4007,0xabfa87f1,
    0x54c407ea,0x9aaaadfa,0x4007ea01,0xf00003f8,0x007f1007,0x03f88000,
    0xd8003ea0,0x7fffdc06,0x04ffffff,0x2fef9800,0x07f10000,0x00036c00,
    0x3ea02f40,0x01fc0001,0x006fc800,0x13f98f90,0x2206c87f,0x013e004f,
    0xfffffff1,0xffd800bf,0x00ffffff,0x00006d80,0x13e000f9,0xfb9803ea,
    0x2b7e201f,0xfffecbaa,0x3ffe2003,0xffffffff,0x03f804ff,0xfa8017a0,
    0x7ffffd41,0x7ffffc07,0x1fffffff,0xed983f30,0xeeefeeee,0x7c003dee,
    0x000bf003,0x003f8800,0x7b8003ea,0xfc999980,0xb0001999,0xdfffdddd,
    0x0003dddd,0x6c0007f1,0xfb800006,0x0001b600,0x220000fe,0xb8001fff,
    0x8bd07dc7,0x00fe205d,0x67c404f8,0x05e99999,0x4cccf6c0,0xd8000fc9,
    0x0f900006,0x3ea13e00,0xffdccccd,0x7fc400df,0x3fffffff,0x99cf8800,
    0x99999999,0x004f804f,0x3e400bf1,0x3eccd7d4,0x37eaa620,0x2019aaaa,
    0x777541f9,0xeeeefeee,0x1fc004ee,0x0002fb80,0x800fe200,0x1f2000fa,
    0x0007ea00,0x2eaaaa60,0x02aaaadf,0x0007f100,0x4000036c,0x07f103f8,
    0x0007f000,0x01fd3fb0,0x1b60fa80,0x2204e8f9,0x013e003f,0x017a07f1,
    0x03ee0db0,0x0001b600,0x3f8003e4,0xeeeeefa8,0xf1001cde,0x01bfd107,
    0x2003f880,0x806e804f,0x3e005ff9,0x1b21fa85,0x50009f00,0x0fe2003f,
    0x001fc000,0x030001fd,0x54007f10,0x017e000f,0x00007e60,0x0001fc40,
    0x40007f10,0x01aa006d,0x00fb836c,0x0003f800,0x05f99fdc,0x4f88fcc0,
    0x409f0fd4,0x13e003f8,0x13607f10,0x1ea0db00,0x50036c00,0x2001f20d,
    0x00fa82f9,0x407f1000,0x22000efc,0x013e003f,0xffb807f2,0xfff3005f,
    0x443fffff,0x0027c001,0x7f1003e4,0x00fe0000,0x5002ef88,0x3f8801fd,
    0x4003ea00,0xfa8003fb,0xf1000000,0x7c400007,0x01b60003,0xfa800fb8,
    0x00005e81,0x7cc0007f,0x10027d44,0x3e0bea5f,0x7c407f14,0x1013e003,
    0x2030007f,0xd800006d,0x203ee006,0x0fb8007c,0x00000fa8,0xefa807f1,
    0x007f1000,0x7fc4027c,0xdfeca88c,0x5c01cee8,0xfdcccccf,0x027c0001,
    0xf1002f40,0x0fe00007,0x35bfd100,0x17ff5d4c,0x5001fc40,0x0bfb001f,
    0x0001f200,0x7e666664,0x00cccccd,0x0003f880,0x0fb801b6,0x2f98bf00,
    0x007f0000,0x7e41be20,0x3e4fe002,0x405f36d8,0x13e003f8,0x98007f10,
    0x0006d81f,0x2e006d80,0x8007c80f,0x001f506d,0x200fe200,0x7f1004fa,
    0x98027c00,0x2ffffffe,0xdb01bffa,0x31007ea0,0x7c0027c0,0x00fe2003,
    0x8001fc00,0xfffffffb,0xf1000bef,0x4d7d4007,0xfeca9999,0x01b60005,
    0x55555400,0xaaaaadfb,0x03f88000,0xb801b600,0x41f9000f,0x3e00007d,
    0x01fd0003,0x4f8007f4,0x2a3ee0bd,0x00fe201f,0x1fc404f8,0x3607e600,
    0x6d800006,0x3203ee00,0x827cc007,0x100000fa,0x0bf2007f,0xf800fe20,
    0x55dd4004,0x40067c40,0x803f503f,0x0013e07c,0x7c4003f9,0x07f00003,
    0xacfd9800,0x07f10001,0x7ffffd40,0x001effff,0x3800fe20,0x001fc400,
    0x0007f100,0x1f70036c,0x7c4fe200,0x0fe00004,0x100bf200,0x237a00df,
    0xf57f103f,0x001fc401,0x03f8809f,0x36c0fcc0,0x036c0000,0x0f901f70,
    0xa807fc40,0xf100000f,0x007f4007,0x4f800fe2,0x035c0000,0x3f501f98,
    0x13e07c80,0x4005fb80,0xf00003f8,0x03f00007,0x007f1000,0x55555fd4,
    0xd800019a,0x03f5000f,0x0001fc40,0x40007f10,0x03ee006d,0x03f76e80,
    0x001fc000,0x7cc013ea,0x1fbdd804,0x101ef7a0,0x027c007f,0xf3000fe2,
    0x0000db03,0x7dc00db0,0xd1007c80,0x007d405f,0x003f8800,0x7f1013e6,
    0x00027c00,0x3e401360,0x7c803f50,0x7cc013e0,0x1fc4000f,0x003f8000,
    0x80002d40,0x3ea003f8,0x2a000000,0x01b6003f,0x00007f10,0xb0001fc4,
    0x007dc00d,0x00dd3f50,0x2003f800,0x7dc006f8,0x03ef6403,0xf101b3f2,
    0x2027c007,0x7cc003f8,0x00006d81,0x3ee006d8,0x5cc07c80,0x07d403fe,
    0x03f88000,0xf100fe40,0x0027c007,0x5c43aa00,0x3ea05e80,0x9f03e401,
    0x00efca80,0x0003f880,0x880007f0,0xf88000c6,0x003ea003,0x3ff66000,
    0xcccccccc,0x4403fecc,0xccdfcccc,0x9971002c,0x9999bf99,0xd9999101,
    0x9999999f,0x001fd999,0x4003fef8,0xccccccb8,0xccccccef,0x99bfd911,
    0x3f32e203,0x9ff701cf,0x506ffa80,0x0179df99,0x859df971,0xcccdfccb,
    0xcccccccc,0xfd9951fd,0x01799999,0xfd999910,0x99999999,0x6541fd99,
    0xccccccfe,0x9101effe,0x9999bfb9,0x332e0039,0x400cccdf,0x32a2cef8,
    0xb81ccdfc,0x00ccefcc,0xdfdfd000,0x33bf3261,0x9bfb9710,0xfd999999,
    0xccefcb88,0xdfffcccc,0x99995000,0x207999bf,0xccccccb8,0xccccccef,
    0xdfbfb001,0xccccc980,0xcccccdfc,0x9bfb9912,0x00039999,0x7fffffdc,
    0xdfffffff,0xffffa802,0x005fffff,0xfffffff3,0xf505ffff,0xffffffff,
    0xffffffff,0xffc8001f,0x7ffcc000,0xffffffff,0xff34ffff,0x2607ffff,
    0x04ffffff,0xff005ff5,0x3ffff60b,0xfff881ff,0x3ffe26ff,0xffffffff,
    0x1fffffff,0xfffffffb,0xf5001fff,0xffffffff,0xffffffff,0x7fffec1f,
    0x0bdfffff,0x7ffffd40,0x803fffff,0xfffffff8,0x5ffb801f,0x3ffffff6,
    0xfffffe83,0x2200002f,0x7fffdc1a,0xfffff32f,0xffffffff,0xfffff98f,
    0x0acfffff,0x3fffa200,0x1fffffff,0xffffff98,0xffffffff,0x06a2004f,
    0x3ffffee0,0xffffffff,0xffffff55,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333331,0x99880033,0x31009999,0x26201333,
    0x19999999,0x09999800,0x20266660,0x88019998,0x00199999,0x4cccccc4,
    0x10199999,0x33333333,0x99988001,0x01999999,0x004ccc40,0x200cccc0,
    0x99999998,0x33330001,0x33333333,0x99998813,0x4cccc400,0x3b6ea200,
    0x40002def,0x80000aa8,0x0199001d,0x40000000,0x300000ea,0x0000005b,
    0x22000000,0x0bdefedb,0x6dd44013,0x8002defe,0x882dfdb9,0x4c003deb,
    0x7fffdc04,0x04ffffff,0xffffff30,0xfff985ff,0x7fdc2fff,0xffffffff,
    0x3fffa004,0xfffd82ff,0x7fffc2ff,0x7fffc03f,0x75c05fff,0xffffffff,
    0x41ffffff,0xfffffff9,0x403defff,0xfffffff9,0x0defffff,0x3ffffe20,
    0x3fff2000,0x3fffe04f,0x001fffff,0x7fffffcc,0x3fffffff,0x0ffffffc,
    0x3ffffff0,0xdefffd88,0x001efedc,0xfeffffc8,0x03f88001,0x0007ff70,
    0x77ee5400,0x01be60bd,0x07ff6200,0x88067edc,0x50003deb,0xff70009f,
    0x9ffdb9bd,0xfffb107f,0x3dfdb9bd,0x9dffb100,0x6ffccbff,0x3ee005ff,
    0x2aaaa200,0x00aaaafe,0x2b7eeaa0,0x9fd5502a,0xd5555105,0x0015555d,
    0x8156fdc4,0x982dfaa8,0x200fffaa,0x0adfbaa9,0x59bfff50,0x555557f9,
    0xf5503f95,0xb755555b,0x55403dfd,0xaaaaacfb,0x203ffcba,0x003fdfb9,
    0x802b7f7e,0xbfcaaaa9,0x67cc004f,0xaaaaaaaa,0x7d4c3fba,0x754c02af,
    0xace882bf,0x001df500,0x7e4d77ec,0x3f88000d,0x0bbf6600,0xffe98000,
    0xacffedce,0x220000ef,0xd880cffc,0x543ffcef,0x005ffdff,0x2000ffd8,
    0xf9101dfc,0x159d107f,0x1003bea0,0x8bfb817d,0x0bf911ef,0xb0003ee0,
    0x3e20000d,0x007fb003,0x880006d8,0x013e003f,0x44017fbe,0x07bea03f,
    0x1fa807ea,0x3e6013e0,0x01fc402f,0xf100fec4,0x3ea00db7,0xdb0004f9,
    0x5f3001f6,0x5407f600,0x09f3003f,0x00fee000,0x000427d4,0x50007f10,
    0x80003dfd,0xfb302ffb,0x5c0001df,0x3f600dff,0xef88fe43,0x50017ee1,
    0x0ef8009d,0x0003fd80,0x20001fdc,0xfb80fefd,0x000fb801,0x8800036c,
    0x1fec403f,0x00036c00,0x9f001fc4,0x03f79f00,0x3ee07f10,0x403f500d,
    0x013e01fa,0xf1007f44,0x103f4007,0xd005f57f,0x220013ed,0x4005f53f,
    0x3fa802f9,0x74007ec0,0x3e00000f,0x003f9005,0x003f8800,0x0037fee0,
    0x30037ea0,0x2a000dff,0x7cc01efe,0x03f2db03,0x000007ee,0x22007f10,
    0x5f80003f,0x17fd4000,0x1f700bd0,0x0006d800,0x74407f10,0x0db0002f,
    0xadfba800,0xaaaaaaaa,0x3e00adfa,0x7f100dd4,0xfa80df10,0xf807ea01,
    0x813e2004,0x3ea003f8,0x1ba7f101,0x013e5f30,0x05f83ee0,0xf100be60,
    0x80bf100b,0x400002fb,0x00db006d,0x007f1000,0x0cffc880,0x300bf100,
    0x4007f7df,0xd002efd9,0x17f7c40d,0x00000bd0,0x2a001fd0,0x06d80000,
    0x203fc400,0x439dd0fb,0x7fb510fb,0x40001b60,0x3fd303f8,0x0036c000,
    0xffffff70,0xffffffff,0x3e01ffff,0xf8807f54,0x5402fb83,0x807ea01f,
    0x0fe4004f,0x26003f88,0x2e7f102f,0x4f9f601f,0x7e46e800,0x805f3000,
    0x7f5000fe,0x80017e20,0x7006d808,0x8800001f,0x9100003f,0x1fb007ff,
    0xfb0ef980,0x3ffc8801,0x900fe200,0x00fb80ff,0x6fdc0000,0x08800001,
    0x208006d8,0x8fcc05f8,0xfdcfffda,0x00cfffdb,0x220000db,0x00ef983f,
    0x00436c00,0x3339f310,0xf3333333,0xb27c013b,0x41fc401f,0x01fa805e,
    0x009f01a6,0x0fe20bd0,0xf100fb80,0x3f8827c7,0x5f30013e,0xf1003f88,
    0x0017dc03,0x03f603f6,0xfffed980,0x006eceff,0x800009f1,0x400003f8,
    0x3e02efd9,0x307fcc04,0x3ff2205f,0x0fd4000c,0xf3017ea0,0x50000003,
    0x359bdfff,0x7ff6cc00,0x06ecefff,0xfffeca88,0xaaaaadfd,0x5c42fbaa,
    0x2cfffffd,0x5b706d80,0xf50fe200,0xdb00001d,0x10017e44,0x027c007f,
    0x409f127c,0x01fcc3f8,0x00310fd4,0x7c8004f8,0x22007f10,0xc8fe206e,
    0x3e0fc80f,0x407e4004,0x9802006e,0x5f88004f,0xd88017d4,0xccacceff,
    0x2e006ffd,0x2200000f,0x5000003f,0x2f883dfd,0x3e07fe20,0x00dffb84,
    0x9801f700,0xaaaaaadf,0x00002fba,0xfdb95100,0x6c407fff,0xccacceff,
    0x7e406ffd,0xffdcbcdf,0xffffffff,0x3fe603ff,0x5436c006,0xf8800fff,
    0x00037ee3,0xcffbb6c0,0x00fe2000,0x44f804f8,0x87f101fc,0x1fa801fa,
    0x09f001b2,0xf101f700,0x05fd1007,0x07f11fc4,0x4004f89f,0x003f705f,
    0x000ee880,0x17e25f50,0x0067f440,0x17e0036c,0xeeeed880,0xeeeefeee,
    0x0002eeee,0xfa86ffdc,0x203ff101,0x07bfaa5e,0x100f9000,0xffffffff,
    0x3b627fff,0xeeeeeeee,0x2eeeeeee,0x6fed4400,0x0067f440,0xcfe8836c,
    0x3339f100,0x01333333,0x001fe7f4,0x1fff50db,0x3f27f100,0x3600003f,
    0x8001efef,0xaaaaadf8,0x04faaaaa,0x837c44f8,0x007dc3f8,0x3f555fd4,
    0x37eaa620,0x2019aaaa,0xacf881fa,0xfecaaaaa,0x21fc401f,0x3e0fd47d,
    0x40be6004,0x640004f8,0x7ec0001f,0xfb000fd8,0x8036c005,0x2002ffe8,
    0xeeeeeeec,0xeeeeeeef,0x3220001d,0x03f50cff,0x2f403fd1,0x0005dfb3,
    0xcf9807b8,0x99999999,0xddd99109,0xdddddddd,0x00039bdd,0x0bf62fcc,
    0x7f706d80,0x0005f880,0x01fd97e4,0x0fb20db0,0x67e5fc40,0x40001efe,
    0x0002ffe8,0x3fffffe2,0x4fffffff,0x2fa84f80,0x03e43f88,0x7fffffa8,
    0x7fffffc0,0x01ffffff,0xfff103f3,0xffffffff,0x43f8801b,0x3e1ba2f9,
    0xb01f6004,0x1fd4000f,0x7f7c4000,0x0013e003,0x5df700db,0x01bd30dd,
    0x0000fe20,0x206ffdc0,0x0ff443f8,0xfd507f10,0x3ea0003d,0x002fd400,
    0x04c00000,0x4f83ee00,0x7c836c00,0x0007f880,0x0ef893ea,0x00006d80,
    0x74c7fff1,0xff70003f,0xf880001d,0x9999999c,0xf804f999,0xf881fb04,
    0xfa803e43,0x4407d99a,0xaaadfaa9,0x07e6019a,0x26666fe2,0x4ffdcba9,
    0x5b60fe20,0x004f82f9,0x2f9809f1,0x006f8800,0x801bee00,0x374002f9,
    0x4f993e60,0x88006fec,0x5400003f,0x97e01efe,0x7d401fe8,0x037fee02,
    0xb803f300,0x0000007f,0x4c003f80,0x8005f31f,0x801f506e,0x88001ff8,
    0x804fa86f,0xf100006d,0x03fb105f,0x376ff540,0x01fc4000,0x09f009f0,
    0x87f113e6,0x1fa800fb,0x09f001b2,0xf103f500,0x17f62007,0x4fd41fc4,
    0x2009f07d,0x05e801fa,0x0000fd80,0x8800fe20,0xdfd3005f,0x7e40fb80,
    0x8800bf11,0xb300003f,0x5f7005df,0xdd003fd1,0xcffc8801,0x809f1000,
    0x00001ffe,0x0037c000,0x02fc43f2,0xf106fe98,0x2fff4405,0x01f50260,
    0x01b601ee,0x07f106a8,0xfd8806e8,0x5400db2e,0x2003f886,0x204f804f,
    0x30fe21fc,0x43f5003f,0x027c0018,0x3f883e40,0x440fe400,0x07fdd03f,
    0x7fec013e,0xffffffff,0x3ee000ff,0x22000402,0x07f4003f,0x01bffee0,
    0x2add10bd,0x1fc4002f,0x3ff22000,0x7f774003,0x001fc802,0x400fff62,
    0xd7f300fb,0x0000980b,0x0037fe00,0x01fd17ea,0x206fffb8,0xffe881fd,
    0x3fd882ff,0x0db00000,0x7c407dc0,0x2027cc03,0x0036c3e9,0x007f10f7,
    0x027c027c,0x21fc4bf1,0x1fa802f8,0x0027c000,0x03f882f4,0x3f884f80,
    0x3e01ff70,0xccdf8804,0xcccccccc,0x0bf3003f,0x22001f88,0x77cc003f,
    0xbfd9510a,0x88599fb1,0xfb7f503f,0x03f88001,0x033fee00,0x00ffea00,
    0x20009fb1,0xf802efe9,0x7f56e885,0x0800ff20,0x5f7ffc00,0x1bf6a60a,
    0x5442bbe6,0xcfd8dfec,0x45ff442c,0xdbfbfea8,0x3ffb88af,0x1b600000,
    0xf880fb80,0x000fc803,0x1ee006d8,0x4f800fe2,0x7dc04f80,0x0dd07f12,
    0x08803f50,0x3e0013e0,0x0007f103,0x207f10f9,0x013e02a8,0x6d8003ee,
    0x9801dd00,0x0fe2002f,0x3fffa600,0x3f62ffff,0x206f86ff,0x88004ffd,
    0xffa8003f,0xfd10000d,0x26213bff,0x80003ffb,0x2a01dfea,0x43fd51df,
    0xfea88bfc,0x017ee004,0xfffd9ae8,0x00bfffff,0xffffffd3,0x37ffec5f,
    0x7fffff44,0x3fff63d1,0x000001ef,0x1f70036c,0xf1007f10,0x00db0009,
    0x01fc43dc,0x09f009f0,0x20fe2dd0,0x0fd402fa,0x04f81ae0,0xf880fe40,
    0x887c8003,0x13e0003f,0xf50017a0,0x801fc803,0x3e2002f9,0x32a60003,
    0x05f3009b,0x7fc407fa,0x03f88000,0x007bfaa0,0xf72fe880,0x1dffffff,
    0xffb80000,0xffff500d,0xfffd883d,0x7ec001df,0x7510000f,0x4c003599,
    0x00009bca,0x30055dc4,0x00000177,0xfb801b60,0x9003f880,0x06d8001f,
    0x0fe21ee0,0x4f804f80,0x3f8cf980,0x7d401fb0,0x9f03e401,0x102fdc00,
    0x0bf0007f,0x7c0007f1,0x0017cc04,0x09f5027c,0x8800be60,0x0000003f,
    0x827d4079,0x88002ffd,0x5df9003f,0x85fb0000,0x009bca98,0x3f220000,
    0x0395101f,0x0000bb88,0x000007b3,0x00000000,0x00000000,0x5c00db00,
    0x003f880f,0x6d8007f3,0x3e21ee00,0x2013e003,0xf3f9004f,0x407be607,
    0x03e401fa,0x3fe6009f,0x000fe200,0x07f105f9,0x32027c00,0x20f90007,
    0x3e6006f8,0x00fe2002,0x016c0000,0x7eccfbf2,0x000bcfdc,0x01e40032,
    0x00035000,0xc8800000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x3ee006d8,0x2003f880,0x036c006e,0x07f10f70,0x27c027c0,0x03fef880,
    0xf502ffa6,0x3e07c803,0x077e5404,0x4400fe20,0x07f104fc,0x3e027c00,
    0x05f30004,0x7cc001fb,0x00fe2002,0x57540000,0xfffb83da,0x3fff13ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99991000,0x999999fd,0x41fd9999,0xcccdfccb,0x0f33ee00,0x9fd99991,
    0x99999999,0x7e644fd9,0xf99304cd,0xdf97079d,0x7dc03999,0x7fec403f,
    0xccdfdcdf,0x47eccccc,0xcccefcb8,0x0dfffccc,0x9bf99710,0xd9999999,
    0xf99109ff,0x5401799b,0x22cefccc,0xbccdfdc9,0x3f332a00,0x333be2ce,
    0xcccccccc,0x32e02fdc,0xcccefccc,0x5000001c,0x2a2017db,0x000000ac,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffffa,0xffffffff,0xfff10fff,0x405fffff,0x2a0ffff8,0xffffffff,
    0xffffffff,0x3fffee7f,0xfffd81ff,0x3fe20eff,0x403fffff,0x973003fe,
    0xfffffffd,0x98ffffff,0xffffffff,0x4c00acff,0xffffffff,0x1bdfffff,
    0xffffff50,0x7ffec03f,0x3fee6fff,0x201fffff,0x6ffffffe,0x3ffffffe,
    0xffffffff,0xfffff102,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aa60000,0xaa800aaa,0x5c402aaa,0x002cefec,
    0x79dfb950,0x9500d301,0x80179dfb,0x5401aaa9,0x01d11aaa,0x677f6dcc,
    0x55550622,0x55554c03,0x2aaaaa01,0x55555302,0x555554c1,0x5555302a,
    0xaaaa8555,0xaaaaaaaa,0x42aaa21a,0x6d42dfda,0x000401ce,0x30d55408,
    0x0037bfb9,0x2aaaaaa2,0x44018801,0x55544001,0x05b9501a,0x0aaaaaa2,
    0x00555553,0x00c40288,0x00a88006,0x80e20035,0x00000008,0x8017bd97,
    0x202eeeeb,0x765cc009,0x555500ad,0x0aaaaa85,0x7fffffd0,0xfffff880,
    0xbfff700f,0x003dffd9,0x373bffa2,0x07dc2fff,0xdceffe88,0x3fa02fff,
    0x3fee03ff,0x201f55ff,0xfecdeffc,0x3e26c9ef,0x3f603fff,0xff105fff,
    0xfb01ffff,0x7ec7ffff,0x80ffffff,0xfffffffe,0xffffff10,0x9fffffff,
    0x7edfffdc,0xff91ffdf,0x2fc07ffb,0x7d47ee00,0x9dff93ff,0xfb009ffb,
    0x007fffff,0x1fe409f7,0xbffffb00,0xffefffa8,0x7fffff41,0xfffff32f,
    0x1fa2005f,0xfda86f98,0xdf501cfd,0x2fd85bfb,0x2e63f440,0x744002fe,
    0xbffd5001,0x7f407fff,0x7ec40fff,0xffc82fff,0xe82ffdce,0x7fec7fff,
    0x33e600ff,0xf5310009,0x1bfd1017,0x7013faa0,0x3fa605ff,0x7fdc1f65,
    0x20bfd302,0x4c03f998,0x86d8de99,0xd500bfe9,0xf9988dff,0x2f4ccc03,
    0x013bf910,0x4c0f7dcc,0x20099df9,0x209bfb99,0x99999cf8,0x41ff9999,
    0x223fffa8,0x3624fcfe,0x6c57ee06,0xbf72dffe,0xbfdcf988,0x9804fc80,
    0x003f9999,0x3fa209fd,0x3a666004,0x4c2bbf65,0x9cf9987e,0x04dffcc0,
    0x302ff980,0x22f983ff,0x0f5c0fb8,0x2fe887ea,0x76c3fd10,0x6c002fac,
    0x77cc00ff,0x4417ed42,0x7cc3ffff,0x43fffeff,0xfb0db018,0xfffb8dff,
    0x0005e807,0x0bf601f7,0xf9817e40,0xadfb800d,0x00df984f,0x1fc04fb8,
    0x05fffd00,0x3f6003dd,0xe800fe06,0x404fb805,0x7e400efa,0x441b6000,
    0x01fd803f,0xff509ff1,0x5c03f30b,0xedcdffef,0xff105fef,0x00fe805f,
    0xd1003f80,0x13fa20bf,0x3fa37a00,0x27c03104,0x2000ffcc,0xff503ff9,
    0x13607d05,0x7f445c80,0x200ff442,0x33ee002f,0x007f406f,0xfffa81fd,
    0x911dfe86,0x3e6003ff,0x22fffdc1,0xc806fffa,0x36013107,0x8007f506,
    0x006e80fd,0x74077fe4,0x00fe4006,0x0f74007f,0x22001fb8,0x800fe06f,
    0x09f7005e,0x7c4017ea,0x207f3003,0x17e402f8,0x3e20bf10,0xfb013e06,
    0x40ff701b,0xfa802ff8,0x003f8002,0x26037fa2,0x774005ff,0x3e0002fe,
    0x00077d44,0x7d413fea,0x35c0103f,0xfd10b900,0x2007fa25,0x29f5002f,
    0x09f104fa,0x7fec2fa8,0x407fd42f,0x6e5c44fd,0x7d42fccd,0x7ffcc3ff,
    0xc81fa804,0x3e09d06f,0x44f88006,0x744001fc,0x001fc80f,0x07f03744,
    0x5f882f40,0x3e06c800,0x8017a003,0x02fd45fb,0x7e401f60,0x7f900600,
    0x3e02f880,0xf8813e04,0x8817dc06,0x013e004f,0xf3000fe0,0xbff301df,
    0x07ffa001,0x7e49f000,0x7fd4000d,0x009ff704,0x98809d10,0x7fd101fb,
    0x0be003fd,0x5f91be20,0x9f003f50,0xfb86fff8,0x7e4df504,0x2ffeedff,
    0x2217ffcc,0xf8803fff,0x441ffe82,0x003f883f,0x005d8db0,0x0bb01f70,
    0x7c03ee00,0x5417a003,0x0088001f,0x05e800fe,0x5faafd40,0x402f9800,
    0x2e0004f8,0x02f8804f,0x204f813e,0x06e800fb,0x27c007f1,0x4001fc00,
    0xfa80eff9,0x0ee800ef,0xfb4f8000,0xbff70009,0x0017ff20,0xff7017a2,
    0xffe8803f,0x200be001,0x41fd80fe,0x1fcc03f9,0xf705fff3,0x7ddbea09,
    0x442f981c,0xfff81fff,0xf989f002,0x40fd43fb,0xaaaaabfa,0xaaaaaaaa,
    0x80027c7c,0x004f81f9,0x0fe03f30,0x1f705e80,0x07f00000,0x54002f40,
    0x20004fef,0x00fdc06e,0x1005fa80,0xf027c05f,0xc8036c09,0x4007f107,
    0x03f8004f,0x03fff500,0xe801dff7,0xdbf00005,0xfc8003ff,0x0bff906f,
    0x200bd100,0x2201fdb8,0x3e002ffe,0x880fec02,0x2037c0ee,0x17fee1fd,
    0x7ec07fd4,0x17cc0bd4,0x7f407ffc,0xc8db001f,0x83dc6d8f,0xfffffffb,
    0xffffffff,0x005f10ff,0x5f10fe20,0x40fe2000,0x417a003f,0xf000006c,
    0x002f4007,0x0000ffd8,0x05e807ea,0x400df300,0x813e02f8,0x4017a04f,
    0x03f880fb,0x3e0013e0,0x3fee0003,0x0effc81f,0x400017a0,0x03ffcfff,
    0xb01fff90,0x98001dff,0x0f90004f,0x0bfabfa2,0x7f7017c0,0x7dc5f980,
    0x6c4fa80b,0x37fa01ff,0x363ff911,0xd05ff506,0x03ff60ff,0x2bd07dc0,
    0x541b61fa,0x999999af,0x99999999,0x4000fe21,0x01fc42f8,0x7f02f880,
    0x7c82f400,0x07f00000,0x5c002f40,0x0000efdf,0x017d417e,0x00077c40,
    0x027c05f1,0x803ec09f,0x007f107c,0x1fc0027c,0x0bffd000,0xe809ffd1,
    0x1df00005,0x26017fa6,0xffa82fff,0x0bee002f,0x442f8800,0x05fd11fe,
    0x17e605f0,0x3f227dc0,0x45ffcacf,0x7cc05ff8,0x23ffffff,0xfdbabdf9,
    0x3f60cdff,0x400ff706,0x225f31f9,0x7c413e4f,0x13e00003,0x7c0fd400,
    0x03f50004,0x05e800fe,0x000001f7,0x02f4007f,0x77cd3f20,0x01f70000,
    0xfd1000db,0x02f88001,0x204f813e,0x06e801fb,0x27c007f1,0x8001fc00,
    0xffd04ffd,0x000bd007,0x1bf213e0,0x20bffa60,0xc801fff9,0x7cc0001f,
    0xd107fa21,0x702f805f,0x4364001b,0x83efffea,0xd8800ff9,0xda81efff,
    0xee8adfff,0x4c0fea1d,0xb9fc004f,0x17c5b60f,0x40000bf0,0x0f90006d,
    0x3e4001b6,0x2f4007f0,0x00001f98,0x17a003f8,0x7cc4fc80,0x4f88000e,
    0x74001fcc,0x2f88001f,0x04f813e0,0x5f901be2,0xf800fe20,0x003f8004,
    0xfb03ffc8,0x017a007f,0xfb827c00,0x1ffe8804,0x100fff98,0x447101dd,
    0x226e881c,0x5fd101fe,0x000017c0,0x06e00600,0x04002600,0x40000000,
    0x9fa8bd5e,0x0bee00fa,0x01fd4000,0x7d417e60,0x02fcc003,0x17e2009f,
    0x100037c4,0x7c4013e0,0x207f9005,0xc8000ef9,0x0003f20f,0x859803fb,
    0x813e02f8,0x077e404f,0x7f103fe4,0x40027c00,0x7fe4003f,0x005ff903,
    0xf80002f4,0x2007fa04,0xe880ffe8,0xeefb80ef,0x5c7eeeee,0x0dfebdff,
    0xfd1007f6,0x3bfbbb21,0x000005ee,0x00000000,0x00000000,0x417cfe40,
    0xfe807ccf,0xfd818000,0x803fa001,0x3fa001fd,0x2601ba00,0x0fea05ff,
    0x3a0bd300,0x05ff9806,0x7cc03fd8,0x9fcc000e,0x7e4004f8,0xf887b802,
    0x4f813e02,0x3bffbee0,0x05feffdc,0x27c007f1,0x7001fc00,0x3ff205ff,
    0x002f4002,0x3e604f80,0x1dfb1005,0x530dfd10,0x55555555,0x206f2a60,
    0xa88a0019,0x21aaaaaa,0xeeeeeee9,0xeeeeeeee,0x3b23eeee,0xeeeeeeee,
    0xeeeeeeee,0x0ceda80d,0x22222200,0x88888888,0x2a000888,0xefd80fdf,
    0x02ef8805,0xf881fd50,0x17f4c02f,0x300bfe20,0x1fc805fd,0x017ffee0,
    0xf91009fb,0x807f203f,0x6c05fffb,0x1df1003f,0x1f76d800,0x801fdc00,
    0x202f887b,0x5c13e04f,0xbdfd915f,0x3e217ee3,0x0013e003,0x7fd400fe,
    0x003ff701,0x20000bd0,0x00fec04f,0x3620dfb0,0x0000005f,0x30000000,
    0xdddddddb,0xdddddddd,0x77649fdd,0xeeeeeeee,0xdeeeeeee,0x77ef7e40,
    0x7fdcaa01,0xffffffff,0x005fffff,0x7d417fe2,0xbfd1003f,0x7f5d4c35,
    0x5bfd102f,0x0bff2a23,0x8d6ff440,0x802ffca8,0xca88cff8,0x1cee8dfe,
    0x137dfb10,0x03bff2a6,0xa88cff88,0xcee8dfec,0x6677edc3,0xffb99303,
    0x37ea0019,0x3fea005f,0xcccccccc,0x37227ecc,0xcef81cdf,0x7c2cef82,
    0xa8fdc005,0x80bcefcc,0x22cefcb8,0xccccccb8,0xccccccef,0x2603ff31,
    0xcc9801ef,0xccccefcc,0x32a02ccc,0x980ccefc,0xf9003cef,0x0027ec0b,
    0x00000000,0x20000000,0x8000004f,0x0bfa64fc,0x7ffdd3ea,0xffffffff,
    0x4005ffff,0x07fe02ff,0xfffff700,0x0017dfff,0xfffffff7,0xff70001b,
    0x01bfffff,0x7ffffcc0,0x13ffa2ff,0xffffff50,0x26003bff,0x2fffffff,
    0xffd1bffa,0xf901dfff,0x003fffff,0x7000fff4,0xffffffff,0x54ffffff,
    0xf84fffff,0x6fff85ff,0x36080004,0x81ffffff,0x26fffff8,0xfffffff9,
    0xffffffff,0x6dc01d54,0xffff7000,0xffffffff,0x7ffec09f,0xffb02fff,
    0x01ae001d,0x000000d9,0x00000000,0x004f8000,0x41fcc000,0x97ee3fd8,
    0x88888888,0x88888888,0x00000000,0x1abba980,0x2f2a6000,0xa9800009,
    0x100009bc,0x00015795,0x26b2ea60,0xbca88000,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9f000000,0x28800000,0x6ffffe40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9f000000,0x00000000,0x0000b72a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff49f00,
    0xffffffff,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcca93e00,
    0xcccccccc,0xbccccccc,0x00010060,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x004f8000,
    0x82fe4000,0x3ffea6fb,0xffffffff,0xffffffff,0x0004ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x027c0000,0x1ffa0000,0xcb887fe4,0xcccccccc,0xcccccccc,0x001ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0dc00000,0x32600000,0x00079102,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_44_latin_ext_x[560]={ 0,9,5,3,4,3,4,9,11,5,0,2,5,3,
8,4,4,4,3,3,4,3,5,4,4,5,8,5,0,1,0,0,4,0,1,2,2,1,3,2,2,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,3,2,1,1,1,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,9,4,2,3,1,
10,2,6,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,3,3,3,3,3,3,3,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,2,
1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_44_latin_ext_y[560]={ 32,7,8,6,6,7,11,8,8,8,8,11,26,19,
27,5,7,7,7,7,8,8,7,8,7,7,15,15,11,17,11,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,7,41,6,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,8,8,8,18,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,32,15,6,9,12,9,
8,8,8,9,7,15,20,19,9,4,3,8,7,7,6,15,8,17,31,7,7,15,7,7,7,15,1,1,2,4,
3,1,9,9,1,1,2,3,1,1,2,3,9,4,1,1,2,4,3,14,8,1,1,2,3,1,9,8,6,6,
7,9,8,6,15,15,6,6,7,8,6,6,7,8,8,9,6,6,7,9,8,11,14,6,6,7,8,6,8,8,
4,9,2,7,9,15,1,6,2,7,3,8,2,7,2,8,9,8,4,9,2,7,3,8,9,15,2,7,2,7,
2,7,3,8,9,6,2,2,9,8,4,9,4,9,2,7,9,7,3,15,9,7,2,7,9,8,15,1,0,9,
8,9,8,9,8,9,8,1,6,9,15,2,7,8,9,15,4,9,2,7,1,6,9,14,1,6,9,15,2,7,
1,6,2,7,9,15,2,7,9,9,2,8,9,9,3,9,4,9,2,7,1,6,1,6,9,15,2,7,2,7,
3,1,6,3,8,2,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,15,7,7,7,7,7,7,7,7,7,7,7,7,7,6,15,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,2,7,2,7,2,
7,2,7,1,4,1,2,1,2,1,2,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-5,-1,1,6,1,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_44_latin_ext_w[560]={ 0,5,14,17,15,17,16,6,7,8,15,19,9,17,
7,16,15,15,16,17,15,17,15,15,15,15,7,10,19,21,19,14,15,24,21,19,20,20,19,20,20,15,20,22,
20,24,22,20,19,21,23,17,19,21,24,23,21,21,16,7,15,7,15,24,7,20,22,18,21,19,18,20,21,17,
13,20,17,24,20,19,22,21,19,17,19,21,22,22,21,21,16,8,3,8,17,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,15,19,17,21,
3,19,12,24,13,20,21,17,24,25,11,19,11,11,7,21,18,7,7,10,13,20,24,24,24,14,24,24,24,24,
24,24,23,19,20,20,20,20,15,15,15,15,22,22,20,20,20,20,20,14,21,21,21,21,21,21,19,19,20,20,
20,20,20,20,23,18,19,19,19,19,17,17,17,17,19,20,19,19,19,19,19,19,20,21,21,21,21,21,22,21,
24,20,24,20,25,21,19,18,19,18,19,18,19,18,20,22,22,21,20,19,20,19,20,19,22,19,20,19,20,20,
20,20,20,20,20,20,20,21,20,21,15,17,15,17,15,17,15,17,15,17,24,20,20,14,22,20,19,20,17,20,
17,20,17,20,17,21,17,22,20,22,20,22,20,22,19,17,20,19,20,19,20,19,23,23,23,19,23,19,23,19,
17,17,17,17,17,17,17,17,19,19,19,19,19,19,21,21,21,21,21,21,21,21,21,21,21,22,23,22,21,21,
21,16,16,16,16,16,16,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,18,21,21,21,
21,21,21,21,21,21,21,21,21,21,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,23,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,24,20,15,17,20,
19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,24,20,23,23,21,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_44_latin_ext_h[560]={ 0,26,12,29,30,26,22,12,29,29,15,20,12,4,
6,31,26,25,25,26,24,25,26,25,26,26,18,22,20,8,20,24,28,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,28,23,24,23,24,23,23,23,23,23,29,31,29,12,2,7,18,25,18,25,18,24,25,24,25,
33,24,24,17,17,18,25,25,17,18,24,18,17,18,17,25,17,29,29,29,6,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,25,26,23,17,23,
29,27,4,24,12,17,11,4,24,3,12,24,14,14,7,25,27,6,8,14,12,17,25,25,25,25,31,31,30,28,
29,31,23,30,31,31,30,29,31,31,30,29,23,28,32,32,31,29,30,14,26,32,32,31,30,31,23,25,27,27,
26,24,25,27,18,24,27,27,26,25,26,26,25,24,25,23,27,27,26,24,25,19,20,27,27,26,25,34,32,32,
28,24,30,26,28,22,32,27,31,26,30,25,31,26,30,25,23,25,28,24,30,26,29,25,29,23,30,26,31,33,
31,33,30,32,30,34,30,30,23,24,28,23,28,23,30,25,29,31,29,17,24,33,31,33,30,31,17,31,32,30,
31,23,24,23,24,23,24,31,26,30,24,30,25,24,24,25,29,24,31,26,32,27,23,19,31,26,30,24,30,25,
32,27,31,26,30,24,31,26,32,32,30,25,23,24,30,24,29,24,31,26,32,27,32,27,29,23,30,26,30,33,
29,31,26,29,24,30,25,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,24,25,25,29,25,25,25,
25,25,25,25,25,25,25,25,25,25,24,18,25,25,25,25,25,25,25,25,25,25,25,25,25,27,18,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,30,26,30,25,31,
26,31,26,32,29,32,31,32,31,32,31,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,37,34,31,27,33,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__courier_44_latin_ext_s[560]={ 496,497,492,215,329,111,291,503,1,68,496,
308,456,488,502,273,61,288,94,129,271,423,95,365,439,423,502,500,369,448,328,
287,495,205,158,302,256,194,215,343,321,470,322,22,63,180,88,420,277,381,297,
364,43,224,84,149,127,247,230,252,113,207,426,26,503,451,40,109,208,24,462,
326,481,463,170,441,382,212,255,66,21,481,315,433,400,128,172,1,150,441,195,
455,9,13,470,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,496,503,326,
1,237,21,64,27,470,246,478,355,426,488,163,483,466,106,376,388,503,401,383,
503,503,415,442,294,44,144,69,129,70,23,131,424,486,153,365,392,381,178,307,
43,216,496,493,77,389,342,475,1,132,305,68,400,403,65,377,274,412,48,486,
188,87,174,382,208,85,214,472,229,257,277,306,148,342,425,484,206,20,173,339,
130,286,391,128,413,348,108,317,147,106,68,109,43,470,85,156,1,1,269,417,
195,341,42,243,1,361,192,286,247,135,63,403,327,328,229,93,168,282,450,110,
455,402,205,489,184,371,312,89,47,47,349,67,411,365,432,326,109,204,270,147,
95,114,276,366,149,192,134,181,290,335,153,399,434,255,235,188,1,248,45,266,
296,402,263,284,220,169,477,1,347,22,143,232,249,22,297,111,389,231,22,402,
65,378,381,437,69,174,77,311,190,213,211,455,292,473,1,412,457,451,43,260,
21,467,475,355,47,333,235,163,342,1,169,25,112,185,199,269,130,126,345,230,
347,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,305,304,304,233,
304,304,304,304,304,304,304,304,304,304,304,304,304,433,44,304,304,304,304,304,
304,304,304,304,304,304,304,304,359,86,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,426,463,
362,111,253,443,319,360,270,464,248,445,226,1,87,423,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,1,26,129,150,90,449,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304, };
static unsigned short stb__courier_44_latin_ext_t[560]={ 33,165,346,135,72,194,322,221,135,135,322,
322,346,359,213,72,194,221,247,194,273,221,194,221,165,165,194,247,322,359,322,
273,135,322,322,273,298,298,298,273,298,298,273,322,298,322,322,273,298,135,298,
273,298,273,298,298,298,322,322,135,72,135,346,36,273,322,221,346,221,346,273,
221,273,221,1,273,273,346,346,346,247,221,346,322,273,346,346,346,346,221,346,
104,135,135,359,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,33,165,194,
298,346,298,135,165,366,273,346,346,359,359,273,366,346,273,346,346,281,221,165,
289,234,346,346,346,247,247,247,247,72,72,104,135,104,39,298,104,39,39,104,
135,39,1,72,135,298,135,1,39,39,135,104,346,194,39,1,39,104,72,298,
221,165,165,194,247,221,165,322,247,165,165,194,221,194,194,194,273,221,298,165,
165,194,247,221,322,322,165,165,194,221,1,39,39,135,273,104,194,165,322,1,
165,39,194,104,221,39,194,104,221,322,221,135,247,104,194,135,221,135,298,104,
165,39,1,39,1,104,1,104,1,104,104,322,247,135,298,135,298,104,221,135,
72,135,346,247,1,72,1,104,72,346,72,1,104,72,298,273,322,247,322,247,
39,165,104,247,104,247,247,273,221,135,273,39,194,39,165,322,322,72,194,72,
273,72,221,1,165,72,194,72,247,72,194,1,1,72,247,298,247,72,273,135,
273,39,165,1,165,1,165,135,298,104,194,104,1,135,39,194,135,273,72,221,
247,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,247,221,221,135,
221,221,221,221,221,221,221,221,221,221,221,221,221,247,346,221,221,221,221,221,
221,221,221,221,221,221,221,221,165,346,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,72,194,
72,247,39,194,39,194,1,104,1,39,1,72,39,39,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,1,1,72,165,1,135,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221, };
static unsigned short stb__courier_44_latin_ext_a[560]={ 373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_44_latin_ext(stb_fontchar font[STB_FONT_courier_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_44_latin_ext_s[i] + stb__courier_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_44_latin_ext_t[i] + stb__courier_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_44_latin_ext_x[i];
            font[i].y0 = stb__courier_44_latin_ext_y[i];
            font[i].x1 = stb__courier_44_latin_ext_x[i] + stb__courier_44_latin_ext_w[i];
            font[i].y1 = stb__courier_44_latin_ext_y[i] + stb__courier_44_latin_ext_h[i];
            font[i].advance_int = (stb__courier_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_44_latin_ext_s[i] + stb__courier_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_44_latin_ext_t[i] + stb__courier_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_44_latin_ext_x[i] + stb__courier_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_44_latin_ext_y[i] + stb__courier_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_44_latin_ext_LINE_SPACING
#endif

