// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT        392
#define STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_45_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_45_latin_ext_LINE_SPACING          21

static unsigned int stb__courier_45_latin_ext_pixels[]={
    0x00164000,0x40000000,0x50000000,0x01980007,0x880000c0,0x00c00000,
    0x00000000,0x131004c4,0x00555530,0x6cc00000,0x00000001,0x00000000,
    0x00000000,0x00550000,0x00001000,0x00220022,0x000aa000,0x70002001,
    0x08800001,0x01300880,0x7fd10000,0x3ee00000,0x07d40001,0x3f200000,
    0x3fe20005,0x03fd8801,0x00ff4c00,0x00dfb800,0x3a013a00,0x03fe8004,
    0x3ffe13fa,0x0000005f,0x0001ff50,0x07a603aa,0x3ffff600,0x04ffffff,
    0x0000b900,0x0026c400,0x17f6fd40,0x2ffb8000,0x017ec000,0x800009f7,
    0x3ea004fc,0x801f6204,0x00001ff8,0x4fa80bf6,0x0003bfd0,0x000ffa20,
    0x0077e400,0x0007f100,0x004fd800,0x200ffc40,0x00dfefe9,0x3feefb80,
    0x3bf62000,0xfb0001ff,0x0027d401,0x9fd01ff4,0x00bd5510,0xdf700000,
    0x7f440001,0x40017ee2,0xaaaaaaa8,0x30000aaa,0x000001df,0x0001ee88,
    0x001aa1f8,0x002fffc0,0x320ffa60,0x200000ef,0xfd8005fd,0x017fcc0d,
    0x000bfe60,0x6427f4c0,0xff7100ef,0xff980001,0xfb000002,0x0b70000b,
    0x7f440000,0xff880003,0x5c7fee01,0xfb1001ff,0x01bfb11b,0xd33fe980,
    0xbf50007f,0x003ff101,0x7f407fd0,0x0002f404,0x037f2000,0x65fe4000,
    0x0000003f,0x1ee88000,0xdf300000,0x0b500001,0xfb00003d,0xb100009f,
    0x09fd11bf,0x1ff44000,0x23ff7000,0x10001efb,0x200007fd,0xfe88dfd8,
    0x009f3004,0x000ffd40,0x027f4400,0x005fe800,0x02fe9800,0x03ff1000,
    0xfd3037f6,0x83fe8807,0xf5001efb,0x05fd883f,0xcbeffc80,0xd0003ffe,
    0x027f407f,0x0000017a,0x40005fd8,0x10ffd43a,0x05cc0037,0xb8001710,
    0x3a87f621,0xbf30dc00,0xd30003a8,0x100003f0,0x40000179,0x002ffffb,
    0x00bfa600,0x3fbfa600,0x6c40000d,0x2e00004f,0x4002ffff,0x3ba0006e,
    0xe8800000,0xf300003f,0x800003ff,0x000001fc,0xd8813e60,0x3017e406,
    0x037e00bf,0xa8002fb8,0x01effffe,0xd0000000,0x2000000b,0x440003f8,
    0x3204c3ff,0x13fe007f,0x2e005fd8,0xf885c0ff,0x1ff7002f,0x05ff10e2,
    0x2e44fa00,0x00000000,0x000774c0,0x0007f600,0x003fd880,0x0017e400,
    0x001dd300,0x04000db0,0x07600000,0x0dfd0000,0x00000000,0x08004000,
    0x08000000,0x30000100,0x00000003,0x0000bd00,0x80200000,0x5fa801fe,
    0xc80bf600,0x1bea004f,0x54007fe0,0x01ff806f,0x3bffb300,0x00000000,
    0x00000200,0x80000044,0x03000001,0x00010000,0xb880036c,0x00000bee,
    0x40000198,0x00000001,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0033105e,0x5c008800,0x0800200f,0x00800800,0x00200080,0x00040010,
    0x00000440,0x00000151,0x19900000,0x900076a0,0x0076a019,0x36a01990,
    0x00440001,0xd0006d80,0x0009b53b,0x0f7f7540,0x00000000,0x00000000,
    0x00000000,0x002a2000,0x00151000,0x20000000,0x3ffb225e,0x8000bdff,
    0x2dfffeca,0x00002fd4,0x00000000,0x00000000,0x00000000,0xffffd880,
    0x3bbae2df,0x9999910d,0x99950599,0x7d409999,0x06ff883f,0x220ffea0,
    0x3ea006ff,0x06ff883f,0xfffeda80,0x01b6002d,0x01f11a60,0x5b8be000,
    0x00544000,0xdeeeed80,0x3bbbaa01,0xddddb12e,0x4bdddddd,0xeeeeeeec,
    0xeed85eee,0x3aa01dee,0xb102eeee,0x45bfffff,0x100deeeb,0x5bfffffb,
    0xb06f775c,0x43dddddd,0xeeeeeeea,0x3fe6bd04,0xefecaabd,0xbffb1000,
    0x11bffb77,0x666441df,0xca82cccc,0x224ccccc,0x2ccccccc,0xcccccca8,
    0x33333224,0xccca82cc,0x33224ccc,0xa82ccccc,0x24cccccc,0xccccccc8,
    0xccccca82,0x7bff504c,0x327fd955,0xfd30deef,0x907fffff,0x1dffffff,
    0x740bfe60,0x3fe6004f,0x4009fd02,0x9fd02ff9,0x6ffec400,0x00effdbb,
    0x5b8006d8,0xa80001e8,0x44001f85,0x2dfffffd,0xd837bbae,0x201eeefe,
    0x13effeeb,0xdddddddb,0x3b22ffdd,0xeeeeeeee,0xeefed87f,0x3fbae01e,
    0xdffa83ef,0x93fecaab,0xf501bddf,0xfd9557bf,0x837bbf27,0x2feeeeed,
    0x3bbbbbaa,0xdf5bd05f,0x0077d403,0xfb80bfe6,0x7f4c1fef,0xc83fffff,
    0x0effffff,0xffffffd3,0xfffff907,0x3ffa61df,0xfc83ffff,0x30efffff,
    0x7ffffffd,0xffffff90,0x3fffa61d,0xffc83fff,0x540effff,0x33f201ef,
    0x005f807c,0x011005e8,0x00880018,0x0044000c,0x2ff98006,0xb007fee0,
    0x41f1000d,0xb5000079,0x7d4003f0,0xfecaabdf,0x81bddf93,0x6e8004f9,
    0x001f2000,0x027cc1f2,0xefa83740,0x1f33f201,0x6403df50,0x4c007ccf,
    0x20bd002f,0xf1005ffe,0x07fe601d,0xf00ffe60,0x80bd000b,0x05e8005f,
    0x2f4002fc,0x3a0017e0,0x4002fc05,0x00df105e,0x3e01ffea,0x005e8005,
    0x00000000,0x80000000,0xfa801ff9,0x001b600f,0x01fe5fe4,0x2dc5f000,
    0x403df500,0xd807ccfc,0x0bea000f,0x8007c800,0x003f607c,0x6f882fa8,
    0x40fff500,0xff5006f8,0x02f9800f,0x3bfa0bd0,0x413e6000,0xff7000fe,
    0x8005f80b,0x002fc05e,0x017e02f4,0x0bf017a0,0x5f80bd00,0xfb05e800,
    0x03fec003,0x2f4002fc,0x00000000,0x00000000,0x30007f40,0x007e40bf,
    0x000cc980,0x77f75400,0x00df1001,0x2601ffea,0x01ba004f,0x9000f900,
    0x0027cc0f,0x007f60dd,0x3f607fd8,0x01ff6001,0x3a005f30,0x0005fd05,
    0x007f50d9,0x807efbe6,0x05e8005f,0x2f4002fc,0x3a0017e0,0x4002fc05,
    0x002fc05e,0x027c42f4,0x3e01fe20,0x005e8005,0x00000000,0x40000000,
    0xfc8003fa,0x0007f502,0x4c000000,0x00fec001,0x3600ffb0,0x03fa800f,
    0x4003e400,0x007ec07c,0x27c41fd4,0x441fe200,0x3fc4004f,0x400be600,
    0x001fd05e,0x06e81f50,0xbf11ff10,0x74002fc0,0x4002fc05,0x002fc05e,
    0x017e02f4,0x0bf017a0,0x5f30bd00,0xf00fd000,0x20bd000b,0x2603eeed,
    0xd80eeeed,0x36603eee,0xed80eeee,0x3b6603ee,0x37c40eee,0x206f8800,
    0x32e02efd,0x1ccccccc,0x80000000,0x7c4004f8,0x007f3007,0xf90000dd,
    0x980f9000,0x306e803f,0x0fd0005f,0x3a000be6,0x017cc007,0x00dd05e8,
    0x2fa8be60,0x7e43fb00,0xd000bf01,0x8005f80b,0x002fc05e,0x017e02f4,
    0x0bf017a0,0x1f70bd00,0xf00fb000,0x10bd000b,0x4c09fddb,0x440feeee,
    0x2604feed,0x440feeee,0x2604feed,0x540feeee,0x3f20002f,0x01fff300,
    0x3ffffff6,0x200005ff,0x30009a98,0x0fd0005f,0xf3007ec0,0x0f900007,
    0xfb00f900,0xb81fcc01,0x07d8000f,0xfb0001f7,0x002f9800,0x001ba0bd,
    0x01f71fc4,0x2f987f90,0xbd000bf0,0xe8005f80,0x4002fc05,0x002fc05e,
    0x017e02f4,0x03ee17a0,0x3e01f200,0x805e8005,0x03ee004f,0x7dc009f0,
    0x70027c00,0x000fb81f,0x3a20fe60,0x7d4000cf,0x10000fca,0xfffffd95,
    0x00fb805f,0x26007d80,0x001f603f,0x64003e40,0x203f9807,0x003ee07d,
    0x07dc1f20,0x2003e400,0x0bd002f9,0x7d4001fa,0x3ea01f21,0xbf03f884,
    0xf80bd000,0x405e8005,0x05e8005f,0x2f4002fc,0x3a0017e0,0x8002fa85,
    0x005f807e,0x04f805e8,0x9f003ee0,0x2007dc00,0x03ee004f,0xf88000f9,
    0x0002fb84,0x000fe6fb,0x2af7ffe2,0x205feba9,0x7c8000fb,0xf983ec00,
    0x0f900003,0x3600f900,0x5407f307,0x07e8002f,0xfd0005f5,0x002f9800,
    0x007fa0bd,0x06d83f20,0x0bf037cc,0x17a0017e,0xbd000bf0,0xe8005f80,
    0x4002fc05,0x002fc05e,0x01fc42f4,0x3e01fe20,0x805e8005,0x03ee004f,
    0x7dc009f0,0x70027c00,0x0006e81f,0x007c85f8,0x03749f10,0x6400ab80,
    0x005f504f,0xf9800fd0,0x00007d83,0x1f2001f2,0x3ec1fcc0,0x1000fe20,
    0x00fe20ff,0x9800ff10,0x20bd002f,0x7c4006fe,0xfd102f45,0x5f837401,
    0x7c05e800,0x405e8005,0x05e8005f,0x2f4002fc,0x3a0017e0,0x4001fd05,
    0x05f807fc,0x4f805e80,0xf003ee00,0x007dc009,0x0fb8013e,0x740002fc,
    0x50006d86,0x000fdc3f,0x441fe000,0x3fc4003f,0x3e63ec00,0x1f200003,
    0xd801f200,0x7401fcc7,0x1ff2000f,0x32000fe8,0x17cc007f,0xffd05e80,
    0x207f4007,0x00bf605e,0x0017e0bd,0x00bf017a,0x05f80bd0,0x2fc05e80,
    0x3e02f400,0x305e8005,0x3fe600bf,0x8005f807,0x004f805e,0x09f003ee,
    0x3e007dc0,0xd03ee004,0x0bd0000b,0x1ba000db,0x000009f1,0x1fd01fb8,
    0x003fe400,0x00fb1fcc,0x8007c800,0x8fe6007c,0x0bf3007d,0x981ffe60,
    0xfff3005f,0x002f9800,0x3f3ba0bd,0x41ff4404,0x007f706d,0x0017e09f,
    0x00bf017a,0x05f80bd0,0x2fc05e80,0x3e02f400,0x205e8005,0x3ea00dfb,
    0x05f807cd,0x4f805e80,0xf003ee00,0x007dc009,0x0fb8013e,0x7c00036c,
    0x88006d83,0x0007d83f,0x980fd400,0xfff3005f,0x7cdf6000,0x3e400003,
    0x2003e400,0x4007f37d,0x3ea00dfb,0x6fdc07cd,0x1f37ea00,0x2005f300,
    0x3eebd05e,0xfca88abe,0xf30f903f,0x207f100b,0x05e8005f,0x2f4002fc,
    0x3a0017e0,0x4002fc05,0x002fc05e,0x3ff202f4,0x5fda989b,0x00bf00f9,
    0x09f00bd0,0x3e007dc0,0x003ee004,0x07dc009f,0xf30001f2,0x7000db03,
    0x005f501f,0x099a9980,0x6fdc03f5,0x1f37ea00,0x7edfcc00,0x3e400000,
    0x2003e400,0x000fdbf9,0x4c4dffe4,0x00f95fda,0x53137ff9,0x001f2bfb,
    0x17a005f3,0xfffd52f4,0x5401bfff,0x003be21f,0x02fc07ea,0x17e02f40,
    0xbf017a00,0xf80bd000,0x405e8005,0x05e8005f,0xfffffe98,0x3a01f24e,
    0x805e8005,0x03ee004f,0x7dc009f0,0x70027c00,0x001fa81f,0x036c1ea0,
    0x0bf02f40,0xffffd500,0x03fdffff,0x989bffc8,0x00f95fda,0x0027fec0,
    0x4003e400,0xffd8007c,0xffd30004,0x3e49dfff,0xffffe980,0x441f24ef,
    0xdfdccccc,0x741ccccc,0x7310bd05,0xbf100137,0xfe800ff4,0xd000bd00,
    0x8005e80b,0x002f405e,0x017a02f4,0x0bd017a0,0x4400bd00,0x07c80aca,
    0x7c4006c8,0x2004f804,0x027c00fb,0x4f801f70,0xf303ee00,0x83740009,
    0x17cc006d,0x22001f90,0xa9abcffe,0x801fedba,0xefffffe9,0x98001f24,
    0x800000ff,0x07c8007c,0x000ff980,0x40565440,0x6544007c,0xf507c80a,
    0xffffffff,0x5e85ffff,0x80000bd0,0x002fc9fc,0x036407f5,0xd9013e20,
    0x404f8800,0x27c4006c,0xf1001b20,0x4006c809,0x400004f8,0x007a807c,
    0x27c01fd4,0xf801f700,0x003ee004,0x07dc009f,0x54000fe4,0x800db04f,
    0x0fe600fc,0x002ffa20,0xa88007ea,0x007c80ac,0x00013e60,0x64003e40,
    0x04f98007,0x0f900000,0x00f90000,0xd05e8000,0xf880000b,0x1ba004fe,
    0xfa800f50,0x2003d403,0x03d403fa,0xf500fea0,0x403fa800,0x1fd4007a,
    0x01f60000,0xfc800fe2,0x2005e801,0x02f400fd,0x5e801fb0,0x2203f600,
    0x0fe8005f,0x5f8009f0,0xfd806e80,0x007ea001,0x000f9000,0x000007ec,
    0x6d8006d8,0x000fd800,0x00fb0000,0x000fb000,0xbd05e800,0xdf900000,
    0x00bf6200,0x7e4007f1,0x001fc401,0x3f8803f9,0x1007f200,0x0fe4007f,
    0xc800fe20,0x7c00001f,0x001fd005,0x3f600bf5,0x07ff4400,0xd1003f60,
    0x0fd801ff,0x807ff440,0x3f6004fb,0x4003f703,0x99999bfa,0x401fc999,
    0x0fd4005f,0x01f60000,0x00027c40,0x88009d00,0x27c4005f,0xbf000000,
    0x0bf00000,0x1fc40000,0x400005e8,0x200dfff8,0xfd004fe8,0x00bf5001,
    0x3ea003fa,0x001fd005,0x3fa00bf5,0x005fa800,0xbf5001fd,0x3fb80000,
    0x403dd100,0xf7000ffa,0x7f7fcc07,0x301fdc00,0xb801fdff,0x3bfe603f,
    0x037f600f,0xea84fe88,0x7fec006f,0xffffffff,0x0fe204ff,0x0003f900,
    0x90005f80,0x2000001f,0x7dc002f9,0x007e4004,0x3fb80000,0x1fdc0000,
    0x3f700000,0x000017a0,0x37ff93fd,0x05ff9511,0x500f7440,0x3a2001ff,
    0x03fea01e,0x500f7440,0x3a2001ff,0x03fea01e,0x500f7440,0x400001ff,
    0x22000efa,0xca889bfe,0x7f4001ff,0xefdb989d,0x200ccfb9,0xdb989dfe,
    0x0ccfb9ef,0x26277fa0,0xcfb9efdb,0x59df700c,0x09ff9511,0xf1000bba,
    0x5555555b,0xf80fb555,0x3ffb1006,0x1fdc0000,0x0027c400,0x00fe8800,
    0x8003fa20,0x000004f8,0x0001df50,0x00077d40,0x986f9800,0x00999ee9,
    0xe98ff200,0x0effffff,0x9bfe8800,0x01ffca88,0x44dff440,0x001ffca8,
    0x444dff44,0x4001ffca,0xa889bfe8,0x44001ffc,0xca889bfe,0x4c4001ff,
    0xefdb9999,0xffd88000,0x000dffff,0xfffffe98,0x0bffee4f,0xfffffe98,
    0x0bffee4f,0xfffffe98,0x0bffee4f,0xfffffe98,0x800001df,0x3ea000fb,
    0x300bf602,0x0003fdfd,0x3003bea0,0x35fb3333,0x99988001,0x41ffb999,
    0xb9999998,0x266602ff,0x009afd99,0x4cccc400,0x000efdb9,0x5cccccc4,
    0x40000efd,0xfca99998,0x7ffffc0e,0x8005ffff,0x795104f9,0xd8800013,
    0x0dffffff,0xfffb1000,0x0001bfff,0x3fffff62,0xb10000df,0x1bffffff,
    0x3ff62000,0x000dffff,0x7fffffc4,0x80000cff,0x0000abb9,0x001acba8,
    0x03597500,0x2b2ea000,0x75100001,0x00000359,0x2fc00374,0x2237ff10,
    0xfaaefdba,0x26200ccd,0xefdb9999,0x7ffff400,0x02ffffff,0xffffff50,
    0xff981dff,0x1effffff,0x3fffffa0,0x002fffff,0xffffff10,0x880019ff,
    0xffffffff,0x7d40000c,0x05ffffff,0x55555555,0x07100035,0x4c000000,
    0x00000abb,0x0002aee6,0x00abb980,0x2aee6000,0x2e600000,0x2a0000ab,
    0x00aaaaaa,0x00000000,0x00000000,0x00000000,0x80000000,0xfc8003f9,
    0x3fff6600,0x3ea3ffff,0xff102fff,0x19ffffff,0x55555300,0x00155555,
    0x2aaaaaa2,0x2aaaa00a,0xa9800aaa,0xaaaaaaaa,0x2aa0000a,0x000aaaaa,
    0x2aaaaaa0,0x5100000a,0x00135555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00fc8000,0x9803f980,0x0000acca,0xaaaaaaa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80017a00,0x0000006e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb930000,0x4c01999b,
    0x0ccfeccc,0xbbbbbbb1,0xbbbbbbbb,0x9bbbbbbb,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff70000,0x5c05ffff,0x2fffffff,0xddddddd3,0xdddddddd,0xdddddddd,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05000000,0x16c40000,0x8000a000,0x00088008,0x1db81322,0x006aaa60,
    0x004c0000,0x44004400,0x36200000,0x09800002,0x0026c000,0x0024c000,
    0x40001310,0x00088008,0x07621640,0x00001400,0xd8800000,0x16e00002,
    0x000da800,0x910f2000,0x00000005,0x10006200,0x03555555,0x17fa2000,
    0x3fa60000,0x3bf20002,0x806c8000,0x3fee007c,0x305ff982,0x0009ffff,
    0x05ff7000,0xe805e800,0xff300005,0xfa800003,0x3ee0002f,0x5000000d,
    0x320001ff,0x17a0005f,0xd80017a0,0x007fa22f,0x001dfb10,0x3ea01ed8,
    0x7f4c0004,0xbfb00002,0x0ffcc000,0x1fec0000,0x220007f6,0x0000beeb,
    0x800ffa60,0x5ffffffc,0xdffa8000,0x300000ef,0x220003ff,0x002ffdfe,
    0xbf301fdc,0x80ffd400,0x2aa603ff,0x2000004f,0x04fedfd8,0xb807f600,
    0xfa80003f,0x6400001f,0x0004feef,0x00003bee,0x0001df70,0xb0002fe4,
    0x01fdc03f,0x7f43fd80,0x67f4c002,0x3e6002ff,0x00efb83f,0x007fe600,
    0x013fa200,0x00bfe600,0x6c4fc800,0x3bd0003f,0x200009b5,0x00dfdefb,
    0xfaaaaa88,0x77e40005,0x0005ff51,0x0001efa8,0x3fa25ff5,0x0bfe2004,
    0x1000bfa6,0x3e001801,0xd3000004,0x0077e47f,0x540f7cc0,0x5c0000ff,
    0x200000ef,0x3bf24fe8,0x3ff50000,0x3bf20000,0x2fe40000,0x03df3000,
    0xb0001ff5,0x003fd89f,0xfe88f7dc,0x53fa2004,0x0000dfd8,0x00007bea,
    0x0000ffa2,0x0003fe88,0x1fec4fc8,0x7c469800,0x3f620000,0x003df70d,
    0xd80017a0,0x04fe885f,0x001df700,0x3207bee0,0xff3000ef,0x09fff9bf,
    0xf0000000,0xf5000009,0x03ff503f,0xbbfff700,0x80005fff,0x00000efc,
    0x3ee0bfe6,0xff30001f,0x5fd80003,0x0bf90000,0xdfffb800,0x8002fffd,
    0x01fec4fc,0x36037f60,0x3f2000df,0x40003fee,0x80000efb,0x00002ff9,
    0x0004fd88,0x09f917ee,0x0f42dc00,0x83fe8800,0xe8003ff9,0x07f30005,
    0xe8000fc8,0x02fc0005,0xc8800bea,0x001dfffe,0x9f000000,0x1b900000,
    0x8001f4c0,0x0ceffed9,0x004d8000,0x200ec800,0x220004e9,0x3e60003e,
    0x00000004,0xdffdb300,0x13e00019,0xf88007f1,0x000fdc03,0x00007bea,
    0xa800017a,0x4000001e,0x13a0006c,0xf100013e,0x70003cc1,0x036c405f,
    0x00002f40,0x00000000,0x00000000,0x00000000,0x000009f0,0x00000000,
    0x00000000,0x00000000,0x00080000,0x00000000,0x00000000,0x40000000,
    0x00000008,0x00000000,0x00000000,0x65fe4000,0x0000003f,0x0017a000,
    0x80000300,0x22000008,0x04400000,0x3bbbb600,0x3bbaa01d,0x009f02ee,
    0x00000000,0x00000000,0x00000000,0x88000000,0x01aaaaaa,0x00000000,
    0x22000006,0x04400000,0x00110000,0x00004400,0x00000220,0x00000011,
    0x664c0000,0x08800000,0x00bd0000,0xfffdb880,0x200aa3ef,0x2dffffec,
    0x3faa0032,0x2a0cefff,0xffeda801,0xfed802df,0x3ae01eee,0x9f03effe,
    0xdddddb10,0xccccc889,0xccca82cc,0x33224ccc,0xa82ccccc,0x24cccccc,
    0xccccccc8,0xccccca82,0xccca804c,0xcccccccc,0x3333224c,0xcca82ccc,
    0xfc84cccc,0x005fffff,0x22000000,0x3effffdb,0x76d400aa,0x0002dfff,
    0x5bfffdb5,0xfffd9000,0x400645bf,0xceffffea,0x36a006a0,0x002dfffe,
    0xbfffdb50,0xcccc8805,0xcca82ccc,0x0004cccc,0xfec80000,0x0322dfff,
    0x10005e80,0xd97bfffd,0x40bd5dff,0xcbbceffa,0x202faefe,0xcbceffe9,
    0x40bd3ffe,0xdbbdffd8,0x7cc00eff,0x406e8004,0xffed884f,0x7ff4c4ee,
    0xfc83ffff,0x30efffff,0x7ffffffd,0xffffff90,0x3fffa61d,0xffc83fff,
    0x400effff,0xfffffffc,0x30efffff,0x7ffffffd,0xffffff90,0xaaaa881d,
    0x6c4005fa,0x004eeeee,0x7bfffd10,0xbd5dffd9,0xbdffd880,0x000effdb,
    0xb77bffb1,0xf5001dff,0xfd9779df,0x74c05f5d,0xfecbceff,0x6c40bd3f,
    0xffdbbdff,0xffb1000e,0x1dffb77b,0x3ffffa60,0xfffc83ff,0x9700efff,
    0x39999999,0x77fd4000,0xaefecbbc,0x017a002f,0x402ffea0,0x305ffea8,
    0x7fd405df,0x05ff502f,0x82ff7ec4,0x3ee02ff9,0x007ec01f,0x4f805f50,
    0x2003ff30,0x05e8005f,0x2f4002fc,0x3a0017e0,0x3f500005,0x20017e00,
    0x05e8005e,0x77776cc0,0xffa8005f,0xffd5100b,0x017fcc0b,0xf9803ff7,
    0x07fee02f,0x2a02ef98,0xff502fff,0x7f7ec405,0x405ff305,0x7cc01ffb,
    0x07fee02f,0xbd000bf0,0xfffffb00,0x2000bfff,0x3ea02ef9,0x17a002ff,
    0x003ff100,0x0fe82fe4,0x982ff980,0xff5000ef,0x003ff30b,0x7cc01ff5,
    0x201ba004,0x00efa84f,0x3a0017e0,0x4002fc05,0x002fc05e,0xa80002f4,
    0x00bf001f,0xbd000bd0,0x017a0000,0x4003ff10,0x3ff305fc,0x201ff500,
    0xfa801ff9,0x001fd00f,0xdf305ff3,0x17fea001,0x2a007fe6,0x3ff300ff,
    0x401ff500,0x05e8005f,0x1f95f500,0x001fd000,0x74005ff3,0x00ff4005,
    0x3e617e20,0x20bf2002,0x7dc001fe,0x2000fe85,0x07ec05f9,0x7c01fd40,
    0x0006fe44,0x17a0017e,0xbd000bf0,0xe8005f80,0x3f500005,0x20017e00,
    0x05e8005e,0x800bd000,0x7c4001fe,0x4001fd05,0x01fd05f9,0x7cc2fcc0,
    0x20bf2002,0x7dc001fe,0x2000fe85,0x01fd05f9,0xbf02fcc0,0x000bd000,
    0x001fcdf6,0xfc800be6,0x8017a002,0x9b0004fa,0x4c001f70,0x0027d42f,
    0x0fea2fc4,0x980bf200,0x006e803f,0x0027ec9f,0x5e8005f8,0x74002fc0,
    0x4002fc05,0xf500005e,0x0017e003,0x17a0017a,0x002f4000,0x360009f5,
    0x8003fa84,0x01fd42fc,0x3ee17e40,0x50be6000,0xbf10009f,0xc8003fa8,
    0x001fd42f,0x05f817e4,0x88005e80,0x7001ba4f,0x17cc001f,0x6400bd00,
    0x5c00000f,0x205c000f,0x7b0000fc,0x880037c4,0x007ec06f,0x33e007f3,
    0x20003fe8,0x05e8005f,0x2f4002fc,0x3a0017e0,0x3f500005,0x20017e00,
    0x05e8005e,0x400bd000,0x200000fc,0xf10006f8,0x80037c4d,0x007dc6f8,
    0x01f902e0,0x6f88f600,0x44df1000,0xdf10006f,0x3a0017e0,0x21fa8005,
    0x3ee001fb,0x0005c000,0x037400bd,0x017cc000,0x00027400,0x40005f50,
    0x0fe600fc,0x3be007d8,0x20000eff,0x05e8005f,0x2f4002fc,0x3a0017e0,
    0x3f500005,0x20017e00,0x05e8005e,0x400bd000,0x5400006e,0x3f20002f,
    0x40005f50,0x00be60fc,0x00013a00,0x20002fa8,0x005f50fc,0x2fc07e40,
    0x4002f400,0x0027c46e,0x000005f3,0x7f1005e8,0x3fa00000,0x0be20000,
    0x00fb8000,0xb00fe600,0x800fe60f,0x00efaeff,0xd000bf00,0x8005f80b,
    0x002fc05e,0xa80002f4,0x00bf001f,0xbd000bd0,0x017a0000,0x00001fc4,
    0x980003ee,0x0001f73f,0x03fa1fcc,0x002f8800,0x0003ee00,0x01f73f98,
    0x7c1fcc00,0x005e8005,0x03ec1fc4,0x00003fa0,0xf5005e80,0x26000003,
    0xf50003ff,0x3e400003,0x013e2000,0x00fb07f3,0x1df30ef8,0x000bf000,
    0x005f80bd,0x02fc05e8,0x80002f40,0x0bf001fa,0xd000bd00,0x17a0000b,
    0x0000fd40,0x10001f20,0x0001f29f,0x3ff989f1,0x003f5000,0x0003e400,
    0x003e53e2,0x17e13e20,0x70017a00,0x005f501f,0x0001ffcc,0xf7005e80,
    0x44000001,0x01aceffc,0x00000fb8,0x3e0001ba,0x7cc7d805,0x2627c003,
    0x2fc000ef,0x3e02f400,0x405e8005,0x05e8005f,0x003f5000,0x17a0017e,
    0x00017a00,0x0fb802f4,0x03740000,0x06eafc00,0xc885f800,0x801aceff,
    0x200000fb,0x5f80006e,0xbf0000dd,0xbd000bf0,0x3e05e800,0x7fe44005,
    0x80001ace,0x01f7005e,0xb7100000,0x207bffff,0x200000fb,0x6e80005f,
    0x1f63f980,0x3ea13e00,0x017e000e,0x0bf017a0,0x5f80bd00,0x0005e800,
    0x3e003f50,0x005e8005,0xd00005e8,0x003ee00b,0x000bf000,0x0017edd0,
    0xdb881ba0,0x703dffff,0x7c00001f,0xf6e80005,0x0dd0000b,0x0bd000bf,
    0xf9017cc0,0xfb710001,0x0007bfff,0x07dc017a,0x44000000,0x5c0dfeca,
    0x3a00000f,0x05e80005,0x00fe6fb0,0x77d413e0,0x000bf000,0x005f80bd,
    0x02fc05e8,0x80002f40,0x0bf001fa,0xd000bd00,0x17a0000b,0x00007dc0,
    0x200017a0,0x0000bd5e,0x654400bd,0x07dc0dfe,0x00bd0000,0x017abd00,
    0x17e17a00,0xc8017a00,0x00fe600f,0x3fb2a200,0x02f4000d,0x7d400fb8,
    0xffffffff,0x3bee0001,0x00003ee0,0xf80006d8,0xfb7f3003,0x409f0001,
    0x0bf006fa,0x5f80bd00,0x7c05e800,0xb85e8005,0x00fd4005,0x5e8005f8,
    0x0005e800,0x3ee00bd0,0x7fffd400,0xdb1fffff,0x367f0000,0x03f80006,
    0xb83bee00,0x3600000f,0xb3f80006,0x07f0000d,0x0bd000bf,0x37402fc0,
    0x77dc0000,0x4017a000,0x664402f9,0x0cefcccc,0x527cc000,0x6400005f,
    0x0fcc0007,0x009ffb00,0xbf5013e0,0xd000bf00,0x8005f80b,0x002fc05e,
    0x003e42f4,0x2fc007ea,0x4002f400,0xbd00005e,0x100be600,0xdf999999,
    0x0001f219,0x001f23f3,0x80003f30,0x00bea4f9,0x0007c800,0x007c8fcc,
    0x2fc0fcc0,0xa802f400,0x999999bf,0x0001fc99,0x2004f980,0x07f1005e,
    0x0002f400,0x027c4db0,0x003f5000,0x26003d40,0x32e000ff,0x3b2604fc,
    0x5e81ccef,0x7405e800,0x405e8005,0x85e8005e,0x0fd4007c,0xe8005e80,
    0x005e8005,0x2200bd00,0x17a0003f,0x540003f5,0x80007ea7,0xdb00007a,
    0x000027c4,0x540003f5,0x80007ea7,0x000bd07a,0x3ff600bd,0xffffffff,
    0x000004ff,0x666644db,0xcccefccc,0x027c3ccc,0x0488bd00,0x3741f700,
    0x09f30000,0x20037400,0x3a2004f9,0x3ee04fff,0xc83fffff,0x027c4006,
    0x9f1001b2,0x44006c80,0x4007c84f,0x0d9001fa,0x8004f880,0x332a005e,
    0xccefcccc,0x27c2cccc,0xf98bd000,0x99ba0004,0x9ba0004f,0x1f700048,
    0x30000374,0x3740009f,0x740009f3,0x8800d906,0xadf8804f,0xaaaaaaaa,
    0x012207da,0xff987dc0,0xffffffff,0x20efffff,0xbd0001fd,0xb8001fa8,
    0x000fea0f,0x8001fc80,0x7ec004fa,0x00000000,0xf5001ea0,0x4007a807,
    0x03d403fa,0x1f20fea0,0x2001fb00,0x1fd4007a,0x8802f400,0xfffffffd,
    0x5fffffff,0xe8000fec,0x8001fc85,0x00fe44fa,0x3f527d40,0x541f7000,
    0x3200003f,0x4fa8001f,0x54000fe4,0x800f504f,0x0fb803fa,0x540bea00,
    0x0fb8001f,0xdf100000,0xf517a000,0xb0db0009,0x3f50001f,0x74002fc4,
    0x13e2000f,0x00000000,0x7e4007f1,0x001fc401,0x3f8803f9,0x3207f200,
    0x0037c007,0x7e4007f1,0x005e8001,0x2002ed80,0xbd0006f8,0xd000bf10,
    0x005f881f,0x13ea0fe8,0x3f61b600,0x21fa8000,0xfe8005f8,0x4002fc40,
    0x07f100fe,0x7400fe40,0x505f8006,0x0db0009f,0x4fa80000,0x7d45e800,
    0x13ea001f,0xb8003be2,0x004fb86f,0xf9000ff6,0xed800001,0x03fa0004,
    0x74017ea0,0x05fa800f,0xf5001fd0,0x400bf20b,0x7f4003fb,0x005fa800,
    0x88000bd0,0x4fa8001f,0xf705e800,0x81fec009,0x3f6004fb,0x000ffd43,
    0x1df109f5,0x5c37dc00,0x0ff6004f,0xfb0027dc,0x800fe807,0x3f9805fa,
    0xa80fc800,0x3ea001ff,0x07bf1004,0x001efd80,0xfffa8bf1,0x206fa801,
    0xfc802ff9,0x01bfb00d,0x20027f44,0x000004f8,0x220007b3,0x3fea01ee,
    0x03dd1000,0x88007fd4,0x3fea01ee,0x809fd100,0xe88005fb,0x03fea01e,
    0x0002f400,0xfd8001ea,0x0bf1001e,0xd1006fec,0x0dfd809f,0x2a13fa20,
    0xfa801fff,0x00bfe606,0x7ec037f2,0x13fa200d,0x4401bfb0,0xee8804fe,
    0x003fea01,0x260003f2,0x1fffa83f,0x4006fa80,0x54001fa8,0x3109adff,
    0xfa87ffb5,0x261adfea,0x4c00ffda,0xa889bdff,0xfb804fec,0xfca88ace,
    0x4cccc04f,0x0009afd9,0x00264080,0x1137fd10,0x8003ff95,0xa889bfe8,
    0x44001ffc,0xca889bfe,0xefc801ff,0xefdb889b,0x7fd10000,0x3ff95113,
    0x002f4000,0x01987e20,0x26b7fea0,0x7ffb5310,0x8acefb80,0x004ffca8,
    0x51159df7,0x3ea09ff9,0x261adfea,0x4c00ffda,0xa889bdff,0xfb804fec,
    0xfca88ace,0x9df7004f,0x9ff95115,0x4dff4400,0x01ffca88,0x74000bd0,
    0xdfeafa86,0x3ff6a61a,0x02e81000,0xffffc880,0x80bfffff,0x3fffee69,
    0x2003ffff,0xffffffb8,0x3a6001ef,0x1dffffff,0x7fffff40,0x002fffff,
    0x0ff77e40,0x3ff62000,0x000dffff,0xfffffb10,0x220001bf,0xdffffffd,
    0x3ffaa000,0x0003ffff,0xfffffd88,0x664400df,0xcefccccc,0x003ccccc,
    0x007fddf9,0xfffffc88,0x000bffff,0xffffffd3,0xfe98003b,0x01dfffff,
    0xffffb9a6,0x2003ffff,0xffffffb8,0x3a6001ef,0x1dffffff,0x7fff4c00,
    0x8001dfff,0xffffffd8,0x7ee4c00d,0x2600cccd,0x0ccfeccc,0x7fffdcd3,
    0x4003ffff,0x0006eefd,0x1abcba88,0x59953000,0x54c00013,0x200009bc,
    0x001acba8,0x55555553,0x00001555,0x00000351,0x00015773,0x0055dcc0,
    0x15773000,0x5e544000,0x9800000a,0xf3000abb,0xffffffff,0x1dffffff,
    0x006ee200,0x57975100,0x5d440003,0x440001ac,0x0001acba,0x026b32a6,
    0x9bca9800,0x2ea20000,0x440001ac,0x0001acba,0x00157730,0x3fffffee,
    0x3ffee02f,0x4c02ffff,0x0009acca,0x00003530,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x32201001,0xcccccccc,0xcccccccc,0x0000dc04,
    0x10008011,0x55555100,0x00098003,0x00790000,0x00002600,0x2000004c,
    0x00000009,0x00000390,0x4c000044,0x36200000,0x10011002,0x00000001,
    0x060035c0,0x55540040,0x04400aaa,0x18000440,0x20000100,0x20c0004b,
    0x00310001,0x044024c0,0xfb807fa0,0xfffff983,0xffffffff,0x7c07ffff,
    0x013a0003,0x17e403df,0x3fffffa0,0x07ff6004,0xfe880000,0xffb80003,
    0x04e80002,0x0bfee000,0x300f6c00,0x0007e89f,0x7ffff640,0x2e00322d,
    0x880002ff,0x0bd002fe,0xdd100bd0,0x000bb201,0xf3002fe4,0x03f6201b,
    0x9ffffff0,0x5e805e80,0x205f9800,0x40000fe8,0x2e0004fd,0x88013e1f,
    0xf50007fc,0x404e801d,0x7ec43ff9,0x202f980d,0xf01f205f,0x02f40009,
    0xfb10bfea,0x5555100b,0x3fe2009f,0x1000004f,0xb00007fd,0x0007fdbf,
    0xb00005f8,0x0007fdbf,0xdf707ff3,0x0002fa81,0xbbceffa8,0x02faefec,
    0x13fb7f62,0x02ff9800,0xfb807f60,0x83ffb803,0xd8006ff8,0xefb8004f,
    0x401ff4c1,0x00aaaadf,0x9f500fe4,0x07bf2000,0x40005ff3,0x20004fe8,
    0x00fec6f9,0x8000cfe8,0x5e800efb,0x98dfd880,0x0be603fe,0x01f205f8,
    0x2f40009f,0xf9a7f440,0x13e0003f,0x002ffe80,0x01ff9800,0xb27f4c00,
    0xf10001bf,0x74c0001b,0x0037f64f,0xb11bfb10,0x01ba01bf,0x405df300,
    0xd302fffa,0x0077e47f,0x0007fea0,0xff503df3,0x03fd1001,0xe8800ff6,
    0x3ea0003f,0x003df72f,0x3e60013e,0x00ffa81e,0x5cbfea00,0x220001ef,
    0x6c0003fe,0x4037cc2f,0xf90002f9,0x017a001b,0x01ffefb8,0x0bf017cc,
    0x013e03e4,0x32005e80,0x0001efef,0x3710027c,0xdf500000,0xff980003,
    0x001ffb82,0x7dffffd5,0x3fe6002e,0x001ffb82,0x03feefb8,0xd00017dc,
    0x5ff3001f,0xf503ff50,0x3bee003f,0xfff70000,0x005fffbb,0x74400000,
    0xe880002f,0x2000dfef,0xff70004f,0x05fffbbf,0xfdfd1000,0x7cc0001b,
    0x7cc0001f,0xc805fb06,0x09fb0007,0x4c005e80,0x2f9800ef,0x07c817e0,
    0xbd00027c,0x00dfa800,0x0004f800,0x1bb00000,0x01db0000,0x3620274c,
    0xffdbacef,0x0ed803ff,0x40013a60,0xdf001ffa,0x00be6000,0x0dd82fc8,
    0x6c00fa60,0x6cc0000d,0x000ceffe,0x74c00000,0x7e400001,0x004f8003,
    0x3bffb620,0x6400000c,0xeb80003f,0x2fd80001,0x6d80df30,0x003fa800,
    0x008005e8,0x5f80be60,0xdddb1f20,0xddddddff,0x0bd03bdd,0x40000100,
    0x0022004f,0x00000000,0x7f900000,0x001ffd40,0x11000000,0x000fdc00,
    0xf30007dc,0x00000005,0x00000000,0x00000440,0x00080000,0x000009f0,
    0x00400000,0x20000000,0x0ff407f8,0x02000db0,0x2002f400,0x0be60008,
    0xb1f205f8,0xdddffddd,0x03bddddd,0x000000bd,0x75404f80,0x20ceffff,
    0x0000001a,0x26000000,0x03fb804f,0x00000000,0x0017e200,0x170003ee,
    0x00000000,0x80000000,0x2dfffeda,0x00000000,0x004f8000,0x00000000,
    0x00000000,0xf7013ee0,0x00036c09,0x2017a000,0xceffffea,0x401906a0,
    0xf00e605f,0x82f40009,0xcccccccb,0x4f80001c,0x79dffd30,0x17a7ffd9,
    0xcccccc88,0xcccccccc,0x665c2ccc,0x32a01ccc,0x3ee2cccc,0xcc83b000,
    0x203ccccc,0x3ccccccb,0x33333322,0x4ccccccc,0x98003f90,0x64c0002f,
    0xcccccccc,0x910ccccc,0x99999999,0xcc899999,0xcccccccc,0x3ccccccc,
    0x2f7ff620,0x300effdb,0x99999999,0x41999999,0xcccccccc,0x000acccc,
    0x665c009f,0x01cccccc,0xcccccc80,0xcccccccc,0x66643ccc,0xcccccccc,
    0x7f4000ac,0xb03fc401,0x66665c0d,0x3332a01c,0x4c0bd2cc,0xecbceffe,
    0x800bd3ff,0x27c0005f,0x360bd000,0xffffffff,0x84f80005,0x36202ffa,
    0x3a205fef,0xffffffff,0xffffffff,0x7ffffec5,0x3fffee02,0x8001f64f,
    0xffffffe8,0x3ffffa04,0x3ffe25ff,0xffffffff,0x0bf107ff,0x0001fd00,
    0x7fffffd4,0xefffffff,0xffffff11,0xffffffff,0x7fffff44,0xffffffff,
    0xff306fff,0x40ffdc05,0xfffffffa,0x1effffff,0xffffffd1,0x7fffffff,
    0x6c009f00,0xffffffff,0x7ff44005,0xffffffff,0x26ffffff,0xffffffe8,
    0x3fffffff,0x200ff300,0x40db02fe,0x02fffffd,0x53ffffee,0x05ff505e,
    0x02ff7ec4,0xf00017e0,0x02f40009,0x01f95f50,0x7cc4f800,0xbff5000e,
    0x3f8af400,0x1fc82fc0,0x2e0fee00,0x7dc0000f,0x07ea0000,0x374007f1,
    0x98001f90,0x800003ff,0x03f8805e,0x04f81ba0,0x7fcc36c0,0x00ffa801,
    0x3e0017a0,0x3bf66204,0x00013e00,0x001f95f5,0x360027c0,0x98813e06,
    0x7e400efd,0x20bfb006,0x01fc806d,0x0bd0fee0,0x2a001df3,0x2fc005ff,
    0x0013e000,0x5f6005e8,0x7c0003f9,0x2000ff44,0x7f1005fb,0x0bf00fe2,
    0x7c401ba2,0x000bf305,0x20001fa8,0x01fc40fa,0x3e601fc8,0xffc88004,
    0x40001ace,0x03f8805e,0x27c03f90,0x3fa1b600,0x017e6000,0x4f8005e8,
    0x7c0bf500,0x9bec0004,0x13e0003f,0x27c0db00,0x6c05fa80,0x0df9005f,
    0x1ba201b6,0x2f42fc40,0x2e000ff4,0x02fc005f,0x80013e00,0x49f10009,
    0x27c0006e,0xf10009f5,0x447ea00b,0x502fc03f,0x01fb009f,0x000df7e4,
    0x700017cc,0x5007f10f,0x01fb009f,0x3ff6e200,0xe8003dff,0x803f8805,
    0x027c04fa,0x07f51b60,0x2005f900,0x04f8005e,0x27c0bee0,0x749f1000,
    0x013e0006,0x027c0db0,0x7f405f70,0x20ff7004,0x09f5005f,0x8bd01fb0,
    0xf88004fa,0x002fc005,0x000013e0,0x3f70fd40,0xf927c000,0x00f60001,
    0x807f13ec,0x00fe405f,0xfd3007f5,0x30057bff,0x0332607f,0x01fc43e4,
    0x7cc01be2,0x95100003,0x74001bfd,0x403f8805,0x04f806f8,0x0df136c0,
    0x401be200,0x04f8005e,0x04f827c0,0xfb87ea00,0x009f0001,0x013e06d8,
    0x1ffc09f0,0x540ffa80,0x07f2004f,0x8bd03fa8,0x7b0000fc,0x0005f800,
    0x0000027c,0x027c46e8,0x02749f00,0x24f80000,0x027403f8,0x37c41be2,
    0x3fb6a200,0x0fe204ff,0x6d81ffec,0x7ec03f88,0x001fa001,0x0077dc00,
    0x3f8805e8,0x7c00fec0,0xf52dc004,0x07e40005,0x7c002f40,0xf82f4004,
    0x11ba0004,0x13e0009f,0x27c0b700,0x7c417a00,0x3ff3002f,0x8003bf66,
    0x0df106f8,0x0013a2f4,0x00bf0000,0x00004f80,0x7d83f880,0x7c53e000,
    0x98000002,0x300fe22f,0x907f5001,0xa880003f,0x09f00dfd,0x2f417f7e,
    0x0fee01d8,0x0007f500,0x4013e600,0x403b005e,0x09f003fb,0x03ee00a2,
    0x803f9800,0x04f8005e,0x27c0fe20,0xd83f8800,0x209f0007,0x04f80028,
    0x7cc0fe20,0x5ff1001f,0x2000bffa,0x01fc83fa,0x002f897a,0x02fc0000,
    0x00013e00,0x2a03ee00,0x29f0002f,0x000001fa,0x8fe20fb8,0xfb0000d8,
    0x00027cc3,0x2f417ea0,0xf83e5fcc,0x05f98004,0x0000dd00,0x5e8036c0,
    0x05f98000,0x03dc13e0,0x220003e4,0x005e804f,0x3f2004f8,0x20009f00,
    0x02fa80fb,0x0f704f80,0x64009f00,0x05ff100f,0x5c47fe60,0xfd8001ff,
    0xbd013e61,0x00000fd4,0x00017e00,0x0000009f,0x002fc0bd,0x001f74f8,
    0x88db0000,0x000be63f,0x00dd37c4,0x6c1f2000,0x1fa8fb86,0xfe8003f8,
    0x05f50000,0xfb800244,0x0005e800,0x3e000fe8,0xe801f704,0x05f80006,
    0x4f8005e8,0x7c0bfb00,0x40bd0004,0x04f8005f,0x4f8001f7,0xf80bfb00,
    0x1ff5003f,0x88004f98,0x3a01ba6f,0x00003ee5,0x000bf000,0x2e0004f8,
    0x9017cc02,0x29f0001f,0x000000fb,0x3be227c4,0x0002fdcc,0x007f2fea,
    0x40fd4000,0x9f16e87c,0x64002f88,0x3740002f,0x70003f50,0x00bd001f,
    0x4002fc80,0xecccccef,0x002fc00f,0x2f403740,0x73027c00,0x27c01bfd,
    0x9017cc00,0xcef8001f,0x00fecccc,0xd73027c0,0x4fe801bf,0x3a0ff700,
    0x97f50006,0x5cbd003f,0x0000000f,0x3a0002fc,0x017a0006,0x1fcc01f9,
    0x0fba7c00,0x7d400000,0x7ffffc42,0x7ec0002f,0x00d5004f,0x0fb81fa8,
    0x4c6e93e2,0x13ea001f,0x40bee000,0x6d8004fa,0x4000bd00,0xff8004fa,
    0x0fffffff,0x40002f40,0x005e805e,0xeeeeeff8,0xf803efff,0x00fc8004,
    0xff000fe6,0x1fffffff,0xeeeff800,0x03efffee,0x3200bfb0,0x000db06f,
    0xe8027fec,0x00003ee5,0x000bf000,0xc9802fd8,0x0bf017a4,0x9f000dd0,
    0x000003ee,0x47f10f90,0x440002f9,0x07f2006f,0xfa80fd80,0x0fb8bea0,
    0x7c4007ea,0xbf100006,0x8007fea0,0x0bd004fa,0x001be200,0x00fb827c,
    0x7c00036c,0x8005e803,0xfeeeeeff,0x013e004f,0x1ba017e0,0x3ee09f00,
    0x777fc000,0x004ffeee,0xfd803fdc,0x4000db04,0x97a006f8,0x000000fb,
    0x3bf3332e,0x2003cccc,0x2a61bff8,0x17a4ffeb,0x9999bfa8,0x01fc9999,
    0x02faa7c0,0x4f740000,0x263f9999,0x5e80001f,0x003bf200,0x0fcc13ee,
    0x2e2f98f9,0x03fb000f,0x40fe4000,0xa801fffa,0x017a006f,0x8000fec0,
    0x801f704f,0x7cc0007c,0x8005e801,0x05ff504f,0xf50013e0,0x33333337,
    0x7c003f93,0x8001f704,0x05ff504f,0x4007fc40,0x00db01ff,0x3a005e80,
    0x0000bea5,0x7ffff440,0x06ffffff,0x7fffecc0,0x741cffff,0x3ffff605,
    0xffffffff,0xf8a7c004,0x22000004,0xffffffff,0xe8000043,0x3fff2005,
    0x06fd980b,0xf85f8be2,0x7dc01f25,0x10004403,0xfd5f50bf,0x7ed4c35b,
    0x017a000f,0x1100fee0,0x035413e0,0x50000fd4,0x0017a00f,0x3fe9813e,
    0x6c004f80,0xffffffff,0x2004ffff,0x000d504f,0x1ff4c09f,0x9805fb00,
    0x001b606f,0x2f400bd0,0x000009f1,0x98000000,0x2009acca,0x55bf105e,
    0x55555555,0x24f800fb,0x2000006e,0xbaaaabfa,0xd000003f,0x6c7dc00b,
    0xfffeefff,0x7f33f803,0x4036cf90,0x05d805f8,0x9a607e40,0xfffffffb,
    0x05e8003f,0x6c02fc40,0x30009f05,0x80013e63,0x00bd006e,0x7fb009f0,
    0x22004f80,0xaaaaaadf,0x007daaaa,0x0660013e,0x1fec027c,0x6405fa80,
    0x001b603f,0x2f400bd0,0x000001ba,0x00000000,0x07dc17a0,0x4005f500,
    0x000fea4f,0xf8836c00,0x4000a803,0x9862005e,0x00acffdb,0x207ee9f0,
    0xd00bd1fa,0x00dd001f,0x53004f88,0x000135dd,0x1fd0017a,0x13e0dd00,
    0x1fc97a00,0x004fa800,0x09f000bd,0x4f807fa0,0x8003ee00,0x09f002fa,
    0x13e0bd00,0xf800ff40,0x803fe00f,0x2f40006d,0x3fa8bd00,0xb3000000,
    0x2600003b,0x0bd001dd,0x17e001ba,0x07ec4f80,0xf80fd400,0x8807f104,
    0x02f4003f,0x8005f800,0x3e20fb5e,0x2fc809f4,0xb000dd00,0x01e4001f,
    0x9002f400,0x41ba005f,0x25e8004f,0xfe8005f8,0x000bd000,0x1be2009f,
    0x1ba004f8,0x7c017e00,0xf05e8004,0x01be2009,0x5fa81fe4,0x200036c0,
    0x217a005e,0xfa8000fd,0x09ffd001,0x13ffa000,0x1fcc2f40,0x8007e400,
    0x0077c44f,0x3e60df70,0x8807f102,0x02f4003f,0x8005f800,0xb7409f6d,
    0x017e604f,0xf98006e8,0x00ff2004,0x2600bd00,0x41ba005f,0x45e8004f,
    0x3f6004fb,0x0017a003,0x3fa8013e,0x3e6009f0,0x00fc8003,0x5e8004f8,
    0x7d4009f0,0xd07f8803,0x00fc803f,0xe8017a00,0x000ef885,0xfc801bee,
    0xf900003f,0x217a007f,0xf98000fc,0xf309f003,0x1bf9005f,0x7c403ee0,
    0x001fc403,0x7c00017a,0xfafc8005,0x0fe7ee02,0xd0007744,0x03f6000d,
    0x001ecc40,0xdd100bd0,0xf8374001,0xd85e8004,0x3fa200df,0x002f4004,
    0x3f60027c,0xf9004f80,0x07f30001,0xbd0009f0,0xfb0013e0,0xa87f9001,
    0x04fa805f,0xe8017a00,0x005ff305,0x98001bf9,0x2600000f,0xd0bd000f,
    0x4374000b,0x04fcccca,0x1137bff3,0xd809fd95,0x100fe206,0x05e8007f,
    0x000bf000,0x4c01f9f7,0x3f902fcf,0x0006e800,0x05c407f5,0x2f400099,
    0x2000fe40,0x0009f06e,0x33bee0bd,0x4ffca88a,0x8005e800,0x2fcc004f,
    0x0e66677c,0xdd0002f4,0xd0009f00,0x30013e0b,0x8ff100bf,0xdfb000fe,
    0x00bd0007,0xbff302f4,0xfd951137,0x017a0009,0x400bd000,0x9bfb933d,
    0x664c0199,0xfb0ccfec,0x4409ffff,0xfffffffb,0xdf99301e,0x77e65c39,
    0xcccccccc,0x3332e03f,0x3ccccefc,0x8004e800,0xff806ffa,0x999dd01f,
    0x99999999,0x6c000df9,0x3bbfa206,0x6664401f,0xcccefccc,0x99dd0ccc,
    0x99999999,0x665cdf99,0xccccccef,0x5fcccccc,0x3ffffa60,0x32201dff,
    0xcefccccc,0x2e0ccccc,0x1cccefcc,0xf0ccfc80,0x267fffff,0x0cccdfdc,
    0x3fb33260,0x3f32e0cc,0xccccccce,0x25fccccc,0xcccefccb,0x0ccfc801,
    0x02f83e60,0x2e036d40,0xccefcccc,0x807b03cc,0xffffffb8,0xf70001ef,
    0x7dc00001,0xfff70000,0x5c05ffff,0x2fffffff,0x79530000,0xfffa8013,
    0xfffd13ff,0xffffffff,0x7ff407ff,0xffffffff,0x001b8006,0xd803ff98,
    0xfffd00ff,0xffffffff,0x8000dfff,0x001a9801,0xfffffff5,0x3fffffff,
    0x3ffffffa,0xffffffff,0xfffffd16,0xffffffff,0x100bffff,0x50035975,
    0xffffffff,0x23ffffff,0xffffffe8,0xfff8803f,0xffff7002,0x7dc05fff,
    0x12ffffff,0xfffffffd,0xffffffff,0x3ffa2bff,0x803fffff,0x0002fff8,
    0x3fa00000,0xffffffff,0x5300006f,0x80001379,0x4c000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00013000,0x00000300,0x64000031,0x0000000d,0x80000b90,0x08800028,
    0x80000880,0x1100000a,0x22001100,0x8000002e,0x2600004c,0x22000000,
    0x1000881e,0x11001100,0x00000000,0x10000088,0x0220005d,0x50000220,
    0x2600001d,0x6664400d,0x3ccccccc,0x00088000,0x40bbf6a0,0x7fec0001,
    0x6dc40001,0x2a3effff,0x17fd4002,0x0efa8000,0x22000000,0x200004fd,
    0x0001dffc,0x5f980ff2,0x3ff62000,0x2fd80001,0xe8013ea0,0x1000003f,
    0x200009fb,0x00002ffb,0x7f903f90,0x7402fcc0,0x9805e805,0x03db105e,
    0xffffd500,0x000d419d,0xfb0007fd,0x0027dc05,0x0001df70,0xa801df50,
    0xffffffff,0x5c0005ff,0xfc8003ff,0xd31dffcf,0x7fc4000f,0xfd10004f,
    0xffd97bff,0x6400bd5d,0x0004feef,0x0003ff50,0x07fd1000,0x37fea000,
    0x8000cffb,0xefb85fe8,0x9fd30001,0x980007fd,0x0efc84fe,0x013f6200,
    0x07fd1000,0xdbfb1000,0x8800009f,0x1bfb105f,0xd801efb8,0x00fee01f,
    0x3ea07ff6,0x3fa6004f,0xffecbcef,0x6c400bd3,0x7f4c004f,0x000efc83,
    0x0001bf90,0x0001df70,0x000003f2,0x8800dffd,0x3bff223f,0x740001ff,
    0xfa8002ff,0xfd5100bf,0x9fd100bf,0x000077e4,0x00017fcc,0x005fd300,
    0x45dfd100,0x0002ffc8,0xbfb11df9,0x3fea0001,0x001bfb12,0x446fec40,
    0x360004fe,0xf300005f,0xd300005f,0x0077e47f,0x401fb800,0xdfd89efc,
    0x03df3000,0xf5001ff5,0x007fa20d,0xb1017fd4,0xb000bfdf,0xfd8800bf,
    0x004fe88d,0x0009fb10,0x00017f20,0x800001f9,0x00004ffc,0x00033b22,
    0x20006e20,0x32001ff8,0x17fcc05f,0x00017fd4,0x00017f44,0x000ffcc0,
    0x2603fb80,0x3ea0007e,0x20003fef,0xefb80efc,0x7fdc0000,0xc80002ff,
    0x260000ef,0xa80001ff,0x1ffa81ff,0x006f8000,0x007fdff5,0xfbbfff70,
    0x000005ff,0x003be600,0x8002ffd4,0x5c000efc,0x0002ffff,0x00007fd1,
    0x200013f6,0x800000fc,0x0000002a,0x40000000,0x7c4001fe,0x100f6405,
    0x220000bd,0xb800004d,0x0000000e,0xe8800010,0x2740001f,0x0000ba60,
    0x00003ba6,0x20000ea8,0x900000ec,0x01f4c01b,0x800bee00,0x20001fe8,
    0x0ceffed9,0x20000000,0x7dc001fe,0x03aa0005,0x003ba600,0x0002e980,
    0x00007f10,0x000003f2,0x00000000,0x50003000,0x1360009f,0x00000000,
    0x00000000,0x06aaa200,0x02000000,0x00000000,0x00000400,0x00000000,
    0x00000000,0x00800374,0x00000000,0x04fa8000,0x0005f880,0x00020000,
    0x00000000,0x003f2000,0xc8800000,0x82cccccc,0x4cccccca,0xfffdb880,
    0x320aa3ef,0x0000000f,0x00000000,0x00000000,0x013fffe2,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfa800000,0x00000003,0x33322000,
    0xca82cccc,0x644ccccc,0x07b0000f,0x00000000,0x00000000,0x0fc80000,
    0x99991000,0x99999999,0x7fff4c99,0xffc83fff,0x100effff,0xd97bfffd,
    0xd0bd5dff,0x9700000d,0x95059999,0xb8099999,0xcccccccc,0x665c0001,
    0x01cccccc,0x04fba880,0x99997000,0xcccca803,0x99700ccc,0x03999999,
    0xccccc880,0xcccccccc,0x3264cccc,0xcccccccc,0x2e0ccccc,0x5401cccc,
    0x0ccccccc,0x33333332,0xcccccccc,0x7e8003cc,0x99999950,0x00159999,
    0x99999993,0x19999999,0x3fffffa6,0xffffc83f,0x013a0eff,0x99999000,
    0x99999999,0x64c79999,0xcccccccc,0x320ccccc,0xcccccccc,0xcccccccc,
    0x33333223,0x003ccccc,0x40003f20,0xfffffff8,0x07ffffff,0x0bd000bf,
    0x100bffa8,0xf88bffd5,0xfd800003,0xfc84ffff,0x200effff,0xfffffffd,
    0x7ec0005f,0x5fffffff,0x0027c000,0x6ffffe80,0x7ffffe40,0xfffb01ef,
    0x00bfffff,0xffffff98,0xffffffff,0x3fea7fff,0xffffffff,0x3fa1efff,
    0x7e406fff,0x11efffff,0xfffffffd,0xffffffff,0x3f9800df,0xffffff90,
    0x3dffffff,0x7ffffd40,0xffffffff,0x8005f81e,0x002f885e,0x3fffa200,
    0xffffffff,0x2a6fffff,0xffffffff,0x11efffff,0xfffffffd,0xffffffff,
    0x7fffd4df,0x05ffffff,0x0003f200,0xdd001fc4,0x3a0017e0,0x007fe205,
    0x0fd45fc8,0x09f00000,0x80007e40,0x000fcafa,0x7e57d400,0x013e0000,
    0x0fffa000,0x50006d80,0x4001f95f,0x817e02f9,0x00bd007c,0x4007ffd0,
    0x004f806d,0x3f60036c,0x3007dc00,0xd0007ff7,0x005f800b,0x01fa85e8,
    0x013e0000,0x17a00db0,0xb0013e00,0x000fc80d,0x0003f200,0xfc801fc4,
    0xd000bf01,0x000ff40b,0x01f717e2,0x027c0000,0x20001f90,0x0007f37d,
    0x07f37d80,0x00027c00,0x007eef40,0xfb0006d8,0xf9800fe6,0x7c817e02,
    0xd000bd00,0x36001fbb,0x4004f806,0x13e6006d,0x22003ee0,0x2f4003fd,
    0x20017e00,0x000fb85e,0x0013e000,0x017a00db,0xdb0013e0,0x0000fc80,
    0x40003f20,0x4fa803f8,0x3a0017e0,0x0009f505,0x001f7136,0x0027c000,
    0xf10001f9,0x00003749,0x003749f1,0x000009f0,0x200bf1bd,0x4f88006d,
    0x2f9801ba,0x07c817e0,0xbd000bd0,0x1b600bf1,0xdb0013e0,0x4007ec00,
    0x3f6000fb,0x0017a000,0x0bd000bf,0x000001f7,0x1b60027c,0x7c002f40,
    0x2036c004,0x200000fc,0xf10000fc,0x406f8807,0x05e8005f,0x400001f9,
    0x000000fb,0x0fc8013e,0x2e1fa800,0xf500001f,0x8000fdc3,0x009a884f,
    0x03f75e80,0xf5000db0,0x9800fdc3,0xc817e02f,0x000bd007,0x2007eebd,
    0x004f806d,0x4f88036c,0x4001f700,0x17a005f8,0xd000bf00,0x0001f70b,
    0x20027c00,0x00bd006d,0x6d8009f0,0x00007e40,0x04001f90,0x1fd807f1,
    0x74002fc0,0x0000dd05,0x7d400fb8,0xffffffff,0x32004f81,0x46e8000f,
    0xd00004f8,0x0004f88d,0x7fff649f,0x97a001ef,0x006d806e,0x027c46e8,
    0x17e02f98,0x0bd007c8,0x0374bd00,0x027c036c,0x7e4016e0,0x001f7001,
    0xbd001fc8,0x8005f800,0x000fb85e,0x0013e000,0x017a00b7,0xb70013e0,
    0x0000fc80,0xf8003f20,0x3fb80763,0xe8005f80,0x0003f885,0x22017cc0,
    0xefcccccc,0x2004f80c,0x7c4000fc,0x80007d83,0x007d83f8,0x7bfd19f0,
    0x007ff953,0x403fa97a,0x1fc4006d,0x2f9803ec,0x07c817e0,0xbd000bd0,
    0x1b601fd4,0x014413e0,0x400bf100,0x4f8000fb,0xf800bd00,0xa85e8005,
    0x2000002f,0x0005104f,0x4f8005e8,0x32000510,0x3200000f,0x09f1000f,
    0x7c017e60,0xa85e8005,0x4400001f,0x17a0003f,0x3f2004f8,0x407dc000,
    0x5c0002fa,0x002fa80f,0x101efdf8,0x8bd003fd,0x01b600fd,0x5f501f70,
    0x5f803200,0x2f400e60,0x3f62f400,0x3e01b600,0x4000f704,0x3ee001fb,
    0x006d8000,0x05f800bd,0x4f885e80,0x13e00000,0x3a0003dc,0x704f8005,
    0x03f2000f,0x00fc8000,0x3a009f10,0x00bf000f,0x01f70bd0,0x009f0000,
    0x09f02f40,0x20007e40,0x0017e05e,0x02fc0bd0,0x20077fc0,0x45e805fa,
    0x01b604f9,0x02fc0bd0,0x0005f800,0xbd000bd0,0x1b604f98,0x07dc13e0,
    0x4006f800,0x7c8000fb,0xf800bd00,0xd05e8005,0x7c00000d,0x0001f704,
    0x27c002f4,0xc8000fb8,0x3200000f,0x09f1000f,0x7c005f90,0xb85e8005,
    0xd800000f,0x0bd0001f,0x6666677c,0x0feccccc,0xc80be600,0x5f30000f,
    0x20007e40,0x0df000ff,0x03f90bd0,0x2f9801b6,0x00003f20,0x7400017e,
    0xc85e8005,0xf00db01f,0xfd99999d,0x05f70001,0x8000fb80,0x05e800fb,
    0x74002fc0,0x0007f505,0x3333be00,0x0000fecc,0x3be0017a,0x0feccccc,
    0x000fc800,0x4003f200,0x27d404f8,0x20017e00,0x000fb85e,0x006f8800,
    0x7ffc0bd0,0xffffffff,0x32000fff,0x00fe600f,0xf3007e40,0x004f8007,
    0x217a01f2,0x00db06f8,0x7f3007e4,0x00bf0000,0x20017a00,0xb06f885e,
    0xfffff00d,0x0001ffff,0x1f7000dd,0x001f7000,0x05f800bd,0x3f605e80,
    0x01fa8000,0xffffffff,0x2f40001f,0x7ffffc00,0x8000ffff,0x200000fc,
    0x9f1000fc,0x40037c40,0x85e8005f,0x7fd400fb,0x1fffffff,0x740027d4,
    0xc8013e05,0x017e000f,0x2fc001ba,0x3e003740,0x201f2004,0xb07f505e,
    0x402fc00d,0x5f80006e,0x00bd0000,0x0fea0bd0,0x413e01b6,0x7d4000fb,
    0x00fb8002,0xe800fb80,0x002fc005,0x1df102f4,0xf037dc00,0x0003ee09,
    0x4f8005e8,0x90001f70,0x6400001f,0x09f1000f,0x7c000fec,0x985e8005,
    0x6664402f,0x80cefccc,0xf1001efd,0x90027c0b,0x2fea001f,0x99999999,
    0x7d4001fc,0x9999999b,0x3e001fc9,0x201f2004,0xb03fa05e,0x26fea00d,
    0xc9999999,0x2fc0001f,0x005e8000,0x03fa05e8,0x209f00db,0x374000fb,
    0x000fb800,0x0bd007c8,0xe8005f80,0x017fcc05,0x9f006fe4,0x80003ee0,
    0x04f8005e,0xf90001f7,0x99104001,0x9999fd99,0xf9999999,0x100fee09,
    0xd000bd01,0x0007f10b,0x3fea02f4,0xb53109ad,0x027c07ff,0x36001f90,
    0xffffffff,0x4004ffff,0xfffffffd,0x004fffff,0x07c8013e,0x13e605e8,
    0x3ff600db,0xffffffff,0x7c0004ff,0x0bd00005,0x7cc0bd00,0x27c036c4,
    0x7d4006a8,0x01f70003,0x3a00bd00,0x002f4005,0x7fcc02f4,0xeca889bd,
    0x504f804f,0x05e8000d,0x0d504f80,0x8003f200,0xfffff53f,0xffffffff,
    0x109fffff,0x90bb00bf,0x04f8800d,0x2f40009f,0x7fffe440,0x00bfffff,
    0x1f90027c,0x555bf100,0xb5555555,0x56fc400f,0xaaaaaaaa,0x13e007da,
    0x5e807c80,0x0db0fe40,0x5555bf10,0xfb555555,0x005f8000,0xd000bd00,
    0x361fc80b,0x8004f806,0x000fd819,0xf0001f70,0x0017a007,0x4f8800d9,
    0xffff7100,0x2003dfff,0x0198004f,0x4f8005e8,0x32019800,0x09f1000f,
    0x3fa00000,0x7a86e800,0xd81fd400,0x0bd0001f,0xabcba880,0x8013e001,
    0x0fb800fc,0x400bea00,0x3ea000fb,0x4009f002,0x405e807c,0x201b66f8,
    0x3ea000fb,0x017e0002,0x4002f400,0xb37c405e,0x0009f00d,0x004f98bd,
    0x30003ee0,0x017a005f,0xfa800f50,0xbed98003,0x027c0009,0x2f402f40,
    0x40027c00,0x003f205e,0x000027c4,0xe8017e40,0x2003f886,0x0df101fc,
    0x00017a00,0x8013e000,0x06e800fc,0xdd005f80,0x200bf000,0x01f2004f,
    0x4bee017a,0x006e806d,0x3e0005f8,0x0bd00005,0xf700bd00,0x13e01b65,
    0x1fb17a00,0x007dc000,0x2001fd10,0x1fc4005e,0x0003f900,0x4f80012e,
    0xe805e800,0x004f8005,0x03f205e8,0xb0027c40,0x2fcc009d,0x3fa0dd00,
    0x405fa800,0x5e8004fa,0x004ed800,0x7e4009f0,0x001fcc00,0x3e6007e4,
    0x00fc8003,0x1f2004f8,0x7f4017a0,0x1fcc06d8,0x0007e400,0xd00005f8,
    0x00bd000b,0x201b63fa,0x25e8004f,0x5c0004f8,0x0ff6000f,0xe8005e80,
    0x05fa800f,0x0033ee00,0x3a0013e0,0x8005e805,0x05e8004f,0x7c4003f2,
    0x01ecc004,0xd0007744,0x807ba20d,0xfd800ffa,0x0bf1001e,0x000f6600,
    0x0fc8013e,0x40007e40,0x07e403f9,0x401fcc00,0x01f2004f,0x67cc017a,
    0x007e406d,0x8001fcc0,0xbd00005f,0x200bd000,0xf806dcf9,0x325e8004,
    0x7dc0000f,0x00bf9000,0xe88005e8,0x03fea01e,0x04d98800,0xe8004f80,
    0x8005e805,0x05e8004f,0x7c4003f2,0x02640804,0x3a000fe4,0x26ffa206,
    0x01ffca88,0x26b7fea0,0x7ffb5310,0x01320400,0xfc8013e0,0x0002f400,
    0x005e80dd,0x13e01ba0,0x5e807c80,0x01bbf200,0x374000bd,0x0005f800,
    0xbd000bd0,0x0377e400,0xaf40027c,0xb80005f8,0x3fae200f,0x005e8005,
    0x1137fd10,0x0003ff95,0x002dc371,0x2f40027c,0x7c002f40,0x205e8004,
    0x9f1000fc,0x3fddf900,0x9999dd00,0x99999999,0xffd880df,0x000dffff,
    0xfffffc88,0x000bffff,0x00ff77e4,0xccefcca8,0xcfecca82,0x37f7262c,
    0x32600ccc,0x30ccfecc,0x1999bfb9,0x7f6664c0,0x3f3260cc,0x3b2e03ce,
    0x7e5c1ccf,0x2202cccf,0xfdc986ff,0x2600cccd,0x0ccfeccc,0xdf999970,
    0x22079999,0xefcccccc,0x40cccccc,0x2cccffcb,0x5c1bfe20,0xccccefcc,
    0xcccccccc,0x0003f75f,0x6667ee54,0x4fffdccc,0x33333220,0xcccccefc,
    0x7fec400c,0x000dffff,0x3fddfb10,0x3bf32e00,0xcccccccc,0x915fcccc,
    0x9df99999,0x5c199999,0xccccefcc,0xcccccccc,0xd999915f,0x9999999f,
    0x009f9999,0xfe8006a2,0xffffffff,0x006fffff,0x0002aee6,0x55e5d440,
    0x0d440001,0x3ffff600,0xfffc84ff,0x3fee5fff,0x202fffff,0xfffffffb,
    0xffffff72,0x7ffdc05f,0x3ee2ffff,0x880effff,0x23fffffe,0xffffffe8,
    0x5c37dc04,0x2fffffff,0x3ffffee0,0xffe882ff,0xffffffff,0xfffff506,
    0xffffffff,0x7fff443f,0x7dc04fff,0xffffe886,0xffffffff,0x025fffff,
    0xffffb000,0x9dffffff,0xffffa801,0xffffffff,0x2e6001ff,0x100000ab,
    0x7f440055,0xffffffff,0xffffffff,0xffffff55,0xffffffff,0x3ffffa23,
    0xffffffff,0xf55fffff,0xffffffff,0xffffffff,0x0000009f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66664000,0xcccccccc,0x3332000a,
    0xb82ccccc,0x003ccccc,0x99970000,0xccca8039,0x0000cccc,0x00000000,
    0x00000980,0x15c40000,0x01100000,0xcb800000,0xcccccccc,0xb8803ccc,
    0x95000002,0x99999999,0x0dc40039,0xec980000,0x800004de,0x0ccccccb,
    0xcccccc98,0x3fffa602,0x05ffffff,0x333332e0,0x80001ccc,0xccccccc8,
    0x33202ccc,0xcccccccc,0x3ccccccc,0x00011000,0x20064400,0xffffffe8,
    0x3fffffff,0xffffe880,0xffd83fff,0x74c05fff,0x403db105,0x406ffffe,
    0xeffffffc,0x201dd101,0x5c0002ec,0x20007cc6,0x98002ffc,0x03db105e,
    0x5dfffb10,0x70000d98,0x74c007ff,0x881db105,0xfffffffe,0x00dfffff,
    0x85dfffb1,0xf90000d9,0xffffffff,0xffb1007f,0x004a81bf,0xfdbdff90,
    0x3ffb2207,0xffb100ce,0xf505ffff,0x40bfffff,0xeeeeeed9,0x36004eee,
    0xffffffff,0xffa80005,0xffffffff,0xffffd105,0xffffffff,0x400dffff,
    0x2ceffeca,0x3fe60000,0x1027c001,0x4001dfb3,0x13f6004f,0x540ffec0,
    0xffd004ff,0x4036c007,0xff883ffb,0x23ec0006,0x7fc001fa,0xffd8005f,
    0x804ffa81,0xefea8cfd,0x0000efca,0x6c00dffd,0x4ffa81ff,0x20017a00,
    0xefeb8cfd,0x0000efca,0xfe880000,0xc9cffc9c,0x4fb8006f,0x9dfd3008,
    0xf801dfb9,0x005e8005,0x54000000,0x0000fcaf,0x4f800000,0x44036c00,
    0xfdbbdffd,0x540000df,0x4f8001ff,0x400bf500,0x3fd8804f,0x441bea00,
    0xbbd001fe,0x01b6001f,0x7ec07fa2,0x236c0003,0x7ec000fb,0x6fa8003f,
    0x5003fd10,0x1bfff703,0x27fe4000,0x220df500,0x17a001fe,0x3ee06e00,
    0x00000dff,0x102e0000,0x0009fffb,0x7cc00bf3,0x00ee981e,0x17a0017e,
    0x00000000,0x000fe6fb,0x3e000000,0x2036c004,0x3ee02ff9,0xdf70001e,
    0x013e0001,0x9f002fb8,0x002fe880,0xde800000,0x0db005f8,0x80000000,
    0x0007dc5e,0x0000015c,0x05440000,0x002a8000,0xbd000000,0x0a880000,
    0x00000000,0x00054400,0x3a000fb8,0x80fe600f,0x05e8005f,0x36a01990,
    0x93e20001,0x8800006e,0x013e0000,0x7fcc0db0,0x00ffa801,0x0006fe40,
    0x4f8009f0,0x74c09f00,0x0000001f,0x07eebd00,0x00001b60,0xc8bd0000,
    0x00000007,0x11000000,0x00000000,0x5e800000,0x00000000,0x99999991,
    0x99999505,0x00000099,0x3ea007d8,0x3e05d803,0x805e8005,0xff883ffa,
    0x87ea0006,0xa80001fb,0x02dfffed,0x360027c0,0x8003fa06,0x3e2005f9,
    0x04f80004,0x4f802f40,0x0003ff30,0x2f400000,0x00db00dd,0xf8000000,
    0x00003e44,0x00000000,0x5bfffdb5,0x00000000,0x0bd00000,0x99999700,
    0x98003999,0x3ffffffe,0xffffffc8,0x9999930e,0x99999999,0x017a0019,
    0x0f7006e8,0x2f4002fc,0xe817fcc0,0x1ba0004f,0x440009f1,0xfdbbdffd,
    0x09f000ef,0x7f505b80,0x003f9000,0x4f800004,0x400fe200,0x00efa84f,
    0x333332e0,0x33332a01,0x7d4bd02c,0x5c036c03,0xcccccccc,0x89f00001,
    0x3332606d,0xcccccccc,0x33320ccc,0xcccccccc,0x03cccccc,0x2ef7ff62,
    0x3200effd,0xcccccccc,0xcccccccc,0x33333263,0xcccccccc,0x005e800c,
    0xffffffd8,0x3e0005ff,0xa85e8005,0xffffffff,0x01efffff,0x3e600bd0,
    0x203f5003,0x05e8005f,0x00180110,0x1f60fe20,0x017fcc00,0x9f003ff7,
    0xdd000a20,0x01be2000,0xf8022000,0x003f2004,0x03bee27c,0xfffffb00,
    0x7fffdc05,0xfd8bd04f,0x3601b600,0xffffffff,0x3f880005,0xfff50374,
    0xffffffff,0x3fa23dff,0xffffffff,0x6fffffff,0x5c05ff30,0xffe881ff,
    0xffffffff,0x26ffffff,0xfffffffa,0x1effffff,0x00005e80,0x001f95f5,
    0x3a0017e0,0x002f4005,0xfa802f40,0x203f5001,0x05e8005f,0x70000000,
    0x005f501f,0xa801ff98,0x827c00ff,0x0bea007b,0x001fc800,0x3e601331,
    0x6c013e04,0xc93e005f,0x7e40005f,0x00fee001,0x204f98bd,0x5f50006d,
    0x880001f9,0x8002f43f,0x04f8005e,0x7fcc36c0,0x00ffa801,0x1b60027c,
    0x20002f40,0xfb00005e,0x7c000fe6,0x005e8005,0x4c4002f4,0x0999ee99,
    0x5cc01f70,0x0bf01fec,0x0000bd00,0x817a0000,0x07f4005f,0xf80bf300,
    0x2001f704,0x260000fb,0x3ff6202f,0xf30cffff,0x3027c01d,0x4001bfd7,
    0x03dff94f,0x80374400,0x85e805f8,0x00db01fc,0x01fcdf60,0xbf0be600,
    0x0017a000,0x0db0013e,0x7cc001fd,0x20027c05,0x00bd006d,0x80005e80,
    0x001ba4f8,0x2f4002fc,0xb0017a00,0xffffffff,0x20f909ff,0x1fefffc8,
    0xbd000bf0,0x00000000,0x07e405f3,0x8003fa80,0x33be02fc,0x00fecccc,
    0x88000f90,0x7bff703f,0xf9ffb755,0xeeff801f,0x3efffeee,0xbfddf800,
    0x0000dfeb,0x1fb009f5,0xdf10bd00,0x22001b60,0x5001ba4f,0xffffffff,
    0x1dffffff,0xf000bd00,0x546d8009,0x2fc8003f,0xdb0013e0,0x00017a00,
    0xf50000bd,0x4000fdc3,0x05e8005f,0x26002f40,0xccefcccc,0x886e81bc,
    0x03f51cfe,0x17a0017e,0x301f776c,0x001ddddb,0x3f9803f2,0x0006f880,
    0x7ffc0df1,0x00ffffff,0xf0000db0,0x401bfb0b,0xf801ffd8,0xffeeeeef,
    0x3ffe0004,0x00077dc3,0x3ea01fc8,0x2a0bd003,0x8006d83f,0x007ee1fa,
    0xdfdccc88,0xcccefccc,0x000bd003,0x26d8009f,0xf10006f8,0x20027c0d,
    0x00bd006d,0x80005e80,0x0027c46e,0x2f4002fc,0x00017a00,0x42f4017a,
    0x80fd42fd,0x85e8005f,0x204feed8,0x00feeee9,0x0dd00bf0,0x40005f50,
    0x209f00fc,0x0bf000fb,0xfb8dd000,0x3fff9803,0xff504f80,0x0bfe0005,
    0x88002fd4,0x00df106f,0x81fd02f4,0x46e8006d,0x2e0004f8,0x000fe20f,
    0x27c002f4,0x2fa96e00,0x403f2000,0x02dc004f,0x740005e8,0x1fc40005,
    0x2fc003ec,0x2002f400,0x5e80005e,0x4f88bd00,0x0bf01fa8,0x9f00bd00,
    0x4007dc00,0x99999bfa,0x401fc999,0x260000fb,0x2e09f03f,0x00bd000f,
    0x2fccbd00,0x7ecffcc0,0xd3027c00,0x09f0007f,0x50002fa8,0x003f907f,
    0x89f302f4,0x1fc4006d,0xf70003ec,0x80017cc1,0x04f8005e,0x01f70051,
    0xf81fcc00,0x80005104,0x2f40005e,0x203ee000,0x2fc002fa,0x2002f400,
    0x5e80005e,0x2f98bd00,0x0bf01fa8,0x9f00bd00,0x4007dc00,0xfffffffd,
    0x404fffff,0x7c40007c,0x1aa09f04,0x80006d80,0x1003f64f,0x017e23ff,
    0x07fb009f,0xfe804f80,0x43fb0000,0x2f4004f9,0x06d87f20,0x7d407dc0,
    0x98f90002,0x0bd0002f,0x1ee09f00,0x10001f20,0x5c13e09f,0x02f40007,
    0x00017a00,0x002fc0bd,0x17a0017e,0x0000bd00,0x517a00bd,0x203f505f,
    0x05e8005e,0x3ee004f8,0x556fc400,0xaaaaaaaa,0x0037407d,0x04f82fc0,
    0x03e41980,0x4f8fe200,0x360ffc40,0xe8027c07,0x013e001f,0x440013e6,
    0x2001ba6f,0xb37c405e,0x205e800d,0x8f90005f,0xbd0001fa,0x2e09f000,
    0x0037400f,0x04f82fc0,0x740001f7,0x02f40005,0x6405f300,0x017e000f,
    0xbd0017a0,0x00bd0000,0x50df117a,0x001b603f,0x013e013e,0x7dc00fb8,
    0x80bea000,0x6e80005f,0xbd0009f0,0x20001fb8,0x407f11fa,0x0fb81fe8,
    0x7c4013e0,0x4013e006,0xf50000fd,0xd0003f97,0x365f700b,0x80be6006,
    0x998800fc,0xfb999ed9,0x3a00099a,0xccef8005,0x400feccc,0x6e80005f,
    0x99999df0,0x740001fd,0x02f40005,0x4c01f900,0x017e003f,0xbd0017a0,
    0x00bd0000,0x82ff217a,0x00f901fa,0x4f803f88,0xd003ee00,0x40bf000d,
    0x5e80005e,0xbd0009f0,0x20004f88,0x203f50fe,0x3f501fe8,0xf50027c0,
    0x4013e007,0x360003f9,0xbd0004ff,0x1b63fa00,0x2600fc80,0x7ffcc03f,
    0xffffffff,0xd001ffff,0xffff000b,0x801fffff,0x5e80005e,0xfffffff0,
    0x740001ff,0x02f40005,0xdd00bf00,0x4002fc00,0x02f4005e,0xd802f400,
    0xcdffe886,0x07f503fd,0x7c00fe40,0x803ee004,0xfc8003f9,0x0000db00,
    0x0013e07f,0x007f217a,0x2f98fea0,0x2e02fe88,0x0013e00f,0x09f001fb,
    0x10003740,0x2f4000df,0x06dcf980,0x1ba017e0,0x3beaaaa0,0xaaafdaaa,
    0x0017a002,0x007dc13e,0x3e0001b6,0x3ee09f03,0x017a0000,0x2000bd00,
    0x99999bfa,0x001fc999,0x0bd000bf,0x80005e80,0x40f9005e,0x07ffffeb,
    0x3e6003fa,0x4009f005,0x03f200fb,0x640fe600,0x0fcc0007,0x5e8004f8,
    0xe8006f88,0x7f444f86,0x3e03e402,0x02fcc004,0x5f70027c,0x002f4000,
    0x7e400bd0,0x37f5006e,0x93333333,0x44f8003f,0x17a0007c,0x7dc13e00,
    0x0003e400,0x827c07e6,0x3a0000fb,0x02f40005,0xfffffd80,0x4fffffff,
    0xd000bd00,0x005e800b,0xf7005e80,0x80262001,0x3a601ef9,0x009f000f,
    0x0bd007dc,0xfa837400,0x81ea0001,0x05e8004f,0x7ec009f7,0x3fa26e82,
    0xcb85e802,0x01cccefc,0x2e0ccfc8,0x1cccefcc,0x0733be20,0x7000bd00,
    0x05999ff9,0xd8037fc4,0xffffffff,0x4004ffff,0x00036c4f,0x09f000bd,
    0x07ea01aa,0x3e07a800,0x8000d504,0x9997005e,0x9999df99,0x56fc4079,
    0xaaaaaaaa,0x0d9007da,0x4004f880,0x5e80005e,0x0003f500,0x89bff980,
    0x001ffc98,0x0fb8013e,0x666fee4c,0x3332600c,0x3e60ccfe,0x71ba0004,
    0x9999df99,0x99999999,0x06fe40bf,0x2a09fd10,0x802fe8bf,0x7ff442fc,
    0x803fffff,0xfd12fff8,0x07ffffff,0x004fffc8,0x3a2002f4,0x04ffffff,
    0x7c4037dc,0xaaaaaaad,0x2007daaa,0x0036c3f8,0x9f000bd0,0x3e633000,
    0x81ba0004,0x0198004f,0xfe9805e8,0xffffffff,0xf700efff,0x017d4001,
    0x3ea003d4,0x002f4003,0xf8802f40,0xd9800005,0x0dffffff,0x70027c00,
    0xffffb81f,0x3ee02fff,0x42ffffff,0xfa8001fc,0x3ffffa24,0xffffffff,
    0x405fffff,0xa88acffc,0x7ec02ffc,0x4fa802fe,0x00000000,0xd0000000,
    0x0000000b,0x0007dc00,0x3e2005f5,0xd0002f43,0x009f000b,0x00fe4bd0,
    0x9f027d40,0xd00bd000,0x176c000b,0x40037400,0x03f8805f,0xd0007f20,
    0x4f88000b,0x0003f200,0x567e4400,0x00bd0000,0x000007ec,0x3e205d30,
    0x00fe8005,0x00baa000,0x7ffffecc,0xff9801ef,0x006fb805,0x00000000,
    0x17a00000,0x00000000,0x5f8006e8,0x5f85f300,0x0017a000,0x97a0013e,
    0xfe8005f8,0x20013e00,0x005e805e,0x30003f10,0x1f90007f,0x5001fd00,
    0x0bd000bf,0x002fa800,0x000017e6,0xd80006c8,0x7ff4400f,0x36000000,
    0x0027dc03,0x800007fb,0xffb8002d,0x3f6000ac,0x7311befe,0x40001bfd,
    0x00003df8,0x00009db0,0x00000bd0,0x4c0013b6,0x0fc8003f,0x27c2f980,
    0x000bd000,0x8bd0009f,0x3f6004fb,0x40027c03,0x005e805e,0x32000f50,
    0x3f98000f,0x201ee880,0xe8000ffa,0x07f40005,0x5017f200,0x007b0009,
    0x4c07f700,0x0000feff,0x36007a00,0x3fa200df,0x0f800004,0x0077e400,
    0x754ff608,0x2fffffff,0x3f510000,0x36600000,0x2f400003,0x7b300000,
    0x001f9000,0xf5007f30,0x20004f83,0x04f8005e,0xdfd85e80,0x013fa200,
    0x17a0013e,0x440017a0,0x3a00661f,0x01ba0005,0x444dff44,0x0001ffca,
    0x215100bd,0x0002ffb8,0x73337dfb,0xd70009fd,0xfe8000a8,0xefdb989d,
    0x000ccfb9,0xc99db800,0x159df703,0x009ff951,0x22332000,0xdffd102b,
    0x3157bdff,0x20ff2bf9,0x000abca9,0x002e8100,0x00990200,0x0005e800,
    0x00132040,0x6e80017a,0x3e20fb80,0x017a0003,0x3a0013e0,0x159df705,
    0x009ff951,0x17a0013e,0xc80017a0,0x9303feef,0x01999bfb,0x67f6664c,
    0x7fec400c,0x400dffff,0xfcccccc8,0x0cccccce,0x5ffffff5,0xfffb8000,
    0x0003efff,0x01ffbff1,0xffffd300,0x7ffdc9ff,0xd7000002,0x7f4c019f,
    0x01dfffff,0x3f220000,0xffff00df,0xffffb9bd,0x00aa1bff,0x3f600000,
    0x400006ee,0x001feefc,0x3f3332e0,0x003cccce,0x07fbbf20,0x66fee4c0,
    0x332600cc,0x700ccfec,0x2017c41f,0xfcccccc8,0x0cccccce,0x333bf32e,
    0xcccccccc,0x3a605fcc,0x1dffffff,0x677e65c0,0xcccccccc,0x9915fccc,
    0x99df9999,0x10019999,0x7fdc0377,0x202fffff,0xfffffffb,0x2aee6002,
    0xffff5000,0xffffffff,0x665cc3ff,0x2600000a,0x00001aba,0x80001593,
    0x0001acba,0x40000000,0x001acba8,0x5c000000,0x2f2a201a,0x00000001,
    0x00006a60,0x0000d440,0x7ffffff4,0x0006ffff,0x2e000d44,0x2fffffff,
    0x3ffffee0,0x505102ff,0xfffff500,0xffffffff,0x3fffa23f,0xffffffff,
    0x05ffffff,0x01acba88,0xfffffe88,0xffffffff,0xff55ffff,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02c98000,0x99991000,0x07999999,0x55531000,0x00155555,
    0x200000a8,0xaaaaaaa8,0x0198000a,0xccccca80,0x801ccccc,0xccccccca,
    0x00001ccc,0x04002000,0x77075000,0x00322000,0x00400020,0x00000008,
    0x000001dc,0x00000000,0x0c880000,0x00088000,0x00093000,0x20000060,
    0x20000008,0x6ec401c8,0xffe98000,0x002d41df,0xfffffff5,0x2000dfff,
    0xeeffffdb,0x002eeefe,0x001bfdf7,0x7777f4c0,0x002feeee,0x007bfbaa,
    0xffffffc8,0xc803ffff,0xffffffff,0x1ed803ff,0x44013ea0,0x00fe405f,
    0x3ee2fd40,0x1ff98004,0x00bfa200,0x6c407f50,0x40000007,0xd009d06e,
    0x500f6c09,0x01fc807f,0x800017a6,0x40000ff9,0x00001efa,0x000077d4,
    0x800017f2,0x00001efa,0x6402fe88,0x7c4002ff,0xadffc8bf,0x000005fd,
    0x3bfd5000,0x002e8b51,0x03d88fcc,0x8039f300,0xb8be002e,0x00000005,
    0x3e600000,0x00efb83f,0xb107bf20,0xdf50009f,0x4002fdc1,0x2a001ffa,
    0x2004feff,0x74c0dfd8,0x0000003f,0x0fec17e2,0x7cc09f50,0x00efb82f,
    0x7dc1ff4c,0xf500001f,0xfc80003d,0x00003ffe,0x40001df7,0x01efdfe8,
    0x7ff7e400,0x3e600003,0x3ffc802f,0x6c40b800,0x00004fff,0x5ff70000,
    0x001745a8,0x000f30f2,0x017400fe,0x001f85a8,0x00000000,0x453fa200,
    0xa8000dfd,0x07ff32ff,0x541df500,0xefb8005f,0x43bf2000,0x2e000efc,
    0x03ff71ef,0x99999970,0x99999301,0x3ea01ffd,0x01ff880e,0xfd8a7f44,
    0xbfb1000d,0x00037f61,0x00077dc0,0x3a2bfb10,0x7e40005f,0x3e60000d,
    0x005ff52f,0x3a2bfb10,0xfa80005f,0x5ff9001f,0x0a880000,0x00000000,
    0x8b507ff1,0x21e4002e,0x0f980079,0x2a005d00,0x00001f85,0x00000000,
    0x03feefc8,0x7eff4400,0xef98001e,0x0003bea0,0x22001bf9,0x2ffa84fe,
    0x3f7fe600,0xffd8800d,0xfa82ffff,0x00bdffff,0x765f7fe4,0x3f2003ff,
    0x70003fee,0x0009fddf,0x0002fe40,0x3f20ffe6,0x4fd8000e,0x0f7dc000,
    0x98013fa2,0x0efc83ff,0x01df7000,0x0017fdc0,0x97000000,0x39999999,
    0x507fa800,0x4c002e8b,0x0007b11f,0x005400b5,0x402dc5f0,0xccccccc9,
    0x0ccccccc,0x33333332,0xcccccccc,0x3ea003cc,0x3200001e,0xdb0000df,
    0x4000ee81,0x7dc004f8,0x001ba203,0x20009fb1,0x05e8005f,0x7ffff540,
    0xefa8001e,0x7fcc0001,0x3e200002,0x1ed80004,0x50013ea0,0xf880007f,
    0x007f200d,0x9f500f6c,0x0037e000,0xb803ff70,0x5401cccc,0x0ccccccc,
    0xffffffb0,0xfc800bff,0x02e8b505,0x0dfefb80,0x000f8800,0xdfdd5000,
    0xffff5003,0xffffffff,0x3ffa23df,0xffffffff,0x06ffffff,0x00000440,
    0x0800000c,0x40002000,0x20001000,0x017e0001,0x980017a0,0x00880001,
    0x00011000,0x20000100,0x20001000,0x00100000,0x10008002,0x80004000,
    0x7f401ffa,0x7e406fff,0x01efffff,0x03f2bea0,0xb504fc80,0x2a0002e8,
    0xbf510000,0x4c000001,0x0bd00001,0xd8009f00,0x00000006,0x00000000,
    0x00000000,0x40000000,0x05e8005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x7f4003ff,0x01b6003f,0x03f9bec0,
    0x2d417f20,0x000000ba,0xdd9dfb10,0x00000001,0x000bd000,0x06d8009f,
    0x00026620,0x0000d4c0,0x00009988,0x00026a62,0x00026a62,0x17e00000,
    0x40017a00,0x220001a9,0x400009a9,0x980001a9,0x0000c401,0x00002662,
    0x00004cc4,0x00001a98,0xa9800000,0x03fe6001,0x00fdde80,0xf1000db0,
    0xf5003749,0x2e8b501f,0x64000000,0x0003fc84,0x0026a620,0x20017a00,
    0x036c004f,0x3fffff62,0x754000ce,0x04efffff,0x7fffec40,0xd5000cef,
    0x19ffffff,0x3ffaa075,0x3a8cffff,0x301f776c,0x401ddddb,0x05e8005f,
    0x3ffffaa0,0xfd5004ef,0x519fffff,0xfffeb807,0x01b13eff,0x3bfffae2,
    0x1fffed42,0xffffb100,0x880019df,0xcefffffd,0x7ff5c000,0x1b13efff,
    0x1777775c,0x777775c0,0x3fffae02,0x81b13eff,0x3a000ff9,0xdb005f8d,
    0x5c3f5000,0xbfd1001f,0xb02e8b50,0x6cc07ddd,0x7c40eeee,0x003dd500,
    0xfffd9510,0x40005fff,0x04f8005e,0xff5036c0,0xdfb9557b,0x9dfb1005,
    0x3dfd9557,0x57bff500,0x805dfb95,0xaaaacffd,0xfd87fffd,0xfdaaaacf,
    0x3bb627ff,0x3bba604f,0x017e00fe,0x362017a0,0xecaabcef,0x3ff601ef,
    0xffdaaaac,0x9bfd307f,0x7dfd9555,0x7dff105f,0x3e63ff95,0x803ffbcf,
    0xcaabdffa,0xf5002efd,0xfb9557bf,0xbfd3005d,0xdfd95559,0x7ff5c5f7,
    0xeec802ee,0xfe982eff,0xfecaaacd,0x3fc42fbe,0x0fdd7a00,0x740036c0,
    0x10027c46,0x745a8bff,0x4feed882,0x3fbbba60,0x7dc02e80,0xfff1000d,
    0xfd75357b,0x017a000b,0xb70013e0,0x9803bf20,0x3fe203fe,0x017f5403,
    0x74c01df9,0x809f903f,0x27e47fe8,0xf81ffa20,0x803ee004,0x05e8005f,
    0x2a01ffc4,0x04fc82fe,0x7cc3ff44,0x7ffd402f,0xfd103702,0x7e441df3,
    0x803bf202,0x7e403fe9,0x0ffa600e,0x5402ff98,0x05e82fff,0x7cc17a00,
    0x7ffd402f,0x2003fc42,0x3601ba5e,0x41fc4006,0x7e44007d,0x1745bbdf,
    0xf70027c0,0x8801f501,0x157003fc,0x8004fc80,0x04f8005e,0x27d40051,
    0x3a03fb00,0x1fd1001f,0x6c009f50,0x3006f81f,0x3006f8ff,0x0027c0ff,
    0x02fc01f7,0x3fa02f40,0x81fd1001,0x0ff3006f,0x3e2001dd,0xffa8002f,
    0x2a0dd00f,0x07f6004f,0xfb0027d4,0x4003ba03,0x07c82ff8,0x3a07f100,
    0x5ff1000e,0x74007f88,0xdb00fea5,0xa80fb800,0xca88002f,0x401745fe,
    0x03ee004f,0x74c00fe4,0x3e00001e,0x005e8007,0x00f704f8,0xf1001be2,
    0x8005f70d,0x037c44f8,0x13e1be20,0x027c6c80,0x027c0d90,0x2fc01f70,
    0xf702f400,0x44f88005,0x91b2004f,0x2fb8003f,0x409ff000,0x037c42fa,
    0x3e21be20,0x437c4006,0x7dc001fc,0xc880fb82,0xf903f504,0x82fb8003,
    0x22f4006f,0x01b600fd,0x02fc0bd0,0x0ba2d400,0xfb8013e0,0x0033ea00,
    0x40000bee,0x2f4001fb,0xfb827c00,0x001fc800,0x037c2fa8,0x3f20fc80,
    0x42fa8001,0xb02000fd,0xf004001f,0x007dc009,0x0bd000bf,0xfc80037c,
    0x08003f60,0x220017e2,0x3fd0001f,0x0fe45f80,0x3217d400,0x2fa8001f,
    0x220017e2,0xa82f981f,0x40fb81ff,0xf88005f8,0x74006f81,0xdb027cc5,
    0x9017cc00,0x5a80001f,0x027c0174,0xd8801f70,0x01fa802f,0x001fa800,
    0x77c002f4,0x0feccccc,0x20006d80,0x000fe24f,0x00db17cc,0x3fe627c0,
    0x7cc0009c,0x200009cf,0x03ee004f,0x5e8005f8,0x20007f10,0x33fe62f9,
    0x0be60009,0x35100000,0x1b601fa3,0x27c000db,0x4f8001b6,0x00000be6,
    0x13ff613e,0x00be61b6,0x800bd000,0xb01fc85e,0x007e400d,0xa80007f3,
    0x27c01745,0x2001f700,0x26401eea,0x099a9980,0x5e8003f5,0xfffff800,
    0xf800ffff,0xa97a0004,0xccccccdf,0xcccccccc,0x80013e3f,0xfffd885e,
    0x4401bdef,0xbdeffffd,0x4009f001,0x017e00fb,0x6fd417a0,0xcccccccc,
    0x3fcccccc,0x77fffec4,0x01f701bd,0xfd950000,0x99ffffff,0xfd999999,
    0x3a0004f8,0xd00027c5,0x00007dcb,0x33e236c0,0xfb84f86d,0x0d400000,
    0x3e217a00,0x7c00db06,0x0006e805,0x200ba2d4,0x03ee004f,0x2019f700,
    0x3ffaa079,0xfeffffff,0x002f4001,0x00fb827c,0xb0001fc4,0x7ffffdcf,
    0xffffffff,0x7f14ffff,0x103ec000,0xdfffb975,0xdcba8803,0x7c01efff,
    0x803ee004,0x05e8005f,0xfffffff7,0xffffffff,0x2ea209ff,0x41efffdc,
    0x4400007c,0xbaaacffd,0xfffffffd,0x3e27ffff,0x89f60003,0x9f60003f,
    0x9000007c,0x1fa9fa8f,0x01f20be2,0x74000000,0xdb07f505,0x266fea00,
    0xfc999999,0xd16a0001,0x4009f005,0xd88000fb,0xe884c82f,0xaa9abcff,
    0x4001fedb,0x04f8005e,0x09f001f7,0x3f336c00,0x027c0000,0x1000db00,
    0x10007fd7,0x27c07fd7,0x7401f700,0x305e8005,0x0000003f,0x2e3feb88,
    0xf100000f,0x006e805f,0x6c0009f0,0xb00027c6,0x00007dcd,0x2fb0fd40,
    0x207ea4f8,0x000000fb,0x3a05e800,0xd8036c0f,0xffffffff,0x0004ffff,
    0xf005d16a,0x007dc009,0xfb79f500,0x0bfe881d,0x4001fa80,0x04f8005e,
    0x017a00d5,0x13e24f80,0x005e8000,0xb00013e0,0x7ec0001f,0x5c009f00,
    0x001b200f,0x13e209f1,0xd8000000,0x0003f50f,0x3a00fee0,0x05e8000f,
    0x0bd13e00,0x3f527c00,0x7f100000,0x327d93e2,0x0003f507,0x0bd00000,
    0x01b627cc,0x2aaab7e2,0x7daaaaaa,0x5d16a000,0x5c009f00,0x7cc0000f,
    0x03fb01be,0x2000fd40,0x04f8005e,0x03f21980,0xdd0fe600,0x07e40000,
    0x151fcc00,0x02a7f000,0x27c0fe00,0x5401f700,0x01fd4007,0x2a0000dd,
    0xf33f8000,0x1f200007,0x4000ff40,0xf98000fc,0x40007e43,0x00fe63f9,
    0xfaaf4000,0x82f47ea1,0x000003f9,0x6405e800,0x2e01b61f,0x0bea000f,
    0x0ba2d400,0xfb8013e0,0x07a80000,0x3ea002fc,0x002f4001,0x2f40027c,
    0xfd000bf3,0x0003fa81,0xd000bf30,0x4002fc1f,0xd000bf5e,0xd8017a0b,
    0x00fe200f,0x3ea01fc8,0x05f80003,0x03fa5e80,0x03f50c00,0x30009ff0,
    0x1fd000bf,0xe8005f98,0x0007f40f,0x36db6018,0x3a04fa7c,0x8830000f,
    0x02f4002a,0x806d9be2,0x05f8006e,0x02e8b500,0x3f6005e8,0x7c003100,
    0x8007f101,0x2f4001fc,0x40027c00,0x0017e45e,0x07f605f9,0x5f906600,
    0x3e17e400,0xf9fcc007,0x81fcc007,0x7f4400fd,0x007f400f,0x7ec02fd4,
    0xff198001,0x263f9800,0x7ec4005f,0xfd807f11,0x20a200ff,0x3f2002fc,
    0x4005f902,0x05f982fc,0xb80fec40,0x9fd84f9f,0x017e602f,0x7fc3fb10,
    0x017a006f,0x2036cbee,0xfc8003f9,0x745a8000,0x400fd802,0x9700ffe8,
    0xf803e200,0x3ffb1006,0x8005e800,0x85e8004f,0x7ec404fe,0x00ffe205,
    0x7f427ecc,0x42fec404,0xe8800eff,0x001dff0f,0x3ee01fd1,0x3fbfe603,
    0x00f74400,0xf1001ff5,0x3f66007f,0x1001dff4,0x0dfc81fd,0x6c4ffb80,
    0xffffb02f,0x741fee0b,0x2fec404f,0xb1013fa0,0x06fe40bf,0x3027fdc0,
    0xbf503fbf,0x0dfc801f,0x2a4ffb80,0xd001ffff,0x363fa00b,0x0007e406,
    0x54001fcc,0x7dc01745,0x3fbfe603,0x2e009700,0x2017ec07,0x001fefe9,
    0x27c002f4,0x6c42f400,0xb9889bef,0xfd8804ff,0xb75309be,0xfb101bff,
    0xf731137d,0x3ffbe09f,0x3f2661ac,0x33ffbe1f,0x3ff2661a,0x44eff401,
    0xfb9efdb9,0x3fa200cc,0xffca889b,0x3bf62001,0xfb75309b,0x3ffbe1bf,
    0x3f2661ac,0x57ff901f,0x3ffb2a61,0x2a37fb02,0xdfadecfd,0x00efda88,
    0x1137dfb1,0x1009ff73,0x31137dfb,0xf9009ff7,0x32a6157f,0xff802ffe,
    0x401bfe06,0x530abffc,0xf885ffd9,0x17a006ff,0x036e7cc0,0x6e80017a,
    0x1745a800,0x989dfe80,0xcfb9efdb,0x4c025c0c,0x5ffc402f,0x5dfb7511,
    0x00199bf5,0x09f000bd,0x7d40bd00,0x1effffff,0x7fffd400,0x01cfffff,
    0xffffffa8,0x22f601ef,0xfffffffc,0x645ec1df,0xffffffff,0xffe9801d,
    0x3ee4ffff,0x7ec402ff,0x00dfffff,0xfffff500,0xd839ffff,0xfffffc8b,
    0x4c01dfff,0xfffffffe,0x7fec402e,0x2e792fff,0x003fffff,0xfffffff5,
    0xffa8003d,0x01efffff,0x3ffffa60,0x2002efff,0x17f204fe,0xffffe980,
    0x2202efff,0x17a000bb,0x986efc80,0x0cccdfdc,0x3fb33260,0xccc880cc,
    0x9bf51edc,0x7ff4c059,0x3ee4ffff,0x6675c2ff,0x2fedcccc,0xffffb300,
    0x7fd47fff,0x999912ff,0x9999df99,0x7e65c199,0xccccccce,0x05fccccc,
    0x00abca98,0x565d4400,0x95300009,0x31000157,0x00157995,0x2af32a62,
    0xacba8000,0x5cc00001,0x100000ab,0x00135975,0x55e654c4,0x65d44000,
    0x544001ab,0x2ea200ac,0x79530001,0xa9800015,0x20000abc,0x01abcba8,
    0x80000000,0x01abcba8,0xffcb8000,0x3e202ccc,0xffffb86f,0x3ee02fff,
    0x82ffffff,0x1cccccb8,0x00399993,0x00035975,0x99999993,0x2a600037,
    0x54000acc,0xffffffff,0x11ffffff,0xfffffffd,0xffffffff,0x00000bff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffff44,0x037dc04f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00019100,0x00049800,0x04008000,0x64400080,0x08800000,
    0x09300000,0x00000000,0x00800044,0x00000010,0x26122000,0x00220004,
    0x00498000,0x00006440,0x80001910,0x54001000,0x0002cdec,0x80040008,
    0x2aaaaa00,0xaaaaaaaa,0x7765c02a,0x0188002c,0xdedca800,0x00060003,
    0x01ff8800,0x1ff50000,0x00220000,0x01b201f7,0xff1001b2,0x7d400003,
    0x5400001e,0x274000ff,0xa8002740,0x7cc001ef,0x8007e404,0x004e804e,
    0xf983fe20,0x3df50006,0xff500000,0x7fc40001,0xff100001,0x13e60003,
    0xd8801f90,0x05ffeeff,0x005ff500,0x3f1007e2,0x3fffffa0,0xffffffff,
    0xddffd307,0x74003dff,0x3f263eff,0x3bbff204,0x22001eff,0x000003fd,
    0x0000bfe6,0x0001df70,0xdfffeca8,0xf702fd42,0x0037c405,0x00017fcc,
    0x01fff7e4,0x00efb800,0x2a01fd80,0xefc8004f,0x7e4003ff,0x027f440e,
    0x7d403fb0,0x3fd10004,0x40007fcc,0x003ffefb,0x003bee00,0x00bfe600,
    0x017fcc00,0x440efc80,0x7f4404fe,0x01bf220b,0x401bffa0,0x0fec06f8,
    0xaaaaaee8,0x7daaaaaa,0xfb82efa8,0xd971001f,0x03bffdff,0xff5037f6,
    0xfdff3003,0x2000001b,0x00003fe8,0x40001bf9,0xdbbdffd8,0x0ef88dff,
    0x2207fe20,0xd10003fd,0x3620007f,0x00bfd15f,0x000dfc80,0xf101df50,
    0x7ec4003f,0x800bfd15,0x5ff51ffb,0x80efa800,0x88001ff8,0x07fe21fe,
    0x22bfb100,0xc80005fd,0x200000df,0x00003fe8,0x20007fd1,0x5ff51ffb,
    0x5c07f900,0x7fe4003f,0x40ff6005,0x017a06fb,0x0ef88fb0,0x9801be20,
    0x405fffec,0x1fe204fa,0x3ee3df70,0x1000001e,0xd80009fb,0x7cc0004f,
    0x3bfee02f,0xeffa801f,0x005ffdbc,0x0027ec40,0x3f20ffe6,0x4fd8000e,
    0xeffc8000,0x003ffecb,0x3f20ffe6,0x3fa6000e,0x90000efd,0xffd97dff,
    0x5fd10007,0x2000ff44,0xefc83ff9,0x09fb0000,0x3f620000,0xfb100004,
    0x3fa60009,0xf8800efd,0x000fe805,0x88002ee2,0xffdbdffe,0x000ae00f,
    0x801fc89f,0x3f2203fa,0x05f91cff,0x1fd40374,0x7cc0dfd8,0x2000002f,
    0xf50000fc,0xff980007,0x03ff9801,0x3ffff660,0x3200002e,0x07b6000f,
    0x4c004fa8,0x2a00003f,0x01effffe,0xf500f6c0,0x4fd88009,0xffea8000,
    0x50001eff,0x001fb85f,0x3ea01ed8,0x03f98004,0x0fc80000,0x03f20000,
    0x027ec400,0xf7003f90,0x40000007,0x0cfffffb,0x17d40000,0x05f8017a,
    0x7e40b3f2,0xb002f981,0x4407f50f,0x4000007e,0x00040000,0xb8007f40,
    0x310005ff,0x00400000,0x00040020,0x20000008,0x00200019,0x00300004,
    0x00033000,0x80004020,0x40001000,0x20000000,0x00800000,0x7c001800,
    0x001be006,0x02620000,0x87c80000,0x01b6004f,0x3ea1b600,0x103f5001,
    0x00000200,0x00000000,0x26007f50,0x0001fbef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x03ec007f,0x00003530,0xbf000000,0x2f400bd0,0x22744000,
    0x13e2007c,0x40000000,0x00009a98,0x0009a988,0xff880374,0x22005f88,
    0x000009a9,0x10000353,0x00001353,0x000006a6,0x35300000,0x35310000,
    0x26200001,0x00000009,0x00000000,0x00000000,0x13310000,0x30000000,
    0x07e4005f,0xfffffd50,0x0000009d,0x705f3000,0x00be200d,0x57bdb951,
    0x00f717dc,0x000006e8,0xffd95100,0x4005ffff,0xffffeca8,0x2fa802ff,
    0x7e43fb00,0xffd95101,0x0005ffff,0xdfffffd5,0x3b2a2009,0x02ffffff,
    0xffffea80,0x776c04ef,0x3bb6603e,0xfea800ee,0x004effff,0xffffd951,
    0xb10005ff,0x19dfffff,0x03eeed80,0x03bbbb66,0x980fbbb6,0xd80eeeed,
    0x36603eee,0xed80eeee,0x3b6603ee,0xd8800eee,0x0cefffff,0xeeeeda80,
    0x03f5004e,0x6c40fdc0,0xecaabcef,0x3b6a01ef,0x0004eeee,0xf980fc80,
    0x200fd804,0xfeeefffa,0x265f89ef,0x0ff3001f,0x9dddddb5,0xfff10000,
    0xfd75357b,0xbfff100b,0xbfd75357,0xc800fb80,0x4417cc3f,0xa9abdfff,
    0xb1005feb,0xd95579df,0x7fc403df,0xeba9abdf,0xdfb1005f,0xdfd95579,
    0x9fddb103,0x7f7774c0,0x33bf6200,0x1efecaab,0x2f7ffe20,0x05feba9a,
    0x2af7fea0,0x102efdca,0x4c09fddb,0x440feeee,0x2604feed,0x440feeee,
    0x2604feed,0x440feeee,0x2604feed,0x400feeee,0xcaabdffa,0x75402efd,
    0x005feeee,0x7d4001f7,0x201ffc42,0xdd502fea,0x000dfddd,0x7e40bd00,
    0x407fb104,0xe980aefd,0x7f10fdcf,0x503ffa00,0x0bfddddd,0x002ae000,
    0x157009f9,0x3204fc80,0x884fa807,0x8015703f,0x7fc404fc,0x017f5403,
    0x4fc80157,0x201ffc40,0x27c02fea,0x2201f700,0x7f5403ff,0x9002ae02,
    0x1df9009f,0x401ff4c0,0x03ee004f,0x7dc009f0,0x70027c00,0x004f801f,
    0xefc803ee,0x00ffa600,0x3e4017a0,0xfd0be600,0x03fa2003,0x00006e80,
    0x3ee01fcc,0x2ffdbbdf,0x64013f20,0x03fa2fdf,0x001fbf70,0x0000017a,
    0x00001fe0,0x2036c0ff,0x017e06f9,0xfd01fe00,0x03fa2003,0xd01fe000,
    0x3fa2003f,0xb8013e00,0x003fd00f,0x00003fa2,0x09f501fe,0x3e00fec0,
    0x003ee004,0x07dc009f,0xfb8013e0,0x70027c00,0x013ea01f,0x74001fd8,
    0x800f9005,0x00bee2f9,0x74009f10,0x7dc00006,0xffffd800,0x17e604ff,
    0x4c7ff900,0x2aff205f,0x00bd001f,0x3f700000,0x0fdc0000,0x3fa205e8,
    0x0001ba00,0x17dc07ee,0x0013e200,0x7dc07ee0,0x027c4002,0x07dc009f,
    0x220017dc,0xfb80004f,0x800df101,0x027c06f8,0x4f801f70,0xf003ee00,
    0x007dc009,0x0fb8013e,0x44006f88,0x02f4006f,0x7cc007c8,0x64001be2,
    0x00dd000f,0xd806e800,0xfdb99adf,0x8001fd04,0x77d44fe8,0x7d53f6a1,
    0x000bd001,0x03f50000,0x80fd4000,0x00bf605e,0xf50000bd,0x4001be03,
    0x540000fc,0x000df01f,0x027c03f2,0x0df01f70,0x0003f200,0x3f203f50,
    0x02fa8001,0x0fb8013e,0xf70027c0,0x2004f801,0x027c00fb,0x3f901f70,
    0x005f5000,0x0fc802f4,0x7c4be600,0x05f30003,0x80001ba0,0x3b6203f8,
    0xf117ea01,0x13ee0007,0x3fffffee,0x74007ee3,0x33000005,0x07ea1335,
    0x13353300,0x836c07ea,0x04f803fb,0x21335330,0x03f881fa,0x3005f300,
    0x3ea13353,0x0003f881,0x013e05f3,0x1fc40fb8,0x802f9800,0xf5099a99,
    0x8001b603,0x8013e04f,0x027c00fb,0x4f801f70,0xf003ee00,0x407dc009,
    0x13e0006d,0xf7005e80,0xa8fd4003,0xccccccdf,0xcccccccc,0x00dd003f,
    0x900fd400,0x47f5003f,0xf30002f9,0x40e5cc0b,0x0bd000fc,0x7ff54000,
    0xfeffffff,0xfffea801,0x1fefffff,0x0bf30f90,0x75407f10,0xffffffff,
    0xcdfa81fe,0xcccccccc,0x03fccccc,0xffffffd5,0xf503fdff,0x9999999b,
    0xf9999999,0xb8013e07,0x666fd40f,0xcccccccc,0x503fcccc,0xfffffffd,
    0x13e03fdf,0x3e05e800,0x003ee004,0x07dc009f,0xfb8013e0,0x70027c00,
    0x0009f01f,0x0bd002f4,0xb800bea0,0xfffff70f,0xffffffff,0x2009ffff,
    0x3600006e,0xb0027c06,0x80007dcb,0x3a0004f8,0x0017a007,0x2f3ffa20,
    0xfedbaa9a,0x33ffa201,0xedbaa9ab,0x443f501f,0x1fa800ef,0xabcffe88,
    0x1fedbaa9,0xffffffb8,0xffffffff,0x7f444fff,0xbaa9abcf,0xffb81fed,
    0xffffffff,0x4fffffff,0x7dc009f0,0x7ffffdc0,0xffffffff,0x7444ffff,
    0xaa9abcff,0xf881fedb,0x81f60003,0x03ee004f,0x7dc009f0,0x70027c00,
    0x004f801f,0x07f103ee,0xd003ec00,0x00fe600b,0x007e67b8,0x03740000,
    0x4c09f000,0x43ee002f,0xf10001fa,0x17e20007,0x40005e80,0xa800bfe8,
    0x17fd101f,0x2203f500,0x4007fa5f,0x5ff440fe,0x981fa800,0x2200001f,
    0xfa800bfe,0x0001f981,0x5c009f00,0x000fcc0f,0x017fd100,0x13e03f50,
    0x3e06d800,0x003ee004,0x07dc009f,0xfb8013e0,0x70027c00,0x0009f01f,
    0x0bd0036c,0xd8013e20,0x00013e26,0x00037400,0x3ee01fa8,0x447e6000,
    0x3f70004f,0x00bf2000,0x6c0005e8,0x07ea001f,0xf5000fec,0x7e4fe403,
    0xb07f5002,0x0fd4003f,0x000027c4,0x7d4003fb,0x0004f881,0x5c009f00,
    0x0027c40f,0x4003fb00,0x00bd01fa,0x09f027c0,0x3e007dc0,0x003ee004,
    0x07dc009f,0xfb8013e0,0x20005e80,0x017a004f,0xbf1007e8,0x000006e8,
    0x20000dd0,0x00fcc07c,0x037c1f70,0x8000fd80,0x2f4006f9,0x0017e000,
    0x017e03f5,0x7c403f50,0x1ba004fe,0x3ea002fc,0x0000dd01,0x3ea002fc,
    0x0000dd01,0xfb8013e0,0x00006e80,0x3f50017e,0x20003f20,0x013e03f9,
    0x27c00fb8,0xf801f700,0x003ee004,0x07dc009f,0x4c0007e4,0x017a003f,
    0xfb803fb8,0x0001fd41,0x00037400,0x27c404f8,0x1fc8fb00,0x002fc400,
    0x74000fe8,0x0fe20005,0xf103f900,0x01fc8007,0xd88037e4,0x003f882f,
    0x3fa80fe4,0x03f88000,0xfa80fe40,0x5e800003,0x2a03f600,0xf880003f,
    0x80fe4003,0xfe8005f9,0xd8017a00,0x002f400f,0x05e801fb,0xbd003f60,
    0x4c07ec00,0x0fe8005f,0x88017a00,0x82fc406f,0x198001fd,0x0000dd00,
    0x3fb005f3,0xfd09f500,0x03fa2005,0x005fd300,0xf8000bd0,0x3ffb1006,
    0x6c401be0,0x3fe201ff,0x3fa200df,0x4401be04,0x3f601ffd,0x3e198001,
    0x3ffb1006,0x4000fec0,0x801fb019,0xfb00ffe8,0x7c330003,0x3ffb1006,
    0x90017e40,0x00fd805f,0x2007ff44,0x7f4400fd,0x007ec00f,0xb003ffa2,
    0xffe8801f,0x4005f900,0x2f4002fc,0x4413ee00,0x7ff101fe,0x013f6600,
    0x64000374,0x03df1007,0xff9837cc,0x01ff4402,0x000bfee0,0x360002f4,
    0x77f4c02f,0x805fb01f,0x201fefe9,0x9bffc9fe,0x02ffca88,0x3a6017ec,
    0x3e201fef,0x9fb3003f,0x3a6017ec,0x3e201fef,0x9fb3003f,0xf980fee0,
    0xff100fef,0x93f66007,0x7f4c02fd,0x27f401fe,0x2017f620,0x3fe603fb,
    0x1fdc00fe,0x01fdff30,0x3e603fb8,0x7dc00fef,0x3fbfe603,0x1013fa00,
    0xbd000bfb,0x17bfb000,0x8807fd73,0x5309befd,0x001bffb7,0x3a0001ba,
    0x33fe6005,0x0efca889,0x46f7fa60,0x983ffca8,0xfeca989b,0x17a0000e,
    0x37ff1000,0x2bbf6ea2,0x220ccdfa,0xb7511bff,0x99bf55df,0xfd31fe41,
    0x01dfffff,0x2237ff10,0xfaaefdba,0xfd880ccd,0xb75309be,0x7fc41bff,
    0xdfb7511b,0x0199bf55,0x2137dfb1,0x0dffdba9,0x26277fa0,0xcfb9efdb,
    0xbefd880c,0xffb75309,0x8dffc41b,0xaaefdba8,0xd880ccdf,0xb9889bef,
    0x3fa004ff,0xefdb989d,0x200ccfb9,0xdb989dfe,0x0ccfb9ef,0x26277fa0,
    0xcfb9efdb,0x277fa00c,0xb9efdb98,0xfd880ccf,0xfb9889be,0x9997104f,
    0x999ff999,0x7dc07999,0x002fffff,0x3fffffea,0x5c41cfff,0xffcccccc,
    0x03cccccc,0x44002f88,0x4ffffffd,0x3ffff200,0xf500dfff,0x07bfffff,
    0x99999710,0x99999ff9,0x3f660079,0x23ffffff,0x4c2ffffa,0xfffffffd,
    0x4bfffea3,0x795104f9,0xfd980013,0x23ffffff,0x202ffffa,0xfffffffa,
    0xfb301cff,0x47ffffff,0x202ffffa,0xfffffffa,0xe9801cff,0x24ffffff,
    0x2a02fffb,0xffffffff,0xffb301cf,0x547fffff,0x2a02ffff,0xefffffff,
    0x7ff4c001,0x3ee4ffff,0x3fa602ff,0x2e4fffff,0x3a602fff,0x24ffffff,
    0x2602fffb,0x4ffffffe,0xa80bffee,0xefffffff,0x3fffe601,0xffffffff,
    0x2200efff,0x20001bb9,0x009acba8,0x3fffffa2,0xffffffff,0x000000ff,
    0x004ddd44,0x09bca980,0x00ab9880,0x7ffffcc0,0xffffffff,0x26000eff,
    0x0000acca,0x0056654c,0x00000e20,0x056654c0,0x97510000,0x54c00135,
    0x00000acc,0x026b2ea2,0x0d65d400,0xcba88000,0x2a60009a,0x00000acc,
    0x002af2a6,0x03597500,0x2b2ea000,0x97500001,0x2a000035,0x00001acb,
    0x00157953,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03910000,0x00003500,
    0x0004cc40,0x0aaaa200,0xceedc980,0x4002000b,0x02b80000,0x00010008,
    0x00000570,0x03799300,0x2aaa0000,0x00001982,0x33100066,0xaaaa8800,
    0x1aaaaaaa,0x00254000,0x10000040,0x0059db95,0x000002a2,0x10000059,
    0x88005555,0x26200009,0x55300000,0x00000055,0x20003310,0xe8801dda,
    0x3fc8002f,0x47dd9000,0x1effffeb,0xffff0000,0xfffb100d,0x005fffdd,
    0x3ec407f5,0x07fb1000,0x7e404f98,0x13f60000,0xf500f6c0,0x75f7e409,
    0x5c00003f,0x3ee0ffff,0xfc80004f,0xffea804f,0xff3004ff,0xffffffff,
    0x2e0001ff,0x7e40006f,0x3a20001f,0x0ffeefff,0xfffffb10,0x6f775c5b,
    0x0005f800,0x06ffff80,0x013fff20,0x9002fe40,0xffff87ff,0x3b200005,
    0x3fb224ee,0x800bdfff,0x202ffffb,0x10002ff9,0xd88009fb,0xcffd8cfe,
    0x003ffbaa,0x06eaa880,0x4c05ffcc,0x7ec403fe,0x017fcc0d,0x003fe880,
    0xfe881df9,0x9fd10004,0x41ffcc00,0x3d900efb,0x00003f98,0xfb07ed54,
    0xd800c0bf,0x7fe405ff,0x00effcbd,0x555567cc,0x001aaaaa,0x0001bf90,
    0x0027ffc4,0x181bffb8,0x557bff50,0x3bf27fd9,0x05f800de,0xeaa88000,
    0xffff1006,0xbf90001f,0x3fffe600,0x017aaa20,0x5feed800,0x9557bff3,
    0xfe801dfd,0xff505fff,0xbf900003,0xfddf0001,0x007fa205,0x7406d800,
    0x01fe801e,0xdf71efc8,0x3fa60003,0x97fd4002,0x30002ffa,0xd10005fd,
    0x037f629f,0x07b817c4,0x41f90000,0x0fe02fd9,0x980bee20,0x27dc40df,
    0x0000be60,0x0027ec40,0x002ffe80,0x4000efd8,0x3f201efa,0x5f8007cc,
    0x36c00000,0xfffff880,0x05fc8000,0x01ffff30,0x4000017a,0x201efade,
    0x3f600efa,0xefb84fff,0x3ee00000,0x7ffc000e,0x002fd401,0x3bbbbbaa,
    0x0985eeff,0x2009f100,0x00dfdffa,0x003ff300,0x3bf7fa60,0x3ff30000,
    0xeefc8000,0x103d403f,0x9000003f,0x7c07a81f,0xd80f9004,0x807fa01f,
    0x800002f9,0x00003fe8,0x32000b26,0x6f88004f,0x00fff500,0x00000bf0,
    0x36a006d8,0xf90002de,0x1f7e400b,0x00000bd0,0x44017ffa,0xfff500ef,
    0x001bf03f,0x00bf5000,0xfd001ef8,0xeeeea800,0x05eeffee,0x2006e800,
    0x40003fe8,0xd80000ed,0x76c0005f,0xdf500001,0xe80b7003,0xfc800002,
    0x9f013e20,0xf805f500,0x3017dc05,0x7000005f,0x0000005f,0x0017e600,
    0xfb000fec,0x00bf000f,0x006d8000,0x00000000,0x0002f400,0x000efe80,
    0x2a8813e6,0x00000020,0x04f80011,0x00003f20,0x2000036c,0x0018007d,
    0x18000000,0x00000000,0x3ea00110,0x0001f300,0x2dc1f900,0x154027c0,
    0x3e2027c0,0x000be603,0x00000400,0x0ff88000,0x004f8800,0xb8803fc4,
    0x012deffd,0x0036c000,0x00000000,0x00017a00,0x40017f40,0x0000006c,
    0xf8000000,0x003ee004,0x00db00cc,0x0004e800,0x00000000,0x00000000,
    0x3e200000,0x4000d903,0x00fc80a8,0x00004f80,0x05f5013e,0x000017cc,
    0x53000000,0x017dc003,0x8002f980,0xeffa807e,0x3feffecc,0x36c03300,
    0x00000000,0x817a0000,0xfe800099,0x00fa8000,0x00000000,0x0027c000,
    0x7ed401f7,0x360bdfff,0x3ea00006,0x00d44002,0x00000000,0x02000004,
    0x3ea00000,0x001fb31c,0x9dfffd50,0x75c007e4,0xeeeeffee,0x800ceeee,
    0x03fa204f,0x00002f98,0x80006a20,0xefffffeb,0x05d81b13,0x0003ee00,
    0x1bf901f6,0x409ff710,0xbdffffda,0x00001b60,0x00000000,0x7fedc4bd,
    0x3a003eff,0x05f30006,0xddddb500,0xeda8009d,0x8004eeee,0x03ee004f,
    0x5d5677f4,0x00db0efd,0xb11bea00,0x7ff5c7dd,0x77402dff,0xeeeeeeee,
    0x77546eee,0xfec985ee,0x777540be,0xefec985e,0x7777740b,0xeeeeeeee,
    0xdfffd306,0xefb80c01,0xf95fdbac,0xfddd7001,0xdddddddf,0x09f001bd,
    0x9805fd73,0xdeeca8af,0x7ddb101c,0x6fffff5c,0x9bfd3002,0x7dfd9555,
    0x0003f85f,0x320003ee,0x2013e607,0x9dfd04fc,0x21dfb755,0x0028006d,
    0x3bbbbb6a,0x20044004,0x57bfd15e,0x001dfd95,0x3e2000dd,0xeeea8003,
    0x54005fee,0x05feeeee,0x2e004f80,0x203fd80f,0x006d9fe9,0x5fda9988,
    0xd8cfed98,0xffcaacef,0x3bbbfe02,0xfeeeeeee,0x3ff77547,0x3f2fbfee,
    0x3fbbaa0e,0x65f7fdc7,0x3bbfe0ef,0xeeeeeeee,0x804c407f,0x7dc0ffc9,
    0x1f9bf505,0x0009f000,0x3ffa27c0,0xfef9804f,0xdffeefff,0x467f6cc0,
    0xfcaacefd,0x17fcc02f,0x88bffea0,0x01bc982f,0x3a000bea,0x4401ba07,
    0x203fd83f,0x006d9fe9,0xea800fcc,0x005feeee,0x277a0274,0x3fee01ff,
    0x8003f401,0x200001fa,0xbd00005e,0x4009f000,0x00fec0fb,0x8006efd8,
    0x804fffff,0xd102feef,0x4013e03f,0x8be402fd,0x1fcc0dfd,0x37f62f90,
    0x09f1fcc0,0x2000bf60,0x882cffc9,0x7ffcc05f,0x004f8000,0xd9513e00,
    0x7c401bff,0x7e441bdf,0x5fddf00e,0xe807fa20,0x5ff1000e,0xffd887d4,
    0xf880efff,0x83fc4003,0x202002f9,0xdfb001fd,0x01fa800d,0x2002f400,
    0x77f7405f,0x406f9800,0xfc8001fe,0x1f777540,0x00005e80,0x09f000bd,
    0x7f707dc0,0x037fc400,0x7ffedcc0,0x00fffc01,0x027c13ea,0x7e4017ec,
    0x20003fe8,0x003fe8fc,0x0bf6013e,0x1cffca80,0x6400fe40,0x4f8000ff,
    0x013e0000,0x00c05ff7,0xfff04fa8,0x904fa803,0x2fb8003f,0x11cfe9f2,
    0x1fd03ff7,0xa83fe400,0x3ee0001f,0x1bfe2003,0x001fd880,0x3e002f40,
    0x00fff406,0x7f407f70,0x42fc4006,0x000ffffd,0x3a0000bd,0x004f8005,
    0x005d83ee,0x80006fb8,0x3fe03fe9,0x3a0dd001,0x801fe403,0x0001fffc,
    0x000fffe4,0x07f900fa,0x039dfb50,0x44013e20,0x4f8000ff,0x013e0000,
    0x00003fa2,0x07fe07f6,0x2fc43740,0xf90fc400,0x374407f6,0xf9802fcc,
    0x001f707f,0x5c002ec0,0xffc8806f,0x2f40000d,0xfd01be00,0x40fd0007,
    0x3a003ffe,0x2ffff80f,0x00017a00,0x27c002f4,0x1fc1f700,0x0037c400,
    0x3e09fb00,0x003f2004,0xc8013ee0,0xc80001ef,0x800001ef,0x3f6a04fb,
    0xf98001ce,0x003fa002,0x800013e0,0x0df1004f,0xf07f1000,0x207e4009,
    0x700002f9,0xf9803fbf,0x200dfb84,0xf507cdfa,0x01fc0003,0x2e037c40,
    0x00000cff,0x3fc400bd,0x20007fa0,0xf9dd00fb,0x83fe8809,0x4006fff9,
    0xbd00005e,0x4009f000,0x003f30fb,0x00001be0,0x8013e0fb,0x7d4000fb,
    0x007e4005,0x000fc800,0x205fa800,0x95101be9,0x007ea015,0xf8000fd8,
    0x13e00004,0x0002fa80,0x004f84f8,0x01f703ee,0x13fee000,0xffc83ec0,
    0x5fda989b,0x00fe60f9,0x8000fcc0,0x037f606f,0x00bd0000,0x1fa03fc4,
    0xe817cc00,0x1157df75,0x3207ff95,0x74001fff,0x0bd00005,0x33bf3220,
    0xf70fb803,0x01b60001,0xf05f5000,0x007dc009,0x9000df30,0x3e40000f,
    0x37cc0000,0x37fee000,0x00fb82ff,0x20003f20,0x3e00004f,0x013e2004,
    0x13e1ba00,0x3e40fb80,0x0df50000,0xe9807dc0,0x24efffff,0x003ba07c,
    0x40003ee0,0x009f306d,0x8017a000,0x1ba00ff9,0xe81fc400,0x3ffffaa5,
    0x3fa00dff,0x05e8004f,0x200bd000,0x1efffffb,0x1fa87dc0,0x000dd000,
    0x09f09f00,0x98007dc0,0x7c8000ef,0x01f20000,0x01df3000,0x71175c00,
    0x001fa85f,0x3e0003f6,0x13e00004,0x0000bd00,0x4009f0bd,0x007dc0fb,
    0x003f8800,0x951007ea,0x4c0f9015,0x2a37005f,0x0dd0001f,0x000003ee,
    0xff3002f4,0x8003f401,0x10bd02f9,0x98013773,0xe8000fff,0x0bd00005,
    0x1f700000,0x22000be2,0xe800006f,0x2e004f86,0x0fe8800f,0x000f9000,
    0x00003e40,0x40001fd1,0x98f902f8,0x03fa002f,0x00013e00,0x3ec004f8,
    0x7c27c000,0x503ee004,0x7400003f,0x007ea005,0xf901f200,0x4bfee03d,
    0xf88002f8,0x0000bd06,0xf5002f40,0x007f403f,0x5e80fd40,0x5ff70000,
    0x0017a000,0x00002f40,0x013a3e40,0x0001bea0,0x013e13e0,0x74400fb8,
    0x1f20001f,0x007c8000,0x003fd100,0x3e207a80,0xf800fe21,0x04f8000f,
    0x0013e000,0xf98000dd,0x2e004f83,0x001fcc0f,0x2001f900,0xd80000fb,
    0xdfffa807,0x742dffed,0x06fa8004,0x400000bd,0x3fea005e,0x000bfa01,
    0x005e81f2,0x000bfb00,0xe80002f4,0xe8000005,0x2000fe46,0x400006fe,
    0x004f82fa,0x5fb003ee,0x007c8000,0x0001f200,0x400017ec,0x3617405b,
    0x0ffb800f,0x0004f800,0x20d513e0,0x6c0005f8,0x2004f81f,0x00fe80fb,
    0x03f98300,0x20000db0,0xfb71005f,0x0fe4059f,0x6c1bfa00,0x80166007,
    0x3fea005e,0x003ffa01,0x17a04f98,0x007ec000,0x0000bd00,0x0000017a,
    0x06e889f3,0xb81bff20,0x41be2000,0x03ee004f,0x1e802fc8,0x80001f20,
    0xfc80007c,0x5401e802,0x983f300f,0x7ffc404f,0x005e8000,0x3f713e00,
    0x13e27f50,0x9f04f980,0x4c07dc00,0x7ec4005f,0x2a007ec1,0xfb80003f,
    0x805f8003,0x3f2006e8,0x009f506f,0x2f4003ee,0x405ff700,0x3a004ffe,
    0x0002f406,0x0bd00000,0x0017a000,0x80fe8800,0x32201ef8,0xff106dbf,
    0x0fe98019,0x7dc009f0,0x1007f900,0x003e407f,0x8000f900,0x3f8803fc,
    0x6c81fc40,0x3a207fb0,0xd8000fce,0x03c9801f,0xd09f313e,0x00f7e41f,
    0x27c03fea,0x3201f700,0xffb800df,0x300df984,0xf50000dd,0x0bf0001d,
    0x8807be20,0x3606dbfc,0x00fc802f,0x7dc00bd0,0x3ef7a02f,0x07fa600d,
    0x00000bd0,0x002f4000,0x00005e80,0x5fd73333,0x8567fcc0,0x9fb2feb9,
    0xcffd8879,0xefda989a,0xb8013e01,0x004fb80f,0x03e407f1,0x000f9000,
    0xf88027dc,0x10bfa803,0x3f6203f9,0x71dd711c,0x4400799f,0x7530acff,
    0xccb87ffd,0x2ffa0bef,0xfa83fd98,0xda989bdf,0x013e01ef,0x3f200fb8,
    0xd9530abf,0x7fcc05ff,0x1efb989b,0x99999880,0x0000efdb,0x7fcc00bf,
    0x5fd730ac,0xf10f33f6,0x326615bf,0xbd000eff,0x21ffe400,0xff55fccb,
    0x3ff2a237,0x27ba6602,0x00000099,0x333332e2,0xcccccffc,0x3332e23c,
    0xcccffccc,0xfb003ccc,0x003dffff,0xffffffb3,0x37ffec3d,0xfffffd98,
    0xf99504ff,0x32a0199d,0xff30ccfe,0x99999999,0x3267f999,0xcccfeccc,
    0x9303cccc,0x999fd999,0x26079999,0xccccccff,0x03fccccc,0x5dfdff50,
    0xfffff900,0x3bfff21d,0x3ff66000,0x0cefffff,0x7fffff44,0x3ffffa20,
    0x3ffb2203,0x9504ffff,0x20199df9,0x00ccfeca,0xffffffd3,0x326005df,
    0x00efffff,0xffffff88,0x20000cff,0x7ecc005f,0x21efffff,0xc886fffd,
    0xdfffffff,0x66665c42,0xccccefcc,0x0ffdc3cc,0xe997fffa,0x0dffffff,
    0x3fffffe0,0x00005fff,0xffffff30,0xffffffff,0x3ffe61df,0xffffffff,
    0x800effff,0x001aaaa8,0x00037730,0x04d65440,0xffffff90,0x3ffff605,
    0xfffff52f,0xffffffff,0x3fffee7f,0xffffffff,0xfffb80ef,0xffffffff,
    0xffa80eff,0xffffffff,0x2003ffff,0x20009a98,0x0000aca8,0x35995300,
    0xbca80000,0x2ee62000,0x7fffe401,0xfffb02ff,0xba8805ff,0x20001abc,
    0x54000ab9,0x00aaaaaa,0x0003d800,0x00006ee6,0x02ab2ea2,0x7fffffc4,
    0xffffffff,0x001540ef,0x00157730,0x55555555,0x00000035,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000054c4,0x00001510,0x06dc07b1,
    0x000d4c00,0x40001100,0x033203d8,0xb500cc80,0x01988003,0xb701e440,
    0x00300001,0x9bd95100,0x00a60003,0x40004400,0x1aaaaaa8,0x55510144,
    0x88003555,0x01aaaaaa,0x006a2000,0x000001a8,0x51000800,0x40000355,
    0x000bdeca,0x00e54400,0x15100000,0x2aa00000,0x8776a01a,0x901aaaa9,
    0x39dffffd,0x10277764,0x7309fff9,0x207ff200,0xd7004ff9,0x27dfffff,
    0xfea800d8,0x2a0cefff,0x207ff201,0xf5003ffa,0x0dff107f,0xfffffb50,
    0x3ff9005d,0x0009ff30,0xdffffb71,0x3f201547,0x0dffeeff,0x05ffca80,
    0x3ffb6a00,0xff9002df,0x7d4bffff,0xffff905f,0xfc800bff,0x005fffff,
    0x75c7ddb1,0x202dffff,0x00002ffd,0x22166644,0x0adfffdb,0x04ffff88,
    0x9bed8800,0x80003fc9,0x002fefeb,0xffc88000,0x001cc0cf,0x704fff98,
    0x3f25ffff,0x7f4c2fff,0xffdbaace,0x40bddfb2,0xbffdadfe,0xf5006fb8,
    0x07ff101f,0xaacdfe98,0x2fbefeca,0x33bffa60,0xbd3ffecb,0x4c07fdc0,
    0xff3002ff,0xc813fa05,0xcbabcfff,0x3ea00dff,0x03ff880f,0x37fffa20,
    0xeaeffecb,0x02b7f605,0xfb501ff7,0x000bfbff,0xb77bffb1,0xa8801dff,
    0x2e5faaaa,0x555107ff,0x8800bf55,0x05faaaaa,0xb19fdb30,0xff9559df,
    0x00fffa05,0x9ffd3000,0x65efffd4,0xf75106fe,0x07100009,0x2a0001ee,
    0x00005f0a,0xfb5bfd00,0x00df717f,0x413ebfa0,0xf55ffffe,0x7fcc3fff,
    0x36ffa202,0x4c1d8806,0x000dfffe,0x40188026,0x7d402ff9,0x5ff502ff,
    0x2ff7ec40,0x00880260,0x00600440,0x7e4405df,0x31004c05,0x05ffd400,
    0x05ffea88,0x5f9807fb,0xe856ffdc,0x17fcc005,0x0003ff70,0x027e44bd,
    0x400017a0,0xeef8005e,0x03fd102f,0x00003fb5,0xaefca7c0,0x7c04fb80,
    0x44000004,0x7c00002f,0x44000002,0x7fff4c1d,0x2fa8000d,0x3fff609f,
    0x1ffff34f,0x6c003fa2,0xa80006ff,0x0000002b,0x22001dd0,0x0ef982ff,
    0x00bff500,0x00000000,0x7ec013e0,0x10000002,0x7e4003ff,0x7005f985,
    0x5e80c47f,0x007fe600,0xd0003fea,0x4001f88b,0xbd00005e,0x03fff000,
    0x0d704fa8,0xddf80000,0x22fc805f,0xeeffeed9,0x0001deee,0x00000fb8,
    0x0000017c,0x000aea00,0x209f37c4,0xf11ffffa,0x017e4fff,0x000dfd10,
    0x00000000,0x5c001fc8,0x001fe82f,0x00002fdc,0xf8000000,0x00bf1004,
    0x07fa0000,0xf90bf100,0x802fc001,0x03fa005e,0x4005f980,0x4002f45e,
    0xbd00005e,0x003ff000,0x00be61ba,0x9fff0000,0xdb337400,0xdddddffd,
    0x9710003b,0x000003fb,0x0000005f,0xfc800000,0x2a8813e1,0x13e6fff8,
    0x001bea00,0x00004cc4,0xf1001a98,0x83f1000b,0xf88004fa,0x02662005,
    0x30000000,0x803ec001,0x20009a98,0x9b0004fa,0x7d800570,0x2a00bd00,
    0x2fc8003f,0x0e997a00,0x0005e800,0x9f000bd0,0x3607e400,0xf8000004,
    0x07e4003f,0x400004f8,0x000dffc8,0x05f00eb8,0x002e4400,0x00013531,
    0x013e2fc4,0xf9afff40,0x06f88002,0x3ffff620,0x54000cef,0x4efffffe,
    0x0000be60,0xb0000fc8,0xfffd8807,0x6c00ceff,0x36603eee,0x0000eeee,
    0xeca883e4,0x02ffffff,0x00000fc8,0x007d8000,0x0df100bd,0x801be200,
    0xbd00005e,0x017a0000,0xfb8013e0,0x06a20000,0x20017e00,0x109f01fa,
    0x4c000135,0xfd3000ed,0x80017c0b,0x2a203ffa,0xffffffec,0x40fd8002,
    0xffb0004f,0x40007ea9,0xbff5006e,0x5dfb9557,0x79dfb100,0x03dfd955,
    0x400001f7,0x2000004e,0xcaabdffa,0xdb102efd,0x774c09fd,0x40000fee,
    0xdfff885e,0x5feba9ab,0x00003740,0x005e8000,0x05f500bd,0x8007e400,
    0xbd00005e,0x017a0000,0xfb8013e0,0x47ddb100,0x2dffffeb,0x30009f00,
    0xeb93e05f,0x001effff,0x3ee013e0,0x0017c03f,0x8807bf62,0xa9abdfff,
    0x26005feb,0x0004f83f,0x03ee7ff9,0x64037400,0x3fa600ef,0x00ffe203,
    0x07c85fd5,0x00be2000,0x077e4000,0xf007fd30,0x007dc009,0x2e05f300,
    0x827e400a,0x000003f8,0x002fb800,0x01f700bd,0x801fcc00,0xbd00005e,
    0x897a0000,0x0027c03c,0x3b6601f7,0xacefd8cf,0xf802ffca,0x02f88004,
    0x37bfd19f,0x0007ff95,0xdfe981b2,0x2002f800,0x57003ffb,0x004fc801,
    0x0013e0dd,0x2f997fdc,0xa80df000,0x07f6004f,0xe8800ff4,0x0003ee0f,
    0x0000fd40,0xb0027d40,0x004f803f,0x540003ee,0xf80000ff,0x0003f507,
    0x5f980000,0x32017a00,0x27c40007,0x00005e80,0x3a0000bd,0x403ffc8d,
    0x03ee004f,0x40bfbbe0,0x27c01fe8,0xf81fc400,0xfd101efd,0x05f88003,
    0x7c005ff9,0x1efe8802,0x0ff00000,0x13e05f70,0xf07fd400,0x0df30009,
    0x220037c4,0x002fb86f,0x03f527c4,0x003ee000,0x00df1000,0x27c06f88,
    0x8001f700,0x0000efd9,0x1f703f70,0x40000000,0x3a000fe8,0x0006e805,
    0x0bd005f8,0xfc97a000,0x7f74000e,0x04f800df,0x3e003ee0,0x27d401ff,
    0x220013e0,0x01dff03f,0xade85fa8,0xd503f660,0x2f8001bf,0x001ffdc0,
    0x807ee000,0x013e05f8,0x3f637c40,0x037f4001,0xf50003f9,0x90006f85,
    0x000fe61f,0x00007dc0,0x20007f20,0x013e02fa,0xd5000fb8,0x800009ff,
    0x00fb81fa,0xd1000000,0x05e8003f,0xe80005f8,0x000bd006,0x7ffcd7a0,
    0x3bfe6003,0x8013e002,0x1ff800fb,0x4f80dd00,0xf03f8800,0x21ba001f,
    0xdffeffc8,0x50bbf220,0xffffe899,0xfd30ffff,0x073b261b,0x01fa8000,
    0x04f807f2,0x02202f26,0x7dc00df1,0x001b606f,0x00fe24f8,0x1fd17cc0,
    0x0fb86000,0x036c0000,0x27c09f00,0x1001f700,0x200017ff,0xf5099a99,
    0x0001f703,0x3fd10000,0xd00bd000,0x0bd0000b,0x400017a0,0x05fff15e,
    0x00dffb10,0x7dc009f0,0x2004f800,0x013e00fc,0x27c0be20,0x9880f900,
    0x067fd409,0x4001fbe2,0x5bf13ffc,0x4c00dd73,0x3f5099a9,0x9f013e60,
    0x07fffee0,0x200f7dc0,0x3e06ecfc,0xa97a0004,0xccccccdf,0xcccccccc,
    0x0017e63f,0x03ee3fb1,0x009f0000,0x09f02f40,0x44007dc0,0xfea8003f,
    0xefffffff,0x400fb81f,0xfffffffa,0xfd1001ff,0x017a0003,0x3e0001b6,
    0x000bd003,0x03da97a0,0x05ecffc8,0x2e004f80,0x004f800f,0x04f803ee,
    0x9f02f880,0x4003e400,0xbb01efd8,0xfe9800f5,0x1f41760d,0xfffffd50,
    0x203fdfff,0x827c00fd,0x005ffffe,0x226b3fee,0x0db3feb9,0xd8000fe2,
    0x3ffffee7,0xffffffff,0x7e44ffff,0x4ffb800d,0x80000bea,0x360003f8,
    0xb8013e07,0x03f8800f,0x2f3ffa20,0xfedbaa9a,0x4402f981,0xefcccccc,
    0x1ff9800c,0x2017a000,0x7cc0007c,0x000bd001,0x360017a0,0x000bd1df,
    0x07dc009f,0xf70027c0,0x40027c01,0x009f02f8,0x3ee003e4,0x2a3ee04f,
    0x5ff91007,0x21ee0190,0x9abcffe8,0x81fedbaa,0x04f803fa,0x00bffffd,
    0xfffffd88,0xf81b62ef,0x99b60004,0xc800001f,0x9530abff,0x4f885ffd,
    0x027c0000,0x27c0db00,0x2001f700,0x7fd1000c,0x103f5001,0x2f40007f,
    0x001ff980,0x7d402f40,0x01ea0001,0xd00005e8,0xe833000b,0xdf995005,
    0x3b2a0199,0x13e00ccf,0x3e00fb80,0x02f98004,0x03e4009f,0x201efd88,
    0x500f53f8,0x900019ff,0x00bfe88d,0xbfe81fa8,0xaaaaaaaa,0x7fd41adf,
    0x310001ff,0x0db01377,0x9f0002f4,0x000027c4,0xfffffe98,0x1ba02eff,
    0x00bd0000,0x09f027c0,0x00007dc0,0x5000fec0,0x0013e03f,0xff9805e8,
    0x05e80001,0x20004f98,0x017a006e,0x0002f400,0xff9005e8,0x3605ffff,
    0x202fffff,0x03ee004f,0xf98004f8,0x64009f01,0x03ffb807,0x881ea5d8,
    0x50001efd,0x001fd83f,0x3ffa07ea,0xffffffff,0xbb887fff,0xd8000000,
    0x0003f206,0x00dd0fe6,0xeda88000,0x3fa801ab,0x03f20000,0xf80fe600,
    0x003ee004,0x0017e000,0x07f603f5,0x2a02f400,0xd00000ef,0x007f200b,
    0xe8013ea0,0x0bd00005,0x0017a000,0x9f000000,0xf007dc00,0x03f50009,
    0x07c8013e,0x5c006fd4,0xfd81ea0f,0x0bea0004,0x3f50017e,0x33333310,
    0x03bf3333,0x20000000,0x017e606d,0x7f503fa0,0x79000000,0x001fb000,
    0x2fcc3f50,0xd007f400,0x007ec00b,0x00fe2000,0x3e203f90,0x40bd0006,
    0x00000efa,0x2fc4017a,0x0007f400,0x3a0000bd,0x0bd00005,0x80000000,
    0x03ee004f,0xfb8004f8,0x64009f00,0x8800c407,0x1103d43f,0x40fdc000,
    0x7e4003f8,0x827c0001,0x0003eeb8,0x6406d800,0x0bf2002f,0x4c000fec,
    0x007f9001,0x2000ef88,0x02fc86fb,0xfb00bf20,0x0ffe8801,0xf002aa80,
    0x3ff6200d,0x0013ea01,0x077d417a,0x017a0000,0x36004fb8,0x02f4003f,
    0x0005e800,0x40000bd0,0x3e0004ed,0x803ee004,0x06e8004f,0x07c8013e,
    0x333f2000,0x000cfdcc,0xf00f6c00,0x3ff6200d,0x827c0001,0x002ffffc,
    0x4036c000,0x7ec404fe,0x00ffe205,0x88027ecc,0x7cc003d9,0x0dfc802f,
    0xd8809fd0,0x03fb805f,0x003fbfe6,0xb00ffffb,0xefe9805f,0x0f7ec01f,
    0xfb85f880,0x0031000d,0xbfb0017a,0x027f4401,0x80002f40,0xbd00005e,
    0x3d980000,0x4009f000,0x013e00fb,0x27c07f30,0x0000f900,0x6e66665c,
    0x100000cf,0x2fd801dd,0x0ff7f4c0,0x7413e000,0x0005ffff,0x44036c00,
    0x9889befd,0xd8804ffb,0x75309bef,0x4401bffb,0x2001320b,0x889bdff9,
    0x4404feca,0x9889befd,0x3a004ffb,0xfdb989df,0x80ccfb9e,0x02fffff8,
    0xa88dffc4,0xdfaaefdb,0xbff500cc,0x36a62135,0x02fdc3ff,0x2f401ee0,
    0x5677dc00,0x04ffca88,0x0000bd00,0x7400017a,0x64080005,0x009f0004,
    0x332207dc,0x56543cef,0x7c06fb88,0x001f2004,0x001ea000,0x1004f980,
    0x2ea237ff,0xcdfaaefd,0x04f8000c,0x007ffffb,0xe9998800,0xffa8019e,
    0x01efffff,0x7ffffd40,0x801cffff,0x01feefe8,0xffff7100,0x4003dfff,
    0xfffffffa,0x7f4c001e,0x2e4fffff,0xffd02fff,0xfb3001ff,0x47ffffff,
    0x202ffffa,0xffffffc8,0xfc80bfff,0xcccccccc,0x227ecccc,0xefcccccc,
    0x00cccccc,0x3fffffa6,0x332201df,0xcefccccc,0x223ccccc,0xfccccccc,
    0x3cccccce,0x33333322,0xcccccefc,0xddf9003c,0x6654003f,0x9500ccef,
    0x3e6199fd,0x7d46ffff,0x980effff,0x203cefcc,0x01ccfecb,0x00f50000,
    0x4c0bea00,0xffffd986,0x3fea3fff,0xccb802ff,0x74c3cefc,0x00000dff,
    0x3ffffff2,0x953007ff,0x88000157,0x0009acba,0x00003530,0x004de54c,
    0x15795300,0xacba8000,0x32e20001,0x654c000b,0x400000ac,0x01abcba8,
    0x7fffffe4,0xffffffff,0x3ffffea7,0xffffffff,0xcba8801f,0xfff9801a,
    0xffffffff,0xf30effff,0xffffffff,0x1dffffff,0x3fffffe6,0xffffffff,
    0x351000ef,0xffff9000,0x3ff605ff,0x88002fff,0x3ee02bca,0x880effff,
    0x03fffffe,0x7ffe4000,0x7e40002f,0xffffffff,0x15995300,0x3fa20000,
    0x306fffff,0x53000001,0x55555555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00088000,0x10004000,
    0x22001353,0x000001ca,0x20002a20,0x203eeed8,0x00eeeed9,0x00002200,
    0x98000020,0x5544019a,0x0001aaaa,0x4c000220,0x00001aaa,0x00004400,
    0x01335300,0x077bbbb6,0x2eeeeea8,0x33333336,0xcccccccc,0x2a64cccc,
    0x000001aa,0x26000060,0xcccccccc,0x320000bc,0x000c0003,0x13531000,
    0x01300000,0x33332a00,0x00bccccc,0x3ffffb20,0xdd50322d,0xfd930bdd,
    0x3faa017d,0xa8cfffff,0x0bfbfae3,0x36600000,0x02a82fff,0x409fddb1,
    0x00feeeea,0x3fff72a0,0x20001bde,0x20003ffa,0xffffffd9,0x7ffe41ef,
    0x40005fff,0x1beffedb,0x7ffcd760,0x4000004f,0xdefffdca,0x6cc0001b,
    0xefffffff,0x3bbbfb61,0x3ffbae01,0x8000123e,0x09ffff34,0x36e14000,
    0x01cdfffe,0xfffffd80,0x004fffff,0xf00017a0,0x2a200007,0xffffffec,
    0x7ec40002,0x7c002dff,0xffffffff,0xffa802ff,0xefecbbce,0x777542fa,
    0x5f7fdc7f,0x7fec0efc,0xffdaaaac,0x17c2aa7f,0x3e200000,0x9aefeacf,
    0x09f004fc,0x44007dc0,0xb99acdfd,0xb0004fec,0x2a000fff,0xcbaaacff,
    0x555442ec,0x10005faa,0xfb77bffd,0x4cdd01df,0x00004fba,0x359bfb10,
    0x009fd973,0x2ab3fea0,0x4c0dccba,0x86e8004f,0x99200004,0x00004faa,
    0xdffd15f1,0x07ffdb79,0x33333100,0x80001333,0x27c0005e,0x7ffc4000,
    0xfeba9abd,0xfff30005,0x001dfb77,0x4ccccccc,0xef980099,0x0bffea02,
    0x37f62f90,0x9f91fcc0,0x207fe880,0x4000002f,0x7ffdc0c9,0x013e004f,
    0x7d400fb8,0x1ee9800d,0x02ffe400,0x00077c40,0x3000bd00,0x77dc05ff,
    0x27c13e20,0x6fd40000,0x01ee9800,0x0003be20,0xf50007ec,0x40000905,
    0x00009f04,0x02fbf7e6,0x0006fec4,0x3a000000,0x027c0005,0x400ab800,
    0xfe8004fc,0x0006fa82,0x00fe8000,0x6402ff98,0x2003fe8f,0x0ff3006f,
    0x0000017c,0x00375100,0x3ee004f8,0x000ff200,0x44005f91,0xfb8000cb,
    0x2f400003,0x007fe600,0x07ec3bea,0x400004f8,0x644003fc,0x07f7002f,
    0x0027cc00,0x000120dd,0x0009f048,0x0037fe60,0x00002fdc,0x017a0000,
    0x00009f00,0x800ff000,0x012604fb,0x5f300000,0x2017e400,0x4001fffc,
    0x81b2004f,0x0000002f,0x09f00000,0xfa807dc0,0xfb802601,0xb0000000,
    0xbd00000f,0x000fd800,0x813fbbe6,0x2a00004f,0x3ee0001f,0x0007d800,
    0xfa800fd8,0x40000903,0x00009f04,0x32001fe6,0x0000002f,0x00017a00,
    0x0000009f,0x64003f70,0x8800001f,0x2e0009a9,0x0be6000f,0x0003df90,
    0x004001fb,0xea80005f,0x40000002,0x03ee004f,0x3b620fe2,0x6c49bfed,
    0xd0000005,0xbd00000d,0x001fd400,0x3e017fe4,0x7f100004,0x6f777764,
    0x3a017602,0x3f980006,0x01206e80,0x09f04800,0x013e6000,0x3b607740,
    0x3b6603ee,0xe8000eee,0x7775c005,0xeeeeeeff,0x00000cee,0x6d8007ea,
    0xd9510000,0x05ffffff,0xb8001f70,0x0007e400,0x009cff98,0x4000be00,
    0x3b60ffc8,0x3b6603ee,0x27c00eee,0xdb01f700,0xfc985d10,0x0001fc44,
    0x00037400,0xdd002f40,0x017e2000,0x006a213e,0x4fcc46d8,0x881ec999,
    0x0037403f,0x2600fd80,0x0001203f,0x0009f048,0xc80006c0,0x3fbb622f,
    0x3bbba604,0x05e8000f,0x7ff775c0,0xeeeeeeee,0x54cc000d,0x003f5099,
    0x440003ec,0xa9abdfff,0x7cc05feb,0x7c800002,0x7fec4000,0x001bdeff,
    0xff50005f,0x7f76c419,0x3bbba604,0x0027c00f,0x81f981f7,0x2e13602d,
    0x77777747,0x6eeeeeee,0x3ffbbb62,0xdeeeeeee,0x802f4001,0x2e0002fa,
    0x3b24f807,0x201dffff,0x220f01f9,0xeec8f706,0x300006fe,0x203ec07f,
    0x41200004,0xeeed884f,0x000004ee,0x027c09f5,0xd0001f70,0x04f8000b,
    0x3ffaa000,0xfeffffff,0x003ee001,0x9002ae00,0x00fe809f,0x003e4000,
    0xfdcba880,0x17c01eff,0x03dfb100,0x7dc009f0,0x70027c00,0x5986a81f,
    0x07cc1c40,0xddddddff,0x44ffdddd,0xeeffeeed,0x01eeeeee,0xfb802f40,
    0x07e60000,0x9dfd19f0,0x203ff953,0x1c81e06a,0xdd910f98,0x40000dfd,
    0x807f307d,0x41200004,0xffed884f,0x000004ee,0x004f817e,0x3bb203ee,
    0xeffeeeee,0x03eeeeee,0x4400027c,0xa9abcffe,0x001fedba,0x00000be6,
    0xf980ff00,0x3200003f,0x44000007,0x0be03feb,0x0027fdc0,0x07dc009f,
    0xfb8013e0,0x01dc2e40,0x027c3f00,0x37402fd8,0x02f40000,0x440007c8,
    0x77efc02f,0x903fd101,0x01d03c0b,0x006e807e,0x360fe600,0x00004807,
    0xf9827c12,0x0000001f,0x0027c0fb,0xeed881f7,0xeffeeeee,0x05eeeeee,
    0x2200027c,0xfa800bfe,0x002fc001,0x07ee0000,0x59dff910,0x01f20003,
    0x0fd80000,0xfd8805f0,0x027c001e,0x4f801f70,0x7b03ee00,0x74000390,
    0x3f6013e3,0x0006e802,0xdb005e80,0x809f0000,0x7c400eff,0x21e03d83,
    0x80fa05c8,0x6c00006e,0x2401fcc7,0x3e090000,0x400efa84,0xccccccca,
    0xcccccccc,0x3e07eccc,0x003ee004,0xf00017a0,0x1fd80009,0x8807ea00,
    0xccfecccc,0x000002cc,0x5c4007ea,0x03dffffd,0x54001f20,0xfd3f8000,
    0x1fffffff,0x3261ffdc,0x8013e00c,0x02fc00fb,0x82f81fb0,0x9320001d,
    0x01fe403e,0x800006e8,0x00bf005e,0xff80dd00,0x5f0db000,0x7f6667c0,
    0xdd026402,0x3f980000,0x002401f6,0x913e0900,0xffb001bf,0xffffffff,
    0xffffffff,0x0027c0ff,0xbd0001f7,0xfcccb800,0x03ccccce,0xfa800bf0,
    0x3fffea01,0x05ffffff,0x4cd4cc00,0x20003f50,0x00dfeca8,0xbf0007c8,
    0x800bd000,0x7c40efe9,0x013e00fe,0x7fc00fb8,0x07ff4400,0x000720fa,
    0x3ee004d8,0x001ba004,0x74017a00,0x05e80005,0x0f90027c,0x5557c07d,
    0x204d804e,0xd800006e,0x12007f37,0x9f048000,0xdb0027ec,0x81f20000,
    0x03ee004f,0x98017a00,0xffffffff,0x4402ffff,0x0fe4003f,0x000be600,
    0x3ffffaa0,0x01feffff,0x01df7000,0xff0007c8,0x003f9800,0x76c0fff2,
    0x013e00f9,0x7fc00fb8,0x3fbfe603,0x01d42640,0x2a005f00,0x0374005f,
    0x802f4000,0x5f80007d,0xf90027c0,0x643c0990,0xdd017c05,0x7f300000,
    0x012001fb,0x19f04800,0x7c8007fd,0x40fb0000,0x03ee004f,0x00017a00,
    0x6f80009f,0x03ffb100,0x0002f880,0x2af3ffa2,0x1fedbaa9,0x13e60000,
    0x3e000f90,0xfe8800ef,0x0dfe9800,0x01f33f50,0x1f70027c,0x89dfff80,
    0xfb9efdb9,0xd10d70cc,0x003e2000,0x3a001be6,0x5e800006,0x0001f700,
    0x13e027c4,0x06b87c80,0xf881e41e,0x0001ba00,0x0027fec0,0x82400009,
    0x000effef,0x40000fdc,0x8013e05e,0x5e8000fb,0x0027c000,0xd300bf60,
    0x88003fdf,0xfd10003f,0x03f50017,0x266d8000,0xccfecccc,0xf03ccccc,
    0x4c359ffd,0xc801ffc9,0x53e202ff,0x013e00f9,0x77c00fb8,0x3ffffffe,
    0x3ccbffee,0x216603b8,0x0ef9807a,0x0006e800,0xf5005e80,0x17d40003,
    0x7c8013e0,0xe81e0798,0x37407a81,0xff980000,0x00012000,0xf5dff048,
    0x17cc001d,0x813e2000,0x03ee004f,0x00017a00,0xf880009f,0xfb7511bf,
    0x199bf55d,0x0005f300,0xfa8007f6,0x70004881,0x3fffee1f,0xffffffff,
    0xc8bd80ef,0xffffffff,0x6ff5401d,0x1f336c00,0xf70027c0,0x9754f801,
    0x04e80015,0xd03f5099,0x00fe8809,0x0000dd00,0x3e200bd0,0x01fa0005,
    0x07c8013e,0x5981e09d,0x037404e8,0x04f98000,0x90000240,0x77cc3be0,
    0x0017e000,0x27c05f50,0x0001f700,0x4f8000bd,0xffd98000,0x2a3fffff,
    0xb802ffff,0x0bf0000f,0xfa81fa80,0x00fb8001,0x53100000,0x100157dd,
    0x3f5005df,0x09f007cc,0x3e007dc0,0x3f300004,0x2f77b6e0,0x2200ec80,
    0x3a0001fe,0x5e800006,0x0007f200,0x13e013ea,0x3f307c80,0x40777f64,
    0x801d92ec,0xb000006e,0x0048001f,0x227c1200,0xf9000ef9,0x1ba20005,
    0x7ec00bd0,0x005e8000,0x000027c0,0x40159953,0x0f9000ce,0x000fe200,
    0x09f503f9,0x0000db00,0x000f2000,0x21fc4006,0x017a00f9,0x27c00fd8,
    0x00d90000,0x200fcc01,0x740002fd,0x5e800006,0x001be200,0x13e003fa,
    0x1b207c80,0x003f3000,0x100000dd,0x0090009f,0x84f82400,0xdd000efa,
    0x03f90001,0x74400fd8,0x4d8000ff,0x00374000,0x07980000,0xa8017e20,
    0x6c401be1,0x1ffa81ff,0x2013ea00,0x00003df8,0x000007f9,0x373333f2,
    0x01fb01cf,0x400ffe88,0x7400004f,0x4fa8000d,0x74017e40,0x0001ba01,
    0xf70017a0,0x01fec009,0x1f2004f8,0x50001bd0,0x01ba009f,0x003f2000,
    0x48000120,0x3bea09f0,0x00df9800,0x2e00fee0,0x3bfe603f,0x0000000f,
    0x93005fb0,0x16a00007,0x2000fc80,0x300bf64f,0xf503fdfd,0xdf5003ff,
    0x00fd4400,0x01ecc400,0x66654000,0x701cfdcc,0x77fcc07f,0x0027c00f,
    0x00ff6200,0x7e404fc8,0x203f8803,0xe800006e,0x0dfd8005,0x8013fa20,
    0x01f2004f,0x64007fb1,0x01ba004f,0x009f1000,0x48000120,0x37d409f0,
    0x401efb80,0x3a005fd8,0xfdb989df,0x00ccfb9e,0x74400000,0x3aea61bf,
    0x200003ff,0x980db9bf,0x87ea004f,0x7511bff8,0x9bf55dfb,0x3fabea19,
    0x3f6a61ad,0x1740800f,0x320b8800,0x20000004,0x6ff400f9,0x9efdb989,
    0x9f00ccfb,0x3ee00000,0x75cc41bd,0x027dc01e,0x1ba03f88,0x017a0000,
    0x45677dc0,0x004ffca8,0x0f90027c,0x106f7ee0,0x8003dd73,0x2660006e,
    0x09afd999,0x00002400,0xf5013e09,0x33fa600b,0x5ff9511b,0xfffe9800,
    0x3fee4fff,0x3333322f,0xcccccccc,0x8803cccc,0xfffffffd,0x400000ce,
    0x6cc2dfc9,0xcccccdff,0x86fdcccc,0xffffffd9,0x3fffea3f,0x7ffdcd32,
    0x003fffff,0x001bbbf6,0x1feefe88,0x26000000,0x7ff4c00f,0x3ee4ffff,
    0x009f02ff,0x7f6c4000,0x04efffef,0xccccff98,0xfccccccc,0xff999933,
    0x79999999,0x99999910,0x99999df9,0xffe98079,0x001dffff,0x199df995,
    0x99fd9910,0xffed8805,0x804efffe,0xcffcccc8,0xfe800ccc,0xffffffff,
    0x0012002f,0x3f32e480,0x3bfb2604,0x7fe401cc,0x00dfffff,0x06b2ea00,
    0xfffff880,0xffffffff,0x2006ffff,0x001acca9,0x7dc00000,0xffffffff,
    0x00bfffff,0x002b32a6,0x56654c00,0x1a980009,0x03530000,0x7e400000,
    0xba803fff,0x260001ac,0x10000000,0xa8003573,0xffffffff,0x93ffffff,
    0xffffffff,0x30dfffff,0xffffffff,0xdfffffff,0x59751001,0xfffd8003,
    0xffa81fff,0x2005ffff,0x4001ab98,0xfffffffa,0xa9802fff,0xaaaaaaaa,
    0x333a000a,0xcccccccc,0xcccccccc,0x09fffd15,0x7fffffdc,0x37953003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00544000,0x00005400,0x0001a980,0x99999973,
    0x99503999,0x88799999,0xcccccccc,0x999301cc,0x17999999,0xb500cc80,
    0x001b8003,0xcccca800,0xcccccccc,0x33333224,0xccca82cc,0x66644ccc,
    0xccc8004c,0x6666644c,0xccb82ccc,0x665c3ccc,0x665401cc,0x930ccccc,
    0x99999999,0x00199999,0x99999975,0x59999999,0x2cccccb8,0x4ccccca8,
    0x0cccccb8,0x33333260,0x99999912,0x20079999,0xccccccc8,0x401bcccc,
    0xccccccc9,0x44003ccc,0xcccccccc,0xc8801bcc,0xcccccccc,0x9991003c,
    0x79999999,0x39d71000,0x3fff2200,0x9101cc0c,0x38819fff,0x7fff5400,
    0x32004eff,0xffffffff,0xfffc85ff,0x74c5ffff,0xffffffff,0xffffb02f,
    0x09ffffff,0xff827fcc,0x001fc006,0x7fffe400,0xffffffff,0xffffd30e,
    0xfff907ff,0x7f41dfff,0x2a002fff,0xd10effff,0x7fffffff,0xbfffffb0,
    0x06ffffe8,0x7fffffe4,0xfffff51e,0xffffffff,0x7ff5403d,0xffffffff,
    0x6c5fffff,0xc84fffff,0x40efffff,0x02fffffd,0x53ffffee,0xfffffffa,
    0xf5005fff,0xffffffff,0x205dffff,0xfffffffa,0x44005fff,0xfffffffe,
    0x204fffff,0xfffffffa,0xf5005fff,0xffffffff,0x81f6c4bf,0x1fdb9bed,
    0x7ed6ff40,0x206fb8bf,0xcffdadfd,0xb1007fb8,0xd95579df,0x262003df,
    0x09999999,0x8002f980,0x331000fb,0x01333333,0xfd02ff88,0x004f800b,
    0x0fd40000,0xe8005f80,0x03767c05,0x801f7dd0,0x13f6004f,0x800fffa0,
    0x02f4006d,0x855f7ec0,0x82fc03f8,0x03f2004f,0x54003f90,0x00fc803f,
    0x202f9800,0x9004fea8,0x5e80000f,0x07bf6a20,0x00007e40,0x7dc01f90,
    0xd80fb87f,0xd3076205,0x6c01bfff,0x77fff4c1,0x03ff8800,0x00017f54,
    0x005f3000,0x00001f70,0x0c018800,0x00027c00,0x007ea000,0x2f4002fc,
    0x007ef3e0,0x003eefe6,0x7fb1009f,0x03f77a00,0x3a0036c0,0x827ec005,
    0x82fc03f8,0x03f2004f,0x2200df10,0x01f9005f,0x005f3000,0x1f200bf2,
    0x00bd0000,0x32003fea,0x3200000f,0x17fea00f,0x00fcc072,0x0002ba80,
    0xfd0015d4,0x03fa2003,0x7cc00000,0x00fb8002,0x00000000,0x0009f000,
    0x01fa8000,0xbd000bf0,0x00bf4f80,0x801f71f9,0x17f4404f,0x0bf1bd00,
    0xbd001b60,0x101fec00,0xf05f807f,0x007e4009,0x7ec01fd4,0x001f9000,
    0x4005f300,0x03e400fe,0x8017a000,0x0fc805f8,0x03f20000,0xa8005f10,
    0x0000000f,0x17dc0000,0x8013e200,0xf98001a9,0x00fb8002,0x00099880,
    0x9f000000,0xa8000000,0x00bf001f,0x94f80bd0,0xba7c401f,0x3027c00f,
    0x5e8003fd,0x0db003f7,0xf3005e80,0x403f880b,0x4009f05f,0x3fb000fc,
    0x9001fd40,0xf300001f,0x017d4005,0xd00001f2,0x01fb800b,0x000007e4,
    0x07c801f9,0x40027440,0x000001a8,0x2000df00,0x3faa00fc,0x004effff,
    0xf70005f3,0x3ff62001,0x000cefff,0x3bb60000,0xeeeeeffe,0x0001deee,
    0x3e003f50,0x405e8005,0x5c09f14f,0xf801f70f,0x003ff304,0x40374bd0,
    0x02f4006d,0x7c401fc8,0x4f82f403,0x4003f200,0x0df106f8,0x0000fc80,
    0x22002f98,0x003e403f,0x20017a00,0x007e406e,0x401f9000,0x3a2002f9,
    0x23eed885,0x2dffffeb,0xeeeeda80,0x07f1004e,0x220be600,0xcaabcefd,
    0x7cc01efe,0x00fb8002,0xaabdffa8,0x5402efdc,0x04eeeeed,0x3ffbbb60,
    0xeeeeeeee,0xf500001d,0x0017e003,0x6c9f017a,0x7dcbf00f,0x7d427c00,
    0x4bd0000e,0x036c03fa,0x3e2017a0,0x403f8804,0x4009f01a,0x3ea000fc,
    0x4001fd83,0x980000fc,0x0fe2002f,0x00350f90,0x2a0017a0,0x403f201f,
    0x00fc8000,0x4f980062,0xb19fdb30,0xff9559df,0xeeeea805,0xbf5006fe,
    0x99999999,0x7f999999,0x5403ff88,0x0be602fe,0x9003ee00,0x7f4c01df,
    0x3bbbaa03,0x3e0005fe,0x40000004,0x0bf001fa,0x4f80bd00,0x8bea0fe6,
    0x227c00fb,0x20000efb,0xb007ec5e,0x805e800d,0x3f8803f9,0x27c00362,
    0x8001f900,0x00fea1fd,0x00003f20,0xfb800be6,0xfb33e401,0x017a000b,
    0xfc80be20,0x000efc80,0x400003f2,0xddf003fb,0x07fa205f,0x5c01ba00,
    0xffffffff,0xffffffff,0x800ff44f,0x5f300fe8,0x401f7000,0x3f6004fa,
    0x002f4001,0x000009f0,0xf001fa80,0x80bd000b,0x3743744f,0x49f003ee,
    0xe80005fc,0xdb027cc5,0xa805e800,0x23f8801f,0x09f002f9,0x20007e40,
    0x00df16f8,0x00003f20,0x74400be6,0xfc8fc807,0x17a0003f,0xf9027c00,
    0x04fff881,0x00003f20,0xff8007f2,0x027d401f,0xf9803740,0x3ee00001,
    0x827c4002,0xfb8002f9,0x800df100,0x2f4006f8,0x0009f000,0x01fa8000,
    0xbd000bf0,0x17d44f80,0x00fb87f3,0x1effca7c,0x642f4000,0x800db01f,
    0x00fb805e,0xfdccef88,0x999df002,0xd9999999,0x7f70001f,0x320003f9,
    0xf980000f,0x02ff9802,0x00dfffc8,0x77e665c0,0x00cccccc,0x80fc817a,
    0x32002fff,0x3a20000f,0x0ffc000e,0xe8006e80,0x009f1006,0x80037c00,
    0x02f980fc,0xf900fb80,0x05f50003,0xf0002f40,0x80000009,0x0bf001fa,
    0x4f80bd00,0x703f25e8,0xfddf801f,0x000dfebb,0x0df10bd0,0x0bd001b6,
    0x3e200f90,0x002fffff,0xffffffff,0x01ffffff,0x00fff600,0x0000fc80,
    0x95102f98,0xfd3007ff,0x3fa0003d,0xffffffff,0x817a03ff,0x02c980fc,
    0x80007e40,0x407a05f9,0x03f2004f,0x7400dd00,0x7f100006,0x20be6000,
    0xfb8002f9,0x4000db00,0x017a004f,0x00004f80,0x800fd400,0x05e8005f,
    0x44fdc27c,0x400fb84f,0x77dc3fff,0x505e8000,0x800db07f,0x00fb805e,
    0x0be63f88,0xf90027c0,0xffffd001,0xffffffff,0x003f200b,0x3fffe600,
    0x0cffffff,0x03ffec40,0x0017a000,0x01f902f4,0x007e4000,0xfffffa80,
    0x9f02ffff,0x0007dc00,0x3fa801ba,0xcdfa8000,0xcccccccc,0x83fccccc,
    0xfb8002f9,0x40009f00,0x017a005e,0x20004f80,0x0fd4005b,0xe8005f80,
    0x7c427c05,0x0fb80fbc,0xfa817fc0,0x205e8005,0x0036c0fe,0x07ea017a,
    0x1f98fe20,0x64009f00,0x17a0000f,0x001f9000,0xccdf9804,0x801acccc,
    0x007dcffb,0x0017a004,0x01f9027c,0x03f20040,0x20000080,0x03ee004f,
    0xd800dd00,0x7198001f,0xffffffff,0xffffffff,0x005f309f,0x7f101f70,
    0x003ec000,0x27c000bd,0x800f9000,0x0bf001fa,0x4f80bd00,0x2e0bff90,
    0x2027c00f,0x2f4002fa,0x06d89f30,0x7cc02f40,0x043f8802,0x64009f00,
    0x17a0000f,0x001f9000,0x017cc1fc,0x23dfd100,0x01fc007c,0x5f3000bd,
    0xf0007e40,0x0007e407,0x3e00007f,0x003ee004,0xf8800dd0,0x9fb3003f,
    0x000007e6,0x80910be6,0x009f00fb,0xbd0036c0,0x0027c000,0xfa800f90,
    0x000bd001,0x104f80bd,0x03ee05ff,0x1fd009f0,0x3202f400,0xd001b61f,
    0x007f100b,0x7c0007f1,0x003f2004,0x40005e80,0x9f1000fc,0x40005f30,
    0x003e42d8,0x02f407f1,0xf9007dc0,0x813e2001,0x9f1000fc,0x4f800330,
    0x0003ee00,0xfb1000dd,0x2ea6137d,0x9f10dffd,0x5f300000,0x1f200fa8,
    0x3e0005e8,0x0017a004,0x320004f8,0x00fd4007,0x7c4006c8,0x31027c04,
    0x3e007dc0,0x004f9804,0x4df1017a,0x02f4006d,0x3f8807e8,0x04f80a80,
    0x32003f20,0xeffeeeee,0x9003eeee,0x13e2001f,0x00000be6,0x3f8801f2,
    0x360017a0,0x8007e406,0x03f204f8,0x1e427c40,0xb8013e00,0x0374000f,
    0xfffff500,0xd039ffff,0xf300000d,0x3201fb85,0x0003f207,0x5e800fe6,
    0x0013e000,0x7ec007c8,0x800f5000,0x027c03fa,0xf801f700,0x001fb004,
    0x4bee017a,0x02f4006d,0x7c404f98,0x7c1fc403,0x003f2004,0x3eaaaaa6,
    0x00aaaaae,0x22001f90,0x002f984f,0x2007c800,0x017a03f8,0xfc809f50,
    0x409f1000,0x9f1000fc,0x4f800790,0x0003ee00,0x910000dd,0xa80135bf,
    0x4c00003f,0xb00fdc2f,0x002fcc0d,0xbd0007f4,0x0027c000,0x6f800f90,
    0x800fe200,0x027c01fc,0xf801f700,0x007f3004,0x47f4017a,0x02f4006d,
    0x7c401f90,0x7c1fc403,0x003f2004,0x40005e80,0x9f1000fc,0x00005f30,
    0x7c400f90,0x98017a03,0x07e400ff,0x3204f880,0x09f1000f,0x27c007f9,
    0x8001f700,0x7b00006e,0x003fb000,0x85f30330,0x09f101fb,0x32002fc8,
    0x02f4002f,0x4000dd00,0x7f7002fc,0x800fe800,0x04f805fa,0xf003ee00,
    0x80374009,0xb9f3005e,0x005e800d,0x7c40bfe2,0x7c1fc403,0x003f2004,
    0x40005e80,0x9f1000fc,0x00005f30,0x7c400f90,0x44017a03,0x0fc802fe,
    0x6409f100,0x09f1000f,0x3e007b31,0x003ee004,0x10000dd0,0x3fe2000f,
    0x09fb3003,0x0ee885f3,0xfe801fc8,0x02fec404,0xb0002f40,0x4993005f,
    0x7dc04fe8,0x1ee88005,0x2003fea0,0x3ee0004f,0x70027c00,0x00bd005f,
    0x200377e4,0x7f44005e,0x201fc41d,0x004f83f8,0xe80003f2,0x07e40005,
    0xf984f880,0x7c800002,0xe80fe200,0x17fe4c05,0x1000fc80,0x007e409f,
    0x41714f88,0x009f004c,0x3a0007dc,0x41f00006,0x3bf62000,0xfb75309b,
    0x373261bf,0xdf33ccdf,0x009fd515,0x226fbf62,0x004ffb98,0x44000bd0,
    0x2ea61bff,0xefc84ffe,0xefdb889b,0x7fd10000,0x3ff95113,0x677e6440,
    0x332201cc,0x2e0ccfec,0x1cccefcc,0x0733be20,0x5999ff97,0x4437fc40,
    0xefcccccc,0x00cccccc,0x333bfff2,0xccccccef,0xf9953fcc,0x9950599d,
    0x880599fd,0xccefcccc,0x3332203c,0xcccccfec,0x4fcccccc,0x99bfb991,
    0x22007999,0xccfecccc,0xcccccccc,0x7e5c43fc,0xecccccce,0x99101eff,
    0x9999fd99,0xf9999999,0x3b333229,0xcccccccf,0xd14fcccc,0x5403fddf,
    0x00ccefcc,0x2199fd95,0xccccccb8,0xccccccff,0x373f2003,0x7fd4001f,
    0xcfffffff,0x7ffffe41,0x3ffe66ff,0xfa8004ff,0x1effffff,0x33332e20,
    0xccccffcc,0xfd9803cc,0xcfffffff,0x3fffaa01,0x80003fff,0xffffffd8,
    0x7ffd400d,0x2a02ffff,0x2fffffff,0xffffffd1,0xfffc807f,0x3ffffa24,
    0x37dc04ff,0x7fffffd4,0xffffffff,0x7f654c01,0xffffffff,0xffb3ffff,
    0xf909ffff,0x80bfffff,0xfffffff9,0xff500fff,0xffffffff,0xffffffff,
    0x3ffffea9,0x006fffff,0xfffffff5,0xffffffff,0xff887fff,0xffffffff,
    0x7fd402de,0xffffffff,0xffffffff,0xffffff54,0xffffffff,0xa989ffff,
    0xffffc801,0xfffb02ff,0x3ffa25ff,0xffffffff,0x000fffff,0x80002ee2,
    0x009acba8,0x0ddcc000,0x2f2a6000,0xfff9800a,0xffffffff,0x000effff,
    0x01359953,0x0abca880,0xbb980000,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xcccccccb,
    0x665401cc,0xcc881ccc,0x99102ccc,0x99999999,0x99910037,0x99999999,
    0x49999999,0xccccccca,0xcccccccc,0x333224cc,0xcccccccc,0x04cccccc,
    0x33333322,0xcccccccc,0x66642ccc,0x2e03cccc,0x43cccccc,0xcccccccc,
    0x000acccc,0x99999995,0x20015999,0xcccccccc,0xcccccccc,0x3333223c,
    0xcccccccc,0xeeeb801b,0x3bbb6203,0xcccc980e,0x03cccccc,0xcccccb80,
    0x44001ccc,0xcccccccc,0x5c4ccccc,0x201ccccc,0x22ccccca,0x00cccccb,
    0x8b33332a,0xccccccca,0x33332a01,0x6dc01ccc,0x0001aade,0x00000011,
    0x40000110,0x20773018,0xfffffffb,0x7e406fff,0xfa82ffff,0xd104ffff,
    0xffffffff,0x4c09ffff,0xffffffff,0xffffffff,0x3ffff27f,0xffffffff,
    0x30ffffff,0xffffffff,0xffffffff,0x7ff440ff,0xffffffff,0x25ffffff,
    0xffffffe8,0x3ffffa04,0x3ffa25ff,0xffffffff,0xfc803fff,0xffffffff,
    0x2201efff,0xfffffffe,0xffffffff,0x3fffa26f,0xffffffff,0x3b201eff,
    0x3b6204fe,0xffa80fee,0xffffffff,0xfffd8005,0x005fffff,0x7fffffc4,
    0x7fffffff,0x17ffffec,0x9fffff70,0x17ffffec,0x9fffff70,0x7fffffdc,
    0x3ffee02f,0xd102ffff,0x0bfffdff,0x00013a00,0xf3009988,0x3ee00009,
    0x13fbf6a6,0x99999988,0x13e00199,0xd000fc80,0x77ed440b,0x3e02f981,
    0x3e41f205,0xf987dc00,0x7c817e02,0x1fc57a00,0x03ee17e0,0x401fa800,
    0x3f66204f,0x00fb800e,0x400ffee6,0x036c004f,0xffb8809f,0x2004f801,
    0x17cc00fb,0x3ea00000,0x22000fca,0x41ba003f,0x3ee001fc,0x001fd103,
    0x9f102fcc,0x403ec000,0x00ee0bfd,0x40005e80,0xffffffd8,0x001df30c,
    0x21efea80,0x0009d0a9,0x0027c000,0x17a001f9,0x2607fd40,0xc817e02f,
    0x7000f907,0xf80be61f,0x4401f205,0xf807f13f,0x0001fa85,0x09f003ea,
    0x2e017ea0,0x3fd8800f,0x6c004f80,0x44013e06,0x027c00fe,0xf9801f70,
    0x6c000002,0x44007f37,0x03f9003f,0x7c401ba2,0x802fcc05,0x3ec00ef8,
    0x404f8800,0x800005f9,0x3ee0005e,0xfdbaabdf,0x0000ffcf,0x200bbfa6,
    0x0000004e,0x0fc8013e,0x4400bd00,0xf017cc5f,0x7c83e40b,0xf30fb800,
    0xf902fc05,0x7c47ea00,0x7cc2fc03,0x01ee0002,0x2fb8013e,0xb0007dc0,
    0x004f801f,0x009f036c,0x13e01fcc,0x4c00fb80,0x2000002f,0x801ba4f8,
    0x4fa803f8,0x6c027d40,0x04fa800f,0xfa801fe8,0x01fb8002,0x00000fdc,
    0xfd8002f4,0x3ff6200d,0xffb10001,0x00274007,0x3fb62000,0xeeeeeeef,
    0x0defeeee,0x2e002f40,0xf80be61f,0x3e41f205,0xf987dc00,0x7c817e02,
    0x1fc4fb00,0x0fe617e0,0x7c80664c,0x7c004f80,0x0007dc04,0x04f80bf1,
    0x09f036c0,0x27c05e80,0x9801f700,0xffffffff,0xf50001ce,0x8800fdc3,
    0x037c403f,0x3ea01fc8,0x80bf2003,0x17e002fc,0x2e01ba00,0xe800000f,
    0x03fb8005,0x003fff98,0x0067fe44,0xeda813a0,0x3004eeee,0xfffffffd,
    0xffffffff,0x05e803ff,0x0be66e80,0x41f205f8,0x26a8007c,0x817e02f9,
    0x449f007c,0x4427403f,0x07ffb03f,0x013e01b6,0x0fb80bd0,0xf00fe400,
    0x205b8009,0x02f4004f,0x0fb8013e,0x6666fcc0,0x0cffedcc,0x3e237400,
    0x807f1004,0xdf1001fd,0x2001be20,0x04fa80fe,0x30007e40,0x07f3007f,
    0x00bd0000,0xf9805f98,0x7000fd9f,0x20001bff,0x3bbaa04e,0xf8006fee,
    0x003f2004,0x7d4002f4,0x2fc05f31,0x81f20f90,0x02f8800a,0x807b817e,
    0x00fe22f9,0x7c13e013,0x00bd05fd,0x1fc4009f,0x20003ee0,0x4413e04f,
    0x004f8002,0x09f00fe6,0x26007dc0,0x37e4402f,0xfb07f100,0xf700ec00,
    0x83fa8007,0xf88001fc,0x40037c46,0x3f2003f9,0x000fb000,0xd800bd00,
    0x8ffc400f,0x7f5405f8,0x2740001e,0x40037400,0x03f2004f,0x44002f40,
    0x5f80322f,0x83e40e60,0x805002f8,0x5c00c05f,0xd88fe20f,0xf30bd000,
    0x013e0f97,0x0fc8013e,0x40007dc0,0x5c13e06d,0x004f8007,0x4f803fb1,
    0x3003ee00,0x13ea005f,0x7d407dc0,0x5f980002,0x4c3fb000,0x3ea0004f,
    0x40003fa4,0x017e006e,0x00003f88,0x13e002f4,0x7d83ff10,0x005dfd30,
    0x20013a00,0x04f8006e,0x74003f20,0x009f0005,0x7c8002fc,0x00007f10,
    0x3600017e,0x5f31fc46,0x3ee1b600,0x03f81fa8,0xbfb004f8,0x0001f700,
    0xb827c0f9,0x027c000f,0x7c017f4c,0x003ee004,0x7e4005f3,0x3e05e800,
    0x0fe80005,0x74df1000,0xbfc80006,0x2a0002fc,0x02fa801f,0x10007f40,
    0xf3333333,0x3333333b,0x3a203f88,0x220fb81f,0x00003ffd,0x37400274,
    0x66677c00,0xeccccccc,0xf999700f,0x1999999d,0xbf002f40,0x333f2000,
    0x003fcccc,0x8000bf00,0x677c44f8,0xf9002fdc,0x113e2dd0,0x409f005f,
    0x800dfeb9,0xfb8000fb,0x9999df00,0xf8001fd9,0xecccccce,0x9f001fff,
    0x2007dc00,0x3e6002f9,0x9017cc02,0x7e40001f,0x5fd40002,0xb00001fc,
    0xf00009ff,0x400db009,0x1005ffe9,0xffffffff,0xffffffff,0x880fd4ff,
    0x23f501fe,0x0000dffb,0xe8004e80,0xffff8006,0xffffffff,0xfffd00ff,
    0xffffffff,0xf002f407,0x3ff2000b,0x03ffffff,0x3ffffea0,0xffffffff,
    0x42fa801e,0x2ffffff8,0x7c41f700,0x03f31ba4,0xdddddff0,0x4007dfff,
    0xfb8000fb,0xffffff00,0xf8001fff,0xffffffff,0xf800cfff,0x003ee004,
    0x4f8005f3,0xf3007e40,0x13ea0007,0x27fec000,0x1ff50000,0x80f90000,
    0xdf9004f8,0xff885f73,0x2aaaaaa4,0xaaaaefaa,0x0be61aaa,0xfb80bfa2,
    0x0033fee0,0x0009d000,0x09f000dd,0xe8007e40,0x00bd0005,0x7c8002fc,
    0x44007f10,0xefcccccc,0x00cccccc,0x23f887c8,0x1f5002f9,0x41f717d4,
    0xeff801fa,0x04ffeeee,0x8000fb80,0x209f00fb,0x27c000fb,0x5ff97530,
    0x36005e80,0x017cc00f,0x5f805f30,0x88006e80,0x2200006f,0x2200006f,
    0x80005ffe,0x03ee02f9,0x1fd13e20,0xd0016fd4,0x444f800b,0x43e402fe,
    0x0003ffc8,0x3ffffff2,0x06e802ff,0x32004f80,0x00bd000f,0x5f8013e0,
    0x220f9000,0xbf00003f,0x99ee8000,0x3e63f999,0x643f3001,0x1f717cc7,
    0x3ea09f00,0x07dc002f,0x9f03e400,0xf0003ee0,0x17f4c009,0xe8801fb0,
    0x17cc00ff,0x5401f900,0x999999bf,0x4001fc99,0x400001fd,0x3600005e,
    0x0003fb9f,0x017a06e8,0x93e607dc,0x2f4000fd,0xfe89ba00,0x2605e802,
    0x00002ffd,0x001ba000,0x0fc8013e,0x3000bd00,0x02fc005f,0x07a07c80,
    0x002fc000,0xffffff10,0x200087ff,0x3e17e2f8,0x27c01f25,0x4007fd30,
    0x5e8000fb,0x035413e0,0x220027c0,0x80fee05e,0x400feff9,0xdf5002f9,
    0xfffffd80,0x4fffffff,0x100fee00,0x005e8001,0x7ec7f700,0x07dc0001,
    0x6e8017cc,0x0bf13f90,0xa800bd00,0x802fe8bf,0xfea802fc,0x0000002e,
    0x4f8006e8,0x4003f200,0x0fb8005e,0x40017e00,0x0000007c,0x7d4000bf,
    0x3fbaaaab,0xf99fc000,0x01b67c83,0x1fec027c,0x8000fb80,0x0013e03f,
    0x0027c066,0xbfd007dc,0x3dfb7313,0x7cc079f7,0x00efb802,0x2aaab7e2,
    0x7daaaaaa,0xb00bf100,0x005e800b,0x7445f980,0x3e20000f,0x3e007c84,
    0x5f7dd104,0x000bd000,0x5005fdfb,0xffa8009f,0x3326001d,0x006e8000,
    0x3f2004f8,0x000bd000,0x05f800db,0x0000f900,0x80017e00,0x007f106d,
    0x7dd3e015,0x0bd1fa81,0x7f4013e0,0x000fb801,0x09f017cc,0x13e0bd00,
    0x880fe200,0x4ffffffe,0x4c0bffee,0xb99999bf,0x5c01effd,0x0bea000f,
    0x3a003fa0,0x002f4006,0x2603be20,0x3ec0006f,0x5e8013e2,0x001bfea0,
    0x7cc002f4,0x06fb805f,0x033ff200,0x03ffff50,0xf8006e80,0x003f2004,
    0x3ea002f4,0x002fc004,0x000007c8,0x7c000bf0,0x8807f104,0x1f6bd03f,
    0x004fa7c4,0x1be2009f,0x88003ee0,0x013e00fe,0x027c17a0,0x54017cc0,
    0x2ed81acb,0x7ffffcc0,0x002effff,0x0bf000dd,0xdd002fc8,0x0005e800,
    0x9f500fec,0x717d4000,0x07e4003f,0x20005fd0,0xefd8005e,0xd7311bef,
    0x880001bf,0x3fa03ffc,0x74005fff,0x004f8006,0x2f4003f2,0x001ff300,
    0xf90005f8,0x3e000000,0x05f30005,0x7f100fe2,0xd027db60,0x27c013ed,
    0xb807f500,0x0ff6000f,0xbd0009f0,0x2e0013e0,0xf880000f,0xaacf9801,
    0x20009aaa,0xfc8003f9,0x400bf300,0x02f4006e,0x9007f700,0x2fc0005f,
    0x5f8800dd,0x000bff70,0x7fb0017a,0x3fffffaa,0x400002ff,0xfe82ffd9,
    0x74004fff,0x004f8006,0x2f4003f2,0x002fe880,0xf90005f8,0x3e000000,
    0x01f70005,0x7f100fe2,0x80bebf20,0xf003f9fb,0x00fd8009,0x7e4003ee,
    0x8004f805,0x8009f05e,0x500006f9,0x00be600f,0x0007e400,0x77441fcc,
    0x001ba000,0x3e6000bd,0x007fa005,0x1fcc7e40,0x98f7dc00,0x1cdfbdfc,
    0xc8017a00,0xabca983f,0x54000000,0x7ffd45fe,0x0374001f,0xf90027c0,
    0x3017a001,0x20005ff9,0x0f90005f,0x17e00000,0xf1036c00,0x703f8807,
    0x7cc01f9f,0x09f002fc,0x2e05f980,0x3fae200f,0x0009f005,0x4013e0bd,
    0x0000efa8,0x981987e0,0xbd00002f,0x64374000,0x0374001f,0x220017a0,
    0x77c4006f,0xcbf88000,0xff50000f,0x7fecbfff,0x8006a004,0x0000002a,
    0xb884b800,0xcccb880b,0xcccffccc,0x33223ccc,0xc880ccef,0x881ccfec,
    0xccccefcb,0x01effecc,0xdf999970,0x2a079999,0xccccfecc,0x950001cc,
    0x999df999,0x3f326039,0x3f32e1ce,0xccccccce,0xdff503fc,0x403fff00,
    0xcccefccb,0x0ccfc801,0x9999fb95,0x09fffb99,0xccefccb8,0xcccccccc,
    0x332e5fcc,0xccccccef,0x00effecc,0x777dc000,0xbfb9913f,0x00799999,
    0x999bfb93,0x76664c01,0x99dd0ccf,0x99999999,0x65c0df99,0xcccefccc,
    0xbfd9103c,0x665c0599,0x4000bdfe,0x40005fed,0x0001bca8,0x00000000,
    0x00000000,0xfffffd10,0xffffffff,0x3ffee1ff,0xffa83fff,0xf883ffff,
    0xffffffff,0x22002def,0xfffffffe,0xffb06fff,0xffffffff,0x3ff60007,
    0xffffffff,0xfffff504,0x3ffffa27,0xffffffff,0x07ff303f,0x2201ffb0,
    0xfffffffe,0x2fff8803,0xfffffffb,0x8019dfff,0xffffffe8,0xffffffff,
    0xfff15fff,0xffffffff,0x00039dff,0x50ddc400,0xffffffff,0xff700dff,
    0x405fffff,0xfffffffb,0xffffffd2,0xffffffff,0x7ffff40d,0x06ffffff,
    0xbffffff3,0x7fffff40,0x7fd4000f,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000004c0,0x004d4c40,
    0x01353100,0x006a6000,0x000d4c00,0x00880000,0x00013310,0x30026620,
    0x88014401,0x01a80001,0x88033000,0x77775c01,0xeeeb802e,0x3bbb62ee,
    0x3bbb6603,0x1a88000e,0x00a88000,0x40000026,0x77776c00,0xeeed981d,
    0x9803664e,0x3bba000d,0xeeeeeeee,0x3bbae6ee,0xd980deee,0x22deeeee,
    0x02a8001b,0x6c401b30,0x77776d41,0x3bae004e,0x3ae2eeee,0xfe83eeee,
    0xd5000004,0x19ffffff,0x3b2a2075,0x02ffffff,0xffffeb80,0x801b13ef,
    0xefffffea,0x1f775c04,0x1ddddb10,0xffd88176,0x000cefff,0x7ffffec4,
    0x884e80ce,0xa81cfffe,0x0003fffd,0x10003ff7,0x85dfffd7,0x703fffda,
    0x005ddffd,0x25dffdd9,0x204feed8,0x40feeee9,0x3ae3eed8,0x202dffff,
    0xfd8aeed9,0x3fee0eff,0x3baa01df,0xfec985ee,0xeffd80be,0xfee981de,
    0x03be65ff,0xf800ffc4,0xeeeeeeef,0x3ae7feee,0x80deeffe,0xeeffeee9,
    0x5530bf62,0x9804fb83,0x3ff300ff,0xfeeeeea8,0x3fbae005,0x3fb22eef,
    0xfd883eef,0x3600002f,0xdaaaacff,0xff887fff,0xeba9abdf,0xbfd3005f,
    0xdfd95559,0x3f6205f7,0xfecaabce,0x9fdd901e,0x7f776c40,0x3fea09f0,
    0xefdcaabd,0x7bff5002,0x45dfb955,0x67fcc4f8,0x3e60ffba,0x004ffacf,
    0x4001ffb8,0xfcabeff8,0xf79ff31f,0x002f407f,0x04f80bd0,0xdb303ee0,
    0x59dfb19f,0x2605ff95,0xadfecfee,0x77df96fc,0x3baa03ff,0x77fdc7fe,
    0xf980efcb,0x0ef9801f,0xf501ffb8,0x009f003f,0x03740bf6,0x74413e20,
    0xfffffbaf,0xa805fbae,0x5ff301ff,0x8002f400,0x05fd305e,0x00bbfaa0,
    0x8809f900,0x015707fe,0x7cc04fc8,0x7ffd402f,0x403ff882,0x27c02fea,
    0x1fb7f700,0x4c01df90,0x77e403fe,0x54ffa600,0x260ff42f,0xf9037a5f,
    0x00570005,0x3fa206e0,0x3f220ef9,0x2000f902,0x027c03f8,0x77c01f70,
    0x3fd102fe,0x217ffc40,0x7c44fefb,0x362f9005,0x81fcc0df,0x3e601fe8,
    0x07ff200e,0x3e017fdc,0x202fd804,0x3ee002fa,0x3bffa201,0x5ffeb99b,
    0x502ffb80,0x5e8007ff,0xf50bd000,0xff70003f,0x1be0003b,0x0003fcc0,
    0x03ba03fc,0x7417fc40,0x1fd1001f,0xf70027c0,0x09f507df,0xfa80fec0,
    0x3eff6004,0xf9817d47,0x0dd00fca,0x40000000,0xdd00fffa,0x32203ee0,
    0xf803f504,0x803ee004,0x7d401fff,0x20ffe204,0x0fb05ff8,0x0ffa3f20,
    0x81fe8800,0xfd800efa,0x07ff902f,0x0ff201f4,0x6e801ba0,0xb104fc80,
    0x3ffb805f,0x0009ff50,0x17a000bd,0x80001df7,0x4000cffc,0x01b2004f,
    0x6407ee00,0x17dc001f,0xf1000bee,0x70027c09,0x01be203f,0xdf10df10,
    0x1fff8800,0x3ff60374,0x000bea04,0xff800000,0x260bea04,0x81ffa82f,
    0x027c00fb,0x7fc01f70,0x440dd001,0x403ba04f,0xffc800fb,0xe880001f,
    0x003bea1f,0xfb03ffd8,0x3ee0007f,0x003f7004,0x5f8805f5,0x3f206e80,
    0x0bff704f,0x40017a00,0x0037f25e,0x1ffe4400,0x4001fb00,0x1fa80000,
    0x88005f88,0x80037c1f,0x009f00fc,0x1fc807dc,0x642fa800,0x3fa8001f,
    0x3ea017cc,0x002fc01f,0xfd000000,0x9f05f803,0xdb09ffb0,0x5c009f00,
    0x8013e00f,0x07f100fc,0x01f70374,0x0003df90,0x7d4ff440,0xffe88005,
    0x009ffb03,0x22005fa8,0x806e805f,0x1fa801fb,0xf905ffc8,0x2f4000bf,
    0xfd8de800,0xb3000004,0xff3005ff,0x20000139,0xf5099a99,0x0005f303,
    0x4000fe20,0x009f02f9,0x06d807dc,0x0db13e00,0x3ea27c00,0x403fc401,
    0x0000006d,0x1fa33510,0x236c1b60,0x4f86dcf8,0x2e004f80,0x8013e00f,
    0x07f100fb,0x01f70374,0x00001f90,0x00bffd10,0x427ff440,0x3005ffe8,
    0x1f9000df,0x6401fcc0,0xd87f1007,0xdff905ff,0x02f40001,0x4ffeee80,
    0x75400000,0x7ec401ef,0x01bdefff,0xfffffd50,0x703fdfff,0x2a00001f,
    0xccccccdf,0xcccccccc,0x4009f03f,0x009f00fb,0x013e2f40,0x07dc5e80,
    0x66667fc0,0x447ecccc,0x99999999,0x99999999,0xfffd9500,0x9999ffff,
    0x20fd9999,0x7d4fd47c,0x3e00be21,0x803ee004,0x03ee004f,0x0dd01fc4,
    0x3e4007dc,0xff700000,0xff980005,0x4fff883f,0x00077cc0,0x1f9027c4,
    0x2200fb00,0x03fff63f,0x0003fff2,0x3a000bd0,0x00efcaff,0x7fdc0000,
    0x65d4400d,0x101efffd,0x53579ffd,0x903fdb75,0x7dc0000f,0xffffffff,
    0xffffffff,0x5c009f04,0x003f880f,0x03f89f60,0x0f91f600,0x3fffffa0,
    0x227fffff,0xffffffff,0xffffffff,0x67fec47f,0xfffdbaaa,0xffffffff,
    0xbec3f507,0x007ea4f8,0x0fb8013e,0xfb8013e0,0x7407f100,0x2003ee06,
    0x7000007c,0x0005fbbf,0xfd82fff4,0x3fa200ef,0x41f60000,0x1f7004f8,
    0x7445f300,0xffe884ff,0x02f40005,0x3a60ee80,0x4000002f,0x8004ffd8,
    0x7443feb8,0x1fa800bf,0x00000fb8,0x000003f3,0x0fb8013e,0x6c0009f0,
    0xb00027c6,0xf800fb8d,0x55550006,0x55555555,0x44555555,0x037402ff,
    0x7c4fe200,0x007c9f64,0x07dc009f,0x7dc009f0,0x7407f100,0x2003ee06,
    0xb800007c,0x000bf64f,0x7e417ff6,0x0ff4405f,0x20fe6000,0x7f3001fb,
    0xe881f900,0x9ffb04ff,0x002f4000,0x2fe885e8,0xf9100000,0xd800019f,
    0x8007f60f,0x01fa81fa,0x009f1000,0x8013e000,0x00bd00fb,0x017a27c0,
    0x0fd44f80,0x0003fe20,0x3ee00000,0x000fe803,0x21faaf40,0x200bd1fa,
    0x03ee004f,0x3ee004f8,0x7407f100,0x2003ee06,0x6400007c,0x003fd84f,
    0x7dc13ff2,0x02fd805f,0xbf0dd000,0x201fd800,0x3ff604fa,0x009ffb03,
    0x740017a0,0x001fd105,0x0dffb800,0x3f8000a8,0x3f50017e,0x00007f30,
    0x80000374,0x03ee004f,0x4c0007e4,0x0007e43f,0x0be61fcc,0x0005ff30,
    0x0f900000,0x00007fa0,0x53e1b6db,0x00bd004f,0x09f007ec,0xf8807dc0,
    0xfb81ba03,0x0007c800,0xfd813f20,0x03ffb803,0xf9009ff7,0x5003d005,
    0x0017d45f,0xf910fff2,0x2ffd805f,0x0007ff90,0x17a000bd,0x00005f98,
    0x7c03dfd5,0xf15e8005,0x01fc8007,0x060001fd,0x000007f5,0x07ec00bd,
    0xe8005f98,0x002fcc0f,0x02fc07f4,0x00013ff2,0x07ea0000,0x00013fe0,
    0xfb09f3f7,0x3f6005f3,0x07ff4400,0x7dc009f0,0x7407f100,0x2003ee06,
    0xf900007c,0x407fb009,0xff503ffb,0x007f9009,0x97e007f1,0x6fdc006e,
    0xdffeeffe,0x7fe402fe,0x005ff701,0xbd0005e8,0x0001fc80,0x200bbfa6,
    0x1fcc007f,0x3f6200df,0x00bf301f,0x7ec1fd88,0xb0198001,0xffe8801f,
    0x800bf200,0x05f902fc,0xfb817e40,0x1f99f101,0x00001440,0xfb00fe20,
    0x014401ff,0xf503fbf3,0x3ee001fb,0x3fbfe603,0xb8013e00,0x407f100f,
    0x003ee06e,0x360001f2,0x13f2003f,0x7cc0bfea,0x04fb803f,0x2e007f10,
    0x2003f99f,0x3bb2a5fb,0x803fd11c,0xff700ffc,0x002f4003,0x2fc405e8,
    0x1ffec400,0x001dff00,0x17ec1fd1,0x07fbfa60,0xb800dfc8,0x3ff884ff,
    0x209fb300,0x3fe603fb,0x27f400fe,0xd017f620,0x5fd8809f,0x36207740,
    0xf506e88f,0x0008800f,0xffd817ec,0x0ff705ff,0x3fe06ff8,0x4eff4006,
    0xb9efdb98,0x04f80ccf,0x7c403ee0,0xfb81ba03,0x0007c800,0x3333ff6e,
    0xffccc880,0x203ff12d,0xf9802ff8,0xcccccccf,0x003fcccc,0x001fddf1,
    0x3a2002f4,0x206fb805,0x99710ffa,0x99ff9999,0xca879999,0xb01ccefc,
    0xc880399f,0x7c000cff,0x261acffe,0x7c41ffc9,0xfb7511bf,0x199bf55d,
    0x2157ff90,0x02ffeca9,0x426fbf62,0x0dffdba9,0x26277fa0,0xcfb9efdb,
    0x2fbf6203,0x4ffb9889,0x9befd880,0x04ffb988,0xfd32ef98,0xd98efd45,
    0x3e6001ef,0x5fec000f,0x5bd9fb51,0xdfb511bf,0x204fe801,0x74c005fc,
    0x24ffffff,0x9952fffb,0x2a0199df,0x910ccfec,0xfd059df9,0x199f7079,
    0x3fb33326,0x3ccccccc,0x3fffffa0,0xffffa81f,0x403d55ff,0xff5002e9,
    0xffffffff,0x4007ffff,0x00004ffc,0x1ea80000,0x7fcc7a60,0xffffffff,
    0x20efffff,0x3ffffffd,0x407fff30,0x0000dffb,0xffff917b,0x203bffff,
    0xffffffd9,0x3fffea3f,0xffffd302,0x4005dfff,0xfffffffa,0xe9801cff,
    0x24ffffff,0x5401effb,0xefffffff,0x7ffd4001,0x001effff,0x0bbfffe6,
    0x0fffffee,0x00bfee00,0xfffffb10,0x7ffdcf25,0x000003ff,0x2b2ea000,
    0x3fff2001,0xffb02fff,0x3fea5fff,0xffe85fff,0x97ffdc0e,0xfffffffb,
    0x0effffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01efea80,0x654c4000,0x53000abc,0x00001599,0x06af2ea2,0xacba8800,
    0x97500009,0x4c000035,0x0000abca,0x0055e54c,0x801ca880,0x220001ba,
    0x2a20004d,0x2ea200ac,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x000002ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x95000600,0x331015bd,0x33333333,0x33333333,0x00aa9803,
    0x09dddd50,0xfd806aa2,0x3fee1fff,0x00a804ff,0x0e7764c0,0x33333330,
    0x33333333,0x24980133,0x004000c8,0x3203d880,0x5555510c,0x55555555,
    0x33221555,0xcccccccc,0xcccccccc,0x00cccccc,0x000001dc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1b900000,
    0x9805d100,0xaee8801f,0x3ea2fda9,0xffffffff,0xffffffff,0xfff507ff,
    0xfd803dff,0x3f661fff,0xc81effff,0x3ea0ffff,0x7c403fff,0xfff9000e,
    0xffd07fff,0xffffffff,0xffffffff,0x443bea0b,0xffc801ff,0x7fe4003f,
    0xf53ffa81,0xffffffff,0x1fffffff,0x3fffffea,0xffffffff,0xffffffff,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x3a200efa,0x00fd401f,0x226c81c4,0xaaaaaaaa,
    0xaaaaaaaa,0xdfd87daa,0x02ffd989,0xb717fffe,0x0dd73159,0xf88ffff7,
    0x7f401fff,0xdffb805f,0x541ffeaa,0xcccccccc,0xcccccccc,0x0efb81cc,
    0xfb017fcc,0x4c0bfb79,0x220ff70e,0xffff52ff,0xffffffff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe880efa8,0x01fa801f,0x000fcc00,0x3ea3e400,
    0x301fb104,0x4001ffff,0x7ffd42f8,0x00ffff86,0x80feebf6,0x6fc83ff8,
    0x32000000,0x7fd100df,0xefb87fb0,0x00237cc0,0x00000011,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x41df5000,0xf5001fe8,0x07c80003,0xf8f90000,0x213ea00f,
    0x4404fffb,0xf989f099,0x7ffe85ff,0x2fd8fee0,0xf301ff30,0x0000001f,
    0xfb1009fb,0xfa817cc9,0x00efb89e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x23bea000,0x82a81fe8,0x80d441fa,0x001eecb8,0x7c4f9000,0xfe86e804,
    0xffc880ff,0x444fffff,0xffd83fff,0xe88bf306,0x205fa80f,0x000001fe,
    0x32001fcc,0xfd30020f,0x00001bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03fddf50,0x7d4b7ffa,0x05ffda89,0x000bff91,0x5f33e400,0xff88f900,
    0xceff884f,0xf84fba9a,0x5ffc82ff,0xf880ef88,0x407fcc0e,0x26620ff9,
    0x99999999,0x99999999,0x00400020,0x00165440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bfee000,0xfdfffb50,0x005bfffd,0x00003b66,0x80df1f20,
    0x7ffd45f8,0x3e01fd80,0xb81ffd84,0x01fe84ff,0x7ff117ea,0xfff8dfb0,
    0xffffffff,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x5000effe,0x005bfffb,0x0000fe20,0x03fb1f20,0x3ff21fdc,
    0x7cc0bd03,0xa80ffc84,0x017e43ff,0x3fea1fe4,0x41ffebbe,0xaaaaaaa9,
    0xaaaaaaaa,0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea7fa20,0xfff3000e,0x05d80003,0x447c8000,0x3f260bef,0x2e06fe85,
    0x84ffc80f,0x3ff107fb,0xfb0027d4,0xfffffb83,0x0000002f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd100000,0x20077d43,0x00ef9ef8,
    0x0009f100,0xfd30f900,0x81bffdbf,0x3e202ff8,0xfcffecef,0x80b623ff,
    0x2001cc4c,0xddc980c8,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd100000,0x401df503,0x409f51fd,0x3baa0ade,0x39800000,
    0x0b3bb2e0,0xd95002c8,0x0733217b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfe880000,0x203bea01,0x817e43fb,
    0xcffeffc8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9000000,0x887f5003,0x801fd05f,
    0x00000998,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13000c40,0x3b100d98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_45_latin_ext_x[560]={ 0,9,5,3,4,3,4,9,11,5,0,2,5,3,
8,4,4,4,3,3,4,3,5,4,4,5,8,6,0,1,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,1,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,2,1,1,1,1,2,4,0,11,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,9,4,2,3,1,
11,2,6,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,3,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,4,3,4,3,4,3,4,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,2,
1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_45_latin_ext_y[560]={ 33,8,9,6,6,8,12,8,8,8,8,11,27,20,
28,6,8,8,8,8,8,8,8,8,8,8,16,16,11,17,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,6,8,8,42,7,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,15,15,10,16,16,16,16,16,16,8,8,8,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,33,15,7,9,13,10,
8,8,9,9,7,16,20,20,9,5,4,9,8,8,7,16,8,18,32,8,7,16,8,8,8,15,2,2,2,4,
3,1,10,9,2,2,2,3,2,2,2,3,10,4,2,2,2,4,3,14,8,2,2,2,3,2,10,8,7,7,
7,9,9,6,15,15,7,7,7,9,7,7,7,9,8,9,7,7,7,9,9,12,14,7,7,7,9,7,8,9,
5,10,2,7,10,15,2,7,2,7,3,8,2,7,2,8,10,8,5,10,2,7,3,8,10,15,2,7,2,7,
2,7,3,8,9,6,2,2,10,8,4,9,5,10,2,7,10,7,3,16,10,7,2,7,10,8,16,2,1,10,
8,10,8,10,8,10,8,2,7,10,15,2,7,8,9,15,5,10,2,7,2,7,10,15,2,7,10,15,2,7,
2,7,2,7,9,15,2,7,10,10,2,8,10,10,3,9,5,10,2,7,1,6,2,7,10,16,2,7,2,7,
3,2,7,3,8,2,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,15,8,8,8,8,8,8,8,8,8,8,8,8,8,7,15,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,2,7,2,7,2,
7,2,7,1,5,1,2,1,2,1,2,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-1,2,7,2,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_45_latin_ext_w[560]={ 0,6,14,18,16,18,16,6,8,8,15,20,9,18,
7,16,16,16,17,17,16,17,16,16,16,16,7,9,20,21,20,15,16,24,21,20,20,20,20,21,21,16,21,22,
20,24,23,20,19,20,23,18,20,22,24,24,22,21,16,7,15,7,16,25,8,20,22,19,22,19,18,21,21,18,
13,20,18,24,20,20,22,22,19,16,20,21,22,22,21,21,16,9,2,9,18,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,15,19,17,21,
2,20,12,24,13,20,22,18,24,26,12,20,11,11,8,21,18,7,7,10,14,20,24,25,24,15,24,24,24,24,
24,24,24,20,20,20,20,20,16,16,16,16,22,23,20,20,20,20,20,14,22,22,22,22,22,21,19,19,20,20,
20,20,20,20,24,19,19,19,19,19,18,18,18,18,19,20,20,20,20,20,20,20,20,21,21,21,21,21,22,21,
24,20,24,20,25,22,20,19,20,19,20,19,20,19,20,22,22,22,20,19,20,19,20,19,22,19,20,19,21,21,
21,21,21,21,21,21,21,21,21,21,16,18,16,18,16,18,16,18,16,18,24,20,21,15,22,20,19,20,18,20,
18,20,18,20,18,21,18,23,20,23,20,23,20,22,20,18,20,20,20,20,20,20,24,24,23,19,23,19,23,19,
18,16,18,16,18,16,18,16,20,20,20,20,20,20,22,21,22,21,22,21,22,21,22,21,22,22,24,22,21,21,
21,16,16,16,16,16,16,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,18,21,21,21,
21,21,21,21,21,21,21,21,21,21,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,23,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,24,20,16,18,20,
20,22,21,22,21,22,21,22,21,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,24,20,24,24,22,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_45_latin_ext_h[560]={ 0,26,11,30,31,26,22,13,31,31,15,21,12,3,
6,31,26,25,25,26,25,26,26,26,26,26,18,22,21,9,21,25,29,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,29,23,25,23,24,23,23,23,23,23,31,31,31,11,2,7,19,26,19,26,19,25,26,25,26,
34,25,25,18,18,19,26,26,18,19,24,18,17,18,17,25,17,31,31,31,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,26,26,24,17,23,
31,28,4,25,12,17,12,3,25,3,11,24,14,14,7,25,28,6,8,14,12,17,25,25,25,26,31,31,31,29,
30,32,23,31,31,31,31,30,31,31,31,30,23,29,32,32,32,30,31,15,27,32,32,32,31,31,23,26,27,27,
27,25,25,28,19,25,27,27,27,25,26,26,26,24,26,24,27,27,27,25,25,19,21,27,27,27,25,34,33,32,
28,24,31,27,29,24,32,27,32,27,31,26,32,27,31,26,23,26,28,24,31,27,30,26,29,24,31,27,32,34,
32,34,31,33,31,35,31,31,23,25,29,24,28,23,31,26,29,32,30,17,24,34,32,34,30,32,17,31,32,30,
32,23,25,23,25,23,25,31,26,30,25,31,26,25,25,26,29,24,32,27,32,27,23,19,31,26,30,25,31,26,
32,27,32,27,31,25,32,27,32,32,31,26,23,24,31,25,29,24,32,27,33,28,32,27,29,23,31,27,31,34,
30,31,26,30,25,31,26,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,29,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,19,25,25,25,25,25,25,25,25,25,25,25,25,25,27,19,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,31,27,31,26,32,
27,32,27,33,29,33,32,33,32,33,32,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,38,35,31,27,33,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__courier_45_latin_ext_s[560]={ 511,500,342,119,168,194,421,505,457,466,252,
438,318,459,501,294,360,226,208,81,480,277,336,416,433,470,497,502,480,387,1,
149,336,309,244,85,202,223,86,186,326,284,167,237,370,212,260,243,391,468,178,
1,65,189,396,153,373,351,334,379,227,92,357,26,418,39,456,60,391,80,168,
353,229,430,91,339,187,303,282,123,479,1,328,22,146,260,408,237,348,295,391,
475,507,501,427,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,511,449,375,
470,431,348,64,91,446,126,328,449,280,459,251,478,374,405,498,268,409,104,50,
497,498,501,303,370,57,433,408,414,90,115,186,252,94,448,128,372,393,431,273,
155,232,338,262,218,433,1,404,383,322,176,317,237,43,218,173,127,349,485,289,
257,1,22,107,459,165,112,212,65,87,128,170,45,20,1,487,127,450,1,320,
416,395,24,106,191,459,298,276,254,127,69,208,84,25,490,387,66,398,447,362,
480,42,437,100,316,1,350,311,213,42,58,150,61,296,313,197,377,445,41,412,
192,1,143,279,165,24,369,46,47,68,140,20,386,300,22,133,1,332,397,235,
260,138,470,81,187,196,105,25,106,489,452,241,473,492,477,264,456,283,411,302,
249,295,70,321,162,99,342,365,39,424,106,63,211,301,212,301,166,433,157,1,
20,355,137,23,233,473,250,243,40,343,333,22,43,211,236,107,426,1,82,277,
383,150,148,346,69,425,232,353,266,185,457,146,121,48,279,120,494,151,210,177,
276,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,360,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,206,144,317,317,317,317,317,
317,317,317,317,317,317,317,317,289,100,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,67,190,
414,341,480,171,391,267,277,376,323,414,254,436,300,458,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,1,26,121,370,231,489,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317, };
static unsigned short stb__courier_45_latin_ext_t[560]={ 1,169,375,138,73,227,332,254,73,73,375,
332,375,375,347,106,199,254,254,227,254,227,227,199,199,199,254,227,332,375,356,
254,138,332,332,254,332,332,332,254,307,307,307,307,307,307,307,254,307,138,332,
281,332,307,332,332,332,332,332,73,73,73,375,37,375,356,227,356,227,356,281,
227,281,227,1,281,281,356,356,356,227,254,356,356,307,356,356,356,356,281,356,
73,73,1,375,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,1,227,227,
281,356,307,73,169,375,281,375,356,375,375,281,375,375,281,307,375,375,281,169,
273,322,332,375,356,281,254,254,227,106,106,106,138,138,40,332,106,106,106,106,
138,106,73,73,138,307,169,40,40,40,138,73,375,199,40,40,40,106,73,332,
227,199,199,199,254,254,169,356,254,199,199,199,254,227,227,199,307,199,307,199,
169,169,254,254,356,332,199,199,199,254,1,1,40,169,281,73,199,138,281,40,
169,40,169,73,227,73,169,106,227,332,227,169,307,73,169,138,199,138,307,73,
169,40,1,40,1,106,1,106,1,106,106,332,254,138,307,169,332,106,199,138,
40,138,356,307,1,40,1,138,40,356,106,40,106,40,307,254,307,254,307,254,
106,227,138,254,106,227,254,254,227,138,307,40,199,40,169,307,356,73,227,138,
281,73,227,40,169,40,169,73,281,40,169,73,73,106,227,332,281,106,281,138,
281,40,199,1,169,40,199,138,332,73,169,73,1,138,73,227,106,281,73,227,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,138,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,356,281,281,281,281,281,
281,281,281,281,281,281,281,281,169,356,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,73,199,
106,199,1,169,1,169,1,138,1,1,1,1,1,1,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,1,1,73,169,1,138,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281, };
static unsigned short stb__courier_45_latin_ext_a[560]={ 381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_45_latin_ext(stb_fontchar font[STB_FONT_courier_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_45_latin_ext_s[i] + stb__courier_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_45_latin_ext_t[i] + stb__courier_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_45_latin_ext_x[i];
            font[i].y0 = stb__courier_45_latin_ext_y[i];
            font[i].x1 = stb__courier_45_latin_ext_x[i] + stb__courier_45_latin_ext_w[i];
            font[i].y1 = stb__courier_45_latin_ext_y[i] + stb__courier_45_latin_ext_h[i];
            font[i].advance_int = (stb__courier_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_45_latin_ext_s[i] + stb__courier_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_45_latin_ext_t[i] + stb__courier_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_45_latin_ext_x[i] + stb__courier_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_45_latin_ext_y[i] + stb__courier_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_45_latin_ext_LINE_SPACING
#endif

