// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT        445
#define STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_48_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_48_latin_ext_LINE_SPACING          23

static unsigned int stb__courier_48_latin_ext_pixels[]={
    0x00088000,0x00000000,0x000000c0,0x00000000,0x000a2000,0x4cccc000,
    0x99999999,0x09999999,0x00f4c000,0x00774c00,0x00000000,0x00000000,
    0x99998800,0x00199999,0x00000008,0x00000000,0x00000000,0xb3000000,
    0x0000ee00,0x40000ae2,0x276406ea,0x2ffffffc,0x027d4000,0x00354000,
    0x017e4000,0x00136200,0x0007aa00,0x01fe6000,0xf801b900,0xffffffff,
    0xffffffff,0x2a0002ff,0xa80001ff,0x13a001ff,0x000017cc,0x20002744,
    0x400003f8,0xfffffffa,0x2007ffff,0x0000007b,0x40003e98,0x000002e9,
    0x0000013a,0xfa8005d8,0x0037c403,0x0bfb7f60,0x80ff7000,0xeeff85fe,
    0x5c0004ee,0x400001ff,0x000003f9,0x00037f62,0x00efff98,0x7fff9000,
    0x7d400000,0xfd10002f,0x677c03ff,0xefdccccc,0xfdcccccc,0x3ff70002,
    0x3fea0000,0x83bea001,0x00000dfb,0x0000ffcc,0x000027e4,0x2aaaaaaa,
    0x2000aaaa,0x000000fc,0x000bfe60,0x0007ff10,0x0017f600,0x09fd1000,
    0x401ff100,0x2a0004fd,0x0001ae0e,0x5fe80ff7,0x400005f8,0x00000efc,
    0x000006d8,0x00017fa2,0x5ff75ff7,0x6ff44000,0x0000dfe9,0x000ffdc0,
    0xffabffa8,0x7c40bf03,0x000be604,0x00003bf2,0x4001ffa8,0x04fdafe9,
    0x0efa8000,0x17ee0000,0x00000000,0x00003f20,0x00ffd400,0x04fe8800,
    0x1dfb0000,0xfd300000,0x77e40009,0x1dfb510b,0x7c1ec000,0x1fee0001,
    0x0bf0bfd0,0x37f62000,0xf8800000,0x9800000c,0x220003fe,0x3fe60efd,
    0x3ffa8004,0x0000ffe4,0x0000efc8,0x7f443ff9,0xf102fc0d,0x0017cc09,
    0x0001bfb1,0x400cc980,0x3ff620a8,0x51000d42,0x01445fb8,0x1df50a20,
    0x05400144,0xf9000540,0x90000001,0x800003df,0x0000dfd8,0x001efc80,
    0x00bfe600,0x3bfff200,0x0001efff,0x000fc1ec,0xcb809930,0x80005f82,
    0x00004fe8,0x001ffee0,0x005ff300,0xb104fe80,0x7fd400bf,0x005ff502,
    0x000dfd80,0x3201dfb0,0xf102fc6f,0x0017cc09,0x000009f7,0x70dfb000,
    0x800ffa81,0x10ee3ff8,0x3e2007ff,0xf886cc3f,0x3fee003f,0x801bf200,
    0x000000fc,0x000077ec,0x001df900,0x03ff5000,0x03ff5000,0x76e4c000,
    0x500002ce,0x00035c1d,0x02fc0000,0x001fcc00,0x3fff2000,0x3aa00000,
    0x16c40001,0xb5002dc0,0x002d8801,0x20002640,0x7c5a804b,0x9813e205,
    0x0062002f,0x6c000000,0x3ff7006f,0x807ff100,0xf1004ff8,0x4ff8807f,
    0x803fee00,0x3f2007fd,0x26000000,0x0000005f,0x000009f7,0x20001be6,
    0x000001ef,0xfd800000,0x00002fed,0x005f8000,0x00000200,0x0007db10,
    0x00000200,0x00000000,0x00000000,0x205f8000,0x0be604f8,0x03d80000,
    0x01710000,0x53000d40,0x8002e600,0x01730029,0x5c401a80,0x3ffff201,
    0xffffffff,0x30003fff,0x98000000,0x22000000,0x00180000,0x00000000,
    0x00015c40,0x0bf00000,0x5dfb3000,0x00000000,0x7dfb3000,0x00000001,
    0x00000000,0x00000000,0x13e204f8,0x26002f98,0xf901acdb,0x00000007,
    0x00000000,0x00000000,0x3b200000,0xeeeeffee,0x02eeeeee,0x00000000,
    0x00000000,0x00000000,0x00037510,0x00000000,0x005f8000,0x754dfcc0,
    0x00000003,0x22fe6000,0x000004ea,0x2ea20000,0x00000001,0x37000000,
    0x32027c40,0xffffc800,0x3ea1efff,0x7ffffec5,0x47ffffff,0x09999998,
    0x26666660,0x4ccccc41,0x26666009,0x4ccc4199,0x26600999,0x4c419999,
    0x20099999,0x01999999,0x100003f2,0x01333333,0x0ccccccc,0x26666662,
    0x26666600,0xb7310019,0x10000379,0x00379b73,0x7ffffdc0,0x3ffee2df,
    0x2666623f,0x26660099,0x7fec1999,0x7e46ffff,0x0fffffff,0x4c8000bf,
    0x200003cc,0x00001ba8,0x003e6264,0x0bfffff9,0xefffffb8,0x3fffee00,
    0x3fee2dff,0xffff93ff,0xfffb80bf,0x3ff60eff,0xffffffff,0x4f88007f,
    0x6ff44000,0x9ff9511b,0xeed81ff3,0xeeeeeeee,0x3fffe27f,0xfe82ffff,
    0x14ffffff,0xffffffff,0xfffffd05,0x3ffe29ff,0xe82fffff,0x4fffffff,
    0xfffffff1,0xffffd05f,0x3f209fff,0x3fe20000,0x82ffffff,0xfffffffe,
    0xffffff14,0xfffd05ff,0x4409ffff,0xfffffffd,0xfd88001d,0x1dffffff,
    0x33bfa200,0x74ffca9a,0x3e25dddf,0x2fffffff,0xffffffe8,0x3bbbb24f,
    0x7775c6fe,0xbf0ffeee,0xf81f8000,0xffb80001,0x2e2dffff,0xf803ffff,
    0x75c02e81,0x5405eeff,0x80dffeee,0xa9acefe8,0xddf74ffc,0x3bffae5d,
    0x7775405e,0x3bb60dff,0xeeeeeeee,0x4f88007f,0x0ffea000,0x03fffd30,
    0x65c7d800,0x80bcccfe,0xbcfeccc9,0x333fb2e1,0xccc980bc,0x32e1bcfe,
    0x80bcccfe,0xbcfeccc9,0x333fb2e1,0xccc980bc,0xf901bcfe,0xecb80001,
    0x980bcccf,0x1bcfeccc,0x3333fb2e,0xeccc980b,0xfd301bcf,0x3f2e237b,
    0x3fa6004f,0xff9711bd,0x09ff1009,0x0fde7ec4,0xcccfecb8,0xeccc980b,
    0x6e801bcf,0x2fc3f200,0xf3136000,0xefe88000,0x4ffca9ac,0x005dddf7,
    0x20079899,0x3f90007e,0x8813fe20,0x201fbcfd,0x3f90007e,0x007d8000,
    0x10004f88,0x7f4005ff,0x07d80005,0xf90001f9,0x0007e401,0x1f9007e4,
    0x401f9000,0xfc8000fc,0x0007e400,0x8000fc80,0x03f200fc,0xb803f200,
    0x7f4c02ff,0x02ffb804,0x36027f4c,0xfff7002f,0x000fc803,0x3a000fc8,
    0x7c3f2006,0x5fcc0005,0x20004ea8,0x36204ff8,0x4001fbcf,0x04ea9cf8,
    0x1000fea0,0x017ec0df,0x201fffb8,0x7c4003fa,0x07d80006,0x0004f880,
    0x7e4005f9,0x6c0000ff,0x0001f907,0x07e401f9,0x9007e400,0x1f90001f,
    0x40007e40,0x07e400fc,0x00fc8000,0x3200fc80,0x0fc8000f,0x2003ff30,
    0x3e603fe8,0x7fd1001f,0xb0013ea0,0x0fc803ff,0x000fc800,0x0fc801ba,
    0xb50000bf,0xd80007df,0xfff7002f,0xdf930003,0x00fd0005,0x9f502fb8,
    0x01ffd800,0x3ee003f4,0x07d80002,0x8004f880,0x3ea005f9,0x40005f9e,
    0x001f907d,0x7e401f90,0x00fc8000,0x320003f2,0x003f200f,0xf9003f20,
    0x3f200001,0x00fc8000,0x320003f2,0x001fd00f,0xfd00fe88,0x0fe88001,
    0x44000fe8,0x07e401ff,0x0007e400,0x87e400dd,0x0200005f,0x013ea000,
    0x0003ffb0,0x0fea0000,0xfd037c40,0x1ff88001,0x8801fd40,0xfb00006f,
    0x009f1000,0x22003fd0,0x003fb0ff,0x0fc83ec0,0x200fc800,0xfc8000fc,
    0x0003f200,0x0fc803f2,0x400fc800,0x900000fc,0x1f90001f,0x40007e40,
    0x04fa80fc,0xf50bf700,0x17ee0009,0x7f40017e,0x0007e401,0xdd0007e4,
    0x5f87e400,0x99999800,0x20001999,0x7c4000fe,0x0000001f,0x7dc01ba0,
    0x40017e02,0x06e801fe,0x00005f70,0x3e2001f6,0x02fc4004,0x27cc3fd0,
    0x320fb000,0x0fc8000f,0x20003f20,0x03f200fc,0xc803f200,0x0fc8000f,
    0x00007e40,0xc8000fc8,0x003f200f,0x3fe03f20,0x03fa0000,0x740001ff,
    0x000fe60f,0x3f200fe4,0x00fc8000,0xfc801ba0,0xfc800bf0,0xffffffff,
    0x00bf0002,0x10007fa0,0x00135755,0xdf007f50,0x8001fcc0,0x3fa801fc,
    0x00006f80,0x3e2001f6,0x017cc004,0x06e83fc8,0x7e41f600,0x00fc8000,
    0x320003f2,0x003f200f,0xfc803f20,0x00fc8000,0x800007e4,0xfc8000fc,
    0x0003f200,0x07f303f2,0x263fa800,0x7d40003f,0x4000bea3,0x07e401fb,
    0x0007e400,0x87e400dd,0x65cc005f,0x5fdfeccc,0x003f9800,0x95003f90,
    0xfffffffd,0x80dd0007,0x0bea02fb,0x800fdc00,0x017dc06e,0x000fb000,
    0xfb8009f1,0xb05fb801,0x83ec000f,0xfc8000fc,0x0003f200,0x0fc803f2,
    0x200fc800,0xfc8000fc,0x0007e400,0x8000fc80,0x03f200fc,0xf703f200,
    0x5f880003,0x100007ee,0x001fccbf,0x7e401fc8,0x00fc8000,0xfc801ba0,
    0x20000bf0,0x8001f97e,0xf70002fa,0xceffd803,0xefeba9aa,0x80fea000,
    0x01fcc06f,0x5001fc80,0x0037c07f,0x2001f600,0x7e4004f8,0x8077cc00,
    0xfb0000fc,0x20003f20,0x03f200fc,0xc803f200,0x0fc8000f,0x20003f20,
    0x07e400fc,0x00fc8000,0x3200fc80,0x0fc8000f,0x400007e4,0x0003f27f,
    0x00bf1fe0,0xf9007fa0,0x01f90001,0xf9003740,0x200017e1,0x007f34f9,
    0x90003f98,0x00ba803f,0x74005fb8,0xf005f706,0x07fa000b,0x5f706e80,
    0x07d80000,0x4004f880,0x0ffc407d,0x20003f70,0x001f907d,0x7e401f90,
    0x00fc8000,0x320003f2,0x003f200f,0xf9003f20,0x3f200003,0x00fc8000,
    0x320003f2,0x0003ec0f,0x001f67d8,0x03fa3ec0,0x803ff100,0xfc8000fc,
    0x801ba000,0x000bf0fc,0x03743f70,0xe8002fc0,0x7400001f,0x0bea000f,
    0x07f401be,0x007fe200,0x06f82fa8,0x007d8000,0x6c004f88,0x2017ec07,
    0xfb0001fb,0x20003f20,0x03f200fc,0xc803f200,0x0fc8000f,0x20003f20,
    0x27d400fc,0x00fc8000,0x3200fc80,0x0fc8000f,0xc800037c,0x0000df0f,
    0x04fa83f2,0x200ffec0,0xfc8000fc,0x801ba000,0x000bf0fc,0x01fb8dd0,
    0x20007f40,0x00001ff8,0x3a0017dc,0xa8017dc6,0x7fec004f,0x2e374001,
    0xd800002f,0x04f88007,0xfc807e40,0x000fc804,0x03f20fb0,0xc803f200,
    0x0fc8000f,0x20003f20,0x03f200fc,0x1003f200,0xf93001ff,0x0001f903,
    0x07e401f9,0x3a07e400,0x1f900006,0x640001ba,0x8017ec0f,0x6401fffb,
    0x0fc8000f,0xc801ba00,0x8000bf0f,0x027c43f9,0xb0013ea0,0x800003ff,
    0x7dc003f9,0xfb001ba2,0x3ffee005,0xd17dc001,0x3600000d,0x7776d407,
    0x4eeeeffe,0x3ea07ee0,0x000fd005,0x00fc83ec,0x3200fc80,0x0fc8000f,
    0x20003f20,0x03f200fc,0x2003f200,0x9889bffa,0x80effeca,0xfc8000fc,
    0x0003f200,0x00fb03f2,0x07d9fa00,0xf10fd000,0xbdfc809f,0x007e401f,
    0xd0007e40,0xf87e400d,0x07e40005,0x360007ec,0xfff7002f,0xf9800003,
    0xf56e8003,0x4ff88007,0x0fdefe40,0x3fab7400,0x0fb00000,0xffffffc8,
    0x00efffff,0x0ef885f5,0x4000bf00,0x001f907d,0x7e401f90,0x00fc8000,
    0x320003f2,0x003f200f,0x54003f20,0xfffffffe,0x03f201df,0xc803f200,
    0x0fc8000f,0x400007e4,0x0003f27f,0x7f441fe0,0xfeca9ace,0xfc803f74,
    0x00fc8000,0xfc801ba0,0xf8000bf0,0x8005f505,0x7e404ff8,0x93001fbd,
    0x9dffffdd,0xf70007f9,0x22000fd5,0xca9acefe,0x003f74fe,0x00fd5f70,
    0x003ec000,0x4bf10000,0xf3001fe8,0x83ec0009,0xfc8000fc,0x0003f200,
    0x0fc803f2,0x200fc800,0xfc8000fc,0x665d4000,0x1f90009b,0x401f9000,
    0xfc8000fc,0x0000fdc0,0x01fb97e2,0x202fc400,0xeffffffb,0xf9007ee2,
    0x81f90001,0xfeeeeed9,0x1deeeeef,0x005f87e4,0x6f80bea0,0xcefe8800,
    0x74feca9a,0xffd9803f,0xfeeeceef,0xfd0003ff,0xfb80007f,0x22efffff,
    0xfd0001fb,0x4000007f,0x0000007d,0x03fd8fe4,0x80007f60,0x001f707d,
    0x0fb80fb0,0x5c07d800,0x07d8000f,0x6c0007dc,0x80000007,0x7d8000fb,
    0x40007dc0,0x003f987d,0x7f317dc0,0x02fb8000,0x2e037530,0x007dc01f,
    0x7fd43ec0,0xffffffff,0x7e42ffff,0x6c000bf0,0x003f200f,0x7ffffdc0,
    0x807ee2ef,0x4401dff9,0xf70003fb,0x54c0000f,0x003f701b,0x0001fee0,
    0x5000fb00,0xf880019b,0x2a004fbd,0x3ec0004f,0xf8002f98,0x0017cc06,
    0x0be6037c,0xf301be00,0x00df0005,0x00019b50,0xdf0005f3,0x8002f980,
    0x001fd06f,0x3fa07f40,0x03fa0000,0x01fb8000,0x7c0017cc,0x64000006,
    0x2000bf0f,0x1fcc05f8,0x06ea6000,0xff880fdc,0x00fe6001,0x0001fd40,
    0x007ee000,0x0001fd40,0x1001f600,0x90007fff,0xfe800dff,0x03ec0000,
    0x5fa8007f,0x54003f80,0x003f805f,0x1fc02fd4,0x0017ea00,0x0007fff1,
    0xbf5000fe,0xa8007f00,0x009f505f,0x3ea17ee0,0x0bf70004,0x01fc8000,
    0x7d4003f8,0x6c000005,0x5c0017e7,0x006e801f,0x01fb8000,0xf98003f9,
    0x00fd0003,0x3f900000,0x001fa000,0x001f6000,0x0007fff1,0x22005ff3,
    0xe80003fe,0x8003f605,0x0fd802fc,0x200bf200,0x3f2000fd,0x000fd802,
    0xf1000bf2,0x360007ff,0x0bf2000f,0xc8003f60,0x007f602f,0x3601ff10,
    0x7fc4001f,0x3ec00000,0x2000fd80,0x000002fc,0x555df2f4,0x00fd0035,
    0x000007ee,0x1ba03f90,0x000fe600,0x00000fea,0x4001f600,0x000003fa,
    0xc98006e8,0x7f44000f,0x7f4c04ff,0x3f980004,0x5c017ea0,0x0bf5005f,
    0x54017ee0,0x0bf7005f,0x5c017ea0,0xf930005f,0x17ea0001,0xa802fdc0,
    0x0bf7005f,0x1001ff98,0x7fcc07fd,0x07fd1001,0x05f98000,0x2e00bf50,
    0x4000005f,0x3fffe3f9,0x7fcc07ff,0xeeeeeeee,0x00005fee,0x0df03ec0,
    0x0007fb00,0x000001fd,0x0005f980,0x000001fd,0xb0004f98,0x17fb000b,
    0x73157dfd,0x00005ffb,0xbf7007fa,0x007fdc01,0x5c01bf70,0x3ee000ff,
    0x03fee00d,0x200dfb80,0x20000ffb,0x7dc0005d,0x03fee00d,0x200dfb80,
    0xfa800ffb,0x27fcc03f,0x201ffd40,0x00004ff9,0x70017fc4,0x7fdc01bf,
    0x6c000000,0x2aaaaa1f,0x7ffe401a,0xffffffff,0x00000fff,0x7ec0bf30,
    0x7ffd3001,0x003fa800,0x7fc40000,0x03fa8002,0x1fe80000,0x001fb800,
    0x3fee2fdc,0x01efffff,0x03fe9800,0x3137ff70,0x0003ffb7,0x73137ff7,
    0x70003ffb,0xb73137ff,0xf70003ff,0xfb73137f,0x7dc0003f,0xffb80001,
    0xffdb989b,0xbffb8001,0x1ffdb989,0x2fbfa200,0x3ffdb98a,0x2fbfa200,
    0x3ffdb98a,0x3aa20000,0xffb8003f,0xffdb989b,0x26000001,0xf00003fe,
    0x02fa800b,0x2ff88000,0x2e017ee0,0x4003fdff,0x000000fe,0x007fd510,
    0x00003fa0,0x003fe980,0xf88007d0,0x3797300e,0x7776c001,0x02fffeee,
    0x7ffff5c0,0x20000dff,0xffffffeb,0x3ae0000d,0x0dffffff,0x3ffae000,
    0x000dffff,0x00001f40,0xffffffd7,0x75c0001b,0x0dffffff,0xffff9000,
    0x0003bfff,0x3ffffff2,0xda8001df,0xfffeeeee,0x3fae0003,0x00dfffff,
    0xeeeeb800,0x0002fffe,0xf0005f50,0x5440000d,0xefd803fe,0xfedb989a,
    0x3deef99e,0xfdddddb5,0x0003bddf,0xeeeeeda8,0x6d403fff,0xeffeeeee,
    0x76c001de,0xfffeeeee,0x40000003,0x000000c8,0xffffffd1,0x4400037b,
    0x0000abca,0x02af2a20,0xbca88000,0x2200000a,0x0000abca,0x44000000,
    0x0000abca,0x02af2a20,0x665cc000,0x7300000a,0x40001599,0xeffffffc,
    0x5100000c,0x00001579,0x6fffffec,0x3600001b,0x0fc8000f,0x3bbb6a00,
    0x003fffee,0x3fffffee,0x3ffe63ff,0xfffff95f,0x03ffffff,0xffffc800,
    0xc800ceff,0xffffffff,0x22001fff,0xeffffffe,0x0000001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bf10000,0x8013e600,0xeffffffc,
    0xba88000c,0x00000abc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fa80000,0x001ba000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb8000fb,0x00000001,0x00005500,0x51000000,
    0x00000000,0x0002a000,0x00080020,0x00110018,0x40001980,0x00014402,
    0x2001ec40,0x0000003a,0x00000028,0x800c0000,0x00180008,0x00800011,
    0x00000000,0x6c000c40,0x0000ffff,0x82d88000,0xffdb304c,0xd9809ddd,
    0x04eefeee,0x00006c80,0x00005fc8,0x80000eb8,0x00005ff9,0x000003ae,
    0x0001ffd8,0xfb100f7c,0x027dc001,0xa80013ee,0xfd0002ff,0x002ffc0d,
    0x005ff300,0x00005fc8,0x01dfb100,0x003e8800,0x037ea000,0x54005fa8,
    0x02fd405f,0x02efd980,0x003ae000,0x09ff3000,0x0ffeec80,0x44000000,
    0x827e42fe,0xfffffffa,0x7fffdc06,0x6c006fff,0x6c00005f,0x400000df,
    0x40000efc,0x00efdffb,0x01ffa800,0x6ff4c000,0x2e0003ff,0x4fe982ff,
    0x077ec400,0x800077ec,0x004feefc,0xf880fff8,0xf500007f,0x3f60005f,
    0x2000000d,0x01ffdfe9,0x0027f400,0x03dfb000,0xb0003ff9,0x3df901df,
    0x537f3000,0x2a00007d,0x700001ff,0x001bfdff,0x00001f90,0x21ff4400,
    0x000005fc,0xfe880000,0x3a200005,0xd800005f,0x220000df,0x5ff70efd,
    0x5ff50000,0x3fea0000,0x001bfd13,0xfb93fe60,0x3f20002f,0x00bfd31f,
    0x2237fa20,0x2a000efd,0x00bae03e,0x007fee00,0x001df900,0x25ff7000,
    0x20003ffa,0x00005fe8,0x744bfee0,0x2e0000df,0x1bfd12ff,0xf3132000,
    0x7fd40000,0x3f620002,0x003ff90e,0x00000fc8,0xf913f600,0x0000000b,
    0x09fd3000,0x27f4c000,0x3fa20000,0x7f4c0005,0x004fe984,0x003ff980,
    0x640f7e40,0xb10001ef,0x003dfbdf,0xff9ff500,0x3fea0007,0x002ffb83,
    0xc8000000,0x700000ef,0x400003ff,0x7f440efd,0x3f60000d,0x3000000e,
    0x009ffbfd,0x3f7fa600,0x0fc0003f,0x300000fc,0xd30007ff,0x07ff509f,
    0x00007e40,0x5c4fd800,0x000000ef,0xf30001b2,0x4400005f,0x400002ff,
    0x80004fe9,0x3f6202fd,0xfe880002,0x1bf30004,0x00037d40,0x00017fee,
    0x003dfd10,0xf300ffc0,0x0000001f,0x0077cc00,0x03fea000,0x017ee000,
    0xc80009f9,0x000000ef,0x0005ffb1,0x01ffd880,0x3cc4d800,0x7f440000,
    0x01ff4004,0x32003fd1,0x8000000f,0x077c44fa,0xfe880000,0x0ff40005,
    0x00dc0000,0x017ec000,0x30008800,0x7ec40000,0x20030001,0x39800008,
    0x02e00000,0x10015000,0x00000005,0x00000300,0x8800024c,0x00013001,
    0x00009f70,0x00000b80,0x400002e0,0x04ea8bf9,0x3fb10000,0x28004c00,
    0x0003f200,0x02814000,0x3fa20000,0x00880004,0x44015000,0x00880002,
    0x00000000,0x00006000,0x0a800000,0x00000a20,0x00000000,0x00000000,
    0x00a80000,0x000000a2,0x01100000,0x00000000,0x80000000,0x0003efda,
    0x00001800,0x01f90000,0x00002ae6,0x20000000,0x00003ff9,0x37f40000,
    0x0000bff0,0x26200000,0x0001bcdb,0x33100000,0x4c013333,0x40199999,
    0x17fe06fe,0xcdb98800,0x54c0001b,0x2041bcdc,0x05fffffc,0x77ffffdc,
    0xcdca8800,0x7400809b,0x017fe06f,0xbcdca880,0x00000809,0x26662000,
    0x26600999,0x10019999,0x01379b95,0x00020001,0x40000000,0x09acdcca,
    0xb83f2004,0xcefffffe,0x26666201,0x26660099,0x50001999,0x440005ff,
    0x99999999,0x40199999,0xff880fff,0x99998807,0x99999999,0x80199999,
    0xffffffd8,0x998801df,0x99999999,0x19999999,0x7fffffc4,0xfffe82ff,
    0x3e04ffff,0x7ff880ff,0xfffd8800,0x001dffff,0x7ffffec4,0x5c7f2eff,
    0x405eeffe,0x0dffeeea,0x3ffff220,0xf70dffff,0x880fff80,0xc88007ff,
    0xffffffff,0x9980f70d,0x01999999,0xfffff100,0xffd05fff,0x409fffff,
    0xffffffc8,0x80f70dff,0x99999999,0x26620001,0x99999999,0x64401999,
    0xffffffff,0xfc80f73f,0x5379ffb0,0xf103ffb9,0x5fffffff,0xffffffd0,
    0x3ff0009f,0x7ffc4000,0xffffffff,0x2a04ffff,0x00bae03e,0xfffffff1,
    0xffffffff,0x4c03ffff,0x9711bdfe,0x7fc409ff,0xffffffff,0xffffffff,
    0x67f65c1f,0xcc980bcc,0x201bcfec,0x0bae03ea,0x37bfd300,0x013ff2e2,
    0x884effd4,0x84fdffb9,0x3f90007e,0xaceff980,0x95ffb530,0x01f5401f,
    0xf98005d7,0xb530acef,0x201f95ff,0xfffffffc,0x970002ff,0x017999fd,
    0x79fd9993,0x33bfe603,0x5ffb530a,0x3ff201f9,0x2fffffff,0xffff8800,
    0xffffffff,0xfd304fff,0x36e637bf,0x200feeff,0x404fe9fc,0xecb81ffa,
    0x980bcccf,0x1bcfeccc,0x00009800,0xccccccb8,0xbcccccef,0x20000001,
    0xcccfecca,0xcccccccc,0xff701fec,0x04fe9805,0x333fb32a,0xcccccccc,
    0xf901fecc,0x01f90001,0x5c000000,0x7f4c02ff,0x00ffc404,0x2a13ff62,
    0x37c4003f,0x200bfea0,0x000fffe9,0xffa80000,0xfffe9802,0x99997300,
    0x000bfbfd,0xc8000fc8,0x0bfea00f,0x03fffa60,0x766665cc,0x70005fdf,
    0xdf999999,0x03799999,0x2a007ff3,0x3f200fff,0xfd1002ff,0x0003f203,
    0x000003f2,0x4f880000,0x00000000,0xfb8007c8,0x001ff981,0xf9007fd1,
    0x203f7000,0xfc8000fc,0x00000000,0x22003ff3,0x0bf603fe,0xfd04fe80,
    0x202fb800,0x74001ff8,0x000000ff,0x000ffc40,0xd0003ffa,0x80003f2f,
    0xfc8000fc,0x003ff100,0x4000ffe8,0x0001f97e,0x10027c40,0xf98005ff,
    0x13ff200f,0x320df300,0x0fc8000f,0x33333300,0x00000333,0x000009f1,
    0x00f90000,0x1fd03f70,0x00fe8800,0x7dc003e4,0x0001f901,0x000001f9,
    0x0003fa00,0x17e01fd1,0x2a09f500,0x0df1003f,0x88003fd8,0x000000ff,
    0x4001fec0,0x26000ff8,0x0007f34f,0x640007e4,0x007fb00f,0x4001ff10,
    0x007f34f9,0x0027c400,0x360009fb,0x01bf200f,0x7e407dc0,0x00fc8000,
    0xffffffc8,0x00002fff,0x000027c4,0x03e40000,0x3ea0fdc0,0x0bf70004,
    0xfb8007c8,0x0001f901,0x000001f9,0x0009f500,0x0fe217ee,0x7409f100,
    0x405f7006,0x360006f8,0x0000000f,0xd8001be2,0x87ee000f,0x3f20006e,
    0x80fc8000,0x360006f8,0x87ee000f,0x2200006e,0x0df3004f,0x32035400,
    0x7f10004f,0x90001f90,0x9973001f,0x0bfbfd99,0x04f88000,0x01ffffb0,
    0x17ffffd4,0x5c003e40,0x0007fc1f,0x3e401fd0,0xc80fdc00,0x0fc8000f,
    0x00ffffd8,0x0bffffea,0xd00007fc,0x004f881f,0x0fea00a8,0x3f701be0,
    0x362d4000,0x2a00ffff,0x702fffff,0x2d40003f,0x3f71ba00,0x003f2000,
    0x3ee03f20,0x016a0001,0x01fb8dd0,0x009f1000,0x00000bf2,0x40005f90,
    0x000fc85f,0x20000fc8,0x0001f97e,0xc8027c40,0x2a00ffee,0x802feeee,
    0x4698007c,0x540003f9,0x001f203f,0x00fc81a6,0xec80fc80,0x3aa00ffe,
    0xf982feee,0x1fd40003,0x8000037c,0x017dc06e,0x200001b6,0x200ffeec,
    0x02feeeea,0x000000db,0x27c43f98,0x000fc800,0x06d80fc8,0x7cc00000,
    0x00027c43,0xff004f88,0xc8000001,0x1fa0001f,0x320003f2,0x9f30000f,
    0x80000fe6,0xfc8004f8,0x00bea000,0x002981f2,0x880003f7,0x981f205f,
    0x00fc8002,0x6400fc80,0x0bea000f,0x100007ee,0x007f90bf,0x407f5000,
    0x005f806f,0x007e4000,0x17e05f50,0xf9000000,0x0001fb01,0xf90001f9,
    0x0000bf01,0xd80fc800,0xf880000f,0x006f8804,0x02fc8000,0x3f217e00,
    0x00fc8000,0x3743f700,0x09f10000,0x4001f900,0x07c802fa,0x07e401f2,
    0x903fc000,0x4003e40f,0xfc8000fc,0x0007e400,0x01f905f5,0x3a0ff000,
    0x400000cf,0x805f706e,0x000003f9,0xf50007e4,0x0007f305,0x505f8000,
    0x1f90005f,0x981f9000,0x0000003f,0x02fa82fc,0x804f8800,0x000004f9,
    0x10004fc8,0x001f909f,0x20001f90,0x000fdc6e,0x8004f880,0x3ea000fc,
    0x3607c802,0x000fb007,0x07c81f60,0x3f2001f6,0x00fc8000,0xf50007e4,
    0x0000fb05,0x7fe441f6,0x40001ace,0x806f82fa,0x000002fa,0xf50007e4,
    0x0005f505,0x017d4000,0x1f9000df,0xa81f9000,0x0000002f,0x06f80bea,
    0x804f8800,0x000002fa,0x70006fc8,0x001f905f,0x30001f90,0x004f887f,
    0x0009f100,0x7d4001f9,0xaaafc802,0xf007eaaa,0x3f20000d,0x5555f900,
    0x9000fd55,0x1f90001f,0x2000fc80,0x006f82fa,0x4401f900,0xbeffffdb,
    0x5c6e8001,0x02fa802f,0x07e40000,0xf505f500,0x40000005,0x03f200fd,
    0x0001f900,0x02fa81f9,0x3f600000,0x0003f200,0xf5009f10,0x90000005,
    0xf88007ff,0x0001f906,0xf90001f9,0x0001fb01,0x90009f10,0x17d4001f,
    0x7ffffe40,0xdd007fff,0x03f20000,0x7fffffe4,0xfc8007ff,0x00fc8000,
    0xf50007e4,0x0000dd05,0xb98003f2,0x4004ffed,0x401ba2fb,0x000002fa,
    0xf50007e4,0x0005f505,0x017e2000,0xfc8007f3,0x40fc8000,0x000002fa,
    0xf980bf10,0x27c40003,0x00017d40,0x0fffe400,0x3203fd00,0x0fc8000f,
    0xf505f800,0x9f100005,0x001f9000,0x7e4017d4,0x7eaaaaaa,0x0000fb00,
    0xaafc81fa,0x007eaaaa,0xc8000fc8,0x007e400f,0x0fb05f50,0x001fa000,
    0x001bfb10,0x003fab74,0x000005f5,0x2a000fc8,0x002fa82f,0x03f70000,
    0xfc800dd0,0x40fc8000,0x000002fa,0xdd003f70,0x04f88000,0xda802fa8,
    0xdeeeeeee,0x9fd3f902,0x204fe980,0xfc8000fc,0x017d4000,0xf10000df,
    0x01f90009,0x64017d40,0x6401f607,0x7f80000f,0x07d81f20,0x8000fc80,
    0x07e400fc,0xf905f500,0x0ff00001,0x017ee000,0x007eafb8,0x000013e6,
    0x54001f90,0x004f982f,0x00fd0000,0xfc8007ee,0x40fc8000,0x000004f9,
    0x3ee00fd0,0x13e20001,0x2e00fe20,0xffffffff,0xb11f905f,0xb75359df,
    0x0fc807ff,0x000fc800,0x1f9007ec,0x04f88000,0x2000fc80,0x07c802fa,
    0x0fdc01f2,0x817e2000,0x001f207c,0x320003f2,0x007e400f,0x3f705f50,
    0x05f88000,0x001f6000,0x44007ffd,0x4000005f,0x3ea000fc,0x0005f882,
    0xeeff9800,0xeeeeeeee,0x03f2005f,0xf103f200,0x3000000b,0xddddddff,
    0x00bfdddd,0xf8027c40,0x07e40005,0x7f5c1f90,0x00dfffff,0xc8000fc8,
    0x17e2000f,0x80007f30,0xfc8004f8,0x00bea000,0x001881f2,0xb80007f3,
    0x881f202f,0x00fb8001,0xfc807d80,0x20bea000,0x5c0003f9,0x2a00002f,
    0x1fee002f,0x0001fa00,0x4001f900,0x00fd02fa,0xfff90000,0xffffffff,
    0x2e001fff,0x07d8000f,0x000000fd,0xfffffff9,0x1fffffff,0x013e2000,
    0x32000374,0x203f200f,0x4001ab98,0x7d8000fb,0x400fdc00,0x7c40006e,
    0x00fc8004,0x3200bea0,0xe8d50007,0x3fa0000f,0x4001f200,0x005f306a,
    0x1f900df0,0xe817d400,0x3fa0000f,0x980017c0,0x0fea003f,0x000bee00,
    0x000fc800,0x17dc0bea,0x17e00000,0x2005f500,0x6f8002f9,0x00005f70,
    0x54005f80,0x9f10002f,0x0003f200,0x3f200fc8,0xf9800000,0x006f8002,
    0x1fb803f4,0x013e2000,0xa8003f20,0x007c802f,0x27d41f90,0x405fb800,
    0x1f90007c,0xf5000fe0,0x001f900b,0x4fa817d4,0x88bf7000,0x5f50005f,
    0x0003f400,0x440001fd,0x4001f900,0x03fa02fa,0xf5008800,0x00df0005,
    0x3ea001fc,0x0003fa05,0x05f50088,0x2000df00,0xbf5004f8,0x007e4000,
    0x000001f9,0xbf5000fe,0x777fcc00,0xeeeeeeee,0x3e20005f,0x01fb8004,
    0x9005fb10,0x03f2000f,0xf88003fb,0x003e400f,0x1fb00fc8,0x4017e400,
    0xfb1001fb,0x000fec05,0xff103fe2,0x01f90001,0x8000fea0,0xf50005fa,
    0x4007ee09,0x3ea02fd8,0x09f50005,0x320003f6,0x01fb000f,0xf5017e40,
    0x13ea000b,0x640007ec,0x4f88000f,0x000bf200,0x1f9007e4,0x3f600000,
    0x00bf2000,0xffffffc8,0xffffffff,0x09f10000,0x3009f500,0xf9005ffd,
    0x303f2000,0x3a2003ff,0x007c803f,0x3ea01f90,0x00bf7005,0x3a6013ea,
    0x3fe602ff,0x07fd1001,0xa800bff1,0x03fa006f,0x01bf9000,0xa807fe40,
    0xffe9804f,0x006fe402,0xf101ff90,0x13e6000b,0xb802fd40,0x0dfc805f,
    0x203ff200,0xf30005f8,0x09f10009,0x0017f440,0x1f9007e4,0x3ea00000,
    0x00bf7005,0x7d4005f8,0x09f10002,0x401ff100,0x802fdffb,0x1f90007c,
    0x9807ff50,0x0f9004ff,0xb803f200,0x3fee00df,0x01ff1000,0x017effdc,
    0xf300ffea,0x3ffe209f,0x0ffb800d,0x0007f500,0x2007bf20,0x3e200efd,
    0x37fee00f,0x1efc802f,0x500efd80,0x3740005f,0x401bf700,0xf9000ffb,
    0x1dfb003d,0x8000bea0,0x4f88006e,0x06ffcc00,0x200fd980,0x000000fc,
    0xfb8037ee,0x0bea000f,0x4001be00,0xf50004f8,0xffb7339f,0x07ddf53d,
    0xfc8003e4,0x57dfd100,0x07ffb731,0xc8003e40,0x5ffdc00f,0x1ffdb989,
    0x4e7fd400,0xa9effdb9,0x3a203eef,0xdb98abef,0x33e203ff,0x889acffb,
    0x001ffeb9,0x800003fa,0x989bdffc,0x5004ffdb,0xfb7339ff,0x7ddf53df,
    0x9bdffc80,0x04ffdb98,0x2e0003ec,0x3fee001f,0xffdb989b,0x6ffe4001,
    0xffdb989b,0x0003ec04,0xf10007ee,0xff910009,0x2e663579,0x3200dffe,
    0x4000000f,0xb989bffb,0x6c001ffd,0x0fc8000f,0x3bbbbb20,0xeeeeeffe,
    0x7ffdc01d,0x3ea3ffff,0x7f7645ff,0xeeeeeeef,0xffeeeeee,0x7fffe400,
    0xc801dfff,0xeeeeffee,0xeeeeeeee,0xeb800ffe,0x0dffffff,0xffff7000,
    0x7fd47fff,0xfffc805f,0x801dffff,0xffffd12e,0x5019ffff,0xffdddddb,
    0x00003bdd,0xffffffb3,0xfb8005df,0x23ffffff,0x9805fffa,0xfffffffd,
    0xffdb302e,0xd9809ddd,0x04eefeee,0xfffffd70,0x260001bf,0xfffffffd,
    0xffdb302e,0xd9809ddd,0x44eefeee,0xfeeeeeec,0x1deeeeef,0x7ffff540,
    0x00cfffff,0xdddffdd7,0x800003bd,0xffffffeb,0x2fc4000d,0x104f9800,
    0xfffffffd,0x7fffffff,0x15997300,0xffffd000,0xffffffff,0x1fffffff,
    0x2b32e600,0x3fffa000,0xffffffff,0xffffffff,0x2f2a2000,0xb980000a,
    0x00000acc,0x005665cc,0x332e6200,0x3ff2009a,0xffffffff,0x2200001f,
    0x0009bcb9,0x02b32e60,0x97310000,0xffa80137,0x406fffff,0xfffffffb,
    0x5e544006,0x3100000a,0xa8013797,0x6fffffff,0x7ffffdc0,0x3ffa26ff,
    0xffffffff,0x2003ffff,0x01abcca9,0xffffffd8,0x00002fff,0x01579510,
    0x000bea00,0x000006e8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ec00000,0x207ee000,
    0xbbbbbba8,0xbbbbbbbb,0xbbbbbbbb,0x222221bb,0x88888888,0x88888888,
    0x00000888,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xeeeffed9,0x7776cc04,0x3fea4eef,0xffffffff,
    0xffffffff,0x6fffffff,0xfffffff3,0xffffffff,0xffffffff,0x000000df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0x06ffffff,0x7fffffdc,0x4ccccc6f,0x99999999,0x99999999,
    0x97109999,0x99999999,0x99999999,0x05999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44006000,0x06600000,0x41e98000,
    0x006003d8,0x2a000044,0x0c0000bd,0x20001880,0x000003ed,0x500007b1,
    0x0004001b,0x00000000,0x00000a80,0x0600f620,0x00000440,0x002002e4,
    0x44006000,0x00000000,0x00000540,0x00020011,0xa8001300,0x06000000,
    0x81740080,0x07d801fa,0x07ff5000,0x41ff3000,0xf5002fe8,0x000db003,
    0x001fffc4,0xf9005f30,0x027fc000,0x1ff4c000,0x03fee000,0x26027d40,
    0x7f54005e,0x8000100c,0x00001efc,0x5403fe88,0x17ea00df,0x5fd88000,
    0x3013e600,0x1bf500dd,0x8002fd40,0x6400002f,0x900001ef,0x03fb809f,
    0x03ff7000,0x00003740,0x2600ef88,0x413e207e,0x37cc06f9,0x777e4000,
    0x3e20005f,0x0027ec2f,0x5fa80bf3,0x3ffe6000,0x1be20005,0x4000df30,
    0x400004ff,0x40002ffa,0x22000efc,0xffb80dfe,0xddff1001,0x3f6217ff,
    0xefe88001,0x200003ff,0xfb003ff9,0x03ff903d,0x13fa2000,0x01dfb100,
    0x36005ff5,0x1ffc81ef,0x004f8800,0xffdfd100,0xfd100007,0x0efd881b,
    0x77ec4000,0x5f7003ff,0x3f200000,0x02ffb82f,0x3fe813e2,0x0007fd10,
    0x6c46ff44,0x744001ef,0x0027ec2f,0xfe881ff4,0x7ff40002,0x27f40001,
    0x0003fe88,0x800013fe,0x40001ffb,0x90000dfd,0x0f7ec3ff,0x7547fb00,
    0x004ffdff,0xfd33ffa8,0xff50000b,0x2ffb8005,0x0001bfd1,0x000ffe60,
    0x3f22ffb8,0x7fdc001e,0x001bfb12,0x00013e20,0x7f4cffea,0xdf900005,
    0x0013fa63,0x7453fe60,0x37c400df,0xff500000,0x200f7ec7,0x3fe204f8,
    0x5ffebadf,0x0ffea000,0x4400bfee,0x027ec2fe,0xadfff980,0x0004ffeb,
    0x10000130,0xfb77bfff,0xcc8000bf,0xdf900002,0x7f440003,0xffa80005,
    0x88005fec,0x07dff700,0x883ff900,0x70000efd,0x260003ff,0x004ffdfe,
    0x00bfea00,0x3b3fe600,0xd30000df,0x0009ffbf,0x8b3bf6e2,0x07ff2000,
    0x0001dfb1,0x5ff9ff50,0x5ff70000,0xc803df90,0x2000002f,0x0dfedfe8,
    0x4404f880,0x2ffffffc,0x00ffc000,0xf9001fd3,0x0005f987,0x7ffffec4,
    0x0000002e,0xfff91000,0x00007fff,0xef980000,0x27ec0000,0xffd10000,
    0x04000007,0x00dfa800,0x220017ee,0x440000ef,0x00002ffd,0x00000ffc,
    0x0007ffd1,0x005ffb10,0x3ffffee0,0x804ebfff,0x3ee00dfa,0xfd100005,
    0xf300003d,0x037d401d,0x00001be2,0x800fff20,0x531004f8,0x26000035,
    0x10028800,0x80000a03,0x0001aa98,0x10000000,0x00003553,0x00c00000,
    0x00019800,0x00003900,0x01400000,0x03000198,0x000b8000,0x00009800,
    0x00003900,0xfb0000b8,0x7fe5445d,0x2005005f,0x1c000019,0x400a0000,
    0x01fc8018,0x01a80000,0x00027c40,0x00000000,0x00000000,0x54400000,
    0x0000001b,0x00000000,0x00000000,0x88000000,0x00999999,0x06666666,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa017ee,0x00000005,
    0x00000000,0x5f880000,0x00000000,0x95009f10,0x081359b9,0x26666200,
    0x99999999,0x9b731001,0x4cc40037,0x26009999,0x40199999,0xdffffffb,
    0x0ffffee2,0x2f36e620,0x00000001,0x5e6e54c0,0xffe88041,0x0004ffff,
    0x0de6e54c,0xfffff102,0xffd05fff,0x4c9fffff,0x98009999,0x4c409999,
    0x99999999,0x98819999,0x99999999,0x98019999,0x99999999,0x99999999,
    0x99999881,0x99999999,0x99999981,0x99999999,0x7c099999,0x88bf1006,
    0x00999999,0x4cccccc4,0x4ccccc00,0x40001999,0x20099999,0x20099999,
    0x330001fd,0x26600133,0x3e219999,0xffff9104,0x2e7fffff,0xffff1007,
    0xffffffff,0x7ec40bff,0x1dffffff,0x7ffffc40,0xffe82fff,0x884fffff,
    0xca9acefe,0xdddf74ff,0x7ffec405,0x001dffff,0xffffffd1,0x3f620009,
    0x2effffff,0xdddb107f,0x20009fdd,0xffffffd8,0xcb87f2ef,0x80bcccfe,
    0xbcfeccc9,0xffffffd1,0xfffffc80,0x3ffffa1f,0xffffffff,0x3ffe20ff,
    0xffffffff,0x3e04ffff,0xffffffff,0xffffffff,0x7fff41ff,0xffffffff,
    0x7ffc0fff,0xffffffff,0xffffffff,0xb8013e62,0x3ffffe21,0xff103fff,
    0x07ffffff,0x3ffffff2,0xb0002fff,0x07ffffff,0x7ffffffb,0x20013e60,
    0x00ffffff,0x7fffffec,0xd309f15f,0x2e637bff,0x00feeffd,0x99999970,
    0x39999dfb,0x46f7fa60,0x404ffcb8,0xbcccfecb,0xfeccc980,0x27fc41bc,
    0x3f79fb10,0x37bfd300,0x013ff2e2,0x3bbbbb62,0xffa8004f,0xff73109d,
    0x7c4009fb,0xdffa8004,0xbff73109,0x003f209f,0xd9303f20,0xb98059bf,
    0x7f43cffc,0xcccccccc,0x5c0feccc,0xefcccccc,0x01bccccc,0x337f732a,
    0xcccccdfd,0x7f41fecc,0xcccccccc,0x7c0feccc,0xdcccccce,0xccccccef,
    0x00bea2fd,0x99bfb700,0x66540179,0x300befcc,0xbfd99997,0x326000bf,
    0x980bccfe,0x00bdfdcc,0x950003f6,0x9809ffd9,0x1cdfeccc,0x3ff989f1,
    0x01fff500,0x007f3000,0xd300bfee,0x01f9009f,0x3601f900,0xfff7002f,
    0x02ffb803,0x80027f4c,0x7c4004f8,0x7fec401f,0x013e2004,0x8803ff10,
    0x1f904ffd,0x201f9000,0x7dc006f8,0x4400fd03,0x9f1000ff,0x23f50000,
    0x0fe403f9,0xff8801fa,0x9f102fc0,0x9f117cc0,0x05f50000,0x0009f000,
    0x0007e5fa,0xfa800f90,0x004fa802,0x007fbf20,0x1fc41fb8,0x98005ff1,
    0x980000ff,0x1ff9803f,0x807fd100,0xfc8000fc,0x4004fa80,0x3e601ffd,
    0x7fd1001f,0x009f1000,0x3a002fd8,0x13e2004f,0x4005fb00,0x01f904fe,
    0x5c01f900,0x0df1004f,0x3fb003f4,0x0027c400,0x07f33ec0,0x03f41fc8,
    0x0bf03fb0,0x5f3027c4,0x40002fe8,0x440003f9,0x4f98003f,0x640007f3,
    0x017d4007,0x90000fe8,0x5c00df5f,0x3f60b81f,0x01fb0004,0x007f3000,
    0xe88001fd,0x003f200f,0x3fa03f20,0x0ffc4000,0x88001fd0,0x7c4000fe,
    0x002fc004,0xf88013ea,0x002fc004,0x07e413ea,0x2007e400,0x1fd801fd,
    0x7dc01fa0,0x027c4004,0x7f32fc00,0x3f41fc80,0xbf04fb80,0xf3027c40,
    0x0adff985,0x004f8800,0x4001fcc0,0x001ba1fb,0x7d4007c8,0x007f5002,
    0x0fee3f20,0x2600fdc0,0x1aa0006f,0x01fcc000,0x5c0013ea,0x003f205f,
    0x17e03f20,0xa80ff400,0xbf70004f,0x004f8800,0xf1000fe2,0x027c4009,
    0x88007f10,0x001f904f,0xf8801f90,0x2027dc06,0x06f9807e,0x0004f880,
    0x07f31fcc,0x03f41fc8,0x0bf037cc,0x5f3027c4,0x9dfff910,0x817e0015,
    0x5f500eec,0xfb8dd000,0x00f90001,0x3a002fa8,0x21f90007,0x1fb800fe,
    0x00017e40,0x3f980000,0x00007fc0,0x03f201fd,0xf303f200,0x07f20007,
    0xd00007fc,0x27c4001f,0x0009f100,0x27c40015,0x0009f100,0x003f2015,
    0x2e003f20,0x00df103f,0x03fd00fb,0x0009f100,0x0fe61fb8,0x07d81f70,
    0x17e01fe8,0x3e604f88,0x3fb2a202,0x37403eff,0x2e05fff0,0x1fcc001f,
    0x640013e2,0x017d4007,0x90007f70,0x2013ea1f,0x07fc01fb,0x80000000,
    0x0fe603f9,0x207f5000,0xfc8000fc,0x80017d40,0x03f981fb,0x001fd400,
    0x6f8009f1,0xf8800000,0x0037c004,0x0003f200,0x7f4003f2,0xa801fd81,
    0x001fe403,0x40004f88,0x201fcc7d,0x6403a828,0x1027c03f,0x017cc09f,
    0x0bfd9510,0xfcfa83ec,0x8001f904,0x00fd80fc,0x54007c80,0x037c002f,
    0x3fb07e40,0x2201fb80,0x0000006f,0xb80fe600,0x7c40001f,0x0001f905,
    0x03f981f9,0xf703f900,0x5f880003,0x0013e200,0x000007f9,0x64004f88,
    0x3200003f,0x0fc8000f,0xfa8df100,0xbf500004,0x027c4000,0xf98bf100,
    0x40000ec3,0x01b805fa,0x019013e2,0xc837e400,0x0fd3f907,0x17e001f6,
    0x640017d4,0x017d4007,0x9000bee0,0x2037c41f,0x13e601fb,0x80000000,
    0x03f203f9,0x641fe000,0x0fc8000f,0xfd0005f8,0x0001f903,0x7c400ff0,
    0x0cfe8004,0x9f100000,0x019fd000,0x001f9000,0x5c001f90,0x001df13f,
    0x001ff100,0x00027c40,0x23f985f5,0x440003f8,0x880000ff,0x8000004f,
    0x80fb80fc,0xdb03f97e,0x202fa800,0x07c8006f,0x20017d40,0x7e4006f8,
    0xf7017e40,0x00bea103,0x98000000,0x001f603f,0x0fc83ec0,0xe80fc800,
    0x7fc4000f,0x00007d81,0x27c400fb,0x77fe4400,0x100001ac,0xf910009f,
    0x000359df,0xf90001f9,0xc9fe8001,0xfb00002f,0x4f880005,0x303f2000,
    0x09f7559f,0x002fd800,0x0009f100,0x507f3000,0xf34f883f,0xd800bd07,
    0x003f200f,0x55557f90,0xf9555555,0x03f90005,0x3e207e40,0x883f700f,
    0x0002fabf,0x3e600000,0x0001be03,0x07e407e4,0x5407e400,0x7fec004f,
    0x00006f81,0x3e2001f9,0x36e20004,0x01beffff,0x0009f100,0x7fffedc4,
    0x0fc801be,0x000fc800,0x0027f7cc,0x0004fb80,0x20004f88,0xffff986e,
    0x2e0004ff,0x2200004f,0x0054004f,0x3ea13e20,0x0bf17dc2,0x2fc400bf,
    0x9000fe60,0xffffffff,0x05ffffff,0x400bf100,0x04fa80fc,0xacf883f7,
    0x0000002f,0xe80fe600,0x1f900006,0x90001f90,0x00bf601f,0x740fffdc,
    0x1f900006,0x0013e200,0xffedb980,0x04f88004,0x3b6e6000,0x07e404ff,
    0x0007e400,0x00007fdc,0x800037c4,0xf10004f8,0x5337f309,0x3e20009f,
    0x7c400006,0x00fe6004,0x7f307f50,0x83f60fd8,0x3ee004f8,0x4006e801,
    0x999999fc,0x2fb99999,0x003fb000,0x07f403f2,0x33e20fdc,0xeda802fa,
    0x2deeeeee,0x7f300091,0x80003ec0,0x001f907e,0x3e201f90,0x5efe404f,
    0x0007d81f,0x7c400fd0,0x22000004,0x22000dfd,0x2000004f,0xf900dfd8,
    0x01f90001,0x0009f100,0x00007fa0,0xb80027c4,0x223f982f,0x3fd0003f,
    0x4f880000,0x001be600,0x89f103fb,0xf317d46f,0x803f4007,0x1f2001fb,
    0x0005f500,0x7e4017e6,0xf70bf300,0x3f8cf883,0xfffffb80,0x3f75ffff,
    0x203f9800,0xf80000fc,0x0001f907,0x7f4401f9,0xfeca9ace,0x1f903f74,
    0x00ff0000,0x000027c4,0x1002fdc0,0x0000009f,0x03f20bf7,0x0003f200,
    0x200013e2,0x200003fc,0xfb0004f8,0x7fdddddd,0xfc8000b8,0xf8800003,
    0x37fe6004,0x027ec400,0x221fccbf,0x400bea4f,0xeeeeeff9,0x05feeeee,
    0xf5001f20,0x07ec0005,0xf9007e40,0x7c41fb85,0xc8000bf4,0x0007ee0f,
    0x0fdc07f3,0x417e2000,0xfc8000fc,0xffffb800,0x07ee2eff,0x100007ee,
    0x27c400bf,0x7d800000,0x0013e200,0xb83ec000,0x07d8000f,0x0009f100,
    0x6a805f98,0x0009f100,0x3bbbbbfe,0x980003fe,0x006a805f,0xf30027c4,
    0x22339ffd,0x7405ffb9,0x9ba07f26,0xff9001fb,0xffffffff,0x2001ffff,
    0x17d4007c,0x009f3000,0x37c401f9,0x29f107ee,0x7e40006e,0x30007ee0,
    0x01fcc07f,0x5c0bee00,0x07d8000f,0xb80dd4c0,0x003f981f,0x3b217dc0,
    0xffeeeeee,0x1deeeeee,0x05f50000,0x00013e20,0x4c17d400,0x06f8002f,
    0x0009f100,0x64007f44,0x04f8800f,0xf303f980,0xfe880007,0x000fc800,
    0xf88013e2,0xfffffe9a,0x7d802fff,0xb8fe41fa,0x00bf000f,0xf9002fa8,
    0x002fa800,0x32007f40,0x71fdc00f,0xf94f883f,0x07e40001,0xfb8003f7,
    0x0007f402,0x3e601fd0,0x006f8002,0xd01fb800,0x7f40001f,0x7fffff40,
    0xffffffff,0x00be2fff,0x8801fcc0,0x00be004f,0x3f81fcc0,0x002fd400,
    0x20004f88,0x1f9002fd,0x0009f100,0x0fe601f7,0x17ec16a0,0x2000fc80,
    0x204004f8,0x01befca8,0x82fc5f20,0x200f93f9,0x6f8002fa,0xa800f900,
    0x7d40002f,0x4007e403,0x883f70fe,0x000bf54f,0x03f707e4,0x5400fd80,
    0xbf70004f,0x54003f80,0xc800005f,0x009f501f,0xf0017ee0,0x17e2003b,
    0x8017d400,0xbf1004f8,0x40bea000,0x3f2000fd,0x09f10002,0x8017ea00,
    0x4f8800fc,0x2606e800,0xa87c803f,0x03f2005f,0x0004f880,0x70009f10,
    0x7c05f51f,0x3f600fb5,0x00fc8000,0x7d4007c8,0x0fe80002,0x26003f20,
    0xf883f75f,0x4000bf24,0x007ee0fc,0x3f600ff0,0x07fc4001,0xc8003f60,
    0xd800002f,0x000fec07,0xa8003fe2,0x3fe2000f,0x00fc8000,0x22009f10,
    0xfc8000ff,0x200bf500,0x220005fb,0xef88004f,0x003f2000,0xf10013e2,
    0x401fcc09,0x0077c47c,0x44001f90,0xf100004f,0x93f50009,0x6ebec01f,
    0x0005f880,0x0f9009f3,0x0002fa80,0x3f203fb8,0xf73f9000,0x3a24f883,
    0x0fc8002f,0x64003bee,0x3ff3003f,0x00ffa200,0x7dc017ea,0xf9800005,
    0x00ffcc05,0x4003fe88,0x7fc4004d,0x037d4005,0x22009f10,0x7d4005ff,
    0x006fdc06,0x40001ff7,0xfd8004f8,0x007e4001,0x2a0027c4,0x00fe602f,
    0x003fb1f2,0x22000fc8,0xf100004f,0xf5f30009,0x5fafb80d,0x0002fa80,
    0x01f201ba,0x00005f50,0x00fc81be,0x83f7df10,0x6ffcc4f8,0x81fb3000,
    0x7e402ffb,0x1ffd4005,0x8013fe60,0x3ee00dfb,0x4400000f,0xffa802ff,
    0x027fcc03,0x100435c0,0x7001bfff,0x7c4001ff,0xbfff1004,0x01ff7001,
    0x3137ff70,0x0003ffb7,0x5c004f88,0x0fc8004f,0x4004f880,0x0fe600fc,
    0x04fb9f20,0x2000fc80,0x100004f8,0xbf10009f,0xfdf8809f,0x0007d804,
    0x1f200fdc,0x0005f500,0x7e40bee0,0x3ffee000,0x6441fc41,0x331abcff,
    0x301bffd7,0x93137dfd,0x10001bfd,0x73157dfd,0x70007ffb,0xb73137ff,
    0x400003ff,0x2003fea8,0x98abefe8,0x0003ffdb,0x0bf97bf1,0x67fde7c4,
    0xfeb9889a,0x27c4001f,0xffbcf880,0xeb9889ac,0x3ae001ff,0x0dffffff,
    0x7776d400,0x4eeeeffe,0x3bbbbf20,0xeeeeeeee,0x3bb20ffe,0xeeffeeee,
    0xdb31deee,0x76cc9dff,0xeeeeeefe,0x3f27feee,0xeeeeeeee,0x0ffeeeee,
    0xfddddb50,0x009ddddf,0x10007f10,0xfd005fff,0x3fb6607f,0x4c04eeef,
    0x4eefeeed,0x3bbffb6a,0xfeeda81d,0x20000dee,0x7f7646f8,0x7401deee,
    0x540181ff,0xfffffffe,0x64400cff,0x3fffffff,0xfffc8000,0x001dffff,
    0x3ffffae0,0xa8000dff,0xffeeeeed,0xff90003f,0x03bfffff,0xceec9800,
    0xfe897400,0xcfffffff,0xddddd900,0xddddffdd,0x89743bdd,0xfffffffe,
    0x510000cf,0x20001579,0xfffffffb,0x900effff,0xffffffff,0xffffffff,
    0x3ffffa21,0xffffffff,0xffff53ff,0x7fffdcdf,0xffffffff,0x3fff27ff,
    0xffffffff,0x900fffff,0xffffffff,0x0001dfff,0x3fe0003d,0x05ff9007,
    0x3fffffea,0x7ffdc06f,0x3ee6ffff,0x82ffffff,0xfffffffc,0x21440001,
    0xfffffffe,0x00ffcc02,0x2f32a600,0x9730001a,0x80000157,0x000accb9,
    0x2af2a200,0x3ff20000,0x00ceffff,0xaccb9800,0x00000000,0x5665cc40,
    0x7fff4009,0xffffffff,0x402fffff,0x09accb98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30008800,
    0x00088000,0x00300003,0x000cc000,0x005c8000,0x003aa000,0x007fffec,
    0x07100000,0x40060000,0x7ff44008,0x0004ffff,0x00000a80,0x0030002a,
    0x40030022,0xb9000000,0x10018000,0xb8000001,0x00b50002,0x80003000,
    0x0bb202eb,0xc80bb200,0x1530001e,0x40174000,0x3f6202fe,0x0bfa0001,
    0x0001fd88,0x00003ffa,0x00dffd88,0xbfb10000,0x3ee00000,0xddd9000f,
    0x0000001f,0x0003bfa6,0xd801fa80,0x7776c406,0x00004fee,0x0000ffec,
    0x4007ff62,0x06d801fa,0xe9803be2,0x74400007,0x3ea0004f,0x0006d801,
    0x0013e600,0x00003fee,0x8000ffe8,0xff307ff8,0x6ff9800d,0x800bff50,
    0x40cfffea,0x09f100c8,0xd309ff30,0xf980009f,0x04fe984f,0x13ffea00,
    0x6ffdc000,0x00003ffd,0x00027f44,0x000efc80,0x00001f90,0xff9ff700,
    0x3e600005,0x002fd405,0x00004f88,0x07ffbfd3,0x3f7fa600,0x05f9803f,
    0x3ee02fd4,0x02ffa82f,0x13fa6000,0x80bf3000,0x000005fa,0xf90003f6,
    0x5400001d,0xd0004fff,0x13fe20bf,0x20bff100,0x26004ff9,0xbffeacff,
    0xf101ffa8,0x37fa2009,0x0005ff70,0x5437fa20,0x4c0003ff,0x40002fff,
    0x3a61efea,0x980002ef,0x800003ff,0x0000dfd8,0x000003f2,0x3e63dfb0,
    0xfd00004f,0x00bfa207,0x00027c40,0xfe89ffd4,0x3fea000d,0x801bfd13,
    0x5fd103fe,0x649ff300,0x200001ef,0x00003ff9,0x3fa207fd,0xf3000002,
    0x0dfd800b,0x7fcc0000,0x0510002f,0x51000288,0x5c001880,0x7fffd40c,
    0x013e202f,0x3dfbff90,0xff900000,0x00003dfb,0x10000fae,0x7fdc07ff,
    0x3fea0001,0xe8800002,0xfc80004f,0xd1000000,0xefd881bf,0x7fcc0000,
    0x4ffebadf,0x013e2000,0x903df900,0xdf9003df,0x403df903,0xebadfff9,
    0x3a2004ff,0x000dfedf,0x00bfea00,0xdfff9800,0x004ffeba,0x007f6000,
    0x0002ff44,0x0007d700,0x00000000,0xb8800000,0x27c400bc,0x06ffd400,
    0xff500000,0x0000001b,0x2002a000,0x7fc00028,0xf9000001,0x3f200007,
    0xf9000000,0x003fc807,0xffffd880,0x440002ef,0x3e60004f,0x01bea00d,
    0x7dc01bf5,0x7ffec406,0x90002eff,0x000007ff,0x000003df,0xffffffb1,
    0x44000005,0x0ff6005f,0x00000000,0x00000000,0x00000000,0x80027c40,
    0x00000038,0x00000071,0x00000000,0x00004c00,0x00003100,0x000007e4,
    0x00100088,0x1aa98800,0x09f10000,0x11001800,0x02200300,0x00d54c40,
    0x0000d400,0x00000980,0x00d54c40,0x17e40000,0x00003300,0x88000000,
    0x001bcdb9,0x26666662,0x26666600,0xb7310019,0x3e200379,0x00000004,
    0x80000000,0x09acdcca,0x3fffa204,0x00000007,0x00000000,0x0007e400,
    0x00000000,0x00000000,0x000009f1,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0001be20,0xca880000,0x00809bcd,0x7ffffec4,0x7c401dff,
    0x2fffffff,0xffffffe8,0x3ff6204f,0x01dfffff,0x4cc427c4,0x99999999,
    0x26620001,0x99999999,0x19999999,0xffffc880,0xf73fffff,0x00ffddb0,
    0x99998800,0x01999999,0x26666200,0x00199999,0x74c07e40,0x01efffff,
    0x99999998,0x26200019,0x99999999,0x99999999,0x027c4001,0x33333310,
    0x33333333,0x33103333,0x33333333,0x99883333,0x99999999,0x4ccc1999,
    0x01999999,0x01333300,0x26666660,0x4ccccc01,0x00001999,0x3302fb80,
    0x33001333,0xc8801333,0xffffffff,0x74c0f70d,0xf9711bdf,0xfecb809f,
    0xc980bccc,0x01bcfecc,0x2237bfd3,0x2204ffcb,0x7fffc44f,0xffffffff,
    0xf1000cef,0xffffffff,0xffffffff,0x7f4c03ff,0xfb731bdf,0x6c01fddf,
    0x3e200007,0xffffffff,0x00ceffff,0xffffff30,0x00dfffff,0x6cc07e40,
    0x00deeffe,0x7fffffe4,0x88002fff,0xffffffff,0xffffffff,0x22001fff,
    0xfff1004f,0xffffffff,0xffffffff,0x7ffffc43,0xffffffff,0xffff14ff,
    0xffffffff,0x3ff29fff,0xffffffff,0xff802cef,0x6c00ffff,0x5fffffff,
    0xffffff90,0x00005fff,0xffd06f80,0xfc80ffff,0x301fffff,0x26159dff,
    0x0fcaffda,0x4c02ffb8,0x0fc804fe,0x200fc800,0x74c02ffb,0x509f104f,
    0x9999fd99,0x5ffdb999,0x3fb32a00,0xcccccccc,0x01fecccc,0x2a007ff3,
    0x1f600fff,0xd9950000,0x9999999f,0x2005ffdb,0xcefccccb,0x20002ccc,
    0x7ff300fc,0xcccb9800,0x005fdfec,0x99fd9950,0x99999999,0x4003fd99,
    0x32a004f8,0xcccccfec,0xeccccccc,0x66665c1f,0xccccefcc,0x3332e1bc,
    0xcccefccc,0xf9731bcc,0xb999999d,0x5401bffd,0x404ffecc,0xcdfeccc9,
    0x99997301,0x000bfbfd,0x981fdc00,0x402cdfec,0x03cffcb9,0xd3005ff5,
    0xff981fff,0x07fd1001,0xc8000fc8,0x03ff300f,0x220ffa20,0x803e404f,
    0x64003ffa,0x81fb8007,0x4c002ff8,0x01f600ff,0x007c8000,0x20007ff5,
    0x6400005f,0x01ffa80f,0x7e5fa000,0x03e40000,0x1000fdc0,0x1f20009f,
    0x4007ee00,0x440004f8,0x13e2004f,0x007bf220,0x8007fbf2,0xfd0001fb,
    0x000003f2,0x37c403f4,0x880fee00,0x7f4001ff,0x0007f40f,0xfc803fa2,
    0x00fc8000,0xe88001fd,0x2027c40f,0x3fa2007c,0x001f2001,0x13f607ee,
    0xb007ec00,0x6400000f,0x07fa2007,0x00017e00,0xefc81f90,0x3e600000,
    0x80007f34,0x1fb8007c,0x0013e200,0x7dc003e4,0x009f1001,0x2004f880,
    0x3ea004f8,0x6fafc806,0x0007ee00,0x01fcd3e6,0x01fd4000,0xf1004fb8,
    0x003fd80d,0x3ea0ff88,0x0bf70004,0x640007e4,0x004fa80f,0x4f88bf70,
    0x26003e40,0x01f2005f,0xdf307ee0,0x20354000,0x2000007d,0x2fcc007c,
    0x0002fc00,0xdfd83f20,0x7dc00000,0x90001ba1,0x03f7000f,0x80027c40,
    0x1fb8007c,0x0009f100,0x22004f88,0x27d4004f,0x0fee3f20,0x4000fdc0,
    0x001ba1fb,0x8003fa00,0x1fd801fd,0x8001be20,0x003fe0fd,0xf900fe80,
    0x01f90001,0x740001ff,0x9013e20f,0x00fb000f,0x7dc003e4,0x00017e41,
    0x5cc1f600,0x0f90001a,0xf000fb00,0xfc80000b,0x0004fe88,0x1fb8dd00,
    0x001f2000,0xf88007ee,0x00f90004,0x22003f70,0x7c40004f,0x013e2004,
    0xfc803fa0,0xf7001fd0,0xb8dd0003,0x2a00001f,0x37c4004f,0xf7013ee0,
    0x32d40003,0xfa80007f,0x0001f903,0x03f981f9,0xf11fd400,0x8007c809,
    0x0f9000fc,0x1ff0d300,0x7d800000,0x3fffffa6,0x03e4002f,0x20007e40,
    0x6400005f,0x0005ffaf,0xf887f300,0x01f20004,0xf1001a60,0x01f20009,
    0xf8801a60,0x27c40004,0x0009f100,0x87e40bf3,0x1fb804fa,0x221fcc00,
    0x3600004f,0x3fb8000f,0xdb00df10,0x1fb80000,0x82fc4000,0xfc8000fc,
    0x0000fdc0,0x04f897e2,0x3fc003e4,0x14c0f900,0x0006f880,0xdf77d800,
    0x9ff75359,0x4003e400,0x05f8007f,0x7ffe4000,0x800002fe,0x00fd80fc,
    0x14c0f900,0x04f88000,0x14c0f900,0x027c4000,0x8013e200,0xf90004f8,
    0xfd83f201,0x000fdc01,0x03f603f2,0x017e6000,0xfd81fe80,0x0005f801,
    0x00007e40,0x00fc83fc,0x7e40fc80,0x27f80000,0x03e404f8,0xc8017ea0,
    0x4c01f207,0x8000004f,0x2205fcfd,0x0f9002fe,0x8005fa80,0x6400005f,
    0x02fe89ef,0xa82fc000,0x0f90002f,0x880003e4,0x0f90004f,0x440003e4,
    0x7c40004f,0x013e2004,0xfc80fdc0,0xf701be20,0x505f8003,0xfb00005f,
    0x37c40003,0x3e6013ea,0x3ec00003,0x907d8000,0x1f90001f,0xb00007d8,
    0x32027c4f,0x03fee007,0x1f607c80,0x00017d40,0x027fec00,0x7c8037d4,
    0x003fee00,0x000017e0,0x17f443f9,0x02fa8000,0x3e4001be,0x20000fb0,
    0xf90004f8,0x40003ec0,0x440004f8,0x13e2004f,0xc817cc00,0x7017e40f,
    0x17d4003f,0x88000df0,0xfb80005f,0x5001df13,0xf800005f,0x1f900006,
    0x90001f90,0x0006f81f,0x13e21f90,0xd9880f90,0x7e4001ff,0x7eaaaaaa,
    0x0005f500,0x00bfb000,0x3e4007f4,0x07ff6620,0x0002fc00,0xfd103f20,
    0x1fb00005,0x40007e40,0xaaaaaafc,0xf100007e,0x2bf20009,0x07eaaaaa,
    0x004f8800,0x10027c40,0x3e20009f,0xf881f904,0x003f700f,0x1f9007ec,
    0x00fe4000,0xfc9fe800,0x005f5002,0x0006e800,0x1f901f90,0xe81f9000,
    0x1f900006,0x9f9013e2,0xffdb9999,0xf90001bf,0xffffffff,0x000bea00,
    0x001f6000,0x9f9005f7,0xffdb9999,0x7c0001bf,0x7e400005,0x002fe880,
    0xf3017e20,0xfff90007,0x00ffffff,0x0013e200,0x7fffffe4,0x880007ff,
    0x7c40004f,0x013e2004,0xfc827c40,0xf704fa80,0x017e2003,0x220007f3,
    0x2600006f,0x2a004fef,0x6c00002f,0x0fd00007,0x320003f2,0x0003ec0f,
    0x013e27e8,0xfffffff9,0x40001bff,0xaaaaaafc,0x05f5007e,0xdddddb50,
    0x1f605bdd,0x9005f500,0xffffffff,0xf00001bf,0xfc80000b,0x005fd100,
    0x3a007ee0,0xaafc8006,0x007eaaaa,0x0009f100,0x2aaaabf2,0x880007ea,
    0x7c40004f,0x013e2004,0xfc827c40,0xf701fd00,0x007ee003,0x7e4001ba,
    0x7dc00002,0x0bea000f,0x01f90000,0x320ff000,0x0fc8000f,0x400007e4,
    0x9013e27f,0xd333333f,0x640001df,0x4401f607,0xfffb803f,0x05ffffff,
    0x2fa800fb,0x9999fc80,0x000efe99,0x00005f80,0xff1007e4,0x00fd0003,
    0xf90007ee,0x80003ec0,0xf90004f8,0x40003ec0,0x440004f8,0x13e2004f,
    0xc81fc400,0x70bf300f,0x01fa003f,0x22000fdc,0x8800006f,0x27cc004f,
    0x07ee0000,0x20bf1000,0xfc8000fc,0x0000fdc0,0x04f897e2,0x3ff203e4,
    0x40f90001,0x017e007c,0x6c01f900,0x017d4007,0x3ff203e4,0x02fc0001,
    0x0fc812a0,0x000ffc40,0xdddddff3,0x0bfddddd,0x1f207c80,0x027c4000,
    0x1f207c80,0x013e2000,0x4009f100,0xf50004f8,0xc803f203,0x400fdc2f,
    0xeeeeeff9,0x05feeeee,0x0001fdc0,0x20027c40,0x400005f8,0x5c0003f9,
    0x001f702f,0x07f30fb0,0x222fb800,0x403e404f,0xc8001ffa,0xe8006207,
    0x07e40006,0xfa800fb0,0xa807c802,0x3e0001ff,0x2e3ec005,0x2a00feee,
    0x04eeffed,0x7fffffe4,0xffffffff,0x881f2000,0x3bbb2001,0xeeffeeee,
    0x901deeee,0x0000c40f,0x200027c4,0x3e2004f8,0x01f90004,0x6f8803f2,
    0x7e400fdc,0xffffffff,0x000fffff,0x400001fe,0x7e8004f8,0x0fe80000,
    0x403fa000,0x6f8002f9,0x40001fd0,0x013e20fe,0x3be600f9,0x003e4000,
    0x007e46a8,0x6c01f900,0x017d4007,0xef9803e4,0x00bf0000,0x7ffec7d8,
    0x3ffee00f,0x3e00efff,0x017d4005,0x2a000f90,0x7fffff46,0xffffffff,
    0x0f902fff,0x4401aa00,0x7c40004f,0x013e2004,0x1f903740,0x3ee3fb80,
    0x4005f801,0x7f5002fa,0x3e200000,0x02fb8004,0x027d4000,0x7c05fb80,
    0x82fd4003,0xf70004fa,0x6404f88b,0x017ee007,0x32000f90,0x0017ea0f,
    0x1f600fc8,0x9005f500,0x02fdc00f,0x6c005f80,0x00000007,0xdf0005f5,
    0x8003e400,0x000000fc,0x32000f90,0x04f8800f,0x0027c400,0xf30009f1,
    0x4007e409,0x803f70fe,0x6f8002fa,0x0001fd00,0x0013e200,0x100007f4,
    0x4001fd81,0x7ec00ff8,0x80bf2000,0x7c4001fd,0x2027c40f,0x17ec007c,
    0x2000f900,0x017e40fc,0x3600fc80,0x017d4007,0x3f6003e4,0x005f8002,
    0x000003ec,0x8000fd80,0x0f9000fc,0x0003f200,0x003e4000,0xf8800fc8,
    0x27c40004,0x8009f100,0x3f201fe8,0xf75f9800,0x000fd803,0x7d400fc8,
    0x22000004,0xbf50004f,0x313ea000,0x3a2003ff,0x05fa803f,0xf980bf70,
    0x7fd1001f,0x7c809f10,0x0037c400,0x3f2000f9,0x0017f440,0x0fb007e4,
    0xc802fa80,0x037c4007,0x36002fc0,0x0b362007,0x005f8800,0x32009f30,
    0x01f90007,0x00073aa0,0x7e4001f2,0x004f8800,0x10027c40,0x4fd8009f,
    0xc8007e40,0x2201fb9f,0x9f30005f,0x0000fe80,0x0013e200,0x2000dfc8,
    0xffa80ffc,0x027fcc03,0x5c01bf70,0xffa800ff,0x827fcc03,0x03e404f8,
    0xc8027dc0,0x01f90007,0x2001bff3,0x1f600fd9,0x9005f500,0x09f7000f,
    0x6c005f80,0x17dcc007,0x002fa800,0x3e401ba0,0x000fc800,0x90003f2a,
    0x03f2000f,0x00013e20,0x7c4009f1,0x01bf2004,0x7c4003f2,0x3ea01fbe,
    0x81ba0002,0x000004f9,0x200027c4,0xfd801efc,0x3bfa200e,0xffdb98ab,
    0xbffb8003,0x1ffdb989,0x2fbfa200,0x3ffdb98a,0xf9013e20,0x003fa000,
    0x7e4001f2,0x79ff9100,0x3fae6635,0x01f600df,0xf9005f50,0x003fa000,
    0x3ec005f8,0x0004c800,0xfb8000fb,0x0007c801,0x5d0001f9,0x0007c800,
    0x9f1001f9,0x04f88000,0x2a013e20,0xfc800dfe,0x3ffee000,0x0001f601,
    0x07f603f7,0x9f100000,0xbff90000,0xffb73137,0x7ffe4009,0x001dffff,
    0x3ffffae0,0x90000dff,0xbfffffff,0xc83f8803,0xdeeeffee,0x4eef9800,
    0x777ff764,0xeeeeeeee,0x400ffeee,0xffffffea,0xb500cfff,0x209ddffd,
    0xdeefeed9,0x3bffbb20,0xf9800dee,0x3bb224ee,0xeeeeffee,0xfeeeeeee,
    0xbbce8807,0x3b66002f,0x404eeeff,0xeefeeed9,0x77ff7644,0xeeeeeeee,
    0x00ffeeee,0x07e56754,0x77ff7640,0xeeeeeeee,0x20ffeeee,0xfeeeeeec,
    0x1deeeeef,0x3bbbbbb2,0xdeeeeeff,0xddffdb51,0xfffddddd,0xdfdd9009,
    0xfe803bdd,0x7ff6cc1f,0x6cc04eee,0x24eefeee,0x400005f8,0xffeeeeda,
    0x8004eeee,0xffffffd9,0x730002ef,0x00001599,0x0055e544,0xaccb9800,
    0x7f406000,0x1fffffff,0xe8dff900,0xffffffff,0xffffffff,0x26000fff,
    0x801abcca,0x6ffffffc,0xffffff50,0x7ffff43f,0x9001ffff,0x7ff44dff,
    0xffffffff,0xffffffff,0x5bdb3007,0xffffa800,0x7dc06fff,0x46ffffff,
    0xfffffffe,0xffffffff,0xb800ffff,0xfd001ced,0xffffffff,0xffffffff,
    0x3ffa21ff,0xffffffff,0xfd13ffff,0xffffffff,0x2e7fffff,0xffffffff,
    0x000beeff,0xfffffffd,0x41ff9805,0xfffffffa,0x7fffdc06,0x00146fff,
    0x7fffdc00,0xefffffff,0x97310000,0x00000137,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x379b9510,0x04400101,
    0x00fae000,0x8379b953,0x4c402dc0,0x99999999,0x1e880001,0x400005bb,
    0x4cc40008,0x20099999,0x88099999,0x99999999,0x22000199,0x00999999,
    0x86666666,0x0ffffffd,0x59b99500,0x33300813,0x26660013,0x02001999,
    0x99999880,0x99999999,0x55555401,0x01aaaaaa,0x4cccccc0,0x00000199,
    0x000d8859,0x00000a98,0x3bbbbb20,0x004eeeee,0x3b202eb8,0x054c0002,
    0x201ec800,0x01b881ed,0xffff9100,0x2e1bffff,0x05ffb007,0x05dff500,
    0x3fffff62,0x5c7f2eff,0x3ffe603f,0xffffffff,0x8ff40006,0x0000fffb,
    0xf0017fe4,0xffffffff,0xfffffd05,0x7fffc45f,0xffffffff,0xf1000cef,
    0x5fffffff,0xffffffd0,0x3bbbae9f,0x3f2200ff,0xffffffff,0xffff0f73,
    0xffd801ff,0x805fffff,0x7c401ffd,0xffffffff,0x04ffffff,0xfffffff3,
    0x400fffff,0xfffffffc,0x800002ff,0x0017d45f,0x109fffd5,0x7f400019,
    0xffffffff,0x3e2000ef,0x0dff307f,0x3fffaa00,0xff303883,0x217fea0d,
    0x4c000ffd,0x530aceff,0x01f95ffb,0x005fff98,0xf5017fc4,0x2e6213bf,
    0x3e24fdff,0x3332e00f,0x2ccccefc,0x217ea000,0x220005fb,0x2a006fff,
    0xbcccfecc,0xdffdca80,0x7f66540b,0xdccccccc,0x97002ffe,0x017999fd,
    0x79fd9993,0x9807e403,0x731bdffe,0x81fddffb,0x04ffecca,0x6ff6664c,
    0x7ffcc01c,0xccccb805,0xccccefcc,0x266201bc,0x99999999,0x332e6000,
    0x05fdfecc,0x227c4000,0xff5001fb,0x517ffd59,0x000003ff,0x2ff40000,
    0x8004ff88,0xeffbcffa,0xf101ff52,0x0ffe609f,0xa800bffe,0xfe9802ff,
    0x7fc400ff,0x27d4004f,0x8803ff10,0x27e44ffd,0x00017e00,0x1fa03fd0,
    0x09fff000,0x8801f200,0x0f9003fe,0x800ffea0,0xfc8000fc,0x980fc800,
    0xff5003ff,0x7f7e401f,0x007ee001,0x001fffc4,0x00009f10,0x3a000000,
    0x00001f97,0x07ee1fcc,0x3ea065c0,0x0001ffff,0x44000000,0x80014402,
    0x7ffdc0cc,0x00a201ff,0x0bffa031,0x000ffc40,0x2a003ffa,0x7dc000cd,
    0x800bf601,0x0ffc44fe,0x0000bf00,0x3f9037dc,0x066d4000,0x3007c800,
    0x3e4005ff,0x003fd100,0x320003f2,0x40fc800f,0x4c002ff8,0x2bf200ff,
    0x07ee006f,0x000cda80,0x00013e20,0x26000000,0x0007f34f,0x3f21fcc0,
    0xcb880000,0x1500000b,0x00001440,0x44000000,0x00000bdb,0x800fff40,
    0xf88003fd,0x4000000f,0x017e01fb,0x9f909f50,0x0002fc00,0x7dc05fd0,
    0x00000001,0x7fcc03e4,0x003e4001,0x7e4017e6,0x00fc8000,0x27ec0fc8,
    0x200fd800,0x003fb8fc,0x000003f7,0x0009f100,0x1bcdb988,0x87ee0000,
    0x2a00006e,0x0007e42f,0xe8000000,0x017fe06f,0x00000000,0x00000000,
    0xf1003ffb,0x07ec000d,0x3ee00000,0x8007f101,0x07f984f8,0x400017e0,
    0x0fdc07fa,0x20000000,0x0ffd407c,0x4003e400,0x01f9007d,0x9001f900,
    0x0037cc1f,0x0fc80d50,0x3f7001fd,0x10000000,0x3620009f,0xdfffffff,
    0x46e80001,0x500001fb,0x4007d85f,0x99999999,0x3fe00001,0x07ff880f,
    0x99999980,0x22000199,0x99999999,0x44199999,0x99999999,0x6c199999,
    0x1fb800ff,0x3116a000,0x33333333,0x5c033333,0x009f101f,0x0bfa0150,
    0x80002fc0,0x0fdc04fe,0x99999988,0x99999999,0x3e401999,0x0001df70,
    0x3f2001f2,0x000fc800,0xfc800fc8,0x0000bf20,0x3ea1f900,0x881fb804,
    0x99999999,0x00199999,0xd30009f1,0x32e237bf,0x260004ff,0x0027c43f,
    0x3f41fb80,0xfffff900,0x0005ffff,0xeb80faa0,0x7ffe4002,0x02ffffff,
    0xfffff880,0xffffffff,0xffff14ff,0xffffffff,0x7fec9fff,0x0006d800,
    0xfffffe80,0xffffffff,0x403f700f,0x5c00006f,0x00bf005f,0x803ff100,
    0xfff881fb,0xffffffff,0xffffffff,0x7e41f201,0x1f20000e,0x6401fe00,
    0x0fc8000f,0x3fe0fc80,0x64000000,0x7007f60f,0xffff883f,0xffffffff,
    0xf8804fff,0x17fdc004,0x0013fa60,0x07ec07e4,0x20fdc000,0x32e6006e,
    0x5fdfeccc,0x00000000,0xccccb980,0x0005fdfe,0xf9999997,0x3799999d,
    0x6666665c,0xbcccccef,0x2003ff21,0xe800005f,0xcccccccf,0x00fecccc,
    0x1fe403f7,0x1ff30000,0x0000bf00,0x3f700ff7,0x33fb32a0,0xcccccccc,
    0x201feccc,0x005fd87c,0x54007c80,0x01f9005f,0x9001f900,0x001be21f,
    0x883f2000,0x40fdc06f,0xfccccccb,0x1bccccce,0x2004f880,0xd1001ff9,
    0x0bf0007f,0x20000bea,0x0037c0fc,0x00fcbf40,0x00000000,0x03f2fd00,
    0x04f88000,0x8027c400,0x3f9807fc,0x07e80000,0x5c03fe20,0x067f401f,
    0x1ffc4000,0x40002fc0,0x1fb806fe,0xb8007c80,0xd89f201f,0xf900004f,
    0x007fdc00,0xc8000fc8,0x30fc800f,0x0000009f,0x02fc81f9,0xf88007ee,
    0x27c40004,0x8001fd00,0x2a000fe8,0x001be02f,0x017e1f60,0x3e69f300,
    0x00000003,0x34f98000,0x4400007f,0x7c40004f,0x00ff7004,0x000005f5,
    0x0fec00fd,0xc8803f70,0x001aceff,0xbf00bff0,0x0bff0000,0xf9003f70,
    0x403f7000,0x19ffd17c,0x80f90000,0x001ffd98,0x320003f2,0x50fc800f,
    0x0000005f,0x0ff881f9,0x44003f70,0x7c40004f,0x009f5004,0xd8017ee0,
    0x003f200f,0xffffff88,0xffffffff,0x3ee002ff,0x00001ba1,0x2e000000,
    0x0001ba1f,0x40004f88,0xdf7004f8,0x0005f500,0x2e00fd00,0x007ec04f,
    0xffffdb88,0xdfd001be,0x8000bf00,0xfa804ff8,0x8007c802,0x27f201fb,
    0x02ffecfe,0x6667e400,0xdfffedcc,0x007e4000,0x64007e40,0x0005f50f,
    0x501f9000,0x007ee09f,0x40004f88,0x1ff004f8,0x007f4000,0x3e602fc4,
    0x66664003,0xefdcccff,0x2000cccc,0x000fdc6e,0x803ffff6,0x02fffffa,
    0x1fb8dd00,0x09f10000,0x004f8800,0x5f500df5,0x0fd00000,0xf880df30,
    0x36e60007,0xfd804ffe,0x0005f807,0x4401ffcc,0x007c805f,0x3f201fb8,
    0x17fa62ff,0xffffc800,0x00dfffff,0x0001f900,0x1f9001f9,0x00000bea,
    0x7f403f20,0x2001fb80,0x440004f8,0x03f9804f,0x401fd400,0x06e801fb,
    0x3e637400,0x0fe60003,0xec8009f1,0x3aa00ffe,0x8002feee,0x027c43f9,
    0x004f8800,0xa8027c40,0x02fa806f,0x807d8000,0x3fae01fe,0x36200003,
    0x1ff200df,0x500017e0,0x3f6005ff,0x001f202d,0x3ff901a6,0x4000ff60,
    0x999999fc,0x90000efe,0x1f90001f,0x3ea1f900,0xeeeda802,0x902deeee,
    0x217e601f,0x3e2001fb,0x27c40004,0x0000fdc0,0x1fa017e2,0x0000fdc0,
    0x002f98bf,0x3f603f20,0x01f90000,0x40017d40,0x00fd80fc,0x004f8800,
    0x98027c40,0x04f9805f,0x403a8000,0x3ffa03fc,0xf7000004,0x007fdc0b,
    0x4950017e,0x3a000ffb,0x40f904ff,0x3f900029,0x8001fd80,0x0ffe407c,
    0x0007e400,0x7e4007e4,0xf7007f10,0xffffffff,0xc803f20b,0x000fdc2f,
    0x880009f1,0x00fc804f,0x4c07f800,0xeeeeeeff,0x005feeee,0x05f517e0,
    0xfa82fc00,0x01f90002,0x40017d40,0x005f505f,0x0009f100,0xf3004f88,
    0x00bf100b,0xbf500000,0x00ffea80,0x40fb0000,0x2fc00ffb,0xffa9f600,
    0x3bff5001,0x07c81f20,0xf100f900,0x00f9000d,0xc8003ff5,0x0fc8000f,
    0x17e0fc80,0x401f9000,0x1be200fc,0x7c4003f7,0x27c40004,0x80003ec0,
    0x7ffe407d,0xffffffff,0x88000fff,0x000fd44f,0x1be02fa8,0x0007e400,
    0xfa8005f5,0x0001be02,0x100013e2,0x13e2009f,0x00003f40,0x003fe200,
    0x00002fd4,0xff902fa8,0xd800bf00,0x200bfe67,0x3e401ef8,0x32000fb0,
    0x007f7007,0xdf3007c8,0x007e4001,0xfc803ec0,0x90001ba0,0x007e401f,
    0x01fb8fee,0x00013e20,0x0df009f1,0x803f2000,0x17d4005f,0x2e27c400,
    0x1fb0001f,0x40007e40,0x3ea000fc,0x007ec002,0x880001f9,0x7c40004f,
    0x400ba004,0x000002fb,0xd000bf60,0x80017c0f,0x0dfd03f9,0x7d800bf0,
    0x2a00ffe2,0xaafc804f,0x007eaaaa,0x3f400f90,0xb801f200,0x0bea005f,
    0x6401ba00,0x0003f20f,0x3f200fc8,0xf70fe800,0x027c4003,0x2013e200,
    0xf900006e,0x000bea01,0x3bb601be,0xeeeeefee,0x802eeeef,0x1fcc05f8,
    0x0007e400,0x7c4005f5,0x001fcc05,0x00013e20,0x000009f1,0x100007f4,
    0x009f7001,0xbf101f90,0x40bea000,0x05f805ff,0x17fe3ec0,0x32007ee0,
    0xffffffff,0x00f90007,0xf9001fdc,0x002fd800,0xf88007f3,0x541f9005,
    0x3f20005f,0x2003f200,0x003f75f9,0x200027c4,0x07d804f8,0x6c0fd000,
    0x0fc8000f,0x7f7776c0,0xeeffeeee,0x1fb802ee,0xc8006e80,0x0bea000f,
    0xe801fb80,0x27c40006,0x013e2000,0x05fa8000,0x8809f500,0x3f70006f,
    0x0001ff10,0x9ff101f9,0xd800bf00,0x5c037f47,0xaafc801f,0x007eaaaa,
    0x6f800f90,0x1001f200,0x07f400df,0x2005f900,0x017e40fc,0x3200fc80,
    0x73f9000f,0x27c4003f,0x013e2000,0x200003f2,0x00bf107f,0x50013e60,
    0x0007d85f,0x07ee00fd,0x4001f900,0x1fa002fa,0x0000fdc0,0x880009f1,
    0x4000004f,0x32000dfc,0x0ff400ff,0x881fb800,0x7d4005ff,0x005ff306,
    0x47d800bf,0x1fb807fc,0x1f607c80,0x2003e400,0x0f9001fc,0x2009f700,
    0xbf3005fa,0x2207e400,0xfc8002fe,0x4003f200,0x001fbef8,0x100013e2,
    0x03f7009f,0x505f8800,0x3740005f,0xfb07ee00,0xddff3000,0xdddddddd,
    0x0fc800bf,0x400bea00,0xeeeeeff9,0x05feeeee,0x0013e200,0x00009f10,
    0x003df900,0xfc801dfb,0x07ee0003,0x0037ffe2,0x7d403fee,0x005f800f,
    0x03fe63ec,0xf9003f70,0xc8003e40,0x027cc007,0xfd0007c8,0x037f6001,
    0x2001ffa8,0xdff980fc,0x01fb3000,0xf70007e4,0x7c4003ff,0x27c40004,
    0x0001fcc0,0x03ec0bee,0x8007ee00,0x003741fb,0x7fffffe4,0xffffffff,
    0x003f2000,0xf9002fa8,0xffffffff,0x001fffff,0x00013e20,0x000009f1,
    0x26f7ff20,0x04ffdb98,0x6a805f98,0x9f103f70,0x11359ff7,0x403ffd73,
    0x776445fd,0xeeeeffee,0xfeeeeeee,0x5c03fe87,0x207c801f,0x3bb20018,
    0x00deeeff,0x906777f4,0xbdddffdd,0x9ddf3001,0x137ffb00,0x003ffb53,
    0xf9100fc8,0x2663579f,0xc80dffeb,0x1deeefee,0x000fff40,0x3b2009f1,
    0xeffeeeee,0x3a1deeee,0x3fa0000f,0x3bffb660,0x76cc04ee,0x804eefee,
    0x0037c0fc,0x3ea002fc,0x003f2002,0xbf002fa8,0x002fa800,0x80009f10,
    0x795004f8,0x3f660001,0x2effffff,0x800fe880,0x01fb80fc,0x3fffa25d,
    0x00cfffff,0xfd107fe2,0xffffffff,0xffffffff,0x80df70ff,0x07c801fb,
    0xffe8d500,0x01ffffff,0xd077ffd4,0xffffffff,0x1bff2003,0x7ffff5c0,
    0xc8000dff,0x7ff5400f,0xcfffffff,0x3ffffa00,0x7cc02fff,0x13e2001f,
    0x3ffffa20,0xffffffff,0x013ea3ff,0x3ea2fdc0,0x06ffffff,0x7fffffdc,
    0xf87c806f,0x017d4005,0xf90037c0,0x017d4001,0x7c0017d4,0x09f10006,
    0x804f8800,0x0006fffa,0x04def4c4,0x2005fb00,0x01fb80fc,0x2b7ee620,
    0x06fb8009,0xf1000000,0x00fdc03f,0xfc8003e4,0x00000000,0x00000000,
    0x00159fd3,0x30007e40,0x00357995,0x80000000,0x7c0004f8,0x07f6002d,
    0x001ff100,0x019f0000,0x013e1f60,0x90001fb0,0x07ee001f,0x4017ec40,
    0xfc8000fd,0x04f88000,0x4027c400,0x000ffffd,0xa8003d80,0x03f2005f,
    0x740007ee,0x017f4002,0xf9000000,0x400fdc09,0x1f90007c,0x00000000,
    0x40000000,0xf900005e,0x00000001,0x10000000,0x7d40009f,0x0ffcc000,
    0x003fe880,0x006a8000,0x013e23f4,0x30005f88,0x13ea009f,0x00bffa60,
    0x26000bf1,0x4f88004f,0x027c4000,0x0037ffd4,0x2002ed80,0x32000ef8,
    0x003fa80f,0x2a003bd0,0x3620006f,0xff10002c,0x6401f601,0x01f90007,
    0x002cd880,0x039d5000,0x0be20000,0x007e4000,0x00059b10,0x00b36200,
    0x0027c400,0x2a000bb0,0x7fcc03ff,0x90000004,0x4c6e8009,0x0bea003f,
    0x1006e800,0x7fdc01ff,0x17d402fd,0x000dd000,0x880009f1,0x1793004f,
    0x3ae60000,0x003fb003,0x6f980fc8,0x05f75000,0x80005fd0,0x90002fb9,
    0x009f109f,0x7e4001f2,0x2fb98000,0xf9500000,0x3a000001,0xfc800043,
    0x17dcc000,0xfb980000,0x4f880002,0x021ae000,0x55f7f440,0x03ffdb98,
    0x3e600000,0x2fc01710,0x7d800fe6,0x00fdc000,0xb99cffa8,0xefa9effd,
    0x000fb03e,0x44001fb8,0x7c40004f,0x40000004,0x5c035c08,0x0fc8004f,
    0x8017df90,0x2a02e408,0x3200006f,0x1ff10004,0x4007ff22,0x1f90007c,
    0x00264000,0x000ba000,0x6defd400,0x5554402f,0x90000fda,0xc8000009,
    0x4f880004,0x2f7e2000,0x7e4005fc,0x1dffffff,0xc8000000,0x3e00efff,
    0x26017d45,0x4eeeffed,0x7f776cc0,0xffb804ee,0x2a3fffff,0x3b665fff,
    0x404eeeff,0xeefeeed9,0x77777644,0xeeeeeffe,0x3bbbb21d,0xeeeeffee,
    0x800001de,0x03ebbdfc,0xeeeeefc8,0xeeeeeeee,0xfd7100ff,0xbbdfd809,
    0x007ec02f,0xfbbce880,0x4bea0002,0x76402dfe,0xeeeeeffe,0xeeeeeeee,
    0x9d1000ff,0x00005f77,0x07e56754,0xfb500000,0xfffd007b,0xd1001fff,
    0x0005f779,0x7dde7440,0x3bbb2002,0xeeeffeee,0xc9801dee,0x30000cee,
    0x00015997,0x01500000,0x80190350,0xfffffffa,0x7fffdc06,0x73006fff,
    0xa8001599,0x6fffffff,0x7ffffdc0,0x3ffa26ff,0xffffffff,0xfd13ffff,
    0xffffffff,0x007fffff,0x37b2a000,0xffff9002,0xffffffff,0x3001ffff,
    0x5bd95001,0x80003100,0x0002ded9,0x74002618,0xffffffff,0xffffffff,
    0x26000fff,0x00002ded,0x001cedb8,0x88000000,0x002aaaaa,0x000b7b66,
    0x0b7b6600,0xffffe880,0xffffffff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cccccc4,0x99999999,0x00001999,0x9006b2e6,
    0x00f6405d,0x0002aa00,0x55555500,0x00355555,0x76405d90,0x36ea2001,
    0x800001bc,0x0200000a,0x55555000,0x03555555,0x00000200,0x00159b73,
    0xaaaaaa80,0x001aaaaa,0x2aaaaaaa,0x0001aaaa,0x00a05100,0xfffdca98,
    0x06ffffff,0x05103100,0x7fff5c40,0x004fffff,0x0000a800,0x000a0000,
    0x22000000,0x3e202002,0xffffffff,0xffffffff,0x4c0001ff,0x05fffffe,
    0x3ea0dff3,0xfd70005f,0x009307ff,0xffffffa8,0x005fffff,0xfa837fcc,
    0xffd1005f,0x0007ffff,0x000bf620,0x00b7faa0,0x3ffffea0,0x05ffffff,
    0x05f7ecc0,0xffff9000,0x0003dfff,0xfffffff5,0x200bffff,0xfffffff8,
    0x0007ffff,0xfd87e880,0x6ffecc01,0xce999ddb,0xf9800099,0x9803f445,
    0x99999cff,0x00004d99,0x0000bf62,0x017cc000,0x00007d30,0x1003fa60,
    0xcca87ffd,0xccccccfe,0xfecccccc,0x3fea0001,0x102b999b,0x3fe60bff,
    0xbffb8004,0xfb8beffb,0x4ccc000f,0x99999999,0x2ffc4000,0xa804ff98,
    0x3f661bff,0x7f440004,0xaeb80004,0x98002fb8,0x99999999,0x3e600099,
    0x8004ea8b,0x511bdfe8,0x30007ff9,0x33333333,0x4c400133,0x99999999,
    0x44000009,0x02fec2fe,0x4c833ff2,0xf30001ec,0x01ff443f,0x4c801fcc,
    0x9fd10000,0x40000000,0xff5002fb,0x400001bf,0xfc802ff9,0x0f900fff,
    0x0003f700,0x20003fe2,0x000c4028,0x7fdc0cc8,0x00001eff,0x02880000,
    0x77c400c4,0x000ff201,0x0001ffcc,0x002dc2e8,0x99000000,0x2a000f98,
    0x7f4403ff,0x00000005,0x00000000,0x3f21ff44,0x417fdc05,0x8001ec4c,
    0x3fa21ff9,0x400d9003,0xf980004c,0x2662003f,0x26009999,0x7fb99999,
    0xf93df900,0xf500003d,0x3ff2003f,0x00f900ff,0x20003f70,0x000002fc,
    0xb8800000,0x000000bc,0x00000000,0x5e801fc8,0x02ffa800,0xf10f1000,
    0x00000001,0x00ba07e0,0x88017fc4,0x000003fd,0x00000000,0xf90ffa00,
    0x209ff00b,0x4001ec4c,0x27ec1ff8,0x64005d00,0x7fd40004,0x3ffe2002,
    0xe82fffff,0xefffffff,0x06ff4402,0x40007ff5,0x22001efc,0x1f203ffe,
    0x0007ee00,0x000003f4,0x00000000,0x33333310,0x4ccccc01,0x00000019,
    0x3dc017e2,0x007fea00,0x5b85d000,0x26666200,0x99999999,0x98990019,
    0x00bf2007,0x26203fa0,0x99999999,0x99999999,0x99999801,0x00001999,
    0x37d44fd8,0xc80ffcc0,0x74001ec4,0x0027ec2f,0x008800be,0x007fea00,
    0x333fb2e0,0xccc980bc,0xf8800bfe,0x09fd303f,0x001df900,0x01f20020,
    0x40007ee0,0x2666005f,0x99980099,0x99998099,0x33333000,0x7fffc433,
    0xfe82ffff,0x24ffffff,0x99999998,0x99999999,0x01fd8199,0x4c005f50,
    0xa800000d,0x002fb9bf,0xfffffff1,0xffffffff,0x539f1009,0x17e6009d,
    0x222fcc00,0xffffffff,0xffffffff,0x3f201fff,0xffffffff,0x1e400002,
    0x7dc0065c,0x07b13207,0x3c82d880,0x0005c800,0x00366000,0x0001f900,
    0x366001f9,0x00264401,0x0000025c,0x34c003e4,0x004f8800,0x0ffffffd,
    0xffffffc8,0x3fffffe1,0x7fffec00,0x3b2e5fff,0x980bcccf,0x1bcfeccc,
    0xfffffff1,0xffffffff,0x6f83ffff,0x000fe600,0xda800000,0x65c002df,
    0xcefccccc,0x001bcccc,0x4005df93,0x360001fe,0x7f66542f,0xcccccccc,
    0x01fecccc,0x3b3332e6,0x00005fdf,0x7fb80000,0x007b1320,0x65400000,
    0x000004fe,0x7e400000,0x00fc8000,0x00000000,0x7c800000,0x00000a60,
    0x326009f1,0x4c02cdfe,0x543cffcb,0x404ffecc,0xcdfeccc9,0x8000fc81,
    0xecca80fc,0xcccccccf,0x1feccccc,0xf98013e2,0x71000003,0x00000000,
    0x000013e2,0x005f8800,0xf9027cc0,0x003f7000,0x003f2fd0,0x50000000,
    0xb13203ff,0x00000007,0x37ef3bfa,0x00000000,0x001f9000,0x00001f90,
    0x00000000,0x640f9000,0x7c400007,0x037c4004,0x3200fee0,0x2e001fef,
    0x003f201f,0xf9003f20,0x4c3f7000,0x76e5403f,0x2e62003f,0x0ff8809a,
    0x80000000,0x000004f8,0x000be600,0x07c817e0,0x4001fb80,0x007f34f9,
    0x88000000,0xd89903ff,0x57510003,0x2075c003,0x00002fe8,0xb9803751,
    0x001f9000,0x20001f90,0x0001aba8,0x00357510,0x6c0f9000,0x4cc40007,
    0x0999dfa9,0x1004fb80,0x2bf200df,0x07ee006f,0xc8000fc8,0x003e400f,
    0x05f50fdc,0x3fbfff66,0xffffb803,0xfd11dfff,0x00000005,0x00013e20,
    0x01357551,0x00003f70,0x003e40fb,0x2e000fdc,0x2001ba1f,0x200ffffd,
    0x02fffffa,0x89903ffb,0x7fdc003d,0x00dfffff,0x1bf70174,0xffd71000,
    0xfea83dff,0x7e400dff,0x00fc8000,0x7ffffdc0,0xb8000dff,0xdfffffff,
    0x6401d800,0xeaaaaaaf,0x3fe60007,0xffffffff,0x01fd805f,0xf9001fd8,
    0x2e007f71,0x003f201f,0xf9003f20,0x5c3f7000,0x1cff981f,0x7f4c07f3,
    0xfdba9bce,0xfd82fedf,0x3ea00fff,0x4002ffff,0xca8004f8,0xfffffffe,
    0x0007e403,0x7c807e40,0x001fb800,0x007ee374,0x01ffdd90,0x17f77754,
    0x4c83ffd0,0xfe8801ec,0xfdca9bce,0x1013203f,0x7c0019fb,0xffd9acff,
    0xfd59ff50,0x007e401d,0x88007e40,0xca9bcefe,0xd1003ffd,0xb95379df,
    0x27c407ff,0x3fffff20,0x20007fff,0xefccccb8,0x8802cccc,0x027dc06f,
    0x03fa1f90,0xfc807ee0,0x00fc8000,0x7dc003e4,0x3fa03f21,0xfa81fcc1,
    0x7fec403f,0x1ffdd903,0x7f777540,0x027c4002,0x2b3bff60,0x0efeba9a,
    0x20000fb0,0x00f901fb,0xf9800d30,0x00027c43,0x7d4001f9,0x5effdc02,
    0x401ec4c9,0x74c04ff9,0x003f105f,0x2e007fd3,0xdf3bf302,0x3205fb81,
    0x0fc8000f,0x404ff980,0x7cc05fe9,0x2ff4c04f,0x7e404f98,0x7eaaaaaa,
    0x27c40000,0x207f7000,0x7e4006f8,0xf7009f50,0x0007e403,0x1f2007e4,
    0x1f91a600,0x3f983fa8,0x8800ef88,0xfc805ffe,0x00bea000,0xa8009f10,
    0x05fb800b,0x2e0000fb,0x4c0f901f,0x1f900002,0x20001fb0,0x3ea000fc,
    0xffdb8802,0x2201ec4f,0x3f6001fe,0x2005f702,0x40000efb,0xf900fffd,
    0x0003f203,0xfd1003f2,0x817ec003,0x36001fe8,0x405f982f,0x001f607c,
    0x0009f100,0x1fd81fe8,0xfb07e400,0x201fb803,0xfc8000fc,0x5303e400,
    0xf903f200,0xfd07f301,0x97fd1003,0x00fc805f,0x1000bea0,0x8000009f,
    0x00fc80fe,0x900fc800,0x0003e40f,0x05f505f8,0x8003f200,0xd88002fa,
    0x3f201ec4,0x07f44002,0x8800cfa8,0x260002fd,0x17e204ff,0x640007e4,
    0x017e400f,0x3203fa20,0x7f44002f,0x3202fd40,0x0001f207,0x80009f10,
    0x027d46f8,0xdf107e40,0x3201fb80,0x0fc8000f,0x0f903e40,0x1fb03f20,
    0x3fb87f30,0xf13fe880,0x000fc80f,0xf1000bea,0xb8000009,0x001fb82f,
    0x1f207e80,0xa80007d8,0x001be02f,0xf50007e4,0xb1320005,0x002fcc07,
    0x3a205f98,0x05f7003f,0x003fe200,0x01f901f9,0x4c01f900,0xbf30005f,
    0x30005f98,0x406fa8bf,0x0006207c,0x0009f100,0x3be27f70,0x40fc8000,
    0x07ee02fc,0xc8000fc8,0xb03e400f,0x903f200f,0xd87f307f,0x43fe8807,
    0x03f201fb,0x4002fa80,0x000004f8,0x17d41fcc,0x902fc000,0xd555555f,
    0x1fb0000f,0x40007e40,0x3ea000fc,0xd8990002,0x0007ee03,0xefb807e8,
    0x0006b801,0x3f500ff1,0x90001f90,0x00fdc01f,0x1fb8fd00,0xf71fa000,
    0x0007c80d,0x9f1000d5,0x27fa0000,0xf90002fc,0x700ff881,0x007e403f,
    0x32007e40,0xeaaaaaaf,0x981f9007,0x743f986f,0x41ff4406,0x03f203f9,
    0x4002fa80,0x000004f8,0x27c41fcc,0x813e6000,0xfffffffc,0x7c40007f,
    0x001fcc05,0xf50007e4,0xb1320005,0x0003ec07,0x322003f2,0x07e200cf,
    0x77ff6544,0x99999dfc,0xc82fa999,0x0fc8000f,0x90001f60,0x0003ec1f,
    0x07fb83f2,0xfc8003e4,0x027c4000,0x4fef9800,0x203f2000,0x03f704fa,
    0x640007e4,0x7ffe400f,0x007fffff,0x9ff903f7,0x4f88fea3,0x4413fa20,
    0x003f204f,0x44002fa8,0xd930004f,0x99dffffd,0x007f607f,0x3201fe80,
    0xeaaaaaaf,0x0fdc0007,0x64003740,0x0bea000f,0x0f626400,0x5c0006e8,
    0x3fa6001f,0xe983f102,0xffedefff,0xffffffff,0xfc83ffff,0x00fc8000,
    0xf70001ba,0x20003743,0x01fee1fb,0x3f2000f9,0x027c4000,0x01ff7000,
    0xe807e400,0x201fb80f,0xfc8000fc,0x5557e400,0x5007eaaa,0x3ffee03f,
    0x9f10ffff,0xf1027ec0,0x0007e409,0xf88005f5,0x7fecc004,0xfeeeceef,
    0x0bf303ff,0x9017ea00,0x0003ec0f,0x0fdc01fa,0x8003f200,0x990002fa,
    0x01ba03d8,0x0005f500,0x36621bf7,0x8067fe45,0xaaaaadf9,0xc81aaaaa,
    0x0fc8000f,0x50001ba0,0x0003745f,0x0ffc8bea,0x64001f20,0x27c4000f,
    0x09f10000,0x300fc800,0x403f70bf,0xfc8000fc,0xfb03e400,0x880be600,
    0x20deccca,0x809fb05f,0x03f203f9,0x4002fa80,0x3e6004f8,0x7dc401df,
    0x000bf603,0x0f9003fa,0xf30003e4,0xdddddddf,0x800bfddd,0x3ea000fc,
    0xd8990002,0x0001f603,0x220001f9,0x20effeee,0x7c400ef9,0x07dc0006,
    0x3603ec00,0x07e40007,0xfc8000fb,0xc803ff20,0x01f90007,0x0004f880,
    0x00013e20,0x17e401f9,0x0fc807ee,0x400fc800,0x401f207c,0xd80003f9,
    0xb804fd87,0x003f201f,0x44002fa8,0x3ff1004f,0x101fcc00,0x3a2005fd,
    0x207c803f,0x3f200018,0xffffffff,0x000fffff,0xfa8003f2,0xd8990002,
    0x0007ee03,0x440007d8,0x2fc81afd,0x0007f880,0x7c0017cc,0x000fdc06,
    0x01fb8fb0,0xffb1f600,0x8003e401,0x7c4000fc,0x3e200004,0x07e40004,
    0x1fb8df10,0x20003ee0,0x207c807d,0x01be0018,0xfd8fee00,0x401fd004,
    0x3ea000fc,0x027c4002,0x4c001fc8,0x27fc403f,0x4013fa20,0x0d50007c,
    0x7d4005f8,0x003f2002,0x90002fa8,0x3ea03d89,0x0bf30004,0x201f3000,
    0xff8801fb,0x01fc0001,0xf5017e60,0x17e60009,0x260009f5,0x20ffec5f,
    0xeeeffeec,0xeeeeeeee,0x4000ffee,0x200004f8,0x640004f8,0x71fdc00f,
    0x017cc03f,0x3e4037c0,0x7e46a800,0x8fe80001,0x7f9005fd,0x2000fc80,
    0x7c4002fa,0x000dd004,0xff1007f3,0xfb73159d,0x03e4005f,0xf500fc80,
    0x00df0005,0xd8800fdc,0x8990002f,0x00fec03d,0x0380ff40,0x3f981740,
    0x004ffa80,0x90007ec0,0x03fb005f,0xfb03fd00,0x83fd0003,0x7ff41ffe,
    0xffffffff,0xffffffff,0x27cc000f,0x09f10000,0x800fc800,0x803f70fe,
    0x2fd4003f,0xc8003e40,0x0017e60f,0x017ffe60,0x7dc02fd4,0x05fb1001,
    0xf004f880,0x07fb000d,0x3fffee20,0x4001efff,0x1f90007c,0x20003f60,
    0x9f5000fc,0x05ffd300,0x07b13200,0x2000ef88,0x00f303fc,0x017e01f8,
    0x403ffff3,0x0bf501c8,0x44017ee0,0x3f2000ef,0x001df103,0x7ff41fe4,
    0x7c400002,0x2fa8000c,0x13e20000,0x001f9000,0x007eebf3,0x7e4001fb,
    0x0007c802,0x02fd81f9,0x02ffe800,0x4007fe44,0xfe9804fa,0x27c4002f,
    0x3001fd80,0xd0007ffd,0x000137ff,0x7e4001f2,0x0005f880,0x3e2009f3,
    0x37fee00f,0x8990002f,0x2ffa803d,0x3037ec40,0x203dc00f,0xfff304fb,
    0x3fea0bfd,0x8037ee03,0x2a000ffb,0x7ec402ff,0x017fd406,0x7f41bf62,
    0x6400002f,0x07f20004,0x04f88000,0x8007e400,0x401fb9fc,0xbf7005fa,
    0x4001f200,0x17fc40fc,0x77e416a0,0xa989adff,0x1000dfec,0x7fdc01ff,
    0x7c4002fd,0x00bf7004,0x007fbff7,0x0006fec4,0xc8003e40,0x002fa80f,
    0xfa801ba0,0xffdb99cf,0x03eefa9e,0x00f62640,0x44deff54,0x404ffca9,
    0x07f30079,0x9315bf90,0xdf59f5ff,0x05ffb513,0x3137ff70,0x0003ffb7,
    0x3137bfd5,0x2009ff95,0x989bdfea,0x2a04ffca,0xe800005f,0x0df30002,
    0x04f88000,0x8007e400,0x801fbef8,0x3ee00dfb,0x00f9000f,0x3ea03f20,
    0xea988bdf,0x915fc85f,0xffffffff,0x9ff50005,0x3dffb733,0x2007ddf5,
    0x3f6004f8,0xedb989ae,0xdeef99ef,0x37ffea03,0x2a0acdee,0x00f901fd,
    0x1f603f20,0x003f7000,0x7fffffdc,0x17ffea3f,0xeecccca8,0x0799dd31,
    0xfffffc88,0xf9801eff,0xcccccccc,0x3f2003fe,0x5d0effff,0x37ffffee,
    0x3ffae000,0x000dffff,0x3ffff220,0x4001efff,0xffffffc8,0x000001ef,
    0x43897200,0x00ffd409,0x013e2000,0x4001f900,0x7001fffb,0xb73137ff,
    0x3e4003ff,0x300fc800,0xfffffffd,0x885fb819,0x001accba,0x7ffffdc0,
    0x3ffea3ff,0x77777645,0xeeeeeffe,0xffffb81d,0x3e63ffff,0xff705fff,
    0xfffdffff,0xc89fffdf,0xeeeeffee,0xeeeeeeee,0xfdb30ffe,0x9809dddf,
    0x4eefeeed,0x15997300,0xcccb8000,0x99951ccc,0x2e620099,0x22000abc,
    0xcccccccc,0x950000ac,0xaca88037,0x32a20000,0x200000ab,0x00abcb98,
    0x5e5cc400,0x0000000a,0x5fefe880,0x3ffbffe2,0x6d40001e,0xeeffeeee,
    0xeec804ee,0x401deeef,0x2e001ffe,0xdffffffe,0xffeec800,0xeeeeeeee,
    0x0ffeeeee,0x55e65cc0,0x00009500,0x59973000,0xffe88001,0xffffffff,
    0x5103ffff,0x00015797,0x980aceb8,0xe81ceeca,0xffffffff,0xffffffff,
    0xfff50fff,0xb80dffff,0x6fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17300000,0x19bfd950,0xfff70000,
    0xffffffff,0xfffe801d,0x4c02ffff,0xa88001ff,0x3a000abc,0xffffffff,
    0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0198000a,0x00330000,0x00000000,0x00028800,0x00000000,0x02880000,
    0x00260000,0x00000cc0,0x40002880,0x00000019,0x00000000,0x01577300,
    0x00198000,0x012e00b3,0x4b802d88,0x88019700,0x0059801d,0x4cc40097,
    0x01d80000,0xf9100598,0x6ec4005b,0x36200000,0x3fc8002f,0x3fc80000,
    0x74c00000,0x44000003,0x980000fe,0x5400003e,0x3000001e,0x000001fd,
    0x360009f9,0x4000003f,0x20000fe9,0x000003fc,0x00000fa6,0xb8000fa6,
    0x03ffffff,0x00df7000,0xdf100fea,0x827f4400,0xf7005fd8,0x07fea03d,
    0xf100fea0,0x3fff200d,0xf10000df,0x001fb00b,0x003ffffd,0x003dffd3,
    0x009fd100,0x0013fa20,0x009fd100,0x3ffea000,0x9800000d,0xa80003ff,
    0x0000dfff,0x003fffc8,0x01ffcc00,0x06fec000,0x04fe8800,0x7ff30000,
    0x4fe88000,0xffa80000,0x500000df,0x8001bfff,0xeb99befc,0x7e40005f,
    0x1ff1000e,0x20027e40,0x3a60efd8,0x7fd4004f,0x800ffe43,0x3f200ff8,
    0x88bfe804,0xd0000eeb,0x037d405f,0x2fffffcc,0x3eebfee0,0x3e60003f,
    0x6c40003f,0x200000df,0x0000dfd8,0x3f27bf20,0x2a00001e,0xc80002ff,
    0x01efc9ef,0xd3bfd100,0x500001bf,0x800005ff,0x80005fe8,0x0000dfd8,
    0x000bfea0,0x006fec40,0xc9efc800,0x640001ef,0x01efc9ef,0x2e01bf90,
    0xdfb0005f,0xbefc8001,0x01df9510,0x2ebff200,0xd30002ff,0x01bfd3bf,
    0x10befc80,0xc801df95,0x40013a07,0x3261bffa,0xff9801ff,0x3f204fff,
    0x017fa61e,0x000bfea0,0x000efd80,0x0077e400,0x837fa200,0x80003ffa,
    0x40001ffb,0x3ea0dfe8,0x7fd4003f,0x000f7e43,0x0003df70,0x003fe980,
    0x0077ec00,0x00f7dc00,0x077e4000,0x1bfd1000,0x4001ffd4,0x3ea0dfe8,
    0x037c403f,0xd10017e4,0x7e4000bf,0x1efffeff,0x7ffd4000,0xfd80001e,
    0x320003ff,0xefffefff,0x2e04f801,0xff50000f,0x05ffffff,0x0fffff40,
    0xd880dfd8,0x3fea006f,0xfc800001,0x5c00000e,0xf10000ef,0x13fa607f,
    0x00efc800,0x81ffc400,0xf5004fe9,0x0bfea03f,0x003bf200,0x05ff1000,
    0x3bf20000,0x3bf20000,0x2e000000,0xf88000ef,0x09fd303f,0x981ffc40,
    0x07f204fe,0xe801ba20,0xc980004f,0x0003deed,0x00017a20,0x00005f70,
    0x07bddb93,0xf8807e20,0x36e20001,0x8000bdee,0x0f600bda,0xd98016e0,
    0x2a000000,0xa800000d,0x3b30000d,0x0004c880,0x2000032e,0x264401d9,
    0x4c00db80,0x0cb8002d,0x1d880000,0x2d400000,0x0032e000,0x036a0000,
    0x10076600,0x0ecc0099,0x6f813220,0x400bee00,0x0000002d,0x00000000,
    0x00000000,0x100fc400,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x27c4009f,0x00000000,0x00000000,0x00000000,
    0xb813e000,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x0374003f,0x00000000,0x55d4c000,0xba980001,0x5300000a,
    0x7b800157,0x100013a0,0x00135755,0x2a620000,0x880009ab,0x0009aba9,
    0x26aeaa20,0x00000000,0x00000000,0x09abaa88,0x5d544000,0x9800009a,
    0x00001aba,0xa9800000,0x880001ab,0x00001aba,0x00015753,0x002aea60,
    0x00000000,0x80055d4c,0x7e4003f8,0xfd800000,0x3ea00fff,0x3002ffff,
    0xfffffffd,0xb100b619,0x9fffffff,0xffd88001,0x00cfffff,0xf7119fd0,
    0xd950001d,0x7fffffff,0x6cc00000,0xdfffffff,0x3f660599,0x9dffffff,
    0x7f654059,0x03ffffff,0x00ffffd8,0x0bffffea,0x3bffffee,0xffffb800,
    0xfd9500ef,0x07ffffff,0xfffeca80,0x8003ffff,0xffffffe9,0xfd85b0cf,
    0x3ea00fff,0x3002ffff,0xfffffffd,0x2e00b619,0xdfffffff,0x7fec4000,
    0x00cfffff,0x7fffec40,0x6c00cfff,0x2a00ffff,0x002fffff,0xffffffb1,
    0x05e8019f,0xfd8bfe20,0xffffffff,0x322fffff,0x2a00ffee,0x802feeee,
    0xa9abdffc,0x05fbffeb,0x26af7fee,0x002ffeca,0x5357bff7,0x2005ffd9,
    0x00dffffc,0x3bff6022,0xfeba9aac,0x5400000e,0xaa9abdff,0xa81ffffc,
    0xaa9abdff,0xb01ffffc,0x53559dff,0x6401dfd7,0x2a00ffee,0xb82feeee,
    0x00deeffe,0x5efeeeb8,0x559dffb0,0x01dfd753,0x559dffb0,0x01dfd753,
    0x2af7ff20,0xfbffeba9,0x07ff7645,0x5fdddd50,0x57bff900,0xf7ffd753,
    0x677f440b,0x3ffdca9b,0x57bff700,0x05ffd953,0x2af7fee0,0x02ffeca9,
    0x803ffbb2,0x02feeeea,0x9abdffb8,0x202ffeca,0x3ff2006d,0x3bbbbf62,
    0xfeeeeeee,0x001f901f,0x3fa017d4,0x7ff4c00d,0x803dfb05,0x7ec03fea,
    0x1ff5401e,0x26013300,0x0ba83feb,0x8805fb80,0xf9809999,0x7fec401f,
    0x200ffcc1,0x7501ffd8,0x00bf7001,0xfa8003f2,0x0001f602,0x05d401f9,
    0x5402fdc0,0x05fb800b,0x4c00dfe8,0x3f205ffe,0x00bea000,0xe9801bfd,
    0x9ff305ff,0x405fe980,0x75401efd,0x0f7ec03f,0x200ffaa0,0x3ea000fc,
    0x00f7ec02,0x7dc0ffaa,0x3fdfa803,0x3fd801f6,0xa8003f20,0x00fee02f,
    0xfb85fe88,0x07fa2005,0xd1002fdc,0x5cc0003f,0x0000befe,0xfe801fd0,
    0x3fc82fff,0xc83ff100,0x3ff1003f,0x03fa0000,0xa8003f20,0x007ee02f,
    0x00006e80,0x000007f4,0x3fb803fa,0x817fa200,0x3ea000fc,0x800fee02,
    0xfe885fe8,0x40bf6001,0x3a2005fb,0x00bf701f,0x3200ff44,0x0bea000f,
    0x22005fb8,0x1fe881fe,0x93e37ea0,0x09f9007d,0x2a000fc8,0x00bf302f,
    0x6f98bf50,0x986f8800,0x6f88006f,0x6ff64c00,0xb800000b,0x3ffe602f,
    0x800fb05f,0x003ec0fb,0x400003ee,0x0fc802fb,0x980bea00,0x4055103f,
    0x5c00004f,0x5c00002f,0x00bf302f,0x7e40bf50,0x40bea000,0xfa8005f9,
    0x4002fc85,0x37cc0fe8,0x4c37c400,0x6f88006f,0x50007e40,0x01be605f,
    0x7441be20,0x8b7dc42f,0x2e01f24f,0x00fc805f,0x7ec0bea0,0xd89f0001,
    0x5f50001f,0x50001fd8,0xfec9805f,0x000000bd,0xff701fcc,0x0bea01ff,
    0x05f50300,0x20000180,0x0fc803f9,0xf00bea00,0x203ff20b,0x400003f9,
    0x400003f9,0x03fb03f9,0xfc813e00,0x40bea000,0x9f0001fd,0x30005f98,
    0x001fd8bf,0x1fd85f50,0x405f5000,0x3ea000fc,0x0003fb02,0x7fcc0bea,
    0x30effedf,0x2a00c49f,0x01f9006f,0x5f817d40,0xdd026000,0x227c4000,
    0x3e20006e,0xadffc984,0x20000000,0x3ffa03f9,0x2ffe203f,0x3fe20000,
    0x0000000b,0xfc803f98,0x00bea000,0x0bffe0dd,0x000007ee,0x800007f3,
    0x00bf03f9,0x1f9004c0,0xf817d400,0x70260005,0x3f40003f,0xf88001ba,
    0x10003744,0x007e409f,0x1ba05f50,0x204f8800,0x41cefda8,0x3e6003fa,
    0x01f9000e,0x7c417d40,0x3e200004,0xaaaaaaad,0xaaaaaaaa,0x2ab7e25e,
    0xaaaaaaaa,0x45eaaaaa,0x3100adff,0xfdd93000,0x7f99dfff,0x01bffe20,
    0x337fff62,0xfb1000ab,0x01579bff,0xffdd9300,0x07f99dff,0x54001f90,
    0x207e402f,0x7d85fcf9,0x3fbb2600,0x3fccefff,0xffdd9300,0x07f99dff,
    0x000009f1,0xf50007e4,0x0009f105,0x40007d80,0x55bf10fc,0x55555555,
    0x4bd55555,0xaaaaadf8,0xaaaaaaaa,0x3f205eaa,0x20bea000,0xaaaaadf8,
    0xaaaaaaaa,0x80005eaa,0xff3002fc,0x007e4001,0x5f505f50,0x7fcc0000,
    0xffffffff,0xffffffff,0x3ffffe67,0xffffffff,0x4c7fffff,0x3fffa600,
    0x7fecc00d,0xfeeeceef,0xfff503ff,0x7f654003,0x003fffff,0xfffffd95,
    0xffb3007f,0xfddd9ddf,0x1f9007ff,0x2017d400,0x6c7e42fa,0x4c03740f,
    0xeceefffd,0x403fffee,0xceefffd9,0x83fffeee,0x000002fa,0xfa8003f2,
    0x0002fa82,0x20003740,0xffff31fb,0xffffffff,0x4fffffff,0xfffffff9,
    0xffffffff,0x3f207fff,0x20bea000,0xfffffff9,0xffffffff,0x80007fff,
    0xfe8800fd,0x007e4001,0x5f505f50,0x6fc40000,0xaaaaaaaa,0xaaaaaaaa,
    0x2aab7e22,0xaaaaaaaa,0x002aaaaa,0x3ae2bbea,0x3bff301f,0xb03fb880,
    0x88000bff,0x01effca9,0x7fe54c40,0x3bff301e,0x803fb880,0x3ea000fc,
    0x3e27c402,0x27c45f56,0x0077fe60,0x7cc07f71,0x7dc401df,0x0002fa83,
    0x8003f200,0x02fa82fa,0x00374000,0x6fc4bea0,0xaaaaaaaa,0xaaaaaaaa,
    0x2aab7e22,0xaaaaaaaa,0x202aaaaa,0x3ea000fc,0xaaadf882,0xaaaaaaaa,
    0x002aaaaa,0x44037c40,0xfc8002fe,0x20bea000,0x400003f9,0xf800005f,
    0x20000005,0x10db03f8,0x7cc003ff,0x001fff03,0x03ff5000,0x41ffa800,
    0x26001ff8,0x00fc803f,0x3e00bea0,0x25f8fe65,0x3fe202fa,0x40fe6001,
    0x26001ff8,0x003f983f,0x003f2000,0x3f982fa8,0x03ec0000,0x5f83f200,
    0x05f80000,0x07e40000,0x3e05f500,0x00000005,0xfd803fd8,0x01f90003,
    0x5f817d40,0x03f40000,0x003f4000,0x40f90000,0x00fe42f9,0x3ea0fe60,
    0x2000003f,0x880004f8,0x000fe44f,0x3f200fe6,0x00bea000,0x360fc9f6,
    0x6401f70f,0x1fcc001f,0x4c001fc8,0x000bf03f,0x0007e400,0x017e05f5,
    0x003f7000,0x01fa3ec0,0x001fa000,0x001f9000,0x07e817d4,0x54000000,
    0x03fc806f,0x8003f200,0x01fd02fa,0x017e4000,0x00bf2000,0x026c0000,
    0x000dd13a,0x0bf707f3,0x6c0012a0,0x6c0012a7,0x4c003747,0x00fc803f,
    0x2e00bea0,0x3fa8df1f,0x006e80fb,0x0dd03f98,0x3a07f300,0x9000000f,
    0x17d4001f,0x00000fe8,0x4c0013ea,0x0017e45f,0x000bf200,0x000fc800,
    0x17e40bea,0x88000000,0x27e400ff,0x1fb80440,0x205fb100,0x2a0004fb,
    0x00007f41,0x00003fa0,0x9b00fa00,0xfd8006f8,0x36001503,0x27d8000f,
    0x7d8000fd,0x7ec0037c,0x001fb803,0xf3005fb1,0x2bf07f37,0x0037c05f,
    0x06f81fec,0xf703fd80,0x80d40009,0xfb1001fb,0x0013ee05,0x00fec1a8,
    0x7f40ff40,0x7f400000,0xf7000000,0x0bf62003,0x00000fe8,0x017fd400,
    0x2f4017ee,0xe9804fa8,0x0bf602ff,0x989fb100,0x0750006f,0x2a000df3,
    0x440d9003,0x800fec3f,0x0003ffe9,0x44003fd8,0x000ff65f,0x01fd8bf1,
    0x007ffd30,0xfd3009f5,0x333e005f,0x3f9fc80f,0x9800fec0,0x3fb03ffe,
    0x0fffa600,0x44002fd8,0x09f504fd,0x405ffd30,0x6c4002fd,0x0077c44f,
    0x3e607f90,0x30750006,0x0ea000df,0xe9804fa8,0x1be602ff,0x1001d400,
    0xfa803ffb,0x441be006,0x3fee00ff,0x3fe202fd,0x1bff7004,0x2005df70,
    0xdf707fea,0x1ffaa005,0xfb80fcc0,0x5c02fdc0,0x0003fdff,0x3004ffd8,
    0x27fec3fd,0x5c1fe980,0xdffb805f,0x0ff8803f,0x0bf7fee0,0xa837f740,
    0x7dc01fef,0xfdffb805,0x700bf703,0x4407fbff,0xff7004ff,0x03fe201b,
    0x02fdffb8,0x5c013fe2,0xffa80dff,0x037ec402,0x5400bbee,0x5df707fe,
    0x81ffaa00,0x3ee00ff8,0x7dc02fdf,0xffd5002e,0xdca99bc8,0x7cc00dff,
    0x81be000e,0xdb99cffa,0xeefa9eff,0x57dfd303,0xffd97313,0xbdfea807,
    0xfeca988a,0x3faa00df,0xca988abd,0x2000dffe,0x7f930bfc,0x226bbf60,
    0x99efedb9,0x0003deef,0x359dfdfb,0x5ffb5311,0xacefefd8,0xffda9889,
    0x135dfb02,0x33dfdb73,0x5407bddf,0xfdb99cff,0x3eefa9ef,0xf01ffe40,
    0xdfb001ff,0xfdb73135,0x7bddf33d,0x989aefd8,0xf99efedb,0xfe983dee,
    0xcb989abe,0xfa803ffe,0xffdb99cf,0x03eefa9e,0x1357dfd3,0x07ffd973,
    0x89bdfea8,0x004ffca9,0x1157bfd5,0x1bffd953,0x55eff540,0xffeca988,
    0x67fd400d,0x9effdb99,0x2a03eefa,0x988abdfe,0x20dffeca,0xefffffe8,
    0xddff002c,0xdddddddd,0xfb80bfdd,0x23ffffff,0x5c05fffa,0xffffffff,
    0x3f22003f,0xffffffff,0xff91001d,0xbfffffff,0x3fee0003,0x7dc02ffe,
    0x3fffffff,0x017fffe6,0xffeab5c0,0x1dffffff,0xfffd56b8,0x03bfffff,
    0xffffffb8,0x3ffe63ff,0x7ffdc05f,0x3ea3ffff,0x7fd405ff,0x801bf200,
    0xfffffffb,0x3fffe63f,0xfffffb85,0x3fe63fff,0x3fee05ff,0x3fffffff,
    0x7fffdc00,0x3fea3fff,0x7ffdc05f,0x03ffffff,0x3ffff220,0x4001efff,
    0xffffffc8,0x1001dfff,0xfffffff9,0x5c003bff,0x3fffffff,0x1017ffea,
    0xfffffff9,0x5cc03bff,0x7c4000ac,0xffffffff,0x05ffffff,0x00accb98,
    0x332a6000,0x4c0001ab,0x0009bcca,0x4de654c0,0x55100000,0x2ea20013,
    0x00000abc,0xccba9800,0x54c000ab,0x000abccb,0x02af2ea2,0xccb98000,
    0x0000000a,0xcba88000,0x440000ab,0x000abcba,0x2f32a600,0x2e60001a,
    0x00000acc,0x06af32a6,0xbcb98800,0xa980000a,0x00009bcc,0x04de654c,
    0x59973000,0xa9800001,0x00009bcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00766000,0x54c400f2,0x000009bc,0x44006ee6,0x10001aba,0x00013775,
    0xa8800050,0x0000000a,0x017003d8,0xb5007b00,0x28800001,0x40000000,
    0x00970059,0x0000000c,0x09900033,0x26001b30,0x003c801d,0x00310062,
    0x00188030,0x20b37620,0x076603b8,0x06200f20,0xa8000310,0x0200003d,
    0xd8802c80,0x40ffe601,0x5c403fe8,0xcfffffff,0xffb70000,0x6c05ffff,
    0x01ffffff,0xfffffd10,0x3620007f,0xff50002f,0x980005ff,0xf901acdb,
    0x007f1007,0x3201bfd0,0x4c00006f,0xbb10007f,0x03fa8000,0xf98037c4,
    0xb8000005,0xefd8005f,0x001ff700,0x7440ffe6,0x17fe004f,0xd0027fc4,
    0x02ffc0df,0xffffd880,0x205ffebb,0xfd103ff9,0x04ff8809,0x20007ff3,
    0x0002fff9,0xe8013f6a,0x017dc00f,0xff517fa6,0xceffa807,0x1ffda99a,
    0x37ffa200,0x882db99b,0xfda9befe,0x67fdc03f,0x0dfeba9a,0x013fa200,
    0x6ffffe80,0xffff9000,0x7d43dfff,0x009f1005,0xe887bf20,0x200000df,
    0x98002ffa,0x0001effe,0x7e401ff1,0x03bf6004,0x77e40000,0x5ff70000,
    0x00077ec4,0xfa837fa6,0x3fe6003f,0x00dff507,0x7c407ffc,0xea80007f,
    0x801befff,0x3ea0dfe9,0x6ff9803f,0x000bff50,0x8013ffea,0x4ffffda8,
    0x8813f200,0xfd8800ff,0x401efc9e,0x7d403ffa,0x4ffb800e,0x104fe800,
    0x3be605fd,0x4017f201,0x40003ff9,0x005ffffd,0x88deff44,0xff9cffca,
    0x009f1000,0x7cdffd40,0x5c00003f,0xfb8001ff,0x002ffbaf,0x2217df90,
    0x4000efca,0x00000efc,0x00006fec,0x3fa73fea,0x77ec0004,0x8001ffc9,
    0x07b202ec,0x3203eb80,0xd730002e,0x03ff9dff,0xfc9efd80,0x0bb2001f,
    0x0000f6c4,0x36003ffd,0x4fabefff,0x8b3fe200,0x4003feb9,0x800dfffb,
    0x9f7000ec,0x002ffc80,0x7c405fa8,0x800fe886,0x7fd402fd,0xfd880002,
    0x3ea000df,0x7ff4c03f,0x13e2001f,0xfffd3000,0xfc800005,0xefd8000e,
    0x0013fa61,0x7ff7ffe4,0xf70001ef,0xd100003f,0x440000bf,0x0002fffe,
    0x01bfff70,0x00000000,0x74400000,0x3ea1beff,0x7fdc000f,0x000000df,
    0x80060000,0x3e20bdf8,0x7ff4c004,0x004fffef,0x00007d30,0x3e607e80,
    0x0fd0000e,0x7f50bf60,0xa81be200,0x000001ff,0x02ff8800,0x10017fa0,
    0x3600009f,0x6c00000e,0xfe8000df,0x06fd880d,0xbddb9300,0xff500007,
    0x7f440005,0xd9000004,0xe9800003,0x00000004,0x80000000,0x3ea01bd8,
    0x274c000e,0x00000000,0xf1000000,0x3b6e0009,0x00000cde,0xfc800000,
    0x000ff880,0x26009f50,0x0007e45f,0x006d40fb,0xc8000000,0x3ff2002f,
    0x37ea000f,0x00000001,0x80013200,0x005b803d,0x30000000,0x2d80007d,
    0x00000000,0x00000000,0x00000000,0x3ee00000,0x00000004,0x00000000,
    0x004f8800,0x00000000,0x0fc80000,0x20003fd8,0x3fa001fd,0xf9001f60,
    0x00000001,0x00bf3000,0x02fcf7d4,0x3ffffae2,0x000198cf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x055d4c00,0x00000000,
    0x01fd8000,0x51000000,0x20000357,0x0001aba9,0x000027c4,0x5d4c4000,
    0x0000009a,0x00df10db,0x64006e80,0x8003ee2f,0x0000006d,0x03fd0000,
    0x7ec3fe20,0x59bff301,0x0bffff95,0x00000000,0x00000000,0x01aba880,
    0x00000000,0x2a200000,0x00009aba,0x001aba88,0x3ffff620,0x6c00cfff,
    0x2a00ffff,0x002fffff,0x33bff72a,0x00017e22,0xffff7000,0x8001bfff,
    0xffffffe9,0x2005b0cf,0x000004f8,0x3fff6600,0x599dffff,0x83fa8000,
    0x7c0001fa,0x117dc005,0x13e2007f,0x00000000,0xe8017e20,0x2613e61f,
    0x3fe602ef,0x03ffff65,0x2fffffa8,0x15731000,0x00000000,0x7fffffdc,
    0x000000df,0x01300000,0x3fffb2a0,0x0003ffff,0xfffffff7,0x7fdc001b,
    0xfeca9abd,0x3fbb202f,0x3bbaa00f,0xfd8802fe,0xeffedeff,0xffd81fb2,
    0xffffffff,0xd102ffff,0xb95379df,0x3f2007ff,0xeba9abdf,0x1005fbff,
    0x7f44009f,0x004fffff,0x26af7fea,0x1ffffcaa,0x03bea000,0xf10001f2,
    0x43f98009,0x1fd800fe,0xfffffe88,0x4c80004f,0x2005f300,0x446e83fc,
    0x5fb800fe,0x803ffbb2,0x82feeeea,0xd10fffe8,0x07dfffff,0xfffffd10,
    0x3a20009f,0xdca9bcef,0x7f4403ff,0x004fffff,0x13ffffa6,0x0b7fff66,
    0xaaceffd8,0x00efeba9,0x379dfd10,0x007ffb95,0xea803dfb,0x00fc803f,
    0xf500bea0,0xfd5103bf,0xefd85f5b,0xeeeeeeee,0xf981ffee,0x2ff4c04f,
    0x30037fa0,0x2200bffd,0x3b62004f,0x004feeee,0xd8803ff3,0x331001ff,
    0x3601dfb5,0x40379306,0x7c4004f9,0x880f7cc4,0xddb105fd,0x0009fddd,
    0x3ee00dd0,0xb05fb801,0x2002fc8f,0x001f905e,0x76c417d4,0xbdffa8ff,
    0x403ffba9,0xfeeeeed8,0x4ff98004,0x102ff4c0,0x9fdddddb,0x7776cc00,
    0x3bff224f,0x7503ffbb,0x00bf7001,0xe9809ff3,0x017ee05f,0x6401fe88,
    0x0bea000f,0x9002ff98,0x07d8bf9f,0x3a20ff60,0x0bf6001f,0xd1001fdc,
    0x13e200bf,0x8027c000,0xff1003fc,0xffff3003,0x264f80bf,0x0efffffd,
    0xf8003f98,0xabdfe985,0x8003ffcb,0xe80004f8,0x801f9006,0x1f900ef9,
    0x02200374,0xf50007e4,0xefcfc805,0x005fb100,0x88009f10,0x3f6001fe,
    0x027c4002,0x3a29f100,0x037441df,0x200fe800,0x36001fe8,0x006f982f,
    0x7e406f88,0x80bea000,0x7e4001fe,0xc803ec6f,0x005f904f,0x7cc0fe88,
    0x05fa8005,0x00009f10,0x03ec013e,0x22003ee0,0x00efffdb,0x33fe27f1,
    0x42ffc99a,0x5f8003f9,0xffffff10,0x3e20009f,0x3fa60004,0x880fb006,
    0x47ee01ff,0x200004f8,0x3ea000fc,0x02ffe402,0x44002fc4,0x17e4004f,
    0x003fa200,0x20004f88,0x03ff9cf8,0xfb800004,0x000bf202,0x1fd81fd1,
    0x405f5000,0x3ea000fc,0x0007f702,0x00f91ffa,0x17e60bf7,0x362fcc00,
    0x09f0001f,0x00013e20,0x2fa8027c,0x88000c00,0xbf982ffb,0xfd301ee8,
    0x4001fcc1,0xcefe885f,0x002ffdba,0xa8004f88,0xb001cffe,0x402fd80f,
    0x007f31fb,0x0007e400,0xefc805f5,0x001f9000,0x26004f88,0xbf30005f,
    0x0027c400,0x03ffdf10,0x7cc00000,0x000bf303,0x00dd17e6,0xf9027c40,
    0x817d4001,0x3ea0006e,0x3ea00c47,0x0007ee06,0x002fc7e8,0x3e200130,
    0x09f00004,0x002ffe20,0x7f4c0000,0x07f67cc3,0x3f997e60,0x74c5f800,
    0x09f9102e,0x4004f880,0x4000bffc,0x09f900fc,0x13e21f90,0x00fc8000,
    0xf900bea0,0x017d4001,0xb8013e20,0x1fa0001f,0x0004f880,0x0007bfe2,
    0x07f30000,0xe80007ee,0x2aab7e27,0xaaaaaaaa,0x205eaaaa,0x3ea000fc,
    0x4000bf02,0x26000ff8,0x01f600ef,0x3e21f900,0x10000004,0x3e00009f,
    0x3ff62004,0x000abcdf,0x20fd8800,0x9002fff8,0x0013e63f,0x077c49f1,
    0x1001fdc0,0x77ec009f,0x03f70000,0x1fa00bf5,0x640000df,0x0bea000f,
    0x54001f90,0x27c4002f,0x8000fb00,0x9f1000fc,0x077c4000,0xdd930000,
    0xf99dffff,0x0001f607,0x3ffe61f9,0xffffffff,0x7fffffff,0xa8003f20,
    0x003f982f,0xf3003fc0,0x006e801f,0x2fa8fdc0,0xf1000000,0x13e00009,
    0x3ffb2a00,0x0003ffff,0x3fe1fcc0,0x44bea005,0x1fcc005f,0x374003f7,
    0x2009f100,0x540005f8,0x0077c42f,0x00fec5f8,0x000fc800,0x1f900bea,
    0x0017d400,0x6e8013e2,0x00fdc000,0x20004f88,0x300004f8,0xd9ddfffb,
    0x207fffdd,0x7dc0006e,0x5555bf11,0x55555555,0x64055555,0x0bea000f,
    0xd0000fe6,0x07fa200d,0x50001ba0,0x000bea5f,0x027c4000,0x0004f800,
    0xeffca988,0x1be00001,0x7c4001fd,0xf5001be4,0x2a0036c5,0x09f1001f,
    0x00007ee0,0x0ff44bf1,0x7c44f980,0xfc804006,0x00bea000,0x7d4001f9,
    0x027c4002,0xa8000dd0,0x09f1002f,0x0027c400,0x00effcc0,0x3740fee2,
    0xf8bea000,0x64000005,0x0bea000f,0xf00017e2,0x05fd100b,0x90001f60,
    0x000fe61f,0x027c4000,0x0004f800,0x003ff500,0xfc83f200,0xfd2fc000,
    0x3e1fb800,0x01fc4004,0xdd004f88,0x47f20000,0x3f6003fd,0x400dfb81,
    0x01f906fb,0x32017d40,0x0bea000f,0x4009f100,0x7e40007d,0x009f1000,
    0x00027c40,0x98007fe2,0x000fb03f,0x01fa0fc8,0x01f90000,0x7e817d40,
    0x013e6000,0xfb800ff6,0xf1f60001,0x2000000b,0xf00004f8,0x44000009,
    0xfb00004f,0x22002fa8,0x8003f63f,0x009f10fd,0xf1004f88,0x001ba009,
    0x27defc40,0x5c09f500,0xba99acff,0x1f901ffe,0x2017d400,0x3ea000fc,
    0x027c4002,0x40003f70,0x13e2007d,0x004f8800,0x2000fe40,0x03f703f9,
    0x3f23ec00,0x32000002,0x0bea000f,0xc8000fec,0x01fe402f,0x40013ea0,
    0x007f45f9,0x27c40000,0x804f8000,0x0fb0004a,0xf11be000,0x517d400b,
    0x1be2009f,0x2fa800df,0x2009f100,0x0e6000fd,0x20037fe4,0x7f5400fe,
    0x0bffffff,0xa8003f20,0x007e402f,0x88005f50,0x13ea004f,0x002fcc00,
    0x440009f1,0x3740004f,0xa81fcc00,0xbf30004f,0x00001fd0,0x44007ee0,
    0x1df102fd,0x406e8800,0x408804fc,0xfe8001fd,0x00027dc1,0x09f10035,
    0x2013e000,0x7d8000fd,0x84fa8000,0x1fb001fc,0xfb800ff8,0xb0007ec2,
    0x13e2001f,0x90027dc0,0x00bfe60f,0x1001ff44,0x20035df7,0xfb1001fb,
    0x000fc805,0xf1000bea,0x01fd8009,0x2001fe80,0x220004f8,0x37c0004f,
    0xb01fec00,0x3fd0003f,0x2000df30,0x013ea03a,0xb80bffa6,0xfd1000ef,
    0x802fdc03,0x0077c45e,0x3f607f90,0x27ec4002,0x00027c40,0x3fd804f8,
    0x792fc400,0x077cc001,0x7d4037c4,0x4c03fb84,0x006f986f,0x7c4009f5,
    0x007fa004,0x7ff443e4,0x27f4c04f,0x0027c400,0x3a6013ea,0x07e402ff,
    0x8005f500,0x7c4004f8,0x0ff2000e,0x0009f100,0x200027c4,0xfd3001fd,
    0x077c407f,0x5c07f900,0xfd5002ef,0x007fc40f,0x805fbff7,0x7cc00efd,
    0x01bea04f,0x2ffa86f8,0x1037ec40,0x3ee009ff,0x4f8800df,0x009f0000,
    0x26009ffb,0x0fff61fe,0xb807fee0,0x1ff300df,0x7c40bfa0,0x01bf702f,
    0x100077dc,0x7fcc009f,0x21ff6a04,0xbefe8bfd,0x2ffdb98a,0x009f1000,
    0x2e00ff88,0x6402fdff,0x0bea000f,0x0009f100,0xd8805ff5,0x4f88006f,
    0x013e2000,0x700bf700,0xa807fbff,0x7ec402ff,0xbdfea806,0xfeca988a,
    0x7fd400df,0xeffdb99c,0x203eefa9,0x731bdffc,0x7cc07ffb,0x41be000e,
    0x989bdfea,0x9804ffca,0x989abefe,0x003ffecb,0x400013e2,0xfefd804f,
    0xa9889ace,0xffc82ffd,0xeba99ace,0xffc802ef,0x1ffca99b,0x26f7fa60,
    0x6403ffca,0xdb99abff,0x7c4001ef,0x7ff4c004,0xdfffedde,0x3ee2fdc1,
    0x1effffff,0x013e2000,0x2673fea0,0xfa9effdb,0x01f903ee,0x20017d40,
    0xd50004f8,0x953137bf,0x220009ff,0x3e20004f,0xefd80004,0xfedb989a,
    0x3deef99e,0x137bfd50,0x009ff953,0x7ffffe44,0x001dffff,0x3fffffee,
    0x17ffea3f,0xfffffd30,0xff801dff,0xeeeeeeee,0x205feeee,0xffffffc8,
    0x7dc001ef,0xffffffff,0x3bbbb203,0xeeeeffee,0x3bbae1de,0xeeffeeee,
    0x6b9deeee,0xffffffd5,0x64403bff,0xfffffffe,0x7ff54004,0x8800efff,
    0x1ffffffd,0xffffd300,0x775c09ff,0xeffeeeee,0x01deeeee,0x7bdfffb7,
    0x201df101,0x0009bcb9,0x0003f880,0xfffffff7,0x52fffd47,0x09ddffdb,
    0x1f77f75c,0xddddddd7,0xddddddff,0x7fe4403b,0x01efffff,0x7777775c,
    0xeeeeeffe,0x999911de,0xdddddff9,0xf7001bdd,0x7fffffff,0x02ffffcc,
    0xffffff91,0x4c0003df,0x0009bcca,0x02b32e60,0xcb988000,0xff88009b,
    0xffffffff,0x805fffff,0x00abcb98,0x5e654c00,0x7ff4401a,0xffffffff,
    0x3f63ffff,0xffffffff,0x3fffffff,0x57997530,0x59730001,0x5d400013,
    0xa88000ac,0x530001bc,0xfe801379,0xffffffff,0x2fffffff,0x03220000,
    0x74000000,0x32e60002,0x7dc000ac,0x00efffff,0x4bfffffb,0xfffffffe,
    0xffffffff,0xcb98802f,0xffd000ab,0xffffffff,0x25ffffff,0xfffffff9,
    0xffffffff,0x79751001,0x44000015,0x000abcb9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6ff64c00,0xfffb000c,0x4000001f,0x00da803d,0x00c40188,
    0x00375100,0xfffd8000,0x002fec1f,0x000007db,0x81ffffd8,0xaaaaaaa9,
    0xaaaaaaaa,0x001aaaaa,0x0026ae62,0x3660065c,0x7ec00001,0x3fa01fff,
    0xffffffff,0x22001eff,0x20001aca,0x0000ab98,0x0019b300,0x02ae6000,
    0x0000a200,0x00014400,0x00dd4c00,0x20000000,0x3ff24fe9,0xffffffff,
    0x222fffff,0x64002dfc,0x2fffefff,0x0ffeec80,0x3fa00000,0x00df900d,
    0x3e209ff1,0x7fdc003f,0x2e2dffff,0x8003ffff,0x2a1feeeb,0xff002fff,
    0xb8000009,0x9c81feee,0x99999999,0x99999999,0xffd13a99,0x3fffa61f,
    0xfc802fff,0x01ff701e,0xeeeb8000,0x3bbfa01f,0xeeeeeeee,0xffeb800d,
    0x2001efff,0xffffffea,0x3ffff21d,0x13ffe002,0x0ffffd80,0x3fffffae,
    0xd95101ce,0x200000bf,0x005feca8,0x37ba6000,0x00004efc,0xffd80040,
    0xddddf91f,0xdddddddd,0x7fff45fd,0x7df7002f,0x000ffd41,0x000001f9,
    0x3a21efc8,0xff9800df,0x00bff506,0x26b3bfa2,0xdf74ffca,0xb80005dd,
    0x03ffe61f,0x00027fc0,0x903f7000,0x13880000,0xff51ffdb,0xbff7537d,
    0xd85ff700,0x000001ef,0x0fd00fdc,0xbefd8000,0x04ffca9a,0x4de7fe44,
    0xf92ffdba,0x22005ddd,0x32006fff,0xffb0ffee,0xffb95379,0xbd59dd03,
    0x3ba00000,0x00005eac,0x3f507f10,0x1ee00000,0xf93ffd40,0x32fb8001,
    0x00bfffff,0x3e201ff3,0x01f9000e,0xff500000,0x8009ff37,0x07b602ec,
    0x8813fe20,0x001fbcfd,0xb107ee00,0x027fc00b,0x3f700000,0x88000090,
    0x0efcfc83,0x3005fb10,0x1bfd39fd,0x26620000,0x9afc9999,0x00007e81,
    0x6c407fd1,0x037fa04f,0x1fccfe98,0x05ffb000,0x3fa7f200,0x00ffd404,
    0x00000176,0x000002ec,0x00006d80,0x22001f90,0x2001f24e,0xffff30fd,
    0x07f7009f,0xf9002fb8,0x20000001,0x002fffe9,0xfd800000,0x3fff7002,
    0x0fdc0000,0xcc800be6,0x20000002,0x000481fb,0x7fe41c40,0x03fcc00d,
    0x03fffd88,0x7fff4000,0xffffffff,0x80003f44,0x3fb004fd,0x6c007f90,
    0x20001fff,0x3f200009,0xfd1002ff,0x0002ec03,0x0005d800,0x00d90000,
    0x003f2000,0x005107e4,0xfffd8bf0,0x00fc801f,0xfc801fc4,0x40000000,
    0x000000ed,0x004fa800,0x0000ffec,0x06e83f70,0x00000000,0x00481fb8,
    0x7e41c400,0x003fa005,0x00001eb8,0xaaaaaa98,0x740aabfd,0xef880007,
    0xa8df1000,0x7f44005f,0x0000001f,0x0013ff20,0x02ec0df3,0x05d80000,
    0xfa800000,0xf9000003,0x005f5001,0xb507f500,0x01f20017,0x7e4013e2,
    0x00000000,0x00000000,0xf10003fa,0x5c00003f,0x0003621f,0x20000000,
    0x000481fb,0x07e41c40,0x0005f700,0x70000000,0x003f403f,0x2000fdc0,
    0x0007ec7d,0x0000ffcc,0x0df90000,0x6c03ee00,0x80200005,0x0100005d,
    0x002ffed8,0x01f90020,0x20000310,0x900000fc,0x005f500f,0x55cc03f2,
    0x00000001,0x35755100,0x0017e001,0x51000ff4,0x003f7037,0x10000000,
    0x07ee0157,0x71000012,0x54001f90,0x0000002f,0xb8055c40,0x001fa01f,
    0x2e000a20,0x80017e1f,0xa98001ff,0xf90000ab,0x0fe20009,0x4c0002ec,
    0x0017607e,0x4c05f910,0x70004fec,0x007e40bf,0x1be00000,0x407c8000,
    0xf9000fe9,0x7fffed41,0x20000cff,0x8000ab98,0xfffffeca,0x1fcc03ff,
    0x801fc800,0x4fffffe8,0x000007ee,0x7f654000,0x2e0cefff,0x0000481f,
    0x007e41c4,0x00005f50,0x76540013,0x20ceffff,0x01fa01fb,0xfc800000,
    0x40009f10,0xfb1001fd,0x19ffffff,0x0017e400,0x01760bf0,0x407ff900,
    0x3ea0005d,0x1ba6005f,0x21ffd880,0xfffffffc,0xffffffff,0x3f980003,
    0x21f20000,0x001ffca8,0x6ffdc3f2,0x1efeca9b,0x10fffe88,0x7dfffffd,
    0x33bff600,0xefeba9aa,0x0005f500,0xff3007ee,0x2bfb737b,0x3a2001fb,
    0x04ffffff,0x37bff700,0x2e3dfb75,0x0000481f,0x007e41c4,0x7f4c5f50,
    0xfd984fff,0x7dc02dff,0xfdba9bdf,0x7403f71e,0x9dfdb737,0x3a000005,
    0x8000be67,0xffb801fc,0xfeca9abd,0x03f9002f,0x5d83f400,0x3dfd5000,
    0x88005d80,0xa8002ffd,0xcffb801f,0x7ff77640,0xeeeeeeee,0xc80002ee,
    0x3200001f,0x1ffffcc7,0x3f23f200,0x0bfee00d,0xf51ffdb1,0xff7537bf,
    0x00175007,0x0fe60bf7,0x300fe400,0x37ee05ff,0x362001fc,0x04feeeee,
    0x200efa80,0x81fb9fe9,0x1c400004,0xf50007e4,0x7f776cc5,0x2fbff224,
    0xdf503ffb,0x5cff4c01,0x3fbfa01f,0xdfffeeff,0x3ea00000,0x80013e24,
    0x77ec01fd,0x01ff5401,0xf00017e4,0x1001760b,0x36007ffb,0x6ffd4005,
    0x813e0000,0x9001efe9,0x0000001f,0x20000374,0x7fee447c,0xdf9000df,
    0x3fe6007f,0x1df9f900,0x000bf620,0x3e01fd00,0x03fd0005,0x3ea00fec,
    0x880001ff,0x27d4004f,0x1fefd880,0x44000048,0x2000fc83,0x53e202fa,
    0x7441dfe8,0x1004fa86,0x6c03fdfb,0xfd880cff,0xf880000f,0x0002fc0f,
    0x2fdc03ff,0x803fd100,0xf10004fc,0xa8017609,0x36000dff,0x5ffb1005,
    0x02fb8000,0xc8009ff7,0x0000000f,0x800009f1,0x7fecc07c,0x05ffc802,
    0xfc82fd40,0x05f8805f,0x817dc000,0x7c4000fe,0x009f501f,0x00007ff6,
    0xf88013e2,0x7ffc4006,0x40000481,0x000fc838,0xcf880bea,0x20403ff9,
    0x7c4006f8,0x00a601ff,0x20002fd4,0x0fd81fe8,0x01ff9800,0xf1000df3,
    0x006fc80d,0x17605f70,0x00bff620,0x3ee01760,0xacd800cf,0x74c2fd40,
    0xfc8001ef,0x70000000,0xc800003f,0x01fd5007,0x8000ffc8,0x0efc82fd,
    0x0001f900,0xfa81fcc0,0x0ffec004,0xf3000fe8,0xf100003f,0x00fdc009,
    0x240ffdc0,0x20e20000,0x3ea000fc,0x3ffbe202,0x01fb8001,0x001ffb80,
    0x000bf600,0xfa817f44,0x1ffe8005,0x20003fb0,0x3ff202fa,0xb37c4003,
    0xffffffff,0x40dffb89,0x7ffec2cc,0x264fffff,0xbd951efe,0xdffc8817,
    0xffc84ffd,0x20166443,0x000000fc,0x7e4c0fd0,0x00f9002e,0x3f2037cc,
    0x07f30004,0x7d4001f9,0x3e600002,0x400bf603,0xbf01fffb,0x001fe800,
    0x2004f880,0x3fe0006d,0x40000481,0x000fc838,0xff880bea,0x0db0001e,
    0x000ffc00,0x000bf100,0xfc807fd1,0x3fff2003,0x4000dd01,0x3ff204f8,
    0x87fa001f,0x99999998,0x05ffb109,0x99889ff9,0x70999999,0x37f629ff,
    0x9882ffcb,0x7f540abb,0x03fed80e,0x000007e4,0xfd027c40,0xf9005fff,
    0x203fb800,0x3e0003fc,0x2000fc85,0xec9802fa,0xcceffffe,0x13fe203f,
    0x03f7bf90,0xfd8009f1,0x4f880001,0x80013e00,0x000481fe,0x07e41c40,
    0x4405f500,0x3e0000ef,0x07fa0004,0x00dd0000,0x8803fe88,0x3a600dfe,
    0xf881fccf,0xaaaaaaad,0xaaaaaaaa,0x3a7f205e,0x27f4c04f,0x0cffb800,
    0x004eaf98,0x361efe98,0x000fd80f,0x540fff62,0x7e403faf,0xa8000000,
    0xffff502f,0x00f900bf,0x0fe40bf0,0xf90dd000,0x017d4001,0x9ddfffb3,
    0x07fffddd,0x9acefe88,0x3f74feca,0xc8007f30,0xf880001f,0x007f3004,
    0x0240fe40,0x320e2000,0x0bea000f,0x20004f88,0x320003f9,0x6400001f,
    0x0ffa2007,0xbcffd880,0x93ffcb99,0xffff303f,0xffffffff,0x0fffffff,
    0x77ec47e4,0xffdba9ac,0xefe98003,0x02757a01,0xf10fff20,0x400fe205,
    0xf100dffa,0x1f900fe9,0xfb000000,0x7ffffc40,0x8007c804,0x007f207d,
    0x0fc86e80,0x4c0bea00,0x5c401dff,0xfff7003f,0x7dc5dfff,0x4002fa81,
    0x880001fc,0x05f3004f,0x240fe400,0x54e20000,0x04eeffed,0x3e202fa8,
    0x0be60004,0x001fc800,0x4007e400,0x50002fe8,0xbfffffff,0x7c40fe43,
    0xaaaaaaad,0xaaaaaaaa,0xb83f202a,0xdffffffe,0x4ffc8000,0x04e87e40,
    0x001dfd50,0xfb1013e0,0xf0ed805f,0x000fc807,0x405f8000,0x801ffffd,
    0x1fc8007c,0x40007f90,0x000fc85f,0x3fe20bea,0x00fe6001,0x2e037530,
    0x003f881f,0x40000fec,0x13e004f8,0x481fd800,0xb9c40000,0x0effffff,
    0xf1017d40,0x04f80009,0x0007f600,0xf300fb00,0x5100005f,0x07f20377,
    0x000002fc,0x2e6203f2,0xfd30001a,0x22f9803d,0x7fec404e,0x07ee0003,
    0x400dffb8,0x900fe2fa,0x8000001f,0xbc9802fa,0x000f9000,0x13f203f7,
    0x641fc400,0x0bea000f,0xf30007f2,0xf7000007,0xd0017e03,0xf100003f,
    0x002ec009,0x00903ff0,0x00038800,0x7c405f50,0x02ec0004,0x0003ff00,
    0x7cc06e80,0x0000002f,0x07e80fe4,0x07e40000,0xffb80000,0x4e8bd003,
    0x0037fe20,0x3602fa80,0x4f8802ef,0x03f201fc,0x1f900000,0x1f200000,
    0x00fd8022,0x90001ff9,0x001f905f,0x037417d4,0x0001fcc0,0xfe80fe40,
    0x03ff3000,0x009f1000,0x540007dc,0x000481ff,0x80001c40,0x13e201fb,
    0x001f7000,0x0003ff50,0xf302fc40,0x0000005f,0x3f203f90,0x32000002,
    0xd000000f,0x03f2001b,0x0175c09d,0x880bee00,0x03f6004f,0x00fc807f,
    0x02fc0000,0x3e401440,0x40ff036c,0x4c004ffc,0x001f905f,0x037c17d4,
    0x0001fec0,0x7f503ec0,0x007ff600,0x8013e200,0x744005f9,0x000481ff,
    0x80001c40,0x13e200fd,0x00bf3000,0x981ffe88,0x02fd8000,0x00003ff5,
    0x807f2000,0x000000fe,0x000001f9,0xd05f3000,0xc8000009,0x5400001f,
    0x6403f82f,0x2000000f,0x744003f9,0x6c3e400f,0x205fa80f,0x1002fefc,
    0x03f201fd,0xfd82fa80,0x7ffd3001,0x5f980000,0x26007f40,0x80001fff,
    0x7dc004f8,0x3fbf2003,0x40000481,0xff000038,0x0004f880,0x32003fb8,
    0x3fe81fef,0x5417ea00,0x000001ff,0x9807f200,0x0750006f,0x000007e4,
    0x777ec000,0x00dffeee,0x0f744000,0x77ec0000,0x05efeeee,0x00000bea,
    0x26000fc8,0x87c802ff,0x01fd83fb,0x013f67f2,0x7e407fd3,0x20bea000,
    0xffb805fb,0x200003fd,0x7d402ff8,0xf9bf501e,0x9f100003,0x01bf9000,
    0x0fdd7f44,0x22000024,0x3fd80003,0x00027c40,0x2200dfc8,0x981fbafe,
    0x7dc00dff,0x00efa80f,0x00000e20,0xefb803f9,0x0ffd5002,0x000007e4,
    0x4ccc4000,0x001de999,0x006f4c00,0x99988000,0x200cf999,0xc9800ef8,
    0x00dd000e,0xd900ffd4,0x7c45bffd,0x84fd98cf,0xfb0ffeeb,0xfb53137d,
    0x00fc805f,0x7ec0bea0,0xedb989ae,0xdeef99ef,0xfd510003,0x2ffea007,
    0xf76fca89,0x20005bdd,0xf90004f8,0xf951157d,0x37bbee5f,0x88000092,
    0x3f220003,0x004f8806,0x2afbf200,0x72ffca88,0x6c45bddf,0xba9abdff,
    0xefa81efe,0x00fd4000,0x003f9000,0x1157bfd5,0x1bffd953,0x00007e40,
    0x3a000000,0x7d400004,0x00000004,0x3fea00fe,0xeca988ad,0x7f3005ff,
    0x007bee00,0x89fffffd,0x04fffff9,0x5c1ffffd,0xdffffffe,0xdffdb500,
    0x7f75c09d,0xfffb83ee,0x263fffff,0x2a05ffff,0xffeeeeed,0x7fcc003f,
    0xf70dffff,0x75c07fff,0xffeeeeee,0x1deeeeee,0x3ffff6e0,0x3fee1dff,
    0x000093ff,0xed880388,0x40dfffee,0xffccccc8,0xdeeeeeee,0x3ff6e000,
    0x2e1dffff,0xda83ffff,0x4fffffff,0x3bbbbee0,0xeeeeeeee,0x70002fee,
    0xddfddddb,0x7fe4405b,0xdfffffff,0xdffdd701,0x0003bddd,0xd3100000,
    0x2e00001b,0x999999cf,0x1000004d,0xd50019f3,0xdfffffff,0x07cc003b,
    0x00077e40,0x06f2e200,0x2f2a2000,0x7ffdc00a,0xfb00efff,0x220bffff,
    0x000abcba,0xfffffc80,0x20000cef,0x0000acb9,0x7ffffff4,0xffffffff,
    0xca8802ff,0xccd8001b,0xcccccccc,0xcccccccc,0xff9803dc,0xf302ceff,
    0xffffffff,0x03ffffff,0x03795100,0x5e544000,0xffffb801,0xffffffff,
    0x0002ffff,0xfffffff9,0x2a6007ff,0xd8009bcc,0xffffffff,0x0000002f,
    0x3ffffd40,0xfffd8000,0x05ffffff,0xfffa8000,0x32ea006f,0x000001ac,
    0x00000970,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26400000,0x88006cc0,
    0x0009aba9,0x54000000,0x800004ed,0x8000aba9,0xbdcb9880,0x00000009,
    0x33333300,0x26662013,0x80999999,0xffffffe8,0x0013f624,0x50035753,
    0x000005dd,0x50000000,0xd10007db,0x0000ffff,0x00000000,0x10059b73,
    0xfffe8819,0x00004fff,0x26200980,0x2f6e6019,0x7fffec01,0x3fffee00,
    0xdb70002f,0x0379dddf,0x00ab9880,0x0066cc00,0x5c03bf60,0x7ecc00ff,
    0x9dffffff,0x7ffdc059,0xffffffff,0xfffd1002,0x01fc85df,0xfffffb10,
    0x3a0019ff,0x3fffff24,0x4000dfff,0xfffffff9,0x3604ffff,0xffffffff,
    0x7ffffdc4,0x40ffffff,0xfeeeeed8,0x007ffee4,0xffffffd3,0xfe8b619f,
    0x8000006f,0xfffffff9,0x1004ffff,0x85dffffd,0xfddb00fc,0x4400000f,
    0xffffffff,0x64005fff,0xdfffffff,0xd885f503,0x04feeeee,0x3ffffa60,
    0xdfffd984,0x23fffcc2,0xffffffd8,0xffddb03e,0x77775401,0x7f4c002f,
    0xffffeeef,0x43fffa26,0xefffffe8,0xbffd0003,0x45ff7000,0x5400efd8,
    0xaa9abdff,0x201ffffc,0xeeeeeed9,0xb001deee,0x3bfee19f,0xf7005fec,
    0xd95357bf,0x3bf005ff,0x2617bffd,0x2001ffdb,0xeeeeeed8,0x2603deee,
    0xbccffccc,0x66665c40,0x003ccdfd,0xfffa93e2,0x2f7ff200,0xbffeba9a,
    0x013ff65f,0x3b620000,0xeeeeeeee,0x19fb002d,0x3fb3bfee,0x000fb005,
    0x77764400,0x3eeeeeee,0x37bfd100,0x20fff2a2,0x9f1002fb,0x7776cc00,
    0x3bff224f,0x5d43ffbb,0x33ffea7e,0x807fd712,0x3ea000fc,0x0ffe2002,
    0x3b620998,0xbdffa8ff,0x003ffba9,0x0037ffc4,0xfe9cffa8,0x01ff9804,
    0x000ffec4,0x404c0000,0x003fffc8,0xea803dfb,0x7fffc03f,0x03fe9802,
    0xf8000000,0x07f30005,0xd113e200,0x006ff409,0xf517ffa6,0x00000003,
    0x404c0000,0x403fffc8,0x999fe998,0x00000999,0xffa80000,0x21ff4403,
    0x13e2007d,0xd14f8800,0x06e883bf,0x03ff71f9,0xf900ff44,0x017d4001,
    0x80007fb0,0x100efcfc,0xfc8005fb,0x3a20003f,0xf9002fff,0x07fe2007,
    0x00000000,0x0bf7000c,0xf00ff440,0x744001df,0x0000001f,0x98002fc0,
    0x9f10003f,0x7f701f98,0x22ff4400,0x0000006d,0x80000000,0xffffc801,
    0xffffffff,0x00000004,0x400bfe20,0x09f93fd8,0x00027c40,0x07ff39f1,
    0xdfbf9008,0x40df3001,0x3ea000fc,0x003fe002,0x00bff900,0x13000bf1,
    0x07b20000,0x5c007d80,0x0000000f,0x7cc00000,0x06f88006,0x260007fe,
    0x0000006f,0x98002fc0,0x9f10003f,0x5f982f44,0x2a5fa800,0x0000002f,
    0x00000000,0xfd999300,0x39999999,0x00000000,0x740017e4,0x2000dfff,
    0x220004f8,0x0001ffef,0x8003bff2,0x01f902fb,0x88017d40,0xfc80004f,
    0x01f9000e,0x00000000,0x4002fa80,0x2eaa2001,0x4400009a,0x0009abaa,
    0x2a0003fb,0x000df02f,0x00001fe4,0x000bf000,0x44000fe6,0x6c03664f,
    0x49f0001f,0x0000003b,0x006aea20,0x0d5d4400,0x0007d800,0x2aea6000,
    0x017e6000,0x001ffcc0,0x100027c4,0x80003dff,0x4c000dfc,0x001f904f,
    0xf88017d4,0x0fc80004,0x000bea00,0x00000000,0x00017ff1,0x3fffb2a0,
    0x4003ffff,0xfffffeca,0x06e803ff,0x6413e200,0x1be20001,0x401ffffb,
    0x02fffffa,0xf30005f8,0x13e20007,0x20005f80,0x73100009,0x7dc00015,
    0x0dffffff,0xffffb800,0x2000dfff,0x0357307d,0x7ffec400,0x400cffff,
    0x360001fd,0x4f88001f,0x03be2000,0x003f2000,0x0fc82fc0,0x400bea00,
    0xc80004f8,0x0bea000f,0x00000000,0x3fff6200,0x2000abcd,0x9aaceffd,
    0x800efeba,0x9aaceffd,0x100efeba,0x555555bf,0x55555555,0x00000bd5,
    0x3fbb23ec,0x3bbaa00f,0x05f802fe,0x0007f300,0x7c4013e2,0xe8800004,
    0xffd10fff,0x4007dfff,0xa9bcefe8,0x1003ffdc,0x95379dfd,0x36007ffb,
    0x3ffffa67,0x7dc002ff,0xeca9abdf,0x0bf102ff,0x002f9800,0x20004f88,
    0x900004f8,0x82fc000f,0x3ea000fc,0xfffffb02,0x1f900009,0x6c17d400,
    0xffffffff,0x82ffffff,0xffffffe8,0xfd950004,0x007fffff,0xbf700175,
    0x70017500,0x3ffe60bf,0xffffffff,0x7fffffff,0x3ee00000,0x4001f901,
    0x05f802fa,0x0007f300,0x7d4013e2,0xd8800002,0xdffa8ffe,0x03ffba9b,
    0x4c04ff98,0x7fcc05fe,0x02ff4c04,0xbcffbbec,0x004ffba9,0xea803dfb,
    0x002f983f,0x88004f80,0x3e20004f,0x0f900004,0xfc837400,0x40bea000,
    0x04feeeed,0x000fc800,0x3bf60bea,0xeeeeeeee,0xd881ffee,0x04feeeee,
    0xf9531000,0x400003df,0x400000fe,0xadf880fe,0xaaaaaaaa,0x2aaaaaaa,
    0x3ea00000,0x4001f902,0x05f802fa,0x0007f300,0x7d4013e2,0x64000002,
    0xb100efcf,0x0ff4405f,0x2205fb00,0x3f6001fe,0x6fe7ec02,0x805fb100,
    0x3a2005fb,0x000fdc1f,0x440036c0,0x3e20004f,0x0f900004,0xfc837400,
    0x00bea000,0x400027c4,0x3ea000fc,0x36007d82,0x27c4003f,0xff500000,
    0x3ee00003,0x7dc00002,0x0000bf02,0xaaaaaa98,0xaaaaaaaa,0x3fbaaaaa,
    0x54001f90,0x005f802f,0x20007f30,0x7f3004f8,0xfc800000,0x05f8805f,
    0xd1000bf2,0x005f901f,0x3600fe88,0x6f9804ff,0x2001be60,0x007e46f8,
    0x4003e400,0x037ee4f8,0x00013e20,0xdb0003e4,0xa8003f20,0x09f1002f,
    0x001f9000,0x03ec17d4,0x88004fc8,0x4000004f,0x300004f8,0x9800007f,
    0x000fd03f,0xfffffc80,0xffffffff,0xffffffff,0x4001f903,0x05f802fa,
    0x0007f300,0x5f8013e2,0x7e400000,0x01f9000e,0x26000bf3,0x002fcc5f,
    0x3f605f98,0x403fa005,0xf50001fd,0x80003ec5,0x7c4001fb,0x009fff14,
    0x200009f1,0x1b60007c,0xf50007e4,0x013e2005,0x8003f200,0x807c82fa,
    0xf10005fb,0x0012a009,0x980003ec,0x4c00003f,0x005f903f,0x555fe400,
    0xaaaaaaaa,0xbaaaaaaa,0x001f903f,0x2fc017d4,0x003f9800,0x74009f10,
    0x2000000f,0x3ea000fc,0x0001fb82,0x003f71fa,0x0fb03f40,0xdd01fb80,
    0xb27c4000,0x3ee0000f,0x8a7c4001,0xf8804fff,0x0f900004,0xfc836c00,
    0x05fd1001,0x00013e20,0xfa8003f2,0x7d401882,0x13e20006,0x40007ec0,
    0x7764c07d,0xfcceffff,0xfdd93003,0x7f99dfff,0x00007f40,0x00000fc8,
    0x03f207f3,0xf802fa80,0x07f30005,0x8013e200,0x2a0004fb,0x8003f201,
    0x007d82fa,0x0fb07e40,0xb00fc800,0x82fa800f,0xaaaaadf8,0xaaaaaaaa,
    0x03f25eaa,0x003f2000,0x77e49f10,0x004f8801,0x4000f900,0x009f906e,
    0x2005fff3,0xc80004f8,0x0bea000f,0x003be600,0xb004f880,0x5f88007f,
    0xddfffb30,0x7fffddd9,0xefffd980,0xfffeeece,0x001be603,0x005f71d4,
    0x6407ee00,0x0bea000f,0x4c0017e0,0x9f10003f,0x002fd800,0xf9027ec4,
    0x417d4001,0x7dc0006e,0x70001ba1,0x001f603f,0xfff305f5,0xffffffff,
    0xffffffff,0x40000fdc,0x4f88007d,0x013e2000,0x0003e400,0x03ff20dd,
    0x02fdffb8,0x00009f10,0x7d4001f9,0x07fcc002,0x013e2000,0x98027fec,
    0xdff981fe,0x01fdc401,0x8803bff3,0x77dc03fb,0x4ffd5002,0x900003f9,
    0x003f201f,0x5f802fa8,0x03f98010,0x8009f100,0xf7004ff8,0x07e401bf,
    0xdd05f500,0x22fa8000,0x7d40006e,0xa800fb02,0xaadf882f,0xaaaaaaaa,
    0x22aaaaaa,0xf80003f9,0x04f88006,0x0013e200,0xd0003e40,0x33fff20b,
    0x9effdb99,0x4403eefa,0xfc80004f,0x00bea000,0x0001fe88,0xfb004f88,
    0x11359dfd,0x105ffb53,0x7cc003ff,0x003ff103,0x75401fcc,0xa988abdf,
    0x7c0dffec,0x0dd00005,0xf50007e4,0xdb0bf005,0x0003f980,0xd30009f1,
    0x731357df,0x9007ffd9,0x17d4001f,0x320003ec,0x0001f60f,0x01f601f9,
    0x17e05f50,0x0bf10000,0x004f9800,0x91004f88,0xddff9999,0x01bddddd,
    0x74000f90,0xfff9f905,0x7d47ffff,0x27c405ff,0xffeda800,0x3bae04ee,
    0x74403eef,0xf100002f,0x755ae009,0xffffffff,0x003f901d,0x3f903f98,
    0x003f9800,0xffffff91,0x3603bfff,0x7cc0001f,0x8003f204,0x85f802fa,
    0x017d407d,0x0004f880,0x3fffffee,0x32003fff,0x0bea000f,0xd80007ee,
    0x0000fdc7,0x003ec0fb,0x03f40bea,0x00fec000,0x0003fb00,0x3e6009f1,
    0xffffffff,0x01ffffff,0x3e0007c8,0x9711f904,0x10000159,0x3ee0009f,
    0x00efffff,0x0bfffffb,0x00003fd8,0x980013e2,0x00abdfba,0x7cc00374,
    0x3000dd03,0xfd30007f,0xf300137b,0x0fe8000d,0xa8003f20,0xd85f802f,
    0x000fdc07,0x80004f88,0x01abdfa9,0x2000fc80,0x04fa82fa,0xfa8bf300,
    0x0bf30004,0x3ea003ec,0x0005f902,0x0006f880,0x22000df3,0x0000004f,
    0x8001f200,0x001f904f,0x027c4000,0x00000000,0x00001fe4,0x400013e2,
    0x01be002e,0x37c0ff60,0x001fec00,0xf70002f8,0x0bf20007,0x22003f70,
    0x85f802fd,0x007e407d,0x0004f880,0x90000ba0,0x17d4001f,0xe8001fd8,
    0x001fd81f,0x1f601fe8,0x7405f500,0x6400000f,0x1fe8002f,0x009f1000,
    0x64000000,0x05f50007,0x000003f2,0x00004f88,0x7e400000,0x20008804,
    0xd00004f8,0x07f6003b,0x81fff4c0,0xfd3001fd,0x0d70007f,0x003fd800,
    0x7d4027e4,0x2ffe9804,0x0fd85f80,0x4000df10,0x200004f8,0x320001de,
    0x0bea000f,0x900077c4,0x03be207f,0x6c03fc80,0x017d4007,0x2a000df3,
    0x002ff883,0x40009fd1,0xa80004f8,0x320001ce,0x01fb0007,0x000003f2,
    0x00004f88,0x000b3620,0x2f4017ee,0x0009f100,0x200beea0,0xffb805fb,
    0x0bf703fd,0x07fbff70,0x8000b500,0x4400dfe8,0xf8800dfe,0x37fee00f,
    0x985f802f,0x02fc80ef,0x0013e200,0x002fba80,0x54001f90,0x0bfea02f,
    0xa80dfb10,0x7ec402ff,0x4007d806,0x77dc02fa,0x0ffd5002,0xd1013fe6,
    0xf88000bf,0xf9500004,0x01f20001,0xfc81be20,0x22000000,0x4000004f,
    0x2a002fb9,0x01be006f,0x20004f88,0xd802e408,0xdb989aef,0xeef99efe,
    0x4d77ec3d,0x9efedb98,0x003deef9,0x00bae73e,0x26f3fee0,0x02ffdb98,
    0x4ce7fd40,0xfa9effdb,0x3bb6a3ee,0xf51deeff,0x0df9315d,0x004f8800,
    0x01720440,0x50007e40,0xdfea805f,0xffca989b,0x7bfd5004,0x9ff95313,
    0x5001f600,0xbfd5005f,0xd9531157,0x6c401bff,0xdb98acef,0x880004ff,
    0x7400004f,0x7fee4002,0x456e41ce,0x3200ffc8,0x2000000f,0x000004f8,
    0x3e600990,0x01be000e,0x20004f88,0x02fbbdfd,0x3ffffee0,0x3fe63fff,
    0xfffb85ff,0x263fffff,0x2005ffff,0x0003dfc9,0x3fffffa6,0x70000dff,
    0x7fffffff,0xf72fffd4,0x7fffffff,0x6fffffdc,0xeeeec800,0xeeeffeee,
    0x6c01deee,0x002fbbdf,0x3bbffb6a,0x3bfbae04,0x3ff2203e,0x01efffff,
    0x7fffe440,0x5401efff,0x04eeffed,0xbddfddb3,0x7ffe4401,0x1dffffff,
    0x3ffff200,0x2001dfff,0xeeeeeeec,0xeeeeeeff,0x2b3aa01d,0x3a2000fc,
    0x542fffff,0x01efffff,0x800007e4,0xefeeeed9,0x0003deee,0x17dde744,
    0xeeeeff80,0xeeeeeeee,0x77775c5f,0xeeeffeee,0x5401deee,0x88002dec,
    0x000abcba,0x55e5d440,0x00000000,0x79731000,0x2e600003,0x00000acc,
    0x00379300,0x7ffffff4,0xffffffff,0xeca802ff,0x7fdc002d,0xb00effff,
    0x00bfffff,0x01579731,0xbcb98800,0xfff9000a,0x3ea0dfff,0x01ffffff,
    0x13799530,0xcca88000,0xffe8001a,0xffffffff,0x02ffffff,0x000e76dc,
    0x332a2000,0x006a800a,0x3fffea00,0x4fffffff,0xded98000,0xffff1002,
    0xffffffff,0xffe8bfff,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00054000,
    0x7fffff44,0xeb80004f,0x2000002e,0x01acdba8,0x00001000,0x2006200c,
    0x09999998,0x26666660,0x6dd44001,0x800001ac,0x4c05fff9,0x01bcedcb,
    0x79b95100,0x22001013,0x99999999,0x20019999,0x09acdcca,0x76dc0004,
    0x21bcdeef,0x05fffffc,0x77ffffdc,0xcdb98800,0x54c0001b,0x2041bcdc,
    0x007fffe8,0x00004000,0xfffffe88,0x3ff6004f,0x300000ff,0x30013333,
    0x40013333,0x000cdeca,0x000fe200,0x3bbbbb62,0x3e60004f,0x221dffef,
    0xff90006e,0xbfffdbdf,0x01ee0001,0xf037f400,0x7ffc40bf,0xe82fffff,
    0x4fffffff,0xdefffc80,0x000dfffe,0x0bfdfb00,0x3fffffaa,0x1000dfff,
    0xfffffff9,0x201ee1bf,0xfffffff8,0x5fffffff,0x3ffff220,0xf73fffff,
    0x77ff4c00,0x27ffffee,0x05eeffeb,0x6fff7754,0x3fff6200,0x001dffff,
    0x7ffffec4,0xd87f2eff,0x00007fee,0x40001ee0,0xfeeeeed8,0x3bbb2004,
    0xfe80000f,0x6407ffff,0x01ffffff,0x7fffff44,0xf100003f,0x7c400009,
    0x4ffe0004,0xffcdffc8,0x5ff4c003,0x3fea9809,0x000fc800,0x880fff80,
    0x765c07ff,0x980bcccf,0x1bcfeccc,0x026ffa60,0x000ffaa6,0x217e9f50,
    0x2209dfff,0x4c00ffe9,0x530aceff,0x01f95ffb,0x99999970,0x39999dfb,
    0x2f7ffa60,0xddffb731,0x7ff1001f,0x3f40ccc0,0x401fc800,0x711bdfe9,
    0x2a009ff9,0x73109dff,0x6c09fbff,0x32000007,0x2000000f,0xf90004f8,
    0xd9300001,0xb98059bf,0x4403cffc,0xfd512efe,0x9f100007,0x27c40000,
    0x3a605000,0x64002fff,0x3ee000df,0x03f2000d,0x80faa000,0x1f9002eb,
    0x801f9000,0x2e000dfc,0xfd0000df,0x03be17e1,0xfa817ee0,0xffe9802f,
    0x7cc0000f,0x07ff3003,0x003ffea0,0xa8000ff6,0x37c4003f,0x300bfee0,
    0xff8809fd,0x27fec401,0x00000fb0,0x000007e4,0x20009f10,0x200000fc,
    0x7dc006f8,0x207f9003,0x40000fe8,0x200004f8,0x000004f8,0x3f200022,
    0x1dd30002,0x0003f200,0x64000000,0x0fc8000f,0x4000bf20,0x5c000ee9,
    0x17e17e3f,0xf883fd80,0x7ff4001f,0x1fcc0000,0x0017fc40,0x3e003fe6,
    0x3f40000f,0x980bee00,0xfd1001ff,0x0017ec07,0x03ec09fd,0x01f90000,
    0x27c40000,0x000fc800,0x8027dc00,0xff1006f8,0x80002801,0x200004f8,
    0x000004f8,0x00fd4000,0x4013e200,0x000000fc,0x01f90000,0x2a01f900,
    0x1553101f,0x4009f104,0x742fc6f8,0x217e2004,0xf88003fd,0x7cc0000f,
    0x004fd803,0xf8801fb0,0x3fa80004,0xe80df100,0x7f44000f,0xa800bf00,
    0x001f604f,0x000fc800,0x013e2000,0x00007e40,0x6c00ff40,0x09f3001f,
    0x3e200000,0x3e200004,0x00000004,0xff993e20,0x00beffff,0x1f9005f5,
    0x00000000,0x20003f20,0x04f880fc,0x39fb9bf7,0x9002fa8b,0x0885f85f,
    0x3e237400,0x03f60006,0x807f3000,0x2a0006f9,0x004f8806,0x2e00dd00,
    0x013ea02f,0x7c42fdc0,0x027c4003,0x400000fb,0x000000fc,0x640013e2,
    0x9800000f,0x01fdc06f,0x00005f50,0x0013e200,0x2004f880,0x200ffffd,
    0x02fffffa,0x710ee0db,0x903f205d,0xffffffff,0x7fffffff,0xc8000000,
    0x0fc8000f,0x81b906d8,0x0fc85fb8,0x2fc2fcc0,0x5c7d8000,0x16a0001f,
    0x00fe6000,0x000005f9,0x00009f10,0x1be00fea,0x40001ff0,0x027c40fe,
    0x0fb00540,0x20015731,0xfffffffc,0xffffffff,0x04f88003,0x0001f900,
    0x440fee00,0x1fcc006f,0xf8800000,0x3e200004,0x3fbb2004,0x3bbaa00f,
    0x02f882fe,0x441a2077,0x7f77643f,0xeeeeeeef,0x3a202eee,0x04ffffff,
    0x8000fc80,0x417c40fc,0x442ec069,0x407ec03f,0xf880005f,0x000036c5,
    0x03f98000,0x000007fc,0x7fffffec,0xffffffff,0xb80dd003,0x00fe602f,
    0xdf07f500,0x4fb00000,0xffffffe9,0x7f776402,0xeeeeeeef,0x88002eee,
    0x1f90004f,0xfffffd30,0x07fa003d,0xf10007f6,0x2000000b,0x200004f8,
    0x013224f8,0xfa8003f2,0x0ee07a82,0x809b02c8,0x880000fc,0x4feeeeed,
    0x000fc800,0x83d40fc8,0xd824401e,0x7c13ea04,0x2fb80005,0x000002fc,
    0x203f9800,0x000006f8,0xddfdddd9,0x7ddddddd,0xf80fea00,0x000fdc06,
    0x3f217e20,0xbec00003,0xba9bdffb,0x3f2002ff,0x22000000,0x1f90004f,
    0xddffdb30,0x1be6001b,0x3a0009f5,0xdb700007,0xffdddddd,0xbddddddd,
    0x653e2001,0x0fc804ff,0x2e0bea00,0x1e80ee06,0x0fc80d90,0x3e200000,
    0x00fc8004,0x35c0fc80,0x320003c4,0x7c03fa06,0x3fdc0005,0x00000fe6,
    0x01fcc000,0x000009f3,0x00013e20,0x0bee0dd0,0x00001f90,0x033fa0ff,
    0x7e7ec000,0x00bf6205,0x000007e4,0x20009f10,0x7ff300fc,0x89fe4000,
    0x3ee0006f,0xffd80001,0xffffffff,0xffffffff,0xffdf1001,0x03f2003d,
    0x4d82fa80,0x035c0ee0,0x00fc80f5,0x13e20000,0x0003f200,0x309b03f2,
    0x07a8000b,0x02fc07f7,0x41efd980,0x000002fa,0x407f3000,0x000002fa,
    0x00009f10,0x06f82fa8,0xb00007d8,0x3bff220f,0xfb0001ac,0x0bf1009f,
    0x00003f20,0x0004f880,0x3ff501f9,0xb1fd0000,0x5554003f,0xaaaadfca,
    0x7c400001,0x3ea00004,0x7e4003ff,0x20bea000,0x2ab6e03e,0x2600cfdb,
    0x003f201f,0x04f88000,0x8000fc80,0x4c1f40fc,0x0fcc0005,0x0bf01be2,
    0x04ffea80,0x000005f5,0x80fe6000,0x000002fa,0x00009f10,0x02fb8dd0,
    0x900006f8,0x7edc401f,0x001befff,0x3e400bfb,0x0000fc80,0x0013e200,
    0x3bf207e4,0xff300000,0x7fd4009f,0xffffffff,0x4400006f,0xd880004f,
    0xc8000dff,0x0bea000f,0xcceb80fa,0x0f9803fc,0x2bf66666,0x00199999,
    0x8004f880,0xfc8000fc,0x02cc1f40,0xf903e600,0x2005f803,0x2a00cffd,
    0x0000002f,0x5407f300,0x0000002f,0x000009f1,0x803745f7,0xf900006e,
    0x76dcc001,0x07d804ff,0x6400fdc0,0x2000000f,0xf90004f8,0x0006fec1,
    0xfeeeeea8,0x5eeeeeff,0x3a666660,0x0009999f,0x0027c400,0x13fbff20,
    0x0007e400,0x40bb05f5,0x20174c3b,0x3fffea7a,0xffffffff,0x7c40004f,
    0x00fc8004,0x2ec0fc80,0x2a000344,0x7c02fcc7,0x003f6005,0x00000bea,
    0x7f300091,0x54017d40,0xeeeeeeed,0x013e202d,0xfab74000,0x000fb003,
    0x10001fa0,0x3ec01bfb,0x200bea00,0x000000fc,0x640013e2,0x004fe88f,
    0x55555440,0xaaaaadfb,0x003e4002,0x027c4000,0x8aeff880,0x1f90004f,
    0x5c17d400,0x3a20ee06,0xcb89b201,0xccccfecc,0x40000bcc,0xfc8004f8,
    0x40fc8000,0x0001d06b,0x003fa364,0x07d8017e,0x00009f30,0x4c001fb8,
    0x00fe203f,0x3fffffee,0x3e205fff,0xf7000004,0x7e400fd5,0x07f80000,
    0x40bf7000,0x17d4007d,0x00007e40,0x0009f100,0x017febf2,0x04f88000,
    0x001f9000,0x04f88000,0x7c47d300,0x01f90004,0x7d417d40,0x3a607700,
    0xfc809b00,0x22000000,0x0fc8004f,0x540fc800,0x2805a80f,0x027d49b0,
    0x1b6005f8,0x0002fc40,0x30007ee0,0x005f807f,0x22007e40,0x2000004f,
    0x2e003ffe,0x7c40001f,0x1f600005,0x7d4007d8,0x000fc802,0x013e2000,
    0x7f7ffe40,0xf1000002,0x1f600009,0x3e200000,0x3e200004,0x01f90004,
    0x7c417d40,0x25c07702,0x3f2017c4,0x22000000,0x0fb8004f,0xf887d800,
    0x2e409702,0xfff917c4,0xffffffff,0x8801dfff,0x001fa000,0x8003f700,
    0x037403f9,0x1003f200,0x4000009f,0x7cc007fb,0x17dc0003,0x05f50000,
    0x5f5001f6,0x0001f900,0x0027c400,0xfe89efc8,0x2aa20002,0xaadfbaaa,
    0x74001aaa,0x88000006,0x2200004f,0x1f90004f,0xc817d400,0x04e64c0f,
    0x01b60ae8,0x000003f2,0x98004f88,0x06f8002f,0x2bb201f9,0xdb05eb88,
    0xeeeeeeb8,0xeffeeeee,0x5c00000c,0x2e00002f,0x17dc001f,0x80003f20,
    0x27c400fc,0x7f500000,0x001fd000,0x0be07f40,0xd81fcc00,0x017d4007,
    0x000007e4,0x20009f10,0x0bfa21fc,0x7fffd400,0xffffffff,0x02fc006f,
    0x27c40000,0x09f10000,0x8003f200,0x997a02fa,0xd505eeee,0x32007ee7,
    0x2000000f,0x7f0004f8,0x205fa800,0x376e605e,0x003f700a,0x00005f80,
    0x00007f40,0x0007ee11,0x5fa801fb,0x003f2000,0x000009f1,0xfa8003f4,
    0x8bf70004,0xf50005f8,0x5001f605,0x01f9005f,0x27c40000,0x440fc800,
    0x200002fe,0x980004f8,0x8000004f,0x200004f8,0xf70004f8,0x0bf62003,
    0x40002f98,0x3f9003f8,0x7c400000,0x01fb0004,0xf3017e40,0x3f880005,
    0x005f8000,0x02fd4000,0x3f74fa80,0x9007f800,0x3f20005f,0x0027c400,
    0x003fa800,0x10007f60,0x0ff881ff,0xb00fc800,0x02fa800f,0x00001fc8,
    0x40013e20,0x2fe880fc,0x09f10000,0x001fb000,0x1d800354,0x13e20000,
    0x4027d400,0x5c02ffe9,0xdf50004f,0x0027d400,0x009f1000,0x5c017ea0,
    0x04fb805f,0x000df500,0x654017e0,0x6fe4003c,0x43ff2000,0xf9000efb,
    0x0bfa2007,0x1003f200,0x2000009f,0x260000fe,0xfd1001ff,0x00bff107,
    0x1f606fa8,0x5005f500,0x4000009f,0xf90004f8,0x00bfa201,0x0013e200,
    0xd8009f50,0x00000007,0x20009f10,0x3ee00ff8,0xfa802fdf,0x9fb1001e,
    0x00ff8800,0x1000ec98,0x7dc0009f,0x03fee00d,0x800f7d40,0x00004fd8,
    0x3fee017e,0x7e4005ff,0x0efd801e,0x32017fdc,0x7fcc005f,0x1fb3000d,
    0x0004f880,0x0003fa80,0x4c03ffa8,0xfff104ff,0x1ff7001b,0x2a003ec0,
    0x0ff8802f,0x001fc980,0x320009f1,0x07fe200f,0x009f1000,0x0007f4c0,
    0x000009f3,0x013e2000,0x99cffa80,0xfa9effdb,0x7ec403ee,0x32a609bc,
    0xf50001ef,0x9531137f,0x4400bffd,0x7dc0004f,0xfdb989bf,0x7ec4001f,
    0x32a609bc,0x400001ef,0xfffe805f,0xffc8007f,0xfdb989bd,0x3bfa604f,
    0xdfec989b,0xffc88000,0xd7331abc,0xf8801bff,0xfe800004,0xfd100000,
    0xfb73157d,0x5e7c407f,0x9889acff,0x6c01ffeb,0x017d4007,0x889bffa8,
    0x0effeca9,0x0009f100,0xff1003f2,0x7775c003,0x0deeeffe,0x77ffec40,
    0xeeeeeeee,0xec81ffee,0xeeeeeeee,0xeeeeeeee,0x3bbbb20d,0xeeeffeee,
    0x5c01deee,0x3fffffff,0x4017ffea,0xffefffda,0xa80004ef,0xfffffffe,
    0xeeeb81de,0xeeffeeee,0x801deeee,0xffffffeb,0x36a0000d,0xefffefff,
    0xed880004,0x00ceffee,0x009ffff7,0x3ffff660,0x8802efff,0xfffffffc,
    0xfea80003,0xffffffff,0xeeed980c,0xeeeeeefe,0xeda80cee,0xeeffeeee,
    0xfc80001d,0x1dffffff,0xffd12e80,0x19ffffff,0x3bffb6a0,0xfddb304e,
    0xea801bdd,0xffffffff,0xeeeec81d,0xeeeffeee,0x3ae1deee,0x36a00fee,
    0x404eeffe,0xfffffffd,0x7cc01fff,0xffffffff,0x0cffffff,0xffffffd0,
    0xffffffff,0x7f43ffff,0xffffffff,0x2fffffff,0x0accb980,0x75100000,
    0x20000035,0x801accba,0xfffffffe,0xffffffff,0x32a2002f,0x400000ab,
    0x0001aba8,0x7ffffcc0,0x32a00eff,0x9880002c,0x00009bcb,0x00157973,
    0x79953000,0xfffa8035,0xffffffff,0xfc80efff,0xffffffff,0x200001ff,
    0x000accb9,0x5665cc40,0x7ffe4009,0xff506fff,0x003fffff,0x026f32ea,
    0xffffffd0,0xffffffff,0x7ffec5ff,0x3ffee00f,0x0000efff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26666666,0x99999999,
    0x26209999,0x99999999,0x99988001,0x26009999,0x2a009999,0x220003ed,
    0x99999999,0x80000999,0x30004eda,0x33333333,0x00000003,0x01ffffb0,
    0x17ffffd4,0x02666660,0x80999998,0x99999998,0x99999999,0x99998199,
    0x99999999,0x09999999,0x26666666,0x99999999,0x26009999,0x19999999,
    0x26662000,0x99999999,0x33300199,0x33333333,0x03333333,0x26666200,
    0x99999999,0x26666201,0x00099999,0x00999998,0x40999998,0x09999998,
    0x4ccccc40,0x99998809,0x00199999,0x4cccccc4,0x19999999,0xfffffff0,
    0xffffffff,0x3e65ffff,0xffffffff,0x7fc006ff,0x2fffffff,0xffffffe8,
    0x7ffff442,0x8807e42e,0xffffffff,0x2dffffff,0x7fff4400,0x40fe42ef,
    0xfffffffc,0x02ceffff,0xffffff98,0x405fffff,0x200ffeed,0x02feeeea,
    0x3ffffff6,0xfffffd83,0x3fffe23f,0xffffffff,0x1fffffff,0x3ffffff2,
    0xffffffff,0x3e4fffff,0xffffffff,0xffffffff,0xfff902ff,0x05ffffff,
    0x3ffffa00,0xffffffff,0x7ffc00ff,0xffffffff,0xffffffff,0xffec8801,
    0xffffffff,0x881fffff,0xffffffff,0x00bdffff,0x3ffffff4,0x3fffff20,
    0xfffff11f,0x3e207fff,0x3fffffff,0x3fffffe6,0x006fffff,0xfffffff1,
    0xffffffff,0x9999df09,0x999dfb99,0x5c5fb999,0xccefcccc,0x654002cc,
    0x0bcccfec,0xbdffdca8,0x5c467ec0,0x05feceff,0x667f6654,0xfecccccc,
    0x9fb000df,0x3b3bfee1,0xdf97305f,0xdb999999,0x64401bff,0xeeeeeeee,
    0x3f2003ee,0x80bea000,0x0bccfec9,0xbdfdcc98,0x67f66540,0xcccccccc,
    0x261feccc,0xcccefdcb,0xcccccccc,0x33be4fcc,0xefdccccc,0xfdcccccc,
    0x99997302,0x000bfbfd,0x333333fa,0xfecccccc,0x7ee65400,0xcccdfdcd,
    0x01fecccc,0x66f7ffe4,0xcccccdfd,0x9501fecc,0x999999fd,0x405fffb9,
    0x02cdfec9,0x1e7fe5cc,0x33337f6e,0x3332a00b,0x2e20befc,0xccefcccc,
    0x32e001cc,0xcefccccc,0xf81bcccc,0x9813e205,0x002fc02f,0x8801f200,
    0x202603fe,0x003fffd8,0xfc8803ec,0x91013005,0xf1007fff,0x3df91009,
    0x90000000,0x17d4001f,0x2a003e40,0x007c802f,0x7f301fb8,0x7c9f1000,
    0x9813e205,0xcbf4002f,0x07e8000f,0x8003fe20,0x807f31fa,0xdfd101fc,
    0xb807f503,0x007e401f,0x22027f54,0x1fdc006f,0x00005f50,0x13e2009f,
    0x27c40000,0xf8817e00,0xf00be604,0x7c80000b,0x005ff300,0xb0001880,
    0x03fc800f,0x44003000,0x1bea004f,0x32000000,0x0bea000f,0xf5001f20,
    0x000f9005,0x0fe603f7,0x5f93e200,0xf9813e20,0x4d3e6002,0x07e8003f,
    0xb0007f60,0x3201fccf,0x04fe881f,0x3f700fea,0x1000fc80,0x4fb807fb,
    0x980df100,0x7c40003f,0x009f1003,0x013e2000,0x27c40bf0,0x5f805f30,
    0x03e40000,0x0000ffcc,0x01f60000,0x00001ba0,0x0013e200,0x000009f5,
    0x2000fc80,0x07c802fa,0x64017d40,0x01fb8007,0xf10007f3,0x9f102fc9,
    0x70017cc0,0x4003743f,0x09f7007e,0x1fccbf00,0x3f607f20,0x201fd403,
    0x07e401fb,0xb003fa00,0x03fb003f,0x40004f88,0x9f1003f9,0x3e200000,
    0x102fc004,0x017cc09f,0x9000017e,0x01ffa80f,0xd8000000,0x00fc8007,
    0x00ab9880,0x20013e20,0x000000fe,0xa8003f20,0x007c802f,0x3e4017d4,
    0x980fdc00,0x4f88003f,0x04f8817e,0x6e800be6,0x3a000fdc,0x006f9807,
    0x0fe63f98,0x6f883f90,0x5c03fa80,0x007e401f,0xf1013e60,0x004fb80d,
    0x077640bf,0xf1002fa8,0x22000009,0x02fc004f,0x17cc09f1,0x000017e0,
    0x077dc0f9,0x3fffa200,0xb0004fff,0x81fb000f,0xd10fffe8,0x07dfffff,
    0x30009f10,0xfffd10bf,0x20009fff,0x3ea000fc,0x4007c802,0x07c802fa,
    0x3e606980,0x7c5b0003,0x9813e205,0x87f3002f,0x3ec004f8,0x4000ff40,
    0x00fe61fb,0x02fc81f7,0x7dc03fa8,0x0007e400,0x3ee00fe4,0x400df103,
    0x0bffe06e,0xf8800fdc,0xf1000004,0x204f8009,0x0be604f8,0x80000bf0,
    0x01df907c,0xddddb100,0x360009fd,0x885f8007,0xffa8ffed,0x3ffba9bd,
    0x80027c40,0x776c40fc,0x0004feee,0x7d4001f9,0x4007c802,0x07c802fa,
    0x3e6000a6,0x7c002e03,0x9813e204,0x01f9002f,0x1d4001fb,0x4000ff20,
    0x201fcc7d,0x5006f828,0x8038807f,0xf88000fc,0xd81fe804,0x41f6001f,
    0xf904fcfa,0x213e2001,0x7c40001a,0x100dc004,0x400c809f,0x6400005f,
    0x0005fd87,0x20009f00,0x1fe4007d,0x03bf3f20,0xf1017ec4,0x07ee0009,
    0x90004f80,0x17d4001f,0x2a003e40,0x207c802f,0x3f98007c,0x2e007f30,
    0x9013e201,0x5417e001,0x2a00002f,0xbf10005f,0x00ec3f98,0x7d4013e2,
    0x64000ec3,0x0bd0000f,0x4fa8df10,0xfc83e400,0x00fb07e9,0xbfd327c4,
    0x04f88000,0x027c4000,0x0002fc00,0x4fd89f20,0x13e00000,0x8803ec00,
    0xffc805fd,0x205f8805,0xf30004f8,0x0027c005,0x2a000fc8,0x007c802f,
    0x3e4017d4,0xf3000fb0,0x000fe607,0x00027c40,0x1be02fa8,0x07fc4000,
    0x4c2fa800,0x500fe23f,0x8fea007f,0xfc8003f8,0x00fb0000,0x077c4fee,
    0x3a03ee00,0x0db03f97,0x7ec67c40,0xf880004f,0x7c400004,0x05f80004,
    0xe8be4000,0x00000cff,0x360009f0,0xbaaaaaaf,0x9004fffd,0x3f2001df,
    0x0009f100,0x4f8013e2,0x001f9000,0x7e4017d4,0xaaaaaaab,0x802fcaaa,
    0xaaaaaafc,0xdf98007e,0x3fbaaaaa,0x09f10000,0x803f6000,0xd80000fc,
    0x3f20002f,0x5d567cc0,0x017dc04f,0xfbaacfa8,0xdaaa9804,0x2aaaaabf,
    0xe8007e40,0x8002fc9f,0x9a7c41fa,0x2005e83f,0x00dffef8,0x009f1000,
    0x004f8800,0x00005f80,0x767f4fe4,0x800002ff,0xffb0004f,0xffffffff,
    0x3f2007ff,0x40bea000,0xf10004f8,0x0027c009,0x2a000fc8,0xfffc802f,
    0xffffffff,0xfc802fff,0x7fffffff,0xffff9800,0x003fffff,0x77777764,
    0xdeeeeeff,0x80bf1001,0x5c0003f9,0x3740004f,0x7fffffcc,0x8007e404,
    0x4ffffffa,0xffffff80,0x2fffffff,0x4c003f20,0x50004fef,0x3e2fb85f,
    0x2a005f85,0x00002eff,0x000027c4,0x200013e2,0x6400005f,0x3fa62fff,
    0x27c00005,0xaaafd800,0xfecbaaaa,0x07e402ff,0x2205f500,0x9f10004f,
    0x80027c00,0xfb1001fb,0x333f9005,0x33333333,0x5f9005f7,0x0fd55555,
    0x555bf300,0x4007f755,0xffffffe8,0xffffffff,0x003f7003,0x7c4000dd,
    0x27c40006,0x7d4cdfcc,0x8007e404,0x4fa99bfa,0xfdaaa980,0x02aaaaab,
    0xf70007e4,0x3e60001f,0x1fb07ec3,0x6cc027c4,0x000005ff,0x800009f1,
    0xf80004f8,0x7e400005,0x007fb01f,0x80027c00,0x7fdc007d,0x8003f202,
    0x09f102fa,0x800fe200,0x9f50004f,0x05ffd300,0xfa800f90,0x3607c802,
    0x03f98007,0x200007f3,0xe80004f8,0x003f7007,0x00007fa0,0x47f305f7,
    0x0fd403f8,0x3e23fa80,0x00fc8003,0x4001f900,0x220004f8,0x3ea37c4f,
    0xc880fe62,0x0004fdff,0x0009f100,0x0004f880,0x254005f8,0xfd803f90,
    0x09f00001,0x2001f600,0x03f207e9,0xf102fa80,0x07ea0009,0x10004f80,
    0x7fdc01ff,0x07c802fd,0x64017d40,0x2001f207,0x05f103f9,0x013e2000,
    0xdddff300,0xfddddddd,0x07f9000b,0xdddfb000,0x0b87fddd,0xa801fcc0,
    0x40005c3f,0xdd0000fc,0x004f8800,0x87f32fc0,0x40bea4f8,0x4f89effa,
    0x44025400,0x4400004f,0x5f80004f,0xf903ec00,0x000df100,0x6c0013e0,
    0x05f50007,0xfa8003f2,0x0009f102,0x4f8003f2,0x33fee000,0x9effdb99,
    0x3203eefa,0x017d4007,0x003103e4,0x01407f30,0x009f1000,0xfffffc80,
    0xffffffff,0x17e6000f,0xdff01aa0,0x07fddddd,0x2009f100,0x900003fa,
    0x9f10001f,0x004f8800,0x03f93740,0x440fdcdd,0x013e22ff,0x9f100fb0,
    0x4f880000,0x005f8000,0x00f903ec,0x20000fee,0x0fb0004f,0x6417e200,
    0x0bea000f,0xe80027c4,0x0027c006,0x3ffffee0,0x3ffea3ff,0x5001f205,
    0x00f9005f,0x1fcc1aa0,0xf8800000,0x02fc0004,0x4400bea0,0x0fc800fe,
    0x3e607f30,0x00df0003,0x40000fea,0xfa8000fc,0x027c4002,0x07e9f600,
    0x403ee3f9,0x0027c409,0x13e201f6,0x09f10000,0x800bf000,0x801f207d,
    0x4f80007e,0x000fb000,0x00fc83f4,0x7c40bea0,0x04f98004,0x400027c0,
    0xb80acca8,0x03e400bf,0x3200bea0,0x01f90007,0x000007f3,0x80013e20,
    0x6f8002fa,0x2005fb00,0x01f700fc,0x16a00fe6,0x7f5005f7,0xfc809500,
    0x00fc8000,0x00027c40,0x982fc5f2,0x8800f93f,0x03ec004f,0x000027c4,
    0x200013e2,0x03ec005f,0x1fdc00f9,0x0013e000,0xbf0003ec,0xa8003f20,
    0x009f102f,0x4001fe88,0x0000004f,0x03e4013a,0x3200bea0,0x01f90007,
    0x000007f3,0x80013e20,0xfc8000fd,0x002fd400,0x81ba01f9,0x87c803f9,
    0x1fd400fe,0x3f203e40,0x02fdc000,0x00027c40,0x80bea3ee,0x8800fb5f,
    0x03ec004f,0x000027c4,0x200013e2,0x03ec005f,0x06f800f9,0x80027c00,
    0x7f50007d,0xa8003f20,0x009f102f,0xf8004fd8,0x30000004,0x01f2001f,
    0xf9005f50,0x203f2000,0x000003f9,0x20009f10,0xf30005f8,0x0077c409,
    0x9f101f90,0x6401fcc0,0x5404fa87,0x407c803f,0x3e6000fc,0x4f88000f,
    0x64fd4000,0x375f600f,0x0013e200,0x09f100fb,0x04f88000,0x4005f800,
    0x001f207d,0x7c0003f9,0x00fb0004,0x3201ff30,0x0bea000f,0xf90027c4,
    0x013e000d,0x42f80000,0xa800f900,0x007c802f,0x7f301f90,0x22000000,
    0x5f50004f,0xb0374000,0x0fc8003f,0x3e602fa8,0xfb07c803,0x00fea01d,
    0x01f901f2,0x000bfe60,0x200027c4,0x5c06faf9,0x44005faf,0x03ec004f,
    0x000027c4,0x200013e2,0x03ec005f,0x4f9800f9,0x0013e000,0xf71003ec,
    0x007e403f,0x3e205f50,0x0dfea804,0x0009f000,0x5e7dc000,0x007c81fd,
    0x3e4017d4,0x980fc800,0x0000003f,0x360009f1,0x0fdc0007,0x640027dc,
    0x200fc80f,0x07c803f9,0xf506ffee,0xc80f9007,0x7fe4400f,0x13e20002,
    0x9fbf1000,0x04fdf880,0x20027c40,0x04f8807d,0x3bbb6a00,0x4eeeeffe,
    0xfdddd910,0xdddddddf,0xc8ffdddd,0xdeeeffee,0x6777f400,0x3bbbbae0,
    0xeeeeffee,0x3bb21dee,0xeeeeeeff,0x1fffeeee,0xeeffeda8,0x3bfbae04,
    0xdffdb53e,0xffdddddd,0xeeeb809f,0xeeffeeee,0x001deeee,0x16fed400,
    0xbddffdb5,0xdfddb503,0x7f7641bd,0xeeeeeeef,0xffeeeeee,0xddfddb30,
    0x003bdddd,0x3bbbb6a0,0x04eeeeff,0xdddffdb3,0xeeed9809,0x3bf24eef,
    0xeeeeeeee,0x30ffeeee,0x4c9dffdb,0xeeeefeed,0x07feeeee,0x777fff4c,
    0xeeeeeefe,0xd907feee,0xddddddff,0x003dffdd,0x7f7776d4,0x004eeeef,
    0x200bffe2,0x36203ffe,0xeeffeeee,0xeeeeeeee,0x3bbb27fe,0xeeeffeee,
    0x7e401dee,0xffffffff,0xfe880eff,0xffffffff,0xffffffff,0x7ffff47f,
    0x5401ffff,0x3f60efff,0xffffffff,0x3fffffff,0xffffffd1,0xdfffffff,
    0x7ffdc039,0xfb00efff,0x3eebffff,0xffffffff,0xd800beef,0xffffffff,
    0xffffffff,0x20000003,0xfffffffb,0xfffffc82,0x3fffa1ff,0xffffffff,
    0xffffffff,0xffffff70,0x005fffff,0x3fffff20,0x0effffff,0xffffffa8,
    0x7ffdc06f,0x3f26ffff,0xffffffff,0x0fffffff,0x4dfffff5,0xfffffffb,
    0x7fffffff,0xffdb7300,0xffffffff,0xfd10ffff,0xffffffff,0x70005bdf,
    0xffffffff,0x4001dfff,0xff9007ff,0x7fffcc05,0xffffffff,0x7fffffff,
    0xffffffd1,0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04cccc40,0x0cccc400,0x4cccccc4,0x98001999,0x33000999,0x98833333,
    0x99999999,0x99988001,0x01999999,0x99999980,0x99998009,0x4cc40999,
    0x99999999,0x26662000,0x19999999,0x4cccc000,0x26666009,0x26662009,
    0x00999999,0x2eaa2000,0x9980009a,0x99800999,0x31000999,0x0e400001,
    0x88000000,0xda800003,0x00001770,0x20057100,0x220001b9,0x00001aba,
    0x80001366,0x0000aba9,0x00357530,0x009fffff,0x49fffff0,0xfffffff9,
    0x2007ffff,0x00ffffff,0x7fffffec,0xfffff35f,0x0dffffff,0x7ffffcc0,
    0x46ffffff,0xfffc80a8,0x6407ffff,0x7fffffff,0x3fffffe2,0xefffffff,
    0x3fffe203,0xffffffff,0x36000cef,0x83ffffff,0x3ffffffd,0xffffff88,
    0xbdffffff,0x7f654000,0x03ffffff,0x3fffffa0,0x7fffe407,0x3fee01ff,
    0x0004ccff,0x800013e2,0x8809ab98,0x300000ff,0x3ff21ffd,0xb1000003,
    0x7019ffff,0x001dfffd,0x7fffffdc,0x740000df,0x220001ff,0xfffffffd,
    0x7f4c000c,0x0cffffff,0x77fe545b,0x3bea000f,0x665c1bef,0xccccccff,
    0x3b32a002,0x664c04ff,0x2e1cdfec,0xccefcccc,0x65c002cc,0xcccefccc,
    0x03ffe62c,0x999df991,0xdccc9805,0x665c2cef,0xccccccff,0x501effdc,
    0x9999fd99,0x5ffdb999,0x33fb2600,0xdcc980bc,0xd9500bdf,0x9999999f,
    0x2005fffb,0x9aaceffd,0x800efeba,0x02cdffc9,0x1effe5cc,0xfb7bffb0,
    0x7c40009f,0xffb80004,0x11dfffff,0x100005fd,0xfa819ffb,0x200002ef,
    0xfdaadfe8,0x7567fd45,0x7f4400ef,0xfdca9bce,0x3f20003f,0xff70000f,
    0xfd95357b,0x3ff2005f,0xfeba9abd,0xaee85fbf,0x27fa003f,0x007d803f,
    0x1fefc800,0x4007ee00,0xf000005f,0x1fffb80b,0x90001f60,0x00fb003f,
    0xf9007fee,0x00ffea00,0x7d4007c8,0x001f9002,0x75009fd5,0x00bf7001,
    0x2a002fd4,0x06fd405f,0xf100006a,0x7f4c0009,0xfdba9bce,0x0002fedf,
    0x00effe44,0x00077fee,0x3f20ff60,0xfa81bf12,0x013fe606,0x4000bfd3,
    0xdfb0000a,0x03fea803,0x26006ff4,0xd6e85ffe,0x273e600d,0x007d803f,
    0x6fafc800,0x4007ee00,0xf000005f,0x06fd880b,0xf00017d4,0x801f600d,
    0x1f200ef9,0x001fe880,0x2fa800f9,0x2001f900,0x00003fd8,0xf90007f4,
    0x03be6007,0x00003fd0,0x40013e20,0x6c403ffa,0x5c0003ff,0x22001eff,
    0x0000cffc,0x47e409f3,0x03f900fd,0x6c003fd1,0x0000002f,0xd1002fdc,
    0x00fee03f,0x6e85fe88,0x1f9005f7,0x3fb007f3,0x00133333,0x0fee3f20,
    0xf800fdc0,0xbf000005,0x3e00fa00,0x07f50005,0xf5001f60,0x2003e407,
    0x0f9005f9,0x9002fa80,0x0fe8001f,0x0bee0000,0x8803fd00,0x06f801fe,
    0x13e20000,0x003be200,0x0017ffa2,0x0017ff54,0x007ffb30,0x7c401fb0,
    0x17e203fe,0xd1000bf2,0x0000001f,0x22001be6,0x005f986f,0x16e85fa8,
    0x35f880bf,0xfffb007f,0x7dffffff,0xfe87e400,0x001fb800,0x200000bf,
    0x00fb805f,0xd8000fc8,0x00fb000f,0x03e40bf0,0xfd503ec0,0xffffffff,
    0xffffffff,0x07e401df,0x0013e600,0x4003f980,0x3f600ff8,0x000df003,
    0x0027c400,0x74400ff4,0x2002fcbf,0x0003ffd9,0x00bffaa0,0x7ec027c4,
    0x307ec01f,0x3e6000bf,0xb0000005,0x3ea0003f,0x8000fec2,0x3f26e84f,
    0x7cc7ee01,0xcccfd803,0xeffdcccc,0xf50fc801,0x003f7009,0x4000017e,
    0x01fcc05f,0x44004f98,0x01f6005f,0x07c81f60,0xb300fc80,0xdddddffd,
    0xfddddddd,0x0fc80bdd,0x001fc800,0x0007f300,0x17ee0bf5,0x0000fd80,
    0x8009f100,0xfe8803fb,0x9100ff13,0x000019ff,0x00bbfee0,0xff7005f3,
    0x7dc3f500,0x01fa0001,0x03740000,0x5f89f100,0x3a026000,0x6f813e26,
    0x1f600fe6,0x200ffdc0,0x007f60fc,0x17e003f7,0x17e00008,0x0dd00060,
    0x2002fb80,0x06e8007d,0x1fe001f2,0x2a003e40,0x01f9002f,0x9809f100,
    0xeffffeec,0x90003fcc,0x006f989f,0x000027cc,0x6c004f88,0x43fe8807,
    0xff9101fb,0x0000003b,0x203bff91,0xefa801fa,0xaaaaaaaa,0x001f62fb,
    0x00001f90,0xaaadf880,0xaaaaaaaa,0x225eaaaa,0xe800004f,0x7d407ec6,
    0x3600fe62,0x03be6007,0x1be20fc8,0x3e003f70,0x003ff905,0x00000bf0,
    0x3f4005f7,0x1001f600,0x003e409f,0x3e4017ea,0x400bea00,0xbd0000fc,
    0x3bfff660,0xfffeeece,0x4bf60003,0xc8000fe8,0x8800000f,0x0374004f,
    0x3e60ffa2,0x02effb83,0xc8800000,0x07e40cff,0x7ffffcc0,0x3fffffff,
    0xf70001ba,0x7fffff43,0xffffffff,0xf31fffff,0xffffffff,0xffffffff,
    0x0017d4ff,0x3e637400,0x1fcc7e83,0x2a003ec0,0x903f203f,0x00fdc05f,
    0xfff985f8,0x005f8005,0x005f8800,0x7d8009f3,0x9017e400,0x07fdc00f,
    0x54007c80,0x01f9002f,0x3e61f600,0x7dc401df,0x3fe20003,0x30002fd8,
    0xffb000bf,0xffffffff,0xdfffffff,0xe8813e23,0x549f104f,0x00002ffe,
    0xffd98000,0x22003ee3,0xaaaaaadf,0x1ba1aaaa,0x645f5000,0xeeeeeeee,
    0xeeeeeeee,0x55bf10de,0x55555555,0x45555555,0x800002fa,0x7cc6e86e,
    0x6c01fcc4,0x205f8007,0x07fc40fc,0xbf001fb8,0x009fff10,0x00000bf0,
    0x3f2003f6,0x003ec001,0x07c80bfb,0x00ffecc4,0x55557f90,0xf9555555,
    0x36aaa605,0x2aaaaabf,0xff107e40,0x01fcc003,0x13ffe600,0x3fff2200,
    0x7775c002,0xeffeeeee,0x0deeeeee,0x27ec09f1,0x7ecc9f10,0x0000003f,
    0x22ffea80,0x6f9801fa,0x000fb000,0x00000fc8,0x00005f80,0x00001fcc,
    0xb17d4374,0x803f981f,0x07d8007d,0x13ea03f2,0x5f800fdc,0x0001bd50,
    0x200000bf,0x06f803fa,0x54407d80,0x7e400efe,0xfedccccc,0x64000dff,
    0xffffffff,0x02ffffff,0xffffffff,0x405fffff,0x007f20fc,0x00007f30,
    0xd1000ff9,0x2e0df5ff,0x27c4003c,0x7ec17e00,0x541fcc04,0x00002ffe,
    0x3ffd9800,0xfa802f98,0x1fb8000f,0x001f6000,0x003f4000,0x0002fc00,
    0x16f83740,0x007f30bf,0x0dd000fb,0x0fe807e4,0xbf001fb8,0x17e00000,
    0x06e80000,0x6c001fd4,0xedcccccf,0xc800bfff,0xffffffff,0xf90000df,
    0x33333333,0x205f7333,0xabfdaaa9,0x6402aaaa,0x2001ba0f,0x440003f9,
    0x64003fff,0xf113ea4f,0x4f8800ff,0x7ec3ec00,0x201fb804,0x0001effb,
    0xcffc8800,0x9009f100,0xf50005ff,0x17e60009,0x7e400000,0x7f400002,
    0x37400000,0x81fb9fb8,0x07d803f9,0xf9027c40,0x2e17e601,0x00bf001f,
    0x0017e000,0x201fb800,0xfd8000fd,0xefffffff,0x27f2000c,0xefe99999,
    0x00f90000,0xf9002fa8,0x83f20001,0x3fd8006f,0x757f4000,0x21be001f,
    0x00fee1fd,0x70013e20,0x8027ec7f,0x7e4400fe,0x800001df,0x801dffc8,
    0x3be200fd,0x3fb0004f,0x003fd000,0x07f40000,0x09f70000,0x1ba0d400,
    0x9837efc4,0x007d803f,0x1f9017e4,0x3ee17e40,0x800bf001,0x005f804a,
    0x4f880254,0x20009f10,0xc800007d,0x00ffe407,0x2a003e40,0x01f9002f,
    0x3fb1ba00,0x0fffa600,0xf34fc800,0x07f3001d,0x007f4df1,0x40027c40,
    0x005fd8fe,0x6c4007f9,0x00000cff,0x4005dff7,0x27f204f9,0x20e401fe,
    0x32000ef8,0x0000003f,0xa80037cc,0x4002fd83,0x03744fd8,0x3e605ff9,
    0x2007d803,0x07e405fd,0x1fb8df10,0xd800bf00,0x4005f807,0x41f6007d,
    0xfb0001fb,0x0f900000,0x8003ff50,0x17d4007c,0x8000fc80,0x02fdc4f8,
    0x01feffdc,0x7d45fa80,0x700fc805,0x000bf37f,0x260013e2,0xf5005fff,
    0x3fa6000b,0x3aa0003f,0xfb0002ff,0x3eabf505,0x507fd306,0xfd8805ff,
    0x03710006,0x00bbee00,0x7c43ff54,0xbff7004f,0x3a606e81,0x200fe605,
    0x7f54407d,0x007e400e,0x01fb8fee,0x7d800bf0,0x6c005f80,0x20bea007,
    0x1f60006e,0x01f20000,0x900077cc,0x02fa800f,0x50001f90,0x35dfb05f,
    0x3dfdb731,0x007bddf3,0x3f203fe2,0xd007e403,0x20005fbf,0xfd0004f8,
    0xffc8805f,0x7f540000,0x3f66002f,0x7440003f,0x0efc99cf,0x36a2bbf2,
    0x3faa03ff,0xfca989bd,0x3f60004f,0xfd50000f,0x9531157b,0x2601bffd,
    0x989abefe,0xd03ffecb,0x3f98000d,0xccccfd80,0x03ffffdc,0xfd001f90,
    0x7c007ee1,0x403ec005,0x03ec005f,0x07f317e0,0x0003ec00,0xf7003e40,
    0x003e400b,0x7e400bea,0x00fc8000,0xfffffff7,0x7fffcc7f,0x403fd005,
    0x07ee01fe,0x0006ff98,0x320013e2,0x89adffef,0x00dfeca9,0x3bfee000,
    0x33ff2201,0xfd100000,0xd701bfff,0x001bffff,0xffffff91,0xd80003df,
    0x220001ff,0xfffffffc,0xf7001dff,0xffffffff,0x0006e807,0x7ec01fcc,
    0xefffffff,0x03f2000b,0x0fdd7e60,0x6c005f80,0x4005f807,0x07e4007d,
    0x6c0001f9,0x7c800007,0x8017ec00,0x17d4007c,0x4000fc80,0x5d4405fb,
    0x3b200abc,0x807f9001,0xbf300ff8,0x0003fe80,0xf90013e2,0x3ffff22b,
    0x0002ffff,0x1bff9100,0x00effdc4,0x0bb98000,0x0002ca80,0x01579731,
    0x00b22000,0xbcca9800,0x2a600009,0xd001abcc,0x3f98000d,0x00007d80,
    0xf9000fc8,0x3e003f73,0x403ec005,0x03ec005f,0x2fc53e60,0x001f6000,
    0x1001f200,0x01f200df,0x32005f50,0x3fe6000f,0x1f800000,0x200bf500,
    0x0ff206f9,0x0007ffec,0x2e003f88,0xccba885f,0x0000001a,0x3f61ffb1,
    0x0000002e,0x00000000,0x00000000,0x00000000,0x000dd000,0x7d803f98,
    0x0fc80000,0x3f7df100,0xb0017e00,0x800bf00f,0x57e8007d,0x7d80005f,
    0x07c80000,0xc804fb80,0x017d4007,0xf3000fc8,0x3000005f,0x03be600f,
    0xd104fb80,0xbfb5139f,0x0009ddf5,0x02540017,0x00000000,0x0002b926,
    0x00000000,0x00000000,0x00000000,0x74000000,0x1fcc0006,0x00003ec0,
    0xf70007e4,0x17e003ff,0xbf00fb00,0x8007d800,0x0007eafb,0x800007d8,
    0x1fd0007c,0x54007c80,0x01f9002f,0x002ffc88,0x544fa000,0x8001fe82,
    0xffb102fd,0x7fec9fff,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f6c4000,0x4c04eeef,0x4eefeeed,0x777ff764,
    0x4003eeee,0xdeeefeec,0x20fff401,0xffeeeec8,0xeeeeeeee,0x3227feee,
    0xeeffeeee,0xeeeeeeee,0xf88007fe,0xd90004ff,0xdddddffd,0x7764007d,
    0x00deeeff,0x2a4eef98,0x1deeffed,0xeefeeda8,0xeffec80d,0xfeeeeeee,
    0x000001ef,0x8977ff54,0x1deeffec,0x3ffbbae0,0x1797302d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,
    0x00efffff,0x3fffffea,0x3fffa26f,0x5fffffff,0x7ffff400,0x7cc02fff,
    0x7fff441f,0xffffffff,0x7fffffff,0x3fffffa2,0xffffffff,0x007fffff,
    0x0003ffb0,0xffffffd1,0x400bffff,0xfffffffe,0xdff9001f,0x7fffffdc,
    0xffffc82f,0x7f441fff,0xffffffff,0x00002def,0x3a20cc00,0x02ffffff,
    0x3ffffffa,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04d5d4c4,0x2aea2000,0x88014401,0x0009abaa,0x3006ea20,0x00000017,
    0xffffd850,0x3fffea00,0x5d44002f,0x00375100,0x01573100,0x00980000,
    0x1dfffff7,0xfffff700,0x3ffff21d,0xffd33fff,0xfd83dfff,0xffffffff,
    0xd32fffff,0x000da805,0x3fffffee,0xfffd505f,0xc800bfff,0xf91ec405,
    0x2a0bffff,0x81effffe,0xffffffe8,0x001d7004,0x0f200d70,0x98000040,
    0x33001aca,0x00575100,0x7c133331,0x0002ffff,0xffffd980,0x0599dfff,
    0xffffff70,0x01f701bf,0x3ffffb2a,0x22003fff,0x1effffeb,0x06ffff54,
    0x00ffffd8,0x4bffffee,0x3fbb21fa,0x3bbaa00f,0xffe982fe,0x8bffff75,
    0x205ffffc,0xd10fffe8,0x07dfffff,0x4ffffe98,0x2dfffd98,0x6f77ff5c,
    0xfeeeb800,0x3fbbb25e,0xfdb12eee,0xfd83bddf,0xeeeeeeee,0xf11ffeee,
    0x0ffd407f,0xeffeea80,0xddd304ee,0x400bddff,0x3fa205fd,0x3bbffb23,
    0xffddd304,0xdddb103d,0x2a009fdd,0x332ea0ef,0x401bf20a,0x03f9806f,
    0x7ec4bd30,0x440cfece,0x2203ffdb,0x0dfecdfd,0x47fffff0,0x981ffffe,
    0x803efffd,0xa9abdffa,0x01ffffca,0x26f3bfa2,0x6c3ffdca,0xceffd80f,
    0xefeba9aa,0xacfff800,0xff50ffd9,0x901dfd59,0x5401ffdd,0xf92feeee,
    0x8003f201,0xfed982fa,0xfeabefde,0xfd57dfb4,0x3ffb6209,0xa9bdffa8,
    0x36603ffb,0x3224feee,0x3ffbbeff,0x640007d8,0x407ee00f,0x3ec03fe9,
    0xf987fb00,0x07ff203f,0x0003f700,0xfd8800fd,0x09ff300e,0x74400ff6,
    0x4f88002f,0x3abbee00,0xcbffffff,0x0df000ef,0xf300ffa0,0x260ff45f,
    0x2af7e25f,0x1037603f,0xffff309d,0x0ffffd8f,0x765e7fe4,0x3ff300ef,
    0x01ffd880,0xe9809ff3,0x5d41be5f,0x805fb800,0xf3bf302b,0x405fb81d,
    0x3ea000fc,0x3f204fbc,0x00bea000,0xdfb0bfff,0x801fd07f,0x100efcfc,
    0x3e2005fb,0x883bfd14,0x001fb86e,0x3f701ba0,0xb005ff50,0x413f200f,
    0x3f204ffa,0x17e2002f,0x4009f300,0xf300efe8,0x04fd80bf,0x8000ffc4,
    0x7dc004f8,0xea989cff,0x3e000eff,0x07fd1006,0x1fa8bfe2,0x1fc03f70,
    0x5c0fa800,0x7e43ffff,0x827e47ff,0x07f906fa,0x2207fe20,0x3f6001fe,
    0x00003fdc,0xd80001fd,0x3f900fff,0x50007e40,0x6403bfff,0x0bea000f,
    0xf501dff0,0x00bee09f,0xf100bff9,0x273e200b,0x4c0403ff,0x4055103f,
    0x20fdc04f,0xf9001efb,0xb80bf700,0x3ff605ff,0x003f2002,0xd1000fd8,
    0x3fea03ff,0x209fb006,0x20001ff9,0x7c4004f8,0x013f201e,0x74400df0,
    0x417fc43f,0xf80be201,0x83f30003,0xfb86fffd,0x013e66ff,0x00fb09f5,
    0x2fc80fb8,0x2fff4400,0x05f70000,0x04ff9800,0x0fc817e2,0x4013ea00,
    0x3ea000fc,0x8807fc02,0x00fe606f,0x32001df9,0xfef8800f,0x17e0001f,
    0x7cc07fe4,0xf90fdc03,0x00c4001d,0x7e401bea,0x0fffa05f,0x88027cc0,
    0xfff3005f,0x03bfee03,0x7cc4fd80,0x7c40001f,0x017ec004,0x0b7207f4,
    0x07b511be,0x3fe27fd1,0x00fc8002,0x3a2000fe,0x82ffff86,0x3f25fffa,
    0xfa87d800,0x7cc0c002,0x0df30005,0x03f98000,0x007fc400,0x07e403f2,
    0x2005f500,0x3ea000fc,0x3e02fc02,0x900fe605,0x17d4001f,0x00f7fc40,
    0x7fc1ba00,0x401fb82f,0x05fd89fb,0x0ef98000,0x03bff600,0x4013ffa2,
    0x1fc800fd,0x02fff980,0x0001fff7,0x07fe69f9,0x013e2000,0xf5005f88,
    0x2dfffd87,0xfffb51df,0x3f3fa209,0x2fa8002f,0xeb801fc0,0xfffa85ff,
    0x49fff306,0x81f7006e,0x0000bff8,0xe80007ee,0x7cc00007,0x3fc40003,
    0xfc80fd40,0x00bea000,0xf50007e4,0x7c05f805,0x900fe605,0x17d4001f,
    0x00077c40,0x3e607e40,0x807d85fc,0x00ffeafb,0x07fcc000,0x077fec00,
    0x4027ffc4,0x37c403fa,0x81fffd40,0x0001fffc,0x003bf7f2,0x0027c400,
    0x3e2007f3,0xfffeb884,0x0befffff,0x017ff440,0x7c01fdc0,0xdfd71003,
    0x01fffc81,0x06d8fffe,0xfb101f90,0x01579bff,0xc8000fb0,0xeec9800f,
    0xfcceffff,0xfeca8803,0x999dfcef,0x2fa99999,0x54001f90,0x01f9002f,
    0x3e017d40,0xf302fc05,0x000fc807,0x3e200bea,0x5f500004,0x40fd8fc8,
    0xfffb806e,0x00001ffd,0x20003fd1,0x980effe8,0x6e805fff,0x2a017dc0,
    0xff904fff,0xfb00003f,0x4400001f,0x0bea004f,0x5c405f80,0x000beffe,
    0x0013ffe6,0x0fe005f9,0xe87f6200,0x7ffc05ff,0x3a003f22,0x7ff65406,
    0x3a03ffff,0x0fdc0006,0xddfffb30,0x7fffddd9,0x77fff4c0,0xffffffed,
    0xffffffff,0x4001f903,0x1f9002fa,0x2017d400,0x302fc05f,0x00fc807f,
    0x2200bea0,0xf100004f,0x45f56f89,0xffb804f8,0x0007fd31,0x0002fe88,
    0x4c0ffff4,0x5c00dfff,0x201fa02f,0xfb03fffb,0xa80003ff,0x00005fff,
    0xf98013e2,0x009f1003,0x800dffd1,0x04febff9,0x2001fd88,0x9f10003f,
    0xd007ffe2,0x02fcc3ff,0x31000fee,0xd03dff95,0x2fa8000d,0x803bff30,
    0xff903fb8,0x2b7e6019,0xaaaaaaaa,0x001f901a,0xfc8017d4,0x00bea000,
    0x205f80bf,0x07e403f9,0x1005f500,0x7c00009f,0x25f8fe65,0x1fb802fa,
    0x0000dfc8,0xd80007fb,0xfe880eff,0x0df1005f,0x7d400fea,0xfff902ff,
    0x3bea0003,0x00005fb8,0x6f8009f1,0xb007f500,0x2009f97f,0x9fd12ff8,
    0x000774c0,0x6d8000fe,0xf900bff7,0x80dfb81f,0x500005fb,0x007d83ff,
    0x7c407e40,0x0fe6001f,0xf1003be6,0x1f90000d,0x8017d400,0x3ea000fc,
    0x3e02fc02,0x900fe605,0x17d4001f,0x00027c40,0xb07e4fb0,0x2003ee1f,
    0x09f901fb,0x0007f900,0x880effc8,0x64004ffe,0x000fd81f,0x640bffea,
    0x5c000eff,0x03bee0ef,0x009f1000,0x7c403fc8,0xd2fd400f,0x2ff8805f,
    0x7d41ff44,0x007f0005,0x7fed7e20,0x705fa800,0xbffb9dff,0x7c400001,
    0x0000fdc4,0x007f20fb,0x5f907f30,0x000ff100,0x54001f90,0x01f9002f,
    0x3e017d40,0xf302fc05,0x000fc807,0x3e200bea,0x3ee00004,0xb3fa8df1,
    0x807ee00f,0x3f2002fd,0xf7008804,0x3ffa01bf,0x45f88004,0xf98004f8,
    0xdff701ff,0x03bee001,0x80003bee,0x7c4004f8,0x07fd102f,0x3e20ff88,
    0x05ff100f,0x3fc8ffa2,0x03f80760,0xfd9817b7,0x54005f90,0x3bf72200,
    0x0012a02c,0x013ea3ec,0x6e82fcc0,0xb83f9800,0x1ff8801f,0x007e4000,
    0x2e005f50,0x5fb1001f,0x2fc05f80,0xfc807f30,0x00bea000,0x800013e2,
    0xf83f9bf9,0x3ee00bf5,0x401fe201,0x0bd005fb,0x7ec0bff7,0x3f60003f,
    0x40007f20,0xf500fff9,0x1df700bf,0x00077d40,0x64004f88,0xca9bdfff,
    0x3a00efff,0x885fa81f,0x7f4402ff,0xfffffff3,0x3fa27fff,0x3fffffff,
    0x3fb3bfee,0x0000041e,0x007ec000,0x0fec3ec0,0xf80ff400,0x83fd8006,
    0xffa803f9,0x0fdc0004,0x002fd880,0xfd3009f5,0x405f805f,0x00fe605f,
    0x7d4001f9,0x004f8802,0x07e67c00,0x801fcfe4,0x1fdc01fb,0xf801bea0,
    0x9027fd46,0x980005ff,0x000bf14f,0x500efe88,0x2fe40bff,0x000efa80,
    0x32004f88,0xffffc9ef,0x80efbaef,0x03f203f9,0x3a2005f3,0x33333334,
    0x4ccc1333,0x80999999,0x0001aca9,0x36000000,0x2fc4003f,0x900077c4,
    0x00fec07f,0xf03ffe98,0xffff980b,0x54072201,0xffe9804f,0x01ff1002,
    0x017effdc,0x40bf017e,0x07e403f9,0x1005f500,0xe800009f,0xfdf506fe,
    0x007ee003,0x0ef981be,0xff99be00,0x00bfee04,0x7dc7f400,0xfe880002,
    0x213fe606,0x7d4005fc,0x27c4000e,0x220efb80,0x37dc1aba,0x00008008,
    0x00000000,0x00000000,0x13ff6000,0xa80ff4c0,0x7ec402ff,0x402fdc06,
    0x703fdffb,0x3ffe609f,0x7ff505fe,0xb803fe20,0x2002fdff,0xdb99cffa,
    0xeefa9eff,0x5f80bf03,0xf900fe60,0x017d4001,0x000027c4,0xff80fff2,
    0x3bbae00f,0xf902deef,0x77fc1bdd,0xeeeeeeee,0xff15feee,0x00ffd407,
    0xdfdf5000,0x7ec40000,0x5cbfe605,0x03eeeffe,0x9fffddb3,0x777775c1,
    0xeeeeffee,0x01b71dee,0x0000b500,0x00000000,0x00000000,0x36000000,
    0x89acefef,0x02ffda98,0x44deff54,0x004ffca9,0x73135dfb,0xdf33dfdb,
    0xadfc87bd,0xcfaffc98,0xfda89efa,0x67fd402f,0x9effdb99,0x7003eefa,
    0x7fffffff,0xb32fffd4,0xf01bdffd,0xddf309df,0x77ff6d49,0x3fbae04e,
    0x999913ee,0xdddddff9,0x54001bdd,0x1bf200ff,0xffffffb0,0x3ffe207f,
    0xfffff11f,0xffffffff,0x00ba6bff,0x000003d7,0x00007fff,0x3d880d90,
    0xbffffff9,0x3ffffea0,0x3fffa1ef,0xffffffff,0x002fffff,0x00000000,
    0x00000000,0x00000000,0xab5c0000,0xfffffffe,0xf91001df,0x3dffffff,
    0xffffb800,0x3e63ffff,0xffc85fff,0x25d0efff,0x0dfffffb,0xfffff700,
    0x7ffd47ff,0x332e6005,0x7fd4000a,0xff81ffff,0x7ffcc0ef,0x3ffffee6,
    0xfffb00ef,0x3ffe6bff,0xffffffff,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x79975300,0x26200015,0x0000abcb,0x02af2ea2,0x06f2a000,
    0x00159510,0x01599730,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00400000,0x2266664c,0xf33cccca,0xffffffff,0xffffffff,0x2007ffff,
    0xbd950000,0x26662017,0x99999999,0x09999999,0x40000440,0x4c00cc0a,
    0x7e442efc,0x4ccccc2d,0x99999999,0x06209999,0x00000310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffb2a00,0xfff502df,0xffffb8df,0xdddddb35,
    0xdddddddd,0x7fdddddd,0x4007f100,0xffffffd8,0x7ffffec2,0xffffffff,
    0x1fffffff,0x00dffd98,0x7f90ba00,0x2ffffe80,0x44bffffa,0xffffffff,
    0xffffffff,0x209ff13f,0x00003ff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x677fe400,0xf981ffdb,0x7fd45fff,0x000004ff,0xffd007f3,0x3bff6003,
    0x2a1fffdb,0xcccccccc,0xcccccccc,0x7cc0bccc,0x202ffddf,0x442e81d8,
    0xfff304fe,0x3ffe6bff,0xffff15ff,0xffffffff,0x267fffff,0xbff506ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x7fc1ba01,0x7ffc44ff,
    0x3000003f,0xfcfc807f,0x17fdc00f,0x0001bfa2,0x21ff9800,0x5fb03ff9,
    0xfd883bd0,0xfffff885,0x9fffff14,0x4ccccccc,0x99999999,0x807b2099,
    0x000001dc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40fdc000,0xff83ffff,
    0x000001ff,0xafd407f3,0x2fec06fa,0x0000ffa8,0x103fd000,0x27ec49fd,
    0xfc82fba8,0x7fffec0e,0x07ffff60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0x3f979997,0xd03fffb0,0x00001fff,0x7cc0fe60,
    0xf813ee0e,0x00bfe02f,0x005c0000,0x13ffbff2,0xf705c811,0x80bc981d,
    0x00000bc9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffaa000,
    0x81ffffff,0xfd80fffc,0x2000007f,0x1fe883f9,0x7fd03fd8,0x000bfe20,
    0xd7000000,0x7bfb05bf,0x06d405f7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05f7cc00,0x3ee07ee2,0x0dff907f,0x1fcc0000,
    0xfe8817ec,0xf706fd81,0x3bbbb21f,0xeeeeeeee,0xdeeeeeee,0x2a000000,
    0x00002dec,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfa807f60,0x706ffa81,0x00000bff,0x13f21fcc,0xfa81ff30,0x97faa0cf,
    0xeeeeeeeb,0xeeeeeeee,0x000deeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c40dd00,0x05ff981f,0x00009ff5,
    0xbf51fcc0,0x321bea00,0xffffdfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x503f7000,0x3fe03fff,
    0x005ff103,0x897cc000,0x3f2000ef,0xfffffb83,0x0000000e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77fc0000,
    0xffdeffed,0x90075c2f,0x8000001d,0x0001910b,0x2f2a2057,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd910000,0x2f32659d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_48_latin_ext_x[560]={ 0,10,5,3,4,3,5,9,12,6,0,2,6,3,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,2,4,0,0,0,4,1,9,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,3,1,1,1,2,3,4,0,11,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,10,4,2,4,2,
11,2,6,0,0,0,0,3,0,-1,6,2,7,7,9,1,3,9,9,7,6,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,3,0,3,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,3,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,3,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,4,3,4,3,4,3,4,2,3,2,3,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,2,3,
2,4,4,4,4,4,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,2,0,0,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_48_latin_ext_y[560]={ 35,8,9,7,6,8,12,9,9,9,9,12,28,21,
30,6,8,8,8,8,9,9,8,9,8,8,17,17,12,18,12,10,8,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,9,6,9,8,44,7,16,9,16,9,16,9,16,9,8,
8,9,9,16,16,16,16,16,16,16,10,17,17,17,17,17,17,9,9,9,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,35,16,7,10,14,10,
9,9,9,10,7,17,22,21,10,5,4,9,8,8,7,17,9,19,34,8,7,17,8,8,8,16,1,1,2,4,
4,1,10,10,1,1,2,4,1,1,2,4,10,4,1,1,2,4,4,15,9,1,1,2,4,2,10,9,7,7,
7,10,9,6,16,16,7,7,7,9,7,7,7,9,9,10,7,7,7,10,9,13,15,7,7,7,9,7,9,9,
5,10,2,8,10,16,2,7,2,7,3,9,2,8,2,9,10,9,5,10,2,8,3,9,10,16,2,8,2,7,
2,8,3,9,10,6,2,2,10,9,4,10,5,10,2,8,10,8,3,17,10,8,2,7,10,9,17,2,1,10,
9,10,9,10,9,10,9,2,7,10,16,2,8,9,10,16,5,10,2,8,2,7,10,16,2,7,10,16,2,8,
2,7,2,7,10,16,2,8,10,10,2,9,10,10,3,10,5,10,2,8,1,6,2,7,10,17,2,7,2,7,
4,2,7,3,9,2,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,16,8,8,8,8,8,8,8,8,8,8,8,8,8,7,16,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,2,8,2,8,2,
8,2,8,1,5,1,2,1,2,1,2,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,2,7,2,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_48_latin_ext_w[560]={ 0,6,15,19,17,19,17,7,8,8,16,21,9,19,
7,17,17,17,18,18,17,18,17,17,17,17,7,10,21,22,21,16,17,26,23,21,21,22,21,22,22,17,22,24,
22,26,24,22,21,22,25,19,21,23,26,25,23,22,18,8,16,8,17,27,8,21,23,20,23,21,20,22,23,19,
15,22,19,26,21,21,23,23,21,18,20,23,24,24,22,22,17,9,3,9,19,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,16,21,18,22,
3,21,13,26,14,21,23,19,26,27,13,21,11,11,8,23,20,7,7,11,14,22,26,26,26,16,26,26,26,26,
26,26,26,21,22,22,22,22,17,17,17,17,24,24,22,22,22,22,22,15,23,23,23,23,23,22,21,21,21,21,
21,21,21,21,25,20,21,21,21,21,19,19,19,19,21,21,21,21,21,21,21,21,22,23,23,23,23,22,23,22,
26,21,26,21,27,23,21,20,21,20,21,20,21,20,21,24,24,23,22,21,22,21,22,21,24,21,22,21,22,22,
22,22,22,22,22,22,22,23,22,23,17,19,17,19,17,19,17,19,17,19,26,22,22,16,24,22,20,22,19,22,
19,22,19,22,19,22,19,24,21,24,21,24,21,23,21,19,22,21,22,21,22,21,26,25,25,21,25,21,25,21,
19,18,19,18,19,18,19,18,21,20,21,20,21,21,23,23,23,23,23,23,23,23,23,23,23,24,25,24,22,22,
22,18,17,18,17,18,17,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,22,22,19,22,22,22,
22,22,22,22,22,22,22,22,22,22,24,23,22,22,22,22,22,22,22,22,22,22,22,22,22,25,24,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,26,21,17,19,22,
21,23,23,23,23,23,23,23,23,23,23,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,26,21,26,25,23,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__courier_48_latin_ext_h[560]={ 0,28,12,31,33,28,24,13,32,32,16,22,14,4,
6,33,28,27,27,28,26,27,28,27,28,28,19,23,22,9,22,26,30,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,30,25,26,25,26,25,25,25,25,25,32,33,32,12,3,7,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,19,20,26,19,18,19,18,26,18,32,32,32,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,28,28,25,17,25,
32,29,4,26,13,18,12,4,26,3,12,26,15,15,7,26,29,6,8,15,13,18,27,27,27,28,34,34,33,31,
31,34,25,32,34,34,33,31,34,34,33,31,25,31,35,35,34,32,32,16,28,35,35,34,32,33,25,27,29,29,
29,26,27,30,20,26,29,29,29,27,28,28,28,26,27,25,29,29,29,26,27,20,22,29,29,29,27,36,34,34,
30,26,33,28,31,25,34,29,34,29,33,27,34,28,33,27,25,27,30,26,33,28,32,27,31,26,33,28,34,36,
34,35,33,34,32,37,33,33,25,26,31,25,30,25,33,27,32,34,32,18,26,35,34,36,32,33,18,33,34,32,
33,25,26,25,26,25,26,33,28,32,26,33,27,26,26,27,31,26,34,28,34,29,25,20,33,28,32,26,33,27,
34,29,34,29,32,26,34,28,35,35,33,27,25,26,33,26,31,26,34,28,35,30,34,29,32,25,33,29,33,36,
31,33,28,32,26,33,27,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,26,27,27,31,27,27,27,
27,27,27,27,27,27,27,27,27,27,26,20,27,27,27,27,27,27,27,27,27,27,27,27,27,29,20,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,33,28,33,27,34,
28,34,28,35,31,35,34,35,34,35,34,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,41,37,33,29,35,30,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__courier_48_latin_ext_s[560]={ 511,499,16,365,372,457,292,487,104,72,408,
310,477,164,148,372,57,474,291,20,187,272,39,482,75,332,500,499,355,88,377,
205,141,294,91,222,137,227,250,267,204,491,244,46,23,1,50,334,148,246,170,
357,1,136,121,442,268,419,321,502,466,221,56,56,139,44,23,491,159,469,290,
91,377,139,205,442,422,141,168,425,356,310,190,1,401,117,299,212,346,311,258,
42,505,113,111,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,511,504,154,
488,389,465,508,386,184,160,1,324,32,164,67,28,74,1,441,465,500,425,343,
156,131,453,495,276,380,407,434,113,321,1,169,385,436,394,340,1,116,70,239,
118,421,28,262,481,394,69,386,409,93,482,435,425,130,362,338,139,458,390,28,
1,39,110,132,62,69,224,66,201,264,242,310,345,259,93,217,116,391,115,220,
482,460,268,431,447,332,61,175,286,367,119,462,230,292,40,345,477,337,244,253,
199,299,154,413,453,372,392,298,114,219,248,269,314,196,435,123,334,1,84,27,
413,439,96,1,432,50,94,230,28,443,73,196,290,463,71,206,159,280,492,296,
140,278,369,154,479,24,142,146,146,237,123,180,81,219,98,181,75,361,468,23,
320,195,253,470,483,47,222,403,206,314,246,117,237,47,364,367,399,97,279,171,
381,1,226,160,20,210,1,52,21,200,1,159,317,350,461,272,94,220,43,94,
130,70,368,455,182,486,319,197,179,390,85,244,73,46,267,350,23,492,331,413,
449,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,106,183,183,26,
183,183,183,183,183,183,183,183,183,183,183,183,183,336,20,183,183,183,183,183,
183,183,183,183,183,183,183,183,434,92,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,416,301,
286,1,187,323,348,171,293,412,245,46,221,163,269,275,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,1,51,304,408,181,159,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183, };
static unsigned short stb__courier_48_latin_ext_t[560]={ 1,147,427,147,78,212,380,406,147,147,406,
380,406,427,427,113,242,242,271,242,327,271,242,271,242,212,271,212,380,427,380,
327,180,354,354,327,354,354,354,327,354,354,327,354,354,380,380,327,380,180,380,
327,354,327,380,354,380,354,354,1,78,147,427,74,427,406,271,380,271,380,327,
271,327,271,1,327,327,406,406,380,271,271,406,406,327,406,406,406,406,327,406,
147,113,147,427,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,1,180,242,
327,406,327,78,180,427,327,427,406,427,427,327,74,427,327,406,406,291,299,180,
427,427,406,406,406,271,271,271,242,39,43,113,147,147,39,354,147,39,39,113,
180,39,39,113,147,354,180,1,1,39,113,113,406,242,1,1,39,113,113,380,
271,212,212,212,299,271,180,406,299,212,212,212,242,242,242,242,327,242,354,212,
180,180,299,242,380,380,212,212,212,242,1,39,39,180,299,113,212,147,380,39,
212,39,212,113,242,39,212,113,271,380,271,180,299,113,212,147,271,180,299,113,
212,39,1,78,1,113,78,147,1,78,113,380,299,147,354,180,354,113,242,147,
78,147,406,299,1,78,1,147,113,406,113,78,147,113,380,299,380,299,354,327,
113,242,147,299,78,271,299,299,271,147,299,78,242,78,180,354,380,113,242,147,
299,113,271,78,212,39,212,147,299,78,242,1,1,78,271,354,327,78,327,180,
299,78,212,1,180,39,180,147,354,78,212,78,1,180,78,212,147,299,78,242,
299,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,299,271,271,180,
271,271,271,271,271,271,271,271,271,271,271,271,271,299,406,271,271,271,271,271,
271,271,271,271,271,271,271,271,180,406,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,78,242,
78,299,39,242,39,242,1,147,1,39,1,39,1,39,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,1,1,78,180,1,180,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271, };
static unsigned short stb__courier_48_latin_ext_a[560]={ 407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_48_latin_ext(stb_fontchar font[STB_FONT_courier_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_48_latin_ext_s[i] + stb__courier_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_48_latin_ext_t[i] + stb__courier_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_48_latin_ext_x[i];
            font[i].y0 = stb__courier_48_latin_ext_y[i];
            font[i].x1 = stb__courier_48_latin_ext_x[i] + stb__courier_48_latin_ext_w[i];
            font[i].y1 = stb__courier_48_latin_ext_y[i] + stb__courier_48_latin_ext_h[i];
            font[i].advance_int = (stb__courier_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_48_latin_ext_s[i] + stb__courier_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_48_latin_ext_t[i] + stb__courier_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_48_latin_ext_x[i] + stb__courier_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_48_latin_ext_y[i] + stb__courier_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_48_latin_ext_LINE_SPACING
#endif

