// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT        226
#define STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_30_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_30_latin_ext_LINE_SPACING          14

static unsigned int stb__courier_bold_30_latin_ext_pixels[]={
    0x0003aa00,0x30000150,0x01100019,0x00601100,0x00007660,0x00000037,
    0x08800000,0x00001000,0x99000000,0x99999999,0x00007999,0x00007220,
    0x018800c0,0x44060013,0x06203001,0x00000000,0x00fbae00,0x10180000,
    0x0064c003,0x0000c400,0x98001644,0x00770000,0x6fc80000,0x0035c000,
    0x0007fd40,0xb000bfea,0x4005f30d,0x10000ffa,0x5b8007fb,0xd71f4000,
    0x05ff5000,0x001efb80,0x0000bbae,0x7ffc05b1,0xffffffff,0xfff885ff,
    0x400effff,0x00002ff8,0x32007fa2,0x013f224f,0xffa87be2,0x50f7c400,
    0xeb8001ff,0x0fae0003,0x013ff200,0x4001fecc,0x1fea1ef8,0x001efa80,
    0x0013fea0,0x8002fe88,0xd8003ffb,0x2ea800df,0x0dfd8800,0x003e2000,
    0x003df900,0x67fffec4,0x139f5000,0x7e400fd5,0xfd30001e,0x1dd10009,
    0x3b7ee000,0x3f62002f,0x4400cfff,0x803ffefe,0x000faaf8,0x7c01bf30,
    0xffffffff,0x3105ffff,0x00133333,0x00013fa6,0x4400ffe6,0x0dfebefd,
    0xf99ff700,0x3fee005f,0x4002ffcc,0x10007ff8,0xf9000fff,0x26fa009f,
    0xffb8002e,0x4002ffdc,0x44002ffa,0x01efeffd,0x001ffd40,0x37ffbfa6,
    0x077e4000,0x0003ff60,0x700009f9,0x7dc0009f,0x3fa2000e,0x006fd88d,
    0x0bfffff6,0x0006fd40,0x4002ff88,0x0dcdb129,0x86f44aa0,0x6ff4402a,
    0x2206fd88,0x0bfd34ff,0x400ba5b8,0x81b93e29,0x87fea5ff,0x303705fe,
    0x1fec4007,0x05ff3000,0x07fff700,0x1bffd100,0xdffe8800,0x0bfd0000,
    0x002ff400,0x973c4000,0x3ffa6000,0xfd30000d,0x86ff4003,0xf1000ffb,
    0xff88003f,0x000dfb14,0xffa80df7,0x000c4005,0x001ffc80,0xb1000730,
    0x8800b705,0x144002cb,0x00722000,0xf3087fe0,0x407fc40f,0x36200ff8,
    0x36205b82,0x7c404b81,0xff000fbb,0xf87f9823,0xe87fea5f,0xf86fa85f,
    0x00dc001f,0x0003d700,0x20000644,0x1dc0003b,0x0000c000,0x0000000c,
    0x0005d59d,0x880003b8,0x20ae000b,0x171000c9,0x2a072000,0x00730003,
    0x4c003ffd,0x440003fd,0x9000004d,0x0001003d,0x32200010,0x000000df,
    0x3d882e40,0x09902640,0x00000000,0x2001dda8,0xd07b105c,0xd0ffd4bf,
    0x707b10bf,0x41b8801b,0x83710039,0x83710039,0x00000039,0x00000000,
    0x3b220000,0x0eeeeeee,0x00176440,0x00000000,0x00000000,0x00000000,
    0x0027fdc0,0x0005d37d,0x7f5c0000,0x07ff71ce,0x273fffae,0xd700ceee,
    0xddd39fff,0x32772019,0xbdedb805,0x0f7bae20,0x00000000,0x105ef6dc,
    0x6447bdd7,0xeeeeeeee,0x00000000,0xff517e40,0x0001fe43,0x7fc7fb80,
    0x7c7fb803,0x47fb803f,0xd71003ff,0x5c407bff,0x32e2cccc,0x7100bccc,
    0x737bffdb,0x7f654401,0x2e0ba9de,0xffffffff,0x8000000f,0x9defeca8,
    0x3ae200ba,0x22003dff,0x9bdffedb,0x3fae200b,0x2e2003df,0x2203dffe,
    0x2e2ccccb,0x7c0bcccc,0x278800ff,0xfeb8004b,0xceee9adf,0xffffea80,
    0x40fffeff,0xffffffe8,0x444fffff,0xfffffffe,0x5d04ffff,0xfff501e2,
    0x7ffdc5ff,0x999711ff,0x66665c59,0x9999710b,0x5e6665c5,0x5fffff50,
    0x8fffffdc,0xfffffffb,0x999710ff,0x66665c59,0x9999710b,0x5e6665c5,
    0x83ff5020,0x33332e20,0x2f3332e2,0x7f45fa80,0x745fa802,0x45fa802f,
    0xfea802fe,0x81efffff,0x8ffffffc,0x3ffffff9,0xfffffe88,0xf303ffff,
    0xffffffff,0x7ffecc5f,0x980fffff,0x02cccccc,0x7ffffcc0,0x502fffff,
    0xdffffffd,0xfffe8803,0x03ffffff,0xffffffd5,0xffea803d,0xc81effff,
    0x98ffffff,0x43ffffff,0x9d002ffc,0x744005d5,0xffffffff,0x7fcc4fff,
    0xffffddef,0xefffe82f,0xdffffffd,0x6f7fff41,0x1dffffff,0x809b5d70,
    0x20dfffd8,0x90dfffd9,0x31ffffff,0x27ffffff,0x8ffffffc,0x3ffffff9,
    0x41bfffb1,0x30dfffd9,0xfffffffb,0x3ffff21f,0xffff98ff,0xffff93ff,
    0xffff31ff,0x7fd407ff,0x3ffff201,0xffff98ff,0x020103ff,0x40010080,
    0xff300100,0xffffbbdf,0xffffe983,0x3bffff65,0x77fffcc1,0x84fffedc,
    0xecdffff8,0x7004ffff,0xffff01ff,0x4400dfff,0xfecdffff,0xff984fff,
    0xffffddef,0xdffff301,0x09fffdb9,0xfbbdfff3,0x3e603fff,0xfffddeff,
    0x7fff4c1f,0x3ffff65f,0x027fd41e,0x4002ec88,0xffdefffe,0x221dffff,
    0x7fc43ffe,0x6ffdc0ff,0x0fffee21,0xb8877fee,0xeb803fff,0x1ffd000c,
    0xe98bff30,0x3f65ffff,0xfd31efff,0x7fecbfff,0x7ff41eff,0x005ff980,
    0x7f4c3fee,0x3ff65fff,0xffd31eff,0x7ffecbff,0x3fea01ef,0x3fffa601,
    0x3ffff65f,0x0000001e,0x10000000,0xff907ffd,0xc813fe0d,0x07ffd07f,
    0xfd113fee,0x9ffd309f,0x203fee00,0xfffffffc,0x4ffe8801,0x444ffe98,
    0xffc83ffe,0x207ffd06,0x7f444ffb,0x86ffc83f,0xfc83ffe8,0x409ff06f,
    0xbff307fc,0xfb800000,0x3fee21df,0x83ffc83f,0x743ffffc,0x7ffd01ff,
    0x3a03ffd0,0x000003ff,0xffb09ff5,0xc813fe03,0x409ff07f,0x9ff507fc,
    0x4003ffb0,0x27fc0ffb,0x3fe0ff90,0x201ff204,0xff801ffa,0x711ff204,
    0x764c3ddd,0x775c43ee,0x3bbb261e,0x0f775c43,0x907ddd93,0x7fdc07ff,
    0x3204ff83,0x03ffb87f,0x3fea17f4,0x00ffe203,0x3a007fdc,0xa804ffff,
    0x3fe203ff,0x701ffe43,0x3ffb87ff,0x3f217f40,0x0ffee03f,0x7dc07ff9,
    0x204ff83f,0x1bfe07fc,0xcccccc98,0x03ffd002,0x3fe0fffa,0xfeeffa86,
    0xf502ffc7,0x40bff07f,0xd9503ffa,0x0019dfff,0x7fcc1ffd,0xc813fe05,
    0x409ff07f,0x3ffa07fc,0x0017fe60,0x4ff81ff7,0x7fc1ff20,0x201ff204,
    0xff801ffa,0xf71ff204,0x7fec3fff,0x7ffdc4ff,0x3ffff61f,0x0ffffdc4,
    0xf09ffffb,0x0ffd00df,0x3fe409ff,0x1cc03ff4,0x7e403fe4,0x01ff7001,
    0x7fee7fcc,0x403fe400,0x037fc1fc,0x1ffa3ff4,0x1bfe0e60,0xdff1ffa0,
    0xff0ffd00,0xf03fe409,0x7fffc0ff,0xff006fff,0x21ffd40b,0x7fcc3ff8,
    0xf10ffc9f,0x1ffd409f,0xfa813fe2,0xffffa83f,0x400fffff,0x3ff64ff9,
    0xc813fe01,0x409ff07f,0x3fe607fc,0x0007ff64,0x4ff81ff7,0x7fc1ff20,
    0x201ff204,0xff801ffa,0xb31ff204,0x7ecc3fff,0x7fecc4ff,0x3fff661f,
    0x0fffecc4,0x889fffb3,0xffb803ff,0xf9027fc0,0x000bff0f,0x00002ff4,
    0xf9007fdc,0x807ff53f,0xf10005fe,0x1ff7007f,0x88002ffc,0xffb803ff,
    0x7007ff10,0x04ff81ff,0x7ff81ff2,0x3fffff20,0x7fc401ff,0x50ffe604,
    0x7ff443ff,0x7f43ff52,0x07ffb00f,0x3f601ffd,0xdfff983f,0x804ffedc,
    0x5ff98ffd,0xf9027fc0,0xc813fe0f,0x47fec07f,0xb8005ff9,0x027fc0ff,
    0x13fe0ff9,0x97307fc8,0x0179bffb,0x7fc813fe,0x3e03ff50,0x03ff504f,
    0x7fd413fe,0xfa89ff01,0x1ffa801f,0xff9027fc,0x0003ff88,0x00007ff1,
    0x7c01ff70,0x881bfe6f,0xf50003ff,0x3ff5003f,0x4000ffe2,0xfa801ffa,
    0x003ff51f,0x4ff83ff5,0x7c41ff20,0xfffd005f,0x1ffd009f,0xf50fff60,
    0x527fec3f,0x27fe45ff,0x641fffcc,0xfff984ff,0x3fa01103,0xddff9806,
    0x27fc01ff,0x3fe0ff90,0x301ff204,0x03ffbbff,0xf81ff700,0x41ff204f,
    0x1ff204ff,0x7ffffff4,0x09ff04ff,0xffa83fe4,0x2a09ff01,0x09ff01ff,
    0x7fc07fea,0x400ffd44,0x27fc2ffa,0xff88ff90,0xccccc983,0x007ff10a,
    0x01ff7000,0xffc8ffea,0x007ff101,0x2007fea0,0x7ff12ffa,0x59999930,
    0x2007fea1,0x3ff52ffa,0xf85ff500,0x41ff204f,0xf9804ffa,0x400ffdcf,
    0xff984ffc,0xb9ffcc3f,0x07fdc6ff,0xd57ffff1,0xf107ffff,0xffd57fff,
    0x654407ff,0x007feccd,0x00bffffb,0x3fe409ff,0x3f204ff8,0xffffd807,
    0x1ff70005,0x3f204ff8,0x6409ff07,0xffff707f,0x3e05dfff,0x41ff204f,
    0x9ff01ffa,0x7c07fea0,0x03ff504f,0x5ff313fe,0xf81ff700,0x11ff204f,
    0xfffa87ff,0xff14ffff,0xf7000007,0x83ffa01f,0xff104ff8,0x3fe60007,
    0x10ffb802,0xfffa87ff,0xff34ffff,0x21ff7005,0xfb802ff9,0x9027fc0f,
    0x0ffee0ff,0x3ea7ff20,0x7ffc403f,0xffffeabf,0x7d77fc43,0x43fec0ff,
    0xfffffffa,0xff503fff,0xffffffff,0xffff9107,0x200fffff,0x801ffff9,
    0x1ff204ff,0xff9027fc,0x3ffff300,0x03fee000,0x3fe409ff,0x3f204ff8,
    0xff800007,0x541ff204,0x09ff01ff,0x7fc07fea,0x203ff504,0x04ff84ff,
    0x4ff87fd8,0x3fe1ff20,0x7ffffcc4,0x017fa2ff,0x03fee000,0x3fffffe6,
    0xfd00ffff,0x27fc000b,0x3fe3fec0,0x7ffffcc4,0x013fe2ff,0x09ff1ff6,
    0x9ff0ffb0,0xfe83fe40,0x26ff800f,0xffa806ff,0xffffffff,0xfffffd83,
    0x882ffd41,0xfbeffffe,0x3ffa203f,0x83ffbeff,0xfffffffd,0x3f6007ff,
    0x09ff005f,0x4ff83fe4,0x6c01ff20,0x2e0005ff,0x027fc0ff,0x13fe0ff9,
    0x55007fc8,0xc813fe00,0x03ff507f,0x7fd413fe,0x2a09ff01,0x09ff01ff,
    0x7d403ffd,0x206fe85f,0x06fd86fe,0xb89ff333,0x000801ff,0x3f203fee,
    0xffffffff,0x03ff703f,0x03ffd010,0x3f62ffd4,0x9ff33306,0x2a01ffe8,
    0x0fff45ff,0xfd0bff50,0x5437f40d,0xffa805ff,0x2007ff23,0xbdffffd8,
    0xfff983ff,0x07ffcc3f,0x7c46a620,0x1a98803f,0xffb87ff1,0x1ff661be,
    0x001ffe80,0x37f40dfd,0x3fa06fe8,0x03ffd006,0x207fdc00,0x1bfa06fe,
    0xdfd037f4,0x005ff700,0x37f40dfd,0xfb82ffa8,0x05ff504f,0x3ea09ff7,
    0x84ffb82f,0xf981eff9,0x2ffc80ff,0xfb84ffb8,0x227fc04f,0x3200eff9,
    0x0ffd005f,0x3bbbbffe,0xf306ffee,0x2fe401df,0x2607bfe6,0x7fdc0fff,
    0x2627fc04,0xff981eff,0x0f7fcc0f,0x6407ffcc,0x4ffb82ff,0xe801ffe8,
    0x13fe20ff,0x3e219880,0x9fffd03f,0x07fff955,0x007fee00,0x360ffdc0,
    0x7fe980ff,0x00bff500,0x7dc17fe4,0x05ff904f,0xf5009ff7,0xfe8000bf,
    0xb82ffc87,0x5ff904ff,0x7009ff70,0xff9005ff,0x209ff705,0xfbaaeff8,
    0xf882efff,0xfffbaaef,0xeff882ef,0xeffffbaa,0xacfffb82,0x303fffca,
    0xfb57dfff,0x3ff601ff,0xfecb9abf,0xcfffb84f,0x6ffeca9a,0xffd99998,
    0x203ffa85,0xff701ffb,0xfd95359f,0x9fff70df,0x07fff955,0x26affff6,
    0xb84ffecb,0xfcaacfff,0xfff703ff,0x7fff9559,0x2fbffe60,0x540fffda,
    0xff9806ff,0xffffffff,0x3fee0000,0xfffffb81,0x004fffff,0xfff73331,
    0x2e666200,0xcffb87ff,0xffffdb9a,0xfe99882c,0x3fe6001f,0xfffdabef,
    0x7dfff300,0x201fffb5,0x01ffe998,0x3f266660,0xefff985f,0x00fffdab,
    0xb57dfff3,0x26001fff,0xfff9800f,0x0fffdabe,0x3fffff60,0x80ffffff,
    0xfffffffd,0xfd80ffff,0xffffffff,0xfffc80ff,0x403fffff,0xfffffffa,
    0x3ffa202f,0xffffffff,0xfffff703,0x543dffff,0xefffffff,0x33ffae20,
    0x77fedc43,0xfffff703,0x203dffff,0xfffffffc,0x3ffa203f,0xffffffff,
    0xfffff903,0xfc807fff,0x3fffffff,0x7ffffd40,0xffd82fff,0xffffc801,
    0x03ffffff,0xff733310,0xbfff981f,0x01effffd,0xfffffe88,0x7f4402ff,
    0x02ffffff,0xfffffffd,0x221fffff,0xfffffffe,0x3ffea003,0x402fffff,
    0xfffffffa,0xfffe882f,0x5403ffff,0xefffffff,0xfffff500,0xfa805fff,
    0x2fffffff,0xa8013600,0xffffffff,0xffffd802,0x205fffce,0xfceffffd,
    0x3ff605ff,0x5fffceff,0x3ffffa60,0xffd3001e,0x2e001dff,0xcffffffe,
    0x7ff65401,0xffc84eff,0x5c0effff,0x22ffffff,0x2ffffffb,0xffffd950,
    0xffd3009d,0x2e003dff,0xcffffffe,0x7fff4c01,0xfd3001ef,0x2003dfff,
    0x0effffe9,0x3e007f70,0xeeeeeeff,0x7f4406ff,0x82ffffff,0x04cc2ffc,
    0xfffff300,0xff3005ff,0x405fffff,0xdfffffc9,0x3e64fffe,0x5fffffff,
    0x7fff4c00,0xfd3000ef,0x2601dfff,0xffffffff,0x7fffe405,0x74c01eff,
    0x000effff,0x1dffffd3,0x40035400,0x0effffe9,0x006aa200,0x000d5440,
    0x0001aa88,0x40002662,0x20000998,0x100019a9,0xcca88035,0xffd300ac,
    0x7f4c1dff,0x8800efff,0x3310001a,0x4d4c0001,0x09988001,0x01331000,
    0x00266200,0x03ffa800,0xf9807fee,0x03ffffff,0x400007b3,0x001bccc9,
    0x00de664c,0x40026a60,0xbcccccca,0x13310000,0x02662000,0x333332a0,
    0x654400bc,0x44000acc,0x31000099,0x00000013,0x00013310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x879ffd71,0x03effdb8,0x006f332a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x22ffffff,0x2ffffffb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffe9800,0x3ffa60ef,0x00000eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x40005102,0xcd88002c,
    0x00260000,0xedb80000,0xa800003e,0x4c1b8804,0x23b10003,0x009800d8,
    0x000e4400,0x2200004c,0x0001b11d,0x20000260,0x776d4009,0x80cc0004,
    0x1880c00a,0x81400000,0x5ee88028,0xdb81eec8,0x0001eeee,0x0000064c,
    0x0180026c,0x31018031,0x00c40600,0x00800400,0x80013000,0x007c83f8,
    0x8003fe88,0x70003ffc,0xb88007ff,0xb9bdffed,0x13fffe20,0x0df90000,
    0x3ff8ff70,0x4cff4400,0x3fc400ff,0x05fd3000,0x003ffb80,0xff33fd10,
    0x203ea801,0x20003ffb,0x3fe02ffc,0x6c0005ff,0x2202f986,0x01fea1ef,
    0x37dffd91,0x20fe2017,0x7ff9807c,0x7c42ffe8,0x001fffff,0x4c027fc0,
    0x0ff9804e,0x50f7c400,0x0f7c40ff,0xdf300ff5,0x80037dc1,0x205fffd8,
    0x00df11fe,0x4003ffb8,0x3fc99bfc,0x01ffcc00,0x002ffa80,0x6fff7f4c,
    0xfffe8800,0x43ffffff,0x0004ffec,0x001bfb10,0x02fe8bf5,0x3e6bfa20,
    0x1ffa802f,0x02ffa800,0x3ffbfa60,0x3fa2000d,0x4402ff9a,0xefe986ff,
    0x26000dfe,0x80dffefe,0x0005ffeb,0x7dcd6fcc,0xdcffb806,0x3fea02ff,
    0x4fffffff,0x3266ff20,0x7ff9803f,0xec82ffe8,0x0001ffee,0xf500bfee,
    0x3ff5003f,0xb9ff7000,0xffb805ff,0x9002ffdc,0x03ffb7ff,0xfffff100,
    0x27ff105f,0xe9800ffb,0x000dffef,0x1bffffb1,0x017fc400,0x10006600,
    0x1bf629ff,0x9dffff30,0x209fffdb,0xb00004ff,0x1008009f,0xfd2fe800,
    0xdffd5003,0xff100577,0xa7fc4003,0x3a006fd8,0x9003fd2f,0x4ff887ff,
    0x2200df91,0x0dfb13ff,0x40002ff4,0x02effffc,0x01bffd30,0x6effffc4,
    0x2205fffe,0x00dffffd,0x7d400000,0x3fa0001f,0x00f7e407,0x0001ffa8,
    0x001bffd3,0x0037ffa6,0x019ffd30,0x33bff600,0x3ff880dd,0xf8801ff7,
    0x00dfb14f,0x0000ab88,0x01000017,0x0ea07200,0x2e07ffd0,0x09ff04ff,
    0x000aa000,0x21a80000,0x7ff4401b,0x807fffff,0x1c8000b8,0x86a003a8,
    0xfff8801b,0x03a81c80,0x07503910,0x00002ff4,0x2e000375,0x83ffc803,
    0xb8805ffc,0x0000000a,0x0003ff50,0xf880ffea,0xfeda800d,0x1ceeeeef,
    0x20007700,0x1640002b,0x0bff1000,0x7e4bfe60,0x75039007,0x00000000,
    0xfffeb800,0x00ceee9c,0x1ffdc000,0x7fc0bfa0,0x2ceffd9c,0xdb700000,
    0x775c417b,0xc800003d,0xfffdefff,0x0000000f,0x20000000,0x00003ffc,
    0xbfd00000,0x016f76dc,0x40000000,0x13fa07fd,0x3b6e0000,0xeedb9eee,
    0x3ea05eee,0xffd0001f,0x3e000801,0xffffffff,0x000006ff,0x00000000,
    0x2005ff30,0x0ff92ff9,0x65c40000,0x332e2ccc,0x99710bcc,0x6665c599,
    0x7ff440bc,0xffffffff,0x9999714f,0x5e6665c5,0x2601ffa0,0x3ffffe03,
    0x405fffff,0x9beffec8,0x3fffea0b,0x3fffee2f,0xffd7101f,0x0eff807b,
    0xa881ff22,0xba9defec,0x3fb2a200,0x220ba9de,0x2e2ccccb,0x220bcccc,
    0xd9100fff,0x01737dff,0x666665c4,0xbfd02ccc,0x1fffffea,0xbffdb710,
    0x32201737,0x0b9beffe,0xda80ffe4,0x3ffae201,0x3ffe203d,0xffffbfff,
    0x3ea06fff,0xffa8001f,0xddddb704,0xfffeb803,0x82efffff,0xccccccc9,
    0x33321ccc,0xcccccccc,0xccc983cc,0x50002ccc,0x3ea003ff,0x2a0dfb1f,
    0x260bcccc,0xf92ccccc,0xf31fffff,0x327fffff,0x98ffffff,0x43ffffff,
    0xffdefffe,0xf91dffff,0xf31fffff,0x7c7fffff,0xff80005f,0xffecffff,
    0xfffa80df,0x24ffffff,0x20dfffd8,0x80dfffd9,0xffffffea,0x03ff881e,
    0x3ffe6059,0x2fffffff,0xffffff30,0x7e45ffff,0xf98fffff,0x2a3fffff,
    0xfff504ff,0x09ffffff,0x7fffffe4,0xfe80ffff,0x7dffff55,0x7ffff440,
    0xa83fffff,0xffffffff,0x67ffcc4f,0x3faa000a,0x01efffff,0xb5ffffd9,
    0x0dffffff,0x4000ffd4,0xff880ffd,0x5001ffff,0x7dc003ff,0xffffffff,
    0x3ffffe3f,0xffffffff,0xffffff85,0x3b66006f,0x80deeffe,0xffffffea,
    0x3fe24fff,0x3f64ffff,0xe98fffff,0x3f65ffff,0xfd31efff,0x7fecbfff,
    0x3fee1eff,0x3ffee21d,0x7ffff4c3,0x3bffff65,0x0007ff11,0x983dfff0,
    0x7fc43ffd,0xfffeddff,0x980ffe85,0xfff305ff,0x3ffffbbd,0x0017ffd0,
    0x337fffe2,0x884ffffe,0xfecdffff,0x3fa64fff,0x3ff65fff,0x3fee1eff,
    0xdffff883,0x205fffed,0xffffffe9,0x5bfd05ff,0x9801bfff,0xedceffff,
    0x7fc44fff,0xfffeddff,0xfffffb85,0x3fe601ce,0xffffddef,0x80ffd401,
    0x3fea06fd,0x27fcc001,0x3ffddd90,0x007fea00,0xffffffb8,0x3fe3ffff,
    0xffffffff,0xffc85fff,0x001fffff,0xfffffff9,0xffffb07f,0x1fffffff,
    0x177fffec,0x8bffffd5,0x1ff204ff,0xff9027fc,0x3a03ffd0,0x09ff03ff,
    0x3fe23fe4,0xccccc983,0x01fff80a,0xffc8bff1,0xa85ffc83,0x1ffd84ff,
    0xc83ffe88,0xfffb86ff,0xfd101cef,0x9ffd309f,0x984ffe88,0x4ff84ffe,
    0x3f21ff20,0x83ffc81f,0x6c005ffc,0xfffe807f,0xffd004ff,0x913fee07,
    0xbff907ff,0x3ffffaa0,0xffe884ff,0x406ffc83,0xdfb01ffa,0x000ffd40,
    0x54007ff6,0xff5001ff,0x07fdc003,0xff83bfea,0xfe87fea5,0x7ffff405,
    0xfdd91004,0x93019ddf,0xfffddfff,0x00bff05b,0x09ff0dfb,0x4ff83fe4,
    0x3fe1ff20,0x40ffea05,0x1ff204ff,0xffa87ff1,0xf84fffff,0x23fec06f,
    0x13fa07fd,0xff307ff4,0x80fff20b,0xfea83ffb,0x541effff,0x3fe203ff,
    0x101ffd43,0x09ff07ff,0x7ff43fe4,0x3a07fd80,0x3fec004f,0x27ffff40,
    0x403ffb80,0x03fec2fe,0xca8809fd,0x7e44fffe,0x0ffee03f,0xfb01ffa8,
    0x00ffd40d,0x400bff10,0xf5001ffa,0x7fdc003f,0xf07ffe20,0xd0ffd4bf,
    0x67fcc0bf,0x54000ffd,0xff9001ff,0xdfd027fc,0xbfd17754,0x7e409ff0,
    0x6409ff07,0x027fc47f,0x3fe07ff5,0x3e1ff204,0x7fffcc4f,0x7ff82fff,
    0x3f23fec0,0x203b501f,0x3ff64ff9,0xd00dff01,0x7f64c0ff,0x1ff20fff,
    0xff907f20,0xff03f900,0x7c3fe409,0x03ff907f,0xfb00076a,0xffffd00f,
    0x0ffd007f,0x3ff90730,0x011076a0,0x3fe3ff4c,0x207fe806,0xdfb01ffa,
    0x000ffd40,0x54003ff9,0xff5001ff,0x23fd4003,0x5fe83ffe,0x5fe87fea,
    0x3ea7ff20,0x7fd4003f,0x22ffb001,0x9ff603ff,0x13fe5ffe,0x7fc813fe,
    0x7e409ff0,0xb00ffe87,0x13fe07ff,0x6fd87fc8,0x09ff3330,0x7c40fffe,
    0x67ffcc6f,0x7fec000a,0xf105ff98,0x1ff7007f,0x47ff9100,0x3a0005fe,
    0x7fc0005f,0x3a1ff204,0xfff980ff,0xd80000ac,0xbefe807f,0x7fc04fff,
    0x3fe60005,0x7c400acf,0x47fee00f,0xfb803ff8,0x03ff500f,0xffa81bf6,
    0x0dff1001,0x001ffa80,0x0a205ff5,0x04ffd8ae,0x0ffd45f9,0x37fc07f9,
    0xfa800dff,0x7f54401f,0x01dffbaf,0x3ffe2ff9,0xf83ff88f,0x41ff204f,
    0x1ff204ff,0x3e613ff2,0x09ff03ff,0x7fdc3fe4,0xf827fc04,0xf511cfff,
    0xfff707ff,0x30039dff,0x03ffbbff,0x2a007fea,0x407f71ff,0x07ff14ff,
    0x00ffe200,0x6409ff00,0x01ffd87f,0x9dfffff7,0x1ff60003,0x7fcd7fa0,
    0x07ff104f,0xffffb800,0xffa81cef,0x543ffa05,0xffa801ff,0x203ff501,
    0x3fea06fd,0x05ff9001,0x001ffa80,0x36e6fbfe,0x3ee03ffe,0x3ea0406f,
    0xff50041f,0x000ffe47,0x7cc03ff5,0xffffffff,0x8ffb83ff,0xf9bffffb,
    0x204ff83f,0x09ff07fc,0x7fc43fe4,0xfffeabff,0x409ff03f,0xfffb07fc,
    0xffd97357,0x3ffffe09,0x05ffffff,0x3fffffaa,0xfffd804f,0x07fea05f,
    0x7ecbfea0,0x12ffa80f,0x220007ff,0x7c0003ff,0x21ff204f,0x3aa02ffb,
    0x84ffffff,0x81ff600a,0x3e65ffc9,0x3e22ceff,0xcccc983f,0xffea80ac,
    0x7d44ffff,0xfdaaceff,0x07fea6ff,0xcb8bfea0,0x2ccdffdc,0xccca9bf6,
    0x2cccdffd,0x8006ff88,0x2e001ffa,0xffffffff,0x1fff302f,0x01ffa800,
    0xf883ffa0,0x3fea004f,0x3fffe201,0x3fffffff,0xffe9ffa8,0x82ffadff,
    0x1ff204ff,0xff9027fc,0x3ffffea0,0xf03fffff,0x83fe409f,0xffffffe8,
    0xff03ffff,0xffffffdd,0x3b2a2007,0x7cc04fff,0x3e601fff,0x0ffb802f,
    0xb759fffd,0x1ffc4fff,0x03ff8800,0x9027fc00,0x09ff50ff,0xfffd9510,
    0xfb037d49,0x2ffffc0f,0x1ffffff3,0xff50ffe2,0x409fffff,0x4fffeca8,
    0x3fffffe6,0x261fffff,0xffb802ff,0xffffff50,0x3f63ffff,0xffffff36,
    0x81ffffff,0xa8002ffb,0x362001ff,0x0cffffff,0x985fff10,0x00ffd400,
    0xffffff98,0x5000ffff,0xff3003ff,0x015ff73b,0x33ff3fe6,0x81ffcffd,
    0x1ff204ff,0xff9027fc,0x7ffff440,0xff03ffbe,0x203fe409,0xffffffeb,
    0x553fe01c,0x2200abcc,0x01ffa600,0x3e017ff6,0x27fd804f,0xfffffffd,
    0x02ff43ff,0x000bfd00,0x3f204ff8,0x887ff887,0xc9ffa600,0x81ff607f,
    0x3625fffc,0x7fc5ffff,0x7ffffcc4,0x980222ff,0x75eec7fe,0x80cfffff,
    0x7fd804ff,0x3fffffa2,0x9bf65fff,0xfffffffd,0x6ff85fff,0x03ff5000,
    0x01353100,0xfa89ffb0,0x00ffd405,0xffffffc8,0x7003ffff,0xff1003ff,
    0x8807fee9,0xfa9fffff,0xfe80ffff,0x741bfa06,0x01bfa06f,0x7fc46a62,
    0x740dfd03,0x26a6006f,0x009ff001,0x5c01ff10,0x7ff401ff,0x01ffe801,
    0xdfb97fea,0x80cffffe,0x80801ffb,0x00801ffb,0x37f40dfd,0x3e23ffc8,
    0x47fee00f,0x1bf607fc,0xdfb00000,0x93fe6660,0x3ee00ff8,0x07ba601f,
    0x5403ffd0,0x6c0005ff,0xf500006f,0x3ea0007f,0x0a88001f,0x90bff900,
    0x1ffa80ff,0xdddfff00,0x00dffddd,0x22003ffa,0x01ff73ff,0x3e7ffff8,
    0xff907fff,0x209ff705,0xffb82ffc,0x3ff70004,0x2e0bff20,0x332004ff,
    0x013fe001,0xe817fea0,0x3fea00ff,0x3dff3005,0x401fff30,0x3e602ffb,
    0x17f200ef,0x6401dff3,0x82ffc85f,0xff104ffb,0xd02ffd4d,0x03ff21ff,
    0x30013fe6,0x3fee0059,0xf527fc04,0x07ff40bf,0xf300ffa0,0xfff303df,
    0x7fc40001,0x002f2605,0x20001ffd,0xd8001ffa,0xeffa806f,0x5407fc80,
    0xffa801ff,0x207fee03,0x05ffdacc,0x3f27ff30,0x4ffff807,0x4c1bfff6,
    0xfdabefff,0xfff300ff,0x1fffb57d,0xf7333100,0x7ffcc0ff,0x0fffdabe,
    0x003ffa00,0x00077fe2,0x559dfff5,0x310dfffb,0x4003ffd3,0xcaacfffb,
    0x7d403fff,0x7ffdc01f,0xffeca9ac,0xacfffb86,0x86ffeca9,0xdabefff9,
    0x3f600fff,0x9dfff52f,0x4dfffb55,0xcabdfffc,0x5c001fff,0xffb003ff,
    0xfd97357f,0x77ffd49f,0x6fffdaac,0x07fb2220,0x559fff70,0x8007fff9,
    0x3ffea998,0xa817fea0,0x2a0004ff,0xfb8001ff,0xcdfff806,0x87fecccc,
    0xcdffdcb9,0x7ff5c40b,0x7fedc43c,0x3fffea3e,0xff3000ff,0x3a01ff25,
    0x3fea2fff,0x3ffea05f,0x402fffff,0xfffffffa,0x7ff4402f,0x402fffff,
    0xfffffffa,0xdbd3002f,0xfffd803f,0xf3004fff,0xffffffff,0x7ff443ff,
    0x003fffff,0x3ffffff2,0xffa803ff,0xffffb801,0x01efffff,0xfffffff7,
    0x3ea03dff,0x2fffffff,0xf9b7fc40,0xffffffff,0x3ffea1ff,0x02ffffff,
    0x027e6ec0,0xfffffe88,0x263fffff,0xffffffff,0x3f201fff,0xfc800fee,
    0x3fffffff,0x7ffff400,0x33b205ff,0x03ff606f,0xfdccca80,0x002cccdf,
    0xffff0079,0xffffffff,0xffffffd0,0xfffb89ff,0x3fee2fff,0x3f62ffff,
    0x22001eff,0x00bf71ff,0xfff0fffb,0xfffe9809,0xfd3000ef,0x3001dfff,
    0x5fffffff,0x3fffa600,0x3a2000ef,0x7fc404ff,0x006fffff,0x3fffaf76,
    0x7fcc0cff,0x05ffffff,0x7ffff4c0,0x0ff1001e,0x7fff6540,0xeca804ef,
    0x804effff,0x0effffe9,0x6ec9f500,0xcfffffeb,0xfffeb880,0xfb8001df,
    0x75c000ef,0x1cffffff,0xfffebdd8,0x5c400cff,0x3a6003ee,0x001effff,
    0x7fffffc4,0x17ffd405,0x4c007f50,0xffffffff,0x5400ffff,0xfffff006,
    0x0fffffff,0xfffffff7,0xfffe985d,0x3ffa60ef,0x04c40eff,0x05419800,
    0x6c2ffe40,0x331003ff,0x26620001,0x6664c000,0x3310001b,0x00440001,
    0xbccccb98,0x2a660000,0x66665401,0x10000bcc,0x11000133,0x006a2000,
    0x0001a880,0x00001331,0x40035330,0x10000198,0x33530000,0x01a99800,
    0x4c400000,0x2e600009,0x02000acc,0xffd80000,0xffffffff,0x0000a805,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10180026,0x00c88003,0x880c0000,0x00144001,0x99999971,
    0x00000579,0x90077000,0x900de447,0x9125c407,0x3223dddd,0x3bbaa001,
    0x3332a0bd,0x8002cccc,0x000001c8,0x04c00095,0x99997100,0x3332e639,
    0x13008803,0x64419500,0x0f332a02,0x02f3332e,0x05910654,0x001c8800,
    0x064c0000,0x00644000,0x200004c0,0x193000c8,0x00322000,0x4000c406,
    0xf8803ffb,0x801fea1e,0xd1000ffa,0x3be6001d,0xc801bee0,0x03d52fff,
    0xfffffff7,0x8003dfff,0x10000de9,0xff9809fb,0x303fff71,0xfff503ff,
    0x3fffff25,0x5400dfb1,0x3e3fffff,0x7fffffff,0x02ff8800,0x02fe4000,
    0x002ffc80,0xbffffff7,0x07fffff6,0x7ec47fb0,0x91ffc403,0x3ffe20ff,
    0x3ffe62ff,0xff884fff,0x8001ff23,0x51001ff9,0x753bdfd9,0x01ff9801,
    0x007fea00,0x0007ff70,0x54007fea,0x7d4001ff,0x0f7c401f,0x74c00ff5,
    0x400dffef,0x2ffdcffb,0x003ff700,0x9001ffe4,0x03ffb7ff,0x3faf7ea0,
    0xfe980eff,0xffffffff,0x3f2000ff,0xfe88003f,0x31ffa804,0xff50dffd,
    0x21dffd03,0x71ffffd9,0x3ea005ff,0x3f20dfff,0x04ffffff,0x007ff300,
    0x01bfd100,0xffefe980,0x7ff4c00d,0xfff72eff,0xfe8801bf,0xb005ffbe,
    0x9027cc3f,0x6c1fffff,0xb01effff,0x0027cc3f,0x3001ffb8,0xffffffff,
    0xff5005ff,0x3ff70005,0x7f7f4c00,0x3ee000df,0x7fd4001f,0x03ff7002,
    0x3f73fee0,0x9ff1002f,0x2601bf62,0x5000dffe,0xfa8001df,0x7f4c001f,
    0x062000cf,0xfb8019d9,0x2ffed41f,0x003ff500,0x2a007fd0,0x07fe41ff,
    0xff307fea,0x88ffd407,0xff5006ff,0x00dfd003,0x00ffa200,0x0009fb00,
    0x3f627ff3,0x41ff7006,0x001fffd8,0x0017ffe4,0xffff0000,0x000ff909,
    0x0efa8000,0xbffff100,0x09ffffd9,0x8007fa60,0x22000efa,0x0dfb14ff,
    0x0003bea0,0x2a00ff4c,0x74c000ef,0x64000dff,0x2e003a81,0x001c4003,
    0x64000110,0x80000002,0xdfd01ffb,0x00008800,0x7fd40037,0x2a07fdc1,
    0x0ffd41ff,0x7e43ff50,0x1ffa802f,0x0006fe80,0x20000dc0,0x3910001a,
    0x3ee00750,0x1dffd10f,0x00326000,0xfff00000,0x07fc83ff,0x5c400000,
    0x9ffd1000,0x009ffd30,0x710005c4,0x2a072000,0x00071003,0x38801710,
    0x001dc000,0x00000000,0x00000000,0x332e2000,0x3332e2cc,0x0ffdc0bc,
    0x00006fe8,0x3ea00000,0x207fdc1f,0x7fd41ffa,0x887fea01,0xffa805ff,
    0x006fe801,0x00000000,0x70000000,0xbfff31ff,0x00000001,0x07bffd71,
    0x1bffbfe0,0xccb88ff9,0x3332e2cc,0x800000bc,0x3e203ffa,0x0000003f,
    0x00000000,0x00000000,0xcb800000,0x665c43cc,0x3332e63c,0x20bccccc,
    0xccccccc9,0x664c1ccc,0xcccccccc,0x33332e21,0x6402bccc,0x98ffffff,
    0x43ffffff,0x7ec41ffb,0xcccb884f,0xcccccccc,0x33332e24,0x5402bccc,
    0x07fdc1ff,0xff507fea,0x20ffd403,0x7d401ffc,0x06fe801f,0x99999300,
    0xcc980059,0x4002cccc,0x2cccccc9,0x3effee00,0x995004ff,0x99997079,
    0xfffd5017,0xf803dfff,0x323ffccf,0x7fffe47f,0xffff98ff,0x3332a3ff,
    0xbccccb83,0x3201ff20,0x3332e21f,0xcccccccc,0x33332e24,0x4ccccccc,
    0x333332e2,0x44cccccc,0x5c43cccb,0x32e63ccc,0xbccccccc,0x99999730,
    0x2e217999,0xcccccccc,0xffa84ccc,0x3fee2fff,0xfffb1fff,0x9fffffff,
    0x7fffffdc,0x7dc3ffff,0xffffffff,0x3fffee3f,0x1effffff,0xbffffd30,
    0x0f7fffec,0x3b737fee,0xfb80efff,0xffffffff,0x3fee7fff,0xffffffff,
    0x83ff501e,0x7fd40ffb,0x500ffd41,0x5ff983ff,0x400ffd40,0xff0006fe,
    0x00dfffff,0xfffffff8,0x7fffc006,0x2e006fff,0x02ffffff,0x2fffff88,
    0x3fffffe6,0x6f7ffcc4,0x201ffffd,0x1fff8cff,0xffe98ff9,0x3fff65ff,
    0xffff11ef,0x7fffcc5f,0x017fa4ff,0x7ffffdc0,0x7fffffff,0x3fffffee,
    0x27ffffff,0xfffffffb,0x2a7fffff,0x2e2fffff,0xfb1fffff,0xffffffff,
    0x3ffff69f,0x74ffffff,0xffffffff,0xb10fffff,0xff98dfff,0x3ffaa5ff,
    0x1effffff,0x3fffffee,0x7dc3ffff,0xffffffff,0x3fffa63f,0xffffffff,
    0xc813fe00,0xffff707f,0x201dffff,0xffffffe9,0x267fffff,0xfffffffe,
    0xf980ffff,0x20ffd40f,0x7fdc1ffa,0x207fea01,0x3ea00ffd,0x06fe801f,
    0xfffff900,0x7e4003ff,0x01ffffff,0x3fffff20,0xff7001ff,0x005fffff,
    0x41fffff9,0x21effffd,0xfc83ffe8,0x553fe06f,0x20ff96ff,0x1ff204ff,
    0x83fffff2,0x11effffd,0x260007ff,0xfffffffe,0x3a67ffff,0xffffffff,
    0x3fa67fff,0xffffffff,0x3ff627ff,0x7fffcc6f,0x3ffffaa5,0xd51effff,
    0xffffffff,0x3fffa63d,0xffffffff,0x217fea07,0x7d401ffe,0x03fee01f,
    0xfb81dff5,0x077fd40f,0x36a0ffdc,0x13fe05ff,0xff707fc8,0x07ffffff,
    0x3203ff50,0x41ffb87f,0x3305ffda,0x549fff30,0xfffb11ff,0x40ffd401,
    0x3ea04ff9,0x06fe801f,0xffd009b1,0x3a0009ff,0x0004ffff,0x009ffffd,
    0x3eebffee,0xfff002ff,0x90ff909f,0x7fdc07ff,0x7ec9ff03,0xff07fcbf,
    0xf03fe409,0xff909fff,0x0003ff88,0xfc80ffd4,0x901ffa87,0x03ff50ff,
    0x3fea1ff2,0x401ffe85,0xf5001ffa,0x1ffa803f,0xfd80ff90,0x013ff23f,
    0xfb807fea,0x07ffe20f,0xff883fee,0x03ff701f,0x4ff81bfa,0x7dc1ff20,
    0x0bfff21f,0x2e03ff50,0x01ffb87f,0xfd000dfd,0x47fea3ff,0x5404fffb,
    0x1ffd01ff,0x2007fea0,0x1ff506fe,0x7ee7fcc0,0x7fcc000f,0x4000ffdc,
    0x0ffdcff9,0x261ffb80,0xff800fff,0x3fe41fff,0x7f4037fc,0x7c49ff07,
    0xff07fdff,0xf03fe409,0xfc83ffff,0x001ffc47,0x5c07fea0,0x01ffa87f,
    0x3ff50ff7,0x7ec1fee0,0x013ff23f,0x54007fea,0x7fd401ff,0x880ff701,
    0x6ff98fff,0x403ff500,0x1fff47fa,0x7ff47fa8,0x407fee03,0x13fe06fe,
    0xff707fc8,0x01fffa83,0xb7447fea,0x1ffb84f9,0x9800dfd0,0xff50dfff,
    0x01fffa23,0x3ea03ff5,0x03ff504f,0x3ee0dfd0,0x27ff201f,0x64003ffa,
    0x03ffa9ff,0x7d4ffe40,0x0ffb803f,0x7c01ffdc,0x7e46ffef,0x401ffc47,
    0x4ff80ffb,0x83ffffdc,0x1ff204ff,0x46ffeff8,0x05fe87fc,0x88ffd400,
    0xf509f36e,0x7cdba23f,0xd11ffa84,0x7c413e6d,0x06ff98ff,0x2003ff50,
    0x7d401ffa,0x3e6dd11f,0xeeffa804,0xff5001ff,0x3f62b803,0xfb15c04f,
    0x1ffb809f,0xf027fec4,0x83fe409f,0xffa81ffb,0x26bfea06,0x7dc00ffb,
    0x27fec41f,0x7fd43744,0x2e0ffd42,0x3fea01ff,0x203ffa01,0xfe801ffa,
    0x403ff706,0x01bfe6ff,0x37fcdff0,0xff9bfe00,0x80ffb806,0x7fc00ffe,
    0x3f23ffcc,0x400ffd47,0x4ff81ffa,0xf07fffe8,0x03fe409f,0x47ff99ff,
    0x1ffb87fc,0x5ff50080,0xa801ff73,0x0ffb9aff,0x5cd7fd40,0xff5000ff,
    0x2003ffdd,0xf5001ffa,0xaffa803f,0x8000ffb9,0x004ffffc,0xb8007fea,
    0x7dc006ff,0xdffb806f,0x0efffedc,0xfc813fe0,0x6ffedc47,0x1effe41b,
    0x7fffffd4,0x6ffdc01f,0x0efffedc,0x7dc1ffa8,0x20ffd40f,0x3ea01ffa,
    0x0ffea01f,0x64c07fea,0xccccfffc,0xf501ffdc,0x00ffe47f,0x3f23ffa8,
    0x7ff5001f,0xb880ffe4,0x2a1bdffd,0xff01cdff,0x323fff19,0x00ffd47f,
    0xf7117fd4,0x7fcc59df,0x409ff07f,0x33fe07fc,0xff91fff8,0x401dff30,
    0xfffa85fc,0x5401ffff,0x1fffffff,0x7ffffd40,0x3f2001ff,0x2a004fff,
    0xff5001ff,0xffffa803,0x88001fff,0x54006fff,0xff3001ff,0x7fcc001f,
    0xfffb800f,0x00efffff,0xff9027fc,0xffffffb8,0x41fffe86,0xfffffffa,
    0x7fffdc01,0x500effff,0x0ffb83ff,0x3ea0ffd4,0x07fea01f,0xff50ffd0,
    0x3ffffe03,0xffffffff,0x41ffd01f,0xfd004ff8,0x027fc41f,0x3e20ffe8,
    0xffff704f,0xfffe8bff,0x3ea9ff06,0xf98ff96f,0x0ffb802f,0x3fffffee,
    0x7c1ffee1,0x81ff204f,0x2dff54ff,0xfff707fc,0xffd95359,0xfffff50d,
    0xffa803ff,0x401fffff,0xfffffffa,0x3ffe2001,0x0ffd4006,0x401ffa80,
    0xfffffffa,0x5ff50001,0x01ffa800,0x4c2fff88,0x85fff100,0xffffb809,
    0xf803ffff,0x31ff204f,0x07dffffd,0xfa81bff3,0x01ffcabf,0x7fffffdc,
    0x3fea03ff,0x2a07fdc1,0x0ffd41ff,0xb803ff50,0x0ffd42ff,0xffffffc8,
    0x1fffffff,0xffffff98,0x4c00ffff,0xffffffff,0x7fcc00ff,0xffffffff,
    0xffffe980,0x1fffd43e,0x3ff64ff8,0x4ff87fcb,0x74c7fd80,0xfe85ffff,
    0x6409ff07,0xd93fe07f,0x207fcbff,0xfffffffb,0xffa81eff,0x401ffcab,
    0xffcabffa,0x55ffd401,0x54001ffc,0x7d4002ff,0x3ff5001f,0xcabffa80,
    0xf50001ff,0xffa8003f,0x44ffd801,0x9ffb05fa,0xffb85fa8,0x00bfff21,
    0x37f40dfd,0x3ea00000,0x6d4ff31f,0xf90ffdc0,0x3fea05ff,0x2a07fdc1,
    0x0ffd41ff,0x8803ff50,0x0ffd46ff,0x7e400000,0xffffffff,0x7ffe403f,
    0x3fffffff,0x7ffffe40,0x003fffff,0x49ff0000,0x87fdfff8,0x3ea01ffe,
    0x2000005f,0x1bfa06fe,0x3fe24ff8,0x65407fdf,0x04effffe,0x3fcc7fea,
    0x1ffa81b5,0x206d4ff3,0x4ff31ffa,0x7fd400da,0x0ffd4001,0x401ffa80,
    0x4ff31ffa,0xff5000da,0x1ffa8003,0x642ffe40,0x85ffc87f,0x1ffb87fc,
    0x900fffd4,0x9ff705ff,0x000e6400,0xd04c3ff5,0x41ffb87f,0xfa81fffa,
    0x207fdc1f,0x7fd41ffa,0x007fea02,0xffa8bff2,0x00e64001,0xddddfff0,
    0xf80dffdd,0xeeeeeeff,0x7ffc06ff,0xffeeeeee,0x02f22006,0xfb89ff00,
    0xff987fff,0x0fff981e,0x40073200,0xffb82ffc,0xf713fe04,0x6c00ffff,
    0x3ff5001f,0xa87fd04c,0xfe8261ff,0x130ffd43,0x3ea01ff4,0x7fd4001f,
    0x03ff5001,0x8261ffa8,0xff5003fe,0x1ffa8003,0x203bfea0,0x77fd47fc,
    0xfb87fc80,0x06ffa81f,0x2afbffe6,0x2000fffd,0xf5000ffe,0x227fc03f,
    0xffa81ffb,0x2e1ffa86,0x1ffa86fe,0x51177fc4,0x1003ffb9,0x6ffd4dff,
    0x1ffd002c,0x407ff500,0xff501ffb,0x80ffdc07,0x3ee03ffa,0xdfd1001f,
    0xe84ff800,0xff707fff,0xfff9559f,0x0ffe8007,0xbefff980,0x200fffda,
    0xfffe84ff,0x00ff6007,0xff00ffd4,0x201ffa89,0x0ffd44ff,0xfa809ff0,
    0x7fd4001f,0x03ff5001,0x3e01ffa8,0x372e604f,0x880bcdff,0xcdffdccb,
    0x37ffe0bc,0x7feccccc,0x6666fffc,0x2e27fecc,0x641bdffd,0xff503dff,
    0x05ffffff,0x07fb7a60,0x9bffb710,0x9ff99999,0x2f7ff6e2,0x51effe41,
    0x3ffee3ff,0xd81ffa82,0xfff92fff,0x3f2003ff,0xfffff51f,0x7f6f4c07,
    0x3ffae201,0x7fedc43c,0x3ffae23e,0x7fedc43c,0x3ffae23e,0x7fedc43c,
    0x7675403e,0xffb8800f,0x3ffe62ce,0x3ffff207,0x2003ffff,0x001fede9,
    0xfffffff5,0x3fee205f,0x3ffe62ce,0xfec98807,0x3ff6e201,0xfccccccd,
    0xbffb714f,0xff999999,0x37ff6e29,0xffcccccc,0xffdcb984,0xcb880bcd,
    0xbccdffdc,0xffb99710,0x2e21799b,0xccccdffd,0x3604ffcc,0xffffffff,
    0xfffffd85,0x3e4fffff,0xffffffff,0x7fffc7ff,0x7fffffff,0x3fffffee,
    0x01fffe86,0x1dffffd3,0x27ff4400,0x7ffffdc0,0xffffffff,0xffffff74,
    0x23fffd0d,0x5df50ef8,0x6403be20,0xffff50ff,0x3fe2003f,0x3fffff54,
    0x027ff440,0x3fffffee,0x3ffffee2,0xfffff72f,0x7fffdc5f,0xffff72ff,
    0x7ffdc5ff,0x3e602fff,0xff7003ff,0x7dc3ffff,0x7ff4c07f,0x44001eff,
    0x4c004ffe,0x00effffe,0x3fffffee,0x201ffee1,0x201feffb,0xfffffffb,
    0x74ffffff,0xffffffff,0x2e9fffff,0xffffffff,0xd84fffff,0xffffffff,
    0xfffffd85,0xfb4fffff,0xffffffff,0x3fffee9f,0xffffffff,0x3ffae04f,
    0xa82effff,0xfffffffe,0x3fffe1ef,0x7fffffff,0x7ffffffc,0x3a67ffff,
    0x983effff,0x4c400dff,0x02200009,0x7ffff4c0,0xffffffff,0xdffffd34,
    0x01bff307,0x98000000,0x75c00199,0x00333312,0x7f4c0044,0x3a60efff,
    0xd30effff,0x4c1dffff,0x30effffe,0x41dffffd,0x0effffe9,0x74c00080,
    0xfe85ffff,0x01331007,0x00008800,0x26002662,0xe85ffffe,0xedb8807f,
    0x7fff4c03,0xffffffff,0xffffd34f,0xffffffff,0x3ffffa69,0xffffffff,
    0xffffeb84,0xfea82eff,0xefffffff,0xfffffd51,0x3a63dfff,0xffffffff,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x00ee0000,
    0x00000980,0x01301880,0x40000a20,0x440a0009,0x01dc0002,0x10031028,
    0xb8002603,0x4000e444,0xec800028,0x004eeeee,0x01644195,0xeeeeeec8,
    0x00144004,0x05910654,0x65400144,0x0000b220,0xe9800000,0x3b6a005e,
    0x401deeee,0x4eeeeeec,0x66666644,0x0000bccc,0x8005c400,0xeeeeedc8,
    0x0f200002,0xeec80000,0x5c04eeee,0x6c4003ff,0xff70004f,0x0de98007,
    0x7e44fc80,0x2fffc804,0x7dc003d5,0x83f8803f,0xfb10007c,0xb05f3009,
    0x881f700d,0x5ff3004f,0x360037ec,0x01d52eff,0x3ffffa20,0xff8806ff,
    0x2201ff23,0x6ffffffe,0x4bfff200,0x7ff101ea,0xffc83fe4,0x2203d52f,
    0x01ff23ff,0x0f7ffae2,0x177ff540,0x0037fcc0,0xfffffff7,0x7fff4407,
    0x7fec6fff,0xffffffff,0x000df104,0x4c00ffcc,0xffffffff,0x17e00003,
    0x4007dd50,0xffffffe8,0xffdfd306,0x9fd1001b,0xfdfd3000,0x3f2001bf,
    0xefe8803f,0x5400efeb,0xefffebdf,0xfefe9800,0x5fe400df,0x8003fc99,
    0x3a004fe9,0x02fd99bf,0xea9aef88,0x83ba000f,0x3ee003fa,0x06ffffbd,
    0xfd800000,0x00013e61,0xebdfa800,0x3600efff,0x2a13e61f,0xefffebdf,
    0xf987f600,0x7fff5404,0x3201efff,0x02ffffff,0x00037fcc,0xea800000,
    0xffffffff,0x03ff301e,0x005ff500,0x266673fa,0x300003fb,0x4d7c40bf,
    0x2000001e,0xdfb14ff8,0x0007fd00,0x3f629ff1,0x03ff5006,0x01fffdc0,
    0x06764188,0xd8a7fc40,0x7fec406f,0xf8000dff,0x7f4c002f,0x2a004fff,
    0x003ffffe,0x43100000,0x0000bec8,0x00000000,0x90620000,0x8000019d,
    0x00676418,0xfff98000,0x1ffffdde,0x3ea2ffa8,0x71000007,0x00003983,
    0x800ffd40,0x54001ffa,0xdf1001ef,0xcb88fea0,0x332e2ccc,0x202ffdcc,
    0x0000f26a,0x07503900,0x64000370,0x22003a81,0x00c88000,0x1c800000,
    0x571003a8,0x00dc0001,0x00057100,0x00000dcc,0x20000000,0x22ccccb8,
    0x00bccccb,0x3ae20000,0x00003dff,0x00000000,0x7f440000,0x86ffc83f,
    0x01fd82fe,0x47fb8000,0x997303ff,0x17999999,0x4007fea0,0x4c002ffa,
    0x3fe6000c,0x3f20c880,0xf98fffff,0x0fffffff,0x007ddfc0,0x99999971,
    0x00999999,0xc8800000,0x00000eee,0x88000000,0x003dffeb,0x00000000,
    0x00000000,0x99300000,0x80059999,0x2cccccc9,0xfffffc80,0xfffff98f,
    0x0f332e3f,0x20799971,0xffffffea,0x7999501e,0x17999970,0x333332e6,
    0x9730bccc,0x79999999,0x33332e21,0x4ccccccc,0xf7017fe4,0xa837cc9f,
    0xeeedb83f,0x8bf5001e,0xfffb02fe,0x9fffffff,0x2007fea0,0x1cdfffe9,
    0x71be6000,0x3003dfff,0x6cbffffd,0x00ceffff,0x5c02dd98,0xffffffff,
    0x9737ffff,0x79999999,0x66666541,0x7fe402cc,0x5cc001ff,0xcccccccc,
    0x9999710b,0x50015799,0xdffffffd,0x33332603,0x873332e3,0xccccccb9,
    0xcb880bcc,0xcccccccc,0x332e24cc,0xcccccccc,0x9999304c,0xff800599,
    0x006fffff,0x7ffffffc,0xfffe9806,0x3ffff65f,0xfffff51e,0x7ffffdc5,
    0x6f7ffcc1,0x441ffffd,0x262fffff,0xb4ffffff,0xffffffff,0x3fff69ff,
    0x4fffffff,0xfffffff7,0xf8ffffff,0x26fe806f,0x7e5445fa,0x7ffffc44,
    0x0402001f,0xfffffd50,0x2a03dfff,0x7fdc01ff,0x207fffff,0xabdffdb9,
    0xdff50fff,0x3e007ffd,0x01ff204f,0xffe98000,0xffffffff,0xfffffb7f,
    0x7c9fffff,0x7fffffff,0x0fff6cc0,0x3ffff600,0x74ffffff,0xffffffff,
    0x7fcc05ff,0xffffddef,0xfffffd81,0x5fffff99,0x3ffffff6,0xfb84ffff,
    0xffffffff,0x3fee7fff,0xffffffff,0xffff07ff,0xc800dfff,0x1fffffff,
    0x3ffff200,0xff001fff,0x223fe409,0x7cc6fffd,0x7f445fff,0x86ffc83f,
    0x20fffffc,0x51effffd,0xfffffffd,0x3ffaa3df,0x1effffff,0xffffffd3,
    0x44ffffff,0x7fb803ff,0xfffa8ff2,0xfffec84f,0x0000001f,0xa800ffd4,
    0x3ff601ff,0x0fffdcef,0xffffffa8,0x3f23ffff,0x00bbfee2,0x3fe409ff,
    0x21eeeb88,0x503eeec9,0x5ff203ff,0xffffffea,0x3ff21eff,0x004fffff,
    0xa8003ff7,0xfffffffe,0xfffd31ef,0x9fffffff,0x907ffd10,0xfff50dff,
    0x7fffecbf,0x3ffffaa2,0x981effff,0xfffeeffe,0x3a67ffff,0xffffffff,
    0xff907fff,0x003fffff,0x13ffffa0,0x7ffff400,0x409ff004,0xbff507fc,
    0xf903ffd0,0x1ffdc07f,0xc84ffff8,0x0ffd407f,0x401ffa80,0xff901ffa,
    0x5400ffd4,0x223f91ff,0x404fdeff,0x2e201ffa,0x3b261eee,0x7fd403ee,
    0x03ff5001,0xf903bfe2,0xffffb81f,0x45ffffcd,0x3f661ef9,0x09ff00df,
    0xffb83fe4,0x3fff61ff,0x03ff504f,0x7fd41fee,0x00dfd001,0x0003ff70,
    0x7c01ffa8,0x7ffdcc4f,0x701ffe42,0x1ff707ff,0xa807ff10,0x3f2001ff,
    0x3fec6fec,0xfc80ffd4,0xffffe807,0xcff98004,0x4c000ffd,0x00ffdcff,
    0x3f204ff8,0xc8fff607,0x0dff04ff,0x3fe0ffd0,0x3fe41fff,0x4007fea0,
    0x7d401ffa,0x54ff701f,0xffa801ff,0x4ff23f91,0x7fd404fa,0x3fffee01,
    0x13ffff61,0x2003ff50,0xff501ffa,0xf98bd105,0xfff30aef,0x3ffc81ff,
    0x7c0f7f54,0x41ff204f,0x261fffd9,0xf504fffd,0x7cdba23f,0x003ff504,
    0x2e001bfa,0xdfffdbff,0x03ff5001,0xff504ff8,0xe806ff8d,0x80ffb87f,
    0x7d403ff8,0x27fe001f,0x43fec6fe,0xff701ffa,0xfdcff980,0x7fe4000f,
    0x4003ffa9,0x3ffa9ffc,0x3204ff80,0x3ffe207f,0xf106ff98,0x1ff7007f,
    0x8dffdff0,0x7fd407fc,0x03ff5001,0xdd11ffa8,0x2ff993e6,0xf90ffb80,
    0x04fa9fe3,0xb300ffd4,0x7ecc3fff,0x7fd404ff,0x03ff5001,0xf9001ff6,
    0x6fffcc5f,0xeffb84ff,0xf03ff222,0x03fe409f,0x7fc07fea,0x735ff504,
    0xff5001ff,0x01bfa003,0x3ffffee0,0xa802ffff,0x27fc01ff,0x3e23ff90,
    0x0ffb803f,0x7c407fdc,0x0ffd403f,0xdfd7f980,0x50bf7371,0x4dba23ff,
    0x4ffe404f,0x7c003ffa,0x001bfe6f,0x037fcdff,0xff9027fc,0xfeeffa80,
    0x03ff501f,0xff03ff50,0x7e47ff99,0x00ffd407,0x5401ffa8,0x0ffb9aff,
    0xb009ff10,0xfd8fe4ff,0xfa809f50,0x1ffa801f,0xfa809ff0,0x3ff5001f,
    0x8007fee0,0x3ffe26fe,0x3a60dff4,0x0bf20dff,0x3fe409ff,0x7c07fea0,
    0xffff504f,0xf5003fff,0x1bfa003f,0x3fffee00,0x807ffece,0x7fc01ffa,
    0x54ffe604,0xffa801ff,0x4cd7fdc1,0x403ffa99,0xf7001ffa,0x3bf3bfab,
    0xaffa80a8,0x2000ffb9,0x01bfe6ff,0x3f23ffa8,0x7ff5001f,0x3e00ffe4,
    0x01ff204f,0x813ffff2,0xfa801ffa,0xf8cff82f,0x80ff91ff,0xf5001ffa,
    0xfffa803f,0x3601ffff,0x3fea01ff,0x7fd47f25,0x7d404fcc,0x1ffa801f,
    0xfa809ff0,0x3ff5001f,0x2213fe20,0x453fe21a,0x1bfa4ffe,0xb55fff50,
    0x204ff87f,0x7fd407fc,0x2a09ff01,0x1fffffff,0x001ffa80,0xf7000dfd,
    0x1ffb85ff,0x200ffd40,0x3fe204ff,0x5003ff54,0xfffb85ff,0x3fffffff,
    0x800ffd40,0xffffd2fe,0xffffa80f,0xf5001fff,0x00ffe47f,0x3e20ffe8,
    0x1ffd004f,0x3e027fc4,0x01ff204f,0x301bffe2,0xff7005ff,0x3ea9ff01,
    0xa80ff96f,0xff5001ff,0xffffa803,0x3ea01fff,0xfff981ef,0xffc8bee0,
    0x7fd407ff,0x01ffa801,0xffa809ff,0xfb997101,0x741799bf,0xffdabeff,
    0x3a3ffa0f,0x13fe65ff,0x3ffff620,0x9027fc0f,0x1ffa80ff,0x3ea09ff0,
    0x01ffcabf,0xd001ffa8,0xff7000df,0x807ff303,0x7fc01ffa,0xf9a7fc04,
    0x0ffb802f,0x7fffffdc,0x5403ffff,0xff8801ff,0x0fffffd0,0xffffffa8,
    0x1ffd001f,0x4c027fc4,0xffffffff,0x7fcc00ff,0xffffffff,0xc813fe00,
    0x5ff5007f,0xb009ff00,0xd93fe0ff,0x407fcbff,0xf5001ffa,0xbffa803f,
    0x5c01ffca,0xfcaacfff,0x21fd43ff,0x6542ccb8,0xccdffdcc,0x01ffa82c,
    0xffa809ff,0xfffffb01,0x4c9fffff,0xfffffffe,0x7ffffe46,0x20bffa25,
    0x207ff700,0x1bfa06fe,0x3e03ff50,0x23ff504f,0x2036a7f9,0xfd001ffa,
    0x2e13620d,0x3ff881ff,0x200ffd40,0x3fe204ff,0x36013fe3,0xcdffb87f,
    0x03ffcccc,0x5400ffd4,0xdeffffff,0x5ffd407f,0x9801ffca,0xffffffff,
    0x7fe400ff,0xffffffff,0x7fffe403,0x03ffffff,0x6fe81bfa,0x003ff500,
    0x7d403ffd,0x449ff05f,0x407fdfff,0xf5001ffa,0x1ffa803f,0x406d4ff3,
    0xfffffff9,0x006f883f,0x3fffffe6,0x40ffffff,0x9ff01ffa,0x501ffa80,
    0xfffffffd,0xfff703df,0xff8817df,0xffebafff,0xd01fa85f,0x0fff201f,
    0xf5013fee,0x09ff705f,0x20987fea,0x1ffa83fe,0x2a0dfd00,0x0ffdc0ff,
    0x2a01ffc4,0x27fc01ff,0x7f45ff50,0x17fea01f,0x3e203fee,0x0ffd403f,
    0x7ffffec0,0x5403e9ef,0x54ff31ff,0xffffc80d,0x03ffffff,0x77777ffc,
    0x7c06ffee,0xeeeeeeff,0x3ff206ff,0x004ffb82,0xf3003ff5,0xfff303df,
    0xf713fe01,0xfa80ffff,0x3ff5001f,0x261ffa80,0x7cc0ffa0,0x201dffff,
    0x3f6002fe,0xffffffff,0x82ffa85f,0x7d404ffb,0x03fd001f,0x1017fd40,
    0xfffffffd,0x0bf209ff,0xff881fe6,0xfffcabef,0x577fc400,0x2effffba,
    0x3e01ffa8,0x01ffa84f,0x3ee0dfd0,0x40ffdc1f,0x7d403ff8,0x027fc01f,
    0x7fcc1ffb,0x0fff981e,0xf880ffb8,0x0ffd403f,0x74cd7fc0,0x540ed86f,
    0xfe8261ff,0xeeefff83,0x206ffeee,0x3ee03ffa,0x07ff501f,0xf980ffdc,
    0xffdabeff,0x3ff5000f,0x33ffee00,0x03fffcaa,0x3ffa13fe,0x0ffd407f,
    0x401ffa80,0x3fe01ffa,0x5dfff704,0x3fe61d41,0xd003ae0b,0x3fe2005f,
    0xffffbaae,0x3732e22e,0x00bccdff,0x500733fd,0x7ff403ff,0x3dffffee,
    0x3bbbbf20,0x7d404ffe,0x2fffffff,0xfffffb00,0x21ffffff,0xccdffdb8,
    0x84ffcccc,0xfd001ffa,0x707fee0d,0x7ff103ff,0x401ffa80,0xbffb04ff,
    0x559fff70,0x2e07fff9,0x3ff880ff,0x200ffd40,0x237f47fa,0x7fd42ff8,
    0xf513fe01,0x0ffdc07f,0x0f3ffae2,0x47dffb71,0x43cffeb8,0x03effdb8,
    0xfffffff5,0xdcb9805f,0x400bcdff,0xfffffffc,0xdff7103f,0x3fffcc59,
    0x3ff732e2,0x9710bccd,0x799bffb9,0x37ff6e21,0xffcccccc,0xfffffa84,
    0x41fffeff,0xfffefffb,0x1ccff400,0x7ffffec0,0xb0ffffff,0xffffffff,
    0x3fee09ff,0x0ff9806f,0x544bff50,0xffff9001,0x26009fff,0x00effffe,
    0x77fffec0,0x3ee5fffc,0xffffffff,0xcb8cffff,0xbccdffdc,0x3fff3260,
    0xffdccccc,0x8b7ff6e1,0x223effc9,0xcdffdccb,0xdff710bc,0xffffd999,
    0x3ffff201,0xb703ffff,0x7e545bff,0x332e23ef,0x0bccdffd,0x326fbfae,
    0xfccccfff,0xbffb713f,0xff999999,0x33ffae29,0x77fedc43,0x3ffffee3,
    0x3fffee2f,0xffff72ff,0x7ffdc5ff,0xfd302fff,0xb001dfff,0xffffffff,
    0xfffd300b,0x7fdc03df,0x3ee1ffff,0x7fffec7f,0xb4ffffff,0xffffffff,
    0x3ffee9ff,0xffffffff,0xfffe84ff,0x6fffffff,0x39dffb70,0x0dfff500,
    0x3bffff60,0x3aa5fffc,0xffffffff,0x02f2601e,0x17602640,0x33331000,
    0x26200033,0x2a200009,0xffe9801a,0xffffffff,0xffffdcff,0x24ffffff,
    0xffffffff,0x31ffffff,0x7cffffff,0xfb2fffff,0xffffffff,0x3fffee9f,
    0x1effffff,0x7ffff4c0,0xffff301e,0xffff33ff,0x3fff63ff,0x4fffffff,
    0xfffffff5,0xffffffff,0x3fffee7f,0xffffffff,0xfffff74f,0x7fffdc5f,
    0xfffd32ff,0x7ff4c1df,0xffd30eff,0x7f4c1dff,0x4400efff,0x3ae00099,
    0x2effffff,0x00266200,0x17ffffa6,0xffd51ffa,0x3dffffff,0x3fffffaa,
    0xfd31efff,0xffffffff,0xbd509fff,0x5bd95357,0x30001100,0x54400379,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x3fffaa00,0x21efffff,
    0xfffffffc,0x11ffffff,0x649ffffb,0xd50dffff,0xffffffff,0x3fffa63d,
    0x003cefff,0x22004cc4,0x365ffffd,0xd50dffff,0xffffffff,0x3fffa23d,
    0xffffffbd,0xfd33ffff,0xffffffff,0x3fa69fff,0x3a60efff,0x000effff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x666664c0,0x3b20002c,0x004eeeee,0x3bbbb2a2,
    0x3332e24e,0xcccccccc,0x66665c44,0x2f3332e2,0x00000000,0x00080200,
    0x0c030010,0x002e2000,0x01006018,0x01008004,0x80000880,0x00000038,
    0xc8800030,0x26000910,0x00000003,0x4400dc55,0x0c022000,0x40000000,
    0x0001001b,0x00088000,0xc8800802,0xf8004000,0x06ffffff,0xffffd100,
    0xff300dff,0xffffffff,0x3ffffee3,0x7fffffff,0x7fffffe4,0xffffff98,
    0x01bf9103,0x03d90000,0x1fd88bba,0xeffda880,0xf907f103,0x0ffcc000,
    0x7c83f880,0xe9837e60,0x5c3fc807,0x5ff5003f,0x07fd4000,0x25dddb30,
    0x400befda,0x8000cfd8,0x0ff98fe8,0x3037dc00,0xffd93ddb,0x4fc8003b,
    0x3f6607fb,0x7400cfff,0xb501fa85,0xfffb37dd,0xfb10005b,0xdffeb807,
    0xabeec882,0xa803dffe,0x5fd002ff,0x22017e44,0xdf7001ff,0xffffc803,
    0x00001fff,0xcfffa800,0x20afe9fe,0xffffffe9,0x4c7fffff,0x365ffffe,
    0x901effff,0x7000b93b,0x3ee39dfd,0x59ff503f,0xff300bff,0x203fffff,
    0x4fb88afd,0x05ff5000,0xb88afd80,0x57fe404f,0xe9803ffc,0x00efeadf,
    0x6ffffe44,0x0ffdc000,0x33ffffa0,0x05fffffd,0x0bbfbfea,0xf9afe880,
    0x77ec001f,0x3ffffa00,0x03ffffff,0xbfb1bf90,0x3fffff20,0x3ee01fff,
    0x106fa89c,0xffffffff,0x001bffff,0xf9013fa2,0xc85fffff,0xffffffff,
    0xffb105ff,0xfa8019ff,0x005feadf,0xf8807ff3,0x3fa005ff,0x00004fff,
    0xd0fff800,0x2a01fb1f,0x0ff901ff,0x7fc813fe,0x00789740,0x3fffffaa,
    0x200fffef,0x802fffd8,0xdbdffffa,0x3fffa605,0xfa8000ef,0xfe98001e,
    0xa800efff,0x4001efff,0xd004fffc,0x1dfb11bf,0x003bee00,0x3fffffaa,
    0x707fedff,0x0bfee5ff,0x7fc57f40,0x027ec001,0x77ffff5c,0xb806ffec,
    0x260bf95f,0xffccdfff,0x7fff406f,0x3fb201ff,0xfecdffff,0xff8805ff,
    0x6fffdc03,0x3661fffd,0xfddfffff,0x6ff442ff,0x8806fd88,0x4003fffd,
    0x3e603fe8,0xff3007ff,0x4001ffb9,0x2cccccc9,0x3a4ff980,0xf500fd8f,
    0x41fee03f,0x1ff204ff,0x009b5d70,0x377bffe6,0x002fffff,0xff5001b7,
    0x3260007f,0x3260001b,0x5e4c0000,0x01ec4001,0x4003b500,0x000da83d,
    0xff300095,0x80d41bff,0x016c40ca,0x000721c8,0xffa800ae,0x00ffd42f,
    0x2203a8e6,0x1ffd81ef,0x000e5c40,0xe883dfff,0x01c803ff,0x3e61ffe8,
    0x44fff86f,0x16c44ff8,0x1b5002dc,0x100dc000,0x3200dfff,0x03ffa9ff,
    0x3fffffe0,0x3ffa806f,0x403f63fa,0x2dd11ffa,0x09ff04f9,0x75c03fe4,
    0xffe8800c,0x07fffc43,0x3fe20000,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x01fffcc0,0x00000000,0x3ea00000,0x03ff882f,0x7cc00000,
    0xf000002f,0x3fe203ff,0xff500006,0xf81ffb09,0x00dfb05f,0x00000000,
    0x00bfff00,0x06ff9bfe,0x3fffff20,0x7fcc01ff,0x03f63fa5,0x7dcd7fd4,
    0x04ff800f,0x00001ff2,0x3f20fff2,0x36603fff,0x700bdffe,0x2e2007ff,
    0x3b261eee,0xfb7103ee,0x3bfaa3df,0xffed9801,0x3b2a00bd,0x000cefff,
    0x77dfffd7,0x3ffb2a07,0xb3000cef,0x8017bffd,0x70003ff9,0x777dfffd,
    0x21eeeb88,0x403eeec9,0xbbefffeb,0x103ff503,0x6dc409ff,0x0000bdff,
    0xd9503ff7,0x0019dfff,0x7fc80dff,0x9fffdb30,0x82ffc897,0x27fc1ffb,
    0xed986fd8,0x204bcfff,0xbcfffed9,0x7ff6cc04,0xbfff00bd,0x647ff500,
    0xfe8001ff,0xfe804fff,0xfd8fe8cf,0xfffff500,0x9ff003ff,0xca83fe40,
    0x00cefffe,0x3fea1bfe,0xfd887fee,0x2fffffff,0x37737fe8,0x87fffee0,
    0xd04ffffd,0xfbffffff,0x2205ffff,0xfffffffd,0xffffa82f,0x200fffff,
    0xffffffe9,0x7fd41fff,0x0fffffff,0x3ffff620,0x2602ffff,0x74c002ff,
    0xffffffff,0x3fffee1f,0x13ffff61,0x7fffff4c,0xfa81ffff,0x04ff881f,
    0xfffffff3,0x32a6003f,0xfffa87ff,0x00ffffff,0x3f6037fc,0xfffffb87,
    0x3f61ffff,0xf89ff107,0xb8dfb04f,0xffffffff,0xffffb81f,0x881fffff,
    0xfffffffd,0x04ffe82f,0x3e20ffe8,0x7fcc004f,0xd800ffdc,0xfd8fffff,
    0xfffff500,0x9ff003ff,0x7d43fe40,0xffffffff,0x4c3ff880,0x0ffc9fff,
    0x6e77ffec,0x7fc0ffff,0x0effffdd,0x30fffecc,0x3609fffb,0xffffddff,
    0xd80fffdf,0xffdcefff,0x7ffcc0ff,0x04ffedcd,0xd9dffff1,0xf985ffff,
    0xffedcdff,0x3bfff604,0x00ffffdc,0x44005ff3,0xfeceffff,0x3f662fff,
    0x3ff661ff,0xffff884f,0x2ffffece,0xf881ffa8,0xffff984f,0x01fffecd,
    0x0ffffff4,0x6e6fffcc,0x7fc04ffe,0x0dff303f,0xfd99dfff,0x037f45ff,
    0x04ff8bff,0xefff8dfb,0x82fffecc,0xfeccefff,0xfffd82ff,0x0ffffdce,
    0x2601ffec,0xffffffff,0x3f2000ff,0x003ffa9f,0xfb1fffb7,0x2affea01,
    0xff801ffc,0x261ff204,0xfedcdfff,0x21ffa84f,0xff52ffe8,0x4077fdc3,
    0x3fe25ffc,0xffffffff,0xf01ffa80,0x3ee0409f,0x89ff51ff,0xfc80effb,
    0xfd00885f,0x073ff60d,0x1105ffd1,0x7dc1bfa0,0x5ffc80ef,0x4005ff30,
    0x7441cffd,0x1ffa82ff,0xffb09ff0,0x2ffe8839,0xf881ffa8,0x5fffc44f,
    0x203ffdc0,0x00ffffff,0x01bfa011,0x2639ffff,0x7d43fffc,0x21ff982f,
    0x17fe06fe,0x9bf609ff,0xff982ffa,0x4c17fd41,0x77fdc1ff,0x6c5ffc80,
    0x7fe402ff,0xffffffff,0xf9bfe003,0x7f44006f,0xff500fd8,0x0da9fe63,
    0x3f204ff8,0x3fa01107,0x361ffa86,0x8bfea4ff,0x9999affd,0xf11ffd99,
    0xfb35dfff,0x03ff509f,0xca8813fe,0x999dffdc,0x57fec7ff,0xfd999999,
    0xcdca881f,0xff887fec,0x403fe606,0xfeccdca8,0x335ffb07,0x3ffb3333,
    0x37ff72e2,0xf881bccc,0x03fe606f,0x7fc07fea,0x3037fc44,0xffda81ff,
    0x3bfee22d,0xb813fea2,0x32a202ff,0x5100effe,0x0ffd99b9,0xfffffff8,
    0xf884ffff,0x330abdff,0x3fe06fe8,0x19dff935,0x3fe26fd8,0x0330abdf,
    0x157bfff1,0x2bff6066,0xfd999999,0x00bff21f,0xdddddfff,0x2a00dffd,
    0x07ff23ff,0x1fb1fd00,0x0987fea0,0x1bfa0ffa,0x2a206ff8,0x87feccdc,
    0xdff73ff9,0x3fe0ffb8,0xffffffff,0x3ffe3fff,0xfa87fe86,0x109ff01f,
    0xfffffff9,0x1fffffff,0x7ffffffc,0x23ffffff,0xffffffc8,0x3ffa87ff,
    0x7e4414c0,0x7fffffff,0xfffffff0,0x27ffffff,0xfffffffb,0xffa86fff,
    0xfa814c03,0xa89ff01f,0x214c03ff,0x0ffffff9,0x21fffff9,0x3e200ffc,
    0x3ff2004f,0x7fffe444,0x7c07ffff,0xfffffeef,0x3fff203f,0xfd83ffff,
    0x3a9ff107,0x6c3fffff,0x7fffe46f,0x3f203fff,0x03ffffff,0xffffffff,
    0x5c7fffff,0x3fea01ff,0x007fee03,0xff883ffa,0x6c7f4004,0x03ff500f,
    0x7fec27fc,0x884ffb83,0xfffffffc,0xaeff887f,0x3fec0fff,0xfffffff1,
    0x49ffffff,0xffc81ffe,0xf80ffd41,0x7fffc44f,0xffffffff,0xff11ffff,
    0xffffffff,0x7fec9fff,0x7fffffff,0x0001ffb8,0xfffffffb,0xfff10fff,
    0xffffffff,0x3ffa69ff,0x3effffff,0x0001ffb8,0x7fc07fea,0x000ffdc4,
    0x25ffffd8,0x3a4fffe9,0x05ff806f,0x3f637fc0,0xffffffff,0xcaa7fc07,
    0xda800acd,0x0effffff,0x3ea07fee,0xdffff73f,0xda86fd81,0x0effffff,
    0xfffffb50,0x7ffc41df,0xffffffff,0x41be24ff,0x43cffeb8,0x03effdb8,
    0x3fffffe6,0x2000ffff,0x440fd8fe,0xcccdffdb,0x884ffccc,0xfebbefff,
    0xfffd80ff,0x07ffffff,0x83fffffb,0x7ff45ffa,0xaaaaaaaa,0x03ff21aa,
    0xff507fee,0xf513fe03,0x3fee13bf,0x0aaaaaad,0x2aaabffa,0x71aaaaaa,
    0x6cc37dff,0x04ff987f,0x1beffb80,0x7f41ff66,0xaaaaaaaf,0x00001aaa,
    0x40009ff3,0x9ff01ffa,0x0004ff98,0x5ff70000,0x001ffd40,0xeffb9ff6,
    0x01ff661b,0x220009ff,0x7fedcc42,0x3213fe64,0x7ec002ff,0xb7310a26,
    0x442889ff,0x744ffdb9,0xaaaaaaff,0x2001aaaa,0x2ffffffb,0x3fffffee,
    0xfffff902,0x007fffff,0x207ec7f4,0xfffffffb,0x04ffffff,0xfffffff5,
    0x7dff705f,0x983fecc3,0x7cc3ffff,0x27fe40ff,0x427fd400,0x7fd40ffe,
    0x544ffb82,0x37fdc2ff,0x004ffc80,0x74c07fec,0x0fff887f,0xffd8b220,
    0x907fe980,0x300009ff,0xfff10059,0x54164401,0x4ffb82ff,0x1007ffc4,
    0x07320059,0x101dff30,0x20083ffd,0x3ff65ff9,0x407fe980,0xfd0004ff,
    0x3e37f407,0x037fc46f,0xfe93fe20,0xfd1bfa03,0x3237f407,0x800004ff,
    0x0effffe9,0x3bffffa6,0xdddfff00,0x00dffddd,0x207ec7f4,0xffffffe9,
    0x04ffffff,0x3bffff22,0x301ffb00,0x7ff40ffd,0xfffcaacf,0xcefff883,
    0x1ffecb9a,0x6dd6ffec,0xeff886ff,0xeffffbaa,0x2afbfe22,0xb9dffffd,
    0x7ffc46fd,0xfecb9ace,0x359ff71f,0x59ffffb7,0x9abfffc8,0x2e6ffca9,
    0xfdb9acff,0x7c42cfff,0xcb9aceff,0x3ee01ffe,0xfffc803f,0xffca99ab,
    0xaaeff886,0x42effffb,0x99abfffc,0xd006ffca,0xffd801ff,0xfffdaadf,
    0x4d567fc5,0x2e3fffca,0xfdb9acff,0xf882cfff,0xff8001df,0xfdba9adf,
    0x5fffdc4f,0x8803fffb,0x3e3ffda9,0xdba9adff,0x6fffc4ff,0x4ffdba9a,
    0x5677ffc4,0x41ffecb9,0x26000008,0x0ffea04f,0xd001ffb8,0x0001fb1f,
    0xfb80076c,0x67fdc00c,0xffffdb9a,0x7fffdc2c,0x04ffffff,0x3fffffea,
    0x443fffff,0xffffffff,0xfffffb01,0x41ffffff,0xfffffffb,0xffffffff,
    0x7ffffd40,0x23ffffff,0xfffffffe,0x6c0fffff,0xffffffff,0x7fff42ff,
    0xffffffff,0x7fffd40f,0x3fffffff,0x009f9bb0,0x3ffffff6,0xfb02ffff,
    0xffffffff,0xfffd81ff,0x2fffffff,0x0ff6f4c0,0x7ffffec0,0x7fc44fff,
    0xffffffff,0xfffffe84,0x0fffffff,0x3ffffff6,0x3fffe004,0x0fffffff,
    0xffffffd8,0x7fff4405,0x7fffc6ff,0x0fffffff,0x7ffffffc,0xfa80ffff,
    0xffffffff,0x07fee3ff,0x5e7cc000,0x9ffd710d,0xeffdb887,0x5ff99703,
    0x200079fd,0x5402caee,0x3a00b8cf,0xffffffff,0xff30ffff,0xdffffb7f,
    0xfffb1003,0x207bffff,0x1effffd9,0x77fffec0,0xfb85fffc,0xfddedfff,
    0xb101cfff,0xbfffffff,0xffffc987,0x04fffedf,0xfffffff7,0xfff9305d,
    0x9fffdbff,0x3ffff620,0x2e03dfff,0x2e000eff,0xefffffff,0x7fffec02,
    0x705fffce,0xdfffffff,0x9ffd1005,0x7fff5c00,0xffb303ef,0x205dffff,
    0xdfffffc9,0x3e24fffe,0x06ffffff,0x3fff7ee0,0x3600dfff,0x9804ffff,
    0x40dfffff,0xfffffdfb,0xfdfb80df,0x00dfffff,0x3fffff62,0x7fdc3dff,
    0x3fa00001,0xffff70ff,0x7ffdc5ff,0xfff82fff,0x1ffffeff,0x3fffa800,
    0x02ffff80,0x3fffff26,0x324fffed,0x004cc2ff,0x009aa980,0x10004cc0,
    0x53000355,0x80035101,0x30009aa9,0x26000135,0x30009aaa,0x4c000135,
    0x040009aa,0x35553000,0x0d544001,0x9aaa9800,0x00088000,0x20013510,
    0x4001aa98,0x730009a9,0x00179999,0x026aa620,0x54001980,0x98800acc,
    0x310009aa,0x98001355,0x04c009aa,0x214c0000,0x0effffe9,0x3bffffa6,
    0x32aaa880,0x44000155,0x5971000a,0x004d4c00,0x00001ecc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x880000c0,0x02e2000b,0x00011000,
    0x00601800,0x22000088,0x00ae000b,0x2e000000,0x00802002,0xb9800040,
    0x02010000,0x0005c400,0x0e600088,0x20003000,0x000dc439,0x40000071,
    0xeeeeeeed,0x0001801c,0x00c00018,0x73000000,0x0000017b,0x001bcb80,
    0x80003b90,0xc883502a,0x13f6200b,0x03fd3000,0x000f7cc0,0x13bfff22,
    0x05bffb50,0x07c83f88,0x0005df50,0x6c003fd3,0x76d4004f,0xdeeb9dff,
    0x007fcc03,0xfd3077c4,0xfffeb801,0x00ceee9c,0xc8001df5,0x0027dc3f,
    0x20007fa6,0xf7002efa,0xffb8001d,0x4401b31e,0x01ff23ff,0x4c007fd4,
    0x00ceffec,0xffffffff,0x77fdc0df,0xf7001b31,0x003663df,0x8001bf91,
    0xbbefffeb,0x3fffa603,0x951002ff,0x1753bdfd,0x37fffe20,0x7d401feb,
    0x3f60005f,0x3a1ffb84,0xdff705ff,0xf50003df,0xff50005f,0x3ffe2005,
    0xb80effff,0x06ffffff,0x7dc457ec,0x7ffec404,0xff5000cf,0xdfd88005,
    0x7ffe4400,0xffffffff,0x07fea01f,0x7ddffe40,0x3ffa203f,0xffffffff,
    0x07fee04f,0xeaefe880,0x3ea001ef,0x7ec4002f,0xb800cfff,0xdf5001ff,
    0x01ffdff9,0x17ea1fe8,0x1007fee0,0xfffffffd,0xfffff03f,0x2a05dfff,
    0xffeffcef,0x7e77d400,0x2a00ffef,0x802ffefe,0xffffffe9,0xffb01fff,
    0x801fffff,0xfffffff9,0x36602fff,0x00cfffff,0x40027fc4,0xff505fe8,
    0x642fff43,0x03ff72ff,0x000f7cc0,0xd003fd30,0xfffb9fff,0xcdfff98b,
    0x3a603fff,0x200effff,0xfd88dfe8,0x01efa806,0xb01bf200,0xffd9bfff,
    0xa809ffff,0x3a6001ff,0x7f401eff,0xffffdeff,0x7cc01dff,0x7fe4001f,
    0x77d4004f,0x6ff44001,0x5006fd88,0x451001ff,0x1001dfd8,0x1df70010,
    0xbffff300,0xf81dfffb,0x2288005f,0x8801dfd8,0x8077f622,0x7ff53ffa,
    0x77fffc40,0x82ffffec,0xff70cff8,0x7fffc409,0x4ffffecd,0xfffffd10,
    0x00a2001f,0x2201ff40,0x5c0664c0,0x000ecc0c,0x10000193,0x5ff98039,
    0x3f21ffe8,0x03ffa21f,0x10037930,0x300b705b,0x75000019,0x2077fd40,
    0x800fffe8,0xc8001ffa,0x1dffb804,0x00fffee2,0x98000c88,0x0c98001d,
    0xb82d8800,0x00322005,0x00000000,0xff9800ea,0x7c3ffc83,0x0000005f,
    0x0da80000,0xffb01644,0x2ffe8839,0x7fc1ffb8,0x09ffd105,0x2609ffd3,
    0x5ff98adf,0x1c800000,0x00000000,0x00000000,0xf503ff70,0x5437f45f,
    0x000004ff,0x00000000,0x807fec00,0xa800fff8,0x000001ff,0x7f407ffa,
    0x0000003f,0x00000000,0x20000000,0x0bdffdb8,0xdffed980,0xf800000b,
    0x44ff880f,0x003535ff,0x9dfffd95,0x3bbae201,0x0fbbb261,0x6ff88000,
    0x2e03fe60,0x17fea1ff,0xf101ffd4,0x7e41007f,0x3ffae02f,0x0003bbef,
    0x2e200260,0x3b261eee,0x775c43ee,0x3bbb261e,0x0f775c43,0xa87ddd93,
    0x2ffb82ff,0x3fa07ff1,0xbffb7106,0xfdb88017,0x5c400bdf,0x400bdffd,
    0x0bdffdb8,0xfd80bff0,0x5555440f,0xaaaacffc,0xdffdb880,0x40bff00b,
    0xd9503ffa,0x2019dfff,0x261eeeb8,0x9503eeec,0x019dfffd,0x37ffb660,
    0x3bb6e00b,0xff9801ee,0x01ffffff,0xffffffb1,0x3b6e05ff,0x0c401eee,
    0x7fc4ff98,0x02ffffff,0xfffffff5,0xfff701ff,0x7fffec3f,0xddddb704,
    0x01ffd403,0x4ffdc0a6,0x902fffeb,0x03f900ff,0x2fbfffae,0xffe985fe,
    0x1fffffff,0x3bbbbbaa,0x3e62eeee,0xffffb807,0x13ffff61,0x6c3ffff7,
    0x7dc4ffff,0x3ff61fff,0x77fc44ff,0x443ffe61,0x7ff885ff,0xffffff98,
    0xfff301ff,0x203fffff,0xfffffff9,0xffff301f,0xff03ffff,0x40ffe80d,
    0xfffffffd,0x4c4fffff,0xffffffff,0x5027fc41,0xfff507ff,0x01ffffff,
    0x6c3ffff7,0xfa84ffff,0xffffffff,0x3fff6200,0x882fffff,0x01ffffff,
    0x66ffffcc,0xfd81fffe,0xfffdceff,0x7fffc40f,0xd30001ff,0xffff83ff,
    0x984fffff,0xfedcdfff,0xfffd984f,0x13fff661,0x3fffffe2,0x007fee01,
    0xff9ffb80,0xbfd01fff,0x7ff44000,0x6fffffff,0x677fffc4,0x2e2ffffe,
    0xffffffff,0x07fee3ff,0x43fffb30,0x4c4fffd9,0x3661fffd,0x7ecc4fff,
    0x3ff661ff,0xefffc84f,0x7f43ffff,0x20fffd87,0xecdffff9,0x7fcc1fff,
    0xfffecdff,0x6ffffcc1,0x4c1fffec,0xfecdffff,0x17fec1ff,0x640fffa8,
    0xffffffff,0x3e63ffff,0xffecdfff,0x807ff41f,0xff983ffd,0x4ffedcdf,
    0x21fffd98,0x984fffd9,0xfedcdfff,0x3fff604f,0x0ffffdce,0x1ffffec8,
    0x02fffe20,0xffb8fff7,0x85ffc80e,0x01ffffec,0x37ffecc0,0x6d5f7fec,
    0x00881fff,0x7fd40dfd,0x3209ff01,0x201ffffe,0x20004ff9,0xffeb9ffb,
    0x1ffc41ff,0xbfffb000,0x8fffff95,0x7441cffd,0x3ffee2ff,0x2fffffff,
    0x5400bff2,0x09ff01ff,0x7fc07fea,0x203ff504,0xffff04ff,0xff70dfff,
    0xffffb35d,0x02fffe23,0x7fc4fff7,0x3ffdc0bf,0xb817fff1,0x3ffe27ff,
    0x23ffdc0b,0x931cfffa,0x3101ffff,0x335ff733,0x5fffc413,0x323ffdc0,
    0xfff984ff,0x3fa01103,0x407fea06,0x201104ff,0xdff706fe,0x80bff901,
    0x3ea01ffa,0x8bfee04f,0x9999affd,0x201ffd99,0x2a001ffa,0x5105ffff,
    0x20bff501,0xfeccdca8,0x407fea07,0xffa804ff,0x03ffe201,0xffb82c88,
    0x87fff261,0x50003ff8,0xff901fff,0x81bfe23f,0x3fea0ff9,0xb0fffea0,
    0x177547ff,0x7fc07fea,0x203ff504,0x3ff504ff,0x3f213fe0,0x3fffffff,
    0xffffffe8,0x9ff51fff,0xfa97fdc0,0x4bfee04f,0x3ee04ffa,0x409ff52f,
    0x7fdc2ffb,0xffffffff,0x1ffa800f,0xb813fea0,0x3ffe22ff,0xffffeabf,
    0x3372a203,0x3ea07fec,0x409ff01f,0xfeccdca8,0x335ffb07,0x3ffb3333,
    0x900ffd40,0x7fc401ff,0x3fffffe4,0x3fffffff,0x8007fea0,0x0001dffa,
    0xff911bfe,0x0fffffff,0xff80ffd4,0x01ffa804,0x4d5fffe4,0xb86ffca9,
    0x3ffa81ff,0x4000ffe2,0xff104ffc,0x00ffea3f,0x2a4d8853,0xffe82fff,
    0xf51bffa3,0x413fe03f,0x9ff01ffa,0x7c07fea0,0x5f7fd44f,0x41fffb88,
    0xceffffd8,0x803ff27f,0x1ff94ff8,0xfca7fc40,0x53fe200f,0x3e200ffc,
    0xffffb84f,0x00ffefff,0x3201ffa8,0x3fe200ff,0x7ffffd44,0x883fffff,
    0xfffffffc,0x07fea07f,0x7e4427fc,0x7fffffff,0xfffffff0,0x07ffffff,
    0xfd00ffd4,0x22bff00d,0xffffffff,0x204fffff,0x22001ffa,0x640000ff,
    0x7fffec7f,0x207fffff,0x9ff01ffa,0x003ff500,0xfffffffb,0xff705fff,
    0xfd17fa03,0x3ff6000b,0x5c3ffa01,0xa80001ff,0xfff02fff,0x2a27fec9,
    0x09ff01ff,0x7fc07fea,0x203ff504,0x17fe44ff,0xb981ffdc,0x7f4dfd2b,
    0xfd5ff806,0x3abff00d,0xd5ff806f,0x0bff00df,0xfc966e54,0x1ffa800f,
    0x3e01bfa0,0xfffe885f,0xd83ffbef,0xffffffff,0x07fea07f,0x7fec27fc,
    0x7fffffff,0xffffff88,0x4fffffff,0xb807fea0,0x3fea02ff,0x2aabffa3,
    0x1aaaaaaa,0x0007fea0,0xfd000011,0x0df7fdcd,0x7d40ffb3,0x009ff01f,
    0x2e003ff5,0xefffffff,0x023ff702,0x1ffb8ff9,0x17fe4080,0x7fccfff0,
    0x7fd40004,0x17ffe02f,0x03ff5033,0x7fd413fe,0x2a09ff01,0x89ff01ff,
    0x17fe07fd,0xf727fe40,0x9ffd405f,0x3ea02ffb,0x405ff73f,0x5ff73ffa,
    0x001ffd40,0x54007fe4,0x3fee01ff,0x80ffea02,0x7ff11a98,0x21beffb8,
    0x3ea07fd9,0xb89ff01f,0x3661beff,0x55ffd07f,0x55555555,0x00ffd403,
    0xd101dff3,0x27fe43ff,0x0ffd4000,0x014c0000,0x7fecbff3,0x207fe980,
    0xffb82ffa,0x01ffa804,0x04d7f4c0,0x3ee7fee0,0xff31ffa3,0x52fe401d,
    0x3fea0dff,0x803ffe25,0xfffa82c8,0x1bffe202,0x5c17fd40,0x5ff504ff,
    0x2a09ff70,0x4ffb82ff,0x7d40ffe4,0x7fe4c03f,0x4077fcc6,0xff31ffe8,
    0x3ffd101d,0x2203bfe6,0xdff31ffe,0x03ffd101,0x001ff900,0xff980ff1,
    0x1ffe880e,0x20ffdc00,0xfe980ffd,0x20bfea07,0x7fec4ffb,0x907fe980,
    0x500009ff,0xffd803ff,0xfffdaadf,0x677ffc45,0x1ffecb9a,0x0007fea0,
    0x77fc4033,0xfffca9ab,0x26b3fee2,0x2cffffdb,0xbaaeff88,0x402effff,
    0xd8001ffa,0x7edc405f,0xfbaffdcf,0xcfffb85f,0x6ffeca9a,0x54df7ff4,
    0x7e40fffd,0xca99abff,0x7ffd46ff,0xff997dc2,0xdff1007f,0xdffff755,
    0x55dff105,0x05dffff7,0xf755dff1,0x7cc5dfff,0xffcaacff,0x3aeb2a1f,
    0xfd80ffff,0xffdaadff,0x6fffec5f,0x45fffdaa,0xdaadfffd,0x7fec5fff,
    0xfffdaadf,0xffc98005,0xb0013001,0xfb55bfff,0x99880bff,0xfb87ffb9,
    0xffdb9acf,0xff882cff,0xffffbaae,0x2b3fee2e,0xcffffdb9,0x677ffc42,
    0x1ffecb9a,0x3ff7332a,0xfd82cccd,0x4fffffff,0xffffff50,0x547fffff,
    0xcdffdccc,0x3ff202cc,0x3ffff604,0xe84fffff,0xffffffff,0xfd80ffff,
    0xffffffff,0x3332a0ff,0x2cccdffd,0x0bf72e20,0xcfffffb8,0x01ffffff,
    0xfffffff7,0xff883dff,0x3fffffff,0xffffffb0,0x7d45ffff,0xecccceff,
    0x0bfff15f,0x7ffffec0,0x80ffffff,0xfffffffd,0xfd80ffff,0xffffffff,
    0x3fff20ff,0x223fffff,0xefffffff,0x3ffff601,0xfb04ffff,0x9fffffff,
    0x3fffff60,0xffb04fff,0x09ffffff,0xfffffb80,0x3333266f,0xcccccccc,
    0x7ffffec0,0x3a204fff,0x2fffffff,0xffffffd0,0x01ffffff,0xfffffffb,
    0x7f41ffff,0xffffffff,0x7fd40fff,0xffffffff,0xfffff33f,0x1fffffff,
    0xdffffd70,0xfffd8807,0x263dffff,0xffffffff,0xfb00ffff,0x7fe4409f,
    0x302effff,0xdbfffff9,0x7ec09fff,0xfffcefff,0x3ffffe65,0x0fffffff,
    0x01ffff70,0x46ffff4c,0x402ffffd,0xeffffeca,0x3fff2204,0x7dc01eff,
    0x2effffff,0x7fffffec,0x3f26ffff,0x7fec002f,0x5fffceff,0x3bffff60,
    0x3605fffc,0xffceffff,0xfffea85f,0xfffc82ef,0xfd7003ff,0xb807dfff,
    0x03effffe,0x77ffff5c,0x7fff5c03,0xfd8003ef,0xd0ffffff,0xffffffff,
    0xd70bffff,0x807dffff,0xfffffff9,0x3fff2602,0x4fffedff,0x3bffff60,
    0x64c5fffc,0xfedfffff,0xffb104ff,0x87bfffff,0xfffffffd,0x54404fff,
    0xaa980009,0x3fff6009,0x4fffffff,0x33000cc0,0x54c00135,0x55100009,
    0x3fff6003,0x4fffffff,0x000e5cc0,0x00026a20,0x98800351,0x54c000aa,
    0xffb009aa,0xffffffff,0x1000098d,0x22000355,0x510001aa,0x33100035,
    0x00133001,0x00026a20,0x88001351,0x5440009a,0x2e200009,0x2e1bcccc,
    0xffffffff,0x2202ffff,0x3260009a,0x4c001bcc,0x5100009a,0x35300035,
    0x554c0001,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x401cc1b8,0x00000200,0x30005cc0,0x8001b887,0x00000039,
    0x000a6000,0x00001b90,0x00c00100,0x00110003,0x64c00000,0x930006ee,
    0xd06e4ddd,0xdddddddd,0x800005dd,0x000dc439,0x88001710,0x200800cd,
    0x20100800,0x261eeeb8,0x0003eeec,0xeec98000,0x20033006,0x00000000,
    0x2e000100,0x2e20bded,0xccb83dee,0x3fe3fdc3,0xb117f403,0xdb71005f,
    0x81737bff,0x804fffe9,0x1ff23ff8,0x880df700,0xdffdb98b,0x3fae2003,
    0xb05d83df,0x04ff8809,0x07bffd71,0x3bffb260,0x320fe203,0x177d4007,
    0x03fb7100,0x3fffec00,0x7fffd800,0x7ffc7ff3,0xffffffff,0xfffed983,
    0x7ff104bc,0x88003fe4,0x7e4002fe,0x22fe803f,0x3f201fd8,0x7dc27dc3,
    0x3ff61fff,0x665c44ff,0x17bfd932,0xffffb000,0x409ffb00,0x001cffeb,
    0x000ff64c,0x007fb710,0x5fffff50,0x0fffffdc,0xbf507ffe,0x7d402fe8,
    0x805ffacf,0xffffffe8,0x57743fff,0xfe801fc8,0xc8017ea1,0x7fe400ef,
    0xefffffff,0x7fff5401,0x17e1efff,0xd7003fe6,0xffffd505,0x7d403dff,
    0x0effffff,0xf7115fb0,0x3ff62009,0xf9100cff,0x0003ffff,0x003ffecc,
    0x2e7ffda8,0x3ffffe2f,0x43ffffff,0xfffffffb,0x43fd01ff,0xf98005fa,
    0xffa8003f,0xacffa802,0x7f4405ff,0x981efeae,0x36a1fffd,0x7fe44fff,
    0xfffffbcf,0x6d4000ef,0xffd807ff,0xf77bf504,0x7ffc400d,0x3ee0001f,
    0xd88003ff,0x3660dfff,0x3e60dfff,0x0020105f,0x01fffec4,0x677fffcc,
    0x264fffed,0x0802f42f,0x17f20008,0x77fffec0,0x01ffffec,0xfbbdfff3,
    0x07f35fff,0x69803ff5,0xddefff98,0xfa81ffff,0xfffdceff,0xffffd305,
    0xbfd1001d,0x360dfb11,0x01ffffff,0x3ffb3200,0xfc8000cc,0x05fd1aa7,
    0xfff07fee,0x5fffd99d,0x40004040,0x20001ff9,0x3f620019,0x3f2002ff,
    0xffa804ff,0x4c4ff881,0xdffffffe,0x0005fffc,0x02600ff9,0x000fd810,
    0x0000fe42,0x8000fea2,0xff980ffe,0x001ffb85,0x006dc000,0xf703ffe8,
    0x3a0fd49f,0x70000006,0x77fec007,0x42ffecc0,0xfc83ffe8,0xfa80efff,
    0x220f401f,0xffc83ffe,0x442ffd86,0x32600ffe,0x0b62001b,0x677d416e,
    0x20001ffc,0x02affdaa,0x0f4ff900,0x47fe8062,0xff982ffa,0x98000001,
    0x0000000c,0x30001b70,0x3fea003b,0xf04ff881,0xffd09fff,0x0ff90003,
    0xfdc88000,0x03f90006,0x007f5000,0x6c27fd40,0x25fe81ff,0x261eeeb8,
    0x0003eeec,0x201ffdc0,0xa86f42fe,0xfdb8802f,0x00000bdf,0x7401df90,
    0x1ffe42ff,0xa81dff70,0xeeeeffed,0xff9011ce,0x21ffdc07,0x5ff504ff,
    0x00000000,0x800ffd40,0xc9dfffda,0xffda807f,0x027fc9df,0x889ff100,
    0x30abdfff,0x3ffb2a03,0x00000cef,0x3ffb6600,0x000000bd,0x1ffa8000,
    0xff04ff88,0x0bfea09f,0x4efffed4,0x011007fc,0x209ffd30,0x03f900a8,
    0x1fd40530,0xffe80d40,0x2217fe60,0x3ffee1ff,0x3ffff61f,0xddddb704,
    0x807fe803,0xfeffb839,0xff30ae26,0x03ffffff,0x2a5dddb3,0x6cc0befd,
    0x227fd402,0x6fe806ff,0xfffffff8,0x3e06ffff,0x47fe806f,0x5ff500b9,
    0x1eeeedb8,0x0e776d40,0x80e776d4,0x6c401ffa,0xffffffff,0x3ff6207f,
    0x7fffffff,0x07fee000,0x3ffffff2,0xffff503f,0x201fffff,0xfec9eed9,
    0x7ec401df,0x2fffffff,0x77777754,0x3662eeee,0xdffec9ee,0x40ffd401,
    0xbff04ff8,0x221ffcc0,0xfffffffd,0x7f8807ff,0x50bfa200,0x07f209ff,
    0x500ffd88,0x37f4407f,0x3f64ff98,0x4c4fa81f,0x3661fffd,0xff884fff,
    0x7c01ffff,0x6440005f,0x5ffeb8ad,0x337fffe6,0x7f41fffe,0xfffdcfff,
    0x4cccc5ff,0xe9999999,0x00ffe26f,0xfd703fee,0xdfffffff,0x00ffe205,
    0xe8003fee,0x3ffe20ff,0x7fc01fff,0xfff86fff,0x3ff506ff,0xcffffd80,
    0x207fffff,0xffcffffd,0x20007fff,0x3f6a07fe,0x40efffff,0xedcdfff9,
    0xfffd04ff,0x7fffffff,0x677ffec0,0x2e0ffffd,0xffffffff,0x3fffa3ff,
    0x3fffffff,0x2207fea0,0x09ff04ff,0x3f61ffc4,0xffffcfff,0x1ffa807f,
    0x6c4fee00,0x3f901eff,0x80fffea0,0xfff703fa,0x4c7fec05,0x01f705ff,
    0x7fc07fea,0xffffd904,0x01ffc403,0x7ff5c400,0x3ffe21cf,0x23ffdc0b,
    0xffffffea,0x3e27fedf,0xffffffff,0x3ea7ffff,0x1ffa801f,0x8003ff50,
    0xfa801ffa,0xbffb001f,0x3ffffd90,0x2efffb80,0x3bffae33,0x403ff502,
    0x7542effb,0xdff707ff,0x07ffea85,0x109ff300,0xffdb9885,0xdfd00884,
    0x3ffffae0,0x706ffece,0xff901dff,0x7ffffdcb,0x2e2fffff,0xeceffffe,
    0x3fea06ff,0xf04ffb82,0x1ffc409f,0xea85dff7,0x3f2207ff,0x9bdd01ff,
    0x3ffeadfd,0xbdffd904,0x07bff627,0x96f7f6dc,0x400dffe9,0x1ffddff9,
    0x1ffa8020,0xf5009ff0,0x1ffc403f,0x5666664c,0x9dffd710,0x813fea03,
    0xff982ffb,0x886a0dff,0xffffffff,0x2a7fffff,0xffa801ff,0x003ff502,
    0xa801ffa8,0x7f4402ff,0x7fd400ef,0x71ffb801,0x0bfea5ff,0x3a01ffa8,
    0xfff701ff,0x5c07ffa0,0xf70007ff,0x407fd03f,0xb95106fe,0x540ffd99,
    0x7fd42fff,0x99affd81,0x1ffd9999,0x7fd41ff5,0x2fffa83f,0xfa80ffd4,
    0xfffbaaef,0x04ff82ef,0xffe8ffe2,0x20fff701,0x00effffa,0xb59dfb93,
    0x89d93dff,0xbbeeeeec,0xbedbbfff,0x37bbbae1,0xebafffcb,0x7fffec05,
    0x3fea0005,0x5009ff01,0x7fc403ff,0x7ffffd43,0x37dfd4ff,0xfc85bf93,
    0x13fe200f,0x200fffe6,0xaaaadff8,0x27feaaaa,0xfb802ff9,0x03ff500f,
    0x802ff980,0x3a200ffb,0xfa800eff,0x3ff9801f,0x3ff2bffd,0x807fea00,
    0x3fe206ff,0x440dff07,0xfd0007ff,0x2b7ffe0f,0x44ffdba9,0xffffffc8,
    0x3fea07ff,0xf83ff882,0xffffffff,0x9b13ffff,0xa817ffd4,0x3ff882ff,
    0xffffff50,0x81ffffff,0x3fe204ff,0xf881bfe3,0xefff887f,0xfffb8002,
    0x100bff53,0xdfb1bffd,0x74c01ffb,0x7ff98cff,0x0ffffcc0,0x7fd425c0,
    0x5009ff01,0x4ff803ff,0x7fffffcc,0x7fcc132f,0x1bfa3fec,0x3e617fe0,
    0x1bfe003f,0xff8bff10,0x207fd804,0xf8001ffa,0x07fd804f,0x003bffe6,
    0xf800ffd4,0x8ffff9df,0x7fd407fe,0x809ff101,0x4ff887fd,0x4003fec0,
    0xfff04ff9,0xffffffff,0xfffffd81,0x2a07ffff,0x4ff881ff,0x7fffffc4,
    0x4fffffff,0x405fff50,0xff881ffa,0xfffff504,0x09fff9ff,0x7fc409ff,
    0xd809ff13,0x03ffb87f,0x0dffe980,0xb80bfff1,0x49f13fff,0xffc884f9,
    0x01fffa2e,0x74017ff6,0xf01ffa86,0x3ff5009f,0x3306fd80,0x3e409ff3,
    0x02ffb9b6,0x3e60ffea,0x3ff6002f,0xd13ff202,0x7fd403ff,0x007fea05,
    0xa807ffa0,0xfff505ff,0x1ffa800b,0xff9ffb00,0x80bff9ff,0x3fe01ffa,
    0x41ffe206,0x3fe206ff,0x1ffb8007,0xffffbf70,0xffb81bff,0x1ff661be,
    0xf881ffa8,0xaaffe84f,0xaaaaaaaa,0x02fffa81,0x7c40ffd4,0x55ff504f,
    0x27fc0035,0x7fc7ff10,0x21ffe206,0x406a07fd,0x5fec2fff,0x37ff205f,
    0x213ee040,0x67e44ffd,0x1ffe807f,0xfa8bfd00,0x04ffb82f,0x5c01ffa8,
    0x27fc04ff,0x31fa89f0,0xfd101dff,0x05ff303f,0x40f7fd40,0x7cc0fffa,
    0xfff981ef,0x40bfea00,0x3dff3028,0x701fff30,0x50009fff,0x3ee003ff,
    0xfffeefff,0x0ffd403f,0x2e05ffb0,0x5ffb07ff,0x001ffee0,0x4c401ffa,
    0xffb009fe,0x40ffd301,0xff881ffa,0x004ffc84,0x005fff50,0xff103ff5,
    0x007fea09,0xf5027fc0,0x817fec5f,0xffc87ffb,0x9907fa81,0x5f8dfa81,
    0x3200b660,0x41db80ef,0xa80ff6f9,0xcb9805ff,0x3bfe21fd,0xeffffbaa,
    0x00ffd402,0x4d5fffec,0x204ffecb,0x3f63e46e,0xffdaadff,0x05ff305f,
    0xaefffc80,0x703fffeb,0xf9559fff,0xdff007ff,0x7ffdb737,0x2b3ffee0,
    0xd83fffca,0x50003fff,0x3e6003ff,0xfffbbfff,0x0ffd401f,0x37dfff30,
    0x59ffffd9,0x9befff98,0x2cffffec,0x009ff300,0x3ee05fd8,0xffdb9acf,
    0xffa82cff,0x884ff881,0xb9acefff,0x3ea1ffec,0x217dc2ff,0xff881ffa,
    0x003ff504,0x42effb88,0x260ffe98,0xec9befff,0x2a2cffff,0xeb99beff,
    0xff1000ff,0x0001df77,0x0006fec4,0x03feb3fa,0x03ffd331,0x81ffff70,
    0xfffffffd,0x32a0ffff,0xccdffdcc,0xfffe882c,0x3fffffff,0x3f2b7ea0,
    0xfffffd84,0x65c44fff,0xbcccdffd,0x3fff6201,0x404fffff,0xfffffffc,
    0xfff7003f,0x05ffffff,0x7fffffe4,0xfffb83ff,0xedccccce,0x3f7332a0,
    0x202cccdf,0xff88ffff,0xdccb887f,0x40bccdff,0xfffffffb,0x40ffffff,
    0xfffffffb,0x00ffffff,0x1001ffb8,0x7405fb97,0xffffffff,0x36a0ffff,
    0x3ee22dff,0xfffa82ef,0xffffffff,0x99dfff53,0x6d4bfd99,0x3ee22dff,
    0x1ffa82ef,0x7fffe400,0x9ffff70f,0xffffff70,0x1fffffff,0x7fffffec,
    0xf5000fff,0x009fffff,0x000ffea0,0x3fffffe6,0xfffffd15,0x993007ff,
    0x3ffff603,0x265fffce,0xffffffff,0xd700ffff,0x39ffffff,0x19fff700,
    0x3ffffae0,0xffffb83e,0x06ffffff,0xefffffa8,0xfffd3001,0x6c4003df,
    0x0cffffff,0xffffe980,0xffff901e,0x5fffffff,0x3fffffe6,0x00ffffff,
    0x7fecbffb,0xfffffd85,0x984fffff,0xddfffffe,0xfd305fff,0xffbbffff,
    0x13a600bf,0x0ffffb80,0x3ffff260,0x24fffedf,0x0ffffff9,0x01fffff9,
    0xffffffb1,0x7ffec7bf,0x6fffffff,0x1ffffff3,0x03fffff2,0xd3000ff3,
    0x7fd4bfff,0xffd300cf,0xfffbbfff,0xfffff90b,0x4c40039f,0x001efda9,
    0xccceffb8,0x36a66002,0xffff31ff,0x000bffff,0x800d5440,0xfffffffd,
    0x53004fff,0x00600033,0x26009a88,0xfffffffe,0x2a2003ef,0x33100009,
    0x54c40001,0x33100009,0xffffc801,0x3fffffff,0x3ffffff6,0x2e04ffff,
    0x0ffe62ff,0x3fffffaa,0x2201efff,0x100009a9,0x00001353,0x072e6000,
    0x0009a980,0x4cbffffb,0x9804fffe,0xffb009aa,0xffffffff,0x2ffffecd,
    0x209fffd3,0x1000001a,0x2a620015,0x5d440009,0x5c0000ab,0xc8003fff,
    0x06ffffff,0x24fffa80,0xbcccccca,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x08040000,0xdb700000,0x6dc0007d,0x3b51eeee,0x3336e600,
    0xeeeda80a,0x9997001e,0x6dc07999,0x2001eeee,0x3326004d,0xcccb80bc,
    0x9999701b,0x02200799,0x0ddcc000,0x97000000,0x00799999,0x2e600000,
    0x1331001b,0x99970000,0x0c007999,0x003b7000,0x00000079,0x06e21d40,
    0x99d97100,0x55555415,0xaaaaaaaa,0x04eed801,0x666665c4,0x32e22ccc,
    0x332e2ccc,0x09b00bcc,0xddddb700,0xacd98003,0xf713ee02,0xffec880b,
    0x3e20b9be,0x10004fff,0x23ffffff,0x7fdc05ff,0x446fffff,0x01ffffff,
    0xffffff88,0xffff107f,0x3e6003ff,0xfffb001f,0xffffa87f,0xffff885f,
    0x6cc07fff,0x00770cff,0x3fffff66,0xed9800df,0x2200bdff,0x7fffffff,
    0x7fff6540,0x366000ce,0x0dffffff,0x0013ff60,0xffffff10,0xdff700ff,
    0xf1003663,0x0ff980df,0xefea8000,0x8bfe201b,0x3ee006fc,0x27ffffff,
    0x54028002,0x7e406fff,0xffffffff,0xfffff90f,0xfffff31f,0x01ff307f,
    0x7ffffc40,0xffd1001f,0x3a205fff,0x01ffdaef,0x3fffffea,0x7f644fff,
    0x3b20004f,0x9d51ffee,0x7ffffcc0,0xeeb86fff,0x00001ffe,0x7ff77640,
    0x03ff5001,0x07bffea0,0x05ffffb1,0xd9fd0000,0x3009fdff,0x32a237ff,
    0xffb100ef,0x05ffffff,0xfff50000,0x01ffffff,0x2237ff30,0xf880efca,
    0x000000ff,0x7e77d400,0xf800ffef,0xffdd705f,0x8001bddd,0x3ffffffc,
    0x4fb83fa0,0xfffff300,0x0014dfff,0xffff1014,0xfffe980d,0x265fffff,
    0x365ffffe,0xa81effff,0x764001ff,0x9001ffee,0x03ffffff,0x00cfffb8,
    0x377fffe2,0xff05fffe,0x3ea00009,0x6401d11f,0x004c42ff,0x00007fea,
    0x01ffa800,0x4003ff50,0x3e601ffb,0x5000002f,0x401f7d41,0x3e200df9,
    0xefffd80e,0x00ffffdc,0x7ffcc000,0x04ffedcd,0xf1006fcc,0x03ffa81d,
    0x88000000,0x0077f622,0xfff90144,0x001fffff,0x7eefffcc,0x004000ff,
    0x9885ff90,0x80a000a0,0x006ffffc,0x7fc07fd8,0xa81ff204,0x2a0001ff,
    0xff8801ff,0x26001914,0x3ffc802d,0xff05ffc8,0x3ea00009,0xfd807b1f,
    0x3fea0007,0xffb71001,0x3ea0017b,0x7f6d401f,0x1deeeeef,0x2601ffb8,
    0x3b6602ff,0x0000bdff,0x76c77c00,0xdf10adee,0xc80effb8,0xfeca85ff,
    0x4400ceff,0xf80dfd00,0x377fae26,0x3fe46f88,0xddd71000,0x1f7764c3,
    0x80000000,0x20001ffb,0x17e61ffb,0xffb00000,0x0a000a00,0x37f77fc4,
    0x203fec00,0x1ff204ff,0x3bbffb6a,0xa801ceee,0xffa801ff,0xd8000002,
    0x413fa07f,0xfffd9cff,0x3fea002d,0x3fb22011,0x3ea0007f,0x3e60189f,
    0x1fffffff,0x401ffa80,0xffffffff,0xffb86fff,0x20bfe601,0xffffffd8,
    0xeed982ff,0x01dffec9,0x66fdc7ea,0xd87ea4fd,0x99999aff,0x3ea1ffd9,
    0xffffffff,0x66e54400,0x3ea07fec,0xfd99ff11,0xbfe87ea5,0xfeb8dec9,
    0xffffb81d,0x13ffff61,0x0f7776dc,0xdddddd50,0xfb85dddd,0x1dffdbaf,
    0x8007fc80,0x01eeeedb,0x77fff644,0x0140ceee,0xaffd8140,0xfd8006fe,
    0x9027fc07,0xfffff0ff,0x0dffffff,0x1003ff50,0xdb300dff,0x3bf6a5dd,
    0x80ffe40b,0xffff01da,0x1bffffff,0x803ff500,0x007ffffc,0x3ff7fea0,
    0xdffff983,0x401fffec,0x85711ffa,0xffffffeb,0xffb82eff,0x20bfe601,
    0xfdcefffd,0x7ff40fff,0xffffffff,0x22f8d903,0xff8fe27b,0xffffffff,
    0x3fe63fff,0x4ffedcdf,0xfffff910,0x3640ffff,0xf12f88f7,0x7fedbe27,
    0x1fffffff,0x30fffecc,0xf109fffb,0x403fffff,0xfffffffb,0x7fdc3fff,
    0x3fffffff,0x0007fdc0,0x3ffffff1,0xfffffc80,0x144fffff,0x7fd41400,
    0xb000dfd5,0x04ff80ff,0x3fae1ff2,0xefffffff,0x01ffa802,0xe807ffb0,
    0xffdcffff,0x7fcc5fff,0x3e000acf,0xffcfffff,0xffa805ff,0x7ffecc01,
    0x3fea0007,0x7fc43fff,0x3ffdc0bf,0x7e47fea0,0x01ffa81f,0x9807fee0,
    0x77fdc2ff,0x5c5ffc80,0xeceffffe,0xf89d06ff,0xaf46ea8a,0xfffffff8,
    0x44ffffff,0x20dfd008,0xfffffffd,0xe93a07ff,0xfbaf4084,0x9dffff52,
    0x3ea0dffd,0x209ff01f,0x01ffffec,0x3fffffee,0x7dc2ffff,0xffecefff,
    0x7ff5100f,0x3fb20013,0x6cc01fff,0xffffffff,0x1400141d,0x6fe8fff4,
    0x407fd800,0x1ff204ff,0x0001ffa8,0x26007fea,0x5950ffff,0x7fffff54,
    0xb87fedff,0x1cefffff,0x2177ffc0,0x5402ffea,0x3f6001ff,0xffd30007,
    0x9ff505ff,0x5017fdc0,0x07ff63ff,0x1335ff73,0x201ffb80,0x7fec2ff9,
    0xd999999a,0x7ffd41ff,0x7c0ffd42,0x0f7fffc3,0xaaffe9b2,0xaaaaaaaa,
    0xccdca881,0xeffb87fe,0x81ff661b,0x9005f13f,0xdff90a2d,0xff507fd8,
    0x2013fe03,0x3ea01ffa,0x0fffea0f,0xf707ffee,0xffffd05f,0xa800dfff,
    0x3f6001ff,0x50005007,0x3fa4ffb8,0x3f600a86,0x9027fc07,0x0ffd40ff,
    0x03ff5000,0x6fffff98,0xff983fff,0x406a0dff,0xffffffea,0x40bffe04,
    0x7d406ff9,0x1ff6001f,0xffff9100,0x007fe409,0x7d409ff1,0x7c47911f,
    0xffffffff,0x987fee06,0xff0bfe60,0xffffffff,0xffa87fff,0xd83ff882,
    0x07f567c5,0x04ffc93a,0xffffc880,0xfd87ffff,0x07fe980f,0xe803e976,
    0x703ff204,0x3ff501ff,0x2a013fe0,0x936201ff,0xf702fffa,0x87ff103f,
    0xfffffff8,0x7fd4007f,0x01ff6001,0xf1140014,0x237f41ff,0x1ff606fa,
    0x7e409ff0,0x007fea07,0x401ffa80,0xdffcbffc,0x7fcc1fff,0x9510003f,
    0x3e09fffd,0x03ff407f,0xd8007fea,0x7fe4007f,0x3fa01fff,0x205ff806,
    0x3e601ffa,0xffffffff,0x447fee06,0x88bfe67f,0xffffffff,0x544fffff,
    0x4ff881ff,0xe897c6b8,0xff88be26,0xecb9acef,0x3fff61ff,0x87ffffff,
    0xdb9acffb,0xb82cffff,0x23503ee6,0x1ff202f8,0x3ea03fee,0x009ff01f,
    0x54003ff5,0x3ee02fff,0x83ff881f,0xabffdaa8,0x0ffd4000,0x200ffb00,
    0x3f228002,0xefeaaadf,0xfd81ff20,0x9027fc07,0x0ffd40ff,0x03ff5000,
    0xffd15fe8,0x7ff303ff,0xd3004400,0x017fe0ff,0x7d401ff9,0x1ff6001f,
    0xff9bf500,0x017fdc03,0x7d407ff5,0x7e54c01f,0x200aaacf,0x3ff51ffb,
    0xffd0bfea,0x55555555,0x1ffa8355,0xf984ff88,0xf13efd8a,0xfa81f73d,
    0xffffffff,0x7dff73ff,0xe83fecc3,0xffffffff,0x7cc0ffff,0xfd9bfd12,
    0xfc803ee5,0xa80ffb87,0x09ff01ff,0x2003ff50,0x5c02fffa,0x3ff881ff,
    0x0007fe40,0x2001ffa8,0x005007fd,0x7ffffc50,0x91ffffff,0x037ec0ff,
    0x6fe81bfa,0x0007fea0,0x7c01ffa8,0x1bffe65f,0x88017fcc,0x3fee00ff,
    0x200fff81,0x7fd407fe,0x01ff6001,0x201ffa80,0xe880eff9,0x3fea01ff,
    0x05ff5001,0x23ff70a2,0x1ff71ffa,0x0004ffc8,0xff103ff5,0x3327fa09,
    0x17ef2a2c,0x7ffffec4,0x3ff63dff,0x307fe980,0xdbfffff9,0x3fa0bfff,
    0x546f7260,0x43fe405f,0xffa80ffb,0x804ffb82,0xfa801ffa,0xffb802ff,
    0x403ff881,0x2a0007fe,0x3f6001ff,0x50005007,0x7ffffffc,0xff91ffff,
    0x809ff301,0xffb82ffc,0x40bfea04,0x0ffd4028,0x2eb3ffa0,0xf983efff,
    0xbff5002f,0x7c07ff40,0xbff503ff,0x001ffa80,0xa8001ff6,0x7fec01ff,
    0xfffdaadf,0x00ffd405,0xb9aeff98,0xfb13ffec,0x59ff519f,0xfff10fff,
    0xfd97359d,0x81ffa83f,0xfd104ff8,0x802fd405,0xf7009bfd,0xffb7359f,
    0x54c059ff,0x880fe609,0x17ea02fe,0x3ee1ff20,0xaeff880f,0x2effffba,
    0x200ffd40,0x7dc2fffa,0x440ffdc2,0x3fe603ff,0x5401b705,0x3f6001ff,
    0x50005007,0x4ccccccc,0x3ff20efe,0xfffcabdf,0x77ffcc01,0x00fffdab,
    0x6dcdf7fc,0x3ea03ffe,0x7ffcc01f,0x2fffffff,0xa8017fcc,0xdaacefff,
    0x7e546fff,0xeb9cefff,0x66541fff,0xcccdffdc,0x7ff664c2,0x32a01ccc,
    0xccdffdcc,0xffffd82c,0xca84ffff,0xccdffdcc,0x3fff602c,0xb2ffffff,
    0xff57ffff,0x2a05ffff,0xffffffff,0x3f6a3fff,0x3fee22df,0x7bfd102e,
    0x00bfd953,0x3a009b74,0xffffffff,0x4000ffff,0x880ecdf9,0xeca9bdfe,
    0xffeb805f,0x07ffb10c,0x3ffffff6,0x2a0fffff,0xcdffdccc,0x3ffea2cc,
    0x5fecccce,0x98b7ff6e,0x6443effc,0xccccefff,0x332a3ffc,0xcccdffdc,
    0x7ff664c2,0x0283cccc,0x32e20280,0x3fea3fff,0x2fffffff,0xfffff500,
    0xf7005fff,0xffffffff,0x7ee66545,0xa82cccdf,0xffdffffe,0xffdcb88d,
    0x981bcccd,0xffffffff,0x3fe21fff,0xffffffff,0x7fcc3fff,0xffffffff,
    0x3fffe0ff,0x305fffff,0xffffffff,0xd701ffff,0x307dffff,0xffffffff,
    0x2201ffff,0xcefffffd,0x47bffaa1,0x403ffffc,0xffffffd8,0x3ffe63df,
    0xfff90fff,0x36e201ff,0x002dffff,0x3027ffdc,0xdbfffff9,0x20009fff,
    0x7100effd,0x05bffffb,0xbfffff50,0x407ffff6,0xfceffffd,0x3ffe65ff,
    0xffffffff,0xfffffb0f,0x26dfffff,0xf0ffffff,0x5c5fffff,0xffffffff,
    0xff32ffff,0xffffffff,0x7fffc1ff,0x2fffffff,0x70140014,0x45ffffff,
    0xdffffeb8,0x7ff4c001,0xb1000eff,0x19ffffff,0x7fffffcc,0x00ffffff,
    0x3ee01553,0xffffffff,0xfd7bb06f,0xb019ffff,0xfffbbfff,0x3f603dff,
    0xffffffff,0x7fffe45f,0x3603efff,0xffffffff,0x4d4405ff,0x7fffec00,
    0x05ffffff,0x0009a988,0x30001510,0x7ec01355,0x3fa65fff,0x066004ff,
    0x017b5000,0x00026a60,0x30006200,0xffd88003,0xbffd53ef,0x001aa880,
    0xfffffffb,0x7fec9fff,0xffffffff,0x9ffffb16,0x077fffe4,0xffffffd3,
    0xfd87dfff,0xffffffff,0x7fffe44f,0x40dfffff,0xaaaaaaab,0x203aaaaa,
    0x0dffffe9,0x00003310,0x20001331,0x36009a98,0xffffffff,0x4c0005ff,
    0xfffffffe,0x533003ef,0x2a620003,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x79995000,0xb8599970,0xbccccccc,0x33332a02,0x64402ccc,
    0x3b221eee,0x665c43ee,0x99731ccc,0xccccc879,0xcccccccc,0x98000003,
    0xcccccccb,0x2a00004c,0x2ccccccc,0xccccca80,0xcca802cc,0x2e2ccccc,
    0x9999701c,0x33260799,0x3332e3cc,0x6665c41c,0x000abccc,0x99930000,
    0x2e005999,0x65c43ccc,0x666543cc,0x333260bc,0x6664c2cc,0x1ccccccc,
    0x71e6664c,0x00039999,0x05999500,0x73166654,0x99999999,0x1e665417,
    0x85e6665c,0xccccccb8,0x32e00acc,0x01bccccc,0xec882662,0x4c0000ee,
    0xeda805ee,0x7fd4004e,0x3fee3fff,0xfff31fff,0xdfffffff,0xffffff03,
    0xffb80fff,0x3fff61ff,0x7fffdc4f,0xffffb5ff,0x7ffffc3f,0xffffffff,
    0x00019f75,0xfffffb10,0x0fffffff,0xfff00dd0,0x00ffffff,0xffffffff,
    0xfffff00f,0x3fe6ffff,0xfffff885,0xfffb07ff,0xffff33ff,0xffffb8bf,
    0x02ffffff,0xf06f9800,0x0dffffff,0x5fffff50,0x8fffffdc,0x4ffffff8,
    0x3ffffff6,0x3ffffee0,0x6c3fffff,0xf99fffff,0x0005ffff,0x7fc4bf22,
    0x3ffa06ff,0xffffb0ff,0x29ffffff,0x22fffff8,0x4ffffff9,0xfffffff7,
    0xf505ffff,0xbfffffff,0xf91ffec0,0x80003fff,0xff806ff9,0x744005ff,
    0x3e61ffff,0xfb10efff,0xffffffff,0xfffc83ff,0x4404ffff,0x3661fffd,
    0x7f4c4fff,0xff72efff,0x7ffc1bff,0xffffffff,0x7fffd5ff,0x7ff44000,
    0xffffffff,0x7fcc07ff,0x7fffe401,0xfc804fff,0x04ffffff,0xffffffc8,
    0x00bfd14f,0x7fffd400,0x0fffff65,0xffffffd3,0x9809ffff,0xfabdffdb,
    0xfffc80ff,0x4401ffff,0x260efffd,0x7ec5ffff,0x3aa2efff,0x7dc5ffff,
    0xffffffff,0x7fffd43f,0x0bffff65,0x3fff2200,0x0bffff65,0xa97fffea,
    0xfffffffe,0x3fff21ef,0x3fff60ff,0xfffd31ef,0xffffffff,0xffffd883,
    0x3f202eff,0x3ffb662f,0x7fcc0001,0x5ffeb806,0x0dff5000,0x3e605ffd,
    0x37fe4c2f,0x5000dfd0,0x13fe03ff,0xfb107fdc,0x4bff03ff,0x57fa1ffa,
    0x02ffffe9,0x56fff440,0x3fec6fe8,0x8007fea0,0x3a0006fe,0x3fa0006f,
    0x0000ba06,0x3335ff90,0x7c09ff53,0x7ffdcc5f,0xfffff502,0x007fffff,
    0x009ffffd,0xe883bfee,0x0bff02ff,0xff70dfb0,0x80effa81,0xff880ffb,
    0xfffb8003,0x7fff40ef,0x06fffe86,0x7c00ffd4,0x7fc84fff,0xb981ff70,
    0x7ff305ff,0x7d403333,0x01ffb81f,0xfd000000,0x7fec000b,0x9813fee3,
    0x1ffb02ff,0x2001bfa0,0x9ff01ffa,0x7443fee0,0xbff00eff,0xbfd0ffd4,
    0x1effffa8,0xe89ff900,0x203fec6f,0x3a001ffa,0xfd00026f,0xfd00088d,
    0x6dc1720d,0x2201eeee,0xffffffff,0x80ffffff,0xdff505ff,0x9bffff70,
    0x300bffff,0x01ffb9ff,0xfe97ff20,0xa9bfa04f,0x217fa2ee,0x3fe20ffb,
    0x01ff701f,0x54007ff1,0xd02efffe,0x7cc3ffff,0x7d406fff,0xffff801f,
    0xb83fe41f,0x0ffb00ff,0x3fffffe6,0x7fcc2fff,0x001ffb80,0xbfd00000,
    0x7ffc4000,0x200eff99,0xff702ff9,0x001bfa03,0x7fc07fea,0xf31ff704,
    0x7f401bff,0xfe87fea5,0xbffff705,0xe86fe803,0x5fb9b8ef,0x000ffd40,
    0x05fd3dfd,0xff737f40,0x10dfd001,0xffff101b,0xffd803ff,0xffffffff,
    0x5ff80eff,0xf987ff20,0xfff30aef,0xffc801ff,0x2003ffa9,0x5ffccffd,
    0xffd3fec0,0x7d427fcb,0x701fff47,0x7ff101ff,0xffffd300,0xffffe807,
    0x1bffff65,0xf003ff50,0xfc8dffdf,0x101ff707,0x3fe60dff,0xffffffff,
    0x7dc1fe23,0x1dfffdbf,0x77776dc0,0x5cbfd001,0x5402deed,0x01ffeeff,
    0x7c417fcc,0x01bfa07f,0x7c07fea0,0xf7ff704f,0x5f9009ff,0x7f90ffd4,
    0x7fffe440,0x83ff880c,0xa8efcefe,0x00ffd400,0x9fffffd0,0xfb37f400,
    0x0dfd005f,0xffffd900,0x35ff7003,0x07ff5333,0x02677fe6,0x7fe47ff3,
    0x3f7ffe62,0xf37fc04f,0x7f4400df,0x6400efff,0x1ffff17f,0x8ae07ff1,
    0x7dc04ffd,0xfa9999af,0x3ff6203f,0xfe800cff,0xff89ffdd,0x7d406fdd,
    0xccff801f,0x41ff23ff,0xc999affb,0xff304ffe,0x46ffa885,0xffff707f,
    0x205fffff,0x1ffffff8,0x3eabfd00,0xc807ffff,0x9804ffff,0x3fae62ff,
    0x01bfa05f,0x7c07fea0,0xffff704f,0x502005ff,0x300083ff,0xa87ffffb,
    0xfffe81ff,0xdddb507f,0xbddddffd,0x3ffffa03,0x337f4004,0xdfd001bd,
    0x1ffa8000,0xfffffb80,0x4c3fffff,0xffffffff,0xdfd27fc2,0xffa7ffc4,
    0xc8ffea06,0x3e6001ff,0xfb800fff,0xbffffb8f,0xfb803ff9,0xfffb806f,
    0x3fffffff,0xdffffc88,0x277fa000,0xd9ffccff,0x0ffd406f,0x7fc67fc0,
    0x2e0ff91f,0xffffffff,0x0bfe606f,0x0bd07fe4,0x33bfffee,0x3b207ffe,
    0xd001ffff,0x3fffeabf,0x3f72603e,0x201ccfff,0xfffffff9,0x3fa00eff,
    0x2ffa8006,0xf704ffb8,0x05ffffff,0x3ff73260,0xd8000bcd,0x3ee5ffff,
    0xffffe81f,0xfffffd07,0xbfffffff,0x1dfffea8,0x006fe800,0x0001bfa0,
    0xf7003ff5,0xffffffff,0xffff987f,0x7fc3ffff,0x3a29ff14,0x81bfa4ff,
    0x3fe20ffe,0x3ffe6004,0x9ffa800f,0xfadffffe,0x7ffcc02f,0xffffb800,
    0x83ffffff,0x004ffffe,0xfffd5fe8,0x501bf6df,0x9ff003ff,0x3fe5bfea,
    0xffffffb8,0xf302ffff,0x83fee05f,0x5fff701a,0xa801ffb8,0xbfd001ff,
    0x001bfff5,0x9bffb993,0x7ffcc039,0x00cfffff,0x4d8837f4,0xf755dff0,
    0xf705dfff,0x5fff75ff,0xfffffd00,0x4c009fff,0x4c2ffffe,0xdefe83ff,
    0xdddb507f,0xbddddffd,0x3ffff623,0x7409b106,0x409b106f,0x09b106fe,
    0xb801ffa8,0xcccccdff,0xffa983ff,0x7fc42aae,0x3fa3ffa4,0x413fe65f,
    0xfffffff9,0xe8800fff,0x400effff,0xdcffcff9,0x201ffcff,0x04c2fff8,
    0x6666ffdc,0xf703ffcc,0x4003dfff,0xffff55fe,0xf501bf65,0x49ff003f,
    0x07fcbffd,0xb7557ff7,0xf305ffff,0x0dff105f,0x4c0ffdc0,0xffa803ff,
    0xffffd001,0x3ea0009f,0xbff3001f,0x20015999,0x1ff506fe,0xffffff90,
    0xb81fffff,0x3ffe61ff,0x7fffdc00,0x9802efff,0x203ffffd,0x9efe85ff,
    0x3fea003e,0x3ffff201,0x01ff506f,0x7fd41bfa,0x2a0dfd00,0x3fea00ff,
    0x80ffb801,0x3fe03ff8,0xc8bfea05,0x225fffff,0xff902ffe,0xffffffff,
    0x99ffb007,0xff880bff,0xfffa9fff,0x3ff600ff,0x7dc2fd44,0x03ff880f,
    0x37ffff22,0x3a5fe800,0x01bf67ff,0xff003ff5,0x7efffc49,0x201ff707,
    0xff986ffa,0xfffdcccd,0x7dc17103,0x03ff881f,0xd001ffa8,0x8009ffff,
    0xeeffeeea,0x0bfe602e,0x706fe800,0xff9103ff,0xbfff7bff,0xfb81ff70,
    0x3fea003f,0xfff91001,0xffd8019f,0x76c37f42,0x807fea00,0x06fe8ce9,
    0x3fa01ff7,0x203ff706,0x3ff706fe,0x400ffd40,0xff880ffb,0xd817fe03,
    0x3ffe20ff,0xfffebaff,0x3bbffe05,0x06ffeeee,0xffd37fe4,0x7ffff809,
    0xc81ffffe,0x87fc85ff,0xff880ffb,0xfffd8803,0x97fa00cf,0x1bf63ffb,
    0xf003ff50,0xffffb89f,0x401ff707,0x7fcc0ffd,0x2fffffff,0x7dc3fd30,
    0x03ff881f,0xd001ffa8,0x007fffff,0x67fe5544,0x3fe600aa,0x1bfa0002,
    0x2a00ffdc,0x5c03be21,0x0ffe80ff,0x003ff500,0x03bffff7,0xe8bffea0,
    0x017fc46f,0x74003ff5,0x01ff706f,0x7fdc1bfa,0x2e0dfd01,0x3fea01ff,
    0x80ffb801,0x3fe03ff8,0x88bff905,0xfffffffe,0x3fea04ff,0x407fee03,
    0x3a20effa,0x3ffe02ff,0x1bfff64f,0x64077fd4,0x80ffb87f,0x26003ff8,
    0xd03ffffe,0x7ec198bf,0x00ffd406,0x7ff427fc,0x01ff707f,0x7fcc3fec,
    0x009abccd,0xffb85ff5,0x803ff881,0xfd001ffa,0x009fff7d,0x66ffee54,
    0x37ff6a02,0x64c00bcc,0xccccfffc,0x4001ffdc,0x711a8df8,0x5437bffb,
    0xc981cdff,0x0bcdffdc,0x177fffcc,0x7fffd400,0xdcccfffd,0x3fea03ff,
    0x7fe64c01,0xfdcccccf,0x3ff3260f,0xfdcccccf,0x3ff3261f,0xfdcccccf,
    0x37332a1f,0x42cccdff,0x2a2dffdb,0x5c43effc,0xfeccceff,0x7ff40fff,
    0x3dffffee,0x79ffd710,0x3effdb88,0x837ffee2,0x80bfffd8,0x3ea2fffe,
    0xbfff05ff,0xffd99999,0x22dffdb8,0x003effca,0x0f7fff54,0x7079fff7,
    0x5c47ffd9,0xccdffdcc,0x3bfee20b,0x1fffe62c,0x99bffb71,0x8bfffd99,
    0xbccdffda,0x207be600,0xff881ffb,0x01ffa803,0x3fe6bfd0,0xfff9804f,
    0x981fffff,0xffffffff,0x7ffffc05,0xffffffff,0xffd8001f,0xfffff74f,
    0x6fffe8bf,0xffffffe8,0x7fff44ff,0x7fd40002,0xffffffff,0x3e603fff,
    0x7fffc00f,0xffffffff,0x3fffe0ff,0xffffffff,0x3fffe1ff,0xffffffff,
    0xffff31ff,0xffffffff,0x3ffffe61,0xfffff99f,0x3fffee2f,0x1effffff,
    0x3512ffd4,0xfffff700,0x7fffdc5f,0xffff92ff,0x7fffecbf,0x87ffd84f,
    0xfff04fff,0xffffffff,0x7ffffccf,0xfffff99f,0xffb8001f,0xfffff55f,
    0x7fffd45f,0xffffb2ff,0x49ffffff,0x1ffffffb,0xff71ffee,0xffffffff,
    0x7fcc1fff,0x05ffffff,0x3f6e0326,0x3ff262df,0x6e66543e,0x42cccdff,
    0x3e65ffc9,0xb102ceff,0x0bffffff,0x3fffff62,0x7fe402ef,0xffffffff,
    0x88001fff,0x3ffa63ca,0x7fd43eff,0xffffb83f,0x7542efff,0x2a200003,
    0xffffffec,0x2f403fff,0x7ffffe40,0xffffffff,0x3fffff20,0xffffffff,
    0x3fffff21,0xffffffff,0x3fffff61,0x224fffff,0x365ffffd,0x260dffff,
    0xeffffffe,0x0017603c,0xeffffe98,0x3ffffa60,0xdfffd30e,0x77fff545,
    0xd85ffc81,0xffff03ff,0xffffffff,0x2ffffec4,0x01bffffb,0x44bb2200,
    0x20effffd,0x0effffe8,0xffffffd5,0x7f4c3dff,0x7fe85fff,0x7fffff4c,
    0x40beffff,0xffffffd8,0xff98002e,0x3ffe7fff,0xfff32fff,0xffffffff,
    0x2ffffc1f,0x1ffffff3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fec4000,0x3fff24ff,
    0x3fff60df,0x4fffffff,0xb12fffe4,0x000bffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999710,0x89999999,
    0x5c43cccb,0x32e23ccc,0x2bcccccc,0xccccb880,0x7100abcc,0x99999999,
    0x2e259999,0x5c43cccc,0x2e23cccc,0xabcccccc,0x99999900,0x79999999,
    0x333332e2,0x04cccccc,0x0bb00377,0x00000000,0x00000000,0x00000022,
    0x00000000,0x20000000,0x3200003c,0x00ba601e,0x80000000,0x261eeeb8,
    0xc803eeec,0xeeedb803,0x776d401e,0xceeda81c,0x5bdddb31,0x0ef776d4,
    0x64c00201,0x3b6a2dee,0xffb801ce,0xffffffff,0x3ffea7ff,0x3ffee2ff,
    0xffff71ff,0x3dffffff,0x7ffffdc0,0xc82fffff,0xffffffff,0xf73fffff,
    0x5c5fffff,0x72ffffff,0xffffffff,0xffff05ff,0xffffffff,0x3fffeebf,
    0xffffffff,0x406ffb87,0x2e001ff9,0x3bbefffe,0x6fff6cc0,0x7edc400b,
    0xec880bdf,0x3bb221ee,0xd950db3e,0x0019dfff,0x79fffdb3,0x0efed409,
    0x4403bfd5,0xd51effdb,0xdb8803df,0x97a0bdff,0xb52eeed9,0xfff817df,
    0xffbeffeb,0x7def6dc6,0x2dffc8df,0xd93ddb30,0x3ee03bff,0x3ff61fff,
    0x7fcc04ff,0x3fffe200,0x7ffc01ff,0xffff86ff,0xfffffd6f,0x7fffffcf,
    0x2fa85f76,0x7ffffe80,0x017ffffe,0x3fbbffa6,0x27ffffff,0x4c6fffd8,
    0x3a65ffff,0xffffffff,0xfd300fff,0xffffffff,0xfffe989f,0xffffffff,
    0xffffd13f,0x7fff4c1b,0xfffd30ef,0x9fffffff,0xfffffff8,0x35ffffff,
    0xfffffffd,0xf90fffff,0x007700ff,0x3fffffa6,0xd881ffff,0xffffffff,
    0xfffff302,0xffb83fff,0x3fff61ff,0xffa8df4f,0x0fffffff,0x3ffffee0,
    0xfb81ffff,0xffbaffff,0xffd02fff,0xfffbffff,0x3fe605ff,0x9affffff,
    0x3ffffa4f,0x5fffffdc,0x7fffffe4,0x3ea3ffff,0xffffffff,0xe80fffff,
    0xffffffff,0xffd983ff,0x3fff661f,0x00ffd404,0x07ffffb2,0x25dfff70,
    0x5dffd719,0x8fbfffaa,0x12efffec,0x27f447fd,0x93fffaa0,0x002efffc,
    0xb1bfb3f2,0x0bff50ff,0x3ee03ffd,0x2ffed41f,0xf7317fe0,0x1ff705ff,
    0xf70ffe20,0x1ffdc05f,0x7dcc4ff8,0xa97fe2ff,0x517fa1ff,0x1ff203ff,
    0x0000b722,0xceffff88,0xd82ffffe,0xffdcefff,0x7ffcc0ff,0x1fffecdf,
    0x987fff62,0x4fbcfffd,0x6e6fffcc,0x3fe04ffe,0xfffeccef,0x7efffd42,
    0xffdfffff,0xddffd80f,0xffdfffff,0x7fffcc0f,0xfefffecd,0x3ffffaa0,
    0x87fedfff,0xffddfffd,0x7ffec44f,0xcefffedf,0xffeb83ff,0x6ffeceff,
    0x7c07fea0,0xfa8d444f,0xfa80531f,0x1ffb801f,0x3fea5ff7,0xb82ffc82,
    0x4ff883ff,0xb1017fa2,0xfff53fff,0xd3ff000b,0xb07fd8df,0x27fe47ff,
    0x3a03ff70,0x82ffc06f,0xffb86ffa,0xf10ffe00,0x07ff40bf,0xff504ff8,
    0xff52ffcd,0x3ea2ff43,0x00ff701f,0x7fec0000,0x17ff441c,0x3203bfee,
    0x3ffe25ff,0x43ffdc0b,0xfff01ffa,0x201101bf,0x5ff506fe,0xfe83ff30,
    0x3ffff71f,0x20413fee,0xff51fffb,0x05fffc49,0x4c0fffee,0x2a0dffff,
    0x260ffe81,0x5ffb05ff,0x7ec3bfe6,0x85fff506,0xff501ffa,0xfb13fe03,
    0xffbffbdf,0x0ffd407f,0xfe9ffcc0,0x101ff95f,0x0ffd0dff,0xe886ffcc,
    0x7fe400ef,0x8004ffff,0x71dfd7f9,0x3e20bf73,0x06ff98ff,0xfe80ffdc,
    0x902ffc06,0x0ffb83ff,0x40fecbf3,0xff980ffd,0xc813fe04,0x54bfd1ff,
    0x517fa1ff,0x4dba23ff,0x0000004f,0x7cc0dff1,0x4d7fec0f,0xffd99999,
    0x5c09ff51,0x0ffd42ff,0x4400dff8,0x7feccdca,0x57bfff10,0x9ff10661,
    0x999effe8,0x995107fe,0xf333bffb,0x027fd4ff,0x3e607ff7,0xff1003ff,
    0x360ffb09,0xd8bfe66f,0x05ff507f,0x3ea07ff1,0xb89ff01f,0xffffffff,
    0x3fea02ff,0xf3bff001,0x0ffd1fff,0xff517fe4,0x0eff9807,0xb803dfd1,
    0x0002ffff,0x33bfabf7,0x2a00a8ef,0x01ffeeff,0x3620ffdc,0x3fe604ff,
    0x7fcc099d,0x64cffdc3,0x9ff3007f,0x7c03ffb0,0x4ffe604f,0x87fea2fc,
    0x57fd43fc,0x0000ffb9,0xddddddd5,0x2a5ddddd,0x414c03ff,0xffffffff,
    0xf93fffff,0x27fc401f,0x7fc07fea,0x3fff2204,0x207fffff,0xfffffffc,
    0x641ffa83,0xffffffff,0x3fff220f,0xffffffff,0x1ff90fff,0x9827fc40,
    0x3e2003ff,0xb07fc84f,0xb17fccdf,0x07fea0ff,0x7d413fe2,0x309ff01f,
    0x7dffffd7,0x01ffa801,0xfff9ffb0,0x440bff9f,0x03ffa6ff,0xfd93ff60,
    0x7ffec05f,0x5fd0004f,0x01fffffa,0x04ffffc8,0xedcdffb8,0xf980efff,
    0x2fffffff,0x3fee27fc,0x000fffff,0x5ff88ffd,0xf1027fc0,0x3fea049f,
    0x7ffd4041,0x0001ffff,0xfffffffd,0x2ebfffff,0xf88001ff,0xffffffff,
    0xdfd4ffff,0xfa8bff00,0x409ff01f,0xfffffffd,0x7ed407ff,0x20efffff,
    0x7fdc1ffb,0x1fffffff,0xfffffff1,0xffffffff,0x201bfa3f,0x5ff305ff,
    0x447fe800,0x4dfb05ff,0x1ff62ff9,0x7c40ffd4,0x03ff504f,0xffc813fe,
    0xff5003ff,0x3ffee003,0x3ffffeef,0x7d57fe40,0x3ffd804f,0xe8813ff2,
    0x05fffeff,0xfe87fc40,0x22007fff,0xf7006fff,0xdfffffff,0x3fffe601,
    0x7fc3ffff,0x7ffffdc4,0xff7000ff,0x2017fdc5,0x27fc04ff,0x5003ff50,
    0x3fffffff,0x2a0eee80,0xeeeeeeee,0xff31deee,0x3ffa0009,0xaaaaaaaa,
    0x05ff71aa,0x3ea1ffd4,0x209ff01f,0x261beffb,0x885107fd,0x2a4ffdb9,
    0x6ffec3ff,0x50aaaaaa,0x3ee13bff,0xaaaaaadf,0x5405ff90,0x5ff303ff,
    0xbeffc800,0xfb04fffb,0xfb17fccd,0x207fea0f,0xff504ff8,0x209ff705,
    0x1fffeffa,0x001ffa80,0xf77ffff3,0xf8803fff,0x400ffeef,0x3ff21ffd,
    0x3bffa202,0x00effe88,0xffffff50,0xa800ffbd,0xff7002ff,0x07ffffff,
    0xaaeffa98,0x2e27fc42,0x0ffdabff,0x74dff100,0x04ff807f,0xfa80ffe2,
    0xbffa801f,0x2a01ffca,0x200004ff,0x2200fff8,0x027fe42c,0x203bfe60,
    0x7d41ffe8,0x04ffb82f,0xfd301ffb,0xe80ffa0f,0x89bfe26f,0xfa806fff,
    0x037fdc2f,0x44077fcc,0xff301ffe,0x7ffd4005,0x1fffffff,0x3fe66fd8,
    0x7d41ff62,0x04ff881f,0xf755dff1,0xfd05dfff,0x50bff53f,0x9bffb999,
    0x7ffc0599,0x07fff88f,0x09ffff90,0x3f20dfd8,0x3ffee00e,0x3bffee2f,
    0xffffd803,0x003e9eff,0xb800ffd4,0x3fff21ff,0x205ff802,0x7fdc2ffa,
    0xc800df50,0x03ffa9ff,0x3ea04ff8,0x07fea02f,0x7cc7fea0,0xffc836a7,
    0x7e400000,0xca99abff,0x7ffc46ff,0xfecb9ace,0x37fff61f,0x85fffdaa,
    0xfcaaeff8,0xfb82efff,0xffdb9acf,0x7ffc2cff,0xffdba9ad,0x7d77fe44,
    0xdbadffff,0x2fbfe26f,0x9dffffda,0x7fec6fdb,0xfffdaadf,0x7fee5c45,
    0xf01bcccd,0xdffffdff,0xfffb8dff,0x363bff33,0x3f6a0bff,0x3fee22df,
    0xffffb02e,0x1fffffff,0x1bf23ff8,0xfffffff3,0x201fffff,0x3ff65ffd,
    0xffff1005,0x2a27dc01,0x7ffd404f,0x3fffe7ff,0x57fc01ff,0xed86fe99,
    0x00ffd400,0x7d41ffb8,0x2ffc01ff,0xfb81ffb0,0x3000260f,0x01ffb9ff,
    0x7ec09ff0,0x07fea00f,0x0987fea0,0x02ff8ffa,0xfffb0000,0x5fffffff,
    0xffffff50,0xd87fffff,0xffffffff,0x3ffff604,0x0fffffff,0xffffffe8,
    0x20ffffff,0xffffffff,0x7f440fff,0xffedffff,0x2e0fffff,0xffffffff,
    0x0fffffff,0x7fffffec,0xfffb84ff,0x6fffffff,0x26a27fd0,0x7fd4bf90,
    0xfff9afff,0x267fffb6,0x90ffffff,0x201fffff,0xfceffffd,0x981885ff,
    0xfffffd80,0x204fffff,0x3fe62ffb,0x13ff6003,0x20060310,0x24ffffd8,
    0x00dffffc,0x8dfd1fea,0x7d402ff8,0x3ff7001f,0xf80dff50,0x0bff905f,
    0x00001ff7,0x00bffffd,0x7fec13fe,0x00ffd405,0xff00ffd4,0x90017e69,
    0x7ffdc009,0x202effff,0xffffffd8,0xffd703df,0xfb007dff,0xfff7bfff,
    0x3fff260b,0x4fffedff,0x7fffefdc,0xfd100dff,0x3ffa2bff,0xffb81dff,
    0xffddedff,0xfd701cff,0x2607dfff,0xfffffffe,0x200203ef,0x6fffec40,
    0xfb3fff98,0x7ffec1df,0x3fffa65f,0x00d54404,0x00000000,0x00000000,
    0x00000000,0x4df7f5c0,0xccccfffc,0xdcb983ff,0x880bcdff,0x41bdffdb,
    0x5c43dffc,0xfeccceff,0x3ae20fff,0x00bcccff,0x1ffffa80,0x677fdc40,
    0x0ffffecc,0xdffdcb98,0x7edc40bc,0xccccccdf,0x001f94ff,0x2000ffcc,
    0x0009aaa9,0x0004d54c,0x88001351,0x54c0001a,0xa9880009,0x1530009a,
    0x26001530,0x001a880a,0x000006a2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff5000,0xffffffff,0xfb07ffff,0xbfffffff,
    0xffffff70,0x43fffd0d,0xfffffffb,0x7e41efff,0x3fffffff,0x0dfff000,
    0xffffff70,0x203dffff,0xfffffffe,0x7fffdc4f,0xffffffff,0x9000574f,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0xffbdfffe,
    0xffffffff,0xffffeb83,0xfe982eff,0xf983efff,0x3ffa60df,0x03ceffff,
    0xffffffd3,0x3f20003d,0xffe9803f,0x03ceffff,0x7fffffdc,0x7ff4c2ef,
    0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xceedb800,
    0x87bddb70,0xeeeeeeea,0x00002eee,0x026c4132,0x00022001,0x3b220100,
    0xeeeeeeee,0x0004eeee,0x80100088,0xaaaaaaa8,0x2e0aaaaa,0x07ffe5ff,
    0x5c400004,0x99988000,0x99999999,0x43980999,0x3776a1b8,0x2ddddddd,
    0x33333326,0xcccccccc,0x000001cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e600000,0xff8cffff,0x3ee1ffff,
    0xffffffff,0x2174c03f,0x1dff33e8,0xb887ff44,0x5e8806ec,0x0effedc0,
    0x50e7ff54,0xffffffff,0x8dffffff,0x301cffea,0xd3039ffb,0xf983bfff,
    0xffffffff,0xf51fffff,0x207ff49f,0x1983ffd9,0xefa97754,0x361eea80,
    0xffffffff,0xffffffff,0xfb8bfe25,0x3ffffee7,0x3a3fffff,0xffffffff,
    0xffffffff,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffec000,0xbdfff91e,0x7ffffdc1,0x202fffff,
    0x3fe60ffa,0x2237ffa1,0x3fee5ffe,0x4ffd806f,0xdd77df30,0x6fcbefa8,
    0x3bbbbb22,0xffeeeeee,0x3f33fee6,0x7fffcc2f,0x5e6d40ff,0x7ffcc6eb,
    0xffffffff,0x7ff30fff,0x3fee3fec,0xff50dfff,0xf737ff41,0x25ffe83f,
    0xfffffffe,0xffffffff,0xf50ff46f,0x6666654b,0x2e2ccccc,0xfffffffe,
    0xefffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff88000,0x2a07ffd3,0x3ffea0ff,0xa87fee03,
    0x7ff441ff,0xf085ffed,0xffffc80d,0x21fc8102,0x007f20eb,0xdf16fe80,
    0x8cfc8dd0,0x57303fd8,0x999883fb,0x99999999,0xc8bfe209,0x2fffe26f,
    0x7ffbefff,0x3e627fe4,0x893ff61f,0xaaaaaaaa,0xaaaaaaaa,0x00008080,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fddffc4,0xa936201e,0x3f602fff,0x40bff21f,
    0x05ffffe8,0xfff5037c,0x32203fff,0x3fcc06fd,0x55bfa000,0xf11fb82f,
    0x2a37cc1f,0x01fffffe,0x21ff8000,0x47fe25fa,0x2fffffd8,0x81910198,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e200000,0x003fffff,0x8817ffd4,
    0x3ff61ffe,0x7fffc402,0xf9837c00,0x0fffa9ff,0x205ffe98,0x40002ffa,
    0xb09f16fe,0xf50ff41f,0x4c577c4b,0x555441fc,0xaaaaaaaa,0xf307f40a,
    0xffc80889,0x0000001e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe200,
    0xa800dfff,0x3f602fff,0x017ff24f,0x1bffffd1,0x7fc437c0,0x81bfee2f,
    0xefc83fd8,0x6fe80001,0x3f6ab7f2,0x75577dc3,0x2a73e62f,0xff30bffc,
    0xffffffff,0x3643ffff,0x01000be2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff31dff1,0xfffa809f,0x23ffd802,0xfd104ffc,0x40bffdbf,
    0x84ffc86f,0x3ea04ffd,0x0037fa64,0x712fec00,0xf107dffd,0xf90dffff,
    0x27ffdfff,0xfffffff9,0x0fffffff,0x00000404,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x3fa23ff8,0x5fff501f,0xffb82fb8,0x3a13fea3,
    0xbffd15ff,0x6f7ff6cc,0x7ec0bf91,0xffb9bd93,0x7777ffc1,0x3aa0001e,
    0xb5001302,0x0099805b,0x26666662,0x00199999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e540000,0xdff50bdf,0x3ffea179,0x5fecccce,
    0x74c9fd30,0x117fe64f,0x3b661ffd,0x0021deee,0xdefdc982,0x77777741,
    0x0000001e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffc4,0x4fffff64,0xfffffffd,0x36206fff,0x991fec2f,
    0x00001e40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb00000,0x7fc43dff,0xffffb1ef,0x0dffffff,
    0x00150150,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_30_latin_ext_x[560]={ 0,5,3,1,2,2,2,6,6,3,2,1,5,2,
5,2,2,2,1,1,1,1,2,1,2,2,5,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,1,6,2,3,2,-2,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-2,3,1,3,4,5,0,1,5,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_30_latin_ext_y[560]={ 22,4,6,3,3,5,7,5,4,4,5,6,18,13,
18,3,4,4,4,4,5,5,4,5,4,4,10,10,6,10,6,5,4,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,3,5,4,27,4,9,5,9,5,9,5,9,5,5,
5,5,5,9,9,9,9,9,9,9,6,10,10,10,10,10,10,5,5,5,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,22,10,3,5,8,6,
5,5,5,6,4,10,13,13,6,1,2,3,4,4,4,10,5,11,21,4,4,10,4,4,4,10,0,0,0,1,
1,-1,6,5,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,9,4,0,0,0,1,0,6,5,4,4,
4,5,5,3,9,9,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,8,4,4,4,5,4,5,5,
2,6,0,4,6,9,0,4,0,4,0,5,0,4,0,5,6,5,2,6,0,4,0,5,6,9,0,4,0,4,
0,4,0,5,5,3,0,0,6,5,1,5,2,6,0,4,6,5,0,10,6,5,0,4,6,5,10,0,-1,6,
5,6,5,6,5,6,5,0,4,6,9,0,4,5,5,9,2,6,0,4,0,4,6,9,0,4,6,9,0,4,
0,4,0,4,5,9,0,4,6,6,0,5,6,6,1,5,2,6,0,4,-1,3,0,4,6,10,0,4,0,4,
1,0,4,0,5,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,9,5,5,5,5,5,5,5,5,5,5,5,5,5,3,9,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,0,4,0,
4,0,4,-1,2,-1,0,-1,0,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-5,-1,0,4,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_bold_30_latin_ext_w[560]={ 0,5,10,14,12,12,13,4,7,7,12,14,6,12,
5,12,12,12,13,14,13,14,13,13,12,13,5,7,16,16,16,12,12,18,16,16,15,15,15,16,16,12,16,17,
16,18,17,16,15,16,17,14,14,16,18,18,16,16,14,7,12,7,12,20,6,15,17,15,17,15,15,16,16,14,
11,16,14,18,16,14,17,17,15,14,15,16,16,17,16,16,12,8,4,8,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,12,15,14,16,
4,14,10,17,10,15,16,12,17,20,10,14,9,8,6,16,14,5,6,8,10,15,16,19,16,12,18,18,18,18,
18,18,18,16,15,15,15,15,12,12,12,12,16,17,16,16,16,16,16,12,16,16,16,16,16,16,15,15,15,15,
15,15,15,15,18,15,15,15,15,15,14,14,14,14,14,16,14,14,14,14,14,14,16,16,16,16,16,16,17,16,
18,15,18,15,19,16,16,15,16,15,16,15,16,15,15,19,16,17,15,15,15,15,15,15,16,15,15,15,16,16,
16,16,16,16,16,16,16,16,16,16,12,14,12,14,12,14,12,14,12,14,16,16,16,11,17,16,16,16,14,16,
14,16,14,16,14,16,14,17,16,17,16,17,16,17,15,13,16,14,16,14,16,14,18,18,17,15,17,15,17,15,
14,14,14,14,14,14,14,14,14,15,14,17,14,15,16,16,16,16,16,16,16,16,16,16,16,16,18,17,16,16,
16,14,12,14,12,14,12,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,16,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,17,15,14,14,14,14,14,14,14,14,14,14,14,14,14,18,18,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,15,12,14,16,
14,16,16,16,16,16,16,16,16,16,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,15,18,18,16,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_bold_30_latin_ext_h[560]={ 0,19,8,22,23,18,16,9,23,23,12,16,9,3,
5,23,19,18,18,19,17,18,19,18,19,19,13,15,16,9,16,18,21,16,16,18,16,16,16,18,16,16,17,16,
16,16,16,18,16,21,16,18,16,17,16,16,16,16,16,22,22,22,10,3,5,14,18,14,18,14,17,19,17,17,
23,17,17,13,13,14,19,19,13,14,17,13,12,12,12,18,12,22,22,22,7,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,18,20,17,13,16,
22,20,4,17,9,12,9,3,17,4,9,19,10,10,5,18,20,5,6,10,9,12,18,18,18,18,22,22,22,21,
21,23,16,22,22,22,22,21,22,22,22,21,16,21,23,23,23,22,22,11,20,23,23,23,22,22,16,18,19,19,
19,18,18,20,14,18,19,19,19,18,18,18,18,17,18,17,19,19,19,18,18,15,16,19,19,19,18,24,23,23,
20,17,22,19,20,17,23,19,23,19,23,18,23,19,22,18,16,18,20,17,22,19,22,18,20,17,22,19,23,24,
23,24,23,23,23,25,22,22,16,17,21,17,20,16,22,18,20,21,22,12,17,23,23,24,22,23,12,22,23,22,
23,16,17,16,17,16,17,22,18,22,19,22,18,17,18,19,21,17,23,19,23,19,16,14,22,18,22,19,22,18,
23,19,23,19,23,18,23,19,24,23,22,18,16,17,22,18,21,17,23,19,24,20,23,19,20,16,22,18,22,24,
21,22,18,22,17,22,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,18,14,17,17,17,17,17,17,17,17,17,17,17,17,17,20,14,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,19,22,18,23,
19,23,19,24,21,24,23,24,23,24,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,24,22,19,24,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_bold_30_latin_ext_s[560]={ 510,502,321,478,153,50,498,505,217,502,412,
186,505,398,347,370,429,211,164,365,419,343,138,262,52,65,505,154,405,304,150,
330,344,318,472,438,107,138,72,33,388,441,433,117,83,422,454,147,67,327,37,
17,123,450,88,354,337,20,373,197,184,176,222,411,353,243,32,177,403,193,388,
187,1,18,369,33,483,359,378,209,396,139,328,259,467,395,458,440,491,488,171,
167,162,153,332,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,510,499,415,
357,344,50,148,445,387,259,293,184,254,398,192,366,282,157,244,235,505,370,40,
360,505,213,271,475,471,451,434,421,222,241,260,197,178,381,1,385,402,418,434,
311,467,480,1,285,55,267,417,451,468,77,315,200,105,485,18,52,350,450,489,
422,204,237,236,358,291,89,293,406,486,252,253,299,269,315,391,373,455,175,124,
109,94,284,63,162,301,35,18,1,1,104,86,119,21,226,159,380,1,242,166,
317,183,284,352,470,400,220,61,242,284,224,496,159,143,188,114,324,55,210,493,
122,434,54,274,71,335,35,69,20,94,31,267,340,298,312,389,252,111,178,402,
357,48,425,142,338,240,172,279,257,154,14,383,205,355,235,50,218,111,201,81,
367,307,332,333,297,353,277,387,442,250,96,321,79,136,350,167,274,130,78,96,
268,61,1,104,414,225,456,306,276,291,471,218,398,429,129,135,126,79,374,216,
295,1,152,184,479,200,300,72,100,493,193,1,155,233,31,486,46,327,414,340,
65,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,94,404,404,463,
404,404,404,404,404,404,404,404,404,404,404,404,404,111,312,404,404,404,404,404,
404,404,404,404,404,404,404,404,460,224,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,444,204,
18,18,301,172,318,220,233,372,201,267,138,284,121,250,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,1,88,124,169,37,428,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404, };
static unsigned short stb__courier_bold_30_latin_ext_t[560]={ 1,99,212,29,29,140,159,177,29,1,196,
177,140,212,212,29,99,140,140,99,159,120,99,140,120,120,120,196,177,212,177,
120,76,177,177,120,196,196,196,140,177,177,159,177,177,177,177,140,177,76,196,
159,196,159,196,177,177,196,177,53,53,53,212,212,212,196,159,196,140,196,159,
120,178,178,1,178,159,196,196,196,99,120,196,196,159,196,196,196,196,140,212,
53,53,53,212,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,1,120,76,
159,196,177,53,76,212,159,212,212,212,212,159,212,212,120,212,212,187,140,99,
212,150,212,212,196,140,140,140,140,53,53,53,76,76,1,196,53,53,53,53,
76,53,53,76,76,196,76,1,1,1,76,53,212,99,1,29,29,53,53,177,
120,120,120,99,120,140,99,196,120,99,99,120,120,120,120,120,159,120,159,120,
120,120,120,140,196,177,120,120,120,140,1,29,29,99,159,76,99,99,159,29,
99,29,99,1,120,1,99,76,140,177,140,76,159,76,99,53,140,99,159,53,
99,1,1,29,1,1,29,29,1,76,76,177,159,76,159,76,177,76,140,76,
76,76,196,159,29,29,1,53,29,212,76,29,53,29,177,159,177,159,177,159,
53,140,53,99,53,140,159,140,99,76,159,29,120,29,99,177,196,53,140,53,
99,53,159,29,99,29,99,29,140,29,99,1,29,29,140,177,159,53,120,76,
159,29,99,1,76,29,99,99,177,29,140,53,1,76,53,120,53,159,29,140,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,140,159,159,29,
159,159,159,159,159,159,159,159,159,159,159,159,159,140,196,159,159,159,159,159,
159,159,159,159,159,159,159,159,76,196,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,29,99,
53,140,1,120,1,120,1,76,1,1,1,1,1,1,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,1,1,76,99,1,76,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159, };
static unsigned short stb__courier_bold_30_latin_ext_a[560]={ 254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_30_latin_ext(stb_fontchar font[STB_FONT_courier_bold_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_30_latin_ext_s[i] + stb__courier_bold_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_30_latin_ext_t[i] + stb__courier_bold_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_30_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_30_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_30_latin_ext_x[i] + stb__courier_bold_30_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_30_latin_ext_y[i] + stb__courier_bold_30_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_30_latin_ext_s[i] + stb__courier_bold_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_30_latin_ext_t[i] + stb__courier_bold_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_30_latin_ext_x[i] + stb__courier_bold_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_30_latin_ext_y[i] + stb__courier_bold_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_30_latin_ext_LINE_SPACING
#endif

