// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT        282
#define STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_34_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_34_latin_ext_LINE_SPACING          16

static unsigned int stb__courier_bold_34_latin_ext_pixels[]={
    0x0000a800,0x2e000000,0x00000002,0xb1000000,0x00000009,0x05c00055,
    0xddd90398,0xdddddddd,0x1b809ddd,0x00000000,0x00550000,0xf7000000,
    0x9fffffff,0x00010000,0x75000401,0x0ecc0000,0x004003b1,0x00f60002,
    0x00080200,0x80005b80,0x86e00000,0x4401004a,0x80004000,0x80003fd8,
    0x100002d8,0x88000bfb,0xfffc806c,0x9800001f,0xf90004ff,0x3f6200ff,
    0x7cc000df,0x3f60fd05,0xffffffff,0x105fffff,0x98007ffd,0x74c001fe,
    0xfb100004,0xfe8001bf,0x0fffb85f,0x2aaaaa20,0x40000aaa,0x3f2005fa,
    0xb004fb84,0x100001bf,0x01df77fd,0xd307be20,0x5fb8001f,0x213f2000,
    0xb10004fb,0x74c0007f,0xfd80003f,0x8801ff54,0x001f904f,0x98005ff3,
    0x80000efe,0xd300005d,0x440001df,0x7fc405fe,0x00001fff,0x00027fdc,
    0xf500fff9,0x005fffff,0xfb31cfd8,0x3ffff607,0xffffffff,0xeffb85ff,
    0xfb001eff,0xffc800bf,0x7fd40000,0x2002ffff,0xffb85ffe,0x0100400f,
    0x02ffc800,0x267bfe60,0xd1002ffe,0x040003df,0x80049ff9,0xffc8bffd,
    0x6fa82005,0xeff98004,0x002ffe99,0x0022fe81,0x1dffff70,0x1dfd1000,
    0x3a005ff7,0x802fdc2f,0x2a003ffe,0x500005ff,0xf300001f,0xf98000bf,
    0xffc800df,0x200001ff,0x40002ffb,0x7d407ffc,0x3ffd88df,0x3fffe200,
    0xffb00eff,0x39ff9335,0xfc8bff53,0x03ffd34f,0x8009ff90,0x20001ffd,
    0xfd88dffa,0xbffd003f,0x401fff70,0x05fa82fd,0x01ffd880,0xffffe880,
    0xffd8001e,0x23fc8001,0x4013ee19,0x03fffffb,0x24997ea0,0xfd1003fc,
    0x2003dfff,0xfc8325fa,0xbffe8803,0x4002ffe9,0x2ffa8efe,0x37ffea00,
    0xfa801fff,0x3fa000ff,0x3f200003,0x7e40000d,0x7fcc0003,0x1ffd8004,
    0x07b20000,0x06662000,0x9f505f70,0x39d95000,0x2e1ffd80,0x17fe63ff,
    0x05f703db,0x80017710,0x20001ffd,0x04fa82fb,0x31013310,0x84fe8033,
    0xfc8007fc,0x7dc0000e,0x7dc0003f,0x05fd8005,0xe9801bf6,0x7e4000ef,
    0x0013fa06,0xc8007ff7,0x013fa06f,0xdf907bee,0xd86fcc00,0xfc98001f,
    0xfd001cff,0x019800bf,0x1ffec000,0x88022000,0x002ea800,0x0003ffb0,
    0x00001500,0x00000000,0x43ffb000,0x3fe63ffb,0x00000005,0x33ffaa20,
    0x000aaaaa,0x00000000,0x2e202e60,0x003a8001,0x00006600,0x5c400044,
    0x0002e200,0x0dc4000a,0x30001710,0x03710003,0x018005c4,0x88100022,
    0x00180000,0x000fffcc,0x0000fb66,0x000077d4,0x17fc4044,0x3f600000,
    0x0379751f,0x09fff500,0x555554c0,0x554c2aaa,0x006aa601,0x4c7372e6,
    0x3ff60aaa,0xf88ffee0,0x55554c4f,0x2602aaaa,0x5531cdcb,0x7fffdc15,
    0xffffffff,0xcdcb9803,0x30155531,0x54c55555,0x002aaaaa,0x41da8000,
    0x220002d9,0x83b50000,0x000002d9,0xd983b500,0x00000002,0x00000000,
    0x00009800,0x20000088,0x3ff60009,0x5e7c4005,0x0000003f,0xffffb300,
    0x313ffa3b,0x554c0355,0x3b3ff601,0x05ffffff,0x007d4fa0,0x3fffffe2,
    0xff16ffff,0x7c41ffff,0x880fffff,0xeffffffc,0xf53ffffe,0x6c3ffb8b,
    0xfffff11f,0x10dfffff,0xdffffff9,0x367ffffd,0xffffffff,0x2205ffff,
    0xeffffffc,0x3e3ffffe,0xf9ffffff,0x6fffffff,0x5bdddb71,0x5ef776d4,
    0x746ff880,0x366000ff,0x001defff,0xffe8dff1,0xdddb7100,0x7776d45b,
    0x6ff880bd,0xb8807ff4,0x2a2deeed,0x10bdeeed,0x45bdddb7,0x0bdeeeda,
    0x5bdddb71,0x5ef776d4,0x3ffb2600,0x00cbadff,0x6f7ffecc,0x7f64c001,
    0x0cbadfff,0x000fffc4,0x0007a9ae,0x4cb372e6,0x3f200aaa,0xffffffff,
    0xfff10fff,0x7fc41fff,0xfd80ffff,0xffffffff,0x7c400eff,0xff100be1,
    0xffffffff,0x3ffffe6d,0x3fffe61f,0x7ffc42ff,0xffffffff,0x7dc05fff,
    0x7ffc403f,0x6fffffff,0x7fffffc4,0xffffffff,0xbffd9715,0x01799999,
    0x3fffffe2,0xffffffff,0xffffff15,0xffffff7f,0x3ffeedff,0xff88ffff,
    0xd04fffff,0x006fc89f,0x3ffffff2,0x9fd004ff,0x3ee06fc8,0x88ffffff,
    0x4fffffff,0x6fc89fd0,0x3ffffee0,0xffff88ff,0xfff74fff,0xff11ffff,
    0x2e9fffff,0x8fffffff,0xfffffff8,0xfffff704,0x05ffffff,0x7fffffe4,
    0xff7004ff,0xffffffff,0x07ffa85f,0x01727a80,0x3ffff220,0xffffeeff,
    0xeffffd83,0x2fffffff,0x3fffffe6,0x3ffffe61,0xffffd82f,0xffffcbdf,
    0x64eec00e,0x99995007,0x54dffb99,0xea82efff,0xffd83fff,0xfffeabff,
    0x5c00bdff,0xcca803ff,0x6ffdcccc,0x55ffffec,0xbdfffffe,0x001ffd80,
    0xabffffd8,0xbdfffffe,0x3ff332a0,0xcccccb8f,0xffff56ff,0x7fff4dff,
    0x40602fff,0x3fff6001,0x6ffffeef,0x50060300,0x4dffffff,0x2ffffffe,
    0x2a00c060,0x26ffffff,0x2ffffffe,0xdffffff5,0x7ffffff4,0xffffff52,
    0x7fffff4d,0xffffc82f,0xffffffef,0xdffffb04,0x80dffffd,0xfefffffc,
    0x5c4fffff,0xfd0005ff,0xf88005fd,0xffffffff,0x5c5fffff,0x3660cfff,
    0xffa86fff,0xffea82ef,0x9fffb03f,0x07fff501,0x002efd98,0x5c6ff980,
    0x3ffa06ff,0x82fffa83,0x002fffe9,0x80007ff7,0x3fea6ff9,0xfffe982f,
    0x007ff602,0x305fff50,0xd005fffd,0x3fe201ff,0x4057ff46,0x000eff98,
    0x7ffdc000,0x3fff220c,0xe8000003,0xf9880aff,0x000000ef,0x44057ff4,
    0xfe80eff9,0xff9880af,0x0affe80e,0x80eff988,0x441cfffb,0xfb84fffb,
    0x3f220cff,0xfff703ff,0xfffb8839,0x0027fec4,0xb0001750,0xfd57ffff,
    0x417bffff,0xf883fff9,0xfb81ffff,0x0fffa06f,0x6407ffd8,0x001005ff,
    0x437fcc00,0xffa82ffe,0x40bffb07,0x7002fffb,0x980007ff,0x17ff66ff,
    0x202fffb8,0x6c001ffd,0x3fee05ff,0x0ffe802f,0xfe8dff10,0x1bfe200f,
    0x54415554,0xff980aaa,0x3ffea03f,0x882aaa81,0xfd00aaaa,0x37fc401f,
    0xa882aaa8,0xffd00aaa,0x837fc401,0x3e200ffe,0x01ffd06f,0x7c437fc4,
    0x7fdc04ff,0x01fffcc3,0xf883fff5,0x7fdc04ff,0x001fff43,0x7fd40000,
    0xfffe982f,0xb05ffd82,0x20bfffff,0xffa82ffe,0x01ffec07,0xb981ffe2,
    0x0001bccc,0x7dc37fcc,0x03ffe86f,0x7c405ffd,0xff7002ff,0xff980007,
    0x880bffa6,0x3f602fff,0x7ff4001f,0x0bffe202,0x4403ffa0,0x07ff46ff,
    0xf98dff10,0x7fd47fff,0xffd82fff,0x25ffc805,0x547ffff9,0xd02fffff,
    0x7fc401ff,0x3ffffcc6,0x0bffffea,0xf1007ff4,0x03ffa0df,0xfd06ff88,
    0x37fc401f,0x4402ffdc,0x2ffec1ff,0x2e2ffe40,0xff8805ff,0x8017ffc1,
    0xeeeeeec8,0x17ff6004,0xe82fffb8,0xfffc80ff,0xff707ffb,0x807ffd0d,
    0xff804ffd,0x7fffe40f,0x000effff,0x3a0dff30,0x1ffea2ff,0x7400fff8,
    0xff7002ff,0xff980007,0xd003ffe6,0x7fec05ff,0x07ffc001,0x200bffa0,
    0xff100ffe,0x200ffe8d,0x7fd46ff8,0x7ffe47ff,0x0ffe82ff,0x2a7ff880,
    0x7e47ffff,0xfd02ffff,0x37fc401f,0x91ffffea,0x205fffff,0x3e200ffe,
    0x01ffd06f,0xfe837fc4,0x1bfe200f,0x0000fff6,0xf1001ffd,0x03ffd8ff,
    0x017ffc00,0xffffffd8,0xffd000ff,0x17ffc405,0x3ea1bfe2,0x01fff3ff,
    0xffa8bffa,0x0fffd807,0xf11bfe60,0xffffffff,0xf30001df,0x9bfee0df,
    0x3fa03ffe,0x3ffe603f,0x07ff7002,0x26ff9800,0x3e603ffe,0x3ff602ff,
    0x1fff4001,0x005fff30,0x3e201ffd,0x007ff46f,0xf970dff1,0xfecb88ff,
    0x037fc42f,0x65c1ffd0,0x765c47ff,0x1ffd02ff,0x5c37fc40,0x65c47ffc,
    0xffd02ffe,0x837fc401,0x3e200ffe,0x01ffd06f,0x7f437fc4,0x3e20000f,
    0x3ffa006f,0x0003ffa0,0x2007ffb0,0xfffffffb,0x1fff004f,0x4c2ffe80,
    0x7ffc45ff,0x5c0bff65,0x0fffa6ff,0x033fff60,0x3213ffe6,0xfcaabcef,
    0xf98003ff,0x2fffa06f,0x7e407ffa,0x3fff206f,0xffffb102,0x001bffff,
    0x3f26ff98,0x3fff206f,0x20fff602,0x3f21dca8,0x3fff206f,0x00ffe802,
    0xffe8dff1,0x81bfe200,0x3ff207ff,0x002ffcc2,0xfff05ff9,0xe817fe40,
    0x3fe200ff,0xc81ffe06,0x1ffd02ff,0xe837fc40,0x3fe200ff,0x401ffd06,
    0x7ff86ff8,0x2ffcc000,0x7c5ff900,0xfc80007f,0x2662005f,0x007fffff,
    0x7c407ffd,0x2ffd42ff,0x641dffd1,0x3ffa02ff,0xb007ffab,0x77bfffff,
    0x001ffffb,0x0009ff70,0x7d40dff3,0x403ffeef,0x221cfff9,0x702ffffb,
    0xffffffff,0xf98005ff,0x33ffe66f,0x3fffee21,0x3bffee02,0x4ffffedc,
    0x8873ffe6,0x802ffffb,0xff100ffe,0x200ffe8d,0x3fe06ff8,0x50bff207,
    0x7e4009ff,0x207ff82f,0xffd02ffc,0x037fc401,0x7fe40fff,0x401ffd02,
    0xffd06ff8,0x837fc401,0x3e200ffe,0x307ff86f,0x15999997,0xc8013fea,
    0x41ffe2ff,0xacccccb9,0x001bfee0,0x3ffbbfea,0x06ffc802,0xf10bfff2,
    0x07ffecff,0xfa803ff6,0x003ffeef,0xfffffffb,0x803fffff,0xfcccdcb9,
    0xff98005f,0x7ffff406,0xffff9007,0xffffffbd,0x3fff6205,0x00dfffff,
    0x3237fcc0,0xffdeffff,0x2202ffff,0xfffffffe,0x7fe41fff,0xffffdeff,
    0x7fec42ff,0xdfffffff,0xfe8dff11,0x1bfe200f,0x3f207ff8,0x037fc42f,
    0xff03ffb0,0x817fe40f,0x3e200ffe,0x81ffe06f,0xffd02ffc,0x837fc401,
    0x3e200ffe,0x01ffd06f,0x7fc37fc4,0xfffff987,0xdff14fff,0xf0ffec00,
    0xffff30ff,0x7cc9ffff,0x7ec000ff,0x805ffbbf,0x221dfff9,0xf82ffffb,
    0x2fffb9ff,0xfe807ff8,0x36007fff,0xffffecff,0x3a600dff,0xffffffff,
    0xff98005f,0x7fffd406,0x3fff6003,0xffffffff,0x80000002,0xffd86ff9,
    0xffffffff,0x7fec402f,0x00beffff,0xfffffffb,0xfb85ffff,0xffffffff,
    0x8dff14ff,0x3e200ffe,0x81ffe06f,0x7ff82ffc,0x7c1ffe00,0x0bff207f,
    0xf1007ff4,0x03ffc0df,0x3fa05ff9,0x1bfe200f,0xf1007ff4,0x03ffa0df,
    0xfe86ff88,0x7fffcc0f,0x3fe4ffff,0xd1ffe007,0xfff981ff,0x744fffff,
    0x3e2004ff,0x0fff88ff,0xeffffc80,0x2ffffffd,0xfffdffd8,0x806ffb84,
    0x003ffffa,0x65d47ff6,0x7fd400ab,0xffffffff,0xff98005f,0x07ffe806,
    0xfffffa80,0x002ffdcf,0x26000022,0xfff506ff,0x5ffb9fff,0x06aaa200,
    0xfffffa80,0x442ffdcf,0xfffffffd,0xdff11dff,0x2602ffc8,0x1ffe05ff,
    0xfd82ffc8,0x6ffb804f,0x7e40fff0,0x05ff902f,0xff02ffcc,0x817fe40f,
    0x3e602ffc,0x05ff905f,0xfc82ffcc,0x17fe602f,0x2e607ff2,0x6c5ffdcc,
    0xffb804ff,0x4c0ffe46,0x85ffdccb,0x9000fffb,0x27fe49ff,0xfffffd80,
    0x82ffffff,0x85fffff9,0xd002fff9,0xfd800fff,0xff10001f,0xb7557dff,
    0xf3000bff,0x7fff00bf,0x4d544000,0x2003ffb0,0x40003ffb,0x54405ff9,
    0x03ffb09a,0x22000040,0x3ffb09aa,0x3fe20000,0x9037fdc6,0x3ffc07ff,
    0xf505ff90,0x7fcc03ff,0x40fff02f,0xff702ffc,0x01ffe40d,0x7fe40fff,
    0x40dff702,0xff703ffc,0x81ffe40d,0x3f206ffb,0x06ffa83f,0x7d44ffa8,
    0x3fe601ff,0x037fd42f,0x7c427fd4,0xfff003ff,0x003ffcc3,0x5bfffff5,
    0x3f605ffb,0x7fd40fff,0x3ffe005f,0x0ffec003,0x0effb800,0x000bff30,
    0xfb809ff7,0x8800007f,0xfb000fff,0xfc8000bf,0xff88004f,0x1ff9000f,
    0x7fc40000,0xf700000f,0xcfff98bf,0x00fffdc0,0xfd983fff,0xfff902ff,
    0x0bfff505,0x3660fffc,0xff302fff,0xfffb819f,0x307ffe01,0x2605fffb,
    0x7dc0cfff,0xfff301ff,0x1fffb819,0x819fff30,0xe881fffb,0xf9101dff,
    0x5fff909f,0x10bfff50,0x2203bffd,0xff904ffc,0x0dff500f,0x88005ffd,
    0x80ffec2a,0xddfffffc,0x000ffffe,0xb000fff7,0x320003ff,0xffb884ff,
    0x7fcc005f,0x1fffc02f,0x3f220000,0x3f66006f,0x3fe60004,0x7e44002f,
    0x3ff6006f,0xf9100001,0x260000df,0xffb83ffe,0xffffddff,0x67ffec04,
    0xffffffec,0xbdfffd04,0x01ffffdb,0x7667ffec,0x04ffffff,0xfbbffff7,
    0xfd809fff,0xfffeccff,0xff704fff,0xffffbbff,0xffffb809,0x04ffffdd,
    0x6effffdc,0x2604ffff,0xdcdeffff,0xd04fffff,0xfdbbdfff,0x3e601fff,
    0xfdcdefff,0xf104ffff,0xffd805ff,0xfffeeeef,0xff880005,0xffffa80f,
    0xefffffff,0x0fffe000,0xefffda80,0x3ea001ce,0xffecceff,0x5c4fffff,
    0xffffeeed,0x3bbb6a0e,0x8002dfff,0xffeeeec9,0x7cc003ff,0xeeedb801,
    0x300effff,0xfffdddd9,0x3e44007f,0x77764c00,0x003ffffe,0xffeeedb8,
    0xfff900ff,0x00bfffff,0xfffffff3,0x01ffffff,0xffffffd1,0xf9801bff,
    0xffffffff,0xf900ffff,0xbfffffff,0xfffff300,0xffffffff,0x3ffff201,
    0x9005ffff,0xffffffff,0x3fff200b,0x805fffff,0xfffffffb,0x102fffff,
    0xfffffffd,0xffb801bf,0xffffffff,0x3fea02ff,0x3fffe203,0xffffffff,
    0x3f220000,0xdfff886f,0x3fffffda,0x7f776d40,0xf8802dff,0x7fffffff,
    0x7fffec00,0xffffffff,0xffff30ff,0x4c1dffff,0xffffffff,0x7ec000ff,
    0x3fffffff,0x401fc400,0xfffffff9,0x3ff600ef,0x03ffffff,0xd8003e80,
    0xffffffff,0xfff98003,0x400fffff,0x2ffffffa,0x3fffe600,0x4fffdcff,
    0x7ffffdc0,0x3fe6003e,0xffdcffff,0x7ffd404f,0x26002fff,0xdcffffff,
    0x7d404fff,0x002fffff,0x7fffffd4,0x7ffd4002,0x22002fff,0xffffffec,
    0xfff7003e,0x44007dff,0xffffffec,0x0177003e,0x7fffffe4,0x04ffffff,
    0xfeeeec98,0xffb82fff,0x9800a986,0xffffffff,0xffe800ff,0x005fffff,
    0x7ffffe44,0x4ffffcdf,0x3fffffe2,0x7ffc40ce,0x06ffffff,0xfffffc80,
    0x5c8002df,0xfffff100,0xfc8017df,0x02dfffff,0x90006b80,0x5bffffff,
    0x3ffe2000,0x2000ceff,0x20000aa8,0x80001aa9,0x20000aa8,0x80001aa9,
    0x20000aa8,0x80001aa9,0x40000aa8,0x40000aa8,0x80000aa8,0x00009aa9,
    0x00001551,0x00013553,0x335fff00,0xfff53333,0xfffffb00,0x3e607fff,
    0x7c40000e,0xffffffff,0x26662006,0x22000099,0x40009aaa,0x98009999,
    0x00999999,0x06666200,0x26000000,0x44000999,0x40001999,0x26200009,
    0x20000199,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4037fd40,0x7e402ffd,0x02dfffff,
    0x4cc00000,0x00099999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb30000,0xffb0bfff,0x4401dfff,
    0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffe4000,0x3e61ffff,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffff660,0xffffd85f,0x000001df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x20ed4000,0x220002d9,0x00000000,0x00000401,0x00200800,
    0x00019100,0x00220000,0x00002200,0x00ea0000,0x00011000,0x00003a80,
    0x37000075,0x26000254,0x5db50003,0x10000000,0x40100040,0x000dc000,
    0x000f6600,0x00000010,0x4c800191,0x00100400,0x003fe880,0xffe8dff1,
    0x2ffa8000,0x3fe20000,0xf101f901,0x3fffaa09,0x3fc80003,0x30004fb8,
    0x220005ff,0x7d4000fd,0x3ea0002f,0x3faa002f,0x0003ffff,0x00001bfb,
    0x00005ff5,0x20001bf2,0x20000ffc,0x01ff54fd,0x003fee00,0x05f79f30,
    0x0000ff88,0x27c407e4,0x7dc1fe40,0x07ff1004,0x3ffe2000,0xcfeb8001,
    0x40000aa0,0x2a002ff9,0x7f9002ff,0x20009f90,0x01effffb,0x37e44fe8,
    0x3fff6200,0xd80000df,0x1bf503ff,0xfe817f44,0x80003fff,0xfe99eff9,
    0xffa8001f,0xdfd10004,0x7ffec400,0x362000df,0x800dffff,0x3ffffffe,
    0x3dfd1000,0x3ff62000,0x10000dff,0x40003ffb,0x0001ffd8,0xff71dfd1,
    0x3ff60005,0x324d8002,0x02ffd405,0x8837ea00,0xff9802fe,0x01ffe99e,
    0x0017fea0,0x00bffe20,0x7fffff90,0x70000df9,0xfb8009ff,0xdff5003f,
    0x003ffd31,0xfd39ffb0,0x0603007f,0x55fff300,0x40003fff,0x3600fff8,
    0x05ffeeff,0x00ffffaa,0x7fff4c00,0xfb8001ef,0xff30003f,0x3fe2001b,
    0x01fffaaf,0xfaafff98,0x7f5401ff,0x0003ffff,0x2000ffec,0xffaafff9,
    0x7f44001f,0x3a20000e,0x3a0000ef,0x02ffa8ef,0x003dfd00,0x404d9ae0,
    0x0001fff8,0x7ff77fec,0x3ffa6005,0x98001eff,0xb80006fe,0x0de8004e,
    0x003ffff9,0x002ffc80,0x5effffdc,0x3ffa600c,0xa8000eff,0x03fdc1ef,
    0xbf900000,0x0027ec41,0x880bff90,0x00bdffdb,0x0003ffb8,0x001ffdc0,
    0x20003ff0,0x64004ff9,0x13f620df,0xd8837f20,0x7fdc004f,0x4fb80003,
    0x106fec00,0xfb8009fb,0xdfa80005,0x37e60000,0x20003fb0,0x20000dfa,
    0x800feef8,0x40004ffc,0x0bdffdb8,0x03ffb800,0x017ec400,0x20000000,
    0xf00002c9,0x7fd4003f,0x5fffffff,0x003ffb80,0x203100c0,0x2a601aa9,
    0x300c401a,0x3fe20001,0x0022001f,0x0007ff70,0x80003300,0x174c0000,
    0x1300c400,0x04c03100,0x00ffee00,0x20004400,0x00026018,0x00800002,
    0x00881000,0x80000c00,0xf1000bb8,0x200001ff,0x19800008,0x00060000,
    0x000004c0,0x00080000,0xfffffff8,0x13006fff,0x10000000,0x41ffffff,
    0x0ffffff8,0x00001100,0x10017fee,0x3ffb8001,0x0005554c,0x08800018,
    0x80000000,0x03000008,0x03ffb800,0x00004400,0x04400000,0x00000000,
    0x00c00000,0xfb000000,0x0000009f,0x00008800,0xec980000,0xcbadffff,
    0x3bbb6e20,0x3bbb6a2d,0x000000bd,0x98577fd4,0x00006ffc,0xdddd9300,
    0x4c7bdddd,0x21ffffff,0x2ffffff9,0x3bfff660,0x3fe0001d,0xffd9801f,
    0xfb801def,0xfffff13f,0xfb73009f,0x09917fff,0xdffffda8,0xffd504ba,
    0xa8007fff,0xbadffffd,0xffdb9804,0x004c8bff,0x30007ff7,0x03bdfffb,
    0x6f776dc4,0x37bbb6a2,0x3ff6600b,0x2e201def,0x2a2deeed,0x10bdeeed,
    0x45bdddb7,0x0bdeeeda,0x3fff6e60,0x5c44c8bf,0x2a2deeed,0x40bdeeed,
    0x8800fff9,0x22deeedb,0x0bdeeeda,0xbffffb50,0xedb88975,0x3b6a2dee,
    0xf700bdee,0xffffffff,0x7ffdc5ff,0xff88ffff,0x704fffff,0xdddddddb,
    0xd8dddddd,0x47fb01ff,0xeeeeeeec,0x4eeeeeee,0x7fffff40,0x21ffffff,
    0xa82efffa,0x3203fffe,0xffffffff,0x6ffb8004,0xfffffc80,0x7dc04fff,
    0xfffff53f,0xfffb80bf,0xffffffff,0xfffffb02,0xd05fffff,0x07ffffff,
    0x7ffffec0,0x202fffff,0xfffffffb,0xb802ffff,0x7e4003ff,0x4fffffff,
    0xffffff70,0xfffff11f,0x3ff209ff,0x04ffffff,0xfffffff7,0xffffff11,
    0x3fffee9f,0xfff88fff,0xf704ffff,0xffffffff,0x7ffdc5ff,0xff88ffff,
    0xd84fffff,0xffb803ff,0xf88fffff,0x84ffffff,0xfffffffd,0x3fee2fff,
    0xf88fffff,0x84ffffff,0xfefffffc,0x2a4fffff,0x26ffffff,0x2ffffffe,
    0xffffff98,0xffffffff,0x101ffe47,0xffffffd8,0xffffffff,0x7fffe405,
    0x0fffffff,0xfd037fdc,0x7ffec07f,0x6ffffeef,0x017ff400,0x3bbffff6,
    0x2e06ffff,0xffff73ff,0x7fdc0379,0xffffefff,0xfffc83ff,0xfffffeff,
    0xffffea83,0xfff9003f,0xfffffdff,0x3fffee07,0xffffffef,0x03ffb803,
    0x3bffff60,0xa86ffffe,0x26ffffff,0x2ffffffe,0xeeffffd8,0xfa86ffff,
    0x3a6fffff,0x52ffffff,0x4dffffff,0x2ffffffe,0xefffffb8,0x23ffffff,
    0x6ffffffa,0x3ffffffa,0x807ffa82,0x6ffffffa,0x3ffffffa,0x7ffffe42,
    0x23fffffe,0x6ffffffa,0x3ffffffa,0x0e7ffdc2,0x213ffee2,0x9880affe,
    0x3fa00eff,0xfffffeff,0x7cc7ffff,0x6c01beff,0xffffffff,0x05ffffff,
    0xffb99988,0x3ffa019d,0x207ffa82,0x220cfffb,0x5003fffc,0xffb80dff,
    0x3ff220cf,0x99ff703f,0x7003dfff,0xe983bfff,0x7fc43fff,0x3ff221cf,
    0x3ffb804f,0x1cfff880,0x213fff22,0x4c1dfffb,0xb803fffe,0xff7003ff,
    0x7fe4419f,0x15ffd03f,0x01dff310,0x4419fff7,0xfd03fffc,0xff31015f,
    0x15ffd01d,0x01dff310,0x983bfff7,0xfe83fffe,0xff9880af,0x0fffa00e,
    0x4057ff40,0x440eff98,0x3221cfff,0xffe84fff,0xeff9880a,0x027ffc40,
    0x3fa0ffee,0x1bfe200f,0x3faffe60,0x7ff999af,0xffffffe8,0x9affd83d,
    0xa99cffc9,0xfa8005ff,0x6ffb804f,0xf303ffe8,0x7fd407ff,0x2ffe801f,
    0x80fffe60,0xfb81fffa,0x00dfffff,0x404fff88,0x7fd43ffd,0x00fff206,
    0x2a00ffee,0x3ff206ff,0x027ffc43,0x2e00fff6,0xff9803ff,0x3ffea03f,
    0x200ffe81,0xff986ff8,0x3ffea03f,0x200ffe81,0xffd06ff8,0x437fc401,
    0x6c04fff8,0x0ffe83ff,0x501bfe20,0x3fa00dff,0x1bfe200f,0xfc81bfea,
    0x00ffe83f,0x3ee1bfe2,0x1ff8805f,0x2200ffe8,0xff9806ff,0x7fc0ffe9,
    0xfffff907,0x7fec1dff,0xf98ffee1,0xffa8005f,0x45ffd004,0x3f607ffa,
    0x5ffc805f,0x203ffd40,0xfc805ffd,0xffffb85f,0x3fea005f,0x42ffa805,
    0x3e604ffa,0x3ffb801f,0x204ffa80,0x7fd41ff9,0x02ffa805,0xd803ffb8,
    0xffc805ff,0x200ffe85,0xffd86ff8,0x85ffc805,0x3e200ffe,0x01ffd06f,
    0x7d437fc4,0x2ffa805f,0x2200ffe8,0xffe806ff,0x00ffe802,0x3ea1bfe2,
    0x07fe604f,0xf8803ffa,0x03ffd86f,0x00ffe800,0x3201bfe2,0xe81ffd7f,
    0x3b2a207f,0x3f66ffff,0x98ffee1f,0xfa8005ff,0xdff7004f,0xfd01fff4,
    0xfff1001f,0x403ffd80,0xf8800ffe,0xffffb87f,0xff9002ff,0x22132007,
    0x0a602fff,0x401ffdc0,0x2602fff8,0x003ffc82,0x3fee0099,0x00ffe803,
    0xfe87ff88,0x1bfe200f,0x22003ffa,0x0ffe87ff,0x741bfe20,0x3fe200ff,
    0x003ffc86,0x03ffa099,0xb806ff88,0xffe806ff,0x21bfe200,0x2602fff8,
    0x401ffd02,0xffe86ff8,0xffe80000,0x01bfe200,0x47ff53fa,0x004fbafd,
    0x6c7ffee2,0x8ffee0ff,0xa8004ff8,0x3fa004ff,0x207ffabf,0x3a006ff8,
    0xfff300ff,0x037fc401,0xfb81ffd0,0x03fffeef,0x0001ffe8,0xacefffe8,
    0x7ff70000,0x3bfffa00,0xffe800ac,0xfb800001,0x37fc403f,0xe81ffd00,
    0x3fe200ff,0x0037fc46,0xffe81ffd,0x41bfe200,0x3e200ffe,0x01ffe86f,
    0x00ffe800,0x7c01bfe2,0x7ff401ff,0x41bfe200,0x0acefffe,0x401ffd00,
    0x7ff86ff8,0x1ffd0000,0x2037fc40,0x9ffd2ff8,0xbb1029ff,0xf53ffc80,
    0x6c3ffb8b,0xffa8001f,0x3bfea004,0x3e603ffe,0x3ff2005f,0x809ffb02,
    0x32005ff9,0x5ffdc2ff,0x404fffd8,0x100007ff,0xdffffffd,0x7fdc0039,
    0xfffd1003,0x2039dfff,0x000007ff,0xf9807ff7,0x3ff2005f,0x1007ff42,
    0x5ff98dff,0xd0bff200,0x7fc401ff,0x401ffd06,0x7ff86ff8,0x1ffd0000,
    0x8037fc40,0x7f405ffb,0x1bfe200f,0x7fffff44,0x3fa01cef,0x1bfe200f,
    0x65cc1ffe,0x740acccc,0x3fe200ff,0xe87fdc06,0x505fffff,0x7fec07ff,
    0x01ffdc02,0x7fd40298,0x7fff4004,0x27fd407f,0x105ff900,0xfa801fff,
    0x3ff2004f,0xf91ffdc2,0x3ffc0bff,0xfd910000,0x05ffffff,0x800ffee0,
    0xfffffec8,0x07ff82ff,0x7ff70000,0x004ffa80,0xffd0bff2,0x237fc401,
    0x32004ffa,0x07ff42ff,0x3a0dff10,0x3fe200ff,0x0007ff86,0x4401ffd0,
    0xff1006ff,0x07ff403f,0x440dff10,0xffffffec,0x01ffd02f,0x7fc37fc4,
    0xfffff987,0x7ff44fff,0x01bfe200,0x7fff4dfb,0xfff905ff,0x07ffb987,
    0x8803ffb8,0x3fea02ff,0x7ffd4004,0x37fc403f,0x903ffb00,0xff1009ff,
    0x8ffec00d,0x743fffea,0x7c4fffff,0x3000007f,0x5fffffb7,0x007ff700,
    0x3fff6e60,0x03ffc2ff,0x7fff5c00,0xefffffff,0x801bfe23,0x7ff41ffd,
    0x11bfe200,0x7ec00dff,0x007ff41f,0x3fa0dff1,0x1bfe200f,0x40001ffe,
    0x3e200ffe,0x3ff2006f,0x803ffa05,0x73006ff8,0x05fffffb,0x7c401ffd,
    0x40ffe86f,0xfffffff9,0x007ff44f,0xff80dff1,0xfdfffeef,0xffff905f,
    0x9ffffddf,0x007ff700,0x7d409ff5,0xffe8004f,0x00fff007,0x7fc43ffc,
    0x0fff000f,0xffd3ffc0,0x7ffc47ff,0x3f60ffff,0x8000000f,0xb805ffe9,
    0x300003ff,0xffd8bffd,0x7ffc0000,0xffffffff,0x03ffc7ff,0xffd0fff0,
    0x437fc401,0x3fe007ff,0x200ffe87,0xffd06ff8,0x437fc401,0x80000ffd,
    0x3e200ffe,0x3fe2006f,0x01ffd00f,0x80037fc4,0xfe85ffe9,0x1bfe200f,
    0x2e607ff2,0xc85ffdcc,0x3fe602ff,0x3fffea05,0x2fe8ffff,0xffffff50,
    0x001dffff,0xf5007ff7,0x27fd409f,0x01fffc00,0xb804ffd8,0x5ffc86ff,
    0x013ff600,0xfea9bfee,0x7ffe43ff,0x1ffdc4ff,0x00bf2000,0x3ee01ffe,
    0x02fc803f,0x7fdc7ff8,0x7f5c0003,0xffffffff,0x27fec3ef,0x6437fdc0,
    0x3fe602ff,0x804ffd85,0xffc86ffb,0x417fe602,0x3e602ffc,0x03ffb85f,
    0x02ffc800,0x90017fe6,0x3ff209ff,0x217fe602,0x7ff802fc,0x2602ffc8,
    0x6ffa85ff,0xb84ffa80,0x3ff206ff,0x333ff203,0x5410fffc,0xfd7bb10c,
    0x4007dfff,0xfa803ffb,0x0bff204f,0x00fff700,0x300fffd4,0xff885fff,
    0x3fea001f,0x3ffe601f,0xf1000002,0x3b5001ff,0x7c407ff8,0x7fdc00ff,
    0x407ff803,0x3e20fff8,0x1da800ff,0xffa80000,0x3ffe601f,0x206ffb82,
    0xffa83ffc,0x3ffe601f,0x206ffb82,0xff703ffc,0x41ffe40d,0xa800fff8,
    0x06ffb81d,0x3000fff2,0xff701fff,0x41ffe40d,0x7fc407ff,0x037fdc0f,
    0xfd107ff9,0x3f2203bf,0xcfff984f,0x00fffdc0,0x0ffe89ff,0xf701ffc4,
    0xff70009f,0x3dff5007,0x003fff50,0x4003fff8,0xfa82fffc,0x5ffb85ff,
    0x2fffc800,0x005fffa8,0xfe800373,0x3ff203ff,0x037ffe26,0x201fff66,
    0x7c403ffb,0xfd980dff,0x3fffe87f,0x201bff20,0x3f2002b8,0xfffa82ff,
    0x19fff305,0x901fffb8,0xff505fff,0x3ffe60bf,0x0fffdc0c,0x40cfff98,
    0xfd01fffb,0x7fe407ff,0x0cfff986,0x000fffdc,0x7cc1ffec,0x7fdc0cff,
    0x6fffc41f,0x87ffd980,0x5c0cfff9,0xff301fff,0xffb9bdff,0x3ee09fff,
    0xfffddfff,0x0bfe604f,0xff981ffd,0x00ffee04,0x200ffee0,0xcdfffffa,
    0x5404fffe,0xdfffeeed,0x7fff4002,0xffffedde,0x002fff80,0xbbdfffd0,
    0x001ffffd,0x88013ff6,0xccdffffd,0x224ffffe,0xddefffff,0x803fffff,
    0x7c403ffb,0xfddeffff,0xd883ffff,0xeccdffff,0xb804ffff,0x3fa006ff,
    0xffeddeff,0x3fee00ff,0xffffddff,0x77fff404,0x0ffffedd,0x37fffee0,
    0x404ffffd,0xfddffffb,0x36204fff,0xeccdffff,0xf704ffff,0xfffbbfff,
    0x3e60009f,0xfffb80ff,0x4ffffddf,0xefffff88,0x3fffffdd,0xbbffff70,
    0xb809ffff,0xffffffff,0x3202ffff,0xffffffff,0xffffd105,0xffffffb9,
    0x409fffff,0xd8803ffb,0xffffffff,0xfffe980d,0x04ffffff,0x7fffffcc,
    0x2000ffff,0xffffffe8,0xffa80dff,0x3fa20006,0xdfffffff,0xff777000,
    0xffffb000,0x09ffffff,0xffffffff,0xd70bffff,0xffffffff,0xfff87dff,
    0xffffffff,0x7ffec05f,0x4fffffff,0x1ffbbb80,0xffffd100,0x001bffff,
    0xfffffff9,0xffd100bf,0x1bffffff,0xfffff900,0x3200bfff,0xffffffff,
    0xffffb005,0x09ffffff,0xffffffc8,0x740005ff,0xfff902ff,0x40bfffff,
    0xffffffff,0x6405ffff,0xffffffff,0xffd91005,0x007dffff,0x3fffffea,
    0x3fffee02,0xffffffff,0x04ffffff,0x2e007fe6,0xffffffff,0x3f2602ff,
    0x803effff,0xfffffff8,0xf70006ff,0x407dffff,0x80002ff9,0x3efffffb,
    0x3fffe200,0xfd970005,0x205bffff,0xffffcbeb,0xfff02eff,0xffffffff,
    0xcbeb8fff,0x2effffff,0xfffd9700,0x3e005bff,0xb8006fff,0x03efffff,
    0x7ffffd40,0x7fdc002f,0x4003efff,0x2ffffffa,0x7fffd400,0x65c002ff,
    0x2dfffffe,0xfffff500,0xf300005f,0x7ffd405f,0x75c02fff,0xffffffcb,
    0xfff5002e,0x40005fff,0x00009aa9,0xd1001551,0xff97ffff,0xffffffff,
    0x003b809f,0xffffffb1,0x22001bff,0x998000aa,0x00099999,0x000aa880,
    0x88000033,0xb50000aa,0x1000017d,0x26000155,0x75c009aa,0xffffffff,
    0xa9803eff,0x2200009a,0xc98000aa,0x220001ce,0x440000aa,0x440000aa,
    0x440000aa,0x440000aa,0x880000aa,0x220000aa,0x400000aa,0x15510019,
    0x4d54c000,0x15510000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00200880,0x00a606a0,0x00008020,
    0x20000088,0x26000008,0x00440000,0x5002b800,0x40005303,0x200003d9,
    0x0730002b,0x01004000,0x00644000,0x40004010,0x26000000,0x5700000c,
    0x00200400,0x80000440,0x10040008,0x00004400,0x02000022,0x00000000,
    0x44007db3,0x04f880ed,0x7dc001f9,0x00ffe61f,0x7e443fe8,0x3fea0003,
    0xffa80002,0xfd930002,0x1975bfff,0x7fffed40,0x22004bad,0xffb805fd,
    0x000ffe61,0x0007ffe2,0x0009fd10,0x00003bf2,0x3fc887fd,0x2ff98000,
    0xf707f900,0x077dc009,0x3fea0000,0x7f440001,0x83df1004,0x54000fe9,
    0x540002ff,0x1f9002ff,0xf5009f10,0x3ea0005f,0xfd70002f,0x70015419,
    0x20001fff,0x003fbcf8,0x3f607ff5,0x20037d42,0x3fe61ffb,0x37fee004,
    0x000fffa8,0xdffffd88,0xffd88000,0x2e000dff,0xffffffff,0xffb02fff,
    0xffffffff,0x1dfd1005,0x4c3ff700,0xf88004ff,0x260002ff,0x10000efe,
    0x40003ffb,0xffa8dffb,0x7dc0000f,0x3fe6004f,0x01ffe99e,0x3ffffe98,
    0x7ff90000,0xefe98000,0x4fff6000,0x22005ffb,0x00dffffd,0x7fffec40,
    0x06fd400d,0x6c405fd1,0x000dffff,0x1bffffb1,0x7fffe400,0x2006fcbf,
    0x0000fffb,0xb803d4d7,0xfff303ff,0x8003fffb,0x00ba82b8,0x7ffff4c0,
    0xff98000d,0x01fffaaf,0x2abffe60,0xfc801fff,0xfffeffff,0xffc84fff,
    0xffffefff,0x6ffcc03f,0x50571000,0x3ae00017,0x3fe60004,0xff900004,
    0x7f4c0005,0x0000dfff,0x40017fe4,0x1effffe9,0xc9effa80,0x6c0006ff,
    0x4c0001ff,0xf70004ff,0x4007ffff,0xffaafff9,0xfff3001f,0x803fff55,
    0x5ffeeffd,0x2abffe60,0x7cc01fff,0x1fffaaff,0x3f21bd00,0x2e001fff,
    0x50000fff,0xfb802e4f,0x3ff2603f,0x000001cf,0x17fe4000,0x41bf9000,
    0x32004fd8,0x13f620df,0x839fff70,0x444fffb8,0x3221cfff,0x7e404fff,
    0x00000004,0x7ec00000,0x7d400003,0xffc80005,0xef880002,0x7fdc0001,
    0x30ffe003,0x260005fd,0xd80000ef,0x74c0003f,0x7e4001ef,0x013f620d,
    0xfb106fe4,0xffdb8809,0x37f600bd,0x9013f620,0x27ec41bf,0x00593000,
    0x00033310,0x002fefe8,0x06007ff7,0x00110000,0x00004c00,0x00098062,
    0x20098062,0x5c04fff8,0x37fd43ff,0x1007ff90,0x00000000,0x08800030,
    0x01100000,0x00026000,0x20000080,0x004c0019,0x00080003,0x00002200,
    0x03100028,0x0188004c,0x00880026,0x004c0310,0x00098062,0x00000110,
    0x005d4000,0x0007ff70,0x7fecc000,0x00001def,0x00000000,0xffb80000,
    0x41ff8805,0x3e604ffa,0x7100001f,0x545bdddb,0x00bdeeed,0x3ffff6e6,
    0x00004c8b,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x006fffd8,0x00000000,0x00000000,0xfffb3000,0x2a2003bd,0x0001aaaa,
    0x3ffb8000,0x77777644,0xff90004e,0x09ffffff,0xddddd910,0x76dc009d,
    0x2e20bdee,0x5c3deeed,0xdb83deed,0x7fec3dee,0x7fc40003,0xd10a602f,
    0xdddddddd,0x3fee3ddd,0xf88fffff,0x04ffffff,0xfffffff7,0xdb85ffff,
    0xedb83dee,0xdd9103de,0x2009dddd,0xeeeeedb8,0x2000acde,0xeeeeeec8,
    0xdddd1004,0xdddddddd,0xdddd9103,0x2e2009dd,0xdeeeeeed,0x6dc400ac,
    0xeeeeeeee,0x2e25eeee,0xceeeeeed,0x3ffee00a,0xb710006f,0xdddddddd,
    0xdb8bdddd,0xeeeeeeee,0x7776dc3d,0x43deeeee,0x23deeeb8,0x01ceeeda,
    0x3ffffff2,0x7fe404ff,0x2003ffff,0xeeeeeec8,0x87ff7004,0xfffffffd,
    0x7fec000f,0xffffeeff,0x7fffec06,0x8800ffff,0x4fffffff,0x3fffffee,
    0xfffff31f,0x7fffcc3f,0x03ffa1ff,0x3fffa000,0x7c400ace,0xffffffff,
    0xfff51fff,0x7ff4dfff,0xfb82ffff,0xfffeffff,0x3fe63fff,0x3e61ffff,
    0xd81fffff,0xffffffff,0xffffb800,0xffffffff,0xffffb003,0x1001ffff,
    0xffffffff,0xfb03ffff,0x1fffffff,0xfffff700,0x7fffffff,0x7ffffd40,
    0xffffffff,0x3fffee7f,0xcfffffff,0x6fffd880,0xffff5000,0xffffffff,
    0x7ffd4fff,0xffffffff,0xfffff52f,0x5fffffff,0x7fffffe4,0xffffff89,
    0xdffffb05,0x40dffffd,0x3ffffffd,0x3ffff600,0xb800ffff,0x7ffdc3ff,
    0x004fffff,0x8833ffee,0x2e03fffc,0xffffffff,0xffff8804,0x3fe62fff,
    0xf10fffff,0xf88bffff,0x3e0fffff,0xd100007f,0x9dffffff,0xfffff103,
    0x3fffffff,0x880affe8,0xfb80eff9,0x7f4c1dff,0x3ffe23ff,0x7ffc45ff,
    0xffb80fff,0x04ffffff,0xffffff98,0x4fffffff,0xfffffb80,0xf8804fff,
    0xffffffff,0xffb81fff,0x04ffffff,0xffffff98,0x4fffffff,0xffffff30,
    0xffffffff,0x7ffffccf,0xffffffff,0x00dff100,0x3ffffe60,0xffffffff,
    0x3fffe67f,0xffffffff,0xffffff31,0x43ffffff,0x0ffffffa,0x07fffffd,
    0x4419fff7,0x7303fffc,0x007ffd99,0x7fffffdc,0xff9804ff,0xfff99882,
    0xff3007ff,0x7ffd407f,0x3fe66201,0x3a007fff,0x26601aff,0xfff507ff,
    0x05fff505,0x32e60fff,0x880acccc,0xffffffec,0x4f7fc42f,0xeffe9999,
    0x1007ff40,0xfff10dff,0x83ffd809,0xfa82fffa,0x4cc402ff,0x007fffff,
    0x2667ffe6,0x02fffeb9,0xffff9988,0xeff8807f,0xffe99999,0xff33100e,
    0x4c00ffff,0xb9999fff,0x2602fffe,0x99999fff,0xfd87ff99,0xfdb999af,
    0xdff106ff,0xfff98000,0xf9999999,0xfc99987f,0x330199cf,0x3339ff93,
    0x203bfe60,0xf982ffd8,0x3fea03ff,0x3ffb801f,0x7fccc400,0x33007fff,
    0xfeeffa80,0x5ffd802f,0x805ffc80,0x2ffeeffa,0x4c3ffb00,0x17fe61aa,
    0x220fffc8,0xfff04fff,0xffffff30,0xdb9809ff,0x222fffff,0xfffc86ff,
    0x200ffe81,0xffa86ff8,0x02ffa805,0x7c41fff9,0x3ea004ff,0x002ffeef,
    0x7ec0dff1,0x3fea004f,0x4402ffee,0xfffc86ff,0xeeffa801,0xff1002ff,
    0x027fec0d,0xff80dff1,0x501ffd87,0xff107fff,0x02b32e6d,0xf01bfe20,
    0x3ffb80ff,0x01ffdc00,0xfb037fc4,0x0bffb03f,0x700bff90,0x2a0007ff,
    0x02ffeeff,0x77ffb000,0xffd00bff,0x0fff1001,0xff77ffb0,0x8bff200b,
    0x3fea6ffe,0xb2fff405,0x7ff40dff,0x7ffffcc0,0x4c004fff,0x3fe25ffe,
    0x81fffd45,0x3e200ffe,0x03ffc86f,0xffe80990,0x001bff65,0xbff77ffb,
    0x81bfe200,0x36006ff9,0x05ffbbff,0x3ea2ffc4,0xffb003ff,0x200bff77,
    0x3e606ff8,0x1bfe206f,0x6c2ff475,0x3fee01ff,0xfefff886,0x402fffff,
    0xd1d46ff8,0x3ffb80bf,0x01ffdc00,0xfb037fc4,0x01ffd03f,0x700fff10,
    0x360007ff,0x05ffbbff,0x8fff8800,0x2200fff8,0x3fa006ff,0x3ffe200f,
    0x800fff88,0xfff13ffb,0x013fee3f,0xff55fff3,0x0ffe403f,0x7fee65cc,
    0x7c017e45,0xf11ff47f,0x7ff409ff,0x21bfe200,0x00001ffe,0x3eabffe6,
    0x3e2001ff,0x0fff88ff,0x206ff880,0xf1004ffb,0x1fff11ff,0x3e23fe80,
    0xff1004ff,0x01fff11f,0x5c0dff10,0x3fe204ff,0x6d4bfe66,0x401ffd81,
    0x7fc41ffe,0xffffffff,0x9bfe202f,0x03b52ff9,0x4003ffb8,0xf8803ffb,
    0x07ff606f,0x7400dff1,0x7fdc00ff,0xfff88003,0x400fff88,0x93ff203b,
    0x3e604ffc,0x3ff2005f,0xc93ff202,0xffa804ff,0x27ffff74,0xfc803ffc,
    0x404fffff,0xfa806ffa,0x203ffc4f,0x8620fff8,0x7406ffe8,0x3fe200ff,
    0x0007ff86,0xfffffc80,0x7fe4004f,0x2013ff24,0xfd986ff8,0xff9002ff,
    0x2027fe49,0x1bffa218,0x324ffc80,0xff8804ff,0x2fffd986,0x2abffe20,
    0xfd803ffc,0x17fec01f,0x33ffffe2,0x206ffeba,0xfcaafff8,0x7fdc003f,
    0x1ffdc003,0x557ffc40,0x1ffeaaaa,0x9002ffcc,0xffb805ff,0x4ffc8003,
    0xfa813ff2,0x43fff02f,0x3ea07ff9,0x3ff2004f,0x987ffe02,0xffa807ff,
    0x2dffffd5,0xfd002ffd,0xd100dfff,0x32203bff,0x3ffe24ff,0x7ffd980d,
    0x007ffec0,0xf8803ffa,0x007ff86f,0xffffd000,0x3fff000d,0x4403ffcc,
    0xffeeefff,0x3e005fff,0x1ffe61ff,0x01fffb00,0xf30fffc0,0xfff100ff,
    0xfffffddd,0xffff880b,0xd804ffff,0x7fdc01ff,0x077ffc43,0xf8807ffc,
    0x4fffffff,0x01ffdc00,0x200ffee0,0xfffffff8,0x541fffff,0x3f2004ff,
    0x1ffdc02f,0x30fffc00,0x7fdc0fff,0xe86ffa83,0xdff102ff,0x80ffec00,
    0xffe86ffa,0x477fcc02,0xd9ffffff,0xff3001ff,0x3e6003ff,0xfdcdefff,
    0x3e24ffff,0xfddeffff,0x2e03ffff,0xfe802fff,0x1bfe200f,0x00001ffe,
    0x00ffffcc,0x3a1bfea0,0x7fc402ff,0xffffffff,0x1bfea003,0x5c00bffa,
    0x2a002fff,0x2ffe86ff,0x7ffffc40,0x803fffff,0xfffffff8,0x1ffd804f,
    0x2227fd40,0x3ff607ff,0xfffff101,0xb8009fff,0x7dc003ff,0xfff8803f,
    0xffffffff,0x037fc41f,0xb803ffb0,0x7d4003ff,0x02ffe86f,0xffb07ff7,
    0xfffddddf,0x003ffc0b,0x7fec0fff,0xfffeeeef,0x5fffc405,0xebffcdff,
    0x3f2000ff,0x7fdc004f,0xffffffff,0x7fffc2ff,0xffffffff,0x13ffe605,
    0x803ffa02,0xffd86ff8,0xf9000000,0xffb0009f,0xfffddddf,0xffff880b,
    0x006fffff,0x7777ffec,0x9805fffe,0x20084fff,0xeeeefffd,0x7c405fff,
    0xffffffff,0x9fff1006,0xb007ffb9,0xffb803ff,0xb037fc43,0x3fe205ff,
    0x03ffdccf,0x001ffdc0,0x2200ffee,0xcccccfff,0xff81ffec,0x71ffe007,
    0xfffffffd,0x6c07dfff,0xfeeeefff,0x7ff705ff,0xffffff88,0x00ffffff,
    0xf7009ffb,0x3ffe20df,0xffffffff,0x77ffc00f,0xfeff9aff,0x7fdc007f,
    0xfec88003,0x03efffff,0xffff97d7,0x7c405dff,0x43fd85ff,0x3e602ffc,
    0x03ffb85f,0x7ff70000,0xffff8800,0xffffffff,0x27ffe200,0x05fffd99,
    0xffffff10,0x01ffffff,0x6c2fffc4,0xffff883f,0xffffffff,0x27ffe200,
    0x05fffd99,0x3e66ff88,0x3f60ea3f,0x17fec01f,0xfd81bfe2,0x4dff102f,
    0x00ea3ff9,0xb8007ff7,0xff8803ff,0x207ff606,0xfb804ffd,0x7ffffc6f,
    0xffffffff,0xfffff107,0x1fffffff,0xfc87ff70,0xffffffff,0xff504fff,
    0x7ffcc03f,0xfffff902,0x9fffffff,0x7ffffe80,0x01bffffe,0x0007ff70,
    0x00135530,0x0013fd30,0xff01dffb,0x206ffb8d,0xff883ffc,0x01da800f,
    0x8007ff70,0xfffffffc,0x204fffff,0xffc86ff8,0xfffc805f,0xffffffff,
    0x3bff604f,0xfc86ff80,0xffffffff,0x3e204fff,0x5fffc86f,0x2e37fc40,
    0xd85ff10c,0x7ffc01ff,0xb037fc40,0x3fe205ff,0xff8865c6,0x00ffee02,
    0x1007ff70,0x7fec0dff,0x01fffa81,0xd70bffe6,0xffffffff,0x3f207dff,
    0xffffffff,0xffb84fff,0x4cd7ffc3,0x7ffa9999,0x20bfff20,0x3e05fffa,
    0x99999aff,0x6c07ffa9,0x3f25ffff,0x5c005fff,0xb80003ff,0x7f40000b,
    0x1fffc803,0x7cc6ff88,0x7fdc0cff,0x7fffd01f,0x8037fe40,0x7c003ffb,
    0x99999aff,0x2207ffa9,0xfff706ff,0x9afff805,0xffa99999,0x03fff907,
    0xfff0dff1,0x53333335,0x7fc40fff,0x05fff706,0x2a037fc4,0x0ffec4ff,
    0xf10dffb0,0x17fec0df,0x5406ff88,0x3fee04ff,0x1ffdc003,0xb037fc40,
    0x3ff203ff,0x5fffa82f,0x8003ff00,0x9999afff,0xb87ffa99,0x1bfea3ff,
    0xe80bff60,0xfeddefff,0xff500fff,0x05ffb00d,0x317fffe4,0x8009ffff,
    0x40003ffb,0x0001fff8,0xfa80fffa,0xdff103ff,0xbbffff70,0x4409ffff,
    0xccdffffd,0x004ffffe,0x54007ff7,0xffd806ff,0x40dff102,0xf500fffc,
    0x5ffb00df,0x103fffa8,0x6ffa8dff,0x102ffd80,0x7fe40dff,0x0dff100f,
    0x7ec4ffa8,0x7fed4c1f,0x06ff881f,0x7c40bff6,0x27fd406f,0x8007ff70,
    0xf8803ffb,0x07ff606f,0xddefffe8,0x800ffffe,0x500266f8,0xffb00dff,
    0xd9bffb85,0xd85fffff,0x80efffff,0xffffffe8,0xfd980dff,0xfd85ffff,
    0xb80effff,0x7fc0ffff,0x7ec404ff,0xdfffffff,0x36ee6000,0xcdc8004f,
    0x3ff605fc,0xffffffff,0xfff906ff,0x00bfffff,0x3ffffff6,0x2204ffff,
    0xfffffffd,0xffd980df,0xffd85fff,0xfb10efff,0xd05dffff,0x3661dfff,
    0xd85fffff,0xb0efffff,0xffffffff,0x366dffff,0xd85fffff,0x10efffff,
    0x5dfffffb,0x21dfffd0,0xffffffd8,0xffffffff,0xfffffb14,0x7fffffff,
    0x7fffff90,0x2fffff54,0xffffffb1,0xffffffff,0x3ffff629,0x0dffffff,
    0xffffffb1,0x641bffff,0x324fffff,0x105ffffe,0xfffffffd,0x7e4001bf,
    0xfb303ffe,0xfb0bffff,0x2a1dffff,0xffffcaff,0x3fe61fff,0x204fffff,
    0x3efffffb,0x3fffff20,0x3ffe61ff,0xfa84ffff,0xfffc85ff,0x7fffd403,
    0x03ffffff,0x0bffff20,0x3ffff600,0x3ffff601,0xffffffff,0x3fffea06,
    0x65c002ff,0x2dfffffe,0x7ffffd40,0xc83fffff,0x1fffffff,0x3fffffe6,
    0xfffff74f,0xfff30dff,0x3ffff27f,0x3fe61fff,0xfb4fffff,0xffffffff,
    0x3ff2dfff,0x261fffff,0x4fffffff,0xfffffff7,0x7ffff30d,0x3fffffee,
    0xffffffff,0xfffff74f,0x7fffffff,0xffffff30,0x7ffffecf,0xfffff72f,
    0xffffffff,0x3ffee9ff,0xffffffff,0xfffff73f,0x7fffffff,0x3fffffe6,
    0xfffff89f,0x3fee02ff,0x8003efff,0x900effd8,0x3fffffff,0x7fffffcc,
    0x7eccee4f,0xfd85ffff,0x801dffff,0xd9800aa8,0xd85fffff,0x81dfffff,
    0xf982fff9,0x7ec402ff,0xdfffffff,0x1eee4000,0x03771000,0xffffffd8,
    0x06ffffff,0x0000aa88,0x2000aa88,0xffffffd8,0xfd980dff,0xfd85ffff,
    0xb11dffff,0x05dfffff,0x6cc37fee,0xd85fffff,0xb1dfffff,0xffffffff,
    0x366dffff,0xd85fffff,0x11dfffff,0x5dfffffb,0x4437fee0,0xfffffffd,
    0x4fffffff,0xffffffb1,0x640179df,0x2a3effff,0x10dffffe,0xfffffffb,
    0x9fffffff,0x3fffff62,0x10dfffff,0xfffffffb,0x7ec1bfff,0x3b25ffff,
    0x800dffff,0x00000aa8,0xfffd9801,0xfffd85ff,0x00001dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c000000,0x02004002,0x20001800,0x80200200,
    0x06008800,0x001d4000,0x022001d4,0x00073000,0x76d40075,0xeeda82ee,
    0x00000cee,0xddddd930,0x2a0007bd,0x3ee02981,0x5404efff,0x22002981,
    0x36e200cc,0x711ceeee,0xd707bddb,0x0220003b,0x54054400,0xaaa88001,
    0x000aaaaa,0x20003322,0x7f640000,0x44003fff,0x876c40aa,0xeeeeedb8,
    0x4000acde,0xaaaaaaa8,0x5d91000a,0x009fd100,0x3a60f7c4,0xfb73000f,
    0x09917fff,0x4fb83fc8,0x3ee0ff20,0xf983ec04,0x37ec0003,0x0077e400,
    0x8000ffc4,0x6c000ffb,0x7fc400ef,0x7fc0ffff,0x004fffff,0x3fa02744,
    0xffffffff,0x0ffdc002,0x3ee07ff3,0x700fffff,0x1ffcc3ff,0x205ffc80,
    0xfffffffb,0xffffff76,0x02ffff85,0xbffffb30,0x237ec003,0x64001ffb,
    0xffffffff,0x13ff2004,0x43ffc880,0x7ffc401b,0xd1003fff,0x7d4bffff,
    0xfffff73f,0x7fffffff,0x7fffe400,0xa804ffff,0x74c06fff,0x7ec000ef,
    0x00bff73f,0x3fffffee,0x202fffff,0xfe99eff9,0x3bfe601f,0x401ffe99,
    0x3fa20cfb,0xdfd10000,0xffd10003,0x0effa803,0x017fec00,0x00f7f440,
    0x17fffffa,0x5ffffffd,0x027fcc00,0x3ffffff2,0x64000fff,0x0ffe61ff,
    0x2fffffdc,0x7cc3ff70,0xbff9004f,0x7ffffcc0,0xffff54ff,0xfffb81ff,
    0xffffc807,0xd004ffff,0x01ffc8ff,0x66665cc0,0x36001bcc,0x3fa005ff,
    0x4fdbefff,0xfffffd80,0xffff8803,0x7ff72fff,0x3fffffe6,0x4fffffff,
    0x99997300,0xfd001799,0x7fcc07ff,0x3fee0004,0xf7003fff,0xfffdffff,
    0xe9807fff,0x801effff,0x1effffe9,0xfdbffd00,0x3e20009f,0x640000df,
    0x7ffc01ff,0x07bfa004,0x03ff9000,0x2ffffe88,0x007ffcc4,0x2009ff70,
    0x19effa98,0x50571000,0x0ffee017,0x5d415c40,0x03db1000,0x413dff30,
    0x202ffff9,0x3601ffe8,0xffeeffff,0x1c8805ff,0x000015c4,0x0eecc000,
    0xd88cf880,0x4000efff,0xfd803ffb,0x70eeddff,0xfff987ff,0xffeb9999,
    0x0000002f,0xd801bff3,0xe980003f,0xff7000ef,0xffe983bf,0x7ff7003f,
    0x07ff7000,0xdffeb880,0x13ee0002,0x05fb8000,0x4007ffdc,0x00000dfa,
    0xffb00bf7,0x1ffe0dff,0x002ffb80,0x0005ff98,0x3fee0000,0x00000003,
    0x46ff8800,0x801efffa,0xff702ffc,0x7fe4419f,0x0000003f,0x00000880,
    0x03930000,0x00ffee00,0x5c03fff1,0x37fc43ff,0x0009ffb0,0x0ffee000,
    0x00000220,0x7ffc4005,0x01ffec04,0x4c000330,0x00440001,0x00000800,
    0x7fc40088,0x0003003f,0xfb001100,0xff09ffff,0x00f5c00f,0x005ff980,
    0x3ee00000,0x0000003f,0x6ff88000,0x003bfff2,0x7cc17fe4,0x3fea02ff,
    0x0000001f,0xdefffd98,0x00000001,0x3fee0000,0x02ffd403,0xff10ffee,
    0x437fcc0d,0x2deeedb8,0x2f7bbb6a,0x001ffdc0,0x40000000,0xfa805ffa,
    0x0000002f,0x00000000,0x00000000,0x000fff90,0xb0000000,0x83fff9ff,
    0x300007ff,0x2ffcc07b,0x6f76dc00,0x3deedb83,0x5c40ffee,0xeeeeeeed,
    0x225eeeee,0xeeeeeeee,0x7c41eeee,0x1bfffb6f,0x417fe400,0xfd805ffd,
    0xddd9105f,0x20009ddd,0xfffffffc,0x3bb6e04f,0x3deeeeee,0xddddd910,
    0x3ee0009d,0x27fdc03f,0xf10ffee0,0x27fdc0df,0x7fffffdc,0xfffff88f,
    0x1ffdc4ff,0xeeeeedb8,0x6d43deee,0xeda82eee,0x3f20ceee,0x8899003f,
    0xeeeeeedb,0x45eeeeee,0xeeeeeedb,0x36e23dee,0xeeeeeeee,0x6d45eeee,
    0xeda82eee,0xb710ceee,0xdddddddd,0xf10bdddd,0xeec985ff,0x003deeee,
    0xddddddb7,0x3f607bdd,0x7c6ffd9f,0x9951007f,0x03ffe615,0x2002ffcc,
    0x1ffffff9,0x3fffffe6,0x2a07ff71,0xffffffff,0x27ffffff,0xfffffff8,
    0x441fffff,0x4fffdfff,0x82ffc800,0xf8800ffe,0xffffb07f,0x8001ffff,
    0xfeeffffd,0xffa86fff,0xffffffff,0xfffd82ff,0x000fffff,0x3303ffb8,
    0x20339ff9,0x7fc43ffb,0x2fffd986,0xffffffa8,0x3fffffa6,0x41ffdc2f,
    0xfffffffa,0xf12fffff,0xf81fffff,0x24ffffff,0x20001ffe,0xfffffffa,
    0x7fffffff,0x3fffffea,0x52ffffff,0xffffffff,0x4fffffff,0x0ffffff8,
    0x7ffffffc,0xffffff54,0xffffffff,0xd13ff60f,0xffffffff,0xfffa805f,
    0xffffffff,0x89ffd82f,0x1ffe3fff,0xfffffd50,0x40dfffdf,0x44005ff9,
    0x445fffff,0x70ffffff,0x3fe607ff,0xffffffff,0x3e27ffff,0xffffffff,
    0x7fc41fff,0x005fffff,0x7c42ffc8,0x3ffa006f,0xfffffb80,0x2e004fff,
    0x3220cfff,0x7fcc3fff,0xffffffff,0xfffb81ff,0x004fffff,0xfe83ffb8,
    0x7fffffff,0x7c43ffb8,0xfffeeeff,0x7ff405ff,0xeff9880a,0x983ffb80,
    0xffffffff,0x3fa1ffff,0x7f45ffff,0x3e2fffff,0x7cc0007f,0xffffffff,
    0x267fffff,0xffffffff,0xff31ffff,0xffffffff,0xfe8fffff,0x7f45ffff,
    0xf32fffff,0xffffffff,0x20ffffff,0x7fe45ffc,0x0fffffff,0x7ffffcc0,
    0x1fffffff,0xff71ffd8,0xa81ffe1f,0xffffffff,0x2600efff,0xf50005ff,
    0xfff505ff,0x403ffb85,0x9999fff9,0x227ff999,0x99999eff,0x7c40effe,
    0x5fffffff,0x21ffdc00,0x36005ff9,0xf33101ff,0x200fffff,0x2a03fff9,
    0x99981fff,0x0199cffc,0x7fffccc4,0xffb8007f,0x7ffffc43,0x5c0fffff,
    0x7ffc43ff,0x3fffffff,0x200ffe80,0xff906ff8,0x7e4ccc07,0xd10199cf,
    0x9885ffff,0x3ffc0fff,0xfff98000,0xf9999999,0xfc99987f,0xf30199cf,
    0x333333ff,0xfd10fff3,0xf9885fff,0xfff980ff,0xf9999999,0x0fff507f,
    0x33dff531,0xfc999800,0x360199cf,0x57ffa1ff,0xfff707ff,0xfffb557d,
    0x5ff9809f,0x7e40f620,0x3ffe20ff,0x403ffb84,0x7fc06ff8,0x321bfe27,
    0xff881fff,0x6fffcaff,0x3bffea00,0x4009ff51,0x7d402ffc,0x802ffeef,
    0xfc805ffd,0x1ffdc05f,0x777fd400,0x7dc002ff,0xfeeca83f,0xfb82deef,
    0x7fffc43f,0x006fffff,0x7c401ffd,0x7fff546f,0x07ff7001,0x1bffff60,
    0x3ffc3ffc,0x6ff88000,0x2e03ffc0,0xff8803ff,0xd83ffc06,0xff06ffff,
    0x01bfe20f,0x3fe60fff,0x0bff300f,0x07ff7000,0xf987ff60,0x887ffbff,
    0x7fc44fff,0x2600ffff,0x1ff205ff,0x3f65ffe8,0x07ff706f,0x1d46ff88,
    0x2ffc4bfd,0x440fffea,0x3fe60fff,0x3ffa003f,0x00dff35f,0x3600fff4,
    0x05ffbbff,0x8800ffe8,0x7fdc07ff,0xbffd8003,0x5c005ffb,0x7fdc03ff,
    0x21ffdc04,0xd999fff8,0xfe805fff,0x1bfe200f,0x400bfffd,0xfb003ffb,
    0xff09ffff,0x001ffb0f,0xa8dff100,0xf7017fa3,0xdff1007f,0x417fa3a8,
    0x84fffffd,0xdff107ff,0x417fa3a8,0xf301fff8,0xf70000bf,0x3ff6007f,
    0x7ffffe41,0x445ffa87,0x4ffefffe,0xd817fe60,0xfff301ff,0x203fff55,
    0x7c403ffb,0x54bfe66f,0xf11ff41d,0x7fc409ff,0x00fffb86,0x14ffff88,
    0x7fc00fff,0x47ffc407,0x2200fff8,0x3fa006ff,0x0ffee00f,0x11fff100,
    0x5c001fff,0x7fdc03ff,0x21ffdc04,0xffc86ff8,0x07ff405f,0xfc8dff10,
    0xf7000fff,0x3ff6007f,0x7fc1fffc,0x003ffb87,0x266ff880,0x803b52ff,
    0xf8803ffb,0x54bfe66f,0xf9ffb01d,0x07ff83ff,0x7fccdff1,0x3e603b52,
    0xbff300ff,0x7ff70000,0x207ff600,0xd87ffffe,0x3ffa21ff,0x205ffa9f,
    0x3f605ff9,0x3fff201f,0x3ee04fff,0x7ffc403f,0x403ffcaa,0x1bffa218,
    0x360dff10,0xffb803ff,0x01ffec1d,0x32037fdc,0x13ff24ff,0x2005ff98,
    0x3ee02ffc,0x7fe4003f,0x8013ff24,0x7dc03ffb,0x1ffdc04f,0x7dc1bfe2,
    0x3ffa02ff,0x21bfe200,0x7002ffe9,0x3f6007ff,0x7c6ffd9f,0x0fff887f,
    0xf881da80,0x3ffcaaff,0x01ffdc00,0x6557ffc4,0xffb003ff,0xff8dffb3,
    0x55fff107,0x2a007ff9,0x3fe607ff,0xffb80005,0x03ffb003,0xf0fffff3,
    0x7fff44ff,0x4c0dff11,0x3ff605ff,0x7ffff401,0x01ffdc06,0x3fffffe2,
    0x7ec004ff,0x7fc400ff,0x01fff306,0xfa83ffb8,0x3fe601ff,0x0fffc02f,
    0x7d40fff3,0x3ff2004f,0x00ffee02,0x7cc3fff0,0x3fee007f,0x027fdc03,
    0xff10ffee,0x07ffe40d,0x2200ffe8,0x7ff706ff,0x00ffee00,0x7fc4ffec,
    0x741ffe3f,0x3f203fff,0xffff886f,0x4004ffff,0xf8803ffb,0x4fffffff,
    0xf13ffb00,0x83ffc7ff,0xfffffff8,0xdff7004f,0x002ffcc0,0x201ffdc0,
    0x4fffffd8,0x743fffe4,0xfffe8aff,0xd513fe61,0xffffffff,0x03ffffff,
    0x01ffff98,0x2201ffdc,0xffffffff,0x3ffee004,0x3fff6202,0x7fec2eff,
    0x5ff903ef,0x20bfffa0,0x5405fffa,0x2ffe86ff,0x400dff10,0x3ee01ffd,
    0x3fea003f,0x002ffe86,0xfb807ff7,0x9ffdc04f,0xefffffd8,0x0efffe82,
    0xf1007ff4,0x0ffee0df,0x801ffdc0,0xfff71ffd,0x6c41ffe1,0xeccdffff,
    0xf884ffff,0x4fffffff,0x01ffdc00,0x7fffffc4,0xffb004ff,0x7c3ffee3,
    0xffff107f,0x2009ffff,0x3e604ffc,0xfb80005f,0x7ffdc03f,0x3e21ffff,
    0xeffc87ff,0x7f41fffe,0x7ffff42f,0xffffffff,0xfc801fff,0x3ffb804f,
    0x667ffc40,0xf3003ffd,0x7dc109ff,0x46ffffff,0x907ffff9,0x3fa205ff,
    0xffeddeff,0x7fec00ef,0xfffeeeef,0x801ffe05,0x7fdc07ff,0x3fff6003,
    0x5fffeeee,0x807ff700,0x7dc04ffb,0xfffff73f,0xfff30dff,0x00ffe87f,
    0x7dc1bfe2,0x7ff7003f,0xe87ff600,0x80fff5ff,0xfffffffd,0xff104fff,
    0x07ffb99f,0x803ffb80,0xfdccfff8,0x3ffb003f,0x7ffafff4,0xb99fff10,
    0x3fa007ff,0x17fe603f,0x7dc03d88,0x7fec403f,0xffa84fff,0xfffff887,
    0x3fff662f,0x7ffff540,0xffffffff,0xffb801ff,0x03ffb803,0xff337fc4,
    0x7fc41d47,0xb13fd85f,0x05dfffff,0x3207dffd,0x3fa202ff,0xefffffff,
    0x7fffc400,0xffffffff,0x009ffb00,0xfb80dff7,0xfff1003f,0xffffffff,
    0x7ff7001f,0x404ffb80,0xffb13ffb,0x2e05dfff,0x7fe40dff,0x417fe602,
    0xf7003ffb,0x3ff6007f,0x3efffe61,0xfecb807f,0x202dffff,0x3fe66ff8,
    0xff700ea3,0x4dff1007,0x40ea3ff9,0x3fe61ffd,0xf107ffbf,0x51ffccdf,
    0x01fff507,0xf902ffcc,0x03ffb80f,0xfb800000,0xfeccefff,0x00002fff,
    0x07ff7000,0x8807ff70,0x8865c6ff,0x77fec2ff,0x0006ff80,0x02ffc800,
    0xefffffb8,0xffff9003,0xffffffff,0x07ffea09,0x402fff98,0xf9003ffb,
    0xffffffff,0xf7009fff,0x3ffc807f,0x001ffdc0,0x1bfee000,0xf703ffc8,
    0x3fee007f,0x83ffb003,0x07fffffc,0x80057ec0,0x865c6ff8,0x3ee02ff8,
    0x6ff8803f,0x2ff8865c,0x7e41ffd8,0xf107ffff,0xf10cb8df,0x05ffe85f,
    0xfb02ffcc,0x1ffdc03f,0x002ee000,0xffffffd8,0x001fffff,0x40000bb8,
    0xfb803ffb,0x37fc403f,0xfc93fea0,0x6ff881ff,0x000ab880,0xd802ffc8,
    0x2a82ffff,0x3335fff0,0x0fff5333,0x5417ffe4,0xfb805fff,0x5fff003f,
    0xf5333333,0x7ff700ff,0x401fff80,0x77003ffb,0xfff98001,0x0fffdc0c,
    0x7003ffb8,0x3f6007ff,0xffffe81f,0x01ff4007,0xa80dff10,0x3fee04ff,
    0x06ff8803,0x7ec27fd4,0xffffe81f,0x80dff107,0x3fe64ffa,0x2ffcc01f,
    0x5c03ffb0,0x220003ff,0xfd801fff,0xfffffdff,0xf88000ce,0x2e0001ff,
    0xffb803ff,0xdff101ad,0xf54ffa80,0x3fe207ff,0x0fffa806,0x03ffaa00,
    0xffffffb0,0x83fff9df,0xfd806ffa,0x3fffa02f,0xffffedde,0x03ffb800,
    0xd806ffa8,0xfb5302ff,0x6d56547f,0x7dc00fff,0xfff8803f,0x7ffdc001,
    0x4ffffddf,0x00bbfe60,0x6c00ffee,0xfff981ff,0x7ff4007f,0x0dff1003,
    0x2e04ffa8,0xff8803ff,0x427fd406,0xff981ffd,0xdff107ff,0x364ffa80,
    0xff9806ff,0x807ff605,0x30003ffb,0x9809fb77,0x2aa22fff,0x2ee60000,
    0x362004fd,0xffffffff,0xffffb80d,0x3fff627f,0xffffffff,0xfffb4fff,
    0xffffffff,0xebba80df,0xfffb003f,0xffffa809,0xffffffff,0xffffb30f,
    0xffffb0bf,0xffd101df,0x1bffffff,0xfffffb10,0x21bfffff,0x5fffffd9,
    0xefffffd8,0x3fffffe0,0xffffff13,0x7ff7005f,0x4fdbb980,0xffffc800,
    0xe805ffff,0x3f625fff,0xffffffff,0x3ff620df,0x7fe44fff,0x9bd9007f,
    0xffd880bf,0xffffffff,0xfb14ffff,0xffffffff,0x3ff621bf,0xffffffff,
    0x3624ffff,0x644fffff,0x7ec47fff,0xffffffff,0xf34fffff,0x3faa03ff,
    0xffffffff,0xb11fffff,0xffffffff,0xf9001bff,0xfd005fff,0x32000005,
    0x2002ffff,0xfffffffa,0xffb83fff,0xff70ffff,0xffffffff,0x369fffff,
    0xffffffff,0x6c06ffff,0xd000ffff,0xf9803dff,0xffecdeff,0x3ff21dff,
    0x261fffff,0x4fffffff,0x3ffffee0,0x3ffee03e,0xffffffff,0xfffff93f,
    0x7ffcc3ff,0xff14ffff,0x7ec7ffff,0x5003ffff,0xffc805ff,0xf50002ff,
    0x005fffff,0xfb9bffe2,0xffffffff,0x3fee3fff,0x221fffff,0xf9007fff,
    0xfb805fff,0xffffffff,0x74ffffff,0xffffffff,0x3ee7ffff,0xffffffff,
    0x24ffffff,0xfffffffb,0x71fffe21,0xffffffff,0x9fffffff,0xfe813fe6,
    0xffffffff,0x71ffffff,0xffffffff,0x2007ffff,0x02003ddc,0xbb900000,
    0xffd88007,0x0dffffff,0x2ccccca8,0x3fffff62,0xffffffff,0xfffffb4f,
    0xdfffffff,0x02dec880,0x98007260,0x30153009,0x0bfffffb,0x3bfffffb,
    0x00155100,0xffffffb1,0x261bffff,0x85fffffd,0x1dfffffd,0x8b33332a,
    0x001bdca8,0xddc801dc,0xaa880003,0x1cb88000,0x3fffff62,0x20dfffff,
    0x4fffffd8,0x2007ffa8,0xd8800ba8,0xffffffff,0x14ffffff,0xfffffffb,
    0x3621bfff,0xffffffff,0x24ffffff,0x4fffffd8,0x6c47ffa8,0xffffffff,
    0x24ffffff,0x7ff5403b,0xffffffff,0xfb11ffff,0xffffffff,0x000001bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40d40000,0x00010029,0x88000020,0x2a8000cc,0x54c005cc,
    0x01aaaaaa,0xaaaaaa88,0x000000aa,0x776dc431,0x3bb6a2de,0x00000cee,
    0x777776dc,0x4403deee,0x551000aa,0x01555555,0x2aaaaa20,0x00000aaa,
    0x00000110,0xdddddb71,0xbddddddd,0x77776440,0x000004ee,0x00000000,
    0x00000000,0x15000154,0x00000000,0x00000000,0x41980000,0x3fee2aaa,
    0xb80ffe61,0x00aa0cfe,0x55067f5c,0x09ff9000,0x3e2ff980,0x7ffc404f,
    0x00ffffff,0x7fffffe4,0x000004ff,0x3ffee1fb,0xff88ffff,0x204fffff,
    0xffffffeb,0x3fffea2f,0xffffffff,0xffffe882,0x7ffe400e,0x004fffff,
    0xfffffff9,0x0440009f,0xd7017fc4,0x7ffd4003,0xffffffff,0x3f607fff,
    0x0fffffff,0x0fa60000,0x004e9800,0x80001ec8,0xf30000de,0xffa8003f,
    0x3a20004f,0x7d40000f,0x9000bb12,0x32017d4d,0xffe8001e,0xfb9bffa4,
    0x413fe61f,0xcbfffffc,0xfffc806f,0x006fcbff,0x4005ffd8,0xbff33ffb,
    0x99999500,0x97300599,0x01799999,0x43fe0000,0x6ffffffa,0x3ffffffa,
    0xfffff902,0x7cc5ffff,0xffffffff,0x7f441fff,0x00efffff,0x333332e6,
    0x973000bc,0x01799999,0xffffd980,0x409ffd1d,0xf3003ffa,0xffffffff,
    0x40ffffff,0xfffffffb,0xf700004f,0x3ea0005f,0xffb8003f,0x77ec0002,
    0x3ffb8000,0x0fa9f400,0x05ff5000,0x44ffd400,0x7ec005fe,0xc803ff56,
    0x3e6002ff,0xbffb0fff,0x05d415c4,0xfff90de8,0x21bd003f,0x001ffffc,
    0x4001dd98,0xbff33ffb,0x00000000,0xf9800000,0x057ff447,0x8077fcc4,
    0x9999cff9,0x99982fe9,0x0199cffc,0x7f545ffd,0x00000004,0xfff90000,
    0xffffffff,0x4ffa801f,0x27ffe600,0xff999999,0x7fccc407,0x80007fff,
    0x70002ffd,0x5c0007ff,0x220004ff,0x5c002ffd,0x3e2003ff,0x5c000be1,
    0xf50003ff,0x00bfd15f,0xffa8efd8,0x07ff7002,0x47fffee0,0x00004ffc,
    0x0000b260,0x00000593,0x54bff200,0x1da804ff,0x000016cc,0xdeeedb88,
    0x3bbbb6a2,0xffe85ffe,0x81bfe200,0x07fa05fc,0xa807ff70,0x06fb81ff,
    0x00000000,0xeffffd80,0x2fffffff,0x009fd300,0xff01bfe2,0x3bfea00f,
    0x20002ffe,0x70001efd,0x500005ff,0xb80007ff,0x3ee001ff,0x4eec003f,
    0x3ee0007c,0xff98003f,0xd800bfd2,0x02ff98ef,0x401ffd40,0xf71ffffa,
    0x0000007f,0x00000000,0x5ff90000,0xf1013fea,0x00ffe8df,0x3bbbbb6e,
    0x3ee3deee,0x88ffffff,0xffffffff,0x00ffe82f,0xfd81bfe2,0x7003f204,
    0x4fe807ff,0x2e21ff10,0xeeeeeeed,0x105eeeee,0x9dddddd9,0xcfffb800,
    0x1bfff660,0x2009b100,0xd1d46ff8,0x3ff600bf,0x0005ffbb,0xc8000376,
    0x2200001e,0xea80003d,0xfffd5001,0xfb30057b,0x7dc0005d,0x2e98003f,
    0x37200136,0x20003d30,0xff9803d9,0x25ff30ff,0xeeeeeedb,0x76dc3dee,
    0xdeeeeeee,0x17776d43,0x677776d4,0xddddb710,0xdddddddd,0xb8ffec0b,
    0x4fe803ff,0xff5037e4,0xffffffff,0x3ffea5ff,0x3ffa6fff,0xd02effff,
    0x7fc401ff,0x05ffd506,0x03ffb800,0x3ff017fc,0x3fffffea,0xffffffff,
    0xfffffb07,0x26001fff,0xff883fff,0x00001fff,0xf99bfe20,0x1003b52f,
    0xfff11fff,0x00000001,0x00000000,0xfd100000,0x9fffffff,0x20000200,
    0x00003ffb,0x00000000,0x3ffe6000,0x3ea7fe27,0xffffffff,0xfff52fff,
    0xffffffff,0x3fffe25f,0x7fffc0ff,0xfff54fff,0xffffffff,0xd730ffff,
    0xbffd9bff,0x03018017,0xffffff98,0x21ffffff,0x880affe8,0x7400eff9,
    0x3fe200ff,0xfffffe86,0xff70000c,0x20ffc407,0xf31fffda,0xffffffff,
    0x20ffffff,0xfffffffb,0xbffb004f,0x3fffff60,0x5e5d4405,0xfff8800a,
    0x003ffcaa,0x3f24ffc8,0xba88004f,0x26000abc,0x001bcccb,0x0de665cc,
    0x56654400,0x7fff4400,0x06ffffff,0x06f332e6,0x7e4cccc0,0x501999cf,
    0x55510555,0x99510015,0x55550015,0x81555510,0x7fc7fff8,0xffffff98,
    0x31ffffff,0xffffffff,0x7f43ffff,0x7f45ffff,0xf32fffff,0xffffffff,
    0xa8ffffff,0xffffffff,0x0006ffff,0x7e4ccc00,0xfd0199cf,0x37fc401f,
    0x1007ff40,0xcffa8dff,0x002fffda,0x2603ffb8,0x7fffec7f,0x4fffcc1f,
    0xff999999,0x3fe66207,0xfd007fff,0x7fff901f,0x7fd40fff,0x00dfffff,
    0x3fffffe2,0xff8004ff,0x01ffe61f,0xffffff50,0x7fe401bf,0x0effffff,
    0x7ffffe40,0x8800efff,0xeffffffe,0x5bfff901,0x321bff22,0xffffffff,
    0xffff500e,0xffffffff,0x3ffe65ff,0x7fffd47f,0x3ffa202f,0x981effff,
    0x7d47ffff,0xff82ffff,0x2663746f,0x199cffc9,0x9ff93330,0x3fa20333,
    0x7cc42fff,0xfff980ff,0xf9999999,0x7fffd47f,0xffffffff,0x882aaa86,
    0xb800aaaa,0xffe803ff,0x01bfe200,0xf8803ffa,0x2a37d46f,0x2001efff,
    0x3ea03ffb,0x3eb7ff26,0x037fc41f,0x3ea01ffe,0x402ffeef,0xffa86ff8,
    0xb01fff3f,0xffffffff,0x3fe205ff,0x04ffffff,0x7437fd40,0xffb002ff,
    0xffffffff,0xfffff105,0x01dfffff,0x3fffffe2,0x200effff,0xfffffff9,
    0x7fc41fff,0x88bff02f,0xffffffff,0xffd80eff,0xffffffff,0xff55ffff,
    0xfffc8fff,0xfff302ff,0x3fffffff,0x47ffffa8,0x82fffffc,0x00cc5fff,
    0xb8007ff7,0xffb003ff,0x1ffe0dff,0x3e037fc4,0xfffa987f,0x0abffeaa,
    0x51ffffe6,0x005fffff,0xfd007ff7,0x37fc401f,0x1007ff40,0x1bfd0dff,
    0x067ffe44,0x501ffdc0,0xff1ffcdf,0x546ff883,0x36017fa3,0x05ffbbff,
    0x3e22ffcc,0x0bff65ff,0x759dfff9,0x101ffffb,0xffb99fff,0xfffd8007,
    0x5fffeeee,0xcefffc80,0x0ffffdba,0xaabcefc8,0x3203fffc,0xfcaabcef,
    0xfff303ff,0xfff9559f,0x03ffd43f,0x9df903b5,0x7fff9557,0xdddddb30,
    0xbdddddff,0x23ffe5c3,0x82ffecb8,0xaacffff9,0x5c1ffffc,0x65c47ffc,
    0xffe82ffe,0x1ffdc004,0x00ffee00,0x27ffffec,0xff883ffc,0x0bfd1d46,
    0xffe9ffe2,0x7ffffa80,0x17ffffe4,0x401ffdc0,0x3e200ffe,0x0ffe806f,
    0x2a1bfe20,0x7ec42eff,0x7fdc00ef,0x7cdbea03,0xf107fe0f,0xa97fccdf,
    0x7ffc401d,0x200fff88,0x3fa25ffa,0x8bff20ef,0xd104fffa,0xdff10bff,
    0x0751ffcc,0x7fffffc4,0x00ffffff,0x4413ffea,0xb8005ffe,0x2e0004ff,
    0xbffd04ff,0x4fffb101,0x00004ffb,0x4009ff70,0x3e003ffb,0x0bff207f,
    0x22037ffa,0xfff07ffd,0x6c17fe40,0x7dc004ff,0x7fdc003f,0xf9ffb003,
    0x07ff83ff,0x7fccdff1,0x3e203b52,0x403ffa6f,0x5c47ffcb,0xb802ffec,
    0xffe803ff,0x01bfe200,0xfa80bff6,0xbffd305f,0x406ffb81,0x3ea03ffb,
    0x1ff87fe6,0x6557ffc4,0x7e4003ff,0x813ff24f,0x3ff67ff8,0x907fec0f,
    0x33333dff,0x81fff533,0x865c6ff8,0xff902ff8,0xffffffff,0x7fe409ff,
    0x9999999e,0x7300fffa,0xbff999b9,0x99b97300,0xff10bff9,0x1fff801d,
    0x8000dff5,0xfcccdcb9,0x3fee005f,0x81ffe003,0x7fc42ffc,0x0fffc00e,
    0xff903ffc,0x007ff905,0x4003ffb8,0xfb003ffb,0xf8dffb3f,0x5fff107f,
    0x1007ff95,0xff33dff5,0x07ff803f,0x2e00bff2,0xffe803ff,0x01bfe200,
    0xfe81bfee,0x3ff6203f,0x00ffcc4f,0x7d407ff7,0x3e6fbf26,0x7fffc41f,
    0x4004ffff,0x3fe61fff,0x5cfffc07,0x7ff82fff,0x7ffffff4,0xffffffff,
    0x2037fc42,0xfff04ffa,0x53333335,0x7ff40fff,0xffffffff,0x74c2ffff,
    0xffffffff,0x3ffa605f,0x5fffffff,0xc803ffa8,0x5fff13ff,0x7f4c0a20,
    0xffffffff,0x0ffee005,0x3207ff80,0x1ffd42ff,0x7c1ffe40,0x0bff207f,
    0x70007fea,0xfb8007ff,0x3ffb003f,0x7fc7fff1,0xfffff107,0xfe809fff,
    0xffffffff,0xfff01fff,0x4017fe40,0xfe803ffb,0x1bfe200f,0x833ffe60,
    0x801fffc8,0x361effea,0x0ffee03f,0x3fe27f98,0x7c44ffff,0x4fffffff,
    0x21bfea00,0x3f602ffe,0xb84fffdf,0x7fffc6ff,0xffffffff,0x7fc43fff,
    0x427fd406,0xfd806ffa,0xfffff02f,0xffffffff,0x7ffd47ff,0xffffffff,
    0xfffff505,0x0bffffff,0xf3005ff9,0x67ffecbf,0xa8bffb51,0xffffffff,
    0x2e005fff,0x3fe003ff,0x90bff207,0xff3005ff,0x640fff0b,0x003502ff,
    0x8007ff70,0xfb003ffb,0x43ffee3f,0xfff107ff,0x409fffff,0xfffffff8,
    0x02ffffff,0x7fe40fff,0x03ffb802,0x2200ffe8,0xff7006ff,0xffffbbff,
    0xfffb8009,0xfb10fffe,0xffffffff,0x107fc1bf,0x889fffd7,0xffdccfff,
    0x3fff6003,0x5fffeeee,0x3ffffe60,0x42fff985,0xeeeeeffe,0x2eeeeeee,
    0xffffffb1,0xffffffff,0x7fffecc9,0xffffd85f,0x77ff40ef,0xeeeeeeee,
    0xfff12eee,0xfb7557df,0xffff10bf,0xffb7557d,0x00bff70b,0x7fc47ff9,
    0xffffffff,0x3bfffe26,0x5ffdbaab,0x00ffee00,0x3f207ff8,0x02ffdc2f,
    0x7fc1ffe4,0x00bff207,0x07ff7000,0x003ffb80,0x7ff43ffb,0x3e20fff5,
    0x3ffdccff,0x77ff6d40,0x03dfffee,0xffc81ffe,0x03ffb802,0x2602ffc8,
    0x3ee005ff,0x5fffffff,0xfffd1000,0x7fffd47f,0xffffffff,0x4c407fa3,
    0x266ff880,0x440ea3ff,0xffffffff,0x3600ffff,0x7d40ffff,0x5ffc85ff,
    0xffff7000,0xffffffff,0x7fe49fff,0x261fffff,0x4fffffff,0x8002ffe4,
    0xf300effb,0x1dff70bf,0x2217fe60,0x3e201fff,0x7ff4c1ff,0x21efffff,
    0xf300effb,0x7fd400bf,0x81ffe002,0x7fc42ffc,0x3ffe201f,0x3207ff81,
    0x400002ff,0x5c003ffb,0xffb003ff,0x7dfffcc3,0x4dff107f,0x40ea3ff9,
    0xbff33ffb,0x640fff00,0xffb802ff,0x06ffb803,0x1000fff2,0x05fffffb,
    0x3fa20370,0xffffd886,0x0dffffff,0x220013f6,0x8865c6ff,0xfffc82ff,
    0xffffffff,0x3fff204f,0xfffeddff,0xcfff980f,0xd88aa600,0xffffffff,
    0x24ffffff,0x5fffffd9,0xefffffd8,0x067ffcc1,0x7fe45530,0x5fffb884,
    0xb884ffc8,0xffd05fff,0x7f54417d,0xffd7107f,0x9ff9039f,0x0bfff710,
    0x7c005d80,0x7fecc1ff,0xbeffe82f,0x1fffaa20,0x3660fffc,0x3b882fff,
    0x03ffb800,0x801ffdc0,0x7fe41ffd,0xff107fff,0xff10cb8d,0x2a5ff905,
    0x7ff804ff,0x200bff20,0xf9803ffb,0x7fdc0cff,0xbf90001f,0x81be2001,
    0xff8805fb,0x00ffa801,0x2037fc40,0xfff84ffa,0xa999999a,0xfff507ff,
    0xffffffff,0x7ffdc01d,0xffedccef,0xf30002ff,0x5c00001b,0x3ffee03f,
    0xffedccef,0xdfff52ff,0xfffffd99,0x7ffd49ff,0xffffecce,0x7fcc4fff,
    0xfffddfff,0x7fdc01ff,0x3bffea03,0xfffffecc,0x000004ff,0x3b33fff6,
    0x44ffffff,0xddfffff9,0xb01fffff,0xffd99fff,0xfd89ffff,0x7fdc004f,
    0x1ffdc003,0xe81ffd80,0xf107ffff,0x4ffa80df,0xff52ffc8,0x83fff009,
    0x802fffd9,0xf7003ffb,0xfffbbfff,0x7e40009f,0x7f980312,0x1009fd10,
    0x3f2014df,0x442f4c0e,0x7fd406ff,0x4037fd44,0x7fc42ffd,0xffffdadf,
    0xfff9003f,0xffffffff,0x3ee0005f,0x80001b8c,0xc80c9afd,0xffffffff,
    0x3f62ffff,0xffffffff,0x360fffff,0xffffffff,0x40ffffff,0xffffffe8,
    0xfb801fff,0x7ffec03f,0xffffffff,0xfff30fff,0xffffffff,0xff305fff,
    0xffffffff,0xfe881fff,0xffffffff,0x3fffe601,0xffffffff,0x00fff20f,
    0x8007ff70,0xfb003ffb,0xffff303f,0x01bfe20f,0xffb09ff5,0x200ffee3,
    0xfeccfffd,0x224fffff,0xfffffffd,0xf900dfff,0xbfffffff,0xeff88000,
    0x67fcc07f,0x1fffdccc,0x5ffdfb00,0xeeeffe80,0x3ff625ff,0xffffffff,
    0xfb34ffff,0xfb0bffff,0x2e1dffff,0x00a986ff,0xffffe980,0x001cffff,
    0x13fffe20,0x3ffe6000,0xfffd303f,0x839fffff,0xffffffc8,0x44ffffcd,
    0xffffffc8,0x04ffffcd,0xdffffd91,0x3fea0019,0x7ffe4402,0xfffcdfff,
    0x3ffff64f,0xffffffff,0xfff305ff,0xfffb9fff,0x3ffb2209,0x9800ceff,
    0xdcffffff,0x01984fff,0x7ffffec4,0x10dfffff,0xfffffffb,0x6c41bfff,
    0x644fffff,0x7ec47fff,0xffffffff,0xd84fffff,0x07ff71ff,0xffffff30,
    0x1fffffff,0x3fffffee,0x03ffffff,0x3fffffea,0xfd700002,0xfff9805f,
    0x02ffffff,0x017ff660,0x3fffff66,0x3fffee0d,0xffffffff,0xfff94fff,
    0x7cc3ffff,0x34ffffff,0x000001df,0x026aaa62,0xcec98000,0xb9300000,
    0x55531007,0x55510013,0x55100013,0x88000135,0xbb0000aa,0x2aaa2001,
    0xfff50009,0xffffffff,0xa9805fff,0x5440001a,0x5530000a,0xf7000003,
    0xffffffff,0x3fee7fff,0xffffffff,0x3ffee3ff,0x3e21ffff,0x7ffdc7ff,
    0xffffffff,0xfd84ffff,0x003ff70f,0x3fffffe6,0x224fffdc,0xfffffffd,
    0x8800dfff,0x000000aa,0x33322001,0x000abccc,0xa8800110,0xffd880aa,
    0xffffffff,0xfb34ffff,0xfb0bffff,0x003bffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffec4,0x10dfffff,0xfffffffb,0x6c41bfff,0xa84fffff,0x7fec47ff,
    0xffffffff,0xd984ffff,0x20013223,0x00001aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fff6544,0x00005fff,
    0x00051000,0x5c000000,0x00000000,0x0aa00000,0x22000000,0x17006a02,
    0x07300a60,0x000000dc,0x000e2000,0x007101a8,0x800dc073,0x22001aa9,
    0x000001a9,0x00000000,0x26200055,0x262009aa,0x379950aa,0x39800000,
    0x544006e0,0x5400000a,0x9d30002e,0x00eb8000,0xffffffb1,0x001fffff,
    0xb0002744,0x00003fff,0x980026c4,0x10002ffe,0x200007fd,0x362002ea,
    0x98000dff,0x3f2001fe,0x817fa61e,0x7fe43ff9,0x2a0bf200,0x6c40004f,
    0x13f66fff,0x007bfee0,0xfb89ff10,0x417e401f,0x7fd404fa,0x2202ffff,
    0x02fffffd,0x7ffec400,0x1b620006,0x1bffb100,0x3fff2600,0xff883fff,
    0xfffffcff,0x75c000df,0x5417e401,0x7ff4404f,0x80001dff,0xa8001ffb,
    0xb10003ff,0xffd101df,0xdf77ffbf,0x3ffa8003,0x361f5000,0xff300005,
    0xdff90009,0xb8001bff,0x40000fff,0xf5001ffc,0x005fffff,0x2005ffd8,
    0xffbbffe8,0x6ffe400e,0x4402ffea,0xffa88bff,0x7fdc0000,0x0fff16ff,
    0x7ff7fec4,0x77fd4004,0x8803ffea,0xffa88bff,0x3ffff200,0xe885ffff,
    0x4fffffff,0x3ffee000,0xfd30006f,0x7ffd400b,0x7c402fff,0xffffffff,
    0x7ffffd46,0x6fffffff,0x003ff600,0xf5117ff1,0x7ff4401f,0x000effff,
    0x000bff60,0x4000ffee,0xf900efe9,0x2abfa1df,0x7fdc005f,0xa9720003,
    0xffb80007,0x2ffe8004,0x4001dff5,0x20006ff9,0x5002ffd8,0xffb11bff,
    0x27fe4007,0x7fffdc00,0x3ffa6003,0xff7000df,0x0009ffff,0x4dfffb10,
    0xdff106eb,0x0017fee3,0x03dfffd1,0x7ffffdc0,0x3ffea03f,0x3ffffddf,
    0x7ef7ffec,0x10003fff,0x000dfffb,0x5400bff5,0xffd88dff,0x37fffa02,
    0x44ffffdc,0xbdffffeb,0x401fffca,0x7001efe8,0x07ffffff,0xfdefffe8,
    0xfb0005ff,0xff70003d,0x3fe20005,0xd17ffc05,0x400bf55f,0x40002ffb,
    0x004eabf9,0x0017fdc0,0x32206f44,0x05d4000f,0x01dfb000,0x7d417dc0,
    0x02ee2004,0x00f74c00,0x8003fc80,0x000bddb8,0x237fc400,0x109f302e,
    0x3ee000db,0xbb710004,0xcffe8017,0xf1fff220,0x7fec45ff,0xf7550006,
    0x260055ff,0x7e4003ff,0x3a03fa82,0x7ffb81ef,0xc82fffc8,0x3fa203ff,
    0x6dc4000d,0x7fd400bd,0x0fffa61e,0x00037600,0x10000f64,0x7ff8807d,
    0x02fd57f4,0x00003d70,0x00033fae,0x00003d70,0x00000000,0x000019d0,
    0x00000000,0x00000000,0x22000000,0x001726ff,0x00000000,0x7ffc4000,
    0x50fff880,0xfff10bff,0xfddb0005,0x5003ddff,0x0000005d,0xffe80510,
    0x981ffe40,0x0fa205ff,0xfe800000,0x05ffa82f,0x00000000,0x7fc40000,
    0x3eabfa0f,0x00000005,0x00000008,0x66654400,0x2a20010b,0x0010bccc,
    0x65d40000,0x510012cc,0x80015797,0x000acca8,0x04b332ea,0xa882aaa8,
    0xa8800aaa,0xdff12bcb,0x2aaa8064,0x00aaaa88,0x0bccca88,0x332a2001,
    0x1bfe200a,0xff91ffe8,0x013ff205,0x22579751,0x000006ff,0x0acca880,
    0x1ffd0000,0xf302ffc8,0x200000bf,0x00abcba8,0xfe81bfe2,0x332a2007,
    0x220010bc,0x2000acca,0x012cccba,0x57f49ffd,0x2aaa05fa,0x0aaaa882,
    0x51055550,0xb9801555,0x0de542cc,0x7fffec40,0x206fefff,0xffffffd8,
    0x55106fef,0x0e5cc155,0xfffffd50,0x7d40dfff,0x0dffffff,0x7ffff440,
    0x3aa01eff,0xffffffff,0x1ffffe66,0x05fffff5,0xffffffb8,0x4c06ffbe,
    0x7d47ffff,0x2202ffff,0xfffffffd,0x3fa206fe,0x01efffff,0xff505fff,
    0xa80ffecf,0x3fee05ff,0xffbeffff,0x4caaa206,0x1000accb,0xdffffffd,
    0x7fe40003,0x302ffc87,0x55554bff,0xaaaaaaaa,0xfffff500,0xff501bff,
    0x00ffe409,0x3fffff62,0x2206feff,0xeffffffe,0x3fffaa01,0x546fffff,
    0xafe9dfff,0xfff985fa,0x7fffd47f,0x7fffcc2f,0x7ffffd47,0xffffd502,
    0xffffb1bf,0x7fffcc09,0xffffffff,0xfffff981,0x1fffffff,0x57ffffd4,
    0x1effffd8,0x7fffffdc,0xd80fffff,0xffffffff,0xfff302ff,0x3fffffff,
    0xffffff70,0x2a1fffff,0x7e47ffff,0x3a02ffff,0xffffffff,0x7d406fff,
    0x7fe47fff,0xff302fff,0xffffffff,0xfff303ff,0x3fffffff,0x337fff90,
    0x7e4bfff9,0x0dffd04f,0x3ffffffa,0x906fffff,0xfff9ffff,0xf9807fff,
    0xffffffff,0xd995001f,0xff907fff,0x457fe605,0xffffffff,0xfd82ffff,
    0xffffffff,0x01ffdc2f,0x7cc07ff7,0xffffffff,0xff981fff,0xffffffff,
    0xfffffb81,0x40ffffff,0xaffffff9,0xfffa85fa,0x7fffe47f,0x7fffd42f,
    0x7ffffe47,0xfffffb02,0xffffffff,0x3fffa09f,0xfffdcabc,0xcfffe81f,
    0xffffdcab,0x7ffffe41,0xfffffffd,0x5677ffc6,0x41fffeba,0xbacefffc,
    0x4c0ffffd,0xcaacffff,0x7fc1ffff,0xfebaacef,0x3ff2e1ff,0x7ff65c47,
    0x7bfff902,0xdffffd75,0x8fff9700,0x02ffecb8,0x9579fffd,0x983ffffb,
    0xcaacffff,0xfe81ffff,0xefffffff,0x321bfee0,0xffc87fff,0xffebabdf,
    0xfffb06ff,0xffffffff,0x3ffe607f,0xfffcaacf,0x7ffcc01f,0xff904fff,
    0x457fe605,0xffffffff,0x7e42ffff,0xfdbaceff,0x3fee0fff,0x813fee03,
    0xcabcfffe,0x4c1ffffd,0xcaacffff,0x7fc1ffff,0xfebaacef,0xfec981ff,
    0x705faaff,0xcb88fff9,0xfcb82ffe,0x7f65c47f,0x79df502f,0x99fffff7,
    0xffc83fff,0x3fff301e,0x301effc8,0xcb883fff,0xcffffffe,0x3fe26feb,
    0xa8ff900f,0xfd104fff,0x0dffe8bf,0x227ffd88,0xff900fff,0xfc81ffe0,
    0x2fffa82f,0x00dfff90,0xff903ffc,0x03dff905,0xfd07ffe6,0xffb101bf,
    0xfffff50f,0xffd07fff,0xffffb35d,0x17ffd41f,0x106fffc8,0x59fffff9,
    0x3a0fffb7,0xfd880dff,0x7ffc407f,0xff905fff,0x457fe605,0xeccccfff,
    0x3ea0efff,0xffd104ff,0x701ffdcb,0x3ff209ff,0x3fff301e,0x880dffe8,
    0x3fe27ffd,0x00ff900f,0x0bf55ff3,0x3f207ff8,0x81ffe02f,0x64002ffc,
    0x3ff23fff,0x200fffc5,0x1fff87fc,0x3203fe40,0x4c0effff,0x5ef7fec0,
    0xff902a0a,0x3333333d,0x3e21fff5,0x7ffc00ef,0x2f7bff61,0x7fc02a0a,
    0x20bff207,0x7ec04ffc,0x1ffe006f,0xff82ffc8,0x23fe401f,0x7c00eff8,
    0x3ffe61ff,0x1fffffff,0x7fffffd4,0x320fffff,0x7fec04ff,0x077ffc06,
    0x3e20fff4,0x7ffc00ef,0x7f654401,0x3ffaa5ff,0x7fcc0eff,0xff517fe5,
    0xeffc81df,0xa9999999,0x7ff70fff,0xf827fdc0,0x3fe401ff,0xf003bfe2,
    0x77fec3ff,0x002a0abd,0x02fd57f4,0xffc81ffe,0xc81ffe02,0x2e6202ff,
    0x99fffdcc,0xf10fffa9,0x857100df,0xb8806ff8,0x27ffe402,0xfffff300,
    0xfd01bfff,0xffffffff,0x2a5fffff,0xffc803ff,0x3ffffe63,0x3e00dfff,
    0x0bff207f,0xf5003ffa,0x3ffc00df,0xf885ff90,0x42b8806f,0xfc803ffa,
    0x2ffffa3f,0x86ffeb88,0xcffffffa,0x07ff47ff,0xf01bfea0,0x3ff201ff,
    0x401ffd42,0x5c003ffc,0xfffb2fff,0xff987fff,0xffa8bae5,0xfffe80ef,
    0xffffffff,0x7ff72fff,0x441ffdc0,0x2b8806ff,0x6401ffd4,0x3ffe63ff,
    0x00dfffff,0x17eabfa0,0x7e40fff0,0x81ffe02f,0xff502ffc,0xffffffff,
    0x23ffffff,0x20005ff9,0x00005ff9,0x2000fff2,0xffffffea,0x7fffc2ff,
    0xffffffff,0x5ff93fff,0xa8bff300,0xfffffffe,0x40fff02f,0x7ff82ffc,
    0x006ff880,0xffc81ffe,0x002ffcc2,0x3005ff90,0x3ffe6bff,0x81fff881,
    0xfa9cedb8,0x403ffc5f,0x7fc06ff8,0x90bff207,0xff3005ff,0x9ff9000b,
    0x37ffffaa,0x502ffcc0,0x3e01dfff,0xffffffff,0x33ffffff,0x7fe409ff,
    0x005ff982,0x200bff20,0x7f545ff9,0x2fffffff,0xbf55fd00,0x3207ff80,
    0x1ffe02ff,0xfd82ffc8,0xffffffff,0xffffffff,0x000dff12,0x00037fc4,
    0x0005ff90,0x7ff65cc4,0x3bffa1ff,0xeeeeeeee,0xbff72eee,0x207ff900,
    0xfffecb98,0x207ff81f,0xfff82ffc,0x037fdc01,0x7e40fff0,0x037fc42f,
    0x00bff700,0x3fea7ff9,0x00fff605,0x7fc3ffe8,0x37fdc01f,0xfc81ffe0,
    0x02ffdc2f,0x4001ffe4,0x98006ff9,0xfff504ff,0x77ff401d,0xeeeeeeee,
    0x1bfe2eee,0xf881ffe8,0x3ee0006f,0x3ffc805f,0xffd97310,0x5fd003ff,
    0x7ff80bf5,0xf80bff20,0x0bff207f,0x559dfff5,0xddddfffb,0x7ffc3ddd,
    0xfff01000,0xf9002001,0x2fcc005f,0xfc93ff60,0xff10005f,0x7ffc403f,
    0xfd80bf31,0x207ff84f,0xffd82ffc,0x037ff405,0x7e40fff0,0x00fff82f,
    0x1fff8810,0x547ffe20,0x3ff205ff,0x1dffb002,0x7405ffd8,0x3ffc06ff,
    0xf885ff90,0x3fe201ff,0xffb8001f,0x3ffb8005,0x00efffa8,0x0002ffe4,
    0xff505ffb,0x007ffc0d,0x0fffc408,0x263fff10,0x27fec05f,0x2fd57f40,
    0xfc81ffe0,0x81ffe02f,0x7fdc2ffc,0x007ffb85,0x8807bff6,0x77fec4fd,
    0x813f6201,0x32002ffc,0xff700cff,0x067ffccd,0xffe85530,0x3faa20be,
    0x033ff27f,0x7fc37fdc,0x7ffecc1f,0x02fffa82,0x400dfff7,0x7ecc1fff,
    0xeffd82ff,0xd13f6201,0x54417dff,0x3fe27ffe,0x0fff982f,0x0ffff540,
    0xb817ffd4,0x7fc06fff,0x20bff207,0x220beffe,0x64c7ffea,0x0bffe201,
    0x85ffd300,0x540efffa,0x067ffcc3,0xffb85530,0x0fffa61e,0x201effd8,
    0x7ff44fd8,0x3faa20be,0x033ff27f,0x74037fdc,0x7c05faaf,0x7fecc1ff,
    0x07ffe02f,0x985fffb3,0x7ff4c6ff,0x2215cc3f,0xcccefffe,0x446fffed,
    0xcccefffe,0x206fffed,0x36002ffc,0xeccdffff,0x7dc3ffff,0xedccefff,
    0x3e62ffff,0xffddffff,0x3ff61fff,0xffeccdff,0xfffd83ff,0xfffffecc,
    0xefffd84f,0xffffeccc,0xffd805ff,0xffffeccf,0x7ff444ff,0xfedcccef,
    0x7ffcc6ff,0xffffddff,0x7ffff41f,0x26ffffdd,0xffedcefa,0x3ff602ff,
    0xffecccef,0xff05ffff,0x417fe40f,0xddfffff9,0x741fffff,0xecccdeff,
    0x2200ffff,0xeffffedb,0x03bffea0,0xffb85ff1,0xfedcceff,0x7fec2fff,
    0x07fffeef,0x677fff44,0x6fffedcc,0x6fffffcc,0x21fffffd,0xccdffffd,
    0x803ffffe,0x405faafe,0xfeccfffd,0xb04fffff,0xffd99fff,0xff89ffff,
    0xffffdcff,0xfffecdff,0x7ffffcc1,0x0fffffff,0xffffff98,0x40ffffff,
    0xfffffffd,0xfc81dfff,0xffffffff,0xfff905ff,0xffffffff,0xfffe885f,
    0x41ffffff,0xfffffffc,0xf305ffff,0xffffffff,0xe881ffff,0xffffffff,
    0x02ffffff,0x7fffffcc,0x0fffffff,0x7fffffcc,0x80ffffff,0xffffffe8,
    0xfd881fff,0xefffffff,0x3fffff60,0x74402fff,0xffffffff,0x22ffffff,
    0x23fffffc,0x84ffffd8,0xffffffe8,0xffc81fff,0xffffffff,0x7ffdc01e,
    0x3e60ffff,0xffffffff,0xffc84fff,0xffffffff,0x7ff442ff,0x800fffff,
    0xfffffff9,0x880fffff,0xfffffffe,0x7ffe41ff,0xffffffff,0xff997105,
    0x2059ff77,0xfffffff9,0x80ffffff,0xfffffff9,0x20ffffff,0xfffffff9,
    0xffffffff,0xffc880ff,0x1cffffff,0x3ffff220,0x4c1cffff,0xffffffff,
    0xe984ffff,0xffffffed,0x7ff4c02e,0x1cffffff,0xffffd910,0xdbd3019d,
    0x5dffffff,0xfffff980,0x04fffdcf,0x3fffffee,0x05ffffbe,0xffffff30,
    0x209fffb9,0xffffffc8,0x32201cff,0x0ceffffe,0x7ffffe40,0xfffe984f,
    0x7dc003ff,0xfbefffff,0x3fe25fff,0x3ea7ffff,0x880fffff,0xceffffec,
    0x3ffff200,0x800dffff,0x1ceffffa,0x7fffffd4,0x04ffffff,0xffffffd3,
    0x366039ff,0x000effff,0x3fffff22,0x2201cfff,0xceffffec,0xffede980,
    0x202effff,0xfffffffb,0xf301ffff,0xfb9fffff,0x7fcc09ff,0xffdcffff,
    0xfffe984f,0xfffceddf,0x4c401cff,0x0009aaaa,0x26aaaa62,0x3ffff600,
    0x1dffffff,0x1aaaa880,0x5554c400,0x55440009,0x55544000,0x554c001a,
    0x554c0001,0x2600001a,0x220001aa,0x009aaaa9,0x00055440,0x44005544,
    0x4c00009a,0x32001aaa,0x224effff,0x804ffffd,0x4c000aa8,0x80009aa9,
    0x3ea00998,0xffffffff,0x4c404fff,0x40009aaa,0x220000a9,0x009aaaa9,
    0x00055440,0x006aaaa2,0x273332e2,0x9803ccca,0x4c0001aa,0x510001aa,
    0x002aa015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000a2035,
    0x00000000,0x014c02e2,0x22001540,0x0005500c,0x40530000,0x3510000a,
    0xa85554c0,0x0000accb,0x65cc0000,0x155531cd,0x8800a600,0xaa882aaa,
    0x355300aa,0x000d54c0,0x00000000,0x51665d44,0x03100355,0x80007100,
    0xd88000a9,0x0000dc84,0x3ba60003,0x3f60443d,0xffffffff,0x9b101fff,
    0x26001b90,0x01710002,0x1de9806a,0x5c4ff880,0xeb8001ff,0x006f4001,
    0x445ff500,0x362007fd,0xf5000dff,0x000df109,0x3607fb00,0x13fa60ef,
    0xfffeb980,0x7ffff44f,0xffffffec,0x3ffff204,0xfc880001,0xfeefffff,
    0x7e403fff,0x7fcc00df,0x7ffd47ff,0x7ffc42ff,0x3fe20fff,0x4000ffff,
    0x006fffd8,0x005bffb5,0x3fffffee,0x0fffffbf,0x77fffed4,0x1effa802,
    0x7ffec400,0xff901722,0x8027fd45,0xbffffdb9,0x7fdc04c8,0x47fdcfff,
    0xfffffffd,0x901fffff,0x27fd45ff,0x8bfffa60,0x17fdc04c,0x7ec0dfb1,
    0xdff7004f,0x0007ffd5,0xd8001ff9,0x320001ef,0x1fffadff,0xfffff500,
    0x2ffa005f,0x802fea89,0xff8804e9,0x97ffd107,0x2a001dff,0xffffffff,
    0xffffff10,0xffffffff,0xffff981d,0x7c40001f,0xffffffff,0x305fffff,
    0x05fffffd,0x23ffffd4,0x42fffffc,0x1ffffff9,0x3fffffe6,0x7ffdc002,
    0xfffd806f,0x7ec05fff,0xffffffff,0xf92fffff,0xffffffff,0x3bff620b,
    0x3fa004ff,0x5feeffce,0xf107fd40,0xfff7005f,0xffffffff,0xfffdb805,
    0x7fec4fff,0xffffffff,0x1ff501ff,0x3a017fc4,0xfeeffcef,0xacffd805,
    0x3ea01fff,0x3fa2001e,0x44001eff,0xb0001ffe,0x540005ff,0x000dffff,
    0xfb11bff5,0xfff3005f,0x3200dfff,0x5eb800ff,0x1ffffe40,0xdffff700,
    0xeca8bf99,0xbaceffff,0xfc86fffd,0x40001fff,0xeabffffd,0x0bdfffff,
    0xf90dff98,0x7fe5c07f,0x7ff65c47,0x2efffa82,0x03fffea8,0x6fffd880,
    0x7ffffe40,0xff904fff,0xffd957bf,0x7fc79fff,0xfffeffff,0x97ff444f,
    0x77006ffa,0x006fff4c,0x400c404c,0xfefffffb,0x203fffff,0xffffffe9,
    0x100ffc84,0x04c01fff,0x315c00c4,0x2001bffd,0x00cffffa,0x1fdc0000,
    0x00efe800,0x017fdc00,0x005fb100,0x3fa82fc8,0x06fb6a00,0x801ffd80,
    0xee9802f8,0x3ffee000,0x3ff6000d,0x7fff505f,0x0007ff60,0x982fffa8,
    0x2e02fffe,0x804ea83f,0x3ff207ff,0x40dff702,0x40003ffe,0x7f406ff8,
    0xfffb88cf,0x81fffcc0,0xff87fffc,0x3ff221bf,0x1033e20f,0x4c0001fb,
    0x70000000,0xe983bfff,0x3f203fff,0x1fff9adf,0xff5015c4,0x0000000b,
    0x36200026,0x0000002f,0x009d0000,0x00174c00,0x00000000,0x7ec00000,
    0x004d801f,0x3ffea000,0x7ffd8005,0xd837fdc0,0x360001ff,0x3fee05ff,
    0x8000002f,0x3ff207ff,0x20bffa02,0x80007ffa,0x3e206ff8,0x41ffd87f,
    0x7e405ffc,0x207fd87f,0x00002ffe,0x05665440,0x2b32a200,0x27ffc400,
    0x880fff60,0x037fdc09,0x201ffec0,0x00abcba8,0x2f332e60,0x20000001,
    0x05555000,0x00155551,0x00000000,0x055e5d44,0x2f2ea200,0x32e6000a,
    0xa8801bcc,0xaaaacffe,0x7300320a,0xd0037999,0x360009ff,0x7ff804ff,
    0x2ea3ffb0,0x7f400acc,0x3ffe202f,0x6665cc02,0x1ffe001b,0x2e02ffc8,
    0x3ffe86ff,0x57975100,0xf881bfe2,0x42ffe86f,0x7cc02ffd,0x203ea87f,
    0xaa883ffc,0x22001aaa,0xeffffffe,0x7fff4401,0xf501efff,0x5ff500bf,
    0x55e5d440,0x2002ffe8,0x2a00fff8,0xdfffffff,0x3ffff200,0x800effff,
    0x01aaaaa8,0xf300ff98,0xffa8ffff,0x2a202fff,0x2001aaaa,0x01aaaaa8,
    0x7ffffd40,0xfa800dff,0x0dffffff,0x3fffff20,0xf700efff,0xffffffff,
    0xf9007fff,0xdfffffff,0x03ffea01,0x01ffec00,0x7ec07ffc,0xfffffecf,
    0x03ffe04f,0x3205ffd0,0xffffffff,0x07ff800e,0xfd00bff2,0x03ffd45f,
    0xffffffb8,0x2206ffbe,0x3ff6a6ff,0x00fff40f,0x4001ffe6,0x7fe41fff,
    0x3003ffff,0xffffffff,0x3fe603ff,0xffffffff,0x003ffc81,0x7ffdc099,
    0x4ffdffff,0x817fea00,0xfffffffd,0xff882fff,0xffffffff,0x3fff200e,
    0xfc803fff,0xffff502f,0xfffffc8f,0xfffff902,0x3ff2007f,0x2003ffff,
    0xfffffffd,0x3f602fff,0xffffffff,0xffff882f,0x0effffff,0xffffffd8,
    0x05ffffff,0x7fffffc4,0xb80effff,0xdfec8cff,0x07ffd803,0xfd837fdc,
    0xffffffff,0xffe80eff,0x0bffe603,0x3fffffe2,0x400effff,0x3ff207ff,
    0xd37fdc02,0xffd007ff,0xffffffff,0x77fc40df,0x84fffff8,0x7ec05ffc,
    0x7f4c007f,0xffffd86f,0xff9803ff,0xffcaacff,0x7ffcc1ff,0xfffcaacf,
    0x00fff41f,0x7ffff400,0x5fffffff,0x40fff600,0xbacefffc,0xc80ffffd,
    0xfcaabcef,0x3ff603ff,0xd803ffff,0x3f2e03ff,0x7f65c47f,0xffffb02f,
    0x3f6007ff,0x003fffff,0x759dfff9,0x901ffffb,0xb759dfff,0xf901ffff,
    0xff95579d,0xfd97107f,0x799999bf,0x79df9001,0x07fff955,0xffffbff9,
    0x7ec01dff,0xff980cff,0xffffb04f,0xfffb757d,0x40dff90b,0xf902fffc,
    0xff95579d,0x07ff807f,0x3a00bff2,0x07ffabff,0xabdfffc8,0x06ffffeb,
    0x3fe7bfe2,0x7d40efff,0xfff503ff,0x3ffaa00f,0xccb983ff,0xfe803ffe,
    0xffd880df,0x406fff47,0x7fc7ffd8,0xffc80007,0xffda8bef,0xff1007ff,
    0x9fff501f,0x017ffa20,0x9813fee0,0x03ffeccb,0xf804ffe8,0x0bff207f,
    0x7ff665cc,0xd9973003,0xff5007ff,0x3ffa209f,0x827ffd45,0x8005ffe8,
    0x7ec04ffb,0x4000001f,0xffd84ffb,0xffffffff,0x3ffff606,0xffffcbdf,
    0x9fffb00e,0x30bffea0,0x5c439fff,0x0002ffff,0xff809ff7,0x7ffecc1f,
    0xeeffa802,0x7fd403ff,0xdfff902f,0xeab7fc40,0x6c0effff,0xfcadffff,
    0xb807ffff,0x002fffff,0xf8807ff7,0x7ffc00ef,0x801dff11,0x1ffe1fff,
    0xbfff1000,0x03fffe60,0x6417fea0,0x99999eff,0x00fffa99,0xf999b973,
    0x7fdc00bf,0x05ffe803,0x3f207ff8,0x7ff7002f,0x0ffee000,0x267bff20,
    0xffa99999,0x27bff20f,0xfa999999,0xb97300ff,0x80bff999,0x00001ffd,
    0xf999b973,0xffffb0bf,0x7fff915d,0x3fffff60,0x0fffffff,0x701bff60,
    0xfff90bff,0xfffffbdf,0xdcb9805f,0x405ffccc,0xfeccffff,0x804fffff,
    0x807ffffe,0x7ec04ffc,0x1bfe206f,0xd0dffd71,0xffffffff,0xf700ffff,
    0x5c0019ff,0x7fd403ff,0x53ffc803,0xff9007ff,0x0003ffc7,0xe807ffea,
    0xfd800fff,0xffffd03f,0xffffffff,0xffe985ff,0x5fffffff,0x00ffee00,
    0x3e01bffe,0x0bff207f,0x001ffdc0,0xe803ffb8,0xffffffff,0x22ffffff,
    0xfffffffe,0x2fffffff,0x7fffff4c,0x6c05ffff,0x4c0001ff,0xfffffffe,
    0xfffc85ff,0xb06ffb86,0xffffd9ff,0xfd801bff,0x07ff803f,0xfffffffb,
    0x2605ffff,0xfffffffe,0x7ffc05ff,0xffffffff,0x7d400fff,0xfe803fff,
    0x37fd400f,0x220dff10,0x7e441fff,0xfcffffff,0x2ff9807f,0x03ffb800,
    0x4c017fe4,0x05ff95ff,0x7ecbff30,0x3f20000f,0x3ffd406f,0x807ffc40,
    0xffffffff,0x3fffffff,0x3fffffea,0x005fffff,0xf100ffee,0xfff00fff,
    0x8017fe40,0x70003ffb,0xfff007ff,0xffffffff,0x7fc7ffff,0xffffffff,
    0x2a3fffff,0xffffffff,0x7ec05fff,0x3ea0001f,0xffffffff,0xfffb85ff,
    0xb07ff881,0x332ea3ff,0x3ffb001a,0x201ffd00,0xcffffffa,0xffa82ffd,
    0xffffffff,0x7fffc05f,0xffddffff,0xfffd004f,0x201ffe00,0x3e206ff8,
    0x13fea06f,0xf1666544,0x00ee00ff,0x201ffdc0,0xfc805ffb,0x00bff73f,
    0x7fdc7ff9,0x3fee0003,0x037fd406,0xfd02ffd4,0xdddddddf,0x225ddddd,
    0xaabeffff,0x2005ffdb,0x7cc03ffb,0x7ff807ff,0x400bff20,0x70003ffb,
    0xffd007ff,0xdddddddd,0x7f45dddd,0xeeeeeeef,0xf12eeeee,0x7557dfff,
    0xfd80bffb,0xff10001f,0xb7557dff,0xbff30bff,0x6c0fff40,0xd80001ff,
    0x7fc404ff,0x09aa8807,0xff883ffb,0xdbaabeff,0x7ffc05ff,0x0000aaaa,
    0xf801fffc,0x7fdc01ff,0x81bfe206,0xf0006ff8,0x000000ff,0xf8807ff7,
    0x3fe201ff,0x03fff11f,0xf10fffc4,0x3b5001ff,0xb00fffd4,0xffb00bff,
    0x02ffe407,0x00effb80,0x5c00bff3,0x7fd403ff,0x3ffc00ff,0x2005ff90,
    0x70003ffb,0xff9007ff,0x7fe4000b,0xdff70005,0x017fe601,0x20003ffb,
    0xf300effb,0x3fff10bf,0xb01fff10,0xb00003ff,0xffc80fff,0xfff10006,
    0x00effb81,0xff80bff3,0x7dc00007,0x3ff6007f,0x037ff405,0x8726dff1,
    0xf0006ff8,0x000000ff,0xfd007ff7,0x754417df,0x77ff47ff,0x3ffaa20b,
    0x03fffe87,0xff89bff2,0xfffa80df,0x07ffc402,0x019fff30,0x9ff9154c,
    0x0bfff710,0x201ffdc0,0x401ffffb,0x7ecc1fff,0xff7002ff,0x3fee0007,
    0xcfff9803,0xf30aa600,0x54c019ff,0x2213ff22,0x6c05fffb,0xdca883ff,
    0x884ffc81,0xfb05fffb,0x0fff90bf,0x00007ff6,0x4c13fff6,0x88003fff,
    0xffc86ffc,0x5fffb884,0x0003ffc0,0x800fffe0,0xf702fffa,0x7fc40dff,
    0x7fdcdfd6,0x0fff0005,0x00037730,0xf3007ff7,0xffbbffff,0xff983fff,
    0xfffddfff,0xffd881ff,0xffeccdff,0x7ffd44ff,0xffffcbef,0x06ffa805,
    0xceffffb8,0x2ffffedc,0xd99dfff5,0x9fffffff,0x807ff700,0x401ffffa,
    0xfeccfffd,0x804fffff,0x70003ffb,0x3ee007ff,0xedccefff,0x7dc2ffff,
    0xedccefff,0xff52ffff,0xfffd99df,0x2e09ffff,0xfedcefff,0xffa84fff,
    0xfffeccef,0x7cc4ffff,0xfffddfff,0x7ffed43f,0x64001cee,0xdfffffff,
    0x06fffecc,0x7f77764c,0xffa83fff,0xfffeccef,0xff04ffff,0x76d4000f,
    0x02dfffee,0x33bfff60,0xfffffecc,0x3fff625f,0xfddffedf,0xb71003ff,
    0x407bfffd,0x75c07ffe,0xffffffff,0xfe883eff,0xffffffff,0xffffd101,
    0x803fffff,0xfffffffd,0xff704fff,0xdfffffff,0x05ff9001,0x3fffff20,
    0x2fffffff,0x3ffffff6,0xffffffff,0x3ffffae0,0x3effffff,0x201bffe2,
    0xfffffff9,0x20ffffff,0xffffffeb,0x5c3effff,0xfffffffe,0xf903efff,
    0xffffffff,0xff905fff,0xffffffff,0x7ffec5ff,0xffffffff,0xfe880fff,
    0xffffffff,0xffffb01f,0xffffffff,0xfffc81ff,0x445fffff,0xffffffff,
    0x3ffe6007,0xffffffff,0x6c00efff,0xffffffff,0x3ffff603,0xffffffff,
    0x06ff80ff,0xfffff300,0x001fffff,0x3fffffa2,0xffffffff,0xfffff72f,
    0xffffff7f,0x7ffec00d,0xd02fffff,0xfff80dff,0xffffffff,0xfd9107ff,
    0x8019dfff,0xeffffec8,0xfd97000c,0x805bffff,0xffffffe9,0x017a6003,
    0xfffffd30,0xc8839fff,0xcdffffff,0x7fc4ffff,0xffffffff,0x77dc7fff,
    0xffff3002,0x9fffb9ff,0xfffffff8,0x47ffffff,0xffffffff,0x207fffff,
    0xffffffe9,0x3a601cff,0xffffffff,0x7ffe441c,0xfffcdfff,0x3ff6204f,
    0x00beffff,0x3fffff22,0x4ffffcdf,0xfffffb50,0x3ffffa07,0x64005fff,
    0xffecffff,0x9003ffff,0x5bffffff,0xffffc880,0xffffcdff,0x0009fb04,
    0x3fffffe2,0xb8006fff,0xbeffffff,0x3625ffff,0xffb4ffff,0x5c001bff,
    0xffffffff,0x2e006600,0xfffffffe,0x8803efff,0x510000aa,0xa8800015,
    0xb988000a,0x0000001a,0x09aaa988,0x09aaa880,0x3fffae00,0xefffffff,
    0x2a600003,0x3fae001a,0xffffffff,0x7ff5c3ef,0xffffffff,0xaa98803e,
    0x4c40009a,0x88009aaa,0x00009aaa,0x000d5544,0x004d5544,0x2006a600,
    0x00999998,0x55544000,0x99988001,0xaaa88001,0x00100009,0x33333300,
    0xa9800013,0x400001aa,0x310001aa,0x00033333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffdc00,0x00dfffff,0x11000000,0x3076a000,0x80e6005b,
    0x2aa2001b,0x004c0000,0x00006200,0x00000000,0x25551000,0x000accb9,
    0x803880d4,0x00dc84d8,0xa8800400,0x32e60aaa,0x00e64401,0xbccca880,
    0x20350010,0xbb7000b8,0x00153005,0x00006600,0x00000a20,0x5d400044,
    0x00012ccc,0x00298000,0x04000000,0xfffffb80,0x704fffff,0x4c00005d,
    0x01defffd,0xfe8dff10,0x82fc800f,0xfec804fa,0x3002efff,0x5bffffd9,
    0x36a20197,0xfea803ff,0xfd33ffff,0xffffd503,0x3fa6007f,0xc803ffff,
    0xfffcffff,0x3e003fff,0x0bfea0df,0x7d45ff90,0xddb7104f,0x37fff6a1,
    0xfffff502,0xdffffb15,0xdffffb03,0x3ff62001,0x6fefffff,0xf506ff40,
    0x3ffe005f,0x3ffff207,0xfdb8001d,0x9100005f,0x00001ffd,0x37ffff6a,
    0xffd504ba,0x0dffffff,0x2000274c,0x322fffe9,0xdfffb104,0xdfd30000,
    0xffffb801,0x01efffff,0x20000bff,0xfffffffc,0x89fd004f,0xff1006fc,
    0x01ff5117,0x7fffff44,0x7dc04fff,0xffffffff,0x7ff5c2ff,0xfe803fff,
    0xf73fffff,0xffffd09f,0x3f6007ff,0x803fffff,0xfffffffd,0x003fffff,
    0xffb5dff5,0x41ff5009,0xff702ff8,0xffff93ff,0xff90bfff,0xffffbfff,
    0xdfa8dfff,0x9803fc99,0xffffffff,0x2601ffff,0x5ffdafff,0x413ff200,
    0x5fcabefa,0x7f7fcc00,0xff700005,0xb00001ff,0xffffffff,0xfffb85ff,
    0xffffffff,0x001ff900,0x7fe77f40,0xff705fee,0xb0000dff,0xfb807fff,
    0x3baa003f,0x1deeefff,0x7fffec00,0x06ffffee,0x70006030,0x07ffffff,
    0xecffffe8,0xf902ffff,0xfffdffff,0x7fd49fff,0x803fffff,0x3fffffea,
    0xfd507f91,0x2007ffff,0x3fffffe9,0xffffc880,0x7ffdbacf,0x3fff6200,
    0x2026002e,0x3ffe6018,0xfdffffff,0x65c43fff,0xcffffffe,0x07ec6feb,
    0x3ffa01ba,0xffdcabcf,0x7ec401ff,0x00002fff,0x001ff010,0x000bf508,
    0x000ff840,0x7ffffe40,0x43fffffe,0xbaacefff,0xfb01fffe,0x15c0003f,
    0x201bffd3,0x006fffd8,0x02fffb80,0xb001ffdc,0xffffffff,0x7fdc007f,
    0x3ff220cf,0x0000003f,0x005eedc4,0xb10bffea,0xfff70dff,0xfffb8839,
    0x377ffe64,0xfb8003ff,0x2003ea3f,0x70003ffb,0x7fc007ff,0x1ffe80ef,
    0x0067d400,0x3fa00000,0x3621dfff,0x3ff207ff,0x204c0eff,0x201fc85f,
    0xf301effc,0x3ea003ff,0x8000000d,0x0006feba,0x000017ea,0x880003fe,
    0x3221cfff,0x3fe24fff,0x40ff900f,0x00001ffd,0xff100098,0x36e0000d,
    0x03ffb802,0x3ffeea20,0x26001aaa,0x3ea03fff,0x2aaa81ff,0x00aaaa88,
    0x7ffb0000,0x883ffe20,0x7dc04fff,0xff70c43f,0x7ff70007,0x7dc00be2,
    0xff70003f,0x07ffc007,0x0002ffc8,0x332e6000,0xffb001bc,0x3ffe20df,
    0x09fff901,0x1be07ec0,0xc803fff0,0x0000007f,0xffff1000,0x3ea00805,
    0x7c002005,0xf501000f,0x1ffe40df,0x2af7bff6,0x3aa202a0,0xaaaaacff,
    0x20aaaa00,0x100aaaa8,0x00000dff,0xb9bff700,0x7c4017bd,0x1599516f,
    0x805ffd80,0x3fe65ffc,0x7ffd47ff,0x2aa202ff,0xfa801aaa,0x70fff405,
    0xff100bff,0x03ffb803,0x733ffb80,0x01ffdc00,0x003ffb80,0xffc81ffe,
    0x26555102,0xc800accb,0xffffffff,0x77fec00e,0x40bff600,0x54003ffc,
    0x03fdabef,0x2201bfe2,0x5555102b,0x800e5cc1,0xa8800ff8,0xfd880ffd,
    0x200bf502,0x0ff806fb,0x7d45fc80,0x07fe604f,0xfffffff3,0xfff701bf,
    0xffffffff,0xffff987f,0x7ffffd47,0x26dff102,0x0000accb,0xfffff700,
    0x2207ffff,0xffffdfff,0x3ffa03ff,0x27ff8800,0x647ffffa,0x902fffff,
    0x07ffffff,0x1ffe6000,0x00007ffb,0x8003ffb8,0x70003ffb,0x2e0007ff,
    0x404dabff,0x3ff207ff,0xcffffc82,0x03ffffff,0x3fffffe2,0x200effff,
    0x7e401ffd,0x05ff902f,0x9ffff900,0x7ccff261,0x7d40005f,0xfd8affff,
    0x5401efff,0x7f4002ff,0x81fffdc3,0x7f4c05fa,0x00ff806f,0xf11bffaa,
    0x814c05ff,0xffffffea,0x7ffec2ff,0xffffffff,0x7fffd44f,0x7ffffe47,
    0xfdfff102,0x005fffff,0xffff7000,0x07ffffff,0xfffffff1,0xf105ffff,
    0x7ff400df,0x11fff2e0,0x205ffd97,0x3ffffffd,0xffe88000,0x0007ff45,
    0x00ffee00,0x000ffee0,0x9f91ffdc,0xfffff700,0x03ffc03f,0xffb05ff9,
    0xffffffff,0x77e407ff,0xfffcaabc,0x007ff603,0x3f207ff9,0x2ea0002f,
    0x2ffffca8,0x8000dff1,0xfdfffffc,0x06ffffff,0x440fffa6,0xe98ff441,
    0x3ea03fff,0x37fff205,0x880ff800,0xfd04fffd,0x00159dff,0xffecb988,
    0x3b2e21ff,0xcccccdff,0x7ffcb80b,0x17ff65c4,0xffffff88,0x002fffff,
    0x6fffcc00,0x0fffeb9a,0x67ffffc4,0x987ffeba,0x3f2005ff,0x207ff82f,
    0x97302ffc,0x0007ffd9,0x41fffe88,0x800007ff,0xb8003ffb,0xf70003ff,
    0x07ffe67f,0xdfffff70,0x903ffc01,0xff9105ff,0xfb759fff,0x7dc000ff,
    0x07ff604f,0x3207ff70,0x2a0002ff,0x82cffffd,0x01000fff,0xffffd971,
    0x0dfd79ff,0x07ffffb1,0x3fffbffa,0x01bfff95,0xfffffff3,0x0bfffaa7,
    0xffffffb0,0x07bffea7,0xfffffe88,0x5f981cef,0xd827fec0,0xff0001ff,
    0x817fe40f,0xacfffff8,0x5406ffeb,0x033001aa,0x3e21fff4,0xfff80eff,
    0x0027fd40,0xfff05ff9,0x8017fe40,0x20003ffb,0xf82fffe8,0x9997307f,
    0x7dc01599,0xffb8003f,0x7ff70003,0xb803ffe2,0x804fffff,0x3ff207ff,
    0x03bffe02,0x73007ffa,0xbff999b9,0x200ffec0,0xff903ffb,0xffda8005,
    0x7ec01cff,0x3f6201ef,0x3ffff204,0x3e604c0e,0x100dffff,0xd57bdd97,
    0x9dd15fff,0x666665c4,0xacfffd9c,0x6542cffd,0xfdaccccc,0x05ed8cff,
    0xfffffd91,0xcffc85ff,0x88dff700,0x199affd9,0xc81ffe00,0xfff102ff,
    0x01fff01d,0x0007ffe6,0x222ffdc0,0x3ff607ff,0x0037fc42,0xfff03ffb,
    0x8017fe40,0x30003ffb,0x3e07fffd,0xffff987f,0x2e04ffff,0xfb8003ff,
    0xff70003f,0xe9816d47,0x400dffff,0x23fffffc,0x04ffffd8,0x3f201fff,
    0xfffd302f,0x0bffffff,0x2e00ffec,0x3fff63ff,0xdfffffff,0x9cfffc81,
    0xd102deb8,0xb999dfff,0x640dfffd,0x36004fff,0x8000cfff,0xd0cfffc8,
    0x3ea00bff,0xdffa9eff,0xfb802ffd,0xdff91eff,0xfffb7300,0x7ffec5ff,
    0xfffeccdf,0x3ffff63f,0x01ffffff,0x3f207ff8,0x0fff102f,0xfc80ffec,
    0x2600005f,0x37fc46ff,0xff05ff90,0x83ffc00f,0x3ff207ff,0x07ff7002,
    0x5ffff300,0x2607ff40,0xffffffff,0x00ffee04,0x000ffee0,0x8801ffdc,
    0x03ffffff,0x7fffffc4,0x3ffffea7,0x207ff80f,0xffa82ffc,0xffffffff,
    0x07ff605f,0x3e67ff70,0xffffffff,0x1b984fff,0x1bffffe6,0x7fffffcc,
    0x00ffffff,0x8800fff2,0x50001fff,0x7dc3dfff,0x7ec405ff,0x987fa4ff,
    0x3ffa206f,0x1bffea3f,0x97ffa600,0xfffffffc,0x3e25ffff,0xffffffff,
    0x7ff804ff,0x440bff20,0x3ff606ff,0x001ffd02,0x237fcc00,0x3f206ff8,
    0x04ffd82f,0xff06ffb8,0x017fe40f,0x4003ffb8,0x401ffffa,0xcb981ffc,
    0x5c05ffdc,0xfb8003ff,0xff70003f,0x6fffc007,0xffc803ff,0x3f624eff,
    0xfff04fff,0x2217fe40,0xaabeffff,0x3605ffdb,0x7fe401ff,0x3fffff62,
    0x01dfffff,0x3f225f90,0xffff9102,0x8039ffff,0x2e002ffc,0x02e204ff,
    0xf313ffee,0x7c40bf9f,0x20cc1eff,0xfff306fa,0x7e7fc41b,0x7c017e46,
    0x3fb7a67f,0x82efffff,0xeefffeda,0xff800cee,0x40bff207,0x3f606ff8,
    0x03ff982f,0x27fe4000,0xfc81bfe2,0x1fffa82f,0x40bffe60,0x3ff207ff,
    0x07ff7002,0x0f7ffe40,0x4037fd40,0x7dc04ffa,0xffb8003f,0x7ff70003,
    0xffb94400,0x00000003,0x7fe40fff,0x8077fdc2,0x3f605ff9,0x17fe401f,
    0x3e200000,0x22037c45,0x009abfe9,0x4005ff90,0x3fa06ffa,0xe81efc85,
    0x2605facf,0xff5003ff,0x20ffe607,0x7c6f9dfd,0x7ffc407f,0x35fd5100,
    0x007ff600,0xf903ffc0,0x1bfe205f,0xfb82ffd8,0x02fae006,0x221fffcc,
    0x3ff206ff,0x05fff902,0x7c0bfff5,0x7fecc1ff,0x7ff7002f,0xdfffb100,
    0x3ffa2001,0x9ff9101d,0x003ffb80,0x0003ffb8,0x20007ff7,0x40003ffb,
    0x7fc000ba,0x90bff207,0xff7109ff,0x0ffec0bf,0x3007ffa0,0x3e600037,
    0xfd007e84,0xffc8001b,0x3ffe2002,0x1bfea20b,0xf56fb80c,0x7000880b,
    0x501807ff,0x44df31ff,0xd980dfff,0xdfe807ff,0x07ffb000,0xff01b951,
    0xfffd983f,0x40dff102,0x1fe82ffd,0x3bfffa00,0x6fffeccc,0x3206ff88,
    0x3ffa02ff,0xfffeddef,0x3fff600f,0xfffffecc,0x3ffb804f,0x2ffff440,
    0xfff30130,0xfffb9bdf,0xffb809ff,0x3ffb8003,0x07ff7000,0x00ffee00,
    0x01fff880,0xfc81ffe0,0x77ffd42f,0xfffffecc,0x3ffa64ff,0x7eddc3ff,
    0x4ffd806f,0x4c1fd000,0x7e44404f,0x7fe4004f,0x7ffe4002,0x7ffffeef,
    0x3bbfe200,0x40003ffe,0x0001ffd8,0x3ffbbffe,0xdfffff14,0x7fffffbb,
    0x27fe4440,0xcdfffb80,0x84ffffec,0xfeccfffd,0x884fffff,0x3ff606ff,
    0x54003f82,0xffffffff,0x7fec1fff,0x3faa4fff,0xe880efff,0xffffffff,
    0x7ffcc00d,0xffffffff,0x3ffae0ff,0xffffffff,0x3fffea3e,0xffffffff,
    0xfffff707,0x5fffffff,0x7ffffec4,0x20dfffff,0xffffffeb,0x5c3effff,
    0xfffffffe,0x75c3efff,0xffffffff,0xb8804fff,0xfc804fdb,0x3623ffff,
    0x7ec4ffff,0xffffffff,0xf70fffff,0x7d4fffff,0x5c01ffff,0x50007fbb,
    0x01ffb9ff,0x04fcdfd8,0xffffffd8,0x101dffff,0xfffffffd,0x744009ff,
    0x03ffeeee,0x037fea00,0xddddd000,0x7fffc9ff,0xffffffff,0x7eeff405,
    0xfffd1004,0x3fffffff,0xffffff30,0x1fffffff,0x1fffffe4,0x8bffffd5,
    0xffb50000,0x819fffff,0x7ffffff9,0x3ffffff6,0x3fffee03,0x3e6003ef,
    0xfdcfffff,0x7fffc4ff,0xffffffff,0x3fffea7f,0xffffffff,0xffd9101f,
    0x507dffff,0xffffffff,0x7fc7ffff,0xffffffff,0x7ffc7fff,0xffffffff,
    0x7fffc7ff,0xffffffff,0x7fdc00ff,0x7fc402ff,0x3ea7ffff,0x220fffff,
    0xdffffffc,0x224ffffc,0x223efffd,0x4402efff,0x0005ffff,0x00b7ffae,
    0x007fffaa,0xfffffff3,0x809fffff,0xbefffffb,0x7f640000,0xff30002e,
    0x00bddddf,0x23ffeb80,0xffffcbeb,0xea802eff,0x22001eff,0xeffffffd,
    0x3ffe600b,0xfffdcfff,0x3ffffe64,0x3ffff67f,0x200002ff,0x4019aa98,
    0x23effffc,0x0dffffea,0x000aa880,0x8006aa60,0xffffffeb,0x2a3effff,
    0xffffffff,0x001fffff,0x44013553,0xfffffffd,0x3ae0dfff,0xffffffff,
    0x7f5c3eff,0xffffffff,0x7ff5c3ef,0xffffffff,0x7bb9004f,0x3ffff200,
    0x3fff624e,0x3555104f,0xa8800001,0x2fb6a001,0x01980000,0x36001880,
    0xffffffff,0x31001dff,0x74400003,0x50003fff,0xffffffff,0x7fec0001,
    0x4d54c05f,0x00188000,0x006aaa20,0x8006aa60,0x23effffc,0x0dffffea,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04a80110,
    0x00000220,0x70000000,0x0000a601,0x00000000,0x00154000,0x51000000,
    0x98001599,0xdeeeeeed,0xeeed9801,0x5101deee,0x55510555,0x776cc015,
    0x001deeee,0x880000a6,0x97510000,0x76440157,0xddb503de,0x3332639d,
    0xcccccccc,0x2a203ccc,0x76cc0001,0x01deeeee,0x000d554c,0x56654400,
    0x10b66000,0x76dc4099,0x3b6a2dee,0xe800bdee,0xd5002fff,0x007fffff,
    0xbdfffb30,0xac88fb03,0xdeffeca8,0xfed98001,0x3aa0bdef,0x20003fff,
    0x3f222ffa,0x0fffb807,0x0013a600,0x80027ec0,0x000dffd8,0x3bffb660,
    0x7f5c00bd,0x03efffff,0xffffff90,0xff9009ff,0x09ffffff,0xa8fffff3,
    0x202fffff,0xfffffffc,0xffe9804f,0xc801322f,0x2002dfff,0xfffffffa,
    0xffffd80d,0xfffff81f,0x2000336f,0x19fff903,0x7e4007aa,0x4fffffff,
    0x007ffe40,0xfffd7000,0xd007dfff,0x17fe41ff,0xffffffb8,0xfffff88f,
    0x7fd404ff,0xffd002ff,0x8007ffff,0xfffffffc,0x3ea3fc4f,0xffffffff,
    0x3f2003ff,0x7fffffff,0x00fffffa,0xf5bff900,0xff7005ff,0x7fe4001f,
    0x7fcc0000,0x7fd4001f,0x8002ffff,0xfffffffc,0x2fff207f,0x4ffdb88a,
    0x33333300,0x4ccc0033,0xf5019999,0xffb8ffff,0x4cc02fff,0x00199999,
    0xddff9dfd,0x3ffa00bf,0xd806ffff,0xffffffff,0x7ffdc2ff,0xfffe80ef,
    0x000334ff,0x3f3fee0e,0x001ffdff,0x26666666,0x04fff801,0x2fff2000,
    0x4ffdb88a,0x3ea37e40,0xffff500f,0x7fff4dff,0x3e202fff,0x5002ffff,
    0x07fffffd,0x77fffec0,0x88effffe,0x7fffe45f,0xfffffeff,0xffffb805,
    0x2a7fffff,0x0003fffe,0x0dfffea8,0x01fff700,0x000ffec0,0x003ffe20,
    0xd88dffa8,0x3ee002ff,0xffffffff,0x801bf907,0x000004fd,0xfcb80000,
    0x7f65c47f,0x8000002f,0x37ffa62b,0xffffc800,0x3204fffe,0xdbacefff,
    0x7cc0ffff,0x7fec406f,0x1c000662,0xdff9064c,0x40000005,0x0000fff9,
    0xd801bf90,0x0980c04f,0x80affe80,0x400eff98,0x02fffffc,0x007ff700,
    0x8833ffee,0x2fedfffc,0x20f7ffe4,0x403fffd8,0x5311cffe,0x07ff7015,
    0x0bf22000,0x00333100,0x0001ffd8,0x64001c98,0x003fa82f,0x4c473ff6,
    0x8cfb80aa,0xfd81aaaa,0xacca8804,0x65d44000,0xfff000ab,0x2017fe40,
    0x01bcccb9,0x20009800,0x3fe63fff,0x09fff504,0xf317ffa2,0x3ffb00bf,
    0x038000cc,0xaa800620,0xaaaa882a,0x004ffb80,0xca89f700,0x09fb18ac,
    0x7ff40000,0x01bfe200,0x5ffdfff3,0x0ffee000,0x80bffe60,0xc83ffffa,
    0x3ee00eff,0x1ffe00ff,0x00ffee00,0x00000000,0x67ff5440,0x000aaaaa,
    0x00000000,0x2000fff8,0xffff96f8,0x00fe89ff,0xffffffd1,0xfff5003d,
    0x801bffff,0x3ff207ff,0xfffff902,0x1001dfff,0x00355555,0x14437fc4,
    0x333dff90,0xfff53333,0x402ffcc1,0x00661ffd,0x4aaa21c0,0x200accb9,
    0x547ffff9,0xd82fffff,0x265530ff,0x3e201bcb,0x3ffffa26,0x4403fa6f,
    0x001aaaaa,0x7c401ffd,0x6ffec06f,0x70002ffc,0xffb007ff,0x0bff900b,
    0x36007fea,0xffa983ff,0x00aaaaaf,0x5530ffee,0x2aaaa015,0xaaaaaaaa,
    0xaaaaa880,0x7fffdc01,0xffffffff,0xaaaaaa83,0x40aaaaaa,0x2200aaa8,
    0xf5300aaa,0x1fa800ff,0x3f666bee,0x3e60bea0,0xffffffff,0x3fff601f,
    0x2fffffff,0xfc81ffe0,0xffff882f,0x0effffff,0x3fffff20,0x3fe2003f,
    0xfffe8006,0xffffffff,0x3fe62fff,0x21ffd805,0x64700019,0xfffcffff,
    0xff503fff,0xfffc8fff,0x8bff82ff,0xfffdffff,0x43f503ff,0x6fb88cfd,
    0x3ff20bea,0xd003ffff,0x7fc401ff,0x23ffea06,0x70002ffc,0xffd007ff,
    0x0fff1001,0xffa800d4,0x3ffffe24,0x1fffffff,0x3e27ff70,0x444fffff,
    0xffffffff,0x7e42ffff,0x403fffff,0xfffffffd,0x445fffff,0xffffffff,
    0x3f62ffff,0xfb83ffff,0x3e25ffff,0x4007ffff,0xf10fd47c,0x3e627c47,
    0xfcaacfff,0xffc81fff,0xffdbacef,0x0fff00ff,0xfc817fe4,0xffcaabce,
    0x3fff603f,0x74003fff,0x7fc000ff,0xffffffff,0x263fffff,0xffd805ff,
    0x1c000661,0xfffffffb,0x207fffff,0x5c47ffcb,0x7d42ffec,0xffffff37,
    0x903fffff,0x2e427ccf,0xfffb09f1,0x3a007fff,0x3fe200ff,0x653ffa06,
    0xf70002ff,0x6ff8807f,0x203ffa00,0xaaaaaaaa,0x6ffbaaaa,0x3fffffea,
    0x03ffffff,0x3fea7ff7,0x7c45ffff,0xffffffff,0x7fec2fff,0x4403ffff,
    0xccdffecb,0x7c40bccc,0xffffffff,0x3ffa2fff,0xffc84fff,0x3fe67fff,
    0x74007fff,0x6d4d7d46,0x3fa3742f,0xffd880df,0x827ffd47,0xff05ffe8,
    0x017fe40f,0x204ffb80,0x3ffeccb9,0x9ffd5500,0xffd00155,0xdddddddd,
    0x7cc5dddd,0x1ffd805f,0x11c00066,0x59fffff9,0xf80fffb7,0x0bff207f,
    0x7ffdc5f7,0x5ffebbdf,0x007ee6e8,0x665cc374,0xfd003ffe,0x37fc401f,
    0xf90fffb8,0x3ee0005f,0x2ffcc03f,0xf05ff900,0xffffffff,0x8fffffff,
    0xccfffccb,0xf700bccc,0x3fffee7f,0x7ffc41bc,0xfffecccc,0x7665cc0e,
    0x3f6003ff,0x3fe2001f,0xffeccccf,0x3ff660ef,0x88aa88be,0x5c1dffec,
    0x4007ffcc,0x7fffd45f,0x3e27d83f,0x7ffc00ef,0x267bff21,0xffa99999,
    0x207ff80f,0x5cc02ffc,0x5ffcccdc,0x00ffee00,0x3ffffffa,0x7e401fff,
    0x3e60005f,0x1ffd805f,0x41c00066,0xfe80efff,0x81ffe01f,0x20c42ffc,
    0x7cc5fff8,0x1f25f86f,0xfb807d80,0x1ffd003f,0x4437fc40,0x3ff22fff,
    0x7ff70002,0x004ffa80,0x3fe0bff2,0xffffffff,0x207fffff,0xfb8007ff,
    0x1efffccf,0x3ea2ffc0,0xfb800eff,0x3ff6003f,0x22ffc001,0x980efffa,
    0x97ff26ff,0x7fc01ffd,0x2a36c007,0xf81ffcdf,0x200ffea5,0x3ffa3ffc,
    0xffffffff,0xfe82ffff,0x7ffecc1f,0xffffd302,0x00bfffff,0x7401ffdc,
    0xffffffff,0x7ffcc01f,0x30aa600c,0x6c088bff,0x000661ff,0x807ffc1c,
    0x3fe02ffc,0x00bff207,0x7fc1ffe2,0x07ee6d87,0x7dc02fc0,0x1ffd003f,
    0x6c37fc40,0x17fe46ff,0x03ffb800,0xb0037fc4,0x9fff03ff,0x99999999,
    0x7fc0fff9,0xfffb8007,0xb800dfff,0x3bffea2e,0x07ff7000,0x000ffec0,
    0xfffa8bae,0x23ffe00e,0xff0ffff8,0x00fff00f,0x47ea0fb8,0x8fe60fe8,
    0xf9802ffc,0x3ffffe5f,0xffffffff,0xfffb83ff,0xfffffecc,0x7fffd44f,
    0x5fffffff,0x00ffee00,0x3fff32e2,0xff7002cc,0xfdb99dff,0x7fcc5fff,
    0xfd83fe25,0x4000661f,0x3207ff83,0x1ffe02ff,0x8802ffc8,0x0fff06ff,
    0x413e61f7,0x2e00fe61,0xffd003ff,0x237fc401,0x999bfff9,0x70003ffd,
    0xfff007ff,0xe83ffc00,0xff9800ff,0x001ffe05,0x17ffffee,0xefffa800,
    0x0ffee000,0x001ffd80,0x077ffd40,0x3eabff60,0x6ff9bfff,0x4007ff80,
    0x37f913f9,0x0fdc7be2,0xf900bff7,0x777ff47f,0xeeeeeeee,0xfff882ee,
    0xffffffff,0xffff10ff,0xffb7557d,0x1ffdc00b,0x007ffc00,0x7ffffe40,
    0x2fffffff,0xffb97fe6,0x1987ff62,0xfff07000,0xf017fe40,0x17fe40ff,
    0xf837fc40,0x363f987f,0x27ea9adf,0xffb801fb,0x05ff9003,0x3f62ffcc,
    0xffffffff,0xfb8006ff,0x4ffd803f,0x906ffb80,0xff7007ff,0x003ffc09,
    0x7fffffdc,0xfffa8002,0x7fdc000e,0x07ff6003,0xefffa800,0xecffb800,
    0xffbeffff,0x007ff804,0xfffc8ff8,0x1fe7fea5,0x4403fff1,0x3ff21fff,
    0xff500005,0xffb7bfff,0x077fdc9f,0x2005ff98,0x4c003ffb,0x260007ff,
    0xfffffffe,0x2ffcc1cf,0x7ff47ff7,0x1c000660,0xff903ffc,0x903ffc05,
    0xff1005ff,0x7c1ffe0d,0xffff910f,0x401fe65d,0xf7003ffb,0x1ffe40df,
    0x3ffffff6,0x00ffffff,0x401ffdc0,0x2601fffa,0xff502fff,0x7ffcc01f,
    0x001ffe02,0x3ffbbfee,0x3fea003f,0xfb8000ef,0x3ff6003f,0xfff50001,
    0x3fe6001d,0xffffffff,0x7ff802ff,0x98ef9800,0x1ff99819,0x20beffe8,
    0x4c7ffea8,0x2600cfff,0x0d4c402a,0x3ff20ff6,0x5fffb884,0x00ffee00,
    0x4c0dff70,0xacfe8801,0x97fe6009,0xfff33ffb,0x07000198,0x7fe40fff,
    0x307ffe02,0x1005fffb,0x1ffe0dff,0x551077cc,0x800ffcc1,0xf3003ffb,
    0xffb819ff,0x7777641f,0x2efffeee,0x03ffb800,0x505fff90,0xfd80bfff,
    0xfffa82ef,0x003ffc05,0x7ec5ffdc,0xffa804ff,0x401d40ef,0x36003ffb,
    0xdca883ff,0x077ffd41,0xffff80ea,0xfffffccf,0x007ff800,0x5405ff30,
    0xfff301ff,0xffffbbff,0xffff703f,0xfffdb99d,0x3f60005f,0x3ffea131,
    0xffffecce,0xfb804fff,0x3fa6003f,0x03ff303f,0xa8026f88,0xff75fffe,
    0x98bfff9f,0xff070001,0x017fe40f,0xfd99fffb,0x809fffff,0xfff06ff8,
    0x5017fcc0,0x7dc003ff,0x3fee003f,0xffffddff,0x2ffc8004,0x07ff7000,
    0x6f7fff40,0x00ffffed,0x677fffc4,0x00ffffec,0x5c003ffc,0x3fff23ff,
    0x3bffea05,0x2017fc40,0x2e003ffb,0xfedcefff,0x3fea4fff,0x17fc40ef,
    0x89ffffd8,0xf006ffff,0x7cc000ff,0xffdbbcef,0x7ff4401f,0x1fffffff,
    0x3fffff20,0x2fffffff,0xfdff5000,0x7ffffecb,0xffffffff,0x3fffae0f,
    0xefffffff,0x7fffec43,0xffffffff,0xfdfe803f,0xffffb00f,0xfffff73f,
    0x001981df,0x7fffe470,0x3fff623f,0xffff304f,0xffffffff,0x3ffae01f,
    0xfffb13ff,0x677fcc0b,0x01fffdbb,0x3fffffae,0x03efffff,0x3ffffff2,
    0x3a6005ff,0x404fffff,0xffffffeb,0x103effff,0xfffffffd,0x3a6001bf,
    0xffffffff,0xfffe981e,0x4fffffff,0x43fffea8,0x24fffffe,0xfffffff9,
    0x2e4fffff,0xfffffffe,0xd103efff,0xffffffff,0x3ffe63ff,0xffffffff,
    0xdfff704f,0x9827ffec,0xfffffffe,0x2e2000df,0x0bdffffd,0xfffd9100,
    0xd30019df,0xffffffff,0xfc800039,0x3ff221ef,0xffcdffff,0x7fffc4ff,
    0xffffffff,0x7fffd47f,0xffffffff,0xfe9801ff,0x3ffa605f,0x3ffff25f,
    0x0001980d,0x3ffffe27,0x3fffea7f,0xfff300ff,0xfffb9fff,0x7ffffc09,
    0xfffff57f,0x7fedc403,0x7c00bdff,0xffffffff,0x5407ffff,0x02ffffff,
    0x7ffffe40,0x3ffe00ff,0xffffffff,0x7fdc07ff,0x0003ffff,0x7ffffff9,
    0x7ffffec0,0x0fffffff,0x11fffff4,0x1fffffff,0x3fffffea,0x24ffffff,
    0xffffffff,0x207fffff,0xffffffd8,0x3ffea0be,0xffffffff,0x7fff304f,
    0xd817ffd4,0xffffffff,0x260002ff,0xaa880001,0x55310000,0x00000135,
    0x4d554401,0x3ffae000,0xffffffff,0xffffd83e,0xefffffff,0x00044002,
    0x30055440,0x55555557,0x49555555,0x24effffc,0x04ffffd8,0x0001aa98,
    0x47dfffd7,0x4005fffd,0x7f5c0019,0xffffffff,0x551003ef,0x3fa60001,
    0x5c04ffff,0xfffffffe,0x1003efff,0x20000155,0xe9800aa8,0xffffffff,
    0xffea84ff,0x7fffe43f,0x3fffea4f,0xffffffff,0x3ffffae4,0x3effffff,
    0x01aaa880,0x3fffffea,0x04ffffff,0xfff03ffe,0x3fffa601,0x00dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xeeeeeec9,0x76d43dee,0x776c00ee,0x3bb6e23d,
    0xdb711cee,0xddb707bd,0xbddb707b,0x5c000007,0xdb83deed,0x76d43dee,
    0xeeda83de,0xd980002d,0x88000003,0x4eeeeeec,0x3bbae200,0x3bbb6a3d,
    0x3bbbb21c,0xeeeeeeee,0x3bb6e4ee,0x3deeeeee,0x2ab32e20,0x3b6a2000,
    0xeeeeeeee,0x777764c6,0x00003dee,0xdddb7100,0xdddddddd,0xeeec98bd,
    0x3003deee,0xbdddddd9,0x3bb26007,0x223deeee,0x3b6e20dd,0x0aceeeee,
    0x3bbb6e00,0xeeeeeeee,0x7776446e,0x3bbb6a3d,0xeeedb81c,0x001aceee,
    0x06f332e6,0x77776dc0,0xeeeeeeee,0xfffd003e,0xffffffff,0x3ffffe23,
    0x3fffee04,0xfffff72f,0x3ffeedff,0x3fe62fff,0x3e61ffff,0xf31fffff,
    0xf980003b,0x261fffff,0x31ffffff,0x43ffffff,0x1ffffff9,0x85665440,
    0x0000fff9,0x7ec0fecc,0x0fffffff,0xfffff900,0xfffff13f,0x7fffecbf,
    0xffffffff,0xffff55ff,0xffffffff,0xffffd305,0xffd700ff,0xffffffff,
    0xfffe8fff,0x02ffffff,0x801dd100,0xfffffffa,0x7fffffff,0x7ffffff4,
    0xfe802fff,0xffffffff,0xffffe802,0xf92fffff,0x7fffdcbf,0xcfffffff,
    0x7fffcc00,0xffffffff,0x7ffe47ff,0xfff89fff,0x7fd45fff,0xffffffff,
    0x3ff200cf,0x0effffff,0x3ffffea0,0xffffffff,0xff9004ff,0xffffffff,
    0x7ffff41f,0xffffd00f,0x3fffe61f,0xfff54fff,0x7fc41fff,0x7fc45fff,
    0xffb0ffff,0x220003bf,0x20ffffff,0x0ffffff8,0x3ffffff1,0x7fffffc4,
    0xffffd500,0x0dfffdff,0x7ffec400,0xfffffb85,0xf5004fff,0x3a1fffff,
    0x363fffff,0xffffffff,0x35ffffff,0xffffffff,0xf883ffff,0x0fffffff,
    0x3fffff20,0xffffffff,0x7fffe47f,0x000fffff,0x9805ff50,0xffffffff,
    0x47ffffff,0xfffffffc,0xffc800ff,0x0fffffff,0xfffffc80,0xff70ffff,
    0x7ffffccb,0xffffffff,0x77fff400,0xffffffff,0x7fffd47f,0x3ffffa7f,
    0x7fffcc4f,0xffffffff,0xffff880f,0x0effffff,0xffffff30,0xffffffff,
    0x4cc4009f,0x019dffb9,0x507ffffb,0x260dffff,0x3e609eff,0x3ea02fff,
    0xfffa82ff,0x7ffffcc2,0xff70000c,0x7fff707f,0x20fffea0,0x2a02fffa,
    0xffffffff,0x8000efff,0x1fffffc8,0xffff3310,0x7fcc00ff,0x2ffd880e,
    0x64cd7fec,0xffa99cff,0x7fe4ccc5,0xff70199c,0x403df75d,0xeacefffc,
    0xff999aff,0xeffa9887,0x7dc00019,0xfff3003f,0xf3333333,0xff5310ff,
    0x9880033d,0x0019effa,0x4f7fd4c4,0xfd83f981,0xfdb999af,0xff9806ff,
    0x999affeb,0xeff987ff,0x02ffd880,0x2666fff6,0x906fffdb,0xf95579df,
    0xff9807ff,0x9999999f,0x20004ffb,0x7ec04ffa,0xffd86fff,0xdff106ff,
    0x01efffa8,0x220fffc8,0xf9104fff,0x0007ffff,0xf987fff2,0x7fe404ff,
    0x027ff40f,0x557dfff7,0x009ffffb,0x9fffff70,0xddff5001,0x3e2005ff,
    0x07ff606f,0x7fdc3ffb,0xb817fe63,0xffd803ff,0xfff70022,0x7c0ffe89,
    0x17fe607f,0x1ffdc000,0x406ff880,0x3fe607ff,0x7fcc0005,0x7fcc0005,
    0x7ec1b205,0x7fff501f,0xfe9ff980,0x2e3ffc0f,0xeeeefffe,0x04efffee,
    0x3ea05ff9,0xfb8003ff,0x07ff804f,0x00027fd4,0xfd809ff5,0x3e62ffff,
    0xf106ffff,0x77ffe4df,0x97ffa000,0xd9806ffd,0x002fffff,0xf88fffd8,
    0xffd005ff,0x8077fe4b,0x7c44fff8,0x000fffff,0x3bffffd5,0x5dffec00,
    0xff1005ff,0x20ffec0d,0x3fee1ffd,0xb817fe63,0xffd803ff,0x13ff6003,
    0xffd03ffa,0xc9affcc0,0x7ff70001,0x51bfe200,0xf302ff47,0x001db8bf,
    0x8000bff3,0x1f505ff9,0xb807ff60,0xbfe406ff,0x3ff40ffe,0xfffffff1,
    0xffffffff,0x05ff903f,0x7303ffdc,0xbff999b9,0x398fff00,0x8000bfe6,
    0x7ec04ffa,0x3f26ffdf,0xf106ffdf,0x37fff6df,0x7ffcc000,0x001fffaa,
    0x3bffffa6,0x3ffa2001,0x000effee,0xff35fff3,0x2ffd403f,0x3fbfffa2,
    0x7ff4c04f,0x44002eff,0xfff88fff,0x06ff8800,0xffb07ff6,0xf11ffdc1,
    0x1ffdc09f,0x007ffd40,0xffd07ff8,0x09f93fb1,0x7fe77fcc,0x7ff70007,
    0x99bfe200,0x403b52ff,0x3fea5ff9,0x0bff3006,0x05ff9800,0x0ffec033,
    0xe807ffa0,0xfb1ffd4f,0xfca89f75,0xccccccff,0xf903dffe,0x1ffe805f,
    0x7fffff4c,0xf805ffff,0xc8bfe67f,0x3ea0000c,0x57fec04f,0xfff89fff,
    0xff106ffa,0x009fffbf,0x7ffffe40,0xff50004f,0x2001bfff,0x1ffffff8,
    0x77ffdc00,0x7fec04ff,0x27fffa21,0xfb105ffa,0x0005ffff,0xffc93ff2,
    0xafff8804,0xffeaaaaa,0x3ee2fd41,0x700fec3f,0x3fa007ff,0x5ff9805f,
    0x9ff9ffd0,0xffff3002,0x2e000dff,0xff1003ff,0x07ff955f,0xf72ffcc0,
    0x3fe600ff,0x7fcc0005,0x3ffb0005,0x102ffd80,0x33ffa5ff,0x3e2014ff,
    0xaaaaaaff,0xea981ffe,0xc82aacff,0x3ffea3ff,0xffffffff,0xaafff805,
    0x00004ffc,0x36027fd4,0xbdffc9ff,0x06ff8dff,0xfffffff1,0xffe8000b,
    0xb80006ff,0x00cfffff,0x02ffff98,0xdffffd00,0x744fff00,0xdff11fff,
    0xfffffc88,0x7ffc0003,0x201ffe61,0xfffffff8,0x001fffff,0x70007ff7,
    0xff7007ff,0x86f225ff,0xffd03ffb,0x2a00bfff,0x00cfffff,0x7fffff4c,
    0xefffffff,0x7ffffc41,0x26004fff,0x0bb225ff,0x002ffcc0,0x0017fe60,
    0x2e00ffec,0x1ff703ff,0x17fffffa,0xffffff10,0x83ffffff,0xfffffff9,
    0xa7fdc4ff,0xabeffff8,0x805ffdba,0xffffffff,0x500a6004,0xffd809ff,
    0xffffff89,0xf106ff89,0xbfffffff,0x7ffcc000,0xf300001f,0x801dffff,
    0x003ffffa,0x7fffee5c,0xffd00bcd,0x43fffd15,0x3fa24ff9,0x0002ffff,
    0x7f437fd4,0x7ffc402f,0xffffffff,0x3b32e01f,0x002ccdff,0xfb807ff7,
    0xfa8fffff,0x07ff70ff,0x17fffffa,0xdffffb10,0x3fff6003,0xffffffff,
    0x7fc45fff,0x04ffffff,0x0017fe60,0x000bff30,0x0005ff98,0xfa803ffb,
    0x74dfb04f,0x405fffff,0xfffffff8,0x4c1fffff,0xffffffff,0xba7fd44f,
    0xff300eff,0xfffff00b,0x22009fff,0x3fea02ff,0xd8ffec04,0xff16ffff,
    0x3fffe20d,0x006fffca,0x0013ff20,0x3ffff220,0xfff9803f,0x91001fff,
    0x99dffb99,0x3bff2019,0x7f41fffe,0xffffb82f,0xfb0000cf,0xffddddff,
    0xfff880bf,0xfecccccc,0xffff501f,0x05ffffff,0x4407ff70,0xdffecfff,
    0xff31fffd,0x3f7ffa0b,0x3fff205f,0x8b6206ff,0xffffffd9,0x1dffffff,
    0x6e67ffc4,0x3e6003ff,0x80f6205f,0x36205ff9,0x817fe603,0x1ffd83d8,
    0xf81ffdc0,0xdfffeeff,0x7fc405ff,0xeccccccf,0xfeba81ff,0xfb82bcdf,
    0x109ff93f,0xf00bfff7,0x9ffb99ff,0x813fea00,0x7ec04ffa,0x5ffff31f,
    0x7c41bfe2,0x3ffe60ff,0x7ff70003,0xfffb8000,0xe8800cff,0x0fffdeff,
    0x03ffb800,0xffffff10,0x07ffecc5,0xfffffc88,0x7ffc4003,0xffffffff,
    0x1bfe200f,0xf301ffd8,0xffffffff,0x7ff7003f,0xf9a7fd40,0x7c2fffff,
    0xd1ffd07f,0x3ffee05f,0x3f205fff,0x03ffb807,0x7ccdff10,0xf980ea3f,
    0x81ff205f,0x3f205ff9,0x817fe607,0x1ffd87fc,0x5417fec0,0xffffffff,
    0x7c402fe8,0x07ff606f,0x6c02ffc8,0xdfff52ff,0xfffffd99,0x3ffc09ff,
    0x2a005ff3,0x3fea04ff,0xb0ffec04,0x37fc4fff,0xfb86ff88,0xfb8000ff,
    0xff50003f,0x4001bfff,0xfe88fffe,0xb555006f,0x80555bff,0xcceffffb,
    0x802ffffe,0x2fffffd8,0xfffff900,0x9fffffff,0xb037fc40,0x554403ff,
    0x00aadffd,0x6407ff70,0x3ffee2ff,0x83ffe85f,0x5d410ffe,0xff5bff50,
    0x00ffec0b,0x4400ffee,0x8865c6ff,0xbff302ff,0x980ffec0,0x3ff605ff,
    0x40bff301,0x7fec1ffd,0x407ffc01,0xffcccffc,0x2065410f,0x3f606ff8,
    0x0bff201f,0x7ec1fff0,0xffffffff,0xf00fffff,0x000cb8ff,0x7e409ff5,
    0x0ffec02f,0x7fc47dd3,0x20dff106,0xb8003ffd,0x74c003ff,0x001effff,
    0xf10fffe4,0xee880bff,0xeeeeffee,0x3ffff601,0x1fffffff,0x7fff4c00,
    0x7ffc02ef,0xa999999a,0x3fe207ff,0x007ff606,0x4001ffdc,0x3ee03ffb,
    0x17ffec4f,0x3a17ffdc,0x1ffc40ff,0x817fe633,0x7dc01ffd,0xdff1003f,
    0x304ffa80,0x7fec0bff,0x40bff301,0xff301ffd,0x20ffec0b,0x3f601ffd,
    0xe89ff06f,0x1ffc40ff,0xfd81bfe2,0x0bff201f,0x6446ffd8,0xcdffffff,
    0x3e05ffff,0x7d40007f,0xfffa81ef,0x00ffec01,0xf8837fc4,0x1fff306f,
    0x03ffb800,0xfffffb30,0xfff70005,0x09fff507,0x801ffdc0,0xfffdfffd,
    0x0000ceff,0x37ffffaa,0x806ffa81,0xff102ffd,0x00ffec0d,0x8003ffb8,
    0x3e603ffb,0xfffdceff,0xfffd85ff,0x40ffe8ac,0xff304ffa,0x00ffec0b,
    0x4400ffee,0x7fd406ff,0x40bff304,0xff301ffd,0x80ffec0b,0x3f605ff9,
    0x20ffec1f,0x81fffda9,0x7ff42ff9,0x2227fcc0,0x3ff606ff,0x30bff201,
    0x203fffb5,0x6409aaa8,0x03ffc02f,0x3fffea00,0x4fffecdf,0x3ffff620,
    0xffffc85f,0xfffb11ef,0xffd85dff,0xffb103ef,0x1bffffff,0x7fffff50,
    0xfffd3000,0x7fec43df,0xfd501eff,0x05dfffff,0xa88bffe6,0x5c00000a,
    0xb32fffff,0xb0bfffff,0x41dfffff,0x24fffffc,0x85ffffec,0xffffffd8,
    0x7ec40dff,0xffffffff,0x3fff20df,0xffffffff,0xfffffd82,0xffffffff,
    0x3ffae4ff,0xffffffff,0x5c01ffff,0x7ec403ff,0xffffffff,0x2a4fffff,
    0xfffffffe,0x1fffffff,0x3fffffaa,0xffffffff,0x3fffaa1f,0xffffffff,
    0xffb11fff,0xffffffff,0xffe887ff,0xffffdcff,0x4fffffff,0x97fffff6,
    0x0efffffc,0x3fffff62,0x4fffffff,0x557ec000,0xffffb10c,0x4007dfff,
    0xffffffe9,0x7dc04fff,0x21ffffff,0xfffffff8,0xffffff74,0xffff98df,
    0xfffff507,0x907fffff,0x00019fff,0x3ffffff2,0x3ffffee4,0xffffd04f,
    0x740dffff,0x0000002f,0xcafffe44,0x1fffffff,0x3fffffe6,0xfffff34f,
    0xffff13ff,0xffb85fff,0xffffffff,0x7ffffdc2,0x3fffffff,0x77ffffdc,
    0x3f605ffe,0xffffffff,0x3a4fffff,0xffffffff,0x1fffffff,0x2017fd40,
    0xfffffffb,0xffffffff,0x3fffffa4,0xffffffff,0x3fffa1ff,0xffffffff,
    0x3fa1ffff,0xffffffff,0x71ffffff,0xffffffff,0xf707ffff,0xffffffff,
    0xffffffff,0x3fffe69f,0xfff89fff,0x3ee2ffff,0xffffffff,0x80003fff,
    0xf51ffffa,0xffffffff,0xff93000d,0x1007dfff,0x0bfffffb,0x3bfffff9,
    0x3fffff62,0x3effe82e,0xfffffb10,0xd301bfff,0xd9800039,0x221dffff,
    0x01effffd,0xffffffd5,0x0000805d,0x3b220000,0xfffffb31,0xfffffb0b,
    0x7fffec3b,0x3fffb25f,0x7fec40df,0x0dffffff,0x7ffffec4,0x80dfffff,
    0x8001aa98,0xffffeca8,0x24ffffff,0xffffffeb,0xffffffff,0x0076c401,
    0x3fffff62,0xffffffff,0x3fffaa4f,0xffffffff,0x3faa1fff,0xffffffff,
    0x2a1fffff,0xfffffffe,0x1fffffff,0xffffffb1,0x220179df,0xfcbffffe,
    0xffffffff,0x3fff64ff,0x3fff25ff,0x3f620dff,0xceffffff,0x2600000b,
    0x3ff621cc,0x03efffff,0x00554400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x776d4000,0xeeeda82e,
    0xdddd10ce,0xdddddddd,0xeeeedb83,0x2201acee,0xeeeeeedb,0x6dc01bde,
    0x220bdeee,0x23deeedb,0x3deeeeb8,0xbdeeedb8,0x3bbbb6a0,0x76402dee,
    0xeeeeeeee,0x2a4eeeee,0xeeeeeeed,0xdb7101bc,0x59bddddd,0x776cc001,
    0x001deeee,0x0000076c,0x016cc550,0x55510654,0x15555105,0xccb981ae,
    0xa88001bc,0x4010bccc,0x05555008,0x80155551,0xbb981bb8,0x332a2000,
    0x5d44000a,0x2a000abc,0x8012cccb,0x6542ccb9,0x2aaa201b,0xaaaa880a,
    0x01555101,0x88055544,0x2e60aaaa,0x22aa601c,0x2f2a1cc9,0xfffff880,
    0x7ffffc0f,0xffff14ff,0xffffffff,0x7ffffd43,0x0cffffff,0xffffffb8,
    0x0dffffff,0xffffff88,0x3fffee4f,0xfff91fff,0x7cc3ffff,0x14ffffff,
    0xffffffff,0x7fec01ff,0xffffffff,0xff15ffff,0xffffffff,0xffb81bff,
    0xffffffff,0xff9003ff,0x09ffffff,0x001ffd40,0x40566544,0x273ff66e,
    0xffb9ceec,0x8fffff35,0xd2fffffa,0xffffc81f,0x800effff,0xffffffd8,
    0xffc86fef,0x1ffffe64,0x05fffff5,0xb27fffec,0x8809ffff,0xeffffffe,
    0xffffa801,0x2a00dfff,0xfffffffe,0xfffea86f,0xfffd8dff,0xffffd84f,
    0x3fff65ff,0x7fec6fff,0xffb83fff,0x7fd45fff,0xffd8afff,0x3fe61eff,
    0xcffffdff,0xe85ffffe,0x745fffff,0x12ffffff,0xffffffff,0x7cc3ffff,
    0xffffffff,0x7cc0ffff,0xffffffff,0xf886ffff,0x22ffffff,0xfffffff9,
    0xffffff30,0xfffff81f,0x3fffa1ff,0x406fffff,0xfffffffd,0x5fffffff,
    0x3ffffffa,0x0effffff,0x3fffffe6,0x4fffffff,0x33333300,0x1dd00033,
    0x7fff4400,0xdf11efff,0x7fffffe4,0x54ffffff,0xfb8fffff,0xff8affff,
    0x3ffffe20,0x00efffff,0x3fffffe6,0x21ffffff,0xf50ffff8,0xffc8ffff,
    0xff902fff,0xffb9ffff,0x2609ffff,0xffffffff,0x3ff601ff,0xffffffff,
    0xfffffb82,0x40ffffff,0xfffffffd,0x4fffffff,0x7ffffff4,0x3fffffa6,
    0x7ffff47f,0xffffc84f,0x7fffe47f,0xffffffdf,0x3fffea6f,0xffffffff,
    0xe883ffff,0x4c42ffff,0x3fe20fff,0xfe99999e,0xbffd80ef,0xfffdb999,
    0x33dff306,0x7fffb733,0x806bffa0,0xc887ff99,0x3a200eff,0xfd880cff,
    0xd80099af,0xffc99aff,0x45ffa99c,0x999affd8,0x984fffdb,0xb9999fff,
    0x0002fffe,0x98000000,0xffffffff,0x6c3fbaff,0xffffffff,0x7fe5c5ff,
    0x7ff65c47,0xefc85fdc,0xfffcaabc,0x33fffa03,0xffffdcab,0x2e37ff41,
    0x65c47ffc,0xffb82ffe,0xfffffddf,0x41fffcbf,0xaacffff9,0xc81ffffc,
    0xdbacefff,0x7fc0ffff,0xfebaacef,0x677d41ff,0xcfffffbb,0x2e61fffc,
    0x261cfffe,0x41ceffec,0x88beffd9,0xffec88aa,0x7f65c41d,0xebcfffff,
    0x7fff5c6f,0xbefffdad,0xffb05ffc,0x1ffe0dff,0xff90dff1,0x0bff203f,
    0x441fffd4,0x3fee06ff,0x4c3ffb05,0x17fe61aa,0x100fffc4,0x7ec01fff,
    0xcdefffff,0x2e1ffd83,0x17fe63ff,0x7d407ff6,0x06ff887f,0x51013ff6,
    0x00035555,0x3ffe6000,0xffecaacf,0xfff986ff,0x1fffdaad,0x7e40fff0,
    0x8000dfff,0xff904ffb,0x3ffe603d,0xf805dc41,0x0bff207f,0xffb8fffa,
    0x17ff64ff,0xb101bffd,0xfffa8fff,0x4bffd104,0xf900fff8,0x7ffe400f,
    0x2217ff23,0xff880fff,0x9bfe601f,0x3ff65ffc,0x7fffe401,0x7e404c0e,
    0x43ffea5f,0xffb07ff8,0xfff09fff,0x7d45ff88,0x3ff203ff,0x21ffee02,
    0x3e606ff8,0x45ff906f,0x3fea6ffe,0x813ff205,0x7ec05ffc,0xffffffff,
    0x87ff60df,0x3fe63ffb,0x201ffd85,0x7fc41ffe,0x81bfe606,0x3ffffffc,
    0xfd000000,0xffb101bf,0x0bff705f,0x3fe07ffb,0x033ff207,0x33372e60,
    0xfff05ffc,0x007fc803,0x7e40fff0,0x43ffc42f,0xa999ffff,0xdff10fff,
    0x21fff801,0x9999effc,0x0fffa999,0x2af7bff6,0x5cc402a0,0x99fffdcc,
    0xd80fffa9,0x5ffc84ff,0xf88fff80,0x0fff0fff,0x009fff90,0x3ea2ffc8,
    0xd83ffc4f,0x41fffcff,0x23fe87ff,0x6404fff8,0x7ff402ff,0x8837fc41,
    0xff704ffd,0x47fffe27,0x3e604ffb,0x07ffe07f,0x999bffb0,0x6c9ffffb,
    0x8ffee0ff,0xffd84ff8,0x81fff101,0x3ee06ff8,0x3fff604f,0x00003fff,
    0x00eff880,0x7ec17ffc,0x05ffa82f,0x7fe40fff,0x7fff4c02,0x85ffffff,
    0xb8806ff8,0x0fff0002,0x3ea17fe4,0xffffd84f,0x51ffffff,0xff9007ff,
    0x7fffff47,0xffffffff,0x3fffe62f,0x500dffff,0xffffffff,0xffffffff,
    0x41fff303,0xd801fff8,0xffffaaff,0xc806ff9b,0xfc8003ff,0xf13fea2f,
    0x27ff60ff,0x3ffc6ffd,0xdffd10c4,0x67ff54c0,0x3ffc82aa,0x5557ffc4,
    0x01ffffdb,0x3fee9ff5,0x07ff93ff,0xfa83ffe8,0x1ffd806f,0x7d4fff70,
    0x361ffdc5,0x01ffd81f,0xff10fff7,0x5fffb30d,0x7f665cc0,0x7ffd403f,
    0xffffffff,0x7ff72fff,0xb09ff900,0xbff305ff,0xfc81ffe0,0x3ffea02f,
    0xffffffff,0x005ff985,0x07ff8000,0xff90bff2,0xfffff707,0x325fffff,
    0xff9802ff,0x3fffffe5,0xffffffff,0x7fff543f,0x6c2fffff,0xffffffff,
    0xffffffff,0x49ffb02f,0xf7005ffc,0xdffffd9f,0xf9009ff7,0xff90005f,
    0x3e27fd45,0x13ffb07f,0x3ffc7fff,0x807ffec0,0xfffffff9,0x27fdc4ff,
    0x3fffffe2,0x204fffff,0xfffd5ffa,0x00bff6df,0xffd0dff5,0x03ffb007,
    0x2e00fff4,0x3f6003ff,0xfdb999af,0xfff884ff,0xfffffeee,0x1ffdc005,
    0x3fffff60,0xffffffff,0x005ff95f,0xff70bff3,0x207ffb0b,0x3ff207ff,
    0xdffff102,0xbffb7557,0x000dff10,0x40fff000,0x7fdc2ffc,0xeefffd85,
    0xf71eeeee,0x7ff900bf,0x77777ff4,0xeeeeeeee,0xfd973102,0x3fea3fff,
    0xffdaacef,0xeeeeeeef,0x11fff301,0x26003fff,0xffffffff,0xc802ffff,
    0xfc8002ff,0xf13fea2f,0x47ff60ff,0xfff0fffb,0x02fffb80,0x3fffffe6,
    0x7fd44fff,0x7ffffc44,0x1fffffff,0xff1dff30,0xffb3ffff,0x43fff003,
    0xfb007ff9,0x07ff403f,0x800ffee0,0xfffffffd,0xff105fff,0xffffffff,
    0x7ff70007,0xffffe980,0xffffffff,0x007ff71e,0xff307ff5,0xfff9339f,
    0xc81ffe03,0xdff702ff,0x417fe601,0x01000fff,0xc81ffe00,0x3ffcc2ff,
    0x401fffe2,0x2201fff8,0x3ff21fff,0x0bf30005,0xff74ffd8,0x00fff70b,
    0x7de7fec0,0x7ffc006f,0xffffccff,0x2ffc800f,0x22ffc800,0x3ffc4ffa,
    0x3fa1ffd8,0x4c0fff5f,0x54084fff,0x2bcdffeb,0x7c43ffb8,0xfdccccff,
    0xf881ffff,0xfcdffbff,0x800ffebf,0x3ff25ffc,0x03ffb004,0x2e01ffea,
    0x3f6003ff,0xffffffff,0x3fffe204,0x006fffff,0x0007ff70,0x1dff1000,
    0x40fff440,0xfffffffb,0xfff04fff,0x2fffd983,0x7109ff90,0x3f60bfff,
    0x3f6201ef,0x3fe01984,0x7ffecc1f,0x364fff82,0x5c43ffff,0x05f7ff41,
    0x98fffd51,0x2600cfff,0x033ff22a,0xff9b7fdc,0x1ffff4c6,0xff300ae6,
    0x8005ffff,0xf89ffffd,0xf9006fff,0xff90005f,0x3e27fd45,0x43ffb07f,
    0x7ffbfff9,0xb0bfff10,0x05ff907f,0x7c42ffd8,0xffd5106f,0x3fbffe0b,
    0xffeff9af,0x1fff1007,0x2001fff1,0xaaaacffd,0xb804fffc,0x3f6003ff,
    0x1cdeffff,0x4cfffc40,0x005fffd9,0x0003ffb8,0x7dffd000,0x3fff5441,
    0x7fffffdc,0x83ffffff,0xfeccfffd,0xa84fffff,0xfeccefff,0x44ffffff,
    0xccefffe8,0x46fffedc,0xffb06ffd,0xffffd99f,0xfffa89ff,0xffffffee,
    0x21fffecd,0xddfffff9,0xb81fffff,0xdcceffff,0xfb2ffffe,0xfd99bfff,
    0x7ffc7fff,0xfffffdcf,0x1fffecdf,0x37fffec0,0x37ffdc00,0x6c09fffb,
    0xffffffff,0xfd881dff,0xfff54fff,0x07bffe1b,0xffc83ffb,0xffb07fff,
    0x90dff01d,0xfff805ff,0x2037fc40,0xffd07ff9,0x7fffcfff,0x3ff6006f,
    0x2005ffbb,0xfffffffd,0xf7004fff,0x7fec007f,0xdff10001,0x00bfff90,
    0x0003ffb8,0xffff3000,0xfffffbbf,0xb5bffb03,0xdffb5bff,0xffffff30,
    0x1fffffff,0xffffffb0,0xffffffff,0xfffff981,0x0fffffff,0x207fffe2,
    0xfffffff9,0x40ffffff,0xcffffffd,0xfffffffd,0x7fff441f,0x01ffffff,
    0x3ffffff2,0x92ffffff,0xffffffff,0xff98bfff,0xffffffff,0x0fffffff,
    0x17fffcc0,0x1fffcc00,0x2605fff5,0xffffffff,0xfa84ffff,0xfa8fffff,
    0xffff2fff,0xe81ffd89,0xfc87ffff,0x6ff881ff,0x3602ffc8,0x6ff886ff,
    0xd80ffe80,0x3f25ffff,0x2a005fff,0x02ffeeff,0x3fffff60,0x2002ceff,
    0x36003ffb,0xf10001ff,0x3ffee0df,0x0ffee002,0xe8800000,0xffffffff,
    0x009d501f,0x3fe605f9,0xffdbdfff,0xfff9104f,0xfff9bfff,0x3ff2209f,
    0x1cffffff,0x2606ffe8,0xdcffffff,0xff904fff,0x7ffe49ff,0xd9101cff,
    0x019dffff,0xfffffd30,0x74c39fff,0xffffffed,0xfffd302e,0xfff9dbbf,
    0x3a0039ff,0x3e0006ff,0x07ffc0ff,0xffffffb0,0x103bffff,0x2a9ffffb,
    0xfff0dfff,0x81ffd83d,0x547ffff9,0xff103fff,0x985ff90d,0x881fffda,
    0xf93106ff,0x3fff20ff,0x3fffe62f,0x7fff4004,0x7fec007f,0x2000099a,
    0x36003ffb,0xf10001ff,0x7ffe40df,0x07ff7000,0x007fa200,0xffffec88,
    0x000000ce,0x0000d4c0,0x0026aaa2,0xaaaa9880,0x80154009,0x10001aa9,
    0x15510155,0x00aa8800,0x35553100,0x2aaa2001,0x1551001a,0x00002aa0,
    0x00000000,0x00000000,0x7fffec40,0x3fffe44f,0x3ffffff6,0x26ffffff,
    0xffffffd8,0x44ffffff,0xffffffd8,0xffffffff,0x1ffff704,0x004ffff8,
    0x01ffffdc,0xffffffc8,0xfb1004ff,0xbfffffff,0xfffff901,0xd8809fff,
    0x82efffff,0x2e0efffe,0xfffffffe,0xa803efff,0x510003ff,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffffb,0xb1fffe21,0xffffffff,0x7dcdffff,
    0xffffffff,0xffb83fff,0xffffffff,0x2a05ffff,0xffc85fff,0x7fc4003f,
    0xff8800ff,0xffffffff,0xffffb801,0x42ffffff,0xfffffff8,0x3ee01fff,
    0x86ffffff,0x3e3ffff9,0xffffffff,0x9007ffff,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffb10000,0xff509fff,0xfffffd8f,0x6fffffff,0x3fffff62,
    0x100bceff,0xfffffffb,0x803bdfff,0xf982fff9,0xfc8002ff,0x3ff2005f,
    0x04ffffff,0xfffffb10,0xf901bfff,0x9fffffff,0xffffd880,0xbff702ef,
    0x7ffff5c1,0x3effffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaa0000,0xaaaaaaaa,0x9955440a,
    0x8800accb,0xaa880aaa,0x1555300a,0x401aaa98,0x01aaaaa8,0x2e200a88,
    0x32603220,0x1bb10000,0x5406a000,0xa8005100,0x00000001,0x05300351,
    0x33104ccc,0x0cddc883,0x00035310,0x900d5440,0xdddddddd,0x09dddddd,
    0x00b2e200,0x00880000,0xfffd7053,0xffffffff,0x47dfffff,0x20cc84c8,
    0xffffffeb,0xffffffff,0x3ba64fff,0xeeeeeeee,0x000001ee,0x00000000,
    0x00000000,0x7ffffc40,0x2fffffff,0x3f3ffff2,0x203fffff,0x25fffffb,
    0x43fffffd,0xf1ffffff,0x20ffffff,0x3ffffffc,0x981ffd80,0x07fe66ff,
    0x50003ff5,0xfb0005ff,0x2a3fd889,0x26007ffd,0x3f6200ff,0xffffffff,
    0x25ffffff,0x44ffffd8,0x85ffffd8,0x3ff64fff,0x3ffffe66,0x7fffec1f,
    0x3fffa05f,0x7fffec40,0x7fffcc1e,0xffffffff,0x6c82ffff,0x1bffff30,
    0x9d101c88,0x7fec07b2,0x3e37fec5,0xffffffff,0xffffffff,0x3ff90fff,
    0xfff27fcc,0xffffffff,0xffffffff,0x3fffe63f,0xffffffff,0x00000001,
    0x00000000,0x40000000,0xfffffff8,0x362fffff,0xffffffff,0xf903ffff,
    0x7ecdffff,0x3e24ffff,0xf8bfffff,0x80ffffff,0x3ffffffd,0x21fffd80,
    0x7dc6fff9,0x017fe42f,0x800ffee0,0x3a20efe8,0x3ff7f46f,0x0effe880,
    0xffffff70,0xffffffff,0x56ff4bff,0x37f21feb,0x7f43feaa,0x457ff23f,
    0x6ffddffe,0x7f5d66e4,0x43fff882,0xfebbefe8,0x3fffa20f,0xffffffff,
    0x7e80efff,0xffffff98,0x50ffd11e,0x0bfee7ff,0x221ffff1,0x3f20ffff,
    0xffffffff,0xffffffff,0x883fea5f,0x3fff22ff,0xffffffff,0x4fffffff,
    0x3bbbbba6,0x01eeeeee,0x00000000,0x00000000,0x7c400000,0xfeccccff,
    0x3f220eff,0xdbacffff,0xff9107ff,0x7ffd45ff,0x7fe540cf,0xffff50cf,
    0x332e6079,0xe8803ffe,0xfff99fff,0x43ffc80f,0x82203ffc,0x40223ffb,
    0x3e60efe9,0x0ff080ef,0x17ffff60,0x7ffffec4,0xffffffff,0xf51be5ff,
    0x237d408b,0x3fee2ffd,0x7d45ff54,0x6555442f,0x86ffa85f,0x85fc84fc,
    0x99999998,0x20099999,0x3ffa0dfe,0xebffffbe,0x1ffdc6ff,0xffd0ffee,
    0x106ffd8d,0x11111111,0x01111111,0x00062022,0x00000000,0x00000000,
    0x00000000,0xff000000,0x0efffa8b,0xd01dfff0,0x7fd403ff,0xffffaaff,
    0x98ffec02,0x4000dfff,0xd1003ffb,0x3fffffff,0x322ffe40,0xeff984ff,
    0xfebcffcb,0x077fd41f,0xf801dff5,0xffffc807,0x200004ff,0x7ec05ff9,
    0x3ffca884,0xff50ffe4,0x3fa1bf27,0x3fffff24,0x83ffd85f,0x07f880fe,
    0x36220000,0x43bfe3ff,0xffffffe8,0x4c0bfee1,0x02ee23ff,0x000000a6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22eb8000,0x200efffa,
    0xff900fff,0xfffe9805,0xd801efff,0x3fffc9ff,0x07ff7000,0x7ffff440,
    0xeffc801f,0xb837ff60,0xffffffff,0x3ee2ffff,0x3bfee0ef,0x5c07f800,
    0xfffbbfff,0xff300002,0x03bfa20b,0x703fffea,0x97fcc1ff,0x3fe20ffb,
    0x9559df53,0x20dff0bf,0x87f981fe,0x99999998,0xe8099999,0x2e64fddf,
    0x7fffec40,0x2200edc1,0x0000003d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x400efffa,0x3ff207ff,0xfffe8802,0xffb000ef,
    0x000bffff,0x2001ffdc,0x002ffffa,0xff89bffe,0x7fffdc6f,0x23ffffff,
    0x3f21fffc,0x0ff000ff,0xfb27ffcc,0x300003ff,0xbfd30bff,0x2ff5cc01,
    0x3ff11fea,0x32233fea,0x443fd2ff,0x17fcc5fc,0x3661efc8,0x3fffa24f,
    0xffffffff,0x3ae0ffff,0x26000eff,0x0000002b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffd4000,0x07ff800e,0x6c00bff2,
    0x2005ffff,0xfffffffd,0xffb8000e,0x3ffe6003,0xfd801fff,0xbffd10ef,
    0x3fffa601,0xffe881df,0x0bffd30e,0x7fc41fe0,0x0fffe85f,0x2ffcc000,
    0x88013fee,0x21be20ff,0x3fff60ff,0x3fee5fff,0x0effffee,0xffe80df7,
    0x7cc6ffee,0xffffffff,0x2fffffff,0x00000188,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001dfff5,0xffc81ffe,
    0x7fff4402,0xd800efff,0xfffcafff,0x7fdc000e,0xffff3003,0x6c03fffd,
    0x3ffa24ff,0x7fffc404,0x3ff200ff,0x017ff60e,0x77fdc1fe,0x03ffe880,
    0x8affcc00,0x98222ffe,0x27437cc1,0x3ff62364,0x7ed40dff,0xb0deecdf,
    0xffd7005f,0x3bb6e07d,0xeeeeeeee,0x00003dee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77ffd400,0x7ff81d40,
    0x880bff20,0xffbbfffe,0x7fec00ef,0x013ffee1,0x1007ff70,0xfd13ffff,
    0x5ffb03ff,0x4017ff44,0x5ffeeffd,0x7077fd40,0xfffb0bff,0x7744dfff,
    0x003ba200,0x2e9ff100,0x5fffffff,0xfffdfff1,0x2a600005,0x3b80000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x440efffa,0x07ff82ff,0x7cc0bff2,0x3fea2fff,
    0x3ff601ff,0x00fffdc1,0xd007ff70,0x7f443fff,0x20f7ec6f,0xfa800efe,
    0x2fff99ff,0x3077f4c0,0xccca8bfd,0x00002ccc,0x51ec8000,0x79999999,
    0x0ef76dcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffff98,0x24ffffff,
    0x23fffffc,0x44ffffd8,0x23fffffd,0x0dfffffb,0x3bfffff2,0x3bffffa1,
    0x3ffffae1,0x3effffff,0x7440ffec,0x5037e65f,0x7fdc009f,0x200ffee2,
    0x7ec43fd8,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff500,0x9fffffff,0x3fffffe2,0x3ffffea7,0xfffff30f,0x7ffff4ff,
    0xffff12ff,0x7fcc9fff,0x3ffe4fff,0xffffffff,0x005447ff,0x00401051,
    0x01d415c0,0x005402a0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfffffffa,0x324fffff,0x224effff,0x6c4ffffd,0x2a3effff,
    0x20dffffe,0x1efffffc,0x70f7ffe4,0xfffffffd,0x0007dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_34_latin_ext_x[560]={ 0,6,3,1,2,2,3,7,7,3,2,1,6,2,
6,2,2,2,1,1,2,1,3,2,2,3,6,5,-1,0,1,3,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,6,1,-1,1,0,0,2,0,0,1,
2,1,1,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,7,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,4,1,-1,2,-1,-2,4,1,4,4,6,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,1,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,2,1,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_34_latin_ext_y[560]={ 24,4,5,3,3,5,7,5,4,4,5,6,19,14,
20,2,4,4,4,4,5,5,4,5,4,4,10,10,6,11,6,5,4,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,2,5,4,30,3,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,5,10,10,10,10,10,10,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,3,5,8,6,
5,4,5,6,4,11,13,14,6,1,2,2,4,4,3,10,5,12,22,4,4,11,4,4,4,11,-1,-1,-1,0,
0,-1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,6,4,3,3,
4,5,5,3,10,10,3,3,4,5,3,3,4,5,5,5,3,3,4,5,5,7,9,3,3,4,5,3,4,5,
1,6,-1,4,6,10,-1,3,-1,4,0,4,-1,4,-1,4,6,4,1,6,-1,4,0,4,6,10,-1,4,-1,4,
-1,4,0,4,5,2,-1,-1,6,4,0,5,1,6,-1,4,6,4,0,10,6,4,-1,4,6,4,10,-1,-2,6,
4,6,4,6,4,6,4,-1,3,6,10,-1,4,5,5,10,1,6,-1,4,-1,3,6,10,-1,3,6,10,-1,4,
-1,3,-1,4,5,10,-1,4,6,5,-1,4,6,5,0,5,1,6,-1,4,-1,3,-1,3,6,10,-1,4,-1,4,
0,-1,3,0,4,-1,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,9,5,5,5,5,5,5,5,5,5,5,5,5,5,2,10,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,4,-1,4,-1,
4,-1,4,-1,1,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-7,-2,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_bold_34_latin_ext_w[560]={ 0,6,11,16,14,14,14,4,8,8,14,16,7,14,
6,14,14,14,15,15,14,15,14,14,14,14,6,8,18,18,18,13,13,20,18,18,17,17,17,18,18,14,18,19,
18,20,19,18,17,18,19,16,16,18,20,20,18,18,14,8,14,8,14,22,6,17,19,17,19,17,16,18,18,16,
12,17,16,20,18,16,19,18,17,14,16,18,19,20,18,18,14,8,4,9,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,14,17,14,18,
4,16,10,20,11,16,18,14,20,22,10,16,9,10,6,18,16,6,7,10,12,17,18,22,18,13,20,20,20,20,
20,20,20,18,17,17,17,17,14,14,14,14,18,19,18,18,18,18,18,14,18,18,18,18,18,18,17,16,17,17,
17,17,17,17,20,17,17,17,17,17,16,16,16,16,16,18,16,16,16,16,16,16,18,18,18,18,18,18,19,18,
20,17,20,17,21,18,18,17,18,17,18,17,18,17,17,22,18,19,17,17,17,17,17,17,18,17,17,17,18,18,
18,18,18,18,18,18,18,18,18,18,14,16,14,16,14,16,14,16,14,16,18,18,18,12,19,17,18,18,16,18,
16,18,16,18,16,18,16,19,18,19,18,19,18,19,17,15,18,16,18,16,18,16,20,20,19,17,19,17,19,17,
16,14,16,14,16,14,16,14,16,16,16,19,16,17,18,18,18,18,18,18,18,18,18,18,18,18,20,20,18,18,
18,14,14,14,14,14,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,18,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,18,16,16,16,16,16,16,16,16,16,16,16,16,16,21,20,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,17,14,16,18,
16,18,18,18,18,18,18,18,18,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,17,20,20,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__courier_bold_34_latin_ext_h[560]={ 0,21,10,24,25,20,18,10,25,25,13,18,10,3,
5,26,21,20,20,21,19,20,21,20,21,21,15,18,18,9,18,20,23,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,24,18,20,18,19,18,18,18,18,18,24,26,24,11,4,6,15,21,15,21,15,20,21,20,20,
27,20,20,14,14,15,21,21,14,15,20,15,14,14,14,21,14,24,24,24,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,20,22,19,15,18,
24,23,4,19,10,13,11,3,19,4,10,22,11,11,6,21,22,5,8,11,10,13,20,20,20,20,25,25,25,24,
24,25,18,25,25,25,25,24,25,25,25,24,18,24,26,26,26,25,25,13,23,26,26,26,25,25,18,21,22,22,
21,20,20,22,15,20,22,22,21,20,21,21,20,19,20,19,22,22,21,20,20,17,18,22,22,21,20,28,27,26,
23,19,25,21,22,18,26,22,26,21,25,21,26,21,25,21,18,21,23,19,25,21,24,21,22,19,25,21,26,27,
26,27,25,27,25,29,25,25,18,20,24,19,23,18,25,20,23,25,24,14,19,27,26,27,24,26,14,25,26,24,
26,18,20,18,20,18,20,25,21,24,20,25,20,19,20,21,24,19,26,21,26,22,18,15,25,21,24,20,25,20,
26,22,26,21,25,20,26,21,27,27,25,21,18,20,25,20,24,19,26,21,26,22,26,22,23,19,25,20,25,27,
24,25,21,24,20,25,20,20,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,24,19,19,19,
19,19,19,19,19,19,19,19,19,19,20,16,19,19,19,19,19,19,19,19,19,19,19,19,19,23,15,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,21,25,20,26,
21,26,21,26,24,26,26,26,26,26,26,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,31,27,25,22,28,24,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_bold_34_latin_ext_s[560]={ 509,500,221,69,478,284,247,507,500,144,123,
302,256,406,342,58,493,126,91,428,492,1,146,433,342,357,314,498,156,277,80,
332,193,175,55,397,394,319,490,107,196,232,1,41,356,20,1,36,151,336,169,
410,134,473,95,74,99,61,21,264,349,431,166,383,328,278,181,296,276,378,58,
201,479,108,117,75,1,491,16,361,161,313,473,396,125,321,432,452,35,257,1,
501,457,326,304,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,509,501,395,
305,242,118,507,161,372,435,244,138,181,406,195,349,233,428,200,210,321,238,51,
335,296,155,264,105,391,368,349,335,210,251,287,410,355,486,412,36,126,328,383,
273,172,1,416,1,36,31,216,254,39,450,22,90,246,400,273,235,153,191,116,
296,360,342,220,466,230,410,411,299,265,324,72,448,37,20,346,456,416,377,378,
19,411,363,380,206,137,481,68,288,55,60,79,20,225,270,1,90,302,471,311,
1,180,127,172,145,110,307,346,265,452,372,207,233,88,475,51,196,283,323,55,
54,443,234,481,149,419,198,102,22,431,364,433,17,16,288,105,189,401,74,178,
469,395,73,341,253,1,185,306,92,54,153,146,226,199,375,141,337,158,283,175,
106,392,187,192,16,211,415,248,444,376,216,73,325,462,464,262,340,308,163,462,
266,231,317,129,36,163,181,121,427,383,231,168,217,493,108,215,442,438,460,482,
396,364,246,330,87,292,445,142,251,62,157,83,130,245,138,460,291,142,272,93,
178,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,39,360,360,440,
360,360,360,360,360,360,360,360,360,360,360,360,360,18,223,360,360,360,360,360,
360,360,360,360,360,360,360,360,120,257,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,41,128,
73,484,310,214,405,1,272,86,424,291,348,367,386,329,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,1,99,457,106,41,207,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360, };
static unsigned short stb__courier_bold_34_latin_ext_t[560]={ 1,112,263,112,33,182,224,112,1,86,263,
224,263,263,263,33,137,182,182,137,203,182,160,160,137,137,244,182,224,263,224,
160,112,224,244,160,224,224,224,182,224,224,224,224,224,224,244,182,244,86,244,
182,244,203,244,244,224,224,244,86,33,86,263,263,263,244,160,244,160,244,203,
160,182,203,1,203,203,244,263,244,160,160,244,244,203,244,244,244,263,160,263,
86,86,86,263,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,1,160,112,
203,244,224,60,112,263,203,263,263,263,263,203,263,263,112,263,263,263,160,137,
263,263,263,263,263,182,182,182,182,60,60,60,86,86,60,224,86,86,60,60,
86,86,86,60,112,244,112,33,33,33,60,60,263,112,33,33,33,60,60,244,
160,112,112,160,160,182,112,244,182,112,112,160,160,160,160,160,203,160,203,112,
137,137,160,160,244,224,112,137,137,182,1,1,33,112,203,60,160,112,224,33,
137,33,137,60,137,33,137,60,137,224,137,112,203,86,137,112,137,112,203,86,
160,1,1,1,1,33,1,60,1,60,60,224,182,112,203,112,244,60,182,112,
60,86,263,203,1,33,1,86,33,263,86,33,86,33,224,182,224,182,224,182,
86,137,86,182,86,182,203,182,137,86,203,33,137,1,112,224,244,60,137,86,
182,60,182,33,137,33,137,60,182,33,137,1,1,33,160,224,182,33,182,86,
203,33,137,33,137,33,112,112,203,60,203,60,1,86,60,137,86,203,60,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,86,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,244,203,203,203,203,203,
203,203,203,203,203,203,203,203,112,244,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,60,160,
86,160,1,137,1,160,1,112,1,1,1,1,1,1,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,1,1,33,137,1,86,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203, };
static unsigned short stb__courier_bold_34_latin_ext_a[560]={ 288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_34_latin_ext(stb_fontchar font[STB_FONT_courier_bold_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_34_latin_ext_s[i] + stb__courier_bold_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_34_latin_ext_t[i] + stb__courier_bold_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_34_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_34_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_34_latin_ext_x[i] + stb__courier_bold_34_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_34_latin_ext_y[i] + stb__courier_bold_34_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_34_latin_ext_s[i] + stb__courier_bold_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_34_latin_ext_t[i] + stb__courier_bold_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_34_latin_ext_x[i] + stb__courier_bold_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_34_latin_ext_y[i] + stb__courier_bold_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_34_latin_ext_LINE_SPACING
#endif

