// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT        292
#define STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_35_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_35_latin_ext_LINE_SPACING          16

static unsigned int stb__courier_bold_35_latin_ext_pixels[]={
    0x00018800,0x00000a60,0x33310062,0x33333333,0xa8003333,0x00000004,
    0x80100002,0x0b880000,0x00004000,0xb80000aa,0x80001540,0x01880038,
    0x00000000,0x40073322,0x40000009,0x00600001,0x88000000,0xccb98001,
    0x0600001c,0x3000004c,0x000aa001,0x54400000,0x0a63cccc,0x001bee00,
    0x00017cc0,0xd803fe60,0xffffffff,0x1fffffff,0x001ff900,0x8001ee98,
    0x10003fd8,0x00be609f,0x002ff980,0x0007fb10,0x400027e4,0x5fd8aff8,
    0x0fe98000,0x002fe400,0x000f6400,0x005fff30,0x00000bfe,0x0000bfa2,
    0x80007fd1,0x640001ec,0x3fe2005f,0x00002fff,0x1ffa8dfd,0x1fec4000,
    0x000ffcc0,0x800baa00,0x16ffffff,0x7e4009ff,0xbd00002f,0xffa80000,
    0x7fffec04,0xffffffff,0x6c401fff,0x7dc002ff,0x2a004fff,0x000dffff,
    0x7f442fe8,0xbff70001,0x3ffea000,0xf70000df,0xfb10000b,0x500007ff,
    0xf30001df,0x300001df,0x0009fffd,0x400bffe6,0x00004ffb,0x0001bfe6,
    0x0001dfd3,0x013fffa6,0x00eff880,0x2fffff88,0x8fff0000,0x20003ffb,
    0xb800efe9,0x100003ff,0x001bfffb,0x2dffffff,0xe8805ff9,0x300001ff,
    0x6400007f,0xffd803ff,0xefffeeee,0x201fffee,0x2001efe8,0xffbcffe8,
    0x6ffec01e,0x4002fffa,0xffdceff9,0x7ff90004,0x37ff6000,0x8802fffa,
    0x6c47ea3d,0x2e2d9803,0x2201320d,0x3d89763d,0x07ffa200,0xceffb800,
    0x4c001eff,0x2a001eee,0xb80005ff,0x540004ff,0x320005ff,0x1effceff,
    0x3ffd1000,0x5ffd7100,0x0b6a0000,0x200019b1,0x9000dffa,0x500007ff,
    0x5fff7fff,0xffdcb880,0x900dff36,0x400001df,0x80005ffb,0xfb002ffa,
    0x22ffd45f,0x3ee01ffe,0x77ec000d,0xb81bfa21,0x3ff622ff,0x7ffdc000,
    0x98000dff,0xf70002ff,0x07fec45f,0x5c03fee0,0x3fec00ff,0xb803ff50,
    0x1ff700ff,0x006fd800,0x74c9ff70,0x0000007f,0x00027f4c,0x80007ff3,
    0x20003ff8,0x3fa64ffb,0x3fec0007,0x005ff900,0x80000000,0x64004ff8,
    0x4c0003ff,0xffb10dff,0x5bfe6003,0xca806ff9,0x7dc00000,0xc880005f,
    0x8bff6000,0x7ff45ffa,0x40006201,0x880aa039,0x0007500b,0x0002aaa2,
    0x44000150,0x3007500b,0x02f4c0bd,0xdd101fd4,0x4c0bd300,0x0750005e,
    0x5c076600,0x80000004,0x220001c8,0x5900001c,0x01d98000,0x75000097,
    0x017fe400,0x00000000,0xcb880164,0xcccceffe,0x2d8802cc,0x26001b50,
    0x0dff36ff,0x000072a0,0x00001750,0x7ec7b300,0xd17fea2f,0xeeb803ff,
    0x00000002,0x01000002,0x00000000,0x00000000,0x00000000,0x0980c000,
    0x26000000,0xcccccccc,0x000000cc,0x00000000,0x00000000,0x3ff20000,
    0xbdffec8a,0x33332a01,0xbcccb983,0xfc800001,0xffffffff,0x0000ffff,
    0xb7fcc000,0xfe806ff9,0x200005fd,0x95100000,0x7ffc459b,0x7d41ff90,
    0x203fe45f,0x801fcbfb,0xccccccca,0x3ae00ccc,0xcc9adfff,0x7f5c02cc,
    0xccc9adff,0x6666542c,0xbcccb983,0x0f3332a1,0x06f332e6,0x31033333,
    0x26601333,0x99988199,0x33333009,0x01333310,0x7fd46fe8,0x6e544001,
    0x3fe2009b,0xffffffff,0x0ccccc1f,0x004cccc4,0x09bdca88,0x81999980,
    0x30099998,0x33103333,0x2a200133,0x90009bdc,0xfffffdff,0xff309fff,
    0xfe87ffff,0x9806ffff,0x7021bcdb,0xffffffff,0x400fffff,0x22ccdb98,
    0x36ff9800,0x0f980dff,0x5c0001f3,0xc9adfffe,0x32202ccc,0xbfffffff,
    0x0f626ffe,0x2d88bff5,0x809b1fc0,0xfffffff8,0xe981ffff,0xffffffff,
    0x981fffff,0xfffffffe,0x31ffffff,0x87ffffff,0x36fffffe,0x87ffffff,
    0x56fffffe,0x3fffffff,0x3ffffff2,0x3ffffea6,0xffff91ff,0x7ffd4dff,
    0xff91ffff,0x7c0dffff,0x01ffdc7f,0xfffffc88,0x3ffe02ff,0xffffffff,
    0xffffff51,0x3ffff23f,0x3f2206ff,0x02ffffff,0xfffffff5,0x3fffff23,
    0x3fffea6f,0xfff91fff,0x6440dfff,0x2fffffff,0xfffffc80,0x5fffffff,
    0x7fffffc4,0x7ffffec2,0xffffb105,0x89fdbfff,0xaadffda8,0x9000aaaa,
    0xffffffff,0xff980bfd,0xa80dff36,0x0003f10f,0xffffffd3,0x3fffffff,
    0xffffff30,0x3fffffff,0x00bff500,0x803e93a0,0xffffffff,0x7fcc1fff,
    0xffffffff,0x4c0fffff,0xffffffff,0x0fffffff,0x5ffffff1,0x5fffffd8,
    0x5ffffff1,0x5fffffd8,0xfffffff7,0x3fffffa5,0xffff70ff,0x3ffa5fff,
    0xf70fffff,0x25ffffff,0xfffffffe,0xd885b500,0xfff9800c,0x4fffffff,
    0x2aaaaaa0,0xff71fffa,0x3a5fffff,0x0fffffff,0xffffff98,0xfb84ffff,
    0xd2ffffff,0x1fffffff,0x3fffffee,0xfffffd2f,0xfff301ff,0x9fffffff,
    0xeffffc80,0xfffeb88b,0x077fec44,0x103fffb8,0xfffffffd,0x320fffff,
    0x220003ff,0xfffffffd,0x4c07ffff,0x0bff36ff,0x00dd5bf0,0xffffff30,
    0xffffffff,0xfffe881f,0xffffdbbd,0xbff5003f,0x3bbea000,0xaaa8800f,
    0x1fffaaaa,0xa8effff4,0x0aeffffe,0x51dfffe8,0x15dffffd,0x00effd88,
    0xd887fff7,0xff700eff,0x7ffe447f,0x3fb263de,0x3f222eff,0x3263deff,
    0x222efffe,0x23defffc,0x2efffec9,0x74400000,0xecabdfff,0xe8004fff,
    0xfff911ff,0x7f64c7bd,0xfe882eff,0xfecabdff,0x7fe444ff,0x3b263def,
    0x3222efff,0x263defff,0x82efffec,0xabdfffe8,0x204fffec,0x3203fffc,
    0xfff987ff,0x40dff901,0xbacefffd,0x907ffffd,0x220007ff,0xabcefffe,
    0x407fffec,0x0ffa6ff9,0x0073f660,0x477fffa0,0xaeffffc8,0x82fffd80,
    0x002ffff9,0x4000bff5,0x00000bc9,0x7fdc3ffd,0xbfff701f,0x407ffee0,
    0x2605fffb,0xff901fff,0x07ffe60d,0xfd837fe4,0x17fec02f,0x6c02ffd8,
    0x5ffb02ff,0x002ffd80,0xfffd8000,0x03fffb02,0x6c1ffe80,0x7fec02ff,
    0x05fffb02,0x3607fff6,0x7fec02ff,0x805ffb02,0xffb02ffd,0x3fff605f,
    0x01fff901,0x6c0fffc4,0xfff885ff,0x05fffb01,0x641fffa6,0xf90003ff,
    0x7fdc03ff,0x237fcc07,0x70000000,0x3ee03fff,0xfff505ff,0xffffd103,
    0x17fea00d,0x00000000,0x7fec3ffd,0x17ffe205,0xf102ffec,0xffd80bff,
    0x01fff885,0x3e217ff6,0x5ffb01ff,0xb02ffd80,0xffd805ff,0x805ffb02,
    0xcca82ffd,0x666540cc,0x1fffa83c,0x0037fe40,0xffb07ffa,0x82ffd805,
    0x6401fffa,0x2ffd86ff,0xd817fec0,0x7fec02ff,0x01fffa82,0xfc837fe4,
    0x4ffc804f,0x641fff98,0xfff106ff,0x07ff9805,0x30007ff9,0xfd005fff,
    0x06ff980d,0x26666620,0x7fec0019,0x17ffe205,0xfd827fec,0x802fffff,
    0x54005ffa,0x2dffffec,0x0fff4000,0xfc805ffd,0x05ffd05f,0x4c05ffc8,
    0x7fe41fff,0x0fffcc06,0xfd81bff2,0x17fec02f,0x6c02ffd8,0x5ffb02ff,
    0x542ffd80,0x260fffff,0xd86fffff,0xff8804ff,0x3ffa002f,0x2017fec1,
    0xffd82ffd,0x2fff8804,0x36017fec,0x5ffb02ff,0xd82ffd80,0xff8804ff,
    0x06ffc82f,0xfb04ffc8,0x0fffc4bf,0xb005ffa8,0x0fff20bf,0x017ff200,
    0x3e6016d4,0xfff7006f,0x003fffff,0x32017ff4,0x1fff05ff,0xfb5fff90,
    0xbff5009f,0x7ffff400,0x005fffff,0xff87ffa0,0x2ffdc01f,0x5c01fff8,
    0xffd805ff,0x007ffe25,0xff897ff6,0x0bff601f,0x3605ffb0,0x7fec02ff,
    0x805ffb02,0x7fcc2ffd,0x3fe20fff,0xfff86fff,0x07ff7000,0x360fff40,
    0x7fec02ff,0x000fff82,0xffd87ff7,0x817fec02,0x7ec02ffd,0x00fff82f,
    0xf907ff70,0xffe803ff,0x23fff302,0x3f205ffd,0x0151003f,0x2000fff2,
    0x00003ffd,0x3b737fcc,0xffffff90,0x7fc009ff,0x2ffdc01f,0x7d43ffc4,
    0x0bff74ff,0x400bff50,0xffffffff,0xd0004fff,0x27fec3ff,0x6c17ffa0,
    0x7ff404ff,0x1fff9805,0x2600bffb,0xbffb1fff,0x402ffd80,0xffb02ffd,
    0x02ffd805,0xfd805ffb,0xfffa882f,0x37fdd440,0xa801ffe2,0x3fa005ff,
    0x017fec1f,0xff10bff6,0x2ffd400f,0xfb00bff6,0x0bff605f,0xf885ffb0,
    0x3fea007f,0x1efffc85,0x00fffe88,0x3fe77ff6,0x07ffa01f,0x2ffdc000,
    0x3a276544,0x400001ff,0xbff16ff9,0xfffdd910,0x36001fff,0x7ff404ff,
    0x445ff985,0x3fe66fff,0xffffd886,0x202effff,0x9309acca,0x3a000fff,
    0x3fff21ff,0x0bfff500,0x5403fff2,0xfb005fff,0x03fff3bf,0x7ceffec0,
    0x7fec01ff,0x817fec02,0x7ec02ffd,0x05ffb02f,0x3e02ffd8,0xdff300ff,
    0x2005ff98,0x3a006ff9,0x17fec1ff,0xf30bff60,0x7fcc00bf,0x2017fec6,
    0xffb02ffd,0x42ffd805,0x26005ff9,0xfffc86ff,0xffdbcfff,0x7fcc02ff,
    0x7c05ffef,0x2600007f,0xfeddffff,0x3fe0ffff,0xf9800007,0x00dff36f,
    0x07ffffff,0x403fff20,0xf985fffa,0x07fff46f,0xff50dff3,0xffffffff,
    0xfff8000d,0x1ffe8000,0x88bbffe2,0x105ffffb,0x5c45dfff,0x3005ffff,
    0x0bffdfff,0xfefff980,0x2ffd805f,0xd817fec0,0x7fec02ff,0x805ffb02,
    0x3fe02ffd,0x8dff300f,0x26006ff9,0x3fa006ff,0x017fec1f,0xff30bff6,
    0x37fcc00d,0xfb00bff6,0x0bff605f,0xf985ffb0,0x3fe6006f,0xfffffc86,
    0x4fffffff,0xfffffb00,0x007ff803,0x7fffec00,0x45ffffff,0xddb507ff,
    0x4c05bddd,0x0dff36ff,0xffbfffa8,0xdfff1006,0x5fffe985,0xfb0fff88,
    0x4ffa83ff,0xffffffb0,0xb7005dff,0xfffddffd,0x3ffd0001,0xdfffffb8,
    0x05ffffff,0x37ffffee,0x05ffffff,0x3fffff60,0xfffd8001,0xffd801ff,
    0x817fec02,0x7ec02ffd,0x05ffb02f,0x3e02ffd8,0xdff300ff,0x2007ff88,
    0x3a004ffa,0x17fec1ff,0xf10bff60,0x7fd400ff,0x2017fec4,0xffb02ffd,
    0x42ffd805,0x2a007ff8,0xcffc84ff,0xeffffffd,0x3ffe2001,0x0fff805f,
    0x3f220000,0x2dffffff,0x7c40fff8,0xffffffff,0x26dff301,0x7fec06ff,
    0x001fff8c,0xdbfffff7,0x20bfffff,0xfffbafff,0x003ffc83,0x3ffea000,
    0xffffffff,0x1ffe8000,0xffffffc8,0x405fffff,0xfffffffc,0x2005ffff,
    0x005ffff8,0x0bffff10,0xb00bff60,0x3ff605ff,0x817fec02,0x7ec02ffd,
    0x03ffe02f,0x7f437fcc,0x7ff9001f,0x20fff400,0x7ec02ffd,0x01ffe82f,
    0xfd87ff90,0x17fec02f,0x6c02ffd8,0x1ffe82ff,0x907ff900,0x332a65ff,
    0xff90001a,0x5ff9003f,0x53100000,0xffd80135,0xffffff81,0xff300fff,
    0x881bfe6d,0xbff90fff,0x7fffe400,0x5fffffff,0xfffdffb0,0x03fff30b,
    0xff500040,0xffffffff,0xfd0001ff,0x3ffa603f,0x5ffbdfff,0xffffe980,
    0x005ffbdf,0x000fffe4,0x003fff90,0xfd013ff2,0x13ff201f,0x3201ffd0,
    0x7ff404ff,0x403ffe00,0xffd86ff9,0x1fff9805,0x907ffa00,0xffe809ff,
    0x805ffd80,0x7e41fff9,0x07ff404f,0x7404ffc8,0x5ffd80ff,0x81fff980,
    0x00002ffc,0x5005ffd8,0x00000bff,0xffc80022,0xff555303,0xb7fcc01f,
    0x3f206ff9,0x03ffe65f,0xffffe980,0x105ffbbe,0x81dfffff,0x3005ffe8,
    0xff100bff,0x53337bff,0xd0001fff,0xa98803ff,0x00bff509,0xfa84d4c4,
    0x7fec005f,0x7fec0005,0x3ffea005,0x40fff500,0xf500fffa,0x7ffd40ff,
    0x80fff500,0xff500fff,0x07fff30d,0x002fff44,0xff50fff3,0x1ffea01f,
    0x101fffcc,0xff50bffd,0x1ffea01f,0x500fffa8,0x3fe60fff,0x3ffa203f,
    0x005ff905,0x1fff9800,0x05fff100,0xf500bd10,0x3fea005f,0x07ff800f,
    0x26dff531,0x3ffe06ff,0x001fff42,0xff5054c4,0x7fffe40b,0x07fff4c1,
    0x807ffb80,0x3e00fffb,0x7cc000ff,0x3f20007f,0xfc80004f,0x3fe6004f,
    0x3e60001f,0x3e2001ff,0x7fd42dff,0x3ffe204f,0x27ffd42d,0x85bfff10,
    0x7404fffa,0x7fe443ff,0x9fff706f,0x01fffd30,0x217ff620,0x542dfff8,
    0x3ee04fff,0xffe984ff,0xdfff880f,0x027ffd42,0xa85bfff1,0x3ee04fff,
    0xffe984ff,0x05ff900f,0x5ffd8000,0x67ffe400,0x05fff500,0x2004ffc8,
    0x5102effe,0xfffb0fff,0x1bfe6dff,0x7d43ffd4,0x3200006f,0x3ff204ff,
    0xffedefff,0x362002ff,0x5ffc806f,0x01ffff70,0x037fec40,0x02fff980,
    0x17ffcc00,0x00bffb00,0x005ffd80,0xdfffffa8,0xa806ffff,0xffdfffff,
    0xffa806ff,0xffffdfff,0xdfffc806,0xffffffec,0xffffd81e,0x3ffffede,
    0xfdcccc98,0xff502fff,0xffffbfff,0xffffb00d,0x7ffffdbd,0x7ffffd40,
    0x806ffffd,0xfdfffffa,0xfd806fff,0xffedefff,0xfeb983ff,0x4001ccdf,
    0xfffcccc9,0x7fe4002d,0xffeddeff,0x5c400fff,0x3fe2002f,0xffddefff,
    0xfff87fff,0xbff16fff,0x3fffff60,0x01ffffff,0x2fff9800,0xffffff50,
    0x05ffffff,0x2a013a00,0xfecdffff,0x1effffff,0x3f733326,0x2e202fff,
    0xfffecccc,0xccb8800e,0x0efffecc,0xff999930,0x326005bf,0x2dfffccc,
    0xffffb800,0x001effff,0xfffffff7,0x3ee003df,0xefffffff,0xfffe8801,
    0xffffffff,0xfffd884f,0x82ffffff,0xfffffff8,0x7fdc03ff,0x1effffff,
    0xffffd880,0x802fffff,0xfffffffb,0xff7001ef,0x3dffffff,0xffffb100,
    0x105fffff,0xffffffff,0x3fe2001f,0xffffffff,0x7ffe4001,0xefffffff,
    0x000d7001,0xfffffff5,0x50bfffff,0x5cbddddb,0xffff881d,0xffffffff,
    0x99971005,0x01dfffd9,0xf95bfff1,0x001bffff,0xfd801b20,0xffffffff,
    0xf14fffff,0xffffffff,0xffffc807,0x000effff,0xfffffff9,0x3fe201df,
    0xffffffff,0x7fffc401,0x01ffffff,0xffffe980,0xfe98004f,0x8004ffff,
    0x4fffffe9,0x7fff4400,0xdfffcdff,0x3fffaa01,0xff100dff,0x05dfffff,
    0x3ffffa60,0xfea8004f,0x000dffff,0x3fffffa6,0xffe98004,0xa8004fff,
    0x0dfffffe,0x3fffffe0,0xf1000fff,0xffffffff,0xd950003f,0x09dfffff,
    0x0000fc40,0xffffffd7,0x0000019f,0x3ffffff2,0x0fffffff,0xfffffc80,
    0xf700efff,0x01a981ff,0x000fcc00,0x3fffffee,0x1dffffbe,0xfffffff1,
    0xfff7007d,0x001bffff,0x7fffffdc,0x3fe200df,0xffffffff,0x7fffc401,
    0x01ffffff,0x006a6200,0x006a6200,0x006a6200,0x01355100,0x01a98800,
    0x15555510,0x06a62000,0x06a62000,0x03531000,0x03531000,0x03531000,
    0x2aaaaa20,0x544000aa,0x0aaaaaaa,0x1a988000,0x00055000,0x00cd5440,
    0x7ffc0000,0x01ffec02,0x7fffffdc,0x3fe600df,0x22000001,0x57310000,
    0x55440015,0x4c000aaa,0x0001aaaa,0x006aaaa6,0xaaaaaa88,0x551000aa,
    0x01555555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x403ffd40,
    0x53006ffa,0x44003555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd300000,0xb81dffff,
    0x05ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffff20,0x7fffc3ff,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x1bfffffb,0xfffffea8,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeed98000,0x00ceeeee,0x00000000,0x00ca8000,0x66665440,
    0x665c003c,0x02ccc884,0x00000000,0x0072a000,0x01e66544,0x00130000,
    0x002a0c40,0x002a0c40,0x00000000,0x5d5019b0,0x00d90000,0x00000300,
    0x9105d300,0x0051000b,0xb9105d30,0x01880000,0x00000000,0x0e540000,
    0x0006dc00,0x777776cc,0x3a000cee,0x0005f104,0x500007b2,0xfc800dff,
    0x006fffff,0x7c43ffec,0xd30004ff,0x807d4007,0xbff0006c,0xfffb007f,
    0x200000bf,0xf30006fb,0x4001fecf,0x00ff67f9,0x54001ec8,0x200d900f,
    0xffb12ffe,0x7f440005,0x3fa60006,0x01ec8001,0x50dffa80,0xff000dff,
    0xdffa8007,0x000dff50,0x00037dc0,0x400007b2,0xe80001ec,0x26005fdf,
    0x000006ff,0xb03fd000,0xfe98005f,0x2e0004ff,0x32000fff,0x06ffffff,
    0x443ffec0,0xc8004fff,0xa801efff,0x006f985f,0x201ea7a8,0x005ffffd,
    0x02ffd800,0xfb3ffa80,0xffa8001f,0x3001ffb3,0x4009fffd,0x06f985fa,
    0xffbffb10,0x7cc0005f,0xf50000ef,0xfe9800bf,0xfa8004ff,0x00effdff,
    0x002ffcc0,0x7fefffd4,0xf900000e,0x3a60005f,0x20004fff,0x004fffe9,
    0x07cc3e60,0x03fff880,0xcc816cc0,0x37fea000,0x4006feba,0xeffceffb,
    0x4fe88001,0x6e654400,0x764006ff,0x3eee885e,0x33ffa600,0xfe803ffe,
    0x02ffcabe,0x03e66b80,0x0bffb510,0x7ff44000,0x3ffa8001,0xa8001dfb,
    0x01dfb3ff,0xff9dff70,0x3bfa003d,0x002ffcab,0x006fffdc,0x00bff300,
    0x0027fe40,0x3ff3bfee,0x7ec4001e,0xf70003ff,0x400115ff,0x003fffd8,
    0x03ffd100,0x33bfee00,0x5c001eff,0x1effceff,0xf10fa800,0x7ffe4003,
    0x21bf6000,0x64002ff9,0x01efffff,0xe993fee0,0x0020007f,0x01bfe600,
    0x44000000,0x3ff20eff,0x7fff4c02,0xf10004ff,0x5400bd79,0x200005ff,
    0xf0000efd,0x003bee7f,0x77dcffe0,0x24ffa800,0x9800ffe9,0x04fffffe,
    0x0005b100,0x40007f70,0x5c002ffa,0x1ffa64ff,0x0006dc00,0x7fffff54,
    0x6dc006ff,0x3f600000,0xff70000e,0x003ff4c9,0x7f4c9ff7,0xd5bf0007,
    0xfff8800d,0x40fea003,0xb98000ed,0xd98002cc,0x20009701,0xff300000,
    0x0000000d,0x1d981ec0,0x03799500,0x0cfda800,0x017fea00,0x0003a800,
    0x0019115c,0x00c88ae0,0x12e03b30,0x03799500,0x00260300,0x00026030,
    0xb3000391,0x00012e03,0xffff9000,0x03ffffff,0xa8000000,0x0ecc0003,
    0x366004b8,0x20009701,0x8001cfd9,0x00007ffd,0x00000000,0x3ae00000,
    0xcc9adfff,0xff9802cc,0xcccca806,0xcccc99cc,0x0001cccc,0x00000000,
    0x3fea0000,0x33333265,0x00000002,0x00000000,0x00000000,0x3ea37f40,
    0x8dfd001f,0x00001ffa,0x26000000,0x99881999,0xfff88099,0xffffdbdf,
    0xbdca8802,0x00000009,0x00000000,0x00000000,0x805fff30,0x98819999,
    0x31000999,0x004599b7,0x86f36e60,0x3fffa600,0xffffffff,0x7fcc01ff,
    0x7fffc406,0xffffbfff,0x402fffff,0x99999998,0x99998099,0x09999881,
    0x10333330,0x2a013333,0xffff15ff,0xb9803fff,0x4c022cdc,0x99881999,
    0x95100099,0x9800137b,0x0022cdcb,0x04dee544,0xfb8fff00,0x8fff003f,
    0x26603ffb,0x99999999,0x19998099,0xa8266620,0x1fffffff,0xdffffff9,
    0xd885ffb8,0x3f2200ff,0x02ffffff,0x26666620,0x99999999,0x09999980,
    0x01333330,0x31033331,0x33100333,0x00033333,0x7d417ff6,0x91ffffff,
    0x0dffffff,0xffffffc8,0x4405feff,0xfffffffd,0xff984fed,0xffffffff,
    0x400fffff,0xff806ff9,0xffafffff,0x2fffffff,0x3ffffee0,0x54ffffff,
    0x3fffffff,0x3ffffff2,0x3ffffea6,0xffff91ff,0xbff50dff,0x7ffffffc,
    0xffffb100,0x549fdfff,0x1fffffff,0xdffffff9,0x7fffe440,0xd8802fff,
    0xefffffff,0x3ff2204f,0x002fffff,0x0cd885b5,0xd885b500,0xffff100c,
    0xffffffff,0x7ffffc4b,0x7fffec1f,0xfffff74f,0x3fffa5ff,0x3f60ffff,
    0x409b102f,0xfffffff9,0xfe804fff,0xffffffff,0x7c4fffff,0x44ffffff,
    0x3fffffff,0x3fffffea,0xffffff71,0x3fffee01,0x8001ffff,0xff707ffb,
    0x3a5fffff,0x0fffffff,0xfffffd88,0x07ffffff,0x3fffffa2,0x87ffffff,
    0xd51dfffe,0x015dffff,0x100dff30,0x25ffd555,0xffeaaaaa,0x3ffff602,
    0x6fffffff,0xfffffff7,0x3fffffa5,0xffff70ff,0x3ffa5fff,0x540fffff,
    0xffff95ff,0x3fe20157,0xffffffff,0x3fffee7f,0xfffd2fff,0xf301ffff,
    0xffffffff,0x7ffc409f,0xffffffff,0xfffff307,0x009fffff,0x00000000,
    0x7fffffc4,0x25ffffff,0x2ffffff9,0xb7fffffc,0x3defffc8,0x3bfffb26,
    0x00f7fd42,0x6ffff440,0x4fffecab,0x3ffffe20,0xffffffff,0x3ffe64ff,
    0x3e65ffff,0x25ffffff,0x3ffffffc,0x3ffffffb,0x3fffff20,0xa8004fff,
    0xfc880fff,0x3263deff,0x882efffe,0xabcefffe,0x207fffec,0xbacefffd,
    0x5c7ffffd,0xff701fff,0x7fcc00bf,0x2ffd8006,0x880bff60,0xfffeeeec,
    0xff911cee,0x764c7bdf,0x3222efff,0x263defff,0x82efffec,0xfffdeffa,
    0xfffe801e,0xfffecabe,0x3bfff227,0x3ffb263d,0xffe882ef,0xffecabdf,
    0xdfffd04f,0xffffd957,0x7bfffd10,0x09fffd95,0x00000000,0x3bbffe20,
    0x4fffeeee,0x427fff5c,0x41cffffa,0x7ec02ffd,0xdffff02f,0xffb00179,
    0x3fff605f,0x3fff6a01,0xeeeeeffd,0x7ffdc4ff,0x76dc1cee,0x3221efff,
    0x930befff,0x4407fffd,0xfffffeec,0x7fc4000f,0x0bff601f,0x3205ffb0,
    0x3ee01fff,0x5fffb07f,0xb1fffa60,0x7fc40bff,0x3fe6005f,0x2ffd8006,
    0x000bff60,0xfd803ffe,0x17fec02f,0x6c02ffd8,0xfff502ff,0x1001bfff,
    0x3f605fff,0x02ffd87f,0xfd817fec,0xfffb02ff,0x02fff883,0xffb0fffb,
    0x3fff605f,0x06666541,0x20f3332a,0x540cccca,0x7c43cccc,0x1fffd07f,
    0x261bffa0,0xffb03fff,0x02ffd805,0xfffffff7,0x3ffea07d,0x037fe401,
    0x1ffe67fc,0x3fa13fee,0x5ffb002f,0xfa81ffe0,0x7ffc005f,0xf8003fff,
    0x3ff602ff,0x417fec02,0xe802fff9,0x2fff886f,0x3a3ffcc0,0x7fe402ff,
    0x1bfe6005,0x80bff600,0xf8002ffd,0x3ff600ff,0x817fec02,0x7ec02ffd,
    0xffff502f,0x3ea001ff,0x1bfe205f,0xfb00bff6,0x3fff505f,0x546ffc80,
    0x3fe205ff,0x00fffd46,0xffa9bff2,0x3fe60fff,0x7fd46fff,0x3fe60fff,
    0x7fc46fff,0x02fffc87,0xfd0fffe6,0x17fec0bf,0x980bff60,0xfffffffd,
    0x804ffd85,0x2602fff8,0x43ffcaff,0xffd84ffb,0xfd17baa3,0x81ffe03f,
    0x2a005ffa,0x06ffbfff,0x203ffe80,0x7ec02ffd,0x05ffc82f,0xff505b50,
    0xf17f600b,0xffb803ff,0x1bfe6005,0x80bff600,0xf8002ffd,0x3ff600ff,
    0x817fec02,0x7ec02ffd,0xffff502f,0xf3001dff,0x84fc80df,0x7ec02ffd,
    0x04ffd82f,0x262fff88,0x27e406ff,0x22013ff6,0xfff32fff,0x7ffc41ff,
    0x7ffcc6ff,0x3ffe20ff,0x46ff86ff,0xb804fffa,0xfff91fff,0x017fec01,
    0x2200bff6,0x3ffffdb9,0xb8007ffc,0x5fee03ff,0xf5153ffc,0x47ff905f,
    0x3fe2fffd,0x40fff00f,0x36005ffa,0x1fff8cff,0x017ffc00,0xfd805ffb,
    0x03ffd82f,0x03ffc800,0xffd81510,0x02fff404,0x000dff30,0x7ec05ffb,
    0xfff8002f,0x00bff600,0x3f605ffb,0x17fec02f,0xffcfffa8,0xfff800ef,
    0x7ec0201d,0x17fec02f,0xb8007ffc,0x6fffc3ff,0x3ffe0201,0x47ff7000,
    0x440fffa8,0xa886ffba,0x5d440fff,0x23fb86ff,0x2005fff9,0xfffaeffe,
    0x017fec02,0x2000bff6,0x3e25ffd8,0x3fea007f,0x7e57fa05,0x1bb6fcbf,
    0x3e29ff70,0xfff14fff,0xf503ffc0,0x3fe200bf,0x00bff90f,0xb00fffc4,
    0xffd805ff,0x001ffe82,0x001ffe80,0x807ffe40,0x2005fffa,0xd8006ff9,
    0x3ff602ff,0x0fff8002,0xb00bff60,0x3ff605ff,0x817fec02,0xfff75ffa,
    0xfffb803f,0xd801bdff,0x7fec02ff,0x003ffc42,0xffb8bff5,0x201bdfff,
    0x2a007ff8,0x0fff85ff,0x7c0dff30,0xdff300ff,0x1dffd100,0x7fffcc00,
    0xffd805ff,0x217fec02,0x3e601fe8,0x017fe67f,0xf106ff98,0x3fbff27f,
    0x7fd400ff,0x2fffff55,0x3fe06ff9,0xdccccccf,0xff9005ff,0x007ffccb,
    0x200fffa8,0x7ec02ffd,0x007ff82f,0x000fff00,0x45dfff10,0x05ffffb8,
    0x001bfe60,0xfd80bff6,0xfff8002f,0x00bff600,0x3f605ffb,0x17fec02f,
    0x3ea5ffa8,0x7dc02fff,0xcfffffff,0x805ffb00,0x7fcc2ffd,0x1bfe6005,
    0x3fffffee,0x7fcc0cff,0x1bfe6005,0x7cc03ffe,0x03ffe06f,0x6c037fcc,
    0xb8001fff,0x800fffff,0x7ec02ffd,0x02ffd42f,0x7fccdff7,0x1bfe6006,
    0xffc87fd4,0x4c01ffff,0xffffb6ff,0x40bff55f,0xffffffff,0xf005ffff,
    0x3ffe85ff,0x80fff700,0x7ec02ffd,0x507ff82f,0x5bdddddb,0x00007ff8,
    0xfbfffff7,0x20bfffff,0xfffffffb,0x10efffff,0xfffffffd,0x7fec7fff,
    0xff0032e2,0x17fec01f,0x6c0bff60,0x7fec02ff,0x2ffffdc2,0x3bfffff2,
    0xfffd9301,0xfb01dfff,0x2ffd805f,0x30037fcc,0x3b260dff,0x0effffff,
    0x9801bfe6,0x0fff86ff,0x7c0dff30,0xdff300ff,0x03fffb80,0x0bfffa00,
    0x2017fec0,0x7fdc2ffd,0x3fee60df,0x01ffe24f,0xfb04ffa8,0xffffb33f,
    0xff8803ff,0xffdfff8f,0x3e05ffbc,0xffffffff,0xfa805fff,0x06ffa87f,
    0xd80bffb0,0x7fec02ff,0x440fff82,0xffffffff,0x003ffe1f,0x7fffe400,
    0x5fffffff,0xfffffff0,0x7fffffff,0x3fffffee,0x367fffff,0x07ff12ff,
    0x3600fff8,0x7fec02ff,0x805ffb02,0x7ff42ffd,0x7fff45ff,0xb9804fff,
    0xd87ffffd,0x7fec02ff,0x003ffc42,0x73009ff5,0x44fffffb,0x3ea007ff,
    0x00fff84f,0x7fc0dff3,0x0dff300f,0x5427ffcc,0x0dff3000,0x2017fec0,
    0x7fdc2ffd,0xfffeffff,0x0fff40ff,0xf03ffc80,0xbfffffff,0xff001ffd,
    0xff3dff7f,0x7c09ff9f,0xaaaaaaff,0xfd805ffc,0xffffffff,0x7fcc01ff,
    0x17fec02f,0x360bff60,0xffff81ff,0x320fffff,0x200002ff,0xdfffffe9,
    0xfd705ffb,0xffffffff,0x3f621bff,0xffffffff,0x54bff62e,0x7ffc05ff,
    0x00bff600,0x3f605ffb,0x17fec02f,0x517fffaa,0x83bffffd,0x1fffa800,
    0x36017fec,0x1ffe82ff,0x087ff900,0x21fffa80,0xf9001ffe,0x01fff07f,
    0xff81bfe6,0x0dff300f,0x2e1bffe2,0xdff3007f,0x027fe400,0xff503ffa,
    0xffffffff,0x0bffb03f,0x503fff30,0xffffffff,0x3a00bf57,0xff3fffff,
    0x7c07ffff,0x17fea07f,0xffffff10,0x0bffffff,0xc807ffd8,0x7ff404ff,
    0x303ffc80,0x81fff555,0x00005ffa,0xf509a988,0x000000bf,0x25ffb000,
    0x7fc05ffa,0x027fe407,0x7e403ffa,0x07ff404f,0x9f900000,0xc87ff900,
    0x7ff404ff,0x805ffd80,0x3f21fff9,0x23ffc804,0xf9805ffd,0x0fff81ff,
    0x7c0dff50,0xdff500ff,0x203fff60,0xf9801ffd,0x3fea006f,0x0fff500f,
    0x3fff6f76,0xff300cff,0x7ff4407f,0x555ff905,0x7b307ffb,0x3fffff60,
    0x5fffff91,0xf503ffc0,0xfffc80bf,0xffffffff,0xfff100ff,0x1fff5007,
    0x541ffea0,0xff800fff,0x02fff887,0x20005e88,0x5c004ffc,0x22000002,
    0xbff50fff,0x2037fcc0,0xf500fffa,0x7ffd40ff,0x00fff500,0xff000dc4,
    0x4ffd801f,0xa807ffd4,0xfff307ff,0x2fff4407,0xfb003ffe,0x1fffcc9f,
    0x20bffd10,0x7e443ffe,0x3ffa06ff,0x37ffe443,0xd817ffe4,0xff9802ff,
    0x3ffe2006,0x27ffd42d,0x006ffa80,0xd309fff7,0x3fa01fff,0x641ffe45,
    0xffff907f,0x7ffffccd,0xa81ffe01,0x7ffc05ff,0x81ffec02,0x8800fffc,
    0x7d42dfff,0x3ffa04ff,0xfff5102e,0x033fff20,0x0017ffd4,0x0017ffcc,
    0x0001fff5,0x27ffc880,0x540beffa,0x7c404fff,0x7fd42dff,0x3ffe204f,
    0x27ffd42d,0x00dff700,0x305ffff1,0xf885fff9,0x7fd42dff,0x3ffee04f,
    0x0fffe984,0x20bfffe2,0x5c2fffc9,0xfe984fff,0xfff900ff,0xfffffd9b,
    0xfff903df,0xfffffd9b,0x3ffea3df,0x00bff604,0x5001bfe6,0xffbfffff,
    0x7cc00dff,0x3ff6006f,0xfffedeff,0x87ff303f,0xffe83ffc,0x4ffffb81,
    0x007ffffc,0x7fd40fff,0x01ffea05,0x3e21bfea,0x3ea004ff,0xfffdffff,
    0x7ffc406f,0xfffddeff,0x3ff207ff,0xffeddeff,0x97100fff,0xdfffd999,
    0x3aea6001,0x2e60003f,0x4ffffdcc,0x3bffffea,0x00efffed,0xdfffffa8,
    0xa806ffff,0xffdfffff,0x2aa006ff,0x7c402feb,0xfdefffff,0xa80effff,
    0xffdfffff,0xffd806ff,0xfffedeff,0x7fffc43f,0xffffdeff,0xfffd80ef,
    0xffffedef,0x3fffa203,0xffffffff,0xfffe884f,0xffffffff,0xfffffb4f,
    0xffffffff,0x3ffff605,0x803fffff,0xfffffffb,0x3e6001ef,0x3f62006f,
    0xffffffff,0xfffff882,0xffffffcd,0x81ffffff,0x641ffffa,0xffb07fff,
    0x3aa1dfff,0x263fffff,0x0efffffe,0x7fffffdc,0x001bfe65,0x3fffffee,
    0xfa801eff,0xffffffff,0x7e405fff,0xffffffff,0x3ff201ef,0x0effffff,
    0x3ffffa00,0xfff10002,0x889fffff,0xfffffffd,0x2e000eff,0xffffffff,
    0xfff7001e,0x03dfffff,0x07ffffc0,0x7fffffc0,0x1fffffff,0x3ffffee0,
    0x8801efff,0xfffffffd,0xffff02ff,0xffffffff,0x3ff6203f,0x2fffffff,
    0xffffe880,0x1dfffcdf,0xfffffd10,0x23bfff9b,0xfffffffd,0x82ffffff,
    0xfffffff9,0xd3006fff,0x009fffff,0x0009ff10,0xbfffffd5,0x3fffee01,
    0xffffffff,0x1fffffff,0x986fff98,0xff986fff,0xfb3fffff,0x64dfffff,
    0x3fffffff,0x7ffffffc,0x00036e0f,0x7fffff4c,0xffeb8004,0x00cfffff,
    0xffffd950,0xff7009df,0x01bfffff,0x03efe980,0x7ffffc00,0x3f2203ef,
    0x00ceffff,0xffffe980,0xfe98004f,0x8004ffff,0x7002efea,0xffffd77d,
    0x3a6007ff,0x004fffff,0xfffffea8,0x2efae00d,0x3ffffffe,0xffffd500,
    0xa88001bf,0x2200009a,0xfd8009aa,0xffffffff,0xfb02ffff,0xdfffffff,
    0x1a988005,0x00edc000,0x00353100,0x79ffffb1,0xffffffff,0xf103ffff,
    0x3ffe09ff,0xfffff905,0x3fffaa1b,0x3ff662ef,0x7540dfff,0x004fffff,
    0x03531000,0x26aa2000,0x54c40001,0xaaa98001,0x0000001a,0x2aaaa200,
    0x05544000,0x1a988000,0x1a988000,0x00000000,0x00035553,0x00006a62,
    0x80006a62,0x0001aaa9,0x00003531,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x33100999,0x06200333,0x00c40000,0x00001880,
    0x00000d40,0x04c00000,0x220baa00,0x0018805c,0x80000000,0x00000018,
    0x4ccc0000,0x99998099,0x076a0000,0x5c882ea8,0x30010000,0x13333333,
    0x01a80000,0x8004c000,0x99999998,0x3b300000,0x00020000,0x40000c40,
    0x00000001,0xfd0001b9,0xff70dfff,0x700dffff,0x400001bf,0xb8000ffa,
    0x800000df,0x80003ffc,0x400001ec,0x7d4005fc,0x0dff50df,0x0001bf70,
    0x0000dd88,0x0003fea0,0x6b8003d9,0x7fcc1760,0x3e6fffff,0x004fffff,
    0x2a06ff88,0xdff50dff,0xb07fe600,0x3ffe609f,0xffffffff,0x7e40001d,
    0xfb00003f,0xffff9009,0x007fffff,0x002ffa80,0x4fd83ff3,0x07fd4000,
    0x03fd8800,0x800f6400,0x44005ffa,0x43ffffff,0xfffffffd,0x077f4400,
    0x27fdc000,0x0efe8800,0x7ffc0000,0x3fa60005,0x880004ff,0xb8001ffd,
    0x0dffdfff,0x00efe880,0x5ffff700,0x9ff70000,0x7fff4c00,0x213ee004,
    0xfff705fa,0xf31fffff,0x00dfffff,0xb80bff90,0x0dffdfff,0xf89ff700,
    0xffff707f,0xffffffff,0x7fc0009f,0x7440005f,0xffe800ff,0x5fffffff,
    0x0fff2000,0x7c4ffb80,0x3ee0007f,0xfd30004f,0x3a60001d,0xf8804fff,
    0x6d4000ff,0x260fffff,0x03efffec,0x003ffb10,0x001ffec0,0x00bff620,
    0x02ffc800,0xf9dff700,0x220003df,0x20001efe,0x003fffd8,0x000fff44,
    0xffbbffb1,0x3f60001b,0x3ff2003f,0x001effce,0xffb77bfd,0x3ffae203,
    0x3ff62def,0x44001dff,0xd8802fff,0x44003fff,0x81fe41ee,0xeefffdb8,
    0x3fffffee,0x05ff9000,0x077fcc00,0xffeec980,0x0000ceef,0x88005ffb,
    0x01fe41ee,0x003ffd80,0x001bff50,0x3f3bfee0,0x7fec01ef,0xfffb0004,
    0x0bff60bf,0x003ff200,0x0007fee0,0x000ffc80,0x40002600,0x3fa64ffb,
    0x1bfd0007,0x036e0000,0x00ffc800,0x7dc5ffb0,0xffb8004f,0x93fee001,
    0xf5007fe9,0x007fffff,0x3fea1ffe,0xf70001ff,0x0db800df,0x20000000,
    0x6d440fff,0x260007ff,0x2ff40000,0x0fff1000,0x03df1000,0x40000000,
    0x10001ffb,0x5c0009ff,0x1ffa64ff,0x001fff30,0x7fffffb0,0x0005ffb0,
    0x64c0012a,0x4a800000,0x00000000,0x025c0766,0x00003a80,0x09500000,
    0x644065c0,0x00c98002,0x4b80ecc0,0x2f32e200,0x91ffe000,0x0003dfff,
    0x00017ffc,0x40000000,0xff100fff,0x0000003f,0x200015c0,0x00007ff8,
    0x00000001,0x00019300,0x4c0002c8,0xd009701d,0xfb0009ff,0xd81fffff,
    0x000002ff,0x00000000,0xb7310000,0x00004599,0x00000000,0x459b9730,
    0x00000000,0x00000000,0x00000000,0xfffb3ffc,0x7dc0001d,0x6dcc006f,
    0x440021bc,0x0009bdca,0x7f401fff,0x6dcc001f,0x000021bc,0x0fff1000,
    0x3332a200,0x333003cc,0x33331033,0x00000001,0x33326000,0xffa80004,
    0x7fec000f,0x7ec5fffb,0x3333302f,0x33333333,0x33333013,0x33333333,
    0x4ccc4013,0x40001999,0xfffffffc,0x33305fef,0x33333333,0x4c401333,
    0x00199999,0xfffffb10,0x3309fdff,0x33333333,0x99998801,0x99800199,
    0x99999999,0x33333300,0x26013333,0x99999999,0xf0099999,0xbfffd1ff,
    0x7ffd0000,0xffffb100,0x09fdbfff,0x7ffffe44,0xfff802ff,0x00fff700,
    0x3fffff62,0x984fedff,0x09999999,0x0fff1000,0x3ffff200,0x7fd406ff,
    0xf91fffff,0x30dfffff,0x4cc40333,0x4cccc409,0xfa800999,0x0000ffff,
    0x4003ffe8,0xfffaaffd,0xf30bff62,0xffffffff,0x45ffffff,0xfffffff9,
    0xffffffff,0xfffff702,0x10003fff,0xfffffffb,0xf98fffff,0xffffffff,
    0x02ffffff,0xfffffff7,0xff88003f,0xffffffff,0x3fffe27f,0xffffffff,
    0xfffff704,0x22003fff,0xffffffff,0x3e24ffff,0xffffffff,0x3fe64fff,
    0xffffffff,0xf02fffff,0x0bfffdff,0x0fff5000,0xfffffd10,0x0fffffff,
    0x3fffffe6,0x7c04ffff,0xfd5310ff,0xfd100bff,0xffffffff,0x7ffccfff,
    0xffffffff,0x3fe2001d,0xfff90007,0xfb80dfff,0xd2ffffff,0x1fffffff,
    0x3fffffe2,0x7ffffec1,0xffffff94,0xfa807fff,0x0000ffff,0x4007ffb8,
    0xdffb2ffd,0xf50bff61,0xffffffff,0x45ffffff,0xfffffffa,0xffffffff,
    0xfffff902,0x88009fff,0xabcefffe,0x547fffec,0xffffffff,0x2fffffff,
    0xffffff90,0xfe8009ff,0xfecabeff,0x3ffea7ff,0xffffffff,0xffff906f,
    0x2009ffff,0xfffffffa,0x2a6fffff,0xffffffff,0x3ea6ffff,0xffffffff,
    0x02ffffff,0xffffffff,0xffe80005,0xefffd803,0xffffdbac,0xdfffe887,
    0x4fffecab,0x3fffffe0,0x00dfffff,0xacefffd8,0x27ffffdb,0xfffffffb,
    0x04ffffff,0x000fff10,0x3ff732a2,0x7ffe4406,0x3fb263de,0x3fe62eff,
    0x7fc2ffff,0xffd6ffff,0xbfffffff,0x1fff7300,0x3ffe0000,0x4bff6002,
    0xffb4fff8,0xfffdb885,0xfeeeeeee,0x3f6e22ff,0xeeeeeeff,0x9102fffe,
    0xffffffdd,0x7ffe4001,0x11ffee01,0xdddfffb7,0x5fffdddd,0x3ffbb220,
    0x1000ffff,0x3f605fff,0x7776dc7f,0x1ceeefff,0xfffdd910,0x2e001fff,
    0xefffeeed,0x76dc1cee,0xeeefffee,0x3ff6e21c,0xeeeeeeef,0xfff02fff,
    0x05ffffff,0x03ffe600,0x205fffb0,0xfd87ffe9,0xfffb02ff,0x3ffffe03,
    0x004fffff,0x2605fffb,0x36e27ffe,0xfeeeefff,0x8803ffff,0x300007ff,
    0x3f600dff,0x17fec02f,0x427fff5c,0x31cffffa,0xddfffdd9,0x7ffc0019,
    0xff700000,0x17fec00d,0xffb3fff7,0x007ffc05,0x3fe05ffb,0x0bff600f,
    0x7fffffc0,0x5fff3003,0x7c0dfd00,0x3ff600ff,0xfffff002,0x3fea007f,
    0x01bfe205,0x4000dff3,0x03ffffff,0x00dff300,0x400dff30,0x3f600fff,
    0x3ffff02f,0x005fffd3,0x8809ffb0,0x7cc02fff,0x0fffd47f,0x7c1bff20,
    0xffffffff,0xfff8803f,0x83ffcc02,0x6d440fff,0xff8807ff,0x200fec07,
    0xfb006ff9,0x2ffd805f,0x261bffa0,0x3e203fff,0x3fe0007f,0xf100000f,
    0x3f6005ff,0x6f7ff42f,0x3ffe02ff,0x40bff200,0x3f200fff,0xfffa802f,
    0xf9006ffb,0x0b6a00bf,0x3200fff8,0xffa802ff,0x3006ffbf,0x4fc80dff,
    0x0037fcc0,0xffbfffa8,0xdff30006,0x0dff3000,0x9007ffc0,0x3ffe05ff,
    0x003ffec0,0x5003ffe6,0x3f600bff,0x4027fec5,0xff82fff8,0x3fffea0f,
    0x02ffd402,0xfff05fd8,0x07ffe201,0x4c0fff10,0x7fcc04ff,0x05ffb006,
    0x2602ffd8,0x7ff43fff,0x03ffc405,0xd93fff00,0x80019dff,0xfb006ffc,
    0xffff985f,0x3ffe02ff,0x7fd4bae0,0x5c1fff00,0x001ff52e,0xfff19ffb,
    0x07ffb003,0x07ffc000,0x03fea5d7,0x3e33ff60,0xfff001ff,0x4c00403b,
    0xfb0006ff,0x03fff19f,0x00dff300,0x400dff30,0x4bae0fff,0xfff00ffa,
    0x007fff10,0x6402ffec,0x151003ff,0x7000fff8,0x1fff07ff,0x01fffe98,
    0x4400fff2,0x01fff00a,0x2200fff4,0x3fea07ff,0x037fcc05,0x6c02ffd8,
    0x7fdc02ff,0x01fff91f,0x0007ff88,0x3ffffffe,0x2001ffff,0xd801fff8,
    0xfffb82ff,0x3ffe02ff,0x0d4bff10,0x3e21fff0,0x22006a5f,0xbff90fff,
    0x003ffd00,0x887ffc00,0x2006a5ff,0xff90fff8,0x3ffee00b,0x4001bdff,
    0x88006ff9,0xbff90fff,0x0dff3000,0x00dff300,0xff887ffc,0x7ff806a5,
    0x001fff50,0xd003fff1,0x440003ff,0x3ea007ff,0x80fff85f,0xd00effe8,
    0x200003ff,0xff700fff,0x0fff100f,0x2602ffd4,0xffb006ff,0x02ffd805,
    0xffaeffe8,0x7ff8802f,0x3fffe000,0x7fffffff,0x02ffe400,0xfe817fec,
    0x3fe02fff,0x06ffeeef,0x3bbbffe0,0xfc8006ff,0x03ffe65f,0x0000fff0,
    0xfeeefff8,0xffc8006f,0x003ffe65,0x7fffffdc,0xf9800cff,0xffc8006f,
    0x003ffe65,0x000dff30,0x7c00dff3,0x6ffeeeff,0xe81ffe00,0xffc804ff,
    0x00fff005,0x005ff980,0x3fe1bfe6,0x9fff300f,0x0001ffe0,0x5310fff8,
    0x100bfffd,0x7fd40fff,0x037fcc05,0x6c02ffd8,0xff9802ff,0x1005ffff,
    0x7c000fff,0xb88aefff,0x26002fff,0xfd101fff,0x4c1dffff,0x3e02ffff,
    0x6fffffff,0x3ffffe00,0xf8006fff,0x1fff42ff,0x6d41ffe0,0x02deeeee,
    0xffffffff,0x5fff000d,0x2003ffe8,0xfffffec9,0x7fcc00ef,0x2fff8006,
    0x2001fff4,0x98006ff9,0x3fe006ff,0x06ffffff,0x7fffff44,0x7fffd44f,
    0x1fff881e,0x000fff00,0x2006ff98,0xffd16ff9,0xf70bffff,0x7ff89fff,
    0x3ffe0000,0xffffffff,0xffff700d,0xffffffff,0xf980bfff,0x5ffb006f,
    0x002ffd80,0x01fffff7,0x001ffe20,0xc80dfff8,0x7ec004ff,0xffff704f,
    0xffc87fff,0x3fffe02f,0x2006ffff,0xffffffff,0x3ffd4006,0x3e037fd4,
    0x7ffc40ff,0x81ffffff,0xffffffff,0x3ffd4006,0x80037fd4,0x7ffffdb9,
    0x0037fcc0,0x3ea1ffea,0x7fcc006f,0x6ff98006,0x3ffffe00,0x7dc06fff,
    0x0fffffff,0x427ffff4,0x3e006ffb,0x220000ff,0x3ea007ff,0xfffff74f,
    0xffb01fff,0x07ffc1ff,0xffff8000,0x04ffffff,0x7ffffff4,0xffffffff,
    0x37fcc05f,0x402ffd80,0x3a002ffd,0x22002fff,0x3e0007ff,0xbff500ff,
    0x0fff9800,0xfffffd88,0x17ffc40d,0xf757fff0,0x7ffc00df,0x006ffbab,
    0x7fffffec,0x201fffff,0xfff81ffd,0x80ffffff,0xffbabfff,0x7ffec006,
    0xffffffff,0x7d400401,0x3fe601ff,0x7ffec006,0xffffffff,0x1bfe6001,
    0x01bfe600,0xfbabfff8,0x7fec406f,0xfa84efff,0xfff81dff,0x0bff2002,
    0x03ffd000,0x6c4fff20,0x04ffffff,0xfc89dfd1,0xff00002f,0xffffffff,
    0xfffea807,0xffffffff,0x7cc05fff,0x5ffb006f,0x002ffd80,0x1001bfe6,
    0x1fd80fff,0xf500fff8,0xffd000bf,0x80000009,0x97fe0fff,0x1fff02d9,
    0x05b32ffc,0x3fffffe2,0x05ffffff,0x54c0fff2,0xf00fffaa,0x32ffc1ff,
    0x3ffe205b,0xffffffff,0x013f205f,0xf980fff2,0x3fe2006f,0xffffffff,
    0x3e6005ff,0xff98006f,0x83ffe006,0x00b665ff,0x3fee0000,0x2ffd4006,
    0x17ff6000,0x007ffe60,0xbff50000,0x3ffe0000,0x0bfffea0,0x98000000,
    0xff9006ff,0x00ffe809,0x001bfe60,0x7cc0fff1,0x00fff84f,0x5000bff5,
    0x98001fff,0xfff8000b,0x6fe82e60,0x5cc1fff0,0x7e41bfa0,0xffffffff,
    0xf500ffff,0xfff001ff,0x7307ffc0,0xfc837f41,0xffffffff,0xff00ffff,
    0x4ffd801f,0x801bfe60,0xfffffffc,0x00ffffff,0x000dff30,0x7c00dff3,
    0xe82e60ff,0x02ea006f,0x007ffd00,0x802fff88,0x7ffcc5e8,0x17ffa203,
    0x4000b980,0x8802fff8,0x81fff05e,0x001fffe9,0x20000b98,0xf5006ff9,
    0x3fea01ff,0x37fcc007,0x81ffe200,0xfff85ffa,0x00bff500,0x000fffa0,
    0xf8007ffd,0x3ffc00ff,0x7c00fff8,0x05fff07f,0x3a03ffd8,0xf5102eff,
    0x07ffc0ff,0x7fc1ffe0,0x1ffec02f,0x417fffc4,0x202fffc9,0x3e006ff9,
    0x7fec02ff,0x0dff3003,0x00dff300,0x3e007ffc,0xfff1007f,0x1ffea005,
    0x67ffe400,0x85fff500,0xe984fffb,0x3a000fff,0x7e4003ff,0xff500cff,
    0x01fff05f,0x001dffd1,0x0003ffe8,0x2200dff3,0x7d42dfff,0x7cc004ff,
    0x7fc4006f,0x217fea07,0xff500fff,0x3fea000b,0x3eeaa007,0x07ffc007,
    0x7fc1ffe0,0x43ffc00f,0xfa807ffa,0x3ffe206f,0xfffddeff,0x3ffe07ff,
    0x543ffc00,0xffa807ff,0xfffff886,0xfffffdef,0x1bfe600e,0x403ffd40,
    0xf3006ffa,0xff3000df,0x07ffc00d,0x2201ffe0,0xd005fdaa,0x640007ff,
    0xeddeffff,0xd80fffff,0xfedeffff,0x2a003fff,0xc8007fba,0xeddeffff,
    0xf80fffff,0xfff300ff,0x7dd54009,0xdff30007,0x7fffd400,0x06ffffdf,
    0x006ff980,0xf503ffc4,0x01fff0bf,0x80017fea,0xfa803ffe,0xe8805fff,
    0xffffffff,0x27ffffff,0xffffffe8,0xffffffff,0x3ffffa67,0x7ffdc0ef,
    0xff505fff,0xffffffff,0xffe88bff,0xffffffff,0x3a67ffff,0x40efffff,
    0x5ffffffb,0x7ffffffc,0x21ffffff,0xffffffd8,0x263fffff,0x0efffffe,
    0x7fffffdc,0x3ffff625,0x3fffffff,0x3fffff62,0x23ffffff,0xffffffe8,
    0xffffffff,0xffffc807,0x0fff9803,0x7ffe4000,0xefffffff,0xffffb101,
    0x005fffff,0x02ffffd4,0xfffffc80,0x21efffff,0xffffffe8,0x4ffffb85,
    0x2ffffd40,0x7ffffdc0,0xefffffff,0xfffff700,0x2003dfff,0xfffffffd,
    0xfffb83ff,0xffffffff,0x3f65ffff,0x3e25ffff,0x003fffff,0x9006ffb8,
    0xf7001bfd,0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,0x3fffff27,
    0x7fffc3ff,0x2e00ffff,0xfffffffe,0xffffb80c,0xffffffff,0x3ff27fff,
    0x7c3fffff,0x0fffffff,0x3ffaefae,0xfa83ffff,0xffffffff,0x3ff26fff,
    0x7c3fffff,0x0fffffff,0xfffffff5,0x54dfffff,0xffffffff,0x3ee6ffff,
    0xffffffff,0x07ffffff,0x00cffd88,0x0003ff98,0xffffd950,0x3aa009df,
    0x00dfffff,0x00dfec80,0x3ffb2a00,0xfb84efff,0x0fffffff,0x00ffffd8,
    0x4006ff64,0xffffffff,0x03ffffff,0x3fffffa6,0x3ffe6004,0x6fffffff,
    0xffffffe8,0xffffffff,0xfffff15f,0x3ffee3ff,0xd0006fff,0x400000df,
    0xffffffd8,0xffffffff,0x3ffff627,0xffffffff,0x3ff667ff,0x7540dfff,
    0x004fffff,0x10066aa2,0xfffffffb,0xffffffff,0x7ffffecc,0x7fff540d,
    0xaa9804ff,0x3ff6201a,0xffffffff,0x3fff662e,0x7f540dff,0x3624ffff,
    0xffffffff,0x3f622eff,0xffffffff,0x3ff622ef,0xffffffff,0x0007ffff,
    0x0001d400,0x001a9880,0x0006a620,0x44000000,0x7ec401a9,0x104fffff,
    0x00009dfd,0x3ffffae0,0xdfffffff,0x01a98800,0xfffffb00,0xd505dfff,
    0xffffffff,0x4bffffff,0x24fffffc,0x3effffd8,0x00151000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x22ccdb98,0x00000000,0x0c000000,
    0x22076e00,0xcb98004d,0x754022cd,0x5305c882,0x20010100,0x000002da,
    0x19b00d40,0x04005d50,0x08000010,0x20fae200,0x88000000,0x001bcccc,
    0x02a88020,0x00014c00,0x980002a2,0x0021bcdb,0x0b9105d5,0x53000000,
    0x33322000,0x00400001,0x75400000,0x0005c882,0x7fffffe4,0xf505feff,
    0x7401b201,0x0005f104,0x000ff440,0x7fdc9ff9,0x3ff62005,0x4fefffff,
    0xf50dffa8,0x09ff10df,0x0df517f4,0x2a07ff98,0xffffffff,0x1fff9006,
    0x6c4bffa0,0xdf7002ff,0x2002fe88,0x27ec1ff9,0x77fffcc0,0xe802fd8a,
    0xffffffff,0xfffff302,0x07fe607f,0x3ff609fb,0xff98000f,0xdff30006,
    0xfffd8800,0x4fedffff,0x5437fea0,0x220006ff,0x4c04efed,0xf98006ff,
    0x7cc002ff,0x8027ec1f,0xfffffffa,0xdffa806f,0x260dff50,0xffd883ed,
    0xffffffff,0x30bf507f,0x07fa00df,0x40000bf6,0xb8005ffa,0x0cffeeff,
    0xfffff100,0x0fffffff,0x3ff7ffee,0x05ff980d,0x7ff4bff3,0x81bffa01,
    0xffffffea,0xfffa805f,0xbffb101f,0x74007fff,0x17fea1ff,0x7c4ffb80,
    0xacfe807f,0x00effffe,0xffffffd8,0xfff302ef,0x3ee07fff,0xd83ffc4f,
    0x4000efff,0x8000fffc,0x1000fffb,0xfffffffd,0xb80fffff,0x0dffdfff,
    0xffff5000,0x7fe409ff,0x7fcc000f,0x7fdc002f,0xa803ffc4,0xfffffffe,
    0xbfff7005,0x3fa01bff,0x3ffa21ff,0xfecabcef,0x3bfa07ff,0x002ffcab,
    0xfb75bff3,0x3ee0000d,0x3a60004f,0x74002fff,0xecabefff,0x36207fff,
    0x3e603fff,0x4bff506f,0xff300fff,0x0000005f,0x7005bffd,0x8001bfff,
    0x01fd85fa,0xf907ba20,0xfb833007,0x000000cf,0x2ccfff98,0xf903ba20,
    0x3fff2207,0x2ffcc003,0x05ff9800,0x33bfff60,0x7ffffdba,0x3fffd880,
    0x3ffe6000,0x2605ffff,0xe98005ff,0x744001ee,0x001fe41e,0xfd880000,
    0x3fe603ff,0x3fff24ff,0x81ffee01,0x4fffffe9,0x7fffe400,0x980001ff,
    0x900003ff,0xff880019,0x0fffb02f,0xf9801b70,0x4bff506f,0xffb00fff,
    0x3000000d,0xd8800dff,0x00000003,0x00000000,0x00980c00,0x00017fe6,
    0x05ffb800,0x40001880,0x3ff60018,0xfffd302f,0x0006dc00,0x22bbff60,
    0x00c400ba,0x00000000,0x00000000,0xff9801b7,0x5fff34ff,0x500dfd00,
    0x20003799,0x0002ccb9,0x00007220,0x3fea0000,0x01bfe205,0x06ff9800,
    0x3ffc9ff7,0x002fff98,0x0137b951,0x000dff30,0x00000000,0xa8800000,
    0x20009bdc,0x0ffd46fe,0x0005ff98,0x17fea000,0x00000000,0x00bffe20,
    0x0000fff3,0x05fff000,0x00000000,0x33000000,0x33310333,0x88000013,
    0xff93ffff,0x00b6a00b,0x00000000,0x26000000,0x09999999,0x037fcc00,
    0x266613f2,0x09999999,0xfb837fcc,0x20fff14f,0xc8807ffc,0x2fffffff,
    0x3037fcc0,0x03333333,0x26666200,0x99800199,0x99999999,0x7ffe4400,
    0xf002ffff,0x03ffb8ff,0x9980bff3,0x26662019,0x205ffa80,0x99999999,
    0x40999999,0x99999999,0x7d409999,0x0bfb005f,0x33333333,0x01333333,
    0x200fff10,0x99999999,0x99710099,0x26007999,0x99999999,0x2a099999,
    0x1fffffff,0xdffffff9,0x99999998,0x7c099999,0x7ffb2fff,0x26660000,
    0x09999999,0x4ccccc40,0x99880019,0x33331009,0xfffff983,0x1dffffff,
    0x03bfff00,0x3fffe204,0xffffffff,0x641bfe64,0x0dff33ff,0xf300fffe,
    0xffffffff,0x37fcc09f,0x7fffffcc,0x002effff,0xfffffff7,0x3fe2003f,
    0xffffffff,0xfff304ff,0x9fffffff,0xd885b500,0x0bff300c,0x3fffffe2,
    0x7ffffec1,0x4c2ffd44,0xffffffff,0x2fffffff,0x3fffffe2,0x45ffffff,
    0x51003ffc,0x7ffffcc1,0xffffffff,0xff9802ff,0x7fffc406,0xffffffff,
    0xfffffd84,0x7ffcc05f,0xffffffff,0x3ee2ffff,0xd2ffffff,0x1fffffff,
    0x3fffffe2,0x45ffffff,0xffd1ffff,0xff880003,0xffffffff,0xfff704ff,
    0x003fffff,0x437ffff4,0x6ffffffb,0x3fffffee,0x4fffffff,0xfffffb80,
    0x3fea01bd,0xffffffff,0x9bfe66ff,0xfffffec8,0x10dfffff,0x74403fff,
    0xecabdfff,0xff304fff,0xfffff70d,0xbfffffff,0xffffc801,0x5004ffff,
    0xffffffff,0xd10dffff,0xd957bfff,0x00009fff,0x982ffcc0,0x42ffffff,
    0x46ffffff,0xffa85ffa,0xffffffff,0x222fffff,0xffffffff,0x7f45ffff,
    0x3ea0001f,0xffffffff,0x02ffffff,0x9fffb973,0xfffa8179,0xffffffff,
    0xffffc86f,0x7fd405ff,0xffffffff,0x222fffff,0x23defffc,0x2efffec9,
    0x3fffffe2,0x45ffffff,0xfff1fffe,0xfff50000,0xffffffff,0x3fff20df,
    0x004fffff,0x7ffffff1,0xffffffd8,0xfffb710f,0xffffdddd,0xfff7007f,
    0x019fffff,0xfffdddb7,0x7cc39ddd,0x3fffea6f,0xffffffff,0x01fff53f,
    0xd817ffec,0xff981fff,0xefffb886,0xfffffeee,0x7f764406,0x000fffff,
    0xfffdddb7,0xfb039ddd,0x3ff605ff,0x3000001f,0x7f5c0bff,0xfffa84ff,
    0x2ffd41cf,0x77ffedc4,0xffeeeeee,0x3bffe22f,0xfffeeeee,0x0003ffc4,
    0x3bfff6e2,0xffeeeeee,0xfffff02f,0x709fffff,0xdfffdddb,0x2a6039dd,
    0x4405ffca,0xeeefffdb,0x2fffeeee,0x6c02ffd8,0x7ffc42ff,0xffeeeeee,
    0x87ffec4f,0xddb507ff,0xdb85bddd,0xeefffeee,0xdd9101ce,0x01ffffff,
    0x3ffff6a0,0x3ffb260f,0x1fff03ef,0x07ffda88,0xffffd930,0xf9801dff,
    0x37fcc06f,0xffffffd1,0x23ffffff,0x3ea07ffb,0x7fe401ff,0x205ffc86,
    0xfc983ffc,0x3fe004ff,0x0003ffff,0xf500dff3,0xffc803ff,0x06666546,
    0x30f3332a,0xffd00bff,0x07fff30d,0xf803bfe6,0x3ff600ff,0x741ffe22,
    0x3ffc0fff,0x1fff0000,0xe817fec0,0xffffffff,0x6ff9803f,0x0bff3000,
    0xb007ffc0,0x5ffb05ff,0x442ffd80,0xfffd07ff,0x3e7ffd81,0x7ffc40ff,
    0x01ffffff,0x8001bfe6,0x03ffffff,0x2ffffec0,0x3e02ffd8,0xfff100ff,
    0xfdb98003,0x7cc07fff,0x37fcc06f,0x64d7ffc4,0x7fe40cff,0x013ff605,
    0x7d4bffe2,0x3f203fff,0x3fff603f,0xbfffa800,0xf30006ff,0x9ffb00df,
    0x25fff100,0x20fffffa,0x46fffff9,0xf9805ff9,0x2fff43ff,0x0bffff10,
    0xfc803ffe,0x21ffe22f,0xff82fffc,0xff00000f,0x17fe401f,0xeffbaa88,
    0xff3001aa,0x3fe6000d,0x03ffe005,0xfd82ffc8,0x17fec02f,0x3f21ffe2,
    0x7ffc82ff,0x3fe07ff6,0x0fffffff,0x001bfe60,0x7fdfffd4,0x7ffec006,
    0x2ffd83ff,0xe803ffe0,0x200201ff,0x2601fffa,0x7fcc06ff,0x321fff06,
    0x4ffd83ff,0x4003ffe0,0xfffb3ffb,0x03ffc80f,0x6c027ff4,0x1fff8cff,
    0x06ff9800,0x7000fff8,0x3ffe67ff,0x3ffe20ff,0x2ffcc6ff,0x91fffb80,
    0xfc801fff,0xfff80fff,0x7fd4bae0,0x3ea37fc0,0x5ff904ff,0x3ffe0000,
    0x7fd4bae0,0x06ff9800,0x006ff980,0x400bff30,0x4bae0fff,0xffd80ffa,
    0x417fec02,0x7ffd46ff,0x64dff704,0x555303ff,0xf9801fff,0xffb0006f,
    0x003fff19,0x7fffffec,0xf017fec0,0x3fee01ff,0x2013f207,0x3e603ffc,
    0x37fcc06f,0xff90fff8,0x20bffb07,0x2a007ff8,0xffff55ff,0x01ffe407,
    0xf101bfee,0x17ff21ff,0x01bfe600,0x5400fff1,0x3fea25ff,0x7fdd440f,
    0x002ffcc6,0xfff5dffd,0xffff8805,0x221fff05,0x2e06a5ff,0x17ffe63f,
    0x0005ffa8,0x3e21fff0,0x4c006a5f,0xf98006ff,0xff30006f,0x87ffc00b,
    0x406a5ff8,0x7ec02ffd,0x263fb82f,0x3ea05fff,0x03ffea5f,0x2601ffe0,
    0xf88006ff,0x0bff90ff,0x7fdffec0,0x017fec5f,0x2a621fff,0x3e05fffe,
    0x7fec00ff,0x01bfe604,0x5d44dff3,0xffeaafff,0x837fdc1c,0x26005ff9,
    0x2ffe46ff,0x9807ff90,0x7fe407ff,0x003ffe65,0x980dff30,0x3e6005ff,
    0x00fff86f,0xff98dff3,0x3ffe6005,0xf9805fff,0x3ffe00ff,0x006ffeee,
    0x00effe88,0x200bffe2,0xdfff05e8,0x000dffdd,0x2001bfe6,0x30006ff9,
    0x7fc00bff,0x06ffeeef,0xd805ffb0,0xfe8802ff,0x3fe200ef,0x8177ff42,
    0x9807ffa8,0xfc8006ff,0x03ffe65f,0x7d57fec0,0x0bff62ff,0xfffffff8,
    0x100dffff,0x9305ffff,0x7cc05fff,0x37fcc06f,0xfffffffd,0x54bfffff,
    0xff980fff,0x1bfe6006,0x7e40dff3,0x07ff803f,0x3fa17ffc,0x7fcc003f,
    0x037fcc06,0xff0dff30,0x1bfe601f,0xb800bff3,0x800fffff,0x7fc05ffa,
    0x06ffffff,0x01fffd80,0x00cfffc8,0xff05fff5,0x0dffffff,0x01bfe600,
    0x001bfe60,0xf002ffcc,0xdfffffff,0x00bff600,0xfb005ffb,0x031003ff,
    0xbdfffff1,0x0ffffffb,0x000dff30,0xffe85fff,0x25ffb003,0xffb0effd,
    0x7ffffc05,0x404fffff,0xeffffff8,0x0efffffd,0x301bfe60,0x7fffcdff,
    0xffffffff,0x07ffe66f,0xa801ffe2,0x37fcc4ff,0xf007ff90,0x3ffd40ff,
    0x20037fd4,0x7c406ff9,0x3fea007f,0x300fff84,0x5ff98dff,0x2fffe800,
    0x80bff500,0xffffffff,0x7ffdc006,0x3fff2003,0xfffeddef,0xffff80ff,
    0x0006ffff,0x3000dff3,0x26000dff,0x3fe005ff,0x06ffffff,0xd805ffb0,
    0x7fdc02ff,0xfa80003f,0xffffffff,0xf9805fff,0x7fd4006f,0x006ffa87,
    0x3fe25ffb,0x405ffb4f,0xffffffff,0xfff803ff,0xffffffff,0x7fcc01ff,
    0x337fcc06,0xf99dffb7,0xff8179ff,0x03ffd03f,0xf30fff20,0x1ffe40df,
    0xd81ffe20,0xffffffff,0x26001fff,0xffe806ff,0x07ff9001,0x3e601fff,
    0x02ffcc6f,0x0037fcc0,0xff80bff5,0x06ffbabf,0x213ffe60,0x3fff200a,
    0xefffffff,0x757fff01,0x26000dff,0xf98006ff,0xfffb806f,0xffffffff,
    0xbfff80ef,0xb006ffba,0xffd805ff,0x13ffe602,0x75c0002a,0xcfffffff,
    0x0dff3000,0xfffffd80,0x01ffffff,0x3ee2ffd8,0x02ffd9ff,0xffa83ffe,
    0x5f5c02ff,0xffffffeb,0x0dff3003,0xfa86ff98,0x403ffe5f,0xffb06ffc,
    0x3fff300b,0x3206ff98,0x7fd403ff,0xfffff105,0xbfffffff,0x037fcc00,
    0x4c02ffec,0xfff81fff,0x98dff300,0xf98005ff,0x3fea006f,0xf07ffc05,
    0x4416ccbf,0x7fb86fff,0x7fff6540,0x7fc04eff,0xd997fe0f,0x06ff9802,
    0x806ff980,0xffffffff,0x83ffffff,0x97fe0fff,0x4ffc82d9,0x8807ff40,
    0x7fb86fff,0x51001cb8,0xf3000335,0x7fc400df,0xffffffff,0xffd805ff,
    0x7ef7ff42,0x03ffe02f,0x003fffd3,0x001cfd98,0x26037fcc,0x4ffb86ff,
    0xff981ffe,0x3fff982f,0x217ffa20,0x3f206ff9,0x27fec03f,0xffffffc8,
    0x0fffffff,0x00dff300,0x4407fff3,0xfff05ffe,0x31bfea01,0xf3000bff,
    0x7fd400df,0x307ffc05,0x6c37f417,0xffd80fff,0x039f7001,0x7307ffc0,
    0x54037f41,0xf98005ff,0xffeb806f,0xffffffff,0x0fff80df,0x86fe82e6,
    0xf500fffa,0x7ffec0ff,0x2e1ffd80,0x173006ff,0x37fcc000,0xfffff900,
    0xffffffff,0x42ffd801,0x2ffffff9,0x2203ffe0,0x4000effe,0xf98004fc,
    0x37fcc06f,0xff8a7fdc,0x837fec07,0xe984fffb,0xff980fff,0x80fff206,
    0xff01fffc,0x3ffd805f,0x00dff300,0x2613ffee,0xfd00fffe,0xfffc887f,
    0x002ffcc6,0x50037fcc,0xfff80bff,0x323ffc00,0xffb02fff,0x037f2005,
    0x400fff80,0xffe807ff,0x6ff98004,0x007fb000,0x7c00fff8,0xdfff887f,
    0x827ffd42,0xfb02fffc,0x02ffd45f,0x0003ffe8,0x7c00dff3,0x7fec02ff,
    0x417fec03,0x02fffffb,0x7cc03ffe,0x7e4004ff,0x7fcc005f,0x437fcc06,
    0xdff13ffc,0x02fffa80,0xdbdffffb,0x2207ffff,0xfc80bfff,0x7fed4c3f,
    0x0fff504f,0x200dff50,0x36006ff9,0xfedeffff,0x3f203fff,0xfffecdff,
    0xff31efff,0x7cc0033d,0xffb3006f,0x00fff805,0xfff53ffc,0x017fec09,
    0x2006ffc8,0x7fc00fff,0x7ecd64c7,0xf98001ff,0x1fd0006f,0x3ffe0022,
    0xa83ffc00,0xffdfffff,0xfff506ff,0x217fec09,0xf7550029,0x3fe6000f,
    0x0fff5006,0xd80dff50,0xfffd02ff,0xfffe885f,0xffb85fff,0x66d404ff,
    0x3f6207fb,0xffffffff,0x1bfe63ff,0x7fccbff2,0x06ffd806,0xffffffb1,
    0xfd805fff,0xffd10fff,0xffffffff,0xffd30dff,0xfb81dfff,0x225fffff,
    0xfffffffd,0xb103ffff,0xffffffff,0xffe8805f,0xffffffff,0xffff34ff,
    0x3ff605ff,0x3fffffff,0x107fffc8,0xfffffffd,0xffffffff,0x7fffffec,
    0x2fffffff,0x7fde6d40,0x3fffa200,0xffffffff,0x3fe27fff,0x805fffff,
    0xffffffd8,0x803fffff,0x106feefb,0xfffffffd,0xffffffff,0x7ffffdc0,
    0xfb01efff,0xffffffff,0x0005ffff,0x017fffea,0x3fffff62,0x23ffffff,
    0xefffffe9,0x7ffffdc0,0x7fff445f,0x3fe60eff,0x7ffdc2ff,0xd80fffff,
    0x3200ffff,0x2a05ffff,0xffffffff,0x3e26ffff,0x32ffc85f,0xff1009ff,
    0xfffea80f,0xe8800dff,0xfff71fff,0xffffffff,0xfff901bf,0xff87ffff,
    0x50ffffff,0xffffffff,0xa80dffff,0x0dfffffe,0xffffd100,0x3bfff9bf,
    0x3fffffe6,0xfffff984,0xd86fffff,0xff703fff,0xffffffff,0x6cffffff,
    0xffffffff,0x402fffff,0x405ffffb,0xfffffffb,0xffffffff,0x7ffffec7,
    0xfffa800d,0xffffffff,0xfffb006f,0x3fffee05,0xffffffff,0x74c07fff,
    0x404fffff,0xfffffffd,0x02ffffff,0x037fb200,0x3ffffea0,0x6fffffff,
    0x3ffffff2,0x7ffffc3f,0x3fee0fff,0x643fffff,0x7ec42fff,0x104fffff,
    0x73009dfd,0x7ec4017b,0xffffffff,0x40edc2ef,0x00ee44d8,0x31002da8,
    0xb7100035,0x7fffec47,0x01bdefff,0x3fffff66,0x7fff540d,0x3ff624ff,
    0xffffffff,0x3531002e,0x4d544000,0xeeee9800,0xfffb00ce,0x05dfffff,
    0x6c4017b3,0xffffffff,0x27ffffff,0xfffffffd,0x02ffffff,0x400bdb98,
    0xffffffd8,0xffffffff,0x1676dc47,0xffffb100,0x5dffffff,0x2200c400,
    0xfffffffd,0x7fffffff,0x00353100,0x3ffffff6,0x2fffffff,0x44000000,
    0xfffffffd,0x3662efff,0x40dfffff,0x4fffffea,0x7ffffec4,0x17ffc40d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0baa0000,
    0x9b001722,0x4005d501,0x04d881db,0x083eb880,0x107d7100,0x00398000,
    0x99998000,0x80999999,0x88199998,0x33019999,0x33333333,0x00013333,
    0x80000000,0x00083eb8,0x00000000,0x0ee4c000,0x95100004,0x0000157b,
    0x00000000,0x8803d980,0xbcccccba,0x50000000,0x79999997,0x99999880,
    0x00000019,0x00000000,0x437fee00,0x74006ffa,0x5ffb12ff,0x727fe400,
    0xf9800bff,0xfd8aefff,0x7fffcc02,0x002fd8ae,0xa801ff50,0xffffffff,
    0xfffff886,0x4fffffff,0x3fffffea,0xfffff90f,0x7fffccdf,0xffffffff,
    0x64c02fff,0xf5003dfe,0xdfffffff,0x7fffcc00,0x002fd8ae,0x01fc4000,
    0xfffffff5,0xffb800df,0x0fe98dff,0x7ffe4400,0x4002ffff,0xb30002fd,
    0x2200039f,0x3e22cdca,0xfec980ff,0xffffffff,0x01775c04,0x7ffff440,
    0x2e05ffff,0xffffffff,0xdd910001,0x2a003bdf,0xa8ceffed,0x3001bccc,
    0xb805bdd9,0x0dffdeff,0x6ffec400,0xb8003fff,0x0cffeeff,0x7567f400,
    0x400effff,0xfffeacfe,0xfc8000ef,0xffea803f,0xa85fffff,0xffffffff,
    0x3ee6ffff,0xd2ffffff,0x1fffffff,0x3fffffea,0xffffffff,0x3ffea02f,
    0xea805fff,0x5fffffff,0x3ab3fa00,0x000effff,0x02fd4000,0xffffffd5,
    0x7fc400bf,0x4fffffab,0x7fffcc00,0x05ffffff,0x000bff10,0x001b6b7a,
    0xffffff91,0x50dffd7f,0xdfffffff,0x5c03bdff,0x4001fcbf,0xcccceffe,
    0x3ff205fe,0x04ffffff,0xfffffc80,0x36205fff,0xffffffff,0x406ffffe,
    0xfffffffc,0x7ffec403,0x7fdc0003,0x260000df,0x0002fffe,0x0cffb833,
    0x7fdc1980,0xffd8000c,0xb8000002,0xefffeeed,0x3f221dee,0x3263deff,
    0x223efffe,0xeeefffdb,0x2fffeeee,0xb57dff50,0x00000bff,0x7fdc1980,
    0x8000000c,0x000005fc,0xdf910540,0xffe88007,0xffecabdf,0x6ff9803f,
    0x3e27a800,0xffff3001,0xffffffff,0xefffa83f,0x01ff4fca,0x0026c7f0,
    0x3ee03ff3,0x3fbb2205,0x000fffff,0x3fffffea,0xe884ffff,0xffffffff,
    0x05ffffff,0x3ffffff6,0x1b7003ff,0x0f620000,0x00cc8000,0x00000000,
    0x3df70000,0x20000000,0xfb006ff9,0x2ffd805f,0xd803ffe0,0x0dff02ff,
    0x00001ff5,0x88000000,0x98819999,0x3ffba999,0x00000000,0x7ffec000,
    0x1fffd882,0x0037fcc0,0x00f987cc,0xbdfffe88,0x3fffffdb,0x3f25ffd8,
    0x9d001ff4,0xbf9001f4,0xf0027d40,0x007fffff,0x44577ff4,0x6c1fffdb,
    0xd711cfff,0x4039ffff,0x89befffd,0x0000003a,0x00000000,0x06666600,
    0x40266662,0x99999999,0x2a200099,0x33301100,0x13333333,0x00dff300,
    0xfb00bff6,0x07ffc05f,0xf705ff90,0x20bfe01f,0x99999999,0x80999999,
    0x31009998,0xffa83333,0xf90fffff,0xffffffff,0x26666201,0x22000199,
    0x01999999,0x00fffd40,0xf501bff6,0xfb0005ff,0x3f600bfb,0xfff982ff,
    0x21fff82f,0x001ff4fc,0x001fddf5,0xc8807fe4,0x7fff5001,0x7dc00dff,
    0xa8fffa04,0xfd102fff,0x7fec07ff,0x3331004f,0x33333333,0x33103333,
    0x26662013,0x4ccc4019,0x2a001999,0x1fffffff,0xdffffff9,0x7fffffc4,
    0x04ffffff,0x12ff9800,0xffffffff,0x9809ffff,0xffb006ff,0x02ffd805,
    0x2eb83ffe,0xbfd01ff5,0xff327e40,0xffffffff,0xe85fffff,0xfb86ffff,
    0x2e6fffff,0x2fffffff,0xfffffffd,0x3ffee07f,0x001fffff,0xffffffb8,
    0x3f6001ff,0xfff8804f,0xffffd981,0x2a004eff,0xfff5002c,0xffffd103,
    0x20fff88d,0x001ff4fc,0x4c002f26,0x000efffd,0xf8cffd80,0x200001ff,
    0x3ff24ffb,0x1fffc405,0x003fffb8,0x3ffffff6,0xffffffff,0x3ffffa1f,
    0xfffffb86,0xffff706f,0x2003ffff,0xfffffffb,0xffffffd2,0x3fffea1f,
    0xffffffff,0x7fedcc06,0x4fffaace,0xfffffff5,0x80dfffff,0xfb006ff9,
    0x2ffd805f,0x7c43ffe0,0x7fc06a5f,0x25fd9883,0xfffffffa,0xffffffff,
    0x3ffffe22,0x7fffec3f,0xff910fff,0x764c7bdf,0x201cefff,0xfffffffc,
    0xffc8004f,0x04ffffff,0x4003ffe0,0x7fcc3ffc,0xffffffff,0xfb000000,
    0x3fff609f,0x7ffc2fff,0x07fd3f22,0xfff00000,0x0007ffff,0xfc87ffc4,
    0x3600005f,0x0bffa3ff,0x740fffa0,0x7ec004ff,0xffffffff,0x11ffffff,
    0x87ffffff,0xfffffffd,0xfffffc80,0x91004fff,0x4c7bdfff,0x42efffec,
    0xfffeeedb,0x3201ceee,0xffffffff,0x36e0ffff,0xeefffeee,0x7fcc01ce,
    0x05ffb006,0x3e02ffd8,0x6ffeeeff,0x641ff880,0x2e25ffff,0xeeeefffd,
    0x42fffeee,0x0fffffda,0x3bfffb26,0x402ffd83,0xc8802ffd,0xffffffee,
    0x77644000,0x00ffffff,0x2007ff88,0x3fe64ffa,0xfffddfff,0x33332a2f,
    0x1e666540,0x7e407ffc,0x44ffdaff,0x9f90effd,0xeca803fe,0x202dffff,
    0xffd31ffa,0xff90005d,0x007ffccb,0x3fff2200,0x200fff61,0xffa83ffe,
    0xd801510f,0xffeeeeff,0x1fffeeef,0x3fffff6a,0x3fffb260,0xfdd9103e,
    0x001fffff,0x36017fec,0xff9802ff,0x3fff2006,0xffffffff,0x37fcc01f,
    0x037fcc00,0x6c02ffd8,0x3ffe02ff,0x806fffff,0x3ffa0ff9,0xfff05fff,
    0x817fec01,0xb05ffffd,0x3ff605ff,0x017fec02,0x7fffffc0,0x7ffc0003,
    0xfa803fff,0x3fe6005f,0x82bbff66,0xff52fff8,0x7fcc1fff,0x7fc46fff,
    0x74fffa87,0xffe88bff,0x1ff4fdcf,0x3fffffa0,0xf305ffff,0xefffc83f,
    0x0bffe001,0x70007ffd,0x89ffffff,0x7dc07ffb,0xdffb83ff,0x03ffffe9,
    0x7fd45ffb,0x6c0fff45,0xfb05ffff,0x7ffc005f,0x36003fff,0x7fec02ff,
    0x06ff9802,0x13bfffb0,0x07ffffea,0x000dff30,0x3600dff3,0x7fec02ff,
    0x3ffffe02,0xf9806fff,0x3273ff27,0x01fff05f,0xfd817fe4,0xfd83ffff,
    0x05ffb02f,0x4002ffd8,0x6ffbfffa,0x3ffea000,0xfa806ffb,0x3fe6006f,
    0x207fff16,0xfff30ffb,0x7ffc41ff,0x2ffcc6ff,0xf99bffe2,0xfffd886f,
    0x201ff4ff,0xffffffff,0xffb04fff,0x4fffd885,0xa87ffa80,0xff8006ff,
    0xf986ffff,0xffa81dff,0xeffc83ff,0x5fffffff,0x3ea2ffd8,0x40fff45f,
    0x83fffffd,0xf5002ffd,0x00dff7ff,0x36017fec,0xff9802ff,0x3fff8806,
    0x7fffffc4,0x037fcc05,0x8037fcc0,0x7ec02ffd,0x2fffe02f,0x9806ffba,
    0xfc93fa7f,0x5c1fff05,0x201ff52e,0x0ffffffd,0xfd817fec,0x17fec02f,
    0x233ff600,0xb0001fff,0x3fff19ff,0x007ff880,0x7fd53fea,0x2a20d407,
    0x5d440fff,0x37fcc6ff,0xf983fffa,0x3fb2a06f,0x2a01ff4f,0xf9309acc,
    0x3ffa20ff,0x2fff540d,0x3fffff60,0x01ffffff,0x7ffffe40,0xffffc83f,
    0xfffffdbe,0xffffd83f,0x3ffffeff,0xff517fec,0xd81ffe8b,0x40ffffff,
    0xfb002ffd,0x03fff19f,0xb00bff60,0xff3005ff,0x89ff700d,0xffbfffe8,
    0x1bfe600f,0x01bfe600,0x36017fec,0x3ffe02ff,0x2d997fe0,0x43ff3fcc,
    0x1fff05fc,0x01a97fe2,0x3ffefff6,0xd817fec5,0x7fec02ff,0x3ffe2002,
    0x000bff90,0x3f21fff1,0x1fff805f,0x2a7ff900,0x3e0005ff,0xdff300ff,
    0xfb0fff88,0x4ffa83ff,0x3fe9f900,0x3ffe0000,0x0ffff600,0x2205ff91,
    0xffffffff,0x8005ffff,0x2ffffb98,0xffffffd8,0x83ffffff,0x31dffffc,
    0x7e41fffb,0x917fea0f,0x2fff60ff,0x7fec5fff,0x0fff8802,0x3600bff9,
    0x7fec02ff,0x06ff9802,0x3a21ffd8,0x3fff2fff,0x0037fcc0,0xc8037fcc,
    0x3fe204ff,0x83ffe00f,0x31bfa0b9,0xf927fcff,0x3bbffe0b,0x36006ffe,
    0x2fffaaff,0x7ec0bff6,0x17fec02f,0x4cbff900,0x64000fff,0x3ffe65ff,
    0x02ffec00,0xf98fffcc,0xff0000ff,0x1bfe601f,0x3feebffe,0x03ffc83f,
    0x03fe9f90,0xddffdb70,0xfb801fff,0x37e41eff,0xffffffc8,0x0fffffff,
    0x3ff62000,0xfffff506,0x07ffb9ff,0x881dfff7,0x0f622fff,0x2d88bff5,
    0xff55ffb0,0x017fec5f,0xff32ffe4,0x5ffb001f,0x802ffd80,0xff806ff9,
    0x5fffd11f,0xf3017fec,0xff3000df,0x3ffea00d,0x80fff700,0x7fc00fff,
    0xff93fcc7,0x3e0bfb7b,0x6fffffff,0x6cbff600,0x5ffb0eff,0xb00bff60,
    0x7fc005ff,0x01fff42f,0xfd0bffe0,0xfff9807f,0x97ffa203,0x7104fff8,
    0x403ffe05,0xffd86ff9,0xf985fffe,0x9f9001ff,0x7fd403fe,0xffffffff,
    0xffc8800f,0x20ff714f,0x7ec02fff,0x7c40003f,0x32ea00ff,0x07ff90ac,
    0x3605fff3,0xffa804ff,0x97fec005,0xffb0effd,0x85fff005,0xfd803ffe,
    0x17fec02f,0x4037fcc0,0xffe8cffd,0x007ff42f,0x3000dff3,0x3e200dff,
    0x3ee21dff,0x7ffc04ff,0x223ffc00,0x3fffa0ff,0xfff80fff,0x006fffff,
    0x7fc4bff6,0x205ffb4f,0x7ec02ffd,0xfff5002f,0x400dff50,0xffa87ffa,
    0x4fffd806,0x40fffe98,0xb9befffb,0xff81fffe,0x0dff300f,0x1dfffff1,
    0x005ffe88,0x407fd3f2,0xfffffffa,0x000fffff,0x3fffffa6,0x07ffa84f,
    0x0006ffa8,0x0002ffe8,0xff107ff9,0x02ffdc0f,0x2002ffd4,0xfff12ffd,
    0x500bff69,0xdff50fff,0x805ffb00,0xf9802ffd,0xfffc806f,0x7e42fffe,
    0x37fcc06f,0x3ffffa20,0x3fffffff,0xbfffff50,0x101dffff,0xfffffffd,
    0xffffffff,0xfeb83ff0,0xfff80eff,0x006ffbab,0xffb8bff6,0xb02ffd9f,
    0xffd805ff,0xffffb002,0x3fffffff,0x3ffff600,0x1fffffff,0xeffffe80,
    0x03fffffd,0xfffffffd,0xfff01fff,0x41bfe601,0x4c1ffffc,0x2000fffe,
    0x881ff4fc,0x99bdffff,0x000fffa9,0x0cffffc8,0x3fffffa6,0x7fffdc0e,
    0xf30005ff,0x320001ff,0x7fff03ff,0x200fff60,0x6c005ffa,0x3ffee2ff,
    0x6c02ffd9,0xffffffff,0x7ec01fff,0x17fec02f,0x4037fcc0,0x3ffffff8,
    0x00ffff22,0xfa80dff3,0xffffffff,0x3ea06fff,0xefffffff,0xfffff701,
    0xffffffff,0x05fb0fff,0xf07ffc00,0xd816ccbf,0x77ff42ff,0xff902ffd,
    0x00ffe809,0xffffff88,0x05ffffff,0xffffff88,0x05ffffff,0xfffffd88,
    0x2202ffff,0xfffffffd,0x01fff02e,0x7e41bfea,0xfedeffff,0x64002fff,
    0xfb81ff4f,0x3ffe00ff,0x7dc05700,0xffffc80f,0x7ffc3fff,0x260fffff,
    0x3ff6202c,0x3ff20006,0x83fff903,0xa802fffa,0x7ec005ff,0x6f7ff42f,
    0x3fe202ff,0xffffffff,0x7fe405ff,0x007ff404,0xa8037fcc,0xecdfffff,
    0x9804ffff,0xffd806ff,0xffffffff,0xfffc802e,0x7ec404ff,0xffffffff,
    0xc87fffff,0x3fe0006f,0xfe82e60f,0x985ffb06,0x02ffffff,0x2a01fff5,
    0xff9007ff,0xffffffff,0xfc801fff,0xffffffff,0x5000ffff,0x1bffffff,
    0x3fff6600,0x1fff401c,0x21bfff22,0xfffffffa,0x002fffff,0x81ff4fc8,
    0xff705ffc,0x0ff101ff,0x6cc07fcc,0x40dfffff,0x4fffffea,0x66f7fff4,
    0x03ffffee,0x7ff66540,0x7ffc40bd,0x6ffffdef,0x00bff500,0x7cc2ffd8,
    0x202fffff,0xfffffffc,0x00ffffff,0x5403ffea,0xff3007ff,0x3fff600d,
    0xffffffff,0x0dff3003,0x0005fd00,0x0001efa8,0x4c07fa00,0xff0002ff,
    0x07ff801f,0xff705ffb,0x3e205fff,0x7fd42dff,0x5fff004f,0x403ffd80,
    0x7ec02fff,0xfff9003f,0x00b8819f,0x6401bfe6,0xffecdfff,0xf11effff,
    0xfff95bff,0x20001bff,0xa81ff4fc,0xfecdffff,0x1effffff,0x7e403fe2,
    0xf8800007,0xffffb81e,0x3fffffff,0x7fffd400,0xfa86ffff,0xffffffff,
    0x0bff5001,0xb82ffd80,0x202fffff,0x7ec02fff,0x3ffe203f,0x27ffd42d,
    0x806ff980,0xffedfffd,0x2002dfff,0xf8006ff9,0x5000130f,0x00000c9f,
    0x6c1cdbe2,0x0fe441ff,0x7c00fff8,0x05ffb07f,0x80bffffa,0xfdfffffa,
    0xf5006fff,0xdff500ff,0x403ffd40,0xfc806ffa,0xceffffff,0x3e605ffd,
    0xffd1006f,0xffffffff,0x3ffee9ff,0x8000d4c0,0xf9dfeccb,0x3ff60bdf,
    0xffffffff,0x3e24ffff,0xffcccccf,0x9800004f,0x75c3a8df,0xefffffff,
    0xfffa8001,0x505fffff,0x1bfffffd,0x02ffd400,0x740bff60,0xf502ffff,
    0xdff500ff,0xfffffa80,0x106ffffd,0xfffffffb,0x7cc7ffff,0x02aa24ff,
    0x3ffff620,0x3fffffff,0x2ff77dc0,0xffdff800,0x7ec00002,0x7fc41fff,
    0x1fffeeef,0x3fffffa2,0xffffffff,0x7fff447f,0x3fe60eff,0x7fdc02ff,
    0x1effffff,0x7ffff4c0,0x7ffdc0ef,0x3fa65fff,0x5c0effff,0x05ffffff,
    0xfffffff3,0x09ffffff,0x10027fc4,0x9bfffffd,0x3e63bfff,0x5400001f,
    0xfeffffff,0x7fdc5fff,0xffbeffff,0x3fe21dff,0x5fffffff,0x3fa00000,
    0x553107ff,0x51000013,0x01555555,0x8009aa98,0xffffffd8,0xfd102eff,
    0x4c1dffff,0x74c2ffff,0x40efffff,0x5ffffffb,0x3ffffee0,0xf501efff,
    0xffffffff,0x4fe8dfff,0x7ffd4000,0xffffffff,0x7fec406f,0xfd50002f,
    0x100000bf,0x36607dd9,0x42ffffff,0xfffffffb,0xffffffff,0x7ffffdc7,
    0x7ffe43ff,0xfffe9802,0xff9004ff,0xf87fffff,0x0fffffff,0xfffffff9,
    0xffffff87,0xfff980ff,0xffffedef,0x0f6400cf,0x04d54400,0x00000880,
    0xbccccb88,0x881cccc9,0x2000aab9,0xccccccc8,0x4000002b,0x0002dfc9,
    0x00000000,0xffffa800,0x06ffffff,0xfffffff7,0x42fffc87,0xfffffffc,
    0x7fffffc3,0x3fa600ff,0x4404ffff,0xfffffffd,0x0082efff,0xfffd8800,
    0xefffffff,0x00031002,0x00000260,0x56544000,0xffffb102,0xffffffff,
    0xffd88fff,0x7c40dfff,0x262002ff,0x7ecc001a,0x540dffff,0x24fffffe,
    0xdfffffd9,0x7ffff540,0x206a604f,0x00002ba8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffb000,0x205dffff,0xdfffffd8,
    0x217ffc40,0xdfffffd9,0x7ffff540,0x3531004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000801,
    0x40000000,0x15400000,0x00002000,0x0aa00000,0x0000b880,0x19500000,
    0x00801000,0x00010020,0x00080000,0x00000000,0x8001b800,0x39800000,
    0x00039800,0x00039800,0x00000008,0x2a0b8800,0x222a8002,0x3332600b,
    0xeffec89c,0x1bf1001c,0xb801fc88,0x200fb01f,0x04fb81ee,0x1cefedb8,
    0x017ec400,0x006fc800,0x0003bea0,0x017bfd93,0x006fc800,0x40007fea,
    0x00cefec9,0x0027fc40,0x0fd40fe6,0x7d80fdc0,0x23332e20,0x00deffeb,
    0x400ff620,0x2fc80ef8,0x3a60fee0,0x9fd10006,0x00cfb800,0x01ff7000,
    0x000efc80,0x01ff5000,0x00bf6200,0x3ee07ba0,0x2fe88003,0xfc800df7,
    0x2205ff35,0xffefffff,0x04ffffff,0xf52ffe88,0xdf3001ff,0x3600bf50,
    0x5ffb14ff,0x7ffff440,0xf5004fff,0x0001bfff,0x0007ffa2,0x0fffff62,
    0x7ffffdc0,0xd88001ff,0x7ec001ff,0x7fd4002f,0x003fffff,0x2001bfe6,
    0x07fc41ff,0x7d437cc0,0x3ffff606,0xfffffffe,0xffffa802,0x3ffe800d,
    0x5403ffd3,0xbff90eff,0x1dff3000,0x3fffa600,0x7e40002e,0xfe88002f,
    0x6400001f,0xf50003ff,0x4001bfff,0xffd34ffd,0x5ff98005,0x64003ff9,
    0x05ff99ff,0x7ffffffc,0xffffffff,0xeffd8805,0x36000dff,0x1ffecdff,
    0x3fbfee00,0x7ff402ff,0x3fffffff,0x7d6ffec0,0x744002ff,0xf98000ef,
    0x0effcaff,0x3ffffee0,0x2000ffff,0x0000efe8,0x2a009ff7,0xffffffff,
    0xdff3003f,0x9bff5000,0x6c007ffb,0x1ffecdff,0x3fffff20,0xffffffff,
    0x2b7ff600,0xfc802fff,0x801effef,0x4ffeffe9,0x05ffa800,0x3abbfee0,
    0xe88004ff,0x6c0001ff,0xb00002ff,0x360005ff,0x2fffadff,0x3fbff200,
    0x7c4001ef,0x003ff95f,0x7fccffe4,0xfffb5005,0xfb5113bf,0x3ea007ff,
    0xd88003ff,0x003fffff,0x00cffe98,0x456fffe4,0x701fffeb,0x7fec45ff,
    0x037f6000,0x506ffc00,0x3fe209fd,0xfffc9bff,0x037f6004,0x01ff5000,
    0x717fffb0,0x3001fffd,0x32000dff,0x004fffff,0x7ffffec4,0xffff9803,
    0xffea88ae,0x445ff703,0xea800ffd,0xfc8003ff,0xff0001ef,0x27fc4007,
    0x7000bfee,0x200001df,0xa80007fb,0xf70001ef,0x07fec45f,0x09ffd300,
    0x7c53f200,0x3fe6001f,0xc8009f91,0x3f604fff,0x191000ff,0xaaa98000,
    0x015c0000,0xf883ffe8,0x017103ff,0x053000ea,0x7102a800,0x21bfee03,
    0x26007ff9,0x0a200002,0x103ffe20,0xf3009fff,0x544000df,0x260000aa,
    0x3e000aaa,0xffb80eff,0x2a017105,0x00722003,0x40003980,0x01b8001a,
    0x28800171,0x01980000,0x000a8800,0x1d402e20,0x0001b800,0x000150a2,
    0x40014415,0x7400fffc,0x000002ff,0x00000000,0x201fff10,0x00005ffc,
    0x00000000,0x407ffe00,0x00001ffd,0x7d400000,0x0fff905f,0x000dff30,
    0x00000000,0x2601fff0,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x27fe4000,0x3027fdc0,0x059dffdb,
    0xeffed980,0x76dc002c,0x0baadfff,0xfd80fffc,0x3b2a204f,0x4c001bdf,
    0x02ceffed,0x7fff6dc0,0x3e20baad,0x0ffea06f,0xbfffdb70,0xd9801755,
    0x202ceffe,0xff103ffc,0x6666541f,0xccccfffd,0xffd9501b,0xca805bff,
    0x66540ccc,0x3ffe03cc,0x40dff300,0xbefffed9,0xfdb300bb,0x01777dff,
    0x3ffffb2a,0xfdb3002d,0x81777dff,0x540cccca,0xca83cccc,0x66540ccc,
    0xccca83cc,0x6666540c,0x3ffb2603,0x0bbfae2d,0x77ff6cc0,0x6665402c,
    0x6666540c,0x7f654403,0x665401bd,0x666540cc,0x5ffc803c,0x884ffc80,
    0xfffffffd,0x7ec400df,0xdfffffff,0x7fff4c00,0x3fffffff,0x7cc2ffec,
    0xfff502ff,0x01dfffff,0xfffffd88,0x4c00dfff,0xfffffffe,0x3fea3fff,
    0x417fe605,0xffffffe9,0xb103ffff,0xffffffff,0x09ff901b,0x7dc7ffe2,
    0xffffffff,0x40ffffff,0xfffffffe,0xfff505ff,0x7ffcc1ff,0x3ffe06ff,
    0x20dff300,0xfffffffd,0xffd83fff,0xffffffff,0xfffffe83,0x6c05ffff,
    0xffffffff,0x3ffea3ff,0x3ffe60ff,0x7ffd46ff,0x3ffe60ff,0x7ffd46ff,
    0x3ffe60ff,0xfff706ff,0xffb9ffff,0x6c407fff,0xffffffff,0xffffa80d,
    0x3fffe60f,0x3ffea06f,0x80efffff,0x20fffffa,0x06fffff9,0x201fffc8,
    0x7c42fff9,0xffffffff,0xff100fff,0xffffffff,0x3fea01ff,0xffffffff,
    0x7ffcc5ff,0x6fffebcf,0xffffff50,0x201dffff,0xfffffff8,0x500fffff,
    0xffffffff,0x7dcbffff,0x1ffe204f,0x3fffffea,0x85ffffff,0xfffffff8,
    0x5c0fffff,0xfffb06ff,0x3ffffee5,0xffffffff,0x7fffc0ff,0x4fffffff,
    0x0fffff98,0x1bffffe2,0xf300fff8,0xffff90df,0x9fffffff,0xffffffc8,
    0xf84fffff,0xffffffff,0xfff904ff,0xffffffff,0x7ffffcc9,0x3ffffe20,
    0x7ffffcc6,0x3ffffe20,0x7ffffcc6,0x3ffffe20,0xfffffb06,0xffffffff,
    0xfff105ff,0xffffffff,0xffff981f,0x3fffe20f,0xffff506f,0x1dffffff,
    0x0fffff98,0x1bffffe2,0x07bfff20,0xb03fffa6,0x51159fff,0x360bfff9,
    0xa88acfff,0xf885fffc,0xb711afff,0xff70bfff,0x1fffffff,0x15dfff50,
    0x03bffee6,0x22b3fff6,0x85fffca8,0x11affff8,0x5cbfffb7,0x3fe204ff,
    0x57fffc47,0xbfffb711,0x159fffb0,0x8bfff951,0x7dc2fff9,0x332a4fff,
    0xccfffdcc,0xcca81bcc,0xfff9309a,0x03ffea20,0x40dff751,0xff300fff,
    0x159fff0d,0xf13ffae2,0x2e2159ff,0xcca84ffe,0xfff9309a,0x42b3ffe0,
    0x444ffeb8,0x5440fffa,0xfa886ffb,0x7dd440ff,0xfffa886f,0x37fdd440,
    0xd88acd88,0xfd8bffff,0xcfffd86f,0xfffca88a,0x0fffa885,0x437fdd44,
    0x30aefffa,0x881dfff7,0x5440fffa,0xfc806ffb,0xfccfffff,0x7d42ffff,
    0x3fee03ff,0x1fffd42f,0xc85fff70,0x3f600eff,0xffffa85f,0xe80effff,
    0x3fe605ff,0x1fffd43f,0xc85fff70,0x3f600eff,0x813fee5f,0x7fe47ff8,
    0x17ff600e,0x5c07fff5,0x7fe42fff,0xffffebef,0x37fcc05f,0x3ffe0000,
    0x403ffe00,0x3fe06ff9,0x0dff300f,0x3e205fff,0x817ffc1f,0xf0001ff8,
    0x5fff01ff,0x7c07fe20,0xdff300ff,0x9807ffc0,0x3ffe06ff,0x00dff300,
    0x224fffa8,0x3fea2fff,0x3ffee03f,0x201fff02,0xffe86ff9,0x0fffe605,
    0xf9807ffc,0xfffc806f,0xffffffff,0xaeffc83f,0xeaaaaaaa,0x77fe45ff,
    0xaaaaaaaa,0x7ff45ffe,0x21ffc401,0xfefffff9,0x7fc45fff,0x2ffdc00e,
    0x2aabbff2,0xffeaaaaa,0x200fff45,0x3fee3ff8,0xd1ffe204,0xff8803ff,
    0x5577fe43,0xfeaaaaaa,0x7fff445f,0x4fffffff,0x0037fcc0,0x777ff6dc,
    0x3fe00fff,0x0dff300f,0x8dfffff9,0x21effffc,0xacdffffb,0x7fffdc01,
    0x2e001acd,0xffeeffed,0xffffb80f,0xff001acd,0x1bfe601f,0xf300fff8,
    0x07ffc0df,0x2606ff98,0xfffeeedb,0x5ffdaaab,0x2aabbff2,0xffeaaaaa,
    0x201fff05,0x7fc46ff9,0x2ffdc00e,0xf300fff8,0x9ff900df,0xdffffffb,
    0x3ffffa05,0xffffffff,0x7fff46ff,0xffffffff,0x3fe26fff,0xfd031007,
    0x3f2615df,0x13fee3ff,0xfd1ffe20,0xffffffff,0x44dfffff,0x831007ff,
    0x3e205ffa,0x01ffe27f,0x7fff40c4,0xffffffff,0xfd886fff,0xffccffff,
    0x037fcc02,0xffffff50,0x401fffff,0xff300fff,0xfffff88d,0xffff11ff,
    0x7ffc49ff,0x04ffffff,0xfffffff1,0x7fd409ff,0xffffffff,0xffff880f,
    0x404fffff,0xff300fff,0x807ffc0d,0x3fe06ff9,0x0dff300f,0x3ffffff2,
    0xffffffff,0x3fffa6ff,0xffffffff,0xfff06fff,0x71bfe601,0xff1009ff,
    0x403ffe0f,0xfc806ff9,0x3799732f,0xffffff80,0xffffffff,0x7ffffc7f,
    0xffffffff,0x1bfe67ff,0x2fff8800,0x7e4bffb0,0x3ffd003f,0x7ffffffc,
    0xffffffff,0x001bfe67,0x2606ff88,0x1bfe65ff,0xfffff000,0xffffffff,
    0x65cc0fff,0x801fff1b,0xf5006ff9,0xffffffff,0x7fc01fff,0x0dff300f,
    0x8bffffd9,0x41dfffeb,0xfffffec8,0xec881eff,0xefffffff,0x7ffffd41,
    0x0fffffff,0xffffd910,0x3e03dfff,0xdff300ff,0x9807ffc0,0x3ffe06ff,
    0x88dff300,0xfffffffe,0xffffffff,0x3fffe6ff,0xffffffff,0xfff07fff,
    0x91bfe601,0x3fa007ff,0x00fff81f,0xf900dff3,0x7ec0005f,0xeeeeeeef,
    0x6c6eeeee,0xeeeeeeff,0x26eeeeee,0x20007ff8,0x3e606ffa,0x013fea7f,
    0xffb1ffe2,0xdddddddd,0x7c4ddddd,0x7f40007f,0x49ff700f,0x40007ff8,
    0xeeeeeffd,0x6eeeeeee,0x03ffe400,0x44037fcc,0x99bdffff,0x200fffa9,
    0xff300fff,0x0800000d,0x7fee54c4,0x2a62045f,0x225fffdc,0x99bdffff,
    0x080fffa9,0x7fee54c4,0x01fff05f,0xff81bfe6,0x0dff300f,0xf9807ffc,
    0x6fffd46f,0xefffb99a,0x25eeeeee,0xeeeeeffd,0x6eeeeeee,0x2601fff0,
    0x27fd46ff,0xf83ffc40,0xdff300ff,0x005ff900,0x0077fe40,0x01dff900,
    0x017ff400,0x1bfe6088,0x3e26ffa8,0x7fec01ff,0x0077fe45,0x005ffd00,
    0x09ff9022,0xfe83fff1,0xc811002f,0x00000eff,0x005fff90,0xf7009ff1,
    0x7ffc01ff,0x403ffe00,0x4c006ffa,0x06f9800b,0xf987ffcc,0x87ffcc06,
    0x3e00fffb,0x037cc0ff,0x3e03ffe6,0xdff500ff,0xa807ffc0,0x3ffe06ff,
    0xb8dff500,0xfff985ff,0x1dff9002,0x1fff0000,0xf11bfea0,0xffd803ff,
    0x201fff05,0xfc806ffa,0x3e20002f,0x73101eff,0xefff8839,0x83973101,
    0x2202fffc,0x3ffe1ffc,0x27ff4c0c,0x220ffff6,0x7c42fffd,0x73101eff,
    0x2fffc839,0x987ff220,0x3f663fff,0x2fffc86f,0x887ff220,0x3101efff,
    0xe9808397,0x2a003fff,0x5ffc800c,0x01ffff70,0x3221fff4,0x74006fff,
    0x7fe404ff,0x3fff301d,0x4c077ff2,0xbff91fff,0x03fffee0,0x2603bff9,
    0xffe81fff,0x37ffe443,0xc887ffd0,0x3fa06fff,0x7ffe443f,0x307ffcc6,
    0xb88dfffd,0x3bffe20c,0x03973101,0xf910fffa,0xfffb0dff,0x5fffb107,
    0x910fffa0,0x5cc0dfff,0x01ccdffe,0xfffffa80,0xfffffecd,0xfffffa86,
    0xfffffecd,0xeffffe86,0xffffedcc,0x3bffff22,0x41fffffd,0xcdefffe8,
    0x504ffffe,0xd9bfffff,0xd0dfffff,0xb99dffff,0xc85ffffd,0xfffdffff,
    0xffffd02f,0xfffdb99d,0xffffa85f,0xffffecdf,0x377fea6f,0x005fffff,
    0x3ffea000,0xffffecdf,0xfc81efff,0xfffecdff,0xa801efff,0x7ec07fba,
    0xfecdefff,0x3ff67fff,0xffecdeff,0x3ffea7ff,0xffffecdf,0xffb1efff,
    0xffd9bdff,0x3ff20fff,0xffffecdf,0xffc81eff,0xffffecdf,0xffc81eff,
    0xffffecdf,0x3ffe1eff,0xfffffddf,0x5fffecff,0x6fffffd4,0x6fffffec,
    0xd9bfff90,0x3dffffff,0x6f7fff44,0x04ffffec,0x3b37fff2,0x1effffff,
    0x7fffffc4,0xc8000fff,0xffffffff,0xf905ffff,0xffffffff,0xfd10bfff,
    0xffffffff,0xfff90bff,0x05ffffff,0x3fffffa2,0x6403ffff,0xffffffff,
    0xe885ffff,0xffffffff,0xffb05fff,0x407fffff,0xffffffe8,0x905fffff,
    0xffffffff,0x7e4bffff,0x4fffffff,0xffffff50,0xffffffff,0xfffffd8d,
    0xffffffff,0xfffe884f,0xffffffff,0x7ffd404f,0x7ffe405f,0xffffffff,
    0x3ffff21f,0xffffffff,0x7ffffec1,0xffffffff,0xfffff94f,0x3fffffff,
    0x3ffffa20,0xffffffff,0xffffe884,0xffffffff,0xffffe884,0xffffffff,
    0x3ffffe64,0xffffffff,0xfc85ffff,0xffffffff,0xfd105fff,0xffffffff,
    0xfe889fff,0xffffffff,0x7fff4403,0xffffffff,0xfffff84f,0x0000ffff,
    0xffffffb3,0xd9807bff,0xffffffff,0x3fee203d,0x2effffff,0x3ffffae0,
    0xfec801df,0x002dffff,0xffffffb3,0x5c407bff,0xffffffff,0x3ff6202e,
    0xb8802fff,0xffffffff,0x7fecc02e,0x3dffffff,0x7fffff44,0x3fff600d,
    0xffffffff,0x7dc1ffff,0xfbefffff,0xd101dfff,0xf9bfffff,0xd9003bff,
    0xde9801bf,0xfffffffd,0x7eef4c0c,0x0cffffff,0xffffff70,0x3bffff7d,
    0x3fff77a6,0x400cffff,0xdfffffe8,0x101dfffc,0x9bfffffd,0x2203bfff,
    0xcdfffffe,0x74c1dfff,0xcecdffff,0x03effffe,0x3fffff66,0x4403dfff,
    0xcdfffffe,0xd901dfff,0x05bfffff,0x3ffffa20,0x1dfffcdf,0xaaaaaa88,
    0x9880000a,0x80009aaa,0x009aaa98,0x9abaa980,0x06a62000,0x00d54400,
    0x35553100,0x75530001,0xa9800135,0x75530000,0x98800135,0x88009aaa,
    0xff3001aa,0xffffffff,0x220bffff,0x0000aab9,0x0004d544,0x2a200000,
    0x10009aaa,0x00135555,0x00155731,0x26aaaa20,0x4d544000,0x2aa20000,
    0x2a200009,0xa880009a,0x0035301a,0x09aaa988,0x09aa8800,0x06aa2000,
    0x09aa8800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00730000,
    0x80000aa0,0x20040000,0x00000000,0x00000000,0x20001cc0,0x02e20000,
    0x00ca8000,0x00135500,0x10000550,0x40000603,0x2e1cccb9,0x00c06203,
    0x5c000000,0x00010001,0x30000100,0x00001575,0x0c062000,0x000dc000,
    0x00000550,0x00260300,0x33333326,0x0000accc,0xd0001ff7,0x75c000bf,
    0xcc9adfff,0x03f702cc,0xccca81f6,0x3dfffd9a,0x74c27d40,0x3332e00f,
    0x2fbfae2c,0x03fee000,0x00ff6200,0x00077dc0,0x0037fd40,0x4e7fffd4,
    0x3f601db8,0xff30000d,0x0006fe85,0x97ffffc4,0xff983ffb,0x98037f42,
    0x00140cfd,0x20013f62,0x80000dfb,0x30002fd8,0x07fffffd,0x2067e4c0,
    0x42ff9802,0xd10006fe,0x3f60009f,0x40cf9806,0xfe801fd8,0x200ffd46,
    0xfffffffa,0xd8006fff,0xd30002ff,0x74c001df,0xffffffff,0x981fffff,
    0x305fa86f,0xfffdffff,0x4c09ffff,0xdff71eff,0x7ffffdc0,0xfffffe9c,
    0x2ffd800f,0xffffa800,0x7ec4001e,0x7dc0002f,0x744000ff,0xffffffff,
    0x03bfa603,0xf0ffee00,0xf88000ff,0xff52ffff,0xf87ff707,0xfffa807f,
    0x02feabff,0x001dfd30,0x17ffff44,0xffff5000,0x7fc4001b,0x04ffffff,
    0xbfffffa8,0x7dc02fe9,0x003ffc3f,0x00077f4c,0x2007ffa2,0xff52fff8,
    0x8fff001d,0x7d403ffb,0xffffffff,0x3fa2006f,0x7440001f,0xff9801ff,
    0xffffffff,0xb00fffff,0x3ffd9bff,0x3ffffe60,0xffffffff,0x3bffa603,
    0x7fd404ff,0xffffffff,0x2204ffff,0xc8001ffe,0x3ffeadff,0x03ffc800,
    0x013fa200,0x7fffe4c0,0xfe8801ff,0x6e44001f,0x00016d40,0x317ff5cc,
    0x81b9103f,0xbfe802da,0x05ffffc8,0x001bff50,0x7ed77fd4,0xffd8005f,
    0x002fffad,0xff9bfffb,0xbfd803ff,0x05ffffc8,0x6d40dc88,0x6ffd4002,
    0x77fcc000,0x3ff62000,0x5000dffe,0x00cd885b,0x66677fd4,0x2000bccc,
    0x00000efb,0x3fa017f2,0xffd51dff,0x44015dff,0x03fffffd,0x5ffffec4,
    0x00dff931,0x2003dff9,0xfffffda8,0x01fea8bf,0x20003bee,0x7fe43ffa,
    0x0ffa8000,0x80004000,0xffdffffa,0x1bf2002f,0x00000000,0x2ec5ffb0,
    0x02200000,0x7c005bb3,0x7fc4004f,0x00ffee0c,0x3622ffb8,0xfff800ff,
    0x2027fec2,0x016ecc08,0xff000000,0x17f60009,0x2fffb800,0xa8000000,
    0x200004ff,0x30000028,0x1fffb803,0x00bfff70,0x8005554c,0xf882fffb,
    0x049800ff,0xdffff700,0x00510001,0x39805c40,0x000a2000,0xdea80000,
    0x00dff90a,0x00000198,0x7fec0000,0x00001f52,0x54000000,0x20370001,
    0x2e2000b8,0x3e007500,0x2ffd40ff,0x00000000,0x00035000,0x4400014c,
    0x0000000c,0x0009ff50,0x00000000,0x102ffec0,0x0000bfff,0x407ff700,
    0x00001ffe,0x027ffdc0,0x00000000,0x40000000,0x2ceffed9,0x7ffd0000,
    0xb3000000,0x0059dffd,0x3effedb8,0x80225ffb,0xdffffeca,0xffd95002,
    0x00005bff,0x00000000,0x0fff0000,0x51009ffb,0x0037bfd9,0x5eff6544,
    0x00000001,0x20000000,0x540cccca,0xf503cccc,0x80004c9f,0x1bdfeca8,
    0x3fb2a200,0x7ff401bd,0x02ffe402,0x5eff6544,0x03ffb801,0x54407ffa,
    0x001bdfec,0x40013fee,0xdffffeca,0xffd95002,0x2a005bff,0x2dffffec,
    0xffffb100,0x001bffff,0x57bdfd95,0x99710fff,0x44007999,0xfffffffd,
    0x7ec400df,0xefffffff,0xffe802ff,0x5fffffff,0x7fffff40,0x4405ffff,
    0x03cccccb,0x99999710,0x99973007,0x3332a017,0x26fff03c,0x402ffffc,
    0xfffffffa,0x7fd400ef,0x0effffff,0x99999990,0x70799999,0x75c59999,
    0xcb880bef,0x5403cccc,0x260fffff,0x506fffff,0xffffdfff,0x3fea001b,
    0x0effffff,0x7ffffd40,0xff00efff,0x5ffb803f,0x7ffffd40,0x2e00efff,
    0x3ffa03ff,0xfffffa81,0xb800efff,0xfe8004ff,0xffffffff,0x7ffff405,
    0x405fffff,0xfffffffe,0x7fc405ff,0xffffffff,0xffb100ff,0xffffffff,
    0xffffd81f,0xff1005ff,0xffffffff,0x3fe201ff,0xffffffff,0xff802fff,
    0xffffffff,0x3fffe04f,0x4fffffff,0x3fffff60,0xfffb005f,0xfd00bfff,
    0xf30bffff,0xf07fffff,0xfffff1ff,0xffffa80d,0x0effffff,0xffffff50,
    0xf01dffff,0xffffffff,0xffb8bfff,0xffe9cfff,0x7ec0ffff,0x405fffff,
    0x20fffff9,0x06fffff8,0xfffffff5,0xfa803fff,0xffffffff,0xfff500ef,
    0xdfffffff,0x809ffb01,0x3ea05ffe,0xffffffff,0x7ff700ef,0x2a0fff40,
    0xffffffff,0x7dc00eff,0xfff8004f,0xffffffff,0x3ffffe04,0x04ffffff,
    0x3ffffffe,0x3604ffff,0xa88acfff,0xf885fffc,0xffffffff,0x7e41ffff,
    0x005fffff,0x1159fffb,0x20bfff95,0x511cfffd,0x005fffff,0x26135995,
    0x32a07ffc,0xff9309ac,0x7fffe40f,0xff9005ff,0xd00bffff,0x109fffff,
    0x05ffffff,0xfffd1fff,0x3fea09ff,0xff730aef,0xfffa81df,0xfff730ae,
    0xfffff81d,0x5fffffff,0x7fffffd4,0xffffffff,0x7ffffe44,0xffa8805f,
    0x7fdd440f,0xfffff506,0x01fffffd,0x42bbffea,0x40efffb9,0x30aefffa,
    0xc81dfff7,0xff500fff,0x3ffea0bf,0xfff730ae,0x07ff701d,0xff50fff4,
    0x3ee615df,0x3ee00eff,0xcca8004f,0xfff9309a,0x84d66540,0x2a07ffc9,
    0xf9309acc,0x3ffea0ff,0x0bffee03,0x545bfffb,0x983ffffd,0x805ffcaa,
    0x2e03fffa,0x7fd42fff,0xfffd101f,0x3fe00005,0x3fe0000f,0x32aa600f,
    0x2a6005ff,0x7005ffca,0x3ba23fff,0x01fff714,0x7edc5ffe,0xffe84fff,
    0x0fffe605,0x7cc0bffd,0x5fffc3ff,0xffffdaaa,0xfffda880,0xfea8bfff,
    0xffcaa981,0x03ffe005,0xe8837fcc,0xff710bdf,0x17ffa0bf,0x743fff98,
    0x3fe605ff,0x77ffc43f,0x3fffee22,0x40bffd05,0xfb83fff9,0x87ffa03f,
    0x3e605ffe,0x3fee03ff,0xff000004,0x7fc0001f,0x3fe0000f,0xaeffc80f,
    0xeaaaaaaa,0x3ffe65ff,0x13fff605,0x900bff30,0x55555dff,0x8bffd555,
    0x7cc04ffd,0x36e002ff,0xfffeeffe,0x7ff6dc00,0x000fffee,0x2000bff3,
    0xf1005ff9,0x3fff21ff,0x7c0bff70,0xfffb887f,0x003bfe23,0x7fc4bff7,
    0x2ffdc00e,0xfff51bfa,0xfffb801f,0xf30000ef,0x7ffc00bf,0x00dff300,
    0x443ffdc0,0x7dc00eff,0x03bfe25f,0xf70bff70,0xfffbffff,0xff10bfff,
    0x5ffb801d,0x3fffffaa,0xf11ffe82,0xffb801df,0x7ffffec5,0x03ffffff,
    0xeeffedb8,0x6dc00fff,0xfffeeffe,0x7ff6dc00,0xe80fffee,0xffffffff,
    0x26ffffff,0x2a02fffa,0x7cc04fff,0xfffe805f,0xffffffff,0x7ff46fff,
    0x02fff801,0xffffffa8,0x500fffff,0xffffffff,0x26001fff,0xf30005ff,
    0x7ff400bf,0x367ffff2,0x1ffe03ff,0x3ee6ffb8,0x7ff8804f,0x22013fee,
    0x50e4c7ff,0x7001dfff,0x80009fff,0x3e005ff9,0xdff300ff,0x7ffc4000,
    0x4027fdc1,0x3fee7ff8,0x07ff8804,0xfffffff9,0xf70bffff,0xfff1009f,
    0x7fffffec,0xf71ffe85,0xfff1009f,0x7fffffcc,0x07ffffff,0x3fffffea,
    0x500fffff,0xffffffff,0x3ea01fff,0xffffffff,0xffff80ff,0xffffffff,
    0x3ff27fff,0x03fff806,0x7c02ffcc,0xffffffff,0x47ffffff,0xfd800fff,
    0x7ffd402f,0xffffffff,0xffffa80f,0xffffffff,0x0bff3000,0x017fe600,
    0xffabffc8,0x03fff6ff,0x3fe03ffc,0x007ff90f,0x7fe47ffa,0x03ffd003,
    0x0077ffd4,0x0004ffb8,0x2005ff98,0xff300fff,0xffd8000d,0x801ffe42,
    0x7ff91ffe,0x407ffa00,0xdfffffe9,0xffc85ffb,0x23ffd003,0x1effffe9,
    0xff91ffe8,0x87ffa007,0xfffffffd,0xf503efff,0xffffffff,0xff501fff,
    0xffffffff,0xfff501ff,0xffffffff,0xddffb01f,0xdddddddd,0x7ffdcddd,
    0x0bffe200,0xb00bff30,0xddddddff,0x8ddddddd,0x7c403ffe,0x3fe202ff,
    0xa999bdff,0x7fc40fff,0xa999bdff,0xf3000fff,0x3e6000bf,0x3fea005f,
    0xbfffffdd,0x3ffc07ff,0x7d4bff60,0x7ff8804f,0x22013fea,0x3fea07ff,
    0x3ee000ef,0xf980004f,0x3ffe005f,0x00dff300,0x541fff80,0xff8804ff,
    0x2013fea7,0x98807ff8,0x0bff509a,0xf1009ff5,0x7f4000ff,0x009ff50f,
    0x0000fff1,0x7bffff10,0x1fff5333,0xbdffff88,0x0fffa999,0x5effffc4,
    0x0fffa999,0x000effc8,0x407fff30,0x4c00fffb,0xffc805ff,0x3f20000e,
    0x7ffe406f,0x03ffee02,0x7dc0fff8,0x3ffe00ff,0x0bff3000,0x017fe600,
    0xffffff88,0x05fffffe,0x44d9bffc,0xfff12ffe,0x25ffd803,0x6c01fff8,
    0xfff505ff,0xffb8001d,0xff980004,0x03ffe005,0x00037fd4,0xf881fff5,
    0x7fec01ff,0x007ffe25,0x4000bffb,0xff884ffc,0x2ffec01f,0x27ff8800,
    0x6c01fff8,0x1b8805ff,0x01fff700,0x3ee07ffc,0x3ffe00ff,0x007ffdc0,
    0xff101fff,0x2e6203df,0x177ff41c,0x402fff54,0xf8805ff9,0x73101eff,
    0x4fffa839,0x05ffff50,0xfb82ffe4,0x7fe40fff,0x1ffff705,0x017fe600,
    0x002ffcc0,0x27bffffa,0x403fffff,0x23ff97ff,0x3f60fff8,0xffd883ff,
    0x1fffec2f,0x417ffec4,0x4c0efffa,0x13fee02d,0x17fe6000,0x443ffe80,
    0xfb86fffc,0xdffb101d,0x20ffff60,0x6c2fffd8,0xfd883fff,0xf30002ff,
    0x3ff605ff,0xfffd883f,0xffc88002,0x41fffec6,0x802fffd8,0xfc806ffb,
    0xffff705f,0x705ffc81,0xfc81ffff,0xffff705f,0x3fffea01,0xffffecdf,
    0x7fffcc6f,0xfffffcdf,0x05ff9800,0xbfffff50,0xdfffffd9,0x9bffff90,
    0xffffffdb,0xffff507f,0xfffffd9b,0x3fea3dff,0xfffecdff,0x401effff,
    0x30005ff9,0xfc800bff,0xfffd3fff,0xfffd103f,0xfbfffbdf,0xffe88dff,
    0xfffecdef,0xfffe884f,0xffffecde,0x0efffa84,0x3ee06fe8,0xf980004f,
    0x3ff2005f,0xffffecdf,0x3ffa1eff,0xffedcdef,0xffd101ff,0xfffd9bdf,
    0xfffd109f,0xffffd9bd,0xcccb8809,0x00efffec,0x9bdfffd1,0x009ffffd,
    0x3fff732a,0x7fff443f,0xffffecde,0xfebaa804,0x7fffd402,0xfffffecd,
    0xfff51eff,0xffffd9bf,0x3ea3dfff,0xffecdfff,0x81efffff,0xfffffffc,
    0xa85fffff,0xffffffff,0xfffb82ff,0xffffffff,0xfffc80ef,0xffffffff,
    0xffffb05f,0xffffffff,0x3ff60dff,0xffffffff,0x3f64ffff,0xffffffff,
    0x2e4fffff,0xffffffff,0x2e0effff,0xffffffff,0x500effff,0x3ee1ffff,
    0xfff707ff,0xffff7fff,0xfd103fff,0xffffffff,0x7fff4407,0x83ffffff,
    0xfffffff9,0x20ffffff,0xfffffffd,0xf703ffff,0xffffffff,0xd101dfff,
    0xffffffff,0x7cc9ffff,0xffffffff,0x7f4403ff,0xffffffff,0x3fffa203,
    0x03ffffff,0xffffffc8,0x74400eff,0xffffffff,0xfff5003f,0x2209ffff,
    0xfffffffe,0xfff003ff,0xffb001ff,0xffffffff,0x7ec9ffff,0xffffffff,
    0x364fffff,0xffffffff,0x04ffffff,0xffffffb3,0x6c407bff,0x0dffffff,
    0xfffffff0,0x7fffffff,0x3ffff660,0x403dffff,0xfffffffa,0x02efffec,
    0x3fffffee,0x1dffffbe,0x7fffffdc,0x1dffffbe,0x3ffffffe,0x3fffffff,
    0x3ffffffe,0x3fffffff,0x44bfff10,0xfb106fff,0x3faebfff,0x76402fff,
    0x02dfffff,0xfffffd90,0x3ffea05b,0xffffffff,0xffff30ff,0xffffffff,
    0x3ffffe0f,0xffffffff,0xfffd103f,0xbfff9bff,0xffffd983,0x2001dfff,
    0xdfffffec,0xfffd9002,0x2e005bff,0xdfffffff,0x3ffb2000,0x2002dfff,
    0x4efffff9,0xffffec80,0x3aa002df,0x3ee002ef,0xfbefffff,0x7dc1dfff,
    0xfbefffff,0x7dc1dfff,0xfbefffff,0x4401dfff,0x0009aaa9,0x004ddcc4,
    0x3fffffae,0x0dffffff,0x4d554c40,0xaaa88000,0x5cc40001,0x988000aa,
    0x2e000aab,0xfffffffe,0x2e0dffff,0xfffffffe,0x200dffff,0x7fe42ffe,
    0x4d4c0004,0x06aa2000,0x01aa8800,0xffffffa8,0x0fffffff,0x3ffffff6,
    0x703effff,0xfffffffd,0x801bffff,0x80009aa8,0x009aaa98,0x006aa200,
    0x001aa880,0x03555530,0x01aa8800,0x02aaa600,0x006aa200,0x4c400000,
    0x88000aab,0x8000aab9,0x000aab98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x39997300,
    0x73000000,0x00003999,0x10000000,0x44000080,0x9999500b,0x99999999,
    0x99730005,0x00000039,0x00000000,0x00000000,0x80000000,0x006203b8,
    0x02600000,0x0000b260,0x00000000,0x665c0c40,0x666540cc,0xcccca83c,
    0xbcccb983,0x40000001,0x02e20018,0xb9502000,0x20001379,0x80aacba8,
    0x3fe21ca8,0x00002fff,0x7ffffc40,0x5417ec02,0x05fb005f,0x1fb80bf5,
    0x4c000fb0,0xfffb02ff,0xffffffff,0xff8800bf,0x5c402fff,0x000cefec,
    0x02819fb3,0x80176a20,0xbefffed9,0x76dc00bb,0x0baadfff,0x6440df88,
    0x8015401f,0x7e4c2ffc,0x10000bef,0x10137b95,0xfff8809f,0x1eca8801,
    0x6dd44000,0x3ea00005,0x3fffea5f,0x3fffe60f,0x7fffcc6f,0x7fff43ff,
    0x3f6e66ff,0x900000ad,0xfb001fff,0xff98000d,0xfffffffc,0x3f22002f,
    0x1effffff,0x7c47fff2,0x0002ffff,0xfffff800,0x46ffdc02,0x9004ffd8,
    0xffb11bff,0xa86f9807,0xff70005f,0x7fffec09,0xffffffff,0x7ffc4005,
    0x3fe602ff,0x03ffffff,0x5fffffd4,0x32a02fea,0xb006fffe,0xffffffff,
    0x3fa607ff,0xffffffff,0x2ffe883f,0x4c01ffd5,0xffb801ff,0x3f3bfe23,
    0x7e44004f,0x42ffffff,0x7fcc04fa,0x7ffd402f,0x3e60001f,0x00006fff,
    0xff99bfee,0x3fe20fff,0x7fc46fff,0x7ec2ffff,0xff35ffff,0x000bffdf,
    0x807fffa0,0xaaafffaa,0x3fee000a,0xffffffff,0xffd004ff,0x9fffffff,
    0x731ffffc,0x00005ffd,0x5ffd5100,0xfffff500,0xffb8007f,0xb002ffff,
    0x3ffd9bff,0x07ff9000,0xcccdffc8,0x05ffeccc,0x2ffeb980,0xffffff50,
    0x7405ffff,0xffffc8bf,0xfffff105,0xff900dff,0xffffffff,0xffff509f,
    0xffffffff,0x3bff620b,0x7dc00eff,0x43f3003f,0x01fa23fb,0xffffff98,
    0x3ee4ffff,0x806fd803,0x001ffbc8,0x1bf2f220,0x1db88000,0x207ffd44,
    0x886ffca8,0xf700effd,0x056447ff,0x300003fd,0x7fec07bb,0x5fffffff,
    0x3ffff200,0xfffcbace,0x7ffdc03f,0x1efedcce,0x3603ffee,0x000002ff,
    0x77fff75c,0x7fec404e,0xfb10000d,0x6c4001bf,0x003fffff,0xa801ff98,
    0x3ffa00ff,0x3ff60002,0xcffff882,0x0fffec99,0x2dd98110,0x3ffffea0,
    0xfff806ff,0xffd710ac,0xaffff889,0xbfffb711,0x03fffa80,0x2007ff90,
    0x7dc3f44d,0xfffe8802,0xfffecabd,0x1000fe8d,0x003fd000,0x001bea00,
    0x1fff0000,0x4c1bfe60,0xff901fff,0x05ff100d,0x75400000,0xeeeefffe,
    0x3fff2003,0x1fffb102,0x0027fec0,0x2ffd80a2,0x54c00000,0x01acffea,
    0x20000750,0x2a60002b,0x2e0000aa,0x88022000,0x20000fff,0xffb82ffd,
    0x05fff106,0x33b60000,0xf806ffaa,0x3ff102ff,0x200effc8,0xc8805ffd,
    0x0fff2000,0x03fa1ae0,0xffb007f7,0x3fff605f,0x000003ff,0x80000ff4,
    0x000006fa,0x9807ffc0,0x3ff606ff,0x01fff885,0x0017fff6,0xfff80000,
    0x3fee0000,0x05ffe804,0x00007ffa,0xd915ffb0,0x40039dff,0xb3effedb,
    0x000005ff,0x00000000,0x00000000,0xb7017fee,0x3f67dffd,0x02ffc82f,
    0xcca93ff2,0x666540cc,0x6ff9803c,0xdffffb80,0x7ff401ac,0x01ffc401,
    0xfd971000,0x999999df,0x11fdc025,0xfff500fd,0x4fffc803,0xfffedb80,
    0xfd00baad,0xa80e6003,0x00e6006f,0x07ffc053,0x2606ff98,0x7fe41fff,
    0x2fffec06,0x0c400ae0,0xb51fff00,0x88019dff,0xff8800ff,0x7ffe6547,
    0x7ec00001,0xffffffef,0x7ec403ff,0xefffffff,0x999702ff,0x5f7f5c59,
    0x46665c40,0x00deffeb,0x666665c4,0xcccb8803,0x0deffeb8,0x0bffa000,
    0x7ffffec4,0x82ffefff,0x7fe403c8,0x1fffff54,0x37ffffcc,0x4037fcc0,
    0xfffffff8,0x7ff884ff,0x99903100,0x99999999,0x7fffe479,0xffffffff,
    0x3bfe200f,0x20c44ffd,0xf8804ffd,0x3fa602ff,0xffffffff,0x803fd03f,
    0xf502ffd8,0x7ffb100d,0x7c0ffe20,0xdff300ff,0x225ffd80,0xf3001fff,
    0x1ffd307f,0x2007ff00,0xffffffff,0x00002fff,0xff98fff4,0x0001ffff,
    0x7ffffec0,0x5fffffff,0xffffff10,0x5fffffff,0x9fffff70,0xffffffd3,
    0x77fffec1,0x2fffffff,0x3fffff60,0xfffd805f,0xffffffef,0xff98002f,
    0xffff880f,0xffffffff,0xff10002f,0x3fffe65f,0x3fffe20f,0x6ff9806f,
    0xfffd9100,0x4c3dffff,0x7c0006ff,0xffffffff,0x3fee5fff,0xffffffff,
    0xfc9807ff,0xfeb98bef,0x003ffe0f,0xfa81ffdc,0xffffffff,0x3fd05fff,
    0x077ffdc0,0x7d406fa8,0xff500eff,0x403ffe0b,0x7cc06ff9,0x0bffb1ff,
    0x3225fb80,0xf8805fff,0xffff005f,0xffffffff,0x3bbbba01,0xeeeeeeee,
    0xfff12fff,0x00003fff,0x9dffffd8,0x2fffd988,0x11cfffd8,0x05fffff5,
    0xfffffff5,0x9fffffff,0x7fffffe4,0x0fffffff,0xffffff90,0xffff900b,
    0xffffffff,0xffb8001f,0x39fffb05,0x3ffffea2,0xffe88002,0x3ffea20f,
    0x37fdd440,0x4037fcc0,0x7ee54c40,0x1ffe25ff,0xfffff000,0xbfffffff,
    0xadffda88,0x000aaaaa,0x3ffae662,0x1ffe23ef,0x885ffa80,0x711affff,
    0x544bfffb,0x220acffa,0x5304fffd,0x44155df9,0x200cfffd,0xfff06ffb,
    0x01bfea01,0x3fe77ff6,0x3359701f,0x3fea5fd7,0xfea802ff,0xffff005f,
    0xfff7115d,0x3ffffe07,0xffffffff,0x2aa23fff,0x00001ffe,0x9027ffec,
    0x7fd41fff,0xfffd101f,0x3ff6a205,0xea8bffff,0x7fffcc1f,0xffea88ae,
    0x3f2aa603,0xfff3005f,0xfd5115df,0xffe8007f,0x01fffa82,0x005fffd1,
    0x02fffe88,0x3e601fff,0x6ff9806f,0x26037cc0,0x3ffa0fff,0xff811002,
    0xffdaaabf,0x7ff900ff,0xfd930000,0xf3017dff,0x7fcc00bf,0x00effc86,
    0xffe97ff6,0xff76ffff,0x4c1335df,0x5fffffff,0x533dfff7,0x41fff201,
    0x7ec43fff,0xff9806ff,0x3605ffef,0x8dffffff,0x199dfffd,0xbffffb10,
    0x417ffe00,0xfff04ffc,0xffffffff,0x207fffff,0x4c001ffe,0x0dffb00b,
    0x7ec5ffd0,0x7ffcc04f,0x7fffdc02,0x3ffe000e,0x05ffb80e,0x400bff30,
    0xfb80efff,0x3fe6005f,0x04ffd80f,0x0017ffcc,0x407fffd1,0xff300fff,
    0x0dff300d,0x301dffc8,0x7fe43fff,0x3ff2202f,0xff51bfa1,0x7fe401ff,
    0xfd910003,0x40117dff,0x26006ff9,0x1ffe86ff,0x511ffc40,0xfd555555,
    0x0bff67ff,0x35555553,0xff59fffd,0xffd85bff,0xbbffff07,0xdffffffd,
    0xffffd803,0x65d4401f,0x2efffa9a,0xff983ffd,0xf001dfff,0x3fea01ff,
    0x557fff05,0xd5555555,0x3ffa07ff,0x3fff2001,0x804ffd81,0x3ffa3ffc,
    0x02fff801,0x0027ffdc,0xf9807ffc,0xbff3006f,0x807ffc00,0x2e006ff9,
    0x3ffd05ff,0x005fff00,0x00ffffe6,0x3e601fff,0x6ff9806f,0x77fffec0,
    0x7ffffecd,0xceffffe8,0x2ffffedc,0xfffa8726,0x1ffe400e,0xbdffb800,
    0x82dffc88,0x2a007ff8,0x3ffc44ff,0xf9001880,0x3fea1dff,0xfff7002f,
    0xb59ff33d,0x0fffe8ff,0xfffffff8,0x4fffffff,0x2ffffc40,0x7ffec400,
    0xb07fff24,0x80019fff,0xff300fff,0x00bff60b,0xfe80fff4,0x3ffa001f,
    0x03ffd83f,0x3fe4ffb8,0x2ffd800f,0x0027fdc0,0xf300fff8,0x3fe600df,
    0x03ffe005,0xd0037fcc,0x3ffe05ff,0x02ffd800,0x03ffffa8,0xf300fff8,
    0xdff300df,0xfffffc80,0x1fffffff,0xfffffe88,0x05ffffff,0x0077ffd4,
    0x8001ffe4,0x3bfe20a8,0xffe83ffd,0x87ff9001,0x00006ff9,0x88ffffa6,
    0x4c02ffff,0x3ee3fffe,0xfff1fec3,0xfffff03f,0xfff9dfff,0xfff9003b,
    0xfffb8003,0x3fffe61e,0x00bffe21,0x9807ffc0,0x9ff905ff,0x01fff300,
    0xc8007ffa,0xffd81fff,0x23ffd805,0x7c403ffe,0x7fdc02ff,0x1fff0004,
    0x401bfe60,0x3e005ff9,0xdff300ff,0x03ffe600,0x2201fff4,0x7dc02fff,
    0xff002fff,0x1bfe601f,0x301bfe60,0xfffffbbd,0x5c4019ff,0xffffffff,
    0x7ffd402e,0x7ff9000e,0x1fdc0000,0xbffb0df1,0x83fff300,0x00007ff8,
    0xd81bfff3,0x2202fddf,0x4080dfff,0x3ffe2fe8,0xaafff82f,0x6c0000ab,
    0x7dc005ff,0x5ff443ff,0x1bfea1ff,0x3ffe0350,0x20bff300,0x7402fffa,
    0x3ffa05ff,0x805cc001,0x2601fffd,0x3ff22fff,0x17ffe406,0x0013fee0,
    0xf9807ffc,0xbff3006f,0x807ffc00,0xf9006ff9,0x37fe40bf,0x80bfff20,
    0x001ffffc,0x7d403ffe,0x6ff9806f,0x67ed4400,0x7ecc0009,0xfa8009ac,
    0x32000eff,0x200003ff,0x4c1fc87e,0x3a203fff,0x5ffd05ff,0x7c402200,
    0xd8ffb82f,0x0ffe202f,0xf137f440,0xfff07fff,0x7cc00001,0x7d4001ff,
    0xff6fc81e,0x7037fcc3,0x1fff01ff,0xd817fe60,0xfe983fff,0x3ffa00ff,
    0x7ec00001,0xfe880dff,0x3ffea0ef,0x5ffff504,0x004ffb80,0x2601fff0,
    0xff3006ff,0x07ffc00b,0xd006ff98,0x7fd405ff,0xffff504f,0xdfffb105,
    0x3ffe8001,0x037ffe44,0x80037fcc,0x90001efc,0x3ea003df,0x16cc0eff,
    0xa885ffb8,0x0df004ec,0xfff705f7,0x1fffd309,0x80bfff20,0x0101ffc8,
    0x17ecbfe2,0xbff50000,0x27fffcc1,0x00007ffc,0x000bffb0,0xf87fd402,
    0x33ffe21f,0x417fecc0,0xff300fff,0x7fffc40b,0xffffeddf,0x00fff403,
    0xffffd800,0xfeccefff,0xffc81fff,0xffedcdff,0x703fffff,0x3e0009ff,
    0xdff300ff,0x017fe600,0xf300fff8,0xfff300df,0xffffc801,0xffffedcd,
    0xffd13fff,0x40a601bf,0xfecdfffc,0x01efffff,0x2001bfe6,0x8006ffc8,
    0xa807ffc8,0xfe80efff,0xbffff306,0x1fffffdb,0x7e85f900,0x3bffff60,
    0x03ffffed,0x677ffff4,0x2ffffedc,0x7fffec00,0x80001fff,0xff984ffc,
    0x0fff84ff,0x99993000,0x0005bfff,0x7fffff40,0x3fff20ef,0xfffffddf,
    0x3fffff62,0x3ffffa26,0xfffb104f,0x05ffffff,0xffffffd3,0x30005fff,
    0xffffffff,0x7fffffff,0x7ffffec0,0xffffffff,0x3ffff66f,0x3fffffff,
    0xdfffff90,0x1effffc8,0x3fffffee,0x0effffff,0x1bfffff2,0x03dffff9,
    0xd802ffd4,0xffffffff,0x56ffffff,0xffffffff,0x107fffff,0xfffffffd,
    0x229fffff,0xfffffffd,0x3203ffff,0x4007fcdf,0x00ffbdfc,0x3fffffe6,
    0x0fffffff,0xffffffb0,0x200bffff,0x4ffcdff8,0x3ffff620,0x802fffff,
    0xffffffe8,0x005fffff,0xffeeeec8,0x3a20001e,0x3ffa02ff,0x00ffe81f,
    0xfffff880,0x001fffff,0xfddddb00,0xfffe81bf,0x1fffffff,0xfffffff1,
    0x3ffffee3,0x7ffdc07f,0xf900dfff,0xffffffff,0x3f2000bf,0xfffdcfff,
    0xa800dfff,0xcfffffff,0xf32efffe,0xffffffff,0xff10ffff,0x223fffff,
    0x24ffffff,0xffffffff,0x13ffffff,0x3fffffff,0x3fffffe2,0x003ba204,
    0xffffffa8,0x2efffecf,0xfffffff5,0x0bffffff,0x3fffffa2,0x51dfffcd,
    0xffffffff,0x540fffff,0x4003ffff,0x404ffffa,0xfffffffa,0x00ffffff,
    0xffffff91,0xda8005bf,0xa800beff,0x0dfffffe,0x3ffee200,0x02efffff,
    0xeffda800,0x3ffe0001,0x2e2feeee,0x0df905ff,0x3fffe200,0x01ffffff,
    0xffda8000,0xffffc80d,0xffc82eff,0x3f624fff,0x1003efff,0xfd300355,
    0xdfffffff,0x31000005,0x10001355,0x6c003555,0xffffffff,0xfd903eff,
    0xfeb8bfff,0x3fae1dff,0xffffffff,0x3fb20dff,0x7f5c5fff,0x00001dff,
    0x006aaa20,0x7fffffd4,0x5fffffff,0x004d5440,0xffffffd8,0x802effff,
    0x260000b9,0xfffa801b,0xffffffff,0x54c400ff,0x8800009a,0x35310002,
    0x75530000,0x40000135,0x001efffb,0x3fffffe0,0x200c44ff,0x2a20000a,
    0x0aaaaaaa,0xff900000,0x2a6201df,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26620000,0x44019999,0x4cc40199,
    0x00000019,0x65440000,0x3263cccc,0xcccca881,0x9988003c,0x50019999,
    0x00799999,0xcb982666,0x0000001c,0x26666662,0x4ccc4001,0x54001999,
    0x31000002,0x05710000,0x00c404c0,0x440ccccc,0x80009999,0x93000018,
    0x65cc0799,0x98000bcd,0x0021bcdb,0x04dee544,0x66dcc400,0x5cc0022c,
    0x40022cdc,0x99999998,0x00aa0099,0x55555540,0xaaaaaaaa,0xcba8800a,
    0x7fdc00aa,0x07ffffff,0x03fffff7,0x1ffffff7,0x307bee20,0x7f6cc001,
    0xfc802cef,0xf16fffff,0xffff90ff,0xfb800dff,0x7fffffff,0x7ffffdc0,
    0x7ffcc06f,0xffffd8af,0x7ecc04ff,0x3ee0140c,0x7fffffff,0xfffff700,
    0x2a00ffff,0x300001ff,0x15bfffd7,0x05ffd000,0x7c41ff90,0xffff503f,
    0x3ff23fff,0x9806ffff,0x0adfffeb,0xbfffd000,0xffffeb88,0xd8803fff,
    0xdfffffff,0x3f2204fe,0x02ffffff,0x3fffff20,0x205fefff,0xffffffd8,
    0x7dc04fef,0xffffffff,0x1ff984ff,0x4ccdc400,0x99999999,0x32201a99,
    0xefffffff,0xddddb301,0x3f609ddd,0xfd82ffff,0x882fffff,0xc9dffffe,
    0xffd8805f,0x0dffffff,0x3fffff20,0x321ffe6f,0x06ffffff,0x77776cc0,
    0x7dc04eee,0x406fffff,0xfecffffb,0x3fffffff,0x7fffff50,0x6cc05fd5,
    0x4eeeeeee,0xddddb300,0x2e009ddd,0x440003ff,0xfecdeffe,0x3e2004ff,
    0xffd804ff,0x5c17fe61,0x2fffffff,0xfffffffd,0x3bffa201,0x04fffecd,
    0x2ffffdc0,0x3ffffffa,0x2204ffff,0xfffffffe,0xf307ffff,0xffffffff,
    0xffd8809f,0xffffffff,0xffff107f,0xffffffff,0xfffffd80,0x86ffffff,
    0x44003ffb,0x40310002,0xfffffffe,0x800004ff,0x80cfffd8,0x03fffec8,
    0xfff51bf7,0xff8803ff,0xffffffff,0x995100ff,0x85d8dffb,0x6ffdcca8,
    0x30000000,0x80dffb97,0xffffffc8,0xfffebacf,0xfc8bfe81,0x00005fff,
    0x90000000,0x440007ff,0xeb880dfe,0xdf7000ef,0x909b3001,0x3ff2203b,
    0x3b263def,0xd102efff,0xfd7101bf,0xfff1001d,0xfffe8bff,0xffffcace,
    0x9dfffb02,0xfffffb75,0x7bfffd10,0x09fffd95,0x33bfffa2,0x7fffecab,
    0x57dfffd0,0x80ffffd9,0xffeeeec8,0xfc81ceef,0x0144003f,0xff701880,
    0xdfdb99df,0x22000003,0xff9806ff,0x3b220405,0xfffd800b,0xffca88ac,
    0xdff3005f,0x7cc007cc,0x0000006f,0x006ff980,0x109ffffb,0x81109fff,
    0x00002dd9,0x20000000,0x10003ffc,0xfd1005fd,0x0000400b,0x0bff6000,
    0x2205ffb0,0xfe8802fe,0xffffc805,0x80fff45f,0xffd85ffe,0xfffd302f,
    0x205fffb0,0xfc81fffd,0x3fee01ff,0x02fff887,0x2000fffb,0x7e400fff,
    0x0144003f,0xffb01880,0x3b2a0009,0x402dffff,0xf9806ff8,0x4000005f,
    0x2e03fffa,0xf9802fff,0x4c00fa6f,0xd98006ff,0x002ceffe,0xb006ff98,
    0x7dc0bfff,0x2000005f,0x1bdfeca8,0x06666540,0x20f3332a,0xceffecb8,
    0x202ccccc,0xeeee9bfe,0x0bfa20bd,0x00000000,0x36017fec,0x47fd02ff,
    0x8dbeffd8,0x3e602fe8,0x645ffcff,0x1bfea07f,0x9805fff1,0x7ffd47ff,
    0x237fe401,0xe802fff9,0x05ffa86f,0x4001bfe2,0xcb880fff,0xcccceffe,
    0x002882cc,0x3ffa0310,0xfffe8001,0x05ffffff,0x2601bfe2,0xccb885ff,
    0xdeffeb8c,0x2bbff200,0xeaaaaaaa,0xff9805ff,0xff980066,0x3ff62006,
    0x0dffffff,0x09bfe600,0x3017ff60,0xccb88dff,0x2a003ccc,0xffffffff,
    0xffffa80e,0x3fffe60f,0xffffc86f,0xffffffff,0xd35f880f,0x43ffdddf,
    0x666645f8,0xcccccccc,0xccccb883,0x5ffb003c,0x882ffd80,0x37ffe65f,
    0x0bf11fff,0x7fcf7ff4,0xf300dc45,0x05ffa8df,0xffd8bfb0,0x2fff8804,
    0x54017ff2,0x06ff982d,0xf80027e4,0xfffc80ff,0xffffffff,0x001440ff,
    0x3f32a188,0xbccccdff,0x3ffffe01,0x04ffffff,0xf300dff1,0xffffb0bf,
    0xfffffffd,0x3ffffa05,0xffffffff,0xff9806ff,0xdff30006,0xfff88098,
    0xffffffff,0xdff3000f,0x3f605ff7,0x37fcc02f,0x3ffffff6,0xffff5005,
    0x1dffffff,0x0fffff98,0x1bffffe2,0x3fffffee,0x07ffffff,0x11fcc3f5,
    0x7fc7e8bf,0xffffffff,0xfffd85ff,0xfb005fff,0x2ffd805f,0x0bfa1fa8,
    0xa83f43fb,0x5ff99fff,0x27ff4400,0x4400fff2,0x007ffc0a,0x3f63ffb8,
    0xff00003f,0x000403bf,0xf701fff0,0xffffffff,0x0510ffff,0x7fcc6200,
    0xffffffff,0x332a06ff,0xfff9309a,0x201bfe20,0xffc85ff9,0xffffffff,
    0xfff80fff,0xffffffff,0x9807ffff,0xf30006ff,0x217fe4df,0x88acfffd,
    0x005fffca,0xbffffff3,0x100bff60,0xfffc8fff,0xfa805fff,0xf730aeff,
    0xfa881dff,0x7dd440ff,0xffb5306f,0x1555555b,0x87f31f20,0xff0fe46e,
    0xffffffff,0xfff90bff,0x3600bfff,0x7fec02ff,0x17e67c82,0x41fc8362,
    0xff34fff8,0x7ffd400b,0x00fff41f,0x00fff100,0xffd2ffd4,0x3ee00003,
    0x01bdffff,0x01fff000,0x2b7ff6a2,0x880aaaaa,0x22310002,0xffffffff,
    0x0006ffff,0x7c407ffc,0x5ff9806f,0x5dffff30,0x07ffd511,0xdddddffb,
    0xdddddddd,0x00dff300,0xff9bfe60,0x0fffea5f,0x802fffb8,0x1efffffa,
    0x8805ffb0,0xcaa987ff,0xffe805ff,0x0fffe605,0xf9807ffc,0x1ffe406f,
    0x3e637c00,0x543fecac,0x2afffe3f,0x0ffffdaa,0xbff95530,0x00bff600,
    0x4df05ffb,0x7f5002fa,0xf30fffc8,0xffc880bf,0x7ff84fff,0x2ffcc000,
    0x7cdff300,0x5c00007f,0xffffffff,0x3fe0000c,0x1ffe400f,0x4000a200,
    0x3faaa218,0x01aaaabf,0xddffdb70,0xff101fff,0x0bff300d,0x5c077ffc,
    0xeffc85ff,0x7cc00000,0xff30006f,0xf91ffe4d,0x555555df,0x40bffd55,
    0x3fffffd8,0x2017fec0,0x7cc07ff8,0x77fc405f,0x82ffdc00,0xff300fff,
    0xffb5510d,0x8015555b,0x7fffcc6f,0x3a3f983f,0x7fffd46f,0x0bff3000,
    0xb00bff60,0x54df05ff,0x47f3001f,0x3e63fff8,0x7ffcc05f,0x0fff02ff,
    0x06ff9800,0xff9bfe60,0xddddb507,0x764c05bd,0x0effffff,0x3fe0065c,
    0x1ffe400f,0x4000a200,0x03ffd018,0xfffff500,0x01ffffff,0x4288dff1,
    0x3fe05ff9,0x0dff300f,0x203dfff1,0x9801cb98,0xf30006ff,0x7f41a8df,
    0xffffffff,0x506fffff,0x01dfffff,0x8805ffb0,0x7fcc07ff,0x027fdc05,
    0xff83ffc4,0x0dff300f,0xfffffffd,0x7d80dfff,0x2fe4dfcc,0x43930fdc,
    0x000efffa,0x6c017fe6,0x7fec02ff,0x0fe67d82,0xffb0fdc0,0x405ff98d,
    0x200bfff9,0x20000fff,0x2a007ff8,0x03ffe4ff,0xfffffff1,0xb73003ff,
    0x7c4fffff,0x07ffc03f,0x000fff20,0x06200051,0x2000fff4,0xfffffffa,
    0x880fffff,0x31ffc6ff,0x7ffc0bff,0x20dff300,0xcdfffffa,0x06fffffe,
    0x0006ff98,0xff00dff3,0xffffffff,0x20ffffff,0x06ffffff,0x8805ffb0,
    0x7fcc06ff,0x01ffe405,0xff81ffe8,0x0dff300f,0xffffffff,0xfb80dfff,
    0x4fb8fe61,0x3fea03f4,0x7cc000ef,0x5ffb005f,0xb82ffd80,0x2a0df11f,
    0xfffa9fa0,0xeffcaaac,0x4027fc01,0x40002ffc,0xf9001ffe,0x40ffec7f,
    0xffffffff,0x7d40040f,0x0bff51ff,0x6400fff8,0x144003ff,0xfd018800,
    0x7fc4003f,0xa999bdff,0xff880fff,0xfa97fe66,0x03ffe05f,0xf9037fcc,
    0xffffffff,0xf300bfff,0x3e6000df,0xeffd806f,0xeeeeeeee,0xdfb06eee,
    0x3600dff7,0x7fcc02ff,0x02ffcc06,0x22013fea,0x1fff07ff,0x261bfe60,
    0xcceffecc,0xa7cc01cc,0x3f63dfc8,0x2a05f88c,0x8000efff,0xf9005ff9,
    0x0ffe809f,0x3fee4f98,0xf12febad,0x7ffffecb,0x3fffffff,0x2a002a60,
    0x6c0005ff,0xff9805ff,0x40fff21f,0x0fffaaa9,0x7e4027e4,0x80bff53f,
    0xffc807ff,0x00144003,0x3ffd0188,0x07ffdc00,0xf101fff0,0x72ffccdf,
    0x7ffc09ff,0x80dff300,0xffffffd9,0xf3003dff,0x3e6000df,0xeffc806f,
    0x26300000,0xffb006ff,0x06ff9805,0x2202ffcc,0x7ec01fff,0x01fff05f,
    0xf901bfea,0x3fa0007f,0x227fffba,0x503fdafe,0x0001dfff,0x54017fe6,
    0xff500fff,0xf517f40f,0x7ec7dfff,0x3fffff63,0x3fffffff,0xfff10000,
    0x98bd1005,0x3a203fff,0x7ffd45ff,0xf87ff800,0x7fec00ff,0x4c0bff54,
    0xffc806ff,0x00144003,0x3ffd0188,0x82ffe400,0x880ffffb,0x97fe66ff,
    0x3fe03ffe,0x0dff300f,0x26bbf220,0x6ff98000,0x0dff3000,0x03dfff10,
    0x20072e62,0xfb006ff9,0x5ffb805f,0x402ffcc0,0xd883fffd,0xffd02fff,
    0x6fffc887,0x442ffdc0,0xff884eca,0x209fb001,0x4c0efffa,0x5ff9802d,
    0x5bfff100,0x204fffa8,0x054c1ff8,0x999513f6,0xfffb9999,0xfc800007,
    0xff500cff,0x4fffb85f,0x80fffe98,0x5102effe,0xfff88fff,0xfffc982f,
    0x817dff52,0xb804fffa,0xeca885ff,0x44000a24,0x003ffd01,0x66ffffd4,
    0xfffffffe,0xdffff51e,0xfdbfff31,0x7ffc01ff,0x00dff300,0x000087f4,
    0x2000dff3,0xf5006ff9,0xfd9bffff,0x300dffff,0xfe980dff,0x66545fff,
    0x7cc01fff,0xffe8805f,0xfffecdef,0x3fff204f,0xfffffecd,0xfff301ef,
    0xffffd99d,0x07ff101f,0xfa827ecc,0x6fe80eff,0x005ff980,0x37ffffea,
    0x8806ffff,0x3f6603ff,0x5ff98004,0x001edc40,0xbbdffff9,0x01fffffd,
    0xdbdffffb,0x2207ffff,0xddefffff,0x447fffff,0xdeffffff,0x50efffff,
    0xdbdfffff,0x3001dfff,0xfdbbffff,0x0a21ffff,0xfe80c400,0x7fec001f,
    0xffffffff,0xffb4ffff,0xfff37fff,0x3205ffff,0x646fffff,0x801effff,
    0x403fddfc,0xfffffffb,0x20efffff,0xfffffffb,0x80efffff,0xfffffffc,
    0x5c5fffff,0xffffffff,0xf71effff,0x221fffff,0x5c5fffff,0xffffffff,
    0x440effff,0xfffffffe,0x7f4403ff,0xffffffff,0x3f604fff,0xffffffff,
    0x3ffe205f,0x4fffdbcd,0xffffff30,0x1fffffff,0x7fffffdc,0x0effffff,
    0xffffff70,0x22003dff,0xfdbcdfff,0x3a2004ff,0x01efffff,0x4005fffb,
    0xfffffffc,0xb101efff,0xffffffff,0xfffa805f,0xffffffff,0xfffff85f,
    0xffffffff,0x3ffff621,0x00efffff,0x3fffff60,0x225fffff,0x26310002,
    0xfffffffe,0x2e01efff,0xbeffffff,0xd31dffff,0x3ea1bfff,0xf103efff,
    0x23ffffff,0x4ffffff8,0x1fffe880,0x7fffffc0,0xffffffff,0x3fffffe3,
    0xffffffff,0xffffb303,0xf07bffff,0xffffffff,0x229fffff,0x744efffd,
    0x7fc0cfff,0xffffffff,0xd903ffff,0x05bfffff,0x3ffffa20,0x1dfffcdf,
    0x3ffff220,0x8801deff,0xceffffdb,0x3fffea01,0xffffffff,0x3ffffe0f,
    0xffffffff,0x3ffa603f,0x88004fff,0xceffffdb,0x7ffdc001,0xf904ffff,
    0xca8003ff,0x4efffffe,0xffffd500,0x75c001bf,0xcfffffff,0xfd77d700,
    0x407fffff,0xefffffc8,0x7e44000c,0x2dffffff,0x18800144,0xfffffff9,
    0x809fffff,0x000aab98,0x002a6200,0x17ffffb2,0x03bfffd7,0xeb800cc0,
    0xffffffff,0x3ae0dfff,0xffffffff,0x4400dfff,0x4009aaa9,0xffffffeb,
    0x01dfffff,0x3ae02980,0xffffffff,0x4400dfff,0x220001aa,0x400009aa,
    0x0009aa98,0xa80054c0,0xffffffff,0x2e0fffff,0xfffffffe,0x800dffff,
    0x00001a98,0x880002a6,0x1dfffffd,0x00002a60,0x40003531,0x80001a98,
    0x00019aa8,0x80035553,0x80000aa8,0x2009aa98,0xaaaaaac8,0xbaaaaaaa,
    0xfffffb31,0x03bfffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x79999951,0x3ccca880,0x99993000,0xcc880000,0x3331001c,0x004ccc40,
    0x8802cca8,0x99999999,0x81999999,0x98099999,0x33300999,0x04ccc403,
    0x20088000,0x19999998,0x99999800,0x30009999,0x03333333,0x99999980,
    0x99999999,0x99999980,0x99999999,0x81999881,0x26019998,0x99999999,
    0xccccb809,0x1e666540,0x98800000,0x00999999,0x99999988,0x99999999,
    0x80018801,0x99999998,0x80999999,0x98801999,0x33310099,0x26666201,
    0x4cccc401,0x4cc40199,0x80199999,0x6ffffffc,0x2ffffec0,0x7fffd400,
    0x2600000f,0xfe802fff,0x7e41ffff,0x2a03ffff,0x0cffffff,0xffffffb0,
    0xffffffff,0x3fffe63f,0x3ffe6fff,0x3fe24fff,0x7ec1ffff,0x0004ffff,
    0x7dc17fcc,0x1fffffff,0xfffff300,0x7fffffff,0x3ffffe60,0x02efffff,
    0x3fffffe6,0xffffffff,0x3fffe22f,0xffffffff,0x3ea0ffff,0xf71fffff,
    0x441fffff,0xffffffff,0x3ea4ffff,0x3e60ffff,0x5406ffff,0x2dffffec,
    0xfffffc80,0x6c03ffff,0xffffffff,0x1fffffff,0xbdfffd30,0xffffe801,
    0xffffffff,0x7fffc4ff,0x7fff403f,0x7ffff44f,0xfffffb86,0xffff706f,
    0x3a0fffff,0xffffffff,0xff903eff,0xd80dffff,0x8005ffff,0x00fffffa,
    0x3ffe6000,0x7fffcc02,0x7fffc4ff,0xfff106ff,0x209fffff,0xfffffffd,
    0xffffffff,0xffffff71,0xffff31ff,0x7ffccdff,0x7ffc2fff,0x2e606fff,
    0xfaaceffd,0xfffc84ff,0x004fffff,0xfffffff7,0x0dffffff,0xfffffff7,
    0x01bfffff,0xfffffff5,0xffffffff,0x7ffffd45,0xffffffff,0x3ff20fff,
    0xffb3ffff,0x7d43ffff,0xffffffff,0x3fe66fff,0x3fe20fff,0x3fa06fff,
    0xffffffff,0x7ffff405,0x405fffff,0xfffffffd,0xffffffff,0xfffffa81,
    0x3fe204ff,0xffffffff,0x224fffff,0x207fffff,0x26fffff9,0x3ffffff8,
    0x7fffffec,0xeeed980f,0xff04eeee,0xffffffff,0xa881dfff,0x406ffdcc,
    0x005ffda8,0x01fff730,0x7774c000,0xfffeb801,0x7fffd40e,0x9fffb01d,
    0xb01fffb5,0xffddddff,0x3fffdddf,0x3bfffae2,0x3ffff62d,0x7fff5c1d,
    0xcffffa84,0xfffff901,0x1fffffff,0xfffdd910,0x71001fff,0xddddfffd,
    0x889ffffd,0xeeeefffb,0x886fffff,0xeeefffdb,0x2fffeeee,0x777ffedc,
    0xffeeeeee,0x3fff220f,0xffd930be,0xdddb707f,0x39dddfff,0x40fffa88,
    0x206ffba8,0xffffffff,0x32604fff,0xceefffee,0x777fec00,0xeeefffee,
    0x7fc41fff,0x01ffffff,0x7efffed4,0xffeeeeef,0x7ffffdc4,0xbffffb02,
    0xffffda83,0x3ffb260f,0x800003ef,0xeeefffda,0x05fffffe,0xa8037fcc,
    0x7c0005ff,0x000000ff,0x0dffd000,0xf807fff3,0x827d42ff,0x3fea2ffd,
    0x7c0fff45,0xffffa87f,0x437ff401,0x3203fff9,0xffffffff,0xf001ffff,
    0x007fffff,0xf9107ff8,0x7ff901ff,0x09fff930,0xfb007ffc,0x03ffe05f,
    0xff01fff0,0x02ffd40f,0x2006ff98,0xff300fff,0x4d66540d,0x00fff930,
    0xb001ffe2,0x2ffd45ff,0xff707ffa,0x80036e1d,0x43ffccff,0xffc84ffb,
    0xfff886ff,0x3ff602ff,0x5ffb05ff,0xfc800000,0xfffc983f,0x01bfe602,
    0x0002ffd4,0x00003ffe,0x7fcc0000,0x02fff43f,0x6c003ffc,0x17fea2ff,
    0xfff03ffd,0x01efffc8,0x743fff98,0x3ff605ff,0xfff509df,0xff5003ff,
    0x800dff7f,0x7ff407ff,0x203ffc81,0xff00fffd,0x17fe401f,0x7400fff8,
    0x07ff80ff,0x4c017fea,0x3fe006ff,0x0dff300f,0x00fff800,0x4007ff88,
    0x3fea2ffd,0x320fff45,0x260004ff,0x43ffcaff,0xffc84ffb,0x7fe41fff,
    0x3f602fff,0xfd83ffff,0x9997102f,0x7e400799,0x13ff603f,0x5006ff98,
    0x6664cbff,0x3ffe02cc,0x0ceffec9,0xccccb880,0x7fdc003c,0x01fff91f,
    0x8001ffd0,0x3fea2ffd,0x7c0fff45,0x3bfff67f,0x3ffee000,0x201fff91,
    0x7c43fff8,0x805fffff,0xfff8cffd,0x81ffe001,0xfc81fff8,0x27ff403f,
    0x3ae0fff8,0x3e01ff52,0xd8bae0ff,0x40fff06f,0xf3005ffa,0x7ffc00df,
    0x00dff300,0xfddffdb7,0xff1001ff,0x2ffd800f,0xffd17fea,0x007ffb83,
    0x7fe5fee0,0x05ff5153,0x4bfffff9,0x2ffffff8,0x3fffff60,0x817fec0f,
    0x5ffffffd,0x80fff200,0x3e605ffa,0xbff5006f,0x3fffffe2,0xfffff01f,
    0x03ffffff,0xffffffd8,0xeffe8005,0xb003fff9,0xfc8005ff,0x917fea0f,
    0x23ffe0ff,0x0005fffe,0xfff5dffd,0x227fdc05,0xffbfffe8,0x3ffe200f,
    0x400bff90,0xffb507ff,0x00fff20f,0x3fe0dff7,0x54bff10f,0xf83ffe01,
    0x7c02a26f,0x17fea07f,0x0037fcc0,0x3e601fff,0x3ffea06f,0xffffffff,
    0x07ff8800,0xf507fe40,0x40ffc8bf,0x0003fff8,0x2fff2bfd,0x901bb6fc,
    0x23fff9ff,0x2ffdeffb,0x3fefff60,0x817fec5f,0x5ffffffc,0x80fff200,
    0x3e604ffd,0xbff5006f,0x7ffffffc,0xffffff00,0x80ffffff,0x5ffffffc,
    0xffff8800,0x764c05ff,0x0bdeefff,0x3ea1ec40,0xf816c45f,0x05fffeff,
    0x3fffe600,0x7fec05ff,0x4bfffa21,0x3f201fff,0x03ffe65f,0x6667ffc0,
    0x03fffffd,0xf9807ff9,0xddfff07f,0x7c00dffd,0x7ffeeeff,0x333ffe00,
    0x5ffdcccc,0x00dff300,0xf9807ffc,0xffff506f,0xffffffff,0x0fff1001,
    0x7d43c880,0xd816c45f,0x44001fff,0xfdff93ff,0xffc801ff,0xffd4ffdb,
    0x6c05ffb7,0x2fffaaff,0xa980bff6,0x2005ffca,0xff503ffc,0x37fcc05f,
    0xf95ffa80,0x40157fff,0x88aeffff,0x4c02fffb,0x005ffcaa,0x1fffff70,
    0xfffffe80,0x0004ffff,0xf800bff5,0x2fffffff,0x3ffee000,0x7ffc00ff,
    0x45fffd11,0x3fe02ffd,0x01fff42f,0xfffffff8,0x900fffff,0xfff007ff,
    0x3fffffe0,0x3fe006ff,0x07ffffff,0x3fffffe0,0x05ffffff,0x400dff30,
    0xff500fff,0xbffff10d,0xfff53337,0x0fff1001,0x17fea000,0x6ffffc80,
    0x7d4033b6,0xfffff90f,0xbffc803f,0x7ffbfff9,0x7ec05ffb,0x21dffb2f,
    0xf3002ffd,0x7fe400bf,0xfffdbaad,0x37fcc06f,0xfdeffa80,0xff001eff,
    0x9ff901bf,0x02ffcc00,0x3fffbb60,0xfb03eeff,0xffffffff,0x3fea0007,
    0x7fffc005,0x002fffff,0x00bfffa0,0x3fa33ff6,0x07ff42ff,0xfa87ffa8,
    0xffff006f,0xffffffff,0x07ff901d,0x3fe0fff0,0x06ffffff,0x3fffffe0,
    0x3fe007ff,0xffffffff,0xff3005ff,0x1ffec00d,0x21bfff22,0x3e00fffb,
    0xff8800ff,0x3fb20007,0x1dffffff,0xffffff90,0x20bfff19,0xffd99ffd,
    0x6401ffff,0xffffd3ff,0x80bff69f,0xfff12ffd,0x400bff69,0x32005ff9,
    0xffffffff,0x7cc00eff,0xfff5006f,0x4001bfff,0xff500fff,0x2ffcc00b,
    0x3eeaaa00,0x201aaaef,0xacffeaa9,0x3fea0000,0x7fffc005,0x02fffe99,
    0x00dff300,0x3ffbfff2,0x037fe42f,0xfffffffb,0xf003ffff,0xb75555ff,
    0xf90dffff,0x7ff8807f,0xf757fff0,0x7ffc00df,0x007ffbab,0x2aaabffe,
    0x005ffcaa,0x5400dff3,0xffeddfff,0x322effff,0xfff705ff,0xfff1001f,
    0x7d41fd80,0xffffffff,0xcfff886f,0xfffcfffb,0xffffff04,0x01ffdbff,
    0xff53ffc8,0x3ff61fff,0xb8bff602,0x2ffd9fff,0x00bff300,0x7fffffe4,
    0x9800cfff,0xff5006ff,0x8001ffff,0xff500fff,0x2ffcc00b,0x0dff3000,
    0x00bffa00,0x017fea00,0xfd81fff0,0xff30007f,0x3ffe200d,0x3f223fff,
    0xfff103ff,0xffffffff,0x0fff00bf,0x641fffb8,0x7fd403ff,0x7c1fff05,
    0x7c0b665f,0x017fe0ff,0x3ea07ff8,0xdff3005f,0xffffe800,0xffffffff,
    0x37fffea4,0xffffffec,0x3fe201ef,0x113fe607,0xfffffffd,0xbff507ff,
    0x27ffffec,0xffffffa8,0x805fabff,0x3ffe3ffc,0x80bff64f,0x7ff42ffd,
    0x3002ffde,0x7e400bff,0x1acdeeef,0x01bfe600,0x7fffffd4,0x3ffe000e,
    0x00bff500,0x2002ffcc,0xcfffdccb,0xff8801cc,0xfa80001f,0x3ffc005f,
    0x001fffc4,0x50037fcc,0xd9bfffff,0x6409ffff,0xffffffff,0x400fffff,
    0xffd807ff,0x201ffe43,0xfff04ffd,0xdfd05cc1,0xc883ffe0,0x81ffe000,
    0xf3005ffa,0xfe9800df,0xffbcefff,0x7ffec1df,0xffffffff,0x3e204fff,
    0x17fea07f,0x4f7fdcc4,0x893fee01,0x900fffff,0xffb555ff,0xf907b307,
    0x0fffdc7f,0x7ec05ffb,0x7fffcc2f,0xff3002ff,0x1ffe400b,0x37fcc000,
    0xfcfffa80,0xff000eff,0x17fea01f,0x005ff980,0x7fff776c,0xfa803eee,
    0x002e207f,0xf0017fea,0x3ffea0ff,0x37fcc000,0xfffffb00,0x07ffffff,
    0x6c02fff8,0x3ffc03ff,0x3227fdc0,0x3ff203ff,0x01fff01f,0xfff07ff8,
    0x7ff80001,0x4017fea0,0x30006ff9,0x077d4155,0xffffff70,0x3fffff7d,
    0x503ffc40,0xffa80bff,0x46ffa805,0x3a05fffb,0x41ffe45f,0x3ffc87fc,
    0xffb0f322,0x417fec05,0x02fffffb,0x400bff30,0x80003ffc,0xf5006ff9,
    0x3fffeebf,0x00fff801,0x4c00bff5,0x260005ff,0x74c006ff,0x1bfa05ff,
    0x0017fea0,0x7ff40fff,0x37fcc004,0xedfffd80,0x02dfffff,0x5403ffd4,
    0x3ffc06ff,0x2fffba88,0x2a61ffe4,0x3e04fffd,0x3ffc00ff,0x0000fff8,
    0xff503ffc,0x1bfe600b,0x49f50000,0x15573101,0xf8805f98,0x17fea07f,
    0x100bff50,0xffbbffff,0xf985ffff,0x41ffe43f,0x7fe41ffe,0x05ffb003,
    0xfe817fec,0xf3002fff,0x7fe400bf,0xff980003,0x4bff5006,0x402ffffa,
    0xff500fff,0x2ffcc00b,0x3fffaa00,0x2205ffff,0xfffffffd,0x87ffffff,
    0xffffffd8,0xfe882eff,0x544fffff,0xb01effff,0xffffffff,0x9fff307f,
    0x4c005544,0x0efffffe,0x7fffffdc,0x3ffffa25,0xffffffff,0xffd10fff,
    0xffffffff,0xffd10dff,0xffffffff,0x744fffff,0xffffffff,0xffffb005,
    0x3ffaa1df,0x3f623fff,0xffffffff,0x220003ff,0x002ffdff,0x4773bf50,
    0xfffffffb,0xffffffff,0x7ffff445,0x702fffff,0xffffffff,0x3fe2dfff,
    0xfffcdfff,0xffffffff,0xffffd11f,0xfffa81df,0x7f445fff,0x260effff,
    0xfb82ffff,0xffffffff,0x3f20efff,0xefffffff,0x3fffee01,0xffffffff,
    0xbffff70e,0xefffffc8,0x3fffff61,0x3ffffe25,0x7fffdc3f,0xffffffff,
    0xffffb00e,0x203fffff,0xfffffff9,0x5fffffff,0xffffffa8,0xfb86ffff,
    0x0fffffff,0x427ffff4,0xfffffff9,0x9fd06fff,0xfffc8000,0x7fc3ffff,
    0x70ffffff,0xffffffff,0x3fffffff,0x7fffffdc,0x0dffffff,0xffffffb8,
    0xffffffff,0x3fffea7f,0x01ffffff,0x7fffffcc,0xfffffb3f,0x7fffd4df,
    0xffffffff,0x7f540006,0x7fc0005f,0x3fffa6ff,0xffffffff,0x7d45ffff,
    0xffffffff,0x3ffea06f,0x2effdfff,0xfffffff7,0xffffffff,0x3ee3ffff,
    0x43ffffff,0xfffffffe,0x3ffffee0,0x7ffe43ff,0xffffff82,0xffffffff,
    0x3fffffe3,0x3e04ffff,0xffffffff,0xfd3fffff,0xffe8bfff,0xff14ffff,
    0x2e3fffff,0x46ffffff,0xffffffff,0x03ffffff,0xffffffb3,0xfffc80bf,
    0xffffffff,0x3fff604e,0x82efffff,0xefffffd8,0x1dfffa84,0xffffffb0,
    0x00405dff,0x7ffecc00,0x7f540dff,0x3624ffff,0xffffffff,0xd883deff,
    0xefffffff,0x3f6201bd,0xffffffff,0x227fffff,0xfffffffd,0xfff9005f,
    0x3faa1bff,0x3622efff,0xffffffff,0x00002eff,0x71000013,0x7ff5419d,
    0xffffffff,0xfd85ffff,0xefffffff,0x09aa9802,0x3ffff620,0xffffffbc,
    0x11ffffff,0x1bfffffb,0xfffffea8,0x7fffec44,0x7ffc40df,0xffffeb82,
    0xdfffffff,0x3ffffae0,0x2e00dfff,0xfffffffe,0xd50dffff,0xfea8bfff,
    0x3f21dfff,0x3624ffff,0x5c3effff,0xfffffffe,0x000dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99998000,0x80001999,
    0x99999998,0x33009999,0x00333333,0x003fffb8,0x4ccccc40,0x26600099,
    0x00199999,0x26666666,0x4cc40009,0x00099999,0x33333333,0x98813333,
    0x40999999,0x33331018,0x40333310,0x26201999,0x33330099,0x26666013,
    0x4cccc409,0x26666201,0x002e6000,0x03710000,0x006a0ae6,0x00510000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0xffffffff,
    0x5c002eff,0xfffffffe,0x4c4fffff,0xffffffff,0xfd802eff,0x320000ff,
    0xffffffff,0xfffe803f,0x02ffffff,0x3fffffe6,0x01dfffff,0x7fffffe4,
    0x7c403fff,0xffffffff,0x3ff25fff,0x3fffffff,0xffa8fff1,0xff71ffff,
    0x7c41ffff,0x6c1fffff,0x7c4fffff,0x44ffffff,0x3fffffff,0xfffffff5,
    0xfffffd83,0x07ff006f,0x7fdc0000,0x27ffcc0f,0x0003dff7,0x0013fe00,
    0x503f3000,0x5bffffd9,0xffed9800,0x6dc002ce,0xbaadfffe,0xbffd9300,
    0x0177f5c5,0x3bfffb66,0xd7100bbb,0xdfeb83bf,0xfeca8802,0xffa801bd,
    0xffffffff,0x74400dff,0xffffffff,0x44ffffff,0xfffffffa,0x00dfffff,
    0x0000fffe,0xfffffffd,0xfff00bff,0x7fffffff,0x7ffffdc0,0xffffffff,
    0x3ffffa04,0x405fffff,0xfffffff8,0x3a5fffff,0xffffffff,0x43fff35f,
    0x3ffffffc,0x3ffffffb,0x7fffffcc,0x7fffffc3,0x3ffffe65,0x3ffe65ff,
    0xff75ffff,0xe87fffff,0x0fffffff,0x002ffcc0,0x7fffd400,0x3fffdc0f,
    0x03bffff9,0x05ff8000,0xdfeca880,0x3a17dc1b,0xffffffff,0xffd8805f,
    0x0dffffff,0x7ffff4c0,0x83ffffff,0xfffffffb,0x3fffffdc,0xffffffb0,
    0xf107ffff,0x363fffff,0x203fffff,0xfffffffa,0x7fdc00ef,0xfffeeeef,
    0x3fa206ff,0xefffffff,0x84ffeeee,0xeeeefffb,0x506fffff,0x30000dff,
    0xddfffdd9,0xffb50019,0x019ddddf,0x77ffedc4,0xfffffeee,0xffdd9303,
    0x88019ddf,0xeeeeefff,0x3264fffe,0xceefffee,0xc883fb20,0x930cefff,
    0xd707fffd,0xfa81bfff,0x7dc1dfff,0x5c1ceeff,0x11efffed,0x17bfffd9,
    0xdfffed98,0x06ff9802,0x3ffaa000,0xff881eff,0x7fffe44f,0x300000cf,
    0xffa80017,0x0effffff,0xffff83fd,0x4fffffff,0x3ffffe20,0x0fffffff,
    0xffffff50,0x0bffffff,0xfffffffb,0xffffffff,0xfffffc85,0x84ffffff,
    0xfffffffe,0xfffffffe,0xfffffa82,0x00efffff,0x64c1ffe4,0xfe884fff,
    0x7ff91bff,0xf904ffb8,0xfff9307f,0x007ff909,0x07ff8800,0x2b7ff200,
    0xff0019aa,0xffda881f,0x07ff8807,0xe83ffc40,0xff100fff,0xf985d80f,
    0x999999ff,0xd100effb,0xffa81dff,0x0bffa04f,0x4c17fec0,0x7dc00fff,
    0x3fe6006f,0xfd980006,0x4403ffff,0xfffb301a,0x000007ff,0x3fffea00,
    0xafffffff,0x9acca87f,0x40fff930,0x88acfffd,0x885fffca,0x711affff,
    0xb10bfffb,0xfffb1159,0x8dffb17f,0x710acfff,0xffc89ffd,0xffffd89f,
    0x46ffd8bf,0x30aefffa,0x401dfff7,0x3f203ffc,0x7ffe40ff,0x2e1ffe42,
    0x7ff904ff,0x207ffe40,0x199956fe,0x003bffd9,0x4000fff1,0xfffffffc,
    0x3fe03fff,0x3fff100f,0x087ff880,0x321ffe20,0x3e202fff,0xd03ee07f,
    0xffffffff,0x9fffffff,0x997ffe60,0x7ec05fff,0xd17baa3f,0x3ffa03ff,
    0x017ffc03,0x000dff30,0x7ffffe44,0x2600000c,0x02effffe,0x3ea00000,
    0xf730aeff,0x0009ffff,0x3ea03ffe,0x3fee03ff,0x077fe42f,0x400bffb0,
    0x3e24fffa,0x0bffe2ff,0x3fe0ffc4,0x3fffe21f,0xe8bffe25,0x3fe605ff,
    0x0fff203f,0xfe89ffd0,0x53ffc83f,0x3205ff51,0x7ff403ff,0x3e2bfe24,
    0xffffefff,0x7fc401ff,0x2001dd57,0xfffffffc,0xff05ffff,0x0fff401f,
    0xf91ffe20,0x51bfe01d,0xf8809fff,0xf05f107f,0xffffffff,0x9fffffff,
    0x467ffd40,0x6400efff,0x3fff63ff,0x5403ffe2,0x3fea06ff,0x37fcc007,
    0xffffb800,0x000000df,0x3bffffaa,0xe8000001,0x3fe605ff,0x7f6dc06f,
    0x80fffeef,0xaaaaeffc,0x5ffeaaaa,0x2200fff4,0xdb7303ff,0x557fffdd,
    0x7dcbffb5,0x01acdfff,0x3f61ffe6,0xfdaaacff,0x01dff15f,0x3205ffb8,
    0x7fd403ff,0xfc83ffc6,0xdd8efcbf,0x807ff900,0x5bea6ffa,0xfffffff8,
    0x4406ffff,0x2fffefff,0x339ff900,0x3fffd953,0x2e01fff0,0xff8807ff,
    0x40fffe27,0x3ffe63fb,0x07ff8805,0x7ffcc402,0xfcaaaaaa,0xffb801ef,
    0x800fffff,0xfff14ffb,0x01ffe29f,0x3f605fff,0x2aaa204f,0xaaaeffca,
    0x3ffea01a,0x00001eff,0x3fffee00,0xaaa880df,0xaaaaaaaa,0x1bfe209a,
    0x541bfee0,0xffffffff,0xffe80fff,0xffffffff,0x3e26ffff,0x2031007f,
    0xfffffffc,0xffffffff,0x3fffe26f,0xa84fffff,0xfffb84ff,0x6fffffff,
    0xf1009ff7,0xfffb90ff,0xf985dddd,0x41bfe67f,0x0fffeffc,0x3bfff720,
    0x7fcc2eee,0xff887ee7,0xffa89dff,0x3ffe201f,0x9000efff,0x7ff407ff,
    0x310fff83,0x00bfffd5,0xfff8fff1,0xdffd1001,0x0fff1001,0x667ffc00,
    0x5ffdcccc,0x3ffff200,0xbff5001f,0x4dffffea,0x7fe406ff,0x00fff985,
    0xfffffff7,0xffffffff,0xeffffe98,0x00000002,0x9fffff91,0x3ffffee1,
    0xffffffff,0x09ff70ff,0xa81fff10,0xffffffff,0xff80ffff,0xffffffff,
    0x267fffff,0x220006ff,0xfffffffe,0xffffffff,0x7f6446ff,0x1effffff,
    0x3ea0fff2,0xffffffff,0x007ff96f,0xffa87ffa,0x7fffffff,0xff70fff8,
    0x3ffff209,0xfff500ff,0x0fffffff,0x7c041fff,0x2ffd85ff,0x3ffffee0,
    0x1ffe4003,0xff0bff50,0xffffffff,0xff1001bf,0x2002c98f,0x1001fffd,
    0x7c000fff,0xffffffff,0x74005fff,0x26003fff,0xffffb6ff,0x80bff55f,
    0x7e40fff8,0x3fff205f,0xffffffff,0xfb10ffff,0x0019ffff,0x001332e0,
    0x7fffff4c,0xffffff92,0xffffffff,0x00fff21f,0xff10fff4,0x53337bff,
    0xffb01fff,0xdddddddd,0x7c4ddddd,0x3ea0007f,0xfb99adff,0xeeeeeeff,
    0x9531025e,0x7dcbfffb,0xefffc86f,0x55eeeeee,0xff1009ff,0xfffff88f,
    0xff85ffff,0x209ff70f,0x0ffffffc,0xffffff10,0xfff0bfff,0x80fff801,
    0xfea83ffb,0x8000dfff,0x3f203ffc,0xfffff84f,0x004fffff,0x0001ffe2,
    0x4007fff7,0x20007ff8,0xffffffff,0x2005ffff,0x00effffa,0xff1fff10,
    0xff79ffbf,0x49ffb00b,0x2202fff8,0xffeeeedb,0x82deeeef,0x3fffffe9,
    0x27ffc400,0x3fff6200,0x3b220cff,0xeeeeeeee,0x3ea3deee,0x7ff8804f,
    0xf007ffdc,0xdff901ff,0x7ff40001,0x7dc11002,0x2fff985f,0x4c06f980,
    0xfff30fff,0x02fffe81,0x401fff88,0xd9885ffd,0x8819adff,0x1bfe67ff,
    0x7ff6ffe4,0x3ff66200,0xff8819ad,0x80fff807,0x3f623ffb,0x6c07ffff,
    0x03ffc81e,0xff05fff1,0xffffffff,0x3ffc4007,0x3e607f60,0x100a84ff,
    0x1fd80fff,0xaaaafff8,0x005ffcaa,0xbffffff3,0x7dfffc00,0xfcfff9ef,
    0x7ffa804f,0x4001bfee,0xa8006ff9,0x02effffe,0x400dff50,0xcfffffc8,
    0x22000000,0x7e401fff,0x82ffe45f,0x880ffffb,0x3101efff,0xfffc8397,
    0x47ff2202,0x3a60fff9,0x65c46fff,0x203bff90,0x3fa1fff9,0x3fffee5f,
    0xfb065c46,0xffb107ff,0x1ffe405f,0xff17fea0,0x77ff901f,0x3ff200bf,
    0x02ffd403,0x7dc07ffc,0x3fffee3f,0x3fe607ff,0xccdffc84,0x0ffffdcc,
    0x3ea0fff8,0xf1002fff,0x27fcc0ff,0x2e1bffe2,0x0fff107f,0x7fc27fcc,
    0x017fea07,0x3ebbffa2,0xffd004ff,0x3ffe7fff,0xfd003fff,0x00fffa5f,
    0x0037fcc0,0xbfffff70,0x02ffd803,0xbfffff70,0x20000003,0x541cfffe,
    0x7d42fffd,0xffecdfff,0x41efffff,0xcdfffffa,0x86fffffe,0xcceffffe,
    0x22ffffed,0xffddffff,0xfecfffff,0xffffb5ff,0xffffd9bd,0xdefffa8f,
    0xcfffffff,0x3a25fffe,0xfecdefff,0x7e404fff,0x27fe403f,0x3f213ff6,
    0x903d983f,0xffc807ff,0x80fff804,0x3fe63ffb,0x2a07ff9c,0xfffc85ff,
    0xefffffff,0x981fff00,0x8801fffe,0x3fea07ff,0x407ffec5,0xff881ffd,
    0x217fea07,0x3fea07ff,0x1fffe805,0xb007fff7,0x323fffff,0x002fffff,
    0xfff3dff7,0x3fe60001,0x7e440006,0xf00cffff,0xffd500bf,0x00005dff,
    0xfffe8800,0xfffffdef,0xfffffb04,0xffffffff,0xffff909f,0xffffffff,
    0xffffd10b,0xbfffffff,0xffffff98,0xffffffff,0xfff95fff,0xffffffff,
    0xffff903f,0xffff7bff,0xe88bffff,0xffffffff,0x3ffc803f,0x70bffee0,
    0xffc89fff,0xf907fd83,0x7ffdc07f,0x80fff802,0x88443ffb,0x3fea07ff,
    0xfffffc85,0x7c02cdef,0xffe880ff,0x3ffc400e,0x7e4bff50,0x5ffb02ff,
    0x540fff10,0x07ff85ff,0xf9017fea,0xfffd85ff,0x7fffe401,0x3ffffe66,
    0xdfff1001,0x4c0009ff,0x100006ff,0x89fffffb,0x3a600ffa,0x003fffff,
    0xd1000200,0xffffffff,0xfffb807f,0xfffbefff,0xffb301df,0x7bffffff,
    0x7fffdc40,0x302effff,0xd9bffffd,0x7dffffd9,0x7ffeef4c,0x200cffff,
    0x2a5ffffb,0x02efffff,0x3fffffb2,0x7ff9002d,0x4fffda98,0x37bfff90,
    0xffd07ffb,0x987ff903,0x004fffda,0xff701fff,0x03ffc407,0xff90bff5,
    0x7ffc0007,0x09fff300,0x2a07ff88,0x9fff55ff,0x4417fec0,0x3fea07ff,
    0x2a07ff85,0x3fee05ff,0x1fffd03f,0x27fffdc0,0x003ffffe,0x1fffffd8,
    0x1bfe6000,0xffd30000,0x01fe4dff,0x19fffff5,0x1ff40000,0x7fff6400,
    0x31002dff,0x80001557,0x009aaa98,0x9abaa980,0x03551000,0x544006a6,
    0x10009aaa,0x35510155,0x01aa8800,0x3ffffa20,0xffffffff,0x3fff200e,
    0xffffffff,0x221fffff,0xfffffffe,0x00efffff,0x37ffffdc,0x5c5ffff9,
    0xffffffff,0x5fffffff,0x3ffffff2,0x3a201eff,0x85ffffff,0x2e4ffffb,
    0xffffffff,0x5fffffff,0xfffffffb,0x25ffffff,0xfffffffb,0xffffffff,
    0x3fffff65,0xfffff50e,0x7fff4c9f,0x7ffec3ff,0xfff505ff,0x7fffc83f,
    0x7fffcc00,0x7fc40006,0xd5000004,0x017a3fff,0x001bfff9,0x05ff8800,
    0x006a6200,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffa80,
    0xdfffffff,0xffffc800,0xffffffff,0x3fea1fff,0xffffffff,0xff800dff,
    0xff1fffff,0x7ff4dfff,0xffffffff,0x3e5fffff,0xffffffff,0x3ffee04f,
    0xd80fffff,0xffd0ffff,0xffffffff,0x36bfffff,0xffffffff,0xfd2fffff,
    0xffffffff,0x2bffffff,0xfffffff9,0xffffffb3,0x7ffffe4f,0x3fffe66f,
    0xff981fff,0x6fff986f,0x2fffe800,0x01ec8000,0x275c0000,0x03bb3001,
    0x0edc0000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xffffffd8,0x4001bdef,0xffffeca8,0x1fffffff,0x3fffff62,0x001bdeff,
    0x97ffffae,0x2a2effeb,0xfffffffe,0x5fffffff,0x3fffffae,0x36200dff,
    0x04ffffff,0x7549dfd1,0xffffffff,0xb5ffffff,0xffffffff,0x2a5fffff,
    0xfffffffe,0x5fffffff,0x37fffff2,0xdffffd50,0x7fffecc5,0x7fffe42e,
    0x9fff104f,0x0017ffe0,0x0001ffee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0016e0b9,0x51000000,0x55555555,0x15555555,0x00035510,
    0xd7000001,0x999881dd,0x99999999,0x88000099,0x33320999,0x007332a3,
    0x00b7f660,0x01711cc0,0x65441ba8,0x00180c41,0x65413000,0x66540ccc,
    0x000883cc,0x00000001,0x00000000,0xccccccc8,0x443ccccc,0x221ccccb,
    0x262ccccb,0x21cccccb,0x3cccccb8,0x97300000,0x32a01799,0xcb883ccc,
    0x0003cccc,0x99950053,0x33326179,0x26cc0bcc,0xe880bd30,0x986fd85f,
    0x7301ceed,0x97105bfd,0xffff305d,0xffffffff,0xb83fffff,0x001effff,
    0xb91001d7,0xff9059ff,0x3fffe21f,0xffffffff,0x64c4ffff,0x3f204efe,
    0x9bffa2ff,0x7d41fffa,0xfffff700,0xb80ed887,0x01df70ff,0xfc87fff2,
    0x85ff31ff,0x6665c5fe,0x6666540c,0x3fea9f13,0x3fe60fff,0x77d46fff,
    0x6fc82661,0x7e566654,0xdffd88df,0x66665c02,0x02fbfae2,0xd7199971,
    0x7c01bdff,0xffffffff,0x7fe45fff,0xff70ffff,0x3fa1ffff,0x70ffffff,
    0x7fffffff,0x13e20fe6,0x7fffff40,0xfffff985,0x7fffec3f,0xff0005ff,
    0x7fffc407,0xffffd4ff,0x5ffd89ff,0x302fff98,0x7f441dfd,0x777fd40e,
    0x7ffd42ff,0x3ff63ffe,0xfffb82ff,0xffffffff,0x21ffffff,0xfffffffb,
    0x037fd400,0x7ff7ffec,0xf33ffd43,0xffffffff,0xdfffffff,0x7fffffd4,
    0x45fff80e,0x3fe65ffd,0x5417e40f,0x5fffffff,0xff90fffa,0xe82ffd85,
    0x3ffa3fff,0xf87ff73f,0x3fffea7f,0x3fffe60f,0x3e6bf56f,0x3e20ffff,
    0x7ec6ffff,0xeffffcff,0xff51fffd,0xffffffff,0x07ffffff,0x33ffffee,
    0xffffffe9,0x3bffff60,0x2fffffff,0xfffffff0,0xb8bfffff,0x2a6fffff,
    0xb0ffffff,0x4dffffff,0xfffffffa,0xfd0bff12,0xfffe801b,0xfff884ff,
    0x7fe42fff,0x8005ffff,0x7fc05ff9,0xff74ffff,0xfb87ffff,0x3ffe65ff,
    0x0effa80f,0x3a03ffe6,0x931bea3f,0xca87fc45,0xdb882feb,0xeeeeeeee,
    0x1fffeeee,0xf715dff1,0x7ffcc09f,0x220c404f,0x237fcc7f,0xeeeeeedb,
    0xdeeeeeee,0x2617ff31,0x7ffcc6fd,0xf11ffe41,0x83df90ff,0xffd9efff,
    0x11fffeef,0x3f203ffd,0x07ffdc3f,0x3221fff7,0xf316d40d,0x7c41ffff,
    0x9fb6ffff,0x207ffd44,0x4c6ffba8,0xffffffff,0x3e65ffff,0xffffffff,
    0xffffffff,0xfffffa80,0xffffffff,0x3ffff24f,0xffffffff,0xabfff80f,
    0x0ffffdaa,0x25fffe98,0x40cffff9,0x40afffc9,0x40afffd9,0x3a20dff9,
    0x7fdc00ef,0x229dd11f,0x5300fffb,0x000bff95,0xa880bff3,0x3fe24ffe,
    0xff902bff,0x3ffff3bf,0x541dff70,0x87500fff,0x7cc00ff8,0x002fe80f,
    0xa8fff400,0x837ec1ff,0x3fffffe8,0x7f7f75c0,0x017fe20f,0x827e4000,
    0x17fee1ff,0xdff0bfea,0x746ffc88,0x3fff20df,0x3bee3fff,0x207fd400,
    0x001880a9,0x0fffa880,0x77ffdd44,0x0fff80ff,0xf50dff30,0xfffdffff,
    0xfffb10df,0x3ffff519,0x2205ffd1,0xffffffda,0x4c1fea8b,0x88aeffff,
    0xfe83ffea,0x07fffd46,0x5bfffb10,0xf805ffff,0x7ffd03ff,0x1077fcc0,
    0x7c403ffd,0x1fff90ff,0x4c017fee,0x2cb805ff,0x32e6bff3,0xf52ffd81,
    0xf9001bff,0x03ffffff,0x7dc1dff9,0x3a2001ff,0xfffd105f,0x000bfa09,
    0x2e3ffd00,0x83fdc0ff,0xfffdfffe,0xfffffd02,0x04ff81ff,0x03fd0000,
    0x1ffd8bf2,0x7f41ff98,0x1ff37f25,0x3ffea051,0x1001442f,0x00000005,
    0xf300fff8,0x3e039fff,0xdff300ff,0x219fff30,0xf905ffe9,0x0fffc4bf,
    0xfb805ffb,0x2000efff,0xfb80efff,0x2a1c985f,0x9000efff,0x3fffffff,
    0x50dff700,0xf9801fff,0x3ffe21ff,0x7cbffa02,0x7ffb3fff,0x017fe600,
    0xffdffff5,0xb0dfffdf,0x7fffb7ff,0xffffc800,0x2fffc81f,0x800fffee,
    0xb100eff9,0x3fa09fff,0x7f400002,0xe87ff51f,0x2fffc86f,0xfb83fffd,
    0x3a07fc1d,0x5555443f,0xaaaaaaaa,0x213f61aa,0x17fe1ff8,0x3f607fc4,
    0x0ffffea4,0x00006600,0x99999980,0x00999999,0x807ffc00,0xff806ff9,
    0x0dff300f,0xff30dff7,0x88fff20f,0x17fe47ff,0x013ffee0,0x4c03ffe0,
    0xffa806ff,0x7dc000ef,0x2000efff,0x7ff43fff,0x5fff3004,0xc827ffcc,
    0xffffabff,0x2003fff6,0x7cc05ff9,0xffffffff,0xffd85fff,0x001fffff,
    0x02ffffcc,0x7e43fff9,0xffb802ff,0x0bfea005,0x00000bfa,0x3fa23ffd,
    0x43ffebdf,0x3e23fffb,0x33f60eff,0x0affea99,0xfff88bf6,0xffffffff,
    0xf35fffff,0xbfd735bf,0xff007fd4,0x17307f70,0x00000000,0xffffff10,
    0x0bffffff,0x00fff800,0xff00dff3,0x1bfe601f,0x7f40fff6,0x23ffc81f,
    0x7fe47ff8,0x027fdc02,0x300fff80,0xffa80dff,0xfd8000ef,0x2002ffff,
    0x3fea6ffb,0x3ffa000f,0x07fff61f,0x3ff77fea,0x07ffbfff,0x2017fe60,
    0xfffffec8,0xffb02dff,0x07ffffff,0x3ffffe60,0x3ffea05f,0x40bffea1,
    0x8003ffd8,0x02fe84fc,0x0fff4000,0xbffffff3,0x985fff88,0x3fe65fff,
    0x4fffffff,0xfff983ee,0xffffffff,0x2a5fffff,0x0dffffff,0x077013f2,
    0x00000191,0xf8800000,0xffffffff,0x40005fff,0xff300fff,0x01fff00d,
    0x3f21bfe6,0x0fff884f,0x3e23ffc8,0x017fe47f,0x40013fee,0xff300fff,
    0x77ffd40d,0x7ff44000,0x003fffff,0x3fa5fff1,0x3ff6004f,0x07bff21e,
    0x7fffffc4,0x05fffffe,0x0017fe60,0x01fffff7,0xf9afffd8,0x7cc03fff,
    0x5fffdfff,0x887ffa60,0x7fcc2ffe,0x643baacf,0x0ffba9ab,0x359fd551,
    0x3ff20000,0x1f7fec40,0xf5037fd4,0x379b50df,0xa8081555,0xcccccccc,
    0x0bcccccc,0x40e6e5c4,0x000000db,0x00000000,0x66666440,0x3ccccccc,
    0x07ffc000,0xf806ff98,0xdff500ff,0xf70fff50,0x8fff20df,0x7fe47ff8,
    0x027fdc02,0x300fff80,0x3fea0dff,0x816cc0ef,0xe8cfffe8,0xf7004fff,
    0x01fff5df,0xfb17ff60,0xffe801bf,0xffff9eff,0x3fe6003f,0x3ffe2005,
    0x7ec04fff,0x3fffa22f,0x3ffff300,0x8817fff2,0x7fe41ffd,0x3ffffea2,
    0x3ffa1fff,0x3f64ffff,0x01ffffff,0x404e9800,0x20065c00,0x000001da,
    0x00000000,0x00000000,0x00000000,0x3e000000,0xdff500ff,0x887ffd00,
    0xf886fffc,0xffc9beff,0x47ff904f,0x7fe47ff8,0x027fdc02,0x300fff80,
    0xfff50dff,0x30dfd01d,0x6c45ffff,0xf8805fff,0x004fffff,0xffd87ffb,
    0xffff9004,0x07ffffa7,0x005ff980,0x3fefbffa,0x0bff602f,0x3a0bfff1,
    0x7fe41fff,0x42fdc02f,0x2aaa26fa,0x440aaaaa,0x5440acca,0x001aaaaa,
    0x00000000,0x7776d400,0xeeeeeeee,0x1ceeeeee,0x333332e6,0xcccccccc,
    0x000acccc,0x00000000,0x00000000,0x7f400000,0x7ffe443f,0xdfffc806,
    0xffffffec,0x3ffff21e,0x1fffffff,0x3e23ffc8,0x017fe47f,0x40013fee,
    0xff300fff,0xfffff98d,0xffffffff,0x3fffff60,0x3ffffe65,0x7ffe403f,
    0xefd800ff,0x0017fec1,0x2e1ffff5,0x3ee07fff,0xffffffff,0x7d40efff,
    0x0dffb1ff,0x7ffffff9,0x2fffffdc,0x3f203ff9,0x1019800f,0x00000003,
    0x00000000,0x7c400000,0xffffffff,0xffffffff,0x3ffe5fff,0xffffffff,
    0xffffffff,0x0000004f,0x00000000,0x00000000,0x6efffe40,0xeffffffe,
    0x3fffa202,0xffffffff,0xfffff74f,0xffffffff,0x3ffffa21,0x25ffff15,
    0x7ec5fffc,0xffffffff,0xfff903ff,0xfffc8dff,0xffff51ef,0xffffffff,
    0x3fffe61f,0xfff90fff,0xf880dfff,0xf9804fff,0x0077c40d,0x897ffe20,
    0x3fe06fff,0xffffffff,0x7cc3ffff,0x217fa23f,0x6fffffff,0x07fffff4,
    0x00098015,0x00000000,0x00000000,0xd0000000,0xffffffff,0xffffffff,
    0x7ffc7fff,0xffffffff,0xffffffff,0x0000004f,0x00000000,0x00000000,
    0x7ffff440,0xffffffff,0x7fff4404,0xdfffcdff,0xd93bffb1,0x3fff57bd,
    0x3fffffea,0x95ffff89,0x3e63ffff,0xffffffff,0xff887fff,0xf11fffff,
    0x2a9fffff,0xffffffff,0x320fffff,0x264fffff,0x02effffd,0x001fffc8,
    0xd0000401,0x4ffc85ff,0x3ffffae0,0xdfffffff,0x02882980,0x5dffffd7,
    0x04ffff98,0x00000000,0x00000000,0x00000000,0x99988000,0x99999999,
    0x40999999,0xbbbbbba8,0xbbbbbbbb,0x00002bbb,0x00000000,0x00000000,
    0xffd10000,0xfff79dff,0x2aa2003d,0x04e98009,0x3f624e98,0xfff15fff,
    0x13fff25d,0xfffffffb,0x3207dfff,0x5c5ffffe,0x001dfffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x002aa200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_35_latin_ext_x[560]={ 0,6,3,1,2,2,3,7,8,3,2,1,6,2,
6,2,2,2,1,2,2,1,3,2,2,3,6,6,-1,0,1,3,2,-1,0,0,0,0,1,0,0,2,1,0,
1,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,6,1,-1,1,0,0,2,0,0,1,
2,1,1,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,7,5,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,4,1,-1,2,-1,-2,4,1,4,4,6,0,1,6,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,1,0,1,1,1,
1,1,1,1,1,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,2,1,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_35_latin_ext_y[560]={ 25,4,6,3,3,5,7,6,5,5,5,7,20,14,
21,3,4,4,4,4,5,5,4,5,4,4,11,11,7,11,7,6,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,4,31,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,25,11,3,6,8,6,
5,5,5,6,4,12,14,14,6,1,2,3,4,4,4,11,5,13,23,4,4,11,4,4,4,11,-1,-1,-1,1,
0,-1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,1,-1,-1,-1,1,0,10,5,-1,-1,-1,0,-1,6,5,4,4,
4,5,5,3,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
1,6,-1,4,6,10,-1,4,-1,4,0,5,0,4,0,5,6,5,1,6,-1,4,0,5,6,10,0,4,-1,4,
-1,4,0,5,6,3,-1,-1,6,5,1,5,1,6,-1,4,6,5,0,11,6,5,-1,4,6,5,11,-1,-1,6,
5,6,5,6,5,6,5,-1,4,6,10,0,4,6,6,10,1,6,-1,4,-1,4,6,10,-1,4,6,10,0,4,
-1,4,-1,4,6,10,0,4,6,6,0,5,6,6,1,5,1,6,-1,4,-1,3,-1,4,6,11,-1,4,-1,4,
0,-1,4,0,5,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,9,5,5,5,5,5,5,5,5,5,5,5,5,5,2,10,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,0,4,0,
4,0,4,-1,1,-1,0,-1,0,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-7,-2,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_bold_35_latin_ext_w[560]={ 0,6,12,16,15,15,14,5,8,8,14,17,7,14,
6,15,15,15,15,15,14,16,14,14,15,14,6,8,19,18,18,14,14,21,18,18,18,18,18,19,19,15,18,19,
17,21,20,18,17,18,20,16,17,19,21,20,19,18,15,8,15,8,15,22,7,17,19,17,19,18,16,19,19,16,
13,17,16,21,18,17,19,19,17,15,17,18,19,20,18,18,15,9,4,9,16,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,14,18,15,18,
4,17,11,20,11,17,19,14,20,22,11,17,10,10,7,18,16,6,7,9,11,17,19,22,19,14,21,21,21,21,
21,21,21,18,18,18,18,18,15,15,15,15,19,20,18,18,18,18,18,13,19,19,19,19,19,18,17,17,17,17,
17,17,17,17,20,17,18,18,18,18,16,16,16,16,16,18,17,17,17,17,17,17,18,18,18,18,18,18,19,18,
21,17,21,17,22,19,18,17,18,17,18,17,18,17,18,22,19,19,18,18,18,18,18,18,19,18,18,18,19,19,
19,19,19,19,19,19,19,19,19,19,15,16,15,16,15,16,15,16,15,16,19,19,18,13,19,17,19,17,16,17,
16,17,16,17,16,18,16,20,18,20,18,20,18,19,17,16,18,17,18,17,18,17,21,20,20,17,20,17,20,17,
16,15,16,15,16,15,16,15,17,17,17,19,17,18,19,18,19,18,19,18,19,18,19,18,19,19,20,20,18,18,
18,15,15,15,15,15,15,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,16,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,18,17,17,17,17,17,17,17,17,17,17,17,17,17,21,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,17,15,16,18,
17,19,18,19,18,19,18,19,18,19,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,17,21,20,19,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_bold_35_latin_ext_h[560]={ 0,22,9,25,26,21,19,10,25,25,14,18,10,4,
5,26,22,21,21,22,20,21,22,21,22,22,15,18,18,10,18,20,24,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,24,19,20,19,20,19,19,19,19,19,25,26,25,11,4,6,16,21,16,21,16,20,22,20,20,
27,20,20,15,15,16,22,22,15,16,20,15,14,14,14,21,14,25,25,25,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,21,23,19,15,19,
25,23,4,20,10,13,11,4,20,4,11,22,12,12,6,21,23,5,8,12,10,14,21,21,21,21,26,26,26,24,
25,26,19,25,26,26,26,25,26,26,26,25,19,24,27,27,27,25,26,13,23,27,27,27,26,26,19,21,22,22,
22,21,21,23,16,21,22,22,22,21,21,21,21,20,21,20,22,22,22,21,21,18,19,22,22,22,21,28,27,27,
24,20,26,22,23,19,27,22,27,22,26,21,26,22,25,21,19,21,24,20,26,22,25,21,24,20,25,22,27,28,
27,28,26,27,26,29,26,26,19,20,24,20,24,19,26,21,24,25,25,14,20,27,27,28,26,27,14,26,26,26,
27,19,20,19,20,19,20,26,21,26,22,25,21,19,20,22,25,20,27,22,27,22,19,16,26,21,26,22,25,21,
27,22,27,22,25,21,26,22,28,27,25,21,19,20,25,21,25,20,27,22,27,23,27,22,24,19,26,21,26,28,
25,26,21,25,20,25,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,20,20,20,
20,20,20,20,20,20,20,20,20,20,21,17,20,20,20,20,20,20,20,20,20,20,20,20,20,24,16,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,22,25,21,26,
22,26,22,27,25,27,26,27,26,27,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,32,28,26,22,29,24,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_bold_35_latin_ext_s[560]={ 511,505,431,139,379,270,397,386,156,499,227,
276,423,485,485,269,148,184,149,459,333,492,495,114,77,201,504,314,294,392,323,
348,189,187,209,363,228,247,266,401,285,305,438,129,361,434,456,382,494,310,120,
421,111,292,254,233,213,149,159,289,496,497,358,374,477,379,1,416,129,397,493,
37,36,56,289,18,1,57,97,492,1,475,79,455,457,22,151,189,132,394,116,
184,134,317,452,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,511,368,329,
92,41,73,506,418,499,312,374,276,326,485,238,397,346,216,294,305,469,375,383,
492,444,316,411,171,325,345,413,433,60,121,176,288,213,477,412,362,22,41,102,
450,160,198,214,235,43,223,382,323,270,251,304,262,363,303,342,362,419,439,102,
368,164,128,146,295,277,400,434,216,182,111,434,235,218,313,330,275,201,39,19,
1,93,386,404,342,168,394,375,356,473,153,401,421,266,1,37,234,436,341,440,
164,41,130,344,307,285,59,194,254,1,21,204,111,230,40,327,182,169,58,381,
21,477,113,21,133,82,60,1,23,457,476,193,448,82,165,117,477,21,78,133,
433,417,210,19,97,117,99,249,176,242,458,402,384,80,175,77,141,94,83,130,
59,95,1,271,19,59,63,147,75,165,182,267,57,231,472,21,471,363,438,323,
110,80,41,194,340,250,290,101,200,143,306,63,459,1,250,379,219,62,165,469,
200,136,252,156,344,211,490,149,321,436,347,340,172,298,324,422,346,259,489,234,
487,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,468,475,475,400,
475,475,475,475,475,475,475,475,475,475,475,475,475,286,360,475,475,475,475,475,
475,475,475,475,475,475,475,475,244,1,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,40,322,
118,456,395,92,359,453,1,270,231,305,211,286,191,251,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,1,81,414,413,43,98,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475, };
static unsigned short stb__courier_bold_35_latin_ext_t[560]={ 1,89,271,89,34,188,231,271,89,34,272,
252,271,277,271,62,142,188,188,116,210,165,116,188,142,142,188,252,252,271,252,
210,116,231,231,210,231,231,231,210,231,231,210,231,231,231,231,210,231,116,252,
210,231,210,252,252,252,231,252,89,62,1,271,282,271,252,188,252,188,252,210,
165,231,231,1,231,231,272,272,252,142,116,272,252,210,272,272,272,272,188,272,
89,89,89,271,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,1,188,116,
231,272,231,1,116,271,210,271,271,271,277,210,282,271,142,271,271,271,188,116,
271,271,271,271,272,188,188,188,188,62,62,62,116,89,34,231,89,62,62,62,
89,62,62,62,89,252,116,1,1,1,89,62,272,116,1,1,1,62,62,252,
165,165,165,165,165,165,116,252,188,142,142,142,165,165,165,165,210,165,210,165,
165,142,165,165,252,231,142,142,142,165,1,1,1,116,210,89,142,116,231,1,
142,34,142,62,188,62,142,89,165,252,188,116,210,62,142,89,165,116,210,89,
142,1,1,34,1,62,34,89,1,34,62,252,188,116,210,116,231,89,188,116,
89,89,272,210,34,34,1,62,34,272,62,62,62,34,252,210,252,210,252,210,
89,188,62,142,116,188,252,210,165,89,210,34,165,34,142,252,252,62,165,62,
165,89,188,34,142,34,142,89,188,62,142,1,1,116,188,231,210,116,188,89,
210,34,142,34,116,34,142,116,231,34,165,34,1,89,34,165,89,210,89,188,
188,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,188,210,210,89,
210,210,210,210,210,210,210,210,210,210,210,210,210,188,252,210,210,210,210,210,
210,210,210,210,210,210,210,210,116,272,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,116,142,
89,165,34,165,34,142,34,89,1,34,1,34,1,1,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,1,1,34,142,1,116,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210, };
static unsigned short stb__courier_bold_35_latin_ext_a[560]={ 297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_35_latin_ext(stb_fontchar font[STB_FONT_courier_bold_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_35_latin_ext_s[i] + stb__courier_bold_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_35_latin_ext_t[i] + stb__courier_bold_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_35_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_35_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_35_latin_ext_x[i] + stb__courier_bold_35_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_35_latin_ext_y[i] + stb__courier_bold_35_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_35_latin_ext_s[i] + stb__courier_bold_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_35_latin_ext_t[i] + stb__courier_bold_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_35_latin_ext_x[i] + stb__courier_bold_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_35_latin_ext_y[i] + stb__courier_bold_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_35_latin_ext_LINE_SPACING
#endif

