// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT        308
#define STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_36_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_36_latin_ext_LINE_SPACING          17

static unsigned int stb__courier_bold_36_latin_ext_pixels[]={
    0x00001000,0x00000004,0x00004000,0x00000150,0x00000000,0x00000062,
    0x0180c000,0x07701dc0,0x00013000,0xaa880000,0x1aaaaaaa,0x00000000,
    0x00000001,0x00019300,0x26000762,0x88000099,0x80000099,0x988001d8,
    0x00001999,0x26600002,0x0ccc4009,0x00019988,0x007fa200,0x0001b200,
    0x0000fee0,0x100017ea,0x2a0007fd,0x7dc0004f,0x7dc00003,0x26000003,
    0x3be2006e,0x4001fd31,0x06f981ff,0x001fdc00,0x4004fa80,0xfffffffc,
    0x7ec003ff,0x3fa00001,0x7cc00006,0xfffc8005,0x7ffdc002,0xffffb003,
    0x7fdc0009,0x400006ff,0x3003fffb,0x1ffffffd,0x23f90000,0x7fc006e8,
    0x7ffe405f,0xb87ffd80,0x3e60004f,0xfa80006f,0x7ec00001,0x7e40001f,
    0x3ea0002f,0xf30000ef,0x260001bf,0x400005ff,0x800005fd,0x4c004ffa,
    0x002ffdfe,0x544577ec,0x360004ff,0xf900005f,0x0000007f,0x00fff200,
    0x0bffea00,0x1ffdc000,0xfdffd300,0xfd8801bf,0x201effef,0x04fffff8,
    0x3ffffa00,0xfb100006,0x803dffdf,0xfffffffc,0x7fec0000,0x4005fe88,
    0x7e405fff,0x7ffd80ff,0x8000fff8,0x00005ffb,0x4400009d,0x20002ffe,
    0x0002ffd8,0x00017fee,0x0007bfe6,0x00077fcc,0x327dc350,0x7fe40005,
    0xfc82a004,0x2200510d,0x6ffffffe,0x3fc86a00,0x362000a6,0x150003ff,
    0x20002a20,0x40004ffb,0x0001fff8,0x2003ffd8,0xff71effa,0x3ffe201d,
    0x403fff52,0x004ffffc,0x1bfffaa0,0x3ffe2000,0x403fff52,0xffffffe9,
    0x3ff60000,0x8005ff99,0x7e405fff,0x7ffd80ff,0x4000fff8,0x00003ffa,
    0x00009ff1,0x0003dfd1,0x0001ffe8,0x0000ffe6,0x000ffe88,0x001ffd10,
    0x84c1ff50,0xc8003ff8,0x3ee002ff,0x013fa047,0x03effeb8,0x0c43fea0,
    0xe8007ff1,0xf90001ff,0x0017fa0f,0x0002ffd4,0x20000b26,0x64002ffd,
    0x01fe884f,0xfc881bf5,0x04ffc803,0x06ff9800,0x40dfa800,0x7c003fc8,
    0xf90000ff,0x0017fe3f,0x22004ccc,0x33310199,0x8001fff0,0x200002ea,
    0x0000fffa,0x00006fcc,0x200006f4,0x000001d8,0x440003f9,0xfa8001fd,
    0x07ff100f,0x8003dd00,0x27f407fb,0xf5000000,0x0ffe201f,0x000ef880,
    0x7f41ff20,0x1ba60005,0x80000000,0x010001ee,0x02004008,0x0027fe40,
    0x0037fcc0,0x00040080,0x80007ffc,0x00bf10ee,0x00000000,0x80007ffc,
    0xd100000a,0x000000bf,0x00000062,0x00005d40,0x00000000,0x14401980,
    0x54000000,0x10014400,0x20003575,0x00144019,0x01500000,0x000002a2,
    0x1aba8800,0x00000000,0x00000000,0xaa993ff2,0x1bfe6001,0xaba88000,
    0x7ffc0001,0x00000000,0x00000000,0x50003ffe,0x0000bfff,0x26200000,
    0x003ff980,0x3fe20000,0x880002fe,0x9d500009,0x00003d90,0x01980000,
    0x4c000000,0xaefffffe,0x002effff,0x13100000,0x00000000,0xfd300000,
    0xff5dffff,0x00005dff,0x7ffffe40,0x364fffff,0x4c1effff,0x80dffffe,
    0xfffbcffc,0x4c02dfff,0x3ffae6ff,0x3a602eff,0xfaefffff,0x7c02efff,
    0x440000ff,0x3ff20009,0xffffffff,0x3fffff64,0xfffffbcf,0x3ffe6fff,
    0x54674000,0x2a20001f,0x220001ab,0x8cffffec,0x3f64fff8,0x74c1efff,
    0x200dffff,0x4001b26c,0xcefffec8,0x87ffa000,0x2e206ff9,0x10ceeeed,
    0x19ddddd7,0x7ffedc40,0x224d8bef,0x0ceeeedb,0x9ddddd71,0xfffffb81,
    0xffffffff,0xdddb715f,0x3bae219d,0x2200ceee,0x0cefffec,0x3bbb6e20,
    0xddd710ce,0x36e219dd,0x710ceeee,0x819ddddd,0xfffffffb,0x5fffffff,
    0x9ddddb71,0x3bbbae21,0xffff10ce,0x9fffffff,0x3fffffe6,0x7ffffe45,
    0xffffc82f,0xffffffff,0xe9bfe603,0x05ffffff,0xfffffff7,0xbfffffff,
    0x000fff80,0xefffec88,0x3ffe200c,0xffffffff,0xffffff34,0xffffff9f,
    0x7ffcdfff,0xe83e6000,0xffe98004,0xfffaefff,0xfff502ef,0xfdffffff,
    0x3ffe61ff,0x7fe45fff,0x3a02ffff,0x2a001ea4,0xffffffff,0x8ffb002f,
    0x3ee04ff8,0x74ffffff,0x9fffffff,0x3ffffe60,0x1fffffff,0xfffffff7,
    0x3ffffee9,0x3ffea4ff,0xfffffdff,0xff72efff,0x2e9fffff,0x4fffffff,
    0xffffff50,0x3ee05fff,0x74ffffff,0x9fffffff,0x3fffffee,0xfffff74f,
    0x7ffd49ff,0xfffffdff,0xff72efff,0x2e9fffff,0x4fffffff,0x3ffffff2,
    0x3f64ffff,0x74c2efff,0xc80effff,0xdfffffff,0x303fffff,0x7ffecdff,
    0xffa82eff,0xffffdfff,0x402effff,0x54000fff,0xffffffff,0x3fff202f,
    0x4fffffff,0x3ffffff6,0xffffffbc,0x03ffe6ff,0x07e69d00,0xfffff700,
    0xffffffff,0xffff70bf,0xffffffff,0xffffd85f,0x7fff4c2e,0x2bea00ef,
    0x7dc004e9,0xffffffff,0x015004ff,0xfffa8051,0xff53ffff,0x307fffff,
    0xffffffff,0x2a7fffff,0x3fffffff,0xfffffff5,0x2fbffe27,0x3ffffaa0,
    0x7ffffd41,0xffff53ff,0xff707fff,0xffffffff,0xffff509f,0x3fea7fff,
    0xf53fffff,0x27ffffff,0xfffffffa,0x17dfff13,0x0fffff54,0x3fffffea,
    0xfffff53f,0x7e4007ff,0x03ffdc4f,0xfc813ffa,0x2e21cfff,0xf981fffe,
    0x5ffffb6f,0x5f7ffc40,0x3ffffaa0,0x01fff001,0x7ffffdc0,0x04ffffff,
    0x409ff900,0x3e604ffc,0x001ffe6f,0x0017ffea,0xd9dffff5,0xdfffffff,
    0xaffff985,0xbffff730,0xd01ffee0,0x3f2009ff,0x3e6000df,0xd510afff,
    0x00005fff,0x5bffd100,0xeffca881,0xbffff980,0x3ffff261,0x2b7ffa23,
    0x77fe5440,0x407ffee0,0x881ffff8,0x440adffe,0x980effca,0x510affff,
    0xd105fffd,0xa8815bff,0x7440effc,0x5440adff,0x3ee0effc,0xfff101ff,
    0xbffd103f,0xffca8815,0x7fe4000e,0x81fffc44,0x3200fffb,0x3e204fff,
    0xfff984ff,0x401efffe,0xf101fffb,0x3e003fff,0xff3000ff,0x3aa215ff,
    0xc8002fff,0x3ff204ff,0xa9bfe604,0x3510003e,0xefff8800,0x7fffec41,
    0x01dffd01,0x01fffff3,0x2e07fff1,0x22000fff,0xeffe8000,0x1fffb100,
    0xfb000000,0x6ffa807f,0x403fffd0,0x7ec3fff9,0x37fd403f,0xf901bff6,
    0x3ff603ff,0x837fd403,0xb100effe,0xffb01fff,0x06ffa807,0xfa807ffb,
    0x037fec6f,0x6c07fff2,0x7fd403ff,0x4ffc8006,0xe80fffb8,0x7fe404ff,
    0x37fe400f,0x7fffffcc,0x6ffd800e,0x00fffe40,0xd000fff8,0x36201dff,
    0x64000fff,0x3ff204ff,0x01bfe604,0x2e000000,0x3fe01fff,0xfffb81ff,
    0xffffe880,0x1fff704f,0x2009ffd0,0x001abaa8,0x8801fff7,0x3f624fff,
    0x7fe42fff,0xffb01fff,0x86ffa807,0xc801fff8,0x1ffec2ff,0xfd1bfea0,
    0xfff8805f,0x807ffb01,0xffb86ffa,0x7ffc400f,0x403ffd84,0xffb06ffa,
    0x46ffa807,0x7c402ffe,0x7ffb01ff,0x006ffa80,0xf884ffc8,0x7ffdc3ff,
    0x02ffe400,0x2607ffc4,0x02ffffff,0x8805ffd0,0xff001fff,0xfff7001f,
    0x4fff8801,0x027fe400,0x7cc09ff9,0xd910006f,0x05dddddd,0x901bff60,
    0xffb03fff,0x37fff607,0xfff107ff,0x00fffb87,0x3fffff66,0x7ec02eff,
    0xfff5003f,0x17ffffd4,0x07fffffe,0x2a01ffec,0x6ffa86ff,0xd81df300,
    0x7fd403ff,0x2017ff46,0xfb01fff9,0x6ffa807f,0x5003ffd8,0x7ffb0fff,
    0xb06ffa80,0xffa807ff,0x2017ff46,0xfb01fff9,0x6ffa807f,0x04ffc800,
    0x7fc1fff7,0xfffc804f,0x43ffcc00,0xfffffff9,0x02ffe803,0x800fffcc,
    0xfd800fff,0xfff5003f,0x04ffc800,0xf9813ff2,0xff90006f,0x0dffffff,
    0x100bffa0,0xfff03fff,0x37fff901,0x3ee01fff,0x13ffe0ff,0xfffffff0,
    0x7c07ffff,0x3fe000ff,0xffffd10f,0xfffffc85,0x807ffb01,0xffc86ffa,
    0xffd80003,0x237fd403,0x7e406ffd,0x7ffb01ff,0xf86ffa80,0x3fe000ff,
    0x01ffec0f,0x7ec1bfea,0x37fd403f,0xf901bff6,0x3ff603ff,0x037fd403,
    0xf027fe40,0x3ffee9ff,0x3fffc800,0x4c37fe40,0xffffbfff,0x037fec04,
    0x4007fff2,0xff800fff,0x3ffe000f,0x13ff2000,0x2604ffc8,0x013ee6ff,
    0x3fffffea,0xfe801fff,0x7ffcc02f,0x543ffc41,0x3ffe5fff,0x5d3ffe01,
    0x7ec00fff,0xffedefff,0x7ff880ff,0x40fff400,0x3fa02ffe,0x07ffb01f,
    0xfe86ffa8,0xfd80001f,0x37fd403f,0x4407ffee,0xfb01ffff,0x6ffa807f,
    0x2003ffc4,0x7fec1ffe,0x837fd403,0x7d403ffd,0x0fffdc6f,0x01ffff88,
    0xfa807ffb,0xffc8006f,0x23ffee04,0xf9004fff,0xfb017fff,0xdff307ff,
    0x813fffa2,0xf101fffb,0x3e003fff,0x7fc400ff,0x0fff4007,0x409ff900,
    0x3e604ffc,0x003ffe6f,0x3fff6aa2,0xffd804ff,0x0fffe406,0xff11bfe6,
    0x17fec1df,0xff1fff70,0x1351009f,0x305fff10,0xfd800dff,0x02ffe82f,
    0x7ec07ffa,0x37fd403f,0x00007ffc,0x2a01ffec,0x7ffc46ff,0xffd710cf,
    0x3ff603ff,0x237fd403,0x6c006ff9,0x1ffec2ff,0x6c1bfea0,0x7fd403ff,
    0x67fffc46,0xffffd710,0x00fff603,0x9000dff5,0xfff809ff,0x9000fffe,
    0x9bffffff,0x20bffffb,0x3fa26ffa,0x7c409dff,0xd710cfff,0x2603ffff,
    0x99fff999,0x06ff9819,0x0017fec0,0x99889ff9,0x4099cffd,0x3ffe6ff9,
    0x77ffc000,0xffb807ff,0xffff101f,0x20fff983,0x7f41fffe,0x77ffc01f,
    0x30000fff,0x213ff213,0x74007ff9,0x2ffe81ff,0x6c07ffa0,0x7fd403ff,
    0x000fff86,0x403ffd80,0xffa86ffa,0xffffefff,0xffb01fff,0x46ffa807,
    0x74007ff9,0x1ffec1ff,0x6c1bfea0,0x7fd403ff,0xfffffa86,0xfffffffe,
    0x807ffb01,0xc8006ffa,0x7fdc04ff,0x32004fff,0xffffffff,0x5c0effff,
    0x7cc6ffff,0x545fffff,0xffefffff,0x5c1fffff,0xffffffff,0x264fffff,
    0x7f4007ff,0x3ff2001f,0xfffffd34,0x4cdfffff,0x03ffe6ff,0xf8fffa80,
    0x7fc402ff,0x3fa20cff,0x7fc41fff,0x05fff92f,0xfb801fff,0x2004ffff,
    0xffffffc8,0xfff04fff,0x07ffc001,0xfd017ff4,0x0fff603f,0xfd0dff50,
    0xfb00003f,0x6ffa807f,0xffffff70,0x03ffffff,0xf500fff6,0x01fff0df,
    0x3607ffc0,0x7fd403ff,0x807ffb06,0xff706ffa,0xffffffff,0x3ff603ff,
    0x037fd403,0x4027fe40,0x000fffff,0x3ff37ff2,0xd03fffff,0xfb8dffff,
    0x40ffffff,0xfffffffb,0x741fffff,0xffffffff,0x7c7fffff,0x3fe000ff,
    0x3ff2000f,0xffffff74,0x23ffffff,0x3ffe6ff9,0x57ff6000,0xfa806ffc,
    0xffeeffff,0xff81ffff,0x84fffbcf,0xff007ffa,0x2e001fff,0xffffffff,
    0xffd04fff,0x1ffea005,0xfd017ff4,0x0fff203f,0xf90bff50,0xf900007f,
    0x5ffa807f,0x3ffffa20,0x01fffaef,0xfa807ff9,0x02ffe85f,0xf90fff50,
    0x5ffa807f,0xa807ff90,0x3fa205ff,0xffaeffff,0x07ff901f,0x8005ffa8,
    0xfb804ffc,0x7e4004ff,0x3597514f,0x7fff5401,0x7fffec46,0xfffd104e,
    0x3fff5dff,0xfffffea8,0x2effffff,0xa8017ff4,0x7e4007ff,0xffffb14f,
    0x49ffffff,0x3ffe6ff9,0x3fff1000,0x2007ffe6,0xfffffffb,0xc81fffff,
    0x06ffffff,0x2e00bffd,0xf7004fff,0xffffffff,0x3f209fff,0xffe800ff,
    0x405ffd05,0xff701ffe,0x84ffc80d,0x80006ff9,0x7e406ffb,0xaa98804f,
    0x5c07ffe1,0x7fe406ff,0x00fffc84,0xfb85ffe8,0x27fe406f,0x6406ffb8,
    0xa98804ff,0x407ffe1a,0x7e406ffb,0xffc8004f,0x0fffb804,0x027fe400,
    0x00000000,0x7fc35531,0x9000001f,0xfd001fff,0xffc800bf,0xffa80004,
    0x4003ffe6,0x7fec6ffc,0xfffd1004,0x3fff39df,0xffffff10,0x01fff901,
    0x003ffee0,0x8b3bffe2,0x104ffd98,0xfc80bfff,0x5ffd00ff,0x407ffe20,
    0xf102fff9,0x3ffe05ff,0x987fb004,0xff102fff,0x7cc0005f,0x3ffe607f,
    0x05fff102,0xc80bfff1,0xff980fff,0x5fff102f,0x40bffe60,0x0002fff8,
    0xf981ffe6,0xfff102ff,0x7ffd0005,0x04fff880,0x004ffc80,0x00055000,
    0x01ffe600,0xf1000aa8,0xffc80bff,0x7ff4000f,0xffc80002,0x4003ffe5,
    0x7fd43fff,0x0d4c4007,0x7dc07ffe,0x7f443fff,0xff1003ff,0x3fee009f,
    0x13ff600f,0x41efffa8,0x203fffe8,0x7e445ffd,0x3fa02fff,0x3fa60bef,
    0xfff700ff,0x3ffa603d,0x0beffe86,0x003fffa6,0x02ffec40,0x982fbffa,
    0xf500fffe,0xfe883dff,0x3ffa03ff,0x3ffa60be,0x3bffa00f,0x3fffa60b,
    0xffb10000,0xbeffe80b,0x03fffa60,0x03fff500,0x000fffb8,0x0004ffc8,
    0x01fffa80,0x3ff62000,0x5fff1005,0x3bffea00,0x1ffff441,0x03ffea00,
    0x7fff3000,0x54007ffc,0xbaaabfff,0x80002fff,0x3f207ff9,0xffefffff,
    0x2e005fff,0xf7000fff,0xffd501df,0x7fe4019f,0xffffefff,0x7ffdc06f,
    0xfffffede,0xfff305ff,0xfffffdff,0xffffb803,0xffffeeef,0xffff983f,
    0x1fffffef,0xdcccb980,0x4c03ffff,0xffefffff,0x7e401fff,0xfffeffff,
    0x7fcc06ff,0xffffefff,0x7ffcc01f,0xfffffeff,0xcccb9801,0x403ffffd,
    0xfefffff9,0x7101ffff,0xfffd9999,0xfcccb88d,0x1000aeff,0x379dffd7,
    0xd7310000,0x9730009f,0x7ffffb99,0xdfb53100,0x7fffe400,0x6fffffef,
    0xf9999710,0x4400dfff,0xfffeccca,0x401ffe0f,0xfffffffd,0x0006ffff,
    0xa837fec4,0xffffffff,0x2204ffff,0xefffcccb,0xfff9800a,0xffffedef,
    0x3205ffff,0xffffffff,0xffe8804f,0xffffffff,0xff500fff,0x7fffffff,
    0x3fffee00,0x3fffffff,0x3ffffea0,0xa803ffff,0xffffffff,0xfff5004f,
    0x07ffffff,0x3fffff20,0x5004ffff,0xffffffff,0x3fea007f,0x3fffffff,
    0xfffffa80,0x5004ffff,0xffffffff,0x7fffc07f,0x20efffff,0xfffffff8,
    0xff003fff,0x5fffffff,0xfffe8000,0x7fd4003f,0x4fffffff,0xbffff900,
    0xffffc800,0x104fffff,0xffffffff,0x7f4001df,0x1fffffff,0x7c401f5c,
    0xffffffff,0x9801ffff,0xfffdcccb,0xefff883f,0xeffffec9,0x3fffe201,
    0x03ffffff,0xffffff90,0xffffffff,0x7ff4c01f,0x2002efff,0xefffffe8,
    0x404effeb,0xefffffd8,0x7edcc001,0x01deffff,0xfffffd88,0xfff7001e,
    0x007fffff,0xfffffd88,0x7f4c001e,0x002effff,0x7ffffec4,0x7ec4001e,
    0x001effff,0xfffffff7,0xfd88007f,0x201effff,0xfffffff8,0x7ffc40df,
    0x4fffffff,0xfffff880,0x0002ffff,0x002fffd4,0x7fffffdc,0x3a2003ff,
    0x98001eff,0x2efffffe,0x3ffffe20,0x4000dfff,0xeffffffe,0x7fe40001,
    0xeeeeeeef,0x7d404fff,0xffffffff,0x81fff704,0xf88009a8,0xffffffff,
    0x3fee004f,0xfdcfffff,0x31004eff,0xa8800035,0x880000ab,0x000009a9,
    0x20001353,0x80009a98,0x01bcccca,0x04d4c400,0x06a62000,0x26a62000,
    0x54c40000,0xcca80009,0x40001bcc,0x30009a98,0x01599997,0x666665cc,
    0x73000bcc,0x05999999,0x00044000,0x37999950,0x00044000,0x000d4c40,
    0x15999973,0x332e2000,0xf00000bc,0xffa807ff,0x7fffdc07,0x2604ffff,
    0x300002ff,0x99999997,0xa9880017,0x000001ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,0x7ffcc01f,
    0x66665403,0x0011001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffcc00,0x7fcc2fff,
    0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff9,0xfffffc8b,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb300000,0x983bffff,0x1dfffffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd9000000,0xdddddddd,0x09dddddd,0x02000000,0x00544000,
    0x20000000,0x017101b8,0x5c406e20,0x0c880000,0x2a000000,0x8000ae03,
    0x1b88001c,0x00001710,0x00000000,0x64400000,0x19100000,0x213aa000,
    0x220001ec,0x0200000c,0x44032200,0x000a200c,0xb880dc40,0x2e03b800,
    0x00c88003,0x80001300,0xffb00fd8,0xffffffff,0x20bfffff,0x800001fe,
    0x00dd11fc,0x004fffb8,0x007f2000,0x3ee1ffd4,0x7ff5003f,0x0003ffb8,
    0x0001ffcc,0x3fe00fee,0x01bfa60e,0x013ffa60,0xfb87ff50,0x13e6003f,
    0x027d4000,0x00bf2000,0x03fffb80,0x1fffdc00,0x30fff400,0x2e000dff,
    0x40003fff,0x54003fe9,0x207f905f,0x80004ff8,0x7fdc3ffa,0x981ff803,
    0x7fdc007f,0x7fdc003f,0xdfd30001,0x7ffffec0,0xffffffff,0x4ff985ff,
    0x7fec0000,0x2005fe88,0x00fa8bf8,0x7ff44000,0x3bff2000,0x4005ffda,
    0xffdaeffc,0x7fdc0005,0x7fe40005,0xbfff9802,0x4001fffb,0x1effeffc,
    0x2bbff600,0x44005ffe,0x40000eff,0x0000eff8,0x0007fec4,0x7ff7fec4,
    0x7ec4000d,0x000dffef,0x9ff11ff6,0xeffd8800,0xb0000dff,0x44001fff,
    0xff931cff,0x03ffe603,0x3bff6000,0x9005ffea,0xfd5115df,0x3ff6200b,
    0x9800effe,0xa8002fff,0x3f600eff,0xfffbaadf,0x85ffcaab,0x00005ffa,
    0x3fe67ff6,0x3e3d4005,0x3e600003,0xfa8000ef,0x0002ffff,0x05fffff5,
    0x03ffc800,0x0bffa200,0xffffd880,0x7ff4000d,0x005ffd34,0x17ffffd4,
    0x1efe9800,0x77f4c000,0xffd30001,0xfff10003,0x003ffea5,0xfa97ffc4,
    0x02a000ff,0xff1000a2,0x03ffea5f,0x01bfee00,0x3ffffea0,0x7ff403ff,
    0xff500004,0x44005fff,0xeffffffe,0x3fff8800,0xd801fff5,0x54000fff,
    0xffd805ff,0xa83ffe23,0x5ffa85ff,0x3ff90000,0x220017fe,0x0001f53f,
    0x0037fe60,0x00dfd880,0x06fec400,0x0bfe6000,0x03dfd000,0x00bfea00,
    0x3207be20,0x7ec4005f,0x6c40000d,0x440000ff,0x44000ffd,0x50000eff,
    0x2fd881bf,0x881bf500,0x000003fd,0x881bf500,0xb70003fd,0x3f660003,
    0xfa801dff,0x100000ff,0x20001bfb,0x003effeb,0xfb1037ea,0x27ffcc07,
    0x801fdc00,0x3fe23ffd,0x217fea0f,0x00005ffa,0x017e21dd,0x04fffb80,
    0x013ea000,0x00001800,0xb880000c,0x6fc40000,0x00440000,0x00080100,
    0x90000060,0x3200005f,0x27d4002f,0x02004000,0x00080100,0x00400000,
    0x00000002,0xfff80000,0x00c00003,0x04000000,0xfff90020,0xb0000001,
    0x7ffc45ff,0x74d7fea0,0xffffffff,0x0001efff,0x05c40000,0x00000000,
    0x22000000,0x9d500009,0x00003d90,0x64275400,0x2620001e,0x0cc40000,
    0x00000000,0x00000000,0x10000000,0x7fec0013,0x7f4c1eff,0x2000dfff,
    0x33000019,0x40000000,0x00007ffb,0x440000cc,0x4c400009,0x9fff1001,
    0x00cc4000,0xff107fd4,0xc9ffc41f,0xffffffff,0x004fffff,0x00000000,
    0x71000000,0x219ddddb,0xceeeeeb8,0x3ffb2200,0x3a000cef,0x1bfe61ff,
    0xfe800000,0x01bfe61f,0xffffdb88,0x4404cadf,0x9dfffffd,0x0000003c,
    0x00000000,0xddddb710,0x3bbae219,0x32200cee,0x00cefffe,0x3fffffe6,
    0x7ffffe45,0x3f6e202f,0x4d8befff,0x7ffedc40,0x224d8bef,0x0ceeeedb,
    0x9ddddd71,0x03fff881,0x3ff6e200,0x04d8beff,0x3ffff6e2,0x4404cadf,
    0x9dfffffd,0x0fffc83c,0x7ffec400,0xa83c9dff,0x207ffc41,0x3fffa629,
    0xffffffff,0x776dc41e,0xdd710cee,0x2e219ddd,0x10ceeeed,0x19ddddd7,
    0x3bbbb6a0,0xeeeeeeee,0xffff70ee,0x3fee9fff,0x504fffff,0xffffffff,
    0x1ff6005f,0xee809ff1,0xeeeeeeee,0xffb00eee,0x3004ff88,0xfffffffd,
    0x2e05ffff,0xffffffff,0xd9101fff,0x05dddddd,0x77776dc0,0x43deeeee,
    0x40ceeedb,0x23deeec8,0xfffffffb,0xffffff74,0x3ffea09f,0x02ffffff,
    0x0bbffff6,0x1dffffd3,0x3ffffe60,0x1fffffff,0xffffff30,0x23ffffff,
    0xfffffffb,0xffffff74,0x0dff909f,0x3fffe600,0xffffffff,0xffffe981,
    0x2fffffff,0xffffff70,0xe83fffff,0x7dc005ff,0xffffffff,0xff8801ff,
    0x3fea000f,0x7ffdc005,0xff74ffff,0x2e9fffff,0x4fffffff,0xfffffff7,
    0x3ffffe09,0xffffffff,0xfff50fff,0x3ea7ffff,0x83ffffff,0xfffffffb,
    0x5004ffff,0xff005101,0xffffffff,0x05401fff,0xffa80144,0xffffffff,
    0xff983fff,0xffffffff,0xfff903ff,0x00dfffff,0x3fffffe6,0x2fffffff,
    0x9ffffff3,0xffffffc8,0xffffff52,0x3fffea7f,0xffb83fff,0xffffffff,
    0x1ffee04f,0x4c09ffd0,0xffffffff,0x983fffff,0xffffffff,0xf53fffff,
    0x27ffffff,0xfffffffa,0x02fff883,0x7ffffcc0,0xffffffff,0x7ffffd43,
    0xffffffff,0xfffff983,0x3fffffff,0x3001fffc,0xffffffff,0x1007ffff,
    0x54001fff,0x7d4005ff,0x53ffffff,0x7fffffff,0x3fffffea,0xfffff53f,
    0x3ffa07ff,0xfffffeff,0x220fffff,0x440adffe,0x980effca,0x510affff,
    0x0005fffd,0xfffff000,0xffffffff,0x4c000001,0x221befff,0xf84fffd9,
    0xd510beff,0x3ea07fff,0xffffffff,0xffff8801,0xffffffff,0xfffff10f,
    0xffffb83f,0x3ffa20ff,0x7e5440ad,0xfff980ef,0xffd510af,0x3ffe205f,
    0x01fff703,0x86ffffe6,0x43ffffc9,0x21bffff9,0x23ffffc9,0x40adffe8,
    0x00effca8,0x9801bff2,0x261bffff,0x263ffffc,0x221befff,0xf84fffd9,
    0xd510beff,0x7fc47fff,0x3ffe002f,0xffd510be,0xfff1007f,0x2ffd4001,
    0x6fff4400,0x7fe5440a,0x6fff440e,0x7fe5440a,0x7ff4c00e,0xaaaaeffa,
    0x7fec0fff,0x837fd403,0xb100effe,0x00001fff,0xaabfff80,0x06fffbaa,
    0x7ff40000,0x1ffec00f,0x4407ffe2,0x2a203fff,0x4fffffda,0x3eaaaa00,
    0x80aaabff,0xfb05fffa,0xffb015ff,0x06ffa807,0x2201dffd,0xf700fffd,
    0x9ffd01ff,0x00ffff40,0xfe87fff3,0x3fe601ff,0x01ffec3f,0xf101bfea,
    0x3fa005ff,0x3fe601ff,0x03fffa3f,0xf887ffb0,0xfff101ff,0x00fffcc7,
    0x101fff88,0xf1007fff,0x7d4001ff,0xffb0005f,0x06ffa807,0xfa807ffb,
    0x5bfd006f,0x1fff0dff,0x5403ffd8,0xfffb86ff,0x27ffc400,0x85ffffb1,
    0x81fffffc,0xffe80fff,0x3fff621f,0x7fffe42f,0x0fffd41f,0x2a0ffd40,
    0x7fe406ff,0xfdfff001,0x7fc000ff,0xfff7000f,0x04fff983,0xf500fff6,
    0x1fff70df,0x04fff880,0xfb87fff1,0xfff100ff,0x45ff9003,0xc801fff8,
    0x1ffec2ff,0x201bfea0,0xf8805ffd,0xffc801ff,0x003fff52,0xffa83ff5,
    0x70ffe406,0x2a001fff,0x7fe406ff,0x0fff8801,0x017fea00,0x201ffec0,
    0xffb06ffa,0x06ffa807,0xffabff98,0x6c0fff86,0x7fd403ff,0x003ffd86,
    0x7fd4fff5,0x7ffc2fff,0xfff81fff,0x21fffe40,0x42fffffa,0x41ffffff,
    0x2a006ffc,0x01fff881,0x7d401362,0x02fff8ff,0x001fff00,0xfd077ff4,
    0x3ffd80df,0x6c37fd40,0xff5003ff,0x07ffdc0f,0x7d409fff,0x1df3006f,
    0x98037fd4,0x1ffec0ef,0x201bfea0,0x5401fff9,0xdf3006ff,0x801bff21,
    0x1fff881a,0xff713620,0x7ffc400f,0x40136201,0x2000fff8,0xb0005ffa,
    0xffa807ff,0x807ffb06,0xfb806ffa,0x996ffa8f,0xffb0dfb1,0x86ffa807,
    0x3e000fff,0xfffd10ff,0xffffc85f,0x547fd81f,0xfe884fff,0x7fe42fff,
    0x7fec1fff,0xffb00003,0x8000159f,0xdff95ffd,0x03ffe000,0x94fff980,
    0xfd803fff,0x37fd403f,0xf0007ffc,0x7ffc01ff,0x401fff74,0x40003ffc,
    0x80003ffc,0x7d403ffd,0xbffb006f,0x003ffc80,0x000fff60,0x567ffec0,
    0x1fff5000,0x67ffec00,0x3310000a,0x00133fff,0x2000bff5,0x7d403ffd,
    0x07ffb06f,0xe806ffa8,0xf5dff56f,0xfb03715f,0x6ffa807f,0x2003ffc4,
    0xffe81ffe,0x207ffa02,0x3ffe62d9,0x02ffe806,0xfff07ffa,0x3e600003,
    0xacefffff,0x3ffe2000,0x003fff31,0x8001fff0,0xfffbfffb,0x03ffd804,
    0x3e237fd4,0x7ff4007f,0x23ffee01,0x7f404fff,0x7f40001f,0xfd80001f,
    0x37fd403f,0x00fffa80,0x80007ffa,0x00001fff,0xdffffff3,0x3fe60159,
    0x3fe6001f,0x0aceffff,0xfffffe80,0x5406ffff,0x65440fff,0x1ffec1fe,
    0x6c1bfea0,0x7fd403ff,0xaa7fc406,0x04ffffff,0x2a01ffec,0x37fcc6ff,
    0x20bff600,0x3fa02ffe,0xffe8801f,0x2ffe800f,0xff07ffa0,0x4400001f,
    0xfffffffe,0xdff9003f,0x8004ffd8,0xe8000fff,0x006fffff,0xfa807ffb,
    0x037fcc6f,0xf00bff60,0x01fffdff,0x0000fff8,0x00007ffc,0x2a01ffec,
    0x3fa006ff,0x03ffe04f,0x00fff800,0x3ffa2000,0x83ffffff,0x4003fff8,
    0xffffffe8,0x3fe603ff,0xffffffff,0x3ffe201f,0xffffedef,0x01ffec4f,
    0x7ec1bfea,0x37fd403f,0x7d47fea0,0x404fffff,0x7d403ffd,0x03ffcc6f,
    0x3a07ffa0,0x3ffa02ff,0x2fffd801,0x405ffd00,0x7ffc1ffe,0xffffea80,
    0x32a02eff,0x5ffffffe,0x543fff80,0xff8007ff,0xff88000f,0xfb001fff,
    0x6ffa807f,0x2003ffcc,0x7dc01ffe,0xf804ffff,0x7c0000ff,0xd80000ff,
    0x7fd403ff,0x3ffea006,0x001fff00,0x5407ffc0,0xeffffffe,0x3ffb2a02,
    0xff85ffff,0xd950004f,0x0bffffff,0x7fffffe4,0xfb804fff,0xffffffff,
    0x1ffec1ff,0x6c1bfea0,0x7fd403ff,0x55ffec06,0x4ffffffc,0x201ffec0,
    0xfff86ffa,0x03ffe000,0xfe80bffa,0x7ffdc01f,0x0bffa004,0x7f41ffe8,
    0xffffe81f,0x3005ffff,0x07ffff95,0x555fffd4,0x002fffba,0x80007ffc,
    0x2003fffb,0x7d403ffd,0x00fff86f,0x2003ffe0,0x800fffff,0x40001ffe,
    0x80001ffe,0x7d403ffd,0x7ff4006f,0x003ffd04,0x740fff40,0xffffffff,
    0xff953005,0x6ffd87ff,0xfca98000,0x00003fff,0xfffff700,0xfb017dff,
    0x6ffa807f,0xa807ffb0,0x7ffc06ff,0xfbefffff,0x1ffe403f,0x3a17fea0,
    0xff5002ff,0x80bffa0f,0x3e601ffe,0x80ba85ff,0x3fa02ffe,0x417fec1f,
    0xfffffffb,0x2200543f,0x3f605ffd,0xffffffff,0x7fc006ff,0x3fe0000f,
    0x3ff2000f,0x42ffd403,0xf5002ffe,0x3fee00ff,0x7ff9004f,0x3ffc8000,
    0x3ffc8000,0x002ffd40,0x3203ffee,0x360003ff,0xfffb82ff,0x543fffff,
    0x2ffec400,0x400bffea,0x7fec400a,0x00002005,0x2006aea6,0x7d403ffc,
    0x07ff905f,0x2605ffa8,0xffffffff,0x5c00dd8e,0x7fe406ff,0x00fffc84,
    0xfd05ffe8,0x0fff405f,0x40efff88,0xffe83ff8,0x707ffa02,0x4ccc0bff,
    0x37ec4ffd,0x407ffc40,0xfffffff8,0x01ffffff,0x0003ffe0,0x2000fff8,
    0x7e406ffb,0x0fffc84f,0x005ffe80,0x2001fff7,0x40006ff9,0x80006ff9,
    0x7e406ffb,0xfff8004f,0x006ff983,0x9817fee0,0x6c4ffd99,0xfff8806f,
    0x4037ff40,0xff8806fd,0x0efe800f,0x20004000,0x7e406ffb,0x0dff704f,
    0x3204ffc8,0xffcaabff,0xf983fb06,0xfff102ff,0x0bfff105,0xd00fffc8,
    0x3fe205ff,0x3fffb01f,0xfd0bff50,0x3ffe205f,0x017ffcc1,0x3fe27fe4,
    0x3ffd402f,0xeeefffc8,0x4fffeeee,0x003ffe00,0x000fff80,0x440bffe6,
    0xff882fff,0x7ffe405f,0x4fff8800,0x027ffc00,0x7ffc3fd8,0x987fb004,
    0xff102fff,0xff70005f,0x013ffe0f,0xfff99fec,0x44ffc802,0x7d402fff,
    0x1fffb87f,0x2017ffc0,0xf9807ffa,0xd10002ff,0x7fcc009f,0x5fff102f,
    0x40bffe60,0x3a02fff8,0x437fd46f,0xffe84ff9,0x3ffa60be,0xdfff500f,
    0x3fffe883,0x9117ff60,0xf905ffff,0x3fea07ff,0x445ffd86,0xd82ffffc,
    0xa880cfff,0x7ffc4ffe,0x7fdcc0cf,0x07fff06f,0x2007ffa8,0x20000fff,
    0x74000fff,0x3a60beff,0xff500fff,0xffe883df,0xfff7003f,0xfffb8001,
    0xdffd301e,0x01efffb8,0xfd0dffd3,0x7f4c17df,0xf88000ff,0xfffb82ff,
    0xdffd301e,0x4067ffec,0x7c4ffea8,0x5cc0cfff,0xff886fff,0x7fffc05f,
    0x7ffdcc0c,0x03ffd006,0x01ffea00,0x417dffd0,0x200fffe9,0x260beffe,
    0xf300fffe,0x77fdc49f,0x5ffb9999,0xefffff98,0x401fffff,0xfefffffc,
    0x5c06ffff,0xffedefff,0x2a5fffff,0x9999efff,0xb86ffb99,0xffedefff,
    0x445fffff,0xeeffffff,0x44ffffff,0xefffffff,0x82ffffff,0x4c01fffa,
    0x33103fff,0x1333fff3,0xfff33100,0x3e600135,0xfffeffff,0x7fe401ff,
    0xffffefff,0x9997106f,0x0015dfff,0xefffffb8,0x3fffffee,0xefffffb8,
    0x3fffffee,0xefffff98,0x001fffff,0x5c1bff20,0xeeefffff,0x223fffff,
    0xeeffffff,0x44ffffff,0xefffffff,0x02ffffff,0x7c03fff7,0xfeffffff,
    0x002fffff,0xf90001f2,0xfff9800b,0xfffffeff,0x7fffcc01,0x1fffffef,
    0xefffff88,0xfffffffc,0x505fffff,0xffffffff,0x3ff2007f,0x4fffffff,
    0xffffe880,0xffffffff,0xfffff90f,0xffffffff,0xffffd10d,0xffffffff,
    0xfffe981f,0xffffffff,0x7ffff41e,0xffffffff,0x7ffffcc3,0x7ffcc2ff,
    0x3fa2ffff,0xffffffff,0xffb00eff,0xdfffffff,0x3fffea00,0x003fffff,
    0xfffffff9,0x3fe209ff,0xffffffff,0xfffb8003,0xffffffff,0x3fffee03,
    0x3fffffff,0x3ffffea0,0x0003ffff,0xb817ffc4,0xffffffff,0xfe983fff,
    0xffffffff,0x7ff41eff,0xffffffff,0x7ff403ff,0x3ffffa02,0xffffffff,
    0x00be6003,0x0005f100,0xfffffff5,0x3ea007ff,0xffffffff,0xfffff703,
    0xffffffff,0x0bffffff,0x7ffffec4,0x7f4c001e,0x002effff,0x3fffffa2,
    0x24effebe,0xfffffffc,0x06ffffff,0xdfffffd1,0x409dffd7,0xffffffea,
    0x77d502df,0xbffffffd,0xfffff901,0xfffc8bff,0xff35ffff,0xffffffff,
    0xff105fff,0xffffffff,0x3f62003f,0x001effff,0x7fffff4c,0x3ffe202e,
    0x4fffffff,0xffb73000,0x003bdfff,0xfffffb73,0xfb1003bd,0x003dffff,
    0x807ff200,0xfffffdb9,0x7f5401de,0x2dffffff,0xffd77d50,0x001bffff,
    0x75401bd3,0xfffffebb,0x274000df,0x0026c000,0xfffffb10,0xfd88003d,
    0x201effff,0xadffffd8,0xfffffffe,0x8805ffff,0x400009a9,0x40001a98,
    0x9000aba8,0xffffffff,0x80dfffff,0x0000aba8,0x009aa988,0x09aa9880,
    0x3ffff660,0x7fecc1df,0x3f21dfff,0xffffffff,0x3fb205ff,0x4fffffff,
    0x09a98800,0x0d4c4000,0x99997300,0x00017999,0x00026a60,0x00013530,
    0x00026a62,0x3000ae00,0x22000135,0x80009aa9,0x0009aa98,0x55310000,
    0x07100013,0x001b3000,0x01353100,0x09a98800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,
    0x00988000,0xc8800000,0x00019100,0x26200000,0x03500001,0x00000000,
    0x05400000,0x00002a00,0x4c003b80,0x7007300b,0xdddddddb,0x0800059b,
    0x8805c400,0x0000000b,0x40006a20,0x017101b8,0x91000000,0x44000001,
    0x1019100c,0x13e60005,0x00fee000,0x003fe980,0x000bf200,0x0007ec40,
    0x3ffff6e2,0x4004cadf,0xbf5002fc,0x0000ff20,0xb10027d4,0x93bfffff,
    0x06fd8007,0x0017e600,0x0006e880,0x400ffdc0,0x0005fffa,0x06ffec40,
    0x642ffc80,0x3fea01ff,0xffffffff,0xd8002fff,0xff5000ef,0x982ffb87,
    0x3ee00cff,0x200fffff,0xb10dfffc,0x43ffa807,0xea803ffb,0x8013ee1f,
    0x1003fffb,0x07ffffff,0x0ff20bf5,0x220017fe,0x20000eff,0x360007fe,
    0x40000fff,0x0000ffd8,0x4006fe98,0xffffffe9,0x802fffff,0x1000ffd8,
    0x3f2639ff,0xfc80001f,0xfff7002f,0xffffffff,0x3ffd1003,0x0ffee000,
    0x2ffd4000,0xfff10000,0xf519d005,0x3ea00003,0x803fffff,0xfeadffd8,
    0x7ffcc04f,0xffffffff,0x26003fff,0x36003fff,0x5ffeaeff,0x40dfff90,
    0x0fffffff,0xfffbff90,0xfb009ffb,0x0bffd5df,0x7c9fffd0,0x7ec400ff,
    0x400dffef,0x7ffffff8,0x931cff88,0xfff883ff,0xefe98003,0x1fff0001,
    0x1bfee000,0x3ffd3000,0xbff50000,0x7ffd4001,0xffffffff,0x7f4c03ff,
    0x7fd4001f,0x003fffff,0x01ffec40,0xffffff98,0x03ffffff,0x00077fcc,
    0x0003ffc8,0x000bff70,0x807ffb80,0x0013a0f9,0x2237ff20,0xf7004ffd,
    0x2003dfff,0xaabfffa8,0x1ffffeba,0x03fff100,0xfffffa80,0x3fffea02,
    0xfffff704,0x4476e01f,0x2005fffd,0x02fffffa,0x21ffffa8,0x3e200fff,
    0x1fff52ff,0x7ffffc40,0xffff504f,0x3f607fff,0xd88000ff,0x3aa000ff,
    0x0ccdffff,0x00076e00,0x000eff88,0x004ffa80,0x0df7ffcc,0x09fffb31,
    0x00077fc4,0x1dfffd98,0x1ffe8000,0x2fbffe00,0x7fffd510,0x000dfe80,
    0x0005ffb0,0x000ffee0,0x00fffe00,0x001f9a74,0xfa83fe80,0x13fa2007,
    0x80fffc00,0x2003fff8,0xb10002da,0xf91001bf,0xff9980df,0x054c000f,
    0x06fec400,0xf83ffd80,0x37ea00ff,0x101fec40,0x30033fff,0x403bfffb,
    0x0003fff9,0x3a600bf2,0xffffffff,0x0000003f,0x000027d4,0xfd0007f9,
    0xffd801ff,0x0013ea03,0x44000000,0x3e2000ef,0xfff101ff,0x0003b807,
    0x00000f74,0x000005fb,0x2001fff5,0x0005fffa,0x00010020,0x7ffc0003,
    0x017fee01,0x00600000,0x200fff10,0x00000fff,0x7c001800,0x0fff80ff,
    0x10020040,0x00001fff,0x007ffe80,0xfffb0000,0xbfffffff,0x0004c400,
    0x00000000,0x01fffa80,0x0001ffa8,0x00262000,0xf5000000,0x1ffc80df,
    0x03333310,0x00000000,0x3fa00000,0x0d44004f,0x00000000,0x3fe00000,
    0x13ff201f,0x00000000,0x401ffe20,0xdb710fff,0x2e219ddd,0x00ceeeee,
    0x0fff8000,0x0000fff8,0x07ffc400,0x3ea00000,0x000002ff,0x4567ffc4,
    0x205ffeb9,0xfffffdb8,0x00004cad,0xc8000000,0x06a006ff,0x32200000,
    0x00cefffe,0xf8800000,0x136201ff,0x3fffffa6,0x0000000f,0x40000000,
    0x0000fffa,0x3ae20000,0xeeeeeeee,0x7776dc3d,0x02cdeeee,0xc80fffc0,
    0xddd02fff,0xdddddddd,0x3bbb21dd,0xeeeeeeee,0x7c44eeee,0x1fff007f,
    0x3fffffee,0xfffff74f,0x777749ff,0xeeeeeeee,0x80fff80e,0x3b6e0fff,
    0x64c2deee,0x223deeee,0x36e00fff,0xeeeeeeee,0xdffd03de,0xdddddb70,
    0xdddddddd,0x105ffb8b,0x3fa607ff,0xffffffff,0x776dc2ff,0xeeeeeeee,
    0xd9105eee,0x05dddddd,0x000fff60,0x3bbbb6e0,0x03deeeee,0x3fffffea,
    0x36a02fff,0xdb884eee,0x6c0ceeee,0x000acfff,0x3ffffff2,0x7764c00f,
    0x02deeeee,0xdddddb70,0x00059bdd,0x8809ffd0,0xeeeeeeec,0x3fee0002,
    0xffffffff,0xffff52ff,0xffffffff,0x3ffe005f,0xfffcbaab,0x3fffe06f,
    0xffffffff,0xfffffb0f,0xffffffff,0x7ff88bff,0x2a1fff00,0x3fffffff,
    0xfffffff5,0x7fffffc7,0x0fffffff,0xff80fff8,0xfffff30f,0xfffe8fff,
    0xff11ffff,0x3ffe601f,0xffffffff,0xfffb82ff,0x3ffffea0,0xffffffff,
    0x27fdc6ff,0x3fea0530,0xffffffff,0x3fea3fff,0xffffffff,0x906fffff,
    0xffffffff,0x07ffe00d,0xffff3000,0xffffffff,0xffff705f,0x9fffffff,
    0xffffff10,0xfffffb85,0x7ffcc5ff,0x00acefff,0x3fffffa6,0x7fff400f,
    0x0fffffff,0x7ffffd40,0xffffffff,0xfff30002,0xffffc803,0x0006ffff,
    0x3fffffea,0x31ffffff,0xffffffff,0x07ffffff,0xfffffff0,0x401dffff,
    0xffffffff,0xfb0fffff,0xffffffff,0x8bffffff,0xff007ff8,0x6fff441f,
    0x7fe5440a,0x7ffffc0e,0xffffffff,0xf80fff80,0xffff10ff,0xffd8dfff,
    0xf10fffff,0x3fe201ff,0xffffffff,0xff980fff,0x3fffe61f,0xffffffff,
    0x7fc46fff,0x3e6002df,0x2621beff,0x3e64fffd,0xffffffff,0x06ffffff,
    0xfffffff5,0xfff003ff,0xff880001,0xffffffff,0x7fcc0fff,0xfd510aff,
    0xffff05ff,0x7fcc1fff,0x883fffff,0xfffffffe,0x3ffe003f,0x7fffe400,
    0x806fffff,0xfffffff9,0x3fffffff,0x05ffd800,0xffffffa8,0x20001fff,
    0xffdaaaa8,0x7d440aad,0xebaaabff,0x7c01ffff,0xffffffff,0xbfff805f,
    0xfffbaaaa,0x2ab7ff66,0xcaabfffb,0x3ffc45ff,0x6c0fff80,0x7fd403ff,
    0xaabfff86,0x86fffbaa,0xff80fff8,0x33ffa20f,0xff95301a,0x07ffc41f,
    0x3feaaaa0,0x100aaabf,0xfa887fff,0xaaaaacff,0xfd86ffca,0x01ceffff,
    0xb003fffa,0xffa887ff,0xaaaaaacf,0x2a206ffc,0x4fffffda,0xa80fff80,
    0xeffffffe,0x7fd55542,0xe80aaabf,0xfb100eff,0xffb301ff,0xfca889ff,
    0x765400ff,0x05ffffff,0x3001fff0,0x357fff55,0x7ffd4400,0xffebaaab,
    0x3e6001ff,0x551001ff,0x09fffffb,0x3ffc8000,0x101fff80,0xff807fff,
    0xfffeeeef,0x07ffc00e,0xfb0ffff4,0x07ffc47f,0xfff0bff5,0x0fff8019,
    0x2a01ffec,0x0fff86ff,0x4c1fffe8,0xfff07ffc,0x4c3ffd81,0x237fd419,
    0x4000fff8,0x3e000fff,0x3ffd04ff,0x4437fd40,0xfffffffe,0x0fffd42e,
    0xe80ffd40,0x3fea01ff,0xfdfff006,0x3ffd00ff,0xffffffd0,0xfff80bff,
    0x07ffdc00,0x413ffe20,0x81fffffc,0x4c006ffa,0x03ffffca,0x4000fff8,
    0x20001fff,0xff101fff,0x7fe4007f,0xdfff0006,0x80000fff,0xff803ffc,
    0x17fee01f,0xfd83fff0,0x3fe00eff,0x1fffe40f,0xff88fff6,0x217fea0f,
    0x202ffffc,0x7fec0fff,0x437fd403,0x7fe40fff,0x7fffd43f,0xc81fff04,
    0x3ffe64ff,0xf117fee2,0xff8001ff,0x3ff6000f,0x983ffd05,0x540bff30,
    0xfffffffd,0x801bff22,0x07ffa01a,0x017fe613,0x3fe3ffea,0x17fec02f,
    0x7fffffdc,0x7ffc03ff,0x01ffec00,0xf907ffa8,0xf50dffff,0x1002a0df,
    0xff00bffb,0xfff8001f,0x3ffe0001,0x017fee01,0x0017ffc4,0x7fc7ffd4,
    0x3200002f,0xfff803ff,0x013ff201,0xff903fff,0x23fec0df,0xfd84fffa,
    0x83ffe22f,0xffa85ffa,0x3ffe03ff,0x201ffec0,0x7fd86ffa,0x6427ffd4,
    0xff02ffff,0x25ffb81f,0x3f25fffc,0x07ffc44f,0x003ffe00,0xfd06ffd8,
    0xfd37e43f,0x3f6e6005,0x7ffb0fff,0x7ff40000,0x2fe9bf21,0xf95ffd80,
    0x5ffb80df,0x3ff66660,0x00fff804,0xf0007ffc,0xbff901ff,0xffa89fff,
    0x8806fd86,0x7fc00fff,0x7ffc000f,0x3ffe0001,0x013ff201,0x80037fe4,
    0xdff95ffd,0x7fe40000,0x01fff803,0xf805fff9,0xfff701ff,0xf98b6607,
    0x1ff506ff,0xf107ffc4,0xbfffd07f,0x207ffc01,0x7d403ffd,0x262d986f,
    0xfb106fff,0x3ffe0dff,0xff37fd40,0x3ff61fff,0x007ffc43,0x8003ffe0,
    0xffd05ffe,0x2007ff43,0x7ffcc018,0x0003fff1,0xfd0fff40,0xff88001f,
    0x03fff31f,0x4017ffcc,0xff804ffc,0x1ffe200f,0x903ffd00,0x3fff99ff,
    0x7fc37fd4,0x3ffd402f,0x0007ffc0,0x80007ffe,0xff901fff,0xfff1005f,
    0xfff10005,0x007ffe63,0x01ffe400,0x5d55fffc,0x406ffffc,0xb00afff8,
    0xd1005fff,0x0d401fff,0x5303ffe2,0x2007ffe0,0x7fec0fff,0x037fd403,
    0x007fff44,0x7fc1ffe6,0x9bffcc0f,0xfd2fffff,0x0fff885f,0x007ffc00,
    0x3a07fff0,0xffffffff,0x00ffe201,0x3ffe5ffd,0x3fa00000,0x1fffffff,
    0x237fe400,0x7ec04ffd,0xea880cff,0xfff804ff,0x01bfe600,0xf905ffb0,
    0x4dffd19f,0xfff86ffa,0x7fdcc0cf,0x0fff806f,0x00fffc00,0x557fff00,
    0x0dffff97,0x001ffee0,0x3f637fe4,0xf900004f,0xffff007f,0xdfffffff,
    0x3fffa201,0x7c40efff,0x3601ffff,0x88002fff,0xf1000fff,0x3ffe00ff,
    0x201ffec0,0xfd806ffa,0xfff002ff,0x881fff01,0xfffc8fff,0x83fff5ff,
    0x4000fff8,0xf1000fff,0x3ffa05ff,0x01ffffff,0xf881ffea,0x01fff1ff,
    0xffffffd5,0xffffd05d,0x8003ffff,0x7fd43fff,0x7fffc407,0xffffeeff,
    0xfff804ff,0x01ffe600,0xf903ffd0,0x4fffea9f,0xfff86ffa,0xfffeffff,
    0xff802fff,0x7ffc000f,0x3ffe0001,0xffffffff,0x7fff000e,0x0fffe000,
    0xec80fff5,0x01ffe401,0x7ffffffc,0x7dc05fff,0x2fffffff,0x04ffff98,
    0x0009fff7,0x4003ffe2,0xff007ff8,0x03ffd81f,0x2e037fd4,0x3e004fff,
    0x0fff80ff,0xfff9fff8,0xfff8fffc,0x007ffc40,0x4003ffe0,0xfd01fffa,
    0x3fffffff,0x577ffd40,0x1fffd730,0x3fa07ffa,0x5fffffff,0xffffffe8,
    0x3ea001ff,0xfbaaabff,0x7f4c02ff,0xffffffff,0xff801eff,0x07ffc00f,
    0x901fff00,0x7ffec9ff,0xfe86ffa8,0xffffffff,0xff003fff,0xfff8001f,
    0xfff00401,0xbfffffff,0x07ffdc00,0x5fffd400,0x2fffbaaa,0xc80bff10,
    0xfff803ff,0xefffeeee,0x3fff6200,0xf900dfff,0xfff303bf,0x8801750b,
    0xf1000fff,0x3ffe00ff,0x201ffe40,0x3e605ffa,0x80ba85ff,0xfff80fff,
    0xffcffe80,0xffcfff8f,0x00fff887,0x8007ffc0,0x3fa07ffc,0x1ffe99af,
    0x3ffffea0,0x3fffffff,0x3ee0bff6,0x3fffffff,0xe99affe8,0x3f6001ff,
    0xffffffff,0xfd5006ff,0x5bffffff,0x007ffc00,0x5400bffa,0x9ff907ff,
    0x7d6fffc4,0xebbea86f,0x0dffffff,0x003ffe00,0x5c03fff0,0xddfff06f,
    0x01dfffdd,0x0013ffa0,0x7fffffec,0x306fffff,0xffc80dff,0x41fff803,
    0x000efffd,0xff880000,0x1ffc40ef,0x003ffe20,0xf803ffc4,0x37fdc0ff,
    0x4413ff20,0x7c40efff,0x80fff83f,0xffd80fff,0xfff95fff,0xfff10dff,
    0x0fff8001,0x04fff880,0x7fd87ffa,0x7fcc3ba2,0xffffffff,0x02ffdc3f,
    0x09ffb333,0x7fd87ffa,0x3e203ba2,0xffffffff,0x4001ffff,0x0009aa98,
    0x6400fff8,0xfe800fff,0x89ff905f,0x6ffdfffb,0x13df7100,0x01fff000,
    0x201fff80,0xfff80ffe,0x077ffec1,0x003ffea0,0x3ffffe20,0xffffffff,
    0x406ff981,0xff802ffd,0x6fffc81f,0x00351000,0x503fffb0,0xff880bff,
    0xfff1000f,0x303ffe00,0x3e205fff,0xfffb02ff,0xf0bff503,0x1fff01ff,
    0x5fffffb0,0x17ffffe6,0x0003ffe2,0xf7001fff,0x7ff403ff,0x5ff70541,
    0x7ffed6e4,0xff981dff,0x4ffc802f,0x0a83ffd0,0x3f20bfee,0xeeeeeeff,
    0x4004fffe,0x7c0001a8,0x7fc400ff,0x7ffe405f,0xb09ff900,0x00dfffff,
    0x800077d4,0x7c000fff,0x3ffe01ff,0xc81fff81,0x7f406fff,0xff90004f,
    0xdddddddf,0xff309fff,0x0fffc40d,0xb80fffc0,0xd8003fff,0x3f2006ff,
    0xdff503ff,0x00fff880,0x200fff10,0xffe80fff,0x3ffa60be,0x3fffc80f,
    0xff0dff50,0x01fff01f,0x41fffff9,0x885ffffe,0x7c000fff,0xfff800ff,
    0x00fff405,0xf8813ff2,0x7fec00ff,0xfea880cf,0x03ffd04f,0xff84ffc8,
    0x3ffd403f,0x01bff600,0x800fff80,0x441efffa,0x3203fffe,0xfff884ff,
    0x3ea006ff,0xff8000ff,0x7ffc000f,0x207ffe01,0xff701fff,0x3ffe607f,
    0x7fff0000,0x987ffa80,0x74c1cfff,0xff8807ff,0xfffb00af,0x7dd4c005,
    0xfffa801f,0xb999999e,0xf33106ff,0x440133ff,0x26205ffc,0xf980fff9,
    0xfffeffff,0xfffa81ff,0xb999999e,0xcffe86ff,0x5c07ffc0,0x7e45ffff,
    0xff884fff,0x3310099f,0x1333fff3,0x405fff70,0x999afff8,0x4ffd9999,
    0x2007ffc0,0xeffffff8,0x4ffffffe,0x99afff88,0xffd99999,0x00fffd44,
    0x400fffe6,0x001ffba9,0x3fff3331,0x7fe40133,0xffffefff,0x67fe406f,
    0x6ffffb81,0xfebcd980,0xf9999802,0x201999ff,0x99afff99,0x1fff9999,
    0x8057ffc4,0xfd82fffd,0xff50005f,0xfff9803f,0x7ffffcc3,0x1ffffeef,
    0x3ffffa20,0x7fc40eff,0x7cc01fff,0xc800ffff,0xffffffff,0xe86fffff,
    0xffffffff,0xffffa86f,0xfffff901,0x3ffea01f,0x03ffffff,0xfffffff9,
    0x0dffffff,0x7c5ffff9,0xfffa80ff,0x7fffcc3f,0xfffff883,0x7ffff45f,
    0xefffffff,0x441bffa0,0xfffffffe,0xffffffff,0x007ffc04,0x7fffff4c,
    0x1effffff,0x3fffffa2,0xffffffff,0xffff34ff,0xff985fff,0x202fffff,
    0x00fffff9,0xffffffe8,0x00efffff,0xfffffff9,0x7f4c09ff,0x742fffff,
    0xfb806fff,0x2e00ffff,0xffffffff,0x2e4fffff,0xffffffff,0xffffffff,
    0xfffffd11,0xfff881df,0x3fff11ff,0xffff9800,0x7fcc2fff,0xb12fffff,
    0xffffffff,0xffb803ff,0x82ffffff,0x804ffff9,0x9003fffc,0xffffffff,
    0x98dfffff,0xffffffff,0x7fe41fff,0x3fffe06f,0x36200fff,0x01efffff,
    0x3ffffff2,0x6fffffff,0x7c9fffb0,0xffff307f,0x05fffd01,0xfffffff1,
    0x7fffffcc,0x2fffffff,0x2a03fff1,0xffffffff,0xffffffff,0x003ff404,
    0x3fffffaa,0xffa82dff,0xffffffff,0x94ffffff,0xbfffffff,0xffffffc8,
    0x7ffe405f,0xffff9803,0xffffffff,0x3ffa602f,0x5c02efff,0x5fffffff,
    0x8037ffcc,0x7402dfca,0xffffffff,0x3a7fffff,0xffffffff,0xffffffff,
    0xffffff71,0xfff305ff,0x017fe69f,0x3fffff20,0x7ffe45ff,0x5c45ffff,
    0x1dfffffe,0xffffd880,0xff900dff,0x000c003b,0x3ffffff2,0x6fffffff,
    0xffffffc8,0xde984fff,0x7fff5401,0xa98800ff,0xfffc8009,0xffffffff,
    0x3bae06ff,0x7c40fae1,0xfff905ff,0xfffff103,0xffffc87d,0x5fffffff,
    0xfb101764,0xffffffff,0x09ffffff,0x20003ea8,0x2009aa98,0xffffffd8,
    0xffffffff,0xffffb34f,0xffd983bf,0x3001dfff,0xffffc800,0x5fffffff,
    0x00353100,0x7ffffec4,0x06ffc81d,0xffd50000,0xffffffff,0x7ff545df,
    0xffffffff,0xb11fffff,0x1bffffff,0xa877ff20,0xfd98000b,0x4c1dffff,
    0x1dfffffd,0x0006a620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00200000,0x15407500,0xd883b900,0x7776d404,0xeeedb884,0x077200ce,
    0x440009b1,0x5440000c,0x1d400001,0x20371000,0x198000b8,0x5c077000,
    0x776dc403,0x3b263dee,0x764c3dee,0x2deeeeee,0x00322000,0x01540750,
    0x19300c98,0x00191000,0x00032200,0x4cc00010,0x1b880009,0x26001710,
    0x0007300b,0x10000c88,0x99999999,0x13620019,0x64000b6a,0x0026c41d,
    0x4000dfb0,0x3fa21efe,0x8bff5007,0xff102ffd,0xfb85ffff,0x05ffffff,
    0xffd8bff5,0xfffb8002,0xfff90003,0x000f621b,0x003dffb1,0xfb87ff50,
    0xfdb8803f,0x4d8befff,0x7c40ff40,0x7fffdc07,0xffd2ffff,0x7f45ffff,
    0xffffffff,0xffb8000f,0x3bfa003f,0x401bfa20,0x05fd04fc,0x03fffb80,
    0x1fffdc00,0x006fd800,0x004fff88,0x7dc3ffa8,0x5ff9003f,0x0001ffc8,
    0x0007fff7,0xfffffff5,0x3f6007ff,0x03ffe22f,0xd8bff500,0xfa8002ff,
    0xf30002ff,0x5fff77ff,0x713fe200,0x7ffc03ff,0x3e60ffff,0x03ffffff,
    0xffb89ff1,0x3ff62001,0x2000dffe,0xdfffdffc,0x3ea004ff,0x004fffff,
    0xfeaeffd8,0xfff9805f,0xffffffff,0x2bbf201f,0x405fea88,0xfffffff9,
    0xfffffb0f,0x7fffe41f,0x006fffff,0x7ff7fec4,0xfff9800d,0x001fffbb,
    0x32637ff3,0xfb1000ff,0x001bffdf,0xffeffd88,0x3fea000d,0x7fc4002f,
    0xffb0004f,0x00bffd5d,0x756ffec4,0xd88004ff,0x00dffeff,0x555554c0,
    0x3ee001aa,0x0037f41f,0x3ee27fc4,0xff88001f,0x3620001f,0x000dffff,
    0x801a8144,0x44ffffd9,0x00fffca8,0x001a8144,0x7d4bffe2,0x3b7000ff,
    0x017fff62,0xf91effb8,0xff5000bf,0xf3005fff,0xffffffff,0x4407ffff,
    0xeffffffe,0xfffa8800,0x3ffee0ab,0xfaa980bf,0x4001abff,0xff52fff8,
    0xffb1001f,0xc8001bff,0x2fffffff,0x25fff100,0x1000fffa,0x3fea5fff,
    0xfff1000f,0xfff88003,0x3fea0004,0x70002fff,0x003dffff,0x2a5fff10,
    0x00000fff,0x2206a000,0x0510000a,0xda80006a,0xff500002,0x00000005,
    0x1fffffc8,0x0006ffa8,0x06fd4000,0x0000ff62,0xfd800153,0x000fea83,
    0x800dfd88,0x21bffff9,0x03ffffc9,0x04effeb8,0x641fff80,0xf001ffff,
    0x2a0003ff,0x17ec40df,0x005ff500,0x6fffed40,0x037ea000,0x2a007fb1,
    0x1fec40df,0x0005b500,0x00002666,0x0001bfb1,0x0004fe88,0xfb1037ea,
    0x02620007,0x00000000,0x00000000,0x00022000,0x3f200000,0xfa86ffff,
    0x04c4006f,0x00801000,0x00026200,0x00004008,0xfffe8006,0x0fffe601,
    0xff800000,0x3bfff61f,0x07ffe000,0x00400800,0x00000440,0x05331000,
    0x20040008,0x00000000,0x00180000,0x40000c00,0x22000400,0x0cefffec,
    0x00000000,0x00000000,0xb8800000,0x10ceeeed,0x19ddddd7,0xfffbff90,
    0x806ffa89,0xcefffec8,0x00000000,0x77fff644,0x0000000c,0xff100000,
    0x5ff9003f,0x7c000000,0xfffe89ff,0x7ffc000e,0x00000001,0x00000000,
    0x3ffffd10,0x00000000,0x00000000,0x00000000,0x00000000,0xffffffa8,
    0xc8802fff,0x2eeeeeee,0x3bbb6e00,0xeeeeeeee,0xeedb85ee,0xeeeeeeee,
    0x76d45eee,0xedb884ee,0xff70ceee,0x2e9fffff,0x4fffffff,0xffccffc8,
    0x01bfea1f,0xfffffff5,0x76dc05ff,0x76440cee,0x3ea03dee,0xffffffff,
    0xeeec8802,0x2002eeee,0xeeeeeedb,0x7d43deee,0x1df3006f,0xddddd910,
    0xff0005dd,0x0bfffd5f,0x007ffe00,0x3bbbb6e0,0x43deeeee,0xeeeeeedb,
    0x6dc00acd,0xeeeeeeee,0x2e5eeeee,0x001fffff,0x3bbbb6e0,0xeeeeeeee,
    0x7776dc5e,0x3deeeeee,0xfffffe98,0xeedb800f,0xeeeeeeee,0xd9105eee,
    0x05dddddd,0x77775c40,0xdddb710c,0x3ffee039,0xffffffff,0x7fffe404,
    0x5006ffff,0xffffffff,0xdfffffff,0xffffffa8,0xffffffff,0x3fffe26f,
    0x7ffdc2ff,0xff55ffff,0x2a7fffff,0x3fffffff,0xfe8cffc8,0x81bfea6f,
    0xfffffffb,0xf984ffff,0x644fffff,0x82ffffff,0xfffffffb,0x6404ffff,
    0xffffffff,0xffff3006,0xffffffff,0x01ffe45f,0xffffc800,0x8006ffff,
    0xffffffff,0x3fff0000,0xffff9800,0xffffffff,0xfffff52f,0x7fffffff,
    0x3ffffea0,0xffffffff,0x3ff626ff,0xf50001ff,0xffffffff,0x4dffffff,
    0xfffffff9,0x42ffffff,0xfffffffc,0x7fffd400,0xffffffff,0xff906fff,
    0x0dffffff,0x7ffffdc0,0xfffff75f,0xffff30bf,0x3ffaa215,0x3ffea02f,
    0x01ffffff,0xffffff98,0xffffffff,0x7fffcc6f,0xffffffff,0x7ffc6fff,
    0x3e60ffff,0x23ffffff,0x40adffe8,0x00effca8,0x3fea9ff9,0x20dff53f,
    0x10affff9,0x885fffd5,0x41ffffff,0x0ffffffb,0x857fffcc,0x02fffea8,
    0x3fffffea,0xf8801fff,0xffffffff,0x3fa0ffff,0xf500001f,0xffffffff,
    0xffff8003,0x000effff,0x4001fff8,0xfffffff8,0x30ffffff,0xffffffff,
    0x30dfffff,0xffffffff,0xdfffffff,0x0007ffe0,0x7fffffcc,0xffffffff,
    0x3fffe26f,0xffffffff,0x7fff4c0f,0x7cc00fff,0xffffffff,0x06ffffff,
    0xfffffff5,0x3ea003ff,0xf33fffff,0xd09fffff,0x36201dff,0x2a200fff,
    0x4fffffda,0x9fff5100,0xf9555555,0xfff510df,0x95555559,0xffb30dff,
    0xfca889ff,0x3ffd80ff,0x9037fd40,0x7ffec9ff,0xfd06ffa8,0x3f6201df,
    0xfffa80ff,0x15fffb05,0x201dffd0,0x200fffd8,0xffffdaa8,0x2aaa004f,
    0xaaabfffa,0x0007ffc0,0xffb55100,0xf8009fff,0xfffeffff,0x7ffc000e,
    0xaaa80401,0xaaabfffa,0x56ffec40,0xffffdbaa,0xcfffa884,0xfcaaaaaa,
    0x03fff06f,0x7ffd4400,0xcaaaaaac,0xaaaa86ff,0x0aaabfff,0x001fff00,
    0x559fff51,0xdff95555,0x7fed5440,0x22004fff,0x5440bfff,0xffb82fff,
    0x7ffc400f,0xfdfff004,0xffe800ff,0x81bfea01,0x3ea01ffe,0xffff906f,
    0x0dff503f,0xf500fff6,0x27fe40df,0xff5bfff1,0x01fff70d,0x704fff88,
    0xff983fff,0x1fff704f,0x04fff880,0xfffdfff0,0x07ffc000,0x0003ffe0,
    0x7f7ffc00,0x7ffc007f,0x0dfff71f,0x201fff80,0xfff806fb,0x04ffc800,
    0x7407fffa,0x3fea01ff,0x263fff06,0x3a0009aa,0x3fea01ff,0x00fff806,
    0x001fff00,0xf500fff4,0x3ffe00df,0x7c007ffe,0x3ffe01ff,0x003ffd81,
    0xf500fff5,0x05fff1ff,0x260fff40,0x740bff30,0xf984c1ff,0xffff905f,
    0x0dff50df,0xf500fff6,0x27fe40df,0x3ff7ffee,0x003ffd86,0x7f40fff5,
    0x1bffa0ef,0x5003ffd8,0xff500fff,0x005fff1f,0xd003ffe0,0x000003ff,
    0xfff1fff5,0x0fffc005,0x800fffea,0x3fa01fff,0x07ffc00f,0x1027fe40,
    0x3fa0bffd,0xff984c1f,0xfd9fff05,0x200bffff,0x984c1ffe,0xfff805ff,
    0x1fff0000,0x20fff400,0x00bff309,0xfff1fff5,0x0fffc005,0xff03fff0,
    0x7ffc001f,0xcaffec00,0x3fa006ff,0xfe9bf21f,0xc87ffa02,0x640bfa6f,
    0x44fffdff,0xffb06ffa,0x06ffa807,0x3f613ff2,0xff86ffff,0x3ffe000f,
    0x29fff300,0x3e01fffc,0x3fe000ff,0xaffec00f,0xf0006ffc,0xffc801ff,
    0xfd800003,0x00dff95f,0x7e40fffc,0xfff000ff,0x00fffc03,0x32003ffe,
    0x7fcc04ff,0x21ffe80f,0x40bfa6fc,0xffffffff,0x7400efff,0xe9bf21ff,
    0x0fff802f,0x01fff000,0xf90fff40,0x6c017f4d,0x0dff95ff,0xf00fffc0,
    0x7ff883ff,0x00fff400,0x3e63fff1,0xffd001ff,0x0007ff43,0x7ff43ffd,
    0x99ff9000,0x7fd43fff,0x807ffb06,0x3f206ffa,0xffff884f,0x03ffc46f,
    0xb807ffa0,0x4fffbfff,0x001ffe20,0x7c403ffd,0x3fff31ff,0x01fff000,
    0x0006ff98,0x98fffc40,0xff001fff,0x0fffa03f,0xf00fffc0,0xfff803ff,
    0x04ffc800,0xfe82fff8,0x003ffa1f,0x77fffffc,0x404ffffd,0x3ffa1ffe,
    0x0fff8000,0x01fff000,0xfd0fff40,0xff88001f,0x03fff31f,0xf807ffe0,
    0x37fcc1ff,0x80bff600,0x7fec6ffc,0xffffd004,0x4003ffff,0xfffffffe,
    0x9ff9001f,0x7d4dffd1,0x07ffb06f,0x3206ffa8,0xffb81cff,0x37fcc6ff,
    0x00bff600,0x0dfffffd,0x4006ff98,0x3f202ffd,0x027fec6f,0x4007ffc0,
    0xfb004fff,0x237fe407,0xf8804ffd,0xffb80aff,0xff33009f,0x3333335f,
    0xff803fff,0x4ffc800f,0xe83ffd80,0xffffffff,0xdffff001,0x406ffc81,
    0xfffffffe,0xfff8001f,0x1fff0000,0x7ffff400,0x4001ffff,0x7fec6ffc,
    0xfffff004,0xffffffff,0x007ff983,0xff00fff4,0x07ffa87f,0xffffffd0,
    0x7f4003ff,0x1fffffff,0x2a9ff900,0xdff53fff,0x500fff60,0xffd30dff,
    0xfe85ffff,0x3ffcc6ff,0x007ffa00,0x03fffff1,0x4007ff98,0x3fe01ffe,
    0x03ffd43f,0x4007ffc0,0x301efffb,0x7fc0dffd,0x03ffd43f,0xffffffd1,
    0xfffff81d,0x3ffffee5,0xffffffff,0x7fc01fff,0x4ffc800f,0xe83ffc80,
    0xffffffff,0x09fff001,0xe803ffe2,0xffffffff,0x0fff8001,0x01fff000,
    0x7fffff40,0x7c001fff,0x3ffd43ff,0xffffff80,0x1fffffff,0x2000fff8,
    0xff500fff,0xff75557f,0xfffd005f,0x003fffff,0x7ffffff4,0xff9001ff,
    0x547ffec9,0x7ffb06ff,0xb86ffa80,0x5fffffff,0x7c37ffcc,0x3fe000ff,
    0xfffb800f,0x01fff003,0xa807ffc0,0xbaaabfff,0x7c002fff,0xff7000ff,
    0xffdddfff,0x3ea07fff,0xfbaaabff,0xfff702ff,0xb85fffff,0xfd0fffff,
    0xffffffff,0x3fffffff,0x800fff80,0xfc804ffc,0xffffe83f,0xf001ffff,
    0x7ffc03ff,0x3ffffa01,0x8001ffff,0x33000fff,0x333fff33,0xffffe803,
    0x2001ffff,0xaaabfffa,0xf802fffb,0xffffffff,0xfe81ffff,0xfff5002f,
    0x7ffffec0,0x06ffffff,0xe99affe8,0x3fa001ff,0x1ffe99af,0x449ff900,
    0x6ffadfff,0xa807ff90,0xffd885ff,0xfc81dfff,0x02ffe86f,0x400fff50,
    0xfd000fff,0x3fea005f,0x3ffff607,0x6fffffff,0x007ffc00,0xffffff70,
    0x407fffff,0xfffffffd,0xb106ffff,0x1bffffff,0x549dfff0,0xfffffffe,
    0xffffffff,0x007ffc01,0x74027fe4,0xaffe82ff,0x001ffe99,0x7fc03fff,
    0x2bffa01f,0x001ffe99,0x5c00fff8,0xffffffff,0xd04fffff,0xffd335ff,
    0x7ffec003,0xffffffff,0x9afff806,0xfff99999,0x00fffc81,0xf105ffe8,
    0xffffffff,0xe803ffff,0x89ff61ff,0x3ffd00ee,0x1dd13fec,0xfb89ff90,
    0x706ffdff,0xffc80dff,0x90000004,0xfd001fff,0x7ffc00bf,0x1fff9000,
    0x20bffd00,0xfffffff8,0x01ffffff,0x0003ffe0,0xfffffb73,0x7fc403bd,
    0xffffffff,0x00001fff,0x00000000,0x32003ffe,0xfff804ff,0x361ffe81,
    0x203ba27f,0x3fe01fff,0x87ffa01f,0x03ba27fd,0xe801fff0,0xffffffff,
    0xd07fffff,0x13fec3ff,0xfff101dd,0xffffffff,0xfff803ff,0x207ffe01,
    0x6405fff8,0xff900fff,0xdddddddf,0xfe809fff,0xff70541f,0x507ffa05,
    0x6417fdc1,0xfffd84ff,0xfff306ff,0x0bffe205,0x8006a200,0x6405fff8,
    0x3e000fff,0xff1000ff,0xfffc80bf,0xddfff900,0xfffddddd,0x07ffc009,
    0x13df3000,0x3bfff200,0xffeeeeee,0x0a98004f,0x03510000,0x00fff800,
    0x5404ffc8,0x3ffd07ff,0x0bfee0a8,0xff807ffe,0x07ffa01f,0x017fdc15,
    0xd5003ffe,0xffffffff,0x3a05dfff,0xf70541ff,0xdfff905f,0xffdddddd,
    0x1fff809f,0x5407ffe0,0x7441efff,0x3fe03fff,0x3ffd403f,0x9007ffa0,
    0x3ffa09ff,0x427fe401,0xff884ffc,0x3fa06fff,0x3fa60bef,0xfd8000ff,
    0x3fea006f,0x7ff441ef,0x7ffc003f,0x3ffea000,0x7fff441e,0x00fffe03,
    0x7c00fff5,0x2a0000ff,0x3fe000ef,0x3ffd403f,0x027ff400,0x037fec00,
    0x001fff00,0x7d409ff9,0x3ffd05ff,0xf84ffc80,0x3ffe01ff,0x007ffa01,
    0xff809ff9,0xdfc8000f,0x0fff4000,0x3e13ff20,0x7fd403ff,0x00fffc07,
    0x7e403fff,0xfffeffff,0x3fea06ff,0x7ffcc01f,0x35fff103,0xfb333333,
    0x5fff109f,0xb3333333,0x9ff909ff,0xdffff703,0x7ffffcc0,0x01fffffe,
    0x1ffba980,0x3ffff200,0x6fffffef,0xfff33100,0x3f200135,0xfffeffff,
    0x3fea06ff,0x7ffcc01f,0xff333103,0x8001333f,0xa800fffa,0x7cc01fff,
    0x2a6003ff,0x20000ffc,0x001ffba9,0x3fff3331,0x3ff20133,0xfcb9999d,
    0xff880fff,0x999999af,0x7c44ffd9,0xfff102ff,0x2bffe205,0xd9999999,
    0x4ccc44ff,0x00999fff,0x400c5f90,0x999afff8,0x4ffd9999,0x200fffd4,
    0xf103fff9,0x3fe205ff,0x7ffe402f,0x04ffffff,0xfffffff3,0xfffff985,
    0xfffd12ff,0xffffffff,0x7449ffff,0xffffffff,0x4fffffff,0x3fffffa6,
    0x37fff42f,0x3ffffea0,0x8003ffff,0x00fffff9,0x7ffffe40,0xb004ffff,
    0xffffffff,0x3ff200df,0x4fffffff,0xffffff30,0xffff985f,0x3ffa2fff,
    0xffffffff,0x5ecc00ef,0x3e603feb,0x42ffffff,0xfffffff9,0x7fffdc02,
    0x3fe60006,0xfe800fff,0xffffffff,0xffd10eff,0xffffffff,0xfe883fff,
    0xffffffff,0x24ffffff,0x0ffffffd,0x3ffffff6,0xfffffd10,0xffffffff,
    0x7fff49ff,0xffffffff,0x6ffcc00e,0xffd101ff,0xffffffff,0x269fffff,
    0x2fffffff,0x7fffffcc,0x3ffff62f,0xfffd32ff,0x74c01fff,0x02efffff,
    0x3ffffff2,0x7fffe45f,0xfff55fff,0xffffffff,0x549fffff,0xffffffff,
    0xffffffff,0x3ffffee4,0x7ffcc5ff,0xfffd8806,0x20001eff,0x0003fffc,
    0xdfffffd3,0x3ffe2005,0xffffffff,0xfffd3001,0x7e405dff,0x45ffffff,
    0xfffffffc,0xffffff35,0x5fffffff,0xfffffa80,0x3ffff200,0x7fe45fff,
    0x805fffff,0x0002effe,0x401fffe4,0xfffffff9,0x72ffffff,0xffffffff,
    0x503dffff,0xffffffff,0xffffffff,0x3ffffe29,0xffff13ff,0x3fea7fff,
    0xffffffff,0x34ffffff,0xffffffff,0x005fffff,0x540dfffb,0xffffffff,
    0xffffffff,0xffffff94,0xffffc8bf,0xfff15fff,0x3eebffff,0x02ffffff,
    0x3001a988,0x3bfffffb,0xfffffd98,0xffffb11d,0xffffffff,0x7ec49fff,
    0xffffffff,0x24ffffff,0xdfffffd8,0x006ffc81,0x00026a62,0x10000180,
    0x32000353,0xfffffffe,0xa988004f,0xfffb3001,0xfd983bff,0x321dffff,
    0xffffffff,0x93005fff,0xfd9805bd,0x4c1dffff,0x1dfffffd,0x00000200,
    0xfffc8003,0xffffffff,0x3ffff625,0x02bdefff,0x3fffff62,0xffffffff,
    0x3ffb24ff,0x3fb20dff,0xfb10dfff,0xffffffff,0x49ffffff,0xfffffffc,
    0x2005ffff,0x7ec401a8,0xffffffff,0x34ffffff,0x3bfffffb,0xfffffd98,
    0x3fffb21d,0xfffb11df,0x00001bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0a980000,0x54400000,0x4c4001ac,0x07720000,
    0x400009b3,0x00d44000,0xcc83b500,0x00d44000,0x33332200,0x800ccccc,
    0x026c41dc,0x777776d4,0x76dc02de,0xeeeeeeee,0x3bbb223d,0xdb910cee,
    0x44019ddd,0x00000aca,0x99910310,0x01999999,0x99999980,0x26000001,
    0x66664403,0x000ccccc,0x33333322,0x00000ccc,0xdddd9100,0xb8005ddd,
    0xeeeeeeed,0x05eeeeee,0x020000c0,0x80000000,0x6cc001c9,0x07aa3fff,
    0x3ffee000,0x764405ff,0x000defff,0xffb17fea,0x7f700005,0x37fff200,
    0xff007b10,0x001ffd4d,0x221bfff9,0xfff5003d,0x07ffffff,0x7ec5ffa8,
    0x7fffc02f,0x206fffff,0xfffffff9,0x72ffffff,0x9fffffff,0x3fffffee,
    0xffff904f,0x131000bf,0xfa87ff30,0xffffffff,0xfffe9803,0x001fffff,
    0x403fb000,0xfffffffa,0x3ea003ff,0xffffffff,0xfeca8803,0x06ffffff,
    0xfffffff9,0x7fd400df,0xffffffff,0x006fffff,0x54001bf6,0x9800005f,
    0x1bfa007e,0xffbffd00,0x0003ffbf,0xffffffc8,0xffff502f,0x007fffff,
    0xff913fe2,0xffd80003,0xfdffc801,0x404ffdff,0x3ff27ff8,0xfbff9004,
    0x009ffbff,0x5555554c,0x4ff8801a,0x2200ffdc,0xaaaaaaaa,0x3fffe200,
    0xffffffff,0xfffff50f,0x3ffea7ff,0xfd83ffff,0x05fffeff,0xffffec88,
    0x84fff88c,0xaaaaaaa9,0xffffa801,0x01ffffff,0x05ff0000,0xaaaaaa98,
    0xaa98001a,0x801aaaaa,0xfffffffc,0xa80fffff,0xffffffff,0xfff3001f,
    0xffffffff,0x400dffff,0x88000fff,0x00000eff,0x7c00bff5,0x936000ff,
    0x003fffe9,0x67fffcc0,0xfff706fd,0xffffffff,0x540a2009,0x3fa20001,
    0x23b7001f,0x805fffd8,0x3ff27ff9,0x223b7003,0x0005fffd,0x20510000,
    0x0000001a,0xfff55551,0xe8815557,0x5440adff,0xfc80effc,0x5ff710cf,
    0x7ffffd40,0xfffeffff,0xff000000,0xf333337d,0x5000003f,0x000001ff,
    0xd8800000,0x9ffdffff,0x54401dfd,0x4fffffda,0x3ffea200,0xcaaaaaac,
    0x3fe006ff,0xfd10000f,0xfc80003f,0x7ffc004f,0x02a80000,0x1dffb000,
    0x5ffff300,0x3fffea21,0x00000001,0x0003bfe2,0x4c002a60,0x0fff66ff,
    0x00153000,0x00000000,0xec84ea80,0x0fff8001,0x403ffd80,0xff886ffa,
    0x2e09fd05,0xffffffff,0x002fffff,0x01ff3000,0xec887fe2,0x910ceeee,
    0xffdddddd,0x0000000d,0xfff70000,0x27edfea7,0x3fbffe00,0xffe8007f,
    0x01bfea01,0x0000fff8,0x8000ffec,0xf8003ffc,0x000000ff,0x1fff4000,
    0x00effe80,0x001fffb1,0x3e200000,0x00000004,0xffd9bfea,0x10000002,
    0x19ddddb7,0x3bbbbae2,0xd000000c,0x37fcc3ff,0x007ffc00,0x2a01ffec,
    0x0ffb86ff,0xff30ff70,0x3ee615ff,0xedb85fff,0xeeeeeeee,0x80ff703d,
    0x7fffdc7e,0xfff74fff,0x07ffffff,0x3bbbbb22,0x36e002ee,0xeeeeeeee,
    0x745eeeee,0x6dfea5ff,0x3fea004f,0x002fff8f,0x4260fff4,0x3e005ff9,
    0xb80000ff,0x3db0002f,0xfffb8800,0x322019be,0x2eeeeeee,0x0fff8000,
    0x00fffc80,0x2e27ffc4,0x440ceeed,0x003deeec,0xdb859300,0xeeeeeeee,
    0x3fea03de,0x540bffa5,0xb884eeed,0x70ceeeed,0x9fffffff,0x3fffffee,
    0x3bbb6e4f,0x3deeeeee,0xff11ff60,0x1fff0009,0x807ffb00,0x5fe86ffa,
    0xfd03fe60,0xfff301df,0x7ffcc1ff,0xffffffff,0x7fec42ff,0x3fea0404,
    0xf53fffff,0x7fffffff,0x7ffffe40,0xf5006fff,0xffffffff,0x8dffffff,
    0x5fea2fff,0x3f6004fd,0x00dff95f,0x3f21ffe8,0xf800bfa6,0x000000ff,
    0xf7000000,0xffffffff,0x3ffff205,0x0006ffff,0xd800fff8,0xff7003ff,
    0x7ffffccd,0x7fffe44f,0x373002ff,0xf30fff98,0xffffffff,0xb305ffff,
    0xfff55dff,0xffff8819,0x7ffdc2ff,0xff55ffff,0x2a7fffff,0x3fffffff,
    0xfffffff3,0x05ffffff,0x00144054,0xd800fff8,0x7fd403ff,0xca84ff86,
    0x3fee0ffe,0xfffe880f,0x3ffe24ff,0xffffffff,0x3ffee0ff,0x22000dff,
    0x440adffe,0x801effca,0xfffffffa,0xff9801ff,0xffffffff,0x7c6fffff,
    0x6dfea2ff,0xfff1004f,0x007ffe63,0x3fa1ffe8,0x3fe0000f,0xaa88000f,
    0x988001ab,0xfc802aba,0xffffffff,0xffff505f,0x003fffff,0xfffffea8,
    0xfff03eff,0x9ffe2001,0x1ffffff8,0x7fffffdc,0x3fff6e00,0xffffcdff,
    0xffffff10,0x1fffffff,0x7fffffc4,0x5fffffff,0x7ffffffc,0x3ffffe60,
    0x3ffa23ff,0x7e5440ad,0x3ffe20ef,0xffffffff,0x000000ff,0x4007ffc0,
    0x7d403ffd,0x117fc46f,0x41fffffb,0xffb03ffd,0x550fffbf,0x557fff55,
    0x6fffc415,0x2003fffd,0x7d403ffd,0x2aa2006f,0x04fffffd,0x59fff510,
    0xff955555,0x2a5ffe8d,0x2009fb7f,0x7fec6ffc,0x3fffa004,0x401fffff,
    0xffffffd9,0xdfffffff,0x7fffecc1,0x8802efff,0xfffffffb,0x7ffcc4fd,
    0xfffb9adf,0x3f6aa205,0x4004ffff,0xfffffffe,0x7fc40fff,0x0fff4007,
    0x6c17ffea,0x3600afff,0xffffffff,0xaa81ffff,0xaabfffaa,0x7fffd40a,
    0xffffffff,0xfffd987f,0x7fe5444f,0x03ffd80f,0xaa837fd4,0xaabfffaa,
    0x0000000a,0xd800fff8,0x7fd403ff,0xfd07fcc6,0x7c1ffbff,0xfffc80ff,
    0x400fff9b,0x3ea00fff,0x177ffdc7,0x201ffec0,0xf0006ffa,0x00fffdff,
    0x2a01ffe8,0x7ffdc6ff,0x9fb7fa8b,0x50fffe00,0x7f400fff,0x1fffffff,
    0x7ffffe40,0xffffffff,0x7fffc5ff,0x3fffffff,0x3ffffa20,0x47ffffff,
    0xfb80effe,0xdfff005f,0xfb800fff,0xffffffff,0x006ffa84,0x7dc17fec,
    0x7ffcc1ff,0x3fffa204,0xffffecef,0x1fff003f,0xdfffb700,0x5bdfffdd,
    0x3fffff20,0xb06ffa81,0xffa807ff,0x01fff006,0x17fffec4,0x07fffff2,
    0x4007ffc0,0x7d403ffd,0xb87fcc6f,0x21ff33ff,0xffa87ff8,0x007ffe5f,
    0xff801fff,0x6fffec44,0x00fff600,0x5000dff5,0x5fff1fff,0x20fff400,
    0x70bff309,0x2ffdffff,0xffa804fd,0xffbaaabf,0xfffd002f,0x803fffff,
    0xfffffffa,0xffffffff,0x77fffec2,0x00ffffed,0xdbdffffb,0x221fffff,
    0x3fe03fff,0x8fffa802,0x98002fff,0x201afff9,0x74007ff9,0xdffd01ff,
    0x2037ff41,0x7c43fffe,0xf006ffff,0x7ec001ff,0x00fff32f,0x0dfffff9,
    0x3f60dff5,0x37fd403f,0x200fff80,0x42fffffa,0x01ffffff,0xb001fff0,
    0xffa807ff,0xfd87fcc6,0x7cc3fe65,0x77ffc46f,0xf00bff60,0xffc801ff,
    0x7fff4c0d,0x807ffb02,0xd8006ffa,0x0dff95ff,0xf90fff40,0xfb817f4d,
    0x9fb7ffff,0xfffffb00,0x0dffffff,0x266bffa0,0x33001ffe,0x33fff333,
    0x26a20333,0x02fff880,0xf5017fff,0x07ffccff,0x7fec0020,0x000dff95,
    0x22007ffc,0x3e000fff,0xfff300ff,0x807fff29,0x7442fff8,0x02ffffff,
    0x2000fff8,0xdff32ffe,0xffbff900,0x06ffa89f,0xfa807ffb,0x1fff006f,
    0x7ffff440,0x7ffffe42,0x01fff001,0xa807ff90,0x87fcc5ff,0x43fe63fe,
    0x3fa0fff9,0x0fff41ff,0x2003ffe0,0xfb83fffc,0x3ffd82ff,0x0037fd40,
    0x7cc7ffe2,0xffd001ff,0x0007ff43,0x7edffb2a,0x7fffc404,0xffffffff,
    0x1ffe801f,0x0ee89ff6,0x001fff00,0xffc84cc0,0x13bffb04,0x7fcc5d50,
    0xf880000f,0x3fff31ff,0x03ffe000,0x400bffe0,0x7dc07ffa,0x04fffbff,
    0x3a227fdc,0x4ffdafff,0x000fff80,0x7fd47ffa,0xccffc806,0x3fea1fff,
    0x807ffb06,0xff006ffa,0x3ffa001f,0x007ffa02,0x5c007ffc,0x7fec06ff,
    0xfd87fcc4,0x7c43fe66,0x5fff92ff,0xf801fff0,0xff5000ff,0x7fe983df,
    0x5403ffd8,0x7e4006ff,0x027fec6f,0xffffffe8,0xf50001ff,0xf9013f6f,
    0xddddddff,0xd009fffd,0x2e0a83ff,0xfff002ff,0x7fe44001,0x4fffffff,
    0xdfffff30,0xff10159b,0xf900007f,0x04ffd8df,0x001fff00,0xd001fff9,
    0xffd00bff,0xfb00dfff,0x7fff445f,0xf00dff73,0xcb9801ff,0xffdcdfff,
    0x3ff202ce,0x2a6ffe8c,0x7ffb06ff,0x006ffa80,0x3a001fff,0x3ffa02ff,
    0x01fff001,0x205fff50,0x7c42fff9,0xbbfff30f,0x67ffc1ff,0xfa84fffb,
    0x0fff807f,0x3fff6200,0xb0bfe20d,0xffa807ff,0x1fffc006,0x7401ffea,
    0xffffffff,0x2ff50001,0x7ffc04fd,0x03ffd403,0x3200fff4,0xfff004ff,
    0x3ffee001,0xffffffff,0x3ffff604,0xe82fffff,0xdc980eff,0x21fffc01,
    0xf0007ffa,0xff1001ff,0xfffc80bf,0xffff8800,0x2ffe801f,0x547fffd1,
    0xfff806ff,0x7ffff400,0xffffffff,0x29ff901f,0xff53fffa,0x00fff60d,
    0x3e00dff5,0xffd000ff,0x80fff405,0x9fff9998,0x3ffa0099,0xffd710be,
    0x5c3ff01f,0x24ffffff,0x6ffffffc,0xf00bffd0,0xd50001ff,0xff535fff,
    0x403ffd87,0x2a006ffa,0xbaaabfff,0xfe802fff,0x1fffffff,0x36ff5000,
    0x3ffea04f,0x1fffcc01,0x335fff10,0xffb33333,0x03ffe009,0x3ffffee0,
    0x4fffffff,0x7fff6cc0,0x7d45ffff,0xfebbefff,0x3fea05ff,0xffbaaabf,
    0xfff8002f,0xdfff9000,0x3fffe983,0x0fffee00,0x746ffec0,0x7fe43fff,
    0x00fff804,0x7ffffff4,0x1fffffff,0x7ec9ff90,0x06ffa8ff,0xfa807ffb,
    0x1fff006f,0x80bffa00,0xffe81ffe,0xffffffff,0xfff980ef,0xfffffeff,
    0xc985fd02,0x3e22deee,0xc80fffff,0xff800fff,0x3ee0000f,0x40ffffff,
    0x7d403ffc,0x3ff6005f,0xffffffff,0xaffe806f,0x001ffe99,0x13f6ff50,
    0x3fffffe6,0x7fffcc2f,0x3fa22fff,0xffffffff,0x04ffffff,0x8801fff0,
    0x222cefff,0x1104ffd9,0xffeca988,0x7fffe41f,0x03ffffff,0x3ffffff6,
    0x006fffff,0x2000fff8,0xfefffffd,0x8005ffff,0xf7000fff,0x89fffdff,
    0xf801fffa,0x6d4400ff,0xffeccfff,0x3ff201be,0x2b7ffe24,0x7ff906ff,
    0x005ffa80,0x3a001fff,0x3ffa02ff,0x7ffffcc1,0xffffffff,0xfffff502,
    0x6407ffff,0xff70004f,0xffe887ff,0x1fff003f,0xfff98000,0x6ffb81df,
    0x8027fe40,0xfffffff8,0x01ffffff,0xffb0fff4,0x54007744,0xf909fb7f,
    0x8bffffff,0xfffffffc,0x3ffffea5,0xffffffff,0xfd004fff,0x1fff700d,
    0x4c27fec0,0x7fec01ff,0xfffffb84,0x3e203eff,0xffffffff,0x4001ffff,
    0x64000fff,0xffffffff,0xfff0004f,0x7fff4001,0x7ffe44ff,0x01fff007,
    0xfd9ffe60,0x4ffc803f,0x7fefffdc,0x80dff706,0xff004ffc,0x3ffa001f,
    0x207ffa02,0xfffffffc,0x4c05ffff,0x1efffffd,0x0007fdc0,0x7fffffe4,
    0x05fffffe,0x2003ffe0,0x13fe203a,0x102fff98,0x32005fff,0xeeeeefff,
    0x404fffee,0x70541ffe,0xff5005ff,0x3f6613f6,0x4c1dffff,0x1efffffd,
    0x3fffff62,0xffffffff,0x393004ff,0x01dff700,0x819fffd5,0xd302effc,
    0x3ee20bff,0xfc801dff,0xeeeeeeff,0x2004fffe,0x8000fff9,0xdffffff9,
    0x3ffe0002,0x3ffea000,0xfffeeeff,0xfff000ef,0x9bfea001,0xfc802ffd,
    0xffffd84f,0x5fff306f,0x00bffe20,0xe8007ffc,0xfff102ff,0x009f9003,
    0x00aff980,0x8007ff10,0xfffffffa,0x004fffff,0x7c007ffc,0x013fa00f,
    0x4c17fffd,0xf000fffe,0xffa807ff,0x00fff407,0x2a013ff2,0x0009fb7f,
    0x0007f900,0x22033ee0,0x99999999,0x26099999,0xfedeffff,0x5fffffff,
    0x3bfffff2,0x2fffffed,0x8007ffc0,0x7d403fff,0x3ff2007f,0xfff50006,
    0x003503bf,0xb0007ffc,0xffffffff,0x4001dfff,0xf5000fff,0x017ff4bf,
    0x7c427fe4,0x3a06ffff,0x3a60beff,0xff000fff,0x3ff6001f,0x7fffe445,
    0x022fd802,0x089be600,0xb83ffc80,0x3bffe24f,0xeffffec9,0xf9998801,
    0x880999ff,0x5ff501ff,0xfffff980,0x01fffffe,0x803fff50,0xf103fff9,
    0x333335ff,0x009ffb33,0x013f6ff5,0x227fa000,0x3f60000b,0x3ffea352,
    0xffffffff,0x3f22ffff,0xffffffff,0x70ffffff,0xffffffff,0xf009ffff,
    0xff5001ff,0xfff9803f,0xfc9ac983,0xfb8004ff,0xdfffffff,0x2201fffc,
    0x09afff99,0x76fffec0,0x03dfffff,0xfff99988,0x3ee00999,0x007ffa5f,
    0x2e073ff2,0x2606ffff,0xffefffff,0x26201fff,0x999fff99,0x3bffee00,
    0xffffffed,0x6f7d405f,0xfd8000ff,0xe8805fdd,0xfffedfff,0x103ffee4,
    0x3fa00135,0xffffffff,0x3fe20eff,0xffeccccd,0xfffa800e,0x03ffffff,
    0xffffff98,0x7fffcc2f,0xffd12fff,0xffffffff,0x209fffff,0xe8ffdcca,
    0x00002cef,0x013fffee,0x5ffffa80,0xfffffff9,0xffffffff,0xfffffb8b,
    0xefffdcff,0x3ff7ba24,0x01dfffff,0xf980ffd0,0x42ffffff,0xfffffff9,
    0x3fffffe2,0x7c4000ff,0xffffffff,0xb01fffff,0xffffffff,0x3ffe60df,
    0xd000d4c5,0xffffffff,0xf701dfff,0x00fffc9f,0xffffffd3,0x06fffe85,
    0x7fffffd4,0x3fa03fff,0xffffffff,0xfe880eff,0xffffffff,0x6c00ffff,
    0x30005fff,0x2003ffff,0xffffffd8,0x0017fcc5,0x7ffffcc0,0xffffffff,
    0x3ffffe22,0x001fffff,0x3fffff62,0xfff9001e,0xfc8bffff,0x55ffffff,
    0xffffffff,0xffffffff,0xfffff309,0x1fffffdf,0x3ae20000,0x5c0000df,
    0xffd31dfe,0xffffffff,0x3103ffff,0x40003575,0x009abaa8,0x3201f540,
    0x5fffffff,0x7fffffe4,0x3ffff65f,0xf88001ef,0xffeeffff,0xf103efff,
    0xffffffff,0x17fa03ff,0x3ffe6000,0xffffffff,0x3ffb82ff,0xff701ffe,
    0x98bfffff,0xd8806fff,0x01efffff,0x3fffffe6,0x2fffffff,0xfffffd10,
    0x09dffd7d,0x00002a20,0x220002a6,0x1100acca,0x7fe40000,0xffffffff,
    0xccccc85f,0x0000bccc,0x80013531,0xdfffffd9,0x7fffecc1,0xfffb11df,
    0xffffffff,0x3209ffff,0xec9deeee,0x000003de,0x00000000,0x00000000,
    0x20000000,0xdfffffd9,0x7fffecc1,0x3f7221df,0x2a0000ce,0x665441ac,
    0xfffec801,0x404fffff,0x3f200001,0xffffffff,0x1db105ff,0x36201f5c,
    0x81dfffff,0x22006ffc,0xf90009a9,0xffffffff,0x75100bff,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000010,0x00020000,0x10000004,0x01010000,0x0002b880,
    0x08000008,0x01000004,0x00000400,0x000005d4,0x95510002,0x54000137,
    0x004000ab,0xc980e440,0x2aea2000,0x00100000,0x9002a880,0xa8016405,
    0x0007500b,0x0204ccc0,0x20000800,0x7000aa98,0x000ae205,0x000b9800,
    0x00005f90,0x00007f62,0xf98005f9,0x2200000d,0x2a0001fd,0x400bf24f,
    0x0006fefb,0x40000ff2,0x0bf50fe8,0x007f7000,0x00009f70,0x00bfbfe2,
    0x4017e400,0xffffffc8,0xfb71003f,0x2009ffff,0x7dc006fe,0x017fe43f,
    0xdfffffd8,0x1fd10000,0xdffffd10,0x33ffff62,0x501ff100,0x3bf600bf,
    0x003ff621,0xdffff700,0x220037ec,0x7fec00fd,0xfffffbdf,0x37fe202f,
    0x3217faa0,0xffffffff,0x2e0fffff,0x22002fff,0x80000ffe,0x0000ffe8,
    0x8001ffb1,0x0001efe8,0x0006fe98,0x7fecbfea,0x3e27f000,0xbff30003,
    0x6fe88000,0x80007ff5,0x98001ffd,0x40000dff,0x0001b26c,0x9801ffd1,
    0xffffffff,0x7f4405ff,0x0fffffff,0x017ffd40,0x3abbff20,0xffb004ff,
    0x01dfffff,0x705ffa80,0xf7dfffff,0x0bffffff,0x5c4577f4,0xfd1003ff,
    0x05fff79f,0xffffd000,0x800fffcd,0x7cc06fe9,0xffffffff,0x2a03ffff,
    0xeffcbfff,0xfffffc80,0xffffffff,0x017fffa0,0x000f7f4c,0x0077fcc0,
    0x01efe980,0x05ffd100,0x077fd400,0xb3ffb800,0x3e2003ff,0xa8001361,
    0x88000eff,0x4ffa8efe,0x3ffa2000,0x3fa60001,0x93a0001e,0x3a60007a,
    0xffe801ef,0xfffecdef,0xfffd102f,0x009fb9df,0x0003fff1,0x03dffff5,
    0x37ffff60,0x2005ffff,0x3a205ffb,0xffffffff,0x00fffeff,0xfffffff1,
    0xfff9000b,0x200001bf,0x2a6fffeb,0xbff5007e,0xffffd001,0xfffdbfff,
    0x7fec401f,0x3ff203ff,0xffffffff,0xfff10fff,0xbff100ff,0xff300001,
    0x7fc4000b,0xfd80000e,0xff98001f,0x3fe60004,0x8003ff93,0x001fb9de,
    0x0037f440,0x7fcc77f4,0x3fe20004,0xe880000e,0xf50000ff,0x20009d35,
    0xb000dff8,0xffd107ff,0x7fffd10d,0x164c0001,0x09fb1000,0x867ffc40,
    0x801fffb8,0x26003ffb,0x22ffffff,0x764402da,0x20002dff,0x00002fe9,
    0x4d8dff50,0x004ffa80,0x217fffdc,0xb802fff8,0x7fdc01ef,0xb999999b,
    0x7fffc7ff,0x004f9806,0x000fea00,0x00009f30,0xb8002fb8,0x7d40003f,
    0x20007b62,0x0004ffe9,0x8001fb10,0x007f30de,0x000df880,0x000fe400,
    0x001bff90,0x10013e60,0x3ffcc037,0x00bfffe2,0x10000000,0x05ffc800,
    0xf9007ffb,0xfff98005,0x000000df,0x00008000,0xb9bfea00,0x03fb800e,
    0x01fffb80,0x02009ff9,0x32026440,0x7fff45ff,0x00000005,0x00000000,
    0x00000000,0x80000000,0x00000001,0x00000000,0x00000000,0x00000110,
    0x7fc40000,0x0bffee0f,0x26aa6000,0xbaa88000,0x3fff001a,0x0017fe60,
    0x3fff9800,0x5d544000,0x2620001a,0x10000aaa,0x3ea13553,0x0000766f,
    0x817fee00,0x54c05ffb,0xf000009a,0xfffe85ff,0xabaa8805,0x2a620001,
    0x000000aa,0x13553000,0x26aa6000,0x06a60000,0x00000000,0x00000353,
    0x06aa6000,0x000026a2,0xbaa88000,0x54c0001a,0x3f200001,0x027ffc6f,
    0xffff9100,0xd9805dff,0xefffffff,0x01ffe202,0x00000fff,0x80037fcc,
    0xffffffd9,0x3a6002ef,0xceffffff,0x7fec404f,0xffabffff,0x2a200006,
    0x02ffdc02,0xf910bff7,0x05dfffff,0x43ffd400,0xb304fffd,0xdfffffff,
    0x7ff4c005,0x4fceffff,0x17fffec4,0x07fffff2,0xfffffc88,0xfc8802ef,
    0x02efffff,0xfffffb50,0x3ff6207b,0x7ffe42ff,0x7ed401ff,0x103dffff,
    0xc85ffffb,0x101fffff,0x3dfffff9,0x03ffffb1,0x85ffffb1,0x01fffffc,
    0xffffffb3,0x6d4005df,0x03dfffff,0x7fedd4c0,0x23ffe63f,0x400acca8,
    0xfffffffa,0xff00dfff,0xffffffff,0x1bfe607f,0x7fc3ffd0,0xffffffff,
    0xff301fff,0x3ffe000d,0xffffffff,0xffffc803,0xffffffff,0xfffff500,
    0xdfffffff,0xffffd100,0x3ffff62d,0x05ffb80c,0xff517fee,0xffffffff,
    0xff90001b,0x07fff90b,0x3ffffffe,0xc803ffff,0xffffffff,0x3ea0ffff,
    0x7fc2ffff,0xf501ffff,0xffffffff,0x3fea01bf,0xffffffff,0x3fff200d,
    0x84ffffff,0x42fffffa,0x01ffffff,0x3ffffff2,0xffa84fff,0x7ffc2fff,
    0xff901fff,0xfdffffff,0xa85fffff,0x7c2fffff,0xf01fffff,0xffffffff,
    0xff9007ff,0x9fffffff,0x3ffff200,0x77fd45ff,0x2ffffffb,0xdfffff30,
    0x0bfffffb,0x37bffff6,0xa80ffffe,0x7fec05ff,0x3fffffe3,0x1fffffff,
    0x000dff30,0x37bffff6,0x200ffffe,0xedeffffb,0x81ffffff,0xddfffff9,
    0x06ffffff,0xefffffb8,0xfffffffb,0x205ffb85,0x3fe65ffb,0xfffdefff,
    0xff8005ff,0x2fffb82f,0xbdffffb0,0x401ffffd,0xedeffffb,0x21ffffff,
    0x42ffffe8,0x81fffffc,0xdefffff9,0x985fffff,0xfdefffff,0xf905ffff,
    0xffdbdfff,0xffe88bff,0x7ffe42ff,0xfff901ff,0xffffdbdf,0xffffe88b,
    0x7ffffe42,0xddfff701,0xfdffffff,0x7f441fff,0x7fe42fff,0xffb01fff,
    0xfffdbdff,0x7ffe401f,0xffffedef,0xffffe805,0x7ffdc2ff,0xffffffff,
    0x5ffff443,0x17ffecc0,0x7c404d44,0x5ffa82ff,0xff1ffec0,0xffffffff,
    0x3e601fff,0x3510006f,0x05fff101,0x207bffe2,0xe81fffe9,0xffb82fff,
    0xfe8806ff,0xffffffff,0x5c0fffef,0x3fee05ff,0x17fffd15,0x02fffd98,
    0x5c1ffea0,0x35102fff,0x05fff101,0x207bffe2,0xd01fffe9,0x7ff405ff,
    0x5ffff441,0x17ffecc0,0x817fffd1,0x5c2fffd9,0xfc80dfff,0x5ffd05ff,
    0x5c0fff40,0xfc80dfff,0x5ffd05ff,0x500fff40,0x7fffd415,0x209fff13,
    0x3fa02ffe,0x0135101f,0x2e05fff1,0xfc80dfff,0x7ecc05ff,0x321fffff,
    0xdcffffff,0x3ee0ffff,0x7fec02ff,0x32133007,0x5ffa84ff,0xfd1ffec0,
    0xffffa83f,0xeffb9881,0x00009999,0x13ff2133,0x22037fec,0x7fdc0fff,
    0x3ffea01f,0x7ffcc006,0x0b6a2fff,0x5c037fee,0x5fff75ff,0x007ffd80,
    0x7d417ff2,0x266001ff,0x3609ff90,0x7fc406ff,0x05ffd00f,0x3ee0fff4,
    0x7fec02ff,0x00bffee7,0xffe8fffb,0x83ffdc04,0x3fa02ffe,0x04ffe81f,
    0xfe83ffdc,0x07ffa02f,0x7ffc4c40,0x407ffdc6,0x3fa02ffe,0x4266001f,
    0xffd04ffc,0x07ffb809,0x3ffff220,0x1bffff70,0xf927ffcc,0x999999df,
    0x03fffb99,0xffffff91,0xff509fff,0x23ffd80b,0x7ffd47fc,0xffffe81f,
    0xefffffff,0x7ffe4400,0x04ffffff,0xf9005ffd,0x009ffb0b,0x9800dffb,
    0x800dffff,0x4ffffffa,0xff95ffb8,0x9999999d,0x003fffb9,0x7cc0bffe,
    0x3f2200ff,0xffffffff,0x005ffd04,0x7ff40bf9,0x907ffa02,0x99999dff,
    0x3fffb999,0x3333bff2,0xffdccccc,0x00dff11f,0xfd05fff1,0x0fff405f,
    0x2201bfe2,0xffe82fff,0x807ffa02,0xffffffda,0xffccccef,0x02ffe81f,
    0xc8807ffa,0xffffffff,0x06ff884f,0x002fff88,0xfa97ffcc,0xffc80fff,
    0x3fffffa6,0xffffffff,0x7ffdc2ff,0xffffffff,0x406ff884,0x82a22ffe,
    0x981ffffa,0xffffffff,0x202fffff,0xfffffffb,0xf884ffff,0x201000ff,
    0xfb801ffe,0x7fcc006f,0x3ff2003f,0xfb87ffff,0xfffffd5f,0xffffffff,
    0xff5005ff,0x1ffe201f,0xffffffb8,0x884fffff,0x01000fff,0x3a02ffe8,
    0x7fff41ff,0xffffffff,0xffd2ffff,0xffffffff,0x2e5fffff,0xff9004ff,
    0x405ffd09,0x7fdc1ffe,0x09ff9004,0x7f405ffd,0xfffd881f,0xffffffff,
    0x82ffffff,0x3fa02ffe,0xffff701f,0x9fffffff,0x2009ff70,0xd8004ffc,
    0x5fff14ff,0x743ffe60,0xffffffff,0x3fffffff,0x3fffffee,0x04ffffff,
    0xfff80fff,0x3fffea01,0x3ffff201,0xdfffffff,0xfffff700,0x9fffffff,
    0x000fff10,0x7003fff0,0xf9800dff,0x7ecc006f,0xfb83efff,0xfffffd5f,
    0xffffffff,0xffb007ff,0x704fd80b,0xffffffff,0xf109ffff,0x740000ff,
    0x3ffa02ff,0x7fffff41,0xffffffff,0xffffd3ff,0xffffffff,0x3ff27fff,
    0x0bff7004,0x7f405ffd,0x027fe41f,0xfe85ffb8,0x07ffa02f,0xfffffff1,
    0xffffffff,0xfd07ffff,0x0fff405f,0x7fffffdc,0x84ffffff,0xf7004ffc,
    0xff5000bf,0x880fffcd,0xdffb0fff,0x99999999,0x3e259999,0x2622ceff,
    0xffb04ffd,0x81ffe605,0x001ffffa,0xfff10000,0x7ecc459d,0x01fff04f,
    0x04ffe800,0x4006ffe8,0x00006ff9,0xfda7fdc0,0xccccccef,0x02cccccc,
    0x0802fff8,0x59dfff10,0x827fecc4,0x00000fff,0x7f405ffd,0x677fec1f,
    0xcccccccc,0xdffb2ccc,0x99999999,0x3e659999,0x5ffb006f,0x7405ffd0,
    0x37fcc1ff,0xe82ffd80,0x3ffa02ff,0x4e7ffdc1,0x99bfff30,0xd0399999,
    0x7ff405ff,0x677ffc41,0x13ff6622,0x6c01bfe6,0xfe8002ff,0x417ffa4f,
    0x3fee7ffb,0xff70001f,0x27fec01f,0xfb06ffb8,0x3ffea09f,0x0aa0001f,
    0x00fffb80,0x7ec13ff6,0x8151004f,0x2600fffc,0x4c006fff,0x000006ff,
    0xffb9ffec,0x5400001f,0x20000fff,0x3600fffb,0x9ffb04ff,0x7402a200,
    0xfff102ff,0x01fffb83,0x03fff700,0x01fffc00,0x3a03ffea,0xfff102ff,
    0x807fff03,0xfe80fffa,0x3fff102f,0xff05ffb8,0xffd000bf,0x07ffe205,
    0x6c01fff7,0x7fff04ff,0x30fffa80,0x3f22019b,0x3ffee1ff,0x9bffa60b,
    0x80affff8,0x3ee3cb98,0xffea80ef,0xfff880cf,0x3fffb31d,0x83ffff50,
    0x7d400dd8,0xffb801ff,0xfffea80e,0xcfffb80c,0x317fee00,0xd301bfff,
    0x4001dfff,0x00006ff9,0x447ffe60,0x880affff,0xfd803cb9,0x7dc0005f,
    0xffea80ef,0xfffb80cf,0x17fee00c,0x3222ffec,0x7c42ffff,0x9880afff,
    0x3ffe23cb,0xcb9880af,0x067ffec3,0xd837ffe4,0x7fe445ff,0xfffd82ff,
    0x6fffc80c,0xc88bffb0,0x7cc2ffff,0x3ffa21ff,0x0f6e21ff,0x3222ffec,
    0x7dc2ffff,0xffea80ef,0xfffd80cf,0x6fffc80c,0x3bbbfff6,0x86ffffee,
    0xffeffffe,0x7fcc1fff,0xffedffff,0xff32ffff,0xfffdbdff,0x90bfffff,
    0xfffdffff,0xffff50bf,0xff733335,0x7f5cc405,0xffff9804,0xfffffede,
    0xffd85fff,0xfeeceeff,0xffb86fff,0xffeddeff,0x00efffff,0x27bfee62,
    0x98000999,0xefffeccb,0x3ffffe60,0xfffffedf,0x17ffc02f,0x7cc1edc0,
    0xffedefff,0x85ffffff,0xceeffffd,0x06ffffee,0xfdbdfff7,0x8bffffff,
    0xdffffff9,0x2ffffffe,0x3fffffe6,0xffffffed,0x3ffff622,0xeffffede,
    0xbdfff700,0xfffffffd,0xffffd88b,0xeffffede,0xbdfff700,0xfffffffd,
    0xeeffff8b,0xdfffffff,0xb82ffffe,0xffedefff,0x265fffff,0xfedeffff,
    0x5fffffff,0x77fffec4,0x0effffed,0x3fffffea,0x80dfffff,0xfffffff9,
    0xfff704ff,0xffffffff,0x7ffe43ff,0xffffffff,0xfe80ffff,0x85ffffff,
    0xfffffff8,0x04ffffff,0x00fffffa,0x7fffffe4,0xffffffff,0xffffe80f,
    0xffffffff,0xfffff901,0xffffffff,0x3ffa05ff,0xffffffff,0xff1000ef,
    0x03ffffff,0xfffffff7,0x03ffffff,0x4c03ffc4,0xffc81fff,0xffffffff,
    0xe80fffff,0xffffffff,0xd101ffff,0xffffffff,0xb81fffff,0xffffffff,
    0x5c1fffff,0xffffffff,0xd81fffff,0xffffffff,0x3fa200df,0xffffffff,
    0xfd80ffff,0xffffffff,0x3ffa200d,0xffffffff,0x3fa20fff,0xffffffff,
    0xffffffff,0xffffe881,0xffffffff,0x3ffff20f,0xffffffff,0xffd80fff,
    0xdfffffff,0xffffeb80,0x4c03efff,0x2efffffd,0x7fffec40,0x81ceffff,
    0xfffffffb,0x04efffdc,0x13fffff2,0x7fffffcc,0x4fffffff,0x017ffea0,
    0xffffff70,0x9dfffb9f,0x7ffff540,0x400cffff,0xffffffe9,0x0dffffcd,
    0xffffff98,0x2fffffff,0xfffff100,0x7ec403df,0xefffffff,0x02fc801c,
    0x700fff88,0x9fffffff,0x409dfffb,0xffffffea,0x74400cff,0xebefffff,
    0xfb104eff,0xdfffffff,0x3ff62039,0xceffffff,0x3fff6e01,0xd1003eff,
    0xd7dfffff,0x6dc09dff,0x03efffff,0xfffffd10,0x09dffd7d,0x9dffffd1,
    0xfffffb9d,0x7ff44039,0xffebefff,0xffffb84e,0xfffdcfff,0x3ff6e04e,
    0x8803efff,0x8001aaa9,0x8001aaa8,0x0019aba9,0x00357531,0x98035300,
    0xffffffff,0x804fffff,0x53100008,0x30000357,0x00355755,0x01357310,
    0x3ffff200,0xdfffffff,0x33326000,0x5d4c000a,0x0000019a,0x4c400a88,
    0x80001aba,0x01aabaa9,0x00aba880,0x4d5d4c00,0xaba98001,0x35300019,
    0x55d44000,0x1a980000,0x2aea2000,0x35510000,0x0002aa20,0x00015751,
    0x00357531,0x0006a600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x006b2a60,0x1d8806c4,0x00008000,0x22000762,
    0x003b101d,0x00000020,0x00000010,0x000aeea2,0x00000000,0x80000080,
    0x0000aaa8,0x20000762,0xd880002c,0xb80ee001,0x00000002,0x44009998,
    0x003b100d,0x00001c88,0xa9800095,0x0000009a,0x99980000,0x35751000,
    0x80000000,0xffd302ca,0xa805dfff,0x007fb05f,0x8005fa80,0x4003fffb,
    0x07fb05fa,0x003ff700,0x0bfd0000,0x442defe8,0x3ffff200,0x3ff602ef,
    0x7f4c1eff,0x9800dfff,0x3fc8007e,0xfffea800,0xdfffffdb,0x7ffdc000,
    0xffd30003,0x3ee0001b,0xdff003ff,0x5437f4c1,0xffffffff,0x70000dff,
    0xa80dffff,0x007fb05f,0x0027ffd4,0x03dffb10,0x7fffe440,0xffffacff,
    0x3ff6600e,0x700001df,0x980dffff,0xaefffffe,0xd12effff,0xfc83ffff,
    0xf981ffff,0x7ffdc1ff,0x03ffffff,0x64c73fe2,0x320001ff,0x3a2003ff,
    0x01effeff,0x2639ff10,0xf8001ffc,0xfe8005ff,0x0fff8801,0xdfffff10,
    0x3f60dfd9,0x2fffffff,0xffffff98,0x7ffffe45,0x2ffd402f,0x027fd400,
    0x3fffff60,0xffffffff,0xeffe8800,0x32001eff,0x02fffeff,0x3fbff620,
    0x7fcc01ef,0x81effcbf,0xfffffffa,0x0002ffff,0x80dffffd,0xf931cff8,
    0xffb1003f,0x8003dffd,0x4ffefffa,0xfffff980,0xffffffff,0xfff903ff,
    0x0007ffff,0x0dffffd0,0x7fffffdc,0xffffffff,0x3fffff75,0x7fffffc4,
    0x20fff881,0xecfffff9,0x2a01ffff,0x2fffffff,0x7ffb1000,0x97ffc400,
    0x5001fffa,0x7fffffff,0x0fffa000,0x009ff300,0xf9301fae,0x07ffffff,
    0xfdbffff7,0xffb03fff,0xfe985dff,0x3200efff,0x2a0004ff,0xd5000eff,
    0xbdffffff,0x880bffff,0xfff52fff,0x29ffb003,0x8803ffe8,0xfff52fff,
    0xfffd8803,0x3ffea04f,0xefffffff,0xffd50000,0xfff500df,0x1005ffff,
    0x3fa67ffd,0xbff7001f,0x8817ff21,0xfedfffff,0xefffffff,0xfffffa80,
    0x0002ffff,0x837fff5c,0xfdfffffa,0xefffffff,0x3ffffd12,0x1fffffc8,
    0xffd81510,0x37ffcc1f,0x37ffb660,0x3ffa0001,0x06fd4001,0x8800bf62,
    0x001dffed,0x2000f220,0x3a005ffa,0x7fffe403,0xffb02fff,0x2fffcc1b,
    0x7407ffb8,0x7fe404ff,0xfe980003,0x7fff4006,0x03ffdc0e,0xfb1037ea,
    0x81ef8805,0xdfa805fb,0x801fe440,0x7d401efa,0x999999ef,0x654c0000,
    0x4c02aeff,0x001dffed,0x7f901bf3,0x260ff600,0xfffd00fe,0xffffa887,
    0x577fec06,0x006ffea8,0x10dff500,0x5417dfff,0x201ffffe,0x3fa01ffe,
    0x7ff4001f,0x00fff703,0x1bd00000,0x01002000,0x00000000,0x05ffa800,
    0xffa80d90,0x0fffdadf,0x5c07ffc4,0xff881fff,0x1fff703f,0x0001ed80,
    0x8003f620,0x3fe05ffe,0x0200401f,0x80020040,0x02000400,0x0037fd40,
    0xffff9800,0x0002ffff,0x00200400,0xf5008010,0x7fd403ff,0x17ff406f,
    0x0003ffe6,0x2e1bfea0,0xff101fff,0x7ff403ff,0x007ffa01,0x2203fff0,
    0xa9800fff,0x00000001,0x0000d4c0,0x53100000,0x7d400155,0x801d005f,
    0x3fe20ab8,0x037fd44f,0x3ee07fff,0x4ffe80ff,0x00000000,0x017ff400,
    0x26003ffd,0x000009aa,0x5d4c4000,0x2a62002a,0x7fd402ab,0x53100006,
    0x1bfea135,0x009aa980,0x1abaa880,0x2aa62000,0x37fe400a,0x2037fe40,
    0x7fc41fff,0x5531000f,0x21bfea13,0x7e406ffd,0x3ffa01ff,0x407ffa01,
    0x27ff41c9,0x2a07ffb8,0x3dfffffd,0x15551000,0xfffda800,0xfb103dff,
    0xffc85fff,0x74c01fff,0xceffffff,0x7fff4c4f,0xffffffff,0x9988001e,
    0x643fff50,0x3ff204ff,0x87fff104,0x0000fffb,0x40000000,0x3fa02ffe,
    0x3ff2201f,0x102effff,0xc85ffffb,0x101fffff,0xfffffff7,0xff7109fb,
    0x9fbfffff,0xca9effa8,0xfb1000ac,0xf57fffff,0xffc880df,0x402effff,
    0xffffffd9,0x3a6002ef,0xceffffff,0x01fff44f,0x3e037fd4,0x3ff661ff,
    0xfffd8807,0x6ffabfff,0x4402ffe8,0x3fa01fff,0x07ffa01f,0x3ff237fc,
    0x3ffea0af,0xfffff905,0x2a09ffff,0xffdbfffe,0xc800dfff,0xffffffff,
    0xffffa84f,0x7ffffc2f,0x3fff201f,0xffffffff,0x3ffff20f,0xffffffff,
    0xff91004f,0xffb9ffff,0x8837fdc7,0x3ee05fff,0x13ffe0ff,0xfffffd30,
    0x3fa6001f,0x000fffff,0xfe80bffa,0xffff501f,0x1bffffff,0x2fffffa8,
    0x0ffffffc,0x7fffff44,0x447fffff,0xfffffffe,0x7fd47fff,0xcfffffff,
    0x3fffea00,0xffffffff,0x3fffea06,0x0dffffff,0xfffffff0,0x9007ffff,
    0xffffffff,0x7ec1ffff,0x6ffc804f,0x754fffc0,0x5404ffff,0xffffffff,
    0xfe86ffff,0x7ffcc02f,0x807ffa01,0xff981ffe,0x3fffa20f,0x0fffffef,
    0xdeffffc8,0xd85ffffe,0xffffffff,0x200fffff,0xedeffffc,0x7445ffff,
    0x7e42ffff,0xf701ffff,0xffdbdfff,0x74c3ffff,0xffffffff,0xa801efff,
    0xffffffff,0x3e64ffff,0xfffc81ff,0xba7ffc07,0x7e400fff,0x00ffffff,
    0xffffff90,0x7ff4001f,0x207ffa02,0xdefffff9,0x445fffff,0x642ffffe,
    0xd81fffff,0xfedeffff,0x3f60ffff,0xffedefff,0x3fea0fff,0xffffffff,
    0xffff980e,0xfffffddf,0xffff306f,0xfffffbdf,0x3ffff60b,0x0ffffede,
    0x3bfffee0,0xffffffed,0x807ffee1,0x7c06fff8,0xffffe9ff,0x3ffe602f,
    0xffffddff,0x6ffd86ff,0x00fffe40,0x7f403ffd,0x0fffa81f,0x7fffffcc,
    0xffb82fff,0xfffc80df,0x7ffff545,0xffffdeff,0x1bfff705,0x20bfff90,
    0x3fa02ffe,0xefff881f,0x1fffe981,0x000bff50,0xdfffff88,0x6ffffffc,
    0xb88efffc,0x200fffff,0xfff8fffb,0xfffe9804,0xd3000fff,0x01ffffff,
    0xd017ff40,0xffe883ff,0x7fecc0bf,0x05ffd02f,0x7fc0fff4,0x7ffa80bf,
    0x5405fffc,0x7ffc47ff,0xffffddff,0x82fffe85,0x886ffffb,0x4c0bfffe,
    0xa882fffd,0x2fff8809,0x03dfff10,0x4c3fffd3,0x540aefff,0x7c06fffe,
    0xffffb9ff,0xfffd02ff,0xdffff705,0x203fff70,0x201ffff8,0xff102ffe,
    0x3fff503f,0xffffffb8,0xffe84fff,0x83ffdc04,0x5c0efffe,0x9ffd07ff,
    0xd07ffb80,0x7ff405ff,0x406ffd81,0xf500fff8,0xfe8000bf,0x7f540cff,
    0x7ffd47ff,0xffffffdf,0x77ffc00f,0xf0000fff,0x7c0001ff,0xfd1000ff,
    0x17ffc05f,0xb00bffee,0x3ffa0fff,0x207ffa02,0xa809dffd,0x4effec2e,
    0xdb82ea80,0x7ffe441b,0x807ffee1,0xfb86fffa,0x7fec02ff,0x32133007,
    0xdffb04ff,0x40fff880,0xddfffffb,0x06ffffff,0xdb88fffc,0x7dc2ffff,
    0x3fea01ff,0xffff886f,0xfffd710c,0x2fff403f,0x0bffff22,0xfa8bffee,
    0xffecefff,0x1bfe23ff,0x20bffe20,0x3fe05ffe,0x037fc41f,0x7417ffc4,
    0x3ffa02ff,0x802ffe81,0x3fea05fc,0x3fe60005,0x3ffea05f,0x7fffe40f,
    0x07ffffff,0x4fffffb8,0x03ffe000,0x00fff800,0xffffffd8,0x3ffffea0,
    0x333bff25,0xfdcccccc,0x2ffe81ff,0x2607ffa0,0xcdefffff,0xffff300a,
    0x00159bdf,0x363fff80,0xffd804ff,0xcceffc86,0xfdcccccc,0xffc881ff,
    0x4fffffff,0x9005ffd0,0x3fff20bf,0xffffffff,0x0fffc06f,0x363fff44,
    0xffd804ff,0xfffff506,0xfffffffd,0x77fff403,0xffffffed,0x1fffe45f,
    0xe983dffd,0x13fee7ff,0x7427fe40,0x3ffa02ff,0x8027fdc1,0xffe84ffc,
    0x107ffa02,0x02001fff,0x000bff50,0x2017ffd4,0xff507ffe,0xbff59fff,
    0x3ffffe00,0x3ffe0000,0x3ffe0000,0x7fffc400,0x3ff63fff,0xffd0ffff,
    0xffffffff,0xd05fffff,0x7ff405ff,0xfffffb01,0x3605ffff,0xffffffff,
    0x3f20002f,0x007ffa5f,0x3fa1bfee,0xffffffff,0x42ffffff,0xfffffffb,
    0xf884ffff,0x801000ff,0xffffffea,0x7c06ffce,0xffd101ff,0x400fff43,
    0x3ee06ffb,0xffffffff,0x3fa01fff,0xffffffff,0x360fffff,0xfff14fff,
    0x47ffe605,0xf7004ffc,0x05ffd0bf,0x3f20fff4,0xbff7004f,0x7405ffd0,
    0x3ffc41ff,0xbff50000,0x3ffdc000,0x2037fdc0,0x9ffb0ab9,0x13ffee00,
    0x01fff000,0x007ffc00,0x6fffff5c,0x3bfffa60,0x3fffffa4,0xffffffff,
    0x2ffe83ff,0x9807ffa0,0xffffffed,0xffdb305f,0x00bfffff,0xff9bfea0,
    0x6ffb801f,0xffffffe8,0xffffffff,0x3fffee3f,0xffffffff,0x007ff884,
    0xaccb9800,0xf80dff31,0x3ff201ff,0x2007ffe4,0x74406ffb,0xfaefffff,
    0x3ffa01ff,0xfbffffff,0x7ff44eff,0x80fff35f,0xdff32ffe,0x20bff600,
    0x3fa02ffe,0x037fcc1f,0xfe82ffd8,0x07ffa02f,0x00003ffe,0x0002ffd4,
    0xd803fff5,0x7dc005ff,0xff7002ff,0xff80001f,0x3fe0000f,0x0000000f,
    0x66677fec,0xcccccccc,0x02ffe82c,0x02207ffa,0xfffd9531,0x2a620443,
    0x001fffec,0x3fa5ffb8,0x6ffe804f,0xccceffd8,0xcccccccc,0x9dfff12c,
    0x27fecc45,0x0000fff8,0x1bfe6000,0x5403fff0,0x13ffa6ff,0x401bffa0,
    0x3fe1aa98,0x2fffa01f,0x3e001aba,0xfff15fff,0x87ffe201,0x7d403fff,
    0x2ffe80ff,0x3e07ffa0,0x7fd403ff,0x02ffe80f,0xfb03fff1,0x02a2009f,
    0x0002ffd4,0x440bfff1,0x2a004fff,0xf1005fff,0xf00009ff,0x7c0001ff,
    0x440000ff,0xfff7001a,0xffd00003,0x07ffe205,0xfd803ff3,0x803ff34f,
    0x40024ffd,0x3ff23ffd,0x3ffe600f,0x01fffb86,0x01fff700,0xfd827fec,
    0x0151004f,0x037fcc00,0x3b627ffe,0xfc97fee0,0x3fe600ff,0x7cc0006f,
    0x0fff407f,0xdffff000,0x260efff4,0x7fec7ffd,0xfffc80cf,0x405ffd06,
    0xffd81ffe,0xfffc80cf,0x88bffb06,0xb82ffffc,0x2e00cfff,0xfff505ff,
    0x1feca881,0x305fffb0,0x0881fffb,0x037ffecc,0x001fff70,0x001fff00,
    0x0007ffc0,0x201bff20,0x80affff8,0xfb03cb98,0xfffc88bf,0x177fe42f,
    0xf95ffe98,0x3fa605df,0x205df75f,0x261fffc8,0xe980dfff,0x7c40efff,
    0x9880afff,0x3bfee3cb,0xcfffea80,0x0cfffb80,0x0017fee0,0x2206ff98,
    0x4ffb9fff,0xff993ffa,0xffe980df,0xb10000ef,0xffe80bff,0x3ffe0001,
    0x3fffee6f,0x4fffffef,0x77fffec4,0x0effffed,0x202ffe88,0xfd882fff,
    0xffedefff,0xff700eff,0xffffdbdf,0xffb0bfff,0xfdd9ddff,0x3e20dfff,
    0xffedefff,0xff104fff,0xfff9bdff,0xeff987ff,0x0ffffffe,0xff999710,
    0x980015df,0x99fff999,0x4cccc019,0x01999fff,0x0ffdd4c0,0x7ffffcc0,
    0xfffffedf,0xefffb82f,0xffffffed,0x3ffff25f,0xffffedef,0xfffff92f,
    0xfffffdbd,0x3bffff65,0x4ffffeee,0xdeffffb8,0xffffffed,0x3ffe60ef,
    0xfffedfff,0xfff32fff,0xffffdbdf,0xfb0bffff,0xdd9ddfff,0x800dffff,
    0xbfffdcb8,0x3ffffa61,0xffdfffcf,0x7ffdc1ff,0xfffeddef,0x300effff,
    0xfffb9997,0x1ffe807f,0x3fff6000,0x7ffffdc4,0x3604ffff,0xffffffff,
    0xfffd80df,0x3fea0fff,0xffb05fff,0xbfffffff,0x7fff4401,0xffffffff,
    0xfffe80ff,0xffffffff,0x3ffee01f,0xffffffff,0x3fffe601,0x85ffffff,
    0xfffffffb,0xfff100df,0x7fffffff,0x3fffee00,0xffffffff,0x7fffdc4f,
    0xffffffff,0xfff9804f,0xff7000ff,0xffffffff,0xfd103fff,0xffffffff,
    0x3ee1ffff,0xffffffff,0x3fee4fff,0xffffffff,0x3ffe24ff,0xffffffff,
    0xffff900e,0xffffffff,0xffb85fff,0xffffffff,0x3ff21fff,0xffffffff,
    0xe80fffff,0xffffffff,0x2001ffff,0xfffffff8,0xffff72ff,0xffffd7ff,
    0x3ff20bff,0xffffffff,0xa82fffff,0xffffffff,0x1ffe804f,0x3ffea000,
    0xffffea81,0xfdb803ef,0x103effff,0x7fffffff,0x7fffffec,0xffffb700,
    0x3a2007df,0xebefffff,0x3aa04eff,0xffffffff,0xfffb800c,0x00beffff,
    0xfffffc88,0xffd101ef,0x8803dfff,0xffffffff,0xffd004ff,0xffffffff,
    0xffe8ffff,0xffffffff,0xf9007fff,0xd88007ff,0xffffffff,0x3fa201ce,
    0xfebeffff,0x37ba24ef,0xdfffffff,0x7fef7441,0x81dfffff,0xffffffc9,
    0xfe9802ff,0xfcdfffff,0xd880dfff,0xffffffff,0xfffb81ce,0xffdcffff,
    0x3faa04ef,0xcfffffff,0x7ffc4000,0x12ffffff,0x51bffffb,0x809ffffd,
    0xffffffe9,0x0dffffcd,0xffffffb8,0xff9003ff,0x01710000,0x40003530,
    0xfd7001a9,0x74c1bfff,0x3004efff,0x54400035,0x4c0000ab,0x001aabaa,
    0x00357530,0x055d4c40,0x001aa880,0x666665cc,0xd5000bcc,0xffffffff,
    0xea85dfff,0xffffffff,0x4002efff,0xba980001,0xa880019a,0x510000ab,
    0x20013575,0x009abaa8,0x09aaa988,0x9ab98800,0x5d4c0000,0x5310019a,
    0x30000357,0x00355755,0xccccb980,0xa88002cc,0x2e62000a,0x9500009a,
    0x80037999,0x000001b8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002666,0x01355300,0xc980e440,0x2e03a800,0x307b2003,0xa988009b,
    0x590000aa,0x42754000,0x059001ec,0x98800722,0x20f64001,0x220004d9,
    0x33000009,0x00000000,0x06e20000,0x8806c400,0x32a2001d,0x07b2001a,
    0x220009b3,0x00354009,0x22000033,0xb8800009,0x00080000,0x10666662,
    0x19999880,0x99998800,0xfd800001,0x40003fff,0xebcffffc,0x01efffff,
    0x7dc4ffa8,0x1efe803f,0x5401ffa6,0x17fec5ff,0x7ffff4c0,0x404fceff,
    0x000dffe9,0x3e61ffe8,0xdff9806f,0x3013fea0,0x3dfffffb,0x6c5ffa80,
    0xb71002ff,0x95bfffff,0xffb71009,0x09b17dff,0x07fffea0,0x00005fa8,
    0x4477fff6,0x82fd404e,0xffb803fd,0x401effff,0x7fec5ffa,0xffd91002,
    0x1fb019df,0xffeb8cc8,0x2000ceff,0xcefffec8,0xfd951000,0xd910001f,
    0x837dffff,0xffffffe9,0xe983ff70,0x00ffffff,0xfffffd10,0x7754001f,
    0xfffff983,0x3fe20003,0xffffffff,0x803fffff,0xffeaeffc,0x9ffd3005,
    0x2003fff7,0x7fdc4ff8,0x7fffe401,0xffffffff,0xffdff900,0x7fd8005f,
    0xb8027fc4,0xdffdaeff,0xffffd500,0x409fffff,0x7fdc4ff8,0xfffe9801,
    0xffffffff,0x3fffe602,0xffffffff,0xffffe801,0x003ff601,0x3f3ff200,
    0x404ffdff,0xf931cff8,0xfffc803f,0x02ffffff,0xff713fe2,0xffff5003,
    0xe85fffff,0x3fffe60f,0xffffffff,0xffffa802,0x202fffff,0xffffffea,
    0x7ffcc000,0x47ffffff,0xfffffffc,0xfc87ffb0,0x00ffffff,0xffffff70,
    0x3fe2001f,0xfffd80ff,0x7ec0003f,0xefffffff,0x03fffffd,0x2ffffe98,
    0xffffc800,0x8144000d,0x7ffdc009,0xffffedef,0x4ffd81ff,0x8007ffb1,
    0x4002880a,0x03ffffe9,0x7fffffec,0x202fffff,0x50013028,0xffffffff,
    0x207fffff,0xfffffff9,0x03ffffff,0x0fffffdc,0x3bfffb6a,0xa8004eee,
    0x13fff20c,0x7ffffd40,0x7fec02ff,0xffffdeff,0x4c0a200f,0xffffb800,
    0x4fffffff,0xfffb8df1,0xffffffff,0x3fee04ff,0xffffffff,0xffff984f,
    0x2000ffff,0xfffffff8,0x7f4c7fff,0xb30fffff,0xfffe985f,0xb1000fff,
    0x01ffffff,0x07fffe20,0x0003ffc8,0x09ffff90,0x003fffd3,0x800037f2,
    0x00002fe9,0xefff8800,0x1fffe981,0x5fb81ef8,0x80000000,0xfd800dfb,
    0xfd711bdf,0x400000ff,0x21befff9,0x84fffd98,0x21bffff9,0x03ffffc9,
    0x3fffffe2,0x7ffffec1,0x000fffff,0x80015100,0x01dffed9,0x20e7ffc4,
    0x0005fffa,0x3fffe600,0xfffd510a,0xffb87fd9,0x3ea21bff,0xff981fff,
    0xfd510aff,0xfff885ff,0x000fffdf,0x226fffea,0xf801baa9,0x003ae0ff,
    0x80003ffe,0x32000fff,0x7fe404ff,0xff900003,0x7ffc409f,0x00002005,
    0xa9800008,0xffd8009a,0x07ffc406,0x00002004,0x00080000,0x7cc0bff2,
    0x2aa201ff,0xffd001ab,0x3ffd801f,0x201fffe8,0x3603fff9,0x41ffffff,
    0xabfffaa8,0x980001aa,0x0000001a,0xf7037fdc,0x06a600ff,0x00effe80,
    0x09ffffb1,0x4401fff7,0xffe86ffe,0xfffb100e,0x3fe1a981,0x3ff2000f,
    0xfff80004,0x3e003f30,0x3e0000ff,0x044000ff,0x531ffe40,0x7e400135,
    0x7fd400ff,0x00353007,0xc8800000,0x2effffff,0x200bffa0,0x000005fc,
    0x85ffffb1,0x01fffffc,0x1ff50000,0x2617ff40,0xfffffffd,0x3ffea02e,
    0x41ffa801,0xc801fff8,0xfff302ff,0x7c03fff7,0x02aa61ff,0xffffb500,
    0x000007bf,0x4403ff50,0xfb500fff,0x407bffff,0x4400fffb,0xff506fff,
    0x5fff3009,0x2007ffdc,0xf804fff8,0x3f2000ff,0xff80003f,0x7c00790f,
    0x3e0000ff,0x000000ff,0xffd79ff9,0x9003dfff,0xff100bff,0x3ff6a01f,
    0xb103dfff,0xfc85ffff,0xf501ffff,0xffffffff,0xfff881bf,0x74c01000,
    0x00ffffff,0x17ffffd4,0x07fffffe,0x7fffff4c,0x4400800f,0x7ffc1fff,
    0xffffffff,0x00dff903,0x37fd40d4,0xd00ef980,0x07ffedff,0xffdcfff8,
    0xc800dfff,0xffffffff,0x3ffa604f,0x1000ffff,0x07ffb803,0xfffffff9,
    0x3ff609ff,0x0dff7003,0xfc800664,0x00fff64f,0x7c03ffd4,0x7fec00ff,
    0x80003fff,0xf0000fff,0x7c0001ff,0x001c98ff,0x3ffff200,0xffffffff,
    0x037fe403,0xfc83ffd4,0xffffffff,0xfffffa84,0x7fffffc2,0xfffff981,
    0x5fffffde,0x0003ffc4,0xffffffc8,0x7ff4400f,0x7ffe42ff,0xfff901ff,
    0x0001ffff,0xd86ffd88,0xfedeffff,0xffd80fff,0xffc80003,0xff700003,
    0x807ffe3f,0xffffffff,0x3200ffff,0xfedeffff,0xff905fff,0x001fffff,
    0x17ffa200,0x37bffff2,0xf85ffffe,0x3fe000ff,0xf500000f,0x007ffcbf,
    0xf801fff0,0x3fe600ff,0x0003ffff,0x0000fff8,0x0e541fff,0xffdfff80,
    0x3f200007,0xedefffff,0x3202ffff,0x7f403fff,0xffffc85f,0x5ffffede,
    0x17ffff44,0x07fffff2,0x817fffd1,0x7c2fffd9,0x980000ff,0x0ffffffe,
    0x80bffa00,0xfd301ffe,0x001fffff,0x3ffff220,0x8809a883,0xfff82fff,
    0xffe80001,0xff880001,0x807ffe5f,0xdeffffff,0xf705ffff,0xff901bff,
    0xfffd30bf,0x00001fff,0xb85fffd1,0xfc80dfff,0x1ffe25ff,0xf03ffd00,
    0xffffffff,0xffffffff,0xd001ffe2,0xfff803ff,0x7fffec00,0xff80003f,
    0xfff0000f,0x401ffea1,0x07ffffff,0x3fff2000,0xfffe984f,0x7ffff900,
    0x3fffd981,0x406fffdc,0xfd05fffc,0x0fff405f,0xb00bffee,0x4ffd8fff,
    0x20015100,0x3a000fff,0x3ffa02ff,0x03ffe001,0x3ffff600,0x4266005f,
    0xfff84ffc,0xfff80000,0xffc80000,0x807ffe0f,0x640dffff,0x9ffd07ff,
    0x007ffb80,0x80001fff,0xe84fffe8,0x7fdc04ff,0x001bfe67,0xfff05ffb,
    0xffffffff,0x26ffffff,0x7ec006ff,0x07ffc02f,0x007ff900,0x001fff00,
    0x7e43ffe0,0x7fdc01ff,0x2a01efff,0x7e401ccc,0x3fe204ff,0xffff904f,
    0xffff9bff,0x09ffd0bf,0xfd07ffb8,0x0fff405f,0x3333bff2,0xffdccccc,
    0x33ffee1f,0x017fee00,0xd0007ffc,0x7ff405ff,0x03ffe001,0x3ffffe00,
    0x7ffe4403,0x84ffffff,0xfea80fff,0x22efffff,0x40000fff,0x7fc3fff9,
    0x13ffe01f,0x2207ffc4,0xff8806ff,0x0fff802f,0x3ffa2000,0x06ff884f,
    0xf32fff88,0xffe800ff,0xffffff81,0xffffffff,0x0fff37ff,0x401ffe80,
    0x32000fff,0xf80003ff,0xff0000ff,0x817fe21f,0x2fffffe9,0x806ffe80,
    0xfa806ffc,0xffff906f,0xffffffff,0x00dff10d,0xfd05fff1,0x0fff405f,
    0x3ffffffa,0xffffffff,0x7fffec2f,0xfffeecee,0x1fff006f,0x017ff400,
    0x7c003ffd,0xff8000ff,0xfffb803f,0xffffffff,0xe81ffe84,0xffffffff,
    0x0007ffa5,0xff0dffb0,0x0fffc03f,0xfb83fff0,0x9ff9004f,0x001fff00,
    0x13fffe60,0xc8027fdc,0x03ffe4ff,0xf80fff80,0x99999aff,0x6ffa9999,
    0xf8003ffe,0x7ffc00ff,0x0fff2000,0x03ffe000,0x207ffc00,0x3fffee00,
    0xff8800ff,0x5ffc801f,0x80fff880,0xfffcdffc,0xf703ffff,0x3ff2009f,
    0x202ffe84,0x7ff41ffe,0xffffffff,0xe83fffff,0xffffffff,0xf001ffff,
    0x7f4001ff,0x07ffa02f,0x000fff80,0xfb806fd8,0xffffffff,0xffd84fff,
    0xfffffb82,0x3ff23fff,0x3fea0003,0xffccccef,0x3fff01cf,0x320fffc0,
    0xff7004ff,0x01fff00b,0x7ffff500,0x8027fe40,0x3ffa5ffb,0x0fff5003,
    0x5c00fff6,0x0bffa5ff,0x403ffd40,0x32000fff,0xf80003ff,0xff0000ff,
    0x7ffc001f,0xb800ffff,0xff9004ff,0x03ffe009,0x65453ff2,0x3f200abc,
    0xbff7004f,0x7405ffd0,0x77fec1ff,0xcccccccc,0xd502cccc,0xffffffff,
    0x7ffc0019,0x0bffa000,0x2001ffe8,0x30000fff,0x9dfff100,0x27fecc45,
    0x3302ffdc,0xf989ffb3,0x3f20006f,0xffffffff,0xfff07fff,0x20fffc03,
    0xfb006ff9,0x1fff005f,0xffffb800,0x037fcc02,0x3f22ffd8,0xffe800ff,
    0x00dff705,0xffc8fffa,0x5ffe800f,0x000fff80,0x0000fff2,0x40003ffe,
    0x2e000fff,0x00fff9df,0x9000ffe8,0xfb801fff,0x09ff907f,0x037fcc00,
    0xfe82ffd8,0x07ffa02f,0x0003fff7,0xaaefb980,0x1fff0001,0x817ff400,
    0x2001fff8,0x00000fff,0x803ffee0,0xff984ffd,0x4ffc802f,0xb004fff8,
    0x3ffff27f,0xffffffff,0x403fff06,0xfff81fff,0x07ffd403,0x0007ffc0,
    0x003ffffb,0xf500fffe,0x7ffc41ff,0x07ffe405,0x404fff98,0x3e21fffc,
    0x7fe405ff,0x0fff800f,0x00fff200,0x003ffe00,0x0007ffc0,0x8801fff0,
    0x3f2002ff,0x7ff403ff,0x009ff905,0x403fff80,0xfe80fffa,0x3fff102f,
    0x0affff88,0x003cb988,0x80007ff5,0x36000fff,0x7fe445ff,0x3fe002ff,
    0x2000000f,0xea80effb,0xfd80cfff,0xea880cff,0xfffb84ff,0xdffd301e,
    0x3333332a,0x00bfffcc,0x7fc03fff,0xcfffd81f,0x06fffc80,0x1001fff0,
    0x003dfffd,0x4067ffec,0xfa86fffc,0x7ec41eff,0x7fdc03ff,0x7fec40df,
    0xefffa83f,0x1ffff441,0x000fff80,0x0000fff2,0x40003ffe,0x20000fff,
    0x7d400fff,0x3ff62005,0xffc882ff,0x09ff902f,0xcfffd800,0x06fffc80,
    0xfc88bffb,0xff982fff,0xffedffff,0xa802ffff,0x26001fff,0x99fff999,
    0x7ffdc019,0xfffffede,0x333305ff,0x03333fff,0x4019b710,0xedeffff9,
    0xffffffff,0x7ffffc45,0xfffffeef,0xffff704f,0xffffdddf,0xff31007f,
    0x3ffe203f,0x05fff102,0xbdffffb1,0x01dffffd,0x3ffe6666,0xfe881999,
    0x9999afff,0x7ec41b99,0xffedefff,0xff900eff,0xffffdfff,0x3ffa00df,
    0xfffeeeff,0x3fff206f,0xfffffeff,0x3e666206,0x10099aff,0x1339ffb3,
    0x3e666600,0x201999ff,0x9fff9999,0x4ccc0199,0x999afff9,0xe8007e40,
    0xffffffff,0x5ffffede,0xceffeb88,0xfd88001b,0xffedefff,0xff700eff,
    0xffffdbdf,0xff70bfff,0xffffffff,0x7d403fff,0xb802febd,0xffffffff,
    0x104fffff,0xfffffffd,0x41ffffff,0xfffffffb,0x04ffffff,0x9013ffee,
    0xffffffff,0x1fffffff,0xfffffe98,0x1effffff,0x3ffffee0,0x03ffffff,
    0xffffffe8,0x7ffffec5,0x3ffffa1f,0xfffd81ff,0x0dffffff,0xffffffb8,
    0x4fffffff,0x3fffffe6,0x7fffffff,0xffffffb0,0xc801bfff,0xffffffff,
    0x3f62004f,0xffffffff,0x7ffe400c,0x04ffffff,0x3ffffffa,0x30efffff,
    0xffffffff,0x7fdc0bff,0xffffffff,0x3fee4fff,0xffffffff,0x7fdc4fff,
    0xffffffff,0x00224fff,0x7fffffcc,0xffffffff,0xffff80df,0x002fffff,
    0xffffffb0,0x4401bfff,0xfffffffe,0x80ffffff,0xffffffd8,0x4c01ceff,
    0xd007ffff,0xffffffff,0x40ffffff,0xefffffe8,0x744effeb,0xffffffff,
    0x207fffff,0xb803fffa,0xcfffffff,0x204efffd,0xffffffea,0xb73002df,
    0x3bdfffff,0xfffff300,0x7ffc4fff,0xff13ffff,0x207fffff,0xefffffdb,
    0x3ffffa03,0xffffffff,0x3fffe67f,0xffffffff,0xffb700ff,0x4007dfff,
    0xefffffe9,0xffd50002,0x4005dfff,0xefffffe9,0x3fffe602,0xffffffff,
    0xfffff92f,0x01ffffff,0x3ffffffa,0x7fffffff,0x3ffffffa,0x7fffffff,
    0x7ffffff4,0x7fffffff,0x3fff2000,0xfffffccf,0xfff102ff,0x05ffffff,
    0x7ffedc00,0xd1003eff,0xd7dfffff,0x53009dff,0x20003357,0xd5000bca,
    0xffffffff,0x1005dfff,0x54001575,0xfffffffe,0x402effff,0x262001a8,
    0x00001aba,0x00135531,0x0009a980,0xefffffc8,0x7ffff643,0x3fffb20d,
    0x1a9800df,0xffffd500,0xdfffffff,0x7ffffcc5,0xffffffff,0x01a9801f,
    0x00d4c400,0x13531000,0x0d4c4000,0xfffff900,0x1bffffff,0x3fffff62,
    0x2a04efff,0xfffffffe,0x2a2effff,0xfffffffe,0x542effff,0xfffffffe,
    0x003effff,0x57531000,0x99973001,0x00005999,0x10000d4c,0x00001575,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa805cc00,
    0x01654003,0x80006e20,0x000003a8,0x40000351,0x000002b9,0x40000331,
    0x13310018,0x20570000,0x3b6a02b8,0xa988002d,0x440002ab,0x0800001d,
    0xa8064c00,0x00dc4004,0x00199880,0x33333100,0x04ccc000,0x80000000,
    0x00000008,0x009aa980,0x3bbbb220,0x8000deee,0x0001bdb9,0x440006e2,
    0xeeeeeeec,0x7e40000d,0x03ff622f,0x027ffdc0,0x10dfffd8,0x3fb2207d,
    0x2200007f,0x0002fffc,0x4fffffd8,0xffd88000,0x43c9dfff,0xb12eedb8,
    0x7059fffd,0x000dffff,0x2a0dff88,0xfffb05fe,0x2e200bff,0xdfffffff,
    0x3fee004f,0x6440003f,0x1ceffffe,0xd88bff20,0xffb001ff,0x40fa21bf,
    0x01ffffe8,0x3fffa600,0x88000fff,0xe8004fff,0xf500001f,0x1fd8007f,
    0x3ff22000,0x802effff,0xfffffffa,0xfb5002ff,0x5bffffff,0x6fffec00,
    0xfa807d10,0xffffffff,0x03bfb103,0x3eb7ffa2,0x3ee003ff,0xffc803ff,
    0x4ffdfffc,0x0ffdff50,0x7ffdc000,0x7cc0002f,0x01ffb9ce,0x3fffee00,
    0x1fffffff,0x2affffee,0xffffffff,0x37ffff43,0x7ffd4000,0xb80effcb,
    0x2ffb8bef,0x7ffff440,0x07ffffff,0xffeffe88,0xff98001e,0x7fffffff,
    0x2b7ff620,0xf9003fff,0xffbfff9f,0x3fffee09,0x3f20001f,0x00ffffff,
    0x04fff880,0x0027fcc0,0x006ffe80,0x40013fe6,0xfffffffa,0x4c00dfff,
    0x1aaaaaaa,0x37bff900,0x09ffd951,0xfff9ff90,0x53009ffb,0x03555555,
    0x202fffe4,0x00effffb,0x5002ba80,0x3fff2219,0x07fa8404,0x2fe84000,
    0xfd808000,0xfff30004,0xffffffff,0x7fffd47f,0xfffffffe,0x3faa1fff,
    0x100006ff,0x409ffffb,0x02fd42fd,0x37bffff6,0x00fffffe,0x7d4bffe2,
    0x3e2001ff,0xffffffff,0xfffb807f,0x32a001ef,0x09fff910,0x0ffffec4,
    0xfffd3000,0x10001fff,0xa8009fff,0x900005ff,0x7d400bff,0xff98005f,
    0xfffdefff,0x000005ff,0x4c02ffc8,0x865405ff,0x004fffc8,0xfffc8000,
    0x03fe8805,0x98000000,0x1fea000a,0x17f40000,0xf9530000,0x3fe0005f,
    0xfd510bef,0xffd887ff,0x3ea1cfff,0x6ff987ff,0x77dc0000,0x2207fc01,
    0x5fffc07f,0x407ffa80,0x7ec40dfa,0x3ffea002,0x1ba9989b,0x007fb100,
    0x00054c00,0x00003fff,0x0000fff8,0xa8001333,0x100005ff,0x7d400197,
    0x7f44005f,0x7ecc0bff,0xaa9802ff,0x1df50009,0xf3033331,0x1530007f,
    0xabaa8800,0x1efd9801,0x00000200,0x55d54400,0x03fd4001,0x02fe8000,
    0x3fffe000,0xfff10005,0x0fffe203,0x40fffff2,0x7cc0fffa,0x0800006f,
    0xfa85fd00,0x4effec05,0x0802ea80,0x3f200040,0x0400004f,0x40000000,
    0x00001fff,0x00007ffc,0x2ffd4000,0x20000000,0x5c005ffa,0x7ec02fff,
    0xfff9107f,0xf805dfff,0xfffffa9f,0x01fe60cf,0xffb30000,0x05dfffff,
    0xaaa88000,0x03710000,0xfffffb30,0x2a005dff,0x13ee007f,0x5c00bfa0,
    0x3f6e603f,0x83f9102f,0x7e406ffa,0x3fffc81f,0x2617ffc0,0x000006ff,
    0x54bbee00,0x7fcc03fe,0x0acdefff,0x20000000,0x00003ffc,0x36205510,
    0x7e42ffff,0x3e01ffff,0x135531ff,0x03ffe000,0x74c00000,0xffffffff,
    0x0001efff,0xffffe980,0xefffffff,0x6677fe41,0xfdcccccc,0x7ffd41ff,
    0xdfffffff,0xf714f980,0xc8bfb75b,0xfffe981f,0xff000fff,0xffffffff,
    0xfea8007f,0xffffdbff,0x7ec000df,0xfffff806,0x03ffffff,0xe9807fa8,
    0x2fe807ff,0x037ff4c0,0xffa86fc8,0x0fffc44f,0x3f209b10,0x2ffe805f,
    0xfd737fcc,0xff05dfff,0xffffffff,0xffe83fff,0x32a25fff,0x7ffffec1,
    0xfb82ffff,0xf704ffff,0xfd87ffff,0xffffffff,0xfe880dff,0xffb16fff,
    0x7fd419ff,0x7ffc2fff,0x3fe01fff,0xfffffecf,0x0fff8005,0xffffd300,
    0xffc801ff,0xffffffff,0xfff84fff,0xffffffff,0x3fff21ff,0xffffffff,
    0x7fff44ff,0xffffffff,0x3e62ffff,0xffdeffff,0x1fb85fff,0x43f713e2,
    0xfffc83f9,0xb000ffff,0xfdbdffff,0x6c001fff,0xffffffff,0x000fffff,
    0xfb003ffe,0xffdbdfff,0x7fa801ff,0x0f7ffdc0,0xf9017f40,0x2a003dff,
    0x3fff626f,0x59fffb05,0x3ffc8001,0x4c2ffd80,0x3fffa6ff,0xfff85fff,
    0xffffffff,0xefeb81ff,0x4fffda8b,0xffffed98,0x7ffc5fff,0xfff07fff,
    0x7fccffff,0xffffffff,0xffb82fff,0xfffbefff,0x3a25ffff,0x7e42ffff,
    0x3e01ffff,0xffffffff,0x3e000eff,0xff9000ff,0x801fffff,0xffffffe9,
    0x81efffff,0xffffffff,0x261fffff,0xfffffffe,0x741effff,0xffffffff,
    0x3fffffff,0x817fffd1,0x6c2fffd9,0xfb127c47,0xfe986f81,0x000fffff,
    0xff101351,0x7f54005f,0xfdefffff,0xea805fff,0x54400fff,0x2fff8809,
    0xeffeec88,0x3fffa63d,0x7ff65404,0x3ffa63de,0x99bfb04f,0x3fee5ffb,
    0x3fe602ff,0x0aceffff,0x401ffe40,0x7fcc3ffd,0x3fffff66,0xfffff82e,
    0xffffffff,0x3ff6e200,0x20442dff,0xfffeca98,0x3ffffee1,0xfffff704,
    0xfffffd89,0x0effffff,0xfffffe88,0xffefffff,0x02ffe80f,0xff807ffa,
    0xffdeffff,0x3fe004ff,0xffd3000f,0x4001ffff,0xf8005ffa,0xffffffff,
    0xf500ffff,0xffd800bf,0xccccccce,0xf72ccccc,0xffd805ff,0x3be237c7,
    0x7d84ffec,0x001fff00,0xffc84cc0,0xfffe8004,0x03ffdc0e,0x1fffffd1,
    0x32133000,0xfff984ff,0xfc8effff,0x1bcaaeff,0xffffffd8,0x9efffc8f,
    0x7ff5c2aa,0xffe9cfff,0x101aa8cf,0xfffffffd,0x1ffe407f,0x261ffec0,
    0xffffb6ff,0x41ffe805,0x881ffffa,0x2dffffdb,0xd803ff30,0x3ffcc4ff,
    0x7f41fff1,0x1ffe402f,0xffff3000,0x816d45ff,0x3fa02ffe,0x3fffe01f,
    0x037fe40e,0x0001fff0,0x50007ffc,0xfd000bff,0xffffa83f,0x017fea01,
    0x003fff70,0x333bff20,0xfdcccccc,0xf11fa1ff,0x3a0bffff,0x01fff007,
    0x7fffe440,0x004fffff,0x3e05ffe8,0xfff881ff,0x91002dff,0xffffffff,
    0x4cccc09f,0xbfffea89,0x0efffffa,0x544cccc4,0xff73ffff,0x644d4c0d,
    0xffb1efff,0xffeca80b,0xf905ffff,0x7ffb007f,0xffefff98,0x7fc801ef,
    0x20ffffd4,0xacffffe8,0xffc80aba,0xbffd302e,0x3ee3fff0,0x1fff13ff,
    0x003ffc80,0x37fffe60,0x17ff4000,0x7c03ffd0,0xfff104ff,0x03ffe001,
    0x00fff800,0x0017fea0,0xfff51ff2,0xfb97303f,0x059999df,0x057fffc4,
    0xfd1e5cc4,0xffffffff,0x45ffffff,0x4d3e20fc,0x02fc41fe,0x7000fff8,
    0xffffffff,0x32609fff,0x202ffe82,0xffc81ffe,0x3ee001df,0xffffffff,
    0x362004ff,0xff88dfff,0x404fd99c,0x30dfffd8,0xd300dfff,0x7fd49fff,
    0x32a6005f,0xfc83ffff,0x2ffd803f,0x7fffffcc,0x4151000e,0xa81ffffa,
    0xffd31cff,0xfffc83ff,0xfffedeff,0x3ffd82ff,0x3eadfffd,0x3ffc806f,
    0x3ffe6000,0x5ffd0003,0xf00fff40,0x7ffc03ff,0x01fff001,0x007ffc00,
    0x000bff50,0x7ffd4151,0xffffd01f,0x3fffffff,0x7ffffcc0,0xfffffedf,
    0xfffffd2f,0xffffffff,0x117d47ff,0x507f449f,0x3ffe007f,0xffffb800,
    0xffffffff,0x44fffa84,0x3fa02ffe,0x03fff81f,0x7ffffdc0,0x4fffffff,
    0x7ffff500,0x3fe62fc4,0x5ffff500,0x406fffe8,0x221efffc,0x0a85ffff,
    0x42ffec40,0xfd803ffc,0x7fffcc2f,0x2a0002ff,0x0201ffff,0xffd9dff1,
    0x7ffffdc1,0x4fffffff,0xff3bff70,0x9ff93fff,0x007ff900,0x0037fcc0,
    0x7405ffd0,0x3ffe01ff,0x007ffe01,0x00007ffc,0x54001fff,0xa80005ff,
    0x3a01ffff,0xffffffff,0x7dc01fff,0xffffffff,0xffb1ffff,0x9999999d,
    0x44599999,0x1bffb16f,0x0fecfbe6,0x400fff80,0x22cefff8,0xd84ffd98,
    0x7ff46fff,0x307ffa02,0x22880fff,0x22cefff8,0x804ffd98,0x000dfff8,
    0x3fe20df9,0x5ffe40df,0x3ffee06f,0x5fbefd83,0x7c4037ec,0x1ffe40ff,
    0x2617ff40,0x3fffffff,0xffffa800,0x227ec001,0x37ba25fc,0xdfffffff,
    0x33ffe601,0xfecfffff,0x3ffc802f,0x1bfe6000,0x02ffe800,0xff807ffa,
    0x07ffe01f,0x0007ffc0,0x4001fff0,0x40005ffa,0x401ffffa,0xceffdca8,
    0xb1001bcc,0xffffffff,0x7ffdc39d,0x5ff40001,0x2e1efff9,0x2006fbcf,
    0x7dc00fff,0x3ff600ff,0x43fffa84,0x3fa02ffe,0x07ffcc1f,0xff73ff88,
    0x27fec01f,0x2002ed80,0x3ba01ffd,0xfaaff982,0x2037e606,0x45fb8ffa,
    0x7d402fff,0x03ffc87f,0x7cc1ffe8,0x4ffffbff,0x3fffea00,0x40fe8001,
    0x32a206f8,0xff0009ef,0xfffbffff,0xf9001fff,0x7cc0007f,0x3fa0006f,
    0x3fff102f,0xf00fffc0,0x3fe003ff,0x3fe0000f,0x3fea000f,0x3fea0005,
    0x7d4001ff,0xf700005f,0x7c40337f,0x9880afff,0x2ff883cb,0x003ff700,
    0x2e007ffc,0xfea80eff,0x1b880cff,0x3a02ffe8,0xcfff81ff,0xf75ffb80,
    0xffd501df,0x8000019f,0x0001ffe8,0x037d53fa,0xf73ff880,0x0cffff8b,
    0x437ffdcc,0x7cc04ffd,0xb7fcc0ff,0x804fffe8,0x441ffffa,0x07fa00dd,
    0xff500df1,0x7ffec005,0xffffe8ff,0x07ff9007,0x037fcc00,0x88bffb00,
    0x202ffffc,0x3fe01fff,0x1fff001f,0x07ffc000,0x81fff500,0x541feca8,
    0x6c41ffff,0x1fff500d,0x01feca88,0xf30017e4,0xfdbfffff,0x505fffff,
    0x32601bff,0x4ccc03ff,0x1999fff9,0xdeffff98,0xfffffffe,0xffd1005f,
    0x417ffc05,0xecdffffc,0xff36ffff,0xfffdbdff,0x00bfffff,0x03bfee00,
    0xffffa800,0xc8006fff,0x4fffffff,0x3ffffffe,0x2ffffffe,0x3fffffe6,
    0x3fff3260,0x226ffa85,0x809dfffe,0x99affffa,0x202ffb99,0x02fe44fc,
    0x800fffd4,0xf75ffffb,0x9880bfff,0x9999cffd,0x7fdcc400,0x0009999e,
    0xfdbdfff7,0x0bffffff,0x2205fff1,0x33302fff,0x3333fff3,0xff999980,
    0x4401999f,0xfedeffff,0x3ea4ffff,0x9999afff,0xff102ffb,0xfffdbdff,
    0xefb809ff,0xffb805fc,0xffffffff,0xfd301fff,0xfffb79df,0x7ffdc03f,
    0xffffffff,0x7ffe44ff,0xffffffff,0x6c00ffff,0x20ffffff,0x85fffffa,
    0xfffffffe,0x3ff25fff,0xffffffff,0x000fffff,0x013ff620,0x3bbbaa00,
    0xb8003ffe,0x2efeeeee,0x3ffffffa,0x43ffffff,0x2ffffffb,0x83fffffa,
    0x4c6ffffb,0x25ffffff,0xfffffff8,0x04ffffff,0x3fb3bfe2,0x2f7ea00f,
    0xff3002fe,0x3ffe23ff,0xffff303f,0xffffffff,0x3ffffa09,0xefffffff,
    0x7fff4400,0xffffffff,0x3fff60ff,0x3ff60fff,0xff70ffff,0xffffffff,
    0xffb89fff,0xffffffff,0x3ee04fff,0xffffffff,0xffff11ff,0xffffffff,
    0x7ffdc09f,0xffffffff,0x4fffe801,0xffffb100,0x039dffff,0xfffeca88,
    0x7f400acf,0xffffffff,0xfb87ffff,0xdcffffff,0x4404efff,0x3fffffff,
    0x3ffffff6,0xfffffc80,0xffb82dff,0xfdcfffff,0x40004eff,0xeeeefffd,
    0x76c40006,0x4c0004ff,0x3aa3ffed,0xfffffebb,0xffd880df,0x7ffdc5ff,
    0x7ffff42d,0x7ffffdc6,0xffff30ff,0xffffffff,0xffe9809f,0x7fcc01ef,
    0x7fc007ff,0x0fffec7f,0xffffffc8,0x87ffffff,0xfffffff9,0x02ffffff,
    0xfffffe88,0x24effebe,0xfffffff8,0xffffff13,0x3ffffa7f,0xffffffff,
    0x7ffff47f,0xffffffff,0x7ffdc07f,0x20beffff,0xfffffff9,0x04ffffff,
    0x7fffffdc,0x5cc003ef,0x57530001,0xa8800033,0x7ff54001,0xffffffff,
    0x753102ef,0xd7000035,0x4c1bffff,0x204efffe,0x00abcca8,0x00d5d4c4,
    0x3ff60000,0x01ffffff,0x3fffa200,0x7f4c0005,0x54c404ff,0x3000009a,
    0x3ffaa015,0x7ffec46f,0x3ffe64ef,0xffffffff,0x353004ff,0x00bca800,
    0x2a27fec0,0x3f6607ff,0xffffffff,0xfff903ef,0xffffffff,0x5d44001b,
    0x3fb2000a,0x3b20dfff,0xd50dffff,0xffffffff,0xea85dfff,0xffffffff,
    0x3002efff,0x7cc03575,0xffffffff,0x3004ffff,0x00001575,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x8800002a,0x55544001,0x55640002,0xaaaaaaaa,0xd913aaaa,0x36e019dd,
    0x2201ceee,0xeeeeeeec,0x0000000d,0xeeeeec88,0x98000dee,0x44001bdb,
    0x01f540dd,0x9ddddb71,0x3bbbae21,0x3ae200ce,0xeeeeeeee,0x3bbb263d,
    0x802deeee,0xdeeeedb8,0x37bbb263,0xceeedb83,0x6f776440,0x5c000003,
    0x440ceeed,0x543deeec,0xeeeeeeee,0xeeda801c,0x775c40ce,0x300003de,
    0x3bb22059,0x002eeeee,0xdddddb71,0x80379ddd,0x0ceeeeb8,0x39dddb71,
    0x77777764,0xeeeeeeee,0x3bbb6e4e,0x3deeeeee,0x14de5cc0,0x3bffea00,
    0x50003b22,0x0039ffff,0x0005fff9,0x64e00038,0xa84fffff,0x06ffffff,
    0x3fffffea,0xfd103fff,0xffc85fff,0x3ea01fff,0xffffffff,0xfffb5002,
    0x005bffff,0xfff87ff9,0xfffff700,0x3ffee9ff,0x2e04ffff,0xffffffff,
    0xffd2ffff,0xffffffff,0xffffb801,0xffd2ffff,0x7cc5ffff,0x644fffff,
    0x32ffffff,0x300005dd,0x89ffffff,0x1ffffffc,0x3ffffffe,0x7c406fff,
    0x645fffff,0x01ffffff,0xff983730,0xffffc80f,0x7006ffff,0xffffffff,
    0x409fffff,0x5ffffffb,0xbffffff7,0x7fffffec,0xffffffff,0xfffff35f,
    0xffffffff,0x3ffff205,0xff3006ff,0xdfddffdb,0x7ffe4001,0x7405ffff,
    0x380006ff,0x7fdce000,0xff982fff,0x4c05ffff,0x1aaaaaaa,0x3ffffea0,
    0x7fffffc2,0x55554c01,0xf9001aaa,0xd95137bf,0xffb809ff,0xf5037f41,
    0x27ffffff,0xfffffffa,0x3fffea03,0xffffffff,0xffffff91,0xf300dfff,
    0x1fffffff,0x3ffffff6,0x3ffffe20,0x7fffdc1f,0xdfff90ff,0x7fc40003,
    0x7dc3ffff,0x3a0fffff,0xffffffff,0x7ffc405f,0x7fdc4fff,0x2e01ffff,
    0xcdfffffd,0xfa80ffff,0xffffffff,0xffff9801,0xffffffff,0xfff504ff,
    0x3fe67fff,0x3f64ffff,0xffffffff,0x15ffffff,0xffffffff,0x901fffff,
    0xffffffff,0xfa8b6200,0x2a001eff,0xffffffff,0x5fff102f,0x00070000,
    0x03fff31c,0x01fffd44,0x3fa20000,0x7fe42fff,0x00001fff,0x402ffc80,
    0x0cc05ff9,0x7f4400a8,0x65440adf,0xa8800eff,0xadffdaaa,0x7fd54c0a,
    0x22001abf,0x20abfffa,0x00bffffb,0x360bfff5,0x3e60afff,0x000dffff,
    0x0dfff710,0x202ffff6,0xaaaeffd9,0xfff51001,0x2ffff60d,0x3ffff600,
    0xffffffff,0x3f6aa201,0x1004ffff,0x5557fff5,0x05fffd97,0x102fffe2,
    0xfd85fff5,0xfffbaadf,0x45ffcaab,0xbfffaaaa,0xff880aaa,0x01ffebef,
    0x000d4400,0xd88f7fec,0xdff503ff,0x000e0000,0x01ffe238,0x0000fff4,
    0x05ffd000,0x3000fff4,0x77d40035,0x984aa620,0x000003ff,0x2a01ffec,
    0x320006ff,0xfff003ff,0x7ffc0003,0x0ffffe41,0x20fffdc0,0xb104fff9,
    0x019fffff,0x0ffff200,0xb809fff7,0xcdeeefff,0x7fdc00ab,0x27ffc42f,
    0xdffffd10,0x7fffffd9,0x7f7ffc00,0x7ffc007f,0x813ffa01,0x3fe01fff,
    0x11ffec1f,0x7fd41fff,0x007ffc05,0x00a37fd4,0x02aaa200,0x705ffd00,
    0x017fec07,0x03803553,0x7ff88e00,0x883ffd00,0x642ffffd,0x201fffff,
    0x3fa02ffe,0x7fed401f,0x7c03dfff,0x3fffea1f,0x00ff33ff,0x3ffd8000,
    0x0037fd40,0x2007ff90,0x20001fff,0x3ff61fff,0x3fa000ef,0x1bffa0ef,
    0x3ffffa60,0xffb0003f,0x1bffe65f,0x3ffffee0,0x03ffffff,0xfd07fff4,
    0x7ff401df,0x7fffc43f,0xfff5006f,0x4005fff1,0x3ee01fff,0x07ffe05f,
    0x7ec1fff8,0x83ffe23f,0x7fc05ffa,0x6ffa800f,0xfffd5000,0xbfffffb7,
    0x07ffe001,0x7e57fe00,0xffffdbff,0x4000700e,0x401ffe23,0x7fd41ffe,
    0x7ffc2fff,0x3fa01fff,0x07ffa02f,0xffffffc8,0x9f304fff,0x7e56ffcc,
    0x2607f24f,0x0ffffffe,0x807ffb00,0x20006ffa,0xff003ffc,0x7fc0003f,
    0xefffe89f,0x7ffcc000,0x003fff94,0x77ffff54,0xfffe8002,0x800efffa,
    0xeeeefffb,0x203fffff,0xff75fff8,0x7ffc403f,0x7ffff442,0xffd802ff,
    0x400dff95,0x3fa01fff,0x07ffe04f,0x7ec1fff8,0x83ffe22f,0x7fc05ffa,
    0xfff9800f,0xfffd8002,0xffffffff,0xffd800ff,0x4ffcc002,0xfffffff8,
    0x380fffff,0xff88e000,0x83ffd007,0x42ffffe8,0x01fffffc,0xfe80bffa,
    0xffff901f,0xbffffdbd,0x0ff43f70,0x83f993e6,0xfffffffc,0x07ffb000,
    0x0006ffa8,0x7c00fff2,0x3e0001ff,0x5fffeaff,0x3ffee000,0x0004fffb,
    0x3dfffff7,0x7fffc400,0xf7001fff,0x3ffa60bf,0x5fffdc06,0x7dc04fff,
    0x7fff444f,0x4404ffda,0xfff31fff,0x07ffe003,0x05fffd73,0xff00fffc,
    0x20ffb83f,0x3e20fff8,0x07ffc03f,0x00effd80,0x7ffff540,0xffffdeff,
    0x05ffb805,0xffb2fdc0,0xfffbffff,0x4000709f,0x401ffe23,0x3fa01ffe,
    0x07ffa02f,0x3a02ffe8,0xfffb81ff,0x5fffc80d,0x20df13ec,0x74c37c0a,
    0x00ffffff,0xa807ffb0,0x320006ff,0xfff003ff,0x7ffc0003,0x000fffff,
    0x7fffff40,0x7e440006,0x000dffff,0x05fffff3,0x302ffdc0,0xfd801fff,
    0xd806ffff,0x3ffa22ff,0x80dff73f,0x7fec6ffc,0xfffff004,0xbfffffff,
    0xffffff80,0x1fffffff,0x7ffc41a8,0x7fc014c0,0xfffb000f,0x3ffa0009,
    0x3ffdc0ef,0xfffffeb8,0x6d403eff,0x22fffec0,0x00385ffc,0x07ff88e0,
    0x7403ffd0,0x3ffa02ff,0x80bffa01,0xffe81ffe,0x23ffdc04,0x800fe66f,
    0x1fff007d,0x00fff600,0x4000dff5,0xff003ffc,0x7fc0003f,0x0effffff,
    0x3ffe2000,0x100001ff,0x19fffffb,0x0dfffb00,0x405ffb80,0x7c401fff,
    0xe801ffff,0xfffd12ff,0x2037fd47,0x7fd43fff,0xfffff007,0x9fffffff,
    0xffffff80,0x1fffffff,0x7ffccc40,0x7fc00099,0xfffd800f,0x09ff72ff,
    0x3e05ffe8,0xffff81ff,0x07ffffff,0x30bffb00,0x00070fff,0x00fff11c,
    0xfe807ffa,0x07ffa02f,0xf102ffe8,0x6ff883ff,0x22fff880,0x800fe67e,
    0x1fff007e,0x00fff600,0x3d90dff5,0x003ffc80,0x00803fff,0x3fbffffe,
    0x20000eff,0x0003fffb,0x3ffffa60,0xfffa803f,0x3ee003ff,0x1ffe605f,
    0xffffffe8,0xfb00ffff,0x7fffd1bf,0x2a04ffc8,0xbaaabfff,0xff802fff,
    0xffffffff,0x3fe04fff,0xffffffff,0x3fa01fff,0xffffffff,0x03ffe006,
    0xffffff90,0x03fffd1f,0xfd017ff4,0xffff703f,0x009fffff,0x220bff60,
    0x000387ff,0x4c7ff88e,0x00fff41c,0x7f405ffd,0x17ff601f,0x85ffff91,
    0xf9004ffb,0xf887e49f,0x00bf1005,0x6c003ffe,0x7fd403ff,0x202ffc46,
    0xff003ffc,0x837dc03f,0xff71ffff,0xff8000df,0xd880000f,0x00cfffff,
    0xffffff98,0xbff7002f,0x81bff620,0xafff9998,0x3fee0199,0x544fffef,
    0x3f601fff,0xffffffff,0xfff806ff,0xfdb9999a,0xfff03fff,0xf3333335,
    0x3fe603ff,0xffffffff,0x1fff001f,0xf8cfff80,0x06fffdff,0xfd017ff4,
    0x7eccc03f,0x6c0001cf,0x7ff882ff,0x88e00038,0x237f47ff,0x3fa01ffe,
    0x07ffa02f,0xedffffb8,0x6fffffff,0x5c013ff2,0xe8bea5ff,0x3ea3a82f,
    0x01fff003,0x500fff20,0x6ff98bff,0x801ffe40,0x3fa01fff,0x41fff80f,
    0x0003fffa,0x80003ffe,0xdfffffc8,0xffff1000,0x003fffd3,0xd999dff7,
    0x005ffffd,0xd0007ffc,0xc89fffff,0x3e207fff,0xffffffff,0x7c01ffff,
    0x7ff401ff,0x403fff06,0x3f201fff,0xffffffff,0x03ffe004,0x3ee7ff98,
    0xe806ffff,0x3ffa02ff,0x03ffe801,0x82ffd800,0x00387ff8,0x47ff88e0,
    0x07ffc7ff,0x7405ffd0,0x7ff401ff,0xffffffff,0xdff30fff,0x88bff600,
    0x33bfe66f,0x07f64fdc,0x8007ffc0,0x7e406ffb,0x037fcc4f,0x7c00bff6,
    0x3ffe01ff,0xc81fff81,0xf0000fff,0x2e0001ff,0x01efffff,0x88ffff40,
    0x5c00efff,0xffffffff,0x66401fff,0xcccfffcc,0x7fffd404,0xffffeeef,
    0x3fff200e,0xfeeeeeee,0x7ffc04ff,0x07ffcc01,0xff00fffc,0x3fe2003f,
    0xfff0000f,0x22ffdc01,0x803ffffd,0x3fa02ffe,0x3fff801f,0x2ffd8000,
    0x0387ff88,0x7ff88e00,0x7c43ffe2,0x17ff407f,0x401fff88,0xdfffffd8,
    0x7c4effeb,0x7fd403ff,0xb11ff40f,0x7dc7dfff,0x03ffe006,0x817ffcc0,
    0x7cc2fff8,0x3ffe206f,0x03fff001,0x7fc0fffc,0x07ffd01f,0x003ffe00,
    0xdffffd50,0xfff90005,0x05fff987,0x7fffffdc,0xb800abce,0xccfffccc,
    0x7ffec04c,0xffffffff,0x1fffc00e,0xf01ffea0,0xff8803ff,0x01fff80f,
    0x44007ffe,0xf0000fff,0x7fcc01ff,0x3fffe21f,0x02ffe801,0xf3007ffa,
    0x0ee203ff,0x220bff60,0x000387ff,0x10fff88e,0x3ff21fff,0x22ffec06,
    0x02ffffc8,0xff815530,0x19fffb02,0x10dfff90,0xb81305ff,0x3fe001ff,
    0x3ffa000f,0x3ffa60be,0x67ffcc0f,0x03fff4c1,0x4d7ffccc,0xfff99999,
    0x057ffc41,0x004fffdc,0x57ffccc4,0x7ff4c009,0x70003fff,0x3ee0bfff,
    0x3ff204ff,0x4000199d,0x01afff98,0xfedfffd8,0x803dffff,0x4c01fffa,
    0xff103fff,0x5333335f,0xf10dffd9,0x3fe205ff,0x7ccc402f,0x440099ff,
    0x99fff999,0x7fffc409,0xffffffef,0x0bffa206,0x2a02fff8,0x9999fffe,
    0x402ffc99,0xff983ffe,0x4e000387,0x89fffffa,0xfffeffff,0x77ffdc03,
    0xffffffed,0x3e20005f,0xffd88227,0xfffedeff,0xbff500ef,0x0fff2601,
    0xfff33330,0xf9803333,0xfffeffff,0xfff981ff,0xfffeefff,0x3ffee01f,
    0xffffffff,0xd11fffff,0x1dffffff,0x05fffff8,0x3ffffff6,0xff506fff,
    0x00019fff,0xbffffff3,0xffffffb8,0x3fffff22,0x4003ffff,0xfffffff9,
    0xfff302ff,0x3001a98b,0x5fffffff,0xffffff98,0xffffd12f,0xffffffff,
    0xffd87fff,0xfd32ffff,0xd01fffff,0xffffffff,0x3fffa0df,0xffffffff,
    0x3fffea0e,0xffffffff,0xfffffd81,0x3fffea0f,0xffffe85f,0xffffffff,
    0xfff703ff,0x3fea3fff,0x000e0eff,0xfffffb38,0x3fffffe9,0xffe8805f,
    0xffffffff,0x20000fff,0xd86fdefd,0xffffffff,0x7f4c00df,0xfffdbcef,
    0x3ffee01f,0xffffffff,0x3fea04ff,0x3fffffff,0xfffffb10,0x803fffff,
    0xfffffffe,0xffffffff,0xfffff71f,0xffb85fff,0xff880fff,0xffffffff,
    0xdfffc81f,0x3fee0000,0x7f47ffff,0x3e5fffff,0xffffffff,0x7fe4007f,
    0x5fffffff,0x00017fa0,0x3ffffff2,0x7fffe45f,0xfff75fff,0xffffffff,
    0xf889ffff,0x75ffffff,0x5fffffff,0xffffff98,0x4c1fffff,0xffffffff,
    0x542fffff,0xedfffffe,0xfff884ff,0x3f63ffff,0x260fffff,0xffffffff,
    0x0fffffff,0xffffffd0,0x3fffff29,0x338000e2,0x263bfffb,0x005fffff,
    0x3fffffa2,0x04effebe,0x7fff4c00,0xffffb702,0x544007df,0xacffffec,
    0x7ffff400,0xffffffff,0x7fec407f,0x8801efff,0xdfffffeb,0xfffea801,
    0xffffffff,0xfb11ffff,0x01bfffff,0x6409dfff,0xfffffffe,0x03bb104f,
    0xfffb1000,0xffea87df,0x3fae1dff,0x2effffff,0x7ffec400,0x401dffff,
    0xfb300001,0x983bffff,0x1dfffffd,0xffffffb1,0x39dfffff,0x3ffffb20,
    0xffffb11d,0xfff901bf,0x09ffffff,0x3ffffff2,0x205fffff,0x2000aaa9,
    0x0dffffeb,0x13bfffa6,0x3ffffff2,0x1dffffff,0x3ffffaa0,0xbfffb31d,
    0xaaaaaad8,0xaaaaaaaa,0x00d4c004,0x01575100,0x15300000,0x0006a600,
    0x2000d440,0xffffffea,0x02efffff,0x00135310,0x0006a620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32a00000,
    0xeeeeeeed,0x3260eeee,0xdeeeeeee,0x40000002,0xeeeeeedb,0xeeeeeeee,
    0xddddd933,0x2e005bdd,0xeeeeeeed,0x25eeeeee,0xeeeeeec9,0x037662de,
    0x805dddb7,0x443deee9,0x10ceeedc,0x019dddb7,0xddddddb7,0x8800159b,
    0x4001abaa,0xeeeeeedb,0x6d400acd,0xdb884eee,0x3a0ceeee,0xeeeeeeee,
    0xb500eeee,0xdddddddd,0x01dddddd,0x76dc0000,0x64c2deee,0x223deeee,
    0x0ceeeeec,0x77777644,0x3bbb6e0c,0x00acdeee,0x3bbbbbb2,0xeeeeeeee,
    0x3bbb6a4e,0x1bceeeee,0x3bbbb6e0,0x002cdeee,0x77777644,0x54000dee,
    0x8000003e,0x2ea6202a,0x3faa002a,0xffffffff,0x3a0fffff,0xffffffff,
    0x7dc0007f,0xffff9803,0xffffffff,0xffd4ffff,0xffffffff,0xffffa801,
    0xffffffff,0x3ffa6fff,0xffffffff,0x7c4bffd0,0x6c06ffff,0x2e2fffff,
    0x75ffffff,0x8bffffff,0xfffffffa,0x403fffff,0xffffffd9,0xffa802ef,
    0xffffffff,0xfff103ff,0xffb85fff,0x3e5fffff,0xffffffff,0xff00ffff,
    0xffffffff,0x01ffffff,0x23dd5000,0xfffffff9,0x7fffff47,0xffff91ff,
    0xffc89fff,0xf54fffff,0xffffffff,0x3f607fff,0xffffffff,0x25ffffff,
    0xffffffff,0x40cfffff,0xfffffffa,0x02ffffff,0xffffff50,0xe8005fff,
    0x260000ff,0x221ba01a,0xfffffffb,0xfff504fd,0xffffffff,0x641fffff,
    0xffffffff,0x7f40006f,0xffff8807,0xffffffff,0xff94ffff,0xdfffffff,
    0xfffff300,0xffffffff,0x7ffe4dff,0x26ffffff,0x7ffc5ffd,0xff102fff,
    0x7d43ffff,0xf33fffff,0x989fffff,0xffffffff,0x206fffff,0xffffffff,
    0x7cc03fff,0xffffffff,0xff06ffff,0x4c1fffff,0x3fffffff,0x3ffffffe,
    0x00ffffff,0xffdffffd,0xffffffff,0x7f4c0001,0xffff15ff,0xffd8dfff,
    0xf50fffff,0x87ffffff,0xfffffffa,0xffffff32,0xdfffffff,0xffffffb0,
    0xffffffff,0x7ffff4bf,0xffffffff,0x7fffcc6f,0xffffffff,0x553003ff,
    0x00355555,0x5000bf70,0x7bfffffb,0x3fa23fc4,0xffffffff,0xffffa87f,
    0xaaeffcce,0x4c0fffba,0x1abfffaa,0x0fff8000,0xcffea880,0xdaaaaaaa,
    0x3eaa64ff,0x2001abff,0xaacfffa8,0x6ffcaaaa,0x5fffd54c,0xd83fa81a,
    0xf905ffff,0xf101dfff,0xfa8817ff,0xffb102ff,0xffb7555b,0x3ff609ff,
    0xfffedeff,0x7fec400f,0xffdbaaad,0xffb304ff,0xfca889ff,0x5fffc0ff,
    0xfffbaaaa,0x57ff4c06,0xfaaaaeff,0xd88000ff,0x222fffff,0x301acffe,
    0x981fff95,0x100bfffc,0x883bfff5,0xbaaadffd,0x6c4ffffd,0xffbaadff,
    0x5ffcaabf,0x5577fecc,0x4ffffdba,0x55fffd44,0xffffebaa,0x00000001,
    0x3ff20002,0xdfffffff,0x7fec5fb8,0xfffedeff,0x3ffe60ff,0x217fea0e,
    0x3fe00fff,0x3e00001f,0x3fa000ff,0x27fdc02f,0x0001fff8,0xfa807ffa,
    0x07ffe06f,0xfff906d8,0xffff03ff,0xfff930df,0xf999999b,0x3ee05bff,
    0x3fff604f,0x8809a881,0xfb802fff,0x3fff604f,0xfffff901,0xf0dff503,
    0xfffd01ff,0xf5bfd003,0x01fff0df,0x7fffe440,0x3ffd81df,0x3fea0ccc,
    0x05fff106,0x900fffa8,0x7ff409ff,0x88fff61f,0x3fea0fff,0x205ffb85,
    0xfff07ffd,0x0fffe203,0x00000000,0xeffffc80,0xeeffffed,0x05fffc3f,
    0x3f23ffd4,0x2ffd40ff,0xff007ffc,0x0000623f,0x74001fff,0xf504c2ff,
    0x07ffe07f,0x3ffa0055,0x5ff984c1,0x5407ffe0,0xffff901f,0xffffb8bf,
    0xfffff86f,0xffffffff,0xfb81ffff,0x3ffa204f,0x32133005,0xffb804ff,
    0x17ffa204,0x37ffffe4,0x7fc37fd4,0x1fffe40f,0x7d5ffcc0,0x00fff86f,
    0xdfffff70,0x327fe405,0x7fdc5fff,0x01bff205,0x7e40bffb,0x3ffa204f,
    0xf88fff65,0x17fea0ff,0xf8817fee,0x1fff80ff,0x9817fee0,0x0ffffffe,
    0x2e000000,0xfc80dfff,0xffd86fff,0x42ea809d,0xffa82ffe,0x0dfd1995,
    0xffc9fff8,0x3ffe0004,0x8bffa000,0x07fe27fb,0xff90fffc,0x43ffd009,
    0x80bfa6fc,0x05901fff,0x7fff7fe4,0x3ffbffa0,0xffffec86,0xffffffff,
    0x9ff705ff,0x81fff980,0xffffffc8,0xfb804fff,0x7ffcc04f,0xffdffc81,
    0x437fd44f,0x7ffd47fd,0x51ff7004,0x36332dff,0xffea806f,0xfb803fff,
    0x97fff25f,0x3e604ffc,0xfff101ff,0x027fe403,0x7ec3ffe6,0x83ffe22f,
    0xffb85ffa,0x07ffe205,0xfc807ffe,0x3fff204f,0x0000ffff,0x13ffa000,
    0x303fff70,0x9bdfffff,0x1fff1015,0xff5bff50,0xff803715,0x005fffff,
    0x8003ffe0,0x3ff62ffe,0x87ffe001,0xfe806ffe,0x003ffa1f,0x0001fff8,
    0x9ffd9ff9,0x3fefffea,0x807ffe06,0x3f201fff,0x3fe009df,0x7fffdc2f,
    0x4fffffff,0x09dffc80,0x320bffe0,0x1fffccff,0x3661bfea,0x01bffe62,
    0xdff56fe8,0x03715ff5,0x7ffffecc,0xdff5000c,0xd87ffffc,0x7fec03ff,
    0x80dff904,0xff804ffc,0x441ff52f,0x3fe20fff,0x205ffb83,0xfff07ffb,
    0x0bfff203,0xfffffe98,0xcccb800f,0xcccccccc,0xdff10ccc,0x07fff100,
    0x3ffffff6,0x7fd42fff,0xfffff506,0x7ffc009f,0xa800efff,0xfffccccc,
    0x80accccc,0xfffffffe,0x3ffe002f,0x2013ff21,0xfffffffe,0x3ffe001f,
    0x9ff90001,0xffb1fff7,0x7c0dff5b,0xffffffff,0x7441ffff,0xffffffff,
    0x2e3ffd86,0xffffffff,0xd104ffff,0xffffffff,0x907ffb0d,0xdffd19ff,
    0x44037fd4,0x1000fffe,0x3ffea9ff,0x64404fff,0x00cfffff,0xf9bffcc0,
    0xffd2ffff,0x0fffa805,0x6403fff8,0xffd804ff,0xfff106a3,0xff702981,
    0xbfff710b,0x2aafffe0,0x06ffffcb,0x400fff80,0xfffffffc,0xffffffff,
    0x2009ff74,0x36604ffc,0xfffffffe,0x5413ff25,0x04ffffff,0xfffffd88,
    0xffff7003,0xffffffff,0xffd09fff,0x05ffffff,0x260fffc0,0xffffd001,
    0x4003ffff,0x90001fff,0x37ffe9ff,0x6ffa9fff,0x3fffffe0,0x1fffffff,
    0x7fffffd4,0x7e41ffff,0x9dfff14f,0x27fecc45,0xffffffa8,0x7e41ffff,
    0x54ffc84f,0x3fea7fff,0x2fffd806,0x547fea00,0x04ffffff,0xbfffff91,
    0x3fe20003,0xfffffc8f,0xf003fff5,0xfffa87ff,0x027fe400,0x2201ffe4,
    0x2e000fff,0xfeccceff,0xff01ffff,0xffffffff,0xff0001df,0xfffb801f,
    0xffffffff,0xff94ffff,0x17fee009,0xd9531022,0x3fee3fff,0xfffff505,
    0xfffc809f,0x70200cff,0xffffffff,0x9fffffff,0xffffffd0,0x7fc005ff,
    0xfd00401f,0x3fffffff,0x00fffc00,0xca7fe402,0xf56fffff,0x7fffc0df,
    0xffffffff,0x7fff441f,0xc85fffff,0x1fff74ff,0x8827fec0,0xfffffffe,
    0x84ffc85f,0x3ff64ffc,0x406ffa8f,0x4004fffb,0xffcabffd,0x2e04ffff,
    0x02efffff,0x3e7ffe00,0xf8fffcff,0xffb800ff,0x4027ff46,0xfc804ffc,
    0x7ffc403f,0x3ffee000,0xffffffff,0x3ffffe01,0x005fffff,0x2003ffe0,
    0xccccccca,0x22cccccc,0xfb006ff9,0x01ff985f,0xff9a7fec,0xf7dff507,
    0x3ffa207f,0x3201ffff,0x6666546f,0xccccfffc,0x37ffd02c,0x4003ffd3,
    0x3ee01fff,0x335ffd06,0x7c003ffd,0x1bee01ff,0x7fc53ff2,0xdff52fff,
    0x4cd7ffc0,0x1fff9999,0x2013fee0,0xdff72ffd,0x9fffd501,0x04ffb801,
    0xfc82ffd8,0x37ffe24f,0x3e606ffa,0x00ba85ff,0xffffffff,0x8807ff7d,
    0x1dfffffc,0xfcffe800,0xfcfff8ff,0xfff1007f,0x007ffe65,0x3a013ff2,
    0x7fc402ff,0x3fee000f,0xdfffffff,0x777ffc00,0x00efffee,0x001fff00,
    0x7ffc0000,0x07ffd403,0x4c0bbff2,0x3ffe5ffe,0xd8dffa81,0xdfff700d,
    0x7f403fff,0x0fff800f,0xc8bffa00,0x7ffc007f,0x203ffa01,0x9ff61ffe,
    0xfff00ee8,0x207ff403,0x3ff24ffc,0x81bfea6f,0x3fe01fff,0x13fee01f,
    0x7cc7ffe0,0xffedefff,0x05ffffff,0x3e013fee,0x4ffc81ff,0x7fefffdc,
    0x1dfff106,0xf983ff88,0xefffffff,0x91000dd8,0x01bfffff,0x7ffffec0,
    0xdfffff95,0xcaffec00,0xff9006ff,0x03fff009,0x000fff88,0x3333bfee,
    0xfff0009a,0x0efffd83,0x00fff800,0x3f600000,0x7e440cff,0xfffc86ff,
    0xfffedeff,0x3bff62ff,0xd82ffd40,0x3e9ff31e,0x3ffe01ff,0x00fff801,
    0x350bffa0,0x01fff800,0x3fa07ffe,0xff70541f,0x807ffe05,0x7fe41fff,
    0xa8fffe64,0x3ffe06ff,0x807ffe01,0x7d404ffb,0x7fffe47f,0xffffffff,
    0xff700fff,0x07ffa809,0xffb09ff9,0x3f60dfff,0x5ffa81ff,0xcaabffc8,
    0x03fb06ff,0xfffffd98,0xfffd800c,0xffff32ff,0x7fcc00bf,0x002fff9f,
    0xfa809ff9,0xfff8807f,0x17fee000,0x03fff000,0x000dfff9,0x00001fff,
    0x7ffec400,0xffffedef,0xffffb80e,0xffffffff,0x237ffd44,0xff985ffa,
    0x807ffe04,0xff801fff,0x3ffa000f,0xfff80002,0x207ffe01,0x7e401ffe,
    0x03fff04f,0x3f20fffc,0x50665c4f,0x7ffc0dff,0x807ffe01,0x3ea04ffb,
    0xfffb85ff,0xffdcffff,0x3fee04ff,0x17ffea04,0x7c427fe4,0xfc86ffff,
    0xdff503ff,0xffa8dfd0,0x004ff986,0x7fffffd5,0xfffffc80,0x17ffffa0,
    0xfffffd00,0x27fe400f,0x00bfff50,0x4001fff1,0x40005ffb,0xff701fff,
    0xfff8007f,0x000c0000,0x7fffffec,0xd100dfff,0xffffffbd,0x3fee03bf,
    0xeffbacef,0x5ffb9999,0x9afff998,0xfff99999,0x00fff801,0x337ffd10,
    0xff998001,0x999999af,0x7fc41fff,0x999999af,0x4cc4ffd9,0x9999afff,
    0x641fff99,0x5c401cff,0xfff106ff,0x0bffe205,0x999dffc8,0x0ffffcb9,
    0x03575310,0xffc803fd,0xfcb9999d,0xff900fff,0xffff7039,0x9efffa8d,
    0xffb99999,0x7127fcc6,0x73333dff,0xfb800bff,0x702effff,0xfc8bffff,
    0x5c004fff,0x004fffff,0x26677ff2,0x0ffffcb9,0x3ffe6620,0xffc80099,
    0x4400199d,0xfb00afff,0x4ccc05ff,0x1999fff9,0x0037e400,0x7ffffedc,
    0x5544003d,0xfb8009ab,0xffffffff,0x5fffffff,0x3fffffee,0xffffffff,
    0xfff801ff,0x7fff4400,0x01ffffff,0x7fffffdc,0xffffffff,0xfffd11ff,
    0xffffffff,0x3ee9ffff,0xffffffff,0x1fffffff,0xffffffd3,0xffffe985,
    0x3fffa2ff,0xfff32fff,0x7441ffff,0xffffffff,0x002fffff,0x0c99ff80,
    0x3fffffa2,0xffffffff,0xffffe982,0x7fff42ff,0x7ffffe46,0xffffffff,
    0xdfffff16,0xfffffff9,0x00bfffff,0xfffff910,0x7ffff507,0x03ffff98,
    0x7ffffc40,0xfffe8800,0xffffffff,0x3ffa01ff,0x6fffffff,0xffffff90,
    0xe8807fff,0x0effffff,0x0fffffc4,0xfffffff7,0x09ffffff,0x0003ffa0,
    0x00001a98,0x3ffee000,0xffffffff,0x3fa5ffff,0xffffffff,0x1fffffff,
    0xa807fe80,0xffffffff,0x7ff404ff,0xffffffff,0x51ffffff,0xffffffff,
    0xffffffff,0x3fffffa9,0xffffffff,0xfff71fff,0xfb8bffff,0x15ffffff,
    0xbfffffff,0x3fffffee,0x3fffea2f,0xffffffff,0xf900001e,0x7fd45fff,
    0xffffffff,0xff701eff,0x98bfffff,0x7fe46fff,0xffffffff,0xfff76fff,
    0xffffffff,0xffffffff,0x7e44000b,0xfff985ff,0x2fffe80f,0x5fffc800,
    0xfffff700,0xdfffffff,0x7fffcc03,0x1fffffff,0xfffffff8,0x7dc07fff,
    0x2fffffff,0x24ffff98,0xfffffffe,0x07ffffff,0x00005b30,0x00000000,
    0x7fffedcc,0x5fffffff,0x3fffffaa,0xffffffff,0x3eb801ff,0xfffffb00,
    0xa803bfff,0xfffffffe,0xffffffff,0xfffffb11,0xffffffff,0x3ffaa9ff,
    0xffffffff,0xb11fffff,0x83bfffff,0xdfffffd8,0x3fffff21,0xffffb11e,
    0x7fec41bf,0xcdefffff,0x5c400002,0x7fec43ee,0xcdefffff,0x7ffec402,
    0xffc81dff,0x7ffffe46,0xffffffff,0xbffffb16,0xffffffd5,0x00bfffff,
    0x103bb300,0x3f20bfff,0xf98001ff,0xfb1002ff,0xbdffffff,0x3ff20057,
    0x4fffffff,0xfffffd70,0xd8805dff,0x0dffffff,0x543bff90,0xfffffffe,
    0x002effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x0353004a,0x2aeaa200,0x2a620001,0x000000aa,0x100a9800,
    0x55300035,0x55300013,0x00135103,0x00000000,0x2a880000,0x4c1ba800,
    0x2a20001a,0x1dc400aa,0x0000bb80,0x00000000,0x00000000,0x40098000,
    0x08020028,0x00198054,0xb9802a88,0x88000002,0x999501ba,0x99999999,
    0x30799999,0x10080333,0xc85ffffd,0xfb1fffff,0x3fff6a03,0x6cc03dff,
    0xefffffff,0x3ffa6002,0x4fceffff,0x17fffec4,0x07fffff2,0x25fffea8,
    0x01efffd8,0x7ffffe44,0x7e4402ef,0xd89effff,0xeb81ffff,0x20dfffff,
    0x4ffffffd,0x27ffffdc,0x3fffffb8,0xb7ffff44,0x0cffffd8,0x3b7fff62,
    0xffeadfff,0xffd502ef,0xfffffb7f,0x57ff201b,0xff92cdca,0x7fffffc9,
    0x1fffffff,0x37ffffa6,0x3bffff60,0x7ffffe41,0xfffffd33,0x3fffa609,
    0x70000fff,0x2ffb807f,0x8809ff30,0x33fc80fe,0x05ff01df,0x09fffb30,
    0x27ffffec,0x9000d880,0x545dffff,0xffffffff,0xffffffff,0x27ffdc5f,
    0x067ffe44,0x85fffff5,0xf1ffffff,0xffff903f,0x409fffff,0xffffffff,
    0xfc803fff,0xffffffff,0x3fea0fff,0x7ffc2fff,0xff301fff,0xfd1bffff,
    0x205fffff,0xfffffffa,0xf900dfff,0xdfffffff,0x85ffffff,0xfffffffe,
    0xffffff32,0x7fffc1ff,0xffff07ff,0xfffb8fff,0xffffbeff,0x3fea5fff,
    0xffffffff,0x1fffffff,0xffffffd8,0x0fffffff,0xffffffb8,0x4fffffff,
    0x3ffffffe,0x21ffffff,0x2ffffffc,0xbffffff3,0x7fffffc4,0xffffff97,
    0xffff901f,0x20001fff,0x7fec07ff,0x37ffcc2f,0xfb0bfd30,0x20ffec1f,
    0x7e404ffa,0xdf504fff,0x003ff739,0xff900bfb,0x2a1ff937,0xffffffff,
    0xffffffff,0x07ffec5f,0x3fffffe2,0xffffd10f,0xfffffc85,0xffc87fb9,
    0xfffedeff,0xffffb05f,0x1ffffdbd,0x77fffdc0,0xffffffed,0x3ffffa21,
    0x7ffffe42,0xeffff881,0xefffffff,0x7cc0ffff,0xffdeffff,0xff705fff,
    0xfffffddf,0x41ffffdf,0x6ffffffb,0x7ffffff4,0x7ffffdc4,0xfffff704,
    0xffffe889,0xfeffffff,0xfffd10ff,0xffffddff,0x509fffbf,0xdffffffd,
    0x20bffffb,0xfffffffd,0x3e0effff,0xffffffff,0x3a60ffff,0x7f46ffff,
    0x7e41ffff,0xff53ffff,0x260bffff,0x0ffffffe,0x0fff8800,0x4bfffe20,
    0x501ffff9,0xffe88dff,0x5c2ffd81,0xfc8c05ff,0x13f60204,0x809fff90,
    0x31fec1fd,0x99999997,0xffb99999,0xd84fff8b,0x6ffebeff,0x3a02ffe8,
    0x5c3fffff,0xfc80dfff,0x09a885ff,0x102fff88,0xd303dfff,0x3fa03fff,
    0x07ffa02f,0xffa9bff6,0xfff14fff,0x5ffff449,0x17ffecc0,0x3fea0aa8,
    0x9fff13ff,0x203fff30,0x2602fff9,0x3ffe27ff,0x300bffa0,0x45ffffff,
    0xfffc82da,0x547fffe3,0x3ffa06ff,0x3ffdc0ef,0xd7dffff0,0xfe81ffff,
    0x7fffd41f,0x5ffff901,0x013fffe6,0x7f4c9ff9,0xff8002ff,0x7c41000f,
    0x3e6020ff,0xffffbfff,0x41dff701,0x3601ffe9,0x77fdc4ff,0x4027e400,
    0x202ffca9,0x02fffffa,0x00bfe204,0x997fea00,0x7fc40fff,0x3a0ffe45,
    0x3ffa02ff,0x4ffe80cf,0x803ffdc0,0x09ff9099,0xf101bff6,0x3ffa01ff,
    0x207ffa02,0x7fec1fff,0x87ffdc6f,0x6c02fffb,0x898807ff,0x7fdc6fff,
    0x05ffd80f,0xff00dffb,0x4fffee3f,0x4c00fff8,0x000dffff,0xffd17ff2,
    0xd03ffcc5,0x7ffc0bff,0x43fff881,0x7e41fffa,0x0ffffd47,0x33fffea0,
    0xc803ffff,0xbfff74ff,0x3ffe0001,0x5f7f4400,0xfeb9fff9,0x7fffcc0f,
    0xff901fff,0x0fffd41d,0x717ffa20,0x7e403dff,0x5ffff804,0x3ffffe60,
    0xff3001ff,0x3ea0000d,0x20ffee5f,0x7fcc1ffa,0xd017ff42,0x3fe203ff,
    0x2fff8806,0xfffffc88,0xfd04ffff,0x0bf9005f,0xfd017ff4,0x87ff983f,
    0xcccefffb,0xff91fffc,0x9999999d,0x503fffb9,0xfffffffb,0xfff9999d,
    0x83fff303,0xd802fff8,0xdfffd3ff,0x2601bfea,0xc8003fff,0x0fff44ff,
    0x7f40fff3,0x07ffa02f,0x7f41bfea,0xf505443f,0x26003fff,0x2fffffff,
    0xfbbff900,0xf80007ff,0x7fd400ff,0xffffffff,0xff982fff,0xfd881fff,
    0x3ffee0ef,0xdffd1002,0x817ffe41,0xdb9804fc,0xfff882ff,0x00ffff9f,
    0x0002ffdc,0x7f4bff50,0xa87ff307,0x17ff42ff,0x2e03ffd0,0xff9004ff,
    0xfffffb89,0x84ffffff,0x1000fff8,0x202ffe80,0x7fdc1ffe,0xfffff884,
    0xd2ffffff,0xffffffff,0x5fffffff,0x7ffffec4,0xffffffff,0xfb02ffff,
    0x06ffc8bf,0xff3bff70,0x9ff93fff,0x00dff300,0xfd13ff20,0x03ffcc3f,
    0x7f405ffd,0x04ffc81f,0xfa80bff7,0x4c001fff,0x001fffff,0x3ffffff2,
    0x3e0000df,0xffd800ff,0xffffffff,0xffff305f,0x9fff905f,0x0077ffcc,
    0x5c5fffb0,0x9f905fff,0xe86fc800,0xfff31fff,0x7ffb101d,0xffa80000,
    0x2207ff15,0xffd31eff,0x202ffe81,0xff901ffe,0x97fee009,0xfffffffb,
    0x884fffff,0x200007ff,0x3fa02ffe,0x427fe41f,0xfffffff8,0xffd3ffff,
    0xffffffff,0x227fffff,0xffffffff,0xffffffff,0xff303fff,0x0bffe23f,
    0x7e7ffcc0,0xffecffff,0x06ff9802,0xe89ff900,0x1ffe61ff,0x3a02ffe8,
    0x6ffb81ff,0x5407ffd0,0x4001ffff,0xdfffffd8,0xffff9000,0x003dffff,
    0x4003ffe0,0xfffffeb8,0xfff300be,0xf705ffff,0x7ff4c7ff,0xeffd800e,
    0x80fffee1,0x7d4004fc,0x217ffec6,0x7cc5fffa,0x800001ff,0x0df55ffa,
    0xffffffb8,0x02ffe84f,0x7cc07ffa,0x5ffb006f,0x8b3bffe2,0xf04ffd98,
    0x200001ff,0x3fa02ffe,0x43ffd41f,0xcccdfffb,0xffb1cccc,0x9999999d,
    0x2e599999,0xf309cfff,0x99999bff,0x7ff40399,0x800dff95,0xfdffffff,
    0x800fffff,0x90006ff9,0x1ffe89ff,0xfe81ffe6,0x07ffa02f,0xf30bffe6,
    0x3fea03ff,0x744001ff,0xefffffff,0x2fffc800,0x000dfffb,0x70003ffe,
    0x407fffff,0xffbffff9,0xffe982ff,0x03bff624,0x2e0dffd8,0xed981eff,
    0x361defff,0x2ffdccdf,0x6413ffe6,0xfff32fff,0x005ddddd,0x2a9ff300,
    0xfffc801f,0x5ffd05ff,0x807ffe20,0x7d403fff,0x1fff70ff,0xd827fec0,
    0x151004ff,0x440bffa0,0x7fcc1fff,0x2fffec1f,0x01fffb80,0x20bff700,
    0x20005fff,0xfffafffa,0x7ffec003,0xffffe8ff,0x0dff3007,0xd13ff200,
    0x3ffcc3ff,0x7405ffd0,0xffff01ff,0x1ffffb7b,0x83ffff50,0xfe980dd8,
    0xffff94ff,0x44ffc803,0x8004fffc,0x26000fff,0x1fffffff,0x31ffff98,
    0xb103ffff,0xeffb89ff,0x21fff440,0xf700dffb,0x49ffffff,0x4fffffeb,
    0x3602ffc4,0xffff31ff,0x0009ffff,0x40007b60,0x3601cdc9,0x7fe445ff,
    0x3ff602ff,0xfffc80cf,0x203bfee6,0x80cfffea,0x200cfffb,0xffb05ffb,
    0xffffc88b,0x2a6ffe82,0x221fffff,0x3ffe23ca,0xcb9880af,0x887ffe63,
    0x221ffffe,0xffe803db,0xb8007fff,0xff75ffff,0xb9880bff,0x09999eff,
    0x744ffc80,0x1ffe62ff,0xf017ff44,0xfff905ff,0xffffffff,0xaffffa8b,
    0x2ffb9999,0x21ffffcc,0x102ffffb,0xfd819ffb,0x26601aff,0x999fff99,
    0x4ffff401,0xffd86fff,0x2fffcc1f,0xf989ff70,0x20ffec6f,0x98803ffb,
    0x26009999,0x00530099,0x3333306a,0x00001333,0x70000000,0xffdbffff,
    0x20bfffff,0xdeffffd8,0x20effffe,0xedeffff9,0xffffffff,0xeffffd85,
    0xffffeece,0xbdfff706,0xfffffffd,0xdffff98b,0xdfffffff,0x262ffffe,
    0xedffffff,0x22ffffff,0xffeeffff,0xfedfffff,0x7d402fff,0x8003ffff,
    0xf11ffff9,0x7f407fff,0xffffffff,0xfe880eff,0xffd1efff,0x3fffe6bf,
    0x3fffff62,0x3fffea0f,0x3fffee5f,0xffffffff,0xfffff14f,0xffffffff,
    0x7fffff49,0xffffd10f,0x7ffe41df,0x3fe25fff,0x3ee2ffff,0xffffffff,
    0xf984ffff,0x3fff31ff,0xd301ffb8,0x0ff9807f,0xdf897ec4,0x0001fe80,
    0x00000000,0x00000000,0xe8800000,0xffffffff,0x200fffff,0xfffffffd,
    0xffc80dff,0xffffffff,0xe80fffff,0xffffffff,0xd101ffff,0xffffffff,
    0xc81fffff,0xaeffffff,0xfffffffe,0x7fffdc1f,0xffffffff,0x3fffa21f,
    0xffffffff,0x01ffffff,0x007fffe8,0xfb1fffe0,0x3fe603ff,0xffffffff,
    0xffa82fff,0xffd3ffff,0xffff31ff,0x3ffffe2b,0x3fff63ff,0xdff90fff,
    0xb17bdb71,0x3ffe6bff,0xffffffff,0xffff34ff,0x3fe65fff,0x3e2fffff,
    0x0fffffff,0x93ffffee,0xfffffffe,0x87ffffff,0x7fdc3ff8,0x04400980,
    0x10a01880,0x00000000,0x00000000,0x00000000,0x7ff44000,0xffebdfff,
    0xffdb804e,0x5c03efff,0xcfffffff,0x204efffd,0xffffffea,0x74400cff,
    0xebefffff,0xff504eff,0x3fa21dff,0x100cefff,0xfffffffb,0xfd1039df,
    0xb9d9dfff,0x039fffff,0x00fffea0,0x544ffd80,0x7fe407ff,0xffffffff,
    0xffd880df,0xdffd0dff,0x87bffe69,0x0dffffeb,0x93bfffa6,0x1b9004d8,
    0x3fffffe6,0x4fffffff,0x37fffff2,0x3fffff20,0x7ffff5c5,0xdfffe84e,
    0x3ffffaa1,0xefffffff,0x00040202,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02aa2000,0x03530000,0x1aba9880,0xbaa98000,0xa88001aa,
    0x510000ab,0x02aa6035,0x33575300,0x80d54400,0x00000aa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33310000,0xa8809998,0x999301ac,0x99999999,0x31059999,
    0x2a603797,0x002601aa,0x10002000,0x220b2a00,0x99999999,0x99999999,
    0xbbbbb819,0xbbbbbbbb,0x9b307b20,0xcccccb98,0xcccccccc,0x001ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f400000,0xbfff10ff,0xdfffffc8,
    0x3ffffe20,0xffffffff,0x3ea1ffff,0xa84fffff,0xffb83fff,0x260300ef,
    0x802fcc3f,0x1bf912fc,0xfe8fffea,0xffffffff,0xffffffff,0x3ffe0fff,
    0xffffffff,0x8bff50ff,0xfff12ffc,0xffffffff,0xffffffff,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x23ffe400,0x3ff64fff,0x226ffcad,
    0xffffffff,0xffffffff,0x2af36a1f,0x7fcc0ffb,0x7fffec2f,0x437ec1ff,
    0x77fc44fa,0x21ffb100,0xff94fffc,0x3fffe2df,0xffffffff,0xffffffff,
    0x3ffffe2f,0xffffffff,0xfb89ff10,0x3ffffe1f,0xffffffff,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd1bfee,0x3a03fea7,
    0x3332e63f,0xcccccccc,0x55301bcc,0xff887fb5,0x3fffee1f,0xffb2ffff,
    0x885ff50f,0x7f4c1ffe,0x57fff21e,0x3ae3fffa,0xffffffff,0xffffffff,
    0x555544ef,0xaaaaaaaa,0x04c0620a,0x2eeeeee2,0xbbbbbbbb,0x001bbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7d400000,0xc97fec5f,0x00bf703f,
    0x7ff4c000,0xff83ffff,0x557ffe0f,0xffffffff,0x80fffa84,0xbff11ffd,
    0x21efe981,0x000001a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cc00000,0xd8ffe44f,0x00bf503f,0x3bfe2000,0xe83fecbc,
    0x262fe47f,0x44fffffe,0x02febdfa,0x013e65f7,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7c400000,0xf53fdc3f,
    0x23fe883f,0xccccccc9,0xcccccccc,0xfb113f22,0x010dfb07,0x20fbff22,
    0x006ffffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x23fd41ff,0xffeceffd,0x3ffffe26,0xffffffff,
    0xff51ffff,0x9dfffb99,0x30005fc8,0x00aca880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2fc40fd8,
    0x3fffff22,0x3fffe20c,0xffffffff,0x321fffff,0xffefffff,0x0013ee0f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x28800000,0x2a620150,0x99973009,0x99999999,0x2a603799,
    0x3d101311,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_36_latin_ext_x[560]={ 0,6,4,1,2,2,3,7,8,3,2,1,6,2,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,0,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,6,1,-1,1,0,1,2,1,0,1,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,7,5,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,4,1,-1,2,-1,-2,4,1,4,4,6,0,1,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,1,0,1,2,1,
2,1,2,1,2,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,2,1,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_36_latin_ext_y[560]={ 26,5,6,4,3,6,8,6,5,5,5,7,21,15,
22,3,5,5,5,5,5,5,5,5,5,5,11,11,7,12,7,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,5,3,5,4,32,4,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,26,12,4,6,9,7,
5,5,6,7,5,12,15,15,7,1,2,3,5,5,4,11,5,13,24,5,5,12,5,5,5,12,-1,-1,0,1,
1,-1,7,6,-1,-1,0,1,-1,-1,0,1,7,1,-1,-1,0,1,1,10,5,-1,-1,0,1,-1,7,5,4,4,
5,6,6,4,11,11,4,4,5,6,4,4,5,6,5,6,4,4,5,6,6,8,10,4,4,5,6,4,5,6,
2,7,0,5,7,11,-1,4,0,5,0,5,0,5,0,5,7,5,2,7,0,5,0,5,7,11,0,5,0,5,
0,5,0,5,6,3,0,0,7,5,1,6,2,7,0,5,7,5,0,11,7,5,0,5,7,5,11,-1,-1,7,
5,7,5,7,5,7,5,-1,4,7,11,0,5,6,6,11,2,7,0,5,-1,4,7,11,-1,4,7,11,0,5,
-1,4,0,5,6,11,0,5,7,6,0,5,7,6,1,6,2,7,0,5,-1,4,-1,4,7,11,0,5,0,5,
1,-1,4,0,5,0,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,10,6,6,6,6,6,6,6,6,6,6,6,6,6,3,11,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,0,5,0,
5,0,5,-1,2,-1,0,-1,0,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-7,-2,-1,4,-1,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_36_latin_ext_w[560]={ 0,6,11,17,15,15,15,5,8,8,15,17,8,15,
5,15,15,15,16,15,15,15,15,15,15,15,5,8,19,19,19,14,14,21,19,18,18,18,18,18,19,15,19,20,
18,21,20,19,18,19,20,17,17,19,21,21,19,19,15,9,15,9,15,23,7,18,20,18,20,17,17,18,19,17,
13,18,16,21,19,17,20,19,18,15,17,19,20,21,19,19,15,9,5,9,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,14,18,15,19,
5,17,11,21,12,17,19,15,21,23,11,17,10,11,7,19,17,5,7,9,11,18,20,23,19,14,21,21,21,21,
21,21,21,18,18,18,18,18,15,15,15,15,19,20,19,19,19,19,19,13,19,19,19,19,19,19,18,17,18,18,
18,18,18,18,21,18,17,17,17,17,17,17,17,17,17,19,17,17,17,17,17,17,19,19,19,19,19,19,20,19,
21,18,21,18,22,19,18,18,18,18,18,18,18,18,18,23,19,20,18,17,18,17,18,17,19,17,18,17,18,18,
18,18,18,18,18,18,19,19,19,19,15,17,15,17,15,17,15,17,15,17,20,19,19,13,20,18,19,18,16,18,
16,18,16,18,16,19,17,20,19,20,19,20,19,20,18,16,19,17,19,17,19,17,21,21,20,18,20,18,20,18,
17,15,17,15,17,15,17,15,17,17,17,20,17,18,19,19,19,19,19,19,19,19,19,19,19,19,21,21,19,19,
19,15,15,15,15,15,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,19,17,17,17,17,17,17,17,17,17,17,17,17,17,22,21,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,18,15,17,19,
17,19,19,19,19,19,19,19,19,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,18,21,21,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_bold_36_latin_ext_h[560]={ 0,22,10,25,27,21,19,10,26,26,15,19,11,4,
5,27,22,21,21,22,21,22,22,22,22,22,16,19,19,10,19,21,24,19,19,21,19,19,19,21,19,19,20,19,
19,19,19,21,19,25,19,21,19,20,19,19,19,19,19,26,27,26,12,4,7,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,26,26,26,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,21,23,20,15,19,
26,24,4,20,10,14,11,4,20,4,11,23,12,12,7,22,24,6,8,12,10,14,21,21,21,21,27,27,26,25,
25,27,19,26,27,27,26,25,27,27,26,25,19,25,28,28,27,26,26,14,24,28,28,27,26,27,19,22,23,23,
22,21,21,23,16,21,23,23,22,21,22,22,21,20,22,20,23,23,22,21,21,18,19,23,23,22,21,29,28,27,
24,20,26,22,24,19,28,23,27,22,27,22,27,22,26,22,19,22,24,20,26,22,26,22,24,20,26,22,27,28,
27,28,27,28,27,30,26,26,19,21,25,20,24,19,26,21,24,26,26,15,20,28,27,28,26,28,15,27,27,26,
28,19,21,19,21,19,21,27,22,26,22,26,21,20,21,22,25,20,27,22,28,23,19,16,27,22,26,22,26,21,
28,23,27,22,27,21,27,22,28,28,26,22,19,21,26,21,25,20,27,22,28,23,28,23,24,20,26,21,26,28,
25,27,22,26,21,26,21,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,25,20,20,20,
20,20,20,20,20,20,20,20,20,20,21,17,20,20,20,20,20,20,20,20,20,20,20,20,20,24,16,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,26,22,26,21,27,
22,27,22,28,25,28,27,28,27,28,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,33,29,27,23,30,25,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_bold_36_latin_ext_s[560]={ 508,502,1,117,20,192,493,58,498,501,355,
43,491,142,112,247,319,414,318,250,246,313,266,486,1,151,506,500,298,25,298,
174,248,397,419,227,362,99,61,208,439,477,218,257,238,137,239,394,399,41,418,
120,381,198,340,318,318,278,260,475,426,391,444,170,90,41,1,60,444,121,246,
465,303,340,468,157,323,223,245,23,22,406,204,495,358,79,161,182,297,167,281,
437,447,381,64,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,508,504,495,
21,265,357,502,299,158,158,45,385,471,142,447,118,500,442,460,432,98,484,381,
106,82,422,13,403,79,55,100,21,250,74,142,1,469,263,276,180,1,55,335,
491,272,115,261,176,219,135,101,239,328,122,82,371,263,279,318,308,41,288,338,
426,460,1,368,36,189,213,139,99,59,77,243,81,205,187,118,180,133,1,133,
232,55,282,335,457,377,193,39,261,136,62,372,348,340,487,199,370,399,199,161,
20,368,387,387,93,442,389,277,408,179,329,362,429,296,350,1,282,422,411,388,
468,213,412,461,200,36,299,96,23,429,315,159,262,101,469,283,439,485,300,212,
370,354,337,79,482,285,338,221,393,317,207,190,242,431,118,448,80,465,23,482,
151,35,61,223,20,1,40,138,451,449,140,131,17,448,95,1,99,226,432,326,
351,305,264,1,479,480,281,172,208,232,297,19,37,363,112,459,392,401,283,156,
100,406,73,75,113,55,151,228,120,453,224,102,352,61,177,335,347,376,421,176,
430,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,375,61,61,23,
61,61,61,61,61,61,61,61,61,61,61,61,61,353,475,61,61,61,61,61,
61,61,61,61,61,61,61,61,317,1,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,407,300,
164,156,137,43,117,61,259,192,219,157,180,193,141,121,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,1,82,95,171,42,81,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61, };
static unsigned short stb__courier_bold_36_latin_ext_t[560]={ 1,145,295,119,64,215,237,295,35,64,278,
258,278,295,295,64,145,192,192,145,192,169,145,145,169,169,215,192,258,295,237,
192,119,237,237,192,258,258,258,192,237,237,237,237,237,258,258,192,258,119,258,
215,258,237,258,258,237,237,258,64,35,64,278,295,295,278,192,278,169,278,215,
169,215,215,1,215,215,278,278,278,192,169,278,258,215,278,278,278,278,169,278,
64,64,64,295,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,1,169,119,
237,278,237,1,119,295,237,295,278,278,295,215,295,278,119,278,278,295,169,119,
295,295,278,295,278,215,215,215,215,35,64,92,119,92,64,258,92,64,64,92,
92,35,64,92,119,258,119,1,1,35,92,92,278,119,1,1,35,92,35,237,
169,119,145,169,215,192,145,278,192,145,145,169,192,169,169,192,237,169,237,145,
145,169,192,192,258,237,145,145,169,192,1,1,35,119,215,92,145,119,258,1,
145,35,169,35,169,35,145,92,145,258,169,119,215,92,169,92,145,119,215,92,
145,35,1,35,1,64,1,64,1,92,92,258,192,119,215,119,258,64,192,119,
92,92,278,237,1,64,1,92,1,278,64,64,92,1,258,192,258,192,258,192,
64,169,92,169,92,215,237,215,145,92,237,64,169,1,145,258,278,64,145,64,
145,64,215,35,119,35,169,64,215,35,169,35,35,64,169,237,215,64,215,119,
237,35,169,35,145,35,145,119,237,64,215,92,1,119,35,145,64,215,64,215,
192,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,192,237,237,119,
237,237,237,237,237,237,237,237,237,237,237,237,237,192,258,237,237,237,237,237,
237,237,237,237,237,237,237,237,119,278,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,92,145,
92,192,35,192,35,192,1,119,1,35,1,35,1,1,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,1,1,35,145,1,119,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237, };
static unsigned short stb__courier_bold_36_latin_ext_a[560]={ 305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_36_latin_ext(stb_fontchar font[STB_FONT_courier_bold_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_36_latin_ext_s[i] + stb__courier_bold_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_36_latin_ext_t[i] + stb__courier_bold_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_36_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_36_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_36_latin_ext_x[i] + stb__courier_bold_36_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_36_latin_ext_y[i] + stb__courier_bold_36_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_36_latin_ext_s[i] + stb__courier_bold_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_36_latin_ext_t[i] + stb__courier_bold_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_36_latin_ext_x[i] + stb__courier_bold_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_36_latin_ext_y[i] + stb__courier_bold_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_36_latin_ext_LINE_SPACING
#endif

