// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT        322
#define STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_37_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_37_latin_ext_LINE_SPACING          17

static unsigned int stb__courier_bold_37_latin_ext_pixels[]={
    0x00001000,0x88000010,0x6c40004c,0x55553001,0x55555555,0x20015555,
    0x2e000001,0x00000004,0x00000200,0x4cc40000,0x00999999,0x00000c00,
    0x00600000,0x00c40310,0x00001730,0x44001300,0x44000c01,0x2000003d,
    0x32e0005c,0x02d9804c,0x00260000,0x30000000,0x2b880001,0x07f70000,
    0x037dc000,0x06fe8800,0xb0036c00,0xffffffff,0xffffffff,0x03df7003,
    0x0ffd8000,0x005f5000,0x3efc8800,0x506f4000,0xffb8007f,0xffffffff,
    0x3df70000,0x6d880000,0x1bfb1000,0x6403fa00,0x0bff001f,0x6fb80000,
    0x5033fa00,0xf88005ff,0x4400005f,0x3a0006fe,0x7cc00fff,0x4400004f,
    0x32002ffc,0x4400003f,0x20002ffc,0x20000ffc,0x0001ffd8,0x0007ff90,
    0x001dff50,0xb000fdc0,0xffffffff,0xffffffff,0x7fff4c03,0xe880004f,
    0x220002ff,0x200004fe,0x002fbaed,0x3f6ffea0,0x5544000e,0x1aaaaaaa,
    0xfffe9800,0xd300004f,0xff50005f,0xfb007fff,0x003ff50b,0x0000fff3,
    0x0017fec0,0xf913dff7,0x3ea000df,0x980000ef,0x20001fff,0xb800fffe,
    0x80000dff,0x0dffffea,0x007ffcc0,0xfffe9800,0xfe8000df,0xfd10002f,
    0xb100005f,0x700007ff,0x80001bff,0x3f6001ee,0xffffffff,0x1fffffff,
    0xf95fff70,0x260003df,0x00001eff,0x10000bf9,0x0002e45f,0x0013ffa2,
    0xf7000000,0x3dff95ff,0x0ffcc000,0x577fe400,0x2600dffe,0xffecdfff,
    0x0fff3005,0xffd10000,0xffd30005,0x80009fff,0x0001fff9,0x0003bfea,
    0x001ddd90,0x0003bfea,0xfcaeffc8,0x7ffc01ff,0xffc80004,0x01fffcae,
    0x2b7ffe60,0xdff10018,0x3fa00003,0xff00001f,0xff100009,0x3ff6003f,
    0x3e17ff44,0xdff981ff,0x001bfea0,0x80006ff4,0xb92e1fe8,0x23f8004f,
    0x77cc004e,0x06fa86e0,0x3ea0df30,0x37fe6006,0x401bfea0,0x41b31fe8,
    0x7fdc04fb,0x2027fdc4,0x4fffffe9,0x01ffe600,0x07bfa000,0x3dff9000,
    0x3fa20000,0x17fa0005,0x20000000,0x30004fe9,0x6fe989ff,0x007ffdc0,
    0x989ff300,0xfd9806fe,0x5fffffff,0x000dfa80,0x001df100,0x0000d400,
    0x002fff88,0xffe89ffb,0x440fffc2,0x0059102c,0x50000ea0,0x3fec07ff,
    0x7f6fe400,0x0ffdc001,0x7001ff90,0x3ff903ff,0x440b2200,0x7ff5002c,
    0x2203fec0,0x0039101c,0x4006b2ea,0xaafffca9,0x000aaaaa,0x00000de8,
    0x20000093,0x0aa0001a,0x80000000,0x710000b8,0x22015c03,0x40003fff,
    0x500ae01b,0xffffffff,0x01001fff,0x00040000,0x09d50000,0xd800b260,
    0x17ff44ff,0x00007ffe,0x80000000,0x0f6600dc,0x00ef5400,0x26026c40,
    0x09b1004d,0x00001362,0x401b9000,0x000003d9,0xffa80000,0xffffffff,
    0x35006fff,0xa8001510,0x0000a881,0x00000000,0xaaaaaaa8,0x0d402aaa,
    0x00000544,0x07ffc800,0xe8000000,0xffddffff,0x64401fff,0x80000cff,
    0x0002efeb,0x8b3772a2,0x0000fff9,0xe87ff900,0x07ff42ff,0x3deedb98,
    0x88155553,0x5101aaaa,0x00003555,0x00000000,0x00000000,0x35555100,
    0x06aaaa20,0x54400000,0xaaaaaaaa,0x3b6e602a,0x555533de,0x7ffffdc1,
    0xffffffff,0x0ffe400f,0x64003ff6,0x07fec1ff,0x3772a200,0x9510001b,
    0xfd0037bb,0xffffffff,0x0ffe40ff,0xa8803ff6,0xa980aaaa,0xff101aaa,
    0xa880007f,0x9801bddc,0xff982fff,0x5df6400f,0x7cc0003f,0x70007d9c,
    0xdfffffff,0x4c0dfff5,0x533deedb,0x7fcc1555,0x3217ff40,0xffff705f,
    0xfffdffff,0x3ffe21ff,0x7fc45fff,0x5445ffff,0xa980aaaa,0xaa881aaa,
    0xaa980aaa,0xaaa881aa,0xaaa980aa,0xaaaa881a,0xaaaa980a,0x7ffffc41,
    0x7fffc45f,0x555445ff,0xaaa980aa,0xffffd81a,0x07ffffff,0xfffffff7,
    0x1fffffdf,0x3fffb6e2,0x2deeeeee,0x7c2ffd80,0xffb001ff,0x001fff85,
    0x3fffffee,0x3ee001ef,0x1effffff,0x3fffffe0,0x207fffff,0x7ffc2ffd,
    0xfffff301,0x7fffc9ff,0xffb06fff,0x7fdc000d,0x01efffff,0xfb817fee,
    0xd917c405,0x226c8000,0x3f62002f,0xffffffff,0xf702ffff,0xdfffffff,
    0x041fffff,0x0082ffe8,0xfffffffd,0xffffffff,0x3ffffe23,0x7fffcc6f,
    0x3ffe66ff,0x3fe4ffff,0x266fffff,0x4fffffff,0x3ffffffe,0x3ffffe66,
    0x3fffe4ff,0x3fe66fff,0x3e4fffff,0x26ffffff,0x6ffffff8,0x7fffffcc,
    0x3ffffe66,0x3fffe4ff,0x7ff46fff,0xffffffff,0xfffffe87,0xffffffff,
    0x7ff981ff,0x85e98000,0x3a6004ea,0x1004ea85,0xfffffffb,0xd8805fff,
    0xffffffff,0xdd9302ff,0xfffddddd,0x7542f4c0,0x3fffee04,0xfff36fff,
    0x301fffff,0x88005fff,0xfffffffd,0xff302fff,0x7d00001f,0x2e0002ec,
    0xd8003e67,0xfdbdffff,0xd04fffff,0xffffffff,0x3fffffff,0x005ffd00,
    0x2b3fffee,0xffffffcb,0x7fff543d,0xfffeb81c,0x3fffee1d,0xfff36fff,
    0x2e1fffff,0x6fffffff,0xfffffff3,0x3fffee1f,0xfff36fff,0x2e1fffff,
    0x6fffffff,0xfffffff3,0x7fff541f,0xfffeb81c,0x3fffee1d,0xfff36fff,
    0x4c1fffff,0xeeeeeeec,0x7ffdc7ff,0xfffcbacf,0xf303dfff,0x000000ff,
    0x80000000,0xcbdffffd,0x203ffffe,0xcbdffffd,0x003ffffe,0x0007ff98,
    0x3fff6200,0x3fb22dff,0x3603efff,0x7ec006ff,0xfecbdfff,0xffd03fff,
    0x200037bf,0x002fddfb,0x2feffc40,0x1bfff700,0x03ffff90,0x759ffff7,
    0xbffffff9,0x0bffa007,0x037ffe60,0x813fffe6,0x3601fffa,0xffd886ff,
    0x3b22dfff,0x223effff,0x2dfffffd,0x3bffffb2,0x3ffff623,0x3ffb22df,
    0x3f623eff,0x322dffff,0x83effffe,0x3601fffa,0xffd886ff,0x3b22dfff,
    0x003effff,0xff33ffcc,0xfff301bf,0x7ff9809f,0x00000000,0x3ee00000,
    0xffa80dff,0xfffb80ff,0xffffa80d,0x3ffcc000,0x7e400000,0x1fff804f,
    0x00fffcc0,0x80dfffb8,0xb80ffffa,0xdfffffff,0x0eed4002,0x2db88000,
    0x17ffe200,0x2fffffcc,0x2037ffe6,0x004ffff9,0x5c017ff4,0x3ea00fff,
    0x7ff404ff,0x07fff306,0x7c027fe4,0x9ff901ff,0x203fff00,0xff804ffc,
    0x09ff901f,0x7403fff0,0xfff306ff,0x027fe407,0x4000fffc,0x3fee7ff9,
    0x3ffea00f,0x03ffcc04,0x1aaaa880,0x81aaaa98,0x981aaaa8,0xf881aaaa,
    0x7fc405ff,0x2fffc45f,0x017ffe20,0xa88fff30,0xaa981aaa,0x9ff901aa,
    0x003fff00,0xf100bffd,0xff880bff,0xffff705f,0x003dffff,0x00000000,
    0x101fff90,0x3ffffffd,0x9007ffdc,0xe8009fff,0xffd802ff,0x04ffe804,
    0x6c17ffcc,0x7fe406ff,0x01fff804,0xff009ff9,0x13ff203f,0x6407ffe0,
    0xfff804ff,0x0bffe601,0xf901bff6,0x3fff009f,0x4fff3000,0xfe804ffd,
    0x3ffcc04f,0x7fffcc00,0x7fffe43f,0x7fffcc5f,0x7fffe43f,0x0fffc85f,
    0x21fffa80,0xa800fffc,0x26001fff,0x3ffe67ff,0x7ffe43ff,0x9ff905ff,
    0x003fff00,0xc803fff5,0xfa800fff,0xdb5101ff,0x01dfffff,0x55555551,
    0x2ea20003,0x803ceeed,0xffb03ffd,0x6c7fff7f,0x7fc404ff,0x7ff4004f,
    0x02ffe802,0xe804ffd8,0x7ffcc6ff,0x027fe403,0xfc80fffc,0x1fff804f,
    0xf009ff90,0x3ff203ff,0x01fff804,0x3e637ff4,0x7fe403ff,0x01fff804,
    0x3a7ff980,0xffd802ff,0x03ffcc04,0x7ffffd40,0x7ffffec3,0x7ffffd45,
    0x7ffffec3,0x003ffe85,0xffe8fffa,0x0fffa003,0x2a7ff980,0x6c3fffff,
    0x905fffff,0xfff009ff,0x17ffa003,0x4007ffd0,0x51003ffe,0xf989fffd,
    0x6fffffff,0xffffb800,0x02ffffff,0x3ee07ffe,0x4bffb4ff,0xfd802ffe,
    0x7ff4004f,0x03ffe802,0x9804ffd8,0x3ff62fff,0x04ffc806,0xf901fff8,
    0x3fff009f,0x2013ff20,0xff901fff,0x03fff009,0x362fff98,0xffc806ff,
    0x01fff804,0x3a7ff980,0xffd803ff,0x03ffcc04,0x7ffedc04,0x7ff76443,
    0x3fffdb85,0x2fff7644,0x9000fffc,0x0fffc9ff,0x009ff900,0x36e3ffcc,
    0x76443fff,0xff905ffe,0x03fff009,0x803ffee0,0x32001fff,0x002e64ff,
    0xffb8bffb,0x2fffffff,0x7ffff400,0x1fffffff,0x540fff88,0x3fee6fff,
    0x200fffa6,0x98804ffe,0x019bffe9,0xf1017ff2,0x3f6009ff,0x05fff36f,
    0xf009ff90,0x3ff203ff,0x01fff804,0xff009ff9,0x13ff203f,0x2007ffe0,
    0xfff36ffd,0x09ff9005,0x0003fff0,0x7fe4fff3,0x27ffc405,0x10fffe20,
    0x360dfd95,0x3fee03ff,0x80fff605,0x7fc45ffb,0xb7fdc007,0x5c007ff8,
    0x3e6006ff,0x07ffb07f,0xfc82ffdc,0x1fff804f,0x413ffe00,0x5c007ff8,
    0x017fe6ff,0xfd88dff7,0x5fffffff,0x6f7fdc00,0x5fffdbac,0x7c47ff98,
    0x3fea0fff,0x5017ff27,0xfe809fff,0xffffffff,0x2fffa82f,0x013fff20,
    0x7ed7ffcc,0x9ff9006f,0x203fff00,0xff804ffc,0x09ff901f,0x3203fff0,
    0xfff804ff,0xafff9801,0xf9006ffd,0x3fff009f,0x4fff3000,0x3202fffa,
    0xff804fff,0xfffeefff,0xffd80fff,0x817fee03,0x3ee03ffd,0x03ffcc5f,
    0x7cdffea0,0x7fd4007f,0x1ffe6007,0xf701ffec,0x13ff20bf,0x8007ffe0,
    0xf980fffb,0x7fd4007f,0x403fff37,0x7e405ffe,0x000fffff,0x1bfee004,
    0xfe87ffe2,0x2ffdc1ff,0x6c05fff5,0x3e204fff,0xffffffff,0xfffd04ff,
    0xffffd887,0x3fff6004,0xf9002fff,0x3fff009f,0x2013ff20,0xff901fff,
    0x03fff009,0x3e013ff2,0xffb001ff,0x2005ffff,0xff804ffc,0xff98001f,
    0x21ffff47,0x04ffffd8,0xffffffa8,0xb04fffff,0x7fdc07ff,0x80fff605,
    0x7fc45ffb,0x3fee000f,0x001fff15,0x3002ffdc,0x3ff60fff,0x417fee03,
    0xff804ffc,0x3fe2001f,0x0fff883f,0x557fee00,0x989cffff,0x403fffec,
    0x3fffcfff,0x57531000,0x3e0fff55,0x7fff93ff,0xfe89ff90,0x7fec43ff,
    0x7f6404ff,0xdfffffff,0xfffff301,0xfffffffd,0x7ffcc009,0x3f2006ff,
    0x1fff804f,0xf009ff90,0x3ff203ff,0x01fff804,0xff009ff9,0x3fe6003f,
    0x32006fff,0xfff804ff,0x7ff98001,0x77ffffcc,0x4fffffff,0xffffd500,
    0x6c039fff,0x3fee03ff,0x80fff605,0xfff85ffb,0x93ff2001,0x32001fff,
    0x3e6004ff,0x07ffb07f,0xfc82ffdc,0x1fff804f,0x83ffe400,0x32001fff,
    0xffff54ff,0xffffffff,0x9fffa80d,0x4c006ffc,0xfffffffe,0xbffd07ff,
    0xf10bfff7,0xfff985ff,0xffffeeff,0x000004ff,0xffffff50,0x09ffffff,
    0x2ffffd80,0x013ff200,0x7e407ffe,0x1fff804f,0xf009ff90,0x3ff203ff,
    0x01fff804,0x0bffff60,0x804ffc80,0x98001fff,0xfffa87ff,0xffffffff,
    0x5d4c004f,0xffb0009a,0x02ffdc07,0x7dc07ffb,0x04ffd85f,0x6c7fff10,
    0xff1004ff,0x7fcc007f,0x407ffb07,0xff705ffb,0x03fff00b,0x83fff880,
    0xf1004ffd,0x3ffe27ff,0xffffffff,0xaffec00d,0x9002fff8,0xffffffff,
    0x3ee0ffff,0x80efffff,0xfa80fffc,0xffffffff,0x00004fff,0x3fff6200,
    0x4ffcbfff,0x37ffcc00,0x017fee00,0x7dc07ffe,0x1fff805f,0xf00bff70,
    0x3fee03ff,0x01fff805,0x01bffe60,0xf00bff70,0xf30003ff,0x3ff620ff,
    0xffcbffff,0x20000004,0x3ee03ffd,0x0fff605f,0xfb85ffb8,0xffc801ff,
    0x07ffee0f,0x003fff20,0xfb07ff98,0x2ffdc07f,0x200fffa8,0x90007ff9,
    0xfff70dff,0x1fff9003,0x7ff656dc,0xf8802dff,0x17ff62ff,0x3fffff20,
    0x7fffffef,0x3fffffa0,0x04fffa81,0x3fffff62,0x004ffcbf,0x0000ffe4,
    0x7fe43553,0x7ffd4004,0x7ffd4002,0x81ffe600,0x2600fffa,0x3fea07ff,
    0x1ffe600f,0x200fffa8,0x54007ff9,0x54002fff,0x3e600fff,0xff30007f,
    0x4355300f,0x6c004ffc,0xffd8006f,0x0bffb104,0xd8827fec,0xdffd05ff,
    0x1fffd401,0x50077ff4,0xc8007fff,0x9ffb06ff,0x417ff620,0x3604fff8,
    0xf30006ff,0xdffd05ff,0x1fffd401,0x001fff40,0xffa8fff9,0x3ffe200f,
    0x7ffa81be,0x37fffea0,0x1bfff220,0x321aa980,0x3e2004ff,0x800004ff,
    0x74003ffe,0xf88006ff,0x3ff604ff,0x13ffe206,0x2206ffd8,0x3f604fff,
    0x3ffe206f,0x01bff604,0x000dffd0,0x6c09fff1,0xf90006ff,0x7f4000df,
    0x3fe2003f,0x7fe4001f,0x3fff220e,0x3bff206f,0x3ffff220,0x5ffff306,
    0x37ffe441,0x0affff98,0x01bfff22,0x209fff10,0x3220effc,0x3606ffff,
    0x3661cfff,0x20002fff,0xff986ffd,0x3f220aff,0xffd006ff,0x27ffc007,
    0xf501fffc,0x7fdc01ff,0x3ffff207,0xfffffeff,0xfe80000f,0x7fec003f,
    0x7d400004,0x3ea001ff,0xfb0002ff,0x7ecc39ff,0x7fec02ff,0x3ff661cf,
    0x7ffec02f,0x3fff661c,0x67ffec02,0x0bfff661,0x02fffa80,0x39fffb00,
    0x017ffecc,0x027ffc40,0x01fffa80,0x0007fe40,0x3fbfffea,0xffffffff,
    0xeffffa82,0xffffffff,0xffffb82f,0xffffffef,0x3fffee01,0xffffffef,
    0xb7555501,0x2a03ffff,0xfffeffff,0x82ffffff,0xfefffff8,0x0005ffff,
    0x5c17ffcc,0xffefffff,0xd001ffff,0x3ea007ff,0xeccccdff,0x3fee06ff,
    0x7ff5441f,0xfffa81ff,0xffffffff,0xa80001ef,0xa8001fff,0xaa88002f,
    0x7fffebaa,0x3aaaaa20,0x8000afff,0xfefffff8,0x8805ffff,0xffefffff,
    0xf8805fff,0xfffeffff,0xff8805ff,0xffffefff,0x2aaa205f,0x00afffea,
    0xfffff880,0x05fffffe,0x36eaaaa2,0x2201ffff,0xffebaaaa,0x0bb0007f,
    0x3ffff600,0xffffffff,0xffffb04f,0xffffffff,0x3ffee09f,0x0effffff,
    0xfffffb80,0xd00effff,0xffffffff,0xfffd807f,0xffffffff,0xffd304ff,
    0x1bffffff,0xbffd0000,0x3ffffee0,0x000effff,0x6c007ff2,0xffffffff,
    0xf302ffff,0xfffdffff,0x5fffffff,0x2e7fffe2,0x03fffffd,0x5d555440,
    0x0006fffe,0xff3000bd,0xffffffff,0x7ffffc03,0x005fffff,0xfffffd30,
    0x2001bfff,0xffffffe9,0xd3000dff,0xffffffff,0x3fa6001b,0xdfffffff,
    0x3ffffe00,0x005fffff,0xfffffd30,0x7401bfff,0xffffffff,0x3ffe603f,
    0x1fffffff,0x000fa800,0x3fffff60,0x1dfffdcf,0x3fffff60,0x1dfffdcf,
    0x3ffff620,0x6c4003ef,0x03efffff,0x3fffffe2,0xfb003fff,0xfb9fffff,
    0xfc803bff,0x002fffff,0x817fe600,0xefffffd8,0x05f98003,0xffffff10,
    0xbfffffff,0x7ffffdc0,0xffffffff,0x3fff74ff,0x8000aa88,0xfffffff9,
    0xc8000fff,0xffa8000f,0x1fffffff,0x3ffffe20,0x007fffff,0x7ffffe40,
    0xff90002f,0x0005ffff,0x3ffffff2,0xfff90002,0xf8805fff,0xffffffff,
    0x7e40007f,0x402fffff,0xfffffff8,0x7fd403ff,0x1fffffff,0x0005f000,
    0x00357510,0x01aba880,0x01553000,0x01553000,0x3bbbb6a0,0x544000ac,
    0x300001ab,0x00000155,0x54c0032a,0x0000000a,0x3bbbfff2,0xfffeeeee,
    0x3fffaa00,0xfffbdfff,0x07ff31df,0xfff50000,0x03dfffff,0x80007600,
    0x1bdeeedb,0xddddb500,0x0005bddd,0x0002aa60,0x000554c0,0x000aa980,
    0x00155300,0x777776d4,0x00002dee,0x54001553,0x01ceeeed,0x37bbb6e0,
    0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd007fff,0x5753007f,0x00c40013,0xddb70000,0x000037bd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02bffee0,0x01effc88,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffea0,0x7ff444ff,0x0006ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0xffffffff,0xffffff98,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd980000,
    0xc82effff,0x04efffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02200980,0x98000000,0x0003cccc,
    0x05440d40,0x01b50000,0x0001da80,0x0c0004c0,0x44000220,0xb7000001,
    0x88026000,0x00130000,0x013332e2,0x51014400,0x00140000,0x36a2d980,
    0x02f66001,0x22d98000,0xb30001da,0x80080003,0x1cccccca,0x0e665400,
    0x400e664c,0x4006600a,0xa8004401,0x00006600,0x82ff9800,0x910006fc,
    0x440019ff,0x005fffff,0xb07ff200,0xb00001ff,0xfb8003ff,0xf900002f,
    0x7fcc005f,0x8006fc82,0x00003ffb,0x0003ff62,0xdf905ff3,0x2ffc8800,
    0xfffffd80,0x1fd80000,0x80005f90,0x0000dfe9,0x7fd4ffe6,0x13ffe002,
    0x9ffcc000,0xa8002ffa,0xd30003ff,0x7ffdc01f,0x4003ffff,0xfb82fffc,
    0x2fcc03ff,0xf9806f88,0x806fc82f,0x0df105f9,0x00bf6000,0xfd31bffd,
    0x3b20007f,0x22003fbb,0x005fffff,0xf0bff600,0x440003ff,0xb0002ffe,
    0x4c0009ff,0x00dffffe,0xd319ffd0,0x744007ff,0x001effff,0x00fff440,
    0x98dffe80,0x26003ffe,0x00dffffe,0x03fffff2,0x03bf2000,0x40003ff5,
    0x03fffffc,0xf55ff980,0x7fc4009f,0xf980005f,0x009ff55f,0x0009ff90,
    0xf501bfea,0x07ffffff,0x82fffc80,0x4403fffb,0x05fe83ff,0xd319ffd0,
    0xff1007ff,0x000bfd07,0x900dff70,0x05ffffff,0x6c8be200,0x7ff5cc00,
    0x3a600005,0x0004ea85,0x0007ffe2,0x000bff70,0xff95dff9,0x3ff2003f,
    0x2002ffff,0xffabfffa,0xff30003f,0xfc80001d,0x002fffff,0x3f2bbff2,
    0xf95101ff,0x100001ff,0xffd9dfff,0x3fa20009,0x05ffe9df,0x7d57fe60,
    0xffc8004f,0x7fcc0001,0x0009ff55,0x20007ffb,0x95005ffb,0x007fff99,
    0xa81eeeb8,0xfc802eee,0x1fffddff,0x3ffff200,0x3f2002ff,0x1fffddff,
    0x4ffe8000,0x1bffd300,0x363e8000,0xbff70005,0x00000000,0x0077ec00,
    0x02ffa800,0xd313fe60,0x7f4c00df,0x7fc000cf,0x03ff620d,0x0037fa00,
    0x6fff4c00,0x13fe6000,0xf880dfd3,0x300000ff,0x09fffffd,0x217fe400,
    0xfb003ffb,0x00027f4b,0x3f600001,0x20013fa5,0x70001ffa,0x740007ff,
    0x000003ff,0x3ffee000,0x98001eff,0x8000cffe,0x1efffffb,0xfffa8000,
    0x00164000,0x2fddfb80,0x0bff7000,0x00000000,0x000014c0,0x0dc001c4,
    0x59000570,0xa80ae000,0x00530003,0x000b2000,0x805700dc,0x0000fff8,
    0x0055d4c0,0x4c02e600,0x9853000c,0x00000001,0x00198530,0x40001710,
    0x740002fd,0x000003ff,0x55d44000,0x02c80001,0x0d5d4400,0xbffd0000,
    0x00000000,0x40003bb5,0xdb935ffb,0xaa88037b,0x555101aa,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x83ffe200,0x00aaaaa9,
    0x00000000,0x80000000,0x33deedb9,0x00015555,0x00000000,0xffe80000,
    0xaaaa8803,0x555532aa,0x00015555,0x00000000,0xf5000000,0x555103ff,
    0x55530155,0x00000035,0x3f7bfee0,0x1fffffff,0xffffff88,0x7ffffc45,
    0xddb8805f,0x510310bc,0x53015555,0xb8803555,0x0022cdec,0x85e6edc4,
    0xd9730018,0xa880c59b,0xa980aaaa,0x51001aaa,0x00037bb9,0x42f376e2,
    0x1fff1018,0x3fffffee,0xecb9800f,0x300062cd,0x55555555,0x32a20015,
    0x2e001bdd,0xffffffff,0x20fffffe,0x80aaaaa8,0x401aaaa9,0x22cdecb8,
    0x99999500,0x3fa00039,0x7ffc403f,0xffbdffff,0x2fffffff,0x02aaaaa2,
    0x006aaaa6,0x459bd971,0xbb951000,0xfb000037,0xffff30bf,0x7ffc9fff,
    0x2206ffff,0x1aaaaaaa,0xffff7000,0xffffffff,0xffff883f,0x7ffcc6ff,
    0x3ae06fff,0xdfffffff,0x3ffe64fe,0x3fe4ffff,0x906fffff,0xdfffffff,
    0x7f5c07fd,0xedffffff,0x3ffea04f,0xfeffffff,0x7ffffcc4,0x3fffe4ff,
    0x7dc06fff,0x1effffff,0xffffd700,0x09fdbfff,0x3f21fff1,0x01ffffff,
    0x3fffffea,0x804fefff,0xfffffff8,0x405fffff,0xfffffffb,0x7fff401e,
    0xffffffff,0xff31ffff,0x7c9fffff,0x06ffffff,0xfffffff9,0xffb87fdd,
    0x003fffff,0x8807ffd0,0xdfffffff,0xfffffffc,0xffff32ff,0x7ffc9fff,
    0xf906ffff,0xddffffff,0xfffb807f,0x001effff,0x705fff30,0xdfffffff,
    0x3fffffe6,0xfff980ff,0x006fffff,0xbfffff70,0xffffb757,0xcfffea85,
    0xdfffeb81,0xfffff901,0xdfffffff,0x7fffffdc,0xfffff36f,0xffd81fff,
    0xffffffff,0xffff906f,0xffffffff,0x3ffff20d,0xffffffff,0x7ffffdc7,
    0xffff36ff,0xb101ffff,0xffffffff,0xffc805ff,0xffffffff,0xfff886ff,
    0xbdffff90,0x7fffe405,0xffffffff,0xffffa807,0xffffffff,0xffffb106,
    0x05ffffff,0x2b3fffee,0xffffffcb,0x3fffee3d,0xfff36fff,0xd81fffff,
    0xffffffff,0x7fd46fff,0x003fffff,0x5007ffd0,0x1bffdddb,0xffddddd7,
    0x3fffee5f,0xfff36fff,0xd81fffff,0xffffffff,0xfb106fff,0xffffffff,
    0xffb0005f,0x3fff620d,0x3fb22dff,0xf703efff,0xffffffff,0xfff70005,
    0x3ffe605f,0x01fffa86,0xfc81bff6,0xedbcefff,0x3627ffff,0x22dfffff,
    0x3effffec,0x5f7fffdc,0x87ffffec,0xbceffffc,0x87ffffed,0xbceffffd,
    0x47ffffdc,0xdfffffd8,0x3ffffb22,0xffffb03e,0xffffd97b,0x3ffff207,
    0xfffedbce,0x9fff887f,0x802ffffd,0xbceffffd,0x07ffffdc,0xfffffd90,
    0x205bffff,0xcbdffffd,0x4c3ffffe,0xf980dfff,0xfd884fff,0x322dffff,
    0x43effffe,0xcbeffffb,0xa87ffffe,0x03fffccc,0x007ffd00,0xe80bff70,
    0xfffb12ff,0x7f645bff,0x7dc3efff,0xfecbefff,0xffb07fff,0xffd97bff,
    0x7c4007ff,0x7fe402ff,0x01fff804,0x3fffff62,0xb8005fff,0x7cc04fff,
    0x6ffe80ff,0x207fff30,0x700efffb,0xff90ffff,0x03fff009,0xf301dfff,
    0xfffb8fff,0xffff700e,0x00dfffa8,0x320fffb1,0xfff804ff,0x1bfff701,
    0x81ffff50,0x700efffb,0xff10ffff,0x03dfffff,0x01bfff50,0x001fff62,
    0xb807ffa8,0xfa80dfff,0x3fee0fff,0x3ffea00f,0x013ff204,0x3fe07ffe,
    0xfff980ef,0x03ffe807,0x007ffd00,0xe80bff70,0x27fe42ff,0x7c0fffc0,
    0xff980eff,0xdfffb87f,0x0ffffa80,0x00dff900,0xff009ff9,0x7fe4003f,
    0x4000ffff,0xe800fffb,0xfff982ff,0x206ffd82,0x5c00efff,0x4ffc87ff,
    0x4c1fff80,0x3ee01fff,0x077ffc6f,0xff1ffee0,0xff9801df,0x009ff906,
    0xff103fff,0xfff880bf,0x0077ffc5,0x3e21ffee,0x00efffff,0x801dfff0,
    0x20006ff9,0x7c407ffa,0x7fc405ff,0x013ff65f,0xfc813ffa,0x1fff804f,
    0x700fffcc,0xffd00dff,0x3ffa0007,0x5ffb8003,0x3217ff40,0xfff804ff,
    0x00fffcc1,0xff88dff7,0x7ffc405f,0x3fff8805,0x804ffc80,0x3e001fff,
    0x03fffcff,0x8037fdc0,0xffd04ffc,0x03fff98d,0x1001fff3,0x9ff90bff,
    0x883fff00,0x3e200fff,0x03ffe64f,0xfb97fe20,0x7fb000ff,0x2013ff20,
    0xffc81fff,0xfffa800f,0x001fff31,0xff10bff1,0x001bffff,0x2001fff7,
    0x2a0003fd,0x7fe407ff,0xfffa800f,0xb005ffd1,0x7fe409ff,0x41fff804,
    0x2200fff8,0xffe804ff,0x7ffd0003,0x0bff7000,0x7e42ffe8,0x1fff804f,
    0x1007ffc4,0xfffc89ff,0x1fffa800,0x803ffe40,0xff804ffc,0xfff5001f,
    0x800dff93,0xfd007ffb,0x3ffe607f,0xb81bff62,0x36a006ff,0x804ffc81,
    0xffe81fff,0xf70a600d,0x0ed400df,0x0000dff9,0x7c027fe4,0x3ffe81ff,
    0x5cfffa00,0x36a006ff,0xfffff881,0x7e400eff,0x0000006f,0x3a03ffd4,
    0x3fa003ff,0x007ffd3f,0x7e409ffb,0x1fff804f,0x200dffe8,0x7ffd0029,
    0x0fffa000,0x017fee00,0xffc85ffd,0x81fff804,0x2600dffe,0x003ffe82,
    0xf880fffa,0xff9003ff,0x03fff009,0x7c57ff60,0x3ee002ff,0x7fd404ff,
    0x5bff601f,0x3602fff9,0x900004ff,0xfff009ff,0xbffff903,0x9ffb0037,
    0x4ffd8000,0x3ff20000,0x81fff804,0x32001fff,0x09ffb4ff,0x3ffe2000,
    0x01efffda,0x00013ff6,0x0fff5000,0x2001fff8,0xbff94ffc,0x04fff880,
    0x3e013ff2,0xfffc81ff,0x20001bdf,0xd0003ffe,0xf70007ff,0x2ffe80bf,
    0x7c027fe4,0xfffc81ff,0xff001bdf,0x7fe4003f,0x03ffee04,0x4027fe40,
    0xf8801fff,0x17ff62ff,0xcffffb80,0x06fffb80,0x7ed7ffcc,0x17ffc06f,
    0x4ffc8000,0xb01fff80,0xbfffffff,0x05fff017,0x02fff800,0x13ff2000,
    0xf107ffe0,0xffb800ff,0x0005fff6,0x643ffe20,0xff01ffff,0x0000005f,
    0x2207ffa8,0x7dc007ff,0x05fff56f,0x9027ffe4,0xfff009ff,0x3ffff603,
    0x000bdfff,0x4000fffa,0xb8003ffe,0x7ff405ff,0x4027fe42,0xffb01fff,
    0x17bfffff,0x800fff10,0x3fe06ffb,0x3ff2004f,0x01fff804,0x7d47ffc8,
    0xff7000ff,0xfd9dffff,0xb003ffff,0x05ffffff,0x0001fff8,0xf009ff90,
    0x7fe403ff,0x2fffffff,0x0000fffc,0x99807ffe,0xf9009999,0x3fff009f,
    0x4007ff98,0x3fff7ffa,0xff510000,0x7fffdc1f,0x00fffc1a,0x01333333,
    0x1ffea002,0x4007ff98,0x3ffa7ffa,0x7ffec43f,0x13ff204f,0xc807ffe0,
    0xffffffff,0x7ffd002f,0xd3333100,0x033337ff,0x3bff2666,0x2ffe8199,
    0x7c027fe4,0x3ff201ff,0x2fffffff,0x2003ffcc,0xff507ffa,0x7fe4001f,
    0x01fff804,0xff84fff8,0xfff7003f,0xffffffff,0x3e6005ff,0xf806ffff,
    0x900001ff,0xfff009ff,0xfff95003,0x7fc7ffff,0x7fc0001f,0xffffa81f,
    0x640effff,0xfff804ff,0x007ffc41,0x3febff70,0x7dc0001f,0x7fc0ffff,
    0xff2fffff,0xffff503f,0x6c1dffff,0x3ffd404f,0x001fff10,0xff32ffdc,
    0xffffdfff,0x7e409fff,0x1fff804f,0xffffca80,0xfe803fff,0x7ffdc03f,
    0xffffffff,0xfff30fff,0xffffffff,0x217ff45f,0xff804ffc,0xffca801f,
    0x223fffff,0x2e000fff,0xbffd05ff,0x04ffc800,0x5401fff8,0xccccdfff,
    0xf7006ffe,0xfffff9bf,0xd8001bff,0xd802ffff,0x900003ff,0xfff009ff,
    0xfca88003,0x0fff67ff,0x05ffd000,0xfffffff9,0x4ffc85ff,0xf81fff80,
    0x3f2001ff,0x007ffb4f,0xfffffd80,0x3ffffe60,0x05ffd4ff,0xfffffff9,
    0x1bfe25ff,0xf80fff50,0x3f2001ff,0x7fffd44f,0xffffffff,0x013ff204,
    0x10007ffe,0x00ffff95,0xfe807ffd,0xffffffff,0xf72fffff,0xffffffff,
    0x7ff49fff,0x4027fe42,0x44001fff,0x7c7fffca,0x3f2001ff,0x1fffa84f,
    0x02ffdc00,0x3600fffc,0xffffffff,0xb802ffff,0x2f2ea5ff,0xff300009,
    0x3fee00df,0xff700004,0x83fff00b,0xff9801b8,0x009ff71f,0x984ffc80,
    0xfffffffd,0x805ffb85,0xffd81fff,0x7fff1004,0x00013fee,0x81ffffb3,
    0x1dffffec,0xfb309ff9,0x4bffffff,0x7d407ff9,0x27fec07f,0x83fff880,
    0xffffffd8,0x2e04ffcb,0xfff805ff,0x4c00dc41,0x7f401fff,0x7ff5403f,
    0xffffffff,0xffb10dff,0xffffffff,0x217ff43b,0xff805ffb,0x400dc41f,
    0x3f61fff9,0xfff1004f,0x00bffd07,0x401fff50,0x7c407ff9,0xffffffff,
    0xb805ffff,0x000005ff,0x2005fff5,0x2001fff8,0x01fff500,0x7ec3ffcc,
    0x4ffd800f,0x4003fff1,0x8037fd40,0xff507ff9,0x3ffcc01f,0x801fffb8,
    0xff10fffc,0x0004003f,0x0dff5000,0xf31ffe60,0x6ffa80ff,0x00fffdc0,
    0x2007ffe4,0x3ff21aa9,0x03ffea04,0xfd87ff98,0x4ffd800f,0x001fff40,
    0x40000000,0x7fd42ffe,0x1ffe600f,0x36003ff6,0x3ffee4ff,0x0fffc801,
    0x000fffcc,0xb027ffc4,0xffc80dff,0xeeeeeeef,0x5c00fffe,0x000005ff,
    0xe800dffd,0xfb800eff,0x27ffc40f,0xff0dffb0,0xfff8809f,0x003bffa3,
    0x7fc43fee,0x7ff9804f,0x409fff10,0x3fa06ffd,0x3fea00ef,0x077ff43f,
    0x4007fdc0,0xff1000a9,0xfff3009f,0x6c07ff98,0xffe804ff,0x3ffea00e,
    0x3ffa0003,0x13ffe203,0xff86ffd8,0x7ffc404f,0x01fff403,0x0000a880,
    0x07ffcc00,0xd813ffe2,0x4fff86ff,0x21fffc40,0x2a00effe,0xffd83fff,
    0x3ff60006,0x3ff661cf,0x1fffc02f,0x201fff40,0x00005ffb,0x002fffa8,
    0x05ffffd4,0x417ffecc,0x261cfffd,0xff82fffd,0x2e609eff,0x3ea1fffe,
    0xd980bfff,0x3ff22fff,0xfca881ef,0x3fff607f,0x3fff661c,0x3fffe602,
    0x3fff220a,0xbffffa86,0x2fffd980,0x017ffc40,0x81efffc8,0x4c7ffca8,
    0x220bdfff,0x9802fffd,0x220affff,0x0006fffc,0xb007ffea,0x6cc39fff,
    0xfff82fff,0x3ae609ef,0x7f401fff,0xffd0003f,0x64000009,0xfffb07ff,
    0x7ffecc39,0x9effff82,0x3fffae60,0x57fffcc1,0x1bfff220,0x000bffe6,
    0xefffff88,0x405fffff,0x200afffb,0x881effc8,0x1aaeffda,0xaaaa8800,
    0x000afffe,0x7fffffd4,0x7fffffee,0xdfffff10,0x20bfffff,0xefffffff,
    0x85ffffff,0xeffffffa,0x87fffffe,0xeffffffe,0x07ffffff,0x3bffffe2,
    0x805fffff,0xfefffffb,0x501fffff,0xddffffff,0x00ffffff,0x400dfb71,
    0xeffffffe,0x47ffffff,0xeffffff9,0x004fffff,0x3bffffee,0x01ffffff,
    0x75d55544,0xf8807fff,0xfffeffff,0xffff05ff,0xffffdfff,0x99988bff,
    0x999bffe9,0xffda9801,0x554c0000,0x05ffffca,0xfdfffff1,0x3e0bffff,
    0xfeffffff,0x705fffff,0xffdfffff,0xf903ffff,0xd30000df,0xffffffff,
    0x3ffea01b,0x7444ffff,0x46ffffff,0xffffffff,0x7ffc004f,0x5fffffff,
    0xffffa800,0xdfffffff,0x3fffa600,0x00dfffff,0xfffffffb,0x01dfffff,
    0x3fffffea,0x80dfffff,0xffffffd8,0x04ffffff,0x7fffff4c,0x7000dfff,
    0xffffffff,0xffa801df,0xffffffff,0x7fec00df,0x362006fe,0xffffffff,
    0x6444ffff,0xffffffff,0xfb8004ff,0xffffffff,0x7ffcc00e,0x1fffffff,
    0xffffd300,0x201bffff,0xfffffffd,0x20efffff,0xfffffffb,0x0fffffff,
    0x1ffdff70,0x7ffe4000,0x405fffff,0xffffffe9,0xffb00dff,0xffffffff,
    0x7dc01dff,0xffffffff,0x3fff880e,0x3ff20000,0x6402ffff,0x7fffffff,
    0x7fffffcc,0xffff11ff,0x00bfffff,0x7fffffc4,0x0007ffff,0xfffffb73,
    0x7e4007bf,0x402fffff,0xfffdacea,0x9802efff,0xffffffdb,0xffd9803d,
    0x0bffffff,0x3ffff200,0xd88002ff,0x03efffff,0x3fff6e60,0x3003dfff,
    0x0005ffff,0xffffffb3,0x5c4017ff,0x3dfffffe,0x3ff62000,0x5003efff,
    0xffffffff,0xff90003f,0xa805ffff,0xffffdace,0xffe82eff,0xffffffff,
    0xf102ffff,0x80007fff,0xfffffffd,0x3fff2005,0x75402fff,0xfffffdac,
    0xfb1002ef,0x407dffff,0x00006ff8,0x20015530,0xefffffd9,0xfffffc82,
    0x7776d44e,0x4000ceee,0xeeeeeeda,0x100002de,0x98000155,0x220000aa,
    0x00009aa9,0x80002aa2,0x0009aa98,0x000554c0,0x000aa980,0x000aa880,
    0x00005310,0x0026aa62,0x0006a620,0x002aa600,0x37bbb6e0,0xa980001b,
    0x2620000a,0x3aa009aa,0xffffffff,0x400dffff,0x880000a9,0x00bdeeec,
    0x00155300,0x04d54c40,0x01553000,0x000072a0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x800004c0,0x40180000,0x4c018008,0x04401800,
    0x03d88000,0x00c40a80,0x0c000800,0x71000260,0x00459bd9,0x000004c0,
    0x09800132,0x750ae200,0x98030003,0x4c15c400,0x9aaaaaaa,0x1c980000,
    0x001b5000,0x3eb8bb20,0x003d8800,0x07660000,0x00014000,0x4c0004c0,
    0x400b980b,0xaaaaaaa8,0x07b10001,0x3ff22000,0x3f660002,0x4c01cc3f,
    0x06fc82ff,0x7e417fd4,0x417fcc06,0x980006fc,0x7ec004ff,0x0002ff47,
    0x80bdffd7,0x7ec41efb,0x3fff2005,0x3feeffff,0x05ff9100,0x0dfd1000,
    0x05ff9100,0x7d47ff20,0x3ee005ff,0x02fec41e,0x7fcc7ff2,0xffffffff,
    0x4c000dff,0xc8006ffe,0xfc8001ff,0x00bffe6f,0x000bff10,0x05ff7000,
    0x0dfe9800,0xffc88000,0x1bfe2002,0x7e409ff3,0xffffffff,0x7fc4000f,
    0x3a60000d,0x000dffff,0x77ffffcc,0xe800ffba,0xffe98cff,0x34ffe803,
    0xfd007ffd,0x7ffd319f,0xdffb8000,0x8fffc000,0x88007ff9,0x4ffffffe,
    0x54fffe20,0xfb001fff,0xffffffff,0xfd300dff,0x0001bfff,0x0007bfe6,
    0x1bffffd3,0xf72ffd80,0x22009fff,0xfff53fff,0x52ffd803,0xffffffff,
    0x05ffffff,0x03ffff40,0x007ffb10,0x749fff30,0x54000fff,0x00000eff,
    0x0009ff90,0x3fffffc8,0x3ffaa000,0xf8800dff,0x02ffd47f,0xfffffffd,
    0x50005fff,0x90001dff,0xfff95dff,0x46fe4003,0x04ffffea,0x3fffff20,
    0x3ff2002f,0x2001efff,0x2ffffffc,0x27fe4000,0x51fff800,0xfb000fff,
    0x0bffffff,0xfffffd88,0xfff7001e,0xfffd97df,0xeffc80ff,0x001fffca,
    0x0006ffd4,0x3f2bbff2,0x3ffa01ff,0x01fffae3,0xfffffd88,0x3ffe801e,
    0xfffffd91,0xffffffff,0x9fff5003,0x3ffa2003,0xfff90001,0x01fffd43,
    0x00fff4c0,0x0bffa000,0xdffe8800,0x8005ffe9,0xffcaeffc,0x82db801f,
    0x3f6601dc,0x4effffff,0x3ffa6000,0x13fe6001,0x0800dfd3,0x8001deb8,
    0x000cffe9,0x004ffe98,0x019ffd30,0x02ff9800,0x23fff100,0x4c006ffa,
    0xba99dfff,0x7fff5000,0x0efff800,0x207fff98,0x7f4c4ff9,0x027fc006,
    0x2627fcc0,0x3ffa06fe,0x001fff83,0x001fffd4,0xffd07ffd,0xdfff9305,
    0x009ffb00,0x0000efc8,0xfd0bfff1,0x362000df,0x2e00005f,0x640001ff,
    0x1ffdc2ff,0x989ff300,0x000006fe,0x003ffe80,0x017f6200,0x015c0370,
    0x90000000,0x03900005,0x00059000,0x10000dc0,0x3fee1fff,0x3ffdc006,
    0x00e44000,0x807ffe60,0x0dc06ffb,0x2a800570,0xb806e000,0x20fffa02,
    0x88002fff,0x7ff4001c,0x202ffe83,0x7400fffb,0x1c4003ff,0x3fff2000,
    0x02fffb81,0x00006a00,0x80000b88,0x019100b9,0x5700dc40,0xd0000000,
    0x000007ff,0x00000035,0x15555510,0x03555530,0x00000000,0x00000000,
    0x3ffcc000,0xd800bff7,0x000004ff,0x03ffe200,0x0004ff88,0xa8000000,
    0x0001cccc,0x3fe0fffa,0x0000002f,0x3fa0fffa,0x3ffe202f,0x01fff401,
    0x3e200000,0x3ffe06ff,0x00000006,0x00000000,0x10000000,0x30155555,
    0xe8035555,0x000003ff,0x35555300,0x2aaaaa20,0x3ffffe60,0x3fffe4ff,
    0x55546fff,0xaaaaaaaa,0x2aaa61aa,0xaaaaaaaa,0x4c0aaaaa,0xaaaaaaaa,
    0x554400aa,0xaaaaaaaa,0x2601aaaa,0x17ff27ff,0x007ffb00,0xaaaaaa88,
    0x7ff4001a,0x4c0a600d,0x2a600aaa,0x555540aa,0xaaaaaaaa,0x3fffea1a,
    0x3fa0002f,0x02fff83f,0x2aaaaaa6,0x3fa0009a,0x02ffe83f,0x3a01ffee,
    0x2aa603ff,0x009aaaaa,0x017ffd40,0x4403fff7,0x1aaaaaaa,0x2aaa2000,
    0x0001aaaa,0x2aaaaaa2,0xaa98001a,0xaaaaaaaa,0x3ffffe60,0x3fffe4ff,
    0x3fa06fff,0x5530003f,0x55555555,0xffffff81,0x3ffea0ff,0xff74ffff,
    0x26dfffff,0xffffffff,0x3fffffe0,0x4fffffff,0x3ffffff6,0xffffffff,
    0x3fffe1ff,0xffffffff,0xffffb04f,0xffffffff,0xd9509fff,0xfffddfff,
    0x554405bf,0x00aadffe,0x7fffffcc,0x7e4006ff,0x001bdfff,0x89ffffff,
    0x4ffffff8,0x3ffffffe,0x24ffffff,0x02fffffa,0x20fffa00,0xff982fff,
    0xffffffff,0x7f400dff,0x82ffe83f,0x805fffd8,0xff983ffe,0xffffffff,
    0xfc800dff,0x7ffc407f,0xfffff303,0x2000dfff,0xfffffff9,0xff30006f,
    0x0dffffff,0xffffff80,0x4fffffff,0xfffffff7,0x3ffffe6d,0xffd00fff,
    0xffff0007,0xffffffff,0x3fffe69f,0x3f21ffff,0x16ffffff,0x5bfffffb,
    0x77ffff64,0x7fffffc3,0x4fffffff,0x3ffffff6,0xffffffff,0xffff31ff,
    0xffffffff,0x3fffe0bf,0xffffffff,0x7cc4ffff,0xffffffff,0xc82fffff,
    0xffffffff,0x3fee01ff,0x2fffffff,0x7fffec00,0x980bdfff,0x46ffffff,
    0x6ffffffa,0x3ffffffe,0x44ffffff,0x002fffb9,0x3e0bff60,0xfffa82ff,
    0xffffffff,0x3fa02fff,0xcdffe83f,0xffffffdc,0x83ffe801,0xfffffffa,
    0x2fffffff,0x4037fec0,0xff704fff,0x5fffffff,0xffff7000,0x005fffff,
    0xffffff70,0x26005fff,0xffffffff,0xb15fffff,0x45bfffff,0x3effffec,
    0x000fffa0,0xfffffff3,0x4bffffff,0x4efffffc,0x7ffffec4,0x027fe42e,
    0x7fc0fffc,0xffffffff,0x3ff64fff,0xffffffff,0x21ffffff,0xffffffeb,
    0x501dffff,0xfff9fffb,0x9fffffff,0xffffff88,0xffffffff,0xfffffd82,
    0x203fffff,0xffffffd8,0xfc8005ff,0xffffffff,0xffffeb82,0x7fffec42,
    0x3ffffe2d,0xffffffff,0x005ffd04,0x740ffe40,0xfec882ff,0xffffffff,
    0xfd01ffff,0xffffd07f,0x1dffffff,0x20bffa00,0xfffffec8,0xffffffff,
    0x017ffe01,0x6c417ffa,0xffffffff,0xffd88005,0x05ffffff,0xffffd880,
    0x2005ffff,0xffffffeb,0x641dffff,0xfff804ff,0x01fff401,0x7ffff5c0,
    0x1dffffff,0xd001ffec,0x9ff905ff,0xf03fff00,0xfff105ff,0x227fec1f,
    0x7ffc2ffe,0x01fff401,0x7fcffe40,0x427fe40f,0xcceffeb9,0x301bdfff,
    0xddfffddb,0x7e40019d,0x000fffff,0xfffff950,0x3ffa07ff,0x2fffb80f,
    0xf882fff8,0xffd00fff,0x15c40005,0x00cfffd8,0xf9305ffd,0x3ffa0dff,
    0xfffffe83,0x800fffff,0x401fffda,0xfc982ffe,0xfff106ff,0x0fffb007,
    0x3fffff20,0x7e40000f,0x000fffff,0x7ffffe40,0x3fa0000f,0x4ffc803f,
    0x401fff80,0x14c03ffe,0x401fff40,0x66644ffc,0x640fffc2,0xfff804ff,
    0xe82fff81,0x7fec2fff,0x3e17ff44,0x7ff401ff,0x8efe8003,0x7fe40fff,
    0xf93ff204,0x7ec002ff,0x3fe0003f,0x003fffcf,0xfffca880,0x8bfff107,
    0xff05fff9,0x5fffd05f,0x6457ff40,0x0002cded,0x837fffcc,0x3ee02ffe,
    0x3ffe80ff,0xcccdffe8,0x5404ffff,0xe806ffff,0x3fee02ff,0x2fff980f,
    0x00fffc80,0xfffcfff8,0x7ffc0003,0x0003fffc,0x7ffe7ffc,0x3ffa0003,
    0x04ffc803,0x7401fff8,0x3fe603ff,0x01fff403,0xff32ffdc,0x07ffc4df,
    0x7c027fe4,0x1ffe81ff,0x6c27ffe4,0x17ff44ff,0xfd007ffe,0xff98007f,
    0x210fff8b,0x3f603ffb,0x007ffe4f,0x0007ffb0,0x3f27ffea,0x01b8806f,
    0x701fff98,0x7ff47fff,0x83ffd00f,0x7404fffc,0xfffffeff,0x260004ff,
    0xfd06ffff,0x7ffc405f,0xe83ffe81,0x7ffd42ff,0x3ffea04f,0x2ffe805f,
    0x207ffe20,0xb802fff9,0x7d400fff,0x06ffc9ff,0x27ffea00,0x20006ffc,
    0xffc9fffa,0x3ffa0006,0x04ffc803,0x7401fff8,0x3fee03ff,0x01fff405,
    0xff737fd4,0x1ffe63ff,0x7c027fe4,0x47fc81ff,0xf905fffa,0x42ffe87f,
    0x7f400ffe,0x7fdc003f,0xfd8fff89,0x3601ff9c,0x3fff13ff,0x03ffd800,
    0x22bffb00,0x7ec02fff,0x4ffd800f,0x2e3fff60,0x3f202fff,0x02fffd47,
    0x7ffffff4,0x205fffff,0x37fff600,0x405ffd01,0xffd07ffb,0x305ffd07,
    0x5c05fffd,0x7401fffe,0x3fee02ff,0x07fff107,0xb00fffb0,0x3ffe2bff,
    0xbffb0002,0x000bffe2,0xff8affec,0xffd0002f,0x09ff9007,0xe803fff0,
    0x3fee03ff,0x01fff405,0xffd3ffcc,0x1ffea7ff,0x7c027fe4,0x4c1501ff,
    0xf300efff,0x42ffe81f,0xffe805fc,0x8bfec003,0x17ffbfff,0xfffdb501,
    0xbdfffddd,0x0fff6003,0x8bffe200,0x7fc05ffd,0x7ffc404f,0x3bffe203,
    0x0a805fff,0x003bffe6,0x33bffffa,0x80ffffca,0xffe80ffa,0x417ff403,
    0xd05fffd8,0x5ffd07ff,0x03fffe20,0xe805fff0,0xffd882ff,0x13ffe05f,
    0x101bffa0,0x7fec5fff,0xfff88005,0x0017ff62,0xfd8bffe2,0xffd0005f,
    0x09ff9007,0xe803fff0,0x3fee03ff,0x01fff405,0x7cc7ffc4,0xff76ffff,
    0x013ff20d,0x22007ffe,0x0401fffe,0x0082ffe8,0x4007ffd0,0xfff14ff8,
    0x7401ffff,0xffffffff,0x005fffff,0x90007ffb,0xfffa8fff,0x3bfffe00,
    0x3ffae609,0x7ffdc01f,0x44000fff,0xd001fffe,0xff01bfff,0x05ffb05f,
    0xfe805fff,0xfffdccdf,0xffd01fff,0x1bffe987,0x03bfff50,0x3a01fff4,
    0xffdccdff,0x3a01ffff,0xfff805ff,0x23ffe404,0x4000fffa,0x7fd47ffc,
    0x7fe4000f,0x007ffd47,0x401fff40,0xff804ffc,0xfe99881f,0x999999bf,
    0x7f405ffc,0x3fff003f,0x3ffffff9,0x3f20bff9,0x1fff804f,0x03fffd80,
    0x00bffa00,0x003ffe80,0x7fc4bfea,0x200fffff,0xfffffffd,0x04ffffff,
    0x0007ffb0,0xfff09fff,0x7ffffc07,0xfffffeff,0xfffb005f,0xffb0005f,
    0x7ff4007f,0x213ff604,0xfff82ffd,0x7ffff402,0x0effffff,0x7c4fffa0,
    0x2fffffff,0x06ffffc8,0xfe807ffd,0xffffffff,0x7fec00ef,0x1fffc407,
    0x3e13ffe0,0x7fc003ff,0x03fff84f,0x7c27ffc0,0xfe8003ff,0x4ffc803f,
    0x5c1fff80,0xffffffff,0xffffffff,0x01fff405,0xffeafff8,0xffdbffec,
    0x009ff904,0xfb803fff,0x740004ff,0x3a0002ff,0x3f6003ff,0xffffccdf,
    0xfb9807ff,0xfffcabff,0x3ff6000a,0x7ffd4003,0xffeccccd,0x3ffff606,
    0xffffffff,0xfff1000e,0xfff7000b,0x2ffe8009,0x3a13ff20,0x2fff83ff,
    0x7fffff40,0x400fffff,0xfff53ffe,0x209fffff,0xe80ffffe,0x7ff403ff,
    0xffffffff,0x1fffb800,0x807ffee0,0xcccdfffa,0x2006ffec,0xcccdfffa,
    0x2006ffec,0xcccdfffa,0x8006ffec,0xfc803ffe,0x1fff804f,0x7ffffff4,
    0xffffffff,0x7ff405ff,0xfbffd003,0xddff93ff,0x3fee07ff,0x01fff805,
    0x261bffe6,0x5ffd003d,0x1fff4000,0xffffff00,0x0dff1fff,0x543ffe20,
    0xfd8006ff,0x7fec003f,0xffffffff,0x59d502ff,0xdffffffb,0x7ffd0005,
    0x6fff9800,0xffd03d98,0x427fe405,0xfff83ffe,0x66fff402,0x04ffffcc,
    0xfd89fff4,0x01dfffff,0x3a09dff1,0x7ff403ff,0xffffcccd,0x5fff8804,
    0xb01bffa0,0xffffffff,0x2005ffff,0xfffffffd,0x002fffff,0xfffffffb,
    0x005fffff,0xb803ffe8,0xfff805ff,0x7ffff541,0xffffffff,0x7f405fff,
    0xfffb003f,0x3ffe6dff,0xff502fff,0x3ffcc01f,0x01ffff10,0xfd001ffb,
    0x7f40005f,0xfff3003f,0x51ffffff,0xff300439,0x002ffdcf,0x10017ffc,
    0xffffffff,0x00bfffff,0x004ffd44,0x007ffd00,0x407fffc4,0xffe80ffd,
    0x213ff202,0xfff83ffe,0x217ff402,0x204ffffa,0x00003ffe,0x00fffa00,
    0xffa85ffd,0xffc804ff,0x3fffa81f,0x3ffffe20,0xffffffff,0xffff8805,
    0xffffffff,0xfff8805f,0xffffffff,0x7f4005ff,0xfffa803f,0x01ffe600,
    0x7f400000,0xfff9003f,0x7fff49ff,0xfff101ff,0x037fec09,0x3e05fffb,
    0xffe801ff,0x3ffa0002,0x35ff9003,0x701fff33,0x9ffe60df,0x54005ffc,
    0x32001fff,0xeeeeefff,0x00fffeee,0x0007fe20,0x4007ffd0,0xff02fffd,
    0x05ffd03f,0x7f427fe4,0x02fff83f,0x74c17ff4,0xffd02fff,0x000d4007,
    0xe807ffd0,0xffe982ff,0x7ffc402f,0x00fffe85,0x3bbbfff2,0xfffeeeee,
    0x77ffe400,0xfeeeeeee,0x7fe400ff,0xeeeeeeef,0x2000fffe,0xf8803ffe,
    0x3ff604ff,0x001a8006,0x801fff40,0x21fffffb,0x00fffffc,0x9873fff6,
    0xf902fffd,0x7ffc09ff,0x02ffe801,0x00fffa00,0x3fe237f4,0x81ffe80f,
    0x3ff27ffa,0x2e6b2604,0x7c006fff,0xffe803ff,0x3ffe2003,0x3ffa0002,
    0x9fff9003,0x740fffc0,0x3ff202ff,0x5c3ffe84,0x7f400fff,0xffff102f,
    0x007ffd01,0x0003ffee,0xe807bff2,0xfff102ff,0xfffd801f,0x013ffea0,
    0xfd007fff,0x3fff807f,0x403ffe80,0xfe803fff,0x3ffa003f,0x9fffb003,
    0x17ffecc3,0x03ffee00,0x01fff400,0x47ffffa8,0x407ffff9,0xfefffff8,
    0xf505ffff,0x33333dff,0x203fff33,0x9bffe998,0xe9998801,0x40999bff,
    0x310dffa8,0x33333fff,0xff505fff,0xd027fecd,0x3fffffff,0x57ffdc00,
    0x3bff2200,0x6dd64401,0x4cc4005f,0x2019bffe,0x999efffa,0x1fff9999,
    0x405fff4c,0x6c0dffd8,0xffff32ff,0xbffe9809,0x3bfff501,0x8802ffd8,
    0x8004feb9,0x985ffffa,0xf501bffe,0x7cc03bff,0x3fff64ff,0x2bffee00,
    0x3bff2200,0x15fff701,0x0f7fe440,0x00afffb8,0x407bff22,0xbffe9998,
    0xff100999,0xffffdfff,0xb98800bf,0x331004fe,0x3337ffd3,0x3fffe601,
    0x06fffe84,0xfffffe98,0xf900dfff,0xffffffff,0xd03fffff,0xffffffff,
    0x3ffa05ff,0xffffffff,0xffff33ff,0xfffff9ff,0xffffffff,0x6cbff505,
    0x3ff602ff,0x5003ffff,0x9fffffff,0xfffffe88,0x3ffe606f,0x3f6003ff,
    0xffffffff,0xffffc82f,0xffffffff,0x3fff61ff,0x3fee2fff,0x3f64ffff,
    0x3ffff72f,0x3ffffe20,0xffc82fff,0x0bff66ff,0x0fffbfe0,0x3fffe400,
    0xfffffff1,0xffff905f,0xf37fe40d,0x3fea07ff,0x444fffff,0x6ffffffe,
    0x3fffffea,0x7fff444f,0x3fea6fff,0x444fffff,0x6ffffffe,0x7ffffff4,
    0x03ffffff,0xffffffd3,0xf8001bff,0xe803ffef,0xffffffff,0xf883ffff,
    0xffc81fff,0x3ff2005f,0x6402ffff,0xffffffff,0x41ffffff,0xfffffff8,
    0xf984ffff,0xffffffff,0xff76ffff,0xffffffff,0xffffffff,0x3fb105ff,
    0x9100774c,0x4003bffd,0xfffffffc,0x7ffffcc7,0x36e01fff,0x3e2004ff,
    0xffffffff,0xfffc85ff,0xffffffff,0xfff11fff,0x7f4bffff,0x2a7fffff,
    0x17fd10ef,0x7ffffd40,0xffd04fff,0x03bea1ff,0x03bfff20,0x24feb800,
    0xfffffffa,0xffffd04f,0xf917ec01,0x7fffe409,0x7fcc7fff,0x91ffffff,
    0xffffffff,0xffffff98,0xffff91ff,0xff98ffff,0x31ffffff,0xffffffff,
    0x80dfffff,0x2ffffffc,0xdfff9000,0xffff9801,0xffffffff,0x0ffff06f,
    0x0017ffe6,0x64002aa6,0xffffffff,0x81ffffff,0xffffffec,0xfd901dff,
    0xffffffff,0x3ff625bf,0xfffe9dff,0xffffffff,0x0000002f,0xfffb3000,
    0xff905dff,0x0009dfff,0xfffeb800,0x81dfffff,0xfffffffc,0x1fffffff,
    0x37ffffb2,0x3ffffaa1,0x2200002e,0xdffffffd,0x09dff101,0x001a8800,
    0x3ff62000,0x101dffff,0x00009dff,0x3ffff660,0xfffc82ef,0x3f664eff,
    0xc82effff,0x24efffff,0xefffffd9,0xfffffc82,0x7fff644e,0xdfffffff,
    0x01553002,0x00351000,0x7fffff64,0x02dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2179bb71,0x00f60018,0x01ec4000,0x00004c00,
    0x00030062,0x26001f5c,0x2a602aaa,0x80001aaa,0x6c40005b,0x11006003,
    0x03d88000,0x9bd97300,0x555500c5,0xaaa88155,0x0002000a,0x5cc05cc0,
    0x1500a000,0x51014400,0x016e0000,0x8b33332e,0x1cccccb8,0x006600a8,
    0x00018031,0x40000fae,0x2a200009,0x1aaaaaaa,0x4c05cc00,0x7cc0400b,
    0xffeb86ff,0xfedfffff,0x0dff8804,0x3fe60000,0x3f220005,0x3f60002f,
    0x017f4c0d,0x00fffd40,0x1fffffe8,0xffffffe8,0xffd10007,0x2ffcc000,
    0xc82ff980,0x3e60006f,0x7fd4005f,0xefffffff,0x7fffcc4f,0xff52ffff,
    0x9809ffff,0x01cc3ffd,0x7cc6ff88,0x07f7004f,0xfd8017e6,0x0005f901,
    0x2007fec4,0x2ffffffe,0x7ffffffb,0xdf105f98,0xea84fe80,0xffa8002f,
    0x3220001f,0xfd0002ff,0xffffffff,0x1bfe2003,0x36209ff3,0x3ffe22ef,
    0x7ffffe45,0x6fffffff,0x01dff500,0x1bff7000,0x3ffa6000,0xa8000dff,
    0xdff92fff,0xfff70001,0xffff1005,0xfff88dff,0x001fffff,0x000fff4c,
    0x000dffb8,0x3a633ffa,0xf70003ff,0x7e4001bf,0xffffffff,0x7fdc7fff,
    0x94ffffff,0x0dffffff,0x77ffffcc,0x8800ffba,0x2ffd47ff,0x441ff980,
    0x3f2004fe,0x00ffd40e,0x01ffe980,0xffffffe8,0xffffffb2,0xe83ff887,
    0x77fd405f,0x000dff91,0x000bffee,0x6fffff4c,0x776d4000,0x00ceeeee,
    0xfa8fff10,0xdfff705f,0x3f24fff8,0xedbcefff,0x2007ffff,0x0001ffe9,
    0x80013ff2,0xffcaeffc,0xfe98001f,0x000dffff,0x400bfd10,0x3fffffeb,
    0x77ffff5c,0x77fd4004,0x9ff90000,0x3fff2000,0x90002fff,0xfd8009ff,
    0xdcbcefff,0x6447ffff,0x1dfffffe,0x5bfffff1,0x7546fe40,0x2004ffff,
    0x01dc82db,0x3b3bff60,0x22000eff,0xffecefff,0xdff30004,0x37ffa001,
    0x332e22cc,0xffc83fff,0x01fffddf,0xfffffe98,0x3fa20004,0xdff90005,
    0x003fff95,0xdb800000,0xfd01dc82,0x7ff43fff,0x01dfff73,0x001fffee,
    0x2000bfb1,0x20003ff9,0x7f4c4ff9,0x3ff20006,0x0100002f,0x3ffff200,
    0x05fff00f,0x000bfd00,0x0001ffcc,0x0033ffa6,0x001ffcc0,0x4037ffea,
    0x3a07ffd8,0xfffc82ff,0xd701002f,0x0000003b,0xfffff900,0xfd30001b,
    0x0009ffff,0xd0006ff4,0x3f6005ff,0xffff703f,0xfc8003df,0x100001ef,
    0x13fe6000,0xa800dfd3,0x0000a881,0x3fffa000,0x7cbff61f,0x7dc00eff,
    0x0350007f,0x0000dc00,0x005700dc,0x0000c980,0xffc80000,0xfff05fff,
    0x00530005,0x00003700,0x5c000164,0xefff8001,0x037fcc00,0xffd85ffd,
    0x000001ff,0x80000000,0x0001aba8,0x000aba98,0x740014c0,0xffb002ff,
    0x0d5d4407,0x00095000,0x0dc00000,0x7e400570,0x007fec1f,0xffd80000,
    0x27ff20ff,0x8800fff9,0x000005ff,0x00000000,0x00000000,0x337b2e60,
    0xfff90062,0xfff05fff,0x00000005,0x00000000,0x3ee00000,0x7fb000ff,
    0xe897ff40,0x8000efff,0x01bddca8,0x7bb95100,0x00000003,0x00000000,
    0x00bffa00,0x0001ffec,0x20000000,0x10bcddb8,0x00000003,0xfff85ffb,
    0x55554c01,0xaaaaaaaa,0x3fff20aa,0x7dc7fdc7,0x076a006f,0x2aaaaaa6,
    0xaaaaaaaa,0xaaaaa980,0xaaaaaaaa,0xaaaa980a,0xaaaaaaaa,0xaaa980aa,
    0x2aaaa602,0x7fffd401,0x4fefffff,0x3fb7ff20,0x17ffc0ff,0x202aaa98,
    0x301aaaa9,0x55555555,0x55530155,0x55555555,0x55301555,0x5554c015,
    0x001bff20,0xd35ffd00,0x0001bfff,0xfffffff7,0x7fdc003d,0x01efffff,
    0x5555554c,0xaaaaaaaa,0x2aaaa200,0x44001aaa,0x1aaaaaaa,0x005ffd00,
    0x5530fff6,0x55555555,0x55555301,0x2e000155,0xfffffffe,0xaa884fed,
    0xaaa980aa,0xa85e9801,0x3ffe204e,0xffffffff,0x322fffff,0xbfd47fff,
    0x40004ffd,0xfffffff8,0xffffffff,0x3fffe22f,0xffffffff,0x3e22ffff,
    0xffffffff,0x2fffffff,0x0ffffff4,0x7ffffff4,0xfffff907,0xffffffff,
    0x7ceffe40,0x17ffc5ff,0x0ffffff4,0x7ffffff4,0x7fffffc7,0x4fffffff,
    0xfffffff1,0xffffffff,0xfffff85f,0x7fffc44f,0x09ffb4ff,0xcffe8000,
    0x8005ffff,0xffffffd8,0x4402ffff,0xfffffffd,0xff882fff,0xffffffff,
    0x02ffffff,0xfffffff3,0x7fe400df,0xffffffff,0x017ff400,0x3fe3ffd8,
    0xffffffff,0xfff34fff,0xffffffff,0x3ff2003b,0xffffffff,0x7ffcc6ff,
    0x3ffe5fff,0x0000ffff,0x3fffea00,0xffffffff,0x3ee2ffff,0xfb7c46ff,
    0x540002ff,0xffffffff,0xffffffff,0x3ffffea2,0xffffffff,0x3fea2fff,
    0xffffffff,0x22ffffff,0x6ffffff8,0x7fffffc4,0x7ffec1ff,0xffdcbcef,
    0x3ff207ff,0x7c3fff95,0x7ffc42ff,0x7fc46fff,0x31ffffff,0xffffffff,
    0x2abfffff,0xffffffff,0xffffffff,0x3ffffe62,0x7fffd46f,0x05fff6ff,
    0xfffe8000,0x8003ffff,0xcbdffffd,0x203ffffe,0xcbdffffd,0x543ffffe,
    0xffffffff,0xffffffff,0xfffff702,0x2005ffff,0xfffffffe,0x7f402fff,
    0x7ffb002f,0x3fffffe6,0x5fffffff,0xfffffff5,0x09ffffff,0xceffffc8,
    0x7ffffedb,0x7fffffdc,0xffffff37,0x8000003f,0xffffffec,0xffffffff,
    0x217ffea2,0x003fff1b,0xffffd900,0xffffffff,0xffec85ff,0xffffffff,
    0x7642ffff,0xffffffff,0x42ffffff,0x3fffffeb,0x77ffff5c,0x06fffd44,
    0x207ffd88,0x3ffa5ffc,0x2e0bffe6,0x43fffffe,0x4effffeb,0x7fffff5c,
    0x21dfffff,0xffffffec,0xffffffff,0x7ffff5c2,0x7fffec42,0x403fff2d,
    0x00999999,0x3ffffffa,0x3ee004ff,0xffa80dff,0xfffb80ff,0xffffa80d,
    0x7ffff640,0xffffffff,0xffb102ff,0x0bffffff,0x3ffff660,0xe804efff,
    0xffb002ff,0x7ffff5c7,0x1dffffff,0xffffff91,0x9fffffff,0x03bffee0,
    0x223fffdc,0x22dffffd,0x84ffffeb,0x981aaaa8,0x3a01aaaa,0x7ffc03ff,
    0x017ffe62,0x00003fff,0x3e01fff4,0x7ffd02ff,0xd02fff80,0xfff807ff,
    0xfffff902,0x20bffe01,0x4c00efff,0x3ff206ff,0x7d3ffea5,0x3ff202ff,
    0xfff00fff,0x0fffa005,0x201fff40,0xffd02fff,0x5fff701f,0xfa81fff8,
    0xefffffff,0xcffffe80,0x8804ffff,0x7c405fff,0x7ffc45ff,0x2fffc405,
    0x7c03ffe8,0xff9002ff,0x0001ffff,0xe8007ffd,0xffb002ff,0x03ffe807,
    0xb985ffb8,0xff82fffe,0x7fdc00ef,0x405ffd07,0xff984ffc,0x7fe43fff,
    0x3fa05fff,0x17ff403f,0xd809fff3,0x200003ff,0x7f403ffe,0x07ffd02f,
    0xfd02ffe8,0x2ffe807f,0xbfffff90,0xf70bffe0,0x3f6001ff,0xb17ff203,
    0x5fff3fff,0x7ffffe40,0x005fff05,0x7400fffa,0x7ff403ff,0x8bfff102,
    0xfe85fff9,0xffffc82f,0xe82fffff,0xffb11eff,0xfffc807f,0x1fffa800,
    0x2003fff2,0xfe81fffa,0x17ff403f,0xffcfff80,0xffe8003f,0x17ff4003,
    0x403ffd80,0xfb803ffe,0x3ffe605f,0x007ffcc6,0xfe82ffc4,0x13ff202f,
    0x0fffffea,0x0bfffffb,0x8ee1fff4,0x3fe20ffd,0x27fdc03f,0x7ffd0000,
    0x03ff63b8,0x8ee1fff4,0xffd00ffd,0x3ff63b87,0xfffff900,0x85fff05f,
    0x00006ffc,0x3e22ffe4,0x02fffeff,0x3ffffff2,0x002fff82,0x3a007ffd,
    0xfb1dc3ff,0x7ffdc01f,0x203fffa3,0xfd984ffc,0x05ffffff,0xffd05ffd,
    0x03ffe80f,0xfe8fffa0,0x3ffa003f,0x5c3ffe83,0x2003ff63,0xffc9fffa,
    0x3ffe8006,0x017ff400,0x7403ffd8,0xffb803ff,0x17ffd405,0x5400dff7,
    0x05ffd01d,0xdb827fe4,0x76443fff,0x3fa05ffe,0x4cbfee3f,0x03fff83d,
    0x000fffc4,0x71fff401,0x80f665ff,0x3fee3ffe,0x7f407b32,0x4cbfee3f,
    0x37ff203d,0x7fc0fffe,0x027fec2f,0x17ff2000,0x3fffffea,0x3b7ff202,
    0x7ffc0fff,0x07ffd002,0xfb8fffa0,0xb007b32f,0xfff71fff,0x01bfea05,
    0xfd03ffcc,0x7fff305f,0x000fffc0,0x7ffc9ff9,0x13ff2001,0xffb8fffa,
    0x36007b32,0x5fff15ff,0x03ffe800,0x8017ff40,0x7f403ffd,0x5ffb803f,
    0x365ffd80,0x200004ff,0x3f202ffe,0x1ffec04f,0x740bff70,0xffdaacff,
    0x01ffe803,0x800effe8,0xffe80ffb,0x03ffdaac,0x2ab3ffa0,0x3a003ffd,
    0xffdaacff,0x37ff2003,0x7fc5fff9,0x017ffc2f,0x17ff2000,0x17ffffec,
    0xff3bff90,0x02fff8bf,0x2007ffd0,0xfdaacffe,0xff88003f,0x205fffef,
    0x9804fff8,0x3ffa07ff,0x01fff702,0xb800fff1,0x0fff16ff,0xe86ffb80,
    0xffdaacff,0xfff88003,0x0017ff62,0xe8007ffd,0xffb002ff,0x03ffe807,
    0xb805ffb8,0x0bffe6ff,0xbffe8000,0xfd999999,0x1ffec04f,0x740bff70,
    0xffffffff,0x005fa804,0x017ffff5,0xd05fffb3,0xffffffff,0x7fff4009,
    0x004fffff,0x3ffffffa,0x3f2004ff,0x43fff95f,0x7ffc2fff,0x26666601,
    0x37ff2009,0x7fffc409,0x57ff202f,0x3fe1fffc,0x7ffd002f,0x3ffffa00,
    0x0004ffff,0x1ffffff7,0x1efffc80,0x07ffca88,0x1037ffd3,0xf9839fff,
    0x7fd4007f,0x800fff37,0xffe87ffa,0x04ffffff,0x547ffc80,0x3a000fff,
    0x7f4003ff,0x7ffb002f,0x803ffe80,0xf9805ffb,0x007ffe7f,0xffffe800,
    0xffffffff,0x01ffec04,0x7f40bff7,0x4fffffff,0xff500000,0xffddffff,
    0x3fa0ffff,0x4fffffff,0x3ffffa00,0x2004ffff,0xfffffffe,0x3ff2004f,
    0xff9bffa5,0x40fffc2f,0xfffffffa,0x3ffe60ef,0x7dc4ffff,0x3f202fff,
    0xf9bffa5f,0xffd002ff,0x3fffa007,0x004fffff,0x0bffff60,0x7fffff40,
    0xffffffef,0x7ffffc47,0x7fe42fff,0xfff12fff,0xaffdc001,0x2000fff8,
    0xffe85ffb,0x04ffffff,0xf84fff80,0x3fa003ff,0x7ff4003f,0x07ffb002,
    0xb803ffe8,0xff9805ff,0x0007ffe7,0xfffffe80,0x4fffffff,0x701ffec0,
    0x7ff40bff,0x04ffffff,0x3fea0000,0xffffffff,0xfffd00df,0x009fffff,
    0x7ffffff4,0x3fa004ff,0x4fffffff,0xa97ff200,0x5fff4fff,0xfc82ffe8,
    0xffffffff,0x3ffffee2,0xfffe87ff,0xa97ff202,0x5fff4fff,0x00fffa00,
    0x7ffffff4,0x220004ff,0x22005fff,0xfffffffd,0x5c4fffff,0xffffffff,
    0x7ffffc44,0x8007ffe4,0x3ffe4ffc,0x13ff2001,0x3ffffffa,0x7d4004ff,
    0xeccccdff,0x3fa006ff,0xfd14c03f,0x3ff6005f,0x01fff403,0x4c02ffdc,
    0x0fff67ff,0xfffe8000,0xffffffff,0x1ffec04f,0x740bff70,0x0fff23ff,
    0xb9800001,0xdffffffd,0x91fff403,0x3a0087ff,0x0fff23ff,0x91fff401,
    0x320087ff,0x7ffec5ff,0x7e42fff9,0xfffd984f,0x6c45ffff,0x82efffff,
    0x3202fff9,0x7ffec5ff,0xd002fff9,0x3fa007ff,0x10fff23f,0x03ffe800,
    0xffffd980,0x880bffff,0xdffffffd,0x1dfffc81,0x44013ff6,0x3ff63fff,
    0x7fff1004,0x7e47ffd0,0x3f60043f,0xffffffff,0xfd002fff,0x9ffcc07f,
    0xfb002ffe,0x3ffe807f,0x805ffb80,0x3fee6ffb,0x3fa00004,0x13ff202f,
    0x5c07ffb0,0x3ffa05ff,0xfd87fea3,0x00066d44,0x8002bfe0,0x3fea3ffe,
    0x7f413f61,0xd87fea3f,0x47ffd04f,0x13f61ffa,0x3e22ffe4,0x42fffeff,
    0xf3006ffa,0x000000ff,0xf88bff90,0x02fffeff,0x2007ffd0,0x3fea3ffe,
    0xe8013f61,0x440003ff,0x00009aa9,0xfff70000,0x1fff9003,0x400fffdc,
    0xfe80fffc,0xd87fea3f,0xffff104f,0xffffffff,0x3ffa00bf,0x757fee03,
    0xffb002ff,0x03ffe807,0xd805ffb8,0x3ffe24ff,0xfe802001,0x13ff202f,
    0x2209ffb0,0x3fa05ffd,0xff10443f,0x01fffc4d,0x005ff100,0x0443ffe8,
    0x3fa0dff1,0xff10443f,0x10fffa0d,0xc837fc41,0xfffa85ff,0x7fc42fff,
    0x7ff9804f,0x00035000,0x3ea17ff2,0x002fffff,0x3a007ffd,0xf10443ff,
    0x7ff400df,0x01a80003,0x002a2000,0x803bffa0,0xfe83fffa,0x3fea00ef,
    0x87ffd03f,0x41bfe208,0xeeeefffc,0x0fffeeee,0x203ffe80,0x5ffd5ffb,
    0x00fff600,0xf7007ffd,0xfff880bf,0x0077ff43,0x7f407fdc,0x13ff202f,
    0x441dff90,0x206ffffc,0x7cc03ffe,0x017ff47f,0x07fff100,0x201fff40,
    0xffd07ff9,0x07ff9807,0xf9807ffd,0x0bff907f,0x0bfffff6,0x207bfff2,
    0x007ffca8,0x000fffb8,0xfd82ffe4,0xd002ffff,0x3fa007ff,0x3ffcc03f,
    0x007ffd00,0x00fffb80,0x06ffc800,0x57fffcc0,0x1bfff220,0x057fffcc,
    0x40dfff91,0x7cc03ffe,0x07fff07f,0xd007ffd0,0x7fdc07ff,0x0137ffd5,
    0x00fffa66,0xf7007ffd,0x7ffcc0bf,0x7fffd40f,0xfffd980b,0x202ffe82,
    0x7d404ffc,0xffffefff,0x4c2fffff,0x9999bffe,0x47ffa999,0x910001a8,
    0x200df977,0x999bffe9,0x7ffa9999,0x99bffe98,0xffa99999,0x9bffe987,
    0xfa999999,0x3bff907f,0xfffff881,0xfffffd02,0xffffffdf,0xeb98800f,
    0x7fe4004f,0x7ffc409d,0x333102ff,0x13337ffd,0x337ffd30,0xff533333,
    0xfe99880f,0x880019bf,0x0004feb9,0x017fe4c4,0x3ffffee0,0x1ffffffe,
    0x3ffffee0,0x1ffffffe,0x337ffd30,0xff533333,0x15fff70f,0x0f7fe440,
    0x5fff4cc4,0xfc999999,0xfffffd5f,0x3fffee1d,0x4ccc43ff,0x0999bffe,
    0x999effc8,0x2ffffdba,0xffffff50,0xffffffdd,0x017ffd30,0x801bffb1,
    0xfffffffd,0x14ffffff,0xffffffff,0xffffffff,0xf980000f,0x4403ffff,
    0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,0x3fe27fff,0xffffffff,
    0x47ffffff,0xfffffff9,0x17fffdc4,0xfffffd88,0x4fffffff,0x7ff7fc00,
    0xffff3003,0xffb89fff,0xfffe82ff,0xffffffff,0xfffff13f,0xffffffff,
    0x7ec0ffff,0xffffffff,0x3bfe002f,0x260003ff,0x001ffeff,0xffffffb8,
    0xb800efff,0xffffffff,0xfff880ef,0xffffffff,0x2a7fffff,0x4fffffff,
    0x7fffff44,0x3fffee6f,0xffffffff,0xffd5ffff,0x3fa7ffff,0x3a3fffff,
    0xffffffff,0xff13ffff,0xffffffff,0xa809ffff,0xffffffff,0x7ec0dfff,
    0x3a4fffff,0x04ffffff,0x7fffffec,0x51dfffdc,0xffffffff,0xffffffff,
    0xb500000f,0xfa8019ff,0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,
    0x3ffea7ff,0xffffffff,0x5c7fffff,0x7fffffff,0x402fffe8,0xffffffd9,
    0xc8000bff,0x7000efff,0xffffffff,0x985fffd0,0xffffffff,0xf56fffff,
    0xffffffff,0xffffffff,0x3ffffe20,0x05ffffff,0x03bfff20,0xbfffd000,
    0x7fec4000,0x4003efff,0xefffffd8,0x3fffea03,0xffffffff,0x3f27ffff,
    0x47ffffff,0xfffffff9,0xfffffd1f,0xffffffff,0x3ffabfff,0xfd50efff,
    0x3e67ffff,0xffffffff,0xff56ffff,0xffffffff,0x26007fff,0xffffffdb,
    0xffff883d,0xfff37fff,0x100fffff,0x22003575,0xfffffffd,0xffffffff,
    0x00000007,0xfffffb10,0xffffffff,0x7fec4fff,0xffffffff,0x227fffff,
    0xfffffffd,0xffffffff,0x7fffec47,0xfff982ef,0x2aa62002,0xa8800009,
    0x7fec4001,0xf982efff,0xffec82ff,0xffffffff,0xffffb12d,0xffffffff,
    0x75c0ffff,0xffffffff,0x0d44001d,0x01510000,0x0554c000,0x0554c000,
    0x7fffec40,0xffffffff,0x3f667fff,0xc82effff,0x24efffff,0xffffffea,
    0xffffffff,0x1333315f,0x82666620,0xffffffec,0xb12dffff,0xffffffff,
    0x4000159b,0xec800aa8,0x322effff,0x02effffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36600000,0x9b50000c,0x4ccb8001,
    0x71055000,0x554c0003,0x00aaaaaa,0x0b980b98,0xaaaaa980,0x20000aaa,
    0x10000cda,0x00020000,0x2602e600,0x0010000b,0x55555300,0x2a601555,
    0xaaaaaaaa,0x0001000a,0x5555554c,0x510000aa,0x10037bb9,0x30155555,
    0x00035555,0x130003b8,0x88000000,0x2aaaa200,0x80001aaa,0xaaaaaaa9,
    0x5554c00a,0xaaaaaaaa,0x51000aaa,0x79999997,0x00000001,0x0004fff8,
    0xe8009fff,0xfb8007ff,0x00ffe43f,0x7ffffcc0,0x4406ffff,0x27fcc6ff,
    0x3ffffe60,0x0006ffff,0x30013ffe,0x03987ffb,0x5c1efea8,0x6ff88001,
    0x20027fcc,0x1cc3ffd9,0x7ffffcc0,0xff86ffff,0xffffffff,0xd9104fff,
    0x4c007bff,0xffffffff,0xffb8006f,0x01efffff,0xfffffff3,0x7fffffc9,
    0xfe88006f,0x0ffb8006,0x3e000000,0xfffff306,0x8000dfff,0xfffffff9,
    0xfff106ff,0xffffffff,0x405fffff,0xfffffec8,0x804fffff,0x400005e9,
    0x8005fff8,0x4005fff8,0xc8007ffe,0x17fec4ff,0xeeeec800,0x4402deee,
    0x2ffd47ff,0x3bbbb220,0x0002deee,0x400bfff1,0xaefffff9,0x3ee00ffb,
    0xfdadffff,0x7ff98006,0x3002ffd4,0x75dfffff,0xec8801ff,0x2deeeeee,
    0x7fffffcc,0x5fffffff,0xfffffe98,0xdd91004f,0x05bddddd,0x7fffec40,
    0x83ffffff,0xfffffffb,0xffffff36,0x7cc001ff,0xfd8001ff,0x0000002f,
    0x3fee0ff3,0x2fffffff,0x3bb22000,0x02deeeee,0xfffffff5,0xffffffff,
    0x3ffa605f,0xffeeffff,0xffc800ce,0x7dc00001,0xdf90001f,0x5eed8003,
    0x40dc8800,0x000004d9,0xc82db800,0x0000001d,0x001efc80,0x3faa37f2,
    0x7fc04fff,0xfffffb8b,0x05b70001,0x7e4003b9,0xffffea8d,0x5c000004,
    0xfffffffe,0x7cc1dfff,0xffebadff,0x00000004,0x97bffffb,0x885ffffd,
    0x2dfffffd,0x3bffffb2,0x3bfea004,0x7ffd0000,0x32000000,0xfffb106f,
    0x00bfffff,0xec800000,0xffffffff,0x82ffffff,0xf9cffff8,0x4007fa9f,
    0x00003ffe,0x00800008,0x00000000,0x00000000,0x00000000,0x40002000,
    0x801deb80,0x05f6c408,0x00000000,0x0077ae02,0x7f400000,0x2ffd803f,
    0x00007fd8,0xdfffb800,0x0ffffa80,0xf804ffc8,0x7fc001ff,0x7ff40005,
    0x55554403,0xaaaa980a,0x9004ffca,0x01ffffff,0xd0000000,0xfff807ff,
    0x10fffb82,0x00ff53ff,0x0003ffe8,0x00000000,0x00000000,0xdca88000,
    0x000001bd,0x0aaaaa88,0x01aaaa98,0x00000000,0x00000000,0x00000000,
    0x2aaaaa60,0x800aaaaa,0x7c403ffe,0x03ff503f,0x55555544,0x7fcc001a,
    0x7ffc405f,0x804ffc85,0x5c001fff,0xffe80002,0xffff300c,0x7ffc9fff,
    0x1fffffff,0xff9fff00,0xaa98007f,0xaaaaaaaa,0xfd00aaaa,0x2ffe807f,
    0x3e24ffe8,0x4007fa9f,0x20003ffe,0xaaaaaaaa,0x981aaaaa,0xaaaaaaaa,
    0xaaa980aa,0x44000aaa,0x1aaaaaaa,0x7ffdc000,0x401effff,0xaaaaaaa9,
    0x3fe60aaa,0x3e4fffff,0x86ffffff,0xaaaaaaa9,0x0aaaaaaa,0xaaaaaa98,
    0x2200aaaa,0x1aaaaaaa,0x0aaa9800,0x202aaa60,0x2602aaa9,0xff81aaaa,
    0xffffffff,0x7f404fff,0x07fe403f,0x3e607ff0,0x6fffffff,0x07ffe400,
    0x20fffdc0,0xff804ffc,0x2600001f,0xffd701ff,0x5c5bdfff,0x6fffffff,
    0xfffffff3,0x3ea00bff,0x06ffc9ff,0xffffff10,0xffffffff,0x3ffa05ff,
    0x1ffb1dc3,0x7c47fff0,0x4007fa9f,0x20003ffe,0xffffffff,0x7c4fffff,
    0xffffffff,0x3ea4ffff,0x02ffffff,0x3ffffe60,0x10006fff,0xfffffffb,
    0x3fe05fff,0xffffffff,0xfff74fff,0x3e6dffff,0x0fffffff,0xfffffff1,
    0xffffffff,0xfffff85f,0xffffffff,0xfffff984,0x7c006fff,0x444fffff,
    0x24ffffff,0x81fffffe,0x7ffffffe,0x3fffffe6,0x5fffffff,0x201fff40,
    0x3fa206fd,0xfffff703,0x4005ffff,0x3a003ffe,0x27fe42ff,0x800fffc0,
    0x31bdeca8,0xffb09fff,0xffffffff,0x7ffffec4,0x3fffb22d,0x36003def,
    0x5fff15ff,0xfffff500,0xffffffff,0x3fa05fff,0x4cbfee3f,0x49fff03d,
    0x07fa9ff8,0x001fff40,0xfffffff0,0x49ffffff,0xfffffff9,0x25ffffff,
    0xfffffffb,0x3ffee002,0x02ffffff,0xdffffd80,0x3ffffecb,0x7fffffcc,
    0x5fffffff,0xbfffffb1,0x7ffff645,0x3fffea3e,0xffffffff,0x3e62ffff,
    0xffffffff,0xfb85ffff,0xffffffff,0xffff3002,0xfffa8dff,0xfff16fff,
    0xff88dfff,0x21ffffff,0xffffffeb,0x401dffff,0x7f403ffe,0x3fffec84,
    0xfffffb10,0x7c00bfff,0x3f2001ff,0x027fe44f,0x2200fffc,0xfffffffe,
    0x741fffff,0xffefffff,0x7fe41fff,0x01fff804,0xb17ffc40,0x3b200bff,
    0xffffffff,0x02ffffff,0xfb559ffd,0x3ff6007f,0xf53ff10f,0x2aaaa20f,
    0xaaacffea,0xffff001a,0xffffffff,0xfffeb89f,0xdfffffff,0x3fbb6e21,
    0x362002ff,0xffffffff,0x7ffdc005,0xffffa80d,0x7ffff5c0,0x1dffffff,
    0x7c027fe4,0xffec81ff,0xffffffff,0x75c2ffff,0xffffffff,0xfd881dff,
    0x5fffffff,0x3fffae00,0x7ffec42f,0x3ffae2df,0x7f5c3fff,0xe804efff,
    0xfe8003ff,0x31ffc03f,0x07fffffd,0x3fffff20,0x7ff8800f,0x22ffdc00,
    0xff804ffc,0x3ffa201f,0xffffffff,0x7ffd42ff,0x3fff20be,0x4027fe41,
    0x64001fff,0x7ffd47ff,0x0fffa000,0x3a05fff0,0xffffffff,0xdfff3004,
    0xff53ff37,0xffffff50,0xffffffff,0x5fff00ff,0x01ffff10,0x0007ffd0,
    0x40005ffd,0x0ffffffc,0x0bfff100,0x805fff88,0xfc803ffe,0x1fff804f,
    0xf00fffa0,0xffd005ff,0x3ff20007,0x4000ffff,0xfb80fffe,0x3ff202ff,
    0xfff00fff,0x0fffa005,0x80fffa00,0x3ffa1ff8,0xf003febe,0x07fff9ff,
    0x800fff50,0x7fe46ffa,0x01fff804,0x57bffff3,0x0dffffb7,0x7fc0fffd,
    0x804ffc87,0x7c001fff,0x3fff84ff,0x00fffa00,0x3fa05ffd,0x4fffffff,
    0x3fffe600,0x87fa9fff,0xfffffffc,0xffffffff,0x17ffc00f,0x8017fff4,
    0xe8003ffe,0x3e0002ff,0x03fffcff,0x001fff90,0xe803fff5,0xffc803ff,
    0x01fff804,0xfd00fffa,0x7ffd005f,0x33ffe000,0x44003fff,0x7fcc5fff,
    0x7ffe405f,0x5fff05ff,0x00fffa00,0x880fffa0,0x47ff51ff,0xffa803fe,
    0x806ffc9f,0x2000fff9,0x7fe45ffb,0x01fff804,0xe885fffd,0x223fffff,
    0x3aa03fff,0x804ffc83,0x2a001fff,0xccccdfff,0x3a006ffe,0xfb1dc3ff,
    0x3fffa01f,0x004fffff,0x7ffffec4,0xec887fa9,0xefffeeee,0x803deeee,
    0x7fe41ffe,0x3ffa004f,0x2ffe8003,0x3fff5000,0x3a00dff9,0x3fa003ff,
    0x1fff403f,0x4027fe40,0x3fa01fff,0xffb1dc3f,0x07ffd001,0x93fff500,
    0xf7000dff,0x7fff47ff,0x7fffe400,0x2fff82ff,0x007ffd00,0x4407ffd0,
    0xe8df91ff,0x5ffd803f,0x8805fff1,0x32001fff,0x27fe44ff,0x4c0fffc0,
    0x7f441fff,0x267ffeff,0x90000fff,0xfff009ff,0x7ffec003,0xffffffff,
    0x7ffd002f,0x3d997fdc,0xfc8fffa0,0x9500043f,0x00ff53ff,0x0003ffe8,
    0xfff51ff2,0x3ffe800b,0x02ffe800,0x22bffb00,0xff802fff,0x3ff2001f,
    0x01fff404,0x7c027fe4,0x3ffa01ff,0x6ccbfee3,0x07ffd003,0x22bffb00,
    0xd8002fff,0xfffb8fff,0xedffc802,0x7ffc0fff,0x07ffd002,0x407ffd00,
    0x8df91ff8,0x7fc403fe,0x017ff62f,0x44013ffa,0x7fe43fff,0x81fff805,
    0x7f445ffb,0x0fffacff,0x0003fff1,0x3e013ff2,0xff1001ff,0xffffffff,
    0x3a00bfff,0xffdaacff,0x8fffa003,0x13f61ffa,0xfa9ff880,0x1fff4007,
    0xf982a000,0x74000eff,0xfe8003ff,0xff88002f,0x017ff62f,0xb800fff1,
    0x7ff406ff,0x04ffc803,0x3a01fff8,0xffdaacff,0x7ffd0003,0x2fff8800,
    0x20017ff6,0xfffefff8,0x3bff9005,0xfff8bfff,0x07ffd002,0x407ffd00,
    0x7ff51ff8,0x3f201ff4,0x07ffd47f,0x007ffee0,0xf503fff2,0x7fdc01ff,
    0x447ffb07,0x3fe4fffe,0x017ffe2f,0x4027fe40,0xf9001fff,0xddddddff,
    0x001fffdd,0xfffffffd,0x7ff4009f,0xdff10443,0x54ffc400,0x7ff4007f,
    0x3a200003,0xe8001fff,0xfe8003ff,0xffc8002f,0x007ffd47,0xa800fff3,
    0x7ff407ff,0x04ffc803,0x3a01fff8,0xffffffff,0x7ffd0004,0x47ffc800,
    0x8000fffa,0x0ffffffb,0x32bff900,0x3ffe1fff,0x07ffd002,0x407ffd00,
    0x3ffa2ff8,0x7c04ffdf,0x3fff84ff,0x077ffc40,0x307fff70,0x7f409fff,
    0x27ffd06f,0x7c4fffe8,0x3fff21ff,0x42fe4c0b,0xff804ffc,0x7fff001f,
    0x007ffd00,0xfffffffd,0x7ff4009f,0x03ffcc03,0xff53ff10,0x03ffe800,
    0x3fff6000,0x7ffd0003,0x05ffd000,0xf09fff00,0x7fc407ff,0x3fee000f,
    0x01fff405,0x7c027fe4,0x3ffa01ff,0x04ffffff,0x007ffd00,0xff84fff8,
    0xffb0003f,0x7e4005ff,0xf9bffa5f,0xffd002ff,0xd3331007,0x813337ff,
    0x3ffa63fe,0xf500ffff,0xd9999bff,0xff500dff,0x7ec415ff,0x3ff606ff,
    0xffd711cf,0x3fff205f,0x4c4fffe8,0x7ffc47ff,0xffffcdff,0x027fe41f,
    0x5c00fffc,0x2200afff,0x7401effc,0xffffffff,0x7ffd3004,0x53333333,
    0x7c400fff,0x4007fa9f,0x00003ffe,0x0009fff7,0x2201fff4,0xbffe9999,
    0x7d401999,0xeccccdff,0x7ffc06ff,0x13ff2001,0x9007ffd0,0xfff009ff,
    0x7ffff403,0x0004ffff,0x54007ffd,0xccccdfff,0x10006ffe,0xc800bfff,
    0x3ffea5ff,0x2005fff4,0x7f403ffe,0xffffffff,0x13f63fff,0x80f7776e,
    0xfffffffd,0x802fffff,0xfefffffc,0x201fffff,0xfefffff8,0x2a05ffff,
    0x5fffffff,0x542fffc4,0xffffffff,0x5ffb86ff,0x201fff80,0xfffffffa,
    0x7ffff444,0x3ffa06ff,0x810fff23,0xfffffff8,0xffffffff,0x3fe2007f,
    0x6c007fa9,0x980002ff,0x3d986fff,0x203ffe80,0xfffffffb,0x0fffffff,
    0xffffffb0,0x05ffffff,0x88027fec,0x7f403fff,0x5ffb803f,0x201fff80,
    0x3ff23ffe,0xffe80043,0x3fff6003,0xffffffff,0xffd0002f,0x5ffc8007,
    0x7fcfffec,0x7ffd002f,0x7ffffcc0,0xffffffff,0x00017ee5,0xfffffff1,
    0x0bffffff,0x3ffffee0,0x800effff,0xffffffe9,0x7ec00dff,0x7dc5ffff,
    0xfd302fff,0x1bffffff,0x401fff50,0x7e407ff9,0x47ffffff,0xfffffff9,
    0x47ffd01f,0x93f61ffa,0xfffffffa,0xffffffff,0x3fe2007f,0x5c007fa9,
    0x440000ff,0xfd80ffff,0x1fff400f,0xffffffd0,0xffffffff,0xfffff105,
    0xffffffff,0x0fffdc0b,0x007ffe40,0x2a00fffa,0x3e600fff,0x1fff407f,
    0x27ec3ff5,0x801fff40,0xfffffff8,0x05ffffff,0x007ffd00,0x7c45ffc8,
    0x02fffeff,0xc807ffd0,0xfffffffe,0x3ea1efff,0x3f20001f,0xeeeeeeff,
    0x000fffee,0xdfffffd1,0xffc88009,0x3002ffff,0xddffffff,0x005fffff,
    0x017dfff5,0xb027ffc4,0xfd980dff,0xc82effff,0x04ffffff,0x4110fffa,
    0x3f626ff8,0xffffffff,0x07ffffff,0x3ea7fe20,0x001a8007,0x02fffd80,
    0xfe803fff,0x3ffaa03f,0xffffffff,0xffc80dff,0xeeeeeeef,0x3a00fffe,
    0x3ea00eff,0xffe803ff,0x4fff8803,0xd01bff60,0x220887ff,0xffe806ff,
    0xdfff9003,0xfddddddd,0xfd0001ff,0xffc8007f,0xfffffa85,0x7ffd002f,
    0x00efb800,0x0005ff88,0x3a00fffe,0xff3003ff,0x15105dff,0x019ff100,
    0xfffffd80,0x1fffffff,0x00fffa00,0x30efffec,0x0005fffb,0x01ef9800,
    0x2601fff4,0x440007ff,0x7c4001ff,0x3107fa9f,0x33333333,0x20033333,
    0x3e04fffc,0x7ff401ff,0x0f7d4003,0x00fffe00,0xf980fffa,0x3220afff,
    0xfd006fff,0x3ff6007f,0x3ff661cf,0x1fff402f,0x201ffe60,0xff003ffe,
    0x7ffd007f,0x07ffd000,0xb05ffc80,0x205fffff,0xbffe9998,0x7e400999,
    0x9ff70024,0xf701fd30,0x644015ff,0x7cc01eff,0xdfffffff,0xf005ffdb,
    0x7ec0041f,0xffffdeff,0x74001cef,0xff1003ff,0xffffdfff,0x000000bf,
    0x260a69f7,0x9999bffe,0x07ffa999,0x28afd400,0x3ff33260,0x50bcffba,
    0xffffffff,0xdfffffff,0x9efffa80,0xff999999,0x74ccc41f,0x00999bff,
    0x700127dc,0x44015fff,0x2e01effc,0xffefffff,0x3101ffff,0x337ffd33,
    0x3ffe2013,0xfffffeff,0x5fff4c05,0xa9999999,0x999887ff,0x0999bffe,
    0x00afffb8,0x007bff22,0x2fffa662,0xbff90019,0xffff8813,0xffffe82f,
    0xffffffff,0x3b3fe203,0x7fff403f,0x20fffedd,0xfffffffa,0x7ffff444,
    0x3ffa06ff,0xffffffff,0xf9005fff,0x4401ff9d,0x554c6fff,0x3ff20000,
    0x3ffa6001,0x0dffffff,0xf8800000,0xff11ffff,0xffffffff,0x0fffffff,
    0xfffff000,0xfffff103,0x9fffffff,0x3ffffff2,0xffffffff,0x3ff201ff,
    0xffffffff,0x3fa1ffff,0xffffffff,0x3e203fff,0xf504fdcf,0x89ffffff,
    0xffffffe8,0x3fffee06,0x00efffff,0xfffffffd,0x207fffff,0xffffffe9,
    0xff100dff,0xffffffff,0x8fffffff,0xfffffffe,0xf53fffff,0x89ffffff,
    0xffffffe8,0x3ffff606,0x02ffffff,0xfffffff3,0x2ffffb89,0x7fffffcc,
    0x6fffffff,0x0ffffec0,0x3ffff620,0x7fe41fff,0x4c7fffff,0xffffffff,
    0xfffff881,0xffffffff,0xfff1000e,0x1bfd00bf,0x3a600000,0xfff90005,
    0x00005fff,0x4ffea800,0x3fffffea,0xffffffff,0xa80007ff,0x3b204ffe,
    0xeebaeeee,0xfffd31de,0xffffffff,0xfc809fff,0xffffffff,0xf31fffff,
    0xffffffff,0xc80dffff,0xf901ffff,0x8fffffff,0xfffffff9,0x3ff6201f,
    0x2603efff,0xffffffff,0x406fffff,0x2ffffffc,0x7ffffd40,0xffffffff,
    0x3fe67fff,0xffffffff,0xfff96fff,0xf98fffff,0x1fffffff,0xffffff88,
    0x705fffff,0xffffffff,0x905fffd0,0xfffffffd,0x1005bfff,0x54400157,
    0xfb302ccc,0x905dffff,0x09dfffff,0x510566d4,0x200017d9,0x006001b9,
    0x00000000,0x0000554c,0x22020000,0xfffffffd,0xffffffff,0x00200007,
    0x00000000,0xfffffc80,0xffffffff,0x3fffb21f,0xdfffffff,0x00bb8802,
    0x3fffff66,0xffffc82e,0x2a6004ef,0xffd9000a,0xffffffff,0x2aa6005b,
    0xfffb1000,0xffffffff,0xec8fffff,0xffffffff,0xffb32dff,0xf905dfff,
    0x409dffff,0xffffffeb,0xfb101dff,0x305dffff,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x76e54000,
    0x003eeeee,0x00000004,0x088009d5,0x80040000,0x00026009,0x00100002,
    0x00080110,0x0da87660,0x00040080,0x8800007b,0x00300000,0x79125c00,
    0x01644000,0x00059100,0x04003260,0x00880020,0x00980062,0x004c0026,
    0x1d980013,0x01002000,0x000ee000,0x2000016c,0xf9000008,0xffffffff,
    0x3bfae009,0x32a20002,0x3fe62cdd,0xffc8800f,0x2e60000c,0xf303dffd,
    0x401be209,0x0defffda,0x7fff6440,0x07ff000c,0x50001fd5,0x07fee5ff,
    0xd881bf90,0x5ff8803f,0x3fb22000,0x8001dfff,0x0000dfe8,0x5fe8bfec,
    0x09ff3000,0x017fa600,0x00bfee00,0x3fa613f6,0x6c0df002,0x04f9800f,
    0x9f300df1,0x5001be20,0xfd0007ff,0x003fd307,0x0037f440,0x0002ffc4,
    0x0002ffb8,0x666fffe4,0x9804fecc,0x0007d9cf,0xfffffff7,0x00dfff5d,
    0x013aabb2,0x3ffffe60,0xff882fff,0x4405fd82,0xfffffffd,0xfffd103f,
    0x9005ffff,0x3ff21bff,0x5ffa8006,0xf5007ff7,0x3ffee5df,0x1dff5001,
    0xffffb800,0x004fffff,0x0bffffee,0x457fec00,0xa8000ffe,0xa8000eff,
    0x40000eff,0xf7004ffd,0x3ffee3df,0x709fd000,0xff1001ff,0x100bfb05,
    0x0bfb05ff,0x00bff900,0xf91effb8,0x260001df,0x50001ffe,0x20001dff,
    0x0dffffd8,0x409ff000,0x26c804fd,0x362002f8,0xffffffff,0x002fffff,
    0x2003dc7f,0xfffffffa,0xdff903ff,0x803fffb9,0xfffffffd,0x7fc42fff,
    0xffffffff,0xffffb801,0xfa8004ff,0x007ff74f,0x7ff7ff4c,0x7f4c000e,
    0xfff7001f,0xffffffff,0xdffd8807,0x4005ffea,0xefe89ffd,0x5ffc8000,
    0x1bff7000,0x7ff44000,0x7ffd4002,0x2000dffe,0xfecdfffa,0x3ff2003f,
    0x01fffdce,0xfb9dff90,0x2a0003ff,0x2a000eff,0x0dffefff,0x1dff5000,
    0xfff98000,0x7ffd4001,0x001fffcb,0xf9007fcc,0x7ccf7009,0x3fff6000,
    0xffffdbdf,0x93a004ff,0x3fea006c,0x3b89bdff,0x7ffffe40,0x7ffd402e,
    0xfffda9be,0x3bfff20f,0x07fffd9a,0x03dffd10,0x7c53fa00,0xff90003f,
    0x6c40007f,0xfffb005f,0xffd95137,0x1ffe401f,0x4c00fff2,0x01df71ff,
    0x007ff300,0x0013fe20,0x0007ff20,0x017ffec4,0xfffffa80,0xffc8003f,
    0x4002efff,0x2efffffc,0x1ffcc000,0x3fff6200,0x2ffc0002,0xbfd10000,
    0x06ffc400,0xa800ffd3,0x076602ff,0x17f7fe20,0x0dfffb80,0x01ffffc8,
    0x0bfbbea0,0x0ffffd40,0x57951000,0x41fff600,0xff12fffa,0x5fff309f,
    0x00025c00,0x000370aa,0x00000d98,0x3bea0037,0x05fff301,0x0c98064c,
    0x5c417100,0x006e0000,0x00003700,0x200002e6,0x440000da,0x0000acba,
    0x000af2a2,0x002bca88,0x0002e200,0x40000654,0x7000002b,0x203c8003,
    0x3fea003b,0x100001ff,0x7c4005b7,0xfff305ff,0xd9800bff,0xfff1001d,
    0x0000003f,0xe80fffa0,0x3fff54ff,0x001bff60,0x00000000,0x00000000,
    0x7fec0040,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb00000,0x0009ffff,0x7fe40000,
    0xfffe880f,0x00001fff,0x00fffe40,0x37b72a00,0x3ffe802b,0x7dcfffa0,
    0x1ffea06f,0x57bdb950,0x35555100,0x03555530,0x9ddd9710,0x32a00625,
    0x0002bded,0x100fffa0,0x259ddd97,0xeca88018,0xb88001bd,0x312ceeec,
    0x7bd95100,0xedca8003,0x88198bde,0xa981aaaa,0x2a201aaa,0x03ceeedb,
    0x81aaaa88,0x801aaaa9,0x01bdeca8,0xbdeca880,0x76e54001,0x40198bde,
    0x5c2dedc9,0x54400bdd,0x03ceeedb,0x3bb6ea20,0x3e2003ce,0xeffeaadf,
    0x6dd44002,0xd803ceee,0xfffb03ff,0xa887fff7,0xaa981aaa,0x7ffc41aa,
    0x3fa60004,0x2effffff,0x541bff20,0xdff71fff,0x407ffcc0,0xffffffe9,
    0xfff302ef,0xfffc87ff,0x7fdc05ff,0xffffffff,0xfffd302f,0x005dffff,
    0x01fffc80,0x3fffffee,0x202fffff,0xfffffffd,0xfff7002f,0xffffffff,
    0x7fffec05,0x4c02ffff,0xfffffffe,0x3fe61fff,0x7fe43fff,0xff705fff,
    0xffffffff,0x3fffe605,0x7fffe43f,0x7ffec05f,0x002fffff,0xfffffffb,
    0xffe9805f,0xffffffff,0xfffff981,0xfffe9dff,0xfff701ef,0x5fffffff,
    0xfffffb80,0x802fffff,0x3f221ff9,0xfb801eff,0xffffffff,0x07ffe02f,
    0x7ed3ffee,0x3fffe65f,0x7fffe43f,0x4fffcc5f,0x403efed9,0xfffffffc,
    0xf505ffff,0xf9317dff,0x7ffd4dff,0x83fffd01,0xfffffffc,0xfa85ffff,
    0x7ec3ffff,0x3a05ffff,0xffffffff,0xfc84ffff,0xffffffff,0x971005ff,
    0x40bffffb,0xfffffffe,0xb04fffff,0xffffffff,0xffe807ff,0xffffffff,
    0xfffb04ff,0x7fffffff,0x3ffffe60,0x3fffffff,0x0fffffea,0x0bfffffb,
    0x3ffffffa,0xa81fffff,0x6c3fffff,0x205fffff,0xfffffffd,0x7ec03fff,
    0xffffffff,0xffff303f,0xffffffff,0xfffff907,0xffffffff,0xffd03fff,
    0xffffffff,0x7fff403f,0xffffffff,0x40efe801,0x00cfffe9,0x3ffffffa,
    0x881fffff,0x7fd40fff,0xa9bfee6f,0x6c3fffff,0x545fffff,0xffffcfff,
    0xffa81eff,0xfecaceff,0xff902fff,0xffffffff,0x41fffc43,0x2a3ffffb,
    0xcaceffff,0xb82ffffe,0x6443fffd,0xf905ffee,0xd9779fff,0xfa8bffff,
    0xecacefff,0xc802ffff,0x0effffff,0x79ffff90,0xbffffd97,0xcefffd88,
    0x3ffffdba,0x79ffff90,0xbffffd97,0xcefffd88,0x3ffffdba,0xacefffd8,
    0x44ffffcb,0x443fffdb,0x705ffeec,0xb759bdff,0x36e0bfff,0x76443fff,
    0xfd885ffe,0xfdbaceff,0xfd883fff,0xfdbaceff,0xffd83fff,0xffcbacef,
    0xeffa84ff,0xfffffdac,0xb85fffcc,0xdbacdeff,0x3ee05fff,0xfdbacdef,
    0xffa805ff,0xefffb83f,0x9bdff701,0x0bfffb75,0xff88fff3,0x1ffea0ff,
    0x887fffb7,0x5c5ffeec,0xffffffff,0x3e20ffff,0xff301fff,0x3ffe01ff,
    0x84ffffff,0xc88cfffd,0xf14fffff,0x3e603fff,0xffb00fff,0x42ffdc07,
    0x300dfff9,0x7fc4bfff,0xfff301ff,0xfffc801f,0xff306fff,0x3fe601bf,
    0x1fffe45f,0x41fffe88,0x300dfff9,0xffc8bfff,0xfffd103f,0x203ffe83,
    0xffb02ffc,0x02ffdc07,0x06ffb801,0xf701ffec,0x7fff90bf,0x07fffa20,
    0x2207fff9,0x7f41fffe,0x0bff203f,0x4ffff804,0x0207ffee,0x080dff70,
    0x8037fdc0,0x441dfff9,0x0100fffd,0xf886ffb8,0x3fffa1ff,0xd82ffdc1,
    0x3fee03ff,0x7ffffdc5,0x5fffeabf,0x300bffee,0xff907fff,0xffffffff,
    0xfffff883,0x4fffffff,0x9805fff7,0xffb03fff,0x42ffdc07,0xfc806ffd,
    0x0bffee3f,0x807fff30,0xffffeda8,0x806ffd85,0x7ff43ffc,0x44fff804,
    0xfc806ffd,0x027ff43f,0x3f627ffc,0x5c41acff,0x80fff602,0x98805ffb,
    0x7ffaaaba,0x701ffec0,0x9ffd0bff,0xe89fff00,0xfff804ff,0x567ffec4,
    0x44015c41,0x0fffeaaa,0x31027ff4,0xfff55575,0x2aea6200,0x2007ffaa,
    0x40cfffe8,0x4c403ffa,0x7ffaaaba,0x3f27fff0,0x4ffc83ff,0x5c07ffb0,
    0x7ffd45ff,0x1fffc86f,0xddddfff9,0xfffddddd,0xdffffa8b,0x0ffffeba,
    0x7fffffcc,0xf92ffeff,0xddddddff,0x0bfffddd,0xfb80fff6,0x02ffe85f,
    0x3f20ee88,0xeeeeeeff,0x05fffeee,0x27fff440,0x2200bffa,0x1ffe60ee,
    0x3a37fe40,0xee8802ff,0x401ffe60,0x7fd46ffc,0x2cefffff,0x203ffd80,
    0x3a605ffb,0xffffffff,0x1ffec07f,0xf98bff70,0xdff9007f,0xc803ffcc,
    0x7ffd46ff,0x02ceffff,0xffffffc8,0xfeeeefff,0xffe986ff,0x7fffffff,
    0x7ffff4c0,0x007fffff,0x42ffffb8,0xffd306fb,0xffffffff,0x3ef7ffa0,
    0xfff885ff,0x407ffb02,0x7fc45ffb,0xfff880ff,0xffffffd2,0xffffffff,
    0x0fffe8df,0x883fffb8,0xf8dffffd,0xffffd1ff,0xffffffff,0x3f60dfff,
    0x17fee03f,0x80007ffe,0xfffffffe,0xffffffff,0xdffb0006,0x0001fff8,
    0x4c017fee,0x3ffe0fff,0x3fee0001,0x1fff3005,0xffffffb8,0x3600efff,
    0x3fee03ff,0xfffff905,0x0fffffff,0x2e03ffd8,0x2ffdc5ff,0x70fff980,
    0x3e600bff,0x7ffdc0ff,0x0effffff,0xfffffea8,0xffffffff,0x7e47ffff,
    0xffffffff,0x3ff207ff,0xffffffff,0xf910007f,0xdfd75bff,0xffffff90,
    0x20ffffff,0xeffffffb,0x00fffc80,0x7dc07ffb,0x03fff85f,0x7ff53ff6,
    0xffffffff,0x227fffff,0x3fa03fff,0xf70cc05f,0x7ffff4ff,0xffffffff,
    0xffb07fff,0x22ffdc07,0x0000fff8,0x3ffffffa,0xffffffff,0xff30007f,
    0x03ffe21f,0x05ffb800,0x221fff10,0x20000fff,0xf1005ffb,0xdb7101ff,
    0x5fffffff,0xb80fff60,0xfffc85ff,0xffffefff,0x1ffec07f,0xfb8bff70,
    0xfff1005f,0x4017fee1,0xb880fff8,0xffffffed,0x3fffe62f,0xfffffeff,
    0x7fffffff,0x3ffffff2,0x07fffffe,0xdffffff9,0x00ffffff,0xffffe980,
    0x7ffe43ff,0xffffefff,0x3fffa07f,0xfffa81ff,0x80fff604,0xffe85ffb,
    0x653ff603,0xaaaaaeff,0x2aaaaaaa,0xb803ffe6,0x3e6006ff,0x3bff25ff,
    0xaaaaaaaa,0xfb02aaaa,0x2ffdc07f,0x00017ff4,0x5555dff9,0x55555555,
    0x7ffc0005,0x000bffa1,0x800fff98,0x7ff46ffa,0x3fe60002,0x6ffa800f,
    0xfca9814c,0x7ffb05ff,0x222ffdc0,0xa81befff,0x7fec07ff,0x317fee03,
    0xf5001fff,0x07ffccdf,0x2637fd40,0xfff95302,0x05fffdcb,0x2aabbffa,
    0xff12aaaa,0xff5037df,0x7dfff10f,0x00fff503,0x3bfff600,0x5f7ffc42,
    0x207ffa81,0x20dffffa,0x406fffc8,0x3ee03ffd,0x0fffd85f,0xf53fff88,
    0xf80007ff,0x3ff602ff,0xdfff3005,0x01fffd41,0x04ffd800,0xf90bffb1,
    0x515400df,0x00007fff,0x91ffe600,0x15400dff,0xf1017ffa,0x6ffc89ff,
    0xffd0aa00,0x4fff880b,0xf300bfe6,0x9ffb01ff,0x517ff620,0x7dc01fff,
    0x27fec07f,0xe85ffd88,0x7fc405ff,0x02fff44f,0xf993ffe2,0x7ffcc02f,
    0x3a0dff70,0xfa800fff,0x3fee00ff,0x00fffa87,0x5401ffee,0xa83fec05,
    0x3ee00fff,0x3fff207f,0xffffefff,0x7fec00ff,0x0bffb104,0x4c3bfff3,
    0x3fa1fffd,0x97301cff,0xaeffd85b,0x8bffee60,0x7ffecc18,0xcfffe81f,
    0x05b97301,0xc883bff2,0xfa86ffff,0x3aa02eff,0x3fffa2ff,0x5b97301c,
    0xa880ef4c,0x7fd45fff,0x3faa02ef,0x3bfff22f,0x1ffffb81,0x0177ffd4,
    0x7e45ffd5,0xffb81eff,0x3ffee1ff,0x7fe4c40c,0x0effc80f,0x1bffff22,
    0xa883fff7,0x201ffffe,0x3220effc,0xfc86ffff,0xffb81eff,0x7ffe41ff,
    0xffffb81e,0x033ffee1,0x21fff931,0x3622fff9,0x2a25ffff,0x3fff72dd,
    0xffffea88,0x20fffdc1,0x1ffffea8,0x2e01fe80,0x3fff707f,0xffffea88,
    0xfffffa81,0xefffffff,0x0effc801,0x1bffff22,0x7fffffec,0x7cc5ffff,
    0xeeefffff,0x546fffff,0xffefffff,0xff30ffff,0xffffffdf,0x3fffe605,
    0xfffeeeff,0xfff506ff,0xffffffdf,0xffc85fff,0xffeeefff,0x3e62ffff,
    0xeeefffff,0x366fffff,0xfeeeffff,0xc81fffff,0xeeefffff,0x42ffffff,
    0xeefffffc,0x902fffff,0xdddfffff,0x85ffffff,0xeefffffc,0x642fffff,
    0xeeffffff,0x506fffff,0xfffdffff,0x25ffffff,0xfefffff9,0xffffffff,
    0xffffa82f,0xfffffffe,0x7ffe42ff,0xffffeeff,0xffff902f,0xfffffddf,
    0xfffffc85,0xfffffeef,0x77ffff46,0xffffffff,0xf36ffffe,0xfffdffff,
    0x5fffffff,0x3bffffe6,0xffffffff,0x0bfe02ff,0xf982ffc4,0xfffeffff,
    0x2fffffff,0xb73ffff1,0x007fffff,0x7f7fffd4,0xffffffff,0x7ffff442,
    0xa80effff,0xffffffff,0xa85fffff,0xffffffff,0x3ffea0ef,0x02efffff,
    0x7fffffd4,0x5fffffff,0x3fffff60,0xffffffff,0xfffffd84,0x5fffffff,
    0xffffffa8,0x5fffffff,0x3fffffea,0x01ffffff,0x3ffffff6,0x05ffffff,
    0xfffffff9,0xfd803fff,0xffffffff,0xff905fff,0xffffffff,0xfffff503,
    0xdfffffff,0x7fffec01,0xffffffff,0x3fffee4f,0xffffffff,0xffb04fff,
    0xffffffff,0xff909fff,0xffffffff,0xffffc803,0x81ffffff,0xfffffffa,
    0x40efffff,0xffffffe8,0xffffffff,0x3fee5fff,0xffffffff,0x2e4fffff,
    0xffffffff,0x4fffffff,0x33337fe0,0x202fffdc,0xfffffffb,0xffffffff,
    0x883fff74,0xfb0000aa,0xffffffff,0x9109ffff,0x09ffffff,0xffffff90,
    0x4c05bfff,0xcefffffd,0xfffffd80,0x7fe4003f,0xdfffffff,0xffffd802,
    0xdfffdcff,0xffffd501,0x805bffff,0xfffffffc,0xfda82dff,0xdfffffff,
    0xfffea800,0x02dfffff,0x7ffffed4,0xfd5001ce,0xbfffffff,0xfffda805,
    0xb101ceff,0xffffffbd,0x3f6007ff,0xfdcfffff,0x7f541dff,0xfbdfffff,
    0x3601dfff,0xdcffffff,0xb501dfff,0x39dfffff,0x3fff6a00,0xb101ceff,
    0xffffffbd,0x7ec407ff,0xcdecffff,0x83dfffff,0xffffffea,0x1dffffbd,
    0x7fffff54,0xdffffbdf,0x3ffffe01,0x804fffff,0xffffffea,0x1dffffbd,
    0x00007ff3,0x7ffffec0,0x1dfffdcf,0x026aa620,0x35575300,0x15530001,
    0x0026a600,0x35575300,0x57510001,0xa9880003,0x40009aab,0x009aaba9,
    0x13555310,0x2ea62000,0x980009aa,0x220000ab,0x009aaba9,0x000ab980,
    0x03577530,0x03575100,0x26aea600,0x5d440000,0xb980001a,0x5cc0000a,
    0x7530000a,0x54400357,0x006ea02b,0x004d5d4c,0x09aba980,0x3bbba000,
    0x001cdeee,0x004d5d4c,0x00000310,0x00357510,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00400040,0x20040022,0x00060000,0x30000180,
    0x0e440000,0x15000000,0x3332a000,0x0039710c,0x6cc00195,0x05440001,
    0x0000014c,0x2980a880,0x5440d400,0x32e00000,0x00000ccc,0x00011000,
    0x014c0544,0x04400000,0x40130020,0xcccca809,0xcccccccc,0x0008802c,
    0x002c8800,0x00002d88,0x98005910,0x00bdffec,0x7dc0f7cc,0x81efa806,
    0xfc8005fc,0x7e40001e,0x3ee0001e,0x7d40001e,0x9510003f,0x3e2037bb,
    0xfffb8005,0x0bff71ff,0x2001ffc8,0x10002ffb,0x4ff98dff,0x87ff9100,
    0x6ff88028,0xc8027fcc,0x07fec1ff,0x7ffdc000,0xf91001ff,0x5002885f,
    0xf10007ff,0x04ff98df,0x885ff910,0x983ff802,0x09f300fe,0x3ff21be2,
    0xffffffff,0x7d404fff,0x2600003f,0xf98005fe,0x4c00004f,0x3e6005fe,
    0x0effffff,0xe8a7ff40,0xff8804ff,0x07ffd33f,0x7ffff4c0,0xffe98004,
    0x74c004ff,0x0004ffff,0x2000bff7,0xfffffffb,0x002fd41e,0x8fffffdc,
    0xfb105ffa,0xffb0007f,0xfff30009,0x8806ffa8,0xbaefffff,0x7fcc01ff,
    0x8037fd47,0x7ffc2ffd,0xffa80001,0xf8801fff,0xfbaeffff,0x3ff6200f,
    0x26000eff,0x37fd47ff,0x7ffffc40,0x400ffbae,0xff90dffc,0x417fc40d,
    0xfffc85fd,0xffffffff,0xffb104ff,0x80001bff,0x0000effa,0x0001bff7,
    0x001dff50,0x3fffffe6,0x6c405fff,0x03fffeff,0x3fbff620,0x3ee002ff,
    0x1effcaff,0x95fff700,0xf7003dff,0x3dff95ff,0x027fec00,0x7fffec40,
    0x23ffffff,0x950004fb,0x1f443fff,0x0017ff44,0x000bff70,0x03d905d9,
    0xff53bf90,0x32009fff,0x001ec82e,0x09d50bd3,0x7fd54000,0x9dfc801f,
    0x04fffffa,0x3ef3ffe6,0x3b2002ff,0xc801ec82,0xffffa9df,0xfff7004f,
    0xc8019fff,0xfffdceff,0xcceffb81,0xfffccccc,0xbcfff984,0x70002fff,
    0x80001bff,0x0000effa,0x80037fee,0xeb9dfffe,0xfa803fff,0x50000dff,
    0x4001bfff,0x3ea0dff9,0xdff9806f,0x301bfea0,0x7fd41bff,0x05ff5006,
    0x3ffff600,0xffffecbd,0x0001fe8c,0x1d70fffc,0x0003df90,0x0005ff50,
    0x10620000,0x00005bf9,0x00000000,0xfffdd900,0x20c409dd,0x7c02dfc8,
    0x3ff621ef,0x40000000,0x16fe4418,0x3bffa200,0x3fff2001,0xff302eff,
    0x17ffc405,0xfd10f7fc,0xff88001f,0x3a600004,0xff10004f,0xfff98009,
    0x006ffd82,0x10000791,0x5910005b,0x2200b220,0x8059102c,0x059102c8,
    0x40006e20,0xa80dfffb,0x05feffff,0x31fff800,0x002e603f,0x000b8800,
    0x00000000,0x00000000,0x65c00000,0x03cdfffc,0x01dc0000,0x00000095,
    0xb8000000,0x79510004,0xb8033005,0x407707ff,0x0370004a,0x03710000,
    0x4000dc00,0xff105ffd,0x0000001f,0x00000000,0x00000000,0x44000000,
    0x7c405fff,0xa8805fff,0xff0bdeec,0x0000623f,0xa8000000,0x002bdedc,
    0x1bdeca88,0xdeca8800,0xaaa8801b,0xaaaa981a,0xeeca8801,0x03fff0bd,
    0x206aaaa2,0x001aaaa9,0x6dd44000,0x2003ceee,0xceeedba8,0x00000003,
    0x7ec00000,0x0000004f,0x00000000,0xff000000,0x17fec03f,0x37bd9510,
    0x76dd4400,0xa8003cee,0x002bdedc,0x1bdeca88,0x776e5400,0xa80198bd,
    0x802bdedc,0xb800fffc,0x7d401fff,0xcfffffff,0xa9801fff,0x000aaaaa,
    0x15555553,0x7fff4c00,0x002effff,0xfffffffb,0x3ff6005f,0x02ffffff,
    0x87fffff3,0x05fffffc,0x7fffffd4,0x81fffcff,0x43fffff9,0x05fffffc,
    0x15555553,0x3fffee00,0x02ffffff,0x7fffffdc,0x2a02ffff,0xaaaaaaaa,
    0xa981aaaa,0x000aaaaa,0x22fff880,0x981aaaa8,0xa881aaaa,0xaa981aaa,
    0xaaa881aa,0xaaaa981a,0x3b6ea201,0x7c403cee,0x3fee00ff,0xfffffb04,
    0xfb805fff,0xffffffff,0xffe9802f,0x02efffff,0xffffffb0,0xfe9805ff,
    0xffffffff,0xfffd301f,0x405dffff,0x3a003ffe,0x3ff203ff,0xffffffff,
    0x7d401fff,0x02ffffff,0xffffffa8,0xfff9002f,0xffffffff,0xffffd80b,
    0x03ffffff,0x7fffffec,0xfa83ffff,0x7ec3ffff,0x3205ffff,0xffffffff,
    0xa81fffff,0x6c3fffff,0xa85fffff,0x2fffffff,0xfffffd00,0x03ffffff,
    0x7ffffff4,0xd01fffff,0xffffffff,0xfa89ffff,0x02ffffff,0x27ffb800,
    0x43fffff9,0x45fffffc,0x43fffff9,0x45fffffc,0x43fffff9,0x05fffffc,
    0xfffffff7,0x3e605fff,0x37fd407f,0x7fffffec,0x3a03ffff,0xffffffff,
    0x3f201fff,0xffffffff,0x7fec05ff,0xffffffff,0xfffff303,0x7fffffff,
    0xffffff90,0x20bfffff,0x32001fff,0xfff504ff,0xfff9579f,0xfb803fff,
    0x02ffffff,0xffffffb8,0xfffa802f,0xffecacef,0xffd882ff,0xffdbacef,
    0xffd883ff,0xffdbacef,0xffdb83ff,0x7f76443f,0xffff505f,0xffff9579,
    0x3f6e03ff,0x776443ff,0xfffb85ff,0x7002ffff,0xb759bdff,0x7dc0bfff,
    0xfdbacdef,0xfffd05ff,0xffffffff,0xffffb89f,0x80002fff,0x3fea4ffe,
    0x7fec3fff,0x7fd45fff,0x7fec3fff,0x7fd45fff,0x7fec3fff,0xffd05fff,
    0xffffffff,0x0fff503f,0x3627ffa8,0xdbacefff,0xf703ffff,0xfb759bdf,
    0x3fea0bff,0xfecaceff,0xfd882fff,0xfdbaceff,0xffd83fff,0xffcbacef,
    0x7ffd44ff,0xffecacef,0x3ffc42ff,0x21bfea00,0x881efff8,0x401ffffd,
    0xfffeedb8,0xeedb8802,0x7c402fff,0xff301fff,0xfffc81ff,0x3fffd103,
    0x103fffc8,0x3603fffd,0x3fee03ff,0x1efff885,0x1ffffd88,0x701ffec0,
    0xdb710bff,0x4005fffd,0x037fdc00,0x0dff7002,0x3bbbbffa,0x42fffffe,
    0xfffeedb8,0x7fc40002,0x7ffedc2f,0x7ff76443,0x3fffdb85,0x2fff7644,
    0x21fffedc,0x05ffeec8,0x759bdff7,0xf50bfffb,0x7ffa80ff,0x440ffff2,
    0x0101fffe,0xf886ffb8,0xff301fff,0xfffc81ff,0x3fffd103,0x3203ffe8,
    0x3ffe22ff,0xffff301f,0x003ffcc1,0x3ee1ffea,0x7ff400ff,0xffe8001f,
    0x5ffd0002,0x02fffb80,0x3a1fffcc,0xfff804ff,0x4027ff44,0xffb04fff,
    0x42ffdc07,0x7400fffb,0x7ec01fff,0x17fee03f,0x0017ff40,0x5555d4c4,
    0x531007ff,0x0fff5557,0xff30bff6,0x3fa005ff,0x7dc0002f,0x0fff607f,
    0x3605ffb8,0x3fee03ff,0x80fff605,0x00205ffb,0xff50dff7,0x27ffa80f,
    0xff804ffe,0x5d4c404f,0xb87ffaaa,0x7cc02fff,0x27ff43ff,0x3627ffc0,
    0x441acfff,0x17ffdc2b,0x88fffe60,0x2e000fff,0x4ffd85ff,0x01fff980,
    0x002ffe80,0xc805ffd0,0xeeeeefff,0x5fffeeee,0x6401ffe6,0x1ffe66ff,
    0xd837fe40,0x3fee03ff,0x804ffd85,0x6c01fff9,0x3fee03ff,0x05ffd005,
    0x7ffff4c0,0x407fffff,0xffffffe9,0xff707fff,0x02ffffa8,0x000bffa0,
    0x6c09ffd0,0x3fee03ff,0x80fff605,0x3f605ffb,0x17fee03f,0x2aaea620,
    0xff987ffa,0x9b7fd407,0xff9007ff,0x3fffa60d,0x87ffffff,0xeeeefffc,
    0xfffeeeee,0x401ffe65,0x7fd46ffc,0x2cefffff,0xdddfff90,0xffdddddd,
    0x01fff8bf,0x3a13ff20,0xff8802ff,0xffe8001f,0x5ffd0002,0xfffffe80,
    0xffffffff,0x17fee6ff,0xb87ffcc0,0xff3005ff,0x07ffb01f,0x7f42ffdc,
    0xfff8802f,0x01ffec01,0x3a00bff7,0xff9002ff,0xffffffff,0x7ffe40ff,
    0xffffffff,0xfff50207,0xffe8005f,0x3fe20002,0x0fff602f,0x3605ffb8,
    0x3fee03ff,0x80fff605,0x3a605ffb,0xffffffff,0x0fff887f,0x7dd7fee0,
    0xfff3005f,0xfffffc81,0x87ffffff,0xfffffffe,0xffffffff,0x4017fee6,
    0x7dc0fff9,0xffffffff,0x7ffff40e,0xffffffff,0x7fec6fff,0x7fff1004,
    0x2005fff0,0xe8001fff,0xfd0002ff,0xfffe805f,0xffffffff,0x3ee7ffff,
    0xfff1005f,0x4017fee1,0xfd80fff8,0x17fee03f,0x7c00bffe,0x7fec01ff,
    0x017fee03,0x64017ff4,0xfeffffff,0xf907ffff,0xffdfffff,0x2a00ffff,
    0x8002ffff,0x20002ffe,0x7ec07ffb,0x17fee03f,0x2e03ffd8,0x3ff605ff,
    0x417fee03,0xfffffffc,0xfd07ffff,0xa7fe403f,0xf1005ffb,0x7ffe41ff,
    0xffffefff,0xffffe87f,0xffffffff,0x3fee7fff,0x1fff1005,0xfffdb710,
    0x7f45ffff,0xffffffff,0x47ffffff,0xc801fffb,0xffd80fff,0x1fff9803,
    0x02ffe800,0x805ffd00,0xaaaaeffc,0xaaaaaaaa,0x003ffe62,0xff99bfea,
    0x6ffa800f,0x5c07ffb0,0x3ffd85ff,0x01fff980,0xf701ffec,0x3ffa00bf,
    0x77ffc402,0x87ffa81b,0x81befff8,0xfa807ffa,0xd0002fff,0x740005ff,
    0x7fec04ff,0x817fee03,0x3ee03ffd,0x0fff605f,0xfc85ffb8,0xffefffff,
    0xff907fff,0x99fffc09,0xfa800fff,0x3bffe26f,0x87ffa81b,0xaaaaeffc,
    0xaaaaaaaa,0x003ffe62,0x0531bfea,0x97fff2a6,0xaaaaeffc,0xaaaaaaaa,
    0x00effe82,0x640fffea,0x7ec00fff,0xfe8001ff,0xffd0002f,0x3fffa805,
    0x2fff4000,0xd13ffe20,0xff880bff,0x09ffb04f,0x3217ff62,0x7ec00fff,
    0x7fec01ff,0x0bffb104,0x500bffa0,0x7dc01fff,0x0fffa87f,0x501ffee0,
    0x0005ffff,0x80017ff4,0x6c02fff8,0x3fee03ff,0x80fff605,0x3f605ffb,
    0x17fee03f,0x037dfff1,0x3ea0fff5,0xfffb80ff,0x1017ffa0,0x7fd49fff,
    0x1ffee00f,0x000fffea,0x880bffd0,0x3fe64fff,0x87ffcc02,0x0003fffa,
    0x0affff98,0x81bfff22,0x982efff8,0x00bffffd,0x0017ff40,0xe802ffe8,
    0x7301cfff,0xfffc85b9,0xffffb81e,0x0f7ffe41,0x80ffffdc,0x3220effc,
    0xf886ffff,0xfd982eff,0x3200bfff,0x3f220eff,0xfd006fff,0xfffb805f,
    0x7fff5441,0x0fffdc1f,0x3ffffaa2,0x5ffff501,0xfd007f90,0x3ee0005f,
    0x4ffd807f,0x40bffb10,0xfb104ffd,0x27fec0bf,0x545ffd88,0x3ee00fff,
    0xdfff107f,0x13fff225,0x703dfff9,0x7dc3ffff,0x7f5441ff,0xffe81fff,
    0xb97301cf,0x1efffc85,0x21ffffb8,0x440cfffb,0x3a0fffc9,0x7301cfff,
    0x3fee05b9,0xffffefff,0x7fd401ff,0xfffeefff,0x04ffffff,0xffd33331,
    0x31033337,0x37ffd333,0xfff30333,0xffdddfff,0xff90dfff,0xfffddfff,
    0x3ff205ff,0xfffeefff,0x3fea02ff,0xfffffeff,0x7d42ffff,0xffeeffff,
    0x4fffffff,0xfdffff50,0xffffffff,0x74cccc45,0x41999bff,0xfefffff9,
    0xffffffff,0xfffff32f,0xfffffffd,0x7fd45fff,0x99999bff,0x4ccc46ff,
    0x999bffe9,0x0bffd001,0x441dff90,0x206ffffc,0x3220effc,0x3206ffff,
    0x3f220eff,0x7fdc6fff,0x7ff5441f,0xfff501ff,0x1fffffff,0xdfffff90,
    0x85fffffd,0xfefffff9,0xffffffff,0x3fffe62f,0xfffeeeff,0xfffc86ff,
    0xffffeeff,0x7fffe42f,0xffffeeff,0x7fffcc6f,0xfffeeeff,0x3fee06ff,
    0xefffffff,0xffff7000,0xffffffff,0xff70ffff,0xffffffff,0x3ee1ffff,
    0xffffffff,0x540fffff,0xffffffff,0x905fffff,0xffffffff,0xffc803ff,
    0xffffffff,0xffffd801,0xffffffff,0xffffb84f,0xffffffff,0x3f607fff,
    0xffffffff,0xff74ffff,0xffffffff,0x7dc1ffff,0xffffffff,0x24ffffff,
    0xfffffffb,0xffffffff,0xffffff14,0xffffffff,0x7fffffdc,0xffffffff,
    0x00fffc00,0x7f7fffd4,0xffffffff,0xeffffa82,0xffffffff,0xffffa82f,
    0xfffffffe,0xffff32ff,0xffffffdf,0xfb05ffff,0x3fffffff,0x7ffffe40,
    0x701fffff,0xffffffff,0x9fffffff,0xffffffa8,0x5fffffff,0xffffff90,
    0xf503ffff,0xffffffff,0xf501dfff,0xffffffff,0x880bffff,0x4ffffffd,
    0xfffd8800,0xfffaefff,0xfffe82ef,0xffffffff,0xfffd2fff,0xffffffff,
    0x3f205fff,0xffffffff,0x7fed402d,0x001cefff,0xdfffffb5,0x7fec0039,
    0xffdcffff,0xffb101df,0xff5dffff,0xfd805dff,0xfdcfffff,0xfffd1dff,
    0xffffffff,0xfea85fff,0xfbdfffff,0x7541dfff,0xbdffffff,0xf11dffff,
    0xffffffff,0x7f4fffff,0xffffffff,0x402fffff,0x3f6004fb,0xffffffff,
    0xfb04ffff,0xffffffff,0x3609ffff,0xffffffff,0x2e4fffff,0xffffffff,
    0x4fffffff,0xdffffd70,0xfffb5003,0xa8039dff,0xdffffffe,0x01dffffb,
    0xfffffff9,0xda805bff,0x1cefffff,0xfffbdb10,0x007fffff,0xfffffff9,
    0x98005bff,0x880000aa,0x8000aba9,0xffffffea,0x0dffffff,0xffffffd5,
    0x1bffffff,0x9aaba980,0x15730000,0x0ab98000,0x2aea2000,0x54c40001,
    0x880000ab,0xd5001aba,0xffffffff,0x201bffff,0x0009aba9,0x01357530,
    0x3ffffe20,0xffffffff,0x3ffffaa7,0xffffffff,0xb000000d,0xb9ffffff,
    0x6c03bfff,0xdcffffff,0x3601dfff,0xdcffffff,0x7541dfff,0xbdffffff,
    0x401dffff,0x30000aa8,0x53000157,0x80001357,0x009aaba9,0x00157300,
    0x06aeea60,0x2aaea600,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000d5d44,0x006aea20,0x03575100,0x26aea600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0xcccccccc,0x73000bcc,
    0x93001599,0x00005999,0x0001bc98,0x1001cc88,0x3b2a5555,0x20000ace,
    0x88010001,0x0bd98000,0xcca80000,0xaa9800cc,0x00100000,0x100e4c00,
    0xda855555,0x000000ce,0x9ef76dcc,0x440aaaa9,0xa981aaaa,0xaa881aaa,
    0x555101aa,0xdb950035,0x2aaaa19b,0x12e0000a,0x5c6aaa60,0x8002ceed,
    0x00000400,0x4000cc88,0x004001c8,0x00400002,0x3ffe6000,0xffffffff,
    0x7ffec405,0x3e202fff,0x0004ffff,0x67ffffc0,0x9000dda8,0xff100dff,
    0xffffbfff,0x90003fff,0x7c4003df,0x007fb82f,0x0004fff8,0x7ffffdc0,
    0x3fffa601,0xdb88003f,0x000ceffe,0x2605ff50,0x98ffffff,0x05fffffe,
    0x801f6544,0xfffffffb,0x0fffffef,0x87fffff3,0x45fffffc,0x5ffffff8,
    0x7fffffc4,0xffffd305,0xffff9fff,0x3f6000df,0x3ffee00f,0xffffffdf,
    0xbf7000df,0x804fd881,0xff9000b9,0x1ffd4009,0x881bf700,0x3df904fc,
    0x004fdb88,0x7fffcc00,0x5fffffff,0x7fffff40,0xff102fff,0x00009fff,
    0xffffffc8,0xfd002fff,0xff9801ff,0xffffffff,0x3001ffff,0x009ffffd,
    0x6c46fff4,0x7c4005ff,0x400005ff,0x01fffffb,0xffd9fff1,0x7ff44005,
    0x02ffffff,0x5027fe40,0xfbffffff,0x7fffffff,0xffffeca8,0xffffe803,
    0xffffffff,0xfff51fff,0xfffd87ff,0x7ffc45ff,0x7fcc6fff,0xfb86ffff,
    0xffffffff,0x07ffffff,0x017ff440,0x3ffffff2,0x5fffffff,0x25fff300,
    0xf801fffa,0x9ff7005f,0x017fee00,0x2a7fff10,0xff882ffe,0x3fffee4f,
    0x7cc00004,0xccccccff,0x3fee00bc,0xffffedff,0x9ffd7300,0xfd500000,
    0x003dffff,0xb8027fd4,0xbdfffffe,0x804fffdb,0xffcafffb,0xfff9001e,
    0x20007fff,0x00001ffc,0x01fffca8,0x3fdc1bf9,0xfffff980,0x01ffffff,
    0x7007ffb0,0xffffffdb,0x47ffd7df,0xfffffffe,0x7fffdc03,0xffffcbac,
    0x7edc3dff,0x7764c3ff,0xffea85ff,0xffeb81cf,0x7ffd41df,0xfffdbbdf,
    0x001cefff,0x2007bfe6,0xefffffc8,0x2fffecac,0xfdffd300,0xff3003df,
    0x017cc00f,0x80027fec,0xeffeffe8,0x887ff601,0x0004febc,0x003ffcc0,
    0xf317ff60,0xffc805ff,0x3e200004,0xfffeffff,0x00044000,0x207fffea,
    0x7cc06ffc,0x1bfea0df,0x0effe980,0x00004000,0x80fffc00,0x00ff82fd,
    0x9befffe8,0x806fffdb,0x44001ffb,0x41efffff,0x3fffe62a,0x2603ffff,
    0xf980dfff,0x7ec04fff,0x17fee03f,0xb00fffd4,0xfff10dff,0x3fff603f,
    0xefe8002f,0x7ffec000,0x03ffe80d,0x027ffdc0,0x400fff30,0x2ffa805d,
    0xfffb8000,0xfd801004,0x7cc00004,0x7f40007f,0x03ffe82f,0x00027fe4,
    0x225bff10,0x00004fff,0x01fffa80,0x4401fff1,0x0059102c,0x00000790,
    0x7fc00000,0xd03fd01f,0xfff9803f,0x03fff702,0x88000b88,0x000dffff,
    0xffd37bfb,0x07ffdc07,0x809fff50,0x3ee03ffd,0x1bffa05f,0x541fffcc,
    0x7ec01fff,0x3a8002ff,0x0bffb000,0x4002ffe4,0x7cc001d9,0x01f5007f,
    0x00003710,0x00000ec4,0x800009fb,0x40007ff9,0x7fc42ffe,0xa7fe403f,
    0x02cdedc9,0xfffa8040,0x7765c401,0x2a0312ce,0x3fe206ff,0x0000000f,
    0xb9500000,0x100057bd,0x217bdd95,0x9f901fff,0xfb807f98,0x1fffc05f,
    0xff100000,0xfb00007f,0x27fec07f,0x2027ff40,0x3ee03ffd,0x3ffe605f,
    0x906ffd82,0xff300dff,0x0000005f,0x2e03ffd8,0x000005ff,0xafffca98,
    0x30aaaaaa,0x00000003,0xfd800000,0x30062004,0xdfdb9fff,0x5ffd0039,
    0x07fffae2,0xffbdff90,0x01dfffff,0x2b372e60,0x2e06ffd8,0xffffffff,
    0xffa82fff,0x03ffe206,0x40155555,0x981aaaa9,0x00aaaaaa,0x3ffffa60,
    0x5002efff,0xffffffff,0x2603fff9,0x4ffcadff,0x400ed880,0x2aaa3ffe,
    0xaaaaaaaa,0x3fe201aa,0xfd80000f,0x0bffa03f,0xb013ff60,0x7fdc07ff,
    0x237ff405,0xfb03fff9,0x3ffe007f,0x46aaa602,0x002ceedb,0x7dc07ffb,
    0x3555305f,0x80b3bb6e,0xfffffffa,0x06ffffff,0x42aaaa88,0x5100ceda,
    0xeda85555,0x203d980c,0xfc8804fd,0x3ffe602f,0x4fffffff,0x7d57ff40,
    0xc805ffff,0xffffffff,0x202fffff,0xffffffe9,0xfd07ffdf,0xffffffff,
    0xff509fff,0x07ffc40d,0x1ffffffb,0xffffff70,0x7ffffd45,0xff9002ff,
    0xffffffff,0xfffc80bf,0xffffffff,0x3fea01ff,0x3b265fff,0xfff30006,
    0x7fffff45,0x4fffffff,0x003ffe20,0x80fff600,0xfd803ffe,0x1ffec04f,
    0x980bff70,0x3ff62fff,0x01bff206,0x5c0bffea,0xfffdffff,0x400dffff,
    0x3ee03ffd,0xffffb85f,0xfffffffd,0xffffb80d,0xffffffff,0x3fe600ff,
    0xfe98ffff,0x7cc5ffff,0xe98fffff,0x745fffff,0x09fb01ff,0x01fffea8,
    0x3fffffe6,0x204fffff,0xfffcaffe,0x7e400eff,0xbaceffff,0xb80ffffd,
    0xffffffff,0x640fffff,0xcbbcffff,0xa85ffffe,0x3fe206ff,0x3ffffa0f,
    0xfffc80ff,0x3fee3fff,0x802fffff,0xaceffffa,0x02ffffec,0x579ffff5,
    0x3ffffff9,0x9acdb880,0x006ffffc,0x20fffe88,0xfffffffe,0x204fffff,
    0x0000fff8,0x3203ffd8,0x7fc405ff,0x1ffec04f,0xb00bff70,0x3ffe6dff,
    0x0fffea02,0x205fffd0,0xfffffffc,0x05ffffff,0xf701ffec,0xffff90bf,
    0xffffffff,0xfdb710bf,0xddddddff,0xfffa805b,0xffffdfff,0x3ea3ffff,
    0xffdfffff,0x23ffffff,0x9fb02fff,0x3bfff620,0xdffff801,0x1ffffd9b,
    0xfb15ffd0,0x401dffff,0x503ffffc,0xff98bfff,0xfda9cfff,0x3e62ffff,
    0xff300dff,0x0dff50bf,0xb307ffc4,0x2a65bfff,0xfffec88a,0x3bb6e20c,
    0x7c402fff,0xff301fff,0xfff881ff,0xfffd881e,0xff95001f,0x00037dff,
    0xe87fffd1,0xfeeeeeff,0x2202ffff,0x80000fff,0x3ea03ffd,0x3ff202ff,
    0x27fec04f,0x805ffd88,0xffdafff9,0x7fffc406,0x7ffec41c,0xfff9102f,
    0xfd959dff,0x7fec05ff,0x217fee03,0xefffffc8,0x2fffecac,0x001ffe60,
    0x3fffb6e0,0xfebeffff,0x7ff6dc3f,0xebefffff,0x7fff13ff,0x7fffffe4,
    0x7ffff51e,0x88164c00,0xffd06ffe,0x7ffed445,0x9fff900e,0x21fffb80,
    0xf503fffe,0x7fec7fff,0x83ffc806,0x8809fffb,0x7fc40fff,0xc93ffe1f,
    0xffd005ff,0x2fffb805,0x21fffcc0,0x7400fffb,0x36a01fff,0x00beffff,
    0x3fffa200,0x4c2ffd85,0x3102ffff,0x3333fff5,0xffd80013,0x1ffff403,
    0x13ffff62,0x441dffb0,0x005ffffc,0x5ffffffb,0xfffff500,0xfffffd9d,
    0xfffd805f,0x03ffe80d,0x2019ffd3,0x3f605ffc,0xffe80dff,0x01ffe603,
    0xffff8800,0x101541ef,0x83dfffff,0x93ffe62a,0xdeeeeeeb,0xb8efffd9,
    0xc80002ee,0x5ffd07ff,0x413ffea0,0xfd007ffc,0x1bffe65f,0x749fffd0,
    0xee8802ff,0x3ffffea0,0x0fff886f,0xff53ffe8,0x01fff4ff,0x6402ffe8,
    0xeeeeefff,0x5fffeeee,0x4c027fec,0xff981fff,0xcdb9beff,0xffe98002,
    0xa8ff705f,0xfd02ffff,0xffffffff,0x6c007fff,0x7fcc03ff,0xffffefff,
    0x7ec04fff,0xffffefff,0x402fffff,0x06fffff9,0x3ffffea0,0xffffffff,
    0x02ffec02,0xffb0bff9,0x7cc5ffff,0xd82fffff,0x3ff205ff,0x01ffe605,
    0xffff8800,0xff88000d,0xfa800dff,0xff7005ff,0x3ffe67ff,0xff980002,
    0x02ffe81f,0x7e41bfee,0x9ff9006f,0x700fffea,0x7ffc7fff,0x3ff20001,
    0x441fffff,0xffc80fff,0x15ffffb5,0x3a003fff,0x7ff402ff,0xffffffff,
    0x746fffff,0xff8802ff,0x0bdf981f,0x1bfffff3,0x3fffe600,0x3fea0405,
    0xfff102ff,0xffffffff,0x7ec00dff,0xfffa803f,0xffffffff,0x7ffec04f,
    0xffffffff,0xfd804fff,0x4c002fff,0xeffffffd,0x6c02ffeb,0x3fee03ff,
    0x7ffffc45,0x3ffee5ff,0xffd84fff,0x817fee03,0x00007ff9,0x000fffe2,
    0x003fff88,0x301bffea,0x221bfffd,0x0002fffe,0xfd03fff0,0x7ffc405f,
    0x005ffc80,0x3fee9ff9,0x7ffc400f,0x001fff12,0x7fffecc0,0x0fff884e,
    0xff8fffa8,0x7ffadfff,0x00bffa00,0xfffffffd,0xffffffff,0x002fff8f,
    0x22003fff,0x5ffcaeff,0x4ffffa80,0x7fffd400,0x7fff6402,0xefffffff,
    0x0fff6002,0x7fffec40,0x04ffcbff,0x7fffffec,0xdfffdcff,0x6fff9801,
    0x332a6000,0x00bffa2b,0x7dc07ffb,0xfffeb85f,0x3ff621df,0xffd81dff,
    0x817fee03,0x00007ff9,0x0003ffe2,0x000fff88,0xb81bffee,0x7e42ffff,
    0x80002ffe,0xfe80fff8,0x0fffc02f,0xe803ffe4,0x7fff33ff,0x21fffb80,
    0x00002ffe,0x41ffe200,0xfffdfff8,0x06ffdfff,0x900bffa0,0x55555dff,
    0x55555555,0x9803ffd8,0xf7001fff,0x201ff88d,0x003ffffc,0x017fffd4,
    0x6c000000,0xa98003ff,0x013ff21a,0x55959ffb,0xffa80001,0x2000002f,
    0x7ec02ffe,0x17fee03f,0xfd800000,0x17fee03f,0x0007ff98,0x003ffe20,
    0x00fff880,0x41ffff20,0x540dfff8,0x202ff9ff,0x7ffb8009,0x3fa5ffd0,
    0x207ffe22,0x5403fffc,0xfff11fff,0x47ffe80d,0x2a006ffc,0x3fea0002,
    0x3ffffa06,0xffffffcf,0x0bffa004,0x007fff50,0x00fffc80,0x800fffec,
    0x02fd82fd,0x005ffffb,0x02ffffa8,0x00054c00,0x000fff60,0x403ffe80,
    0x00003ffd,0x0006ffe8,0x017ff400,0xfb80fff6,0x01a8005f,0x203ffd80,
    0x3e605ffb,0x1000807f,0x40001fff,0x2000fff8,0x900ffffd,0x29ff103b,
    0x7ff902ff,0xbfff7101,0xf37ffd30,0x43ffe4ff,0x0cffffd8,0x645fffb8,
    0xfc80cfff,0x7ffd43ff,0x3ffaa02e,0xbffb0002,0x7ffffe40,0x2fffffc9,
    0x00bffa00,0x4073fffa,0x7c42dcb9,0xfd982eff,0xc800bfff,0x442fe83f,
    0x001ffffe,0x417fffd4,0xff8803fc,0x3f60002f,0xf500003f,0xffd803ff,
    0x7d400003,0x000002ff,0x36017ff4,0x3fee03ff,0x7ffd4005,0x0fff6000,
    0x2205ffb8,0x65443fff,0xff8806fe,0x3e20000f,0x3fa000ff,0xd8001fff,
    0x03ff99ff,0xddfffffb,0x41ffffff,0xcffffff9,0xffffefff,0x7fffff45,
    0xffeeefff,0xffe80fff,0xfffdceff,0xffff906f,0xffffdddf,0xaa8805ff,
    0x03ffffda,0x45bfffea,0x100fffff,0x7ffd3333,0xff303333,0xfdddffff,
    0xf50dffff,0xffddffff,0x9fffffff,0x2a0efb80,0x3ffe20ff,0x99999aff,
    0x3fea0bb9,0x99999bff,0xdb8806ff,0x2662006f,0x999cffe9,0x2aaaa200,
    0x807fffeb,0x20003ffd,0xffeaaaa8,0x400000af,0x1cfffaa9,0x019ffd30,
    0x88017ff2,0x3004feb9,0x32019ffd,0x7ffc05ff,0xffffeeff,0xf53100ff,
    0x133333ff,0xfffa9880,0xd0099999,0x8003ffff,0xfffffff8,0xffff883f,
    0xffffffff,0x7ffffdc2,0xfffffcdf,0x3ffe60ff,0xffffffff,0x302fffff,
    0xfffffffd,0x7ec03dff,0xffffffff,0xfe805fff,0x05ffffff,0xb1ffffc4,
    0x3ee0dfff,0xffffffff,0x540fffff,0xffffffff,0x705fffff,0xffffffff,
    0xffffffff,0xfdbffd00,0xffff987f,0xffffffff,0xffff12ff,0xffffffff,
    0xeffd80ff,0xfffd006f,0xffffffff,0xffff307f,0x03ffffff,0x0007ffb0,
    0x7ffffffc,0x00005fff,0x3ffffff6,0x7ffec6ff,0x3fe62fff,0xf802ffff,
    0xd803ffef,0x22ffffff,0x2ffffff9,0xffffff50,0x209fffff,0xfffffffe,
    0xd03fffff,0xffffffff,0xf907ffff,0x91000fff,0x1bff9999,0x3ffff220,
    0x880cffff,0x99dffffd,0x81effffd,0xfcdfffec,0x0cffffff,0xfffffb80,
    0xfd5003ff,0xbfffffff,0x3fffe005,0xfd005fff,0x7ffd41ff,0xfffffd04,
    0xffffffff,0x3fff205f,0x2dffffff,0x7fffec40,0xffffaeff,0xffd8802e,
    0xfff983ff,0xffffffff,0xfff14fff,0xffffffff,0xff980fff,0xff8802ff,
    0xffffffff,0xffa86fff,0x1fffffff,0x003ff900,0x3ffffe20,0x007fffff,
    0x3ffffa00,0x3e27ffff,0x25ffffff,0x4ffffffb,0x0efffc80,0x7ffffc40,
    0x3ffee5ff,0x3aa04fff,0xcfffffff,0xfffff101,0xffffffff,0xfffff10d,
    0xffffffff,0x09fff30d,0xdffd7000,0x35553003,0x2a200003,0x2a60001a,
    0x530001ab,0x22000357,0x009aaba9,0x56776d40,0x17ff2000,0x7540bffe,
    0xffffffff,0x400dffff,0x009aaba9,0x0aba9880,0x2aa60000,0xfffff300,
    0xffffffff,0x3fffe29f,0xffffffff,0x0298807f,0x7ffff640,0x2effffff,
    0x7bdddb70,0x03d88003,0x7776d400,0x002deeee,0x3bbb2600,0x75c2deee,
    0x221dffff,0x01dffffd,0x5c003510,0x21dffffe,0x1dffffd8,0x09aba980,
    0xffffd900,0x5dffffff,0x3ffffb20,0x2effffff,0x00005910,0x00bbfff2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00000000,0x23555510,
    0x02cdedc9,0x00000040,0xdb800000,0x99995001,0x31000399,0x03333333,
    0x4ccccc40,0xaa980199,0x33772a21,0xeedca800,0x950198bd,0x5c399999,
    0xcccca81c,0x540001cc,0x201acccb,0x400002b8,0x99999998,0x26662001,
    0x40019999,0x2ceeecb8,0x20000031,0x4c00aaa8,0x20881aaa,0x01bcedca,
    0x0000b980,0x20002600,0x88035019,0x980aaaaa,0xca81aaaa,0x00001ccc,
    0xfec980a2,0x200001cf,0x7c02efd8,0xffdeffff,0x01efffff,0x000fd971,
    0x0cfeb800,0x3ee00054,0x7fd400ff,0x003fffff,0x7fffffcc,0xf9806fff,
    0xffffffff,0xbffff306,0x3fffffee,0xfffd303f,0x3fffffff,0xffffffb8,
    0xb8dff53f,0x3fffffff,0xffff7000,0x903fffff,0x200001ff,0xfffffff9,
    0xff9806ff,0x6fffffff,0xfffff700,0x05ffffff,0x510bff22,0x9fffff70,
    0x3fffffa0,0xfd9ff10f,0x1dffffff,0x002ffc00,0xfffb7100,0xfa80159d,
    0x80ffe43f,0xfffffff9,0x3fffffe4,0x3fffea6f,0xf700002f,0xfff883ff,
    0x0001fffe,0x40ffff50,0xfffffff8,0xffffffff,0x7fffd42f,0x36000007,
    0xe9bfffff,0x7fe4003f,0x7ffcc01f,0x4003ffff,0xeeeeeed8,0xed8803ee,
    0x3eeeeeee,0xbbffff70,0xffffffff,0xffff985f,0xffffffff,0x7ffffd43,
    0x8dff33ff,0xfffffffa,0xfffb8003,0x4fffffff,0x2b3ffaa6,0xb10001aa,
    0xdddddddd,0xdddb1007,0x007ddddd,0xfffffffd,0x109fffff,0x75dfffff,
    0xfffd81ff,0xfff886ff,0xff52ffff,0xffffffff,0xf3005fff,0xb10000ff,
    0xffdbdfff,0x7fe407ff,0xb81ffec4,0x6fffffff,0xfffffff3,0x3fffea1f,
    0xff00002f,0x0bc889ff,0x400017f2,0x5404fff8,0xefffffed,0xffffecac,
    0x1feef221,0x7fcc0000,0xeffffd9a,0x2ffcc000,0xffccb980,0x0000003f,
    0x36200000,0xefffffff,0x0ffffdbc,0x2b3bfff6,0x84ffffcb,0x3fffccca,
    0x332a13a2,0x4003fffc,0xdceffff8,0xff91ffee,0xffffffff,0x00000005,
    0x3f200000,0xecbbcfff,0xfc85ffff,0xfffffa9d,0xefffd984,0xffffd701,
    0x3fffee19,0xffecbcef,0x7fcc02ff,0x7f440007,0xffca882f,0x981bb104,
    0xffb100de,0x7645bfff,0x4c3effff,0x0002fffb,0x007fffd0,0x00001bf6,
    0x7fdc0013,0xfff503ff,0x001fe60d,0xeea81800,0x0020000b,0x003ffd80,
    0x00000000,0xfffffc80,0x23fffa82,0x3f203ffe,0x3ffe802f,0x3fa003ea,
    0x7fd4003f,0xfff7001f,0x3fffffff,0x00000000,0xfff30000,0x3ffe601b,
    0x7e441885,0x0fffc02d,0x2e2ffdc0,0xf500dfff,0x7cc01dff,0x7f40007f,
    0x3ffa800d,0x3f200000,0x1fff804f,0x000bffa0,0x005f6cc0,0x005fffd7,
    0xfb800000,0x7fdc04ff,0x007f981f,0x00000000,0xffb00000,0x55551007,
    0x35555303,0x776dd440,0xff9003ce,0x7ff403ff,0x2b3fff65,0xe8015c41,
    0x005f13ff,0x7000fffa,0x3a000bff,0x400002ff,0x02bdedca,0xbdeca880,
    0x06ffd801,0x0003ffc8,0x003fff00,0xffa8bff7,0x4fff9807,0xafffca98,
    0x00aaaaaa,0x332e37f2,0x7fd40acc,0xf9000001,0x3fff009f,0x0017ff40,
    0x7fec0000,0x005400ff,0xfff70000,0x07ffd001,0x18800ff3,0xb8d554c0,
    0x5402ceed,0xaaaaaaaa,0xd801aaaa,0x7fcc03ff,0x7fe43fff,0xff705fff,
    0xffffffff,0x2fffc805,0xf537fdc0,0x9dffffff,0x3ffe8005,0x7ff40051,
    0xfdaa8803,0xffd0005f,0x073bb265,0xffffe980,0xb002efff,0xffffffff,
    0x017ff405,0x54c07744,0x000aaaaa,0xf7003fff,0x03ff98bf,0xfa8fff70,
    0xffffffff,0x3e06ffff,0xfffff98f,0x427dc5ff,0x0aaaaaa9,0x009ff900,
    0x7f403fff,0xcdedc8af,0x22000002,0xfd306fea,0x00f6200f,0x9006ffb8,
    0x0ff309ff,0xb817fe40,0xfffdffff,0xd00dffff,0xffffffff,0xb009ffff,
    0x81dd77ff,0x43fffffa,0x05fffffd,0xfffffffd,0x6403ffff,0xffa805ff,
    0x7ffffdc6,0x000effff,0x20007ffd,0xfe803ffe,0x0005ffff,0xffffdffd,
    0xc801bfff,0xffffffff,0x7ec05fff,0xffffffff,0x03fff03f,0xffffa800,
    0xff002fff,0xbff7003f,0x7c400530,0x3ffee0ff,0xffffffff,0x3f980fff,
    0x7ed4cf7c,0x3fea37c1,0x002fffff,0xff009ff9,0x77ff403f,0x4fffffff,
    0x7cc00000,0x37ffdc1f,0x000ffc80,0x8803fff7,0x7f983fff,0x1fffea80,
    0xffffff90,0xbfffffff,0x3fffffa0,0x4fffffff,0xfffffd80,0xfffdb83f,
    0x7ff76443,0x9bdff705,0x0bfffb75,0x5402ffe4,0xedb886ff,0x2fffffff,
    0x003ffe80,0x7dc7ffd0,0xfffff10d,0x3fa000bf,0xffffffff,0x3fea05ff,
    0xfecaceff,0xfd882fff,0xfdbaceff,0x7fc43fff,0x7dc0000f,0x02ffffff,
    0x7003fff0,0xaaaa8bff,0xaaaaaaaa,0x221fffaa,0xeefffedb,0x702deeee,
    0x7c46f83f,0xff707ec4,0x005fffff,0x3e013ff2,0x3ffa01ff,0xffffffff,
    0x9880005f,0xe99fea20,0xd000cfff,0x3ee005ff,0x7fe405ff,0x207f981f,
    0x01efffd8,0x3fffff22,0xfffecace,0xeeeffe82,0x2fffffee,0xfffffd80,
    0x0fff601f,0x0205ffb8,0x640dff70,0xffa805ff,0x654c0a67,0xfe805fff,
    0xffd0003f,0xa93ffe27,0x005ffeed,0x9dffffd0,0x03ffff95,0x203ffff1,
    0x640ffff9,0xfd103fff,0x2ffe83ff,0x76dc4000,0xf002fffe,0xff7003ff,
    0xffffff8b,0xffffffff,0xff303fff,0x21fa000f,0x70ff666f,0x776dc45f,
    0xf9002fff,0x3fff009f,0x77ffff40,0x0ffffcac,0x77ff4000,0xff93fffe,
    0x3aa003df,0xf7002fff,0xf705bfff,0x7ffccdff,0xf50effff,0x6c007fff,
    0xfe80dfff,0x42ffd83f,0x402ffff9,0xefffffc8,0x01ffec01,0x3100bff7,
    0xfff55575,0x402ffe40,0x5ff37ffa,0x00fff980,0x8001fff4,0xfff13ffe,
    0x017fee09,0x82ffff40,0xffb83fff,0x7ffcc02f,0x4027ff43,0x7fe44fff,
    0x200aa006,0xff002ffe,0xbff7003f,0xfffffff8,0xffffffff,0xfff303ff,
    0x3e1be000,0x985fffff,0x17ff404f,0x804ffc80,0x3fa01fff,0xfff80dff,
    0x0fbbaa02,0x37ffff66,0x8cfffeaa,0xfe880eed,0x7002ffff,0x9fffffff,
    0x43fffffb,0xeeeeeed9,0xaefffd9d,0x3602cfec,0x3ff205ff,0x7d47fb85,
    0x7d402fff,0x002effff,0x7dc07ffb,0x3ffa605f,0x7fffffff,0x2017ff20,
    0xfff76ffa,0xffc98819,0x1fff400f,0x23ffe800,0xff700dfb,0x3ffa000b,
    0x213ff604,0xeeeefffc,0xfffeeeee,0x401ffe65,0x7fd46ffc,0x3faa02ef,
    0x17ff402f,0x801fff80,0x7ffc5ffb,0xffffffff,0x23ffffff,0xefffeeda,
    0x7401deee,0xffeeff87,0x7403fb80,0xff9002ff,0x03fff009,0xfb027ff4,
    0x7ffe409f,0x3ff62000,0x3fff71ef,0xeffffe88,0x3ffee002,0xffffffff,
    0x7dc001ff,0xfff9bfff,0xffb06fff,0x82ffdc07,0x17fffd40,0x3fffff20,
    0x3ff6003f,0x417fee03,0xfffffffc,0x3207ffff,0xffa805ff,0xffffff96,
    0xdfffffdd,0x007ffd00,0x000fffa0,0x2000bff7,0x3f202ffe,0xffffe84f,
    0xffffffff,0x3fee6fff,0x1fff3005,0xefffffc8,0xffffffee,0x017ff402,
    0x3661fff8,0x3a2ffdc4,0x3fa002ff,0x3ffffa2f,0x5fffffff,0x9be0fe40,
    0x01fd85fc,0xc8017ff4,0xfff804ff,0x80bffa01,0x3fe04ffc,0x3fea003f,
    0x3ffe23ff,0x77ffdc1f,0xdffb8001,0xfffffffb,0x3fa2000c,0x1bfd0dff,
    0x3f60bfe6,0x17fee03f,0x0bfffea0,0x3fffff60,0x3ff6003f,0x217fee03,
    0xeffffffc,0x207fffff,0xfa805ffc,0xfffff56f,0xdfffffff,0x07ffd001,
    0x00fffa00,0x000bff70,0xfc80bffa,0xffffe84f,0xffffffff,0x3fee7fff,
    0x1fff1005,0xffffffb0,0x0bffffff,0x2005ffd0,0x3ff21fff,0xf917fee0,
    0x3fe2009f,0x3ffff60f,0x4fffffff,0x1be1fd40,0x807f89f9,0xf7002ffe,
    0x3fff00bf,0x9017ff40,0x3fe609ff,0xfffb1006,0xffefe81d,0x0027ff41,
    0x5d4bff70,0x5c000abc,0x6e42ffff,0x7ec27ec0,0x17fee03f,0x05ffff50,
    0x3f677a60,0x3ff6003f,0x117fee03,0x5037dfff,0x7fe40fff,0x16ffa805,
    0xfffffbdb,0x74007fff,0xfd0003ff,0xffb8007f,0x5ffd0005,0x6427fe40,
    0xaaaaaeff,0x2aaaaaaa,0x2003ffe6,0x3aa06ffa,0xffffffff,0x5ffd002d,
    0xe87ffe00,0x13ff22ff,0x9001fff7,0xf9530fff,0x015555ff,0xfd11ff10,
    0x477ec5df,0xffe805fa,0x1fff5002,0x203ffcc0,0x3f202ffe,0x03ff904f,
    0x20fffea0,0x21ff9ffb,0x5400fff9,0x00bff700,0x0dfff800,0xb05ff500,
    0x7fdc07ff,0x3fffea05,0x3ff60002,0x13ff6003,0x2a2ffec4,0x3ee00fff,
    0x17ff207f,0x9817fee0,0x8001affb,0xd0003ffe,0xfb8007ff,0xffd0005f,
    0x427fe405,0x0003fffa,0x2202fff4,0xa8804fff,0x0009aaff,0xf8017ff4,
    0x8bffa1ff,0x7fc43ffd,0x3fea00ef,0x1ffe604f,0x46fec020,0x3622eeed,
    0xe802ffad,0xff1002ff,0x37fec09f,0xc80bffa0,0x09fd04ff,0x4c066c40,
    0x21ff8aff,0x3601fff8,0x0bff707f,0x02dc8000,0x6c13fee0,0x3fee03ff,
    0x5ffff505,0xfb007f90,0x7fe4007f,0x3fff220e,0x0fffdc6f,0x3ffffaa2,
    0x01bff901,0x2027ff44,0xd0004ff8,0x3a0007ff,0x7dc003ff,0xffd0005f,
    0x827fe405,0x301cfffe,0xffc85b97,0xfffb81ef,0x9ff1001f,0x17ff4000,
    0xd0fffc40,0x3ffea7ff,0x2efffa82,0x037ffe44,0x510bffe2,0xff10dfd9,
    0x13fe6009,0x0017ff40,0x4c39fffb,0x7402fffd,0x3ff202ff,0x000ff984,
    0x267bfa00,0x6fffc1ff,0x81fff880,0x00005ffb,0x3ff62000,0x19ffd304,
    0x2a17ff20,0x999bffff,0x4c46ff99,0x9cffe999,0x3fea0199,0xfffffeff,
    0xff32ffff,0xffffdfff,0x25ffffff,0x2ffffff9,0x3fffb362,0x27ffc400,
    0x3a666620,0x81999bff,0xffe99998,0x3301999b,0x0333dff9,0x02fffa20,
    0x2077ff22,0xeffffff9,0x6fffffee,0xefffffc8,0x02fffffe,0x013ffe20,
    0x3fa66662,0x541999bf,0xfd3fffff,0x1dfffdff,0x3fffff60,0x1ffffffe,
    0xeeffff80,0x0ffffffe,0x301eff98,0x2620bff7,0x9bffe999,0x3fe20199,
    0xffffefff,0x7ff4c05f,0xdffd880b,0x00017dc0,0xffffff50,0x7ffdc3ff,
    0xfffecbdf,0x3ff6a21f,0x00001aae,0x0bffa600,0x7fffffec,0x3ffffe62,
    0xfffff12f,0xffffffff,0x7ffffdcf,0xffffffff,0xffffb01f,0xffffffff,
    0x7fffdc9f,0xffffffff,0xfff74fff,0x7fdc9fff,0x3e203fff,0x2e05fdcd,
    0xffffffff,0x70ffffff,0xffffffff,0x21ffffff,0xfffffff9,0x3a01ffff,
    0x23ffffff,0x5ffffffc,0xffffffa8,0x5fffffff,0xffffff90,0x2003ffff,
    0x05fccdf8,0x7fffffdc,0xffffffff,0xdfffffb0,0x3ffffff6,0x7ffe400f,
    0x1effffff,0xfffff500,0x09ffffff,0x66ffff44,0x704ffffd,0xffffffff,
    0x01ffffff,0x3fffffa6,0x3600dfff,0x22ffffff,0x4ffffffb,0x30000062,
    0x9ff99999,0xfffffe81,0x21ffffff,0xffffffff,0x8000004f,0xf100effb,
    0x4bffffff,0x4ffffffb,0xfffffff1,0x4fffffff,0xfffffffe,0x3fffffff,
    0x3fffff60,0x1dfffdcf,0x7fffff54,0xdffffbdf,0xbffffb11,0x1ffffcc1,
    0x3ffffe20,0x3ffffa02,0xffffffff,0xffffd2ff,0xffffffff,0x3ffee5ff,
    0xffffffff,0xfffff104,0x7fff4bff,0x3f207fff,0xffffffff,0x7fed402d,
    0x001cefff,0x0bffffe2,0xffffffd0,0xffffffff,0x3bfff665,0x3bffff62,
    0xfffd3001,0x50009fff,0xdffffffd,0x3b2a0039,0x00bdffff,0x3ffffffa,
    0xffffffff,0x7fffe402,0x7fc402ff,0x3a5fffff,0x07ffffff,0x76400000,
    0x7ec40eff,0xcfffffff,0x3ffffe21,0x0005ffff,0x77ffd400,0x3ae3feee,
    0x221dffff,0x11dffffd,0xffffffff,0x54ffffff,0xfffffffe,0x00dfffff,
    0x000d5d44,0x009aba98,0x02a88000,0x00b76a20,0xffffffd5,0x1bffffff,
    0x3fffffaa,0xdfffffff,0xfffffb10,0x401bffff,0x1dffffec,0x3bffffaa,
    0xaaba9802,0x57300009,0x6d440001,0xffea802d,0xffffffff,0x44000dff,
    0x260000aa,0x980000aa,0x0000aaba,0xd5000d44,0xffffffff,0x001bffff,
    0xc8002aa6,0x21dffffe,0x2effffea,0x6c000000,0x7300efff,0x20159bdb,
    0xeeeeeeda,0x4000000c,0xfffffffa,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0xccb80001,0x5d440004,0x4001accc,
    0x2202cccb,0x00acddcb,0x3333332a,0x6665c401,0xa9800004,0xaaaaaaaa,
    0xbd973000,0x55540c59,0xaaaaaaaa,0x100aaaaa,0x0459bd97,0xbcddb880,
    0x2a200310,0x4001bddc,0xa98000b9,0xaaaaaaaa,0x0aaaaaaa,0xaaaaaa98,
    0x0880000a,0x3772a000,0xaaa8800c,0x2881aaaa,0x81aaaa88,0x001aaaa9,
    0x057bdb95,0x2aaaaa60,0xaaaaaaaa,0xaaaa880a,0x01aaa980,0x9802aaa6,
    0xaa880aaa,0xaaa980aa,0xaaaaa981,0xaaaaaaaa,0x99880aaa,0x00199999,
    0x3bfff6e2,0x7f4000ac,0x3ee0007f,0xffffffff,0xffffa801,0xffffda84,
    0xfb82ffff,0x03ffffff,0x07ffffec,0xfff88000,0xffffffff,0x3ffea05f,
    0xfeffffff,0x510001c4,0xffffff90,0x5c07fddf,0xfffffffe,0x7dc04fed,
    0x1effffff,0x000bff00,0xfffffffb,0xffffffff,0x7fffc43f,0xdfffffff,
    0x7ffe4001,0xfb1004de,0x409fffff,0xfffffffc,0xfff30fff,0x1fffffcc,
    0x17fffff2,0xfffffd30,0x3e205dff,0xffffffff,0x2fffffff,0x7fffffcc,
    0x3fffffe5,0x7ffff40f,0x7fff444f,0x3ffe63ff,0x3ffe5fff,0x3f60ffff,
    0xffffffff,0x1fffffff,0x7fffffcc,0x6c406fff,0xffedefff,0x3fa003ff,
    0xff70007f,0xffffffff,0xffff8809,0x7fffe44f,0x3fffffff,0x7fffffd4,
    0x7ffe403f,0x500000ff,0xffffffff,0x320dffff,0xffffffff,0x01c7ffff,
    0xffd85100,0xffffffff,0xffff906f,0xffffffff,0x3fff620d,0x2fffffff,
    0x003ffcc0,0x7fffffec,0xffffffff,0x3ffea1ff,0xffffffff,0xfe8804ff,
    0x02ffffff,0xffffffe8,0xfffd02ff,0x5fffffff,0x7d47ffee,0x7ec3ffff,
    0x3205ffff,0xffffffff,0xffa85fff,0xffffffff,0x42ffffff,0x7ffffffb,
    0xfffffff3,0x7ffffcc3,0x7fffcc7f,0x3ffee6ff,0xfff37fff,0x7ec3ffff,
    0xffffffff,0x1fffffff,0x777776c4,0x3a203eee,0xfca882ff,0xbddb004f,
    0xffff1000,0x3ffdd99d,0xfffffc80,0x77fffe44,0x0ffffecc,0x7ffe6654,
    0x7fe54403,0x3200000f,0xfffffffe,0xffd82dff,0xfdcbceff,0x001c7fff,
    0x7ffdc510,0xfffecbef,0xffffc87f,0xfffedbce,0xffffb07f,0xffffd97b,
    0x03ffcc07,0x7ffffec0,0xffffffff,0x7fe41fff,0xffffffff,0x7ec04fff,
    0x1fffffff,0x677ffdc0,0xb306fffc,0xdfffffff,0x707fec49,0xc887fffb,
    0xf505ffee,0xd959dfff,0xd905ffff,0xffffffff,0x85ffffff,0x2dffffd8,
    0x13ffffae,0x0ffffff2,0x8bbffff6,0x2dffffd8,0x13ffffae,0xfffffffb,
    0xffffffff,0xd000003f,0xff5001bf,0x50000007,0x40001fff,0x4ffffff8,
    0x4c06ffe4,0x7f404fff,0xfff1003f,0xa8000001,0x7fd407ff,0xffb100df,
    0x2200038f,0x203bffe2,0x7dc7fff9,0xff700eff,0xbfff70ff,0x1ffff501,
    0x001ffe60,0xffd13ff6,0xb81fff85,0xfeb985ff,0xfff102ff,0x003dd319,
    0xfe88dffb,0x07ffd004,0x7ffb05e8,0x442ffdc0,0xf301ffff,0x3fa01fff,
    0x17ffc03f,0x3202ffe8,0x7fec04ff,0x3fffa80f,0xc80bffa0,0x4ffd84ff,
    0x3fe17ff4,0x6400001f,0x5ef64c5f,0x003ff52a,0x5ffb8000,0x7ffec000,
    0x7fdc4ffd,0x017ff602,0x22007ffd,0x00000fff,0x203ffd40,0x4c00efff,
    0x0001c6ff,0x07ffe651,0x7fc6ffb8,0x7fdc00ef,0x02fffc47,0x5317ffe2,
    0x5555fff9,0xffb01555,0x7c2ffe89,0x5ffb81ff,0x41bffe60,0x0000fff9,
    0x00205ffd,0x2e03ffe8,0x07ffb00f,0x7dc2ffdc,0x7fcc02ff,0x07ffd03f,
    0x7e42ffe8,0xffffffff,0x3fffffff,0x88dfff10,0x7f405fff,0x13ff202f,
    0xffd13ff6,0x4c1fff85,0x00aaaaaa,0x3fee0ff8,0x3ee7ffff,0xaaaaa984,
    0xdaa8800a,0xaaaaaeff,0xbfffa801,0x6ec44ffc,0x01bfee00,0x22007ffd,
    0x2aa60fff,0x20000aaa,0x3ee07ffa,0x7fb000ff,0x4a200038,0x2200fff8,
    0x3ffe64ff,0x45ff8800,0xa800fffc,0xfff51fff,0xffffffff,0x9ffb0dff,
    0x7fc2ffe8,0x05ffb81f,0x4c17ffd4,0xb0001fff,0xd00007ff,0x0be607ff,
    0x2e03ffd8,0xfffc85ff,0xeeeeeeee,0xfd05fffe,0x3f63b87f,0x7ffffc0f,
    0xffffffff,0x2e05ffff,0x3ff63fff,0x17ff400f,0xfb09ff90,0x42ffe89f,
    0x3fea1fff,0x402fffff,0x2fbea3f9,0x37c7fb88,0x3fffffea,0xffff802f,
    0xffffffff,0xb7ff405f,0xd0004ffc,0xffe809ff,0x1fff1003,0x3fffffee,
    0xff50000f,0x037fe40f,0x10001c00,0x006fff45,0x06ffb853,0xffd076a0,
    0x9fff4007,0xfffffffb,0x0fffffff,0x3fa1ffe4,0x407ff42f,0xfd805ffb,
    0x0dffd05f,0x017ff200,0x40fffa00,0x1ffec028,0xfd0bff70,0xffffffff,
    0x0dffffff,0xffb8fffa,0xf9307b32,0x99999bff,0x037dffd9,0xfb9fffd8,
    0xffe803ff,0x213ff202,0x7ff43ffc,0xf707ff42,0x05ffffff,0x07fa1fb8,
    0x5c1fb1f6,0x2fffffff,0x7ffffc40,0xffffffff,0x4bffee06,0x4c004ffc,
    0x7401fffe,0xff1003ff,0x3ffff21f,0x50001fff,0x7fec0fff,0x00380004,
    0xfffc8a20,0xfd801bdf,0xff80004f,0x3ff2001f,0xfffdb714,0x5bdddddd,
    0xfe81ff30,0x222fe42f,0xaaaeffda,0x506ffb81,0x44007fff,0x1aafffca,
    0x07ffd000,0x01ffec00,0xffd0bff7,0xffffffff,0x20ffffff,0xfdaacffe,
    0x3ffa003f,0xd999999b,0xff1004ff,0x00bfffdf,0x2666fffa,0x84ffd999,
    0x7ff40ff9,0x2e22fe42,0x02fffeed,0x441be3f4,0xb7117dc0,0x005fffdd,
    0xdfffddb5,0x2039dddd,0x3f25fff8,0xffb5004f,0xffd00dff,0x3ffe2007,
    0xbdffff90,0x7fd40005,0x00bffe07,0x88000e00,0x7ffffec2,0xff80bdff,
    0x7c40002f,0x7fdc007f,0x007ff986,0x0bffa010,0xfffff302,0x985fffff,
    0xfffb07ff,0x3204cc1f,0xffffffff,0x7f4000ff,0x3f60003f,0x17fee03f,
    0x2aabbff2,0xaaaaaaaa,0xffffd02a,0x4009ffff,0xfffffffe,0x004fffff,
    0x3fffffee,0xffffd000,0xffffffff,0x7ff40209,0xffd00082,0x3e26f805,
    0x013e6004,0xb8005ffd,0xfc8005ff,0x13ff20ff,0x3fffff60,0x3ffe800d,
    0xb3fff100,0x1005ffff,0x40fff500,0x26601fff,0x01c09999,0xff905100,
    0x5fffffff,0x0001fff8,0x2003ffcc,0xff987ffa,0x55440007,0x1aacfffa,
    0xffffff50,0xf987ffff,0xffffd87f,0x45fff36f,0xfffffffe,0x74002fff,
    0x360003ff,0xffb104ff,0x07fff50b,0x3fffa000,0x004fffff,0x3ffffffa,
    0x04ffffff,0xfffe9988,0x740099cf,0xffffffff,0x4004ffff,0x20002ffe,
    0x3f402ffe,0x7dc009f1,0x017ff403,0x0017fee0,0xfc89fff3,0xfffd804f,
    0x3ffa002e,0xffff1003,0xb003dfff,0x7ffa809f,0x2a07ffe0,0xffffffff,
    0x4400070e,0x3fff2a02,0x3fe3ffff,0x7c40001f,0x3ee000ff,0x07ff985f,
    0x7ffff400,0x03ffffff,0xddfffdd9,0x7ff981bd,0x7ff7ffe4,0x25fffbbf,
    0xffffffda,0xfe8004ef,0xc814c03f,0x3f220eff,0xfe80efff,0x97301cff,
    0x3fffa05b,0x004fffff,0x3ffffffa,0x04ffffff,0xffffffe8,0x7403ffff,
    0xffffffff,0x4004ffff,0x20002ffe,0x7e402ffe,0x6c003fe1,0x17ff401f,
    0x017fee00,0xc81fffd0,0xffd804ff,0x3ffe8004,0xfffff100,0xff1001df,
    0x07ffa80d,0x3f20bffa,0xffffffff,0x14400072,0xfffca880,0x000fff67,
    0x8007ffe0,0xff984ffc,0x3fe20007,0xffffffff,0x2ffdc04f,0x3e37fdc0,
    0xdfffb4ff,0x7dc05fff,0x7f40006f,0x0ffe603f,0x3fbfffea,0xffffffff,
    0x7ffffcc2,0xffffeeef,0x47ffd06f,0xd0043ffc,0x7fe405ff,0x3ffd8004,
    0x017ff400,0xe8009ff9,0x3a0002ff,0x1fd402ff,0x0ea819f9,0x3ffa01fe,
    0x2ffdc002,0xdffff500,0x9ffffddd,0x007fd401,0x801fff40,0xdffffff8,
    0x07ff9800,0xf903ffd4,0xfffb309f,0x01cbffff,0x06e25100,0x5c7ffe60,
    0xd80004ff,0xff1004ff,0x0fff307f,0xfeeda800,0x00ceeeff,0x6402ffdc,
    0x3ffe64ff,0xffffff10,0x05ffd803,0x01fff400,0x3f60bff7,0xffffffff,
    0xfa84ffff,0xffffffff,0xfd05ffff,0xb0ffd47f,0x0bffa09f,0x8004ffc8,
    0x74003ffd,0x3ff202ff,0x17ff4004,0x05ffd000,0x3fa0ff88,0x2a6fecef,
    0x2ffe805f,0x02ffdc00,0xffffff90,0x7fffffff,0x3a000080,0xff1003ff,
    0x01dfffff,0x5407ff98,0x3fea06ff,0x8fff3006,0x6ca20003,0xffd800ff,
    0x003fff14,0x0fffdc04,0x407ffe40,0x00007ff9,0x20017ff4,0x7c405ffb,
    0x1ffea3ff,0x00dffff5,0x80009fff,0x3ee03ffe,0xfffb105f,0xfff97bff,
    0x7ffe403b,0x2dffffff,0x110fffa0,0xfe837fc4,0x13ff202f,0x3ffbbb20,
    0x402eeeef,0x3f202ffe,0x7ff4004f,0x3ffa0002,0x5c5fd802,0xf30bdfff,
    0x5ffd005f,0x05ffb800,0x3fffff20,0xffffffff,0x3a000001,0xff1003ff,
    0x3dfffb5f,0x203ffcc0,0x3e204ffd,0xff9804ff,0x510001c7,0xf1013ffe,
    0x77ff47ff,0x40ffb800,0x2a00effe,0xff303fff,0x7400100f,0x7dc002ff,
    0x3ffa205f,0x2fffe20f,0x033fffa0,0x202fff88,0x3ffa01da,0x017fee03,
    0xdfc83751,0x33fe6000,0xffd0009a,0x07ff9807,0x7e405ffd,0xccca804f,
    0x1bccdfff,0x9017ff40,0xfe8009ff,0x3fa0002f,0x4ff8802f,0x27fcc088,
    0x002ffe80,0x3002ffdc,0x55555555,0x0001bffd,0x03ffe800,0x321fff10,
    0xf301ffff,0x6c417bff,0x7e402fff,0xca881eff,0x0001c7ff,0x3bfffe51,
    0x3ffae609,0x3fffea1f,0xfffd980b,0x57fffcc2,0x1bfff220,0x443fff88,
    0x2206feca,0x19bffe99,0x33dff900,0xffffb753,0xdffffd05,0x5fffffff,
    0x33ffff50,0xdff33333,0xbffe9988,0xfc999999,0x3f60005f,0x13ea0022,
    0x2fffa600,0xa9999999,0xffe887ff,0xdffd880b,0xffd33001,0xfd300139,
    0xffb1017f,0xe998801b,0x44019bff,0xbffe9999,0xff301999,0x3fee603d,
    0xd3333105,0x033337ff,0x27bff266,0x88001999,0xb805ffd9,0x4cc402de,
    0x99bffe99,0xfffa8819,0x2bfffee0,0x7ffffcc1,0x4fffffef,0xfffffd00,
    0xffffffdf,0x2200038f,0xfffffff2,0xbffffffd,0xffffff50,0xffffffdd,
    0x3ffffee0,0x1ffffffe,0x77ffffc0,0x0ffffffe,0xffffffe8,0xf102ffff,
    0xffffffff,0x20bfffff,0xfffffff9,0x745fffff,0xffffffff,0x26ffffff,
    0xfffffffb,0xffffffff,0x3ea0005f,0x4c02fecf,0x200febef,0xfffffff8,
    0xffffffff,0x7ffff47f,0x3fffa5ff,0x3e205fff,0xffffffff,0x3ffff605,
    0x3fffa4ff,0xffd04fff,0xffffffff,0xfffff705,0xffffffff,0xfffd101f,
    0x9ffffb9b,0x3ffffee0,0xffffffff,0xfffff30f,0xffffffff,0x3fff6003,
    0xf501ffff,0x7fdc0fff,0xffffffff,0xff70ffff,0xfff81fff,0xf912ffff,
    0xffffffff,0x7ec4009f,0xffffffff,0x001c4fff,0x3fff6510,0xffffffff,
    0xfff500ef,0xffffffff,0x7ffdc01b,0x0effffff,0xfffffa80,0x84ffffff,
    0xfffffff8,0xf504ffff,0xffffffff,0x9807ffff,0xdefffffd,0x3fe21dff,
    0xffffffff,0x3a4fffff,0xffffffff,0xffffffff,0x7ff40005,0xffe800ff,
    0x3fea00ff,0xffffffff,0x27ffffff,0xfffffff8,0xffffff37,0x7ffdc0ff,
    0x0fffffff,0xffffff88,0xfffff37f,0xfff10fff,0xffffffff,0xfffffd09,
    0xffffffff,0x7f65405f,0x200bdfff,0xfffffffe,0x2fffffff,0xfffffff7,
    0x07ffffff,0x3fffffe0,0xfff103ff,0x7ffff40d,0xffffffff,0xffffb2ff,
    0x7fffcc1f,0x75c44fff,0x03dfffff,0xffffb300,0x7017ffff,0xea944000,
    0xfffffdac,0xdb9802ef,0x3dffffff,0xffffb100,0xea8007df,0xcfffffff,
    0x3fffb201,0x01dfffff,0xffffffb1,0x00159bff,0x800d554c,0xffffffec,
    0x43efffff,0xffffffea,0xffffffff,0xb980005f,0x2b26000a,0x7ffec400,
    0xffffffff,0x7647ffff,0x322effff,0x02effffe,0x3fffff62,0x3b203eff,
    0x322effff,0x02effffe,0xffffffd9,0xfd503bff,0xffffffff,0x2001bfff,
    0x3aa001a8,0xffffffff,0xb10dffff,0xffffffff,0x2001bfff,0xdfffffeb,
    0x5006a200,0xfffffffd,0x21bfffff,0x40ffffd9,0x1dffffec,0x0006a620,
    0x13553100,0xcccccd80,0xcccccccc,0x2a6202cc,0x2200009a,0x4c0000aa,
    0x4c0000aa,0x00009aba,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa00000,0x5440aaaa,0x55100aaa,0x00355555,0x55555544,
    0x2a20001a,0xaaaaaaaa,0xa81aaaaa,0xaaaaaaaa,0x2ea20009,0x003ceeed,
    0xaaaaaa98,0x5510000a,0x00355555,0xaaaaaa88,0x554c001a,0xaaaa801a,
    0x05555300,0x80d5554c,0xaaaaaaa9,0x2aaa6001,0x0000aaaa,0x55555530,
    0x10355555,0x55555555,0x00000003,0x2aaaaaa6,0xfa80009a,0x980006ff,
    0xaaaaaaaa,0x0aaaaaaa,0x2aaaaaaa,0x81aaaaaa,0x2600aaa9,0xaa980aaa,
    0x2aaa600a,0x35555300,0x2aaaaa20,0x55555440,0x2aaaa600,0xf9803501,
    0x2fffffff,0x9ffffff5,0xffffffc8,0x6400ffff,0xffffffff,0x7ec000ff,
    0xffffffff,0x24ffffff,0xfffffff9,0x02efffff,0x7fffffdc,0x8802ffff,
    0xffffffff,0x3001dfff,0xffffffff,0x7ffe400d,0x0fffffff,0x6fffff80,
    0x7ffffc40,0x7fffff45,0xfffffe81,0x7fffec7f,0x00ffffff,0x3fffffe6,
    0x01dfffff,0x7fffed40,0xffffffff,0x7fffec4f,0xefffffff,0x7cc00002,
    0xfffff31f,0xbfffffff,0x3fff6001,0x3fe20001,0xffffffff,0x0fffffff,
    0x3ffffffe,0x44ffffff,0x44ffffff,0x4ffffff8,0x17fffffe,0x9ffffff1,
    0xfffffff8,0x3fffea0f,0xfff54fff,0xf889ffff,0x27ffffff,0x2e05fff8,
    0xffffffff,0xffffff94,0xfffffe8d,0x402fffff,0xfffffffe,0x7c002fff,
    0xffffffff,0x4fffffff,0x3fffffee,0xffffffff,0x3ffffa04,0x1fffffff,
    0x7ffffd40,0xffffffff,0xffffb804,0x002fffff,0xfffffffd,0xf9805fff,
    0x201fffff,0x27fffffb,0x6ffffff8,0x7fffffc4,0x3fffe1ff,0x1fffffff,
    0x3ffffea0,0xffffffff,0xffffb004,0xffffffff,0xfff89fff,0xffffffff,
    0x51005fff,0x3e637bd9,0xffff54ff,0xffffffff,0xfff005ff,0xff98000b,
    0xffffffff,0x0fffffff,0x3ffffffe,0x24ffffff,0x6ffffff9,0x7fffffd4,
    0xffffff36,0xfffffa8f,0x3fffe66f,0x3f21ffff,0x96ffffff,0xdfffffff,
    0xffffff98,0xffff71ff,0x3ffb2201,0xff11dfff,0xd985bfff,0xefffffff,
    0xfffd9804,0x004effff,0xfcfffda8,0xffffffff,0x3ffb224f,0xffffffff,
    0xff702fff,0xffb759bd,0xfff900bf,0xffffffff,0xfd8809ff,0x5fffffff,
    0xffffb300,0x2009dfff,0x05fffffc,0x0bbffffe,0x7fffffd7,0xeffffeb8,
    0x7fffed44,0x4404efff,0xfffffffc,0x04ffffff,0x7fffffec,0xffffffff,
    0x7fed44ff,0xffffffff,0x3a204fff,0xffffffff,0xd911ffff,0xffffffff,
    0x403fffff,0x0001fff9,0xfffffec8,0xffffffff,0x3fffe0ff,0xffffffff,
    0x7fff5c4f,0x7ffec42f,0x3fff22df,0xfffd82ff,0x7ffe41df,0x7ec44eff,
    0xb12effff,0x05bfffff,0x9dffffd9,0x8037ffcc,0xffc82ffe,0xffd002ff,
    0xffe80007,0xff900003,0xfc81fff3,0x05ffd04f,0x40fffd51,0x037fdc00,
    0xb985ffb8,0x2002fffe,0x0ffffffc,0x03ffe800,0xfffff900,0xfffff501,
    0x7fffe405,0x05fff00f,0x4ccfffd4,0xbff70009,0x5fffd730,0x2f7fff60,
    0x640fff89,0xdff504ff,0x3fffd710,0xfffffd10,0x5fffffff,0x260bffa0,
    0x2e06fffc,0x400005ff,0x7c404ffd,0x0bffe0ff,0x403fffe2,0xfb80fffe,
    0xffd102ff,0x9fff903f,0x001ffec0,0xff305ffd,0xdffb005f,0x400736a0,
    0x7fec2ffe,0x3fa001ff,0x7f40003f,0xfd00003f,0xc81fff1d,0x5ffd04ff,
    0x007ffcc0,0x2aaaea62,0xff7007ff,0x37ffcc0b,0xff9fff00,0xffd0007f,
    0x3ff20007,0xffe84fff,0x3f202fff,0xff05ffff,0x7ffd405f,0xdfffffff,
    0x40bff700,0xfb86fff9,0x7ffc45ff,0xa827fe40,0x3fe206ff,0x7fffcc4f,
    0xfffdbabd,0x0bffa06f,0xd00fffb8,0x355513ff,0x0079db71,0xf8809ffb,
    0x0bffe0ff,0x880bfffa,0x7fcc5fff,0x7ffc405f,0x17ffee0f,0xcc89ff90,
    0x80fffc2c,0x7c405ffe,0x200003ff,0xffd12ffe,0xfe8001df,0x8005b53f,
    0x1f643ffe,0xf17ff300,0x7fdc21ff,0x405ffd03,0xd301fff8,0xffffffff,
    0x3fee00ff,0x17ffd405,0x64fffd40,0xfe8006ff,0xff90003f,0x7cc1ffff,
    0x202fffff,0x2ffffffc,0x2a02fff8,0xffffffff,0xfb83ffff,0x7ffd405f,
    0x2077fec2,0x7dc0fff8,0x0dff503f,0x7f45ffc8,0x7ff442ff,0xffd03fff,
    0x0fffc405,0xffea7fc4,0xfffffeef,0x13ff600d,0x23ff4195,0x7fe41ffe,
    0xfffb804f,0x003fffa3,0x263bffea,0x5c00efff,0x3ffe65ff,0x403ffe26,
    0x2e00fffa,0x400007ff,0xffe9affe,0xfe8000df,0x00fffecf,0xfb8fffa0,
    0xff7000ff,0xfb1fff13,0x3a03ff39,0xffb102ff,0x3ffff20f,0x7fffffff,
    0x00bff700,0xfb00bffb,0x0bffe2bf,0x007ffd00,0x3ff7ff20,0x3fbff63f,
    0x3ff202ff,0x7c0fffed,0x3fea02ff,0xfdcccccf,0x7fdc0fff,0x45ffd805,
    0xff882fff,0xff9bfc8f,0x80dff501,0x3fe65ffd,0x7fff441f,0xffd07ffe,
    0x83ffdc05,0xffff0ffa,0xffffffff,0x527fec09,0x216d47ff,0x7ffd47fc,
    0x3fff6005,0x002fffb8,0x3ff7ffee,0xffa800ff,0x47fffee6,0x7fc07ff9,
    0x13ffe04f,0x9ffd0000,0x000bffff,0x7ffffff4,0x1fff4007,0x2003fff7,
    0x7fff17fd,0xe8022fff,0xdbaaacff,0xfc84ffff,0xffefffff,0x54407fff,
    0x1aaaeffd,0x4406ffb8,0x3ff62fff,0x1fff4005,0xcdffc800,0x5fff17ff,
    0x7e405fff,0x45fff9df,0x3ea02fff,0x3ffe606f,0x402ffdc2,0x3fe66ffb,
    0xbfff880f,0x540116ff,0x3fea06ff,0x117fee3f,0xff59fffd,0x05ffd01f,
    0x20bfffb1,0x3ffa64fc,0xffebbdff,0x5bffb00f,0x2009ffb5,0x3bffe60a,
    0x3ffe2000,0x8005fffe,0x2ffffffc,0x74fff300,0xff53ffff,0x07ffc80f,
    0x0001fff5,0xfffffe80,0x3a0003ff,0x00dfffff,0xd11fff40,0x3fe200bf,
    0xffffff14,0xfffd001f,0xffffffff,0xefff881d,0x07ffa81b,0x3fffffe6,
    0x7cc2ffff,0x3ffe407f,0x8003ffea,0x90003ffe,0x5fff1bff,0x3ffefff9,
    0x657ff202,0x3ffe1fff,0x01bfea02,0xffb8bffb,0x27ff9805,0xff106ffb,
    0x200fffff,0x65446ffa,0x3f60ffff,0x3fffa23f,0x3a0bffe4,0xffdccdff,
    0x7301ffff,0x88bfff90,0xffb01fff,0x0bffffff,0x3fffd100,0xffff7000,
    0x360001ff,0x2003ffff,0xff98fff8,0xdff76fff,0x82fff880,0x00005ffd,
    0xffffffe8,0x754004ff,0x002effff,0x0107ffd0,0xf897fd40,0x00ffffff,
    0xffffffe8,0x41ffffff,0x2e00fffa,0x3fea07ff,0xffffffff,0x203ffcc3,
    0xfff84fff,0x0fffa003,0xdaffe400,0xf3fffeff,0x7fe405ff,0xff9bffa5,
    0x1bfea02f,0xfb8bff90,0x7ff9805f,0x7c413ff2,0x007fffff,0xfffffff5,
    0xe85fffff,0xfffd13ff,0xe81fff89,0xffffffff,0xc8000eff,0x7ffd05ff,
    0x3fffff60,0xd8005fff,0x20003fff,0x002ffffd,0x07ffff20,0xf93fff00,
    0xf93fffff,0xdffb00bf,0x002fff98,0xffffe800,0x804ffffc,0x4fffffd8,
    0xffd014c0,0x36029807,0xfffccdff,0xfd007fff,0xffffffff,0x7dc5ffff,
    0x7f5441ff,0x3b201fff,0xdeeefffe,0x503ffcc0,0x9999bfff,0x7400dffd,
    0x414c03ff,0xfff35ffc,0x3ffe1fff,0xa97ff202,0x5fff4fff,0x2037fd40,
    0x7fdc3fff,0x27ff9805,0xff106ffa,0x200fffff,0xfffffffa,0xfc83ffff,
    0x4fffe8ff,0xfe83ffcc,0xffffffff,0xff90000f,0x40fff609,0xfffffffd,
    0x7fdc005f,0x7c40004f,0x2a0005ff,0x00ffffff,0x3fabffe0,0xfdbffecf,
    0xfffa804f,0x201fff21,0xfd000bc9,0x3ff623df,0x3ffe603f,0x2603ffff,
    0x7ffd02ff,0xf81ffcc0,0xffffffff,0xfd006ff8,0x3ff2605f,0xffff30ff,
    0xffffffdf,0x5c05ffff,0xffb805ff,0x3ffff606,0xffffffff,0x07ffd002,
    0x3f21ffcc,0x3ffffa5f,0xc80bffe4,0x7ffec5ff,0x2a02fff9,0xff9106ff,
    0x05ffb83f,0x3e26ffb8,0xfff880ff,0xf5006ff8,0xffffffff,0x3ffea01b,
    0x7c45ffff,0xbffd05ff,0x9ffff999,0x13ff2000,0xfd81ffec,0x013fee4f,
    0x986fff98,0x3ffa003d,0xfff30003,0x400dffff,0x9fffdffe,0x3ffeeffc,
    0x7c9ffd00,0x7fcc03ff,0x5ffd006f,0x5c0fffd0,0x3fffefff,0x7413fee0,
    0x3fee03ff,0xfffff985,0x1ca8ffff,0x02ffe802,0xf717ffd4,0xffffffff,
    0x09ffffff,0x6402ffdc,0xfff104ff,0xffffffff,0x3fa00bff,0x17fee03f,
    0x7fd4bff9,0x0bffe0ff,0x7c45ffc8,0x02fffeff,0x3bbbffea,0x85ffffff,
    0xfd805ffb,0x417ffc4f,0x1da8fff8,0xafffa802,0xfb0009aa,0xfb8bffff,
    0xffd02fff,0x4ffffa85,0x04ffc800,0x3f607ffb,0x00bfe64f,0x407fffc4,
    0xfd000ffd,0xff10007f,0xbfff73ff,0x3ffff600,0xfffff36f,0x3fee005f,
    0x00fffb8f,0x007fffdc,0x7cc17ff4,0x7dd103ff,0xfb80fffa,0x07ffd05f,
    0x7e42ffdc,0xfff999af,0xfd06fb80,0x9ffb005f,0xfffffea8,0xfffffbdf,
    0x017fee01,0x3207fff1,0xeeeeefff,0x00fffeee,0x2e03ffe8,0x2ffe45ff,
    0xfff17ffa,0x42ffe405,0x2ffffffa,0x3ffffea0,0x03ffffff,0xf880bff7,
    0x7ffec3ff,0x407ffc41,0xdff506fb,0x7ffcc000,0xfffeefff,0x3ffa02ff,
    0x2fffe982,0x827fe400,0xffb03ffd,0x36001889,0xfff02fff,0x0fffa003,
    0x8bfffa00,0xc803fffc,0x3a4fffff,0x001fffff,0xffd7fff1,0xdfff100b,
    0x40bffa00,0xd000fffb,0x7fdc07ff,0x407ffd05,0x6fe85ffb,0x7407ffc4,
    0x2ffe81ff,0x304ffe80,0xfb813575,0x05ffb805,0x403fffa2,0xfe803fff,
    0x3ffe803f,0xf917fee0,0x40aa98bf,0x3f202fff,0xffffb05f,0x7ffd405f,
    0x0bcdeeee,0x9817fee0,0x7d40ffff,0x3fe20fff,0x80ffe80f,0x20006ffa,
    0xfffffffd,0x401fffff,0xff102ffe,0x7e4001ff,0x07ffb04f,0x80013ff6,
    0x3e04fffc,0xffd001ff,0xfffc8007,0x02fffe84,0x0fffffdc,0x01fffff9,
    0x7ffffe40,0x0571001f,0x06fffa60,0x4073ffe2,0x9bffe998,0xffc99999,
    0x3ffa6625,0xc999999b,0x3fea25ff,0x3fff310d,0x5fff3333,0x99bffe98,
    0xffeca999,0x3f20002f,0xff902b8c,0xfb75333d,0x3ee05fff,0x32200aff,
    0x99881eff,0x9999bffe,0x645ffc99,0x22009dff,0x3203fff9,0x7c409dff,
    0x7102ffff,0x01333fff,0x4cf7fe40,0xffffdba9,0xbffff902,0x333fff77,
    0x885fff33,0x0999fffb,0xbdfffb00,0x39dfffff,0x1bffe980,0x03bfff50,
    0x2037ff60,0xfd884ffe,0x000999cf,0x333dfff5,0x3fff3333,0x7ff4cc40,
    0xffb8019b,0xffff106f,0x7fffd403,0x3ffffcc7,0x3fffe600,0x8800006f,
    0xffffffff,0x7ffffe42,0x3ffffee2,0xffffffff,0xfff75fff,0xffffffff,
    0x26bfffff,0xfcffffff,0xffffffff,0xff12ffff,0xffffffff,0x0dffffff,
    0xffff9800,0x7ffffc47,0xffffffff,0xffffa85f,0x7f444fff,0x2e6fffff,
    0xffffffff,0xffffffff,0xffffff35,0xffffd09f,0xfff98dff,0x7dc4ffff,
    0xffc82fff,0x6fffffff,0x7ffffc40,0xffffffff,0x7ffec04f,0xffffffff,
    0x22ffffff,0xfffffffc,0x7fc406ff,0x00554c6f,0x7fffffc4,0xfffc82ff,
    0x3ffee06f,0xfff13fff,0x3ffa27ff,0x4fffffff,0xfffffc80,0xffffffff,
    0xffffb01f,0x05ffffff,0xdffffff3,0x7ffffcc1,0xffff306f,0x0dfffd09,
    0x7ffffd00,0xff700000,0x89ffffff,0x24fffff8,0xfffffffe,0xffffffff,
    0xfffffd5f,0xffffffff,0x3feebfff,0xffffffff,0xffffffff,0xffff72ff,
    0xffffffff,0x0001dfff,0xa85bfb50,0xffffffff,0x903fffff,0xffffffff,
    0xffffff98,0xffffd1ff,0xffffffff,0x3eebffff,0x47ffffff,0xfffffff8,
    0x3fffee1f,0xffe87fff,0xfffff82f,0x01ffffff,0x3fffffea,0x3fffffff,
    0xfffff700,0xffffffff,0x7ffc5fff,0xffffffff,0x006ff401,0x3fffea00,
    0xfd04ffff,0x3f601fff,0xf36fffff,0x3e6dffff,0xffffffff,0xfffc807f,
    0xffffffff,0xff881fff,0xffffffff,0xffffb85f,0x3ff21fff,0x881fffff,
    0xfc81ffff,0xfa8005ff,0x00000fff,0xfffffd88,0xfffc81df,0x3fffaa1d,
    0xffffffff,0xfd55ffff,0xffffffff,0x2bffffff,0x9dffffd8,0xfffffffe,
    0xb12fffff,0xffffffff,0x0059dfff,0x7ec40000,0xdfffffff,0x3f6600ac,
    0xc82effff,0x24efffff,0xffffffea,0xffffffff,0xffffb15f,0xffd905df,
    0xfd889dff,0x982effff,0xfea82fff,0x4fffffff,0x7fffec40,0x0acdffff,
    0xffdb9800,0xffffffff,0x3ffaa2ff,0x04ffffff,0x22000030,0xdffffffd,
    0x09dff101,0x77fffecc,0x8bbfff22,0xfffffffc,0xffc802ef,0xffffffff,
    0xd701ffff,0xffffffff,0xfffb103b,0xffd889ff,0x3fe04eff,0xbfff307f,
    0x13ffe000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x554c0000,
    0xaaaaaaaa,0x00066000,0x00000d40,0x1540b880,0x00000000,0x00800000,
    0x216f6e4c,0x4400bddb,0x3ceeedba,0xdedca800,0xcb88002b,0x0312ceee,
    0x37bd9510,0x80000200,0x5c41bec9,0x2a200bdd,0xaa981aaa,0x6e5401aa,
    0x0198bdee,0xa8555551,0xaa980ced,0x55441aaa,0xa981aaaa,0x9ddb71aa,
    0x9aaa8805,0xd911ded8,0x5554015b,0xaaaaaaaa,0x2b8801aa,0x15555500,
    0x0d5554c0,0x20d5554c,0x80aaaaa8,0x0aaaaaa9,0xaaaaa880,0x2aaaaa60,
    0xffffff01,0x9fffffff,0x003ff700,0x000ffb80,0x3ff22000,0x00bbfea7,
    0x26000000,0x2aaaa61e,0x1aaaa981,0xfff30bf1,0xfd3bffff,0x2e03dfff,
    0xffffffff,0xfe9802ff,0x2effffff,0xfffff700,0x05ffffff,0x7fffffec,
    0x5ff302ff,0x82fe4088,0x13fffffd,0x01dffffd,0x87fffff3,0x05fffffc,
    0xffffffd3,0xf983ffff,0xe98fffff,0x365fffff,0x3fffffff,0x3ffffffa,
    0x3fffee3f,0xfffffffd,0xffff980d,0xfdfffffe,0xd01fffff,0xffffffff,
    0x9009ffff,0xffd801ff,0xfb80ffff,0x2a2fffff,0x23ffffff,0x47fffffe,
    0xfffffffa,0xffffe802,0xfffff37f,0xfff987ff,0xffffffff,0xffc805ff,
    0x7fec0002,0xf7000002,0x3ee1ffff,0x0001efff,0x5ef65440,0xff33fb81,
    0xffc87fff,0x0df55fff,0xfffffff9,0xffffffff,0xffffd03f,0x3fffffff,
    0x7ffffe40,0x05ffffff,0x7ffffff4,0x04ffffff,0xfffffffb,0xff907fff,
    0x7ffffb7f,0xfb81fffb,0xebffffff,0x1fffffff,0x1fffffd4,0x17fffff6,
    0x3fffffe6,0x43ffffff,0xdffffffa,0xffffffff,0xffffffd3,0x7ffff47f,
    0x3ff24fff,0xffffffff,0xffa85fff,0xffffffff,0x7fffffff,0xffffffd0,
    0x09ffffff,0xe805ffd0,0x80ffffff,0x3ffffffc,0x3fffffee,0x3fffffa3,
    0x3fffee0f,0x7c402fff,0xa8ffffff,0x4fffffff,0xfffffeb8,0x01dfffff,
    0x80003c88,0x00003ffe,0x7fffff54,0x3ffff622,0xd80000df,0xffffffff,
    0x7fd4bf23,0x7fec3fff,0x0df95fff,0xfb59dff5,0xff99ffff,0xbdff70bf,
    0xbfffb759,0x3bfffea0,0xffffecac,0x9ffff902,0xffffd977,0xefffd88b,
    0xffffdbac,0x7ffffcc3,0xffffffff,0x5efffd46,0xcffffffe,0xdb85fffc,
    0x76443fff,0xffd85ffe,0xffcbacef,0xfedb84ff,0xbeffffff,0xfd933ffe,
    0x64c19dff,0x20bdffff,0xefffffc8,0x2fffecac,0xcffffeb8,0xbbfffffb,
    0xffe81fff,0xfffeeeee,0xffe802ff,0x7ffecc02,0x9115532d,0x4419fffd,
    0x20fffffc,0x42effffa,0xfffeedb8,0xffeda802,0x3ffff22f,0xffd000de,
    0x00000007,0x0007ffd0,0x3ffffa60,0xffd300cf,0x00019fff,0x3ffffff6,
    0xfe8cffff,0x0ffff6e0,0x7dffdd91,0x7c0205ff,0x3fee4fff,0x7dc0081f,
    0xffff886f,0x1ffff301,0x00dfff98,0xfc8bfff3,0xffd103ff,0xffffa83f,
    0xefffffff,0xd12fff40,0x7dcbffff,0x7ffb01ff,0x742ffdc0,0x3ff203ff,
    0x3fffe202,0xf81541ef,0x3ffe04ff,0x6fffec04,0x703ffe80,0x7fec5fff,
    0x20bffa1f,0x7fcc2ffd,0x22ca82ff,0x17712ffe,0x3e1fff88,0x17ff24ff,
    0x8dffff98,0x005ffff9,0xb800bffa,0x3ffa65ff,0xffe8002f,0x00000003,
    0x0003ffe8,0x7ffffec4,0xffd5001d,0x44007fff,0xbacefffd,0x6ffffffd,
    0x5c07ffb0,0x804fffff,0xfffeaaa8,0x1027ff40,0xff555753,0x05fff70f,
    0x6c3fff98,0xffc806ff,0x4027ff43,0xffe84fff,0xfffda9cf,0x20fffc43,
    0x740ffffb,0x7ffb04ff,0x6c2ffdc0,0x441acfff,0x7ffc402b,0x7dc000df,
    0xfffb80ff,0x02ffec00,0x3ee0bff9,0x227fe45f,0x7fb82ffe,0x417fffd4,
    0xffdffff8,0x85fffedf,0xfff53ffe,0x201fff4f,0xffefffe8,0x7f4003ff,
    0x3fee002f,0x01bfff95,0x00fffa00,0x3a000000,0x910003ff,0x03dfffff,
    0x3fffee00,0xffc802ef,0xfffd103f,0x0fff601f,0x00bfffb8,0x7fffffe4,
    0xfeeeefff,0xffe986ff,0x7fffffff,0xeeefffc8,0xffeeeeee,0x017ff45f,
    0xff307744,0x1bff200f,0xfb05fff1,0x87ffa8bf,0xeeeffff8,0xfb06ffee,
    0x2ffdc07f,0x7fffffd4,0xf1002cef,0x220007ff,0xfff84fff,0x03ffd805,
    0x7dc17fee,0x227fe45f,0xa8102ffe,0xf102ffff,0xffffffff,0xf90bffff,
    0x3ffff6bf,0x001fff8a,0x5ffffffb,0x05ffd000,0x7f77fdc0,0x740004ff,
    0x000003ff,0x03ffe800,0xfffffb80,0xc880002f,0x01efffff,0x3e013ffa,
    0x3ff605ff,0x017fee03,0xffffffd5,0xffffffff,0xffc8ffff,0xffffffff,
    0xffffe87f,0xffffffff,0x7ffc6fff,0x3fee0001,0x1fff3005,0xfa83ffd4,
    0x82ffdc7f,0xfffffffe,0xffb07fff,0x82ffdc07,0xfffffffb,0x7c400eff,
    0x320000ff,0x3fee0fff,0x3ffd801f,0x5c17fee0,0x27fe45ff,0x2a00bffa,
    0x4c02ffff,0xfffffffd,0xfa80cfff,0xfffff8ff,0x4007ffad,0x003ffffe,
    0x4005ffd0,0xfffffffb,0x3fa0003f,0x3fb6203f,0xffffffff,0x3624efff,
    0xffffffff,0x83efffff,0x3fffffea,0xfd880000,0x4c0dffff,0xff9007ff,
    0x01ffec0f,0x7cc0bff7,0xffefffff,0xffffffff,0x3fff27ff,0xffffefff,
    0xffffe87f,0xffffffff,0x3fe27fff,0x3ee0000f,0xfff1005f,0x8837fdc1,
    0x3ff20fff,0xffffff05,0x20ffffff,0x3ee03ffd,0x3b6e205f,0x2fffffff,
    0x003ffe20,0x24fff880,0xfb005ffe,0x2ffdc07f,0x7e45ffb8,0x017ff44f,
    0x00bfffea,0xfffffb88,0x7ffc401d,0xdffffffd,0xfb1006ff,0x007fffff,
    0x4005ffd0,0xffdffffb,0xfd0005ff,0x7ffe407f,0xffffffff,0xf91fffff,
    0xffffffff,0x1fffffff,0x3fffffa2,0x4000000d,0x3ffffff9,0x4c017fee,
    0xffb00fff,0x02ffdc07,0xe817fff7,0xaaaaaeff,0xdfff12aa,0x0fff5037,
    0x5555dff9,0x55555555,0x002ffe85,0x003ffe60,0xff31bfea,0x8dff901f,
    0x7cc0fffa,0xaaaaaeff,0x7ffb02aa,0x4c2ffdc0,0xfff95302,0x07ffc40b,
    0x3fff2000,0x001fffa8,0x7dc07ffb,0x8bff705f,0x7ff44ffc,0x3fffea02,
    0xfffb8002,0xfe800fff,0xfffcffff,0xe8804fff,0xffffefff,0x17ff4004,
    0x25fff700,0x002ffffa,0x2a03ffe8,0xffffffff,0x7fffffff,0x3fffffea,
    0xffffffff,0x7ffecc7f,0x00000dff,0xfffffd50,0x005ffb87,0x3601fff1,
    0x3fee03ff,0x41bfee05,0xa800fffe,0x3ee00fff,0x3fffa87f,0x37fe4000,
    0xffe85500,0x27ffc405,0xf3067ffc,0xfff989ff,0x07fffe42,0x827fec00,
    0x7cc5ffd8,0x7ffcc02f,0x01fff100,0xbfff8800,0x36005ffe,0x3fee03ff,
    0xc8bff705,0x17ff44ff,0x82ffffa8,0xfff303fc,0x900bfffd,0xf93fffff,
    0x9805ffff,0xff35fffe,0x7f400bff,0x3fee002f,0x07fffcc5,0x00fffa00,
    0x55555551,0x13555555,0xeaaaaa88,0x1aaaacff,0x3ffffa60,0x300000cf,
    0x19fffffb,0x001fff30,0x7ec0dff5,0xbffb104f,0x117ffcc0,0x44bffffb,
    0xfff72dda,0xfffea883,0xcfffe81f,0x85b97301,0x202efffa,0x3f22ffea,
    0xffb81eff,0xfffe81ff,0x3ffffecf,0xf30fffe8,0x544bffff,0xdff901dc,
    0x7fffe441,0x067ffdc6,0x03fff262,0x33fff531,0xc8001333,0x01ffffff,
    0x019ffd30,0x7e417ff2,0x22ffe46f,0xffa83ffe,0x99999bff,0xfffd06ff,
    0x805fff71,0xf16ffffa,0x5401ffff,0x7c45ffff,0x4c40efff,0x9bffe999,
    0xff910199,0xdfffa83d,0x7ffd0009,0x00000000,0x20007ffd,0x3ffffffa,
    0x3ff22000,0x7401dfff,0x7fc405ff,0x3bff204f,0x3ffff220,0x3fffa00e,
    0xffffffef,0x6ffffeff,0xfdfffff3,0xffffffff,0x7fffcc5f,0xfffeeeff,
    0xfffc86ff,0xfffeeeff,0x7fe42fff,0xfffeefff,0xfffd82ff,0xffffffff,
    0x7fffcc2f,0xfffffffe,0x06ffffef,0xffdffff5,0x5fffffff,0x3ffffff2,
    0x6fffffee,0x7ffffff4,0x03ffffff,0x3ffffe20,0xffffb005,0x7ffcc5ff,
    0xfff12fff,0x3ff25fff,0xffffd1ff,0x3ffffe21,0xffffffff,0x22fff887,
    0x7c405ffd,0x3ff63fff,0x3fffa06f,0x3ff62fff,0xff74ffff,0xffffffff,
    0x7ec1ffff,0x20ffffff,0x06fffffd,0x0003ffe8,0xffe80000,0x7fdc0003,
    0x2002efff,0xefffffc8,0xdfff9002,0x3ffff703,0x77fffd40,0xffffffff,
    0xfffd102f,0xffffffff,0x4bffffff,0xfffffffb,0xffffffff,0x7ffffd44,
    0xffffffff,0xfffffb05,0xbfffffff,0x3fffff20,0xb81fffff,0xffffffff,
    0x40ffffff,0xfffffffb,0xffffffda,0x3ff605ff,0xffffffff,0xfff54fff,
    0xffffffff,0x7ffc41df,0xffffffff,0x7e4006ff,0xf8801fff,0x25ffffff,
    0x4ffffffb,0x9ffffff5,0x74fffff2,0xff12ffff,0xffffffff,0x3f20ffff,
    0x400f7443,0x3ea0fffe,0xfff304ff,0x7fc9ffff,0xfd6fffff,0xffffffff,
    0x7c5fffff,0x2fffffff,0x3fffffe2,0x01fff400,0x74000000,0x880003ff,
    0x1efffffc,0x7ffffdc0,0xffc8003f,0xfffeefff,0xffd802ff,0xffffffff,
    0x36204fff,0xdecfffff,0x3dfffffc,0xfffffea8,0xdffffbdf,0xfffff901,
    0x805bffff,0xffffffea,0x6d402dff,0x1cefffff,0x931dff70,0xfff5179b,
    0xfffff501,0x7ffffec3,0xfffd802d,0xfffdcfff,0xffbdb11d,0x07ffffff,
    0x3fffffb2,0x02efffff,0x037ffc40,0xbffffd70,0x7fffec43,0xffffb11d,
    0x37fff23b,0x449fffd0,0xffffffff,0x007fffff,0x2ffe4000,0xd9017ffc,
    0x543bffff,0x52effffe,0xfffffffd,0x41bfffff,0x5fffffeb,0x04efffb8,
    0x0003ffe8,0x3a000026,0x200003ff,0xdfffffd9,0x7ffff540,0x320000cf,
    0xffffffff,0x3f6001ff,0xfcbdffff,0xa8801dff,0x006ea02b,0x004d5d4c,
    0x2aaea600,0xa9880009,0x80009aab,0xc8800ab9,0x02da800c,0xaa880dcc,
    0xaba88001,0x2ea60001,0x000001ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98800000,0x99bffe99,0x3ff70009,0x3ffe8000,
    0xfea80000,0xff50ffff,0x00019fff,0x3ffff6a0,0x88000cef,0x000001ba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffd000,
    0xffffffff,0x05ff9007,0x01ffc800,0x3fea0000,0xbfff70ff,0x4c000003,
    0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffff9,0x06ffffff,0x80004d88,0x000005e9,0x6ec47d70,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfec80000,0xffffffff,0x000002df,0x00000000,0x00000000,
    0x30008002,0x020059b7,0x00000200,0xfffd9100,0xffffffff,0x503fffff,
    0x3bb21555,0x03bbb61e,0x00de5400,0x16459100,0x13039b50,0xbbbbbbb0,
    0x47bbbbbb,0xbbbbbba8,0xbbbbbbbb,0xeb81bbbb,0xffffffff,0xffffffff,
    0x81442dff,0x00000029,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0xd88ea019,0x1001b502,0x03d98099,0x800c0002,0x4407ecb8,
    0x701ceffd,0x01dfffff,0x07dffd91,0x1fffff64,0xffffffc8,0xffffffff,
    0xffff72ef,0xffffffff,0x83ffffff,0x3f26fff9,0x1fffa1ff,0xffd882fc,
    0x205704ff,0x9ff15fe9,0x44dfff30,0x7ffc4ffe,0xffffffff,0x3fffe4ff,
    0xffffffff,0xffffffff,0x3fffe25f,0xffffffff,0xffffffff,0x222ffc6f,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x7fc82fe9,0x3f213fe2,0x77fdc01f,0x21fff980,0x02dffeb9,0xfb80bf30,
    0x3a207fff,0x40fffeff,0xfffffffa,0x7f7ff4c6,0xfffb86ff,0x7cc1fffe,
    0xffffffff,0xffffffff,0xffffff36,0xffffffff,0xfb83ffff,0x3ffee2ff,
    0x221fff20,0xffffd07f,0x7fe41bff,0x5077fd42,0x7fdc1dff,0xffff70ff,
    0x7fffffc1,0x4fffffff,0xfffffff1,0xffffffff,0x8dffffff,0xfffffffe,
    0xffffffff,0x224fffff,0x2ffd47ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbff50000,0xfa85ffb0,0x02ffd85f,0x983bffee,
    0xff10ffff,0x803ffddf,0x2203ffe8,0x3207fcbc,0x3a27ec6f,0x7ffb12ff,
    0xea88effc,0x7dc0984f,0xfffffe85,0xffffffff,0x2aa23fff,0xaaaaaaaa,
    0x1fffaaaa,0x3ea37fec,0x437fdc7f,0x7fe43ff8,0x9efffedf,0x3ee2fffc,
    0xefe980df,0x54bfff11,0x4ccc7fff,0x99999999,0x3bb6a099,0xeeeeeeee,
    0xeeeeeeee,0xaaaa981c,0xaaaaaaaa,0x80aaaaaa,0x01ec82eb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8bff7000,0xf502ffe8,
    0x7ff441df,0x3bfff603,0x42ffff98,0x01bee0bc,0x005ffffb,0x064c0ff5,
    0x5ff89bee,0x7faaffc4,0xc981ff50,0x106feeee,0x33333333,0x01333333,
    0x0fffc000,0xf885fff1,0x427fd46f,0x3fa3fff8,0x3ffff65f,0x3fe26fff,
    0x12fec404,0x03bd7035,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0x3fa60eff,0x77fdc02f,
    0x813ffa21,0xfffefffd,0x0df9002f,0x7fffffe4,0x003fd401,0xff98ffe6,
    0x9f96fe83,0xff70ffc0,0x00dfffff,0x80000000,0x3fea1fff,0xf98bff06,
    0x3737e63f,0x2e17ea5f,0x40efffff,0x006e001b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20effd88,0x7003fffa,0x7f445fff,0xfffb00df,0xeb805fff,0xff702ffe,
    0x01dfffdf,0xf7003fd4,0x46ff88bf,0x0df74ff9,0x7fc43fe6,0x00df731b,
    0x80000000,0x3ff21fff,0xf889fd01,0x3fffe62f,0x3f6a001f,0x000000be,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x077ff440,0x8007fff7,0x3a23fffc,0xffb00eff,
    0xff9005ff,0xfff303ff,0x0bfff71d,0x6c403fd4,0xbffb04ff,0x225fff75,
    0xfd711dff,0x3aa2fdcb,0x776dc0ef,0xeeeeeeee,0x001deeee,0x743fff00,
    0x20ff605f,0x6edc41ff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,
    0x5fffd10e,0x3fffd800,0x203bffe6,0x0efffff9,0x0ffda880,0xc83fffe2,
    0xff504fff,0x02ffe980,0x3fffffe2,0x7fffd44f,0x3e20efff,0xfffffeff,
    0xfffff33f,0xffffffff,0x000dffff,0x7c47ffe0,0x207ee01f,0x0000007d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x320effe9,0xfb002fff,0x7ffd43df,
    0xfffff304,0x22001dff,0x3fffa2ff,0x83fffd82,0x3fee07fa,0x3620220e,
    0x9103ffff,0x2607dffd,0xeecdffeb,0xfffff11d,0xffffffff,0x000bffff,
    0x7cc3ffa0,0x00200804,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffb10000,
    0x1fffd41d,0x41bffb10,0xf302fffa,0xfffb5fff,0x2a05441d,0x7fff30ff,
    0x55bffa20,0x6fffffff,0x3fffffe2,0x26a206ff,0x00000000,0x55555544,
    0xaaaaaaaa,0x2a00001a,0x0000044e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf7000000,0x7ff441df,0x43ffe883,0xf301effa,0x7fec5fff,0x3bfff66f,
    0x27f44fff,0x6ccffa20,0x24eeeeee,0xeeeeeee8,0x0000006e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x361bfea0,
    0x17fec2ff,0xc8037fe6,0xffd82fff,0xffffb11f,0x0800207d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a200000,0x226fb82f,0x03fb80ef,0x3202ffa8,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0c000000,0x04008310,0x01001100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_37_latin_ext_x[560]={ 0,7,4,1,2,2,3,7,8,3,2,1,6,2,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,6,1,-1,1,0,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,0,2,0,
8,1,4,-1,4,1,-1,2,-1,-2,4,1,4,5,6,0,1,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,0,-1,1,2,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,2,1,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,2,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_37_latin_ext_y[560]={ 27,5,7,4,4,6,8,7,6,6,6,8,22,16,
23,3,5,5,5,5,6,6,5,6,5,5,12,12,8,12,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,3,6,5,33,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,4,7,9,7,
6,6,6,7,5,13,16,16,7,2,3,3,5,5,5,12,6,14,25,5,5,13,5,5,5,12,0,0,0,1,
1,-1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,11,6,0,0,0,1,0,7,6,5,5,
5,6,6,4,12,12,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,8,10,5,5,5,6,5,6,6,
2,7,0,5,7,12,0,5,0,5,1,6,0,5,0,6,7,6,2,7,0,5,1,6,7,12,0,5,0,5,
0,5,1,6,7,4,0,0,7,6,1,6,2,7,0,5,7,6,1,12,7,6,0,5,7,6,12,0,-1,7,
6,7,6,7,6,7,6,0,5,7,12,0,5,7,7,12,2,7,0,5,0,5,7,12,0,5,7,12,0,5,
0,5,0,5,7,12,0,5,7,7,0,6,7,7,1,6,2,7,0,5,-1,4,0,5,7,12,0,5,0,5,
1,0,5,1,6,0,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,10,6,6,6,6,6,6,6,6,6,6,6,6,6,3,11,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,0,5,0,
5,0,5,-1,2,-1,0,-1,0,-1,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-7,-2,0,5,0,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_37_latin_ext_w[560]={ 0,6,12,17,15,16,15,5,8,9,15,18,8,15,
6,15,15,15,16,16,15,16,15,15,15,15,6,8,20,19,20,14,15,22,19,18,19,19,19,19,20,15,20,20,
18,22,21,19,18,19,21,16,18,20,22,21,20,19,16,8,15,8,15,24,7,18,20,18,21,18,17,19,20,16,
14,18,16,22,19,18,20,20,18,16,18,19,20,21,19,20,16,10,4,10,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,15,19,16,19,
4,18,11,21,12,18,20,15,21,24,11,18,11,10,7,19,17,6,7,10,12,18,20,23,20,15,22,22,22,22,
22,22,22,18,19,19,19,19,15,15,15,15,20,21,19,19,19,19,19,14,20,20,20,20,20,19,18,18,18,18,
18,18,18,18,21,18,18,18,18,18,16,16,16,16,17,19,18,18,18,18,18,18,19,19,19,19,19,20,20,20,
22,18,22,18,23,20,18,18,18,18,18,18,18,18,19,23,20,21,19,18,19,18,19,18,20,18,19,18,19,19,
19,19,19,19,19,19,20,20,20,20,15,16,15,16,15,16,15,16,15,16,20,20,20,14,20,18,20,18,16,18,
16,18,16,18,16,19,16,21,19,21,19,21,19,20,18,17,19,18,19,18,19,18,22,22,21,18,21,18,21,18,
16,16,16,16,16,16,16,16,18,18,18,20,18,19,20,19,20,19,20,19,20,19,20,19,20,20,21,21,19,20,
19,16,16,16,16,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,19,17,17,17,17,17,17,17,17,17,17,17,17,17,23,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,18,15,16,19,
18,20,19,20,19,20,19,20,19,20,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,18,22,21,20,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_bold_37_latin_ext_h[560]={ 0,23,10,27,28,22,20,10,27,27,15,19,11,4,
5,28,23,22,22,23,21,22,23,22,23,23,16,19,19,11,19,21,25,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,25,20,21,20,21,20,20,20,20,20,27,28,27,12,4,6,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,27,27,27,8,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,25,20,16,20,
27,24,4,21,11,14,11,4,21,4,11,24,12,13,6,22,24,5,8,12,11,14,22,22,22,22,27,27,27,26,
26,28,20,27,27,27,27,26,27,27,27,26,20,26,28,28,28,27,27,14,24,28,28,28,27,27,20,22,23,23,
23,22,22,24,16,21,23,23,23,22,22,22,22,21,22,21,23,23,23,22,22,19,20,23,23,23,22,29,28,28,
25,21,27,23,25,20,28,23,28,23,27,22,28,23,27,22,20,22,25,21,27,23,26,22,25,20,27,23,28,29,
28,29,27,28,27,30,27,27,20,21,26,21,25,20,27,22,25,26,26,15,21,28,28,29,27,28,15,27,28,27,
28,20,21,20,21,20,21,27,22,27,22,27,22,20,21,22,26,21,28,23,28,23,20,16,27,22,27,22,27,22,
28,23,28,23,27,21,28,23,29,29,27,22,20,21,27,22,26,21,28,23,29,24,28,23,25,20,27,22,27,29,
26,27,22,26,21,27,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,22,18,21,21,21,21,21,21,21,21,21,21,21,21,21,25,17,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,23,27,22,28,
23,28,23,29,26,29,28,29,28,29,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,30,27,23,30,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_bold_37_latin_ext_s[560]={ 324,499,208,119,496,193,299,506,351,360,415,
36,199,277,263,494,80,263,210,224,58,1,80,496,115,131,500,500,55,158,76,
74,264,146,84,201,252,394,377,146,455,1,125,1,169,188,211,220,295,303,334,
184,476,458,477,455,434,414,397,365,460,374,81,293,255,162,37,200,171,181,40,
279,479,23,404,106,89,375,355,219,38,340,315,298,240,278,334,431,453,319,398,
318,291,258,229,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,324,480,364,
315,238,435,253,1,343,1,145,17,178,277,419,318,120,487,108,70,247,299,469,
270,221,97,132,36,487,59,1,22,370,393,416,167,51,22,61,1,20,40,60,
479,495,166,439,94,125,210,364,384,476,263,283,55,39,106,183,439,455,202,233,
18,470,61,489,443,424,20,140,323,205,189,134,288,271,254,407,441,58,83,412,
298,153,307,326,17,314,41,21,1,345,123,45,66,280,157,323,354,404,104,87,
279,224,241,419,76,144,186,399,230,278,365,428,285,303,96,131,152,448,375,182,
147,163,103,262,285,102,323,222,64,438,232,414,264,151,342,232,495,383,479,248,
34,18,473,359,415,282,270,242,243,490,346,381,476,398,335,212,42,229,22,120,
144,361,122,381,80,401,356,176,95,74,304,474,393,303,260,272,255,329,442,296,
244,269,461,364,317,127,172,178,195,457,431,84,305,61,421,259,399,23,387,110,
137,436,373,165,60,343,166,323,354,1,113,195,228,190,215,227,1,103,44,462,
246,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,380,166,166,137,
166,166,166,166,166,166,166,166,166,166,166,166,166,208,97,166,166,166,166,166,
166,166,166,166,166,166,166,166,380,117,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,155,115,
80,135,204,96,1,334,207,459,249,324,186,344,144,419,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,1,24,96,448,43,344,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166, };
static unsigned short stb__courier_bold_37_latin_ext_t[560]={ 30,93,305,65,1,197,243,93,65,65,286,
286,305,305,305,36,172,197,197,148,243,197,148,172,148,148,265,220,286,305,286,
243,121,265,265,243,265,243,265,243,243,286,243,265,265,265,265,243,265,121,265,
243,243,220,265,265,265,265,265,93,1,93,306,305,305,286,197,286,197,286,243,
197,220,243,1,243,243,286,286,286,220,197,286,286,243,286,286,286,286,197,286,
65,65,65,305,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,30,197,121,
243,286,243,65,148,305,243,305,306,305,305,220,305,305,121,305,306,305,197,121,
305,305,305,305,306,197,220,220,220,65,65,65,121,121,36,265,93,93,93,93,
93,65,93,65,121,265,121,1,1,1,93,93,306,148,36,36,1,65,93,265,
197,148,173,148,172,172,148,286,220,148,172,172,172,172,172,172,220,197,220,148,
148,172,172,172,286,265,173,173,173,172,1,36,36,121,220,93,148,121,265,36,
148,36,148,93,197,36,148,93,172,243,172,121,220,93,148,121,197,121,243,93,
148,36,1,36,1,93,36,93,1,93,65,243,220,121,220,121,243,93,172,121,
121,121,286,220,36,36,1,93,36,286,93,36,65,36,243,220,265,220,265,220,
93,197,93,197,93,197,265,220,197,121,220,36,148,36,148,265,286,65,197,65,
197,65,197,36,148,36,172,65,220,36,148,1,1,65,197,243,220,65,172,121,
220,36,148,1,148,36,148,121,243,65,197,65,1,121,65,197,121,220,65,172,
220,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,220,243,243,65,
243,243,243,243,243,243,243,243,243,243,243,243,243,172,286,243,243,243,243,243,
243,243,243,243,243,243,243,243,121,286,243,243,243,243,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,65,172,
65,197,36,172,36,148,1,93,1,1,1,1,1,1,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,
243,243,243,1,1,65,148,1,121,243,243,243,243,243,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,243,
243,243,243,243,243,243,243,243,243, };
static unsigned short stb__courier_bold_37_latin_ext_a[560]={ 314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_37_latin_ext(stb_fontchar font[STB_FONT_courier_bold_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_37_latin_ext_s[i] + stb__courier_bold_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_37_latin_ext_t[i] + stb__courier_bold_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_37_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_37_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_37_latin_ext_x[i] + stb__courier_bold_37_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_37_latin_ext_y[i] + stb__courier_bold_37_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_37_latin_ext_s[i] + stb__courier_bold_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_37_latin_ext_t[i] + stb__courier_bold_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_37_latin_ext_x[i] + stb__courier_bold_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_37_latin_ext_y[i] + stb__courier_bold_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_37_latin_ext_LINE_SPACING
#endif

