// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT        400
#define STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_42_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_42_latin_ext_LINE_SPACING          20

static unsigned int stb__courier_bold_42_latin_ext_pixels[]={
    0x000ea000,0x00000000,0x000002a0,0x80088000,0x00020000,0xfb800100,
    0xffffffff,0xffffffff,0x0000405f,0x00000400,0x80015c40,0x00000028,
    0x40002c88,0x000d982c,0xeeeeeec8,0x000deeee,0x00000d98,0x00006600,
    0x00000000,0x02aaaa00,0x000d554c,0x000005d4,0xa9800000,0xc80002aa,
    0x800001ff,0x4000005b,0x00006fd8,0x22000bf2,0x00fec06f,0x000f7d40,
    0x800bfa60,0xfffffffb,0xffffffff,0x3fa05fff,0xd3000004,0x4000005f,
    0xb0006fe9,0x000001df,0x000ffa20,0xf70dff88,0xdd90005f,0xdddddddd,
    0xff50001b,0xb0000003,0xd88000ff,0x1b60000e,0x44003f70,0xfb01ffff,
    0xfd8009ff,0x8000007f,0x320001ec,0x20006fff,0x0005ffd8,0x0002fb80,
    0x0fffa600,0x3ff62000,0x3ff88003,0x4005ff50,0x03ffffd8,0xbffff700,
    0xffff7001,0xffffffff,0x0bffffff,0x0001ffe6,0x37fffee0,0x7d400000,
    0xf50002ff,0x000003ff,0x0004ffa8,0xffeffd88,0x00000002,0x01ffd400,
    0xffe88000,0x3fea0004,0xf88003ff,0x07ff103f,0x0ffffc40,0x004fffd8,
    0x00bfffe2,0x7ff4c000,0xff90003f,0x3a6000df,0x800004ff,0x000005f9,
    0x000fffea,0x013ffa60,0x32cffd80,0x2001fff7,0xfffefffa,0xffd3001e,
    0x805fffdf,0xeeeefffb,0xeeeeffff,0xff705fff,0x2600003f,0xfffefffe,
    0xff900002,0xfa80003f,0x300002ff,0x2617fcc1,0xff706000,0x20004c19,
    0x0004c009,0x42ff9826,0x3e600009,0x910003ff,0x1dffffff,0x0affe800,
    0x8003ffa6,0xb01ffff8,0xe8009fff,0x00000fff,0xffffffc8,0x7fe4001e,
    0xff88006f,0x9000003f,0x2000001f,0x0001fffb,0x003fffa8,0x7ffff440,
    0x7001ffff,0x3f627fff,0x7fcc01ff,0x7fff90df,0x207ffdc0,0xfff87ffd,
    0x03fff705,0xbfff3000,0x00ffff21,0x01dff900,0x3ffe6000,0x7fe40003,
    0x0ffd0720,0x8511bfa0,0xfb000ffc,0x007fec0f,0x3220ffc8,0x4001ffa0,
    0x0002fffa,0xb13dffd1,0x4c005fff,0xfffeffff,0xaaa8003f,0x3555300a,
    0x02ed9800,0x7ff44000,0x2fffd8af,0x0aaaa600,0x007fee00,0x3ffe8000,
    0xeff80000,0xff880000,0x9100001f,0x03bfffff,0x540f7f40,0x7fe404ff,
    0x206fe982,0x7ec0fffb,0x05fff87f,0x0003fff7,0xd305ff90,0xfe8000df,
    0xe8800005,0x7f40007f,0x07ffc02f,0x2007ffc0,0xff002ffe,0x07ffa03f,
    0x2017ff40,0xe8000fff,0x320001ef,0x6ffb84ff,0x7fff4c00,0x00003fff,
    0x00000000,0x37ff2000,0x003ffd40,0x00540000,0xfff10000,0x7500000f,
    0x6fc40000,0x98800000,0x2980009a,0x22005c40,0x700d400b,0xffd81fff,
    0x4c5fff87,0xaabfffda,0x1002aaaa,0x001a8017,0x00000c40,0x50000ae0,
    0x09f700bf,0x2a013ee0,0x13ea005e,0x2a005fa8,0x04fb805f,0x00017500,
    0x32201d98,0x79730002,0x00000015,0x00000000,0x2202d980,0x0000003c,
    0x0002dc98,0x00bffd00,0x32200000,0x0002000c,0x00000000,0x80000000,
    0x7ec0fffb,0x24fff87f,0xfffffffe,0xffffffff,0x00000000,0x04000000,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa60000,
    0x5512aaaa,0x55555555,0x6ff6dcc0,0x1555551c,0x88000000,0xaaaaaaaa,
    0x2e002aaa,0x0005ffff,0x0002a880,0x01355300,0xd5009ffd,0x980007df,
    0x51cdfedb,0x51015555,0x55555555,0x55530555,0x55544035,0x1bfe60aa,
    0x3f61fff6,0xfffff32f,0xffffffff,0x73007fff,0x2a39bfdb,0x5300aaaa,
    0x54403555,0x6c00aaaa,0x2ff440ef,0x00000000,0x00000000,0x00000000,
    0x40000000,0x000aaa98,0x01555300,0x7fffffc0,0xffffaeff,0x06ffffff,
    0xfffffff9,0xfffffdbf,0x20000009,0xfffffffa,0x007fffff,0x00fdc37e,
    0x00000000,0x7ffffec4,0xbfff91ef,0xfdbef980,0xfff90003,0xfdbfffff,
    0x7cc9ffff,0xffffffff,0x7ff47fff,0xfb85ffff,0x20ffffff,0x7ffd81ca,
    0x7fec3c88,0xffffffff,0x400effff,0xfffffffc,0xfffffedf,0x7fffff44,
    0xffffb85f,0xff300fff,0x1fffb87f,0x7ffff640,0x3ff662df,0x320cffff,
    0x2dfffffe,0x3fffff66,0x3ffb20cf,0x3662dfff,0x0cffffff,0x3fffffb2,
    0x3fff662d,0x3b20cfff,0x22dfffff,0xffffffd9,0xfffd300c,0x5d75dfff,
    0xfffd9100,0x9d57dfff,0xffffff30,0xffff9dff,0x8dffffff,0xffffffe9,
    0xffffffff,0xfd9007ff,0xffffffff,0x3ff219df,0xffffffff,0x5f3007ff,
    0x400027c4,0x1cdfedb9,0x00355555,0xfffffff7,0xffffdfff,0x360fc803,
    0x7ff4c006,0xffffffff,0x27ffffff,0xfffffffc,0x227fffff,0x7fffffff,
    0xffffffd8,0xfffb003f,0xffc98800,0x999999af,0x7fff4c00,0xffffffff,
    0x227fffff,0x7fffffff,0xffffffd8,0x3fff103f,0x5407ff98,0xffffffff,
    0xfffffb0f,0x3feabfff,0x0fffffff,0xfffffffb,0x3fffeabf,0xfb0fffff,
    0xbfffffff,0x3fffffea,0xfffb0fff,0x2abfffff,0xffffffff,0xfffffb0f,
    0xff90bfff,0xffffffff,0xff980fff,0xffffffff,0xfe81ffff,0x9effffff,
    0xffffffff,0x7fff46ff,0xffffeeff,0x03ffffff,0xffffffa8,0xffffffff,
    0xffffff34,0x0fffffff,0x03f527c0,0xffffc800,0xffedffff,0x3f604fff,
    0xffffffff,0x03ffffff,0x003e46d8,0x3bfffffa,0xfffffffe,0x3fe63fff,
    0xffffffff,0x7ffec7ff,0xffa84fff,0x000fffff,0x2000fffb,0x0001fffb,
    0x3bfffffa,0xfffffffe,0x7fec3fff,0xfa84ffff,0x00ffffff,0x0e540726,
    0x3ffffea0,0x3ff67fff,0x54ffffff,0xffffffff,0x7ffffecf,0xfff54fff,
    0x6cffffff,0xffffffff,0xffffff54,0x7ffecfff,0xf54fffff,0xffffffff,
    0x7fffffec,0x7ffdc4ff,0xffffffff,0xff500fff,0xffffffff,0x207fffff,
    0x6ffe9998,0x3a666662,0x3fff26ff,0xffffb83f,0x3ea001ff,0xffffffff,
    0x443fffff,0xd9999999,0x3f2007ff,0x20006fde,0xffffffe9,0xffffffff,
    0xfff706ff,0xff9559df,0x200bffff,0x04fa8bfa,0x0fffff20,0x3fffffee,
    0x26666601,0x87ffd999,0x400ffffa,0x4004fffd,0x70007ffd,0x20003fff,
    0xb83ffffc,0x01ffffff,0x003fffea,0x0009fffb,0xffda8000,0x2e21ceef,
    0x0befffed,0x3bbfff6a,0x3fb6e21c,0x36a0beff,0x21ceefff,0xefffedb8,
    0x3fff6a0b,0x36e21cee,0x20befffe,0xceefffda,0x3ffb6e21,0x3fe60bef,
    0xdb9adfff,0xb81fffff,0x9bdfffff,0xfffffcba,0x0dffd003,0x3e2dffd0,
    0x3e601fff,0xa8006fff,0xfffeeeed,0x8003deef,0x5c007ffc,0x20000cfe,
    0xeefffffe,0xffffffff,0xfff883ff,0x3fffa04f,0x3ffa004f,0xff1000ef,
    0x7fcc03ff,0x640006ff,0xfffb07ff,0x7fffc405,0x3ffec000,0x1fffb800,
    0xffff8800,0x3fffe601,0x2fffd806,0x03fffe20,0x26000000,0xf8802fff,
    0xfff304ff,0x9fff1005,0x00bffe60,0x4c13ffe2,0xf8802fff,0xfff304ff,
    0x9fff1005,0x40bfff90,0x441ffffa,0x4404ffff,0xd003fffd,0xffd00dff,
    0x00fffead,0x001bffee,0x00fffc80,0x03ffe400,0xfc800000,0xffa83fff,
    0x3a01ffff,0x3f203fff,0x000fffff,0xf5000b26,0xff7007ff,0xfc8000df,
    0xdfff307f,0x01fffe40,0x003ffec0,0x001fffb8,0x803fffa8,0x9806fffb,
    0x3f206fff,0x2aa603ff,0x555500aa,0x7ffcc055,0x4fff8802,0x005fff30,
    0x2609fff1,0xf8802fff,0xfff304ff,0x9fff1005,0x00bffe60,0x3a13ffe2,
    0x7e400fff,0x7ffe40ff,0x5fff3005,0x01bffa00,0x7fe5bffa,0xfff8800f,
    0x3f200006,0x640000ff,0x000007ff,0x1ffff880,0x1bfffe20,0x206fffa8,
    0xfffffffa,0xc8000004,0xf8800fff,0x640006ff,0x3ff607ff,0xffff882f,
    0x7ffd8000,0x3fff7000,0x1fff9000,0x0dfff100,0x20bfff60,0x880ffff8,
    0x42ffffff,0x7ffffff8,0x00bffe60,0x4c13ffe2,0xf8802fff,0xfff304ff,
    0x9fff1005,0x00bffe60,0x4c13ffe2,0xf8802fff,0x6ffe84ff,0x446ff980,
    0x6c006fff,0x3ffa007f,0xb6ffe806,0x7f400fff,0x3200006f,0x40000fff,
    0x36e07ffc,0xffffffff,0x7ffd4002,0x6fffb803,0x407fff20,0xffcffff8,
    0x36e6207f,0x801cdeee,0x3a007ffd,0x640006ff,0x3fe607ff,0x3fffc86f,
    0x0fffb000,0x07ffee00,0x01fff600,0x3006ffe8,0xff90dfff,0x3ffea07f,
    0x7fd42fff,0x2607ffff,0xf8802fff,0xfff304ff,0x9fff1005,0x00bffe60,
    0x4c13ffe2,0xf8802fff,0xfff304ff,0x9fff1005,0x005fff90,0xfffa83b7,
    0x000a8004,0x3a01bffa,0x0fff96ff,0x0037ffc0,0x01fff900,0x07ffc800,
    0xfffffff1,0xc800bfff,0xf8800fff,0x3ff606ff,0x5bfffa06,0x6c40fffd,
    0xffffffff,0x3f201eff,0x3ffe007f,0x7fe40006,0x17ffec07,0x000ffff1,
    0x8003ffec,0x8001fffb,0x3e007ffc,0x3f6006ff,0x3ffe22ff,0x7ffff407,
    0x7fff442f,0x3fe607ff,0xfff8802f,0x05fff304,0x209fff10,0x8802fff9,
    0xff304fff,0xfff1005f,0x0bffe609,0x213ffe20,0x0adffff9,0x17ffe400,
    0x7f400000,0x6ffe806f,0x1003fff7,0x0000dfff,0x0007ffe4,0x441fff20,
    0xffffffff,0x36000fff,0x3fa007ff,0x17ffe06f,0xb87fffec,0x7fdc1fff,
    0xffffffff,0xff700eff,0xfff1003f,0xffc8000d,0x37ffcc07,0x4007fffb,
    0xffffeeca,0xb800adee,0x26203fff,0x3fff70cc,0x0dfff100,0xb37ffcc0,
    0x71007fff,0x26205fff,0x3e607ffd,0xff8802ff,0x5fff304f,0x09fff100,
    0x200bffe6,0xf304fff8,0xff1005ff,0x3ffe609f,0x4fff8802,0xffffffb0,
    0xfd80159d,0x0000007f,0xfd00dffd,0x1bffe6df,0x01bfff60,0x0fffc800,
    0x3ffe4000,0xffddd930,0x4007ffff,0x3e007ffc,0xfff106ff,0x3ffff709,
    0x261fffcc,0xeeffffff,0x305ffffe,0xfb00dfff,0xc8000dff,0xffd807ff,
    0x07fff9bf,0x3ffffee0,0x4fffffff,0xbefff980,0xfffeca9a,0x0dfff34f,
    0x00dfffb0,0xf9bfffd8,0x3ea007ff,0x7fec02ff,0x0bffe607,0x413ffe20,
    0x8802fff9,0xff304fff,0xfff1005f,0x0bffe609,0x413ffe20,0x8802fff9,
    0x3f604fff,0xffffffff,0x0dffd03e,0x3fa00000,0x6ffe806f,0xc813fffa,
    0x0006ffff,0x003fff20,0x00fff900,0x7fffffec,0x3ffee006,0x6fff8801,
    0x989fff10,0x7cc3ffff,0xabca83ff,0x07fff981,0xc813fffa,0x0006ffff,
    0x4c03ffe4,0xfffdffff,0x3fff2003,0xffffffff,0xffff005f,0xffffffff,
    0x7fff4bff,0x3ffff204,0x7ffcc006,0x003fffdf,0xb00bffea,0x7fcc0fff,
    0xfff8802f,0x05fff304,0x209fff10,0x8802fff9,0xff304fff,0xfff1005f,
    0x0bffe609,0x013ffe20,0xfffffff7,0xffd09fff,0x6665440d,0xca81bccc,
    0xeffffeee,0x7ff41bee,0x3bfffe66,0xfffeb99b,0x00d406ff,0x000fffc8,
    0x803ffe40,0xffcefff8,0xfff3002f,0xdfffb00d,0xf137ffc0,0xff50bfff,
    0x7e40003f,0xfff300ff,0xfd7337df,0x000dffff,0xb007ffc8,0x0fffffff,
    0xffffd880,0x1dffffff,0xfffff300,0xdfffffff,0x77fffcc1,0xfffeb99b,
    0xfd8006ff,0x007fffff,0x2017ffd4,0x3e607ffd,0xff8802ff,0x5fff304f,
    0x09fff100,0x200bffe6,0xf304fff8,0xff1005ff,0x3ffe609f,0x4fff8802,
    0xfffb7500,0xfe8dffff,0xffff106f,0x4bffffff,0xfffffffb,0x0fffffff,
    0xff91bffa,0xffffffff,0x640dffff,0xffc801ff,0x7e40000f,0xfff7007f,
    0x00bfff37,0x9027fff4,0x740dffff,0xfffd0fff,0x1fff901d,0x6f65d440,
    0x00fffdcc,0x3ffffff2,0xffffffff,0x7fe40006,0xffff1007,0x000007ff,
    0xffd98000,0x1cffffff,0xffffff90,0xffffffff,0xfff1000d,0xa8007fff,
    0x7ec02fff,0x3ffe607f,0x4fff8802,0x005fff30,0x2609fff1,0xf8802fff,
    0xfff304ff,0x9fff1005,0x00bffe60,0x0013ffe2,0x7ffff5cc,0x541fff21,
    0xffffffff,0x3fff27ff,0xffffffff,0x3ffa1fff,0xfffffb86,0xffffffff,
    0x013ffa06,0x0003fff2,0x200fff90,0xffd0fffe,0x3fe6001f,0xeb99beff,
    0x206fffff,0xffcafffd,0xdffd01ff,0x3ffff220,0xffffffff,0x7fffdc00,
    0xffffffff,0x7e40006f,0x3ff2007f,0x000007ff,0x2ea20000,0xf70009ac,
    0xffffffff,0x000dffff,0x01fffff2,0x00bffea0,0x7cc0fffb,0xff8802ff,
    0x5fff303f,0x07fff100,0x200bffe6,0xf303fff8,0xff1005ff,0x3ffe607f,
    0x3fff8802,0x3ee00298,0x3ffee4ff,0xfffffd00,0x6c47ffff,0xffffffff,
    0x7f44efff,0xfffd306f,0xffb3bfff,0x02fffc0d,0x0007ffe4,0x201fff20,
    0x3ea5fffa,0x3f2003ff,0xffffffff,0x206fffff,0xfffefffa,0xbfff702f,
    0xffffff30,0xffffffff,0xfffd3001,0xffb3bfff,0xffc8000d,0x3ffe2007,
    0xb300003f,0x0000005b,0x7fff4c00,0xffd9dfff,0xfff10006,0xff50007f,
    0x7ffd805f,0x013ffe20,0x440bffea,0xfa804fff,0xfff102ff,0x5fff5009,
    0x013ffe20,0x440bffea,0xfa804fff,0x27fcc2ff,0x4cdffd00,0x26203fff,
    0x03fffa99,0xdffd0000,0x0abb9880,0xff81bffa,0x7ffc805f,0x7ffc8000,
    0x41fffd80,0x5c006fff,0xffffffff,0x406fffff,0x4ffffffe,0x83ffff30,
    0xfffffff8,0xffffffff,0x2ee62000,0x01bffa0a,0x00fff900,0x003fffcc,
    0x01fffd00,0x03bb3000,0xabb98800,0x001bffa0,0x003fffcc,0x402fffa8,
    0x7f407ffd,0x7fec00ef,0x3bffa00f,0x07ffec00,0x801dffd0,0x3a00fffd,
    0x7ec00eff,0x3ffa00ff,0x7ffec00e,0x007ffe40,0x3e37ffc4,0xf3000fff,
    0x000007ff,0x000bfff1,0xf02fffc4,0xffd00bff,0xfff0000b,0x6fff880d,
    0x002fffc8,0x7fffff4c,0x06ffd9df,0x2fffffcc,0x83ffffa8,0x0bdffffe,
    0x03fff666,0x7ffc4000,0x7ffc0005,0x3fff6006,0x3fe00003,0xe80001ff,
    0x000006ff,0x0017ffe2,0x001fffec,0x304fff98,0xc80ffffb,0xf900dfff,
    0xffc80dff,0xfff900df,0xdfffc80d,0x0dfff900,0x00dfffc8,0xc80dfff9,
    0xf900dfff,0xfffb0dff,0xfffc803d,0x0f7ffe45,0x01fffcc0,0x7ffdc000,
    0x3fee0003,0x3bffe03f,0x13fff200,0x9fff5000,0x83fffb80,0x0005fff9,
    0x74157731,0xffe806ff,0xdb9aceff,0xf885ffff,0x7dc00fff,0x700000ff,
    0x40007fff,0x3005fffa,0x0000ffff,0x000ffea8,0x006ffe80,0x3ffee000,
    0xfff98003,0x7ffc0007,0xffdb99bf,0x101cffff,0x35bfffff,0x03ffffd7,
    0xdfffff88,0xffffeb9a,0x7fffc401,0xffeb9adf,0x7fc401ff,0xeb9adfff,
    0x4401ffff,0x9adfffff,0x81ffffeb,0xbdfffffd,0xfffeba9a,0xffffe83f,
    0xecb99abd,0x0003ffff,0x3ffff260,0xffc98001,0x3ffe01ff,0xeb99adff,
    0x0001ffff,0x05ffff93,0xccdfffe8,0x0ffffccc,0x7fc40000,0x7ffdc05f,
    0xffffffff,0xfa80ffff,0x3f2204ff,0x40000fff,0x01ffffc9,0xffffb980,
    0x7fffb003,0xbf100000,0x3ee20000,0xc9800004,0x8001ffff,0x0003fffd,
    0x7fffffec,0xffffffff,0xfff300ff,0xffffffff,0x3fe6009f,0xffffffff,
    0xff3004ff,0xffffffff,0x3e6009ff,0xffffffff,0xf3004fff,0xffffffff,
    0x3f209fff,0xffffffff,0x05ffffff,0xfffffff3,0xffffffff,0xfb30007f,
    0xffffffff,0x7ffecc0b,0x5fffffff,0x7fffffc0,0xffffffff,0x7ff64401,
    0xefffffff,0x3fffea00,0xffffffff,0x400003ff,0x2604fffb,0xffffffff,
    0x0dffffff,0x57ffff10,0xffffb733,0x4c037dff,0xfffffffd,0x36205fff,
    0xffffffff,0xffda85ff,0xdeffffff,0x3f600000,0x3ee00000,0xffb30001,
    0xffffffff,0xfffda80b,0x0defffff,0xfffd1000,0xffffffff,0x5401ffff,
    0xffffffff,0x7d4003ff,0xffffffff,0x7fd4003f,0xffffffff,0x7ffd4003,
    0x3fffffff,0x7fffd400,0x03ffffff,0x3fffffee,0xffffffff,0x3ffa600d,
    0xffffffff,0x8000cfff,0xfffffffd,0x7fec05ff,0xffffffff,0xfffd9805,
    0xffffffff,0xffffc801,0x0effffff,0x7ffffec0,0xffffffff,0x9300007f,
    0x7c05ffff,0xffd9dfff,0x802effff,0xfffffffd,0xffffffff,0x3ff607ff,
    0xffffffff,0x7fffe405,0x0effffff,0x7fffffc4,0x04ffffff,0x005f7000,
    0x001fcc00,0xffffffb0,0x880bffff,0xffffffff,0x0004ffff,0x3fffffa2,
    0xefffdbdf,0xfffc8803,0x0001efff,0xffffff91,0x3220003d,0x1effffff,
    0xfff91000,0x0003dfff,0x3fffff22,0x76c401ef,0xfffffda9,0x2a001eff,
    0xfffffffd,0x20000bef,0xfffffffc,0xfffd804f,0x04ffffff,0x7fffdc40,
    0x9001ceff,0xffffffff,0xff8801bf,0xffffffff,0x02ffffff,0xfffffb30,
    0x409fffff,0x5446fffb,0x220009bb,0xfffffffe,0xffffffff,0xfffb00ff,
    0x09ffffff,0xffffff70,0x3e01bfff,0xffffffff,0x00004fff,0xd800009d,
    0x7fec0005,0x4fffffff,0xffffff00,0x09ffffff,0x57951000,0xa9800001,
    0x2000009b,0x00009ba9,0x0026ea60,0x09ba9800,0x2ea60000,0x4c400009,
    0x00009aba,0x04d5d4c4,0xedb88000,0x22001bde,0x1bdeeedb,0xab988000,
    0xedb88000,0x2001ceee,0x8803fffb,0xfb005fff,0xffffffff,0xfff980bf,
    0xc8800000,0xefffffff,0x3effffcb,0x3bbb6e20,0x2e2001bd,0x01ceeeed,
    0xeeeedb98,0x000bdeee,0x20000000,0xdb880000,0x001bdeee,0x77776dcc,
    0x000bdeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffa000,0x1fffb000,0xfffffb00,
    0x2009ffff,0x000000ca,0x055e5d44,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffed400,0xda880bdf,
    0x00cefffe,0x37bbb6e2,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffb,
    0xffffc86f,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0xffffffff,
    0xfffffd87,0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36600000,0x2dffffff,
    0xfffffd98,0x000002df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55510000,0x40000055,0x53000028,0x00555555,
    0x00020040,0x00000000,0x00000000,0x00005100,0xaaa98000,0x0000001a,
    0x00000530,0x37260002,0x00000002,0x00000000,0x00001500,0x000a8298,
    0x000000a8,0x4c000000,0x15000a82,0x1a800000,0x200a2000,0x7fd40029,
    0x00007fff,0x0003bf60,0xffffffe8,0xdfb0007f,0x005fe881,0x0002eb80,
    0x000ed880,0x00007fea,0x00ffea00,0x000ed880,0x1ffffff4,0x5c000000,
    0x400001ff,0x3ee004fe,0x20005fff,0x13e201fa,0x4403f500,0xb100004f,
    0x5c0000df,0x09fd11ff,0x002ffa80,0x01db1000,0x3ff70000,0x26013fa2,
    0x800003ff,0x30006fd8,0x7fdc07ff,0xfff9004f,0x00000fff,0x000fffd4,
    0x7fffffc4,0xf98007ff,0x7ffdc3ff,0xffd10001,0x2000019f,0x003ffffa,
    0x0000dffd,0x00fffb80,0x7ffff500,0x3fffe600,0x000003ff,0x0037fec0,
    0x03fff200,0x1fb86f40,0x40df9000,0x7e4006fc,0x001bf206,0x00fffa60,
    0x8b7fdc00,0x44001ffe,0x00004ffe,0x01ffffd4,0x2dff7000,0xd001ffe8,
    0x400009ff,0x8003ffe8,0x3600fffb,0x9804ffff,0x007ffffe,0x7ffd4000,
    0xfffc8002,0x8007ffff,0x7cc1fff8,0xff70007f,0x005fffff,0x7fffec40,
    0x7e400eff,0x000002ff,0x0001dffb,0xffffffb1,0xfffb001d,0x000007ff,
    0x037ffa20,0xfff88000,0x445f3007,0xff50004f,0x27fe443b,0x877fea00,
    0x0004ffc8,0x001fffd4,0x88effb80,0x10002ffe,0x0001bffd,0xfffffd88,
    0x5c0000ef,0xffe88eff,0x3ffa2002,0x7d40000d,0xfc8003ff,0x7fd401ef,
    0xb1002fff,0x00000fff,0x007fff30,0x3ff66660,0x03930007,0x3600072a,
    0xfff93fff,0xfff10009,0x3fffd13d,0x037ffcc0,0x6fff4000,0xfff88000,
    0x2fffd89e,0x3fffa880,0xf8800000,0x800004ff,0x2003fffb,0x0007ea4f,
    0xfeffffd8,0xd8000eff,0xfffeffff,0x3ee0000e,0x500001ff,0xffd11dff,
    0xffb00005,0x7fc4000d,0xfffd89ef,0xdff50002,0x005ffd11,0x003bff20,
    0x017ffd40,0x006ffec0,0x04fffc88,0x001fff20,0x3ff44000,0x3ffec000,
    0x00000000,0xd3037fea,0xfd8001ff,0x06ffb84f,0x000fffec,0x009ff500,
    0x5c27fe40,0xff1006ff,0x0000007f,0x00005ff9,0x003fffe0,0x06fdefc8,
    0xffffc800,0x20000dff,0xdffffffc,0x77fc0000,0x3fa00000,0x005ff50e,
    0x01ffdc00,0xb84ffc80,0xfd0006ff,0x00bfea1d,0x007ff700,0x0003bfa0,
    0x40013fe6,0x32006ffe,0x000007ff,0x400015c0,0x00007ffd,0x16440000,
    0x260012e0,0x00b2201d,0x000bfff5,0x0000dc40,0x2c880766,0x07fff100,
    0x19100000,0x3ee00000,0xeb8004ff,0x100000cf,0x00035995,0x06b32a20,
    0x001d4000,0x2e21d400,0xc9800001,0x03b30000,0xa8001644,0x0000dc43,
    0x50000c98,0x15c00017,0x0dffd000,0x4c3ffe40,0x000aaaaa,0x36000000,
    0x2a6007ff,0x2a201aaa,0x0000aaaa,0x00000000,0x007fffa0,0x00000000,
    0x3fe20000,0x9ddb913f,0x00000015,0xfffe8000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,
    0x7fe400df,0x3ffffe27,0x00001fff,0xfffb0000,0x3ffffa00,0xfffb85ff,
    0x2000ffff,0x0000aaa9,0x3ea00000,0x100005ff,0x00015553,0x0026aa60,
    0xf99fff10,0xdfffffff,0x554c0001,0xf5000009,0x00000bff,0x35530000,
    0x00000000,0x00d54c00,0x00000000,0x00035530,0x001aa980,0x00d54c00,
    0x00000000,0x40000000,0x32006ffe,0x3ffea7ff,0xc84fffff,0x2dfffffe,
    0x3fffff66,0xffd800cf,0xffff8807,0xffd87fff,0x203fffff,0xfffffec8,
    0x904eabef,0x5bfffffd,0x7ffffecc,0xfffe80cf,0x3fa60000,0xbaefffff,
    0xfdb9802e,0xb9cfffff,0x3ffe203e,0xffffffff,0x3001efff,0xffffffb7,
    0x0007d739,0x3203fffd,0x2dfffffe,0x3fffff66,0x7ec400cf,0x02dfffff,
    0xfffffec8,0x3fff662d,0x4400cfff,0xdffffffd,0xfffec802,0x3f662dff,
    0x00cfffff,0x7ffffec4,0xb10002df,0x5bffffff,0x3ff62000,0x402dffff,
    0xffffffd9,0x2dffffff,0x7fffffdc,0xffffffff,0x3ffff666,0xffffffff,
    0x0dffd02d,0xf13ffe40,0x3fffffff,0xffffffa8,0xfffb0fff,0x00bfffff,
    0x3600fffb,0x84ffffff,0xfffffffa,0xfffff300,0xffffffff,0xffffa83f,
    0xfb0fffff,0xbfffffff,0x009fff70,0x3fffff20,0x7fffffff,0x7ffffe40,
    0xffffffff,0xffff100f,0xffddffff,0xc803ffff,0xffffffff,0x00ffffff,
    0x417ffe60,0xfffffffa,0xffffb0ff,0x5c0bffff,0xffffffff,0x3fea04ff,
    0x0fffffff,0xfffffffb,0x7ffdc0bf,0x4fffffff,0x3ffffea0,0xffb0ffff,
    0x0bffffff,0x7fffffdc,0x4004ffff,0xfffffffb,0x5c004fff,0xffffffff,
    0x3ff604ff,0xffffffff,0x2e0fffff,0xffffffff,0x26ffffff,0xfffffffd,
    0xffffffff,0x006ffe80,0x7f45fff2,0x5009efff,0xffffffff,0x7ffffecf,
    0xfd804fff,0x3fea007f,0x7fec00ff,0x3ffea04f,0xffffffff,0x7d43ffff,
    0x7fffffff,0x3ffffff6,0xffff04ff,0xfffb8001,0xffffffff,0xffb00fff,
    0xffffffff,0x205fffff,0x2efffff8,0x0ffffea8,0xffffffb0,0xffffffff,
    0x7fec005f,0xffff501f,0x7ecfffff,0x4fffffff,0xffffffb0,0x1dffffff,
    0xffffff50,0x7ffecfff,0xb04fffff,0xffffffff,0x501dffff,0xffffffff,
    0x7ffffecf,0xffb04fff,0xffffffff,0xfb001dff,0xffffffff,0xb001dfff,
    0xffffffff,0xb01dffff,0xffffffff,0x8fffffff,0xfffffffb,0x6fffffff,
    0x3ffffff6,0xffffffff,0x00dffd07,0x7fd7ffe4,0xb5004fff,0x439ddfff,
    0xefffedb8,0x7ffd800b,0x17ffec00,0x01ffff10,0x37ffffee,0xfffcba9b,
    0xffda83ff,0x2e21ceef,0x0befffed,0x007fff70,0x6fffffcc,0xffffdb9a,
    0xffffc81f,0xfeca9bde,0xf102ffff,0xfd00bfff,0xfff905ff,0xd9537bdf,
    0x005fffff,0x501bffe6,0x39ddfffb,0x7fff6dc4,0xfffb80be,0xfdb9acef,
    0xfb506fff,0x4439ddff,0xbefffedb,0xeffffb80,0xfffdb9ac,0xfffb506f,
    0x6dc439dd,0x80befffe,0xaceffffb,0x6ffffdb9,0x77fffdc0,0xfffdb9ac,
    0x7ffdc06f,0xfdb9acef,0xdb886fff,0xeffffeee,0x7dc1beee,0xeeeeeeff,
    0x226ffffe,0xfffeeedb,0x01beeeef,0x2001fffb,0xfffffffc,0x7fcc003f,
    0xfff8802f,0x1fff6004,0x0dfff300,0x881fffe4,0x4404ffff,0xf303fffd,
    0xff1005ff,0xfff8809f,0x3fff2007,0x3fffea05,0x2ffffd41,0x0bffff20,
    0x007fffc4,0x2a27ffc4,0x6405ffff,0xb002ffff,0xf3005fff,0xff1005ff,
    0x3ffe609f,0x3ffee04f,0x5fff303f,0x09fff100,0x813fffe6,0x303ffffb,
    0xf1005fff,0x3fe609ff,0x3fee04ff,0xfff303ff,0x7ffdc09f,0xffff303f,
    0x7fffdc09,0x0fffb003,0x407ffee0,0x801ffffb,0x64007ffd,0x401dffff,
    0xfffffffc,0xfff98001,0x4fff8802,0x01fff600,0x20bfff60,0x900ffff8,
    0x2600bfff,0xff302fff,0xfff1005f,0x7fff9009,0x03fffa00,0xd81fff90,
    0xf9005fff,0x3fe205ff,0x3ff6005f,0x02fffec7,0x802fffc8,0x3006fff8,
    0xf1005fff,0x3ffa09ff,0xfff9803f,0x2fff980f,0x04fff880,0x3007fffd,
    0xf301ffff,0xff1005ff,0x3fffa09f,0xffff9803,0x03fffe80,0x80ffff98,
    0x9803fffe,0xd800ffff,0xff7007ff,0xffff303f,0x1fff6005,0xfffff100,
    0xffffc80b,0x98002fff,0xf8802fff,0x3f6004ff,0xff98007f,0x3fffc86f,
    0x00dfff10,0x3e607fd8,0xff8802ff,0xfff8804f,0x0dffd006,0xff0dff30,
    0x7fc400df,0x9fff101f,0x07ffe400,0x4400dfff,0xfc801fff,0xff3003ff,
    0xfff1005f,0x0dfff509,0x42fffe40,0x8802fff9,0xffa84fff,0x3ff2006f,
    0x2fff985f,0x84fff880,0x2006fffa,0x7d45fffc,0x3f2006ff,0x7ffd45ff,
    0x3fff2006,0x07ffd805,0x881fff70,0x2004ffff,0x44007ffd,0x405fffff,
    0xfffffffc,0x7fcc003f,0xfff8802f,0x1fff6004,0x17ffec00,0x540ffff1,
    0xa8004fff,0x0bffe600,0x013ffe20,0x4017ffec,0xb802fffc,0x27ffc41d,
    0x8817f200,0x3a006fff,0x3ffe27ff,0x02fe4004,0x003fffc4,0x1005fff3,
    0xff909fff,0xffe8003f,0x02fff987,0xc84fff88,0x74001fff,0xfff987ff,
    0x4fff8802,0x001fffc8,0x3f23fff4,0x7f4001ff,0x0fffe47f,0x01fffa00,
    0x4c01fff6,0xfffe86ff,0x3ffec006,0x3ffff200,0x7ffe401d,0x04ffffeb,
    0x00bffe60,0x8013ffe2,0x30007ffd,0x7fecdfff,0x3fff203f,0xf9800002,
    0xff8802ff,0xfff3004f,0xffff300d,0xfa80015b,0x800002ff,0x801ffff8,
    0x3ea6fff9,0x000002ff,0x800fffee,0x8802fff9,0xffd84fff,0xfffc8006,
    0x017ffcc0,0x6c27ffc4,0xfc8006ff,0x7ffcc0ff,0x4fff8802,0x8006ffd8,
    0x3f60fffc,0xffc8006f,0x01bff60f,0x003fff20,0x6400fffb,0x7fffe42d,
    0x3ffec000,0x03fff600,0xd8bffe40,0x3004ffff,0xf1005fff,0x7ec009ff,
    0x3f60007f,0x7fff9bff,0x003ffec0,0x2fff9800,0x04fff880,0x00bfff60,
    0x3ffffff6,0x7e400ace,0x1000007f,0x403fffff,0x324ffff9,0x000007ff,
    0x003fffe2,0x802fff98,0xff84fff8,0xffa8005f,0x17ffcc1f,0x427ffc40,
    0xa8005fff,0x7fcc1fff,0xfff8802f,0x005fff84,0x3e1fffa8,0xfa8005ff,
    0x17ffe1ff,0x07ffea00,0x000fffb0,0x02ffffa8,0x007ffd80,0x90037ff4,
    0xfffd8fff,0x7fcc00df,0xfff8802f,0x1fff6004,0xffff9800,0x7403fffd,
    0x000006ff,0x1005fff3,0x4c009fff,0xfb005fff,0xffffffff,0x1bffa07d,
    0x7fc40000,0x99acffff,0x46ffffcb,0x00006ffe,0x013ffee0,0x005fff30,
    0xf889fff1,0xf98003ff,0x7ffcc3ff,0x4fff8802,0x001fffc4,0x261fffcc,
    0xf8802fff,0x7ffc44ff,0xfff98003,0x007fff13,0x227fff30,0x98003fff,
    0x7ec03fff,0x3e60007f,0xb0003fff,0xfe800fff,0xffca806f,0xffffc87f,
    0xff981bde,0xfff8802f,0xeeeeca84,0xeeeeffff,0xffd800ad,0xe807ffff,
    0x32a206ff,0x01bccccc,0x1005fff3,0xe8009fff,0xf7001fff,0xffffffff,
    0x0dffd09f,0x3fe20000,0xffffffff,0x41ffffff,0x00006ffe,0x003fffa0,
    0x005fff30,0xf889fff1,0xf98003ff,0x7ffcc3ff,0x4fff8802,0x001fffc4,
    0x261fffcc,0xf8802fff,0x7ffc44ff,0xfff98003,0x007fff13,0x227fff30,
    0x98003fff,0x7ec03fff,0xfd10007f,0x6c000bff,0x7f4007ff,0x7ffdc06f,
    0xfffc87ff,0xf987ffff,0xff8802ff,0x7fffd44f,0xffffffff,0x8804ffff,
    0x03ffffff,0xf106ffe8,0xffffffff,0x5fff30bf,0x09fff100,0x05fffa80,
    0x7ffedd40,0x7f46ffff,0x1000006f,0xffffffff,0x3dffffff,0x000dffd0,
    0x13ffea00,0x0bffe600,0x213ffe20,0xa8005fff,0x7fcc1fff,0xfff8802f,
    0x005fff84,0x4c1fffa8,0xf8802fff,0x5fff84ff,0x1fffa800,0x20017ffe,
    0x3fe1fffa,0xffa8005f,0x3ffec01f,0xefffd800,0x3ff60000,0x37ff4007,
    0x3fffff20,0xfffffd87,0x7fcc0fff,0xfff8802f,0x7ffffdc4,0xffffffff,
    0xf9005fff,0x3200ffff,0xfff507ff,0xffffffff,0x005fff30,0x0009fff1,
    0x0001fffd,0x7ffff5cc,0x001fff61,0x5fffc400,0xffffffea,0x1fff603f,
    0x7ff40000,0xff98001f,0xfff8802f,0x006ffd84,0x4c0fffc8,0xf8802fff,
    0x6ffd84ff,0x0fffc800,0x4017ffcc,0xfd84fff8,0xffc8006f,0x01bff60f,
    0xd83fff20,0xfc8006ff,0x7fec00ff,0xfffb8007,0x804ea81f,0x74007ffd,
    0x7ec406ff,0xfd987fff,0x983effff,0xf8802fff,0x7f6443ff,0xffffffff,
    0x001dffff,0x007ffff1,0x7403ffee,0xffffffff,0x2fff983f,0x03fff880,
    0x04fffb80,0x7fdc0053,0x07fff24f,0x3fe20000,0x2aeea63f,0x1fffc800,
    0x7fd40000,0xff30005f,0xfff1005f,0x03fff907,0x987ffe80,0xf8802fff,
    0xfffc83ff,0x3fff4001,0x4017ffcc,0xfc83fff8,0x7f4001ff,0x0fffe47f,
    0x91fffa00,0xe8003fff,0xffd807ff,0x7ffcc007,0x05ffd03f,0x4007ffd8,
    0x00006ffe,0x7ffc4000,0x2fffa804,0x20000000,0x2007fff9,0x2203fff9,
    0x3fffa999,0x009fff10,0x0005fff5,0xf303fffe,0x7ff4009f,0x017ffea6,
    0x3ffe2000,0xffa80003,0x7400005f,0x10001fff,0xf5009fff,0xfff505ff,
    0x7ffdc00d,0x04fff885,0xa82fffa8,0x2e006fff,0xff885fff,0xfffa804f,
    0x06fffa82,0x517ffee0,0x5c00dfff,0x7fd45fff,0x3fee006f,0x7ffd805f,
    0x3fffe200,0x013ffe04,0xe800fffb,0x080006ff,0x77ff4000,0x07ffec00,
    0x80000200,0x4003fffd,0x3000ffff,0x7f407fff,0x7fec00ef,0xff70000f,
    0x0fffc89f,0x46fff880,0x2002fffe,0xff101dd8,0x3a00007f,0x22002fff,
    0x7ffcc1dd,0x7ff40006,0x7ffec00e,0x07fffd00,0x01ffff30,0xb003bffa,
    0x3fa01fff,0xff9803ff,0xdffd00ff,0x0fffd801,0x007fffd0,0xd01ffff3,
    0xf3007fff,0xffd01fff,0xfff3007f,0xfffb001f,0x37fff400,0x809fff10,
    0x26007ffd,0x40005fff,0x90004eff,0x3201bfff,0x6c006fff,0x20000dff,
    0x8007fff9,0x801efffc,0x3203fff9,0xf900dfff,0x44000dff,0x3f60ffff,
    0x7e401eff,0x7ffdc5ff,0xfff9804f,0x07fff106,0x3ffee000,0xfff9804f,
    0x017ffec6,0x37fff200,0x0dfff900,0x027fffcc,0x407ffff5,0x900dfffc,
    0x7cc0dfff,0x3ea04fff,0x3f203fff,0xff900dff,0x7ffcc0df,0x3ffea04f,
    0xffff303f,0x7fffd409,0x9ffff303,0x1ffffd40,0x007ffd80,0x401ffff9,
    0x6c04fff8,0xfd9807ff,0x40003fff,0x8002fffe,0xadfffff8,0x1ffffeb9,
    0x27ffe400,0x7fffb000,0x3fffa000,0xcb99abdf,0x203ffffe,0xadfffff8,
    0x1ffffeb9,0x7ffe4000,0x3fffff63,0xfeba9abd,0xffd83fff,0xa99acfff,
    0x05ffffdb,0x0007fff1,0x7ffffec0,0xfdba99ac,0x3fe65fff,0xf880006f,
    0xb9adffff,0x401ffffe,0xabeffffb,0x6ffffdb9,0x7ffffc40,0xfffeb9ad,
    0x7ffdc01f,0xfdb9abef,0x7c406fff,0xb9adffff,0x401ffffe,0xabeffffb,
    0x6ffffdb9,0x77fffdc0,0xfffdb9ab,0x7ffdc06f,0xfdb9abef,0xdb886fff,
    0xeffffeee,0x3e60bdee,0xeeeeffff,0x4fffeeee,0xffdddb71,0x17bdddff,
    0x07ffffec,0xfaaca800,0xff30004f,0xffffffff,0x6cc009ff,0xa806feab,
    0xfffffffd,0x4c000def,0xffffffff,0xffffffff,0x7fffcc03,0xffffffff,
    0xff880004,0x3ffff27f,0xffffffff,0xfd105fff,0xffffffff,0x83ffffff,
    0xffffffdb,0x220002df,0xfffffffe,0xffffffff,0x00bfff21,0x7fffcc00,
    0xffffffff,0xffffb004,0xffffffff,0xfff3001d,0xffffffff,0x3ff6009f,
    0xffffffff,0xf9800eff,0xffffffff,0xfb004fff,0xffffffff,0xb001dfff,
    0xffffffff,0x001dffff,0xfffffffb,0x01dfffff,0xfffffffb,0xdfffffff,
    0x7fffffcc,0xffffffff,0xffffb4ff,0xffffffff,0x7ffe4dff,0x3fa0001e,
    0x0001ffff,0x3fffffea,0x4003ffff,0x03fffffc,0x7fffffc4,0x04ffffff,
    0xffffe980,0xffffffff,0xffa800cf,0xffffffff,0x3f200003,0xffff70ff,
    0xffffffff,0xfc801bff,0xffffffff,0x7c40dfff,0xffffffff,0x640000ff,
    0xffffffff,0x740dffff,0x400006ff,0xfffffffa,0x5c003fff,0xffffffff,
    0x7d4004ff,0xffffffff,0x7fdc003f,0xffffffff,0x7ffd4004,0x3fffffff,
    0x7fffdc00,0x04ffffff,0x7ffffdc0,0x004fffff,0x7fffffdc,0x3a04ffff,
    0xffffffff,0x0fffffff,0xfffffff3,0xffffffff,0x3ffffa9f,0xffffffff,
    0x7b910fff,0xfe980001,0x880004ff,0xeffffffc,0xfffb0001,0xffff001b,
    0xffffffff,0x7ed40009,0xefffffff,0x7e44000b,0x01efffff,0x24fe8000,
    0xffda9ed8,0x01efffff,0x3ffff260,0x103dffff,0xffffffff,0x20000fff,
    0xffffffc9,0xff703dff,0x91000005,0x3dffffff,0x3ff62000,0x002effff,
    0xfffff910,0x220003df,0xeffffffd,0xff910002,0x003dffff,0x3ffff620,
    0x10002eff,0xdffffffb,0x3f620005,0x02efffff,0x7ffffecc,0xdfffffff,
    0x3ffffe62,0xffffffff,0xffb34fff,0xffffffff,0x00005bff,0x00003100,
    0x0026ea60,0x26000c00,0xeeeeeedb,0x00000bde,0x01357531,0x26ea6000,
    0x04000000,0x9aba9880,0x5d4c0000,0xd930009b,0x37bddddd,0x75300000,
    0x02200137,0x2a600000,0x2000009b,0x00001ba9,0x0004dd4c,0x00375300,
    0x09ba9800,0x2ea60000,0x54c00001,0x4c00001b,0x000001ba,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00001500,0x00000000,0x14400000,0x0032e000,0x016e4c00,0x00000000,
    0x36603e98,0x28800004,0x554c0000,0x0000000a,0x301f5400,0x0000007b,
    0x55531000,0x00000001,0x00288000,0xd980fa60,0x80faa004,0x000003d9,
    0x02600000,0x55543300,0x4400aaaa,0x100000ed,0x300001db,0x000007ff,
    0x80001db1,0xee982fd8,0xff300001,0x3fea0007,0xffb80004,0x000005ff,
    0x80001db1,0x7e40dffc,0x5400006f,0x220002ff,0xffffffec,0x0004eabe,
    0x20001db1,0x7e40dffc,0x6c40006f,0x74c0000e,0xaeffffff,0xfd8802eb,
    0x001ee982,0x007ff300,0x9037ff20,0x7e400dff,0x37fe40df,0x00faa000,
    0x9ffb0000,0x6d3fea00,0x1fffffff,0x07ffff50,0xffffa800,0xffe80003,
    0x3ea00004,0x20003fff,0x7ec0fffb,0xfb80005f,0xf90000ff,0xbf0000df,
    0x00007ee1,0x07ffff50,0x7fff4400,0x01fffe9b,0x1bff2000,0xffff9800,
    0xffffffff,0x7d4001ff,0x88003fff,0xfe9afffe,0x2a0001ff,0x0003ffff,
    0xfffffff9,0x00ffffff,0xfd81fff7,0xfb80005f,0xd10000ff,0xffd37fff,
    0x7f44003f,0xfffe9aff,0xffb10001,0x000001bf,0x001ffff3,0x3ff6fff9,
    0x443fffff,0xeffffffd,0x7fec4000,0x000effff,0x03bff620,0xfffd8800,
    0x8000efff,0xffd87ffb,0x7fe40005,0x3f60001e,0x260000ff,0x0013e22f,
    0x7fffec40,0x20000eff,0xdffffffb,0xfb100000,0x2a0001df,0xffffffff,
    0x3fffffff,0xffffb100,0x70001dff,0x1bffffff,0x3ff62000,0x000effff,
    0x3fffffee,0xffffffff,0x43ffdc00,0x40005ffd,0x0001effc,0xffffffb8,
    0xff70000d,0x001bffff,0x3ffffea0,0x400003ff,0xb007fff9,0x3fff6fff,
    0x3e20ffff,0xffe89eff,0xfff1001f,0x5fffb13d,0xeffc8000,0xfff88000,
    0x2fffd89e,0x416e4400,0x20000dd8,0x8000dffd,0xffffffd8,0x7c003ece,
    0x00007ea4,0x227bffe2,0x0002fffd,0x00bfffa2,0x0bffd000,0x7fffdc00,
    0xfcba9bdf,0x8803ffff,0xfd89efff,0xe98002ff,0x20002fff,0xd89efff8,
    0xf9802fff,0xb9adffff,0x01fffffd,0x6c416e44,0x3f60000d,0x200000df,
    0x002fffe8,0x2fffe980,0x3fff2000,0x00bfff73,0x03ffc800,0x3f6fffb0,
    0xfd8099ff,0x06ffb84f,0xf709ff90,0xf70000df,0xff90007f,0x00dff709,
    0x30000000,0x2a0009ff,0xffffffff,0x2000ffff,0x006fdefc,0x709ff900,
    0x70000dff,0xb800001b,0x220003ff,0x4404ffff,0xc803fffd,0x6ffb84ff,
    0x0032e000,0x709ff900,0xff900dff,0x7ffd40bf,0x0000001f,0x004ff980,
    0x0036e000,0x00197000,0x20f7fcc0,0x0002ffe9,0x3f600040,0x80fffb7f,
    0x0b2201d9,0x9100ecc0,0x32600005,0x01d98000,0x00000b22,0x015c0000,
    0xfffff880,0xffffffff,0x67f5c002,0x3b300000,0x00016440,0x91000000,
    0xffc80003,0xfff3005f,0x403b3005,0x000002c8,0x201d9800,0xffe802c8,
    0x7ffe400f,0x00000000,0x00000570,0x00000000,0x5c03c800,0x0000000c,
    0xfdbffec0,0x0000007f,0x00000000,0x00000000,0x00d54c00,0xd8000000,
    0xcabeffff,0x002fffff,0x00000000,0x00000000,0x88000000,0x6c006fff,
    0x5555107f,0x20000015,0x000aaa98,0x3a000000,0xff9806ff,0x00000006,
    0x20000000,0x00001aa9,0x0004d54c,0x00000000,0x20026aa6,0xfffb7ffd,
    0x00000000,0x00000000,0x00000000,0xffffffb1,0x0000005b,0x80ffffc0,
    0x0001fffa,0x00000000,0xffffec80,0x3ff662df,0x000cffff,0x7fd40000,
    0x80a8004f,0x1ffffff8,0x7f4c0000,0xbaefffff,0x0000002e,0x005fff90,
    0xffd903b7,0x6cc5bfff,0x0cffffff,0x20000000,0xffffffd8,0xdb98002d,
    0x9cffffff,0x000003eb,0x3f6e6000,0xb9cfffff,0xdbffec3e,0xffb307ff,
    0xffffffff,0xfeb85bff,0xffffffff,0x4fffffff,0x7fffff5c,0xffffffff,
    0xfeb84fff,0x3223dfff,0x00ceffff,0x7fffffdc,0x5c04ffff,0xfffffffe,
    0xffffffff,0x13ffe24f,0xdb80dfb0,0xffffffff,0xffda8002,0xfd981dff,
    0x3ea3efff,0xffffffff,0xffffffb0,0x3f6e0bff,0x2fffffff,0x17ffe400,
    0xfff50000,0x00003fff,0x7fffffe4,0x87ffffff,0xefffffeb,0xffffda83,
    0x3fe60cef,0x4000adff,0xfffffffa,0xffffb0ff,0x6d4bffff,0x981dffff,
    0x03effffd,0x7fffffdc,0x2004ffff,0xfffffffc,0x0fffffff,0x3ffff6e0,
    0x0002ffff,0x7fffffe4,0xffffffff,0x7edfff60,0xffffb07f,0xffffffff,
    0x3fe61fff,0xffffffff,0xffffffff,0x3ffffe64,0xffffffff,0x4c4fffff,
    0xffffffff,0xffffffb0,0x7ffec0bf,0xffffffff,0xfff980ef,0xffffffff,
    0x4fffffff,0x04037ffc,0x3ffffe20,0x005fffff,0x7fffffc4,0xffffd86f,
    0xfff52fff,0x6cffffff,0xffffffff,0xfffff884,0x005fffff,0x0003ffec,
    0x3ffffa20,0xf700001f,0xffffffff,0x4c1fffff,0xffffffff,0x7ffffc2f,
    0x7ec3ffff,0xacefffff,0x7fffd400,0x3f67ffff,0x4fffffff,0xfffffff1,
    0xfffffb0d,0x3ff605ff,0xffffffff,0x7ec00eff,0xffffffff,0x02ffffff,
    0xfffffff1,0x4000bfff,0xfffffffd,0xffffffff,0x7edfff62,0xffffb07f,
    0xffffffff,0x7ffccfff,0xffffffff,0x4fffffff,0x3fffffe6,0xffffffff,
    0x7cc4ffff,0x0fffffff,0xfffffff9,0x3fffee09,0xffdb9ace,0xfff986ff,
    0xffffffff,0x4fffffff,0x0e7ffff4,0xffff8800,0x0fffffff,0x7ffffc00,
    0xfffd86ff,0x36a1ffff,0x21ceefff,0xefffedb8,0xffff880b,0x0fffffff,
    0x01bffa00,0x7fdc4000,0xf980001f,0xb9adffff,0x21fffffd,0xfffffff9,
    0x7fffc1ff,0xd83fffff,0xffffffff,0x3f6a03ef,0x221ceeff,0xbefffedb,
    0x3fffffe0,0xffffd86f,0xffb81fff,0xdb9aceff,0x3206ffff,0x9bdeffff,
    0xfffffeca,0xfffff102,0x01ffffff,0xdffff900,0xffd9537b,0x7fec5fff,
    0x220fffb7,0xfffeeedb,0x41beeeef,0xeefffeca,0xfeeeeeee,0x7f6544ff,
    0xeeeeeeff,0x84fffeee,0x1cefffea,0x3ffff6e2,0xffff980b,0x3fffee04,
    0xfffeca83,0xeeeeeeee,0x7cc4fffe,0xbdffffff,0x3bb26001,0x3ffffffe,
    0x7ffe4c00,0xffd880ef,0xff982cff,0xfff8802f,0x77764c04,0x03ffffff,
    0x881bffa0,0xbcccccca,0x07ffea01,0x3fff2000,0x3fffea05,0x77fff541,
    0xeeb982ce,0x2e03ffff,0xffffffff,0x3fe604ff,0xfff8802f,0xffffc984,
    0xfffd880e,0xfff982cf,0x3ffee04f,0xffffa83f,0x7fffe405,0x3bbb2602,
    0x03ffffff,0x2ffffd40,0x8bffff20,0xfffb7ffd,0x07ffd800,0x00fffd40,
    0xfa827ffc,0xfff801ff,0x03fff704,0x3a06ffe8,0xf9803fff,0xff500fff,
    0x9fff003f,0xffffff70,0x0005dfff,0xdffffffb,0x3ffea000,0x9fffd00f,
    0x017ffcc0,0x0027ffc4,0x3ffffff6,0x1bffa006,0x7fffffc4,0xf505ffff,
    0xd00003ff,0xfc801fff,0xfffc80ff,0x37ff4000,0xfffdba80,0xf306ffff,
    0xff1005ff,0x7ffd409f,0x9fffd00f,0x01ffff40,0x207fffcc,0x9005fffd,
    0x6c005fff,0x06ffffff,0x02fffec0,0x362fffc8,0x0fffb7ff,0x007ffd80,
    0x400fffd4,0xff504fff,0x9fff003f,0x007ffee0,0x3ea0dffd,0x3f2006ff,
    0xfff505ff,0x09fff003,0x3fffff66,0x2004ffff,0xffcefff8,0xff90002f,
    0xdfff70bf,0x02fff980,0x004fff88,0x3f3bffe2,0xff9002ff,0x3fffea0f,
    0x07ffffff,0xb713fff5,0xd00379dd,0xff300dff,0x07ffee0d,0xff815555,
    0xd730005f,0xf303ffff,0xff1005ff,0xfffc809f,0x06fffb85,0x801bffea,
    0x7fc5fffc,0x3fe2006f,0xfff1001f,0x005fff9d,0x10037ffc,0x7fec3fff,
    0x800fffb7,0x54007ffd,0x05c41fff,0x3ea07ffd,0xd05c41ff,0x3fee07ff,
    0x37ff401f,0x001fffc8,0xfa83fff4,0xd05c41ff,0xca8807ff,0x2ffffffe,
    0x37fff700,0x2000bfff,0x263fffe8,0x4c01ffff,0xf8802fff,0x3ee004ff,
    0x5fff9bff,0x01fff700,0x3ffffffa,0xff503fff,0xffffffdf,0xffc805ff,
    0x01db802f,0x7c45fff5,0x3fe22fff,0x2002984f,0xf984fffb,0xff8802ff,
    0x7ff4404f,0x3fffe63f,0x07fff201,0x44fffd00,0x64004fff,0x3fee005f,
    0x05fff9bf,0x009fff10,0x7fec5fc8,0x800fffb7,0x54007ffd,0x3fe21fff,
    0x5403bea6,0x3fe21fff,0x5c03bea6,0x7f401fff,0x0dffb06f,0x01fff900,
    0x7c43fff5,0x003bea6f,0xdfffd710,0x43fffa00,0x0000fffe,0x3a1ffff5,
    0xf9804fff,0xff8802ff,0x3ffa004f,0x01fffd0f,0x407fff30,0xfffa9998,
    0x3fffea03,0xffffffff,0x3ffe604f,0x30000adf,0x7fdc7fff,0x3ffe65ff,
    0x0027fcc3,0xff30dffd,0xfff1005f,0xffff5009,0x013fffa1,0x9000dffb,
    0x3fea1fff,0x8000002f,0xffd0fffe,0xfff5001f,0x3f600005,0x00fffb7f,
    0x4007ffd8,0x3ea1fffa,0xf50020ff,0x7ffd43ff,0xfff70020,0x06ffe803,
    0x5000bfff,0xff503fff,0x07ffd43f,0x7400aa01,0xffa807ff,0x0fffea5f,
    0xefffc800,0x3006fffc,0xf1005fff,0x3ea009ff,0x3ffea5ff,0x1ffff003,
    0x0fffe600,0xffffffa8,0xffffffef,0x3ffff600,0x000aceff,0x7ec9fff1,
    0xff50ffff,0x0fffc85f,0x86fff880,0x8802fff9,0xf9004fff,0xdfff9dff,
    0x00bfff00,0x323fff50,0x000007ff,0x2a5fffa8,0xfc803fff,0x3600007f,
    0x0fffb7ff,0x007ffd80,0x7777ffd4,0x2001fffe,0xeeeefffa,0x2e001fff,
    0xeeeeefff,0x86fffeee,0x8003fff8,0xfa83fff9,0xffeeeeff,0x17fe401f,
    0x007ffe40,0xff07fff6,0xfe8000df,0x01ffffff,0x005fff30,0x2009fff1,
    0x7fc1fffd,0xfff9006f,0xfff3003d,0x7fffd407,0x3ff660bf,0x7ffec02f,
    0x3effffff,0xf15fff80,0x2e5fffff,0x7fec1fff,0x7fe401ef,0x2fff985f,
    0x04fff880,0x3fffffa0,0x7fc401ff,0xff98003f,0x00dffd3f,0xfffb0000,
    0x806fff83,0x00006ffe,0x7fedfff6,0x3ffec007,0x3fffea00,0x01ffffff,
    0x3ffffea0,0x001fffff,0x3fffffee,0xffffffff,0x03fff886,0x83fff980,
    0xfffffffa,0x7f401fff,0x7fff806f,0x437ffc40,0x0002fffc,0x3fffffe6,
    0x3ffe6003,0x4fff8802,0x86fff880,0xd002fffc,0x357bffff,0xffffd973,
    0x7fffd407,0x0bfff102,0xffffff70,0xe809ffff,0xffff76ff,0x3fff2bff,
    0x7ffffec0,0xfeba9abd,0xff983fff,0xfff8802f,0x3ffe6004,0xf8803fff,
    0xf98003ff,0x0dffd3ff,0xff880000,0x2fffc86f,0x0037ff40,0x36fffb00,
    0x7ec007ff,0x7fd4007f,0xffffffff,0x3ffea001,0x1fffffff,0x3fffee00,
    0xffffffff,0xbfff06ff,0x3fff5000,0xffffff50,0xf803ffff,0xda81efff,
    0x7dc06fff,0xfff983ff,0x7fe40005,0x7cc006ff,0xff8802ff,0xfffb804f,
    0x05fff983,0xffffff30,0xffffffff,0x7fd407ff,0x37ff402f,0xfffb7500,
    0x6c0dffff,0xdfffb7ff,0xfffb1fff,0xffffff90,0xffffffff,0x3ffe60bf,
    0x4fff8802,0x7fffe400,0x17ffe006,0x47ffea00,0x00006ffe,0x41fffdc0,
    0x7405fff9,0x200006ff,0xfffb7ffd,0x07ffd800,0x777ffd40,0x001fffee,
    0x3bbbffea,0x2001fffe,0xfffffffb,0x6fffffff,0x000dffb0,0xf501fff9,
    0xffddddff,0xffff803f,0xfffddeff,0x7f401fff,0xcccccdff,0x0000ffff,
    0x000ffff4,0x200bffe6,0xe804fff8,0xccccdfff,0x000ffffc,0xffffffd3,
    0x9fffffff,0x0fffd401,0x001fff60,0xffffeb98,0xf3fff901,0x5fff7dff,
    0xff70fffd,0xffffffff,0x201bffff,0x8802fff9,0xe8004fff,0x36001fff,
    0xfc8006ff,0x0fffb0ff,0xffe80000,0xfcccccdf,0x3f600fff,0x3600007f,
    0x0fffb7ff,0x007ffd80,0xf50fffd4,0x2a0083ff,0x3fea1fff,0xff70041f,
    0x6ffe803f,0x003fff90,0xf507ffe8,0x7ffd43ff,0x3fffa041,0xffffffff,
    0x7fd404ff,0xffffffff,0x0003ffff,0x4003ffec,0x8802fff9,0x7d403fff,
    0xffffffff,0x003fffff,0x7ffffed4,0x800befff,0x6c01fffa,0x005307ff,
    0xb827ffdc,0xbfffcfff,0xfffdfff8,0xda9ed886,0xefffffff,0x17ffcc01,
    0x01fffc40,0x003ffec0,0x0007fff2,0x7fe4fffd,0x5000001f,0xffffffff,
    0x07ffffff,0x000fffe4,0xfb7ffd80,0xffd800ff,0x7ffd4007,0xf91ffe21,
    0x87ffea0d,0x37e47ff8,0x401fffb8,0xff506ffe,0x7fdc00df,0x3fff505f,
    0x3f23ffc4,0x3fffff26,0x3fffffff,0xfffffd80,0xffffffff,0x7ec0007f,
    0xff88007f,0xfffa804f,0x7fffec02,0xffffffff,0x220007ff,0x0009aba9,
    0x200fffd4,0xff987ffd,0x1bffa004,0x7fffffd4,0xfffffd0f,0x7cc400bf,
    0xf10009df,0xff5009ff,0xffb0005f,0xfffa800f,0x3ffee006,0x017ffea5,
    0x7ffec000,0xffffffff,0x3ea07fff,0xb00005ff,0x1fff6fff,0x00fffb00,
    0x441fffa8,0x40fffc0b,0x5c41fffa,0x5c0fffc0,0x7f401fff,0x3fffa06f,
    0xffff9803,0x83fff500,0x8fffc0b8,0xffda8bb8,0x8800beff,0xffffffff,
    0xffffffff,0x3ff60002,0xdffd0007,0x0fffd801,0x3ffffe20,0xffffffff,
    0x20002fff,0x7d400008,0x7fec01ff,0x00fffc87,0x306fff88,0x4dffffff,
    0x4ffffffb,0x004ff800,0x400effe8,0x8000fffd,0xe8007ffd,0xf9803fff,
    0x7ff40fff,0x3762002f,0xfffff101,0xffffffff,0x7f405fff,0x362002ff,
    0x6dfff61d,0x7ec007ff,0x7fd4007f,0xfff9801f,0x01fffa83,0xb83fff98,
    0x7f401fff,0x3ffe606f,0x3ffea04f,0x3ffea03f,0x3fff9801,0x003ffec0,
    0x200fffee,0x0005fff8,0x4001fff6,0x900dfffc,0xfb80dfff,0xff8803ff,
    0xff30005f,0x3ea0005d,0x7fec01ff,0x1efffd87,0x82fffe40,0x3ffffff8,
    0x3fffffe2,0x5fff8003,0x6fffe400,0x0dfff900,0x01fff600,0x13fffe60,
    0x83ffffa8,0x804ffffb,0xf706fff9,0xff1007ff,0x7ffdc0bf,0xfff9804f,
    0x7edfff66,0x7fec007f,0x7ffd4007,0x3fff9801,0x801fffa8,0xfb83fff9,
    0x7ff401ff,0x7fffdc06,0xffdb9abe,0x7fd406ff,0xfff9801f,0x03ffec03,
    0x003fffa0,0x0007ffec,0x0007ffd8,0x5bfffff1,0x3ffffd73,0x00fffe80,
    0x001fffb0,0x01ffff10,0x03fff500,0xfd87ffd8,0x9abdffff,0x3ffffeba,
    0x3fffffe0,0x7fffff40,0x7fec2002,0x3fe2002f,0xeb9adfff,0x0001ffff,
    0x2000fffb,0xabeffffb,0x6ffffdb9,0x3fffff60,0xfdba99ac,0xffd05fff,
    0x3ff6001f,0x3fff600f,0xba99acff,0x365ffffd,0xffffb7ff,0xdb7119df,
    0xddffffdd,0xeb9817bd,0xeeeeefff,0xfffeeeee,0x3fffae63,0xeeeeeeee,
    0x223fffee,0x1befffec,0x3ffff6a2,0x3fff602c,0xffffffff,0xfd7300ef,
    0xddddddff,0x7fffdddd,0x007ffd80,0x7bffffb5,0xffdb5101,0xca8019df,
    0xeeffffee,0xff3000bd,0xffffffff,0x7ed409ff,0x880bdfff,0xcefffeda,
    0xf7599000,0x6e44005f,0x540bdfff,0x23cffffc,0xfffffffc,0xffffffff,
    0x7ffffc05,0xfffffb86,0x79df5001,0xf98005ff,0xffffffff,0x2a004fff,
    0xeffffeec,0xfb000bde,0xffffffff,0x4401dfff,0xfffffffe,0xffffffff,
    0x7fffed41,0xeda880bd,0x880cefff,0xfffffffe,0xffffffff,0x7edfff61,
    0xdbffffff,0xffffffff,0x26ffffff,0xfffffff8,0xffffffff,0xff13ffff,
    0xffffffff,0xffffffff,0x7ffff47f,0xff90ffff,0x03ffffff,0x7fffffdc,
    0x2204ffff,0xffffffff,0xffffffff,0x7e403fff,0xfffb806f,0xc86fffff,
    0xffffffff,0x3fffea05,0xffffffff,0x3ffea005,0x3fffffff,0x3ffffee0,
    0xffc86fff,0x05ffffff,0xffffff88,0x3fff6000,0x3e24ffff,0x1fffffff,
    0xfffffff7,0xbfffffff,0xffffe801,0xfffff883,0xffff3000,0x3ea000ff,
    0xffffffff,0x3fea003f,0xffffffff,0x3ee005ff,0xffffffff,0x3ff2004f,
    0xffffffff,0x7fdc0dff,0x86ffffff,0xfffffffc,0x3fff205f,0xffffffff,
    0xb7fdc0df,0xfffffffd,0xffffffea,0xffffffff,0xfffff30f,0xffffffff,
    0x27ffffff,0xfffffff9,0xffffffff,0x3fe3ffff,0x0fffffff,0xfffffffb,
    0xffd8807f,0x402effff,0xfffffff9,0xffffffff,0x5403ffff,0xffc804ff,
    0x87ffffff,0xfffffffd,0x3ffee07f,0xffffffff,0x7e44006f,0x01efffff,
    0x7fffffe4,0xfffd87ff,0x007fffff,0x005dfff5,0xfffffff8,0x3fffea6f,
    0xdb13ffff,0xfffffb53,0x36003dff,0xfd01ffff,0xb8800fff,0x20001cfd,
    0xffffffc8,0x7fdc001e,0xffffffff,0x6c4006ff,0x2effffff,0xfffc9800,
    0x03dfffff,0xfffffff9,0xffffb0ff,0x980fffff,0xfffffffc,0x437203df,
    0x3deeeeec,0xffffffb3,0x5bffffff,0xfffffec8,0xffffffff,0x3b23ffff,
    0xffffffff,0xffffffff,0x3fff6a3f,0x3f663eff,0x00ceffff,0x0006ea60,
    0xffffffd9,0xffffffff,0x75007fff,0xfffb3001,0xb305bfff,0x5bffffff,
    0x7fffe440,0x1dffffff,0x26ea6000,0xfffb3000,0xb305bfff,0x5bffffff,
    0x00008800,0xbfffffb5,0xffffec85,0x54c400ce,0x640009ab,0x3ee06fff,
    0x000007ff,0x26ea6000,0xff910000,0xffffffff,0x54c0003b,0x2600001b,
    0x98009bba,0xdffffffd,0xffffd982,0x26002dff,0x00009bba,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x35000000,0x00540000,0x07d50000,
    0x00330000,0x009b3000,0x00000540,0xc88066c4,0x0000000d,0x00cc0000,
    0x00009800,0x00000000,0x00000000,0x00000310,0x3b880000,0x03ea8000,
    0x3aa00f66,0x000f6a02,0x00000ee2,0x3fae0000,0xffffffff,0x00000bce,
    0x220000c4,0x0002880a,0x0037ec40,0x002ff440,0x04ffb800,0x07fdc000,
    0xdff50000,0x0bfee000,0xfff30000,0x01fffa85,0xf3007dc0,0xfd800007,
    0xffd80007,0x01fa8004,0x744013e2,0x00076405,0xdd305fb1,0x6ffb8003,
    0x05db1000,0x88003dd3,0x642ffffc,0xdffc800d,0x4037fe40,0x7e40dffc,
    0x3f22006f,0x06e42fff,0x305fb100,0x3fe603dd,0xffffffff,0x003fffff,
    0x00dff900,0xf307fec0,0x260000bf,0x40003ffe,0x0002fff9,0x077fec40,
    0xbffb0000,0x7fe40000,0xff10001f,0xb800007f,0xffd9dfff,0x5fe8003f,
    0x00017fa0,0x0027ff44,0x03fffe60,0x640df900,0x3ff3006f,0x8007fe60,
    0x7ec0fffb,0x7ffc005f,0xffb8002f,0x005ffe87,0x7fffffe4,0x801ffebe,
    0xe9afffe8,0xe8801fff,0xffe9afff,0x3ff2001e,0xfebeffff,0x3fee001f,
    0x82ffec0f,0xfffffff9,0xffffffff,0x7c40006f,0x88001fff,0x3fee3fff,
    0xffa80007,0x7d40003f,0x400002ff,0x0005ffe8,0x037ffa20,0x77fec000,
    0x7f4c0000,0x4c00005f,0x1efffffe,0x19ff9000,0x001ffec4,0x027ffcc0,
    0x3fffcc00,0x0effd400,0x4009ff91,0x3e60afff,0x3ee000ff,0x05ffd87f,
    0x00ffff40,0x6c3ffdc0,0x7fc005ff,0xfffffb14,0xfffb8007,0x4000dfff,
    0xcffffffb,0x8a7fc000,0x03fffffd,0x6c3ffdc0,0x3b2a05ff,0xeeeeefff,
    0x04ffffff,0x0ffffc00,0x1fffcc00,0x8000fffb,0x0002fffa,0x000fffdc,
    0x01fff400,0x9fff1000,0x7fe40000,0x36200005,0x800006ff,0x0004fffc,
    0xffefffe8,0x980005ff,0x00002fff,0x4000fff2,0xffeffffd,0x3e6000ef,
    0xffffefff,0x16e44002,0x20006ec4,0x10005ffa,0x1bb105b9,0xea808800,
    0xd30001cf,0x40005fff,0x002effe9,0x9fd50110,0x5b910003,0x5001bb10,
    0x32a03fff,0x0000ffff,0x40013fee,0x3f63fff9,0x7f40007f,0xff80000e,
    0xf000000e,0xc800005f,0x400002ff,0x000003fd,0x00005ff9,0x00003b30,
    0x3fffff22,0xfd00004f,0x1000003f,0xfff90000,0x0001bfff,0xdfffffd3,
    0x00000005,0x00000200,0x00000000,0x00197000,0x00033200,0x00000000,
    0x7ffd4000,0x17ffec01,0x00004000,0x7f45fff5,0x1d40006f,0x00750000,
    0x00801000,0x000c8800,0x00001000,0x0000b980,0x00008010,0x00acca98,
    0x002e6000,0x00000000,0x00359951,0x05797500,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03553000,0x80000000,0x4c01fffa,0x00004fff,
    0x7ffd4000,0x001bffa2,0x00000000,0x03bf6000,0x0000bfd1,0xaa980000,
    0x0002aaaa,0x6c000000,0x2ff440ef,0x00000000,0x30000000,0x00001555,
    0x00000000,0x00000000,0x00000000,0x7fffff64,0x3fff662d,0x0000cfff,
    0x00000000,0x7ffffec4,0x000002df,0x1fffa800,0x017ffd40,0x2e000000,
    0x3ffe1fff,0x00000005,0x4c000000,0x7fdc3fff,0x0000001f,0xfffffd00,
    0x00000fff,0x7fcc0000,0x0fffdc3f,0x00000000,0xc8800000,0xeffffffe,
    0x00004eab,0x80000000,0xffffffd9,0x2dffffff,0x7fffffdc,0xffffffff,
    0x7fffed46,0xfffd981d,0x3ffea3ef,0xb0ffffff,0xffffffff,0x7ffffdcb,
    0xffffffff,0x3fffee6f,0xffffffff,0x05ffffff,0x3fffffee,0x5c04ffff,
    0xfffffffe,0xffffffff,0x3fff504f,0x07fffdc0,0xfffffd70,0xffffffff,
    0x7dc09fff,0x13ffe1ff,0xffffd910,0xffffffff,0x6445ffff,0xfffffffe,
    0xf10002df,0x7ff983ff,0xffffeb80,0xbcefffff,0x3ffe2000,0x007fffff,
    0xfffffdb8,0x40002fff,0x7cc1fff8,0xffeb807f,0xffffffff,0x44ffffff,
    0x05ffffda,0xffffff91,0x3ffe603b,0xffffffff,0x7ecc1fff,0xffffffff,
    0x2e02dfff,0xfffffffd,0x7fec002f,0xffffffff,0x2e0fffff,0xffffffff,
    0x26ffffff,0xfffffff8,0xfffffd86,0xffff52ff,0x7ecfffff,0x4fffffff,
    0x3fffffee,0xffffffff,0x3ffffee6,0xffffffff,0xb05fffff,0xffffffff,
    0x301dffff,0xffffffff,0xffffffff,0x3fea09ff,0x3faea21f,0x3e605fff,
    0xffffffff,0xffffffff,0x7f6dc44f,0xfffeeeff,0xffb80bdf,0xffffffff,
    0xffffffff,0x3fffff22,0x0fffffff,0x20393000,0x7fcc01ca,0xffffffff,
    0x003fffff,0x3ffffff2,0x7fc4007f,0xffffffff,0x1c980005,0xf9803950,
    0xffffffff,0xffffffff,0x3fffe24f,0xffd82fff,0x86ffffff,0xfffffffa,
    0xffffffff,0x7ffffec3,0xffffffff,0xfff880ff,0x5fffffff,0x7fffec00,
    0xffffffff,0x7ffdc7ff,0xffffffff,0x7ffc6fff,0xfd86ffff,0x21ffffff,
    0xceefffda,0x3ffb6e21,0x3fee0bef,0xffffffff,0x3ee6ffff,0xffffffff,
    0xffffffff,0xffffb85f,0xffdb9ace,0xfff986ff,0xffffffff,0x4fffffff,
    0xffffff50,0xdfffffff,0x7fffcc01,0xffffffff,0x44ffffff,0xfffffffd,
    0xffffffff,0xfffffb84,0xffffffff,0x2e2fffff,0xffffffff,0x00007fff,
    0xfff98000,0xffffffff,0x006fffff,0x3ffecccc,0x3fffe200,0x0fffffff,
    0x00000000,0xfffffff3,0xffffffff,0x7fc49fff,0x40ffffff,0xfffffffc,
    0x7fffdc5f,0xfcba9bdf,0x7ec3ffff,0xffffffff,0x107fffff,0xffffffff,
    0x44001fff,0xfffeeedb,0x41beeeef,0xeeeefffb,0x6ffffeee,0x77fffe4c,
    0xffffd880,0x2fff982c,0x84fff880,0xeeeefffb,0x6ffffeee,0x3bbbffee,
    0xeeeffffe,0x7cc5fffe,0x3ee04fff,0xeca83fff,0xeeeeefff,0x4fffeeee,
    0xffffff50,0x09ffffff,0x3fffb2a0,0xeeeeeeee,0x7f44fffe,0xffffffff,
    0x05ffffff,0xff7fffb7,0xfdddddff,0x76dc45ff,0xceeffffe,0x00000001,
    0xdfffd950,0xffffdddd,0x360009ff,0xc98007ff,0xfffffeee,0x0000003f,
    0x3ffb2a00,0xeeeeeeef,0x4c4fffee,0x4fffffec,0x7fff6dc4,0x3ffe20bf,
    0x7fec404f,0x776dc43f,0xeeeffffe,0x3b2601be,0xffffffee,0xffd80003,
    0x3fff7007,0x07fffee0,0x807fffd4,0x2604fffe,0xf8802fff,0xfffb84ff,
    0x3ffff701,0x3607ffdc,0x5fff87ff,0x401ffff4,0x500ffff9,0xff003fff,
    0x3ffea09f,0xffffffff,0xfffa8006,0x44fff801,0xffffffda,0xdfffffff,
    0x7c7ff401,0xfffa85ff,0x13ffe202,0x55553000,0x2aaaaa01,0x0fffd402,
    0x0ffffca8,0x07ffd800,0xffffd800,0xa98006ff,0x55500aaa,0xffa80555,
    0x4fff801f,0xffffff30,0x42fffc03,0x3005fffc,0x36005fff,0xd80007ff,
    0x06ffffff,0x07ffd800,0x303fff70,0xc805ffff,0xffb85fff,0x7ffcc06f,
    0x4fff8802,0x981fffb8,0x7dc2ffff,0x3ffec0ff,0xff52fffc,0x7fe400df,
    0x3fff505f,0x209fff00,0xcccdfffa,0x004ffffe,0x400fffd4,0x3fa04fff,
    0x07ffea6f,0xffb7fcc0,0x2fffa85f,0x013ffe20,0x7ffffc40,0x7fffc42f,
    0x7fd407ff,0x7ffec01f,0x7ffd8002,0x7ffc4000,0x002fffce,0x5ffffff1,
    0xffffff88,0x0fffd407,0x9827ffc0,0x06ffffff,0xff117ffe,0x7fd800df,
    0x01fff600,0x9dfff100,0x80005fff,0xf7007ffd,0xfff881ff,0xffe8804f,
    0x3fffe63f,0x17ffcc01,0x427ffc40,0x7c40fffb,0xffb84fff,0x43ffec0f,
    0x3ff25fff,0x7ff4001f,0x83fff507,0x0fffa0b8,0x640fffd4,0x2003ffff,
    0x5c41fffa,0xf80fffa0,0x3ffee5ff,0x29ff7001,0xff985fff,0x3ffe201f,
    0xfff50004,0xffa85fff,0x5407ffff,0x7cc01fff,0xfd8004ff,0x7dc0007f,
    0x5fff9bff,0xfffff500,0xffffa85f,0x7fd407ff,0xfd05c41f,0x3ffe607f,
    0xff04ffff,0x4fffa8bf,0x2000a800,0x40007ffd,0xff9bfffb,0x7ec0005f,
    0xdff3007f,0x00dfffd0,0xe87fffd4,0xf9804fff,0xff8802ff,0x86ff984f,
    0xf706fffe,0x7ffd81ff,0x3f64fff8,0xffc8006f,0x1fffa80f,0xefa9bfe2,
    0x03fff500,0x00bffff2,0xf10fffd4,0x0077d4df,0x7fdcbfff,0x5ffb000f,
    0x97657ffe,0x7fc407ff,0x3fa0004f,0x7442ffff,0x407fffff,0x5401fffa,
    0xd8002fff,0x740007ff,0xfffd0fff,0x3fffa001,0x7ff442ff,0x7d407fff,
    0x9bfe21ff,0xff300efa,0x03ffffbf,0xffc8bfff,0x8000002f,0x40007ffd,
    0xffd0fffe,0x7ec0001f,0x0b72007f,0x001ffff9,0xfcefffc8,0xff3006ff,
    0xfff1005f,0xf90b7209,0x3e601fff,0x87ffd86f,0x3ffe2ffd,0xfffa8005,
    0x21fffa81,0x0020fffa,0x6403fff5,0xa800ffff,0x3fea1fff,0xff10020f,
    0x07ffe49f,0xff3ffc40,0x26fff3bf,0x7ffc401c,0x7dc40004,0xfb3102ff,
    0xfffa80ff,0x3fffee01,0x7ffd8000,0x3ffea000,0x00fffea5,0x02fffb88,
    0x80fffb31,0x3ea1fffa,0xf30020ff,0xdfff97ff,0xfd8bfff0,0x0000007f,
    0x4000fffb,0x3ea5fffa,0x360003ff,0x540007ff,0x0002ffff,0xfffffffd,
    0x3ffe6003,0x4fff8802,0x3fffea00,0x6c0e5402,0x23c887ff,0x8003fff8,
    0xfa83fff9,0xffeeeeff,0x3fea001f,0x7ffec01f,0xefffa805,0x01fffeee,
    0x7ffff644,0xffffffff,0x97fea02d,0xfffeffff,0x3ffe2001,0xffa80004,
    0x3ffec02f,0x887ffea0,0x5ffffeba,0x0fffb000,0x0fffec00,0x5001bffe,
    0xfd805fff,0x7ffd407f,0x1fffeeee,0x2fffe600,0x7c3fffe8,0x37ff45ff,
    0xfd800000,0x3f60007f,0x37ffc1ff,0x0fffb000,0x7fffcc00,0x3fe60003,
    0x2003ffff,0x8802fff9,0xf3004fff,0x80007fff,0xf1007ffd,0xf30007ff,
    0xfff507ff,0x3fffffff,0xfffd9300,0xfd1017bd,0x2a017bff,0xffffffff,
    0x7fe401ff,0xffffffff,0x207fffff,0x3ffe3ffd,0x001fffff,0x0013ffe2,
    0x00bffea0,0xfa80fffb,0xffffffff,0x000effff,0x000fffb0,0x321bffe2,
    0x2a002fff,0x7ec02fff,0x7ffd407f,0x1fffffff,0x4fffe600,0x3e0ffffa,
    0x37ff45ff,0x99999510,0x3f600379,0xff10007f,0x5fff90df,0x1fff6000,
    0x7fff4400,0xffc80005,0x7cc006ff,0xff8802ff,0xffe8804f,0xfd80005f,
    0x3ffe007f,0xfffa8005,0xfffffa81,0x401fffff,0xfffffff9,0xfff306ff,
    0x3fea0bff,0xffffffff,0x7fffdc01,0xffffffff,0x3fe07fff,0x3ffffe0f,
    0x22001fff,0x80004fff,0x6c02fffa,0x7fd407ff,0xffffffff,0x6c0004ff,
    0xf70007ff,0xfff307ff,0x7ffd400b,0x03ffec02,0x3fffffea,0x2001ffff,
    0x3f63fff9,0x17ffe5ff,0x3e20dffd,0xffffffff,0x7ffd805f,0x7fff7000,
    0x00bfff30,0x001fff60,0x0077ffec,0x1fffe800,0x17ffcc00,0x027ffc40,
    0x0077ffec,0x03ffec00,0x000dffb0,0xf501fff9,0xffddddff,0xfffa803f,
    0x07ffffff,0x41bffff2,0xeeeefffa,0x5c401fff,0xeeefffed,0x01beffff,
    0xfdddfff3,0x3fffdfff,0x27ffc400,0xfa80e4c0,0x7fec02ff,0x7fffd407,
    0x6fffffff,0x7ffd8000,0xbfffd000,0xfff99999,0x3fea001f,0x3ffec02f,
    0x3bbffea0,0x001fffee,0xf88fffe6,0xbfff2fff,0xf507ffc8,0xffffffff,
    0xfffb00ff,0x3fffa000,0xffcccccd,0xfd8000ff,0xffb8007f,0x04ea81ff,
    0x003ffec0,0x4017ffcc,0x5c03fff8,0xea81ffff,0x1fff6004,0x01fffc80,
    0xa83fff40,0x3fea1fff,0x7f64041f,0x02dfffff,0xa816fff4,0x3fea1fff,
    0xff70041f,0x02fffc3f,0x7fffffe4,0x7ff9dfff,0x27ffc400,0x541ffe20,
    0x7ec02fff,0x7ffd407f,0xfffecccd,0x7ec0004f,0xffa8007f,0xffffffff,
    0x5003ffff,0xfd805fff,0x7ffd407f,0x107ffea1,0x21fffcc0,0xff8ffffb,
    0x07ffdc5f,0xffffffe8,0xfd803fff,0xffa8007f,0xffffffff,0x8003ffff,
    0x4c007ffd,0xfd03ffff,0x7fec005f,0xfff88007,0x2fffa804,0x0ffffe60,
    0xd8017ff4,0x3ea007ff,0x3ee006ff,0xfff505ff,0x323ffc43,0x0000006f,
    0x887ffea0,0x837e47ff,0x3fe1fffb,0xfffe804f,0x75ffffff,0xff88005d,
    0x7ffd404f,0x02fffa81,0x2a03ffec,0xffc81fff,0x360003ff,0xfd8007ff,
    0xffffffff,0x007fffff,0xd805fff5,0x7fd407ff,0x91ffe21f,0x3ffe60df,
    0xfcfffd83,0x7ffcc5ff,0x2a666203,0xfb003fff,0xffb000ff,0xffffffff,
    0x000fffff,0x4400fffb,0x3e04ffff,0x3f6004ff,0xffd0007f,0xfffd801d,
    0x9ffff100,0x8027ffc0,0x74007ffd,0xf9803fff,0xff500fff,0x7c0b883f,
    0x044001ff,0x7ffd4000,0x3fe05c41,0x0fffc81f,0x8809fff1,0xfaaaafff,
    0x5fb105ff,0x027ffc40,0x2a07ffea,0x7ec02fff,0x7ffd407f,0x5ffff901,
    0x1fff6000,0xfffff100,0xffffffff,0xf5005fff,0xffd805ff,0x0fffd407,
    0x3fff02e2,0x107fff30,0xbfffffff,0x001ffff0,0x400fffe6,0x44007ffd,
    0xffffffff,0xffffffff,0x3ffec002,0x0dfffd00,0x0027ffc4,0x2000fffb,
    0x900dfffc,0x7f40dfff,0x3fe206ff,0xfffb004f,0xffff9800,0x3fffea04,
    0x07ffea03,0x00fffe60,0x002eff98,0x007ffea0,0x320fffe6,0x3ffe27ff,
    0x42ffdc03,0xff505fff,0x27ffc40d,0x207ffea0,0xb304fff9,0xfa80ffff,
    0x3ff201ff,0xfd8000ff,0x7fdc007f,0xfff8803f,0x4fff9805,0x0ffffb30,
    0x801fffa8,0xf983fff9,0xfff703ff,0xff90bfff,0xff3003df,0x3ff6007f,
    0x7ffdc007,0x5fff8803,0x03ffec00,0x00ffffc8,0x8013ffe2,0x10007ffd,
    0x35bfffff,0x03ffffd7,0x803ffff2,0xb004fff8,0xf7000fff,0x7357dfff,
    0x80dffffb,0x9801fffa,0x22003fff,0x0000ffff,0x3003fff5,0xffb07fff,
    0x01fffccf,0x3fe0bff6,0x0fff905f,0x2027ffc4,0xff01fffa,0xfb7337ff,
    0x039fffff,0xb007ffea,0xb000bfff,0xfe800fff,0xffb000ff,0xffff001f,
    0xfffb7337,0x2a039fff,0xf9801fff,0xfff983ff,0x3ffffa03,0xffffd05f,
    0xd973357b,0x2007ffff,0x74007ffd,0xfb000fff,0xdb7101ff,0xddffffdd,
    0x7fcc17bd,0xeeeeefff,0x04fffeee,0x3fffbb2a,0x000bdeef,0xfffffff3,
    0x209fffff,0xeefffff9,0xffeeeeee,0xfdd9504f,0x15bddfff,0xfffffb00,
    0xdfffffff,0x3ffae601,0xeeeeeeef,0x03fffeee,0x5ff75990,0xffeb9800,
    0xeeeeeeef,0x83fffeee,0x3fe67ffd,0xfff9702f,0xfffb915b,0xffdddddf,
    0x776541ff,0xeeeeffff,0x1fffeeee,0xffffffb0,0xffffffff,0x7f64c1ff,
    0x880bdeff,0x40bdfffe,0xffeeeeca,0xadeeeeff,0x3ffff6a0,0xeda880bd,
    0x200cefff,0xfffffffd,0xffffffff,0x3ffae60f,0xeeeeeeef,0x43fffeee,
    0xbdefffda,0x7ffffcc1,0xfffff305,0xffffffff,0xdb887fff,0xeffffeee,
    0x6d40bdee,0x80bdffff,0xefffeda8,0x3ffff60c,0xffffffff,0x3ffe66ff,
    0xffffffff,0x504fffff,0xffffffff,0x400bffff,0xfffffffa,0x3e603fff,
    0xffffffff,0x4fffffff,0xffffffb8,0x04ffffff,0xffffff70,0x4409ffff,
    0xffffffff,0xffffffff,0xf8803fff,0x000fffff,0x3fffffe2,0xffffffff,
    0xe83fffff,0x3ffea6ff,0xfffffa81,0xfffffeff,0xffffffff,0xffff70ff,
    0xffffffff,0x3fffffff,0x3ffffa20,0xffffffff,0xfff30fff,0x0dffffff,
    0x97ffffe6,0xfffffffa,0xffffffff,0xfffff74f,0xff90dfff,0x0bffffff,
    0x7fffff44,0xffffffff,0xffff10ff,0xffffffff,0x7fffffff,0x7fffffcc,
    0xfffc87ff,0x3ffa605f,0xffffffff,0x7ec0cfff,0xffffffff,0x2e6fffff,
    0xffffffff,0xfffffc86,0x3ffa5fff,0xffffffff,0xf30fffff,0xffffffff,
    0x9fffffff,0x3ffffee0,0x6fffffff,0x7ffe4400,0x4c01efff,0xffffffff,
    0xffffffff,0xfffffc84,0x5fffffff,0x3fff6200,0x4c02efff,0xffffffff,
    0xffffffff,0xf5003fff,0x98005dff,0xffffffff,0xffffffff,0xffb83fff,
    0xfc837fc3,0xffffffff,0xffffffff,0x90ffffff,0xffffffff,0xffffffff,
    0x74403fff,0xbdffffff,0x2a3efffd,0xffffffff,0x3fff207f,0x3fffee6f,
    0xffffffff,0xff95ffff,0x0fffffff,0xfffffffb,0xffe880ff,0xfdbdffff,
    0x3fe63eff,0xffffffff,0xffffffff,0x3fffea3f,0x440fffff,0xa805ffff,
    0xfffffffd,0xffd00bef,0xffffffff,0x321fffff,0xffffffff,0xfffffd87,
    0x3f667fff,0xffffffff,0x3e62dfff,0xffffffff,0x4fffffff,0xfffff910,
    0x03bfffff,0x04dd4c00,0xfffff980,0xffffffff,0xfd884fff,0xffffffff,
    0x530001df,0xfec80037,0xffffffff,0xffffffff,0x00044003,0xfffffd90,
    0xffffffff,0x2607ffff,0xb100a882,0xd39fffff,0xffffffff,0x21ffffff,
    0xffffffd8,0xffffffff,0x8801ffff,0x4000abca,0xffffffec,0x6fff402d,
    0x3fffb222,0xffffffff,0xffb31dff,0x305bffff,0xbffffffb,0x2f2a2005,
    0x7f64000a,0xffffffff,0xffffffff,0x7ffff643,0xfff503ef,0xba98800b,
    0xfd98009a,0xffffffff,0x3662dfff,0x2dffffff,0xfffffd98,0x000002df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x00f6603e,
    0x76440000,0xffffffff,0x076e002d,0x5405b700,0x36e0002e,0x4d54c001,
    0xfffd7000,0x6d43bfff,0x004effff,0x1eb80772,0x5016dc00,0x1f54005d,
    0x00007b30,0x66c40000,0x001b9100,0xa8000310,0xb5000aaa,0x220bffff,
    0xdffffffc,0x555554c1,0x981a8802,0x6665c401,0x01cccccc,0x666665c0,
    0x8003cccc,0xccccccb8,0x22001ccc,0x9800003b,0x000001aa,0x5554c000,
    0x000aaaaa,0xfc81bff9,0xdb80006f,0x3f20cdef,0xffffffff,0xfa800fff,
    0x3fa000ff,0x27fec44f,0x06ffc800,0x7fffedcc,0x43eb9cff,0xfffffffa,
    0x3fffe6ff,0x8802ffff,0x7f4c3fff,0x7ff4003f,0x027fec44,0xc81bff90,
    0xbf7006ff,0x0007f901,0x2a17ffcc,0x64001fff,0x3e0006ff,0xf8803fff,
    0x82ffffff,0xfffffffd,0x3ffffe6f,0x7fdc07ff,0x813fea4f,0xfffffffc,
    0x26006fff,0xffffffff,0x64001fff,0xffffffff,0xfc8806ff,0x06e42fff,
    0xffffd880,0xa8001eff,0x000bdfec,0xfffffd95,0x00dfffff,0x26bfffa2,
    0x0001fffe,0x3fffffa6,0xffff70ff,0xffffffff,0x17ffee00,0x9efff980,
    0x000efffa,0x207fff98,0xfffffffc,0x0fffffff,0x3fffffe6,0x3ffe6fff,
    0x002fffff,0xf73dfff5,0xf3000bff,0xfff53dff,0x7f44001d,0xfffe9aff,
    0x3fff8801,0x000fffd4,0xb1bfff70,0x88007fff,0x0001ffff,0x1007ffff,
    0xffffffff,0xfffffc81,0xfff35fff,0x640fffff,0x3f27ffff,0x3bb2607f,
    0x2deeeeee,0x7776dc00,0x003deeee,0xeeeeed98,0xc802deee,0xbeffffff,
    0xfb801ffe,0xffffffff,0xffd1004f,0x401dffff,0xffffffe8,0x6fffffff,
    0x7fffdc00,0x20000dff,0xfffffff8,0xddb711ff,0x39ddffff,0x3fffe200,
    0x3ff62002,0x0003ffff,0x6c13fffa,0xffffffff,0x2fffffff,0x77fff654,
    0x3ffea1bd,0x44002dff,0x2ffffffd,0x3ff62000,0x0003ffff,0x3fffffee,
    0xfff1000d,0x00fff985,0x7fff4c00,0xf0001eff,0x20003fff,0x3003ffff,
    0x9fffffd9,0xfffedb88,0x3fffa0bf,0xff307fff,0x7fec9fff,0x00000007,
    0x00000000,0xb14ff800,0x007fffff,0xfffffffb,0x01dfffff,0x77ffff44,
    0xf981ffff,0xeffdffff,0x001affea,0x05fffd30,0xffffb000,0x440dffdd,
    0x20004fff,0x8006fffc,0x001efffa,0x03fffe60,0x37bffff2,0xfffeca9b,
    0xfff702ff,0xfffff303,0xffb80005,0x500000df,0x0003dfff,0x05fffd30,
    0x2e09b500,0x3200002d,0x40004fff,0x20004ffb,0x4000aaaa,0x1ffffff9,
    0x4417ffe0,0x707ffd99,0xfd839fff,0x0000007f,0x00010020,0x02200000,
    0x20073faa,0xaceffffb,0x5ffffdb9,0x98bbffa0,0xffe85ffc,0x32bff1df,
    0x9700007f,0xff300001,0x440083ff,0x20004fff,0x002ffff8,0x80003d88,
    0xfa84fffd,0x7e405fff,0xff702fff,0xffffa83f,0xb100001f,0xb1000005,
    0x97000007,0x00000001,0x01d98000,0x00002000,0xfff30000,0x7fc0dfff,
    0x7ffd805f,0xb01fffb0,0x54c00fff,0x7ec0001a,0x02ff440e,0x00000000,
    0xffff3000,0x7fffdc09,0x00fff982,0xfff98ffd,0x7fcaffc6,0x00000000,
    0x004fffb8,0x004fff88,0x037ffec0,0xf3000000,0xffb01fff,0x3ff200bf,
    0x3fff702f,0x0f7fffdc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffffe6,0x0bfff04f,0x360fffb0,0xfffb07ff,0xffffd880,
    0x4c002dff,0x7fdc3fff,0x7ff6401f,0x3662dfff,0x0cffffff,0xffd00000,
    0xfff3007f,0x01ffd81f,0xffc8bfee,0xfcaffc2f,0x00000007,0x00fffc80,
    0x04fff880,0x7fffcc00,0x00000001,0x3e0bfff9,0x3e2006ff,0xfff701ff,
    0x3bffff23,0x00000000,0x00000000,0x00000000,0x00000000,0x55300000,
    0x80055555,0xfffdfff9,0x05fff81f,0xfb07ffd8,0x1fff60ff,0xffffffb8,
    0x2004ffff,0x7cc1fff8,0x7ffd407f,0xb0ffffff,0xffffffff,0x3ffff66b,
    0xffffffff,0x37ffd42d,0x49fff900,0x7c406ff9,0x07fff64f,0x01ff2bff,
    0x3fffffae,0xffffffff,0xf9004fff,0x3e2000ff,0xd80004ff,0x7f5c4fff,
    0xffffffff,0x22000bce,0xf881ffff,0x7e4004ff,0x2bffee05,0x00dffffd,
    0x3ffff6a0,0xffff9105,0x36e03bff,0xffffffff,0x7fecc002,0xffffffff,
    0x36e02dff,0xffffffff,0xffeb8002,0xceffffff,0x7fecc00a,0xffffffff,
    0xffe82dff,0x007fffff,0x7e5fffcc,0x5fff86ff,0xb07ffd80,0x3ff60fff,
    0xfffffb07,0xdfffffff,0x40726001,0x7fd401ca,0x27ffffff,0xfffffffd,
    0xfffffb4f,0xffffffff,0x7ffe41ff,0x37ff4001,0xf8809ff5,0x0bfff64f,
    0x01ff2bff,0xfffffff3,0xffffffff,0x99809fff,0x0099fffd,0x013ffe20,
    0x9bffea00,0xfffffff9,0xffffffff,0xdfff3003,0x00bffea0,0x3ffee000,
    0x006fffff,0x7fffffc4,0xffffd82f,0xf886ffff,0xffffffff,0x7fec005f,
    0xffffffff,0x880fffff,0xffffffff,0x7cc005ff,0xffffffff,0x203fffff,
    0xfffffffd,0xffffffff,0x3ffffe20,0x4c007fff,0xffe8bfff,0x02fffc3f,
    0xfd83ffec,0x0fffb07f,0x59dffff7,0xdffffb73,0x50000000,0x39ddfffb,
    0x7fff6dc4,0xffffb0be,0xffffffff,0x6ffd8fff,0x27ffc800,0xed883ffb,
    0x3fee4fff,0xfcaffc5f,0x7fffcc07,0xffffffff,0x04ffffff,0xfffffffb,
    0x1001dfff,0x00009fff,0x7ccffff1,0xffffffff,0x6fffffff,0x04fffb80,
    0x0000fff9,0x3ffffee0,0x2003ffff,0xfffffff8,0x7fffe40f,0xf885ffff,
    0xffffffff,0x3f6000ff,0xffffffff,0x107fffff,0xffffffff,0x4c001fff,
    0xffffffff,0xefffffff,0xfffffd80,0xffffffff,0xffffc87f,0x4c007fff,
    0xfff53fff,0x02fffc1f,0xfd83ffec,0x8fffb07f,0x204ffff9,0x003ffffb,
    0xff980000,0xfff8802f,0x7776dc44,0xeeeeffff,0x02fffc1b,0xc8fffdc0,
    0x7ffdc1ff,0x3fe24fff,0x2bff0bff,0xeca807fc,0xeeeeefff,0x4fffeeee,
    0xffffff98,0x04ffffff,0x004fff88,0x41ffff00,0xeefffeca,0xfffffeee,
    0x7ffe404f,0x00dffd03,0x3ffee000,0x4fffffff,0x3ffb2600,0x6dc44fff,
    0x00bffffe,0xfffddd93,0x44007fff,0xfffeeedb,0x01beeeef,0x3ffbbb26,
    0x4003ffff,0xeeefffda,0xffffffee,0xeeedb886,0xeeeeffff,0xd333101b,
    0xf9800fff,0x3fff63ff,0x2017ffe5,0xffb07ffd,0xd1fff20f,0xf3007fff,
    0x55301fff,0x2aaa0155,0x3fe602aa,0xfff8802f,0x0fffb004,0x007fff10,
    0x365fff30,0x7fffdc7f,0x7fcc4ffe,0x95ffbfff,0x7fd400ff,0x4fff801f,
    0xfffffff0,0x005fffff,0x3009fff1,0x7fff4039,0x01fffa81,0x01ffff95,
    0xe817ffec,0x000006ff,0xd5fffff7,0x8009ffff,0x1ffffff9,0x0017ffe0,
    0xdffffffb,0xfffb0000,0xfffb0000,0x1000dfff,0x2e607fff,0xb004ffff,
    0xd8000fff,0x7cc007ff,0x3ffe23ff,0x00bfff2f,0xff10fffb,0x93fea0df,
    0x2006fffa,0x3e25fffc,0x442fffff,0x07ffffff,0x200bffe6,0xb004fff8,
    0xff300fff,0xff30007f,0xf89ff67f,0x4ff88bff,0xffffff98,0x400ff95f,
    0xf801fffa,0x995104ff,0x1799fffd,0x13ffe200,0x6c0fff10,0xffa83fff,
    0x7ffec01f,0x03fffe02,0x00037ff4,0x0efffb80,0x00bfffee,0xffffff98,
    0x017ffe06,0xfcefff88,0x6c0002ff,0x440007ff,0xfffcefff,0x7ffc4002,
    0x7fffdc03,0x07ffd800,0x03ffec00,0x70fffe60,0xfff1ffff,0x4fffb00b,
    0x05ffffc8,0x3fff9066,0x27ffe800,0x2ffffffa,0x7fffffd4,0x0bffe607,
    0x013ffe20,0x4403ffec,0xa8004fff,0x4ffb1fff,0x3fe24ffb,0xfffd7104,
    0x801ff2bf,0x5c41fffa,0x400fffa0,0x10007ffc,0xfa809fff,0xfff701ff,
    0x03fff509,0x104fff98,0x7ec0ffff,0x7000007f,0xff703fff,0x7fcc00df,
    0xf04fffff,0x7dc00bff,0x5fff9bff,0x3ffec000,0x3ffee000,0x005fff9b,
    0x401fffc4,0xd804fffc,0x6c0007ff,0x7cc007ff,0xfffd83ff,0xd805fffc,
    0x3fff27ff,0x7ec001ff,0xffc8006f,0x3ffffa0f,0x7fff442f,0x3fe607ff,
    0xfff8802f,0x0fffb004,0x001bffe0,0x7ec3fff2,0xf883ff27,0xffb8804f,
    0x5400ff95,0x3fe21fff,0x4003bea6,0x10007ffc,0xfa809fff,0xfff701ff,
    0x03fff509,0x102fffa8,0x7e40ffff,0x800001ff,0xfb01fffb,0x3e6007ff,
    0x1ffffdff,0x2005fff8,0xffd0fffe,0x7ec0001f,0x7f40007f,0x1fffd0ff,
    0x1fffc400,0x807ffe80,0x40007ffd,0x4c007ffd,0xff883fff,0x805fffff,
    0x3ff27ffd,0x7c001fff,0xfa8005ff,0x7fdc41ff,0xffb3102f,0x17ffcc0f,
    0x027ffc40,0xb007ffd8,0xe8003fff,0xc9ff67ff,0x13fe21ff,0xff95ff80,
    0x0fffd400,0x0041fff5,0x001fff20,0x2027ffc4,0xf901fffa,0xfff507ff,
    0x7fffdc03,0x03fffe00,0x002fffd4,0x0fffdc00,0x007fff88,0xff97fff3,
    0x0bfff0df,0xa97ffea0,0x20003fff,0x20007ffd,0x3ea5fffa,0x3e2003ff,
    0xff9003ff,0x7ffd803f,0x3ffec000,0x0fffe600,0x7fffffdc,0x27ffd805,
    0x05ffffc8,0x00fffe20,0x20fffe60,0x6c02fffa,0x3fe607ff,0xfff8802f,
    0x0fffb004,0x017ffea0,0x365fffb8,0x437fea7f,0x3e004ff8,0x400ff95f,
    0xeeeefffa,0x20001fff,0x10007ffc,0xfa809fff,0xfffd01ff,0x43fff503,
    0xffffeba8,0x17fff405,0x005fffd0,0xfb80eec4,0x3ff201ff,0xfff9803f,
    0x43fffe8b,0xfb005fff,0x6fff83ff,0x1fff6000,0x1fffd800,0x10037ffc,
    0x2e007fff,0x7ec02fff,0x7ec0007f,0x7fcc007f,0x3fffa03f,0xffd805ff,
    0x06ffe887,0x3fe25dd1,0xff98003f,0x2fffa83f,0x303ffec0,0xf1005fff,
    0x3f6009ff,0x3ffa007f,0xfff9803f,0xfd1ff60f,0x0bff9bff,0x7fcaffc0,
    0x3fffea00,0x01ffffff,0x01fff200,0xfffeeca8,0xeeeeeeef,0xff01fffe,
    0xfff501ff,0xffffffff,0xfc801dff,0x3fee03ff,0xff9804ff,0x7ff64c6f,
    0x7c40bdef,0x301befff,0x3fea7fff,0x17ffe0ff,0x21bffe20,0x0002fffc,
    0x2000fffb,0xfc86fff8,0xff1002ff,0x3fe6007f,0x3ffec03f,0x1fff6000,
    0xefffda80,0x7ffcc1bd,0xffd805ff,0x20fffb07,0x3ffe6ffc,0xfffa8005,
    0x02fffa81,0xf303ffec,0xff1005ff,0x3ff6009f,0x3ffee007,0x3ffea04f,
    0x307fdc3f,0xffffffff,0x657fe003,0x3fea007f,0xffffffff,0x3ff20001,
    0xffff7007,0xffffffff,0x3fffffff,0x20ffff10,0xfffffffa,0x004fffff,
    0xd809fff7,0x9acfffff,0xffffdba9,0x3ffffe65,0xfc85ffff,0x980fffff,
    0x3ff63fff,0x017ffe5f,0x260fffee,0xb0005fff,0x2e000fff,0xff983fff,
    0xfff1005f,0x3ffe6007,0x03ffec03,0x01fff600,0x7fffffcc,0xfffc87ff,
    0x7ffd805f,0x360fffb0,0x1bff67ff,0x03fff200,0xb00bffea,0x7fcc0fff,
    0xfff8802f,0x0fffb004,0xeffffc80,0xfffdb99b,0x41ffa86f,0xffffffd8,
    0x32bff000,0x3fea007f,0xfffeeeef,0x3ff20001,0xffff9007,0xffffffff,
    0x3fffffff,0x20dfff50,0xfffffffa,0x2006ffff,0x4405fffa,0xfffffffe,
    0xffffffff,0x3ffffea1,0xf886ffff,0x981fffff,0x3fe23fff,0x0bfff2ff,
    0x99bfffd0,0x1ffff999,0x0fffb000,0x37fffa00,0xfffccccc,0xfff8800f,
    0x5fff3003,0x007ffd80,0xffdddd95,0x7bddddff,0x7ffffd41,0x7c40ffff,
    0xfd805fff,0x0fffb07f,0xffc9fff6,0x7ff4001f,0x05fff507,0x2607ffd8,
    0xf8802fff,0xffb003ff,0xfffb000f,0xffffffff,0x5ff101df,0x000cccc0,
    0x03fe57fe,0x543fff50,0x00041fff,0x2200fff9,0xfffffffd,0xffffffff,
    0xffd81fff,0xbfff504f,0xffffd999,0x3ffe2009,0xfffc801f,0xffffffff,
    0xffec80df,0x902dffff,0x2609dfff,0x7fdc3fff,0x05fff8ff,0x7fffffd4,
    0xffffffff,0x7ffd8003,0xffffa800,0xffffffff,0xff8803ff,0xfff7003f,
    0x07ffd803,0xffffffa8,0xffffffff,0x7ff644ff,0xf503efff,0xffb00bff,
    0x41fff60f,0x3fea7ffd,0x3fee006f,0x5fff505f,0x207ffd80,0xa804fff8,
    0xfb002fff,0x3f2000ff,0xffffffff,0x02ffc05f,0x95ff8000,0x7fd400ff,
    0x91ffe21f,0x3ff600df,0x00000007,0x01ffff30,0x3207ffea,0xb003ffff,
    0x2600bfff,0xfffffffc,0x000003df,0x3fff9800,0xffcfffd8,0x7ffec05f,
    0xffffffff,0xd8007fff,0xfd8007ff,0xffffffff,0x807fffff,0xb003fff8,
    0xffb00fff,0xffff700f,0xffffffff,0x000bffff,0x7fec0000,0x20fffb07,
    0x7ff47ffd,0xfff9803f,0x5fff500f,0x407ffd80,0x6c00effe,0xfb000fff,
    0x74c000ff,0x2dffffff,0x001ffe80,0xf95ff800,0x7ffd400f,0x3fe05c41,
    0x6fff801f,0x00220000,0x02fffe40,0x3203fff5,0xa802ffff,0x4000ffff,
    0x0009dff9,0x00002200,0xf107fff3,0x0bffffff,0x7fffffc4,0xffffffff,
    0x7ec002ff,0x7fc4007f,0xffffffff,0x02ffffff,0x401fffc4,0xd806fff8,
    0xfd8807ff,0xffffffff,0x01dfffff,0x80000880,0xffb07ffd,0x31fff60f,
    0x5409ffff,0x2603ffff,0xfb304fff,0xffc80fff,0xfff900df,0x3ffec00d,
    0xffff5000,0x502a017f,0x00880bff,0x7fcaffc0,0x07ffea00,0x00fffe60,
    0x000bfff5,0x00bbfe60,0x01ffff88,0xc807ffea,0xe800ffff,0xe8004fff,
    0x5c00004f,0x30001dff,0x3ee07fff,0x205fffff,0x8803fffb,0x6c005fff,
    0x7dc007ff,0xff8803ff,0x7ffc405f,0x7fff4403,0x07ffd804,0x00ffea00,
    0x5dff3000,0x3ffec000,0xfb07ffd8,0xffff70ff,0xffb7357d,0xfff00dff,
    0xffb7337f,0x2039ffff,0xadfffff8,0x1ffffeb9,0x01fff600,0x7ffffdc0,
    0xfcabdfff,0x2fff40ff,0x2600ffb8,0xfb6ffacc,0xfa80155f,0xff9801ff,
    0x2e26ea3f,0x0002ffff,0x01ffff10,0x01bfff20,0xd803fff5,0xfa805fff,
    0x74000fff,0x00000eff,0x000dfff5,0xe80fffe6,0x205fffff,0xb000fffe,
    0x6c001fff,0x7f4007ff,0xffb000ff,0x7ffc401f,0xfffd3103,0xfffb001d,
    0x03fdc000,0x7ffc4000,0xffb0000f,0x0bfff20f,0x7ec1fff6,0xffffffff,
    0xd800efff,0xffffffff,0xffffffff,0xfffff300,0x9fffffff,0x3bbb6e20,
    0xdeeeffff,0x3ffe600b,0xffffffff,0x4c2fffff,0xfeceffff,0xff700fff,
    0xffdfffff,0x2e60ffff,0xeeeefffe,0xffeeeeee,0xfffff73f,0x0000dfff,
    0x0bfeeb32,0x0bfffe20,0x77fff64c,0xffe880bd,0x3fa00bdf,0x361004ff,
    0x40002ffe,0x0ffcabd8,0x7ffed400,0x7fcc1bde,0xfda85fff,0x880bdfff,
    0xcefffeda,0x3bbb6e20,0xdeeeffff,0x7ffed40b,0xda880bdf,0x40cefffe,
    0xeeefffc9,0xfffffeee,0x776dc41f,0xeeeffffe,0xff8800bd,0x0001fc9b,
    0x0bfeeb32,0x7fffedc0,0xffff507f,0x03ffec5d,0xfffffff7,0x44009fff,
    0xfffffffe,0xffffffff,0x3fffea00,0x03ffffff,0x3ffffff6,0xffffffff,
    0x3ffff206,0xffffffff,0xff306fff,0x5fffffff,0x7ffffcc0,0xfffffbff,
    0xfffff886,0xffffffff,0x93ffffff,0xffffffff,0xff100001,0x7001ffff,
    0x3e60bfff,0xffffffff,0xfffff306,0x3fffcc0b,0x7deffd40,0x7d40003f,
    0x4005ffff,0xfffffff9,0xffffc87f,0x7ffffdc5,0xffc86fff,0x25ffffff,
    0xfffffffd,0x6fffffff,0x3fffffee,0xfffc86ff,0x265fffff,0xffffffff,
    0xffffffff,0xfffffd83,0xffffffff,0xfffb006f,0x220005ff,0x00ffffff,
    0xffffff98,0x3fff607f,0x01fff66f,0xffffffb1,0xfd10005d,0xb7bfffff,
    0x1007dfff,0xdffffff9,0xffffe803,0xffffffff,0xff500fff,0xfd979bff,
    0x4019ffff,0xceffeca8,0x33333000,0x40266621,0xfffffff9,0xffffffff,
    0xfd13ffff,0x001bffff,0x77ffd400,0x1fff5002,0x3ffffea0,0x3207ffff,
    0x6406ffff,0xff8806ff,0x0000ffff,0x01dfffc8,0x7ffffd40,0x7c40ffff,
    0x7fe45fff,0x87ffffff,0xfffffffd,0x3ffffa7f,0xffffffff,0xfff90fff,
    0xb0ffffff,0xffffffff,0x7ffffd4f,0xffffffff,0xfffd01ef,0xffffffff,
    0x1001ffff,0x0007dfd9,0x02efffa8,0xffffff10,0xfffe80ff,0x801bfee6,
    0x00001ba9,0x00157951,0x09ba9800,0xffffb300,0xffffffff,0x00a8805b,
    0x0002aa62,0x00000000,0x3fffffb2,0xffffffff,0x54c3ffff,0x000001bc,
    0x36e00022,0x7fff6401,0x7402dfff,0xdb802dff,0x9db51001,0x08800003,
    0x3ffb2000,0xf503efff,0xffd98bff,0x982dffff,0xdffffffd,0x3ffff662,
    0xffffffff,0x3fff662d,0xd982dfff,0x2dffffff,0x7fffff64,0x01bcefff,
    0x7ffffecc,0xdfffffff,0x00008002,0x54000440,0x06eeeeec,0x6e40cca8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x000001ba,0x00003b88,0x666665c4,
    0x2001cccc,0xccccccb8,0xfd981ccc,0xffffffff,0x7642dfff,0x22dfffff,
    0xffffffd9,0xcb98801d,0x03cccccc,0x02a00000,0x00571000,0x99999710,
    0x00039999,0x00000031,0x00010000,0x33220000,0x3ffffae0,0xffffffff,
    0xb804ffff,0xfffffffd,0x1000002f,0x00000000,0x00000000,0x01001000,
    0x00000000,0xfd500000,0x16cc19ff,0x3ff22000,0x006e42ff,0x3fffff20,
    0x006fffff,0x3ffffff2,0xfd86ffff,0xffffffff,0x50ffffff,0xffffffff,
    0x3ffff61f,0x5405ffff,0xffffffff,0x000006ff,0x4000bf50,0xc8006ff9,
    0xffffffff,0x7cc006ff,0x7440003f,0x2e00002f,0x00002eff,0x3a026aa6,
    0xffff34ff,0xffffffff,0x09ffffff,0xffffff88,0x0005ffff,0x01f7f540,
    0x3ffb2a00,0x220003ce,0x02cefedb,0xe980f7c4,0x03fc800f,0xca8017e6,
    0x4001defe,0x7fb103fe,0x7ffcc000,0xffccffff,0x7fe40004,0xfebeffff,
    0x76cc001f,0xdeeeeeee,0x3bb66002,0x2deeeeee,0xffffffd8,0xffffffff,
    0x3ffffea6,0x3ff27fff,0x04ffffff,0x3fffffee,0x006fffff,0x0df90000,
    0x07ffea00,0x3bbb6600,0x02deeeee,0x0037fdc0,0x0017fee0,0x7f5efdc0,
    0x3f620001,0x91efffff,0x3fe6bfff,0xffffffff,0xffffffff,0x7fffc404,
    0x0fffffff,0x7df30000,0xd50007fb,0xffffffff,0xffc8003d,0x04ffffff,
    0xf913ffe6,0xff9001ff,0x201bfa01,0xffffffd8,0xffd000df,0x1fffd41b,
    0x23df7000,0x0efffffb,0x8a7fc000,0x03fffffd,0x00000000,0x3b6e2000,
    0xeeffffee,0x7edc1cee,0x221ceeff,0xbefffedb,0x39fff100,0xdfd33333,
    0x3a000000,0xffc8006f,0x0000001f,0x07ffd800,0x03ffec00,0x3e25e800,
    0xfff70004,0xdfffffff,0x6543ffff,0xeeeefffe,0xfffeeeee,0xeeec9804,
    0x03ffffff,0x6c1f9000,0x7ffe4006,0xffffffff,0xffe8801f,0x7fffffff,
    0x577ffd40,0x3002fffe,0xb5117dff,0xfe8807ff,0xffffffff,0xffe8800e,
    0x04fffdbf,0xfd881800,0x880000be,0x01cfea80,0x00000000,0xffb00000,
    0x7ffcc00f,0x4fff8802,0x201ffd40,0x000006fd,0x4004ffb8,0x0000effc,
    0xfb000000,0xfd8000ff,0xf880007f,0x6c002f44,0xffffffff,0x3fffffff,
    0x003fff50,0xb0009fff,0x0dffffff,0xf91b6000,0x7fffcc00,0xffffedff,
    0x7ffcc06f,0xffddffff,0xfffd8803,0x5c000dff,0xffffffff,0xffffd805,
    0x5fffffef,0x3fffee00,0x000001ef,0x00000000,0x00000000,0xd8000000,
    0x3e6007ff,0xff8802ff,0x07fec04f,0x3b217f20,0x22dfffff,0xffffffd9,
    0x4002ffff,0x000005ff,0x7fec0000,0x7fec0007,0x5f900007,0xb8005f71,
    0xaaceffff,0x5ffffffc,0x007ffea0,0x10013ffe,0xfff9dfff,0x7f500005,
    0x4c009f51,0x5440efff,0xf103fffe,0x8839ffff,0x7ffd4000,0x3faa0002,
    0x9803ffff,0x910bffff,0x4003ffff,0x0004ffe8,0x00000000,0xdb800000,
    0xffffffff,0x7fecc002,0xffffffff,0xfd802dff,0x3fe6007f,0xfff8802f,
    0x017fe404,0xfff50766,0x21ffffff,0xfffffffd,0x98007fff,0x75c0c401,
    0xffffffff,0xffffffff,0x7fff4404,0xffb0002d,0x3e60000f,0x44006fff,
    0x3a04ffff,0x2a04ffff,0x05c41fff,0xb8007ffd,0xfff9bfff,0xffd00005,
    0xfc8001df,0x27ffd404,0x17ffff44,0x02e20000,0x0d54c000,0x07fffb00,
    0x0017ffea,0x7000006e,0xfffffffb,0xfb50005f,0x3220bfff,0x1dffffff,
    0xffffff88,0x4005ffff,0xfffffffd,0xffffffff,0x03ffec00,0x005fff30,
    0x2209fff1,0x002ffffc,0xffffffa8,0x3fff27ff,0x1effffff,0xff980000,
    0x3ffffe65,0xffffffff,0x104fffff,0xfffffffb,0x7ec009ff,0x5400007f,
    0xffe8001c,0x3fff203f,0xff500fff,0x537fc43f,0xfe8001df,0x1fffd0ff,
    0x0b260000,0x3fe00000,0xffffb86f,0x00000002,0x3a000000,0x3fa00fff,
    0x000000ff,0x7fffc400,0x05ffffff,0x7ffffc40,0xfffd82ff,0x886fffff,
    0xffffffff,0x36000fff,0xffffffff,0x07ffffff,0x2007ffd8,0x8802fff9,
    0xffa84fff,0x004fffff,0xeefffdb8,0x3fb6e21c,0x000aceff,0x56776544,
    0x21ffff30,0xfffffff9,0xffffffff,0xff984fff,0xffffffff,0xffb000ff,
    0x0000000f,0x81bffea0,0xfffffffa,0x43fff504,0x0020fffa,0xa97ffea0,
    0x00003fff,0x44000000,0xfff85fff,0x2a00001f,0x01acdedb,0x9bdb7500,
    0xdfff0035,0x01fffb80,0x6f76e544,0x1000311c,0xffffffff,0x44001fff,
    0xffffffff,0x7ffffe40,0xd9305fff,0xffffffdd,0x76dc4007,0xeeffffee,
    0xfd801bee,0x3fe6007f,0xfff8802f,0xddeffe84,0x4002efff,0x8802fff9,
    0x98004fff,0xfffffffe,0x46ffffef,0xeefffeca,0xfeeeeeee,0x7ffcc4ff,
    0xffffffff,0x2aaa22ff,0xafffeaaa,0x980aaaaa,0x5500aaaa,0x3f205555,
    0xfff101ff,0x20ffff9f,0xeeeefffa,0x40001fff,0x7fc1fffd,0x7310006f,
    0x039bdddb,0xfffb0000,0x05fffa87,0xfffd5000,0x01bfffff,0x3ffffaa0,
    0x200dffff,0x7d405fff,0x3fee03ff,0xefffffff,0xc98004ff,0xfffffeee,
    0x764c003f,0x444fffff,0xbffffedb,0xffffb000,0xb0000dff,0x6c000fff,
    0x3e6007ff,0xff8802ff,0x22ffc44f,0x01effffa,0x005fff30,0x8009fff1,
    0xfffffffc,0xefffffff,0x03fff500,0xfe89fff0,0x3a60afff,0xfff12fff,
    0xffffffff,0x5fffffff,0x3fffffe2,0x7ffffc42,0x0dffb07f,0xfdb7fff4,
    0xfffa80ff,0x1fffffff,0x3ffe2000,0x02fffc86,0x3ffff620,0x1effffff,
    0xd7551000,0xfd81ffff,0x7bb952ff,0x3fff6003,0xffffffff,0x7ffec03f,
    0xffffffff,0x1fffd03f,0x427fff40,0xffffffe8,0x7fffffff,0xfffd8000,
    0x30006fff,0x03ffffff,0x1002fffc,0xfff9dfff,0xffd80005,0x3ff60007,
    0x3ffe6007,0x4fff8802,0x6440ffd8,0x400dffff,0x8802fff9,0x32004fff,
    0xeeffffff,0x1fffffff,0x007ffea0,0xffa93ffe,0xfff500ef,0x3ffffea3,
    0xffffffff,0xf54fffff,0xa85fffff,0x07ffffff,0x3f60bfff,0xfff70fff,
    0xfffff503,0x003fffff,0x41fffdc0,0x2005fff9,0xfffffffb,0x00efffff,
    0x7ffffd40,0xffe82fff,0xfffffe9f,0x7ffe403f,0xffffefff,0xff901fff,
    0xfffdffff,0xfb03ffff,0x3ff205ff,0xfffe85ff,0xffffefff,0x0000ffff,
    0x3f3bffe2,0xf98002ff,0x206fffff,0x2e005fff,0xfff9bfff,0x7fec0005,
    0x3ff60007,0x3ffe6007,0x4fff8802,0x982effa8,0x202ffffe,0x8802fff9,
    0xf5004fff,0xe883dfff,0x203fffff,0x5c41fffa,0xfc8fffa0,0x3ff401ff,
    0xffffffd1,0xffffffff,0x7ff43dff,0x7f442fff,0xf887ffff,0xfffb84ff,
    0x0fffe61f,0x3bbbffea,0x0001fffe,0x3337fffa,0x0ffffccc,0xfffff300,
    0xffffdddf,0xfffd800b,0xff04ffff,0xffffffff,0x3ea0bfff,0x220adfff,
    0xa86fffeb,0x20adffff,0x86fffeb8,0x540efffb,0x5c6fffff,0x4c0cffff,
    0x00ffffeb,0x2fffee00,0x8005fff9,0xfffffff9,0x00bfff04,0xfe87fff4,
    0x360000ff,0x360007ff,0x3e6007ff,0xff8802ff,0x9fffb04f,0x13fffea0,
    0x4017ffcc,0xb004fff8,0xfd109fff,0x01ffffff,0xf887ffea,0xd83bea6f,
    0x015007ff,0xfb333331,0x133333ff,0x0bffee20,0x43ffecc4,0x7cc4fff8,
    0x7fcc3fff,0x1fffa83f,0x0107ffea,0x3ffffea0,0xffffffff,0x2f2a003f,
    0x7fff981a,0x7fffd400,0xff81ffff,0xffffffff,0x7c43ffff,0x74405fff,
    0x3fe24fff,0x7f4405ff,0xfffe84ff,0xffffeacf,0x3ffe27ff,0x7ffc401f,
    0x3fa0000f,0x1fffd0ff,0xdfff9800,0xff81ffff,0xfff5005f,0x01fffd4b,
    0x00fffb00,0x003ffec0,0x1005fff3,0x7dc07fff,0xfd882fff,0xfff983ff,
    0x4fff8802,0x10bfff00,0xffbffffd,0x3ffea07f,0x083ffea1,0x0006ffe8,
    0x00fffb00,0x805fff50,0xfff07ffd,0x2ffffc4d,0x540fffd4,0x3fe21fff,
    0x6c037e47,0xffffffff,0x07ffffff,0xfffc8000,0x6e544000,0x7c1fffff,
    0x32efffff,0x541ffffb,0xf1005fff,0x7ffd4fff,0xffff1005,0xffffff30,
    0xffffffff,0x8027ffdc,0x20006ffb,0x3ea5fffa,0x7cc003ff,0x6fffcbff,
    0xb005fff8,0xfff83fff,0x3ff60006,0x3ff60007,0x3ffe2007,0x2fffb804,
    0x77fffcc0,0x986ffa81,0xf8802fff,0xffa804ff,0x7fff441f,0x04fff99f,
    0xddddfff5,0xfd803fff,0xb000007f,0xf5000fff,0xffd805ff,0x21fffd07,
    0xc80efffe,0xffa80fff,0x3e05c41f,0x3fe201ff,0xffffffff,0x02ffffff,
    0x6f65d440,0x00fffdcc,0x7fff4c00,0x37ffff47,0x2e4fffc8,0xffffffff,
    0xffffffff,0xffff70ff,0xffffffff,0x01ffffff,0xfffffff5,0x64bffddf,
    0x91000fff,0x7ec0003b,0x37ffc1ff,0x2fffe600,0x7c3fffe8,0xff8805ff,
    0x2fffc86f,0x0fffb000,0x03ffec00,0x003bffe0,0x1003ffff,0x709ffffb,
    0xfff983ff,0x4fff8802,0x447ffc80,0x3e1ffffe,0xfff506ff,0x3fffffff,
    0x03fffc80,0x7fec0008,0xfffa8007,0x83ffec02,0xffcafffd,0xdffd01ff,
    0x007ffea0,0xb80fffe6,0xf8803fff,0xf91005ff,0xffffffff,0x00001fff,
    0x643fffd1,0xf301ffff,0x7ffecbff,0xffffffff,0x2fffffff,0xfffffffb,
    0xffffffff,0x36205fff,0xf8bfffff,0x1bff63ff,0xf1000000,0xfff90dff,
    0x7ffcc005,0x41ffff53,0xfb805fff,0xfff983ff,0xfffb0005,0x3ffec000,
    0x37fff200,0x0ffff900,0xefffe980,0x985ff931,0xf8802fff,0xffd804ff,
    0xffffd10f,0x506ffe85,0xffffffff,0xff9803ff,0xfda882ff,0xfffb000e,
    0x5fff5000,0x507ffd80,0xffffdfff,0x17ffee05,0x400fffd4,0x3a03fff9,
    0xfb000fff,0xff9801ff,0xffffffff,0x0000ffff,0x5c7fff70,0x7f404fff,
    0x3ffff67f,0xffffffff,0xb3ffffff,0xffffffff,0xffffffff,0x353007ff,
    0xfd0fffdc,0x000000df,0x983fffb8,0x26005fff,0x3ff63fff,0x017ffe5f,
    0x3337fffa,0x0ffffccc,0x07ffd800,0xfeeedb88,0xbdeeefff,0xfffff101,
    0xfffd535b,0x3ea0003f,0x7fffffff,0x802fff98,0xb804fff8,0xfffb3fff,
    0x3fff885f,0xdddfff50,0xb003fffd,0xb57bffff,0x007fffff,0x2001fff6,
    0x6c02fffa,0x3ffa07ff,0xf304ffff,0xeb983fff,0xeeeeefff,0xfffeeeee,
    0xffffda83,0xeda880bd,0x880cefff,0xffffffff,0x0fffffff,0xfff10000,
    0x017ffd49,0xffb9fff6,0xccccccdf,0xcccccccc,0x99bfff71,0x99999999,
    0x00039999,0x641ffff3,0x000007ff,0x66ffff40,0xffffcccc,0x7fff3000,
    0xf97fffc4,0x7fd405ff,0xffffffff,0x8003ffff,0xfc807ffd,0xffffffff,
    0x206fffff,0xfffffffa,0x004fffff,0x7fffec40,0xfff982ff,0x3fff8802,
    0xdefffa80,0xfd82ffff,0xfff501ff,0x20fffd43,0xffffe880,0xffffffff,
    0x0fffb000,0x05fff500,0x2607ffd8,0x505fffff,0xf887ffff,0xffffffff,
    0xffffffff,0x7ffdc3ff,0xc86fffff,0xffffffff,0xdffffe85,0x3ff6660b,
    0xf300000f,0x7ffcc5ff,0x9bffe205,0x000efff9,0x077ffcc0,0xf9800000,
    0x7fdc3fff,0x0008002f,0xffffffa8,0xffffffff,0x7fff3003,0xf8ffffb8,
    0x7fec05ff,0xffffffff,0x8007ffff,0xfd807ffd,0xffffffff,0x00ffffff,
    0x3fffffe6,0x1003ffff,0x07fffb00,0x4027ffc4,0xd002fffa,0x7fffffff,
    0x07fffd88,0xf887ffea,0x4437e47f,0xfffffffe,0x2e003fff,0xfa8005ff,
    0x7fec02ff,0x7ffff407,0xffdb9ace,0xfff985ff,0xffffffff,0xffffffff,
    0x7ffffe43,0xffd87fff,0x47ffffff,0x400ffff8,0x5100fffb,0xfffd1001,
    0x02fffe81,0xfe8bfff7,0x262005ff,0x02ffff40,0xb8001310,0xf985ffff,
    0xd5001fff,0xffd8007f,0xffffffff,0x3007ffff,0xffb07fff,0x40bfff9f,
    0xfffffff8,0xffffffff,0x7fec002f,0xfffd9807,0xffffffff,0xfc8802ef,
    0x01efffff,0xfd00bf30,0x1dffd00f,0x00fffd80,0xffffff30,0xfff9533b,
    0x7fd407ff,0x3e05c41f,0xffd501ff,0x0019dfff,0x8001dc88,0xb304fff9,
    0x7dc0ffff,0xffffffff,0x00ffffff,0xffffffd9,0xffffffff,0xfd987fff,
    0x82dfffff,0xffffffd9,0x27ffd42f,0x1ffff910,0x359fff30,0xfffb5333,
    0xffff50df,0xfffd737b,0xffff985f,0xba999bdf,0x260ffffd,0x9bdfffff,
    0xfffdba99,0x26b3660f,0x6fffffca,0x37ffff20,0xdba9899a,0x22007fff,
    0xffffffff,0xffffffff,0x3fff9802,0xffffff88,0x3ffee05f,0x5fff8803,
    0x03ffec00,0x002ffa80,0x15dfd100,0x807fb800,0xffc807fe,0xfff900df,
    0xfffe800d,0xffffffff,0x7d404fff,0xff9801ff,0x7ffec03f,0x00000000,
    0x4cdffffc,0xffffffdb,0x7fffcc1c,0xffffffff,0x00000dff,0x0002ff98,
    0x81ffc400,0x9abffff8,0xfffffdb9,0x3fea1bef,0xffffffff,0xd01fffff,
    0xffffffff,0x3f20bfff,0xffffffff,0x2fffffff,0x7fffffe4,0xffffffff,
    0x3fffa2ff,0xefffffff,0x7fffec00,0xffffffff,0x2e005fff,0xf8803fff,
    0xff9805ff,0xffff703f,0x7ff40bff,0xfffb000f,0x3ffec001,0x006fc800,
    0x001ffc00,0x2e00ffc8,0xff8805ff,0xdb9adfff,0x2001ffff,0xfffffffc,
    0x3fffffff,0x01fffa80,0x403fff98,0xca807ffd,0xeeeeeeed,0x3cdeeeee,
    0x3fffff60,0xffffffff,0x3ffe0fff,0xffffd9df,0x00002eff,0x0009bf20,
    0x44ff5000,0x7ffffec0,0xffffffff,0x7ec7ffff,0xffffffff,0x2200efff,
    0xfffffffe,0x3ee00eff,0xffffffff,0x706fffff,0xffffffff,0x8dffffff,
    0xfffffffe,0xe8800cff,0xffffffff,0x00efffff,0x003fffa0,0x2007ffec,
    0x3a03fff9,0xa85fffff,0x0bdffffd,0xfffeda88,0x3b6e20ce,0xeeffffee,
    0x7dc00bde,0x001fdaaf,0x3aebbfa0,0x99ff9005,0xfffd9999,0x3ffe6005,
    0xffffffff,0x3ff2004f,0xffffddff,0x4c00bdff,0xeeefffeb,0xfeeeeeee,
    0x7fec03ff,0x7fffcc07,0xffffffff,0x03ffffff,0xffffffd1,0xffffffff,
    0x1bffee1f,0x00137751,0xbff30000,0x00000dfd,0x1ffbbff1,0x7fffff44,
    0xffffffff,0x2e20ffff,0xfffffffe,0xf91004ff,0x07ffffff,0x3ffff620,
    0x2dffffff,0x7fffec40,0x2dffffff,0xfffffe98,0xea8000cf,0xffffffff,
    0x36a002df,0x80bdffff,0xefffeda8,0xfffda80c,0x7fcc1bde,0x7fdc5fff,
    0x86ffffff,0xfffffffc,0x3ffff65f,0xffffffff,0x7fc406ff,0x0001ffff,
    0x1bffffea,0x7ffffe40,0x04ffffff,0x7ffff4c0,0x003fffff,0x313fffe2,
    0x7c400377,0xffffffff,0xffffffff,0x7fdc03ff,0x7fffd405,0xffffffff,
    0x04ffffff,0x3fffffa2,0xefffdbdf,0x003ffe63,0xe8000000,0x0004ffff,
    0xdffff900,0xfffff910,0xfff97dff,0x554c07df,0x0001aabb,0x00357531,
    0x5565d4c0,0x75300009,0x20013559,0x0000aba8,0x57995530,0xffb80013,
    0x86ffffff,0xfffffffc,0x7fffcc5f,0xfc87ffff,0x7fe45fff,0x87ffffff,
    0xfffffffd,0x3ffffa7f,0xffffffff,0x64c00fff,0x80003eff,0x001dffda,
    0xfffffff9,0x20005dff,0xffffffc8,0xffe8001e,0x3e600004,0xffffffff,
    0xffffffff,0x7f4403ff,0xffffd802,0xffffffff,0x800effff,0x000abca8,
    0x00000654,0x6ed40000,0x2000000a,0x2200adc9,0x000abcba,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfffffffc,0xffffd87f,0x7d47ffff,
    0xffffffff,0x2ffffc40,0x3fffff66,0xffd982df,0x262dffff,0xfffffffd,
    0x02dfffff,0x40000040,0x99988000,0x00009999,0x004dd4c0,0x00057100,
    0xffffd900,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd980000,
    0x82dfffff,0xffffffd9,0xfffec82d,0xff503eff,0x000000bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c980000,
    0x00000000,0x20000080,0x000002c8,0x00000e44,0x00000000,0x02200200,
    0x40000000,0x95000000,0x02002001,0x70722000,0x064c0009,0x00059000,
    0x00000800,0x4c000020,0x0000001c,0x04000193,0x50000040,0x44000009,
    0x3300002b,0x77fee440,0xf700002c,0xdf10007f,0x007fa603,0x001efb80,
    0x004ffa80,0x0bff5000,0x4c0bbe20,0x27e401fe,0xea809f90,0x017e602e,
    0x2a2001fd,0x000acfec,0x0005fd30,0x802ffc80,0x17e603fc,0x24ff9800,
    0xb8000ffd,0xf30003ff,0x100000bf,0x800007fb,0x80003fe8,0x00003ffc,
    0x001ffdc0,0x3e203fb8,0xffc80006,0xe9800001,0x7dd5006f,0x5c1fffe8,
    0xffffffff,0x3f20000d,0xf88000ef,0x7ffdc4ff,0xffd88001,0xe80003ff,
    0x00000dff,0x4007ffee,0x7dc4fff8,0x7fe401ff,0x17ffa61e,0x02ffffa8,
    0x3ee05ff3,0xffe8801f,0x003fffff,0x06ffffdc,0x3ff62000,0x01ff9005,
    0x4c001bfa,0x9ffb0fff,0x1dff9000,0x77fec000,0xff700000,0x00003dff,
    0x01dffff7,0x27ff4400,0xffc80000,0xff90000e,0x001bf601,0x005ffe88,
    0x1fffa800,0x21ffff00,0x365ffffa,0xffffffff,0x44000fff,0x0000dffe,
    0x3abbffe6,0xa8002fff,0xefffefff,0x7fec0001,0xfd80001e,0x74c000ef,
    0xfffeaeff,0x9fffb002,0x401bfff7,0x205ffffd,0xf931bffe,0xffd100df,
    0x7fffffff,0xdfffd300,0x20005fff,0x2004ffe9,0xa88beff9,0x98003ffd,
    0x9ffb1fff,0xdffe8800,0xffc80000,0x3620001f,0x3fffefff,0xfffb1000,
    0x0007fffd,0x0077fec4,0xdffe8800,0x3fe60000,0xffda88be,0xffd30003,
    0xf9000009,0x7f4003ff,0x3fffee7f,0xdfffff75,0x0bfffffd,0x004ffe80,
    0xffffb100,0xf70001bf,0x3ff627ff,0x7dc0001f,0x360000ff,0x20000dff,
    0x0dfffffc,0x7fffd400,0xfff802ff,0x3fe607ff,0x0fffffff,0xeffffe80,
    0x00fffffd,0x6437ffe6,0x44003fff,0xb8003fff,0xffffffff,0xfff88005,
    0x0009ff91,0x00009ffd,0x001fffa8,0x71efff88,0x8800bfff,0xff70efff,
    0xfc80009f,0xfd00006f,0x2e00009f,0xffffffff,0xfff10005,0xf9000007,
    0xc98001df,0x3fffa21c,0x1cffff89,0x0bfffee2,0x001ffcc0,0x17ffd400,
    0x03dff000,0x00009ff7,0x20005ff3,0x00004ff8,0x0007ffd5,0x006ffec4,
    0x06ffffe8,0x7ffffec4,0xfffa800c,0x2fffec0e,0xd305ff90,0xffb800df,
    0x3faa0001,0x0003ffff,0x27fc3df5,0x017fcc00,0x3fe98000,0x83ffb800,
    0x2000ffd8,0xfe883ffb,0xffb80007,0x7fcc0001,0x75400002,0x003fffff,
    0x0007fee0,0x002ffc00,0x3e629800,0x3ff206ff,0x002a004f,0x00b88000,
    0x22014c00,0x3100000b,0x00198000,0x0005c400,0x6c002a80,0x1005ffff,
    0x74001353,0xffd00fff,0x002e201f,0x01500035,0x06aa6000,0x0620a000,
    0x0000a800,0x20001800,0x0015400b,0x035002e2,0x00062000,0x00000540,
    0x00035510,0x000002a0,0x00000198,0x80bffee0,0x0006fff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffc800,0x54000005,0x3ea04fff,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff700000,0x7ffc405f,0x0aaaa985,
    0x05555550,0x8055554c,0x002aaaaa,0x9bddb951,0x73000623,0x000159db,
    0x9bddb951,0x64c00623,0x98aceeed,0x76dcc401,0xc801cdee,0x3104ffff,
    0x39bdddb7,0x01fff700,0x4c06fff8,0x8aceeedc,0xedc98019,0x0198acee,
    0x2b3b6e60,0x36e60000,0x20000ace,0x00acedb9,0x776dcc40,0x26001cde,
    0x5500aaaa,0x31005555,0x39bdddb7,0x55554c00,0x55555500,0xddb73100,
    0x4c0039bd,0x5500aaaa,0x54005555,0x01acdedb,0x6f6e5440,0x05eedc42,
    0x3001bb30,0x7e40bfff,0x3ffe23ff,0x7fc42fff,0xf887ffff,0x442fffff,
    0x07ffffff,0xffffffb8,0x04ffefff,0x7ffffec4,0x7002dfff,0xffffffff,
    0x4c09ffdf,0xfffffffe,0xd882ffff,0xffffffff,0x3ee01eff,0x7ec43fff,
    0xffffffff,0x3ff601ef,0x07ffd807,0xffffffd3,0x205fffff,0xffffffe9,
    0x202fffff,0xffffffd8,0xb1002dff,0xffffffff,0x3f62005b,0xdfffffff,
    0x7ffec402,0xefffffff,0x3fffe201,0x7ffc42ff,0x36207fff,0xffffffff,
    0x3e201eff,0x442fffff,0x07ffffff,0x3fffff62,0x01efffff,0x3fffffe2,
    0x7ffffc42,0xffea807f,0x0dffffff,0x7fffec40,0xff98dfff,0xf901ffff,
    0x3ffe00bf,0x3fee21cf,0x3ffea1ff,0x7fd42fff,0xfa87ffff,0x542fffff,
    0x07ffffff,0x3fffffa2,0xffffffff,0x3fffea07,0xffffffff,0x3fffa204,
    0xffffffff,0xfff507ff,0xffffffff,0xfff709ff,0xffffffff,0x3fea01df,
    0x7ffdc2ff,0xffffffff,0xdffd00ef,0x81fff900,0xfffffffa,0x84ffffff,
    0xfffffffa,0x04ffffff,0xfffffff5,0x809fffff,0xfffffffa,0x404fffff,
    0xfffffffa,0x204fffff,0xfffffffb,0x00efffff,0x5ffffff5,0xffffffa8,
    0x3fffee07,0xffffffff,0xffff500e,0xfffa85ff,0x3ee07fff,0xffffffff,
    0xf500efff,0xa85fffff,0x07ffffff,0x7fffffec,0x03ffffff,0x3fffffee,
    0xffffffff,0xfe82ffff,0xfff5006f,0xffffddff,0xffffd09f,0xfffe885f,
    0xfffd07ff,0xffe885ff,0x3fa07fff,0xffefffff,0x80ffffff,0xeffffff9,
    0x4ffffffe,0xffffffd0,0xfffffffd,0xffff881f,0xffffefff,0xfff986ff,
    0xffeeefff,0xfff305ff,0xffff985f,0xfffeeeff,0x0bfff05f,0x443fff70,
    0xefffffff,0x46ffffff,0xfffffff8,0x6ffffffe,0xffffff98,0xffffffee,
    0xfffff304,0xfffffddf,0x3ffe609f,0xfffeefff,0xff304fff,0xfdddffff,
    0x7f40bfff,0x7442ffff,0x207fffff,0xeffffff9,0x05ffffee,0x0bfffffa,
    0xffffffd1,0x7ffffcc0,0xffffeeef,0x3ffffa05,0x7fff442f,0x3ff207ff,
    0xfffeffff,0xf501ffff,0xfffdffff,0xffffffff,0x7fff81ff,0x3ffff200,
    0x06ffffff,0x40bffee2,0x207ffd98,0x102fffb8,0x2e0fffb3,0x4c0cffff,
    0x40ffffeb,0x0afffff8,0x17ffff4c,0x033fffee,0x1ffffd73,0x0adfffa8,
    0x82fffe4c,0xf981abca,0xfff307ff,0x3579503f,0x20ffff30,0xfb805fff,
    0x3ffea1ff,0x7fe4c0ad,0x6fffd45f,0x7ffe4c0a,0x7ffffc45,0x7fff4c0a,
    0x7fffc42f,0x7ff4c0af,0x7ffc42ff,0x7f4c0aff,0x79502fff,0xffff3035,
    0x2fffb880,0x0fffb310,0x981abca8,0x5c407fff,0xb3102fff,0xbca80fff,
    0x7fff981a,0x17ffdc40,0x07ffd988,0x15bffff5,0x37fff5c4,0x7cc17950,
    0xd88dffff,0x3fe23fff,0x540440ff,0xffffffff,0x7fd405ff,0x3ffec02f,
    0x00bffea0,0xff10fffb,0xff8803ff,0x7ffdc0ff,0x7ffe400e,0x07fffe25,
    0x81ffff10,0x5c03fffb,0x640002ff,0xff880fff,0x320000ff,0xfff80fff,
    0x1fffb805,0x700fffee,0xfffb85ff,0x217fdc03,0x400efffb,0x7dc5fffc,
    0x7e400eff,0x7ffdc5ff,0x7ffe400e,0x7fe40005,0x7ffd400f,0x03ffec02,
    0x0fffc800,0x017ffd40,0x0001fff6,0x2007ffe4,0x6c02fffa,0xfff887ff,
    0x7ff4405f,0xffd8004f,0x3ffe20ff,0x3ffff30f,0xf98f7fec,0xffffffff,
    0x3ea03fff,0x7fec02ff,0x17ffd407,0x2e1fff60,0xf7004fff,0x1fffb0df,
    0xb9fffe00,0xf7004fff,0xffff30df,0x0981379d,0xdecba880,0x00fffdcc,
    0xa880ffff,0xfdccdecb,0x5fff80ff,0x21fffb80,0xbceffff9,0x7cc04c09,
    0x09bcefff,0x7ffec04c,0x8ffff000,0xf000fffd,0xfffd8fff,0x0ffff000,
    0xcdecba88,0x400fffdc,0x6c02fffa,0x751007ff,0xffb99bd9,0xfffa801f,
    0x03ffec02,0xcdecba88,0x400fffdc,0x6c02fffa,0xfffa87ff,0xffff1005,
    0xecdcb980,0xffc83fff,0x5ffff52f,0x233fffea,0x9adfffff,0x02fffffc,
    0xd805fff5,0x7fd407ff,0x3ffec02f,0x8007ffe4,0xfff81dc8,0x3fff2004,
    0x001fff92,0x7ec07722,0xffffffff,0xffc8803d,0xffffffff,0xffff00ff,
    0x3ffff220,0xffffffff,0x805fff80,0x7ec0fffb,0xffffffff,0x7ffec03d,
    0x3dffffff,0x8013ffe0,0x3fe2fffc,0x3ff2004f,0x013ffe2f,0x882fffc8,
    0xfffffffc,0x400fffff,0x6c02fffa,0x7e4407ff,0xffffffff,0x7d400fff,
    0x7fec02ff,0x7ffe4407,0xffffffff,0x7ffd400f,0x43ffec02,0xfffffffb,
    0xffffffff,0xffb80fff,0xffffffff,0xffffffff,0x5ffff53f,0x2bbfffee,
    0xf900efff,0x3fea0bff,0x3ffec02f,0x00bffea0,0xffb0fffb,0x3e60000d,
    0x3e6002ff,0x0dffb4ff,0xffd88000,0xffffffff,0xffff301e,0xffffffff,
    0x3ff601ff,0xfffff986,0xffffffff,0x07ffe80f,0xd887ffc8,0xffffffff,
    0xfb101eff,0xffffffff,0xfff983df,0x3ffe6002,0x005fff34,0xf9a7ffcc,
    0x3e6002ff,0x7ffcc4ff,0xffffffff,0x7d400fff,0x7fec02ff,0x3fffe607,
    0xffffffff,0x7fd400ff,0x3ffec02f,0xffffff30,0xffffffff,0x2fffa801,
    0x6c3ffec0,0xffffffff,0xffffffff,0x3ffa62ff,0xffffffff,0xffffffff,
    0xffff74ff,0x2bfffe27,0x2203fffc,0xff507fff,0x7ffd805f,0x017ffd40,
    0x3fa1fff6,0xf500006f,0xff8005ff,0x00dffd4f,0x3fb26000,0xffffffff,
    0x7ffffc42,0xffffffff,0x5ff500ff,0xffffff88,0xffffffff,0x0fffd80f,
    0x3037ff40,0xffffffd9,0x64c05fff,0xfffffffe,0x3ffea2ff,0xa7ffc002,
    0x4002fffa,0xfff54fff,0x4fff8005,0x3fffffe2,0xffffffff,0x7ffd400f,
    0x83ffec02,0xfffffff8,0xffffffff,0x17ffd400,0x441fff60,0xffffffff,
    0x0fffffff,0x017ffd40,0x3f61fff6,0xffffffff,0xffffffff,0xfffff13f,
    0xffffffff,0xffffffff,0x3ffff29f,0x7f46ea24,0xfffc807f,0x02fffa80,
    0x2a03ffec,0x7ec02fff,0x07ffc87f,0x13ffe000,0x92fff980,0x80000fff,
    0xff975300,0xfffe8fff,0x36660bdf,0x02200fff,0x2f7ffffa,0x3fff6660,
    0x02fffb80,0x0217ffe2,0x7ffe5d4c,0x7530087f,0xf8fffff9,0x3e6004ff,
    0x13ffe2ff,0x22fff980,0x26004fff,0x3ffa2fff,0x2660bdff,0x5400fffd,
    0x7ec02fff,0xffffd07f,0x7eccc17b,0x7fd400ff,0x3ffec02f,0xbdffffe8,
    0x3fff6660,0x17ffd400,0x2e1fff60,0xccccdfff,0xcccccccc,0xffff71cc,
    0x3ff62137,0xccccccdf,0xffffb2cc,0x0fffd80b,0xa83ffec0,0x7ec02fff,
    0x7ffd407f,0x43ffec02,0x8002fffb,0x01fffd80,0x70fffe88,0x10005fff,
    0x3600df90,0xfff11fff,0xfffb801f,0x7ffc4000,0x7ffdc00f,0x06fff880,
    0xf90bfff2,0x3fff600d,0x6c01bf21,0x3ff61fff,0xffe8801f,0x07fff60f,
    0x83fffa20,0x8801fffd,0xff10fffe,0xffb801ff,0x7ffd400f,0x43ffec02,
    0x400ffff8,0x5400fffb,0x7ec02fff,0xffff887f,0x07ffdc00,0x00bffea0,
    0xff30fffb,0xd80001df,0xffb01fff,0x7ff4009f,0x7fdc06ff,0x3ffe604f,
    0x09fff305,0x01ffff66,0x2609fff3,0xf987fffd,0xd5001fff,0xffffb87f,
    0x3fff6201,0x07fffe65,0xf11ff540,0xfa8019ff,0x9fff53ff,0x7fffe440,
    0x7ffd4000,0x3fff2204,0x7fffb00f,0x88dfff30,0x5400cfff,0xfff13fff,
    0xfffa8019,0x07fffee3,0x45fffd88,0x201ffffb,0x5c5fffd8,0x2201ffff,
    0x3ea5fffd,0x3f2204ff,0x7cc00fff,0xffb304ff,0x9fff50ff,0x7fffe440,
    0x27ffcc00,0x87fffd98,0x2204fffa,0x400ffffc,0xb304fff9,0x3fa0ffff,
    0x262005ff,0x20fffea0,0x80fffffa,0x3fffe0a8,0x233bae7f,0x9adffff9,
    0x3ffffca9,0x26ffffe0,0xfffffdb9,0x3ffe01cf,0xffdb99bf,0x641cffff,
    0x99adffff,0xfffdba98,0x7ffff447,0xffba99ad,0x7fe42fff,0x9899adff,
    0x27fffdba,0xabfffff9,0xfffdca99,0x7ffff12f,0xfffb7335,0x1037dfff,
    0xbffff881,0xfffdb99a,0x4c1befff,0xb99cffff,0x7cc3ffff,0x99abffff,
    0x2ffffdca,0x57fffff3,0xfffb9533,0x7fff445f,0xfba99adf,0x7442ffff,
    0x99adffff,0x2fffffba,0x6fffff44,0xfffba99a,0x3ffe22ff,0xfdb99abf,
    0x1befffff,0x26ffffe0,0xfffffdb9,0x3ffe21cf,0xfdb99abf,0x1befffff,
    0x26ffffe0,0xfffffdb9,0x3ffe21cf,0xfdb99abf,0x1befffff,0x26ffffe0,
    0xfffffdb9,0x7ffcc1cf,0xa999bdff,0x10ffffdb,0x9339ffff,0x5dffffff,
    0x25fffb73,0xf36ffffe,0x3ff27fff,0xffffffff,0x3f600eff,0xffffffff,
    0x0fffffff,0xffffffb0,0xffffffff,0xfffd81ff,0xffffffff,0xd885ffff,
    0xffffffff,0xb03fffff,0xffffffff,0xbfffffff,0x7fffffcc,0xffffffff,
    0x7fffec6f,0xffffffff,0x647fffff,0x7ffec4ff,0xffffffff,0x87ffffff,
    0xfffffffc,0xff985fff,0xffffffff,0x266fffff,0xffffffff,0x6fffffff,
    0xfffffd88,0xffffffff,0xffffb103,0xffffffff,0x3ff6207f,0xffffffff,
    0xffd83fff,0xffffffff,0x7fffffff,0x3fffff60,0xffffffff,0x3ff60fff,
    0xffffffff,0x7fffffff,0x3fffff60,0xffffffff,0x3ff60fff,0xffffffff,
    0x7fffffff,0x3fffff60,0xffffffff,0x7fe40fff,0xffffffff,0x22ffffff,
    0xfffffffd,0xffffffff,0x74ffffff,0x3ee7ffff,0x3fee5fff,0xffffffff,
    0xfffe8805,0xffffffff,0xd100ffff,0xffffffff,0x1fffffff,0xfffffe88,
    0xffffffff,0x3fff600e,0xffffffff,0x3fffa203,0xffffffff,0x7ffc0eff,
    0xffffffff,0x7440efff,0xffffffff,0xffffffff,0x1ffff10f,0x7fffff44,
    0xffffffff,0xfd80ffff,0x5fffffff,0x3fffffe0,0xffffffff,0x7ffffc0e,
    0xffffffff,0x3ff600ef,0xffffffff,0xfffd803f,0xffffffff,0xffffd803,
    0x3fffffff,0xfffffd10,0xffffffff,0x2201ffff,0xfffffffe,0xffffffff,
    0x3ffffa20,0xffffffff,0x100fffff,0xfffffffd,0xffffffff,0x7ffff441,
    0xffffffff,0x100fffff,0xfffffffd,0xffffffff,0xfffff701,0xffffffff,
    0xffff90df,0xffffffff,0xffffffff,0x43fffe23,0x543ffff9,0xeffffffd,
    0x3ffa2003,0xfdbdffff,0x74403eff,0xbdffffff,0x203efffd,0xffffffea,
    0x7002dfff,0xbffffffb,0x3faa0017,0xffffffff,0xfbbf702d,0xdfffffff,
    0x7ffe4405,0xfcbeffff,0x7f43efff,0xfffc886f,0xfcbeffff,0x3203efff,
    0x05fffffe,0x7ffeefdc,0x02efffff,0xffffbbf7,0x005dffff,0x3fffff6e,
    0x2e000bdf,0xdffffffd,0x3f6e000b,0x0bdfffff,0x7fffe440,0xffcbefff,
    0x74403eff,0xbdffffff,0x883efffd,0xfffffffc,0xeffffcbe,0x7fff4403,
    0xffdbdfff,0xffc883ef,0xcbefffff,0x403effff,0xffffffe8,0x3efffdbd,
    0x3ffff620,0x2dffffff,0x3fffff20,0xffdbedbf,0xa80befff,0x402dca82,
    0x40001ba9,0x000abca8,0x15795100,0x95530000,0x00013579,0x0000ddcc,
    0x2af32aa6,0x55440009,0x2001aacb,0x00abcba8,0x44015500,0x000abcba,
    0x00375100,0x2b2eaa20,0x5544001a,0x0001aacb,0x00006ee6,0x0000ddcc,
    0x0001bb98,0x01579751,0x5e544000,0x2a20000a,0x0000abcb,0x02af2a20,
    0xbcba8800,0x2200000a,0x0000abca,0x35597530,0x2bb98001,0x002b2e20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00080000,0x00000000,
    0x2e000001,0x880064c3,0x0000002c,0x02000193,0x00800088,0x00000004,
    0x00001950,0x00011004,0x4c007700,0x220aaaaa,0x3001cedb,0x239bfdb7,
    0x300aaaaa,0x44035555,0x000aaaaa,0x0d5554c0,0x00440100,0x54c00000,
    0xbdb932aa,0x20000157,0x541aaaa9,0x54c0000a,0x44001aaa,0x00001aa9,
    0x00980000,0x002fe980,0x2e019f70,0xfd30005f,0x74400005,0x00ffee7f,
    0x00027fd4,0x00bfee00,0xf509ff30,0x77ec005f,0x002ff440,0x8006ca88,
    0x40001ffe,0xffa84ff9,0xfd100002,0x3fff600f,0xfff72fff,0x6401dfff,
    0xffffffff,0x4fffffed,0x7ffffff4,0xfffffb85,0xfd0000ff,0x3009ffff,
    0x5ff509ff,0xffb73000,0x7fec039b,0xffffceff,0x0000efff,0x27fffff4,
    0x4000bffb,0x04fffffe,0x3fffff20,0x4fc8002f,0x26013f20,0x32005ffe,
    0x000dffff,0xd117ffdc,0xf9000bff,0x0001bfff,0xf73ffe88,0xffd800df,
    0x4400000d,0xc8006ffd,0x7ff40fff,0x7fff3006,0x801fffb8,0x7fffeca8,
    0x3fff9800,0x3fff2000,0x0037ff40,0x01fffcc0,0x7fffffc4,0xfffffecf,
    0xfe985fff,0xffffffff,0x7fffffff,0x3fffffe2,0xffffd87f,0xf0003fff,
    0x009fffff,0xfe81fff9,0x3fa2006f,0x4fffffff,0xfffffff0,0xffffffff,
    0x3e20003f,0x3a4fffff,0xf10007ff,0x009fffff,0xffffffd1,0xfc800bff,
    0x3ffa61ef,0xffffc804,0x7fff4c02,0x4002fffe,0xffbcfffc,0x3a6000ef,
    0x2fffefff,0x7ffd1000,0x0003bfee,0x0007bff2,0x02fff440,0xc86ffa80,
    0xff1004ff,0x07ff983f,0x7ffffecc,0xd30007ff,0x2a0009ff,0x4ffc86ff,
    0x7ffd4000,0x3fff2002,0xffffffff,0x40ffffef,0xeefffffe,0xffffffff,
    0x7ffec3ff,0xffa84fff,0x000fffff,0x9fffff70,0x90dff500,0x3a2009ff,
    0xffffffff,0xfffc86ff,0xfeffffff,0x0005ffff,0x93fffff2,0x20005fea,
    0x04fffffc,0xffffffd8,0x4003ffff,0xffccfffd,0xffd800df,0x3fe603ff,
    0x7fff90df,0xfffe9800,0x7cc003ff,0xfff90dff,0x7ffd0007,0x0003bfea,
    0x000fffb8,0x01fffc40,0x2202ea00,0x326000bb,0xd8039501,0xffffffff,
    0x3f620007,0x1750004f,0x00017710,0x000fffd4,0x7fffdcc4,0xfb31cfff,
    0x3ffffc89,0xffffffb8,0x3fffea01,0x27ffec00,0xfff98000,0x10175004,
    0xff100177,0xffddffff,0xfd109fff,0xf983dfff,0x980007ff,0x1fcc4fff,
    0x7ffcc000,0x7fffc404,0xffffdaad,0x7ffd4000,0x2a002fff,0x3200ffff,
    0x6fe982ff,0x1dff9000,0x05ff9000,0x8800dfd3,0x03bf22ff,0x0bfe6000,
    0x05ff5000,0x00000000,0xffd80000,0x07ffffff,0x007fc800,0x20000000,
    0x40000efd,0x1ffffffa,0x3ffff100,0x37fffcc0,0x017ffec0,0x001ffff1,
    0x7ffffdc0,0x0004ffff,0xdfff9000,0x7ffe4c17,0xdfffe81f,0x03fff900,
    0x89fff000,0x3e00005e,0x7fd404ff,0x2fffc84f,0xdffd8800,0x02b88000,
    0x0d400b88,0x00073000,0x06a005c4,0x05102600,0x00030000,0x000002a0,
    0x00000000,0x6c6f7660,0x300007ff,0x00000001,0x00014400,0x0effffa8,
    0x0fffea00,0x01bffee0,0xc81bffe6,0x40003fff,0xdfffbaa9,0x000001aa,
    0x401ffff0,0xfe83fffc,0x7ffcc06f,0xfff80003,0x00003f24,0x5c04fff8,
    0xff981fff,0x0aa0003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x000acedb,0x20155553,0x002aaaaa,0x0001fff6,0x6dd40000,
    0x0001acde,0x7d400000,0xfc8004ff,0xff8800ff,0xfffb006f,0x1ffff105,
    0x3b72a200,0x13ffe1cd,0x3bb6e620,0xf1001cde,0xff8807ff,0x06ffe85f,
    0x101fffcc,0x439bdb95,0x006a4fff,0x66f6e544,0x7013ffe1,0xff903fff,
    0x0000007f,0xb7300000,0x4000159d,0x00acedb9,0x9bdb7500,0x2aa60035,
    0x555500aa,0x6dd40055,0x2001acde,0x20aaaaa9,0x801cedb8,0xffffffd8,
    0xff102dff,0xf885ffff,0x007fffff,0x3001fff6,0x05555555,0xffffd500,
    0x801bffff,0x950aaaa8,0x00037bdd,0x0005fff5,0x7400fffb,0xff3006ff,
    0x7fff90df,0x3fffea00,0xffaeffff,0x3ff6204f,0xffffffff,0x05fc801e,
    0xfd0bfff0,0xfff980df,0xfffff503,0xfff5dfff,0xfff50009,0xf5dfffff,
    0xffb809ff,0x3ffee61f,0x5554c01f,0x3b6e20aa,0x4400001c,0xfffffffd,
    0xfb1002df,0xbfffffff,0x3ffaa005,0x0dffffff,0xffffff10,0xfffff885,
    0xffea807f,0x0dffffff,0x7ffffec0,0xfffff72f,0x3fea01df,0xffffffff,
    0xfffa84ff,0x7fd42fff,0x2007ffff,0x3a007ffd,0x7fffffff,0x7fffec00,
    0xffffffff,0xfffff303,0xffffffd9,0xffa8007f,0xffc8002f,0x1bffe007,
    0x22fffd80,0x8807fff8,0xfffffffd,0x4fffffff,0x3ffffee0,0xefffffff,
    0x3ee00000,0x6ffe84ff,0x21fffcc0,0xffffffd8,0xffffffff,0x3ff62004,
    0xffffffff,0x5c04ffff,0xffe99fff,0x7ec05fff,0xf72fffff,0x01dfffff,
    0xffff5000,0xffffffff,0xffffa809,0xffffffff,0x7fffec04,0xffffffff,
    0xfffffa83,0x7fffd42f,0x7fec07ff,0xffffffff,0xfff103ff,0xffd9ffff,
    0x0bffffff,0xdffffff3,0x9ffffffd,0x5fffffd0,0xfffffe88,0x1fff6007,
    0x7ffffc40,0x32007fff,0xfeffffff,0x81ffffff,0xfffffffb,0xffffffff,
    0x3ffea005,0xfffb8002,0x6fff8801,0x9bffe600,0xd803fffd,0xfeffffff,
    0x4fffffff,0x3ffffe60,0xffffeeef,0xfd100005,0xdffd05ff,0x43fff980,
    0xeffffffd,0xffffffff,0x3fff6004,0xffffefff,0x5c04ffff,0xfffc9fff,
    0x3e203fff,0xecffffff,0xffffffff,0x7fcc0005,0xffeeffff,0xf304ffff,
    0xfddfffff,0x209fffff,0xeffffffc,0x1fffffff,0x2fffffe8,0x7fffff44,
    0x3ffff207,0xfffffeff,0xfff901ff,0xffffffff,0x41ffffdf,0x0afffff8,
    0x17ffff4c,0x817ffdc4,0x007ffd98,0xc801fff6,0x7fffffff,0xbffff500,
    0x7ff5c415,0xffff886f,0xfeefffff,0x5001ffff,0x30005fff,0xfb00dfff,
    0xfd800dff,0x7fff9bff,0xdffffa80,0x7ffff4c0,0x55e5404f,0x07fff981,
    0xfffe8800,0x80dffd06,0x3ea3fff9,0x74c0dfff,0x004fffff,0x81bffff5,
    0x4fffffe9,0x5cfffdc0,0x3fffffff,0x3fffff20,0xefffffff,0xaa80ffff,
    0xfff881aa,0x7f4c0aff,0x7fc42fff,0x74c0afff,0x7d42ffff,0x220adfff,
    0x106fffeb,0x2205fff7,0xf507ffd9,0x4415bfff,0x206fffeb,0xfffffb98,
    0x9fb31cff,0x00efffb8,0xa82fffe4,0x7ec02fff,0x3ff6007f,0x4ccc4007,
    0xf8807ffe,0x74405fff,0xff704fff,0x64419fff,0xf5005fff,0x3a0005ff,
    0x3f204fff,0x4c006fff,0xfffdffff,0x7fffc403,0x7fffe402,0xff900004,
    0x7440001f,0xfd01ffff,0xfff980df,0x05ffff13,0x04ffffc8,0x02ffff88,
    0x027fffe4,0x64c7ffee,0x03ffffff,0x3fffee62,0xfb31cfff,0x1ffff509,
    0x01dfff70,0x5c5fffc8,0x6400efff,0x3fe25fff,0x7f4405ff,0xfff504ff,
    0x87ffd805,0x405ffff8,0x404fffe8,0x1ffffffa,0x03fff600,0xa83fffc0,
    0x7ec02fff,0x3ff6007f,0x7fec0007,0x5fffa807,0x0ffff100,0x80bfffea,
    0xb7106fff,0xdddfffdd,0x4c017bdd,0x99beffff,0x6fffffeb,0xffffd800,
    0xffa807ff,0xfffd004f,0x32ea2009,0xfffdccde,0xffd30000,0xff9505ff,
    0x3e6079ff,0x9fff53ff,0x13fffa00,0x013ffea0,0x2027fff4,0xda81fffb,
    0x5403ffff,0x01ffffff,0x81fffec0,0xf000fffd,0xfffd8fff,0x4ffff000,
    0x1005fffa,0x3ea0ffff,0x7fec02ff,0x05fffa87,0x80ffff10,0x00effffa,
    0x0027ffc0,0xf505fff9,0xffd805ff,0x1fff6007,0x0fffb000,0xffffff70,
    0xffffffff,0xf501ffff,0xffd807ff,0xfffffb07,0xffffffff,0xfffc80df,
    0xffffffff,0x88006fff,0x03ffffff,0x000fffc8,0x8809fff5,0xfffffffc,
    0x000fffff,0x2fffff98,0xffffff98,0xfff982ff,0x001fff93,0x2013ffea,
    0x5000fffc,0xfb809fff,0x3fee01ff,0x7ffd406f,0xff8000ef,0x13ffe06f,
    0x22fffc80,0x32004fff,0xfff72fff,0xffffffff,0x1fffffff,0x805fff50,
    0xffb87ffd,0xffffffff,0xffffffff,0x13ffea00,0x0bffe600,0x84fff980,
    0x6c02fffa,0x3f6007ff,0x7ec0007f,0xfffd807f,0xffffffff,0x2fffffff,
    0x402fffa8,0xffd07ffd,0xffffffff,0x700fffff,0xffffffff,0x00dfffff,
    0x1fffff20,0x003ffec0,0x4c09fff3,0xffffffff,0x00ffffff,0x7ffffd40,
    0xfffff502,0xff305fff,0x01fff67f,0x804fff98,0x26007ffd,0x7dc04fff,
    0x7fe401ff,0x3ffea00f,0xfff50004,0x0bffe603,0x34fff980,0x4c005fff,
    0xfffb4fff,0xffffffff,0x5fffffff,0x805fff50,0xffd87ffd,0xffffffff,
    0xffffffff,0x0bffea02,0x0bffea00,0x509fff00,0xfd805fff,0x3ff6007f,
    0x7fec0007,0xffffd807,0xffffffff,0x83ffffff,0x6c02fffa,0xffb507ff,
    0xffffffff,0x26005bff,0xdffffffe,0x0006ffd9,0x007ffff1,0x8801bffa,
    0xff104fff,0xffffffff,0x001fffff,0x0fffffdc,0x3ffffb20,0x7fff304e,
    0x8801bffa,0xfe804fff,0x3fe2006f,0x7ffdc04f,0x17ffd401,0x005fff50,
    0xa813ff20,0x7c002fff,0x5fff54ff,0xb4fff800,0xffffffff,0xffffffff,
    0xfff507ff,0x87ffd805,0xfffffffd,0xffffffff,0x3ea03fff,0xff0002ff,
    0x7fcc009f,0x2fffa82f,0x003ffec0,0x8000fffb,0xfb807ffd,0xcccccdff,
    0xcccccccc,0x2fffa81c,0x003ffec0,0x4c400000,0x3ffa0abb,0xfff30006,
    0x7ffe400f,0x9fff5000,0x37ffffa0,0x3ff6660b,0xfffb000f,0x000001df,
    0x7e4bffe6,0xff5000ff,0xfff9009f,0x3ffea001,0x0fffdc04,0x813ffe20,
    0x0002fffa,0xff801fff,0x3fe6004f,0x013ffe2f,0xf72fff98,0x99999bff,
    0x99999999,0x5fff5039,0xb87ffd80,0xccccdfff,0xcccccccc,0x3fea01cc,
    0xffb0002f,0xffd1003f,0x5fff501f,0x007ffd80,0x0001fff6,0xf300fffb,
    0x00001dff,0x2017ffd4,0x10007ffd,0x22000000,0xb0005fff,0x5c007fff,
    0xfb003fff,0xfff109ff,0xfffb801f,0x7fff4400,0x000000ef,0x7dc7ffee,
    0xffb003ff,0xfff7009f,0x3fff6007,0x8fffdc04,0x7ffc43da,0x0bffea04,
    0x00bfe600,0x2007fff6,0x360fffe8,0xe8801fff,0xfff30fff,0x5400001d,
    0x7ec02fff,0xefff987f,0xfa800000,0xf70002ff,0x6c403fff,0xff305fff,
    0x3ff6609f,0x3ff6007f,0x7fec0007,0xbfffd007,0xa804c400,0x7ec02fff,
    0xeff8007f,0x5c000004,0x98003fff,0x44007fff,0x5c02ffff,0xfa84ffff,
    0x3f2204ff,0x3a600fff,0x0005ffff,0x0fffe800,0x805ffff1,0x804ffffb,
    0x402ffff8,0x404ffffb,0xff89fffb,0x0fffee0f,0x002fffa8,0xf7005fc8,
    0x6c403fff,0x7fdc5fff,0x3f6201ff,0x7fff45ff,0x40262005,0xb304fff9,
    0x3fa0ffff,0x262005ff,0x17ffd400,0xfffe8800,0xfba99adf,0x3e02ffff,
    0xdb99bfff,0x1cffffff,0x007ffd80,0x803ffec0,0xbdfffff9,0xffdba999,
    0xfffa80ff,0x03ffec02,0x017fff40,0x7fe4c000,0xfd8001ff,0xfb8003ff,
    0x999adfff,0xffffffeb,0x3fffe22c,0xffdb99ab,0x41beffff,0x04fffffa,
    0xb5100008,0xffb8ffff,0xb999adff,0xcffffffe,0x7fffdc02,0xfeb999ad,
    0x42cfffff,0xacfffeca,0xffb9dfff,0x3fea01ff,0x0da8002f,0xffffd100,
    0xff75335b,0xfe885fff,0xa99adfff,0x42fffffb,0xbdfffff9,0xffdba999,
    0xffff00ff,0xfffb7337,0xf9839fff,0x99bdffff,0xffffdba9,0x3fbb6e20,
    0xdeeeeeff,0x7fec400b,0xffffffff,0x7ec03fff,0xffffffff,0x0fffffff,
    0xffdddb71,0x37bdddff,0xfeeeeca8,0xdeeeefff,0x7fffe40a,0xffffffff,
    0x3222ffff,0x40cdfffd,0x1bfffeb8,0xffaaca80,0xffb30004,0xffffffff,
    0xfffda80b,0x0defffff,0x7fffec00,0xffffffff,0x23ffffff,0xfffffffd,
    0xffffffff,0x7fffc7ff,0xeeeeeeff,0xa802ffee,0xfffffffd,0xffffd82f,
    0xffffffff,0x03ffffff,0x7fffffec,0xffffffff,0xff33ffff,0xffdfffff,
    0xbfffffff,0xffeedb88,0xbdeeeeef,0x36200000,0xffffffff,0x103fffff,
    0xfffffffb,0x07ffffff,0x3ffffff2,0xffffffff,0xfffb02ff,0xffffffff,
    0xc81fffff,0xffffffff,0xffffffff,0x3fffff62,0xffffffff,0xfffb006f,
    0xffffffff,0xfffd1007,0xffffffff,0x3f21ffff,0xffffffff,0x2a7fffff,
    0xffffffff,0xffffffff,0xfffffb84,0xffffffff,0x7fffec6f,0x7fec5fff,
    0xe807ffff,0x001fffff,0xffffffb0,0x880bffff,0xffffffff,0x4004ffff,
    0xffffffd8,0xffffffff,0x3fa24fff,0xffffffff,0xffffffff,0x3fffffe0,
    0xffffffff,0x7fc405ff,0x3fffffff,0xfffffb10,0xffffffff,0x8809ffff,
    0xfffffffd,0xffffffff,0xffff54ff,0xfffbbfff,0xd83fffff,0xffffffff,
    0x06ffffff,0xfffd8000,0xffffffff,0xffffd803,0x3fffffff,0x7ffffdc0,
    0xffffffff,0x3ffa206f,0xffffffff,0xb80fffff,0xffffffff,0x46ffffff,
    0xfffffffe,0x7fffffff,0x3fff6e00,0x000bdfff,0x3fffffa2,0xefffdbdf,
    0x3fffff63,0xffffffff,0xffff70ff,0xffffffff,0x220bffff,0xfffffffd,
    0xfe82dfff,0x47ffffff,0xfffffffe,0x7fff4c00,0x3ff60004,0x4fffffff,
    0xffffff00,0x09ffffff,0x3fffa600,0xffadffff,0x6440dfff,0xefffffff,
    0x3effffcb,0x7ffffffc,0xffffffff,0xfffe806f,0x9803efff,0xfffffffe,
    0xdfffffad,0xfffd3000,0xff5bffff,0x7641bfff,0xd89dffff,0x80efffff,
    0xfffffffe,0x7fffffff,0xfb700000,0x17bfffff,0x7ffedc00,0x000bdfff,
    0xffffffb1,0x005bffff,0xffffffd1,0x7dfffb7b,0x7fffec40,0x2dffffff,
    0xfffffda8,0xdfffffff,0x37730002,0x79510000,0x7ecc0015,0xffffffff,
    0x3223efff,0xffffffff,0x1dffffff,0xaacba980,0x7fed4009,0x6d42dfff,
    0x003effff,0x22000062,0x1bdeeedb,0x776dcc00,0x0bdeeeee,0x65cc4000,
    0x220000ab,0x000abcba,0xfffffff8,0xffffffff,0xedb9806f,0x988000bd,
    0x0000abcb,0xabcb9880,0x73000000,0x7ed40359,0xffffffff,0x0002dfff,
    0x01bb9800,0x03773000,0x59753000,0x22000135,0x0000abca,0x35597530,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x950aaaa8,
    0x20037bdd,0x000aaaaa,0x00000000,0x22355553,0x01bceedb,0x2a200000,
    0x005d4001,0x0026a200,0x555554c0,0x00aaaaaa,0x20000260,0x2ceedca8,
    0x882aaaaa,0xaaaaaaaa,0x2aaaaaaa,0x04000080,0xb9800040,0x02000001,
    0x19300000,0x00571000,0x00000000,0x00000000,0x00080000,0x54c00000,
    0x55500aaa,0x80000555,0xecfffff9,0x3fffffff,0x7fffffc0,0x32000003,
    0x813f204f,0xccfffffe,0xffffffff,0x0004000d,0xd8017ffc,0x220007ff,
    0x223effff,0xfffb00ba,0xffffffff,0x7fec40bf,0xd50002ff,0xdfffffff,
    0x7ffffff5,0x3fffffe6,0xffffffff,0x0ffa606f,0x301fe400,0xffa800bf,
    0x4c00002f,0x000002fe,0x98005ff9,0x3e2006fe,0x01fd301e,0x7dc033ee,
    0x17654405,0x53000000,0x85f70035,0x0004eca8,0xfffff880,0x7fffc42f,
    0x32e607ff,0xfffb803e,0xffffffff,0xf305ffff,0x007fffff,0x77fec000,
    0x413ffa61,0xfffffff9,0xffffffff,0xfd002fff,0x7ffcc009,0xffff8804,
    0xfff10002,0xfffbffff,0x3ffff609,0xffffffff,0xfffff107,0xfc8009ff,
    0xffffffff,0xffffffff,0xffffff35,0xffffffff,0x3ffee0df,0x7e4000df,
    0x00dfd00f,0x005fffd8,0x3ffff200,0xb100000d,0xfa800dff,0x3e2001ff,
    0x7ffe44ff,0x45fff700,0xd305ffe8,0x0005ffff,0xfffd8800,0xfb02dfff,
    0x3ffffaa7,0xfa800004,0x542fffff,0x87ffffff,0x03fffffb,0xffffff88,
    0xfffeefff,0xfffb01ff,0x000007ff,0x65fffec4,0x7ec05fff,0xffffffff,
    0xfffffeef,0x3ffcc00f,0x00fff200,0x0007fff4,0xffffd950,0x3603ffff,
    0xffffffff,0xfb04ffff,0x3ffb519f,0x3ffff200,0xfffffeff,0x32ffffff,
    0xffffffff,0xdfffffff,0xfefffe88,0x3e6003ff,0xfda88bef,0x7fdc003f,
    0xe980003f,0x2fffefff,0x7ff44000,0x7ffe4005,0xfffa8001,0x02fffeae,
    0x7de7ffe4,0xff500dff,0x00005ffd,0x7ffffdc0,0xe84fffff,0xffdff73f,
    0x3a000009,0x442fffff,0x87fffffe,0x03ffeffd,0x3ffffee0,0x3fff220c,
    0x3ffea205,0xa8000003,0x02ffffff,0xfffff510,0x7fdc415f,0x7fdc06ff,
    0x07dc001f,0x002ed980,0x7fffed40,0x7ec05fff,0x999999ff,0x5ff30099,
    0xf500bfd0,0x5443bfff,0x1dfffffd,0x4cdfffc4,0xffa99999,0x37ffe25f,
    0x009fff70,0x7fffffdc,0xc88005ff,0x4c0000cf,0xff90dfff,0x3e20007f,
    0x7e4003ff,0x220000ef,0x0dfffffd,0xffffd300,0xf311007f,0x2000005f,
    0xfffffffd,0x20efffff,0x7fc221ff,0x22000004,0x3102fffb,0x4460fffb,
    0x3ea003ff,0x3fe02fff,0x7ffcc06f,0x10000003,0x8001bffb,0x01effff8,
    0x80ffffe6,0x2001fffb,0x000003f9,0xfffffa80,0x201ffffd,0x20007ffd,
    0x0df707fa,0x809ffff0,0xb05ffffc,0xfff700ff,0x4c1ffe47,0x754007fe,
    0x003fffff,0xf9000000,0x0dfd305f,0x00bfea00,0x00017fe0,0x002fffa8,
    0x001bff90,0x0002ff98,0xeffffb80,0xfffdb9ac,0x206fd8ef,0x000004ff,
    0x2017ffd4,0x7c407ffd,0x3fea003f,0x3ffec03f,0x00fffe60,0x05500000,
    0x3fffe200,0x5fff9802,0x007ffee0,0x000005e8,0x45bff500,0x3606fff9,
    0x2a0007ff,0x80df707f,0xb006fff9,0x00c0bfff,0x220fffd8,0x000d400b,
    0x0001aa98,0x5c400000,0x0000d400,0x06600015,0x02e20000,0x00073000,
    0x0000bfe6,0x09ffff30,0x7fffffdc,0x013fe02f,0xfff50000,0x07ffd805,
    0x5001ffc4,0xfd805fff,0x7ffcc07f,0x79ddb713,0x00000003,0x01fffe20,
    0xa987ffe8,0xaaabfffd,0x005c2aaa,0xacdedba8,0x54010001,0xffb03fff,
    0x7fcc000f,0x5c05fe82,0xf5003fff,0x88000bff,0x00005fff,0x10000000,
    0x39bddb95,0x00000062,0x00000000,0x00000000,0xff980000,0x805c4002,
    0x9803fffe,0x402fffff,0xa88004ff,0x2fffa800,0x203ffec0,0x2a003ff8,
    0x7ec02fff,0x7ffcc07f,0xffffffcc,0x54400cff,0xdd950aaa,0x7c40037b,
    0x3ee004ff,0x3fffa0ff,0xffffffff,0x2000ffff,0xffffffea,0x44000dff,
    0xfb09acb9,0xfffb01ff,0x059ddb95,0xd539ffb0,0xffc803ff,0x3ffe000f,
    0x7fdc0005,0x5555303f,0xa9800555,0x002aaaaa,0xffffffb8,0x04ffefff,
    0x00355551,0x88355553,0xaaaaaaaa,0x02aaaaaa,0x55555553,0x55555100,
    0x55555555,0x2aaa6055,0x4c002aaa,0x3ee002ff,0x6fffa85f,0x17fff200,
    0x90013fe0,0xff5009ff,0x7ffd805f,0x001ffc40,0xd805fff5,0x7fcc07ff,
    0xffffffff,0x301effff,0xfd9fffff,0x07ffffff,0x017ffe20,0x3e67ffd8,
    0xffffffff,0x3fffffff,0xfffffb00,0x7fffffff,0xffffb100,0xfff79fff,
    0xfffffb03,0x03dfffff,0x7fffffc4,0xb86e4c3f,0xf3001fff,0xe8000bff,
    0xffe80fff,0x007fffff,0x3ffffffa,0x3fa2007f,0xffffffff,0xfd87ffff,
    0x206fffff,0x6ffffffd,0x3fffffea,0xffffffff,0xfffffe87,0xffa807ff,
    0xffffffff,0xfe87ffff,0x07ffffff,0x4017fcc0,0xc86fffe9,0x74001fff,
    0x4ff806ff,0xbfffd500,0x05fff500,0x4407ffd8,0x3ea003ff,0x7fec02ff,
    0x7fffcc07,0xffeeffff,0xfb80ffff,0xffffffff,0x05ffffff,0x01ffff88,
    0x6c5fff98,0xffffffff,0x0effffff,0xfffffc80,0xffffffef,0x3ffee01f,
    0xffffffff,0xffd82fff,0xffffffff,0x3f2203ff,0xffb52eff,0x3ffe65ff,
    0xbfffb005,0x7ffc4000,0xfffff886,0xf1007fff,0xffffffff,0x7ffff400,
    0xfffffeff,0x7ffc0fff,0xf01fffff,0x3fffffff,0x3fffffea,0xffffffff,
    0x7ffffc47,0xfa807fff,0xffffffff,0x447fffff,0xffffffff,0x17fcc007,
    0x37ffff20,0x006ffd80,0x400fffc8,0x7ec404ff,0xf5004fff,0xffd805ff,
    0x01ffc407,0x805fff50,0x7cc07ffd,0xa82fffff,0xf885ffff,0xffffffff,
    0x1fffffee,0x7ffffc40,0x3fffe601,0xfffc9883,0x0999999a,0xbffff500,
    0x7ff5c415,0xffff706f,0xffffddff,0xff909fff,0xffddffff,0x11001fff,
    0xbfffffb5,0x04ffff85,0x02ffffe4,0x07fff700,0x3ffffff2,0x3ff2007f,
    0x007fffff,0x819ffff7,0x0ffffeb9,0x7fffffe4,0x3fffee05,0x3ffea5ff,
    0xffffffff,0xffc86fff,0x807fffff,0xfffffffa,0x6fffffff,0xffffffc8,
    0xdcc9807f,0x2a0bcdff,0x202ffffe,0xa8005fff,0x65c41fff,0x42cceffc,
    0x01effffa,0x00bffea0,0x9930fffb,0x0599bffb,0x402fffa8,0x7cc07ffd,
    0x2200efff,0xf703fffe,0x4419ffff,0x4405fffc,0xacffffff,0xffffca99,
    0x3ffee00e,0x7fc40001,0x7f4405ff,0x7ffcc4ff,0xfffc81ef,0xfff985ff,
    0x7fff440b,0x3ff6a205,0x500bdfff,0x137dffff,0xfffffd73,0x7ff4000b,
    0x2666200f,0x44007ffe,0x07ffe999,0x01ffff88,0x407fffc4,0x320efff8,
    0x3ff225ee,0x57ffd42f,0xfffb9999,0x333100ef,0xf500fffd,0x733335ff,
    0x201dffff,0x7ffe9998,0xfffffe80,0xffd8bfff,0x40998dff,0x8003fff8,
    0x7e43fff9,0xffffffff,0xcffffd88,0x5400aa98,0xfb304fff,0xfffb0fff,
    0x20ffffff,0xcdfffdc8,0x7fff5c40,0xffff301b,0xbfff3003,0x0bfffea0,
    0x4406fff8,0xffffffff,0xffffffff,0x0fffdc00,0x3ffea000,0xffff1005,
    0x406fffd8,0x106ffffa,0x3fffd003,0xfffffda8,0xff7000ad,0xffffffff,
    0x00bfffff,0x01bffe20,0x000fffb0,0xb807ffd8,0xf7004fff,0x7ffec0df,
    0xd87fffe0,0x7ff987ff,0x0effff98,0x01fff600,0x3e61ffe6,0x2000efff,
    0xa8807ffd,0xaaaaaaaa,0xfd2effff,0x3fff88df,0x3fff9800,0x55555544,
    0xffffb9aa,0xfffffc9e,0xffff500d,0xfffb7337,0x54437fff,0x0aaaaaaa,
    0xffffffb0,0xffffd8bf,0xfff307ff,0x3ffec00b,0x403fffa8,0x7c407ffd,
    0xffffffff,0x01efffff,0x001fffb8,0x7ffffdc0,0xffffffff,0x3e0fffff,
    0xfc801fff,0x540007ff,0x3ffe2fff,0xedb8adff,0xfffc803d,0xffffffff,
    0x70005fff,0xd8007fff,0x6c0007ff,0xffc807ff,0x3b91000f,0xa8fffdc0,
    0x3fe5ffff,0x989fb06f,0x000effff,0xd803ffec,0x7fffcc4f,0x7fec000e,
    0x7ec40007,0x3fee4fff,0x05fff86f,0x01fffa80,0x7ffff4c0,0xfdbdffb3,
    0x3ffea09f,0xffffffff,0x007fffff,0xfffffd00,0xfffe8fff,0xf980ffff,
    0x3f2004ff,0xfffa80ff,0x03ffec02,0x3aafffe2,0x3fffffff,0x07ffee00,
    0xffffb000,0xffffffff,0x25ffffff,0x5007fff8,0x8000dfff,0x3fa3fff8,
    0x3fffa62d,0x6c400eff,0xcfffffff,0x0005fff9,0x8001fffd,0x40007ffd,
    0xfd807ffd,0x9800006f,0xfffb3fff,0x9fff31ff,0x7fffcc00,0xffd8000e,
    0x3fe60007,0xd8000eff,0x2e0007ff,0x261effff,0xfd86ffff,0xffc8006f,
    0x3fee000f,0x9ff30eff,0xfa80ffb8,0xffffffff,0xffffffff,0x2a000880,
    0x2dfffffd,0x77fffed4,0x07fff303,0x407ffdc0,0x6c02fffa,0x7fc407ff,
    0x2b2ea63f,0xfffb8001,0x7fec0001,0xffffffff,0xffffffff,0x00bfff33,
    0x0017ffe6,0x2013ffe0,0xffebdffe,0x79751005,0x02fffc15,0x037ffc40,
    0x003ffec0,0x201fff60,0x00006ffe,0xff1bfff0,0xff77ffff,0x3fea005f,
    0xb0000eff,0x2a000fff,0x000effff,0x000fffb0,0x07ffffb1,0x90dfdffd,
    0xe8003fff,0xfd1007ff,0x5d887fff,0xfa83ff98,0xffffffff,0x3efffdbf,
    0x00003fb0,0x7fcc0000,0x3ff6005f,0x05fff507,0x4407ffd8,0x00003fff,
    0x001fffb8,0x66fffdc0,0xcccccccc,0xf11ccccc,0x3ea00dff,0x440004ff,
    0x7dc03fff,0x017fd41f,0x05fff800,0x03fffb80,0x007ffd80,0x403ffec0,
    0x00007ffc,0xff9fffb0,0xffbdffff,0xfff5001f,0x6c0001df,0xfa8007ff,
    0x0000efff,0x2001fff6,0xb81efffb,0xa86fdbff,0x2e006fff,0xf9005fff,
    0xd8001bff,0xfffa80ff,0x001accbb,0x00005ff0,0xf3000044,0xf1001fff,
    0x3fea0dff,0x3ffec02f,0x00fffe20,0x3ffee000,0x7fcc0001,0xe80000ef,
    0xfc800fff,0x540003ff,0x7e402fff,0x0007ff06,0x0017ffe0,0x0003fffa,
    0x0001fff6,0xf700fffb,0x010005ff,0xffffffb8,0xffffffdf,0xffffa806,
    0x7ec0000e,0x7fd4007f,0x40000eff,0x98007ffd,0xbff303ff,0x7ff41bf6,
    0xfff9803f,0x5df5000f,0x4ffe8800,0x005fff50,0x006ffc00,0x1f7fc400,
    0x7fffcc00,0x3ffa200e,0x5fff503f,0x407ffd80,0x0003fff8,0x03fffb80,
    0x74033262,0x22005fff,0x37ffe409,0x03fffe60,0xff1005d9,0x4fd801ff,
    0x00009fb0,0x10017ffe,0x2000dfff,0x40007ffd,0xf9807ffd,0xd5001fff,
    0x7ffcc07f,0xfffacfff,0x7d404fff,0xda80efff,0x0fffb002,0x77fffd40,
    0xb002da80,0x02000fff,0x3f61ffd0,0x9ffff306,0x1ffffd40,0x26000200,
    0x3ea03fff,0x200002ff,0x0000ffff,0x007fffc4,0xffffeb98,0xca99abff,
    0x2a06ffff,0x7ec02fff,0x7ffc407f,0xf9800003,0xca9abeff,0x304ffffe,
    0x37bfffff,0xfffb7533,0x7fffc41f,0x3ff261af,0x7ffdc2ff,0xca999abe,
    0xc804ffff,0x03ff887f,0x0bfff000,0x03fffb80,0x00fffb00,0x007ffd80,
    0x35bffff9,0xffb75313,0xffff80ff,0xffffd1ff,0x7ffd405f,0x7ff880ef,
    0x00fffb00,0x03bfffea,0x6c01ffe2,0x800007ff,0xffeefffb,0xffff704f,
    0xffb7357d,0x00000dff,0x805fff70,0x0002fffa,0x7fe64dc4,0x2b320002,
    0xf8803ffb,0xffffffff,0xffffffff,0xfdc881ff,0x5c40cdff,0x5c1bfffe,
    0xfffffffd,0xff00002d,0xffffffff,0x640bffff,0xffffffff,0xffffffff,
    0x7ffffcc2,0xffffffff,0xfffffa85,0xffffffff,0xff9800ff,0x01ffb30c,
    0xfffd9100,0x0019ffff,0xa801fffd,0xfffeeeec,0x0adeeeef,0x3fbbbb2a,
    0xdeeeefff,0x7fffec0a,0xffffffff,0x7ec05fff,0x3fee6fff,0xff500fff,
    0xdddddfff,0x543fffdd,0xfffeeeec,0x0adeeeef,0xddfffff5,0xfffddddd,
    0x77776543,0xeeeeffff,0xfb0000ad,0xffffffff,0x3ffff601,0xffffffff,
    0x2000001e,0x800effe8,0x0002fffa,0x7ff7ffdc,0xfff10001,0xf3001fff,
    0xffffffff,0xffffffff,0x3fff603d,0x7ec5ffff,0x227fffff,0xffffffff,
    0x80000fff,0xfffffff9,0x00efffff,0x7fffffdc,0xffffffff,0xfffff506,
    0x1bffffff,0x3fffff60,0xefffffff,0x3fff2001,0x0003fffe,0xfffffff7,
    0xfd009fff,0xfffa80bf,0xffffffff,0xf54fffff,0xffffffff,0x9fffffff,
    0xfffffe88,0xffffffff,0x7ffdc00e,0x3fffe23f,0x3ffff607,0xffffffff,
    0xfff52fff,0xffffffff,0x369fffff,0xffffffff,0x2fffffff,0xfffffff5,
    0xffffffff,0x2a60009f,0x0ffebaaa,0x7ffffdc0,0x005fffff,0x7ffd4000,
    0x3029999d,0x80003fff,0x05ffffe8,0x77ffd400,0x3ffae002,0xffffbcff,
    0x7403ffff,0x7fffffff,0x7ffffff4,0xfffff10f,0x00ffffff,0x7ffecc00,
    0x01cfffff,0x3ffff620,0x2dffffff,0x7fffe440,0x9802efff,0xfffffffc,
    0xf70003ff,0x0007ffff,0x7fffffd4,0xa804ffff,0x7fdc00ee,0xffffffff,
    0x75ffffff,0xffffffff,0xffffffff,0x3fffaa0b,0x2dffffff,0x1ffff300,
    0x205fffd8,0xfffffffd,0xffffffff,0xffffff72,0xffffffff,0x3fff6bff,
    0xffffffff,0xff72ffff,0xffffffff,0x0bffffff,0x3fff6000,0xffd8806f,
    0x002effff,0xfffe8000,0x03ffffff,0x40000fff,0x00001ca8,0x40000022,
    0x001abca9,0xbfffffb5,0xffffda85,0x77764c3e,0x001bdeee,0xacba8800,
    0xa9800009,0x0009aacb,0x1abca988,0xbaa98800,0x8800009a,0x80000aba,
    0xeeeeeeda,0x400000bd,0xffffffc8,0xffffffff,0xffff911d,0xffffffff,
    0xa9803bff,0x009abcca,0xa85fff80,0x3f603fff,0xffffffff,0x12ffffff,
    0xfffffff9,0xbfffffff,0x3fffff63,0xffffffff,0xfff912ff,0xffffffff,
    0x0003bfff,0x17ffff20,0x00375300,0xffe80000,0x4fffffff,0x00003950,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000400,
    0x33bbb726,0x2600198a,0x400001dd,0x260002b8,0x700001dd,0x200019dd,
    0x0000aaa9,0x55554c40,0x37660009,0x44000001,0x53000aaa,0x00555555,
    0x55555530,0x55530005,0x0a985555,0x776e5440,0x100311cd,0x01000005,
    0x53100008,0x20000155,0x80001aa9,0x55440000,0x00000aaa,0x1aaaa980,
    0x01555500,0x2aa62000,0x000009aa,0x06f7edcc,0x3fa20000,0xfe980004,
    0xffffffff,0x7f4402ff,0xfd10cfff,0xfff88001,0x7ff44003,0x1fb10cff,
    0x3fffea00,0x64575403,0xdfffffff,0x3f220001,0xefffffff,0x3fffa202,
    0x01fd10cf,0x91fffedc,0x1bffffff,0x7ffffec0,0x7f4007ff,0x07ffffff,
    0x7fffff40,0x3ffea7ff,0xfffff700,0x9ffdffff,0x0006ff80,0x3a03ff20,
    0x3fa6006f,0xbaefffff,0xffb1002e,0x005bffff,0x20009fd0,0x1ffffff8,
    0xfe800000,0xff004fff,0x880007ff,0xfffffffc,0xfd9502ef,0xfffb019d,
    0x0001ffff,0x003ffd40,0x3ffffea0,0xffffffff,0x76fff404,0x0fffdfff,
    0x3fffdc00,0x3b7ff600,0x0fffdfff,0x7ffff300,0xffffff80,0xffffffff,
    0xfff88003,0xffffffff,0x3b7ffa07,0x0fffdfff,0x7fffff50,0xffffffd3,
    0x3fe01fff,0x07ffffff,0x3ffffe20,0x22007fff,0xffffffff,0x107ffee7,
    0xfffffffd,0x0fffffff,0x0007ffcc,0x227ffc40,0xc801fffa,0xffffffff,
    0xb807ffff,0xffffffff,0x3e6004ff,0xff50007f,0x0003ffff,0xffffb800,
    0xffff004f,0x7fc40007,0xffffffff,0x7fffc47f,0x7fc46fff,0x04ffa9ad,
    0x3ffee000,0xfff10001,0xfffdffff,0xee80dfff,0x3fffff22,0xfff98002,
    0x71774005,0x005fffff,0x200bddb8,0xfffffff9,0xffffffff,0x3ffa000e,
    0xffffffff,0xc8bba07f,0x202fffff,0xfdfffffa,0xffffffff,0xfff705ff,
    0x800fffff,0xfffffffc,0x7ffe4007,0x3627ffff,0x7fff40ff,0xffffefff,
    0x3660ffff,0xeeefffee,0xfe8002de,0x07ffc42f,0x3ffffee0,0xffffffff,
    0x3fff600f,0xffffffff,0xffb800ef,0xfe88001f,0x0001ffff,0x3fffe200,
    0xfff004ff,0x7f40007f,0xffffffff,0x67fd47ff,0x442ffb99,0x000ffc80,
    0x03fff700,0x37ffea00,0x7ffe4c0a,0x7b930005,0x6fdc0001,0xb9300000,
    0x80000017,0xcefffff9,0xfffeba9b,0xfff3005f,0xb975359f,0xb930005b,
    0xffb70017,0x17dfffff,0x07ffffb5,0x3ffecccc,0xfd999800,0x3330007f,
    0x8bd0fffb,0x40cffffb,0x0ffffeb9,0x3ffffff6,0x007fffff,0x39302b88,
    0xfffff980,0xfffdb9ad,0xfff701ff,0xfb7359df,0xf700dfff,0x440003ff,
    0x0001fffb,0x3ffff200,0x555004ff,0x3e600015,0xba9acfff,0xd0082ddc,
    0xffa980df,0x3ee00006,0xf70001ff,0xffb807ff,0x00000002,0x00000000,
    0xff300000,0xffb807ff,0xffb802ff,0x0000003f,0x7fffcc00,0xfff701ff,
    0x1fff600d,0x1fff6000,0x1fff6000,0x7ffc41f9,0x7ffc401f,0x3fbb660f,
    0x3eeeeeff,0x20000000,0x2a05fffc,0xf981ffff,0x3ee04fff,0x7dc03fff,
    0x540001ff,0x00001fff,0xffffff30,0x0000009f,0x002fffb8,0x4ffb9880,
    0x3fffff50,0xfb530000,0x555557ff,0x3fe60155,0x409bceff,0x55553009,
    0x2aaaaa01,0x00000002,0x0159db73,0xff300000,0x3fee00bf,0xfffc806f,
    0x5cc40000,0x01cdeeed,0x3ffffe60,0x07fff402,0x003ffec0,0x003ffec0,
    0xf33ffec0,0x04fffb85,0x540dff70,0x00001fff,0x7ff40000,0x7ffe400f,
    0x03fffe80,0x80ffff98,0xabfffda9,0x802aaaaa,0x0001fffa,0xf9fffd00,
    0x000009ff,0x00fffc80,0x7fffdc00,0xffff300e,0x2053003f,0xfffffffe,
    0xffffffff,0xfffffb00,0x207bffff,0x2ffffff8,0x7fffffc4,0xaaaaa887,
    0xaaaaaaaa,0x3ff6202a,0x2dffffff,0x00ee4400,0xb000fffc,0x55105fff,
    0x0001fffb,0x3fffff62,0x01efffff,0x02ffff98,0x801fffc8,0x80007ffd,
    0x80007ffd,0x20a67ffd,0x1000fffc,0x7fd403b9,0xdeedb89f,0x2aa6000c,
    0xd002aaaa,0xff300dff,0x0dfff50d,0x22fffe40,0xfffffffe,0xffffffff,
    0x27ffea00,0x1bceedb8,0xefffa800,0x2604fff9,0x02aaaaaa,0x3ff6aa20,
    0x1aaaaabf,0xdffff700,0xfffb9801,0x85ffb100,0xfffffff9,0xffffffff,
    0xfffb103f,0xdfffffff,0xfffffa83,0x7fffd42f,0xfffa87ff,0xffffffff,
    0xff507fff,0xffffffff,0x7dc009ff,0x03d9804f,0x21fffcc0,0xfffffffb,
    0xfff70000,0xffffffff,0xff9801df,0xfff7004f,0x2fffb003,0x6c000cea,
    0xd80007ff,0xffd807ff,0xfa800006,0xfffffeff,0xfe804fff,0x07ffffff,
    0x005fff90,0xfff903b7,0x7ffe8003,0x3fffffe6,0xffffffff,0x3fea03ff,
    0xffffffef,0x3e2002ff,0xfff8afff,0xfffffd04,0x3ee00fff,0xffffffff,
    0x006fffff,0x401bfee6,0xffb83ffa,0xfffd82ff,0xffffffff,0x4c00efff,
    0xffffffec,0x7ff42fff,0x7f442fff,0xfa87ffff,0xffffffff,0x987fffff,
    0xeeffffff,0x04ffffff,0x000dff90,0x45fff800,0xfffffffd,0xfff30000,
    0xffdddfff,0xff980bff,0xfff5003f,0xdfffb003,0xd8007fff,0x066cc7ff,
    0x807ffd80,0x00006ffe,0xffffffa8,0x4fffffff,0x3ffffe20,0xf3007fff,
    0x0015bfff,0x000dffb0,0x7ec1fff9,0xffffffff,0x00efffff,0x3fffffea,
    0x4fffffff,0x2bfff900,0xf884fff8,0x7fffffff,0xfffffb00,0xffffffff,
    0xfc8001ff,0x3ff9801f,0x0fffffa6,0xafffc988,0x00999999,0xfcba9804,
    0xfb887fff,0xfb3102ff,0xffff50ff,0xffffffff,0xfff88dff,0x7f4c0aff,
    0x2e202fff,0x76c07fff,0xeeeeeeee,0xffeeeeee,0x7fffd46f,0x20000fff,
    0xf981abca,0x7fcc07ff,0xfff5003f,0xffffb005,0xd8009fff,0x3ffe27ff,
    0x0fffb006,0x000fff90,0xfffff500,0xffffffff,0x7ffe403f,0x2007ffff,
    0xeffffffd,0xfff800ac,0xfffa8005,0x7ffe4c41,0x0999999a,0xfffffa80,
    0xfffffeff,0x7ffc400f,0x09fff11f,0x3ffffff2,0xfff5007f,0xffffffff,
    0x7000bfff,0x337f63ff,0x90fffdca,0x001bffff,0x0007ffee,0xfd8037e4,
    0xfffa81ff,0x43ffec02,0x999afffa,0x0effffb9,0x0077ffdc,0x5c17fff2,
    0x407fffff,0xfffffffe,0xffffffff,0xb3307fff,0x00001fff,0x01fff900,
    0x801fffcc,0x4402fffa,0xdffffffe,0x3ffec000,0x001ffff5,0xf700fffb,
    0x010005ff,0x5fffffd4,0x13fff260,0xffd33310,0xfffd800f,0x3effffff,
    0x007fff10,0x207fff30,0x0001fffb,0x5fffffd4,0x0bfff660,0x449fffb0,
    0x26204fff,0x007ffe99,0x4fffeccc,0x20099999,0xfdcacdfe,0x3ffff26f,
    0xfe9affff,0x0998bfff,0x2bfff260,0xf8800999,0x7d400cff,0xfffa83ff,
    0x43ffec02,0xff987ff9,0xffd80eff,0xffff000f,0xfffffd88,0x7fff405f,
    0xffffffff,0x7fffffff,0x007ffe40,0x765d4400,0x0fffdccd,0x00fffe60,
    0x7017ffd4,0x5dffffff,0x9fff6000,0xb006fff8,0xff300fff,0x3aa003ff,
    0xffff503f,0x17ffe205,0x00fffb00,0xffffff70,0xf109ffff,0xf30007ff,
    0x3fee07ff,0x7d40001f,0xff102fff,0x7ffd40bf,0x13ffe20f,0x007ffd80,
    0x001fff90,0xffffffd0,0xdcc983df,0xfffc8acc,0x4fff88df,0x7ffffec4,
    0x1effffff,0x3ffffe60,0xfdca99ab,0xffa82fff,0x3ffec02f,0x7fcc4fd8,
    0xfff00eff,0x7ffe4009,0x3fffffa2,0xfffe801c,0xeeeeeeee,0x7fffeeee,
    0x007ffe40,0xffff9100,0xffffffff,0x1fffcc01,0x82fffa80,0xffffffe9,
    0x7fec0003,0x80066cc7,0xf9007ffd,0x1335bfff,0xffffb753,0x00bffea0,
    0xd800fffd,0x2a0007ff,0xffffffdb,0x05fff86f,0x01fffa80,0x0003fff7,
    0x402fffa8,0x3fa06ffe,0x7ffc43ff,0x1fff6004,0x07ffe400,0xcdcca800,
    0x7fd4002c,0x3ff62fff,0x7fffe44f,0xffffffff,0x3ffe605f,0xffffffff,
    0xf506ffff,0xffd805ff,0x3ffe6007,0xfff300ef,0x7ffcc005,0x1bffff54,
    0x03ffec00,0x2037ff40,0x0000fffc,0xfffffff3,0x1fffffff,0x01fffcc0,
    0x442fffa8,0x7fffffff,0x7ffd8000,0x7ffd8000,0x3ffff600,0xffffffff,
    0xff505fff,0x7ffd803f,0x03ffec00,0xffd73000,0x6ffd83ff,0x0fffc800,
    0x003fff70,0x01fffa80,0xfb83ffec,0xfff886ff,0x1fff6004,0x07ffe400,
    0x88000000,0x20cffffd,0x544ffffa,0xffffffff,0x404fffff,0xffffffff,
    0x0effffff,0x805fff50,0xf5007ffd,0x5401dfff,0x7c002fff,0x7fffb4ff,
    0x3fff7000,0x27ffc400,0x003fff20,0x3ffffe20,0xffffffff,0x3fe600ff,
    0xfff5003f,0xfffff983,0xd80007ff,0xd80007ff,0x3a2007ff,0xffffffff,
    0x00efffff,0xd803fff5,0x7ec007ff,0x0053007f,0x3227ffdc,0x74001fff,
    0x3fee07ff,0x7d40001f,0x7fec01ff,0xfffff887,0xffffffff,0xffd800cf,
    0xfff90007,0x00590001,0x77fffcc0,0x7ff7fc41,0xffecb984,0x0accccdf,
    0x7feefdc0,0x2effffff,0x017ffd40,0x2a01fff6,0x800effff,0x26004fff,
    0xfffd2fff,0xffa82a00,0x3fee004f,0x7ffe403f,0xfffe8000,0x36660bdf,
    0x3e600fff,0xff7003ff,0xb3bf903f,0xb0000fff,0xb0000fff,0xd5000fff,
    0xffffffff,0xffa805bf,0x3ffec01f,0x01fff600,0xe8013fe6,0x7ffd46ff,
    0x3ffee006,0x07ffee05,0x3fff5000,0x987ffd80,0xffffffff,0x4fffffff,
    0x007ffd80,0x001fff90,0x0005ff98,0x3609ffff,0x404ff9ff,0x0001fffb,
    0x5bff5510,0x3ffea003,0x03ffec02,0x03bfffea,0x00fffec0,0xe87fff44,
    0x7fe807ff,0x00bfffe2,0x007fffe6,0x8001fff9,0x400ffff8,0x2600fffb,
    0xf7003fff,0xffb001ff,0xffb0000f,0xffb0000f,0x7d4c000f,0x0009abef,
    0xd803fff5,0x7ec007ff,0xfffc807f,0x6fff8800,0x803fffe8,0x200ffff9,
    0x0001fffb,0x200fffd4,0xff987ffd,0xffffffff,0x804fffff,0x90007ffd,
    0x90001fff,0xc8001dff,0x9ff701ef,0xff7013fe,0x0cc9805f,0x001bfd00,
    0x9827ffcc,0x2a07fffd,0xa80effff,0x7fffdc2d,0x3fff6201,0x80ffff25,
    0x3ea1fff8,0x3ea03fff,0xfc804fff,0x7d4000ff,0x3f2204ff,0x3e600fff,
    0xffb003ff,0x1fff600f,0x1fff6000,0x1fff6000,0x03bfa000,0x07ffea00,
    0x800fffb0,0xfd807ffd,0x7e401eff,0xfff985ff,0x3ffea04f,0x7ffdc03f,
    0x03326203,0xb007ffea,0xddd10fff,0xfddddddd,0xb0017dff,0x32000fff,
    0x70000fff,0x08003fff,0xff9bfe20,0x77ffcc04,0xffeca99a,0xffd004ff,
    0x7ffc001f,0xffdb99bf,0x541cffff,0x880effff,0x7ff447ff,0xba99adff,
    0x2a2fffff,0x512cffff,0xd87fffd9,0x99bdffff,0x06ffffdb,0x001fff90,
    0xabffff88,0xffffdb99,0x6d41beff,0x2103dfff,0xb006fffb,0xb0000fff,
    0xb0000fff,0xd0000fff,0xa8001fff,0x7ec01fff,0x7fec007f,0xffffd807,
    0xeba9abdf,0xf703ffff,0x7357dfff,0x00dffffb,0x357dfff3,0x9ffffd95,
    0x803fff50,0x20007ffd,0x2004fff8,0x90007ffd,0x40001fff,0x0001fffa,
    0xfdddffb0,0xfff805ff,0xffffffff,0x4dc04fff,0x2003ffcc,0xfffffffd,
    0xffffffff,0xfffff50f,0xfddddddd,0xffd883ff,0xffffffff,0xffd83fff,
    0xffffffff,0x7f443fff,0xffffffff,0x7301ffff,0xddffffdb,0xffb0059d,
    0xffffffff,0xffffffff,0x7fffffcc,0x7ffff43f,0x776541ff,0xeeffffee,
    0x6540bdee,0xffffeeee,0x40adeeee,0xffeeeeca,0xadeeeeff,0x7e655c00,
    0xfd73003f,0xca819bff,0x543cffff,0xfffeeeec,0x0adeeeef,0xfffffff9,
    0xffffffff,0xffffd80b,0xffffffff,0xffff000e,0xffffffff,0x7ee44bff,
    0x6540bdff,0x003cffff,0xdfffdb71,0x77765417,0xeeeffffe,0x36e60ade,
    0xeeeffffe,0x9800adee,0xd00003fe,0xffffffff,0xffff980d,0xffffffff,
    0x3ffea00e,0x22001ffe,0xfffffffe,0xffffffff,0xffffffb0,0xffffffff,
    0x3fff605f,0xffffffff,0xffffd103,0xffffffff,0x3ffff205,0x0dffffff,
    0x3fffffe0,0x2fffffff,0x7ffff440,0xffffffff,0xf50fffff,0x49ffffff,
    0x4ffffff8,0x7fffffd4,0xffffffff,0x3ffea5ff,0xffffffff,0x2a4fffff,
    0xffffffff,0xffffffff,0x3bffea04,0xffd002ff,0x4cdfffff,0xffffffff,
    0xffffff53,0xffffffff,0x3ffee9ff,0xffffffff,0xb800dfff,0xffffffff,
    0x7cc004ff,0xffffffff,0x3f60efff,0x24ffffff,0xfffffff8,0xfffe801f,
    0xf54fffff,0xffffffff,0x9fffffff,0x3fffffe2,0xffffffff,0x0006004f,
    0xbaaaaa80,0xd9800dff,0xffffffff,0xffe8801d,0xe88006ff,0xbdffffff,
    0x363efffd,0xffffffff,0x2fffffff,0x3ffff6e0,0xc800bdff,0xffffffff,
    0xffea803e,0x402effff,0xfffffff8,0x03ffffff,0xfffffc88,0xfffcbeff,
    0x7ff643ef,0x7fec0def,0x7fdc0dff,0xffffffff,0x26ffffff,0xfffffffb,
    0xffffffff,0x3fffee5f,0xffffffff,0x7405ffff,0x2006ffff,0xffffffff,
    0x3ffffea6,0xfff73fff,0xffffffff,0x22bfffff,0xfffda9ed,0x001effff,
    0x7ffffec4,0xb30002ef,0xffffffff,0xfffff039,0x7fd4dfff,0x03ffffff,
    0xffffffe8,0xffff75ff,0xffffffff,0x3e2bffff,0xffffffff,0x05ffffff,
    0x88000000,0x005ffffe,0x02af2ea2,0x00e54400,0x2af2a200,0x3fff6000,
    0xffffffff,0x3002ffff,0x26000377,0x01acddca,0x01377300,0x7ffff5c0,
    0x0dffffff,0x2f2ea200,0x8000000a,0xf9101ab9,0xffffffff,0x45bfffff,
    0xfffffec8,0xffffffff,0x3ffb221d,0xffffffff,0x8801dfff,0x6d4001ca,
    0x41dfffff,0xdfffffec,0xfffff910,0xffffffff,0xa98803bf,0x800009ab,
    0x00001ba9,0x026b2ea2,0xfffffb50,0xfffec85b,0xda800cef,0x1dffffff,
    0xffffff91,0xffffffff,0x7fff5c3b,0xffffffff,0x000001df,0xffffb000,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaa8800,0x98800002,0x4c401aaa,0x99999999,0x99999999,
    0x4d54c001,0x5554c000,0x00002aaa,0x00015553,0x0000eecc,0x9dddb930,
    0x32600005,0x002ceeed,0x02aaaa62,0x0aaaaaa2,0xfffffec8,0x3fff662d,
    0xc800cfff,0xfffffffe,0x440cefff,0x0002cccc,0x37b6ea00,0x764401ac,
    0x3200ceff,0x02dffffe,0x3bbbbb66,0x4002eeee,0x00002dc8,0xddddddb3,
    0x4c007ddd,0xeeeeeeed,0x366002ee,0xeeeeeeee,0x2a60003e,0xfd88009a,
    0xffffffff,0x3fae002d,0xefffffff,0xff5000ac,0x0000ffff,0x3ffffae2,
    0x57503fff,0x55555555,0x95555555,0x7fedcc01,0xeb9cffff,0xfffffd03,
    0x22000fff,0xffffffec,0x4404eabe,0x10cffffe,0x3aa001fd,0xffffffff,
    0xfd50003f,0xffffffff,0xffff8807,0x7ffc42ff,0xff507fff,0x1fffffff,
    0x3ffffff6,0x7fd405ff,0xffffffff,0x7d44ffff,0x00001fff,0xfffffea8,
    0xf900dfff,0x209fffff,0xfffffffb,0x3ffff207,0x06ffffff,0x37ffff60,
    0xc800bf21,0xffffffff,0x3f2006ff,0xffffffff,0x3ff2006f,0xffffffff,
    0xfffa8006,0x3200cfff,0xffffffff,0x9800ffff,0xffffffff,0x04ffffff,
    0x7fffffc8,0x7fe44000,0xffffffff,0x000d40ef,0xffc80540,0xffffffff,
    0x7c40ffff,0x7fffffff,0xffff9800,0xffffffff,0x3ffa01ff,0xffdfffed,
    0xfffc800f,0xffecaacd,0x3f2000ef,0xecaacdff,0xf500efff,0xa85fffff,
    0x07ffffff,0xfffffff5,0x7fffecff,0x5404ffff,0xffffffff,0x43ffffff,
    0x0005fffc,0xfffffd80,0x3fffffff,0xffffffc8,0xfffff504,0x65c40dff,
    0xbccccccc,0xddff9000,0x5ffdbfff,0x6665c400,0x00bccccc,0x33332e20,
    0x000bcccc,0x333332e2,0x4000bccc,0xfffffffc,0xfff700ff,0xffffffff,
    0x3ffe200f,0xffffffff,0x201effff,0x07ffffe9,0x7fffcc00,0xffffffff,
    0x0000d45f,0x7ffec054,0xffffffff,0xfc82ffff,0x07ffffff,0x7ffffd40,
    0xffffffff,0x8bba03ff,0x02fffffc,0x006fff44,0x803fff71,0x200dffe8,
    0xd01fffb8,0x885fffff,0x07fffffe,0x3bbfff6a,0x3fb6e21c,0xa800beff,
    0xfffeeeed,0xff83deef,0x400001ff,0xeffffffc,0x1fffffff,0x5ffffdc4,
    0x3ffb6a00,0x000001cf,0xff51fe40,0x00009fff,0x00000000,0x20000000,
    0xfffffffa,0xb7106fff,0xddddffff,0x7ed40037,0xfeeeefff,0x00efffff,
    0x003ffec4,0x3bfffe60,0xfffeb9bd,0x00006a3f,0xffff902a,0xfd9537bd,
    0x4c05ffff,0x007ffd99,0x37ffffee,0xfffcba9b,0xc98003ff,0xffd800bd,
    0x3bfea002,0x00bff600,0x100effa8,0x2205fff7,0x4c07ffd9,0xf8802fff,
    0xc80004ff,0x3e600fff,0x400005ff,0x0adffffa,0x1bfffae2,0x90037ff4,
    0x00001fff,0x76440000,0x0000000c,0x00000000,0x3fa00000,0xffb9bdff,
    0xfffd807f,0x00999999,0x413ffe20,0x05ffffb9,0x0007ffc8,0x701fffcc,
    0x00d4dfff,0xff505400,0xffc80bff,0xffb002ff,0x3ffe200f,0x7fec404f,
    0x8000003f,0x6e4c2ffb,0xff51a9ce,0x26bfee0b,0x0acccccc,0xf502ffd4,
    0xffd805ff,0x17ffcc07,0x027ffc40,0x07ffe400,0x001fff70,0x7fffc400,
    0x7fff4405,0x006ffe84,0x4003fff2,0x1acdedba,0x00000000,0x3bbb6e62,
    0x4c0001cd,0x000acedb,0x20155553,0x402aaaaa,0xf986fff8,0xfffd804f,
    0xffffffff,0x7ffc401d,0x7fffdc04,0x03ffe401,0x00fffc00,0x01a9fffa,
    0x3f60a800,0xff9005ff,0x3ff6005f,0xbfff9007,0x0bffe600,0xaaaaaa98,
    0x713fe002,0xdfffffff,0x7fc0ffd4,0xffffff94,0x1ffa85ff,0x805fff50,
    0x7cc07ffd,0xff8802ff,0xfc80004f,0x3ff600ff,0x2a555514,0x2a02ceec,
    0xf1005fff,0xdffd0fff,0x07ffe400,0x3ffffaa0,0x400dffff,0x950aaaa8,
    0x20037bdd,0xffffffd8,0x001effff,0x3fffff62,0xf102dfff,0x885fffff,
    0x07ffffff,0x8817ffcc,0xffffb000,0xffffffff,0x7ffc407f,0x5fffc804,
    0x4c3ffe40,0x700aaaaa,0xfff900df,0x200006a1,0x01bffe0a,0x001fff88,
    0xf100fffb,0xfd800dff,0x3ffffa07,0xf5007fff,0x577fd41f,0x7f47ffc9,
    0xa887fd44,0x6fdbaaff,0xff504fe8,0x7ffd805f,0x017ffcc0,0x0027ffc4,
    0x007ffe40,0xfff31fff,0xfffffbdf,0xfff701bf,0xffffffff,0x1fffffff,
    0x2006ffe8,0x3600fffc,0xffffffff,0xf303ffff,0xffd9ffff,0x007fffff,
    0xfffffff7,0x01dfffff,0xffffff50,0x09ffffff,0x5ffffff5,0xffffffa8,
    0x1fffcc07,0x7ffec000,0xfffeeeee,0xff104fff,0x3ffa009f,0x9fff200f,
    0xfffffff8,0x7fc0001f,0x000350ff,0x3ffe2150,0x02fe4004,0x500fffb0,
    0x50009fff,0x3fffe201,0xb007ffff,0x983ff89f,0x363fdc6f,0x643fc44f,
    0xa83fdc2f,0x7ec02fff,0x7ffcc07f,0x4fff8802,0xfffc8000,0x2e9ff500,
    0xffffffff,0xd85fffff,0xffffffff,0xffffffff,0x37ff42ff,0x01fff900,
    0x3ffffff2,0xfffffffe,0xfffffb81,0xffffffff,0x7fcc05ff,0xfeeeffff,
    0x7cc05fff,0xfeefffff,0xe84fffff,0x442fffff,0x07fffffe,0x0005fff8,
    0x2207ffd8,0x880ffffc,0xf9004fff,0x7fe403ff,0x3ffffea7,0x10004fff,
    0x0d4dfffb,0xfa854000,0x000002ff,0xc807ffd8,0x00002fff,0xffffffc8,
    0x47fd007f,0x30f207f9,0x21ff41ff,0x43fd87f8,0xffa80ff9,0x3ffec02f,
    0x00bffe60,0x0013ffe2,0x403fff20,0xfff10ffc,0xffdfffff,0xffd83fff,
    0xffffffff,0xffffffff,0x0037ff43,0xf501fff9,0x4415bfff,0x886fffeb,
    0xffffffff,0xfffffeef,0x0d5e5401,0x103fffcc,0x815fffff,0x82ffffe9,
    0x102fffb8,0xd00fffb3,0xb0000fff,0xffd00fff,0x7fff643f,0x82efffff,
    0x3202fffa,0x3ffe27ff,0x001fffff,0x7ffffdc4,0x200006a2,0x00fff90a,
    0x3ff60000,0x07ffd807,0x26620000,0xf007ffe9,0x0027dc3f,0x83ff0ffc,
    0xfeb99ff8,0xa81ff80f,0x7ec02fff,0x7ffcc07f,0x4fff8802,0xfffc8000,
    0xff05f900,0x32219fff,0x7fdc3fff,0xccccccdf,0xcccccccc,0x0037ff41,
    0xf881fff9,0x74405fff,0xff704fff,0x64419fff,0x00005fff,0x2e01fff9,
    0x6400efff,0xff505fff,0x7ffd805f,0xfffeec88,0x001deeef,0x5c03ffec,
    0xfff72fff,0xffffffff,0x07fff30f,0xfe8bffe4,0x0009efff,0x7ffffe4c,
    0x0000d44f,0x06ffe854,0xffb00000,0x0dffd00f,0x7ec00000,0x41ff007f,
    0xfe8003fb,0xff103fe2,0x203dffff,0xfffa82fe,0x03ffec02,0x200bffe6,
    0x3504fff8,0x03fff200,0x9ffff008,0x98bfff10,0x0000efff,0x400dffd0,
    0x7d40fffc,0xff1005ff,0x3ffea0ff,0x1bffe02f,0x6f65d440,0x00fffdcc,
    0x2001fffb,0xff507fff,0x7ffd805f,0xffffffc8,0x007fffff,0x6403ffec,
    0xfff51fff,0xffffffff,0x07fff30d,0x7fd7ffe4,0x20004fff,0x3ffffffd,
    0xa80001a8,0x000dffd0,0x1fff6000,0x881bffa0,0xbcccccca,0x1fff6001,
    0x9f717fc0,0x21ff8800,0x77fc42ff,0xff105ffe,0x09fff303,0x01ffff66,
    0x1005fff3,0xff909fff,0x1fff9003,0x0dfff000,0x7f437ff4,0x262005ff,
    0x006ffe80,0xf703fff2,0xffffffff,0xffffffff,0x7fff501f,0x407ffd80,
    0xffffffc8,0x00ffffff,0x64009fff,0xffa82fff,0x3ffec02f,0x7fffffe4,
    0x007fffff,0x7c03ffec,0x7f65c7ff,0x0deeefff,0x203fff98,0xfffffffc,
    0x7ec0003f,0x3500cfff,0x3a150000,0x000006ff,0xd00fffb0,0x3fe20dff,
    0xffffffff,0x0fffb005,0xff98ffa0,0x83fea000,0x33fc43fe,0x1ff507ff,
    0x37ffff10,0xfffffb73,0x3fe6039f,0xfff8802f,0x804ffe84,0x8000fffc,
    0x3fa05fff,0xffff986f,0xba999bdf,0x740ffffd,0x0f6c46ff,0xfb03fff2,
    0xffffffff,0xffffffff,0x5fff505f,0x207ffd80,0xfffffff9,0x0fffffff,
    0x002fff98,0x2a13ffe6,0x7ec02fff,0xeedb887f,0x1ceeffff,0x03ffec00,
    0x20bfffb3,0x7004fff8,0x7e403fff,0x01ffffff,0x1fffb800,0x40000d40,
    0x00fffb0a,0x3ff60000,0x07ffc807,0xfffffff5,0x3600ffff,0xbf9007ff,
    0x8b703fe8,0x22fe46fc,0x17fc47f8,0xffd81bf2,0xffffffff,0x80ffffff,
    0x8802fff9,0xfff83fff,0x0fffc805,0x05fff800,0x7e41bffa,0xffffffff,
    0x2fffffff,0x3ee37ff4,0x07ffe44f,0x3ffffff6,0xffffffff,0xfa83ffff,
    0x7fec02ff,0xfffff107,0xffffffff,0xfff501ff,0x4fff8005,0x402fffa8,
    0xfb007ffd,0xfd8000ff,0xfeeeeeff,0x101fffff,0x36009fff,0x3f200fff,
    0x02ffffff,0x04ff9800,0xa80001a8,0x003fff90,0xfffb0000,0x01fff700,
    0x3ffffffa,0xfb003fff,0x3fe600ff,0x2b7ffe61,0x3fa0efdb,0xc98ffcc3,
    0x3fea2dff,0x4407fd0c,0xffffffff,0xffffffff,0x04fff880,0xf82fffa8,
    0xffc805ff,0xbfff0007,0x7037ff40,0xffffffff,0x0dffffff,0xffd8dffd,
    0x207ffe46,0xcccdfffb,0xcccccccc,0xffa81ccc,0x3ffec02f,0xbdffffe8,
    0x3fff6660,0x009fff00,0x5417ffcc,0x7ec02fff,0xffff007f,0xfffd8000,
    0xffffffff,0x3fe200ef,0xfff8804f,0x7fffe406,0x0003ffff,0x03500288,
    0x3ea15000,0x000005ff,0x9807ffd8,0x26203fff,0x03fffa99,0x801fff60,
    0x7ff546fd,0x3f61efff,0xf96fd80f,0xffc8dfff,0x4400ffda,0xeffffffe,
    0x03efffdb,0xb003bffa,0xfff01fff,0x0bffd00b,0x817ffe00,0x6c406ffe,
    0xffffffff,0xffd02dff,0x6c7ffd8d,0xfff986ff,0x2a00000e,0x7ec02fff,
    0xffff887f,0x07ffdc00,0x801fffd8,0xa80fffe8,0x7ec02fff,0xfff8807f,
    0x7fec0006,0xffffffff,0xfff8803e,0x7fff4404,0x5fffe404,0x004ffffe,
    0x006a0000,0xffe82a00,0x3762002f,0x0fffb001,0x003fffe0,0x001fffcc,
    0x4c00fffb,0xacba84ff,0x9817fec0,0x133334ff,0x05ffb330,0x055e54c0,
    0xf9001dfb,0x3f201bff,0xdfff06ff,0x27ffe401,0x05fff800,0x9801bffa,
    0x009abeff,0x7ec6ffe8,0x17ffe27f,0x002ffff4,0x3fea0131,0x3ffec02f,
    0x1027ffd4,0x201ffff9,0x201ffffb,0x305fffd8,0x36609fff,0xfa807fff,
    0x054404ff,0x999fffd8,0x7c400099,0xfd3104ff,0xfc801fff,0xffffb17f,
    0x20000009,0x0a80001a,0x013fffee,0x401bffe6,0xf9007ffd,0xf3003dff,
    0x7ec007ff,0x7fd4007f,0x9ffb000e,0x00effa80,0x0009ffb0,0x1003ff80,
    0x35bfffff,0x03ffffd7,0x2b7ffffe,0xffffeb99,0xbfff0001,0x0037ff40,
    0xb8001ff5,0xfb0bffff,0xfffd35ff,0x3fffe609,0xba999bdf,0xa80ffffd,
    0x7ec02fff,0xffff887f,0xffdb99ab,0x41beffff,0xadffffe8,0xffffba99,
    0x3fffe02f,0xfffdb99b,0xd101cfff,0xfe805fff,0x3fff2a0f,0x00bdeeef,
    0x3ffff260,0xfffeeeee,0xfc801fff,0x7fffec7f,0x0188000d,0x50000350,
    0xfffffd81,0xfdba99ac,0xfb005fff,0x7ff400ff,0xb99abdff,0x83ffffec,
    0xffeeeeca,0xadeeeeff,0x37fff700,0x0bffd950,0x06fffee0,0x017ffb2a,
    0x2bbf2000,0x3fe605eb,0xffffffff,0x3ffe04ff,0xffffffff,0x98001fff,
    0x42cffffc,0x002ffffa,0x07b33ff5,0xffffffb8,0xffffffb4,0x7e401dff,
    0xffffffff,0x2fffffff,0x37fff722,0x7ff5c40c,0x7ffec1bf,0xffffffff,
    0x87ffffff,0xffffffd8,0x3fffffff,0x7ffffec0,0xffffffff,0x3f220fff,
    0xeeeeffff,0x2fffeeee,0xfffffff7,0x200dffff,0xfffffff8,0xffffffff,
    0x7fe5403f,0xffffc87f,0xfe801bde,0x00d401ff,0x3a205400,0xffffffff,
    0x1fffffff,0x7f777654,0xdeeeefff,0x7fffcc0a,0xffffffff,0x7d43ffff,
    0xffffffff,0x4fffffff,0x3ffffa60,0x3fffffde,0x7fff4c00,0xfffffdef,
    0xf3000003,0xa80dffff,0xffffffff,0x7ecc03ff,0xffffffff,0xf88001ff,
    0x0fffffff,0x3ffffff7,0x3ffffa00,0x7fffe407,0xffff75ff,0x7001ffff,
    0xffffffff,0x8dffffff,0xfffffffd,0x7ffffec5,0x7fff447f,0xffffffff,
    0x00ffffff,0xfffffffb,0x1007ffff,0xfffffffd,0xffffffff,0x7fffff41,
    0xffffffff,0xff91ffff,0xffffffff,0xff3001ff,0xffffffff,0x803dffff,
    0x87fffffb,0xfffffffc,0x7fffd407,0x0000d404,0xfffc8054,0xffffffff,
    0x7ffd40df,0xffffffff,0x984fffff,0xfffffffe,0x0cffffff,0x7fffffdc,
    0xffffffff,0x75c405ff,0xbfffffff,0xfd710000,0x17ffffff,0xda800000,
    0xc8801dff,0x1effffff,0x3ffee200,0x001cefff,0xffffff30,0x3fff25ff,
    0xb3002fff,0xd8805dff,0x2e1dffff,0x01dfffff,0x3ffff620,0x2dffffff,
    0xffffffe8,0x7ffff47f,0x7e440fff,0xbeffffff,0x03effffc,0x7ffffedc,
    0x22000bdf,0xdffffffe,0x43efffdb,0xfffffffe,0xffffffff,0x3fff626f,
    0x2dffffff,0x3fffb200,0xbcefffff,0xffff9001,0xffffb0ff,0x4401ffff,
    0x5402ffff,0x00a80001,0x3fffff26,0xf703dfff,0xffffffff,0xbfffffff,
    0x7fffed40,0x00beffff,0xffffff91,0xffffffff,0x5544003b,0x400001ab,
    0x001abaa8,0x00080000,0x0026ea60,0x01573100,0x3ffb2000,0x3f624eff,
    0x88004eff,0xa8800000,0xa980002b,0x4009aacb,0xdfffffda,0x7fffed42,
    0x32ea203e,0x400000ab,0x80001bb9,0x000abca8,0x7ffffed4,0xffffffff,
    0x0000004e,0xb1000000,0xb30fffff,0x07dfffff,0x50017510,0x9999999b,
    0x99999999,0x2a6001b9,0xc88009bb,0xfffffffe,0x1dffffff,0x35753100,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfec88000,0xffffffff,
    0x2fffffff,0x6ffffed4,0xfffec881,0x7ffed43e,0xffd981df,0x3f663eff,
    0xffffffff,0xeb82dfff,0x223dffff,0x0ceffffc,0x2a000000,0xfffffffd,
    0xffffffff,0x65d405ff,0x7fdc018b,0xffffffff,0x3ee6ffff,0xffffffff,
    0xffffffff,0x0000005f,0xa8000000,0xffffffec,0x1fffffff,0x81880000,
    0x2dffffda,0xeffffc88,0x3ffff223,0xfc881dff,0x41dfffff,0xfffffec8,
    0x2002dfff,0xefffffeb,0xffffda83,0x73100cef,0x039bdddb,0x7ffff5c0,
    0x0aceffff,0x7fff6440,0x02dfffff,0xffffd910,0x445bffff,0x00000dfd,
    0xffffff70,0xffffffff,0xff85ffff,0xc87fffff,0x2fffffff,0xfffffff1,
    0xfffffb0d,0x3fff65ff,0xffffffff,0x3e60ffff,0x0fffffff,0xfffffffb,
    0xb880000b,0x3fffe0de,0xffffffff,0x5fffffff,0xfffffd30,0x3fee01ff,
    0xffffffff,0x3ee6ffff,0xffffffff,0xffffffff,0x0033f25f,0xee880000,
    0x3fee0002,0xffffffff,0x1fffffff,0x7fcc0000,0x3ffffe25,0xfffd86ff,
    0xffb2ffff,0x0dffffff,0xfffffff9,0xffffc8df,0xffffffff,0xffff9800,
    0x7c2fffff,0xffffffff,0x7fffec43,0x1effffff,0x7ffffcc0,0xffffffff,
    0x3fff203f,0xffffffff,0xfffc800f,0xffffffff,0x09fff70f,0x00fbff6e,
    0xffffffb8,0xffffffff,0x7fc2ffff,0x40ffffff,0xfffffffc,0x3fffffe2,
    0xffffd86f,0xfffb1fff,0xffffffff,0xff98ffff,0x90ffffff,0x9fffffff,
    0x7fdc0000,0x3fffe4ff,0xffffffff,0x5fffffff,0xffffff98,0xff703fff,
    0xffffffff,0x7dcdffff,0xffffffff,0xffffffff,0x9ffff55f,0x70000001,
    0xd1000bff,0xffffffff,0xffffffff,0x2a2003ff,0xf30aceec,0x7ffc1fff,
    0xfc86ffff,0x71ffffff,0xffffffff,0xfffff90d,0xffb8bfff,0xffffffff,
    0xfff3007f,0x83ffffff,0xffffffff,0x7fffdc3f,0xffffffff,0x3ffe600e,
    0xffffffff,0xb80effff,0xffffffff,0xf7007fff,0xffffffff,0x7ffdcfff,
    0x7fffec45,0x36e005ff,0xffffbfff,0xfffeeeee,0x7fffe542,0xfffd882f,
    0x7fe4c3df,0xfd880eff,0x2e22cfff,0xffffeeed,0xa81beeee,0x21cefffe,
    0xbffffdb8,0xfea80000,0x2e63ffff,0xeeeffffe,0xffeeeeee,0xffffe85f,
    0x701fffff,0xdddddfff,0x4dffffdd,0xeeeefffb,0xeeeeffff,0xfff35fff,
    0x00007fff,0x007ffd80,0x7fffffc4,0xeeffffef,0x01fffeee,0x7fffff4c,
    0xffffefff,0x7fffe4c6,0xfffd881f,0x7fee42df,0xb881bdff,0x0cefffed,
    0x7ff76dc4,0x001beeff,0x3bbfffaa,0xfeeb982c,0xff983fff,0xfeeeffff,
    0x6d405fff,0xeeeeefff,0x86ffffff,0xfffeedb8,0x1001ceef,0xffffddb7,
    0x764439dd,0x4dffec3f,0x4001ffc9,0x5fff8ffe,0x302fffa8,0x3603ffff,
    0x7d404fff,0xffd00fff,0x7fec009f,0x7ffdc007,0x037ff401,0x7ffecc00,
    0xff104fff,0x3ffe009f,0x4f7ffcc5,0x2e01dfb8,0xff701fff,0x7ffdc3ff,
    0x7c3ffec0,0x3ffea5ff,0x0002efff,0x00fffb00,0xacffffe8,0xf50bfff0,
    0x7fe403ff,0xffffffff,0x700effff,0xf105ffff,0xff80bfff,0xffd000ff,
    0x3fe2003f,0x7e40004f,0x7f4000ff,0x2af2a06f,0x07fff981,0x303fff88,
    0x809ffff7,0x0004fff8,0x009fff10,0x84fe81fb,0x3e6005fe,0x50bfff6f,
    0x7e405fff,0xfffb86ff,0xfffc800e,0x06fffb85,0x003ffec0,0xd007ffee,
    0x44000dff,0xdffffffc,0x13ffe201,0x2e2fffc0,0x40042fff,0xf981fffb,
    0x7fdc2fff,0x43ffec0f,0x7e445fff,0x01efffff,0x3ffec000,0x7ffff700,
    0xf50bfff0,0x3ff203ff,0xffeeffff,0x401fffff,0x741ffffc,0x5c00efff,
    0xf9803fff,0x3e2006ff,0x5c0004ff,0x55541fff,0x02fffc0a,0x07ffe400,
    0x00fffe20,0x401ffff7,0x0004fff8,0x809fff10,0x881883fa,0x3ee004ff,
    0x30bfff4f,0xfe803fff,0x3ffe23ff,0xffd1001f,0x7fffcc7f,0x3ffec001,
    0x07ffee00,0x000dffd0,0xffffff91,0xfff1003d,0xffd83709,0x017ffdc3,
    0x207ffdc0,0xb84ffff8,0x7fec0fff,0x105fff87,0xbffffffb,0x3f600001,
    0x3ffa007f,0x0bfff04f,0xf503fff5,0xe883dfff,0x803fffff,0xf90efffd,
    0xf1001fff,0xff900dff,0x7fc4005f,0x8002ea4f,0x3e22fffa,0x3fe22fff,
    0xcba8804f,0xfffdccde,0x1fffc400,0x027ffe40,0xc889fff1,0x3fe2001d,
    0x017e204f,0x001ffe98,0x7ffcbff6,0x1ffe5d95,0x47fffe60,0x4004fffd,
    0xfd0ffffa,0xfb0009ff,0xffb800ff,0x37ff401f,0x3fffee00,0x22002fff,
    0x7ff44fff,0xf307fea0,0xf3000dff,0xdfffd0df,0xb03ffee0,0x9fff0fff,
    0xffffe980,0x40000cff,0xf3007ffd,0x7ffc0dff,0xfff15b75,0x213fff60,
    0xffffffe8,0x7ff4400f,0x1ffffbdf,0x0bfff600,0x007fff88,0x7d67ffc4,
    0x3e6005ff,0x3ffee3ff,0x0fffe65f,0xfffffc88,0x0fffffff,0x01fffc40,
    0x2207ffe8,0x7fec4fff,0xfff1000f,0x8006d409,0x2002fffa,0x3ffe7ff8,
    0x3937ff9d,0x3bfff200,0x0006fffb,0xff9dfff9,0x3f6000df,0x7fdc007f,
    0x37ff401f,0xffffea80,0xf88003ff,0x1fffc4ff,0x3fffe802,0x642dc800,
    0xf300ffff,0x0fffb0df,0x2a005ffb,0x3ffffffe,0x1fff6000,0x027ffdc0,
    0xfff3bfff,0x7ffc072a,0xffffe885,0x9803fffd,0xffffffff,0x7ffcc003,
    0x13ffee05,0xfffff100,0x4400dfff,0x3ff64fff,0xfff50fff,0x3fffe605,
    0xffffffff,0x7fc400ff,0xfff9003f,0x93ffe203,0x002ffff8,0x0009fff1,
    0x00bfff20,0x7fcbff50,0x01fffeff,0xfffffd00,0x740003ff,0x1fffffff,
    0x0fffb000,0xeefffb80,0xffeeeeee,0x7fecc06f,0x000cffff,0xddffff10,
    0x4009fffd,0x000ffffb,0x2ffffa80,0x7ec0e540,0x003c887f,0xffffffb8,
    0x2aaa602e,0xaafffeaa,0x3f20aaaa,0x3ffe02ff,0x400fffef,0x7441fffa,
    0xff99ffff,0xfff5004f,0x20009fff,0xfd00fffe,0xf88001ff,0x2fffffff,
    0x8afffc00,0x72ffffff,0xff103fff,0xffffffff,0x801fffff,0x7003fff8,
    0x3e205fff,0x7ffec4ff,0x9fff1000,0xffe88000,0xffd8000e,0x3fffffe3,
    0xf30001ff,0x009fffff,0xfffff980,0x3f60003f,0x7fdc007f,0xffffffff,
    0x9106ffff,0x3bffffff,0xfff88000,0x4fffffff,0xfffff300,0x0056644d,
    0x01ffffcc,0x01fff600,0x3ff22000,0x221effff,0xffffffff,0xffffffff,
    0x1fffb2ff,0x7fffffc0,0x7fe401ff,0x7ffff447,0x801bffe1,0x006ffffb,
    0x213ffee0,0x8005fff9,0xdffffffb,0x6ffe8000,0xbffffff7,0x3a03fff2,
    0x20bdffff,0x00fffd99,0x801fffc4,0xf103fff9,0x1dc889ff,0x13ffe200,
    0x4fffa800,0x83ffe000,0xffffffff,0x332e2001,0xccffffff,0xff90001c,
    0xd8000dff,0x7dc007ff,0xffffffff,0x886fffff,0x5ffffffe,0xfff10000,
    0x9fffffff,0xfffff300,0x3ffea7ff,0x7fff4405,0xccca8005,0xbcccffff,
    0xff500000,0x2a3fffff,0xffffffff,0xffffffff,0x1fffb4ff,0x7fffffc0,
    0x7fec01ff,0xffffd10f,0x006ffe85,0x03fffff6,0x3fffc400,0x0017ffec,
    0xdfffffd5,0x7fec0003,0xffdfffb7,0x10fffb1f,0xb801ffff,0x7c400fff,
    0xff3003ff,0x3ffe207f,0xff100004,0x3ea0009f,0xecccceff,0xefff9803,
    0xfeffffee,0x3e6001ff,0xffffffff,0x20003fff,0x0001fffe,0x2003ffec,
    0xfffffffb,0x6fffffff,0x3ffffee0,0x440002ef,0xfeeeffff,0x7fc404ff,
    0x9ffffeff,0x200ffffc,0x000efffd,0x7fffffdc,0x04ffffff,0x7ffec400,
    0x3e20dfff,0xffffffff,0xffffffff,0x05fff91f,0x7ff7fffc,0x7ffdc00f,
    0x85ffffb3,0x9003fff8,0x1dffffff,0x3fff2000,0x01bffe22,0x7ffffec4,
    0x01c9805f,0xfff3fff9,0xfd5fff7d,0x9fff50ff,0x7fffe440,0x1fffc400,
    0x02fff980,0x3009fff1,0x7ffc4039,0x2e1c9804,0xffffffff,0xfffc806f,
    0x9dffffff,0xd80007ff,0x400007ff,0x80007ffd,0x5c007ffd,0x7f401fff,
    0x7fe4406f,0x001dffff,0xf89fff10,0x7fd403ff,0xefffc8df,0x2e05ffff,
    0xea81ffff,0xfffff904,0xbfffffff,0x3ff22000,0x201effff,0xfeaaaaa8,
    0x1aaaaaff,0xf027ffdc,0x0fff3bff,0xfbdfff50,0xffb05fff,0xfff7003f,
    0x00bfffff,0xb9bffe60,0xf9803fff,0x4fffffff,0xb837fc40,0xbfffcfff,
    0xfffdfff8,0xbffff886,0xfffdb99a,0x101befff,0x2e007fff,0xff101fff,
    0x7ff8809f,0x013ffe20,0x554cfff1,0x2aaaaaaa,0xfffffe80,0x5d75ffff,
    0xfffb0000,0xffd80000,0xffd80007,0x7ffdc007,0x037ff401,0xfffffd98,
    0x7c4000cf,0x07ff44ff,0xe83fff20,0x04ffffff,0x40ffffe6,0xfd882ffe,
    0xffffffff,0xfb8001df,0x02efffff,0x01fff600,0xf037ffcc,0x00bb2bff,
    0x7ffffff4,0x7ffec43f,0xffff9807,0x04ffff8b,0x23fffd00,0xb800ffff,
    0xfffeffff,0x07ffd404,0x7fffffd4,0xfffffd0f,0x3fff60bf,0xffffffff,
    0x07ffffff,0x2007fff1,0x3e207ffd,0x7fd404ff,0x9fff101f,0x01fffa80,
    0x7ffc4000,0x5fffaaaa,0x4405fb10,0xfffecccc,0x0001cccc,0x0001fff6,
    0x7001fff6,0xfe803fff,0x7f4c006f,0x003fffff,0x2e13ffe2,0x46ffe801,
    0x1ffffff9,0x09ffff10,0xd8027ffc,0x540007ff,0x3ffffffe,0x7ffd8000,
    0x0ffffa00,0xd882fffc,0xffff982f,0xfca99dff,0x4403ffff,0x3ea5ffff,
    0xa8002fff,0xfffacfff,0x5dff1004,0xb809fff1,0xff981fff,0x3ee6ffff,
    0x104fffff,0xfffffffd,0xffffffff,0xfff101ff,0xdfff1007,0x027ffc40,
    0x4407ffea,0x7d404fff,0xfed981ff,0xbff7002d,0x2a0bfff0,0x3ba606ff,
    0xeeffffee,0x360003ee,0xd80007ff,0x7dc007ff,0x7ff401ff,0xfff50006,
    0x1005ffff,0x40009fff,0x7dc0fffd,0x3fa06fff,0x3fe206ff,0xfffb004f,
    0x3ffa6000,0x000cffff,0x00fffb00,0x41ffffdc,0xff505fff,0x3ffffa0d,
    0xffffffff,0xffe804ff,0xffffb86f,0xffff8001,0x2001fffe,0x13ffe218,
    0x103fff70,0x47ffffff,0x3ffffff8,0x3ffff220,0xffcbefff,0xff103fff,
    0xffe8807f,0x3ffe204f,0x0fffd404,0x404fff88,0x7e41fffa,0x00dfffff,
    0x7fc17fec,0x0fff905f,0x007ffd80,0x03ffec00,0x03ffec00,0x007ffee0,
    0x8000dffd,0xeffffffb,0x13ffe202,0xefffc800,0xffffca9b,0x7ffe41ce,
    0x3ffe200f,0x0fffb004,0xffffd880,0x00000dff,0x2003ffec,0x21bffffe,
    0xff905fff,0xfffff90f,0xffffffff,0xfffb007f,0x3fff601f,0x7fe4000f,
    0x0006ffff,0x2027ffc4,0xff01fffb,0xfe81ffff,0x8802ffff,0xb80abcba,
    0x3fe200ef,0xffd3103f,0x7fc401df,0x7ffd404f,0x09fff101,0x2e1fffa8,
    0xffffffff,0xbfff9705,0xffffb915,0xfffddddd,0x76dc401f,0x1bdeffff,
    0x7f765400,0x0bdeefff,0xfdddb710,0x7bdddfff,0xfffec881,0x3f6a21be,
    0x0002cfff,0x3fffff22,0x3f6e20df,0xadeeefff,0xffff8800,0xffffffff,
    0x3ffe66ff,0xeeeeeeff,0x504fffee,0xdffffdd9,0x3ee017bd,0x01efffff,
    0xfffb0000,0xffff8800,0xffffefff,0xfffeeeee,0x6ffffe47,0xdffffffd,
    0x7fed400b,0xfc882eff,0x000befff,0x5ffffff1,0xfdd95000,0xdddddfff,
    0x03fffddd,0x21bffffe,0x01fffffb,0x8a7ec000,0x3fff260a,0xffeeeeee,
    0xca81ffff,0xeeffffee,0xffeeeeee,0x3fbb2a1f,0xeeeeefff,0x11fffeee,
    0xf913bfff,0xfffa85ff,0xfffeffff,0xffffffff,0x3200ffff,0xffffffff,
    0x3ea007ff,0xffffffff,0xffb05fff,0xffffffff,0xfe8dffff,0x0fffffff,
    0xfffffff9,0xd980003f,0x3a4fffff,0xffffffff,0xf5004fff,0xffffffff,
    0x261fffff,0xffffffff,0xffffffff,0xfffffb84,0x4fffffff,0xefffffa8,
    0x6c000002,0xe98007ff,0xffffffff,0xffffffff,0x3ffe27ff,0x00ddcc4f,
    0xffffff50,0xfffe83ff,0x2005ffff,0x007ffffd,0xffffffb8,0xffffffff,
    0xd01fffff,0xf107ffff,0x0001ffff,0xffeffa80,0xffffff35,0xffffffff,
    0xfff707ff,0xffffffff,0xffffffff,0x3ffffee3,0xffffffff,0x51ffffff,
    0x9ff90dff,0xffffffc8,0xffffffff,0xffffffff,0x3fff600f,0xffffffff,
    0xffff7000,0xffffffff,0x3ffffa0d,0xffffffff,0x3ffe0fff,0xb0ffffff,
    0xffffffff,0x3aa00007,0xfff14fff,0xffffffff,0x7f4c00bf,0xfddfffff,
    0x3ffe63ef,0xffffffff,0xc84fffff,0xffffffff,0xf985ffff,0x00003fff,
    0x00bff700,0x7ffffe40,0xffffffff,0x7f47ffff,0x2e00004f,0xffffffff,
    0x7fffffc2,0x3ea005ff,0xc8004fff,0xffffffff,0xffffffff,0xffb01fff,
    0x3ffa03ff,0xd000007f,0x3ea5ffff,0xffffffff,0x01efffff,0xfffffff9,
    0xffffffff,0x3f23ffff,0xffffffff,0xffffffff,0x07ff91ff,0xfd88dff3,
    0xfe9cffff,0xffffffff,0x200fffff,0xffffffd9,0x22003eff,0xfffffffc,
    0xb301dfff,0xffffffff,0xa85bffff,0x3efffffd,0x3fffff66,0x400000ce,
    0x3f6a0cda,0xffffffff,0xba98001d,0xff9800ab,0xffffffff,0x84ffffff,
    0xffffffd8,0x701dffff,0x0000017d,0x000f6c40,0x3ffb6e20,0xffffffff,
    0x15c47fff,0x3b220000,0xa84effff,0x1dfffffd,0x07fff400,0x7ffec400,
    0xffffffff,0x1fffffff,0x40dfff90,0x0007fffb,0x902ee600,0xfffffffd,
    0x880379df,0xfffffffd,0xffffffff,0xffb11fff,0xffffffff,0xffffffff,
    0x2a13fee3,0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x3a20fffa,
    0x3b6604ff,0xeeeeeeee,0x3fffae02,0xacefffff,0x7ff64400,0x2dffffff,
    0x3fffae00,0x36a1dfff,0x404effff,0xffffffdb,0xeb8002ff,0xffffffff,
    0x5c02cdff,0xffffffff,0xffffffff,0x3ffae5ff,0xffffffff,0x44ffffff,
    0x02ffffdb,0x19dffff0,0x5ffffda8,0xfffff910,0x3fb223bf,0xefffffff,
    0xfeb802cd,0x3623dfff,0x40defffe,0xffffffeb,0x00bcefff,0x05d91000,
    0x00000000,0x22040000,0x0054000a,0x37bb72a2,0x54c0311c,0x55500aaa,
    0xb9800555,0x4000aced,0xdeeedb98,0x2ea0001c,0x801acded,0xffcdfffe,
    0x3ff200ff,0xffffffff,0xfffff306,0xffffffff,0x7ffe409f,0xffffffff,
    0xfffa800f,0x26ffffff,0xffffffff,0xfffff102,0x00bfffff,0xffffffa8,
    0xffffffff,0xfff700df,0xffffffff,0xbfffffff,0x3fffffe6,0xffffffff,
    0x3e24ffff,0x806fffff,0x4ffffffb,0x3fffffe2,0xffffd82f,0xff96ffff,
    0xffffffff,0x203dffff,0xfffffff9,0xfffffb0f,0x7ffccbff,0xffffffff,
    0x0003ffff,0x0006ffb8,0x446e8000,0x880aaaaa,0x2e2aaaaa,0x88bffe3f,
    0x3ffa21a9,0xfffff700,0x9ffdffff,0xffffff88,0x7ffffc42,0xffd8807f,
    0x2dffffff,0x7fffec40,0x1effffff,0x3fffaa00,0x00dfffff,0x3fffffe6,
    0x65c403ff,0xbccccccc,0xfffff100,0xffffffff,0xff703dff,0xffffffff,
    0x3fe600ff,0x6fffffff,0x3ffffffe,0xffff102f,0x1fffffff,0x7fffcc00,
    0xffffffff,0xb80fffff,0xffffffff,0xffffffff,0xffff35ff,0xffffffff,
    0x49ffffff,0xfffffff8,0x7ffff401,0x3ffe24ff,0x640fffff,0xffffffff,
    0xffffff75,0xffffffff,0xfff307ff,0x321fffff,0x4fffffff,0x3fffffe6,
    0xffffffff,0x540006ff,0x980006ff,0x880acedb,0xffff10ff,0xfff885ff,
    0x57f67fff,0xfebffff9,0xffebefff,0x7fff443f,0xffffffff,0x7ffd47ff,
    0x7fd42fff,0x5407ffff,0xffffffff,0x2e04ffff,0xffffffff,0x800effff,
    0xfffffffd,0x203fffff,0x2fffffe9,0x2a000000,0xeeeffffd,0xeffffffe,
    0x7f76dc40,0x01ceefff,0x3fffb2a0,0x3fea1bde,0x4c02dfff,0xffffeeec,
    0x654003ff,0xeeeefffe,0x6fffffee,0xeeefffb8,0xeeeffffe,0x32a5fffe,
    0xeeeefffe,0xfffeeeee,0x7fffecc4,0x3ffea05f,0x64c0bfff,0x44fffffe,
    0xffffedb8,0xfffb710b,0xffdddddf,0xd503ffff,0x4439dfff,0x0bffffdb,
    0x77fff654,0xffffeeee,0x5c0004ff,0xfb10000c,0xdfffffff,0xff53fcc3,
    0xfa85ffff,0x3e7fffff,0x3ffffa4f,0xffffffff,0x7ff41fff,0xfffeffff,
    0x740fffff,0x442fffff,0x07fffffe,0x3fffffe6,0xffffffee,0xfffff304,
    0xffffdddf,0xffffc80b,0xfffffeff,0x5dcc01ff,0x00000009,0x304fff88,
    0x80bffff7,0x0004fff8,0x981fffb8,0x002fffff,0xffffffb0,0x3fee000d,
    0xfff5101f,0x0fffb83f,0x7fc3ffec,0x1fffa85f,0xa84fff80,0x00ffffff,
    0x0dfffffb,0xffffff98,0x817ffe01,0xd7107ffd,0x3ee0dfff,0x99999aff,
    0x406ffe99,0x9501fffa,0x0001ffff,0x3fa20000,0xffffffff,0xe8df73ff,
    0x442fffff,0x57fffffe,0x7ff445ff,0xffffffff,0x7fdc2fff,0x75cc0cff,
    0xb880ffff,0xb3102fff,0x3fe20fff,0x74c0afff,0x9502ffff,0xfff30357,
    0x7fffd40f,0x3fae20ad,0x000006ff,0x55555553,0x4fff8800,0x0ffffdc0,
    0x009fff10,0x83fff700,0x01fffffa,0x9dfff100,0x70005fff,0xfb803fff,
    0x7ffdc3ff,0x7c3ffec0,0xfffa85ff,0x84fff801,0x4ffffffa,0xffffff98,
    0x7fffcc06,0x3ffe06ff,0x01fff605,0x5c1ffff1,0xfffffffe,0xffffffff,
    0xfff505ff,0x2fffd803,0x88000000,0xeefffffe,0xfcffffff,0xfffb884f,
    0xfffb3102,0xff50dffd,0xffd79fff,0xfff889ff,0x7ffc401f,0x5fff500f,
    0x707ffd80,0xc801dfff,0x40005fff,0xf880fffc,0x74405fff,0x00004fff,
    0x7ffffff4,0x7fc4007f,0xfffc804f,0x13ffe205,0x3ffee000,0x3bfffee1,
    0x3fee0001,0x05fff9bf,0x01fffb80,0x2e27ffcc,0x7fec0fff,0xa85fff87,
    0x05c41fff,0xff507ffd,0xc81fffff,0x06ffffff,0x7fffffcc,0x0bfff04f,
    0x6403ffec,0x3ffa1fff,0xffffffff,0xffffffff,0x1fffa82f,0x027ffcc0,
    0x3a200000,0x4c0affff,0x0efffffe,0x805fff50,0x0cfffffd,0x40cfffb8,
    0x7dc5fffb,0xff7004ff,0x17ffd40d,0x6c1fff60,0xff000fff,0xcba880ff,
    0xfffdccde,0x05fffa80,0x20ffff10,0x0ceffecb,0xffffff10,0xf8800fff,
    0xffd004ff,0x3ffe201f,0xffb80004,0xdffff91f,0xffe80001,0x01fffd0f,
    0x01fffb80,0x2e17ffec,0x7fec0fff,0xa84fff87,0x3fe21fff,0x2a03bea6,
    0x3fffefff,0x3fffffe2,0x7ffcc06f,0xf81ffffd,0x3ff605ff,0x1fffa807,
    0x3fffffaa,0xffffffff,0xf505efff,0xffa803ff,0x0000002f,0x0077ffdc,
    0x807ffff2,0x6c02fffa,0x7ec02fff,0xfffd00ff,0x000fffc8,0x7d403b91,
    0x7fec02ff,0x009fff07,0x4417ffe4,0xfffffffc,0xb80fffff,0xffffffff,
    0xffffffff,0x7ffe40ff,0x3206ffff,0x7fffffff,0x27ffc400,0x01fffc80,
    0x0009fff1,0xfb5fff70,0x0001bfff,0x2a5fffa8,0x5c003fff,0xeb881fff,
    0x7cc0ffff,0x87ffd86f,0xffa82ffd,0x83ffea1f,0x2fffea00,0x3fee7fff,
    0x406ffebf,0xffcbfff9,0x05fff86f,0x3601fff6,0xffb80fff,0x37ff401f,
    0x807ffea0,0x200ffffb,0xaaaaaaa8,0xaaaaaaaa,0x07ffec1a,0x01ffff80,
    0xb00bffea,0xfff00fff,0x0fffdc0b,0x0000dffb,0x805fff50,0xff987ffd,
    0x3fe6002f,0x7fffcc4f,0xffffffff,0xfffd80ff,0xffffffff,0x2fffffff,
    0x5ccd664c,0x266202ff,0x9007ffe9,0xfffffffd,0xfff505df,0x13ffe205,
    0x3ffee000,0x006fffff,0x83fffb00,0x5c006fff,0xeeeeefff,0x03ffffff,
    0xfffb0395,0x3ea07910,0xffeeeeff,0xfff5001f,0x3e5fff95,0x6ffe8fff,
    0x45fffcc0,0x7fc3fffe,0x1fff605f,0x20dfff90,0xeeeefffb,0x6fffeeee,
    0x10fffd40,0xbffffd75,0x7ffffc40,0xffffffff,0x3e2fffff,0x3f2004ff,
    0x3fea02ff,0x3ffec02f,0x702fffc0,0x7ff43fff,0xfa800006,0x7fec02ff,
    0x02fffa87,0xf127ffc0,0xffffffff,0x01ffffff,0xfffffffb,0xffffffff,
    0x54c07fff,0x2005fe99,0xfb807ffd,0xffffffff,0xfff987ff,0x09fff103,
    0xffff7000,0x007fffff,0x86fff880,0x2002fffc,0xfffffffb,0x07ffffff,
    0x00fffb00,0xffffff50,0x2003ffff,0xff9afffa,0xd4fffaef,0xff980dff,
    0x1ffff53f,0xfb02fffc,0x753333ff,0x205fffff,0xfffffffb,0x6fffffff,
    0x7ffffd40,0xffffffff,0x3ffea00e,0xffffffff,0x5fffffff,0x4005fff3,
    0x2a04fff9,0x7ec02fff,0xfffd807f,0xc8ffff00,0x800007ff,0x6c02fffa,
    0x9fff07ff,0x17ffcc00,0x17bffffd,0x07ffeccc,0x666fffdc,0xcccccccc,
    0x6441cccc,0x5fffffff,0x01fff600,0x3fffffea,0x986fffff,0xff103fff,
    0xf700009f,0xffffffff,0x7dc0009f,0xfff983ff,0x3ffee005,0xffffffff,
    0xd8005fff,0xfa8007ff,0xffffffff,0xfff5001f,0x3fffff65,0x0dffd1ff,
    0x363fff98,0x3ffe5fff,0x3ffff605,0xffffffff,0x3ffee03f,0xffffffff,
    0x7d406fff,0xffffffff,0xf8804fff,0xffffffff,0xffffffff,0x05fff52f,
    0x204fff80,0x6c02fffa,0xffb807ff,0x7ffdc0df,0x017ffdc5,0xfff50040,
    0x07ffd805,0x1003fffb,0x3e21fffd,0x7dc00fff,0xfff980ff,0xf880000e,
    0xffffffff,0x1fff6005,0x7fff65c0,0x980deeef,0xff103fff,0x0393009f,
    0x2bffffee,0x004ffffe,0x99bfffd0,0x1ffff999,0x3bffee00,0xffffeeee,
    0x6c005fff,0xfa8007ff,0xffeeeeff,0xfff5001f,0x3ffffe65,0x01bffa5f,
    0x7c47fff3,0xbfff2fff,0x7ffffec0,0x3fffffff,0x7ffffdc0,0xffffffff,
    0x7ffd406f,0xffffffff,0x2aa62006,0xaaaaaaaa,0x7c09aaaa,0x3e6004ff,
    0x3fea02ff,0x3ffec02f,0x7ffffcc0,0x4fffffbc,0x00ffffcc,0xf303fea8,
    0x3f6609ff,0xfff707ff,0x7fec403f,0x13ffea5f,0x0ffffc88,0x00bfffd0,
    0x3ff604c4,0x002fec0b,0x8800fffb,0xf7004fff,0x3fe203ff,0x3ffc404f,
    0x20efffb8,0x002ffffb,0x7fffffd4,0xffffffff,0x3fff7003,0x7fffe4c0,
    0x1fff6003,0x87ffea00,0x8041fffa,0x3fa2fffa,0x3fa2ffff,0x7ffcc06f,
    0x47fffdc3,0x3f605fff,0xffffffff,0xffb800df,0x37ff401f,0x337ffea0,
    0x4ffffecc,0x20000000,0x8801fffd,0x2600fffe,0xfb304fff,0xfe880fff,
    0xffffffff,0x7e42ffff,0x899adfff,0x7fffdba9,0x26ffffe0,0xfffffdb9,
    0x7ff441cf,0xba99adff,0x222fffff,0x99abffff,0xffffffdb,0x7ffcc1be,
    0xa999bdff,0x20ffffdb,0x7fdc44ff,0x1fff6005,0x09fff100,0x403fff60,
    0x5404fff8,0xffb81fff,0x6fffb81f,0x7fffec00,0xffffffff,0xff7007ff,
    0xfff7003f,0x3ffec00b,0x0fffd400,0x6fc8fff1,0x2a2fffa8,0x7f46ffff,
    0x7ffcc06f,0xfcfffd83,0x3ff605ff,0x01aaaaaf,0x00fffdc0,0xf501bffa,
    0xfff903ff,0x0000007f,0x0bfffee0,0x05fffd88,0x99bffff8,0xffffffdb,
    0xffffd01c,0xffffffff,0xffd83fff,0xffffffff,0x205fffff,0xfffffffd,
    0xffffffff,0x7ffec40f,0xffffffff,0xfffd83ff,0xffffffff,0x87ffffff,
    0xfffffffc,0xffffffff,0x3bffee2f,0x3ffffffe,0x007ffd80,0x4027ffc4,
    0x2206fff8,0x7d404fff,0xfffb81ff,0x07fffb01,0x3ffffe20,0xffffffff,
    0xfb802fff,0xffd001ff,0x3ff6001f,0xfffa8007,0x3fe05c41,0x17ffd41f,
    0xfd0bfffe,0xfff980df,0xfffff883,0x3ff605ff,0xff700007,0x6ffe803f,
    0x80fffd40,0x002ffffc,0xfe880000,0xa99adfff,0x01fffffc,0xffffffd8,
    0xffffffff,0x7ffcc0ff,0xeffffdbf,0x444fffeb,0xfffffffe,0x0effffff,
    0x3ffffa20,0xffffffff,0xffb00fff,0xffffffff,0x3ffa207f,0xffffffff,
    0x0fffffff,0xffffffb8,0xffffffff,0xffffec86,0x803fffee,0x44007ffd,
    0x74404fff,0x3e204fff,0x7fd404ff,0x1fffb81f,0x00ffff10,0x200fffee,
    0xb805fff8,0xf9001fff,0x3f6001ff,0xffa8007f,0xfff9801f,0x217ffd43,
    0xffe85eeb,0x1fffcc06,0xffffffb8,0x01fff605,0x0fffdc00,0x501bffa0,
    0x7e403fff,0x00000fff,0xfffd8800,0xffffffff,0xfd1001ff,0xffffffff,
    0x01ffffff,0x4cc43fff,0x407ffa20,0xffffffea,0x1002dfff,0xbffffffd,
    0x07dfffb7,0xfffffdb8,0x64400bdf,0xefffffff,0x3effffcb,0x3ffff620,
    0x2dffffff,0x988d54c0,0x1fff6001,0x09fff100,0x3ffffa62,0x13ffe200,
    0x703fff50,0x7e403fff,0xffe803ff,0xfffb000f,0x1fffb801,0x07fff980,
    0x001fff60,0x2007ffea,0x7d43fff9,0x7f4002ff,0x7ffcc06f,0x3ffffa03,
    0x1fff605f,0x7ffdc000,0x037ff401,0xb007ffea,0x2000bfff,0xb0001dc8,
    0xffffffff,0x88001dff,0xdffffffe,0x03efffdb,0x5c400151,0xccaa9801,
    0x100009ab,0x00015795,0x000ddcc0,0x0abcba88,0x2ea60000,0x00009aac,
    0x3bbb2a00,0xeeeffffe,0x7e4c0ade,0xeeeeefff,0x81ffffff,0xffffeeca,
    0xeeeeeeee,0x3b261fff,0x40bdefff,0x1beffff8,0x6ffffed4,0xfeda880b,
    0x64c0ceff,0xeeeefffe,0xfffeeeee,0x3bb2a05f,0xadeeffff,0xfffd7300,
    0xdddddddd,0x547fffdd,0x0bdefffd,0xffffd950,0xfffb5017,0xff9837bd,
    0xfca85fff,0xbdeeefff,0xffd73000,0x6dc437df,0x4c3cffff,0xbdefffec,
    0xdfffe880,0x3fee000b,0x3f6e0006,0x0bdfffff,0x2f2a2000,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffea,0xffffffff,
    0x3ffe24ff,0xffffffff,0xb83fffff,0xffffffff,0xffffffff,0xfff31fff,
    0x0bffffff,0x1ffffff9,0x3fffffee,0xfffc86ff,0x265fffff,0xffffffff,
    0xffffffff,0xff700fff,0xffffffff,0xfff109ff,0xffffffff,0xffffffff,
    0x3ffffea7,0xffb86fff,0x46ffffff,0xfffffff9,0xffffc87f,0x7ffffdc5,
    0x06ffffff,0xffffffd0,0x3fff21ff,0xf32fffff,0xffffffff,0x3fffe60d,
    0x3fea005f,0x77300006,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc00000,0xffffffff,0x5fffffff,0x3fffffe6,0xffffffff,
    0xffff901e,0xffffffff,0x3fffffff,0x3fffffea,0xff886fff,0xff91ffff,
    0x0fffffff,0xfffffffb,0x7fffd4ff,0xffffffff,0x01efffff,0x3ffffff2,
    0x85ffffff,0xfffffff9,0xffffffff,0xff73ffff,0x0fffffff,0xfffffff7,
    0xffffa8ff,0x440fffff,0x7e45ffff,0xffffffff,0xff800fff,0x0fffffff,
    0xfffffffb,0x3fffea7f,0x207fffff,0x006ffffc,0x00000edc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32200000,0xffffffff,
    0x1dffffff,0x7fffff64,0x01bcefff,0x7ffffec4,0xffffffff,0x321fffff,
    0xdffffffe,0x9dfff902,0x7ffffecc,0xffd982df,0x642dffff,0xfffffffe,
    0x2cefffff,0xffffd880,0x1dffffff,0xfffffd90,0xffffffff,0x3227ffff,
    0x2dffffff,0xfffffd88,0xffec82df,0xf503efff,0xffd88bff,0xdfffffff,
    0xfffd5002,0x7ecc7dff,0x20ceffff,0xffffffec,0x6fff402d,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x442dedca,0x2000bddb,
    0xaceeedc9,0xdda80198,0xaddb880b,0xaaaa9800,0x33b6e20a,0x2aaaa201,
    0x37bdd950,0x55555400,0xaaaaa880,0x35555300,0xaaaaa981,0x15555101,
    0x6545bdb3,0x10000ade,0xaaa88003,0xaaa9801a,0xaaaa881a,0xaaa880aa,
    0x2a601aaa,0x802aaaaa,0xaaaaaaa8,0x2aaaaaaa,0x5100d400,0x072203b8,
    0x5009b500,0xaaaa889d,0xaaaaaaaa,0x1aaaaaaa,0x00000880,0x1cccc880,
    0x44355551,0x36a0aaaa,0xffffffff,0xffffffff,0xdfffd03e,0x0000d440,
    0x01881930,0x6c404401,0xdfffffff,0xffffff98,0x7fff4c01,0xffffffff,
    0xfffff302,0x7fffd45f,0x3ff601ff,0xff72ffff,0x981dffff,0xfecfffff,
    0x03ffffff,0x7fffffc4,0x3fffe63f,0x7fec2fff,0x3fa7ffff,0x45ffffff,
    0xfdfffff9,0xffdcffff,0x4002ffff,0xfb003ffa,0x40dfffff,0x6ffffffd,
    0x3ffffff2,0x3ffe63ff,0xe87fffff,0x7fffffff,0xfffffa80,0xffffffff,
    0x1bf2007f,0xbff1ff4c,0x005ff501,0xf702fffc,0x3ffe65ff,0xffffffff,
    0xffffffff,0x00ed805f,0xcefeca80,0x2ffff880,0x547ffff1,0xff10ffff,
    0xffffffff,0xffffffff,0xfff885ff,0xffff902f,0x7dc00805,0x47bff63f,
    0xffa84fe8,0x7ffffdc2,0xffffffff,0x502fffff,0xffffffff,0x109fffff,
    0xffffffff,0xffffff55,0xfff103ff,0xffd9ffff,0x8bffffff,0xfffffffb,
    0xffffffff,0x3fffea05,0x3fee5fff,0x7c4fffff,0x9fffffff,0xfffffff8,
    0x7fffdc7f,0xffffffff,0xffffffff,0x17ff2001,0x7fffffc0,0xffff01ff,
    0x3fa3ffff,0x5fffffff,0x3fffffee,0x3fe21fff,0x07ffffff,0xffffffa8,
    0xffffffff,0x3ffd8807,0x2a0fffa8,0xffe80eff,0xffff8804,0x2ffffb85,
    0xfffffff9,0xffffffff,0x80bfffff,0x22005ffc,0xfffffffe,0x21ffff82,
    0x3e61ffff,0x7fffc7ff,0xffffffff,0xffffffff,0x437ffdc2,0xffffffe8,
    0x903ff984,0x3fea1dff,0x1fff94ff,0x7d46ffe8,0xfffeffff,0xffffffff,
    0x7ffc40ff,0xfffeffff,0xffe86fff,0xffffffff,0xffffffff,0xffffc80f,
    0xffffffff,0x220ffffe,0xffffffff,0xfffffeef,0xffffd101,0x7ffc43ff,
    0x7e41ffff,0x366fffff,0x4fffffff,0x7fffff44,0xfffffeff,0x04ffffef,
    0x401fff60,0x5ffffffc,0x3ffffee0,0x3fffee5f,0x3e22ffff,0x6fffffff,
    0xffffffc8,0xfffa807f,0xffffffff,0x74406fff,0xfffb84ff,0x41fffb81,
    0xa805ffe8,0x3ee5ffff,0x3fe65fff,0xffffffff,0xffffffff,0x3fea05ff,
    0xfe8804ff,0xfffdabef,0xd07fff41,0x7fc41fff,0x77764c6f,0xeeeeeeee,
    0x83deeeee,0xfd82fffd,0xdfffffff,0x88dfff30,0x3ee0dffe,0xdff55fff,
    0x9509ff90,0x7fffcc17,0xfffd88df,0x56fffd43,0x2fffe4c0,0x5c37fff2,
    0x8dffffff,0x104fffd8,0xffffff73,0x13f6639f,0x67ffffdc,0x17fff220,
    0x5fffff50,0x1fffff4c,0x8bfff310,0x19effff9,0x93fffee0,0x3e3ffffd,
    0x3f6006ff,0x3fe2007f,0x97bb20ef,0x302fffc8,0x2015fffd,0x00affff9,
    0x3ffa6662,0xafffa807,0xfffb9999,0x3fe600ef,0x1fffc84f,0x10bffee0,
    0xb801dffd,0xffbdffff,0x555305ff,0x55555555,0xbfff5555,0x3ffffe60,
    0x0ffdc02f,0x3f63ff44,0x43ffe47f,0x00005fff,0x437ffc00,0xfdbffffb,
    0xfffbefff,0x427ff44f,0x2a2ffff8,0x00bb880b,0x07fffec0,0x5c1ffff1,
    0x7dc03fff,0x07fffc2f,0x87fffff6,0x200ffff9,0x1ffffffa,0xffffa800,
    0x01bffe02,0x2fffffa6,0x02fffff9,0x7dc9fff0,0xf5003fff,0xfffb8bff,
    0x4c37ff43,0xfffb0bdd,0x6c0b76a2,0x3ffe0fff,0x01fff61f,0x5c0bfff5,
    0xd8005fff,0xff9807ff,0xeffff987,0x13ffea00,0x003fffb1,0xe887fff9,
    0x7dc01eff,0x5fffffff,0x3fe00000,0xffff885f,0x3a01ffff,0x83fee05f,
    0x7fdc6ffc,0x004ffd86,0x3fe60000,0x2fffc81f,0x3fffffee,0x3fe60eff,
    0x0005d403,0x66e5cc00,0xfc83fffe,0x3ffe62ff,0x4c09bcef,0x427ffc40,
    0xc84ffffa,0x3ea02fff,0x0000efff,0xd807fff5,0xfd1007ff,0xffffffff,
    0x67ffc003,0x01efffd8,0x70bffea0,0xffd81fff,0xeffffe86,0xfffdfffe,
    0x3fff707f,0xf97fffea,0xffe806ff,0x3fffd01f,0x0fffb000,0xff313f60,
    0x7e401dff,0x7ff445ff,0x3ff2001f,0x7fff445f,0x7fffdc02,0x000005ff,
    0x7f42fffc,0xffffdeff,0x4407ff00,0x17fee2ff,0xff90bff5,0x40000007,
    0xfd105ffc,0xfffff505,0x001301df,0x3ee00000,0xffffffff,0xffffffff,
    0x7ffec3ff,0x3dffffff,0x105fff50,0xffffffff,0x407fffff,0x0004fffa,
    0x2017ffd4,0x6c007ffd,0x0effffff,0x7f7ffc00,0x4000ffff,0x7dc2fffa,
    0x37fec0ff,0x7ffffff4,0xffffffff,0x27fff307,0x98fffffd,0xfb804fff,
    0xfffa85ff,0xfffb0005,0x7ffcc000,0x3ff600ef,0x7fffcc5f,0xfffc8002,
    0x3fffe20d,0x7fffec03,0x4000000f,0x7fec5fff,0xfffe88ff,0x206fe80e,
    0x3fea0ffc,0x5c27fcc4,0x7fed42ff,0xffffffff,0x3effffff,0x0000fff4,
    0x019fffb1,0x26666200,0x99999999,0xffd30099,0xffffffff,0xffffffff,
    0xffd889ff,0xffffffff,0x03ffe41e,0xfffffffb,0x409fffff,0x0002fffa,
    0x2017ffd4,0xf8007ffd,0x001fffff,0xfffffff8,0x2a001eff,0x7fdc2fff,
    0x437fec0f,0xffffffd8,0x1effffff,0x3e37ffe0,0xfbbfffff,0xffd002ff,
    0x1fffe81f,0x0fffb000,0x3fffea00,0x3ffea00e,0x7fffec3f,0x7ff44000,
    0x3ffea0ef,0x3ffee04f,0x00005fff,0xf72fffc0,0x7fc43fff,0xdffb85ff,
    0x317fee21,0x3ff887ff,0x3e21ffa8,0xffffffff,0xffffffff,0xbff12fff,
    0x00620000,0x3ffff200,0xffffffff,0xfff886ff,0xffffffff,0xffffffff,
    0xd9304fff,0xffffffff,0x07ffec5f,0xffffffe8,0x05ffffff,0x000bffea,
    0x805fff50,0x22007ffd,0xeffffffe,0x7fffc001,0x3fffffef,0x85fff500,
    0x7ec0fffb,0x3f6e206f,0x0befffff,0xfcfffd80,0xfdefffff,0xff7000ff,
    0x2fffd49f,0x0fffb000,0xdffff500,0xfffd3001,0x1ffffc87,0xbfffd100,
    0x02ffffa8,0x3fffffee,0x000005ff,0x7fcd7ffe,0xfff983ff,0xffffd84f,
    0x440efffe,0x82fe82ff,0x7ffc0ff8,0xffffffff,0xffffffff,0x003ff52f,
    0xc8000000,0xffffffff,0x86ffffff,0x09bffffb,0x99bfffb1,0x85999999,
    0xff975300,0x7ffdcfff,0xdffff883,0xcccccccc,0x0bffea02,0x5fff5000,
    0x007ffd80,0xffffffd1,0x7c005fff,0xfff54fff,0xff5003ff,0x0fffb85f,
    0x4c037fec,0x03ffffff,0x3ffffee0,0xfffffdff,0x7ffc006f,0x03fffd0f,
    0x03ffec00,0x3bfffea0,0x3ff62000,0x7fffd44f,0x7fff4401,0x077ffd43,
    0x7bffff70,0x000bffff,0x6d7ffe00,0x3ea04fff,0xffb80fff,0xb00cffff,
    0x5c09501f,0xeeeec983,0xeeeeeeee,0x222deeee,0x0000002e,0xffffc800,
    0xffffffff,0xfffd86ff,0x09fffb01,0xb006fc80,0x3fea3fff,0xffffb85f,
    0x7fd40004,0x7d40002f,0x7fec02ff,0xffff9807,0xfffff9af,0x8bfff003,
    0x806ffff9,0x7dc2fffa,0x37fec0ff,0x3ffffe20,0xf3001fff,0xf59fffff,
    0x009fffff,0xfacfffb8,0x6c0006ff,0x3ea007ff,0xda80efff,0x13ffee02,
    0x203fffd1,0x541effe8,0x7dc04fff,0x3fee5fff,0x800005ff,0xbffb3ffd,
    0x40dff900,0x8009aa98,0x00000000,0x00000000,0x88880000,0x88888888,
    0xfa808888,0xfffa83ff,0x20a880ff,0x400cfff8,0xff13fffa,0xfffe83ff,
    0x801300ff,0x0002fffa,0x2017ffd4,0x7d407ffd,0x3a21ffff,0xf804ffff,
    0xfff884ff,0x7ffd403f,0x207ffdc2,0x7ec06ffd,0x6fffceff,0x3ffffe00,
    0xfffffd1f,0xffff0005,0x0005fffd,0x5007ffd8,0x101dffff,0xff980fff,
    0x1fffc84f,0x206fff44,0x4402fffa,0xfb85ffff,0x00002fff,0x4c886f4c,
    0x00072e00,0x00000000,0x00000000,0x00000000,0x7ffc4000,0xfffc99cf,
    0xdb9aefff,0xfff32fff,0x953357ff,0x5c5ffffb,0xfd9aefff,0x9aefffff,
    0x221fffdb,0xefffeedb,0x00bdeeee,0x37fff722,0x7ff5c40c,0x7fe4c1bf,
    0x7dc0dfff,0x442dffff,0x3dffffdb,0x6f7fffdc,0x3fff6a0b,0x33ffee2d,
    0x02ffff61,0x743fffe6,0xfb003fff,0x7fdcdfff,0xb8000fff,0x06ffffff,
    0x3bbbb2a0,0xeeeeffff,0xffff50ad,0xdddddddf,0xe8803fff,0xfffa83ff,
    0x220fff60,0xf8801eff,0x3fee05ff,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffff600,0xffffffff,0xffffffff,0xfffff34f,
    0xffffffff,0xfffd0dff,0xffffffff,0xffffffff,0x7fffec9f,0xffffffff,
    0x3ff606ff,0x6c5fffff,0x47ffffff,0xffffffff,0x3ffffea5,0x3ff61fff,
    0x43ffffff,0x4ffffffe,0xfffffff5,0x3ffffee5,0x0dffffb0,0x7cc5fff7,
    0xff7004ff,0x7ffc47ff,0xff10007f,0x2005ffff,0xfffffffa,0xffffffff,
    0xfffffb4f,0xffffffff,0x3f2005ff,0x6c3fd305,0x01bf301f,0x54027540,
    0x0000003d,0x00000000,0x00000000,0x00000000,0x00000000,0xffffc800,
    0xffffffff,0xffffffff,0x3fffffe1,0xffffffff,0xfffe880e,0xff9affff,
    0xffffffff,0x3fffffa2,0xffffffff,0x3fffa07f,0x7f47ffff,0x10ffffff,
    0xffffffff,0x7ffffdcb,0x3ffa2fff,0x44ffffff,0x5ffffff9,0xfffffff7,
    0x3ffffee7,0x1fffffb1,0xfa83fe88,0xfff3001e,0x5fffd81f,0x3fff2000,
    0x3fee006f,0xffffffff,0xb5ffffff,0xffffffff,0x5fffffff,0x00c00400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffe40,0xffdbedbf,0x5c0befff,0xfffffddf,0x4402efff,0x21fffffd,
    0xefffffe9,0x7ffed40c,0xffffffff,0x3f6a02df,0x542dffff,0x43effffd,
    0xdfffffeb,0x3fffb221,0x7fecc4ef,0xc80dffff,0x911dffff,0x219ffffd,
    0x364efffb,0x0002dfff,0x17ffe000,0x000fffea,0x02ffff88,0x3ffff220,
    0xffffffff,0xfffb1dff,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5cc00000,0x2b2e202b,
    0x2eaa2000,0x44001aac,0x2ee601bb,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccca8800,0xcccccccc,0xcccccccc,0xaaa881bc,0xaaaaaaaa,
    0xaaaaaaaa,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc40000,0xffffffff,0xffffffff,
    0x23ffffff,0xfffffffe,0xffffffff,0xffffffff,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff5000,0xffffffff,0xffffffff,0x3eabffff,0xffffffff,0xffffffff,
    0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffff600,0xffffffff,0xffffffff,
    0xfff11eff,0xffffffff,0xffffffff,0x005fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x11111110,0x11111111,0x20111111,0xaaaaaaa9,0xaaaaaaaa,0x00aaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_42_latin_ext_x[560]={ 0,8,4,2,3,2,4,8,9,4,3,1,7,3,
8,3,3,3,1,2,2,2,3,2,3,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,4,1,-1,3,-1,-2,5,1,5,5,7,0,2,8,7,6,4,1,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,1,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_42_latin_ext_y[560]={ 30,5,7,4,4,6,9,7,6,6,6,8,25,17,
25,3,5,5,5,5,6,6,5,6,5,5,13,13,8,14,8,7,5,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,3,6,5,37,5,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,30,13,4,7,10,8,
6,6,6,8,5,14,17,17,8,1,3,3,5,5,5,13,6,15,28,5,5,14,5,5,5,14,-1,-1,-1,1,
0,-1,8,7,-1,-1,-1,0,-1,-1,-1,0,8,1,-1,-1,-1,1,0,12,6,-1,-1,-1,0,-1,8,6,5,5,
5,7,6,4,13,13,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
2,8,-1,5,8,13,-1,5,-1,5,0,6,0,5,0,6,8,6,2,8,-1,5,0,6,8,13,0,5,-1,5,
-1,5,0,6,7,3,-1,-1,8,6,1,7,2,8,-1,5,8,6,0,13,8,6,-1,5,8,6,13,-1,-1,8,
6,8,6,8,6,8,6,-1,5,8,13,0,5,7,7,13,2,8,-1,5,-1,5,8,13,-1,5,8,13,0,5,
-1,5,-1,5,7,13,0,5,8,7,0,6,8,7,1,7,2,8,-1,5,-1,4,-1,5,8,13,-1,5,-1,5,
0,-1,5,0,6,0,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,11,6,6,6,6,6,6,6,6,6,6,6,6,6,3,12,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,0,5,0,
5,0,5,-1,2,-1,0,-1,0,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-8,-3,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_42_latin_ext_w[560]={ 0,6,14,18,17,18,17,6,10,9,17,20,9,16,
6,17,17,17,18,18,17,18,18,17,17,18,6,9,22,22,22,17,16,25,22,21,21,21,21,22,22,17,22,23,
21,25,23,22,20,22,24,19,20,22,25,24,22,22,18,9,17,10,17,26,8,21,23,20,22,20,20,22,22,18,
15,21,18,25,22,20,23,22,21,18,20,22,23,24,22,22,17,11,4,10,19,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,16,20,18,22,
4,20,12,24,14,20,22,16,24,26,12,20,11,12,8,22,19,6,8,11,14,21,23,26,23,16,25,25,25,25,
25,25,25,21,21,21,21,21,17,17,17,17,22,23,22,22,22,22,22,16,22,22,22,22,22,22,20,20,21,21,
21,21,21,21,24,20,20,20,20,20,18,18,18,18,20,22,20,20,20,20,20,20,22,22,22,22,22,22,23,22,
25,21,25,21,26,22,21,20,21,20,21,20,21,20,21,26,22,22,21,20,21,20,21,20,23,20,21,20,22,22,
22,22,22,22,22,22,22,22,22,22,17,18,17,18,17,18,17,18,17,18,23,22,22,15,23,21,22,21,18,21,
18,21,18,21,19,22,19,23,22,23,22,23,22,23,21,19,22,20,22,20,22,20,25,24,24,21,24,21,24,21,
19,18,19,18,19,18,19,18,20,20,20,23,20,20,22,22,22,22,22,22,22,22,22,22,22,23,24,24,22,22,
22,18,17,18,17,18,17,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,19,20,20,20,
20,20,20,20,20,20,20,20,20,20,24,22,20,20,20,20,20,20,20,20,20,20,20,20,20,26,24,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,21,17,18,22,
20,22,22,22,22,22,22,22,22,22,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,25,21,25,24,22,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_bold_42_latin_ext_h[560]={ 0,26,11,30,31,25,22,12,30,30,17,22,11,5,
6,32,26,25,25,26,24,25,26,25,26,26,18,21,22,11,22,24,29,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,29,22,24,22,23,22,22,22,22,22,30,32,30,13,5,7,18,25,18,25,18,24,25,24,24,
32,24,24,17,17,18,25,25,17,18,24,18,17,17,17,25,17,30,30,30,9,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,25,28,23,18,22,
30,28,5,23,12,16,13,5,23,5,12,27,14,14,7,25,28,6,9,14,12,16,25,25,25,24,31,31,31,29,
30,31,22,30,31,31,31,30,31,31,31,30,22,29,32,32,32,30,31,15,27,32,32,32,31,31,22,25,26,26,
26,24,25,27,18,24,26,26,26,25,25,25,25,24,25,23,26,26,26,24,25,21,22,26,26,26,25,33,32,32,
28,23,31,26,27,22,32,26,32,26,31,25,31,26,30,25,22,25,28,23,31,26,30,25,27,23,30,26,32,33,
32,33,31,32,31,35,31,31,22,24,29,23,28,22,31,25,28,30,30,17,23,32,32,33,30,32,17,31,31,30,
32,22,24,22,24,22,24,31,25,30,25,30,25,23,24,25,29,23,32,26,32,26,22,18,31,25,30,25,30,25,
32,26,32,26,31,24,31,26,33,33,30,25,22,24,30,24,29,23,32,26,32,27,32,26,28,23,31,25,31,33,
30,31,25,30,24,30,25,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,30,24,24,24,
24,24,24,24,24,24,24,24,24,24,25,20,24,24,24,24,24,24,24,24,24,24,24,24,24,28,19,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,30,26,30,25,31,
26,31,26,32,29,32,31,32,31,32,32,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,38,34,31,26,34,28,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__courier_bold_42_latin_ext_s[560]={ 511,169,414,493,131,180,159,407,100,65,187,
240,452,491,491,240,198,174,368,386,440,161,405,222,1,466,505,500,114,429,217,
23,472,89,115,62,430,159,137,103,91,73,242,65,43,181,207,373,231,449,275,
353,138,219,333,382,310,50,177,502,134,334,374,70,498,453,24,388,434,475,477,
277,417,458,495,1,84,161,92,432,71,199,70,26,396,409,230,205,115,300,273,
345,497,497,462,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,511,498,229,
444,369,27,357,136,498,145,496,291,351,491,170,97,496,246,496,498,482,474,489,
505,497,497,392,312,398,447,1,127,116,221,449,1,225,149,1,111,41,109,19,
424,442,479,1,278,486,27,373,327,396,401,86,334,290,23,360,111,358,381,465,
457,317,407,362,187,346,364,1,290,87,452,43,211,192,342,240,334,140,355,86,
296,1,106,130,300,287,384,19,339,151,222,194,65,51,378,252,176,337,407,218,
107,172,65,475,278,427,485,251,407,20,323,207,334,165,445,471,119,313,289,1,
424,88,199,403,95,211,449,247,27,63,270,252,311,431,126,77,1,234,259,95,
291,273,254,310,426,472,118,133,1,138,27,97,43,46,474,271,452,251,359,231,
187,232,310,1,157,48,265,209,387,362,400,281,254,419,275,261,45,72,108,446,
255,75,478,152,235,383,216,338,46,293,128,157,178,380,95,196,25,338,65,408,
421,304,429,258,267,350,64,113,195,313,299,175,134,315,460,324,296,88,361,361,
166,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,144,41,41,23,
41,41,41,41,41,41,41,41,41,41,41,41,41,422,321,41,41,41,41,41,
41,41,41,41,41,41,41,41,157,344,41,41,41,41,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,181,147,
207,379,404,22,198,42,314,385,268,49,291,142,337,245,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,
41,41,41,1,73,1,473,50,184,41,41,41,41,41,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,41,
41,41,41,41,41,41,41,41,41, };
static unsigned short stb__courier_bold_42_latin_ext_t[560]={ 1,198,375,105,73,252,329,375,137,137,375,
329,375,382,375,40,198,225,225,168,278,252,168,252,198,168,198,225,329,375,329,
304,137,352,352,304,329,352,329,304,329,329,304,352,352,352,352,278,352,137,352,
278,352,304,329,329,329,329,329,73,40,137,375,393,293,352,252,352,225,352,278,
225,278,278,1,304,304,375,375,352,252,252,375,375,278,352,375,375,375,225,375,
137,73,40,375,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,1,198,168,
304,352,329,137,168,375,304,357,375,375,382,304,393,344,168,329,278,375,252,137,
217,267,252,375,375,252,252,278,278,105,73,73,168,137,73,329,137,73,73,73,
105,40,40,73,105,304,168,40,40,40,105,73,375,168,40,1,40,73,73,304,
225,198,198,198,278,225,168,375,278,225,198,225,225,225,252,252,278,252,304,198,
198,225,278,225,352,329,198,198,198,225,1,40,40,168,304,105,198,168,329,40,
198,40,198,73,252,73,168,137,225,352,225,168,304,105,168,105,252,168,304,137,
168,40,1,1,1,105,1,73,1,73,73,352,278,137,304,168,352,105,252,168,
137,137,375,304,1,1,1,137,40,375,105,105,137,40,329,278,329,278,329,278,
105,225,137,252,137,252,304,278,225,137,304,40,198,40,198,329,375,105,225,105,
225,137,225,40,198,1,198,73,278,73,198,1,1,105,252,329,278,105,278,137,
304,40,198,40,168,40,225,168,304,73,252,73,1,105,40,252,105,278,105,252,
278,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,278,304,304,137,
304,304,304,304,304,304,304,304,304,304,304,304,304,252,352,304,304,304,304,304,
304,304,304,304,304,304,304,304,168,352,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,137,198,
137,252,73,225,73,198,1,137,1,105,1,105,1,1,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,1,1,105,198,1,168,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304, };
static unsigned short stb__courier_bold_42_latin_ext_a[560]={ 356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_42_latin_ext(stb_fontchar font[STB_FONT_courier_bold_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_42_latin_ext_s[i] + stb__courier_bold_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_42_latin_ext_t[i] + stb__courier_bold_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_42_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_42_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_42_latin_ext_x[i] + stb__courier_bold_42_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_42_latin_ext_y[i] + stb__courier_bold_42_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_42_latin_ext_s[i] + stb__courier_bold_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_42_latin_ext_t[i] + stb__courier_bold_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_42_latin_ext_x[i] + stb__courier_bold_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_42_latin_ext_y[i] + stb__courier_bold_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_42_latin_ext_LINE_SPACING
#endif

