// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT        436
#define STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_44_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_44_latin_ext_LINE_SPACING          21

static unsigned int stb__courier_bold_44_latin_ext_pixels[]={
    0x000cc000,0x00001000,0x000f5c00,0x00cc0144,0x00000600,0x18000073,
    0x01800000,0x3b500000,0x00010000,0x01004400,0x80040000,0xfffffffb,
    0xffffffff,0x2205ffff,0xaaaaaaaa,0x98000aaa,0x00002200,0x0000164c,
    0x54400060,0x0003cccc,0x00000400,0x90166664,0xc8005999,0x13002ccc,
    0x40000300,0x00007fd8,0x00005f30,0x007ffb00,0x7c405fd0,0xfe98000f,
    0xfc80000d,0xd880001f,0x800001ef,0x0001efd8,0x013ff200,0x001df100,
    0x987fd000,0x800000fe,0xffb802fd,0xffffffff,0xffffffff,0x3fff605f,
    0xffffffff,0x3ff2000f,0x003ffb82,0x027ffcc0,0x7ff5c000,0x3ffe000c,
    0x00006fff,0x0003ff20,0x05ffff80,0x0013fffe,0x5009ffff,0x3fa607ff,
    0xfe880005,0x8800004f,0x4000006f,0x0006ffe8,0x3f601ffd,0x7fdc000f,
    0x10002fff,0x0000dffd,0x09fffff5,0x7ffd4000,0x400004ff,0x000effe8,
    0x001ffd80,0x46ffd400,0x00005ffb,0x40077f44,0xfffffffb,0xffffffff,
    0x2205ffff,0xaaaaaaaa,0x7c001aaa,0x7ffe86ff,0x7ffec000,0x7cc00007,
    0x3004fdbe,0x0dffffff,0x7ffc0000,0x3fe00003,0x3ffe05ff,0x7ffc004f,
    0xfff8804f,0x0fffee0d,0xbfff3000,0x3f600000,0x26000001,0x20005fff,
    0xa88beffb,0x26006ffd,0xfffefffe,0x3fa6000d,0x220000df,0xfffefffd,
    0x3620001e,0xefffefff,0xff980001,0x200000df,0x00002ffb,0x1fffff4c,
    0x3fe60000,0x3ffee005,0xffffffff,0xffffffff,0x00000005,0x3f613ffa,
    0x7dc0005f,0x400005ff,0x003f20fd,0x37ffffec,0xff880000,0x3e00005f,
    0x3fe05fff,0x7fc004ff,0xff3004ff,0x9fffd7ff,0xfffa8000,0xf3000003,
    0x4c000009,0x80003fff,0xfffffffd,0xff3000ff,0x3ffea3df,0xfff9800f,
    0xffe80004,0x3fffd32f,0x3fffa000,0x03fffd32,0x27ffc400,0x505dc000,
    0x001ca8ff,0x0dfb8591,0xbb800726,0x3950ff60,0x50fffee0,0xff887fff,
    0x00ee205f,0xc8800395,0x00cb880b,0x0efe4400,0x71ba0000,0x7cc4003f,
    0x000006ff,0x000bfff1,0x01666640,0x80059999,0x2002cccc,0xefffffd8,
    0x7fc40001,0x2000002f,0x0001fffb,0x002ffb80,0x3fffee00,0x32000cff,
    0xffd884ff,0x02ffe803,0x0dffa800,0x8005ffb8,0xfb80dffa,0x3ee0005f,
    0xfb80002f,0xff10c44f,0x0bff600d,0x001fff01,0x20c49ff7,0xff706ff8,
    0x3fffa87f,0x902fffc4,0x3fe207ff,0x00000007,0x00000000,0x03744bee,
    0x006fff80,0xbfff1000,0x00000000,0x40000000,0x0004fffa,0x00003760,
    0x09fffb00,0x01510000,0x75310000,0x39100015,0xb800ba80,0x7100001d,
    0x001c9805,0x64c02b88,0x02e20001,0x27fe4000,0x401ffe60,0x7c403ffe,
    0xffc800ff,0x83ffcc04,0x7d43fffb,0x7ffc43ff,0x413ff205,0x0000fff9,
    0x00000000,0xdff10000,0x3e0007ff,0x800006ff,0x99dfffa9,0x00099999,
    0x00000000,0x00e44000,0x00018000,0x17ffd400,0x30000000,0x000001bd,
    0x40000000,0x00000029,0x00000000,0x80000000,0xdb800dc8,0x019b3002,
    0x22007b50,0x2db800dc,0xa85fff50,0x7fc43fff,0x0336204f,0x33002db8,
    0x33300133,0x32a60013,0x26661bcd,0xd7100009,0x7fc00039,0x2f32a66f,
    0x3fff2001,0xffffffff,0x4c05ffff,0x4c199999,0x99999999,0x4ccccc40,
    0x00999999,0x70000000,0x00019ffd,0x00072a00,0x4d5d4400,0x02fffc40,
    0x86f372a6,0x22009999,0x99999999,0xe9800999,0x80003eff,0x21bcdca9,
    0x4c009999,0x99800999,0x26660099,0x99998009,0x00000000,0x00000000,
    0x7ffcc000,0x41fffd40,0x00003fff,0x3fffee00,0xffc80eff,0x300effff,
    0xfffffffd,0xffffff5b,0x00000007,0x7ecf7ffc,0x3dffffff,0x3ffffe20,
    0xffffffff,0xfd82ffff,0x9fffffff,0xfffffffc,0xffd16fff,0xffffffff,
    0x00000dff,0xb7df5000,0x0000009f,0xffb80000,0xd0dfffff,0x3a60bfff,
    0xdfffffff,0x3ffffffa,0x7ffffff4,0x06ffffff,0x0feabfe8,0xfffd3000,
    0xff5bffff,0xfb87ffff,0x80efffff,0xeffffffc,0x3ffffee0,0xfffc80ef,
    0x0000efff,0x00000000,0x20000000,0xfffa85fd,0x000efb83,0xfff10000,
    0x885fffff,0xffffffff,0xfffffb83,0xffffffff,0x0007ffff,0x3ffe0000,
    0xffffffff,0xd00effff,0xffffffff,0xffffffff,0xfffff981,0xfffaffff,
    0xffffffff,0xffffff56,0xdfffffff,0x7fffff64,0x3ffae0ce,0x801dffff,
    0x0003ec7d,0x379b9530,0x800ccccc,0xffffffe9,0xfffeffff,0xffffb81f,
    0xffffffff,0x2a7fffff,0xffffffff,0x406fffff,0x013e22fa,0x3ffffee0,
    0xffffffff,0x3e27ffff,0x2fffffff,0x7fffffc4,0xffff13ff,0xf885ffff,
    0x3fffffff,0x3fffffb2,0x3ffae0ce,0x321dffff,0xcefffffe,0x3ffffae0,
    0x3fb21dff,0x20ceffff,0xffffffeb,0xffa8041d,0xfd90103f,0x419dffff,
    0xffffffeb,0x3ffffa1d,0xffe81fff,0x5c1fffff,0xffffffff,0xffffffff,
    0x7ff645ff,0x2e0cefff,0xdffffffe,0xffffff01,0xffffffff,0x97101fff,
    0x999dfffb,0x10379999,0xffffffff,0xffffff3f,0x26dfffff,0xffffffff,
    0xf56fffff,0xffffffff,0x3ffffe27,0xf805ffff,0x0000fdc5,0x3fffffa2,
    0xffffaeff,0x3fee03ff,0xffffffff,0x84ffffff,0xfffffffb,0xffffffff,
    0x3fe65fff,0xffffffff,0x7d406fff,0x70017e22,0xffffffff,0xffffffff,
    0xfffe8bff,0xfe81ffff,0x21ffffff,0xfffffffe,0xfffffe81,0xffff51ff,
    0x227fffff,0xffffffff,0xfffff55f,0x3e27ffff,0xffffffff,0xffffff55,
    0x3fe27fff,0x5fffffff,0x07fff500,0x3ffffea0,0xff13ffff,0xbfffffff,
    0x67fffe44,0xffff7101,0xffff983d,0xffb999bf,0x0acfffff,0x3fffffea,
    0xfff13fff,0x0bffffff,0x3ffffffe,0xffeb99ab,0x7fc406ff,0x2e60005f,
    0x9fffeccc,0xccccccb8,0x32e66fff,0xfccccccc,0xffff56ff,0x227fffff,
    0xffffffff,0x11fc805f,0xfb8000dd,0xffffffff,0xffffffff,0xfffff307,
    0xfffd959d,0xff30bfff,0x73337fff,0x9fffffff,0xcccb9815,0xfffccccc,
    0xc89ef806,0x3fe6001f,0xb999bfff,0xcfffffff,0x7ffe440a,0xff7101cf,
    0xfc883dff,0x7101cfff,0x543dffff,0xffffffff,0xfffff13f,0x3eabffff,
    0xffffffff,0xffffff13,0x3feabfff,0x3fffffff,0xfffffff1,0x3ea00bff,
    0xff5003ff,0x7fffffff,0x3fffffe2,0xffe85fff,0x7ffcc03f,0xefffe80f,
    0xffffd100,0x3fffea0d,0xf13fffff,0xffffffff,0x3ffffe0b,0x7fffdc04,
    0x17ffe201,0xfff90000,0x0dfff003,0x5cdfff00,0xbefffffe,0x3ffff6a0,
    0xf8800cef,0x0002ffef,0x3fffffee,0xffffffff,0xfd05ffff,0x3e605fff,
    0xfe83ffff,0xfd100eff,0x0000dfff,0xf700dfff,0xe800bfff,0xd100efff,
    0xd00dffff,0xf9807fff,0x3fa00fff,0x7fcc03ff,0xffeb80ff,0x2a0befff,
    0xcefffffd,0x3ffffae0,0x3f6a0bef,0x20ceffff,0xefffffeb,0x3fff6a0b,
    0x5000ceff,0x5c007fff,0xbefffffe,0x3ffff6a0,0xffa80cef,0x3ff600ff,
    0xffff984f,0x7fffc400,0x3fffae06,0x36a0beff,0x0cefffff,0x00bffff0,
    0x880ffff2,0x00005fff,0x400fffe4,0xf8006fff,0x7ffc46ff,0x7fff5005,
    0x1ceb8800,0x3ffe6000,0xfb999bff,0xacffffff,0x0efffc80,0x3fffff60,
    0x07fffcc7,0x1bfffe20,0x1bffe000,0x000ee440,0x003fffe6,0x00dffff1,
    0x401ffff5,0x5404fffd,0x3600ffff,0x3e204fff,0xff5005ff,0x3ffe207f,
    0x7fff5005,0x017ffe20,0x001fffd4,0x000fffea,0x200bfff1,0x7403fffa,
    0xff303fff,0xfff501ff,0x3ffee007,0x2fffc406,0x03fffa80,0x0007fffc,
    0x7c40bfff,0x400005ff,0xf801fffc,0xff8006ff,0x2fffc46f,0x03fffa80,
    0x3a000000,0xd100efff,0x4c0dffff,0x2e01ffff,0x3fffffff,0x400fffea,
    0x0006fffb,0x0006fff8,0x3fffa800,0x0dfff700,0x40ffffa0,0x800ffff9,
    0xf303fffe,0x7c401fff,0xff5005ff,0x3ffe207f,0x7fff5005,0x017ffe20,
    0x001fffd4,0x000fffea,0x200bfff1,0x4c03fffa,0xfd80ffff,0xfff904ff,
    0x3ffe6005,0x2fffc406,0x03fffa80,0x20037ffc,0xf100fffe,0x80000bff,
    0xf801fffc,0xff8006ff,0x2fffc46f,0x03fffa80,0xf3000000,0xf8801fff,
    0x3ee06fff,0x3fea05ff,0x27fffeff,0x3002fffc,0x0000dfff,0xb980dfff,
    0x002bcdcc,0x2005fff9,0x3006fff9,0xfb01ffff,0x3e6009ff,0xffd80fff,
    0x7ffc404f,0x7fff5005,0x017ffe20,0x881fffd4,0xf5005fff,0xfa8007ff,
    0x7c4003ff,0xff5005ff,0xfffb007f,0x0ffff987,0x003fffb0,0x101bffe2,
    0x2a00bfff,0x7fc03fff,0x7ff4007f,0xbfff100f,0xffc80000,0x6fff801f,
    0x46fff800,0x5005fff8,0x6d407fff,0xffffffff,0xfffa8007,0xdfff7003,
    0x80fffe40,0xf8effff8,0xfffb0fff,0x3ffe2003,0xfff80006,0xffffda86,
    0x02efffff,0x800fffec,0x2006fff8,0x7cc3fffd,0x36000fff,0x7fcc3fff,
    0x7fc400ff,0xfff5005f,0x17ffe207,0x81fffd40,0x5005fff8,0xa8007fff,
    0x44003fff,0xf5005fff,0xff3007ff,0x7ffec1ff,0x0bffee04,0x037ffcc0,
    0x4017ffe2,0x7c03fffa,0xf1001fff,0x7fc40fff,0x6400005f,0xff801fff,
    0xfff8006f,0x02fffc46,0x203fffa8,0xffffffff,0x64002fff,0xf3002fff,
    0x7ff40dff,0x3ffffa07,0x2e3fffb0,0xf3002fff,0xf0000dff,0xfff98dff,
    0xffffffff,0x3fee04ff,0xfff3002f,0x7ffcc00d,0x13fff60f,0x1ffff300,
    0x4027ffec,0x5005fff8,0x3e207fff,0xff5005ff,0x3ffe207f,0x7fff5005,
    0x3fffa800,0x2fffc400,0x03fffa80,0x269fffb0,0x2a00ffff,0xf9004fff,
    0xff880dff,0xfff5005f,0x6ffff807,0x0bfff900,0x002fffc4,0x07fff200,
    0x001bffe0,0xff11bffe,0x3fea00bf,0x3fffe03f,0x5fffffff,0x0fffec00,
    0x06fff880,0x7e41bffe,0x3ff22fff,0x09fff52f,0x01bfff20,0x31bffe00,
    0xffffffff,0x05ffffff,0x4013ffea,0x4006fffc,0xff34fffd,0xfb0001ff,
    0x3ffe69ff,0xfff8800f,0x7fff5005,0x017ffe20,0x881fffd4,0xf5005fff,
    0xedb807ff,0xeeefffee,0x3fe200bd,0xfff5005f,0x3ffe6007,0x04fffd8f,
    0x00ffffc4,0x01bfffe6,0x200bfff1,0x7c03fffa,0x200dffff,0x203ffffd,
    0x2207fff8,0x6401eeb9,0xff801fff,0xfff8006f,0x02fffc46,0x203fffa8,
    0xffffffd9,0x2000ffff,0x3002fffb,0x3e20dfff,0xfffb85ff,0x9fffd43f,
    0x401ffff8,0x006ffff9,0xc86fff80,0x99abceff,0x105fffea,0x9803ffff,
    0x4006ffff,0xfd8ffff9,0xf30004ff,0xfffb1fff,0x3ffe2009,0x7fff5005,
    0x017ffe20,0x881fffd4,0xf5005fff,0x7fcc07ff,0xffffffff,0x3e203fff,
    0xff5005ff,0x7fec007f,0x00ffffdf,0x02ffffd8,0x0dfffff5,0x005fff88,
    0xf807fff5,0xbcffffff,0xfffffdba,0xeffff805,0xfffecaac,0x7fe405ff,
    0x6fff801f,0x46fff800,0x5005fff8,0x4c007fff,0x4fffffff,0x13ffea00,
    0x837ffe40,0x7cc7fff8,0xffb85fff,0x3ffff62f,0xfffff502,0xfff0000d,
    0x7fc4000d,0x3fff606f,0xffff502f,0xffb000df,0x01ffffbf,0x6fffec00,
    0x1000ffff,0x2a00bfff,0xff103fff,0x3fea00bf,0xbfff103f,0x0fffea00,
    0xffffffa8,0x4fffffff,0x017ffe20,0x001fffd4,0xfffffff3,0x3ffe2009,
    0xfdbabdff,0x406fffff,0x5005fff8,0xff807fff,0xffffffff,0x0effffff,
    0xfffffc80,0xffffffff,0xdddb715f,0xddddffff,0x06fff839,0x446fff80,
    0xf5005fff,0x7ec007ff,0x07fffdff,0x07fffe20,0x0dffff30,0xe88ffff4,
    0xfc80efff,0x3ffe21ff,0xfdbabdff,0x006fffff,0x006fff80,0x3fa13331,
    0x3ffe207f,0xfdbabdff,0x006fffff,0xffffff98,0x7cc0004f,0x04ffffff,
    0x017ffe20,0x881fffd4,0xf5005fff,0x3fe207ff,0xfff5005f,0xfffec807,
    0xceffffff,0x17ffe200,0x01fffd40,0x3fffff60,0x3fea000f,0xffffffff,
    0x406fffff,0x5005fff8,0xff807fff,0xffffffff,0x00dfffff,0x3fffffa0,
    0xdfffffff,0xffffff70,0xffffffff,0x006fff8d,0x7c46fff8,0xff5005ff,
    0x3fe2007f,0x2fffd8ff,0x3ffff600,0xffffd302,0x9fffec0d,0xd01ffffd,
    0xfff50fff,0xffffffff,0x000dffff,0x5c0dfff0,0xfffffffe,0x7d407fff,
    0xffffffff,0x06ffffff,0xfffffb00,0xfb00001f,0x001fffff,0x802fffc4,
    0xf103fffa,0x3ea00bff,0xfff103ff,0x3ffea00b,0x40000003,0x5005fff8,
    0x98007fff,0x004fffff,0xffffffa8,0xffffffff,0x2fffc406,0x03fffa80,
    0x7e477ffc,0x1effffff,0xfffb8800,0x1cffffff,0x7fffffe4,0xffffffff,
    0x0037ffc6,0x3e237ffc,0xff5005ff,0x3fee007f,0x0bfff55f,0x7ffffc40,
    0xfffdbabd,0x3f206fff,0xffffcdff,0x0dfff502,0x3fffffea,0xffffffff,
    0xfff80006,0xffffea86,0xffffffff,0xffffa807,0xffffffff,0xf30006ff,
    0x0009ffff,0x3ffffe60,0x7ffc4004,0x7fff5005,0x017ffe20,0x881fffd4,
    0xf5005fff,0x000007ff,0x05fff880,0x007fff50,0x01ffffb0,0x3fff2200,
    0xff9cffff,0x7ffc406f,0x7fff5005,0x226fff80,0x0009aba9,0xaccaa880,
    0x3fb22009,0xffffffff,0x7ffc2dff,0x6fff8006,0x802fffc4,0xd002fffa,
    0x7ffc3fff,0x3fea000f,0xffffffff,0x206fffff,0xfffffff8,0x3fffa04f,
    0x3fff2204,0xff9cffff,0xff80006f,0x7fffdc6f,0xffffffff,0xf91007ff,
    0x39ffffff,0x4000dfff,0x000ffffd,0x3ffff600,0x7ffc4000,0x5fff5005,
    0x017ffe20,0x8817ffd4,0xf5005fff,0xb50005ff,0xff880017,0xfff5005f,
    0xfffd0005,0x2a600009,0xfff109bc,0x5fff880d,0x05fff500,0x0006fff8,
    0x00000000,0x1bffe000,0x21bffe00,0xf9007ffe,0xff5003ff,0x4fffc8df,
    0x7fff5400,0xffffffff,0x7fe406ff,0x3206ffff,0x3000efff,0x3e213795,
    0xf80006ff,0x3ffe66ff,0xeecdffff,0x8007ffff,0xf109bca9,0x74000dff,
    0x00004fff,0x0027fff4,0x9007ffe8,0x7f403fff,0xfff9007f,0x03fff403,
    0x001fffc8,0x0027ffd4,0xc803fff4,0x54001fff,0x0000ffff,0x4fffa800,
    0x007ffe80,0xf803fff9,0x000006ff,0x0000f6a0,0x3ffea000,0x7ffcc005,
    0x03fffc85,0x803fffcc,0x7c43fffd,0xf90007ff,0x39ffffff,0xf880dfff,
    0x880fffff,0x001ffffe,0x09fff500,0x5fff9800,0x06fbfffa,0x0007ffe8,
    0x027ffd40,0x0ffffa80,0x3fea0000,0xf90000ff,0xff9807ff,0x7ffe407f,
    0x3fffcc03,0x00ffff20,0x000ffff3,0x000ffff9,0x9807fff9,0xe8007fff,
    0x00004fff,0x05fffb00,0x807fff90,0xf807fff9,0x000006ff,0x005fff50,
    0xffd80000,0x7fec003f,0xffffa83f,0xbffff303,0x1ffff100,0x005fffb0,
    0x84d654c0,0xd806fff8,0xacefffff,0x4fffffdb,0x3ff60000,0x7ec0002f,
    0xffff13ff,0x0fffd003,0xfffd8000,0xfffd0002,0xfe800009,0x2a0004ff,
    0xf303ffff,0xfa80bfff,0xff303fff,0xffa80bff,0xfff303ff,0xff3000bf,
    0xff5000bf,0x3fe607ff,0x7d4005ff,0x00000fff,0x7fffe4c0,0xffffa800,
    0xbffff303,0x00dfff00,0x3fea0000,0x0000004f,0x03ffff93,0x3ffff260,
    0xdffffb01,0xffffb757,0xfff7001f,0xf733333b,0x00000bff,0x7013ffea,
    0xffffffff,0xbfffffff,0x3f260000,0x30000fff,0x263ffff7,0x2e206fff,
    0x0007ffff,0x1ffff930,0xffff5000,0x7d400001,0x40000fff,0xabeffffd,
    0x0fffffdb,0xeffffd80,0xffffdbab,0xfffd800f,0xffdbabef,0x20000fff,
    0xfb0003fb,0xb757dfff,0x201fffff,0xffeeedb9,0x0002cfff,0x777776d4,
    0x005fffff,0x2fbffff6,0xfffffdba,0xfffd7300,0x0005bddf,0x017f6400,
    0x3bb2a000,0x6fffffee,0x77777654,0x206fffff,0xffffffe8,0x02ffffff,
    0xffffffd0,0xffffffff,0xfb000001,0x7fcc07ff,0xffffffff,0x003fffff,
    0x777776d4,0x405fffff,0xfeeeeeca,0x7fc5ffff,0xdbaaceff,0xefffffff,
    0x776d402d,0xfffffeee,0x776dcc05,0x2cfffffe,0x776dcc00,0x2cfffffe,
    0x3ffa2000,0xffffffff,0xfd1002ff,0xffffffff,0x22005fff,0xfffffffe,
    0x002fffff,0x8001be20,0xffffffe8,0x02ffffff,0x3ffffffa,0x00ffffff,
    0xfffff500,0x0bffffff,0xffffe880,0xffffffff,0xfffff102,0x07ffffff,
    0x07ec0000,0xfff30000,0xdfffffff,0x7ffffd41,0x0effffff,0x7fffec40,
    0x02ffffff,0xffffff50,0xffffffff,0x4c00009f,0x201ffffb,0xfb8efffe,
    0x0dffffff,0x7fffd400,0x5fffffff,0x7ffffd40,0x86ffffff,0xfffffffc,
    0xffffffff,0xf500ffff,0xffffffff,0xffd00bff,0xffffffff,0x7f4001ff,
    0xffffffff,0x20000fff,0xffffffd8,0x4002ffff,0xffffffd8,0x4002ffff,
    0xffffffd8,0x0002ffff,0x20000fec,0xffffffd8,0x7c02ffff,0xffffffff,
    0x0002ffff,0xfffffff9,0x2000bfff,0xffffffd8,0x2202ffff,0xffffffff,
    0x00004fff,0x00005f50,0xffffffa8,0x7dc0efff,0xffffffff,0x3ea000ef,
    0x0dffffff,0x3ffff600,0xffffffff,0x5c007fff,0xffeeeeed,0x3ea05fff,
    0x654c1fff,0x3f20001a,0xffffffff,0xfffb805f,0xefffffff,0xfffffb00,
    0xffffffff,0x201fffff,0xfffffffc,0xff005fff,0xffffffff,0x7c005fff,
    0xffffffff,0x0002ffff,0xffffffa8,0x2a0000df,0xdfffffff,0x3fea0000,
    0x00dfffff,0x0027d400,0xfffff500,0xd7001bff,0xffffffff,0x44000bff,
    0xdffffffd,0xfa80001b,0x0dffffff,0xffffec80,0x000dffff,0x004f8800,
    0xffffb000,0x362037bf,0xbeffffff,0x2ea20001,0xff88001a,0xeeeeeeff,
    0x2fffeeee,0xfffff500,0x0bffffff,0x002fff98,0x7fec4000,0x01bdffff,
    0xfffffb10,0xf70037bf,0xbfffffff,0x7bffffd5,0x7fffec40,0x2001bdff,
    0xffffffeb,0x4005ffff,0xffffffeb,0x0005ffff,0x00d5d440,0x2aea2000,
    0x54400001,0x200001ab,0x10000028,0x20003575,0x99999998,0x4cc00001,
    0x00000099,0x00035751,0x06666662,0x07100000,0x33300000,0x99998001,
    0x00000000,0x013ffee0,0x802fffcc,0xfffffffb,0xa800efff,0x0000002d,
    0x0004cccc,0x00266660,0x2b32ea20,0x2600000a,0x40000999,0x99999998,
    0x4cc40001,0x00199999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff40000,
    0x3ffa001f,0xffd8800f,0x01bdffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfec88000,
    0x303defff,0xbdffffd9,0x26666003,0x05100000,0x2a000330,0x4400a800,
    0x20000002,0x02a00002,0x000002a0,0x98000013,0x000f5c3e,0x26000130,
    0x001ccccb,0x03300000,0x6666664c,0x7d30002c,0x80000000,0x00310001,
    0x05000013,0x000a0000,0x00c004c0,0x0002a000,0x0005d500,0x75c3e980,
    0x3f237101,0xffffffff,0xffffff81,0x00006fff,0x01fec000,0xf50007fe,
    0x204fc80d,0x00005ffa,0x00f7ec40,0x901bea00,0x6400009f,0x500003ff,
    0x1ffe4dff,0x03ffc800,0x7ffffd40,0x0000003f,0xfc85ffa8,0x4fffffff,
    0x1bff7000,0x98000000,0xff8003ff,0x07fd880d,0x07bf6200,0x77ec4000,
    0x3fea0001,0x009fd302,0x00bfd100,0x027fe400,0x4dff5000,0xffd03ffc,
    0xffffffb3,0xfff05fff,0x0fffffff,0x00300130,0x3201ffb0,0x7d4001ff,
    0x09ff303f,0x000fffec,0xffffa800,0x3ea0004f,0x09ff303f,0xfffd3000,
    0x540001bf,0xdff91fff,0xffe98001,0xf9000dff,0x007fffff,0xffd00000,
    0xfffffd0f,0x40009fff,0x0000effe,0x3fff5000,0x5dffd000,0x002fffd4,
    0x4fffffa8,0x7ffdc000,0xf30004ff,0x7fdc1bff,0x7d40003f,0x880002ff,
    0x0000effe,0x323fff50,0xff980eff,0xffffd9cf,0xfb504eff,0x05bfffff,
    0xd303ffa8,0xffa800bf,0xffda89be,0x9ffd0006,0x3fff7315,0x02fffdc0,
    0x3ff62000,0x01efffdf,0x159ffd00,0x003fff73,0xeefffb80,0xa8003fff,
    0xdffb1fff,0xfffc8001,0x803fffee,0x3fffffe9,0x54000000,0xffb85fff,
    0x04ffffff,0x17ffe400,0x3f200000,0xb10002ff,0xfffb9fff,0xfd88001b,
    0x1efffdff,0x7ffec400,0x001efffd,0xebffffa8,0x40003fff,0x0003fffb,
    0x00dffe98,0x3fff5000,0x4c03bff6,0x00004fff,0xfff88000,0x0fffee0d,
    0x3ffff200,0x000fffff,0xffffff30,0xf8807fff,0x00001fff,0x225fffd1,
    0x8001fffe,0xfffffff9,0x6c0003ff,0x3ff23fff,0x3fe6004f,0x01dff71f,
    0x23fffd80,0x1004fffc,0x0007fff7,0xfffe8000,0x3ea66602,0xb80004ff,
    0x00001fff,0x003dffb0,0xfffff700,0xfd10005f,0x3ffa25ff,0xfff1002f,
    0x3fffa25d,0xffd88001,0x0001efff,0x000fffec,0x027ffc40,0x3fff3000,
    0x9803bfee,0x0c004fff,0xff980000,0x4fffebff,0x3ffaa000,0x0000cfff,
    0x7ffffec4,0xfff9002e,0x3ea0000b,0x5ffb80df,0xfffb1000,0x80005dff,
    0xe981eff8,0x3fee007f,0x00037f61,0xd503dff1,0x7fd400ff,0x0000003f,
    0x801bffea,0x0004fff9,0x0009ff30,0x01bff700,0x7fec4000,0xff50000d,
    0x0bff701b,0x2037fee0,0x20005ffb,0x0003fffa,0x000effa8,0x005ff700,
    0x21ffb800,0x7cc00dfd,0xfd7004ff,0x8000019f,0xefffffd8,0x55300001,
    0x88000013,0x44001aa9,0x0000ffff,0x0b880370,0x554c4000,0x0aa00001,
    0x44003710,0x0001440a,0x01b88055,0x00fffea0,0xffd80000,0x3fe6003f,
    0x2200004f,0xa800000a,0x2000004f,0x1b80002b,0x70005c40,0x000b8803,
    0x0000e440,0x00004e98,0x800000a8,0x801440a8,0xa804fff9,0x004fdbef,
    0x9fff5000,0x00000000,0x90000000,0x00009fff,0x00000000,0x00000000,
    0x00000000,0x3ea00000,0x999883ff,0x7cc00009,0x7cc007ff,0x260004ff,
    0x80002200,0x00022009,0x00220098,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09fff300,0x007d8fb0,0x00722000,0x2b2a6000,0x0000000a,
    0x7fffc400,0x54c00000,0x00001abb,0x0002aea2,0x80000000,0x0000aba8,
    0x055654c0,0x1fffd400,0xffffffd5,0x3f60001d,0x7cc003ff,0xf90004ff,
    0x07ff705f,0x705ff900,0xf90007ff,0x07ff705f,0x2f2a6200,0x0000000a,
    0x5dd4c000,0xcc98001a,0x002ccccc,0x00000000,0xfff98000,0x7dc5f804,
    0x00000001,0xfffb7000,0xd77dffff,0x3fffb209,0x3ae0ceff,0x1dffffff,
    0x003fffd8,0xffffb880,0xec8bffff,0x3ffee003,0x000dffff,0xfffffb50,
    0x9dffffff,0xffff7001,0x0001bfff,0x3fffff6e,0x04ebbeff,0xfd1fffd4,
    0x7fffffff,0xffff1000,0xfff98001,0xdfff0004,0x000fffd0,0xffd0dfff,
    0xdfff000f,0x800fffd0,0xffffffc8,0x641ecadf,0xcefffffe,0x3ffffae0,
    0x2e201dff,0xffffffff,0xf903ec8b,0x9fffffff,0x3fffb200,0x3ae0ceff,
    0x1dffffff,0x3fffffb2,0x3ffae0ce,0xf31dffff,0x3f9009ff,0x00001ba2,
    0x00055d44,0xfffffb10,0xffffffff,0xffffa81f,0xf13fffff,0xffffffff,
    0x0ffff30b,0xffffa800,0xffffffff,0x74c00fff,0xffffffff,0x7c4002ff,
    0xffffffff,0x04ffffff,0x3fffffa6,0x002fffff,0x3fffff62,0xffffffff,
    0x3ffea00f,0x3fffff63,0xc8001fff,0x98004fff,0xd0004fff,0xbffb09ff,
    0x09ffd000,0xd000bffb,0xbffb09ff,0x7fffd400,0xffffffff,0x3fffea6f,
    0xf13fffff,0xffffffff,0x3fffea0b,0xffffffff,0xffe80fff,0x04ffffff,
    0xffffffa8,0xfff13fff,0x2bffffff,0xfffffffa,0xffff13ff,0x26bfffff,
    0xf8804fff,0x0002ffef,0x7ffffdc0,0x26000dff,0xfffffffe,0xffffffff,
    0x7ffffd42,0xff13ffff,0xbfffffff,0x00ffff60,0x7ffffdc0,0xffffffff,
    0x3ee02fff,0xffffffff,0x4005ffff,0xffffffff,0x4fffffff,0xffffff70,
    0xbfffffff,0xffffd300,0xffffffff,0x7d405fff,0xfffd13ff,0x000379ff,
    0x001ffff1,0x009fff30,0x2202f220,0xc88000cb,0x00cb880b,0x880bc880,
    0xff3000cb,0xffffffff,0x2a1fffff,0xffffffff,0xfffff13f,0xf70bffff,
    0xffffffff,0x5fffffff,0xffffff70,0xff5009ff,0x7fffffff,0x3fffffe2,
    0xfff55fff,0x27ffffff,0xfffffff8,0x9fff35ff,0x073ae200,0xffe98000,
    0xffffffff,0xffff9802,0xecbabdff,0xb83fffff,0xbefffffe,0x3ffff6a0,
    0xff500cef,0xff5000df,0x957bdfff,0x5ffffffd,0x3ffffe60,0xfffdbace,
    0x36a004ff,0xffffffff,0x980cefff,0xacefffff,0x4fffffdb,0x3ffffe60,
    0xfecbabdf,0x2a03ffff,0xfffabfff,0x40000eff,0x0005fffc,0x0009fff3,
    0x00000000,0x00000000,0x3ffffa20,0xfffdbacf,0x3fae0fff,0x20beffff,
    0xefffffda,0x7fffd40c,0xfecabdef,0x202fffff,0x4fffa999,0xffffd700,
    0x7ed417df,0x20ceffff,0xefffffeb,0x3fff6a0b,0xff30ceff,0x0000009f,
    0xfffffb80,0xffffffff,0x7ffff405,0x7fffd401,0x0bfff103,0x00fffea0,
    0x800bfffa,0x02fffff8,0x0bffffa6,0x817ffff4,0x01ffffe8,0x07fff800,
    0x05ffffd0,0x07ffffa2,0x00fffff4,0x80ffffea,0xfffefffa,0x880004ff,
    0x0001ffff,0x0009fff3,0x00000000,0x00000000,0x07fffea0,0x07fffec4,
    0x4017ffe2,0xf883fffa,0x2602ffff,0x002ffffe,0x4009fff3,0x5005fff8,
    0x3e207fff,0xff5005ff,0x4fff987f,0x20000000,0xcefffff9,0xfffffdba,
    0x3ffff704,0x0bffee00,0x802fffc4,0xa803fffa,0x32006fff,0xd002ffff,
    0xff905fff,0xff9001df,0xff0000df,0xfff900ff,0xfff9001d,0x3ffff70d,
    0x0bffee00,0xffffffa8,0x700003ff,0x4000bfff,0x4004fff9,0x22009999,
    0x4c009999,0x26200999,0x4cc00999,0x26620099,0xfff90099,0x1ffff009,
    0x005fff88,0xf907fff5,0x3a005fff,0xf3002fff,0x7c4009ff,0xff5005ff,
    0x3ffe207f,0x7fff5005,0xa84fff98,0xfffffffd,0x7f40007f,0xfd102fff,
    0xfff03fff,0x7fc4005f,0xbfff100f,0x0fffea00,0x017fff40,0x002ffff8,
    0xf307ffee,0x74003fff,0x40004fff,0x7cc07fff,0x3a001fff,0x7ffc4fff,
    0x3fe2002f,0x3ffea00f,0x0003ffff,0x007fffe0,0x04fff980,0xbfffffb0,
    0xfffffd50,0x3ffff60d,0xfffea85f,0xfffb06ff,0xffd50bff,0x3f60dfff,
    0xffc800ff,0x05fff886,0xf07fff50,0x5c005fff,0xf3001fff,0x7c4009ff,
    0xff5005ff,0x3ffe207f,0x7fff5005,0xf84fff98,0xffffffff,0xf90002ff,
    0xf9001dff,0xfff98dff,0x01c98007,0x4017ffe2,0x7003fffa,0xf500dfff,
    0xf8800fff,0x4fffb87f,0x37ffd400,0x1fffe000,0x009fff70,0x266fffa8,
    0x98007fff,0x7ffd401c,0x002fffff,0x06fffa80,0x27ffcc00,0x7ffffcc0,
    0xffffe85f,0xfff986ff,0xffe85fff,0xf986ffff,0xe85fffff,0x06ffffff,
    0x1007fff7,0xfff107fd,0x3ffea00b,0x03fffd43,0x801ffe20,0x2004fff9,
    0x5005fff8,0x3e207fff,0xff5005ff,0x4fff987f,0xfffffff8,0x8005ffff,
    0x001ffff9,0xfb93fffa,0x000004ff,0x200bfff1,0x2003fffa,0x5c01ffff,
    0x88005fff,0x0fffc80a,0x07ffe800,0x03fffc00,0x0003fff2,0xffb9fffa,
    0x2000004f,0xfffffffa,0x740003ff,0x40002fff,0x8804fff9,0x85ffffff,
    0x6ffffffc,0xffffff88,0xfffffc85,0xffff886f,0xfffc85ff,0xff306fff,
    0x400019ff,0x5005fff8,0xffb87fff,0x0a88005f,0x13ffe600,0x05fff880,
    0x207fff50,0x5005fff8,0xff987fff,0xfffd984f,0x0fffffff,0x27ffdc00,
    0x9bffea00,0x0002fffc,0x0bfff100,0x00fffea0,0x405fffb8,0x0002fffc,
    0x003fff40,0x001fffc8,0xd01fffe0,0x32000fff,0xfff91fff,0x54000005,
    0xfff9cfff,0xf50004ff,0x30000dff,0x26009fff,0x885fffcb,0x06fffcca,
    0x0bfff973,0xdfff9951,0x3fff2e60,0xffcca885,0x3fffa06f,0x000aceff,
    0x4017ffe2,0x7e43fffa,0x000002ff,0x009fff30,0x802fffc4,0xf103fffa,
    0x3ea00bff,0x7ffcc3ff,0xffff9804,0x64004fff,0xe8000fff,0x3fff67ff,
    0xf1000000,0x3ea00bff,0x3e2003ff,0x3f601fff,0x400000ff,0x70006fff,
    0x40005fff,0x7fc07fff,0xff70006f,0x03fff65f,0xffa80000,0xffffd13f,
    0xfffd000b,0xff300005,0xff88009f,0x6fff805f,0x02fffc40,0x22037ffc,
    0xff805fff,0x3ffa206f,0xdfffffff,0x2fffc402,0x43fffa80,0x0000fffd,
    0x9fff3000,0x2fffc400,0x03fffa80,0x200bfff1,0x7cc3fffa,0xffd804ff,
    0x007fffdf,0x8003fff4,0xffb1fffc,0x2000001f,0x5005fff8,0xc8007fff,
    0x3f604fff,0x200000ff,0x0005fff8,0x0007fff5,0xf103fffc,0x2a000bff,
    0xfffb3fff,0x54000001,0x3fa23fff,0x3000dfff,0x0000ffff,0x0013ffe6,
    0xf00bfff1,0xff880dff,0x6fff805f,0x02fffc40,0x22037ffc,0xfffffffd,
    0xf100efff,0x3ea00bff,0x7ffec3ff,0x30000000,0x44009fff,0xf5005fff,
    0x3fe207ff,0xfff5005f,0x04fff987,0x6c7fffc4,0x3e002fff,0xf70006ff,
    0x3fff65ff,0xffffb300,0x105bffff,0x2a00bfff,0x44003fff,0xfb00ffff,
    0x800001ff,0x70006fff,0x3b665fff,0x0ffff001,0x0006fff8,0x3f65fff7,
    0xffb300ff,0x5bffffff,0x3fffedb8,0xeeffffe8,0x3fff602d,0x776dc003,
    0xeffffeee,0x880bdeee,0xff805fff,0x7ffc406f,0x06fff805,0x402fffc4,
    0xb5006fff,0xffffffff,0xfff103ff,0x3ffea00b,0x007ffec3,0xff980000,
    0x3fe2004f,0xfff5005f,0x17ffe207,0x21fffd40,0x5c04fff9,0xfff55fff,
    0x3ffe200b,0xfff50005,0x403fff67,0xfffffffe,0xff886fff,0xfff5005f,
    0xfffb0007,0x03fff609,0xfffd0000,0x3fff2000,0x2009ff91,0x7f407fff,
    0xff90007f,0x03fff63f,0x7ffffff4,0x3ee6ffff,0x443fffff,0xffffffff,
    0xffff980f,0x3ffea000,0xffffffff,0x84ffffff,0xf805fff8,0x7fc406ff,
    0x6fff805f,0x02fffc40,0x40037ffc,0xffffecb9,0x5fff887f,0x87fff500,
    0x0000fffd,0x9fff3000,0x2fffc400,0x03fffa80,0x200bfff1,0x7cc3fffa,
    0x7ff404ff,0x03fffe1f,0x0037ffc0,0xf72fffb8,0x3ff603ff,0xffffffff,
    0x05fff886,0x007fff50,0x01ffff30,0x0005fff9,0x00fffc80,0x3a7ffe80,
    0xfff007ff,0x0fffc80f,0x27ffe800,0xfb01fffb,0xffffffff,0x7fffdcdf,
    0x7ffc43ff,0x80ffffff,0x4004fffd,0xfffffffa,0xffffffff,0xfff884ff,
    0x06fff805,0x402fffc4,0x7c406fff,0xfff805ff,0xfc880006,0x7fc42fff,
    0xfff5005f,0x02fffc87,0xff300000,0x7fc4009f,0xfff5005f,0x17ffe207,
    0x21fffd40,0x2a04fff9,0x7fe46fff,0xfffd004f,0x3fff2000,0x207fff31,
    0xfeeeeec9,0xff881eff,0xfff5005f,0x3ff60005,0x4fffb83f,0x7fdc0000,
    0x7fd4004f,0x01fffa6f,0x2e03fffc,0x54004fff,0x3fe66fff,0xddd9303f,
    0x43dfffdd,0x3ffffec8,0xfffffeb8,0xffff883d,0xffec8000,0xffffffff,
    0x880dffff,0xff805fff,0x7ffc406f,0x06fff805,0x402fffc4,0x5b706fff,
    0x27ffd400,0x4017ffe2,0x7dc2fffa,0x000004ff,0x009fff30,0x802fffc4,
    0xf102fffa,0x3ea00bff,0x7ffcc2ff,0x0ffff604,0x200ffff1,0x8000fffc,
    0x3fe27ffe,0x7fdc006f,0x1fffa03f,0x00fffe40,0x87fff980,0x001ffff8,
    0xfff98088,0x3ffa001f,0x01fffa4f,0x2602fffc,0x2001ffff,0x3e24fffe,
    0x7dc006ff,0x000003ff,0x04fffc80,0x40000000,0xf805fff8,0x7fc406ff,
    0x6fff805f,0x02fffc40,0x7cc37ffc,0x3fe000ff,0x07ffe86f,0x883fff90,
    0x8001ffff,0x3fe60008,0x7ff4004f,0x3fff9007,0x803fff40,0x7cc1fffc,
    0xfff104ff,0x5fffb01f,0x09fff700,0x46fffa80,0x2003fffe,0x3203fffb,
    0x7cc03fff,0x740007ff,0xffd83fff,0x3ea000ef,0xefffc82f,0x6fffc800,
    0x5403fff4,0xfc804fff,0xfc800eff,0xfffe86ff,0x3ffee003,0x40000003,
    0x000ffff8,0x20001000,0x4405fff8,0x7c406fff,0x7fc405ff,0x7ffc406f,
    0x37ffc405,0x8027ffdc,0xfc86fffa,0x7fcc03ff,0xdfffb07f,0x17fd4001,
    0x04fff980,0x01fffe40,0x901fffe6,0xf9807fff,0xfff987ff,0x3bfff704,
    0xfff73333,0xffff300b,0x7fff4003,0x67fffd44,0x7ffe4400,0x3fffea03,
    0xbffff303,0xfffa8000,0xfffff986,0x6fffc802,0x05ffffd0,0x0bffffa2,
    0x5405fffd,0xd002ffff,0x2205ffff,0xa82ffffe,0x400cffff,0x003fffc8,
    0x000effdc,0x0017ffee,0x0b7fe600,0x03fffe00,0x1bffff22,0x203fffe0,
    0x06ffffc8,0x880ffff8,0xc86ffffc,0x200cffff,0xa84ffff9,0xf303ffff,
    0x3e60bfff,0xc802ffff,0xf3006fff,0xfa8009ff,0xff303fff,0xffa80bff,
    0xfff303ff,0x9fff30bf,0x3fffffa0,0xffffffff,0xfffc800f,0xfffc800e,
    0xfffffb06,0xfdb7579b,0xd807ffff,0xbabeffff,0x00fffffd,0x2fffe800,
    0xefffffb8,0xffdcaabc,0xff304fff,0xb759dfff,0xd0bfffff,0x579fffff,
    0x1dffffb7,0x3fffe600,0xffdbacef,0x3f605fff,0xabcdffff,0xfffffedb,
    0x7ffe4003,0x7fffc006,0xfa800001,0x74000fff,0xdbabefff,0xdfffffff,
    0x3bfffa02,0xffffdbab,0x3a02dfff,0xdbabefff,0xdfffffff,0x3fffff22,
    0xfecaacdf,0xfb01ffff,0xb757dfff,0x401fffff,0xcefffffb,0xfffdcaab,
    0xff3004ff,0xffb0009f,0xfb757dff,0xb001ffff,0x757dffff,0x01fffffb,
    0xf509fff3,0xffffffff,0x09ffffff,0x0bffffa0,0x17ffff44,0xffffff88,
    0xffffffff,0x74403fff,0xffffffff,0x0002ffff,0x20dfff70,0xfffffffc,
    0xffffffff,0x3ffee00e,0xffffffff,0xffe80dff,0xffffffff,0x4000efff,
    0xfffffffb,0x0dffffff,0x3ffffe20,0xffffffff,0x1003ffff,0x03ff9557,
    0x017ffee0,0x2e6ae000,0x7dc004ff,0xffffffff,0xffffffff,0xfffff700,
    0xffffffff,0x2e01ffff,0xffffffff,0xffffffff,0xfffff70f,0xffffffff,
    0x74407fff,0xffffffff,0xc802ffff,0xffffffff,0xefffffff,0x77776dc0,
    0xeeeffffe,0xfd100bde,0xffffffff,0x22005fff,0xfffffffe,0x102fffff,
    0xffb07fff,0xffffffff,0x00ffffff,0x3bffffe6,0xffffdbac,0x7fe4405f,
    0xffffffff,0x800bffff,0xffffffd8,0x0002ffff,0x503fff40,0xffffffff,
    0x009fffff,0x3fffffa6,0x202fffff,0xffffffc8,0x00dfffff,0xffffd300,
    0x05ffffff,0x3ffff220,0xffffffff,0xf9000bff,0x001fffff,0x000bfff6,
    0xfffff300,0xff90003f,0xffffffff,0x01ffffff,0x7fffffe4,0xffffffff,
    0x3ff200ff,0xffffffff,0x30ffffff,0xffffffff,0x7fffffff,0xffffb100,
    0x05ffffff,0x7ffffd40,0xffffffff,0xfffffa84,0xffffffff,0x2204ffff,
    0xfffffffd,0x44002fff,0xfffffffd,0x7dc02fff,0x7fffc40d,0xeeeeeeee,
    0x002fffee,0xfffffff7,0x1bffffff,0x3ffb2200,0x2effffff,0xffff5000,
    0x0001bfff,0x80bff300,0xfffffeb8,0x8002deff,0xfffffffb,0x3faa000d,
    0x03dfffff,0xffff7000,0x0001bfff,0xfffffd91,0x0005dfff,0x07fffff1,
    0x002ffd40,0xffffd800,0x3ff20005,0xf9cfffff,0xc803dfff,0xcfffffff,
    0x03dffff9,0xffffffc8,0xdffff9cf,0x7e4df643,0xcfffffff,0x7ffd4000,
    0x000dffff,0xffffeb88,0x502defff,0xffffffff,0xffffffff,0xfff5009f,
    0x001bffff,0x7ffffd40,0x40000dff,0x3004fffb,0x4c00bfff,0xfffffffe,
    0x40002fff,0x009abba9,0x35751000,0x31000000,0xbcaa8800,0x2a200001,
    0x980000ab,0x000001ba,0x0002aea2,0x35775300,0xba880001,0x0298000b,
    0x5dcc0000,0x97300001,0x98000035,0x00001acb,0x000d65cc,0x35775300,
    0x57510000,0x54400003,0x32001bca,0xfffffffe,0xdfffffff,0x2aea2000,
    0x54400001,0x200001ab,0x2001fffe,0x4000fffe,0xfffffffb,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xdeffffec,0xfffd9303,0x88003bdf,0x00000aba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff90,0xfff03fff,0x0dffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffff6,0xfff82fff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffb3,0x3ff6a09d,0x002dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000ee4,0x80018009,0x000003e9,0x0000f5c0,0x0004d980,0x000000a0,
    0x1b980bb1,0x01db8000,0x00dcc000,0x8000c006,0x00003001,0x20000050,
    0x2a0005c8,0x0500004e,0x79531000,0x28000015,0xd5000000,0x00500005,
    0x00077200,0x00b91000,0x00300180,0x0000275c,0x0000bffe,0x3a605ff5,
    0x7fd4004f,0x4000000e,0x0003ffd8,0x007ffa80,0x01efd880,0xfff98000,
    0x3ffff300,0x1fff4000,0x7ff4c000,0x05ff503f,0x90013fa6,0x3fea03df,
    0xfb100002,0x4c00003d,0xf0000ffe,0x440003ff,0x88001efd,0xfffffffc,
    0x8001ecad,0x0001efd8,0x013ff200,0x01efd880,0x01fff400,0xffe98000,
    0x3df90000,0x200bfea0,0x0004fff9,0x013ffea0,0x0dfff980,0x000fffee,
    0x0007bff6,0x37ff4400,0x7fe40000,0x7d40002f,0x0004ffff,0x80fffea0,
    0x01fffffb,0x09fff300,0x7fffc400,0xbfff305f,0x01fffe41,0x893ffea0,
    0x0001fffd,0x4fffffa8,0xfffa8000,0xfff30003,0x3fee0007,0x2a004fff,
    0xffffffff,0x006fffff,0x27ffffd4,0x3fa20000,0xf50000ef,0x0009ffff,
    0x0027ffcc,0x0fffea00,0x4fffa800,0x007fff62,0x007fffe6,0xdfff9800,
    0xfff50000,0x07fffd7f,0x17ffe400,0x3fea0000,0x4400004f,0x0001effd,
    0x3f7fff62,0x40001eff,0x4402fffc,0x007fffff,0x03bffa60,0x3ffff600,
    0x3ffea02f,0x03fffebf,0x7dfff700,0x0005ffff,0xfdfffd88,0x90001eff,
    0x40005fff,0x000dfffb,0x3f7fff62,0x7cc01eff,0xffffffff,0x00ffffff,
    0xfdfffd88,0x80001eff,0x000dfff9,0xfdfffd88,0x30001eff,0x0001bffd,
    0x005fff90,0x7dfff700,0x4005ffff,0x0005fffe,0x02fff440,0xffffb100,
    0x500003df,0x00005fff,0x000fffe6,0x03bff600,0xfffe8800,0x03fffd12,
    0x07bff200,0x7fffdc40,0x3f620001,0xfff8006f,0xfd8800bf,0x001effff,
    0x7ffff4c0,0x440000df,0xfd12fffe,0xfc8003ff,0xf90001ef,0xbdffffff,
    0x3ffe205d,0x3fffd12e,0x3ffffa20,0xfffdbacf,0x74400fff,0xffd12fff,
    0x7c40003f,0xd10004ff,0x3fa25fff,0xb10001ff,0xc8000dff,0x00001eff,
    0x3fffffa6,0x7fd4000d,0x800001ff,0x40000ffc,0x0003fffa,0x0027fcc0,
    0x001ffc80,0x04ff8800,0x0dffa800,0x0005ffb8,0x70001bff,0x00007fff,
    0x4c003ff9,0xa8005fff,0x00003fff,0x0017ffdc,0x80dffa80,0x74005ffb,
    0xe88000ef,0xffffffff,0xff707fff,0x0bff701b,0x407fffea,0x00ffffd8,
    0x5c06ffd4,0x2e0005ff,0x2a0002ff,0xffb80dff,0x7fe40005,0x3bfa0001,
    0xf7000000,0x740005ff,0x00005fff,0x20000330,0x000001c8,0x20000151,
    0x000000a8,0xb8000066,0x0005c401,0x2a000298,0x00003fff,0xff980053,
    0x3910004f,0x32600000,0x0dc00000,0x30002e20,0x7ff40005,0xffffffff,
    0x03701fff,0xff900b88,0xffff009f,0x88037001,0x0540000b,0x200dc000,
    0x980000b8,0x014c0002,0x064c0000,0x3ffee000,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff50000,0x00000007,0x0027ffcc,
    0x00000000,0x99971000,0x00000059,0xffff7000,0xfffd97df,0x000003ff,
    0x4007ffec,0x00006ffc,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0005ffff,0x000aba88,0xabca9880,0x00000000,0x0aba8800,0x2ea60000,
    0x200001ab,0x0000aba8,0x0abca988,0x0fffea00,0x98000000,0x00004fff,
    0x00000000,0xffffff10,0x00000009,0x0bfffb00,0x003fff66,0xfffb8000,
    0x03fe8803,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0xfff70000,0x001bffff,0xfffffc88,0x41ecadff,0xefffffec,0x3fffae0c,
    0xb801dfff,0xdfffffff,0xffb88000,0x8bffffff,0x3ee003ec,0x0dffffff,
    0x7ffe4400,0xecadffff,0x07fff501,0x3fffffae,0xffffffff,0xf304ffff,
    0xfff709ff,0xffffffff,0xffffffff,0x3fff6a0b,0x007fffff,0xffffffa8,
    0xfc880004,0xffffffff,0x7c2dffff,0x3e200fff,0x7ffe446f,0xffffffff,
    0x7fcc2dff,0x70000cff,0xbffffffd,0xffffd903,0x7fd419df,0xffffffff,
    0x545fffff,0x03effffd,0x9dffffb7,0x7ffffe44,0xffffffff,0x7ffed42d,
    0xffb703ef,0xfeb89dff,0xffffffff,0x10003cee,0x8005ffff,0xffffffe9,
    0x5002ffff,0xffffffff,0x54dfffff,0xffffffff,0xfffff13f,0x4c0bffff,
    0xfffffffe,0x2a002fff,0xffffffff,0x0fffffff,0x7ffff4c0,0x02ffffff,
    0xffffff50,0xdfffffff,0x20fffea0,0xfffffff9,0xffffffff,0xf304ffff,
    0xfff709ff,0xffffffff,0xffffffff,0x3ffffe0b,0x02ffffff,0xfffffe80,
    0xffc80004,0xffffffff,0x746fffff,0x54400fff,0x7ffffe40,0xffffffff,
    0xfffe86ff,0x800aceff,0xfffffff9,0x7ffd45ff,0x24ffffff,0xfffffffa,
    0xffffffff,0x7fffffc5,0x7ffc42ff,0xf92fffff,0xffffffff,0x8dffffff,
    0xffffffff,0x7ffffc42,0xfff32fff,0xffffffff,0x005fffff,0x007fffd0,
    0x7fffffdc,0x5fffffff,0x7ffffcc0,0xffffffff,0xffff50ff,0x227fffff,
    0xffffffff,0xffff705f,0xffffffff,0xfff700bf,0xffffffff,0x405fffff,
    0xfffffffb,0x05ffffff,0x7fffffcc,0xffffffff,0x3fffa80f,0xffffff98,
    0xffffffff,0x304fffff,0xff709fff,0xffffffff,0xffffffff,0x3fffe0bf,
    0x5fffffff,0xfff51000,0xff900009,0xffffffff,0xd8dfffff,0x000aefff,
    0x7fffffe4,0xffffffff,0xfffe886f,0x2dffffff,0xffffff30,0xffa8bfff,
    0x4fffffff,0x3fffffea,0xffffffff,0x7ffffc5f,0x7fc42fff,0x92ffffff,
    0xffffffff,0xdfffffff,0xfffffff8,0x7fffc42f,0xff32ffff,0xffffffff,
    0x9fffffff,0x4fffd800,0xfffff300,0xfffb759d,0x3fa209ff,0xdbacffff,
    0x20ffffff,0xefffffeb,0x3fff6a0b,0xf980ceff,0xbaceffff,0x04fffffd,
    0x3bffffea,0xfffecabd,0xff302fff,0xb759dfff,0x209fffff,0xcfffffe8,
    0xfffffdba,0x4fffa80f,0xfffffb70,0xffffffff,0x2a09ffff,0xffb84fff,
    0xffffffff,0xffffffff,0xfffb305f,0x1fffffff,0x3ffe6000,0xeb880004,
    0xffffffff,0x4c1cefff,0xbdffffff,0xffeb8802,0xffffffff,0xfb101cef,
    0xffffffff,0xfff701df,0x7019dfff,0x9ffffffb,0x7ffffd41,0xffffffff,
    0x7fecc5ff,0xff503fff,0x5c47bfff,0xfffffffe,0x41ceffff,0x3fffffd9,
    0xbfffff50,0xffffdb87,0xffffffff,0x2002ffff,0xd006fffb,0x2205ffff,
    0xa81ffffe,0xb101ffff,0xf881ffff,0xff5005ff,0x7fff407f,0xfffd102f,
    0xffff103f,0x7ff4c05f,0xfffd02ff,0x3ffa205f,0xfffa81ff,0xfffb101f,
    0xffff301f,0x3ffe6017,0x4fff9804,0x17fff5c4,0x2a1fffdc,0x7fc43fff,
    0xfff3005f,0x0009ffff,0x0013ffe6,0x4fff9800,0x3ffff200,0x02dfffff,
    0x027ffcc0,0xffffda80,0x81ffffff,0x8002fffb,0xffa86fff,0x3fff603f,
    0xffff301f,0x3fffe205,0x3ffe6004,0x7ffcc004,0xffff102f,0x4fff9809,
    0x1ffffaa0,0x07fffa80,0x00efffc8,0xc86fffc8,0xff804fff,0x7ffc40ff,
    0x7fff5005,0x03bfff20,0x21bfff20,0x002ffffc,0xf905fffd,0xf9001dff,
    0xfff90dff,0x1ffff009,0x3fffffa0,0x04fff981,0x224fff98,0x80ffffff,
    0x7d43fffb,0x7ffc43ff,0xbfffb005,0x2000ffff,0x9514fff9,0x4000359b,
    0x4004fff9,0xfffffffb,0x3000dfff,0x00009fff,0xffffd973,0x7fff50ff,
    0x44099988,0xffa85fff,0xffff703f,0xffffc805,0x06fffd80,0x027ffcc0,
    0x07fffe40,0x4037ffec,0x4404fff9,0x3001ffff,0x4c01ffff,0x2001ffff,
    0x7ec4fffe,0xffc800ff,0x05fff886,0x307fff50,0x4003ffff,0x7fc4fffe,
    0x3ee002ff,0x7ffcc1ff,0x3ffa001f,0x07ffec4f,0x5037fe40,0x309fffff,
    0x41109fff,0x3ea3fff8,0xf704ffff,0xfffa87ff,0x02fffc43,0x6c7fffc4,
    0x98002fff,0xfffddfff,0x000dffff,0x004fff98,0xffffdb88,0x3006ffff,
    0x00009fff,0x5ffff910,0x644fff98,0x7fcc7fff,0x3fffa84f,0x04ffff98,
    0xb8bfffd0,0x4001ffff,0x0004fff9,0xfb8bfffd,0xf9801fff,0xffb804ff,
    0xfff1003f,0x7ffdc03f,0x7ffd4004,0x01fffdc6,0x7c41ff44,0xff5005ff,
    0x9fff707f,0x6fffa800,0x001fffea,0xff70fff1,0xffa8009f,0x1fffdc6f,
    0xb01ff440,0x305fffff,0xffa89fff,0xf887ffa2,0xa80fffff,0x7fd42fff,
    0x27ffc43f,0xaafffdc0,0x98005fff,0xffffffff,0x00efffff,0x027ffcc0,
    0x7fedcc00,0xf9803fff,0x5b7004ff,0x27ffd400,0xfd17ffe6,0x7fd43fff,
    0x2fff883f,0x037fffc4,0x25ffff30,0x004ffff8,0x004fff98,0x25ffff30,
    0x004ffff8,0x7009fff3,0x22007fff,0x3200ffff,0xe8000fff,0x7ffcc7ff,
    0x220000cf,0xf5005fff,0xfff907ff,0xfffd0001,0x002fffdc,0x7fe40544,
    0xffe8000f,0x67fffcc7,0x7fcc0000,0xff301cff,0x45ffd89f,0xfffc880a,
    0x0fff982f,0x7c1fffd4,0xffe803ff,0x03fffe1f,0xfffff300,0xffffffff,
    0xff9800df,0xc800004f,0xf9806fff,0xff9804ff,0x3ffe000f,0x337ffc46,
    0x5c9fffff,0xdfb02fff,0x0ffffe81,0x7fffe400,0x006fffd8,0x009fff30,
    0x47fffe40,0x2006fffd,0x4c04fff9,0x5000ffff,0xfe80ffff,0xff90007f,
    0xffffe83f,0x2000acef,0x5005fff8,0xffd07fff,0x3ff2000f,0x05fff91f,
    0x7ffe8000,0x3fff9000,0xefffffe8,0x7cc000ac,0x7fcc04ff,0xfffaaadf,
    0x7ffd4007,0xf50bfb03,0x1df707ff,0x46fffa80,0x4004fffc,0xcffffff9,
    0xffffdb9a,0x3ffe6000,0x01ed8804,0x300ffff0,0xf7009fff,0x3ea009ff,
    0x7fff86ff,0x9ffffff2,0x0201fffc,0x00bffff2,0x7fffff40,0x30001fff,
    0x80009fff,0xfffffffe,0x3fe6001f,0xfff9104f,0x7fdc00df,0x37ffc06f,
    0x2fffb800,0x7fffff44,0x402dffff,0x5005fff8,0xfff07fff,0x3fee000d,
    0x01fffb2f,0x6fff8000,0x5fff7000,0xfffffe88,0x802dffff,0x4c03fffa,
    0xffffffff,0x7cc007ff,0x540204ff,0x00103fff,0xf10ffff6,0xf9800fff,
    0xf902ffff,0x7cc007ff,0xffb804ff,0x0fffd006,0x009fff30,0x019ffff9,
    0x427fffcc,0xfff0fffe,0x3f63ffff,0x3ea000ff,0x20003fff,0xfffffff9,
    0x3fe60003,0x7cc0004f,0x03ffffff,0x677ffcc0,0xfffffecc,0x3f2002ff,
    0x3fe204ff,0xff50005f,0xfffb107f,0xdfffffff,0x17ffe201,0x21fffd40,
    0x0005fff8,0x3f67fff5,0x200000ff,0x0005fff8,0xb107fff5,0xffffffff,
    0x7d401dff,0x7fcc03ff,0xffffffff,0x7ffcc007,0xfffa8004,0x3fe20003,
    0xfffd80ff,0x3ffe6002,0x3ffe600e,0x3ffe6005,0x3fffd804,0x037ffdc0,
    0x4027ffcc,0xdffffffc,0xfffecaac,0xfffd81ff,0xffffff99,0x00fffd4f,
    0x02ffffcc,0x7fffdc00,0x7cc0006f,0xb80004ff,0x006fffff,0xffffff98,
    0xefffffff,0x7fff4001,0x037ffc03,0x02fffb80,0x3fffff6a,0x881fffff,
    0xf5005fff,0xdfff07ff,0x3ffee000,0x001fffb2,0x06fff800,0x05fff700,
    0x7ffffed4,0x501fffff,0xf9807fff,0xffffffff,0x7fcc007f,0xffa8004f,
    0x3ee0003f,0x99999dff,0x2005fffb,0xf804fff9,0x3e6006ff,0xffe804ff,
    0x36a21dff,0x9804ffff,0xfb804fff,0xffffffff,0x3fffffff,0xf95fff90,
    0x2ffff9ff,0xd1007fff,0x0001dfff,0x07ffffa0,0x9fff3000,0x3ffa0000,
    0xf98001ff,0xffffffff,0x8000dfff,0x7402ffff,0xf90007ff,0x2e6003ff,
    0x7fffffec,0x005fff88,0xfd07fff5,0x3f2000ff,0x1fffb1ff,0xffe80000,
    0xfff90007,0x3b2e6003,0x507fffff,0xf9807fff,0xffaaadff,0x7fcc007f,
    0xffa8004f,0x3fa0003f,0xffffffff,0x000fffff,0xf009fff3,0x7cc00dff,
    0xffe804ff,0xffefffff,0x800fffff,0x9804fff9,0xffffffff,0x3fffffff,
    0x3efffee0,0xfffe8fff,0xb006fffa,0x0603ffff,0x13ffea00,0x3ffe6000,
    0xff500004,0x3e60009f,0xffffffff,0xa8005fff,0x6400ffff,0xe8000fff,
    0x220007ff,0x442ffffc,0xf5005fff,0xfff907ff,0xfffd0001,0x0017ffe4,
    0x03fff200,0x01fffa00,0xffffc880,0x03fffa82,0x3627ffcc,0x805c46ff,
    0x8004fff9,0x0003fffa,0xfffffff5,0xffffffff,0x3ffe6009,0x06fff804,
    0x013ffe60,0x3ffffff6,0xffffffff,0x9fff3002,0x326fb200,0xffffffff,
    0x7ffd400c,0xff76fffe,0x00bfffdf,0x207ffff7,0x26000ffe,0x80004fff,
    0x0004fff9,0x009fff30,0x277ffe60,0xffffe999,0x7fff4005,0x4fffb804,
    0x37ffd400,0xfa800b6e,0x7ffc44ff,0x5fff5005,0x009fff70,0x2e6fffa8,
    0x00004fff,0x0027ffdc,0xb71bffea,0x7ffd4005,0x03fffa84,0x2a27ffcc,
    0x83ffc2ff,0x8004fff9,0x0003fffa,0xfffffffb,0xffffffff,0x3ffe600f,
    0x06fff804,0x013ffe60,0x3fffffee,0x1effffff,0x13ffe600,0x5ffb3000,
    0x7ffcc003,0xff13ffff,0x809fffff,0x104ffff9,0x4c005fff,0x80004fff,
    0x0004fff9,0x009fff30,0x413ffe60,0x005ffffc,0x003ffff5,0x003ffff3,
    0xf327fff4,0x7fc001ff,0x07ffe86f,0x303fff90,0x4003ffff,0x3e24fffe,
    0x88001fff,0x1ffff980,0x93fffa00,0x2000fff9,0xffa86fff,0x7ffcc03f,
    0x7fcc0884,0x4fff982f,0x3fffa800,0xffff8800,0xeeeeeeee,0x802fffee,
    0xf804fff9,0x3e6006ff,0x175004ff,0x9ffffd73,0xfff30005,0xff700009,
    0xfff88001,0x3fa1ffff,0x203fffff,0x206ffff8,0x2003fffa,0x0004fff9,
    0x004fff98,0x09fff300,0x13ffe600,0x03ffffc8,0x005fffe8,0x003bfff2,
    0xf71bfff2,0x3ea009ff,0xfffc86ff,0x3fffcc03,0x01dfff90,0xb0dfff90,
    0x4001dfff,0xffc82ffa,0xffc800ef,0x27ffdc6f,0x86fffa80,0x4c02fffd,
    0xf5004fff,0xfff107ff,0xffa8001d,0xffb8003f,0xfff3004f,0x9fff300b,
    0x00dfff00,0x0027ffcc,0x009fff30,0x027ffcc0,0x17ffdc00,0x3ffffe00,
    0x7fffdc6f,0x3ffa02ff,0x3fea00ff,0x3fe6004f,0xf980004f,0x300004ff,
    0x20009fff,0x6c04fff9,0x2601ffff,0x4002ffff,0x102ffffe,0xc85ffffd,
    0x200cffff,0xa84ffff9,0xf303ffff,0xfe80bfff,0xfd102fff,0xff305fff,
    0xf9005fff,0x3ffa0dff,0xffd102ff,0xfffc85ff,0x3fe600cf,0x3ffee4ff,
    0x7fcc00ff,0xfff5004f,0x3ffffa07,0xfff5000c,0xfffd0007,0x7fff4003,
    0x27ffcc00,0x0037ffc0,0x0009fff3,0x0027ffcc,0x009fff30,0x0ffff700,
    0xfffffe80,0x7ffffc43,0xffff901f,0x4fffa805,0x13ffe600,0x3ffe6000,
    0xff300004,0x3e60009f,0xffe804ff,0x3fff606f,0xfff98006,0xfdbaceff,
    0xfc85ffff,0xacdfffff,0xfffffeca,0xdffffb01,0xffffb757,0xfff9801f,
    0xfdbaceff,0x2e05ffff,0xbcefffff,0xffffdcaa,0xffff304f,0xffb759df,
    0xff90bfff,0x559bffff,0x3fffffd9,0x17ffffea,0xffffeda8,0xeeeeeeee,
    0x503fffee,0x209fffff,0xfffeeedb,0x880bdeee,0xdeffffec,0xfffd9303,
    0xed983bdf,0x443dffff,0x4effffec,0x3bbbb6e2,0xeeeeffff,0xfff9801c,
    0xeedb8804,0xeeffffee,0xee801cee,0x000ffcac,0x07fffff6,0x03fffff6,
    0x3bffffe2,0xeeeeeeee,0x36a04fff,0xeffffeee,0xb7100bde,0xffffdddd,
    0x8039dddd,0xfffeeeda,0x200bdeef,0xeffffeda,0xffff103d,0x7ffc43bd,
    0xff70001f,0xffffffff,0xf701bfff,0xffffffff,0x7fffffff,0x7ffff440,
    0xffffffff,0xffff7002,0xffffffff,0xffc801bf,0xffffffff,0x00efffff,
    0x3fffffee,0xdfffffff,0xfffffb80,0xffffffff,0x3fee3fff,0xff100eff,
    0xffffffff,0xffffffff,0x7fdc07ff,0xfff984ff,0xffffffff,0xfffc83ff,
    0x81ffffff,0xffffffff,0x7fffec6f,0x3f21ffff,0x2fffffff,0xfffffff9,
    0xffffffff,0x7fff300d,0xfffff900,0xffffffff,0xfff00dff,0xc800bfff,
    0xf706ffff,0x3e20ffff,0xffffffff,0xffffffff,0xfffff304,0xffffffff,
    0x3ffff209,0xffffffff,0x3e606fff,0xffffffff,0xf304ffff,0xffffffff,
    0x3ffea05f,0x3ffe66ff,0x7f4c0005,0xffffffff,0x3ffe602f,0xffffffff,
    0x8803ffff,0xfffffffd,0x4c002fff,0xfffffffe,0x2a002fff,0xffffffff,
    0x004fffff,0xffffffd3,0x4c05ffff,0xffffffff,0x3fffffff,0x20277ec4,
    0xfffffff9,0xffffffff,0x403fffff,0xfa81dfda,0xffffffff,0xfd84ffff,
    0xffffffff,0xffffff82,0x7ff47fff,0x22ffffff,0xfffffffd,0xfffff93f,
    0xffffffff,0x3fe00dff,0xfffc801f,0xffffffff,0x9806ffff,0x001dfffc,
    0x827fffdc,0x107ffff8,0xffffffff,0xffffffff,0x3ffe609f,0xffffffff,
    0xfff904ff,0xffffffff,0x4c0dffff,0xffffffff,0x304fffff,0xffffffff,
    0x7fec07ff,0x02fe46ff,0xffff7000,0x9001bfff,0xffff937d,0x0019ffff,
    0xffffffa8,0x2e0000df,0xdfffffff,0xfeb88000,0xdeffffff,0xfffb8002,
    0x800dffff,0xfffc9bec,0x00cfffff,0xfffd7000,0xffffffff,0x7fffffff,
    0x3fb20000,0xffffffff,0xffd980ce,0x504effff,0xbffffffb,0xffffda85,
    0x7fecc4ef,0x910cefff,0xffffffff,0x05bfffff,0x4400f6a0,0xfffffffc,
    0x2dffffff,0x80004c00,0x201ffffb,0xf106fffd,0xffffffff,0xffffffff,
    0x7fff5c09,0xdfffffff,0xffff9100,0xffffffff,0xfeb805bf,0xffffffff,
    0x3fae00df,0x04efffff,0x016fffc4,0x75100000,0x26000015,0x0001abba,
    0x001aba88,0x055d4400,0x95510000,0x44000037,0x00000aba,0x00357753,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x00018009,0x04c00000,0x300000c0,
    0x2000007b,0x13000002,0x88000000,0x2000005c,0x200005d8,0x001abba9,
    0x0cc014c0,0x50054000,0x33326001,0x36602ccc,0x200a801d,0xb500000a,
    0x00c00005,0x500000c4,0x00000000,0x88008800,0xd5000000,0x00000005,
    0xcccccc98,0x080dc40a,0x40bfea00,0xfd704fe9,0xffffffff,0x200079dd,
    0xfd302ffa,0xff700009,0xd880000d,0x200001ef,0x00003ffb,0x01ffd300,
    0xfff50000,0x7dc40001,0xbfffffff,0xff003ec8,0x003fc403,0x3a03ffa0,
    0x7ff401ff,0x104fffff,0xfe80bfff,0x01ffe80f,0x17ffdc00,0x077ec000,
    0x0001ffb8,0x000f7ec4,0x3fffff6e,0xffffb500,0xff803bff,0x07fc880c,
    0x5ffc8000,0xfffec880,0x1dffffff,0xfffff500,0x7ff41fff,0x00b7f661,
    0xb837ffe6,0xff983fff,0xffffffff,0x02ffffff,0x06fffcc0,0x0007fff7,
    0x001fffc8,0x3fffea00,0x74c0004f,0x001effff,0x3ffea000,0xfb800003,
    0x2a0002ff,0xffffffff,0x0fffffff,0x3a06ff80,0x3ea0007f,0x7ffcc3ff,
    0x3fffe204,0xf904ffff,0x7fd40dff,0x27ffcc3f,0x3fffa000,0xffc80005,
    0x3fff623f,0x3fea0000,0xf1004fff,0x0bffffff,0xfffffff1,0xffe80dff,
    0x1bffaa1e,0xffd88000,0xfffb800e,0xffffffff,0xfff5005f,0x265fffff,
    0x3ffe4fff,0xffa800ff,0x3fffebff,0xffffff30,0xffffffff,0xa8009fff,
    0xffebffff,0x3a20003f,0x00001eff,0xffbfffb1,0xf70003df,0x7fffddff,
    0xff900000,0xb000005f,0x40003fff,0xfffffffb,0xffffffff,0xeffc802f,
    0x4ffdb89b,0x3ffe2000,0x402fff81,0xfffffffd,0x2ffff984,0x207ffe20,
    0x40002fff,0x0003fffc,0xf7bfff90,0x20003dff,0xffdfffd8,0x7fc401ef,
    0x42ffffff,0xfffffff8,0x7ec405ff,0xdfffccff,0xfd100000,0x3ee001df,
    0xffffffff,0xf5004fff,0x4dffffff,0xff54fff9,0x22007fff,0x1efffffd,
    0x7fffedc0,0xffffffff,0x4002ffff,0xefffffd8,0x7ff40001,0xd100000d,
    0x3fa25fff,0x3f2001ff,0x3fff24ff,0x3f200004,0x800001ef,0x0000effd,
    0x3bffffea,0xfffecabd,0xfb002fff,0xdfffffff,0x05930000,0x54400b26,
    0xc84fffba,0xc9807fff,0x00059302,0x0019fb10,0x7fff4c00,0x220004ff,
    0xfd12fffe,0xfda803ff,0x40ffffff,0xffffffda,0xfff7001c,0x00007fff,
    0x0027ffc4,0x3ffffae2,0x00ceffff,0x55bfff50,0x74fff981,0x009fffff,
    0x003fffa8,0x5027ffcc,0x000ffffd,0x000fffea,0x0013fe60,0x01bff500,
    0x2200bff7,0xfe981eff,0xfd00000f,0x1000001d,0x88000bff,0x202fffff,
    0x02ffffe9,0x3ffffee0,0x0000003f,0xfff98000,0x1ffffc44,0x00000000,
    0x64000000,0x40001eff,0xfb80dffa,0xfff1005f,0x7cc09fff,0xd88004ff,
    0x00000dff,0x0001ffd4,0x0007ffe8,0x9813ffea,0xfff74fff,0x910007ff,
    0xfff30003,0xffff8809,0x03910001,0x000d4000,0x4401b800,0x00ea000b,
    0x980000ae,0x4c000002,0xffc80001,0xffd002ff,0xa988005f,0x0000009a,
    0xff300000,0x7fffc89f,0x00000000,0x20000000,0x2e000049,0x8005c401,
    0xfffffff8,0x09fff301,0x0001dc00,0x00001500,0x0003fff4,0x4c09fff5,
    0xfff54fff,0x000007ff,0x04fff980,0x003fffb8,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff8000,0x3ffee002,0x00000001,0x02aea200,
    0x9fff3000,0x01ffffc4,0x20000000,0x001abba9,0x00000000,0x3e200000,
    0x06ffffff,0x0009fff3,0x00000000,0x3fff4000,0x9fff5000,0x9a7ffcc0,
    0x002fffff,0x7fcc0000,0xfffb804f,0x00000003,0x00000000,0x00000000,
    0x00000000,0x54000000,0x44007fff,0x000007ff,0xfff70000,0x001bffff,
    0x5c9fff30,0xec80ffff,0x0cefffff,0x3fffffae,0x3ee201df,0xbfffffff,
    0x00003ec8,0x00000000,0xfefff880,0xff983fff,0x0000004f,0x00000000,
    0x8001fffa,0x2604fffa,0xfff34fff,0x3f2203ff,0xffffffff,0x302dffff,
    0xf9809fff,0x3ea00fff,0xffffffff,0x45ffffff,0xffffffeb,0x03ceefff,
    0x7ffff5c0,0xffffffff,0x204fffff,0xffffffda,0xd70007ff,0xffffffff,
    0xffffffff,0x7fed409f,0x07ffffff,0x05fffb80,0x5400a880,0xfffffffd,
    0xd300007f,0xffffffff,0xf98005ff,0x3fff64ff,0xfffffa84,0xff13ffff,
    0xbfffffff,0x3ffffea0,0xffffffff,0x7fedc0ff,0xfb500fff,0x03bfffff,
    0x9dffffd7,0x7fffedc1,0xfff100cf,0x81ffff7b,0xd704fff9,0xffffffff,
    0x2e0059bf,0x00fffffd,0xffffffb5,0x7ffe803b,0x3ffea000,0x53ffe604,
    0x00fffff8,0xfffffff9,0xffffffff,0x13ffe60d,0x37fffe44,0x3ffffea0,
    0xffffffff,0x3ffe65ff,0xffffffff,0x802fffff,0xfffffff9,0xffffffff,
    0x3e04ffff,0xffffffff,0x7cc002ff,0xffffffff,0xffffffff,0x3ffe04ff,
    0xffffffff,0x7ffe4002,0x3e000002,0xffffffff,0x5c0002ff,0xffffffff,
    0x005fffff,0xfe93ffe6,0xfffa82ff,0x13ffffff,0xffffffff,0xffff70bf,
    0xffffffff,0x7c45ffff,0x85ffffff,0xfffffff8,0x7ffc46ff,0xf14fffff,
    0x9fffffff,0x757ffe20,0x7fcc5fff,0xffff984f,0xffffffff,0x3e202eff,
    0x85ffffff,0xfffffff8,0x7ff406ff,0x3fea0007,0x3ffe604f,0x03ffffe4,
    0x7fffffe4,0xffffffff,0xdfff306f,0xffffd999,0xfa805fff,0xffffffff,
    0x25ffffff,0xfffffff9,0xffffffff,0x7fcc04ff,0xffffffff,0xffffffff,
    0x3fffe04f,0x5fffffff,0x7fffcc00,0xffffffff,0x4fffffff,0x3fffffe0,
    0x005fffff,0x0007ffec,0xfffff000,0x0bffffff,0x7fffcc00,0xffdbacef,
    0xf3004fff,0x7fffc9ff,0xffffd701,0x7ed417df,0x40ceffff,0xdefffffa,
    0xffffecab,0x3ffe22ff,0x442fffff,0xffffffff,0x7fffc45f,0xff14ffff,
    0x09ffffff,0x7cd7ffe2,0x3fe63fff,0xffff984f,0xffffffff,0xf105ffff,
    0x5fffffff,0xffffff88,0x7f405fff,0x3ea0007f,0x3fe604ff,0x1ffffe4f,
    0xffffeb88,0xefffffff,0xffff301c,0xffffffff,0xff5003df,0xffffffff,
    0xb8bfffff,0xfffffffd,0xffffffff,0x7fedc02f,0xffffffff,0x4fffffff,
    0x3ffff660,0x00ffffff,0x7fffedc0,0xffffffff,0x204fffff,0xffffffd9,
    0x2000ffff,0x0000fffd,0x3fff6600,0x0fffffff,0xffffd000,0x3fffa205,
    0xfff9801f,0x01ffff34,0x802fffc4,0xf883fffa,0x2602ffff,0x542ffffe,
    0xfffffffd,0x7fffed40,0xfea81cff,0x2a0befff,0x0cfffffd,0x64bfff10,
    0xff30ffff,0x3ff6e09f,0xffffffff,0x504fffff,0xfffffffb,0xffffda81,
    0x7f401cff,0x3ea0007f,0x3fe204ff,0x1bfffa3f,0x13ffe600,0xfffff300,
    0xbfffffff,0x3ffea001,0x3ffff603,0x09fff301,0x03ffff54,0x804fff98,
    0x2004fff9,0xfffffff9,0xfff30004,0x9fff3009,0x7fffcc00,0x36004fff,
    0x00000fff,0x3fffe600,0xc8004fff,0xc800efff,0xf9806fff,0xffff54ff,
    0x05fff880,0x907fff50,0x2005ffff,0xf102fffe,0x409fffff,0x4c04fff9,
    0x7c404fff,0x7fc405ff,0xaffff45f,0x7c04fff9,0xfd7306ff,0x7c405fff,
    0x204fffff,0xd004fff9,0x54000fff,0x6d404fff,0x037ffec4,0x027ffcc0,
    0x3ffffe60,0x5fffffff,0x0fffea00,0x017fffdc,0x8809fff3,0x9801ffff,
    0xf9804fff,0x3f6004ff,0x07fffdff,0x09fff300,0x009fff30,0x7fefffec,
    0x3ff6007f,0x0000000f,0x3ff7fff6,0x7fcc007f,0x3fa001ff,0x7fcc04ff,
    0x0bfff74f,0x005fff88,0xff07fff5,0x7dc005ff,0xfff101ff,0x2603ffff,
    0x7cc04fff,0x7fc404ff,0x7ffc405f,0x57fffcc5,0x7c04fff9,0x7f4406ff,
    0x3fe207ff,0x301fffff,0x3a009fff,0xfd8807ff,0x013ffea4,0x02fffe40,
    0x027ffcc0,0x277ffe60,0xffffe999,0x7fff5005,0x09ffff30,0x804fff98,
    0x9803fffb,0x20884fff,0x1003fff8,0xffb1ffff,0xff30005f,0x7c41109f,
    0xff1003ff,0x5fffb1ff,0x0bfff200,0x7c400000,0xfffd8fff,0x3ffee002,
    0x7ffd4004,0xa7ffcc06,0x4404fffd,0xf5005fff,0xfffa87ff,0x3ffc4007,
    0xffffff10,0x3ffe60df,0x27ffcc04,0x017ffe20,0xf90bfff1,0x9fff5dff,
    0x806fff80,0x103ffff8,0xdfffffff,0x013ffe60,0x5403fff4,0x3ffea7ff,
    0xfff90004,0xfff30009,0xfff98009,0xbffff904,0x85fff100,0x806ffff8,
    0xb804fff9,0xf9803fff,0x17fd44ff,0x2e003ffd,0xfff55fff,0xfff3000b,
    0x3a2ffa89,0xff7001ff,0x17ffeabf,0x027ffdc0,0xffb80000,0x0bfff55f,
    0x007ffe40,0x203fff40,0xff94fff9,0xfff880bf,0x7fff5005,0x005fffb8,
    0x3e200a88,0x3ffffeff,0x404fff98,0x4404fff9,0x7c405fff,0xfff885ff,
    0x404fffef,0xf5006fff,0x3fe20dff,0x83ffffef,0xd004fff9,0xff700fff,
    0x13ffea3f,0x27ffdc00,0x27ffcc00,0x13ffe600,0x03ffffc8,0x7f40efd8,
    0xf9800fff,0x7fcc04ff,0xff9800ff,0x22ffec4f,0x3ffa000a,0x03fffe1f,
    0x89fff300,0x00545ffd,0x7c3fffd0,0xf8800fff,0x88001fff,0x3fffa000,
    0x003fffe1,0x8003fff4,0x2601fffc,0xfff74fff,0x5fff880d,0x87fff500,
    0x0002fffc,0x7bfff100,0xf981ffff,0x7fcc04ff,0x7ffc404f,0x2fffc405,
    0xffffffa8,0x37ffc04f,0x01ffff00,0xff7bfff1,0xfff981ff,0x0fffd004,
    0x2a3fff90,0x09804fff,0x000fffc4,0x0027ffcc,0xb013ffe6,0x1003ffff,
    0x05ffff90,0x413ffe60,0x06ffffc8,0x55bfff30,0x000ffff5,0x3237ffd4,
    0x4c004fff,0xfaaadfff,0x2a0007ff,0x7fe46fff,0xfffb004f,0x7fd4001d,
    0x6fffa802,0x8027ffe4,0x70006fff,0x7cc05fff,0xffff34ff,0x05fff880,
    0xd87fff50,0x00000fff,0x3abfff10,0x7fcc5fff,0x7ffcc04f,0xaaaaaaad,
    0x4405fffb,0x3f605fff,0x404fffff,0x36006fff,0xff881fff,0x8bfffd5f,
    0xd004fff9,0xff900fff,0x13ffea3f,0xeb83ffd0,0xfff30003,0xfff98009,
    0x6fffe804,0xffffa800,0x3ffe6003,0xfffeccce,0x3002ffff,0xffffffff,
    0x6c000fff,0x7fc43fff,0x7fcc007f,0xffffffff,0x3ff60007,0x3fffc43f,
    0xfffff980,0x6fffc802,0x43fffd80,0x8807fff8,0x50005fff,0x7cc07fff,
    0xffff14ff,0x2fffc403,0x43fffa80,0x0000fffd,0x2bfff100,0x263ffff9,
    0x7cc04fff,0xffffffff,0x05ffffff,0x102fffc4,0x09ffffff,0x2006fff8,
    0xf882fffb,0xffff35ff,0x027ffcc7,0xc807ffe8,0xfff51fff,0x27ffcc09,
    0x3fe60000,0xfdb5004f,0x207bdfff,0x1deffff8,0x5ffff980,0x7fffcc00,
    0xffffffff,0x3e6001ef,0xffffffff,0xff10007f,0xfffb01ff,0x7ffcc005,
    0x7fffffff,0xffff1000,0x05fffb01,0x3ffffee0,0xfdcaabce,0x4404ffff,
    0xfd80ffff,0xfff802ff,0xfff70006,0x27ffcc05,0x4405ffff,0xf5005fff,
    0xfffd87ff,0xf1000000,0x7ffe4bff,0x09fff30f,0xffffff98,0xffffffff,
    0x3ff6e05f,0x5c0bdeff,0x404fffff,0x2e006fff,0xff883fff,0x3ffff25f,
    0x109fff30,0xffffddb7,0xdddddddd,0x3ea3ffff,0x3fe604ff,0x4c00004f,
    0xf9804fff,0xffffffff,0xffff502f,0xffe880df,0x7cc000ef,0xffffffff,
    0x4000dfff,0xfffffff9,0x70007fff,0x3333bfff,0x00bfff73,0x7fffffcc,
    0x0007ffff,0x333bfff7,0x0bfff733,0x7ffffe40,0xffffffff,0x7dc00eff,
    0x99999dff,0xe805fffb,0xf90007ff,0x7fcc03ff,0x0ffffa4f,0x005fff88,
    0xfd87fff5,0x000000ff,0xfe8bfff1,0x9fff35ff,0xfffff980,0xffffffff,
    0xfff305ff,0x07ffffff,0x809ffffd,0x2e006fff,0xff883fff,0xaffff45f,
    0xfb84fff9,0xffffffff,0xffffffff,0xfff51fff,0x27ffcc09,0x3fe60000,
    0xfff9804f,0x3fffffff,0x1bffff60,0x03ffffb0,0xffff9806,0xffffffff,
    0xfff98005,0x7fffaaad,0xffffd000,0xffffffff,0x3e6001ff,0xffaaadff,
    0xffd0007f,0xffffffff,0x4001ffff,0xfffffffa,0x04ffffff,0xffffffd0,
    0xffffffff,0x0fffc801,0x07ffe800,0xf727ffcc,0x7fc40fff,0xfff5005f,
    0x02fffc87,0xfff10000,0xaffff98b,0x4c04fff9,0xaaaadfff,0x5fffbaaa,
    0xffffff50,0xff309fff,0xfff809ff,0x3fff2006,0x45fff882,0xf9affff9,
    0xfffb84ff,0xffffffff,0xffffffff,0x09fff51f,0x5427ffcc,0xfff30000,
    0x3ffae009,0x404effff,0x202dfff8,0xd03ffffb,0xfff301ff,0xffd3333b,
    0xf9800bff,0x37fec4ff,0xffa802e2,0xffffffff,0x004fffff,0xfd89fff3,
    0x5005c46f,0xffffffff,0x9fffffff,0xffeb8800,0x2defffff,0xfffff500,
    0xffffffff,0xffb809ff,0x7fd4004f,0x7ffcc06f,0x0ffffe24,0x802fffc4,
    0x7dc2fffa,0x000004ff,0xf90bfff1,0x9fff5dff,0x04fff980,0x902fffc4,
    0x9dfffffd,0x13fff201,0x400dfff0,0xf880fffe,0xfffc85ff,0x884fffae,
    0xffffffec,0xffffffff,0xff51ffff,0x7ffcc09f,0x00bffe64,0x013ffe60,
    0x40000000,0x104ffff9,0xff305fff,0x3fff209f,0x3fe6005f,0x217fd44f,
    0x3ff607ff,0xffffffff,0x007fffff,0xfa89fff3,0xb03ffc2f,0xffffffff,
    0xffffffff,0x7fe44000,0xffb0001b,0xffffffff,0x80ffffff,0x001ffff9,
    0x3013fffa,0xffd89fff,0x1fffa06f,0x20fffe40,0x001ffff8,0x3fe20088,
    0xffff885f,0x4c04fffe,0x7c404fff,0x000005ff,0x0dfff000,0x883fffc0,
    0xff885fff,0x04fffeff,0x7d400000,0x3fe604ff,0x1bfff24f,0x13ffe600,
    0x00010000,0x0dffff10,0x4c1fffd4,0x3f204fff,0xf3003fff,0x981109ff,
    0xff882fff,0xeeeeeeff,0x2fffeeee,0x84fff980,0x17ffcc08,0x777fffc4,
    0xeeeeeeee,0x20002fff,0x10001ffa,0xddddffff,0xffdddddd,0xfffc805f,
    0xfffc800e,0x4fff9806,0x817fffcc,0x4c03fffc,0xffb07fff,0x7d4001df,
    0xbfff102f,0x3ffffea0,0x7fcc04ff,0x7ffc404f,0x00080005,0x006fff80,
    0x220bfff7,0xff505fff,0x009fffff,0x7d400040,0x3fe604ff,0x0fffea4f,
    0x13ffe600,0xcffc8000,0xfffd0000,0x7ffd401f,0x04fff984,0x00ffffec,
    0x8027ffcc,0xfb83fffa,0xff3004ff,0xfff300bf,0x3ffea009,0x04fffb83,
    0x00bfff30,0x01fffd40,0x027ffdc0,0x805fff98,0x102ffffe,0x005ffffd,
    0xfb09fff3,0x3fea0dff,0xfff303ff,0x3ffe60bf,0xffc802ff,0xbfff106f,
    0x7ffffec0,0x7ffcc04f,0x2fffc404,0x33ff2000,0xdfff0000,0x5ffff700,
    0x817ffe20,0x4ffffffd,0x19ff9000,0x13ffea00,0x4c4fff98,0xff30001b,
    0x6c00009f,0xc8005fff,0x5402ffff,0xff984fff,0xfffe804f,0x4fff9806,
    0x07fff500,0x4003fffd,0x4c00fffe,0xf5004fff,0xfffd07ff,0x7fff4003,
    0xfff50000,0xffe8001f,0x3ffa001f,0x7ffcc00f,0xfdbaceff,0x9305ffff,
    0x09fffddd,0x205ffff3,0xabeffffd,0x0fffffdb,0x3ffffee0,0xfdcaabce,
    0xf104ffff,0x7fc40bff,0x4c04ffff,0x7c404fff,0x6c0005ff,0xf0005fff,
    0x32a20dff,0x2205ffff,0x3e205fff,0x004fffff,0x00bfffb0,0x3bbbffea,
    0x13ffe62d,0x776dc400,0xeeffffee,0x22001cee,0x00ffdaab,0x3ffffe20,
    0xeeeeeeee,0x36a4fffe,0x3deffffe,0xbdffff10,0xfffeda83,0xeeeeeeef,
    0x13fffeee,0xbdffffd9,0x3ffb2607,0x6d41deff,0xeeeffffe,0xfeeeeeee,
    0xffd913ff,0x2607bdff,0xdeffffec,0x959fd001,0xd91003ff,0x07bdffff,
    0x3ffffb26,0x3fee01de,0xffffffff,0xfd00dfff,0x09ffffff,0x4417fff6,
    0xfffffffe,0x802fffff,0xfffffffc,0xffffffff,0xfffdb80e,0x7dc0bdef,
    0xb304ffff,0x17bffffd,0x7ffff6d4,0x55c4004e,0x2000ffda,0xeeffffdb,
    0xffffffee,0xffb700ff,0xb817bdff,0x004fffff,0x7fed55c4,0xffffa800,
    0xff31ffff,0x3f20009f,0xffffffff,0x06ffffff,0x3fffff60,0x7ffc4006,
    0xffffffff,0x34ffffff,0xffffffff,0x3fea05ff,0x3fe26fff,0xffffffff,
    0xffffffff,0xffff93ff,0xf03fffff,0xffffffff,0x7ffffc4d,0xffffffff,
    0x3fffffff,0xfffffff9,0xffff03ff,0x00dfffff,0x1bfffffa,0x7ffffe40,
    0xff81ffff,0x6fffffff,0x7ffff4c0,0x02ffffff,0x7ffffffc,0xdfff104f,
    0x7fffec40,0x02ffffff,0x3ffffea0,0xffffffff,0xfffff304,0xfd07ffff,
    0x3fa09fff,0x4fffffff,0xfffffff1,0x7ec005ff,0x2006ffff,0xfffffff9,
    0xffffffff,0xfff301ef,0x07ffffff,0x009ffffd,0x6fffffd8,0xfffff500,
    0x3fe25fff,0xff90003f,0xffffffff,0x00dfffff,0x17ffffcc,0x3fffe200,
    0xffffffff,0xf34fffff,0xffffffff,0x7ffec07f,0x3fffe66f,0xffffffff,
    0xffffffff,0xffffffb3,0xfff05fff,0x4fffffff,0xfffffff9,0xffffffff,
    0xfb3fffff,0xffffffff,0xffffff05,0x2600ffff,0x001dffec,0xfffffffb,
    0xffff05ff,0x00ffffff,0x3fffffee,0xfea800df,0x204fffff,0xfa801ee9,
    0x0dffffff,0xffeb8800,0x2defffff,0x3ffffea0,0xf984ffff,0xfff04fff,
    0x29ffffff,0xfffffff8,0x3e6003ff,0x2002ffff,0xfffffff9,0xffffffff,
    0x3ffea00d,0x84ffffff,0x004ffff9,0x17ffffcc,0xfffffa80,0x06fdc4ef,
    0xfffc8800,0xffffffff,0x44002dff,0x88000aca,0xffffffff,0xffffffff,
    0x3fffae4f,0x4404efff,0x75c2dfff,0xffffffff,0xffffffff,0xfffb33ff,
    0x2a09dfff,0xdffffffd,0x7ffff5c2,0xffffffff,0x33ffffff,0xdffffffb,
    0x3fff6a09,0x8002dfff,0x7ecc0008,0x04efffff,0xffffffb5,0xba88005b,
    0x0000000a,0xaba88000,0x2a200001,0x64001bca,0xcefffffe,0x09fff900,
    0x3fffff6a,0x3ff6e0cf,0x000cefff,0x00056544,0x7fffff5c,0x1bdeffff,
    0xffffd900,0x3f2019df,0xa88004ff,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05400000,0x30000a20,0x00015595,0x00180098,
    0x00000000,0x540005b5,0x0000a800,0x00000f5c,0x0005d500,0x00000dd8,
    0x000bda80,0x002f6a00,0x033b6600,0x00a80002,0x6cc0002a,0x000080ce,
    0x02b88177,0x000bda80,0x013332a0,0x00010000,0x000cc033,0x00a802a0,
    0x02a00a80,0x3fff6200,0x2effffff,0x200bdb80,0x1fec05fb,0x3fff6e00,
    0xebbeffff,0x05ff5004,0xeb813fa6,0x4effffff,0x77ffff64,0xfffb8004,
    0x06fa8002,0x880027e4,0x00002ffe,0x00bff900,0x00fffc40,0xfff30000,
    0x3ea0000b,0x6c0004ff,0x2a3fffff,0xffe8007f,0x001ffe80,0x1fffffec,
    0xfb800ff5,0x027fe45f,0x009fff50,0x03fffe40,0x7fecc000,0x7e401cef,
    0x04ffb83f,0xd01ffd00,0x7fc003ff,0x01ffe80f,0x7ffffd40,0x05ffffff,
    0x7027ffdc,0x3fee05ff,0xfffb1002,0xffffffff,0xf3001fff,0x7fdc1bff,
    0xffff303f,0x25ffffff,0xfffffffa,0x7ff4002f,0xffa8005f,0x009ff303,
    0x00bffd30,0xffb10000,0xfb80001d,0x000003ff,0x000ffff9,0x01ffff60,
    0xfdfffc80,0x0fffdeff,0x0fffea00,0x4009fff3,0xfffdfffc,0x000fffde,
    0xfff1fff6,0x7ffec00d,0x3ff20007,0x6400007f,0xffffffff,0x21bffe00,
    0xa8007ffe,0x7fcc3fff,0xfff5004f,0x04fff987,0xccccca80,0x400bcccc,
    0x2205fffc,0xca8acfff,0xe9800fff,0xffffffff,0x2fffffff,0x7ffff500,
    0x4c07fffd,0xffffffff,0xffff52ff,0x8005ffff,0x0003fffc,0x73159ffd,
    0xa8003fff,0x00004fff,0x0dffe980,0xfff50000,0xf5000009,0x20000dff,
    0x0005fffb,0x7f4c33f2,0x4001ffff,0xff81fff8,0x33f2002f,0xfffffd30,
    0x7ffe8003,0x801bffe2,0x0005fffb,0x001ffff2,0xfffffc80,0x3601ffff,
    0x5ffc84ff,0x1fff8800,0x1002fff8,0xfff03fff,0x00000005,0x401efe88,
    0xfffffffa,0xff9801ff,0xbabdffff,0x3fffffec,0x3fff6200,0xdb801eff,
    0x3dffffff,0x6fffffec,0xcfd88003,0xfff30000,0x07ffffff,0x02fffa80,
    0xff880000,0x9800004f,0x00004ffe,0x0001dfc8,0x00077f20,0x0b7ae010,
    0x302c9800,0x20100059,0xf0002deb,0x7ffc4fff,0x0efe4005,0x99995000,
    0x3fe60000,0x5ffeefff,0x4405dc40,0x930000bb,0x000b2605,0x0b260593,
    0x80000000,0x3ffa6000,0xd001dfff,0xa803ffff,0x8003ffff,0x8003fffa,
    0xf504fff9,0x0007ffff,0x36200000,0x02efffff,0x001ffd80,0x7ff50000,
    0x6c400000,0x0000007f,0x00000000,0x00000000,0x00000000,0x337ffc00,
    0x00009fff,0x00000000,0x20dfffd8,0x00000018,0x00000000,0x22000000,
    0x00000aba,0x02aaa600,0x1ffffb80,0x05fff700,0x00072200,0x5c27ffcc,
    0x002fffff,0x88000000,0x20001aa9,0x000000a8,0x00000540,0x00001a80,
    0x00000000,0xaba88000,0x00000000,0x00000000,0xff99bffe,0x0000004f,
    0x7c000000,0x00001fff,0x00000000,0x00000000,0xffffff70,0x000001bf,
    0x7ffc0000,0x3fe2002f,0x0000000f,0xd89fff30,0x001fffff,0x0aaca980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0xdfffffff,
    0x00000000,0x7fffff64,0x3ffae0ce,0x101dffff,0x7fd4bfff,0x0000003f,
    0x4cccccc4,0x7fc40000,0x0000006f,0x00000000,0x98000000,0xfffffffe,
    0x03002fff,0x7cc00000,0xc98007ff,0x00000001,0x6c53ffe6,0x000effff,
    0x3ffff6e0,0x4ebbefff,0x00000000,0x00000000,0x00000000,0xffffff50,
    0xffffffff,0xfffeb8bf,0xffffffff,0x04ffffff,0x7fffff4c,0x402fffff,
    0xffffffeb,0xffffffff,0x3fea4fff,0x3fffffff,0xfffffff1,0x3fe60bff,
    0x0fffea5f,0x3fffff22,0xffffffff,0xffffa82d,0x0004ffff,0x0027ffcc,
    0xfffffda8,0x88007fff,0xfffffffc,0x2dffffff,0x77fffed4,0xffffb703,
    0x7ffdc09d,0xffffffff,0x3ff405ff,0x3fffffae,0xffffffff,0x3ee4ffff,
    0x800004ff,0xffffffeb,0xffffffff,0xff304fff,0xffffd19f,0x3620001b,
    0xffffffff,0x40ffffff,0xffffffc8,0xdfffffff,0x3fffb222,0x1dffffff,
    0x3ffb2000,0xffffffff,0x2fffffff,0x3ffff6a0,0x0007ffff,0xfffffff5,
    0xffffffff,0x7ffffccb,0xffffffff,0x04ffffff,0x3fffffee,0x5fffffff,
    0xffffff30,0xffffffff,0x549fffff,0xffffffff,0xfffff13f,0xb88bffff,
    0xdccefffd,0x320bdfff,0xffffffff,0x6fffffff,0xffffffe8,0x4c0004ff,
    0xf0004fff,0xffffffff,0xfc8005ff,0xffffffff,0x46ffffff,0xffffffff,
    0x7ffffc42,0xff982fff,0xdbacefff,0x504fffff,0x3fe65fff,0xffffffff,
    0xffffffff,0x0bfff24f,0xfff30000,0xffffffff,0xffffffff,0x3bffe609,
    0x005fffff,0x3ffffa60,0xffffffff,0x7fe42fff,0xffffffff,0x2e6fffff,
    0xffffffff,0x0005ffff,0xfffffff5,0xffffffff,0x7c05ffff,0xffffffff,
    0xfa8002ff,0xffffffff,0x25ffffff,0xfffffff9,0xffffffff,0xf304ffff,
    0x759dffff,0x09fffffb,0xfffffff3,0xffffffff,0xeb89ffff,0x0befffff,
    0x3fffff6a,0x3ffee0ce,0xffffffff,0xf93fffff,0xffffffff,0x0dffffff,
    0xfffffffb,0xfc98009f,0xffffffff,0xffff003d,0xbfffffff,0xffffc800,
    0xffffffff,0x7ffc6fff,0x442fffff,0xffffffff,0x2ffffe82,0x3ffffd10,
    0x269fff70,0xffffffff,0xffffffff,0x3ff64fff,0x4c00000f,0xffffffff,
    0xffffffff,0xff304fff,0x9fffffff,0x3ffe6000,0xcbabdfff,0x43fffffe,
    0xfffffffc,0xffffffff,0x3ffffee6,0x4fffffff,0xffff5000,0xffffffff,
    0x5fffffff,0x7fffffc0,0x005fffff,0xffffffa8,0xffffffff,0x7ffedc5f,
    0xffffffff,0x04ffffff,0x205ffffd,0x81ffffe8,0xffffffdb,0xffffffff,
    0xff884fff,0xfff5005f,0xfffffb07,0xffffffff,0x3ae2bfff,0xffffffff,
    0x881cefff,0xfffdccca,0x7fff4004,0xffffffff,0xffd9801f,0xffffffff,
    0x3fae2000,0xffffffff,0x6cc1ceff,0x503fffff,0x07bfffff,0x001dfff9,
    0xf90dfff9,0x7fedc9ff,0xffffffff,0x4fffffff,0x0003fff6,0x3fff6e00,
    0xffffffff,0x04ffffff,0xfffffff3,0xd000bfff,0xa803ffff,0x5c43ffff,
    0xfffffffe,0x21ceffff,0xfffffeb8,0x000cefff,0x3ffff6e0,0xfffffffb,
    0x202fffff,0xffffffd9,0x4000ffff,0x3603fffa,0xf301ffff,0xff3009ff,
    0xdfff909f,0xdfff9001,0x027ffcc0,0x4427ffcc,0xf5005fff,0xfff507ff,
    0xffffffff,0x805fffff,0x0004fff9,0x0027ffcc,0x3ffffffa,0x02ffffff,
    0xfffff980,0x980004ff,0x4c004fff,0xf102ffff,0x3e609fff,0x3a001fff,
    0x7fec4fff,0x4fff985f,0x24fff980,0xb300fffd,0xffffffff,0x3ffe605b,
    0x4fff9804,0xffffff30,0x00bfffff,0x00ffffdc,0x002fffb8,0x0009fff3,
    0x0001fffa,0x7de7fe40,0xfffb83ff,0x3ffe6002,0x4004ffff,0xf703fffa,
    0x7cc05fff,0xff9804ff,0x7fffcc4f,0x3fffa001,0x09fff304,0x109fff30,
    0x2a00bfff,0xb5103fff,0xfd559fff,0x300157ff,0x80009fff,0x4004fff9,
    0xffffffda,0x0003efff,0xfffbfffb,0xff30000f,0xff90009f,0xfffb01ff,
    0x27ffdc0d,0x1bffea00,0xf30dfffd,0xff3009ff,0x07ffec9f,0xffffffe8,
    0xf306ffff,0xff3009ff,0x3ffe609f,0xfffd89ff,0xffff005f,0x7ffc4005,
    0x9fff3000,0x1fffa000,0x7ff40000,0xb83fffba,0x36002fff,0x7fffdfff,
    0x1fffd400,0x027fffcc,0x2213ffe6,0x70fffe20,0xa8009fff,0xff306fff,
    0x7c41109f,0xfff883ff,0x7fff5005,0x21fffc80,0x4c007ffe,0x40004fff,
    0x0004fff9,0x0027ffcc,0x47fffc40,0x0002fffd,0x0027ffcc,0x5c5fffe8,
    0x3201ffff,0xe8000fff,0x7fff47ff,0x84fff987,0x8fffe208,0xfb01fffb,
    0xffffffff,0x3ffe60df,0x3fe20884,0xdfff303f,0x2ffffb81,0x03fffcc0,
    0x3000e4c0,0x20009fff,0x00007ffe,0xfb8fff88,0xfffb83ff,0xffff1002,
    0x005fffb1,0x2217ffc4,0x9806ffff,0x7fd44fff,0xf907ffa2,0xfd0001ff,
    0x3ffe60ff,0xfd17fd44,0xbfff103f,0x0fffea00,0x743fffb0,0x7cc007ff,
    0x4c0004ff,0x40004fff,0x0004fff9,0xf55fffb8,0x98000bff,0x30004fff,
    0x3e25ffff,0x7f404fff,0xff90007f,0x7ffffc3f,0x227ffcc0,0x3ffa2ffa,
    0x40fffe61,0xfeeeeec9,0xff301eff,0x22ffa89f,0xff301ffe,0x3fff209f,
    0x27ffdc06,0xf9800000,0xfd0004ff,0x700000ff,0x3ffeedff,0xfff31753,
    0x3ffee001,0x00bfff55,0x7f40efd8,0xf9800fff,0x2ffec4ff,0x1fffa02a,
    0x0fffe400,0x3627ffcc,0x880545ff,0xf5005fff,0xffd807ff,0x01bffe0f,
    0x009fff30,0x04fff980,0x27ffcc00,0x7fff4000,0x003fffe1,0x04fff980,
    0x3ffff200,0x806fffd8,0x70006fff,0x3fe25fff,0x7fcc0fff,0x22ffec4f,
    0x37ffc40a,0x0fffee00,0x6c4fff98,0x300545ff,0x3a209fff,0x3f203fff,
    0x000002ff,0x009fff30,0x001fffa0,0x5cfff600,0x5ffabfff,0x7f4009fb,
    0x3fffe1ff,0x7e404000,0xf3002fff,0xff555bff,0x3ffe00ff,0xfff70006,
    0x5bfff305,0x00ffff55,0x802fffc4,0x5303fffa,0xf557fffd,0x20015dff,
    0x0004fff9,0x0027ffcc,0x013ffe60,0x8dfff500,0x0004fffc,0x0013ffe6,
    0xffffffd0,0xff8803ff,0xff50005f,0x3fffe67f,0x6fffcc1f,0x07fffaaa,
    0x007fffd0,0x301fffdc,0xf555bfff,0xf9800fff,0x3fe604ff,0x3fff607f,
    0x30000000,0x20009fff,0x00007ffe,0xff71fff8,0x00fffd9f,0x91bffea0,
    0x80009fff,0x003ffffa,0x3fffffe6,0x8807ffff,0x50005fff,0xff307fff,
    0xffffffff,0x7ffc400f,0x7fff5005,0xffffff98,0xffffffff,0xff9804ff,
    0x7cc0004f,0x4c0004ff,0x40004fff,0x7c43fffd,0x260007ff,0x40004fff,
    0xfffffff9,0x0dfff003,0x4bffee00,0x42fffffa,0xfffffff9,0xf5007fff,
    0x88019fff,0x2603fffc,0xffffffff,0x7cc007ff,0x7fec04ff,0x1fffb03f,
    0x26000000,0xd0004fff,0x80000fff,0x3fee7ffa,0x00ffffff,0x43fffd80,
    0x0007fff8,0x017fffe6,0xffffff30,0x200fffff,0x70006fff,0xff305fff,
    0xffffffff,0x7ffc400f,0x7fff5005,0xffffffc8,0xffffffff,0xff9807ff,
    0x7cc0004f,0x4c0004ff,0x20004fff,0xd80ffff8,0x30002fff,0x00009fff,
    0x0dfffff7,0x003fff40,0xf51fffc8,0xf987ffff,0xffffffff,0x3ff6007f,
    0xbabcdfff,0x3fffffed,0x3ffffe60,0x007fffff,0xdffffdb7,0xffff307b,
    0x7ffec7bd,0xffffb300,0x005bffff,0x0009fff3,0x0001fffa,0x7dc9ff90,
    0x0fffffff,0x7fffc400,0x02fffd80,0xefffe880,0x7ffcc000,0x7fffffff,
    0x00fffd00,0x207fff20,0xfffffff9,0x22007fff,0xf5005fff,0xfff987ff,
    0xffffffff,0x805fffff,0x0004fff9,0x0027ffcc,0x013ffe60,0x9dfffb80,
    0xfffb9999,0xfff30005,0x3fa00009,0x32001fff,0xe8000fff,0x3ffee7ff,
    0x7ffcc4ff,0x7fffffff,0x3fffe200,0xffffffff,0x203fffff,0xfffffff9,
    0xf9807fff,0xffffffff,0xffffe82f,0x1fffb1ff,0x3fffffa0,0x806fffff,
    0x0004fff9,0x0000fffd,0xc99bfff8,0xffffffff,0x7ffdc000,0xfb99999d,
    0xfd8005ff,0x40301fff,0xaaadfff9,0xf9007fff,0xfd0001ff,0x3ffe60ff,
    0x7fffaaad,0x17ffe200,0x41fffd40,0xcefffca8,0x1befffdc,0x09fff300,
    0x3bbbb6e0,0xeeeffffe,0xf9800cee,0x3a0004ff,0xffffffff,0x00ffffff,
    0x04fff980,0x9fff5000,0x4fffb800,0x37ffd400,0x87fffff7,0xaaadfff9,
    0x44007fff,0xfffffffc,0xbfffffff,0x37ffe600,0x07fffaaa,0xffffff98,
    0xfa82ffff,0xf72fffff,0x3ff603ff,0xffffffff,0x4fff9806,0x0fffd000,
    0x4c09fb10,0xffffffff,0x07ffecff,0xfffffe80,0xffffffff,0x3fee000f,
    0x1ffd03ff,0xd89fff30,0x205c46ff,0x4004fffb,0xf306fffa,0x6ffd89ff,
    0x7fc405c4,0xfff5005f,0x2fffcc05,0x8007fff5,0xa804fff9,0xffffffff,
    0xffffffff,0xfff9804f,0xfff50004,0xffffffff,0x0009ffff,0x0009fff3,
    0x013ffe60,0x03ffff30,0x127fff40,0x983fffff,0x7fec4fff,0x22005c46,
    0xffffffec,0xf3002eff,0x6ffd89ff,0x3fb205c4,0x04efffff,0x993bfffa,
    0xd9303fff,0xdfffdddd,0x9fff3003,0x1fffa000,0xb81ffea0,0xffffffff,
    0x05ffabff,0x7ffffd40,0xffffffff,0xff3004ff,0x3fe209ff,0x4fff982f,
    0x3fe17fd4,0x0ffffcc7,0x09fffd00,0xf513ffe6,0xd07ff85f,0x3f200fff,
    0x3fe601ff,0x0bffee4f,0x09fff300,0xffffff50,0xffffffff,0xf3009fff,
    0x360009ff,0xffffffff,0x7fffffff,0x4fff9800,0xfff30000,0xfff90009,
    0xfff9001d,0x0dfffd0d,0xfa89fff3,0x003ffc2f,0x026aeea6,0x89fff300,
    0x3ffc2ffa,0x22000000,0x5c006fff,0xf3003fff,0x3a0009ff,0xffb807ff,
    0xffffd01f,0x27ffffff,0xb00620b9,0xffffffff,0xffffffff,0xdffff100,
    0x41fffd40,0x0884fff9,0x3217ffcc,0xc800efff,0x3e606fff,0x4c0884ff,
    0xffc82fff,0x7ffcc03f,0x27ffd407,0x8005fff7,0x9004fff9,0xfffffffd,
    0xbfffffff,0x7fff9001,0xffff1000,0xdddddddd,0x005fffdd,0x004fff98,
    0x09fff300,0x3ffffa00,0xffffd102,0x019d7105,0x1109fff3,0x002fff98,
    0x7cc00004,0x4c0884ff,0x08002fff,0x3fffa000,0x3ffee003,0x9fff3003,
    0x1fffa000,0x207fff20,0x7dc0fff8,0xbff303ff,0x3bfffe20,0xeeeeeeee,
    0x7402fffe,0x2a00ffff,0xff984fff,0xfff5004f,0x5ffffd07,0x3ffffa20,
    0x13ffe602,0x41fffd40,0x303ffffa,0xa80bffff,0x3ff23fff,0x7fcc001f,
    0x7f40004f,0xff80001e,0xfb8001ff,0xff3004ff,0xff9800bf,0xf300004f,
    0x260009ff,0xacefffff,0x5fffffdb,0x3ffe6000,0x7fff5004,0x067fe400,
    0x4fff9800,0x07fff500,0x003efe80,0x0cffffa8,0x1fffe440,0x04fff980,
    0x00fffd00,0xf503fff9,0x7fff70df,0x5c1ffee0,0xf3004fff,0x7fe40bff,
    0x7fd402ff,0x4fff984f,0x07fff500,0x9dfffff3,0xfffffb75,0x4fff980b,
    0x07fff500,0x2fbffff6,0xfffffdba,0x17ffdc00,0x8003fff9,0x0004fff9,
    0x5000ffe2,0xfffb3137,0xffd0001f,0x7ff4003f,0x3fe6000f,0xf300004f,
    0x5c0009ff,0xffffffff,0x00dfffff,0x13ffe600,0x01fffd40,0x00bfffb0,
    0x013ffe60,0x001fffd4,0x005ffff1,0xbfffffb0,0xffdb7579,0x26007fff,
    0xd0004fff,0xff900fff,0x09ffb03f,0x3607fff7,0xffe80fff,0x3ffa001f,
    0xffff880f,0xeeeeeeef,0x2a4fffee,0xeeffffed,0xeeeeeeee,0xff703fff,
    0xffffffff,0x2a01bfff,0xeeffffed,0xeeeeeeee,0xfd103fff,0xffffffff,
    0xf7005fff,0x7ffec5ff,0xdddb7100,0xdddffffd,0x3fe0039d,0x2a05d99d,
    0xffffffff,0x3b22002f,0x03deffff,0xdffffd93,0x776dc43b,0xeeffffee,
    0x6d401cee,0xeffffeee,0x26000bde,0xfffffffe,0x20002fff,0xeffffeda,
    0xeeeeeeee,0x8803fffe,0x00ffdaab,0x3fffb6a0,0xeeeeeeef,0x03fffeee,
    0xdfd53750,0xffff1000,0xffffffff,0x887fffff,0xffeeeedb,0x1ceeeeff,
    0x3ffbb6e2,0xeeeeeeff,0x21ffffee,0x8defffec,0xeefffeec,0xffffeeee,
    0xffffd910,0x3b2607bd,0x21deffff,0xfffffff8,0xffffffff,0xffff14ff,
    0xffffffff,0xffffffff,0x7fff4c07,0x2fffffff,0x3ffffe20,0xffffffff,
    0x3fffffff,0x3ffff620,0x02ffffff,0x6c3fff90,0x3ff207ff,0xffffffff,
    0x006fffff,0x3ffffff9,0x3fffff20,0x64005fff,0xffffffff,0xfffff81f,
    0x3f26ffff,0xffffffff,0x06ffffff,0x3fffffe6,0x4fffffff,0xffffb800,
    0x0000dfff,0x3fffffe2,0xffffffff,0x03ffffff,0x6fffffd8,0x3fffe200,
    0xffffffff,0xffffffff,0xfffff003,0x3220009f,0xffffffff,0x0bffffff,
    0x7fffffe4,0xffffffff,0x3fffee6f,0xffffffff,0xffffffff,0xffffff71,
    0xffffffff,0xffffffff,0x3fff21ff,0x81ffffff,0xffffffff,0x3fffe26f,
    0xffffffff,0xf34fffff,0xffffffff,0xffffffff,0xf7007fff,0x1bffffff,
    0xfffff980,0xffffffff,0x3fffffff,0xfffffa80,0x26000dff,0x3fee0fff,
    0x3ffff205,0xffffffff,0x32006fff,0x2603ffff,0x4fffffff,0xffffd800,
    0xf82fffff,0xffffffff,0x3fffff27,0xffffffff,0x3fe606ff,0xffffffff,
    0x20004fff,0x0000aba8,0xffffff30,0xffffffff,0x07ffffff,0x5fffff30,
    0x7fffcc00,0xffffffff,0xffffffff,0xffff7003,0xc880001f,0xfffffffe,
    0x3ff202ef,0xffffffff,0x2e6fffff,0xffffffff,0xffffffff,0xff91ffff,
    0xffffffff,0xffffffff,0x21ffffff,0xfffffffd,0xffff82ff,0x227fffff,
    0xffffffff,0xffffffff,0x3fffae4f,0xffffffff,0x3fffffff,0x02aea200,
    0xffffd700,0xffffffff,0x07ffffff,0x00d5d440,0x75039300,0x7ffe4401,
    0xffffffff,0x98002dff,0xbb951001,0x36600037,0x4effffff,0xfffffb50,
    0x7fe445bf,0xffffffff,0x5c02dfff,0xfffffffe,0x0000dfff,0xd7000000,
    0xffffffff,0xffffffff,0x2a2007ff,0xeb8000ac,0xffffffff,0xffffffff,
    0x2a6003ff,0x3000001c,0x00135775,0xffffff91,0xbfffffff,0x7fff6445,
    0xffffffff,0x1fffffff,0xbffffdb1,0xffffffb1,0xffffffff,0x3fff661f,
    0xb504efff,0x5bffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffec4,0x882effff,0xffffffed,0x2dffffff,0x3332e600,0x800bcccc,
    0xffffffd8,0x0002efff,0x7776dd44,0xec84eeee,0x0cefffff,0x3fffffae,
    0x000001df,0x6c402c88,0xffffffff,0xb88002ef,0x2a000001,0x0300001d,
    0x00d40000,0xd3000000,0x7fec401b,0xefffffff,0x7ffe4002,0x4fffffff,
    0x0676cc00,0x00080004,0x06aea200,0x00000000,0x80ef5c40,0x36600000,
    0x000080ce,0x2a000000,0xffffffff,0xffc84fff,0xffffffff,0x206fffff,
    0xfffffeca,0x06ffffff,0xffffffa8,0x004fffff,0x3ffffa20,0x46ffffff,
    0xfffffffa,0xffff13ff,0x00bfffff,0x0ff50000,0xffffffa8,0x004fffff,
    0x0001ffe8,0x004ffc80,0x000ffd80,0x3bffae00,0x2a200001,0x7fc409ab,
    0x3ffea05f,0xffffffff,0x7fffc004,0x7fffffff,0x3ffff600,0x401fea3f,
    0x03dffeca,0xfffff900,0xd7001bff,0xffffffff,0xffffffff,0x3fee009f,
    0xfd10cfff,0xffb00005,0x3fd47fff,0x3fff6a00,0x007fffff,0xccccca80,
    0xc80bcccc,0xffffffff,0x6fffffff,0xffffffb0,0xffffffff,0x3332a00b,
    0x0bcccccc,0xffff3000,0xffffffff,0xfffffa8d,0xff13ffff,0xbfffffff,
    0xf9000000,0xccca801f,0x0bcccccc,0x1fffc400,0xffd10000,0xf880001d,
    0x100002ff,0x00df75df,0xfffff700,0x3ffa1bff,0x6665405f,0x0bcccccc,
    0x6665cc00,0x01bccccc,0xffbfff90,0x01fffbdf,0xffffffc8,0xfd3000ef,
    0xffffffff,0x7ffcc07f,0xffffffff,0xffffffff,0xdfff9804,0xfffdffff,
    0x7fe40002,0xfdefffdf,0x3fe000ff,0xffffffff,0x0000002f,0x7fff6440,
    0xffffffff,0x7ff441ce,0xacffefff,0x0001aeff,0x7f400000,0x99999bef,
    0xfeb86ff9,0x20beffff,0xefffffda,0x8000000c,0x000007fe,0x27ffcc00,
    0xfff98000,0xf980000d,0x900004ff,0x0017d41f,0xfffffe98,0xffefffff,
    0x000001ff,0x40000000,0xffd30cfc,0xfd803fff,0xffffefff,0x7ffdc00e,
    0xffffffff,0xfff305ff,0xffffffff,0xffffffff,0x23df3009,0x4fffffc8,
    0x0cfc8000,0x3fffffd3,0xfffff800,0x05ffffff,0x00000000,0x2009fff3,
    0xf73ffffd,0x001bfe5f,0x22000000,0x6ff806ff,0x00bfff10,0x000fffea,
    0x3fee2000,0x00000005,0x0027ffcc,0x027ffc40,0x9fff3000,0x83f20000,
    0xfb8003f9,0xffffffff,0x4fffffff,0x80000000,0x00022009,0x00b7ae01,
    0xa82ffff2,0x3e604ffe,0xbaceffff,0x03fffffd,0xffffffb7,0xffffffff,
    0x02009fff,0x0005f6cc,0x37ae0100,0xffb30002,0xffffffff,0x00000001,
    0x09fff300,0x43ffff10,0x0dff2ffb,0x00000000,0xfd007ff5,0x17ffe20b,
    0x41fffd40,0xefffffec,0x3fffae0c,0x3fffffff,0x40000000,0x0004fff9,
    0x0002ffb8,0x027ffcc0,0x98cf9800,0xff98007d,0xecacefff,0x05ffffff,
    0xc8000000,0x3ffb82ff,0x44000000,0xff303fff,0x7ffff40d,0xffffd102,
    0x27ffcc03,0x027ffcc0,0x00000000,0x98000000,0x4fffffff,0x7ffe4400,
    0xffffffff,0xf9802dff,0xffb804ff,0xf97fdc5f,0xffb5006f,0x0fffffff,
    0x0bff7000,0x3e203d70,0xff5005ff,0xffffa87f,0xf13fffff,0xffffffff,
    0xfeb81fff,0xffffffff,0xffffffff,0xefffb804,0x2e20000b,0x4c000800,
    0x00004fff,0x00fffff6,0x0bffffa0,0x1fffffcc,0x7fffff64,0x3ffae0ce,
    0x201dffff,0xffe86fff,0x40000007,0x7f405ffb,0xefffc80f,0xefffc800,
    0x09fff300,0x009fff30,0x00000000,0x36000000,0x7fffdfff,0x7fffe400,
    0xffffffff,0xf9806fff,0xffc804ff,0xf97fdc3f,0xffff006f,0x5fffffff,
    0x7ff54000,0x7c40003f,0xff5005ff,0xffffa87f,0xf13fffff,0xffffffff,
    0xfff985ff,0xffffffff,0xffffffff,0x3fffae04,0x02eeffff,0x4ff98000,
    0x13ffe600,0x19b30000,0xdfff9000,0x7fffec01,0x7fffd47f,0xf13fffff,
    0xffffffff,0x427ff40b,0x64405ffd,0xffffffff,0x42dfffff,0x7dc01fff,
    0x7fffcc2f,0x3fffa001,0x09fff304,0x1fffc411,0x7fffed40,0x0007ffff,
    0x1fffffb7,0x3ffff6a0,0xf1001dff,0xfffb1fff,0x7ffe4005,0xffffffff,
    0x9806ffff,0xfc804fff,0x97fdc3ff,0xfff006ff,0xffffffff,0xffd1000b,
    0x0019ffff,0x017ffe20,0x5c1fffd4,0xbefffffe,0x3ffff6a0,0xf980bdef,
    0xffffffff,0xffffffff,0xfffb04ff,0xffffffff,0xbdb9800f,0x07fffcc1,
    0x04fff980,0x20000000,0x201ffff9,0xfffffffb,0x3ffffea3,0xff13ffff,
    0xbfffffff,0x4405e440,0x7fe400cb,0xffffffff,0x226fffff,0xffa807ff,
    0x027ffdc3,0x417ffea0,0x7d44fff9,0x007ffa2f,0x3ffffffe,0x4002ffff,
    0xfffffff8,0xfffff885,0x7006ffff,0x3feabfff,0x3ae2005f,0xffffffff,
    0x801cefff,0xa804fff9,0x7fdc6fff,0x2600dff2,0xfffffffd,0x64000fff,
    0xfffeffff,0xff88002f,0xfff5005f,0x17ffe207,0x01fffd40,0x7ffffedc,
    0xffffffff,0xfd84ffff,0xffffffff,0x5c01ffff,0xfffffffd,0x0fffffce,
    0x65555544,0xaaaadfff,0x2666601a,0x26666200,0x0bfff700,0x7f7fffd4,
    0x7ff5c7ff,0x2a0befff,0xcefffffd,0x90000000,0xffffffff,0xdfffffff,
    0xb9837fcc,0x7e43fffd,0xfe8000ff,0x9fff307f,0x0545ffd8,0xffffff80,
    0x005fffff,0x7fffffc4,0x7ffc42ff,0x05ffffff,0x7c3fffd0,0x40000fff,
    0x0004fff9,0x2013ffe6,0x2e3ffff8,0x00dff2ff,0x3ffffe60,0x7fc004ff,
    0x3fffea1f,0x3fe2001e,0xfff5005f,0x17ffe207,0x01fffd40,0x009fff30,
    0xfb89fff3,0xa99befff,0x101ffffd,0xfffffffd,0xffffffff,0xfffffe85,
    0xffffffff,0x361fffff,0xa85fffff,0x06fffffe,0x2203fff9,0xff8effff,
    0x7ffc40ff,0x7fff5005,0x88000000,0xffffffeb,0x1cefffff,0x3ee13fea,
    0x743fffff,0xf90007ff,0xfff301ff,0xffff555b,0x7fecc000,0xffffffff,
    0x7fed4000,0x540fffff,0xcffffffd,0x6fffa801,0x0027ffe4,0x013ffe60,
    0x04fff980,0x5dffff70,0x1bfe5ff7,0x6fffec00,0x74007fff,0x7fec40ff,
    0xf8800dff,0xff5005ff,0x3ffe207f,0x7fff5005,0x27ffcc00,0x127ffcc0,
    0x6c09ffff,0xff981fff,0xffffffff,0x42ffffff,0xfffffffa,0xffffffff,
    0xff34ffff,0xfd0bffff,0x20dfffff,0x3fa07ffe,0xfffb0fff,0x05fff883,
    0x407fff50,0x22009999,0x20009999,0xb804fff9,0x7ffec2ff,0x7fc3ffff,
    0xff70006f,0xffff305f,0x0fffffff,0x7ffcc000,0x0004ffff,0x9ffffff1,
    0x027ffcc0,0x887fffb0,0x40007fff,0x0004fff9,0x8013ffe6,0xfffffffa,
    0x000dff2f,0xfb1ffff1,0x7d4005ff,0xffea80ef,0x7fc403ff,0xfff5005f,
    0x17ffe207,0x01fffd40,0x109fff30,0x51fffc41,0xfa80dfff,0xfffe887f,
    0xfb999bef,0x440fffff,0xffffffff,0xffffffff,0xfff12fff,0xff90bfff,
    0x3e0dffff,0xfff906ff,0x17ffe45f,0x4017ffe2,0xfd83fffa,0xea85ffff,
    0x006fffff,0x2013ffe6,0x3fee1ffc,0x23ffbaef,0x0005fff9,0xf307fff5,
    0xffffffff,0x6c0000ff,0x7fffdfff,0xffff1000,0x3e603fff,0xff1004ff,
    0xfffb01ff,0x7fcc0005,0x3e60004f,0x7d4004ff,0xf2ffffff,0xff7000df,
    0x17ffeabf,0x05ffff00,0x03bfffee,0x802fffc4,0xf103fffa,0x3ea00bff,
    0x3e6003ff,0x17fd44ff,0x7fe43ffd,0x82db802f,0x883ffffb,0x5ffffffe,
    0xccccca88,0xcccefffd,0x65cc1bcc,0xca885fff,0xf886fffc,0xfffb85ff,
    0x1fffd43f,0x4017ffe2,0x7cc3fffa,0xe85fffff,0x06ffffff,0x013ffe60,
    0xfff87ff2,0xf88ffea2,0xf70006ff,0xfff305ff,0xffffffff,0x3fe20000,
    0x2fffd8ff,0xffff8800,0xff306fff,0x3fee009f,0xb99999df,0x20005fff,
    0x0004fff9,0x0013ffe6,0x97fff5cc,0xfe8006ff,0x3fffe1ff,0x3ffa2000,
    0xffd880df,0xfff880ef,0x7fff5005,0x017ffe20,0x001fffd4,0xfd89fff3,
    0x3f60545f,0x740000ff,0xfe883fff,0x1fffffff,0x13ffe600,0x17ffe200,
    0x221bffe0,0x7fcc7fff,0xfffb85ff,0x02fffc42,0x443fffa8,0x85ffffff,
    0x6ffffffc,0x13ffe600,0x7c47ff20,0x21ffd46f,0x90007fff,0xff303fff,
    0xfff555bf,0x3ee0000f,0xbfff55ff,0xdfff1000,0xf307ffff,0x3fa009ff,
    0xffffffff,0x000fffff,0x009fff30,0x027ffcc0,0xf97fdc00,0x7fd4006f,
    0x27ffe46f,0x7fffec00,0x09fff704,0x200bfff1,0xf102fffa,0x3ea00bff,
    0x3e6003ff,0xffaaadff,0xfffc807f,0x3fe20001,0xfffe885f,0x03fffcbf,
    0x013ffe60,0x017ffe20,0x7f41bffe,0xfffd11ff,0x3fff901d,0x005fff88,
    0x7307fff5,0x510bfff9,0x00dfff99,0x4027ffcc,0x9ff31ffc,0x7f43ffa8,
    0xfe8000ff,0x9fff307f,0x5c46ffd8,0x7fff4000,0x003fffe1,0xf7bfff10,
    0xff981fff,0xfffa804f,0xffffffff,0x0004ffff,0x0009fff3,0x0027ffcc,
    0xff97fdc0,0x7ffec006,0x03fffc43,0xfffffb80,0xd07ff982,0x3f200fff,
    0xfff101ff,0x3ffea00b,0x3ffe6003,0x7fffffff,0x03fffb80,0x0bffea00,
    0x27ffffd1,0x2005fffa,0x8004fff9,0xf805fff8,0xfffb06ff,0x07ffff67,
    0x7c43fff4,0xff5005ff,0x7ffc407f,0x06fff805,0x013ffe60,0x7fc47ff2,
    0x321ffd47,0x54004fff,0xff306fff,0x42ffa89f,0x3ea007ff,0x7ffe46ff,
    0x7ffc4004,0x98bfffd5,0xfd804fff,0xffffffff,0x07ffffff,0x09fff300,
    0x27ffcc00,0x97fdc000,0x3e2006ff,0xffd80fff,0xfb10002f,0xfb81bfff,
    0x3fffd82f,0x03fffcc0,0x200bfff1,0x2003fffa,0xfffffff9,0xf9807fff,
    0x5cc00fff,0x20fffe40,0x7c4ffffe,0x3e6006ff,0xf88004ff,0xfff805ff,
    0x9bfff906,0x2a05ffff,0xff886fff,0xfff5005f,0x2fffc407,0x0037ffc0,
    0x9009fff3,0x6fff43ff,0xf887ff52,0x3a001fff,0xff303fff,0xf981109f,
    0xffb002ff,0x7fff887f,0xafffc400,0x263ffff9,0x7c404fff,0xeeeeefff,
    0xfffeeeee,0xfff98002,0x3fe60004,0xfb80004f,0x400dff2f,0x999dfffb,
    0x05fffb99,0x7fff4c00,0x1ffebaaf,0x0bffffa8,0x05fffe98,0x4017ffe2,
    0x2003fffa,0xfffffff9,0xfd007fff,0xfb305fff,0x7ffe41ff,0x13ffff63,
    0x400bfff1,0x8004fff9,0xf805fff8,0xfff106ff,0x409fffff,0xf884fffe,
    0xff5005ff,0x7ffc407f,0x06fff805,0x013ffe60,0xff98bfee,0x85ffffff,
    0x800efffd,0x2606fffc,0xf5004fff,0xff1007ff,0xfffb01ff,0x7ffc4005,
    0x43ffff25,0x5c04fff9,0xf3004fff,0xf3000bff,0xd91009ff,0xffffdddd,
    0x0039dddd,0x6ff97fdc,0x3ffffa00,0xffffffff,0xb80000ff,0xffffffff,
    0x3ffff606,0xfffcbbdf,0x3fe200ff,0xfff5005f,0x7ffcc007,0x7fffaaad,
    0xfffff300,0xfffffddf,0xb7ffd45f,0xb84ffffd,0x26002fff,0x88004fff,
    0xff805fff,0x3fff206f,0x3f206fff,0xff880eff,0xfff5005f,0x2fffc407,
    0x0037ffc0,0x5009fff3,0xfffa87ff,0x4c1fffff,0x102fffff,0x405ffffd,
    0x5004fff9,0xf7007fff,0x33333bff,0x400bfff7,0x7f45fff8,0x9fff35ff,
    0x01fffe80,0x003fffa0,0x009fff30,0xfffffff9,0xffffffff,0x97fdc00d,
    0xff5006ff,0xffffffff,0x009fffff,0x3fffa200,0x3a200dff,0xffffffff,
    0x4402ffff,0xf5005fff,0x7cc005ff,0x37fec4ff,0x3fee02e2,0xffffffff,
    0x7ffc46ff,0x84ffffef,0x000ffff9,0x000fffe2,0x2017ffe2,0x3e206fff,
    0x880fffff,0x101ffffe,0x2a00bfff,0x3e203fff,0xfff805ff,0x3ffe6006,
    0x84ff8804,0x4ffffec8,0xdfffff50,0xffffb759,0x3fb6a0bf,0xeeeeefff,
    0xfffeeeee,0xffffe803,0xffffffff,0xff1000ff,0xffff98bf,0x884fff9a,
    0xdeffffec,0xfffd9303,0x26003bdf,0xfc804fff,0xffffffff,0x06ffffff,
    0x7fcbfee0,0xffffb006,0xffffffff,0x2200ffff,0x77ff4400,0xfffb1001,
    0x5fffffff,0x01fffa00,0x000fffe4,0xfa89fff3,0xa83ffc2f,0xffffffff,
    0xffc80dff,0xb85fffff,0x8006ffff,0x88001ffe,0x7c405fff,0x7fec06ff,
    0xdbacefff,0x204fffff,0x5005fff8,0x7c405fff,0xfff805ff,0x3ffe6006,
    0x00bff004,0x7fffdc00,0xffffffff,0xffff104f,0xffffffff,0xffffffff,
    0xffffa807,0xffffffff,0xf1004fff,0xfff90bff,0x909fff5d,0xffffffff,
    0xfffff03f,0x200dffff,0x8804fff9,0xfffffffd,0x2dffffff,0x7cbfee00,
    0xfff8806f,0xeeeeeeef,0x02fffeee,0x26007fc4,0xeb8006ff,0x0cffffff,
    0x0ffff200,0x00ffff30,0x884fff98,0x817ffcc0,0xeffffeb8,0x7fff401c,
    0xecaabfff,0x001fffff,0x20002c98,0xc880ffff,0x2e06ffff,0xffffffff,
    0x5fffffff,0x007ffe80,0x4403fff9,0xff805fff,0x3fe6006f,0x1ffb004f,
    0x7f540000,0xffffffff,0x3ffe603f,0xffffffff,0xffffffff,0x7ffec03f,
    0xffffffff,0x1007ffff,0xff10bfff,0x09fffdff,0xfffffffb,0xffff05ff,
    0x00ffffff,0x0013ffe6,0x0000eff8,0x3fe5ff70,0x4fffb806,0x0bfff300,
    0x4c02ffa8,0x2e0005ff,0x50001cff,0x2607ffff,0x4005ffff,0x5004fff9,
    0xf9807fff,0x3f6004ff,0xffffffff,0x02ffffff,0x3a000000,0xdbabefff,
    0xdfffffff,0x7ffffcc2,0xffffffff,0xff9003ff,0xfff9807f,0x2fffc407,
    0x01bffe20,0x004fff98,0x00009ff9,0xffffffb0,0xfd70039f,0xffffffff,
    0xffffffff,0x7ffc407f,0xeeeeeeef,0x02fffeee,0x505fff88,0x9fffffff,
    0xfffffb30,0x3f6a09df,0x02ffffff,0x009fff30,0x000bfe60,0xff2ffb80,
    0x3fffd00d,0x07fff400,0x4405ff70,0x20004ffd,0x40000ffb,0xabeffffd,
    0x0fffffdb,0x27ffcc00,0x03fffa80,0x8027ffcc,0xfffffffc,0xefffffff,
    0x3bbbae01,0xeeeeeeee,0x00ceeeee,0xfffffff7,0xffffffff,0x7fff41ff,
    0xfffffb8e,0x2a000dff,0xf303ffff,0xff00bfff,0xff9101ff,0x7cc00dff,
    0xff1004ff,0x0009803f,0x5dffffd1,0x00000540,0xf7005ff7,0x3e6009ff,
    0xff8805ff,0x3fff605f,0x00004fff,0x881ffcc0,0xffeeeedb,0x1ceeeeff,
    0x54effc40,0x2aa2005d,0xff8bffda,0x3b220aae,0x03deffff,0xdffffd93,
    0x9bff703b,0xfffb9999,0x7d40003f,0x003eb9bf,0x7fffff44,0x2fffffff,
    0x3ffb6a00,0xeeeeeeff,0x3fffeeee,0x027ffcc0,0x6f7fffdc,0xdeffffff,
    0x7fffcc03,0xffffffff,0x4fffffff,0x3fffff20,0xffffffff,0xfff50fff,
    0x1aca983f,0x3fff6000,0xffdbabef,0xfe800fff,0xfdbabeff,0x2dffffff,
    0x04fff980,0x207fff20,0xf8807fd8,0xefffffff,0x0fffc9ac,0x4bfd0000,
    0x07fffa00,0x00fffe80,0x102fffc4,0x09ffffff,0x7fb80000,0xffffc822,
    0xffffffff,0xfd806fff,0x800fffff,0xfffffff8,0x6fffffdf,0x3ffffff2,
    0xfff81fff,0x86ffffff,0xfffffffb,0x002fffff,0x7ffffc40,0xfd88005f,
    0xffffffff,0x3fe2002f,0xffffffff,0xffffffff,0xfff803ff,0x6ffff802,
    0x00056544,0xfffffff3,0xffffffff,0xc809ffff,0xcfffffff,0x23dffff9,
    0x0002fff9,0x7fff4400,0xffffffff,0xfff7002f,0xffffffff,0x21ffffff,
    0xfeeeedb8,0xceeeefff,0xefffe881,0x06fffedd,0xffffffe8,0xffffffff,
    0x900003ff,0x44dfb7ff,0xdeffffec,0xfffd9303,0xfb703bdf,0x817bdfff,
    0x04fffffb,0x7fcc0000,0xff90ffcd,0xffffffff,0x00dfffff,0x05ffffb1,
    0x3ffffe20,0xffffcfff,0x3ffff66f,0xf82fffff,0xffffffff,0xfffffb87,
    0x02efffff,0xfffb3000,0x7d40001d,0x0dffffff,0x7fffcc00,0xffffffff,
    0xffffffff,0x00efc803,0x000effe8,0x7fffe400,0xffffffff,0x00efffff,
    0x00359730,0x00005b50,0x3fff6200,0x2fffffff,0x7fffe400,0xffffffff,
    0xff90ffff,0xffffffff,0x20dfffff,0xffffffe8,0x7d401fff,0xffffffff,
    0xffffffff,0xff100000,0x7fe4dfff,0x1fffffff,0xfffffff8,0x7ffcc6ff,
    0x83ffffff,0x004ffffe,0xfffe8000,0xfff910ff,0xffffffff,0xa8005bff,
    0xaaa88001,0x55550aaa,0xffffd983,0xfb504eff,0x05bfffff,0x33333331,
    0x00000133,0x800002a2,0x0001aba8,0x7fffff5c,0xffffffff,0x003fffff,
    0x0264c001,0x00000000,0x00000000,0xa8000000,0xdfffffff,0xfff90000,
    0xff39ffff,0x7fe47bff,0xffffffff,0x206fffff,0xffffffb8,0xfff9800b,
    0xffecdeff,0x001effff,0x677e4c00,0x3fffff60,0xff82ffff,0x7fffffff,
    0x7fffffd4,0xff984fff,0x000004ff,0x01cfdb88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aea2000,0x2e600001,0x644001ac,0xffffffff,0x02dfffff,
    0x4c000260,0xb95101bc,0x00000059,0x3ffff660,0xfb504eff,0x05bfffff,
    0xdfffffd9,0x3fff2019,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00a60000,0x00004000,
    0x26600008,0x26620099,0x01300099,0x0c000050,0x00400600,0x88000100,
    0x00008800,0x0000004c,0x00200003,0x20000022,0x500001db,0x400dc83d,
    0x32a61999,0x098001bd,0x18800280,0x20000980,0x40040000,0x00130008,
    0x37200005,0x02013620,0x0c0000c0,0x26000000,0x0003effe,0x77fff6d4,
    0x3b2a002d,0xd801deff,0xa85fffff,0x06fffffe,0x7e406fa8,0xfdb50004,
    0xfc807fff,0x05ff501e,0x3fffb220,0x7fc001de,0x001ff204,0x0002ffc8,
    0x006ff4c0,0x6409fd00,0x200000ff,0x80003ffd,0x3ff64ffb,0xfffff701,
    0xffffffb5,0x1bea007f,0xf8009f70,0x01fe601f,0x7bffd950,0x06ff4001,
    0x5400ffb8,0x027e406f,0x4c7ff600,0x77d407ff,0x007fd302,0x007bf620,
    0x00b7f6a0,0x03faaffa,0x3fffaa00,0x0dffffff,0x7ffffe40,0x3ea04fff,
    0xe85fffff,0x06ffffff,0xf303ffa8,0xfea8009f,0x3fffffff,0x88fffee0,
    0xa801fffd,0xffffffff,0xffd000cf,0x37ff4c3d,0x7fff4c00,0xb80000cf,
    0x002fffff,0x4c3dffb0,0x00006ffe,0x000dffd1,0x361dff70,0x3ffa05ff,
    0xffffffff,0x804fffff,0xff303ffa,0x06ff8009,0xfd801ffa,0x1fffffff,
    0x45fffb00,0x400fffe8,0xff303ffa,0x7fec0009,0x805fff35,0x7dc4fff9,
    0xfa8003ff,0x2004ffff,0x407ffff8,0x013e22fa,0xffffff70,0x1fffffff,
    0x3fffff20,0x105fffff,0x0bffffff,0xdffffff9,0x59fff100,0x007ffae6,
    0xffffffc8,0x6406ffff,0xfffaefff,0xfffb802f,0xffffffff,0xfffd1006,
    0x01dfff99,0xfefffc80,0x30002fff,0xfffdfffd,0xfd88001b,0xefffbcff,
    0xff980001,0xfc80005f,0x5ffe88ef,0x7ffffec0,0xffffffff,0xff803fff,
    0xffd732cf,0xdffc8005,0x4ffda88b,0xfffffb00,0x003fffff,0xf7bfffb1,
    0xf1003dff,0x3ae659ff,0xe88001ff,0x7fff35ff,0x3bffee00,0x003fffea,
    0x7f7ffec4,0xfa801eff,0x2a01ffff,0x8017e22f,0xeffffff8,0x5fffffee,
    0xefffffb8,0x04ffffff,0x0bfffb73,0xdfff9951,0x3fffe600,0x003fffff,
    0x3ffffff6,0x803ffedf,0xdfffffe9,0xffff9800,0xfffffeff,0x3fee004f,
    0x8003ffff,0xfb13fffd,0xf98007ff,0xfff51eff,0xff70001f,0x0007ffff,
    0x00fffe60,0x43bfee00,0xb8805ffd,0xcefffffe,0x5fffeb9a,0xfffff980,
    0x0003ffff,0xfffffffd,0x3ff600df,0xfffeefff,0x3fea006f,0x4004ffff,
    0xfffffff9,0xfb0003ff,0x0bffe2bf,0xffffb100,0xfd0003df,0x3ffa65ff,
    0xffff801f,0xc89ef807,0x3fe2001f,0xfff703ff,0xeffff83f,0x3ffff6a2,
    0x17ffe200,0x801bffe0,0xefffffd9,0x3fff6002,0x00441bff,0x00ffff20,
    0x0befffe8,0x07ffff6a,0x1effe880,0x1eff9800,0x4006ffb8,0xfd884ffd,
    0xfd10003f,0x400003df,0x00002ffc,0x27fc1dfb,0x3ffff200,0x7fff880d,
    0xffffb300,0xc80005df,0x0cffffff,0x3ffff880,0x01ffffcc,0x03dffb10,
    0x3fff6600,0x10002eff,0x17fd49ff,0x7fff7000,0x37fea000,0x805ffb80,
    0xb801dfda,0x8005ffff,0x7ec00efc,0x3ffee3ff,0x13fffa06,0x805fff88,
    0x88006fff,0x5c001aba,0x000effff,0x00064c00,0x403ffff1,0x8003ffff,
    0x15c0003b,0x10006e20,0x00ba8039,0x0001dc00,0x00005c40,0x00530510,
    0x809fff90,0x2001fffc,0x0001aba8,0x026ee620,0x04fffc80,0x000ffff3,
    0x22000095,0x80001aba,0x0000a829,0x20001d88,0x0e4c02b8,0xb9100000,
    0x80040003,0x3f25fff9,0x3fe201ff,0x3ffe207f,0x06fff805,0x7c400000,
    0x0000efff,0xff300000,0xfffb80bf,0x00000004,0x00000000,0x00000000,
    0x00000000,0x7fe40000,0x7ffdc01f,0x00000002,0xff880000,0x3ff600ff,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0xfb27ffd4,
    0xffe801ff,0xbfff100f,0x00dfff00,0x4dee54c4,0xdfff9000,0x4c400001,
    0x041bcdcb,0x2027ffd4,0x8805fffa,0x009bdca9,0x004cccc0,0x00133331,
    0x5e6e5cc4,0x26660041,0x26662009,0x2e620009,0x0041bcdc,0x88026666,
    0x64009999,0x7dc01fff,0x999982ff,0x26666200,0x332e6000,0xf5002bcd,
    0xff9809ff,0xdcaa805f,0x00010acc,0x00037971,0x006f2e20,0x9b997300,
    0xaa800057,0x010accdc,0x99730000,0x0000579b,0xd17fff40,0xff700fff,
    0x3ffe205f,0x06fff805,0xffffff70,0x7c405dff,0x00001fff,0xffffff91,
    0x85fd9fff,0x200ffff8,0x5c03fffd,0xffffffff,0x7ffec02e,0xffea85ff,
    0xc8806fff,0xffffffff,0xfd82fecf,0xea85ffff,0x806fffff,0xffffffc8,
    0x82fecfff,0x85fffffd,0x6fffffea,0x00fffe40,0xfd8bffee,0xea85ffff,
    0x406fffff,0xffffffda,0x5c02efff,0x7c402fff,0x3faa06ff,0xdfffffff,
    0x7ed400ef,0x3dffffff,0x7ffed400,0x003dffff,0xffffffb5,0x8005dfff,
    0xffffffea,0x000efdff,0x7fffed40,0x02efffff,0xffd53000,0x7ffec1ff,
    0x3fffa200,0x0bfff103,0x980dfff0,0xfffffffe,0xb80dffff,0x2ea26fff,
    0x3fea0009,0xffffffff,0xfe86ffff,0xfff504ff,0x3ffa603f,0xffffffff,
    0xfff980df,0xffe85fff,0x5406ffff,0xffffffff,0x46ffffff,0x5ffffff9,
    0xffffffe8,0x7fffd406,0xffffffff,0x7ffcc6ff,0xffe85fff,0x6406ffff,
    0x7dc01fff,0xffff32ff,0xfffd0bff,0x7cc0dfff,0xffffffff,0x3204ffff,
    0xff801fff,0xffffd07f,0xffffffff,0x7ffe407f,0xffffffff,0xfffc801e,
    0xffffffff,0x3ffe601e,0xffffffff,0xffd004ff,0xffffffff,0x40007fff,
    0xfffffff9,0x04ffffff,0xfffff900,0xffc85fff,0x3fff202f,0xbfff104f,
    0x40dfff00,0xfffffff9,0x6fffffff,0xe9bfffc8,0x00dfffff,0x7fffffd4,
    0xffffffff,0xffffa87f,0xffffcadf,0xffff305f,0xffffffff,0xfff10dff,
    0xff90bfff,0x540dffff,0xffffffff,0x7fffffff,0x7fffffc4,0xfffffc85,
    0x3ffea06f,0xffffffff,0x7c47ffff,0xc85fffff,0x06ffffff,0x200fffe4,
    0xff12fffb,0xf90bffff,0x40dfffff,0xfffffff9,0x2fffffff,0x001fffb0,
    0xfd81fffb,0xffffffff,0xd05fffff,0xffffffff,0x03ffffff,0x7ffffff4,
    0xffffffff,0xfffff301,0xffffffff,0xfffd805f,0xffffffff,0x20005fff,
    0xfffffff9,0x2fffffff,0x7fffcc00,0xfa84ffff,0xfff306ff,0x3fe20bff,
    0x7ffc405f,0xffffd106,0xffb7359d,0xffd89fff,0xffffffdf,0xff101fff,
    0x7335bfff,0x0ffffffb,0x3ffffff2,0x80efffff,0xceffffe8,0xffffdb9a,
    0xffcb984f,0xfcca885f,0xfff106ff,0xb7335bff,0x30ffffff,0x10bfff97,
    0x0dfff995,0x37ffffe2,0xfffdb99a,0xfcb987ff,0xcca885ff,0x7e406fff,
    0x7fdc01ff,0x3ff2e62f,0xfcca885f,0x7fe406ff,0xea99abce,0xffd05fff,
    0x3fff600f,0x3bfffe20,0xffda99ac,0xfffc85ff,0xdba9acff,0xc80effff,
    0x9acfffff,0xeffffdba,0x79dff900,0xfffd5335,0x7fffc40b,0xfda99ace,
    0x99705fff,0x3bff2099,0xfea99abc,0x7c4005ff,0x4fffffff,0x27ffffd0,
    0xffffffc8,0x1ffff107,0xdffff910,0x0fffff60,0x43ffffb0,0xfffffffe,
    0x0fffffff,0x01efffd8,0xf03fffe4,0xffffffff,0x3ff605ff,0x7fec03ff,
    0xfff101ff,0x0dfff00b,0x007bfff6,0x440ffff9,0xff805fff,0xdfffb06f,
    0x7fffc803,0x017ffe20,0xf901bffe,0xffb803ff,0x5fff882f,0x006fff80,
    0x0dfff100,0x6c01fffa,0x3fea0fff,0x7ffcc05f,0x6ffffc43,0x3fffee00,
    0x6ffffc44,0x3fffee00,0x7fc40004,0x3ffea06f,0x1fffcc05,0x004ffff8,
    0x037ffc40,0x7fffed40,0xff984fff,0xffffffff,0xf107ffff,0xb757dfff,
    0xbfffffff,0x1ffffc45,0x25fffd80,0xfffffffe,0x5fffffbd,0x00ffffcc,
    0xf906ffe8,0xffffffff,0xff881dff,0xffb003ff,0x3ffe20bf,0x86fff805,
    0x001ffff9,0x7c40dffd,0xfff805ff,0x1ffff986,0x40dffd00,0xf805fff8,
    0xffb706ff,0x2e03bdff,0xff882fff,0x6fff805f,0x09998800,0x3fa0fffd,
    0xfffb007f,0x5ffffcc1,0x702faa01,0x2e00bfff,0x7fdc6fff,0xfff7005f,
    0x4ccc400d,0x4c0fffd0,0x201bffff,0xff980bea,0x262000ff,0x0fffd099,
    0xfffa8800,0xfffc83ff,0xffffffff,0xfff105ff,0xffffffff,0x1fffffff,
    0x333fffea,0xcccccccc,0x3f67fffc,0x5c0dffff,0x3ea2ffff,0x3ee004ff,
    0xffffb84f,0xffffddff,0x7fffd45f,0xcccccccc,0x07fffccc,0xf00bfff1,
    0xfff50dff,0x27fdc009,0x00bfff10,0xff50dfff,0x7fdc009f,0x17ffe204,
    0x261bffe0,0xffffffff,0x05fff706,0xf00bfff1,0x3ae00dff,0xffffffff,
    0xfffd07ff,0x1fffb001,0xffffffe8,0x6c00acde,0x3e000fff,0x3ff60fff,
    0x3ffe000f,0x3ffae00f,0xffffffff,0x7ffff407,0x00acdeff,0x802fffc8,
    0xffffffeb,0x0007ffff,0x0ffffb10,0x3fffffea,0x04fffaef,0xfffffff1,
    0xffffffff,0x3fee1fff,0xffffffff,0xffffffff,0xfffff70f,0x93fff601,
    0x4001fffc,0xffff8829,0x7ffe40be,0x3fffee3f,0xffffffff,0x0fffffff,
    0x805fff88,0xffc86fff,0x014c001f,0x2017ffe2,0xffc86fff,0x014c001f,
    0x2017ffe2,0xffa86fff,0x06ffffff,0xf105fff7,0xfff00bff,0xfffea80d,
    0xffffffff,0x1fffb07f,0x30fffd00,0xffffffff,0x3e01dfff,0x7e4005ff,
    0x17ffe2ff,0x05fff900,0xffffffd5,0x0fffffff,0xffffff98,0x00efffff,
    0xd5017ffe,0xffffffff,0x000fffff,0x01ffff80,0x27bffb91,0xf102fffb,
    0xffffffff,0xbffff5bf,0x7ffffec7,0xffffffff,0x52ffffff,0x5405ffff,
    0x3ff65fff,0xf500000f,0x7ec01fff,0x3fff65ff,0xffffffff,0xffffffff,
    0x05fff882,0xfd86fff8,0x800000ff,0xf805fff8,0xfffd86ff,0xf8800000,
    0xfff805ff,0xffffd906,0x3fee05bf,0x5fff882f,0x206fff80,0xfffffffb,
    0x7fffffff,0x005fff90,0x3660dfff,0xffffffff,0x7fcc3fff,0x7fcc004f,
    0x09fff34f,0x44fff980,0xfffffffb,0x7fffffff,0xffffd980,0x3fffffff,
    0x200fff98,0xfffffffb,0x7fffffff,0x7fe40000,0xff88003f,0xfff100ff,
    0x0159997b,0x7ffffe40,0xffffffff,0x32ffffff,0xff00bfff,0x07ffecff,
    0xfffc8000,0x3fffcc04,0xfffffff9,0xffffffff,0xf105ffff,0xfff00bff,
    0x01fffb0d,0xfff10000,0x0dfff00b,0x0001fffb,0x0bfff100,0x000dfff0,
    0x81fffb80,0xf805fff8,0xfff306ff,0xdd9bffff,0x2e0fffff,0x7c403fff,
    0x654405ff,0xfffffffd,0x17ffe24f,0x27fff500,0x4005fff8,0x3e63fffa,
    0xcdffffff,0x07ffffee,0x3ff72a20,0x44ffffff,0x3e603ffb,0xcdffffff,
    0x07ffffee,0x7ffd4000,0xfffe8003,0x17ffe206,0x3ffea000,0xaaaaaaae,
    0xaaaaaaaa,0x80dfff10,0x3ee7fff8,0xb00002ff,0xfd003fff,0x3ffea1ff,
    0xaaaaaaae,0xaaaaaaaa,0x05fff880,0xfb86fff8,0x800002ff,0xf805fff8,
    0xfffb86ff,0xf8800002,0xfff805ff,0x7ec00006,0xfff880ff,0x06fff805,
    0x037dfffd,0xf983fff4,0x7fdc06ff,0x2201a84f,0x47fffdb9,0x2000fffe,
    0x3fa1fffc,0x3f2000ff,0x3fffa1ff,0x3ffa01be,0x3100d407,0xe8ffffb7,
    0x7fff406f,0x3ffa01be,0x7e400007,0x7ec001ff,0x3e201fff,0x880005ff,
    0x0003ffff,0x403ffff0,0x3e65fffb,0x298006ff,0x201fffdc,0x3e26fff9,
    0x00003fff,0x202fffc4,0xf986fff8,0x298006ff,0x017ffe20,0xf30dfff1,
    0x53000dff,0x02fffc40,0x001bffe2,0x07fff880,0x880bfff1,0xff886fff,
    0xffe801ff,0x0bfffa07,0x207fffc4,0xfb002ffd,0x7ffe45ff,0xffff5005,
    0x005fffc8,0x7c4ffff5,0xfe801fff,0x0bff607f,0x897ffec0,0x3fe201ff,
    0xffe801ff,0x400b2607,0x2007fffb,0x02fffffa,0x002fffc4,0x2ffffd80,
    0xb8375100,0xe880efff,0x7ffc4fff,0xfd8800df,0x3fffe64f,0x13fff600,
    0x005ffffb,0xff806ea2,0xffc880ff,0xffff06ff,0xffb1001b,0x07fffc09,
    0x37fffe44,0x00dffff8,0x204ffd88,0xc880ffff,0x0006ffff,0x0dfffb30,
    0x4407fffc,0x986ffffc,0x2e206fff,0x2e07ffff,0xfd80efff,0xffff85ff,
    0x3fffd802,0x037fffe6,0x44ffffb8,0x00dffff9,0x993fffee,0x2e206fff,
    0x3e07ffff,0xfd802fff,0x807f13ff,0x2206fff9,0x107ffffb,0x5579dfff,
    0xfffff975,0x5d676cc9,0x3fffffec,0x05fff880,0xffff1000,0x755357df,
    0x41fffffb,0xbdfffff8,0x1fffffdb,0x6fffffd4,0xfdcaa9ab,0x7ffc7fff,
    0xebaaacff,0x7c42ffff,0x9abeffff,0xffffdbaa,0xdfffd00f,0xffffb757,
    0xfa85bfff,0x9abdffff,0xffffdcaa,0x3bfffa07,0xffffdbab,0x7d42dfff,
    0x9abdffff,0xffffdcaa,0x3bfffa07,0xffffdbab,0x1002dfff,0xffffddb7,
    0x7ff405ff,0xffdbabef,0x42dfffff,0xaaceffff,0xffffffdb,0xffe82def,
    0xffebacff,0x7ffc41ff,0xaa9aceff,0x41fffffc,0xbcfffffd,0xffffecaa,
    0xffffd80f,0xfecaabcf,0x7fc0ffff,0xdbaaceff,0xefffffff,0x3fffe22d,
    0xcaa9acef,0x001fffff,0xaceffff8,0xfffffdba,0x3e62deff,0xffffffff,
    0x0effffff,0x3ffffff6,0x005fffff,0x0009fff1,0x7ffffd40,0xffffffff,
    0x7dc1ffff,0xffffffff,0xff703fff,0xffffffff,0x89ffffff,0xfffffffa,
    0x04ffffff,0xfffffff5,0xffffffff,0x3fee03ff,0xffffffff,0x0fffffff,
    0x7fffffdc,0xffffffff,0x3fee04ff,0xffffffff,0x0fffffff,0x7fffffdc,
    0xffffffff,0x3fee04ff,0xffffffff,0x0fffffff,0xfffffb80,0x5c03ffff,
    0xffffffff,0xffffffff,0x3ffff20f,0xffffffff,0x0fffffff,0x7fffffcc,
    0x883fffff,0xffffffff,0xffffffff,0xffffe884,0xffffffff,0xffd102ff,
    0xffffffff,0xf905ffff,0xffffffff,0xffffffff,0x3ffe21ff,0xffffffff,
    0x004fffff,0xffffff90,0xffffffff,0x641fffff,0xffffffff,0xc84fffff,
    0xffffffff,0x7fc002ef,0x4c00002f,0xfffffffe,0x6fffffff,0xffffff70,
    0xc80bffff,0xffffffff,0x05ffffff,0xfffffff3,0x9807ffff,0xfffffffe,
    0x6fffffff,0x7ffffe40,0xffffffff,0xffc80fff,0xffffffff,0xc805ffff,
    0xffffffff,0xffffffff,0xfffffc80,0xffffffff,0xfffc805f,0xffffffff,
    0x800fffff,0xfffffffd,0xfff9005f,0xffffffff,0xd81fffff,0xffffffff,
    0xffffffff,0xfffa80ff,0x03ffffff,0x3ffffffa,0xffffffff,0x3fff6205,
    0xffffffff,0x7fec401e,0xffffffff,0x3ff601ef,0xffffffff,0xffffffff,
    0x3fffffa0,0xffffffff,0x7ec0005f,0xffffffff,0xffffffff,0x7ffed40f,
    0x3effffff,0xfffffd10,0x2e0007ff,0x000000ef,0xfffffff7,0x8059dfff,
    0xffffffea,0xff93002e,0xffffffff,0xfed88039,0x02dfffff,0x3ffffee0,
    0x2cefffff,0xfffff900,0xffff39ff,0x7fe4c07b,0xffffffff,0x3ff2001c,
    0xf9cfffff,0x2603dfff,0xfffffffc,0x2001cfff,0xfffffffc,0x3dffff9c,
    0xffffd300,0xfc8003bf,0x9cffffff,0x703dffff,0xffffffff,0xbffffd5b,
    0x7ffed407,0x75403eff,0xffffffce,0x3001dfff,0xffffffd9,0xec98007b,
    0x3dffffff,0xfffff700,0xffd5bfff,0xeea87bff,0xfffffffc,0x00001dff,
    0xfffffff7,0xffffd5bf,0x5d4c407b,0x3000aabc,0x00013595,0x40000000,
    0x19abcba8,0x57751000,0x2a620003,0x009aaccb,0x00aba880,0x5e5d4400,
    0x4c00019a,0x00001acb,0x55997531,0x5cc00013,0x100001ac,0x35599753,
    0x65cc0001,0x8800001a,0x73000019,0x88000359,0x00aaccba,0x02ae6000,
    0xccba9800,0x2200009a,0x00000bca,0x00017951,0x2ab32ea2,0x75300000,
    0x00013599,0x59975100,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x440005c8,0x300000cd,0x33001333,0x2a600133,0x2661bcdc,
    0x88000099,0xa800004c,0x0600001d,0x5c880000,0x01dc8000,0x99731000,
    0x4cccc157,0x00130000,0x104cccc0,0x00359b95,0x00040020,0x0005c880,
    0x000006e4,0x00026c40,0x00000030,0x45999971,0xb8801cb8,0x3100009a,
    0xba881333,0x026001bc,0xb8000088,0x8000001d,0x0001ffe8,0x0003bfe6,
    0xffffffb8,0xffffc80e,0xfd300eff,0x5bffffff,0x07ffffff,0x03ffe600,
    0x4ffc8000,0xefd88000,0x74c00001,0x7c0001ff,0x5c0002ff,0xffffffff,
    0xefffff9b,0x0bbf2002,0xfffff900,0xfffffb3d,0x4c003dff,0x9fd102ff,
    0xffe98000,0xfff10001,0x54000005,0x880007ff,0x00001efd,0xffffff30,
    0x403ffec9,0x22dffffe,0x7fdc0bb8,0x3ee6ffff,0x804fffff,0xffb82ffc,
    0x7ff40003,0x2a000002,0x80004fff,0x8002fffc,0xfffffff8,0x7fffc42f,
    0xfb83ffff,0xffffffff,0xffffffff,0xfffa8007,0xfd100003,0xa80001df,
    0x004fffff,0x09fff500,0x7fff5000,0xfffd3000,0xffffffff,0x0dffffff,
    0x9ffffd30,0xffff3001,0xffffffff,0x19ffffff,0x1bfff300,0x001fffdc,
    0x009fff50,0x03fffa80,0xfffb8000,0x7fd40002,0x00004fff,0xffffffb8,
    0x003fffa4,0xdffffffd,0xfe87fffd,0xe9efffff,0xffffffff,0x437ffc03,
    0x40007ffe,0x0004fff9,0x03fffb80,0x3ffee000,0xfffe8003,0xfe81ffff,
    0x41ffffff,0xfffffffb,0xffffffff,0x64005fff,0x00002fff,0x001bffd3,
    0x6fffec40,0x0001efff,0x000fffee,0x05fff980,0x3ffffe60,0xffffffff,
    0x04ffffff,0x7ff7ffe4,0xfff802ff,0xffffffff,0xffffffff,0xffff5005,
    0x009fffb5,0x01fffdc0,0x5fff9800,0x3ff60000,0x3620001f,0xefffdfff,
    0x3a200001,0x2a4fffff,0xec8807fe,0xffffffff,0x7fffec1e,0xffffffff,
    0x00ffffff,0x3f613ffa,0xe980005f,0x00000dff,0x0003fff7,0x07fff300,
    0xffffc880,0xfff7101c,0xfff983df,0xfb999bff,0xacffffff,0x3bff2000,
    0xff100001,0xe880009f,0xffd32fff,0xff70003f,0x1000003f,0x3a00bffd,
    0x99bdffff,0xffffffeb,0x3f600ace,0xfffb13ff,0xffcb8805,0x9acfffff,
    0x3fffffda,0xffffb100,0x5c0003df,0x00001fff,0x002fff44,0x0077fec0,
    0x5fffd100,0x007fffa6,0xfff71000,0x8805f889,0xffffffdb,0xf995104f,
    0xdfffffff,0x80dffb37,0xcb880bc8,0xfb100000,0x3a0000df,0x000000ef,
    0x4001bfa2,0x4c03fffe,0xfe80ffff,0xfd100eff,0x2000dfff,0x00000dff,
    0x0000bfee,0x2e037fea,0xfe8005ff,0x4000000e,0x7e400ffd,0x3ea03fff,
    0x9804ffff,0xffb80eff,0x3fffe006,0x3ff600ef,0x3ea001ff,0xe80004ff,
    0x000000ef,0x80003ff6,0x80005ff8,0xfb80dffa,0x9800005f,0x07ec4fff,
    0x7fffffc0,0x800ffffe,0x3fffffff,0x00000b98,0x3f200000,0x2980001f,
    0x2a000000,0xfff50000,0x7ffec01f,0x0ffff984,0x37fffc40,0x00029800,
    0x0000b880,0xc9805710,0x00298001,0x00660000,0x005ffff1,0x009ffff7,
    0x037100ae,0x037fffc0,0x004fffe8,0x80000e44,0x00000029,0x55000035,
    0x0ae20000,0x00003930,0x549fff30,0xfff8802f,0x13fff22d,0x3bffffe0,
    0x00000001,0x014c0000,0x00000000,0xfe800000,0xfff303ff,0x7fff501f,
    0x1bffee00,0x00000000,0x00000000,0x00000000,0x7fcc0000,0x3ff6007f,
    0x0000004f,0x01ffffc0,0x006fff88,0x00000000,0x00000000,0x00000000,
    0x65cc4000,0x3ffe62bc,0x98800ee4,0x03fffb00,0x00dffff8,0x02666600,
    0x00999988,0x4c000000,0x26200999,0x4cc00999,0x26620099,0xff980099,
    0xfffd80ff,0x05fff904,0x01bffe60,0x599b9550,0x5d440021,0x65440abc,
    0x2e20001b,0x100001bc,0x00003797,0x4006f2e2,0x2003fffb,0x2004fffa,
    0x2bcdccb9,0x1ffff000,0x07fff400,0x01bcb880,0x6e65cc00,0x440002bc,
    0x009bdca9,0x372a6200,0x2200009b,0x009bdca9,0xfffff900,0xfff57dff,
    0x33100009,0x02fffcc1,0x8001bffe,0x85fffffd,0x6fffffea,0x6e65cc00,
    0x3f6002bc,0xea85ffff,0xb06fffff,0x50bfffff,0x0dfffffd,0x30ffff60,
    0x3601ffff,0xf1001fff,0x3aa00dff,0xffffffff,0xfd700efd,0x23dfffff,
    0x0dfffffa,0xffffb500,0x8007bfff,0xffffffda,0x6d4003df,0xdfffffff,
    0x0bffee03,0x04fff980,0x7ffffed4,0x002effff,0x20037ffc,0x2a00fffd,
    0xfffffffd,0xffb5003d,0xdfffffff,0xfff70005,0x05dfffff,0xfffffb80,
    0x4002efff,0xfffffffb,0xfd3002ef,0xffffffff,0x009fffff,0x3ffff660,
    0xfffd9dff,0x01bffe00,0x7ffffcc0,0xffffe85f,0xfda806ff,0xffffffff,
    0x7ffcc02e,0xffe85fff,0xf986ffff,0xe85fffff,0x06ffffff,0x41ffff30,
    0x2e04fffd,0xf3002fff,0xffd00dff,0xffffffff,0xff307fff,0xffffffff,
    0xfffffffb,0xfffc801d,0xffffffff,0xfffc801e,0xffffffff,0xfffc801e,
    0xffffffff,0x4fffa81e,0x13fff200,0xffffff98,0x4fffffff,0x03fffe00,
    0x207fff80,0xfffffffc,0x201effff,0xfffffff9,0x04ffffff,0xfffffd30,
    0x1bffffff,0xffffe980,0xdfffffff,0x7fff4c00,0xffffffff,0x3ffea00d,
    0xffffffff,0x004fffff,0x7ffffec4,0xffefffff,0x1bffe01f,0x7fffc400,
    0xfffc85ff,0x7cc06fff,0xffffffff,0x2204ffff,0x85ffffff,0x6ffffffc,
    0xffffff88,0xfffffc85,0x3ff6006f,0x1ffff34f,0x027ffd40,0x406fffc8,
    0xfffffffd,0x5fffffff,0xffffffa8,0xffffffff,0x206fffff,0xfffffffe,
    0x1fffffff,0x3fffffa0,0xffffffff,0x3fffa01f,0xffffffff,0x7fc41fff,
    0xff9801ff,0x3fe604ff,0xffffffff,0xf002ffff,0x3200dfff,0xffd05fff,
    0xffffffff,0x2603ffff,0xffffffff,0x02ffffff,0x7fffffcc,0xffffffff,
    0x3fffe606,0xffffffff,0x3fe606ff,0xffffffff,0xf106ffff,0x335bffff,
    0xffffffd7,0x7ffc4009,0xffffffff,0x203fffff,0x20006fff,0x85fffcb9,
    0x6fffcca8,0x7ffffcc0,0xffffffff,0x3f2e602f,0xcca885ff,0x97306fff,
    0x9510bfff,0x400dfff9,0xfd8ffff9,0x7fc404ff,0x7fcc01ff,0x3fe206ff,
    0xa99aceff,0xb05ffffd,0xff7359df,0xf95dffff,0xff905fff,0x75359fff,
    0x01dffffb,0x59fffff9,0xffffb753,0xffff901d,0xfb75359f,0xfe81dfff,
    0x3ea02fff,0x6404ffff,0x99abceff,0x005fffea,0x01bfffff,0x0bffff22,
    0x33fffff2,0xfffdba9a,0xdff900ef,0xfd533579,0x7f440bff,0xb9acefff,
    0x84fffffd,0xceffffe8,0xffffdb9a,0xfffe884f,0xfdb9acef,0xfd84ffff,
    0x3ee02fff,0x2004ffff,0x9beffffd,0xfffffca9,0x1bffe04f,0x3ffe2000,
    0x06fff805,0xabceffc8,0x5fffea99,0x05fff880,0x4406fff8,0xff805fff,
    0x7fec006f,0x00ffffdf,0x02ffffd8,0x0dfffff5,0x202fffd4,0x8003fff9,
    0x5c6ffffb,0x7fc46fff,0x3ee00dff,0x7fc44fff,0x3ee00dff,0x7fc44fff,
    0x3ee00dff,0x7fc44fff,0xbaabefff,0x4ffffffd,0xfff10000,0x3fffe00d,
    0xcaabcfff,0x885fffff,0x200dffff,0x004ffffb,0x037ffc40,0x807ffffb,
    0x6c1ffffd,0x6c03ffff,0x7ec1ffff,0x7ec03fff,0x3fe21fff,0xffb801ff,
    0xff7004ff,0x7fcc0bff,0x3fe05fff,0xf880006f,0xfff805ff,0x3e200006,
    0xff8806ff,0x6fff805f,0x02fffc40,0x20037ffc,0xfffffff9,0xffff1004,
    0xffb757bf,0x4c0dffff,0x201bffff,0x31000bea,0x07ffff33,0x7dc3ffff,
    0xff7005ff,0x5fffb8df,0x8dfff700,0x7005fffb,0xff30dfff,0xffffffff,
    0x09ffffff,0x21333100,0xff007ffe,0xffffffff,0x0bffffff,0x4017ffee,
    0x2006fffb,0xffd09998,0x3fffe20f,0xbfffb003,0x01ffffc4,0x225fffd8,
    0xb003ffff,0x7fd4bfff,0x3ffa004f,0xfffb004f,0xffff500d,0x3fbbb22d,
    0xeeeeefff,0xff8800ce,0x6fff805f,0x13331000,0x2201fffa,0xff805fff,
    0x7ffc406f,0x06fff805,0xfffffd80,0x3fea000f,0xffffffff,0x406fffff,
    0xeffffffe,0x2e000acd,0xffffffed,0xecccccff,0x3ff63fff,0x3ffe000f,
    0x03fff60f,0x20ffff80,0x2000fffd,0xea80ffff,0xffffffff,0x04ffffff,
    0xfffffd70,0x00ffffff,0x3ffffffe,0xffffffff,0x1fffb00d,0x07fffc00,
    0xfffffd70,0x20ffffff,0xcccffffa,0xcccccccc,0x3fea7fff,0xccccccff,
    0xfffccccc,0x33fffea7,0xcccccccc,0x327fffcc,0x32002fff,0xff004fff,
    0x3f6005ff,0xffffb6ff,0xffffffff,0xf100bfff,0xfff00bff,0x7ff5c00d,
    0xffffffff,0x5fff8807,0x406fff80,0xf805fff8,0xf98006ff,0x8004ffff,
    0xfffffffa,0x6fffffff,0x7ffffcc0,0x0effffff,0x3ffffa60,0xffffffff,
    0xffffffff,0x0017ffe4,0x7fc5fff9,0x7fe4005f,0x017ffe2f,0x405fff90,
    0xfffffffb,0x04fff9be,0x7fffff54,0x7fffffff,0x91dfff00,0xdfffffff,
    0x05fff803,0x417ffe40,0xffffffea,0x07ffffff,0xfffffff7,0xffffffff,
    0x3ee1ffff,0xffffffff,0xffffffff,0xffff70ff,0xffffffff,0x1fffffff,
    0x8003fff6,0x8804fffa,0x7000ffff,0x3ff6bfff,0xffffffff,0x805fffff,
    0xf805fff8,0xfea806ff,0xffffffff,0xf8807fff,0xfff805ff,0x2fffc406,
    0x0037ffc0,0x00ffffd8,0xffff9100,0xfff39fff,0xfffb300d,0xffffffff,
    0xfffff907,0xffffffff,0xffffffff,0x13ffe6bf,0x29fff300,0x4004fff9,
    0xff34fff9,0xff98009f,0xbba9804f,0x13ffe61a,0xffffffb8,0xffffffff,
    0x4dfff007,0x00abca98,0x004fff98,0x2e27ffcc,0xffffffff,0x07ffffff,
    0xfffffffb,0xffffffff,0x3f65ffff,0xffffffff,0xffffffff,0xffffb2ff,
    0xffffffff,0x5fffffff,0x8003fff6,0x8804fffa,0x2e007fff,0xffb34fff,
    0xffffffff,0x1003bfff,0xff00bfff,0xfffb80df,0xffffffff,0xf8807fff,
    0xfff805ff,0x2fffc406,0x0037ffc0,0x004fffe8,0x13795300,0x801bffe2,
    0xffffdca8,0x3ea4ffff,0xecefffff,0xffffffff,0x15ffffff,0xa800bfff,
    0xfff13fff,0xfffa800b,0x00bfff13,0x003fffa8,0x04fff980,0xfffffff3,
    0xffffdd9b,0x1bffe00f,0x7ffc4000,0x7ffd4005,0x3ffffe63,0xffeecdff,
    0xfff907ff,0xffffffff,0xffffffff,0x3fffff25,0xffffffff,0x92ffffff,
    0xffffffff,0xffffffff,0x3fee5fff,0x3ff2002f,0xffff004f,0x3fff2003,
    0x20000003,0xf805fff8,0x3fe606ff,0xecdfffff,0x807ffffe,0xf805fff8,
    0x7fc406ff,0x6fff805f,0xffffa800,0xa8000000,0x0d404fff,0xfffb7310,
    0x0f7ffe4f,0x557fffcc,0x1aaaaaaa,0x8003fffa,0x3fa1fffc,0x3f2000ff,
    0x3fffa1ff,0x3fff2000,0xff980001,0xdfffd04f,0x3fff4037,0x006fff80,
    0x03fffa00,0x21fffc80,0x01befffe,0x7d41fffa,0xaaaaaeff,0xaaaaaaaa,
    0xdfff50aa,0x55555555,0x15555555,0x2abbffea,0xaaaaaaaa,0xf30aaaaa,
    0xf3001dff,0x36009fff,0xf8804fff,0x00002fff,0x17ffe200,0x40dfff10,
    0x01befffe,0x2201fffa,0x7c405fff,0x7fc406ff,0x7ffc405f,0xfffe8006,
    0xb0000004,0x7ec05fff,0xfffb002f,0x407fff25,0x002ffff9,0x802fffe4,
    0x7e47fffa,0xff5005ff,0x5fffc8ff,0x0ffff500,0x3ffe6000,0x1ffff884,
    0x007ffe80,0x0000dfff,0x802fffe4,0x3e27fffa,0xfe801fff,0xffff107f,
    0xff100007,0x100007ff,0x0007ffff,0x037fffa0,0x4ffffe98,0x7ffff700,
    0x06fffd80,0x003bff70,0x407fffc0,0x06ffffc8,0x003ffff1,0x3e00fffd,
    0xfc880fff,0xff806fff,0xffc880ff,0x7d4006ff,0x00000fff,0x7fffe4c0,
    0x0bfffe00,0x54ffff60,0xfe985fff,0x57306fff,0x0dffff98,0x13fffee0,
    0x01bffff3,0x227fffdc,0x00dffff9,0x013fffee,0x27ffcc00,0x1037ffcc,
    0x00fffff7,0x0001bffe,0x0dffff98,0x93fffee0,0x2206fff9,0x207ffffb,
    0x002ffffd,0xffd83751,0x751002ff,0x2ffffd83,0x98375100,0xabcfffff,
    0xfffffdba,0x6c00bdff,0x99aeffff,0x1fffffb9,0x0dfff900,0x77fff400,
    0xffffdbab,0x7cc2dfff,0x3ee206ff,0xfd007fff,0xfb757dff,0x5bffffff,
    0x5f7fff40,0xfffffdba,0x6dcc2dff,0xfffffeee,0x6d40002c,0xfffeeeee,
    0x3fe205ff,0xa9acefff,0x1fffffca,0x57dffff1,0xfffffff9,0xffffb75d,
    0xfffffd87,0xffecaabc,0xffd80fff,0xcaabcfff,0x80fffffe,0xbcfffffd,
    0xffffecaa,0xb710000f,0x7bffffdd,0x677fffc1,0xffffdbaa,0x4c2defff,
    0xeeffffeb,0x7ec0002d,0xaabcffff,0x0fffffec,0x5677fffc,0xfffffdba,
    0x7c42deff,0x9abeffff,0xffffdbaa,0x3fffe20f,0xbaa9abef,0x20fffffd,
    0xbefffff8,0xffdbaa9a,0x7fe40fff,0xffffffff,0xffffffff,0x7ffc404f,
    0xffffffff,0xb8804fff,0x001ffcaa,0xffffff70,0xffffffff,0xfff81fff,
    0xfdbaacef,0xdeffffff,0x3fffee02,0xffffffff,0x700fffff,0xffffffff,
    0xffffffff,0x7ffff41f,0xffffffff,0xfff50000,0xffffffff,0xffff880b,
    0xffffffff,0x7e44ffff,0xffffffff,0xffffffff,0x444fffff,0xfffffffe,
    0x2fffffff,0xfffffd10,0xffffffff,0x3ffa205f,0xffffffff,0x0002ffff,
    0x3ffffffa,0x3f24ffff,0xffffffff,0xffffffff,0xffff10ff,0x7fffffff,
    0x7ff44000,0xffffffff,0xfc82ffff,0xffffffff,0xffffffff,0x7ffd40ff,
    0xffffffff,0x41ffffff,0xfffffffa,0xffffffff,0x7ffd41ff,0xffffffff,
    0x81ffffff,0xfffffffb,0xffffffff,0xd8804fff,0xffffffff,0xf9003fff,
    0x001fffff,0x7ffffe40,0xffffffff,0x7fe40fff,0xffffffff,0xffffffff,
    0x3fff200f,0xffffffff,0x200fffff,0xfffffffc,0xffffffff,0x3ffffe0f,
    0xffffffff,0xfff90002,0xbfffffff,0x3ffffa00,0xffffffff,0xfff705ff,
    0xffffffff,0xffffffff,0xffb103ff,0xffffffff,0xfd8803df,0xffffffff,
    0x6c401eff,0xffffffff,0x0001efff,0x7ffffffc,0x7ec5ffff,0xffffffff,
    0xffffffff,0xfffff10f,0x09ffffff,0xfffd8800,0xffffffff,0x3fff601e,
    0xffffffff,0x0fffffff,0xfffffe98,0xffffffff,0xfffd306f,0xffffffff,
    0x3a60dfff,0xffffffff,0x06ffffff,0x3fffff62,0xfffbcfff,0x2a000dff,
    0xffffffff,0x3fe2000d,0x80003fff,0xfffffffc,0x3dffff9c,0xffffffb0,
    0xffffffff,0xc801ffff,0xcfffffff,0x03dffff9,0xffffffc8,0xdffff9cf,
    0x7ffff5c3,0x05ffffff,0x3fff6200,0x001bdfff,0x3fff3baa,0x1dffffff,
    0x7ffff5c0,0xfebcfbdf,0x00beffff,0x7ffff64c,0x4c003dff,0xffffffec,
    0x764c003d,0x3dffffff,0xffd50000,0x3dffffff,0xffffff70,0xfffd5bff,
    0xffec87bf,0x0dffffff,0xfd930000,0x07bfffff,0x3ffffee0,0xffeadfff,
    0x7dc03dff,0xffffffff,0xfb802cef,0xffffffff,0xfb802cef,0xffffffff,
    0x31002cef,0x00035995,0x5e5d4c00,0x75100009,0x98000017,0x40001acb,
    0xfffffffb,0xffffeadf,0x32e6003d,0x4c00001a,0x20001acb,0x99999998,
    0x4cc00001,0x20000099,0x09accba9,0x0565c400,0x00159730,0x002f2a20,
    0x05e54400,0xbca88000,0x22000000,0x00999999,0x55665d44,0x26620000,
    0x00001999,0x005e5440,0xaccba880,0x2200000a,0x019abcba,0x2f2ea200,
    0x2200019a,0x019abcba,0x00000000,0x00000000,0x00000000,0x5665d440,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x59999710,0x02600c00,0x00002000,0xccccb880,
    0x13006002,0x09803000,0x59731000,0x98000003,0x0008002d,0x32200003,
    0xcb880005,0x66544000,0x800003cc,0x2ea09998,0x00001bcd,0x00000593,
    0x005e4c00,0x99930000,0x99999999,0x04cc0037,0x20010000,0x33332200,
    0xcccccccc,0x1303cccc,0x5c000500,0x3e98001d,0xdddd9000,0xfff30001,
    0x3a009fff,0x1ffe80ff,0x7fedcc00,0x00000cef,0x9ffffff3,0x203ffa00,
    0x3a001ffe,0x1ffe80ff,0x7fffdc00,0x00001eff,0x4005ffb8,0xfd302ffa,
    0xfe980009,0x7f40000f,0x3fe2007f,0x0005ffff,0x3ffffa20,0xfffffead,
    0x260000df,0x40004fff,0xfff88000,0x27654404,0xfffff700,0xffffffff,
    0xffffc809,0x7dc0000d,0x07fd301e,0x3fffffe2,0xffffffff,0x06fa85ff,
    0x220027e4,0xb8003ffd,0x6c000dff,0x50007fff,0x09ffffff,0x987fff50,
    0x36004fff,0xffffffff,0xfb80003f,0x804fffff,0x7cc3fffa,0xff5004ff,
    0x4fff987f,0x3ffff600,0x003fffff,0x07fff200,0x19fff300,0x001fffdc,
    0x007fff50,0x2ffff980,0xfffff300,0x5c0000bf,0xffffffff,0xffffffff,
    0xfffb0002,0x7fe4000f,0x3ffe6000,0x7ff65446,0x3ee004ff,0xffffffff,
    0x3a06ffff,0x1fffffff,0x3ffea000,0x817ffe44,0xfffffff8,0xffffffff,
    0x03ffa85f,0x44009ff3,0x20005ffe,0x2000effe,0x0006fffc,0x13fffffa,
    0x20bffe20,0xd8802fff,0xffffffff,0x40005fff,0x4fffffe8,0x82fff880,
    0xf1002fff,0x5fff05ff,0x3fffee00,0x1fffffff,0x7ff44000,0xff50000e,
    0x9fffd5df,0x7ffe4000,0xff880002,0x3fa000ff,0x0005ffff,0x3ffffe60,
    0xffffffff,0x70006fff,0x4000bfff,0x64003fff,0xfff914ff,0x009fffff,
    0x7fffffdc,0x3fffffff,0x915bff90,0xb8000dff,0xffeaefff,0x3ffe203f,
    0xffffffff,0x885fffff,0xd732cfff,0x3ea003ff,0xc80004ff,0xf7002fff,
    0x88000bff,0x3004fffb,0x00b26059,0x3fffffa2,0xffffffee,0xfb880002,
    0x593004ff,0x3000b260,0x00b26059,0xacefffe8,0x006ffffc,0x006fff40,
    0x3fff6200,0x20001eff,0x0001fffc,0x000ffaa0,0x017ffe62,0xfff93000,
    0xb5359fff,0x0007ffff,0x0003bf91,0x0017ffe2,0x7ffe47ea,0x04ffffff,
    0x2b3ffee0,0x02aaaaaa,0x7fd42ffc,0x7f440002,0x801effff,0xaaaadfff,
    0xfffcaaaa,0xfffff305,0x2007ffff,0x0003fff9,0x007ffee0,0x0013ffea,
    0x7fffff6c,0x00004fff,0x9ffff500,0xffffeb88,0xff980000,0x0000004f,
    0x44000000,0xff887fff,0xf50000ff,0xb800009f,0x80004fff,0x00000eff,
    0xff880000,0x8800005f,0x702fffff,0x00009fff,0x7ffc4000,0x927c4005,
    0xffffffff,0x7fdc009f,0x3e60002f,0x007ff02f,0x0fffee00,0x802ffd80,
    0x2602fffd,0x2efffffd,0x007ff200,0x13fe6000,0x00fffe20,0x7fee65c0,
    0x0002ccef,0x7fffb000,0x17fffc40,0x7ffcc000,0x00000004,0x7cc00000,
    0xfffb04ff,0x00d40003,0x01d88000,0x00053000,0x44000000,0x00005fff,
    0x01ffff88,0x001bffe2,0xff880000,0x076c005f,0xf337bfd1,0x7dc009ff,
    0x260002ff,0x09fd01ff,0x00ec4000,0x7c400d40,0xa8800fff,0xb88001ab,
    0x22000000,0x5fff000a,0xbccb9880,0x013ffe62,0xbcdccb98,0x1bffe002,
    0x013ffee0,0x45799731,0x8004fff9,0x0001bcb8,0x4dee54c4,0x7ffcc000,
    0x03fffd04,0x00000000,0x00000000,0x6e5cc400,0x220041bc,0x32a25fff,
    0x44001acd,0xff805fff,0x2a62006f,0x40009bdc,0x99dfffa9,0x22099999,
    0xfff3001d,0x7ffdc009,0x3fe20002,0x002ffa84,0x00000000,0x002fffd4,
    0x00000000,0x3fe00000,0x3fff201f,0xfabeffff,0x7ed404ff,0xffffffff,
    0x1ffc802e,0x05fff980,0x3ffffff2,0x4fffabef,0xffffb500,0x8007bfff,
    0xfffffffb,0xff3002ef,0xfffb889f,0x4ccc400f,0x06f36ea0,0x13333100,
    0x01bcba88,0x204cccc4,0x801bcba8,0xffffffc8,0x02fecfff,0x3677ffe2,
    0xefffffff,0xbfff1001,0x00dfff00,0x3fffffee,0x7e402eff,0xffffffff,
    0x05ffffff,0x09fff300,0x4d7ffdc0,0x8009bcca,0xfd50bffd,0x4cc4001f,
    0x2f36ea09,0xfd800001,0x266202ff,0x80009999,0x09999998,0x99998800,
    0xffb00099,0xffffd301,0xffffffff,0x7fcc09ff,0xffffffff,0x08804fff,
    0x07fff900,0xffffffd3,0xffffffff,0xffff9009,0xdfffffff,0xfffe9803,
    0xffffffff,0x7ffcc00d,0xfffffb54,0x7fff440b,0xffffeadf,0x7dc00dff,
    0x2e6fffff,0x84ffffff,0x6ffffffb,0x3fffffee,0x3fffea04,0xffffffff,
    0x3fe206ff,0xffffffff,0x804fffff,0xf805fff8,0x7f4c06ff,0xffffffff,
    0xff880dff,0xffffffff,0x2fffffff,0x4fff9800,0x3fffee00,0x3fffffff,
    0x77fffc40,0x15442fff,0x37ffffa2,0xffffffea,0xf100000d,0xff501fff,
    0x09ffffff,0x7ffffd40,0x2a004fff,0xffffffff,0x50ff9004,0xffffffff,
    0xffffffff,0x7fffcc09,0xffffffff,0x100002ff,0xfa83ffff,0xffffffff,
    0x4fffffff,0x7fffff40,0xffffffff,0xffff301f,0xffffffff,0xff980dff,
    0xfffff8cf,0x3fee00ff,0xffffffff,0x02ffffff,0x3ffffffa,0xfffffe9e,
    0x7ff43fff,0xfe9effff,0x3fffffff,0xffffffa8,0xffffffff,0x3ffe207f,
    0xffffffff,0x405fffff,0xf805fff8,0x3fe606ff,0xffffffff,0xfd06ffff,
    0xffffffff,0x1fffffff,0x9fff3000,0x7fffdc00,0xffffffff,0x3ffa200d,
    0xfb512fff,0x7ffdc3ff,0xffffffff,0x002fffff,0x05fffa80,0xfffffffd,
    0x7ff4009f,0x04ffffff,0x3fffffa0,0xf7004fff,0xfffff88d,0xffeb99ad,
    0x6404ffff,0x99abceff,0x005fffea,0xffffe880,0x3ffffe20,0xffeb99ad,
    0x3204ffff,0x9acfffff,0xeffffdba,0x7ffff440,0xffdb9ace,0x3e604fff,
    0xffff9cff,0xf300efff,0xffffffff,0xdfffffff,0x7ffffec0,0xffffffff,
    0x360fffff,0xffffffff,0xffffffff,0x3ffe20ff,0xdb99adff,0x207fffff,
    0xfffffff8,0xfffba9ac,0x3fe203ff,0x6fff805f,0xdffffd10,0xfffb7359,
    0xb97109ff,0x9999dfff,0x00037999,0x8013ffe6,0xfffffffb,0x05ffffff,
    0xdb9abb98,0x20dfffff,0xfffffff9,0xffffffff,0xfd80006f,0xfffb02ff,
    0x009fffff,0x7fffffec,0x3f6004ff,0x4fffffff,0xfd839100,0x3ee02fff,
    0x0004ffff,0x00dfff10,0xffffe880,0x17fffec2,0x9fffff70,0x37fffe20,
    0x3fffee00,0x1ffffec4,0x07ffff60,0xeba7ffcc,0x0effffff,0xfffff930,
    0xffb5359f,0x32a207ff,0xfffffffc,0x6ffd9bef,0x7ffe6544,0x9befffff,
    0x7fec6ffd,0x7fe401ef,0x3ffe207f,0xfb100dff,0x3e201fff,0xfff805ff,
    0x7ffffb06,0x1ffffd80,0x017ffe20,0xfff98000,0x3ffe6004,0xfda99bdf,
    0xb8802fff,0xbefffffd,0xffff9300,0xfb5359ff,0x40007fff,0x100ffff8,
    0xfffb9995,0x66544009,0x004fffdc,0x3f7332a2,0x220004ff,0xb801ffff,
    0x8004ffff,0xffd09998,0x7f4c000f,0x7fc43fff,0xffb801ff,0xfff704ff,
    0x3ffee00b,0x0ffffe26,0x82fffec0,0x5444fff9,0x00effffd,0x05fffff1,
    0x4013ffee,0x3fffffff,0x7fc00b98,0x983fffff,0x3fffe60b,0x0dffd001,
    0x077fffc4,0x827fff40,0xf805fff8,0xfff886ff,0xfffb003f,0x2fffc40b,
    0xff300000,0xbdb8009f,0x1ffff200,0x7ffff5c4,0xf1000bdf,0x2e05ffff,
    0x20004fff,0x4005fffa,0x0004fff9,0x0027ffcc,0x013ffe60,0x04fffa80,
    0x013fffa0,0x7fffff5c,0x007fffff,0x9fffff30,0x009fff50,0xd827fff4,
    0x3e000fff,0xfff50fff,0x9999999f,0xffff9999,0x813ffe60,0x104ffffa,
    0x4403ffff,0xff006fff,0x0003dfff,0x1efffff8,0x13ffea00,0x204ffb80,
    0x001ffff8,0xd88dfff3,0x83effffe,0x2dffffda,0x333fffea,0xcccccccc,
    0x2207fffc,0x00005fff,0x013ffe60,0xfffe8000,0x3ffffaa1,0x00a99adf,
    0x03ffff10,0x0037ffc4,0x005fffb0,0x004fff98,0x027ffcc0,0x13ffe600,
    0x2fffc800,0x13fff200,0xfffffd50,0xffffffff,0xffff5000,0x3fff209f,
    0x3fff2002,0x00bfff04,0xf72fffc8,0xffffffff,0xffffffff,0xfff301ff,
    0x6fffa809,0x00bfff10,0x3e00dfff,0x0000dfff,0x00dffff8,0x00fffe40,
    0xff100a60,0xffe800ff,0x7ffffec7,0x3fe21fff,0x70ffffff,0xffffffff,
    0xffffffff,0x3e201fff,0x000005ff,0x0013ffe6,0x2fffb800,0x22b7fffa,
    0x0dffffd8,0x02fffc40,0x80037ffc,0x000ffff8,0x0027ffcc,0x013ffe60,
    0x09fff300,0x07ffec00,0x09fff500,0x7fffffdc,0xffffffff,0x7ffdc007,
    0x3ff603ff,0x3fea000f,0x4fff984f,0xa7ffcc00,0xfffffffd,0xffffffff,
    0xf982ffff,0xffd804ff,0x5fff880f,0x006fff80,0x0000dfff,0x80037ffc,
    0x0000fffd,0x06fff880,0xd0fffec0,0xffffffff,0x7ffffcc5,0xfffb0fff,
    0xffffffff,0xffffffff,0x17ffe205,0xff980000,0x2000004f,0x32a3fffa,
    0x3fffa20a,0x2200ffff,0xff805fff,0xff50006f,0xff3000bf,0xf980009f,
    0x4c0004ff,0x20004fff,0x2000fffd,0xf304fffa,0x9bffffff,0x0fffffdd,
    0x7ffffe40,0x07ffec02,0x09fff500,0x800bfff1,0xff93fffa,0xffffffff,
    0xffffffff,0x9fff305f,0x05fff700,0xf00bfff1,0x3fe00dff,0x3e00006f,
    0xfb0006ff,0x000001ff,0x800dfff1,0x3660fffd,0x84efffff,0x3dffffeb,
    0x3ffffff2,0xffffffff,0x102fffff,0x0000bfff,0x027ffcc0,0xfff50000,
    0x39ffb009,0x440dff91,0xff805fff,0xffb0006f,0xff30005f,0xf980009f,
    0x4c0004ff,0x20004fff,0x2002fffb,0xfd04fffc,0x74037dff,0xfd8807ff,
    0xb801ffff,0x32002fff,0xffd04fff,0x7fe4001f,0x5dfff51f,0x55555555,
    0x01555555,0x5009fff3,0xff109fff,0xdfff00bf,0x01bffe00,0x06fff800,
    0x05fff700,0xfff10000,0x7ffc001f,0x20000007,0xaaaefffa,0xaaaaaaaa,
    0xf100aaaa,0x00000bff,0x0027ffcc,0x5fff7000,0xb84ff880,0xfff101ff,
    0x0dfff00b,0x1ffff100,0x9fff3000,0xfff98000,0x7fcc0004,0x3e60004f,
    0xf9800eff,0xff884fff,0xffe801ff,0x7fff4407,0xff3000ef,0xff3001df,
    0x3ff209ff,0xfff5005f,0x1ffffc4f,0x3fe60000,0xb85fd34f,0xff883fff,
    0x6fff805f,0x00dfff00,0x037ffc00,0x06fff980,0x3e202980,0xf7004fff,
    0x02000bff,0x3fffe200,0xf8800003,0x000005ff,0x8013ffe6,0x7fff4000,
    0x40ffd401,0xff103ff8,0xdfff00bf,0xbfff7000,0x3ffe6000,0x7fcc0004,
    0x7cc0004f,0x740004ff,0x2600dfff,0x984ffffe,0x2e206fff,0x2607ffff,
    0x00efffff,0x06ffff40,0x9ffffd30,0x37fffe60,0x3fffee00,0x17fffec4,
    0x301ba880,0x3ff69fff,0x417ffec6,0xf805fff8,0xfff006ff,0x7fc0000d,
    0x3fe0006f,0xd8800dff,0xfff104ff,0xffb807ff,0xfc8002ff,0x3f6000cf,
    0x51002fff,0x7ffc4037,0x3bae6207,0x3ffe6001,0x03bfb004,0x00ffff90,
    0x3fe01ff5,0x0bfff103,0x000dfff0,0x0005fffb,0x0013ffe6,0x009fff30,
    0x04fff980,0x7fffcc00,0xfdbaabcf,0xbdffffff,0x33bfffe0,0xffffdbaa,
    0x2e2defff,0x805fffff,0x7fffcc19,0xfdbaabcf,0xbdffffff,0x7ffffec0,
    0xffecaabc,0x7fc40fff,0xa9abefff,0xfffffdba,0x3fffb6e0,0xacfffeaf,
    0x880ffffd,0xff805fff,0xdfff006f,0x7ffc0000,0x3fea0006,0xa9abdfff,
    0x7ffffdca,0x7ffff6d4,0xba9aceff,0x005ffffe,0x00bfffb0,0x77ffffc4,
    0xfdbaa9ab,0x3e00ffff,0xcaacefff,0x05fffffe,0x013ffe60,0x337fffea,
    0xfffcbaaa,0xff8803ff,0x101ffa84,0xff00bfff,0xff8800df,0xf30000ff,
    0x980009ff,0x40004fff,0x0004fff9,0xffffffc8,0xffffffff,0x324fffff,
    0xffffffff,0xffffffff,0xfffd0fff,0xddddddff,0xc85ffddd,0xffffffff,
    0xffffffff,0x7f444fff,0xffffffff,0x502fffff,0xffffffff,0xffffffff,
    0x3fffe63f,0xfffeffff,0x44ffffff,0xeffffed8,0xffffda83,0x3bbb222d,
    0xeeeeffff,0xd9100cee,0xddffffdd,0x8019dddd,0xfffffffb,0xffffffff,
    0x3fffe24f,0xffffffff,0xffffffff,0x555c4000,0x2a000ffd,0xffffffff,
    0xffffffff,0x3fff201f,0xffffffff,0xdb885fff,0xffffeeee,0x261ceeee,
    0xffffffff,0x5fffffff,0x42fff600,0xed886fea,0xa83effff,0x02dffffd,
    0x00bfff50,0xfdddddb7,0xbddddfff,0x7776dc17,0xeeffffee,0x36e0bdee,
    0xfffeeeee,0x0bdeeeef,0x3fffee00,0xffffffff,0x44ffffff,0xfffffffd,
    0xffffffff,0xfffd0fff,0xffffffff,0x709fffff,0xffffffff,0xffffffff,
    0xffb109ff,0xffffffff,0xfe9803df,0xffffffff,0x2a6fffff,0xffffffff,
    0xfffffffa,0x7ffec0ef,0x221fffff,0xffffffff,0xffffffb0,0xffffffff,
    0x3fff60bf,0xffffffff,0xc805ffff,0xffffffff,0x45ffffff,0xfffffff9,
    0xffffffff,0x8000dfff,0x06fffffd,0xffffe980,0xffffffff,0xffe806ff,
    0xffffffff,0xffb80dff,0xffffffff,0x5c6fffff,0xffffffff,0x00dfffff,
    0x3ffffe20,0xffd81fff,0x21ffffff,0xfffffff8,0xfffa800f,0x7fffd401,
    0xffffffff,0xf54fffff,0xffffffff,0xffffffff,0x3ffffea9,0xffffffff,
    0x4004ffff,0xffffffd8,0xffffbcff,0xfffb80df,0xeadfffff,0x3a3dffff,
    0xffffffff,0xffffffff,0xffffb105,0xff79ffff,0x4c01bfff,0xffffffec,
    0x7fdc003d,0xffffffff,0xffec82ce,0xfff53dff,0xfd01bfff,0x5fffffff,
    0x7fffffcc,0xffffb0ff,0xffffffff,0x3f60bfff,0xffffffff,0x05ffffff,
    0xfffff930,0x039fffff,0x37ffffae,0xffffffda,0x260002ff,0x002fffff,
    0x3ffffee0,0x2cefffff,0xffff7100,0x039fffff,0x7fffffe4,0xffffffff,
    0xfffb887f,0x1effffff,0xfffd1000,0x3ffa03df,0x22ffffff,0xfffffff9,
    0x09f9000f,0xffffff50,0xffffffff,0x3fea9fff,0xffffffff,0x4fffffff,
    0xfffffff5,0xffffffff,0x220009ff,0x001acca9,0x5665d440,0x7ff4000a,
    0xffffffff,0x05ffffff,0x0d6654c4,0x32a20000,0xa880000b,0x0019abcb,
    0x2b2ea200,0x3fff6600,0xfeb84eff,0x3663dfff,0xffffffff,0x01dfffff,
    0xffffffb3,0xbfffffff,0xba988003,0x0009aacc,0xabcba880,0x75100000,
    0x22000015,0x019abcba,0x66554400,0xd910009a,0xffffffff,0x805bffff,
    0x09abcaa9,0x37730000,0xffffd980,0xffeb84ef,0x00003dff,0x3ffffb20,
    0xffffffff,0x3fb20dff,0xffffffff,0x20dfffff,0xffffffec,0xffffffff,
    0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03000000,0xb9100000,
    0x80003000,0x40088008,0x00003000,0x02006000,0x71000000,0x01000379,
    0x00200000,0x00020000,0x66e55400,0x980010ac,0x800104ec,0x000001b8,
    0x0001cb88,0x0055dd4c,0x65d4c000,0x22000aab,0x41bcdcb9,0x13b26000,
    0x31000004,0x26001577,0x2ccccccb,0x66664c00,0x98002ccc,0x2ccccccc,
    0x400072e2,0x0001efd8,0x01ffd300,0x007bf620,0xf9027f40,0x0bfea01f,
    0x00027f4c,0x70015751,0x5fdb989f,0x6c000000,0x4400ffff,0x03effeca,
    0x3f6e6000,0x64000004,0x500001ff,0xfffffffd,0xb001dfbf,0x545dffff,
    0x3ffa006f,0x6c000001,0xea801fff,0xffffeb8c,0x0000dfff,0x7fffff54,
    0x2202ffff,0xfffffffc,0x802fecff,0x22effffd,0x7edc06fa,0x3ffaa5ff,
    0x200cffff,0xfffffffb,0x3ff2004f,0x04ffffff,0x7ffffe40,0x3ff24fff,
    0xfffa8007,0x400004ff,0x5004fffa,0x007fffff,0x4c3dffd0,0x3e606ffe,
    0x3fee0dff,0xffc8003f,0x00dfffff,0x3ffee9fb,0x000005ff,0x0fffffc0,
    0x3fffff60,0x4c0004ff,0x004ffffe,0x1fffc000,0x7fff4000,0xffffffff,
    0x7fe403ff,0xfdefffdf,0xff8800ff,0x2000003f,0x804ffff8,0xfffffffe,
    0x2fffffff,0xffff9000,0xffffffff,0xfffff501,0xffffffff,0xfffc80df,
    0xffdefffd,0xffff500f,0x3ffff2bf,0x206fffff,0xfffffffd,0x3ffa004f,
    0x04ffffff,0x7fffff40,0x3ffa4fff,0xffb1001f,0x03dfffbf,0x7fff7000,
    0xbfffb100,0x4003dfff,0xfccfffd8,0x7d400eff,0xfffeaeff,0x7ff4c004,
    0xffffffff,0xff94fe82,0x0000bffd,0x5fffb800,0x456ffc40,0x0000ffd9,
    0x13ffbfea,0xff880000,0x7ec0005f,0xffffffff,0x405fffff,0xffd30cfd,
    0x6cc03fff,0xeeffffee,0x00000cee,0x8805fffd,0xffffffff,0xffffffff,
    0x7ffdc004,0xffffffff,0xffffa87f,0xffffffff,0x7ec07fff,0xffffd30c,
    0x7ffd403f,0xffffeeff,0x4fffffff,0xffffff50,0x7dc009ff,0x4fffffff,
    0x7fffdc00,0x3aa4ffff,0xffd1007f,0x3fffa65f,0x3fee0001,0xffe8801f,
    0x3fffd32f,0xffffb800,0x362003ff,0x01efffff,0x7ffffdc0,0xffffffff,
    0x088bfe0d,0x00000bff,0x08800600,0x0003ff98,0x027fc444,0xfff10000,
    0x7fc4000b,0xa99aceff,0x805ffffd,0x017dd900,0xffffffd8,0x04ffffff,
    0x09fd3000,0xffffff10,0xffb7579d,0x74007fff,0xbaacefff,0x7c42decc,
    0x99adffff,0x7fffffdb,0x7dd90080,0xfffd7001,0x37dfffff,0x05ffffd9,
    0x7ffd4ccc,0xa9998004,0x30004fff,0x89fff533,0xff5005f8,0x0bff701b,
    0x0077f400,0xb80dffb8,0xe88005ff,0x70001eff,0x30009fff,0x59dfffff,
    0xbfffffb7,0x5ff81ff2,0x00000000,0x5ffb1000,0x3fe20000,0x22000004,
    0x20005fff,0x4c05fffa,0x00003fff,0x3fffaa00,0xefffffff,0x00000001,
    0x03dffff1,0x07ffff4c,0x07fffc40,0x77ffec00,0x3fffe401,0x44000000,
    0x0dffffff,0x00dfffd0,0x0013ffe6,0x009fff30,0x89fff300,0x571000fd,
    0x0001c980,0x571000a6,0x0001c980,0x220000ee,0xffd0001c,0x3fa205ff,
    0x04ffefff,0x000017fe,0xe8800000,0x0006ffff,0x0013fe20,0x7ffd4c00,
    0x9999999d,0x3fffe600,0x02faa01b,0x1004cccc,0x98013333,0x00004fff,
    0x7fc40000,0xffd000ff,0xfff300bf,0xfff30009,0x3ffa003f,0xb9973006,
    0xf8800579,0x200effff,0x3007fff9,0x80009fff,0x0004fff9,0x2a4fff98,
    0x0000002f,0x00000000,0x00000000,0x3f200000,0xfc800eff,0x7c04ffff,
    0x0310005f,0x4c000c00,0x003fffff,0x4ff88011,0x3ee03000,0xffffffff,
    0x05ffffff,0x3ffffffa,0x6c00acde,0xa85fffff,0x06fffffe,0xa8a7ffcc,
    0x3001bcdc,0x33333333,0x81333333,0x22004fff,0x3101ffff,0x0009fff5,
    0x4009fff5,0x36a04ffb,0xffffffff,0xff1002ef,0xfd001dff,0xff3001ff,
    0xf980009f,0x980004ff,0x00ee4fff,0x40026662,0x33019998,0x33333333,
    0x40133333,0x09999998,0x33333300,0x33333333,0x4ccc4013,0xf3000999,
    0x74003fff,0xff805fff,0x3ffb8005,0x00ffd800,0x7ff65440,0x07ff6203,
    0x4004ff88,0x7fc44ffb,0xffffffff,0x2fffffff,0xffffff30,0x01dfffff,
    0xbffffff3,0xffffffd0,0xdfff980d,0xfffffffd,0x3ffe601d,0xffffffff,
    0x7dc6ffff,0x7fdc000e,0x7fff443f,0xc8004fff,0x4c001fff,0x3fffe602,
    0xffffffff,0xfff8804f,0xfffb000f,0x9fff3003,0xf3000b26,0x300009ff,
    0x5c009fff,0x0effffff,0x3fffff60,0x3fffe65f,0xffffffff,0xffa86fff,
    0x04ffffff,0xffffff98,0xffffffff,0xffffa86f,0x7004ffff,0xa800bfff,
    0xff806fff,0x3ffa6005,0xfff8005f,0x3fe60002,0x7ffff506,0x8027fc40,
    0xe86fffd8,0xffffffff,0xffffffff,0x3fff6600,0xffffffff,0x7ffffc43,
    0xffffc85f,0x7fcc06ff,0xffffffff,0xf301ffff,0xffffffff,0x0dffffff,
    0x7ffcc000,0x7ffffe44,0xfd8004ff,0x400000ff,0xfffffff9,0x2fffffff,
    0x02fffc40,0x003fff90,0xffbbfff3,0x7fcc003f,0x000dc44f,0x4009fff3,
    0xffffffff,0xfffff504,0x3fe63fff,0xffffffff,0xe86fffff,0xffffffff,
    0xffff9804,0xffffffff,0xffe86fff,0x04ffffff,0x001fff90,0xf00fffd0,
    0x3ff200bf,0x4c000eff,0x40004fff,0x7fec47fd,0x7fc405ff,0xffffb804,
    0xfdcb881f,0xccccceff,0x51001bcc,0xffffffb9,0xfcb989ff,0xcca885ff,
    0x7cc06fff,0xffffffff,0x306fffff,0xffffffff,0xdfffffff,0x55555554,
    0xaaaaaaaa,0x546fffaa,0x4fffffff,0x0fffd800,0xffc80000,0xea99abce,
    0x7c405fff,0x3f2005ff,0xff9801ff,0x03ffffff,0x893ffe60,0xf3004fff,
    0x7ec009ff,0x02ffffff,0xfffffff1,0x3fffe61f,0xffffffff,0xffd86fff,
    0x04ffffff,0xffffff98,0xffffffff,0xffffd86f,0xd004ffff,0x32000fff,
    0xaa980fff,0xa80aaeff,0x003ffffe,0x27fffe44,0x2226f2a0,0x3ee6ffca,
    0x2602ffff,0x81adffba,0x0cffffe9,0x05fff880,0x3100d400,0x20ffffb7,
    0xf805fff8,0x7fcc06ff,0x99bdffff,0x982ffffb,0xccccefff,0x2fffffec,
    0x3ffffffa,0xffffffff,0xa87fffff,0x04fffdcc,0x02fffb80,0x22000000,
    0x7c406fff,0x3f2005ff,0xff9802ff,0x00efffff,0xc93ffe60,0xf3007fff,
    0x5c4009ff,0x512cffff,0x3fb26355,0x3fe61cff,0xecccccef,0x882fffff,
    0xfffdccca,0xefff9804,0xffeccccc,0xca882fff,0x04fffdcc,0x000dfff0,
    0xf90bffee,0xffffffff,0x3ffff627,0x7fdc001e,0x7404ffff,0xffffffff,
    0xffffe99f,0x3fff600d,0x326fffff,0x001effff,0x0017ffe2,0xb002ffd8,
    0xff105fff,0xdfff00bf,0xfffff980,0x09fff901,0xf307fff1,0xfe83ffff,
    0xffffffff,0xffffffff,0x7fcc07ff,0xff98004f,0x0298006f,0xe84ccc40,
    0x7fc407ff,0x3ff2005f,0x7ff5402f,0x000cffff,0xf727ffcc,0x3e600dff,
    0xfd8004ff,0x3ffee1ff,0x207fff45,0xf983fff8,0x2001ffff,0x8804fff9,
    0xff983fff,0x26001fff,0xf8804fff,0xf50005ff,0xffea87ff,0xa9dfffff,
    0xdabfffff,0xfb01dffe,0x05dfffff,0xfffffc88,0xffffb8cf,0xb87ddb2e,
    0xeffffffe,0x4ffffe9b,0x9730bdd9,0x999dfffb,0xfff00379,0xfffb005f,
    0x0bfff107,0x980dfff0,0x2600efff,0xffd05fff,0xfffff983,0xfffffe81,
    0xffffffff,0x07ffffff,0x0027ffcc,0x00dffff8,0x404ffd88,0xffffffeb,
    0x4407ffff,0x32005fff,0xfb302fff,0x03bfffff,0x93ffe600,0x3002ffe8,
    0x70009fff,0x7ff47fff,0xdfff10ff,0xf307ffa0,0x8003ffff,0xd004fff9,
    0xfff983ff,0x7cc001ff,0xfff004ff,0x3fee000d,0xfd88002f,0xffb8dfff,
    0x6c4fffff,0x02dfffff,0x7f4c3300,0xff90cfff,0xfc88009f,0xff51efff,
    0xffff98df,0xffffffff,0x3fe202ff,0xa9acefff,0x1fffffca,0x805fff88,
    0x7cc06fff,0xfff804ff,0xf9837106,0xfb01ffff,0x555557ff,0xf5555555,
    0xff980fff,0xff50004f,0x5357bfff,0xfffffb95,0x3ffffaa0,0xffffffff,
    0x2fffc407,0x03fff900,0xfffffff7,0xff98000b,0x2000984f,0x8004fff9,
    0xff35fff9,0x3fea7fff,0x9837104f,0x001fffff,0x004fff98,0xfff98371,
    0xf98001ff,0xffd004ff,0x3ff2000f,0x7fdc001f,0xdff52fff,0x23ffd735,
    0x01effff9,0x3fff2000,0x3ffe61ef,0x3fea004f,0x3fe23fff,0x7ffdc6ff,
    0xffffffff,0x3e204fff,0xffffffff,0x4fffffff,0x00bfff10,0xf980dfff,
    0xfff804ff,0x3ffe6006,0x3ff201ff,0x7fc4002f,0x7ffcc05f,0x3fee0004,
    0xffffffff,0x84ffffff,0xfffffffb,0x7fffffff,0x02fffc40,0xf03fff90,
    0x9fffffff,0xfff98000,0xff980004,0xfff0004f,0x3fffff2f,0x005fff96,
    0x0fffffcc,0x4fff9800,0x3ffe6000,0xf30001ff,0x3f2009ff,0xfe8000ff,
    0x3fa2007f,0x3f20dfff,0xca7fcc0f,0x00006fff,0x0fffffaa,0x09ffffd1,
    0xdffffb10,0x6ffffd81,0x7fffffc4,0xffffffff,0x7ffff401,0xffffffff,
    0x3fe205ff,0x6fff805f,0x027ffcc0,0x98037ffc,0x401fffff,0x4004fffa,
    0x4c04fffa,0x40004fff,0xfffffffc,0x5fffffff,0xffffff98,0xfffeecdf,
    0x7ffc407f,0x3fff2005,0xfdfffe81,0x4c0004ff,0x80004fff,0x0004fff9,
    0xfff3fffb,0xffd3ffff,0x3fe6001f,0x20001fff,0x0004fff9,0x03fffff3,
    0x27ffcc00,0x05fffb80,0x037ffd40,0x2fffff98,0xffa81a88,0x005fffb3,
    0xffff7006,0xf9ff903d,0xffe8809f,0xdffa83ff,0xf75306fe,0x35555dff,
    0x3f3baa00,0xffffffff,0x7ffc401d,0x06fff805,0x4027ffcc,0xfa806fff,
    0x8801ffff,0x2000ffff,0x4c02fffe,0x80004fff,0xffffffc9,0xd01cffff,
    0x4037dfff,0x7c407ffe,0x3f2005ff,0x8cc981ff,0x0004fff9,0x0027ffcc,
    0x027ffcc0,0xfdfffb80,0xfdffffff,0xff5007ff,0x80003fff,0x8004fff9,
    0x01fffffa,0x27ffcc00,0x1ffff980,0x13fffa00,0x067ffdc0,0x43ffe600,
    0x4401fffd,0x3ff606fe,0x1bff503f,0xffa809ff,0xfff880df,0x7c406fe8,
    0x400005ff,0x09bffda9,0x0bfff100,0x406fff88,0xf804fff9,0x7fd406ff,
    0x3a001fff,0xf9006fff,0xf9801fff,0x200004ff,0xaacffc98,0x3ffe2009,
    0x7ffe801f,0x02fffc40,0x001fffb0,0x0009fff3,0x004fff98,0x04fff980,
    0xfffff300,0xfffff7ff,0xff500bff,0x00003fff,0x8009fff3,0x01fffffa,
    0x4fff9800,0x3bfff200,0x6fffc800,0x00776200,0xb8bffee0,0x7d405fff,
    0x19d300ff,0x223ffe20,0x2ed804ff,0x7f4bff60,0x37ffc406,0x007bae60,
    0x4001ffdc,0xc880ffff,0x4c06ffff,0xff804fff,0x3ffea06f,0x87fb01ff,
    0x01effff8,0x05ffffb1,0x009fff30,0x07ff5000,0x037ffcc0,0x0fffff71,
    0x005fff88,0x4c01fffe,0x40004fff,0x0004fff9,0x004fff98,0x3fffffe0,
    0xfffffc8f,0x7ffd403f,0x07fb01ff,0x013ffe60,0x1fffffa8,0x26007fb0,
    0x74004fff,0xd102ffff,0x0005ffff,0x3fff2000,0x67fffcc2,0x7fff5cc1,
    0x3ff60002,0x0009ff13,0x7f4bff70,0xefffe806,0xfffecaaa,0xff7005ff,
    0xffe800bf,0xffdbabef,0x02dfffff,0xf009fff3,0x3fea0dff,0xff501fff,
    0xfffff70f,0xfffb757b,0x3e6009ff,0x800004ff,0x2005fffa,0xaaceffff,
    0xffffffdb,0x7edc2def,0x9881dfff,0x004fffe9,0x0009fff3,0x004fff98,
    0x04fff980,0x3ffff600,0xfffff35f,0x7ffd403f,0xfff501ff,0x13ffe600,
    0x7ffffd40,0x00fff501,0x0013ffe6,0x9dfffff3,0xfffffb75,0x3000000b,
    0x3201dffd,0xfeffffff,0x02ffffff,0xfffff300,0x0009ffff,0xfffffff8,
    0x7fe406ff,0xffffffff,0x4c04ffff,0x00ffec99,0x3ffffee0,0xffffffff,
    0x3660ffff,0x44effffe,0xeffffec8,0xfffff50c,0xfddddddf,0xffb03fff,
    0xffffffff,0x2601dfff,0xffffeeec,0x0003deee,0x1ffd9333,0x3ffff200,
    0xffffffff,0x0fffffff,0xfffffff5,0xfffffa8d,0x776dc0ff,0xeffffeee,
    0x2e0ceeee,0xffeeeeed,0xbdeeeeff,0x77776dc0,0xeeeffffe,0x7dc00bde,
    0x3fa2ffff,0x3ea07fff,0xeeefffff,0x1ffffeee,0x3bbbbb6e,0xeeeeffff,
    0xffff50bd,0xddddddff,0x6dc3ffff,0xfffeeeee,0x0bdeeeef,0xffffff70,
    0xbfffffff,0xb8000001,0x7c404fff,0xffffffff,0x002fffff,0xffffff50,
    0x4000dfff,0xfffffff8,0x7ec00fff,0xffffffff,0x7c00dfff,0x00ffddff,
    0x7ffffe40,0xffffffff,0x3ffa0fff,0x22ffffff,0xfffffffd,0xfffff93f,
    0xffffffff,0x3ea03fff,0xffffffff,0x7ff403ff,0xffffffff,0xf8001fff,
    0x00ffddff,0x3fffff60,0xffffffff,0xf50fffff,0x8fffffff,0x3ffffffc,
    0x7fffffd4,0xffffffff,0xfff55fff,0xffffffff,0x49ffffff,0xfffffffa,
    0xffffffff,0x7fcc04ff,0x7ffdc7ff,0x3fff205f,0xffffffff,0xf51fffff,
    0xffffffff,0xffffffff,0x3fffff29,0xffffffff,0xfff51fff,0xffffffff,
    0x09ffffff,0x7fffff4c,0x003fffff,0xfffd8000,0x40a9999c,0xffffffd8,
    0x001cffff,0x26666620,0x80005ffb,0xffa99999,0xffb8800f,0xceffffff,
    0xffffb001,0x3f20009f,0x9cffffff,0x743dffff,0xffffffff,0x3fffff61,
    0xfff93fff,0xffffffff,0x403fffff,0xffffffd8,0xfff801df,0xffffffff,
    0xd8001fff,0x004fffff,0xffffffb8,0xfffeadff,0x7ff643df,0x7fc42dff,
    0xffa84fff,0xffffffff,0x5fffffff,0xfffffff5,0xffffffff,0x7ffd49ff,
    0xffffffff,0x04ffffff,0x444ffff8,0x3203ffff,0xffffffff,0xffffffff,
    0xffffff51,0xffffffff,0x3ff29fff,0xffffffff,0x51ffffff,0xffffffff,
    0xffffffff,0xfff7009f,0x003bffff,0xfff30000,0x9fffffff,0x3fffb6a0,
    0x00000bde,0x6fffffa8,0x3fe20000,0x1000ffff,0x01579955,0x2b7ae600,
    0x65cc0000,0xfda8001a,0x4c4effff,0xcefffffd,0xffffff90,0xffffffff,
    0x2a2003ff,0x6d4001ab,0xffffffff,0x20004eff,0x000adeb9,0x55997510,
    0x10000001,0x76401575,0xffffffff,0x1dffffff,0x3fffffb2,0xffffffff,
    0x7ff640df,0xffffffff,0x800dffff,0xfc81fffd,0x3ff201ff,0xffffffff,
    0x21ffffff,0xffffffec,0xffffffff,0xfffff90d,0xffffffff,0x7f643fff,
    0xffffffff,0x00dfffff,0x002aea20,0xff300000,0xffffffff,0x0000200b,
    0x7fff4c00,0x6c00004f,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x67644000,0x01100080,
    0xb80000c4,0x8801cccc,0x001abba9,0x0d5dd4c0,0x59530000,0x00000015,
    0x00000000,0x02aea200,0x32a62000,0x010000ab,0x33333000,0x33333333,
    0x00333333,0x55797530,0x3332e201,0x4c00002c,0x2ccccccc,0x3332a000,
    0x332e6004,0x000001cc,0x6f7f6dc4,0x5300001c,0x00000357,0x2e200000,
    0x01cdefed,0x06e20080,0x5bfffd91,0x7fffecc0,0x7fec02df,0x1bea2fff,
    0xf507ff70,0xfa80009f,0x2a02ffff,0xfffffffd,0x3ee2002e,0xbfffffff,
    0xb7003ec8,0xdfffffff,0x54009d77,0xfffffffd,0x20ceffff,0xefffffec,
    0x3fffae0c,0xb801dfff,0xdfffffff,0x7fe44000,0xcadfffff,0x07fe401e,
    0xaaad8800,0xaaaaaaaa,0x1caaaaaa,0xffffd500,0x445fffff,0x04ffffff,
    0x3fff2000,0x004fffff,0x01ffff20,0x7fffffd4,0xb3000003,0xffffffff,
    0x220005df,0x3ffffffe,0xffffd980,0xfffb303e,0xfb3007df,0xffffffff,
    0xdfd3005d,0x26fffb87,0xfffffffc,0xfffffb00,0x3ee01fff,0xdefffdff,
    0x3fe00fff,0x07ffe86f,0x3fffe200,0xffeb82ff,0xffffffff,0xfffa805f,
    0xffffffff,0x2200ffff,0xfffffffd,0x0fffffff,0xfffff880,0xffffffff,
    0xffff54ff,0x227fffff,0xffffffff,0x3ffa605f,0xffffffff,0xffff5002,
    0xffffffff,0x3fff80df,0x00071000,0x3f2006a0,0xffffffff,0xfff50fff,
    0x00009fff,0x7ffffff4,0x320004ff,0xf9007fff,0x007fffff,0xffff7000,
    0xfffd759b,0xffa800bf,0x5fffffff,0x7fffffc0,0xffff82ff,0x2e02ffff,
    0xbacdffff,0x405ffffe,0x3e1ffffe,0xff92ffff,0x6c0fffff,0x7fffffff,
    0x74c33f20,0x402fffff,0xffc85ffd,0x3ff20006,0xff82ffff,0xffffffff,
    0x2e04ffff,0xffffffff,0xffffffff,0xffffd302,0xffffffff,0x3e005fff,
    0xffffffff,0x54ffffff,0xffffffff,0x3fffe27f,0x705fffff,0xffffffff,
    0x80bfffff,0xfffffff9,0xffffffff,0x0bfff100,0x0000e200,0x3fea00d4,
    0xffffffff,0x7fff47ff,0x200004ff,0xfffffffb,0x3f20004f,0xfd3007ff,
    0x0007ffff,0x02fffc80,0x03bff6a2,0x3ffffe20,0x04ffffff,0x3ffffffe,
    0x7fffc43f,0xf902ffff,0x6d4405ff,0xff880eff,0x3ffe3fff,0xfff912ff,
    0x764c05bf,0x402dffff,0x017dd700,0x71017710,0x3e200019,0x82ffffff,
    0xbdefffff,0x1fffffdb,0xefffffa8,0xfffecabd,0xff982fff,0xbabdffff,
    0x3fffffec,0xffffb500,0xdfffffff,0x7fff5c19,0x36a0beff,0x0cefffff,
    0xefffff98,0xffffdbac,0xfffd104f,0xffb759ff,0x2201ffff,0x10005fff,
    0x06a00007,0x59dfffd0,0x05bd9955,0x009fff51,0xf5333000,0x540009ff,
    0x44004ccc,0x0003fffb,0x0037fee0,0xc805ffa8,0xebbdffff,0x36a06fff,
    0x80dfffff,0x4efffffa,0x001bff70,0xfd82ffd4,0x3ff20fff,0x0fffd87f,
    0x03fff600,0x00000000,0x3ff60000,0xf82fffff,0xfd100eff,0xfff88bff,
    0x3fa602ff,0xffe82fff,0x7fd401ff,0xf80003ff,0xff8807ff,0xfff5005f,
    0x7ffff407,0xffffd102,0x3ffff503,0x3ffff620,0x0bfff100,0x0000e200,
    0xfff100d4,0x7cc0001f,0x000004ff,0x0027ffcc,0x3ea00000,0x300003ff,
    0x2aaa6bff,0xff9809aa,0x17fff403,0x4c01ffec,0xd103ffff,0x7cc09fff,
    0x2ccb985f,0x441ffcc3,0x2b981deb,0x001fffb0,0x0007ffec,0x0006f2e2,
    0xf5000000,0x5fffbfff,0xa80bffd0,0x7fe46fff,0xffd002ff,0xffffb85f,
    0x5fff7001,0xffff0000,0x0bfff100,0x40fffea0,0x800efffc,0xfc86fffc,
    0xfff804ff,0xfffa980f,0x9999999d,0x00007100,0xfff9806a,0x7fcc0004,
    0x4000004f,0x0004fff9,0x7fd40000,0xfb00003f,0xfffff51f,0xfb819fff,
    0x1bffe00f,0x3f2001a8,0xffc80fff,0x3ff600ef,0x3ffff220,0x3fee3fff,
    0xfd800000,0x3f6000ff,0xfda800ff,0x3dffffff,0x26666200,0x3a000099,
    0xfffbcfff,0x802ffc82,0x7ffc7ffe,0x3fee002f,0x17fffc1f,0x01fff100,
    0x0ffff000,0x00bfff10,0x260fffea,0x2001ffff,0x7ec4fffe,0xffc800ff,
    0x7ffffe46,0xffffffff,0x003885ff,0x53103500,0x3333bfff,0x3fe60033,
    0x59b9514f,0xff980003,0x9988004f,0x40009999,0x9883fffa,0x3e600999,
    0xddff912f,0xff07ffdd,0x037ffc07,0x3fffa000,0x0ffffd45,0xfe85ff30,
    0x5fffdbef,0x4c001ffc,0xfffd80ac,0x3fff6000,0x7fffe400,0xefffffff,
    0x3fffea01,0x0004ffff,0xf71ffff7,0x006605ff,0xfa9fffe2,0x7c4007ff,
    0x3fffcc7f,0x000e4c00,0x807fff80,0x5005fff8,0xff707fff,0xffa8009f,
    0x1fffdc6f,0xf11ff440,0xffffffff,0xffffffff,0x00003885,0x7fff4435,
    0xffffffff,0x7cc04fff,0xffffddff,0x0000dfff,0x4009fff3,0xfffffffa,
    0x7fd4004f,0x3fffaa3f,0xfc80efff,0x7cc2fd86,0x3a06fd86,0x400007ff,
    0xf13ffff9,0xfc809fff,0x7417fdc6,0x0037ec5f,0x361ffff2,0x36000fff,
    0x3fa00fff,0xffffffff,0xd01fffff,0xffffffff,0xfff10009,0x0bffee7f,
    0xdfff9000,0x002fffdc,0x3fee0544,0x0000004f,0x807fff80,0x5005fff8,
    0xff907fff,0xffd0001f,0xcffff98f,0xfffd0000,0xffffffff,0x881fffff,
    0x43500003,0xfffffffc,0xffffffff,0x3ffe600f,0xffffffff,0x98000eff,
    0x3a004fff,0xffffffff,0x7ffd4004,0x3fffffa3,0x4fe83fff,0x1fe82fd8,
    0xfc807fdc,0x400001ff,0xfd8ffffb,0x4fe806ff,0x3f9827f4,0x88007fdc,
    0x6c2fffff,0x36000fff,0xff900fff,0x75359fff,0x01dffffb,0xfffffffb,
    0xff90009f,0x17ffdcdf,0xfffe9800,0x0bfff23f,0xfffc8000,0x00000002,
    0x8807fff8,0xf5005fff,0xfffd07ff,0x3fff2000,0x7fffff41,0x71000ace,
    0x99dfffb9,0x03799999,0x2a000071,0x3ffffea1,0xffffffff,0x7fcc06ff,
    0xffffffff,0x8006ffff,0x2004fff9,0xfffffffd,0x7fd4004f,0x3ffff63f,
    0xff81ffff,0x3262fd83,0x21ff987f,0xdfffdaa8,0x80000aaa,0xfffffffe,
    0x23ff801f,0x20201ff8,0x3e001ff9,0x7ec1ffff,0x3f6000ff,0xfff880ff,
    0x3fee00df,0xcca884ff,0x004fffdc,0x70ffffcc,0xa8005fff,0x46fffffe,
    0x0000fffd,0x003fff60,0x3e000000,0xff8807ff,0xfff5005f,0x00dfff07,
    0x10bffee0,0xfffffffd,0x22005bff,0x10005fff,0x06a00007,0xdfffb993,
    0x17999999,0xfffff980,0xffdb9acf,0x7cc000ff,0x2a2004ff,0x4fffdccc,
    0x9fffd400,0xcfffffe8,0xb03ff01b,0x5ffffddf,0x7fd4bfe0,0xffffffff,
    0x4c0003ff,0x4fffffff,0x7cc3ff00,0x05ff0006,0x42fffdc0,0x2000fffd,
    0xfb80fffd,0xff7005ff,0x3fe600df,0x7ff4004f,0x17ffdc5f,0xfffff880,
    0x7fec0dff,0x3600000f,0x00000fff,0x7fff8000,0x05fff880,0x887fff50,
    0x50005fff,0xfb107fff,0xffffffff,0xff8801df,0x0710005f,0x9806a000,
    0x40004fff,0x02fffff9,0x8007fff9,0x0004fff9,0x0027ffcc,0x3eafffea,
    0x800effff,0xfffd82ff,0x3fe02fff,0xffffffb2,0x0bffffff,0xffff7000,
    0x17fc00df,0x3e000df3,0x0544002f,0x000fffd8,0x3603fff6,0x3e000fff,
    0xf9800fff,0x3ea004ff,0x7fdc0fff,0xfff3002f,0x3f607fff,0x200000ff,
    0xb300fffd,0xffffffff,0x00f6cc5b,0x8807fff8,0xf5005fff,0xdfff07ff,
    0x3ffee000,0x3fff6a02,0x1fffffff,0x017ffe20,0x80001c40,0x3ffe601a,
    0x7fcc0004,0x3fe600ef,0x7fcc005f,0x7cc0004f,0x7d4004ff,0xfffffeff,
    0x20ffa004,0x5ffbacfd,0x3ea3ff30,0xffffffff,0x88002fff,0xffffffff,
    0x202fffff,0x03fe23fe,0x883ff300,0xffb0001a,0xfb01301f,0xbfff01ff,
    0x2fffc800,0x04fff980,0x07ffff10,0x2005fff7,0x00cffff9,0x0003fff6,
    0x00fffd80,0xfffffffd,0x7fe4dfff,0x0ffff004,0x00bfff10,0x3a0fffea,
    0xf90007ff,0x2e6003ff,0x7fffffec,0x017ffe20,0x80001c40,0x3ffe601a,
    0x7fcc0004,0x6fff804f,0x27ffcc00,0x3ffe6000,0x7ffd4004,0x003fffff,
    0x17ec2fec,0xff709ff3,0x7ed55441,0x000aadff,0x3f7332e0,0x0bccceff,
    0x9ff17f60,0x20ffb800,0x8006fffb,0x7f40fffd,0x07ffec0f,0x0013ffe6,
    0x3009fff3,0x32009fff,0xaaabffff,0x003fffda,0x3200fffe,0x00002fff,
    0x6c07ffee,0xffffffff,0x1fffa6ff,0x403fffc0,0x5005fff8,0xff907fff,
    0xffd0001f,0x7e44000f,0xff102fff,0x0e2000bf,0x300d4000,0x80009fff,
    0xf804fff9,0x7cc006ff,0x4c0004ff,0x54004fff,0x3fffffff,0xd87fb800,
    0x217fcc2f,0x7fdc05fe,0x3000003f,0xb8009fff,0x05ffdc7f,0x8bfd1bea,
    0x002fffff,0xf107ffec,0xfffe85ff,0x02fffc40,0x00fffea0,0x2013ffe6,
    0xfffffff8,0xffffffff,0x0efb801f,0x04fffb80,0x3ffe6000,0xdddd9303,
    0x743dfffd,0xfff007ff,0xbfff100f,0x0bffea00,0x0013ffee,0xdb8dfff5,
    0x3ffea002,0x0bfff104,0x0000e200,0xfff300d4,0xff980009,0x6fff804f,
    0x27ffcc00,0x3ffe6000,0x7ffd4004,0x002fffff,0xfff34ff8,0x77fdc3ff,
    0x6c02ff88,0x00002fff,0x009fff30,0xffd89ff0,0x23fffdef,0x3fe22ff8,
    0x6c003fff,0x3fea0fff,0x83fff43f,0x2000fffe,0x9801fffc,0xf8804fff,
    0xffffffff,0x4fffffff,0xff880000,0x088001ff,0x0037ffc4,0xfd0fffee,
    0x3ffe00ff,0x0fffd005,0x207fff20,0x001ffff9,0xf993fffa,0x3fe000ff,
    0xbfff106f,0x000e2000,0xff300d40,0xf980009f,0xfff804ff,0x7ffcc006,
    0x7fcc0004,0x7fd4004f,0x3fffffff,0x4cffe400,0x6c1fffff,0x806fe8ef,
    0x0001ffff,0xfffffe88,0x2fffffff,0x2e0ffe40,0x43dfffff,0xfffc86fe,
    0x7fec000f,0x13ffea0f,0x3f20dfff,0xff5005ff,0x3fe600ff,0xfff8804f,
    0xffffffff,0x002fffff,0xdfffb000,0x17fd4001,0x800ffffa,0x7f43fffb,
    0xfffa807f,0x7fff9004,0x07fff980,0x003bfff2,0xf71bfff2,0x3ea009ff,
    0xfff106ff,0x00e2000b,0xf300d400,0x980009ff,0xff804fff,0x7fcc006f,
    0x7cc0004f,0x7d4004ff,0xffff9cff,0x77f4004f,0x1ffc8000,0x03fffcc0,
    0x32e00e54,0xcefffdcc,0xfe801ccc,0x902a980e,0x2b2603ff,0xfffd8000,
    0xb93ffea0,0xff305fff,0x7dc01bff,0xf3004fff,0x332009ff,0xcccccccc,
    0x001cfffe,0x3ffe6000,0xffc802ff,0x7fffd46f,0x7fe4400c,0x17fff43f,
    0x05ffff50,0x0ffffea0,0x02ffffcc,0x40bffffa,0x42ffffe8,0x00cffffc,
    0x413fffe6,0x2207fff8,0x0711eeb9,0x9806a000,0x40004fff,0xf804fff9,
    0x7cc006ff,0x4c0004ff,0x54004fff,0xffd13fff,0x7c400bff,0xfd1003ff,
    0xffe9807f,0x7ffc405f,0x3ffe6000,0xfff10004,0x3ffa2007,0xc8800003,
    0xf51dffff,0xfff97dff,0x7ffec07f,0xecaabcff,0x000fffff,0x0009fff3,
    0x02fffb80,0x70006a20,0x79dfffff,0xffffb955,0xffffb09f,0xdb7579bf,
    0xe87fffff,0xabcfffff,0x0effffdb,0x3ffff600,0xfffdbabe,0x7fcc00ff,
    0xdbacefff,0xc85fffff,0xcdffffff,0xffffecaa,0x3fffe01f,0xffecaace,
    0x00715fff,0xf9806a00,0x4c0004ff,0xff804fff,0x7fcc006f,0x7cc0004f,
    0x7d4004ff,0x3ffa23ff,0xf3000dff,0xb9815dff,0x2203fffd,0xeefffffc,
    0xfeeeeeee,0x36e202ff,0xeeffffee,0x3fe6001c,0x6dcc0aef,0x00003fff,
    0xffffff90,0x3ffffeaf,0x4405ffff,0xfffffffe,0x2fffffff,0xeeeeedb8,
    0xeeeeffff,0xdb7000bd,0x017dfffd,0x007fffc8,0x7fffffe4,0xffffffff,
    0xfff880ef,0xffffffff,0x43ffffff,0xfffffffe,0x0effffff,0x7fff4400,
    0xffffffff,0xfff7002f,0xffffffff,0xff701bff,0xffffffff,0x07ffffff,
    0xffffffc8,0xffffffff,0x20000715,0x3bbb261a,0xeeeeffff,0xdb300bde,
    0x887bffff,0x4effffec,0x777776dc,0xeeeeffff,0x3bb6e0bd,0xeffffeee,
    0x2e0bdeee,0xe83fffed,0x2deeffff,0x7fffec40,0xefffffef,0x7fffec01,
    0xffffffff,0x00ffffff,0x3fffffee,0x006fffff,0x7ffffec4,0x1efffffe,
    0x3f200000,0x88ffffff,0xfffffffe,0xffd8800e,0xffffffff,0xfffa81ef,
    0xffffffff,0x04ffffff,0xffffffa8,0x7fc03fff,0x54002fff,0xffffffff,
    0x404fffff,0xffffffc8,0xffffffff,0x7ffe440b,0xffffffff,0xfb10000d,
    0xffffffff,0xfe98005f,0xffffffff,0x3ffe602f,0xffffffff,0xd003ffff,
    0xffffffff,0x221bffff,0x43500003,0xfffffffe,0xffffffff,0xfffffb03,
    0x7fe43fff,0x52ffffff,0xffffffff,0xffffffff,0x3fffea9f,0xffffffff,
    0xf74fffff,0x887fffff,0xffffffff,0xffd9800f,0x02efffff,0xffffffb0,
    0xffffffff,0xfb80bfff,0xffffffff,0xb30006ff,0xdfffffff,0x10000005,
    0x45bfffd9,0xdfffffe8,0x7f64c000,0x03dfffff,0x3fffffea,0xffffffff,
    0xfb804fff,0xffffffff,0x7fffe404,0xfeb88000,0xdeffffff,0x3fb22002,
    0xefffffff,0xfffd5002,0x0007bfff,0x3ffffea0,0x20000dff,0xfffffffb,
    0x9bec800d,0xfffffffc,0x2e2000cf,0xffffffff,0x001c41cf,0x3ffe1a80,
    0xffffffff,0xd04fffff,0xffffffff,0x7ffffec5,0xfff53fff,0xffffffff,
    0x29ffffff,0xfffffffa,0xffffffff,0xffff74ff,0xfff887ff,0x00ffffff,
    0x2aaea620,0x7fecc000,0xffffffff,0x803effff,0xfffffec8,0x0002dfff,
    0x0555d4c4,0x00000000,0x00037530,0x002f2a20,0xfffffec8,0xffffffff,
    0xec8800df,0x0cefffff,0x000ab980,0x1bcaa880,0x2ea60000,0x200009ab,
    0x00001ba9,0x006aea20,0x15751000,0x2ea60000,0x440001ab,0x009accaa,
    0x33333362,0xcccccccc,0x2a1dcccc,0xfffffffd,0x0cefffff,0xfffffb50,
    0xfffd989d,0x3b20ceff,0xffffffff,0x0dffffff,0x3fffffb2,0xffffffff,
    0xffd910df,0xffd707ff,0x0007bfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00209d93,0xfffffd88,0x002effff,
    0x00000000,0x3bbba000,0x00000005,0x00000000,0x00000000,0x00000000,
    0xca988000,0x000009bd,0x00000000,0x00000000,0x06f5c400,0x6d400008,
    0x703effff,0x09dffffb,0xfffffec8,0xffffffff,0xeb82ffff,0xffffffff,
    0xa800acdf,0x04effffd,0x7dffffb5,0xfffffd98,0xffb504ef,0x445bffff,
    0xfffffffd,0x8001dfff,0x22effffd,0xff5006fa,0xffffffff,0x7f6440bf,
    0xffffffff,0x75c02cde,0xffffffff,0xffffffff,0xffff984f,0x75c00004,
    0x20ceffff,0xcfffffdb,0x3ffffee0,0xffffffff,0x15ffffff,0xfffffff9,
    0x5bffffff,0x3fbb2a00,0xffffffff,0x75c2ffff,0x4effffff,0x77ffff64,
    0xffffb804,0x002effff,0x3fffff6a,0x88007fff,0xffffffec,0x2001dfff,
    0x05ffffeb,0x9fffff30,0xffffb801,0x007fa63f,0xffffff80,0x7ffc42ff,
    0x502fffff,0xffffffff,0xffffffff,0xff985fff,0xffffffff,0x202fffff,
    0xfffffff8,0x7fffc42f,0x3f62ffff,0xffffffff,0xffffff82,0x3fee7fff,
    0xffffffff,0x7e4005ff,0xdefffdff,0x95000fff,0x99999999,0x7ffdc017,
    0xffffffff,0x981dffff,0xffffffff,0xffffffff,0xffc84fff,0x200000ff,
    0xfffffff8,0xfffff14f,0x7fdc9fff,0xffffffff,0xffffffff,0xfffff95f,
    0xffffffff,0xfea80dff,0xffffffff,0xffffffff,0x3ffffe62,0xf52fffff,
    0x5fffffff,0x3ffffa60,0xdfffffff,0xfffff800,0x02ffffff,0x7ffffdc0,
    0x5fffffff,0xfffff100,0xffb001ff,0x540bffff,0xffffdfff,0x0001fffd,
    0x3ffffffe,0x7fffc42f,0xf502ffff,0xffffffff,0xffffffff,0xfff885ff,
    0xffffffff,0x00dfffff,0xffffffff,0xfffff885,0x3ff21fff,0x1fffffff,
    0xfffffff8,0x3ffee6ff,0xffffffff,0x67ec005f,0xfffffd30,0x00000003,
    0xfffffff7,0xffffffff,0xfff985ff,0xffffffff,0xffffffff,0x03fffe84,
    0x7ffc4000,0xf14fffff,0x9fffffff,0x7fffffdc,0xffffffff,0xf95fffff,
    0xffffffff,0x0dffffff,0x7fffffe4,0xffffffff,0x262fffff,0xffffffff,
    0xffff52ff,0xf305ffff,0xffffffff,0x00dfffff,0xffffffff,0xb800bfff,
    0xffffffff,0x1004ffff,0x9fffffff,0xfffff880,0x37ee04ff,0xfffffb11,
    0xfd980007,0xf503ffff,0x807bffff,0xfbffffdb,0xffffffff,0xfda82fff,
    0xffffffff,0x05ffffff,0x9fffffb5,0x3ffffea0,0x7ff6c43e,0xb303dfff,
    0x3bdfffff,0x7fffedc4,0x00ceffff,0x7dd90080,0x00000001,0x3ffff6e2,
    0xffffffff,0x6dc0ffff,0xffffffff,0xffffffff,0x3fffc44f,0xfea80000,
    0x2a0befff,0x0cfffffd,0x3fffffee,0xffffffff,0x715fffff,0xfffffffd,
    0x039dffff,0x3ffffffa,0xffffffff,0x42ffffff,0xffffffdb,0x7fffec3d,
    0xffe883df,0xdb9aceff,0x404fffff,0xffffffd9,0x2000ffff,0xfffffeb8,
    0x000cefff,0x3fffffaa,0x3fff200f,0x0400cfff,0x000bfea8,0x3fffe600,
    0x9ffff102,0xbcffc800,0xffb83fff,0x1bffe02f,0x7ffff5cc,0x3fffee03,
    0xbffff304,0x03fffd00,0x00ffffc0,0x000bffee,0x4c000000,0x26200999,
    0x7dc00999,0xff7102ff,0x3fe60bff,0xfff9804f,0x01fffd44,0xfff30000,
    0x5fff8809,0x543fffb8,0x7fc43fff,0x7ffcc05f,0x3fff2004,0xffb8acef,
    0x2fffb82f,0x209fff30,0x03fffffa,0x00fffff6,0x003ffffb,0x7fffffcc,
    0x7f40004f,0xf980007f,0x203fffff,0x06ffffff,0x00000000,0x407fffe4,
    0x8006fffd,0xfffbaffe,0x02fffb83,0xd101bffe,0x6401ffff,0x7c42ffff,
    0xb800efff,0xf5005fff,0xff700dff,0xffffffff,0x262007bd,0x00099999,
    0x0bfffffb,0xdfffffd5,0x02fffb80,0x983fffd4,0xf9804fff,0x37fec4ff,
    0xccba8666,0xfff3000a,0x5fff8809,0x543fffb8,0x7fc43fff,0x7ffcc05f,
    0xffff5004,0x2fffb81d,0x302fffb8,0xff709fff,0x7c405fff,0xfb003fff,
    0x7ec00bff,0x07fffdff,0x03fff400,0x7fffcc00,0xfff706ff,0x9880dfff,
    0x336ea099,0xe800001b,0x7fdc5fff,0x7c4001ff,0x3fffb8ff,0x202fffb8,
    0xf8806fff,0x7ec03fff,0x3ffa1fff,0xff1000ff,0xffd001ff,0xfff7005f,
    0xffffffff,0x3ea03dff,0x4fffffff,0xfffff980,0xffffe85f,0x7fdc06ff,
    0xfffe802f,0x84fff981,0x0fffe208,0x3ff65fff,0xffffdaff,0xff9802ff,
    0x7ffc404f,0x43fffb85,0x7c43fffa,0x7fcc05ff,0xfffb004f,0x5fff701d,
    0x205fff70,0x7ec4fff9,0x5401ffff,0xccccffff,0xfccccccc,0xff1007ff,
    0x5fffb1ff,0x3fff4000,0x7ffcc000,0xfe82ffff,0x106fffff,0xd5bffffd,
    0x1bffffff,0x7fcc0000,0xffff12ff,0xdff70009,0x5d4fffee,0x200fff98,
    0xf3006fff,0xfe880fff,0xfffd8fff,0x7fec002f,0x7ffcc03f,0xffff7007,
    0xffffffff,0xffd05fff,0x09ffffff,0xffffff10,0xfffff90b,0xfffb80df,
    0x2fffb802,0x544fff98,0x87ffa2ff,0xfff36ff9,0xffffffff,0xf9805fff,
    0x7fc404ff,0x2fffa85f,0x221fffd4,0x7cc04fff,0xff8804ff,0xfff701ff,
    0x3fe62ea5,0x9fff300f,0x3bffff62,0xffffb800,0xffffffff,0x0fffffff,
    0x55fffb80,0x4000bfff,0x80007ffe,0xfffffff9,0x7ffffd46,0xfff706ff,
    0xffffffff,0x005fffff,0x7fffe400,0x006fffd8,0x3ee7ffb0,0xb5ffabff,
    0x6fff809f,0x03fffe00,0xffffff10,0x30007fff,0xfc80ffff,0xff7004ff,
    0x5333337f,0xb0dffff9,0xffffffff,0x3f2e6009,0xcca885ff,0x7dc06fff,
    0xffd802ff,0x4fff980f,0x02a2ffec,0x3fe25ff7,0xffffffff,0x200fffff,
    0x4404fff9,0xff985fff,0x1fffd40f,0x2601fffc,0xfb804fff,0x3fee06ff,
    0xfb5ffaaf,0x67ffcc09,0x0dffffe8,0xfffffb00,0xffffffff,0x05ffffff,
    0x7c3fffd0,0xd0000fff,0x30000fff,0xffff9fff,0x7dfffec3,0xfff306ff,
    0xffffffff,0x00dfffff,0xffffe800,0x0001ffff,0x3fee3fff,0x807ffecf,
    0xcffffcb9,0xffb01ccc,0xfff3003f,0x000bffff,0x8817fff4,0x7000ffff,
    0xfa805fff,0x65441fff,0x04fffdcc,0x02fffc40,0x2e037ffc,0x7dc02fff,
    0xfff306ff,0xffff555b,0xe98dfb00,0x9acfffff,0x202ffffc,0xaaadfff9,
    0xfffbaaaa,0xf50bfb05,0x1df707ff,0x04fff980,0x204fffc8,0xffecfffb,
    0x3ffe6007,0x05fffffe,0x7ffffe40,0xffffffff,0x02ffffff,0x3237ffd4,
    0xd0004fff,0x30000fff,0xfff79fff,0x23fffe6b,0x32606fff,0xacffffff,
    0x3ffffda9,0x3fe60000,0x003fffff,0x7dcfff50,0x0fffffff,0x3ffffe60,
    0x2fffffff,0x002fffb8,0x0dfffff7,0x5fffb800,0x00bfff70,0x4017ffdc,
    0x9802fffe,0x44004fff,0xff805fff,0x7ffdc06f,0xffff9102,0x3fffe609,
    0x07ffffff,0xfff90398,0x9fff707f,0x7ffffcc0,0xffffffff,0x540205ff,
    0x00103fff,0x2013ffe6,0x2e02fffc,0xffffffff,0xffff3000,0x009fffff,
    0xaaefffa8,0xaaaaaaaa,0x400aaaaa,0x7c43fffd,0xfd0007ff,0xf30000ff,
    0xffff19ff,0x3e9fff93,0x7fc406ff,0xff702fff,0xb800009f,0x006fffff,
    0xfb93ff20,0x0fffffff,0x3ffffee0,0x4fffffff,0x003fffa8,0x07fffff1,
    0x3ffff000,0x005fffd0,0x4017ffdc,0x9802fffc,0x44004fff,0xff805fff,
    0x7ffdc06f,0xfffeeeee,0x3e606fff,0xffffffff,0x7e40007f,0xfff104ff,
    0x7fffcc0b,0xffffffff,0xa8005fff,0x40003fff,0xd804fff9,0x3ee00fff,
    0x0fffffff,0xfffff300,0x00bfffff,0x01ffffc4,0xfff88000,0x2fffd80f,
    0x07ffe800,0x4fff9800,0xfffbfff9,0x01bffe1f,0x403ffff1,0x0006fff8,
    0x1ffffe80,0x2fffe000,0xfffffc99,0x3e200fff,0xffffffff,0xffa81fff,
    0xfffd003f,0x80003fff,0x7cc4fffc,0x7dc006ff,0xfff802ff,0xfff9800f,
    0x7ffc4004,0x06fff805,0x7fffffdc,0xefffffff,0x3fffe600,0x07ffffff,
    0x0fffe400,0x206fff88,0xfffffff9,0xffffffff,0xfffa8005,0x7fcc0003,
    0xfffd804f,0x3fffee02,0x3000ffff,0xffffffff,0x6c00bfff,0x1002ffff,
    0xffb80375,0xb99999df,0xe8005fff,0x980007ff,0xfff14fff,0x7fcbffff,
    0x7ffc406f,0x06fff805,0xfffa8000,0x3fe60004,0xffffffff,0x8807ffec,
    0xaaffffa9,0xfff9009a,0xffff9005,0x0001ffff,0xb07fffcc,0xb8007fff,
    0x7d402fff,0xff3006ff,0xff88009f,0x6fff805f,0x7ffffdc0,0xcfffffff,
    0x6fffcc00,0x07fffaaa,0x0fffe400,0x206fff88,0xaaadfff9,0xfffbaaaa,
    0xfffa8005,0x7fcc0003,0xfffc804f,0x33ffee04,0x26007ffe,0xd89fffff,
    0x1005ffff,0x57dfffff,0xfffb7553,0x7ff401ff,0xffffffff,0x4000ffff,
    0xd8807ffe,0x4fff984f,0x3ffffff6,0x101bffe1,0xff00bfff,0x300000df,
    0x40009fff,0xfffffffb,0x5ffabfff,0x037ffc00,0x801fffb0,0xffcffffb,
    0x6c0006ff,0xfff13fff,0xffb8001f,0xa99999bf,0x004ffffd,0x8009fff3,
    0xf805fff8,0x7fdc06ff,0xdeffffff,0xfff3001c,0x446ffd89,0xfff9000b,
    0x1bffe203,0x404fff98,0x8005fff8,0x0003fffa,0x4027ffcc,0x2e06fffb,
    0x5ffaafff,0x3bffe600,0x17fffdc0,0xfffffa80,0xffffffff,0xf501ffff,
    0xffffffff,0x09ffffff,0x807ffe80,0xff987ffa,0x3fffe64f,0x037ffc6f,
    0x2017ffe2,0x00006fff,0x004fff98,0x3fffffa0,0x733fffff,0x3fe00c41,
    0x3ffe006f,0x7fffcc07,0x0bffff35,0xb7ffd400,0x8005fffb,0xfffffffb,
    0xdfffffff,0x9fff3000,0x5fff8800,0x406fff80,0x199bfffb,0x3ffe6000,
    0x3e17fd44,0xfff9007f,0x1bffe203,0x404fff98,0x8005fff8,0x0003fffa,
    0x4027ffcc,0x700ffff8,0x82ea5fff,0x3ffe6018,0x0dfff904,0x7ffff4c0,
    0xffffffff,0x3ff606ff,0xffffffff,0x007fffff,0x5c03fff4,0x7fcc1fff,
    0x7ffff44f,0x2037ffc2,0xf805fff8,0x800006ff,0x0004fff9,0xfb81fff1,
    0xbff303ff,0x8037ffc0,0x2205fffb,0x2e0effff,0x0003ffff,0x3fe7fffe,
    0xfb8001ff,0xffffffff,0x4003ffff,0x4004fff9,0x4405fff8,0x7dc06fff,
    0x300002ff,0x81109fff,0xc802fff9,0xff101fff,0x7ffcc0df,0x2fffc404,
    0x1fffd400,0x3ffe6000,0xdfffb004,0x05fff701,0x7cc13fe6,0xffd104ff,
    0xffb8007f,0xffffffff,0x3fe202ce,0xeeeeeeff,0x2fffeeee,0x01fffa00,
    0xf307fff2,0xfffa89ff,0x406fff86,0xf805fff8,0x800006ff,0x0004fff9,
    0xff70dff5,0x1ffee07f,0xb806fff8,0xd103ffff,0xf901ffff,0x20005fff,
    0xfffffffb,0xfff70006,0xbdffffff,0xff300037,0xfff0009f,0xfff9101f,
    0xfffb80df,0xff300002,0x3fea009f,0xfffc803f,0x0dfff101,0x2027ffcc,
    0x8005fff8,0x0003fffa,0x8027ffcc,0x40effffa,0xf702fffb,0x3ffe60ff,
    0x1fffe604,0x6ffe4400,0x3ee0019a,0xff3004ff,0x7ff400bf,0x1fffc807,
    0x6427ffcc,0x6fff82cc,0x02fffc40,0x00037ffc,0x027ffcc0,0xb84ffd80,
    0xffb03fff,0x1bffe01f,0x7fffe544,0x3ffff605,0x3ffffa02,0xfff88001,
    0x0003ffff,0x0005fff7,0x13ffe600,0x3bfffa00,0xffffdbab,0xf702dfff,
    0x200005ff,0x5004fff9,0xf9007fff,0x3fe203ff,0x3ffe606f,0x2fffc404,
    0x1fffd400,0x3ffe6000,0x3fff2004,0xffb8abef,0x1fffb02f,0x809fff30,
    0x0003fffd,0x740009fd,0x3a001fff,0xfd000fff,0xfff900ff,0x04fff983,
    0x406fff80,0xf805fff8,0xa80006ff,0xffffeeed,0x3200bdee,0xc8defffe,
    0xeeefffee,0x0ffffeee,0x77fffed4,0xfffffeee,0xfeb80fff,0xb80cffff,
    0x0cfffffe,0x7fffec00,0x6dc000ff,0xeeeefffe,0xdb7000be,0xffffdddd,
    0x017bdddd,0x3fffffee,0xffffffff,0x3b6e0fff,0xeeeeefff,0xfdb5000b,
    0xdddddfff,0xfffddddd,0x7ffed407,0x3f661def,0x76cc3fff,0x20bdffff,
    0xeffffeda,0x3bbb6e04,0xbdeeefff,0xeeedb880,0xeeeffffe,0xfffd01ce,
    0xffffffff,0xffdddddd,0x7f6dc1ff,0x983defff,0x03deffff,0x0e553fe0,
    0x3fffb220,0xd9303def,0x43bdffff,0xfffeedb8,0xeeeeeeef,0x711ffffe,
    0x7bdffffd,0x3ffbb260,0x76c41dff,0xa83effff,0x02dffffd,0xfffff300,
    0xffffffff,0x3fffee09,0xffffffff,0xffffffff,0x3e20ffff,0xffffffff,
    0xffffffff,0xfffffa81,0x7fd45fff,0x05ffffff,0x7ffffcc0,0x7ffdc004,
    0xffffffff,0xfffa805f,0xffffffff,0x04ffffff,0x3ffffff2,0xffffffff,
    0xffff70ff,0xffffffff,0xffff100b,0xffffffff,0xffffffff,0x3fffe207,
    0x3fa5ffff,0x3a1fffff,0xffffffff,0xffffff14,0xff305fff,0xffffffff,
    0xff907fff,0xffffffff,0x20dfffff,0xffffffd8,0xffffffff,0x30ffffff,
    0xffffffff,0xfffd05ff,0x32003fff,0x405fffff,0xfffffffc,0xffff81ff,
    0x2e6fffff,0xffffffff,0xffffffff,0xff71ffff,0x5fffffff,0xffffffd0,
    0xfffd8fff,0x221fffff,0xffffffff,0xfff98000,0xffffffff,0xfff904ff,
    0xffffffff,0xffffffff,0x4c1fffff,0xffffffff,0xdfffffff,0xfffff500,
    0xffa8bfff,0x06ffffff,0x1ffffe80,0x7fffdc00,0xffffffff,0xffffa805,
    0xffffffff,0x404fffff,0xfffffffc,0x3dffff9c,0x3fffffee,0x05ffffff,
    0xffffff98,0xffffffff,0x03ffffff,0xfffffff1,0x7ffff4df,0x3fffe2ff,
    0xf14fffff,0xffffffff,0xfffff507,0xffffffff,0xfffff909,0xffffffff,
    0xfeb80dff,0xffffffff,0xffffffff,0xfffff30f,0x505fffff,0x05ffffff,
    0x3ffffa20,0x7fffec01,0xf82fffff,0xffffffff,0x3ffffee7,0xffffffff,
    0x1fffffff,0xfffffff7,0xfffd05ff,0x41ffffff,0xfffffffe,0x3fffe62f,
    0x0000ffff,0xffffffd7,0x201bffff,0xdffffed8,0xffffffd8,0xffffffff,
    0x7fff5c0f,0xeeffffff,0xffec801b,0xec81dfff,0x01dfffff,0x05fffb80,
    0xfffec880,0x1dffffff,0xffffd900,0xffffffff,0x26001bff,0x44001acb,
    0xffffffec,0x7001dfff,0xfffffffd,0xffffffff,0x6dc07fff,0x22dfffff,
    0x44efffd9,0xffffffda,0x3fff6e0c,0xd900ceff,0xffffffff,0xf91019df,
    0xffffffff,0x005bffff,0x3ffffb2a,0xffffffff,0x3fb20fff,0x04efffff,
    0x013bfffa,0x4c006e20,0xeffffffd,0xffffb504,0x76445bff,0xffffffff,
    0xffffffff,0xffd911ff,0x2a09dfff,0xdffffffd,0x7fffecc2,0xffeb84ef,
    0x00003dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99988000,
    0x26662009,0x00000009,0x00000000,0x3fffff62,0x001effff,0x00000000,
    0x7ec40000,0xffffffff,0x0000002e,0x00000000,0x00000000,0x00000000,
    0x20000000,0xffffffd8,0xf701efff,0xffffffff,0xffffffff,0xffeb8bff,
    0x36e0deff,0x00dfffff,0xffffffb1,0x4003dfff,0x2bcdccb9,0x00000000,
    0x80000000,0x018acca8,0xfffffd91,0x003bffff,0x2fffffec,0x7fffffd4,
    0x3fff6e06,0xffb500ff,0xb83bffff,0xfffffffe,0x8002cdff,0xfffffffa,
    0x2e04ffff,0xfffffffe,0x003ceeff,0xfffffeb8,0x0acdffff,0x7fffd400,
    0x5fffffff,0x7ffff5c0,0xfec81dff,0x20ceffff,0xffffffda,0xffffffff,
    0x3ae5ffff,0xffffffff,0x801cdeff,0xfffffffa,0xffffffff,0x3fffb225,
    0x1dffffff,0x91037f66,0xfffffffd,0x20001bff,0xfffffffa,0xf704ffff,
    0xffffffff,0xffffffff,0x7ffc4bff,0xf14fffff,0x9fffffff,0x3ffffea0,
    0x04ffffff,0x7ffffed4,0x002effff,0x00003bf9,0x32200000,0x3fee00df,
    0xb86fffff,0xffffffff,0x3005ffff,0x0bffffff,0xdffffffd,0x3ffffe20,
    0xfff885ff,0x26ffffff,0xfffffff9,0xefffffff,0x6665c002,0x0bcccccc,
    0xffffff30,0xffffffff,0x3e6005ff,0xffffffff,0x02ffffff,0x66666540,
    0x200bcccc,0xfffffff9,0x7ffd45ff,0x24ffffff,0xfffffffe,0xffffffff,
    0xff35ffff,0xffffffff,0x19ffffff,0x7ffffd40,0xffffffff,0x3ffee5ff,
    0xffffffff,0x13fff65f,0xfffffff7,0x00bfffff,0x666665c0,0x700bcccc,
    0xffffffff,0xffffffff,0x7fc4bfff,0x14ffffff,0xffffffff,0x66665c09,
    0x00bccccc,0x3fffffe6,0x4fffffff,0x6ffffcc0,0x00000000,0x13fffee0,
    0x7fffffec,0x7fdc2fff,0xffffffff,0xff1004ff,0xf90bffff,0x20dfffff,
    0xfffffff8,0x7fffc42f,0x265fffff,0xffffffff,0xffffffff,0x40000005,
    0xfffffff9,0xffffffff,0xff8804ff,0xffffffff,0x0dffffff,0x4c000000,
    0xffffffff,0x7fffd45f,0x3a4fffff,0xffffffff,0xffffffff,0xfff35fff,
    0xffffffff,0x0dffffff,0x7fffffd4,0xffffffff,0x3fffee5f,0xffffffff,
    0x717fff64,0xffffffff,0x0009ffff,0xffb80000,0xffffffff,0xffffffff,
    0x7fff545f,0x3f6a0cef,0x000cffff,0xfff98000,0xffffffff,0x3e602fff,
    0x00cfffff,0x2a000000,0x84ffffff,0xfffffffb,0x75c40fff,0xffffffff,
    0x2e6000ce,0xa885fffc,0x206fffcc,0xffffffda,0x7ffed40f,0x6dc1cfff,
    0xffffffff,0x4fffffff,0x5c000000,0xfffffffd,0xffffffff,0xffda802f,
    0xffffffff,0x005fffff,0xffb80000,0x80ceffff,0xffffffdb,0x3ffb260c,
    0xffffffff,0x5fffffff,0x3fffff6e,0xffffffff,0xff504fff,0xffffffff,
    0x44bfffff,0xffffffeb,0x3660ceff,0x7f5c43ff,0xefffffff,0x0000000c,
    0x21fffdc0,0x7c43fffa,0xfff985ff,0x2fffc404,0x32000000,0x99abceff,
    0x405fffea,0xfffffffb,0x40000003,0xffffffe9,0x5bfffd05,0x2003dfd5,
    0x00007ffe,0xf00bfff1,0xff100dff,0x4c09ffff,0x7fc04fff,0xffd7306f,
    0xb88005ff,0xf98001bc,0x3faa04ff,0x3fe007ff,0xffd7306f,0x2e6007ff,
    0x002bcdcc,0x0017ffdc,0x3a037ffc,0xff1007ff,0x9fff30bf,0x3fff2a20,
    0x3fffa80f,0x07ffff60,0x200fffd0,0xffe800fd,0x98800007,0x8009bdca,
    0x7d43fffb,0x7ffc43ff,0x3fffb665,0xffffffff,0x04efffff,0x26666662,
    0xf1000000,0xfb100dff,0x05dfffff,0xfd980000,0x02efffff,0x288dfff1,
    0x03fff400,0x5fff8800,0x806fff80,0xfffffff8,0x09fff301,0x4406fff8,
    0xa807fffe,0xfffffffd,0xfff3003d,0xffff8809,0x0dfff001,0x0ffffe88,
    0xfffffb50,0x005dffff,0x310fffea,0xfff88133,0x03fff405,0x985fff88,
    0xfe804fff,0xfffa82ff,0x5ffff703,0x00fffd00,0x3fa007f5,0x5c00007f,
    0xffffffff,0x3ffee02e,0x21fffd43,0x3fa5fff8,0xffffffff,0xffffffff,
    0x7fd42fff,0x04ffffff,0x09998800,0x4c00fffd,0xeffffffe,0x64400001,
    0x2fffffff,0x02fffcc0,0x83fff400,0x3fe2002a,0x6fff805f,0xfffff880,
    0xfff306ff,0x06fff809,0x03ffff88,0x3ffffff2,0x01efffff,0x4027ffcc,
    0xf003fffb,0xff100dff,0xfff307ff,0xffffffff,0xff3009ff,0x7fffc89f,
    0x2027ffcc,0xf0307ffe,0xfff309ff,0x7fff5009,0x307fff50,0x2009ffff,
    0x7c407ffe,0x1fffa006,0xfd300013,0xffffffff,0xff501bff,0x3fffa85f,
    0xf927ffc4,0xffffffff,0xffffffff,0xffe81fff,0x04ffffff,0xffffd700,
    0x0fffffff,0xffffd500,0x00001bff,0xfffffff7,0x3ffe2007,0x7f40000f,
    0x05fff87f,0x00bfff10,0xf100dfff,0x7ffffdff,0x809fff30,0xf5006fff,
    0x3ffa0dff,0xffffffff,0x2601ffff,0xfb804fff,0xfff003ff,0x3ffe600d,
    0xfffff987,0xffffffff,0x7ffcc02f,0x0fffff45,0xe807fff5,0x2ff447ff,
    0x3e60bff6,0xffe804ff,0x2fff882f,0x037fffc4,0xc80fffd0,0x3ffa000e,
    0x003ffd57,0x7fffffcc,0xffffffff,0x41fff986,0xff83fffa,0x7ffdc43f,
    0xaaaaaaad,0xb01efffb,0xffffffff,0xffea8009,0xffffffff,0x2e0007ff,
    0xcfffffff,0xfffa8000,0x000cffff,0x002fffec,0xf51fffa0,0xf1001fff,
    0xfff00bff,0xbfff100d,0x981ffff7,0x7fc04fff,0x3ffe006f,0x7fffe40f,
    0xfdba9acf,0xf300efff,0xff9809ff,0xfff000ff,0x7fffc00d,0xbceffc80,
    0xfffea99a,0x37ffc405,0x49fffff3,0x7402fffb,0x7ffdc7ff,0xff980d40,
    0x3ff2604f,0x1dfb01ff,0x00ffffe8,0x001fffa0,0x3bfffa00,0x1004ffff,
    0x59dffffd,0xfffffb73,0xf50bfb09,0x1df707ff,0x55bfff30,0xff755555,
    0x665440bf,0x004fffdc,0x3fffffee,0xffffffff,0x7e440007,0x03ffffff,
    0xfffffd30,0x260003bf,0x0002ffff,0xff51fffa,0xff1001ff,0xdfff00bf,
    0x2bfff100,0x7cc5fffe,0x7ffc04ff,0x3fff6006,0x37fffe21,0x3fffee00,
    0x09fff304,0x1bffff22,0xffff9730,0x36039999,0x20001fff,0xf806fff8,
    0x3fff27ff,0x3fff27ff,0x57fff401,0x01fffdaa,0x2b7ffe60,0xffffcaaa,
    0x640405ff,0x4002ffff,0x00007ffe,0xffffffe8,0xffb002ff,0xffd807ff,
    0xf50081ff,0x980207ff,0xffffffff,0x5fffffff,0x27ffcc00,0xfffff980,
    0xffeecdff,0x100007ff,0xdffffffb,0x3fff6205,0x0002efff,0x07ffffd4,
    0x87ffe800,0xf1003ffd,0xfff00bff,0xbfff100d,0x98ffffe6,0x7fc04fff,
    0x3fee006f,0x17ffee2f,0x837ffdc0,0xcccefff9,0xfffffffe,0x3fffe602,
    0xffffffff,0x02fffb82,0x3a133310,0xffe807ff,0xffffff0f,0x03fff63f,
    0xffffffd0,0x4003ffff,0xfffffff9,0xefffffff,0x7ffd4000,0xffe8003f,
    0xfe800007,0x01efffff,0x07ffff10,0x017fff60,0x9fff7331,0x3e600133,
    0xffffffff,0x05ffffff,0x027ffcc0,0x1befffe8,0x001fffa0,0xffffb300,
    0x3f223dff,0x02ffffff,0xffffa800,0x3bfee5ff,0x41fffa02,0x3fe20008,
    0x7ffc405f,0x5fff8806,0x4c3ffff2,0x7fc04fff,0x3fee006f,0x03fff63f,
    0x80ffff80,0xfffffff9,0x1effffff,0x7ffffdc0,0x4fffffff,0x203fffa8,
    0xffffffeb,0xd807ffff,0xfff99fff,0xffd4ffff,0xffffd00f,0x03ffffff,
    0x7ffffcc0,0xffffffff,0x3e6001ff,0xd0005fff,0x40000fff,0xffffffe9,
    0x7ffd4003,0xcccccccf,0x7fffcccc,0x3fffffa0,0x1effffff,0x7ffffcc0,
    0xffffffff,0x7cc005ff,0xff8804ff,0xffe801ff,0x75400007,0x0cffffff,
    0x3fffffee,0x2a0000cf,0xffffffff,0x40ffffb3,0x00007ffe,0x101ffff1,
    0x00dffff9,0xfe8bfff1,0x9fff35ff,0x006fff80,0xff8fffee,0x7fe4005f,
    0xffff982f,0xffffffff,0xfff8800d,0xffffffff,0x3fffa81f,0xfffffea8,
    0x7fffffff,0xcafffc80,0x7fffcfff,0xfd00ffff,0xffffffff,0x7fcc003f,
    0xffffffff,0x01ffffff,0x0efffe88,0x0fffd000,0xfffb1000,0x0001bfff,
    0xfffffff7,0xffffffff,0xf501ffff,0xffffffff,0x9809ffff,0xaaaadfff,
    0x5fffbaaa,0x27ffcc00,0x037ffcc0,0x0fffff71,0x3ffa6000,0x101dffff,
    0xfffffff9,0x3ffe0007,0x9ffffcef,0x3a07ffff,0xfd8807ff,0x3bfffa04,
    0xffffdbab,0x2202dfff,0x7fcc5fff,0x4fff9aff,0x0037ffc0,0x3e65fff9,
    0x7cc004ff,0xfff984ff,0xffffffff,0x2a62005f,0x9aaaffff,0x85fff900,
    0xfffffffb,0x7fffffff,0xfbfffb80,0xfffe8fff,0xe806fffa,0xfdaaafff,
    0x3e6001ff,0xaaaaadff,0xfffffecc,0x7fffec01,0xffd00301,0x89fb100f,
    0xfffffffb,0x23fd8807,0xfffffffd,0xffffffff,0xf982ffff,0xffffffff,
    0x4c02ffff,0x7c404fff,0x7cc005ff,0xfff004ff,0xfb7559df,0xbdffffff,
    0xffb10005,0x005dffff,0x3fffff62,0x3e6002ef,0x3fffa6ff,0x202effff,
    0xfa807ffe,0x3ffee07f,0xffffffff,0x00ffffff,0xf90bfff1,0x9fff5dff,
    0x006fff80,0x7c43fffa,0x7d4005ff,0xfff983ff,0xffe9999d,0xff8005ff,
    0x3ff6006f,0x3fffe60f,0xfeecdfff,0xfa807fff,0x76fffeff,0xbfffdfff,
    0xb8fffd00,0x26000fff,0xfa804fff,0x3ee04fff,0xffd03fff,0x03fff401,
    0xff53ffd4,0x0fffffff,0x7e4fff50,0xffffffff,0xffffffff,0x997302ff,
    0x999dfffb,0x9fff3005,0x05fff880,0x027ffcc0,0xffffffc8,0xffffffff,
    0x000fffff,0xffffff91,0x3a60007f,0x1effffff,0x22fffb80,0xfffffff8,
    0x03fff402,0xb00fffdc,0xffffffff,0xffffffff,0x17ffe201,0x3fbfffe2,
    0x7ffc04ff,0x1fffe006,0x4001fffd,0xf981fffc,0xfff904ff,0xfff800bf,
    0x1fffe006,0x037dfffd,0x4c03fff4,0x3fffffff,0xfffffff1,0x8fffd009,
    0x4c005fe8,0xf3004fff,0x3fe60dff,0xfff104ff,0x03fff405,0xfa8fffdc,
    0x7ffecfff,0x51fffc80,0x5555dfff,0x55555555,0x2a001555,0x98003fff,
    0x7c404fff,0x7cc005ff,0x3f6004ff,0xffffffff,0xffffffff,0xfffb800f,
    0x000cffff,0xffffea80,0x3f600dff,0x7ffdc1ff,0xffe807ff,0x1fffc807,
    0x7ffffe40,0xffff9cff,0x3ffe203e,0xfffff505,0xfff809ff,0xbfff7006,
    0x005fffc8,0x260ffff5,0x3f204fff,0x3e003fff,0xff7006ff,0x7fffc4bf,
    0x07ffe801,0xffffff88,0x3ffffa1f,0xffe803ff,0xf3000307,0x7ec009ff,
    0x7ffc40ff,0x3ffea06f,0x01fffa03,0xfd87fff2,0x00fffd1d,0x3e23fff9,
    0x00003fff,0x03fffa80,0x04fff980,0x002fffc4,0x0013ffe6,0xfffffff7,
    0xffffd5bf,0xffea807f,0x000dffff,0xffffb800,0xfb80cfff,0xfffd84ff,
    0x7ffe804f,0x01fffc80,0x21acca88,0x8800dff8,0x3f605fff,0x404fffff,
    0xfb806fff,0x7fcc2fff,0x3ee00dff,0xff304fff,0xfffd809f,0xdfff001f,
    0x7ffff700,0x1037ffcc,0x00fffff7,0x1bfffffe,0x5ffffff7,0x00fffd00,
    0x27ffcc00,0x81fffd00,0x200ffffe,0x3a04fffa,0xffc807ff,0x3fff401f,
    0xb0fffe40,0x2005ffff,0x2a001ba8,0x98003fff,0x7c404fff,0x7cc005ff,
    0xa88004ff,0xd80aaccb,0x3fa600ef,0x01dfffff,0x7e440000,0x43ffffff,
    0xabeffffa,0xdeffffec,0x01fffa02,0x0007fff2,0x400bfe60,0x2205fff8,
    0x04ffffff,0xa8837ffc,0xb05ffffc,0x579fffff,0xfffffd95,0x13ffe601,
    0x01bfffa0,0xa8837ffc,0xf85ffffc,0xbaacefff,0xfffffffd,0x3ffa02de,
    0x7fc43fff,0xe801ffff,0x200007ff,0x8804fff9,0x7e46fffc,0x7d402fff,
    0x3ffa04ff,0x1fffc807,0x403fff40,0x3e21fffc,0x9abeffff,0xffffdbaa,
    0xdddb700f,0x7bdddfff,0x3ffb6601,0x36a0ceff,0x44effffe,0xfeeeeedb,
    0xdeeeefff,0xff00000b,0xfff90547,0x0005dfff,0xffd88000,0x360effff,
    0xffffffff,0x16ffffff,0xffffddb7,0xdddddddd,0x0003ffff,0xb539ff10,
    0xffffb709,0xffb817bd,0xfb704fff,0xfddddfff,0x1fffffff,0x3ffffa20,
    0xffffffff,0xfeda82ff,0x103defff,0x03bdffff,0xddffffb5,0xffffffdd,
    0xfff901ff,0xffffffff,0xffffffff,0x3ffff601,0xffffd81f,0xffd9300f,
    0x7bddddff,0x7ff6dc00,0xeeeeeeff,0x4ffffffe,0x3bffffe2,0xeeeeeeee,
    0xdb714fff,0xdddffffd,0xfffddddd,0x776dc43f,0xeeeeffff,0xffffeeee,
    0x7ffffd41,0xffffffff,0xf981ffff,0xffffffff,0xfd03ffff,0x9fffffff,
    0x3fffffe2,0xfff53fff,0xffffffff,0x09ffffff,0x37ff2000,0xffff35ff,
    0x000007ff,0xfffe9800,0x3ffe24ff,0xffffffff,0xffb8ffff,0xffffffff,
    0xffffffff,0xd00001ff,0x41ffffff,0xfffffff9,0xfffe83ff,0xffff984f,
    0xffffffff,0x401effff,0xffffffd8,0x81efffff,0xfffffff9,0xff502fff,
    0xff88dfff,0xffffffff,0x1fffffff,0x3fffff60,0xffffffff,0x900fffff,
    0x2e0dffff,0x3a07ffff,0xffffffff,0x9802ffff,0xffffffff,0xffffffff,
    0x3e20efff,0xffffffff,0xffffffff,0xffffff74,0xffffffff,0x43ffffff,
    0xfffffffb,0xffffffff,0x981fffff,0xfffffffe,0x6fffffff,0xffffff50,
    0x7fffffff,0x3fffffa0,0xfff14fff,0x27ffffff,0xfffffffa,0xffffffff,
    0x300004ff,0x227fffff,0x000cffff,0x2a000000,0x6443fffe,0xcfffffff,
    0xff72dffe,0xffffffff,0xffffffff,0x200003ff,0x42ffffd8,0xfffffffa,
    0xfff984ff,0xffff984f,0xffffffff,0x2000dfff,0xfffffec9,0x3fe603df,
    0xffffffff,0x3ffff603,0x7ffffcc6,0xffffffff,0xfb800dff,0xdfffffff,
    0x3dffffea,0x13fffee0,0x03ffffc4,0xfffffffd,0x005fffff,0xfffffff3,
    0xffffffff,0xf881bfff,0xffffffff,0xffffffff,0xffffff74,0xffffffff,
    0x43ffffff,0xfffffffb,0xffffffff,0x201fffff,0xfffffffb,0x402cefff,
    0xffffffec,0x500defff,0xbffffffb,0x7ffff5c1,0x3fb20cef,0xffffffff,
    0x00dfffff,0x336e2000,0x000675c2,0x70000000,0x2a62019b,0x64400aac,
    0xfffffffe,0xffffffff,0x00001fff,0x3fb201a8,0x00ceffff,0x2e09fff9,
    0xfffffffe,0x001bdeff,0x005e5440,0xfffffd70,0xff8809df,0xffeb82df,
    0xefffffff,0x544001be,0x000aaccb,0x0ffffdc0,0x40dfffb0,0xffffffda,
    0x2004efff,0xffffffec,0xdeffffff,0xffff101c,0xffffffff,0x229fffff,
    0xffffffec,0xffffffff,0x3221ffff,0xfffffffe,0xffffffff,0xa8801fff,
    0x0019abcb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001000,0x67540000,
    0x00000000,0x00000000,0x3372e620,0x0350041b,0x73002880,0x00579b99,
    0x06f2e200,0xb9531000,0x22000137,0x440abcba,0xa8001bca,0x10accdca,
    0x00999980,0x00266662,0x88056544,0x31000bca,0xba881333,0x333301bc,
    0x33333333,0x33101333,0x30b32a13,0x440059b7,0x36ea0999,0x988001bc,
    0x00099999,0x44019998,0x4cc00999,0x33310099,0x33310033,0x26662001,
    0x26000001,0x7dc004ff,0x7fc00005,0x0000003f,0x33310bd0,0x4ccc4013,
    0x880fea09,0xfffffffc,0xd82fecff,0x204c43ff,0xda80ffe9,0xffffffff,
    0xda8002ef,0xdfffffff,0x7ffdc003,0x02efffff,0xfffffd70,0x3ffea3df,
    0xea800dff,0xffffffff,0x7fec0efd,0xfea85fff,0x4406ffff,0x44fffffd,
    0x0dfffffb,0xffffff70,0x7ffffdcd,0x7fffcc4f,0xffffffff,0x3fa26fff,
    0xfffddfff,0xffffd9df,0x3fa201ef,0xffeadfff,0x800dffff,0xfffffffa,
    0x3ff6004f,0x7dc5ffff,0x40efffff,0xfffffffb,0xfffffd11,0xfff707ff,
    0x6c01dfff,0x05ffffff,0x20dedcc0,0x000ffff9,0x0000bffe,0x0003fff8,
    0x40379710,0x3ff60ff8,0xffa85fff,0x3f66ffff,0xfffff506,0xffffffff,
    0xffff88df,0xcffffebb,0x4c2ffffa,0xffffffff,0x004fffff,0x3ffffff2,
    0x01efffff,0x7fffff4c,0x0dffffff,0x3ffffe60,0xffdfffff,0x00efffff,
    0x3ffffffa,0x3fffffff,0x3fffffe6,0xfffffe85,0x7ffec06f,0xff74ffff,
    0x01dfffff,0xdffffffd,0xffffffd3,0x7ffcc7ff,0xffffffff,0x3ee6ffff,
    0xffffffff,0xffffffff,0xf700efff,0xffffffff,0x5fffffff,0xfffffe80,
    0xf5004fff,0x3fffffff,0x7ffffff4,0x7ffffc4f,0xfff95fff,0xf0ffffff,
    0x9fffffff,0x3ffffea0,0x6dc01fff,0xefffffff,0x00fffffc,0x009fff30,
    0x0066d400,0xffffb500,0xf987bfff,0xfffff30f,0xffffd0bf,0x42ffcdff,
    0xfffffffa,0xffffffff,0xfffffe87,0xffffffff,0x7fcc1fff,0xffffffff,
    0xe802ffff,0xffffffff,0x01ffffff,0xfffffff3,0xdfffffff,0x7ffffd40,
    0xffffffff,0x06ffffff,0xfffffffb,0xbfffffff,0x7fffffc4,0xfffffc85,
    0x3ffee06f,0xfdffffff,0xffffffff,0xfffffd86,0xffffffff,0xf30fffff,
    0xffffffff,0x4dffffff,0xfffffffa,0xffffffff,0x03ffffff,0xfffffff3,
    0xffffffff,0xfffd80df,0x004fffff,0xfffffff1,0xfffffc8d,0x7ffec3ff,
    0xff74ffff,0x0dffffff,0xfffffffb,0x3fffe205,0xd100ffff,0xffffffff,
    0x5fffffff,0x27ffcc00,0x00000000,0x3ffffff2,0x70efffff,0x7fffc4ff,
    0xfffc85ff,0x9ff36fff,0xdfffff88,0xfffdb99a,0xfff887ff,0xffffffff,
    0xf902ffff,0x533579df,0xc80bfffd,0x9acfffff,0xeffffdba,0x7ffff440,
    0xffdb9ace,0x3f604fff,0xfffb9ace,0xffcaefff,0x7ffc42ff,0xda99acef,
    0x5cc5ffff,0xa885fffc,0x506fffcc,0xf937ffff,0x5dffffff,0x885ffff9,
    0xfffffcca,0xfd9befff,0x3bffe66f,0xffeccccc,0x7e4c2fff,0xfc9bffff,
    0xfb9cffff,0x3f2605ff,0x9acfffff,0x03ffffda,0x3f7332a2,0x326004ff,
    0x4c3fffff,0x82efffff,0x3ffffca8,0x67ffffe4,0xfffb880c,0x355512cf,
    0x33fffb26,0xfffff301,0xffffffff,0x98005fff,0x00004fff,0x3ff60000,
    0xffffffff,0x5fe9efff,0x2fffe5cc,0x7ffe6544,0x6c0fffbf,0x6401efff,
    0xff307fff,0xfffbffff,0x00007fff,0x440dfff1,0x200dffff,0x6c4ffffb,
    0x6c03ffff,0x8001ffff,0x5c6ffffb,0x7fd46fff,0x7ffcc05f,0x0bfff103,
    0x3a0dfff0,0x7fe43fff,0x3f20ffff,0x7ffc06ff,0xb983ffff,0x20fffe20,
    0x01fffff9,0x445ffff3,0x7fc3ffff,0x7ffc406f,0xfff702ff,0xfff98009,
    0xfffa8004,0xffff33ff,0x3ffa00bf,0x77fffd47,0x3fffb000,0x3a2fffdc,
    0xfd100fff,0x3337dfff,0x1ffffff7,0x4fff9800,0x00000000,0x59fffff9,
    0xffffb753,0x3e203fff,0xfff805ff,0x7cc3ffff,0xfd001fff,0x3ffe60df,
    0x3ffaa0cf,0x4cc4003f,0x40fffd09,0x7005fffb,0x7fc4dfff,0xffb003ff,
    0x266200bf,0xf83ffff9,0x3fe61fff,0x3aa01bff,0xbfff100b,0x20dfff00,
    0xff887fff,0x7fc43fff,0x3ffe02ff,0x74001eff,0x7ffcc1ff,0x3fe601ff,
    0x37ffc45f,0x22037ffc,0x2201ffff,0x4c006fff,0x30004fff,0xffbfffff,
    0x74007fff,0xfffb17ff,0xffb8007f,0x3ffffa3f,0x40dfff10,0x883ffffb,
    0x5ffffffe,0x27ffcc00,0x40000000,0x00dffff9,0x0fffffee,0x805fff88,
    0x80aeffff,0x2004fffa,0xff704ffb,0x3ffea0bf,0xfffeb805,0x7fffffff,
    0x003fff60,0xf50ffff8,0x99999fff,0xff999999,0x7f6dc0ff,0xcfffffff,
    0xfffecccc,0x7fffff43,0x000acdef,0xf00bfff1,0xfff30dff,0x3ffffa09,
    0xffeccccc,0x3fffe03f,0x1b88000d,0x0fffffcc,0x113ffe60,0xfff0dfff,
    0x5fff880d,0x006fff80,0x0027ffcc,0xfffffd30,0xe8005fff,0xfffeafff,
    0xff98001e,0xfffff35f,0x813ffea7,0xe883fffe,0xffffffff,0x3ffe6001,
    0x00000004,0x005fffb8,0x401ffff5,0xf805fff8,0x7fe406ff,0x014c001f,
    0x7c05fffb,0x3faa07ff,0xffffffff,0x3fe07fff,0x7fe4005f,0xfffff72f,
    0xffffffff,0x81ffffff,0xffffffe9,0xffffffff,0x44ffffff,0xfffffff9,
    0x400effff,0xf805fff8,0xfffb86ff,0xfffff702,0xffffffff,0x037ffc09,
    0x3ffe6000,0xff9801ff,0x37ffc44f,0x22037ffc,0xff805fff,0x7fcc006f,
    0x7440004f,0x01ffffff,0xfffffe80,0x0000efff,0x3ff2ffff,0xfff96fff,
    0x17ffe205,0x2fffffa2,0x2003fffc,0x2004fff9,0xfffffffc,0xffffffff,
    0x3ff60dff,0x3ffe000f,0x3ffe201f,0x06fff805,0x0007ffec,0x01fffa00,
    0xf703fffb,0xffffffff,0x20ffffff,0x4004fff9,0xffb4fff9,0xffffffff,
    0xffffffff,0x7fffe45f,0xffffffff,0xffffffff,0xffd985ff,0xffffffff,
    0x3ffe203f,0x86fff805,0xf500fffd,0xffffffff,0x7c0bffff,0x200006ff,
    0x01fffff9,0x889fff30,0xfff86fff,0x2fffc406,0x0037ffc0,0x0013ffe6,
    0xfffffb10,0xffd0003d,0xffffffff,0xfffb0005,0xfffffff3,0x201fffd3,
    0x7442fffa,0xff53ffff,0xfffeb8bf,0xffffffff,0x30ceffff,0xffffffff,
    0xffffffff,0x7ffc9fff,0x7ffe4005,0x17ffe203,0xb01bffe0,0x00001fff,
    0x102fffd8,0xff30ffff,0xd9bfffff,0x20fffffd,0x4005fff8,0xff93fffa,
    0xffffffff,0xffffffff,0x3fffea5f,0xfffeceff,0xffffffff,0x2a205fff,
    0xffffffdc,0xfff104ff,0x0dfff00b,0x2e05fff9,0xffffffff,0x205fffff,
    0x00006fff,0x03fffff5,0x227ffcc0,0xff86fff8,0x7ffc406f,0x06fff805,
    0x027ffcc0,0xffffd100,0x8003ffff,0xfceffffe,0x4003ffff,0xfffdfffb,
    0xfffdffff,0x07fff207,0xf89ffffd,0x3ffe66ff,0xffffffff,0xffffffff,
    0xffffff34,0xffffffff,0x269fffff,0x4c004fff,0x3e205fff,0xfff805ff,
    0x17ffdc06,0x3fee0000,0xbfff705f,0x37dfffd0,0xd03fff40,0x64001fff,
    0xfff51fff,0x5555555d,0x55555555,0x07bfff21,0x2abfffe6,0x1aaaaaaa,
    0xb73100d4,0x3e20ffff,0xfff805ff,0x05fffb86,0x555ffffd,0x05555555,
    0x00037ffc,0x0fffffd4,0x13ffe600,0xff0dfff1,0xfff880df,0x06fff805,
    0x027ffcc0,0xffffe980,0x02fffffe,0xb8ffffa0,0x001fffff,0x3fffffe6,
    0xffffffbf,0x3fff205f,0x13ffff63,0x7ccbfff1,0xffffffff,0xffffffff,
    0x3bbae3ff,0xeeeeeeee,0x0ceeeeee,0x800bfff1,0x2203fffa,0xff805fff,
    0x7ffcc06f,0x10298006,0x2239ffff,0x443ffffb,0xe801ffff,0x3ff207ff,
    0xfff5005f,0x1ffffc4f,0x7ffe4000,0x5ffff301,0x02ffd800,0x105fffb0,
    0xf880bfff,0xfffa86ff,0xfffff887,0x7ffc0002,0x7fd40006,0x7fb01fff,
    0x889fff30,0xfff86fff,0x2fffc406,0x0037ffc0,0x0013ffe6,0x53ffffe6,
    0x04fffffa,0xf50fffd0,0xf800bfff,0xc8ffffff,0x03ffffff,0x7edbffea,
    0xffb84fff,0x7776dc2f,0xeffffeee,0x00bdeeee,0xffe80000,0x3ff2000f,
    0x3ffe201f,0x37ffc405,0x06ffffc0,0x427fec40,0xeffffff9,0x43ffffff,
    0x2206fff9,0x207ffffb,0x00dffff9,0xb13fffee,0x2005ffff,0x3fea1ba8,
    0xfffe985f,0xf857306f,0xfd802fff,0xffff03ff,0xffff9101,0x9ffff10d,
    0x6fffffd8,0xff805730,0x3ea0006f,0xf501ffff,0x9fff30ff,0xf86fff88,
    0x7fc406ff,0x6fff805f,0x27ffcc00,0x3fffea00,0x7fffcc2f,0x7ffe805f,
    0x05ffff50,0x7ffffec0,0xffffff35,0x7fffc403,0x984ffffe,0x2000ffff,
    0x0004fff9,0xffc80000,0xfff5005f,0x1ffff00f,0xdffff910,0xfffff500,
    0xb955357b,0xf98fffff,0xffffffff,0x43ffffff,0xaaceffff,0xffffffdb,
    0xffd82def,0xcaabcfff,0x40fffffe,0xbefffff8,0xffdbaa9a,0xfff10fff,
    0xfff957df,0xb75dffff,0x3e27ffff,0x9aceffff,0xfffffcaa,0x7dfffd01,
    0xfffffb75,0xffa85bff,0xfffdacff,0xdaaeffff,0xd913ffff,0xddffffdd,
    0x2019dddd,0xeffffffa,0xfffeeeee,0x3fffae1f,0xffff11cf,0x6ffffc3b,
    0x7fff6c42,0xffda83ef,0x76dc2dff,0xffffeeee,0x20bdeeee,0xffffffd9,
    0x7ffff4c3,0x7f6443ef,0x6c2defff,0x0ceeffff,0x3ffffee0,0x1fffffa2,
    0x3fffff20,0xfffb85ff,0x7fcc006f,0x0000004f,0xdffff980,0x3fffee00,
    0xefffe804,0xffffdbab,0x5c02dfff,0xffffffff,0xffffffff,0x7fffff44,
    0xffffffff,0x3ff21fff,0xffffffff,0xffffffff,0x7fff440f,0xffffffff,
    0xff502fff,0xffffffff,0x3fffffff,0x7fffffe4,0xffffffff,0xffffffff,
    0xffffff14,0xffffffff,0x7fdc09ff,0xffffffff,0x0fffffff,0x7fffffec,
    0xffffffff,0x5fffffff,0xfffffffb,0xffffffff,0x3ffff20b,0xffffffff,
    0xff51ffff,0x22dfffff,0x3e7fffff,0x360fffff,0xffffffff,0x3ffffe21,
    0xfff50fff,0xffffffff,0x49ffffff,0xffffffff,0x3ffffa1f,0x3f62ffff,
    0xffffffff,0x3ffffe20,0x3fe605ff,0x7ffdc7ff,0xfffd005f,0xd9557fff,
    0x003fffff,0x004fff98,0xfb000000,0x5579ffff,0x1fffffd9,0xfffff700,
    0xffffffff,0xc801ffff,0xffffffff,0x45ffffff,0xeabffff8,0xff9befff,
    0x7ffec3ff,0xffffffff,0x0fffffff,0xfffffd88,0x1effffff,0x7ffff4c0,
    0xffffffff,0xfffb86ff,0xffffffff,0xffffffff,0x3fffa1ff,0xffffffff,
    0xfc805fff,0xffffffff,0x0fffffff,0x7ffffec4,0xffff95ff,0x25ffffff,
    0xfffffffd,0xffffffff,0xfffff905,0xffffffff,0x3fee3fff,0xf16fffff,
    0x7fcfffff,0x3fa0ffff,0x2fffffff,0x3fffffe6,0xffff50ff,0xffffffff,
    0x7c9fffff,0xffffffff,0x3fffffa0,0x3ff62fff,0x0fffffff,0x7fffffdc,
    0x27fffc05,0x00ffffe2,0x7fffffec,0xffffffff,0xff98002f,0x0000004f,
    0xffffd100,0xffffffff,0x7e4003ff,0xffffffff,0x0fffffff,0xffffc980,
    0x1cffffff,0x0105ffb0,0xf701ffd3,0xbfffffff,0x7bffffd5,0xfffec980,
    0x4003dfff,0xfffffffb,0x202cefff,0xdfffffeb,0xfffebcfb,0x7540beff,
    0xffffffce,0x2001dfff,0xfffffffc,0x3dffff9c,0x3fffff20,0x7ffffdc4,
    0x3f660bef,0xffffffff,0x901dffff,0xffffffff,0xffffffff,0x3fffb223,
    0xffff11df,0x6ffffc5b,0x7fffecc3,0xffeb84ef,0x7f643dff,0xffffffff,
    0x20dfffff,0xefffffda,0x7fffecc3,0x7fecc4ef,0xd03effff,0x803bffff,
    0xfc81fffd,0xffc801ff,0xffffffff,0x001effff,0x009fff30,0x006fdc00,
    0x7fffe440,0xefffffff,0xfffc8001,0xff9cffff,0x44003eff,0x9aaccba9,
    0x40009800,0x65d44028,0x00000aac,0x0005e544,0x55e5d440,0xcb880019,
    0x2b2e600a,0x65d4c000,0x200009ac,0x0001acb9,0x100aca88,0x00015795,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,
    0xffffbdff,0x0007bdff,0x004fff98,0x07fff100,0x7ff64c00,0x003dffff,
    0x0d65cc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff00000,0x0aca88df,0x3fe60000,0x3a00003f,0x100002ff,
    0x00001795,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0000effe,0x0fffc000,0x07b30000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00001326,0x00275c00,0x31000000,0x98803333,0x44001999,
    0x0400000a,0x30066040,0x19910003,0x0805b700,0x40001000,0x00080002,
    0xfd91004c,0xffffffff,0xffffffff,0x26660bff,0x8800c009,0xcccccccb,
    0xcccccccc,0x00801bcc,0x542aaaa8,0x00002aaa,0x44002600,0x200edc5c,
    0xccccccb9,0xcccccccc,0xcccccccc,0x02600c0a,0x26666662,0x99999999,
    0x09999999,0x77777754,0xeeeeeeee,0x0000004e,0x00000000,0x00000000,
    0xffffffa8,0x7ffdc5ff,0x005fffff,0x00001ffd,0x36205fb1,0xf813fa2f,
    0x7fec004f,0x3fff200e,0x7fff6540,0x7ffed403,0x13ea002e,0x0fd97300,
    0x7ffffd30,0xffffff70,0xffffffff,0xbfffffff,0x87ffff70,0x3ffffedb,
    0x3fffffa0,0xffffffff,0x1fffffff,0x4effeca8,0xd8dfffd0,0xd9107fff,
    0x540005bf,0xffe8806f,0x440bffa0,0xffffffff,0xffffffff,0xffffffff,
    0x203ffa4f,0x3ff61ffd,0xffffffff,0xffffffff,0x52efffff,0xffffffff,
    0xbfffffff,0x00000000,0x00000000,0xd0000000,0xffffffff,0x7ffffc3f,
    0x402fffff,0x0002fff8,0x4c0fff44,0x3ff21ffe,0x0dffc80d,0x1dffff00,
    0x45ffff90,0xfffffffd,0xfffff904,0xff3009ff,0xffd3005f,0xffc80fff,
    0x5c5fffff,0xffffffff,0xffffffff,0xd85fffff,0x3ea0ffff,0x4fffffff,
    0xffffff88,0xffffffff,0x3fffffff,0x7fffffe4,0x7ffec1ef,0x437ffe45,
    0x5ffffffa,0xf7019b10,0x4fffa80f,0x5427ffcc,0xffffffff,0xffffffff,
    0xffffffff,0x87fff56f,0xff54fff9,0xffffffff,0xffffffff,0xdfffffff,
    0x3fffffea,0xffffffff,0x0000005f,0x00000000,0x00000000,0xffffffc8,
    0x7ffe47ff,0x00ffffff,0x0027ffd4,0x307fff30,0xffb07fff,0x1dffb01d,
    0xdffff700,0x2ffffe41,0xb317bff1,0xdffa81ff,0x02ffea89,0x07ffffa2,
    0xfffdff50,0x7ffffd40,0x2e24ffff,0xeeeeeeed,0xeeeeeeee,0xff85fffe,
    0x5e6443ff,0x80ffca9a,0xfffffffc,0xffffffff,0x360effff,0xfeb9cfff,
    0x3fff20ff,0x22fffdc4,0xfffffff9,0x3ffa20ef,0x702ffb85,0x3a607fff,
    0x7ff40dff,0xffffffff,0xffffffff,0x12ffffff,0xfff03fff,0x3ffffe65,
    0xffffffff,0xffffffff,0xbb34ffff,0xbbbbbbbb,0x009bbbbb,0x00000000,
    0x00000000,0x95100000,0x837dfffd,0xcffffdb8,0xfffa801b,0xfff70004,
    0x07fff707,0x6c0fffec,0xfb801fff,0xffc8efff,0x40440eff,0x77e44ff8,
    0xd027fcc0,0x01ffffff,0x40ffb088,0xfb32effe,0x800003ff,0x7cc5fff8,
    0x4cc406ff,0x2602ff99,0x99999999,0x99999999,0xa827fcc0,0x3ffea5ff,
    0x127ffd43,0xffffffff,0xffd13dff,0x9fff70bf,0x401fffb8,0x9886ffd8,
    0x99999999,0x99999999,0xc9809999,0xb9859302,0xcccccccc,0xcccccccc,
    0x0acccccc,0x00000000,0x00000000,0x00000000,0xfff70000,0x6fffb80d,
    0x2a17b910,0x372a4fff,0x13fff201,0x200ffff2,0xfd82fffd,0xffb802ff,
    0xefffffff,0x5ffb1000,0x5ff70150,0x3fffff60,0xfb000eff,0x07ffe20f,
    0x0000fffe,0xc8bfff10,0xfd502fff,0x07ffffff,0xfc800000,0x99ffa00f,
    0x7fc42fff,0x3fffee3f,0xffffff91,0x4cc3ffff,0x3a0ffeda,0x3f2000ef,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x3e02ffff,0xff902fff,0xbfff9bff,0x20dffffb,0x6c44fffd,0x36004fff,
    0xffe84fff,0xfffb804f,0x400effff,0x05ffffe8,0x203ffea0,0xffdffffb,
    0xffb005ff,0x641bfea0,0x400004ff,0x7f45fff8,0xffffb06f,0x007fffff,
    0x5fd80000,0xf887fdc0,0x2fff81ff,0xf707ffea,0x7fffffff,0x7eefffc4,
    0x980014c7,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000000,0x3ee0dfff,0x3ff606ff,0xffffffff,0x447fffff,0x7444fffe,
    0x44004fff,0x7445fffe,0xfb805fff,0x800effff,0x04fffff8,0x503fff90,
    0x3eebffff,0xfd804fff,0x01fff307,0x00009ffb,0x225fff88,0xffb82fff,
    0x7ff330bd,0x2aaaaa20,0xaaaaaaaa,0x7e41aaaa,0xf1ffa01f,0x3ffd01ff,
    0xff301ca8,0xfd07ffff,0x0009ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c17fffc,0x3a602fff,0xffffffff,
    0x22ffffff,0x4c5ffff9,0x0005ffff,0x88dffff1,0x6405ffff,0x00efffff,
    0x13ffaea0,0x81effd88,0x646ffff9,0x6c02ffff,0x7fff107f,0x002fff98,
    0x2fffc400,0x3f60dff5,0x83ffb887,0xfffffffd,0xffffffff,0xf50fffff,
    0xffc883bf,0xfd83ff45,0xdd910007,0x6f64c037,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,0x37ffdc6f,
    0xffffca80,0x82dfffff,0x21ffffd8,0x01ffffe8,0x77fff440,0x3bfffa21,
    0x3ffff201,0x4000efff,0xff307ff8,0x3ffa01bf,0xfffd80ff,0x81ff601f,
    0xfdbefffd,0x00000eff,0xfb2fffc4,0x37fea05f,0xeffffdcc,0xfffff10d,
    0xffffffff,0xffffffff,0x677ffe47,0x6c0efffd,0x00ff906f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x87fffe20,0x8002fffe,0x0ffffffe,0x1ffffc80,0x00ffffe4,0x0dfffe88,
    0x037fffa2,0xffffffc8,0x4000efff,0x7fe40ffd,0x3ffee03f,0xfffd101f,
    0x103fec0d,0xffffffff,0x1000003f,0x2ffcbfff,0x3fffff60,0x23ffffff,
    0xfffffffe,0xffffffff,0x641fffff,0xdfffffff,0xf303fa80,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fdc0000,0x0dfff55f,0xfffff500,0x3ea009ff,0x7fd41fff,0x7f4401ff,
    0x7ff443ff,0x7ffe403f,0xffffb8ef,0x226f260e,0x226ffba8,0xaaadfffe,
    0x5fffb0ba,0x47fff980,0xaaffeaa8,0xffffe881,0x000002ff,0x1ee8bffa,
    0xacedb880,0xc982aaa8,0xcccccccc,0xcccccccc,0xbd97100a,0x00000039,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9ffff880,0x4002fffe,0xffeffff8,0xfd1002ff,0xffe883ff,
    0xfffd101f,0x1fffe883,0x77fffdc0,0x9bfffee0,0xfffffffd,0x3ffe61ff,
    0x4fffffff,0x26007fd3,0x3ffea3ff,0x05ffffff,0x00179d95,0x0dea8000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0x6fffffff,0xefffd800,
    0x007fffd8,0x6c0fffe4,0x7f441fff,0x7ff440ef,0xffff800d,0xffffb80e,
    0xfffff911,0xfff9819f,0x5fffffff,0x26040004,0xfffffffd,0x0000002e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe200,0x4c003fff,
    0xfd11ffff,0xfa8007ff,0xfffb80ff,0x6c13ff60,0x3fa004ff,0x3fee00ef,
    0x0003300f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff200,0xff88007f,0x0fffcc3f,0x80ff4c00,0x0bf21fe9,
    0x4c002fc8,0x0395004c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x003fffff,0x32607b30,0x40040002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffe400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_44_latin_ext_x[560]={ 0,8,5,2,3,2,4,9,10,4,3,1,7,3,
8,3,3,3,2,2,2,2,4,2,3,4,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,5,1,-1,3,-1,-2,5,1,5,6,7,0,2,8,7,6,5,1,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_44_latin_ext_y[560]={ 32,6,8,5,5,7,10,8,7,7,7,9,26,19,
27,4,6,6,6,6,7,7,6,7,6,6,14,14,9,15,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,39,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,8,14,14,14,14,14,14,7,7,7,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,32,15,5,8,11,8,
7,7,7,9,6,15,19,19,9,2,3,4,6,6,6,14,7,17,30,6,6,15,6,6,6,15,0,0,0,2,
1,-1,8,8,0,0,0,1,0,0,0,1,8,2,0,0,0,2,1,13,7,0,0,0,1,0,8,7,6,6,
6,8,7,5,14,14,6,6,6,7,6,6,6,7,7,8,6,6,6,8,7,10,12,6,6,6,7,6,7,7,
3,9,0,6,8,14,0,6,0,6,1,7,0,6,0,7,8,7,3,9,0,6,1,7,8,14,0,6,0,6,
0,6,1,7,8,4,0,0,9,7,2,8,3,9,0,6,9,7,1,14,8,7,0,6,8,7,14,0,-1,8,
7,8,7,8,7,8,7,0,6,8,14,0,6,8,8,14,3,9,0,6,0,6,8,14,0,6,8,14,0,6,
0,6,0,6,8,14,0,6,9,8,0,7,9,8,2,8,3,9,0,6,-1,5,0,6,9,14,0,6,0,6,
1,0,6,1,7,0,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,12,7,7,7,7,7,7,7,7,7,7,7,7,7,4,13,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,6,0,6,0,
6,0,6,-1,3,-1,0,-1,0,-1,0,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-8,-2,0,6,0,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_44_latin_ext_w[560]={ 0,7,14,19,18,19,18,6,9,10,18,21,9,17,
7,18,18,18,18,19,18,19,18,18,18,18,7,10,23,23,23,18,17,26,23,22,22,22,22,23,23,18,22,24,
22,26,25,23,21,23,25,19,21,23,26,25,24,23,19,10,18,10,18,27,9,22,24,21,23,21,21,23,23,19,
15,22,19,26,23,21,24,23,21,19,21,23,24,25,23,23,18,11,5,11,19,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,21,19,23,
5,21,13,25,14,21,23,17,25,27,13,21,12,12,9,23,20,7,9,11,14,22,24,27,24,17,26,26,26,26,
26,26,26,22,22,22,22,22,18,18,18,18,23,25,23,23,23,23,23,17,23,23,23,23,23,23,21,21,22,22,
22,22,22,22,25,21,21,21,21,21,19,19,19,19,20,23,21,21,21,21,21,21,23,23,23,23,23,23,24,23,
26,22,26,22,27,23,22,21,22,21,22,21,22,21,22,27,23,23,22,21,22,21,22,21,24,21,22,21,23,23,
23,23,23,23,23,23,23,23,23,23,18,19,18,19,18,19,18,19,18,19,24,23,22,15,24,22,23,22,19,22,
19,22,19,22,20,23,19,25,23,25,23,25,23,24,22,20,23,21,23,21,23,21,26,25,25,21,25,21,25,21,
19,19,19,19,19,19,19,19,21,21,21,24,21,21,23,23,23,23,23,23,23,23,23,23,23,24,25,25,23,23,
23,19,18,19,18,19,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,20,21,21,21,
21,21,21,21,21,21,21,21,21,21,25,23,21,21,21,21,21,21,21,21,21,21,21,21,21,27,26,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,22,18,19,23,
21,23,23,23,23,23,23,23,23,23,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,22,26,25,23,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_bold_44_latin_ext_h[560]={ 0,27,12,31,32,26,23,12,32,32,17,23,13,4,
6,33,27,26,26,27,25,26,27,26,27,27,19,23,23,12,23,25,30,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,30,24,25,24,25,24,24,24,24,24,32,33,32,14,5,7,19,26,19,26,19,25,27,25,25,
34,25,25,18,18,19,27,27,18,19,25,19,18,18,18,27,18,32,32,32,10,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,26,29,24,19,24,
32,29,5,24,12,17,13,4,24,5,13,28,14,15,7,27,29,6,9,14,12,17,26,26,26,26,32,32,32,30,
31,33,24,32,32,32,32,31,32,32,32,31,24,30,33,33,33,31,32,16,28,33,33,33,32,32,24,26,27,27,
27,25,26,28,19,25,27,27,27,26,26,26,26,25,26,24,27,27,27,25,26,22,23,27,27,27,26,35,34,34,
29,24,32,27,30,23,33,27,33,27,32,26,33,27,32,26,24,26,29,24,32,27,31,26,30,24,32,27,33,35,
33,35,32,34,32,37,32,32,23,25,30,24,29,23,32,26,29,31,31,18,25,34,33,35,32,33,18,32,33,32,
33,24,25,24,25,24,25,32,26,32,26,32,26,24,25,27,30,24,33,27,33,27,24,19,32,26,32,26,32,26,
33,27,33,27,32,25,33,27,34,34,32,26,23,25,31,25,30,24,33,27,34,28,33,27,29,24,32,26,32,35,
31,32,26,31,25,32,26,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,31,25,25,25,
25,25,25,25,25,25,25,25,25,25,26,21,25,25,25,25,25,25,25,25,25,25,25,25,25,29,20,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,32,27,32,26,33,
27,33,27,34,30,34,33,34,33,34,33,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,40,35,32,27,35,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__courier_bold_44_latin_ext_s[560]={ 488,499,335,330,299,382,493,505,277,496,94,
25,271,470,503,260,375,343,48,24,68,362,109,426,150,44,495,501,469,296,445,
87,68,403,242,106,75,216,219,129,264,310,153,356,430,453,49,200,194,86,120,
224,288,176,101,193,76,1,266,482,100,266,202,442,390,162,247,120,67,207,288,
96,310,354,472,374,334,366,393,185,279,232,325,255,244,275,69,485,437,72,347,
195,506,160,350,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,488,504,399,
423,142,445,493,302,428,469,281,113,247,470,397,400,233,441,189,176,380,63,254,
503,370,221,320,135,202,131,177,159,189,165,115,135,410,1,25,192,172,142,92,
283,427,280,318,437,52,162,1,69,116,259,242,158,487,45,458,391,287,446,128,
135,1,326,256,403,25,1,229,381,349,371,393,113,485,465,46,48,443,480,210,
188,166,26,91,47,1,48,24,191,486,187,401,329,275,170,215,352,188,421,93,
261,119,215,311,225,415,128,410,415,146,1,376,333,1,87,236,296,110,381,48,
169,213,139,52,76,96,353,24,28,360,256,377,293,49,150,216,401,120,445,235,
369,350,417,1,448,166,100,71,237,461,139,438,459,279,286,490,1,469,309,449,
433,157,384,272,334,402,239,426,307,480,98,142,414,189,436,329,299,66,203,20,
464,470,181,140,120,371,481,337,249,25,394,283,426,207,318,355,227,306,269,1,
170,76,328,377,463,482,283,324,24,357,1,403,163,456,383,27,216,317,46,66,
359,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,336,266,266,389,
266,266,266,266,266,266,266,266,266,266,266,266,266,105,69,266,266,266,266,266,
266,266,266,266,266,266,266,266,348,93,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,229,458,
1,85,28,304,488,237,305,25,259,323,235,347,211,299,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,1,116,162,140,52,417,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266, };
static unsigned short stb__courier_bold_44_latin_ext_t[560]={ 35,110,416,143,76,264,369,264,110,76,416,
394,416,416,318,37,207,264,264,207,318,264,207,264,207,207,318,207,369,416,369,
318,176,344,369,318,369,344,369,318,344,344,318,344,344,344,369,318,344,176,369,
318,344,318,344,369,344,344,369,110,37,110,416,416,416,394,264,394,264,394,318,
235,318,318,1,318,318,394,394,394,235,235,394,394,318,394,416,394,394,235,394,
76,37,76,416,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,35,143,175,
318,394,318,110,175,416,318,416,416,416,416,318,416,416,175,416,416,416,207,175,
325,416,416,416,416,291,291,291,291,143,110,110,176,143,42,344,110,76,110,110,
143,76,76,76,143,344,176,76,76,76,143,110,416,175,76,37,37,110,76,344,
264,236,235,235,291,264,207,394,291,235,235,235,264,264,264,291,318,235,344,235,
235,235,318,264,394,394,235,235,207,235,1,1,1,175,369,110,207,176,369,76,
207,37,207,110,264,37,207,110,235,369,264,175,369,143,207,143,264,176,344,143,
207,37,1,37,1,143,1,143,1,110,76,369,291,176,344,175,369,143,264,175,
143,143,394,318,1,37,1,143,37,394,143,37,110,37,369,291,369,291,369,291,
110,264,110,264,110,264,344,291,207,143,369,37,207,37,207,344,394,110,264,110,
235,76,264,76,235,37,207,76,291,76,207,1,1,76,264,369,291,143,291,176,
344,37,207,1,175,37,207,175,369,76,291,76,1,143,76,291,143,291,110,291,
291,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,291,318,318,143,
318,318,318,318,318,318,318,318,318,318,318,318,318,291,394,318,318,318,318,318,
318,318,318,318,318,318,318,318,175,394,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,76,207,
110,291,39,235,1,207,1,176,1,37,1,37,1,37,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,1,1,143,235,1,175,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318, };
static unsigned short stb__courier_bold_44_latin_ext_a[560]={ 373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_44_latin_ext(stb_fontchar font[STB_FONT_courier_bold_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_44_latin_ext_s[i] + stb__courier_bold_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_44_latin_ext_t[i] + stb__courier_bold_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_44_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_44_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_44_latin_ext_x[i] + stb__courier_bold_44_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_44_latin_ext_y[i] + stb__courier_bold_44_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_44_latin_ext_s[i] + stb__courier_bold_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_44_latin_ext_t[i] + stb__courier_bold_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_44_latin_ext_x[i] + stb__courier_bold_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_44_latin_ext_y[i] + stb__courier_bold_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_44_latin_ext_LINE_SPACING
#endif

