// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT        452
#define STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_45_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_45_latin_ext_LINE_SPACING          21

static unsigned int stb__courier_bold_45_latin_ext_pixels[]={
    0x000c4000,0x00097000,0x00ae2000,0x00000000,0x80000000,0x54000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00333310,0x00880000,
    0x805d5000,0x4c4002ea,0x26620099,0x99880019,0x00000019,0x99999930,
    0x99999999,0x01999999,0x88000000,0x0000001b,0x03ff5000,0x07f90000,
    0xfd300000,0x3620000f,0x1000000c,0x0000019b,0x00027f4c,0x003fec40,
    0x0001f4c0,0x00000376,0x1fd41764,0xffffb800,0xffffffff,0x74c00002,
    0x3fff2003,0x000007ff,0x0013ff60,0xe881bf60,0x7ff4004f,0x3fff606f,
    0xfffe8007,0xdd710007,0x7fd40017,0xffffffff,0xffffffff,0x3ba200ff,
    0x001baa01,0x00013fea,0x00007bea,0x0001fff9,0x0005f980,0x3fffa800,
    0xfffb8000,0x5c00002e,0x0002efff,0x02fffa80,0x7ff4c000,0x7fe40004,
    0xfb0000df,0x7000003d,0xffb119ff,0x3b660005,0xeeeeeeee,0x200001de,
    0xf1003ffa,0x00ffffff,0x3fe60000,0x5c0000ff,0xffd80cff,0x7fff4002,
    0x1ffff606,0x1ffffa00,0x7ff7fc00,0x3ffea006,0xffffffff,0xffffffff,
    0x3ffe600f,0x07ffe444,0x37ffa200,0x3ffe0000,0xffb10006,0xd000003f,
    0x8000001f,0x0003fffb,0x7ffffec4,0x440000cf,0xcffffffd,0xff700000,
    0xa800007f,0x20005fff,0xffffffe9,0x5ffb0003,0xff500000,0x0005dffd,
    0x00000000,0x8800ffee,0x07ffffff,0xff700000,0x880003ff,0xfdcdfffe,
    0xfe8006ff,0x3ff606ff,0xffe8007f,0x3fa8007f,0x7d4007f2,0xffffffff,
    0xffffffff,0x7dc00fff,0xffea9eff,0xfd10002f,0x3e0003df,0xe88006ff,
    0x00000eff,0x000cff88,0x5fffb000,0xfffa8000,0x1ffffbaf,0xffff5000,
    0x03ffff75,0x2fffd800,0x7fdc0000,0x3f20003f,0xfffd9eff,0x2e0c400d,
    0x0004c1ff,0xcffd8822,0x22000220,0x80009801,0x217fdc18,0x7f64c009,
    0x000007ff,0x00dfff10,0x3fffa200,0x000effff,0x206fffe8,0x8007fffd,
    0x8007fffe,0x8027c47d,0xaaadfffa,0xaaaefffb,0x800fffea,0xffffffe9,
    0xfd80001e,0xff8001ff,0xffe8007f,0x2a000005,0x00005fff,0x001eff98,
    0x06fffc40,0x001fffd3,0x20dfff88,0x000fffe9,0x003dff70,0x2fff9800,
    0x3ffea000,0x02fffd43,0x0da87ff3,0x5c007ff2,0x2e0d42ff,0x3e6002ff,
    0x07ff203f,0x263ff980,0x00ffe40d,0x0007fff8,0x02ee2000,0xffd70000,
    0x000005df,0x00000000,0x3ea1fb80,0x9fff5002,0xd86fff88,0x32000fff,
    0x0003ffff,0x0037fdc0,0x4003fffc,0x000003fe,0x0037ffd4,0x0066c400,
    0x017fc400,0xf1000ff7,0x03fdc05f,0x001bf900,0x01df3000,0x01efa800,
    0x7e40bfb1,0x3fff806f,0x00bffb00,0x6400bffb,0x3ffe06ff,0x1bff2003,
    0x400fffe0,0x00007fff,0x00000000,0x00000000,0x00000000,0x3fe67fc4,
    0x89fff500,0xfd86fff8,0x74c000ff,0x3000001e,0xfff0007b,0x0002000f,
    0x17ff4000,0x20000000,0x800400a9,0x40020000,0x00080000,0x00000000,
    0x26004002,0xffc803ff,0x05ff5000,0x4005ff50,0x3f203ff9,0x3fe6001f,
    0x00ffc803,0x020ffff0,0x00220000,0x00088000,0x00000000,0xea800000,
    0x2a001dff,0x7fc44fff,0x0fffd86f,0x00000000,0x7ffc0000,0xeeb88007,
    0x04000002,0x40000000,0x2000fff9,0x00000008,0x36a00000,0x000001cf,
    0x00000000,0x00400110,0x11000440,0x10011000,0x00110001,0x3ffe0004,
    0x37fff6e7,0xdc88001b,0x952dffff,0x88017999,0x2dffffdc,0x81799995,
    0xcccccca8,0x9999951c,0x44399999,0xcccccccb,0x000ccccc,0xfa800098,
    0x7ffc43ff,0x00fffd86,0x44000000,0x3ec881dd,0x007fff80,0x2fff7fc4,
    0x00880000,0xfd970000,0x7fc45bdf,0x372202ff,0x952dffff,0xa8817999,
    0x201bcccc,0x0accccb9,0xffdff700,0x66544003,0x2e601bcc,0x440acccc,
    0xcccccccb,0x000ccccc,0x00000000,0x00000000,0x00000000,0xfff7ffff,
    0x7fffffff,0x3fffee00,0xfeefffff,0x701fffff,0xffffffff,0xfffffddf,
    0x7ffffc3f,0xffdbffff,0xffffffff,0xfffff12f,0xffffffff,0x0000003f,
    0x220fffc4,0xffb86fff,0x66665446,0xccb981bc,0x6c00accc,0xfffb86ff,
    0x03fffc01,0x1fc8bee0,0xfdc88000,0x9952dfff,0xd3003799,0xffffffff,
    0x1ffffd5d,0x3ffffee0,0xffeeffff,0x3f61ffff,0x82ffffff,0xfffffffb,
    0x221df005,0x3ff6005f,0xb82fffff,0x5fffffff,0x3fffffe2,0xffffffff,
    0x33332a21,0xccb981bc,0x5440accc,0x81bccccc,0xacccccb9,0x66665440,
    0xccb981bc,0x5440accc,0x81bccccc,0xacccccb9,0x3ffffe00,0xffffffff,
    0xb100efff,0xffffffff,0xffffffff,0xffd887ff,0xffffffff,0xffffffff,
    0xffffff33,0xffff7fff,0xffffffff,0x3ffffea5,0xffffffff,0x3332a21f,
    0xcb981bcc,0x540acccc,0x6fff883d,0x3e21dc88,0xffffffff,0x3fffff23,
    0x3a00ffff,0xfffc87ff,0x03fffc02,0x07f31fa0,0xffffb800,0xfeefffff,
    0x101fffff,0xfffffff9,0xffffffff,0xfffb107f,0xffffffff,0x7fffffff,
    0x3fffffe2,0xfffe84ff,0x9807ffff,0x4007ec3f,0xfffffff8,0xffffe84f,
    0x3fea7fff,0xffffffff,0xff11ffff,0x7fffffff,0x7fffffe4,0xfff10fff,
    0x47ffffff,0xfffffffc,0xffff10ff,0x647fffff,0xffffffff,0xfffff10f,
    0x7e47ffff,0xffffffff,0xffffff00,0xffffdfff,0x3f20bfff,0xffefffff,
    0xffffffff,0x7ffe40ff,0xffffefff,0xffffffff,0x3fffffa0,0xfffbbfff,
    0xffffffff,0x3fffffa2,0xffffffff,0xffffff11,0x7fe47fff,0x0fffffff,
    0x0dfff100,0x7ffffdc0,0x3fe6ffff,0xffffffff,0x20ffea02,0xff806fe8,
    0x0fe4006f,0x220003f7,0xfffffffd,0xffffffff,0xffb03fff,0xffffffff,
    0x0bffffff,0x3ffffff2,0xfffffffe,0x320fffff,0x1fffffff,0xffffffa8,
    0x45f8804f,0x3ff2006f,0xa81fffff,0x4fffffff,0x7ffffff4,0x1fffffff,
    0xfffffff7,0x7fffcdff,0x72ffffff,0xffffffff,0x7ffffcdf,0xf72fffff,
    0xffffffff,0x7fffffcd,0xff72ffff,0xdfffffff,0x7ffffffc,0xfff02fff,
    0xa883dfff,0x543fffff,0x442effff,0xcffffffc,0xeffffa81,0x7fffe442,
    0x55101cff,0x227fffb5,0xfdaaaaaa,0x555442ff,0xffeaaaaa,0xfffff71f,
    0x7fcdffff,0xffffffff,0xdfff1002,0x7fffc400,0x323fffff,0xffffffff,
    0x2004400f,0x0dfff000,0xfccff880,0x3ff20006,0xfffeffff,0xffffffff,
    0xffffa80f,0xffb511bf,0x3ea0dfff,0x6442efff,0x1cffffff,0x07ffff30,
    0x0ffffd88,0x3af7f200,0x7fcc002f,0x7ec403ff,0x55300fff,0xfd555555,
    0x3ffe23ff,0x23ffffff,0xfffffffc,0xffff10ff,0x647fffff,0xffffffff,
    0xfffff10f,0x7e47ffff,0xffffffff,0xffffff10,0x7fe47fff,0x0fffffff,
    0x07fffff0,0x46fffd88,0x5405ffff,0xf01fffff,0xfa80bfff,0x2001ffff,
    0xc803fffb,0xd8002fff,0xfff11fff,0x47ffffff,0xfffffffc,0xff1000ff,
    0xfa8800df,0x880aafff,0x02ffffaa,0xfd800000,0xfea8004f,0xf50001df,
    0xc885dfff,0x1cffffff,0x1dffff10,0x3ffffa20,0x5ffff80f,0x7ffffd40,
    0x37ffe401,0x01ffffc0,0x0ffff220,0x37ffe400,0x01ffffc0,0x87fff600,
    0xaaffffa8,0xfffaa880,0xfffa882f,0xaa880aaf,0xa882ffff,0x80aaffff,
    0x2ffffaa8,0xaffffa88,0xffaa880a,0x7ffc02ff,0xfff1005f,0x3fffe61f,
    0xffffc800,0x0ffff981,0x1ffffc80,0x0fffee00,0x00bfff20,0x887fff60,
    0x0aaffffa,0xffffaa88,0x7ffc4002,0xfff88006,0x1fffe006,0x44000000,
    0x04c0003b,0x3fffe000,0x3ffea00e,0x3ffa01ff,0x7ffec06f,0x7fcc4fff,
    0xffc800ff,0x7fc401ff,0x3fee02ff,0x0620007f,0xffff1000,0x3fffdc05,
    0x7ffec000,0x037ffc41,0x440ffff0,0x3e006fff,0x3fe207ff,0x3ffe006f,
    0x1bffe207,0x807fff80,0x2001ffff,0xff52fffc,0x3fe2009f,0xfffa81ff,
    0xffff1004,0x7ffdc003,0x2fffc803,0x1fffd800,0x0037ffc4,0x1000ffff,
    0x1000dfff,0x7c00dfff,0x995107ff,0x32e60799,0x0001cccc,0x26000000,
    0xc800ffff,0xf301ffff,0x7dc03fff,0x0fffffff,0x4013ffea,0x801ffff8,
    0x3e06fffc,0x40003fff,0xffc80000,0x3fffe06f,0xffd80003,0x37ffc41f,
    0x40ffff00,0x2006fff8,0x3e207fff,0x3fe006ff,0x3ffe207f,0x1fffe006,
    0x001fffe0,0x3f29fff5,0x3fa002ff,0xfffc81ff,0x3fffa002,0x3ffee001,
    0x2fffc803,0x1fffd800,0x0037ffc4,0x1000ffff,0x1000dfff,0x7c00dfff,
    0xfff887ff,0xffa86fff,0x002fffff,0xccccb980,0x4000cccc,0x1004fffa,
    0x2e03ffff,0x3ea04fff,0xfffddfff,0x00bfff23,0x801fffe8,0xb82ffff8,
    0x22007fff,0xfffffdca,0xff88003e,0xfffb82ff,0xffb00007,0x6fff883f,
    0x81fffe00,0x2006fff8,0x3e207fff,0x3fe006ff,0x3ffe207f,0x1fffe006,
    0x003fffe0,0xf94fffb8,0x7f4005ff,0xfffc81ff,0x3fffa002,0x3ffee001,
    0x2fffc803,0x1fffd800,0x0037ffc4,0x1000ffff,0x1000dfff,0x7c00dfff,
    0xfff987ff,0xffc86fff,0x002fffff,0x7ffffec0,0x003fffff,0x0017ffe4,
    0x3203fffd,0xff101fff,0xfff71dff,0x017ffe49,0x003fffd0,0xf11bfff2,
    0x32007fff,0xffffffff,0x4002ffff,0x7c46fffc,0x00003fff,0xf883fffb,
    0x3fe006ff,0x3ffe207f,0x1fffe006,0x006fff88,0xf881fffe,0x3fe006ff,
    0xffff807f,0x3fff6003,0x007fff72,0x5c0ffffc,0x3e003fff,0x2e001fff,
    0xfc803fff,0xfd8002ff,0x7ffc41ff,0x1fffe006,0x1bffe200,0x1bffe200,
    0xd07fff80,0x30dfffff,0x5fffffff,0x3fe00aa0,0xffffffff,0x7fe4006f,
    0x3ff6002f,0x1fffd01f,0x47ffffa0,0x3ee6fff9,0x3fe003ff,0xff1001ff,
    0x7ffdc5ff,0xffff3006,0xffffffff,0x7c4003ff,0x3fee2fff,0x3600006f,
    0x7fc41fff,0x3ffe006f,0x1bffe207,0x207fff80,0x2006fff8,0x3e207fff,
    0x3fe006ff,0xffff807f,0xfffa801f,0x0dfff31f,0x07fffea0,0x401bffe6,
    0x001ffffa,0x200fffee,0x8002fffc,0x7c41fffd,0x3fe006ff,0xff88007f,
    0xff88006f,0x3ffe006f,0x3ffee207,0x3ff6a606,0x04ffd82f,0x7fffffec,
    0x001fffff,0x800fffee,0xff01ffff,0x3fff20df,0x9fffe23f,0x5006fff9,
    0x4003ffff,0xff16fffc,0x7fc007ff,0xfeefffff,0x4007ffff,0xff16fffc,
    0x400007ff,0x7c41fffd,0x3fe006ff,0x3ffe207f,0x1fffe006,0x006fff88,
    0xf881fffe,0x3fe006ff,0xffff807f,0x3fee02ff,0x3ffe26ff,0x7ff4403f,
    0xfff881ff,0x7ff4403f,0x3ee001ff,0xffc803ff,0xffd8002f,0x37ffc41f,
    0x00ffff00,0xffffffb7,0x805bffff,0x2006fff8,0x7c407fff,0xffc806ff,
    0x06fff82f,0xfffaaa98,0x2005ffff,0x5006fff9,0xf103ffff,0xfff70dff,
    0x4ffff09f,0x403ffff8,0x01ffffe8,0x2bfffe20,0x4006fffb,0xa81abcd9,
    0x2000ffff,0xfbaffff8,0x400006ff,0x7c41fffd,0x3fe006ff,0x3ffe207f,
    0x1fffe006,0x006fff88,0xf881fffe,0x3fe006ff,0xffff807f,0xdbacefff,
    0x40ffffff,0x304ffffc,0x03fffffd,0x413ffff2,0x1fffffe9,0x0fffee00,
    0x00bfff20,0x107fff60,0x7c00dfff,0x7fcc07ff,0xffffffff,0x7c407fff,
    0x3fe006ff,0x7ffc407f,0x2fffc806,0x4006fff8,0xfffffff9,0xfff1000f,
    0xffe8807f,0xffff01ff,0x37fffcc1,0x3237ffc4,0xd304ffff,0x003fffff,
    0xffefffb8,0x000003ff,0x000bfff6,0xfffdfff7,0xd800007f,0x7fc41fff,
    0x3ffe006f,0x1bffe207,0x207fff80,0x2006fff8,0x3e207fff,0x3fe006ff,
    0xffff807f,0xffffffff,0xd02fffff,0x779dffff,0xfffffffb,0x7ffff403,
    0xfffdbbce,0xc881ffff,0xfffffffe,0x643dffff,0xd8002fff,0x7fc41fff,
    0x3ffe006f,0x7fffcc07,0xffffffff,0x7ffc407f,0x1fffe006,0x00dfff10,
    0xff05fff9,0xffd800ff,0x03fffdcf,0x13ffff20,0x7fffff4c,0x25fffd01,
    0x80ffffe8,0xfe84fff9,0xdbbcefff,0x1fffffff,0x7fffc400,0x80006fff,
    0xc9abcba9,0x44003fff,0x6fffffff,0xffd80000,0x37ffc41f,0x40ffff00,
    0x2006fff8,0x3e207fff,0x3fe006ff,0x3ffe207f,0x1fffe006,0x3fffffe0,
    0xffffffff,0x3fe601ef,0xffffffff,0x01ffffff,0x3fffffe6,0xffffffff,
    0xfffc81ff,0xffffffff,0x3f21ffff,0xfd8002ff,0x7ffc41ff,0x1fffe006,
    0x3ffffae0,0x2dffffff,0x037ffc40,0x880ffff0,0xfc806fff,0x7fff82ff,
    0x3fffe200,0x006fffa9,0x677ffff4,0xfffffdbb,0xfffb01ff,0x0bffff69,
    0x4c1fffdc,0xffffffff,0xffffffff,0xfffb8001,0x10003fff,0xfffffff9,
    0x007fffff,0xffffff70,0xfb000007,0xfff883ff,0x1fffe006,0x006fff88,
    0xf881fffe,0x3fe006ff,0x3ffe207f,0x1fffe006,0x2e3fffe0,0xffffffff,
    0xfffd3003,0xffffffff,0xe9803fff,0xffffffff,0x81ffffff,0xfffffffc,
    0xffffffff,0x00bfff21,0x107fff60,0x7c00dfff,0x000007ff,0x0dfff100,
    0x203fffc0,0xc806fff8,0xfff82fff,0x3ffee007,0x007fffe6,0xffffff98,
    0xffffffff,0xfff701ff,0x07ffff9d,0x407fffe2,0xffffffe9,0xffffffff,
    0xfff88001,0xf70006ff,0xffffffff,0x007fffff,0xdfffff10,0x3f600000,
    0x7ffc41ff,0x1fffe006,0x006fff88,0xf881fffe,0x3fe006ff,0x3ffe207f,
    0x1fffe006,0x531fffe0,0x20001357,0xfffffffb,0x01fffd9d,0xffffff70,
    0x3fffb3bf,0xffffd910,0xdfffffff,0x02fffc87,0x41fffd80,0x2006fff8,
    0x00007fff,0x1fffe000,0x037ffc40,0x201bffe2,0xff82fffc,0x3ffa007f,
    0x17ffee2f,0xffffd300,0xffffffff,0x3fe203ff,0x05ffffff,0x003ffff2,
    0xfffffff7,0x03fffb3b,0x3fffee00,0xfffb8003,0xffffffff,0x0003ffff,
    0x007ffff7,0x3fff6000,0x007fff81,0xf80dfff1,0xff1007ff,0x7fff80df,
    0x0dfff100,0x1007fff8,0xff00dfff,0x000000ff,0x6c157953,0x4c001fff,
    0x3f60abca,0x000001ff,0x0017ffe4,0x7c0fffec,0xff1007ff,0x326000df,
    0xffb0001b,0xfff5001f,0x6fff8809,0x82fffc80,0xf3007fff,0xfff88fff,
    0xffb8000f,0xd9dfffff,0x3ee01fff,0x00efffff,0x005ffff7,0xb055e54c,
    0x20003fff,0x8006fffc,0xeffffffa,0xffeeccac,0xff90003f,0x400000df,
    0xfd81fffd,0xffa800ff,0x7ffec04f,0x4fffa800,0x007ffec0,0x2027ffd4,
    0xa800fffd,0xff804fff,0x0000007f,0x00ffff80,0x7fffc000,0x74000000,
    0xf8001fff,0xffd80fff,0xfffa800f,0xfff88004,0xfff90006,0xfffe880b,
    0x3fffc403,0x0bfff620,0x6c01fffe,0xffd84fff,0x2a20003f,0x3ff60abb,
    0x7fff401f,0xfffb01ff,0xf800009f,0x88000fff,0x8002ffff,0x00befffe,
    0x000fffee,0x00bfffe2,0xffff8000,0x05fffc80,0x01ffff44,0x1017fff2,
    0xc807fffd,0x74405fff,0x7e403fff,0x7f4405ff,0xfff803ff,0x00000007,
    0x0037ffd4,0x1bffea00,0xff300000,0xff5000ff,0x3fff20df,0x7fff4405,
    0xfffa8003,0xff98001f,0xfe880dff,0xff800fff,0xffc881ff,0xfff82fff,
    0xffff8807,0x06fffa80,0x3ffe0000,0x7ffec00f,0xfdbbdfff,0x000effff,
    0x1bffea00,0x37ffe400,0x7fffc400,0x3fffc801,0x6fffc800,0x3ea00000,
    0xfff306ff,0xffd101bf,0xff9801ff,0xfe880dff,0x7cc00fff,0xe880dfff,
    0x4c00ffff,0x880dffff,0x800ffffe,0x00007fff,0xffd51000,0x2200009f,
    0x004fffea,0x3ffaa000,0x3aa2005f,0xff304fff,0xfd101bff,0x10001fff,
    0x0001ffff,0x33ffffee,0xfffffdbb,0xdfffb002,0xffffb759,0x7c19ffff,
    0xffb806ff,0xaaaaaaff,0x0001ffff,0x06fffa80,0x7fffffdc,0xffffffff,
    0x100001ff,0x009fffd5,0x05ffff10,0x1ffff100,0x7ffffdc0,0x7ffc4003,
    0x5000002f,0x5c0bfffd,0xbbcfffff,0x02fffffd,0x9fffff70,0xfffffb77,
    0x3ffee005,0xffdbbcff,0xf7002fff,0xb779ffff,0x405fffff,0xcffffcb8,
    0x00000acc,0xfb999973,0x003fffff,0x6e6665cc,0x01ffffff,0x6665c400,
    0x2ffffffd,0x6e6665cc,0x01ffffff,0x33ffffee,0xfffffdbb,0x37d40002,
    0x3fff6000,0xffffffff,0x3fea005f,0xffffffff,0x4fffffff,0x3a01bffe,
    0xffffffff,0x05ffffff,0x7ff54000,0x3ffe605f,0xffffffff,0x000dffff,
    0x6e6665cc,0x01ffffff,0x3b3332a2,0x002cffff,0xbdfffff8,0xfffffdca,
    0x220cefff,0xffecccca,0x98002cff,0xffdccccb,0x6c01ffff,0xffffffff,
    0x4005ffff,0xfffffffd,0x005fffff,0x7fffffec,0x05ffffff,0x7ffffec0,
    0x5fffffff,0x7fffffc0,0x004fffff,0xfffff980,0x2fffffff,0x3fffe600,
    0xffffffff,0xfff80002,0xffffffff,0x7ffffcc3,0x2fffffff,0xfffffd80,
    0x5fffffff,0x02fc8000,0xffffc800,0x04ffffff,0xfffffb80,0xffffffff,
    0x3fea4fff,0x7fffcc02,0xffffffff,0x2000ffff,0xfdccccb9,0x201fffff,
    0xeb8ffffe,0x2effffff,0xffff9800,0xffffffff,0x7ffff402,0xffffffff,
    0x7ffdc002,0xffffffff,0xffffffff,0x3fffffa4,0x2fffffff,0x3fffe600,
    0xffffffff,0xffff9002,0x09ffffff,0x3ffff200,0x04ffffff,0xfffff900,
    0x009fffff,0x3fffff20,0x404fffff,0xfffffff9,0x0006ffff,0xffffffb8,
    0x002fffff,0x7fffffdc,0x002fffff,0xfffff980,0xb83fffff,0xffffffff,
    0x32002fff,0xffffffff,0xa80004ff,0x2600004f,0xeffffffe,0x3fee0001,
    0xdadfffff,0x040cefff,0xfffffd80,0xffffffff,0xf3003fff,0xffffffff,
    0x7d405fff,0x5d4c1fff,0x2e00009b,0xffffffff,0xff802fff,0xffffffff,
    0xc8005fff,0xffffffff,0xffffffff,0x3fffe4ff,0xffffffff,0x3fee005f,
    0xffffffff,0x7f4c002f,0x01efffff,0x7fff4c00,0x0001efff,0x7fffff4c,
    0x4c0001ef,0xeffffffe,0xffffb001,0x07ffffff,0xfffd1000,0x037bffff,
    0xffffd100,0x0037bfff,0x7fffec00,0xd101bdff,0xbfffffff,0xfd300037,
    0x03dfffff,0x01df1000,0x77510000,0x4c000013,0x0000abcb,0x9ffff100,
    0x99999999,0x200dfff9,0xfffffffb,0x4c02ffff,0x00003fff,0xffffe880,
    0x001bdfff,0xfffffff9,0x003fffff,0x3ffffaa0,0xffcbefff,0x3f20ceff,
    0xffffffff,0x22001fff,0xfffffffe,0x220000bd,0x00009bba,0x04ddd440,
    0x2ea20000,0x4000009b,0x0009bba8,0xaaaaaa88,0x8800001a,0x0002aaaa,
    0x0aaaaa20,0x55100000,0x54400155,0x00002aaa,0x0026eea2,0x000c8800,
    0x00000000,0x80000000,0x2005fffb,0x8801fffe,0xfffffffe,0x7b7000bd,
    0x88000000,0x0002aaaa,0x5555554c,0x500001aa,0x00157997,0x555554c0,
    0x20001aaa,0x002aaaa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x002fffe8,0x8017ffee,0x002aaaa8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f644000,
    0x80ceffff,0xfffffec8,0x0000005e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff9000,
    0xb07fffff,0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb000,
    0xb09fffff,0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffb1000,
    0x1019dfff,0xdffffffb,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x00015c43,0x00100000,0x5c000002,0x00800002,0x01000000,
    0x00008000,0x00002000,0x00000020,0x98001b88,0x00000999,0x000015c0,
    0x00000000,0x40eec400,0x00003ec8,0x00000000,0x3600a880,0x07f6203f,
    0x13ee0000,0x807ba200,0x880006ea,0x00002eeb,0xd10ffd80,0x3ba200ff,
    0x001baa01,0x3fb807f7,0x3fa20000,0x74c00007,0xf880000e,0x0037c406,
    0x0017ec40,0x0bf62000,0x0eea8000,0x74c00000,0xffb1006f,0x00009fff,
    0x002ffcc0,0x27e40000,0x003dd300,0x5c37fec0,0x22001fff,0x1baa01ee,
    0x01bea000,0xe81ffea0,0x7fdc0dff,0x6c00002f,0xf98005ff,0x7fe444ff,
    0x3e20000f,0x0005ffef,0x457ff600,0xf3004ffe,0xffd889ff,0x3ff2000f,
    0x00bff100,0x13ffea00,0xfffc8000,0x7cc0003f,0x03ff203f,0xffffb800,
    0xa800000d,0x000dffff,0x1ffffe40,0xffa80000,0xfff7003f,0x00009fff,
    0x00effe80,0xff500000,0xfff9005f,0x3fa0007f,0x2fffc87f,0x13ffe600,
    0x001fffb1,0x0037fe40,0x40bfffe2,0xe8bffff9,0x00004fff,0x003bffa2,
    0x4f7ffdc0,0x002fffea,0x3f917dc0,0xffb00000,0x013ffa2b,0x53dfff70,
    0x8005ffff,0x74c1effa,0xb80002ff,0x00004fff,0xffffffd3,0x7fc0001d,
    0x3fee20af,0xffb10006,0x005fffff,0x3fff6200,0x8002ffff,0xffffffe9,
    0x3200000e,0x2a003fff,0x04ffffff,0x7ec40000,0x000001ff,0x202fffe8,
    0xffffffe9,0x7fd4001e,0x006fe883,0xa9efffb8,0x0002ffff,0x003fffb1,
    0x00ffffc8,0x3fffff62,0x200002ff,0x000dfff9,0x7ffff4c0,0x80001eff,
    0x001fcc7e,0x457ff600,0x30004ffe,0xdffffffd,0x3ff60001,0x5ffffdff,
    0xfffc8000,0xff700002,0xffff53df,0x3fea0005,0xffffeeff,0xfff98001,
    0x4fffe8af,0x7ffcc000,0x5fffd8bf,0x3bffee00,0x02ffffa9,0x1fffd800,
    0xffedb800,0x0000004f,0x0005fff9,0x7fffcc00,0x3dfff700,0x005fffd5,
    0x00040088,0xfffffd30,0x260001df,0x4000effe,0x004ffff8,0x01bffff5,
    0x7ffc4000,0x7e400004,0x00003fff,0x01fb87f2,0x97fea000,0x80004ffb,
    0x003ffffc,0xfffffc80,0x40000dff,0x0001eff9,0x887fff30,0x0000fffd,
    0xfffffff5,0x3fa0003d,0x7ffdc0df,0x3ffa0002,0x1fffd40d,0x21fffcc0,
    0x000fffd8,0x003bfea0,0x09fff500,0x7d400000,0x2000007f,0xf304fffd,
    0xffc887ff,0x0000000f,0xffffc800,0x7ff40003,0xfff90005,0x7ec4001f,
    0xfa800002,0x3000003f,0x800003dd,0x06fccff8,0x21ec4000,0x200003d9,
    0x00000ee9,0x0737b726,0x066c4000,0x3bd10000,0x0002f540,0x0f3bb6e2,
    0x405db000,0x20000ed8,0x3f6203fc,0x01de8801,0x100017aa,0x2a00009b,
    0x00004fff,0x0026cc00,0xffff9800,0x403bd100,0x000005ea,0x3ba60000,
    0x7fcc0000,0xfff10003,0x0000009f,0x00015000,0x00000000,0x00efff54,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0004fffa,0x00000000,0x027ffec0,0xca880000,
    0x2601bccc,0x00accccb,0x26000000,0x3fee0000,0x6ec401ff,0x003ec881,
    0xc881dd88,0x0000003e,0x004c0000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb989fff5,
    0x002ccccc,0x40000000,0x001ffff8,0xfffb0000,0xf705ffff,0x0bffffff,
    0x98800000,0x00099999,0x402ffff4,0xffb86ffd,0x7fec001f,0x01fffb86,
    0x3ffb2e00,0x000002cd,0xcb800000,0x002cdffe,0xfffeda80,0x8006a1ce,
    0xdeffedb9,0x2a20330b,0x81bccccc,0xacccccb9,0x3fb2e000,0x22002cdf,
    0x1bccccca,0xcccccb98,0xdb73000a,0x2617bdff,0x665cc001,0xcccccccc,
    0xccca881c,0xcb981bcc,0x000acccc,0x337ffb2e,0xfffa8002,0x3ffffea4,
    0xca885fff,0x981bcccc,0x0acccccb,0x5fffc800,0xffdb7100,0x220545bd,
    0xffffffff,0xfffffe84,0x6dc407ff,0x2a2deffe,0xffffd300,0x5400dfff,
    0xe801ffff,0xfffc87ff,0x3fff4002,0x0017ffe4,0x7fffff54,0x8001efff,
    0xccccccb9,0x500000cc,0xfffffffd,0xf70003df,0xffffffff,0x805ffdbf,
    0xffffffe9,0x3ffeffff,0x7fffffc4,0x3ff23fff,0x0fffffff,0x7ffff540,
    0x401effff,0xfffffff8,0x3fff23ff,0x00ffffff,0x3fffffa6,0xffefffff,
    0xffff9003,0xffffffff,0x7ffc4fff,0x23ffffff,0xfffffffc,0x7f5400ff,
    0xefffffff,0x3ffea001,0x3fffff24,0x7fc47fff,0x3fffffff,0x3ffffff2,
    0x22000fff,0xb801ffff,0xffffffff,0x640fffff,0x1fffffff,0xffffffa8,
    0x3ffee04f,0xffffffff,0xfffd80ff,0x006fffff,0x401bffee,0xfe883ffa,
    0x3ffa8006,0x4006fe88,0xffffffc8,0x03ffffff,0x3fffff60,0x003fffff,
    0x7fffe440,0xffffffff,0xfffb1003,0xffffffff,0x540bffff,0xffffffff,
    0x5fffffff,0x7fffffdc,0x3ffe6fff,0x2fffffff,0xfffff910,0x7fffffff,
    0x7ffffdc0,0x3fe6ffff,0xffffffff,0xfffff502,0xffffffff,0x3fe00bff,
    0xffffffff,0x71ffffff,0xffffffff,0x7ffffcdf,0x102fffff,0xfffffff9,
    0x007fffff,0xfa93ffea,0x4fffffff,0x7fffffdc,0x3ffe6fff,0x2fffffff,
    0x1bffee00,0x3fffff60,0xffffffff,0xffff982f,0x7ffec403,0x3fff600f,
    0xffffffff,0xffc82fff,0x06ffffff,0x017fff60,0x00040088,0x00080110,
    0xffffffd8,0xffffffff,0xfffff005,0x0dffffff,0xffffd800,0xffffffff,
    0xffe805ff,0xffffffff,0x06ffffff,0xfffffff7,0xffffffff,0xffff88ff,
    0x323fffff,0xffffffff,0xffffb00f,0xffffffff,0x3fe20bff,0x3fffffff,
    0x3ffffff2,0xffb80fff,0xffffffff,0x07ffffff,0xffffff90,0xffffffff,
    0x7ffffc4d,0x3f23ffff,0xffffffff,0xfffffb00,0xffffffff,0xfff500bf,
    0x3ffffe69,0xff880abf,0x3fffffff,0x3ffffff2,0xf1000fff,0xfb805fff,
    0xffffffff,0x04ffffff,0xf00dfff9,0x7dc07fff,0xffffffff,0x84ffffff,
    0xffeeedb8,0x3ffa006f,0x0000003f,0x40000000,0x0bfffffb,0x3ffffee6,
    0xffffd802,0x1fffffff,0xffff7000,0x7fdcc17f,0x3f202fff,0x221bffff,
    0x6fffffc9,0xceffffb8,0x3ff6620a,0xffa887ff,0xa880aaff,0x202ffffa,
    0x0bfffffb,0x3ffffee6,0xffff5102,0xf5510155,0x3ee05fff,0x20acefff,
    0x7ffffd98,0x2aaaa200,0xaacfffda,0xffffa881,0xfaa880aa,0x3ee02fff,
    0x260bffff,0x02fffffb,0x7de7ffd4,0x800effff,0xaaffffa8,0xfffaa880,
    0x7fdc002f,0x7ffc406f,0x3ee61cef,0xf104ffff,0x7dc05fff,0x3fe207ff,
    0x2e61ceff,0x004fffff,0xf801bffe,0x00002fff,0x00000000,0x3bfffe20,
    0x3fffa600,0xaaa9800f,0x5fffffff,0xffff8800,0x3ffa600e,0xfff980ff,
    0x7f4c00ef,0x7ffc46ff,0xffb800ef,0xdfff107f,0x03fffc00,0x01dffff1,
    0x07ffff4c,0x006fff88,0x7c41fffe,0xb800efff,0x80007fff,0x8802fffc,
    0x3e006fff,0x3fe207ff,0x3a600eff,0x2a00ffff,0xffffffff,0x7fc4004f,
    0x3ffe006f,0xfffe8007,0x7fffd402,0x3fffa200,0x1bfff204,0x203ffff8,
    0x200ffffa,0x004fffe8,0x4c01bffe,0x5101ffff,0x26079999,0x81cccccb,
    0x03cccca8,0x39999973,0x01bfffa0,0x027fff44,0x3ffffe60,0x74000fff,
    0xd1006fff,0xffb09fff,0x3ea001df,0x7ffe46ff,0x3ffe000e,0x0dfff105,
    0xd03fffc0,0x2200dfff,0xf104fffe,0x7fc00dff,0xdfff907f,0x2fffc001,
    0x7ffe4000,0x6fff8802,0x81fffe00,0x1006fffe,0x5409fffd,0xffffffff,
    0xfff88003,0x1fffe006,0x0dfff500,0x007fff90,0x4407fff7,0xfb82ffff,
    0x7fe407ff,0xfffb803f,0x1bffe003,0x07fffd40,0x7fffffc4,0xfffffa86,
    0x7ffc42ff,0xffa86fff,0x982fffff,0x2001ffff,0x001ffffa,0x3f73fff6,
    0x3e6003ff,0x2a001fff,0x3e21ffff,0x74001fff,0x3ffe24ff,0x7fdc001f,
    0x0dfff102,0x983fffc0,0x2001ffff,0x881ffffa,0x3e006fff,0xfff887ff,
    0x7fdc001f,0xffc80002,0xfff8802f,0x1fffe006,0x00ffffcc,0x03ffff50,
    0x3fffffea,0xff10006f,0x7ffc00df,0x7fff4007,0x2fffc803,0x01fff880,
    0x2237ffe4,0x6403ffff,0xf8802fff,0x3fe001ff,0xfff7006f,0x3fffe60f,
    0xfffc86ff,0x7cc2ffff,0xc86fffff,0x2fffffff,0x004fffb8,0x002fffd8,
    0xf53ffff1,0x7dc00dff,0xfd8004ff,0x3ffea2ff,0x1efa8007,0x001fffe6,
    0xfff1004c,0x3fffc00d,0x004fffb8,0x882fffd8,0x3e006fff,0xfff987ff,
    0x00130007,0x0bfff200,0x01bffe20,0xf707fff8,0xfb0009ff,0x3fea05ff,
    0x0effffff,0x37ffc400,0x00ffff00,0x007fffd4,0x0077ffd4,0x7c4016d4,
    0x3fee2fff,0xfffa806f,0x02da800e,0x8037ffc0,0xd00ffffa,0x30dfffff,
    0x5fffffff,0xdfffffd0,0xffffff30,0x3fff905f,0x9fff5000,0x9bffee00,
    0x9001ffff,0x50003fff,0x7fdc9fff,0x2e00005f,0x00005fff,0x00dfff10,
    0xfc83fffc,0xfa8001ff,0xfff884ff,0x1fffe006,0x0017ffee,0x3f200000,
    0xff8802ff,0x3ffe006f,0x03fff907,0x09fff500,0x3fffffea,0x2000efff,
    0x2006fff8,0x3a007fff,0x3e003fff,0x001bffff,0x5bfff200,0x003ffff8,
    0x037fffff,0xdfff0000,0x3fffe200,0x3ffee201,0x3ff6a606,0xfff7102f,
    0x7fed4c0d,0x07ffe82f,0x0bfff100,0xb8bfffa0,0xfd005fff,0x3e2000ff,
    0x3fff25ff,0x3f200003,0x000002ff,0x400dfff1,0xffd07fff,0x3fe2000f,
    0x6fff885f,0x21fffe00,0x0002fffc,0xffc80000,0xfff8802f,0x1fffe006,
    0x8003fff4,0xf505fff8,0x3fff6bff,0xff1001ff,0x7ffc00df,0xffff3007,
    0x7ffe4001,0x0abdffff,0xffff1000,0x00dfff75,0x7fffffe4,0x0000abdf,
    0xf0037ffc,0xf8805fff,0xffc806ff,0x3ffe202f,0x2fffc806,0x0006fff8,
    0x2601fffe,0x7fc47fff,0xfff800ff,0x3ffe0006,0x007fff67,0x1fffd800,
    0xff100000,0x7ffc00df,0x00dfff07,0x443fffc0,0x3e006fff,0xfffd87ff,
    0x00000001,0x802fffc8,0x2006fff8,0xfff07fff,0x7ffc000d,0x49fff507,
    0x01fffffc,0x006fff88,0x6c01fffe,0xb8004fff,0xffffffff,0xb8002dff,
    0xffffefff,0x7ffdc003,0xdfffffff,0xdfff0002,0x27fff400,0x01bffe20,
    0x880bfff2,0xfc806fff,0x7ffc42ff,0x3ffe0006,0x4fffd807,0x403fffd8,
    0x0006fff8,0xffd9fffe,0x3600001f,0x4c401fff,0x00999999,0x400dfff1,
    0xff887fff,0x3fe0006f,0x6fff887f,0x21fffe00,0x4401fffd,0x09999999,
    0x7fe40010,0xfff8802f,0x1fffe006,0x001bffe2,0xf507fff8,0xfffb89ff,
    0x7fc402ff,0x3ffe006f,0xffff9807,0xfff70000,0xffffffff,0xfff88009,
    0x0006ffff,0xfffffff7,0x0009ffff,0x6c00dfff,0x7c405fff,0xffc806ff,
    0x3ffe202f,0x2fffc806,0x0007fff8,0x880dfff1,0xfa80ffff,0xfff806ff,
    0xfff10007,0x00fffecd,0x3fffb000,0x3ffffa60,0x40efffff,0x2006fff8,
    0xfff07fff,0x3fe2000f,0x6fff886f,0x21fffe00,0xd301fffd,0xffffffff,
    0x0ffe61df,0x017ffe40,0x0037ffc4,0x3fe0ffff,0xff10007f,0xfffeb8df,
    0xffffc84f,0x7c40ceff,0x3fe006ff,0xfffc807f,0x6d440005,0xffffffff,
    0x3ee000df,0x003fffff,0x3fff6a20,0x0dffffff,0x01bffe00,0x406fffb8,
    0xc806fff8,0x3e202fff,0xffc806ff,0x0fffd82f,0x5fff9800,0x57fffdc0,
    0xfffaaaaa,0x7ffec01f,0xfff98000,0x00bfff65,0x1fffc800,0xffffff90,
    0x887fffff,0x3e006fff,0xfffb07ff,0xfff30001,0x0dfff10b,0x643fffc0,
    0xff901fff,0xffffffff,0x01bff27f,0x4017ffe4,0x2006fff8,0xffb07fff,
    0xff30001f,0x7fffdcbf,0xfffe84ff,0x444fffff,0x3e006fff,0x7fc407ff,
    0x400001ff,0xffffeca8,0x3fe2003f,0x00006fff,0x7fff6544,0x3fe003ff,
    0x3fe6006f,0x3fe202ff,0xfffc806f,0x1bffe202,0x20bfff20,0x8002fffc,
    0x7403fffb,0xffffffff,0x05ffffff,0x0017ffe4,0xf71fffdc,0x400007ff,
    0xf503fffb,0xffffffff,0xfff885ff,0x1fffe006,0x0017ffe4,0x441fffdc,
    0x3e006fff,0xfffb87ff,0xfffff503,0x25ffffff,0xc800fffe,0xf8802fff,
    0x3fe006ff,0x5fff907f,0x7fff7000,0x7fffffdc,0xfffffe84,0x7fc44fff,
    0x3ffe006f,0x2fffe407,0x74c00000,0x5c006fff,0x0003ffff,0x7fff4c00,
    0x1bffe006,0x0dfffd00,0x4037ffc4,0x2202fffc,0xfc806fff,0xfffa82ff,
    0x7ffc4006,0x3ffe602f,0xffffffff,0x200fffff,0x4006fffa,0x2a2ffff8,
    0x00005fff,0xa813ffe6,0xfffeeeec,0x0ffff02f,0x41bffe20,0x4006fffa,
    0xf02ffff8,0x3e200fff,0xfff986ff,0x3bbb2a04,0x3a2ffffe,0xfc800fff,
    0xfff002ff,0x3ffe200f,0x0dfff506,0x2ffff880,0x3ffffb22,0xffffd984,
    0xfff80cef,0xdfff1007,0x0ffffc40,0x0027e400,0x8003fffa,0x8006fffc,
    0x7f4004fc,0xfff000ff,0xfffb800d,0xdfff102f,0x05fff900,0x4037ffc4,
    0xf882fffc,0x32003fff,0x3600efff,0xffffffff,0xffffffff,0x3fffe203,
    0x3fff2003,0x3fffe20e,0xf8188002,0x7c000fff,0x3ff607ff,0xfffa800f,
    0x7ffff104,0x77ffe400,0x01fffb00,0x209fff50,0x4000ffff,0x7ff47fff,
    0xfffd800f,0x1fffb000,0x09fff500,0x00ffffe2,0x00efffc8,0xfd800000,
    0xffa800ff,0x3ffee04f,0xfff98006,0x3fff2001,0xffff1002,0xfff98005,
    0x3fff2001,0x0dfff002,0x0dffff00,0x101fffe2,0x4405fffb,0x6c407fff,
    0xff702fff,0xff7005ff,0x7fc405ff,0xccccccff,0x6fffcccc,0x17fffdc0,
    0x17fffdc0,0x00ffffe4,0xfd8dfd30,0x7fc005ff,0x3fff207f,0x7fff4405,
    0x3fffee03,0xffffb802,0x17fff202,0x07fffd10,0x0017fff6,0xffe8ffff,
    0x7ffc400f,0x3fff2007,0x7fff4405,0x3fffee03,0xffffb802,0x00000002,
    0x880bfff9,0x3e03fffe,0xb8002fff,0xf1005fff,0x32003fff,0xb8006fff,
    0xf1005fff,0x3e003fff,0xfb8006ff,0xfff01fff,0xfff9103f,0xfff805ff,
    0xfffc881f,0x3ff602ff,0x3ff604ff,0x7fdc05ff,0x3ffa005f,0x7ffec01f,
    0x3fff604f,0xffff105f,0xffb8019f,0x3ffe62ff,0x7d4402ef,0x3fe607ff,
    0xfe880dff,0x7ec00fff,0x3f604fff,0x7cc05fff,0xe880dfff,0xf300ffff,
    0x8805dfff,0x7f47fffa,0xfd300cff,0x7cc00bff,0xe880dfff,0x6c00ffff,
    0x3604ffff,0x8005ffff,0x0002dff9,0x01bffff3,0x01ffffd1,0x001bffee,
    0x0f7fffdc,0x1ffffb30,0x5ffff100,0xffff7000,0x7fecc03d,0xfff000ff,
    0xfff1000d,0x3fff60bf,0xfffdbace,0x00cfffff,0x759dfffb,0xfffffffb,
    0xfff1019f,0xfb77bfff,0x801fffff,0x2002fffe,0x4405fffb,0xbdffffff,
    0xffffffdb,0x3fffe600,0xecbbceff,0x40ffffff,0xdefffffc,0xffffdbac,
    0x7fdc07ff,0xfdbbcfff,0x8802ffff,0xbdffffff,0xffffffdb,0xffffb800,
    0xfffdbbcf,0x7fe402ff,0xbacdefff,0x7ffffffd,0x6ffffff4,0xffffdbac,
    0x7fdc001f,0xfdbbcfff,0x8802ffff,0xbdffffff,0xffffffdb,0xfffa8000,
    0xff70000f,0xfb779fff,0x7405ffff,0x70003fff,0xbdffffff,0xffffb957,
    0xccca88bf,0x2cffffec,0x7fffdc00,0xdcabdeff,0x005fffff,0x4001bffe,
    0xa80ffffb,0xffffffff,0xffffffff,0xffff504f,0xffffffff,0x209fffff,
    0xfffffffa,0x1effffff,0xffffd910,0xd91019df,0x0bdfffff,0x7fffffd4,
    0xefffffff,0xffffb801,0xffffffff,0xfd03ffff,0xffffffff,0xffffffff,
    0xfffffb00,0xbfffffff,0x7fffd400,0xffffffff,0x3f6001ef,0xffffffff,
    0xfd005fff,0xffffffff,0xffffffff,0xffffffe8,0xffffffff,0xfffb0001,
    0xffffffff,0x7fd400bf,0xffffffff,0x8001efff,0x04ffb99a,0x3ffff600,
    0xffffffff,0x1fffea05,0xffffb800,0xffffffff,0x740effff,0xffffffff,
    0x2002ffff,0xfffffffb,0xffffffff,0x7ff5c0ef,0xffffffff,0x402dffff,
    0xf701fffe,0xffffffff,0x9fffffff,0x7ffffdc0,0xffffffff,0x36204fff,
    0xffffffff,0x3f200dff,0xffffffff,0xfffffd83,0x2203ffff,0xfffffffd,
    0x2000dfff,0xffffffe9,0x1effffff,0x7ffffdc0,0xffffffff,0xff9001df,
    0xffffffff,0xffb10009,0xffffffff,0xff90001b,0xffffffff,0xfffb8009,
    0xffffffff,0x5c41dfff,0xfffffffe,0x0001ffff,0x7fffffe4,0x8004ffff,
    0xffffffd8,0x000dffff,0xffefffa8,0x7fe40002,0xffffffff,0x1fffe404,
    0xffff3000,0xffffffff,0xff01bfff,0xffffffff,0x4c00bfff,0xffffffff,
    0xdfffffff,0x7ffffcc0,0xffffffff,0x200fffff,0x7dc05fe8,0xadffffff,
    0x00cefffd,0x7fffffdc,0xefffdadf,0xfffb800c,0x802effff,0xfffffffd,
    0xfffd84ff,0x03ffffff,0xffffffb8,0x2a0002ef,0xfffffffd,0x322003df,
    0xfffffffe,0x98000cff,0xeffffffe,0x7fdc0001,0x02efffff,0x7fff4c00,
    0x0001efff,0xfffffd91,0x0019ffff,0xffffffb5,0x2000019d,0xffffffe9,
    0x7dc0001e,0x2effffff,0x3ffa2000,0x300006ff,0xdffffffd,0x0dff5003,
    0x717d9000,0xffffffff,0x7ffe403d,0xffffffff,0x5f64001f,0xffffffb8,
    0xff301eff,0xffffffff,0xffffffff,0x4c001001,0x0000abcb,0x02af2e60,
    0x77310000,0xffd88003,0x80ceffff,0xffffffd8,0x262000ce,0x400001bb,
    0x00abba98,0x59731000,0x22000033,0x00009bba,0x00ddcc40,0x5dd44000,
    0x44000009,0x0019acb9,0x002b2a60,0xbba88000,0x44000009,0x00001bb9,
    0x002b72e2,0x37751000,0x00b98001,0x2ea60000,0x260009ac,0xaaaaaaaa,
    0x54c00001,0xb8009acb,0xfffffffe,0xdfffffff,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0x1dc00003,0x10000ae2,0x33310000,
    0x00001333,0x10003260,0x00000199,0x000005cc,0x00001000,0x93000000,
    0x00000001,0x00000000,0x54000000,0x00100002,0x00004000,0x00000000,
    0x00000010,0x19300000,0x02b80000,0x00200100,0xfc800000,0xfb00002f,
    0x01ffa21f,0x000ee980,0xfffffe98,0x800006ff,0x6c003ffb,0x000004ff,
    0x00007ffa,0x7c406f88,0x01fec406,0x3ee00000,0x7dc0004f,0x02fe981e,
    0xa807ba20,0x3bd1006e,0x8002f540,0x40003ffc,0x00000eea,0x0000774c,
    0xd303df70,0x2600005f,0x880000ee,0x2deffedb,0x3ee0002a,0xd100004f,
    0x3fb000ff,0x5001fd80,0x440003df,0x00006ffe,0x3fa2bffb,0xff90004f,
    0xfd8007ff,0x6fffffff,0x7fec0000,0x7ffc000f,0x2a000006,0x00003fff,
    0x7e407ff3,0x3ffee00f,0xb0000001,0x40001fff,0xfe84fff8,0x3fe6007f,
    0x7ffec44f,0x3fff9800,0x007ffec4,0x002fff40,0x07ffff90,0x3fff2000,
    0xf880003f,0x7ffe84ff,0xfffc8000,0x3ee0003f,0xffffffff,0x2000ffff,
    0x0000fffd,0x004fff98,0x3e606fe8,0xdfff003f,0x3ffa6000,0xfd80000e,
    0x09ffd15f,0xffffd300,0x32001dff,0xffffffff,0xfd100006,0xff0003df,
    0x800000ff,0x0004fffa,0x4415fff0,0x7dc06ffb,0x000005ff,0x00f7ff44,
    0x13ffe200,0x7001fffa,0xff53dfff,0x7e4005ff,0xfffa9eff,0xfff0002f,
    0xffd3000d,0x001dffff,0x3ffffa60,0x20000eff,0xfe84fff8,0x3a60007f,
    0x0effffff,0x7fffec00,0xffffffff,0xfe8802ff,0xb80001ef,0x90004fff,
    0xff981bff,0xdfff001f,0x9fff3000,0x3ff60000,0x009ffd15,0x53dfff70,
    0x1005ffff,0xfffdddb7,0xff10000d,0x3e0001bf,0x000007ff,0x005ffe98,
    0xeffffa80,0x401ffffe,0x001ffff8,0xbfff1000,0x3ee00001,0x02ee981e,
    0xffffe980,0x98000eff,0xdffffffe,0x7ed44000,0x0a9adfff,0x27bffee0,
    0x002ffffa,0x54f7ffdc,0x0002ffff,0x3a607bee,0xff70002e,0xffff53df,
    0x3ffee005,0xffffffff,0x4404ffff,0x0000dfff,0x002fffc8,0x3bfffa20,
    0x003ffffd,0x2001fffe,0x00003ffe,0x7fdcbff5,0xfff98004,0x07ffec43,
    0x06fff800,0x04ffd800,0x03fffc00,0xfe880000,0xfa80003f,0x1effffff,
    0x09fffb00,0x3ff60000,0x00000004,0xfff90000,0xf900007f,0x30007fff,
    0xffffffff,0xf303ffff,0xffd887ff,0xfff3000f,0x0fffd887,0x00000000,
    0x887fff30,0x4400fffd,0x21ceffff,0x4fffffb9,0x0027fec0,0x01eff980,
    0xfffd8800,0x4003ffff,0xb8007fff,0x2200001d,0x001ecc3d,0x2a01de88,
    0x3fe0005e,0xea80006f,0xcca88002,0xccccffff,0x0001bccc,0x00007ae0,
    0x1e776dc4,0x3fffe600,0xea800000,0x00000002,0x774c0000,0x3aa00000,
    0xffa8000d,0xffffffff,0xde883fff,0x8017aa01,0x3aa01de8,0x00000005,
    0x8077a200,0xffa805ea,0x3fa200ff,0x175404ff,0x19b10000,0xeca80000,
    0xf8000cde,0x000007ff,0x00000000,0x20000000,0x00006fff,0x7ffec000,
    0xffffffff,0x004fffff,0x00000000,0xfffd8000,0x00000004,0x00000000,
    0x00000000,0x3fe20001,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0x7e400000,0xffb803ff,0x0000003f,0x00000000,0x1fffe000,0x00000000,
    0x00000000,0x6fff8000,0x40000000,0xffffffff,0xffffffff,0x0000006f,
    0x80000000,0x000ffff9,0x00000000,0xcdffecb8,0x00000002,0x2e000000,
    0x511cffff,0x00bffffb,0x00000000,0x3332a200,0xcb981bcc,0x000acccc,
    0xffc80000,0xfff8802f,0x00000001,0x00000000,0x01fffe00,0xefffeda8,
    0x2a206a1c,0x81bccccc,0xacccccb9,0xffdb5000,0x00d439df,0x001bffe0,
    0xeffedb88,0x3f202a2d,0xffffffff,0x2fffffff,0xffecb800,0x700002cd,
    0x059bffd9,0x07fffd00,0x3332e600,0x332e600a,0xfd5001bc,0xdfffffff,
    0x99991003,0x99999999,0x64c19999,0xcccccccc,0xcccccccc,0x3ff60ccc,
    0x3ffe204f,0x66665443,0xcccccccc,0x6665440a,0x2e601bcc,0x441bcccc,
    0xffffffff,0x3ffff23f,0x4c0fffff,0x200acccb,0x81bcccb9,0x800efffa,
    0xcca882da,0xcccccccc,0x66440acc,0xcccccccc,0x00cccccc,0x666665cc,
    0xf8000ccc,0xffb807ff,0xffffffff,0x3e22ffed,0xffffffff,0x3fffff23,
    0x2e00ffff,0xffffffff,0x02ffedff,0x001bffe0,0x7fffffdc,0x0fffffff,
    0xffffaa88,0x2aaaaaaa,0xfffea800,0x01efffff,0xffffd500,0x003dffff,
    0x003fffd4,0x7fffffec,0xffffc82f,0x32204fff,0xffffffff,0x4c03ffff,
    0xffffffff,0xffffffff,0x3ffffea0,0xffffffff,0x0fffffff,0x7003fffa,
    0x7ffd41df,0xffffffff,0x3e0fffff,0xffffffff,0xfffffe85,0x3fee6fff,
    0x6fffffff,0x3ffffffe,0x3ff62fff,0xc82fffff,0x4fffffff,0x1bfffff8,
    0xffffa800,0xffffffff,0x3e60ffff,0xffffffff,0x0fffffff,0x3fffff60,
    0x003fffff,0x2207fff8,0xfffffffd,0xffffffff,0x3ffffee5,0x3fe6ffff,
    0xffffffff,0xffffd882,0xffffffff,0x3e005fff,0xfd8006ff,0xffffffff,
    0x402fffff,0x00007fff,0x3fffff22,0x3fffffff,0x3fff2200,0xffffffff,
    0x3ffa003f,0x7ffc003f,0xe84fffff,0x7fffffff,0x3fffff60,0xffffffff,
    0x3ffe605f,0xffffffff,0x2a0fffff,0xffffffff,0xffffffff,0x3f60ffff,
    0xf90003ff,0xffffffff,0x7fffffff,0x3fffffea,0x3e20ffff,0xffffffff,
    0xfffff11f,0x7e47ffff,0xffffffff,0x3fffffe0,0xfffe84ff,0xfc87ffff,
    0xbdffffff,0x7ffe400a,0xffffffff,0x263fffff,0xffffffff,0xffffffff,
    0x3ffffe00,0x06ffffff,0x207fff80,0xfffffffe,0xffffffff,0x3fffe26f,
    0x323fffff,0xffffffff,0xffffe80f,0xffffffff,0x2006ffff,0x5c006fff,
    0xffffffff,0x4fffffff,0x003fffc0,0xfffffb00,0xffffffff,0x3ff600bf,
    0xffffffff,0x7005ffff,0xd800dfff,0x2fffffff,0xffffffc8,0xffff704f,
    0x7fdcc17f,0xff302fff,0xffffffff,0x41ffffff,0xfffffffa,0xffffffff,
    0x2e0fffff,0x00beffff,0x3ffffea0,0xffffffff,0xfff10fff,0x0bffffff,
    0xfffffffd,0xfffa88df,0xaa880aaf,0xfd82ffff,0x82ffffff,0xfffffffc,
    0xfffff704,0x05bfffff,0x3fffffea,0xffffffff,0x3ffe60ff,0xffffffff,
    0x200fffff,0xfffffffd,0x4001ffff,0xff907fff,0x4c437fff,0x46fffffc,
    0xaaffffa8,0xfffaa880,0xffff902f,0x7e4c437f,0x2006ffff,0x22006fff,
    0x21ceffff,0x4fffffb9,0x003fffc0,0xfffffb80,0x3ffee60b,0x7fdc02ff,
    0x2e60bfff,0x002fffff,0x8005ffff,0x02ffffd9,0x033ffff2,0x077fffc4,
    0x1ffffd30,0x55dfff30,0xfff75555,0x7ffd41ff,0xfffbaaad,0xffeaaaae,
    0x3fffe20f,0x00bdffff,0x7dd55544,0x2aaaafff,0xadfffd88,0x36aa601a,
    0xff104fff,0x7ffc00df,0x3fff6607,0x3fff202f,0x7fdc00cf,0xffffffff,
    0x5555104f,0x555ffff7,0xdfff3055,0xf7555555,0x9801ffff,0xfffffaaa,
    0x7fc005ff,0xffff987f,0x7ff4c00e,0x6fff886f,0x41fffe00,0x00effff9,
    0x037fff4c,0x400dfff0,0x200ffffa,0x404fffe8,0x80007fff,0x00effff8,
    0x03ffffa6,0x077fffc4,0x1ffffd30,0x0dfff700,0x1bfffa00,0x02ffffc4,
    0x401bfffa,0x984fffe8,0x3f605fff,0x7fd42fff,0x37ffc44f,0x2607ffec,
    0xffffffff,0x7c002eff,0x3ee006ff,0xfc8004ff,0xfff101ff,0x3fffc00d,
    0x837fff40,0x005ffff8,0x3ffff6a2,0x00dfffff,0x200dfff0,0x3605fff9,
    0x4002ffff,0xfffffff9,0x3ffe000f,0x0efffd87,0x0dfff500,0x400dfff1,
    0xffb07fff,0x3ea001df,0x3fe006ff,0x3ff2006f,0xfffb803f,0x03fffc03,
    0x37fff400,0x4fffe880,0x00dfffd0,0x013fffa2,0x007fffe2,0x13fffe60,
    0x803ffff6,0x001ffff9,0x307fffea,0x3ee0bfff,0xffa83fff,0x37ffc44f,
    0x4407ffec,0xfffffffd,0x3e004fff,0x3ea006ff,0x666445ff,0x0fffec0c,
    0x006fff88,0x2601fffe,0xfd84ffff,0x20000fff,0xffffeca8,0xdfff003f,
    0x17ffe600,0x01ffffdc,0x6e7ffec0,0x3e003fff,0x7ffc47ff,0x7ff4001f,
    0x06fff884,0x221fffe0,0x4001ffff,0x3e004ffe,0x3f2006ff,0xff8802ff,
    0x3fffc01f,0x3ffe6000,0x3fea001f,0x7ffcc1ff,0x3fea001f,0xffc801ff,
    0xff90005f,0x7ffd43ff,0x7ffdc02f,0xfffd8004,0x427ffcc2,0x505ffff9,
    0xff889fff,0x0fffd86f,0x3fff6e20,0x003fffff,0x4c00dfff,0x7fdc6fff,
    0x7fff42ff,0x0dfff100,0x803fffc0,0x2a1ffffc,0x0002ffff,0x37fff4c0,
    0x006fff80,0xf309fff3,0x1000bfff,0xff53ffff,0x7ffc00df,0x03fffd47,
    0x440f7d40,0x3e006fff,0xfffa87ff,0x1efa8007,0x01bffe00,0x00efffa8,
    0xff802da8,0x7dc0007f,0xfd8004ff,0x7ffdc2ff,0xfffd8004,0xffff8802,
    0xfffd0001,0x17fffe2d,0x007fff20,0x213ffea0,0x7fc42fff,0xff500eff,
    0x6fff887f,0x000fffd8,0x3ffff2a2,0x6fff800f,0x1fffe200,0xf8bffffd,
    0x3fe207ff,0x3ffe006f,0x3fffa007,0x0bffff16,0xe8009f90,0xff800fff,
    0x3ffe006f,0x77fffc42,0xfffb8000,0x007fffe6,0x3ee3fffc,0x800005ff,
    0x2006fff8,0xffb87fff,0x0000005f,0xf001bffe,0x0037ffff,0x01fffe00,
    0x03fff900,0x89fff500,0x8001fffc,0x9004fffa,0x2000bfff,0xfdcffff9,
    0xfe800fff,0xff10007f,0x819d50bf,0x201ffffe,0x7c41fff8,0x6ffb86ff,
    0xfff10008,0xdfff005f,0x27fff800,0x0ffffff8,0x440dfff1,0x3e006fff,
    0x3e6007ff,0xfffdcfff,0x7ffcc00f,0x3fff2001,0x06fff802,0xfd033aa0,
    0x20003fff,0x3ee2fffe,0xfff005ff,0x03fffc8f,0xfff88000,0x1fffe006,
    0x000ffff2,0x6fff8000,0x7fffe400,0x00abdfff,0x01ffff80,0xe8bfd731,
    0xf10007ff,0x7ffe8bff,0xbfff1000,0x3fffe600,0xfff70000,0x005fffff,
    0x8001bffe,0x32007fff,0xa802ffff,0x6fff883d,0x3a21dc88,0xfff9003f,
    0x0dfff007,0x70fffe80,0x25ffffff,0x2205fff9,0x3e006fff,0x7dc007ff,
    0x2fffffff,0x05fffb80,0x03ffff10,0x000dfff0,0x05ffff90,0x1fffe600,
    0x001ffff1,0xffd8ffff,0x8800001f,0x3e006fff,0xfffd87ff,0x20000001,
    0xb8006fff,0xffffffff,0x36002dff,0xcaabffff,0x2ffffffe,0x8001bffe,
    0x7ffc7fff,0x3ffe0006,0x3fff6007,0x3ffa0004,0x1005ffff,0x4000dfff,
    0xf5007fff,0x00009fff,0x400dfff1,0xc800fffb,0xff803fff,0x7fec006f,
    0xfffffd1f,0x13ffeabf,0x006fff88,0x2001fffe,0x5ffffffe,0xdffff700,
    0x7ffecc03,0x6fff800f,0x7ffd4000,0x3f60004f,0xfffd84ff,0x47fff803,
    0x0001fffd,0x06fff880,0x361fffe0,0x00001fff,0x01bffe00,0x7ffffdc0,
    0x04ffffff,0xffffff50,0xffffffff,0x1bffe21f,0x27fff800,0x0006fff8,
    0x9801fffe,0x0000ffff,0x1ffffff1,0x03fffc00,0x06fff880,0x06ffff98,
    0xdfff1000,0x2fffec00,0x0bfffe20,0x001bffe0,0xff15fff9,0x71ffffff,
    0x7c407fff,0x3fe006ff,0xff88007f,0x7000ffff,0xbdffffff,0xffffb957,
    0x3ffe00bf,0x3fe60006,0x220006ff,0xfa80ffff,0xfff806ff,0x00fffec7,
    0x7ffc4000,0x1fffe006,0x0007fff6,0xffffd700,0xffffffff,0xa8805bff,
    0xfffffffd,0xfc800dff,0xffffffff,0x7fc2ffff,0xff10007f,0x07fff8df,
    0x0dfff100,0x03fffe80,0x3fffee00,0x7ffec002,0xfff98000,0x7fff4405,
    0xf100000f,0x7ec00dff,0x711aefff,0x01fffffb,0x800dfff0,0xffbbfffb,
    0xcafffecf,0x3e202fff,0x3fe006ff,0xff70007f,0x7dc005ff,0xffffffff,
    0xefffffff,0x0dfff000,0x3fffa200,0x3ee0000f,0xaaaaafff,0x401ffffa,
    0x7fec7fff,0x8800002f,0x3e006fff,0xfffd87ff,0x3e600002,0xffffffff,
    0xffffffff,0x32a2000f,0x03fffffe,0xfffffd50,0xb015bfff,0x30001fff,
    0xffd8bfff,0xff98000f,0x7fd4005f,0x7fc0007f,0xffc8007f,0xffb8002f,
    0x7ffec03f,0x8005502f,0x2006fff8,0xfffffffd,0xffffffff,0x0dfff002,
    0xecfffa80,0xfffbafff,0x201fffdd,0x2006fff8,0x20007fff,0x4c007fff,
    0xffffffff,0xdfffffff,0x1bffe000,0x7fffec00,0xfd005502,0xffffffff,
    0x80bfffff,0x7fdc7fff,0x8800003f,0x3e006fff,0xfffb87ff,0x3e600003,
    0xffffffff,0xffffffff,0x3a60000f,0x4c006fff,0x8009bcca,0x8002fffc,
    0x7e43fffb,0xfb8002ff,0xfe8003ff,0x3e0003ff,0xfa8007ff,0x7c4006ff,
    0x3ee02fff,0xff703fff,0x7ffc4009,0x3fff2006,0xffffffff,0x3e004fff,
    0x7cc006ff,0x17fffeff,0xfffdffff,0x07fff801,0x00dfff10,0x003fffc0,
    0x7fdc5f64,0x1effffff,0x06fff800,0x3ffffb80,0x4c09ff70,0xffffffff,
    0xffffffff,0x51fffe00,0x0000bfff,0x401fffe0,0xfa86fff8,0x400005ff,
    0xffffffeb,0xffffffff,0x0027e43d,0x0003fffa,0x7ffd4000,0x7ffc4006,
    0x37ffd42f,0x3fffe200,0xfffa8002,0x3ffe0006,0xfff88007,0x3ff2003f,
    0xfff300ef,0x37ff40bf,0x0dfff100,0x7ffffd40,0xffffffff,0x37ffc002,
    0x3fffe200,0x3ff65fff,0xd807ffff,0xfa800fff,0x3e0004ff,0x200007ff,
    0x009cffb9,0x01bffe00,0x0bffff30,0xfb037ff4,0xffffffff,0x7fffffff,
    0x223fffc0,0x8002ffff,0x3fff6018,0x4fffa800,0x02ffff88,0x00001880,
    0x01fff980,0x00bfff20,0x4000bc98,0x003ffff8,0x103bfff2,0x4007ffff,
    0x000efffc,0x005ffff0,0x001fffe0,0x017fffdc,0x817fffdc,0x00effff8,
    0x8801fffe,0x4c006fff,0xfffdb88b,0xf8000adf,0xff8006ff,0x2e2fffff,
    0x07ffffff,0x405fffc8,0x003fffe8,0x001fffe0,0x005ff300,0x00dfff00,
    0x077fffc4,0x220ffff0,0xccccffff,0xffcccccc,0x1fffe06f,0x007ffff2,
    0xf906fe98,0xfe880bff,0xfff903ff,0x7f4c003f,0x5c000006,0xf1005fff,
    0x22003fff,0xb8005fff,0xb802ffff,0xf702ffff,0xf7005fff,0x40005fff,
    0x0006fffb,0x4000ffff,0x204ffffd,0x205ffffd,0x401ffffe,0x22007fff,
    0x00006fff,0x8000dfff,0xf8006fff,0x20ffffff,0x6ffffff8,0xdffff980,
    0xffffe880,0x3ffe0000,0x7cc00007,0x7c0003ff,0x3fa006ff,0x7fc01fff,
    0xbfff707f,0x0ffff400,0xf887fff8,0x400cffff,0x982ffffb,0x880dffff,
    0x100ffffe,0x019fffff,0x02ffffb8,0x2007bfd0,0x01effffb,0x03ffff66,
    0x03fffc40,0x4ffffd80,0x17ffff60,0x09ffffb0,0x02ffffec,0x3fffe200,
    0x7fff8002,0x3ffe2000,0xfdbbdfff,0x900fffff,0xf007ffff,0x7c400fff,
    0xf00006ff,0xf8000dff,0xfe8006ff,0xfd85ffff,0x7005ffff,0x779fffff,
    0x05fffffb,0x07fff800,0x7ffcc000,0x3fe0001f,0xfff9006f,0xffff007f,
    0x00bfffa0,0xf05fffb8,0x3fe60fff,0xbbceffff,0xffffffec,0xfffff700,
    0xffffb779,0xfff9805f,0xcbbcefff,0x0ffffffe,0x3ffff880,0xfffffb80,
    0xfdcabdef,0x4005ffff,0x10005ffc,0x7bffffff,0xffffffb7,0xffff8801,
    0xffdbbdff,0x0000ffff,0x406fffc8,0xffffffda,0x002dffff,0x3fffffea,
    0xefffffff,0x3ffffe01,0xffffffff,0x2e07ffff,0xfffffffd,0x8002dfff,
    0xc8806fff,0xfffffffe,0x03efffff,0x0bfffff6,0x13ffffee,0xfffffd80,
    0x5fffffff,0x7ffed400,0xdfffffff,0xbceb8002,0x64403ffb,0xfffffffe,
    0x43efffff,0xffffffff,0xffffffff,0x3ffb227f,0x880cefff,0xefffffec,
    0x7037ffc5,0xffffffff,0xffffffff,0xffffd807,0xffffffff,0xffff7005,
    0xffffffff,0x3007ffff,0x00dff735,0xfffffff7,0xffffffff,0xf50001df,
    0x7fd40007,0xffffffff,0x5001efff,0xffffffff,0x03dfffff,0x3ffe2000,
    0xffff101f,0xffffffff,0x6c4001ff,0xffffffff,0x7fc00dff,0xffffffff,
    0x7fffffff,0xffffff30,0xffffffff,0x0dfff000,0xffffff70,0xffffffff,
    0x3ff205ff,0xff880fff,0x64003fff,0xffffffff,0x7c4004ff,0xffffffff,
    0x000fffff,0x7ffffff4,0x7fffdc00,0xffffffff,0x3fe2ffff,0xffffffff,
    0x7fffffff,0x3ffffff2,0xffd83fff,0x3fffffff,0xd301bffe,0xffffffff,
    0x003dffff,0x3ffffff2,0x4004ffff,0xffffffe9,0x1effffff,0xfefff880,
    0xfff9805f,0xffffffff,0x000dffff,0x80005f88,0xffffffd8,0x000dffff,
    0x7ffffec4,0x00dfffff,0x7ffe4000,0xfffff103,0xffffffff,0xff70001f,
    0x05dfffff,0x3fffffe0,0xffffffff,0xff307fff,0xffffffff,0xb000ffff,
    0xff7009ff,0xffffffff,0x05ffffff,0x817fffee,0x002ffffd,0xfffffe98,
    0xf88001ef,0xffffffff,0x000fffff,0x27fffecc,0x7ffffdc0,0xffffffff,
    0x3ffe2fff,0xffffffff,0x27ffffff,0xfffffffd,0xfffd84ff,0x23ffffff,
    0xb5002ffa,0xffffffff,0xfd30007b,0x03dfffff,0x7ffed400,0x03dfffff,
    0x7ffffec0,0x717d9001,0xffffffff,0x7ec0003d,0x3ee00000,0x2effffff,
    0x7ffdc000,0x002effff,0x3ffd1000,0x7fffedc0,0x2dffffff,0x5dcc4000,
    0xffff8001,0xffffffff,0x207fffff,0xffffffeb,0x002dffff,0x8800de98,
    0xffffffec,0x4effffff,0x0ffffea0,0x01ffffb8,0x26eea200,0x7edc0000,
    0xffffffff,0x4c0002df,0xfd91000a,0xffffffff,0xff89dfff,0xffffffff,
    0x7fffffff,0x3fffff62,0xfd880cef,0x0cefffff,0xa9880004,0x00000abb,
    0x00137751,0x5dd4c400,0x6540000a,0x980000bd,0x0009acba,0x0000f440,
    0x01bb9880,0xbb988000,0x10000001,0x00000015,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000d40,0x0000ee00,0x00000010,0x1a8003a8,0x006a0000,
    0x0ea00000,0x00000000,0x00040000,0x00000000,0x00000000,0x00001750,
    0x80000000,0x000000c9,0x00080000,0x00800001,0x00b98000,0x00df9800,
    0x980013ee,0x7cc03ffd,0x013ee00d,0x27ffc400,0x74400000,0x300000ff,
    0x000001dd,0x4003ffb0,0x40002ffe,0x0004fff8,0x1ffb1000,0x3b6e6000,
    0x330bdeff,0x3ffffaa0,0x74c007ff,0xfc80000e,0x007f6203,0x3fffb6a0,
    0xf106a1ce,0x3bffffff,0x007bfe00,0x0cfa8000,0xb000ff20,0x880005ff,
    0x1baa01ee,0x4c05f980,0x037c405f,0x80001be2,0x80003ffc,0x7442fffb,
    0xf70006ff,0x5c01ffff,0x7f442fff,0xf900006f,0x00001fff,0x02fff4c0,
    0xffffc800,0xd1000003,0x7cc00dff,0x20000fff,0x000ffffc,0x7ff4c000,
    0xffe98005,0xffffffff,0xffe83ffe,0x007fffff,0x00fffff2,0x81bffd00,
    0x2002fffb,0xfffffffb,0x2ffedfff,0x3fffffe2,0xff9005ff,0x2000005f,
    0x74c2effc,0x7d4005ff,0x260003ff,0x7ec44fff,0xff7000ff,0x2037f403,
    0x3f203ff9,0x6c40000f,0x00000fff,0xf71bfffb,0x30003fff,0x00ffffff,
    0xf71bfffb,0x00003fff,0x003ffff2,0x7ffd4000,0xfe980004,0x00efffff,
    0x3ffe6000,0x7ffc000d,0x3f20005f,0x00000fff,0x017ffea0,0x3ffffea0,
    0xffffffff,0xfffe85ff,0x9807ffff,0xeffffffe,0xfff30000,0xbfffb17f,
    0x3fff6200,0xffffffff,0x3e25ffff,0x4fffffff,0x0fffee00,0x3fa20000,
    0xfffc8cff,0xffa8000e,0x3ee0005f,0xfffa9eff,0x3fe6002f,0x27fec42f,
    0x1057ffc0,0x8000dff7,0x000effe9,0x7fffdc00,0x0000cfff,0x03dffffb,
    0x3ffffee0,0x00000cff,0x0013ffe2,0x1fffdc00,0x7ffdc000,0x2ffffa9e,
    0xfffa8000,0xfff70004,0x3e20003f,0x000004ff,0x000fffee,0x3fffffee,
    0xffffffff,0xeec987ff,0x5c07fffe,0xffa9efff,0xb10002ff,0x5fffffff,
    0x7ffff400,0xffffffff,0x3e26ffff,0x0bdeefff,0x27ffd400,0xffb80000,
    0x004fffff,0x037ff4c0,0xffffd300,0x70001dff,0xffdbffff,0xff5001df,
    0xffffddff,0x7fcc0003,0x2000005f,0x02ffffd8,0x0ffff400,0x7ffec400,
    0x2000002f,0x1000001a,0x00003fff,0xd887fff3,0x40000fff,0x20002fff,
    0x005ffff8,0x00000d40,0x005fff10,0x9dffff70,0x7fecc415,0xfff007ff,
    0x1fffcc0f,0x003fff62,0xdffffa80,0x3fff2000,0x32621bff,0x226fffff,
    0x00006fff,0x0003ffd3,0x3fffa600,0xb100001e,0xc80007ff,0x0003ffff,
    0x7fffffdc,0x3ea000df,0x1effffff,0x1fff4000,0xfb800000,0xff80000c,
    0x7dc0007f,0x0000000c,0x6ec00000,0xbd100000,0x002f5403,0x0000ee40,
    0x00ffffe4,0x00000000,0x22000376,0x800effff,0xf007fffb,0x6f440fff,
    0x0017aa01,0x000bf620,0x01dffff3,0x26fffe98,0x0006fff8,0x00037220,
    0x009f7000,0x007ae000,0x003ba600,0x776e4400,0xb710002c,0x000079dd,
    0x00000b6e,0x40000100,0x80007fff,0x00000000,0x00000000,0x004cccc0,
    0x00000000,0x5ffff880,0x00000000,0x3f200000,0x3e000eff,0xfff005ff,
    0x0000000f,0x36000200,0x5000efff,0x7fc4dfff,0x0000006f,0x00200000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,0x0000000f,
    0x7f6dcc00,0x0330bdef,0xd8000000,0x006fffff,0x00000000,0x03ffff20,
    0x7fff6d40,0x0006a1ce,0xff880000,0x7dc001ff,0xffff002f,0x00000000,
    0x3fe20000,0x7f4001ff,0x1bffe24f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x332e6000,0x00cccccc,0x03fffc00,0x99999951,
    0x00357999,0xffffd300,0xfdffffff,0x3332607f,0x665cc04c,0x3ea0accc,
    0x006fffff,0x3332a200,0xabcccccc,0x3fe20001,0x7fdc03ff,0xffffffff,
    0x4402ffed,0xccccccca,0xcccccccc,0x3ffe63cc,0x00130007,0x64c3fffc,
    0xb981bccc,0x5101bccc,0x99999999,0x3ea00157,0xfa8007ff,0x1bffe21e,
    0x99997300,0x00019999,0x01333326,0x59999973,0xcccca881,0xcccccccc,
    0x6665440a,0xcccccccc,0x44cccccc,0xcccccca8,0xcccccccc,0x65444ccc,
    0xcccccccc,0x4c00accc,0xcccccccb,0xfd80000c,0xffffffff,0x7fc0003f,
    0xffff107f,0xffffffff,0x0001bfff,0xfffffff5,0xffffffff,0xfffffd0b,
    0x3fff209f,0x30ffffff,0x0dffffff,0x3ffe2000,0xffffffff,0x000dffff,
    0x105fffd8,0xfffffffb,0xffffffff,0x7fffc40b,0xffffffff,0x6fffffff,
    0x0017ffee,0x3fffc000,0x3ffffffa,0x3ffff24f,0x7fc46fff,0xffffffff,
    0x200cffff,0x0005fffb,0x01bffe20,0xffffffd8,0x8003ffff,0x4ffffffe,
    0xffffff90,0x3fea1fff,0xffffffff,0x20ffffff,0xffffffff,0xffffffff,
    0x3fe0ffff,0xffffffff,0xffffffff,0xffff50ff,0xffffffff,0x3601ffff,
    0xffffffff,0xf80003ff,0xffffffff,0x7c0006ff,0xfff507ff,0xffffffff,
    0x07ffffff,0x7ffffdc0,0xffffffff,0x7fcc7fff,0x81ffffff,0xfffffffe,
    0x3fb2a3ff,0x500006ff,0xffffffff,0xffffffff,0xffc8007f,0xffffd06f,
    0xffffffff,0x540dffff,0xffffffff,0xffffffff,0x3ff26fff,0x0000002f,
    0x7fccffff,0x27ffffff,0xfffffffe,0x3fffea1f,0xffffffff,0xf903ffff,
    0x400007ff,0x2006fff8,0xffffffff,0x4c006fff,0xffffffff,0xfffffe81,
    0xff93ffff,0xffffffff,0x27ffffff,0xfffffffa,0xffffffff,0xf50fffff,
    0xffffffff,0xffffffff,0x3ff21fff,0xffffffff,0x03ffffff,0xffffffff,
    0x0000dfff,0xfffffffb,0x0003ffff,0xff03fffc,0xffffffff,0xffffffff,
    0xffff7005,0x6cc4159d,0xfe87ffff,0x86ffffff,0xfffffffc,0xfff880ff,
    0x3fe00006,0xffffffff,0xffffffff,0x3ffee002,0xfffffc87,0x3ff2621b,
    0x3e206fff,0xffdfffff,0xffffffff,0x3fff66ff,0xf0000001,0xfffe8fff,
    0x3f24ffff,0x86ffffff,0xffffffff,0xffffffff,0x1fffd84f,0x3fe20000,
    0x3ff6006f,0xffffffff,0x7ff4001f,0xc86fffff,0xffffffff,0xfffff50f,
    0xffffffff,0x7ffc1fff,0xffffffff,0xffffffff,0x3ffffe0f,0xffffffff,
    0x0fffffff,0xfffffff5,0xffffffff,0x3fff601f,0xffffffff,0xaa980001,
    0xfffffffa,0xfff30005,0xfffb980d,0xdcbaaaae,0x201fffff,0x00effff8,
    0x307fffb8,0x7ffffff5,0xffff5510,0x37ffc405,0x3ee60000,0xbaaaaeff,
    0x1fffffdc,0x1ffff300,0x077fffcc,0x1bfffa60,0x27fff260,0xaaaaefff,
    0x3f66fffb,0x4cc401ff,0x00099999,0xff70ffff,0xd51015df,0x7d407fff,
    0xbaaaafff,0x3ffffffd,0x000fffec,0x0dfff100,0xffaaa980,0x005fffff,
    0xfffffa98,0xffaa883f,0xaaa882ff,0xaaffffba,0xff7302aa,0x555555df,
    0x1ffff555,0xaefffb98,0xaaaaaaaa,0x2a20ffff,0xffffbaaa,0x9802aaaa,
    0xfffffaaa,0x400005ff,0xfffffff9,0x3f26000f,0xf8805fff,0x7fcc06ff,
    0x3ff204ff,0x3fe000ef,0x7fffc05f,0x3fa00fff,0x3fe200ff,0x4000086f,
    0x4c06fff8,0x1004ffff,0x7ec3ffff,0xf5000eff,0x3ee00dff,0x05fff9df,
    0x7fecdfff,0xfffd301f,0x1dffffff,0x987fff80,0xfd805fff,0x7ffc01ff,
    0x7fff4c07,0x07fff60f,0xfff88000,0x3fe60006,0x00ffffff,0xffffff00,
    0x7fff401f,0x1bffe000,0x0dfff100,0x203fffa0,0xd006fff8,0xff001fff,
    0xf30000df,0x1fffffff,0x7fec0000,0x03fffdcf,0x3fffffe0,0x6fff8801,
    0x06fffb80,0x003ffff1,0x7c02ffb8,0x05ffffff,0x8803fffa,0xffb56fff,
    0x880059df,0xfb806fff,0x3fe006ff,0xffff13ff,0x4ffe8003,0xf37ffd00,
    0x3ffe0bff,0x407fff26,0xfffffffc,0x7c03ffff,0xfff987ff,0x1fffd805,
    0x403fffc0,0x364fffe8,0x00002fff,0x001bffe2,0xfdcfffd8,0xff0003ff,
    0x40bfffff,0x2000fffe,0x44006fff,0xfd006fff,0x3ffe20ff,0x0fffd006,
    0x001bffe0,0x373fff60,0x00003fff,0xf53ffff1,0x3e600dff,0x1006ffff,
    0x3e00dfff,0xfff307ff,0x0026000f,0x3ffffffe,0x1fffd02f,0x7ffffc40,
    0xffffffff,0x3ffe2004,0x0ffff006,0xaa7fff40,0xa8007fff,0xff8801ef,
    0x05fff99f,0x7fdcdfff,0xffff503f,0x5fffffff,0x987fff80,0xfd805fff,
    0x7ffc01ff,0xffff3007,0x00fffee1,0x6fff8800,0xffff1000,0x00dfff53,
    0x3fffffe0,0xfffd02ff,0x37ffc001,0x1bffe200,0x6ffc8726,0x30dfff10,
    0x037fe439,0x0006fff8,0x54ffffc4,0x00006fff,0x7fcdfff7,0xffd001ff,
    0xf1005fff,0xff500dff,0x3ffee0bf,0x7c000005,0xffffdfff,0x00fffe80,
    0x3fffffe2,0xffffffff,0xfff8800d,0x5fffa806,0x4bfffe00,0x0005fffb,
    0x36ffb800,0x53eebfff,0x3fe63ffd,0x3bb2a04f,0x02ffffee,0xf987fff8,
    0xffd805ff,0x3fffc01f,0x27fffb00,0x0005fffa,0x01bffe20,0xf37ffdc0,
    0xf0003fff,0xffffbfff,0x01fffd01,0x0037ffc0,0xf51bffe2,0x817fccdf,
    0x7d46fff8,0x00bfe66f,0x00037ffc,0xff9bffee,0xe80001ff,0x3fee2fff,
    0x3f6a005f,0xff8805ff,0x7ffd406f,0x5fff903f,0xff800000,0x4ffff8ff,
    0x200fffe8,0xfffffff8,0xffffffff,0x6fff8802,0x1ffffd40,0x1ffff880,
    0x0007fff9,0x29ffb000,0xff8dfff9,0x7c0bc89f,0x7c000fff,0xfff007ff,
    0x0bfff30f,0x803fffb0,0x2e007fff,0xfff14fff,0x8310005f,0x0006fff8,
    0x7dc5fffd,0xff8005ff,0x4ffff8ff,0x000fffe8,0x1001bffe,0xffc8dfff,
    0x3fe2000f,0x07ffe46f,0x0dfff000,0x2fffe800,0x0017ffee,0x88ffff30,
    0x2000ffff,0x8806fff8,0xda986fff,0xb00fffff,0x00003fff,0xf77fff80,
    0xffe83fff,0x3ffe200f,0x36a0bfff,0xf8805fff,0xfda986ff,0x5000ffff,
    0x3f61ffff,0x000001ff,0xff32fff8,0x07fffdff,0x005fffd8,0xf803fffc,
    0xfff987ff,0xeeeeeeef,0x401ffffe,0x26007fff,0x3ff25fff,0x3a6001ff,
    0x1bffe26f,0x1fffe600,0x001ffff1,0xff77fff8,0xfffe83ff,0x1bffe000,
    0xdffff100,0x03ffffdd,0x77fffc40,0x01ffffee,0x01bffe00,0x47fff980,
    0x000ffff8,0x213fff60,0x4003fffd,0xf8806fff,0xffffffff,0x03ffffff,
    0x1007fff6,0x13333333,0x3a7fff80,0x7ff46fff,0x3ffe200f,0xfff100ef,
    0xffff100f,0xffffffff,0x5c007fff,0x3ff67fff,0x4000001f,0x3fe67ffa,
    0x04ffffff,0x177fffcc,0x1fffea20,0x4c3fffc0,0xffffffff,0xffffffff,
    0x03fffc01,0x44dfff10,0x00cfffff,0x897fffdc,0xd8006fff,0xffd84fff,
    0x7ffc003f,0xd1bfffa7,0x7c001fff,0x7c4006ff,0xffffffff,0x3e2001ff,
    0xffffffff,0x3e0001ff,0x360006ff,0xffd84fff,0xff10003f,0xfff501ff,
    0x7fff800d,0xfffff880,0xffffffff,0x7ffec01f,0xffffd301,0x01dfffff,
    0xff99fffe,0x3fffa4ff,0x3bffe200,0x0ffff400,0x3ffffe20,0xffffffff,
    0x7fe4001f,0x07fff65f,0xff900000,0x7ffffccb,0xfc804fff,0xacdeffff,
    0xffffffdb,0x0ffff007,0xfffffff3,0xffffffff,0x7fff803f,0x23fffc00,
    0xeffffff9,0xfffecbbc,0xfff10fff,0xfff8800d,0x6fffa80f,0x33fffc00,
    0x7f49ffff,0x3fe000ff,0x7fc4006f,0xffffffff,0x3fe2001f,0xffffffff,
    0x3fe0001f,0xff10006f,0xfff501ff,0x3fee000d,0xaaaaaaff,0x2001ffff,
    0xf8807fff,0xffffffff,0xc800ffff,0xff901fff,0xffffffff,0x1fffe07f,
    0x3a3ffff9,0x3e200fff,0xffd806ff,0x7ffc401f,0xffffffff,0xfe8000ff,
    0x3fff64ff,0x74000002,0xffbaadff,0x03ffffff,0xffffffd0,0xffffffff,
    0x3fe00fff,0xffff987f,0xffffffff,0x7c01ffff,0x7fc007ff,0xffffb87f,
    0xffffffff,0x3e23ffff,0x7dc006ff,0xaaaaafff,0x001ffffa,0xff91fffe,
    0x3fffa3ff,0x1bffe000,0xfffff100,0x03ffffff,0x7ffffc40,0x01ffffff,
    0x01bffe00,0x57fffdc0,0xfffaaaaa,0xffe8001f,0xffffffff,0x2005ffff,
    0xf8807fff,0xffffffff,0xb802ffff,0xff503fff,0xffffffff,0x1fffe05f,
    0x7f5bfffa,0x3fe200ff,0xfffd806f,0x7fffc401,0xffffffff,0x7fcc002f,
    0x3ffee2ff,0x26000003,0xffffffff,0x2fffaeff,0x3fffee00,0xffffffff,
    0xff001dff,0xdfff30ff,0x33333333,0xf803fffb,0x3e6007ff,0xffd305ff,
    0xffffffff,0xff883dff,0x7ff4006f,0xffffffff,0x2005ffff,0xffe87fff,
    0x01fffd6f,0x0037ffc0,0x267bffe2,0x001fffd9,0x267bffe2,0x001fffd9,
    0x001bffe0,0x7ffffff4,0xffffffff,0x7ffcc005,0xffffffff,0x000fffff,
    0xf100ffff,0xfff70dff,0xff9805ff,0x3bb2a04f,0x02ffffee,0x3e61fffe,
    0xfffebfff,0x1bffe200,0x007fff60,0xf70dfff1,0x4005ffff,0x7d46fffd,
    0x000005ff,0x3fffffee,0xffd5ffff,0xfec88001,0xffffffff,0x7ffc000c,
    0x05fff987,0x401fffd8,0x2e007fff,0x6d404fff,0xffffffff,0xdfff103d,
    0x7fffcc00,0xffffffff,0xf000ffff,0xfff30fff,0x01fffd7f,0x0037ffc0,
    0xf71bffe2,0x066441ff,0x2e37ffc4,0x33220fff,0x06fff800,0xfffff980,
    0xffffffff,0x36000fff,0xffffffff,0xffffffff,0x0ffff003,0x20dfff10,
    0x01fffff9,0x0007fffc,0xff01fffe,0x3fff20ff,0x200fffff,0xd806fff8,
    0x7c401fff,0xfff306ff,0xff3003ff,0xfff887ff,0x0188002f,0x7ffffff4,
    0x82a5ffff,0x4c4001b8,0x00019acb,0x3e61fffe,0xffd805ff,0x3fffc01f,
    0x05fffb00,0x2b7fea20,0x6fff8800,0x3ffff600,0xffffffff,0xf003ffff,
    0x3ff20fff,0x00ffffff,0x001bffe0,0xd88dfff1,0x427fe43f,0x6c46fff8,
    0x027fe43f,0x40037ffc,0xfffffffd,0xffffffff,0xfff1003f,0x9999999f,
    0x0dfff999,0x201fffe0,0x2606fff8,0x200fffff,0x4005fffd,0x7fc07fff,
    0xffff107f,0x4401ffff,0xfd806fff,0x7fc401ff,0x3ffe606f,0x7fec00ff,
    0xffff907f,0x37f4c003,0x4c1fff88,0x3fa05fff,0x0000001f,0x4c3fffc0,
    0xfd805fff,0x7ffc01ff,0xffff3007,0x1ffc4003,0x0dfff100,0x33fffe20,
    0xcccccccc,0xf006fffc,0x3fe20fff,0x00ffffff,0x001bffe0,0x400dfff1,
    0xff886ffe,0x3ffa006f,0x06fff806,0x67fffc40,0xcccccccc,0x7006fffc,
    0x7400bfff,0xfe801fff,0x7fc401ff,0x7ffcc06f,0x3ffe605f,0x7d4402ef,
    0x7ffc07ff,0x3fffea07,0x3e200fff,0xffd806ff,0x7ffc401f,0x7fffcc06,
    0x3fffe205,0xfffff104,0xfffb8019,0x87ffa82f,0xf105fff9,0x7d4009ff,
    0xf80001cf,0xfff987ff,0x1fffd805,0x403fffc0,0x005ffffa,0x8027ffc4,
    0x7006fff8,0x7400bfff,0xff801fff,0x3ffea07f,0x2000ffff,0x44006fff,
    0x3e006fff,0xfff887ff,0x1fffe006,0x001bffe0,0x400bfff7,0xe801fffe,
    0x2e002fff,0xfc805fff,0xf101dfff,0xff700dff,0x7fe405ff,0xbacdefff,
    0x7ffffffd,0x203fffc0,0x0ffffffd,0x01bffe20,0x1007fff6,0xf700dfff,
    0x3f205fff,0x3e600fff,0xbcefffff,0xfffffecb,0x85ffd80f,0xf305fff9,
    0x7e400bff,0x5c4007ff,0x87fffeed,0xd805fff9,0x7fc01fff,0xff95307f,
    0x88001fff,0x8802ffff,0xbdeeffff,0x02fffe80,0x017ffee0,0xfb01fffe,
    0x001fffff,0x20037ffc,0x2006fff8,0xff887fff,0x3ffe006f,0x06fff807,
    0x017fff40,0x20bfff70,0xfffffec8,0xfec880ce,0x205effff,0x47fffff9,
    0xffffffdb,0xfff900ce,0x3ffa0bdf,0xffffffff,0x07ffffff,0xffffffd7,
    0xffff883b,0xffe980ff,0xec85efff,0x42efffff,0xffffffdb,0xfff900ce,
    0x7ffc4bdf,0xfffb804f,0xffffffff,0x6c3fffff,0xc9effffe,0xfffffffe,
    0x5fffffff,0xfca9a880,0x3ff6002f,0x267fffff,0xdffffffe,0x3ffff261,
    0x7f5c1eff,0xffffffff,0x2fffffff,0x2af3ee00,0xff8804ff,0x14ffffff,
    0xdfffffd9,0xffd91019,0xd70bdfff,0x3bffffff,0xffffff88,0x7fff6440,
    0xffffffff,0x7fedc3ef,0xffffffff,0xffffffff,0x3ffff6e7,0xffffffff,
    0x17ffffff,0xffffffd9,0x7dffffff,0x7ffff644,0xec880cef,0x45efffff,
    0xfffffffc,0xfffd83ff,0x03ffffff,0x43ffffea,0xfffffff9,0x3fa05fff,
    0xf702ffff,0xffffffff,0x03bfffff,0xfffffff3,0xfff70dff,0xfffd01ff,
    0x547fffff,0xffffffff,0x3ffffe66,0x205fffff,0x12fffffe,0x4c00dfff,
    0xfffffffe,0x41efffff,0xfffffffb,0xffffffff,0xffffffff,0xfffc805f,
    0x3e001fff,0x7fffffff,0x3ffffffa,0x3fff66ff,0x266fffff,0xffffffff,
    0xffffffff,0x7fec003f,0x8801ffff,0xffffffff,0xffffff95,0xffb07fff,
    0x7fffffff,0x7fffffcc,0xffb86fff,0x7fdc0fff,0xffffffff,0x32ffffff,
    0xffffffff,0xffffffff,0x3e6fffff,0xffffffff,0xffffffff,0xfff77fff,
    0xffffffff,0x325fffff,0xffffffff,0xffffd83f,0x363fffff,0xffffffff,
    0xffffd84f,0x403fffff,0x3e63ffda,0xffffffff,0x3ffe605f,0x3b2203ff,
    0xffffffff,0x3fe600cf,0x6fffffff,0x01ffffd0,0xfffffffd,0x7fffd47f,
    0x3e67ffff,0xffffffff,0x3ffe605f,0x07bf23ff,0x3fff6a00,0x03dfffff,
    0xfffffff7,0xffffffff,0xffffffff,0xfff300bf,0xfb800bff,0x27ffffff,
    0xfffffffe,0x3ffffa6f,0x3e67ffff,0xffffffff,0x1effffff,0xfffd8800,
    0xfff1004f,0x365dffff,0xffffffff,0xffffd84f,0x263fffff,0xffffffff,
    0xffffd06f,0xfffffb81,0xffffffff,0xfff32fff,0xffffffff,0xffffffff,
    0x3fffe6ff,0xffffffff,0xffffffff,0xffffff77,0xffffffff,0x3fff65ff,
    0x84ffffff,0xfffffffd,0x3ff623ff,0x80ceffff,0xffffffd8,0x202000ce,
    0xffffffeb,0x7fe400df,0x262000ce,0x20019acb,0xffffffeb,0xffff301d,
    0xffffb301,0xfec819df,0x5c2dffff,0xfffffffe,0x77fe400d,0x4000040c,
    0x00abba98,0xffffed88,0xffffeb9e,0xffffffff,0x973005ff,0x4c400059,
    0x36a19999,0x1dffffff,0x3fffff66,0x7ff5c2df,0xefffffff,0x300002ce,
    0x33330005,0xffd88133,0x80ceffff,0xffffffd8,0x7ff5c0ce,0x301dffff,
    0xc881ffff,0xfffffffe,0x44efffff,0xffffffeb,0xffffffff,0x3ae7ffff,
    0xffffffff,0xffffffff,0xffd917ff,0xffffffff,0x7ec49dff,0x0cefffff,
    0xfffffd88,0x00000cef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,
    0x00100000,0x0dc40000,0x00c98000,0x00000000,0x19300000,0x00000000,
    0x09999930,0xcccccb98,0x0b26000a,0x00000000,0x33332a20,0xcb980bcc,
    0x00001bcc,0x001a8000,0x000b2600,0x000d4000,0x80000000,0x4c40001a,
    0x80000999,0x95100200,0x99999999,0x51000357,0x99999999,0x79300037,
    0x3ba60001,0x36200000,0x8000002f,0x00005ffa,0x90005ffb,0x220019df,
    0x1baa01ee,0x13fee000,0x20bfa600,0x74004fd8,0x04ffffff,0xfffffff9,
    0xfea801ff,0x0edc1eff,0x4077dc00,0x7c402eea,0xffffffff,0x3ffffa3f,
    0x3ee05fff,0x02fe981e,0x006ffe80,0x77fff540,0x0000edc1,0x0002fff4,
    0x3a607bee,0xffe8002f,0x3fea0005,0x220002ff,0x27fc45ff,0xffffff88,
    0xffffffff,0xff9800df,0xffffffff,0x3f2006ff,0x64000fff,0x0003ffff,
    0x0dffffa8,0xff700000,0x2600005f,0x26003fff,0x800effff,0x6c44fff9,
    0x20000fff,0x8000fffd,0xffb87ffe,0xfff3001f,0xd03fffff,0xffffffff,
    0x7ffcc07f,0xfeadffff,0x7fc4003f,0x07ffe84f,0x7fffffd4,0xff15ffff,
    0x0fffffff,0x3a13ffe2,0x7d4007ff,0x30001fff,0xbfffffff,0x0007ffd5,
    0x01ffffa8,0x09fff100,0xa800fffd,0x0001ffff,0x005ffff5,0x70fffe40,
    0xff501fff,0xffffffff,0x7fffffff,0xfffffc80,0xffffffff,0xfffff000,
    0x3ffa6009,0x000effff,0xfffffd88,0x400002ff,0x0002fffd,0x02fffd40,
    0xefffff98,0xefffb800,0x02ffffa9,0x3dffd100,0x1fffa000,0x8007ffee,
    0xfffffffe,0xfffffc86,0x3600ffff,0xfffb8bff,0x4000efff,0xfe84fff8,
    0x7ffc406f,0x2fffffff,0x3ffffffa,0x9fff104f,0x800fffd0,0x001ffffa,
    0xf717ffb0,0x01dfffff,0xffffa800,0xfff10001,0x00fffd09,0x01ffffa8,
    0x5ffff500,0x7ffec000,0x407fff61,0xffffffff,0xffffffff,0x3fe602ff,
    0xffffffff,0xff5006ff,0xf700dfff,0xfff53dff,0x7fcc005f,0xfffd8aff,
    0xffd00005,0x2000003d,0x800effe8,0x02fffffb,0xfffffd30,0x220001df,
    0x0000dfff,0x3620bfa6,0xfa98004f,0x883fffff,0x02ffffaa,0x7ec40b88,
    0x70000bff,0x5dd301df,0x3ffee600,0x7fdc0aae,0x5c01cfff,0x2ee981ef,
    0x06ffe800,0xb102e200,0x00017fff,0x0017ffa0,0xd303df70,0xffd0005d,
    0x7fd4000b,0x360002ff,0x3ffa1fff,0x3fee600f,0xcbaaaaef,0x01fffffd,
    0x3ffaaaa2,0x2001aacf,0x06fffffa,0x221fffcc,0xd000fffd,0xffb81bff,
    0x7dc0002f,0x000000df,0x001ffec4,0x8009fff7,0x003ffffc,0x0027fec0,
    0x00000000,0x1fffffff,0x007fff40,0x00014c00,0xf3000000,0x3ff20bff,
    0x00002fff,0x00660000,0x00530000,0x0006a000,0x40000000,0x0000001a,
    0x07fff400,0x8801fffd,0x7cc06fff,0x36004fff,0x30001fff,0x80dfffff,
    0x3aa01de8,0x80bb2005,0x40001fd8,0x000003e9,0x3000f5c0,0x3000bfff,
    0x500001dd,0x0000005d,0xfff80000,0x3a05ffff,0x00000fff,0x00000000,
    0x85fff980,0x02fffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x3fe0fffe,0xfff8807f,0x6fffb806,0x07fff600,0x7fffc400,
    0x0000005f,0x00000000,0x00000000,0xbfff1000,0x00000000,0x00000000,
    0x7fffc000,0xfd02ffff,0xcb8001ff,0x002cdffe,0x30000000,0x7ec4bfff,
    0x0001ffff,0x00000000,0x99999510,0x99973037,0x00001599,0x00000000,
    0x00000000,0x1fffe000,0xf100ffff,0x3fe00dff,0x3ff6007f,0x3fe0001f,
    0x00004fff,0x00000000,0x00000000,0xff100000,0x000000bf,0x30000000,
    0x99999997,0xff800019,0x0ffffdff,0x000fffe8,0xffffffd5,0x26003dff,
    0x200acccb,0x01bcccb9,0x7457ffe6,0x000effff,0x333332a2,0xaccccccc,
    0x66666440,0xcccccccc,0x3fe20ccc,0x3fffffff,0x3ffffff2,0x32a20fff,
    0xcccccccc,0xcccccccc,0x66665444,0xcccccccc,0x444ccccc,0xccccccca,
    0x00accccc,0x99999975,0x7ffc0007,0x4037ffc7,0xa806fff8,0x36005fff,
    0x20001fff,0x443fffff,0xccccccca,0xcccccccc,0x65cc04cc,0x0ccccccc,
    0xccca8800,0x01bccccc,0x66665440,0xcccccccc,0x104ccccc,0x5440bfff,
    0xcccccccc,0x440acccc,0xccccccca,0xcccccccc,0x3ff604cc,0xffffffff,
    0x7ffc0003,0x84ffff8f,0x4400fffe,0xfffffffc,0x403fffff,0xfffffffd,
    0xfffffc82,0xfff304ff,0xbfffff3b,0x7ffd4001,0xffffffff,0x260fffff,
    0xffffffff,0xffffffff,0x3ffffee0,0x3fe6ffff,0xffffffff,0x3fffffe2,
    0xffffffff,0x20ffffff,0xffffffff,0xffffffff,0xff50ffff,0xffffffff,
    0x81ffffff,0xfffffffb,0x3fe0006f,0x1bffe27f,0x01bffe20,0x007ffff5,
    0x000fffec,0x87ffffd0,0xffffffff,0xffffffff,0xfb00ffff,0xffffffff,
    0xff98007f,0xffffffff,0x3fe006ff,0xffffffff,0xffffffff,0xfff880ff,
    0xfffff505,0xffffffff,0x7ffc1fff,0xffffffff,0xffffffff,0xfffff00f,
    0x0dffffff,0x77fff800,0xfe83ffff,0x7fec00ff,0xffffffff,0x3e05ffff,
    0x4fffffff,0xffffffe8,0xffff307f,0x00bfffff,0xffffff90,0xffffffff,
    0x7ffcc7ff,0xffffffff,0x220fffff,0xffffffff,0x3ffff23f,0xf50fffff,
    0xffffffff,0xffffffff,0x3fea1fff,0xffffffff,0xffffffff,0xffff90ff,
    0xffffffff,0xfe87ffff,0x6fffffff,0x3ffae200,0xffffffff,0xf102dfff,
    0xfb530dff,0x4001ffff,0x0001fffd,0xa8bffff6,0xffffffff,0xffffffff,
    0xff00ffff,0xffffffff,0xffc800df,0xffffffff,0xfa800fff,0xffffffff,
    0xffffffff,0xff880fff,0xffff905f,0xffffffff,0x3ea7ffff,0xffffffff,
    0xffffffff,0xffb00fff,0xffffffff,0x7fc0003f,0x1bfffa7f,0x5c01fffd,
    0x20bfffff,0x2fffffb9,0xffffffb0,0xffff905f,0x3e609fff,0xffffffff,
    0x7fd4002f,0xffffffff,0x20ffffff,0xfffffff9,0xffffffff,0x7ffd440f,
    0xaa880aaf,0xff82ffff,0xffffffff,0xffffffff,0x3fffe0ff,0xffffffff,
    0xffffffff,0xffffff50,0xffffffff,0xfffa81ff,0x006fffff,0x3fffffee,
    0xffffffff,0xff880fff,0xffffffff,0x003fffff,0x000fffec,0x83ffffb0,
    0xffffffff,0xffffffff,0xfb00ffff,0xffffffff,0x7cc003ff,0xffffffff,
    0x3e006fff,0xffffffff,0xffffffff,0xff880fff,0xffff505f,0xffffffff,
    0x7fc1ffff,0xffffffff,0xffffffff,0x2aa600ff,0xfffffffa,0x3ffe0005,
    0x93fffe67,0xf100fffe,0x4c01dfff,0x300ffffe,0x405ffffb,0x00cffffc,
    0x3fffffe6,0x002fffff,0x7dd55544,0x2aaaafff,0xaaefff98,0xfffbaaaa,
    0xfff880ff,0x1fffe006,0xaefffb98,0xaaaaaaaa,0x5cc0ffff,0xaaaaefff,
    0xfffaaaaa,0x2aaaa20f,0xaaaffffb,0x2aaa202a,0x2006fffb,0xfffffffc,
    0xffffffff,0xfff881ff,0xffffffff,0xd8001fff,0x20001fff,0x981ffffc,
    0xaaaefffb,0xffaaaaaa,0x2aa600ff,0xfffffffa,0x55544005,0x1aacfffe,
    0xfffb9800,0xaaaaaaae,0x80ffffaa,0x2207fff8,0xfffbaaaa,0x302aaaaf,
    0x555dfff7,0xff555555,0x3e6001ff,0x0fffffff,0x8ffff000,0xfd1ffffc,
    0x3ffa01ff,0xffd1006f,0xfffe809f,0xbffff106,0xfffff300,0x7fffffbf,
    0xdfff0000,0x17ffe600,0x02ffffd8,0x400dfff1,0x7c407fff,0xffd006ff,
    0xdfff101f,0x03fffa00,0x001bffe0,0x00dfff10,0x7ffffec4,0xffffffff,
    0xfff103ef,0xffffffff,0x360001ff,0x13001fff,0x00ffffb8,0x200dfff1,
    0x3000fffe,0xffffffff,0x7fec0001,0xf880001f,0xffd006ff,0x3fffe01f,
    0xfff000be,0xfff8800d,0x1fffd006,0x33fff600,0x0003fffd,0xffd0ffff,
    0x03fffadf,0x007fffe6,0x01ffffa8,0x213fffe6,0x800ffffd,0x51effff9,
    0x005fffff,0x006fff80,0x2e0bfff3,0x2203ffff,0x3e006fff,0x7fc407ff,
    0xfffd006f,0x01bffe20,0xf803fff4,0x440006ff,0x70006fff,0x7fdc7fff,
    0xfff8803f,0xffffffff,0xfb0002ff,0xff9003ff,0x03fffd43,0x200dfff1,
    0x36007ffe,0xfffdcfff,0x3ff60003,0xf880001f,0xffd006ff,0x7fffdc0f,
    0xdfff005f,0x6fff8800,0x00fffd00,0x2a7fffe2,0xf0006fff,0xfff30fff,
    0x01fffd7f,0x0009fff7,0xc805fffb,0x3ea1ffff,0xf3002fff,0xfe881dff,
    0x7c0006ff,0xff3006ff,0xffff309f,0x6fff880b,0x01fffe00,0x930dfff1,
    0x8837fe43,0x1c986fff,0x7c01bff2,0x440006ff,0x70006fff,0x7fe47fff,
    0xfff8802f,0xfffffb86,0xfffd8002,0x24fff801,0x2207fffa,0x1c986fff,
    0x4401bff2,0xffa9ffff,0x3f60006f,0x880001ff,0x1c986fff,0xf881bff2,
    0xf007ffff,0xf8800dff,0x21c986ff,0xf7006ffc,0x7fffcdff,0x7fff8001,
    0xffffff90,0xfff901ff,0xfff50003,0xdfffd009,0x017fffe2,0x305fff98,
    0x0005ffff,0xf0037ffc,0xfff885ff,0x7fc400ef,0x3ffe006f,0x37ffc407,
    0xff99bfea,0x8dfff102,0x3fe66ffa,0x0dfff002,0x6fff8800,0x5fff9000,
    0x4017ffe4,0xf306fff8,0x8003ffff,0x4401fffd,0x3fe66fff,0x3ffe206f,
    0xf337fd46,0x3fee005f,0x07fffe6f,0x0fffec00,0x7ffc4000,0xf337fd46,
    0x7ffec05f,0xfff004ff,0xfff8800d,0xf337fd46,0x3ffa005f,0x17ffee2f,
    0x41fffe00,0xfffffff8,0x07ffe80f,0x0bfff100,0xb9ffff30,0x4001ffff,
    0x2e05fff9,0x20006fff,0x2a006fff,0x7fff40ce,0xfff8801f,0x1fffe006,
    0xc8dfff10,0x22000fff,0x7fe46fff,0x3fe0000f,0x7c40006f,0xf90006ff,
    0x7ffec5ff,0x6fff8801,0x3ffffe60,0x3fff6000,0x37ffc401,0xf880fffa,
    0x7ffe46ff,0x3ffa0000,0x17ffee2f,0x0fffec00,0x7ffc4000,0x007ffe46,
    0x073fffe0,0x006fff80,0x3237ffc4,0x30000fff,0xff88ffff,0x7fc000ff,
    0x3ffea07f,0xff80ffff,0x3fe0006f,0xfff7007f,0x005fffff,0x405fff98,
    0x0003fffe,0x0000dfff,0x005ffff9,0x801bffe2,0x7c407fff,0xffeeefff,
    0x3e2001ff,0xffeeefff,0x3e0001ff,0x440006ff,0x22006fff,0xcdfffecb,
    0x0adfffec,0x01bffe20,0x00bffff3,0x200fffec,0x64c6fff8,0x7fffc403,
    0x1ffffeee,0xffff3000,0x00ffff88,0x01fffd80,0xffff8800,0x1ffffeee,
    0x1bffe200,0x01bffe00,0xddffff10,0x003ffffd,0x213fff60,0x4003fffd,
    0x7ec07fff,0x440fffff,0x20006fff,0x3a007fff,0x05ffffff,0x05fff980,
    0x007fffd4,0x0037ffc0,0x13fffea0,0x06fff880,0x101fffe0,0xffffffff,
    0x44003fff,0xffffffff,0x20001fff,0x40006fff,0x3006fff8,0xffffffff,
    0xffffffff,0x3ffe201f,0xffffb806,0x3fffb002,0x06fff880,0xfffff100,
    0x03ffffff,0x13fff600,0x000ffff6,0x0007fff6,0x3ffffe20,0x01ffffff,
    0x017ffe20,0x001bffe0,0xfffffff1,0x0003ffff,0x501ffff1,0x2e00dfff,
    0xdffffffe,0x7ffffc41,0x07fff80f,0x0dfff100,0x7ffffc40,0x3f6e000f,
    0x0cefffff,0xdfffffe8,0x0dfff001,0x7fffcc00,0x7ffc4006,0x1fffe006,
    0xffffff10,0x003fffff,0x7fffffc4,0x001fffff,0x001bffe0,0x00dfff10,
    0x3fffffee,0xffffffff,0x7edc3fff,0x0cefffff,0xbdffff90,0x7ffff644,
    0xffffffff,0x06ffffff,0xfffff100,0x03ffffff,0x1ffff100,0x00dfff50,
    0x003fffb0,0xfffff100,0x03ffffff,0x02fffc40,0x0037ffc0,0x3fffffe2,
    0x001fffff,0xaaffffb8,0xffffaaaa,0x7fffcc01,0xb86fffff,0xd80fffff,
    0x98000fff,0x5c005fff,0x2002ffff,0xfffffff9,0xffa84fff,0xf006ffff,
    0x22000dff,0x000ffffe,0x0037ffc4,0xf880ffff,0xffffffff,0x3e2001ff,
    0xffffffff,0x3e0001ff,0x440006ff,0xf1006fff,0xffffffff,0xffffffff,
    0x7ffffcc1,0x205fffff,0x72fffffe,0xffffffff,0xffffffff,0x000dffff,
    0x3fffffe2,0x001fffff,0xaaffffb8,0xffffaaaa,0x7ffec001,0x22013001,
    0xffffffff,0x22001fff,0xf8005fff,0x7c4006ff,0xffffffff,0xfe8001ff,
    0xffffffff,0x405fffff,0xfffffff9,0xfffd06ff,0x5fff901f,0x7fff7000,
    0x0ffff000,0xfffff980,0xd04fffff,0x00dfffff,0x4001bffe,0x502ffffd,
    0x1bffe205,0x407fff80,0x999efff8,0x2001fffd,0x999efff8,0x0001fffd,
    0x5c01bffe,0xfffffffe,0xdfffffff,0xffffa982,0xaffffbaa,0xfffff981,
    0x205fffff,0x73fffff9,0xffffffff,0xffffffff,0x350dffff,0x9efff880,
    0x01fffd99,0xfffffe80,0xffffffff,0x7fec005f,0x1ffc801f,0x99efff88,
    0x001fffd9,0x0017ffe2,0x1001bffe,0xb333dfff,0x98003fff,0xffffffff,
    0xffffffff,0x7fff5c00,0xf301dfff,0xff501fff,0xff8800df,0xff8002ff,
    0xfeb8007f,0x0cffffff,0x3bffff70,0x01bffe00,0x0ffffee0,0xff827fdc,
    0xfff1007f,0x6fff880d,0x9107ffdc,0xdfff1019,0x220fffb8,0xfff800cc,
    0xffff9806,0xffffffff,0x80ffffff,0x3e26fff8,0x7f5c06ff,0x0dffffff,
    0x8677fe40,0xfffffec8,0xffffffff,0x226fffff,0x3e205fff,0x7ffdc6ff,
    0x4c033220,0xffffffff,0xffffffff,0x3fff6000,0x84fff801,0x7dc6fff8,
    0x033220ff,0x0017ffe2,0x1001bffe,0xffb8dfff,0x4033220f,0xfffffffd,
    0xffffffff,0x0000003f,0x3ffff880,0x3bfff200,0x7fff8000,0x00000000,
    0x06fff800,0x2ffffcc0,0x360dffd0,0xfa800fff,0x7fc404ff,0x21fec46f,
    0xff884ffc,0x21fec46f,0xff804ffc,0xfff9806f,0xffffffff,0x0fffffff,
    0x226fff88,0x00005fff,0x00000000,0x0ffffb80,0x88dfff10,0x27fe43fd,
    0xffffffd8,0xffffffff,0x3f6003ff,0x7fc401ff,0x6fff886f,0x3f21fec4,
    0x5fff884f,0x06fff800,0x237ffc40,0x7fe43fd8,0xcffff884,0xcccccccc,
    0x0006fffc,0xff700000,0xff7005ff,0x3e0005ff,0x000007ff,0xff800000,
    0x3fe2006f,0x3fe00eff,0xbfff907f,0x3fffe880,0x037ffc40,0xf10dffd0,
    0x7f400dff,0x6fff806f,0xffffd900,0xffffffff,0x3e607bff,0x3ffe65ff,
    0x00000005,0x88000000,0x3e206fff,0x3fa006ff,0xffff886f,0xcccccccc,
    0x006fffcc,0x1007fff6,0xff10dfff,0x7ff400df,0x05fff986,0x006fff80,
    0x0037ffc4,0xff70dffd,0x7ff400bf,0x7d40001f,0xfb0001cf,0x7ec09fff,
    0x20005fff,0x00007fff,0x0019df90,0x037ffc00,0x03ffffd0,0xf307fff8,
    0xd101bfff,0x8801ffff,0x3e006fff,0xfff887ff,0x1fffe006,0x001bffe0,
    0x0005ffb0,0xfa97ffe6,0xa80004ff,0x00001cff,0x001cffa8,0x3e2015c4,
    0x3fe006ff,0x5fffb87f,0x07fffa00,0x00fffec0,0x221bffe2,0x3e006fff,
    0xfffb87ff,0x6fff8004,0x37ffc400,0xd0ffff00,0x5c005fff,0x40005fff,
    0x0007fffc,0xbffffff1,0xfffffb77,0x7fc0001f,0xd000007f,0x0000bfff,
    0xc8037ffc,0xf803ffff,0x3fee07ff,0xfdbbcfff,0x8802ffff,0x3e006fff,
    0xfff887ff,0x1fffe006,0x001bffe0,0x4000bfd0,0x3ea4fffa,0xc80004ff,
    0x00007fff,0x007fffc8,0xdfff1000,0x43fffc00,0x2002fffe,0xb005fffb,
    0xf8803fff,0xfff886ff,0x9fffe006,0x03ffffea,0x006fff80,0x0037ffc4,
    0x3b22ffff,0x0cefffff,0xffffec88,0x544005ef,0x002ffca9,0xffffff50,
    0xdfffffff,0x7fed4003,0xffffffff,0x2a20002d,0x000ffea9,0x3ffffb22,
    0xffffffff,0x7ffffc3e,0xffffffff,0x6c07ffff,0xffffffff,0x5c05ffff,
    0xfffffffd,0xffffffff,0x3f6e7fff,0xffffffff,0xffffffff,0xfffd917f,
    0xffffffff,0x3fa007df,0x001db89f,0x7dc9fff5,0x220003ff,0x02ffca9a,
    0x95351000,0x400005ff,0xffffffdb,0xffffffff,0xd917ffff,0x19dfffff,
    0xffffd910,0x7f644bdf,0xffffffff,0xffffffff,0x3fff6e6f,0xffffffff,
    0x7fffffff,0x1ffffff3,0x3fffb220,0xffffffff,0x7fedc3ef,0xffffffff,
    0xffffffff,0xffffff97,0xffb07fff,0x7fffffff,0x7fffe400,0x220001ff,
    0xfffffffd,0x2000dfff,0xfffffff8,0x0fffffff,0xfdffd000,0xffb800ff,
    0xffffffff,0x22ffffff,0xffffffff,0xffffffff,0xfffc807f,0x4fffffff,
    0x7ffffcc0,0xffffffff,0x7fffffff,0xfffffff3,0xffffffff,0x2effffff,
    0xffffffff,0xffffffff,0xffffb802,0xff7004ff,0x17ffdc7f,0xffff9000,
    0x200003ff,0x1ffffffc,0xfff30000,0xffffffff,0xffffffff,0x3ffff2ff,
    0xd83fffff,0xffffffff,0xfffff73f,0xffffffff,0xdfffffff,0x3fffffe6,
    0xffffffff,0x57ffffff,0x405fffff,0xfffffffb,0xffffffff,0xfffff32f,
    0xffffffff,0xffffffff,0x3ffffff6,0xffd84fff,0x3fffffff,0x3fffe600,
    0xf700005f,0x5dffffff,0xffff1000,0xffffffff,0x2a0001ff,0x003fffff,
    0x7fffffdc,0xffffffff,0x3fffe2ff,0xffffffff,0x007fffff,0xffffffd3,
    0xfff3003d,0xffffffff,0xffffffff,0x3fffe6ff,0xffffffff,0xffffffff,
    0xffffff77,0xffffffff,0x3f2005ff,0x1000efff,0x7fcc3fff,0x3e60000f,
    0x0005ffff,0x3ffffe60,0x3e600005,0xffffffff,0xffffffff,0xfffb7fff,
    0x09ffffff,0xfffffffb,0x3ffee7ff,0xffffffff,0xffffffff,0xfffff36f,
    0xffffffff,0xffffffff,0x2006ffec,0xfffffffb,0xffffffff,0xfffff32f,
    0xffffffff,0xffffffff,0x3fffff62,0xfd880cef,0x0cefffff,0x1665cc00,
    0x5cc40000,0xdb80001b,0xffffffff,0x40002dff,0x8001bdba,0xfffffec8,
    0xefffffff,0x7fffffc4,0xffffffff,0x44007fff,0x40009bba,0xffffffeb,
    0xffffffff,0x3ae7ffff,0xffffffff,0xffffffff,0xffd917ff,0xffffffff,
    0x30009dff,0x59300037,0x00003950,0x00059973,0x05997300,0xffd70000,
    0xffffffff,0xffffffff,0x3ffff62f,0xd880ceff,0xceffffff,0xffffd910,
    0xffffffff,0x4dffffff,0xffffffeb,0xffffffff,0x0047ffff,0xffffd910,
    0xffffffff,0xfffeb89d,0xffffffff,0x7fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcccca800,0x02cccccc,0x00000000,0x3333332a,0x0001cccc,
    0x4de65cc0,0x00164c00,0x00164c00,0x00bb8800,0x99930000,0x79999999,
    0x80000000,0xccccccca,0x95101ccc,0x30379999,0x15999997,0x18000000,
    0x99999800,0x04001999,0x0d400000,0x66665440,0xcccccccc,0xccca800a,
    0x1ccccccc,0x3332e600,0x000ccccc,0x66665400,0x01cccccc,0x2b32a200,
    0x66654400,0xcccccccc,0x04cccccc,0x80000a60,0xfffffff9,0x000fffff,
    0x3bffb2e0,0x3e60002c,0xffffffff,0x00000fff,0xfffffff9,0xdfffd503,
    0x2001db83,0x41efffea,0x6c4001db,0x6cc3ffff,0x3ffe0003,0xffffffff,
    0x5d44002f,0xfffffffd,0x7fcc0eff,0xffffffff,0x7ffc40ff,0x23ffffff,
    0xfffffffc,0x000000ff,0xd5007fb0,0xffffffff,0x3ea003ff,0x8800001f,
    0x7fcc07fd,0xffffffff,0x00ffffff,0x3fffffe6,0x00ffffff,0xffffffd8,
    0x0003ffff,0x3ffffe60,0x0fffffff,0x7fff4400,0x3fe05fff,0xffffffff,
    0xffffffff,0xdfd000ff,0x3f600001,0xffffffff,0xfd50004f,0xdfffffff,
    0x3ff60003,0xffffffff,0xfe880004,0x5fffffff,0x7fffffcc,0x03ffeadf,
    0xffffff30,0x07ffd5bf,0xfffffe80,0x06ffcaef,0x3fffae00,0x0dffffff,
    0xffffd100,0xffffffff,0xfffb05ff,0x9fffffff,0xffffff70,0x7ffcdfff,
    0x2fffffff,0xff000000,0xffffb80b,0xffffffff,0x09ffb001,0xffe98000,
    0x7fffe404,0xffffffff,0x6c03ffff,0xffffffff,0xfff004ff,0xffffffff,
    0xfd80000d,0xffffffff,0x7f44004f,0x5fffffff,0xffffffa8,0xffffffff,
    0x00ffffff,0x003fff90,0x80000000,0xffffffc8,0x04ffffff,0x00000000,
    0xffffffd8,0x7fec3fff,0xfffffb8b,0xffb000ef,0xfffff717,0x7d4001df,
    0xfffe98df,0x00002fff,0x7fd40000,0xefffffff,0x00ceefff,0xfff88000,
    0x23ffffff,0xfffffffc,0x000000ff,0x2e04ff98,0xeeeeffff,0x001fffee,
    0x0000dfff,0x402fffd4,0xfffffff9,0xffffffff,0x0000000f,0xffffffd8,
    0x001fffff,0x80000000,0xaadffff8,0xff85fffe,0xffffffff,0xffffffff,
    0x3f2000ff,0x000003ff,0x3ff60000,0xffffffff,0x0004ffff,0x2a000000,
    0xbabeffff,0x205c40cd,0x00bfffd8,0xfb102e20,0x700017ff,0x3bfff903,
    0x00000000,0xcfffffa8,0x3ff94ffa,0x51000000,0x0155ffff,0x5ffff553,
    0x20000001,0x3fa03ffb,0x3ff200bf,0x0ffff001,0x3ffee000,0x2aaa2003,
    0xaaffffba,0x00000aaa,0x2aaa6000,0x5fffffff,0x00000000,0x80fffc80,
    0xb980fff9,0xaaaaefff,0xfffaaaaa,0x7fdc000f,0x0000004f,0xffffb800,
    0x3fee60bf,0x00001fff,0xff900000,0x4c0000df,0x53000002,0x54400000,
    0xbb100000,0x007d9103,0x261bfffd,0x03ff94ff,0x3e200000,0x3fe006ff,
    0x9995107f,0x97303799,0xffd99999,0x1bfe203f,0x4007ff20,0x80007fff,
    0x0002fff9,0x000dfff0,0x98000000,0xffffffff,0x00000000,0x07ffe200,
    0xf102ffd8,0x3fa00dff,0xf98000ff,0x5c0002ff,0x02cdffec,0x77fffc40,
    0x3fffa600,0xccca880e,0xcb981bcc,0x000acccc,0x000bfffa,0x00000000,
    0x00000000,0x437fec00,0x2601fffb,0x3e61ffff,0x203ff94f,0xcccccca8,
    0x0acccccc,0x006fff88,0x3e21fffe,0xffffffff,0x3fffff23,0x06ffffff,
    0x2a017fea,0x3ffe007f,0x7c40000f,0x3e00001e,0x951006ff,0x99999999,
    0x99999999,0x7ffec009,0x003fffdc,0x66665cc0,0x8000cccc,0x7d404ffc,
    0xdfff104f,0x01fffa00,0x001fd880,0xfffffd50,0x2003dfff,0x1005fffe,
    0xf88bfffd,0xffffffff,0x3fffff23,0xf000ffff,0x54400fff,0xcccccccc,
    0x980acccc,0x4c04cccc,0x0acccccb,0x66665cc0,0x0000cccc,0xfc87ffe8,
    0x3fee02ff,0xca7fcc5f,0xfffa81ff,0xffffffff,0x440fffff,0x3e006fff,
    0xfffb87ff,0x26ffffff,0xffffffff,0x2a02ffff,0x1a800fff,0xffffc980,
    0x0000aadf,0x20059100,0xff006fff,0xffffffff,0xffffffff,0xff1001ff,
    0xdfff53ff,0x7ffec000,0x3fffffff,0x01fff800,0xff106ff8,0x643930df,
    0x000006ff,0xffff9100,0xffffffff,0xffffa807,0x3ffea001,0x3fffee0f,
    0x3e6fffff,0xffffffff,0xffff002f,0x3fffea00,0xffffffff,0x3fa0ffff,
    0x904fffff,0xffffffff,0x3fff601f,0x3fffffff,0x3ffa8000,0x6406fe88,
    0x7fcc4fff,0xf903ff94,0xffffffff,0x7fffffff,0x006fff88,0x3e21fffe,
    0xffffffff,0x3fffff23,0x101fffff,0x03fffffb,0xfffe8800,0xffffffff,
    0x26008001,0xff802fff,0xfffa806f,0xffffffff,0xffffffff,0xfffb800f,
    0x007fffe6,0x7fffffc0,0x006fffff,0x2007ffc4,0xff106ff9,0x26ffa8df,
    0x20002ff9,0x3ff60000,0xffffffff,0x2e05ffff,0xd8004fff,0x3fe22fff,
    0x3fffffff,0x3ffffff2,0x26600fff,0x199ffff9,0x3fffff20,0xffffffff,
    0xfff33fff,0xd03fffff,0xffffffff,0x3fffe07f,0x6fffffff,0x80110000,
    0x6fffb800,0xffca7fcc,0xfffffa81,0xffffffff,0x7fc40fff,0x3ffe006f,
    0xffff5107,0xf5530155,0x4c015fff,0xffffffff,0xffd10004,0xffffffff,
    0x951007ff,0x2637bffd,0xf805ffff,0xfff006ff,0xffffffff,0xffffffff,
    0xfffd001f,0x02fffdc5,0xfffffd80,0x01ffffff,0x541bfe60,0x106ffffe,
    0xffc8dfff,0x6540000f,0x02cdfffe,0x7fffff70,0x7fffdcc1,0x3fffb02f,
    0x7fff5000,0xaffffa88,0xffaa880a,0x3fee02ff,0xffffffff,0xfffa82ff,
    0xffffffff,0x3a0fffff,0x6fffffff,0xffffffc8,0xffb00fff,0xffffffff,
    0x0000003f,0x7fffcc00,0x7e53fe61,0x5555101f,0x555ffff7,0x3ffe2055,
    0x1fffe006,0x006fff88,0x3201fffe,0xffecdfff,0x3e2002ef,0xfeffffff,
    0x205fffff,0xffffffd8,0xffffffff,0x6fff802f,0x3ffee600,0xaaaaaaae,
    0x00ffffaa,0x223fffcc,0x0000ffff,0xffff5553,0x5400bfff,0x7fec45ff,
    0xf106ffff,0xffdddfff,0x220003ff,0xfffffffd,0x3e202eff,0x2600efff,
    0xe80ffffe,0xf30007ff,0xfff10bff,0x3fffc00d,0x3fffffa0,0x6fffffff,
    0xf7555510,0x55555fff,0x3fffea60,0xfaa883ff,0xa9802fff,0xffffffaa,
    0x0000005f,0x77fffc00,0x3f29ff31,0x7ffc001f,0x3ffe2006,0x1fffe006,
    0x006fff88,0x3e01fffe,0xffffc87f,0xfffc801e,0x7ff440df,0xffff505f,
    0xffffffff,0x2007ffff,0x44006fff,0xfd006fff,0xffd801ff,0x3fffd84f,
    0xfff98000,0x000fffff,0xffd87ff7,0x106ffeff,0xffffffff,0x70003fff,
    0xffffffff,0x20bfffff,0x1006fffe,0xf889fffd,0x3e0006ff,0xfff886ff,
    0x1fffe006,0xffffffb0,0x09ffffff,0x006fff80,0xfffffff8,0x03fffa00,
    0xfffff300,0x44001fff,0x303cccca,0x03999997,0x7bffffd1,0x07ff29ff,
    0x00dfff00,0x0037ffc4,0x7c40ffff,0x3fe006ff,0x2ffc807f,0xcffffea8,
    0x7ffff100,0x427ffcc0,0xfffffffa,0xffffffee,0x3ffe004f,0x7ffc4006,
    0x0fffd006,0x80ffff88,0x0006fffa,0xfdcfffd8,0xff7003ff,0x8e7ffdc5,
    0xfff106ff,0xffffffff,0xfffa8003,0xfffeffff,0x7cc4ffff,0x2a001fff,
    0x3e21ffff,0x3e0006ff,0xfff887ff,0x1fffe006,0xffddb510,0x0159ddff,
    0x006fff80,0xfffffff8,0x03fffa05,0xb9fffb00,0x22007fff,0x86ffffff,
    0xfffffffa,0xffffd102,0x3ff29fff,0x37ffc001,0x0dfff100,0x103fffc0,
    0x7c00dfff,0xff9807ff,0xffff703f,0xbfff505f,0x883ffd00,0x41dfffff,
    0x6ffffff8,0x01bffe00,0x30dfff10,0x037fe439,0x2abfffee,0xffffaaaa,
    0x3fe20001,0x6fffa9ff,0x745ff700,0x837fc3ff,0xfffffff8,0x2001ffff,
    0xacfffff9,0xffff7310,0x27ffdc3f,0x17ffec00,0x4001fffe,0xf886fff8,
    0x3fe006ff,0xfff8007f,0xfff80007,0xffff8006,0xfd02ffff,0x7c4001ff,
    0xfffa9fff,0xffff3006,0xfff90dff,0x4405ffff,0x4ffffffc,0xf8003ff9,
    0x3e2006ff,0x3fe006ff,0x3ffe207f,0x1fffe006,0x06fffec0,0x27fffe44,
    0x200fffee,0xfffc81a8,0xfffe882f,0xf002ffff,0xf8800dff,0x37fd46ff,
    0xfe805ff3,0xffffffff,0x005fffff,0xf9bffee0,0xfb801fff,0xf03ffe2f,
    0x3ffe20df,0xfffd999e,0x3fffa001,0x7ffcc02f,0x07fff26f,0x13ffea00,
    0x0001ffff,0xf10bfff3,0x7fc00dff,0xfff8007f,0xfff80007,0xffff8006,
    0xe80ffffd,0x2e000fff,0x3ffe6fff,0xfffd001f,0xfff30dff,0x2005ffff,
    0xf94ffeb9,0xfff8003f,0x3ffe2006,0x1fffe006,0x006fff88,0xc801fffe,
    0xd503ffff,0x7fe49fff,0x7f40002f,0xffe882ff,0x06fffeff,0x800dfff0,
    0x7e46fff8,0x7cc000ff,0xffffffff,0x0fffffff,0x5fffd000,0x402fffdc,
    0xdff12ffb,0x3e20dff0,0x7ffdc6ff,0xf1033220,0x26005fff,0xffd2ffff,
    0x3fe2000f,0x17fff45f,0x1fffdc00,0x0037ffc4,0xf000ffff,0xf0000fff,
    0xff000dff,0x9ffff1ff,0x001fffd0,0xf717fff4,0x5c400bff,0x2a606fff,
    0x4002fffd,0x3ff94ff9,0x06fff800,0x003fffc0,0x7c40dfff,0x3fe006ff,
    0x7fd4007f,0xfc882eff,0x7fff70ff,0x7ffc4000,0xffffe885,0x00ffff9c,
    0x4006fff8,0xeeeffff8,0x4001ffff,0xfffffffd,0xffffffff,0xff98003f,
    0x7fffc47f,0xd17fdc00,0x06ff85ff,0xd88dfff1,0x227fe43f,0xeeeffffa,
    0xeeeeeeee,0xfff3ffff,0x7ffc000d,0x037ffdc7,0x0bfffe20,0x801bffe2,
    0xf8007fff,0xf80007ff,0xff8006ff,0x3ffff77f,0x000fffe8,0xf88ffff3,
    0x22000fff,0xfc806fff,0x7cc002ff,0x003ff94f,0x4006fff8,0x9800fffe,
    0x3e204fff,0x3fe006ff,0xfe98007f,0xfc80dfff,0x0bfff53f,0x1fffd400,
    0x93ffffa2,0xf801fffe,0x7c4006ff,0xffffffff,0x3e2001ff,0xcccccfff,
    0xfffccccc,0xfffd8006,0x03fffd84,0xff917fdc,0x0dff339f,0x801bffe2,
    0x7fdc6ffe,0xffffffff,0xffffffff,0x06fff8df,0x11fffe00,0x4007ffff,
    0xf106fffc,0x7fc00dff,0xfff8007f,0xfff80007,0x7fff8006,0xfd1bfffa,
    0x3f6001ff,0xfffd84ff,0x3ffe2003,0x2fffc806,0xca7fcc00,0x7fc001ff,
    0x7fe4006f,0xfffe805f,0x1bffe203,0x007fff80,0x3ffffea0,0xf8b7fc42,
    0x6cc03fff,0x0bfff20c,0xc8bffffb,0xff802fff,0x7fc4006f,0xffffffff,
    0x3fee001f,0x3ffa005f,0x3fe2001f,0xfffa80ff,0x21ffd406,0xfffffffe,
    0x6fff881f,0x91fffe00,0xffffffff,0xffffffff,0x3ffedfff,0xfff10007,
    0x5ffff90d,0x5ffff700,0x01bffe20,0x8007fff8,0x80007fff,0xf8006fff,
    0x3ffe67ff,0x03fffa4f,0x03fffe20,0x801bffea,0xc806fff8,0x4c002fff,
    0x03ff94ff,0x006fff80,0x0effffcc,0x07fffec4,0x00dfff10,0x0003fffc,
    0x37ffff22,0x324ffecb,0x221dffff,0x2e4fffe9,0x3ff65fff,0xfffd85ff,
    0x06fff800,0x7ffffc40,0x01ffffff,0x00bfffa0,0x005fffb8,0x2abfffee,
    0xffffaaaa,0x113fe601,0xfffffffb,0x0dfff109,0x2e3fffc0,0xffffffff,
    0xffffffff,0xfffb6fff,0xfff30001,0xfffff10b,0x3fff6209,0x3ffe205f,
    0x1fffe006,0x01fffe00,0x01bffe00,0xf91fffe0,0x3ffa3fff,0xfffb800f,
    0xfaaaaaaf,0xf1001fff,0xff900dff,0xff98005f,0x8003ff94,0xc8006fff,
    0xbcffffff,0x02fffffc,0x0037ffc4,0x0000ffff,0x3fffffa6,0x3fe21fff,
    0xffffffff,0x3ea5ffff,0xfffd8fff,0x6fff985f,0x3ffffb22,0xffffffff,
    0xdfff104e,0x3fffb333,0xfffec880,0xc880ceff,0x5efffffe,0xfffffe80,
    0xffffffff,0x82ffc05f,0x0ceeeeca,0x3fffff6e,0xffffffff,0x4c7fffff,
    0x9999efff,0x99999999,0xfff90999,0xfff70005,0x3fffe607,0xffdbbdff,
    0x2200ffff,0x3e006fff,0xff8007ff,0xff80007f,0xfff8006f,0xd6fffe87,
    0xfd001fff,0xffffffff,0x00bfffff,0x201bffe2,0x4002fffc,0x3ff94ff9,
    0x06fff800,0xfffffd00,0xbfffffff,0x01fffe00,0x0037ffc4,0x3ffff200,
    0xfff982ef,0xffffffff,0x3ffe20ff,0x85ffffff,0x2e4fffe8,0xffffffff,
    0xffffffff,0x46fff882,0x3220fffb,0xfffff90c,0xfb07ffff,0xffffffff,
    0x7fffcc07,0xffffffff,0x3a00ffff,0x3e60007f,0xffffffff,0xffffffff,
    0x7fc47fff,0xa80005ff,0x44006fff,0x2a02ffff,0xffffffff,0x00efffff,
    0x1007fff8,0xf000dfff,0xf0000fff,0xff000dff,0xffff30ff,0x801fffd7,
    0xfffffff9,0xffffffff,0xfff8800f,0x2fffc806,0xca7fcc00,0x7fc001ff,
    0x3f20006f,0xffffffff,0x3ff6004f,0xfffa800f,0x20062004,0x4402fffb,
    0xfffffffe,0xffb81eff,0x40efffff,0x21ffffea,0xfffffffb,0xffffffff,
    0x6fff882f,0x3f21fec4,0xfffffb4f,0xfb09ffff,0xffffffff,0x7fffec07,
    0xffffffff,0x3203ffff,0xf30002ff,0xffffffff,0xffffffff,0xff90ffff,
    0x2a6009ff,0xffff10bc,0x7ffe4007,0x7ff4c00e,0xffffffff,0xfffb000d,
    0x9fff5001,0x7fff8800,0x6fff8000,0x07fff800,0xfffffff9,0xfffd801f,
    0xffffffff,0x803fffff,0xc806fff8,0x4c002fff,0x03ff94ff,0x006fff80,
    0x7ffff540,0x64001eff,0x74405fff,0xf1003fff,0x3ffd003f,0x3fff2600,
    0x7f402cef,0xbacfffff,0x4fffffec,0x7ffff644,0xffffffff,0xdfff104e,
    0x8b7ff400,0xeffffffd,0xfffd880c,0x100dffff,0x9999ffff,0xff999999,
    0x37fdc0df,0xfffd7000,0xffffffff,0xffffffff,0x3fffffa0,0xfdcbaabc,
    0x3ee4ffff,0xfb802fff,0x2e002fff,0xdfffffff,0x7ffe4003,0x7fff4405,
    0x7ffd4003,0xfff80005,0x7fff8006,0xffffff10,0x7fc401ff,0xccccccff,
    0x6fffcccc,0x07fff880,0x017ffec4,0x7e53fe60,0x7ffc001f,0xff300006,
    0x2600015d,0x880dffff,0x000ffffe,0xfd007ff5,0xfff8003f,0x3fff2007,
    0xffffffff,0x2005ffff,0x88001ffe,0x3e006fff,0x000007ff,0xfb803dfb,
    0x3fa005ff,0xfff101ff,0x00018805,0x006ffc40,0xfffffff3,0xffffffff,
    0xfffd8bff,0x3fff604f,0x3fa2005f,0x100bffff,0x7fffcc03,0xfffe880d,
    0x7fec000f,0xff80004f,0xfff8006f,0x3fffea07,0x3ee00fff,0x3fa005ff,
    0xfff801ff,0xfffc881f,0x7cc002ff,0x003ff94f,0x0006fff8,0x0005ff30,
    0x9fffff70,0xfffffb77,0x27fd4005,0x001ffee0,0x6401fffe,0xffffffff,
    0x3fffffff,0x0027fc00,0x006fff88,0x0001fffe,0x008ffe20,0x4005fffd,
    0x2e05fffb,0xff703fff,0x7dc00005,0x7ec4020f,0xffffffff,0x42ffffff,
    0xdffffff8,0xfffffdbb,0xffd1000f,0x7bdfffff,0x409ffb53,0xbcfffffb,
    0x2fffffdb,0x32626e60,0x0002ffff,0x8006fff8,0x7ec07fff,0x200fffff,
    0x2002fffe,0xd805fffb,0xdbacefff,0xffffffff,0x7555100c,0x2fff6bff,
    0x3ffb221a,0xffffffff,0x4c003eff,0x05c98cff,0xfffffb00,0xbfffffff,
    0xceffa800,0xfffccccc,0xfff8004f,0xffffb806,0xfffffece,0xf8000bdf,
    0x00db88ef,0x3fffff6e,0xffffffff,0x007fffff,0xb7dfd000,0x3ffb229f,
    0x880cefff,0xefffffec,0xbffffd05,0x05ffffd9,0x67fcc000,0x3ea01feb,
    0xffffffff,0xf500bdff,0xffffffff,0x003dffff,0x7fffffec,0xffffffff,
    0x7fec07ff,0xffffffff,0x3fea05ff,0x5fffffff,0x3ffb2200,0xffffffff,
    0xfeb83eff,0x41dfffff,0x0ffffff8,0x7ffff644,0xec880cef,0x05efffff,
    0x3fffffea,0xffffffff,0xfff04fff,0xffbfffff,0x3ee5ffff,0xffffffff,
    0x2fffffff,0x7ffff400,0xf90000ff,0xffffffff,0xff50009f,0xffffffff,
    0x3a000dff,0xfff804ff,0x2ee620ef,0xffc80001,0xf303ffff,0xffffffff,
    0xffffffff,0x0000ffff,0x3ffffea0,0xffffff95,0xffb07fff,0x7fffffff,
    0xfffffd10,0x0009ffff,0xfffffb00,0x99531005,0x44001355,0xfffffffd,
    0x2000dfff,0xfffffff9,0xffffffff,0xffc803ff,0xffffffff,0x7fffe404,
    0x000fffff,0x3fffffee,0xffffffff,0x3ffe62ff,0x86ffffff,0x40fffffb,
    0xfffffffc,0xfffd83ff,0x03ffffff,0x3fffffee,0xffffffff,0xffff04ff,
    0xfff9ffff,0x3fee5fff,0xffffffff,0x02ffffff,0x7fffecc0,0x7f4c0003,
    0x01efffff,0xfffff500,0x09ffffff,0x017fd400,0x00077ff4,0xfffc8000,
    0x3ffe606f,0xffffffff,0xffffffff,0x2000007f,0xfb0cefda,0xffffffff,
    0xfffffb09,0x5c07ffff,0x2dfffffe,0xd7100000,0x000007df,0x7fffdc00,
    0x8002efff,0xeffffff8,0xfffffffe,0x3fa6004f,0x01efffff,0xffffff98,
    0x7dc000df,0xffffffff,0x2fffffff,0x3fffffe6,0xffd06fff,0xfffd81ff,
    0x84ffffff,0xfffffffd,0x7fdc03ff,0xdadfffff,0x100cefff,0x23555555,
    0x221aaaa9,0xffffffec,0x4effffff,0x02ae2000,0xbba88000,0x54400009,
    0xaaaaaaaa,0x00100001,0x00006ecc,0x00dd4000,0x7fffff5c,0xffffffff,
    0x007fffff,0xfb100000,0x19dfffff,0xfffffb10,0x310019df,0x00000013,
    0x00000008,0x06ee6200,0x2f36a000,0xcdecb881,0x77510000,0xcb980013,
    0x10002cee,0xffffffd9,0x9dffffff,0xfffffd70,0x3fe603bf,0x7fec40ff,
    0x80ceffff,0xffffffd8,0x973000ce,0x00000157,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000054c0,0x00000000,0x01510000,0x00019800,0x0000a200,0x0a81a800,
    0x00008000,0x00002880,0x80000000,0x88000019,0x0001440a,0x00000000,
    0x00a80000,0x80000000,0x00000028,0x20000151,0x00000de9,0x00001440,
    0x00440000,0x4c000000,0xb5000fff,0x0000039f,0x00017fd5,0x013fe600,
    0x005ff880,0x03dfb000,0x6fd80000,0x54417fa2,0xfd71cccc,0x00037bff,
    0x0002ffb8,0x0000dd88,0x0ffb1000,0x4ff98000,0x2000ffe6,0x544003e9,
    0x36e4cccc,0x003cefff,0x037f4400,0x00336200,0x0077f400,0x9ff30000,
    0x3ff60000,0x2a000004,0xb10003ff,0x64400019,0x52dffffd,0x00179999,
    0x6f7ff65c,0x0bfffe22,0x3ffbfee0,0x3f600001,0x0000ffef,0x00fffdc0,
    0x03bff600,0xfff50000,0xb1000005,0x3ffa29ff,0xfffff903,0xffffffdb,
    0x320005ff,0x40000fff,0x002ffffa,0x7ff44000,0x3e600004,0x3fff52ff,
    0xefffc800,0xfffff000,0xfffff7ff,0x003dffff,0x09ffd300,0x77ffdc00,
    0xffb80002,0xb800002f,0x00001fff,0x0000dfff,0x007ffee0,0x0bbffee0,
    0x3fffee00,0xfeefffff,0x401fffff,0xffffffe9,0xfffeaeff,0x10ef800f,
    0x220000bf,0x000fea4f,0x02fffc80,0xfffd8800,0x7dc00001,0x200004ff,
    0xfd15ffe8,0x7fff409f,0xffffffff,0x003fffff,0x007bffa2,0xffffd880,
    0x00000dff,0x005fffa8,0x4fffe600,0x2002fffa,0xffffffe9,0x7fffcc03,
    0xffffffff,0x4fffffff,0x3ffea000,0xffb10004,0x0019ffff,0x03fffb80,
    0x3fff2000,0x3fe00002,0xd800007f,0x44002fff,0xcffffffd,0xfffd8800,
    0xffffffff,0x3fffffff,0xfffff910,0xffffffff,0xf3007fff,0x0000fd87,
    0x037c1fb8,0x77ff4400,0x7e400001,0x400002ff,0x0005fff9,0x3a2bffd0,
    0x7fdc04ff,0xffffffff,0x0ffffffe,0x0dfff980,0x3ffe6000,0x2ffffabf,
    0x3fee0000,0x2600003f,0xfff53fff,0x7ffe4005,0x0efffd9e,0x3fffffa0,
    0xffffffff,0x03ffffff,0x03fffb80,0x5ffff500,0x003dfff7,0x05fffa80,
    0x77ff4400,0x7fc00001,0x2200007f,0x4001effe,0xfbaffffa,0x7e401fff,
    0xffefffff,0xffffffff,0xfffb00ff,0xffffffff,0x00bfffff,0x00df17e2,
    0xf98fe600,0xffc80004,0x7000000e,0x00001fff,0x003ffe88,0xfb2ffdc0,
    0x3f62009f,0x10adffff,0x005ffff5,0x80009ffd,0x220efff8,0x0000fffd,
    0x002fff98,0xf1fff400,0x7d4005ff,0x7ffd44ff,0x7ffd4405,0x260aefff,
    0x01fffffb,0x007ffe60,0x06fffc40,0x001dffd3,0x02ffe980,0x03bff200,
    0x3ffe0000,0x3f600007,0x7c4000df,0x3fa60dff,0xfff500ff,0xffc885df,
    0x201cffff,0x1bfffffa,0xfffffb51,0xbdfc800d,0x200002fe,0x00ffcdfe,
    0x004fb800,0x06e98000,0x5f910000,0x44fa8000,0x7e4003fb,0x3ee05fff,
    0x2fd804ff,0x3ff88000,0x0003fee0,0x0007be20,0xdb0bf200,0x1efa8003,
    0x200bfb10,0x00dfffff,0x01bfffe6,0x0000df98,0xfb80bfe2,0xfb100007,
    0x27dc0003,0xfff00000,0x7e40000f,0x5ff10003,0xff03fdc0,0xffa80bff,
    0x3e201fff,0xd100efff,0x001fffff,0x01fffe44,0x3ff66000,0x0000002e,
    0x00000000,0x00000000,0x7fe40000,0x7ffc404f,0x00000006,0x00002001,
    0x00000000,0x10008000,0x3ffffc00,0x1ffff980,0x08000000,0x00000100,
    0x00000000,0x01fffe00,0x10000000,0xff980200,0xffc800ff,0x3ffa01ff,
    0x7ffec06f,0x88004fff,0x44000001,0x00000001,0x00000000,0x00000100,
    0xffc80000,0x7ffc402f,0x00004006,0x00000000,0x00000000,0x00020000,
    0x009ffff0,0x001fffec,0x04000002,0x00000000,0x00000000,0x0000ffff,
    0x08000008,0x27ffd400,0x1ffff880,0x03ffff30,0x7fffffdc,0x008000ff,
    0x00000000,0x07999951,0x333332e6,0xcccca881,0x99997303,0xdca88039,
    0x03efffff,0x79999510,0x33332e60,0x3fff201c,0x37ffc402,0x3fffb2a0,
    0xca8802cd,0x97303ccc,0x98039999,0x43dffedb,0x003dffd9,0x7bffb730,
    0x765c0003,0x88bdffff,0x7fffc00b,0x3ffea000,0x7ff65c04,0x0b88bdff,
    0xfffd9500,0x4c00059b,0x01bdffdb,0x7fedcc00,0xb73001bd,0xfffddddd,
    0x7bdddddf,0xffec9801,0x0ba9beff,0xfffec980,0x40ba9bef,0x2002fffc,
    0xf701fffe,0x7fd409ff,0x3fffddff,0x3ff72a20,0x1003efff,0x20799995,
    0x1cccccb9,0x7fffffc4,0xfffffa86,0x7ffc42ff,0xffa86fff,0x202fffff,
    0xfffffffc,0x202fffff,0x6ffffff8,0xffffffa8,0x3fff202f,0x37ffc402,
    0xfffffd88,0x102effff,0x0dffffff,0xfffffff5,0x7ffff405,0xfb8dffff,
    0x004fffff,0x3ffffff2,0x2003ffff,0xffffffe9,0x0fffffff,0x003fffe0,
    0x304fffa8,0xfffffffd,0x01ffffff,0x7ffffec4,0x002effff,0x3ffffff2,
    0x4003ffff,0xfffffffc,0x3e203fff,0xffffffff,0xffffffff,0xffb106ff,
    0xffffffff,0x7ec40bff,0xffffffff,0x7fe45fff,0x3ffa002f,0x3fff901f,
    0x3bfffe20,0x904fffb8,0xffffffff,0x4405ffff,0x86ffffff,0xfffffffa,
    0x7ffffcc2,0xffffc86f,0x7fcc2fff,0xfc86ffff,0x02ffffff,0xfffffff3,
    0x3fffffff,0x3ffffe60,0xffffc86f,0x3f202fff,0x7fc402ff,0xffffb86f,
    0xffffffff,0xffff985f,0xfffc86ff,0xf502ffff,0xffffffff,0xffffffff,
    0xfe880bff,0xffffffff,0x6400efff,0xffffffff,0x2fffffff,0x00bfffe0,
    0xc82fffc8,0xffffffff,0x2fffffff,0xffffff70,0xbfffffff,0xffffe880,
    0xffffffff,0x7ff4400e,0xffffffff,0xff980eff,0xffffffff,0xffffffff,
    0x7ffc40ff,0xffffffff,0xff107fff,0xffffffff,0xfb8fffff,0x3fe003ff,
    0xfffd01ff,0x3ffffa01,0x30dfff31,0xffffffff,0x03ffffff,0x3fffffe6,
    0xfffffc86,0xfffe82ff,0xfff986ff,0xfe82ffff,0xf986ffff,0x02ffffff,
    0x3ffffffe,0x7fffffee,0x3fffffa0,0xfffff986,0x3ff202ff,0x7ffc402f,
    0x7ffffd46,0xfffffeff,0xfffe84ff,0xfff986ff,0xf302ffff,0xffffffff,
    0xffffffff,0x3a207fff,0xffffffff,0x06ffffff,0x3fffffee,0xffffffef,
    0x3ffe03ff,0xffa801ff,0x7ffdc0ff,0xfffeffff,0xa83fffff,0xefffffff,
    0x4fffffff,0xfffffd10,0xffffffff,0x7ff440df,0xffffffff,0xfb06ffff,
    0xffffffff,0xffffffff,0xffffd09f,0xffffffff,0xffd01fff,0xffffffff,
    0x4c1fffff,0xf5006fff,0x3fe03fff,0xffff906f,0x83fffc47,0xefffffff,
    0x07fffffe,0x1bfffffa,0x3fffffe6,0xfff7102f,0x7fed4c0d,0xfff7102f,
    0x7fed4c0d,0x2f36602f,0xffffa81a,0x3ffee200,0x3ff6a606,0x3fff202f,
    0x37ffc402,0x59fffff3,0x3ffee621,0xffb881ff,0x3f6a606f,0x336e02ff,
    0xffffb10a,0xfffb13bf,0xffffb01f,0x7f54415d,0xff985fff,0x2a20bfff,
    0x03ffffec,0x0bfffffe,0x46ffffb8,0x0bfffff9,0x3fffb2a2,0x7fffcc3f,
    0xf7310acf,0xfb03ffff,0x4415dfff,0x05ffffea,0x15dffffb,0x7ffff544,
    0x33333105,0x333ffff3,0x3fe20333,0x6cc0acff,0x7c40ffff,0x4c0acfff,
    0x220ffffd,0x4403ffff,0x881ffffe,0xffb86fff,0x7fff84ff,0x03579b30,
    0x401ffff5,0x206fffb8,0x02fffda9,0x201bffe2,0x2202fffc,0xfc806fff,
    0xb00002ff,0xf8805fff,0xffc806ff,0x3fff202f,0x37ffc402,0x805ffffd,
    0x106ffff9,0xf900dfff,0x220005ff,0x740fffff,0x7fcc3fff,0x7ec404ff,
    0x7ff40fff,0x7fc400ef,0x3ffe03ff,0xbbceffff,0x0fffffec,0x0077fff4,
    0xd0ffffe2,0x9805ffff,0x7cc6ffff,0x6c404fff,0x7cc0ffff,0x6c404fff,
    0x4000ffff,0x4c006fff,0xfb806fff,0x6fff986f,0xc86ffb80,0xd304ffff,
    0x203fffff,0x3e60ffff,0xff886fff,0xfd80006f,0x7fc402ff,0xfffc806f,
    0x1bffe202,0x80bfff20,0xc806fff8,0x26002fff,0xfc9abcba,0x7fc403ff,
    0xfffc806f,0xffffdb82,0xfff103ef,0x0bfffe2d,0x17fffcc0,0x4037ffc4,
    0x1002fffc,0xffff5575,0x8ffff509,0x2005fffb,0x3e62fffe,0xf5001fff,
    0x7ffc03ff,0xffffffff,0x41ffffff,0x001ffff9,0x7c43fff5,0xf3002fff,
    0x7fdc5fff,0x3ffa005f,0x2fffdc2f,0x05fffd00,0x006fff80,0xabeffff8,
    0x7fc07701,0x701abeff,0x7ffff407,0xfffdbbce,0xfd01ffff,0x3ffa25ff,
    0xfff980ff,0x79753004,0x07fff935,0x806fff88,0x2202fffc,0xfc806fff,
    0x3fe202ff,0xfffc806f,0x7ffe4402,0xffffffff,0x7ffc403f,0x2fffc806,
    0x7fffffcc,0xff880fff,0xdffff56f,0xdddddddd,0x07ffffdd,0x900dfff1,
    0x6c405fff,0xffffffff,0xeeeeeeff,0x3f60ffff,0x3e6000ff,0x3ffea5ff,
    0x037f4004,0x3ffffffe,0xffffffff,0x4fffa81e,0x2a37f400,0xeeeeffff,
    0xfeeeeeee,0x3ff63fff,0x3fe6000f,0x07ffec5f,0x0bfff300,0x006fff80,
    0xffffffd8,0x800bdeff,0xfffffffd,0x9800bdef,0xffffffff,0xffffffff,
    0x29fffb01,0x702ffffd,0x64407fff,0xffffffff,0x4403ffff,0xfc806fff,
    0x3fe202ff,0xfffc806f,0x1bffe202,0x80bfff20,0xfffffffb,0x3fffffff,
    0x037ffc40,0x2617ffe4,0xffffffff,0x6fff880f,0xfffffff7,0xffffffff,
    0xf10bffff,0xff900dff,0x3ffee05f,0xffffffff,0xffffffff,0x3ffe1fff,
    0x7fff8006,0x000bfff2,0x3fffe002,0xffffffb8,0x3ff203ff,0xb808002f,
    0xffffffff,0xffffffff,0x3ffe5fff,0x7fff8006,0x40037ffc,0x7c007fff,
    0xe88006ff,0xffffffff,0x74404fff,0xffffffff,0xe9804fff,0xffffffff,
    0x01ffffff,0xff9dfff7,0x3fe207ff,0xfff701ff,0xffffffff,0xf8807fff,
    0xffc806ff,0x3ffe202f,0x2fffc806,0x01bffe20,0x5c0bfff2,0xffffffff,
    0x3fffffff,0x037ffc40,0x6417ffe4,0x3efffffe,0x32dfff10,0xffffffff,
    0xffffffff,0xff886fff,0xfffc806f,0xfffffe82,0xffffffff,0xffffffff,
    0xbfff31ff,0x1fffb000,0x0007fff6,0x23fffc00,0x801abba9,0x0001fffd,
    0xffffff90,0xffffffff,0x26dfffff,0xd8005fff,0xfff30fff,0xfffb000b,
    0x37ffc001,0xfffd7000,0xdfffffff,0xfffeb803,0xefffffff,0xffffb801,
    0xffd9dfff,0xffff101f,0x640bffff,0xfb80ffff,0xffffffff,0x03ffffff,
    0x4037ffc4,0x2202fffc,0xfc806fff,0x3fe202ff,0xfffc806f,0xfffffa82,
    0xeeccacef,0x7c403fff,0xffc806ff,0x2200002f,0xfff75fff,0xffffffff,
    0xffffffff,0x0dfff10d,0xa85fff90,0xbdefffff,0xffffffdc,0xffffffff,
    0x001bffe1,0xffc9fffe,0xf000002f,0x20000fff,0x0002fffc,0xffffff70,
    0xffffffff,0x7cdfffff,0xff8006ff,0x037ffc7f,0x003fffc0,0x0001bffe,
    0x3ffb72a6,0x800fffff,0xfffedca9,0x3000ffff,0x7ec15795,0x3fee01ff,
    0x700effff,0xf505ffff,0x59dfffff,0x7fffdd99,0x06fff880,0x202fffc8,
    0xc806fff8,0x3e202fff,0xffc806ff,0xefffe82f,0x3ffee00b,0x37ffc403,
    0x017ffe40,0x9fff5000,0x267bffe6,0x99999999,0x88099999,0xfc806fff,
    0x7ffec2ff,0x7ffff00e,0x33333333,0x01fffd83,0xa93ffea0,0x00004fff,
    0x000ffff0,0x013ffea0,0x77ffcc00,0x99999999,0x09999999,0x8007fff6,
    0x7ec4fffa,0x3ea001ff,0x7f4004ff,0x1dc4005f,0x7fffdcc0,0x4c01dc43,
    0x003ffffb,0x01ffff00,0x1fffffe8,0x09ffffb0,0x02fbfffa,0x403fffb8,
    0xc806fff8,0x3e202fff,0x7ec407ff,0x3fe202ff,0x7fec407f,0x7fffc42f,
    0x3fffc801,0x03fffc40,0x00bfff62,0x3fffd800,0x00bffff1,0x7fff8800,
    0x17ffec40,0x440bfff2,0x8005ffff,0x800efffb,0x222ffff8,0x4001ffff,
    0x3ffe01b8,0xff100007,0xb88003ff,0x17fffe21,0x7ffdc000,0xfff8800e,
    0x77ffdc2f,0xffff8800,0x1ffe4002,0x00fff200,0x3237ffd4,0xff5003ff,
    0xf50000df,0xffb00dff,0xb77bffff,0x01dfffff,0x003ffff1,0x8807fff9,
    0x6c407fff,0x7fc02fff,0xffc881ff,0x7fc02fff,0xffc881ff,0x7fc42fff,
    0x3fee00ff,0xff803fff,0xffc881ff,0x80002fff,0x22ffffa8,0x004ffffc,
    0x3e017953,0xfc881fff,0x7d42ffff,0xffe986ff,0xcb981fff,0x77fffc41,
    0x3fffea02,0x77fffc0f,0x1fff7002,0x001fffe0,0x2effff80,0x41fff700,
    0x004ffffc,0x7c417953,0x2a02efff,0x440fffff,0x202effff,0x00fffffa,
    0xf8002a80,0x5c00cfff,0x7ffc6fff,0x7fdc00cf,0x2a20006f,0x5c04fffe,
    0xffffffff,0xffffffff,0x1ffff101,0x7ffffdc0,0x1ffff803,0xfffffc88,
    0x77ffec02,0xffffdbac,0xb00cffff,0xb759dfff,0xffffffff,0x7ffffc19,
    0xfffdcabd,0x0cefffff,0x59dfffb0,0xffffffb7,0x260019ff,0xffffeccb,
    0x7fff40ef,0xcbaabcff,0x04fffffd,0x759dfffb,0xfffffffb,0x3ffe219f,
    0xfffdbcff,0xdbcfffff,0xfc87ffff,0xaacdffff,0x3fffffec,0xefffff98,
    0xfdcbaabc,0x2e23ffff,0xcccffffc,0xff30000a,0x5579dfff,0xfffffb97,
    0xfffffe87,0xfdcbaabc,0x7e44ffff,0xaacdffff,0x3fffffec,0xbfffff90,
    0xfffd9559,0x000007ff,0xffffff80,0xfecaaacc,0x7ffc4fff,0xaaaccfff,
    0x04ffffec,0x6e6665cc,0x01ffffff,0x3fffffe6,0xffffffff,0x7ffc00df,
    0xfdcabdff,0xefffffff,0xdfffb00c,0xffffb759,0x2019ffff,0xfffffffa,
    0xffffffff,0xfff504ff,0xffffffff,0x49ffffff,0xfffffffb,0xffffffff,
    0xf504ffff,0xffffffff,0xffffffff,0xffff3009,0x01ffffff,0xfffffff3,
    0xffffffff,0x3fea0bff,0xffffffff,0x4fffffff,0x3fffffee,0xffffffff,
    0xffffffff,0xffffd81f,0xffffffff,0x3fea05ff,0xffffffff,0x0fffffff,
    0x3ffffffe,0x0004ffff,0x3fffffea,0xffffffff,0x7fcc0fff,0xffffffff,
    0x5fffffff,0xffffffd8,0xffffffff,0x7fffec05,0xffffffff,0xfff705ff,
    0xffffffff,0x5fffffff,0xfffffff8,0xffffffff,0x7fffc0ff,0xffffffff,
    0x200fffff,0xfffffff9,0x402fffff,0xeb8ffffe,0x2effffff,0xfffff700,
    0xffffffff,0x09ffffff,0x3fffffea,0xffffffff,0x3ee04fff,0xffffffff,
    0x4fffffff,0x3ffffee0,0xffffffff,0x7fe44fff,0xffffffff,0xffffffff,
    0x3fffee04,0xffffffff,0xb804ffff,0xffffffff,0x3ff6201f,0xffffffff,
    0x202fffff,0xfffffffb,0xffffffff,0x7fffdc4f,0xffffffff,0xffffffff,
    0x3ffee05f,0xffffffff,0xfffb803f,0xffffffff,0x3e61ffff,0xffffffff,
    0x5c0006ff,0xffffffff,0x1fffffff,0xfffffb10,0xffffffff,0x3fee05ff,
    0xffffffff,0xff7003ff,0xffffffff,0x3fe607ff,0xffffffff,0xffffffff,
    0x3fff60ff,0xffffffff,0xfd81efff,0xffffffff,0x01efffff,0x7fffffdc,
    0x402fffff,0x4c1ffffa,0x80009bba,0xfffffffc,0xffffffff,0x3ee04fff,
    0xffffffff,0x4fffffff,0x7ffffdc0,0xfffdadff,0x7fdc00ce,0xdadfffff,
    0xa80cefff,0xfffffffe,0xeffffcbe,0x7ffdc00c,0xfdadffff,0x8800ceff,
    0xcfffffff,0xffff5000,0xbfffffff,0xfff70017,0xfb5bffff,0xd5019dff,
    0xd7dfffff,0xfffffb7b,0xd930059f,0x7bffffff,0x7fe44001,0xffffffff,
    0xffffb02e,0x07ffffff,0xfff91000,0xdfffffff,0x3ffea005,0xffffffff,
    0x764c00bd,0xbdffffff,0x7f64c000,0x0bdfffff,0x3ffffe60,0xffffffff,
    0x0fffffff,0x3ffb3ba6,0x2effffff,0x3fb3ba60,0xefffffff,0xfffd1002,
    0x037bffff,0x007fff30,0xffea8000,0xcbefffff,0x00ceffff,0x7fffffdc,
    0xefffdadf,0x7973000c,0x4c000015,0x0000abcb,0x055e65d4,0x32e60000,
    0x400000ab,0x00009aa8,0x2ab32a62,0x2e600009,0x40000abc,0x2201bca8,
    0x20001bcb,0x0001bb98,0xbccba988,0xaa8800aa,0x001aaaaa,0xcba98800,
    0x0000aabc,0x35599531,0x5cc40001,0x2200001b,0x64001bb9,0xffffffff,
    0xffffffff,0xba9803ff,0x0001abcc,0x35799753,0x2aaa2000,0x7b70002a,
    0x54000000,0x000abccb,0x55e5cc00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001510,0x02000000,
    0x02da8000,0x51000edc,0x00001599,0x06000001,0x372a2000,0x4000002b,
    0x00000000,0x3ae00f5c,0x00bd1000,0x100000bd,0x00103333,0x00002880,
    0x17a20000,0x000017a0,0x00540000,0x00001500,0x0bd00bd0,0x2a01ecc0,
    0x0b6e002d,0x40001b70,0x00000cd8,0x0009ff30,0x00037620,0x3fffb2a0,
    0x999970be,0x6ffec017,0x027ff440,0x7fffff4c,0x326001ef,0x9beffffe,
    0x7d4000ba,0xe88000ef,0x2fffffff,0xccccb980,0x6fff64c4,0xffffff81,
    0xffffffff,0x3fe01fff,0x00ffe205,0xf7017fcc,0x2e00001f,0x747ffffe,
    0xfa8002ff,0xff50003f,0x200207bd,0x3ee02ff9,0x2744000f,0x7f440000,
    0x7ff50005,0x7fcc0000,0x003fee02,0x220f7fdc,0x3a006ffc,0xffe984ff,
    0xfff70003,0xb800005d,0x80001fff,0x002ffffa,0xfffffd10,0xffd9ffff,
    0x2601ffff,0xff72ffff,0xff9801ff,0xffffffff,0x7ffec401,0xffffffff,
    0x7ff4005f,0x7f44003f,0xffffffff,0x3ffff205,0xffd88fff,0x7c4fffff,
    0xffffffff,0xffffffff,0x20fff601,0x1001ffe8,0xff503fff,0x3e20000d,
    0x2a7fffff,0x5c005fff,0xb0001fff,0x39ffffff,0xf880bff9,0x6ffa81ff,
    0x77ffdc00,0xff500001,0x3e20007f,0x200005ff,0xffa81fff,0x3ffa2006,
    0x3fffd53f,0x77ffd400,0x00dfff91,0xfffffb10,0x9000019f,0x80005fff,
    0xffffffc8,0x3fee000d,0xffffffff,0xffffffff,0x3ff6202f,0x00dfffef,
    0x7fffffcc,0x00ffffff,0xfffffff1,0xffffffff,0x7fffc400,0x3ffa2004,
    0xffffffff,0xffffd04f,0xffff7fff,0x43ffffff,0xffffffff,0xffffffff,
    0x3ffe201f,0x5fffecdf,0x77ffdc00,0x02ffffcc,0x3fffe000,0x3ffe27ff,
    0x3fff6005,0x3fea0002,0xffffffff,0xfffb806f,0x2ffffcce,0xffffd100,
    0xb80009ff,0x40003fff,0x000effe9,0xcefffb80,0x002fffec,0xffefffc8,
    0xe98001ef,0x4fffefff,0xffffa800,0x01efffba,0x3dffd100,0xfff98000,
    0x2ffffabf,0xfffffa80,0xfffffeff,0x06ffffff,0x5fffff70,0x3ffffa00,
    0xffffcaac,0xfffffd04,0xffffffff,0x7e4001ff,0x3f2001ff,0xfdacffff,
    0xfb82ffff,0xffffffff,0xffffffff,0x3bfffe4f,0xeeeeeeee,0x4c01ffff,
    0xffffffff,0xfff90005,0x005fffff,0xffec9800,0x01fdc47f,0x00f7ff44,
    0xfffeb800,0x000cffff,0xfffffff9,0x3fea005f,0xefffbaff,0xfffd8001,
    0xfb100002,0x900003ff,0xffffffff,0x7f4c0007,0x80003fff,0x01effffb,
    0x0dfff880,0x003bffa6,0x003bff20,0x1dfff100,0x007ffec4,0x37fffff1,
    0x7fffedc4,0x44000bff,0xf3000dfd,0xff503fff,0xfff883ff,0x7ecc0acf,
    0x54000fff,0x3fe2001c,0xffe883ff,0xff55105f,0x5bffffff,0xfd87ff66,
    0xfff8805f,0x3ffae007,0x4c0001de,0x00ceffed,0x7ffc0000,0xc800fd87,
    0x80000dff,0xffffffea,0x4c000fff,0x00ceffed,0x41bfff30,0x4006ffe9,
    0x0001effa,0x006ffc80,0xdffdb100,0x32000019,0x200001ef,0x20004fe9,
    0x3ee02ff8,0x09f70007,0x01ffc000,0x7ec01ff7,0x7ec01fff,0x0000ffff,
    0xfffb0006,0x27ffec07,0x201bffe6,0x00006ffb,0x0bfff700,0x00ffffc4,
    0x3ffffffa,0x3dd50103,0x09fff700,0x00000000,0xf8000000,0x017dc7ff,
    0x00004fb8,0x2b7ffffe,0x0004fffe,0x2ff98000,0x5001bf20,0x000001bf,
    0x00002fd4,0x06000000,0x00180000,0x00100080,0x10000000,0xff880200,
    0xffd002ff,0x020001ff,0x1ffff100,0x43fffcc0,0x1abeffff,0x04000770,
    0x0bfff200,0x809fff90,0x01effffe,0x7ff40000,0x0008002f,0x00002000,
    0x4ffff000,0x000004f8,0x216f6400,0x001fffe8,0x00080000,0x00000001,
    0x00000000,0x01000000,0x00000000,0x80000000,0x02000000,0x1fffe600,
    0x0ffff980,0xfffd9300,0x817537df,0xe804fffa,0x7fec1fff,0xdeffffff,
    0xecb8000b,0x88bdffff,0x0fffec0b,0x017ffea0,0x001bfffd,0xfff98000,
    0x7ee54407,0x003effff,0x3fffb2a0,0x970002cd,0x7c7bdffd,0x0000c7ff,
    0x20000020,0x2006fff8,0x1bdffdb9,0x00000000,0x00000000,0xcccca880,
    0x99997303,0x3b2e0039,0x88bdffff,0xccca880b,0x9997303c,0x2e600399,
    0x001bdffd,0xfffdca88,0x88003eff,0xfffffdca,0xfffb803e,0x7fffc004,
    0x7ffec400,0xffffffff,0x1fffdc5f,0x217ffe40,0xffffffe8,0x004fffff,
    0xffffffd3,0x1fffffff,0x200fffec,0x7406fff9,0x00000fff,0x04fffb80,
    0x3ffffff2,0x02ffffff,0x3ffff620,0x02efffff,0xfffffd30,0xfff7ffff,
    0x665cc00f,0x7f64c4cc,0x531001df,0x3f215799,0x7fe402ff,0xffffffff,
    0x99973003,0x30007999,0x79999997,0x99973000,0x22007999,0x86ffffff,
    0xfffffffa,0x7fff4c02,0xffffffff,0x3ffe20ff,0xffa86fff,0x402fffff,
    0xfffffffc,0xf9003fff,0xffffffff,0x32005fff,0xffffffff,0x2e02ffff,
    0x7c003fff,0x3e200fff,0xffffffff,0x647fffff,0xfb802fff,0xffd703ff,
    0xffffffff,0x7ffe403d,0xffffffff,0x3f22ffff,0x7ff402ff,0x7fff407f,
    0xe8000000,0xff302fff,0xffffffff,0x7003ffff,0xffffffff,0x80bfffff,
    0xfffffffc,0xffffffff,0xffff9007,0xffb11fff,0x809fffff,0xfffffffc,
    0x04fffadf,0xffffffd1,0x1dffffff,0x7ffffe40,0x64006fff,0xffffffff,
    0x7ffe4006,0x006fffff,0xdffffff3,0xffffff90,0x7ffe405f,0xffffffff,
    0x3e62ffff,0xc86fffff,0x2fffffff,0xfffffd10,0xdfffffff,0x7fffcc01,
    0xffffffff,0x7fcc01ff,0xffffffff,0xf301ffff,0x7cc00dff,0x3fa00fff,
    0xffffffff,0x20ffffff,0xa801fffd,0x54c04fff,0xfffffedc,0xfffb80ff,
    0xfffeffff,0x2a3fffff,0x3ee05fff,0x3a00ffff,0x00000fff,0x03fffcc0,
    0x3ffffffe,0x7fffffee,0x7ffffd40,0xfffffeff,0xfff704ff,0xfffdffff,
    0x00ffffff,0x3ffffffa,0xffffffbf,0xe981ffff,0xffffffff,0x86ffffff,
    0xffffffe8,0xffffffff,0x3ffffa06,0x4006ffff,0xfffffffe,0x7ff4006f,
    0x06ffffff,0x3fffffa0,0xfffff986,0xfff702ff,0xfffdffff,0xe87fffff,
    0x986fffff,0x2fffffff,0xfffffe88,0xffffffff,0x7fffc06f,0xfffeefff,
    0xfff807ff,0xffeeffff,0x3fe07fff,0xfe8803ff,0xff100fff,0xd98159ff,
    0x3f60ffff,0xffa801ff,0x200ee24f,0x43ffffb9,0x0bfffff9,0x3fffb2a2,
    0x3fffe23f,0xfffff982,0x3fffa01f,0x5c000000,0x6cc05fff,0xffa81abc,
    0xfff300ff,0x262159ff,0x41fffffb,0x0bfffff8,0x3ffffaa2,0xfff7007f,
    0xffffffff,0x9fffffff,0xffffff88,0xffffffef,0xfffd87ff,0x3aa20aef,
    0xf505ffff,0xdfffffff,0xffffa800,0x4006ffff,0xfffffffa,0x7dc4006f,
    0x36a606ff,0xff982fff,0x2a20bfff,0x83ffffec,0x206fffb8,0x82fffda9,
    0x0aeffffd,0x3ffffaa2,0x2af36605,0x0ffffa81,0x0d5e6cc0,0x807fffd4,
    0x00cffffd,0x1fffffd3,0x01bffe60,0xffb1bfee,0xfff5003f,0x801ffe49,
    0x7f46fffa,0x7c400eff,0x7fe43fff,0xffd99bff,0x203fffff,0x0000fffe,
    0x17fff400,0xfffb0000,0x3ffffa05,0x7fffcc02,0x077fff46,0xfffffb10,
    0x7fd54400,0x2dffffff,0xfe83ffb3,0x6cc1efff,0x20ffffff,0x404ffff9,
    0x00ffffd8,0x3ffeeaaa,0x75550006,0x2000dfff,0x6fffbaaa,0x6fff8800,
    0x82fffc80,0x400efffe,0x103ffff8,0xf900dfff,0xfff985ff,0x7fec404f,
    0xd80000ff,0x00002fff,0x440bfff6,0xbcfffffe,0xfffffdca,0x3ffe00ff,
    0x7701abef,0x003fffb0,0x7fc9fff5,0x7dc00cff,0x3ffe66ff,0xfff5001f,
    0xffffe883,0xffffffff,0x3ffa02ff,0x2000000f,0x8007fff9,0xc9abcba9,
    0xff883fff,0xff3002ff,0x3ffe65ff,0xfff8801f,0xffd0007f,0x0207ffff,
    0x013fffee,0x43fffff9,0x2005fffb,0x1002fffe,0x0000dfff,0x000dfff1,
    0x00dfff10,0x00dfff10,0xf985fff9,0xf5001fff,0x3fe203ff,0xfffc806f,
    0x02fffdc2,0x005fffd0,0x26af2ea6,0x4003fffc,0xc9abcba9,0x3a203fff,
    0xffffffff,0xffffffff,0x3ffff600,0x0bdeffff,0x007fff60,0xff93ffea,
    0xaaccffff,0x4ffffeca,0x0013ffea,0x3fe60dfd,0xffffffff,0xd911fffe,
    0xffffffff,0x007bffff,0x05fffc80,0xfffff910,0x7fffffff,0xddffff50,
    0xdddddddd,0x2a7ffffd,0x2a004fff,0xd0007fff,0x003dffff,0x006fffd8,
    0x6c5ffffb,0x26000fff,0xf1005fff,0x10000dff,0x0000dfff,0x000dfff1,
    0x900dfff1,0xffa85fff,0x37f4004f,0x00dfff10,0xfd85fff9,0x3e6000ff,
    0x3f2205ff,0xffffffff,0xc8803fff,0xffffffff,0x4c03ffff,0xfffffffe,
    0xffffffff,0x3fffa200,0xffffffff,0x05fff904,0x7c7fff70,0xffffffff,
    0xffffffff,0x00bfff20,0xffb10020,0xfd3dffff,0x7fffecff,0xffffffff,
    0x0000ffff,0x200bfffa,0xfffffffb,0x3fffffff,0xffffffb8,0xffffffff,
    0xf95fffff,0x7c4005ff,0xfd0007ff,0xf0001bff,0x2a005fff,0x3fe2ffff,
    0xfff8006f,0xdfff1007,0xfff10000,0xff10000d,0xff1000df,0xfff900df,
    0x02fffc85,0x7fc40080,0xfffc806f,0x0037ffc2,0xfb83fffc,0xffffffff,
    0x403fffff,0xfffffffb,0x3fffffff,0xffffd500,0xffd19fff,0xffd7001f,
    0xffffffff,0x3fffb83d,0x22fffc80,0xfffffffd,0xefffffff,0x00fffec1,
    0xdb950000,0x97ffe659,0xfffffffd,0xffffffff,0xff30001f,0xfff700ff,
    0xffffffff,0xf907ffff,0xffffffff,0xffffffff,0x3fff6dff,0x3fffc001,
    0x0fffe800,0xffff8800,0xffff1001,0x017ffe63,0x003fff60,0x001bffe2,
    0x01bffe20,0x1bffe200,0x1bffe200,0xb0bfff20,0x00003fff,0x00dfff10,
    0x7cc5fff9,0xfd8005ff,0x7ffdc0ff,0xffffffff,0x2e03ffff,0xffffffff,
    0x3fffffff,0x565d4c00,0x007fff41,0xffdb9530,0x541fffff,0xfe805fff,
    0x33ba60ff,0xfffffffe,0xfff902ef,0x00000005,0xd993fff6,0xffffffff,
    0x03efffff,0x17fff200,0xffffff50,0xfdd9959d,0xfff707ff,0xffffffff,
    0xffffffff,0x00bfff2d,0x007fff88,0x001fffd0,0x03ffff10,0xf1fffe20,
    0xff000dff,0x3fe200ff,0xf880006f,0x880006ff,0x88006fff,0xfc806fff,
    0x7ffe42ff,0xf8800002,0xffc806ff,0x037ffc2f,0x2a3fffc0,0xceffffff,
    0xfffeecca,0xfffff503,0xdd9959df,0x00007fff,0x201fffd0,0xfb9803b8,
    0x3fe23fff,0x3fe600ff,0xfca9807f,0x7d401acf,0x000004ff,0x1ffffc80,
    0x00000000,0xe805fffd,0x200befff,0xf983fffb,0x99999eff,0x99999999,
    0x9fff7099,0x3fffd400,0x0fffe800,0x5fffd000,0x1bffe600,0x4003fffb,
    0x1004fffa,0x0000dfff,0x000dfff1,0x00dfff10,0x00dfff10,0xfa85fff9,
    0x800004ff,0xc806fff8,0x7fec2fff,0x3fea001f,0x77fff44f,0x3ffee00b,
    0x7dfffd03,0x1fffdc01,0x7ff40000,0x07ff900f,0xb1bffea0,0x7ec09fff,
    0x3e6003ff,0xfff1004f,0x1b88003f,0xffffc800,0x00000003,0x80ffff30,
    0x801ffff8,0xf883fffc,0x80005fff,0x001ffff9,0x000ffffd,0x0003fffa,
    0x8037ffec,0x7dc5fffd,0xf8800eff,0xf1002fff,0x10000dff,0x0000dfff,
    0x000dfff1,0x880ffff1,0x7c42fffd,0x44001fff,0xffff101b,0x2fffd880,
    0x0077ffdc,0x117fffc4,0x9003ffff,0xff107fff,0xff9003ff,0xd000007f,
    0x3fe01fff,0x7dc00cff,0x7ffcc6ff,0xffffc82f,0x3ffe6000,0xffff800e,
    0xfff7002e,0x3ffaa001,0x7cc005ff,0x200002df,0x4405fffc,0x2e00ffff,
    0x903fffff,0x2009ffff,0x3fa0bca9,0x36201eff,0x0007ffff,0x0001fffd,
    0x033fffea,0x41ffffb8,0x02effff8,0x03ffffea,0x037ffc40,0x37ffc400,
    0x7ffc4000,0xffff0006,0xffff9103,0xdffff05f,0x3ffee005,0x03ffff00,
    0x5fffff91,0x2effff88,0x3ffffea0,0x03fffe20,0x3fffffb8,0x00ffff88,
    0x0fffffee,0x3ffa0000,0xfffff00f,0xd955599f,0xfb09ffff,0xfb77bfff,
    0x22009fff,0x03ffee89,0xefffff98,0xfdcbaabc,0xfb13ffff,0xfffdb77b,
    0xf5000dff,0x00001fff,0x200bfffa,0xabdfffff,0xffffffdc,0x7f40ceff,
    0xaabcffff,0xfffffdcb,0x3ffffe24,0xffdbaacd,0x2dffffff,0x03fffa00,
    0xffffc800,0xfeba9abf,0xff904fff,0x9559bfff,0x07fffffd,0x037ffc40,
    0x37ffc400,0x7ffc4000,0xfffb0006,0xfffb759d,0x419fffff,0xcefffff9,
    0xffdcbaab,0xffb03fff,0xffb759df,0x19ffffff,0x6fffffe4,0xfffecaac,
    0xffff83ff,0xffdcabdf,0xceffffff,0x37ffffe0,0xffffdcab,0x00ceffff,
    0xff999500,0xff8379ff,0xffffffff,0x0fffffff,0xffffff88,0x00efffff,
    0xff79ffd0,0x3ffea007,0xffffffff,0x90ffffff,0xffffffff,0x8001dfff,
    0x04ffb99a,0x7fff9800,0xfffff700,0xffffffff,0x89ffffff,0xfffffff9,
    0xffffffff,0x7ffdc5ff,0xffffffff,0xffffffff,0xffec880f,0xffffffff,
    0xfe803dff,0xffffffff,0x6c06ffff,0xffffffff,0x05ffffff,0xffffffd7,
    0xffffffff,0xfffeb85b,0xffffffff,0x75c2dfff,0xffffffff,0x2dffffff,
    0x3ffffea0,0xffffffff,0x7d44ffff,0xffffffff,0xffffffff,0xfffff500,
    0xffffffff,0xfd89ffff,0xffffffff,0x705fffff,0xffffffff,0xffffffff,
    0x7fdc9fff,0xffffffff,0xffffffff,0xffb8004f,0xffffffff,0x3ffff60f,
    0xffffffff,0x3e601eff,0xffffffff,0x3ff2000d,0x2000ffff,0xfffffffb,
    0xffffffff,0x3ffffee1,0x003fffff,0xffefffa8,0xff880002,0x3ff2003f,
    0xffffffff,0xffffffff,0xffffd884,0xffffffff,0xffa82fff,0xffffffff,
    0xffffffff,0xffffd80f,0xffffffff,0x4400ffff,0xfffffffd,0x800dffff,
    0xfffffffb,0x303fffff,0xffffffff,0xffffffff,0x3ffe61ff,0xffffffff,
    0x0fffffff,0xfffffff3,0xffffffff,0x7dc01fff,0xffffffff,0x4fffffff,
    0xffffffb8,0xffffffff,0x7ffdc01f,0xffffffff,0xb84fffff,0xffffffff,
    0x6403ffff,0xffffffff,0xffffffff,0x7ffe44ff,0xffffffff,0x4fffffff,
    0xffffd800,0x2fffffff,0x3ffb3ba6,0x2effffff,0xffffb300,0x51000bff,
    0x00039fd9,0xffffff91,0x205dffff,0xfffffffd,0xfd10000c,0x0000dfff,
    0x54002fdc,0xfffffffe,0xeffffcbe,0x3ffea00c,0xffffffff,0x3f2200bd,
    0xdfffffff,0x3dfffff9,0xffffffb0,0xffffffff,0x3a6003ff,0xefffffff,
    0x7f64c002,0x0bdfffff,0x3ffffe60,0xffffffff,0xf30fffff,0xffffffff,
    0xffffffff,0x3fffe61f,0xffffffff,0x00ffffff,0x7fffffdc,0xefffdadf,
    0xfff9100c,0xdfffffff,0x7ffdc005,0xfdadffff,0x9300ceff,0xbffffffd,
    0x3faa0017,0xbeffffff,0x0ceffffc,0xfffffea8,0xfffcbeff,0xa8000cef,
    0xffffffff,0xba9806ff,0x0001abcc,0x00006ee6,0x53100000,0x01557997,
    0x01379530,0x372e2000,0x0000000a,0x5e65d400,0x2200000a,0x09aacca9,
    0x79753000,0x6cc00015,0xffffffff,0x03efffff,0xabcba880,0xb9880001,
    0x7f5c001b,0xffffffff,0x43dfffff,0xffffffeb,0xffffffff,0x7fff5c3d,
    0xffffffff,0x2003dfff,0x000abcb9,0xccba9880,0x20000aab,0x000abcb9,
    0x03773100,0xbccba800,0xba80000a,0x0000abcc,0xaaaa9800,0x00000aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9b100000,0x001ecc01,
    0x80000040,0xa9800008,0x000abccc,0x00000000,0x440000cc,0x001ccdca,
    0x06666200,0x00001000,0x4c880336,0x665d4400,0x000000ab,0xa8800000,
    0x00100000,0x01000000,0xdb803b70,0xca880400,0x97303ccc,0x00039999,
    0x13333000,0x65440000,0x2601bccc,0x00accccb,0x33331000,0x4066d400,
    0x50001dd9,0xff705fff,0xfd97000f,0x7117bfff,0x9ffb0001,0x3ffaa000,
    0x03ffffff,0xffffffa8,0x4effffff,0x3ff20000,0xffb50001,0x00bfffff,
    0xfffffb80,0xffeb8007,0x98000cef,0xffb82fff,0xfff7000f,0x005fffff,
    0x0019b100,0x27fcc000,0x27999710,0x2deffed9,0x4c000000,0x7ff406ff,
    0x03ffe984,0xff88fff6,0xfa86ffff,0x02ffffff,0x01bffb30,0x6fffffc8,
    0x3ff60000,0xb82fffff,0x5fffffff,0x7ff5c000,0xff1007ff,0x0dffb09f,
    0xa7ffec00,0x003fffe9,0x3fffffa6,0xffffffff,0x3ffe6000,0x7fec000f,
    0xffffffff,0x3fea00ef,0xffffffff,0x0001ffff,0x0037fec4,0x7ffffec4,
    0x001fffff,0xffffff10,0x7ff4c00f,0x02ffffff,0x8dfffc80,0x804fffd8,
    0xffffffe8,0x0005ffff,0x00bbffee,0x3ffee000,0xfffff101,0xffffff9f,
    0x44001bff,0x7ec000cc,0x3fea02ff,0xdfff91ef,0x87fffd40,0x6ffffffa,
    0xffffffc8,0xfffb002f,0x7ffcc07f,0x00006fff,0xfffffff1,0xffffd09f,
    0x4000ffff,0x7ffffff8,0x0bfff100,0x8000fffd,0xfffffffb,0x3ff2001e,
    0xffffffff,0x002fffff,0x007fffee,0xffffffd8,0x6fffffff,0x3ffffea0,
    0xffffffff,0x3a60000f,0x4c000eff,0xfffffffe,0x0001ffff,0x1ffffffa,
    0x7ffff440,0x01ffffff,0xfffffb80,0xfb002fff,0xffffffff,0x88009fff,
    0xcffffffd,0xff900000,0x7ffd405f,0xffffffff,0x00ffffff,0x8009ffb0,
    0x4c01fffc,0xfffefffe,0x37ffcc04,0x1bfffffa,0x3fffffe6,0xfff9002f,
    0x7ffc407f,0x00006fff,0x3ffffff2,0xffffa81f,0x40004fff,0x07ffffff,
    0x2a07ff60,0x980003ff,0x004ffffe,0x7fffffdc,0xffffffef,0x3e2003ff,
    0x3e2006ff,0x99acffff,0x03ffffeb,0xdddffff5,0x05bddddd,0x2fffcc00,
    0x7fffc400,0xeb9aceff,0x6e440003,0xf9007fff,0xfffdffff,0x22000dff,
    0x00dffffd,0xbfffff70,0xfffffb75,0x3ffea005,0x1efffbaf,0x3ffa2000,
    0x7ffc401f,0xffffffff,0x04ffffff,0x000dfff0,0x2e001fb3,0x001effff,
    0xf71039b7,0x6d4c0dff,0x91002fff,0xd95009dd,0x0000dfff,0x03ffff98,
    0x07fffec4,0x7f64c000,0x004007ff,0x70000022,0xf98003df,0x220bffff,
    0x3ffffeca,0x005dc400,0x803bffa0,0xf506fffd,0x000009ff,0x003fff88,
    0xeffffe88,0x51000000,0x55ffff55,0x67fffc05,0x5ffff711,0x17fdc000,
    0x37fffa00,0x5fffe880,0x0dfff880,0x003bffa6,0x0077fe40,0xffffff30,
    0x7ffe4c17,0x0ffff007,0x8009f300,0x00004fe9,0x806fff88,0x0002fffc,
    0x0dfff000,0xfff90000,0x7ffff00d,0xfff00000,0x0000000f,0x40006000,
    0x400efffe,0x003ffff8,0x0f220000,0x41fffe20,0x0004fffa,0x002ee800,
    0x1bffffb0,0x7ec00000,0xffffffff,0x7fff881f,0x009fff90,0x44000880,
    0x2a01ffff,0xf8807fff,0x01fee02f,0x8004fb80,0x01fffff8,0x2003fffe,
    0xe8007fff,0x00060006,0x37ffc400,0x017ffe40,0xfff80000,0xf8800006,
    0x3ee02fff,0x000007ff,0x8000ffff,0x10000000,0xffff3000,0x3ffea003,
    0x00008001,0x1fffd000,0x009fff50,0x80000000,0x005ffff9,0x99988000,
    0x0099ffff,0x2a0bfff1,0x00005fff,0x5fff9800,0x00ffff80,0x00010008,
    0x7fc40000,0x7fec00ff,0x7fff801f,0x000fdc00,0x20000008,0xc806fff8,
    0x00002fff,0x20dfff00,0x7fe40000,0x3fffe06f,0xff000003,0x32a200ff,
    0x3efffffd,0x6e544000,0x03efffff,0x004fffa8,0xca8037f4,0x02cdfffe,
    0xfff88000,0x09fff507,0x00800000,0x02fffec0,0x3fb2e000,0x3ffe3def,
    0x5fff8807,0x009fffb0,0x7bffb730,0xdfff1003,0x0ffff880,0x00000000,
    0xfff10000,0x5fff900d,0xfff99510,0x9999999f,0x50004437,0x59bfffd9,
    0x880ae200,0xfc806fff,0x0d4002ff,0x737ffc00,0x079dfffb,0x2ffff880,
    0x007fffb8,0xdeffecb8,0x201fffe3,0xfffffffc,0x002fffff,0xffffffc8,
    0x02ffffff,0x000bfff2,0x3ff62002,0xefffffff,0xfd100002,0x3fea0bff,
    0xdffedcdf,0xccb8800b,0xdffdb33c,0xfff8805b,0xd300001f,0xffffffff,
    0x00ffff7f,0x544bfff1,0x002ffffd,0x3ffffff2,0x7c03ffff,0x3f202fff,
    0xccca86ff,0x654401bc,0x3221bccc,0xcccccccc,0x0ccccccc,0x806fff88,
    0xfd82fffc,0xffffffff,0x4fffffff,0x7ffec400,0x2effffff,0x8817ff40,
    0xfc806fff,0x3f2002ff,0x7ffc003f,0xffffffbf,0x2001efff,0x7c46fffc,
    0x26003fff,0xfffffffe,0x07fffbff,0x7fffffcc,0xffffffff,0x3ffe6001,
    0xffffffff,0xffb01fff,0x7000003f,0xffffffff,0x00bfffff,0xfff95530,
    0x3fea05ff,0xffffffff,0x3fe202ff,0xfffcffff,0x00dfffff,0x2e2dfff5,
    0x9001bdec,0xffffffff,0xffffffff,0x2bfff100,0x6ffffffb,0xffffd100,
    0xffffffff,0x3fff601d,0x3fee20be,0x7ffec4ff,0x3604ffff,0x3fffffff,
    0xfffffff1,0xffffffff,0xdfff103f,0x05fff900,0xffffffff,0xffffffff,
    0x7fdc00df,0xffffffff,0xff105fff,0x3ffe20bf,0x2fffc806,0x017ffa00,
    0xfffffff0,0xffffffff,0x3fe2007f,0x3ffee2ff,0x3fff2006,0xffffffff,
    0xf807ffff,0xeeffffff,0x007fffff,0x7ffffffc,0x7fffffee,0x005fff90,
    0xffffa800,0xffffefff,0x36004fff,0xffffffff,0x3fffea04,0xffffffff,
    0xffff504f,0xffffffff,0x701fffff,0xfff57fff,0xb809ffff,0xefffffff,
    0xffffffff,0xdfff8807,0xfffffff8,0xfffe8804,0xffffffff,0xff106fff,
    0xffdbffff,0xff81dfff,0x06ffffff,0x3ffffffe,0xfffff16f,0xffffffff,
    0xff103fff,0xfff900df,0xfffff905,0xffffffff,0x2a005fff,0xefffffff,
    0x4fffffff,0x106fff98,0xf900dfff,0x3e2005ff,0x7fc006ff,0xefffffff,
    0x3fffffff,0x2dfff900,0x003ffff8,0xfffffff7,0xfffffffd,0x79b300ff,
    0xffff5035,0x5e6cc001,0xffffa81a,0x04fffa80,0x3ffe6000,0x7310acff,
    0x003fffff,0xfffffff1,0xfffa80df,0xffffffff,0xff882fff,0xffffffff,
    0x4fffffff,0xffefffc8,0xefffffff,0xfffff880,0x3ffaa20b,0xf8807fff,
    0xffffd5ff,0x6c01dfff,0x20aeffff,0x5ffffea8,0xffffff30,0x03ffffff,
    0xfffffff9,0x7fffdc05,0xfff12fff,0xffffffff,0x103fffff,0xf900dfff,
    0x2aa205ff,0xaaaaffff,0x26002aaa,0x0acfffff,0xfffff731,0x07fffa83,
    0x880ffff1,0x4402fffd,0x006ffffc,0x77fffffc,0x3ffee20a,0xff8800ff,
    0x6fffbaff,0xfffff100,0x7ff54417,0x00007fff,0x0017ffec,0x2fffd800,
    0x01ffff88,0x3fa0dc40,0x7cc02fff,0xfd006fff,0x5fffffff,0x1cffff80,
    0x07ffff54,0xffffff98,0x3fff260b,0xfffffd87,0xffffffff,0xefffe85f,
    0x3fff6200,0xfff8807f,0xffffd715,0x3fe60dff,0x7ec404ff,0xffd00fff,
    0xffffffff,0x7fff440b,0x993bb60b,0x220efffb,0xaaaaefff,0x2fffffca,
    0x00dfff10,0xf005fff9,0x40000fff,0x402ffffe,0x5c6ffff9,0xf880ffff,
    0xfc881fff,0x2e02ffff,0x06ffffff,0x2fffffc0,0x17fffa20,0x7f7ffdc0,
    0xfd003fff,0x6c401dff,0x8007ffff,0xc9abcba9,0x20003fff,0xc9abcba9,
    0xfff03fff,0x3ee005df,0xffff10ff,0x3ffe6005,0xfd95002f,0x403fffff,
    0x7fc402b8,0xfff103ff,0x7ffc03ff,0x7fffec0f,0xffb9cfff,0x3fe62fff,
    0xff8801ff,0xff8807ff,0xffea885f,0xfffb84ff,0x3fffa005,0xfffffd82,
    0x4fffffff,0xa8ffff20,0x3ee0ffff,0x4fff83ff,0x2fffff98,0x01bffe20,
    0x200bfff2,0x00007fff,0x005ffff1,0xc8bfffe6,0xf881ffff,0xdbacefff,
    0xffffffff,0x7fffec0c,0x7c003fff,0x9800efff,0x8800ffff,0x6fffffff,
    0x3ffff300,0xfffff100,0x3fff2200,0xffffffff,0x7e44003f,0xffffffff,
    0xff303fff,0x5579dfff,0xfffffb97,0x3bfffea7,0xeeeeeeee,0x03ffffee,
    0xfffff700,0xff500001,0x3ffe20bf,0x7ffec00f,0x7ffffe41,0x7ffec40e,
    0x013ffea6,0x807fffa8,0x6c05fff8,0x7ec0ffff,0x3e6000ff,0x7ffdc5ff,
    0xffcbbcff,0xff502fff,0x7fffecbf,0x207fff64,0x7fcc1ffc,0xfd102fff,
    0x30bdffff,0x19fffffb,0x003fffc0,0xeffffa80,0xeeeeeeee,0x23ffffee,
    0x881ffffd,0xffffffff,0xffffffff,0x3fff24ff,0xf0002eff,0x64005fff,
    0xf7002fff,0x007fffff,0x8013ffea,0xb807fffa,0xffffffff,0x03ffffff,
    0x3ffffee0,0xffffffff,0x3ffea03f,0xffffffff,0x70ffffff,0xffffffff,
    0xffffffff,0x4000bfff,0x003ffff9,0x06fff880,0x900dfff1,0xffa85fff,
    0xff301fff,0x3fff21ff,0x3ffe2002,0x5fff8807,0x42fffe80,0xf8006fff,
    0x3ffe27ff,0xffe880df,0xffff107f,0x9fffffe2,0x1300ffff,0x2fffff98,
    0x3fffff60,0x7ff43fff,0x204fffff,0x00007fff,0xfffffff7,0xffffffff,
    0x7f4bffff,0xff882fff,0xffffffff,0xffffffff,0x5dffff34,0xffff8000,
    0x3ffee000,0xffff1004,0x7fe400df,0x3fe2002f,0x7ffdc07f,0xffffffff,
    0x7003ffff,0xffffffff,0x7fffffff,0xfffffb80,0xffffffff,0x3fff21ff,
    0xffffffff,0xffffffff,0x7fdc0006,0xff00005f,0x3ffe20ff,0x2fffc806,
    0x01ffffcc,0x7ec7fffe,0x7fc001ff,0xfff8807f,0x4fff9805,0x0017ffe6,
    0x7cc3fff6,0x3e601fff,0xffd01fff,0xfffff71f,0x0dfff35f,0x7ffffcc0,
    0x7ffff402,0x7f44ffff,0x04ffffff,0x0001fffe,0x7fffffe4,0xffffffff,
    0x3a6fffff,0xf883ffff,0xffffffff,0xefffdbef,0x1ffff70c,0xffff0000,
    0x5fff9800,0x3fffee00,0x3fff6003,0x3fffc001,0xffffff50,0xfdd9959d,
    0xff5007ff,0x959dffff,0x07fffdd9,0xfffff910,0x05dfffff,0xfffffff7,
    0xffffffff,0x000dffff,0x007fff88,0x20ffff00,0xc806fff8,0x7fc42fff,
    0xfffc806f,0x005fff93,0x403fffc4,0x8805fff8,0x7ffc6fff,0x7fff8006,
    0x2017ffee,0xf902fffe,0xffffd5ff,0x9fff7bff,0x3fffe600,0xffd9802f,
    0x4c0cefff,0x0ceffffd,0x001fffe0,0x7ffffdc0,0xffffffff,0x26ffffff,
    0x884fffff,0xcccaefff,0x3ff2001b,0x4013003f,0x2000ffff,0x2004fffa,
    0x4006fffc,0x2002fffc,0x3a07fff8,0x200befff,0xe803fffb,0x200befff,
    0x2003fffb,0xabdffb98,0x3ffe600a,0x9999999e,0x99999999,0xfff80000,
    0xff880007,0xdfff106f,0x05fff900,0xd801ffff,0xfff72fff,0x7ffd4009,
    0x5fff8807,0x47fff804,0x2001fffd,0x3f24fffa,0xffb802ff,0xdfff503f,
    0xffffffff,0x5005fffd,0x005fffff,0x20000000,0x00007fff,0x333dfff3,
    0x33333333,0x3e213333,0xf885ffff,0xc80006ff,0xfc803fff,0x3ffff01f,
    0x17ffe400,0x2ffff880,0x27ffdc00,0x0ffff500,0x007fffe2,0x100ffff2,
    0x9003ffff,0x10007fff,0x7c400bff,0x00005fff,0x3ffe6000,0x7dc00184,
    0xfff104ff,0x5fff900d,0x407fffb0,0xf31ffff8,0x3a003fff,0xf8807fff,
    0x89fd15ff,0x7dc7fff8,0xf8800eff,0x3fea2fff,0xfffe805f,0xfffff101,
    0xffffb9ff,0xfa801fff,0x0102ffff,0xf0000000,0x20000fff,0x005ffff8,
    0xfffff980,0x06fff886,0x6fffa800,0xf04fff80,0x2600dfff,0x9001ffff,
    0x3000dfff,0x2003ffff,0xf107fffe,0x7dc01fff,0x4403ffff,0x2e00ffff,
    0x003fffff,0x00efff88,0x09ffff90,0xa82f2a60,0xffa800bd,0x177f42ff,
    0x1ffffd40,0x806fff88,0xfa82fffc,0xfc882fff,0x7fff47ff,0x3ff6201e,
    0xff8807ff,0x43fff75f,0x7c45fffb,0x2a02efff,0x220fffff,0x2e02ffff,
    0x7f407fff,0xfa9fffff,0x406fffff,0x02fffffa,0xa8001df7,0x20001cff,
    0x3101ffff,0x7e40bfd7,0x53004fff,0x3ffea179,0xfff886ff,0xff980006,
    0x65441dff,0xfff05fff,0x75401bff,0xf1006fff,0x20005fff,0x201efffe,
    0x07ffffd8,0x2f7ffffe,0xfffffdca,0xf00cefff,0x957bffff,0xfffffffb,
    0x130019df,0x4007ffdd,0xbcfffffe,0xfffdcbaa,0xffff14ff,0xf9955799,
    0x541fffff,0xacceffff,0xfffffcca,0x1bffe206,0x40bfff20,0xbdfffffe,
    0x44fffffd,0xcdfffff8,0xffffdbaa,0x5c2dffff,0xdcfffffe,0xffdaefff,
    0xfffc84ff,0xecaacdff,0xe83fffff,0xaaceffff,0x05ffffec,0x37ffffe4,
    0x09fffffd,0x17ffffd4,0x003fff88,0x003fffe4,0x57ffffb0,0xfffffd95,
    0x7fff405f,0xcbaabcff,0x34fffffd,0x10dfffff,0x0000dfff,0x3ffffff2,
    0xffffffed,0x3ffff6e5,0xaabcffff,0x0fffffdc,0x76666544,0x002cffff,
    0xdfffff88,0xfffdbaac,0x42dfffff,0xfffffffb,0xffffffff,0xf704ffff,
    0xffffffff,0xffffffff,0xffd809ff,0x2003ffbd,0xfffffff9,0xffffffff,
    0xffff15ff,0xffffffff,0xf885ffff,0xffffffff,0x0fffffff,0xfffffe88,
    0xfffd985e,0x7fcc0cff,0xffffffff,0xfff706ff,0xffffffff,0xffffffff,
    0x3fffe61f,0xfffeffff,0x0fffffff,0xffffffb0,0xffffffff,0x3fffa60b,
    0xffffffff,0x7fd400ef,0x3fee3fff,0xff502fff,0xffffffff,0x0bffffff,
    0x7fe54d40,0xfff50003,0xffffffff,0x4c01ffff,0xffffffff,0xffffffff,
    0x3ffffe5f,0x06fff884,0x3fffa000,0xffffffff,0xffff15ff,0xffffffff,
    0xffffffff,0xfffffd05,0x5fffffff,0xffff7000,0xffffffff,0xffffffff,
    0xfffffc81,0xffffffff,0x204fffff,0xfffffffc,0xffffffff,0x7e404fff,
    0x000fffff,0x7ffffec4,0xffffffff,0x3ffee2ff,0xffffffff,0xff500eff,
    0xffffffff,0x3605dfff,0xffffffff,0x7fffff43,0xfffa84ff,0xefffffff,
    0x3fffea01,0xffffffff,0x0fffffff,0xfffffff3,0xfffffd5f,0xfb805fff,
    0xffffffff,0x74403fff,0xffffffff,0xf8800dff,0x3e20ffff,0xf900ffff,
    0xffffffff,0xbfffffff,0x3fffee00,0x320001ff,0xffffffff,0x802fffff,
    0xffffffd8,0xffffffff,0x3ffff22f,0x009ffd01,0x7ffec400,0xffffffff,
    0xfffff30b,0xffffffff,0x05ffffff,0x3ffffffe,0x05ffffff,0xfffff500,
    0xffffffff,0x01ffffff,0xffffffd5,0xffff97df,0xfea8019d,0xbeffffff,
    0x0ceffffc,0x1dfeca80,0x3ffea000,0xffffffff,0xffda80bd,0xffffffff,
    0x7f5c400c,0xffffffff,0x7ffff403,0x7f44ffff,0x04ffffff,0xffffffb3,
    0x3f22009f,0xdfffffff,0x3dfffff9,0x77ffff5c,0xfffffd33,0x3b26003d,
    0xbdffffff,0xffd91000,0x009dffff,0xd85ffff8,0x3f207fff,0xffffffff,
    0x5fffffff,0xfffff100,0xfd50000b,0xbfffffff,0xffa80015,0xffffffff,
    0x7e440bdf,0x0bfee02e,0x3fae0000,0x02dfffff,0x3dffffd7,0xfffffffb,
    0x7fe4019f,0xffffffff,0x220001ff,0xfffffffc,0xfffff9df,0x665d403d,
    0x400000ab,0x00abccba,0x00000000,0xaacca988,0x2a620009,0x001aacca,
    0x35975530,0x3ff66001,0x4c0cefff,0x0ceffffd,0x4d65d440,0x97530000,
    0x00000157,0x001bcba8,0x006ee620,0x06ee6200,0x2fffd800,0x205fffa8,
    0xfffffffc,0xffffffff,0x32e6005f,0x4c00002c,0x0009bcca,0x59953100,
    0x00200135,0x00000044,0x00004d4c,0x1abcba88,0x55554c00,0x0001aaaa,
    0x55e5d4c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xdd980cda,0x07762001,0x8000fb22,0x000001a8,0xa8800000,
    0x00000001,0x00000000,0x22000000,0x005e805e,0x3660336a,0xb730001d,
    0x88000359,0x9988004a,0x00809999,0x99999988,0x33310000,0x80003333,
    0x36600cd8,0x00000003,0x00179951,0x00973000,0x25cc0000,0x00000000,
    0x00351000,0xbfffdb73,0x3fe20019,0x06ffd84f,0x2e1bff60,0x4c001fff,
    0x540cfffc,0xdb98000c,0x30bdeffe,0x3ff22003,0x0064c0cf,0x0001efb8,
    0xffd97000,0x8000059b,0x405ffffe,0x3ee02ff9,0xfff8800f,0x006ffd84,
    0x3fffff62,0x51001eff,0x400fffd9,0xffffffe9,0x07ffa26f,0x3fffffa6,
    0x6c4006ff,0x7fffffff,0x77fd4000,0x007ffb82,0x3bffb6e2,0x3aa02a2d,
    0x03ffffff,0x7ff5c400,0x4000006f,0x005fffda,0xfdb50000,0x0d439dff,
    0x03bffee0,0x3fffffaa,0x803fffff,0xfe85fff8,0x3ffa007f,0x02fffc87,
    0x3ffffe20,0x3ffc8bff,0x3fffa600,0xefffffff,0x7fc403ff,0xc8bfffff,
    0xffd004ff,0xa8000009,0xfffffffe,0xb80001ef,0x405fffff,0xfa81fff8,
    0xfff1006f,0x00fffd0b,0x3fffffe6,0x104fffff,0xffffffd7,0x7ffec00f,
    0x2e6fffff,0xffd84fff,0x06ffffff,0x7ffffe40,0x80007fff,0xfd34fffd,
    0x3ee007ff,0xffffffff,0x3e20ffff,0xfffdcfff,0x3ff60000,0x00006fff,
    0x3ffffea0,0x5c000005,0xffffffff,0x02ffedff,0xd0fffffa,0xffffffff,
    0x009fffff,0xff503ffb,0x1ffd4007,0x20037f44,0xffd9dffc,0x001fffff,
    0xfffffff5,0xffffffff,0x9dffc80b,0xfffffffc,0x3fe66201,0x009999df,
    0xfffc8800,0xffffffff,0x3e20003f,0x805fffff,0xfccefffb,0x36002fff,
    0x3ffa81ff,0xfffffa80,0xffffffff,0x7ffffd43,0x2007ffff,0xfffffffc,
    0x13ffe66f,0x3ffffff2,0x7dc006ff,0x7fffffff,0xfff70000,0x003dffff,
    0x3ffffff6,0xffffffff,0x3e60e642,0x3660004f,0x0006ffac,0x3eb32200,
    0x1000005f,0xfffffffb,0xffffffff,0x3fffe20b,0x7ffffc4f,0xffffffff,
    0x400802ff,0x00880008,0x0ecc0004,0x077fffea,0x7ffffdc0,0xffffffff,
    0x6cc07fff,0x6ffff541,0x3fffee01,0xffffffff,0x7fec0005,0xffffffff,
    0x0005ffff,0xbffffff9,0x3ffff200,0x8002ffff,0x44004400,0x9acfffff,
    0x1fffffca,0x3ffffff2,0x22007fff,0xfffeeedb,0x4417e4c6,0xfffeeedb,
    0xeedb8006,0x0007fffe,0x3ffffa60,0x3ffee004,0xffffffff,0x1004ffff,
    0x40000bff,0x000006fe,0x00017fe0,0x7fffff40,0xffffffff,0x3f206fff,
    0x7ffc0fff,0x7f541bdf,0x000007ff,0x00000000,0x2000ba80,0xaceffffb,
    0x3fff6620,0x5d40007f,0xffffc800,0xffffffff,0x3fee0006,0x2e60bfff,
    0x002fffff,0x7fffffcc,0x3b66005f,0x0000ceff,0x7fdc0000,0xfff101ff,
    0x7fffd4bf,0x007fffce,0xe86fff80,0x37ffc006,0x7fff8000,0xefb80000,
    0x3ffe2001,0x3ee61cef,0x2604ffff,0x003fffcb,0x001bfa00,0x05ff8000,
    0xfffc8000,0x32621bff,0x406fffff,0xffe80bda,0x7fffcc07,0x00004001,
    0x80000000,0xfff10000,0xff7001df,0x000000ff,0x7ffe65c4,0x01bccccf,
    0xdffff100,0x7fff4c01,0x3ff6000f,0x005fffff,0x00000000,0x05fffd00,
    0x546fffb8,0x1fffe0ab,0x1bffe000,0xff8003f9,0xff00006f,0x200000ff,
    0xfffa8001,0x3ffa200f,0xffff304f,0xe80000bf,0x0000006f,0x000017fe,
    0x01dffff3,0x06fffe98,0x02ffe400,0x2017ffec,0xcdfffeca,0xccca8802,
    0x9997303c,0xca880399,0x3efffffd,0x1dfff900,0x02fffc00,0x7bffb730,
    0xfff88003,0x3a000086,0xd1006fff,0x2a009fff,0xfffbffff,0x00000005,
    0xbdffdb98,0x0bffd001,0x003fffe0,0x0001fffe,0x3f99bffe,0x06fff800,
    0x0ffff000,0x00040000,0x200ffff2,0x3203fffb,0x801ffffe,0x37f401da,
    0x002d9800,0x260017fe,0xefffd83c,0xdfff5000,0x2ee98000,0x03fffb80,
    0xffffffb1,0x2205dfff,0x86ffffff,0xfffffffa,0x3ffff202,0xffffffff,
    0x3fffe202,0x17fdc001,0x7ffffe40,0x003fffff,0x36adfff1,0x002defff,
    0x003ffff3,0x00ffffd4,0x7ceffff4,0x65cc05ff,0x003ccccc,0x3fffff20,
    0x403fffff,0xf8800dd9,0xff800fff,0xff80007f,0xf8000c6f,0xf00006ff,
    0xb8800fff,0xfdb33ccc,0xf9005bdf,0xff1005ff,0xff91003f,0x37ff4c0f,
    0x1001bfa0,0x2001fffb,0x7e4005ff,0x3ffe22ff,0x7ff4001f,0x40000004,
    0xfb83fffe,0xffffffff,0xf985ffff,0xc86fffff,0x2fffffff,0xffffff30,
    0xffffffff,0x1fffe603,0x22004c00,0xfffffffe,0x00efffff,0x7fffffc4,
    0xdfffffff,0x27ffdc00,0x17ffec00,0x23fffee0,0x3205fff9,0xffffffff,
    0xffe88006,0xffffffff,0x00000eff,0x200dfff7,0x80007fff,0x00006fff,
    0x0000dfff,0x775dfffe,0xfffff101,0xffffff9f,0x7d401bff,0xda800eff,
    0x0ffec002,0x037fffdc,0xfa801bfa,0xf000ffff,0x3fa600bf,0x3fea1fff,
    0xefa8007f,0x20000001,0x541ffffc,0xefffffff,0x4fffffff,0x6fffffe8,
    0xffffff98,0x3fffe02f,0xfffeefff,0xfff707ff,0x2200000b,0xfffffffe,
    0x6fffffff,0x7ffffc40,0xffffffff,0x7ffe406f,0xfffa8001,0x3fffe204,
    0x40bfff33,0xfffffffe,0x7f44006f,0xffffffff,0x006fffff,0x4ffff880,
    0x00ffff00,0x00dfff00,0x31bffe00,0x7fc005b9,0x06fffeff,0xfffffff5,
    0xffffffff,0x7ffc01ff,0x00001bff,0x3a61ffd8,0x400dffff,0xfd8806fe,
    0x2000efff,0x7e4405ff,0x7dc1efff,0x000005ff,0xfea80000,0x7fcc5fff,
    0x310acfff,0x03fffff7,0x40dfff71,0x02fffda9,0x206af366,0xc80ffffa,
    0x00002fff,0x5dffffb0,0x7fff5441,0x3ffe205f,0xffffffff,0x3a04ffff,
    0xf10007ff,0x7fec0bff,0x17ffe66f,0xffffffa8,0x7ec006ff,0x220aefff,
    0x05ffffea,0x3fffa200,0xffff001f,0xdfff0000,0x3ffe0000,0x00ffff46,
    0xfffffff8,0xffff106f,0xffffffff,0x409fffff,0xfffffffc,0x7e400abd,
    0xffdbaacd,0x3fffff26,0xff997302,0xfb83799f,0x9803ffff,0xccfffccb,
    0x7ffffd42,0x07fff904,0x00000000,0x3fffff22,0x7fff41ff,0x7ffcc02f,
    0xdfff106f,0x05fff900,0x3fff6000,0x01fffd82,0xfff98000,0x7fec404f,
    0xfff100ff,0x6c437fff,0x3fe06fff,0x3fe0006f,0xffff307f,0x02fffcc5,
    0x7ffdd554,0x3ffe6006,0x7fec404f,0xe88000ff,0x2003ffff,0x80007fff,
    0x00006fff,0x7fccdfff,0xff8803ff,0x01efffff,0x7fffffcc,0x3fff260b,
    0x7fffdc07,0x2dffffff,0xffffffb0,0xffd51dff,0x7ec019ff,0xffffffff,
    0xbffffd35,0x3a035311,0xffffffff,0xffffd88f,0x3fff601e,0xd5000001,
    0x7c005ddd,0x0effffff,0x017fffc4,0x82ffff98,0xc806fff8,0x26002fff,
    0xfc9abcba,0xfffd83ff,0x4cccc401,0xffb80999,0x3ffa005f,0xffff102f,
    0x3ffe203d,0x6fff880f,0x1fffe000,0x262ffff4,0x44005fff,0x2e006fff,
    0x3a005fff,0x4c002fff,0x004fffff,0x0003fffc,0x00037ffc,0x7fc6fff8,
    0x7fdc01ff,0x003fffff,0x03fffff1,0x2007fffc,0xfffffffb,0xb504ffff,
    0xb15bdddd,0x363dffff,0x32e60fff,0x9bcccccc,0x9afffffb,0x41effffe,
    0xccccccc9,0xfffffaac,0x6c5fff73,0x00001fff,0x00dfffb0,0x3ffffff8,
    0xddffff50,0xdddddddd,0x107ffffd,0xf900dfff,0xfc8805ff,0xffffffff,
    0xffd83fff,0xfffd301f,0x1dffffff,0x0007ffec,0x220bfff3,0x7400efff,
    0xfff01fff,0x3fe2000f,0xffffb86f,0x02fffcc1,0x01bffe20,0x000fffd8,
    0x8017ffe6,0x05fffff9,0x007fff80,0x006fff80,0xa8dfff00,0x3faa04fe,
    0x00dfffff,0x03fffe20,0x003fffb0,0xfffffb51,0x001bffff,0x27ffffd4,
    0x001ffff5,0xdffffe98,0xffffffb8,0x362002ff,0xf11effff,0x7fec5fff,
    0x8800001f,0x4001ffff,0x200bffff,0xfffffffb,0xffffffff,0xf885ffff,
    0xffc806ff,0x3ffee02f,0xffffffff,0xffc83fff,0xffff901f,0x7fffffff,
    0x40037ffc,0xff107fff,0xfffb00df,0x03fff603,0x17ffe600,0x309ffff1,
    0x8800bfff,0x3e006fff,0xff8006ff,0xfff5007f,0x3e0009ff,0xf80007ff,
    0xf00006ff,0xf7000dff,0x0fffffff,0x0dfff100,0x005fff90,0xfffd9510,
    0xfb1007ff,0x7c43dfff,0x2000ffff,0x12fffffc,0x3ea23fff,0xfff7007f,
    0xfffe87ff,0x0bfff62f,0x3fea0000,0xffd8004f,0xffffc804,0xffffffff,
    0x6fffffff,0x806fff88,0xf702fffc,0xffffffff,0x07ffffff,0x2a07fff7,
    0xffffffff,0xfff32fff,0xfffb000b,0x0dfff101,0x203fffb0,0x8002fffc,
    0x7e43fffb,0xccccdfff,0x002efffd,0x401bffe2,0x8005fff9,0x6400fffd,
    0x004fffff,0x001fffe0,0x001bffe0,0x0037ffc0,0x7ffffffc,0xff88007f,
    0xfffc806f,0xfe980002,0x7fd406ff,0xffd83fff,0xe9800fff,0x260cffff,
    0x0ffd81ff,0x3ffffa20,0x7fffdc0d,0x0fffee2f,0x3ff60000,0xdd98000f,
    0xffffb801,0xffffffff,0x6fffffff,0x806fff88,0xfa82fffc,0xacefffff,
    0x3fffeecc,0x204fff98,0xffeeeeca,0x37ffc2ff,0x83fffc00,0xd806fff8,
    0xff501fff,0xff8800df,0x7fffc2ff,0xffffffff,0x1006ffff,0x7c00dfff,
    0xff8006ff,0x7ffec07f,0x7c0003ff,0xf80007ff,0xf00006ff,0xf9000dff,
    0x0ffff7ff,0x0dfff100,0x905fff90,0xffe8009f,0xffff700f,0xbbff501b,
    0xff9801ff,0x01101eff,0x7c40fff1,0xf982ffff,0x2a2ffbff,0x00005fff,
    0x0002fff8,0xdfff3000,0x33333333,0x13333333,0x00dfff10,0xfd05fff9,
    0x5c017dff,0xfff03fff,0xfff8001f,0x01fffd87,0x413ffea0,0xd806fff8,
    0xff101fff,0x7e4007ff,0x7ffc0eff,0xffffffff,0x00ffffff,0x006fff88,
    0x8007fff6,0xd104fffa,0x005fffff,0x00ffff00,0x00dfff00,0x01bffe00,
    0x7fc2ee20,0xff88007f,0xfffc806f,0x00fffcc2,0x205fff90,0xf103fffc,
    0x01ff91ff,0x004fffa8,0x204ffe88,0xd00dfff9,0x45ff75ff,0x002ffff8,
    0x5ffa8188,0x22000000,0x0005ffff,0x03fffc40,0x10bfff62,0x9003ffff,
    0x3f607fff,0x7fc005ff,0xefffb87f,0xffff8800,0x0dfff102,0x403fffb0,
    0x802ffffb,0xf82ffffb,0xffffffff,0x5fffffff,0x0dfff100,0x077ffdc0,
    0x17fffc40,0x7fffff4c,0xfff00001,0xfff0000f,0x3fe0000d,0xff00006f,
    0xff1000ff,0xfff900df,0x05fffb85,0x03ffff10,0xfd803322,0x001ff92f,
    0xf3000399,0x3b700bff,0xfba7fe40,0x7fffe42f,0x1bfa6001,0x00003ff9,
    0xffffc800,0x17953004,0x207fffe0,0x2fffffc8,0x007fffc4,0x07fffff7,
    0x0bbfffe6,0x0ffff510,0x05dffff1,0x07ffffd4,0x806fff88,0x6c01fffd,
    0x3604ffff,0x5505ffff,0x55555555,0x003dfff7,0x0037ffc4,0x05dffff1,
    0x07ffffd4,0x3bffffea,0x3fe00000,0xff80007f,0xff00006f,0x3e0000df,
    0xf88007ff,0xffc806ff,0x7fffdc2f,0x3ff6601e,0x2e0000ff,0xffd99eff,
    0x2e000000,0x00004fff,0xf733fff3,0xffff885f,0x7fdc00cf,0x013fe2ff,
    0x00157100,0x67fffff4,0xffdcbaab,0xffb04fff,0xffb759df,0x19ffffff,
    0x5efffffc,0xfffffdca,0x640cefff,0xcdefffff,0xfffffdba,0xffff907f,
    0xfd9559bf,0x4407ffff,0xfd806fff,0x7fc401ff,0xdbbdffff,0x00ffffff,
    0x2fffcc00,0x1bffe200,0xfffff900,0xffd9559b,0xffb87fff,0x4c00dfff,
    0xffff000b,0xdfff0000,0x3ffe0000,0xfff00006,0xfff1000f,0x5fff900d,
    0xffffffb8,0xffdcabde,0x40005fff,0xffffffff,0x400002ff,0x002fffd8,
    0x3ffff600,0x4c3fffff,0xceffffff,0xffffecbb,0x00bf10ff,0x2ffffa80,
    0xfffff300,0xffffffff,0x2a0bffff,0xffffffff,0xffffffff,0x3fffee4f,
    0xffffffff,0x4fffffff,0xffffffe8,0xffffffff,0x3ff607ff,0xffffffff,
    0xb305ffff,0x1bffffff,0xfffffec8,0x3ffea02e,0xffffffff,0x70001eff,
    0xbffffffb,0xffffeb85,0xffffffff,0xffb02dff,0xffffffff,0xfd0bffff,
    0xffffffff,0xdfffffff,0x7ffff644,0xffffffff,0x7fff5c3e,0xffffffff,
    0x75c2dfff,0xffffffff,0x2dffffff,0x7fffff5c,0xffffffff,0x7ff443df,
    0xd985efff,0x70cfffff,0xffffffff,0xffffffff,0xff80001d,0xffffffff,
    0x3e600002,0x00000eff,0x7ffffff4,0xffb83fff,0xffffffff,0x03ffffff,
    0xfffd8000,0x3f62004f,0xffffffff,0x02ffffff,0x3fffffee,0xffffffff,
    0x7ffe44ff,0xffffffff,0x4fffffff,0xffffff70,0xffffffff,0xfffb803b,
    0xffffffff,0x3fffa03f,0x2a4fffff,0xffffffff,0x7ffec407,0xdfffffff,
    0xfff30000,0x4fffffff,0xfffffff9,0xffffffff,0xff700fff,0xffffffff,
    0x3ffa07ff,0xffffffff,0x0fffffff,0xfffffff7,0xffffffff,0x3fffe65f,
    0xffffffff,0x30ffffff,0xffffffff,0xffffffff,0x3ffe61ff,0xffffffff,
    0x1fffffff,0x3ffffff6,0x7fff43ff,0xff34ffff,0xffffffff,0x01bfffff,
    0x33333000,0x0003ffd5,0x4efffdc0,0x0002b999,0x654cccc4,0x3fa603ff,
    0xffffffff,0x0001efff,0x5ffff500,0xffff5000,0xbfffffff,0xfff70017,
    0xfb5bffff,0xd5019dff,0xdfffffff,0x9dffff97,0x7ff64401,0xcfffffff,
    0x3fb26000,0x0bdfffff,0x7fffff40,0x3fea3fff,0x07ffffff,0xffffff70,
    0x980005df,0xffffffff,0x3fffe67f,0xffffffff,0x00ffffff,0x3ffffb26,
    0x3a00bdff,0xffffffff,0xffffffff,0xfffff71f,0xffffffff,0x3fe65fff,
    0xffffffff,0xffffffff,0xffffff30,0xffffffff,0x3e61ffff,0xffffffff,
    0xffffffff,0x3ffffa1f,0x7f44ffff,0x24ffffff,0xfffb8bec,0x01efffff,
    0x3ffe0000,0x00002fff,0xfffffffd,0x00001fff,0x27ffffec,0x3ffff6a0,
    0x003dffff,0x0bb88000,0x654c4000,0x00009aac,0x002af2e6,0x57997500,
    0x31000001,0x00033597,0x00377310,0xfffffd98,0x7ff640ce,0x4002dfff,
    0x0001bb98,0x7ffff5c0,0x7f5c2dff,0xffffffff,0x03dfffff,0x006ee620,
    0xffffffe8,0xffffffff,0xfd911fff,0xffffffff,0xeb89dfff,0xffffffff,
    0x3dffffff,0x7fffff5c,0xffffffff,0x7ff5c3df,0xffffffff,0x4c3effff,
    0xcefffffd,0x7fffecc0,0xba9800ce,0x000009ac,0xeffffd80,0xffd00001,
    0xffffffff,0x75c00003,0x1002efff,0x00157753,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26620000,0x00000099,0x4cccc000,0x4c400000,
    0x00099999,0x4c019b10,0x3510004d,0x00000000,0x00020000,0x007bdb91,
    0x40018000,0x00009999,0x30066c40,0x0000009b,0x16d41720,0x200076e0,
    0x332e2001,0xcca8802c,0x64400acc,0x8000000c,0x0019aaa9,0xaaaaa980,
    0x000aaaaa,0x98000080,0xaaaaaaaa,0x2a6000aa,0xaaaaaaaa,0x0ab8800a,
    0x80266662,0x002ffffa,0x2a2665cc,0x02dfffdb,0x9fffffb1,0x3fa60000,
    0x06ffffff,0x05fff500,0x4001fff7,0x40cfffc9,0x505400ca,0x59bfffdb,
    0x3b6a0000,0x1cefffff,0xffffffa8,0xb300000e,0x9dfffffd,0xfffffd83,
    0x7d400006,0xfffb82ff,0xfd970000,0x7c4059bf,0x84ffe81f,0x2003ffe9,
    0x5401ffe9,0x07ffffff,0x3fffffe6,0x3ff602ff,0x91000004,0xdfffffff,
    0xff300017,0xffffffff,0xca8001ff,0x02cdfffe,0x7ffffcc0,0x0fffffff,
    0xfffff980,0x0fffffff,0x47fffea0,0x202ffffc,0x002ffffa,0x2ffffff1,
    0xffffffd8,0x7fdc0eff,0x0004ffff,0xffffffb0,0x6c000dff,0xfe98dfff,
    0x3e2003ff,0x8bffffff,0x3f603ffc,0xfffffecf,0x000effff,0xfffffb10,
    0x45ffffff,0xffcefff8,0x6c40006f,0xffffffff,0xfff51fff,0x0000dfff,
    0x319fffb0,0x0007fffd,0xffffffd5,0xff303dff,0x3dfff503,0x003bffee,
    0x405fffd8,0xfffffffc,0xfffff901,0x7fc09fff,0xc800006f,0xffffffff,
    0x4003ffff,0xffffffe8,0x2006ffff,0xffffffd8,0x1002efff,0xfffffffd,
    0x2200dfff,0xfffffffe,0x7f406fff,0xfff55fff,0x7ffd403f,0xfff5002f,
    0xfffd3fff,0xbfffffff,0xffffffa8,0xff900004,0x0dffffff,0xffffb800,
    0x4002efff,0xffd9dffc,0x201fffff,0xffffffff,0xffffffff,0xfffe8003,
    0xffffffff,0x70bff64f,0x740007ff,0xffffffff,0xff34ffff,0x000dffff,
    0x3fffee00,0x4002efff,0xffffffc8,0x43ffffff,0xfd300ffb,0x09fffdff,
    0x0dfffd00,0xffffffa8,0x3fffe607,0x3e02ffff,0x200007ff,0x0abfffe8,
    0x37fffae6,0x4ccc4000,0x00099999,0x3fffffee,0x5fffffff,0x26666200,
    0x80009999,0x99999998,0xfffe8009,0x1ffff35f,0x17fffd40,0xfffff880,
    0xefffffff,0x43ffffff,0x04fffedb,0xddb71000,0x000dfffd,0x9ffffd10,
    0x83b30001,0x01dffffa,0x3fffffe2,0xffffffff,0x2e004fff,0xfeffffff,
    0x3e1fffff,0x00bff05f,0x3ffffee0,0xffffffef,0x3fffb2a1,0x22000006,
    0x00cffffe,0xfffffd80,0xffffffff,0x2017f65f,0x01effffb,0x07fff500,
    0x07fffb10,0xbfff9510,0x07fff801,0xbffd1000,0xdffb1001,0x40000000,
    0xfffffffa,0xfffffffe,0x00000004,0xff700000,0x3ffe23ff,0x44000007,
    0xfffffffa,0x3ffaa0be,0xfffa80ff,0x7c000004,0x200006ff,0x00002efb,
    0x22002ea0,0x1aefffff,0x7ffffe4c,0xbfffb001,0x4c153303,0x0df902ff,
    0x37fff600,0x100a9980,0x0000dfff,0x003df700,0x3ffffee0,0x3ffee60b,
    0x02ffccff,0x0009fd30,0x64003930,0x2a002fff,0xff804fff,0xfb00007f,
    0xff70005f,0x00000009,0x59fffff3,0x3ffee621,0x008001ff,0x00010000,
    0x3fe05dcc,0x0000006f,0x09ffffff,0x417fffcc,0x0004fffa,0x037ffc00,
    0x00022000,0xf8800000,0xe9804fff,0xff006fff,0xf88001ff,0x00dfd03f,
    0x003fffe0,0x06fff880,0x00300000,0x77fffc40,0x3fffa600,0x18005fff,
    0x20000000,0x2002fffc,0xa884fffa,0xccffffcc,0x02cccccc,0x75c1ffdc,
    0x323badff,0x665441ff,0x997303cc,0xffd03999,0xff9805ff,0xeca806ff,
    0x002cdfff,0x7ffee544,0x00003eff,0x0000bffd,0x3ffffe00,0x4fffc805,
    0x004fffa8,0x37ffc000,0x00400000,0x0f3332a2,0x666665cc,0x07fffc41,
    0x3ffff980,0x037ffc40,0xf987fe80,0xff88004f,0x7c40006f,0x000086ff,
    0x7f400000,0xfd1006ff,0x0000bfff,0x90000000,0x54005fff,0xffd84fff,
    0xffffffff,0x03ffffff,0xffd31bfa,0xe8ffffff,0x3fffe25f,0xfffa86ff,
    0x7c42ffff,0xf3002fff,0x36205fff,0xffffffff,0xffc802ef,0xffffffff,
    0x6c0002ff,0xccb984ff,0x8003cccc,0x5005ffff,0xff509fff,0xcccb989f,
    0xff8002cc,0x65cc006f,0x764c4ccc,0x7fc41dff,0xfa86ffff,0x82ffffff,
    0x5c003ffe,0xcb986fff,0xcccffffc,0xf501bccc,0xfff937df,0x332e6001,
    0x40006fff,0xfb56fff8,0x80059dff,0xccccccb9,0x3ffe6003,0x3fea001f,
    0xccc880ff,0xcccccccc,0x910ccccc,0x99999999,0x19999999,0x002fffc8,
    0x3e13ffea,0xffffffff,0xffffffff,0xe81ff506,0xffc99cff,0x4c3fea0f,
    0x86ffffff,0xfffffffc,0x77fffd42,0xeeeeeeee,0x83ffffee,0xfffffffb,
    0x05ffffff,0x3fffffe6,0xffffffff,0x3ff20001,0x7ffffe43,0xf8006fff,
    0x3e6007ff,0xfffa85ff,0x3ffffea4,0x7c005fff,0x3f2006ff,0x88ffffff,
    0xfffffffd,0x3ffffe64,0xffffc86f,0xbc982fff,0x7fff8000,0x7fffffcc,
    0xffffffff,0xfffb01ff,0xc985ffff,0x3fffe62e,0x40006fff,0xfffffff8,
    0x04ffffff,0xffffff90,0x7dc00dff,0xfd8004ff,0xfff882ff,0xffffffff,
    0xf11fffff,0xffffffff,0x3fffffff,0x002fffc8,0x3213ffea,0xffffffff,
    0xffffffff,0xfb8dfb02,0x447fa80f,0x3fffa3ff,0xfff986ff,0x7dc2ffff,
    0xffffffff,0xffffffff,0x7ffd45ff,0xfffeffff,0x3e04ffff,0xeeffffff,
    0x007fffff,0xfd0bfee0,0xdfffffff,0x0ffff000,0x42fffcc0,0x3f24fffa,
    0x7fffffff,0x037ffc00,0xffffffd0,0xffffff7f,0x7f43ffff,0xf986ffff,
    0x02ffffff,0xfffd8000,0x3ffffee0,0xffffffff,0x3ea04fff,0xf931efff,
    0x7fdcbfff,0x006fffff,0x7ffffc40,0xffffffff,0x7ff400df,0x06ffffff,
    0x007fff60,0x213ffea0,0xfffffff8,0xffffffff,0xfffff11f,0xffffffff,
    0xffc83fff,0x3fea002f,0xff55104f,0x555555ff,0x27f40155,0x84d813fa,
    0x7fdc45fe,0x3f6a606f,0x7ffe42ff,0xffffffff,0xffffffff,0x3ffffe66,
    0xff7310ac,0x36603fff,0xffa81abc,0xf50000ff,0xffffa83f,0x8006ffff,
    0x26007fff,0xffa85fff,0x3fffea4f,0x4004ffff,0x2e006fff,0xffffffff,
    0xffffffff,0x7fdc44ff,0x3f6a606f,0x777642ff,0xeeeeeeee,0xfffeeeee,
    0x3fffe22f,0xffffffff,0x8801ffff,0xffffca89,0x3fe20cff,0x006fffff,
    0x7ffffc40,0xffffffff,0x7fd402ff,0x06ffffff,0x001fffa0,0x442fffc4,
    0xffffffff,0xffffffff,0xffffff11,0xffffffff,0xfffc83ff,0x3ffea002,
    0x07fff804,0x3e1ffc00,0x6fc8001f,0x806fff88,0x7dc2fffc,0xffffffff,
    0xffffffff,0x3fffa6ff,0x7ffcc02f,0xfd80006f,0xf10002ff,0x7dd5540f,
    0xff8006ff,0x3fe2007f,0x4fffa85f,0x7ffffff3,0xfff00015,0xfaa8800d,
    0xdfffffff,0x103ffb32,0xf900dfff,0xfffd85ff,0xffffffff,0xffffffff,
    0xffba983f,0xaaaaaaff,0x3ff6a001,0x402cffff,0x06fffba9,0x7fffc400,
    0x3f6a0bff,0x555005ff,0x400dfff7,0x20006fff,0xff887fff,0xcaaaaaef,
    0x222fffff,0xaaaaefff,0x2fffffca,0x002fffc8,0x2013ffea,0x20007fff,
    0x1fe21ff8,0x443fdc00,0xfc806fff,0x7ffcc2ff,0x9999999e,0x99999999,
    0x05ffff10,0x0bfffe60,0x2af2ea60,0x003fffc9,0x7c400260,0xff8006ff,
    0x3fe2007f,0xcfffa85f,0x0efffffb,0x37ffc000,0xffffd000,0x880207ff,
    0xfc806fff,0x7ffec2ff,0xffffffff,0xffffffff,0x3ffe203f,0xfb510006,
    0x039fffff,0x0dfff100,0xffff8800,0xffff100e,0xdfff1000,0x1bffe200,
    0x07fff800,0xff309fff,0xfff05fff,0xfffff309,0x0bfff205,0x84fffa80,
    0xffffeedb,0x01ceeeee,0x3fe23ff8,0x86fc8000,0xc806fff8,0x7fc42fff,
    0xa80005ff,0xeeeeffff,0xfeeeeeee,0xf9103fff,0xffffffff,0x54407fff,
    0x7c40000a,0xff8006ff,0x3fe2007f,0xffffa85f,0x004fffff,0x00dfff00,
    0x77ffff40,0xfff10001,0x5fff900d,0xffffffd8,0xffffffff,0x03ffffff,
    0x001bffe2,0x3bffffee,0x01bcb99c,0x01bffe20,0x1dfff100,0x01fffe80,
    0x037ffc40,0x000ffff0,0x641bffe2,0x7ffcc1ff,0x3ff902ff,0x2fffff98,
    0x10bfff20,0x9fff5057,0xffffff98,0xffffffff,0x7c4fe806,0x5fe8003f,
    0x806fff88,0xfc82fffc,0x53004fff,0x3ffee179,0xffffffff,0xffffffff,
    0xfffffb85,0xffffffff,0xffff503f,0x7fc40003,0xfff8006f,0x3ffe2007,
    0xfffffa85,0x00003fff,0x8001bffe,0x000dfffe,0x01bffe20,0xf90bfff2,
    0x333337ff,0x93333333,0x7c405fff,0xfe8006ff,0xffb11cef,0x22009fff,
    0x40006fff,0xd806fff8,0x44001fff,0x36006fff,0x98000fff,0x02605fff,
    0x05fffff3,0x7ffcc098,0x7fe402ff,0x21ffec2f,0x7d44fffa,0xffffffff,
    0x807fffff,0x037ec6fd,0x107ff10a,0xf900dfff,0x3ffa05ff,0xbaabcfff,
    0x4fffffdc,0xfffffff9,0xffffffff,0xfb8dffff,0xffffffff,0x03ffffff,
    0x00bffffb,0x037ffc40,0x003fffc0,0xf50bfff3,0x0dffffff,0x6fff8000,
    0x3fffa000,0x7fc40000,0xfffc806f,0x01fffdc2,0x00fffec0,0x000dfff1,
    0xfffd0373,0x100bffff,0x8000dfff,0xd806fff8,0x44001fff,0x32006fff,
    0xb8002fff,0x26003fff,0x002fffff,0x2fffff98,0x42fffc80,0x7fdc5fff,
    0xffffd84f,0xffffffff,0x0ffa803e,0xa82b7fe6,0x03fea1fe,0x201bffe2,
    0xf302fffc,0xffffffff,0xffffffff,0x3ffffeeb,0xffffffff,0x26ffffff,
    0xeffffffa,0xffeeccac,0xffffd03f,0x7fc4000b,0xfff8006f,0x3ffe6007,
    0xfffffa85,0x0000efff,0x000dfff0,0x0007fff4,0x01bffe20,0xf30bfff2,
    0xff000bff,0xfff880ff,0x3f200006,0x5ffb31cf,0x06fff880,0x37ffc400,
    0x00fffec0,0x01bffe20,0x006fffa8,0x017fffc4,0x2fffff98,0xffff9800,
    0xfff9002f,0x237ffc45,0x2603fffb,0x999ffff9,0x2ffc0009,0x3fbfffee,
    0x82fec5ff,0xc806fff8,0x36202fff,0xffffffff,0x2fffffff,0x333dfff3,
    0x33333333,0x7f413333,0x2e00beff,0xff503fff,0x440005ff,0xf8006fff,
    0x3e6007ff,0xfffa85ff,0x0effffff,0x6fff8000,0x3fffa000,0x7fc40000,
    0xfffc806f,0x17fffc42,0x0dfff900,0x006fff88,0x221bfe00,0x7fc405ff,
    0x7c40006f,0xffd806ff,0x7fc4001f,0x3fe2006f,0x3f2003ff,0xff5006ff,
    0x50005fff,0x005fffff,0xf117ffe4,0xfffc8dff,0x07fff801,0x43ffb800,
    0xcfffffe9,0x440bfee0,0x6c407fff,0xfa802fff,0xffffffff,0x3e20bdff,
    0x80005fff,0x801ffff8,0x2603fffc,0x440000bb,0xf8006fff,0x3ea007ff,
    0xfffa84ff,0x3fffffb5,0x6fff8000,0x3fffa000,0x7fc40000,0x7fec407f,
    0xffffd82f,0xffffa800,0x37ffc402,0x2ff88000,0xf880df90,0x440006ff,
    0xfd806fff,0x7c4001ff,0x7dc006ff,0xfb802fff,0xfa802fff,0x0102ffff,
    0x17ffffd4,0x5fff9008,0xf337ffc4,0xff001fff,0x75cc03ff,0x05ffb05f,
    0x3fea06a6,0x0ffffc04,0x7ffffe44,0x3fee2002,0x64009abe,0x3004ffff,
    0x3fe21795,0x3fee00ff,0x00003fff,0x0dfff100,0x00ffff00,0x541fffe4,
    0x3ff24fff,0x20001fff,0x20006fff,0x0000fffe,0x881ffff8,0x82fffffc,
    0x03fffff8,0x0bffff91,0x00dfff10,0x40ffe200,0x7fc406fc,0x7c40006f,
    0xffd806ff,0x7fc4001f,0xffd8006f,0x3ff204ff,0xffa805ff,0xdf702fff,
    0xfffffa81,0x221df702,0x13effffc,0xff79ffff,0x3f600dff,0xecaacfff,
    0x82ffffff,0x000dfff8,0xfb00dff9,0xfb759dff,0x9fffffff,0x01bf6001,
    0x7fffff40,0xfdcbaabc,0x3fe4ffff,0xdcabdfff,0xffffffff,0x0336a0ce,
    0x22007762,0x32006fff,0x83effffe,0xffffd9a8,0x44fffa80,0x02fffffb,
    0x00dfff00,0x007fff40,0x77ffec00,0xffffdbac,0x540cffff,0xbcefffff,
    0xffffffdb,0x6fff8800,0x1bfe0000,0xf1017fe2,0x88000dff,0xfd806fff,
    0x7c4001ff,0xf88006ff,0xbbdfffff,0x0ffffffd,0x7ffffd40,0x47fff102,
    0x02fffffa,0x3f27fff1,0x89ffffff,0xffffffff,0xff5001ff,0xffffffff,
    0x201fffff,0x09beffe8,0x37fff6e6,0xffffa800,0xffffffff,0x004fffff,
    0x00ae2bfd,0x7fffffcc,0xffffffff,0x3fee5fff,0xffffffff,0xffffffff,
    0x09fff14f,0x7f5cdffb,0xffffffff,0x22dfffff,0xfffffffa,0x3fffe20f,
    0x7f5c3fff,0xffc84fff,0x20ceffff,0xffffffeb,0xffffffff,0x3ffb222d,
    0xffffffff,0xf5003dff,0xffffffff,0xffffffff,0xfffff709,0xffffffff,
    0x3ff6603f,0xffffffff,0x2002dfff,0xfb51cffc,0xfffd985f,0xefffffff,
    0x7ff4c00c,0xec85efff,0x42efffff,0xffffffeb,0xffffffff,0x3ffea02d,
    0xffffffff,0x7d401eff,0xffffffff,0x5fffffff,0xfffffff5,0xffffffff,
    0x3ffff2bf,0xfffb1fff,0x005fffff,0xffffffc8,0x2effffff,0xfffffc80,
    0x3ffffffe,0x7fffdc00,0xffffffff,0x5004ffff,0x01ffffff,0x3ffff620,
    0xffffffff,0x7fe42fff,0xffffffff,0xffffffff,0xd0bfff14,0x3ffe6fff,
    0xffffffff,0x0fffffff,0xfffffff3,0x7fffcc1f,0x7ffdc6ff,0xffe84fff,
    0x34ffffff,0xffffffff,0xffffffff,0x3fff61ff,0xffffffff,0x000fffff,
    0xfffffff7,0xffffffff,0x3ffa609f,0xffffffff,0x3fffa00d,0xffffffff,
    0x4007ffff,0xfffffffe,0xfffffe84,0xffffffff,0x7ffff404,0x3ea3ffff,
    0x6fffffff,0x3fffffe6,0xffffffff,0x2200ffff,0xfffffffd,0xc800dfff,
    0xffffffff,0xffffffff,0xffffff95,0xffffffff,0x3fb22bff,0x7fec3eff,
    0x0002efff,0xffffffd5,0x98005bff,0xfffffffc,0xf70000bf,0x5bffffff,
    0x019dfffb,0x2fffff40,0x7fffd400,0xdfffffff,0xfffd500b,0xf97dffff,
    0x6419dfff,0x3ffa81ff,0xfffffff3,0xffffffff,0x7f5c1fff,0xfe83efff,
    0x7dc0efff,0xe84fffff,0xffffffff,0xffffff34,0xffffffff,0x3f61ffff,
    0xffffffff,0x1fffffff,0x3fffee00,0xffdadfff,0x7e400cef,0x2effffff,
    0xfffffe80,0xffffffff,0x6c4007ff,0xd03fffff,0xffffffff,0x809fffff,
    0xfffffffe,0x3fffea3f,0x3e67ffff,0xffffffff,0xffffffff,0xfffb800f,
    0x003effff,0x3ffffff2,0xffffffff,0xffff95ff,0xffffffff,0x000bffff,
    0x0002aea2,0x55e654c0,0x75300001,0x40000357,0x000abcb9,0x01bb8800,
    0x6654c400,0x540009aa,0x000abccb,0x5c088010,0xfffffffe,0xdfffffff,
    0x5cc40003,0xffd9101b,0xffb309ff,0x5c19dfff,0xfffffffe,0xdfffffff,
    0x3ffff663,0xffffffff,0x730003ef,0x00001579,0x004ddd44,0xfffffb50,
    0xffffffff,0x2a60005b,0x3f6a00ac,0xffffffff,0x6cc00dff,0x0cefffff,
    0x7fffff64,0x7fff5c2d,0xffffffff,0x4003dfff,0x0001bb98,0xfffffff9,
    0xffffffff,0x3ffff2bf,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x97300000,0x5cc01599,0xa981bccc,0xcccccccc,0x32a2001b,
    0xbccccccc,0x65cc000a,0x2e200bcc,0xa880bccc,0xcccccccc,0xcccccccc,
    0xcccb984c,0xcccccccc,0x1ccccccc,0x1bcccc98,0x1bcccb98,0x0e665440,
    0x54000000,0x0000aaaa,0x00035000,0xccccccd8,0xcccccccc,0x4404cccc,
    0x5300001a,0x55555555,0x53000015,0x10003355,0x0fae03b9,0x00332200,
    0x665cc000,0xcccccccc,0xccca881c,0xcb981bcc,0xa80acccc,0x2003cccc,
    0x882ccccb,0xbcccccca,0xbcccb980,0x99999101,0x99999999,0xffd81999,
    0xc82fffff,0x4fffffff,0x3fffffe6,0x06ffffff,0xffffff88,0xffffffff,
    0x7ffec00c,0xfa82ffff,0x44ffffff,0xffffffff,0xffffffff,0x3f20ffff,
    0xffffffff,0xffffffff,0x7ff42fff,0x324fffff,0x6fffffff,0xfffffe98,
    0xfdb3004f,0x220019df,0x0007ffff,0x7ffe4400,0x200e441d,0x41200004,
    0x40cfffc9,0xff9800ca,0xffffffff,0xc88000ff,0xefffffff,0xdffb000b,
    0x003fff50,0x0004ffd8,0xfffffc80,0xffffffff,0x3fffe27f,0x323fffff,
    0xffffffff,0x3ffffe0f,0xff8800ff,0x3e27ffff,0xffffffff,0x3ffffa3f,
    0xff985fff,0xffffffff,0x40ffffff,0xffffffff,0xfffffe84,0x3ffee7ff,
    0xffffffff,0x7fd400ff,0xffffffff,0x03ffffff,0x3ffffffe,0xffffd85f,
    0x3fea7fff,0xffffffff,0xffffffff,0x3fffe0ff,0xffffffff,0xffffffff,
    0x3fffe62f,0x3fa7ffff,0x1fffffff,0x7eeffff4,0x7fe401ff,0x04ffffff,
    0x03ffffa8,0x7ff40000,0xfb8cffff,0x0002405f,0xffff1090,0xff917fff,
    0xfffd1007,0xdfffffff,0xffff9000,0xffffffff,0x1fffd007,0x002fffb8,
    0x00037ffc,0x7fffffc0,0xffffffff,0xffff71ff,0x7cdfffff,0xffffffff,
    0xfffff32f,0xff7007ff,0x2a5fffff,0xffffffff,0xffff15ff,0xf30fffff,
    0xffffffff,0x1fffffff,0xffffffd8,0xffffc82f,0x3fe64fff,0xffffffff,
    0xfff006ff,0xffffffff,0x09ffffff,0x3ffffff6,0xffffc83f,0x7ffc5fff,
    0xffffffff,0xffffffff,0x3ffff20f,0xffffffff,0xffffffff,0x7fffff42,
    0x3fff24ff,0xdb86ffff,0x3206ff82,0xffffffff,0x7fec04ff,0x4000006f,
    0xffc9effb,0x402fffff,0x21200004,0xffd9dffc,0x001fffff,0x26666662,
    0x74400099,0x260abfff,0x00dfffeb,0x3a213fea,0xfff8006f,0xfc800007,
    0xffffffff,0x226fffff,0xffffffff,0x3ffff23f,0x3a0fffff,0x07ffffff,
    0xfffffff8,0x3ffffe27,0x3a2fffff,0x4fffffff,0xffffff98,0xffffffff,
    0xffd980ff,0x3ff202ff,0xca880cff,0xaaaadfff,0x7ffd4001,0xfdbaaaaf,
    0x303fffff,0x409ffffb,0x01cffffc,0x55dfff73,0xf5555555,0xea881fff,
    0xaaaabfff,0xffdaaaaa,0xefffb82f,0xffea880a,0x7ff8003f,0xffffff30,
    0x01ffffff,0x0017fffc,0x30b62000,0x005dfffd,0x42400009,0x7ffd41d9,
    0x000001df,0x6fff4400,0x6ffd8800,0x00200440,0x003fffc0,0xaaaa8800,
    0xaacfffda,0xffffa881,0xfaa880aa,0xff702fff,0x5405ffff,0x03ffffff,
    0x55dfff73,0xfffffb81,0xdfff301c,0xf7555555,0x7401ffff,0xff106fff,
    0xff500bff,0x555555bf,0x3ffe0035,0x7fff4c07,0x3fffa00f,0x1bfffa06,
    0x01bffe20,0xd807fff4,0xf9000fff,0xfff305ff,0x3fffb00b,0xffd97300,
    0x3bfff209,0x03fffa62,0x0037ffcc,0x5d400000,0x00012001,0x0ba80048,
    0x00000000,0x70005ffb,0x000009ff,0x01fffe00,0xff900000,0xfff1005f,
    0x3fffc00d,0xffffff30,0x7ffff40d,0x3fe601ff,0xffff905f,0xfff9805f,
    0x3ffff605,0x7fffcc02,0x0ffffd84,0xfffffa80,0xffffffff,0x03fffc04,
    0x027fff44,0x909ffff3,0x1001ffff,0x3a00dfff,0x3ff607ff,0xfff9000f,
    0x0bfff303,0x003fffb0,0x40dfffff,0xe882fffe,0x3ffee03f,0x00000002,
    0x00480010,0x00001200,0x7fedcc00,0x3ee001bd,0xeeeec8bf,0xffc81cde,
    0x88000001,0xcffffcca,0x1bcccccc,0x3ff20000,0xfff8802f,0x1fffe006,
    0xffffff98,0xffff982f,0x3e601fff,0xfffd85ff,0xff9802ff,0xffff705f,
    0x3fff2007,0x3fffea1f,0xffff5002,0xffffffff,0x3fe03dff,0xfff3007f,
    0x7ffdc01f,0x3fffe61f,0xdfff1003,0x7fe43930,0x03fff606,0x7ffa8591,
    0x00bfff30,0x7003fffb,0x205ffffd,0x40007fff,0x99516ffd,0x3bffb239,
    0xccb8800c,0xdffdb33c,0x0009005b,0x665cc240,0x0003cccc,0x3ffffff2,
    0xe803ffff,0xfffff36f,0xfd07ffff,0x3332e60b,0x36003ccc,0xffffffff,
    0xffffffff,0xff900004,0xfff1005f,0x3fffc00d,0xffffff30,0xffffb0bf,
    0x7cc03fff,0x3ff625ff,0xf3001fff,0xfff309ff,0xffe800bf,0xbffff16f,
    0x7fffd400,0xfffeeeee,0xff80ffff,0x3ff6007f,0x7fff403f,0x0bfffd16,
    0x237ffc40,0x3fe66ffa,0x03fff602,0x7f443fff,0x0bfff304,0x003fffb0,
    0x407ffd44,0x0000fffe,0x3fa3fff1,0xfffedfff,0x2201ffff,0xfcffffff,
    0xdfffffff,0x80001200,0x7ffffe44,0x88006fff,0xfffffffe,0x00efffff,
    0x7ecc1ff5,0x87fdbaad,0x7fe40ffa,0x06ffffff,0x3fffffe0,0xffffffff,
    0x00006fff,0x1005fff9,0x7c00dfff,0x3fe607ff,0x21ffffef,0xffeffff8,
    0x3ffe601f,0xdffffd15,0x2fff8001,0x077fffc4,0x3fffe600,0x00ffffdc,
    0x813ffea0,0x83ffffc8,0x2e007fff,0x7cc04fff,0xfffccfff,0x3fe2000f,
    0x07ffe46f,0x83fff600,0x0083fff9,0x2017ffe6,0x8001fffd,0xffc83ffc,
    0xff50002f,0x3ffffe2b,0xffffffff,0xfff500ff,0xffffffff,0x01ffffff,
    0x44800012,0xfffffffe,0x7f44006f,0xffffffff,0xb06fffff,0xb09f90df,
    0x43ff887f,0xfffffffe,0x3ff2006f,0xffffffff,0x02ffffff,0x5fff9000,
    0x0dfff100,0x303fffc0,0xfffbbfff,0x66fffe4b,0x3e601fff,0xffff9dff,
    0xea8000df,0x7ffff40c,0xfff70001,0x005fffff,0x804fffa8,0xff85fffd,
    0x3fe6007f,0xfffb805f,0x003fffff,0x777fffc4,0x001ffffe,0x7777ffec,
    0x4004fffe,0xeeeffff9,0xfffeeeee,0xffb8001f,0x04fffb83,0x6c3ff900,
    0xffffffff,0x04ffffff,0xfffffff1,0xffffffff,0x001209ff,0x7ffd4480,
    0x006fffff,0x577fffec,0x3fffaa20,0xc84fe85f,0xe84fd84f,0x7fffd45f,
    0x4006ffff,0xaffffaa8,0x02aaaaaa,0x7ffe4000,0x6fff8802,0x81fffe00,
    0xff9dfff9,0xffff88ff,0x201fffc9,0xfffffff9,0x800005ff,0x002ffffc,
    0x7fffff40,0xffa8005f,0xfffa804f,0x007fff86,0x401bffe2,0x5ffffffe,
    0xffff8800,0x1fffffff,0x7fffec00,0x04ffffff,0x7ffffcc0,0xffffffff,
    0xefb81fff,0xfffdaabc,0xfffddb70,0x0037bddf,0xfff909fb,0x3f2217ff,
    0x7fcc06ff,0x260bffff,0x0907fffc,0xaa824000,0x006fffba,0x013fffe6,
    0x81ffffb1,0x14fc83ff,0xf903ffb7,0x3eeaaa0d,0x3e0006ff,0x000007ff,
    0x017ffe40,0x0037ffc4,0x7cc0ffff,0x9fffd5ff,0x3f2dfff7,0x3fe601ff,
    0xffffffff,0x3ea00002,0x80004fff,0x0ffffff8,0x4fffa800,0x85fff980,
    0x7c007fff,0x2aa207ff,0xbffffffc,0xff1000aa,0xffffffff,0xffd8003f,
    0xffffffff,0x7ffcc004,0xffffffff,0xb81fffff,0xffffffff,0xfffff72f,
    0xdfffffff,0x3ee03100,0xff883fff,0x3fe200ff,0x3fe01fff,0x000480ff,
    0x3fe20120,0x3fee006f,0x3ffa005f,0x207fe22f,0xfffffffc,0x100ff703,
    0x4000dfff,0x80007fff,0x3fff2000,0x6fff8802,0x81fffe00,0xff55fff9,
    0x25ffffff,0x2601fffc,0xffffffff,0x80002fff,0x006ffff9,0x3fffee00,
    0xfff50002,0x7fff9009,0x800ffff0,0x3fe07fff,0xffffffff,0xf1006fff,
    0xffffffff,0xfd8003ff,0xffffffff,0x7fcc004f,0xffffffff,0x01ffffff,
    0x7bdfdd93,0x7ffffe41,0xffffffff,0x3fee0000,0x3fff604f,0x3fffe201,
    0x0fffec00,0x09000024,0x00dfff10,0x0007ffec,0xff8bfff3,0xfffffc83,
    0x01bf204f,0x001bffe2,0x0007fff8,0x6400ffe6,0xf8802fff,0x3fe006ff,
    0x3ffe607f,0x3fffffa5,0x07fff27f,0xffffff98,0x03fffffd,0x3fffa200,
    0x7c00000f,0x2a0007ff,0x7c404fff,0xfff81fff,0x3ffe6007,0x2aaaa205,
    0xaaaaffff,0xdfff1000,0x3fffb333,0xafffd800,0x04fffa99,0x4f7ffcc0,
    0xd9999999,0x80001fff,0xffffffe9,0x003fffff,0x01fffdc0,0x4403fffb,
    0xfc806fff,0x000482ff,0x3fe20120,0x3ffe006f,0x7fff8006,0xa7e427f4,
    0xfd01ffd8,0xdfff100b,0x3fffc000,0x0dff9000,0x00bfff20,0x801bffe2,
    0x3e607fff,0x3ffee5ff,0x3ff23fff,0x3ffe601f,0xffff51ef,0x3f60005f,
    0x05502fff,0x01fffe00,0xadfffa80,0xffdcaaaa,0xfff80fff,0x3ffee007,
    0x3fffc004,0xdfff1000,0x220fffb8,0xfffb00cc,0x017ffc41,0x017ffe60,
    0x4007fff6,0x266200a8,0x009dfffb,0x7fff7000,0x00fffec0,0x900dfff1,
    0x00905fff,0x7c402400,0xff3006ff,0xffb000bf,0x6437ec1f,0x207fe44f,
    0xf8803ff8,0x3e0006ff,0x3a0007ff,0xfc800fff,0xff8802ff,0x3ffe006f,
    0x17ffe607,0x41ffffff,0x2601fffc,0x7440efff,0xb8006fff,0xf703ffff,
    0xfff0009f,0x7fd4000f,0xffffffff,0xf00effff,0x7ec00fff,0x7fc002ff,
    0x3e20007f,0x1fec46ff,0x7ec13ff2,0x077dc0ff,0x17ffe600,0x007fff60,
    0x54013fe6,0x00005fff,0xb01fffdc,0x7c403fff,0xffc806ff,0x0000482f,
    0x3ffe2012,0x1bffe006,0x51fffe00,0x0cfd81ff,0xff5077ec,0xdfff1001,
    0x3fffc000,0x1fffd000,0x05fff900,0x401fffe0,0x2606fff8,0x7fdc5fff,
    0x7ffe44ff,0x17ffe601,0x017fffcc,0x0bffff30,0x40037ff4,0x20007fff,
    0xfffffffa,0x05ffffff,0x9803fffc,0x3e01ffff,0xffffffff,0x1006ffff,
    0x7400dfff,0xfffb06ff,0x7cc00001,0xffd805ff,0x7ffdc01f,0x9fff9001,
    0xffb80000,0x3fff603f,0x1bffe201,0x20bfff20,0x01200004,0x801bffe2,
    0x2001fffd,0xff84fffa,0x9fffff15,0xfd9fffc4,0xdfff1005,0x3fffc000,
    0x1fffd000,0x01fffb00,0x003fff60,0x9813ffea,0x7fc45fff,0x7ffe40ff,
    0x17ffe601,0x006fffb8,0x01dffff1,0x4003fffc,0x20007fff,0xeeeffffa,
    0x801bdeee,0xfa807fff,0x65405fff,0xcffffccc,0xf1002ccc,0x7fc00dff,
    0x1fffb07f,0x7fcc0000,0xfffd805f,0x0bfff201,0x03fffe80,0x7ffdc000,
    0x07fff603,0x806fff88,0x0482fffc,0x22012000,0x2e006fff,0x8800efff,
    0xfb82ffff,0xefffe8bf,0x7dd77cc2,0xfff1002f,0x7ffc000d,0x3ffa0007,
    0x7ffc400f,0x3fff2007,0x7fff4405,0x17ffe603,0x3f20aaaa,0x3fe601ff,
    0x7fff405f,0xffffe803,0x03fffc01,0x003fffc0,0x009fff50,0x41fffe00,
    0xfffffca9,0x7fff8000,0x3ffe2000,0x1fffe006,0x0007ffec,0x0bfff300,
    0x103fffb0,0x4003dffd,0x401ffff8,0xfb800cd9,0x3ff603ff,0x3ffe201f,
    0x2fffc806,0x12000048,0x01bffe20,0x2effff88,0x3ffffea0,0x005ffb00,
    0x4009ff50,0x0006fff8,0x4407fffe,0x3fa5feb9,0xfd300cff,0x7cc00bff,
    0xe880dfff,0x2600ffff,0xc8005fff,0x3e601fff,0x7fd405ff,0x3ff200ff,
    0xfff803ff,0x7ffed407,0xdfffffff,0x7fff5c02,0x2dffffff,0xffffd700,
    0xffffffff,0x2005ffff,0xffffffeb,0xdb803eff,0xffffffff,0xffffffff,
    0x3ff667ff,0xefffffff,0x3fa6000c,0x21dfffff,0xffffffc9,0x03bff21e,
    0x7fffe980,0x804ffe80,0x3603fffb,0x3e201fff,0xffc806ff,0x0000482f,
    0x3ffe2012,0x7ffe4006,0xecaacdff,0x203fffff,0x000dfff8,0x8800dff9,
    0x20006fff,0xaabffffd,0xffffffec,0xbfffffd2,0xffffb759,0xffb8003f,
    0xfdbbcfff,0x9102ffff,0x9dfffffd,0xfffd9101,0x6dc19dff,0xceffffff,
    0xfffffe80,0x7ffffc1d,0xffffffff,0x2207ffff,0xffffffff,0x00ffffff,
    0xfffffff5,0x01ffffff,0xffffff98,0xffffffff,0xf5003fff,0xffffffff,
    0x7cc03fff,0xffffffff,0xffffffff,0x3ffa7fff,0xffffffff,0x3fa005ff,
    0x6fffffff,0x3ffffff6,0x013ee6ff,0xfffffd88,0xffffffff,0x2a06ffff,
    0x3efffffd,0x3bffff22,0x7ffff441,0xffd985ef,0x0120cfff,0x3fae4800,
    0xffffffff,0x02dfffff,0xfffffffb,0xbfffffff,0x7dffd100,0x7fedcc13,
    0xffd700df,0xffffffff,0x805bffff,0xfffffffa,0xffffffff,0xffffffd0,
    0xffffffff,0x3ff60003,0xffffffff,0x3fee05ff,0x4fffffff,0xffffffb8,
    0xfff33fff,0x9fffffff,0xffffff50,0xffffff8d,0xffffffff,0x3e207fff,
    0xffffffff,0x500fffff,0xffffffff,0x801fffff,0xfffffff9,0xffffffff,
    0x3fea001e,0xffffffff,0x3fe602ff,0xffffffff,0xffffffff,0x3fffa7ff,
    0xffffffff,0x3ffa005f,0x26ffffff,0xfffffffe,0x7ec0007f,0xffffffff,
    0xffffffff,0x3fffe04f,0xf70fffff,0xd8dfffff,0xffffffff,0x7fffff43,
    0x000124ff,0xfffff348,0xffffffff,0x201fffff,0xfffffffb,0x003fffff,
    0x77ffffe4,0x03ffffff,0x3fffffe6,0xffffffff,0x6400ffff,0xffffffff,
    0x222fffff,0xffffffeb,0x001fffff,0x7ffffe40,0x404fffff,0xfffffffb,
    0xfffc84ff,0x34ffffff,0xffffffff,0x3ffa09ff,0x7ffc6fff,0xffffffff,
    0x07ffffff,0x7ffffedc,0x02dfffff,0x7fffff64,0x002dffff,0xffffffd7,
    0x059ddfff,0x3fffb200,0x03efffff,0xfffffeb8,0xffffffff,0x267fffff,
    0xfffffffd,0x2001dfff,0xffffffda,0x3fff661d,0x0002dfff,0x7fffffec,
    0xffffffff,0x3e01ffff,0xffffffff,0xffffff71,0xfffffe8d,0x7ff44fff,
    0x124fffff,0xff348000,0xffffffff,0xffffffff,0x7ff64c01,0x00bdffff,
    0xffff9300,0x8017ffff,0xfffffff9,0xffffffff,0xea800fff,0xffffffff,
    0x3f6a00ad,0x0cefffff,0xffd30000,0x003dffff,0xfffffd91,0xfd91019d,
    0x419dffff,0xffffffeb,0xfff700cf,0xffff83bf,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff62000,
    0xffffffff,0x00deffff,0x7ffffed4,0x3ffb223e,0x7fecc1df,0x4c0cefff,
    0x0ceffffd,0x3333333a,0xcccccccc,0x3ae5cccc,0xffffffff,0x3dffffff,
    0x06ee6200,0x2ea60000,0x75c001ab,0xffffffff,0x3dffffff,0x5e654c00,
    0x95300009,0x40000015,0x0009bba8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xcccccca8,0x0acccccc,0x66665cc0,
    0x8000cccc,0x03ccccb8,0x39999973,0x99999930,0x99999999,0x01999999,
    0x95100040,0x79999999,0x4c400003,0xccccccca,0x03cccccc,0x99999995,
    0x98001579,0x4c04cccc,0x0acccccb,0xccccca88,0x4001bccc,0xcccccca8,
    0x001abccc,0xccccca88,0x4001bccc,0xcccccca8,0x800abccc,0xcccccca8,
    0xab881bcc,0x2aaaa600,0x00aaaaaa,0x1bcccb98,0xabcccb98,0x33332a00,
    0x00abcccc,0x00004000,0x333332a2,0x0abccccc,0x99995100,0x65cc0379,
    0x64c1bccc,0xcccccccc,0xcccccccc,0xaaa80ccc,0xffff50aa,0xffffffff,
    0x3601ffff,0xffffffff,0x7c4003ff,0x986fffff,0x2fffffff,0xffffffa8,
    0xffffffff,0x00ffffff,0x6e7fff5c,0xfffff303,0xdfffffff,0xffd98000,
    0xffffffff,0x86ffffff,0xffffffff,0x0cffffff,0x7fffff40,0xffff904f,
    0x4c1fffff,0xffffffff,0x1006ffff,0xffffffff,0xbfffffff,0xffff3001,
    0xffffffff,0x3ffe600d,0xffffffff,0xf303ffff,0xffffffff,0x7fc4dfff,
    0xffff306f,0xffffffff,0x7ffff401,0x3ff24fff,0xf06fffff,0xffffffff,
    0x019fffff,0x7fee5440,0x2003efff,0xfffffff8,0xffffffff,0x7fffc02e,
    0xe85fffff,0xffffffff,0x3ffffea6,0xffffffff,0x0fffffff,0x937fffcc,
    0xffffffff,0xffffffff,0x3ffffe07,0x06ffffff,0x7ffffcc0,0xffffc86f,
    0xffa82fff,0xffffffff,0xffffffff,0xffd100ff,0x07ffffff,0xfffffff9,
    0x01ffffff,0xffffd100,0xffffffff,0x8dffffff,0xfffffff9,0xffffffff,
    0xffff303f,0xfd03ffff,0xffffffff,0x7ffffe47,0xffffffff,0xffffa800,
    0xffffffff,0x403fffff,0xfffffffc,0x00ffffff,0xffffffb8,0xffffffff,
    0x7fe41eff,0xffffffff,0xfff50fff,0xfffd103f,0xdfffffff,0x7ffffcc0,
    0x3ffa7fff,0x41ffffff,0xfffffff9,0xffffffff,0xfffc803f,0xffffffff,
    0xfffa802f,0xffffffff,0x05ffffff,0xfffffff5,0x7fc41fff,0xffffffff,
    0xffffff51,0xffffffff,0x81ffffff,0x2a2ffffb,0xffffffff,0xffffffff,
    0xfffffb00,0x03ffffff,0xfffffe80,0xfffff986,0xfffa82ff,0xffffffff,
    0xffffffff,0xffffd00f,0x30bfffff,0xffffffff,0x000dffff,0xfffffff3,
    0xffffffff,0xf0dfffff,0xffffffff,0xffffffff,0x3ffffa0b,0xffc86fff,
    0x0fffffff,0x3fffffe6,0x05ffffff,0x3fffffe0,0xffffffff,0x2602ffff,
    0xffffffff,0x3006ffff,0xffffffff,0xffffffff,0x7ffcc1ff,0xffffffff,
    0x3fffe26f,0x26666200,0xe8009999,0x4fffffff,0x3fffffee,0xfffff07f,
    0xffffffff,0x4c0bffff,0xffffffff,0x01ffffff,0x7fffffc4,0xffffffff,
    0xf884ffff,0xffffffff,0xfffffe85,0x3fea6fff,0xffffffff,0xffffffff,
    0x7fff40ff,0xbaaaa885,0xaaaaffff,0xfaaa9802,0x05ffffff,0x6fffb880,
    0x3fff6a60,0xadfffa82,0xaefffbaa,0x0fffeaaa,0xffffffb8,0x5101ffff,
    0x59fffd55,0xff300035,0xf9bfffff,0x75555dff,0x3e60dfff,0xbaaaafff,
    0x3ffffffd,0xfffff530,0xff55107f,0x2aa205ff,0xaacfffea,0xffb98001,
    0xcbaaaaef,0x01fffffd,0x3ffaaaa2,0x4001aacf,0xadfffca8,0xffecbaaa,
    0x555446ff,0x1aacfffe,0x0006fb88,0x3ffee000,0xfea881ae,0x7fcc03ff,
    0xdbaaaaff,0x03ffffff,0x3ffffffe,0x7fffffee,0xdfff7300,0xf9755555,
    0xb105ffff,0x0355bfff,0x7ffed54c,0x56fffd44,0xaefffbaa,0x0fffeaaa,
    0x007fffe2,0x0006fff8,0xffffff98,0xf88000ff,0xffc806ff,0x4fffa82f,
    0x6c37ffc4,0xffe80fff,0x01bf50cf,0x00fffec0,0xffffd100,0x2fffcc19,
    0xf037ffc4,0xfe980fff,0x3fe01fff,0x200fffff,0xb000fffe,0x00003fff,
    0x980dfff1,0x2004ffff,0x0001fffd,0x404fffa8,0x202ffffb,0xc801fffd,
    0x0000002f,0x55dfff51,0xfd555555,0xff8015ff,0x7ff4c07f,0x79b301ff,
    0xffff5035,0x3ffe6001,0x5fffd805,0x009fff70,0xa83fff90,0x7fc44fff,
    0x0fffd86f,0x0017ffea,0x0000dfff,0xffb9fffb,0xff10007f,0xfff900df,
    0x89fff505,0xfd86fff8,0x7fff80ff,0xfffb0000,0x7fdc0003,0xfff985ff,
    0x06fff885,0x2201fffe,0x3e04fffe,0x05ffffff,0x4003fffa,0x0001fffd,
    0x806fff88,0x2006fffb,0x0001fffd,0x804fffa8,0x3604fffd,0x7cc01fff,
    0x3332e605,0x2e003ccc,0xffffffff,0xffffffff,0x3e04ffff,0xfe8807ff,
    0xd80004ff,0xf3002fff,0xff300bff,0x3ffea0df,0x06666445,0xf507fff6,
    0xfff889ff,0x20fffd86,0x4001fffc,0x40006fff,0xfa9ffff8,0xf88006ff,
    0xffc806ff,0x4fffa82f,0x6c37ffc4,0xfff80fff,0xfd80000f,0x3a0001ff,
    0xff305fff,0x17ffe0bf,0x3007fff8,0x3e01ffff,0x2fffffff,0x001fffd0,
    0x5c47fff6,0x7fc4000c,0xffff006f,0x0fffec00,0x5400fb22,0xf9804fff,
    0x3ff606ff,0x03fa201f,0x7fffffe4,0x3fa006ff,0xffffffff,0xffffffff,
    0x3fe06fff,0xfff3007f,0x9753001f,0x7fff9357,0x17ffe600,0x41fffe20,
    0x7dc6fff9,0x7ff42fff,0x27ffd40f,0x361bffe2,0x3ffe0fff,0x6fff8004,
    0x7ffdc000,0x007fffe6,0x00dfff10,0xf505fff9,0xfff887ff,0x80fffd86,
    0x0004fffe,0x001fffd8,0x01ffff30,0x75d7ffe6,0x7c07ffb4,0x3f6007ff,
    0xffff03ff,0xd01ffffb,0x36001fff,0xfffcafff,0x7ffc4005,0x5fffa806,
    0x07fff600,0x5005fffd,0xf1009fff,0x7fec0dff,0x8076601f,0xfffffffe,
    0x3f66006f,0xffffffff,0xffffffff,0x3ffe02df,0x3fff6007,0xffff9103,
    0xffffffff,0x3ffe6007,0x5fffc805,0xe8ffff10,0x7fc5ffff,0x3fffa87f,
    0x6c37ffc4,0xfff30fff,0xdfff0001,0xfffe8000,0x017ffee2,0x00dfff10,
    0xf105fff9,0xfff883ff,0x506ffb86,0x0003ffff,0x001fffd8,0x40dfff70,
    0xff8dfff9,0x200bc89f,0x2e007fff,0xfff05fff,0x09ffff1f,0x2001fffd,
    0xfffffffd,0x7fc4007f,0x7ffd406f,0x3ff6003f,0x3fffe21f,0x4fffa804,
    0x04fffb80,0x0007fff6,0xffffff50,0xf3000dff,0xffb00bff,0xffff003f,
    0x2fffdc00,0x7fffffdc,0xffffffff,0xbfff3003,0x7fffe440,0x89fffe03,
    0x10ffffff,0xff10dfff,0x6fff883f,0x3ee6ffb8,0xfff0004f,0x7fcc000d,
    0x7fffc47f,0x3ffe2000,0x2fffc806,0xff107b50,0x03b910df,0x0037fff4,
    0x007fff60,0x027ffe40,0xffdffff3,0xfedb807f,0xdeeeefff,0x06fff980,
    0x3feeffff,0x7fff41ff,0xffffb000,0x8007ffff,0xa986fff8,0x00fffffd,
    0xd07fff60,0xf5005fff,0xffa809ff,0x3ff602ff,0x5500001f,0x00dfff75,
    0xddffff30,0xffdddddd,0x3b6e03ff,0xeeeeffff,0x6fff980d,0x7fffffdc,
    0xffffffff,0xfff3003f,0xffdddddf,0xe80dffff,0xfff70fff,0x3fe65fff,
    0x107b505f,0xb910dfff,0x0007fec3,0x0006fff8,0x3613fff6,0x22003fff,
    0xfc806fff,0xf88002ff,0xf70006ff,0x9989ffff,0x1fffd801,0x5fffb000,
    0x7ffffcc0,0x3ea03fff,0xffffffff,0xfff05fff,0xe9fffe0f,0x7ff46fff,
    0xffe8800f,0x001effff,0xffffff88,0xffffffff,0x7fec003f,0x027ecc1f,
    0x984fffa8,0x0effffda,0x007fff60,0x3ffe2000,0xfff98006,0xffffffff,
    0xa81fffff,0xffffffff,0xff05ffff,0x7fffd4ff,0xeccaceff,0x3003fffe,
    0xffffffff,0x3fffffff,0xd1fffd80,0x2bffffff,0x8004fffa,0x2006fff8,
    0x3e0002fd,0xf10006ff,0xff501fff,0x7fc400df,0x7fec407f,0x7553002f,
    0x3555dfff,0xfffff700,0x3ffe23ff,0x3fff600f,0xfffb0001,0x7fffcc03,
    0x2e03ffff,0xffffffff,0xff06ffff,0x9fffe0ff,0x3a4ffff9,0x7dc00fff,
    0x03ffffff,0x3fffe200,0xffffffff,0xfd8001ff,0xa80001ff,0xffffffff,
    0x0fffffff,0x00fffec0,0x7ffc4000,0xfff98006,0xffffffff,0xb81fffff,
    0xffffffff,0xff06ffff,0x77fff4ff,0x3ffee00b,0xffff3003,0xffffffff,
    0xfc80bfff,0xffff8aff,0xffb8ffff,0xff88003f,0x0062006f,0x00dfff00,
    0x2bfffee0,0xfffaaaaa,0x3ffe001f,0xfffc882f,0xfff802ff,0xffffffff,
    0x3fee05ff,0x76ffffff,0x6c07ffff,0x13001fff,0x301fffec,0xffffffff,
    0xffffd807,0x1fffffff,0x3e0ffff0,0x7ffe47ff,0x01fffd1f,0x3fffffaa,
    0x009800cf,0xfffffff1,0x01ffffff,0x07fff600,0xffa804c0,0xffffffff,
    0xd801ffff,0x13001fff,0x1bffe200,0x3fffe600,0xffffffff,0xfb01ffff,
    0xffffffff,0x3ffe03ff,0x03ffff17,0x007fff90,0x3fffffe6,0xffffffff,
    0xff700eff,0xd9fff77f,0xfff95fff,0xfff10005,0x8000000d,0xd0006fff,
    0xffffffff,0x0bffffff,0x67fffec0,0xfffffdca,0xf500dfff,0xffffffff,
    0x201fffff,0xffaefffe,0xffffdcff,0x07fff602,0x7e47ff20,0x3fe605ff,
    0x02fffbdf,0x267fffe0,0x37ffcc00,0xfe87fff8,0x1fffd6ff,0xffffff90,
    0xff9003ff,0xfffff103,0xffffffff,0x3ff60005,0x1ffc801f,0xffffffa8,
    0x0cffffff,0x03fffb00,0x1003ff90,0x3000dfff,0x3333dfff,0xfffb3333,
    0x3ffff003,0xfff98013,0x01ffff16,0x1fffffdc,0x9efff980,0xfba99999,
    0xf506ffff,0x5fffd9ff,0xffbbfff7,0xff10003f,0x0cc000df,0x01bffe00,
    0x3ffffe60,0xffffffff,0xf5000fff,0xffffffff,0xffffffff,0x7ffffc09,
    0xffffffff,0x4dfff105,0xfffffffb,0x7ffec03f,0x54fff801,0x7cc0ffff,
    0x01fff5ff,0x003fffc0,0x3e09fff7,0xfff987ff,0x40fffebf,0xfffffffa,
    0xfff801ff,0x86fff883,0x02fffffb,0x01fffd80,0xfa84fff8,0xefffffff,
    0x7ec001bc,0xfff801ff,0x6fff8804,0x5fff9800,0x01fffd80,0x2007fff8,
    0x3fe4fffb,0xdcabdfff,0xffffffff,0x3fe600ce,0xfff9005f,0xdfff301f,
    0x3fe2ffff,0x00fffeff,0x06fff880,0x001ff100,0x40037ffc,0xfffffffd,
    0xffffffff,0x3ff2003f,0xffffffff,0x04ffffff,0x3ff332a2,0x201bccff,
    0x7ec4fffb,0x805fffff,0x4401fffd,0xfff16fff,0x3ffe605f,0x0dc41515,
    0x400ffff0,0xff02fffc,0x3fff20ff,0x4c0fffff,0xffdbffff,0x7ffcc01f,
    0x06fff885,0x03fffff3,0x01fffd80,0x5437ffc4,0x00004fff,0x200fffec,
    0x8806fff8,0x98006fff,0xfd805fff,0xfff801ff,0x3fff2007,0x3ffffee2,
    0xffffffff,0x04ffffff,0x8017ffe6,0xf882fffd,0x25ffffff,0x7ffffffd,
    0xdfff1000,0x07fe6000,0x006fff80,0x667fffc4,0xcccccccc,0x5c006fff,
    0xdfffffff,0x0defffda,0x1bffe200,0x43fffc80,0x2ffffff8,0x01fffd80,
    0xfb37ffc4,0xff303fff,0x0fff40bf,0x3007fff8,0x3e03ffff,0xfff107ff,
    0x901fffff,0x3fff619d,0x2fffcc01,0x3037ffc4,0x001fffff,0x200fffec,
    0xfa86fff8,0x400004ff,0x4401fffd,0xf8806fff,0xf98006ff,0xffd805ff,
    0x7fff801f,0x3ffff300,0xffffffc8,0xffffffff,0x2604ffff,0x26005fff,
    0xfff05fff,0x7dc5ffff,0x007fffff,0x00dfff10,0x8013fe60,0x5c006fff,
    0x3a005fff,0x44001fff,0x360abcba,0xf10002ff,0x7d400dff,0xfffa86ff,
    0xfffb007f,0x6fff8803,0x07ffffe6,0x220bfff3,0xfff03fff,0xffff300f,
    0x03fffc0d,0xfffffff5,0x3fff6001,0x2fffcc01,0x2037ffc4,0x005ffff9,
    0x1007fff6,0xff50dfff,0xd800009f,0x7c401fff,0xff8806ff,0xff98006f,
    0xfffd805f,0x07fff801,0x06ffff98,0xffffffd5,0xffff97df,0x7fcc01df,
    0x3fee005f,0xfffff04f,0x7ffc41ff,0x10006fff,0x2000dfff,0xf006fff9,
    0xfe800dff,0x3ee002ff,0x800005ff,0x220005fe,0x22006fff,0xcbdfffff,
    0x5efffffe,0x00fffec0,0xf71bffe2,0x337bffff,0x3e60bfff,0xffff05ff,
    0x3fff2a60,0x3ffe00ff,0x7fffec07,0xffb000ff,0xfff9803f,0x06fff885,
    0x02ffffb8,0x803fffb0,0xfa86fff8,0x400004ff,0x4401fffd,0xf8806fff,
    0xf98006ff,0xffd805ff,0x7fff801f,0xffff9530,0xccba801f,0x2ff980ab,
    0x05fff980,0x2ffffb98,0xbfffffd0,0xbfffffb0,0x3ffe2000,0x74cc4006,
    0xfd912ffe,0xffffffff,0x6447dfff,0xcefffffe,0xfffec880,0x00005eff,
    0x36e27bfa,0xffffd701,0x5bffffff,0x7ffffe40,0xffffffff,0xffd913ff,
    0xffffffff,0xffffffff,0xfffffb0d,0xffffffff,0xffffffff,0xffffeb8b,
    0xffffffff,0xd703ffff,0x3bffffff,0xffffff88,0xfffec880,0xffffffff,
    0x5fffffff,0x3fffff6e,0xff900cef,0x7644bdff,0xffffffff,0xffffffff,
    0x3ffae6ff,0xdfffffff,0xffec8802,0xffffffff,0xffffffff,0x3ffffae6,
    0xffffffff,0x7ed42dff,0x21dfffff,0xffffffd9,0xfffeb82e,0xffffffff,
    0x003fffff,0x313fe400,0xfffffdb8,0xffffffff,0x00ffffff,0x05fffffb,
    0x09fffff7,0x3ffff6e0,0x2dffffff,0x3f33bfa0,0xfffff72f,0xffffffff,
    0x3ff25fff,0x3fffffff,0xffffffd8,0x00003fff,0x9ffffff7,0xffffff30,
    0xffffffff,0xfffffe80,0xffffffff,0xfffff74f,0xffffffff,0xdfffffff,
    0x3fffff20,0xffffffff,0x5fffffff,0x3fffffe2,0xffffffff,0xff303fff,
    0xdfffffff,0x1fffff70,0xffffff70,0xffffffff,0x2bffffff,0xfffffff9,
    0x3fa05fff,0xff72ffff,0xffffffff,0xffffffff,0x3ffeadff,0xffffffff,
    0x7fdc00ff,0xffffffff,0xffffffff,0xffff36ff,0xffffffff,0x41ffffff,
    0xfffffffe,0x3ffff66f,0x7c47ffff,0xffffffff,0xffffffff,0xf9800003,
    0xf31ffddf,0xffffffff,0xffffffff,0x7e405fff,0xf880ffff,0x9803ffff,
    0xffffffff,0x207fffff,0x26fffffd,0xfffffffb,0xffffffff,0xfffffb2f,
    0xfb09ffff,0xffffffff,0x7e400007,0xff306fff,0xffffffff,0xf700ffff,
    0xbbffffff,0x3ee19dff,0xffffffff,0xffffffff,0x3aa06fff,0xffffffff,
    0xffffffff,0x3ffe65ff,0xffffffff,0x201effff,0xfffffff9,0xfffd06ff,
    0xffff701f,0xffffffff,0xffffffff,0x3ffffe6b,0x205fffff,0x73fffff9,
    0xffffffff,0xffffffff,0x3eadffff,0xffffffff,0x5c00ffff,0xffffffff,
    0xffffffff,0xff36ffff,0xffffffff,0xffffffff,0x7fffff41,0x3ff66fff,
    0x47ffffff,0xfffffff9,0xffffffff,0x2000001e,0x30fffffe,0xffffffff,
    0xffffffff,0xfb805dff,0x3f605fff,0xf9802fff,0xffffffff,0x2207ffff,
    0x221cffca,0xffffffec,0x4effffff,0x3fffff62,0xfd880cef,0x0cefffff,
    0x1ba80000,0x7ffff5c0,0x2dffffff,0x57953100,0xffd91001,0xffffffff,
    0xffffffff,0xfdd9300d,0xffffffff,0xb8bfffff,0xfffffffe,0x002ceeff,
    0xffffffd7,0x3ffe603b,0xffec880f,0xffffffff,0xffffffff,0x3ffffae5,
    0x6400dfff,0xd910ceff,0xffffffff,0xffffffff,0x7ff64dff,0xdfffffff,
    0xffec8802,0xffffffff,0xffffffff,0x3ffffae6,0xffffffff,0x7ed43dff,
    0x21dfffff,0xffffffd9,0xfffeb82d,0xeeffffff,0x0000002c,0xeb839db5,
    0xffffffff,0x3cefffff,0x7ffff500,0x0ffffdc0,0xffffeb80,0x2dffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32a20000,0xcccccccc,
    0xcccccccc,0xacccb983,0x3332e200,0xcccb881b,0x2e200acc,0x40accccc,
    0x000001b8,0x00015400,0x00a60000,0x00000cc0,0x00591000,0x00544000,
    0x20000020,0x00000000,0x00000000,0x00000000,0x00cc0000,0x80000040,
    0x10000000,0x02000000,0x4001bb30,0x08000cd8,0xff100000,0xffffffff,
    0xffffffff,0xffffd8df,0xffb82fff,0x2e4fffff,0xffffffff,0xffffb82f,
    0x3e2fffff,0x00001eff,0x03ffc800,0xea800000,0x7dc006ff,0x1000004f,
    0x017ffcc0,0x04fb8000,0x6ffff654,0xec98002c,0xa9beffff,0x36e6000b,
    0x8001bdff,0x80befda8,0x002dffca,0x37ffb6e6,0x1effecc3,0x33332e20,
    0x99997303,0x200ffc39,0xdffffecb,0x4400b88b,0xfffffdca,0x32e2003e,
    0xffdb33cc,0x2e6005bd,0x64c4cccc,0xfe81dffe,0x799730ef,0x317ffe61,
    0xfb179997,0x7ff5c5df,0x7fd4004f,0xffffffff,0xffffffff,0x3fffe26f,
    0xfe85ffff,0x27ffffff,0xfffffffd,0xfffd84ff,0x34ffffff,0x01bfffff,
    0x7f400000,0x0000005f,0x3fffff66,0x1bffa000,0x76544000,0xff31bdff,
    0xb7300bff,0x36037bff,0xfffb104f,0x5dffffff,0xffffb100,0xffffffff,
    0xffff900b,0x07ffffff,0x3ffffe60,0x3ffee1ff,0xfe805fff,0xdfffffff,
    0xffffffb8,0xfffff104,0xffff30df,0x3fe65fff,0xffffd302,0xffffffff,
    0x3fff201f,0xffffffff,0x7ffc402f,0xffffcfff,0x200dffff,0xfffffffc,
    0xfffffd88,0x3ffe24ff,0xfffffeef,0x26ffffdf,0xfefffff9,0xfedfffff,
    0x006fffff,0x3fffffe2,0xfffffffd,0x6c6fffff,0x2fffffff,0xffffffb8,
    0x3fffea4f,0xb82fffff,0xffffffff,0xffffd11f,0x000019ff,0x00ffff00,
    0xff910000,0x800dffff,0x40004ffc,0xffffffd8,0xffffffff,0x3fff202f,
    0x3fffffff,0x7fdc27f4,0xffffffff,0x3e205fff,0xffffffff,0x207fffff,
    0xffffffe8,0x0effffff,0x3ffffa20,0xffb9ffff,0x05ffffff,0x3fffffea,
    0xffffffff,0x985fffff,0x86ffffff,0xfffffffc,0xf905ff72,0xffffffff,
    0x05ffffff,0xfffffff3,0x3fffffff,0x7ffffd40,0xffffffff,0xfd00ffff,
    0xf7ffffff,0xffffffff,0x7fffdc3f,0xffffffff,0x3ee2ffff,0xffffffff,
    0xffffffff,0x4004ffff,0xff9fffc9,0xfbaaaaef,0xffe986ff,0x3ff203ff,
    0xfb981dff,0x200acfff,0xaffffca8,0x7fffec40,0x00003fff,0x003fffc0,
    0xfff91000,0x0009ffff,0xf50000a6,0xffffffff,0x7fffffff,0x3ffffa20,
    0xffffffff,0xfa85ff15,0xfeffffff,0x04ffffff,0xfffffffd,0xffffffff,
    0xffffd101,0xffffffff,0x7fec0dff,0xffffffff,0xffffffff,0xfff304ff,
    0xffffffff,0xffffffff,0xffffd07f,0xffff30df,0xffd15fff,0xfffffb81,
    0xfffffeff,0xfff03fff,0xffddffff,0x7c40ffff,0xffffffff,0xffffffff,
    0xfffff704,0xffffffff,0xc89fffff,0xffffffff,0x43ffffff,0xfffffff8,
    0xffffffff,0x0fffffff,0x4effdc00,0xfff05fff,0x3fffa20d,0xffff980f,
    0x4fffd806,0x13fff600,0xfffffb30,0x000005df,0x0001fffe,0x7ffffdc0,
    0x00000dff,0x3ffea000,0xffeeffff,0x104fffff,0xfffffffd,0xdfffffff,
    0x7fcc1ff9,0x310acfff,0x83fffff7,0x0acffff8,0x07fffecc,0x577fffec,
    0x3fffaa20,0xffffb85f,0xffffff32,0xfffb11df,0x2b36e01f,0xfffffb10,
    0xffffb13b,0xdfff7101,0x7ffed4c0,0x7cc3fffe,0x220bffff,0x3ffffeca,
    0x03579b30,0x801ffff5,0xbffffff9,0x1ffff260,0xffffaa88,0xb32dffff,
    0xffff03ff,0xffff77df,0x7ffd40df,0xffff12ff,0x0ffff49f,0x26fffa00,
    0xfff05fff,0x7fffcc0d,0x3fffe20e,0xfff9800f,0xfff8800f,0xffd5000f,
    0x003dffff,0x07fff800,0x7ff54000,0x001effff,0x7c400000,0x441dffff,
    0x06ffffff,0x15dffffb,0x7ffff544,0x7fff44ff,0x7ffcc02f,0x37ffcc6f,
    0x4c37fdc0,0x4404ffff,0x740ffffd,0x7fcc2fff,0x3e21ffff,0x88003fff,
    0x740fffff,0xff103fff,0xfff900df,0xffd09fff,0xff8801df,0xd80003ff,
    0x7c402fff,0x3e01ffff,0xfe800fff,0x103fffff,0x0bfffe20,0x981fffee,
    0x7f41ffff,0x7ffe44ff,0x3ffe2002,0xf05fff99,0xffa80dff,0x3fffa5ff,
    0x3ffa001f,0xfffc803f,0xfffb8005,0x000dffff,0x00ffff00,0x3fff6600,
    0x0002efff,0xff900000,0xffd105ff,0x985fffff,0x4404ffff,0x445ffffd,
    0x3002ffff,0xff85ffff,0x701abeff,0x17ffee07,0x22fffe80,0xfd07fff8,
    0xff50bfff,0x575100ff,0x509ffff5,0x3e20ffff,0xffc806ff,0xfff302df,
    0x3fea003f,0x9753001f,0x7fff9357,0x0ffff880,0x00fffec0,0x0f7ffff4,
    0x37ffdc00,0x203ffff0,0xfe85fff9,0x7ffe40ff,0x5bfee002,0x9f75fff9,
    0x2e00fff6,0xffdcffff,0x7dc002ff,0xfff806ff,0xf910002f,0x19ffffff,
    0x7fff8000,0x7fe44000,0x003fffff,0x74000000,0xfe882fff,0x6fffefff,
    0x002fffdc,0xfa89fffb,0xeeeeefff,0xffeeeeee,0x7ffec3ff,0xbdefffff,
    0x07ffec00,0x4bfff300,0xf704fffa,0xdddddfff,0x101ffffd,0xfffffffb,
    0xdddddfff,0x101ffffd,0xf900dfff,0x7fd405ff,0x37f4004f,0x3ffff220,
    0xffffffff,0x37ffc403,0x017ffe40,0x006ffff4,0x02fffd80,0x4c0fffee,
    0xffe85fff,0x17ffe40f,0x269ffb00,0xfff8dfff,0xb000bc89,0xffffffff,
    0xfff10009,0x7ffd403f,0xfc880006,0x03ffffff,0x4cccccc4,0x9999ffff,
    0xfffb8019,0x000cffff,0x33333330,0x33333333,0xfff10333,0xffffd10b,
    0x41ffff39,0x2000fffd,0x7dc6fff9,0xffffffff,0xffffffff,0x7ff445ff,
    0xffffffff,0x1bffe04f,0xc9fffe00,0xff302fff,0xffffffff,0xfb83ffff,
    0xffffffff,0xffffffff,0x881fffff,0xfc806fff,0x3ff202ff,0x4008002f,
    0xfffffffb,0x3fffffff,0x037ffc40,0x4017ffe4,0x0000fffe,0xa807fff6,
    0xff304fff,0x1fffd0bf,0x002fffc8,0x7fccbffe,0x03fffeff,0x3ffffa00,
    0x320005ff,0x3fa05fff,0x200003ff,0xffffffd9,0xffffd82e,0xffffffff,
    0x84ffffff,0xfffffffa,0x3fa0000d,0xffffffff,0xffffffff,0x1fffd45f,
    0x93ffffa2,0x3fe1fffe,0xfff8006f,0x7ffffe47,0xffffffff,0x06ffffff,
    0xffffffd7,0x983dffff,0xd8005fff,0xfffb0fff,0x3fffe203,0xffffffff,
    0x3fffa2ff,0xffffffff,0xffffffff,0xf881ffff,0xffc806ff,0x3fff602f,
    0x7dc00001,0xffffffff,0x03ffffff,0x4037ffc4,0xe802fffc,0x20000fff,
    0x3a04fffb,0xff302fff,0x1fffd0bf,0x002fffc8,0x7fccfff5,0x04ffffff,
    0x3fffa200,0x260000ef,0xf980ffff,0x00000fff,0xffffffa8,0xffff30ef,
    0xffffffff,0xffffffff,0x3ffffa21,0x40001fff,0xfffffffa,0xffffffff,
    0x320fffff,0x7fec2fff,0x7ffe45ff,0x00bfff32,0x5c1fffb0,0xffffffff,
    0xffffffff,0x54c06fff,0xfffffedc,0x37ffc0ff,0x93fffc00,0x3ea07fff,
    0xffffffff,0xf52fffff,0x97bdffff,0xfffffffb,0x3fffffff,0x00dfff10,
    0x6405fff9,0x00002fff,0x3fffffea,0xfeeccace,0x7fc403ff,0xfffc806f,
    0x0fffe802,0x3ffe6000,0xffff980f,0x0bfff300,0xfc81fffd,0xff9002ff,
    0x7ffffccb,0x20004fff,0x0efffff8,0x7fff4000,0x04fffc83,0xfffa8000,
    0x220dffff,0xffffffff,0xffffffff,0x7ecc6fff,0x02efffff,0x3fffe200,
    0xffffffff,0x7fffffff,0xfb2fffdc,0xffb0bfff,0x037ffc1f,0x263fffc0,
    0x9999efff,0x99999999,0x0ee20999,0x3fffee60,0x00fffec3,0x5c9fff50,
    0xff906fff,0x333337ff,0x3f613333,0xfff00eff,0x3333337f,0x3fe20333,
    0xfffc806f,0x13ffea02,0xfffe8000,0x3fee00be,0x7ffc403f,0x2fffc806,
    0x00fffe80,0x7ffffc00,0xffffc88b,0x17ffe606,0xf903fffa,0x3fa005ff,
    0xfffbaadf,0x003fffff,0x3fffffa0,0x7d40005f,0x7ffc46ff,0x2a00001f,
    0xeffffffe,0x99997301,0x99ffff99,0x20179999,0xffffffea,0x9930001e,
    0x99999999,0x99999999,0x8ffffa81,0x985ffffd,0x7fec6fff,0x3fea001f,
    0x7fffc44f,0xff900005,0x3ffea007,0x077ffdc6,0x17fffc40,0xf01ffff5,
    0x800bffff,0xf102fffc,0x4000bfff,0x4407fff8,0x2202fffd,0x4001ffff,
    0x3ffe21b8,0xfffc801f,0x37ffc403,0x017ffe40,0x0007fff4,0xffffff30,
    0xffffffff,0x17ffe601,0xf903fffa,0xff3005ff,0xffffffff,0x005fff5d,
    0x3fffff20,0x40004fff,0x3ee2ffff,0x300006ff,0xdffffffb,0xfff80005,
    0x7fdc0006,0x00dfffff,0x20000000,0xfffffff8,0xffe885ff,0x77ffdc4f,
    0xffff8800,0x4ffffc82,0x41795300,0x400cffff,0x7c46fffb,0x2a02efff,
    0x740fffff,0x7fe45fff,0xb981ffff,0x1bffea1c,0x3fffffa6,0x201cb981,
    0xc882ffff,0x402fffff,0x002effff,0x3e21fff7,0x3ee00fff,0x4403ffff,
    0xfc806fff,0xffe802ff,0xff30000f,0xffffffff,0x01dfffff,0xfd0bfff3,
    0xfffc81ff,0xffffb802,0xd5ffffff,0xf70001ff,0xfff99fff,0x7e40005f,
    0x3fffa5ff,0x7e440002,0x03ffffff,0x0dfff000,0xfff91000,0x0019ffff,
    0x2e000000,0xefffffff,0x7ffff540,0x77fffcc1,0x3fffea02,0xffffd00f,
    0xb975579f,0x7c9fffff,0xaccfffff,0xffffecaa,0xfffffc84,0xffecaacd,
    0xffa83fff,0xfffdbdff,0xcacfffff,0x3e27ffff,0xfdbcffff,0xcfffffff,
    0x07ffffdb,0x2b3ffff6,0xffffffdc,0xff300dff,0x5579dfff,0xfffffb97,
    0x6fffffc7,0xffffdcab,0x20ceffff,0xefffffe8,0xffffd985,0xffd910cf,
    0xffffffff,0x7f407bff,0xffffffff,0x5fffffff,0x6fffff64,0x8fbfffa2,
    0x00cffffc,0x3ffffffa,0x82a5ffff,0x7fcc01b8,0x3fffa6ff,0xff10001f,
    0xffff51ff,0xfffb8000,0x000cffff,0x01bffe00,0xfffd8800,0x0003ffff,
    0xffd00000,0x9759ffff,0x09fffffd,0x3bfffff2,0xfffecaac,0x3fe603ff,
    0xffffffff,0x5fffffff,0x3ffffffe,0xffffffff,0xfffb00ff,0xffffffff,
    0x7ec0bfff,0xffffffff,0xfffffffe,0x2e1fffff,0xffffffff,0xffffffff,
    0x1fffffff,0xffffff50,0xffffffff,0x7d409fff,0xffffffff,0xffffffff,
    0x3ffffee0,0xffffffff,0x24ffffff,0xfffffffd,0x7ffff43f,0xfffb4fff,
    0xffffffff,0x101fffff,0xd937ffff,0xff919dff,0x7fffdcff,0x3ffa7fff,
    0xfff92fff,0x3fe209ff,0x2fffcc1f,0x2203ffd0,0x220fffff,0x000fffff,
    0xfb9fffb0,0x2a0009ff,0xdfffffff,0xff800000,0x9800006f,0xeffffffe,
    0x00000002,0x7fffffe4,0xffffffff,0x7ffec05f,0xffffffff,0xd8805fff,
    0xffffffff,0x2fffffff,0x3ffffff6,0xffffffff,0x7ffdc01e,0xffffffff,
    0xfffd803f,0xf98effff,0xffffffff,0xffffb86f,0xffffffff,0xffffffff,
    0x7ffdc05f,0xffffffff,0x404fffff,0xfffffffb,0xffffffff,0xfffffc81,
    0xffffffff,0x3a4fffff,0xffffffff,0x7fffff44,0xffffb4ff,0xffffffff,
    0x3203ffff,0x3f2003ff,0x3fffee3f,0xffd0ffff,0x3ff25fff,0xff504fff,
    0x0bfff30f,0x2213ffe2,0x981ffffe,0x0006ffff,0xfffffff5,0xfea8001f,
    0x01efffff,0x3ffe0000,0x2a000006,0xeffffffe,0x80000001,0xfffffffc,
    0xffffffff,0xffff7003,0xffffffff,0xfffa8007,0xffffffff,0x6774c0bd,
    0xfffffffe,0x326002ef,0xdffffffe,0x3ff2000b,0x3e60dfff,0x2dffffff,
    0x3ffffaa0,0xfdbdebef,0x02cfffff,0xffffff70,0xffffb5bf,0xff91001b,
    0xffffffff,0xffea805d,0xcbefffff,0x20ceffff,0xefffffd9,0x7ffecc0c,
    0xffb30cef,0xffffffff,0x9807dfff,0x44098000,0x2dffffec,0xc93bfffa,
    0xb00cffff,0xfff30bff,0x17ffe60b,0x80bffff6,0x005ffffa,0xffffffd0,
    0xfffc800b,0x0002efff,0x06fff800,0xffb80000,0x003fffff,0x20017fd4,
    0xeceffffb,0xbdffffff,0x7f64c000,0x0bdfffff,0x32a62000,0x80009aac,
    0x1abccba9,0x5dcc4000,0x65440001,0x2f2e600a,0x5e544001,0x06f2e201,
    0xabcb9800,0x4c400000,0x0aabccba,0x5e65d400,0x0000000a,0x00000000,
    0x00000000,0x7f6c0000,0xfec9efff,0xffffffff,0x325fffff,0x2dfffffe,
    0xfffffea8,0x7fdc003e,0x2002ffff,0x3ffffff9,0x3e000000,0x000006ff,
    0xfffff910,0x7ff4001f,0x7fffc006,0x06ee620e,0x37730000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0xffffffff,0xffffffff,0xff55ffff,
    0x8fffffff,0xfffffff8,0x3e2001ff,0x4006ffff,0x00cffff8,0x7ec00000,
    0x0000004f,0x03fffec4,0x0017ff60,0x0001dffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xfffffffb,0xffffffff,0xffffffff,0xfffff55f,
    0xff88ffff,0x2fffffff,0x7fffe400,0x0cea8003,0x30000000,0x000003bd,
    0x00b72600,0x80019910,0x00000dd9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x9effffed,0xffffffeb,0xffffffff,0x3ffffb25,0xffda82df,
    0x8003efff,0x000ffff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99510000,0x32e60799,0x6441cccc,0xcccccccc,0x0ccccccc,
    0x33333326,0xcccb981b,0xca881bcc,0xb981bccc,0x500acccc,0x80379999,
    0x1bcccca8,0x66666544,0x3332e20a,0x5cc01bcc,0x03cccccc,0x00000000,
    0x21b80371,0x076a00db,0x01000400,0x00bcdb98,0x33100000,0x33333333,
    0x33333333,0x0e544033,0x1ceeca80,0x00000000,0x006f32a2,0x073372a6,
    0x20ffffe8,0x203ffffb,0x510000a9,0x77100001,0x55555101,0x55555555,
    0x55555555,0x11111015,0x11111111,0x44000111,0x86ffffff,0xfffffffa,
    0x7ffffc42,0xffffffff,0xfff91fff,0x43ffffff,0xfffffffa,0x3ffe24ff,
    0x2a1fffff,0x6fffffff,0xffffffd8,0x3fff604f,0x3f23ffff,0x15ffffff,
    0xffffffff,0x3fff201f,0x006fffff,0x001efa80,0x105fe980,0x0fff4dfd,
    0x2002ffc8,0xfc803ffa,0x7ffec42f,0x6c003fff,0xfffd3003,0xffffffff,
    0xffffffff,0x7fed43ff,0x7ec402ff,0x504fffff,0xfffffffb,0xffffffff,
    0xd105bfff,0x1bffffff,0xfffffd10,0x3ff209ff,0x7fffd47f,0xefffe982,
    0x0f7ec001,0xa87dd710,0xfd11ffff,0xffffffff,0xffffffff,0xdfffffff,
    0x3ffffea1,0xffffffff,0x30001fff,0x0dffffff,0xfffffff9,0xfffff885,
    0xffffffff,0xfffd1fff,0x47ffffff,0xfffffffc,0x3ffe66ff,0x323fffff,
    0xffffffff,0x7fffffc0,0x3ffe06ff,0x3e6fffff,0x7fffffff,0xfffffff5,
    0x3ffa07ff,0x06ffffff,0x04ffe800,0x17ffcc00,0xf31fff4c,0xfff105ff,
    0x3fffa009,0x97fff203,0xfdcefff8,0xff9002ff,0xffff9005,0xffffffff,
    0xffffffff,0x3ffea3ff,0x7f402fff,0x4fffffff,0xfffffff8,0xffffffff,
    0x46ffffff,0xfeefffe8,0x7fcc0fff,0x0fffddef,0x4c6fffb8,0x7dc1ffff,
    0x03ffffff,0x7ffd49fb,0x5ffff902,0xaaffffec,0xffffffff,0xffffffff,
    0xffffffff,0xffff52ff,0xffffffff,0x0003ffff,0x37fffff4,0x7fffffcc,
    0x7fffc42f,0xffffffff,0xff71ffff,0x1fffffff,0x7fffffc4,0x7ff43fff,
    0x7c46ffff,0x85ffffff,0xfffffffc,0x3fffee02,0x3fee2fff,0xd14fffff,
    0xffffffff,0x3fffea01,0x0006ffff,0x0006fff8,0x260fffee,0xffa84fff,
    0x5fff984f,0x3ffffd80,0x25ffffc8,0x7fcc4ffb,0xffffa806,0x7fffd401,
    0xffffffff,0xffffffff,0x32f321ff,0x3ff202ff,0xffffbbef,0x7fffffc2,
    0xffffffff,0x6fffffff,0x9305fffc,0x20110dff,0xfffa84fe,0x23fffc45,
    0xfffffffb,0x7ffec3ff,0x213ffee1,0x365ffffe,0xff35ffff,0xffffffff,
    0xffffffff,0xffffffff,0x3ffffea3,0xffffffff,0x40001fff,0x206fffb8,
    0x42fffda9,0xaaaefff8,0xfffffcaa,0x7ffed442,0xff98809e,0xf500adff,
    0x441dffff,0x01effffe,0x82ffffa2,0x3ee64eed,0xea880eff,0x7fcc2fff,
    0x8009bfff,0x6fffbaaa,0x7ffc4000,0xfff90006,0x09fff707,0x4c2fffd4,
    0x2200efff,0x323ffffe,0x260effff,0x80ffd05e,0x0efffff9,0x66666540,
    0xcccccccc,0xfffecccc,0x405ff701,0xffe85fff,0x7fffecc5,0xffffffff,
    0x1cefffff,0xfd813fe6,0xdecc981f,0xff986fec,0x27fff84f,0xfcfffff8,
    0xfd9cffff,0x7fcc0fff,0x7fffe45f,0x87fffea3,0xccccccb9,0xcccccccc,
    0xcccccccc,0x2eeee61b,0xbbbbbbbb,0x0000bbbb,0x806fff88,0xff82fffc,
    0xffff984f,0x3ffe602f,0x3ffea00f,0xffe8800f,0xfff99eff,0xff9005ff,
    0x7fffd47f,0x00fffee0,0x7dc3fffb,0x0000efff,0x001bffe2,0x86fff881,
    0x3fff6201,0x05fffc83,0x40efffa8,0x201efff9,0xcbffffe8,0x000effff,
    0xf8813fee,0x06ffffff,0xffb00000,0x0bfee03f,0x5c0fffc4,0x000007ff,
    0x3007fe40,0x7fec47ff,0x86ffffff,0xfe83fff8,0x3fffee6f,0xffffff31,
    0x2209ffff,0x3f663ffe,0x05dc40df,0x00000000,0x80000000,0xc806fff8,
    0xffc82fff,0x7ffffcc1,0x4fffd802,0x013fff60,0xfffffd88,0x004fffff,
    0xfd97ffea,0x3ff64fff,0x7ffec01f,0x3ffffd89,0xfff88000,0x9fff3006,
    0x2adfff13,0xfe886ffd,0xfffd84ff,0x3ffee005,0x7fffd41e,0x3fffa202,
    0x00efffff,0x807fff20,0xfffffffe,0x8000004f,0xf701fffd,0x3ffe605f,
    0x007ff980,0x7fe40000,0x44ffe600,0xedcefffe,0x5fff06ff,0x7c49ffb0,
    0x7ff441ff,0x805fffff,0x000882fc,0x22222220,0x88888888,0x08888888,
    0x00000000,0x01bffe20,0x4c0bfff2,0x7ffffcc0,0xffff3002,0x1ffff301,
    0xffff9000,0x8007ffff,0xff17fff8,0x7ffcffff,0x7ffec00f,0x01fffffc,
    0xdfff1000,0x3ffff200,0xffffffff,0x3e62ffff,0x7f444fff,0xfb8005ff,
    0x7fd42fff,0x3fe203ff,0x00efffff,0x03fffb10,0x6dffffec,0x0003ffff,
    0x0fffec00,0x3e02ffb8,0x6ffc83ff,0x54000000,0x3ff604ff,0xb019ff71,
    0x07ffa0df,0x1710ffee,0x7ffffe40,0x00000005,0x3fffffb2,0xffffffff,
    0xffffffff,0x000004ef,0xfff88000,0x2fffc806,0xfffff300,0xfffd8005,
    0x04fffd84,0x3fffee00,0xfd0002ff,0xffff71ff,0xdfff35ff,0xfffffb00,
    0x0009ffff,0x01bffe20,0x7fffffdc,0xffffffff,0xffff31ff,0xfffff88d,
    0xffe88000,0x7ffec0ff,0x3ffe202f,0xd3000fff,0x7dc01dff,0x3ffa4fff,
    0x000002ff,0x5c07fff6,0x3ffa02ff,0x13ffea2e,0x33333326,0xcccccccc,
    0x7441bccc,0xfb512dff,0x20ffe4df,0xc80effda,0x2ffa80ff,0x17b95000,
    0x40000000,0xfffffffa,0xffffffff,0xffffffff,0x00002fff,0x7fc40000,
    0xfffc806f,0xffff9802,0xff98002f,0x3ffe60ff,0xfb10000f,0x009fffff,
    0x3abfff20,0xbdffffff,0xfd804fff,0xffffffff,0x440000ef,0x2e006fff,
    0xffffffff,0x41efffff,0x5c3ffffc,0x4005ffff,0x41ffffe8,0x402ffffd,
    0x3ffffffc,0x04fffb80,0x22ffffd4,0x01ffffe8,0xfffb0000,0x80bfee03,
    0xfffffff9,0x7ff40fff,0xffffffff,0xffffffff,0x7ffcc5ff,0x0fffffff,
    0x3fffffe2,0x45ffffff,0x3ff307fb,0x00000000,0xfff50000,0xffffffff,
    0xffffffff,0x5fffffff,0x00000000,0x806fff88,0x5402fffc,0x002fffff,
    0xd93fffa0,0x10005fff,0xfffffffd,0xfa8001bf,0xfffffeff,0x2fffefff,
    0xeffffd80,0x0ffffffa,0x3ffe2000,0xfec98006,0x0befffff,0x13fffea0,
    0x00bfffd3,0x037fffa2,0x803dfffb,0xfffffffc,0xfffb103f,0xffff8805,
    0xffff980e,0xd800000e,0xff701fff,0xffffb805,0x7c42ffff,0xffffffff,
    0xffffffff,0xd887ffff,0x0cffffff,0xfffffda8,0x445fffee,0x0013202d,
    0x00000000,0xffffdb80,0xffffffff,0xffffffff,0x00003dff,0xff880000,
    0xfffc806f,0x3fffea02,0x2a00102f,0xff98ffff,0xe98001ff,0xffeeffff,
    0x22000eff,0xcfffffff,0xfffffffd,0x4fffd800,0x13ffffa2,0x6fff8800,
    0x3fff6000,0xd1003fff,0xfd889fff,0x7f4405ff,0xfffd84ff,0xffffc805,
    0x83ffffee,0xcccdffff,0x3fff23ec,0x3ffea00f,0xd800003f,0x332e0fff,
    0x02ccdffd,0x3dffffd5,0x3fffff60,0xffffffff,0x4fffffff,0x026eea20,
    0x442aea20,0x00000099,0x00000000,0x00000000,0x00000000,0x3fffc400,
    0x0bfff620,0x17ffffd4,0xe800efb8,0xfffdcfff,0xfff98005,0xfffb14ff,
    0x7f4003ff,0xfa9fffff,0x006fffff,0xd883fffb,0x0001ffff,0x000dfff1,
    0x3fffffee,0x3f2001ff,0xfffb84ff,0x5fffd105,0x007fffb0,0x11dffff9,
    0x447ffffd,0xffffffff,0x3ffee7ff,0x1fffb801,0xffb80000,0x3ffffe66,
    0x200fffff,0xa8800aa9,0xaaaaaaaa,0xaaaaaaaa,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40ffffc0,0x2fffffc8,0x2fffffa8,
    0x007fff10,0xfffffff5,0xffa8003f,0xffd83fff,0xf9002fff,0x7f4dffff,
    0xb004ffff,0xfd103fff,0x22000dff,0x98006fff,0xffedffff,0x7fd4006f,
    0x5fffa84f,0x4077ff44,0xb801effd,0x220effff,0x322ffffe,0xcccccccc,
    0x0077224c,0x00003eb8,0xcb85db10,0x2ccccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33bfff60,0xfffffdba,
    0xff50cfff,0xffffffff,0x0bffffff,0x3fffffa0,0x3f6a005f,0x20cfffff,
    0xffffffd8,0x7ffd401d,0x3ffee3ff,0x3f6602ff,0x44efffff,0xeffffffa,
    0x7ffff5c3,0xffffffff,0xffb02dff,0xffff31df,0xffe98007,0x24ffe882,
    0xff704ffc,0x3ffe001b,0xfff880ef,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffa80000,
    0xffffffff,0x4fffffff,0xfffffff9,0xffffffff,0x3fea00bf,0x2001ffff,
    0xffffffff,0x3ffff23f,0x4406ffff,0x220fffff,0x200fffff,0xfffffffd,
    0x7ffec2ff,0xff31ffff,0xffffffff,0xffffffff,0x1ffff881,0x001bffee,
    0xfc80ff62,0xfa80bee5,0x77fec003,0x0fffa200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffdc00,0xffffffff,0xff94ffff,0xffffffff,0x0bffffff,0x37ffff40,
    0x3ffffe00,0x3ee2ffff,0x6fffffff,0x85ffff80,0x6c07fffd,0xffffffff,
    0x7fffc42f,0xfff31fff,0xffffffff,0x1fffffff,0xfb07ffd0,0x0040009f,
    0x00000004,0x2e200971,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,0xdadfffff,
    0xf90cefff,0xffffffff,0xbfffffff,0x7fffd400,0x7fed4002,0x6444efff,
    0x1dfffffe,0x82fffd80,0x4c05fffa,0xeffffffd,0xdffff704,0xffffeb89,
    0xffffffff,0x57103dff,0x000015c0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x002af2e6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_45_latin_ext_x[560]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
8,3,3,3,2,2,2,2,4,2,3,4,8,7,-1,0,1,4,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,8,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,5,1,-1,3,-1,-2,5,1,5,6,8,0,2,8,7,6,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_45_latin_ext_y[560]={ 33,7,9,5,5,8,10,8,7,7,7,10,27,19,
28,4,7,7,7,7,7,7,7,7,7,7,15,15,10,15,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,4,7,6,40,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,15,15,15,15,15,15,7,7,7,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,33,15,5,8,12,9,
7,7,8,9,7,16,19,19,9,2,4,5,7,7,6,15,7,17,31,7,7,16,7,7,7,15,0,0,0,2,
1,-1,9,8,0,0,0,1,0,0,0,1,9,2,0,0,0,2,1,13,7,0,0,0,1,0,9,7,6,6,
6,8,8,5,14,14,6,6,6,8,6,6,6,8,7,8,6,6,6,8,8,10,13,6,6,6,8,6,7,8,
3,9,0,7,9,14,0,6,0,6,1,7,0,7,0,7,9,7,3,9,0,7,1,7,9,14,0,7,0,6,
0,7,1,7,8,5,0,0,9,7,2,8,3,9,0,7,9,7,1,15,9,7,0,6,9,7,15,0,-1,9,
7,9,7,9,7,9,7,0,6,9,14,0,7,8,8,14,3,9,0,7,0,6,9,14,0,6,9,14,0,7,
0,6,0,6,8,14,0,7,9,9,0,7,9,9,2,8,3,9,0,7,-1,5,0,6,9,15,0,6,0,6,
1,0,6,1,7,0,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,13,8,8,8,8,8,8,8,8,8,8,8,8,8,4,14,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,7,0,7,0,
7,0,7,-1,3,-1,0,-1,0,-1,0,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-8,-2,0,6,0,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_45_latin_ext_w[560]={ 0,7,14,20,18,18,18,6,10,10,18,22,9,18,
7,18,18,18,19,20,19,20,18,19,18,18,7,10,24,24,24,17,17,26,23,22,22,22,23,23,24,18,23,25,
22,26,25,24,21,24,25,20,22,24,26,26,24,24,20,10,18,10,18,28,8,22,24,21,24,21,21,23,24,20,
16,22,20,26,23,22,24,24,21,20,22,23,24,25,24,24,18,12,5,12,20,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,21,20,24,
5,21,14,25,15,22,24,18,25,28,14,22,13,12,8,23,20,7,9,12,14,21,24,28,24,17,26,26,26,26,
26,26,26,22,22,22,22,22,18,18,18,18,23,25,24,24,24,24,24,17,24,24,24,24,24,24,21,22,22,22,
22,22,22,22,26,21,21,21,21,21,20,20,20,20,21,23,22,22,22,22,22,22,23,23,23,23,23,24,24,24,
26,22,26,22,27,24,22,21,22,21,22,21,22,21,22,27,23,24,22,21,22,21,22,21,24,21,22,21,23,23,
23,23,23,23,23,23,24,24,24,24,18,20,18,20,18,20,18,20,18,20,24,24,23,16,25,22,24,22,20,22,
20,22,20,22,20,23,20,25,23,25,23,25,23,25,22,20,24,22,24,22,24,22,26,26,25,21,25,21,25,21,
20,20,20,20,20,20,20,20,22,22,22,25,22,22,24,23,24,23,24,23,24,23,24,23,24,24,26,25,24,24,
24,20,18,20,18,20,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,20,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,23,21,21,21,21,21,21,21,21,21,21,21,21,21,27,26,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,22,18,20,24,
22,24,23,24,23,24,23,24,23,24,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,22,26,26,24,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_bold_45_latin_ext_h[560]={ 0,27,11,32,33,26,24,13,33,33,18,23,13,5,
6,34,27,26,26,27,26,27,27,27,27,27,19,23,23,13,23,26,30,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,31,24,26,24,25,24,24,24,24,24,33,34,33,14,5,8,20,27,20,27,20,26,28,26,26,
35,26,26,19,19,20,28,28,19,20,25,19,18,18,18,27,18,33,33,33,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,27,30,25,19,24,
33,30,5,25,12,17,14,5,25,5,13,28,14,14,8,27,30,7,10,14,12,17,26,26,26,27,33,33,33,31,
32,34,24,33,33,33,33,32,33,33,33,32,24,31,34,34,34,32,33,17,29,34,34,34,33,33,24,27,28,28,
28,26,26,29,20,27,28,28,28,26,27,27,27,25,27,25,28,28,28,26,26,23,23,28,28,28,26,36,35,34,
30,25,33,27,30,24,34,28,34,28,33,27,34,27,33,27,24,27,30,25,33,27,32,27,30,25,33,27,34,36,
34,35,33,35,33,37,33,33,24,26,31,25,30,24,33,26,30,32,32,18,25,35,34,36,32,34,18,33,34,32,
34,24,26,24,26,24,26,33,27,32,27,33,26,25,26,28,31,25,34,27,34,28,24,20,33,27,32,27,33,26,
34,28,34,28,33,27,34,27,35,34,33,27,24,25,32,26,31,25,34,27,35,29,34,28,30,24,33,27,33,36,
32,33,27,32,26,33,26,26,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,25,25,31,25,25,25,
25,25,25,25,25,25,25,25,25,25,26,21,25,25,25,25,25,25,25,25,25,25,25,25,25,30,20,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,33,27,33,26,34,
27,34,27,35,31,35,34,35,34,35,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,41,36,33,28,36,30,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__courier_bold_45_latin_ext_s[560]={ 509,502,390,432,300,180,95,505,501,168,166,
105,501,480,443,394,116,269,249,68,185,89,134,219,224,178,497,498,128,334,80,
1,447,20,427,475,379,427,450,88,474,1,209,285,114,258,188,160,287,26,238,
375,478,233,53,451,28,332,311,335,187,253,262,451,426,393,410,371,460,224,158,
487,221,1,389,45,68,483,416,267,307,70,440,246,186,1,44,94,69,435,25,
28,503,97,405,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,509,360,308,
1,462,402,503,286,497,380,374,185,281,480,139,451,319,422,248,499,499,368,193,
435,501,306,359,208,450,421,396,392,346,483,24,142,152,74,1,312,74,129,1,
369,399,436,319,281,164,116,137,321,198,205,231,230,1,369,173,296,365,206,357,
178,121,24,47,65,485,26,317,24,490,189,354,19,421,400,379,165,334,49,376,
399,1,112,226,153,176,97,73,211,41,149,291,434,420,474,476,239,392,402,1,
332,49,285,179,156,126,466,289,284,378,153,369,452,441,262,346,46,465,430,418,
338,248,77,149,340,67,316,229,28,264,117,353,135,97,95,214,332,464,205,350,
411,392,145,332,364,272,174,255,346,120,51,480,479,72,309,288,264,309,214,330,
91,110,179,288,373,351,23,22,168,1,116,162,356,101,262,137,290,142,312,453,
197,41,89,93,445,413,466,415,135,459,95,431,114,277,312,72,357,321,111,51,
406,223,442,406,49,24,144,233,47,338,243,390,101,230,455,269,300,313,256,294,
199,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,135,73,73,76,
73,73,73,73,73,73,73,73,73,73,73,73,73,267,200,73,73,73,73,73,
73,73,73,73,73,73,73,73,258,344,73,73,73,73,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,1,1,
110,246,49,201,454,488,241,169,266,25,216,1,191,479,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,
73,73,73,1,126,202,235,52,326,73,73,73,73,73,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,73,
73,73,73,73,73,73,73,73,73, };
static unsigned short stb__courier_bold_45_latin_ext_t[560]={ 1,147,430,147,78,327,380,327,43,113,430,
405,380,430,430,43,243,300,300,272,300,272,272,243,272,243,327,300,405,430,405,
300,181,380,380,300,353,353,353,300,353,380,354,354,380,354,380,300,380,181,380,
300,380,354,405,380,405,353,354,113,78,113,430,436,430,405,272,405,272,405,327,
213,327,327,1,327,327,405,405,405,213,243,405,405,354,430,430,430,430,272,430,
113,78,147,430,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,1,272,181,
354,405,353,1,181,347,327,430,430,430,430,354,430,430,213,430,353,368,272,181,
430,394,430,430,430,300,300,300,272,113,113,147,181,147,43,405,113,147,147,147,
147,113,78,78,147,380,181,78,43,43,147,78,430,213,43,43,43,78,78,353,
272,213,243,243,300,272,213,405,272,181,213,213,300,243,243,243,354,243,354,213,
213,243,300,300,405,405,213,213,213,300,1,1,43,181,327,78,243,181,380,78,
213,78,213,113,243,43,243,113,243,380,272,181,327,113,243,147,272,181,327,113,
272,43,1,43,1,113,1,113,1,113,113,380,300,181,354,181,380,113,300,181,
147,147,430,327,1,43,1,147,43,430,147,43,147,78,380,300,380,300,380,300,
113,272,147,272,113,300,354,327,213,181,354,78,243,43,213,380,405,113,243,147,
243,113,327,78,213,43,213,78,243,43,243,1,78,78,272,380,327,147,327,181,
327,43,243,1,213,78,213,181,380,78,272,78,1,147,78,272,147,327,78,327,
327,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,327,354,354,181,
354,354,354,354,354,354,354,354,354,354,354,354,354,327,405,354,354,354,354,354,
354,354,354,354,354,354,354,354,181,405,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,113,272,
147,327,43,272,1,243,1,181,1,43,1,43,1,1,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,1,1,113,213,1,181,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354, };
static unsigned short stb__courier_bold_45_latin_ext_a[560]={ 381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_45_latin_ext(stb_fontchar font[STB_FONT_courier_bold_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_45_latin_ext_s[i] + stb__courier_bold_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_45_latin_ext_t[i] + stb__courier_bold_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_45_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_45_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_45_latin_ext_x[i] + stb__courier_bold_45_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_45_latin_ext_y[i] + stb__courier_bold_45_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_45_latin_ext_s[i] + stb__courier_bold_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_45_latin_ext_t[i] + stb__courier_bold_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_45_latin_ext_x[i] + stb__courier_bold_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_45_latin_ext_y[i] + stb__courier_bold_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_45_latin_ext_LINE_SPACING
#endif

