// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT        479
#define STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_46_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_46_latin_ext_LINE_SPACING          22

static unsigned int stb__courier_bold_46_latin_ext_pixels[]={
    0x00008000,0x00002800,0x0000c400,0x00000000,0x00000000,0x00006200,
    0x10003500,0x00370037,0x00014c00,0x00005300,0x00001320,0x09701c98,
    0x0b722000,0x776cc000,0xeeeeeeee,0x7764003e,0xddd500ee,0x2a00005d,
    0x51000003,0x2e000510,0x0001eeee,0x0c000098,0x005d4000,0x013f6200,
    0x03f44000,0xff500000,0x22000003,0xffa800ed,0xffffffff,0xffffffff,
    0xf70004ff,0x7fd4000b,0xd8800004,0x7e4003ff,0x003fd406,0x00dffb80,
    0x6ffdc000,0x7ec00000,0xb800000e,0x1bfa63ff,0x7fff4000,0xffa80001,
    0xffffffff,0x7ec005ff,0xff500fff,0x900007ff,0x800001ff,0x3fe63ff9,
    0xfffc8002,0x3620001f,0x3f20006f,0xff70001e,0x7fcc000d,0xb000003f,
    0x0000005f,0x0003fff2,0x07ffea00,0x3ffffea0,0xffffffff,0x4fffffff,
    0x06ffc800,0x01fff200,0xffff5000,0x3ee003df,0x0fff103f,0xfffe8800,
    0x880002ff,0x02fffffe,0x3ffa2000,0xfc800001,0x00effcef,0xffff9800,
    0x00000004,0xffffb000,0x3fffea01,0x3fa20003,0x4c00001f,0xfff51fff,
    0xfff90003,0x3a60003f,0x2a0004ff,0xd8002fff,0xa8001fff,0x00005fff,
    0x00007f50,0x5fffb100,0xff700000,0x3fea009f,0xffffffff,0xffffffff,
    0x3a2004ff,0x20001fff,0x0000fffe,0xfefffd88,0xf9803fff,0xeb98acff,
    0x2e0004ff,0xfffeffff,0xff70000d,0x1bfffdff,0x7fec0000,0xe9800001,
    0x00003fff,0x00bfffe2,0x00000000,0x807fffec,0x003ffffa,0x001dfd10,
    0x3fffa800,0x0007fff5,0x007ffff2,0x037ffea0,0x9fff9000,0x1fffe800,
    0x1fffe400,0x1fb00000,0xe9800000,0x00000eff,0x002fffd8,0x3fffffea,
    0xffffffff,0x04ffffff,0x01dfff30,0x0fffe800,0xfffe8000,0x0bfffb13,
    0xffffff50,0x4000dfff,0xf70dfffc,0xc8001fff,0xff70dfff,0xd88001ff,
    0xb11fdc2f,0x3b62005d,0x3f20f641,0x3fee0003,0xdb100005,0x0176c405,
    0x813332e0,0x401cccc9,0x17e62fd8,0x20005db1,0xff53fffa,0x6540007f,
    0x5c000ccc,0x00004fff,0x8017ffea,0x2001fffe,0x0002fffb,0x02fffc00,
    0xbffd0000,0xfb000001,0xfa8003ff,0xfffe85ff,0x027ffd40,0x002fffc4,
    0x00fffe80,0x0f7fdc00,0x400fffd4,0xffffffea,0xff10000c,0x7ffd105f,
    0x17ffc400,0x001fff44,0x9021ffee,0x3f200dff,0xfffa805f,0x00040000,
    0x40fff700,0x00006ffb,0x7fdc0000,0x37fe4047,0x97ffc400,0x0002fff8,
    0x7fd40000,0x9800002f,0xfd004ffe,0x7ec003ff,0x4000001e,0x001ffff9,
    0x04ff8800,0xdff10000,0xfff50001,0x81fffd0b,0xb804fffa,0x200003ff,
    0x0000fffe,0x32201e44,0x5e5cc004,0xcb80000a,0x0006dc00,0x1b70032e,
    0x06ffa800,0x7005ffb8,0xff300bff,0x0000000f,0x206ffa80,0x00005ffb,
    0x7fd40000,0x05ffb806,0x222ff880,0x000002ff,0x01efb800,0x3f620000,
    0x3fffd005,0x00014400,0x0ffff000,0x00440000,0x00ee0000,0x85fffa80,
    0x7d40fffe,0x1b8804ff,0x7fecc000,0xffffffff,0x003dffff,0x00000000,
    0x00000000,0x50000000,0x032e0039,0x5000cb80,0x75100039,0x40000357,
    0x065c01ca,0x00000000,0xcb800e54,0x10110000,0x00000001,0x000000c0,
    0x7ff40030,0x6644001f,0x4c000001,0x000001cc,0x01efa800,0x7d400000,
    0xfffe85ff,0x027ffd40,0x20005930,0xfffffffe,0xffffffff,0x000000ff,
    0x0d5dd440,0x00000000,0x55dd4400,0x00000001,0x00000000,0x7ffffd40,
    0xfffaaeff,0x00001dff,0xfffdb800,0xec8cffff,0xffffffff,0x0000006f,
    0xb8000000,0xfffffffd,0x004fffff,0x00000000,0x00ffff40,0x0dffff90,
    0x00000000,0xacba8800,0x2fffcc09,0x26000000,0xffe83fff,0x1fffcc0f,
    0x7ffff440,0x7fff4002,0xffffffff,0x81ffffff,0xffffffeb,0x04ffffff,
    0x3fffffea,0xffffaaef,0x7fecc1df,0xd701dfff,0x809dffff,0xfffffffa,
    0xfffffaae,0x0000001d,0x40000000,0xffffffd8,0xffffffff,0x00006fff,
    0x7fffc400,0xfccfffff,0xffffffff,0x000006ff,0x65d44000,0x3fe2000a,
    0xffffffff,0x4404ffff,0x00abcca9,0xacba8800,0x3fffa000,0x13bf1001,
    0x800005f9,0x001abba8,0x7fffd400,0xf88cffff,0x7ecc5fff,0x701dffff,
    0x89dffffd,0xffe81fff,0x01fff80f,0x6fb9cfc8,0x7ffed400,0xffffffff,
    0xf883efff,0xffffffff,0x884fffff,0xfffffffd,0xffffffff,0x7fff46ff,
    0xfa85ffff,0x2fffffff,0xfffffd88,0xffffffff,0x7646ffff,0x2dffffff,
    0x3fffff22,0x3fb21dff,0x22dfffff,0xffffffc8,0x7ffc41df,0xffffffff,
    0xffffffff,0x7ffff646,0x3f222dff,0x1dffffff,0xfffffff3,0xffff99ff,
    0xdfffffff,0x7fffff64,0x3ff222df,0x01dfffff,0xffffffa8,0x7cc00cff,
    0xffffffff,0x204fffff,0xfffffffb,0x001edacf,0xfffffff5,0xffe8019f,
    0x43f9001f,0x500006f8,0xdfffffff,0xbfffff55,0xfffd8805,0xffffffff,
    0x741ffffe,0x5fffffff,0xffffffa8,0x406e22ff,0xb880fffe,0xfb8df001,
    0x3ffa0001,0xff10000f,0xffffffff,0xf889ffff,0xffffffff,0xffffffff,
    0x7fffc6ff,0xfa85ffff,0x3fffffff,0x7fffffc4,0xffffffff,0x2a6fffff,
    0xffffffff,0x3ffff27f,0xf55fffff,0xffffffff,0x7ffffe4f,0x7ec5ffff,
    0xdccdffff,0xffffffff,0x3ffea2df,0x27ffffff,0xfffffffc,0x3ffae5ff,
    0xd8cfffff,0xffffffff,0xffff56ff,0x64ffffff,0xffffffff,0x3ff6205f,
    0xffffffff,0x7ff5c01e,0xffffffff,0xffe984ff,0xffffffff,0x6c405fff,
    0xffffffff,0x3fa01eff,0x3f7001ff,0x20002fc4,0xffffffd8,0xffffffff,
    0x3e606fff,0xffffffff,0xffffffff,0xffffff84,0xfffa85ff,0x003fffff,
    0x0003fffa,0x2fb8bf10,0x3fffa000,0x3fae0000,0xffffffff,0x7fec4fff,
    0xfdccdfff,0xffffffff,0x7fff542d,0xff901dff,0xd819ffff,0xccdfffff,
    0xfffffffd,0x3fea2dff,0x7fffffff,0x3ffffff2,0xfff55fff,0x4fffffff,
    0xfffffffc,0x3ffee5ff,0xffd880df,0xff505fff,0xffffffff,0x7fffffe4,
    0x7d405fff,0xff9804ff,0xfffff56f,0x7e4fffff,0xffffffff,0xfffff305,
    0xffffffff,0xf500007f,0xffe889ff,0xffffffff,0x2607ffff,0xffffffff,
    0x03ffffff,0x2003fffd,0x2fd89ef8,0x3ffe2000,0xffffffff,0xffffffff,
    0x3ffffa06,0xfffebcef,0xd506ffff,0x03bfffff,0x3ffffff2,0x3ffa000c,
    0xfc80000f,0x8000dd32,0x0000fffe,0x4fffa800,0x037fffee,0x3fffff62,
    0x4fffe805,0x1ffff980,0x0dffffb8,0xfffffd88,0x3fffb205,0x3222dfff,
    0xdffffffe,0x3ffffb21,0x3b222dff,0x1dffffff,0x2017fffe,0x205ffffd,
    0xffffffec,0x3ffb222d,0x401dffff,0x9804fffa,0x3fb26fff,0x22dfffff,
    0xfffffec8,0xffe881df,0xfdbcefff,0x003fffff,0x227ffd40,0xcefffffd,
    0xfffffedb,0xffffd107,0xfffb79df,0xffd07fff,0x7fe4003f,0x6c0006ff,
    0xccdfffff,0xfffffffd,0xff902dff,0xf9101bff,0xe805ffff,0xf9804fff,
    0xe8001fff,0x80000fff,0x03fffff9,0x07fff400,0x7d400000,0x3fffe4ff,
    0xffffd805,0xffffa805,0x2fffec00,0x805ffff8,0x805ffffd,0x32007fff,
    0x3fe03fff,0x3ff2007f,0x7fffcc3f,0xffff8800,0x07fff805,0x00ffff20,
    0x4027ffd4,0xff86fff9,0x3ff2007f,0x3fff203f,0xfff700df,0x540001ff,
    0x3fe24fff,0xff701dff,0x3ff20fff,0xff700dff,0xffe81fff,0x6e44001f,
    0x7fdc0001,0xfd880dff,0x5405ffff,0x2204ffff,0x06fffffe,0x007fffd4,
    0x0017fff6,0x0007fff4,0x01ceb880,0x0fffe800,0xfa800000,0xffff34ff,
    0xffff1001,0x3fffa00b,0x3fffe604,0x0ffff981,0x5ffff880,0x007fff80,
    0xf80ffff2,0x3f2007ff,0x7ffd43ff,0x3fff2004,0x07fff805,0x00ffff20,
    0x4027ffd4,0xff86fff9,0x3ff2007f,0xffff503f,0xffff3009,0x7fd4000b,
    0x3fffea4f,0x3fffd400,0x027fffd4,0x22ffffcc,0x0001fffe,0x3ffe0000,
    0xfffd805f,0x3ffe205f,0x7ffec05f,0x7402ffff,0x3e604fff,0xd0001fff,
    0x00001fff,0x7f400000,0x000000ff,0xf54fffa8,0x7e4009ff,0xff5005ff,
    0x3ff601ff,0x9fff505f,0x2fffe400,0x003fffc0,0x7c07fff9,0x3f2007ff,
    0x7ffe43ff,0x3ffee003,0x07fff805,0x00ffff20,0x4027ffd4,0xff86fff9,
    0x3ff2007f,0xffff883f,0x3ffea005,0xff50002f,0x1fffe49f,0x446fff80,
    0x2005ffff,0x3a2ffffa,0x00001fff,0xffff3000,0xffff1001,0x7fffd40b,
    0x3fffee00,0x5406ffff,0xfb00ffff,0x74000bff,0x80000fff,0x09abbaa8,
    0x3fffa000,0xa8000000,0xfff94fff,0x7ffdc007,0x3fffa005,0x1ffff984,
    0x007fff90,0x402fffdc,0x32007fff,0x3fe03fff,0x3ff2007f,0x1fffe43f,
    0x0bfff700,0x400ffff0,0x5003fffc,0xf3009fff,0xffff0dff,0x1fffe400,
    0x007fffd4,0x01bfff60,0x527ffd40,0x2e00bfff,0x7ffd43ff,0x7fec000f,
    0x07fffa6f,0x7ffffed4,0x8004ffff,0x2004fffa,0x2e05fffc,0x3e603fff,
    0xfffaefff,0x7fff400f,0x1ffff984,0x3fffa000,0xfdb88000,0xffffffff,
    0xffe8000b,0x8000000f,0xff94fffa,0x7fdc007f,0x3fea005f,0x7fff40ff,
    0x0ffff205,0x05fffb80,0x2007fff8,0x3e03fffc,0x3f2007ff,0x7ffd43ff,
    0x3fff2004,0x07fff805,0x00ffff20,0x4027ffd4,0xff86fff9,0x3ff2007f,
    0x3fffb83f,0x7fff8800,0x9fff5000,0x01ffffc4,0xfffb8198,0xfff88003,
    0x407fffa7,0xfffffffe,0xc8007fff,0x2e003fff,0x3f605fff,0xfff101ff,
    0x3fffe1ff,0x7fffd401,0x02ffff40,0x03fffa00,0x3ffffa00,0xffffffff,
    0x7ff4000f,0x0011001f,0x553ffea0,0x32004fff,0x74005fff,0x3fea5fff,
    0x3fea01ff,0x3ff2004f,0x7fff805f,0x0ffff200,0x2007fff8,0x7cc3fffc,
    0xf8800fff,0xff805fff,0x3ff2007f,0xfff5003f,0xdfff3009,0x400ffff0,
    0xfd83fffc,0xfd0001ff,0xf50001ff,0xfffe89ff,0x4000acef,0x0001fffd,
    0x3fa1fffd,0xfffd01ff,0xffffffff,0xfffc8005,0x3ffee003,0x03fffa05,
    0xd17ffff4,0xfd005fff,0x7ffd4bff,0x7f40001f,0x7c4000ff,0xffffffff,
    0x00efffff,0x813fff60,0x002ffda8,0xf34fffa8,0xf1001fff,0xa800bfff,
    0xffd1ffff,0xfff980bf,0xfff8800f,0x7fff805f,0x0ffff200,0x2007fff8,
    0xff83fffc,0xffd805ff,0xfff805ff,0x3fff2007,0x9fff5003,0x0dfff300,
    0x6400ffff,0xffe83fff,0xffb0000f,0xff50005f,0xffff989f,0x0bdeffff,
    0x007fff40,0xd2fffd80,0x36a03fff,0xffffffff,0x7d4006ff,0x3f2004ff,
    0xfff105ff,0x3ffff20f,0x01fffe44,0xe8ffffd4,0x5c005fff,0xfffffffe,
    0xe804efff,0xccdfffff,0x03ffffec,0x37ffff20,0xfffdcbab,0xfa8006ff,
    0x3fffe4ff,0xffffd805,0xfffe8005,0x01ffffad,0x805ffff8,0x805ffffd,
    0x32007fff,0x3fe03fff,0x3ff2007f,0xffffb83f,0xfffd880d,0xfff805ff,
    0x3fff2007,0x9fff5003,0x0dfff300,0x6400ffff,0x7fc43fff,0x3f20007f,
    0xfa8003ff,0xfff984ff,0xffffffff,0x7fff881e,0x3fff2000,0x003fffd3,
    0x7ffffff4,0x3fe6001f,0xff8800ff,0xfff105ff,0xbffff50f,0x007fff70,
    0x3eb7fffa,0x22001fff,0xffffffff,0x02ffffff,0x7ec01aa8,0x3e6004ff,
    0xffffffff,0x04ffffff,0x24fffa80,0x80dffffb,0x5fffffd8,0xffffa800,
    0x7005fffe,0x101bffff,0x0bfffffb,0x400ffff0,0x3e03fffc,0x3f2007ff,
    0xfffd03ff,0xffb99bff,0x00bfffff,0x6400ffff,0x7ec43fff,0xffffffff,
    0x260dffff,0xfff86fff,0x3fff2007,0x03fffc43,0x07fff700,0x09fff500,
    0x3fffff62,0x42ffffff,0x0007fff8,0x7f4fffee,0xff3001ff,0x09fffdff,
    0x05ffff80,0x05ffffd8,0xf983fffe,0xfd80efff,0xff5002ff,0x0bfffdff,
    0xfffff880,0xffffffff,0x2600002f,0x54006fff,0xffffffff,0x00dfffff,
    0x44fffa80,0xcdfffffe,0xffffffdc,0xffd0005f,0x003fffff,0x6ffffff4,
    0xfffffdcc,0xfff805ff,0x3fff2007,0x01fffe03,0x103fffc8,0xffffffff,
    0xffffffff,0x0ffff00b,0x21fffe40,0xfffffffc,0xffffffff,0x21bffe64,
    0x32007fff,0xffe83fff,0xffb0000f,0xff50005f,0xedb8809f,0xffffffff,
    0x007fff44,0xd2fffd80,0x36003fff,0xfffadfff,0x7ffdc007,0xffd880df,
    0x3fa05fff,0xfffd11ff,0x3fffa03f,0x3fffa000,0x8001ffff,0xffffffdb,
    0x004effff,0x6776e54c,0x006fffbc,0xfffffe98,0x001befff,0x113ffea0,
    0xffffffff,0xffffffff,0x3fea000b,0x4005ffff,0xfffffff8,0xffffffff,
    0x7fff805f,0x0ffff200,0x2007fff8,0x2203fffc,0xfffffffd,0x5fffffff,
    0x007fff80,0xf90ffff2,0xffffffff,0x49ffffff,0xff86fff9,0x3ff2007f,
    0x1fffd83f,0x1fffd000,0x9fff5000,0xfeba8800,0x3f60ffff,0xfd0001ff,
    0x3fffa1ff,0xffff8801,0x005fffd2,0xdfffffd8,0xfffffdcc,0x3ff205ff,
    0x7ffffb4f,0x01fffe20,0xffffff50,0x0000000b,0xffffb300,0xffffffff,
    0x5d4c000d,0x00001abc,0x2213ffea,0xfffffffd,0x5fffffff,0x3fffa000,
    0xd88001ff,0xffffffff,0x05ffffff,0x2007fff8,0x3e03fffc,0x3f2007ff,
    0xffb803ff,0xaaefffff,0xff805fff,0x3ff2007f,0x7ff6443f,0xffffffff,
    0x3fe60cef,0x07fff86f,0x20ffff20,0x8003fffb,0x0007fff8,0x0089fff5,
    0x17fffd40,0x0007fff7,0x7f4ffff1,0xffb801ff,0x1bffee6f,0xfffff100,
    0xffffffff,0x7d40bfff,0xffffcfff,0x17fff604,0x3ffffa00,0x0000001f,
    0x7fffe400,0xffffffff,0x000006ff,0x7fd40000,0x3ffee04f,0xfaaeffff,
    0x260005ff,0x0005ffff,0x7fffffdc,0x5fffaaef,0x00fffe80,0x403fffb0,
    0xb000fffe,0x44003fff,0x3ea1acba,0xffe805ff,0xfffb000f,0x4c000003,
    0xffe86fff,0xfffb000f,0x1ffff503,0x6fffd800,0x9fff5000,0x2e0037ec,
    0x3fea4fff,0x7ec000ff,0x3fffa6ff,0x3fffe801,0x007fffe2,0xfffffb10,
    0xffffffff,0xfffe80bf,0x2a06ffff,0x8003ffff,0x005ffff9,0x00e5c400,
    0x7ffffe40,0xffffffff,0x220006ff,0x000001cb,0x1009fff5,0x7d435975,
    0x2a0005ff,0x0001ffff,0x43597510,0xc805fffa,0xff002fff,0x7fe401ff,
    0xffff002f,0x7e400001,0xffc804ff,0xffff002f,0x5c000001,0xffc85fff,
    0xffff002f,0xbffff101,0x7fffd400,0xfff90002,0x00fffe67,0x226fff98,
    0x2005ffff,0x3a2ffffa,0x7cc01fff,0x7fec0fff,0xff50004f,0x55dfffff,
    0xfa80bfff,0x00ffffff,0x00bffff3,0x07fffea0,0xfffd0000,0x7ffd4003,
    0xba9bdfff,0x006fffdc,0x001fff60,0x1fffe400,0x7ffe4000,0x3ffa0004,
    0x0000005f,0x2013fff2,0x400ffffb,0x5c06fffd,0x6c00ffff,0x00006fff,
    0x4017fffc,0x400ffffb,0x0006fffd,0x1ffff400,0x007fffdc,0xa81bfff6,
    0x9804ffff,0x0005ffff,0x2e3ffff1,0xb000ffff,0xffa8bfff,0xff9804ff,
    0x7fff45ff,0x2fffec01,0x003fffcc,0x86aeea20,0xe805fffa,0x703fffff,
    0x001fffff,0x017fffa0,0xffff1000,0x7fff4007,0x3fe200af,0x3fe0006f,
    0x400001ff,0x002ffff8,0x02ffff80,0x3ffff500,0x7c000000,0xf8802fff,
    0xfb01efff,0xf8807fff,0xfb01efff,0x00007fff,0x03ffff26,0x3bfffe20,
    0x7ffffb01,0x32200000,0xf881ffff,0xfb01efff,0xfc807fff,0xf700efff,
    0x0001ffff,0x5cffff93,0x203fffff,0x83ffffc8,0x00effffc,0x81fffff7,
    0x2201fffe,0xfd01ffff,0x000005ff,0x4027ffe4,0xfffffffd,0xfffffdcc,
    0xff50002f,0x000003ff,0x2005fffd,0x802ffff8,0x0006fffb,0x0003ffee,
    0xffffc880,0x3f260000,0xd0000fff,0x0000bfff,0x3fff2600,0xfff5000f,
    0xffd79bff,0x2a00bfff,0xbcdfffff,0x05fffffe,0x33332a20,0x5fffffec,
    0x3fffea00,0xfffebcdf,0x980005ff,0xfffecccb,0x3fea06ff,0xfebcdfff,
    0xd005ffff,0x79dfffff,0x7ffffffb,0x33332a20,0x5fffffec,0x3fffffee,
    0xffdcbcef,0xfd00ffff,0xb79dffff,0x07ffffff,0x5c01fffb,0xccccffff,
    0x06fffecc,0x3ffe0000,0x7ffdc02f,0xffffffff,0x004fffff,0x017fffa0,
    0x7f544000,0xffff1001,0x7fff5403,0x7c40006f,0x66544006,0xffffeccc,
    0x6654405f,0xffffeccc,0xccb9805f,0xadffffdc,0x65440000,0xfffecccc,
    0x7e4005ff,0xffffffff,0x2000ffff,0xfffffffc,0x00ffffff,0xffffff10,
    0x1dffffff,0xffffc800,0xffffffff,0x7ec0000f,0xffffffff,0x7fe400ef,
    0xffffffff,0xf3000fff,0xffffffff,0x207fffff,0xfffffff8,0x20dfffff,
    0xfffffffa,0xffffffff,0x3fe602ff,0xffffffff,0xf503ffff,0xfffe80bf,
    0xffffffff,0x0001ffff,0x7fffe440,0x3fffe600,0xffffffff,0x3001efff,
    0xfffb9997,0x000015bf,0xe800bf30,0xcbceffff,0xfffffffe,0xc8003eff,
    0x3fe2001f,0xffffffff,0x7fc405ff,0xffffffff,0x7ec00eff,0xffffffff,
    0x20004fff,0xfffffff8,0x00efffff,0xfffffb80,0x00dfffff,0xfffffb80,
    0x00dfffff,0x3ffffea0,0x0effffff,0xffff7000,0x1bffffff,0xffff0000,
    0x1dffffff,0x3fffee00,0x0dffffff,0x7ffe4400,0xefffffff,0x3fffea01,
    0x5fffffff,0xffffff88,0xffffffff,0xfc8802ef,0xffffffff,0x00c401ef,
    0x3fffffe6,0xffffffff,0x544004ff,0xffeccccc,0x7f405fff,0xffea9fff,
    0x004fffff,0x3ffffff6,0x04ffffff,0x07f44000,0x3fffea00,0xffffffff,
    0xffffffff,0x00fea000,0xffffff50,0x01dfffff,0xffffffa8,0x00efffff,
    0xfffffff8,0x07ffffff,0x3fffea00,0xefffffff,0x3fa20000,0x03ffffff,
    0x7fff4400,0x8003ffff,0xfffffff8,0x0000bdff,0x7fffff44,0x200003ff,
    0xfffffffd,0x744000bd,0x3fffffff,0x7ff54000,0x804effff,0xfffffff8,
    0x3ae03dff,0xffffeb8c,0x8003ffff,0xffffffea,0x3600004e,0xffffffff,
    0xffffffff,0x3ffe2007,0xffffffff,0x7ffd405f,0x55dd442f,0xffff8000,
    0xffffffff,0x6400007f,0xff90002f,0xffffffff,0xffffffff,0x02f4001f,
    0x7ffffc40,0x00adffff,0xffffff88,0x000bdfff,0xfffffffb,0x00bfffff,
    0x7ffffc40,0x00bdffff,0x59731000,0x98800001,0x80000acb,0x02aaaaa9,
    0x97310000,0x20000015,0x00aaaaa9,0xacb98800,0x4c400000,0x98000abb,
    0x001aaaaa,0x55e5d440,0xb9880001,0x400000ab,0xaabffff8,0xeaaaaaaa,
    0xf5003fff,0xffffffff,0xf9801dff,0x000004ff,0x3ffffff6,0x05ffffff,
    0x001f4000,0x3ffffaa0,0xffabefff,0x0002dfff,0x2aaa2000,0x20001aaa,
    0x02aaaaa9,0x2aaaa600,0x01aaaaaa,0x55553000,0x00000055,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6fffb800,0x1bffee00,0xffffff80,0x000bdfff,0x000009d7,0x55555530,
    0x00035555,0x98000000,0x001abcca,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffa000,0x3ffe2003,0x2aa6001f,0x00001aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb30,0x3b203bff,0x3effffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffd8,0xffa85fff,0xffffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffec0,0xfa85ffff,0xffffffff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffe4400,0x901dffff,0xbffffffd,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00008000,0x0a20a200,0x00060000,0x0000c400,0x001500a2,0x3bbbb6e2,
    0x40000000,0x00001db8,0x00000013,0x00000062,0x00000c40,0x03000003,
    0x09800000,0x004c0000,0x000c4000,0x5b30076a,0x33220000,0x00000001,
    0x65c00099,0x00065400,0x00000310,0xca801970,0x3fa60000,0xf9800003,
    0x00bfe63f,0x02ff4400,0x07fee000,0x837fd400,0xff802ffe,0x000fffff,
    0x3fee0000,0x20000eff,0x00003ff9,0x0027fc40,0x3fea0000,0xffb80002,
    0xff700001,0x88000003,0x100006fd,0x80000dfb,0x3a002ffa,0xdff904ff,
    0xfff90000,0x000000df,0x000fff44,0x4417ffc4,0x20004ffd,0x00000efd,
    0x105fff10,0x40009ffb,0x00007ffc,0xfa8fffcc,0x980001ff,0x00003fff,
    0x0003fff6,0x2a0ffff4,0x7cc05fff,0x00ffffff,0xdf100000,0x0007f913,
    0x0027ffc4,0x37ffa000,0xc8000000,0x80000fff,0x0003fff9,0x003fffa8,
    0x9ffd3000,0xffd30000,0x7e400009,0x3ea000ff,0xffd31eff,0xf880005f,
    0x002fc89d,0xfff98000,0x3ff20005,0xffff70df,0x7fe40001,0x9000001f,
    0x3ee1bfff,0x20000fff,0x0000fffe,0x2a7fff50,0x80003fff,0x0004fffb,
    0x03fffd10,0x07ffe400,0x200fffe2,0x0ffffffd,0xf7000000,0x40006e85,
    0x000efff9,0xdffd1000,0x22000003,0x0002fffd,0x013ffee0,0x13ffee00,
    0xfff50000,0xfa80001b,0x80000dff,0x002fffd8,0xfdfffe98,0x80001eff,
    0x01be21fc,0xfff70000,0xff700009,0x1bfffbff,0xfffb0000,0x2e000005,
    0xfffdffff,0x3a60000d,0x80003fff,0xff53fffa,0xf900007f,0x200007ff,
    0x000efff9,0x980edc40,0x3ea2003d,0x00000fff,0x6f85f700,0xffe88000,
    0x1000001e,0x0005fffb,0x1effe880,0xff980000,0x540000df,0x0000dfff,
    0x004fffb8,0x04fffb80,0xdffd1000,0xffc80003,0x00004fff,0x05f887ee,
    0x3ff20000,0x2200003f,0x03fffffe,0x7ffdc000,0xd1000004,0x007fffff,
    0x7ffff540,0x01eedfff,0x44bffe20,0x80002fff,0x0001fffb,0x00bfff10,
    0x00000000,0x0003fffe,0x8aef8000,0x200003fc,0x00006ffd,0x007ffe40,
    0x1bffd000,0x74400000,0x880005ff,0x40005ffe,0x0002fffa,0x002fffa8,
    0x037ffa00,0x77f54000,0x7c400001,0x002fd89e,0x3fff3000,0x3ee00000,
    0x000000df,0x0005fff5,0x06ffdc00,0xffff9000,0xffffffff,0x17fc400d,
    0x00005ff1,0x00003bf2,0x0003ff88,0x20000000,0x0000ffff,0x3ffee000,
    0x400000ef,0x00000ffb,0x000ffd40,0x0009ff00,0x1bf62000,0x37ec4000,
    0x07bee000,0x0f7dc000,0x13fe0000,0x00e20000,0xfffc8000,0x4000006f,
    0x000000dd,0x0000014c,0x00027f4c,0x0000a600,0xfffffff9,0x1fffffff,
    0x04404400,0x00060000,0x00004400,0x20000000,0x2620ffff,0x800001ba,
    0x00002dc8,0x00000220,0x00000c40,0x00000022,0x00000260,0x03000013,
    0x00030000,0x00002200,0x002a0144,0x01dc8800,0x40288000,0x0000000a,
    0x00c00000,0x00000000,0x77ffffcc,0xfffffecc,0x0000000f,0x00000000,
    0xfd980000,0x701dffff,0x09dffffd,0x6cc7fffc,0xbdffffff,0x00000000,
    0x0a805100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06ffa800,0x00005ffd,0xf5000000,0x0bffa0df,0x00000000,0x00000000,
    0x00565d44,0x0ffffdc0,0x07fffdc4,0x00000000,0x06af2ea6,0x65d44000,
    0x7ff4000a,0xa85fffff,0xffffffff,0xfdffff02,0xffffffff,0x000007ff,
    0x6ffa8000,0x0005ffd0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x7d41fffe,0x000005ff,0xffe80000,0x2fffd41f,0x7ffff640,
    0x3f222dff,0x1dffffff,0x00000000,0xffffffa8,0xfb000cff,0xffb809ff,
    0xffffec85,0x3f222dff,0x1dffffff,0x7ffff5c0,0xfd8befff,0xffff5003,
    0x0019ffff,0xffffffff,0xfffff50b,0x3fe07fff,0xffffffff,0x5fffffff,
    0xfffffd90,0x7fe445bf,0x01dfffff,0xf507fffa,0xfd900bff,0x45bfffff,
    0xffffffc8,0x3ffb21df,0x222dffff,0xfffffffc,0x3fffae1d,0xffffffff,
    0x4fffffff,0x3ffffb22,0xffffffff,0x7ff5c1df,0xffffffff,0xffffffff,
    0x3fffb224,0xffffffff,0x7fc41dff,0xffffffff,0x04ffffff,0x2207ffe4,
    0x54003fff,0xfffffffd,0x900004ff,0xff881fff,0x7ffd403f,0x27ffffff,
    0xfffffffc,0xffb505ff,0x9fffffff,0x3f620000,0xffffffff,0xffd801ef,
    0x065c402f,0x3fffffea,0x3ff27fff,0x5fffffff,0xfffffd10,0xffffffff,
    0xffd880ff,0xffffffff,0x7ff5401e,0xf901dfff,0x019fffff,0x3ffffffe,
    0xffedccef,0x7fd43fff,0x7fffffff,0x3ffffff2,0x3f205fff,0x7ffc40ff,
    0x7fffd403,0x327fffff,0xffffffff,0xfffff55f,0x7e4fffff,0xffffffff,
    0xffffff35,0xffffffff,0x49ffffff,0xfffffffb,0xffffffff,0x3fffe66f,
    0xffffffff,0xffffffff,0x3ffffee4,0xffffffff,0x7fc46fff,0xffffffff,
    0x04ffffff,0xd980edc4,0xfffe8003,0x7fffffff,0x3b710000,0x2a00f660,
    0xffffffff,0x3ffff27f,0xd05fffff,0xffffffff,0x30000fff,0xffffffff,
    0x07ffffff,0x01efffc8,0xfffff500,0x7e4fffff,0xffffffff,0xfffffa85,
    0xffffffff,0xf301ffff,0xffffffff,0x007fffff,0x3009fffd,0xf803ffff,
    0x00cfffff,0x41fffff7,0xfffffffa,0x3fff27ff,0x05ffffff,0x6cc076e2,
    0xffffa803,0x327fffff,0xffffffff,0xfffff55f,0x7e4fffff,0xffffffff,
    0xffffff35,0xffffffff,0x49ffffff,0xfffffffb,0xffffffff,0x3fffe66f,
    0xffffffff,0xffffffff,0x3ffffee4,0xffffffff,0x7fc46fff,0xffffffff,
    0x04ffffff,0x74000000,0xffffffff,0x00002fff,0xfd900000,0x45bfffff,
    0xfffffec8,0xfffd01df,0xffffffff,0x7f440005,0xdbceffff,0x03ffffff,
    0x3bffffe6,0x3b2000ab,0x2dffffff,0x3ffffb22,0x7fc41dff,0xcbdeffff,
    0xfffffffd,0xffffe882,0xfffdbcef,0x7d403fff,0x7ec00fff,0xfff805ff,
    0xff9803ff,0x7ff642ff,0x222dffff,0xffffffec,0x0000001d,0x7fffff64,
    0x3fb222df,0x21dfffff,0xffffffec,0x3ffb222d,0x2e1dffff,0xfffffffe,
    0xffffffff,0x3b224fff,0xffffffff,0x41dfffff,0xffffffeb,0xffffffff,
    0x3224ffff,0xfffffffe,0x1dffffff,0x7fffffc4,0xffffffff,0x000004ff,
    0x7ffed400,0x6fffffff,0x00000000,0x003fffc0,0xa807fff9,0xfffffffd,
    0x20006fff,0x00dffffc,0x01fffff7,0x7fffffec,0xf001ceff,0x7e400fff,
    0xfffd03ff,0x7fe401df,0xffc82fff,0xff700dff,0xfe801fff,0x3fe604ff,
    0xfff801ff,0x3fee005f,0x0ffff04f,0x01fffe40,0x3e000000,0x3f2007ff,
    0x3ffe03ff,0x3fff2007,0x03fffc03,0x004fffb8,0x0003fffd,0x2e00ffff,
    0xfd004fff,0x3e2003ff,0x3fa206ff,0x00001fff,0xffe80000,0x001fffff,
    0x20000000,0x32007fff,0xe8003fff,0x1fffffff,0xffffa800,0xffff9804,
    0x3fff6205,0xefffffff,0x03fffc01,0x507fff90,0x001bffff,0xa85ffff3,
    0x9804ffff,0x5405ffff,0xfb00ffff,0x3fe00bff,0x3e2002ff,0xffff06ff,
    0x1fffe400,0x20000000,0x32007fff,0x3fe03fff,0x3ff2007f,0x3fffc03f,
    0x04fffb80,0x003fffd0,0x200ffff0,0xd004fffb,0x22003fff,0x3f606fff,
    0xfdb82fff,0xfb707fff,0x000dffff,0xffdffff3,0xfdb8009f,0xfb707fff,
    0xf80dffff,0x3f2007ff,0x7cc003ff,0x4fffefff,0x7fffc400,0x3ffea005,
    0x7ff5402f,0xffffffff,0x01fffe02,0xe83fffc8,0x6c005fff,0x3fe21fff,
    0x3ea005ff,0x7f402fff,0xfff984ff,0xffff001f,0xfffe8003,0x007fff80,
    0x2e0ffff2,0x707ffffd,0x0dfffffb,0x2007fff8,0x3e03fffc,0x3f2007ff,
    0x7ffc03ff,0x7fff5007,0x07fffa00,0x01fffe00,0x801fffd4,0x1001fffe,
    0x3ee0dfff,0xff884fff,0xf987ffff,0x06ffffff,0xadfffd80,0x22007fff,
    0x87ffffff,0xfffffff9,0x03fffc06,0x007fff90,0xfadfffd8,0x7d4007ff,
    0x6c000fff,0x51006fff,0xffffffd9,0x1fffe01f,0x43fffc80,0x001ffff9,
    0x3ea3ffd4,0x6c000fff,0x7d406fff,0x7ff40fff,0x3ffe005f,0x3fe2002f,
    0x7fff80ff,0x0ffff200,0xfffffff1,0xffffff30,0x7fff80df,0x0ffff200,
    0x2007fff8,0x7c03fffc,0x25fb87ff,0xd001fff8,0xf0003fff,0x4bf70fff,
    0xd001fff8,0x7c003fff,0xfff985ff,0xffff306f,0xfff30fff,0x800dffff,
    0xfd2ffff8,0x3e6005ff,0x987fffff,0x6fffffff,0x003fffc0,0x4007fff9,
    0xfd2ffff8,0x7dc005ff,0xf88003ff,0x2a0007ff,0xf04ffffc,0x7e400fff,
    0x7ffd43ff,0x83b70007,0x8003fffb,0xe807fff8,0x3fea5fff,0x3fe001ff,
    0x3ea005ff,0xffff06ff,0x1fffe400,0x3fffffe6,0xfffff987,0x7ffc06ff,
    0x3fff2007,0x01fffe03,0x403fffc8,0x7fcc7fff,0x800f6a2f,0x8001fffe,
    0x7fcc7fff,0x800f6a2f,0x2001fffe,0x7fc43ffd,0x3ae00fff,0xd907ffff,
    0x00dfffff,0x2e6fffb8,0x2e006fff,0x907ffffe,0x0dfffffd,0x2007fff8,
    0x2003fffc,0x3ee6fffb,0x3f6006ff,0xfd0001ff,0x002881ff,0x7c1bffee,
    0x3f2007ff,0x7ffdc3ff,0x7ec00005,0xfd0001ff,0xffa801ff,0xbfffd1ff,
    0xfffff800,0xffff9803,0x00ffff05,0x5c1fffe4,0x907ffffe,0x0dfffffd,
    0x2007fff8,0x3e03fffc,0x3f2007ff,0x7ffc03ff,0x027ffd47,0x07fffa00,
    0x51fffe00,0x80009fff,0x2001fffe,0xfffe82b8,0x3ffe002f,0x6fff9807,
    0x1ffff400,0x003ffff1,0x300ffff0,0xff80dfff,0x3ff2007f,0x3ffa003f,
    0x3fffe23f,0x1fffd001,0x3fff6000,0x401bfe62,0xff07fff8,0x7fe400ff,
    0x1fffe43f,0x3ffa0000,0xffb0000f,0xfffd005f,0x03ffff5b,0xffffff80,
    0xffff500c,0x1fffe03f,0x03fffc80,0x4c03fffc,0x7fc06fff,0x3ff2007f,
    0x1fffe03f,0x03fffc80,0x7ffffffc,0x0004ffff,0x000ffff4,0x7ffffffc,
    0x0004ffff,0x000ffff4,0x1ffffe40,0x01fffe00,0x801bffe6,0x6c0ffff9,
    0xf8004fff,0xff9807ff,0x3fffc06f,0x07fff900,0x03fffe60,0x1009fffb,
    0x4000ffff,0x3ee3fffc,0xffa802ff,0x0ffff07f,0x21fffe40,0x0002fffd,
    0x01fffe20,0x03fffc80,0xfeffffa8,0xff8005ff,0xcdffffff,0xffffffdc,
    0x01fffe03,0x403fffc8,0xf9807fff,0x7ffc06ff,0x3fff2007,0x01fffe03,
    0x403fffc8,0xffffffff,0x40004fff,0x8001fffe,0xffffffff,0x40004fff,
    0x0001fffe,0x02ffffd4,0x403fffc0,0x2006fff9,0xf985fffd,0xff8007ff,
    0xfff9807f,0x03fffc06,0x007fff90,0x2617fff6,0xf8807fff,0x2e0007ff,
    0x3ff63fff,0x3fa201ef,0xffff05ff,0x1fffe400,0x000bfff6,0x07fff880,
    0x0fffee00,0x7fffff40,0xff8001ff,0xffffffff,0x5fffffff,0x003fffc0,
    0xf807fff9,0xff9807ff,0x3fffc06f,0x07fff900,0x9003fffc,0xff807fff,
    0xffffffff,0x7f40004f,0xff8001ff,0xffffffff,0x7f40004f,0x260001ff,
    0x000effff,0x9807fff8,0xf1006fff,0x3fa03fff,0x7fc002ff,0xfff9807f,
    0x03fffc06,0x007fff90,0x203ffff1,0xe802fffe,0xb0000fff,0x7fec5fff,
    0xb89acfff,0x02fffffd,0x6400ffff,0x7fec3fff,0x7400002f,0xb0000fff,
    0x2a005fff,0x05ffffff,0xffffff00,0xffffffff,0xfff007ff,0x7ffe400f,
    0x03fffc03,0x2037ffcc,0x32007fff,0x3fe03fff,0x3ff2007f,0x7fffc03f,
    0x4fffffff,0x7fff4000,0xffff8001,0x4fffffff,0x7fff4000,0xffd10001,
    0x3e0003ff,0xff9807ff,0xfff7006f,0xd999999f,0xf800dfff,0xff9807ff,
    0x3fffc06f,0x07fff900,0x99ffff70,0xfffd9999,0x3fffb00d,0x3fffa000,
    0x3fffff60,0xffffffff,0x3ffe05ff,0x3fff2007,0x01fffe43,0x3fff6000,
    0xfffd0001,0x7fff4001,0xff0001ff,0xfffd51ff,0x0019ffff,0xc801fffe,
    0x7fc03fff,0xfff9807f,0x03fffc06,0x407fff90,0x32007fff,0x7fc03fff,
    0x27ffd47f,0x3fffa000,0x7fff8001,0x0027ffd4,0x007fffa0,0x1ffffec0,
    0x3fe02da8,0xfff9807f,0xffffd006,0xffffffff,0x7c003fff,0xff9807ff,
    0x3fffc06f,0x07fff900,0xffffffd0,0xffffffff,0xfffb803f,0xfff88003,
    0x7ffffdc7,0xffffffff,0x3ffe00ef,0x3fff2007,0x02fffdc3,0x3ffee000,
    0xfff88003,0x7ffcc007,0x3fe0005f,0x2eaa60ff,0xfff80009,0x3fff2007,
    0x03fffc03,0x2037ffcc,0x32007fff,0x3fe03fff,0x3ff2007f,0x3fffc03f,
    0xd90bffe6,0x3fffa007,0x7fff8001,0x3217ffcc,0xfffd003e,0xfff70003,
    0x3ffe609f,0x00ffff00,0x300dfff3,0xffffffff,0xffffffff,0x3fffc009,
    0x037ffcc0,0x4003fffa,0x4c01fffd,0xffffffff,0xffffffff,0x7fffd404,
    0x7ffec000,0x7ffffcc6,0xffffffff,0x0fffe804,0x83fffb00,0x000ffffa,
    0x3fffea00,0x7ffec000,0x7ffd4006,0x3fe0001f,0x800000ff,0xb000fffe,
    0xff803fff,0xfff9807f,0x07fff406,0x01fffd80,0x4003fffa,0x7c01fffd,
    0x43ea87ff,0xe800fff9,0xf8001fff,0x43ea87ff,0xe800fff9,0x4c001fff,
    0x2e06ffff,0xfff02fff,0xdfff300f,0xfffffb00,0xffffffff,0x7c00ffff,
    0xff9807ff,0x7ffe406f,0x1ffff002,0xfffffd80,0xffffffff,0x7c407fff,
    0x2a005fff,0xb982ffff,0xdffffb50,0x3ff20017,0xffff002f,0x0bfffd01,
    0xff106a00,0x7d400bff,0x74002fff,0x40005fff,0x0000ffff,0x02fffc80,
    0x801ffff0,0xf9807fff,0x7fe406ff,0xffff002f,0x17ffe401,0x00ffff80,
    0x7003fffc,0xfd005fff,0xff0003ff,0x7fdc00ff,0xfffe802f,0x3ffe2001,
    0x3ff200ff,0x3ffff03f,0x37ffe440,0x2ffffe20,0xaaaaaaaa,0x003fffea,
    0x4403ffff,0x5c06fffc,0x6c00ffff,0x7c406fff,0xaaaabfff,0xffeaaaaa,
    0x7ffd403f,0xfff9804f,0x7ff4005f,0x7fdc001f,0x7fec00ff,0xffff706f,
    0x7fec4007,0x27fffd43,0x2ffffcc0,0x3fffea00,0x7ffc0001,0xb800000f,
    0x6c00ffff,0xff806fff,0x3f2201ff,0x7fdc06ff,0x7fec00ff,0x7ffdc06f,
    0x7ffec00f,0x07fff806,0x00ffff20,0x0007fffa,0xc801fffe,0xfe803fff,
    0x3fa001ff,0x7e402fff,0xfffd03ff,0xffff7107,0xfffb80df,0x3ffee006,
    0x7fffd006,0xfffff710,0xffff880d,0xffffb01e,0x6fffb807,0x1bffee00,
    0x3bffff20,0xfffff700,0xfffe8001,0x7ffc4001,0xfffb01ef,0x3ffa207f,
    0x7cc01eff,0xffc86fff,0xff700eff,0xe8001fff,0x80005fff,0x0000ffff,
    0xeffff880,0x7ffffb01,0x07fffd00,0xdfffff71,0xeffff880,0x7ffffb01,
    0xeffff880,0x7ffffb01,0x00ffff00,0x401fffe4,0x8001fffe,0x32007fff,
    0xfe803fff,0xff9001ff,0xff9009ff,0x3fff207f,0xfffdcbdf,0x03efffff,
    0x4007fffd,0x801ffff8,0xcbdffffc,0xfffffffd,0x3fea03ef,0xfebcdfff,
    0xe805ffff,0x22003fff,0xe801ffff,0xbcefffff,0x3ffffffd,0x1fffe800,
    0xffffa800,0xfffebcdf,0x7fcc05ff,0xbcdeffff,0xffffffec,0xfffffd04,
    0xffffb79d,0x65cc07ff,0xdffffdcc,0x6544000a,0x2cccffff,0x3fea0000,
    0xfebcdfff,0x9005ffff,0xb97bffff,0xffffffff,0x7ffd407d,0xffebcdff,
    0xf5005fff,0xd79bffff,0x40bfffff,0xffffffeb,0xffffffff,0x913fffff,
    0xfffffffd,0x3bffffff,0xfffffeb8,0xffffffff,0x13ffffff,0xffffffd9,
    0xbfffffff,0xffffff83,0xffffffff,0xf303ffff,0xffffffff,0xffffffff,
    0x3fff661f,0x901dffff,0xdffffffd,0x7fffcc07,0xffffffff,0x00ffffff,
    0x3ffffff2,0x0fffffff,0xfffffb30,0x3b203bff,0x3effffff,0x3ffffe60,
    0xffffffff,0xffb0003f,0x3f20001f,0xffffffff,0xa800ffff,0xffffffff,
    0xffffffff,0xffff300d,0xffffffff,0x7fec07ff,0xffffffff,0x7f4004ff,
    0xffffffff,0x3200006f,0xffffffff,0x000fffff,0xfffffff3,0xffffffff,
    0x7e401fff,0xffffffff,0x2000ffff,0xfffffffc,0x00ffffff,0xfffffff3,
    0xffffffff,0x27ffffff,0xfffffffb,0xffffffff,0x3fffe66f,0xffffffff,
    0xffffffff,0xfffff73f,0xffffffff,0xfff8dfff,0xffffffff,0x3fffffff,
    0x3ffffea0,0xffffffff,0xffb0ffff,0xbfffffff,0xffffff50,0x5401ffff,
    0xffffffff,0xffffffff,0x7ffdc00f,0xdfffffff,0x3ffff600,0xa85fffff,
    0xffffffff,0x3f2200ff,0xffffffff,0x2e0001ef,0x5c0006ff,0xffffffff,
    0x22000dff,0xfffffffe,0x03ffffff,0xfffffc88,0x01efffff,0x7ffffffc,
    0x07ffffff,0x3ffffe60,0x0fffffff,0x3fee0000,0xffffffff,0x7fd4000d,
    0xffffffff,0x0fffffff,0x7ffffdc0,0x00dfffff,0xfffffb80,0x00dfffff,
    0x3fffffe2,0xffffffff,0x3fffffff,0xfffffff7,0xffffffff,0x7fffc4df,
    0xffffffff,0xffffffff,0xfffff73f,0xffffffff,0xfff8dfff,0xffffffff,
    0x3fffffff,0x7ffffd40,0xfffabeff,0x3fff62df,0x85ffffff,0xfffffffa,
    0x7d400fff,0xbeffffff,0x02dffffa,0xfffffd10,0xffb007ff,0xbfffffff,
    0xffffff50,0x5001ffff,0xdffffffd,0xfb100009,0xfd100005,0x07ffffff,
    0x7ffed400,0x1cefffff,0x7fff5400,0xb004efff,0xffffffff,0x800bffff,
    0xfffffffe,0x00006fff,0xfffffe88,0x2a0003ff,0xefffffff,0x2dffffab,
    0xffffd100,0x80007fff,0xffffffe8,0xffb7003f,0xffffffff,0xffffffff,
    0x3ffb227f,0xffffffff,0x6dc1dfff,0xffffffff,0xffffffff,0xfd913fff,
    0xffffffff,0xf83bffff,0xffffffff,0xffffffff,0x7973003f,0xfc880035,
    0x1dffffff,0xfffffd90,0x5cc005bf,0x00001abc,0x00acb988,0x3ffff220,
    0xd901dfff,0x5bffffff,0xabb98800,0x00000000,0xacb98800,0x26200000,
    0x0001acba,0x01577310,0x55555300,0x00355555,0x2aaaaa60,0x00001aaa,
    0x0565cc40,0x79730000,0x10000035,0x00015973,0x0acb9880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcb800026,0x00065400,0x000036e0,0x800036e0,0x065400cb,0x2e017200,
    0x0000000d,0x0b660000,0x00db8000,0x00260000,0x9dddd730,0x00000000,
    0x00006dc0,0x0db805c8,0x0000e4c0,0x00600000,0x0bb88000,0x4c000000,
    0x18000000,0x18000000,0xeeeca800,0x5000eeee,0x88000017,0xf10005fe,
    0xffd105ff,0x3fa20007,0x100002ff,0x0005fffd,0xd105fff1,0x7c4007ff,
    0x0ffe203f,0x13fee000,0x7fdc0000,0x220000df,0x0002fffe,0x000ffc80,
    0xdffffff3,0x7dc00000,0x3fa6000d,0x440002ff,0x3fe203ff,0x03ffe603,
    0x20000000,0x00003fe9,0xea8bffb0,0x2200001e,0x000006fd,0x00013fa6,
    0x01ffcc00,0xffffff70,0xf7003fff,0x4c0000df,0x20004fff,0xf70dfffd,
    0x70001fff,0x1bffffff,0x7ffdc000,0x4000dfff,0xf70dfffd,0xf8001fff,
    0x5ffd01ff,0xfff98000,0x2600001f,0x2ffffffe,0xffffb800,0x80000dff,
    0x2006ffd8,0x6ffffffb,0xff500000,0x3fee009f,0x000dffff,0x7407ffe0,
    0x3fee02ff,0x0000005f,0x017ffd40,0x7ffcc000,0x007fffc7,0x27ff4c00,
    0xffa80000,0x8000002f,0x2001fffb,0xfffffffd,0xffd801ff,0xfa80001f,
    0xb80005ff,0xfffeffff,0x7f44000d,0xffffbdff,0x7ff44002,0x2ffffbdf,
    0x7fffdc00,0x000dfffe,0xbbdfffb8,0x0006fffd,0x03ffffb8,0xffff7000,
    0x01bfffd7,0x7bfffd10,0x0005ffff,0x0077ff4c,0xffffff10,0xf100000d,
    0xe8809fff,0xfffbdfff,0xff70002f,0xfffb77bf,0xffff980d,0x00000000,
    0x0007fff9,0x13fff600,0x0009ffff,0x00dfffa8,0xfffc8000,0xc8000004,
    0x4c003fff,0xffffffff,0xfffe801f,0x7fe40001,0x2600003f,0x02fffffe,
    0x45fffd00,0x001fffe9,0xe88bfffa,0x4c001fff,0x02fffffe,0x7fffe400,
    0x000effff,0x0ffff880,0xfffa8000,0x17ffee0d,0x98bfffa0,0x8001fffe,
    0x000dfffa,0x0dfff730,0xfff90000,0xfffe803f,0x07fffa62,0x7fffe400,
    0x800effff,0x0004fffe,0x7fec4000,0x3000002f,0xfc83ffff,0x70001fff,
    0x00009fff,0x00bfff60,0xffd10000,0x54c0003f,0x01fffeaa,0x001fffe8,
    0x00bffee0,0x6ffdc000,0xbff10000,0x00ffee01,0xb806ffc4,0xf70003ff,
    0x200001bf,0x3fffffe9,0x6ecc0000,0xff900001,0x01ffa605,0x2e01bff1,
    0x7c4003ff,0x980004ff,0x00006fff,0x037fffc4,0x5c037fe2,0x260003ff,
    0x03fffffe,0x03fffea0,0xfc800000,0x000001ef,0x2217fff6,0x8005ffff,
    0x0002fffa,0x03dff900,0xffb00000,0xe800001d,0xfe801fff,0x320001ff,
    0x000001ef,0x4c00014c,0x40028801,0x00288019,0x000014c0,0x00001330,
    0x44000000,0x800a800a,0x00288019,0x0002ff98,0x00dfff30,0xffffb800,
    0x88019802,0x26600002,0xfffd0000,0x40000009,0x00000dfe,0x0bfffe20,
    0x00ffffec,0x0007bee0,0x00dfd800,0xbfd00000,0x3fa00000,0xffe801ff,
    0x00c0001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00004c00,0x00dfff30,0x6fffe800,0x00000000,0x7d400000,
    0x00000fff,0x00000600,0x81bfff20,0x005ffff9,0x00000018,0x80000003,
    0x20000018,0xe801fffe,0x00001fff,0x26200000,0x000abcca,0x0acba880,
    0xca988000,0x40000abc,0x01abcba9,0x00000000,0x35797530,0x00000000,
    0x57975300,0x00000003,0x46fff980,0xefffffeb,0x3fffea03,0x00000002,
    0x15975100,0x3fffe000,0x00000003,0x3e200000,0x7ec02fff,0x00000fff,
    0x00000000,0x00000000,0x03fffd00,0x003fffd0,0x20000000,0xfffffffb,
    0x001edacf,0xfffffff5,0xf700019f,0x9fffffff,0xd7003db5,0xdfffffff,
    0xec87fb17,0x2dffffff,0x3fffff22,0x75c01dff,0xefffffff,0x9803fd8b,
    0xfffffffd,0x1dffffff,0x7ffff5c0,0xfd8befff,0x00000003,0x7ccdfff3,
    0xffffffff,0x0dfffd02,0x3fffffb2,0x3ff222df,0x01dfffff,0xffffffa8,
    0x2e000cff,0x00007fff,0x00000000,0x201bffee,0x003ffff9,0x00000000,
    0x00000000,0xfffd0000,0x3fffd003,0xffffb500,0x009fffff,0xffffe980,
    0xffffffff,0x7fec405f,0xffffffff,0xffd3001e,0xffffffff,0x7440bfff,
    0xffffffff,0x27ffffff,0xfffffffa,0x3fff27ff,0x05ffffff,0xffffffd1,
    0xffffffff,0xffffb00f,0xffffffff,0x3a20bfff,0xffffffff,0x47ffffff,
    0xffffffec,0x0004efff,0x7d4dfff3,0xffffffff,0x3ffff882,0xffffffa8,
    0x3ff27fff,0x5fffffff,0x3ffff620,0x1effffff,0x5ffff100,0xffd70000,
    0xffffffff,0xffffffff,0xffff0007,0x3fffa007,0x7fffed46,0xfec881df,
    0x75c4efff,0xffffffff,0x002cdeff,0x7fffff5c,0xfffd9103,0x4003bfff,
    0xe801fffe,0xfe801fff,0xffffffff,0x3a20007f,0xffffffff,0x07ffffff,
    0x3fffffe6,0xffffffff,0x7fff4403,0xffffffff,0xff507fff,0xffffffff,
    0x3fffffff,0x3fffffea,0x3ff27fff,0x5fffffff,0xffffffa8,0xffffffff,
    0x7ec01fff,0xffffffff,0x85ffffff,0xfffffffa,0xffffffff,0xffff71ff,
    0xffffffff,0xff30005f,0x7fffccdf,0xf504efff,0xff501fff,0xffffffff,
    0x7fffffe4,0xff305fff,0xffffffff,0x2007ffff,0x0006fffc,0x7fffffc4,
    0xffffffff,0x03ffffff,0x03fffdc0,0xe8ffff70,0x5fffffff,0xffffffb8,
    0xffff32ff,0xffffffff,0x003dffff,0xfffffff1,0xffff701f,0x00dfffff,
    0x400ffff4,0xe801fffe,0xffffffff,0xb0002fff,0x79dfffff,0xffffffdb,
    0x3ffffa20,0xfffdbcef,0x3f603fff,0xdbceffff,0x87fffffe,0xeffffff8,
    0xffffdcbd,0x3fb22fff,0x22dfffff,0xfffffec8,0x7ffc41df,0xdcbdefff,
    0x2fffffff,0x7fffecc0,0xffffffff,0x7ffc41df,0xdcbdefff,0x2fffffff,
    0xfffffff7,0x05ffffff,0x2dfff300,0x1ffffffa,0x07fffb80,0x3fffffb2,
    0x3fb222df,0x81dfffff,0xefffffe8,0xfffffdbc,0xfff8803f,0x3e20002f,
    0xffffffff,0xffffffff,0x74003fff,0x2a003fff,0x3fa0ffff,0x86ffffff,
    0xfffffffb,0xfffff32f,0xffffffff,0x807fffff,0xfffffff8,0xffffb85f,
    0x006fffff,0x2007fffa,0xa800fffd,0xfffffffd,0x88006fff,0x701dffff,
    0x320fffff,0x700dffff,0x101fffff,0x203bffff,0xe87ffffb,0x200effff,
    0x82fffffc,0x32007fff,0xffd03fff,0x7e401dff,0x0002ffff,0x201bffe6,
    0x00effffe,0x8bfffff2,0xffffffec,0x0004efff,0xff7dfff3,0x2001dfff,
    0xf806fffc,0x3f2007ff,0x3ff203ff,0xff700dff,0xf9001fff,0xb8000dff,
    0xffbffffe,0xffffffff,0x2a003fff,0x2000ffff,0x2a2ffff9,0x1efffffd,
    0xfffffd88,0x7fff5c4e,0xffffffff,0x01ffffff,0x7fffff5c,0x7f6442ff,
    0x01dfffff,0x007fffa0,0x80017fea,0xfffffffe,0x7ffd4001,0x7ffd400f,
    0x4ffffa87,0x5ffff980,0x00ffffa8,0x2a3fffd4,0x800dffff,0xf82ffff9,
    0x3f2007ff,0xfffa83ff,0xff9800df,0x260002ff,0x7d406fff,0x9800dfff,
    0x3202ffff,0x00003fff,0xfffffff3,0xfe800bff,0xfff805ff,0x3fff2007,
    0x9ffff503,0xbffff300,0x3ffff100,0xfff30000,0x901ffff1,0x74007fff,
    0xf8004fff,0xff983fff,0x3fea05ff,0xfff804ff,0xfff93107,0x7ffc00df,
    0x2e00efff,0xe8004fff,0x31001fff,0x7ffcc000,0x004fffef,0x801fffe4,
    0x7fc46fff,0x3ea005ff,0x7fe42fff,0xdfff003f,0x005fffe8,0x7c0fffec,
    0x3f2007ff,0xfffe83ff,0x7ffec005,0x3fe60001,0x7fff406f,0x7ffec005,
    0x0ffff201,0x7ffcc000,0x003fffff,0x803ffff8,0x32007fff,0xff883fff,
    0x3ea005ff,0xfd802fff,0xb80005ff,0x1ffff6ff,0x007fff90,0x003fffea,
    0x413fffa0,0x882ffffc,0xf006fffe,0xff700fff,0x3fe001ff,0x204fffff,
    0x8004fffb,0x0001fffe,0xbfffb000,0x800ffff5,0x7005fffa,0xfffa87ff,
    0x7fec000f,0x2fffd46f,0x263ffb80,0x4001ffff,0xfff07ffa,0x7ffe400f,
    0x0ffffcc3,0x01ffea00,0x0dfff300,0x00ffffcc,0x901ffea0,0x00007fff,
    0x3fffffe6,0x7c4002ff,0xff802fff,0x3ff2007f,0xffffa83f,0x7ffec000,
    0xffff9806,0x7ff40001,0x901ffff4,0x36005fff,0xb0005fff,0x7f40bfff,
    0x7fe40fff,0xfff001ff,0x3fffa00f,0xfffff002,0x3ee03fff,0xfe8004ff,
    0x000001ff,0xd2ffff88,0x44005fff,0x3003ffff,0x07fff703,0x8ffff100,
    0x003ffff8,0x7fffa833,0x203b7000,0x32007fff,0x7fd43fff,0x3b70007f,
    0xfff98000,0x1fffea06,0x200edc00,0x0003fffc,0xffffff30,0x4c005fff,
    0xf802ffff,0x3f2007ff,0xfffb83ff,0xfff88003,0x9fffb007,0x7ffc4000,
    0x261ffff1,0x003fff50,0x003ffff3,0x81bfff60,0x2a5ffff9,0x2004ffff,
    0xfb007fff,0x3fe007ff,0x06ffffff,0x0009fff7,0x0003fffd,0xdfff7000,
    0x0037ffdc,0x33bffffa,0x7fec000a,0xffd0001f,0xffffe81f,0x2e000ace,
    0x00005fff,0x400ffff0,0x7dc3fffc,0x000005ff,0x37ffcc00,0x00bfff70,
    0xfffc8000,0xff300003,0xfffffdff,0x7fffc007,0x07fff803,0x20ffff20,
    0x0001fffd,0x5001fffd,0x0001ffff,0xfff9ffea,0xf8affb8f,0xfffb007f,
    0x7ff4000b,0x7ffdc05f,0x6fffe8af,0x03fffc00,0x007fffc4,0xffbffff8,
    0xfffb83ff,0xfffe8004,0x00397001,0x447fffd0,0x2001ffff,0xfffffff9,
    0x7400bdef,0xb0000fff,0xff985fff,0xdeffffff,0x3fff200b,0xff000003,
    0x7fe400ff,0x1fffe43f,0x20000000,0x3206fff9,0x00003fff,0x01fffe40,
    0x6fff9800,0x09fffff5,0x013fffa0,0xc801fffe,0xffe83fff,0xffb0000f,
    0x3ffa005f,0xffb0004f,0x747fffcb,0x200515ff,0x001ffff8,0x00ffffe0,
    0x3f7ffffa,0x7c001fff,0x7fdc07ff,0x3fe006ff,0xffffd8ff,0x027ffdc0,
    0x00ffff40,0x20037fe4,0x6c0ffff9,0x4c004fff,0xffffffff,0xf881efff,
    0x320007ff,0xff983fff,0xffffffff,0xfffd81ef,0xff000002,0x7fe400ff,
    0x17ffec3f,0x20000000,0x3606fff9,0x00002fff,0x01fffe40,0x6fff9800,
    0x17ffffea,0x017fff60,0xc801fffe,0x7fc43fff,0x3f20007f,0xff5003ff,
    0xff0001ff,0x7ffffc7f,0xc8007fff,0x20006fff,0x802ffff8,0xfffffff8,
    0xfff8003f,0xecb9999f,0x003fffff,0x3e23fffe,0x7fdc5fff,0xffe8004f,
    0xfffd801f,0x3fff6001,0x07fff985,0xffffd880,0x2fffffff,0x003fffc4,
    0x207fff70,0xffffffd8,0x6c2fffff,0x00002fff,0x400ffff0,0x7ec3fffc,
    0x400002ff,0x3fe60029,0x3fff606f,0x64000002,0x00003fff,0xf98dfff3,
    0x200effff,0xf807fffc,0x3f2007ff,0x7ffc43ff,0x3fee0007,0x3ffa003f,
    0x7fcc003f,0x3ffffe0f,0x44007fff,0x0002ffff,0x007fffe6,0x7fffffdc,
    0xffff0006,0xffffffff,0xf8007fff,0xfff70fff,0x27ffdc5f,0x0ffff400,
    0x00ffff40,0x01ffff88,0x0005fffd,0x3fffb6e2,0x744fffff,0xb0000fff,
    0xb8805fff,0xffffffed,0x3fff64ff,0xff000002,0x7fe400ff,0x17ffec3f,
    0xbff50000,0x1bffe600,0x002fffd8,0x7ffe4000,0x7f640003,0xff986fff,
    0x43efffff,0x400ffffa,0x32007fff,0xffe83fff,0xffb0000f,0x7fdc005f,
    0x7fe4007f,0x7fffffc6,0x7e4007ff,0x5c0006ff,0x6c007fff,0x001fffff,
    0xfffffff0,0x5fffffff,0x1ffff000,0xb87ffff4,0xfd704fff,0xffffffff,
    0x1bffffff,0x4007fffa,0xcccffffb,0x6fffeccc,0xd7510000,0x6c1fffff,
    0xd0001fff,0x88001fff,0xfffffeba,0x007fff90,0x1fffe000,0x43fffc80,
    0x0003fffc,0x401fff20,0x3206fff9,0x00003fff,0x01fffe40,0x3fea0b98,
    0xfc86ffff,0xffffffff,0x07fffe60,0x400ffff0,0xfd83fffc,0xfd0001ff,
    0xff8001ff,0x3fa003ff,0xfffcccef,0x007fffff,0x00bfffe2,0x0dfffb00,
    0x3ffff880,0x3fffe000,0xffffffff,0xfff0002f,0x7fffcc1f,0x309fff75,
    0xffffffff,0xffffffff,0x3fffa9ff,0xffffd001,0xffffffff,0x01003fff,
    0x2ffffa80,0x000fffee,0x021fffe2,0x5ffff500,0x0017ffee,0x03fffc00,
    0xb87fff90,0x00005fff,0x2007fffa,0x2e06fff9,0x00005fff,0x01fffe40,
    0xff537fd4,0xf70dffff,0xffffffff,0x05ffff81,0x9003fffc,0xff707fff,
    0xff10007f,0xff7000ff,0x3fe600df,0xffffffff,0x005ffe8f,0x001fffee,
    0x09ffff10,0x03fffd00,0x77fffc00,0xfffffeee,0xfff8000e,0x7fffdc0f,
    0x984fffba,0xffffffff,0xffffffff,0x3fffd4ff,0xfffff300,0xffffffff,
    0xfd809fff,0x7ffdc006,0x03fffea4,0x8dfffb00,0x7dc006fd,0xffff54ff,
    0xfd000001,0x3f6001ff,0x7ffd41ff,0xfd00000f,0xff3003ff,0x7ffd40bf,
    0x2000000f,0xc803fffc,0x3fb20fff,0xec886fff,0x82dfffff,0x201ffffc,
    0xb000fffe,0xff503fff,0xfd8001ff,0xf88006ff,0xfb802fff,0xffffffff,
    0x02ffb8ff,0x00ffffe0,0x1ffff900,0x3fffd000,0x3fffc000,0x77ffff44,
    0x7fffc000,0xcefffe80,0xfb704fff,0xffffffff,0x19dfffff,0x2007fffa,
    0xfffffffd,0xffffffff,0x3ffe607f,0x3ffe6003,0x17fffe26,0x2ffffa80,
    0x800fffe6,0x3fa6fff9,0x350005ff,0x00bfff20,0x7407fffc,0x50005fff,
    0x00ffff43,0x2027ffd4,0x0005fffe,0xfffc8035,0x2fffd803,0x4c000000,
    0x3205ffff,0xff002fff,0xfff101ff,0x7fd400bf,0xf90002ff,0xffb00dff,
    0xfffddddd,0x3950221f,0x01ffff50,0x7fffc400,0xfffd0005,0x7ffc0003,
    0x3ffff607,0x7fffc006,0xfffff980,0x00004fff,0x03fffd00,0xabffff88,
    0xaaaaaaaa,0xf703fffe,0x36001fff,0x7fd45fff,0xff9804ff,0x7ffdc5ff,
    0xfffb000f,0x1ffffdcb,0x07ffb100,0x801ffff7,0xf706fffd,0x44007fff,
    0xfffd3ffd,0x5fffd003,0x3ffffb80,0x0fff6200,0x803fffc8,0x0002fffd,
    0xfffd8000,0xffff701f,0x6fffd801,0x13fffea0,0x17fffe60,0xffff8800,
    0x0bffe201,0x5403fffe,0xfffe86ff,0x7fdc0004,0xfd0001ff,0x7c0003ff,
    0x7fec07ff,0x3fe004ff,0xfff900ff,0x0009ffff,0x3fffa000,0x37ffdc01,
    0x0dfff700,0x0fffffee,0x3ffffc88,0x0effffc8,0x1fffff70,0x3fffffb8,
    0x3ffff220,0x3ffffa23,0x7ffcc01e,0xffff886f,0xffffb01e,0x3fffa207,
    0x7fcc01ef,0xbfffd6ff,0x3fffa205,0x7ff4400f,0x7cc01eff,0x3f206fff,
    0xffd803ff,0x37fa002f,0x3fe60003,0xfff104ff,0x3ff603df,0x7fe403ff,
    0xff700eff,0x80001fff,0x2a05fffd,0xfff80fff,0x1fff900f,0x007fffd4,
    0x1bfffe00,0x1fffe800,0x1fffe000,0x0bffff60,0x807fffc0,0xfffffff8,
    0xbefc8004,0x1fffe800,0x01ffff40,0x03ffff10,0xfffffff7,0xfffb979d,
    0x3fa01fff,0xdbceffff,0x83ffffff,0xfffffffb,0xfffdcbce,0x7fcc0fff,
    0xbcdeffff,0xffffffec,0xfffff504,0xffffd79b,0xfff980bf,0xcbcdefff,
    0x4ffffffe,0xbffffffd,0xfffffb99,0x3ffe6007,0xcbcdefff,0x4ffffffe,
    0x00ffff20,0x400bfff6,0x003ffff9,0x03ffff60,0x6fffffd4,0xfffffebc,
    0xffffd005,0xfffb79df,0x00007fff,0x203ffff3,0xfff05ffd,0x3fff601f,
    0x013fffa1,0x5ffff700,0x7fff4000,0x3ffe0001,0xfffe8807,0xffff800e,
    0x3fffea00,0xff8004ff,0xffe805ff,0xfffd981f,0x901dffff,0xdffffffd,
    0x7ffffd47,0xffffffff,0x2602ffff,0xffffffff,0x03ffffff,0xfffffff5,
    0xffffffff,0x3fea05ff,0xffffffff,0x0dffffff,0x3fffff20,0xffffffff,
    0xffffa800,0xffffffff,0xfd0dffff,0xffffffff,0x007fffff,0xffffffa8,
    0xffffffff,0xfd910dff,0xffffffff,0xffffffff,0x333005ff,0x4000dff9,
    0x204ffff8,0xfffffffc,0x00ffffff,0xffffff30,0xffffffff,0x7ec00007,
    0x3ff625ff,0xffbbffff,0xffffffff,0x31ffffff,0x0001ffff,0x006fffe8,
    0x3fffffae,0x0cefffff,0x3ffffae0,0xf302dfff,0x905dffff,0xdffffffd,
    0xfffffb07,0x5ccc4009,0x7ec00ffe,0xfffd80ff,0x85ffffff,0xfffffffa,
    0xfff10fff,0xffffffff,0x005dffff,0xffffff91,0x403dffff,0xfffffff8,
    0xffffffff,0x7ff4402e,0xffffffff,0xf7003fff,0xffffffff,0x744001bf,
    0xffffffff,0x443fffff,0xffffffeb,0x003fffff,0xfffffd10,0xffffffff,
    0xfffffb87,0xffffffff,0xffffffff,0x6fffc402,0x640005ff,0x7dc05fff,
    0xffffffff,0x644000df,0xffffffff,0x00001eff,0xf93fffcc,0xffffffff,
    0xffffffff,0xffffffff,0x017ffee3,0x3ffff100,0x3fffe200,0xffffffff,
    0xfff303ff,0xffffffff,0x7ffffdc0,0x7ffffcc7,0x440fffff,0x004fffff,
    0x3fff7ffa,0x82ffd400,0xfffffffd,0xfffa85ff,0x0fffffff,0x3fae33ae,
    0x3fffffff,0xfffea800,0x7004efff,0xfffd719d,0x007fffff,0xfffffda8,
    0x001cefff,0x7fffff44,0x2a0003ff,0xfffffffd,0x64c01cef,0xceffffff,
    0xfda80002,0xefffffff,0xffffa81c,0xffffffff,0xffffffff,0x7ff4402f,
    0x80001fff,0xe8802ffd,0x3fffffff,0x7ff54000,0x004effff,0x97ff2000,
    0xfffffffb,0xffffffff,0xffffffff,0x1fff31ff,0x7ff90000,0x7fffc400,
    0xffffffff,0xfff303ff,0xffffffff,0x7ffffe80,0x7fffffcc,0xfb80ffff,
    0x32004fff,0x004fffff,0x7fe44031,0x01dfffff,0xffffffd9,0x2ea2005b,
    0x80001abc,0x000abb98,0x57975100,0xa9880003,0x00001acb,0x00159731,
    0x65d4c400,0x2a20001a,0x000000bb,0x03597531,0x3ffffb20,0xffffffff,
    0x2fffffff,0x1cedc880,0x00260000,0x01597310,0xbb988000,0x0000000a,
    0xfffdb055,0xfffd55df,0xffffffff,0x6543ffff,0x02600001,0x3fff6a00,
    0xefffffff,0x3ff6e00c,0x02dfffff,0x416fffc4,0xffffffeb,0x3fffa02d,
    0x6f6dc004,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb9000000,0x03d98001,0x500004d8,0x9700003b,0x000ca801,0x2af32a62,
    0x00100000,0x20199100,0x200002da,0xb80000db,0x0065c00c,0xb3007aa0,
    0xb7000005,0x09800001,0xb7000000,0xb8000001,0x2200000d,0x05b500cc,
    0x00013000,0x0006dc00,0x20003771,0x164c01ca,0x403c8800,0x665c03c8,
    0x000acccc,0x004ffb80,0x5ffd1000,0x00ffb800,0x00003fee,0x0009fff9,
    0x4417ffc4,0xf7003ffe,0x9fffffff,0x54003db5,0x20000dfe,0xffa85ffe,
    0x7440001f,0x20002fff,0xe982fff9,0x7f4003ff,0x0037ec05,0x5fffd100,
    0xffd50000,0x00037019,0x02fffe88,0xffe88000,0xfd00002f,0x3fff50bf,
    0x3ffaa000,0x8001b80c,0x002fffe9,0x000bffff,0x3f209ffd,0xff70006f,
    0x1fff501d,0x7fffff40,0x4c0006ff,0x0001ffff,0x02fffcc0,0x982ffd40,
    0x260007ff,0x1efffffe,0xbfffb000,0x03fffee1,0xfffffd30,0xffffffff,
    0x7fffc00b,0xfff10003,0x07fff90f,0x7fffdc00,0xb0000dff,0x3ee1bfff,
    0x64000fff,0xbff703ff,0x3fee0000,0x000dffff,0xffffffd0,0x001bfa67,
    0xffffffb8,0xf700000d,0x01bfffff,0x3fffc400,0x001fffe4,0x7ffffff4,
    0x800dfd33,0xdffffffb,0x3fffe600,0x7fd4005f,0xfffd31ef,0x3fe20005,
    0xfffb13ff,0xffffe80b,0x0001ffff,0x00ffffee,0x4fffb800,0x3fffa000,
    0x3fffdbbd,0xdfff9000,0x009fffd7,0x3bfffee0,0x4400dfff,0xfffffffe,
    0x7fffffff,0xbffff300,0x27fec000,0x0007ffcc,0x5effff44,0x0002ffff,
    0xffddfff7,0xf10001bf,0xfd959dff,0x880003ff,0xffbdfffe,0x7dc002ff,
    0xffffdbff,0x88005fff,0xffbdfffe,0x220002ff,0xffbdfffe,0x360002ff,
    0xfff984ff,0x7ffdc000,0xffffffdb,0xffd1005f,0x5ffff7bf,0x7fffff40,
    0x7ff4c003,0x02efffdf,0x7ffec400,0x803ffffe,0xfffffffe,0x7fc40006,
    0x700000ff,0x80007fff,0xffffffe8,0xf90004ff,0x7fe449ff,0xfd30004f,
    0x2005ffff,0xcefffffd,0xfffffedb,0x3fffa007,0x00d40002,0x3a000151,
    0x3fa62fff,0xd30001ff,0x005fffff,0xfffff980,0x0002ffff,0x262fffe8,
    0x2001fffe,0x3fea0cfa,0xd0004fff,0x7f4c5fff,0xfd0001ff,0x7ff4c5ff,
    0x06a0001f,0xa8000a88,0x3ffea0cf,0x3fa004ff,0x3ffa62ff,0x3ffaa01f,
    0xfc88006f,0x000cffff,0x3fffee00,0xffd001ef,0x0001557f,0x00077660,
    0x001fff80,0x3fffee00,0x3a0001ef,0xbff501ef,0xdffb8000,0xffff1000,
    0x3ffee03b,0x3722007f,0x00000002,0x06ffc400,0x0003ffb8,0x0006ffe4,
    0xffffc880,0x880000df,0xff700dff,0x2e200007,0xf10000bd,0x3fee01bf,
    0xdff88003,0x007ff700,0x00000000,0x0017b710,0xb806ffc4,0x7fc403ff,
    0x3aa0007f,0x000001ef,0x8007ffb1,0x0000fffe,0x20000000,0x000000cb,
    0x20000331,0x00150028,0xa8005300,0x5400ffff,0x00007fff,0x00000000,
    0x0a200660,0x0014c000,0x00331000,0x10033000,0x00000005,0x22006600,
    0x00660002,0x000000a2,0x00000000,0x14400cc0,0x00ffff80,0x0000e200,
    0x4000d400,0x0000fffe,0x00000000,0x00000000,0x00000000,0xffc80000,
    0xdfff003f,0x00000000,0x36e60000,0x00005eee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x002b2ea2,0x59751000,0x00000001,
    0x007fffc0,0x00000000,0x3ffa0000,0x4400000f,0x000abcca,0xeeeeeca8,
    0x100000ee,0x00157995,0x5e654400,0x0000000a,0x02fffd40,0x0003ffb8,
    0xfffec800,0x3222dfff,0xdfffffff,0xffffff11,0x0000000f,0x00000000,
    0x00000000,0x3fffffb2,0x3ff222df,0x01dfffff,0x00000000,0xfa800000,
    0xcfffffff,0x3fea0000,0x0cffffff,0x40000000,0x0000ffff,0x00000000,
    0x07fff400,0x7fed4000,0xbdffffff,0x3fee03fc,0x1fffffff,0x3ff6a000,
    0xbdffffff,0x36a003fc,0xffffffff,0xf103fcbd,0xffffffff,0x9fffffff,
    0x03ffff88,0xfff10330,0xffffffff,0x549fffff,0xffffffff,0x3ffff27f,
    0xf55fffff,0x00ffffff,0x3fffea00,0xffffffff,0xffffffff,0xffffb504,
    0x009fffff,0x3ffffae0,0xffffffff,0x24ffffff,0xfffffffa,0x3fff27ff,
    0x25ffffff,0xdfffffda,0xfffec881,0x7ff5c4ef,0x983effff,0xfffffffd,
    0x3ff6200d,0xffffffff,0x7ec4001e,0xffffffff,0x3b2201ef,0xffffffff,
    0x01dfffff,0x5c03fffe,0xfffffffe,0x002bdeff,0x7fffffd7,0x3fffb220,
    0x3fa1dfff,0x640000ff,0xffffffff,0x0fffffff,0xffffffb0,0x20003fff,
    0xfffffffc,0xffffffff,0xffffc800,0xffffffff,0xff880fff,0xffffffff,
    0x84ffffff,0xaceffffe,0x7ffc4000,0xffffffff,0x2a4fffff,0xffffffff,
    0x3ffff27f,0x3a5fffff,0x007fffff,0xfffff500,0xffffffff,0x9fffffff,
    0x3fffffa0,0x007fffff,0xffffff98,0xffffffff,0x24ffffff,0xfffffffa,
    0x3fff27ff,0x25ffffff,0xfffffffe,0xfffffb85,0xfff32fff,0x3fffffff,
    0xffffffd8,0xff304fff,0xffffffff,0x2007ffff,0xfffffff9,0x3fffffff,
    0xffffff70,0xffffffff,0x7ffc0dff,0xffff980f,0xffffffff,0x2200dfff,
    0xffffffff,0xfffffb80,0x3fa6ffff,0xb10000ff,0xffffffff,0xffffffff,
    0x3fffe605,0x001fffff,0x7ffffec4,0xffffffff,0x36202fff,0xffffffff,
    0xffffffff,0xfffff882,0xffffffff,0xff984fff,0xdeffffff,0x7ffc400b,
    0xffffffff,0x644fffff,0xdffffffe,0x3fffb222,0x5441dfff,0x00007fff,
    0xfffffff5,0xffffffff,0x209fffff,0xfffffffe,0x4002ffff,0xfffffff9,
    0xffffffff,0x644fffff,0xdffffffe,0x3fffb222,0x3fa1dfff,0x86ffffff,
    0xfffffffb,0xfffff32f,0xd83fffff,0xffffffff,0xfffe884f,0xffdbceff,
    0x4403ffff,0xcefffffe,0xffffffdb,0xfffffb83,0xffffffff,0x3fe06fff,
    0xfff980ff,0xffffffff,0x03ffffff,0xfffffff1,0xffff70bf,0x74dfffff,
    0x88000fff,0xdffffffe,0xffffecbb,0x554c02ff,0x001fffea,0x3fffffa2,
    0xffecbbdf,0xd102ffff,0x7bffffff,0xfffffd97,0xffff105f,0xffffffff,
    0x2609ffff,0xffffffff,0xf101efff,0xffffffff,0x9fffffff,0x801fffe0,
    0x7c03fffc,0x500007ff,0xffffffff,0xffffffff,0x2a09ffff,0xfffffffd,
    0xb8006fff,0xfffffffe,0xffffffff,0xfff04fff,0x7ffe400f,0xffffda83,
    0xffd881ef,0x7e44efff,0x3effffff,0xfffffd98,0xffc80dff,0xff700dff,
    0x7e401fff,0xf700dfff,0xc881ffff,0xfffffffe,0x1dffffff,0x403fffe0,
    0xffffffeb,0xffffffff,0xffd702ff,0x885fffff,0xffffffec,0x03fffa1d,
    0x3ffff600,0x3ff2201d,0x7f4002ff,0x3f6001ff,0x2201dfff,0xb02ffffc,
    0x403bffff,0x82ffffc8,0x2206fff8,0x201ffffe,0xffffffd8,0x882fffff,
    0x3a206fff,0xff01ffff,0x7fe400ff,0x3fffc03f,0xfffa8000,0x40fffe85,
    0x2004fffa,0xfffffffe,0x3ffe0001,0x9fff7007,0x801fffe0,0x2603fffc,
    0x2a05ffff,0x2e04ffff,0x98004fff,0xff506fff,0xff3009ff,0x3fea0bff,
    0xff9804ff,0x3fa005ff,0xfe8001ff,0x7ff403ff,0xffdb980f,0x7fc01fff,
    0x200effff,0xfe84fffb,0x7cc000ff,0x3a005fff,0x74002fff,0xf3001fff,
    0x7400bfff,0xff982fff,0x3fa005ff,0xfff882ff,0x3ffff606,0xfdb71002,
    0x9fffffff,0x206fff88,0x202ffffd,0x32007fff,0x7fc03fff,0x26ea627f,
    0xbfff5000,0xa81fffd0,0xf3004fff,0x9fffdfff,0x3fffc000,0x04fffb80,
    0x6400ffff,0x7e403fff,0xfe882fff,0x7fd406ff,0xffa8005f,0xffff885f,
    0x3ffea005,0x7fffc42f,0x3ffea005,0xfffd002f,0xfffb0003,0x3ffa07ff,
    0x7ffcc00f,0x7fffc06f,0x3ee04fff,0xfffe84ff,0x7ffec000,0x7ffd4006,
    0x7fff4000,0xdfffb001,0x0fffa800,0x006fffd8,0x4407ffd4,0xff706fff,
    0x440009ff,0xfffffeba,0x41bffe20,0x404ffffb,0x32007fff,0x7fc03fff,
    0xffffd9ff,0x7d402eff,0xfffe85ff,0x027ffd40,0xfadfffd8,0x3e0007ff,
    0xff5007ff,0x1fffe07f,0x03fffc80,0x40ffffe8,0x401ffffc,0x7c46fff9,
    0x7fd43fff,0xffffa84f,0x7ffec000,0x07fffd46,0x1bfff600,0x00ffff40,
    0x7ffffc40,0x0fffe81f,0x1ffffa80,0x3fffffe0,0xfff701ff,0x01fffd09,
    0x0ffffc40,0x001fe400,0x400ffff4,0x001ffff8,0xff883fc8,0xfc8001ff,
    0x217ffe03,0x406ffff9,0x7ffd4000,0x42fffc2f,0x806ffff9,0x32007fff,
    0x7fc03fff,0xffffffff,0x2a03ffff,0xffe85fff,0x27ffd40f,0x97fffc40,
    0x0002fffe,0xbf70ffff,0xf80fffc4,0x3f2007ff,0xff9803ff,0x3ffea5ff,
    0xfff8804f,0x37fffd47,0x2e0fffee,0x88003fff,0x7fdc7fff,0xff88003f,
    0xfffd007f,0x3ffa0003,0xffe82fff,0xfffb000f,0x7ffffc0b,0xff706fff,
    0x1fffd09f,0x3fffcc00,0x74000000,0xf9801fff,0x800007ff,0x0007fff9,
    0x10fff600,0x401fffff,0x7dc006fd,0x1ffec4ff,0x03ffffe2,0x801fffe0,
    0x7c03fffc,0xffffffff,0x04ffffff,0xfd07fff3,0xfff981ff,0x6fffb803,
    0x001bffee,0x3e63fffc,0x80f6a2ff,0x32007fff,0xf7003fff,0xffd15fff,
    0x7ffc00df,0x3ffff60f,0x0bfff20f,0x0007fff6,0xfb07fff4,0x3a0003ff,
    0xfe800fff,0xfc8001ff,0xfd05ffff,0x3e6001ff,0x3ffe07ff,0x83ffffbf,
    0xfe84fffb,0x3ee000ff,0x000005ff,0x01fffe80,0x005fffb8,0x5fffb800,
    0x2e200000,0x2ffffe82,0x00fffe60,0x446fff98,0xffffe82b,0x0ffff002,
    0x01fffe40,0x3ffffffe,0xfffffcde,0x207ffe07,0xff80fffe,0xfffe801f,
    0x07fffe23,0x51fffe00,0xf8009fff,0x3f2007ff,0x3fa003ff,0xffffdfff,
    0x3fffa001,0xffffff11,0x40fffec7,0x0000fffe,0x7f45fffb,0xfb0000ff,
    0xffd005ff,0xffb0003f,0x7ff403bf,0x3ffe000f,0x1ffff00f,0xb81ffffb,
    0xffe84fff,0x3ff2000f,0x0000003f,0x801fffe8,0x0003fffc,0x03fffc80,
    0xfc800000,0x7dc03fff,0xfb000fff,0x3f200bff,0x3e003fff,0x3f2007ff,
    0x7ffc03ff,0xff981eff,0x037101ff,0x2203fffa,0xfff9801b,0x27ffec0f,
    0x7ffffc00,0x04ffffff,0x003fffc0,0x4007fff9,0xfffffff8,0x7fec003f,
    0xfffff52f,0x0ffff4df,0x001fffe2,0xf13fffc8,0x64000fff,0xfe803fff,
    0xfe8001ff,0x7ff400ff,0x3ffa000f,0x1ffff01f,0xb8bffff1,0xffe84fff,
    0x3ff6000f,0x0000002f,0x801fffe8,0x0002fffd,0x02fffd80,0x7d400000,
    0xfb805fff,0x2203ffff,0x803ffffc,0x005ffffa,0x9003fffc,0xff807fff,
    0x3f600eff,0xfd0003ff,0xd80001ff,0xff985fff,0xfff8007f,0xffffffff,
    0x3fffc004,0x07fff900,0xfffffb80,0xffc8006f,0xfffffb3f,0x3fffe1ff,
    0x03fffc40,0x27fff700,0x0007fff8,0x200fffee,0x8001fffe,0x7400ffff,
    0x32000fff,0xfff02fff,0x3fffee1f,0x213ffee2,0x2000fffe,0x2202fffd,
    0xccccccca,0x7ff4001b,0xfffd801f,0x3332a202,0x6c1bcccc,0x2a202fff,
    0xbccccccc,0xffff3001,0xfff7001d,0x979dffff,0x1ffffffb,0xeffff980,
    0x3fffc000,0x07fff900,0xa807fff8,0xd0005fff,0x40001fff,0xd01ffff8,
    0xf8005fff,0xffffffff,0x7fc004ff,0x3ff2007f,0xffd8003f,0xc8001fff,
    0xfff8cfff,0xf8bfffef,0xfffd07ff,0x3ff60001,0x03fffa2f,0x17ffec00,
    0x00ffff40,0x007fffc0,0x8003fffa,0xff02fffc,0x7fff41ff,0x09fff70f,
    0x4001fffd,0xf102fffd,0xffffffff,0x7f400bff,0xffd801ff,0xffff102f,
    0xbfffffff,0x8817ffec,0xffffffff,0x74405fff,0x5001ffff,0xffffffff,
    0xffffffff,0xffe8805f,0xff8001ff,0x3ff2007f,0x3fffc03f,0x02fffd40,
    0x00fffe80,0x3fffee00,0xfecccccc,0x7fc006ff,0xffffffff,0x7ffc004f,
    0x3fff2007,0xfff88003,0xff70003f,0x7dfff7bf,0xfff3dfff,0x07fff60d,
    0x07fff400,0x0003fffb,0x2003fffa,0x8001fffe,0x7400ffff,0x36000fff,
    0xfff02fff,0x7fffcc1f,0xd09fff75,0x64001fff,0xff503fff,0xffffffff,
    0x7ff400ff,0xfffc801f,0xfffff503,0x4fffffff,0xf503fffc,0xffffffff,
    0xffd80fff,0x45b503ff,0xfffffff8,0xffffffff,0xfffd802e,0x205b503f,
    0x32007fff,0x7fc03fff,0xfffa807f,0xfffd0005,0x7ff40001,0xffffffff,
    0x001fffff,0xff51fffe,0xfff8009f,0x3fff2007,0xfffd0003,0x3fea0003,
    0x8bfffddf,0xfffbffff,0x07fff705,0x8ffff100,0x8003fffb,0xd007fff8,
    0xf0003fff,0xfe801fff,0x3fa000ff,0xffff01ff,0xaffffb81,0xfe84fffb,
    0x3ea000ff,0xfff104ff,0xffffffff,0x7fff400b,0x4fffa801,0xffffff10,
    0x54bfffff,0xff104fff,0xffffffff,0x7ffdc0bf,0x1fff304f,0x7f5c675c,
    0x3fffffff,0x9ffff700,0x203ffe60,0xb000fffe,0xff803fff,0xfffa807f,
    0xfffd0005,0x3fe60001,0xffffffff,0x04ffffff,0xf31fffe0,0x03ec85ff,
    0x2001fffd,0x0001fffd,0x0003fffd,0x3fffffe6,0xffffb1ff,0x3ea09fff,
    0x6c000fff,0x7fd46fff,0x7ec000ff,0xffd006ff,0xfff0003f,0xfffe801f,
    0xffff1000,0x407fffc0,0xffcefffe,0x0fffe84f,0x17ffe200,0xecccca88,
    0x74004fff,0xf8801fff,0x32a205ff,0x4fffeccc,0x102fffc4,0xffd99995,
    0x7ffcc09f,0x3ffee06f,0xdffa8802,0x3fe6001a,0x3fee06ff,0x2fffc82f,
    0x01ffff00,0xa807fff8,0xd0005fff,0x20001fff,0xfffffffd,0xffffffff,
    0x3ffe007f,0x7cc3ea87,0xfffc80ff,0x1ffff002,0x3fffa000,0xfff10001,
    0x7dcdffff,0x03ffffff,0x00bffff1,0x217fffd4,0x005ffff8,0x00bfffea,
    0x000ffff4,0x2007fffc,0x5000fffe,0x7fc0dfff,0xfff980ff,0xe84fffff,
    0x7c000fff,0x64002fff,0x74002fff,0xff001fff,0xfc8005ff,0xffff82ff,
    0x7ffe4002,0xfffff102,0x1fffe401,0x800bff00,0x00fffff8,0x2e0ffff2,
    0x6c00ffff,0xff806fff,0xfffa807f,0xfffd0005,0xfff10001,0x5555557f,
    0x7fffd555,0x01fffe00,0xb82fffb8,0x6c00ffff,0x20006fff,0x0001fffe,
    0x3ffffffe,0x3ffffe24,0x3fea02ff,0xff9804ff,0xfff505ff,0xfff3009f,
    0x7ff400bf,0xfff8001f,0x7fff400f,0xfffe8800,0x03fffe04,0x7fffffe4,
    0x0fffe84f,0x77ffec00,0x3fff2000,0x7fff4002,0xdfffb001,0x7ffe4001,
    0x0efffd82,0x0bfff200,0x017ffff4,0x800ffff2,0xd000dfff,0xc805ffff,
    0xff883fff,0xffb01eff,0xfff007ff,0xbfff500f,0x3fffa000,0xfffb8000,
    0x3ffee006,0x0ffff006,0x41fffe40,0x01effff8,0x007ffffb,0x00ffff40,
    0xfffffd00,0xffffd83f,0x7fe401ff,0xff700eff,0x7e401fff,0xf700efff,
    0x4001ffff,0x4001fffe,0xe807fff9,0x74400fff,0x3e01ffff,0xff100fff,
    0xd09fffff,0x88001fff,0x403fffff,0x02fffea8,0x00ffff40,0x3fffff88,
    0x7fff5440,0xfffff882,0x7ff54403,0xffffc82f,0x3fffc804,0x13fffe00,
    0x13ffff20,0x40ffff20,0xcdfffffa,0x5fffffeb,0x00ffff00,0x000bfff5,
    0x0003fffa,0x800ffffa,0x801ffff8,0x32007fff,0xff503fff,0xfd79bfff,
    0x000bffff,0x001fffe8,0x3fffff60,0xfffffb86,0xfffe800f,0xffdbceff,
    0xe803ffff,0xbcefffff,0x3ffffffd,0x0ffff400,0xffffd980,0x0fffe805,
    0x7ffe5cc4,0x7ffc03ff,0x3ffea00f,0xffe84fff,0x801bdeef,0xeffffffb,
    0xffffdbcc,0x74002fff,0x2e001fff,0xceffffff,0xfffffdbc,0xfff702ff,
    0xb799dfff,0x5fffffff,0xfffffff0,0xffffffff,0xea807fff,0x806feabb,
    0xffffffff,0xffffffff,0x3ff203ff,0xffffffff,0x3a600fff,0x0effffff,
    0x7fffff5c,0x3ffae05f,0xffffffff,0xfffb304e,0x203bffff,0xffffffec,
    0x7fff5c3e,0xffffffff,0xffffffff,0x3ffff203,0xffffffff,0x3fae000f,
    0xffffffff,0xf9000cef,0xf109ffff,0x200fffff,0xfffffff9,0x3fffffff,
    0xfffff300,0xffffffff,0x3fb2207f,0xffffffff,0x7c1dffff,0x202fffff,
    0xffffffec,0xffffffff,0x3fb205ff,0x83efffff,0x84fffffd,0xfffffffe,
    0xffffb007,0xffffffff,0x705fffff,0xfffffffd,0xffffffff,0xffffb01b,
    0xffffffff,0x405fffff,0xfffffffd,0xffffffff,0xffff82ff,0xffffffff,
    0x03ffffff,0x7fffffec,0xfffff803,0xffffffff,0x403fffff,0xfffffffb,
    0x7400dfff,0xffffffff,0x3ffffe25,0xf883ffff,0xffffffff,0xd82fffff,
    0xffffffff,0xffffa85f,0x30ffffff,0xffffffff,0xffffffff,0x807fffff,
    0xfffffffb,0x2000dfff,0xfffffff8,0x3fffffff,0xfffff700,0x3ffff603,
    0x3ff22007,0xffffffff,0x7e44001e,0xffffffff,0x3fee01ef,0xffffffff,
    0x26ffffff,0x04fffff9,0x3fffffe6,0xffffffff,0xf300dfff,0xffffffff,
    0xffff881f,0xffffe84f,0x5001ffff,0xfffffffd,0x5dffffff,0xffffff30,
    0xffffffff,0x2a09ffff,0xfffffffe,0x2effffff,0xffffea80,0xffffffff,
    0xffff02ef,0xffffffff,0x07ffffff,0xfffffe98,0xfffff800,0xffffffff,
    0x803fffff,0xffffffe8,0xfffd003f,0x44bfffff,0xffffffff,0xffff883f,
    0xffffffff,0xfffd82ff,0x85ffffff,0xfffffffa,0xfff10fff,0xffffffff,
    0xffffffff,0xfd1007ff,0x07ffffff,0xfffff100,0xffffffff,0x3fea007f,
    0x3fea07ff,0xea8006ff,0x4effffff,0x7ff54000,0x804effff,0xfffffffb,
    0xffffffff,0x1fffec6f,0x3ffffe60,0xffffffff,0x7cc03fff,0xffffffff,
    0xffffb80f,0xfffffe84,0xeb8005ff,0xffffffff,0x3fe601df,0xffffffff,
    0xffffffff,0x7fff5c04,0x1dffffff,0xfffeb800,0x1dffffff,0x7fffffc0,
    0xffffffff,0x1003ffff,0x7fc00395,0xffffffff,0xffffffff,0x32e62003,
    0x7ecc000a,0x41dfffff,0xefffffda,0xfffb700c,0xdfffffff,0x3fff2209,
    0x901dffff,0xbffffffd,0xffffdb85,0xffffffff,0x3fffffff,0x2b2e6200,
    0x7ed40000,0xffffffff,0xf3000cef,0x7c409fff,0x20005fff,0x000abb98,
    0x55dcc400,0x3fb22000,0xffffffff,0x981dffff,0x3ff6e001,0xffffffff,
    0xd7000ade,0x5bffffff,0x427fff40,0x0aaaaaaa,0xca988000,0xb70009ab,
    0xffffffff,0x9dffffff,0x654c4001,0x000009ab,0x13579531,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb9009b10,
    0x13100000,0x00020000,0x2a0065c0,0x0f22000c,0x80009710,0x25c403c8,
    0xcba98000,0x200001ab,0x000001da,0x00000000,0x66654000,0x9800cccc,
    0x00b901cb,0x020001b7,0x00000000,0xca801970,0x99510000,0x00000157,
    0x400001b7,0x99999999,0xd1000099,0x80007ddd,0x5b500cc8,0x3fffae00,
    0xfd9103ff,0x03bfffff,0x2601ffa8,0x880002ff,0x1dfffffc,0x04ffa800,
    0x17ffc400,0x001fff44,0xd503dff5,0x540003ff,0xfea81eff,0x3ae0001f,
    0xefffffff,0x2003fd8b,0x004fffc8,0x7ffff5c0,0xdeffffff,0x7f64002c,
    0xffffffff,0x3ff2004e,0x01ffffff,0x20ffffe4,0x3e203ff8,0x7fd4003f,
    0x3ffae004,0x22dfffff,0xefffffd9,0x05fff104,0x4007ffd1,0xffffffda,
    0x03fcbdff,0x5fffd100,0xffff0000,0xffffffff,0xfff30005,0xfe80009f,
    0x1fffa85f,0x7ffffc40,0xffb80fff,0x6fffffff,0x4077fc40,0x0000fff8,
    0x7fffff4c,0x22000fff,0x0002ffff,0xb86fffec,0x4000ffff,0x3f23fffe,
    0xe80005ff,0x3ff23fff,0xfd10005f,0xffffffff,0x00ffffff,0x3fffffaa,
    0xff98001e,0xffffffff,0x1effffff,0xfffffb80,0xffffffff,0xffffd002,
    0x6403ffff,0xf83fffff,0x5ffd01ff,0x7fffc400,0xffff9802,0x26ffffff,
    0xfffffffd,0xbfffb02f,0x03fffee1,0x7ffffe40,0xffffffff,0x7dc000ff,
    0x00dfffff,0xfffff100,0x5fffffff,0xffff3000,0x7fc40009,0x3fffc87f,
    0x7ffffc40,0xffb85fff,0x6fffffff,0xbdfffd80,0x004fffdb,0x7ffffc40,
    0x000fffff,0x013fffe6,0x3fffee00,0x000dfffe,0xeefffd88,0x00004fff,
    0xfddfffb1,0x2a0009ff,0xffffffff,0xffffffff,0x7ffe401f,0x04ffffbe,
    0x7ffffcc0,0xffffffff,0x403fffff,0xfffffffb,0x02ffffff,0xffffff70,
    0x3fe603ff,0xfb80ffff,0xffdbbdff,0x7fcc006f,0xff9804ff,0xffffffff,
    0x3fffffa6,0x3ee02fff,0xdfffefff,0xfffd8800,0xffffffff,0x002fffff,
    0xf7bfffd1,0x20005fff,0xaaaaaaa8,0x30000aaa,0x0009ffff,0xf984ffd8,
    0xfeb800ff,0x42ffffff,0xfffffec8,0xffb001df,0x0bffffff,0xffffb000,
    0x00bfffdf,0x003fffd0,0x3fffa600,0xa80002ff,0x01efffff,0xfffa8000,
    0x10001eff,0xbdffffff,0xfffffb97,0x7fe405ff,0x3fff224f,0x7ff5c003,
    0xffffffff,0x1fffffff,0x7ffff640,0x04efffff,0x7f555440,0xfff901ff,
    0x7fe4017d,0x0effffff,0x1fffe800,0xffffd700,0x7cc5bfff,0x04efffff,
    0xfffffe98,0xfffd1002,0xd977bfff,0x05ffffff,0x98bfffa0,0x0001fffe,
    0x91000000,0x00005999,0x00544035,0x7fffffc0,0x3ffee00e,0xfffa8004,
    0x80002eff,0x20cffff9,0xb9300018,0xf7000005,0x400001bf,0x0004ffd8,
    0x27fec400,0x3fffa000,0x3ff200ef,0x3fa02fff,0x0bff501e,0x83fffc00,
    0x6ffffc98,0x1fffe400,0x3ffa0000,0x5fffb01f,0x3fffa600,0x260003ff,
    0xf88002dc,0x3ff207ff,0xb8003fff,0x36000dff,0x201dffff,0x02ffffc8,
    0x700dff88,0x000007ff,0x00000000,0x40000000,0x4fffffff,0x013ffee0,
    0x00099880,0x1fffee00,0x00000000,0x0000a600,0x00001a80,0x00006a00,
    0x01bffff5,0x05ffff30,0x00a80144,0x01fffe00,0x003fffee,0x003fffc8,
    0x0ffff400,0x001fffe8,0x00000998,0xfff88000,0xfffffb07,0x014c0005,
    0x17fffe60,0x02fffe80,0x05100330,0x00000000,0x00000000,0xffff8000,
    0xf701ffff,0x000009ff,0xfff90000,0x00000009,0x00000000,0x00000000,
    0x3fa00000,0x7ec005ff,0x000001ff,0x0ffff000,0x00bfffa0,0x003fffc8,
    0x0ffff400,0x001fffe8,0x00000000,0x23fffc40,0x1fffffe8,0xd8000000,
    0x54006fff,0x00000fff,0xfffd9000,0x6445bfff,0xdfffffff,0x00000001,
    0xff800000,0x06ffffff,0x0009fff7,0xfb000000,0x000003ff,0x00000000,
    0x00000000,0x30000000,0x8003ffff,0x00007ffa,0x3ffe0000,0x7fffb007,
    0x1fffe400,0x3ffa0000,0x3fffd01f,0x00000000,0xfff88000,0x3ffffa27,
    0x0000001e,0x01ffff88,0x0003fc80,0xfff50000,0x4fffffff,0xfffffffc,
    0x7f6445ff,0x01ffffff,0xfffffb50,0xffd9103b,0xff809dff,0x3ffffbff,
    0x704fffb8,0xfffffffd,0xffffffff,0x6c009fff,0x2e001fff,0xfffffffe,
    0xffffffff,0x7f5c4fff,0xffffffff,0xffffffff,0x7fff5c4f,0xefffffff,
    0x2a0002cd,0xfffffffd,0xfa8004ff,0xb70007ff,0x7ffed403,0x04ffffff,
    0x07fff800,0x00ffff88,0x00ffff20,0x3fffd000,0x207fffa0,0xfffffec8,
    0xffffffff,0x3ffb221d,0xffffffff,0xf101dfff,0x3ffe6fff,0x91000eff,
    0xfffffffd,0x3bffffff,0x003fffcc,0xfffb5000,0x76445bff,0x20dfffff,
    0xfffffffa,0x3fff27ff,0x45ffffff,0xfffffffc,0xffd001ff,0x70bfffff,
    0xffffffff,0x47fffc05,0x5c0ffffd,0xff984fff,0xffffffff,0xffffffff,
    0x32e604ff,0xccdffffc,0xffff300a,0xffffffff,0xffffffff,0x7ffffcc9,
    0xffffffff,0x4fffffff,0x3fffffe6,0xffffffff,0xe8001eff,0xffffffff,
    0xfb8007ff,0x000005ff,0x3ffffffa,0x0007ffff,0x5c07fff8,0x4006ffff,
    0x0003fffc,0x80ffff40,0xfb81fffe,0xffffffff,0x6fffffff,0x3fffffee,
    0xffffffff,0xfff106ff,0xbfffff5f,0xffffb800,0xffffffff,0x3ee6ffff,
    0x000005ff,0xfffffff1,0x3ffee1ff,0x644fffff,0xdffffffe,0x3fffb222,
    0x7e41dfff,0xffffffff,0xffffd001,0xff70dfff,0x05ffffff,0x7c47fffc,
    0x7fdc5fff,0xffff984f,0xffffffff,0xffffffff,0xfffff704,0xffffffff,
    0x3ffffe60,0xffffffff,0x4fffffff,0x3fffffe6,0xffffffff,0x24ffffff,
    0xfffffff9,0xffffffff,0x74003fff,0xffffffff,0x64002fff,0x00003fff,
    0x3fffffa0,0x02ffffff,0x4ffffc00,0xffecb999,0x64003fff,0x00003fff,
    0xe80ffff4,0xffb81fff,0xffffffff,0x26ffffff,0xfffffffb,0xffffffff,
    0xffff106f,0x01ffffff,0xfffffb80,0xffffffff,0x3ff26fff,0x1000003f,
    0xffffffff,0x3fffee1f,0xff04ffff,0x7fe400ff,0xfffb103f,0x003fffff,
    0x3fffff6a,0xfffd881e,0x7fc04eff,0xffff70ff,0x827ffdc5,0xffffffeb,
    0xffffffff,0xfb04ffff,0xffffffff,0x2e03ffff,0xfffffffe,0xffffffff,
    0x7f5c4fff,0xffffffff,0xffffffff,0x7fff5c4f,0xffffffff,0x01ffffff,
    0x3ffff6a0,0x06ffffff,0x017ffec0,0xffb50000,0xffffffff,0xfff8000d,
    0xffffffff,0x8003ffff,0x0003fffc,0x80ffff40,0xc881fffe,0xfffffffe,
    0x1dffffff,0x3ffffb22,0xffffffff,0xfff101df,0xdfffffff,0x7f644001,
    0xffffffff,0x361dffff,0x00002fff,0x3ffffaa0,0x3fb223df,0xf00dffff,
    0x7e400fff,0x7f4003ff,0x7cc001ff,0x3ea05fff,0xff004fff,0x7fff41ff,
    0x09fff70f,0x200ffff0,0xf504fffb,0xffffffff,0x3e00dfff,0xff7007ff,
    0x3fffc09f,0x04fffb80,0x4c41fffe,0x006ffffc,0x7fffff40,0x3f6001ff,
    0x000002ff,0x7fffff40,0x3e0001ff,0xffffffff,0x002fffff,0x007fff90,
    0x1fffe800,0x00ffff98,0x00ffff40,0x07fffa00,0xfffff100,0x1dffffff,
    0xfffd0000,0x5fffb003,0x66665440,0x2201bccc,0xfa807fff,0x7ffc05ff,
    0x3fff2007,0x7fff4003,0xfffc8001,0xfffe882f,0x3fffe006,0x57fffe60,
    0xf804fffb,0xff7007ff,0x5554409f,0x1aacfffe,0x01fffe00,0xf027ffdc,
    0x3ee00fff,0x3ffe04ff,0xffffb807,0xfff30000,0x009fffdf,0x0017ffec,
    0xfff30000,0x009fffdf,0x7fffffc0,0x2fffffff,0x3fff2000,0x80173003,
    0x3aa1fffe,0x8007ffff,0x0001fffe,0x000ffff4,0x3fffffe2,0x0effffeb,
    0x7fff4000,0x2fffd801,0xffffff10,0x20bfffff,0xa807fff8,0x7fc05fff,
    0x3ff2007f,0x7ff4003f,0xffd0001f,0xfffc81ff,0x3ffe001f,0x7fffdc0f,
    0x804fffba,0xf5007fff,0x7ec007ff,0xff0001ff,0x3fea00ff,0x1fffe03f,
    0x01fffd40,0x3a00ffff,0xb0002fff,0xfff5bfff,0x7ffe400f,0x20000003,
    0xffadfffd,0x3fe0007f,0xffeeeeff,0x0000efff,0x5007fff9,0xffe80dff,
    0x3ffffe1f,0xffe8002f,0x7f40001f,0x7c4001ff,0x3f20efff,0x40006fff,
    0xc801fffe,0xff503fff,0xffffffff,0x3ffe20ff,0x5fffa807,0x003fffc0,
    0x8007fff9,0x0001fffe,0x54bffff3,0x4004ffff,0xfe80ffff,0x4fffceff,
    0xb87fff80,0x07ffe25f,0x01fffd80,0x70ffff00,0x0fffc4bf,0xf70ffff0,
    0x00fffc4b,0x3600ffff,0x88003fff,0xffd2ffff,0x3fee005f,0x0000005f,
    0x3a5ffff1,0xf0002fff,0xffd10fff,0x90001dff,0xf9007fff,0x7ff401ff,
    0xfffff11f,0xffd0003f,0xfe80003f,0x7c4001ff,0xffb80fff,0x3a0002ff,
    0xfa801fff,0xfff104ff,0xffffffff,0x1fffe20b,0x017ffea0,0x6400ffff,
    0x74003fff,0x20001fff,0xe8affffb,0xf8006fff,0xff980fff,0x04ffffff,
    0x7cc7fff8,0x00f6a2ff,0x003fffb0,0xf31fffe0,0x01ed45ff,0xff31fffe,
    0x201ed45f,0xf8807fff,0xb8000fff,0x3fee6fff,0xfff5006f,0x0000001f,
    0x7dcdfff7,0xff0006ff,0x7ffec0ff,0xffc8006f,0xfffd803f,0x87fffa02,
    0x06fffffb,0x01fffe80,0x0ffff400,0x1fffe200,0x006fffe8,0x007fffa0,
    0x8817ffe2,0xffecccca,0x3ffe204f,0x5fffa807,0x003fffc0,0x8007fff9,
    0x0001fffe,0x7efffff4,0xf8001fff,0xff900fff,0x009fffff,0xffa8ffff,
    0xfd80004f,0xff0001ff,0x4fffa8ff,0x47fff800,0x8004fffa,0x7dc07fff,
    0xd0006fff,0x7fc47fff,0xffd001ff,0x06a000bf,0x11ffff40,0x0003ffff,
    0xfd80ffff,0x64004fff,0xfd803fff,0x3ffa02ff,0x7ffdc41f,0xfffe8007,
    0x7ff40001,0x7fc4001f,0x3ffe207f,0xffd0003f,0x3ffe003f,0x7fe4002f,
    0x3ffe202f,0x5fffa807,0x003fffc0,0x8007fff9,0x0001fffe,0x7fffffc4,
    0xff0003ff,0x3fe201ff,0x804fffff,0xffffffff,0x80004fff,0x0001fffd,
    0xffffffff,0xf0009fff,0xffffffff,0xff0009ff,0x973333ff,0x07fffffd,
    0x1ffff300,0x004fffd8,0x007ffff7,0x201ffec4,0x6c0ffff9,0xf8004fff,
    0xffd807ff,0x3f2002ff,0xffd803ff,0x3fffa02f,0x01fffd01,0x01fffe80,
    0x0ffff400,0x1fffe200,0x00ffff70,0x007fffa0,0x0077ffec,0x405fff90,
    0xfffffff8,0xffffffff,0x3fffc05f,0x07fff900,0x01fffe80,0xffffb800,
    0x3e0006ff,0x3ea00fff,0x804fffff,0xffffffff,0x80004fff,0x0001fffd,
    0xffffffff,0xf0009fff,0xffffffff,0xff0009ff,0xffffffff,0x007fffff,
    0x217fff60,0x1007fff9,0x03dffffd,0x06ffff98,0x4c2fffec,0xf8007fff,
    0xfe8807ff,0xf9000eff,0xffb007ff,0x7fff405f,0x03fffd01,0x01fffe80,
    0x0ffff400,0x1fffe200,0x00ffffe0,0x007fffa0,0x1fffffc4,0x3fffaa20,
    0x3fffe202,0xffffffff,0x7c05ffff,0x3f2007ff,0x7f4003ff,0xb00001ff,
    0x003fffff,0xfffffd90,0xfffb07df,0xfff009ff,0xffffffff,0xffb00009,
    0x3fe0003f,0xffffffff,0xfff8004f,0xffffffff,0xffff8004,0xffffffff,
    0xf10002ff,0x3fa03fff,0xff3002ff,0x79bdffff,0xffffffd9,0x7fffc409,
    0x05fffd01,0xfffffd70,0x3e605bff,0x222effff,0xffffffec,0xffffffff,
    0x202fffff,0xfd01fffe,0xfe8003ff,0x740001ff,0xd9001fff,0xbfffffff,
    0xfffff705,0x3ffa009d,0x3fee001f,0xbcceffff,0xfffffffd,0x3fffe202,
    0xffffffff,0x7c05ffff,0x3f2007ff,0x7f4003ff,0x100001ff,0x0007ffff,
    0xfffffff3,0xff881fff,0xff804fff,0xffffffff,0xfd80004f,0xff0001ff,
    0xffffffff,0xfff0009f,0xffffffff,0xffff0009,0xffffffff,0x7dc0005f,
    0xcccccfff,0x006fffec,0x3fffffea,0xffffffff,0x3ee00dff,0xcccccfff,
    0x406fffec,0xfffffff9,0x3ee07fff,0x3ee7ffff,0xffffffff,0xffffffff,
    0x3a02ffff,0xffd01fff,0xffe8003f,0x7f40001f,0xff9801ff,0xffffffff,
    0xfffff886,0xffe802ff,0x7fec001f,0xffffffff,0x2fffffff,0x3ffffe20,
    0xffffffff,0x7fc05fff,0x3ff2007f,0xfffec83f,0xffffffff,0x000dffff,
    0x000ffff4,0x7fffffcc,0xfb80ffff,0xff804fff,0x27ffd47f,0x7ffec000,
    0xffff0001,0x004fffa8,0x7d47fff8,0xff8004ff,0xffeeeeff,0x0000efff,
    0xfffffffd,0xffffffff,0x7ff44003,0xffffffff,0xfe803fff,0xffffffff,
    0x01ffffff,0x3fffffe6,0x7407ffff,0x3ea7ffff,0xffffffff,0xffffffff,
    0x3a02ffff,0xffd01fff,0xffe8003f,0x7f40001f,0xff9801ff,0xffffffff,
    0xfffff706,0xfffd005f,0xffd50003,0xffffffff,0x8805dfff,0xfa807fff,
    0x7ff405ff,0xfffb000f,0xfffff983,0xffffffff,0x004fffff,0x000ffff4,
    0xfffffeb8,0x3ffa02df,0x7fff804f,0x3217ffcc,0x3ffa003e,0xfff0001f,
    0x42fff98f,0x3ffe03ec,0x217ffcc7,0x3ffe03ec,0xffffe887,0x7fcc000e,
    0xffffffff,0x04ffffff,0xffffda80,0x01ceffff,0xffffff98,0xffffffff,
    0x7edc04ff,0x2dffffff,0x16fffc40,0x3fffffb2,0xffffffff,0x02ffffff,
    0x7407fffa,0x74001fff,0x40001fff,0x7001fffe,0xfffffffd,0x3ffe203b,
    0xffd003ef,0x75c0003f,0xffffffff,0xff1001df,0xfff500ff,0x2fffc80b,
    0x81ffff00,0xfffffff9,0xffffffff,0x74003fff,0x00001fff,0x3e000000,
    0x43ea87ff,0x9800fff9,0x0000ffff,0x7d50ffff,0xf00fff98,0x87d50fff,
    0xff00fff9,0x7ffec0ff,0x7fec006f,0xffffffff,0x07ffffff,0x3bfe6200,
    0xffd8001a,0xffffffff,0x07ffffff,0x00000000,0x3a000000,0xffd01fff,
    0xffe8003f,0x7f40001f,0x000001ff,0xffd00000,0x2200003f,0x009abca9,
    0x03fffc40,0x202fffd4,0x400ffffb,0xd706fffd,0xffffffff,0x9dffffff,
    0xfffe8001,0x00000001,0x1fffe000,0x02fffb80,0x006fffc8,0x801fffe0,
    0xff02fffb,0x7fdc00ff,0x0ffff02f,0x04ffffd8,0x57ffff10,0x55555555,
    0x0007fffd,0x10005fe8,0x5557ffff,0xfd555555,0x000007ff,0x00000000,
    0x07fffa00,0x000ffff4,0x0007fffa,0x003fffd0,0x00000000,0x0007fffa,
    0x22000000,0xfa807fff,0x7fc405ff,0xffb01eff,0xfb8007ff,0xe800004f,
    0x00001fff,0x00b7fa20,0x00ffff00,0x731fffe4,0xffff9113,0x7ffc0009,
    0x3fff2007,0x00ffff03,0xf81fffe4,0xffd807ff,0xffb802ff,0x3fee006f,
    0x7f40006f,0x7dc000df,0x3ee006ff,0x440006ff,0x00002dfe,0x005bfd10,
    0x01fffe80,0x8007fffb,0x0001fffe,0x000ffff4,0x039ff500,0x7fff4000,
    0xfd100001,0x7c40005b,0xffa807ff,0xfffa805f,0xffebcdff,0xc8005fff,
    0xd000007f,0x00003fff,0x0ffffd40,0x0ffff000,0x99fffe40,0xffffffff,
    0x3e0000ff,0x3f2007ff,0xffff03ff,0x1fffe400,0x8807fff8,0x400efffe,
    0x2003fffe,0x001ffff8,0x013fffa0,0x007fffd0,0x00ffffc4,0x3ffff500,
    0xff500000,0x2a2003ff,0x1ffffeec,0x5dffff70,0x07fffa00,0x3fffd000,
    0x7fe40000,0x3a00007f,0x00001fff,0x003ffff5,0x01fffe20,0x4017ffea,
    0xfffffffc,0x00ffffff,0xb32ffc80,0xffeb8007,0xffffffff,0x980000ce,
    0x005ffca8,0x7fffff5c,0xffffffff,0x73ffffff,0xffffffff,0xfd70005f,
    0xffffffff,0xffffffff,0x7ff5c7ff,0xffffffff,0xffffffff,0x3fffae3f,
    0x302dffff,0x45dfffff,0xffffffd9,0xffd901df,0x007dffff,0x3faaf3aa,
    0xfffd9807,0x901dffff,0xdffffffd,0xca898007,0x400005ff,0x05ffca89,
    0xffffff90,0x3fe203ff,0xd911ffff,0xffffffff,0x43bfffff,0xfffffec8,
    0xffffffff,0x544c001d,0x22003ffd,0xffffffec,0xdfffffff,0x32a26001,
    0x74c005ff,0x3effffff,0x3fffff22,0xffb805ff,0xffffffff,0xff50000d,
    0x400fffff,0xfffffff8,0x3fffffff,0x77fd4000,0x26004ffe,0xffffffff,
    0xffffffff,0xf33fffff,0x5fffffff,0xffff3000,0xffffffff,0xffffffff,
    0x3fffe67f,0xffffffff,0xffffffff,0xfffff33f,0x40ffffff,0x27fffffb,
    0xfffffffd,0xfffa85ff,0x0fffffff,0xfffffc80,0xfffd804f,0x85ffffff,
    0xfffffffa,0xf5000fff,0x009ffddf,0x777fd400,0xffd004ff,0x03ffffff,
    0x9fffffcc,0xfffffffb,0xffffffff,0x3fffee6f,0xffffffff,0x2006ffff,
    0x2ffeeffc,0x3fffee00,0xffffffff,0x5006ffff,0x09ffddff,0xfffffe80,
    0xff70ffff,0x5fffffff,0xffffd100,0x00007fff,0x05fffff7,0x7ffffc40,
    0xffffffff,0x7c40003f,0x000fffff,0x3fffffe2,0xffffffff,0x3fffffff,
    0x33bff726,0xfff10000,0xffffffff,0xffffffff,0x3ffe27ff,0xffffffff,
    0xffffffff,0xffff33ff,0x0fffffff,0x27ffffe8,0xfffffffd,0xfffa85ff,
    0x0fffffff,0xffffd880,0xfffd800e,0x85ffffff,0xfffffffa,0xf1000fff,
    0x001fffff,0x7fffc400,0xff5000ff,0x03ffffff,0x70effe98,0xffffffff,
    0xffffffff,0x7ffffdcd,0xffffffff,0x2a006fff,0x006fffff,0x7fffffdc,
    0xffffffff,0xff1006ff,0x8001ffff,0xfffffffe,0xffff70ff,0x007fffff,
    0x00565cc4,0x05e54000,0x7ffed400,0xefffffff,0xc980000c,0xb8001cee,
    0xfffffffd,0xffffffff,0x0003ffff,0xfffdb800,0xffffffff,0xffffffff,
    0x3ffff6e3,0xffffffff,0x3fffffff,0x3fffff6e,0x7c402dff,0x3f222dff,
    0x1dffffff,0xfffffd90,0x750005bf,0x7fe44003,0x01dfffff,0xffffffd9,
    0xec98005b,0x800001ce,0x001ceec9,0xaaaaaa98,0xc8831000,0xfffffffe,
    0x1dffffff,0x3ffffb22,0xffffffff,0x654001df,0x44000bee,0xffffffec,
    0xdfffffff,0x3bb26001,0xfd98001c,0x22dfffff,0xfffffec8,0x000000ce,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb7000000,
    0x0007b507,0x33333333,0x26000133,0x99999999,0x02600009,0x00620000,
    0x3b710000,0x0000f660,0x06b2ea20,0x80664400,0x4c0002da,0x91000000,
    0x00b6a019,0x99999980,0x00009999,0x00000000,0x00000000,0x00000000,
    0x33333330,0x30001333,0x33333333,0x0c400013,0x00000000,0x00000000,
    0x75400edc,0xff304eee,0x02fff83f,0x3fffffe0,0x02ffffff,0x7ffffec0,
    0x05ffffff,0x067ff540,0xfb3000dc,0x005503df,0x887ffc80,0x00003fff,
    0xfffffff5,0xffe8009f,0x01fffa85,0x0cffea80,0xfd0001b8,0x3fff50bf,
    0xfffff000,0x5fffffff,0x3fffb200,0xffffffff,0x80001dff,0x54000ed8,
    0xfffffffd,0x2e0004ff,0xfffffffe,0xffffffff,0x7fc04fff,0xffffffff,
    0x3fe002ff,0xffffffff,0x366002ff,0x403efffe,0xffffffec,0x3fff622d,
    0x001dffff,0x03df5000,0x201bfee0,0x704ffff9,0x7fd49fff,0xfff1005f,
    0xffffffff,0xffd8005f,0xffffffff,0x3ffa005f,0xfd33ffff,0x3ffee00d,
    0xfc88cfff,0x3fa0001f,0x7ffd41ff,0x7ec40005,0xffffffff,0xff8801ef,
    0x3fffc87f,0x7ffff400,0x0dfd33ff,0x0ffff100,0x8007fff9,0xfffffff8,
    0x802fffff,0xfffffffb,0xffffffff,0x7cc0006f,0x7f4001ff,0xffffffff,
    0xff30007f,0xffffffff,0xffffffff,0x7fc409ff,0xffffffff,0xff1002ff,
    0xffffffff,0x3ea005ff,0x4fffffff,0xffffff50,0x7fdcffff,0x5fffffff,
    0x2b2ea200,0x2fffcc09,0x00fffd80,0x81ffffc4,0x3ee3fffb,0x2a2004ff,
    0xaaaaaaaa,0x5530000a,0x35555555,0x5fffdc00,0xfffffffd,0xcfff9805,
    0xfffffffc,0x3ee0000f,0x05fff06f,0x7fffcc00,0xffffffff,0xffd804ff,
    0x00fff984,0x36fffee0,0x5fffffff,0x09ffb000,0x0001fff3,0x55555551,
    0x2e001555,0xffffffff,0xffffffff,0x3fee0006,0xffe8004f,0xffffffff,
    0xff98002f,0xffffffff,0xffffffff,0x554404ff,0xaaaaaaaa,0x55544000,
    0x0aaaaaaa,0xfffff700,0x50bffffd,0xffffffff,0x7fffdcff,0x805fffff,
    0xfffffffa,0xffff88cf,0x3fffd005,0x05ffff00,0xfb8ffff2,0x000003ff,
    0x00000000,0x3ea0cfa8,0x1004ffff,0x7ff443bd,0x80000eff,0x00054029,
    0xfffffd10,0xffffb79d,0x035005ff,0x2a000544,0x3ffea0cf,0x540004ff,
    0x0002a201,0xd9000000,0xffffffff,0x03bfffff,0x0ffff200,0x7ffed400,
    0x6fffffff,0xfffd7000,0xffffffff,0x9fffffff,0x00000000,0x7fcc0000,
    0x3ff261df,0xfffec82f,0x3622dfff,0xdfffffff,0x3fff6201,0xffffffff,
    0x001ffffe,0xd003fffd,0x3f603fff,0x3fff22ff,0x00000003,0x02a01440,
    0x5edc4000,0x36a00000,0x0000001c,0x7fe40000,0xff700dff,0x00001fff,
    0xb7100000,0x00000017,0x00000000,0x3fffd000,0x7fec0000,0x7400001f,
    0x1fffffff,0x3fffc000,0x04fffb80,0x00000000,0x1bff6000,0x3e04ffc8,
    0x3f2007ff,0x7fcc03ff,0xffffffff,0x4fffffff,0x07fffa00,0x403fff60,
    0x3f22fffd,0x510002ff,0x80001597,0xffd06ffa,0x00000005,0x00000000,
    0x2a000000,0x9803ffff,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x0003fffd,0x003bfe20,0xffff3000,0x0009fffd,0x7007fff8,0x00009fff,
    0x00000000,0x9803ffe6,0x3ffe06ff,0x3fff2007,0x7ffff403,0xfffebcef,
    0x2006ffff,0x01dfffe8,0xfd03ffe4,0x7ffec3ff,0x7ffd4002,0x00cfffff,
    0x41fffe80,0x0005fffa,0x00000000,0x00000000,0x5ffff880,0x3fffea00,
    0x00000002,0x00000000,0xffb50000,0x9fffffff,0xffe80000,0x2e00001f,
    0xfb000003,0xffff5bff,0x7fff8000,0x07fff500,0xfffffd91,0xffffffff,
    0xfffeb83b,0xffffffff,0x4fffffff,0x74027fec,0xffff00ff,0x1fffe400,
    0x1bffff90,0xfffff910,0xfff91005,0x3bdfffff,0x3a06ffb8,0x3ff61fff,
    0xffb1001f,0xffffffff,0xffc8003d,0x1fffc40f,0x3fffb220,0xffffffff,
    0x36a01dff,0xffffffff,0xda80004f,0xffffffff,0xff50004f,0xfd8001ff,
    0x3fb225ff,0xffffffff,0x5c1dffff,0x03fffffe,0xfffffd91,0xffeb83bf,
    0xffffffff,0xffffffff,0x3ffffa04,0x07ffffff,0x7fff4000,0x40000001,
    0xf1003fe9,0x3ffa5fff,0x3fe0002f,0x225fb87f,0xffb81fff,0xffffffff,
    0x26ffffff,0xfffffff9,0xffffffff,0x7c4fffff,0xffc802ff,0x00ffff02,
    0xa81fffe4,0x2204ffff,0x06fffffe,0x7fffffd4,0x46ffffff,0xfa885ffa,
    0xfeaabfff,0x7cc01bff,0xffffffff,0x003fffff,0x6cc076e2,0xffffb803,
    0xffffffff,0x3a06ffff,0xffffffff,0xe80007ff,0xffffffff,0xf70007ff,
    0xf10007ff,0x7ffdcdff,0xffffffff,0x226fffff,0xffffffff,0xfffffb80,
    0x3e66ffff,0xffffffff,0xffffffff,0x3fa04fff,0xffffffff,0x200002ff,
    0x0001fffe,0x2606ee20,0xb800ffff,0x3fee6fff,0x3fe0006f,0x17ffcc7f,
    0x3fee07b5,0xffffffff,0x26ffffff,0xfffffff9,0xffffffff,0x224fffff,
    0x75100fff,0x3fe05ffd,0x3ff2007f,0xffff883f,0x7fffec05,0xff502fff,
    0xffffffff,0x7cc1ffff,0x3fffa64f,0xffffffff,0x881fffff,0xcefffffe,
    0xffffffdb,0x00000003,0xfffffff7,0xffffffff,0x7fff40df,0xffffffff,
    0x7ff40002,0xffffffff,0xffd8002f,0xffd0001f,0x3fffee1f,0xffffffff,
    0x3e26ffff,0x5fffffff,0xffffffb8,0x3fe66fff,0xffffffff,0xffffffff,
    0x3f6a04ff,0xffffffff,0x3a00006f,0x20001fff,0xfffffdb8,0xffffabdf,
    0xfffe800f,0x07fffe23,0x23fffc00,0x2004fffa,0xfffffec8,0xffffffff,
    0x7fff5c1d,0xffffffff,0x4fffffff,0x7e41ffe6,0xf02fffff,0x7e400fff,
    0xfffa83ff,0x3ffee00f,0x886fffff,0xacefffff,0x0fffffdb,0xffc8ffe2,
    0xffffffff,0x5fffffff,0x0dffffc8,0x1fffff70,0x10000000,0xffffffd9,
    0xbfffffff,0x7ffed403,0x6fffffff,0x7fed4000,0xffffffff,0xfffe8006,
    0xfffb0000,0x3fffb223,0xffffffff,0x7f5c1dff,0x42ffffff,0xfffffec8,
    0x7ff5c1df,0xffffffff,0xffffffff,0x7fff4004,0x0001ffff,0x003fffd0,
    0x3ffffea0,0xffffffff,0xf9803fff,0x7fec0fff,0xfff0004f,0xffffffff,
    0x3fa00009,0xff8001ff,0xfff7007f,0x222ffd49,0xfffffffe,0x00ffff02,
    0x5c1fffe4,0x3e603fff,0xfffaefff,0x7fffec0f,0x1ffff303,0x3fea0fd8,
    0xffffffff,0x3fffffff,0x027fffd4,0x02ffffcc,0x20000000,0x0001fffe,
    0xffffffd0,0xe800003f,0x1fffffff,0x1fffe200,0x3fffc800,0x01fffe80,
    0xffffff80,0x3ffee00e,0x07fff804,0x009fff70,0x7f7fffcc,0xd00004ff,
    0x90003fff,0xffffffff,0xffffffff,0x3fff6009,0x07fff985,0xffffff00,
    0x009fffff,0x07fffa00,0x01fffe00,0xf727ffdc,0xffffd89f,0xff02ffdc,
    0x7fe400ff,0x1fffd83f,0x1fffff10,0xf887fffe,0x7ec03fff,0x3b2a006f,
    0xfeeeffff,0x442defff,0x2005ffff,0x5c2ffffa,0x707ffffd,0x0dfffffb,
    0x01fffe80,0xffff9800,0x0004fffe,0x3bfffe60,0x22004fff,0x20007fff,
    0xe803fffc,0xf8001fff,0x04ffffff,0x2013ffee,0xf7007fff,0x7ec009ff,
    0x7fffadff,0xfffd0000,0xfffb8003,0xedccdfff,0x007fffff,0x203ffff1,
    0x8002fffe,0xffffffff,0x00004fff,0x0003fffd,0x2a00ffff,0x3fee3fff,
    0x42fffea4,0xfff02ffc,0x7ffe400f,0x00fffe83,0x745ffffd,0x3fea2fff,
    0x3ffa806f,0x5fffa800,0xa81bffe6,0x4000ffff,0x3e26fffd,0x987fffff,
    0x6fffffff,0x0ffff400,0x7ffec000,0x007fffad,0x37fff600,0x4007fffa,
    0x0000ffff,0xd005fffb,0xf0003fff,0x3fffffff,0x013ffee0,0x5401fffe,
    0xf1003fff,0x3ffa5fff,0xfe80002f,0x3e6001ff,0xe883ffff,0x03ffffff,
    0xccffffb8,0xfffecccc,0xffff8006,0x4fffffff,0xfffd0000,0xffff0003,
    0x7fc4bf70,0xc93fee1f,0x17fe45ff,0x2007fff8,0x7c43fffc,0xfff907ff,
    0x3fffc89f,0x8013ffee,0xfff50000,0x02fffccb,0x0007fff7,0x7ccffff1,
    0x987fffff,0x6fffffff,0x0ffff400,0x3ffe2000,0x05fffd2f,0xffff1000,
    0x00bfffa5,0x001fffe8,0x001fffd0,0x0003fffd,0xffffffff,0x13ffee0d,
    0x2e1fffe0,0x07ffe25f,0x737ffdc0,0x0000dfff,0x4003fffd,0x881ffffc,
    0xfffffffe,0x7fff400f,0xffffffff,0x4001ffff,0x7fd47fff,0xfd00004f,
    0xff0003ff,0x2fff98ff,0x9ff70f6a,0x3f20fff4,0x0ffff02f,0x21fffe40,
    0xfa87fff8,0xffb85fff,0x0ffff23f,0x3ee00000,0x3ffea4ff,0x07fff605,
    0x07fff400,0x0fffffd7,0x3fffffb2,0x7fff4006,0x7fdc0001,0x1bffee6f,
    0x3ffee000,0x01bffee6,0x003fffd8,0x007fff88,0x0003fffd,0xfff7ffff,
    0x9fff707f,0x98ffff00,0x0f6a2fff,0x23fffe80,0x001ffff8,0x00ffff40,
    0x105fffd0,0xffbffffd,0x7fcc05ff,0xffffffff,0x04ffffff,0x263fffc0,
    0x1f642fff,0x07fffa00,0x51fffe00,0xf7009fff,0x20fff49f,0xfff02ffc,
    0x7ffe400f,0x20ffff83,0x80effff9,0x3ea2fffd,0x000005ff,0x2a4fffb8,
    0x3fa04fff,0xfb0000ff,0x3ffe05ff,0x6fff9807,0x0ffff400,0x3fffa000,
    0x07fffe23,0x7fffd000,0x00ffffc4,0x00ffffa8,0x037ffec0,0x001fffe8,
    0xfd8ffff8,0x7fdc0fff,0x7fff804f,0x0027ffd4,0x81ffff30,0x0004fffd,
    0x800ffff4,0xe886fff8,0xffb5ffff,0x7ffec09f,0xffffffff,0x007fffff,
    0x7543fffc,0x007ffcc3,0x003fffd0,0xfffffff0,0x7009ffff,0x2ffe49ff,
    0x7f40bff2,0xffb000ff,0x3fffd03f,0x07ffffa2,0xf307fff4,0x00001fff,
    0xfffdd950,0xffffdddd,0x7ffc417b,0x3ff20007,0x0ffff03f,0x00dfff30,
    0x001fffe8,0x03fffe60,0x0009fffb,0x207fffcc,0x2004fffd,0x2005fffe,
    0x002ffffa,0x0003fffd,0xff11ffff,0xfffb8bff,0xfffff804,0x04ffffff,
    0x17fff600,0x001fffe6,0x003fffd0,0x3613ffee,0x3ea5ffff,0xfff105ff,
    0x5555557f,0x7fffd555,0x03fffc00,0x005fff70,0x000ffff4,0x7ffffffc,
    0xa804ffff,0x3ffe64ff,0x02ffdacf,0x2005fffb,0xfc80ffff,0xffffb4ff,
    0x1fffe207,0x803bfffa,0xf9803fda,0xffffffff,0xffffffff,0x01fffe25,
    0x03fffb80,0xf300ffff,0xfe800dff,0x360001ff,0xff985fff,0x3f60007f,
    0xfff985ff,0x3ffee007,0xfff9804f,0x3ffa005f,0xfff8001f,0x5ffff70f,
    0x4027ffdc,0xffffffff,0x10004fff,0x3a03ffff,0x20002fff,0x9001fffe,
    0xffd87fff,0x7ffcc6ff,0x0dfff706,0x037ffdc0,0x400ffff0,0x2003fffc,
    0x8001fffe,0xffffffff,0xf9804fff,0x7fffdc5f,0xf705ffff,0xfc801fff,
    0xfff507ff,0x09ffff9f,0x542fffec,0x89bfffff,0x0ffffea9,0x7ffffdc0,
    0xffffffff,0x7f46ffff,0xfb0000ff,0x3ffe05ff,0x6fff9807,0x0ffff400,
    0xffff8800,0x05fffd01,0x3ffff100,0x00bfffa0,0x77ffff44,0xfffff700,
    0x7fff4001,0xffff8001,0x43ffffa0,0xf804fffb,0xffffffff,0xf70004ff,
    0x99999fff,0x00dfffd9,0x00ffff40,0x366fffb8,0x540effff,0xffd04fff,
    0x7fc4007f,0xfff001ff,0x7ffe400f,0x3fffa003,0xffff8001,0x4fffffff,
    0xb86ff880,0xffffffff,0xeffff880,0x7ffe440b,0x3fffa03f,0x2a06ffff,
    0xfd03ffff,0xffffffff,0x801fffff,0xffffffe8,0xffffffff,0x7ffec2ff,
    0xfffd0001,0x01fffe01,0x001bffe6,0x0003fffd,0x333fffee,0xfffecccc,
    0xfffb8006,0xeccccccf,0x22006fff,0xceffffff,0xffffffdb,0x7fff4003,
    0xffff8001,0x57fffe60,0xf804fffb,0xffffffff,0xfd0004ff,0xffffffff,
    0x03ffffff,0xffffffd8,0xffffffff,0x7fffcc1d,0x0effffda,0x261fffe8,
    0xfffffffd,0xfffd901d,0xd707dfff,0xffffffff,0xffffffff,0x74007fff,
    0xf8001fff,0x7ffd47ff,0x20ffd004,0x2cedddb8,0x3ffffea0,0xffffdbdf,
    0x7ffd405f,0xf300ffff,0x6c40bfff,0xffffffff,0x2003ffff,0x9afffe98,
    0x01afffe9,0x0007fff7,0x7c0ffff1,0xff9807ff,0x7ff4006f,0xffd0001f,
    0xffffffff,0x003fffff,0xffffffe8,0xffffffff,0x3fe6001f,0xffffffff,
    0x8002ffff,0x8001fffe,0x7dc0ffff,0xfffbafff,0x47fff804,0x8004fffa,
    0xfffffff9,0xffffffff,0x3ffee04f,0xffffffff,0xf86fffff,0xffffffff,
    0x7fffd80e,0x7fffffec,0xffa85fff,0xffffffff,0x3ffffe60,0xffffffff,
    0xffffffff,0x3fffa003,0x7fff8001,0x3217ffcc,0x007fec3e,0x3fff6000,
    0xffffffff,0xffe800ff,0xff703fff,0xf9001fff,0xffffffff,0x3fe0005d,
    0x3fffa0ff,0x3fffea01,0x7ffec000,0x01fffe06,0x001bffe6,0x0003fffd,
    0xfffffff3,0xffffffff,0x7fcc009f,0xffffffff,0x04ffffff,0x7fffec40,
    0x1fffffff,0x3fffd000,0x1ffff000,0xf9dfffd0,0xfff009ff,0x42fff98f,
    0x3ff603ec,0xffffffff,0x07ffffff,0x3fffffea,0xffffffff,0xfffa85ff,
    0x4c0effff,0x6c5ffffe,0xffffffff,0xffffa85f,0x20ffffff,0xfffffff8,
    0xffffffff,0x03ffffff,0x007fffa0,0x2a1fffe0,0x07ffcc3e,0x00009ff7,
    0xffffff70,0x001bffff,0x3ffffff6,0xffffdccf,0x2e2002ff,0x02ceffff,
    0x23fffc00,0x2200fffe,0x2005ffff,0x202ffffa,0xf9807fff,0x7f4006ff,
    0xfd8001ff,0xffffffff,0x7fffffff,0x3ffff600,0xffffffff,0x0007ffff,
    0xfffffff5,0x7400017d,0xf8001fff,0xff980fff,0x04ffffff,0xea87fff8,
    0x407ffcc3,0xaabffff8,0xeaaaaaaa,0x3b203fff,0xffffffff,0x01dfffff,
    0xbffffffb,0xffffd977,0xffc881df,0x01dfffff,0xffffffd9,0xfffb705f,
    0xffffffff,0xffffffff,0x7fff4007,0x7fff8001,0x8bffee00,0x0000fffa,
    0xffffd980,0x2e003fff,0xffffffff,0xffffffff,0xfffd0004,0xff100003,
    0x0ffff8ff,0x27fffd40,0x2ffffcc0,0x807fffe0,0x006fffc8,0x000ffff4,
    0x2affffe2,0xaaaaaaaa,0x8803fffe,0xaaabffff,0xfeaaaaaa,0xfd8003ff,
    0x200cffff,0x3fffa001,0xffff8001,0xfffff900,0xfff009ff,0x7ffdc00f,
    0x06fffb82,0x01bffee0,0x0007ff90,0x3ffffff2,0xffffffff,0x000001ff,
    0x0003ffa8,0x00bbf600,0x007fffa0,0x801fffe0,0x7f43fffc,0x000a804f,
    0x00bfff88,0x7ffffcc0,0xffffffff,0x20001eff,0x0001fffe,0x7c7fff88,
    0xff9007ff,0x3ee01dff,0x7400ffff,0xfb883fff,0x4006ffff,0x4001fffe,
    0x2006fffb,0xb806fffb,0x2e006fff,0x6c006fff,0xffffffff,0xfffc89bd,
    0x1fffe800,0x0ffff800,0xffffff10,0xffff009f,0x1fffe400,0x001ffff4,
    0x003ffff1,0xc80037ec,0xffffffff,0xdfffffff,0xb0000000,0x000008ff,
    0x4000ffe2,0x8001fffe,0x32007fff,0x7fd43fff,0x0dfd504f,0x009ff100,
    0x27ffffa0,0xffffffea,0xfe80004f,0x980001ff,0x3fe26fff,0x3ffa007f,
    0xfdbcefff,0x803fffff,0xcbdffffc,0xfffffffd,0xffd003ef,0xffe8003f,
    0x3fe2003f,0x7ff401ff,0x3fe2003f,0xff9001ff,0xffffffff,0x7fffffff,
    0x03fffd00,0x01ffff00,0x7fffffd4,0x07fff804,0x4cffff20,0xfffffffd,
    0xfffd901d,0xb007dfff,0x00b6a3ff,0xd9fffff7,0x9dffffff,0x80000005,
    0x1febcffb,0x3bfa0000,0x3b225fca,0xffffffff,0x41dfffff,0xffffffeb,
    0xffffffff,0xd83fffff,0xedcdffff,0xf0005fff,0x03b711df,0x42ffffa8,
    0x000abba8,0x01fff200,0x2fffcc00,0x400dfff1,0xfffffff9,0x3fffffff,
    0xfffff300,0xffffffff,0x221fffff,0xffffffec,0xdfffffff,0x3ffff661,
    0xd901dfff,0x7dffffff,0x7ffffecc,0xfd901dff,0x07dfffff,0x7fffffc4,
    0xffffffff,0xd910ffff,0xffffffff,0x03bfffff,0xffffffd9,0xffffb07d,
    0x3ffae09f,0xffffffff,0xffffffff,0xfffffb3f,0xf50bffff,0xffffffff,
    0xfffb801f,0x7fc06fff,0x5dcc1fff,0x00000009,0x3ffffe20,0x2e00001f,
    0x2e6fffff,0xffffffff,0xffffffff,0x3ffffe66,0xffffffff,0xffffffff,
    0xfffffb03,0x001fffff,0x3fffff60,0x7ffcc04f,0x80000004,0x00004ff9,
    0x7ccbfff5,0x644005ff,0xffffffff,0x54001eff,0xffffffff,0xffffffff,
    0xfffff70f,0xffffffff,0x7fecdfff,0x5fffffff,0xffffffa8,0xffb0ffff,
    0xbfffffff,0xffffff50,0x2201ffff,0xffffffff,0xffffffff,0x3fffee2f,
    0xffffffff,0x7cc6ffff,0xffffffff,0x7fffc40f,0xffff984f,0xffffffff,
    0xffffffff,0xfffffb3f,0xf50bffff,0xffffffff,0xfff9001f,0xffe803ff,
    0x0000001f,0xffc98000,0xb800003e,0x3ee1dffe,0xffffffff,0x6fffffff,
    0x3fffffe2,0xffffffff,0x3fffffff,0x3ffffae0,0x20000bff,0x0effffe8,
    0x0004eb80,0x00040000,0x87fff100,0x50003fff,0xdffffffd,0x7fd40009,
    0xabefffff,0x2e2dffff,0xffffffff,0xffffffff,0x3fffff66,0xfa85ffff,
    0xffffffff,0xfffffb0f,0xf50bffff,0xffffffff,0x6775401f,0x7f6dcc0a,
    0xffffb83d,0xffffffff,0x7cc6ffff,0xffffffff,0xffffb80f,0xfffff884,
    0xffffffff,0xffffffff,0xfffff913,0x3b203bff,0x2dffffff,0x02b2a200,
    0x00077660,0x00000000,0x20000002,0xffec8808,0xffffffff,0x6dc1dfff,
    0xffffffff,0xffffffff,0x98803fff,0x4000009a,0x0000acb8,0x00000000,
    0x1ecc0000,0x40001ecc,0x000abb98,0x2af2e600,0x7f644001,0xffffffff,
    0x221dffff,0xfffffffc,0xfffd901d,0x6445bfff,0xdfffffff,0xffffd901,
    0x00005bff,0xffec8800,0xffffffff,0xeb81dfff,0x2dffffff,0x413fffa0,
    0xffffffdb,0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x36ea005e,0xeeeeeeee,
    0x665cc004,0x0bcccccc,0x00000000,0x00005d40,0x00000000,0x00000000,
    0x00000000,0x00072600,0x00000000,0x00000000,0x00000000,0x0002c980,
    0x00000000,0x00000000,0x00000000,0x001bb988,0x01980098,0x00000110,
    0x007fea00,0x3ffffff6,0x405fffff,0xfffffec9,0x6fffffff,0x1fb10000,
    0x3fea0000,0xd3000005,0x00774c1d,0x0000bf60,0x013ea000,0x027d4000,
    0xfffe9800,0xf500000e,0x80000019,0x540003fc,0x000000df,0x00009f50,
    0x05ffffd1,0x009f7000,0x17ea0000,0x50000bf5,0x4400009f,0x7ecc00ed,
    0xffd8cfff,0x800dffff,0xf9104ffa,0x7fec403f,0x0000000d,0xb100ffdc,
    0xffffffff,0x5c0bffff,0xffffffff,0x5fffffff,0xfff98000,0xffb00001,
    0x9800001f,0xfff30fff,0x4ffe8001,0x32000000,0x800006ff,0x00006ffc,
    0x09f937fb,0x3bfee000,0xd8800000,0x5c0004ff,0x00001eff,0x0037fe40,
    0x7dce7e40,0xffc80006,0x2000000d,0x3fee6ffa,0x7fe40006,0xff500006,
    0xfffd803f,0xfffffeff,0x401fffff,0x261efff8,0x3200fffe,0x0005ffff,
    0x07fe4000,0x35bfff90,0xbff53333,0xfffffb10,0xff95fffb,0x7000035b,
    0x00009fff,0x000ffff4,0x29fff300,0x8003fff9,0x000dfff9,0x3ff62000,
    0x2200001f,0x0001fffd,0x07ec4f98,0xfffe8000,0x3a600001,0x80000eff,
    0x0002fffd,0x1fffd880,0x5c6f8000,0x7440001f,0x00001eff,0xf71fffb8,
    0x220003ff,0x0001fffe,0x804fffb8,0xfffffffd,0xffffffff,0x7fcc01ff,
    0xefffcbff,0x7ffffc01,0x8000000f,0x7406ffb9,0x7fcc02ff,0xdffffc85,
    0x3feafff1,0xff900004,0xe800007f,0x00001fff,0x3e67fff3,0x220003ff,
    0x0001effe,0x0effe980,0x3fa60000,0x300000ef,0x000fd87f,0x0ffff200,
    0x3ffea000,0x3200000d,0x00003fff,0x003bffa6,0xf717e200,0xfb100005,
    0x400005ff,0xff72fffb,0x3a60003f,0x80000eff,0x3003fffd,0xfffffffb,
    0xffffb9df,0xffb1009f,0x1009ffff,0x83ffffff,0xffffffec,0x3fff622e,
    0xffffffff,0x01bfe204,0x3fe13fe2,0xabffc4ff,0xd80004ff,0x00001fff,
    0x001fffe8,0x13fff880,0x00007fff,0x001fffb1,0x6fffc400,0x3e200000,
    0x00000dff,0x05fa8ff4,0xfffb8000,0x3fea0003,0x5000004f,0x00007fff,
    0x001bfff1,0xe997e400,0x7e400006,0xa80002ff,0xfff51fff,0x3fe20003,
    0xfb00005f,0xf70003ff,0x901bffff,0x5400dfff,0x1001efff,0x41ffffff,
    0xfffffffa,0x3ffee7ff,0xffffffff,0x3ffe601f,0x4c1fe800,0x7fc0ffff,
    0x0009ff57,0x000eff88,0x3fffd000,0x7ff70000,0x0001ffdc,0x000fff20,
    0x004ffb80,0x04ffb800,0xfff50000,0x000003ff,0x8001bfe6,0x00002ffd,
    0x0037fcc0,0x0027fdc0,0x7fffcc00,0xa800003f,0xd80005ff,0x07ff61ff,
    0x03ffc800,0x1dff1000,0x3ffee000,0x3ffe204f,0x1362000f,0x3ffffe00,
    0x3fffea0f,0x2e7fffff,0xffffffff,0x32203fff,0x20004fff,0xff86fffb,
    0x0009ff57,0x00000750,0x001fffe8,0x5c41b880,0x73000001,0x64400001,
    0x91000001,0x88000003,0x00000bec,0x0000dc40,0x00000193,0x00006e20,
    0x00000722,0x001ceb88,0x002e2000,0x7302e200,0x1c880001,0x01dc0000,
    0x17ffee00,0x00bfff60,0x7ff40000,0xffec87ff,0x222dffff,0xfffffffd,
    0x3fee01ce,0x000dffff,0xf86fffb8,0x009ff57f,0x00000000,0x0007fffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9fff7000,0x05fffb00,
    0x06aaea20,0x7ffffe80,0x801fffe0,0xa803fffc,0xffffffff,0x7fd4003f,
    0xabffc0ff,0x4c4004ff,0x06e601ba,0x99999880,0x999afffe,0x00000019,
    0x00000000,0x80000000,0x0001aba8,0x40000000,0x0001aba8,0x00357510,
    0x2eeaa200,0x8800009a,0x009abbaa,0xbbaa8800,0x1000009a,0x00003575,
    0x001aba88,0x9abaa980,0x5d440000,0xfb8001aa,0xffd804ff,0x3ff6602f,
    0xacffffff,0xfffd81dd,0x1fffe06f,0x03fffc80,0xb9bdffd8,0x001effff,
    0xf89ffff1,0x009ff57f,0xfffffd91,0x7fffd45f,0x3ffb203f,0xffffffff,
    0xdfffffff,0x3ffff6e0,0xffffb707,0x3ff6e0df,0xffb707ff,0x36e0dfff,
    0xb707ffff,0x00dfffff,0x7ffff654,0x6dc00cff,0xb707ffff,0x00dfffff,
    0x7ffff654,0x44000cff,0xfffffffc,0x36e2003e,0xffffffff,0x2e2000bf,
    0xfffffffd,0x22000bff,0xffffffdb,0x8000bfff,0xffffffc8,0x950003ef,
    0x9ffffffd,0xfffb8001,0xfcdfffff,0xfffd9804,0xdacfffff,0x3ffee01d,
    0x2fffd804,0xffffff70,0xffffffff,0xbffff90b,0x003fffc0,0xd007fff9,
    0xffe881ff,0xfc801dff,0xfff0cfff,0xf1013fea,0xffffffff,0xfffff97f,
    0xfff309ff,0xffffffff,0xffffffff,0x3fffe29f,0xfff987ff,0xf886ffff,
    0x987fffff,0x6fffffff,0xffffff88,0xfffff987,0xfe9806ff,0xffffffff,
    0xfff103ff,0xff30ffff,0x00dfffff,0xffffffd3,0x007fffff,0x3fffffee,
    0x02efffff,0xffffffe8,0x0fffffff,0xfffffd00,0xffffffff,0x3fffa001,
    0xffffffff,0x3ee000ff,0xffffffff,0xd3002eff,0xffffffff,0xf5007fff,
    0xffffffff,0x403fffff,0xfffffffb,0x5fffffff,0x013ffee0,0xd10bfff6,
    0xffffffff,0xffffffff,0x09ffff70,0x9003fffc,0xf7007fff,0x3ffee0bf,
    0xffc804ff,0x57ffdfff,0xffa809ff,0xffffffff,0xffffffff,0x7ffc44ff,
    0xffffffff,0xffffffff,0xfffff33f,0xffff30ff,0xff30dfff,0xf30fffff,
    0x0dffffff,0xfffffff3,0xffffff30,0xfffa80df,0xffffffff,0xff985fff,
    0xf987ffff,0x06ffffff,0x7fffffd4,0xffffffff,0x7fffec05,0xffffffff,
    0x3fe203ff,0xffffffff,0x400effff,0xfffffff8,0xefffffff,0x7fffc400,
    0xffffffff,0xfd800eff,0xffffffff,0x403fffff,0xfffffffa,0x5fffffff,
    0x3ffffe60,0xffffffff,0xffe883ff,0xffffffff,0x207fffff,0xd804fffb,
    0x7fe42fff,0xfdcdefff,0x87ffffff,0x204ffffb,0x32007fff,0xf8803fff,
    0xfc880eff,0x6401efff,0x7fffffff,0xf8809ff5,0xffdcefff,0xfdffffff,
    0x6d41ffff,0xffffffff,0xffffffff,0x3ffae0be,0xffd907ff,0x3ae0dfff,
    0xd907ffff,0x20dfffff,0x07ffffeb,0xdfffffd9,0x7ffffc40,0xfffdccef,
    0xfeb84fff,0xfd907fff,0x440dffff,0xceffffff,0xffffffdc,0xfffff904,
    0xffffb9df,0x7f403fff,0xcccdffff,0x803ffffe,0xcdfffffe,0x3ffffecc,
    0xfffffe80,0xfffecccd,0x7ffe403f,0xffdcefff,0x101fffff,0x9dffffff,
    0xffffffb9,0x3ffffa09,0xffedcdef,0xffc84fff,0xfdcdefff,0x07ffffff,
    0x2013ffee,0x3ea2fffd,0x7101efff,0xf50fffff,0x7fc07fff,0x3ff2007f,
    0xfff7003f,0x3ffa607f,0x7ed402ff,0xff57ffff,0x81571009,0x0efffff9,
    0x00bfffd1,0x001fffe8,0x300ffff0,0xff00dfff,0xfff300ff,0x0ffff00d,
    0x40dfff30,0x00dffffe,0x05fffff5,0x4c03fffc,0x3fa06fff,0xf500dfff,
    0xfa85ffff,0x880affff,0x406ffffc,0x7fec01aa,0x0355004f,0x004fffd8,
    0xffd80355,0x3ffea04f,0xfc880aff,0xffd06fff,0x3ea01bff,0x7c42ffff,
    0xb300afff,0xffa87fff,0xf7101eff,0x7dc0ffff,0xffd804ff,0x1bfffa2f,
    0x43fffdc0,0x202ffff9,0x32007fff,0x26003fff,0x701effff,0x2003ffff,
    0xff57ffb9,0xffd00009,0xfffa85ff,0x3ffa000f,0xfff0001f,0xdfff300f,
    0x00ffff00,0xf00dfff3,0xff300fff,0x3ffe60df,0xffe9803f,0x1fffe05f,
    0x41bffe60,0x803ffff9,0x7c5fffe9,0xb801ffff,0x0003ffff,0x006fff98,
    0x37ffcc00,0x3fe60000,0x3fffe06f,0xfffb801f,0x7fffcc3f,0xfffe9803,
    0x0ffffc45,0xd07bfe20,0x2e00dfff,0xfec87fff,0x00dfffff,0x3e25fffb,
    0x3a001fff,0xfff885ff,0x1fffe01f,0x03fffc80,0x7ffff440,0x5ffe880d,
    0xfabffc00,0x2ea2004f,0x6ffffcdd,0x007fffd0,0x000ffff4,0x9807fff8,
    0xff806fff,0xfff9807f,0x07fff806,0x706fff98,0x4c00bfff,0x3fe07fff,
    0xfff9807f,0x0bfff706,0x13fffcc0,0x4005ffff,0x9806fffc,0xbcceedca,
    0x4c006fff,0xbcceedca,0x4c006fff,0xbcceedca,0xff106fff,0x7e4005ff,
    0x7ffdc6ff,0x3ffe6005,0xeffffe87,0x414409bc,0x001ffff8,0xff317ffa,
    0x5fffffff,0x54bfff60,0x54005fff,0xfff881ee,0x1fffe01f,0x03fffc80,
    0xfffff900,0x01fff107,0xffabffc0,0xfffea804,0xffffffff,0xffffffff,
    0x3ffa004f,0xfff0001f,0xdfff300f,0x00ffff00,0xf00dfff3,0xff300fff,
    0x3fff60df,0x7ffec000,0x00ffff01,0x360dfff3,0x6c000fff,0xfff51fff,
    0xffffffff,0xffffffff,0x7ffecc0f,0xffffffff,0xffb3006f,0xffffffff,
    0x36600dff,0xffffffff,0xf506ffff,0xffffffff,0xffffffff,0xfffd8fff,
    0x7ffec000,0x7ffffdc1,0x0bdfffff,0x00bfff50,0x7cc1eea8,0xffffffff,
    0x25fffb02,0x0003fffb,0x00ffff80,0xc801fffe,0x20003fff,0x0dffffd8,
    0xf0017fe4,0x813feaff,0xffffffc8,0xffffffff,0xffffffff,0x3fffa005,
    0xffff0001,0x0dfff300,0x300ffff0,0xff00dfff,0xfff300ff,0x01fffe0d,
    0x40fffee0,0xf9807fff,0xffff06ff,0x7fff7000,0x3ffffff2,0xffffffff,
    0x81ffffff,0xfffffffc,0x6fffffff,0xfffffc80,0xffffffff,0xfffc806f,
    0xffffffff,0xff906fff,0xffffffff,0xffffffff,0x3fffc3ff,0x1fffdc00,
    0x7fffffe4,0x83ffffff,0x0003fffb,0x7ffff5c0,0x3ff604ef,0x05fffb2f,
    0xbff90000,0x007fff80,0x000ffff2,0x3ffffa60,0x00fffedc,0x7fd5ffe0,
    0xfffff104,0xffffffff,0xffffffff,0x7400dfff,0xf0001fff,0xff300fff,
    0xffff00df,0x0dfff300,0x300ffff0,0xff30dfff,0xff5000df,0x1fffe09f,
    0x21bffe60,0x8006fff9,0xff94fffa,0xffffffff,0xffffffff,0xfffc85ff,
    0xffffffff,0x6406ffff,0xffffffff,0x6fffffff,0x7ffffe40,0xffffffff,
    0xfff906ff,0xffffffff,0xffffffff,0x1bffe65f,0x13ffea00,0x7ffffe44,
    0x0dffffff,0x000bfff6,0xfd800000,0x7fff71ff,0x2aa00000,0x03fffc00,
    0x007fff90,0x7fffdc00,0x4004ffff,0x09ff57ff,0x37ffffee,0xffffbaab,
    0xffffffff,0x3fa006ff,0xff0001ff,0xfff300ff,0x0ffff00d,0x00dfff30,
    0xf300ffff,0x3ffe0dff,0xfffc8007,0x00ffff02,0x3e0dfff3,0xfc8007ff,
    0xffff52ff,0xffffffff,0xffffffff,0x7ffffd45,0xdcba9bdf,0x3ea06fff,
    0x9bdfffff,0x6fffdcba,0x3ffffea0,0xdcba9bdf,0xff506fff,0xffffffff,
    0xffffffff,0x3fffc5ff,0x17ffe400,0x7f6dd440,0x2e4fffff,0x00003fff,
    0x3ffe0000,0x0bfff30f,0xe8000000,0xfb000fff,0x800003ff,0x3ffffff9,
    0xf57ff800,0x3fff609f,0x9fffd00e,0xff900000,0x7ffc000f,0x6fff9807,
    0x807fff80,0xf806fff9,0xff9807ff,0x7fff906f,0x7fffc400,0x00ffff00,
    0x320dfff3,0x22003fff,0xff30ffff,0x400001ff,0x00affffe,0xe81bffe2,
    0x200affff,0x3a06fff8,0x200affff,0xf306fff8,0x00001fff,0x001fffe4,
    0x441ffff1,0xfd9800dc,0x3ffe67ff,0x00000005,0x44ffff50,0x8002ffff,
    0x640000bb,0xff002fff,0x14c001ff,0x02fffc40,0x3eafff00,0x7fff904f,
    0x07ffff40,0x3fea0000,0x3ffe0005,0x3ff2201f,0xffff806f,0x3fff2201,
    0x1ffff806,0x1bfff220,0x00ffffd4,0x206fffd8,0x2201ffff,0xf506fffc,
    0x36003fff,0x7ffc6fff,0x880000ef,0xb802ffff,0xff106fff,0xff7005ff,
    0x3ffe20df,0xfffb802f,0x3bfffe06,0xff500000,0x3f6003ff,0x2ffe46ff,
    0x25fffd00,0x002ffff8,0x80000bb8,0x745fffd9,0x800bffff,0x0005fffa,
    0x007fffdc,0x001bfff6,0xff7005ff,0xbffc0009,0xff504ffa,0xffe881ff,
    0xdb984fff,0x0144000c,0x0ffffa00,0x3ffffee2,0x3fffe806,0xfffffb88,
    0x3fffe806,0xfffffb88,0xfffff106,0x7fff4c07,0x3fffa03f,0xffffb883,
    0xffff106f,0x7ff4c07f,0x7ffdc3ff,0xca9800ef,0x3fffe22d,0x3fffaa01,
    0xffff106f,0x7fff5403,0xffff106f,0x7fff5403,0x3ffee06f,0xca9800ef,
    0x7fffc42d,0x3ffa603f,0x7fff43ff,0x7ffcc01d,0x3ffffa2f,0xfffa800b,
    0x332a2005,0x3ffffffc,0x7fffffc4,0xeecbabcd,0x5507ffff,0xffff8801,
    0xffffb01e,0x27fcc007,0x0027fe40,0x3feafff0,0x3ffffe04,0xfffffdbd,
    0xfecbefff,0x00004fff,0xffffc800,0xffffdcbd,0x203effff,0xcbdffffc,
    0xfffffffd,0x3ff203ef,0xffdcbdff,0x3effffff,0xffffffb8,0xfffecbbd,
    0x3f200eff,0xfdcbdfff,0xefffffff,0xfffffb83,0xffecbbdf,0xfd80efff,
    0xabcdffff,0xfffffdcb,0x3ffffa0f,0xfffecbce,0x3effffff,0x677ffff4,
    0xfffffecb,0x743effff,0xcbceffff,0xfffffffe,0xffd83eff,0xbabcdfff,
    0xffffffdc,0x7ffffdc0,0xffecbbdf,0x7fc0efff,0xabceffff,0xfffffecb,
    0x3ffffe20,0xecbabcdf,0x007ffffe,0xfffffff1,0x3e609fff,0xffffffff,
    0xffffffff,0x00fffe84,0x77ffffd4,0xfffffdbc,0x2ffcc005,0x00bffe60,
    0xff57ff80,0x7fffdc09,0xffffffff,0xffffffff,0x3ff25fff,0xffffffff,
    0xffffffff,0xffff300e,0xffffffff,0x01ffffff,0x3fffffe6,0xffffffff,
    0xf300ffff,0xffffffff,0xffffffff,0xffff901f,0xffffffff,0xf9801fff,
    0xffffffff,0xffffffff,0xffffc80f,0xffffffff,0xff100fff,0xffffffff,
    0xffffffff,0x7ffffd43,0xffffffff,0x0fffffff,0x3fffffea,0xffffffff,
    0x20ffffff,0xfffffffa,0xffffffff,0x440fffff,0xffffffff,0xffffffff,
    0xfffc81ff,0xffffffff,0xff80ffff,0xffffffff,0x3fffffff,0xffffff98,
    0xffffffff,0xf5004fff,0xffffffff,0xffffa80b,0xffffffff,0xff984fff,
    0xffc803ff,0xffffffff,0x4c000fff,0xccccceff,0x00efffec,0xff555510,
    0x55bff51f,0xfffff501,0xffffffff,0xffffffff,0x3fffe63f,0xffffffff,
    0xffffffff,0x3fffea04,0xffffffff,0x200fffff,0xfffffffa,0xffffffff,
    0x3fea00ff,0xffffffff,0x0fffffff,0xffffff70,0x1bffffff,0x3fffea00,
    0xffffffff,0x700fffff,0xffffffff,0x801bffff,0xffffffc8,0xffffffff,
    0xffffc85f,0xffffffff,0x0fffffff,0x7fffffe4,0xffffffff,0x640fffff,
    0xffffffff,0xffffffff,0xfc880fff,0xffffffff,0x05ffffff,0x3fffffee,
    0x0dffffff,0xffffffb0,0xffffffff,0x7ffd407f,0xffffffff,0x4004ffff,
    0xffffffff,0xfff71003,0xffffffff,0x7fff4019,0xffff7000,0x1bffffff,
    0xffff3000,0xffffffff,0x7ff4003f,0xffdfffff,0xd506ffff,0xb7dfffff,
    0xfffff97d,0x7fcc17df,0xffffffff,0xffffffff,0x7fd404ff,0xabefffff,
    0x802dffff,0xfffffffa,0xdffffabe,0xffffa802,0xffabefff,0x5c402dff,
    0xeffffffd,0xffa8002c,0xabefffff,0x402dffff,0xfffffdb8,0x4c002cef,
    0xfffffffe,0x201cefff,0xffffffea,0xffffabef,0xffd502df,0x57dfffff,
    0x05bfffff,0x3fffffaa,0xfffabeff,0x74c02dff,0xffffffff,0x8801ceff,
    0xffffffdb,0x76cc02ce,0xffffffeb,0x8800cfff,0xfffffffb,0x000cffff,
    0x1aaaa988,0x32ea6000,0x1001aacc,0xd8800175,0x3fffffff,0x3ffe6000,
    0xffffffff,0x7ff4001e,0xfedfffff,0x4406ffff,0x64c02bca,0x3fee00ab,
    0xffffffff,0xffffffff,0x7973000d,0x98000035,0x0001abcb,0x0d5e5cc0,
    0x65cc0000,0x7300000a,0x00003579,0x00159730,0x79953100,0x53000335,
    0x00035799,0x2af32a60,0x95300001,0x00003579,0xabcca988,0xb9800019,
    0x440000ac,0x09abccba,0x99753000,0x00003559,0x00000000,0x98800000,
    0x80000acb,0xaaaaaaa8,0x10000aaa,0x17999995,0x01599973,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0x0b880001,
    0x00005c40,0x99800000,0x26600000,0x00e60000,0x051000e6,0x220002a0,
    0x88000009,0x88000003,0x18800199,0x00000000,0x1cc01cc0,0xabba8800,
    0x0e600001,0x40000e60,0x10000029,0x00000007,0x00000000,0x200014c0,
    0x00150028,0x09aba880,0x005d4000,0x009ffb10,0x5c04fd80,0x2a00006f,
    0xfd70004f,0x003bffff,0xfffffd98,0x3e2002df,0x01ff401f,0x2605ffb0,
    0xd93006fe,0x001bffff,0x01dff700,0xffc88000,0x5404ffff,0x0bdfffed,
    0x2fc80000,0x00ffc400,0xfa800ffa,0xaeffffff,0x1dfffffa,0x200ffc40,
    0x5c0003fe,0x00000dff,0x0003bfea,0x205ea800,0x07ffffdb,0xbfffffb7,
    0x1bff7000,0x0bff6000,0x40037f4c,0xffffffd8,0xffffb8cf,0xfffe81df,
    0xffffa800,0xfb0001ef,0x17fe603f,0x37fe4000,0x3fffa600,0x04ffffff,
    0xfffffe98,0x00dfffff,0x3206ff88,0x3ee002ff,0x7ffe44ff,0xffffa804,
    0x004fffff,0xfffffb10,0xfb100007,0xffffffff,0x3fffee07,0x000effff,
    0x07ffd100,0x206ff880,0xd8802ffc,0xffffffff,0xffffffff,0x0eff806f,
    0x0005ff90,0x3fffffa2,0x7ec40002,0x0003ffff,0x306ffc80,0x0fffffff,
    0xfffffff3,0x7ff4400b,0xb8002fff,0x7fe44fff,0x7fdc004f,0xffffffff,
    0xffffffef,0x1ffffcc5,0xddfff910,0x50009fff,0x2e639fff,0x40003fff,
    0x001fffe8,0x3fffffe6,0x05ffffff,0x3fffffe6,0x6fffffff,0x17dffb00,
    0x01fff951,0xaefffc80,0x400dfffe,0xfffffffa,0x4004ffff,0xffeffffa,
    0xf30000ef,0xffffffff,0xfff70dff,0xffffffff,0xff980001,0xffb0006f,
    0xff95117d,0xfff8801f,0xffffffff,0xffffffff,0xbeffd806,0x0fffca89,
    0xffffb800,0x000dfffe,0xfdffffa8,0x80001eff,0x301fffd8,0x0fffffff,
    0xfffffff3,0x3ffee00b,0x00dfffef,0x577ffe40,0x4005fffe,0xfffffffd,
    0xffffffff,0xfe86ffff,0x3ffa00ff,0xbfff914f,0xffff9000,0x009fffff,
    0x0effe980,0x3fffe200,0xffffefff,0xfffd03ff,0xffdddfff,0xd1009fff,
    0xffffffff,0x3a60003f,0x02ffffff,0xffffff98,0x2ffffffe,0x1bfff700,
    0x003fffea,0xffffff70,0x87fffbff,0xeefffffa,0x005fffff,0x013ffee0,
    0xffffe880,0x801fffff,0xcdfffffd,0xffffffdc,0x8802dfff,0xfffffffe,
    0xfc8002ff,0xfff70dff,0x7fdc001f,0xffff50ef,0x7f440003,0x7f5c01ef,
    0xfd907fff,0x900bffff,0x3ee1bfff,0x4c000fff,0x2ffffffe,0x7fffdc00,
    0xfffdcdff,0xdfffffff,0x200ba881,0xfa81effa,0xfa8001ff,0x03ffffff,
    0x6fffc400,0x7ffe4000,0x3fee62cf,0xfff80fff,0xffd981ef,0xfc8800ff,
    0x01efffff,0xdfffc800,0xffffb000,0x7fffe445,0x07fff007,0x4009ffb1,
    0xbefffffa,0x7ff40cc1,0x7ffe41ef,0xffb8002f,0xc880003f,0x1effffff,
    0xdffffb80,0xffffd880,0xfc88005f,0x01efffff,0x82fff880,0x2003ffe9,
    0xfd883fff,0xff10005f,0xff8001bf,0xfff9807f,0x17ffc405,0x001fff44,
    0x00dfffc8,0x7ffffcc0,0xffffa882,0x100004ff,0x04c88079,0x55e5d400,
    0xffc80000,0xfffd0004,0x7fffd409,0x403ffb82,0x002ffff8,0x006b2ea2,
    0x005d3000,0x80ffffcc,0x802ffff9,0x0ed400cb,0xfffff980,0x7ffd4005,
    0xbfffb00f,0x03ffd000,0xcba88000,0x3ffe001a,0xfffd805f,0x2a20005f,
    0x40001acb,0x06dc00cc,0xa8039700,0xff70001d,0x3ffe0009,0x5fff9807,
    0x5c00cb80,0x3a60000d,0xfffd0002,0xfff9803d,0x000004ff,0x00000000,
    0x00e44000,0x1ffff880,0x81ffff40,0xfff90008,0x00000009,0xff500000,
    0xfffb80bf,0x00000006,0x013ffffa,0x80ffffa0,0x000ffff8,0x000005cc,
    0x3fe60000,0xff8800ff,0x000005ff,0x00000000,0x80000000,0x3e0002b8,
    0xff9807ff,0x0000005f,0x22000000,0x3002ffff,0x0009ffff,0x2aaea200,
    0xaa880001,0x00009abb,0xff980000,0xfffc806f,0xffc80004,0x2ea2004f,
    0x2200001a,0x32001aba,0x7c403fff,0x00000fff,0xffff9800,0xfff88004,
    0x4fffc807,0x00000000,0x800d5d44,0x2004fffa,0x0005fffc,0x44000000,
    0x80001aba,0x09abbaa8,0x00000000,0xf300ffff,0xa9800bff,0x00009aba,
    0xff980000,0x7ff4007f,0x0664404f,0x3ffff660,0xddacffff,0x3ff6e201,
    0xbfffffff,0x51000000,0x7fffc037,0x17fffc01,0x3ffa2000,0x7fe4402f,
    0x03efffff,0xffffc880,0x6c03efff,0xfe802fff,0x7fedc1ff,0xffb707ff,
    0x3f60dfff,0xf30005ff,0xff500bff,0x753000bf,0xca800035,0xcffffffe,
    0x0ffff200,0x05fffb80,0x1fffff6e,0x7ffffedc,0x3fb2a006,0x00cfffff,
    0xffffb710,0x017fffff,0xf8000000,0xff9807ff,0xfff7005f,0xf9bfffff,
    0xffffb709,0x3fff6e0f,0xfffb86ff,0x7ffe4004,0x02ffe404,0xfffffff7,
    0xbfffffff,0x7fffff40,0xffffffff,0x7ffe4400,0x3fee2fff,0xfd82efff,
    0x3fea05ff,0x260001ff,0x200ffffe,0xfffffffb,0x002effff,0xfffffff7,
    0x205dffff,0x4403fffc,0x3e22ffff,0x987fffff,0x6fffffff,0x42ffff88,
    0xfffb8008,0x6fff9804,0x47ffff5c,0xfffffffb,0x7ff4c002,0xffffffff,
    0x7fff903f,0x2fffdc00,0xffffff88,0xfffff987,0xfe9806ff,0xffffffff,
    0xffe803ff,0xffffffff,0x7fc00fff,0xffffffff,0x05ffffff,0x2601fffe,
    0x7d405fff,0xffffffff,0x221fffff,0x87ffffff,0xfffffff9,0x04fffa86,
    0x027ffe40,0xd103fffe,0xffffffff,0xffffffff,0x3ffffe20,0xffffffff,
    0x3ff600ef,0xe9afffff,0xffffffff,0x77fffd42,0xfffda89b,0x3ae2006f,
    0x3fffffee,0x3fffff60,0xffffffff,0x7ffec03f,0xffffffff,0xffa83fff,
    0x7ffec04f,0x3fffe63f,0xfff987ff,0xfa86ffff,0xfffb37ff,0x3ff203bf,
    0xfff8803f,0x3ffffe67,0xffffffef,0xa800dfff,0xffffffff,0x85ffffff,
    0x2004fffa,0xf305fffc,0x30ffffff,0xdfffffff,0xfffffa80,0xffffffff,
    0x3ffe205f,0xffffffff,0x3e00efff,0xffffffff,0x5fffffff,0x201fffe0,
    0x2605fff9,0xffffffff,0x3fffffff,0x3fffffe6,0xfffff987,0xfff886ff,
    0xfff1000f,0x7ffc409f,0x7fffe41f,0xfffdcdef,0x3a07ffff,0xccdfffff,
    0x03ffffec,0x3ffffff6,0xffffffdf,0xfc86ffff,0xffffffff,0x2000ffff,
    0xfffffffd,0x3fff205f,0xffdcefff,0x901fffff,0x9dffffff,0xfffffffb,
    0x0ffff983,0x9fffff50,0x7ffffeb8,0xfffffd90,0x99fff70d,0xffffffff,
    0x05fff907,0xf99fffe0,0xffffffff,0xffffffff,0x7fffc404,0xffdcceff,
    0x7cc4ffff,0xf8800fff,0x3ae05fff,0xd907ffff,0x40dfffff,0xeffffff8,
    0xfffffdcc,0x3fffa04f,0xfecccdff,0x3fe03fff,0xffffffff,0x05ffffff,
    0x2601fffe,0x3fa05fff,0xdcdeffff,0x44fffffe,0x07ffffeb,0xdfffffd9,
    0x017fffe0,0x027fffec,0x545ffff3,0x101effff,0x80fffff7,0x7fec01aa,
    0x3ff6604f,0xffffffff,0x7fffddff,0xffffffd0,0x005fffff,0xffffffe8,
    0xfff501ff,0xf91015ff,0xff50dfff,0x91015fff,0xfd0dffff,0xffa81bff,
    0x3e06ffff,0xff9807ff,0xffffc86f,0xffffffff,0x7ffe45ff,0x8ffff002,
    0xffffffec,0xfffecdef,0x3ffa01ff,0xff500dff,0xfff85fff,0xfffd805f,
    0xffff005f,0x0dfff300,0x06fffff4,0x2fffffa8,0xfb006aa0,0x7ffc09ff,
    0xffffffff,0x203fffff,0x2200ffff,0xf105fffc,0x26015fff,0x3e03fffd,
    0xff9807ff,0xffff906f,0x3ffa603d,0x3e604fff,0x3ffa2fff,0xfff7006f,
    0x3e60000f,0x3f6006ff,0x1dffffff,0x3a20bb66,0xffffffff,0x5c002fff,
    0xffffffff,0xfffff80e,0xffffb801,0x0fffffc3,0x1ffffdc0,0x2fbfffe6,
    0xffffffeb,0x1fffe07f,0x21bffe60,0xfffffffd,0xffffffff,0x00bfff22,
    0xff83fffc,0xe881ffff,0xff303fff,0xfd3007ff,0xfffb8bff,0xffd880df,
    0xff005fff,0xfff300ff,0x3fffe60d,0xfffe9803,0xff980005,0x1fffe06f,
    0x1fffffcc,0x20ffffe0,0x5fffffb8,0x03ffff10,0x201eff88,0xf9807fff,
    0x3ff606ff,0xecccefff,0x4fffffff,0x4ffffea0,0x001ffff8,0x4c017ffa,
    0xbcceedca,0x36006fff,0x02ffffff,0xfffffd80,0xffffffff,0x6dd44001,
    0x20efffff,0x002ffff8,0xf89bfff2,0x32002fff,0xffd86fff,0xffffffff,
    0x3e06ffff,0xff9807ff,0xffffc86f,0x3fea3eff,0x3fff26ff,0x0ffff002,
    0x807bfffe,0xf704fffb,0x7cc00bff,0xfffe87ff,0xffdccdff,0x005fffff,
    0xf300ffff,0x3fee0dff,0x3fe6005f,0xdca9807f,0xfffbccee,0x217ffa06,
    0x03fffff9,0xbdfffff8,0xffffffdc,0xffe83eff,0x409bceff,0x7fff8028,
    0x06fff980,0x7ffffff4,0xffffffff,0x3fee04ff,0xbfff54ff,0x01eea800,
    0x7ffffecc,0x6fffffff,0x3ffff600,0xffc8001e,0xda99bfff,0x000fffff,
    0x3ffff620,0x3ffffea5,0xffffffff,0x27ffffff,0xfffffffa,0xffffffff,
    0xd887ffff,0xffffffff,0x204fffdf,0xf9807fff,0xfffb86ff,0xfff106ff,
    0x0bfff27f,0xf83fffc0,0x7cc00fff,0xfffb05ff,0xfffd8001,0x7ffffc41,
    0xffffffff,0xff005fff,0xfff300ff,0x03fff60d,0x03fffb00,0x3fffff66,
    0x6fffffff,0xf307bea0,0x2007ffff,0xffffffff,0xffffffff,0x7fdc0fff,
    0xffffffff,0xfff000bd,0xdfff300f,0xffffd880,0xffffffff,0x3f204fff,
    0xfff75fff,0x32000007,0xffffffff,0x06ffffff,0x017fff60,0x0dffff80,
    0x07ffff50,0xffff9000,0x7fffffe4,0xffffffff,0x91ffffff,0xffffffff,
    0xffffffff,0x2e03ffff,0x9effffff,0x3e02fffc,0xff9807ff,0xffff986f,
    0x3ffee01f,0x009fff74,0x3e0dfff1,0xff9807ff,0x0ffff05f,0x07fff700,
    0xffffffb1,0xffffffff,0x1fffe00b,0x41bffe60,0xb8007fff,0xffc83fff,
    0xffffffff,0x8006ffff,0x03fffff9,0x3fffffe0,0xffffffff,0xc80fffff,
    0xffffffff,0xf803ffff,0xff9807ff,0xffb3006f,0x73bfffff,0x7ec09fff,
    0xfffb6fff,0xf9000005,0xffffffff,0x0dffffff,0x017ffec0,0x0efff980,
    0x02fffe40,0x7fffc400,0xffffff91,0xffffffff,0x25ffffff,0xfffffffc,
    0xffffffff,0x202fffff,0x3e2bcba8,0x3fe01fff,0xfff9807f,0x4ffff886,
    0xaafffcc0,0xfa805fff,0xffff05ff,0x0bfff300,0x000dfff3,0x5c09fff5,
    0xefffffff,0x005fffaa,0xf300ffff,0xfff30dff,0xfff5000d,0xfffffc89,
    0xffffffff,0x7cc006ff,0x4003ffff,0xffffffff,0xfffacfff,0x3f2202df,
    0xffffffff,0x3fe00dff,0xfff9807f,0x654c4006,0x3ffee09a,0x3ffffa04,
    0x007fff77,0xffffa800,0xcba9bdff,0x2006fffd,0x0002fffd,0x1009fff7,
    0x0000ffff,0x7d4ffff6,0xffffffff,0xffffffff,0xfff52fff,0xffffffff,
    0xffffffff,0x3ee0005f,0x7ffc07ff,0x6fff9807,0x801ffff0,0xff37fff8,
    0xfff700df,0x01fffe09,0x7c17ffe6,0xfc8007ff,0xba8802ff,0x3ffea1ac,
    0x0ffff005,0x20dfff30,0xc8007fff,0x3fea2fff,0xa9bdffff,0x06fffdcb,
    0x3ffffe60,0xffff8003,0x001bccca,0x3b6ea200,0x04ffffff,0x2601fffe,
    0x00006fff,0x204fffb8,0xf37fffff,0x80000bff,0x00affffe,0x801bffe2,
    0x0002fffd,0x1007fff7,0x0000ffff,0x7ccbfff2,0x00000fff,0x001ffff3,
    0xff700000,0xfff809ff,0x6fff9807,0x805fffd0,0x3fa6fffa,0x7ffc02ff,
    0x0ffff02f,0x20bfff30,0x2003fffc,0x000ffff8,0x04fffc80,0x300ffff0,
    0x3f20dfff,0x3e2003ff,0x3ffa0fff,0x3e200aff,0xff5006ff,0x20007fff,
    0x00007fff,0x26003722,0x3e07fffd,0xff9807ff,0xb800006f,0x3fe04fff,
    0xff88ffff,0xbb8002ff,0x0bfffe20,0x01bffee0,0x002fffd8,0x01ffff30,
    0x005fffc8,0x0fffe880,0x003bfffe,0x77fffc00,0x20000000,0x806ffffb,
    0x2201ffff,0xf906fffc,0xffd80bff,0x1bfff24f,0x206fffb8,0xf9807fff,
    0xfff505ff,0x3ff6003f,0xff00006f,0x3fe005ff,0x3f2201ff,0xfff506ff,
    0x3ff6003f,0x3fffe26f,0x6fffb802,0xfffffa80,0xff801103,0x3200007f,
    0x3fa005ff,0xffff02ff,0x7ffe4403,0xfb800006,0xfff104ff,0x3ffa3fff,
    0xfa800bff,0x3ffe25ff,0x3ffaa01f,0x3f6006ff,0x3e0002ff,0x3e604fff,
    0x67543fff,0xfffe9801,0x77fffdc6,0x2dca9800,0x077fffdc,0x416e54c0,
    0xffffd300,0xfffd001d,0xffff7107,0x3ffe60df,0xfffa80cf,0x3fffe23f,
    0x3ffffa84,0x201fffe0,0xf105fff9,0x4c07ffff,0x003ffffe,0x7fffe4c0,
    0x7fffd000,0xfffff710,0x3fffe20d,0x3ffa603f,0x3ffe23ff,0x3ffaa01f,
    0x7fd406ff,0xff303fff,0x03fffc09,0xbfffd000,0xffff9803,0x07fffd02,
    0xdfffff71,0xff700000,0x3ffe209f,0xfff11fff,0x7579bfff,0xfffffdd9,
    0xceffffe8,0xfffffecb,0x403effff,0x0002fffd,0x33fffff6,0xffffdcbc,
    0x3fffe20f,0xecccbcce,0xd83fffff,0xbcdfffff,0xffffdcba,0x7ffec0ff,
    0xcbabcdff,0x0ffffffd,0xdb99dfd1,0x03ffffff,0x37ffff20,0xfffffdcb,
    0xfd83efff,0xdcbeffff,0x5c0fffff,0xdbceffff,0x7c07ffff,0xff9807ff,
    0x3ffee05f,0xecbbdfff,0x00efffff,0x66666544,0x05fffffe,0x37ffff20,
    0xfffffdcb,0xfb83efff,0xbbdfffff,0xefffffec,0x77ffff40,0xffffecbc,
    0x43efffff,0x03fffffa,0xff81fff6,0x3e00007f,0xbcefffff,0xffffecba,
    0xffff900f,0xffffb97b,0x007dffff,0x7ee65440,0xfe81beff,0x7fcc6fff,
    0xffffffff,0x4fffffff,0x7fffffd4,0xffffffff,0x10ffffff,0xfffffffb,
    0xbfffffff,0x7fff4401,0xffffffff,0x7ffc42ff,0xffffffff,0x104fffff,
    0xffffffff,0xffffffff,0xfff883ff,0xffffffff,0x1fffffff,0xfffffff7,
    0x005fffff,0x7fffffcc,0xffffffff,0x7c40ffff,0xffffffff,0xfd02ffff,
    0xffffffff,0xffd103ff,0x883dffff,0x3efffffd,0xffffff90,0xffffffff,
    0xfff8801f,0xffffffff,0x3e6000ef,0xffffffff,0xffffffff,0xffffc80f,
    0xffffffff,0xffa80fff,0xffffffff,0xffffffff,0xffff30ff,0xffffffff,
    0x201fffff,0x00007fff,0x3ffffffe,0xffffffff,0x3fe603ff,0xffffffff,
    0xffffffff,0xfff88000,0xffffffff,0x27fffdc4,0x7fffffd4,0xffffffff,
    0xffff904f,0xffffffff,0x1fffffff,0x3ffffff2,0xffffffff,0xffd804ff,
    0xffffffff,0xffff501f,0xffffffff,0xfc8805ff,0xffffffff,0x05ffffff,
    0xffffff91,0xffffffff,0x7fffd4bf,0x0cffffff,0xffffa800,0xffffffff,
    0x980fffff,0xffffffff,0x3a203fff,0xffffffff,0xffffb01f,0xfc8bffff,
    0x0fffffff,0xffffff70,0x1bffffff,0xfffff500,0x1dffffff,0xffff5000,
    0xffffffff,0x201fffff,0xfffffffb,0x00dfffff,0x3ffffff2,0xffffffff,
    0xf70fffff,0xffffffff,0xffffffff,0x01bffa01,0xffffd800,0xffffffff,
    0xfa803fff,0xffffffff,0xffffffff,0xfffb8000,0xffffffff,0x06ffe446,
    0xfffffb88,0x0cffffff,0x7ffff540,0xffabefff,0x3f22dfff,0xffffffff,
    0x4fffffff,0xffffd700,0xa801bdff,0xfffffffd,0x2001dfff,0xffffffe9,
    0x01ceffff,0xfffffe98,0x1cefffff,0xffffffd8,0x540001df,0xefffffff,
    0x2dffffab,0x3ffff220,0x8801efff,0xefffffec,0x3ffff601,0x7e46ffff,
    0x0fffffff,0x3fff6e20,0x002cefff,0x3fffffe2,0x000bdfff,0x3ffffea0,
    0xfffabeff,0x6dc402df,0xceffffff,0xfffd5002,0xf57dffff,0x5c5bffff,
    0xffffffff,0xffffffff,0x09ff700f,0x5f6cc000,0xfffffffe,0x2a000cff,
    0xefffffff,0x2dffffab,0xffff1000,0x9fffffff,0xa9800220,0x01aacccb,
    0xabcca980,0xfec88001,0xffffffff,0x000cefff,0x000abb98,0xbccaa988,
    0x220000aa,0x19abcca9,0x32a62000,0x30019abc,0x00035795,0x35797300,
    0x2aa20000,0x10000abc,0x36600375,0x1dffffff,0x7ffff644,0x65cc002d,
    0x54c0000a,0x0002aaaa,0x1abcb980,0xcb980000,0x2a60000a,0x8001abcc,
    0xfffffffb,0xffffffff,0x006600ff,0x2ea20000,0x0009abcc,0x06af2e60,
    0x55100000,0x15555555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33000000,0x00005100,0x15000053,0x26001300,0x00028801,
    0x40000000,0x0009ba98,0x0dd44000,0x51003300,0x00000000,0x0d55d440,
    0x88066000,0x2ea0000a,0x80001bcc,0x4c000029,0x0009abaa,0x0026f2a0,
    0xb3000000,0x80510019,0x0000000a,0x400cc000,0x2a620028,0x20000009,
    0xd10005ea,0x2200003d,0xff700dff,0x7fdc0007,0xff90000d,0x01ffa205,
    0x5c037fe6,0x7ecc02ff,0x701dffff,0x89dffffd,0x8fffffda,0xffffffd9,
    0xffc8803f,0x3ee2ffff,0x402effff,0xf700dff8,0xfb88007f,0x3000102d,
    0xfffffffb,0x003bb59f,0xff309ffb,0xfea8001f,0x00dfffff,0x019ff900,
    0xffffb800,0x4fcdffff,0xfffff700,0x801e5439,0xff880018,0x37fd405f,
    0x0002ffe8,0x040b7ee2,0x06ffcc00,0xb802ffb8,0x003fffff,0x0fffb800,
    0x2fff8800,0xfffd0000,0x0fffec45,0x7fff4400,0xfa8002ff,0x3fee0dff,
    0xffe8805f,0x3fffa62f,0x7ffff401,0xffa85fff,0x12ffffff,0xdfffffff,
    0xffffffff,0x7ec03dff,0x9affffff,0xfffffffe,0x7fff402f,0x07fffa22,
    0xfffffb80,0x8017f20d,0xfffffffb,0x5fffffff,0x43fffc40,0x2003fffc,
    0xfffffffb,0x26001fff,0x02fffffe,0xfffffa80,0xffffffff,0xfffb801f,
    0xfffeffff,0x27fd402f,0x1fffe600,0xa83fffd0,0x70005fff,0x41bfffff,
    0x744005fc,0x3fa62fff,0x7fe401ff,0x005fffff,0x0bfff600,0x4fffb800,
    0xffe88000,0x3ffffbdf,0xffffb800,0x000dfffe,0x6dffffdc,0x3000dfff,
    0xff79fffd,0xfff005ff,0x50bfffff,0xffffffff,0x3ffffe27,0xffffffff,
    0x3fffffff,0xffffffb0,0xffffffbf,0x880dffff,0xffbdfffe,0x3e6002ff,
    0xdffffdff,0xe8806ffe,0xffffffff,0x7fffffff,0xa85ffe80,0xf3001fff,
    0xffffffff,0x3f200dff,0xcfffeeff,0xffff3000,0xffffffff,0x2e007fff,
    0xfffffffd,0x7e400eff,0xffc8007f,0x07ffe405,0x000fffe2,0x3ff7ffe6,
    0x06ffedff,0xcfffe980,0x402ffffb,0xea8beffa,0x440003ff,0x0001fffe,
    0x00dfffa8,0xffffb800,0xc8000dff,0xff70dfff,0xe88001ff,0x03ffffff,
    0xfffff900,0x3aa001bf,0x01dfffff,0x9ffffff9,0x7ffff5c1,0xccefffff,
    0x1ffffffe,0xfffffd98,0xdfffffff,0x7007fffd,0x1bffffff,0x12efb800,
    0x1ffffffb,0xfffff900,0xffffb9bd,0x9100ffff,0x00b6e019,0xbeffffd8,
    0x04ffffeb,0xc867ffec,0xfd006fff,0xb9bdffff,0x09fffffd,0x3fffb260,
    0xd002ffff,0x30001fff,0x1db8807f,0x20007b30,0xffb12efb,0x0001ffff,
    0x7fffffe4,0x0ffe800d,0x40007fe8,0x0000effe,0x01bffa60,0x7fff4400,
    0xfff10003,0x07ffd305,0x37ffee00,0x7f4c0000,0xfd0002ff,0xff3009ff,
    0xfff803ff,0xc880efff,0xd806ffff,0xdfffffff,0x800bb661,0x002fffe9,
    0x77f54060,0xfffa800a,0xff7101ef,0x00000fff,0x17fffc00,0x3037ffe4,
    0xfd305fff,0xfff8805f,0xffb300af,0xfff9007f,0xbfffffff,0x03fffa00,
    0x000df100,0x80c00000,0x000aefea,0x2fffe980,0x5c13fe00,0xf50000ff,
    0x200000bf,0x0001ffd8,0x000036e0,0x0db80199,0x00f66000,0x001b9000,
    0x07fffd40,0x017fff60,0x017ffffe,0x00ffffee,0x5ffffffb,0x1b700000,
    0x00000000,0x006fffe8,0x000ffff7,0x3fe20000,0xffff107f,0x5c00cc80,
    0x7ffc400c,0x77fc401f,0xdfffe801,0x05ffff32,0x001fffd0,0x00000fd8,
    0x00000000,0x00dc8000,0x540ffe20,0x710001ff,0x50000005,0x00000007,
    0x00000000,0x00000000,0x9fffd000,0x0ffffcc0,0x07ffffc0,0x05fffc80,
    0x0f7fffec,0x00000000,0xabbaa880,0xfff10009,0x7ff4003f,0x55d44005,
    0xfff10001,0x3fffe20f,0x40000000,0xbceffffe,0x30014409,0xfff30157,
    0x1fffd00d,0x0017c400,0x00000000,0x00000000,0x7ec1bfe0,0x0000000f,
    0x00000000,0x001aba88,0x03575100,0x2eaa6000,0x2200009a,0x009abbaa,
    0x1ffff500,0x017fff60,0x0027fffc,0xd80ffff3,0x00005fff,0x00dd4400,
    0x7fffedc4,0x00bfffff,0x002fffd4,0x22007baa,0xfffffffc,0x3fe2003e,
    0xffffb07f,0x70000000,0xffffffff,0x00017bff,0x87fff900,0xffffffd9,
    0xffffffff,0xffb7003d,0x3f6e0fff,0xb706ffff,0x2e0fffff,0x06fffffd,
    0x06aea600,0x543ffd80,0x000006ff,0x00000000,0x3fffb2a0,0x4000cfff,
    0xffffffc8,0xfb8003ef,0xdfffffff,0x36e204fc,0xffffffff,0xfe8000bf,
    0xfff984ff,0xffff001f,0xfffe8003,0x0bfff600,0xfffc8800,0x3fee2fff,
    0x3a02efff,0xffffffff,0x200fffff,0x0003fffb,0x3fffee00,0xefffffff,
    0x7fff8802,0x3fffff66,0x7ff64404,0x001fffff,0x7fffffe4,0x03ffffff,
    0x3fff72a0,0x7fff89ce,0x7ffffff4,0xffffffff,0x7c400fff,0x987fffff,
    0x6fffffff,0xffffff88,0xfffff987,0xffd706ff,0xffff71ff,0xf1005fff,
    0xfffd9fff,0x64401103,0xfffffffe,0x3fb22001,0x01ffffff,0xffffe980,
    0x3fffffff,0xfffff700,0x5dffffff,0xfffff500,0xffffffff,0x3fffa03f,
    0xffffffff,0x7d4000ff,0x7ff40fff,0x3ffe005f,0x7ffc002f,0x3fff600f,
    0x3ff60002,0xe9afffff,0xffffffff,0xfffff882,0xffffffff,0xfffb00ef,
    0x36000005,0xffffffff,0x03ffffff,0xfcbfffc4,0x00ffffff,0x7fffffe4,
    0x88001fff,0xfffffffc,0x200dffff,0xffffffe9,0xfffedfff,0x3fffffa0,
    0xffffffff,0x4c01ffff,0x87ffffff,0xfffffff9,0xfffff986,0xffff987f,
    0xff986fff,0xfffeffff,0x0dffffff,0x7ffffcc0,0x3fae22ff,0xffff900f,
    0x003fffff,0x7fffffe4,0x54001fff,0xffffffff,0x05ffffff,0x7fffffec,
    0xffffffff,0x3fffe603,0xffffffff,0xff883fff,0xffffffff,0x000effff,
    0xf52ffff4,0x7c003fff,0x2a004fff,0x7ec06fff,0x360002ff,0xdfffffff,
    0xffffffff,0xfffd06ff,0xfd999bff,0x3ee07fff,0x800003ff,0xeffffffc,
    0xffffffdc,0x3ffe201f,0xffffffd7,0xfffc807f,0x01ffffff,0x76dd4400,
    0x04ffffff,0xfffffff7,0xffffffff,0x7ffed45f,0xffffffff,0x7003efff,
    0x20fffffd,0x6fffffec,0xfffffd70,0x3ffffb20,0xffff986f,0xffffffff,
    0x804fffff,0x88cefec8,0x0fffffeb,0xffffff90,0x64003fff,0xffffffff,
    0x3fe2001f,0xdcceffff,0x04ffffff,0xdffffff9,0xffffffb9,0x3fffa03f,
    0xfedcdeff,0xfd04ffff,0x999bffff,0x007ffffd,0xd1ffffa8,0xf800bfff,
    0x8803ffff,0x6c04ffff,0x20002fff,0xffffffd9,0xddffffff,0x2aa07fff,
    0x27ffec01,0x005fff98,0x7fffd400,0xffc880af,0x3fe206ff,0xfffff77f,
    0x6c409fff,0xffffffff,0x01b91001,0x0ffffb30,0xbffffff3,0xfffffdb9,
    0x7ff407ff,0xf000000f,0xff300fff,0xffff00df,0x0dfff300,0x3fffffb2,
    0xffecdeff,0x4c001fff,0xefffffeb,0x3ff6200b,0x01ffffff,0x3ffff620,
    0x2001ffff,0x00dffffe,0x85fffff5,0x0afffffa,0x6ffffc88,0x0affff88,
    0x07fffb30,0x3f600d54,0xfe8004ff,0xffffadff,0x7fffc001,0xff700cff,
    0xfd803fff,0x200002ff,0xfffffffd,0x00bb661d,0x1bffe600,0x017fffc4,
    0x3fe05dc0,0xfb801fff,0xff103fff,0x7fedc4ff,0x4003ffff,0x9001fffe,
    0x7f400bff,0x3ffa22ff,0xfe980cff,0x3a04ffff,0x00000fff,0x300ffff0,
    0xff00dfff,0xfff300ff,0xfffff80d,0xfffe881f,0xffec9803,0x000befff,
    0x00ffff40,0x0ffff400,0x3ffff980,0x5fffe980,0x00fffffc,0x21ffffdc,
    0x401ffff8,0x0001eff8,0x006fff98,0xfeffffa8,0xff8005ff,0xcdffffff,
    0xfffffedc,0x2fffd803,0x3ff60000,0x0002ffff,0xceedca98,0x206fffbc,
    0x00bffffe,0x225fffa8,0x2002ffff,0xf106fffc,0x7fdc0fff,0x3a001fff,
    0xfd001fff,0xf9803bff,0x3ff22fff,0x7f4404ff,0x3fa05fff,0x000000ff,
    0xf300ffff,0xfff00dff,0xdfff300f,0x1effff80,0x413ffee0,0xfffffec9,
    0x200000bd,0x0001fffe,0x001fffe8,0x400bfff7,0x3e27fff9,0x32002fff,
    0xffe86fff,0x409bceff,0x32a60028,0xffbcceed,0xffd0006f,0x003fffff,
    0xfffffff0,0xffffffff,0xffb109ff,0xffffffff,0x001bffff,0x0f7fffec,
    0x3ff66000,0xffffffff,0x3fe206ff,0xabcdffff,0xffffeecb,0x3ffffea7,
    0xffffffff,0x07ffffff,0x980ffff1,0x2004ffff,0xf001fffe,0x79dfffff,
    0xffffd975,0x37ffec1f,0x6ffff980,0x003fffa0,0x3fffc000,0x037ffcc0,
    0x4c03fffc,0x7fc06fff,0x7fcc00ff,0xffffc85f,0xdeca8bdf,0x7f40000b,
    0xe80001ff,0xfb001fff,0xfd8001ff,0xffff51ff,0xffffffff,0xffffffff,
    0xffffff70,0x017bffff,0x3ffff660,0xffffffff,0xfff50006,0x2000bfff,
    0xffffffff,0xffffffff,0xfffff903,0xffffffff,0x6c009fff,0x80005fff,
    0xfffffffc,0x6fffffff,0x7ffffcc0,0xffffffff,0x3f24ffff,0xffffffff,
    0xffffffff,0xff881fff,0xfffa807f,0x3fffa006,0xfffff001,0xffffffff,
    0xff87ffff,0x3fa003ff,0x3ffa05ff,0xf000000f,0xff300fff,0xffff00df,
    0x0dfff300,0x9807fff8,0xffd85fff,0xfffb10ad,0x40005fff,0x0001fffe,
    0x001fffe8,0x7000ffff,0x3ff27fff,0xffffffff,0xffffffff,0xfffc81ff,
    0xffffffff,0x7ffe403f,0xffffffff,0x20006fff,0x01fffffe,0x51ffff00,
    0xfffffffd,0x7ffe4019,0xffffffff,0x004fffff,0x000bfff6,0xffffff90,
    0xffffffff,0xfff500df,0xffffffff,0xfc89ffff,0xffffffff,0xffffffff,
    0xff882fff,0xfffd007f,0x3fffa001,0xffffb001,0xffffffff,0xff887fff,
    0x3f6002ff,0x3ffa04ff,0xf000000f,0xff300fff,0xffff00df,0x0dfff300,
    0x9807fff8,0x01305fff,0xfffbfffd,0x3fa0003f,0xe80001ff,0xf9801fff,
    0xfa8006ff,0xffff94ff,0xffffffff,0xffffffff,0x3fff2205,0xffffffff,
    0xffffc80d,0xffffffff,0x20006fff,0x005ffff9,0x883fffe0,0x8009acba,
    0xfffffec8,0xefffffff,0x3ff6000c,0x3ea0002f,0x9bdfffff,0x6fffdcba,
    0xffff7100,0x9fffffff,0xfffff501,0xffffffff,0x5fffffff,0x00ffff10,
    0x400bfff6,0x3001fffe,0xffffd7db,0x019fffff,0x800bfffe,0x3a03fffd,
    0x00000fff,0x300ffff0,0xff00dfff,0xfff300ff,0x07fff80d,0x005fff98,
    0xfa833fee,0xffd0006f,0xfd00003f,0x3fe003ff,0xffc8007f,0xfffff52f,
    0xffffffff,0x5fffffff,0xfdb75100,0xa89fffff,0xbdffffff,0xfffdcba9,
    0x3fea0006,0x3e0001ff,0x00000fff,0xb0000000,0x40005fff,0x00affffe,
    0x001bffe2,0x2b3bfea6,0x7ffcc01a,0x8800000f,0x404c7fff,0xd003fffc,
    0x40003fff,0x9aeffba8,0x27fff400,0x05ffff00,0x0007fff4,0x07fff800,
    0x806fff98,0xf9807fff,0x7ffc06ff,0x5fff9807,0x203ff600,0xe8001ffc,
    0x80001fff,0x9001fffe,0x44007fff,0xff30ffff,0x400001ff,0xd9800dc8,
    0x7ff47fff,0x3e200aff,0x3a0006ff,0x40005fff,0x0000ffff,0x00000000,
    0x0005fffb,0x00bfffe2,0x001bffee,0x4000efe8,0x000effff,0xbfffc400,
    0x7f40fff8,0xffd002ff,0x3e00003f,0xff9000ef,0xff7001ff,0x7ff401ff,
    0x0011001f,0x100ffffc,0xf00dfff9,0x64403fff,0x7fc06fff,0xfff9807f,
    0x413fe005,0xe8002ff9,0x80001fff,0x5001fffe,0x2003ffff,0x7fc6fffd,
    0x00000eff,0x7400bff9,0xfff12fff,0xfff7005f,0x3fea000d,0x7c0001ff,
    0x00000fff,0x007bfd00,0x05fffb00,0x3fffe200,0x3fffaa01,0x3fa0006f,
    0x3ee002ff,0x9800efff,0xff102dca,0x93ffeaff,0x001ffff8,0x0003fffd,
    0x007fffe0,0x07bfffe6,0x04ffffa8,0x1027ffec,0x2005ffb5,0xb883fffe,
    0x806fffff,0xb883fffe,0x406fffff,0xf9807fff,0x3fa005ff,0x005ff505,
    0x003fffd0,0x03fffd00,0x3ffffe20,0x3fffa603,0x7fffdc3f,0xdca9800e,
    0x0effff42,0x4bfffe60,0x201ffff8,0x06ffffea,0x0bfffd00,0x1ffff000,
    0xf3000000,0x80007fff,0x0002fffd,0x33bffffa,0xfffffecb,0x003effff,
    0x017fff61,0xbfffffb0,0xffb97579,0x7641ffff,0xfcefffff,0xfffcbfff,
    0x3ffa007f,0xd8c0001f,0xf7005fff,0x557bffff,0x0dffffb7,0x7bffff90,
    0xffffb975,0x3ff200df,0xffdcbdff,0x3effffff,0x37ffff20,0xfffffdcb,
    0xff03efff,0xfff300ff,0x07fec00b,0x40007fec,0x0001fffe,0x001fffe8,
    0x3fffffee,0xfffecbbd,0xffd80eff,0xbabcdfff,0xffffffdc,0x3fffffe0,
    0xfecbabce,0x3fa0ffff,0xecbcefff,0xffffffff,0xccb983ef,0xadffffdc,
    0x7e544000,0x02cccfff,0xc9998000,0x362006ff,0xffffffff,0x0dffffff,
    0x3ffffea0,0xffffffff,0x0fffffff,0x7567fdc0,0x7fc4006f,0xffffffff,
    0xffffffff,0xffffff31,0xfffffdff,0xc85fffff,0xfffffffe,0xffffffff,
    0x677e400d,0x36006fea,0xffffffff,0x02ffffff,0xffffff98,0xffffffff,
    0xfff3004f,0xffffffff,0x1fffffff,0x3ffffe60,0xffffffff,0xd10fffff,
    0x3dffffff,0xfffffd88,0xeffa803e,0x40bff932,0xffffffec,0xffffffff,
    0x3ffb20df,0xffffffff,0x80dfffff,0xfffffffc,0xffffffff,0xfffff100,
    0xffffffff,0x7c3fffff,0xffffffff,0xffffffff,0x7ffffd43,0xffffffff,
    0x0fffffff,0x3ffffff6,0x04ffffff,0x7fffff40,0x006fffff,0x37ffe200,
    0x3f2005ff,0xffffffff,0x4fffffff,0x7ffffe40,0xffffffff,0x00ffffff,
    0x7fffffdc,0xffc88003,0xffffffff,0x265fffff,0xffffffff,0xffffffdb,
    0x7ffcc5ff,0xffffffff,0x4fffffff,0x7ffffdc0,0x7fe4002f,0xffffffff,
    0x3ea002ef,0xffffffff,0x000dffff,0x3fffffea,0xffffffff,0x3ea00fff,
    0xffffffff,0xffffffff,0xffffffb0,0xfffc8bff,0x800fffff,0xfffffffc,
    0xffff300f,0xffffffff,0x29ffffff,0xfffffff9,0xffffffff,0xff704fff,
    0xffffffff,0xc8801bff,0xffffffff,0x5fffffff,0x7fffffec,0xffffffff,
    0xffff903f,0xffffffff,0x1fffffff,0x7ffffffc,0x07ffffff,0x3ffffe60,
    0x0fffffff,0xffd10000,0x64003fff,0xffffffff,0xffffffff,0xfffea804,
    0xfabeffff,0x002dffff,0x009fffb5,0xffffe980,0xceffffff,0xffffeb81,
    0xfffd88ce,0xff983fff,0xffffffff,0xffffffff,0xeffdb804,0xffd30003,
    0x09ffffff,0x3fffa600,0x1befffff,0xffff5000,0xff57dfff,0xf5005bff,
    0x7dffffff,0x45bffff5,0xfffffffd,0x7fffe46f,0x7000ffff,0x01bfffff,
    0x7fffffcc,0xffffffff,0xff34ffff,0xffffffff,0xffffffff,0x7fedc409,
    0x02ceffff,0x7ffff4c0,0xceffffff,0xfebed981,0xffffffff,0x7ff5400c,
    0xabefffff,0x42dfffff,0xfffffffd,0x005fffff,0x7ffffff4,0x0006ffff,
    0x0e76e440,0x3ffb2200,0xffffffff,0x2000ceff,0x01abcca9,0x00060000,
    0x79953100,0x80000335,0x200abcb9,0xffffffeb,0xffffffff,0x00c000ce,
    0xccb98800,0x9800009a,0x001abcba,0x55e5cc00,0x5cc00001,0x4c001abc,
    0xdffffffd,0x7fff6441,0x544002df,0xfd7001bc,0xffffffff,0x19dfffff,
    0x7fffff5c,0xffffffff,0x26000cef,0x80000acb,0x9abcca98,0x97510001,
    0x80013579,0x01abcca9,0x2aaaa600,0x01aaaaaa,0x55555300,0x00003555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54403300,0x40330000,0x000000a8,0x5d4c0000,
    0x2000001a,0x2eeeeca8,0xddddb730,0x80000000,0x2eeeeca8,0x05b91000,
    0x014c0000,0x17b70000,0x00100000,0x4000cc00,0x00150028,0x3bb2a200,
    0x0b6e22ee,0x00001310,0x22000000,0x02aa000a,0x2600e600,0x99999903,
    0x99999999,0x01805999,0x99910000,0x99999999,0x26000379,0x400ccccc,
    0xff984ffd,0x7fec000f,0x00fff984,0x8177dc40,0x7fff5c00,0xfffffb8f,
    0x800002ff,0x3ffffffc,0xffffff88,0x00000007,0x7fffffe4,0xfffd0003,
    0xf7000003,0x800001bf,0x0004fffb,0x01feca88,0xfffb7300,0xfb0019df,
    0x1bfa605f,0x7ffe4000,0x3ff23fff,0x3ff6e21f,0x00001eff,0x15975100,
    0x300bf700,0x4007ffff,0x7f401ff8,0xffffff83,0xffffffff,0x6dcc4fff,
    0x3000007f,0xffffffff,0x07ffffff,0xfffffd00,0x3fffc401,0x001fffe4,
    0xf90ffff1,0x7dc007ff,0x2e1dffff,0xffff306f,0xfffffdff,0x001bffff,
    0x7fffec00,0xfff983ff,0x00007fff,0x7fff4000,0x98003fff,0x0004ffff,
    0x3ffffa20,0x3a00002f,0x30007fff,0x3fffffd9,0xffff7000,0x05ffffff,
    0x20cfffb8,0x0005fffb,0xffffffd0,0xb17ffec7,0xffffffff,0x54000001,
    0xffffffff,0x00bfb00c,0x00dffff9,0xf9037fc4,0xfffff05f,0xffffffff,
    0x3e69ffff,0x0007ffff,0xfffff300,0xffffffff,0xffb800bf,0x7400ffff,
    0xfffa85ff,0x2fff4001,0x800fffd4,0xfffdfff9,0x306ffedf,0xffffffff,
    0xffffffff,0x4c00009f,0x03ffffff,0x0ffffffd,0xa8000000,0x03ffffff,
    0x2ffff880,0xfff70000,0x01bfffdf,0xdfff9000,0x7ffe4400,0x01ffffff,
    0x7ffffe40,0x3fffffff,0x577ffe40,0x000dfffe,0xfffff500,0x8fff4c7f,
    0xb98beff8,0x800004ff,0xffffffd8,0xe81effff,0xfffa805f,0x7fec004f,
    0xffca88be,0xfffff80f,0xffffffff,0xff34ffff,0x0000fffd,0x3ffffe60,
    0xffffffff,0x3fe2002f,0x400fffff,0x5b700cc8,0x01991000,0xfb800b6e,
    0xffffb12e,0x7f6403ff,0xdeffffff,0x1fffffec,0x7e4c0000,0x3ea203ff,
    0x000007ff,0xfffb3000,0x3fee0007,0xff900005,0x3ffee1bf,0x6c40000f,
    0x3ee001ef,0xffffffff,0x3ff6001f,0xffeeffff,0x4c01ffff,0x2ffffffe,
    0xfb300000,0x88dd07ff,0x000ffd00,0xfffff980,0xffffffff,0x801ffc3f,
    0x4000acb9,0xffffffe8,0xffd01fff,0x5555555f,0x49fffd55,0x000fff08,
    0x3bffe600,0xaaaaaaaa,0xfffc8002,0x0000ffff,0x00000000,0x7f540600,
    0xfff000be,0xfd103fff,0x300007ff,0xdfffdddd,0x3ffe07dd,0x00000007,
    0x00ffff20,0x20000100,0xe982fff8,0x100003ff,0xffff7000,0x03ffffff,
    0x3bfffe60,0x6ffffb81,0x1bfff900,0xfc800000,0x00fe43ff,0x0006ffb8,
    0x3ffffa20,0xfffdbcef,0x1ff94fff,0x44000000,0xeffffffc,0x017ff201,
    0xf80ffffc,0x3000007f,0x0000bfff,0xffffff30,0x000001ff,0x00000000,
    0xff800000,0x3ee01eff,0x980004ff,0xefffeeee,0xffff03ee,0x00000000,
    0x001fffe4,0x99000000,0x000db801,0x3a200000,0xffe8bdff,0xfff9001f,
    0xffffa80d,0x005d3001,0x3ff20000,0xb013e63f,0x005fffff,0x7fffe400,
    0xffff700d,0x000bffbf,0x2ea20000,0x175001ac,0x0ffff500,0x00003ffc,
    0x005fff98,0xefffe800,0x1000ffff,0x01357755,0x55d44000,0x2a200001,
    0xff8001ab,0x7fcc00ff,0xba98005f,0x1fffe41a,0x223fffc0,0x00009ba9,
    0xc8357530,0x88003fff,0x00001aba,0x10000000,0x80035575,0x01fffe80,
    0x005fffd0,0x0005fffd,0x2ea60000,0x1fffe41a,0xfff880b9,0x002006ff,
    0x009ffff5,0xbffffff3,0x00000000,0xf9000000,0x3ffc09ff,0x7cc01000,
    0x400005ff,0xffaffffa,0xfb7100ff,0xffffffff,0x32a00017,0xcffffffe,
    0xfeca8000,0x00cfffff,0x300ffff0,0x2600bfff,0xfffffffd,0x03fffc8b,
    0xfb37fff8,0x07ffffff,0xffffb300,0xff917fff,0x3f22007f,0x3effffff,
    0x00000000,0x7fffecc0,0xddacffff,0x3fffa001,0x0bff9001,0x013ffee0,
    0xfd980000,0x8bffffff,0x8003fffc,0x05fffdb8,0xf880ffc8,0x2a005fff,
    0x0006ffff,0x00000197,0x3fe00000,0x1ffe01ff,0x40ffaa00,0x2a65fff9,
    0xff88000a,0x1ffff5ff,0x3fffffa0,0xffffffff,0x3ffa6000,0xffffffff,
    0xffd3003f,0xffffffff,0xffff007f,0x0bfff300,0xffffff70,0xffdfffff,
    0xffff007f,0xfffffffd,0x2003dfff,0xfffffffb,0xfffeffff,0xffffb803,
    0xefffffff,0x3fff6602,0x32201dff,0x03dffffe,0x3fffffee,0xffffffff,
    0x3fffa005,0x800ea001,0x3fe3fffe,0xffffffff,0x05ffffff,0x3fffffee,
    0xffefffff,0x7c40003f,0xffd502ff,0xffff507f,0xfffd8001,0x5ffb8005,
    0x3ffb2200,0x001fffff,0x3fffd400,0x8801ffe0,0xf306fffd,0xffffdfff,
    0x320019ff,0xfff0ffff,0xffff101f,0xffffffff,0xf5001dff,0xffffffff,
    0x80bfffff,0xfffffffa,0x5fffffff,0x403fffc0,0x7405fff9,0xffffffff,
    0xffffffff,0xfffff803,0xffffffff,0x7402ffff,0xffffffff,0xffffffff,
    0x7fffec03,0xffffffff,0xfffd03ff,0x640dffff,0xffffffff,0x7ffff441,
    0xffffffff,0x3a007fff,0x00001fff,0x43ffff30,0xffffffff,0xffffffff,
    0xfffffd05,0xffffffff,0x00007fff,0xfc887ff7,0xfb80efff,0xf88004ff,
    0xfc8007ff,0xff9000ff,0x3fffffff,0xffc80000,0x03ffc04f,0x3fffffa8,
    0xffffff30,0x5fffffff,0x4ffff980,0x7403fffe,0xccdfffff,0x03ffffec,
    0x7fffffc4,0xffffdcce,0xfff104ff,0xfb99dfff,0x409fffff,0xf9807fff,
    0x3ff205ff,0xfdcdefff,0x3fffffff,0xffffff80,0xffdcceff,0xf900ffff,
    0xb9bdffff,0xffffffff,0x7fffe407,0xfffdceff,0xfe81ffff,0x06ffffff,
    0x3fffffee,0x7ffe41ff,0xffdcdeff,0x007fffff,0x0007fffa,0x3fffa200,
    0x7fffffc7,0xffffffff,0xfffc85ff,0xffdcdeff,0x03ffffff,0xffb00a88,
    0x7ffffd45,0x3fffb00c,0x3fffa000,0x3ffa2000,0xfff9001f,0x03ffffff,
    0xffff8000,0x203ffc01,0x1effffd8,0x3ffffe60,0xffffffff,0x3fff602f,
    0x03fffe0f,0x7ec01aa8,0x7ff404ff,0xff500dff,0xffd05fff,0x3ea01bff,
    0xff02ffff,0xfff300ff,0x3fffe60b,0xffff701e,0xfff007ff,0x3201dfff,
    0xf985ffff,0xf701efff,0x207fffff,0x0afffffa,0x6ffffc88,0xfffffea8,
    0x3ff6202d,0x7d44ffff,0x7101efff,0x400fffff,0x0001fffe,0x7ffff440,
    0x7fffffc3,0xffffffff,0x7ffcc3ff,0xfff701ef,0xfd007fff,0xfffdbbff,
    0xffffb11d,0xfffe805d,0xfffb0000,0xfff91003,0x362003ff,0xffffffff,
    0x3ea00001,0xffeb87ff,0x20dfffff,0x04fffffb,0xffffff88,0xffffedce,
    0xffffa80e,0x007fffc2,0x37ffcc00,0x07ffff30,0x8bfffd30,0x803ffff9,
    0xf05fffe9,0xff300fff,0x3fffa0bf,0x7ffcc00e,0xfff803ff,0xffa804ff,
    0x7fff43ff,0x7ffcc00e,0xffff03ff,0xfff7003f,0x3fff607f,0x20ffff42,
    0xfe80ffff,0xff7006ff,0x7ff400ff,0x2200001f,0xf85ffffe,0xfff307ff,
    0xfffd07ff,0xfff9801d,0xffa803ff,0x8dffffff,0x8cfffffb,0x7fc41aaa,
    0x3ee0007f,0x7fdc03ff,0x001fffff,0x00ffff40,0x9fffb000,0xffffffb0,
    0xffd15fff,0x55553dff,0x816ffec0,0xe84ffffb,0xfff86fff,0xdca9800f,
    0xfffbccee,0x17ffee06,0x47fff980,0x2005fffb,0xff07fff9,0xfff300ff,
    0x3ffff30b,0x3fffee00,0xeffff803,0xbfffb000,0x00ffffcc,0x83ffffb8,
    0x002ffff8,0x5c1bfff2,0x3fe64fff,0x3ffe64ff,0x1ffff887,0x017ffa00,
    0x001fffe8,0xfffff300,0x217ffa0b,0x83fffff9,0x001ffff9,0x007ffff7,
    0x2b3332a2,0xeffffd89,0x889fff71,0x20007fff,0x3603fffb,0xcfffffff,
    0x7ff40000,0x3e00001f,0x55301fff,0xf7355555,0x3e67ffff,0x004c06ff,
    0x2e3fffdc,0xff81ffff,0x3f6600ff,0xffffffff,0x3f606fff,0x7ec000ff,
    0x3fff61ff,0x7ffec000,0xfffffd11,0xffd883df,0x3ea3efff,0x7fc005ff,
    0xfff803ff,0x3fe2003f,0x17ffea6f,0x07ffff00,0xfffffff5,0xffffffff,
    0x260fffff,0x3ff26fff,0x3ffee7ff,0x05fffa85,0x000f7540,0x0003fffd,
    0xbfffff50,0x260f7d40,0x503fffff,0xf800bfff,0x80003fff,0x23fffffb,
    0xe84ffff9,0xb0000fff,0x3f205fff,0x003effff,0x07fffa00,0x7ffd4000,
    0xffd30007,0x7ff41bff,0x3a00006f,0xfff11fff,0x3fffe09f,0xfffff900,
    0xffffffff,0x3fffc0df,0x1fffdc00,0x7000ffff,0x3ff67fff,0x45ffffff,
    0xfffffffc,0x07fff90f,0x03fffd80,0x001ffff8,0xfc87fffc,0x7ec003ff,
    0xfffc83ff,0xffffffff,0xffffffff,0x1ffff01f,0x4bfffffe,0xfb83fffd,
    0x000003ff,0x003fffd0,0xfffffb80,0xfff30005,0x7fe407ff,0x7fec003f,
    0x3a60003f,0x740effff,0xfd84ffff,0xfd0001ff,0xfff101ff,0x000007ff,
    0x0003fffd,0x013fff60,0x3fffff20,0x37fffe43,0xfffb0000,0x3bffff65,
    0xfffeeeee,0x7ffe42df,0xffffffff,0xf306ffff,0xf5000dff,0x3ffe69ff,
    0xfffa8006,0xffffffb4,0xfffc8dff,0xfb0fffff,0xfc8005ff,0xfff803ff,
    0x7ff4000f,0x05fffb1f,0x83fffc80,0xfffffffc,0xffffffff,0xb02fffff,
    0xfff55fff,0x3ffebfff,0x2fffd81f,0xfd000000,0x640003ff,0x004fffff,
    0x7fffff30,0x02fffd80,0x01fffe40,0xfffffb80,0xffeffb83,0x04fffb84,
    0x07fff880,0x003ffff7,0x3fffa000,0xfff00001,0x7f4c003f,0x7cc0dfff,
    0x0006ffef,0x7cfffee0,0xffffffff,0xffffffff,0xffffff52,0xfb97537b,
    0x7ffc0dff,0xfffc8007,0x001fffe2,0x6ccbfff2,0x1dffffff,0x7ffff644,
    0x0ffff22d,0x07fffb00,0x003ffff0,0xf90ffff8,0xfd8007ff,0xfffa83ff,
    0xffffffff,0xffffffff,0x9fff702f,0xfffffffb,0x2e0ffff5,0x00003fff,
    0x03fffd00,0x3ffff600,0xff30003f,0xf9007fff,0xfd8007ff,0xfb8003ff,
    0xf980dfff,0xa84ffaff,0x4000ffff,0xf906fffd,0x06200bff,0x03fffd00,
    0xffff5000,0x7fffc400,0x9ffe882f,0x200006ff,0xfff3fffc,0xffffffff,
    0x27ffffff,0x00affffe,0xc81bffe2,0x22003fff,0x3f20ffff,0x3e2003ff,
    0x00000fff,0x0bfff500,0x03ffff80,0x003ffff8,0xfa9bffe6,0x7fc005ff,
    0xfff983ff,0x3000000f,0xffffffff,0xfffdfffd,0x17ffe60b,0x7f400000,
    0x744001ff,0x002fffff,0x7fffff50,0x17ffea00,0x07ffff00,0x05fff700,
    0x7fcd7ff4,0x5ffff884,0x3fffea00,0x09fff702,0x4009ff50,0x0001fffe,
    0x004fffd8,0xc8067ffc,0x00dff4ff,0x8fffec00,0xffffffff,0xffffffff,
    0x2ffff88e,0x06fffb80,0x007fffea,0x2a37ffec,0xb001ffff,0x0000dfff,
    0x7fffc400,0xffff9002,0xfffff007,0x3fffa003,0x0bfffe25,0x1ffffe40,
    0x00effff8,0xffff0000,0xfff5dfff,0x2207ffff,0x8002ffff,0xffd000bb,
    0x7fcc003f,0x0001ffff,0x07fffff5,0xffff1022,0x3fff2005,0x1770003f,
    0xf9affe40,0xffff504f,0xffff3009,0x7fffd40b,0x03ffec00,0x003fffd0,
    0x2ffff880,0x500e4c00,0x837fcdff,0x3fe6000a,0x555550ff,0xff555555,
    0x7ffc43ff,0x3ffaa01f,0x3fe206ff,0x3a603fff,0x7c43ffff,0x2603ffff,
    0x003ffffe,0x0016ff44,0x80fffff6,0x3fffffc8,0xefffff80,0x3fff6602,
    0x7fffec1f,0x3fff2203,0xfff703ff,0x953001df,0xfffd805b,0xffff3fff,
    0x7f403fff,0xa800bfff,0xfd005fff,0x3ea003ff,0x000effff,0x7fffff50,
    0xfb13fe60,0x64407fff,0x003fffff,0x3fff3000,0x640bff53,0x700effff,
    0x401fffff,0x81dffff8,0x01ffffa8,0x003fffd0,0x07fffa80,0xfff88000,
    0xe86ff99b,0x75400cff,0xf0006fff,0xffe81fff,0xfecbceff,0xffffffff,
    0xffffb83e,0xfecbbdff,0xb80effff,0xbdffffff,0xfffffecb,0x7fd4000e,
    0x3e2001ff,0xabceffff,0xffffffdc,0x3ae1dfff,0xffffffff,0xffdcbbce,
    0xff883fff,0xcabcefff,0xfffffffd,0x7fec1dff,0xbabcdfff,0xffffffdc,
    0x3fffee00,0xffff90ff,0x7fc401ff,0xabcdffff,0xffffeecb,0x3fffd007,
    0xfffff700,0x42b8801d,0x03fffffa,0xff11fff6,0x9579dfff,0xfffffffb,
    0x00003bff,0x7fffffec,0x3fa06fff,0xdbceffff,0x03ffffff,0xffffffc8,
    0xffffffdc,0xfffd001f,0xffd80003,0xb800004f,0xffffffff,0xffff30ff,
    0xdb9799df,0x003fffff,0x3fffff6a,0xfff50cff,0xffffffff,0xffffffff,
    0xffff901f,0xffffffff,0x7e401fff,0xffffffff,0x00ffffff,0x7fe544c0,
    0x7ffd4005,0xffffffff,0xffffffff,0xfffff35f,0xffffffff,0xdfffffff,
    0x7ffffd40,0xffffffff,0x5fffffff,0x7fffffc4,0xffffffff,0x2601ffff,
    0x265fffff,0x806fffff,0xfffffff9,0xffffffff,0x7ff644ff,0xffffffff,
    0x3fa1dfff,0xffffffff,0xffffffff,0xffffff31,0xffffffff,0xffa81fff,
    0xffffffff,0xffffffff,0x200005ff,0xfffffffd,0x3fe605ff,0xffffffff,
    0x2003ffff,0xfffffffe,0x1fffffff,0x3fffffb2,0xffffffff,0xff800dff,
    0x800002ff,0xfffffffb,0xfff10eff,0xffffffff,0x007fffff,0x7ffffffc,
    0x3ff23fff,0xffffffff,0xffffffff,0xffff700f,0xffffffff,0xfff7001b,
    0xffffffff,0xfa8001bf,0x004ffeef,0xfffffe98,0xffffffff,0xf35fffff,
    0xffffffff,0xffffffff,0xe98019ff,0xffffffff,0xffffffff,0xffc885ff,
    0xffffffff,0x805fffff,0x742fffff,0x5004ffff,0xffffffff,0x9fffffff,
    0xffffffa8,0xffffffff,0x3fffa6ff,0xffffffff,0x73ffffff,0xffffffff,
    0xffffffff,0xfffd301f,0xffffffff,0xbfffffff,0x4cc40000,0x0dffda99,
    0x7fffe440,0x1effffff,0x7fff4400,0xffffffff,0x3fffe62e,0xffffffff,
    0x04ffffff,0x0005ffe8,0x53333100,0xf981fff9,0xffffffff,0x003fffff,
    0x7ffffffc,0x7f542fff,0xbeffffff,0x2dfffffa,0x7ffedc40,0x002cefff,
    0x7fffedc4,0x0002ceff,0x1ffffff1,0x7ffdc000,0xcaefffff,0x20cfffff,
    0x9fffffdb,0xfffffffc,0x7dc001ef,0xefffffff,0xcfffffca,0x3fffa600,
    0xefffffff,0xfffb001c,0x5ffff50f,0x7ffdc400,0xffffffff,0xffffa80c,
    0xffffffff,0x3fa6ffff,0xffffffff,0xffffffff,0xffffff75,0xffffffff,
    0x7dc01fff,0xefffffff,0xcfffffca,0x32000000,0x007fffff,0xffffffd5,
    0x5c00019d,0xffffffff,0xffff981d,0xffffffff,0x04ffffff,0x0001eea8,
    0xffff5000,0xffd501ff,0x9fffffff,0xffb50001,0x409dffff,0x01abcca9,
    0x59730000,0x5cc00001,0x300000ac,0x00039dd9,0x2af2ea60,0x51000001,
    0x00135995,0xabcba980,0x26200001,0x019abcca,0x09fff700,0x0003fffe,
    0x56665d4c,0xffec801a,0xffffffff,0x3fa1dfff,0xffffffff,0xffffffff,
    0xffffff75,0xffffffff,0x53001fff,0x00035797,0xfd500000,0x88009fff,
    0x0000abb9,0x0d55d440,0x7ffff5c0,0xffffffff,0x0000ceff,0xd3000000,
    0x880bffff,0x01aacba9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06000000,0x0cc00000,0xc9801440,0x1eeeeeee,0x77765400,0x3260eeee,
    0x0018801c,0x65cc0000,0x000000ab,0xcda80000,0x77654000,0x000eeeee,
    0xabcba880,0x00000000,0x00000000,0xbcccca98,0x0bb8801a,0x02880000,
    0x54c00054,0x0001abcb,0x0d5e5d4c,0x00000000,0x5e654400,0x0000000a,
    0x2ea20000,0x880000ac,0x00abcca9,0x1ffb2a20,0x3e600000,0x5ff700df,
    0xfffffa80,0x2001ffff,0xfffffffb,0x1bffe1ff,0x0009ff50,0x27fffdb8,
    0xffffffd8,0xfff9104f,0xfeb809df,0x002dffff,0x400dfff3,0xfffffffb,
    0x3a6001ff,0xffffda8d,0x8004ffff,0x0102dfb8,0x103eeb80,0xffb30000,
    0xffffffff,0x027fec07,0x1bfea000,0x4c017ff4,0xfffffffc,0x75c001ef,
    0xefffffff,0x4003fd8b,0xbdeffeca,0x7ed40000,0xdfffffff,0x26003fcb,
    0xfffffffd,0x1dffffff,0xfffffa80,0x8000cfff,0xfffffffb,0xc81edacf,
    0x007fffff,0xffe88000,0x3fffa62f,0x7fffe401,0x001fffff,0x3ffffff6,
    0xfff11fff,0x3ffe401f,0xffff3000,0x3fffe6ff,0x85ffffff,0xfffffffb,
    0xfffff102,0x9001ffff,0x2003ffff,0xfffffffd,0x3fa001ff,0xffffffff,
    0x01efffff,0xbfffff70,0x5402fe41,0x21efffff,0x260007fa,0xffffffff,
    0xd00fffff,0x80000dff,0x7cc1fffd,0x3faa05ff,0xffffffff,0xe8803fff,
    0xffffffff,0x07ffffff,0xfffffc88,0x01dfffff,0xfffffc80,0xffffffff,
    0xffb000ff,0xffffffff,0x40bfffff,0xffffffd8,0x001effff,0xffffffd3,
    0xbfffffff,0xfffdffb0,0x26000000,0xffbcfffe,0xff8802ff,0x1fffffff,
    0x3fffe600,0x2e1fffff,0x7ff406ff,0xff50000f,0xfff9ffff,0xffffffff,
    0xffffc87f,0xff102fff,0x1fffffff,0x1ffff500,0x3fffe600,0x001fffff,
    0x3ffffffe,0xffffffff,0x7fcc03ff,0xedffffdf,0x7fc406ff,0xedffffef,
    0x88000fff,0xffffffff,0x227fffff,0xeffffeec,0x0003deee,0xf881fff7,
    0x3ffa03ff,0xffffffff,0x2a02ffff,0xffffffff,0xffffffff,0x3ffa601f,
    0xffdbbdef,0xb1003fff,0xffffffff,0xffffffff,0x3fff6005,0xffffffff,
    0xf305ffff,0xffffffff,0x807fffff,0xffffffe8,0xffffffff,0x1ffa1307,
    0xf9000000,0x01bfffff,0xfeaaa980,0xa98001ff,0x41fffeaa,0x7ff404f8,
    0x3b20000f,0xffffffff,0xfffebbdf,0x3ff621ff,0x75c04fff,0x02efffff,
    0x000fff60,0x3ffaaaa6,0xfff1001f,0x979dffff,0x5ffffffb,0xd8977dc0,
    0x00ffffff,0xff91ffcc,0x0005ffff,0x337fffee,0x2eeeccaa,0x3ffffff2,
    0x1fffffff,0x203b7000,0x3fa00bd9,0xcbdeffff,0x80fffffd,0xeffffff8,
    0xffffdcbd,0xff502fff,0x75cc01bf,0x7f4405ff,0xbbdfffff,0xffffffec,
    0xfffb3002,0xffffffff,0xfd103bff,0xb79dffff,0x07ffffff,0x77ffffec,
    0xffffedbc,0x07fe807f,0xe9800000,0x00002fff,0x0003fffd,0xe83fffd0,
    0x7fff400f,0xfff80000,0x980bffff,0xfc85ffff,0x7fc003ff,0x0010007f,
    0x0ffff400,0xfffff880,0x7fffe404,0xfea80c06,0x203000ae,0x000befd9,
    0x013fff60,0x3ffffea0,0x6fffffff,0x80000000,0x300bfffe,0xfd09ffff,
    0x6401dfff,0x982fffff,0x22002fff,0x3f604ffd,0x2201dfff,0x002ffffc,
    0x06fff980,0x1bffff90,0x3ffffee0,0xdffff880,0xfffff701,0x000ffd00,
    0x06e40000,0xfffd0000,0xffd00003,0x400fdc3f,0x0000fffe,0x3ffffff8,
    0x43fffe40,0x4003fffc,0x00007fff,0xfffe8000,0xffff1001,0x3ffea007,
    0x0000004f,0xd0000000,0x40003fff,0x99ffff99,0x00000099,0x1fffb000,
    0x45fffd80,0x00dffffa,0x42ffff98,0x3330ffe8,0x7fe40333,0x5ffff982,
    0x0bfffa00,0x3ffe6000,0xffffa806,0xffff9804,0x0ffffa85,0x03fffd40,
    0x20003ff4,0x00000000,0x00ffff40,0x0ffff400,0x3ff6607d,0xffffffff,
    0x403effff,0x804fffff,0x640ffff8,0x7c003fff,0x000007ff,0x1fffe800,
    0x01bffe00,0x01ffff70,0x30000000,0x80003575,0x0000fffe,0x2627fff8,
    0x00001aba,0x1bfee000,0xd1fffe60,0xd800bfff,0x7fe41fff,0xffffff8a,
    0x7fe81dff,0x006fffd8,0x0007ffd4,0x037ffcc0,0x017fffe2,0x42ffffa8,
    0xf003fffc,0xffd00dff,0x07fee000,0x80000000,0x0511fffe,0x07fffa00,
    0x7fffff40,0xffffffff,0x3e00ffff,0x3e004fff,0x7fe40fff,0x7ffc003f,
    0xffffff07,0xffffffff,0x7f400bff,0x3f2001ff,0xffe8003f,0x7ff6442f,
    0x001fffff,0x71ffffd7,0x5fffffff,0x3fffb200,0x80000fff,0xffd9ffff,
    0x002effff,0xfffffd91,0x32e003ff,0x7fff9800,0x007fffe6,0xf88fff50,
    0x3ffff65f,0x440fffff,0x3ffe22ff,0x3fc8001f,0xfff30000,0xffffa80d,
    0x7ffec000,0x02fffd46,0xe803ffb8,0x7f4c007f,0x764404ff,0x1fffffff,
    0xfffe8000,0x8006ffda,0xd001fffe,0xffffffff,0xffffffff,0x3fffc03f,
    0x07fffa00,0x8007fff9,0xfff07fff,0xffffffff,0x00bfffff,0x040ffff4,
    0x2e000330,0x7fe44fff,0x1fffffff,0xfffff980,0xffffffef,0x2a00dfff,
    0xffffffff,0xfff80000,0xffffffff,0xfc805fff,0xffffffff,0xfd800001,
    0x3ffea6ff,0x83b70007,0x2fdc0ffb,0xfd07fd51,0x03fffccd,0x98000000,
    0x7dc06fff,0xf88003ff,0x7ffc47ff,0x0033003f,0xfb801ffa,0x6401ffff,
    0xffffffff,0xfe80001f,0x2fffffff,0x0ffff400,0xffffd980,0xffffffff,
    0x7fc03eff,0x7ff4007f,0x1fffe41f,0x41fffe00,0xffffffff,0xffffffff,
    0x3fffa005,0x007bfa61,0xbfff3000,0xffffffc8,0xf9801fff,0xffffffff,
    0xffffffff,0x3fffea04,0x0000ffff,0xfffffff8,0xffffffff,0x7fffe403,
    0x001fffff,0x3fff6200,0x17ffee4f,0x0dfb0000,0x0ff30bf7,0x3fee1ff9,
    0x0000005f,0x0dfff300,0x001fffd8,0xe81fffd0,0x0aceffff,0x07fe8000,
    0xdffffe98,0xffffc800,0x001fffff,0xfffffe80,0x74000fff,0xd0001fff,
    0x00001fff,0xd800ffff,0x7fe41fff,0x7ffc003f,0xffffff07,0xffffffff,
    0x7f4007ff,0x3fff21ff,0x3fffff66,0xffffffff,0x6fffffff,0x7ffffec4,
    0xd9001fff,0xdfffffff,0xfffffd9b,0x7fff6403,0x80000fff,0xffffffff,
    0xfffffdcd,0x3fff6200,0x001fffff,0xffffc880,0x3fff20ff,0x7f400003,
    0xfc85fb84,0xf91ffa86,0x000007ff,0x3ffe6000,0x07fff406,0x2fffd800,
    0x7fffffcc,0x800bdeff,0xffffffea,0x7ffe43ef,0x362003ff,0xffffffff,
    0x7fcc0001,0x01efffff,0x01fffe80,0x01fffd00,0x0ffff000,0x41fffd80,
    0x4003fffc,0xfff07fff,0x3fffe60f,0x7ff4003f,0x9ffffa1f,0xfffffffd,
    0xffffffff,0x007fffff,0x8003fffd,0x81ffffff,0x003fffe8,0x0003fffa,
    0x3fffffe0,0x2ffff881,0x1fffe800,0x3ff66000,0x6c1fffff,0x00002fff,
    0x77dc1ffc,0x83fffcaa,0xfffb2ff8,0x00000005,0x81bffe60,0x0007fff8,
    0x260ffff2,0xffffffff,0x3601efff,0xffffffff,0xffffd56f,0x0579733b,
    0x03fffd00,0x3fff6200,0x0003ffff,0x0007fffa,0x0007fff4,0x003fffc0,
    0xf907fff6,0xff8007ff,0x0bffd07f,0x07fffff3,0x43fffd00,0x3f64fffb,
    0xffffffff,0xffffffff,0xfd007fff,0xff8003ff,0x3ee01eff,0x3fa004ff,
    0xf80000ff,0x3600efff,0xe8004fff,0x20001fff,0xeffffffe,0x02fffd80,
    0x0bfe2000,0x3fffffee,0x6cffe03f,0x2a202fff,0xbccccccc,0x26002981,
    0x3e206fff,0x2e0007ff,0xfb103fff,0xffffffff,0x554c05ff,0xd89aaaaa,
    0xf9afffff,0x01efffff,0x007fffa0,0x3ffffee0,0x40000cff,0x9001fffe,
    0xfffffffd,0x009dffff,0x2003fffc,0x7e41fffd,0x7fc003ff,0x83df507f,
    0x03fffff9,0x83fffd00,0x3ff60bda,0xffffffff,0xffffffff,0xffd007ff,
    0xfff8003f,0x7ffcc00f,0x3fffa005,0xfff80000,0x5fffa807,0x1fffe800,
    0x3fffa000,0x3ff603ff,0x7c00002f,0xeeffb83f,0xff300eff,0x40bfff65,
    0xfffffff8,0x3ea5ffff,0xfff3005f,0x0fffe80d,0x5fffb000,0xffedb880,
    0x04ffffff,0xfffff500,0xbdfff519,0x2001ffff,0x4001fffe,0xfffffffc,
    0xfe80001f,0xffa801ff,0xffffffff,0x002fffff,0xd800ffff,0x7fe41fff,
    0x40e6443f,0x4c007fff,0x003fffff,0x007fffa0,0x001fffe4,0x8037ffc4,
    0x4001fffe,0xf9807fff,0x3fa005ff,0xf80000ff,0xffa807ff,0xffe8005f,
    0x3f60001f,0xffc803ff,0x7400003f,0x2a5fb85f,0x3ff705ff,0x540ffff2,
    0xffffffff,0x3ff27fff,0xdfff3007,0x01fffd80,0x01fffd00,0xffeba880,
    0x22000fff,0x21effffd,0x7fe41ffe,0x3fffd004,0xffffe800,0x0001ffff,
    0x801fffe8,0xfffffff9,0xffffffff,0x0ffff001,0x41fffe80,0x7dc3fffc,
    0x07fff85f,0x3ffffe60,0x7ff40003,0xfff5001f,0xfff5000b,0x3fffa009,
    0x3fffc001,0x02fffcc0,0x001fffd0,0x00ffff00,0x000bfff5,0x0003fffd,
    0xb8037fdc,0x00005fff,0x2fdc37e4,0x3f613fe6,0x413ffea7,0xfffffff8,
    0x3fa5ffff,0xff9801ff,0x7ffdc06f,0xfff88003,0x7d400087,0xf5002fff,
    0xfb09ffff,0x00bff307,0x0007fffa,0xffd7fff7,0xfd00003f,0x3b2003ff,
    0xffffffff,0x2004efff,0x74007fff,0x7fe41fff,0x07ffec3f,0x4c01fffe,
    0x003fffff,0x01fffe80,0x00ffff30,0x007fffb0,0x0007fffa,0xf300ffff,
    0x7f400bff,0xf80000ff,0xffa807ff,0xffe8005f,0x6dc0001f,0xffff5001,
    0x7cc00001,0x2bbf222f,0xf82ffea0,0x17ffe24f,0xecccca88,0x7ff44fff,
    0xfff9801f,0x7fffd405,0x7ffec000,0x20037ec6,0x9804fffb,0x001effff,
    0xd003ffc8,0x30003fff,0x00ffff45,0x0ffff400,0x0fffe800,0x7fff8000,
    0x07fff400,0xfd0ffff2,0x7ffc41ff,0xffffa806,0xfd00003f,0x7fc003ff,
    0x3ea004ff,0xfd001fff,0xff8003ff,0xfff9807f,0x3fffa005,0xfff80000,
    0x5fffa807,0x1fffe800,0xe8000000,0x50005fff,0xf11dfd03,0xfc8dffff,
    0xf83ff57f,0x64002fff,0x7ff42fff,0xfffa801f,0x7fffc404,0x3ffea005,
    0x0fffe62f,0x06fff980,0x003fff98,0x001fffb0,0x0007fffa,0x007fffa0,
    0x07fffa00,0x0ffff400,0xfff00880,0x7fff800f,0x743fffc8,0x3fe60fff,
    0x7ffd405f,0x001103ff,0x001fffe8,0x00bffff2,0x017fffe6,0x001fffe8,
    0x4c03fffc,0x3a005fff,0x80000fff,0xfa807fff,0xfe8005ff,0x000001ff,
    0x3ffffb80,0x0fff6200,0x3bb29ff5,0x8ced83ee,0xfffd85ff,0x3ff2000e,
    0x0ffff42f,0x017fff40,0x027fffd4,0x22ffffcc,0x000ffffb,0x200bfffb,
    0xe88000ba,0x3a000fff,0x80001fff,0x0001fffe,0x001fffe8,0x407fffb0,
    0xf82ffdb9,0x3ea007ff,0xfffc86ff,0xd07fff43,0x7d409fff,0xf303ffff,
    0x7ff4009f,0x7ff4001f,0xff700dff,0x74001fff,0x7c001fff,0xff9807ff,
    0x3ffa005f,0xff80000f,0xfffa807f,0xfffe8005,0x80000001,0x1effffe8,
    0x37fffcc0,0x4001ffe4,0xf880ffe9,0x4403ffff,0x742fffea,0xd102dfff,
    0x2001ffff,0x00effffc,0x81fffff7,0x03fffffb,0x0fffff22,0xff300000,
    0xfe8001df,0xe80001ff,0x80001fff,0x0001fffe,0x59bffff9,0xffffffd9,
    0x7ffffe4d,0xfbaa885f,0x3f623fff,0x3fa4ffff,0xfffebeff,0xffff502f,
    0x3ffec07f,0x03fffd00,0xfffff980,0xfffdbcdf,0x74003fff,0x7c001fff,
    0xff9807ff,0x3ffa005f,0xff80000f,0xfffa807f,0xfffe8005,0x2ee20001,
    0x7ffcc001,0xcbcdefff,0x4ffffffe,0x003dffd0,0xb807ffea,0xceffffff,
    0xfffffdbc,0x7fff42ff,0xfdccdfff,0x4003ffff,0xcefffffe,0xffffffdb,
    0xfffffb83,0xfdcbceff,0x000fffff,0x3fff2000,0xfffd0004,0x3ffb2003,
    0xffffffff,0x21dfffff,0xffffffeb,0xffffffff,0x3fe600df,0xffffffff,
    0xf54fffff,0x5fffffff,0xffffffe8,0x7ffffe46,0xffffd2ff,0x209fffff,
    0xfffffff9,0xffffffff,0x3ffae0ff,0xffffffff,0x00dfffff,0xfffffff5,
    0x9fffffff,0x3ffffb20,0xffffffff,0xfd10dfff,0x83dfffff,0xefffffd8,
    0x7fffecc3,0xefffffff,0xfffea802,0x75c1ffff,0x0effffff,0x3fffffb2,
    0xffffffff,0x3e600dff,0x54004fff,0xffffffff,0xffffffff,0xfffb100d,
    0x7edc4159,0xfd801fff,0xffffffff,0xffffffff,0x7fffff42,0xffffffff,
    0xff98003f,0xffffffff,0xf503ffff,0xffffffff,0xffffffff,0x22000005,
    0x6402fffe,0xfffffffe,0xffffffff,0xfffff30d,0xffffffff,0x26bfffff,
    0xffffffff,0xffffffff,0x7fd404ff,0xffffffff,0xff30cfff,0x85ffffff,
    0x2fffffff,0x7fffffdc,0xfffff72f,0x7dc0bfff,0xffffffff,0xffffffff,
    0xffffff30,0xffffffff,0x4409ffff,0xfffffffe,0xf301efff,0xffffffff,
    0xffffffff,0x3ffff69f,0x7e45ffff,0x0fffffff,0x3ffffffa,0xffffffff,
    0x7ffff400,0x3e26ffff,0xffffffff,0xffffff34,0xffffffff,0x5c09ffff,
    0x8007ffff,0xffffffe8,0x3fffffff,0xfffff700,0xbfffffff,0x7ff54001,
    0xffffffff,0xb882efff,0xfffffffe,0x0003ffff,0x3fffff22,0x01efffff,
    0x3fffffe2,0xffffffff,0x000002ef,0x559ffff5,0x3fe61755,0xffffffff,
    0xffffffff,0xffffff34,0xffffffff,0x3e6bffff,0xffffffff,0xffffffff,
    0xffd9804f,0xceffffff,0xffffdb80,0xffffc84e,0xffec883f,0x7ffdc4ef,
    0x2e00cfff,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,0x009fffff,
    0xffffffd7,0x7fcc019f,0xffffffff,0xffffffff,0xffffffb4,0xfffc8dff,
    0x3a0fffff,0xffffffff,0x00ffffff,0x7ffffff4,0x3ffe25ff,0x33ffffff,
    0xffffffff,0xffffffff,0x7fcc09ff,0x2a0004ff,0xfffffffd,0x44001cef,
    0xfffffffb,0x2e0001df,0xfffffffe,0x93001dff,0x9dffffff,0x3aa00005,
    0x4effffff,0xd719d700,0xffffffff,0xc8000007,0xffffffff,0xffff35ff,
    0xffffffff,0x49ffffff,0xffffffeb,0xffffffff,0x3ff6e0cf,0xffffffff,
    0x00ceffff,0x2f32ea60,0x9800000a,0x00000acb,0x20017751,0xfffffffb,
    0xffffffff,0x3ff6e0ff,0xffffffff,0x00ceffff,0x02aee620,0xffffeb80,
    0xffffffff,0xfb30ceff,0x83bfffff,0xdffffec8,0x7fffecc2,0xdfffffff,
    0xfffd9802,0x6d41dfff,0x0cefffff,0x3fffffae,0xffffffff,0x54400cef,
    0x3100001b,0x00035975,0x4d65d4c0,0x4c400000,0x0009abca,0x002eea20,
    0xbb988000,0x5100000a,0x00035797,0x3fff2000,0x6fffffff,0x3fffffae,
    0xffffffff,0x00000cef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x53000000,
    0x03579999,0x50000000,0xddddddd9,0x3b6e6001,0x500005ee,0x55555555,
    0x55555555,0xe8801555,0x26003eee,0x004eeeeb,0x00000000,0x35975100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0001aba8,0x00000000,0x06200000,0xfb300000,0xffffffff,
    0xfffec87f,0x3222dfff,0xdfffffff,0x7ffffdc1,0x8801ffff,0x07ffffff,
    0x3333b000,0x33333333,0x55333333,0x4ffff980,0xfffff300,0x260000df,
    0x1dfffffd,0xdffffd70,0x3fff2007,0xa802efff,0x1dfffffd,0xdffffd90,
    0xfffd7009,0xffffffff,0x7fffffff,0xfffffeb8,0xfffd9103,0xd703bfff,
    0xffffffff,0x20057bdf,0x07ffffeb,0x3ffffee0,0x7fff641d,0x4effffff,
    0x7fff5c00,0x262dffff,0x4efffffd,0xffffff88,0xffffffff,0x7e4404ff,
    0x3effffff,0xffffeb80,0xbdefffff,0xeca80002,0x000bdeff,0x0013fea0,
    0x7fffcc00,0xffffffff,0xfffff50f,0x7e4fffff,0xffffffff,0x7ffffec5,
    0xa801ffff,0x07ffffff,0x00009000,0x3fe6014c,0xff7004ff,0x000dffff,
    0x3fffffa0,0xfffa86ff,0x202fffff,0xffffffe8,0x7fc04fff,0x85ffffff,
    0xfffffffa,0x3ffe202f,0xffffffff,0xffffffff,0x3fffe23f,0xfb80ffff,
    0xffffffff,0x7ffffc46,0xffffffff,0x3e201eff,0x03ffffff,0xffffffd0,
    0x7ffffdcb,0xffffffff,0xffff3002,0x4dffffff,0xfffffffd,0x7fffc42f,
    0xffffffff,0x2e04ffff,0xffffffff,0xf302efff,0xffffffff,0x1bffffff,
    0xfffc8800,0xdfffffff,0x7ffc8001,0xff880000,0xffffffff,0x3fea7fff,
    0x7fffffff,0x3ffffff2,0x7fcc5fff,0x1fffffff,0xfffffd00,0x0120000f,
    0x4c029800,0x1004ffff,0x0dffffff,0x3fffe000,0xfb87ffff,0x2fffffff,
    0x3fffff60,0x02ffffff,0x3ffffffe,0xffffb86f,0x2202ffff,0xffffffff,
    0xffffffff,0x3e23ffff,0x5fffffff,0xffffffb8,0x7fc46fff,0xffffffff,
    0x4fffffff,0xffffff30,0xfff500df,0x7dcbffff,0xffffffff,0x3002ffff,
    0xffffffff,0x7fff4dff,0x442fffff,0xffffffff,0xffffffff,0xfffffb04,
    0xffffffff,0xffff307f,0xffffffff,0x007fffff,0x37bfffa6,0xfffffdbb,
    0x7fff4003,0x7dc00000,0xcaacefff,0x7642eeec,0x2dffffff,0x3ffffb22,
    0x55301dff,0x003fffd5,0x03fffd44,0x00004800,0x999100a6,0xfb980059,
    0x500006ff,0x5ffffffd,0xfffffb10,0x7ffd40bf,0xfffdbdff,0x3ffaa04f,
    0xd881efff,0x04ffffff,0xbffffeb8,0xffffffff,0x5c3fffff,0xfffffffe,
    0x7fff6442,0xeb81dfff,0xffffffff,0xffffffff,0xfffff703,0xffe805ff,
    0x641dffff,0xfffffffe,0x5c004eff,0xfffffffe,0x3fffe62d,0xff884eff,
    0xffffffff,0x84ffffff,0xeffffffc,0xffffffdc,0xfffeb81f,0xffffffff,
    0x402fffff,0x200dfffa,0x005ffeb9,0x0003fffa,0x09fffb00,0x07fff800,
    0x00ffff20,0x003fffd0,0x000ffff0,0x98000120,0x30000002,0x0000dfff,
    0x05ffff98,0x017fffe6,0x2a1bfff2,0xfb802fff,0x3ee06fff,0x98005fff,
    0xffff8fff,0x03fffc80,0x3bfffffe,0x13ffee00,0x207fffa0,0xfffffdb9,
    0xfffff301,0x7ffcc0df,0xf9005fff,0x200007ff,0x3207fff8,0x203fffff,
    0x2206fff8,0x541ffffe,0x80afffff,0x06ffffc8,0x2603fffa,0x1fffffdb,
    0x005fff30,0x8027fec4,0x0000fffe,0x00ffff40,0x01fffe00,0x003fffc8,
    0x000ffff4,0x0003fffc,0x26000048,0x30000002,0x0000dfff,0x05ffff70,
    0x003bfffa,0x4c0bfff6,0x3ff2002c,0xfff984ff,0xfb8000ef,0x01ffff6f,
    0x7c07fff9,0x04ffffff,0x2013ffee,0x4c01fffe,0xf306ffff,0x03ffffff,
    0x3ffffff6,0x7fff9005,0x3fe20000,0xffffb07f,0xfff8805f,0x3ffff606,
    0x1fffff82,0x3ffffb80,0x801fffd0,0x886ffff9,0xaa880ffe,0x005ff901,
    0x0001fffd,0x00fffe80,0x03fffc00,0x007fff90,0x001fffe8,0x2627fff8,
    0x090009ba,0x0014c000,0xfff98000,0xfd000006,0xffc81fff,0xffd001ff,
    0xd800003f,0x3e23ffff,0x0001ffff,0x3ffe9ffd,0x2fffc80f,0x3fffffe0,
    0xfff701ff,0x3fffd009,0x5ffff300,0xffffff30,0xffff10bf,0x3200bfff,
    0x00003fff,0xe88ffff1,0x801fffff,0xf706fff8,0xff109fff,0x7e4005ff,
    0xfffd06ff,0xffff5001,0x442ffc83,0xfdfffffe,0x3661ffa1,0xffffffff,
    0x3dffffff,0x3ffffae0,0xffffffff,0x7ffc01df,0x3fff2007,0x7fff4003,
    0xffff8001,0xffffffd9,0x0002402e,0xfec88530,0x01ffffff,0x237ffcc0,
    0xefffffeb,0xffff1003,0x27fffccb,0x05fff900,0xffe88000,0xffffd2ff,
    0x3fe20005,0x21ffff1f,0x03fff509,0x7ffffffc,0x9fff706f,0x03fffd00,
    0x21bfff20,0xfffffff9,0x7fffe40f,0xf9005fff,0x200007ff,0x3a27fff8,
    0x001effff,0x3e617ffe,0xff506fff,0xffffffff,0xffffffff,0x3fffa0ff,
    0xbfffb000,0x3e62ffc4,0xffffefff,0xfd0bfe23,0xffffffff,0xffffffff,
    0xfffff501,0xffffffff,0xff80dfff,0x3ff2007f,0x7ff4003f,0xfff8001f,
    0xffffffff,0x01203fff,0x7e429800,0xffffffff,0x7ffcc001,0x3ffffe66,
    0x7002ffff,0x3fa7ffff,0x7dc006ff,0x800004ff,0xfdfffff8,0x20003fff,
    0x3ffe7ffa,0xf8affb8f,0x7fffc07f,0xb83ffffb,0xfe804fff,0xff3001ff,
    0xfff981ff,0x7c4fffee,0x5fffdfff,0x07fff900,0x3ffe2000,0xdfffff37,
    0x3ffd8001,0x07ffffc4,0xffffffc8,0xffffffff,0x81ffffff,0x3000fffe,
    0x7fdcffff,0x88fbfa20,0x37f43ffc,0x3ffffffa,0xffffffff,0xffa81fff,
    0xffffffff,0x06ffffff,0x9003fffc,0xe8007fff,0xf8001fff,0xffffffff,
    0x04ffffff,0x14c00009,0x3ffffff2,0x4c001fff,0x3fea6fff,0x2fffffff,
    0x3ffff600,0x001ffffd,0x0037ffcc,0xffff9800,0x0005ffff,0xfff2ffec,
    0x22bffd1f,0x8ffff802,0x5c0ffffd,0x74c04fff,0x0999afff,0x307fffe0,
    0xfff5dfff,0x3fffee1f,0x9005fff9,0x00007fff,0x3ebfffe2,0x0005ffff,
    0xfffd0571,0x7ffe405f,0xffffffff,0xffffffff,0x0fffe82f,0x43fffe00,
    0x07fdc6fd,0x7fe42fd8,0x3ffff6a0,0xffffffff,0x3b203eff,0xffffffff,
    0x02dfffff,0x9003fffc,0xe8007fff,0xf8001fff,0xdeffffff,0x07fffffc,
    0x14c00009,0x3fffff62,0x4c001fff,0x3fe66fff,0x04efffff,0x7ffffc40,
    0xd8804fff,0xffffffff,0x00004eff,0xdffffff5,0x7fff0000,0x7ffffffc,
    0x7ffc007f,0x5ffff88f,0x4427ffdc,0xfffffffe,0xfb04ffff,0xfff985ff,
    0x3a7ffff6,0xfff9bfff,0x7fff9005,0x3fe20000,0xffffffff,0x7e400000,
    0x7d403fff,0xffffffff,0xffffffff,0xffe82fff,0x3ffa000f,0xfd89fd1f,
    0xf5032605,0x7fff403f,0x7f400000,0x7c0000ff,0x3f2007ff,0x7f4003ff,
    0xff8001ff,0xf981efff,0x00481fff,0x7400a600,0x4c001fff,0xfff56fff,
    0x80003fff,0x6ffffffb,0xfffff900,0xffffffff,0x3f200005,0x0000ffff,
    0xff07ffcc,0x0fffffff,0x70ffff80,0x7dc5ffff,0xfffb84ff,0xffffffff,
    0xfffc80ff,0xbb7ffcc3,0xfffaffff,0x05fff98f,0x007fff90,0x3fffe200,
    0x0effffff,0xfff50000,0xfff300bf,0xd000001f,0x64001fff,0x87ff2fff,
    0xf88002ff,0x3fffa02f,0x7f400000,0x7c0000ff,0x3f2007ff,0x7f4003ff,
    0xff8001ff,0x3f600eff,0x000483ff,0x7f400a60,0x7cc001ff,0xffffbeff,
    0x950000ef,0xffffff99,0x2e01799b,0xffffffff,0x001fffff,0xfffff880,
    0x7e40003f,0x7ffffc6f,0x7c007fff,0x3ffa0fff,0x9fff70ff,0xffffff50,
    0x0fffffff,0xf30ffff2,0x3ffe2dff,0xf34fffff,0x3f200bff,0x100003ff,
    0xffffffff,0x0001dfff,0x0effff98,0x1dffff00,0xffe80000,0x3ff2000f,
    0x7c2ff8af,0x7ff0001f,0x007fff40,0x3fffa000,0x7ffc0000,0x3fff2007,
    0x7fff4003,0x7fff8001,0x85fffa80,0x0a600004,0x00ffff40,0x3ffffe60,
    0x0005ffff,0x7ffffff4,0x1fffffff,0xffffd910,0x07bfffff,0x3fffa000,
    0x0001ffff,0x3333bffa,0xffffffff,0x7fffc007,0x57fffe60,0xb704fffb,
    0xdddffffd,0x3ff203bd,0x37ffcc2f,0xfffffff9,0x017ffe63,0x801fffe4,
    0xfff100b9,0xfffd7fff,0x220001df,0x001ffffe,0x03bfffee,0x40b72a60,
    0x2000fffe,0x7ff2fffd,0x98001ff8,0x3ffa02ff,0x7400000f,0x40000fff,
    0x32007fff,0x74003fff,0xf8001fff,0xffa807ff,0x0000485f,0x7ff400a6,
    0x7fcc001f,0x03ffffff,0xd3331000,0x13335fff,0x7fff8800,0xffd80000,
    0x0fffffff,0xffff9800,0x8fffffff,0x7c005ffe,0x7fdc0fff,0x4fffbaff,
    0x01fffe80,0x307fffa0,0x7fc4dfff,0x3e65ffff,0xff9005ff,0xdff5007f,
    0x3bfffe20,0x1bffff20,0x7fffec00,0xfb05b503,0x579bffff,0xfffffb97,
    0x1fffd01f,0x8ffff400,0x02fec5fe,0xd00ffdc0,0x00001fff,0x000fffe8,
    0x003fffc0,0x8007fff9,0x8001fffe,0xfa807fff,0x000485ff,0x7f400a60,
    0x7cc001ff,0x2fffffff,0xffd00000,0xf980003f,0x400007ff,0xf9dffffb,
    0x4000efff,0xfffffffb,0xffb8ffff,0x7fffc002,0xcefffe80,0xfe804fff,
    0xff1001ff,0xfff981ff,0x7ffffec6,0x017ffe62,0x401fffe4,0xf880fffc,
    0xffb80fff,0x7dc002ff,0xff304fff,0xffff881f,0xffffffff,0x81ffffff,
    0x1000fffe,0x37e4ffff,0x1b803fee,0x3fa03fec,0x400000ff,0x0000fffe,
    0x8007fff4,0x4001fffd,0x8001fffe,0xfa807fff,0x000485ff,0x7f400a60,
    0x7cc001ff,0xffffffff,0x4cc40002,0x9afffe99,0x7d400099,0x200006ff,
    0x50effffa,0x800bffff,0xeeeeeffd,0x8110ffff,0x3ffe01ca,0xffff980f,
    0xe804ffff,0xf3001fff,0xfff30dff,0x6ffff98d,0x802fffcc,0xd803fffc,
    0xff882fff,0x3fffa07f,0x3ffe6006,0x3ffee06f,0xffffc882,0xffffffff,
    0xffd05fff,0x3fea001f,0xd0bfe66f,0x3a625bff,0x2027fc4f,0x0000fffe,
    0x007fff40,0x0bfff200,0x007fffc0,0x007fffa0,0x201fffe0,0x0485fffa,
    0x400a6000,0x4001fffe,0xffeffff9,0x20003fff,0xfffffffe,0x02ffffff,
    0x017ffee0,0x7fffc400,0x7fffe41f,0x5fff1004,0x201ffff0,0x3fe06ffa,
    0xfff900ff,0xd009ffff,0xd1003fff,0xff309fff,0x7fffd0df,0x005fff98,
    0xb007fff9,0xff105fff,0x7ffc40ff,0xfff8803f,0x3ff200ff,0x3ffa603f,
    0xffffffff,0x3ffa01ce,0xffe8800f,0x3077f44f,0xfffffffd,0x00ffd41f,
    0x0003fffa,0x01fffd00,0xffffb800,0x37ffec00,0x0ffff400,0x03fffc00,
    0x242fffd4,0x00530000,0x0007fffa,0x3eadfff3,0x0004ffff,0xffd55553,
    0x0055559f,0x803fffe8,0xffd103ec,0x3ff605ff,0xffa802ff,0x0ffff80f,
    0x201fff90,0xf100ffff,0x09ffffff,0x803fffd0,0x81ffffe8,0x9886fff9,
    0x5fff9819,0x07fff900,0x105fffb0,0xfb80ffff,0xffe807ff,0x7fe402ff,
    0xffa8803f,0x20019acf,0x4400fffe,0x541ffffe,0xffec84ff,0x3fe20cff,
    0x1fffe805,0xfd001100,0x880001ff,0xb01effff,0x0007ffff,0x0003fffd,
    0xf500ffff,0x00090bff,0xfe8014c0,0x7cc001ff,0x3ffea6ff,0xd00005ff,
    0x20003fff,0x00ffffe9,0x6c07ffdc,0x2203ffff,0x401ffffe,0xfff05ffd,
    0x3fff601f,0x01ffff01,0x7fffffd4,0x1fffe804,0xffffcb98,0xdfff303f,
    0xbfff3000,0x0ffff200,0x20bfff60,0xf807fff8,0x3f203fff,0xfc804fff,
    0xff7003ff,0x7ff40001,0x7e5cc40f,0xf903ffff,0x4c04c07f,0xfd800ffe,
    0x36a204ff,0x7ff402ff,0xfa80000f,0xebcdffff,0x005fffff,0x003fffd0,
    0x500ffff0,0x0090bfff,0xe8014c00,0x4c001fff,0x7fcc6fff,0x4000efff,
    0xffffffec,0x4c01dfff,0xfffffffd,0xffffffff,0x3ff22fff,0x984fffff,
    0xdffffffd,0x3ffff621,0xffffbbff,0xffffffff,0x7641ffff,0x3effffff,
    0x4fffffd8,0x3ffffae0,0xffffffff,0xd885ffff,0xdfffffff,0xffffd701,
    0x76447dff,0xffffffff,0xffffffff,0x3fb22fff,0x2dffffff,0xefffffb8,
    0x7fffffc4,0xffffffff,0x9003ffff,0xc801d4ff,0xfffffffe,0xffffffff,
    0x77ff405f,0x3fff5001,0x3ffff200,0xffdcbabd,0x3f666fff,0xffffffff,
    0x004effff,0x3ffffff2,0x0fffffff,0x3ffffae0,0xffffffff,0x3a60dfff,
    0x0effffff,0x7fffff5c,0x8000125f,0x3fffb229,0xffffffff,0x320dffff,
    0x986ffffe,0xefffffff,0x7fffcc03,0xffffffff,0x7fffec05,0xffffffff,
    0x0fffffff,0xfffffff5,0xfffd83ff,0x326fffff,0xffffffff,0xffffffff,
    0xffffffff,0x3fffe61f,0x40ffffff,0x04fffff8,0xfffffff1,0xffffffff,
    0xff701bff,0xdfffffff,0xffffff30,0x3ee1ffff,0xffffffff,0xffffffff,
    0xff32ffff,0xffffffff,0xfffff10d,0x7fffc5ff,0xffffffff,0x03ffffff,
    0xffffff30,0xffff9805,0xffffffff,0x00dfffff,0x567ffec4,0x3fff6e20,
    0x3fe6001f,0xffffffff,0x3a4fffff,0xffffffff,0xffffffff,0x3ffee003,
    0xdfffffff,0x3fffe600,0xffffffff,0x24ffffff,0xfffffffe,0x3fffe25f,
    0x093fffff,0xf994c000,0xffffffff,0xffffffff,0xfffff54f,0xffff90df,
    0x401fffff,0xfffffff9,0x405fffff,0xfffffffc,0xffffffff,0x3fea4fff,
    0x1fffffff,0x7fffffec,0x3ffee6ff,0xffffffff,0xffffffff,0x21ffffff,
    0xfffffff9,0xffb80fff,0xfff104ff,0xffffffff,0x407fffff,0xfffffffb,
    0xfff985ff,0x0fffffff,0xfffffff5,0xffffffff,0x25ffffff,0xfffffff9,
    0xff706fff,0x7fc5ffff,0xffffffff,0xffffffff,0x3fff6003,0x7fcc00ff,
    0xffffffff,0x03ffffff,0x7ffffdc0,0xdfffffff,0xfffa8000,0xffffffff,
    0x3ffa0dff,0xffffffff,0x02ffffff,0x7ffff440,0xf9803fff,0xffffffff,
    0xffffffff,0x3ffffa4f,0x3e25ffff,0xffffffff,0x4c000093,0xffffff32,
    0xffffffff,0x3ea9ffff,0xb86fffff,0xffffffff,0x7ff5c00f,0xcfffffff,
    0x7ff64400,0xffffffff,0xb82effff,0x3dfffffe,0xfffffd98,0x7ff6c1df,
    0xffeaaeff,0xffffffff,0x5c1fffff,0xdffffffe,0x13fffa02,0xfffffdb8,
    0xadefffff,0x7ff64400,0x701dffff,0xbffffffd,0xffffec85,0xffffffff,
    0x2fffffff,0x3fffffae,0xff101dff,0xfff87dff,0xffffffff,0x3fffffff,
    0x056dcc00,0xffffdb80,0xdeffffff,0xf710000a,0xbfffffff,0xfe980003,
    0xefffffff,0xfffd981b,0xffffffff,0x20004eff,0x000acb98,0x7ffffedc,
    0xffffffff,0x3f660cef,0x41dfffff,0xefffffda,0x99999d0c,0x99999999,
    0x45b99999,0xffffffeb,0xffffffff,0x3ffb20ce,0xfec886ff,0x002dffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65d4c000,0x4000009a,0x01abcba9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffff2,0x001dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffe4000,0xdfffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x5e5cc000,0x7ed40011,0xffffffff,0xffd70004,0xffffffff,0xb0019bdf,
    0xffffffff,0x5c009dff,0xfffffffe,0xffffffff,0x7ecc4fff,0xffffffff,
    0xffffffff,0x7fed46ff,0x3222dfff,0x0dfffffe,0x3fffff5c,0xfffffeb8,
    0x3ffe2006,0xffffffff,0x3fb2203f,0xffffffff,0x641dffff,0xfffffffe,
    0x01cdefff,0xfffffea8,0x3ffb223e,0x3ea0dfff,0xffffffff,0xffffffff,
    0x3fb24fff,0xffffffff,0x06ff544e,0x3ffffb22,0x04efffff,0x3fffe200,
    0xffffffff,0x3fffae03,0xefffffff,0x300002cd,0xfffffdb9,0xffffffff,
    0xfffec85f,0x4effffff,0xfffeb800,0xdeffffff,0xfffa802b,0xffffffff,
    0xffffffff,0x3ffa604f,0x004fffff,0xfffffffd,0x3000ffff,0xffffffff,
    0xffffffff,0x7ffd407f,0xffffffff,0xff9803ff,0xffffffff,0xffffffff,
    0x7fff44ff,0xffffffff,0xffffffff,0x3fffe26f,0xf70fffff,0x9fffffff,
    0x7fffffc4,0xfffff887,0x654006ff,0xcccccccc,0x3fee00bc,0xffffffff,
    0x26ffffff,0xfffffffa,0xffffffff,0xfff100df,0x21ffffff,0xfffffffb,
    0x3fffea4f,0xffffffff,0xffffffff,0xffffff74,0x5fffffff,0x2e1ffff4,
    0xffffffff,0x002fffff,0x333332a0,0x00bccccc,0xfffffff3,0xffffffff,
    0x260003df,0xfffffffd,0xffffffff,0x3fee2fff,0xffffffff,0x22002fff,
    0xffffffff,0xefffffff,0x3fffea01,0xffffffff,0xffffffff,0xfffff304,
    0x001fffff,0xfffffffd,0x8005ffff,0xfffffff9,0xffffffff,0xff505fff,
    0xffffffff,0xf3007fff,0xffffffff,0xffffffff,0xffe89fff,0xffffffff,
    0xffffffff,0x3ffe26ff,0x70ffffff,0xffffffff,0x7ffffcc9,0xffff987f,
    0x00006fff,0x3ffee000,0xffffffff,0x2a6fffff,0xffffffff,0xffffffff,
    0xfff881ff,0x70ffffff,0xffffffff,0x7ffffd49,0xffffffff,0x4fffffff,
    0xfffffff7,0x45ffffff,0x7dc5ffff,0xffffffff,0x0002ffff,0xff980000,
    0xffffffff,0xffffffff,0x7ffdc003,0xffffffff,0xffffffff,0x3fffee2f,
    0xffffffff,0x3fe2002f,0xffffffff,0x4fffffff,0xffffff50,0xffffffff,
    0x09ffffff,0xffffffd1,0x5001ffff,0xfffffffb,0x7000dfff,0xfffffffd,
    0xffffffff,0x3fb207ff,0xffffffff,0x3fae004e,0xffffffff,0xffffffff,
    0x7ffecc4f,0xffffffff,0xffffffff,0x7ffff546,0x3fb223df,0x5c0dffff,
    0x707ffffe,0x0dfffffd,0x44000000,0xffffffec,0xdfffffff,0x7ffff641,
    0xffffffff,0xd706ffff,0x47dfffff,0xfffffec8,0x3fffea1d,0xffffffff,
    0xffffffff,0x3ffffb24,0x44efffff,0x6443fffb,0xfffffffe,0x00004eff,
    0x3fae0000,0xffffffff,0xffffffff,0xffff9001,0xffffffff,0xffffffff,
    0xfffec85f,0x4effffff,0xfffeb800,0xffffffff,0xa83fffff,0xffffffff,
    0xffffffff,0xfb84ffff,0xffdbdfff,0x3fa0001e,0x01ffffff,0x0ffff100,
    0x3ffff54c,0x01bffe60,0x0ffff000,0x813ffee0,0x3002fffc,0xff10dfff,
    0xfff500ff,0x0ffff00b,0x00dfff30,0x20000000,0x4001fffe,0x3306fff9,
    0x209ffffb,0xa807fff8,0xffa85fff,0x0fffe85f,0x9027ffd4,0x36007fff,
    0xfffc801f,0x22000003,0x20001aba,0x93107fff,0x700dffff,0x59dfffff,
    0x320ffff1,0x7e402fff,0x200003ff,0xb981fffe,0x41fffffd,0xfe85fffa,
    0x7ffd40ff,0x43fffd84,0x7cc0003b,0x4fffefff,0xffff1000,0x3ffff300,
    0x77fffcc0,0xbdeeeeee,0x0ffff001,0x813ffee0,0x3002fffc,0xff10dfff,
    0xfff500ff,0x0ffff00b,0x40dfff30,0x07ffffdb,0xdfffffb7,0x1fffe800,
    0x37ffcc00,0x23fffec0,0xeffffdb8,0xeeeeeeee,0x2a2cffff,0xffe85fff,
    0x27ffd40f,0x007fff90,0x3f2009f7,0x400003ff,0xffffffc8,0x7fc003ef,
    0xfffb807f,0x3ffe600f,0x7fff82ff,0x805fff90,0x0003fffc,0x007fffa0,
    0xa8dffff3,0xffe85fff,0x27ffd40f,0x0007fff4,0x6fffec00,0x0007fffa,
    0x200ffff1,0x2603fffd,0xffffffff,0x04ffffff,0x5007fff8,0x7e407fff,
    0xff1002ff,0xffff10bf,0x0bfff500,0x300ffff0,0x3e20dfff,0x987fffff,
    0x6fffffff,0x0ffff400,0x1bffe600,0x83fffe60,0xfffffffd,0xffffffff,
    0x51ffffff,0xffd0bfff,0x4fffa81f,0x00ffff20,0x7e400df1,0x200003ff,
    0xfffffffb,0x002effff,0x3a00ffff,0x3f202fff,0xfff03fff,0x0bfff20f,
    0x207fff90,0xfffe8001,0xffff9801,0x217ffea2,0x7d40fffe,0xfffe84ff,
    0x7c400003,0xfffd2fff,0xfff10005,0x3fffa00f,0x3fffe602,0xffffffff,
    0x3e00efff,0x25fb87ff,0x3201fff8,0x774c2fff,0x441fff41,0xfa807fff,
    0xfff805ff,0x6fff9807,0xffffff30,0xfffff30f,0xfe800dff,0x7cc001ff,
    0xffb006ff,0x7fffec5f,0xffffffff,0xffffffff,0x0bfff51f,0xfa81fffd,
    0x3ff204ff,0x00fec03f,0x2a7fff90,0xfd8004fd,0xffffffff,0x803fffff,
    0xfb007fff,0x7ffc07ff,0x9fffe04f,0x03fff708,0x4c3fffc8,0x3a002ffe,
    0xf9001fff,0x7ffd4dff,0x40fffe85,0xfc84fffa,0x00000fff,0xfb9bffee,
    0xf88006ff,0xffb807ff,0x3fe600ff,0xccccccff,0x05fffffd,0xff31fffe,
    0x201ed45f,0x7f42fffc,0x4066cc5f,0xa807fff8,0xff805fff,0xfff9807f,
    0x3fffae06,0xfffd907f,0xfe800dff,0x7cc001ff,0xffd006ff,0x7fe5443f,
    0xccccccff,0xbefffdcc,0x20fffe62,0x7cc0fffe,0x3ff203ff,0x000d403f,
    0x3f73fff2,0x32001fff,0xceffffff,0xfffffffd,0x03fffc01,0x807fffc4,
    0x200ffffa,0x5ff77fff,0xf900dff1,0xfffc87ff,0x3fffa006,0xffff3001,
    0x20fffe61,0x7cc0fffe,0xfff883ff,0x3a00005f,0x3fe23fff,0x7c4001ff,
    0xfd5307ff,0xf980dfff,0x7ec406ff,0xfff00fff,0x04fffa8f,0x42fffc80,
    0x44007fff,0xfa807fff,0xfff805ff,0x6fff9807,0x00ffff00,0x800dfff3,
    0x4001fffe,0xa806fff9,0xff107fff,0xfff500ff,0x207ffe0b,0xff80fffe,
    0x3fff201f,0xfc800003,0xffffffff,0xffff5001,0xff91015f,0xfff80dff,
    0x7fffdc07,0x1bffee06,0xff1ffff0,0x6400a2bf,0x7ff43fff,0xffd3007f,
    0x4013335f,0x3fe1ffff,0x0fffe81f,0xfb01fff8,0x00005fff,0xd81ffff3,
    0x44004fff,0xffffffff,0xffffffff,0x37ffcc00,0x0ffffcc0,0xfffffff8,
    0x8004ffff,0xfffffffc,0x44007fff,0xffffffff,0xffffffff,0x07fff805,
    0x006fff98,0xf300ffff,0xfe800dff,0x7cc001ff,0x7fd406ff,0xfff105ff,
    0xffffffff,0x20bfffff,0xfffd01b8,0xc8037101,0x00003fff,0xffffffc8,
    0x3fe003ff,0xfb801fff,0x3fe03fff,0xcb9999ff,0x03fffffe,0xf013fff2,
    0xffffffff,0x7fff9000,0x204fffb8,0xffffffe8,0xb04fffff,0x0dc45fff,
    0x880fffe8,0xffff901b,0x15e541ff,0x85fffd80,0x4007fff9,0xfffffff8,
    0xffffffff,0x6fff9804,0x05fffb00,0x3ffffffe,0x8004ffff,0xfffffffc,
    0x44007fff,0xffffffff,0xffffffff,0x07fff805,0x006fff98,0xf300ffff,
    0xfe800dff,0x7cc001ff,0xaaaaaeff,0x1fffffec,0xffffff10,0xffffffff,
    0x3a000bff,0x20000fff,0x0003fffc,0x7ffff4c0,0x22000dff,0x2002ffff,
    0x3e06fffc,0xffffffff,0x03ffffff,0x2017ffec,0xffffffff,0xfffc8007,
    0x5c03da83,0xffffffff,0xc80fffff,0x3a003fff,0x64000fff,0x5fffffff,
    0x1013fffa,0x3a03ffff,0x22002fff,0xffffffff,0xffffffff,0x37ffcc03,
    0x01fffd80,0xffffffff,0x90009fff,0xffffffff,0xf8800fff,0xffffffff,
    0x5fffffff,0x01ffff80,0x01bfff22,0x4c03fffc,0x74006fff,0x4c001fff,
    0xffffffff,0x2fffffff,0x3ffffe20,0xffffffff,0xb9805fff,0xeffffeed,
    0x32002cee,0x00003fff,0xffffffb1,0xff50005d,0xffffffff,0xffffffff,
    0x7fffc0ff,0xffffffff,0xffd802ff,0x7fffc02f,0x8007ffff,0x0003fffc,
    0x3fffffea,0x07ffffff,0x4007fff9,0x2000fffe,0xfffffffb,0xffff8aff,
    0x3ffee00f,0xeccccccf,0x22006fff,0xffffffff,0xffffffff,0x3ffe604f,
    0x7fff8806,0x3fffffe0,0x004fffff,0xffffffc8,0x4007ffff,0xfffffff8,
    0xffffffff,0xfffe805f,0xffffb883,0xffff006f,0x0dfff300,0x01fffe80,
    0x7ffffcc0,0xffffffff,0x7ffc402f,0xffffffff,0x805fffff,0xffffffff,
    0x01ffffff,0x007fff90,0x3fee02e6,0x004fffff,0x7ffe4173,0xffffffff,
    0xffffffff,0xfffff01f,0xffffffff,0x3fff2005,0x7ffffc04,0xc8007fff,
    0x73003fff,0xfffedb81,0x01deeeef,0x4005fff9,0x2000fffe,0xfd8efffe,
    0xffffcfff,0x7ffff406,0xffffffff,0xf1001fff,0x64c40fff,0x302fffff,
    0xd980dfff,0x3fe05fff,0x27ffd47f,0x17ffe400,0x1001fffe,0xf500ffff,
    0xff900bff,0xffb97bff,0x7dffffff,0x807fff80,0x4006fff9,0x4001fffe,
    0xfffffff9,0x00cfffff,0x807fff88,0x4c05fffa,0xffffffff,0x03ffffff,
    0x007fff90,0x7f44dff5,0x3fffffff,0x326ffa80,0xffffffff,0xffffffff,
    0xff02ffff,0xffddddff,0x9001dfff,0xff80dfff,0x05ffe8ff,0x03fffc80,
    0x3a06ffa8,0x3a001fff,0x3a001fff,0xf1000fff,0x7ffc4fff,0x00cfffff,
    0x3fffffe6,0xffffffff,0xff1004ff,0x3fa200ff,0xfff305ff,0xdb99999f,
    0x405fffff,0x7fcc7fff,0x901f642f,0xffe85fff,0x7ffc4005,0x5fffa807,
    0xfffff980,0xffffffff,0x200fffff,0xf9807fff,0x7f4006ff,0x7cc001ff,
    0xceeeefff,0x3e2000ab,0xffa807ff,0xfffd805f,0xffffffff,0xff9000ff,
    0xfff9007f,0x3ffffea1,0xc803ffff,0xfff50fff,0xffffffff,0xffffffff,
    0x1fffe05f,0x3bffffa2,0x7fffd400,0x5dfffe00,0xfc8002ff,0xffc803ff,
    0x3fffd00f,0x3fffe200,0x3fffa000,0xbfff5000,0xffffffa8,0x7ffec00f,
    0xffffffff,0x007fffff,0x400ffff1,0xf307fff8,0xffffffff,0x05ffffff,
    0xea87fff8,0x807ffcc3,0x6c42fffc,0x7fc4001e,0xfffa807f,0xffff7005,
    0xffffffff,0x401fffff,0xf9807fff,0x7f4006ff,0x7cc001ff,0x200006ff,
    0xa807fff8,0x51005fff,0x57ffff55,0xffc80035,0xfffd803f,0x97ffff32,
    0xfb007fff,0x3ffe63ff,0xf000000f,0x7fec0fff,0xfff806ff,0x9fffe04f,
    0x20065408,0xd803fffc,0xffd02fff,0x3fe6003f,0x7ff4006f,0xfff7000f,
    0xfffffb0b,0xffff880b,0xaaaaaaab,0x03fffeaa,0x007fff88,0x4c0ffff4,
    0xffffffff,0x00efffff,0x2007fff8,0xf902fffb,0x400005ff,0xa807fff8,
    0x2a005fff,0xefffffff,0x3dffffab,0x00ffffc0,0x00dfff91,0x001fffe8,
    0x0037ffcc,0x0ffff100,0x00bfff50,0x003fffa0,0x03fffc80,0x2a2fffd8,
    0x7fff90bd,0x43fffb00,0x000effff,0x07fff800,0x027fffec,0x40fffff2,
    0x3ea07fff,0x7ffe406f,0x2fffd803,0x003fffd0,0x009fffd1,0x000fffe8,
    0x881ffff3,0x402fffff,0x2006fffb,0x8806fffb,0x26007fff,0xf980ffff,
    0xeeeeefff,0x3e001bcc,0x3f2007ff,0xfff903ff,0x7c400005,0xffa807ff,
    0x5d44005f,0x3fea1abc,0xfffd000d,0xffff7107,0xffe800df,0x7fcc001f,
    0x2200006f,0xfa807fff,0xfd0005ff,0x640001ff,0xfd803fff,0x7fe402ff,
    0xfffd803f,0x3bfffee1,0x2dca9800,0x201fffe0,0x202ffffd,0x83fffff8,
    0x3f207fff,0x3ff200ff,0xfffd803f,0x03fffd02,0x1ffffe88,0x07fff400,
    0xfffff880,0xffffecce,0xffd02eff,0x7fc4007f,0x7fc401ff,0x754c407f,
    0xff306fff,0xf80000df,0x3f2007ff,0xfff903ff,0x7c400005,0xffa807ff,
    0xb800005f,0x3f2000ff,0xfdcbdfff,0xefffffff,0x3fffd003,0x6fff9800,
    0x3fe20000,0xfffa807f,0xfffd0005,0x7fe40001,0xfffd803f,0x1fffe402,
    0x20fffec0,0xcdfffffd,0xfffdcbab,0xfff00fff,0xfffd100f,0x7ffd401d,
    0xff8aceff,0x3fffa07f,0x0ffff201,0x40bfff60,0xb981fffe,0x03fffffc,
    0x00fffe80,0x3ffffee0,0xffffffff,0x3ff667ff,0x01dfffff,0xffffffd9,
    0xfffec87d,0xffffffff,0xffffffff,0x7ffff643,0x04efffff,0x3ffffae0,
    0xffffffff,0x3fffffff,0x3fffff66,0x02efffff,0x3ffffa60,0x3f223eff,
    0x05ffffff,0x4ffee000,0x3fe604c9,0xffffffff,0xffffffff,0xffffd910,
    0xffffffff,0xffec83bf,0xefffffff,0x3ffaa004,0x223effff,0xfffffffd,
    0xfffd700e,0xdfffffff,0x3ffb2209,0xffffffff,0xffffffff,0x3ffb222f,
    0xffffffff,0xffffffff,0x7fffc41f,0xffffffff,0x21ffffff,0xffffffeb,
    0xfff302df,0x3f205dff,0xffffffff,0xffffffff,0x911fffff,0xfffffffd,
    0xffffffff,0xeb85ffff,0xffffffff,0xffffffff,0xfffeb805,0xefffffff,
    0x7fffec04,0xffffffff,0x3fff67ff,0x85ffffff,0xfffffffa,0xfff30fff,
    0xffffffff,0xffffffff,0xffffa8df,0xffffffff,0xfff9803f,0xffffffff,
    0xffffffff,0x3fffa3ff,0xffffffff,0xffd000ff,0x1fffffff,0x3fffffee,
    0x00002fff,0xfffffff3,0x7fffd401,0xffffffff,0xf70fffff,0xffffffff,
    0xdfffffff,0x7fffffd4,0x3fffffff,0xfffffd00,0x3ee1ffff,0xffffffff,
    0xfffff883,0xffffffff,0xffffb82f,0xffffffff,0xffffffff,0x3fffee2f,
    0xffffffff,0xffffffff,0xfffc881f,0xffffffff,0x3e65ffff,0xffffffff,
    0x3ffee07f,0x3fee07ff,0xffffffff,0xffffffff,0xfff71fff,0xffffffff,
    0xffffffff,0x7ffc45ff,0xffffffff,0x0dffffff,0x7ffffc40,0xffffffff,
    0x7ff5402f,0xffbfffff,0x3fff62df,0x85ffffff,0xfffffffa,0xfff30fff,
    0xffffffff,0xffffffff,0xffffa819,0xffffffff,0xfff8802f,0xffffffff,
    0xffffffff,0x3fff63ff,0xffffffff,0xffd000ff,0x1fffffff,0x3fffffee,
    0x00003fff,0x0fffffea,0x3ffffea0,0xfffabeff,0x3ffee2df,0xffffffff,
    0x2a6fffff,0xffffffff,0x002fffff,0xfffffffd,0x3ffee1ff,0x83ffffff,
    0xfffffff8,0x2fffffff,0xffffffa8,0xffffffff,0x2fffffff,0x3fffffee,
    0xffffffff,0x1fffffff,0x3ffffa60,0xceffffff,0x7ffffcc1,0x407fffff,
    0x407ffffe,0xffffffd9,0xffffffff,0xf51fffff,0xffffffff,0xffffffff,
    0x7c45ffff,0xffffffff,0x3fffffff,0xfffff100,0xffffffff,0x2ea6005f,
    0xf91001ac,0x3bffffff,0x3ffffb20,0x7f5c2dff,0xffffffff,0x0cceffff,
    0x3ffffb20,0x04efffff,0x3ffff6e0,0xffffffff,0x3fffffff,0x3fffff66,
    0x02dfffff,0x3ffff660,0x3b222dff,0x0cefffff,0xbc980000,0x5e5cc001,
    0x7644001a,0xffffffff,0x41dfffff,0xffffffec,0x2004efff,0xffffffd9,
    0x3ffb222d,0x2e04efff,0xfffffffd,0x3204efff,0xfffffffe,0xffffffff,
    0x3222ffff,0xfffffffe,0xffffffff,0x8801ffff,0x19abcca9,0xffffdb80,
    0x4402dfff,0x1002dfff,0xfffffdb7,0xffffffff,0x7ff643ff,0xffffffff,
    0xffffffff,0x7ffedc2f,0xefffffff,0x6dc000ad,0xffffffff,0x00004eff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffe40,
    0x01dfffff,0x3fffff20,0x01dfffff,0x57755100,0x76c00013,0x00001eee,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0xffffffff,
    0xda801dff,0x644000ad,0x0000002e,0x51002640,0x40000357,0x001aaba8,
    0xabbaa880,0x54400009,0x000a9801,0x03100031,0x2a000000,0xfd700bed,
    0x07dfffff,0xffffffb3,0x3fe201bf,0xffffffff,0xff1003ff,0xffffffff,
    0x2e2007ff,0xfffffffd,0x4c000bff,0x0006ffff,0x3ffff660,0xd901dfff,
    0x5bffffff,0xfffffda8,0xffec881d,0x00004eff,0x8007fd30,0x5c002fd8,
    0x000002df,0x7e440000,0xffff880d,0xffffffff,0x7fffd403,0x7ffdc004,
    0x2a200000,0x07fc401b,0xfffff910,0x30007dff,0xfffffffb,0x403bb59f,
    0xfffffdb8,0x000bffff,0x27fffed4,0x1f7fffdc,0x0209ff70,0xfb71bfe6,
    0x36e0ffff,0xa86fffff,0xf985ffff,0xffffffff,0x7fffec1f,0x204fffff,
    0xccccccca,0x2000bccc,0xccccccca,0xd000bccc,0xffffffff,0x001fffff,
    0x017fffdc,0xffffb000,0x50bfffff,0xffffffff,0x7fff41ff,0xfb85ffff,
    0x2fffffff,0x40ddc400,0x000ffff9,0x8801bfee,0x001effff,0x44000000,
    0x503ffffc,0x99999999,0xfe801799,0x64007fff,0x40000fff,0xfffffeca,
    0x07fd40bd,0xffffffb8,0x02efffff,0xffffff70,0xffffffff,0x7ffff40b,
    0xffffffff,0xfff5000f,0x7e4bffff,0x03ffffff,0xd919ffff,0xff35bfff,
    0x3ffe23ff,0xff987fff,0xd86fffff,0x4c0fffff,0xffffffff,0x7ffec1ff,
    0x04ffffff,0x00000000,0x3ffe2000,0xffffffff,0xb000efff,0x0000dfff,
    0xffffffc8,0xffa85fff,0xffffffff,0x3fffffa0,0xfffb86ff,0x402fffff,
    0xfffffdb8,0xffffabdf,0x3ff6000f,0xfff3000f,0x0001bfff,0xff700000,
    0x0009ffff,0x3fff2000,0x7ec4006f,0x3fa20003,0xffffffff,0x03fee2ff,
    0x3ffffff6,0xffffffff,0x3fffa203,0xffffffff,0xf107ffff,0xffffffff,
    0x01dfffff,0xffffff98,0xfffcdfff,0x84ffffff,0xfffffffe,0xffffffff,
    0xffff31ff,0xfff30fff,0xf70dffff,0x3f20dfff,0x3effffff,0xfffffd98,
    0x00000dff,0x00000000,0x6ffffff4,0xffffeccc,0xffff8803,0x74400001,
    0xdfffffff,0xffffd901,0xfda85dff,0x881effff,0x4efffffd,0x7ffffd40,
    0xffffffff,0x74003fff,0x2e001fff,0xcfffffff,0x80000000,0xffffffea,
    0x0000000d,0x005ffff3,0xff500000,0xffffffff,0x3f69ffff,0xfffffc86,
    0xffffdcef,0xff901fff,0xfb9bdfff,0x0fffffff,0x6ffffff4,0xffffeccc,
    0x3fffa203,0xfffffecf,0xfffdffff,0x7ffcc1ff,0xffffffff,0x5c3fffff,
    0x907ffffe,0x0dfffffd,0x405fffd1,0x8004fffb,0x8006fff9,0x0001aba8,
    0x9abbaa88,0x03550000,0x804fffd8,0x0005fffa,0x1ffff400,0x3ffff100,
    0x5ffff980,0x13fffea0,0x3fffff20,0xffffffff,0xe8004fff,0x4c001fff,
    0xfffffffd,0x30000003,0xfffffffd,0x00000007,0x000000a6,0x7ffffc40,
    0xfffdccef,0x43ffefff,0x0afffffa,0x6ffffc88,0x1effffa8,0xfffff710,
    0x6c01aa80,0x3f604fff,0x3ff20fff,0xf10fffff,0xff30bfff,0xffffffff,
    0xf809ffff,0xff9807ff,0x2006206f,0x8005fffa,0x5005fffa,0xffffffd9,
    0x36e20019,0xffffffff,0x000000bf,0x900dfff3,0x53003fff,0x7dc00137,
    0x3ee006ff,0xff9006ff,0xffd105ff,0xfff700df,0xdb99bfff,0x00ffffff,
    0x007fffa0,0x7ffff540,0x00002eff,0xfffffb10,0x644019ff,0xfffffffe,
    0x00000001,0xfffe8000,0xfff500df,0xfff0dfff,0xff7003ff,0xfffe87ff,
    0xffff7006,0x3fe60000,0x3fffe06f,0xfffffe82,0x0ffffd43,0x4e7ffff4,
    0x1ffffeb8,0x403fffc0,0x0006fff9,0x446fff98,0x7d43ffff,0x7f4c04ff,
    0xffffffff,0xffe803ff,0xffffffff,0x98000fff,0xbcceedca,0xfe806fff,
    0xbfffb55f,0xbfffffd1,0xffff1001,0x3fffe005,0x3fffa003,0x7fffe40f,
    0x7fffcc01,0xfffe883f,0xe8003fff,0x40001fff,0xfffffffb,0x9100001e,
    0x9fffffff,0xffff9001,0x003fffff,0x00000000,0x03ffff98,0x0ffffe98,
    0x017fffc4,0x44dfff90,0x2001ffff,0x53005ffe,0xf799ddb9,0x3fe20dff,
    0xffff907f,0x0ffffa0d,0x203ffff1,0x7c03fffe,0xff9807ff,0xf880006f,
    0x7ffd47ff,0x1fffdc6f,0xffffff50,0xffffffff,0x7fffc40b,0xffffffff,
    0xb3000eff,0xffffffff,0x880dffff,0xfffd0fff,0xffffffff,0xf9001dff,
    0xff500bff,0x7cc001ff,0x3fea5fff,0xffc804ff,0xffe881ff,0x00ffffff,
    0x00ffff40,0x7ffe4400,0x000dffff,0x3ffffee0,0x32001dff,0xffffffff,
    0x0000001f,0x7fdc0000,0x3fe6005f,0x7ffd40ff,0xffffffff,0xffffffff,
    0x017ffea7,0x9803dd50,0xfffffffd,0x506fffff,0x3e60bfff,0xffffffff,
    0x544fffff,0x3ee06fff,0x7ffc05ff,0x6fff9807,0xffff0000,0x7ffffec1,
    0x40bfff20,0xeffffff8,0xfffffdcc,0x3fffa04f,0xfecccdff,0xfc803fff,
    0xffffffff,0x406fffff,0x3ffe4ffb,0xffffffff,0x9805ffff,0x6c00ffff,
    0xb8004fff,0xfe8affff,0xffd006ff,0xfffd105f,0x05ffffbf,0x01fffe80,
    0x3ff22000,0x00cfffff,0x3ffffaa0,0x88002eff,0xfffffffd,0x8800001f,
    0xcccccccb,0xcccccccc,0x7ffec2cc,0x7ffec000,0x7ffffe42,0xffffffff,
    0x1fffffff,0x0007fff7,0x3ffff200,0xffffffff,0xfff906ff,0x7ffffc05,
    0xffffffff,0x1fffec5f,0x80ffff10,0xf9807fff,0xd00006ff,0x3fe23fff,
    0x3f63ffff,0xfffd01ff,0x3fea01bf,0x2aa02fff,0x27ffec01,0x3fffff20,
    0xffffffff,0x7fec06ff,0x3ffffea0,0xfffdceff,0xffe801ff,0x3ffe604f,
    0xffd0001f,0x3ffffbff,0x0dfff100,0x2bffffd1,0x5444fffd,0xffcccccc,
    0xcccccdff,0xfb30000b,0x07ffffff,0xfffffe98,0x800003ff,0x0001fffe,
    0x7ffffc40,0xffffffff,0x2fffffff,0x000ffff1,0xfc89fff7,0xffffffff,
    0xffffffff,0xfffb2fff,0xf9000005,0xffffffff,0x0dffffff,0xe80bfff6,
    0xffffffff,0x646fffff,0x3e203fff,0x7ffc07ff,0x6fff9807,0xfffb0000,
    0x3ffffea5,0x07fffa6f,0x00ffffe6,0x017fffa6,0x1bffe600,0xffffffa8,
    0xfdcba9bd,0x17e406ff,0x1fffffd4,0x00bfffa2,0xc81fffea,0x20006fff,
    0xfffffff8,0xfff7003f,0xbffffb09,0x3e2fffd4,0xffffffff,0xffffffff,
    0x20002fff,0xffffffea,0x7ffec42e,0x000cffff,0x3fffd000,0xff980000,
    0xffffffff,0xffffffff,0xdfff34ff,0x9fff5000,0xffffffa8,0xffffffff,
    0x72ffffff,0x00007fff,0xffffffa8,0xfdcba9bd,0xfff906ff,0x3fffe609,
    0xffffffff,0x7ffd46ff,0x17fff206,0x300ffff0,0x0000dfff,0x7ecffff2,
    0xf0ffffff,0xff701fff,0x7fcc00bf,0xdca9807f,0xfffbccee,0x3ffffa06,
    0x3ffe200a,0x3fea0006,0xfff903ff,0x3fffe009,0x2ffff882,0x7ffdc000,
    0x32006fff,0x7fec3fff,0x7ffcc6ff,0x3ffffe66,0xffffffff,0x4fffffff,
    0x7ff44000,0xf13fffff,0x5fffffff,0xfe800000,0x3e6001ff,0xfff85fff,
    0xffffffff,0xffffffff,0x01fffe2f,0x30bfff20,0x0001ffff,0x017ffe60,
    0xffffd000,0x7ffc4015,0x0ffff706,0x013fffee,0x17fffc40,0x01ffffc4,
    0x2601fffe,0x00006fff,0xff19fff9,0x17fffdff,0x3f60ffff,0x7ec000ff,
    0xffb301ff,0xffffffff,0x3fe20dff,0xffb802ff,0x3ea0006f,0x3fea05ff,
    0xfff9005f,0x0ffff70d,0x3fff6000,0x3ee001ff,0x3fff66ff,0x7ffd40ef,
    0x7fffff44,0xffffffff,0x01ffffff,0x3fffee00,0xfb81dfff,0x0dffffff,
    0xffd00000,0x7fe4003f,0xaaa880ff,0xaaaaaaaa,0x1aaaaaaa,0x001fffe4,
    0xf01ffff1,0x0001dfff,0x05ffff10,0x7c417700,0xfb802fff,0xfff306ff,
    0xffffd03f,0x3fa0001f,0xfc9aefff,0x7c01ffff,0x32201fff,0x97106fff,
    0xbfff7003,0xff7dfff7,0x0dfff3df,0x2001fffe,0xfc83fffb,0xffffffff,
    0x106fffff,0x5403ffff,0x006ffffe,0x817ffea0,0x1005fffa,0xfe83ffff,
    0x100003ff,0x8007ffff,0xfdaffff9,0xfe80efff,0xaaa981ff,0xbfffeaaa,
    0x00aaaaaa,0xffffd500,0xc8805dff,0xcfffffff,0x7f400000,0x3fa001ff,
    0x000003ff,0x1ffffa80,0x0dfffb00,0x03bfffee,0xd0b72a60,0x0017ffff,
    0x7c4bfff5,0x3aa01fff,0x3a06ffff,0x3ee0efff,0x884fffff,0x7fcc0bdb,
    0xffffffff,0x7404ffff,0xfb883fff,0xf886ffff,0x7d404fff,0xbfffddff,
    0xffbffff8,0x6fff985f,0x4fffa800,0x7fffffe4,0xffffffff,0x3fffa06f,
    0xffecbcef,0xefffffff,0x7ffd4003,0x17ffea05,0x24fffd80,0x000ffff9,
    0x07fffa00,0x3ffffe00,0xd80effff,0xe8007fff,0x00001fff,0x3fffffa6,
    0x6cc003ff,0x3fffffff,0x3ffa0000,0xfff3001f,0x0000000d,0x13ffffe2,
    0x3ffffe98,0x3fffff60,0xfdcbabcd,0x220fffff,0xcdffffff,0xffeecbab,
    0x7fff47ff,0xffecbcef,0xefffffff,0x77fffcc3,0xffffffdb,0xffecbeff,
    0x3ffe64ff,0xffffffff,0x204fffff,0xcbdffffc,0xfffffffd,0x3fff23ef,
    0x3fe600ff,0xb1ffffff,0x9fffffff,0x001fffe0,0xfa8bfff2,0x9bdfffff,
    0x6fffdcba,0x3ffffea0,0xffffffff,0x0fffffff,0x17ffea00,0x005fffa8,
    0x6c3fffea,0x00005fff,0x000ffff4,0x7fffffd4,0x7ff4c0ef,0xfe8005ff,
    0x880001ff,0xfffffffd,0x7f540004,0x02efffff,0x1fffe800,0x03fff700,
    0x5c000000,0xbdffffff,0xfffffecb,0x7fffc406,0xffffffff,0x41ffffff,
    0xfffffff9,0xffffffff,0x7ffd44ff,0xffffffff,0xffffffff,0x7fffe40f,
    0xfeffffff,0xffffffff,0x3fffe6ff,0xffffffff,0x01ffffff,0xfffffff3,
    0xffffffff,0x3ff21fff,0x3e200fff,0x26ffffff,0xfffffffb,0x07fff903,
    0x07fffc40,0x015ffffd,0x2037ffc4,0xfffffffc,0xffffffff,0x2000ffff,
    0x2a05fffa,0x74005fff,0xfff8bfff,0x7400001f,0xb0001fff,0x7bffffff,
    0xfffffd97,0xffd0001d,0x6440003f,0xcfffffff,0x3ee00000,0x1effffff,
    0x3fffa000,0x0bffd001,0x90000000,0xffffffff,0x1fffffff,0xffff9100,
    0xffffffff,0x3ea0bfff,0xffffffff,0x04ffffff,0xfffffff9,0xffffffff,
    0xf901ffff,0x3fffffff,0xffffffd1,0x7fc5ffff,0xdfdb74ff,0x5ffff319,
    0x7ffffd40,0xffffffff,0xff30ffff,0xfff009ff,0x7c49ffff,0x02ffffff,
    0x003ffff5,0xf89bfff6,0xfb802fff,0xfea806ff,0xbeffffff,0x3ffffffa,
    0x2fffd400,0x00bfff50,0xfbefffb8,0x800006ff,0x0001fffe,0xfffffff9,
    0xffffffff,0x3fa0003f,0xf70001ff,0x3bffffff,0x7e400000,0x0dffffff,
    0x1fffe800,0x00fff880,0x80001000,0xfffffffa,0x00dfffff,0x7ffff4c0,
    0xceffffff,0x7ffdc401,0xffffffff,0x7ff5400c,0xabefffff,0x02dfffff,
    0x3bffffee,0x7ffffec0,0x7fdc0bef,0x1bfe6003,0x3ffffea0,0xfffabeff,
    0x0e5c42df,0xfffffe80,0x7fffec1f,0xfff101ff,0x7f4c07ff,0x3fe23fff,
    0x3faa01ff,0x26006fff,0xd01abcca,0xf50001bf,0x7fd40bff,0x7fc4005f,
    0x03ffffff,0xfffe8000,0xfffc8001,0xffffffff,0x000dffff,0x007fffa0,
    0xfffffd50,0x000005df,0x3ffff220,0x2000cfff,0xb801fffe,0x980003ff,
    0x440005ff,0xffffffdb,0x440002ce,0x19abcca9,0x32ea6000,0x8001aacc,
    0x01abcca9,0x37951000,0x055e5c40,0x22000220,0x5e5cc000,0x0000001a,
    0x0dfffffb,0x1ffffff7,0x7ffffdc0,0xffecbbdf,0x7f40efff,0xecbcefff,
    0xffffffff,0x200003ef,0x80062ff9,0x2a05fffa,0xd8005fff,0x0fffffff,
    0xffe80000,0x7fdc001f,0xfffecfff,0x002cefff,0x01fffe80,0x3fffff60,
    0x000003ff,0xffffb300,0x7f643dff,0xffffffff,0x0dffffff,0x20000dfb,
    0x0000fffc,0x002b2e60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13fffff2,0x1fffffe2,0x3fffff20,0xffffffff,0xfffa80ff,
    0xffffffff,0xffffffff,0x3a00000f,0x405fecef,0xffffffda,0x7ffffdc5,
    0x7ffcc004,0x80004fff,0xffffffeb,0x00ceffff,0x307ffffe,0x00001377,
    0x000fffd8,0x9ffffff3,0x00000001,0xfffffd50,0x3ffffe69,0xffffffff,
    0xfd4fffff,0x3ee00003,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb80,0xfffffb01,0x3fffee00,0xffffffff,
    0x3fff200d,0xffffffff,0xffffffff,0x3ee00000,0x7405ffff,0xffffffff,
    0xffffff12,0xffe8005f,0x40001fff,0xfffffff8,0x3fffffff,0x007fffa0,
    0x3ee00000,0x3fe2006f,0x00000cff,0xffb80000,0xffff33ff,0xffffffff,
    0x29ffffff,0x5c000008,0x0000001d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffa80,0x1bfffea0,0xfffdb880,0x002cefff,
    0xffffffd5,0xffff57df,0x000005bf,0x8017dfb5,0xfffffffe,0xfffff13f,
    0xfa8005ff,0x80006fff,0xfffffff8,0x3fffffff,0x00077660,0x76c40000,
    0x0e6d4002,0x00000000,0xb833ae20,0xfffffffe,0xefffffff,0x0000000c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x409ffff3,0x005ffff8,0x002b2e60,0xabcca980,0x00000001,0x7fecc000,
    0x2e0cefff,0x003efffd,0x005ffff0,0x3fff6a00,0xefffffff,0x0000000c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x2e601ba9,0x00000001,0x54c00b66,0x00009aba,
    0x001aba88,0x00000000,0x88000000,0x5d440aba,0x1000000a,0x98000375,
    0x00001aba,0x00000000,0x00000000,0x00800000,0xa8000008,0x0000000b,
    0x7000ba80,0x04cc4019,0x98006200,0x332e6009,0xcccccccc,0xcccccccc,
    0x053002cc,0x0abb9800,0x1aaaaa80,0x7ffff644,0x3ffea2ff,0x3fae03ff,
    0xfd707fff,0x7e4dffff,0x7fffdc06,0x4fcdffff,0xfffd9500,0x4c019fff,
    0xeffffffd,0x7fff5c0c,0xdb83efff,0x40ceffff,0xceffffeb,0x77fff640,
    0x89effff9,0x04fffffd,0x7ffffe44,0x3fffee2f,0xffeb82ef,0xffffb8ff,
    0xff802fff,0xffffffff,0x45ffffff,0xdfffffd9,0x3ffb2201,0x7ecc3dff,
    0x2a2dffff,0xdffffffd,0x3ffb2201,0x801fffff,0x3bea03fd,0xff700000,
    0x3620000b,0xfb876405,0x7fe401ef,0xffffea87,0xfdb7303f,0xfffd9809,
    0x7ffd41ef,0xffffffff,0xffffffff,0xe8805fff,0xfe98001f,0x7c03ffff,
    0x3e20ffff,0xffffffff,0xfffffcbf,0xfff884ff,0xff887fff,0x3a6fffff,
    0xffff507f,0xffffffff,0x7f4c03ff,0xffffffff,0xfffb03ff,0x49ffffff,
    0xfffffff9,0x3fe21fff,0x24ffffff,0xfffffff9,0x3fffee3f,0xffffffff,
    0xffffffff,0x3fff604f,0xfe9affff,0x2fffffff,0x3fffffe6,0xfffffffe,
    0x3fe00dff,0xffffffff,0x45ffffff,0xfffffffe,0x3ffff206,0x3f61ffff,
    0x0fffffff,0xffffffff,0x7ffe40bf,0x01ffffff,0xf305ffc8,0xb00003ff,
    0x30000fff,0x3f620fff,0x3ffffb2f,0x87ffff60,0xfffffffb,0x3fffa24f,
    0x3fea04ff,0x22ffffff,0xfffffffc,0xffffffff,0x5fffffff,0x00fffd80,
    0x3ffffea0,0xff505fff,0xfffa89ff,0xffffffff,0xffffffff,0x7fffc44f,
    0xfff987ff,0x3fe6ffff,0xfffff986,0xffffffff,0xfff503ff,0xffffffff,
    0xffd0bfff,0x9fffffff,0x7fffffcc,0x3e62ffff,0x4fffffff,0x3fffffe6,
    0x3ffee4ff,0xffffffff,0xffffffff,0xffb02fff,0xffbfffff,0xffffffff,
    0x7ffffccd,0xffffffff,0x3e04ffff,0xffffffff,0x5fffffff,0x7ffffff4,
    0x3ffee06f,0x3a1fffff,0xffffffff,0xffffff88,0x3f206fff,0xffffffff,
    0xeffe8801,0x02fffb80,0x07fff400,0x5fff7000,0x5cbffd10,0x6c1fffff,
    0x7ec6ffff,0xffea89ce,0xffdfff11,0x2bffe209,0x50fffb88,0xffffffff,
    0xffffffff,0x0bffffff,0x0effffc8,0xfffff880,0xc83ffffe,0x7c40ffff,
    0xffdcefff,0xfdffffff,0x75c1ffff,0xd707ffff,0x91dfffff,0xfffd07ff,
    0xfdb9bdff,0xf109ffff,0x99dfffff,0x9ffffffb,0xfffffd98,0x7fe40dff,
    0x84efffff,0xfffffffb,0x7ffffe40,0x3ff620df,0xfddfffff,0xecefffff,
    0xfb304fff,0xffffffff,0xfffbbfff,0xffffec8f,0xfecdefff,0xff01ffff,
    0xffffffff,0x87ffffff,0xdfffffea,0x3fff6202,0x7ecc4fff,0x2e3fffff,
    0xffffffff,0x3fff6202,0x001fffff,0x903dffd1,0x40007fff,0x0000fffe,
    0xf305fff9,0xfff90bff,0x3fff23ff,0xf70180ef,0xff98c45f,0x905ff504,
    0x555445ff,0xaaaaaaaa,0xfcaaaaaa,0x3fee05ff,0xd805ffff,0x3fa62fff,
    0x4fffe87f,0xf9815710,0xd10effff,0x7fc0bfff,0xfff9807f,0xf886ffff,
    0xb300afff,0xffd07fff,0x3ea01bff,0xf702ffff,0xff900fff,0x3ff600df,
    0x3fa63fff,0x2200efff,0x3a0fffff,0x3ea4ffff,0xffb006ff,0x43bfffff,
    0xfff02ed9,0xfd103fff,0x3ffe07ff,0xfffff307,0x17ffec07,0xff07fffa,
    0xffc801ff,0x7fff4c2f,0x7f40002f,0x3a2001ff,0xffc82fff,0x0565404f,
    0x6541fffd,0xfffb100b,0x0bfff507,0x6fffffe4,0x000effff,0x4c07ffa6,
    0x40a604ff,0x00001ffd,0x305fffa8,0xffffffff,0x84ffe809,0x3e21fffa,
    0xd0000fff,0xfa85ffff,0xfff00fff,0xffff300f,0xff101bff,0xff8803ff,
    0x7fffcc1e,0xfffe9803,0x0ffffe05,0x03ffff88,0x3ffffee0,0xefffffac,
    0x7fffc400,0x22fffe41,0xb006fff8,0x05ffffff,0x3bfffe00,0x13ffee01,
    0x7cc2fff4,0x5c03ffff,0x3fe64fff,0x3ffe64ff,0x2fffc807,0x037ffff2,
    0x3fffa000,0x7ff44001,0xdfffc83f,0xdffffa80,0xfdbfffeb,0xfe884fff,
    0xfffc83ff,0x7ffe400e,0x00efffff,0x4ffffeb8,0x0013fe60,0x0001bff2,
    0x42fffd40,0xfefffff8,0xff102fff,0x8bffa03f,0x8803fffb,0xfffcddba,
    0x7fffd06f,0x201fffe0,0x00affff9,0x677ffff4,0xb814409b,0x26005fff,
    0x3ee07fff,0x3ff207ff,0xffa8006f,0xffffffff,0xdfff1005,0x887fff90,
    0xfb006fff,0x0003dfff,0x2007fffc,0xf505fff9,0xffff983d,0xfff9803f,
    0x9fffff26,0xc805fffb,0xffe9afff,0x200003ff,0x8001fffe,0xd84ffff8,
    0x7e40efff,0xffffffff,0x6fffffff,0x41ffffcc,0x000efffd,0xdffffff9,
    0x3fff6001,0x3fe601ff,0x3ff62004,0x5000001f,0xfe88bfff,0xfff8afff,
    0x7fff01ff,0x6c5fff10,0x7f5407ff,0xffffffff,0xffffffff,0xfff04fff,
    0xdfff300f,0x3fffee00,0xbdffffff,0x03fff600,0x03fffb00,0x20ffffe2,
    0x003ffff8,0xffffff30,0x7c4009ff,0xfffc86ff,0x037ffc43,0x005fffd8,
    0x807fff80,0x4005fff9,0x03fffff9,0x7c3fffe0,0xfb2fffff,0xff9007ff,
    0x5fffffbf,0xffe80000,0xff30001f,0xffd81bff,0x3ffe61ff,0xffffffff,
    0x2a3fffff,0x7444ffff,0x4000efff,0x02fffffe,0x3ffb2a20,0x09ff301f,
    0x03bffa60,0xffa80000,0x7fffec5f,0x3ffffe63,0xb86ffe80,0x3ffe0fff,
    0xffff9103,0xffffffff,0xffffffff,0x3ffe0bff,0x6fff9807,0x3ffff200,
    0xffffffff,0x00ffff03,0x407fff70,0xfb86fffc,0x4c0007ff,0x03ffffff,
    0x437ffc40,0x7c43fffc,0xffb006ff,0xff00005f,0xfff300ff,0x7ffcc00b,
    0x7ec003ff,0xffffaaff,0x3ffff5ff,0xfffff900,0x003fffff,0x0ffff400,
    0xfffe8800,0x7fffdc3f,0x7fff5c45,0xffffffff,0x3fffe60c,0x7ffff40f,
    0x7ffec002,0x0001ffff,0x3e609ffb,0xfffb804f,0x4000000d,0x3f25fffa,
    0xffa85fff,0x7fdc0eff,0xfffdabef,0x441bfe66,0xffffffff,0xffffffff,
    0xffffffff,0x00ffff06,0x800dfff3,0xffffffc8,0x20dfffff,0x8006fff9,
    0x2204fffa,0x3e23ffff,0x20003fff,0xffffffe8,0x3fe2001f,0x3fffc86f,
    0x8037ffc4,0x0002fffd,0x9807fff8,0xf3005fff,0x0007ffff,0xffb9fff7,
    0xff5fffff,0x3ff200ff,0xffffffff,0xfd00003f,0xd10003ff,0xfb85ffff,
    0x64404fff,0x1dffffff,0x3bfffea0,0x3ffffa20,0xffffb001,0x003fffff,
    0x260dff10,0x3f6204ff,0x000003ff,0x22bfff50,0x2e06ffff,0xfd84ffff,
    0xffffffff,0x5c0bfee0,0xabdfffff,0xffffffba,0xffffffff,0x00ffff06,
    0x000dfff3,0x7ff6dd44,0x7fc4ffff,0xffc8007f,0x7ffe402f,0x03fffee6,
    0x7fff4400,0x02ffffff,0x90dfff10,0xff887fff,0xfffb006f,0xfff00005,
    0xbfff300f,0xfffff500,0x3fe60007,0xfeffffff,0x05fffeff,0x3dffff90,
    0x07fffffb,0x3fffd000,0xfffe8800,0x7fffdc0e,0xffffb002,0xe8801fff,
    0x7e40efff,0x7ec01fff,0xfffcefff,0x501a81ff,0x3fe60bff,0x3dfff304,
    0x00000088,0x3f29fff3,0x7ec00eff,0xffd887ff,0x642fffff,0x3fff605f,
    0x9fffd00e,0x7fff8000,0x06fff980,0x9800dc88,0x7e47fffd,0x3e2003ff,
    0x7c400fff,0xffff2fff,0x3fe60007,0xfffcefff,0xff8803ff,0x3fffc86f,
    0x8037ffc4,0x0002fffd,0x9807fff8,0x7d405fff,0x1103ffff,0xffffff00,
    0xfffff5df,0x3f2007ff,0x7ffe44ff,0x740000ff,0x22001fff,0xfc84fffe,
    0xf7000eff,0xbfffffff,0x3bfff600,0x17fffd40,0x0effffd8,0x41fffff9,
    0xeedefffb,0x3ff61fff,0x1effffff,0xffffffff,0x00003fff,0x7ccbffe0,
    0xffb001ff,0x77fedc09,0x6402880c,0x3fa03fff,0x20000fff,0x2201ffff,
    0xc806fffc,0x3fa005ff,0x3ffea2ff,0xfffb001f,0x3fff200d,0x00ffffbe,
    0xfffffa80,0x3ffffee5,0x37ffc405,0x221fffe4,0xfb006fff,0xf00005ff,
    0xff300fff,0x7ffd40bf,0x9ff303ff,0xfffffd80,0xffffff3f,0x3ff2003f,
    0xffffa82f,0x7ff40005,0xffd1001f,0x9fff905f,0x7fffcc00,0x03ffffbd,
    0x81dfff70,0x5c2fffe9,0x640effff,0x3e26ffff,0xefffffff,0x3ffffe22,
    0xff3fffff,0xffffffff,0x2000005f,0x02e60ceb,0x00005700,0xffffa800,
    0x7ffff440,0x0cdb984f,0x107fffd0,0x0dfffff7,0x03bfffd0,0x22ffff98,
    0x03fffff8,0x0fffffa6,0x7ffffc40,0xa8004fff,0xa84fffff,0x00dfffff,
    0xf90dfff1,0xfff887ff,0x5fffb006,0xffff0000,0x0bfff300,0x0fffffea,
    0x5c07ffd8,0x90ffffff,0x01ffffff,0x40bfff20,0x002ffffc,0x007fffa0,
    0x207bffa2,0x4003fffc,0xfb0ffffd,0x74c00fff,0x7ec40eff,0x3fffa2ff,
    0xffff900e,0xbcccb981,0x55555102,0x55543555,0xaaaaaaaa,0x00000000,
    0x00000000,0x7ffffc00,0xfffffdbd,0xfecbefff,0xff904fff,0xffb97bff,
    0x7dffffff,0x7fffffc0,0xfecbabce,0x7dc0ffff,0xbbdfffff,0xefffffec,
    0x3fff2000,0x2000ffff,0xffffffea,0x7fffe41e,0x3f624fff,0x323effff,
    0xf11dffff,0x6c47dfff,0xffffffff,0x0dffffff,0xfffffd10,0xffd883df,
    0x3e63efff,0xffffffff,0xffffffff,0x3fffe600,0x3fffe65f,0x7fecc06f,
    0x20dfffff,0xffffffe8,0x7fff641d,0xffffffff,0xf90dffff,0x3bfe60bf,
    0xffff8001,0x07fffe22,0x05ffd880,0x3f21fff7,0x7fe400ef,0x00000006,
    0x00000000,0x00000000,0x7fdc0000,0xffffffff,0xffffffff,0x305fffff,
    0xffffffff,0xffffffff,0x3ffe01ff,0xffffffff,0x03ffffff,0xfffffff9,
    0xffffffff,0xfff88001,0x7c004fff,0xffffffff,0x3ffffe65,0xff72ffff,
    0x23ffffff,0x15fffffc,0x23ffffff,0xfffffffc,0xffffffff,0xffffb04f,
    0xfc8bffff,0x0fffffff,0xfffffff7,0xffffffff,0xfff801ff,0x7fff42ff,
    0x7ffec04f,0x44ffffff,0xfffffffa,0x3ffffe66,0xffffffff,0xf74fffff,
    0x006f4407,0x983ffc80,0xf70006ff,0x50ffcc0d,0x00aa0017,0x00000000,
    0x00000000,0x00000000,0x7fffd400,0xffffffff,0xffffffff,0x3fea01ff,
    0xffffffff,0x0fffffff,0xffffffb0,0xffffffff,0xfffb807f,0xffffffff,
    0xfb0000df,0x8001ffff,0xfffffffe,0x3fffe64f,0xf72fffff,0x3fffffff,
    0x57fffff2,0x0ffffff8,0xfffffff9,0xffffffff,0x3fff609f,0x646fffff,
    0xffffffff,0xffffff70,0xffffffff,0xfd801fff,0xfffa87ff,0x7ffe402f,
    0x84ffffff,0x5ffffffd,0x3fffffe6,0xffffffff,0x0004ffff,0x20198000,
    0x00400018,0x00000008,0x00000000,0x00000000,0x00000000,0x7fff5400,
    0xcbedbeff,0xbeffffff,0xffffa800,0xffabefff,0x36603dff,0xfffffebe,
    0x000cffff,0xfffffb71,0x800059df,0x004ffff9,0xfffffda8,0x7fedc0ce,
    0x3224efff,0x23dffffe,0x11dffffc,0x447bffff,0xffffffec,0xceffffff,
    0xffffb300,0xec883bff,0x2e2dffff,0xffffffff,0xffffffff,0x7ffdc00f,
    0x01ffff04,0xfffffd88,0xff880cef,0x75c1dfff,0xffffffff,0xceffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05795100,0x000abc98,0x03579730,0x97510000,0x00013579,0x000acb98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x10000998,
    0x2aa20013,0xaaaaaaaa,0xaaaaaaaa,0x0e6665c1,0x10799991,0x37b73005,
    0x00000000,0x1cb880c4,0x00000000,0x55555551,0x55555555,0x22019835,
    0xeeeeda82,0xeeeeeeee,0xeeeeeeee,0x0001ceee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff6a000,0x9803ffff,0x03ffffec,0x3ffffff6,0xffffffff,0x0fffffff,
    0x445ffff9,0xfe86ffff,0x3fffee03,0x006a00df,0x06fd49f5,0x45dffb10,
    0x644ffff8,0xfffffffe,0xffffffff,0xffffffff,0x3fffe61d,0xffffffff,
    0x3f24ffff,0x0fff983f,0xfffffff3,0xffffffff,0xffffffff,0x0000dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffe200,0x202fffff,0xfffffffa,0x7ffc40ef,
    0xffffffff,0xffffffff,0xfff73fff,0x4ffff83f,0xffb04ff8,0x01dfffff,
    0x3f207ffb,0x07bfee6f,0x937fffdc,0x2a1fffff,0xffffffff,0xffffffff,
    0xffffffff,0x3ffe66ff,0xffffffff,0xf14fffff,0xfff90fff,0x3ffffee7,
    0xffffffff,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2f2e0000,
    0x06fea99a,0x935bfff7,0xffd0dfff,0xffffffff,0xffffffff,0x3fea3fff,
    0x3fffe87f,0x7e40eff8,0xffffffff,0x17fff61f,0xd83fffb1,0xffd82fff,
    0xfff90fff,0x3ffea1ff,0xffffffff,0xffffffff,0x6fffffff,0x3fffffe6,
    0xffffffff,0x17ffa4ff,0x6c47ffea,0xffffffff,0xffffffff,0xffffffff,
    0x0000003e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff733310,0x201fff01,0x65443ffc,
    0xcccccccc,0xcccccccc,0x3ffe61bc,0x82fffd87,0xff31ffff,0xfffd5fff,
    0xffffb7ff,0x077ff4c7,0x543fffc8,0x3e25ffff,0x7f644fff,0xffffffff,
    0xffffffff,0x2dffffff,0x2aaaaaa2,0xaaaaaaaa,0x033221aa,0x999816dc,
    0x99999999,0x99999999,0x00000999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffc8800,
    0x4c1fffff,0x3fe204ff,0x80000005,0xffc86fff,0x7fff461f,0x41dfff54,
    0xfffffffd,0x3ffe26ff,0x7ffd400d,0x20676dc3,0x22201ba8,0x88888888,
    0x88888888,0x00000888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffa800,0x41ffffff,0x7ec00ffb,0x80000007,0xffb84ffe,0xd59df90f,
    0x4077f4bf,0xfffffffb,0x013fee0e,0x0007fe98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0xa99bdfff,0x7fd41ffc,
    0x01bfe203,0x3f600000,0x27ff983f,0x2ffffffc,0xfff3004c,0x1c881bff,
    0x001b8800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfc882ffb,0x07ffc41f,0x5c44ffc8,0xeeeeeeed,0xeeeeeeee,
    0x7fe42cee,0x5c6ff882,0x0003effd,0x00017951,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0xfffca9ad,
    0x7ffdc2df,0xefffdabe,0x7fffff40,0xffffffff,0xffffffff,0x7c07fee1,
    0x0000205f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffd8,0x41ffffff,0xfffffffc,0x7ffc40ef,
    0xffffffff,0xffffffff,0x3fe63fff,0x0007fb00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fe54000,
    0x4eeebcff,0xdffffb30,0x7fffe407,0xffffffff,0xffffffff,0x7100d40e,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02200006,0x33333300,0x33333333,0x00013333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_46_latin_ext_x[560]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,10,3,5,3,-2,8,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,1,1,-1,1,2,2,2,0,0,-1,0,0,3,6,10,6,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,8,3,1,2,0,
10,1,5,-1,5,1,-1,3,-1,-2,5,1,6,6,8,0,2,9,8,6,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,1,-1,1,-1,1,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,-1,-1,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_bold_46_latin_ext_y[560]={ 33,6,8,5,4,7,10,8,6,6,7,9,27,19,
28,4,6,6,6,6,7,7,6,7,6,6,15,15,9,15,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,41,5,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,8,14,14,14,14,14,14,7,7,7,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,33,15,5,8,11,8,
7,7,7,8,6,15,19,19,8,1,3,4,6,6,5,14,7,17,31,6,6,15,6,6,6,15,-1,-1,0,1,
1,-1,8,8,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,13,6,-1,-1,0,1,-1,8,7,5,5,
6,7,7,5,14,14,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,10,12,5,5,6,7,5,7,7,
2,9,0,6,8,14,-1,5,0,6,0,7,0,6,0,7,8,7,2,9,0,6,0,7,8,14,0,6,0,6,
0,6,0,7,8,4,0,0,8,7,1,7,2,9,0,6,8,7,0,14,8,7,0,6,8,7,14,-1,-1,8,
7,8,7,8,7,8,7,-1,5,8,14,0,6,8,8,14,2,9,0,6,-1,5,8,14,-1,5,8,14,0,6,
-1,5,0,6,8,14,0,6,8,8,0,7,8,8,1,7,2,9,0,6,-1,5,-1,5,8,14,0,6,0,6,
1,-1,5,0,7,0,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,13,7,7,7,7,7,7,7,7,7,7,7,7,7,4,14,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,6,0,6,0,
6,0,6,-1,2,-1,0,-1,0,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-9,-3,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_46_latin_ext_w[560]={ 0,8,14,20,19,19,19,6,10,10,18,22,9,18,
7,19,19,19,19,20,18,20,18,18,19,19,7,10,24,24,24,18,18,27,24,22,23,23,23,24,24,19,23,25,
23,27,26,24,22,24,26,20,22,24,27,26,25,24,20,10,19,10,19,29,9,23,25,22,24,22,22,24,24,20,
16,23,20,27,23,22,25,25,22,20,22,24,25,26,24,24,19,12,5,12,20,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,18,22,20,24,
5,22,14,26,15,22,24,18,26,29,14,22,12,12,9,24,21,7,8,12,15,22,25,28,25,18,27,27,27,27,
27,27,27,22,23,23,23,23,19,19,19,19,24,26,24,24,24,24,24,17,25,24,24,24,24,24,22,22,23,23,
23,23,23,23,26,22,22,22,22,22,20,20,20,20,21,23,22,22,22,22,22,22,24,24,24,24,24,24,25,24,
27,23,27,23,28,25,22,22,22,22,22,22,22,22,23,28,24,24,23,22,23,22,23,22,25,22,23,22,24,24,
24,24,24,24,24,24,24,24,24,24,19,20,19,20,19,20,19,20,19,20,25,24,23,16,25,23,25,23,20,23,
20,23,20,23,21,24,20,26,23,26,23,26,23,25,23,21,24,22,24,22,24,22,27,26,26,22,26,22,26,22,
20,20,20,20,20,20,20,20,22,22,22,26,22,22,24,24,24,24,24,24,24,24,24,24,24,25,26,26,24,24,
24,20,19,20,19,20,19,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,24,21,21,21,21,21,21,21,21,21,21,21,21,21,28,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,23,19,20,24,
22,24,24,24,24,24,24,24,24,24,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,23,27,26,25,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_bold_46_latin_ext_h[560]={ 0,28,12,32,35,27,24,13,34,34,18,24,13,5,
6,34,28,27,27,28,26,27,28,27,28,28,19,23,24,13,24,26,31,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,32,25,26,25,26,25,25,25,25,25,33,34,33,14,5,8,20,27,20,27,20,26,28,26,26,
35,26,26,19,19,20,28,28,19,20,26,20,19,19,19,28,19,33,33,33,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,27,30,25,20,25,
33,30,5,26,13,18,14,5,26,6,14,29,15,15,8,28,30,7,10,15,13,18,27,27,27,27,34,34,33,32,
32,34,25,33,34,34,33,32,34,34,33,32,25,32,35,35,34,33,33,17,30,35,35,34,33,34,25,27,29,29,
28,27,27,29,20,27,29,29,28,27,28,28,27,26,27,26,29,29,28,27,27,23,24,29,29,28,27,37,35,35,
31,25,33,28,31,25,35,29,34,28,34,27,34,28,33,27,25,27,31,25,33,28,33,27,31,25,33,28,34,36,
34,36,34,35,33,38,33,33,25,26,32,26,31,24,33,27,31,32,33,19,26,35,34,36,33,34,19,34,34,33,
34,25,26,25,26,25,26,34,28,33,27,33,27,25,26,28,32,25,34,28,35,29,25,20,34,28,33,27,33,27,
35,29,34,28,33,27,34,28,37,36,33,27,25,26,33,27,32,25,34,28,35,29,35,29,31,25,33,27,33,36,
32,34,28,33,26,33,27,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,33,26,26,26,
26,26,26,26,26,26,26,26,26,26,27,21,26,26,26,26,26,26,26,26,26,26,26,26,26,30,20,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,33,28,33,27,34,
28,34,28,35,32,35,34,35,34,35,35,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,42,37,34,29,37,31,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__courier_bold_46_latin_ext_s[560]={ 511,501,58,1,1,489,491,505,262,391,343,
205,502,169,131,371,222,244,264,91,493,472,203,427,71,158,501,299,253,33,228,
345,416,1,29,364,488,77,101,414,125,201,439,418,394,366,314,463,221,148,364,
488,468,74,127,1,260,155,444,496,323,279,467,203,113,404,120,381,146,358,51,
289,120,167,442,188,99,151,202,77,159,477,179,56,28,476,100,246,126,134,226,
290,505,432,82,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,511,503,486,
237,455,212,502,30,188,1,1,362,442,169,387,139,487,102,429,403,103,406,53,
123,73,416,17,320,446,1,333,387,457,1,200,92,120,379,286,177,245,289,261,
220,269,313,412,173,341,193,480,69,50,387,362,385,460,195,220,273,160,402,54,
301,294,318,362,231,1,342,1,255,366,271,66,278,22,1,324,324,366,252,248,
200,339,48,25,310,180,150,175,178,415,80,119,94,244,51,233,24,317,75,46,
433,191,1,144,221,96,478,445,304,443,95,392,341,28,112,74,171,346,465,98,
135,72,242,47,192,1,317,389,29,414,185,244,299,72,231,372,278,303,406,272,
464,323,299,140,367,167,175,343,238,273,214,26,255,481,292,72,419,186,316,51,
454,242,1,71,469,465,101,116,456,22,28,298,266,417,389,391,428,427,48,228,
185,122,208,459,412,75,431,118,345,29,89,105,152,210,388,269,93,285,440,439,
176,119,314,145,223,21,125,435,150,335,194,310,217,485,333,386,139,166,97,284,
276,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,208,145,145,52,
145,145,145,145,145,145,145,145,145,145,145,145,145,359,333,145,145,145,145,145,
145,145,145,145,145,145,145,145,1,28,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,149,110,
369,30,485,43,432,452,342,47,392,407,292,354,267,170,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,1,128,343,75,54,292,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145, };
static unsigned short stb__courier_bold_46_latin_ext_t[560]={ 1,217,462,184,44,277,389,184,80,80,441,
415,441,462,462,80,248,306,306,248,306,306,248,306,248,248,415,415,415,462,415,
334,184,389,389,334,361,389,389,334,389,389,334,361,361,361,361,334,389,184,389,
334,389,361,415,415,361,415,361,115,80,150,441,462,462,415,306,415,306,415,361,
248,361,361,1,361,361,441,441,441,277,248,441,441,362,415,441,441,441,277,441,
150,1,115,462,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,1,248,184,
361,415,361,80,217,462,362,462,441,441,462,334,462,441,217,441,441,462,248,217,
462,462,441,462,441,306,334,306,306,44,80,150,184,184,44,361,150,44,44,115,
184,44,44,115,184,361,184,1,44,80,115,115,441,184,44,44,80,115,80,389,
277,217,217,248,277,306,217,441,277,217,217,277,277,277,277,277,334,277,334,217,
217,248,306,306,415,415,217,217,248,277,1,44,44,184,415,115,248,184,415,44,
217,80,248,80,306,80,217,115,306,389,306,184,389,150,248,150,306,184,361,150,
248,115,1,115,1,115,1,150,1,150,115,389,334,184,334,184,415,150,306,184,
150,150,441,334,1,80,1,150,80,441,80,115,150,80,389,334,389,334,389,334,
80,248,150,306,115,277,415,334,217,184,415,80,248,1,217,389,415,80,248,150,
277,150,277,1,217,80,248,115,277,80,277,1,1,115,277,389,334,115,277,150,
389,80,248,44,217,44,217,184,389,115,306,115,1,150,44,248,115,334,115,306,
334,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,334,361,361,150,
361,361,361,361,361,361,361,361,361,361,361,361,361,306,415,361,361,361,361,361,
361,361,361,361,361,361,361,361,217,441,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,150,277,
150,334,44,277,44,248,1,184,1,44,1,44,1,44,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,1,1,80,217,1,184,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361, };
static unsigned short stb__courier_bold_46_latin_ext_a[560]={ 390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_46_latin_ext(stb_fontchar font[STB_FONT_courier_bold_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_46_latin_ext_s[i] + stb__courier_bold_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_46_latin_ext_t[i] + stb__courier_bold_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_46_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_46_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_46_latin_ext_x[i] + stb__courier_bold_46_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_46_latin_ext_y[i] + stb__courier_bold_46_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_46_latin_ext_s[i] + stb__courier_bold_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_46_latin_ext_t[i] + stb__courier_bold_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_46_latin_ext_x[i] + stb__courier_bold_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_46_latin_ext_y[i] + stb__courier_bold_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_46_latin_ext_LINE_SPACING
#endif

