// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT        555
#define STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_courier_bold_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_50_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_50_latin_ext_LINE_SPACING          23

static unsigned int stb__courier_bold_50_latin_ext_pixels[]={
    0x03d98000,0x1e980000,0x10000000,0x14000000,0x00000000,0x99999998,
    0x99999999,0x09999999,0x5400edc0,0x2e00001d,0x1000000d,0x70000079,
    0x5400001b,0x00000001,0x3a800000,0x00003260,0x000002c8,0x777776dc,
    0x1ceeeeee,0x00002000,0x3fff2000,0x4400005f,0x0400001c,0x5b910000,
    0xffb80000,0x4c000007,0x000000ef,0x002fec40,0x13fe6000,0xfea80000,
    0xffff3000,0xffffffff,0xffffffff,0x5ff809ff,0x002ffc40,0x1fffec40,
    0x3faa0000,0x880001ef,0x0003fffd,0x0004ffd8,0x33faa000,0xfe800000,
    0x017fe41e,0x04ff8800,0x3ffe0000,0xffffffff,0xb0003fff,0x000001df,
    0x2ffffe40,0x7ff50000,0x7fd40000,0xffd80002,0xf900001f,0x000009ff,
    0x00001fe8,0x2fff4c00,0xff700000,0x2000007f,0x3001fffb,0xffffffff,
    0xffffffff,0x09ffffff,0x3602ffe8,0x5c0004ff,0x0dffffff,0xfffc8000,
    0x20003fff,0xdffffffb,0x3ffe0000,0x10000006,0x0009ffff,0x39fff300,
    0x0000bffd,0x000effb8,0xaaa98800,0xaaaaaaaa,0x3ff60001,0x0000001f,
    0x00bffff9,0x017fee00,0x9fff5000,0xfffe8000,0x7ec40002,0x000004ff,
    0x000017e4,0x3bffea00,0xf9000000,0x00000bff,0x8013fff6,0xfffffff9,
    0xffffffff,0x4fffffff,0x567ffdc0,0x1fffdb88,0xfffb1000,0x07ffffbf,
    0x3fffa600,0x01efffee,0x3ffff620,0x003ffffd,0x00ffff98,0xffa80000,
    0x000007ff,0x5fffffb1,0x3e600000,0x000001ef,0x44000000,0x0003fffe,
    0xffffc800,0xffd80005,0xf9000004,0x20001bff,0x0003ffff,0x00bfffa6,
    0x0bfe0000,0xfc800000,0x00000eff,0x04fffe88,0xffe88000,0x7fcc003f,
    0xffffffff,0xffffffff,0xd804ffff,0xffffffff,0xf10003ff,0x3ea1bfff,
    0x54004fff,0x3f23ffff,0xf8801fff,0xff50dfff,0xf98009ff,0x00000fff,
    0x4ffff880,0x83710000,0x2e20dffa,0x42b88002,0x15c46fe8,0x802b8800,
    0x440001b8,0x0004fffd,0x77775c00,0xb8571004,0x015c42ff,0xefffb800,
    0xffff8000,0x3ffa0003,0x8000001f,0x000ffff8,0x7ffec000,0x3a000004,
    0x00002fff,0x02ffff88,0xaffff980,0xffff9999,0xffe9999b,0xfff9004f,
    0x005dffff,0x417ffe40,0x000fffd8,0x2607bffe,0xfc806ffe,0xffd882ff,
    0x3fe6000f,0x000000ff,0x003dff90,0x83fff100,0x04ffd828,0x641fff40,
    0x0017ff43,0x3e027fec,0xc80002ff,0x00005fff,0xffd00000,0x7f40e4c7,
    0xf300002f,0xf8001fff,0x10003fff,0x00001dff,0x3fffea00,0x26000002,
    0x00003fff,0x007ffea0,0x77fec000,0xfff30001,0x5ffff01f,0x009fffb0,
    0x166f65c4,0x06fcc000,0x70017aa0,0x07f9007f,0xa801bf30,0x7fcc005e,
    0x000000ff,0x80000a20,0xf003fffa,0x7c400dff,0xff9805ff,0xfff8004f,
    0x13ffe606,0x7ffd4000,0x00000001,0x02fffc40,0x0027ffcc,0x0bffd100,
    0x03ffff80,0x0000a600,0xffff3000,0x44000003,0x000001ee,0x000066c4,
    0x0019f700,0x07fffcc0,0x6c17fffc,0x00004fff,0x00000000,0x00000000,
    0x2a200000,0xccffffdc,0x1bcccccc,0x00000000,0x4007ffe0,0x6c003ffc,
    0xffd002ff,0x7ff90005,0x001ffe80,0x003b6600,0x20000000,0xfd002ffd,
    0x8800005f,0x7fc002fc,0x440003ff,0x000000cb,0x0007dd70,0x13000000,
    0x00000000,0xf3000000,0xfff01fff,0x9fffb05f,0x00008800,0x00011000,
    0x00000000,0x3fea0000,0xffffffff,0xffffffff,0x00440005,0x000a8000,
    0x1a8000cc,0x00005400,0x002a0033,0x40000000,0xccccccb9,0x0ccccccc,
    0x2a000d40,0x00000000,0x01ffffc0,0xbffffb00,0x00000001,0x00000000,
    0x00017fec,0x93000000,0xf30005bf,0xfff01fff,0x9fffb05f,0xfffdc980,
    0x99970cef,0x32600379,0x0ceffffd,0x03799997,0x333332e6,0xcccccccc,
    0x66665cc0,0x665cc00a,0x3ff60acc,0xffffffff,0xffffffff,0x3726000f,
    0x70ceffff,0x00379999,0x00000000,0x00000000,0x2e200000,0x002ee202,
    0x7fffffe4,0xffffffff,0x0000001f,0x00000000,0x0007ffff,0x3faafbea,
    0x44000003,0x30000000,0x90359b97,0x9730dfff,0x98015999,0x00accccb,
    0x3ffffee0,0x6fff8006,0x705ffff0,0x7dc05fff,0xffffffff,0xfffffecf,
    0x7ffdc05f,0xcfffffff,0x5ffffffe,0x7fffffe4,0xffffffff,0x3ffff21f,
    0xfd02ffff,0x1fffffff,0x3fffffee,0xffffffff,0x2006ffff,0xfffffffb,
    0xfffecfff,0x33105fff,0x98801333,0x98801999,0x44009999,0x88019999,
    0x40099999,0x00199998,0xfd82fffc,0xffff006f,0xffffffff,0x3103ffff,
    0x88013333,0x88019999,0x40099999,0xf0199998,0x20007fff,0x01be20fe,
    0xffb93000,0x32e19dff,0x4001bccc,0xfffffffc,0xffff72ef,0xfffffc8d,
    0xffd02fff,0x01ffffff,0x7f4cbfa0,0x27fe4001,0x982ffff8,0xfe980fff,
    0xffffffff,0xffffffff,0xfe980fff,0xffffffff,0xffffffff,0x3ffe0fff,
    0xffffffff,0x3e1fffff,0xffffffff,0xfffff985,0x36a4ffff,0xeeffffee,
    0xbdeeeeee,0xfffe9801,0xffffffff,0xffffffff,0x3fffb20f,0x642dffff,
    0xfffffffe,0x7fff641d,0x642dffff,0xfffffffe,0x7fff641d,0x642dffff,
    0xfffffffe,0x7ffd401d,0x7fffc40f,0xffffd801,0xffffffff,0x3fb21fff,
    0x2dffffff,0x7fffff64,0x7f641dff,0x2dffffff,0x7fffff64,0x3ffe1dff,
    0x0ff0003f,0x200001fd,0xfffffffb,0xfffecfff,0xea805fff,0xffffffff,
    0xffffefff,0x7ffffc2f,0xf985ffff,0xffffffff,0x544fa804,0x0198004f,
    0x440bfffe,0xfffff102,0xffffffff,0xffffffff,0xfffff10d,0xffffffff,
    0xffffffff,0xfffffd8d,0xffffffff,0x3fff61ff,0xf03fffff,0xffffffff,
    0x3fffe605,0xff100000,0xffffffff,0xffffffff,0x7fccdfff,0xffffffff,
    0x3ffffea6,0x266fffff,0xffffffff,0x3ffea6ff,0x6fffffff,0x3fffffe6,
    0x3ea6ffff,0xffffffff,0x7ffc406f,0x01fffd06,0xddddb710,0xfffddddd,
    0x3fffe63f,0x26ffffff,0xfffffffa,0x3fe66fff,0xffffffff,0x3ffffea6,
    0x3e6fffff,0x90003fff,0x0037c43f,0x7ffff4c0,0xffffffff,0xffffffff,
    0x3ffff200,0xffffffff,0x84ffffff,0xfffffffd,0xfffff03f,0x5005ffff,
    0x004fa89f,0x2ffff800,0xffffd800,0xfdba9bdf,0xdeffffff,0xffffd81b,
    0xfdba9bdf,0xdeffffff,0x776dc41b,0xfeeeeeee,0x3f221fff,0x203dffff,
    0xefffffc9,0x3fffe602,0xffb00000,0x7537bfff,0xfffffffb,0x7fd437bd,
    0xffffffff,0x3ffffee7,0x2a6fffff,0xffffffff,0x3ffee7ff,0x6fffffff,
    0x3fffffea,0x3ee7ffff,0xffffffff,0x1dea806f,0x0005db30,0x3ffff100,
    0x3fffffea,0x3ee7ffff,0xffffffff,0x3fffea6f,0x27ffffff,0xfffffffb,
    0x3ffa6fff,0xff30002f,0x0005ff9b,0xffffff88,0xffffffff,0x6fffffff,
    0x3ffffea0,0xffffdeff,0x106fffff,0x7bfffff9,0x7fffe4c0,0x3fe002ef,
    0x0003fd11,0x05ffff00,0xfffffa80,0x3fffee02,0x3fea03ff,0x3ee02fff,
    0x003fffff,0x3ffff100,0x05ffff70,0x03ffffa0,0x01ffff30,0xffff5000,
    0x7ffdc05f,0x3f603fff,0xffffffff,0x3ffffa23,0x6c2fffff,0xffffffff,
    0x3fffa23f,0x42ffffff,0xfffffffd,0x3ffa23ff,0x2fffffff,0x00000000,
    0x3ffff100,0x7fffffec,0x3fa23fff,0xffffffff,0x7ffffec2,0x3a23ffff,
    0xffffffff,0x01bfea2f,0x9fffd700,0xfffb0000,0xb7337bff,0xdfffffff,
    0x3fe2037b,0xca81efff,0x01ffffff,0x017fffdc,0x00ffffe8,0x7ff7fdc0,
    0xff000006,0xfe8005ff,0xfa801fff,0x3a03ffff,0xa801ffff,0x003fffff,
    0x3ffff100,0x0dffff10,0x07ffff50,0x01ffff30,0xffffd000,0xffff5003,
    0xffe8807f,0x262019df,0x203ffff9,0x19dfffe8,0x3ffe6620,0x3ffa203f,
    0x262019df,0x003ffff9,0x00000000,0x20ffffc4,0x19dfffe8,0x3ffe6620,
    0x3ffa203f,0x262019df,0x103ffff9,0x15400005,0xfffa8000,0x3fee02ff,
    0xe803ffff,0x5405ffff,0x04ffffff,0x037fffc4,0x01ffffd4,0x0befda80,
    0xfff00000,0x7fc4005f,0x3f2004ff,0xff103fff,0x7e4009ff,0x00003fff,
    0x203ffff1,0x402ffffb,0x800ffffe,0x000ffff9,0x27fffc40,0x7ffff900,
    0x09fffb00,0x02ffff80,0x0027ffec,0xb00bfffe,0xf8009fff,0x00002fff,
    0x44000000,0xfd81ffff,0x7fc004ff,0x7fec02ff,0x7ffc004f,0x0000002f,
    0xffe80000,0xffa801ff,0x7e403fff,0x7c404fff,0x0fffffff,0x17fffdc0,
    0x03ffffa0,0x00001000,0x05ffff00,0x07fffcc0,0x7ffff300,0x03fffe60,
    0x3ffff980,0xfff10000,0x3ffe203f,0x3ffea06f,0xfff3003f,0xf980001f,
    0x26000fff,0xd803ffff,0x7c004fff,0x7ec02fff,0x7fc004ff,0x7fec02ff,
    0x7ffc004f,0x332e602f,0x32e603cc,0x0002cccc,0x81ffff88,0x4004fffd,
    0x6c02ffff,0x7c004fff,0x00002fff,0x99999998,0xf1000099,0x6c009fff,
    0x2203ffff,0x400fffff,0xfffffffe,0x7ffc403f,0x3ffea06f,0x0880003f,
    0x7fc00000,0x3ee002ff,0x7c4007ff,0xff703fff,0xff8800ff,0x100003ff,
    0x5c03ffff,0xfd02ffff,0x26001fff,0x0000ffff,0x003fffdc,0x00ffffe2,
    0x0013fff6,0xd805ffff,0x7c004fff,0x7ec02fff,0x7fc004ff,0xfffd02ff,
    0x3fa0bfff,0x04ffffff,0xffff8800,0x04fffd81,0x017fffc0,0x0013fff6,
    0x0005ffff,0x3ffff620,0x06ffffff,0x1ffff300,0x7fffcc00,0x3fffe603,
    0x7fffec02,0x807fffee,0xd02ffffb,0x4001ffff,0xffffdca8,0x00001def,
    0x0017fffc,0x000dfff7,0x2e07ffff,0xf8006fff,0x00003fff,0x803ffff1,
    0xfb86ffff,0x26003fff,0x0000ffff,0x0037ffdc,0x401ffffc,0x4004fffd,
    0x6c02ffff,0x7c004fff,0x7ec02fff,0x7fc004ff,0xfff982ff,0xf985ffff,
    0x4fffffff,0xfff88000,0x4fffd81f,0x17fffc00,0x013fff60,0x205ffff0,
    0x3ff20018,0xffffffff,0xfb8002ff,0x7c4007ff,0x3ee03fff,0x7fdc06ff,
    0xfffb9fff,0xffff800f,0x3ffffb86,0xffffb100,0xffffffff,0x3e00003b,
    0x2a002fff,0x2000ffff,0x503ffff8,0x4001ffff,0x003ffff8,0x3ffff100,
    0x3ffffb80,0x007ffff4,0x01ffff30,0xffffa800,0x3ffe2000,0xfffd803f,
    0x7fffc004,0x27ffec02,0x0bfffe00,0x009fffb0,0xf02ffff8,0x0bffffff,
    0x3ffffffe,0xf880004f,0xffd81fff,0x7ffc004f,0x7ffec02f,0x7fffc004,
    0x006ffa82,0xfffffff9,0x00bfffff,0x00dfff70,0x407ffff0,0x2605fffc,
    0xf52fffff,0xf7003fff,0xffe87fff,0xffb000ff,0xffffffff,0x001fffff,
    0x05ffff00,0x17fffc40,0x7ffff500,0x0bfffe20,0x3ffffa80,0xfff10000,
    0xffff003f,0x1ffffdcd,0x3fffe600,0x41793002,0x002ffff8,0x00ffffea,
    0x0013fff6,0xd805ffff,0x7c004fff,0x7ec02fff,0x7fc004ff,0xfd7302ff,
    0x2e60bfff,0x04ffffed,0xffff8800,0x04fffd81,0x017fffc0,0x0013fff6,
    0xfd05ffff,0xfd3005ff,0xffffffff,0xa8001fff,0x2000ffff,0x203ffff8,
    0xf104fffe,0x7c49ffff,0xff002fff,0x7ffdcdff,0x3ff6003f,0xffffffff,
    0x006fffff,0xfffaaa98,0x400aaacf,0x800effff,0x03fffff8,0x003bfffe,
    0x0fffffe2,0x7ffc4000,0xfffb801f,0x1fffff3f,0xffff8800,0xffd7100d,
    0xeffff89f,0xffff8800,0xfffd803f,0x7fffc004,0x27ffec02,0x0bfffe00,
    0x009fffb0,0x802ffff8,0xb005fffc,0x00009fff,0xb03ffff1,0xf8009fff,
    0x7ec02fff,0x7fc004ff,0xffff82ff,0x26662003,0xffffffff,0x7ffc4003,
    0x3fea002f,0x3ffe03ff,0xffffb02f,0x09fffd0d,0x4ffffee0,0x000fffff,
    0x33bfffea,0xfffca9ab,0xff5001ff,0xffffffff,0x640bffff,0x4405ffff,
    0x03fffffd,0x017ffff2,0x7fffffb1,0x3fe20000,0xfff001ff,0x7ffff7ff,
    0x3fffa000,0xffeeeeff,0x647fffff,0x4405ffff,0x03fffffd,0x004fffd8,
    0x2017fffc,0x4004fffd,0x6c02ffff,0x7c004fff,0xfc802fff,0xffb005ff,
    0xf100009f,0xffb03fff,0xfff8009f,0x7ffec02f,0x7fffc004,0x03ffff82,
    0xfffff700,0xf000dfff,0x1001dfff,0x407fffff,0xfc82ffff,0xfe80ffff,
    0x3fe003ff,0xffffbfff,0x00130003,0x005ffff5,0x3ffffff6,0xffffffff,
    0xffff100f,0xfff505df,0x4407ffff,0x82efffff,0xfffffffa,0xff100003,
    0x3ee003ff,0xffffffff,0xfff50000,0xffffffff,0x889fffff,0x82efffff,
    0xfffffffa,0x4fffd803,0x17fffc00,0x013fff60,0x805ffff0,0x4004fffd,
    0xc802ffff,0xfb005fff,0x100009ff,0xfb03ffff,0xff8009ff,0x7fec02ff,
    0x7ffc004f,0x3ffff82f,0xdfffd000,0x005ffff7,0x05ffffc8,0x7ffffec4,
    0x0ffffa03,0x03fffff5,0x800bfffe,0xfffffffb,0x000000ff,0x004fffe8,
    0xfffffff9,0xffffffff,0xfffffa80,0xffffeeff,0x403fffff,0xfffffffa,
    0xffffffee,0x00003fff,0x003ffff1,0x7ffffff4,0x7e40003f,0xffffffff,
    0x503fffff,0xdfffffff,0xfffffffd,0xffb007ff,0xfff8009f,0x7ffec02f,
    0x7fffc004,0x27ffec02,0x0bfffe00,0x017fff20,0x0027ffec,0x0ffffc40,
    0x0027ffec,0xb00bfffe,0xf8009fff,0xfff82fff,0xff98003f,0xbffff3ff,
    0xffff8800,0xfffa82ef,0x3603ffff,0x3fe64fff,0xff303fff,0xfe8001ff,
    0x03ffffff,0xedcba800,0xfffebcde,0xffd91004,0xffffffff,0xff9005bf,
    0xffffffff,0x7fffffff,0xfffff900,0xffffffff,0x0007ffff,0x07fffe20,
    0xfffffb80,0xa80000ff,0xfffffffe,0x6400adff,0xffffffff,0xffffffff,
    0xfffd803f,0x7fffc004,0x27ffec02,0x0bfffe00,0x009fffb0,0x802ffff8,
    0xb005fffc,0x00009fff,0xb03ffff1,0xf8009fff,0x7ec02fff,0x7fc004ff,
    0xffff82ff,0xfffc8003,0x1ffff90f,0xffffa800,0xfffeefff,0x03ffffff,
    0x745ffff2,0x2a05ffff,0xb8007fff,0x0fffffff,0x3ffaa000,0xffffffff,
    0x00004fff,0x3fea0000,0xffffffff,0x03ffffff,0xffffff50,0xffffffff,
    0x200007ff,0x001ffff8,0x1ffffff4,0x32a60000,0x8000abcc,0xfffffffa,
    0xffffffff,0xfffd803f,0x7fffc004,0x27ffec02,0x0bfffe00,0x009fffb0,
    0x802ffff8,0xb005fffc,0x00009fff,0xb03ffff1,0xf8009fff,0x7ec02fff,
    0x7fc004ff,0xffff82ff,0x7ffc4003,0x3fffe65f,0xfffc8003,0xffffffff,
    0x03ffffff,0x36bfffea,0x200effff,0x0006fffe,0x07fffffd,0x3fffa600,
    0xffffffff,0x0004ffff,0x6c400000,0xffffffff,0x03fffe8b,0x3ffff620,
    0xfe8bffff,0x100003ff,0x8003ffff,0x00fffffb,0x00000000,0xfffffd88,
    0xffe8bfff,0xfffc803f,0x3ffe2005,0x7ffe401f,0x3ffe2005,0x7ffe401f,
    0x3ffe2005,0xfffc801f,0x9fffb005,0xfff10000,0xbfff903f,0x7fffc400,
    0x2fffe401,0x3ffff100,0x007ffff0,0x42ffffb8,0x0006fffe,0xfffffff5,
    0xffffffff,0xfffe807f,0x01ffffff,0x013fffee,0x7ffffdc0,0xfff88000,
    0xffffffff,0x04ffffff,0x000a9800,0x56654c00,0x01ffff41,0x1acca980,
    0x001ffff4,0x1ffff880,0x7fffdc00,0x53000003,0x53000001,0xffe83599,
    0xfffb803f,0x3ffea006,0x6fffb807,0x1fffea00,0x01bffee0,0x007fffa8,
    0x200bfff9,0x0004fffd,0x80ffffa8,0x2006fffb,0xb807fffa,0x2a006fff,
    0xfff07fff,0xffe8007f,0xffffa86f,0xff910002,0x17ffffff,0xa807fffd,
    0xffffffff,0x3fffe602,0xff70000f,0xd10007ff,0xbdffffff,0xfffffdb9,
    0xfe80009f,0x000001ff,0x0bfffe20,0x7fc40000,0x300002ff,0x4001ffff,
    0x007ffff8,0x1fff9000,0x88000000,0x9802ffff,0xb002ffff,0xf300dfff,
    0x36005fff,0xf9806fff,0xfb002fff,0x3f200dff,0xffd006ff,0xfb00009f,
    0x3fe60fff,0xffb002ff,0xfff300df,0x3ff6005f,0x7ffff06f,0x7fffcc00,
    0x0bffff03,0x59953000,0x1ffff413,0x7fffff40,0x3ffea04f,0xf10002ff,
    0x2000ffff,0x0bfffffb,0x027ffec0,0xbffff300,0x5c000000,0x0000ffff,
    0x1ffff700,0x3fee0000,0x7fe4007f,0x000003ff,0x0009ffff,0xfffb8000,
    0xfff8800f,0x7fec00ff,0xff8804ff,0x7ec00fff,0xf8804fff,0x6c00ffff,
    0x9004ffff,0x4c01ffff,0x004ffffd,0x2ffffcc0,0x0fffff88,0x27fffec0,
    0x7ffffc40,0x7fffec00,0x07ffff04,0x07fffe40,0x00ffffc8,0xfff80000,
    0xfffa802f,0x64c1bfff,0x004fffff,0x0fffff20,0x7fffec00,0x9fffb001,
    0x7ffcc000,0x0000005f,0x00dfffd1,0x3ffa2000,0xf300006f,0x4400bfff,
    0x0007ffff,0x0ffffa00,0xe8800000,0x2e006fff,0x20bfffff,0xeffffda8,
    0xffff7000,0x7ed4417f,0x7000efff,0x417fffff,0xeffffda8,0xffff5000,
    0xffffb307,0x4c401bff,0xffba9999,0x3ee03fff,0x220bffff,0x0effffda,
    0xfffff700,0x7fed4417,0xffd00eff,0x3fe2005f,0xcccccfff,0x03ffffdc,
    0x7fcc0000,0xffc800ff,0xefffffff,0x6fffffff,0x3ffe2000,0x3fe0007f,
    0xfc9804ff,0x40004fff,0x0004fffc,0x33333310,0x09fffff7,0x26666200,
    0xfffffb99,0x33331004,0xfffffd73,0x26666207,0x004ffffc,0x3fae2000,
    0x26200001,0xffb99999,0x6c004fff,0xeeffffff,0x1fffffff,0x7fffec00,
    0xffffeeff,0x6c001fff,0xeeffffff,0x1fffffff,0x3fffe200,0xffffeeff,
    0x5fffffff,0x7fffff54,0x5fffffff,0xfffffd80,0xfffffeef,0x7ec001ff,
    0xfeefffff,0x01ffffff,0x4007fff6,0xfffffffb,0xffffffff,0x2000006f,
    0x807fffe8,0xfffffffa,0xffffffff,0x31000eff,0xffff9333,0x7ff40009,
    0xfd9881ff,0x0adfffff,0x017ec000,0x3fff6600,0xffffffff,0x6cc000ef,
    0xffffffff,0x400effff,0xffffffea,0x86ffffff,0xffffffea,0x04ffffff,
    0x0df10000,0x3ff66000,0xffffffff,0x44000eff,0xfffffffe,0x04ffffff,
    0xffffe880,0xffffffff,0xfe88004f,0xffffffff,0x8004ffff,0xfffffffd,
    0xffffffff,0x3fe1ffff,0xffffffff,0xd1005fff,0xffffffff,0x009fffff,
    0xfffffd10,0xffffffff,0x02dc8809,0x3fffffa0,0xffffffff,0x0002ffff,
    0xb5333331,0x80bfffff,0xfffffff9,0xffffffff,0xfd5003ff,0xffffffff,
    0x90009fff,0xbdffffff,0xffffffff,0x00bfffff,0x00017ee0,0x3ffffff6,
    0x0effffff,0xffffd800,0xffffffff,0xffff800e,0xffffffff,0xfffe81ff,
    0xffffffff,0x00000fff,0x00001fe8,0xfffffffb,0x01dfffff,0x3fff2200,
    0xffffffff,0x3f220002,0xffffffff,0x220002ff,0xfffffffc,0x0002ffff,
    0x3ffffff6,0xffffffff,0x3fe0ffff,0xffffffff,0x644005ff,0xffffffff,
    0x20002fff,0xffffffc8,0x002fffff,0xffff3000,0xffffffff,0x0bffffff,
    0xffffe980,0xffffffff,0x7fff400f,0xffffd75f,0x4003bfff,0xfffffffe,
    0x0fffffff,0x7fff4400,0xffffffff,0xffffffff,0x7cc001ff,0xfd80000f,
    0xffffffff,0xb0000eff,0xffffffff,0x2001dfff,0xffffffff,0xd00effff,
    0xffffffff,0x03ffffff,0x03fb8000,0x3fff6000,0xffffffff,0xe980000e,
    0xdfffffff,0xfd300000,0x1bffffff,0x3fa60000,0x0dffffff,0xfffc8000,
    0xd9cfffff,0x5c2dffff,0xfffffffe,0x260001bd,0xfffffffe,0xd300000d,
    0xbfffffff,0x64000001,0xeeeeffff,0xfeeeeeee,0x36000fff,0xffffffff,
    0x402fffff,0x986ffffa,0x0001acca,0xfffffffd,0x3fffffff,0xffff3000,
    0xffffffff,0xffffffff,0x2fe8001f,0xffd30000,0x37dfffff,0xffe98000,
    0x1befffff,0x7fff5c00,0x02dfffff,0x7fffff54,0x4fffffff,0x04d80000,
    0x7ff4c000,0x1befffff,0xba880000,0x000001ac,0x006b2ea2,0xcba88000,
    0x3000001a,0x00035997,0x01999988,0xcba88000,0x2000001a,0x001acba8,
    0xfff88000,0x3fe2004f,0x3f6003ff,0xffffffff,0xf9801fff,0x00000fff,
    0x7ffff540,0xffffffff,0x3f220004,0xffffffff,0xfffffd9c,0x1f44002d,
    0x4cc40000,0x00000999,0x09999988,0x99988000,0x98800099,0x99999999,
    0x00000001,0x33310000,0x00000133,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x001ffffb,0x0037ffec,0xffffffd3,
    0xc8005dff,0x000001ff,0x26666620,0x00019999,0x3332ea20,0x0000002a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4c00,
    0xca8801af,0x009bffff,0x13333310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fd40000,
    0xffffffff,0xfffffb01,0x000dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,
    0xffffffff,0xffff885f,0x2fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffffb,0xff109fff,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffb2200,0x00ceffff,0xffffffb5,0x000007bf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0c000000,0x3ea00088,
    0x7fc06fff,0x00001fff,0x00002203,0x0000e5c4,0x00000200,0x00008800,
    0x00000400,0x40001100,0x2ee202b8,0x10000000,0x00080000,0xfffffca8,
    0x00000005,0x00000254,0x00000950,0x00000008,0x44000010,0x000000cb,
    0x00008800,0x00022000,0x27f44000,0x54003fee,0x7c06ffff,0x0001ffff,
    0x3ee27f44,0x7e40000f,0x0001efff,0x000dfd80,0x7fd40000,0xe9800001,
    0x8000003f,0xf0001ffb,0x3ff60bff,0xd8000006,0x440001ef,0x3e2005fe,
    0x05ffffff,0xb1000000,0x00003dff,0x0f7fec40,0x77ec0000,0x10000000,
    0xb0000dfb,0x001bffff,0x3ee00000,0x8000000f,0x00000ffb,0x927ff440,
    0x2a001fff,0x7c06ffff,0x0001ffff,0xfc93ffa2,0x220000ff,0x05fdabff,
    0xeffe8000,0x90000001,0x00003fff,0x004fffa8,0x7ffe4000,0xfffa8001,
    0x7fffc40f,0x2e000001,0x20004fff,0x2005fff9,0xfffffff9,0x80000005,
    0x4ffffffa,0xffa80000,0x0004ffff,0x00fffec0,0x3fa60000,0x7d40006f,
    0x003feabe,0xffd80000,0x4000001f,0x0001fffd,0x3bffa200,0x007fff90,
    0x037fffd4,0x007ffffe,0x877ff440,0x0003fffc,0x03fa17e4,0xfff30000,
    0x4000005f,0x004fffd8,0x37ffe400,0xfd100000,0x220007ff,0xffd06fff,
    0x4000001f,0x0005ffff,0x001dfff7,0xffffffe8,0x20000005,0xfeffffd8,
    0x80001eff,0xfeffffc8,0x00001eff,0x007fffd1,0x3ffea000,0x7f40001f,
    0x0001be20,0xfffe8800,0x22000003,0x0003fffe,0x3bffe600,0x007fff90,
    0x05eeee98,0x00777774,0x877ffcc0,0x0003fffc,0x17e40fe8,0x7f440000,
    0x800003ff,0x003fffe9,0x3fff6200,0x26000005,0x0002ffff,0xd980ef54,
    0x2000002e,0x002ffffb,0x00dfffc8,0xfffb5100,0x2000000b,0x90efffe8,
    0x0007ffff,0x8f7fff44,0x003ffffc,0x9fffb100,0xffb80000,0xf80000ef,
    0x0000fe87,0xffff9800,0x26000002,0x0002ffff,0x3bffe200,0x007fff70,
    0x00000000,0xb877ffc4,0x00003fff,0x007f87f7,0x7ffec000,0x3e200004,
    0x00001fff,0x001ffff4,0xdfff3000,0x00000003,0xfe800000,0xfd8006ff,
    0x900004ff,0x0000bfff,0x0ffff200,0x003fffa6,0x41fffe40,0x000fffe9,
    0x17fff200,0x7ffe4000,0x3f200005,0x0001be21,0x3bffe600,0x26000001,
    0x0001efff,0x077fdc00,0x00005fff,0xb8000000,0x3ffe0eff,0x3e200002,
    0x004ffcdf,0xfffb8000,0xffb00001,0xa800001d,0x00002fff,0x0077fec0,
    0x00000000,0x3ffea000,0x7fcc003f,0x3200002f,0x00005fff,0x803bf500,
    0x2a0006fc,0x37e401ef,0x7fd40000,0x7c40001f,0x400003ff,0x2ffcdff9,
    0xfe800000,0x000000df,0x0006fff4,0x0674c000,0x00000bb2,0x26000000,
    0x017640ce,0x7ff54000,0x000000cf,0x0000bd30,0x000027d4,0x0000de88,
    0x004fb800,0x00000000,0xffffd000,0x03dd1000,0xfffc8000,0x00000205,
    0x00000000,0x40000000,0x80000ed9,0x000002ed,0x009fffd7,0x0fee0000,
    0x7dc00000,0x00000003,0x65cc0000,0x11cccccc,0x99999997,0x00007999,
    0x26000000,0x0000000b,0x00000000,0x00000000,0x20000000,0x0accccb9,
    0x66665cc0,0x3e60000a,0x00003fff,0x7fe40000,0x3ffb6a5f,0x00000ace,
    0x00000000,0x00000000,0x00000000,0x00015400,0x00000000,0x00000000,
    0x7c000000,0xffffffff,0xfffffbbf,0x6fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffff9,0x3fffa05f,0x000fffff,
    0x01ffffb0,0x80000000,0xfeadfffc,0xffffffff,0x3331002e,0x99880133,
    0x4c000199,0x000abdcb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e600000,0x2000abdc,0xfffffffa,0xfffebfff,0xffffffff,0x9999886f,
    0x4ccc4009,0x99988019,0x4cc40099,0x4c000199,0x000abdcb,0x9bb75100,
    0x4c000057,0x000abdcb,0x3b32a200,0x3e000acc,0xffffffff,0xfffff985,
    0x8004ffff,0x404ffff9,0x00999998,0x00ccccc4,0xffffffc8,0xffffffff,
    0xd900dfff,0xbfffffff,0xffffec85,0x2001dfff,0xfffffffc,0x4c4002ef,
    0x99999999,0x99999999,0x4ccc4099,0x99999999,0x00999999,0x33333330,
    0x00000133,0x33333333,0x31000013,0x33333333,0x33333333,0x64000133,
    0xffffffff,0xfff8802e,0xbfffffff,0xfffffffc,0x326fffff,0xfffffffe,
    0x7fff642d,0x641dffff,0xfffffffe,0x7fff642d,0x001dffff,0x3ffffff2,
    0x10002eff,0xfffffffb,0x01bf77df,0x7ffffe40,0x0002efff,0x3fffff22,
    0xfa9dffff,0xffffd83f,0xff03ffff,0x5fffffff,0xffffb000,0x3fffb201,
    0x642dffff,0xfffffffe,0x3fff201d,0xffffffff,0x5fffffff,0xffffff98,
    0x3ea6ffff,0xffffffff,0xffea806f,0xffffffff,0xffeb804f,0xffffffff,
    0xffffffff,0x7fff42ff,0xffffffff,0x03ffffff,0x3fffff62,0x006fffff,
    0xffffb100,0x0dffffff,0x7fff5c00,0xffffffff,0xffffffff,0xfea8002f,
    0xffffffff,0xec9804ff,0xbffffeee,0xeeeeedb8,0xf36ffffe,0xffffffff,
    0x7fffd4df,0x26ffffff,0xfffffff9,0x3fea6fff,0xffffffff,0xfffea806,
    0xffffffff,0x7ffdc004,0xffffffff,0xa803ffff,0xfffffffe,0x8004ffff,
    0xfffffffb,0xffffffff,0xfffc887f,0x32603dff,0x02efffff,0x5ffff880,
    0xffffff30,0x7d4dffff,0xffffffff,0x3fff206f,0xaacdffff,0xffffffcb,
    0x7ffffd44,0x2e7fffff,0xffffffff,0x7fe406ff,0xffffffff,0x100effff,
    0xffffffff,0xffffffff,0x85ffffff,0xfffffffe,0xffffffff,0x3ff203ff,
    0xffffffff,0xc80002ff,0xffffffff,0x8002ffff,0xfffffff8,0xffffffff,
    0x2fffffff,0x7fffe400,0xffffffff,0xf8000eff,0xf9003fff,0x3ffeadff,
    0x7fffffff,0x3fffffee,0x3ea6ffff,0xffffffff,0x3fffee7f,0x06ffffff,
    0x7fffffe4,0xffffffff,0xfffa800e,0xffffffff,0x405fffff,0xfffffffc,
    0xefffffff,0xffffb000,0xffffffff,0x03ffffff,0x00bfffee,0x007ffff4,
    0x1ffffc80,0xffffff50,0x7dcfffff,0xffffffff,0x3fff206f,0x32202eff,
    0x6c0fffff,0xffffffff,0x3fffa23f,0x02ffffff,0x3fffffee,0xffffedef,
    0xff880fff,0xffffffff,0xffffffff,0x7f42ffff,0xffffffff,0xffffffff,
    0x3ffff203,0xffffffff,0xffc80005,0xffffffff,0xf88005ff,0xffffffff,
    0xffffffff,0x002fffff,0x3fffffee,0xffffedef,0x7c000fff,0xf9003fff,
    0x7ffecdff,0x23ffffff,0xffffffe8,0x7fec2fff,0x3fffffff,0x3fffffa2,
    0x2e02ffff,0xefffffff,0xffffffed,0x3ffe600f,0xfeddefff,0x06ffffff,
    0x3fffffee,0xffffedef,0x7e400fff,0xceffffff,0xfffffffe,0xfff101ff,
    0xfff500df,0x3e20007f,0x7ec05fff,0xffffffff,0x3ffffa23,0x202fffff,
    0x00fffffc,0x09ffff90,0x33bfffd1,0x7ffccc40,0x7ffc403f,0xfb881eff,
    0xf905ffff,0xffffffff,0xffffffff,0xfe85ffff,0xffffffff,0xffffffff,
    0x3fffa603,0xffffffff,0x74c0000f,0xffffffff,0x8000ffff,0xfffffffc,
    0xffffffff,0x02ffffff,0xdfffff10,0xffff7103,0xfff800bf,0xfff9003f,
    0xdfffe88d,0x3e662019,0x3a203fff,0x2019dfff,0x3ffff998,0x7ffffc40,
    0xfffb881e,0x3ff605ff,0xfb881dff,0xf106ffff,0x103dffff,0x0bfffff7,
    0x77ffffd4,0xfffc880a,0x3ee01fff,0x7f402fff,0x70000fff,0x1003ffff,
    0x033bfffd,0x7fffccc4,0xffffc803,0x7fff4002,0x09fffb07,0x02ffff80,
    0x02fffff4,0x17ffffcc,0x3bfffb30,0x33333333,0xe85ffff3,0x9999cfff,
    0xffffc999,0x9998801f,0xffffffff,0x33100003,0xfffffff3,0x6cc0007f,
    0x9999dfff,0xff999999,0xffd002ff,0xff300bff,0x7c005fff,0xf9003fff,
    0xfffb0dff,0xffff8009,0x27ffec02,0x0bfffe00,0x0bffffd0,0x5fffff30,
    0x01bfffe0,0x41bfffe6,0x805ffffe,0x82fffff9,0x0efffff8,0xffffe980,
    0x3fffe201,0x3fffea06,0x3ffe0003,0x3ff6006f,0x7ffc004f,0xfffc802f,
    0xfffb8007,0x4fffd80f,0x17fffc00,0x09ffff90,0x7ffffc40,0x17fff600,
    0x42ffff80,0x2604fffe,0x002fffff,0xffffffb8,0x800006ff,0xfffffffb,
    0x7ec0006f,0x3fe005ff,0xffc802ff,0x3e2004ff,0xf000ffff,0x32007fff,
    0xffd86fff,0x7ffc004f,0x7ffec02f,0x7fffc004,0x3ffff202,0x3ffe2004,
    0x7ffcc0ff,0xfffb002f,0x9ffff90b,0x7fffc400,0x7fffdc0f,0x3fea000e,
    0x7fdc01ff,0xfffd02ff,0x3ee0001f,0x36002fff,0x7c004fff,0xfc802fff,
    0xf98006ff,0xffd81fff,0x7ffc004f,0xffff102f,0xffb8001f,0x3ff604ff,
    0x3ffe005f,0x27fff42f,0x4ffffe88,0xdfffd000,0x005ffff7,0xefffe800,
    0x002ffffb,0x017fff60,0x402ffff8,0x00fffff8,0x27fffdc0,0x03ffff80,
    0xb0dfff90,0xf8009fff,0x7ec02fff,0x7fc004ff,0xfff102ff,0xfb8001ff,
    0x7fcc4fff,0xff3000ff,0xffff887f,0x7fdc000f,0x7fff44ff,0xfff8000f,
    0xdffff007,0x07ffff70,0x37fff400,0x13fff600,0x05ffff00,0x00ffff90,
    0x01ffff50,0x8009fffb,0xf302ffff,0x20005fff,0x3606fffe,0x83505fff,
    0x7f40fffd,0xfffb03ff,0x3e6000df,0xffff3fff,0x7cc0000b,0xffff3fff,
    0x7fec000b,0xfd83505f,0x7fcc00ff,0xfd0002ff,0x3fe00dff,0xff9003ff,
    0x9fffb0df,0x2ffff800,0x027ffec0,0x40bfffe0,0x002ffff9,0xf0dfffd0,
    0x64009fff,0x7ffcc0df,0xffd0002f,0x7fffc4df,0xbff70003,0x3fffee00,
    0x07ffff43,0xffffa800,0x7ffec003,0x7fffc004,0xffffc802,0x7ffec001,
    0x09fffb07,0x02ffff80,0x000dfff7,0xb03fffd4,0xfe88bfff,0x21bfee3f,
    0xfb81fffc,0x0000ffff,0x321ffff9,0x0000ffff,0x21ffff90,0x000ffffc,
    0x88bfffb0,0x3fee3ffe,0x6fffb806,0x3ffea000,0x7ffff007,0x1bfff200,
    0x0013fff6,0xd805ffff,0x7c004fff,0xff702fff,0x7d4000df,0xfffd87ff,
    0x5c0000df,0x20006fff,0x3ea7fffa,0x20000fff,0x7ffc0029,0x3fffee6f,
    0x3ffa0003,0xffd8007f,0x7ffc004f,0xfffc802f,0x3fe6006f,0xfffb05ff,
    0xffff8009,0x0bfff902,0x7fffc400,0x8bfffb01,0x14c5fff9,0xfa87ff98,
    0x0001ffff,0x4cbffff1,0x0003ffff,0x25ffff88,0x003ffff9,0x98bfffb0,
    0x014c5fff,0x005fffc8,0x07fffe20,0x00ffffe0,0x6c37ffe4,0x7c004fff,
    0x7ec02fff,0x7fc004ff,0xfff902ff,0x7fc4000b,0x7ffd41ff,0x00acefff,
    0x02fffe40,0x3ffff100,0x001fffee,0x3fee0000,0xfffff3ff,0x3fea0001,
    0xfd8003ff,0x7fc004ff,0xffc802ff,0x5400dfff,0xb03fffff,0xf8009fff,
    0xffd02fff,0xff80007f,0xfffb02ff,0xfff9555d,0x8828800f,0x003fffff,
    0x0bfffee0,0x000dfffd,0x85ffff70,0x0006fffe,0x555dfffb,0x000ffff9,
    0x001ffff4,0x00bfffe0,0x400ffffe,0xfd86fffc,0x7fc004ff,0x7fec02ff,
    0x7ffc004f,0x7fffd02f,0xffff8000,0xfffffc82,0x0bdfffff,0x01ffff40,
    0x4bfffe00,0x0006fffc,0xffff0000,0x07ffff7f,0x7fffec00,0xfffd8000,
    0x7fffc004,0xffffc802,0x2a20afff,0x06fffffc,0x0013fff6,0x3e05ffff,
    0x40002fff,0xfb03fffe,0xffffffff,0x20000fff,0x005ffffe,0x437fff40,
    0x002ffffa,0x437fff40,0x002ffffa,0xffffffd8,0x007fffff,0x00bfffe0,
    0x87fffd00,0xfffaaaa9,0x80aaaadf,0xfd86fffc,0x7fc004ff,0x7fec02ff,
    0x7ffc004f,0x5ffff02f,0xfffe8000,0xfffff703,0xbfffffff,0x0bfffe01,
    0x7fffd000,0x0017fff2,0x7fdc0000,0x0fffffff,0xffff3000,0x3ff60009,
    0x7ffc004f,0xfffc802f,0xffffffff,0xffffffff,0x13fff600,0x05ffff00,
    0x000bfffe,0x207fffd0,0xfffffffd,0x0007ffff,0x0effffc8,0x3ffe6000,
    0xbffff03f,0x7ffcc000,0xbffff03f,0xffffb000,0xffffffff,0x7fffc000,
    0x7ff40002,0xfffff33f,0xffffffff,0xffc89fff,0x4fffd86f,0x17fffc00,
    0x013fff60,0x205ffff0,0x0002ffff,0x501ffff4,0xfffffffd,0xf03dffff,
    0x80005fff,0xff93fffe,0x000000bf,0x7fffff40,0x360003ff,0x0000ffff,
    0x8009fffb,0xc802ffff,0xffffffff,0xffffffff,0x7fec02ff,0x7ffc004f,
    0x7fffd02f,0xffff8000,0xfffffb02,0x0fffffff,0xffffa800,0x7e40001f,
    0xff900fff,0x320001ff,0xf900ffff,0xd8001fff,0xffffffff,0x20007fff,
    0x0003fffe,0xfd97fffc,0xffffffff,0xffffffff,0x21bfff20,0x4004fffd,
    0x6c02ffff,0x7c004fff,0xffd02fff,0xff80007f,0xdb9802ff,0xffffffff,
    0x7fff41ff,0x7ffc0003,0x0bfff92f,0x5c000000,0x0fffffff,0xffff1000,
    0x7fec0009,0x7ffc004f,0xfffc802f,0xffffffee,0x00dfffff,0x004fffd8,
    0xc817fffc,0x20005fff,0xb01ffff8,0xffffffff,0x4000ffff,0x02fffff9,
    0x7fffc400,0xdccccccf,0x8003ffff,0xccfffff8,0xfffdcccc,0x7fec003f,
    0xffffffff,0x3f20007f,0x220005ff,0xff91ffff,0xffffffff,0x8dffffff,
    0xfd86fffc,0x7fc004ff,0x7fec02ff,0x7ffc004f,0xbfff902f,0x7ffc4000,
    0xcb98001f,0x46fffffe,0x0005fffc,0x5c7fffe2,0x00007fff,0x7fff4000,
    0x320003ff,0x0001ffff,0x0013fff6,0x9005ffff,0x3faabfff,0x1dffffff,
    0x13fff600,0x05ffff00,0x001bffee,0x207fffa8,0x7d45fffd,0xd10007ff,
    0x5409ffff,0x7ffdc00b,0xffffffff,0x006fffff,0xffffffb8,0xffffffff,
    0x7ec006ff,0x7ffd45ff,0x3fee0007,0x3ea0006f,0x3fb227ff,0xffffffff,
    0x641dffff,0xffd86fff,0x7ffc004f,0x7ffec02f,0x7fffc004,0x0dfff702,
    0x3fffd400,0xfffa8000,0x3ffee0ff,0x3fea0006,0x3fffea7f,0x00000000,
    0x03ffffee,0x7fffc400,0x7fec0005,0x7ffc004f,0xfffc802f,0x04d54c45,
    0x5fffc800,0x3fffe200,0x7ffff301,0x3fffa000,0x17fff606,0xb88dfff3,
    0x3fff601c,0x1bff206f,0xffffffd0,0xffffffff,0xe8005fff,0xffffffff,
    0xffffffff,0x3ff6002f,0x37ffcc5f,0xf30072e2,0x20007fff,0x0006fffe,
    0x37ffe400,0x002fffe4,0x803ffff1,0x2005fffc,0x301ffff8,0x0007ffff,
    0xb31bfffa,0xff88003b,0x3ffe63ff,0xffd0003f,0x7fffccdf,0x00000002,
    0x00ffffee,0x1ffffc80,0x7ffe4000,0x3ffe2005,0xfffc801f,0x2e000005,
    0x2a006fff,0x3e207fff,0x4000ffff,0x204ffffb,0xfc85fffd,0x83ffe42f,
    0x00fffffb,0x4c03fffa,0xffffffff,0xffffffff,0x3e6005ff,0xffffffff,
    0xffffffff,0x3ff6005f,0x42ffc85f,0x7c407ffc,0x4000ffff,0x004ffffb,
    0x7fff4000,0x06fffb85,0x01fffea0,0x801bffee,0x2207fffa,0x000fffff,
    0x227fffdc,0xd8006ffe,0x3fe25fff,0x5c000fff,0x7fc4ffff,0x00000eff,
    0xffff8800,0x3fe20007,0xb80006ff,0x2a006fff,0xf9007fff,0x00000bff,
    0x017fffcc,0x406fffd8,0x005ffffb,0x01bfffe6,0x260bfffb,0x41fffe80,
    0x02fffff9,0xc817fffc,0xeeeeffff,0xfeeeeeee,0xf9000fff,0xdddddfff,
    0xffdddddd,0x3f6001ff,0xd01305ff,0xfb803fff,0x26005fff,0x0006ffff,
    0x7fffcc00,0x2ffff983,0x0dfffb00,0x05ffff30,0x01bfff60,0x00bffff7,
    0x237fffcc,0x002ffff8,0x2e2ffffc,0x2005ffff,0xb86ffff9,0x0004ffff,
    0xc8003bf7,0x0003ffff,0x00bfffee,0x3fffe600,0xdfffb002,0x17fff200,
    0xff880000,0x7ec00fff,0xfd804fff,0x5400dfff,0x402fffff,0x4005fffd,
    0x3e22ffff,0xf803ffff,0xff882fff,0x3e2004ff,0xf8803fff,0x22004fff,
    0xb003ffff,0xf800bfff,0xfd802fff,0x5400dfff,0x002fffff,0x7ffe4000,
    0xffff881f,0x7ffec00f,0xfff8804f,0x7fec00ff,0xffd804ff,0x7d400dff,
    0x7cc2ffff,0x9002efff,0xfb07ffff,0xa801bfff,0x882fffff,0x00dfffff,
    0x0bfffb10,0x3ffffc40,0x3fffe000,0xff100006,0xfd801fff,0xf9004fff,
    0x00000bff,0xbfffffb8,0x3fff6a20,0xff8800ef,0x4c0affff,0x05fffffc,
    0x005fffd8,0xfd17fffc,0x3e00bfff,0xffb82fff,0x7ec001ff,0xffb806ff,
    0x7ec001ff,0xffb006ff,0xfff800bf,0xfff8802f,0x64c0afff,0x005fffff,
    0x53333100,0x40fffffd,0x0bfffffb,0x3ffff6a2,0xfff7000e,0x6d4417ff,
    0x800effff,0xaffffff8,0x7fffe4c0,0xffff985f,0xea80adff,0x881fffff,
    0x0affffff,0x7ffffe4c,0x3fffea05,0xb9881bff,0x106fffff,0xfff93333,
    0x7d40009f,0x00002fff,0x2fffffee,0x3fff6a20,0xfd8800ef,0x00099eff,
    0xffffb000,0xffffddff,0x54003fff,0xffffffff,0xfffffffe,0x3faa200f,
    0xaaaaaeff,0xffaaaaaa,0xffff92ff,0x5555557f,0x5ffff755,0xaffffe98,
    0xffca8801,0xe9809bff,0x801affff,0xbffffca8,0xffea8809,0xaaaaaaef,
    0xfffaaaaa,0xfff5002f,0xffdfffff,0x01ffffff,0xfffeb800,0xffffffff,
    0x7fffec02,0xffffeeff,0x6c001fff,0xeeffffff,0x1fffffff,0x3fffea00,
    0xfffeffff,0x980fffff,0xffffffff,0xfffffeff,0x3ea05fff,0xefffffff,
    0xffffffff,0x7fffe400,0xffefffff,0x2fffffff,0x7fffff54,0x4fffffff,
    0x7fffe800,0xffd80000,0xffeeffff,0x401fffff,0xffffffeb,0x0003efff,
    0x7ffff440,0xffffffff,0xffb8004f,0xffffffff,0x200dffff,0xfffffffd,
    0xffffffff,0x2fffffff,0xfffffffb,0xffffffff,0x3ea5ffff,0xffffffff,
    0xffffb01f,0x54dfffff,0xffffffff,0xfffb01ff,0x8dffffff,0xfffffffd,
    0xffffffff,0x2fffffff,0x3fffee00,0xffffffff,0x40000dff,0xfffffff8,
    0x802fffff,0xffffffe8,0x4fffffff,0xfffe8800,0xffffffff,0xfb8004ff,
    0xffffffff,0x00dfffff,0xfffffff1,0xffffffff,0xb801dfff,0xffffffff,
    0x0dffffff,0xfffff900,0xffffffff,0xfd07ffff,0xffffffff,0x001fffff,
    0x01ffffcc,0x7ff44000,0xffffffff,0x7c404fff,0xffffffff,0x0000ffff,
    0x7fffe440,0x2fffffff,0x3ffa6000,0xffffffff,0x7ffcc03f,0xffffffff,
    0xffffffff,0xffb2ffff,0xffffffff,0xffffffff,0x3ffffa5f,0x85ffffff,
    0xfffffff8,0xffd2ffff,0xffffffff,0xfffff10b,0x25ffffff,0xfffffff9,
    0xffffffff,0xffffffff,0x7ff4c002,0xffffffff,0xf100003f,0xffffffff,
    0x644005ff,0xffffffff,0x20002fff,0xffffffc8,0x002fffff,0x3ffffa60,
    0x3fffffff,0xfffffe80,0xffffffff,0x3000cfff,0xfffffffd,0x0007ffff,
    0xfffffff5,0xdfffffff,0x3ffffa03,0xffffffff,0x3e2001ff,0x000006ff,
    0x3fffff22,0x02ffffff,0xffffff88,0x0fffffff,0xfd300000,0x1bffffff,
    0x3fee0000,0x1dffffff,0xfffff880,0xffffffff,0xffffffff,0xffffb2ff,
    0xffffffff,0x5fffffff,0x3ffffff6,0xf884ffff,0xffffffff,0xffffb1ff,
    0x09ffffff,0xfffffff1,0x3e23ffff,0xffffffff,0xffffffff,0x02ffffff,
    0xfffff700,0x0003bfff,0xfffffc80,0x0000acef,0xffffffd3,0x200001bf,
    0xffffffe9,0x700000df,0xffffffff,0x3b66003b,0xfffffc89,0x001dffff,
    0xffffff70,0x80003bff,0xffffffda,0x5403deff,0xfffffffe,0x004fffff,
    0x0001efb8,0xfffe9800,0x000dffff,0x3ffffff2,0x004fffff,0xcba88000,
    0x2000001a,0x000acba8,0xfffffda8,0xffffffff,0xffffffff,0xffffffb2,
    0xffffffff,0x225fffff,0xffffffec,0xffb500ce,0x47bfffff,0xfffffec8,
    0xfb500cef,0x7bffffff,0xfffffda8,0xffffffff,0xffffffff,0x5d440002,
    0x000000ac,0x00099988,0x565d4400,0x22000001,0x0001acba,0x2b2ea200,
    0x54c00000,0x0009abcb,0x15975100,0x55100000,0x00013799,0x33333331,
    0x00000333,0x51000000,0x80003597,0x99999998,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00004000,0x00017500,0x40002200,
    0x2b8801b8,0x02200000,0x02540000,0x006e2000,0x00000ae2,0x32200000,
    0x002c8802,0x71003710,0x64400003,0x15c00001,0x00003a80,0x00008800,
    0x3260032a,0x00880001,0x00000000,0x26000000,0x0000000c,0x01800002,
    0x0000bfee,0x000efd80,0x03ffdc00,0x07fdc000,0x06ffe400,0x000fffa8,
    0x00ffb800,0x3ff62000,0xf900001e,0x3fea01bf,0x2a00000f,0x900003ed,
    0xffc801ff,0xdffc8000,0x01fff500,0x7fff7000,0x3fea0000,0x5ffd301e,
    0x5c000000,0xff0000ff,0x00bfd00b,0x003ff880,0xdb500000,0x80000007,
    0x00005ffb,0x000df900,0xf886ffa8,0x00000fff,0x003fffb0,0x0fffec00,
    0xfffb0000,0xfff50003,0x7ffe445f,0xfd800006,0x500001ff,0x09ffffff,
    0xffff5000,0x37ffe445,0xfff10000,0xf700005f,0x3ffcc0bf,0xefffa800,
    0x1bfff622,0xfffb1000,0x80003dff,0x5c3ffff8,0x0000ffff,0x3fffb000,
    0x0bffa000,0x0005ffc8,0x006fffc4,0xff100000,0x000005ff,0x00bfff60,
    0xffd10000,0x7fc4000d,0x7ffc42ff,0x1000003f,0x0005fffd,0x00ffffe0,
    0x3fffa200,0x3fee0003,0xfffeacff,0x2200000e,0x0003fffe,0xeffffc88,
    0x0001efff,0x567fffdc,0x000efffe,0x3fffee00,0xff980006,0xff730adf,
    0x7dc000bf,0xfffacfff,0x2e0000ef,0xfffeffff,0x7cc0003f,0xffeaefff,
    0x000001ef,0x03fffe88,0x2ffff200,0x0bfff261,0x3ffea000,0x0000000e,
    0x00dffff7,0xffe88000,0x4000003f,0x001ffff9,0x0bffff60,0x001ffffa,
    0xfffd8800,0x7fd40004,0x20001dff,0x002ffff9,0xffffe880,0x00003fff,
    0x017fffcc,0x7fff4400,0x7ffff91e,0xffe88000,0x003fffff,0xffffa800,
    0xff700004,0xffffffff,0xe980001d,0x3fffffff,0x7ffe4000,0xbffff52f,
    0xffd88000,0x00cfffff,0xff980000,0xd80002ff,0xffffffff,0x200004ff,
    0x001ffffa,0xfffa8000,0x2000004f,0x002ffff9,0x7ffdc000,0x3e60001e,
    0xff507fff,0x000007ff,0x005fffc8,0x7ffffe44,0x0dfdffff,0x1efff980,
    0x7fdc0000,0x00001eff,0x00f7ffcc,0x3fffc800,0x00fffe98,0xffffb800,
    0x2000001e,0x0001fffe,0x3ffffee0,0x0000dfff,0x3bfffee0,0x7fcc0000,
    0x7fec40df,0xfa80002f,0x0002efff,0xdfff3000,0x32200003,0xffffffff,
    0xe8800003,0x00002fff,0x01fffe80,0xfff10000,0x8000003d,0x000dfffb,
    0x1ffffec0,0x00dfffd0,0xfff70000,0x3ffa6003,0xffffffff,0xfe803fff,
    0x000000df,0x00007fd3,0x0037ffa0,0x01efa800,0x000037e4,0x00007fd3,
    0x0000a600,0x77f6dc40,0x3000001c,0x200007fd,0x75402ff8,0xb100001f,
    0x0000019f,0x006fff40,0x7f64c000,0x00000cde,0x01bff620,0x014c0000,
    0x3fea0000,0x4000000d,0x0004fff8,0x0fffff98,0x0bfffee0,0x3a600000,
    0xfff8800e,0xffffffff,0xb806ffff,0x0000003f,0x5c000001,0x0000003f,
    0x20000000,0x00000000,0x00000000,0x00080000,0x00000000,0x00000800,
    0x003fb800,0x00000000,0x00fee000,0x00000000,0x00057000,0x0176c000,
    0xffffc800,0x6ffff804,0x00000000,0xffffffc8,0xfffffeee,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x02ee202b,0x00000000,0x00000000,0x00000000,0x20000000,
    0x2ee202b8,0x00000000,0x7fffc400,0xfffb800f,0x0000001f,0x3fffe200,
    0xffff703f,0x0000000d,0x2af72e60,0x00000000,0x99510000,0x0001599d,
    0x01333331,0x01999988,0x9d995100,0x31000159,0x88013333,0x00019999,
    0x599d9951,0x4c400001,0x002bcddb,0xb05fff80,0x00000dff,0x88000000,
    0x02bcddb9,0x00000000,0xbb731000,0xf0000579,0x3ff60bff,0x00000006,
    0x7fffe400,0xffff1004,0x9988000b,0x99999999,0xfff30199,0xfff9809f,
    0x33333104,0x33333333,0xffff9000,0x005dffff,0x40033330,0x20009998,
    0xffffffc8,0xffa9dfff,0xffffec83,0x7642dfff,0xdfffffff,0xfffc8801,
    0x9dffffff,0xfec83ffa,0x2dffffff,0x7fffff64,0xc8801dff,0xffffffff,
    0x03ffa9df,0x3ffffb20,0xebdfffff,0xfff5003f,0xffff881f,0x4ccc0001,
    0x99999999,0x99999999,0xfffd9000,0x7bffffff,0x998007fd,0x09999999,
    0xfec80000,0xffffffff,0x5003febd,0xf881ffff,0x22001fff,0x10009999,
    0xf8033333,0x2000ffff,0x001ffffc,0xfffffeb8,0xffffffff,0x3fea0dff,
    0xffd800ff,0x7ffff5c1,0xffffffff,0x5400dfff,0xfffffffe,0x9804ffff,
    0xdffffffd,0xffffd700,0xffb809df,0xffffffff,0x47ffffff,0xfffffff9,
    0x3fea6fff,0xffffffff,0x7fffdc06,0xffffffff,0x7cc7ffff,0xffffffff,
    0x3fffea6f,0x06ffffff,0x7fffffdc,0xffffffff,0xfe8807ff,0xffffffff,
    0x07ffffff,0x20dfff10,0x8000fffe,0xffffffd9,0xffffffff,0x04ffffff,
    0x7fffff44,0xffffffff,0xfd8807ff,0xffffffff,0x2200006f,0xfffffffe,
    0xffffffff,0xdfff1007,0x003fffa0,0x3fffffae,0x3ffb200f,0x42dfffff,
    0x005ffff9,0x02ffffc4,0x3ffffe20,0xffffffff,0x264fffff,0x1002ffff,
    0xffffff10,0xffffffff,0x6409ffff,0xffffffff,0x0effffff,0x3fffffa0,
    0xff884fff,0x2fffffff,0xffffffb0,0xffffffff,0x7d43ffff,0xffffffff,
    0x3fffee7f,0x06ffffff,0x3ffffff6,0xffffffff,0x3ea1ffff,0xffffffff,
    0x3fffee7f,0x06ffffff,0x3ffffff6,0xffffffff,0x2601ffff,0xffffffff,
    0xffffffff,0xbd5001ff,0x00bb6603,0x7fffff40,0xffffffff,0xffffffff,
    0x3fffe604,0xffffffff,0x01ffffff,0x7fffffe4,0x02ffffff,0xffff9800,
    0xffffffff,0x01ffffff,0x2603bd50,0xff8802ed,0x05ffffff,0xfffffff3,
    0xffa8dfff,0xfd8003ff,0x26000fff,0xffffffff,0xffffffff,0x3ffe25ff,
    0x98000bff,0xffffffff,0xffffffff,0xfff705ff,0xfdbdffff,0x01ffffff,
    0x3ffffffa,0xfff985ff,0x83ffffff,0xfffffffc,0xfffffece,0x7ec1ffff,
    0xffffffff,0x3ffffa23,0x902fffff,0xdfffffff,0xffffffd9,0xffd83fff,
    0x3fffffff,0x3fffffa2,0xf902ffff,0x9dffffff,0xfffffffd,0x3fea03ff,
    0xddffffff,0xfffffffe,0x0000002f,0x7ffff400,0xffffffff,0xffffffff,
    0xffff504f,0xfdbbffff,0x5fffffff,0xfffffc80,0x5fffffff,0x7ffd4000,
    0xeddfffff,0xffffffff,0x00000002,0x3fffffe2,0xffa82fff,0xffffffff,
    0x17fffdc7,0x7fffcc00,0x7ffe4004,0xffffffff,0x41efffff,0xeffffffc,
    0xff9001bc,0xffffffff,0x3dffffff,0xdfffff10,0xffff7103,0x3ffea0bf,
    0xb01fffff,0xdfffffff,0xfffffa81,0xffc880ae,0xe881ffff,0x2019dfff,
    0x3ffff998,0x3ffffea0,0xffc880ae,0xe881ffff,0x2019dfff,0x3ffff998,
    0x3ffffea0,0xffc880ae,0xf981ffff,0x01bdffff,0x5fffffb3,0x00000000,
    0xffffffa8,0xfffffffc,0x4fffffff,0xdfffff98,0xfffb301b,0xfe9805ff,
    0xffffffff,0x30000fff,0x37bfffff,0x3ffff660,0x0000002f,0x7ffffe40,
    0xfd80ffff,0xffffffff,0x0ffffec3,0xffffd800,0x99998000,0x99cffff9,
    0xfff10099,0xffffffff,0x33330059,0x339ffff3,0x7ff40133,0xff9805ff,
    0x3e602fff,0x7401ffff,0x880cffff,0x00efffff,0x1ffffe98,0x009fffb0,
    0x102ffff8,0x01dfffff,0x3ffffd30,0x013fff60,0x205ffff0,0x0efffff8,
    0xffffe980,0x5ffffd81,0x3fffee00,0x00000002,0x1fff9100,0x3337ffff,
    0x09fffd33,0x00bffffb,0x017fffdc,0xfff99988,0x003fffff,0x0bffffb0,
    0x17fffdc0,0x80000000,0xffffffd9,0xfff33104,0x3fffa07f,0x3fe60007,
    0xf00003ff,0x88007fff,0xfffffffe,0x000dffff,0x001ffffc,0x009ffff9,
    0x07ffffc4,0x0dffff70,0x037fffd4,0x01dffff7,0x0ffffd40,0x004fffd8,
    0xb817fffc,0x000effff,0x407fffea,0x4004fffd,0xf702ffff,0x4001dfff,
    0x4c1ffffa,0x8006ffff,0x7300ffff,0x4c079999,0x02cccccb,0xff6ffe80,
    0x3ffa05ff,0x7fffcc4f,0xffff8006,0xfffb8000,0x006fffff,0x06ffff98,
    0x00ffff80,0x07999973,0x666665cc,0xffffd802,0x7fc01fff,0xffff03ff,
    0xffe8000d,0xff00007f,0x2e0007ff,0xfffffffe,0x2000ffff,0x1003ffff,
    0x001fffff,0x04ffffb8,0x427fffec,0x01fffff8,0x003ffffa,0xd81fffe0,
    0x7c004fff,0xffd02fff,0xff0001ff,0x7ffec0ff,0x7fffc004,0x1ffffd02,
    0x0ffff000,0x001ffffd,0x3a0dff70,0x05ffffff,0xfffffffd,0xfff88009,
    0x205ffff4,0x7f44fffe,0xb8000fff,0xfd0006ff,0xffff7dff,0xfffe8005,
    0xffb8000f,0xfffffd06,0x3fffa0bf,0xd804ffff,0x6fffffff,0x41ffffc0,
    0x005ffff9,0x1ffffd40,0x7fffc000,0x65c40003,0xfffffffe,0x3fffe006,
    0xffff3003,0x3ffa0005,0x7ffc406f,0x7ffec1ff,0x3ffe204f,0xff70003f,
    0x27ffec0b,0x0bfffe00,0x00ffffe2,0xb02ffdc0,0xf8009fff,0xff882fff,
    0xf70003ff,0xbffff0bf,0x405d4000,0xfffffff9,0xfffff985,0x5c004fff,
    0xffff1fff,0x0ffff605,0x000bffff,0x4c0005d4,0xfff3ffff,0xfff800bf,
    0x2ea0005f,0xfffff980,0xfff985ff,0x804fffff,0xfffffffd,0x3fffe03f,
    0x4ffff983,0xfffe8000,0xfff80006,0xa800003f,0x02fffffc,0x007ffff0,
    0x001bffee,0x807fffa8,0x2a6ffffa,0x5406ffff,0x0000ffff,0xfffb00a6,
    0xffff8009,0x0ffffa82,0xb00a6000,0xf8009fff,0xffa82fff,0x260000ff,
    0x3ffff982,0x3fe00000,0xf05fffff,0x9fffffff,0x27ffd800,0x5b52ffff,
    0xf987ffee,0x00003fff,0xffff9000,0x03ffff21,0x1ffffcc0,0xfff00000,
    0x3e0bffff,0x4fffffff,0xfefffd80,0xff01ffff,0xfff107ff,0xf70000bf,
    0x80005fff,0x2003ffff,0x7ffcc000,0xffff004f,0x3fff2007,0x3fe20005,
    0xffd801ff,0xffff8cff,0x7ffdc01f,0xd8000007,0x7c004fff,0xffb82fff,
    0x8000007f,0x4004fffd,0xfb82ffff,0x000007ff,0x001ffff5,0x7f5cc000,
    0xb7305fff,0x009ffffd,0x3fe5fff8,0x9fff9aff,0x7fd45fe8,0x000000ff,
    0x5ffff880,0x00ffffe6,0x007fffd4,0xfd730000,0x2e60bfff,0x04ffffed,
    0xfbdfffd8,0xfff06fff,0x3fffe07f,0xfff00007,0xff8000df,0xff9003ff,
    0x7ffec003,0x7ffff005,0x0ffffa00,0x5ffff000,0xfffff100,0x007ffffd,
    0x000dfff9,0x9fffb000,0x2ffff800,0x006fffc8,0xfffd8000,0x7fffc004,
    0x06fffc82,0xfff70000,0x4000000d,0xb005fffc,0x54009fff,0x3ffe2fff,
    0x24fffdcf,0x06fffb80,0xf7000000,0xffe85fff,0xfff7006f,0x4000000d,
    0xb005fffc,0xfb009fff,0x3fffabff,0x3ffff83f,0x01ffffd0,0xffff7000,
    0x7ffc0005,0xfff8803f,0x3fff6006,0x7ffff006,0x0bfffe00,0x7fffd000,
    0x3fffea00,0x9006ffff,0x0000bfff,0x09fffb00,0x82ffff80,0x0005fffc,
    0x4fffd800,0x17fffc00,0x002fffe4,0x6fffc800,0x32000000,0xfb005fff,
    0x7e4009ff,0x3fffe0ff,0x405fffff,0x0006fffc,0xfffd0000,0x5ffff50d,
    0x0dfff900,0x7e400000,0xffb005ff,0xfffb009f,0x3ffffe6b,0x81ffffc0,
    0x001ffffd,0x6ffff880,0x3fffe000,0xffffa803,0xffff9802,0x7ffff004,
    0x0bfffe00,0x7fffd000,0x7fffec00,0xf9001fff,0x00000bff,0x009fffb0,
    0xc82ffff8,0x00005fff,0x04fffd80,0x417fffc0,0x0005fffc,0x0dfff900,
    0x99999730,0xfc801799,0xffb005ff,0x7ff4009f,0x7fffffc6,0x7e405fff,
    0xcb9806ff,0x0bcccccc,0x7ffff300,0x017fffe0,0x201bfff2,0xccccccb9,
    0x7fe400bc,0xfffb005f,0xbfffb009,0x22ffffe4,0xf703ffff,0x00005fff,
    0x007ffff2,0x01ffffc0,0x27ffffd4,0x5ffffd50,0x0ffffe00,0x01ffff40,
    0x0bfffe00,0xfffff880,0x3ff2003f,0x8000005f,0x4004fffd,0xfc82ffff,
    0x000005ff,0x004fffd8,0x6417fffc,0x00005fff,0x80dfff90,0xffffffff,
    0x3205ffff,0xfb005fff,0x3e6009ff,0x7fffc3ff,0x405fffff,0x7c06fffc,
    0xffffffff,0xfc805fff,0xff900fff,0xffc801ff,0x7fffc06f,0xffffffff,
    0x17fff205,0x027ffec0,0x3a2fffec,0x3fe2ffff,0xfff503ff,0x2200007f,
    0x0005ffff,0x5007ffff,0xdfffffff,0xffffd999,0x7ffc00df,0xfff9003f,
    0x7fc4000b,0x7d4001ff,0x5c006fff,0x00007fff,0x04fffd80,0x417fffc0,
    0x0007fffb,0x4fffd800,0x17fffc00,0x003fffdc,0x6fffb800,0x3ffffea0,
    0xffffffff,0x0bfff900,0x013fff60,0x666fffdc,0xfffffffc,0x7fdc05ff,
    0x3ffea06f,0xffffffff,0x3fe200ff,0xcccccfff,0x03ffffdc,0x5037ffdc,
    0xffffffff,0x201fffff,0xb005fffc,0xfb009fff,0xfff98bff,0x7ffff0ff,
    0x1bfffe60,0xfffc8000,0xfff8001f,0xfffa803f,0xffffffff,0x01ffffff,
    0x00ffffe0,0x0037ffdc,0x00ffff50,0x00ffffe0,0x01ffff50,0xffd80000,
    0x7ffc004f,0xffffa82f,0x6c000000,0x7c004fff,0xffa82fff,0x800000ff,
    0x2207fff9,0xffffffff,0x3207ffff,0xfb005fff,0x3fa009ff,0xffffffff,
    0x3fffcbff,0x03fffcc0,0xfffffff1,0x80ffffff,0xfffffffb,0xffffffff,
    0x7ffcc06f,0x3fffe207,0xffffffff,0x17fff207,0x027ffec0,0x642fffec,
    0xfff4ffff,0x7fff407f,0xf300002f,0xf0009fff,0xf1007fff,0xffffffff,
    0x5fffffff,0x3ffff800,0x7ffff300,0x3fffa000,0xffff0006,0xfff98007,
    0x4000002f,0x2005fffc,0x981ffff8,0x0002ffff,0x2fffe400,0x3ffff100,
    0x05ffff30,0xfff10000,0x7fed403f,0xefffffff,0x17fff201,0x027ffec0,
    0x7fffffc4,0x9affffff,0x7c401fff,0x36a01fff,0xffffffff,0x7ff401ef,
    0xffffffff,0x2fffffff,0x07fffe20,0xfffffda8,0x201effff,0xb005fffc,
    0xfb009fff,0xfff10bff,0x7ffff3ff,0x37fffdc0,0xfffb0000,0xfff8001f,
    0xbffd003f,0xffffffff,0xf0001bff,0x22007fff,0x000fffff,0x027fffdc,
    0x03ffff80,0x0effff80,0x3ee00000,0x3ea006ff,0x3ffe07ff,0x000000ef,
    0x801bffee,0x3e07fffa,0x0000efff,0x04fffe80,0x05ffff00,0x005fffc8,
    0x5009fffb,0xffffffff,0x2e25ffff,0x7ff41440,0xfff0004f,0xfff9805f,
    0xffffffff,0x5fffffff,0x027fff40,0x02ffff80,0x802fffe4,0xd804fffd,
    0xff505fff,0x7ffffdff,0x7ffffc40,0xff300001,0xff8009ff,0x826003ff,
    0xbeffffc9,0x3ffe0000,0x3fee003f,0x3e6005ff,0x20006fff,0x8003ffff,
    0x004ffffb,0x2603bf70,0xb002ffff,0x7dc0dfff,0x70004fff,0x3fe603bf,
    0xffb002ff,0x7ffdc0df,0xbf70004f,0x1ffffc83,0x2ffff800,0x037ffe40,
    0x804fffe8,0x9999fffd,0x202ffff9,0x7fe46ffa,0xff8001ff,0x7fe402ff,
    0xeeeeeeff,0xfffeeeee,0x3fff200f,0xfff8001f,0x7ffe402f,0x9fffd006,
    0x0bfffb00,0x7fffffec,0x7fe403ff,0x200005ff,0x000ffffe,0x000ffffe,
    0x00ffffe0,0x0ffffe00,0xbffffb00,0xffffa801,0x3fe0002f,0xf88003ff,
    0x000dffff,0x20bfffb1,0x00fffff8,0x027fffec,0x1bfffff1,0x3fff6200,
    0xfffff105,0xffffd801,0x3fffe204,0xfb1000df,0xfff98bff,0x7fc001ef,
    0x7fe402ff,0x3f6600ff,0xff804fff,0x5ffff05f,0x307ffe40,0x003dffff,
    0x202ffff8,0x004ffff8,0x80ffffe2,0x01effff9,0x017fffc0,0x803ffff2,
    0x04ffffd9,0x205fffd8,0xfffffff8,0x7ffc403f,0x500001ff,0x4007ffff,
    0x0003ffff,0x003ffff8,0x03ffff80,0x7ffffc40,0x7fe4c0af,0x40005fff,
    0x0003ffff,0x7ffffff5,0xfff73103,0x7fdc0dff,0x2a20bfff,0x00effffd,
    0x7fffffd4,0xffb9881b,0x3ee06fff,0x220bffff,0x0effffda,0x7ffffd40,
    0xfb9881bf,0xfc86ffff,0x809dffff,0xffffeca9,0x7fffd402,0xffffd983,
    0x3e600dff,0xffff03ff,0x1ffff405,0x37fffff2,0xfeca9809,0x3ee02fff,
    0x6c001fff,0x7e406fff,0x809dffff,0xffffeca9,0x7fffd402,0xffffd983,
    0x7ec00dff,0x7fdc05ff,0x803fffff,0x005ffffc,0x1ffffa00,0x3eaaaaa2,
    0xaaaadfff,0x7fffc001,0x2aaa2003,0xadffffaa,0x7d401aaa,0xefffffff,
    0xffffffff,0x5554c000,0xaaadffff,0x3fff2000,0xfeffffff,0xffffffff,
    0x7fffec02,0xffffeeff,0xf9001fff,0xffffffff,0xfffffffd,0xffd805ff,
    0xffeeffff,0x001fffff,0xfffffff9,0xfffffdff,0x3a05ffff,0xffffffff,
    0xffffffee,0x7c402fff,0xfeefffff,0xffffffff,0x7ecc45ff,0xf5510bff,
    0x55559fff,0x07ffff55,0xfffffffd,0xfffffddf,0x2605ffff,0x01affffe,
    0xffffca88,0xfffd009b,0xfddfffff,0xffffffff,0xffff8805,0xffffeeff,
    0x5fffffff,0x5dfffd10,0x3fffa015,0xf8803fff,0x0000ffff,0x47ffff50,
    0xfffffffd,0xffffffff,0xfff001ff,0x3ff6005f,0xffffffff,0x1fffffff,
    0x3ffffee0,0xffffffff,0x3e6000df,0xffffffff,0x005fffff,0x3ffffff2,
    0xffffffff,0xe8803fff,0xffffffff,0x004fffff,0x7fffffe4,0xffffffff,
    0xe8803fff,0xffffffff,0x004fffff,0x7fffffe4,0xffffffff,0x3e603fff,
    0xffffffff,0xffffffff,0xffd802ff,0xffffffff,0xffffffff,0xfffff31f,
    0xfffd7fff,0xffffffff,0x07ffffff,0xfffffff3,0xffffffff,0xfa85ffff,
    0xffffffff,0xffffb01f,0x20dfffff,0xfffffff9,0xffffffff,0xd802ffff,
    0xffffffff,0xffffffff,0x7ff41fff,0x4fffffff,0xffffff98,0xffff7003,
    0x7f400007,0xffff35ff,0xffffffff,0x0bffffff,0x007fff60,0x3fffffe6,
    0xffffffff,0x4c05ffff,0xfffffffe,0x8003ffff,0xfffffffd,0xffffffff,
    0x3ffea001,0xffffffff,0x2001efff,0xffffffc8,0x002fffff,0xffffff50,
    0xffffffff,0x7e44003d,0xffffffff,0xf50002ff,0xffffffff,0x03dfffff,
    0xfffff910,0xffffffff,0x6c0039ff,0xffffffff,0xffffffff,0xffffb0ff,
    0xffffffff,0xffffffff,0x7fffffff,0x3ffff220,0xffffffff,0xfe81cfff,
    0xffffffff,0xffff885f,0x2fffffff,0xfffff910,0xffffffff,0x6c0039ff,
    0xffffffff,0xffffffff,0x3ffe60ff,0xffffffff,0xfffffc80,0x3fff6003,
    0x3ea00001,0xffff14ff,0xffffffff,0x09ffffff,0x401bfea0,0xfffffff8,
    0xffffffff,0xf7004fff,0xbfffffff,0x3fee0003,0xffffffff,0x000fffff,
    0xfffffda8,0x003defff,0x3ffffa60,0x0000dfff,0xfffffda8,0x003defff,
    0x3ffffa60,0x0000dfff,0xfffffda8,0x003defff,0xffffec88,0x0bffffff,
    0xffff9000,0xfb39ffff,0x7dc5bfff,0xefffffff,0xffffffff,0xffffffff,
    0x764403ff,0xffffffff,0x3f600bff,0xffffffff,0xffff884f,0x1fffffff,
    0x7fff6440,0xbfffffff,0xfff90000,0xb39fffff,0x885bffff,0xffffffff,
    0x3ffa07ff,0x322003ff,0xb800002d,0x3ff6a0ce,0xffffffff,0x00ceffff,
    0xb5000a60,0xffffffff,0x9dffffff,0xcba88001,0xc880000a,0xfffffffe,
    0x002dffff,0x5e655440,0x44000009,0x0001acba,0x79955100,0x88000013,
    0x0001acba,0x79955100,0x88000013,0x019accb9,0x332e6000,0xffb0001a,
    0xd91bdfff,0xffffffff,0xffffffff,0xcb988007,0x910019ac,0xdffffffd,
    0x3ff6a019,0x03dfffff,0xaccb9880,0x26000019,0x0001accb,0x3fffff6a,
    0x3ea01dff,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001dc000,0x00010000,0x71003710,0x6d400003,0x3ff6a002,0x03ffffff,
    0x3ffff6a0,0x4000004f,0x2c8802c8,0x00950000,0x00020000,0xb8801b88,
    0x09500001,0x00000000,0x33333100,0x00013333,0x6edd4400,0x000002bc,
    0x00001800,0x88004401,0x01b8801b,0x44005cc0,0x2e20000b,0x001b8801,
    0x59100591,0x3f620000,0x000001ef,0x20003fe4,0xf500dffc,0x900001ff,
    0x3e200dff,0xffffffff,0xfff3003f,0x0009ffff,0x00ffc800,0x00007fe4,
    0x005dff91,0x07fea000,0x06ffe400,0x000fffa8,0x07bff620,0xdfd70000,
    0xeb800405,0xffffffff,0x0cdeffff,0x7fec4000,0xbeffffff,0x26000dfb,
    0xf3000bfd,0x260001ff,0x4ffa86ff,0x00dffc80,0x4001fff5,0x3ee03ffe,
    0x3f60006f,0x3ffea04f,0x00ffc800,0x00007fe4,0x3fffffea,0xe8800003,
    0x20000eff,0x222efffa,0x0006fffd,0x017ffec4,0xffffffa8,0x5003ffff,
    0x9fffffff,0xfb800000,0x1ffe605f,0xfffea800,0x00000cff,0x000bfff2,
    0x1177ffd4,0x000dfffb,0x7fffffd4,0xfe880004,0x260dffff,0x7fc402fe,
    0xffffffff,0xffffffff,0xfff70003,0xffffffff,0x4007ffff,0x9004ffff,
    0x2000dfff,0x7f42fffd,0x7fd400ff,0x3ff622ef,0x7fe4006f,0x3ffa60ef,
    0x3ea0004f,0x3f621eff,0xff7005ff,0x03ffcc0b,0xffffb100,0x003dffff,
    0x3fffe600,0xffb80001,0xffffacff,0x3a60000e,0x74002fff,0xffffffff,
    0x3ffe003f,0x0004ffff,0x6fffcc00,0xbfff730a,0x3fff2000,0x02efffef,
    0x7ffec400,0x7fdc0004,0xffffacff,0xfc88000e,0xefffefff,0x3ff60001,
    0xccffffff,0x7cc04fff,0xffffffff,0xffffffff,0x2a000eff,0xffffffff,
    0xffffffff,0xffff5005,0x3fff200f,0xffe8003f,0x3fffe24f,0xffffb801,
    0x0effffac,0xffffd800,0x05ffffbb,0xffffb800,0x0effffac,0x5bfff300,
    0x17ffee61,0x7fffc400,0x5ffff90d,0xfffa8000,0x2600001e,0xfffffffe,
    0x7fd40003,0x530001ff,0x7ffff555,0xffea9800,0x8000004f,0xfffffffb,
    0x4000efff,0x71efffe8,0x0007ffff,0x00ffffa2,0x7fff4c00,0x0003ffff,
    0x23dfffd1,0x003ffffc,0xd51fff88,0x1dffffff,0xfffff900,0xffffffff,
    0x0bffffff,0x3ffffe60,0xfffeddef,0x1006ffff,0x200bffff,0x00fffff8,
    0x31ffff40,0x2003ffff,0xffffffe9,0x7d40003f,0x2fffffff,0x3fa60000,
    0x03ffffff,0xfffffb80,0x00efffff,0x07fffb00,0x000fffd5,0x0077ffdc,
    0xfffb8000,0x440000ef,0x0000efff,0x01ffffc0,0x04fffe80,0xff700000,
    0x1bffffff,0x7fff9000,0x01fffd30,0x1ffff880,0xffb80000,0x20000eff,
    0xe983fffc,0xa8000fff,0x7ffe440b,0x6cc000bf,0x9999dfff,0xffffeba9,
    0xfffd803f,0xffb881df,0x36006fff,0x36002fff,0x4004ffff,0x3e63ffff,
    0x5c000fff,0x000effff,0xffffb100,0x20000019,0x00effffc,0x3fffee00,
    0x000dffff,0x88037ee0,0x3e0005fc,0x000004ff,0x0003fe98,0x000bff30,
    0x0ffffe00,0x27fff400,0x71000000,0x0039dfdb,0x200f7d40,0xfd8006fb,
    0x000000ef,0x0000ffa6,0xf9007bea,0x2200000d,0x7ec0002a,0xffa804ff,
    0xfff806ff,0xfff9806f,0x05cc006f,0x3fffe600,0x3ffe000f,0x3fffea2f,
    0x3fe98000,0xff500000,0x30000005,0x200007fd,0x1cefedb8,0x00000000,
    0x002ec800,0x00040000,0x00006600,0x03ffff80,0x09fffd00,0x00000000,
    0x00000000,0x00067d40,0x00008000,0x00000000,0x36000000,0xfb004fff,
    0x7cc01fff,0xfb002fff,0x00000bff,0x27fffec0,0x2ffff880,0x001fffea,
    0x80000010,0x00000008,0x00000004,0x00000000,0x00000000,0x00000000,
    0x7fc00000,0xfd0003ff,0x999309ff,0x00003999,0x00000000,0x00000000,
    0x00000000,0x26200000,0x44009999,0xb0019999,0x22009fff,0x2602ffff,
    0x3000ffff,0x00007fff,0x7fffd400,0xfff8800f,0x1fffee1f,0x00000000,
    0x00000000,0x00000000,0x33331000,0x33333333,0x00000000,0x376ea200,
    0x6d4002bc,0xffffffff,0x3fe00003,0xfd0003ff,0xffff89ff,0x007fffff,
    0x2af72e60,0x75100000,0x000579bb,0x98800000,0x99999999,0x99999999,
    0x00666600,0x90099988,0xfffffffd,0xfffec85b,0x201dffff,0x5004fffd,
    0xf803ffff,0x32004fff,0x4ccc40df,0x99999999,0x00999999,0x005ffffd,
    0x5c3ffff3,0x98806fff,0x99999999,0x4c001999,0x99999999,0x26660000,
    0x99999999,0x99999999,0x99880999,0x99999999,0x75400199,0xffffffff,
    0x1dffffff,0x33333310,0x00001333,0xfffffb10,0xbf77dfff,0xfffff101,
    0x007fffff,0x1ffffc00,0x4fffe800,0x3fffffea,0x4002ffff,0xfffffffc,
    0xb10002ef,0xffffffff,0x201bf77d,0x99999998,0x3fa00019,0xffffffff,
    0xffffffff,0x7fffecc3,0xfd700dff,0x4c9dffff,0xffffffff,0x3ffea6ff,
    0x6fffffff,0x013fff60,0x01bfffa2,0x037ffff6,0xffffd000,0xffffffff,
    0x207fffff,0x806ffffa,0x320ffff9,0x3ae06fff,0xffffffff,0xdfffffff,
    0xffffb100,0x0dffffff,0x3fffe600,0xffffffff,0xffffffff,0x3ffae4ff,
    0xffffffff,0x00dfffff,0xffffffe8,0xffffffff,0x7ff5c6ff,0xffffffff,
    0x000cdeff,0x3ffffee0,0xffffffff,0xfffa83ff,0x3fffffff,0x3ffe0000,
    0xffd0003f,0x7fffc49f,0x00ffffff,0xfffffd50,0x09ffffff,0xfffffb80,
    0xffffffff,0x7ff643ff,0xffffffff,0x7f4001df,0xffffffff,0xffffffff,
    0x7fffff43,0xff884fff,0x2fffffff,0xfffffff5,0x7fdcffff,0xffffffff,
    0x13fff606,0x7fffff70,0xfffff500,0x800159df,0xfffffffe,0xffffffff,
    0x3ffa03ff,0xfdd9307f,0xffdddfff,0x447bdfff,0xffffffff,0xffffffff,
    0xfff904ff,0xffffffff,0xff30005f,0xffffffff,0xffffffff,0x3e29ffff,
    0xffffffff,0xffffffff,0xffff804f,0xffffffff,0x226fffff,0xffffffff,
    0xffffffff,0xfa8003ff,0xffffffff,0x5fffffff,0xffffffd0,0x00007fff,
    0x001ffffc,0x2a4fffe8,0xeeffffff,0xfff9001c,0xffffffff,0x5001dfff,
    0xffffffff,0xffffffff,0x7ffffccb,0xffffffff,0x7ff4005f,0xffffffff,
    0x3fffffff,0x7ffffff4,0xfff985ff,0x23ffffff,0xfffffffd,0x3ffa23ff,
    0x2fffffff,0x2bbfff60,0xfffecbaa,0x9001ffff,0xffffffff,0xe8017bff,
    0xffffffff,0xffffffff,0x3fff603f,0x7fffc41f,0xffffffff,0x2fffffff,
    0xfffffff3,0xffffffff,0x3f20bfff,0xffffffff,0x98005fff,0xffffffff,
    0xffffffff,0x34ffffff,0xffffffff,0xffffffff,0xff700bff,0xffffffff,
    0x45ffffff,0xfffffff9,0xffffffff,0x000effff,0xdffffff3,0xfffffdbb,
    0x554c0dff,0x03ffffaa,0x3fffe000,0xfffd0003,0x3fffff29,0xffb8003f,
    0xedefffff,0x0fffffff,0x3ffffe60,0xfffeddef,0x3ea6ffff,0xffffffff,
    0x005fffff,0x7ffffff4,0xffffffff,0x7fd43fff,0x01ffffff,0xfffffffb,
    0xfffe881d,0x2662019d,0xd803ffff,0xffffffff,0xefffffff,0x7ffdc001,
    0xffffffff,0xfffd00df,0xffffffff,0x07ffffff,0x217fffe4,0xfffffffa,
    0xffffffff,0x3f24ffff,0xffffffff,0xefffffff,0xffffd301,0xffffffff,
    0xfff98001,0xffffffff,0xffffffff,0x3ff24fff,0xffffffff,0x1effffff,
    0x26666600,0x99cfffe9,0xfffff900,0xffffffff,0x0bffffff,0x37ffff60,
    0xffffb881,0x7ffc006f,0x3e00003f,0xd0003fff,0xfffbbfff,0x10003fff,
    0x03dfffff,0xbfffff71,0x6ffffec0,0xffffb881,0x7fffec6f,0xffffffff,
    0x7ff4001e,0x999999cf,0x1fffffc9,0x3fffff30,0xcffffe80,0x13fff600,
    0x05ffff00,0xffffffb0,0xffffffff,0x3aa0001b,0xffffffff,0xfe81efff,
    0x99999cff,0xfffffc99,0x3fffea01,0xffffff83,0xffffffff,0x981fffff,
    0xffff9999,0x0009999c,0xffff3331,0x8007ffff,0x99affff9,0x9bffff99,
    0x4fffe999,0xff999998,0x09999cff,0x3ffa0000,0x3f66004f,0x99999dff,
    0xfffffeba,0x6ffff803,0x6ffff980,0x1ffffc00,0xffff0000,0x3ffa0007,
    0xefffffff,0xfffd0000,0xfff300bf,0x3ffe05ff,0xfff9806f,0xf999886f,
    0x0099bfff,0x09fffd00,0x17ffffcc,0x1bfffee0,0x06ffffa8,0x004fffd8,
    0x4017fffc,0xfffffffd,0x06ffffff,0xffb73000,0xffffffff,0x04fffe83,
    0x0bffffe6,0x09ffff30,0x3bfffae6,0xdffffccc,0x3fe000ac,0x700003ff,
    0xffffffff,0xfff9800d,0x2ffff80f,0x004fffd8,0x0007ffff,0x4fffe800,
    0x27ffec00,0x37fffd40,0x0bfffe60,0x02fffec0,0x00ffffe0,0x3ffff800,
    0xffffd000,0x000bffff,0x027fffe4,0x1fffff10,0x02ffff98,0x00bfffb0,
    0x0005ffff,0x209fffd0,0x04ffffe8,0x09ffffb0,0x03fffff1,0x009fffb0,
    0x802ffff8,0xfffffffd,0x2fffffff,0xcb980000,0x46fffffe,0xd104fffe,
    0x1009ffff,0xd80dffff,0x7ffc5fff,0xfff0002f,0x3a00007f,0xfffbefff,
    0x3fe6002f,0xffff80ff,0x04fffd82,0x007ffff0,0xfffe8000,0x7ffec004,
    0xffffb004,0x7fffcc01,0x7fff3000,0x3ffff800,0x3ffe0000,0xffd0003f,
    0x03ffffff,0x3fffe200,0x7fdc000f,0x7ffcc4ff,0xfff3000f,0x5ffff007,
    0xfffd0000,0x3ffff607,0x3ffe2006,0x7ffec1ff,0xfffb004f,0xffff8009,
    0x4fffd802,0xfffffea8,0x54000002,0x3a0fffff,0xffb03fff,0x7fc00dff,
    0x7ff407ff,0x3fffe24f,0xffff0001,0xff300007,0x3fffe7ff,0x3ffe6005,
    0x2ffff80f,0x004fffd8,0x0007ffff,0x4fffe800,0x27ffec00,0x2ffff880,
    0x027fffc0,0x8001bf90,0x0003ffff,0x00ffffe0,0x7fffff40,0x8002ffff,
    0x002ffff9,0xf0dfffd0,0x64009fff,0xfff800df,0xfc80002f,0xfffb81ff,
    0x7d4000ff,0x3fea6fff,0x3f6006ff,0x7fc004ff,0xffd802ff,0xfffb104f,
    0xbb3005ff,0xfff88003,0x07fff23f,0x03ffffee,0x0ffffe80,0x88ffffa0,
    0x0001ffff,0x0007ffff,0x21ffff90,0x000ffffc,0xf01ffff3,0xffb05fff,
    0x3ffe009f,0x4000003f,0x4004fffe,0x5004fffd,0xd803ffff,0x000dffff,
    0x7fffc000,0x3fe00003,0xfd0003ff,0xffffffff,0xffb8007f,0x3ea0006f,
    0xfffd87ff,0x800000df,0x0002ffff,0xfa87ff98,0x0001ffff,0xf19ffffb,
    0x4003ffff,0x4004fffd,0xd802ffff,0x7ec04fff,0x7400ffff,0xfd8006ff,
    0x1ffe65ff,0x07ffffea,0x0fffff00,0x263ffff8,0x0000ffff,0x0007ffff,
    0x25ffff88,0x003ffff9,0x7fc1bffe,0xfffb82ff,0x7ffff002,0xfe800000,
    0x7ec004ff,0xfe8804ff,0xffa806ff,0x0aceffff,0x7ffc0000,0x3e00003f,
    0xd0003fff,0xffd3dfff,0x64009fff,0x20005fff,0x541ffff8,0xceffffff,
    0xff80000a,0x100002ff,0xfffff105,0x7fc40007,0xffffefff,0x7ffec003,
    0x7fffc004,0x4fffd802,0x6ffffe80,0x0bfffe20,0x8bffff00,0xffff8828,
    0x7fc4003f,0x665445ff,0xdccdffff,0x01bcffff,0x01ffffc0,0x3fffee00,
    0x037fff42,0x3e09ff90,0xff982fff,0xffff000f,0xe8000007,0x6c004fff,
    0x7dc04fff,0x9003ffff,0xffffffff,0x00017bff,0x003ffff8,0x0ffffe00,
    0xa7fff400,0x5fffffd8,0x07fffd00,0x2ffff800,0xffffffc8,0x00bdffff,
    0x02ffff80,0x7ff40000,0xa80005ff,0xffffffff,0xfffd8006,0x7fffc004,
    0x4fffd802,0xfffff880,0xdffff303,0x3fff2005,0xfffd003f,0xff3000bf,
    0xfffe89ff,0xffffffff,0x2fffffff,0x0ffffe00,0xdfffd000,0x05ffff50,
    0xfff00cc0,0x000a205f,0x0007ffff,0x4fffe800,0x77ffec00,0xffecbaaa,
    0x001fffff,0x3fffffee,0x0dffffff,0x7ffff000,0x7ffc0000,0xffd0003f,
    0xffffd89f,0x7ffc00df,0x7f40002f,0xfff703ff,0xffffffff,0x7fc001bf,
    0x000002ff,0x03bffff2,0x7ffec000,0x8001ffff,0x4004fffd,0x2202ffff,
    0xaaefffea,0x3fffe600,0x7ffcc1bf,0xa80adfff,0x01fffffe,0x0effffc8,
    0xffffb800,0x3ffffe63,0xffffffff,0x05ffffff,0x00ffffe0,0x3ffff980,
    0x00bffff0,0x17fffc00,0xffff0000,0x002a2007,0x009fffd0,0xffffffd8,
    0xffffffff,0xea8001ef,0xffffffff,0x8001efff,0x4003ffff,0xfaaaaaa8,
    0xaaaadfff,0xffd5101a,0xffff909f,0xff0155df,0xe80005ff,0x3aa03fff,
    0xffffffff,0xf001efff,0x00005fff,0x3ffffea0,0x3e200001,0x003fffff,
    0x009fffb0,0xb02ffff8,0xffffffff,0x7fdc09ff,0x3e65ffff,0xffffffff,
    0xffffffef,0xffa805ff,0x90001fff,0xff83ffff,0xffffffff,0xffffffff,
    0x3ffe003f,0x3f20003f,0xff900fff,0x200001ff,0x0002ffff,0x00ffffe0,
    0x8007ffe2,0x4004fffe,0xfffffffd,0xdfffffff,0x6dcc0000,0xffffffff,
    0x7fc001ff,0x3f2003ff,0xffffffff,0xffffffff,0x3fffa0ff,0xff884fff,
    0x5fffffff,0x001ffff4,0x00bfffe0,0x3ffff6e6,0x01ffffff,0x002ffff8,
    0xffff9800,0xa800002f,0x0006ffff,0x0013fff6,0xf305ffff,0xffffffff,
    0x7ec01fff,0xf11fffff,0xffffffff,0xffffffff,0xff9801df,0x20002fff,
    0x4c0ffffd,0xeffffedb,0xefffffee,0x7ffc002c,0xff10003f,0x99999fff,
    0x07ffffb9,0x3fffe000,0x3fe00002,0xffa803ff,0x3ffa003f,0x7fec004f,
    0xffffffff,0x00006fff,0xfffd9730,0xff800dff,0xff1003ff,0xffffffff,
    0xffffffff,0x3ffea7ff,0xfb84ffff,0xffffffff,0x17fff21f,0xffff8800,
    0xecb98001,0x806fffff,0x2002ffff,0x7ff44029,0x02ea04ff,0x1ffffc00,
    0x9fffb000,0x2ffff800,0xffffff88,0x406fffff,0x0ffffff8,0x3ffffffa,
    0xffffffff,0x74400cff,0x2a04ffff,0xffff100b,0x7fffa80f,0x002fffe4,
    0x007ffff0,0x3ffffee0,0xffffffff,0x00006fff,0x0005ffff,0x01ffffc0,
    0x002fffe4,0x8009fffd,0xfffffffd,0x2fffffff,0xfa800000,0x2000ffff,
    0x2003ffff,0xfffffffe,0xffffffff,0xff32ffff,0x509fffff,0xffffffff,
    0x7ffdc1ff,0x3fea0006,0xf500007f,0xf801ffff,0xf7002fff,0x7ffec0df,
    0x1bff206f,0x1ffffc00,0xbfff9000,0x7fffc400,0xffffb501,0x003bffff,
    0x985bfff5,0xfffc89ed,0x1dffffff,0xdffffb00,0xc837fe40,0x5c04ffff,
    0x7fec7fff,0x3fe0005f,0xfd0003ff,0xffffffff,0xffffffff,0xfff00005,
    0x7c00005f,0xfc803fff,0x3fa005ff,0x7ec003ff,0xffea84ff,0xb3002fff,
    0xff88003b,0x3fe003ff,0x366003ff,0xffffffff,0xffffffff,0x7ffedc3e,
    0xffb704ff,0x985bffff,0x0003ffff,0xd98dfffd,0x7fc4001d,0x7ffc03ff,
    0xfffd002f,0xfffff701,0x07fff401,0x1ffffc00,0xdfff7000,0x3fffd400,
    0x00000000,0x5dff5300,0x7fdc0013,0x3fa00fff,0x7ffc40ff,0x7fdc00ff,
    0x27ffec6f,0x7ffff000,0xffff3000,0xffffffff,0x0bffffff,0x5ffff000,
    0x7ffc0000,0xfffc803f,0x3fffe005,0x7ffec002,0xffffb104,0xdffd005f,
    0xbfffb000,0x1ffffc00,0x00000000,0x22000000,0x000fffff,0x227fffdc,
    0xd8006ffe,0x7fc05fff,0xfff002ff,0xffff985f,0x7fffc02f,0xffff8002,
    0x3fe60003,0xffb002ff,0x000000df,0xdff00000,0xffff3000,0xffff805f,
    0x2ffffdc2,0x237ffe40,0x0003fffe,0x000ffffe,0x3bbffff2,0xeeeeeeee,
    0x000ffffe,0x017fffc0,0x7ffff000,0x0bfff900,0x03fffe60,0x09fffb00,
    0x0fffffd8,0x0bfffe20,0x0bffff00,0x01ffffc0,0x00000000,0x7dc00000,
    0x26005fff,0x7c46ffff,0x7c002fff,0x7fc05fff,0xfff002ff,0x7fffc45f,
    0xffff803f,0xffff8002,0x3fe20003,0x7ec00fff,0x80004fff,0x0001bed8,
    0x067ffc00,0xfffff880,0x2ffff803,0x00fffffc,0x3e2fffe4,0x20003fff,
    0x4003ffff,0x004ffff8,0x00ffffe2,0x05ffff00,0x7fffc000,0x6fffc803,
    0x7fffe880,0x4fffd800,0x6ffffe80,0x3bfffe60,0xffff9002,0x7fffc007,
    0x3ae00003,0x4400002d,0x40001ced,0x00dffffd,0x17ffffd4,0x0bbfffe6,
    0x1ffffe40,0x00bfffe0,0xfd17fffc,0x3e00bfff,0xf8002fff,0x40003fff,
    0x0bfffffb,0x3ffff6a2,0xfb80000e,0x00003fff,0x01bfffe0,0x02fffff4,
    0x2e2ffff8,0xb006ffff,0xfff8bfff,0x3fe0002f,0x7dc003ff,0x6c001fff,
    0x40006fff,0x0002ffff,0x00ffffe0,0x33fffff2,0x7fffd441,0xffd8005f,
    0xfff8804f,0xfff303ff,0x5015bfff,0x03fffffd,0x01ffffc0,0xffff8800,
    0x3ea00006,0x20004fff,0xaffffff8,0x7fffe4c0,0xffff985f,0xea80adff,
    0x401fffff,0xf002ffff,0x3ff25fff,0xaaaabfff,0xfffbaaaa,0xaaa9802f,
    0xaaadffff,0xfffd8000,0xfffeefff,0x0001ffff,0x0dfffb10,0xc8a98000,
    0x6400fffd,0xaabfffff,0xfbaaaaaa,0x3ffa2fff,0xffb002ff,0x2ffff89f,
    0xaaaaa880,0xaaadffff,0xfffd301a,0x9510035f,0x0137ffff,0xfff55530,
    0x0015559f,0xff555551,0x35555bff,0xffffffc8,0xffffeeff,0x22000fff,
    0xaaefffea,0x3fffe600,0x7ffcc1bf,0xefffffff,0xffffffff,0xaaaaa885,
    0xaadffffa,0xc8001aaa,0x0002fffe,0x1ffffb10,0x7ffd4000,0xffefffff,
    0x80ffffff,0xfffffff9,0xffffefff,0xa885ffff,0xacffffaa,0xbaaaaaaa,
    0xffb2ffff,0xffffffff,0xffffffff,0x7ffcc05f,0xffffffff,0x44005fff,
    0xfffffffe,0x04ffffff,0xabde9800,0x00000fff,0x3fb3bffe,0x7ffec00f,
    0xffffffff,0xffffffff,0x0dffff52,0x11ffff40,0xd803ffff,0xffffffff,
    0xffffffff,0xfffff51f,0x203fffff,0xfffffffd,0x3fea06ff,0xffffffff,
    0x3605ffff,0xffffffff,0xffffffff,0xfffff71f,0xffffffff,0x6c003fff,
    0xffffffff,0x3fee04ff,0x3e25ffff,0xffffffff,0xffffffff,0x7ffe40ef,
    0xffffffff,0xffffffff,0xdaced800,0x4c0004ff,0x1ffeabde,0x7ffdc000,
    0xffffffff,0xf100dfff,0xffffffff,0xffffffff,0xfffe81df,0xffffffff,
    0xffffffff,0xfffb2fff,0xffffffff,0xffffffff,0x7fffec05,0xffffffff,
    0x44001fff,0xfffffffc,0x0002ffff,0xffffffb0,0xfd80000b,0x804fffff,
    0xfffffffd,0xffffffff,0xffb2ffff,0x7e4003ff,0x3fff42ff,0x3ffffe60,
    0xffffffff,0xfd5fffff,0xffffffff,0xffff10bf,0x5fffffff,0x3fffff60,
    0xffffffff,0xfff980ff,0xffffffff,0x5fffffff,0x3fffff22,0xefffffff,
    0x3ffe6001,0xffffffff,0x3fff600f,0x3ffa1fff,0xffffffff,0x0cffffff,
    0x7fffffc4,0xffffffff,0x03ffffff,0x7fffffcc,0x7e40000f,0x006fffff,
    0xffffd300,0x7fffffff,0xfffffd00,0xffffffff,0xfa819fff,0xffffffff,
    0xffffffff,0xb2ffffff,0xffffffff,0xffffffff,0x7dc05fff,0xffffffff,
    0x00ffffff,0xffffd300,0x0001bfff,0x7ffffcc0,0x4400001f,0x00cfffdb,
    0xffffffd8,0xffffffff,0xf72fffff,0xe98009ff,0x02ffa85f,0x7fffffc4,
    0xffffffff,0xffb4ffff,0xffffffff,0xfffff109,0x03ffffff,0x3ffffff2,
    0xffffffff,0xfffff107,0xffffffff,0x209fffff,0xffffffea,0xf88003df,
    0xffffffff,0x7fc406ff,0x3660ffff,0xffffc89e,0x01dfffff,0x3ffffffa,
    0xffffffff,0x802fffff,0x04fffffe,0xffff9800,0x400002ff,0xfffffffb,
    0xdb3001df,0xfffff913,0x203bffff,0xfffffff9,0xffffffff,0xffffffff,
    0xffffffb2,0xffffffff,0x405fffff,0xfffffec8,0x2dffffff,0xcba88000,
    0x2000001a,0x0001cb98,0xd8003000,0xffffffff,0xffffffff,0x0f6e2fff,
    0x20000000,0xffffffda,0xffffffff,0xffd910ce,0x019dffff,0x3fffff6a,
    0x32203dff,0xfffffffe,0x202dffff,0xffffffda,0xffffffff,0xca9800ce,
    0xda80001b,0xffffffff,0xfffa801d,0x2ea6002d,0x98009abc,0xfffffffd,
    0xffffffff,0x2a6003ef,0x200000bc,0x0002cb98,0x565d4400,0x54c00000,
    0x8009abcb,0xffffffdb,0xffffffff,0x2fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x0b8800b9,
    0x12a00000,0x95000000,0x00000000,0x4cccc400,0x00019999,0x5401b880,
    0x17300001,0x00017100,0xccecca88,0x9988000a,0x33100099,0x20000333,
    0x8000004a,0x000000c9,0x00004a80,0x32600726,0x00970001,0x2000032e,
    0x00d401b8,0x2a005700,0x00000003,0x00000000,0x740004a8,0x3fee03ff,
    0xd8800006,0x00001eff,0x0f7fec40,0xdb300000,0xffd90007,0xffffffff,
    0x100003bf,0x3fe05fff,0xff80004f,0x1bfee03f,0x7ffe4400,0x9dffffff,
    0xfeb83ffa,0x200fffff,0xffffffec,0xd88002df,0x00001eff,0x005fff90,
    0x3f620000,0xe80001ef,0x06fd806f,0x402ffa80,0x40002ff9,0xff02fff8,
    0xff50009f,0x3ffa603d,0x3fae0002,0x0000202e,0x00007db3,0x003dffb1,
    0x83bfff20,0x004fffe9,0x7fffd400,0x000004ff,0x9ffffff5,0x3fe00000,
    0x3e6003ff,0xffffffff,0x005fffff,0x86fffc80,0x000ffffa,0x06fffe40,
    0x009fffd3,0xffffff70,0xffffffff,0xfff88fff,0x305fffff,0xffffffff,
    0xfa800dff,0x004fffff,0x3fffa600,0x00000dff,0x3ffffea0,0x7ec0004f,
    0x1bfee03f,0x03ffe600,0x0017ff44,0x21bfff20,0x000ffffa,0x21ffffc4,
    0x000ffffb,0xfffffe88,0x00bfa60d,0x03ffff80,0x3fffea00,0xfb0004ff,
    0xfff77fff,0x440000bf,0xffeffffc,0x100001ef,0xffdffff9,0x400003df,
    0x006ffffa,0x3fffffea,0xffffffff,0xffa80005,0x6fff884f,0xffd88000,
    0xffffbbff,0xfffd8004,0xffffffff,0x1fffffff,0x3fffffe2,0xffa82fff,
    0xffffffff,0xfff91007,0x03dfffdf,0xffffc800,0x002ffffe,0x7ffe4400,
    0x01efffef,0x39fff700,0x01fffdcc,0x0beffe80,0x00fffd51,0x09fff500,
    0x000dfff1,0x2bbfffe6,0x002ffffe,0xffffffb0,0x9fff99ff,0x3ffea000,
    0xfd88006f,0xefffefff,0xfffa8001,0x002fffff,0x3fffa200,0x7ffff91e,
    0xffe88000,0xffff91ef,0x3e600007,0x6c005fff,0xffffffff,0x001effff,
    0x201bf900,0x00002efb,0x3fffffea,0xfc8002ef,0xceffffff,0xfffffffe,
    0x7ffe41ff,0x80ffffff,0xfffffffd,0xfe8803ff,0xfff91eff,0x3fa0007f,
    0xfff71eff,0x2200009f,0xf91efffe,0x20007fff,0xfffffffd,0x20005fff,
    0xfffffff9,0x0001ffff,0x2e01bf90,0x220002ef,0xfffffffd,0xff10000d,
    0x3fffaa3f,0x0000efff,0x00bffff3,0x0efffe88,0x007ffff9,0x9ffffb10,
    0xfc800001,0xffe983ff,0x3f20000f,0xffe983ff,0xfb00000f,0x310003ff,
    0x37ffff33,0x00000013,0x88000000,0x00cffffd,0xfffffa80,0xffc880ae,
    0xb301ffff,0x09ffffff,0x3fffe662,0x3fff2003,0x0fffe983,0x27ffdc00,
    0x00ffff44,0x1fffe400,0x007fff4c,0xfffffc80,0x80004fff,0xffffffe9,
    0x000001ef,0x54000000,0x002fffff,0x6440ba80,0x000bffff,0x00fffec0,
    0x20ffff20,0x000fffe9,0x0005ff50,0x007bea00,0xa8000df9,0x37e401ef,
    0x02e60000,0x7fffc000,0x00000002,0xa8000000,0xf10002ef,0x001dffff,
    0x03ffffd3,0x7fffffec,0x7fffc01f,0x07bea003,0x5000df90,0xefb803df,
    0xefa80000,0x0037e401,0x37ff7220,0x5400000c,0x003defed,0x00000000,
    0x037f6200,0x54400000,0x5cc00002,0x1dfa8000,0x00037e40,0x00000022,
    0x00000000,0x00000000,0x3ffe0000,0x0000002f,0x00000000,0x7dc00011,
    0x2000efff,0x201ffffa,0xfffffffd,0x1ffffc06,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00300000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x0002ffff,0x26666620,
    0x4cccc400,0x00000001,0x07ffff40,0x03fffc00,0x3ffffff6,0x3ffe03ff,
    0xfffb503f,0x000009ff,0x00000000,0x00000000,0x00000000,0x73000000,
    0x000157b9,0x00000000,0x055ee5cc,0x00000000,0x33100000,0x13333333,
    0x4cc40000,0x33000999,0x22003333,0x44009999,0x98801999,0x99999999,
    0x99999999,0xfff80099,0xec80002f,0xdfffffff,0x7ffff642,0x3101dfff,
    0x22001333,0xf1019999,0x20007fff,0x7ec05ffb,0xfffffeff,0x07ffff01,
    0xfffffff1,0x20000009,0x99999999,0x98800009,0x99999999,0x99999999,
    0x33310099,0x33333333,0x33333333,0x26666001,0x00099999,0xffff9000,
    0x005dffff,0x99999988,0x00000199,0xfffffff9,0x988005df,0x99999999,
    0x4c401999,0x99999999,0xfeb81999,0xffffffff,0x00cdefff,0x7ffff640,
    0xd882efff,0xffffffff,0xfffda81d,0x7642efff,0x0dffffff,0x7fffff5c,
    0xffffffff,0x2fffffff,0x02ffff80,0x7fffcc00,0x26ffffff,0xfffffffa,
    0x7f5c6fff,0x200fffff,0xffffffec,0x3ffea2df,0x0a60000f,0x2f7fff60,
    0xff06ffff,0xfff307ff,0x0009ffff,0x7ffec400,0x6fffffff,0x3ffae000,
    0xffffffff,0xffffffff,0x7ff5c2ff,0xffffffff,0xffffffff,0x3f6202ff,
    0xffffffff,0x5400006f,0xfffffffe,0xb804ffff,0xfffffffe,0x0aceffff,
    0x3ffaa000,0xffffffff,0xffeb804f,0xffffffff,0x20dfffff,0xffffffeb,
    0xffffffff,0xffff88df,0xffffffff,0x03ffffff,0xffffff30,0xb81fffff,
    0xffffffff,0xfffe85ff,0x50ffffff,0xffffffff,0x7fffc49f,0xffffffff,
    0xffffffff,0xfff802ff,0x7d40002f,0xffffffff,0x3fffee7f,0x26ffffff,
    0xfffffff8,0xffff305f,0x4dffffff,0x0007fffb,0xbfffb000,0x20fffffa,
    0xfd03ffff,0x009fffff,0x7ffe4000,0xffffffff,0xff88002f,0xffffffff,
    0xffffffff,0x3e22ffff,0xffffffff,0xffffffff,0x202fffff,0xfffffffc,
    0x002fffff,0xfffff900,0xffffffff,0x3fe201df,0xffffffff,0x2fffffff,
    0xffffc800,0xffffffff,0xff100eff,0xffffffff,0xffffffff,0x3ffffe29,
    0xffffffff,0xf9cfffff,0xffffffff,0xffffffff,0x7d400eff,0xffffffff,
    0x7ffe40ff,0x6fffffff,0xfffffff8,0xfff50fff,0x49ffffff,0xfffffff8,
    0xffffffff,0x2fffffff,0x02ffff80,0xffffd800,0x223fffff,0xfffffffe,
    0x3ffe22ff,0x82ffffff,0xfffffffa,0x3ff27fff,0x0000006f,0x3e6bfffb,
    0x7fc0ffff,0x3aa603ff,0x00004fff,0x3fffff20,0x5fffffff,0xffff8800,
    0xffffffff,0xffffffff,0x3ffe22ff,0xffffffff,0xffffffff,0x3f202fff,
    0xffffffff,0x80005fff,0xfffffffb,0xfffffede,0xfff980ff,0xffffffff,
    0xefffffff,0xffff7000,0xffdbdfff,0x301fffff,0xffffffff,0xffffffff,
    0x3ffe6bff,0xffffffff,0x5fffffff,0xfffffff9,0xffffffff,0xd00bffff,
    0xffffffff,0xfffd109f,0x05ffffff,0xfffffff7,0xffffd89f,0x7e41efff,
    0xffffffff,0xffffffff,0xf802ffff,0x00002fff,0x33bfffd1,0x7ffccc40,
    0xffff903f,0xb01fffff,0xffffffff,0x2fffe47f,0xfd800000,0x3fff25ff,
    0x1ffffc5f,0x027ffec0,0xffd30000,0xffffffff,0xf90001ff,0xffffffff,
    0xffffffff,0xfc85ffff,0xffffffff,0xffffffff,0x2602ffff,0xfffffffe,
    0x000fffff,0x3ffffe20,0xfffb881e,0xfff905ff,0xffffffff,0xdfffffff,
    0xffff8801,0xffb881ef,0xff905fff,0xffffffff,0x3dffffff,0x7fffffe4,
    0xffffffff,0x7ecc1eff,0x99999dff,0xfffffeba,0xffffb803,0x99880199,
    0xe806fffc,0x2201dfff,0x404ffff9,0x99dfffd9,0x99999999,0xf802ffff,
    0x00002fff,0x0013fff6,0x9805ffff,0x4ffffffd,0xffff3310,0x0bfff907,
    0x3f600000,0x7fff45ff,0x0ffffe2f,0x013fff60,0x26620000,0xfffffff9,
    0x3660003f,0x9999dfff,0xff999999,0xffb302ff,0x333333bf,0xffff3333,
    0xf3331005,0x7fffffff,0x7fff4000,0xfff9805f,0x3ff602ff,0xba9999ef,
    0x5ffffffd,0x2fffff40,0x7ffffcc0,0x26666602,0x999cffff,0x26666009,
    0x99cffff9,0x3ff60099,0xfffa804f,0xfff9806f,0xff90001f,0xfffb00bf,
    0x3fffa009,0x5fffd803,0x0bfffe00,0x00bfffe0,0x3ff60298,0x7ffc004f,
    0xfffd802f,0x7c01ffff,0xffc83fff,0x0000005f,0xf98bfffb,0xfff0ffff,
    0xfffb007f,0x00000209,0x7fffffdc,0x6c0006ff,0x3e005fff,0x3f602fff,
    0x3fe005ff,0x7dc002ff,0x6fffffff,0xffff9000,0x7ffc4009,0xfff900ff,
    0xffff500b,0x3fff205f,0x3fe2004f,0x3e000fff,0x80003fff,0x4003ffff,
    0xb004fffd,0x8801ffff,0x6441ffff,0xffd82ccc,0xfffd804f,0x7fffd004,
    0x0bfffb00,0x017fffc0,0x8017fffc,0xffb06ffb,0xfff8009f,0xfffd802f,
    0x7c06ffff,0xffb83fff,0x0000007f,0xf90bfffb,0x3ffe9fff,0xfffd803f,
    0xbfffdb54,0x3a000039,0xfffbefff,0x3f60002f,0x3fe005ff,0x3ff602ff,
    0x3ffe005f,0x7ff4002f,0x2ffffbef,0x7fffc400,0x7fdc000f,0xfff904ff,
    0x3ffe600b,0xffff886f,0x7fdc000f,0x3fe004ff,0xf80003ff,0x6c003fff,
    0xf1004fff,0xff005fff,0xfffa85ff,0x3fffe87f,0x04fffd80,0x007fffd0,
    0x2a0bfffb,0x007ffec1,0x8017fffc,0xfd80fffe,0x7fc004ff,0xffd802ff,
    0x03ffffff,0x2a0ffffe,0x0000ffff,0x5fffd800,0x9fffff88,0xd803ffff,
    0xfffeefff,0x03ffffff,0x7fffcc00,0x00bffff3,0x82fffec0,0x07ffec1a,
    0x20bfffb0,0x07ffec1a,0x7ffff300,0x0017fffe,0x005ffff3,0x41bfffa0,
    0x2005fffc,0x4c2ffffb,0x0002ffff,0x400dfffd,0x0003ffff,0x003ffff8,
    0x8027ffec,0x801ffffa,0x7ec3ffff,0x7fc1ffff,0xffd803ff,0xfffd004f,
    0xbfffb007,0x2e3ffe88,0xfff006ff,0x3ffe005f,0x4fffd82f,0x17fffc00,
    0x7f7ffec0,0xff01ffff,0xfff307ff,0x0000005f,0x2a0bfffb,0xfffeffff,
    0xfffd803f,0xffffffff,0x0004ffff,0x643ffff2,0x0000ffff,0xe88bfffb,
    0x1bfee3ff,0x88bfffb0,0x3fee3ffe,0x7ffe4006,0x1ffff90f,0x37ffdc00,
    0xffff5000,0x017fff20,0xb8dfffd0,0x20006fff,0x2007fffa,0x0003ffff,
    0x003ffff8,0x4027ffec,0x006fffe8,0x7c49fffd,0x224fffff,0xd802ffff,
    0xfd004fff,0xffb007ff,0x5fff98bf,0xfff0014c,0x3ffe005f,0x4fffd82f,
    0x17fffc00,0x5efffec0,0xff06ffff,0x3ffe07ff,0x000000ef,0xb02fffec,
    0xffffffff,0xffffb007,0xffffffff,0x0007ffff,0x4cbffff1,0x0003ffff,
    0xf98bfffb,0x4014c5ff,0x7cc5fffd,0x0014c5ff,0x997fffe2,0x2003ffff,
    0x0005fffc,0x207fffe2,0x4005fffc,0x7e47fffc,0x220005ff,0xf001ffff,
    0x00007fff,0x8007ffff,0x5c04fffd,0x003fffff,0x7d4bfffb,0x267fffff,
    0xd801ffff,0x9999dfff,0xfff99999,0xfffd803f,0xfffcaaae,0x7ffc0007,
    0xffff002f,0x09fffb05,0x02ffff80,0xfd5fffd8,0xfff07fff,0x3ffee07f,
    0xbf70004f,0x2fffec03,0xffffff10,0xffb007ff,0x57bfffff,0x1ffffff9,
    0xffffb800,0x037fff42,0xaefffd80,0x07fffcaa,0x5dfffb00,0x0ffff955,
    0xffff7000,0x06fffe85,0x00ffffa0,0x05ffff00,0x800bfff9,0x3a0ffffa,
    0x40003fff,0xf002ffff,0x00007fff,0x8007ffff,0xaaaefffd,0xfffffecb,
    0xff9001ff,0x7fffecdf,0xfff51fff,0xfffb001f,0xffffffff,0x07ffffff,
    0xffffffb0,0x00ffffff,0x02ffff80,0xb05ffff0,0xf8009fff,0xfd802fff,
    0xffff35ff,0x3ffff81f,0xbfffff10,0x3ff62001,0x3fff605f,0x7fffdc05,
    0xfd803fff,0x900dffff,0x8005ffff,0xfa86fffe,0xd8002fff,0xffffffff,
    0xb0007fff,0xffffffff,0x0000ffff,0xf50dfffd,0x3e005fff,0x40002fff,
    0xfc83fffe,0x7cc005ff,0x3ffe1fff,0x7f40002f,0xfff003ff,0xff00007f,
    0xfd8007ff,0xffffffff,0x1effffff,0x5fffee00,0xfffffff8,0x0ffff74f,
    0x3fffff60,0xffffffff,0xd803ffff,0xffffffff,0x44007fff,0xcffffaaa,
    0xaaaaaaaa,0xd82ffffb,0x7c004fff,0xfd802fff,0x3fff25ff,0x1ffffc5f,
    0xffffff50,0xff731037,0x3a20dfff,0x00aaefff,0x7ffffffd,0x9ffffb00,
    0x3ffff980,0x3fffe600,0x0bffff03,0xfffffb00,0x0fffffff,0x3ffff600,
    0x7fffffff,0x7ffcc000,0xbffff03f,0x0bfffe00,0x7fffd000,0x00bfff90,
    0x7c5ffff0,0x40002fff,0xf003fffe,0x00007fff,0x8007ffff,0xfffffffd,
    0xdfffffff,0x7ffd4000,0xeffffa8f,0xfff97fff,0x3fff600d,0xffffffff,
    0x03ffffff,0xffffffd8,0x007fffff,0x3ffffffa,0xffffffff,0xffffffff,
    0x04fffd82,0x017fffc0,0x3a2fffec,0x3fe2ffff,0x7fe403ff,0xefffffff,
    0xffffffff,0xffffe82f,0x984fffff,0x03ffffff,0x005fffd8,0x4007ffff,
    0x900ffffc,0x8001ffff,0xfffffffd,0x0007ffff,0xfffffffb,0x000fffff,
    0x00ffffc8,0x001ffff9,0x0007fffd,0xc82ffff8,0xf8005fff,0x3ffa2fff,
    0x7fc0003f,0xfff002ff,0xff00007f,0xfd8007ff,0xffffffff,0x0006ffff,
    0xfb3ffff3,0xffff5dff,0x00bfffb3,0x3ffffff6,0xffffffff,0xfd803fff,
    0xffffffff,0xff5007ff,0xffffffff,0xffffffff,0xb05fffff,0xf8009fff,
    0xfd802fff,0x7ffcc5ff,0x7ffff0ff,0xfffff900,0xffffffff,0xf307ffff,
    0xffffffff,0xfff901ff,0xffb007ff,0x3ffa009f,0xfff1003f,0x999999ff,
    0x007ffffb,0xffffffd8,0x007fffff,0xffffffb0,0x00ffffff,0x7ffffc40,
    0xfdcccccc,0xfc803fff,0x220005ff,0xfc81ffff,0x7c4005ff,0x3ff22fff,
    0x3e20005f,0xff001fff,0xf00007ff,0xd8007fff,0xffffffff,0x02ffffff,
    0xbffff880,0xff8cffff,0x4fffecff,0x3bfffb00,0x33333333,0xb007ffff,
    0xffa8bfff,0xfff3007f,0xffffffff,0xffffffff,0xfb05ffff,0xff8009ff,
    0xffd802ff,0xffffc85f,0x007ffff4,0x3fffffea,0xffffffff,0xffff101e,
    0x0fffffff,0x01fffff4,0x8027ffec,0x7003fffe,0xffffffff,0xffffffff,
    0xfffd800d,0x03fffd45,0x45fffd80,0x0007fffa,0x3fffffee,0xffffffff,
    0xffb806ff,0x3ea0006f,0xfff907ff,0xfff9800b,0x1bffee0f,0x7fffa800,
    0x0ffffe00,0x3fffe000,0x7ffec003,0xffffea84,0xfff8002f,0xb1ffffef,
    0xffffffff,0x3fff6007,0x7fffd004,0x8bfffb00,0x5c46fff9,0x7ffedc1c,
    0xffffffff,0xffffffff,0xfffc82ff,0x3ffe2005,0xfffd801f,0xfffff885,
    0x003ffff9,0x7ffffed4,0x803defff,0xffffffda,0x3fea01df,0xffd803ff,
    0xfffd004f,0x3fffa007,0xffffffff,0x02ffffff,0x317fff60,0xcb88dfff,
    0x17fff601,0xb88dfff3,0x7fff401c,0xffffffff,0x02ffffff,0x01ffffcc,
    0x06fffe80,0x800bfff9,0x7cc7fffb,0xd0003fff,0x7c00dfff,0x80003fff,
    0x4003ffff,0xb104fffd,0x005fffff,0xffffffe8,0x3fffea7f,0xb002ffff,
    0x3a009fff,0xfd803fff,0x2ffc85ff,0x0003ffe4,0x3fee0000,0x3fea006f,
    0xfffb007f,0x3fffea0b,0x003ffffe,0x37fff510,0x00000001,0x7ffec000,
    0x7fffd004,0xfffff300,0xffffffff,0x00bfffff,0x642fffec,0x3ffe42ff,
    0x90bfffb0,0x7ffc85ff,0x3ffffe60,0xffffffff,0x405fffff,0x00fffff8,
    0x27fffdc0,0x005fffc8,0x222fffec,0x000fffff,0x027fffdc,0x007ffff0,
    0x07ffff00,0x04fffd80,0x07ffffec,0xfffffb00,0x7ffc49ff,0x002fffff,
    0x2009fffb,0xd803fffe,0x01305fff,0x0003fffd,0x7fcc0000,0xffb002ff,
    0x3ff600df,0x3fff605f,0x003fffff,0x0003ffc0,0x80000000,0xd004fffd,
    0xf9007fff,0xdddddfff,0xffdddddd,0x3f6001ff,0xd01305ff,0x3f603fff,
    0xd01305ff,0x3f203fff,0xeeeeefff,0xffeeeeee,0x7fdc00ff,0x3e6005ff,
    0x3f206fff,0x3e6005ff,0xffb84fff,0x3e6005ff,0x7c006fff,0x80003fff,
    0x4003ffff,0xe804fffd,0x2006ffff,0xfffffffc,0x7ffffec1,0xffb001ff,
    0x3ffa009f,0xfffd803f,0x7fffc005,0x5f6c4002,0x3fe20001,0x7ec00fff,
    0xfb004fff,0x7fc40bff,0x03ffffff,0x06fffc00,0xdb100000,0xfb000037,
    0x3fa009ff,0x7fc403ff,0x3e2004ff,0xfb003fff,0xff800bff,0xfffb02ff,
    0xffff800b,0x4ffff882,0x3fffe200,0xffffd803,0x7ffd400d,0x3ff202ff,
    0xfff3005f,0x3ff605ff,0x7d400dff,0x4002ffff,0x0003ffff,0x003ffff8,
    0x4027ffec,0x03fffff8,0xffffff70,0xfffff50f,0x3f6001ff,0xffd004ff,
    0xfffb007f,0xffff800b,0x7ffdc002,0x3ee0003f,0x220bffff,0x0effffda,
    0x0bfffb00,0xffffffb8,0x7fc0003f,0x000006ff,0x00ffffee,0x09fffb00,
    0x00ffffa0,0x003ffff7,0x006fffd8,0x800bfffb,0xfb02ffff,0xff800bff,
    0xfffb82ff,0x7fec001f,0xfff8806f,0x64c0afff,0x405fffff,0x9805fffc,
    0x205fffff,0xaffffff8,0x7fffe4c0,0xfff8005f,0xff80003f,0xd51003ff,
    0x0155dfff,0x5fffffcc,0x7fffd401,0xffff04ff,0xd5300fff,0x2015bfff,
    0x9dffffa8,0xfffea880,0xaaaaaaae,0xffffaaaa,0x7fec4002,0x7ec0006f,
    0xfeefffff,0x01ffffff,0x5dfffd10,0x3fffa015,0x98003fff,0x1ffecc9b,
    0xfb100000,0x22000dff,0x09efffea,0xbffff530,0xfffd3013,0x9510035f,
    0x0137ffff,0x5dfffd51,0x55555555,0x85ffff55,0xaefffea8,0xaaaaaaaa,
    0x42ffffaa,0x1affffe9,0xfffca880,0x3ea009bf,0xefffffff,0xffffffff,
    0x3fff6200,0xcbaaaaae,0x0efffffe,0x7ffffd40,0xffffefff,0x2200ffff,
    0xfffaaaaa,0x01aaaadf,0xff555551,0x35555bff,0xffffffd8,0x2e04ffff,
    0x05ffffff,0x3fffffe6,0xfffffb02,0xffff980d,0x744fffff,0xffffffff,
    0x3ffff60f,0xffffffff,0xffffffff,0xbd3002ff,0x001fff57,0x7ffff440,
    0xffffffff,0xfffd004f,0x09ffffff,0x7ffffff3,0x9dffd000,0x00001ffd,
    0xffabde98,0x7fcc000f,0x1fffffff,0x7fffffd4,0xfff50fff,0x3fffffff,
    0x3fffff60,0x7ec6ffff,0xffffffff,0xffffffff,0x362fffff,0xffffffff,
    0xffffffff,0x52ffffff,0xffffffff,0x3ff603ff,0x6fffffff,0x7ffffdc0,
    0xffffffff,0x3ff600df,0xffffffff,0xffffffff,0xfff7001f,0xffffffff,
    0x6c01bfff,0xffffffff,0xffffffff,0x3ffff61f,0xffffffff,0xf99fffff,
    0xffffffff,0x3f600fff,0x101fffff,0x40ffffff,0x05fffffa,0x7ffffff4,
    0xff50ffff,0xffffffff,0x3ffffe69,0xffffffff,0xffffffff,0xffb002ff,
    0x000bffff,0xfffff910,0x05ffffff,0x3ffffe60,0x80ffffff,0x03fffffc,
    0xfffffc80,0xd800005f,0x05ffffff,0xfffffe80,0x7f45ffff,0xffffffff,
    0xffffffd4,0xf10bffff,0xffffffff,0x3ffe65ff,0xffffffff,0xffffffff,
    0xff32ffff,0xffffffff,0xffffffff,0x3a5fffff,0xffffffff,0xfff885ff,
    0xffffffff,0x7fff4c02,0xffffffff,0x7fffcc03,0xffffffff,0x1effffff,
    0x7fff4c00,0xffffffff,0x7fffcc03,0xffffffff,0x35ffffff,0xffffffff,
    0xffffffff,0xffff1bff,0xdfffffff,0xfffff880,0x3fffe00f,0x7fffc05f,
    0x7ffec04f,0x27ffffff,0xfffffff9,0xfff13fff,0xffffffff,0xffffffff,
    0x2005ffff,0x1ffffff9,0x3fa60000,0x0dffffff,0x3fffe200,0x07ffffff,
    0x00fffffa,0x3fff6a20,0x9800000c,0x01ffffff,0xfffffd80,0x7f44ffff,
    0xffffffff,0xffffffb3,0xf109ffff,0xffffffff,0x3ffe23ff,0xffffffff,
    0xffffffff,0xff12ffff,0xffffffff,0xffffffff,0x365fffff,0xffffffff,
    0xfff884ff,0xffffffff,0xffff7001,0x003bffff,0xfffffff1,0xffffffff,
    0x400019ff,0xfffffffb,0xff8801df,0xffffffff,0xffffffff,0xffffff14,
    0xffffffff,0x36a9ffff,0xffffffff,0xfffa801d,0x7fffc02d,0x7ffec02f,
    0x7f64403f,0x42dfffff,0xffffffdb,0x7ffed43e,0xffffffff,0xffffffff,
    0x262002ff,0x000001cb,0x006b2ea2,0xffffda80,0x2a01dfff,0x0003ffff,
    0x80000018,0x0001cb98,0x3ffffb22,0x7e4c0cef,0x0befffff,0xfffffd91,
    0x36a019df,0xdfffffff,0x7fffed43,0xffffffff,0xffffffff,0x3fff6a2f,
    0xffffffff,0xffffffff,0xffd912ff,0x019dffff,0x3fffff6a,0x88003dff,
    0x8000acba,0xffffffda,0xbdefffff,0x2a200000,0xa8000acb,0xfffffffd,
    0xefffffff,0x3fff6a0c,0xffffffff,0x000cefff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x2bcddb98,0x01b88000,0x31001b88,0x80133333,
    0x2a009999,0xeeeeeeec,0x0ceca802,0x35006e20,0x005675c0,0xa8037100,
    0x016e4401,0x06ffffb8,0x77777740,0x71000bde,0x0001a803,0x00000000,
    0x04ddd440,0xa8037100,0x00000002,0x00000000,0xffffd880,0xdfffffff,
    0x26662000,0x99999999,0x50000019,0x7ecc0001,0xffffffff,0xb30004ef,
    0xffffffff,0x00007dff,0x3fffb200,0xbdffffff,0x3f2003fe,0xfff500df,
    0x7fff5c01,0x22dfffff,0xffffffd8,0x7fffcc4e,0x403fffff,0x105ffffc,
    0x3fe05fff,0xffffa84f,0xff88000e,0x09fff02f,0x400fffec,0x006ffffb,
    0x7ffffffc,0xff9804ff,0x09fff02f,0x5dfd7000,0x40000040,0xffffffd8,
    0x7ffc402f,0x00bffd04,0x177f5400,0xd7000010,0x800405df,0xfffffffa,
    0x02ffffff,0xfffffeb8,0xffffffff,0x80000dff,0x20005fe9,0xfffffffc,
    0x00ffffff,0xfffffc80,0xffffffff,0x19fd7000,0xffffd100,0xffffffff,
    0x5400ffff,0x3622efff,0x3e206fff,0xffffffff,0x3ffee6ff,0x23ffffff,
    0xfffffffa,0x3ff203ff,0xff907fff,0xffff50df,0xfffffc81,0x7fe4000e,
    0xffffa86f,0x05fffd00,0x0dffff70,0xffffff80,0xfc806fff,0xfffa86ff,
    0x3fa20007,0x260dffff,0x200002fe,0xfffffff9,0x7fdc07ff,0xffff987f,
    0xffd80000,0x3621efff,0xfd10003f,0x4c1bffff,0xfd8802fe,0xffffffff,
    0x7c400dff,0xffffffff,0xffffffff,0x7d40004f,0x260005ff,0xfffffffd,
    0x0004efff,0xffffffb3,0x009dffff,0x00ffffe6,0xfffffff3,0xffffffff,
    0x5c003fff,0xffacffff,0x3e600eff,0xffffffff,0x3fff27ff,0x23ffffff,
    0xfffffff8,0xfff503ff,0x3ea09fff,0xfff884ff,0xfffff986,0x7fd4005f,
    0x6fff884f,0x00ffffe0,0x01bfffee,0xfffffff0,0xff5007ff,0xdfff309f,
    0x7ffec000,0xfccfffff,0x100004ff,0xffffffff,0x7cc01fff,0xfff885ff,
    0xffb80007,0xbcffffff,0xb0005fff,0xffffffff,0x009fff99,0x7c400000,
    0xffffffff,0xffffffff,0x3ee0005f,0x00000eff,0x00000000,0xfffa8000,
    0x3ffea04f,0xeddfffff,0xffffffff,0x7ff4c002,0x003fffff,0xfffffffb,
    0x7fcc7fff,0x0effffff,0xfffccb98,0xffff903f,0x0dfc805b,0x2205df70,
    0x007ffffc,0xf700dfc8,0x7fffc05d,0xeeeea803,0x7fffc004,0x2000accd,
    0xdf700dfc,0x3fe20003,0xffffd51f,0x00001dff,0x3ffffff6,0xc805ffff,
    0x5dd501ef,0x5ffd0000,0x3fffffa6,0xf88000ff,0xfffd51ff,0x0001dfff,
    0xffc80000,0xffffffff,0x1effffff,0xbfffb000,0x00000000,0x00000000,
    0x301fffe8,0x37bfffff,0x3ffff660,0xff70002f,0x30001dff,0x033bfffd,
    0x9fffffd1,0x7fffc001,0x0bfffd03,0x26000000,0x0001ffff,0x3ffe0000,
    0x0000003f,0x0005ffff,0x20000000,0x7fe440ba,0x00000bff,0x45dffff5,
    0x000002a8,0x02e60000,0x033fffee,0x440ba800,0x00bffffc,0xb880ae20,
    0x4ccc000b,0x9cffff99,0x20000999,0x0003fffd,0x00000000,0x33000000,
    0x5ffffd80,0x3fffee00,0x3fa60002,0x7fec0003,0xffff304f,0xff0007ff,
    0x3ffe07ff,0x0000003f,0x05ffff10,0x7c000000,0x00003fff,0x05ffff00,
    0x00000000,0x00aa2000,0x3ffee000,0x0000002f,0x88000000,0x0000002a,
    0x3e000551,0xdffb05ff,0xffff0000,0x7cc00007,0x000002ff,0x02af72e6,
    0x4cccc400,0x4ccc4009,0xf9800019,0xf8006fff,0x80000fff,0xffd80000,
    0xffffa84f,0xff0002ff,0x3ffe07ff,0x0000003f,0x05ffff10,0x7c000000,
    0x00003fff,0x05ffff00,0x00000000,0x00000000,0x00ffffb0,0x00000000,
    0x00000000,0xf5000000,0xff881fff,0x7c0001ff,0x00003fff,0x000006ec,
    0xffffffc8,0xd9002eff,0xbfffffff,0xffffec85,0x0001dfff,0x001ffffd,
    0x000dff70,0x7ec00000,0x7ffdc4ff,0x20001fff,0xff03ffff,0x331007ff,
    0x33333333,0xff880333,0x4cc402ff,0x99999999,0x99999999,0x0ffffe09,
    0x333332a2,0x3e001ccc,0x4c002fff,0x26200199,0x4cc40099,0x33100099,
    0x74000333,0x00004fff,0x33333333,0x30000013,0x33333333,0x33100001,
    0x33333333,0x3e200333,0xfffd06ff,0xfff80001,0x0000003f,0x5003bb10,
    0xfffffffd,0x9809ffff,0xffffffff,0x3ffea6ff,0x6fffffff,0xbffff000,
    0x005d4000,0x26666662,0x99999999,0x20099999,0x3f24fffd,0x001effff,
    0x81ffffc0,0x2e03ffff,0xfffffffe,0xffffffff,0xffff880d,0xffffd702,
    0xffffffff,0xffffffff,0x41ffffc5,0xffffffff,0x3fe002ff,0xfd9802ff,
    0x00dfffff,0xdfffffd7,0xffffeb89,0x3fb200ff,0x2dffffff,0x1ffff400,
    0xfffb1000,0xdfffffff,0x3f620000,0xffffffff,0x3ae0006f,0xffffffff,
    0xdfffffff,0x80ef5400,0x80002ed9,0x0003ffff,0x3e601880,0x7fe406ff,
    0xffffffff,0x500effff,0xffffffff,0x7ffdcfff,0x6fffffff,0xf980ba88,
    0x00003fff,0x3ffffae0,0xffffffff,0xffffffff,0x53fff602,0x0efffffd,
    0xffff8000,0x07ffff03,0x3fffffe2,0xffffffff,0xf884ffff,0xff882fff,
    0xffffffff,0xffffffff,0x3fe2ffff,0x7ffd43ff,0x2fffffff,0x0bfffe00,
    0x3fffffa0,0xff884fff,0x2fffffff,0xfffffff1,0x3ffe60bf,0x6fffffff,
    0x1ffff400,0xffff9000,0xffffffff,0xff900005,0xffffffff,0xf10005ff,
    0xffffffff,0xffffffff,0x0000009f,0x7ffff000,0xfd930000,0x225bffff,
    0x701fffff,0xdfffffff,0xffffffdb,0x3fff601f,0x23ffffff,0xffffffe8,
    0xffc82fff,0x0ffffa86,0xff100000,0xffffffff,0xffffffff,0x6c05ffff,
    0xfffedfff,0x200005ff,0xff03ffff,0x3fe607ff,0xffffffff,0xffffffff,
    0x2ffff885,0xffffff88,0xffffffff,0xffffffff,0x10ffffe2,0xffffffff,
    0x7fc005ff,0xffe802ff,0x85ffffff,0xfffffff9,0xffff13ff,0x505fffff,
    0xffffffff,0x7f5c0fff,0xffffffff,0xf9001dff,0xffffffff,0x0000bfff,
    0xfffffff9,0x00bfffff,0xffffff30,0xffffffff,0x000bffff,0xff000000,
    0x4c0007ff,0xfffffffe,0xffffffff,0xffff106f,0xff7103df,0x7440bfff,
    0x2019dfff,0x3ffff998,0x707fffe0,0x0000dfff,0x7ffffc40,0xffffffff,
    0xffffffff,0x3fff602f,0x1fffffff,0x3ffe0000,0x7ffff03f,0x7ffffe40,
    0xffffffff,0xf881efff,0xff902fff,0xffffffff,0xffffffff,0x7ffc5fff,
    0xeeeca83f,0x002ffffe,0x200bfffe,0xfffffffa,0xffffb01f,0x7e41dfff,
    0xffffffff,0xfffffd80,0xf103ffff,0xffffffff,0x00bfffff,0x3fffffa6,
    0x0fffffff,0x7ff4c000,0xffffffff,0xfc8000ff,0xffffffff,0xefffffff,
    0x00000001,0x03ffff80,0xfffff700,0xffffffff,0x201fffff,0x805ffffe,
    0x02fffff9,0x0013fff6,0x2605ffff,0x7e42ffff,0x000006ff,0x7fffffe4,
    0xffffffff,0x2fffffff,0x3fffff60,0x02ffffff,0x7ffff000,0x00ffffe0,
    0x3fe66666,0x09999cff,0x017fffc0,0x277fff66,0x99999999,0x3e2ffff9,
    0x3e003fff,0x3e002fff,0x26002fff,0x401fffff,0x00cffffe,0x3fffff66,
    0xff33104f,0xff9807ff,0xffffffff,0x4006ffff,0xffff9998,0x0003ffff,
    0xfff33310,0x007fffff,0x7cccccc0,0x9999cfff,0x99997300,0x6665cc07,
    0xff8002cc,0xfc8003ff,0xffffffff,0xffffffff,0xffff901f,0x7ffc4009,
    0xfffb00ff,0xffff8009,0x7ffff302,0x806fffc8,0xccccccb9,0x3f6600bc,
    0x99999dff,0xfff99999,0x3fff602f,0xffffffff,0xff80002f,0xfffa83ff,
    0xfff0002f,0xfff0007f,0xffd801bf,0x3ffe005f,0x0ffffe2f,0x02ffff80,
    0x00bfffe0,0x0dffff70,0x037fffd4,0xffffffd8,0x7fffc01f,0xffffd803,
    0xffffffff,0x3ee0002f,0x6fffffff,0xffb80000,0x06ffffff,0x7fffc000,
    0xffffd003,0x3ffa0bff,0x004fffff,0x003ffff8,0x7fffffd4,0xffda9abc,
    0xf106ffff,0x8001ffff,0xb04ffffb,0xf8009fff,0xff502fff,0xfffc89ff,
    0x7ffffc06,0x5fffffff,0x017fff60,0x202ffff8,0xcffffffd,0x03ffffff,
    0x1ffffc00,0x1ffffff7,0x3fffe000,0xfffd8003,0xffb00dff,0x7ffc00bf,
    0x0ffffe2f,0x02ffff80,0x00bfffe0,0x13ffff60,0x07ffffe2,0x7ffffec0,
    0x7ffc06ff,0x5551003f,0x355bffff,0xfffd0000,0x05ffff7d,0xfffe8000,
    0x02ffffbe,0x3fffe000,0xffff9803,0xff985fff,0x04ffffff,0x03ffff80,
    0x3ffffe20,0xfffe881e,0xf982ffff,0xd0002fff,0x3f60dfff,0x7fc004ff,
    0xfff702ff,0x6fffb8bf,0x3ffffea0,0xffffffff,0x0bfffb00,0x017fffc0,
    0x21dffffb,0x2fffffd8,0x3fffe000,0xffffff53,0x7ffc0009,0xff98003f,
    0xfb05ffff,0xb06a0bff,0x7ffc1fff,0x3ffe003f,0x3ffe002f,0xff88002f,
    0x7fec1fff,0x3f6004ff,0x3fffffff,0x00ffffe0,0x01ffff40,0xffff3000,
    0x017fffe7,0xffff9800,0x00bffff3,0x1ffffc00,0xffffff80,0xfffff05f,
    0xf0009fff,0x64007fff,0xd105ffff,0xffffffff,0x0dfff70d,0x3fffd400,
    0x004fffd8,0xc817fffc,0x7cc6ffff,0x3fe207ff,0xffffffff,0x3ff607ff,
    0xfd83505f,0x3ff600ff,0xfffc80ef,0x3fe0006f,0xffff73ff,0x7c0003ff,
    0xd0003fff,0x20dfffff,0x7445fffd,0x1bfee3ff,0x4007ffff,0x2002ffff,
    0x0002ffff,0x54dffff5,0x4006ffff,0xfffefffd,0xffff01ff,0x3ffa0007,
    0x3200003f,0xff90ffff,0x200001ff,0xf90ffffc,0x00001fff,0x400ffffe,
    0x5ffffeb9,0xfffdb730,0xfff0009f,0x7ffc007f,0x3fffa06f,0x2ffffdff,
    0x002fffe4,0x03ffff10,0x8009fffb,0xfb02ffff,0xff88dfff,0x3f6a01ff,
    0xffffffff,0x3fff601e,0x71fff445,0xffd80dff,0x3fffa04f,0xfff0002f,
    0x3fffe27f,0x3e0006ff,0xb8003fff,0x03ffffff,0xf98bfffb,0x7c14c5ff,
    0x3e003fff,0x3e002fff,0x20002fff,0xf8cffffd,0x4001ffff,0xffbdfffd,
    0xffff06ff,0x3ffa0007,0xf100003f,0x7fccbfff,0x880003ff,0x3e65ffff,
    0x00003fff,0x0007ffff,0x200bfff9,0x8004fffd,0x3003ffff,0x3605ffff,
    0xf8afffff,0x7ff44fff,0x7fc0003f,0xfffd82ff,0x7fffc004,0xfffffd02,
    0x009fffd0,0x00bfffe0,0xf98bfffb,0x4014c5ff,0x2204fffd,0x0006ffff,
    0x5c47ffff,0x001ffffe,0x007ffff0,0x39ffffd0,0x577ffec0,0x07fffcaa,
    0x007ffff0,0x0017fffc,0x0005ffff,0x77ffffc4,0x8003ffff,0xffd5fffd,
    0xffff07ff,0x3ffa0007,0xf700003f,0xffe85fff,0xfb80006f,0x7ff42fff,
    0xff00006f,0xf90007ff,0x3f600bff,0xff8004ff,0xff5003ff,0xfffb01ff,
    0x7fff45ff,0x017fffc5,0x0ffffa00,0x0013fff6,0x3a05ffff,0x640fffff,
    0x8001ffff,0x6c02ffff,0xcaaaefff,0xb0007fff,0xfa809fff,0xf8003fff,
    0xff883fff,0xff0002ff,0xff0007ff,0xffb007ff,0xffffffff,0x3ffe00ff,
    0x3ffe003f,0x3ffe002f,0x7d40002f,0x6fffffff,0xbfffb000,0x03ffffe6,
    0x0007ffff,0x000ffffa,0x437fff40,0x002ffffa,0x437fff40,0x002ffffa,
    0x03ffff80,0x05fffc80,0x009fffb0,0x007ffff0,0x361fffee,0x642fffff,
    0x7ffc6fff,0x7f40002f,0xfffd83ff,0x7fffc004,0xffffff02,0xeffff983,
    0x7fffc001,0x7fffec02,0x7fffffff,0x9fffb000,0x0ffffd00,0x07ffff00,
    0x000ffffe,0x001ffffc,0x4017fffc,0xfffffffd,0xf007ffff,0x7c007fff,
    0x3e002fff,0x80002fff,0xfffffffd,0xfffb0001,0x2ffffe4b,0x000ffffe,
    0x001ffff4,0x1ffffcc0,0x005ffff8,0x0ffffe60,0x002ffffc,0x01ffffc0,
    0x02fffe40,0x004fffd8,0x003ffff8,0x6c3ffff5,0xd83fffff,0x7ff45fff,
    0x7fc0003f,0xfffd82ff,0x7fffc004,0xfffff882,0xffffc82f,0xca9809df,
    0x402ffffe,0xfffffffd,0x4007ffff,0xadfffea8,0xffff500a,0x3fe00359,
    0xffff03ff,0x3ffe0007,0x7fc4003f,0xffd802ff,0xffffffff,0xffff007f,
    0x7fffc007,0x3fffe002,0xff880002,0x0003ffff,0xfd17fff6,0x7ffc5fff,
    0xffd0003f,0xf900007f,0x3f201fff,0x90000fff,0x3201ffff,0x0000ffff,
    0x001ffffc,0x802fffe4,0x2204fffd,0xfffaaaaa,0x81aaaadf,0xfb4ffff8,
    0xf107ffff,0xffc89fff,0x3e20005f,0xffd81fff,0x7ffc004f,0xffff982f,
    0xfffd02ff,0xfddfffff,0xffffffff,0xffffd805,0x7fffffff,0x3ffff600,
    0x03ffffff,0xfffffffd,0x3ffff801,0x007ffff0,0x00ffffe0,0x05ffff10,
    0xffffffb0,0x00ffffff,0x510ffffe,0xfff55555,0x3555559f,0x005ffff0,
    0x3fffea00,0x7fec0006,0x7fffcc5f,0x07ffff0f,0x0ffffa00,0xffff1000,
    0xb999999f,0x0007ffff,0x99fffff1,0xfffb9999,0xff80007f,0xfc8003ff,
    0xffb005ff,0x3fff609f,0xffffffff,0x41ffffff,0xffdfffff,0xffb03fff,
    0xfffb85ff,0x3fea0006,0x9fffb07f,0x2ffff800,0xffffffa8,0xfffff303,
    0xffffffff,0x05ffffff,0xffffffd8,0x007fffff,0xfffffff3,0x701fffff,
    0x7fffffff,0x03ffff80,0x0007ffff,0x000ffffe,0x005ffff1,0xfa8bfffb,
    0xfff007ff,0x7fffe47f,0xffffffff,0x0fffffff,0x000bfffe,0x03ffff80,
    0x2fffec00,0xfa7fffe4,0xd0003fff,0x80007fff,0xfffffffb,0xffffffff,
    0xffb8006f,0xffffffff,0x06ffffff,0x1ffffc00,0x2fffe400,0x84fffd80,
    0xfffffff9,0xffffffff,0x7fdc5fff,0x4fffffff,0x6ffffd88,0x03ffff98,
    0x0dfffd00,0x8017fff2,0xa81ffff8,0x04ffffff,0x3fffff22,0xffffffff,
    0xfd801cff,0x7ffd45ff,0xffff1007,0xdfffffff,0x7fffffc0,0x7fffc02f,
    0x07ffff03,0x0ffffe00,0x5ffff100,0x8bfffb00,0x5c46fff9,0x4ffffe1c,
    0xfffffff8,0xffffffff,0x3e3fffff,0x00002fff,0x000ffffe,0x10bfffb0,
    0xff3fffff,0x3a0007ff,0x40003fff,0xfffffffe,0xffffffff,0x7f4002ff,
    0xffffffff,0xffffffff,0x3ffe0002,0xffc8003f,0xfffb005f,0xfffff109,
    0xffffffff,0xd07fffff,0x9fffffff,0xfffffb88,0xffff882f,0x7fdc000f,
    0xfff704ff,0x7ffd400d,0xfffff307,0xfd91005f,0xffffffff,0x7ec0017f,
    0x7ffcc5ff,0x2a0e5c46,0xfffffffd,0x3fee01df,0xff803eff,0xffff03ff,
    0x3ffe0007,0x7fc4003f,0xffd802ff,0x42ffc85f,0x3ffe7ffc,0x3ffffa3f,
    0xffffffff,0x2fffffff,0x000bfffe,0x03ffff80,0x2fffec00,0xfeffffa8,
    0x88003fff,0x0003ffff,0x3fffffe6,0xffffffff,0x2005ffff,0xfffffff9,
    0xffffffff,0x20005fff,0x8003ffff,0xd006fffc,0x36a09fff,0xffffffff,
    0xceffffff,0xfffff980,0xfffeefff,0x204fffff,0x005ffffb,0x81bfffe6,
    0x002ffff9,0x740dfffb,0x000fffff,0x9accb988,0xfffb0001,0xc85ff90b,
    0x000007ff,0xffff8000,0x07ffff03,0x0ffffe00,0x5ffff100,0x0bfffb00,
    0x3fffa026,0x4c7ffff1,0xfffffffd,0xffffffff,0x7fffc3ef,0x3fe00002,
    0x6c0003ff,0x3f605fff,0x3fffffff,0xffffa800,0x3ff20001,0xeeeeeeff,
    0xfffeeeee,0xfff9000f,0xdddddddf,0xffffdddd,0x3ffe0001,0xffc8003f,
    0x3f6600ff,0x6c004fff,0xb8000cff,0xffffffff,0xffffffff,0xfffd805f,
    0x7fd400df,0x3e202fff,0x6c00ffff,0x2e04ffff,0x0005ffff,0x3f600000,
    0xd01305ff,0x00003fff,0xfff80000,0x7ffff03f,0x3fffe000,0x7ffc4003,
    0xfffd802f,0x7fffc005,0x007ffff2,0x00037ff2,0x0005ffff,0x01ffffc0,
    0x17fff600,0xffffff88,0xfd8003ff,0x10000fff,0x4009ffff,0x803ffff8,
    0x004ffff8,0x00ffffe2,0x01ffffc0,0x1ffffd40,0x7ffffecc,0x3fe000df,
    0xfff70007,0xffffffff,0x05ffffff,0x3ffffe20,0x7fe4c0af,0xfb805fff,
    0x220bffff,0x0effffda,0x001f7540,0x0037db10,0x0bfffb00,0x02ffff80,
    0x00bdda80,0x3fffe000,0x09fffd03,0x0ffffe00,0x3ffff500,0x0bfffb00,
    0xf2ffff80,0x3a007fff,0xff8000ff,0x200002ff,0x0003ffff,0x202fffec,
    0xfffffffb,0x64c2ae03,0x0006ffff,0x007fffee,0x00dfffb0,0x003ffff7,
    0x006fffd8,0x007ffff0,0xffffff10,0xffffffdd,0x00bfffff,0x80771ffe,
    0xcdfffffa,0xfffffffe,0x7d4000be,0xefffffff,0xffffffff,0xffffb000,
    0xffffddff,0x00003fff,0x7fffdc00,0x7fec0003,0x7ffc005f,0xffd8002f,
    0x730000ff,0x07ffff99,0x0b7ffff2,0x7d555544,0xaaaadfff,0xffffc881,
    0x7ff54407,0xaaaaaaef,0xfffaaaaa,0x07ffff2f,0x3a83ffa0,0xcdffff80,
    0x2a6000ac,0xadffffaa,0x3a2000aa,0x00aaefff,0x7ffffffd,0x3fffffa0,
    0x001fffff,0x5ffffd30,0xff951003,0xd30137ff,0x0035ffff,0x7ffff951,
    0x55551013,0x55bffff5,0xffb00355,0xffffffff,0xffffffff,0xfffb003f,
    0x7405fffd,0x4c45ffff,0x0001abcb,0x7fffffdc,0xffffffff,0x3fa2000d,
    0xffffffff,0x0004ffff,0x7fec4000,0xd510006f,0x5555dfff,0xf5555555,
    0x50005fff,0x0009fffd,0xffffffff,0x3ffe607f,0x7fec4fff,0xffffffff,
    0x1fffffff,0xbffffff3,0x7ffffec0,0xffffffff,0xffffffff,0x07ffff2f,
    0x3fbfff20,0x7ffc03ff,0x03ffffff,0x7fffffcc,0xffffffff,0xffffe805,
    0x984fffff,0x83ffffff,0xfffffffa,0xa8004fff,0xffffffff,0xfffb01ff,
    0x4dffffff,0xfffffffa,0xffb01fff,0xdfffffff,0xffffffd8,0xffffffff,
    0x7ec01fff,0xffffffff,0xffffffff,0xfff8800f,0x3600efff,0x00005fff,
    0x7fff4c00,0xffffffff,0xff910003,0xffffffff,0x0000005f,0x7fd5ef4c,
    0x7fec000f,0xffffffff,0xffffffff,0x2002ffff,0x6ffbaceb,0x7fffd400,
    0x203fffff,0x27fffffb,0xfffffff9,0xffffffff,0xfff95fff,0x3e601fff,
    0xffffffff,0xffffffff,0xd2ffffff,0x22005fff,0x0ffffffe,0x7fffffc0,
    0x7ec06fff,0xffffffff,0x01ffffff,0x3fffffe6,0xc80fffff,0x883fffff,
    0xffffffff,0xffd0004f,0xffffffff,0xfffff10b,0x25ffffff,0xfffffffe,
    0xff885fff,0xffffffff,0xfffff32f,0xffffffff,0x00bfffff,0xfffffff9,
    0xffffb39f,0x75c4005b,0x74c01dff,0x0000004f,0x3ffffee0,0x0001dfff,
    0xfffffe98,0x00000dff,0x7fffec00,0x7cc005ff,0xffffffff,0xffffffff,
    0x02ffffff,0x3fffffe0,0x7fc4003f,0x3fffffff,0x2ffffe40,0xfffffff1,
    0xffffffff,0x3fea9fff,0x3e201eff,0xffffffff,0xffffffff,0xb2ffffff,
    0x44003fff,0x801dffdb,0xffffffff,0x7ffdc05f,0xffffffff,0x2200ffff,
    0xffffffff,0x3ffa07ff,0xffd503ff,0x0005ffff,0x7fffffec,0xf884ffff,
    0xffffffff,0xffffb1ff,0x09ffffff,0xfffffff1,0x3e23ffff,0xffffffff,
    0xffffffff,0x32e6004f,0x000001ac,0x00040004,0xa8800000,0x00000acb,
    0x03597510,0x4c000000,0x01ffffff,0x7ffffc40,0xffffffff,0xffffffff,
    0x3f2002ff,0x0006ffff,0xdddddd95,0x9b73005d,0xffffda81,0xffffffff,
    0x36e0ceff,0xffb5003d,0xffffffff,0xffffffff,0x37225fff,0x00020002,
    0xbddddddd,0xfec88017,0xffffffff,0xda802dff,0xdfffffff,0x3fffea01,
    0x055cc403,0x7f644000,0x0cefffff,0xfffffb50,0x76447bff,0xceffffff,
    0xffffb500,0xda87bfff,0xffffffff,0xceffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x20001cb9,0xffffffda,0xffffffff,
    0x2fffffff,0x0ddd4400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x0abdcb98,0x33331000,0x33331003,0xfffb3003,
    0xdfffffff,0x57510007,0x00000001,0xfd98004c,0xffffffff,0x080003ef,
    0x33330000,0x00133333,0x00000000,0x26000000,0x33333102,0x33333333,
    0x01333333,0xffffd980,0x3effffff,0x00000000,0xeedb9800,0xdeeeeeee,
    0x00000001,0x00000000,0x00000040,0x80000310,0x00015019,0x7fe40000,
    0x1effffff,0xffffd900,0xec85dfff,0xdfffffff,0xfffff901,0xffffffff,
    0x3fff2001,0x0001efff,0x17fec000,0x7ffffe40,0xffffffff,0x9fd30000,
    0x3ff62000,0xffffffff,0x91000006,0xfffffffb,0x00007fff,0x71ffc000,
    0xfffffffd,0xffffffff,0x005fffff,0xffffffc8,0x0fffffff,0x7ecc0000,
    0x6440001d,0xfffffffe,0x5fffffff,0x01fecc00,0x6fe4c000,0x32e60002,
    0x3b6a3ccc,0x002cdfff,0x05ff7000,0x87ff2000,0x22005fe9,0x8001cfeb,
    0xffffffea,0x00cfffff,0x3fffffe6,0x3ea6ffff,0xffffffff,0xfffb306f,
    0xdfffffff,0xfffb1009,0x03ffffff,0x66e5cc00,0x6fffc81a,0xffffd980,
    0x4effffff,0x3fff2000,0xfffc8000,0xffffffff,0x4c00002f,0xffffffff,
    0x003fffff,0xff300000,0x3ffffe29,0xffffffff,0xffffffff,0x7ecc002f,
    0xffffffff,0x400004ef,0x04fffffc,0xffffd300,0xffffffff,0x8009ffff,
    0x0000fffc,0x3ffffee0,0xfffe8006,0xffeadfff,0xdfffffff,0x3f200000,
    0xc80001ff,0xfff30fff,0x7ffe4009,0x7fe4007f,0xffffffff,0x501fffff,
    0xffffffff,0x7ffdcfff,0x6fffffff,0x22000000,0xedfffffe,0x4002ffff,
    0xfffffffc,0xffff72ef,0x0000000d,0x05fffd00,0xfffff900,0xbfffffff,
    0x7fd40000,0xffffffff,0x0003ffff,0x9ff50000,0x3fffffe2,0xffffffff,
    0xffffffff,0x00000002,0x8f7c4000,0x54000fe9,0xfdffffff,0xcfffabff,
    0xffe8000a,0x3a00002f,0x003fd32f,0x7fffffcc,0xffffffff,0x3fffffff,
    0x7ff44000,0xfc80003f,0xdfff32ff,0x7ffec001,0xff7001ff,0xdbbfffff,
    0x0dffffff,0x7ffffff4,0x7ff43fff,0x2fffffff,0x36000000,0x74c1dfff,
    0xfd5007ff,0xffffffff,0xfffffdff,0x00000005,0x07ffff00,0xffffd300,
    0xffffffff,0x3fe00001,0x9999adff,0x003ffd99,0xff900000,0x7ffffe47,
    0xffffffff,0xffffffff,0x00000002,0x21fdc000,0x3e6003fb,0xff0bffff,
    0x007ffe1f,0x03ffff80,0xa89f5000,0x7ffc004f,0xffffffff,0xffffffff,
    0x30003fff,0x0005ffff,0x265fffb0,0x4000efff,0x005ffffa,0x3dfffff3,
    0xfffff710,0x7fff4409,0x2662019d,0x0003ffff,0x7ffcc000,0x07ffe205,
    0xffffff90,0xffffffff,0x0009ffff,0x3e000000,0x20003fff,0xffff9998,
    0x0003ffff,0x801fff98,0x26203ffd,0x44009999,0xc9999999,0xfd981fff,
    0x99999dff,0xfff99999,0x0000002f,0x1fdc0000,0xfc800fee,0x7ffc2fff,
    0x0003fff0,0x001ffffc,0x7d44fa80,0x7f5cc004,0xefffffff,0xfffecabc,
    0x4c001fff,0x0001efff,0xf12fffc8,0x20001dff,0x3a001ba8,0x9805ffff,
    0x202fffff,0x4004fffd,0x4402ffff,0x99999999,0x36019999,0x7e400eff,
    0x3ffea03f,0xffdeffff,0x6fffffff,0x4ccccc40,0x99999999,0x00999999,
    0x00ffffe0,0x7fffdc00,0x0006ffff,0x9005ffc8,0xffd907ff,0x85dfffff,
    0xfffffffd,0x206fffff,0x2005fffd,0x4002ffff,0x99999999,0x20000009,
    0x1fd31ef8,0x37fffc00,0xfff87ffc,0x3ffe0001,0x3e00003f,0x003fd11f,
    0x7ffffe40,0x3ffa204f,0x32000eff,0x00000eff,0x7fdc5fff,0x80000005,
    0x004ffffc,0x03ffffe2,0x0027ffec,0x5c0bfffe,0xfffffffe,0xffffffff,
    0x0bffe60d,0x4417fea0,0x81efffff,0xffffffca,0xffffd701,0xffffffff,
    0xffffffff,0x7fffc005,0xfe80001d,0xffffbeff,0x7fec0002,0x83ff5005,
    0xfffffff9,0x3fea6fff,0xffffffff,0x3f604fff,0x3fe005ff,0xfd8802ff,
    0xffffffff,0x4000006f,0x05ffeffd,0x0ffffe60,0x7ffc3ffe,0x3ffe0001,
    0x2e00003f,0x006ffeff,0x7ffffe40,0xfffe8802,0x0f66003f,0x83b70000,
    0x000003d8,0x6ffff880,0xffffb800,0x09fffb04,0x82ffff80,0xfffffff8,
    0xffffffff,0x3fee4fff,0x7ff9800f,0x0bffffd0,0xffffffa8,0xfffff884,
    0xffffffff,0xffffffff,0x7fdc402f,0xccffffff,0x7ffcc002,0x0bffff3f,
    0x1fffd800,0xff503500,0xffffffff,0x7ffffdcf,0xdfffffff,0x17fff600,
    0x3fff60d4,0xffffc800,0xffffffff,0x54000002,0x4c002efe,0xff82ffff,
    0x003fff0f,0x01ffffc0,0x3bf6a000,0x7e40000b,0x22005fff,0x0005ffff,
    0x00000000,0xf3000000,0x20005fff,0xfb05fffe,0xff8009ff,0xfff982ff,
    0xffffffff,0x5fffffff,0x5401bff2,0xfffc87ff,0x7ffc404f,0x440fffff,
    0xffffffff,0xffffffff,0x02ffffff,0x3fffffea,0x3fffffff,0x3ffff200,
    0x01ffff90,0xffffd500,0xfe80003f,0xffffffff,0x7fffff43,0x803effff,
    0x7445fffd,0x1bfee3ff,0x7ffffe40,0x5fffffff,0x01000000,0x3fffe600,
    0xff0fff83,0x7fc0003f,0x000003ff,0x7e400001,0x64002fff,0x08007fff,
    0x00400000,0x00b98000,0x006fffb8,0x41fffea0,0x4004fffd,0xf902ffff,
    0xffffffff,0xdfffffff,0x702fff43,0x88fffffb,0x400fffff,0xfffffffe,
    0xffffc83f,0xffffffff,0xffffffff,0xffff702f,0xffffffff,0x3e200bff,
    0x3fe65fff,0x7f4003ff,0x4fffffff,0x7ff44000,0x262019df,0x003ffff9,
    0x262fffec,0x014c5fff,0xfffffd30,0x1fffffff,0x00000000,0x86ffff80,
    0x3fff0fff,0x7fffc000,0x11000003,0x3ff20000,0xff98007f,0x3b2600ff,
    0x8adfffff,0x2e2000b9,0x1ceffffd,0x6ffc8000,0x05fffc80,0x3fffe600,
    0x04fffd80,0x017fffc0,0x3fe66666,0x09999cff,0xe983fff8,0x47ffffff,
    0x402ffff9,0xfeeffffd,0x3f6607ff,0x99999dff,0xfff99999,0xffffa82f,
    0xffffefff,0xf7007fff,0xffe85fff,0x3fe6006f,0xffffefff,0x3f60002e,
    0x7fc004ff,0x7ec002ff,0xfcaaaeff,0x100007ff,0xfffff333,0x20007fff,
    0x03ccccb9,0x333332e6,0x5ffffb02,0xfff0fff8,0x3bb6e203,0xffffeeee,
    0xceeeeeee,0x7ee54402,0x01deffff,0x0dfff900,0x1ffff300,0xfffffb30,
    0xffffffff,0x3fff200d,0xefffffff,0x3ffa0002,0x7fff401f,0x7ffc0003,
    0x4fffd82f,0x17fffc00,0x1ffffc00,0x541fff80,0xffffffff,0x037ffdc7,
    0x27ffffee,0x200ffffb,0x2005fffd,0x7c42ffff,0x442effff,0x007ffffb,
    0xf50dfffd,0x36005fff,0x3fa61dff,0x8001dfff,0x4004fffd,0x4002ffff,
    0xfffffffd,0x0007ffff,0xfffffb80,0xe8006fff,0x05ffffff,0xfffffffd,
    0x3fffe609,0x21fff0cf,0xffd01fff,0xffffffff,0xffffffff,0xfb105fff,
    0xffffffff,0x8003bfff,0x000ffffc,0x4c37ffdc,0xffffffff,0xffffffff,
    0x3fffa600,0xffffffff,0xff0004ff,0xfff805ff,0x7f40002f,0xfffd83ff,
    0x7fffc004,0xffff8002,0x0fff8803,0x2b3fffe2,0x7fe47ffa,0x3ffe605f,
    0xffff52ff,0x2fffec03,0x85ffff00,0x404ffffc,0x9806fffc,0xff03ffff,
    0x3f600bff,0xfffd885f,0x36000cff,0x7c004fff,0x6c002fff,0xffffffff,
    0x00007fff,0xfbefffe8,0x26002fff,0x5fffffff,0xffffff98,0x3fa204ff,
    0xfffdffff,0xf103fff0,0xffffffff,0xffffffff,0xb09fffff,0xffffffff,
    0x1fffffff,0x7fffe400,0x3ffe6006,0x7fffc45f,0xffffffff,0x302fffff,
    0xffffffff,0xffffffff,0x7ff4c00d,0x7ffc02ff,0x7f40002f,0xfffd83ff,
    0x7fffc004,0xffff8002,0x0fff8803,0xf98bfff2,0x27fff47f,0x4fffff88,
    0x80bfffe2,0x3505fffd,0x740fffd8,0xf9806fff,0xffc804ff,0xfff900ff,
    0xfff7001f,0x3fffaa05,0xffb003ff,0xfff8009f,0x7fec002f,0xffffffff,
    0x4c00007f,0xfff3ffff,0xfff800bf,0xff05ffff,0x09ffffff,0xfffffe88,
    0x3fff0fff,0x3fffff60,0xffffffff,0xffffffff,0xfffffd81,0xffffffff,
    0x3f2006ff,0x400dffff,0x43fffff9,0xcefffffb,0xffffcaab,0xfff882ff,
    0xbaacefff,0x4ffffffd,0x7fffecc0,0x7ffc02ff,0x7fc0003f,0xfffd82ff,
    0x7fffc004,0xffff8002,0x0fff8803,0xff317ffa,0x02ffff8f,0xd0dffffb,
    0x7ec09fff,0x7ff445ff,0xf11bfee3,0x2e005fff,0x7fc400df,0xcccccfff,
    0x03ffffdc,0x409fffd0,0x0dfffffb,0x027ffec0,0x00bfffe0,0xffffffb0,
    0x00ffffff,0xffffc800,0x01ffff90,0x7fff5cc0,0xfdb7305f,0x71009fff,
    0x1ffffffb,0xb9807ffe,0xffcccccc,0xcccccdff,0xfff500bc,0x953579df,
    0x003fffff,0x3ffffff2,0x7fe4c0af,0xffd86fff,0xfffa806f,0xffffd81f,
    0x3ff6202f,0xff701fff,0x05ffffff,0x005fffe8,0x07fffe60,0x0013fff6,
    0x0005ffff,0x1007ffff,0x3fe21fff,0x23ffcc1f,0xfc82ffff,0xfe80ffff,
    0x3ff603ff,0x2fffcc5f,0x3ffe60a6,0xb800001f,0xffffffff,0xffffffff,
    0xffff3006,0x3ff2203d,0x3f601fff,0x7fc004ff,0x7ec002ff,0x7ffd45ff,
    0x3e200007,0x3fe65fff,0xf90003ff,0x3f600bff,0x544004ff,0xfff0fffd,
    0x7ffc0003,0x04c0003f,0x17fffd40,0xfffffc80,0xffffffff,0x80efffff,
    0x800ffffd,0xff885ffb,0xf7000fff,0xff90bfff,0x05bfffff,0x00dfffb0,
    0x83fffd40,0x4004fffd,0x8002ffff,0x8803ffff,0x3ffe0fff,0x3a3ffcc2,
    0x7fd43fff,0xfff01fff,0x7ffec05f,0xfffcaaae,0xffff3007,0xfd000001,
    0xffffffff,0xffffffff,0x3ffe6005,0xfd300cff,0x3f601fff,0x7fc004ff,
    0x7ec002ff,0x7ffcc5ff,0x000e5c46,0xd0bfffee,0x2000dfff,0xb005fffc,
    0x40009fff,0x3fff0fff,0x7fffc000,0x20000003,0x9004fffe,0xffffffff,
    0xffffffff,0x3ff201ff,0x09bcefff,0xfff90188,0xffd8005f,0x3ffea0ff,
    0x2001cfff,0x002ffffa,0x20dfffd0,0x2005fffc,0x001ffff8,0x803ffff8,
    0x3fa0fff8,0x23ffcc5f,0x3e64fffd,0xf303ffff,0x7ec01fff,0xffffffff,
    0xff1007ff,0x800005ff,0xfffffff9,0xffffffff,0x22005fff,0x03fffffd,
    0x6c0ffff2,0x7c004fff,0x6c002fff,0xffc85fff,0x003ffe42,0x2a1bfffa,
    0x8002ffff,0xb005fffc,0x40009fff,0x3fff0fff,0x7fffc000,0x97500003,
    0xfd79bddb,0x3f2009ff,0xffffeeff,0xdfffffff,0x3fffe200,0xdfffffff,
    0x7fff401b,0xfff88005,0x3ffffa3f,0xfff0001e,0xfb8001ff,0xff703fff,
    0x7fd400df,0xfff0007f,0xfff1007f,0x5efffdc1,0x7e47ff98,0xfffd17ff,
    0x7ffd40bf,0x7fffec07,0x7fffffff,0x17fffe00,0xfff90000,0xdddddddf,
    0xffffdddd,0xfffb8001,0xff902eff,0x13fff60d,0x05ffff00,0x05fffd80,
    0x3fffd013,0x3fffe600,0x0bffff03,0x0bfff900,0x013fff60,0xff0fff80,
    0x7fc0003f,0x540003ff,0xfffffffe,0x04ffffff,0x2abfff90,0xfffffffe,
    0xfff5001d,0xffffffff,0x3fe019ff,0xfd0003ff,0x3ffe29ff,0x7dc0006f,
    0x26005fff,0x2a06ffff,0xd002ffff,0x2000dfff,0xf003ffff,0xfffe83ff,
    0x21ffffff,0xfdaffffa,0x3a00efff,0x7ec06fff,0xffffffff,0x3f6007ff,
    0xda803fff,0xffff100c,0x7ffc4009,0xfc88003f,0xf80cffff,0xfffd81ff,
    0x7fffc004,0x7ffec002,0x7fffc005,0xffff9002,0x3ffff201,0x7ffe4000,
    0x9fffb005,0x87ffc000,0x20001fff,0x0003ffff,0xffffffd3,0xffffffff,
    0x3ff2009f,0x55d4c45f,0xff910001,0xffffffff,0xff883dff,0xfb0002ff,
    0x3ffe6bff,0x2202002f,0x00dfffff,0x17ffffdc,0x3fffff10,0x4ffffc80,
    0x7ffff000,0x10bffa00,0xfffffffd,0xffffe8df,0x201fffff,0x404ffffb,
    0xfffffffd,0x2007ffff,0x0dfffff8,0x05fffea8,0x003ffff7,0x006fffd8,
    0x3ffff660,0xfffc999e,0x04fffd80,0x017fffc0,0x017fff60,0x005ffff0,
    0x99fffff1,0xfffb9999,0xffc8007f,0xfffb005f,0x7ffc0009,0x0003fff0,
    0x001ffffc,0x7fffffc4,0xffffffff,0xf9004fff,0x00000bff,0xffdb7510,
    0x3fffffff,0x003ffff8,0x269fffd0,0x9001ffff,0xfffa85ff,0x6cc0afff,
    0x805fffff,0x0cfffffb,0x7fffff4c,0xffff0000,0x0fff2007,0x7fffffe4,
    0x7fffd43f,0x2602ffff,0x400fffff,0x7d45fffd,0x7e4007ff,0xeeffffff,
    0x87ffffff,0x1affffe9,0xfffca880,0x500009bf,0xffffffff,0x3ff60bff,
    0x7ffc004f,0xfd51002f,0x55555dff,0xff555555,0xff7005ff,0xffffffff,
    0x0dffffff,0x05fffc80,0x009fffb0,0xff87ffc0,0x3fe0001f,0x744003ff,
    0xdeffffff,0xfffffedc,0xfff9004f,0x2a00000b,0x7f654c00,0x7ff44fff,
    0xff98005f,0xffff13ff,0x9fff300b,0xffffff70,0xfffffdff,0x3a001dff,
    0xeeffffff,0x2fffffff,0x3fffe000,0x09ff7003,0x00999988,0x9ffffffd,
    0x7ffffd40,0x5fffd802,0x2237ffcc,0xfffb01cb,0xffffffff,0x7fd47fff,
    0xffffffff,0xfffffb01,0x000dffff,0x7ffffec4,0xff901eff,0x7fc400bf,
    0xffd801ff,0xffffffff,0xffffffff,0xe802ffff,0xffffffff,0xffffffff,
    0x3ff2002f,0xfffb005f,0x7ffc0009,0x0003fff0,0x0017fff4,0x2fffffee,
    0x27ffec00,0x05fffc80,0x7ffc4000,0x3fff6000,0x1ffffe47,0x3ffffa00,
    0x07ffffa0,0x20ffff70,0xfffffffc,0xdfffffff,0x3ffa2000,0xffffffff,
    0x40004fff,0x3003ffff,0x40000dff,0xbffffffa,0x7fffe4c1,0xfffb004f,
    0xc85ff90b,0x3ff207ff,0xffffffff,0x7fff44ff,0x5fffffff,0xffffff88,
    0x002fffff,0x7ffffdc0,0x37ffdc03,0x0ffff500,0xffffff30,0xffffffff,
    0xffffffff,0xfff9805f,0xffffffff,0x5fffffff,0x1bfff200,0x027fff40,
    0x3e1fff00,0x320001ff,0x6c000fff,0xb001ffff,0x32009fff,0x00005fff,
    0x002fffdc,0x443ffff5,0x802fffff,0x45ffffd8,0xacfffffb,0xffffdb99,
    0x3ffa607f,0xffffffff,0xfb10004f,0xffffffff,0xf00005ff,0x22007fff,
    0x00002fff,0xfffffff9,0xfffffdff,0x7ec00dff,0xd01305ff,0x6d403fff,
    0xffffffff,0xffffd81d,0x84ffffff,0xfffffff8,0xd981ffff,0x1fff7002,
    0x5ffff300,0x1bfff600,0x3ffffe20,0xffffffff,0xffffffff,0x7fe402ff,
    0xeeeeeeff,0xfffeeeee,0xfff9000f,0x7fecc01f,0x3e0004ff,0x03fff0ff,
    0x01764400,0x027fffc0,0x27fffe4c,0x77ffec40,0xd8000099,0x00bfffff,
    0x1fffff71,0xdfffffd8,0xffffb881,0xfffd81ff,0xffffffff,0xc807ffff,
    0xffffffff,0xea80001c,0xdfffffff,0xfff00000,0x7ff4007f,0xffa80006,
    0xffffffff,0xefffffff,0x3fff6000,0x7fffc005,0xffff8802,0x7f64401d,
    0x0cefffff,0xfffffb50,0x3f607fff,0x3fff1007,0xfffff100,0xffffd803,
    0xfffb5004,0xffffffff,0xffffffff,0x7fc405ff,0x3e2004ff,0xf5003fff,
    0xfb307fff,0x01bfffff,0x7c3ffe00,0x000001ff,0x3ffffa00,0xfffd9881,
    0xb80adfff,0xfffffffe,0x20003eff,0xfffffffd,0xfffeeeef,0xffd06fff,
    0xdddfffff,0x7fffffff,0x3ffffe20,0xffffffff,0x7f4406ff,0x401dffff,
    0xfff30001,0xf0000037,0x54007fff,0x29803fff,0xffffff98,0xffffffff,
    0xd8003fff,0x7c005fff,0xff002fff,0x000007ff,0x01fff400,0x2a007ffe,
    0xf7000fff,0x4417ffff,0x0effffda,0x2e000000,0xfb801eff,0x6c001fff,
    0xf1006fff,0xfddfffff,0xffffffff,0xff000bff,0x807ffe1f,0xaaaaaaaa,
    0xaaaaaaaa,0x7e40aaaa,0xfdefffff,0xffffffff,0x3e25ffff,0xffffffff,
    0x0000ffff,0xfffffff9,0xffffffff,0x3a201fff,0xffffffff,0x4fffffff,
    0x7fffec40,0xdfffffff,0x7fff4401,0x1bdeffff,0x001dff91,0x0006ff98,
    0xfaaaaa88,0xaaaadfff,0x13fffa01,0x3a1ffecc,0xfd75ffff,0x3bffffff,
    0xffea8800,0xaaaaaaef,0xfffaaaaa,0xffff002f,0x00000007,0x7fc037fc,
    0x7ff4401f,0x7ffec007,0xfffeefff,0x0001ffff,0x0ffe4000,0x7ffff4c0,
    0xfca8801a,0x4009bfff,0xfffffffd,0xffffffff,0x2201ffff,0x1fffaaaa,
    0xc8359fff,0xffffffff,0xffffffff,0x221fffff,0xfffffffe,0xffffffff,
    0x11ffffff,0xffffffff,0x001fffff,0x3ffffea0,0xffffffff,0x4401dfff,
    0xfffffffc,0x02ffffff,0x3fffb6a0,0x8800bdff,0xffffffff,0xffffffff,
    0x44003fff,0x00ae26ff,0xffffffd8,0xffffffff,0xff981fff,0xfedcdfff,
    0x3fea4fff,0xcca986ff,0xffb0001a,0xffffffff,0xffffffff,0x2005ffff,
    0x0002fffe,0x3ffa0000,0x7fc2fd9a,0xccccccdf,0x004ffffd,0x7fffff44,
    0xffffffff,0x80000004,0x4eb9bffb,0x3fffffea,0xfb01ffff,0xffffffff,
    0xffffb00d,0xffffffff,0x01ffffff,0x3fffffe6,0xffffdeff,0xffff14ff,
    0xffffffff,0xffffffff,0xfff989ff,0xffffffff,0xffffffff,0x3fff20ff,
    0xffffffff,0x3f220004,0xfffffecc,0x001effff,0x7ffffecc,0x000befff,
    0xc8000cc0,0xffffffff,0xffffffff,0xf8001fff,0x0fffeeff,0xfffff980,
    0xffffffff,0x305fffff,0xffffffff,0x7cc1dfff,0x00000fff,0x3ffffe60,
    0xffffffff,0xffffffff,0xff9002ff,0x0000001f,0x7ffffd40,0x7ffffc5f,
    0xffffffff,0x3f20005f,0xffffffff,0x000002ff,0xfffff100,0x3fffa1ff,
    0x5fffffff,0xffffff88,0x802fffff,0xfffffffc,0xffffd9cf,0x3ffee02d,
    0xfeffffff,0x3e6fffff,0xffffffff,0xffffffff,0x883fffff,0xfffffffc,
    0xfffd9cff,0x33102dff,0x00133333,0x6654c000,0x0000aacc,0x56665d44,
    0x00000001,0xffffffb0,0xffffffff,0x0009ffff,0x3fffffea,0xffff1005,
    0xffffffff,0x09ffffff,0x7ffffecc,0xfc80bfff,0x4000001f,0xfffffff8,
    0xffffffff,0xffffffff,0x0dff5002,0xb0000000,0xf83fffff,0xffffffff,
    0x000dffff,0x7ffff4c0,0x0000dfff,0x7fdc0000,0x3ff64fff,0xffffffff,
    0xfffff884,0x01ffffff,0x06b32e60,0x3b6e2000,0xd9adeeee,0x2a1ceeee,
    0xfffffffe,0xffffffff,0x4404ffff,0x02acccba,0x00000000,0x00000000,
    0x00000000,0xffffa800,0xfecaaace,0x002effff,0x677f64c0,0x3ff6a000,
    0xffffffff,0x00ceffff,0x2accca98,0x00000000,0x7ffffed4,0xffffffff,
    0xffffffff,0x00062002,0xb8800000,0xddddb02c,0x379ddddd,0xba880000,
    0x000001ac,0x0bca8000,0x7ffff644,0xb500ceff,0xbfffffff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01a88000,
    0x001ab988,0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0004c000,0x00000400,0x00000660,0x00000880,
    0x00001440,0x00150000,0x00310000,0x0000cc00,0x00a80000,0x50288000,
    0x31000001,0x02880000,0x18800000,0x00400000,0x00100000,0x0001b700,
    0x00033200,0x1acb9880,0x06200000,0x00080000,0x3fec4000,0x7f654000,
    0x3322deff,0x1001bccc,0x00001bff,0xffffb930,0x3332e19d,0x7ec001bc,
    0x0000001f,0x001bfa20,0x03ff9000,0x09ff5000,0x44000000,0x400006fe,
    0x3fa22ffa,0x7e400006,0x3600001f,0x000001ff,0x4003ff90,0x51cccca8,
    0x179dffdb,0xcccca880,0x7f6541cc,0x6c4002ef,0x00003fff,0x00bbffa6,
    0xffffd300,0x00019fff,0x0017fdc0,0x22799973,0x1cefffec,0x3fa60000,
    0x3a60006f,0xffffffff,0xfffffaef,0xffd005ff,0x5c00003d,0xffffffff,
    0xffffecff,0x3f2005ff,0x000002ff,0x05fffa80,0xffb10000,0xf300001f,
    0x00001bff,0x5fff9800,0x3fee0000,0x0dffd12f,0x3ff62000,0x3200000f,
    0x00003fff,0x03fff620,0x7ffffcc0,0xfffffdbf,0xf101ffff,0x5fffffff,
    0x3fffffa6,0xff7005ff,0x001bffff,0xfffffc80,0x6c4000cf,0xffffffff,
    0x80002fff,0xd001fffd,0xf7dfffff,0xffffffff,0xff500009,0x320003ff,
    0xffffffff,0xffffffff,0x800fffff,0x002ffff9,0x7ffff4c0,0xffffffff,
    0xffffffff,0xfffd1000,0x40000009,0x000efffb,0xfffe9800,0x3ee00002,
    0x00000eff,0x1dfff700,0x3fee0000,0x1fffd14f,0xffd30000,0x8800005f,
    0x0004fffd,0x2fffe980,0x3ffff600,0xffffffff,0x82ffffff,0xfffffffb,
    0xfffffcaf,0x204fffff,0xfdffffd8,0x98003fff,0xffeefffe,0x3fa002ef,
    0xffffffff,0x0002ffff,0x007fffd1,0x3fffffe6,0xffffffff,0x0006ffff,
    0x003bfff2,0x7ffffe40,0xffffffff,0xffffffff,0x3ffa2006,0xff10003f,
    0xffffffff,0xffffffff,0x9000dfff,0x0001bfff,0x5fffd800,0xff500000,
    0x000003ff,0x005ffff3,0xfffc8000,0xf700000d,0x3ffa29ff,0xfa80000e,
    0x00001fff,0x037fff20,0x7ffd4000,0x7fdc001f,0xffffffff,0xffffffff,
    0x7fffcc1f,0xffffffff,0xffffffff,0xffff880f,0x9ffff50d,0x7fffcc00,
    0x0bfffee4,0x3ffffee0,0xfffffeff,0x7cc000ff,0x7c002fff,0xffffffff,
    0xffffffff,0xfc8003ff,0x2a0005ff,0xbdefffff,0xfffffeba,0x00bdefff,
    0x03fffd80,0xfffffd80,0xffdba9bd,0xbdefffff,0xfff70001,0x6c00000d,
    0x00003fff,0x01dfff50,0x7f440000,0x000001ff,0x0009fffb,0xd27ffd40,
    0x00001dff,0x001dfff3,0xfff50000,0xff50000d,0x2e0001df,0xfffffffd,
    0xfffdaace,0xeeca85ff,0xffffffff,0xfffcacff,0x05fff906,0x001fffb1,
    0x2607bffa,0x7cc07ffe,0x4c0bffff,0x005ffffe,0x003bffe6,0x3ffff260,
    0xcabdffff,0x00fffffe,0x00fffe20,0xfffff880,0xfff9100d,0x00007fff,
    0xa800fff7,0x202fffff,0x3ffffffb,0xfff30000,0xf3000003,0x000005ff,
    0x0002fff4,0x0bffb000,0xfff30000,0xfe800005,0x03bfe63f,0x2fff4000,
    0x26000000,0x40002fff,0x00005ffe,0x07ffffff,0x203ffffc,0xfffffff8,
    0x0ee440df,0x5400df98,0x33ee005e,0x2027dc00,0x203ffffb,0x007ffff8,
    0x00037ff6,0xbfffff90,0x3fffee01,0x00ee4001,0x3ffff600,0xffffb004,
    0x2600007f,0x7ff4003d,0xffa801ff,0x00003fff,0x00001322,0x00001dd8,
    0x00017540,0x00ed4000,0x01dc8000,0x82da8000,0x200000cd,0x000003ea,
    0x000b9100,0x00005d50,0x017ffffc,0x803fffee,0xfffffff8,0x00000003,
    0x40000000,0x400ffffd,0x001ffffc,0x200007d5,0x404ffffc,0x003ffff8,
    0xffd00000,0xffd800ff,0x000003ff,0x3fffe200,0x3fff2004,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x9802ffff,0x2200ffff,0x01efffff,0x00020000,0x00008800,
    0x1009fffd,0x0007ffff,0x3ff20000,0xfffd006f,0x00040009,0x04ffff88,
    0x1ffffd40,0x80004000,0x000ffff9,0x00ffffe6,0x00002200,0x00000000,
    0x00000880,0x00000000,0x00000044,0x00000000,0x01000000,0x00100000,
    0x05ffff00,0x01ffff30,0x06ffffc4,0xfd930000,0x315bffff,0x6e540017,
    0x22deffff,0xdfffb01a,0x5ffff500,0x00040000,0x200bfff9,0x2004fffe,
    0xcefffdca,0xfffa801b,0x7fc4000f,0xca8003ff,0x1bcefffd,0x07fffb80,
    0x1ffffc40,0xffb95100,0x003bdfff,0x7ff6e540,0xdffdb83d,0xdca88003,
    0x1defffff,0x6665cc00,0x332e603c,0x54002ccc,0xdeffffdc,0xcb9806a2,
    0x2e603ccc,0x202ccccc,0x03ccccb9,0x333332e6,0x7edc4002,0x001cefff,
    0x7ffedc40,0xf8001cef,0xf9802fff,0x3e200fff,0x00002fff,0xffffffb3,
    0xdfffffff,0xffffd300,0xffffffff,0xfff705ff,0xfffe803f,0x6665440f,
    0x76541ccc,0x7e402eff,0xffd005ff,0xffb3009f,0xffffffff,0x7ffd401b,
    0x7fc4000f,0x366003ff,0xffffffff,0x3ee00dff,0xff8006ff,0xfd8803ff,
    0xffffffff,0x2001dfff,0xfffffffb,0xfffb0dff,0x2200bfff,0xfffffffd,
    0x01dfffff,0xffffffe8,0xfffffd05,0x3a6009ff,0xffffffff,0x82ffffff,
    0x5ffffffe,0xffffffd0,0x3fffa09f,0xffd05fff,0x009fffff,0x7fffffe4,
    0x002effff,0xffffffc8,0x002effff,0x200bfffe,0x200ffff9,0x002ffff8,
    0xfffff980,0xffffffff,0xf9100fff,0xffffffff,0xbfffffff,0x0bffff30,
    0x237fffd4,0xfffffff8,0xffffd32f,0x7e40bfff,0xffd005ff,0xfffc809f,
    0xffffffff,0xff103fff,0xfa8005ff,0xf9003fff,0xffffffff,0x207fffff,
    0x000ffffa,0x00ffffe2,0x3ffffff6,0xffffffff,0xfff8800f,0xffffffff,
    0xffffffef,0x7ec00eff,0xffffffff,0x00ffffff,0x3fffffe6,0xffff985f,
    0x4404ffff,0xfffffffc,0xffffffff,0x7fffcc5f,0xff985fff,0x84ffffff,
    0xfffffff9,0xfffff985,0xe9804fff,0xffffffff,0x004fffff,0xffffffd3,
    0x9fffffff,0x0bfffe00,0x03fffe60,0x02ffff88,0x7fffc400,0xffffffff,
    0xb02fffff,0xffffffff,0xffffffff,0x3fff60ff,0xfdbaabff,0x7dc2ffff,
    0xafffffff,0xfffffffc,0xff904fff,0x3ffa00bf,0x3fff604f,0xffffffff,
    0xd03fffff,0x2001dfff,0x03ffffe8,0xffffffd8,0xffffffff,0xfff883ff,
    0x3fea002f,0xffd803ff,0xffffffff,0x806fffff,0xfffffff8,0xffffffff,
    0x6fffffff,0x7ffffec0,0xffffffff,0x7ffc06ff,0xff05ffff,0x09ffffff,
    0xffffffd8,0xffffffff,0xfff87fff,0xff05ffff,0x09ffffff,0x3ffffffe,
    0xffffff05,0xff9809ff,0xffffffff,0x06ffffff,0x7fffffcc,0xffffffff,
    0xfff806ff,0xfff9802f,0x3ffe200f,0x7dc0002f,0xabceffff,0xffffffca,
    0xfffffb82,0xfcaaabcf,0x107fffff,0xffffffff,0x09ffffff,0xfffffff3,
    0xffffffff,0x01ffffff,0x200bfff9,0xf704fffe,0x59dfffff,0xfffffd95,
    0xffff901f,0xffe8801d,0x7dc03fff,0xacefffff,0xfffffeca,0xeffff80f,
    0xffff8800,0xfffa803f,0xca9abcef,0x801fffff,0xbabdfffd,0xffffffff,
    0x2fffffcc,0x3bfffea0,0xffca9abc,0x2e601fff,0x305ffffe,0x9ffffdb7,
    0x7ffffdc0,0xfcaaabcf,0x987fffff,0x05ffffeb,0xffffdb73,0x3ffae609,
    0xdb7305ff,0x4409ffff,0xceffffff,0xffffdbaa,0xfff104ff,0x7559dfff,
    0x9ffffffb,0x02ffff80,0x00ffff98,0x00bfffe2,0x0dfffb00,0x83ffff50,
    0x0cfffff8,0x3ffffe40,0xffffff30,0x0bffffff,0x7fff7654,0xcfffffff,
    0x906fffca,0x3a00bfff,0xff984fff,0x2200dfff,0x885ffffe,0x1cfffffe,
    0x7ffffdcc,0x3fe603ff,0x2200dfff,0xc85ffffe,0x4405ffff,0x03fffffd,
    0x3ea00260,0x33002fff,0x3ffffea0,0x3fffe61f,0xa8009806,0x9002ffff,
    0x3600bfff,0xff104fff,0xc8019fff,0x6407ffff,0xfb005fff,0xff9009ff,
    0x3ff600bf,0x3fff604f,0x3f6202ff,0xfd81ffff,0x2202ffff,0x01fffffd,
    0x200bfffe,0x200ffff9,0x002ffff8,0x07fffec0,0x6c2ffdc0,0x2003ffff,
    0x2e06fffe,0xffffffff,0x800effff,0xfffffff8,0x0ee440df,0x005fffc8,
    0xfb09fffd,0x2200bfff,0x983ffffe,0xffffffff,0xffffffff,0x3f603fff,
    0xd1005fff,0xf887ffff,0xa82effff,0x3fffffff,0xffd00000,0x3e00009f,
    0xfc84ffff,0x00002fff,0x4013fffa,0xb005fffc,0x3f609fff,0x3a003fff,
    0x7e406fff,0xffb005ff,0xfff9009f,0x3fff600b,0xfffff104,0x3ffee001,
    0x7fffc45f,0xfff7000f,0xfff510bf,0x7cc0159f,0x554c0fff,0xaacffffb,
    0xc800aaaa,0xbcefffff,0xff018809,0xfa800bff,0xfff504ff,0xffffffff,
    0xf100dfff,0x07ffffff,0xfffb3100,0x7f4c035d,0x7ffc0dff,0x7fc4006f,
    0xfff305ff,0xffffffff,0x7fffffff,0x037fffc0,0x17fffe20,0x3fffffea,
    0xfffffeef,0x8003ffff,0xcdeedcba,0x004fffeb,0x7e6f65cc,0xf880ffff,
    0x75004fff,0xd79bddb9,0x32009fff,0xfb005fff,0x3ffe09ff,0x7fd4005f,
    0x7ffe404f,0x9fffb005,0x0bfff900,0x413fff60,0x002ffffc,0x907fffec,
    0x8005ffff,0x360ffffd,0xffffffff,0xffff300f,0x3ffffe21,0xffffffff,
    0x4406ffff,0xffffffff,0x201bdfff,0x001ffff8,0xf981efd8,0x9abfffff,
    0x5fffffda,0x7ffffc40,0xff98001e,0x1fffffff,0xffffffe8,0xfffff35f,
    0xffffffff,0xffffffff,0x7fff4c0f,0xffffffff,0x303ffffe,0xffffffff,
    0xffffffff,0x20ffffff,0xfffffffc,0xffffffff,0x3aa003ff,0xffffffff,
    0x804fffff,0xffffffd9,0xffffffff,0xffffffff,0x7fff5405,0xffffffff,
    0xff9004ff,0x3ff600bf,0xffff884f,0x1efd8001,0x02fffe40,0x804fffd8,
    0xb005fffc,0x3fa09fff,0xf88005ff,0x3ffa3fff,0xff88005f,0xffff13ff,
    0x07ffffff,0x5c3fffe6,0xffffffff,0xffffffff,0x7fd402ff,0xffffffff,
    0xf980cfff,0x10000fff,0x6ffffe40,0xfffff300,0x7fffc403,0xffb0000d,
    0xdfffffff,0xffffffa8,0xfffa9fff,0xffffffff,0xffffffff,0x75400fff,
    0xdfffffff,0x207ffff1,0xfffffffa,0xffffffff,0x0fffffff,0xffffff50,
    0xffffffff,0xfd3007ff,0xffffffff,0x09ffffff,0x7ffffec4,0xffffffff,
    0xffffffff,0xfd306fff,0xffffffff,0x09ffffff,0x017fff20,0x4c27ffec,
    0x0000ffff,0x3fff2001,0x9fffb005,0x0bfff900,0x413fff60,0x0003ffff,
    0x7fc9fffd,0xfd0003ff,0x7fffc9ff,0x01ffffff,0x2a1ffff3,0xffffffff,
    0xffffffff,0xfc8801ff,0xffffffff,0x7dc1efff,0x000007ff,0x500dfffd,
    0x4405ffff,0x0002ffff,0x3ffffff2,0x7fcc5fff,0x8fffffff,0xfffffffb,
    0xffffffff,0x1fffffff,0x35753100,0x03ffff81,0xfffffff7,0xffffffff,
    0x3fffffff,0x7fffec40,0xfe8bffff,0x7fc403ff,0xffffffff,0x4fffffff,
    0x3fffffa0,0xffffffff,0xffffffff,0xf887ffff,0xffffffff,0xffffffff,
    0xbfff9004,0x13fff600,0x001fffee,0x3fff2000,0x9fffb005,0x0bfff900,
    0x213fff60,0x002ffff8,0x22bfffb0,0x0002ffff,0x6d4bfffb,0x3dffffff,
    0x83fffe60,0xffffffdb,0xffffffff,0x5d44003d,0xffffffed,0x3fea1fff,
    0x8800007f,0xb002ffff,0x7c409fff,0x20002fff,0xfffffec8,0xffdb80ce,
    0xff52dfff,0xffffffff,0xffffffff,0x0005ffff,0x03ffff80,0xfffffff5,
    0xffffffff,0x5fffffff,0x2b32a600,0x01ffff41,0xffffffd1,0xfffdb9bd,
    0x3ea09fff,0xceffffff,0xffffffed,0xffffffff,0x7fff447f,0xedcdefff,
    0x04ffffff,0x00bfff90,0x2a13fff6,0x00007fff,0x05fffc80,0x009fffb0,
    0x200bfff9,0xff04fffd,0x3a0007ff,0x3ffe4fff,0xffd0003f,0x4c00009f,
    0x0000ffff,0x400a8000,0xffffeca9,0x07fffe24,0xfff30000,0x3ff2001f,
    0x3ffe206f,0x0000002f,0x7ffc4000,0xaaaaaacf,0xaaaaaaaa,0x00000aaa,
    0x881ffffc,0xaaacffff,0xaaaaaaaa,0x00aaaaaa,0xffff1000,0x7fffdc05,
    0x7fec00bf,0xffffb04f,0x3fffe03b,0xaaaaaaae,0x7fdc2aaa,0x6c00bfff,
    0xf9004fff,0x3f600bff,0xfff884ff,0x4000001f,0xb005fffc,0xf9009fff,
    0x3f600bff,0xfffd04ff,0xfff3000b,0x2ffff47f,0x7fffcc00,0x3ea00003,
    0x00000fff,0x03ffe200,0x47fffd80,0x0004ffff,0x3fffe202,0x9fffd002,
    0x17fffc40,0x00000000,0x07ffffc0,0x00000000,0xf01ffffc,0x0001ffff,
    0x7dc00000,0x3f600fff,0xfb001fff,0x3ffa09ff,0x7fffc05f,0xffb0001f,
    0x3f6003ff,0xff9004ff,0x3ffa00df,0x9ffff04f,0x64004000,0xfd006fff,
    0xff9009ff,0x3ffa00df,0xffff904f,0xfffe8007,0x3ffff20f,0x7fff4003,
    0x2e00000f,0x22007fff,0xb8001ced,0x2a005fff,0x3f61ffff,0x44003fff,
    0x7ff42ffc,0xfffa806f,0x3ffe202f,0x8000002f,0x4001bed8,0x00effffc,
    0x00000100,0xc80ffffe,0x000effff,0x44000010,0x7c06fffe,0xc9804fff,
    0xf704ffff,0x3ea01fff,0x0405ffff,0x804ffff8,0x04ffffc9,0x01ffff90,
    0x27fffecc,0x03ffffd8,0x017fe440,0x401ffff9,0x04ffffd9,0x00ffffc8,
    0x13ffff66,0x17ffffc4,0x7fffec40,0x7ffffc45,0xfffd8802,0x2200005f,
    0x2005ffff,0x004ffffa,0x5fffffec,0xffff7100,0x7fffd41f,0x7d4c02df,
    0x7fe46fff,0xff701dff,0x7c401fff,0x00002fff,0x3ffffb80,0x3fffa200,
    0x2e600bef,0x0004ffed,0xffff3310,0x3ffa2019,0x2600beff,0x004ffedb,
    0x73333331,0x809fffff,0x881ffffe,0xffffffd9,0x7ffcc0ad,0x3ff621df,
    0x222fffff,0x742fffc9,0x9881ffff,0xdffffffd,0x7ffd400a,0xfffd983f,
    0xfa80dfff,0x402dffff,0x06ffffa9,0x20ffffea,0xffffffd9,0x7ffd400d,
    0xfffd983f,0xfb00dfff,0x103bffff,0x3ffffff7,0xbfffffb0,0xffff7103,
    0x260003ff,0xffffba99,0x3f62003f,0x36000fff,0xffffffff,0xffffeeee,
    0xfffb86ff,0xedefffff,0xffffffff,0x7ffffcc6,0xfffeeeff,0xaa986fff,
    0xaacffffb,0x0000aaaa,0x0ffffb10,0xfffff980,0xfeeeeeff,0x0fffffff,
    0x3fff2000,0xefffffff,0xfffff982,0xfeeeeeff,0x0fffffff,0x3ffff660,
    0xffffffff,0x7ffe400e,0xfffdefff,0xffffffff,0x7fffc5ff,0xffffeeff,
    0xefffffff,0x46ffffff,0xeffffffc,0xfffffffd,0x05ffffff,0x3fffffe2,
    0xffffffee,0xb85fffff,0xffffffff,0xfffffede,0x3e206fff,0xfeefffff,
    0xffffffff,0x3fe205ff,0xffeeffff,0xffffffff,0xffffd05f,0xffdddfff,
    0x407fffff,0xfffffffe,0xfffffeee,0x6c4003ff,0xffffffff,0xbd3006ff,
    0x003ffd57,0x7fffffe4,0xffffffff,0xf900ffff,0xffffffff,0xffffffff,
    0xffff705f,0xffffffff,0x7fc41fff,0xffffffff,0x6fffffff,0x2f7a6000,
    0x4001ffea,0xfffffffb,0xffffffff,0x0000ffff,0xfffffff3,0x20ffffff,
    0xfffffffb,0xffffffff,0x3600ffff,0xffffffff,0x800effff,0xffffffe8,
    0xffffffff,0x1fffffff,0x3fffffe6,0xffffffff,0xffffffff,0x7f446fff,
    0xffffffff,0xffffffff,0x3601ffff,0xffffffff,0xffffffff,0xffc81fff,
    0xffffffff,0xffffffff,0x7fffec02,0xffffffff,0x1fffffff,0x3fffff60,
    0xffffffff,0x81ffffff,0xffffffe8,0xffffffff,0x7ff4404f,0xffffffff,
    0x004fffff,0xffffffb8,0x001fffff,0xdffffff9,0xffffa800,0xffffffff,
    0x401dffff,0xfffffffc,0xffffffff,0x3ffee02f,0xffffffff,0x7ffdc1ef,
    0xffffffff,0x2fffffff,0xffff9000,0x26000bff,0xfffffffe,0xffffffff,
    0x3e60003f,0xffffffff,0x3a607fff,0xffffffff,0xffffffff,0x7fffec03,
    0xefffffff,0x3ffe6000,0xffffffff,0xffffffff,0x7ffcc0ff,0xffffffff,
    0xffffffff,0x982fffff,0xffffffff,0xffffffff,0x400fffff,0xfffffffd,
    0xffffffff,0xff900fff,0xffffffff,0x05ffffff,0x3fffff60,0xffffffff,
    0x400fffff,0xfffffffd,0xffffffff,0xf9100fff,0xffffffff,0x2005ffff,
    0xffffffc8,0x2fffffff,0xffff7000,0x03dfffff,0x7ffffcc0,0x7e44002f,
    0xfffffecc,0x001effff,0x3fffff22,0x2effffff,0xfffd9300,0x207bffff,
    0xfffffffa,0xffffffff,0x30001fff,0x03ffffff,0xffffb800,0xffffffff,
    0xd80000bd,0xffffffff,0xfb803eff,0xffffffff,0x800bdfff,0xffffffe9,
    0x10001bef,0xfffffff9,0xfffb39ff,0x36205bff,0xaeffffff,0xffffcbfc,
    0x200adfff,0xffffffc8,0xffd9cfff,0x9002dfff,0xffffffff,0xbffffb39,
    0xfffc8805,0xffffffff,0xffc8002e,0x9cffffff,0x02dffffd,0xffffff90,
    0xfffb39ff,0xfb3005bf,0xdfffffff,0xfb300017,0xdfffffff,0x74400017,
    0x2effffff,0x59731000,0xca980000,0x000aaccc,0x372ea620,0x0000aacc,
    0x002b2e62,0x7ffffedc,0xffffffff,0x440003df,0x00001cb9,0x56665d44,
    0x0000009a,0x26666666,0xba880009,0x009aaccc,0x26666200,0x22000009,
    0x02acccba,0x5e64c000,0x2f32e201,0xcba88001,0x00002acc,0x06b32e60,
    0x75310000,0x015599b9,0x59973000,0x26000003,0x0001accb,0xcccba880,
    0x5100001a,0x00359997,0x01333000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd9800000,
    0x003d8803,0x35975310,0x00000001,0x35951000,0x1ecc0001,0x00026c40,
    0x40002600,0x3d8803d9,0x01b70000,0x00000000,0x2600b260,0x0dc8002c,
    0x2000dc80,0x1ca801ca,0x654c4000,0x5c4000ab,0x400002ac,0x0a800018,
    0x19700000,0x00019700,0x00001b70,0x00006dc0,0x2b3332e6,0x6665cc00,
    0x880000ac,0x0ffc8002,0x0007fe40,0xffffff91,0x80003bff,0x0002efc8,
    0xfffffec8,0xfc8000cf,0x07fe400f,0x7ec40000,0xffc8000f,0x007fe400,
    0x5fffb100,0xfd500000,0xfe800019,0xfff900df,0x03ff9800,0x8801ffcc,
    0xfb103fff,0x36a000bf,0x5fffffff,0x7fffec40,0x80003fff,0x20001ffc,
    0x00002ffc,0x9817ffcc,0x20004ffe,0x002fffd8,0x7ffec400,0xfff90003,
    0x205fffff,0xfffffffe,0x3ea0000f,0x7fdc003f,0x01ffea05,0xffffffd8,
    0x04ffffff,0x1ffff200,0xffffb000,0x05ffffff,0x205ffb80,0x00007ffa,
    0x006ffe88,0x540bff70,0x2e0007ff,0x0dffffff,0xfff10000,0xfb80009f,
    0x3fa62fff,0x7c4004ff,0xffd101ff,0x7ffec005,0x3fffea0e,0x7ff4c002,
    0xffffffff,0xffffd103,0x00bfffff,0x03fff620,0x4fffb800,0x7ff40000,
    0x3ffee0df,0xff70001f,0x001bffff,0xfffff500,0xff8001bf,0x5fffffff,
    0xffffff98,0x90004fff,0x88005fff,0xa89befff,0x8804fffc,0xfffffffe,
    0x4fffffff,0xfffff000,0xffb10005,0xffffffff,0x7c4003ff,0xca89beff,
    0x00004fff,0x00ffffd4,0xbefff880,0x4fffca89,0xfffd8800,0x02ffffdf,
    0xffffa800,0xffb80007,0xffffccff,0xfffb0004,0x3ffae659,0x3f62000f,
    0xfffdbfff,0x7fdc003f,0xffffffff,0xffe885ff,0xffffffff,0x7f4c004f,
    0xc80002ff,0x0000dfff,0x7ffffb10,0x005ffffd,0xbffffb10,0x0005ffff,
    0x37ffff62,0x2003ffff,0xfffffffd,0xfffff03f,0x8005ffff,0x004fffd8,
    0xffffff50,0x200dffff,0xfffffffb,0xffffffee,0xffd8001f,0xfd8000ff,
    0xffefffff,0x000fffff,0x3fffffea,0x0006ffff,0x077ffdc0,0x3ffea000,
    0x6fffffff,0xffff8800,0x9ffff70d,0xfff88000,0xd300004f,0x3dffffff,
    0x7ff44000,0xffffffff,0xfff50001,0x001bffff,0xffffffc8,0x2fffeeff,
    0xffffffe8,0x1ffffffe,0x3ffff500,0x7fdc0000,0x200000ef,0xfffffffb,
    0xff88000c,0xfff70dff,0xff88009f,0xfff50dff,0x3f22009f,0x203dffff,
    0xefffffc9,0x7ff44002,0x7540003f,0xcfffffff,0xffff9000,0xfffb103b,
    0xff3000df,0xff30009f,0x7e4c7fff,0x4004ffff,0xffffffea,0x200000cf,
    0x0005fffb,0x3ffffaa0,0x8000cfff,0xd882fffc,0x40000fff,0x0001effc,
    0x27fffdc0,0xffd88000,0x01efffff,0x7ffec400,0xffb8003f,0x20bdffff,
    0xfffa81b8,0x3fee21ef,0xffa806ff,0x800000ef,0x000ffff9,0x3fff6200,
    0x3f20002f,0xffd882ff,0x3ff2000f,0xfffd883f,0x3ffee000,0xfffd002f,
    0xff88001f,0x200001ff,0x00bcedca,0x01fffcc0,0x007ffff4,0x90000a80,
    0x2203ffff,0x000ffffe,0x1bdedca8,0xfff80000,0x95000003,0x000179db,
    0x2a0067d4,0x5100005e,0x74c00000,0x9800001e,0x002cdedc,0x006fd400,
    0x7ffffd40,0xffe8000d,0xfff700ef,0x5ffe807f,0x74400000,0x800003ff,
    0x40000cfb,0x75400cfa,0x06fcc005,0x10017aa0,0x500dffff,0x0007ffff,
    0x0001dff9,0x4c000000,0xfff5001b,0x0000003f,0x809ffff0,0x003ffff9,
    0x40000000,0x000002db,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fe20001,0x50004fff,0xe805ffff,0x75406fff,0x20000002,0x000000dc,
    0x00000001,0x00000000,0x5ffff700,0x0ffffe80,0x004d9800,0x00004000,
    0xffff8000,0x00110002,0x03ffff10,0x00dfffd0,0x00000000,0x08000000,
    0x00800000,0x00040000,0x00044000,0x00022000,0x20001000,0x005ffffc,
    0x01bfff60,0x007fffea,0x00000000,0x00080000,0x00008000,0x80000000,
    0x206ffff8,0x003ffffa,0x54000000,0xbcefffdc,0x54000001,0x5001ffff,
    0xbdffffb9,0x7fcc0d45,0xffb800ff,0xcccb987f,0x332e603c,0x00002ccc,
    0xb8800001,0x1ceffffd,0x7edc4000,0x001cefff,0x7ffee540,0x40001bce,
    0xeffffdca,0x44006a2d,0xfffffdca,0x260001de,0xdfffffec,0xf880b98a,
    0x40006fff,0xf003ffff,0x00007fff,0x00000000,0x7ffee540,0x40001bce,
    0xcefffdca,0x32e6001b,0x2e603ccc,0x002ccccc,0x205ffff7,0x000ffffe,
    0xb3000000,0xffffffff,0x00001bff,0x0ffffd10,0xfffffd30,0xffffffff,
    0xffff985f,0xffff9800,0x3fffffa0,0xffffd05f,0x5cc09fff,0xfd913ccc,
    0x00039dff,0x7fffffe4,0x002effff,0xffffffc8,0x002effff,0x7ffffecc,
    0x00dfffff,0x7ffff4c0,0xffffffff,0x3f6202ff,0xffffffff,0x2001dfff,
    0xffffffd9,0x6fffffff,0x02ffffb8,0x17fffc00,0x04fffe80,0x99999993,
    0x32600039,0x1ccccccc,0x3ff66000,0xffffffff,0x7ecc000d,0xffffffff,
    0x7ff400df,0xfd05ffff,0x09ffffff,0x437fffc0,0x403ffffb,0xcccccccb,
    0xcccccccc,0x7fe402cc,0xffffffff,0x0003ffff,0x7ffdcccc,0x3f2205ff,
    0xffffffff,0x5fffffff,0x00ffffc4,0x98fffff4,0x5fffffff,0xffffff98,
    0xfffd04ff,0xffff7dff,0x009fffff,0xfffffe98,0xffffffff,0xfffd3004,
    0xffffffff,0x3f2009ff,0xffffffff,0x803fffff,0xffffffc8,0xffffffff,
    0x3ff605ff,0xffffffff,0x800fffff,0xfffffff9,0xffffffff,0x3ffff40f,
    0x80159731,0x001ffff9,0xff0bfffb,0xffffffff,0xffff0005,0x05ffffff,
    0x3ffff200,0xffffffff,0xff9003ff,0xffffffff,0x2607ffff,0x5fffffff,
    0xffffff98,0x3ee004ff,0x7ff43fff,0x7fec00ff,0xffffffff,0x3fffffff,
    0x3fffff60,0xffffffff,0xa8003fff,0xffffffff,0x3ff600ef,0xffffffff,
    0x7fffffff,0x403ffff8,0x23fffffb,0x5fffffff,0xfffffff0,0xffff309f,
    0xffffffff,0x0dffffff,0x3ffffe60,0xffffffff,0x7cc06fff,0xffffffff,
    0x6fffffff,0x7ffffec0,0xffffffff,0x7ec03fff,0xffffffff,0xffffffff,
    0x3ffff607,0xffffffff,0x7c406fff,0xffffffff,0xffffffff,0x467fffc2,
    0xeffffffc,0x0ffff501,0x237ffe40,0xfffffffa,0x54002fff,0xffffffff,
    0xfd8002ff,0xffffffff,0x3fffffff,0x7ffffec0,0xffffffff,0xfff03fff,
    0x3e0bffff,0x4fffffff,0x37fffc00,0x007ffff7,0xfffffffb,0xffffffff,
    0x3fee07ff,0xaaceffff,0xffffffec,0x7fffc000,0x00ffffff,0x3fffffee,
    0xffcaaabc,0xfe87ffff,0xff300fff,0x5cc9ffff,0x305ffffe,0x9ffffdb7,
    0x3fffffe0,0xffffffff,0x403fffff,0xeffffff8,0xfffdbaac,0xff104fff,
    0x559dffff,0xffffffb7,0x3fffee09,0xecaaceff,0x00ffffff,0x9ffffff7,
    0xfff95557,0x7d40ffff,0x9abcefff,0x1fffffca,0x3ffffee0,0xffcaabce,
    0x3e22ffff,0xfffecfff,0x83ffffff,0x2007fffa,0x7c46fffc,0xffffffff,
    0x7fc4002f,0xffffffff,0x7ffdc002,0xcaacefff,0x0ffffffe,0xffffff70,
    0xffd9559d,0x7301ffff,0x20bffffd,0xffffedb9,0x7ffdc004,0x1fffff3f,
    0xfffffb00,0xffffffff,0xf307ffff,0x401bffff,0x05ffffe8,0x3ffffe20,
    0x2206ffff,0x00cfffff,0x43ffffe4,0x40dffffa,0xffffffea,0x0bfff905,
    0x413fff60,0xffffffc9,0xfecabdff,0x3600ffff,0x202fffff,0x1fffffd8,
    0x2fffffd8,0x3ffff620,0x7fffcc1f,0x3fa200df,0xff885fff,0x6400cfff,
    0x9807ffff,0xffffa800,0x1bfff602,0x87fffea0,0xfffffff9,0xffffffff,
    0x3fffd43f,0x0dfff900,0xffdddd93,0x930005ff,0xffffdddd,0x7ffcc005,
    0x3a200dff,0xf985ffff,0x200dffff,0x05ffffe8,0x802fffe4,0x8004fffd,
    0xffbfffff,0xffb003ff,0xddddddff,0x1dffffff,0x0bffffb0,0x3ffffa20,
    0x3ffee003,0x05ffffff,0x007ffffb,0xd837fff4,0xebcfffff,0xffffffff,
    0x0bfff906,0x013fff60,0x1bfffff9,0x07fffee0,0x07ffffc4,0x5ffffb80,
    0x07ffffc4,0x5ffffb80,0x02ffffec,0x3ffffe88,0x01ffffec,0x00dfffd0,
    0x4fffe800,0x03ffff60,0xf317fee0,0xffffffff,0xffffffdf,0x03fffd41,
    0x00dfff90,0x0017fffc,0x05ffff00,0x2ffffec0,0xffffe880,0x2ffffec3,
    0xffffe880,0x17fff203,0x027ffec0,0x7ffffdc0,0xb000ffff,0x3e609fff,
    0xf00effff,0x8800dfff,0x4005ffff,0xfffedba8,0xffff84ff,0x7ffd4005,
    0xfffff104,0xffffffff,0x3f20dfff,0xffb005ff,0xfffc809f,0x7ffc404f,
    0xffff903f,0xfffd8005,0x3ffff20f,0x7ffec002,0x1bfffe0f,0xbffff100,
    0x005ffff8,0x0027ffd4,0x9bddb975,0x409fffd7,0xcefffffc,0x9818809b,
    0xffffffff,0xffffb10b,0x03fffd4b,0x00dfff90,0x0017fffc,0x05ffff00,
    0x037fffc0,0x17fffe20,0x800dffff,0x205ffff8,0xb005fffc,0x20009fff,
    0xfffffffe,0x3ffea003,0xfffff982,0xffff300e,0xffffffff,0xffffffff,
    0xfb0000ff,0x7c47ffff,0xd8001fff,0x3fea01ef,0xffffffff,0x905fffef,
    0x3600bfff,0x7e404fff,0xffd006ff,0x3fffa09f,0xfff88005,0x17fffa3f,
    0x3fffe200,0xffffff33,0xffffffff,0xffffffff,0x00ffffc4,0x400f7ec0,
    0xffffffea,0x4fffffff,0x3ffffe20,0xbdffffff,0x7ffffc01,0x3fff606f,
    0x0ffff51f,0x037ffe40,0x005ffff0,0x17fffc00,0xfffff980,0xffffffff,
    0xffffffff,0x3ffffe67,0xffffffff,0xffffffff,0x17fff207,0x027ffec0,
    0xfffffb80,0x3a2000ff,0x7ffcc0df,0x3ea00eff,0xffffffff,0xffffffff,
    0x000fffff,0x5ffffa80,0x003fffe6,0xfd880040,0x8dffffff,0xf904ffff,
    0x3f600bff,0x7fe404ff,0xfffd005f,0x0ffffe09,0x27fff400,0x0007ffff,
    0x7d53fffa,0xffffffff,0xffffffff,0xf30fffff,0x20001fff,0xfffe9800,
    0xffffffff,0x5404ffff,0xffffffff,0x00cfffff,0x03fffffd,0x99ffffc4,
    0xb000ffff,0x7c00bfff,0x00002fff,0x400bfffe,0xfffffffa,0xffffffff,
    0x0fffffff,0xfffffff5,0xffffffff,0x1fffffff,0x017fff20,0x0027ffec,
    0x7fffffd0,0x3e602000,0x400effff,0xfffffffb,0xffffffff,0x1fffffff,
    0xfffb0000,0x03fffdcf,0xb9500000,0x3fea59df,0xfff902ff,0x3fff600b,
    0x2fffe404,0x84fffe80,0x002ffff8,0x22bfffb0,0x0002ffff,0x3eebfffb,
    0xffffffff,0xffffffff,0xf71fffff,0x00000fff,0x7fffffc4,0xffffffff,
    0xc8804fff,0xffffffff,0xd81effff,0xd804ffff,0xfff14fff,0x3ffa005f,
    0x3ffe004f,0x3e00002f,0xf7002fff,0xffffffff,0xffffffff,0x2e3fffff,
    0xffffffff,0xffffffff,0x01ffffff,0x200bfff9,0x0004fffd,0x03ffffee,
    0x7ffcc000,0xfa800eff,0xffffffff,0xffffffff,0x002fffff,0x3ffff500,
    0x001fffea,0xfe800000,0x3ff207ff,0xfffb005f,0x5fffc809,0x09fffd00,
    0x000ffffe,0xff27fff4,0x3a0007ff,0xfff54fff,0xffffffff,0xffffffff,
    0x3fea5fff,0x1000007f,0xdffffffd,0xffffdb9b,0x544009ff,0xfffffedb,
    0x7e41ffff,0xff9006ff,0x1ffffcdf,0x03ffff80,0x00bfffe0,0x2ffff800,
    0xfffff500,0xffffffff,0xffffffff,0x3fffea5f,0xffffffff,0xffffffff,
    0xfff902ff,0x3fff600b,0x3fee0004,0x300003ff,0x01dfffff,0x33fffe20,
    0xaaaaaaaa,0xaaaaaaaa,0x3e00000a,0xfff12fff,0x0000003f,0xbffffb00,
    0x02fffe40,0x404fffd8,0xd005fffc,0x3fa09fff,0xf98005ff,0x3ffa3fff,
    0xff98005f,0xffff13ff,0x55555559,0x55555555,0x3ffe2155,0xb800001f,
    0x00bfffff,0x2027ffec,0x7654c00a,0x7dc4ffff,0xff9007ff,0x37ffecdf,
    0x0ffffd40,0x05ffff00,0x7fffc000,0xffff1002,0x55555559,0x55555555,
    0x3ffe2155,0xaaaaaacf,0xaaaaaaaa,0xff900aaa,0x3ff600bf,0xff10004f,
    0x20000fff,0x0efffff9,0x7ffffc00,0x00000000,0x83fffe60,0x0004ffff,
    0x3f200002,0x3200ffff,0xfd006fff,0xffc809ff,0xfffd005f,0x3ffff209,
    0x7fff4003,0x3ffff20f,0x7fff4003,0x3ffffe0f,0x7fc00000,0x020004ff,
    0x00ffffec,0x104fffd8,0x6c001fff,0x7fcc7fff,0xffd802ff,0x3fffea4f,
    0x37fff402,0x0bfffe00,0xffff8000,0x3fffe002,0x7c00000f,0x0000ffff,
    0x1bfff200,0x027fff40,0x3ffffc80,0xfff98000,0xc8000eff,0x000effff,
    0x00062010,0xd8bfffd1,0x4003ffff,0x8002ffc8,0x3fffffd9,0x07fffe40,
    0x9ffffb30,0x05fffc80,0x209fffd0,0x02fffff8,0x5ffffd88,0x17ffffc4,
    0x7fffec40,0x77fffe45,0xfb010000,0x88007fff,0x7ffc2ffc,0xffc9804f,
    0xfff704ff,0x7ffd400b,0x77fffc1f,0x3fffea00,0x037fffc3,0x005ffff7,
    0x002ffff8,0x0bfffe00,0xeffffc80,0xf9010000,0x0001dfff,0xffff9002,
    0x7ffecc01,0xff88004f,0xa80007ff,0x00efffff,0xfd1019b3,0x4017dfff,
    0x44ffedb9,0x4402effb,0x43ffffeb,0x2dfffffa,0x7fffd4c0,0x2620aa86,
    0x5ffffffc,0x3ffffa80,0xfffffd98,0x3ff200df,0xfffd005f,0x7fffec09,
    0xffb881df,0xfd81ffff,0x881dffff,0x1ffffffb,0x77ffff44,0x3b6e600b,
    0x7ffd44ff,0x54c02dff,0x7f46ffff,0xd9881fff,0xadffffff,0x7ffffec0,
    0xfff7100b,0xfffb81ff,0x7fd40bef,0x7fdc1fff,0x7fdc0eff,0xff8006ff,
    0x200002ff,0x2002ffff,0xbeffffe8,0x3fb6e600,0x7fff444f,0x2e600bef,
    0x2a04ffed,0xd983ffff,0x0dffffff,0x32666620,0x0004ffff,0x77ffffd4,
    0x413ffe00,0xfffffff9,0xfffeeeee,0x3a0fffff,0xeeffffff,0xffffffee,
    0xfffb80ff,0xedefffff,0xffffffff,0x777fff46,0xffffffff,0xffff1005,
    0xffffddff,0xbfffffff,0xefffd988,0x3ffa601a,0x3ffa00df,0xeeefffff,
    0x3fffffff,0x3fffffa0,0xfffeeeff,0xf303ffff,0xddffffff,0xfffffddd,
    0xffb81fff,0xdeffffff,0xfffffffe,0x7fffe46f,0xffffdeff,0xffffffff,
    0x3ffff65f,0xeeeeffff,0x06ffffff,0xdfffffff,0x9ffffffd,0x3fffffa0,
    0xffffffef,0x55555103,0x559ffff5,0x2a203555,0xfffaaaaa,0x1aaaaacf,
    0xffffff30,0xffdddddf,0x81ffffff,0xfffffff9,0xfffeeeee,0x100fffff,
    0xddffffff,0xffffffff,0xfea8bfff,0xffffffff,0xa8004fff,0xabffffff,
    0xffcaaaaa,0x3ffee06f,0xffffffff,0xffffffff,0x3fffffa0,0xffffffff,
    0x3202ffff,0xffffffff,0xffffffff,0x3ffe62ff,0xffffffff,0x7ec004ff,
    0xffffffff,0xffffffff,0xffff31ff,0xd03fffff,0xbfffffff,0x3ffffa20,
    0xffffffff,0x74404fff,0xffffffff,0x4fffffff,0x7ffffdc0,0xffffffff,
    0x80ffffff,0xfffffffc,0xffffffff,0x7f442fff,0xffffffff,0xffffffff,
    0xff91ffff,0xffffffff,0xffffffff,0x3fffe601,0xffffffff,0xfff300ef,
    0xffffffff,0x3fff209f,0xffffffff,0xffffffff,0x3fffff20,0xffffffff,
    0x80ffffff,0xfffffffb,0xffffffff,0xfb80ffff,0xffffffff,0xffffffff,
    0x3ff600ff,0xffffffff,0xffffffff,0x3ffffa1f,0xffffffff,0x3e2000ff,
    0xffffffff,0xffffffff,0x7ff4c07f,0xffffffff,0x43ffffff,0xfffffff9,
    0xffffffff,0xfffc802f,0xffffffff,0xe82fffff,0xffffffff,0xb0000dff,
    0xffffffff,0xffffffff,0x3fff61ff,0x46ffffff,0xfffffffa,0xff9101ff,
    0xffffffff,0x22005fff,0xfffffffc,0x02ffffff,0xfffffd30,0xffffffff,
    0x7e407fff,0xffffffff,0x2fffffff,0xffffff30,0xffffffff,0x1fffffff,
    0x3fffffea,0xffffffff,0x7d401dff,0xffffffff,0x7d401eff,0xffffffff,
    0xffff104f,0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,0x3fffffff,
    0xfffffd30,0xffffffff,0x74c07fff,0xffffffff,0xffffffff,0xffffd803,
    0xffffffff,0x20ffffff,0xfffffffe,0x1fffffff,0x3fffe200,0xffffffff,
    0x07ffffff,0xffffff70,0x7bffffff,0x3ffae201,0xffffffff,0x322000ce,
    0xffffffff,0x2602efff,0xffffffff,0xfc80001d,0xcfffffff,0x2dffffd9,
    0x3ffffff2,0x7fcc5fff,0x0fffffff,0x7fffecc0,0x00beffff,0xffffd980,
    0x00beffff,0xfffffb80,0xdfffffff,0xffc8800b,0xffffffff,0xfc8802ef,
    0xffffffff,0xfffffd9c,0x333f222d,0xfffffffe,0x22001eff,0xfffffffc,
    0x3fa6003f,0x03efffff,0x7ffffffc,0xffffffff,0x3e2fffff,0xffffffff,
    0xffffffff,0x7dc02fff,0xffffffff,0x000bdfff,0xfffffff7,0x17bfffff,
    0x7fffe400,0xfd9cffff,0x7542dfff,0xffffffff,0x4004ffff,0xfffffff8,
    0xffffffff,0x44007fff,0x9aacccba,0xbaa88000,0x000aaccc,0x6e5d4c40,
    0x2000aacc,0x001abcba,0x59973000,0xfd910003,0x019dffff,0xbfffffb7,
    0x65d44005,0x00001acc,0x35999751,0x2ea20000,0x009aaccc,0x32ea6200,
    0x000aaccd,0xacccba88,0x54c00002,0x00aacccc,0x332ea200,0x5300009a,
    0x26001599,0xfffffffd,0xffffffff,0x7fecc3df,0xffffffff,0x3dffffff,
    0x332ea200,0x00009aac,0x56665d44,0x9800009a,0x0001accb,0x4cccccc4,
    0x10001999,0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccb98000,0x32e603cc,0x3002cccc,0x05930059,0x2002ee00,
    0x200000cb,0x100001da,0x07910059,0x4c002ea0,0x00ae202c,0x00000400,
    0x00013220,0x0af3b660,0x00880000,0x00010000,0x01b70000,0x02c98000,
    0x30000ae2,0x0179ddb9,0xfb700000,0x6c45ffff,0xdddd91df,0xdddddddd,
    0x05dddddd,0x64400000,0xfb700002,0x0005ffff,0x05cc0000,0xffffffe8,
    0xfffffd05,0x3f6009ff,0xfff700df,0xfffa8001,0x07ffd302,0xfffb1000,
    0xff900007,0x3ffee01d,0x3fffea00,0x1fffcc03,0x0005fff8,0x207fff91,
    0xfd500018,0x400003df,0x3efffffe,0xa800f726,0xdeffffdc,0xf90006a2,
    0x006207ff,0x7ffec400,0xff300002,0x17ffe07f,0x3fff6200,0x002fffff,
    0x3ffea000,0x3f22ffff,0xffffb5ff,0xffffffff,0x07ffffff,0xabdcb980,
    0x007fb800,0xfffffa80,0x2e0002ff,0x3e6003ef,0x7fcc5fff,0x985fffff,
    0xffffffff,0xffff5004,0x2ffff4c5,0x7fff4400,0x3ffff20d,0x7fd40000,
    0x001effff,0x8ffffe60,0x405fffd8,0x407ffffe,0xfa86fffc,0x44000fff,
    0x1efffffe,0x9000ffe6,0x09ffffff,0x3fffa000,0xffefffff,0x7f4c00ff,
    0xffffffff,0x802fffff,0xefffffe8,0x000ffa61,0xffffff70,0xfc80001b,
    0xfffa86ff,0x3fe2000f,0xffffffff,0x9000004f,0x5fffffff,0xfdb7ffe4,
    0xffffffff,0xffffffff,0xfff9003f,0x05dfffff,0x40003fec,0xfffffffb,
    0xfff50002,0x3ff6003f,0x7ffc1fff,0xff05ffff,0x09ffffff,0x6ffffdc0,
    0x00cffffb,0xdfffd100,0x03dfffd7,0x7ffe4400,0x03ffffdf,0x3fffea00,
    0x0dffffbd,0x3ffffe60,0x3ffea02f,0x06fff884,0xfefffd80,0xfffddfff,
    0xfffd3003,0x03dfffdd,0xffec8800,0xffffffff,0x3fff2206,0xffffffff,
    0x805fffff,0xfffefffd,0x04fffddf,0xffffb100,0x005ffffb,0x427ffd40,
    0x4006fff8,0xfffffffd,0x002fffff,0xffff9800,0x3fa62fff,0xfffffb4f,
    0xffffffff,0x807fffff,0xffffffea,0xd04fffff,0xf10000ff,0x05ffffff,
    0x3ffff600,0xfffff004,0xffec987f,0xdd7305ff,0x8009ffff,0xffffffd8,
    0xf700002e,0x09ffffff,0xdfffd000,0x17fffaa1,0xfffd8800,0xa802ffff,
    0x04ffffff,0xea80675c,0x7fc4001d,0xffffd31e,0x3ea00bff,0x3ff23fff,
    0x4c0001ff,0xffffffeb,0x7fec01ef,0xffffffff,0x7fffffff,0xd31eff80,
    0x1bffffff,0xffff1000,0x3fffee1b,0x33ae0004,0x003bd500,0x77ffffd4,
    0xffffffdc,0x53000000,0xf705ffff,0x33bfff27,0xcccccccc,0x202ffffd,
    0xfffffffc,0xefffffff,0x0002ffc1,0x5ffff530,0x3ffee000,0xfff9002f,
    0x7fe401ff,0xfffd005f,0x3fee0009,0x00000cff,0x0f7fff4c,0x7ffdc000,
    0x1fffc883,0x7ffd4000,0xff5000df,0x0007ffff,0x05300000,0x00bbffee,
    0x981efff8,0x20006ffe,0xfffffffd,0x2e01ffff,0xbcffffff,0xffffcaaa,
    0x029807ff,0x005dfff7,0x417ffe40,0x000fffd8,0xb8000000,0xfc81ffff,
    0x00002fff,0x217fffc0,0x3ffea6f9,0xffff7002,0x3fffee01,0xffedefff,
    0xf51fffff,0x9900005f,0x9bffff99,0x7f440079,0x3f62005f,0x7fe403ef,
    0xfffd005f,0x77440009,0x5c000002,0x2600004f,0x775401de,0xfd880000,
    0x7ffcc002,0x00003fff,0x98800000,0x03fc8001,0x30003fc8,0x339fffff,
    0x220dffff,0x00cfffff,0x03ffffe4,0x000cc400,0x20067d40,0x000005ea,
    0xfffb0000,0x3fffe20d,0x7c000003,0x07f42fff,0xfe8013b2,0xfff106ff,
    0xf7103dff,0xff7dffff,0xf980001f,0xffffffff,0x198007ff,0x20031000,
    0xd005fffc,0x00009fff,0x20000001,0x00000000,0x00800000,0xfffff880,
    0x0088002f,0x00880000,0x00000000,0x4c16f6c0,0xfd83ffff,0x3a003fff,
    0x40006fff,0x00000000,0x01000000,0x9fffb000,0x02ffff40,0xfff00400,
    0x0017dc5f,0x1ffffcc0,0x05ffffe8,0xffffff98,0x820002ff,0xffff9998,
    0x0000019b,0x7fe40000,0xfffd005f,0x00880009,0x00000000,0x00044000,
    0x00008000,0x03ffffff,0x7ffee544,0x0001deff,0x3fff72a2,0x0001deff,
    0x00000000,0x40ffffb8,0x4005ffff,0x2004fffa,0xeffffdb8,0x0000001c,
    0xdb880000,0x01ceffff,0x04fffd80,0x009ffff3,0xfffecb88,0x3fffe1ce,
    0x40000622,0xc80ffffb,0x2004ffff,0x1ffffff8,0x3fb2e200,0x3fe1ceff,
    0x000002ff,0xff900000,0x3ffa00bf,0xb951004f,0x3bdfffff,0xcccb9800,
    0x332e603c,0x51002ccc,0xdfffffb9,0x7100003b,0x39dffffb,0x3ffffe00,
    0xfffd880f,0xffffffff,0x362001df,0xffffffff,0x001dffff,0x6666664c,
    0x100001cc,0x74135953,0x3fe24fff,0xfd8001ff,0xfff9001e,0xdfffffff,
    0x99973005,0x32600179,0x800acccc,0xfffffffc,0x2002efff,0x5c44fffd,
    0x002ffffe,0x3fffffa6,0xff9dffff,0x000002ff,0xf10dfffd,0x8001ffff,
    0x004ffffb,0x3fffffa6,0xff9dffff,0x332e02ff,0xcccccccc,0x2ccccccc,
    0xfffc8000,0x9fffd005,0xffffd880,0xffffffff,0xfffe801d,0xffd05fff,
    0x809fffff,0xffffffd8,0x1dffffff,0xffff9000,0x5dffffff,0xfffffe80,
    0xfffffd80,0xffffffff,0xffb000ff,0xffffffff,0x001fffff,0x3ffffffe,
    0x40002fff,0xfffffffb,0x6fffaaef,0x003fffe6,0xfe980040,0xffffffff,
    0x3204ffff,0xffffffff,0x7ffffc03,0xd300ffff,0xffffffff,0x009fffff,
    0x6cd3fff6,0x06ffffff,0x3fffff20,0xffffffff,0x0002ffff,0x3ffff980,
    0x02ffff98,0x0dfffd00,0x3fffff20,0xffffffff,0x3602ffff,0xffffffff,
    0xffffffff,0xfc80003f,0xffd005ff,0xfffd809f,0xffffffff,0x2600ffff,
    0x5fffffff,0xffffff98,0x7fec04ff,0xffffffff,0x000fffff,0x3fffffa6,
    0xffffffff,0x3ffff604,0xfffffb07,0xffffffff,0x3f600dff,0xffffffff,
    0x06ffffff,0xffffffa8,0x0002ffff,0xffffffd3,0xffffffff,0x3fffdcff,
    0x3e600000,0xffffffff,0x6fffffff,0xfffffff0,0x7fd40dff,0x3fffffff,
    0xffffff98,0xffffffff,0xffd806ff,0xffffff4f,0x3f6005ff,0xffffffff,
    0xffffffff,0xb800002f,0xfb80ffff,0x2a0006ff,0xfd807fff,0xffffffff,
    0xffffffff,0x3fff602f,0xffffffff,0x03ffffff,0x5fffc800,0x09fffd00,
    0xffffffd8,0xffffffff,0x7fffc06f,0xfff05fff,0x809fffff,0xfffffffd,
    0xffffffff,0xffff3006,0xffffffff,0x360dffff,0xf506ffff,0x3579dfff,
    0x3fffff95,0xdffff500,0xff953579,0xf8803fff,0xffffffff,0xffa8002f,
    0xffffffff,0xffffffff,0x00ffff51,0x7ffc4000,0xbaacefff,0x4ffffffd,
    0xffffffd8,0x3fe203ff,0x1fffffff,0x7fffffc4,0xffdbaace,0x6c04ffff,
    0xfff8cfff,0x02ffffff,0x77ffffdc,0xfffcbaac,0x002fffff,0x6fffe800,
    0x00bfff90,0x07fffc40,0xdfffff70,0xfff97559,0x405fffff,0xfffffffd,
    0xffffffff,0xc80003ff,0xfd005fff,0xffa809ff,0xa9abceff,0x01fffffc,
    0x3ffffae6,0xffdb7305,0xffa809ff,0xa9abceff,0x01fffffc,0x7fffffc4,
    0xffdbaace,0xfc84ffff,0x04c06fff,0x17fffd40,0xf5001300,0x93005fff,
    0xffffdddd,0xfff88005,0xdbacefff,0xffffffff,0x03ffff12,0x3ff60000,
    0x36202fff,0x441fffff,0xbdfffffb,0x2a155530,0x2dffffec,0x2fffffd8,
    0x3ffff620,0x3fff601f,0xffffff94,0x3e207fff,0x2204ffff,0x2ffffffd,
    0x7fcc0000,0xfffd03ff,0xfff80007,0xffff102f,0x7fec409f,0x3602ffff,
    0xeeeeffff,0xffffffee,0xfc80000e,0x7f4c07ff,0x13004fff,0x5ffff500,
    0x17fff200,0x027ffec0,0xffa80098,0x7fec02ff,0x36202fff,0x5c1fffff,
    0x0005ffff,0x013fffa0,0x7fff4000,0x3ffe0004,0x7fec002f,0xfb102fff,
    0x7c7fffff,0x20004fff,0xfffff100,0x3ffee001,0xffff705f,0xb87ffff0,
    0xf880ffff,0x7000ffff,0x6c0bffff,0x32e24fff,0x2ffffffe,0x03ffffd8,
    0x5fffffb0,0xffc80000,0xffff00ff,0xffe80005,0xffffb04f,0x3fff6007,
    0x3ff602ff,0xffff304f,0x200001df,0xa83ffffc,0xdffffffd,0x7f400000,
    0xff9004ff,0x3ff600bf,0xe800004f,0x3e204fff,0x7000ffff,0xfa8bffff,
    0x75004fff,0xd79bddb9,0x50009fff,0x79bddb97,0x0009fffd,0x0017fffc,
    0x03fffff5,0x9fffff90,0x01ffffec,0x90bff220,0x8005ffff,0x980ffffd,
    0x3ea1ffff,0x7fec6fff,0xffff906f,0xfffd8005,0x9fffb00f,0x7ffff4c0,
    0x2ffffc0f,0xfffff100,0xfe800005,0x3ffe06ff,0x7f40002f,0xffff03ff,
    0x7ffc400b,0x3fea02ff,0xffff982f,0x3fae00ef,0x7ffe401d,0xfffeefff,
    0xffffffff,0xdb975005,0xfffd79bd,0x3fff2009,0x9fffb005,0xedcba800,
    0xfffebcde,0x3ffff204,0x7ffec002,0x3fffea0f,0x7fff5404,0xffffffff,
    0x3aa004ff,0xffffffff,0x004fffff,0x00bfffe0,0x03ffffc8,0x97ffffa0,
    0x2dfffffa,0x7fffd4c0,0x02ffff46,0x1ffffc40,0x363ffff8,0x3e1fffff,
    0xffd04fff,0xff1000bf,0x3ff607ff,0xfffe804f,0x3fffe62f,0x7ffdc001,
    0x2600002f,0x3a03ffff,0x40004fff,0xf982ffff,0x5c001fff,0x2202ffff,
    0x7fcc0dfe,0x2e00efff,0x200fffff,0xfffffffc,0xffffffff,0x201fffff,
    0xffffffea,0x4fffffff,0x0bfff900,0x013fff60,0x7fffff54,0xffffffff,
    0x17fffa04,0x3fffe200,0x0ffffe63,0x7fffff4c,0xffffffff,0xfe9804ff,
    0xffffffff,0x04ffffff,0x0bfffe00,0x0ffffd80,0x3fffee00,0x7ffffdc5,
    0xffedefff,0x46ffffff,0x0003ffff,0x3609fffd,0xfff15fff,0x3fe29fff,
    0xffff02ff,0x3ffa0007,0x9fffb04f,0x9fffd100,0x003fffdc,0x017fffcc,
    0xffff9000,0x2fffe401,0xffff3000,0x0ffff703,0x5ffff300,0xfff30100,
    0xfe801dff,0x3203ffff,0xffffffff,0xffffffff,0xe980ffff,0xffffffff,
    0x4fffffff,0x0bfff900,0x013fff60,0xffffffd3,0xffffffff,0x7fffc09f,
    0xfffd0003,0x17fffc49,0x7fffffc4,0xffffffff,0x7c404fff,0xffffffff,
    0xffffffff,0x3ffe0004,0x3ffe002f,0x7fcc007f,0xfffc83ff,0xffffffff,
    0x2fffffff,0x00bfffe2,0x82fffec0,0xff77fffb,0xf71fffff,0xff101fff,
    0x360005ff,0xffb05fff,0x3fee009f,0x1bfff26f,0x3fffe200,0x3fa00002,
    0x7fdc06ff,0x3ea0006f,0xfff907ff,0xfff1000d,0xff30005f,0xb001dfff,
    0x405fffff,0xfffffffc,0xfe9dffff,0xf882dfff,0xffffffff,0xffffffff,
    0xbfff9004,0x13fff600,0xffffff88,0xffffffff,0xff104fff,0x360005ff,
    0x7fec5fff,0xffffe887,0xfedcdeff,0x204fffff,0xffffffe8,0xfffedcde,
    0x20004fff,0x2002ffff,0x4006fffe,0x902ffff9,0xffffffff,0xffffffff,
    0x07ffff05,0x13fffa00,0x74ffffcc,0xafffffff,0x3e06fffd,0xd0003fff,
    0x3f609fff,0xff3004ff,0x3ffee1ff,0xfff88006,0xf300002f,0xf9807fff,
    0xd0003fff,0x3ee0dfff,0xf88006ff,0x4c002fff,0x00efffff,0x0dffff50,
    0xcbefffc8,0x8000accd,0xffffffe8,0xfffedcde,0xf9004fff,0x3f600bff,
    0xffd104ff,0xb9bdffff,0x9ffffffd,0x01ffffc0,0x44fffe80,0xffb82dd9,
    0x6c00bfff,0x3ee04fff,0x400bffff,0x0004fffd,0x800bfffe,0x4007fffd,
    0x201ffffa,0xffffffc8,0x02efffff,0x0017fffa,0x80ffffe6,0xfffdffff,
    0xffefffff,0x3ffa04ff,0xff98005f,0xfffb03ff,0x7fffc009,0x01ffff52,
    0x2ffffa80,0xfff90000,0xfff8801f,0x7dc000ff,0xff504fff,0xfa8001ff,
    0x26002fff,0x00efffff,0x4016dc40,0x0005fffc,0x7ffffdc0,0x7ffec00b,
    0xbfff9004,0x13fff600,0x5fffffdc,0x27ffec00,0x00bfffd0,0x07ffff30,
    0x1ffffd80,0x09fffb00,0x00ffffec,0x004fffd8,0x00bfffe0,0x02ffffb8,
    0x03ffff60,0x3ffea620,0xc800aacc,0x4003ffff,0x200ffffe,0xfffffffd,
    0xffffffbf,0x3ff202ff,0x7f4003ff,0xffb00fff,0x44275c9f,0xff12ffff,
    0xfe8009ff,0x00002fff,0x200dfffd,0x005ffffb,0x81bfffe6,0x004ffff8,
    0x017ffff4,0xefffff98,0xc8000000,0x00005fff,0x00ffffec,0x004fffd8,
    0x200dfff9,0xfb04fffe,0x36003fff,0x3f204fff,0x74003fff,0x4000ffff,
    0x9804ffff,0x204ffffc,0x9804ffff,0x004ffffc,0x00bfffe0,0x0fffff98,
    0x5ffffa80,0x00fff800,0xfffff880,0xfffd8802,0x7ffdc05f,0xff8cffff,
    0x01ffffff,0x0bffffe2,0x3ffff620,0x53fff605,0x7dc2fffa,0x3ffa0fff,
    0xff9002ff,0x00005fff,0x007ffff3,0x06ffffec,0x3ffffea0,0x7ffff402,
    0xffff9002,0xfff5005f,0x36601dff,0x01cb880c,0x005fffc8,0x27fffc00,
    0x7fffe4c0,0xffff9004,0x7ffecc01,0x9ffff04f,0xffff9300,0x7fffc409,
    0xffd8802f,0xfe8005ff,0xd9881fff,0xadffffff,0x1ffffe80,0xffffd988,
    0x8000adff,0x4002ffff,0x02fffffc,0x03ffffee,0x0ffffe00,0x3ffff600,
    0xffb881df,0x4c01ffff,0x1fffffff,0xfffffff9,0xfffffb00,0xfff7103b,
    0xd5103fff,0x3ff2bfff,0x3fffa66f,0x7ffffcc7,0xfffd300d,0x00059fff,
    0x00ffffc8,0x3ffffe20,0x7fe4c0af,0xf9805fff,0x300dffff,0x9ffffffd,
    0x7fffd405,0x3ffe00ef,0x2ffffcc4,0x017fff20,0xffffd000,0xfffb3103,
    0x8015bfff,0x983ffffa,0xdffffffd,0x1ffffe80,0xffffd988,0xfb00adff,
    0x103bffff,0x3ffffff7,0xffff9000,0xffffbdff,0xffffffff,0xffffc8bf,
    0xffffdeff,0xffffffff,0xaaaa885f,0xacffffaa,0xd101aaaa,0x9ddfffff,
    0xffffffd9,0x3ffe0007,0xfe8000ff,0xeeffffff,0xfffffffe,0xfffff003,
    0x7fffccdf,0xffd005ff,0xdddfffff,0x7fffffff,0xffffffd0,0xfffffbff,
    0x09fffffd,0xfffffff9,0xfffffddd,0x7fffffff,0x3fffa000,0xfffa8006,
    0xffefffff,0x00ffffff,0xffffff90,0xffffdddf,0xffffffff,0xfffffa87,
    0xaaaaaabf,0x7ec6fffc,0x3201ffff,0x00005fff,0x7fffffe4,0xffffffde,
    0x5fffffff,0x3ffffe20,0xfffffeef,0x45ffffff,0xeffffffc,0xfffffffd,
    0x05ffffff,0xfffffffd,0xfffffddd,0x372607ff,0xffffe882,0xffffffff,
    0xffffffff,0x3fffa21f,0xffffffff,0xffffffff,0x3fff21ff,0xffffffff,
    0xffffffff,0xfffff980,0xffffffff,0x75c006ff,0x02ffd9bb,0xffffe880,
    0xffffffff,0x3a004fff,0x743fffff,0x003fffff,0xffffffd1,0xffffffff,
    0xffff509f,0xffdfffff,0xffffffff,0x3fffa01f,0xffffffff,0xffffffff,
    0xf88007ff,0x70003fff,0xffffffff,0x1bffffff,0xffffe800,0xffffffff,
    0xffffffff,0x3fffe27f,0xffffffff,0x47ffffff,0x02fffffe,0x0017fff2,
    0xffffd100,0xffffffff,0xffffffff,0x7ffec03f,0xffffffff,0xffffffff,
    0x3ffffa21,0xffffffff,0xffffffff,0xfffe881f,0xffffffff,0xf104ffff,
    0xff305fff,0xffffffff,0xffffffff,0xff981fff,0xffffffff,0xffffffff,
    0xfff10fff,0xffffffff,0xffffffff,0x3ff6207f,0xffffffff,0xff8004ff,
    0x007fffff,0x3ffff220,0xffffffff,0x7fe4002f,0x7fdc0fff,0x22001fff,
    0xfffffffc,0x02ffffff,0xfffffff1,0xffffb3ff,0x805fffff,0xfffffffb,
    0xffffffff,0x005fffff,0x000dfff0,0xfffffe98,0x03ffffff,0x3fffee00,
    0xffffffff,0xffffffff,0x3ffffe25,0xffffffff,0x5c7fffff,0x200fffff,
    0x0002fffa,0xfffff980,0xffffffff,0xffffffff,0x7fffec00,0xffffffff,
    0x40ffffff,0xfffffff9,0xffffffff,0x00ffffff,0xffffff91,0x5fffffff,
    0x2ffffd40,0xfffffc88,0xfd9cffff,0x102dffff,0xfffffff9,0xfffb39ff,
    0xfff85bff,0xffffffff,0xffffffff,0x7ffd402f,0x1dffffff,0xffff5000,
    0x300009ff,0xfffffffb,0x500017df,0xf10dffff,0x2000ffff,0xffffffd9,
    0x5400beff,0x3dfffffd,0xffffffb1,0x3f62003d,0xffffffff,0xefffff8b,
    0xdd50001c,0x3ee00003,0xdfffffff,0xfd880001,0xffffffff,0xefffff8b,
    0x3fffe21c,0xffffffff,0x47ffffff,0x402dfeb8,0x0000efd8,0xffff9100,
    0xb39fffff,0x05bfffff,0x3fffff20,0xffd9cfff,0xf9102dff,0xffffffff,
    0xfffffb39,0xffb3005b,0x7dffffff,0xffff8801,0x665d4402,0x200002ac,
    0x2acccba8,0x3ff66000,0xffffffff,0x3dffffff,0x336ea600,0x300000ab,
    0x000039d9,0xacccba88,0x7fc40001,0xfffb03ff,0xba88000b,0x0001accc,
    0x2f32e600,0x95310001,0x00003599,0x80000000,0x000acba8,0x99531000,
    0x22000359,0xffffffff,0xffffffff,0x000207ff,0x20000001,0x2acccba8,
    0x2e600000,0x00001acc,0x55999751,0x2a200000,0x001acccb,0x0000ddc4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffed40,0x0000004f,0x5dc40571,
    0x00200000,0x0032e000,0x5d40032a,0x100001bc,0x00000055,0x5710164c,
    0x400e4c00,0x751002c9,0x00000379,0x3ae00000,0xb700003e,0x005fffff,
    0x36200f66,0x00040003,0x8802c880,0x1b98003c,0x10000000,0x07910079,
    0x3bbbbb60,0xeeeeeeee,0x2a20002c,0x77300001,0x00000015,0x3ffe2000,
    0x0004ffff,0x0bfff000,0x0001bff6,0x207fff91,0x3fe60018,0x9ffd303f,
    0xffffe980,0x5c4000df,0x0003fffd,0x7fff3000,0x4017ffe0,0xf900dffe,
    0xffd880ff,0x002effff,0x000d4000,0x00ffff88,0x7fffd400,0xf9002fff,
    0x0ffc801f,0xfffd9300,0x17315bff,0x037ff200,0x2007ffdc,0x03fffdca,
    0xf9000000,0x3fee03df,0xfffe801f,0xffffffff,0x2001ffff,0x003ffec9,
    0xffffd910,0x98007fff,0xfffffffe,0x2004ffff,0xfffffffa,0xa8000004,
    0x7c40ffff,0x10001fff,0x3dfffffd,0xd001ffcc,0x7dc1bfff,0x3e601fff,
    0xffffffff,0xffff3000,0x000007ff,0x21bfff20,0x800ffffa,0x262ffffb,
    0x6c04fffe,0xffffffff,0xb000001f,0xf30009ff,0x80005fff,0xfffffffc,
    0x0bff7002,0x4c03ffd4,0xfffffffd,0x06ffffff,0x47ffff30,0x405fffd8,
    0x3ffffffe,0x30000000,0x6c47ffff,0xfd006fff,0xffffffff,0x07ffffff,
    0x7fffedcc,0xe98003ff,0xffffffff,0xf9001eff,0xffffffff,0x4001ffff,
    0x4ffffffe,0xf8800000,0xfffd06ff,0x3ff60001,0xddffffef,0x22003fff,
    0xfebffffd,0x7f402fff,0xffeb8aef,0xdfff3005,0x000007ff,0x213ffea0,
    0x2006fff8,0xfccffffb,0x7c404fff,0xffb31bef,0x3e00000d,0xf90006ff,
    0x980001ff,0x2fffffff,0x7dfff100,0x9fff9513,0xfffff980,0xffffffff,
    0xf5000fff,0xfff7bfff,0xffe801bf,0x0003ffee,0x3fea0000,0xffffbeff,
    0xfffd000d,0xffffffff,0xd501ffff,0xffffffff,0xff98007f,0xffffffff,
    0x8801ffff,0xeeeeeeec,0x8003deee,0x04fffea9,0xbd500000,0x00bb6603,
    0x98f7fc40,0x5ffffffe,0xffff7000,0xb801bfff,0x3ffd05ff,0x7fe46200,
    0x20000003,0xbd500ceb,0xffe98003,0x001effff,0x1ffe2031,0x3fe60000,
    0xf10000ff,0x54c0000d,0x2002ffff,0xfffffffa,0x7c406fff,0xffffffff,
    0xffffffff,0x3ff62002,0x002fffff,0x01ffe426,0x22000000,0xfffffffd,
    0x7fff4003,0xccccccce,0xfff101bc,0xffffffff,0x7ffd4007,0xfffeffff,
    0x0006ffff,0xfd800000,0x000004ff,0x80000000,0xdfff7029,0xfd880005,
    0xf9002fff,0x0bfee05f,0x00fff200,0x00000000,0x3ffee000,0x3200004f,
    0x800006ff,0x000ffff9,0x00003fb0,0x005ffff0,0xfffffea8,0x7dc00cff,
    0xabceffff,0xffffffca,0xfffa8002,0x320000df,0x000003ff,0xffff5000,
    0xffd0001b,0xf980007f,0xffffffff,0x3fa003ff,0xfa82efff,0x0004ffff,
    0x7ec00000,0x000004ff,0x00000000,0x00019880,0x0006fdc0,0x7fc40ffb,
    0x3ffc8004,0x00000000,0xdd300000,0xed980003,0x0003fffe,0x0ffff980,
    0x004fb800,0x5ffff000,0x3b72a000,0xffb000bc,0xfff500df,0x3620003f,
    0xfc80002f,0x0000003f,0x00ff6200,0x03fffe80,0xefffe800,0x03ffff9c,
    0x0bffff30,0x07ffff88,0x00001100,0x409fffb0,0x00000000,0x00000000,
    0x80008000,0xff701ffc,0x7ff90007,0x80000000,0x00000000,0xffffe800,
    0x3000005f,0x8001ffff,0x040006f8,0x005ffff0,0x3f600000,0xfb800fff,
    0x0080005f,0x07ff9000,0x00000000,0xffe80001,0x3500003f,0x03ffff81,
    0x01ffff90,0x01ffff50,0x7ffee544,0x0001deff,0x2a4fffd8,0x2cdfffed,
    0x3332e600,0x332e603c,0x2e602ccc,0x2603cccc,0x02cccccb,0x7dc00000,
    0x03ffd05f,0x007ff900,0x80077220,0xcefffdca,0x0000001b,0x7ffecc00,
    0x9b5002ff,0x3ff72a20,0xccccccff,0x00141bcc,0x3fffb2e2,0x3fffe1ce,
    0x00000002,0x9dfffff9,0x00310137,0x40000200,0x20003ffc,0x00000cd9,
    0xffd00040,0x8000007f,0x7003ffff,0x7c007fff,0xfd882fff,0xffffffff,
    0x0001dfff,0x3ab7fff6,0xffffffff,0x7ff400df,0xfd05ffff,0x09ffffff,
    0x3ffffffa,0xfffffd05,0x332e09ff,0xcccccccc,0x2ccccccc,0xa96fffc4,
    0x90005ffe,0xf70007ff,0xfb300bff,0xffffffff,0x64c001bf,0x1ccccccc,
    0xffd98000,0x3ff6200f,0x7fffd42f,0xffffffff,0x05ffffff,0xffffd300,
    0xf3bfffff,0x26005fff,0xcccccccc,0x3ffe2001,0xffffffff,0xcb9801bd,
    0xffd913cc,0x200039df,0x88003ffc,0x8803fffd,0x1cccccca,0x177ff654,
    0x2b3fffa0,0x02bdeedc,0x1ffffc00,0x005fc880,0x20bfffe6,0xfffffffd,
    0xffffffff,0xfffb0000,0xffffffff,0x05ffffff,0x3fffffe6,0xffff985f,
    0xf984ffff,0x85ffffff,0xfffffff9,0xffffb04f,0xffffffff,0x507fffff,
    0xffffffff,0x4059501f,0x26003ffc,0x406ffffe,0xfffffffc,0x3fffffff,
    0xffffff80,0x0002ffff,0x207ffd10,0x42fffffb,0xfffffffd,0xffffffff,
    0x4000ffff,0xfffffffc,0xffffffff,0xfff802ff,0x2fffffff,0x7fffd400,
    0xffffffff,0xfffd00cf,0xffff7dff,0x009fffff,0x8007ff90,0x03fffffa,
    0x7fffffc4,0xfffd32ff,0x740bffff,0xffffffff,0x000dffff,0x007ffff0,
    0xfffd8000,0xffffd80f,0xffffffff,0xb0006fff,0xffffffff,0xffffffff,
    0x3ffe07ff,0xff05ffff,0x09ffffff,0x3ffffffe,0xffffff05,0x3ff609ff,
    0xffffffff,0x3fffffff,0xfffffd50,0x7ffed43d,0x00fff207,0x77ffffdc,
    0x3ffff600,0xffffffff,0x2a03ffff,0xffffffff,0x200002ff,0x7f4c3ffc,
    0xfb83ffff,0xffffffff,0xffffffff,0x7fec006f,0xffffffff,0xffffffff,
    0x7fffd402,0x02ffffff,0xffffc880,0xffffffff,0x7fffcc1e,0xffffffff,
    0x06ffffff,0x801ffe40,0x4fffffd8,0xfffffb80,0xfffcafff,0x4fffffff,
    0xffffffd0,0xffffffff,0xffff0005,0x44000007,0xf506ffff,0x3579dfff,
    0x3fffff95,0xffffb000,0x7559dfff,0x1ffffffb,0xffffd730,0x3fb6e60b,
    0xd7304fff,0x260bffff,0x4ffffedb,0xffffffb0,0xffffffff,0x54407fff,
    0xfda8acdc,0x445fffff,0x19cffc99,0xfffffd30,0xffffb807,0xecaaceff,
    0x00ffffff,0xfffffff1,0x26005fff,0x3ee209bc,0x3ffee1ff,0x36a01eff,
    0xeeffffee,0xbdeeeeee,0x3ffee001,0xcbaaceff,0xffffffff,0x7fffc402,
    0x02ffffff,0x3b6ea200,0xffffffff,0x7ffffc1f,0xffffffff,0x03ffffff,
    0x67feccc4,0xfff70099,0x26003dff,0xffffffff,0xffffffff,0xe80fffff,
    0xffffffff,0x1fffffff,0x1ffffc00,0xfe880000,0x04c04fff,0x17fffd40,
    0x7fffec00,0x3fa603ff,0x7e405fff,0xffb005ff,0xfff9009f,0x3fff600b,
    0xdffffb04,0xfffddddd,0x2001dfff,0xfffffda8,0x7fec1cef,0xffffffff,
    0x3fffff20,0x7ffcc00d,0x3a200dff,0x2605ffff,0xfffeeeec,0xfffd002f,
    0x9fffffff,0x3fffffa6,0x7ffcc003,0x4400000f,0x204fffff,0xffffffd8,
    0xeeec9802,0x002ffffe,0x32a60054,0x4c4ffffe,0xfffffffc,0xffecabdf,
    0xffb00fff,0xffffffff,0x7ffff4c9,0xeca8004f,0xfffffffe,0xffcacfff,
    0xffff906f,0xffb779df,0xf800dfff,0x00003fff,0xeffffe88,0x3fa00000,
    0xfd8004ff,0xb002ffff,0x6407ffff,0xfb005fff,0xff9009ff,0x3ff600bf,
    0x9fffb04f,0x3ffffe60,0x7ed4400e,0x1befffff,0x3fffff60,0xea8fffff,
    0xc8afffff,0xfffd83cc,0xffd1005f,0xff8007ff,0xfd3002ff,0x7fffffff,
    0xbfffff91,0x80599931,0x000ffff9,0x7fffec00,0xffffb003,0x7fc0005f,
    0xff1002ff,0x7fec001f,0xffff907f,0x3fee01bf,0xfffb01ff,0x9fffffff,
    0x3bffffee,0x0bdedba9,0xfffff100,0xc881bfff,0x9fff301d,0x3fffa203,
    0x3ffe003f,0x4c00003f,0x01ffffff,0x3bb72ea0,0x4fffebcd,0xffffd800,
    0x3ffe2004,0x3fff205f,0x9fffb005,0x0bfff900,0x413fff60,0xf982fffa,
    0x100effff,0xffffffb7,0x4c40037d,0x89999999,0x0dfffffd,0xff0dfffb,
    0xf8800dff,0x7c005fff,0x4c002fff,0xd52abcba,0x745fffff,0x7cc04fff,
    0x00000fff,0x002ffffc,0x05fffff1,0x17fffc00,0x05fffb80,0x07fffea0,
    0x013ffff2,0x407ffff1,0x99999998,0xffffe989,0xffffd8bf,0xf8802fff,
    0x03ffffff,0xf1001800,0x7c00dfff,0x00003fff,0x3fffffe6,0xfffd5001,
    0xffffffff,0xfb0009ff,0xc8001fff,0x3f206fff,0xffb005ff,0xfff9009f,
    0x3fff600b,0x81bfd104,0x0efffff9,0xffffff30,0x7bb9317d,0xffa80003,
    0x3ea2ffff,0x7fcc6fff,0xffffffff,0xffffffff,0x7c007fff,0x00002fff,
    0xbfffffb1,0x27fffe41,0x03fffe60,0xfff98000,0x7fdc001f,0x3e0002ff,
    0xfb002fff,0x2017ffff,0x0fffffb8,0x006fffc8,0x0009fffd,0xdfffffc8,
    0xdefffe88,0x4401ffff,0x01efffff,0xfb800000,0x3fe007ff,0x500003ff,
    0x03ffffff,0xfffffd30,0xffffffff,0xfb0009ff,0xf5000dff,0x3f201fff,
    0xffb005ff,0xfff9009f,0x3fff600b,0x7fcc0404,0x2e00efff,0x320bdfff,
    0x04ffffff,0xffffd880,0x3ffe20cf,0x7ffd46ff,0xffffffff,0xffffffff,
    0x3e000fff,0x80002fff,0x2ffffffa,0x27ffffcc,0x03fffe60,0xfffb8000,
    0xfff98007,0x3fe0002f,0xffb002ff,0xddffffff,0xffffffdd,0x17fff20d,
    0x027fff40,0xffffea80,0x83bfee2f,0x4405ffd8,0x000dffff,0xff300000,
    0x3fe003ff,0xb80003ff,0x01ffffff,0xffffff88,0xffffffff,0xd8004fff,
    0x98005fff,0xf901ffff,0x3f600bff,0xffc804ff,0xfffb005f,0xfff98009,
    0xab800eff,0xfffffd80,0x2e005fff,0x81efffff,0x46fffffd,0xfffffffb,
    0xffffffff,0x1fffffff,0x0bfffe00,0xfffd8800,0x7f440cff,0x4c04ffff,
    0x0000ffff,0x01bfff20,0x0bfffe20,0x2ffff800,0xfffff900,0xffffffff,
    0x201fffff,0xd005fffc,0xb0009fff,0x81bfffff,0xff980ffc,0x7fffc407,
    0x00000002,0x8017fffc,0x0003ffff,0x77ffffe4,0xfffe8801,0xedcdefff,
    0x04ffffff,0x06fffd80,0x0ffff980,0x00bfff90,0x2013fff6,0xb005fffc,
    0x4c009fff,0x00efffff,0x5fffdc00,0x03fffb88,0x4fffffb8,0xff7fff50,
    0xfffffa8d,0xffffffff,0xffffffff,0x3ffe002f,0x3fa0002f,0xf901efff,
    0x809ff9df,0x000ffff9,0x1bffee00,0x3fffe200,0x3ffe0002,0xfff5002f,
    0xffffffff,0x03bfffff,0x802fffe4,0x4004fffe,0x02fffffe,0x2ffdc026,
    0x0bfffe20,0xf0000000,0x3e005fff,0x10003fff,0x1dfffffb,0x3fffee00,
    0x7fec00bf,0xffd8004f,0xffb8007f,0x3fff207f,0x9fffb005,0x0bfff900,
    0x013fff60,0x77ffffcc,0xffe80000,0x806ff981,0x101efffd,0xdff37fff,
    0xacffff88,0xaaaaaaaa,0xaaaaaaaa,0x3fffe000,0xfff10002,0x7ffd409f,
    0x4c04ffb9,0x0000ffff,0x03fffea0,0x5ffff500,0x7fffc000,0x99f91002,
    0xfffffffd,0xf9003dff,0x3fa00bff,0x7fc004ff,0x50000cff,0xf8805fff,
    0x00002fff,0x3ffe6000,0xffff001f,0xffd10007,0x4001bfff,0x001ffffd,
    0x0009fffb,0x007ffffb,0x02ffff44,0x200dfff9,0xc804fffe,0xfd006fff,
    0xff3009ff,0x0001dfff,0x740dff10,0x3ef9807f,0xf9affec0,0xfffff86f,
    0x40000000,0x0002ffff,0xf88077f2,0x09ff73ff,0x00ffff98,0x3ffe2000,
    0x7ff4004f,0x3e0002ff,0x40002fff,0xaafffca9,0x3fff2000,0x9fffd005,
    0x01dfb800,0x13fff200,0x0bfffe20,0xb8000000,0x3e007fff,0x4c003fff,
    0x04ffffff,0x04ffff80,0x4ffffc98,0xffffd800,0xfffb001f,0x7ffe407f,
    0x3ff6600f,0xffc804ff,0x3f6600ff,0x7d404fff,0x300effff,0xff30019b,
    0x007fe409,0x0fffb800,0xff90dff3,0x20001dff,0xffff8000,0xd8000002,
    0x13fee6ff,0x05ffff30,0xe802f260,0x9002ffff,0x005fffff,0x017fffc0,
    0x01fff000,0x0bfff900,0x013fffa0,0xfb100000,0x3e2009ff,0x40002fff,
    0x22001dc8,0x2006ffff,0x2003ffff,0x3ffffffb,0xffffd000,0xfffb3103,
    0x0015bfff,0xfffffd51,0x3faa019f,0x7d406fff,0xfd983fff,0x00dfffff,
    0x41ffffd4,0xffffffd9,0xffff500d,0x7ffc01df,0x40dff004,0x100007fe,
    0xfb99dfff,0xffe887ff,0x2600beff,0x004ffedb,0x0017fffc,0x3ffea000,
    0x2effeccd,0x37fffe20,0xfffd7100,0x7fffcc09,0xffd300df,0x0059ffff,
    0x00bfffe0,0x2ffff800,0x2fffe400,0x04fffe80,0x3e600000,0x22002fff,
    0x0002ffff,0x00effff4,0x7fffff91,0x1ffffc00,0xfffffc80,0x3f20002f,
    0xfdefffff,0xffffffff,0x3a05ffff,0xffffffff,0xfeeeffff,0x01ffffff,
    0x7fffffc4,0xffffffee,0x205fffff,0xeffffff8,0xfffffffe,0x7d45ffff,
    0xaabfffff,0xfffcaaaa,0x05ffd006,0x0000dff5,0x3fffffea,0x4c2fffff,
    0xefffffff,0xffffeeee,0x5440ffff,0xfffaaaaa,0x1aaaaacf,0xfff90000,
    0xffffffff,0x7ffff401,0xfffeeeef,0x6407ffff,0xefffffff,0xffffffee,
    0x83ffffff,0xfaaaaaa8,0xaaaacfff,0xfff8001a,0xfb31007f,0x4c035dff,
    0x000dfffe,0xfffb8000,0xbaa9801e,0xaaacffff,0xff800aaa,0xeeffffff,
    0xfffffffe,0x55555105,0x555bffff,0xffffc835,0xaaaaadff,0x43fdaaaa,
    0xffffffe8,0xffffffff,0x1fffffff,0xffffff98,0xffffffff,0xffffffff,
    0xffffb003,0xffffffff,0x3fffffff,0x7ffffec0,0xffffffff,0x11ffffff,
    0xffffffff,0xffffffff,0x3ea00fff,0xffd99dff,0xd300002f,0xffdddddd,
    0x3ffee09f,0xffffffff,0xffffffff,0x3fffff20,0xffffffff,0x00ffffff,
    0x77775c00,0x03fffeee,0x7fffffd4,0xffffffff,0xffe804ff,0xffffffff,
    0xffffffff,0x7fe47fff,0xffffffff,0xffffffff,0x5df5c00f,0x4c01ffd9,
    0xffffffff,0xffffe81f,0x00005fff,0x0bfffd10,0xffffff10,0xffffffff,
    0xfd80dfff,0xffffffff,0xffffffff,0xfffffd80,0xffffffff,0xff92ffff,
    0xffffffff,0xffffffff,0xffff981f,0xffffffff,0xffffffff,0xffff880f,
    0xffffffff,0xffffffff,0x7fec002e,0xffffffff,0xffffffff,0x7fffec00,
    0xffffffff,0x10ffffff,0xffffffff,0xffffffff,0x7e400fff,0x4fffffff,
    0x5c400000,0x2602fffd,0xfffffffe,0xffffffff,0x3fffe23f,0xffffffff,
    0xffffffff,0xb9800003,0xc801dffe,0xffffffff,0x03ffffff,0x3ffffee0,
    0xffffffff,0x5fffffff,0x3fffffe2,0xffffffff,0x03ffffff,0x7ffffffc,
    0xffffd807,0x546fffff,0xffffffff,0x4c00001f,0xccceffff,0x3fee2dcc,
    0xffffffff,0xffffffff,0x7fffec02,0xffffffff,0xff981dff,0xffffffff,
    0xffffffff,0xffffff95,0xffffffff,0x105fffff,0xfffffff9,0xfffb39ff,
    0x6d405bff,0xd9cfffff,0xffffffff,0x3f20003f,0xcfffffff,0x2dffffd9,
    0xfffff900,0xffb39fff,0x7fc45bff,0xffffffff,0xffffffff,0x7ffdc007,
    0x00003fff,0xfffffe80,0x7ffdc02f,0xffffffff,0xfff80bdf,0xffffffff,
    0xffffffff,0x4400002f,0x0fffffff,0xffffea80,0x0adfffff,0xfffd8800,
    0x8bffffff,0x1cefffff,0x7ffffffc,0xffffffff,0x402fffff,0x3ffffffb,
    0xfffffc80,0x7cc5ffff,0xffffffff,0x7d400000,0xffffffff,0x3ffea7ff,
    0xffffffff,0x1fffffff,0xffffc880,0x2effffff,0x3ffffe20,0xffffffff,
    0xf94fffff,0xffffffff,0xffffffff,0x5d4407ff,0x0002accc,0x65d44000,
    0x00001abc,0x006b32e6,0x665cc000,0xff88001a,0xffffffff,0xffffffff,
    0xcca88007,0x0000000a,0x1bffffd7,0x332ea200,0x98009aac,0xfffffffd,
    0xffffffff,0x000003df,0x09fffffb,0xbccca980,0x2200000a,0x01accca9,
    0x3fff6600,0xffffffff,0x03dfffff,0x0073b2a0,0x7ffff644,0xfdb80cef,
    0x002dffff,0xffffa800,0xffffffff,0x3ffff6e0,0xffffffff,0x98003dff,
    0x09abccaa,0xffffb500,0xffffffff,0x3f219dff,0xffffffff,0xffffffff,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000000cc,0x5c000008,0x0000003e,0x4deee5d4,0xffb50000,
    0x47ffffff,0x8001dfc8,0xdeefedca,0x3f6a00ac,0x3fffffff,0x00000000,
    0x3fffb260,0x0003ffff,0x00000080,0x00000001,0x80000000,0x33100000,
    0xbb751013,0x4ccc0059,0x99998000,0x1015c400,0x00000177,0x20000002,
    0x04eeeeea,0xffffe980,0x4fffffff,0xfffe9800,0xffffffff,0x4ffd8004,
    0xf9100000,0x006207ff,0x0017ffd4,0x22bf6600,0xfffffffc,0x22001eff,
    0xffffffff,0x3ffee3ff,0x3ffaa005,0xffffffff,0xffff883f,0x03ffffff,
    0x7fff4c00,0xffffffff,0xfffff004,0x007fffff,0xfffb9500,0x4000379d,
    0x0603fffb,0xdffffd00,0x10000000,0xbdfffdd7,0xfffc8005,0x3ffa65ff,
    0x02efffff,0xdfffffb1,0xfffd9807,0xf883efff,0xdffd04ff,0xdd710000,
    0x005bdfff,0xffffd000,0xff9000bf,0xffffffff,0xc8001fff,0xffffffff,
    0x000fffff,0x00037ffc,0x7ffff440,0x0ffe61ef,0x00ffff20,0xffff9000,
    0xffffffff,0x2009ffff,0xfffffffa,0x3ff23fff,0xfff5007f,0xffffffff,
    0xffa81fff,0xffffffff,0x7fe40003,0xffffffff,0x7c400fff,0xffffffff,
    0x3660003f,0xffffffff,0x74000dff,0x22efffff,0xf1004fe9,0x0007ffff,
    0x7fecc000,0xffffffff,0xfff9803e,0xfff75fff,0xffffffff,0xfffff709,
    0x7f401fff,0xffffffff,0x43fffd40,0x001ffff9,0xfffffb30,0x07dfffff,
    0x3ffee000,0x88005fff,0xeeeeeeec,0x8003deee,0xeeeeeec8,0x003deeee,
    0x007fffcc,0x3fff6000,0xfddffffe,0xeeb883ff,0xeeefffff,0xe8000bde,
    0xffffffff,0xffffffff,0xffe800ef,0x3fffffff,0x2017ffa2,0xfffffff9,
    0x7fffffff,0xffffffd0,0x80007fff,0xeeeeeec8,0x003deeee,0xfffffffb,
    0x320007ff,0xffffffff,0x03ffffff,0xffdfff90,0x9fff9bff,0x3fffea00,
    0x20000006,0xcefffffb,0xeffffecc,0x3fffea00,0xffffddff,0xffffffff,
    0x7fffe43f,0x3a00ffff,0xffffffff,0x2fffc41f,0x0007fff8,0x9dfffff7,
    0xdffffd99,0x7fc40001,0x005fffff,0x00000000,0x7cc00000,0x00000fff,
    0x74c7bfe2,0x05ffffff,0xfffffff9,0x5fffffff,0xfffff000,0xfbbdffff,
    0x0dffffff,0x3eaaaa60,0x3fa83fff,0xfffffd80,0xffedcbcd,0x2aaa603f,
    0x003ffffa,0x40000000,0xfffaaaa8,0xffd8003f,0xffffffff,0x03ffffff,
    0xfb11efe8,0x01dfffff,0x0bffff20,0x36200000,0x2201dfff,0x202fffeb,
    0xfffffffd,0xecdfffff,0x20ffffff,0xffffffe8,0x7fffd404,0xd504ffff,
    0x0b76603b,0xbfffb100,0x7ff5c403,0xffb0002f,0x00bfffff,0x00000000,
    0xf9800000,0x00000fff,0xfffb814c,0x3ffee02e,0xffffffff,0xf8002fff,
    0x01cfffff,0x9fffffb1,0x3fffe000,0xf8037c43,0x00006fff,0x00ffffe0,
    0x00000000,0x00ffffe0,0xffffff70,0xffd9559d,0x9801ffff,0x7dfff502,
    0x7fffc001,0xb0000006,0xc8005fff,0x36201fff,0xdfffffff,0x7fff4c0a,
    0xffffb84f,0x3fee2000,0x000000ff,0x0bfff600,0x03fff900,0xfffff980,
    0x00005fff,0x08000000,0x3fe60000,0x000000ff,0x9800cc40,0xaefffeaa,
    0x0001aaaa,0x005fffff,0x07ffffea,0x0ffffe00,0xff1003fd,0x000005ff,
    0x001ffffc,0x00001000,0x00ffffe0,0xdfffff98,0x3fffa200,0x4c40005f,
    0xfff98001,0x8000002f,0x0000effb,0x6c01fff5,0x05ffffff,0x42ffffd4,
    0x8007fffa,0x0007fffb,0x3fee0000,0xff50000e,0x7ff4001f,0x05ffffff,
    0x3ccccb98,0x33332e60,0x6e54002c,0x01bcefff,0x3ff72a20,0xccccccff,
    0x00001bcc,0xfffb0000,0x74000209,0x54005fff,0x8006ffff,0x3ee3ffff,
    0xffff3003,0x7c000003,0x00003fff,0xdffffb71,0x3e000039,0x36003fff,
    0x1005ffff,0x007ffffd,0xf7000080,0x00800dff,0x98fff980,0xcdeeeeed,
    0x40bff702,0x05fffffd,0x50ffffb0,0x7000ffff,0x0000ffff,0x3ffe6000,
    0xceffdb80,0x17fee2c9,0x6ffffdc0,0x7405fffd,0x05ffffff,0xfffffffd,
    0x3ff66009,0xffffffff,0x7ffcc00d,0xffffffff,0x5fffffff,0x99999300,
    0x20003999,0xdb54fffd,0x0039dfff,0x0007fff2,0x007ffff2,0x447ffff0,
    0x7ee5cc01,0x00001fff,0x00ffffe0,0x3ffff200,0x2effffff,0x7fffc000,
    0x3fffe003,0x7ffc4006,0xcccb985f,0xdfffd913,0x3ff60039,0x5999511f,
    0x337fff6a,0x92ffd800,0xffffffff,0x3ffb03df,0x17ffff60,0x0ffffb80,
    0x003fffd4,0x403fffdc,0xccccccc9,0x7fec001c,0x7ffff442,0x7ec6ffff,
    0x7ffc401f,0x5fffd8ff,0x3ffffe60,0xfff985ff,0x804fffff,0xfffffffc,
    0x3fffffff,0x3fffff60,0xffffffff,0x00ffffff,0x7ffffffc,0xb0002fff,
    0xfffddfff,0x19ffffff,0x004fd980,0x05ffff10,0x03ffff80,0x3fffff60,
    0x00001fff,0x00ffffe0,0xffffe980,0xffffffff,0x3fe0004f,0x03bd73ff,
    0xfffffff3,0xffffffff,0x8fffffff,0xbefffffe,0xffffffff,0x5fff804f,
    0x9bfffff3,0xdfffffff,0x12ffc403,0xfb99dff7,0xff981dff,0x1dfffb04,
    0x7fffd400,0x03fffd40,0x03fffdc0,0x3ffffffe,0x22002fff,0xdffe85ff,
    0x47fffdbb,0x7e404ff9,0xfffb4fff,0xfffff80b,0xffff05ff,0xd809ffff,
    0xffffffff,0xffffffff,0xfffff703,0xffffffff,0x80dfffff,0xfffffffa,
    0xb0002fff,0xffffffff,0xbfffffff,0x3a000000,0x7c004fff,0xf1003fff,
    0xffffffff,0x7c000003,0x1ca83fff,0x3ffffe60,0xffffffff,0xf0006fff,
    0xfffdbfff,0xfffff50b,0xffffffff,0xffffffff,0x3fffe61f,0xffffffff,
    0x06ffffff,0x7e47ffea,0xffffffff,0x0fffffff,0xfb03ff70,0xf05ff509,
    0x3fff60ff,0x7ffcc005,0x3fffd40f,0x3fffdc00,0xffffff50,0x4005ffff,
    0x7fe41ffb,0xf87fe882,0x3ffe607f,0x17fff66f,0xffffd730,0x3fb6e60b,
    0x3ee04fff,0xacefffff,0xfffffeca,0xfddb700f,0xdddddfff,0x8037bddd,
    0xfffffff8,0xb0002fff,0xffffffff,0xffffffff,0x2aaaa607,0xaaaaaaaa,
    0xfdaaaaaa,0x7fc005ff,0x3fa003ff,0x1fffffff,0x3fe00000,0x7fff43ff,
    0xfffff882,0xfdbaacef,0x004fffff,0xfffffff8,0xfffb87ff,0xffffffff,
    0xffffffff,0x3ffe1fff,0xffffffff,0xffffffff,0x5cbff903,0xffffffff,
    0xffffffff,0x360ffb05,0xb07ff04f,0xfffb03ff,0xfff9800b,0x3fffd41f,
    0x3fffdc00,0xffffff10,0x4005ffff,0x05ff87fd,0x3ff61bea,0x5ffffb01,
    0x002fffec,0x200bfff9,0xf304fffd,0x401bffff,0x05ffffe8,0x00ffff98,
    0x3bb26000,0x02ffffee,0xfffffb00,0xfb557bff,0x3f20ffff,0xffffffff,
    0xffffffff,0x007fffff,0x001ffffc,0xfffddb73,0x4000003f,0x3e63ffff,
    0xffd86fff,0x36202fff,0x001fffff,0x7ffffffc,0xfffa84ff,0xffffffff,
    0xffffffff,0x3f262fff,0xdfffffff,0xffffecab,0x40ffe80f,0xfffffffb,
    0xffffdabd,0xb06fe80f,0x03ff709f,0xffb05ff7,0xff9800bf,0x7ffd41ff,
    0xfffb8007,0x77764c07,0x002ffffe,0x5ff31bfa,0xffb81a80,0x6ffffa82,
    0x002fffec,0x200bfff9,0xfb04fffd,0x2200bfff,0x403ffffe,0x000ffff9,
    0xffff8000,0xfffb0002,0x3f201bff,0xffc81fff,0xffffffff,0xffffffff,
    0x4007ffff,0x0003ffff,0x007fffe6,0xffff8000,0x1bfffea3,0x01fffff1,
    0x17fffee0,0xfffffc80,0xff103fff,0x555559ff,0x55555555,0xf9015555,
    0x201bffff,0xb81ffffb,0xffffb01e,0xffff503f,0x3609ff05,0xfffdbadf,
    0xb07ff106,0x8800bfff,0x7d41ffff,0xfb8007ff,0xff0007ff,0x7fc005ff,
    0x0007fd44,0xfe83ff88,0x7fec1fff,0x3ff2005f,0xfffb005f,0x1bfffe09,
    0xbffff100,0x0ffff980,0xff800000,0xfb0002ff,0xf9809fff,0xffc82fff,
    0xffffffff,0xffffffff,0x4007ffff,0x0003ffff,0x007fffe6,0xffff8000,
    0x21ffff43,0x002ffffc,0x007fffec,0x3fffffaa,0x7fc00cff,0x00000fff,
    0x09ffff90,0x03ffff88,0x2ffffd80,0x10ffffe0,0x3ff607ff,0x00dfffff,
    0x3ff613fe,0x7fc4005f,0x7ffd41ff,0xfffb8007,0xffff0007,0x0ffe2005,
    0xf8000ff7,0x7fffe44f,0x05fffd84,0x017fff20,0x4c27ffec,0xffffffff,
    0xffffffff,0x547fffff,0xfffffffd,0x1dffffff,0xffff0000,0x3ff60005,
    0xffff005f,0xfffff907,0xffffffff,0xffffffff,0xfff800ff,0x3e60003f,
    0x00001fff,0x10ffffe0,0xfffd05b9,0xfff1000b,0x3ff6207f,0x01efffff,
    0x1dffff90,0xfc802000,0xffd006ff,0xffb0009f,0xfffd80bf,0xfb05ff84,
    0x03ffffff,0x7ec1ffcc,0x7c4005ff,0x7fd41fff,0xffb8007f,0xfff0007f,
    0x2ffc005f,0x98001fee,0x3ffe23ff,0xfffd80ff,0x3fff2005,0x9fffb005,
    0xffffff50,0xffffffff,0xffffffff,0x7fffffc1,0xffffffff,0xf00006ff,
    0x20005fff,0xd004fffd,0xff707fff,0x7dc000df,0x7fc006ff,0x260003ff,
    0x0001ffff,0x0ffffe00,0x07ffff00,0x13fffa00,0x3fffffe2,0x22003fff,
    0x0beffffe,0x3ffb6e60,0x0bfff904,0x013fffa0,0x013fff60,0xfd09fffb,
    0xfa93f60f,0x5ff700ef,0x00bfffb0,0x41ffff88,0x7507fffa,0x0ffff701,
    0x0bfffe00,0x7cc7fe80,0xff70002f,0x1ffffec5,0x005fffd8,0x4017fff2,
    0xfb84fffd,0xffffffff,0xffffffff,0xf11fffff,0xffffffff,0xffffffff,
    0x3ffe0000,0xffb0002f,0x3ffa009f,0xffffa83f,0xfffb0000,0xffff800b,
    0x3fe60003,0x000001ff,0x800ffffe,0x002ffff8,0x50bfffb0,0xffffffff,
    0xff98007f,0xeeefffff,0xffffffee,0xfffc80ff,0x9fffd005,0x9fffb000,
    0x84fffd80,0x4fd80ffd,0xfe82ffcc,0x5fffd80f,0x7fffcc00,0x43fffd40,
    0xffb86ffb,0xfff0007f,0x7fec005f,0x101bfe20,0x261ffd03,0xcccfffff,
    0xefffeccc,0xfffc800a,0x9fffb005,0xffffff50,0xffffffff,0xffffffff,
    0x7ffffec5,0xffffffff,0xf00003ff,0x20005fff,0xd004fffd,0xff107fff,
    0x3e0005ff,0x7c003fff,0x20003fff,0x001ffff9,0x3fffe000,0x7fffc003,
    0xfffd0003,0x9ffff109,0x0007ffff,0xfffffff7,0xffffffff,0xf901ffff,
    0x3fa00bff,0xfd8004ff,0x7fec04ff,0x82ffa84f,0x4ffa84fd,0xfd837fc4,
    0x7cc005ff,0x7fd40fff,0x1fffe87f,0x003fffdc,0x002ffff8,0xff90bfea,
    0x887fea09,0x3fff66ff,0xffffffff,0x07ffffff,0x005fffc8,0xf109fffb,
    0x55559fff,0x55555555,0x88155555,0xbffffcaa,0x000aaaaa,0x0bfffe00,
    0x27ffec00,0x03fffe80,0x000dffff,0x003ffff7,0x003ffff8,0x07fffe60,
    0xfff80000,0x7ff4003f,0xff98005f,0x19b303ff,0x000ffffe,0x7fffff4c,
    0xffffffff,0xff903fff,0x3ffa00bf,0xffd8004f,0x7ffec04f,0x2a1fff04,
    0x644ffffe,0x7ff52eff,0x017fff60,0x81ffff30,0xff87fffa,0x7ffe42ff,
    0xffff0006,0x0fff8005,0x6e6ffff4,0x7fd46ffe,0x3fffff63,0xffffffff,
    0x402fffff,0xd006fffc,0x3fe09fff,0x00000fff,0x07fffcc0,0x7fc00000,
    0xfb0002ff,0x3fa009ff,0xfff903ff,0x7fcc009f,0x7c000fff,0x20003fff,
    0x001ffff9,0x3fffe000,0x7ffe4003,0x7ff4003f,0x3fe000ff,0x5c0003ff,
    0xffffffff,0x00bdffff,0x4017fff2,0x8004fffe,0x6c04fffd,0xff704fff,
    0x3fffff2b,0xf8cffe87,0xfffb00ff,0xfffa800b,0x87fffa87,0x7e42ffff,
    0xff0005ff,0xfb8005ff,0xffffc85f,0x3e20efff,0x3fff60ff,0xffffffff,
    0x0fffffff,0x07fffe40,0x9ffffb30,0x3bffff20,0x30010000,0x2005ffff,
    0xff8003c9,0xfb0002ff,0x3fa009ff,0xfff103ff,0xff5009ff,0xf0005fff,
    0x40007fff,0x001ffff9,0x3fffe000,0x7ffc4003,0xfd8802ff,0x7c005fff,
    0x00003fff,0x55bfffb1,0x7fe40013,0xfffd005f,0xfffb0009,0x4fffd809,
    0x54cbffa0,0xaa880aaa,0x3602ffd8,0x64005fff,0xffa86fff,0x2ffff87f,
    0x00ffffa2,0x017fffc0,0x4c17ff40,0xd82cdecb,0x777642ff,0xeeeeeeee,
    0x01cfffff,0x83ffffa8,0xffffffd9,0xfffe880d,0x2e600bef,0x4404ffed,
    0x100dffff,0x009fffd7,0x002ffff8,0x009fffb0,0xa80ffffa,0x09efffff,
    0x7ffffecc,0xffff0005,0x7fcc0007,0x000001ff,0x000ffffe,0x37fffff6,
    0xffffb881,0x7fc001ff,0x200003ff,0x40002ffd,0xd005fffc,0xb0009fff,
    0xfd809fff,0x3fe604ff,0xfe88004f,0x3ffa604f,0xfd3001ef,0xfff90bff,
    0x3ffff83f,0x00bffff6,0x017fffc0,0x027ffcc0,0x027ff440,0x2fffec00,
    0xfffff100,0xfffffddf,0x0bffffff,0xfffffff3,0xfffddddd,0x801fffff,
    0xeefffffe,0xffffffee,0xaaaa887f,0xacffffaa,0x5101aaaa,0x015dfffd,
    0x37fffea2,0xffff900a,0xfffddfff,0x401fffff,0xfaaaaaa8,0xaaaadfff,
    0xf755301a,0x35557fff,0xaaaa8800,0xadffffaa,0x7401aaaa,0xefffffff,
    0xffffffee,0x5555103f,0x5bffff55,0x00035555,0x20028ffd,0xaefffd98,
    0x3fffa601,0x3fa6000d,0xe8809dff,0x7d405fff,0xf5001eff,0x7ff40dff,
    0x886fffff,0xfffffccc,0x3ffffe61,0x3fffe5ff,0xffffffef,0x2aaaa200,
    0xacffffaa,0x5401aaaa,0x5001efff,0x4000dfff,0xefffeaa8,0x3fff6000,
    0xffffffff,0xffffffff,0xfffffb81,0xffffffff,0x00ffffff,0x7fffffd4,
    0xffffffff,0x7ffe43ff,0xffffffff,0xffffffff,0x3ffffea0,0x7e42ffff,
    0xffffffff,0xfffffb01,0xffffffff,0x7fe403df,0xffffffff,0xffffffff,
    0xfffff30f,0xffffffff,0xff9003ff,0xffffffff,0xffffffff,0x3ffa201f,
    0xffffffff,0x904fffff,0xffffffff,0xffffffff,0x5c003fff,0x05ffcdff,
    0xffffff98,0xffe81fff,0x405fffff,0xfffffff9,0x3ffea0ff,0x2600efff,
    0x0abdffff,0x9ffff933,0x7ffffd40,0x7ec1ffff,0x44ffffff,0xfffffffc,
    0xffffff1f,0x407fffff,0xfffffffc,0xffffffff,0x2600ffff,0x0abdffff,
    0x9ffff933,0x7ffec000,0x06ffffff,0x3fffff60,0xffffffff,0x300fffff,
    0xfffffffd,0xffffffff,0x3fee007f,0xffffffff,0x7c43ffff,0xffffffff,
    0xffffffff,0x3ffa3fff,0x6fffffff,0x7ffffffc,0x3ea04fff,0xffffffff,
    0x7c404fff,0xffffffff,0xffffffff,0xfff93fff,0xffffffff,0x880bffff,
    0xffffffff,0xffffffff,0x2203ffff,0xfffffffc,0x02ffffff,0xfffffff1,
    0xffffffff,0x009fffff,0x7fffffc4,0xffffd805,0x546fffff,0xffffffff,
    0x3fff201f,0x25ffffff,0xfffffffe,0x7ffec403,0xffffffff,0x7fc402ff,
    0x0fffffff,0x7ffffff4,0x7fffdc0f,0xff70ffff,0x9fffffff,0x7ffffc40,
    0xffffffff,0x3fffffff,0x7fffec40,0xffffffff,0x3e60002f,0xffffffff,
    0x3f2001ff,0xcfffffff,0x2dffffd9,0xfffffb80,0xdfffffff,0x7f54000b,
    0xffffffff,0x3fffe03d,0xffffffff,0xffffffff,0x3fffff22,0x7f44ffff,
    0xffffffff,0x7ffe4403,0x01dfffff,0xffffffd0,0xffffffff,0x2e5fffff,
    0xffffffff,0x3fffffff,0xfffffe80,0xffffffff,0x02ffffff,0xfffffd98,
    0x400befff,0xffffffff,0xffffffff,0x4003ffff,0x00dfffc9,0xffffffc8,
    0x7fcc5fff,0x0fffffff,0x3ffffee0,0x3f64ffff,0x01ffffff,0xfffff930,
    0x4005dfff,0xdefffedb,0xfffffa83,0xffeb881e,0x7fdc2dff,0x803dffff,
    0xffffffff,0xffffffff,0x3002ffff,0xfffffff9,0x100005df,0xffffffff,
    0x30001fff,0x00035997,0x99975100,0x00001355,0x2b3332a6,0xfffb3001,
    0xffffffff,0x87bfffff,0xfffffec8,0x7fecc0ce,0x00ceffff,0x06b2ea20,
    0x3fff6600,0xffffffff,0x23efffff,0xfffffec8,0xceffffff,0xfffd9800,
    0xffffffff,0x03efffff,0x6665d440,0x3f66001a,0xffffffff,0xefffffff,
    0x0060000c,0xffffd910,0xfb7019df,0x805bffff,0xfffffeb8,0x3fb220ce,
    0x88003dff,0x00abcba9,0x2a200000,0x400002bc,0x4001cb98,0xffffffd9,
    0xffffffff,0x88003dff,0x00abcba9,0x7fed4000,0x02dfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5e765d44,0x2a20000a,0x00accecc,
    0x6e5cc000,0x400000ab,0x2bcddb98,0x33331000,0x99988013,0x26200019,
    0x99999999,0x0d400199,0xccc98000,0xcccccccc,0xcccccccc,0xba8802cc,
    0x0002bcdd,0x3bfb72a0,0x2a00acce,0xfffffffd,0x3f6a003f,0x0004ffff,
    0x3ffff6a0,0x0000004f,0x00dffff7,0x000cccc0,0x00013331,0x02b372e6,
    0x99999980,0x99999999,0x99999999,0x99999880,0x4cccc009,0x03333000,
    0x004ccc40,0x26666662,0x00009999,0x7ffff5c4,0x003fffff,0x7ffffe44,
    0xfa9dffff,0x7fe4003f,0x2effffff,0x7ff64000,0xdfffffff,0xfd903feb,
    0x5bffffff,0xfffffec8,0xd5001dff,0xffffffff,0x3bffffff,0x004ffd80,
    0x9999ab80,0x99999999,0x99999999,0x3fff6204,0xbbefffff,0x3aa000df,
    0xffffffff,0xff883fff,0xffffffff,0xffff3003,0x00009fff,0x3fffffe2,
    0x0000004f,0x00dffff7,0xfffffd98,0xffb500cf,0x2007dfff,0xffffffe9,
    0x7fcc00cf,0xffffffff,0xffffffff,0x3ae4ffff,0xffffffff,0x3fff622d,
    0xd984efff,0x0dffffff,0xfffffd70,0xfffeb89d,0xffffffff,0x1002deff,
    0xfffffff9,0x3dffffff,0xfffff700,0xffffffff,0x2a00ffff,0xfffffffe,
    0x8004ffff,0xffffffe8,0xffffffff,0xffff987f,0x26ffffff,0xfffffffa,
    0xfd006fff,0xffffffff,0xdfffffff,0x006fff80,0x00001b80,0xfffb8244,
    0xffffffff,0x7003ffff,0xffffffff,0x81ffffff,0xfffffffa,0xf5003fff,
    0x09ffffff,0x3ffe6000,0x0004ffff,0xffff7000,0xfffd800d,0x884fffff,
    0xffffffff,0x7ffd402f,0xefffffff,0x3fffe600,0xffffffff,0xffffffff,
    0xffff14ff,0xdfffffff,0x7fffffdc,0x7ff43fff,0x84ffffff,0xfffffff8,
    0xffff12ff,0xffffffff,0x3dffffff,0xfffffb80,0xffffffff,0x3f600eff,
    0xffffffff,0xffffffff,0x7ffe401f,0xffffffff,0x3000efff,0xffffffff,
    0xffffffff,0xfffa83ff,0x7fffffff,0x3fffffee,0xf006ffff,0xffffffff,
    0xffffffff,0x7fffcc0d,0x00dc0000,0x2a122000,0xffffffff,0xffffffff,
    0xffff9805,0xffffffff,0xfffd07ff,0x07ffffff,0x7fffffc0,0x3a00004f,
    0x04ffffff,0xff700000,0xff800dff,0x6fffffff,0xffffff98,0x3e203fff,
    0xffffffff,0x3e606fff,0xffffffff,0xffffffff,0xf34fffff,0xffffffff,
    0x7ffe4fff,0x43ffffff,0xfffffffe,0xffff985f,0xf33fffff,0xffffffff,
    0xffffffff,0x7dc03fff,0xceffffff,0x4fffffed,0xffffff90,0xffffd9df,
    0x403fffff,0xfffffffb,0xfffffede,0x7fd400ff,0xddffffff,0xfffffffe,
    0xffffd82f,0x223fffff,0xfffffffe,0xff7002ff,0xffffffff,0x05ffffff,
    0x007fffcc,0x00006e00,0xfff98910,0xfeddefff,0x06ffffff,0xcfffffd8,
    0xfffedcbb,0x2aaaa603,0x4003ffff,0x04fffea9,0x7f54c000,0x000004ff,
    0x09dddd50,0xfffffb80,0xffb02fff,0x01ffffff,0x77ffffec,0x1fffffed,
    0xffffff30,0xffffffff,0xffffffff,0x7ffffec9,0x263fffff,0xffffffff,
    0x7fffd40e,0xfb01ffff,0x1dffffff,0x7fffffec,0xffffffff,0x00ffffff,
    0x159ffff7,0x3fffff50,0xefffffa8,0xfffc880a,0xff101fff,0x7103dfff,
    0x40bfffff,0xbdfffff9,0xffffb301,0x3ffa205f,0x262019df,0x003ffff9,
    0xd3333330,0x01339fff,0x01ffff30,0x0001b800,0x3ff62440,0xfb881dff,
    0xf806ffff,0x00006fff,0x00ffffe0,0x027fff40,0xfffd8000,0x00000004,
    0xfffa8000,0x7fec03ff,0x7c401dff,0x7d41efff,0xff300fff,0xf33335ff,
    0x33337fff,0xd309fffd,0x1033bfff,0x19fffffd,0xfffff980,0x7ffff401,
    0x3ffa600c,0xa99999df,0x5fffffca,0x00dfff50,0x447ffff7,0x00efffff,
    0x1ffffe98,0x0bffffd0,0x5fffff30,0x17ffff60,0x2ffffb80,0x013fff60,
    0x005ffff0,0x4fffe800,0x7fffcc00,0x00dc0000,0xff122000,0xff300dff,
    0xff880dff,0x000002ff,0x000ffffe,0x0027fff4,0x4fffd800,0x00000000,
    0xffff5000,0x3ffe601d,0xff9800ef,0x7ff302ff,0x07fffcc0,0x6c17fffc,
    0xffb04fff,0x3ffe609f,0x2e003fff,0x2a06ffff,0xb006ffff,0xd1009fff,
    0x3e20ffff,0xfff004ff,0x7fffdc9f,0x3fea000e,0xfffc81ff,0x3fe2004f,
    0x7fcc0fff,0xff8006ff,0x3ff600ff,0x7ffc004f,0x7400002f,0xa8804fff,
    0xccffffdc,0x1bcccccc,0x000006e0,0x7fffcc91,0xbfffb002,0x1ffff980,
    0x3fe00000,0xfd0003ff,0x000009ff,0x0413fff6,0x00000000,0x27fffec0,
    0x17ffff44,0x07fffa80,0xffff9800,0x82ffff80,0xfb04fffd,0xfff509ff,
    0xb0005fff,0xf109ffff,0x2003ffff,0x5004fffd,0x3603ffff,0xff9001ff,
    0x7ffff4df,0x7fff8000,0x0fffff88,0x7fffdc00,0x07ffff44,0x037fdc00,
    0x0013fff6,0x0005ffff,0x04fffe80,0x7fffffd4,0xffffffff,0x3705ffff,
    0x24880000,0x000ffff9,0x7307fff3,0x9bffffb9,0x01799999,0x1ffffc00,
    0x4fffe800,0xcccccc98,0x9fffb001,0x37fffb6a,0xcc98001c,0x01cccccc,
    0x3fffe200,0x7fffe42f,0x3ffe6004,0x7cc0000f,0xfff80fff,0x4fffd82f,
    0xb89fffb0,0x01ffffff,0xfffff100,0x4ffffd83,0x13fff600,0x17fffc40,
    0x7fc40030,0xffff15ff,0x3fee0007,0x2ffff985,0xdfffd000,0x005ffff8,
    0xfb002ea0,0xff8009ff,0x400002ff,0x6c04fffe,0xffffffff,0xffffffff,
    0x01b80fff,0x3e244000,0x32004fff,0x7ffec0df,0xffffffff,0x03ffffff,
    0x07ffff00,0x13fffa00,0xffffffff,0xfffb00ff,0xffffffdd,0x7c007fff,
    0xffffffff,0x7d40002f,0xff50efff,0xf8800dff,0x40001fff,0xf80ffff9,
    0xffd82fff,0x9fffb04f,0x77ffffe4,0x7fd40001,0x3ffea6ff,0x7fec006f,
    0xfffb004f,0x3200001f,0xff54ffff,0x4c0001ff,0x0dfff702,0x3fffd400,
    0x007ffff3,0xfffb0000,0xffff8009,0x7f400002,0x7fdc04ff,0xffffffff,
    0xffffffff,0x00003706,0x7ffec488,0x220000df,0xffffffff,0xffffffff,
    0xff0006ff,0x3a0007ff,0x3fea4fff,0xffffffff,0x7fffec02,0xffffffff,
    0xfa804fff,0xffffffff,0xfd80002f,0xfff8cfff,0xfe8001ff,0xf80003ff,
    0xffff06ff,0x05fff705,0x7ed3fff6,0x000effff,0x9ffffb00,0x03fffff1,
    0x04fffd80,0x07ffffb8,0xfffd8800,0xffff71ff,0x7e400000,0x220005ff,
    0xff51ffff,0x000001ff,0x009fffb0,0x002ffff8,0x27fff400,0x7ff76d40,
    0xeeeeeeff,0x3701bdee,0x44880000,0xeffffffa,0x7f4000ac,0xffffffff,
    0xffffffff,0xffff0004,0x3ffa0007,0x3fffe24f,0x00ffffff,0x7fffffec,
    0xffffffff,0x7fc403ff,0xffffffff,0xff880002,0xffffefff,0x3aaa2004,
    0x0aaaefff,0x04ffc800,0xf305ffff,0x3ff601ff,0xfffffedf,0x7c400005,
    0xfffeffff,0xffd8003f,0xa99999df,0x3fffffec,0x3ff26000,0x3f25ffff,
    0x000006ff,0x000ffffa,0x2e5ffff0,0x00006fff,0x09fffb00,0x02ffff80,
    0x7fff4000,0x7ffcc004,0x0dc0000f,0x21220000,0xfffffffc,0x400bdfff,
    0xfffeedb9,0xeeeeeeef,0xff0000bd,0x3a0007ff,0x3fea4fff,0x1ceeffff,
    0xfffffd80,0xffcabdff,0x4c00ffff,0xfffeeeec,0xf500002f,0xdfffffff,
    0x3fffa200,0xffffffff,0x0cc001ef,0x205ffff0,0x7ffec028,0x1fffffff,
    0xffa80000,0x06ffffff,0xfffffb00,0xffffffff,0x2000bfff,0xffffffea,
    0x3fff20df,0x3e000005,0x40002fff,0xff93fffe,0x000000df,0x0013fff6,
    0x0005ffff,0x04fffe80,0x07fffcc0,0x0006e000,0x3ee09100,0xffffffff,
    0x3000dfff,0x0003ffff,0x1ffffc00,0x4fffe800,0x7ffffff9,0xffffb000,
    0x3ff201bf,0xff0002ff,0x400005ff,0xfffffffc,0xffff7001,0xffffffff,
    0x80000bff,0x0002ffff,0x3ffffff6,0x002fffff,0xffffd800,0xb0001fff,
    0xffffffff,0xffffffff,0x3ffe0005,0xc84fffff,0x00005fff,0x00bfffe0,
    0x27fffd00,0x9806fffc,0xcccccccb,0x3fff600b,0x7fffc004,0x80015102,
    0x4004fffe,0x000ffff9,0x00000dc0,0xffea8122,0xffffffff,0xff9801ef,
    0x000001ff,0x000ffffe,0x7eeffff4,0x001fffff,0x09ffffb0,0x03ffff98,
    0x05ffff00,0x6e65c400,0xceffffff,0x3fea02cc,0xffffffff,0x0004ffff,
    0x017fffc0,0xfffffb00,0x5fffffff,0xff880000,0x0003ffff,0x3ffffff6,
    0xffffffff,0xf8002fff,0x01dfffff,0x000bfff9,0x1ffff400,0x3fffe000,
    0x80dfff92,0xffffffff,0xfb05ffff,0xff8009ff,0xfff882ff,0x3fffa001,
    0x7ffcc004,0x0dc0000f,0x01220000,0x3ffff6e6,0x01ffffff,0x00ffffcc,
    0xffff0000,0x3ffa0007,0xefffffff,0x3ff60000,0xffff005f,0x3ffe0007,
    0x3ea0002f,0xffffffff,0x407fffff,0xffffffec,0x00dfffff,0x7fffc000,
    0x3ff60002,0xfffcffff,0x00003fff,0x037fffd4,0x3ffff600,0xffffffff,
    0x02ffffff,0x0f7fff40,0x01fffee0,0xfffc8000,0x3fe20005,0xdfff71ff,
    0x7ffffd40,0xffffffff,0x04fffd80,0x417fffc0,0x2003fffa,0x4004fffe,
    0x000ffff9,0x00000dc0,0x2e600122,0x6fffffec,0x0ffffcc0,0xfff00000,
    0x3fa0007f,0x5fffffff,0xfffd8000,0x7fffd004,0x3fffe000,0x4cc40002,
    0x9cffff99,0xc8000999,0x00006fff,0x02ffff80,0x3ffff600,0xffffb10e,
    0xf800005f,0x40003fff,0x999dfffd,0xffca9999,0x2001ffff,0xa801fffc,
    0x0000ffff,0x0dfff700,0x3fffd400,0x440ffff3,0xffffffff,0xfb07ffff,
    0xff8009ff,0xfffc82ff,0x3fffa005,0x7ffcc004,0x0dc0000f,0x01220000,
    0x3fffea00,0x3ffe600f,0x2000001f,0x0003ffff,0xfffffffd,0xfb00003f,
    0x3fa009ff,0xff0003ff,0x000005ff,0x0007ffff,0x01bfff20,0x3ffe0000,
    0x3f60002f,0xffc80eff,0x400006ff,0x0003ffff,0x8027ffec,0x04ffffd8,
    0x4017fa60,0x002ffff9,0xffff3000,0x3ffa0007,0x3fffe26f,0x3fff6a01,
    0x1effffff,0x00bfff90,0x40ffffc4,0x2005fffc,0x4003fffe,0x000ffff9,
    0x00000dc0,0x01dd9922,0x1ffffc40,0x03ffff30,0x7ffc0000,0xffd0003f,
    0x5fffffff,0xfffd8000,0x7fffd004,0x3fffe000,0xff800002,0xb00003ff,
    0x0000dfff,0x05ffff00,0x27ffec00,0x05ffffd0,0x7fffc000,0x7fec0003,
    0x7fec004f,0x0008006f,0x0077fffc,0x7ffc4000,0x7dc000ff,0x7ff44fff,
    0xfff0004f,0x7ffdc05f,0x3ffea006,0x0bfff907,0x017fffc0,0x03fffe60,
    0x00037000,0x3ffa4880,0xfffd8006,0x3fffe605,0x3e000001,0xd0003fff,
    0xffffffff,0x6c0007ff,0xfd004fff,0x3e0007ff,0x20002fff,0xffeeeee9,
    0x5eeeeeff,0x5fffe800,0xff800000,0x360002ff,0x3e204fff,0x00006fff,
    0x000ffffe,0x009fffb0,0x00ffff98,0x7fdc0000,0xf70004ff,0xffff703b,
    0x7ffcc00b,0xffffc86f,0xffff8001,0x3fffe602,0xdfffb002,0x017fff20,
    0x007fffcc,0x03fffe60,0x00037000,0xfff14880,0xfff8005f,0x3ffe605f,
    0x2000001f,0x0003ffff,0xfd3dfffd,0x0009ffff,0x4013fff6,0x0003fffe,
    0x0005ffff,0x7fffff4c,0xffffffff,0x7ffcc005,0x0053003f,0x00bfffe0,
    0x04fffd80,0x01ffffd4,0x3ffff800,0x7ffec000,0x7ffcc004,0x4000001f,
    0x0dfffff8,0xbfffb100,0x37ffff60,0x7fffd400,0xffff982f,0x7ffc001e,
    0x3ffe202f,0x7fec00ff,0xfff904ff,0xfffd100d,0xfff3000f,0x2f26005f,
    0x000006e0,0x3fffe691,0xfff9002e,0x7ffcc07f,0x2000001f,0x0003ffff,
    0x3629fffd,0x005fffff,0x004fffd8,0x0007fffd,0x000bfffe,0x0ffffe00,
    0xfffb1000,0xdff9003f,0x5ffff000,0x7ffec000,0x7fffe804,0xffff0000,
    0xffd80007,0x7fec004f,0x0000007f,0x7ffffff5,0xfff73103,0x3fe20dff,
    0x4c0affff,0x05fffffc,0x37fffff2,0xfeca9809,0x7dc02fff,0x220bffff,
    0x0effffda,0x9fffff90,0xffffa883,0xff88005f,0xd7100dff,0x00dc9fff,
    0x7cd22000,0x0adfffff,0xfffffea8,0x3fffe601,0x3e000001,0xd0003fff,
    0xffd89fff,0x2000dfff,0xd004fffd,0x20007fff,0x0002ffff,0xffff5530,
    0xa800155b,0xaaffffff,0xfaaaaaaa,0x54c01fff,0xacffffaa,0xea8800aa,
    0x00aadfff,0x359ffff5,0x7d554c00,0x0aaadfff,0xfffd5100,0x5555555b,
    0xfffff995,0x676dc00b,0x7ffe4001,0xfeffffff,0xffffffff,0x3fffea02,
    0xfffeffff,0x400fffff,0xfffffffe,0xfffffeef,0xd802ffff,0xeeffffff,
    0x1fffffff,0x3fffff20,0xfffeefff,0x0000ffff,0xddfffffd,0xffffffdd,
    0x0000dcff,0x7ffcd220,0xefffffff,0xffffffff,0xffbaa985,0xaaaaabff,
    0xaaa8800a,0xdffffaaa,0x101aaaaa,0x909fffd5,0x55dfffff,0x3ffaa201,
    0xf53009ef,0x1013bfff,0xff555555,0x555559ff,0x3ffea003,0xffffffff,
    0xfff9806f,0xffffffff,0xffffffff,0xfff501ff,0xffffffff,0x7ec0bfff,
    0xffffffff,0xffffd03f,0x7cc01fff,0xffffffff,0x405fffff,0xfffffffd,
    0xffffffff,0x2fffffff,0xfffff700,0xfffc8001,0xffffffff,0x03ffffff,
    0xffffffb8,0xffffffff,0xfff9800d,0xffffffff,0xffffffff,0xfffe8802,
    0xffffffff,0x7fdc04ff,0xffffffff,0x01ffffff,0x3fffea00,0xffffffff,
    0x06e4ffff,0x22910000,0xffffffff,0xffffffff,0x3fe60eff,0xffffffff,
    0x6fffffff,0x3fffff20,0xffffffff,0x20ffffff,0x4ffffffe,0xffffff88,
    0x7fcc5fff,0x1fffffff,0x7fffffd4,0x3ff20fff,0xffffffff,0xffffffff,
    0x7fff400f,0xffffffff,0x7fe402ff,0xffffffff,0xffffffff,0x3ff607ff,
    0xffffffff,0x980fffff,0xffffffff,0xfb80ffff,0x03ffffff,0x3ffffff6,
    0xffffffff,0xffff301f,0xffffffff,0xffffffff,0x7ec009ff,0x8001ffff,
    0xfffffffa,0xefffffff,0x3ffa6001,0xffffffff,0x7e44003f,0xffffffff,
    0x1cffffff,0x3fff2200,0xffffffff,0xfff91002,0xffffffff,0x900003df,
    0xffffffff,0x87ffffff,0x4400001b,0x3fffffa4,0xffffffff,0x7e40cfff,
    0xffffffff,0xffffffff,0xffff881f,0xffffffff,0xffffffff,0xffffff53,
    0xffff709f,0x43ffffff,0xfffffffe,0x7fff45ff,0x14ffffff,0xffffffff,
    0xffffffff,0xd807ffff,0xffffffff,0x401fffff,0xfffffffa,0xffffffff,
    0x202fffff,0xfffffffc,0x7fffffff,0xffffff10,0x40dfffff,0x2fffffff,
    0x3ffffee0,0xffffffff,0xfff100ff,0xffffffff,0xffffffff,0xfa8005df,
    0x40006fff,0xffffffda,0x0003deff,0x3fffffee,0x20001dff,0xfffffec8,
    0x00bfffff,0x3fffa600,0x000dffff,0xfffffd50,0x00007bff,0xfffffea8,
    0x80adffff,0x4400001b,0x3227b664,0xffffffff,0xfff701df,0xffffffff,
    0x1fffffff,0x3fffffa0,0xffffffff,0x32ffffff,0x9fffffff,0xffffff50,
    0x7ec1ffff,0xffffffff,0x7fffff44,0x3fe3ffff,0xffffffff,0xffffffff,
    0x764402ff,0xffffffff,0xfb7003df,0xffffffff,0xbdffffff,0xffec8803,
    0xffffffff,0x3f6a02df,0xdfffffff,0x3fffee01,0x7f64403e,0xffffffff,
    0x6d402dff,0xffffffff,0xdeffffff,0x2a20002c,0x2200002c,0x009bccaa,
    0x65d44000,0x1000000a,0x03359973,0xcba88000,0x4c00001a,0x00001bca,
    0xbccca980,0xccdb800a,0xcccccccc,0xcccccccc,0x753004cc,0x88013579,
    0xffffffeb,0xffffffff,0x3ff6602d,0xffffffff,0x3effffff,0x7ffffedc,
    0xffffb704,0xec885bff,0x0cefffff,0x7ffffe4c,0x3f660bef,0xffffffff,
    0xdfffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04cccc40,
    0x19999880,0x02666600,0x00333310,0x33333331,0x88000133,0x99999999,
    0x99880001,0x09999999,0x00000000,0x33333000,0x00013333,0x33333310,
    0x98000333,0x203ccccb,0x2cccccb9,0x99999880,0x99999999,0x00999999,
    0x33333333,0x33333333,0x22013333,0x44009999,0x98801999,0x99999999,
    0x33301999,0x33333333,0x33333333,0x26001333,0x99999999,0x99999999,
    0x33310099,0x00333333,0x13333100,0x19998800,0x33310000,0x33333333,
    0x26201333,0x19999999,0x3ffae000,0x3200ffff,0xfffffffe,0xfffd982d,
    0x7642efff,0x0dffffff,0x7fffff5c,0xefffffff,0xfeb800cd,0xffffffff,
    0x000aceff,0xffffffd7,0xbdffffff,0x74c00019,0xffffffff,0xb1004fff,
    0xffffffff,0x5c000dff,0xfffffffe,0x0aceffff,0xfffffd00,0x3fffa0bf,
    0x2e04ffff,0xfffffffe,0xffffffff,0x222fffff,0xfffffffd,0xffffffff,
    0x46ffffff,0xffffffda,0x7fff642e,0x75c0dfff,0xffffffff,0xdfffffff,
    0xffffff30,0xffffffff,0xffffffff,0x7ffecc09,0xffffffff,0xffffffff,
    0x7fff644f,0xffffffff,0x7f5c001d,0x4004ffff,0x2dffffff,0x3ffb6a00,
    0xffffffff,0x44ffffff,0xffffffec,0x01dfffff,0x3ffffe20,0xff305fff,
    0xffffffff,0xfffffd0d,0x3e61ffff,0xffffffff,0x3ffffe24,0xffffffff,
    0x203fffff,0xfffffff8,0xffffffff,0x7fc403ff,0xffffffff,0xffffffff,
    0xfff90003,0xffffffff,0xff9001ff,0xffffffff,0xf10005ff,0xffffffff,
    0xffffffff,0xffff9805,0xff985fff,0x04ffffff,0xfffffff1,0xffffffff,
    0x5fffffff,0x7fffffe4,0xffffffff,0xffffffff,0x7fffff46,0xff50ffff,
    0x9fffffff,0x7fffffc4,0xffffffff,0xff34ffff,0xffffffff,0xffffffff,
    0x7409ffff,0xffffffff,0xffffffff,0x264fffff,0xffffffff,0x05ffffff,
    0x3ffffe20,0xf7000fff,0x0dffffff,0xffffff70,0xffffffff,0x49ffffff,
    0xfffffff9,0x5fffffff,0x3fffe200,0xa82fffff,0xffffffff,0xffff87ff,
    0x50ffffff,0xffffffff,0x7fffccbf,0xffffffff,0xefffffff,0xfffff880,
    0xffffffff,0x01efffff,0xfffffff3,0xffffffff,0x001dffff,0xeeeeec88,
    0x03deeeee,0xffffff90,0x0bffffff,0xfffff300,0xffffffff,0x01dfffff,
    0x7ffffffc,0xffffff05,0x3fe209ff,0xffffffff,0xffffffff,0x3f22ffff,
    0xffffffff,0xffffffff,0x7c6fffff,0xffffffff,0xfffff50f,0x7cc9ffff,
    0xffffffff,0xffffffff,0xfffff35f,0xffffffff,0xffffffff,0x7fff409f,
    0xffffffff,0xffffffff,0x3ffea4ff,0xffffffff,0x26005fff,0xffffffff,
    0xffffd003,0x7440ffff,0xffffffff,0xffffffff,0x2a4fffff,0xffffffff,
    0x05ffffff,0x7ffffe40,0xfd80ffff,0xffffffff,0xfffffb83,0x7fec4fff,
    0x41ffffff,0xfffffffc,0xffffffff,0xf905ffff,0xffffffff,0xffffffff,
    0x3ff201df,0xffffffff,0xffffffff,0x0000005f,0x3fffa600,0xffffffff,
    0xffc8000f,0xffffffff,0xffffffff,0xffd9300e,0x3b260bff,0x204ffffe,
    0xfffffffc,0xffffffff,0x22ffffff,0xffffffe9,0xffffffff,0x6fffffff,
    0x7fffffdc,0x7ffec4ff,0x641effff,0xffffffff,0xffffffff,0xfffff31e,
    0xffffffff,0xffffffff,0x7ffd409f,0xffffcfff,0xffffffff,0x7ffec4ff,
    0xffffffff,0x7ec001ef,0x07ffffff,0xffffff98,0xfff303ff,0xffffffff,
    0xffffffff,0xfd89ffff,0xffffffff,0x0001efff,0xffffffb3,0x3fe66209,
    0xffe803ff,0x3e6201df,0x6cc04fff,0x9999dfff,0xffffeba9,0x3fff602f,
    0xdb99999e,0x05ffffff,0x4efffecc,0xfeba9999,0x0003ffff,0x4c400000,
    0xffffff99,0x360003ff,0x9999efff,0xfffffdba,0xfffc805f,0x9fffb005,
    0xbfffb300,0x33333333,0x05ffff33,0x35ffff51,0x33333333,0x20dfff93,
    0x201dfffe,0x04ffff98,0x7fcccccc,0x09999cff,0x4d7fffcc,0xbffff999,
    0xfffe9999,0xfffc8804,0x99bffff8,0x4fffe999,0xfff99988,0x000099bf,
    0x3fffffe2,0x7ffec03f,0x3e206fff,0xceffffff,0x99bffffa,0x4fffe999,
    0xfff99988,0x000099bf,0xffffffd8,0x7fffc01f,0x7fff4c03,0xaaaaaaad,
    0x1cffffaa,0x02fffec0,0x037fffd4,0x500dfff9,0x807fffff,0xa804fffd,
    0x0006ffff,0x2e000000,0xffffffff,0x3ff20006,0xfffa805f,0x7fe402ff,
    0xfffb005f,0x3fff6009,0x3fffe005,0x3ffff302,0x37ffdc00,0x004fffd8,
    0x0007fffd,0x3007ffff,0xff01ffff,0xfffb05ff,0x5bffa009,0xfd02ffff,
    0xfff009ff,0x2200005f,0x6fffffff,0x3ffffe20,0x3ffa05ff,0xfff82fff,
    0x9fffd02f,0x05ffff00,0xfffd8000,0x7c06ffff,0xff503fff,0xffffffff,
    0xffffffff,0x201fffff,0x7005fffd,0x3201ffff,0xf3006fff,0xfd80dfff,
    0xffb004ff,0x326001ff,0x1ccccccc,0x3ffa0000,0x2ffffbef,0xbfff9000,
    0x3fffe600,0x2fffe406,0x04fffd80,0x00bfffb0,0x9817fffc,0x2001ffff,
    0xfb06fffb,0x3fa009ff,0xff8003ff,0xff9803ff,0xffff80ff,0x04fffd82,
    0xff4fff88,0x3ffa05ff,0xffff804f,0xff100002,0x05ffffff,0x3ffffff2,
    0xffff705f,0x3fffe05f,0x09fffd02,0x005ffff0,0xffffd800,0x3e03ffff,
    0xffb03fff,0xffffffff,0xffffffff,0x207fffff,0x1005fffd,0x3203ffff,
    0x2e006fff,0x3602ffff,0xf1004fff,0xff005fff,0xffffffff,0x3e600005,
    0xffff3fff,0x3ff2000b,0x3fee005f,0x3ff202ff,0xfffb005f,0x3fff6009,
    0xffd83505,0xffff300f,0xf9817103,0xfffb04ff,0x3fffa009,0xffff8003,
    0xffff9803,0x82ffff80,0xb804fffd,0xffff1fff,0x0ffff605,0x00bfffe0,
    0x7fffc400,0xf885ffff,0x5fffffff,0x07ffffd0,0xd817fffc,0xff803fff,
    0x1cc982ff,0x77ffec00,0xf01fffff,0x3ea07fff,0xffffffff,0xffffffff,
    0x00ffffff,0x400bfffb,0xf902ffff,0xfe800dff,0x3ff606ff,0xfff5004f,
    0xfffa803f,0x2fffffff,0xfff90000,0x3ffff21f,0xfffc8000,0x7fff4005,
    0x17fff206,0x027ffec0,0x445fffd8,0x3fee3ffe,0x3fffe606,0x7c3ffd41,
    0xfffb02ff,0x3fffa009,0xffff8003,0xffff9803,0x82ffff80,0xd804fffd,
    0x3fffe7ff,0x3fee5b52,0xffff801f,0xff100002,0x3fffffff,0xffffffb8,
    0xfff885ff,0x7fffc05f,0x3fee5952,0xffff801f,0x0ffffc42,0x7bfffb00,
    0x3e0dffff,0x74c03fff,0xaaaadfff,0xfffaaaaa,0x7fec00cf,0xfff3005f,
    0x3fff201f,0x7ffe4006,0x13fff607,0x1bfffa20,0x3ffffe20,0x002fffff,
    0x5ffff880,0x00ffffe6,0x017fff20,0x40ffff90,0xb005fffc,0x36009fff,
    0x7fcc5fff,0x26014c5f,0x7ec1ffff,0x00dc41ff,0x2009fffb,0x8003fffe,
    0xf003ffff,0x3ffe0fff,0x2fffb82f,0x3e5fff80,0xfff9afff,0xf005fe89,
    0x00005fff,0x3effffe2,0x7ff45fff,0x85fffcef,0x402ffffb,0xff9affff,
    0x005fe99f,0xfb85ffff,0x36004fff,0xfffd5fff,0x7ffff07f,0x3bfffb00,
    0x33333333,0xb007ffff,0xd100bfff,0xaa88ffff,0xaaaefffd,0x3ffea02a,
    0x9fffb00f,0xfffffb80,0xddd93003,0x005ffffd,0x5ffff700,0x006fffe8,
    0x005fffc8,0x807fffd4,0xb005fffc,0x36009fff,0xcaaaefff,0x98007fff,
    0xaaabffff,0x8003fffe,0x999dfffd,0xff999999,0xff8003ff,0xff9003ff,
    0x0bfffe09,0x5003ffe6,0x7ffc5fff,0x24fffdcf,0x3fffe000,0xff100002,
    0xffffb5ff,0x2ffffea1,0xfc85fffc,0x7fc00fff,0x3fffdcff,0xffff8002,
    0x27fffdc2,0x2bfffb00,0x40fffff9,0xd803ffff,0xffffffff,0xffffffff,
    0xfffd803f,0x7fff4c05,0x3fffe25f,0xffffffff,0xffff106f,0x3bfff603,
    0xffecbaaa,0x001fffff,0x017fffc0,0x37fff400,0x017fffd4,0x017fff20,
    0x03ffff30,0x4017fff2,0xb004fffd,0xffffffff,0x3000ffff,0xffffffff,
    0x0007ffff,0xfffffffb,0xffffffff,0xff0007ff,0x0cc007ff,0x405ffff0,
    0x1fff9002,0x7ffffffc,0xff0005ff,0x200005ff,0xf9affff8,0xfffd4fff,
    0x217fff2f,0xf806fffd,0xffffffff,0xffff0005,0x1ffff885,0x97fff600,
    0x7c5ffffc,0xfd803fff,0xffffffff,0xffffffff,0xefffd803,0xfdcbaaaa,
    0x320fffff,0xffffffff,0x01ffffff,0x3605ffff,0xffffffff,0xefffffff,
    0xfff80001,0x7cc0002f,0xfff03fff,0xffc800bf,0xfff8005f,0xdfff902f,
    0x13fffa00,0x7ffffec0,0x07ffffff,0xfffff980,0x3fffffff,0xffffd800,
    0xffffffff,0x003fffff,0x003ffff8,0x0bfffe00,0x1bffa000,0xffffffff,
    0x3fe000bf,0x100002ff,0x3fa5ffff,0xffffafff,0xd0bfff93,0xff009fff,
    0xbfffffff,0x3fffe000,0x000cb882,0x3a2fffec,0x3fe2ffff,0xffd803ff,
    0xffffffff,0x3fffffff,0xfffffd80,0xffffffff,0x7fd41fff,0xffffffff,
    0xff00ffff,0x3ff605ff,0xffffffff,0x000dffff,0x05ffff00,0xffffc800,
    0x1ffff900,0x2fffe400,0x17fffc00,0x00ffffc8,0x13ffff66,0x7ffffec0,
    0x07ffffff,0xfffff980,0x3fffffff,0xffffd800,0xffffffff,0x003fffff,
    0x003ffff8,0xffddd950,0x17bdddff,0x1fffcc00,0x3ffffffe,0xff0005ff,
    0x200005ff,0xf52ffff8,0xffffffff,0x217fff21,0xf804fffe,0xffffffff,
    0xffff0005,0xfd800005,0x7ffcc5ff,0x7ffff0ff,0xfffffb00,0xffffffff,
    0xb007ffff,0xffffffff,0x5fffffff,0x3ffffb60,0x2fffffff,0x40bfffe0,
    0xfffffffd,0x06ffffff,0x7fffc000,0x3fe20002,0xcccccfff,0x03ffffdc,
    0x017fff20,0x05ffff10,0x82ffffea,0xfffffda8,0xffd800df,0xffffffff,
    0xff98007f,0xffffffff,0xfd8003ff,0xffffffff,0xffffffff,0xffff8003,
    0xfffb8003,0xffffffff,0x2e006fff,0xfcccdfff,0xffffffff,0xffff0005,
    0x8814c005,0x3fa2ffff,0x24ffffff,0xfd85fffc,0xfff806ff,0x05ffffff,
    0x05ffff00,0x3f6014c0,0xfffc85ff,0x07ffff4f,0x33bfffb0,0xf3333333,
    0xfb007fff,0xffffffff,0x0019ffff,0x001bfff2,0x203ffff3,0xfffffffd,
    0x2fffffff,0x3ffe0000,0x3ee0002f,0xffffffff,0x6fffffff,0x17fff200,
    0x1ffff300,0x3ffffe60,0xfffffeef,0x06ffffff,0x2a2fffec,0x98007fff,
    0x999affff,0x8003fffe,0x999dfffd,0xff999999,0xff8003ff,0xfe8003ff,
    0xffffffff,0x01ffffff,0xffffffd0,0xf97fffff,0x3e0007ff,0xf7002fff,
    0xffff10df,0x7ffffdc5,0x3fff21ff,0x0ffffc85,0x65ffffc0,0xf0003fff,
    0x2e005fff,0x3ff606ff,0xffff885f,0x03ffff9f,0x004fffd8,0xb007fffd,
    0xffffffff,0x800379df,0x4006fffc,0x3607fffb,0xfea84fff,0x0002ffff,
    0x005ffff0,0x7fffff40,0xffffffff,0x9002ffff,0xb800bfff,0x7e407fff,
    0xffffffff,0xffffffff,0x3ff601ff,0x37ffcc5f,0x7cc072e2,0x7fec1fff,
    0xffd8001f,0xfffd004f,0xffff0007,0xfff70007,0xffffffff,0x2200dfff,
    0xffffffff,0xff9affff,0xfff0001f,0x3ffa005f,0x7fffc40f,0x3ffffe22,
    0x2fffe45f,0x017fffdc,0x3e6bfffe,0xff0001ff,0x3fa005ff,0xfffb00ff,
    0x3fffea0b,0x803ffffe,0xd004fffd,0xfb007fff,0x00000bff,0x800dfff9,
    0x3606fffd,0xfb104fff,0x0005ffff,0x005ffff0,0x3ffffe60,0xffffffff,
    0x005fffff,0x800bfff9,0x4405fffd,0xfffffffe,0xffffffff,0x3f600fff,
    0x2ffc85ff,0xf983ffe4,0x7fcc1fff,0xfffb0006,0x3fffa009,0xffff8003,
    0x99730003,0x99bffff9,0x3ea00159,0xffffffff,0x81712fff,0xffff0028,
    0x3fffe005,0x17fffc42,0x0bfffff2,0xf10bfff9,0xff80bfff,0x883732ff,
    0x5ffff001,0x0bfffe00,0xb02fffec,0xffffffff,0x9fffb007,0x0ffffa00,
    0x017fff60,0x3fff2000,0x3ffe2006,0x3fff604f,0x7fffec04,0x7fc0000f,
    0xf90002ff,0xdddddfff,0xffdddddd,0xff9001ff,0x7fcc00bf,0xff9004ff,
    0x39ffffff,0x05bffffb,0x305fffd8,0x03fffd01,0x203ffff3,0x3ff60001,
    0xfffd004f,0xffff0007,0x7fc00007,0x360002ff,0x99999fff,0x2a02ffff,
    0xfff806ff,0xffff002f,0x2ffff885,0x437fffc4,0xfb05fffc,0x7fc09fff,
    0x3fea02ff,0x2ffff806,0x05ffff00,0x8817fff6,0xffffffff,0x4fffd803,
    0x07fffd00,0x00bfffb0,0xdfff9000,0x3fffe600,0x3fff602f,0xffffe804,
    0x7ffc0006,0xff88002f,0x3e2004ff,0xfc803fff,0xff3005ff,0x44005fff,
    0x741accca,0x3f6003ff,0x7fc005ff,0xfff982ff,0xd800001f,0xfd004fff,
    0xff0007ff,0x400007ff,0x0002ffff,0x7fc17ffe,0x3ff202ff,0x7fffc00f,
    0x5ffff002,0x82ffff88,0xfc82eeec,0xfff505ff,0x3ffe07ff,0x3fff202f,
    0x17fffc00,0x02ffff80,0xb80bfffb,0x3fffffff,0x04fffd80,0x007fffd0,
    0x000bfffb,0x0dfff900,0xbfffff30,0x04fffd80,0x3fffff88,0x3fffe000,
    0xfffb8002,0x7fec001f,0xfffc806f,0xffff9805,0x8800005f,0x7ec006ff,
    0x7fc005ff,0xfff982ff,0xd800001f,0xfd004fff,0xff0007ff,0x400007ff,
    0x0002ffff,0x3e07fff3,0x3fa02fff,0x7ffc03ff,0xffff002f,0x2ffff885,
    0xbfff9000,0x7ffffec0,0x17fffc0b,0x805ffff0,0xf002ffff,0xfd105fff,
    0x20155dff,0x3ffffffe,0x3fffaa20,0xff5300ad,0x51015bff,0x555dfffd,
    0x6c400055,0xaaaaefff,0xffffecba,0xfd5100ff,0x40155dff,0x1bfffff9,
    0x55555510,0x5559ffff,0x3fa60355,0x8801afff,0x9bffffca,0xefffd880,
    0xecbaaaaa,0x00efffff,0x6ff88000,0x3aa20ae2,0xaaaaefff,0xfaaaaaaa,
    0x7dcc2fff,0xaaaabfff,0xfd530001,0x22015bff,0x09dffffa,0xfaaaaa88,
    0xaaaadfff,0xf5553001,0x15559fff,0xfffd9880,0xfff5510b,0x5555559f,
    0xa887ffff,0xacffffaa,0xbaaaaaaa,0x7d42ffff,0x801acfff,0xefffdaa8,
    0xffffd101,0xfff7bfff,0x5555559f,0xa887ffff,0xacffffaa,0xbaaaaaaa,
    0x7f42ffff,0xffffffff,0xfffff984,0xffff703f,0xe8bfffff,0xffffffff,
    0x3ffff61f,0xffffffff,0x7fec003f,0xffffffff,0xffffffff,0xffffb02f,
    0x09ffffff,0x7fffffdc,0x7ffffe45,0xffffffff,0x50ffffff,0xffffffff,
    0x3ff603ff,0x6fffffff,0x7fffffec,0xffffffff,0x001fffff,0x3fffa000,
    0x3f61fffe,0xffffffff,0xffffffff,0xf32fffff,0xffffffff,0x001fffff,
    0x7fffffcc,0x7ff44fff,0x0fffffff,0x3ffffff6,0xffffffff,0xff501fff,
    0xffffffff,0x260bffff,0xffffffff,0xffffffeb,0xffffffff,0x3ffa3fff,
    0xffffffff,0xffffffff,0xff32ffff,0xffffffff,0x3ffff203,0x306fffff,
    0xffffffff,0xffffffff,0xffffffff,0x7fffff47,0xffffffff,0xffffffff,
    0x3fffe62f,0x0fffffff,0x3fffffc8,0xffffffd0,0x3ea1ffff,0xffffffff,
    0xfffff34f,0xffffffff,0x7fc400ff,0xffffffff,0xffffffff,0xffff301f,
    0xffffffff,0x7fffec01,0xffff11ff,0xffffffff,0xffffffff,0x3fffffa7,
    0x885fffff,0xffffffff,0xfff32fff,0xffffffff,0xdfffffff,0x98000003,
    0x26ffffff,0xfffffff9,0xffffffff,0xffffffff,0xffffffb2,0xffffffff,
    0x7fff4007,0x0fffffff,0xfffffff5,0x3fe69fff,0xffffffff,0xffffffff,
    0xfffffb05,0xffffffff,0xfffb01ff,0xffffffff,0xffffffff,0xffffffff,
    0x3ffffea7,0xffffffff,0xffffffff,0xffff92ff,0x0bffffff,0x3ffffffe,
    0xb102ffff,0xffffffff,0xffffffff,0x27ffffff,0xfffffffa,0xffffffff,
    0xffffffff,0x3ffffe22,0x207fffff,0xb03ffffe,0xffffffff,0x7fffccff,
    0x13ffffff,0xffffffff,0x0dffffff,0x7ffffc40,0xffffffff,0x200dffff,
    0xfffffff8,0x4406ffff,0x20ffffff,0xffffffff,0xffffffff,0xffb2ffff,
    0xffffffff,0xfffff109,0x23ffffff,0xfffffff8,0xffffffff,0x00000cff,
    0x9dfd7100,0x7ffffc41,0xffffffff,0xffffffff,0xffff72ff,0xffffffff,
    0x7ec005ff,0xffffffff,0x3ffffe67,0xf13fffff,0xffffffff,0xffffffff,
    0x3fff209f,0xffffffff,0xff707fff,0xfdffffff,0xffffffff,0xffffffff,
    0x3fffe67f,0xffffffff,0xffffffff,0xfff72fff,0x9fffffff,0x3fffffa0,
    0x401fffff,0xffffffeb,0xffffffff,0x33ffffff,0xffffffff,0xffffffff,
    0x5fffffff,0xfffffda8,0x3ea01dff,0xd9103fff,0x5bffffff,0xfffffdb8,
    0x7fed44ef,0xffffffff,0x6d4001ce,0xffffffff,0x00bdefff,0xfffffb50,
    0x5003bfff,0xd985bfff,0xffffffff,0xffffffff,0x3ffb223d,0x00ceffff,
    0xffffffb5,0xffda87bf,0xffffffff,0x0000bdef,0xa8020000,0xfffffffd,
    0xffffffff,0x12ffffff,0xffffffd9,0x007dffff,0xffffec88,0x7edc2dff,
    0x43efffff,0xffffffda,0xffffffff,0xfd9100ce,0xffffffff,0x7ec05bff,
    0xc8deffff,0xfffffffe,0xffffffff,0x3fff6e3f,0xffffffff,0xffffffff,
    0xffd912ff,0x019dffff,0x3fffff66,0x26003dff,0xfffffedc,0xffffffff,
    0x3f6e3fff,0xffffffff,0xffffffff,0x0002ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c400000,0x19999999,0x99988000,0x40199999,0x33331008,0x33333333,
    0x40133333,0x00199999,0x02666662,0x33333310,0x00000333,0x20000088,
    0x00999998,0x03333330,0x26666620,0x80001999,0x20019998,0x00009998,
    0x26000000,0x00011bca,0x00000000,0x03bb1000,0x80000000,0x910000a8,
    0x0000007d,0x80015400,0x00000008,0x4c400000,0xd9000acb,0xffffffff,
    0x8003bfff,0xffffffec,0x41dfffff,0x7f40dffd,0xffffffff,0xffffffff,
    0x7fffecc3,0x700dffff,0xfffffffd,0xffffb89d,0xffffffff,0x2a20001d,
    0xefffffdc,0xfec8001d,0x2effffff,0xfffffd88,0xeb81dfff,0xffffffff,
    0x00acefff,0xfffffb50,0x3fae01bf,0x004effff,0x0007fb30,0x3ffffa20,
    0x2601efff,0x00000bee,0x80620000,0x0006fff9,0x027ecc00,0x009fffd1,
    0x003fff70,0x88004000,0x32a201ff,0xdefffffd,0x372a0001,0xdb83dffe,
    0x32003dff,0x0dffffff,0x3ffffe60,0xffffffff,0x3fe6004f,0xffffffff,
    0x3ea5ffff,0x7ff43fff,0xffffffff,0x3fffffff,0x7fffffec,0xf884ffff,
    0xffffffff,0xffff11ff,0xffffffff,0xb1000dff,0xffffffff,0x003bffff,
    0x3fffffe6,0x5c0fffff,0xffffffff,0x7ffc45ff,0xffffffff,0x03ffffff,
    0xffffffe8,0xfff884ff,0x02ffffff,0x00fffc80,0x7fffd400,0x05ffffff,
    0x00fffffa,0x64c00000,0x2dfffffe,0x03fffff1,0xffb30000,0x3ff205ff,
    0x6c001fff,0x00002fff,0xdffffb71,0x07fea03b,0x3fffff62,0xdfffffff,
    0x3ffee001,0x0dffffff,0xbffffffb,0xffffe880,0x500effff,0xffffffff,
    0x0bffffff,0x7ffffd40,0xffffffff,0x3fffee5f,0x7fffff44,0xffffffff,
    0x7ec3ffff,0xffffffff,0xffff884f,0x1fffffff,0xfffffff3,0xdfffffff,
    0xffffb000,0xffffffff,0xf5001fff,0xffffffff,0xfffc81ff,0x6fffffff,
    0x7fffffc4,0xffffffff,0x201effff,0xffffffff,0xffff985f,0x002fffff,
    0x002fffe8,0x3ffffe20,0x06ffffff,0xdffffff1,0x20000005,0xffffffe9,
    0xffffffff,0x400006ff,0xffffffc8,0xfffffd04,0xfff98007,0xffc80000,
    0xffffffff,0x40ffdc2e,0xfffffffd,0xffffffff,0xffff8800,0xffffffff,
    0xfffffffe,0xfff700ef,0x9ffd5115,0x7ffffec0,0xefffffff,0x7ffec001,
    0xffffffff,0x3ffe21ef,0x7ffff43f,0xffffffff,0x4c3fffff,0xffffffff,
    0xfff901ef,0x8bffffff,0xfffffffc,0x02ffffff,0xfffffd80,0xffffffff,
    0xffd006ff,0x9fffffff,0xfffffd10,0xf905ffff,0xffffffff,0xffffffff,
    0x3fee01df,0x01ffffff,0xfffffffb,0x3ffe000d,0x3f60003f,0xfffeffff,
    0x3ff201ff,0x01efffff,0x3fee0000,0xffffffff,0xffffffff,0x3ee00000,
    0x1fffffff,0x3fffff90,0x00051000,0xfffffd30,0xffffffff,0x6c07fe47,
    0xffffffff,0x6fffffff,0xfffff880,0xffffffff,0xffffffff,0x03ffb06f,
    0x9880dff5,0x9bffff99,0x26200009,0x9bffff99,0x07fea009,0x3339fffd,
    0xfff93333,0x3fa603ff,0x30009fff,0x017ffff9,0x4efffecc,0x20000999,
    0xbceffffa,0xffffca9a,0xfff7001f,0x3100333f,0x00dfff93,0x333dfffb,
    0xffffb733,0xffb80bff,0x7f403fff,0x0000efff,0x000ffffe,0x11effff8,
    0xf5001bfb,0xbfffffff,0xfc800001,0xffffffff,0xffffffff,0xd500001f,
    0xbfffffff,0x7fff4401,0x00000004,0x3fffffe6,0xffffffff,0x05ff8cff,
    0x79dffff5,0xffff9535,0xfffb003f,0xffff757b,0xff99ffff,0x57105fff,
    0x0017fee0,0x0005ffff,0x0bfffe00,0x7f42fdc0,0x3fe604ff,0x7d402fff,
    0x74002fff,0xfb006fff,0x55555dff,0x30003555,0xffff5001,0x3ffe6005,
    0xff90001f,0xfff900bf,0xffff500d,0xfffb807f,0xfff901ff,0xf80001ff,
    0x30003fff,0x0103ffff,0xfffff700,0x00019fff,0xffffff50,0xffb53579,
    0x000dffff,0xfffffd30,0x44003dff,0x00000002,0x7fffffc4,0xffdbaace,
    0x2fffffff,0x7d4004c0,0x33002fff,0x3ffffea0,0x3fffe61f,0x7ffcc006,
    0x7fffc002,0xff000002,0xff3005ff,0x09fffd01,0x13ffffa2,0x02ffffc0,
    0x07ffff30,0x3fffff60,0xffffffff,0x800000df,0x1004fffe,0xc883ffff,
    0xffd82ccc,0xfffc804f,0xffff3006,0xffffb00d,0xffffb81d,0xff80001f,
    0xf30003ff,0x00003fff,0x7ffffe44,0x20003fff,0x1efffff8,0xfffffe88,
    0xb10002ff,0xdfffffff,0x00000005,0x3ff60000,0x36202fff,0x05ffffff,
    0x7fff4000,0xfff00004,0xfff909ff,0x3fea005f,0xfff8005f,0x0006e22f,
    0x00bfffe0,0x7ff40bfa,0xffffb03f,0x7ffe400d,0xfffb001f,0x3ff6001f,
    0xffffffff,0x01efffff,0x3bb72ea0,0x4fffebcd,0x0bfffe00,0xd0fffff5,
    0xf9007fff,0x7dc00dff,0xfe802fff,0x3fe66fff,0x00002fff,0x0007ffff,
    0x013fffe2,0x3ff66000,0x02efffff,0x5ffffc80,0xfffffd10,0x8800dfff,
    0xfffffffc,0x0000003f,0x3e200000,0x7000ffff,0x800fffff,0xcdeedcba,
    0x004fffeb,0x7e6f65cc,0xf880ffff,0xfc804fff,0xff0005ff,0xfffb15ff,
    0xfff80005,0x027cc02f,0xf703fff9,0x4001ffff,0x804ffff8,0x005ffff8,
    0x3ffffff6,0xffffffff,0x75402fff,0xffffffff,0x004fffff,0xfb0ffffe,
    0xff83ffff,0xffc803ff,0x7ff4006f,0xfff8806f,0xffff8cff,0x3e00004f,
    0x20003fff,0x001ffffd,0xfffd5000,0x003dffff,0xd037fffc,0xffbfffff,
    0x3ee005ff,0xcfffffff,0x00000000,0x7fe40000,0x7ec002ff,0xea800fff,
    0xffffffff,0x804fffff,0xffffffd9,0xffffffff,0xffffffff,0x3fffa205,
    0x3ffe0004,0x5fffffef,0x7fffc000,0x7cc00802,0xffffa87f,0xffd8001f,
    0x7fdc00ff,0x3f6001ff,0x99999dff,0xfffffba9,0xffffd306,0xffffffff,
    0x74009fff,0x3fe24fff,0x3e24ffff,0xfc802fff,0x7e4006ff,0xff3007ff,
    0xffffffff,0xff80000b,0x260003ff,0x0006ffff,0x7fffd400,0x400dffff,
    0xb02ffff9,0xf15fffff,0xea809fff,0xdfffffff,0x88000000,0xeeeeeeec,
    0xeeeeeeee,0x7f42deee,0xf88005ff,0x3a601fff,0xffffffff,0x4fffffff,
    0x3ffff620,0xffffffff,0xffffffff,0xf506ffff,0x80005fff,0xffffffff,
    0x7c0003ff,0x00002fff,0xffff1051,0x3ea0007f,0x7f403fff,0x7ec006ff,
    0xff8805ff,0x7fc41fff,0xffffffff,0x4fffffff,0x97fff600,0x7ffffffa,
    0x407fffe6,0xefffdaa8,0x2a02aaaa,0x5000ffff,0xffffffff,0x6dc4001d,
    0xffeeeeee,0xeeeeeeff,0x3fe201ce,0x00004fff,0xfffffb80,0xf500cfff,
    0xffb01fff,0x7ff45fff,0xfffd305f,0x003dffff,0x7ff40000,0xffffffff,
    0xffffffff,0x3ffe2fff,0xffd0003f,0x3ffe207f,0xffffffff,0x04ffffff,
    0x3ffffffa,0xffffffff,0xffffffff,0xffc87fff,0xf80000ef,0xffffffff,
    0xfff80003,0x4000002f,0x005ffffe,0x037fff40,0x007ffff5,0x005fffd8,
    0x445ffff7,0xeffffffe,0xffffedcd,0x3f2004ff,0x3fff66ff,0xff51ffff,
    0xfff101ff,0xffffffff,0x3fe20dff,0x3ee001ff,0x00ffffff,0x7fffff40,
    0xffffffff,0xffffffff,0xffffe881,0x2f3221ff,0xf9100001,0x7fffffff,
    0xb0ffff70,0xc85fffff,0x7ec46fff,0x2effffff,0x44000000,0xffffffff,
    0xffffffff,0x14ffffff,0x0005ffff,0x2213fff6,0xeffffffe,0xffffedcd,
    0xfff504ff,0xdb9dffff,0xffffffff,0xffffffff,0x4effff4c,0x000b9999,
    0xffffff91,0x200003bf,0x0002ffff,0x3ffff200,0x7dc0000e,0xffb01fff,
    0xfd8001ff,0xff1005ff,0x7ffdc5ff,0x7ec00bff,0x3ee004ff,0xffff17ff,
    0x3ee9ffff,0xfff907ff,0xffffffff,0x3fe03fff,0x7ec002ff,0x4002ffff,
    0xfffffff8,0xffffffff,0x4fffffff,0x7fffff44,0xfff50eff,0x6400007f,
    0xffffffff,0x0ffffd44,0x07fffffb,0x7c4bfffb,0xffffffff,0x54400000,
    0x7f40aaaa,0xffffffff,0xffffffff,0x3fe2ffff,0xfd0003ff,0xfff709ff,
    0xfd8017ff,0xfffb04ff,0x3ffe03bf,0xaaaaaaef,0x3ea2aaaa,0xffffffff,
    0xffb806ff,0x02efffff,0x7fffc000,0xf5000002,0x0003ffff,0x0bffff10,
    0x009ffff1,0x00bfffb0,0xd87fffe2,0xb001ffff,0x54009fff,0xffa8ffff,
    0x97fffeff,0x3ea0dfff,0xffffffff,0xf00fffff,0x4c005fff,0x05ffffff,
    0xfffffd80,0xffffffff,0xffffffff,0x7fffff41,0xff94ffff,0x30000fff,
    0xfffffffd,0xffff103d,0x3fffff69,0x4ffff883,0x7ffffe44,0x00003fff,
    0x21bfffee,0xccccccc8,0xcccccccc,0x742ccccc,0x98005fff,0xfd83ffff,
    0xfb001fff,0x3ffa09ff,0x7fffc05f,0xffa8001f,0xffffffff,0x3ffaa07f,
    0x004fffff,0x7ffc00a6,0x00a6002f,0x0bffffe6,0xfffd8000,0x7fffe40f,
    0xfffd8001,0xffff5005,0x804ffff8,0x04ffffc9,0x27fffe60,0xffaefffd,
    0x5fffd9ff,0x3ffffb60,0x2fffffff,0x00bfffe0,0x7fffffc4,0x544004ff,
    0xfccccccc,0xccccdfff,0x7fd41bcc,0xffffafff,0x6fffffaf,0x3ff62000,
    0x02ffffff,0x7efffffc,0xfb03ffff,0x32205fff,0xffffffff,0xffe80002,
    0x000001ff,0x7ffff900,0xffffe800,0x04ffff81,0x4ffffc98,0x01ffff70,
    0x17ffffea,0x33331010,0x33333333,0x3fffff20,0x9002ffff,0xfff00bff,
    0x3fee005f,0x3fffa206,0x002ea04f,0x43ffff98,0x0005ffff,0x300bfffb,
    0xfe8bffff,0xd9881fff,0xadffffff,0xffff8800,0xf8cffffb,0xfffecfff,
    0xdfff9004,0xffff9800,0xffffd001,0x007fffff,0x3ffff800,0x77ffe400,
    0xffffff50,0x0003bfff,0xffffff91,0x3ee007ff,0xffffffff,0xffffd884,
    0xfffd9806,0x002effff,0x09ffff10,0x44000000,0x802fffff,0x05ffffd8,
    0x103ffffd,0xffffffb3,0xfff9815b,0x3ff621df,0x222fffff,0x002fffc9,
    0x7fffcc00,0x02ffffff,0xf00fffd0,0x3a005fff,0xffb00fff,0x7fe40dff,
    0x7fff4006,0x0bfffea6,0x6fffec00,0xdbaa9999,0x643fffff,0xdeffffff,
    0xffffffff,0x805fffff,0xfffeffff,0xfffffb1f,0x32007fff,0x5c006fff,
    0xfb007fff,0xfff7dfff,0x400003ff,0x4003ffff,0x7e44fffe,0x07ffffff,
    0xfffff700,0x80019fff,0xfffffffe,0x7fffdc44,0x3aa002ff,0xdfffffff,
    0x7ffdc001,0x0000000f,0x7ffffec0,0xfffb881e,0xff901fff,0xffbdffff,
    0xffffffff,0xfff8bfff,0xfffeefff,0xffffffff,0x6ffffffe,0x5710164c,
    0x7fffff30,0x1005ffff,0xf803ffff,0xff002fff,0xfff705ff,0x7ff401ff,
    0x3fee000f,0xffffd2ff,0x7ffec000,0xffffffff,0x886fffff,0xfffffffe,
    0xffffffff,0x01ffffff,0x7ffffff4,0x3fffea7f,0x9002ffff,0xd800dfff,
    0xfb806fff,0xff71ffff,0x00001fff,0x800ffffe,0xe82ffff8,0x04ffffff,
    0x7ffff540,0x0001dfff,0xfffffff3,0xfffffddf,0x20009fff,0xfffffffb,
    0xffb000cf,0x0000005f,0xffffd100,0xfffddfff,0x407fffff,0xffffffe8,
    0xffffffff,0x1fffffff,0x3fffffe6,0xffffffff,0xffffffff,0x3fe66fff,
    0x0bfff03f,0x3fe19ffb,0xff8802ff,0x7ffc01ff,0xffff002f,0xfffff985,
    0x17fffc02,0xbffff100,0x007ffff3,0x7ffffec0,0xffffffff,0xff300dff,
    0xffffffff,0xffffffff,0xfd801fff,0x24ffffff,0xfffffff8,0xfff9002f,
    0x7ffc400d,0x7ffd404f,0x7ffec2ff,0xf80000ef,0x7c003fff,0xff984fff,
    0x3001ffff,0xfffffffd,0xfb80003d,0xffffffff,0xffffffff,0x7e440005,
    0x3fffffff,0x02fffc40,0x10000000,0xfffffffd,0xffffffff,0xffff3009,
    0xffffffff,0xffffffff,0xffff981f,0xffffffff,0xffffffff,0x3f22ffff,
    0xfffa86ff,0xfff81107,0xfff8802f,0x7fffc01f,0x5ffff002,0x1fffffc4,
    0x017fffc0,0x3bffff20,0x0000ffff,0x3ffffff6,0xceffffff,0xfffc8801,
    0x9cffffff,0x2ffffffd,0xfffffc80,0x7ffec1ff,0x9001ffff,0x2600dfff,
    0x202fffff,0x04fffff9,0x00bffffd,0x07ffff00,0x1ffffd80,0x7fffff44,
    0x3ff6201a,0x02ffffff,0xffffb800,0xffffffff,0x002fffff,0x3fff6200,
    0x503fffff,0x00001fff,0x200002e6,0xfffffffc,0x02ffffff,0x3ffff220,
    0xd9cfffff,0x02dfffff,0xffffffb1,0xff97f95d,0x15bfffff,0x884fffa8,
    0x3e006fff,0xf8802fff,0x7fc01fff,0xfff002ff,0x7ffff45f,0x5ffff005,
    0xffff9800,0x0005ffff,0x5577ffec,0x000999aa,0x59997510,0x033ff205,
    0x7ffffdc0,0xffffa87f,0xf9000fff,0xff300dff,0x7440bfff,0x2205ffff,
    0x004fffff,0x01ffffc0,0x3ffffee0,0xfffffeef,0xfc83ffff,0x3fffffff,
    0xfff50000,0xfffd9bff,0x017dffff,0x3fa60000,0x1effffff,0x0001ffec,
    0x000fffa8,0xffffd980,0x00beffff,0x99975100,0x98000055,0x2e201bcc,
    0xeb801bcc,0x03bd500c,0x7ffd5544,0xaaaaaacf,0x1ffffbaa,0x7ffd5544,
    0xaaaaaacf,0x2ffffbaa,0x57fffff9,0x75555555,0x0005ffff,0xfffffffb,
    0x3aa20003,0xaaaaefff,0x00000002,0x20043ffb,0x4ffffffa,0xfffffff0,
    0x3fff6200,0xcbaaaaae,0x0ffffffe,0xfffffb30,0xffffc803,0xff0000bf,
    0xfd0007ff,0xffffffff,0xffffffff,0xffffffd8,0x200000cf,0x445ffffe,
    0x001abcb9,0x3faa0000,0x21ffffff,0x200006ff,0x0003fffd,0x3332ea20,
    0x0000001a,0x00000000,0x20000000,0xfffffffe,0xffffffff,0x1fffffff,
    0x3ffffffa,0xffffffff,0xffffffff,0xffffffb2,0xffffffff,0x005fffff,
    0xffffff50,0x3ff6000d,0xffffffff,0x00003fff,0x56ffd400,0x3fe605fd,
    0xfb02ffff,0xb00dffff,0xffffffff,0xffffffff,0x3fa05fff,0x5fffffff,
    0xffffff98,0xe8003fff,0x88002fff,0xfffffffe,0xffffffff,0x3ffffe26,
    0x800001df,0x0005fffd,0x5c000000,0x34ffffff,0x400003ff,0x0000fffb,
    0x00000000,0x00000000,0x00000000,0x7fffffd4,0xffffffff,0xffffffff,
    0xfffff51f,0xffffffff,0xffffffff,0x3fff65ff,0xffffffff,0xffffffff,
    0xffff0002,0xf30007ff,0xffffffff,0x00ffffff,0xfff00000,0x7c40ffff,
    0x2a07ffff,0x405fffff,0xfffffff8,0xffffffff,0xf501ffff,0xffffffff,
    0xffffc81f,0x007fffff,0x000fffc8,0x3ffffee0,0xfffdcfff,0x77fff41d,
    0x26000002,0x000004fe,0xf9100000,0x00dc5fff,0x00edc000,0x00000000,
    0x00000000,0x00000000,0x7fffcc00,0xffffffff,0xffffffff,0xfff31fff,
    0xffffffff,0xffffffff,0x3f65ffff,0xffffffff,0xffffffff,0xf70002ff,
    0x0001ffff,0xfffffff1,0xdfffffff,0x50000000,0x805ffffd,0x405fffff,
    0x404fffff,0xfffffff8,0xffffffff,0x3e600dff,0xffffffff,0x7fffd40f,
    0x006fffff,0x0003ed88,0xabcca988,0x0b766000,0x00800000,0x00000000,
    0x003eb880,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb70,
    0xffffffff,0xffffffff,0x7fffedc3,0xffffffff,0xffffffff,0xfffffb2f,
    0xffffffff,0x05ffffff,0x3fffe200,0x3f6a0004,0xffffffff,0x00001cef,
    0x006e2000,0x017ffffc,0x00fffff6,0x3fffff6a,0xdeffffff,0xffb7000b,
    0x205bffff,0xefffffeb,0x0000001c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x00000000,0x40006a00,
    0x04000000,0x00200000,0x00000080,0x00100200,0x00008000,0x20010000,
    0x03ccccb9,0x333332e6,0x99999702,0x99999999,0x73059999,0x00179999,
    0x2b333326,0x99997300,0x332e6015,0xcb880acc,0x00accccc,0x99999973,
    0x6664c015,0x001ccccc,0x2f3332e2,0xccccb981,0x980001bc,0x08828801,
    0x20005400,0x40001dc8,0x00bdfeb8,0x0059ffb5,0x7ffee540,0x806a2def,
    0x03ccccb9,0x333332e6,0x5401fee2,0xbcefffdc,0xfd930001,0x315bffff,
    0x6dc40017,0x01ceffff,0x000efe98,0x2a21ffd4,0xfd89cccc,0x3fb223ef,
    0xb9800cff,0xfd913ccc,0x40039dff,0xcccccca8,0x77ff6541,0xfffffd02,
    0x3fffa0bf,0xfb04ffff,0xffffffff,0xffffffff,0xfffffc87,0x7fc03fff,
    0x0fffffff,0x7fffffec,0x7ffec2ff,0x2e1fffff,0xffffffff,0x7fff41ff,
    0x0fffffff,0xfffffff8,0xf7002fff,0xbfffffff,0x7fffffe4,0x20003fff,
    0x3ee00ffc,0x00bff62f,0x800fff62,0x20007ffc,0xfffffffd,0x7ffffec1,
    0x7f4c005f,0xffffffff,0xe82fffff,0x05ffffff,0xfffffffd,0x300ffec9,
    0xfffffffb,0x2001bfff,0xffffffd9,0x6fffffff,0xfffff900,0x05dfffff,
    0xa877ffe4,0xf70bdeec,0x3fe61fff,0xfffdffff,0xfffbdfff,0x200fffff,
    0xbefffffe,0xffffffff,0xfff8804f,0xd32fffff,0xbfffffff,0xffffff98,
    0xffff985f,0xfb04ffff,0xffffffff,0xffffffff,0xffffff87,0x3ea06fff,
    0xffffffff,0x3ffffe23,0x3e25ffff,0xffffffff,0x3fffffa4,0x225fffff,
    0xffffffff,0x7fd43fff,0xffffffff,0xffffd002,0xf11fffff,0xffffffff,
    0xfb1000df,0x7ffe40df,0x07ffff50,0x03ffff44,0x003fffd0,0xfffffe88,
    0xffb1ffff,0x1dffffff,0xffffc880,0xffffffff,0x7cc5ffff,0x85ffffff,
    0xfffffff9,0x403ffa4f,0xfffffffc,0x3fffffff,0x7ffffcc0,0xffffffff,
    0x3a600fff,0xffffffff,0xb04fffff,0xfffdffff,0xffdfffff,0x3ff23fff,
    0xffffffff,0xffffffff,0x306fffff,0xffffffff,0xffffffff,0xffb80dff,
    0xcaffffff,0xffffffff,0x7fffc4ff,0xfff05fff,0x209fffff,0xfffffffd,
    0xffffffff,0x7ffec3ff,0x203fffff,0xfffffff8,0x7fff41ff,0x6c1fffff,
    0xffffffff,0x3fffff22,0x742fffff,0xffffffff,0x7ffc41ff,0x2fffffff,
    0xfffff900,0x7ff4dfff,0x4fffffff,0x7fff4400,0x2fffd881,0x0fffffea,
    0x1fffffa2,0x02ffff80,0x7ffffe40,0xfeffffff,0xffffffff,0x7ffec06f,
    0xffffffff,0x87ffffff,0x5fffffff,0xfffffff0,0x03ffe29f,0x3ffffff6,
    0xffffffff,0xfff103ff,0xffffffff,0x05ffffff,0x3fffffe6,0xffffffff,
    0xfff986ff,0xffffffff,0x5fffffff,0x3fffffea,0xffffffff,0xffffffff,
    0xffff03ff,0xffffffff,0x7fffffff,0x7ffffcc0,0xffffffff,0xffffffff,
    0x3fffae60,0xfdb7305f,0x3f609fff,0xeeeeefff,0xeffffffe,0x7fffdc40,
    0x55530bdf,0x3fffb2a1,0xffc982df,0xf986ffff,0x42efffff,0xffffedb8,
    0xfec983de,0x02ceffff,0xffdddd93,0x2e2005ff,0x1dffffed,0x3fffffa2,
    0x26000cef,0xe881ffff,0xffd82fff,0x3fa22fff,0x2001ffff,0x2002ffff,
    0xbcfffff9,0xfffffffd,0xffffbcff,0xffff702f,0x955579ff,0x0fffffff,
    0xbffffd93,0x3ffbb260,0x3ffeadff,0xffffffb8,0xffecaace,0xfb80ffff,
    0xabceffff,0xffffffca,0xfffff882,0xfdbaacef,0xa84fffff,0xffffffff,
    0xffffffff,0xffffda85,0xfffbadff,0xffbaefff,0xff9304ff,0x7bffffff,
    0xfffffd95,0x7f765401,0xffffffff,0x6fffcacf,0x017fff20,0xd827ffec,
    0xff304fff,0x5c01dfff,0xfff87fff,0x7fffdc3f,0x7fffcc00,0x3ffa64ff,
    0xf8804fff,0xf9805fff,0x20004fff,0x8002ffff,0x540ffff9,0x004fffff,
    0x03ffff50,0x407ffff3,0x8afffffd,0x02fffffe,0xffff8155,0x7ec054c2,
    0x7fec2fff,0x262fffff,0xf886ffff,0x400cffff,0x407ffffc,0xb005fffc,
    0xdfffffff,0xbfffff30,0x7fff4401,0x6fffd85f,0x1ffffa80,0x2fffffd8,
    0x3ffff620,0xffffb81f,0xffffdeff,0x7ffc06ff,0x7fff43ff,0x37ffe45f,
    0x3fffff20,0xffff700d,0x3ffe2003,0x40dfffff,0x3f201dc8,0xffb005ff,
    0x3ffea09f,0xfffff982,0x7ffcc00e,0x3fffea1f,0x037ffec6,0xfffffe88,
    0xffffffad,0x3fff2003,0x7ffec01f,0x3fe0000f,0xf98002ff,0xffb10fff,
    0x20005fff,0xa82ffffb,0xd803ffff,0xffefffff,0xffd02fff,0xffff15bf,
    0x3fffd935,0x884ffff8,0x85ffffff,0x6c2ffffc,0x2003ffff,0x6406fffe,
    0xfb005fff,0x01bfffff,0x00bffffb,0x0fffffa2,0x001ffffb,0xff10bff7,
    0x2e001fff,0xfb85ffff,0x2e21dfff,0x7c07ffff,0xffd84fff,0x6fffb86f,
    0x27fffe40,0x0ffffe20,0x7ffffc40,0x640003ff,0xfb005fff,0x3fa209ff,
    0x7fffcc0d,0xfff000ef,0x7fffec7f,0x13fffe1f,0xffffd880,0x2fffffff,
    0x7fffc400,0x3fffe605,0x7ffc0005,0xff98002f,0xfffe98ff,0xfb0000df,
    0xff705fff,0x7ec007ff,0xffffffff,0xfffff302,0xffffffff,0x4cbfffff,
    0xfb02ffff,0xf103ffff,0xfff89fff,0x7fd4005f,0x7ffe404f,0xdfffb005,
    0x7fffc015,0x7ffc4006,0x7fffe45f,0x8809bcef,0x5ffff901,0xffffd800,
    0x03ffff40,0x403ffff7,0xfd82ffff,0xfffb85ff,0x37ffe406,0x04fffe80,
    0xdfffff10,0xff900003,0x3ff600bf,0x7cc0404f,0x000effff,0x7c57fff6,
    0xf14fffff,0x90005fff,0xffffffff,0x3f20003d,0xffb01fff,0xf80003ff,
    0x98002fff,0xfffcffff,0xd10004ff,0xf905ffff,0xb0009fff,0x5fffffff,
    0x7ffffc40,0xffffffff,0x2a4fffff,0x3ee07fff,0xffffffff,0x25ffffff,
    0x001ffff8,0x6401efd8,0xfb005fff,0xff9809ff,0xffffffff,0xffffffff,
    0x7fc47fff,0xffffffff,0x7f401bdf,0xf88005ff,0x3fe23fff,0x3fe204ff,
    0x3ffe03ff,0x5fffd82f,0x406fffb8,0xd005fffc,0x22009fff,0x000dffff,
    0x0bfff900,0x013fff60,0xdfffff30,0xfffb8001,0xffffff77,0x1ffff71f,
    0x3ffee000,0x0000efff,0x217fffe2,0x005ffff9,0x02ffff80,0xfffff980,
    0x02ffffff,0x7ffff440,0x5ffffd84,0xffff1000,0xfd5009ff,0xffffffff,
    0x87ffffff,0x2205fffc,0xffffffff,0x6fffffff,0x003fffe6,0xffc80040,
    0xfffb005f,0xffffa809,0xffffffff,0xffffffff,0x7ffd40ff,0xffffffff,
    0xfff00cff,0x3fa0007f,0x3ffea4ff,0x7ffe400f,0x0bfffe06,0x2e17fff6,
    0x7e406fff,0xffd005ff,0x3fe2009f,0x200002ff,0xb005fffc,0x4c009fff,
    0x00efffff,0x9ffff980,0xfffffffe,0x006fffda,0xfffffd10,0xd80005ff,
    0x7ec1ffff,0x80001fff,0x8002ffff,0xfffffff9,0x004fffff,0x0fffffdc,
    0x0bffffea,0xffffd100,0x26007fff,0xffffffec,0xe80adfff,0x7fc04fff,
    0xffffffff,0x2e7fffff,0x00007fff,0x05fffc80,0x809fffb0,0xfffffffb,
    0xffffffff,0x1fffffff,0xfffffc88,0xefffffff,0x17fffc41,0x5fffd800,
    0x007fffe6,0x7c0bfffb,0xffd82fff,0x6fffb85f,0x02fffe40,0x004fffe8,
    0x005ffff1,0x2fffe400,0x04fffd80,0xdfffff30,0x7ffc0001,0xffffffdf,
    0x4ffffeff,0xfffe8800,0x03ffffff,0x3fffe600,0x17fffe25,0x7fffc000,
    0xfff98002,0xffffbfff,0x7d4005ff,0x74c1ffff,0x1002ffff,0xfffffffd,
    0xfc8007ff,0x00ffffff,0x3037ffec,0xffffffff,0xffffffff,0x003fffd4,
    0x7ffe4000,0x9fffb005,0xfffffa80,0xffffffff,0xffffffff,0x36ea202f,
    0xfffffffe,0x7fffc1ff,0xfffd0003,0x04ffff89,0x80ffffe2,0xfd82ffff,
    0xfffb85ff,0x2fffe406,0x04fffe80,0x05ffff10,0x7ffe4000,0x9fffb005,
    0xfffff300,0xfd80001d,0xbfffffff,0xffffffff,0x7ffcc002,0xffffffff,
    0x3f60004f,0xfff91fff,0x3e00003f,0x98002fff,0xd10dffff,0x007fffff,
    0x1ffffe88,0x1ffffec4,0x3ffffa20,0x2fffffef,0xfffff300,0xfc809fff,
    0xff700fff,0x55555dff,0x44555555,0x0001ffff,0x2fffe400,0x04fffd80,
    0x567fffc4,0xaaaaaaaa,0xaaaaaaaa,0x2a600540,0x44ffffec,0x8005fffe,
    0x6c3ffff9,0xf900ffff,0x7fc03fff,0xfffd82ff,0x06fffb85,0x802fffe4,
    0x1004fffe,0x0005ffff,0x037ffe40,0x404fffe8,0x0efffffa,0xb8019b30,
    0xcfffffff,0xfffffff8,0x3fea001f,0xfd8affff,0x000dffff,0x8dffff98,
    0x0005ffff,0x00bfffe0,0x03fffe60,0x1fffffb1,0xffff9000,0x7ffff703,
    0x3ffffa20,0xfffffb2f,0xfffe8805,0x02ffffff,0x40ffffea,0x00fffffe,
    0x09ffff00,0x7e400400,0xffd006ff,0xffff009f,0x4400001f,0x36000fff,
    0x7fe47fff,0x7f4003ff,0x7fdc0fff,0xfb50bfff,0xff80ffff,0xfffd82ff,
    0x06fffb85,0x802fffe4,0x1004fffe,0x0005ffff,0x07fffe40,0x9ffffb30,
    0x7ffffd40,0x13ffe00e,0xffffff30,0x3ffff23f,0x3ea007ff,0x641fffff,
    0x00efffff,0xdffffd80,0x0001ffff,0x00bfffe0,0x03fffe60,0x02ffffec,
    0x1ffffa80,0x83ffff98,0x42fffffd,0x02fffffd,0x2b7ffff6,0x100fffff,
    0xf30dffff,0x809fffff,0x7ffffb00,0x2ffc8800,0x03ffff20,0x4ffffd98,
    0xeffffc80,0xfb810000,0x3ea005ff,0x3fe21fff,0xd8802fff,0xfc85ffff,
    0xfeffffff,0x00ffffff,0x360bfffe,0xffb85fff,0x7ffe406f,0x9fffd005,
    0x3fffe200,0x3ea00002,0xfd983fff,0x80dfffff,0xbffffffa,0xfcaaaaaa,
    0xfff806ff,0x3fe66fff,0x8805ffff,0x1ffffffc,0xffffffb0,0xfff98005,
    0x006fffff,0xaaaaaa88,0xaaacffff,0xff9301aa,0xff1037ff,0x01557fff,
    0x0ffff4c0,0x71fffec4,0x205fffff,0x106ffffd,0x321fffff,0x3204ffff,
    0x3e25ffff,0x3fffffff,0x217ff654,0x2dfffffa,0x7fffd4c0,0x3fffea06,
    0x3ff6a20b,0x400dffff,0xbeffffe8,0x3fb6e600,0x3ffff64f,0xff7100bf,
    0xffd81fff,0xb881dfff,0x41ffffff,0xfffffffb,0xffffffff,0xfff980ef,
    0x7ffec0cf,0x7fffdc0e,0xfffd9881,0x3fa601ae,0x55300dff,0x559ffff7,
    0x80015555,0xeffffff8,0xfffffffe,0x3e25ffff,0xffffffff,0xffffffff,
    0xfffe807f,0x7fff43ff,0x7fdc03ff,0x1fffffff,0x7fffffec,0x36000fff,
    0x2fffffff,0x7fffe400,0xffffffff,0x0fffffff,0xfffffff3,0xffb83fff,
    0x03ffffff,0x9037fec0,0x3fee1fff,0x7fec02ff,0xffff706f,0x06fffe83,
    0x3fffffe2,0xfffffffe,0xfffeefff,0xffb86fff,0xdeffffff,0xfffffffe,
    0x3ffe206f,0xfffeefff,0xffffffff,0x7fffcc06,0xeeeeefff,0xffffffff,
    0xffffffb0,0xffddddff,0x3a0dffff,0xefffffff,0xffffffee,0x7fffd43f,
    0xffffffff,0x26ffffff,0xfffffff8,0x3ffff63f,0x3fffee5f,0xffff30ef,
    0xd03fffff,0xbfffffff,0x7fffffc4,0xffffffff,0x6c006fff,0xffffffff,
    0xffffffff,0xfff11fff,0xffffffff,0xffffffff,0xfffff900,0xfffffb81,
    0x7ffffc01,0x225fffff,0xffffffff,0x3e6003ff,0x006fffff,0x7fffffc4,
    0xffffffff,0x93ffffff,0xffffffff,0xfffd0bff,0x000fffff,0xffa80df7,
    0x003ffd10,0x7c407bf2,0xfff883ff,0x7fffd403,0xdeffffff,0xffffffff,
    0xf906ffff,0xffffffff,0xffffffff,0xfffd805f,0xffffffff,0xffffffff,
    0x7fffdc01,0xffffffff,0x0fffffff,0xfffffff9,0xffffffff,0x3a201fff,
    0xffffffff,0x4fffffff,0xddffffd8,0xceffffff,0xf91fffff,0xffffffff,
    0x7fffffec,0xffffff71,0x3fffff67,0x7d46ffff,0xffffffff,0xffffff71,
    0xffffffff,0x8005ffff,0xfffffffd,0xffffffff,0xfff10fff,0xffffffff,
    0xffffffff,0xdffff500,0x0fffff10,0xffffffb0,0xfff87fff,0x2fffffff,
    0x7ffff400,0xfff8002f,0xffffffff,0xffffffff,0xfffff72f,0x307fffff,
    0xbfffffff,0x00002000,0x80080013,0x0ae202b9,0x7ffffd40,0xff90efff,
    0xffffffff,0x7ffe405f,0xffffffff,0x002fffff,0xfffffffb,0xffffffff,
    0xd3001fff,0xffffffff,0xffffffff,0x7ffffd47,0xffffffff,0x4401dfff,
    0xfffffffc,0x02ffffff,0x544bfff9,0x3fea2bcb,0xffff70ff,0x7ecdffff,
    0xf70fffff,0x325fffff,0xffffffff,0x7fffcc5f,0xf50fffff,0xffffffff,
    0xffffffff,0xff90003f,0x39ffffff,0x45bffffb,0xfffffff8,0xffffffff,
    0xf8807fff,0xffb03fff,0xfd9300bf,0x817dffff,0xffffffda,0xffa8003d,
    0xb30006ff,0xffffffff,0xffffffff,0x7ff6447b,0x00ceffff,0x39dffff9,
    0x00000000,0x00000000,0x3fffa600,0x7fe40eff,0x0bdfffff,0xffffc880,
    0xefffffff,0xfffd8002,0xd9cfffff,0x002dffff,0x7fffffdc,0xbdffffff,
    0x7667e440,0xffffffff,0x6cc001ef,0xffffffff,0x3f6200be,0x2ef98004,
    0x7fffff5c,0x3ffff61c,0x3fffee2d,0x3ffb223d,0xb80cefff,0x2dfffffd,
    0x7ffffedc,0xffffffff,0x4c0003df,0x0001accb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40159730,
    0x00abcca8,0xb9753100,0x00015599,0x1accb988,0x54400000,0x09aacccb,
    0x99953000,0x80001559,0x1acccba8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4401c880,0x0000002c,0x00ea2000,0x02acba88,0xd9500080,0xdddddddd,
    0xdddddddd,0x209ddddd,0x226fffff,0x641ccccc,0x2602cccc,0x0002acba,
    0x64035951,0x64c7ffff,0xfffffffe,0xffffffff,0x003dffff,0x17300000,
    0x0510c400,0x11110000,0x11111111,0x11111111,0x77011111,0x77777777,
    0x77777777,0x6eeedcc3,0xdddddddd,0xdddddddd,0x00addddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffc8000,0x0013fee0,0x10016a00,
    0x00dfffb7,0xffffffb1,0xffeb803d,0xfff701de,0xffffffff,0xffffffff,
    0x30bfffff,0x445fffff,0x7c1fffff,0x7442ffff,0xefffffff,0xffff9001,
    0xff705dff,0xfffd8dff,0xffffffff,0xffffffff,0xb102ffff,0x00019dff,
    0x32009fd0,0x03ffb1ff,0x445bfd70,0xfffffffd,0xffffffff,0xffffffff,
    0x3fe3efff,0xffffffff,0xffffffff,0xffffff33,0xffffffff,0xffffffff,
    0x0dffffff,0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,
    0x37ffe209,0xff300000,0x3ffee009,0xfe806fff,0xffffffff,0xffffe981,
    0xffd83fff,0xffffffff,0xffffffff,0x85ffffff,0xf86ffffb,0x7f40ffff,
    0x7fdc1fff,0xffffffff,0x3fff6200,0x44ffffff,0x7c5ffff9,0xffffffff,
    0xffffffff,0x3fffffff,0xffffffa8,0x40b2601f,0x6c405ff8,0xfff90fff,
    0x7fffdc05,0xfffff70f,0xffffffff,0xffffffff,0xffffffff,0x3fffffe1,
    0xffffffff,0xff93ffff,0xffffffff,0xffffffff,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01bfff50,0x001dfff3,
    0x2ffff880,0xfefffb80,0x77fc406f,0x8bffb30b,0xfffffff8,0x7fd43fff,
    0xffffffff,0xffffffff,0x85ffffff,0xe81ffffd,0xffc87fff,0x566440ff,
    0x3ffd9889,0x5bfffd10,0x47fffd71,0x644ffff8,0xffffffff,0xffffffff,
    0x0fffffff,0x7fffffdc,0xffa82fff,0x0eff882f,0x45fffd30,0xd04fffd8,
    0x2e7fffff,0xffffffff,0xffffffff,0xffffffff,0xff1fffff,0xffffffff,
    0xffffffff,0x3ffffe67,0xffffffff,0xffffffff,0x7fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ee00000,0xff980eff,0x3a0001ff,
    0x801fffff,0x00dff508,0x1bfe6031,0xf9bffffb,0xb983ffff,0xcccccccc,
    0xcccccccc,0x85fffecc,0xfb05ffff,0xfff70dff,0x7cc6600f,0x1dff705f,
    0xf83ffea0,0xaa883fff,0xaaaaaaaa,0xaaaaaaaa,0xfffa81aa,0xffffffff,
    0x17fffea3,0x50bfffe2,0x3203ffff,0x7ec0dfff,0xfd11ffff,0xffffffff,
    0xffffffff,0xffffffff,0x5dddc9ff,0xbbbbbbbb,0x21bbbbbb,0xddddddb9,
    0xdddddddd,0xdddddddd,0x0000bddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffdc00,0x2ffffa81,0xffffd800,0x2a000fff,0x640006ff,
    0x3ffe65ff,0x27ffdc0e,0x3f600000,0x7ffd45ff,0xbfff901f,0x20dfff50,
    0xffffffc8,0x5ffb05ff,0x3a2ffe80,0x00002fff,0x3fffe000,0xffffeadf,
    0xfffffbdf,0x6ffff882,0x003bffea,0xf98dfff7,0x99886fff,0x99999999,
    0x99999999,0x01999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffee00,0x4ffffa82,0x3fffee00,0x000effff,
    0xa800dff5,0x21ffffed,0xff03fffa,0x800000df,0x7e45fffd,0x3fee05ff,
    0x5fff984f,0xffffffb8,0xf885ffff,0x4ffa806f,0x0007fff6,0x7fcc0000,
    0x3ffa25ff,0xffffffff,0x74ddf646,0x0bffd1ff,0x217ffcc0,0x00001cb8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xa83ffffc,0xa805ffff,0xffffffff,0xff5005ff,0xffff800d,
    0x7ffe43ff,0x00fff900,0xfffd8000,0x007fff45,0xf105fff3,0xfffb89ff,
    0xffdcbbdf,0x801fff05,0x3ff23ffb,0x0000000f,0x6417ffa0,0xffffffff,
    0x3fffe20e,0x0baa6fff,0x00132200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9000,0xdffff70b,
    0x3fffe601,0xfffff9cf,0x06ffa804,0x7fffed40,0x07ffee1f,0x0003ffec,
    0x97fff600,0x4404fff8,0xfff01fff,0x103ffe87,0x3ff60bff,0x8bffe204,
    0x97307ffb,0x99999999,0x99999999,0x07701599,0xffffffb8,0xffffb80e,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c400000,0xfe84ffff,0xfe886fff,0x3fea5fff,
    0x7d402fff,0x3660006f,0x3ffea7ff,0x05fff984,0x7fec0000,0x03ffea5f,
    0x7403ffe0,0x07ffc2ff,0x037ffee2,0x88b3ffea,0x7d46ffeb,0xffffc86f,
    0xffffffff,0xffffffff,0x30001fff,0x88039fd9,0x0000beca,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0dffffe8,0x077fffec,0x077fffec,0x07ffffee,0x0006ffa8,
    0xf897ffc4,0xeb89dfff,0x00003fff,0xb2fffec0,0x3fa009ff,0x707ff207,
    0xfffddfff,0x90bfffff,0xffdfffff,0xff981fff,0xffffff85,0xffffffff,
    0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a200000,0xfd83ffff,
    0xff904fff,0x3f601fff,0xf500ffff,0xfb0000df,0x7fffd47f,0x06ffffff,
    0xffd80000,0x003ffe5f,0xff502fdc,0x3fffffa0,0x7fffffff,0xffffff50,
    0xff101bff,0xfffffb09,0xffffffff,0xffffffff,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3a200000,0xfd81ffff,0xff102fff,0xfe803fff,0x26625fff,
    0x8099effb,0x2e209bca,0x7fe41fff,0x0fffffff,0xfc800000,0x007b24ff,
    0x00980130,0x2b3bbb6a,0x200aaaa8,0x1cdeecb8,0x5c40f640,0xeeeeeeed,
    0xeeeeeeee,0x002ceeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01bfffd1,
    0x401dfffb,0x803ffff9,0xf55fffe8,0xffffffff,0xfffff8df,0x04ffffff,
    0xbffffff5,0x20000001,0x0001fffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xb04fffe8,0x3a00bfff,0x3a2003ff,
    0xffff71ff,0x8dffffff,0xfffffffa,0x5cc403ef,0x000000ac,0x00276440,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x205fffd1,0x4003fffd,0x0a880019,0x4cccccc4,0x2ea60099,0x00001abc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00effb80,0x0003dff3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6c404e98,0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_50_latin_ext_x[560]={ 0,9,5,2,3,3,4,10,11,5,3,1,8,4,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-2,-1,0,0,3,10,3,5,3,-2,9,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,11,7,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,3,1,3,0,
11,2,6,-1,5,1,-1,4,-1,-2,6,1,6,6,9,0,2,9,8,7,5,2,0,-3,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,1,1,2,1,
2,1,2,1,2,0,2,-1,1,-1,1,-1,1,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,3,2,3,2,3,2,3,1,3,1,3,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,3,3,3,3,3,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,-1,-1,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_bold_50_latin_ext_y[560]={ 36,7,9,5,5,8,11,9,7,7,8,10,30,21,
30,4,7,7,7,7,8,8,7,8,7,7,16,16,10,17,10,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,4,8,6,44,6,15,8,15,8,15,8,15,8,8,
8,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,8,8,8,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,16,5,9,12,9,
8,7,8,9,7,17,21,21,9,2,3,4,7,7,6,16,8,19,34,7,7,17,7,7,7,16,-1,-1,0,1,
1,-1,9,9,-1,-1,0,1,-1,-1,0,1,9,1,-1,-1,0,1,1,14,7,-1,-1,0,1,-1,9,8,6,6,
7,8,8,5,15,15,6,6,7,8,6,6,7,8,8,8,6,6,7,8,8,11,14,6,6,7,8,6,8,8,
3,9,0,7,9,15,-1,6,0,7,0,7,0,7,0,8,9,8,3,9,0,7,0,7,9,15,0,7,0,7,
0,7,0,7,9,5,0,0,9,8,1,8,3,9,0,7,9,8,0,16,9,8,0,7,9,8,16,-1,-1,9,
8,9,8,9,8,9,8,-1,6,9,15,0,7,8,9,15,3,9,0,7,-1,6,9,15,-1,6,9,15,0,7,
-1,6,0,7,9,15,0,7,9,9,0,8,9,9,1,8,3,9,0,7,-1,5,-1,6,9,16,0,7,0,7,
1,-1,6,0,7,0,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,14,8,8,8,8,8,8,8,8,8,8,8,8,8,4,15,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,7,0,7,0,
7,0,7,-1,3,-1,0,-1,0,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-9,-3,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_50_latin_ext_w[560]={ 0,8,16,22,20,21,21,7,11,11,20,24,11,19,
8,20,20,20,21,22,20,22,20,20,20,20,8,11,26,26,27,19,19,29,26,25,25,25,24,26,26,20,26,27,
25,29,28,26,24,26,28,22,24,27,30,29,27,26,21,12,20,11,20,31,9,25,27,24,27,24,23,26,26,22,
18,25,22,29,25,24,27,27,24,21,24,26,27,28,26,26,21,13,5,12,22,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,20,24,21,26,
5,23,15,28,17,24,26,19,28,31,15,24,13,14,9,26,22,8,10,13,16,24,27,32,27,19,29,29,29,29,
29,29,29,25,25,25,25,25,20,20,20,20,26,28,26,26,26,26,26,19,27,27,27,27,27,26,24,24,25,25,
25,25,25,25,29,24,24,24,24,24,22,22,22,22,23,25,24,24,24,24,24,24,26,26,26,26,26,26,27,26,
29,25,29,25,30,27,25,24,25,24,25,24,25,24,25,30,26,27,25,24,25,24,25,24,27,24,25,24,26,26,
26,26,26,26,26,26,26,26,26,26,20,22,20,22,20,22,20,22,20,22,27,26,26,18,27,25,26,25,22,25,
22,25,22,25,23,26,22,28,25,28,25,28,25,27,25,23,26,24,26,24,26,24,29,29,28,24,28,24,28,24,
22,21,22,21,22,21,22,21,24,24,24,27,24,25,27,26,27,26,27,26,27,26,27,26,27,27,29,28,26,26,
26,21,21,21,21,21,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,25,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,29,26,23,23,23,23,23,23,23,23,23,23,23,23,23,30,29,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,29,25,20,22,26,
24,27,26,27,26,27,26,27,26,27,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,29,25,29,29,27,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_bold_50_latin_ext_h[560]={ 0,30,13,36,37,29,26,13,36,36,19,26,14,5,
7,38,30,29,29,30,28,29,30,29,30,30,21,25,26,13,26,28,33,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,34,27,28,27,28,27,27,27,27,27,35,37,35,16,6,8,22,29,22,29,22,28,31,28,28,
38,28,28,21,21,22,31,31,21,22,28,21,20,20,20,30,20,35,35,35,11,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,30,33,27,22,27,
35,33,5,28,13,19,15,5,28,5,15,32,16,16,8,30,32,7,10,16,13,18,29,29,29,30,37,37,36,35,
35,37,27,36,37,37,36,35,37,37,36,35,27,35,38,38,37,36,36,19,33,38,38,37,36,37,27,29,31,31,
30,29,29,32,22,29,31,31,30,29,30,30,29,28,29,28,31,31,30,29,29,25,26,31,31,30,29,40,38,38,
33,28,36,30,33,27,38,31,37,30,37,30,37,30,36,29,27,29,33,28,36,30,36,30,33,28,36,30,37,39,
37,39,37,39,36,41,36,36,27,28,35,28,33,27,36,29,34,35,36,20,28,38,37,39,36,37,20,37,37,36,
37,27,28,27,28,27,28,37,30,36,30,36,29,28,28,31,34,28,37,30,38,31,27,22,37,30,36,30,36,29,
38,31,37,30,36,29,37,30,39,39,36,29,27,28,36,29,34,28,37,30,38,32,38,31,34,27,36,29,36,39,
35,37,30,36,29,36,29,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,35,28,28,28,
28,28,28,28,28,28,28,28,28,28,29,23,28,28,28,28,28,28,28,28,28,28,28,28,28,33,22,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,36,30,36,29,37,
30,37,30,38,34,38,37,38,37,38,38,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,45,40,37,31,41,34,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__courier_bold_50_latin_ext_s[560]={ 508,132,131,391,43,105,270,183,497,379,489,
245,119,313,272,241,317,439,460,26,488,416,296,400,440,74,501,374,347,191,292,
1,77,1,483,21,31,85,111,74,136,163,129,428,239,265,351,47,407,1,459,
205,403,101,76,160,217,456,54,197,1,82,26,281,262,438,1,31,259,86,228,
79,301,328,427,275,252,180,210,133,417,26,236,111,156,261,366,310,339,461,288,
94,168,129,218,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,508,501,151,
378,158,351,502,203,494,459,148,444,92,313,353,333,76,366,494,61,252,1,343,
501,241,47,166,1,127,358,203,492,384,451,278,320,290,421,209,196,373,481,308,
142,22,64,491,108,432,237,111,161,346,443,390,469,97,474,262,318,139,112,107,
344,106,162,81,167,141,391,464,240,54,1,409,155,361,338,193,436,216,299,294,
319,173,265,319,386,320,188,267,434,29,86,290,214,286,482,360,248,172,132,188,
215,139,415,193,49,247,223,417,369,190,451,125,28,334,1,87,198,258,274,28,
384,273,191,357,164,414,289,1,31,60,251,380,102,350,79,56,488,490,287,398,
174,470,394,408,28,1,218,54,126,417,202,80,113,103,28,155,325,202,1,251,
468,122,222,486,167,332,325,382,344,446,226,152,148,1,467,295,1,28,461,305,
368,1,391,138,445,179,393,334,310,57,274,139,264,465,231,184,53,277,56,473,
1,219,95,83,316,55,240,28,57,30,290,250,237,210,399,488,357,479,228,83,
178,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,129,181,181,266,
181,181,181,181,181,181,181,181,181,181,181,181,181,421,411,181,181,181,181,181,
181,181,181,181,181,181,181,181,227,56,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,435,28,
414,180,85,107,165,54,372,371,446,441,316,300,344,400,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,1,113,327,132,58,419,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181, };
static unsigned short stb__courier_bold_50_latin_ext_t[560]={ 1,334,532,124,86,365,481,532,86,124,509,
481,532,532,532,47,303,365,365,303,395,365,303,334,271,303,334,481,481,532,481,
424,236,453,424,424,453,453,453,424,453,453,424,424,453,453,452,424,452,236,452,
424,424,424,481,481,481,424,481,199,86,199,532,532,532,481,365,509,365,509,424,
271,424,424,1,424,424,509,509,509,236,271,509,509,424,509,509,509,509,303,509,
199,199,199,532,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,1,199,236,
424,509,424,1,236,498,395,532,509,532,532,395,532,532,236,481,532,532,334,236,
356,532,532,532,532,365,365,365,236,86,47,162,199,199,47,453,162,47,47,162,
199,86,86,162,199,452,199,47,47,47,162,162,509,236,1,47,47,162,86,481,
334,271,271,334,334,334,236,481,334,271,271,303,365,303,303,334,395,334,395,271,
271,303,334,334,481,481,271,271,303,365,1,47,47,236,365,162,303,236,481,47,
271,86,271,86,303,86,303,162,334,481,334,236,395,162,303,162,303,236,395,199,
303,86,1,86,1,86,1,199,1,162,162,452,395,199,395,236,452,124,365,199,
199,162,509,395,47,124,1,199,124,509,124,124,162,124,481,395,453,395,481,395,
86,303,162,271,162,365,395,395,271,199,395,124,303,47,236,453,509,124,271,124,
271,162,365,47,236,124,271,124,365,124,303,1,1,124,365,453,395,124,365,199,
395,86,303,47,236,47,271,236,453,162,334,124,1,199,47,303,124,334,124,365,
395,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,395,424,424,199,
424,424,424,424,424,424,424,424,424,424,424,424,424,334,481,424,424,424,424,424,
424,424,424,424,424,424,424,424,236,509,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,124,334,
124,365,86,334,86,334,1,199,1,86,1,86,1,1,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,1,1,86,271,1,199,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424, };
static unsigned short stb__courier_bold_50_latin_ext_a[560]={ 424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_50_latin_ext(stb_fontchar font[STB_FONT_courier_bold_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_50_latin_ext_s[i] + stb__courier_bold_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_50_latin_ext_t[i] + stb__courier_bold_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_50_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_50_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_50_latin_ext_x[i] + stb__courier_bold_50_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_50_latin_ext_y[i] + stb__courier_bold_50_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_50_latin_ext_s[i] + stb__courier_bold_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_50_latin_ext_t[i] + stb__courier_bold_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_50_latin_ext_x[i] + stb__courier_bold_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_50_latin_ext_y[i] + stb__courier_bold_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_50_latin_ext_LINE_SPACING
#endif

