// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_32_latin_ext_BITMAP_HEIGHT        265
#define STB_FONT_times_32_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_32_latin_ext_NUM_CHARS            560

#define STB_FONT_times_32_latin_ext_LINE_SPACING          21

static unsigned int stb__times_32_latin_ext_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x800003eb,
    0x10001ffc,0x0bdddddd,0x00000400,0x00017fdc,0xed800008,0x42a80001,
    0x2a60000a,0x9900000a,0x02000009,0x00b32200,0x001eeb80,0x99999980,
    0x01730001,0x15540000,0x8954c000,0x330000aa,0x7ec00001,0x3260000f,
    0x01fd8003,0x0733da44,0xfb01fd80,0x4000f663,0x1f5c43c9,0x3b260000,
    0x800bcddd,0x01b2003d,0x00bfe000,0xfffff880,0x3620006f,0xe8002c40,
    0x406c004f,0x7c40000d,0x3b600002,0x440003eb,0x880004ff,0x360002ff,
    0xc8000d80,0x88000fff,0x98006fff,0xecceffec,0x3a2000cd,0x2fc886ca,
    0x05ff3000,0x2e5fd000,0xff50005f,0xf100001f,0x0580003f,0x407ff100,
    0x6cc7b0db,0x83ff8800,0x06dc3ff8,0xeb81b700,0x700003ff,0x36e6019d,
    0x5000f603,0x7cc00001,0x00000003,0x7447b200,0x05f88002,0x0f62fa80,
    0x00066000,0x00799100,0x001be600,0x0000fee0,0x00f625f5,0x17f2fe60,
    0x3f63b600,0x3ffea002,0x000764ff,0x3f236576,0xf90002ff,0xbf100007,
    0xe80007e4,0x80004fde,0x540002fa,0xdb80009c,0x43d8b900,0x0cb801e9,
    0x0bb01b70,0xff803ea0,0x67440003,0x20376000,0x224b803d,0x5c80002d,
    0x44970000,0x7c40002d,0x50005ebf,0x67f4000d,0x25c0006e,0xb80005b1,
    0x0000b624,0xb00007ea,0x3fa00009,0x7b0006ec,0xd3000fd4,0xfa8035c1,
    0x364fffff,0x017cc001,0x4000bfe2,0xf300005e,0xb8001f41,0x00007ee5,
    0xf5000079,0xa80000bf,0x06b83d87,0x17d40000,0x3fa02fc0,0x0fe60003,
    0x1ec2e400,0x5fb8ffc0,0x00058000,0x2fdc7fe0,0x7ffdc000,0x00190001,
    0x017ffcc0,0x7dc7fe00,0x8ffc0005,0x700005fb,0x02c40007,0x5fff3000,
    0xb1055000,0x03982400,0xffffffd8,0xf9000764,0x005ff003,0x40000d10,
    0x8800343b,0x40005984,0x3fa00003,0x3e600003,0x07d03d84,0x27dc0000,
    0xfd017e60,0x07e60007,0x3d859000,0x06e23a80,0x00000000,0x000dc475,
    0x0002aa80,0x15540000,0x711d4000,0x23a80003,0x200001b8,0x00000002,
    0x80015540,0x00000000,0xfffffff0,0xf1000ec9,0x00bfe00f,0x80000260,
    0x08000c42,0x4c000220,0x100003ec,0x1fe80000,0x03f703d8,0x17f20000,
    0xfe80ff50,0x009d0003,0x13d8b100,0x13333333,0x26666660,0x1aca9800,
    0x26662298,0x33009999,0x26213333,0x00999999,0x01333333,0x0001bfb3,
    0x10015753,0x13333333,0x26666660,0x33333310,0x26666013,0xba980099,
    0x8000000a,0x00099998,0x01333333,0x26000098,0x4141acba,0xfffffff8,
    0xfb800764,0x885ff006,0x30009999,0x00133333,0x00015753,0x000aba98,
    0x01e45740,0x26000000,0x1ec1be60,0x04c06f88,0x09fb0130,0x7f407f98,
    0x1b2004c3,0x2a22ae20,0x654f62c2,0x80beffff,0x1cfffdb8,0x36f37f20,
    0x545d13ff,0x0beffffc,0xcfffdb88,0xdffff951,0xffb71017,0x2a3b039f,
    0x33bf2005,0x2a03fedb,0x0beffffc,0xcfffdb88,0xdffff951,0xffb71017,
    0x77e4039f,0x203fedbc,0x40dffffc,0xd710effc,0xb8805fff,0x880bfffd,
    0xaacedbfc,0x3bfae02a,0x6bcfdcbc,0xffffffd0,0x65400ec9,0x200aaeff,
    0x7f5c42ff,0x6dc402ff,0x3200bfff,0x3fedbcef,0x5e77e400,0x98003fed,
    0x30001a25,0x5fb50001,0x03d81fe4,0x3faa0bfa,0xe82fda82,0x0ffc403f,
    0x3fee7fd0,0x01f880ef,0x332a7762,0x87b0dc4f,0x36007ffb,0x0bfa600f,
    0xb81ef7dc,0x3f6007ff,0x00fff700,0x468807ec,0x02fea806,0x7dc01df7,
    0x03f6007f,0xb003ffdc,0x17f5401f,0xf500efb8,0x7036c0bf,0x36001fff,
    0xf51fa207,0xfb10bddf,0x1bfa601b,0x7fffffe4,0x99100764,0xf8099bff,
    0x3ffee02f,0xa80fb000,0x1df702fe,0x702fea80,0x344001df,0xf91000b3,
    0x55559db7,0x44bff720,0x407b02ff,0x7fee44fd,0x417fee42,0x0ff802fe,
    0x3beeffa0,0x35c0ffff,0xffb89d10,0x987b1cc1,0x1f2005ff,0x5c01ffa8,
    0xbff300ff,0xf303e400,0x03e400bf,0x2602cc3a,0x7fd400ff,0x00bff300,
    0xbff303e4,0xf303e400,0x0ffa801f,0x1740dfb0,0x003bff60,0x85fc81b2,
    0xbfd103ff,0x7441fa00,0x364fffff,0x007fe001,0x3f6017fc,0x06c800ef,
    0xf5003fe6,0x03fe601f,0x4001ff50,0x4001edeb,0x77fd47e8,0x4bfe205e,
    0x07b01ffa,0x7fc42fe4,0xb82ff882,0x406e801f,0x3f664dfe,0xdb01f44f,
    0x4b10ff50,0x027fc43d,0x3fe20d70,0x06ffa804,0x5c009ff1,0x013fe206,
    0x774c06b8,0x13fa201e,0xf882ff40,0x81ae004f,0x2e004ff8,0x009fd106,
    0x7fc417fa,0xfc807981,0x05b805ff,0x1bf60ffa,0xf5002fec,0x4ffffd80,
    0x7fcc0076,0x805ff000,0xb805fffc,0x009fd105,0x3fa217fa,0x00bfd004,
    0xc8000fa8,0x003ff85f,0x03fee5ff,0x0ff7004c,0x17fc0bfe,0x3e201fc4,
    0x442ff403,0x01f30fff,0x17f20bf2,0xff83d926,0x641ae004,0x5fcc00ff,
    0x09ff03ff,0x3fe035c0,0x401ae004,0x00ffd800,0x3e07ff50,0x01ae004f,
    0x35c009ff,0x5000ffd8,0x17f607ff,0x3b320136,0x02dc04ff,0x0ff709ff,
    0xe8005ff7,0x26d54400,0x1bee003b,0x6402ff80,0x5c04ffec,0x001ffb05,
    0xffb0ffea,0x0ffea001,0x8003fd80,0x06fd83fe,0x1ff25ff0,0x80ffb800,
    0x05ff02ff,0x03c80366,0xff703fe8,0x2fdc1ea3,0x22b82fe8,0x004ff83d,
    0x17fe61ae,0x3ffe5f10,0x2004ff80,0x027fc06b,0x19880d70,0x002ffcc0,
    0x3fe03ffe,0xf01ae004,0x435c009f,0x7c005ff9,0x1ff980ff,0x332003e2,
    0x2e02fff8,0x2e1bf605,0x006fe86f,0x92a00088,0x09fb001d,0x32017fc0,
    0x202fff8c,0x05ff985b,0xf987ffc0,0x7ffc005f,0x06ff9800,0xfb84ff80,
    0x365ff007,0x3ea0007f,0xf02ff82f,0x20cc805f,0x7fd000db,0x35cbfe60,
    0xff880ff8,0x20f60d80,0x1ae004ff,0x7d013fee,0x7fc0ffec,0xf01ae004,
    0x835c009f,0x1efedfc8,0x4004ffb8,0x4ff81ffe,0xff01ae00,0x5c35c009,
    0x7f4004ff,0x5cbfb01f,0x3e699005,0x40b701ff,0x1ff40ffb,0x00013fe2,
    0x01d92a00,0x7c005ff0,0xf9a6402f,0x70b701ff,0xfe8009ff,0x009ff71f,
    0xc801ffe8,0x6c001fff,0x006fb86f,0x01ff65ff,0xf82ff980,0x805ff02f,
    0x003720da,0xff881ff4,0x0df50b92,0x36341bee,0x2004ff83,0x03ffc86b,
    0x07ff9172,0x35c009ff,0xb8013fe0,0x7d41f906,0x01ffe40f,0x3e0bff60,
    0x01ae004f,0x35c009ff,0x2001ffe4,0xff302ffd,0x26400ba3,0xb701dff7,
    0xf71dfb80,0x007ff509,0x6c950000,0x00ff9801,0x9900bfe0,0x5c077fdc,
    0x003ffc85,0xffc97fec,0x17fec003,0x17febe20,0xe81ff700,0x25ff003f,
    0x2a0007fb,0x02ff81ff,0x072205ff,0x7f401644,0x2e3ff103,0xf884fd85,
    0x1ec4a83f,0xd70027fc,0x2e05ffd0,0xf84ffc86,0x01ae004f,0x35c009ff,
    0x3fe237cc,0x0017ff42,0x3fe13ff2,0xf01ae004,0x435c009f,0x64002ffe,
    0x37fa04ff,0x91320079,0x00b70bff,0x2039bb9d,0xaa802ffc,0x800aaaaa,
    0x2e00764a,0x17fc006f,0xbff91320,0x5ffd0b70,0xd4ffc800,0xfc8005ff,
    0xfdb5c04f,0x6fdc000f,0x7c009f71,0x201ff52f,0x03fee008,0x17fc0bfe,
    0x17c403f8,0x7c40ffa0,0x3fd0d50f,0xf883ff90,0x27fc1ec0,0xffd0d700,
    0xf701f305,0x009ff0bf,0x13fe035c,0x5f986b80,0x7ffc3fe8,0x2ffdc001,
    0xd70027fc,0x2004ff80,0x01fff86b,0x502ffdc0,0x64009dff,0x5c4ffd84,
    0xd000ec05,0xf51005ff,0x2a005dff,0x3f200764,0x017fc004,0x13ff6132,
    0x03fff0b7,0xff5ffb80,0xffb8003f,0xff997405,0xddce8003,0x97fc001c,
    0x07b01ff8,0x2ff83fe4,0x3f505ff0,0xfe80bd00,0x3ccbf503,0x3e7217fc,
    0x83d84d87,0x1ae004ff,0x3f10fff6,0x3e0fff20,0x01ae004f,0x35c009ff,
    0x43fe9808,0x64002ffe,0x04ff83ff,0x9ff01ae0,0x7f435c00,0x7fe4002f,
    0x007ff403,0xffd10990,0x3f902dc5,0x01fff400,0x4007ff90,0x3a00764a,
    0x17fc002f,0x3fa21320,0x3fa16e2f,0x7fe4002f,0x8005ffd3,0x1ea03ffc,
    0x1d800dfd,0x22ff8000,0x407b01ff,0x05ff05fd,0x0bf60bfe,0xfe803fe0,
    0x7c43fb05,0x6d577e40,0x13227f8a,0x13fe0f65,0xffc85b80,0xffb01f44,
    0x4009ff05,0x027fc05b,0xeb880b70,0x7fe44fec,0x17fec003,0xb70027fc,
    0x2004ff80,0x03ffc85b,0x2017fec0,0x264005fa,0xb71fff98,0x7ffffec0,
    0x7fec3dee,0x0bfee005,0x00764a80,0xf8001ff1,0x9826402f,0x90b71fff,
    0xfd8007ff,0x007ff92f,0x3602ffd8,0x8017fdc4,0xf80001fc,0x6c0ff62f,
    0x220bfa03,0x05ff03ff,0xff8807fd,0x707ffa01,0xf987b07f,0x33fa1eff,
    0x3d95c3dd,0x2e005ff8,0x366ffa85,0x407ff405,0x16e005ff,0x5c00bff0,
    0xfd8fee05,0x0027fdc4,0x3fe07ff6,0xf016e005,0x42dc00bf,0x6c004ffb,
    0x02f801ff,0xff502640,0x74c0b71f,0xffffffff,0x00fff70f,0x5000ffdc,
    0x3e600ec9,0x1ffc4005,0xffa81320,0xffb85b8f,0x8ffec004,0x6c004ffb,
    0x81f101ff,0xfb005ff8,0x7bddffff,0xf98bfe00,0x3e207b05,0xcfffec86,
    0x7ec17fc1,0x007fcc04,0xfd7bdbfd,0x2e21a605,0x880aa881,0x17fe0f66,
    0xff884c80,0xdff00d77,0xc8017fe0,0x002ffc04,0xb07f2099,0x06ff989f,
    0xff837fc0,0xf0132005,0x426400bf,0x7c006ff9,0x0069806f,0x7fdc04c8,
    0x456605be,0x3fcaa999,0x2001fff1,0x2a001ffb,0x5f700764,0x7fff5c00,
    0xb809901c,0xf985beff,0x37fc006f,0xf800dff3,0x6417206f,0xfe9800ff,
    0xffffffff,0x320ffc00,0x3ee07b07,0x07fe0003,0xff5017f2,0x3533fe80,
    0x00007b00,0xfb07b164,0xb81f400f,0x5400fbff,0x0ffb01ff,0x3f601f40,
    0x320fa007,0xc84fd84f,0xff5001ff,0x801ff603,0x03fec03e,0x3ff207d0,
    0x03ff5001,0x990007b0,0x0bfffb00,0x92e007e2,0xf7004ffc,0xb254003f,
    0x000fd803,0x00990018,0x320bfffb,0xff5001ff,0x001ffc83,0x67c03ff5,
    0xffcaaaaa,0x33159804,0x807f9553,0x417c40ff,0x000dd03d,0x4fb80ff8,
    0x3a037cc0,0x1e88003f,0x6c4b8000,0x801ffb83,0x3ffa01f9,0x203fe801,
    0xf9801ffb,0x00ffdc01,0x1ff40fcc,0x7fc427ec,0x409fd005,0xf9801ffb,
    0x00ffdc01,0xff880fcc,0x009fd005,0x990001f3,0x417ffa00,0x445b007d,
    0xfb803fff,0xd92a001f,0x4002fc01,0x26403ef9,0x105ffe80,0x3fa00bff,
    0x005ff884,0x675c09fd,0xfecccccc,0x400fc407,0xa83fc04b,0x7cc1ec0e,
    0x83fc0000,0x2fc402fa,0x4000ffa0,0x320001e9,0xbfb03d84,0x5403f980,
    0x2fdc02ff,0x2602fec0,0x0bfb003f,0xdfb03f98,0xa834ff98,0x77dc02ff,
    0x202fec00,0xbfb003f9,0x5403f980,0x77dc02ff,0x2e9aca80,0x200bb000,
    0x9ff05ff8,0xfe885b80,0x0ffdc01f,0x20ec9500,0x0001f53a,0x0bb01fea,
    0xa817fe20,0x77dc02ff,0x805ff500,0x0ba00efb,0x6c05ff50,0x0cc5b007,
    0x6c4c813e,0x2000f443,0x6d827c19,0x7401f700,0x3a60003f,0x826c4003,
    0x3bfd103d,0xd804fb98,0xfc80bfed,0xdfe8800c,0x0027dcc1,0xb983bfd1,
    0x3bfea04f,0x2cffdddb,0xf903fe98,0x37fa2009,0x0027dcc1,0xb983bfd1,
    0x7fd3004f,0xff813f20,0x3a0004ff,0x417e6007,0xcbcdfffb,0x3f200cec,
    0xffd880bf,0x1d92a001,0x0003eb74,0x01fa0374,0x74c05f98,0x009f903f,
    0x3f207fd3,0xf803cc04,0x013fe06f,0x467fc4b7,0xb25c00ea,0x2000f447,
    0x0ea8cff8,0x36000ea8,0x0013fe04,0x4017d910,0x0f601dd9,0xfefffd88,
    0x25c803ff,0xefecefea,0x7fec4001,0x003fffef,0xfefffd88,0x7e4403ff,
    0x05ff52ff,0xfecdfec8,0x7ec4002e,0x03fffeff,0xefffd880,0xc8003fff,
    0x2efecdfe,0x001ffec0,0x67fffe4c,0x2605b801,0x1dfffffd,0x9dfdb500,
    0x0017dfd9,0xd70764a8,0x64c00039,0xfffc982f,0x05b801cf,0xfd9bfd90,
    0xfec8005d,0x802efecd,0x5ff9004d,0x337ffee0,0x640ceccb,0x1000dfff,
    0x00244f69,0x81bfff90,0xb50004d9,0x67ffed45,0x75c40001,0x1ceedcee,
    0x98803d80,0x2a001aaa,0x001a9880,0x1aaa9880,0xaa988000,0x0808001a,
    0x00d4c400,0x5554c400,0xa9880001,0x880001aa,0x004001a9,0x06000000,
    0x00004c40,0x0004d54c,0x00004110,0x00015700,0x22000c00,0x880001a9,
    0x3e6001a9,0x0dff3001,0x7ffffecc,0x0000c01d,0x30000022,0x08000040,
    0x02666666,0x01310000,0x00001100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd0000000,0x3fe6001f,0x0098803f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0x200dffff,0x2effffec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0f75c000,0x00355100,0xc800e64c,0x4010003c,0x00000000,
    0x0001bd90,0x000aaa00,0x002aa600,0x000bbaa0,0x06aa2a88,0x03551000,
    0x00055000,0x00400802,0x3ee98002,0x33333100,0x33333333,0x4cc40013,
    0x99995000,0x2aa20059,0x02aa8002,0x10019880,0x06a00040,0x310000d4,
    0x2aa00003,0x2aea6002,0x00b88260,0x0002aa60,0x3e2003fb,0x3f2006ff,
    0x3ffa000e,0x2fffa806,0x1c81d800,0x0002f540,0x09fff500,0x3fea0000,
    0x7f400002,0xfffd0005,0x57f20001,0x40000ff8,0x40000ffc,0x4000ecce,
    0x5403a83b,0x74001902,0xff800fff,0xffffffff,0x005fffff,0x64017ff6,
    0x002cccdf,0x70003ff5,0xfe8001ff,0xa82c804f,0x9ace8002,0x740005ca,
    0x540004ff,0xfd8802ff,0x1ecefece,0xfe801bf2,0x1ffc4005,0x2fd8ed80,
    0x4003ff00,0x403fdafb,0x8006fadf,0xa81323f9,0x00005ffe,0x07fa37a0,
    0x27dc0000,0x1df30000,0xf93f7000,0x43f60009,0xf80003fa,0x2540001f,
    0x4bf00077,0x59dd006a,0x7dc009d9,0xef804fb9,0x987fee09,0x9f3005fb,
    0x7f9005fd,0x00ff6000,0x2003fd80,0x400ffcfb,0x001ae4f8,0x17ffffdc,
    0xff9f7000,0x1fe40003,0x220ffc40,0x1ffa1ffd,0x00077c40,0x6cc0065c,
    0x3e601ae0,0xb87a2002,0x74c9700f,0xddfd8003,0x05fe800f,0xc8970000,
    0x32000005,0x3ee00007,0x20e88000,0x2f8000fa,0x260001ae,0x3b80002f,
    0x3ea0012a,0xf5002fce,0x2003ffff,0x007e61e8,0x207fee0f,0x227d0069,
    0x03fc806d,0x00009f00,0x4be200bd,0xefb805e8,0x260001fc,0x20000bec,
    0x00bd12e8,0xfd8027c0,0xfc87f603,0x001f7005,0x26090000,0x2001e403,
    0x4883a81b,0x44000d88,0xf9003fff,0x7100000b,0x00000ae0,0xb00001d8,
    0x202e0003,0x22c40048,0x3b80001d,0x55d10000,0x3fa0001d,0x6dc4005f,
    0x4405c002,0x7dc12204,0x7500b01f,0x3fc80770,0x00059800,0x07200d10,
    0x3ffa0076,0x00000005,0x00b206e0,0xff801660,0x9f70fc00,0x00007600,
    0x0a000000,0x08080200,0x54c00040,0x017f2002,0x00000000,0x00031000,
    0x000000a0,0x00a04400,0x00001400,0x80007322,0x00000aa8,0x03000000,
    0x00c07fee,0xfc80300c,0x00018003,0x004004c0,0x01553003,0x99999988,
    0x33333009,0x0300c013,0x7c400300,0xf50ec02f,0x0000a005,0x99999800,
    0x2ea60199,0x4c00260a,0x40000000,0x40c40ab9,0x4c4005fc,0x31099999,
    0x10133333,0x4c433333,0x00999999,0x01333333,0x00157530,0x4c157530,
    0x26666620,0x33330099,0x2e600133,0x3310c40a,0x20133333,0x00999999,
    0x04c15753,0x200004c0,0x00c40ab9,0x4401ffb8,0x09999999,0x13333330,
    0x4cc40ff2,0x99999999,0x26209999,0x99999999,0x4c099999,0x20999999,
    0x99999998,0x09999999,0x7dffff95,0xfffb7101,0x26666239,0x99999999,
    0x99988099,0x99999999,0x07ffe099,0x227e21b8,0x09999999,0x13333330,
    0x32a00260,0x882dffff,0xcefecefd,0x17ed401e,0x037ffff2,0x2201dff9,
    0xecbcefda,0x5fc83dac,0x7ffe4c00,0xfff930cf,0xff9305bf,0x7ffe547d,
    0xdb880bef,0x3201cfff,0x3fedbcef,0xecefd880,0x32a1ecef,0x80beffff,
    0x1cfffdb8,0x79dfb510,0x547b59d9,0x0beffffc,0xcfffdb88,0x7677ec41,
    0x9101ecef,0x5559db7f,0x3bf6a205,0x3dacecbc,0x803ff700,0xbeffffca,
    0xfffdb880,0x2207f91c,0xffffffeb,0x22ffffff,0xfffffeb8,0x2fffffff,
    0x3ffff6e2,0x3ffffe2d,0xffffffff,0x3ffd45ff,0xb881fb00,0xfffffffe,
    0xc82fffff,0xffffffff,0x321fffff,0x3e003fff,0xeffffca8,0xffdb880b,
    0x17f541cf,0x209ff900,0x7ec41ff8,0x3ffb201f,0x205ffa82,0x33fa606d,
    0x907ff700,0xefffa8bf,0x505ffc84,0x1f900fff,0x801ffee0,0x3faa00fd,
    0x201df702,0x7ec41ff8,0x07ffb81f,0xe9803f60,0x7ff700cf,0x400fff70,
    0x1ff880fd,0x440ffec4,0x777fd47e,0x00cfe985,0x2e007ff7,0xff7001ff,
    0x207ec00f,0x7fe803fc,0xfe817d40,0xd817d407,0x09ef83ff,0xfb987fee,
    0x002ffcc5,0x07fe80f9,0x57e417d4,0x10fff601,0x003dfffd,0x007ffb87,
    0x3f7203f6,0x3fee002f,0x6c07fb03,0x17fc401f,0x0ba06fd8,0x5c02ffcc,
    0xe85fc84f,0x17fe201e,0x6c00ffe8,0x017fe604,0x3fe607c8,0x407fd400,
    0x07f603fd,0xc8017fe6,0x017fe607,0x3fe613ee,0x6c1f2005,0x207f603f,
    0x03ff85fc,0xf700bff3,0x07fee009,0x002ffcc0,0x007f90f9,0x07700ffb,
    0x0ee01ff6,0x83c0ffe4,0x86981ffb,0x1ae004ff,0x7700ffb0,0xffa803b0,
    0xffffd105,0x7fcc001b,0x881f2005,0x3ea002ff,0x801ff02f,0x02ff801f,
    0x0f303ff1,0x4003bfa2,0x645fc84c,0x01ffb005,0x3f00bfee,0x0027fc40,
    0x13fa20d7,0x7fc2ff40,0x7c40fc00,0x41ae004f,0x9000efe8,0x009ff109,
    0x00ff835c,0x41ff40fc,0xefe886fd,0x20099000,0xf1001ffb,0x435c009f,
    0x7fc803fc,0xff903880,0x3ee07100,0xfb82440f,0x9ff0b01f,0x32035c00,
    0x5838807f,0x007ffc40,0x0fffffee,0x0027fc40,0x02ff80d7,0x220bfea0,
    0x00ec02ff,0xbfb017fc,0x3ff209b0,0x32166001,0xa801765f,0x9ff103ff,
    0x7fc03540,0x6c1ae004,0xff5000ff,0x2017fc47,0x009ff01d,0x1ffc835c,
    0x7fc16600,0x221ae004,0x40ec02ff,0x87fb84ff,0x26001ffc,0x03ff7005,
    0x70027fc0,0x9007f90d,0xfc8000ff,0x7fdc0007,0x3ff70180,0x013fe060,
    0x3fe406b8,0xfd805000,0xffb1002f,0x3fe00bff,0xf01ae004,0x7fd4005f,
    0x403fff02,0x02ff801b,0x0f887fe6,0x9000ffd0,0x09b1bf90,0x7c0bff00,
    0x200f607f,0x1ae004ff,0xf0017fe6,0x0fffc1ff,0x13fe0370,0xffd06b80,
    0x3fe09000,0x7c1ae004,0x206e01ff,0x86fb86fd,0x048007fe,0x4003ff70,
    0x1ae004ff,0x3f200ff2,0x3f200c07,0x3ee00c07,0x3fee000f,0x013fe001,
    0x3fe406b8,0x7dc00060,0xfe98005f,0x4ff804ff,0xff01ae00,0x17fd4005,
    0x003fffc8,0x36017fc0,0x7c416e5f,0xf900006f,0x90005fdd,0xfff301ff,
    0x3e007e05,0x21ae004f,0x74004ffb,0x3fff21ff,0x04ff8003,0x3fe21ae0,
    0x3fe00006,0x641ae004,0x5c003fff,0x21ff40ff,0x00006ff8,0x8007fee0,
    0x1ae004ff,0x3f200ff2,0x3f202c07,0x3ee02c07,0x3fee000f,0x013fe001,
    0x3fe406b8,0x3e600160,0x900200ef,0xff801fff,0xf01ae004,0x7fd4005f,
    0xdfffd102,0x0bfe0003,0x0ba3ff30,0x00027fd4,0x0ffddfc8,0x41ffd400,
    0x6a85ffdc,0x4009ff00,0x03ffc86b,0xd117fec0,0x4003dfff,0x1ae004ff,
    0x00013fea,0x2e004ff8,0xdfffd106,0x8efdc003,0x4ffa84fb,0x3ee00000,
    0x13fe001f,0x3fc86b80,0x2a07fc80,0x503fe405,0x00ffb80b,0x8007fee0,
    0x1ae004ff,0x2d40ff90,0x00fff400,0x0bff2016,0x5c009ff0,0x0017fc06,
    0x74405ff5,0x000dffff,0x7f4017fc,0x3ff2079d,0xbf900003,0x8001dfd1,
    0xfdae86ff,0xf801ec0f,0x21ae004f,0x64002ffe,0x7ff444ff,0xff800dff,
    0x321ae004,0x200003ff,0x1ae004ff,0xdffffe88,0x9bb9d000,0x00fff203,
    0x1ffb8000,0x8013fe00,0x803fc86b,0xcccccffc,0x7fe405fe,0x5feccccc,
    0x0007fdc0,0x7c003ff7,0x01ae004f,0x99999ff9,0xfc800bfd,0x8807804f,
    0x27fc03ff,0xff80d700,0x0bfea002,0x3ffffee0,0x00bfe003,0xe813bfea,
    0x900001ff,0x017fe6bf,0xbcc1ff90,0x03e22ffa,0x70027fc0,0x003fff0d,
    0xf705ffb8,0xf807ffff,0x21ae004f,0x00001ffe,0x6b8013fe,0xfffffb80,
    0xd000ec03,0x000003ff,0xf000ffdc,0x435c009f,0xffc803fc,0x5fdccccc,
    0x6667fe40,0x5c05fdcc,0x3ee000ff,0x13fe001f,0x7e406b80,0xfdcccccf,
    0x1bfe6005,0x3e2017c0,0x027fc01f,0x2ff80d70,0x00bfea00,0x2ffffec4,
    0xd002ff80,0x7ff401ff,0xbf900002,0x3001ffd4,0xf8a647ff,0xf801aa5f,
    0x21ae004f,0x64002ffe,0x3f6203ff,0x3fe05fff,0x3a1ae004,0x200002ff,
    0x1ae004ff,0x7fffec40,0x4003f905,0x00002ffe,0x800bff20,0x1ae004ff,
    0x3f200ff2,0xf9016607,0x2e02cc0f,0x3ee000ff,0x13fe001f,0x7e405b80,
    0x44016607,0xdf001ffe,0x4037e403,0x1ae004ff,0x54005ff0,0x74c002ff,
    0xff804fff,0x80bf5002,0x00004ffd,0x2ffc8bf9,0x1f9bfa00,0x01ec3ff6,
    0x5c009ff0,0x003ffc85,0x4c017fec,0xff04fffe,0x6c2dc009,0x200004ff,
    0x16e004ff,0x9fffd300,0xdfffffb0,0x4ffd87bd,0x3fa00000,0x13fe003f,
    0x3fc85b80,0x2c07fc80,0x0b01ff20,0x2000ffb8,0x3e001ffb,0x016e005f,
    0x00580ff9,0x7c007ffb,0x3ee20aff,0x04ff800f,0xff8816e0,0x0bfea003,
    0x3fff2004,0x0017fc00,0x5ffb805f,0x0dfd0000,0x2e003fff,0x7d4799ff,
    0x2000f8bf,0x16e005ff,0xb0013fee,0x320043ff,0x5ff80fff,0x3ee16e00,
    0x3e00005f,0x416e005f,0x07ffe400,0x3fffffa6,0xff70ffff,0xc880000b,
    0x03dfffff,0x2e005ff8,0xc803fc85,0x3200c07f,0x2e00c07f,0x3ee000ff,
    0x17fe001f,0x7e405c80,0x7d400c07,0x6574005f,0x0dffdefe,0x400bff00,
    0xfffd905b,0x3ff50039,0x3ff20160,0x800ffc02,0x7ff98069,0x7fedc000,
    0xffff53df,0xcff8805b,0x6aeff84c,0x002ffc00,0x0dff3099,0x02c6ff80,
    0x7fc17fe4,0x26132005,0x200007ff,0x132005ff,0x17fe402c,0x54ccc566,
    0xfff33fca,0x00000000,0x6400bff0,0xc803fc84,0x7e40007f,0x7fdc0007,
    0x07fee000,0x2007fd80,0x03fe403e,0x03ffe200,0x9be98300,0x02ffc000,
    0x02c80990,0x7807fd40,0x403ff880,0x07b000ff,0x000bff60,0x00008015,
    0xc81fefe8,0x6c003eff,0x40fa007f,0xf5001ffc,0xf880783f,0x007fd83f,
    0x17fec0fa,0x3f602a00,0x3c0fa007,0xf11ffc40,0x7ec97003,0x0054002f,
    0x36001644,0x20fa007f,0x7fc803fc,0x1ff20e00,0x0ffb8380,0x007fee00,
    0x9801ffb8,0x03fe401f,0x05ffb070,0x0ef98120,0x007fd800,0x02f880fa,
    0x5f03fd40,0x401ff880,0x01f3007f,0x007ffe60,0x27fc01cc,0x0dff7000,
    0x0003ffe6,0xf3003ff7,0x017fe203,0x017c27f4,0x3ee07fe2,0x01f9801f,
    0x2003fff3,0x03ff7039,0x0be03f30,0x3ec3ff10,0x3fe62d80,0x0073001f,
    0xb8007ff6,0x1f9801ff,0xfd803fc8,0xfb077007,0x2e0ee00f,0x3ee000ff,
    0x2fec001f,0x3600fe60,0xb877007f,0x093005ff,0x40027ec4,0xf9801ffb,
    0x8817e601,0x409f50ff,0x1bf201ef,0x9504f811,0xa8005d35,0x2cc00eff,
    0x001ffa80,0x7c07ff10,0xbfb0005f,0x5403f980,0x77dc02ff,0x3201ef80,
    0x017f606f,0xffa807f3,0x202cc00e,0x1fcc05fd,0x7e403df0,0x2e027fc6,
    0x00effa85,0xbb5002cc,0x05fd8007,0x3fc81fcc,0x400ffd80,0x0ffd81f8,
    0x7ec0fc40,0x3ff2001f,0x6ff44002,0x802fdcc1,0x7c400ffd,0x003ffe61,
    0x0fea0174,0x202fec00,0xdfe803f9,0x53fe628a,0x57ffc06c,0x883fee20,
    0x00eb8cff,0x0009ffff,0x88b3bfa6,0x7ec005c9,0x03f60000,0x10003fc8,
    0xfb983bfd,0x07fd3004,0xfff813f2,0x03fee20a,0x4c1dfe88,0xfd3004fb,
    0x2e4c459d,0x20eff440,0x7fc04fb9,0x3fee20af,0x66fffdc0,0x300ceccb,
    0x4c459dfd,0x0170005c,0x41dfe880,0x3f204fb9,0xfe81aaad,0x6fb9882f,
    0x3105ffd0,0x3ffa0df7,0x0fffa003,0x3fff6200,0x2003fffe,0xb9882ffe,
    0x4dfff46f,0xca999999,0xdd5101fe,0x3fa20001,0x027dcc1d,0x42effd98,
    0x400ddffd,0xfdefecae,0xfffd80df,0x0fff600d,0xffd91000,0x40059ddf,
    0x40004fb9,0x007cc06a,0xdfffb100,0x90007fff,0x5dfd9bfd,0xefecae80,
    0x8800dffd,0xfffefffd,0x7f644003,0x002ceeff,0x3fbfff62,0xcae803ff,
    0x0dffdefe,0xfffffb30,0xfd91003b,0x0059ddff,0x20009510,0xffefffd8,
    0x7775c03f,0xffd933ee,0xffffffff,0x7f64c7ff,0xffffffff,0x3f223fff,
    0x103dffff,0x7bfffff9,0x55531000,0x3fb26003,0xffffffff,0x3fee3fff,
    0xffffffff,0x2607ffff,0xd880001a,0x3fffefff,0x0a880000,0x9aa98300,
    0x02001800,0x054c0000,0x000aa800,0x00500300,0x2aaa6200,0xa9880001,
    0x55306001,0x53100013,0x20000355,0x440000a9,0x2001aaa9,0x004d54c1,
    0x80001310,0x540000a9,0xa9880001,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa988000,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09800000,0x4ccc4008,0x33009999,0x20013333,0x00c40ab9,
    0x51000802,0x66666455,0x0080100c,0x00404c00,0x33333331,0x00000000,
    0x002aaa00,0x00000000,0x00000133,0x80001553,0x40000aa9,0x06a000a8,
    0x000000d4,0x00401000,0x00aaa000,0x40015544,0x00c42cb8,0x33310802,
    0x4c413333,0x80099999,0x0036e1db,0x00157510,0x000bdb00,0x833ffa60,
    0x7ffe5404,0xdb880bef,0x5101cfff,0x9d979dfb,0x83b807b5,0x3ff70039,
    0x0ffe6664,0x001b01b0,0x833ffa60,0x3ffae604,0x2dffffff,0x4cdf3000,
    0x7fc0006f,0x3ea00005,0x3ea00005,0x400000ff,0x880005fe,0x910004fe,
    0x2001d717,0x05ca9ace,0xfb93ee00,0x81b10004,0x2a000058,0x3f2002ff,
    0x7ff4000f,0xc80371df,0xfd732b82,0x5c437dff,0x401cffff,0x9ff34ff8,
    0x337bf200,0x70003ffe,0x00005fff,0x99fffb77,0x1ffee009,0x2600fd80,
    0xff700cfe,0x2a1bd007,0x05fb000e,0x3ea01fe8,0x40007b12,0xccfffdbc,
    0x21fff003,0x00cffeb8,0xfc8ffe40,0xbf30001f,0xffd80000,0xbdd00000,
    0x440000bf,0x300000ef,0x0f2000ff,0x3fee009f,0x20002fff,0x01ffa7fe,
    0x3d11ec80,0x1fe40000,0x0017ec00,0x3bffee51,0x324f8806,0x401fff05,
    0x3a000dfe,0x300bfa2f,0xbf9105fd,0x4dfc4001,0x1c0000fe,0x001dffb3,
    0xc8017fe6,0x017fe607,0x3ea013ee,0x3e003fbe,0x401fe803,0x0006ecfe,
    0x0dffb31c,0xfd83ff40,0x2f4c004f,0x640009d3,0x4c00000e,0xb700004e,
    0x80000fdc,0x400000fb,0x7c4001fa,0x93003fc1,0xa800017d,0x000faa3e,
    0x05fbff88,0x0027c000,0x21400bd0,0x9000deb8,0x3a03fbbf,0x00fea07f,
    0x2a004040,0x7fec01ff,0x6c479000,0x44040004,0x27fc4001,0x3a20d700,
    0x099000ef,0x801bff60,0x03fd004a,0x002fff98,0x000c4040,0x7fd41ff6,
    0x00000007,0x000001d0,0x85880000,0x3b000059,0x0ee00000,0x4c85f500,
    0x00000000,0xff700000,0x4c00001f,0x03440005,0x7c400000,0x1ff604ff,
    0x00001fcc,0x009ff100,0x5300bfd1,0x33100320,0x26600133,0xff809999,
    0x641ae004,0x166001ff,0x000d5440,0x00ff4005,0x00001554,0x80015753,
    0x3ffe07fd,0xaba98001,0x00620000,0x32ea6000,0x0100141a,0x14000044,
    0x00a00000,0x0001df30,0x40055d4c,0x99999998,0x33333300,0x01554001,
    0x00006000,0x2666204c,0x33009999,0x53013333,0x43fec015,0x000003f9,
    0x8007fe40,0x00003ffa,0x7fff5c40,0x7fedc402,0x04ff80bf,0x3ff41ae0,
    0x4cc42400,0x99999999,0x26660999,0xfd009999,0x26666623,0x32000019,
    0x3fedbcef,0x740ffb00,0x3f2000ff,0x03fedbce,0x26666662,0x3ae00001,
    0xcfdcbcef,0x00a0006b,0x00014000,0xfd000280,0xefc8001d,0x203fedbc,
    0xbeffffca,0xfffdb880,0x0014001c,0x26666662,0x33333009,0x4ccccc13,
    0xfff95099,0xb71017df,0x4cc39fff,0xd8099999,0x001fcc7f,0x037ffff2,
    0x3e61dff9,0x3fe2005f,0x9999988f,0x33330099,0xfff70133,0xf01f6001,
    0x435c009f,0x00006ff8,0xfffffff9,0x23ffffff,0xdffffdb8,0x2e63fd02,
    0xfffffffe,0x754002df,0x01df702f,0xff107fd8,0x0bfaa00b,0x5cc077dc,
    0xfffffffe,0x6c4002df,0xdfd300df,0x003ea000,0x001f5000,0x000fa800,
    0x801eff88,0xdf702fea,0x03ffdc01,0x50001fb0,0x7ed4001f,0x880befff,
    0x10cffffb,0x5bffffb7,0x2007ffb8,0x7edc40fd,0xfd82dfff,0x4000fe67,
    0x1b605ffa,0xd8009ff7,0xfffda9ff,0xfb880bef,0xfb00cfff,0x0d9001df,
    0x2e004ff8,0x004ffa86,0x4035f900,0xffb03ffd,0xf81fe807,0xffd710ff,
    0x1ff30019,0x200ffa80,0x5ffb07fd,0x801ff300,0x3fe00ffa,0x9ffd710f,
    0x0bfd1001,0x6c001fa0,0x6c00003f,0x6c00003f,0xfd88003f,0x3fe602ff,
    0x807fd400,0x32005ff9,0x07fb0007,0x05fff700,0x6c01df50,0xbff303ff,
    0x3603e400,0x5ff603ff,0x6c0003fa,0xf90ba06f,0xffc8007f,0x00bffee2,
    0xf9003bea,0x0b700bff,0x2e004ff8,0x003ffc86,0xfa803b00,0x07ff205f,
    0xffd03fd0,0x1013ff60,0x3fa009fd,0xd51ff605,0xfd1007ff,0x817fa009,
    0x9ffb07fe,0x400bfb00,0xff98007a,0x3e600006,0x2600006f,0xa4c006ff,
    0xe882ffe9,0x0bfd004f,0xb8013fe2,0x6ff98006,0x09ffb000,0xfc801f90,
    0x09ff101f,0x3f2035c0,0x2bff601f,0xf880006f,0xfe87981f,0x7fe4002f,
    0x4027fec4,0xecc800fc,0x02dc04ff,0x6b8013fe,0x0001ffe8,0xfff880b0,
    0x003fee00,0x0ffb03fd,0xfb01ffea,0x3fea001f,0xffdffb03,0x360015df,
    0xff5000ff,0x541ff607,0x7fdc07ff,0x00074002,0x0007fff2,0x00fffe40,
    0x1fffc800,0xfd88f100,0x007fec1f,0xff03ffa8,0x0035c009,0x000fffe4,
    0x1007ffc4,0x1ff7005f,0x70027fc0,0x00ffb80d,0x17ffbff6,0x217f6000,
    0x01fff84d,0x222ffdc0,0x3e200fff,0xff199002,0x202dc05f,0x1ae004ff,
    0x0000bffa,0x0bff6014,0xe801ff70,0x207fd81f,0xff301fff,0x0fff800b,
    0x3ff67fd8,0x0bff3001,0xd80fff80,0x07ffe07f,0x88006fe8,0x3ebe2000,
    0xf880005f,0x80005ffa,0x005ffaf8,0x997f60b5,0x7fc005ff,0x004ff80f,
    0x5f1001ae,0x2a000bff,0x017205ff,0xff007fdc,0x2035c009,0x3f600ffb,
    0x005ffe8f,0xf10ffcc0,0x005ffb01,0xfa84ffb8,0x8017205f,0x03fff34c,
    0x09ff016e,0x7fec2dc0,0xb8000004,0xffb805ff,0x6c0ff400,0x03ffa07f,
    0x20027fdc,0x7fd81ffe,0x2003ffe2,0x74004ffb,0x07fd81ff,0x7c403ffa,
    0x8000004f,0x001ffb6b,0x1ffb6b80,0xfb6b8000,0x40d9001f,0x013fee7e,
    0xff03ffd0,0x0035c009,0x007fedae,0x982ffd80,0x1ff7000f,0x70027fc0,
    0x00ffb80d,0x7ff45ff6,0x2fec0005,0x0fff20b7,0x207ff900,0x0f982ffd,
    0xffb93200,0x7c05b80e,0x216e005f,0x00005ffb,0x0077fcc0,0x3a007fdc,
    0x107fd81f,0x7fe40bff,0x17fec003,0x3fe63fec,0x03ffc805,0x6c17fec0,
    0x0bff107f,0x0001ffd4,0xff997400,0x99740003,0x740003ff,0x9007ff32,
    0x643ee03f,0x7ec003ff,0x004ff82f,0x25d001ae,0x10003ff9,0x03e81fff,
    0xf803fee0,0x01ae004f,0x7ec01ff7,0x017ffa27,0x5d1ff980,0x0013fea0,
    0x3e203ffb,0x001f40ff,0x0bff9132,0x05ff80b7,0x3fe61320,0x74000007,
    0xff7001ff,0xd81fe801,0x05ffb07f,0x20017ff4,0x7fd84ffc,0x7403ffc8,
    0x7e4002ff,0xb07fd84f,0x7fe405ff,0xaaaaa802,0x23d400aa,0x2a0006fe,
    0x00037f47,0x806fe8f5,0x26981ffa,0x64002ffe,0x04ff84ff,0x7a801ae0,
    0x500037f4,0x0035cbff,0xff803fee,0x701ae004,0x3fec01ff,0x0017ffa2,
    0x2079dfe8,0x74005ff8,0x2ffd406f,0x099000d7,0x05b89ffb,0x7d003fec,
    0x000bff60,0x9ff90015,0x007fdc00,0x1ff607fa,0xf807ffd5,0x7dc001ff,
    0xd07fd85f,0x7ffc01ff,0x2ffdc001,0x3faa3fec,0x17ff403f,0x77ffd440,
    0x7dc4d802,0x89b0002f,0xb0002ffb,0x802ffb89,0xf25c1ffe,0xfb8003ff,
    0x004ff85f,0x44d801ae,0x20002ffb,0x01f8affd,0xf007fdc0,0x035c009f,
    0xfd803fee,0x05ffe887,0x09dff500,0x5001ffd8,0xffb005ff,0x90003f15,
    0x45ffd109,0x0ffdc05b,0xf980fcc0,0x073001ff,0x800dff30,0x7f400ffb,
    0xffeffd81,0xfe800aef,0x7fe4002f,0xf107fd83,0x3ffa01df,0x1ffe4002,
    0x7fff7fec,0xffe800ae,0x0fff2003,0xff103e20,0x81f1000b,0x88005ff8,
    0x02ffc40f,0x4897ffc4,0x20017ff4,0x4ff83ffc,0x4401ae00,0x02ffc40f,
    0x9dfff100,0x01ff7000,0xd70027fc,0x200ffb80,0xffd107fd,0xffd0001b,
    0x05fe8801,0x2200dfd0,0x0004efff,0x3ffe6099,0xbfb00b71,0x5403f980,
    0x2cc00eff,0x00fff440,0xd003fee0,0x6cffb03f,0xff9001ff,0x2ffd8007,
    0x3ea07fe8,0x07ff906f,0xd82ffd80,0x007ff67f,0x7002ffec,0x0b9005ff,
    0x90003ff2,0x003ff20b,0x3ff20b90,0xcffe8800,0x003ffc84,0x7fc17fec,
    0x4016e004,0x01ff905c,0x037fdc00,0x200ffb80,0x16e004ff,0x7401ff70,
    0x3ffa207f,0x2fd4000e,0x401ff880,0x2e000efa,0x320006ff,0x23ffea04,
    0xdfe8805b,0x8027dcc1,0x222cefe9,0xffb005c9,0x1ff70007,0xfd81fe80,
    0x003ffe27,0xb0013fee,0xfff883ff,0x037ff201,0xd8009ff7,0x27fd81ff,
    0xb800fff8,0x3ee007ff,0xaacf801f,0x04ffcaaa,0x555567c0,0x4004ffca,
    0xcaaaaacf,0xfb1004ff,0x09ff707f,0xf81ffd80,0x016e005f,0x5555567c,
    0x40004ffc,0xf70004ff,0x02ffc01f,0xffb80b70,0x03fff100,0x017fffdc,
    0xe9800be0,0x01df903f,0x0009ff00,0x3fee0264,0xfb1005be,0x07fffdff,
    0xfffec880,0xf5002cee,0x3ee000bf,0x40ff400f,0x2ffcc7fd,0x0037fcc0,
    0xffd99bfe,0xe882dfff,0xff32efff,0x06ff800d,0x5ff98ffb,0x00fff880,
    0xb803ff70,0xccccccce,0x3ae007fe,0xeccccccc,0x33ae007f,0xfecccccc,
    0x0ffec007,0xf001bfe6,0x017fe0df,0xceb804c8,0xfecccccc,0x27fc0007,
    0x00ffb800,0x4c8017fe,0x2a07fdc0,0x2cfffffd,0x7fffffe4,0x0069805f,
    0xfb9bdf70,0x7fc0005d,0x01320004,0x0017fff6,0x0039d531,0x0002f600,
    0x0001fff1,0xfd003fee,0xf90ffb03,0x3ff9007f,0x007fea00,0xff900010,
    0x07fea003,0x7fe43fec,0x04ffc803,0xe803ff70,0x017fd402,0x7fd402e8,
    0xa805d002,0x7ec002ff,0x001ffc84,0x3f603ff5,0x200fa007,0x17fd402e,
    0x009ff000,0xd803fee0,0x00fa007f,0x10001ff7,0x1ec00001,0xfffb1000,
    0xff80001f,0x01320004,0x0002fff4,0x2600005f,0x7ec000ef,0xf709002f,
    0x81fe801f,0x1ffd07fd,0x005ff880,0xfb8009fd,0x3fe2001e,0x409fd005,
    0x1ffd07fd,0x03fff880,0x2601ffb8,0x00dff007,0x1bfe00f3,0x7fc01e60,
    0xbf032606,0x200bff10,0x3fee04fe,0x401f9801,0x0dff0079,0x0027fc00,
    0x2e00ffb8,0x1f9801ff,0x0007fdc0,0x40002ff4,0xb80000f9,0x40005fff,
    0x360004ff,0x0bff1005,0x0017e200,0x0027ec40,0x2600bff7,0x400ffb84,
    0x07fd81fe,0xa801dff1,0x77dc02ff,0x2fe44000,0x00bfea00,0x7ec01df7,
    0x01dff107,0x401ffe88,0x13601ffb,0x2017fe40,0x5ff9004d,0xf9004d80,
    0x90bf205f,0x00bfea07,0xfd801df7,0x401fcc05,0x5ff9004d,0x017fe000,
    0x2007fdc0,0x1fcc05fd,0x0007fdc0,0x2001ff4c,0x002e9aca,0x13ffe600,
    0x005ff800,0xf9801fa0,0x37fa0005,0x2a00028a,0xfff3003f,0x360ba001,
    0x0ff401ff,0xff503ff4,0x07fd300d,0x880013f2,0xfe98005f,0xd009f903,
    0x37fd40ff,0x80bffc80,0xf301ffd8,0x1bfe6003,0xf3001f98,0x00fcc0df,
    0xf306ff98,0x3a600e85,0x009f903f,0x73077fa2,0x03f3009f,0x001bfe60,
    0x4001bfe2,0x74401ffd,0x27dcc1df,0x001ffd80,0xf8005f70,0x00004fff,
    0x003ffb88,0x4006ff88,0x1cffffc9,0x20005b80,0x002effc9,0x000ee988,
    0x33337ffd,0x3fd95333,0xaa87ffd0,0x7c41feaa,0x3ff201ff,0xdfec800d,
    0x0002efec,0x0003fb31,0x7f66ff64,0xfff8802e,0x037ff201,0x33bfb6a0,
    0x200befec,0xff3000fe,0x003fa07f,0xe81fffcc,0xfff3000f,0x32233207,
    0x9bfd9003,0x88005dfd,0xfffefffd,0x001fd003,0x000fffe6,0x2000fff5,
    0xd8803ffe,0x3fffefff,0x00fffa00,0x000bd510,0x00007ffb,0x037dd500,
    0x001ffea0,0x00060000,0x2a600000,0x3ffee001,0xffffffff,0x3f227fff,
    0xdb3dffff,0x3663dddd,0x82dfffff,0x02efffe8,0x0001a988,0x00001b88,
    0x4c006a62,0x2dfffffd,0x2efffe88,0x026aa600,0x1bffff70,0x7ffff640,
    0xbffff72e,0x7fff6401,0xffff72ef,0x7ff6401b,0x2b882eff,0x03531000,
    0x55531000,0x3ffee003,0x3fb200df,0x5c02efff,0x1cfffffd,0x7fffe440,
    0xa98803df,0xf91001aa,0x007bffff,0x080002e6,0x88000000,0x3f6e02b9,
    0x001cffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01333310,0x26666660,0x19805400,0x00028000,
    0x06b2ea60,0x13ba6005,0x20000000,0x008000db,0x26000002,0x262004ff,
    0x01999999,0x400aaa00,0x10001aa9,0x99988040,0x99999999,0x4ccc0999,
    0x40009999,0x000005ed,0x00000000,0x00388240,0x00000000,0x00004000,
    0x1c412200,0x00000000,0x0e5c1cc0,0xeb880022,0x5c402fff,0x400bfffd,
    0x0b730ae8,0x001f5000,0xbcefeb80,0x006bcfdc,0x0003fffb,0x88000ff4,
    0x1d8004ff,0x800000c8,0x5c4005fc,0x0bcffffe,0x03ff8800,0x0001dfb0,
    0x4406e0b6,0xffffffeb,0x22ffffff,0xdffffdb8,0x3ffee002,0x37cc0002,
    0x54000df3,0xffffffff,0x4dedc004,0x98000eb9,0x37cc006f,0x007fa200,
    0x3f200488,0xdc80bf22,0x360eba9b,0xf80bf62f,0x7fffffff,0x3e0ec000,
    0x0171cfff,0xfffb8698,0x800fb000,0x02fffffc,0x003fd800,0x201bfb10,
    0xfa806fe9,0x30005faa,0x740009ff,0x2fa8002f,0x40000136,0x3e0000ee,
    0x5c0002ff,0x03fe004f,0x323f8800,0x80ffd005,0x7ffb02fa,0xe9bf8800,
    0x3ee0000f,0x003ff91f,0x3bbbbaa0,0x44003eee,0x005fffff,0x4003ff90,
    0x2a001ffc,0x12e003ff,0xff16ff80,0x7fffc40b,0x457fe25f,0x3bba05ff,
    0x005eeeee,0x91531a20,0x900ddfff,0x03bff609,0x2a001b20,0x80002dfe,
    0x88006ff9,0x0fd005fe,0x0174c3d0,0x0001ec80,0x9fb00004,0x000001fb,
    0xe80001f1,0x6c0000ff,0x007ea005,0x3f77f200,0x00ffb000,0x07ff2077,
    0x26c47900,0x4cbd1000,0x0000005e,0x1deb8800,0x017a6000,0xb0009d30,
    0x13e6001d,0x3ae2eb80,0x0ef5c402,0x03d90f64,0x2a000000,0x37f221c4,
    0xf901e800,0x0b700bff,0x00000400,0x8003fff9,0x1ea005fd,0x00910350,
    0x00000000,0x017ffcc0,0x001b8000,0x0007fd80,0x59000744,0x3fe20000,
    0x1ff2004f,0x7fdc0e20,0x640a6000,0x00000000,0x33333331,0x26666601,
    0x00000009,0x00000000,0x013fe600,0x00000000,0x0aba9800,0x001e8000,
    0x99034c00,0x5b809ffd,0x565d4c00,0x3e200141,0x2e005ffa,0x074002ff,
    0x26000000,0x400c40ab,0x55400009,0x00000002,0x007fc800,0x0a0004c0,
    0x15530000,0x003fe400,0x0003fee0,0x0a000000,0xffff9500,0xfb71017d,
    0x266239ff,0x99999999,0x26209999,0x99999999,0x4c099999,0x40999999,
    0x99999998,0x70999999,0x49ffffff,0x99999998,0x09999999,0x4ccccccc,
    0x26666660,0x33bf2009,0x4003fedb,0x33306b98,0xc8013333,0x3fe33204,
    0x4016e02f,0xdcbcefeb,0x5c006bcf,0x2001ffb6,0x088006fe,0x8000bd50,
    0xcbcefda8,0x9103dace,0x5559db7f,0x26666625,0x80000099,0x99999998,
    0x19999999,0x0001ff20,0x99885f91,0x00199999,0x26666662,0x99999999,
    0x180ff900,0x4407fdc0,0x09999999,0x4cccccc4,0x007d4001,0x003ffd40,
    0xfeb881fb,0xffffffff,0x3ae22fff,0xffffffff,0x2e22ffff,0x42dffffd,
    0xfffffffc,0x41ffffff,0xfd7104fc,0xffffffff,0x6dc45fff,0x712dffff,
    0x05bffffb,0x3ee05fd5,0x6fec400e,0x7edc43ff,0x7402dfff,0x7fcd3201,
    0x880b701f,0xfd300dfd,0xf32e800d,0x9ff1007f,0x3fae0000,0x3a60005f,
    0x7ff700cf,0xffa8fd10,0xffd735ee,0xbfffffff,0x64c00037,0xfffffffe,
    0x00ffffff,0x64000ff9,0x75c42fff,0x00bcffff,0xffffd710,0xffffffff,
    0xb01ff205,0x980ffb80,0x1befffeb,0x6ffffe54,0x0ff6000b,0x017fe600,
    0x3ff407c8,0x7f40bea0,0xd817d407,0x35f903ff,0x641ffec0,0x07fe804f,
    0xffd817d4,0x40fff603,0x7d400ff9,0x219f300f,0xffb05fee,0xc80d3007,
    0x203bfee4,0x17fa205b,0xf5003f40,0xfa806fe8,0x7400003f,0xff30005f,
    0x909f700b,0x407ff0bf,0x2e609fff,0x0000dffe,0x80fff7e2,0x0ff901fa,
    0x02ff8800,0x0000bffe,0x2fa80ffd,0x2d40ff90,0xf003fee0,0xffa801ff,
    0x6ff98005,0x009ff000,0x1ff6035c,0x3fec0ee0,0xffc81dc0,0xfa803b01,
    0x009f905f,0x07700ffb,0xfc807ff2,0x04fe881f,0x9ba0bfd0,0xc80ffbd9,
    0x03c801ff,0x17ff2264,0x05fd816e,0x4d801ea0,0x32017fdc,0xaaa802ff,
    0x7ec0aaaa,0xefe88005,0xfd099000,0x740dfb07,0x7ffe407f,0xf3d50000,
    0x901c807f,0xff0000ff,0x007ff405,0x201ff600,0x99ff903b,0x80bfd999,
    0x7f400ffb,0x04ff9807,0x01fffc80,0x2004ff80,0x03fe406b,0x07fc81c4,
    0x1ff70388,0xfff10160,0x2013f201,0x038807fc,0x7dc01ff7,0x00ffd80f,
    0xfc87ff50,0x03ba2b22,0x3a003fee,0x7ec26401,0xfb82dc4f,0x0074002f,
    0x3fe207c4,0x017ff405,0x177ffd44,0x64002fe4,0x166001ff,0x1fee13fe,
    0xfb807fd8,0xbd8000ef,0x14c03ff9,0x80007fc8,0x1ff602ff,0x01ff2000,
    0x67fe40e2,0x05fdcccc,0x36007fdc,0x3ff8807f,0x7fd7c400,0x04ff8005,
    0xff901ae0,0x07fc8000,0x807fdc00,0x017fec02,0xff9009f9,0x0ffb8000,
    0xf303fee0,0xfff800bf,0x00e87fa0,0x4c00ffb8,0xe884c806,0x7416e2ff,
    0x0088006f,0x1ff905c8,0x001fff40,0x3f207ff9,0x07fe8005,0x86fd8480,
    0x1ff606fb,0x0027ff40,0x01ffcda6,0x000ff900,0x7e405ff0,0x7fc80007,
    0x03fe4000,0x0ffb80b3,0x4403fec0,0xb5c003ff,0x7c000ffd,0x01ae004f,
    0x40180ff9,0x200c07fc,0xb8000ffb,0x27e405ff,0x0603fe40,0x5c01ff70,
    0x27fdc0ff,0xf87ffa00,0x2e00b50f,0x01e400ff,0xfff98264,0x9ff10b71,
    0x67c00000,0xffcaaaaa,0x017ff604,0xf902ffb8,0x3e20088b,0xf700006f,
    0x203fe81f,0xff3007fd,0xf32e800f,0x3200c07f,0xff80007f,0x001ff202,
    0x0301ff20,0x02c07fc8,0xfb003fee,0x07ff100f,0x7ff32e80,0x004ff800,
    0x0ff901ae,0x03fe4058,0x01ff7016,0x00eff980,0x7e4027e4,0x3ee02c07,
    0x03fee00f,0xd8007ff9,0x23ff12ff,0x1ff7002d,0x4c801e80,0x2e3ffea0,
    0x003ffa85,0x999d7000,0x0ffd9999,0x7003ffdc,0x57f203ff,0xa80effea,
    0x200004ff,0x09f71dfb,0x3a007fd8,0x4d5002ff,0x09103ff9,0x80007fc8,
    0x1ff202ff,0x01ff2000,0x407fc80b,0x007fdc01,0x3e201ff6,0xd1ea003f,
    0x4ff800df,0xf901ae00,0x3202d40f,0x7016a07f,0xfe8001ff,0x04fc801f,
    0x16a07fc8,0x5c01ff70,0x17ff40ff,0xf93ff200,0x2e0068af,0x01a600ff,
    0x3fee0264,0x2ffc85be,0xaaaaaa80,0xa805d00a,0xfff102ff,0x07fee001,
    0x65f56fe4,0x3ffc84ff,0x6e740000,0x7fd801cd,0x00fff600,0x07ff3174,
    0x0ff9012e,0x02ff8040,0x20001ff2,0x016a07fc,0xb8000ff9,0x3fec00ff,
    0x001ffc40,0x02ffb89b,0xb8013fe0,0x667fe406,0x405feccc,0xcccccffc,
    0x7fdc05fe,0x13ff2000,0x6402fe40,0xecccccff,0x07fdc05f,0xff81ff70,
    0x7fdc001f,0x212b7fa5,0x00ffb838,0x026400f2,0x742fffec,0xfa8802ff,
    0x0f302eff,0xfc81bfe0,0x3ff7004f,0xf513ff20,0x01ffe81f,0x00076000,
    0xf9003fec,0x98d5009f,0xecccceff,0x03fe404f,0x80bfe090,0xc80007fc,
    0xecccccff,0x03fe405f,0x01ff7070,0x9999ffd8,0x3ffa9999,0xf881f100,
    0x13fe005f,0x7e406b80,0xfdcccccf,0x667fe405,0x405fdccc,0xf3000ffb,
    0x37e400df,0x333ff205,0x405fdccc,0x3ee00ffb,0x017ff40f,0xfc8fff20,
    0xb80c81ef,0x003e00ff,0xffe80264,0x003ffe85,0x4d80fff2,0x205ff900,
    0xb803fff8,0x0bf901ff,0xffe83ff1,0x3f900002,0x01ff6000,0xe805ffb8,
    0x6677fcc2,0x6c04fccc,0x2077007f,0x1ff202ff,0x33ff2000,0x05fdcccc,
    0x3b803fec,0x6c00ffb8,0xeeeeeeff,0x003ffeee,0x03ff20b9,0x70027fc0,
    0x207fc80b,0x03fe4059,0x0ffb80b3,0x01ffe880,0x0b33fea0,0x0b303fe4,
    0x2e00ffb8,0x1ffe40ff,0x98bff600,0x17222fff,0x69807fdc,0x44017600,
    0x5ffd85ff,0x40bfee00,0xff3001f9,0x0fff440d,0x6407fee0,0xd83ff05f,
    0xb00004ff,0xbddfffff,0x003fec07,0xfb809ff9,0x3ffbaaaa,0xffd80950,
    0xf807cc00,0x01ff202f,0x981ff200,0x007fec05,0x3ff607e2,0x403fec01,
    0x9f003ff8,0xff955555,0x017fe009,0x3fe405b8,0x0ff90160,0x07fdc058,
    0x001ffec0,0xf901ffec,0x7dc0580f,0x03fee00f,0xd8009ff7,0x7ffdc1ff,
    0xf700efef,0x800f201f,0x17e6007e,0xb801ffee,0x01fd01ff,0x00fffe60,
    0xb1017ff9,0x17f203ff,0x3fee17fc,0xfd300005,0xffffffff,0x400ffb01,
    0x3e202ffd,0xffdccccc,0xff881203,0xaa9999cf,0x0bfe06fc,0x80007fc8,
    0x202c07fc,0xb9882ffe,0x07ffd06f,0xf8807fd8,0xcceb803f,0x7feccccc,
    0x400bff00,0x03fe405c,0x80ff9006,0x007fdc01,0x80017fea,0x407fc800,
    0x007fdc01,0xff981ff7,0x837fc006,0x00beffff,0x07c03fee,0x3ffff260,
    0x885b801c,0xf7000fff,0xffffb83f,0x3ffb200d,0x36a02eff,0xefeccefe,
    0x417f200b,0x3ffcc2ff,0x31598000,0x07f95533,0x7f400ffb,0x4c16e01f,
    0x260603ff,0xfffffffc,0x04ffffff,0x7fc80bfe,0x07fc8000,0x7ff64c0c,
    0xffffffff,0x3ff223ff,0xfb03dfff,0x07ff100f,0xffa805d0,0x007fd802,
    0x0ff900fa,0x007fc800,0x1007fdc0,0x20001fff,0x3fe400bb,0x03fee000,
    0xfc80ffb8,0x3ff5001f,0x40062b30,0x06980ffb,0x0c011000,0x7004ffc8,
    0x400003ff,0x2ba0000e,0xbf90009a,0x3f60bfe0,0x1054002f,0xb097003f,
    0x3fe600ff,0x4c07e206,0x400003ff,0x05ff0000,0x01003fe4,0x00001ff2,
    0x0b300688,0x2201ff60,0x03cc03ff,0xfb806ff8,0x01f9801f,0x07003fe4,
    0x41c00ff9,0x3f600ffb,0xfa89002f,0x03fe404f,0x01ff7070,0x7c407fdc,
    0x09fd005f,0x3ee000b2,0x0003c80f,0x8800bfd0,0xfb803fff,0xf500001f,
    0x37ea0001,0x82fe4000,0xfff982ff,0x7d873001,0xffb05b00,0x807ffa00,
    0x0ffe604c,0x77dc01c0,0x017fc001,0x82400ff9,0x00e007fc,0x17200f70,
    0x4403fec0,0x026c03ff,0xd802ffc8,0x01fcc05f,0x3b803fec,0x77007fd8,
    0x2e01ff70,0x893005ff,0x7ec06cd8,0xf7077007,0x07fdc01f,0x5c02ffa8,
    0x000d00ef,0x02a03fee,0x17f4c000,0x07ffa200,0x0003ff70,0x4000fee0,
    0x64003fe9,0x205ff05f,0x4c00effa,0x5c04ff85,0x700ffb05,0x07cc09ff,
    0x7007ff30,0x0df91007,0x3602ff80,0x2077007f,0x077007fd,0xe802fc80,
    0x07fd800f,0x2603ff88,0xdff3001f,0x83bfd100,0xfb005fb9,0x81f8801f,
    0x7c400ffd,0x981ffd81,0x5d000fff,0xffb00e20,0xd81f8801,0x3ff601ff,
    0x40ffa601,0x012a04fc,0x000ffec0,0x017dc000,0x80bffc80,0x0001ffd8,
    0x3139ff10,0x0017dc00,0x17fc17f6,0x459dfd30,0xff705c98,0x9d9979bf,
    0x901ffa01,0x05e809ff,0x2601ffd4,0x0bf1000f,0x3602ff80,0x07cc00ff,
    0x4400ffd8,0x7fcc001f,0xefa8199c,0x7fe8098b,0x204ffa80,0xff3000fe,
    0xffb1007f,0x007fffdf,0x4c417ff4,0x5ffd06fb,0x20df7310,0xffe83ffe,
    0x9999999b,0x5981feca,0x882ffe80,0xffd06fb9,0x01fff407,0x7f66ff64,
    0x000ec02e,0x0003ffe8,0x017aa200,0x9dfdb500,0x0017dfd9,0xdffda800,
    0x05ea8801,0xf886fe80,0x7f64403f,0x402ceeff,0xdfffffd9,0x2bffe201,
    0x3dfd7311,0x6404fb80,0x64c40dff,0xfd98806f,0x0ffe2001,0x4ce7ffc4,
    0x06fcaa99,0x2620bffa,0xb70006fb,0x3ae039ff,0x7fc40cff,0x2ffdc01f,
    0x06ffffdc,0xdffffd90,0x55531005,0x3fb26003,0xffffffff,0x3b263fff,
    0xffffffff,0x3223ffff,0x73dfffff,0xffffffff,0x0fffffff,0x7f64c033,
    0xffffffff,0x3f223fff,0x913dffff,0x07bfffff,0x40035310,0x7fe44002,
    0x0003dfff,0x0000b980,0x009aa980,0x80000000,0x6d4000a9,0xfd93dfff,
    0x260019ff,0x1310000a,0xffffd980,0x2bceffff,0x77ffecc0,0x7ffff642,
    0xffffffff,0x001b8803,0x8e7fff5c,0xffffffc9,0x4fffffff,0x7ffff64c,
    0xffffffff,0x00000003,0x7ffffecc,0x7fff5c2c,0x00000cef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0001eeb8,0x20006f6c,0x4001300a,
    0x0000500a,0x80980000,0x80000000,0x2a000009,0x00000002,0x0003ec98,
    0x00000000,0xcc881d98,0x02cccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c400000,0x00999999,0x81333333,0x5d440a02,0x000dc001,
    0x00000000,0x00027f40,0x10003ff3,0x016e637d,0x03a83d10,0x3f62fd80,
    0xffd30001,0x00002419,0x643fe200,0xffffffff,0x0139b102,0xffffff90,
    0x5d0005ff,0x44000791,0xffffffff,0x64000006,0xffff986f,0x0005ffff,
    0x10005f91,0x07baa5f9,0x4005dd70,0x2d84884a,0xeffd9800,0x0fee200c,
    0x06fecc00,0x00fb5000,0x65419f90,0x80beffff,0x1cfffdb8,0x4c0e425c,
    0x5003fbcf,0xeec9800d,0x005ea80b,0x2200bae0,0x3ee0006e,0x3ff20002,
    0xc8002fff,0x8001f72f,0x9ff34ff9,0x3f6ee000,0x0004ccff,0x97fc4000,
    0xeeeeeeeb,0x6f7f541e,0x3ae02dff,0x1eeeeeee,0x0d12cc00,0x77774400,
    0x0005eeee,0x220d654c,0x3333305f,0x90001333,0xc8005fff,0xfffb2fff,
    0x07446d40,0xd915d500,0xa800b505,0x03fd51df,0x0007ffd9,0x4002d476,
    0x4007ffd9,0xfb84fff8,0x03f6007f,0x10bb0ee8,0x200fe49f,0x36e001f8,
    0xd70ffe88,0xf9000bff,0x3e6005ff,0x007b0000,0x03bfb500,0x3fbfe200,
    0x43d90002,0x470001ec,0x400effd9,0x99999998,0x33333300,0x540009b3,
    0x1faa573f,0xd1000000,0x000002cc,0xcefc8000,0x4cbeffdb,0x88000000,
    0xf88002ff,0x03fff52f,0x4003b872,0x1e203ffa,0xfb81fd00,0x007ff106,
    0x00068d10,0xb0201ff2,0xbff30fff,0x2a03e400,0xfb80feff,0x7b00fe62,
    0xd107d400,0x005fe85f,0x002ff988,0x162000ea,0x00000000,0x0001bfea,
    0x10100000,0x3ff2a003,0xb880beff,0x81acfffd,0x09999999,0x3cc573ec,
    0x33333331,0x13333333,0x0f6f5c00,0x000a0000,0x3203fd50,0x274c01ff,
    0xf80007d3,0x5ff0002f,0xd92a01f0,0x3f7aa001,0x98016c03,0x00ff986f,
    0x3a0007ff,0x4c400b30,0x019ffc99,0x22166091,0x1ae004ff,0x6c13ff60,
    0xa817e22f,0x443f4006,0x277f6622,0x3fe00099,0x00000002,0x00050000,
    0x99988000,0x33009999,0x80013333,0xfff70002,0x1007ec00,0x5bffffb7,
    0x585737c4,0x3ffffae2,0xffffffff,0x007d4002,0x003ea000,0x2007fcc0,
    0x3f600ffb,0x001ffb0f,0x80017fc0,0x202c42ff,0xd1004eed,0xa80bf619,
    0x20bf7005,0x07fd01ff,0x07bba600,0xfffffb80,0x04c80fff,0x013fe057,
    0x198806b8,0xff887fe0,0x4000f880,0xfffe807f,0x2005ffff,0x93a602ff,
    0x4e9803e9,0xa8000fa6,0x9d30000f,0xfda81f4c,0x880befff,0x00cffffb,
    0x20003ea0,0x32005ff9,0x0fff6007,0x215c3fea,0xa80ffd04,0x1fec002f,
    0x0ff60000,0x013fe200,0xbf502ff4,0x20002fd4,0xff0002ff,0x4400ec45,
    0x3e20c000,0x001f100f,0x1ff10bf7,0x0000ffa0,0xff500001,0x34c27cc0,
    0x5c009ff0,0x74033006,0x6c1fe22f,0x03fcc003,0x4000bf90,0x3ff602ff,
    0xd801ffb0,0x01ffb0ff,0x000ff600,0xffd87fec,0x0bffee00,0x0003bea0,
    0x22000ff6,0x1ae004ff,0x881ffc80,0x200575ff,0x03b807fd,0x001bfe60,
    0x006ff980,0x5000ffd8,0x000007ff,0x017fc110,0x44bfe088,0x0000000d,
    0x6c0df711,0xa85fc802,0x30ffa05f,0x00331001,0x83fd4260,0x02544ff9,
    0x6b8013fe,0x3ff7f620,0x3e63fc84,0xa8005b86,0x17f2007f,0x4bfe0011,
    0x3ea5fa80,0x2a5fa805,0xff30005f,0x97ea000d,0xffd805fa,0x000fc804,
    0x0006ff98,0x35c009ff,0x201ff700,0x002cdffd,0x07100ff9,0x00fffe40,
    0x1fffc800,0x017fe600,0x0000fff0,0x5eef7dc0,0x77dc02ff,0x402ffbdd,
    0x3624ffec,0x75c01fff,0x505ffeee,0xa8bf900b,0x4ffa00ee,0x880dfffc,
    0x01efedfc,0x66767ec4,0xffffb87f,0x9ff004ff,0xe8835c00,0xf31bfa23,
    0x3e21fdc9,0x3fffa000,0x3201ffff,0x1dffd35f,0x05aaff80,0x00000000,
    0x003fff90,0xff100000,0x017c401f,0x01fffc80,0x2004ff80,0x3fee006b,
    0x7fffd100,0x001ff200,0xbff5f100,0xf5f10000,0x7fdc00bf,0x8fff4004,
    0x3624ffec,0x3b601fff,0x80bffe22,0x3ffe22ed,0x509ff002,0x3b6203ff,
    0x203ffea1,0x2fe400f8,0xfe801fff,0xefffefdb,0xff507e40,0xb837e601,
    0x13f607ff,0x8013fe00,0xf30bb06b,0xe98fb87f,0x50003d85,0x6fe400ff,
    0x05ffdbea,0x0006f7fc,0x40000000,0x005ffaf8,0xff500000,0x8002e40b,
    0x005ffaf8,0x2e004ff8,0x03fee006,0x03fffe88,0x00c07fc8,0x07fedae0,
    0x7edae000,0x7ff9000f,0x42ffd800,0x1ffa84ff,0xff505f90,0x2a0bf205,
    0x9fd002ff,0x3203ff10,0x02ffb80f,0x25fc805b,0x3a02ffc9,0x3ffa62ff,
    0xff11be64,0x7f41be05,0x0013f607,0x6b8013fe,0xbff02fa8,0xb707b930,
    0xff500aa0,0x227fe400,0x3fe00ffa,0x127ff644,0xec83fffb,0x3ff624ff,
    0x6dae001f,0xfec800ff,0x3fff624f,0x82ffd801,0xd70000f9,0xf0003ff6,
    0x035c009f,0x7001ff70,0x6401bfff,0x2002c07f,0x007ff32e,0x7ff32e80,
    0x00bffa00,0xfe89ff90,0x881ff884,0x05ff106f,0x3fe20df1,0x109fb002,
    0x0df303ff,0x05a827fc,0x7fd42fe4,0x3a07fd03,0xd0bf30ff,0x207f707f,
    0x13f607fb,0x8013fe00,0xeeefc86b,0x007ffeee,0x33e607cc,0x0ff501fc,
    0x7c42fe40,0x05ff300f,0x3fea13fe,0xf509ff01,0x9974003f,0x3fe003ff,
    0x801ffa84,0x1f40fff8,0x3e65d000,0x27fc003f,0x5c00d700,0xff7000ff,
    0x1ff201df,0x1ea005a8,0x54000dfd,0xf8037f47,0x7dc001ff,0x4427ec4f,
    0x05fc81ff,0x17f20bfe,0xfb002ff8,0x903ff109,0x837e40bf,0x17f200f8,
    0x3fe837ec,0x4043ff50,0x1ff83fe9,0x7ec0ff50,0x04ff8004,0x03f616e0,
    0x885d0000,0x2a03f24f,0x17f2007f,0x7f540ffc,0x109fd02f,0x13fa03ff,
    0x54007fe2,0xd0037f47,0x03ff109f,0x6b97fea0,0xfd1ea000,0x04ff800d,
    0xfb801ae0,0xf977000f,0x33ff20ff,0x05fecccc,0x5ff71360,0xf7136000,
    0x5ffd005f,0x43ffc800,0x1ff884fd,0x3fe04fd8,0x3e04fd82,0x09fb002f,
    0x9fd03ff1,0xd807fdc0,0x5417f202,0x03fe80ff,0xd7105ff1,0xff989fd9,
    0x6c0ff500,0x5ff8004f,0x3fa16e00,0x17200001,0x84fa8bf2,0x3f2007fa,
    0xea85ff05,0x9fb02ff8,0x3603ff10,0x01ff884f,0x2ffb89b0,0xf109fb00,
    0x7fec003f,0x20001f8a,0x017fdc4d,0x5c009ff0,0x03fee006,0x2ffb95c0,
    0xccccffc8,0xf1005fdc,0x005ff881,0x7fc40f88,0x03ffc805,0x3617fec0,
    0x81ff884f,0x0bfe04ff,0x2ff813fe,0xf109fb00,0x40bff03f,0x0b502ffa,
    0xff882fe4,0x3e03fe82,0xfb1fdc2f,0x500ffa89,0x027ec0ff,0x9002ffc0,
    0x0007fd09,0x3fa03e60,0x3ea1be61,0x417f2007,0x5ff0c2ff,0x3e213f60,
    0x109fb01f,0x1f1003ff,0xb005ff88,0x03ff109f,0x277ffc40,0x881f1000,
    0x3fe005ff,0x8016e004,0x57000ffb,0x3fe42fec,0x17200b30,0x20007fe4,
    0x01ff905c,0x4004ffb8,0x27ec0ffe,0x7fc0ffc4,0x3e0bfe05,0x00bfe05f,
    0x7fc427ec,0x2606fe81,0x01f100ff,0x3ff817f2,0xff103fe8,0x3f60fe41,
    0xa80ffd44,0x013f607f,0xe801ff60,0x2406fc83,0x3ff02e80,0x3fd43fc4,
    0x3e0bf900,0x40bfe02f,0x1ff884fd,0xff109fb0,0x320b9003,0x4fd800ff,
    0x4001ff88,0x40006ffb,0x01ff905c,0xb8017fe0,0x03fee005,0x7d45706a,
    0x2c07fc87,0xaaaacf80,0x4004ffca,0xcaaaaacf,0x7fcc04ff,0x437fc005,
    0x1ff884fd,0x3fe06fe8,0x3e06fe82,0x09fb002f,0xffb03ff1,0x36037cc0,
    0x740bf902,0x103fe82f,0x6c27e4ff,0x81ffcc4f,0x13f607fa,0x007fee00,
    0x3fee07e6,0x99005504,0xff30ff40,0x6400ff50,0x405ff05f,0x09fb02ff,
    0x3f603ff1,0x801ff884,0xcaaaaacf,0x4fd804ff,0x8001ff88,0x7c0004ff,
    0xfcaaaaac,0x0bff004f,0xf7002640,0x2b89701f,0x1ff217ea,0x99d70030,
    0xffd99999,0x66675c00,0x07fecccc,0x5001ffc8,0x09fb03ff,0xff903ff1,
    0x320bfe05,0x05ff02ff,0x3e217f20,0x02ffb81f,0x05a809f5,0xf8862bf9,
    0x503fe80f,0x6c1ff49f,0x837fc44f,0x13f607fa,0x202fec00,0x3ffa03f9,
    0x300d711d,0x317e401d,0x00ff50df,0x2ff82fe4,0x7ec0bfe0,0xb01ff884,
    0x03ff109f,0xccccceb8,0xd807fecc,0x01ff884f,0x0004ff80,0x333333ae,
    0xb007fecc,0x01f400df,0xf701ff70,0x05fb15c1,0xd0000ff9,0x02ffa805,
    0xffa805d0,0x02ffc402,0xbf904fe8,0xf103ff10,0x3ff881df,0x440eff88,
    0xff9003ff,0xd02ffd88,0x003b60df,0x6d7f603e,0x3a09f51f,0xfd8dd03f,
    0x21a7fcc6,0x7fc84ffb,0x0029bf20,0x73077fa2,0xfff9809f,0x4403ffff,
    0x927d401e,0x01ff705f,0x7fc17f60,0x6c0bfe02,0x01ff884f,0x3ff109fb,
    0x7d402e80,0x427ec02f,0xf8001ff8,0x0ba0004f,0x7005ff50,0x3f3003ff,
    0x407fdc00,0x2e571dfb,0x00ff904f,0xf803cc1c,0x0079806f,0xff500dff,
    0x00efb803,0xffd88ff9,0x37dff702,0x837dffd9,0xec9beffb,0x4c01beff,
    0xf9ebbdff,0x7fcc0bef,0x4007ee0c,0xf95fe82d,0x7f403b23,0x2a0fe41f,
    0xfdddbeff,0x6fff42cf,0x3dffeeaa,0x02ccffa8,0x77ffec40,0xd3003fff,
    0x9005ffff,0x2abee009,0x03ff904f,0x3e21bfa0,0x07ff104f,0x3fe217f2,
    0xf10bf901,0x803cc03f,0x2fe406ff,0x4000ffc4,0xf30004ff,0x201bfe00,
    0x7cc05ff8,0x07fdc003,0x6f77f644,0x1ff602ee,0x026c1dc0,0x6c02ffc8,
    0x05ff9004,0x3207fd30,0x6ffcc04f,0xbeff9ebb,0xdffffa80,0xf501cff8,
    0x9ff1bfff,0x3ffee003,0x00cff88e,0x3bdbffb1,0xfb32d400,0x37bb62bf,
    0x6f7fdc00,0xffc880de,0x205ff52f,0xfaaffffd,0x7ffb00be,0x554c4000,
    0x3510001a,0x30016600,0xffb70199,0x3aa079ff,0xfd93dfff,0x7f641bff,
    0x3fe41cff,0x640bff62,0x17fec47f,0x3f2009b0,0x11ff202f,0xf0005ffb,
    0x136000bf,0x4017fe40,0x5cc1dff9,0xffd8004f,0x066ccc01,0x2007fec0,
    0x00fcc1f8,0x2606ff98,0xdff3001f,0x66ff6400,0xf7002efe,0x9ff11dff,
    0x2a0a9801,0x54153000,0x40a88000,0x00662002,0x00200280,0x08006a20,
    0x21a88008,0x00010018,0x00000000,0x00000000,0x00000000,0x3d77bff3,
    0xf9817dff,0xff9ebbdf,0x00fcc0be,0x2606ff98,0xf9ebbdff,0xf1000bef,
    0x3f3000df,0x01bfe600,0x7f7ffec4,0xfd0003ff,0x00ae007f,0x4c417ff4,
    0x00fe86fb,0x207fff30,0xff3000fe,0xa988007f,0x81510001,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88efffb8,0xff700cff,0x19ff11df,0x26001fd0,0x3ee03fff,
    0xcff88eff,0x1ffea000,0x4003fa00,0x2003fff9,0x001aaa98,0xfffffc88,
    0x3004403d,0xffffffd9,0x47ffffff,0x00dffffb,0x3bffffb2,0x1bffff72,
    0x7ffff640,0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0502a200,0x20502a20,
    0x00dffffb,0x3bffffb2,0x02815102,0x7fffedc0,0x7fdc01cf,0x3b200dff,
    0x002effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0003cc80,
    0x41e64400,0x4ccc0400,0x4c409999,0x20999999,0x40500400,0x006e6002,
    0x32600000,0x3cc8002c,0x00098000,0xcc880000,0x59930002,0x01664c00,
    0x41555544,0x00001bba,0x00400000,0x90003cc8,0x33260079,0x332e0001,
    0x30000000,0x20000037,0x98022198,0x000ddcc1,0x002cc980,0x3000e64c,
    0xcca80599,0x20040000,0x2201fffb,0xfb8002fc,0x3703980f,0xffffdb88,
    0x7ffdd42d,0x40aa0bef,0x3216a00c,0xecfeb802,0x7e44002e,0x6405dd32,
    0x7dc000ef,0xc88002ff,0xaaacedbf,0x0002f542,0x0007ffe4,0x200077e4,
    0xc98806fd,0x3bfaa7ff,0x7ec03fff,0xceed9801,0x85dfb301,0x1fffb803,
    0x00ffcc00,0x2000bfb0,0x75402ff8,0x37aa0005,0x32200eeb,0x6f75402f,
    0x2a02fcef,0xdbbdfecf,0x360003df,0xffe8006f,0x01bf6006,0x9100ffa2,
    0x220387ff,0xf906fbcf,0xfb0005ff,0x65676c03,0x1ffec06d,0xe81ffe60,
    0x804ecace,0x500bb0ee,0x2006c8bf,0xffb2fffc,0x0007f40f,0x01beb7e2,
    0xffa8fd10,0xbffd75ee,0xbcf98000,0x0ff8005f,0x001fd000,0x0be9bff4,
    0x2209ff71,0x46dc03ff,0xcd80ffea,0x03baefff,0x037de7c4,0x1000bf20,
    0x3ea000fd,0x17ffaa04,0x3e1fcc00,0x2fffc80e,0xffd07b20,0x06ffd405,
    0xf0004fd8,0xafb8001d,0x1df003fd,0x701be600,0x957dffdb,0x07d32640,
    0x1000bfe2,0xfff9805f,0x7fe401ff,0x02ffc401,0x03fffff5,0x03fdff30,
    0x1f985fd0,0x54bfe600,0x1f882fff,0x3a64c800,0x217f2003,0x0bfd03ff,
    0x3ea3d800,0x007e6001,0x2002e880,0x700d8ffd,0x032e05ff,0x3f622f98,
    0x3ffee283,0xd326400e,0x001f4005,0xd8002f88,0x00bfd005,0x13ea1ba0,
    0xfb817fc4,0x202ff981,0x4fd804fb,0x0007cc00,0x00fb87a2,0x2a000fcc,
    0xfea8e00f,0x107101ff,0x00bfe01b,0x6d400750,0x01ff7002,0xb8809ff0,
    0x7fec002d,0x41ff8804,0x7fc001fa,0x02b80e82,0x0d884880,0xfb07fd00,
    0x0017f60d,0x005882a8,0x260000ae,0x3bff6005,0x0037fc00,0x10501fd0,
    0x98017501,0xb3005883,0x00498000,0x17f20058,0x7c0ff200,0x105ff00f,
    0x017fc0bf,0x27f400d7,0x70003900,0x1c807503,0x0c057000,0x801005cc,
    0x8005ff00,0x5c000000,0x4ff800ff,0x26200000,0x85ff3001,0x2ff8006d,
    0x000082c4,0xff000801,0x320ff709,0x0020005f,0x00000400,0x1ffec001,
    0x0017fe40,0x00000ff8,0x80080100,0x00100000,0x2fe40010,0x407fe200,
    0x05ff04fe,0x17fc07f9,0x7dc00570,0x0001003f,0x00400802,0x00000200,
    0x3fe00220,0x00088002,0x7fdc0066,0x404ff800,0x11000198,0xf72ffc00,
    0x45ff0005,0x442602d8,0x20000000,0x06fb86fd,0x00000bf9,0x00000000,
    0x803fec00,0x88004ffa,0x310000ff,0x00062000,0x188000c4,0x88131000,
    0x2002fe43,0xffb00ff9,0x3f60bfe0,0x380bfe02,0x037fc400,0x00660131,
    0x0cc00198,0x44006600,0x6fe40019,0x5ff00bee,0x776fe400,0xfdfd880b,
    0x07fdc04f,0xc8827fc0,0x801efedf,0x00beedfc,0x8fecffec,0x01aaaaa8,
    0x207625ff,0x1eefcdc8,0x54bffff2,0x262efffe,0x7fdc3ffe,0xfc81ff40,
    0xfd900445,0x7ffec49f,0x127ff641,0xec83fffb,0x3ff624ff,0x01ff601f,
    0x0982ffcc,0x7000ff30,0x003dfbbd,0x03dfbbd7,0x3dfbbd70,0xdfbbd700,
    0xfddb7003,0xfc83d13d,0x03fd4005,0x0bfe0ff9,0x2ff80bfe,0x7ff40000,
    0x3f73b222,0xffefd89e,0xffbfb102,0x7efec409,0x37f6204f,0xbf9104ff,
    0x74403dfd,0x7c17f61d,0x1de8802f,0x47d117f6,0x3ee06fe8,0x04ff800f,
    0x07fd41f9,0x3f61de88,0x67ffd405,0x2ffff220,0xb005ff01,0x7d41fb87,
    0x837f443f,0x3bf701f9,0x5fc813ee,0x401dffd5,0x1ffa84ff,0xff509ff0,
    0x2a13fe03,0x1ff601ff,0x2a37fc40,0x0ff302fe,0x3e60ec80,0x983b202f,
    0x83b202ff,0x3b202ff9,0xc80bfe60,0x0bffe61e,0xfff517f2,0x703fe49d,
    0x05ff01ff,0x17fc07ff,0x3ff60000,0xffb83fa3,0x10bfea3e,0x437f447d,
    0x1bfa23e8,0x6fe88fa2,0x3fea0fc8,0xff50fb00,0x04c5ff05,0x17fd43ec,
    0x07ff30bb,0x3e003fee,0x446f984f,0x50fb02ff,0x7fdc05ff,0x01ff880f,
    0x3e6017fc,0x4fe81f80,0x0b507fa8,0x01cddce8,0x65f56fe4,0x13fa04ff,
    0x7f407fe2,0xd01ff884,0x03ff109f,0xf8803fec,0x0bff727f,0xf9003fcc,
    0x903ff503,0x03ff503f,0x3ff503f9,0xff503f90,0xf503f703,0xd0bf903f,
    0x40dfb03d,0x2ff82ffa,0x3fe05fe8,0x55555442,0xaaaaaaaa,0xf54ffdaa,
    0xd86ff98d,0x7cc2ec6f,0x7cc2ec3f,0x7cc2ec3f,0xf11be63f,0x207f505f,
    0x92ff81ed,0xb03fa8df,0x7c0bea3d,0x01ff705f,0xbf309ff0,0x7f507fd0,
    0x3a607b60,0xf886ffce,0x402ff804,0xa81b84fb,0xb05ff07f,0x4000ec05,
    0x7fd44ffc,0xf109fb00,0x213f603f,0x9fb01ff8,0x6c03ff10,0x1bfe007f,
    0x3e605ff1,0x40df3007,0x037cc6fe,0x06f98dfd,0x0df31bfa,0x1be237f4,
    0x7e437fe4,0xdfd02e45,0x7c17fd40,0x01ffd82f,0xfffa85ff,0xeeeeeeee,
    0x5ffeeeee,0x07ff0bf3,0x0bea1ff7,0x05f52ffc,0x02fa97fe,0x42fccbff,
    0x02fc83fe,0xdfb2ff80,0xf9002fc8,0xffdddddd,0x003fee0f,0x4c0413fe,
    0x02fc83fe,0xfe86fd40,0x4007543f,0x7fcc02ff,0x85ff000d,0x03446ff8,
    0xf90003f9,0x203ff10b,0x1ff884fd,0xff109fb0,0x2213f603,0x1ff601ff,
    0xff85ff80,0x200ff302,0x3fee05fb,0xfb817ee0,0xb817ee0f,0x817ee0ff,
    0x17ee0ffb,0x907ff32e,0x3a02ecbf,0x07fea06f,0x3fe60bfe,0x217fe40e,
    0xc8007ff9,0x3e6024ff,0xffffffff,0xddddf92f,0x7e4fffdd,0xffeeeeee,
    0x3bbbbf27,0x4047ffee,0x2fe83fe9,0x712ff800,0xb002fe81,0x3ee0001f,
    0x04ff800f,0x27f675c4,0xf50017f4,0x20fffa8d,0x05ff002e,0x019fffd0,
    0x7edc5fc8,0xfd80ee1f,0x3deeffff,0x3fe0bf90,0xf109fb01,0x213f603f,
    0x9fb01ff8,0x6c03ff10,0x13fe007f,0x3fcc0bfe,0x2a04fd80,0x813f62ff,
    0x13f62ffa,0x3f62ffa8,0xd8bfea04,0xffaadc5f,0x26c6fe42,0xf7037ec0,
    0x640bfe0f,0xf9ecdfff,0x00fff82f,0xa817fec0,0xb002ffdd,0x07ec001f,
    0x0001fb00,0x13fb3ae2,0x3e0013fe,0x027fc02f,0x70001fe8,0x9ff001ff,
    0x9fb1fdc0,0x7c009ff0,0x75ffd83f,0x017fc009,0x02ffffc8,0xd8e83fe6,
    0xe9803a4f,0xffffffff,0xf82fe40f,0x109fb02f,0x13f603ff,0x7ec07fe2,
    0x201ff884,0xff1007fd,0x2605ff07,0x0dff007f,0xdff17fcc,0xff17fcc0,
    0xf17fcc0d,0x17fcc0df,0xf3354dfd,0xfeefc85f,0x207fc802,0x05ff06fb,
    0xf8f7ffe4,0x01ffe82f,0x260fff40,0x005ff1de,0xfe8007fa,0x007fa001,
    0x4fd8fee0,0xf8006fe8,0x037f402f,0x70003fe8,0x7ff001ff,0x9fb07f20,
    0x2600dfd0,0xfff880ff,0x3fe000ec,0x3ff62002,0x5cffa03f,0x0166ff54,
    0x2a6662b3,0x2fe43fca,0x9fb02ff8,0x3603ff10,0x01ff884f,0x3ff109fb,
    0x8803fec0,0x02ff82ff,0x3fa00ff3,0xe83fe607,0x83fe607f,0x3fe607fe,
    0xf981ffa0,0x74dffa0f,0xf907fe20,0xa801ffbb,0x0bf900ff,0x35100bfe,
    0xffc82ff8,0x1ffe6004,0x03ff85f7,0x74007fd0,0x0ffa003f,0xfd83f900,
    0x200ffd84,0x6c02ff84,0x7e5200ff,0xffb82406,0xc82ff800,0xd84fd84f,
    0x7e5200ff,0x7fff700f,0x402ff800,0x206ff981,0x7fc1d6fb,0x07e202ca,
    0x0bf912e0,0x27ec0bfe,0xfd80ffc4,0xb01ff884,0x03ff109f,0xf9803fec,
    0x2605ff07,0x3ffb007f,0xffb1fe60,0xfb1fe603,0xb1fe603f,0x1fe603ff,
    0x981d3ff9,0xe8dfc87f,0x3fe200ef,0x3e07fd01,0x5ff0002f,0x400fff10,
    0x1bee2ffc,0x919813fa,0x3f2480df,0x0df92406,0x3613f248,0x03ffb84f,
    0x805ff057,0x25703ffb,0x05504ffb,0xf0203fee,0xb07fd03f,0x07ff709f,
    0x01fff4ae,0x5103fffb,0x2b805ff0,0xf100ffa8,0x7efc8b9f,0x2d803ec0,
    0x2ff82fe4,0xff10bf90,0x2217f203,0x0bf901ff,0x7ec03ff1,0x3ea1e447,
    0x2605ff04,0x7ff5007f,0xff517ea0,0xf517ea07,0x517ea07f,0x17ea07ff,
    0xf503fff3,0x3e6bf90b,0x427e405f,0x5ff00ff8,0x40bfe000,0xf8803ffa,
    0x641fec5f,0x7dcb00ff,0x7dc5504f,0x7dc5504f,0x7f45504f,0xfd04fd83,
    0x03b2617f,0x3fa00bfe,0x41d930bf,0xd711dffe,0x360ffec0,0x360df12f,
    0x1a7fcc6f,0xc985fff4,0x01dff90e,0x45fffdf7,0x02ff80d8,0x407f835c,
    0x7fcc1ffd,0x2027fc04,0xf05fc85b,0x11ff205f,0x3f205ffb,0x817fec47,
    0x7fec47fc,0xf51ffa02,0xf807dc3f,0x01ff302f,0x76c1bfa0,0xdb06fe80,
    0x360dfd01,0xb06fe80e,0x01dfb01d,0x4bf901fb,0x3e203ffa,0x3e01fb86,
    0x5ff0002f,0x101ffe40,0x6fe81dfd,0x262effc8,0x8efff41d,0xdffe86b8,
    0xffd0d711,0xfb1ae23b,0x834ff98d,0xffeffffa,0x5005ff01,0x3ffdffff,
    0xffffff98,0x0fffa03f,0x03f31dff,0x376fbfea,0x7d42cffd,0x21ffefff,
    0xbadffff8,0xffffb1ed,0x0bfe07fd,0x3f987f70,0xfe82fd40,0x6fffdc01,
    0x80ceccbc,0x05ff05fd,0x3aef7fe6,0x4c0beff9,0xf9ebbdff,0x7fcc0bef,
    0xeff9ebbd,0x0fffc40b,0x07e2bff1,0xff702ff8,0x97fa2003,0xfd101fb8,
    0x880fdc4b,0x07ee25fe,0xf712ff44,0x717ff603,0x917f203f,0x1fcc05ff,
    0x2ff809f1,0x03ff8800,0x2605ffd4,0xffb80dfe,0xffcbea9c,0xf984feef,
    0x83ffffff,0xfffffff9,0xfffff983,0x77fd43ff,0x2cffdddb,0x1efffe98,
    0x2007ff10,0x01efffe9,0x05ffffd3,0xbfffff91,0x0b7bfea7,0x52fffc88,
    0x3fa605ff,0xfe981eff,0xfb84ffff,0xff304fff,0xcffeb807,0x05f003dc,
    0x7ecc01ae,0x201dffff,0x3ff886fe,0x23bffee0,0xf700cff8,0x9ff11dff,
    0x3bffee01,0x260cff88,0x3cffffec,0x403ddff7,0xff903ff8,0x7fec4005,
    0x6c401dfd,0x401dfdff,0x1dfdffd8,0x7effec40,0xfb17b01d,0x7405bfbf,
    0x01fff86f,0x00fb7baa,0xa8007ff1,0x200bfffd,0xffdeffd8,0x3ff6202e,
    0x3fff21ef,0xffd300be,0x7f4c05ff,0x3a602fff,0xc882ffff,0x5ff52fff,
    0x2e01a880,0x001cfffe,0x2a200351,0x15100001,0x00080800,0x55300351,
    0x5c053001,0x101cfffe,0x0600054c,0x98800188,0x7ffed400,0x9fffd93d,
    0x0502a201,0x00502a20,0x000502a2,0xec803510,0xfb51cfff,0x8003bfff,
    0x03300019,0x40006600,0x22244019,0x7fedc019,0xffff53df,0x400c405b,
    0x01cfffeb,0x13333330,0x006aa200,0x0cc01510,0x40035100,0x2a2001a8,
    0x00101001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2002aea6,
    0x00099998,0x01333333,0x01400c03,0x00799003,0x6401cca8,0x5d4c003c,
    0xca80260a,0x0c418801,0x4cccccc4,0x26666201,0x00200809,0x1e547322,
    0x26666600,0x99999999,0x2b2a6001,0xaa882981,0x400e6000,0x0a800ab8,
    0x64412200,0x01551003,0x0a804cb8,0x2000e600,0x141acba9,0x4c1880c4,
    0x43501300,0x09999998,0x13333331,0x03333310,0x00100200,0x02ee2000,
    0xc89e5400,0xcefc800c,0x2203fedb,0x402fffeb,0x0bfffdb8,0x02540e88,
    0x012a0744,0x4005fff5,0xffa804fe,0xcefd8800,0x101ecefe,0x7e4c0bff,
    0x41dffd34,0x3effffda,0x3bfff620,0x04880c81,0x07fa6f98,0xfbbfb910,
    0xffffffff,0xfc803fff,0x13ffdbcd,0xffdfa85d,0xa805d001,0x703ffffe,
    0x26c003fd,0x6401ffc8,0xf304fbae,0x3fae07ff,0x003f1001,0x65e77f5c,
    0x7b06bcfd,0x41e80d88,0x30ffb859,0x219ffff9,0x2dffffc9,0x03effc98,
    0x0385dfb1,0x400480dc,0xedbadeca,0x4bf6002c,0x7f5405fa,0x801df702,
    0xb000fffb,0x2a5f900f,0x25f9000f,0x37e200fb,0xbf1006fa,0x201fdc00,
    0x7ec41ff8,0x413fa01f,0xceacffdb,0xffb85ffc,0x0bf7000f,0x7eddefd4,
    0x3e1fb801,0x05ffcc04,0x7d413ff6,0x205fd301,0x0c83defb,0x0b7009f3,
    0xffdbdf88,0x003f702f,0x0ffb81aa,0x05f91b20,0x201ff5dd,0x09b001fb,
    0x4037f620,0x9f306fe9,0x9fd40fa2,0x2ffd81f9,0xfa82ffe4,0x00fc807f,
    0x2bbfff36,0x5efc403b,0xd1003eca,0x0764c039,0x01f72fc0,0x2a007fcc,
    0x7fec00ff,0x806c800e,0x003fdff8,0x00ff7fe2,0x401f4c99,0x2ec000eb,
    0xfd80ff60,0x7f400c01,0x407fdc4e,0xf9000ffe,0xffffd801,0x7cc99004,
    0x40bfea00,0x07204ffa,0xf7007fea,0x02f8801f,0x036007c4,0x3ee0bff1,
    0x401f8801,0x50fea009,0x3625a89f,0x5003f704,0x17fa200d,0xdf903f40,
    0xfdfe80dd,0x885ffb04,0x3ffa05ff,0x8a026c00,0x800efffb,0x00effffb,
    0x2e003f98,0xd83e201f,0x013fa203,0x3f202ff4,0x05b805ff,0x000dff50,
    0x4880dff7,0x06c00d88,0x3e00d800,0x000fc00f,0x7cc2fec0,0x03ffb81f,
    0x326007d0,0x5516000c,0x302ffc40,0x214c09ff,0xfa804ff8,0x4026406f,
    0xc80cc02e,0x003f707f,0xf9000099,0x90481505,0x8803f703,0x0bfb001e,
    0xff103d40,0xfff9803f,0xb03ff900,0x3fee01ff,0x1100fc02,0x44001750,
    0x7d1001db,0xadedcca8,0x0ea01d76,0x00ffd80b,0x6407ff50,0x5c04ffec,
    0x00266005,0x02004cc0,0x00008010,0x02ff8802,0x200e00ec,0x05ff04fc,
    0xf300dff1,0x08000001,0x03ff2004,0x4004ff88,0x7cc00ffc,0xff983ffb,
    0x0016e02f,0x3ee0bf50,0x08034c01,0x0000ff40,0x200fdc04,0x5ff7004c,
    0x2200e800,0x01330019,0x7d407fdc,0x09ff103f,0x00000354,0x88f20000,
    0x73f4c0dd,0x98020209,0x7fc005ff,0xff19900f,0x002dc05f,0x00310000,
    0x31000cc4,0x00cc4003,0x3700fffc,0x4fc80480,0x3f205ff0,0x002e401f,
    0x0c400062,0x101bfe20,0x260609ff,0x97c405ff,0xfa880fff,0x000f880f,
    0xfb817dc0,0xb8017401,0x000bfe00,0x7dc04426,0x4003a601,0x088006fe,
    0x100884c0,0x07fa8033,0x7ff817fe,0x00000f60,0xe8d00000,0x0683e606,
    0x09ff7000,0x901ffe80,0x407ffe69,0x4ffec85b,0x007fff62,0x03dfbbd7,
    0x3bfb7f22,0xfdbf9101,0x37f2203d,0xff901efe,0x0e60007f,0x7fc13f20,
    0x80bff102,0xbbd7001f,0xbd7003df,0xff703dfb,0x84ff880b,0x04ffb848,
    0x03ffb1f4,0x01ec0fdc,0xf701ec00,0x90026403,0x8017fc03,0x1eefcdc8,
    0x0ba01fb8,0x0027fc40,0xdf9b9100,0xedfc883d,0x06f981ef,0x3e603ff2,
    0x203f02ff,0x3624ffec,0x7f641fff,0x3fff624f,0x0bf24981,0xec8e4190,
    0x3ff624ff,0x00fff21f,0x3205ffb0,0x203bfee4,0x213fe05b,0x3b201ffa,
    0x320bfe60,0x203fea0f,0x03fea0fc,0x0ffa83f2,0x1efffe88,0x6400ec00,
    0x405ff04f,0x0d500ffd,0xff983b20,0xf983b202,0x027fe42f,0x12e13fe2,
    0x5c80fff2,0xb501ffe4,0x90000d50,0x301fb80b,0x016c001f,0x0f6007ff,
    0x03f703f7,0xffa80132,0x0f600003,0x20fc83f7,0x37c40ffa,0xb907ff50,
    0x00d50bff,0x3ff509ff,0x3ea13fe0,0xff12b81f,0x7c3a8001,0x21ffa84f,
    0x64002ffe,0xc89904ff,0x205b85ff,0x1ff884fe,0xff503f90,0x3e237cc3,
    0x2237cc2f,0x237cc2ff,0xfd102ff8,0x7001bfff,0x413f200d,0x3fea02ff,
    0xf9007d04,0x903ff503,0x43ff503f,0x7c403ffd,0x4ffcccef,0xd702ffe8,
    0x3229ff90,0x7c41e98a,0x3f6a0001,0x40bee04f,0x21f4002e,0xcceffcca,
    0xf80f980c,0xf982fb81,0x0bff2000,0x2aaaaaa0,0x3f01f30a,0x3fe237cc,
    0x7fc05f82,0x0ffdae86,0x27f401ec,0xfe80ffc4,0xd81ff884,0x1000ff30,
    0xf884fe8b,0x007ffe1f,0x320bff70,0x5c4ffd84,0x2213f605,0x06f981ff,
    0x85f99bfa,0x42fcc3fe,0x42fcc3fe,0x7fdc03fe,0x3e603fff,0x209f9002,
    0x3ff402ff,0x3e6007cc,0xf31bfa06,0xfd37f40d,0xeff8805f,0xe84feccc,
    0x80f982ff,0xbd915ffb,0x5c07b019,0x3ffb2a02,0x666540ef,0x05702dc1,
    0xffeeb89f,0xfb80eeee,0x66541b84,0x2e21741c,0x02ffe80b,0x2efffa88,
    0x986e13ee,0xf83fe85f,0x307fe404,0xf88bfeaf,0x884fd800,0x09fb01ff,
    0x5cd03ff1,0xd8d0006f,0x21ff884f,0x64002ffe,0x109903ff,0x02dc5ffd,
    0x3ff109fb,0x7dc0bf70,0x3fa6020f,0x3fe98083,0x03fe9808,0x5ffffd88,
    0x7ec00fd0,0xb805ff05,0x402643ff,0x3fee05fb,0xfb817ee0,0x805ffb0f,
    0x84b84ff8,0x0fc43ffd,0x2003ffc8,0x013ea06a,0x0017ff4c,0x13ea01f3,
    0x27f40bf1,0x006ffcc0,0xdfb8b700,0x1fff43ff,0x987ff900,0x40400dff,
    0x03e83fe9,0x2991ffcc,0x01aa5ff8,0x7fc427ec,0xf109fb01,0x3e61b03f,
    0x6c588007,0x21ff884f,0x6c003ffc,0x209902ff,0x0b71fff9,0x7fc427ec,
    0x2a04fd81,0xceb882ff,0x3ae204fe,0x2e204fec,0x2004fece,0x644fffe9,
    0x1bfa004f,0x3e2017fc,0x2007e26f,0x3fea04fd,0xfa813f62,0x809ff72f,
    0x84884ff8,0x01f44ffc,0x22005ffb,0x09fd301f,0x002ff440,0x13fa605d,
    0x1fec0df1,0x0cfffe80,0xb107cc00,0xffb07f44,0x17fdc00b,0x0067fff4,
    0x13fb3ae2,0x9bfa00b6,0x6c3ff61f,0x109fb003,0x13f603ff,0x4ae07fe2,
    0x54000ff8,0x7c427ec3,0x013fee1f,0x3203ffb0,0x23ffea04,0x213f605b,
    0x6ff81ff8,0xf70bfe60,0xfb827ec7,0x7dc13f63,0x00213f63,0x3e61fff9,
    0xffea800f,0x017fc3ef,0x06b8ffe4,0x7cc0dff0,0x981bfe2f,0x0bff32ff,
    0x0304ff88,0x02ecdff5,0x64003ffa,0x09f1d104,0x7007fb80,0x13e3a20b,
    0x17e40df3,0x5ffff900,0x02217400,0x3ffdc1f7,0x203ff700,0x702ffffc,
    0x6427ec7f,0x99ffb801,0x7c5ffd47,0x109fb000,0x13f603ff,0x92607fe2,
    0xb04404fc,0xf884fd81,0x01bfe61f,0x2640dff0,0x16fbfee0,0xff884fd8,
    0x2607fe81,0xb07f20ff,0xd83f909f,0x6c1fc84f,0xfc80584f,0x360ff72f,
    0x0ffc000d,0x3eaffc40,0x4c0ffd00,0x81ffa0ff,0x1bfe0ff9,0x4009ff10,
    0x00d77ff8,0x3a600dff,0x013e3b00,0xf100df30,0x227c7601,0x07f207fa,
    0x7fffb100,0x3600b700,0x007ffc46,0x2201ffb8,0x7e43fffd,0x05c27ec1,
    0x2667fc40,0x003577fc,0x3ff109fb,0x3e213f60,0x1fe8d01f,0xfd868910,
    0x641ff884,0xff5001ff,0x6c026403,0x3f605fff,0xd81ff884,0x4ff301ff,
    0x44fd84fc,0x44fd84fc,0x84fd84fc,0xb3ff8807,0x00bfe0df,0x36001ff0,
    0xb000faff,0x1fe603ff,0x3e603ffb,0x100ffec7,0x5c7009ff,0x5400fbff,
    0x05d001ff,0x4004f8f2,0x03d805f8,0x3ee27c79,0x180f900f,0x80dff303,
    0x1f8800f8,0x7004ffc8,0xf98183ff,0x3613f26f,0x7f40004f,0xeffc81fe,
    0x213f6003,0x9fb01ff8,0x3203ff10,0x226ff624,0x6c2644b9,0x41ff884f,
    0xfd005ff8,0xd004c809,0x2fe40bff,0x7d40ffc4,0x74bf503f,0x744fd83f,
    0x744fd83f,0xf84fd83f,0xc8ffc402,0x03fc80ff,0xf5003fc0,0x7d4009ff,
    0xa8bf503f,0x0bf503ff,0x7fcc0dfd,0x3fa1e404,0x03fe801f,0x276e0b90,
    0x2001df99,0x835402fb,0x1df999db,0xca887ff2,0x15d2606e,0x7b007fd4,
    0x7c40f600,0xffb803ff,0x7fd415c1,0x9fb07fd0,0x6ffb8000,0x001fff30,
    0x7fc42fe4,0xf10bf901,0x2627403f,0x3641bddb,0xff885fc8,0x402ffa81,
    0x2ec00efb,0x205ff880,0x7fec47fc,0x360dfd02,0xf31bf60e,0x237ec69f,
    0x3f634ff9,0x21a7fcc6,0x9bf201ef,0x1fa83ffa,0x03f88260,0x000fff40,
    0x076c1bfa,0x0ed837f4,0xf503fe88,0x207cc09f,0x7dc02ffa,0x201f3005,
    0xfffffffe,0x405e8020,0xfffd00f8,0x3f61ffff,0x3fe6b62f,0x2eb99bdf,
    0xa81fe0d7,0x88059006,0x7dc01ffe,0x7f835c1f,0x9ff31bf6,0x88016446,
    0x17fe03ff,0xd88ff700,0x8ff702ff,0x2202ffd8,0x03b2004e,0x3f623fe4,
    0x07fd302f,0x3f4013f2,0x4c0bf300,0xf9ebbdff,0x7f440bef,0xf507ee25,
    0xffbbb7df,0x2fbfea59,0x52cffddd,0xfbbb7dff,0x57ffc59f,0x903fee20,
    0x204d85df,0x0eb8cff8,0x0037dc00,0xf712ff44,0x897fa203,0x3fe201fb,
    0x3bffa22d,0x21bee621,0xc80bfedd,0x05d000cf,0x77e44f80,0x36013aa2,
    0x3227c003,0x574d61ff,0x25ffffff,0x81fcc3fb,0x16c401f8,0x0bffc80e,
    0x5c1ffd88,0xf51fcc3f,0xffbbb7df,0x007ff259,0x7f9007ec,0xbdff9800,
    0x0beff9eb,0x75deffcc,0x100beff9,0xb51015bb,0x6ffcc01b,0xbeff9ebb,
    0xd9bfd900,0xfc9805df,0xb801cfff,0x77ffdc05,0x100cff88,0x03bfbffb,
    0x2a5fff91,0x3ff222ff,0x445ff52f,0xff52fffc,0xefecae85,0xf500dffd,
    0xb005dbdf,0x00019fff,0x220005f1,0x01dfdffd,0x6feffec4,0xfeca8801,
    0xfffffffe,0x643fffff,0x3b3bfaa5,0x16e001ef,0xff513e00,0x5005dfff,
    0xa89f000d,0x88766c6f,0x2e0bfffd,0x03dccffe,0xdfd100f6,0xda809fdd,
    0xefeccefe,0xcffeb80b,0x7fe443dc,0x5c5ff52f,0x0d5000ff,0xb8000f98,
    0xff88efff,0xdfff700c,0x0019ff11,0xbd77db73,0x3fee0037,0x0cff88ef,
    0x001a9880,0x400c0000,0x200140a8,0x02020019,0x80801010,0x9aa98300,
    0x00131000,0x18000188,0x00330000,0x10000660,0x54000133,0x001a9880,
    0xc8000d88,0x80013102,0x82c8001d,0x40620300,0xb3002a60,0x99999700,
    0xaa980039,0x15304009,0x26010100,0x1400c000,0x28151000,0x02815100,
    0x0000d400,0x00028151,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00c40ab9,0x4c0e60e6,0x08801aca,0x4ccc004c,0x99819999,0x19999999,
    0x8006ea20,0x8800aba9,0x00999999,0x0002ee20,0x2604a980,0x3624c881,
    0x99999884,0x91000199,0x99998879,0x22001999,0x09999999,0x98019800,
    0x05fc80ff,0x20001da8,0x99999998,0x19999999,0x4cccccc4,0x99880009,
    0x30099999,0x00133333,0x4cc40028,0x00199999,0x26666662,0x9805cc19,
    0x99999999,0x10999999,0x13333333,0x33331000,0x33333333,0x4ccc4133,
    0x00009999,0xa8803995,0xcecbcefd,0x425c03da,0x6566c44b,0xfc980dff,
    0x01dfff73,0x6ffffe54,0x7ffffd42,0x440fffff,0x00efdcfe,0x3f6b3ba6,
    0x7fffe403,0x765401ff,0x02cedbad,0x0acfc880,0xfb83fd98,0x985ff72f,
    0x2befffdb,0x83ff5000,0xcffffeb8,0xfd73000b,0x20037dff,0x04ffdfd8,
    0x3f203fe6,0x006ff805,0x3fffb260,0xffffffff,0x3fae60ff,0xffffffff,
    0x3f6a01bd,0x880befff,0x00cffffb,0x98003ea0,0xefffffeb,0x7101deff,
    0x179ffffd,0x3e03ffe2,0xffffffff,0x35ffffff,0xffffffd7,0x4037bfff,
    0xfffffeb8,0x2fffffff,0x3ffffae6,0x1bdfffff,0x3027f440,0x3ee019fd,
    0x6c1ec03f,0x3fa0fa23,0x5dffedc5,0x00ffffef,0xfd827fe4,0xffffffff,
    0xf106f445,0x50bf101f,0x3ffe209f,0x3a206fff,0x03b2601c,0x9806fd40,
    0xf983ffed,0x401ff30f,0x40000fff,0x7ffc01fd,0x7ffc0002,0x88fa2001,
    0x1ff306fe,0xfb00bf90,0xbf100009,0x0fd407ff,0x2609fff8,0x200dffea,
    0xa802fffb,0xfd8000ef,0x7ff88003,0x4019ff70,0xff982fff,0x209ef83f,
    0x3f260ffc,0x209fff85,0x00dffeb9,0x3ea03ff4,0x413fff02,0x00dffea9,
    0x7fcc1be2,0x404fb805,0x3ee1f81e,0xf80ffb81,0x3ff664df,0x41ffdc04,
    0x9999acf8,0x07ec3fa9,0x0fec2fe4,0x9cc80ff8,0xf3009999,0x00fdc007,
    0x7c4013f2,0x7400003f,0x3f80007f,0x000ffe80,0x2003ff40,0x83ff985d,
    0x5fc80ff9,0x20000100,0x403ff9ea,0x80ffd01c,0x3600effc,0x0fc804ff,
    0x06ff9800,0x440ffd00,0x3ffa06ff,0x88997700,0x501ff906,0xc80ffd0b,
    0x3f600fff,0xfd03b807,0x0effc80f,0xfd103e60,0x8132001d,0x323c40f8,
    0x83ff884f,0xfff885fe,0x20bfea00,0x307dc03b,0x0bfe20df,0x07f601ff,
    0x744001f1,0xbdeeeeab,0xf700eb81,0x03fe800b,0x03fec000,0x6c012600,
    0xfd80007f,0x40bea007,0x0ff985ff,0x00005fc8,0x7fcdec00,0xfd814c03,
    0x06ffb807,0x8803ffe2,0xff90002f,0xffb0003f,0xb01ffb80,0x885900ff,
    0x201ff904,0xb807fd85,0xff900eff,0x3f607100,0x06ffb807,0x07ff21d4,
    0x1a605980,0x20df51aa,0x03fe83ff,0x7d403ff7,0x6e80182f,0xbfd02fe4,
    0x1fd02fe8,0x1e4004c8,0x3fee2df5,0x7fcc25c0,0x01ff4000,0x7ec00331,
    0x00040007,0xb0000ff9,0x179bddff,0xdddddf90,0xff30fffd,0x200bf901,
    0xb4c00019,0x20003ff9,0xffd007fd,0x02ffd407,0x3e2000b9,0xd8005ffa,
    0x27fcc07f,0x06807fc8,0x403ff201,0xd007fd81,0x1ff209ff,0x00ffb000,
    0x8100fffa,0x248007fe,0x99dc9998,0x2e19dc99,0xe81ff882,0x05ff303f,
    0x40017fd4,0x02fec3f8,0x0ffc8df9,0x3fe22fc4,0x4c6801ce,0x3427e45f,
    0x74001ff4,0xedfc883f,0x3fec01ef,0x21880015,0x00ff9008,0x755ffb00,
    0x0fd8bffd,0x80ff9800,0x3f6205fc,0xd0004ffd,0x180ffe65,0x9803fec0,
    0x7fec07ff,0x0000f982,0x003ff6d7,0xfa80ffb0,0x40ff904f,0x7e4001c9,
    0x1ff6000f,0xc83ffcc0,0x3600c07f,0xfff3007f,0xdff104c0,0xfffb8000,
    0xffffffff,0x06fb807f,0x3fe207fd,0x00bfea02,0xdfd03ee0,0x3e63fdc0,
    0x81dd11ef,0x0dfffffc,0x45f98930,0x321c87f9,0xfe8000ff,0x3ea0fc83,
    0x65ff600f,0x53f26006,0x7fc82ffc,0x87fd8000,0x07fa5ffc,0x203fe600,
    0x47d105fc,0x54006fe8,0x440ffe66,0x003fec04,0x7c405ffd,0x001f40ff,
    0x0ffe65d0,0xc80ffb00,0x0ff901ff,0x7e4000e6,0x1ff6000f,0xc82ffe80,
    0x3602c07f,0x3ffa007f,0xf517f542,0xf800009f,0x3a001f81,0x207fd01f,
    0x3ea01ff8,0x86e8002f,0x3fee07fd,0x757ffdc0,0xfffb9504,0x985703df,
    0x5427dc5f,0x36a37fa3,0x1ff403ef,0x5ff11be6,0x06effec0,0xbcffcb80,
    0x7fc85ffd,0xfb000a88,0x74fff60f,0xff98003f,0xbb05fc80,0x4007ff30,
    0x40ffe62e,0x03fec04b,0xa807ffb0,0x001ae5ff,0x037f47a8,0xfb81ff60,
    0x01ff206f,0x03ff2000,0x2007fd80,0x7fc83ffd,0xffb016a0,0x91ffec00,
    0x7fe45ffb,0x1e200003,0x3fa801e2,0x7c40ffa0,0x0bfea00f,0xf707f100,
    0x41ff205f,0x2005fffa,0x0d86ffe9,0x1bf52fcc,0x3bfe2b10,0x05ffc99c,
    0x0bf30ffa,0x7fec07fd,0x9dfb0004,0x1ff202e2,0x7ec01bf6,0x32bff707,
    0x7cc2406f,0xa85fc81f,0x00bff02f,0x9dff31aa,0x309fd999,0x999ffd99,
    0x9ff90599,0xf15ffb00,0x226c0003,0x36002ffb,0xdcbaabff,0x3fe403ff,
    0x33326000,0xccccffec,0x00ffb00c,0x7e427fe4,0xfecccccf,0xffecc985,
    0xc82ccccc,0x17fc44ff,0x00003ffd,0x00354354,0x03fe809d,0xffa80bf5,
    0x407dc002,0x7440eff8,0x3fff607f,0x3ff62005,0x6ffcc344,0xfab402ff,
    0x03ffb81f,0xd30107fd,0x03fec07f,0x200df900,0x06fd87fc,0x3ea0ffb0,
    0x209ff76f,0x43ff982a,0x32336ffb,0xfeeeeeef,0x985d007f,0xccccceff,
    0xfeaa984f,0x81aaaaaf,0xf8805ffb,0x20004eff,0x2ffc40f8,0x99bffb00,
    0x803bfffd,0x4c0007fc,0xcffecccc,0xfb00cccc,0x2ffdc00f,0x66667fe4,
    0xaa985fdc,0xaaaaaffe,0xf85ffb81,0x00bffa2f,0x4c84c800,0xfd00d300,
    0x5007f60b,0x6e8005ff,0x2b3ffea0,0xb905ffeb,0x800bffd3,0x2606c6fd,
    0x4409f95f,0x3e01ff75,0x407fd07f,0x04feceb8,0x4000fff7,0xff9004fc,
    0x36001510,0x4bff907f,0xd711dffe,0x2efffe60,0x249ffabd,0xb80000fd,
    0xffbaaaaf,0xfd809503,0x0fff2007,0x0037fdc0,0x7fe41720,0x20ffb000,
    0x901dffd9,0x900000ff,0x7ec001ff,0x13ff2007,0x05981ff2,0xf9003fec,
    0x6c5ff07f,0x440004ff,0x9999be99,0x320199be,0x41ffe801,0xffa803fb,
    0x00fe2002,0xf55bffb1,0x221db05f,0x2a005ffe,0xf30ae0ff,0x3a80ff4b,
    0x7fec0ffb,0xf703fe80,0x76427ec7,0x320007fe,0x0ff9004f,0x20ffb000,
    0x3fe63ffe,0x303fffff,0x227fffdd,0x07fa3ffe,0x999f1000,0x407ffb99,
    0x003fec04,0x7c005ffb,0x67c0004f,0xffcaaaaa,0x80ffb004,0xfc80effc,
    0xfc800007,0x1ff6000f,0xc82ffd80,0x3602c07f,0x3ff6007f,0x3ee2ff82,
    0x7dc0005f,0xffffffff,0x01607fff,0x75ef6ff4,0x5ff5002f,0x0007dc00,
    0x2fb87fe8,0x2000ffe8,0xf31260ff,0x6c077ccb,0x7dc0ff90,0xc83fe81f,
    0x3227ec1f,0x0007fd8d,0x7e4013f2,0x7fd80007,0xe985ffd8,0x2a02ffff,
    0xd0260336,0x5b80007f,0x0c07ff30,0xe801ff60,0x3fe001ff,0x33ae0004,
    0xfecccccc,0x00ffb007,0xff907fff,0xff900000,0x03fec001,0xf903ffd0,
    0x7ec0180f,0x07ffa007,0x7ff98bfe,0x10f10000,0xe802400f,0x8003533f,
    0x36001ffa,0x7ff30006,0xfd101fd0,0x343ec007,0x0bf717e6,0xa807fd4d,
    0x43fe80ff,0x44fd84fc,0x0801ff61,0xfc8027e4,0x7ec02007,0x4ffeca9f,
    0x20265440,0xdf90007b,0x07e20480,0x0001ffcc,0x3e600ffb,0x27fc006f,
    0xa805d000,0x7fd802ff,0xc84ffd80,0x4002007f,0x36000ffc,0xdff3007f,
    0x0001ff20,0x3e600ffb,0xd85ff06f,0x054002ff,0x8016a1aa,0x007fd001,
    0x000ffa80,0x360007f1,0x207f885f,0x17e005fb,0x40ffb932,0xf99324fd,
    0x20ff301f,0x41ff43fe,0x1ff604fd,0x027e4480,0x12007fc8,0x66777fec,
    0x00fa000a,0xf70001fb,0xc80aa09f,0x00ffe604,0x803fec1c,0x7c001ffe,
    0x0f30004f,0x3601bfe0,0x3ffd807f,0x12007fc8,0x0007fe40,0x3fa00ffb,
    0x00ff901f,0x803fec1c,0x5ff01ffe,0x001fff98,0x99099073,0x7fd00000,
    0x07fa8000,0x20003ee0,0x3fd00efa,0x54013e60,0x5539d01f,0x4d544155,
    0x903fe86c,0xb0ffa09f,0x34ff98df,0x2e00ffb0,0xd8027e42,0x2077007f,
    0xf80007fe,0x000ff406,0x711dffe8,0x3007cc0d,0x077007ff,0xff700ffb,
    0x0bff0009,0x64013600,0x3fec02ff,0x6c07ff40,0x0077007f,0xd8003ff2,
    0x4ffb807f,0x5c01ff60,0xb807fd83,0x0bfe04ff,0x3003bfea,0x0b60b60b,
    0x740065c0,0x3fe2003f,0x6c009f50,0x0efb8006,0x7e413ee0,0x7d103711,
    0x90027440,0x01ff101d,0x13fa01fd,0xbbb7dff5,0xffd059ff,0xfc81f500,
    0x01ffb005,0xffd00f98,0xefc80001,0x0bfe098a,0x7fffcc00,0x17a03fff,
    0x9807ff50,0x207fe80f,0x8004ffd8,0x98006ff8,0xdff3001f,0x6407fe80,
    0x1ffb05ff,0xb000f980,0x7f4005ff,0x027fe407,0xf1003ff6,0x440ffd03,
    0x7fc04ffd,0x59dfd302,0x3f02e4c4,0xff3001f0,0x009ff009,0x06ca7fcc,
    0x7000fe20,0x3df100bf,0x3fee3f88,0x803fc9ad,0xa880add8,0x17ee00dd,
    0x2ffc03f7,0x54bfff22,0xfff882ff,0xdaa999ac,0x807fe85f,0x999cfff8,
    0x106fcaa9,0x80003fff,0x743fffc8,0x3a60000f,0x2e02ffff,0x6ffe404f,
    0x437e4c40,0x889afff8,0x001efeba,0x000fff50,0x3e6001fd,0xfff103ff,
    0x3faa6135,0x9fff103f,0xf9553333,0x1fff400d,0x1afff880,0x03dfd731,
    0x3105ffd0,0xfff10df7,0xfd751135,0x3ff8803d,0x3fffb220,0x1e202cee,
    0x7fc401e2,0x3fff6a03,0xbffb001b,0x07d4001b,0x077b2a20,0xebefd880,
    0x7fff442e,0x5cc001de,0x1bdebbed,0xdd9df500,0xfffd9103,0x3010107b,
    0xffffffd9,0x47ffffff,0x84efffda,0xffffffc9,0x4fffffff,0x7ffffecc,
    0x4000002d,0x35100000,0x77ffecc0,0x7ffff642,0xffffffff,0x3ffff663,
    0x2bceffff,0xfffb7000,0xfb8039ff,0x3200dfff,0x52effffe,0xfffffffb,
    0x3039ddff,0xfffffff9,0x09ffffff,0xffffec88,0xfffb303d,0x79dfffff,
    0xffec9805,0xffffffff,0x3ff663ff,0xceffffff,0xffec802b,0x0a9801cf,
    0x05105100,0x26600c40,0x20009999,0x298000a8,0x0009a980,0x22004cc0,
    0x2a000009,0x00cc0001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x33333333,
    0x26013333,0x4ccc4110,0x4c409999,0x26199999,0x4c419999,0x280a0999,
    0x05044310,0x15751014,0x98820080,0x40999999,0x19999998,0xb501dc00,
    0x4000ed45,0x26666660,0xbffff909,0x00effc81,0x99988044,0x26209999,
    0x88099999,0x19999999,0x26666200,0x33310000,0x05991033,0x3103cc88,
    0x01000003,0x13333331,0x4c7b3000,0x3333103d,0x88000333,0x6cc03101,
    0x8800f663,0x06a203cc,0x14050000,0x00220c40,0x440332a0,0xffffd730,
    0xbfffffff,0x777e6e44,0x3fffae61,0x7fe541be,0xff70bdff,0x7e4419ff,
    0x9036a1df,0xf94fc985,0x77036a5f,0x3ffffee0,0x9101900d,0x77fff5cc,
    0x7ffe541b,0xf5000bdf,0xff37f40d,0x43dfd30d,0xfffb7128,0x2ffd45bf,
    0xdfc80db0,0x3ae60bee,0x221befff,0x81cffffb,0xcffffeb8,0xfd93000b,
    0xf90001ff,0xffb07bff,0x07fdc01f,0x3bfb7f22,0x5dfb1001,0xffeb9838,
    0x03deffff,0xffb0ffd8,0xfffd7301,0x05bfffff,0x06c43d80,0x3f61ffb0,
    0x1ff7000f,0x0027fec0,0x03909700,0xfe9a7e4c,0x3fe000ef,0xf83ff104,
    0x4bf5106f,0xf80fdc3d,0x7fd400ff,0x409ff305,0x323db05f,0x5e7fe5c6,
    0x47b65ffd,0xdbff706c,0x3e60dfff,0xf01edbbd,0xffa801ff,0x37fc4005,
    0x27ec9f90,0x4efffe74,0x03ffd81c,0x81740dfb,0x17f61de8,0xfd007ffc,
    0x3ffe001b,0x3fe20002,0x7fc4004f,0xf97f304f,0x640fec09,0x003fea0f,
    0x2bbfff36,0x8fffc03b,0x201effb9,0x01bee6fa,0x75c43ffe,0xf1000cff,
    0xf500fa2b,0xb0037dcd,0xfffd803f,0x3ba00000,0x7e5c0bb0,0xffdceacf,
    0x40bf3005,0x37f43ffa,0x407cda60,0x3fa6621f,0x9999999f,0x819cffa9,
    0x01f307fc,0x407f7fe6,0x41714efd,0x881fdff8,0x3ffaa0bf,0xbffffb04,
    0x4c03ff40,0x76c004ff,0x4040406f,0xbfff9118,0x4407ff20,0x207981ff,
    0x82ffa87d,0x0fea07fe,0x001ffd00,0x00fffe80,0x40fffee0,0x2207ea2e,
    0x446f982f,0x2e2802ff,0x7400efff,0x0fff987f,0x74002020,0x09ffb07f,
    0x03777e40,0x22000808,0xfbb8802f,0x3ea00001,0xfe800fef,0x007fdc4e,
    0x0664035c,0x5d601bf6,0x3ea1b84f,0xffffffff,0xffffffff,0x17fcc0ff,
    0x3ff20264,0x201bf205,0x09705ffc,0xc981bfe2,0x03fec01c,0x7001ffc4,
    0x0000df7b,0xb80ae206,0x17f600ff,0x81fd4136,0x07fd81ed,0xfb0007f3,
    0xfbd0000f,0x7efc009f,0x4982a82f,0x0bf303a8,0x808807fd,0x7fd800ba,
    0x0007ff90,0x541ff600,0x3e2007ff,0x000002ff,0x68800750,0xffd80000,
    0x30bfb004,0x01b003ff,0x0037ec00,0x2001bff3,0xff8807fd,0x222fec03,
    0x04cc400f,0x26009f90,0xfe807009,0xffb00007,0x007ff100,0x01bee3e6,
    0x400000cc,0x3e600ffb,0x6403e21f,0x7fd8002f,0x90003f98,0x5d0000ff,
    0xd5001ffd,0x40105ff5,0x4c040080,0x000003fe,0xff507fd8,0x3600000d,
    0x07ffe07f,0x80019880,0x00080018,0x800002b8,0x3f200198,0x1005ff04,
    0x06fd8000,0x33fffa02,0x403fec00,0x7d403ff8,0x22016e1f,0x13f20221,
    0x70000980,0x801300df,0xff8807fd,0x3ee5d003,0x3f7f6206,0x8013004f,
    0x7ec00ffb,0x2fe816e5,0x4c7fd800,0x3f20003f,0xaae80007,0xabe803ff,
    0x009802ff,0x3ae20098,0x18804fec,0x7fd80044,0x764fff30,0x3ff624ff,
    0x81ff601f,0x00000ffe,0x77eef5c0,0x0220c401,0x44188990,0x08831000,
    0xff04fc80,0xb0000005,0x640aa0df,0x3602ffff,0x3ff8807f,0x07a4fe80,
    0xff94fc98,0xa804fc85,0xf70002fe,0x017f5409,0x3e201ff6,0x2e5c803f,
    0x447d106f,0x3faa06fe,0x007fdc02,0x01747fe6,0xfb0009ff,0x0001fccf,
    0x20001ff2,0xa80dfd2e,0x202ffa8f,0x3aa02fea,0x6c7f702f,0x53f2604f,
    0x400effe9,0xdff707fd,0xff509ff0,0x883fec03,0x7fdc05ff,0xffffffff,
    0x3e60ec81,0x34fc982f,0x3301dffd,0xfe9afe4c,0x9f9300ef,0x803bffa6,
    0x05ff04fc,0xfffffff7,0xfb003fff,0xd880b60d,0xffb03fff,0x007ff100,
    0xb81aaff7,0xffdbcffc,0x32027e45,0x90002ffd,0x3ff7203f,0x403fec02,
    0x74c03ff8,0x2ec1bee0,0x6e41ffcc,0x7fdc02ff,0x79dfe800,0x40037f40,
    0x007f57fd,0x000ff900,0x0bfee5d0,0x05ff54d8,0x640bff72,0x1fc82ffd,
    0xfcb827ec,0xffdceacf,0xe83fec05,0x84fe83ff,0x3f601ff8,0x805ffb07,
    0x7fcc09eb,0xfa81fc85,0x33ff2e1f,0x05ffdcea,0x756ffe5c,0xcb85ffcc,
    0xfdceacff,0x413f205f,0x09eb82ff,0xd802ffcc,0xfeccccff,0x37fcc0c2,
    0x9999ffd8,0x3ffa9999,0x2daff880,0x714efd80,0x8804fc81,0x9d0002ff,
    0x402ff880,0x99999ffd,0x03ffa999,0x0df707a2,0x17fe05f5,0x2e017fc4,
    0xffa800ff,0x07fec04e,0xf5ffb090,0x3f20000d,0x22e80007,0x21f306ff,
    0x3e202ffa,0x0bfe202f,0x09fb09f9,0x7dc4efe8,0x11ff600f,0x3f60dff7,
    0x201ff884,0x7ff547fd,0xfd01b803,0x740df30d,0x44efe86f,0xfd800ffb,
    0x807fd44e,0x7fdc4efe,0x3e09f900,0xfd01b82f,0x67fec00d,0x5c2feccc,
    0xd80ffa82,0xeeeeeeff,0xc83ffeee,0xfefecccc,0x641ccccc,0x04fc806f,
    0x70005ff0,0x00bfe00d,0xdddddffb,0x07ffdddd,0x437dc264,0xeeeeeefc,
    0x0bfe07ff,0x2001ff70,0x7dc00ffe,0xfb05703f,0x000bffdf,0x0000ff90,
    0x417fdc5d,0x00bfea4d,0x2ff805ff,0x27ec1ff4,0x3e617f60,0x33ff601f,
    0x204fffcc,0x1ff884fd,0x3ffbff60,0x05000aef,0x3ee07ff2,0xb03fee05,
    0x03ff30bf,0xff10bf90,0x2617f603,0x09f901ff,0x640a0bfe,0x3f6001ff,
    0x06b85906,0x01ff60ff,0x2aa0ffe2,0xacffbaaa,0x7e40aaaa,0x005fc804,
    0xf88005ff,0x805ff001,0xff8807fd,0x3ee0d503,0x0000fd86,0xff700bfe,
    0x017ea001,0xc985fff4,0xe8ffd80e,0x640005ff,0x2e80007f,0x3f117fe2,
    0x3e017fd4,0x217fc02f,0xa7fcc6fd,0x3e09f901,0x23ff602f,0x6c009aaa,
    0x01ff884f,0x1ffd9ff6,0x17fd4000,0x3ea04fd8,0xf827e42f,0x05fc802f,
    0x13f205ff,0x5fd817fc,0x2a005ff0,0x819702ff,0xb85306fd,0xd81fcc3f,
    0x3ff8807f,0x400bfe00,0x7fe804fc,0x8005ff00,0x0bfe003d,0xf100ffb0,
    0x203f107f,0x01fe86fb,0x700bfe00,0x17c001ff,0xeffffa80,0x2ffb01ff,
    0x0005ffe8,0x20001ff2,0x90ffe42e,0x402ffa8b,0x17fc02ff,0x376fbfea,
    0xf902cffd,0xd80bfe09,0x9fb0007f,0x6c03ff10,0x03ffe27f,0x027fc400,
    0x7fcc0dff,0xff827e42,0xf05fc802,0x413f205f,0x0dfd02ff,0xf1007ff1,
    0x0ffea09f,0x2e040dfb,0x03dccffe,0x3e201ff6,0x0bfe003f,0xb5027e40,
    0xf809dfff,0x0172002f,0xfd805ff0,0x83ff8807,0xfffffffb,0xfd3fffff,
    0x17fc0007,0x4003fee0,0x7f4c0069,0x3f601eff,0x017ffa27,0x0003fe40,
    0x57fe2174,0x17fd41f8,0xff00bfe0,0x2fffc885,0x7e405ff5,0x6c05ff04,
    0x9fb0007f,0x6c03ff10,0x02ffcc7f,0x7406fe80,0x03fe607f,0x0bfe09f9,
    0x7fc17f20,0x3e09f902,0x7fff542f,0x9fffd93d,0x3037f403,0x06fd85ff,
    0x801e9820,0xff8807fd,0xffffff83,0xffffffff,0x08027e43,0x400bfe00,
    0x2ff8006a,0x4403fec0,0xfffb83ff,0xffffffff,0x480df93f,0xf700bfe0,
    0x00f6001f,0x6c00f440,0x2fff447f,0x003fe400,0x3f60ba01,0xffa86b8f,
    0x2017fc02,0xb30202ff,0x3e09f900,0x01ff602f,0x7c427ec0,0x21ff601f,
    0x64003ffc,0x7fec01ff,0xf90ff301,0x200bfe09,0x05ff05fc,0x17fc13f2,
    0xf9000080,0xd818803f,0xbf50006f,0x807fd801,0x3e003ff8,0x09f9002f,
    0x3e013fe0,0x00ea802f,0x6c02ff80,0x3ff8807f,0xb86fb800,0x405504ff,
    0x7fdc02ff,0x000f9800,0xfb00bf70,0x0bffd10f,0x2007fc80,0xff305d04,
    0x5ff505f9,0x7c02ff80,0x0176002f,0x17fc13f2,0x2000ffb0,0x1ff885fc,
    0x7f41ff60,0x5ff5000f,0x207ff500,0x04fc85fa,0xbf9005ff,0x7e40bfe0,
    0x2005ff04,0x3ea004ff,0x3fa0002f,0x5fd30006,0x8807fd80,0x3fe003ff,
    0x009f9002,0xff007fea,0x200ea805,0xb00bfe02,0x7ff100ff,0x20df7000,
    0xd711dffe,0x5c02ff80,0x9aca80ff,0x3a60002e,0x83fec02f,0x000dffe8,
    0x0ee00ffb,0x6ffd8174,0xf805ff50,0x017fc02f,0xfc801fd0,0x6c05ff04,
    0xff90007f,0x202ffd88,0xdff107fd,0x04ff8801,0xb06fe817,0x209f901d,
    0x5fc802ff,0x3f205ff0,0x2005ff04,0xf8801ffa,0xf001704f,0x7dc000ff,
    0x403ff402,0x3e004ff9,0x0bf9003f,0x3e007ec0,0x26bea02f,0x06b99999,
    0xffd00bfe,0x009ff500,0x3e60df70,0x03ffffff,0x3f6017fc,0x4ffff81f,
    0x01fc8000,0xfd103ff4,0xffb001df,0xf00f9801,0x40ffea09,0x7fc03ffb,
    0x0017fc02,0x81317df7,0x05ff05fd,0x98003ff4,0xf9ebbdff,0x7fe80bef,
    0xd01bfea0,0x220640df,0x07ee25fe,0x2ff82fec,0xff05fd80,0x7c17f605,
    0x03f6002f,0x0c81bfa0,0xfff889f7,0x2fd44000,0x007ffe20,0x2600bff7,
    0xffd004ff,0x809f7300,0xff503ff8,0xffffffff,0x80ffe207,0x5c01fff8,
    0xfb8005ff,0x3fffa606,0x1ffc402f,0x360fffa0,0x440003ff,0x7fc405fa,
    0x3ffee01f,0x3ffe202f,0xcaa9999c,0x40bf106f,0xbff900fe,0x101ffc40,
    0xeb8007ff,0x37f40cff,0xf881ffc4,0xf70001ff,0x9ff11dff,0x03fff101,
    0x6406ffe4,0x20f500ff,0x1dfdffd8,0x3e21bfa0,0x86fe803f,0xdfd04ff8,
    0x3007ff10,0xff9009f7,0x7fe9ea01,0x9fffffb5,0x802aa005,0xcffffec9,
    0x7fffedc2,0xffd980ce,0xfb503dff,0x55409dff,0x7fff6400,0x3fffe61c,
    0x0fffffff,0x1cfffec8,0x3fffff66,0x7fff5c2c,0xf7000cef,0x0035100d,
    0x439fffd9,0xdfffffc8,0xa8000043,0x3ff6a00a,0x7e42cfff,0x25ffffff,
    0xffffffc9,0x4fffffff,0x677ffed4,0x7f642540,0x7644efff,0x7641cfff,
    0x0001cfff,0x3dfffea8,0x239fffd9,0xdfffffda,0x40a88002,0xffffb302,
    0xffd105bf,0x3ffea5df,0x7fffffff,0x75401980,0xfd93dfff,0xfd5039ff,
    0x3fb27bff,0xffd51cff,0x3ffb27bf,0x02aa01cf,0x3ffffea0,0x2a7fffff,
    0x0000003e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x101da800,0x33333333,
    0x99999881,0x99999881,0x99999999,0x26666620,0x99999999,0x32000009,
    0x4ccccccc,0x99999910,0x99990799,0x22099999,0xcccccccc,0x24ffec82,
    0x001fffd8,0x004009b1,0x545b3008,0x32a0442d,0x1ccccccc,0x40000880,
    0x0cc40008,0x4000cc00,0x00c40008,0x26030000,0x03100110,0x080010ae,
    0x021d4000,0x09880004,0x802601c4,0x00098098,0x02201000,0x019804c4,
    0x6c49ffd9,0xf8001fff,0xfffb106f,0xc9819fff,0xfc83efff,0xffffffff,
    0x3fe1ffff,0xffffffff,0x595fffff,0x55555555,0x7fc75555,0x07ffffff,
    0xfffffff3,0xfffff0bf,0x3e60ffff,0x5fffffff,0x3ea13fe0,0x3ff9001f,
    0x93009100,0x7fe9ffa0,0xffc87fe6,0x02ffffff,0x5c0003c8,0xdbf91004,
    0x7ec403df,0xfc804ffd,0x2e00beed,0x001efdde,0x224fc880,0x01eefcdc,
    0x47bf77ae,0x21d51ff9,0x321cddb8,0x893ffb25,0x2ff9fffd,0x8012a076,
    0x89efeedb,0xecdd881e,0x3fb7a64f,0x0073ea0d,0x3d059800,0x77ee7644,
    0x2ffefd89,0xff509ff0,0x3602c983,0xfffb804f,0x901fec04,0x7fec035f,
    0xf704f7c3,0x3afdcc3f,0x4ccc7000,0x20199999,0x99999999,0x99999980,
    0x26660199,0x20099999,0x1ff884fe,0x001df300,0x209b0097,0xb93f25fc,
    0x266622ff,0x80099999,0x25c0003c,0x3ea0fc80,0x223e880f,0x3bd106fe,
    0x0ec82fec,0x4000bfe6,0x1ec1cfd9,0x236407ee,0x41fb2ff9,0xdabcfcfb,
    0x7cc0eddf,0xc9ffa84f,0x3a03e62f,0x261ec803,0x4e982fff,0xb0f56fe4,
    0x2efc88df,0x40f44000,0xf707f45c,0x17fd47df,0x7fc427f4,0x0203fec1,
    0x206ffb80,0x00ec03f8,0x41e17fea,0x76981ffb,0x0000e000,0x00000000,
    0x213f6000,0x02001ff8,0x26027cc0,0x1020204f,0x20000099,0x25c0003c,
    0x3e237cc0,0xf985d82f,0xfa87d83f,0x540fe42f,0x3aa001ff,0x80f980bf,
    0xa80fc81f,0xed82dcff,0x3a01fb01,0xcdff884f,0x7d40ed83,0x2a07ee01,
    0xd07e81ff,0x3ff889ff,0x00befb88,0x0fb85e80,0xdff31bea,0x9fb0dfb0,
    0xfc83ff10,0x7ec00006,0xb009d03f,0x40fff880,0x03ff7048,0x038001d6,
    0x06200066,0x00019880,0x109fb000,0x800003ff,0x3ea04ff9,0x0000004f,
    0x07900026,0x9804b800,0x543fe85f,0xa8bff02f,0x4c3db03f,0x01bfa06f,
    0xb805df71,0x7cc1b84f,0x4c17fa06,0xd826c00f,0x01ff884f,0x03fa17e6,
    0x7fe41be2,0xfb837d46,0x405ff82f,0x9000cfea,0x4c4fa83f,0xb83ff85f,
    0x427ec0ff,0x80181ff8,0x3fe20008,0x2803640f,0x1817fec0,0x4603ff70,
    0xd8870003,0xb804ffdf,0x101efdde,0x03dfdbf9,0x6c49ffd9,0x9fb01fff,
    0x0003ff10,0x7ffffdc0,0x3fffee4f,0x002604ff,0x0017f540,0x970000f2,
    0x3fa60200,0x77777e43,0x7e47ffee,0x817ee002,0xfc980ffb,0xbff3001d,
    0x205fb801,0x007b07fb,0x09fb01f3,0xfd803ff1,0x7dc37d44,0x1ffccb85,
    0x7fcc17f6,0x6fffffff,0x03bfb300,0x3fe62fdc,0xfff98080,0x2fffffff,
    0x7fc427ec,0x76fe4001,0xffa800be,0x00003ea6,0x20017fee,0x01c01ffb,
    0x88fa2380,0x83b206fe,0x0fc82ff9,0x7fc03fea,0xb01ffa84,0x03ff109f,
    0x3fffffee,0x7e41ffff,0x2027ec04,0xc8002fea,0x64002ffd,0x025c0003,
    0x3fb3ae20,0x20007ec4,0x3f6002fe,0xa8bfea04,0xe8000cfe,0xfb00cfff,
    0x40ffd409,0xb03d001e,0x03ff109f,0x7f43ff88,0x56e2fec5,0x13fa2ffa,
    0x00007fc4,0x985df910,0x13fa21ff,0x0bff76a0,0xf109fb00,0x37a2003f,
    0x64017f61,0x001f9bff,0x00eff980,0x401ffb80,0x2ec70003,0x7e41ffcc,
    0x261ffa81,0x817fc46f,0x1ff884fe,0xff109fb0,0x3027ae03,0x09f90bff,
    0x37204fd8,0xf10002ff,0x3333105f,0x33339b33,0x26662133,0x999dc999,
    0x1fdc0999,0x01fe89fb,0xf0027fc0,0x97fcc0df,0x40002ffa,0xf82ffffc,
    0x0bfe605f,0x416c003e,0x1ff884fd,0x2a0ffd80,0xa9bfa2ff,0xff8bfe66,
    0x000bfe05,0xe93fa200,0x00ffe46f,0x0bfe3bd3,0xf109fb00,0x21f6003f,
    0xf8802ffa,0x00003eff,0x20003ffd,0x01c01ffb,0x205f5380,0x037cc5ff,
    0x42fccdfd,0x09fb03fe,0x3f603ff1,0x701ff884,0x641bfa03,0x027ec04f,
    0x8000bfe2,0xfffc82ff,0xffffffff,0xfff73fff,0xffffffff,0x0fe4bfff,
    0x07fd13f6,0x2006fe80,0x3fe607fe,0x00bbf220,0x3fffd880,0xff3037f4,
    0x3a005d01,0xf884fd81,0x17fcc01f,0x2ffd17fa,0x87fe20e9,0x0ffe06ff,
    0xdfc88000,0xd10ffcc2,0xf0bee09f,0x4fd8007f,0xa801ff88,0x003db03f,
    0x0001ffea,0x00027fe4,0x03803ff7,0x3bbf2700,0x47ffeeee,0x3fee05fb,
    0x0ffa6020,0x7fc427ec,0xf10bf901,0x7e40a03f,0x209f901f,0x099dfd98,
    0x40005ff0,0x1e4002ff,0x2012e000,0x44fd84fc,0x362406fc,0xfd9200ff,
    0x20ff301f,0x800bfeb8,0x6c6ff981,0x41fe607f,0x80f8804c,0x1ff884fd,
    0x3ea27ec0,0x0e9ffc86,0x1ff63fcc,0x01205ff8,0x50067ed4,0x40ff88bf,
    0x04fe86fb,0x10bf9066,0x5f9003ff,0x7fec0000,0x7fcc0003,0x7fdc0006,
    0x38001c01,0xfd8001fb,0x20bfea04,0x04feceb8,0x3ff109fb,0xfb11ff20,
    0x7fd4005f,0x6c13f202,0x04ffffff,0x7c0005ff,0x01e4002f,0x3a012e00,
    0x5c4fd83f,0xb85504ff,0x545703ff,0x0bf503ff,0x4039fb50,0x20ffa82b,
    0xbf502ffa,0x7d007e20,0x3e217f20,0x217e601f,0xfff980fe,0x7e45fa81,
    0x3fff881f,0x775c03b8,0x83f9000b,0x41fec5f9,0x90b00ffc,0x2ffd88ff,
    0x0002fe80,0x03ffff30,0x07ffa200,0x03ff7000,0x3a700038,0x37fc001f,
    0xfb85ff30,0x7ec13f63,0x301ff884,0xf3d77bff,0xf88017df,0x027e404f,
    0x3fe013f6,0x7c03d982,0x01e4002f,0x36012e00,0x1a7fcc6f,0x5c477ffa,
    0x217ffd06,0x37f40ec9,0x26000ed8,0x06b82dfc,0x20dfd0ff,0x0bf600ed,
    0x7e407f62,0x017fec47,0x01fa81db,0x3f603bf6,0x542ffc40,0xb88bffff,
    0x2dfc881f,0xf70db000,0x7e437f43,0x207662ef,0x9ebbdff9,0x3e00beff,
    0xf880004f,0x0006ffaa,0x00007ffb,0x03803ff7,0x00ffa700,0x7cc0ffd0,
    0xfb07f20f,0x2213f609,0x3fee01ff,0x0cff88ef,0xc806fe80,0x027ec04f,
    0x7ff417fc,0x000bfe04,0x4b800079,0xdbeffa80,0x262cffdd,0x3fffffff,
    0xfdffff50,0x4bfd103f,0x10001fb8,0x1fdc7df7,0x3fa20fe6,0xdb00fd45,
    0x9fb99dd5,0xdff301f7,0x7dff3b77,0x2e80f981,0x2e2ffec0,0x19ff501f,
    0x3ffeb7a6,0x7ecc4fff,0x7440001c,0x3fee5c81,0xffcbea9c,0x2e04feef,
    0xff88efff,0x037f400c,0xffb27400,0x5ffa8007,0x3ff70000,0x27000380,
    0x362406fc,0x4ff301ff,0x04fd84fc,0x3ff109fb,0x1a20a880,0x801ffc80,
    0x27ec04fc,0x7ec17fc0,0x00bfe07f,0xb8000790,0xfffc8804,0xd305ff52,
    0x9805ffff,0x201efffe,0x1dfdffd8,0x2bd50000,0x3dccffeb,0x377ff620,
    0xa83aa01d,0x416e0bcb,0xf88dfffc,0xa81d80cf,0x7ec5ec04,0x4c02dfdf,
    0x2a4fdffe,0x7dc3efff,0x2600000b,0x3f623b05,0x3ff21eff,0x54400bef,
    0xffb00140,0x17202401,0x2003fff1,0x0000fff8,0x3803ff70,0x3fee7000,
    0xffa85504,0x7f4bf503,0xf904fd83,0x003ff10b,0x3ea00d90,0x0bf9002f,
    0xff804fd8,0x201f1502,0x999882ff,0x999cd999,0x4b800999,0x40040400,
    0x544001a8,0x000cc001,0xa9821000,0x000cc000,0x0a880000,0x00402014,
    0x00331122,0x0cc03510,0x20000008,0x0a881100,0x00000660,0x207ff700,
    0x203ee02b,0xfb006ffa,0x2012005f,0x01c01ffb,0x37ffa380,0x3fa0d711,
    0x7ec1db06,0x41a7fcc6,0x7fec47fb,0x01fd8002,0x0b827fc4,0xf70537e4,
    0x02ff814d,0x82ff8166,0xfffffffc,0x3fffffff,0x00004b80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfe800000,0x01d930bf,0xffd807e6,0x02ffdc04,0xffb80498,0x38001c01,
    0x3fffffe6,0x4bfd103f,0x7fd41fb8,0xcffdddbe,0x5deffcc2,0x00beff9e,
    0x2673fea0,0x19037f41,0x82ccffa8,0xf01ecff9,0x8816c05f,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fea0000,0x301ffeff,0xfff8807f,0x01fff302,
    0x3f200ba0,0x8001c02f,0x7ffff4c3,0x6ffec402,0xffc881df,0x205ff52f,
    0xf88efffb,0xeb8000cf,0x3ff20cff,0x3f60f500,0x0fff203f,0x6441ffc4,
    0x9fffd901,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffa600,0x03ff701e,
    0xd03fffd0,0x333337ff,0x03fd9533,0xc807ffd0,0xaaaaaaaa,0x103aaaaa,
    0x03300035,0x44004040,0x0000140a,0xffffff50,0x040fffff,0x3fb20080,
    0x000e1cff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb80d4400,0x504efffe,
    0x5dfffffb,0x3fffffee,0xffffffff,0x3fff2207,0x00003dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff200,0x5dfffd52,
    0xfb9fff4c,0x7e41dfff,0x441880ef,0x08831000,0x09800220,0x2e088620,
    0xf94ffffe,0xffb89dff,0xffffffff,0x00000001,0x47ffffaa,0x0083fffb,
    0x00aa8810,0x05400150,0x1b8802a8,0x980aa980,0x54405c43,0x5cc3b700,
    0xbbbbbbbb,0x082bbbbb,0x2aaaaaa6,0xaaaaaaaa,0x3220f321,0x001ba82c,
    0x3b70edc3,0x2eeeeeee,0xffffff31,0xffffffff,0x3bbbba69,0xeeeeeeee,
    0x0000003e,0x00000000,0x00000000,0x54000000,0x37f443ff,0x7fc41f98,
    0x32617206,0x1dffd34f,0x74d7f260,0x3faa1eff,0x3faa00ef,0xf94fc982,
    0xe87fe85f,0x813d701e,0xf8805ff9,0x00fb8006,0x3b61ffec,0x6c00ea80,
    0x07ff7ea4,0xd7009f10,0xffefa83f,0xefdfc883,0x3f91f882,0x97f63ff8,
    0x21de9ac9,0x9950fff9,0x99999999,0x3a879999,0x3777776a,0xeddddddd,
    0xf703fea5,0x7f774c1d,0x223500be,0x2bff15ff,0x2ffffffe,0x33333331,
    0x13333333,0x2aaaaaa2,0xaaaaaaaa,0x00000001,0x00000000,0x00000000,
    0xfe800000,0xb507fa84,0x1e81fee0,0x7567fe5c,0xca85ffdc,0xfcbeadff,
    0xffb7b76f,0x0bff720b,0xfb79ff97,0x646fd8bf,0x7406e00d,0x0ff1006f,
    0x8805fd00,0x03f30ffe,0x45d80764,0xc80bf30c,0x1fb801fd,0x40fe886c,
    0x703ea0cc,0xff127d4d,0x4bb37fc9,0x3ffe65f8,0xee800003,0x22d40001,
    0x20fec2fb,0x37fae21c,0x3fd8b50a,0x6665cbfa,0x00001ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc1fea0,0xff102d82,0x7f40b305,
    0x807fdc4e,0x7fcc3efd,0x807fd43e,0xdfb02ff8,0xbf902e29,0xc81402ec,
    0x022001ff,0x87e42e60,0x19ff1039,0x81d9003d,0x017c405d,0x500d71f3,
    0x3ee0443f,0x0f203e21,0xf17f2211,0xf8aff47f,0x73107f43,0xc8800009,
    0x2d40006f,0x905f12e4,0x77ffecc0,0x00008082,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5ff00000,0x3446ff88,0x0b61bf20,0xff985fd8,
    0x3e0bf901,0x01ff884f,0x37e40bfe,0x26c6fe40,0x05ff5000,0x3bfa0000,
    0x03ff77a8,0x8013bfee,0x900bb0ec,0x0ba3e809,0x6c803f50,0x886982dc,
    0x7f45f9cc,0x27dd3f22,0x00760ff2,0x017e2000,0xa960b500,0x98800883,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x8bf90000,
    0x0ee1ffdb,0x3443ff30,0x7fc13f20,0x360bf902,0x405ff04f,0x09f902ff,
    0x05fddf90,0x413fe200,0x99999998,0x09999999,0xf7b5dfb3,0x0ffd809f,
    0x02ef6400,0x540fffa6,0xf5007d46,0x3542f803,0x9974c5b8,0xf707e45f,
    0x3f51bea5,0x3bbaa688,0xeeeeeeee,0xfb314eee,0x05a80003,0x00000041,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe83fe600,
    0x003a4fd8,0x403b93fa,0x05ff04fc,0x27ec17f2,0x3fe02ff8,0x9009f902,
    0x001ffbbf,0x7e40dfd0,0xffffffff,0x443fffff,0x3001cfea,0xff0009ff,
    0x03fa6001,0x409b03f1,0x40f601fa,0x3f42e81e,0x4c7b8bf3,0x6c83fa1f,
    0x3331065c,0x33333333,0x0ae23333,0x000c4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x3ea973fe,0x3ea00b37,
    0xfc801d0f,0x3205ff04,0x209fb05f,0x0bfe02ff,0x7e4027e4,0x000efe8d,
    0x00007ff2,0x3b7ae600,0xfce802de,0x3376001f,0x83f5000e,0x203f105c,
    0x407901fa,0x86ea9cfb,0x3efcacfe,0xfb8f1166,0x0662e88c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5bee0000,0x0b2bfe0e,0x05abff80,0x5ff04fc8,0x7ec17f20,0x7c05ff04,
    0x009f902f,0x17fe6bf9,0x0017fd40,0x5ffe4000,0x00ffe9d9,0x003ff679,
    0x800ec976,0x7007cc5a,0x3207ea0b,0x77e4c1c2,0x365bb302,0x441c141d,
    0x000002db,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9173fe20,0xfc800fdf,0x4fc802de,0x3f205ff0,
    0x3e09fb05,0x40bfe02f,0x5fc804fc,0xf100ffea,0x2002e09f,0x73fd8009,
    0x2a07fa2f,0xb017fe25,0x6441d90b,0x1f41e98a,0x17dc1740,0xbddddfb1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e60ffec,0x7fc4004f,0x209f9006,
    0x0bf902ff,0x17fc13f6,0x3f205ff0,0x645fd804,0x1bfa02ff,0x3fc400c8,
    0x087f6080,0x7fd40f98,0x7640bb02,0x819bd910,0xa8730048,0x99951ccc,
    0x00003999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fd40000,0xd8001fe8,0x0bfb003f,
    0x2fe40bfe,0x7ff04fd8,0xfc817fc0,0xe87fe805,0x0ffc81ff,0xbd100f50,
    0x403fd000,0x3ffd03e8,0x04c805a8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06b817c0,0x2001f300,0x3ff886fe,0x3fa0dfb0,0x104ff885,
    0x1ffa07ff,0x3efffeb8,0x25bffff7,0xfffffffa,0x00007fff,0xff501cc0,
    0xffffc85f,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x50000c40,0xbfffd500,0x33fffb27,0x7bfffb51,0x4b7fffae,0x21cfffec,
    0x51cfffec,0x009dfffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_32_latin_ext_x[560]={ 0,3,1,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,0,0,1,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,2,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
0,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_32_latin_ext_y[560]={ 25,5,5,5,4,5,5,5,4,4,4,7,22,17,
22,4,5,5,5,5,5,5,5,5,5,5,11,11,8,12,8,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,30,5,11,4,11,4,11,4,11,4,4,
4,4,4,11,11,11,11,11,11,11,7,12,12,12,12,12,12,4,4,4,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,25,11,6,5,8,5,
4,5,6,5,5,11,12,17,5,3,5,7,5,5,5,12,5,13,24,5,5,11,5,5,5,11,-1,-1,-1,0,
0,1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,5,-1,-1,-1,0,-1,5,4,5,5,
5,5,6,4,11,11,5,5,5,6,5,5,5,6,4,5,5,5,5,5,6,9,11,5,5,5,6,5,4,6,
1,7,0,5,5,11,-1,5,-1,5,0,6,-1,5,-1,4,5,4,1,7,0,5,0,6,5,11,-1,5,-1,5,
0,5,0,6,5,3,-1,-1,5,4,0,5,1,7,0,5,5,4,0,11,5,4,-1,5,5,4,12,-1,-1,5,
4,5,4,5,4,5,4,-1,5,5,11,-1,5,5,5,11,1,7,0,5,-1,5,5,11,-1,5,5,11,-1,5,
-1,5,-1,5,5,11,-1,5,5,7,-1,4,5,7,0,5,1,7,0,5,-1,4,-1,5,5,12,-1,5,-1,5,
0,-1,5,0,6,-1,5,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,11,6,6,6,6,6,6,6,6,6,6,6,6,6,2,11,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,1,-1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_32_latin_ext_w[560]={ 0,4,9,14,12,23,21,3,8,9,11,16,5,8,
4,9,13,8,14,12,14,12,13,13,12,13,4,5,16,16,16,11,25,21,18,18,20,17,15,20,21,9,12,22,
18,26,22,19,16,19,20,14,17,21,21,28,21,21,17,7,9,7,14,16,6,12,15,12,15,12,12,14,15,8,
9,15,8,23,15,14,15,15,10,10,9,15,15,21,15,15,13,9,2,9,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,12,14,15,15,
2,11,9,21,9,14,16,8,21,16,10,16,9,8,5,15,15,4,5,6,9,14,21,21,22,11,21,21,21,21,
21,21,26,18,17,17,17,17,9,9,9,9,20,22,19,19,19,19,19,12,19,21,21,21,21,21,15,14,12,12,
12,12,12,12,18,12,12,12,12,12,8,8,9,9,14,15,14,14,14,14,14,16,14,15,15,15,15,15,15,15,
21,12,21,12,21,14,18,12,18,12,18,12,18,12,20,19,20,15,17,12,17,12,17,12,17,13,17,12,20,14,
20,14,20,14,20,14,21,15,21,15,10,10,10,10,9,10,10,10,9,8,21,14,12,11,22,15,15,18,8,18,
8,18,12,18,11,17,8,22,15,22,15,22,15,18,19,13,19,14,19,14,19,14,24,20,20,10,20,10,20,10,
14,10,14,10,14,10,14,10,17,9,17,13,17,9,21,15,21,15,21,15,21,15,21,15,21,16,28,21,21,15,
21,17,13,17,13,17,13,12,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,16,15,15,15,15,15,15,15,15,15,15,15,15,15,24,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,12,9,9,19,
14,21,15,21,15,21,15,21,15,21,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,12,26,18,19,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_32_latin_ext_h[560]={ 0,21,9,21,24,21,21,9,28,28,13,17,8,3,
4,22,21,20,20,21,20,21,21,21,21,21,15,19,15,7,15,21,28,20,20,21,20,20,20,21,20,20,21,20,
20,20,21,21,20,26,20,21,20,21,21,21,20,20,20,26,22,26,11,2,6,15,22,15,22,15,21,21,21,21,
28,21,21,14,14,15,21,21,14,15,19,14,14,14,13,20,13,28,28,28,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,25,21,15,20,
28,26,4,21,9,15,7,3,21,2,10,17,11,11,6,20,27,5,7,11,9,15,21,21,21,21,26,26,26,25,
25,24,20,26,26,26,26,25,26,26,26,25,20,26,27,27,27,26,26,13,21,27,27,27,26,26,20,22,21,21,
21,21,20,22,15,20,21,21,21,20,20,20,20,19,22,20,21,21,21,21,20,13,15,21,21,21,20,27,28,26,
24,19,25,21,26,20,27,21,27,21,26,20,27,21,26,22,20,22,24,19,25,21,25,20,26,20,26,21,27,27,
26,27,26,26,26,29,26,26,20,21,25,20,24,18,25,20,26,27,25,14,21,28,27,27,26,27,13,26,26,26,
27,20,21,20,21,20,21,27,20,26,20,27,20,20,21,21,25,19,26,21,27,21,21,15,26,20,26,20,26,20,
27,21,27,21,26,20,27,21,27,25,26,22,20,19,26,21,25,19,26,21,27,22,27,21,26,19,27,21,26,27,
25,26,20,25,19,26,20,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,21,19,19,27,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,15,19,19,19,19,19,19,19,19,19,19,19,19,19,24,15,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,21,26,20,27,
21,27,21,27,23,27,25,27,25,27,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,27,26,21,27,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_32_latin_ext_s[560]={ 150,408,249,20,151,449,100,508,48,60,146,
240,269,355,507,502,380,166,98,275,146,117,152,76,104,90,507,206,311,275,440,
35,121,365,387,1,443,464,1,363,124,185,63,224,247,266,21,1,343,492,376,
114,54,414,155,413,14,343,36,363,330,115,196,364,315,257,355,283,263,270,473,
168,183,267,38,364,394,55,39,296,47,403,88,328,176,491,23,1,158,195,115,
95,147,85,328,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,150,310,478,
315,356,50,57,313,345,474,239,457,298,355,130,381,228,223,218,187,322,266,408,
507,292,211,259,389,288,341,252,129,291,269,247,93,302,182,295,68,389,371,457,
420,411,105,407,448,482,23,313,176,492,144,185,174,232,154,1,341,345,389,236,
340,101,88,75,498,175,371,472,211,485,472,459,161,503,303,293,196,315,327,334,
319,304,289,411,129,404,231,215,199,360,333,105,476,204,116,33,74,45,312,233,
26,304,1,104,1,90,87,138,279,322,384,164,88,346,39,364,282,251,252,233,
436,387,372,24,289,226,123,67,23,280,88,28,486,491,174,140,212,438,113,269,
23,382,79,52,70,34,62,453,109,99,214,205,186,440,406,122,217,14,188,502,
449,426,1,477,349,461,442,247,141,458,101,325,177,472,192,207,419,205,206,164,
77,123,66,47,135,196,330,493,17,274,384,323,410,417,400,425,186,421,442,324,
129,435,458,252,299,211,496,46,145,125,146,1,74,71,475,493,392,162,87,397,
276,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,419,72,72,424,
72,72,72,72,72,72,72,72,72,72,72,72,72,226,339,72,72,72,72,72,
72,72,72,72,72,72,72,72,115,372,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,367,395,
443,88,249,60,214,44,192,247,269,17,291,55,150,1,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,1,236,159,440,172,349,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72, };
static unsigned short stb__times_32_latin_ext_t[560]={ 29,162,248,184,114,114,140,31,1,1,248,
227,248,248,228,87,140,184,206,162,206,184,184,184,184,184,206,227,227,248,227,
184,1,184,184,184,184,184,206,162,206,206,184,206,206,206,162,162,206,59,206,
162,227,114,162,162,227,184,227,31,114,59,248,248,248,227,114,227,114,227,114,
140,140,140,1,140,140,248,248,227,184,140,248,227,227,227,248,248,248,206,248,
1,1,1,248,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,29,162,87,
162,227,206,1,59,248,162,248,227,248,248,184,248,248,227,248,248,248,184,1,
222,248,248,248,227,162,162,162,162,59,59,59,114,87,114,184,59,31,31,31,
87,59,59,31,87,184,59,1,31,1,59,59,248,162,31,32,31,59,59,184,
114,162,162,162,140,184,114,227,206,140,140,140,206,184,206,206,227,114,206,140,
140,140,140,206,248,227,140,140,140,206,1,1,59,114,227,114,140,87,206,31,
140,31,140,87,227,31,140,87,114,184,114,114,227,87,140,87,184,87,184,87,
114,1,1,87,31,59,87,87,1,87,87,206,114,87,206,114,227,87,206,87,
31,87,248,140,1,31,31,59,31,248,87,87,87,1,184,140,184,140,184,114,
1,206,87,206,1,206,206,140,162,87,227,59,162,1,162,162,227,59,184,59,
206,59,206,31,140,31,162,31,206,31,162,31,87,31,114,184,227,59,162,87,
227,31,162,31,114,31,162,59,227,31,140,60,31,114,31,206,87,227,59,206,
140,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,140,227,227,1,
227,227,227,227,227,227,227,227,227,227,227,227,227,114,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,114,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,59,162,
59,206,1,162,1,162,1,114,1,114,1,114,1,114,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,1,1,87,140,1,140,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,227,
227,227,227,227,227,227,227,227,227, };
static unsigned short stb__times_32_latin_ext_a[560]={ 116,154,189,231,231,385,360,83,
154,154,231,261,116,154,116,128,231,231,231,231,231,231,231,231,
231,231,128,128,261,261,261,205,426,334,308,308,334,282,257,334,
334,154,180,334,282,411,334,334,257,334,308,257,282,334,334,436,
334,334,282,154,128,154,217,231,154,205,231,205,231,205,154,231,
231,128,128,231,128,360,231,231,231,231,154,180,128,231,231,334,
231,231,205,222,93,222,250,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,116,154,231,231,231,231,93,231,
154,351,128,231,261,154,351,231,185,254,139,139,154,266,209,116,
154,139,143,231,347,347,347,205,334,334,334,334,334,334,411,308,
282,282,282,282,154,154,154,154,334,334,334,334,334,334,334,261,
334,334,334,334,334,334,257,231,205,205,205,205,205,205,308,205,
205,205,205,205,128,128,128,128,231,231,231,231,231,231,231,254,
231,231,231,231,231,231,231,231,334,205,334,205,334,205,308,205,
308,205,308,205,308,205,334,299,334,231,282,205,282,205,282,205,
282,205,282,205,334,231,334,231,334,231,334,231,334,231,334,231,
154,128,154,128,154,128,154,128,154,128,328,255,180,128,334,231,
231,282,128,282,128,282,188,282,159,282,128,334,231,334,231,334,
231,279,324,229,334,231,334,231,334,231,411,334,308,154,308,154,
308,154,257,180,257,180,257,180,257,180,282,128,282,198,282,128,
334,231,334,231,334,231,334,231,334,231,334,231,436,334,334,231,
334,282,205,282,205,282,205,128,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,334,360,360,231,360,360,360,360,360,
360,360,360,360,360,360,360,360,334,244,360,360,360,360,360,360,
360,360,360,360,360,360,360,359,251,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,334,205,154,128,334,231,334,231,334,231,334,
231,334,231,334,231,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,334,205,411,308,334,231,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_32_latin_ext_BITMAP_HEIGHT or STB_FONT_times_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_32_latin_ext(stb_fontchar font[STB_FONT_times_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_32_latin_ext_BITMAP_HEIGHT][STB_FONT_times_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_32_latin_ext_s[i] + stb__times_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_32_latin_ext_t[i] + stb__times_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_32_latin_ext_x[i];
            font[i].y0 = stb__times_32_latin_ext_y[i];
            font[i].x1 = stb__times_32_latin_ext_x[i] + stb__times_32_latin_ext_w[i];
            font[i].y1 = stb__times_32_latin_ext_y[i] + stb__times_32_latin_ext_h[i];
            font[i].advance_int = (stb__times_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_32_latin_ext_s[i] + stb__times_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_32_latin_ext_t[i] + stb__times_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_32_latin_ext_x[i] + stb__times_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_32_latin_ext_y[i] + stb__times_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_32_latin_ext_LINE_SPACING
#endif

