// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_36_latin_ext_BITMAP_HEIGHT        322
#define STB_FONT_times_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_36_latin_ext_NUM_CHARS            560

#define STB_FONT_times_36_latin_ext_LINE_SPACING          23

static unsigned int stb__times_36_latin_ext_pixels[]={
    0x0dee9800,0x00730000,0xa8006e20,0x01998000,0x80ccc400,0x02a27339,
    0x2a660000,0x00001abc,0x01b88000,0x640006e2,0x000000df,0x3ffffe60,
    0x200004ff,0x000007fb,0x00199880,0x08802200,0x00000000,0x049832e0,
    0x00000000,0x99999973,0x59950079,0x64c00000,0x2a00004c,0x400000aa,
    0x00002ccb,0x0ffe4000,0x00be8000,0x801ffb00,0xfb8002eb,0x7ec0005f,
    0x9aed702f,0x880004ea,0xdb9accec,0x40000cfe,0xb000fff8,0x3ff601ff,
    0x004f8000,0xffffffe8,0xffff9800,0x00004fff,0x00000fd4,0x00fff600,
    0x981e8800,0x32a20005,0x001bdefd,0x1fb9fb00,0x3b2a0000,0x1260bdff,
    0x6fffff54,0x802addaa,0x00007fe8,0x000bff20,0x027ffd40,0x17fe6000,
    0x3fffea00,0x7fc004ff,0x07500002,0x00ffd800,0xfd800176,0x7fc40006,
    0x435dae04,0xd88000ec,0x3ea8803e,0x07fea000,0xb00ffd80,0x388001ff,
    0x53331000,0x000001ff,0x00e60000,0x9ff00000,0x7f700000,0xa8000fcc,
    0xfdb9bcff,0x440000df,0x80001eed,0x99adffea,0xa84ecfeb,0x24ffffff,
    0x7fcc004b,0xff000001,0x7f400007,0x00001ffc,0x20007fd4,0x09999ffa,
    0x000fe600,0x001ccd80,0x7e405710,0x03be0001,0x80bf5000,0xbf10d76b,
    0x003fa800,0x36000b90,0x0dc4002f,0x54005710,0x30001d43,0x0ea001ff,
    0x54000075,0x00001d43,0x0002fd40,0x9f59fd00,0x1dfb1000,0x000f7ec0,
    0x001d43a8,0xb805ff90,0x7ffd45ff,0x12e4ffff,0x0013ea00,0x0013e600,
    0xbf51fb80,0x5f700000,0x007fa800,0x000025c0,0x0001bfee,0x00037c40,
    0x900003f5,0x1aed700d,0xfc8017ec,0x025c0002,0x000027c0,0x2ff88000,
    0x4c000ffe,0xff8800ff,0x0000ffe2,0x3ff8bfe2,0x36400000,0x3ea00000,
    0xe8000fff,0x5ffd006f,0x22ff8800,0xfd8003ff,0x8bf7001f,0xfffffffd,
    0x5c0012e4,0x5c800006,0x03a20000,0x000005d1,0x7fa80099,0x0001c000,
    0x0027f440,0x006fa800,0x40000b20,0xd76b800e,0x32013f60,0x3b00001f,
    0x0002d400,0x3b600000,0x40007f60,0xdb000ff9,0x0000fec1,0x07f60ed8,
    0x01d00000,0xdd900000,0x5ff90007,0x03bfe200,0x7ec1db00,0x1ffdc001,
    0xfff1b200,0x5c9fffff,0x00320004,0x0000b000,0x000e00a8,0x2a002c00,
    0x2e20007f,0x400001ce,0x32000000,0x0060007f,0xb8004400,0x17fa0d76,
    0x00005f30,0x003002cc,0x00000000,0x3fe60000,0x00000000,0x00000000,
    0x00000010,0xdff30000,0x04ffb800,0xf3000000,0x4f3000df,0xfffffff8,
    0x00012e4f,0x00000000,0x00000000,0x3fd40000,0xf739d000,0x00000000,
    0x007fdc00,0x54000000,0x6bb5c00b,0x7c409ff0,0x02202005,0x0000001f,
    0x6665c000,0x301ccccc,0x19999999,0x65c3fe60,0x1ccccccc,0x99999930,
    0x33332e19,0x9301cccc,0x01999999,0x00000000,0x6f7ee544,0x5ffd001b,
    0x1fff8800,0x3333332e,0x999301cc,0x7ec19999,0xf8b0003f,0x4fffffff,
    0x6544012e,0x001bdefd,0x3bf72a20,0x220001bd,0x1bdefdca,0xcccccb80,
    0x99301ccc,0x2a199999,0x8d30007f,0x0000002d,0x2a0f9300,0x2a2001ff,
    0x41bdefdc,0x7e6f4069,0x435dae03,0x3f203ff8,0x6e75c400,0x1ec0ff9b,
    0x1333332e,0x4c13332a,0x83f2607c,0x0cffffc9,0x1fffdc40,0xc983fe60,
    0x400cffff,0x983fffb8,0x00cffffc,0x01fffdc4,0x66666540,0xcccccccc,
    0xf5004ccc,0xfd75359f,0x7ffcc01b,0x4ffe8001,0x67fffe4c,0x7ffdc400,
    0x00fffc43,0x7ffec180,0x12e4ffff,0x26b3fea0,0x000dfeba,0x54d67fd4,
    0x4000dfeb,0xba9acffa,0x64c00dfe,0x400cffff,0x543fffb8,0x8d30007f,
    0x6dc0003c,0x2a001bee,0xff307ffe,0x2ffea005,0x8cfeba99,0x896a02f8,
    0x435dae06,0x13e02ff9,0x66419f30,0x6c44b86f,0xf700cfff,0x7ffea83d,
    0x80fffda8,0x64004ffe,0x0ff9802f,0x4004ffe8,0x7ff402fc,0x017e4004,
    0xfffc9880,0xcccccdff,0x2200ffed,0x3f200efd,0x1fff501e,0x0bff9000,
    0x90013ffa,0x0fff505f,0x7ffd4000,0x12e4ffff,0x200efd88,0xd8801efc,
    0x3bf200ef,0x0efd8801,0x2007bf20,0x64004ffe,0x007fa82f,0x03ea2fa0,
    0x99774400,0x04fffffd,0x7c0fff33,0x6fec400f,0x13bff200,0x701e8790,
    0x3fe21aed,0x5403f501,0x84ffa86f,0x05ffd059,0x7ccc0fd4,0xffe9987f,
    0x003ffd80,0x7cc007dc,0x03ffd80f,0x36007dc0,0x7dc003ff,0xdef80000,
    0x07d401ff,0x2e00dfd0,0x7ffb82ff,0x0fff9000,0x7000fff6,0x0fff901f,
    0xfffa8000,0x812e4fff,0xff7006fe,0x006fe805,0xfe805ff7,0x05ff7006,
    0x4003ffd8,0x07fa80fb,0x077f2200,0xe83fe800,0x6401aaef,0x201be07f,
    0xff9006fe,0x1a659805,0x320d76b8,0x4c0dd00f,0x1ffa81ff,0x9ff30688,
    0x3f603640,0x203ff207,0x54002ffd,0x01ff3007,0xa8005ffb,0x02ffd807,
    0x40003d40,0x01ffd9f8,0x5ff900d8,0x207ffc00,0x70006ffd,0xffb01fff,
    0xb07a8005,0x00000dff,0x49ffffd5,0x05ff904b,0xc807ffc0,0x3fe002ff,
    0x05ff900f,0xb007ffc0,0x7a8005ff,0x8000ff50,0x2e0003f9,0x07fb81ff,
    0x7d41ff20,0x017fe402,0x400fffb8,0x2e02fefd,0x0fe60116,0x09fd01fc,
    0x02541ff2,0x0be01ffb,0x7e40ff90,0x02ffd80f,0xf9803d40,0x02ffd80f,
    0x7ec03d40,0x03d4002f,0xffdae400,0xf981b801,0x7fdc006f,0x0037fec4,
    0xd80fffa8,0x3d4002ff,0x0006ffd8,0x936a6200,0x06ff984b,0x4c27fdc0,
    0x7dc006ff,0x06ff984f,0xb027fdc0,0x7a8005ff,0x8000ff50,0x360007fd,
    0x05ff507f,0x3621ff20,0x037fcc02,0x04ffcfa8,0x06b80288,0x2f881d30,
    0x3a01ff70,0x4c05904f,0x807a83ff,0x3ff207fc,0x002ffd80,0xff9803d4,
    0x002ffd80,0x7fec03d4,0x003d4002,0x7fec7e20,0x3ffa0001,0x7ffc4002,
    0x001fff21,0xfd83ffdc,0x83d4002f,0x00007ffd,0x425c9900,0x44002ffe,
    0x7ff41fff,0x7ffc4002,0x0017ff41,0x6c07ffe2,0x3d4002ff,0x20007fa8,
    0x0002fff8,0x3fe60ffb,0x44ff9003,0xffe800cc,0xf8af9802,0x700001ff,
    0x8664400d,0x05ff01f9,0x00d817fc,0x02743fec,0xff703fe4,0x005ffb01,
    0xff3007a8,0x005ffb01,0xffd807a8,0x003d4002,0x1ffd9720,0x3fff1000,
    0x49ffd000,0x90007ffa,0x3ff60dff,0xb83d4002,0x00000fff,0x112e4c80,
    0xd0003fff,0x7ffc49ff,0x4ffe8001,0x0007ffe2,0x7ec13ffa,0x83d4002f,
    0x2e0007fa,0x70005fff,0x5ff501ff,0xfa9ff200,0x1fff9802,0xffd27440,
    0x9ddd7109,0x001ae017,0x203ea7d1,0xff700ffa,0x3e601a01,0x2003e63f,
    0x3fee07fc,0x002ffd80,0xff9803d4,0x002ffd80,0x7fec03d4,0x003d4002,
    0x7fec3f10,0x7d40aa01,0xfd8000ff,0x03ffe65f,0x417ff600,0x54002ffd,
    0x05fff507,0x49900000,0x07ffd44b,0x52ffec00,0xb0001fff,0x7ffd4bff,
    0x5ffd8000,0x8005ffb0,0x00ff507a,0x0fffe7c0,0x41ffcc00,0xf9000ffc,
    0x5401970f,0x2ec00fff,0xff317ff2,0x01dfd515,0x05dc00d7,0x41bf60f5,
    0x0b306ff8,0x05c9ffa0,0x7dc0ff90,0x02ffd80f,0xf9803d40,0x02ffd80f,
    0x7ec03d40,0x03d4002f,0xffd8bb00,0x7dc0b601,0xff90007f,0x001fff8f,
    0xfb02ffe8,0x07a8005f,0x0007fff1,0x25c99000,0x4001ffee,0x3fee7ffc,
    0xfff90007,0x8003ffdc,0xffb07ffc,0x507a8005,0x3ea000ff,0x0004ffc8,
    0x7f443ff7,0x41ff2002,0xfff900eb,0x7e40ec80,0x221ff47f,0x806b84ff,
    0x80f984e8,0x7ff904ff,0x7d400ba0,0x32005f3f,0x03fee07f,0x5000bff6,
    0x03fe600f,0x5000bff6,0x05ffb00f,0x30007a80,0x81ffd83f,0xffb02fa8,
    0x3fee000d,0x013ff60f,0x6c0dff10,0x3d4002ff,0x000bff90,0x2e4c8004,
    0x0037fec4,0xfb0fffb8,0x3ee000df,0x0dffb0ff,0x03ffee00,0x5000bff6,
    0x001fea0f,0x0fff8a74,0x9bff5000,0xfc8003df,0x3609f107,0x03ea06ff,
    0x7cc3ffee,0xb86fe82f,0x07ee0b56,0x7ff107e2,0x503ff970,0xbefe800b,
    0x81ff2007,0xffd80ffb,0x803d4002,0xffd80ff9,0x403d4002,0x54002ffd,
    0xb09b0007,0xfdddddff,0x3ff605ff,0xfff70006,0x007ff441,0x6c05ff90,
    0x3d4002ff,0x007fff10,0x93200390,0x037fec4b,0xb0fffb80,0x2e000dff,
    0xdffb0fff,0x3ffee000,0x002ffd80,0x07fa83d4,0x3f61f980,0x9d88003f,
    0x32000198,0x6c1fe07f,0x05f306ff,0xff83ffee,0x6b86fd80,0x403fa0d7,
    0x5c5fe82f,0x7540ff9c,0x7ffd4000,0x81ff2004,0xffd80ffb,0x803d4002,
    0xffd80ff9,0x403d4002,0x54002ffd,0x80f98007,0xaaaacffd,0xff902fda,
    0x3fee000f,0x004ff987,0xfd80bff1,0x03d4002f,0x8007fff2,0xb932003b,
    0x003ffe44,0x3f27ffb8,0xff70007f,0x003ffe4f,0xfb07ffb8,0x07a8005f,
    0xd9000ff5,0x8006ffa8,0x3200004e,0x05ff107f,0x7f10fff9,0x043ffdc0,
    0xb5c37f54,0x01ff986b,0x7bff909b,0x443fe69d,0xe802c0ec,0x3f6000ff,
    0x01ff700f,0xa8005ff9,0x01ff3007,0xa8005ff9,0x02ffc807,0x74003d40,
    0xfeaaaaae,0x5c0b601f,0xf90007ff,0x0bfea0df,0x900bfb10,0x7a8005ff,
    0x01fffb80,0x264005c8,0x07ffb897,0x5cdff900,0xf90007ff,0x03ffdcdf,
    0x906ffc80,0x7a8005ff,0x8800ff50,0x01ffe82f,0x266bbea0,0xff900019,
    0x2a0bfe60,0x405e87ff,0x32205ffd,0x6b86fece,0x07ff30d7,0xffd303ea,
    0xddefe87f,0xb801dc0b,0x7ff4005f,0x901ff701,0x7b8005ff,0x901ff300,
    0x7b8005ff,0x002ffc80,0x3ea003dc,0xfecccccc,0x540aa01f,0xd8000fff,
    0x3fea04ff,0x009fd304,0x7000bff2,0x3ffea00f,0x7d7311bd,0x25c99000,
    0x0003ffea,0xffa93ff6,0xffd8000f,0x003ffea4,0x6413ff60,0x3dc002ff,
    0x5c007fa8,0x00bff707,0x7fffffdc,0x9002efff,0x07fea0ff,0xec83ffe6,
    0x427ff400,0xdfb0bfc8,0x221aed70,0x40fe04ff,0x402aa01a,0x0be20068,
    0x7ffff5c0,0x407fdc0d,0x5c003ffc,0x01ff3006,0xb8007ff9,0x03ffc806,
    0x3a0035c0,0x807ff603,0x3fff1018,0x05ffd000,0xfb9dff70,0x7e40039f,
    0x035c003f,0xffffd930,0x20003bff,0xff112e4c,0xffd0003f,0x00fffc45,
    0xf117ff40,0xfd0003ff,0x0fff205f,0x3ea0d700,0x881fc007,0x32000fff,
    0xffffffff,0x7fc805ff,0x3e01ff90,0x001f72ff,0xee885fff,0xb5c37ec1,
    0x40bff06b,0x800000ea,0x01ee003c,0x83fdc000,0x6c004ffb,0x01ff3005,
    0xd8009ff7,0x04ffb805,0xf5002ec0,0x001ffd80,0x0017ff20,0x4400dff1,
    0x004ffffd,0x4004ffb8,0x3320005d,0x6400009a,0x3ff212e4,0x37fc4005,
    0x2002ffe4,0xffc86ff8,0x37fc4005,0x8009ff70,0x00ff505d,0x55555fd4,
    0x003ffeaa,0x554cccb6,0x6400feba,0x40ff706f,0x02f9cffb,0x7c46ff98,
    0xb86fd81f,0x13f60d76,0x80000bb0,0x01f4005b,0x06fb8000,0xf800dff3,
    0x01ff3003,0xf800dff3,0x06ff9803,0x7d001fc0,0x001ffd80,0x01fff106,
    0x000ffe40,0x00ffffdc,0x001bfe60,0x3e20007f,0x9900001e,0x7ffc425c,
    0x07ff2000,0x8003ffe2,0xff881ffc,0x3ff2000f,0x01bfe601,0x1fea07f0,
    0xeeeeee80,0x06ffeeee,0x3a200990,0x982fe402,0x7fff406f,0x81ffb003,
    0x0dfb07fc,0x7e41aed7,0x001f4403,0x54005c80,0x9000000f,0x0ffec0bf,
    0x3000fc80,0x3ff601ff,0x001f9001,0x64007ff6,0x00d7000f,0x26003ffb,
    0x004ffa85,0x40009ff1,0x8006fffa,0xf9001ffd,0x3fa60001,0x49900007,
    0x09ff504b,0xa813fe20,0xff1004ff,0x027fd409,0xd804ff88,0x1f9001ff,
    0x4c01fea0,0x2ffe801f,0x88017d40,0x017e401f,0x6ff980fd,0xb05ff300,
    0x0dfb01ff,0x7f41aed7,0x00de8800,0x82017200,0x000003e8,0xfe880bf2,
    0x00fe400e,0x2201ff30,0x7e400efe,0x3bfa2001,0x800fe400,0xffd803f8,
    0x3205d001,0x7f4402ff,0xfc880005,0x3a2000ef,0x0fe400ef,0x03fe2000,
    0x4b932000,0x100bff20,0xff900bfd,0x05fe8805,0x4402ffc8,0xfd1005fe,
    0x01fc801d,0x36401fea,0x405ffa80,0x4b9005fe,0x01b60dd8,0xffe805f3,
    0x827f4403,0x7fe43ffb,0x35dae337,0x320017cc,0x3ae2002e,0xfdffd803,
    0xbb100005,0x7cc036c1,0x36e60aef,0x7fcc003f,0x2bbfe600,0x00ff6e60,
    0x82bbfe60,0x2003fdb9,0x5ffd007d,0x4c01f900,0xffa80cfe,0x64400002,
    0xf3000aef,0x6dcc15df,0xfa80003f,0x49900004,0x67f4c04b,0x002ffa80,
    0x2a033fa6,0x3a6002ff,0x2ffa80cf,0x577fcc00,0x00ff6e60,0x5f100ff5,
    0x00fffc00,0x3015bff9,0x7ffd41db,0xe9801ebb,0x9fd5d703,0x407ff503,
    0xbfdefff8,0x5ae5effc,0x00175c6b,0x219cfd98,0x00ceca98,0x01ffffd0,
    0x3ffea000,0xb3001ebb,0xdfffffff,0xdddd9005,0xfd9801ff,0x2effffff,
    0x3ff66000,0x02efffff,0x3003fee0,0x3333bfff,0x00bfd753,0xfdbdfd91,
    0x000001bf,0x016f6dc4,0x7ffffecc,0x40002eff,0x0000cfda,0x4025c990,
    0xfedefec8,0xc88000df,0xdffedefe,0xfec88000,0x00dffede,0xffffb300,
    0x5005dfff,0x87ddddff,0x7fe4007c,0x7fffec05,0x703fffff,0x88007bfd,
    0xb87ea1db,0xcffedfff,0xeffea800,0x6b8bff31,0x002f62d7,0x3fb2e200,
    0x000acdef,0x0005f754,0x13bfae00,0x55d4c400,0x2aaa000a,0x1000aaaa,
    0x00155753,0x55d4c400,0x3fa6000a,0x75c1dfff,0xffffffff,0x03ffffff,
    0x00554c40,0x18800000,0x2aea6200,0x3100000a,0x00000000,0x002aa620,
    0x0aa98800,0x2a620000,0x2200000a,0x000aaba9,0x2aaaaaa2,0x50017e21,
    0xc9803fff,0x00bceffe,0x29800000,0x00155310,0x00220220,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd800000,
    0x7ffd4005,0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffb8000,0x7f4c05ff,
    0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x93000000,0x10000099,0x40000555,0x10000c01,
    0x03980020,0x0ccb8000,0x40001997,0xccc88001,0xfffa8001,0x00000000,
    0x07ffd400,0xffa80000,0x8800000f,0x80002200,0x00006ffb,0x0000dff9,
    0x33263993,0x0a00c001,0x005b5000,0x00000800,0x65400000,0x7fe4003c,
    0x00004405,0x0005fff1,0x01ddb880,0x002ffc80,0x3fffc800,0x01b30000,
    0x3ea00095,0x5017f61f,0x00000ffb,0x027f49fd,0x50009700,0x3a0009ff,
    0x20005fff,0xceffeec9,0x7f400161,0x000004ff,0x0009fffd,0x1620ba00,
    0xffff8800,0x7fc40003,0x5c0002ff,0x00df90ef,0x00b203b0,0x05dade80,
    0x02ff8800,0x04806e00,0x00ffec00,0x05ffff30,0xf90002d8,0x0bd30dff,
    0x0bf2f880,0x0007ff00,0xffbdf100,0x3f600001,0x40003ee1,0xfff13ffd,
    0x1fff3201,0x1ff10000,0x20003be2,0xf90004e9,0x2bee000b,0x4c001fe9,
    0xa99acefe,0x8007dffc,0x01ffaafb,0x557dc000,0x800001ff,0x00ba63fa,
    0xffb9fc80,0x27f60000,0x20000ffb,0x00bf62fd,0x3737fe60,0x1660006f,
    0xfb80001d,0x3e20005f,0x03db98ac,0x00bfe200,0x0df93db0,0xf88009b0,
    0x7e43fe8d,0x45f6002f,0x27cc003e,0x0ed80000,0x200009f7,0x03fbbff8,
    0xd87fea00,0x07fd805f,0x317cc000,0x7f10005f,0x0077c000,0xdb117c40,
    0x027fdc00,0x8003ff62,0x017a22f8,0x222f8800,0xb000005e,0x000df5bf,
    0x09d30fcc,0xe983a600,0xf17a0004,0x7fec000b,0x20002fff,0x00016c4b,
    0x0000bfe2,0x1ffffff9,0x01fd4000,0x3fa83aa0,0x36006c80,0xff907e44,
    0x017e2005,0x0000b700,0x03e61660,0x7ffdc000,0x10080006,0x001ff200,
    0x05b8b700,0x4000bd00,0x370000f9,0x3f200b20,0x07fa003f,0x05b01c80,
    0x6c072000,0xf9800002,0x20001fff,0x001d881c,0x00d880d8,0x3e20f880,
    0x6e440000,0x1f880002,0x040000f5,0x7f5c4000,0x640001cf,0x880d8004,
    0x01fc400e,0x2e4a824c,0x7f9001ff,0x000d8000,0x1c407000,0x3ddb0000,
    0x00000000,0x80000ff9,0x4000640c,0x2e0002fc,0x10020001,0x003ffa80,
    0x03000fd4,0x03000018,0x70000018,0x080009dd,0x004000c0,0x30e60002,
    0x00000007,0x0bbfaa00,0x00000000,0xb0000098,0x08011000,0x0c01fa80,
    0x00ffa860,0x00005ff0,0x00000000,0x00000000,0x3f200000,0x00000007,
    0x000df500,0x00000000,0x0007ffc4,0x0000016c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00800000,0x00000000,0x00000000,0x37c00000,
    0x0df10000,0x5c03fee0,0xcccccccc,0x99999301,0x3332e199,0x301ccccc,
    0x19999999,0x3333332e,0x999301cc,0x32e19999,0xca84cccc,0x0ff904cc,
    0x6e544000,0x2001bdef,0x950003fd,0x4c17bffd,0x333332e4,0x44ccca84,
    0x30004ffc,0xfeca8005,0xa9260bdf,0x1ccccccc,0x99999993,0x33333209,
    0xfeca801c,0x01260bdf,0x77ff764c,0xdb80161c,0x32e01bee,0x1ccccccc,
    0x99999930,0x776dc019,0x3332e01b,0x301ccccc,0x19999999,0x0df76dc0,
    0x99999970,0x33260399,0xa80ccccc,0x161bdfed,0x1bdfeda8,0x80ff2016,
    0xcccccccb,0x26017e1c,0x7e4c07fe,0x4400cfff,0xc983fffb,0x400cffff,
    0x983fffb8,0x00cffffc,0x21fffdc4,0x00cfffd8,0x3f203df7,0x0137b267,
    0xa9acffa8,0x4c00dfeb,0x754000ff,0xeb99adff,0x3f624ecf,0xdf700cff,
    0x001ffe83,0xffea8000,0xcfeb99ad,0x3ffa624e,0x7fecc1df,0xf5100aff,
    0xfea803df,0xfeb99adf,0x7f4c04ec,0xfca99ace,0xee8807df,0xfffffb32,
    0x7fffe4c9,0x7fdc400c,0x4bba203f,0x4fffffd9,0x33ffff26,0x7ffdc400,
    0x4cbba203,0x24fffffd,0x0cffffc9,0x1fffdc40,0x5d67fec4,0xd886effe,
    0xffebacff,0x0ffa806e,0x3ffff260,0xf701f40b,0x07ddffff,0x20027ff4,
    0x7ff402fc,0x017e4004,0x90013ffa,0x17ff405f,0x7e403f50,0xdfffff37,
    0x077ec401,0x6403df90,0x7fe4007f,0x42ffdc02,0x3ea02ffe,0x007ffc41,
    0x3ff20000,0x42ffdc02,0x3a02fff8,0x1fb006ff,0x402ffc80,0x3ee05ffb,
    0x7fec404f,0x741ff400,0xfe81aaef,0x17e4004f,0x3fa0ffa0,0xffe81aae,
    0x017e4004,0x3bfa0ffa,0x4ffe81aa,0xd817e400,0x0dff504f,0x3fea09fb,
    0x02ff8806,0x5903ffe8,0x6ffccc40,0x3ff60099,0x007dc003,0x7000fff6,
    0x3ffd801f,0x3007dc00,0x036409ff,0x2f3a7ff2,0x3a05fffe,0x5ff7006f,
    0xd801bfe0,0xbf7001ff,0x6409ff30,0x007ffa86,0x0ffec000,0xfb05fb80,
    0x37fd407f,0x7ec04e80,0x0bf7001f,0xe800fff2,0x07fee01f,0xffb01fee,
    0x00fb8007,0x3ee07fee,0x01ffec07,0xfb803ee0,0x407fb81f,0x5c003ffd,
    0x00ffb80f,0x1ff71be6,0xf8037cc0,0x2ffd804f,0x3fe60010,0x05ffb002,
    0xfd807a80,0x03d4002f,0x20017fec,0x0ffd807a,0xffc805f0,0x17ffd40d,
    0xf0017fe4,0x5ff881ff,0x007ff700,0x1ffb06c8,0x3ff20be0,0xdddd3006,
    0xff70bddd,0x506c8007,0xfff80dff,0x700fc401,0x6c8007ff,0x4003ffa8,
    0x1ff601fa,0xfb017fd4,0x07a8005f,0xffa83fec,0x00bff602,0x7fd80f50,
    0x6c05ff50,0x3d4002ff,0x6c804fd8,0x364027ec,0xd805ff80,0x5c0002ff,
    0xffb000ff,0x807a8005,0x54002ffd,0x02ffd807,0x7cc03d40,0xc807a83f,
    0xbff900ff,0x4006ff98,0x7fcc4ffb,0x06ff9804,0xff307980,0x3f60f507,
    0x7fcc007f,0x6ff982ff,0x3e079800,0x3ff200ff,0xf303dc03,0x8f3000df,
    0x8000fff8,0x41ff602d,0x3f603ff9,0x03d4002f,0x7fcc1ff6,0x00bff603,
    0x7fd80f50,0x6407ff30,0x3d4002ff,0x69806fe8,0x34c037f4,0xc807fe80,
    0x6c0002ff,0x3ff6007f,0x403d4002,0x54002ffd,0x02ffd807,0xfd803d40,
    0xfc804e87,0xd1bfe607,0xf88005ff,0x0ffee1ff,0x000fff60,0xd0ffb02c,
    0x03fff609,0x20dff900,0xb0003ffd,0x501ffe40,0x04d80dff,0x4000fff6,
    0x0027fe45,0x3fee0298,0x202ffa80,0x54002ffd,0x407fdc07,0x3f602ffa,
    0x03d4002f,0x3ea03fee,0x0bff202f,0x3f60f500,0x7ec6803f,0xb006803f,
    0xffc801ff,0x401ee882,0x3f6005ff,0x03d4002f,0x20017fec,0x2ffd807a,
    0x9803d400,0x003e63ff,0xfff01ff2,0x000fffc4,0xff927ff4,0x1fff8805,
    0x7cc03000,0x5c03e63f,0x64002fff,0xfff884ff,0x4c030001,0x3fee06ff,
    0x203f101f,0x0001fff8,0x001ffe83,0x07ff3000,0x7ec01ff9,0x03d4002f,
    0x3f20ffe6,0x0bff600f,0xf980f500,0x00ffc83f,0x5000bff2,0x13ffee0f,
    0x4fffb830,0xffc800c0,0x417fe402,0x3e205ffc,0x3ff6003f,0x403d4002,
    0x54002ffd,0x02ffd807,0xfd003d40,0xfc802e4f,0xa87ff407,0xd8000fff,
    0x0fff25ff,0x000fff50,0xb93ff400,0x01fffd40,0x2a13fee0,0x000007ff,
    0x7f407ffe,0x40d704ff,0x00007ffa,0x0001fff1,0x10ffdc00,0xffd805fd,
    0x403d4002,0x3fa21ffb,0x017fec02,0x3ee01ea0,0x00bfa21f,0xa8005ff9,
    0xdfffd107,0x3ffa2005,0x640002ef,0x7fe403ff,0x203ffa82,0x36001ffa,
    0x3d4002ff,0x0017fec0,0x3ff601ea,0x003d4002,0x00be7ff5,0x3f603fe4,
    0x001ffee7,0xff53ffe4,0x07ffc807,0x3fea0000,0x7fc405f3,0x7fdc005f,
    0x007ffc84,0x13ff2000,0x41ffefe2,0x1fff204e,0x3ffd4000,0x7d400000,
    0x801efcdf,0x54002ffd,0x9bff5007,0xffb003df,0x007a8005,0x3df9bff5,
    0x005ff900,0x3fe607a8,0x9800dfff,0x00dfffff,0x805ff900,0x03302ffc,
    0x6c007fc8,0x3d4002ff,0x0017fec0,0x3ff601ea,0x003d4002,0x801efbfa,
    0x2fec07fc,0x2000dffb,0xff30fffb,0x06ffd809,0x77f40000,0xfffb807b,
    0x13fee000,0x0001bff6,0xb86ff980,0xf883ffd6,0x01bff601,0x037fe400,
    0xeeeeee98,0x313b105e,0x2ffd8003,0x4403d400,0x4001989d,0x54002ffd,
    0x989d8807,0x17fe4001,0xd301ea00,0x019fffff,0xfffffe98,0x7fec000c,
    0x017fe401,0x800bfd00,0x54002ffd,0x02ffd807,0x7ec03d40,0x03d4002f,
    0x013ffea0,0x3a00ffc8,0x01bff64f,0xf07ffdc0,0x6ffd80bf,0x7d400000,
    0xff8804ff,0x3fee004f,0x006ffd84,0x0fff4000,0x227fdcfa,0x37fec06b,
    0x7ffd8000,0x7fffcc00,0x00013a02,0xa8005ffb,0x0004e807,0x20017fec,
    0x004e807a,0x0017fe40,0x7fdc01ea,0xb802ffff,0x02ffffff,0x3201ffa0,
    0x405302ff,0x6c003ff8,0x3d4002ff,0x0017fec0,0x3ff601ea,0x003d4002,
    0x90007ff4,0x3fe201ff,0x001fff20,0x3fa3ffdc,0x03ffec05,0x7ff40000,
    0x3fff5000,0x213fee00,0x00007ffd,0xf327fdc0,0x7d1ffe23,0x007ffd80,
    0x01fffb00,0x206ffc80,0x1999aefa,0x00bff600,0xefa80f50,0x2001999a,
    0x54002ffd,0x4d77d407,0x3f200199,0x03d4002f,0xfffffb10,0xfffb1007,
    0x3fe007ff,0x82ffc807,0xff303ffa,0x2ffc8003,0x6403d400,0x3d4002ff,
    0x0017fe40,0x3ee001ea,0x17fe4005,0x7fdc3fc8,0xdff90007,0x7dc06fc8,
    0x000000ff,0x26002fdc,0xfb801ffe,0x0fffb84f,0x3e200000,0xffb1ae7f,
    0xf7007e25,0x700001ff,0xc8005fff,0x3fee04ff,0xefffffff,0x00bff202,
    0xffb80f50,0xefffffff,0x00bff202,0xffb80f50,0xefffffff,0x00bff202,
    0xd3000f50,0x2003ffff,0x01ffffe9,0xfc804ff8,0x04ffb82f,0xf9000df7,
    0x07b8005f,0x4002ffc8,0x2ffc807b,0x4003dc00,0x7e4002f8,0x42fdc0ff,
    0x8000fffa,0x7fdc4ffd,0x0bffea00,0x5f100000,0x33ff6000,0x2ffea80a,
    0x002fffa8,0x8ffec000,0xbaffdc3e,0x2fffa806,0xfffa8000,0x27fdc003,
    0x3fffff20,0x905fffff,0x7b8005ff,0xfffffc80,0x905fffff,0x7b8005ff,
    0xfffffc80,0x905fffff,0x7b8005ff,0x3ffee000,0x7ffdc006,0x00ffc406,
    0x6c417fe4,0x009fb01e,0x8007ff90,0x3ffc806b,0x64035c00,0x35c003ff,
    0x4003dc00,0xfcefbffc,0x3fff103f,0x05ffd000,0x7fc405fd,0x4000003f,
    0x6540007b,0xffecdffe,0xfff100be,0xb8000007,0x440f9cff,0x803e8fff,
    0x0003fff8,0x005fff88,0x36027fdc,0x75553332,0x7ff901fd,0xd806b800,
    0x75553332,0x7ff901fd,0xd806b800,0x75553332,0x7ff901fd,0x0906b800,
    0x243ffee0,0x00fffb80,0x7e4017ee,0x3fd0001f,0x09ff7000,0xfb805d80,
    0x02ec004f,0x20027fdc,0x03e8005d,0x5317fc80,0x0bff9003,0x306ff880,
    0x5ffc809f,0x3a002000,0x66400003,0xf90009aa,0x004000bf,0x82e7ffc4,
    0x000fcffd,0x4000bff9,0x003ffee0,0x3204ffb8,0x705d1004,0x5d8009ff,
    0xe8802640,0x004ffb82,0x013202ec,0x7fdc1744,0xd82e4004,0x23ffd001,
    0x3ffd001d,0xc8017f40,0xf88000ff,0xdff30006,0x9803f800,0x1fc006ff,
    0x0037fcc0,0x1f5000fe,0x00ff9000,0x003ffe20,0x3201ffc8,0x1fffc407,
    0x2a00e400,0x2200000f,0xf88001ef,0x1c8003ff,0x07fffb00,0x801bffea,
    0x8003fff8,0x13ffe21c,0x504ffb80,0x07e2005f,0xf001bfe6,0x8017d407,
    0x6ff981f8,0xf501fc00,0x207e2005,0x74006ff9,0x32009b03,0x2009b0ff,
    0xbf300ffc,0x003fe400,0x20003fa8,0xf9001ffd,0x07ff6001,0xd8007e40,
    0x1f9001ff,0x00fa2080,0x0003fe40,0x22009ff5,0x1f4404ff,0x007fff20,
    0x3a2083b8,0x75400003,0xff90006f,0x01dc003f,0x201fff50,0x4003fff8,
    0x2001fffc,0x1fffa83b,0x209ff700,0x0b9005fe,0xc800ffec,0x017fa00f,
    0x3ffb02e4,0xe803f200,0x40b9005f,0xf9001ffd,0x2003b601,0x003b66fe,
    0x0ed81bfa,0x37e41730,0x007ec100,0x01dfd100,0x22001fc8,0x7e400efe,
    0x3bfa2001,0x200fe400,0x005fdffd,0x0001ff20,0xe8805ff9,0x01f5005f,
    0x801fffb8,0xfdffd85c,0xf1000005,0x3ee0001f,0x05c801ff,0x6c05ff80,
    0xfb8000ff,0x05c801ff,0x2007ffa6,0xff904ffb,0x1db3015b,0x0077f440,
    0xff9007f2,0x1db3015b,0x0077f440,0xff9007f2,0x1db3015b,0x0077f440,
    0xefd80bf2,0xd8bfea00,0x3fea00ef,0x2203f302,0x00bf64ff,0x017c47ec,
    0x577fcc00,0x00ff6e60,0x82bbfe60,0x8003fdb9,0x260aeff9,0xfe803fdb,
    0x20000fff,0x40000ffc,0xfa80cfe9,0x0754002f,0x2f7ffea0,0x207d7311,
    0x000ffffe,0x009f5000,0xbdfffa80,0x007d7311,0xf500bf20,0x7fd4000d,
    0xd7311bdf,0x33ff6007,0x2ffea80a,0x3fffff60,0x3003ffff,0x5cc15dff,
    0xffb003fd,0x7fffffff,0x2bbfe600,0x00ff6e60,0x7fffffec,0xf3003fff,
    0x6dcc15df,0x77fec03f,0x13fae20a,0x4415dffb,0x5f304feb,0xf8fffc40,
    0x3a7fa004,0x36600004,0xefffffff,0x3f660002,0x2effffff,0x3ff66000,
    0x02efffff,0x0017dd50,0x002ffe80,0xdefec880,0x0000dffe,0xec9803b1,
    0x1dffffff,0x002fbaa0,0x33f6a000,0xec980000,0x1dffffff,0x401e6000,
    0x64c0003f,0xdffffffe,0x7f654001,0xbeffecdf,0xffec9800,0x4c000bce,
    0xfffffffd,0x764c002e,0x000bceff,0x7ffffecc,0x4c002eff,0x0bceffec,
    0x7ffecc00,0x802effff,0xefffdbad,0xbad81eff,0xeffefffd,0x7001b501,
    0x8009bfff,0x00000cd9,0x15575310,0x54c40000,0x00000aab,0x02aaea62,
    0x6c000000,0x02efffff,0x15531000,0x001c0000,0x00026aa6,0x0c400000,
    0x2a600000,0x5000009a,0x00002600,0x00135530,0x26aaa600,0x00000000,
    0x15575310,0x00000000,0x0aaba988,0x00000000,0x0555d4c4,0x55530300,
    0x554c0c03,0x000e201a,0x00000351,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff980000,0x006e201f,0x00012600,0x88022000,0x99997000,
    0x99999999,0x00079999,0x4001665c,0x40022008,0x00022008,0x00c03006,
    0x3ffa0006,0x5c400003,0x000cc0be,0x00018030,0x00003006,0x2601ccc8,
    0xcccccccc,0x40001aaa,0x00022008,0x00059970,0x00601300,0x006aa600,
    0x80000000,0x00003009,0x04806e00,0x0bfffd00,0x0005ffb3,0x2a03ff54,
    0x161bdfed,0xb303d100,0x77fff400,0xeeefffee,0x0006fffe,0x4000dff1,
    0x4005881e,0x0005882e,0x401b107b,0x8005904b,0x000ffffb,0xfffff100,
    0x30000647,0x0009501b,0x01dc06cc,0x09ff3000,0xdffff710,0x05dffdbd,
    0x2607a200,0xeff80005,0x3a600000,0x01220dff,0x1ffff100,0x13f20000,
    0xbffd5000,0x02c02441,0x59f10091,0x0007b731,0x45fd37f5,0x002ffeca,
    0x20fff990,0xebacffd8,0xb8006eff,0x8007e62f,0x3ffc81ee,0x50006f98,
    0x540001ff,0x000be63f,0x0174c7f5,0x3a24f880,0x360ee803,0x46fc4005,
    0x700004fd,0xbffff937,0x3fb0000d,0x200007dc,0x001ae1ed,0x800bf900,
    0xfe984ffb,0x7f70004f,0x20000fcc,0x00000ffa,0x6ffff6f4,0x640002c9,
    0x0004ffcf,0x000fff88,0x3fffb3a0,0xea802c9d,0x01eb989b,0xffffff90,
    0x445d0001,0x02ffb86d,0xd83fec00,0x0dff504f,0x3eb3fa00,0xc80f4004,
    0x00f303ff,0x00007f60,0x017eb7fa,0x37d6fec0,0x27bf2000,0x5ff5006e,
    0x5c8003fb,0x400007e4,0x07ffecc4,0x5ffc4000,0x880002fc,0x002fcbff,
    0x00077400,0x7c413fea,0xfd0003ff,0x00009f59,0x800003f9,0x3fffee39,
    0x3e20000e,0x0001fd13,0x4000dfd0,0x3fffee39,0x3fffe006,0x2e2005ff,
    0x8001cffe,0xfa87702b,0x7e40002f,0x200ffb87,0xf50006f9,0x68001fff,
    0x580fff20,0x0005f000,0x07fffe60,0x7fffcc00,0x7fc40001,0x3f6002ff,
    0x24c004ff,0x080005a8,0x80000310,0x0006fffc,0x01bfff20,0x001f3000,
    0x6409ff50,0xf50006ff,0x00001fff,0x3000005f,0x00cdb881,0x2e416c00,
    0x00018000,0x2f6e204c,0x3ff22000,0x130000be,0x02004000,0x80005ff5,
    0x04fd87fc,0x320006c8,0x028003ee,0x0280fff2,0x00003980,0x0001f764,
    0x00013bae,0x2002f754,0x4000dee9,0x00000401,0x22000000,0x00001eed,
    0x0007bb62,0x20003700,0x3ea04ffa,0xd90000ff,0x7300007d,0x00000000,
    0xb80a2000,0x00000000,0x0c000000,0x00000000,0x017fd400,0x3a1ff200,
    0x0069806f,0x90000000,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x3332e000,0x301ccccc,0x19999999,0x00000000,0x00000000,0x409ff500,
    0x0001fff9,0x00000000,0x59999930,0x33332600,0x000004cc,0x3ffb2a00,
    0x201260bd,0xbdefdca8,0x20000001,0xbdefdca8,0x1f260001,0x0002ffa8,
    0x7fec3fe4,0x664c6803,0x93002ccc,0x00999999,0x9801ffe4,0x002ccccc,
    0x99999993,0x2f7fb6a0,0x3332e161,0xcccccccc,0x883ccccc,0xcccccccc,
    0x2ccccccc,0x99999991,0x66665499,0x9301cccc,0x98999999,0x00cffffc,
    0x01fffdc4,0x30001d00,0x99999999,0x10003555,0x99999999,0x59999999,
    0x5c09ff50,0x99300fff,0x99999999,0x81999999,0xccccccc9,0x4001aaac,
    0x01fffeb9,0x85dff710,0xccccccc9,0xcccccccc,0xffea800c,0xcfeb99ad,
    0x67fd404e,0x0dfeba9a,0x33333220,0x7d404ccc,0xfeba9acf,0x3faa000d,
    0x0bfea07f,0x05999995,0x3fee1ff2,0x5cc0c04f,0x1001fffe,0x8005dff7,
    0x26003ffc,0x001fffeb,0x105dff71,0xfd759ffb,0xfffd0ddf,0xddfffddd,
    0x30dfffdd,0xdddddfff,0x1dfffddd,0x2efffe98,0x7ffffd44,0x7ff4c01d,
    0x9ffd00af,0x002fc800,0x4000fe60,0xeeffffb8,0x002effed,0x3bbbffe6,
    0xfffeeeee,0x04ffa80e,0x51013ffa,0x9999fffd,0x03ffdb99,0xddffff71,
    0x005dffdb,0x00fffe88,0x54407f20,0xccccfffe,0x01ffedcc,0x2e017fe4,
    0xdfb105ff,0x00f7e401,0x0bbfffa6,0x200efd88,0x53001efc,0x7fd40fff,
    0x01bffd82,0x3fa21ff2,0x88002eff,0x2000fffe,0xfc8001fc,0xfe88003f,
    0x3f2000ff,0x2a09fb01,0x81ee86ff,0x6f983ffc,0xf9803fa8,0xfff301ff,
    0x7fff4401,0x01df5000,0x4003ffd8,0x360000fb,0x7dc0007f,0x4ffe984f,
    0x3007f500,0x3ea03fff,0xeffd884f,0x0bff5000,0x7dc05f50,0x4ffe984f,
    0x37ffcc00,0xa801f700,0x2fa805ff,0x4007ff60,0x0dfd05fb,0x300bfee0,
    0xfe801fff,0x05ff7006,0xf503fe40,0x00de885f,0xff307fc8,0x8001bfff,
    0x2006fff9,0xfc8000fb,0xff30003f,0x07dc00df,0xf3007fdc,0x3f203d0d,
    0x970f303f,0x09ffd100,0x4c03ffc4,0xfb003fff,0x05ffb003,0x20007a80,
    0x0002fff8,0x7c413fea,0x04b803ff,0x204ffe88,0xf7334ffa,0xf98009ff,
    0x4059005f,0xff104ffa,0x7fc4007f,0x0f5004ff,0x200bff30,0x07ff702c,
    0xffc86c80,0x03ffe002,0x6407ff88,0x3fe002ff,0x0ff9000f,0xbd117fd4,
    0x303fe400,0x19fffffd,0x3fffe200,0x000f5004,0x4000fff2,0x004ffff8,
    0x013f60f5,0xfc81a1b2,0x0ae1603f,0x101bff60,0x3f200fff,0x1fc400ff,
    0x002ffd80,0xf70003d4,0x54000bff,0x3ff204ff,0xd802b806,0x7fd406ff,
    0x03ffffff,0x00bff300,0x4ffa80ea,0x801bff20,0x03fffcf8,0xff9807a8,
    0xf3075005,0x8f3000df,0x5c006ff9,0x3fe204ff,0x01bfe607,0x2009ff70,
    0x3fea07fc,0xc8009d12,0xfffb807f,0xf8802fff,0xa803fffc,0x7ff90007,
    0x3f3e2000,0x07a803ff,0x0d300dfd,0x01ffe405,0xff500705,0x7ff8803f,
    0x013ffa00,0x7fec00db,0x003d4002,0x03fff9f0,0x813fea00,0x1c00fffa,
    0x00fffd40,0xffc93fea,0xbff30005,0xff500400,0x07ffd409,0xffc9f880,
    0x403d401f,0x02005ff9,0x4000fff6,0x0017ff45,0x4407ffe2,0x3ffa07ff,
    0x7ffc4002,0x207fc801,0x04f9affa,0x1007fc80,0x07fffffb,0xfffc9f88,
    0x8003d401,0x10003ffc,0x03fff93f,0x7ffb07a8,0xfc800d00,0x4400003f,
    0xf8803fff,0x3fe6007f,0x003f501f,0x20017fec,0x1f50007a,0x20009ff9,
    0x3e604ffa,0x440001ff,0xfa803fff,0x01fff44f,0x002ffcc0,0x204ffa80,
    0x1001fff9,0x03fff63f,0xff9807a8,0x3fe20005,0x4430001f,0xe8001fff,
    0xfff104ff,0x007ffe20,0x2013ffa0,0x3fea07fc,0xc8001ffc,0x7f4c007f,
    0x3e201fff,0x401fffb1,0xff90007a,0x47e20007,0x2a00fffd,0x09fff707,
    0x7fe40018,0x7ec00003,0xfff1005f,0x86ffc800,0x7ec003e8,0x03d4002f,
    0xfff14e80,0x9ff50001,0x007ffdc0,0x017ff600,0x3e627fd4,0x7cc001ff,
    0x401cc05f,0x3ee04ffa,0x3f1000ff,0xa81bffa2,0x05ff9807,0x7ffa81cc,
    0xfff50000,0xbffb0001,0x541ffe20,0xd8000fff,0x7fc805ff,0x3ff3fea0,
    0x3fe4000e,0x6fffb800,0x7f447e20,0x001ea06f,0x8001ffe4,0xdffd11f8,
    0xfe883d40,0x00002eff,0x00007ff9,0x8007ffdc,0x44007ff8,0x03644ffe,
    0x0017fec0,0x3e6001ea,0x000fff61,0xfe813fea,0x7dc0004f,0xff5000ff,
    0x00dff709,0x6405ff98,0x04ffa803,0x88013ffa,0x17ffe21f,0x7fcc03d4,
    0xfc81e405,0xf700007f,0x3f2000ff,0x0fff107f,0x4001ffee,0xfc807ffc,
    0x2ebfea07,0x7e4005ff,0xff700487,0x887e201f,0x0f505fff,0x00fff200,
    0xff10fc40,0x981ea0bf,0x00dfffff,0x01ffe400,0x2fff9800,0x01ffe200,
    0x4c7ffea0,0xffd8001f,0x003d4002,0x1bfea364,0x213fea00,0x000effd8,
    0x00bffe60,0xfb04ffa8,0x7fcc009f,0x007f3105,0xfb109ff5,0x7c4001df,
    0x41fffd41,0x5ff9807a,0x3607f310,0xb00006ff,0x2e000dff,0xff880fff,
    0x00dffb07,0x003ffee0,0x7fd40ff9,0x4009ff92,0x001d87fc,0x3e203ffd,
    0x41fffd41,0xff90007a,0x07e20007,0xf507fff5,0xffffe980,0xf90000cf,
    0x3a00007f,0x7c4005ff,0xff90007f,0x6c0013ad,0x3d4002ff,0x3a0be200,
    0x7d4001ff,0xfff7334f,0xffd00009,0x4ffa800b,0x005fff10,0x3bbbffe6,
    0x803fffee,0xf7334ffa,0xf10009ff,0x85fff703,0xfff9807a,0xfffeeeee,
    0x00dffb03,0x01bff600,0x407ffdc0,0xffb07ff8,0x3fee000d,0x03fe400f,
    0x7ff45ff5,0xb0ff9002,0x03ff2009,0x7fdc0fc4,0x8003d42f,0x10003ffc,
    0x5fff703f,0xff7007a8,0x0005ffff,0x00007ff9,0x8001dff9,0x10007ff8,
    0x001fdfff,0x000bff60,0x07b800f5,0xa800bff7,0xffffffff,0xff900003,
    0xffa8001d,0x03ffea05,0x2abbfe60,0x03fdbaaa,0xffffffa8,0x220003ff,
    0x3fffb01f,0x7fcc03d4,0xdbaaaaae,0x0fffb03f,0x1fff2000,0x83ffdc00,
    0xff907ff8,0x3fee000f,0x207fc807,0x3fe22ffa,0x87fc801f,0x6fe800ed,
    0x7ec07e20,0x001ea1ff,0x8001ffec,0xfffb01f8,0xb1003d43,0x007fffff,
    0x0003ffc8,0x000fffcc,0x0003ffc4,0x0005fff5,0x20017fe4,0x81fc007a,
    0x2000fff8,0x3ff24ffa,0xff980005,0xffb8001f,0x077fe405,0x9017fe60,
    0x49ff5007,0x20005ffc,0x3ffa01f8,0xf300f50e,0x703c80bf,0x00001fff,
    0x2000fff7,0xff106ffc,0x01ffee0f,0x4037fe40,0x3fea07fc,0x0077fd42,
    0xdfb03ff6,0x017fd401,0x7ff403f1,0x1000f50e,0x0001dfff,0x7ff403f1,
    0x3000f50e,0x003ffffd,0x0001ffe4,0x0009ffd1,0x0001ffe2,0x40001ffd,
    0x5c002ffc,0x2afea007,0xffeaaaaa,0x13fea003,0x40007ffd,0x8004ffe8,
    0x400fffd8,0x300aeffe,0x03a80bff,0x7f44ffa8,0x3f10003f,0xaafffc40,
    0x05ff9807,0xfffa81d4,0xffa80002,0xffd8000f,0x20fff104,0x8000fffa,
    0xfc804ffd,0x213ff207,0x3a00effd,0x77fec1ff,0x13fae20a,0x7c403f10,
    0x400f55ff,0xffffffda,0x07e2001d,0xf55fff88,0x7ffdc000,0x0fff2006,
    0x06ffc800,0x01ffe200,0x001ffd00,0x001ffe40,0xeee801ae,0xfeeeeeee,
    0x3fea006f,0x00fffcc4,0x006ffc80,0x7ffffecc,0xfff103df,0xbff30bff,
    0xfa801880,0x0fffcc4f,0x200fc400,0x07acfff9,0x4405ff98,0x07fff101,
    0x3fff1000,0x05ffd000,0x7c41ffe2,0xfe8001ff,0x87fc802f,0x2dffffdb,
    0x39fffff5,0x6fffff5c,0xfffb75b1,0x1003dffd,0xfff9803f,0x000007ac,
    0x3007e200,0x20f59fff,0x1fff7004,0x00fff200,0x00fffd40,0x00fff100,
    0x000ffe80,0x0013fee0,0x07e600bb,0x400bffa0,0xffb84ffa,0xfffa8006,
    0x00000001,0x00bff300,0x213fea00,0x88006ffb,0xfffa801f,0x5ff9807d,
    0x2ffe4000,0x7fe41000,0x37fc4005,0x640fff10,0x7c4005ff,0x0df9006f,
    0x30000000,0x00357d30,0x7d400fc4,0x10007dff,0x7c400037,0xdfffa801,
    0x3a003b07,0xff9001ff,0xfff10007,0x7c41c007,0x7f40007f,0x3e60000f,
    0x01fc006f,0xff5006c8,0x13fea00b,0x10027fec,0x1c007fff,0x005df500,
    0x0017fe60,0x413fea03,0x44004ffd,0xfff9001f,0x0bff300f,0x7ffc4180,
    0x221c8003,0x32000fff,0x3fe201ff,0x03ffe207,0x001ffc80,0x7d400bf9,
    0x67f4003e,0x00df9800,0xc800fc40,0xb0007fff,0x220005ff,0xfff9001f,
    0x6401360f,0xff9000ff,0xbffb0007,0x7c42c400,0x7f40007f,0x7ec0000f,
    0x01f9001f,0x7c005f10,0xffa801ff,0x05fff104,0x8017ff60,0x3f660058,
    0xff98000f,0x54162005,0xfff104ff,0x00fcc005,0x300fffb0,0x2c400bff,
    0x000fffe4,0x09ff5077,0x1013fe20,0xffa80fff,0x09ff1004,0x30017e40,
    0x64003ffb,0xffb804ff,0x00fcc005,0x000fffb0,0x40017ff6,0x3f6001f9,
    0x001db07f,0x7e400dfd,0x7fdc003f,0x212e000f,0x40007ff8,0x40000fff,
    0x6400efe8,0x00f9001f,0xa805ffc8,0x3fea05ff,0x7ffdc00f,0x0012e000,
    0x26000bfa,0x0f6006ff,0xf502ffd4,0x3ea001ff,0x1ffa2001,0x801bfe60,
    0x3fff703d,0x7e40b900,0x2ff4402f,0x403ffc40,0x74402ffc,0x419b105f,
    0x7fb0006e,0x006fa800,0xfa800df5,0x1ffa2001,0x00599800,0x44003f50,
    0x1dfb07fe,0x0017fd40,0x44007ffb,0x2a002fff,0x07ff982f,0x07ffe200,
    0x3bfe6000,0x0ff6e60a,0x2002fc40,0x5c01fffa,0x7fe405ff,0x5fff100e,
    0x0017d400,0x54001be2,0x1f9006ff,0x9017fee0,0xf9001dff,0x07f98009,
    0x9006ffa8,0x7ffd401f,0x7d7311bd,0x019fd300,0x26005ff5,0xfd3007ff,
    0x05ff5019,0x765fffd4,0x00ff0001,0x32005f90,0x27e4002f,0x001fe600,
    0x32000790,0x3fcc004f,0x20aeffd8,0x2004feb8,0x000efff8,0x5555dffd,
    0xfd955555,0x5fff903f,0x3ffea000,0xfb300004,0x5dffffff,0x002fec00,
    0x403bffea,0x400fffd8,0x740aeffe,0xaaaaaeff,0xffecaaaa,0x3bf93001,
    0x3fff2000,0xa999999a,0xffb105fe,0xeffe801f,0x7ffe440a,0xf5000cff,
    0x35fff900,0xfd533333,0xffd9300b,0x003bffff,0x76f7f644,0x32000dff,
    0x91002fff,0xbffdbdfd,0x9bfd7001,0xdfc98001,0x0fbae001,0x400fbb20,
    0xcfffffc8,0x000f5000,0x9100132a,0x019fffff,0x5d6c1ea0,0xeffefffd,
    0xfffb5001,0x5c03bfff,0xffffffff,0xffffffff,0x3ffff227,0xd9004dff,
    0x19ffffff,0x75310000,0x7dc00155,0x4c05ffff,0x6ffffffe,0x3fffff66,
    0xfff103df,0x3ffeebff,0xffffffff,0x007fffff,0xec98000c,0xffffffff,
    0x43ffffff,0xffffffd9,0xffff103d,0x200000bf,0xfffd9301,0xffffffff,
    0x30007fff,0x80001355,0x2000aa98,0xffffffc8,0x2a62004d,0x0000000a,
    0x02200030,0x00000880,0x40006000,0x00000001,0x55303018,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0007376e,0x00054015,
    0x20000000,0x00003cca,0x004cc980,0x00aaa800,0x666664c0,0x99993002,
    0x00000999,0x0f32a000,0x02664c00,0x0002664c,0x001ccc80,0x000006e2,
    0x0e65c000,0x1fff4000,0x99999300,0x00039999,0x800c0130,0xccccccc9,
    0x6666642c,0x554403cc,0x99700002,0x66540005,0x80788003,0x0002e02a,
    0x20000740,0x009f10dd,0xb7305744,0x3fa60000,0x74400001,0x8000007f,
    0x00002ffc,0x0027ffd4,0x0ffff5cc,0x2effb880,0x6c1df500,0xfe80003f,
    0xffb0001f,0x07ff6003,0x9ff50000,0x00ffd800,0xfe8bf700,0x17fe6002,
    0xffff7000,0x7f5c4001,0x0001adff,0x0b303d10,0x7fffd440,0xfffa880c,
    0x7fe400ae,0x7c40002f,0x3a0000ef,0x4b8000ff,0x51159d00,0x260000b9,
    0x3ee0003f,0x90007ec0,0x03fffdff,0x13ff2000,0x3fe20000,0x7c000001,
    0xe800003f,0x0001ffcf,0x001fffd1,0xfb000fe4,0x01ffe27f,0x005ff100,
    0x20017fc0,0x400004fe,0xfd8005fc,0xfff0000f,0x001bfea3,0x44000ff5,
    0x004fd8df,0x0007ffb8,0x7d45f700,0x6ffc8000,0x801ffcc0,0x00ffdef8,
    0x003fea00,0x001ff980,0x3ee003d0,0x001fffff,0x000ffb00,0x017f436c,
    0x7dfff910,0x7fcc0000,0xf3000002,0x4c000009,0xb800004f,0x000df51f,
    0x0037ffcc,0x7dc001f7,0x0017fa0f,0x40007f50,0xe88004f9,0x77c00006,
    0x01b88000,0xf89ff600,0x2fb8004f,0xfc8b9000,0x37fcc000,0x9fd00000,
    0x2e0009f5,0x17ec05ff,0x3ee1db00,0x07f20004,0x005f7000,0xb5001e60,
    0x00005bff,0x000bffe2,0x0075c3fc,0x00015c40,0x00000880,0x000035c0,
    0x00000b70,0x02e881d1,0x9ffff100,0x2001ea00,0x80001808,0x2e40004d,
    0x003f1000,0x0003e600,0x10300000,0x026c0003,0x05a824c0,0x0037fcc0,
    0xffff5000,0x3fea0001,0x8007f604,0x000fa859,0xd00005f0,0x02640007,
    0x00000880,0x002fffdc,0x00003fd8,0x00000000,0x01c80000,0x001b0000,
    0x1c015000,0xffcf8800,0x007a803f,0x2c000000,0x0002c000,0xb80001cc,
    0x00000001,0x16000000,0x00100600,0x0005ff98,0x01776c00,0x209ff500,
    0x01c001fc,0x07300071,0x00091000,0x000001f8,0x3ff3e000,0xffb8001f,
    0x3b260004,0x161ceffe,0x3fbb2600,0x00161cef,0x00000000,0x00000000,
    0x3f27e200,0x03d401ff,0x3bf72a20,0x000001bd,0x00093000,0x00000000,
    0x6665c000,0x301ccccc,0x19999999,0x00000000,0x00bff300,0x00000000,
    0x3f213fea,0x00000001,0x00000000,0x81fffdb8,0xccccccc9,0xcccccccc,
    0x47d4000c,0xb0004ffc,0xe98009ff,0xca99acef,0x26007dff,0xa99acefe,
    0x0007dffc,0x000000e8,0x00000074,0x2200003a,0x01fffb1f,0xff5003d4,
    0xbfd75359,0x66664c01,0x001ccccc,0xc987fea8,0xcccccccc,0x0ccccccc,
    0x6666664c,0xcccccccc,0x980000cc,0x00cffffc,0x21fffdc4,0xccccccc8,
    0x3333264c,0x64c3cccc,0x3ccccccc,0x0005ff98,0x33333326,0x01aaabcc,
    0xd89ff500,0xcc88002f,0x24cccccc,0xccccccca,0x9999301c,0x66644999,
    0x984ccccc,0x4ffd8bfe,0xcfffea88,0xfedccccc,0x8a74001f,0x98000fff,
    0xb800dfff,0x7ec404ff,0x4ffb800f,0x007fec40,0x0007f300,0x001fcc00,
    0x007f3000,0x3a23f100,0x01ea06ff,0xc803bf62,0x3ae201ef,0x001adfff,
    0x107ffcc8,0x999fffd5,0x3ffdb999,0x9fffd510,0xfdb99999,0x03e4c03f,
    0x4004ffe8,0x3fa602fc,0xfa882eff,0x5100cfff,0x2039ffff,0x40005ff9,
    0xefffffb8,0x3dffffdd,0xd93fea00,0x74c0002f,0x5442efff,0x01dfffff,
    0x057fff4c,0x177fff4c,0x3f3e2fc4,0x0bff502f,0x4c005f50,0x00fff61f,
    0xdffd5b10,0x01ffe401,0xfc803fd0,0x07fa003f,0x007fd800,0x01ff6000,
    0x07fd8000,0x221f8800,0x0f505fff,0x2e00dfd0,0x7fdc02ff,0xffb00007,
    0x805ffa80,0x3fea02fa,0xa82fa805,0xfb007ffe,0x0fb8007f,0x007ffcc0,
    0x5c01bfee,0x7fcc06ff,0xff700005,0x3ffea20b,0xcffa801e,0x00002fd8,
    0x4401fff3,0x5000fffe,0xff9801df,0x543fb00f,0xf305ff9d,0x00b200bf,
    0x37fd46c8,0x3621b100,0xffa80eff,0x00fd4003,0xa8007ff5,0xff10001f,
    0x1000005f,0x00005fff,0x005fff10,0x7d41f880,0x407a83ff,0x3e002ffc,
    0x3fe600ff,0xff900006,0x005ff980,0x2ffcc059,0xf9982c80,0x5ffb007f,
    0x8807a800,0xffb807ff,0x0bff5005,0x0005ff98,0x880bff50,0x5401fffd,
    0x01ffedff,0x0fff1000,0x007fff30,0x3e2007f6,0xd8df507f,0x3e605b72,
    0x0075005f,0x3ffa0be2,0xf907b001,0x0fff88bf,0xf102d800,0x5b0001ff,
    0x3ffee000,0xfb800005,0x800005ff,0x0005fffb,0x7fdc0fc4,0xf303d42f,
    0xffb800df,0x01bfe604,0x203fe400,0x75005ff9,0x802ffcc0,0x01ff603a,
    0x20017fec,0x7ff8807a,0x005ffa80,0xf980bff5,0xf500005f,0x3ff600bf,
    0x37fea00f,0x0001fffe,0x9007ff88,0xf8801fff,0x0fff1003,0x007897ee,
    0x08017fe6,0x3ee0f700,0x00f8805f,0x7fe43ff7,0x20530004,0x30004ffc,
    0x3f3e0005,0x400001ff,0x001fffcf,0x7ffe7c00,0x07e20001,0xf50fffec,
    0x0017ff40,0x4c07ffe2,0x900005ff,0x5ff980ff,0xff980200,0xfc802005,
    0x05ffb007,0xf8807a80,0x4ffa807f,0x80bff500,0x00005ff9,0x2200bff5,
    0x3ea06fff,0x1fffe8cf,0x3ffc4000,0x809ffd00,0x3fe2006d,0x25c9fb07,
    0x00bff300,0x2207f000,0x7d400fff,0xfe8ff602,0xe800001f,0x000001ff,
    0x7fe47d40,0x3ea00004,0x0004ffc8,0x3ff23ea0,0x07e20004,0xf50effe8,
    0x007ffe20,0x4c13ffa0,0x900005ff,0x5ff980ff,0xbff30000,0x1ff20000,
    0x0017fec0,0x3fe201ea,0x04ffa807,0x980bff50,0x500005ff,0x7dc00bff,
    0x9ff501ff,0x007fffa2,0x007ff880,0x5407ffe6,0x3fe2001f,0x0f4bfd07,
    0x80bff300,0x2fea0039,0xfeaaaaaa,0x027d403f,0x3ffe2bf3,0x7c400000,
    0x000000ff,0xfff8a740,0x29d00000,0x0000fff8,0x3ffe29d0,0x03f10000,
    0x7aafffc4,0x001fff50,0x260bffb0,0x900005ff,0x5ff980ff,0x7cc01cc0,
    0x401cc05f,0xffb007fc,0x807a8005,0xfa807ff8,0xbff5004f,0x005ff980,
    0x00bff500,0xf504fff8,0x7fff449f,0xfff10001,0x86ffc800,0x7c4003e8,
    0x26dfd07f,0x2ffcc007,0xee800f20,0xeeeeeeee,0x7fc406ff,0x7fd4fe02,
    0xfa800007,0x0000007f,0x7ffb0fcc,0x43f30000,0x80003ffd,0x0fff61f9,
    0x200fc400,0x07acfff9,0x2000fff7,0xff307ffc,0x3f20000b,0x02ffcc07,
    0x3fe600f2,0x6401e405,0x5ffb007f,0x8807a800,0xffa807ff,0x0bff5004,
    0x0005ff98,0x800bff50,0xff506ffe,0x1fffe889,0x07ff8800,0x227ff440,
    0xff88006c,0x993ff907,0x3fe60260,0x007f3105,0x3fa007e6,0x17fec02f,
    0x0dff90f8,0x3bbbba60,0x1bff25ee,0x777774c0,0x8d9005ee,0x80006ffa,
    0x037fd46c,0x3ea36400,0x3f10006f,0xfbfff500,0x001bff60,0x4c07ffdc,
    0x900005ff,0x5ff980ff,0x3007f310,0x3e620bff,0x007fc803,0xa8005ffb,
    0x07ff8807,0x5004ffa8,0xff980bff,0xfa824005,0x7fe4005f,0x109ff507,
    0x8003fffd,0xa8007ff8,0x03f31fff,0x20fff100,0xb01ecffa,0x3bbffe60,
    0x03fffeee,0x3ea00d90,0x7ffc405f,0xfffb2543,0xffff9800,0x003ffec2,
    0x00bfffe6,0x7ff417c4,0x0be20001,0x80007ffa,0x1ffe82f8,0x001f8800,
    0x360ffff9,0xf70006ff,0xbff301ff,0x1ff20000,0xdddfff30,0x007fffdd,
    0xddddfff3,0x9007fffd,0x3ff600ff,0x403d4002,0xfa807ff8,0xccccccef,
    0x05ffdccc,0x1002ffcc,0x017fea0b,0x501fff70,0x3fa209ff,0x3e2001ff,
    0xff90007f,0x440013ad,0xfff307ff,0x7cc0ee0d,0xbaaaaaef,0x2f8803fd,
    0x007ffe00,0x12abfff3,0x8001fffb,0xffd86ffc,0x7fe4000f,0x5c1ee006,
    0x2e0005ff,0x00bff707,0xffb83dc0,0x01f98005,0x641fff60,0xf70007ff,
    0x17fe60ff,0x03fe4000,0x2aabbfe6,0x803fdbaa,0xaaaaeff9,0xc803fdba,
    0x5ffb007f,0x8807a800,0xffa807ff,0xccccccce,0x405ffdcc,0x36006ff9,
    0x00bff502,0xa80fffa8,0x3fa205ff,0xff1002ff,0x3fe2000f,0x10000fef,
    0x7fe40fff,0x0eda89cf,0xc80bff30,0x4007c803,0xe8805ffc,0xffb84eff,
    0x7fe4002f,0x02fffb84,0x0027fe40,0x3ffe207f,0x207f0000,0x0000fff8,
    0x3ffe207f,0x00fd4000,0x2e0ffd10,0xf90007ff,0x17fe60df,0x03fe4000,
    0x79017fe6,0x80bff300,0x07fc803c,0x8005ff90,0x7ff8807a,0x004ffa80,
    0xfb80bff5,0x0fd8807f,0x800bff50,0xff707ffc,0xffff880b,0x07ff8804,
    0x0bffea00,0x07ff8800,0x7ffffff4,0x17fe601f,0x5f880750,0x0fffd400,
    0x42ffec40,0x4003fffa,0xffa84ffb,0x7fdc003f,0x557f5004,0x7ffd5555,
    0x557f5000,0x7ffd5555,0x557f5000,0x7ffd5555,0x004fc800,0xffa83fcc,
    0xffd8000f,0x00bff304,0x301ff200,0x03a80bff,0x5405ff98,0x00ffd803,
    0x4002ffc8,0x7ff8807b,0x004ffa80,0x6c40bff5,0xaaaadfff,0x206ffcaa,
    0x6c005ffa,0xffd886ff,0x7fff400f,0x3fe201df,0x7ff40007,0x3fe20000,
    0x7fffd407,0x7fcc01ef,0x3600c405,0x7fd4005f,0xffb000ef,0x05fff887,
    0x4427fdc0,0x5c005fff,0xddd004ff,0xfddddddd,0xddd000df,0xfddddddd,
    0xddd000df,0xfddddddd,0xff9100df,0x20019fff,0x3fff107a,0x05ffd000,
    0x00017fe6,0x3e603fe4,0x400c405f,0x0c405ff9,0x400fff40,0x5c003ffc,
    0x07ff8806,0x5004ffa8,0xff930bff,0xffffffff,0x407fffff,0x74005ffa,
    0x3ff665ff,0x4c2dffff,0xfffffffe,0x07ff883f,0x007ff400,0x80fff100,
    0x2001532d,0x20005ff9,0x05fffffb,0x7fffff4c,0x0ffb006f,0x4001fff7,
    0xff704ffb,0x7fdc001f,0x801f9804,0x26002ffe,0x2ffe801f,0x2007e600,
    0x00002ffe,0xffc80600,0x37fc4005,0x000bff30,0xf301ff20,0x260000bf,
    0x5c0005ff,0x00dffffe,0xb0013fee,0x0fff100b,0x2009ff50,0x00005ffa,
    0x05ffa800,0x00bffe20,0xf8800000,0x7f40007f,0x3e20000f,0x001e207f,
    0x4005ff98,0x07400001,0x07f41540,0x8013ffe2,0xff104ffb,0x7fdc009f,
    0x5006c804,0x36400bff,0x005ffa80,0x7fd401b2,0xbfb00005,0xfff10003,
    0x0ffe4001,0x800bff30,0x980ff904,0x80c005ff,0x0c005ff9,0x3e600698,
    0x01fc006f,0x5403ffc4,0xff5004ff,0x5bf7000b,0x0bff5000,0x002ffec0,
    0x0001dfd8,0x0001ffe2,0x40001ffd,0x12e07ff8,0x05ff9800,0x80001620,
    0x7fc400fb,0x7d407e40,0xff7001ff,0x0fffd409,0x404ffb80,0x3fe002f8,
    0x02f8801f,0x2007ffe0,0x3fe002f8,0xea80001f,0xff50006f,0x13fe2009,
    0x400bff30,0x80ff9058,0x22005ff9,0x00bff305,0x006d82c4,0xc800ffec,
    0x7ff8800f,0x004ffa80,0x3000bff5,0xa8001ffb,0xff5005ff,0x3aa0003f,
    0x3e20006f,0x7f40007f,0x3e20000f,0x0007a07f,0x2006ff98,0x3200003d,
    0xc87e802f,0x07ffa606,0x3013fee0,0xf7003ffd,0x007c809f,0x6402ffe4,
    0x2ffe4007,0x32003e40,0x100005ff,0x320001ff,0x7f4402ff,0x06ff9805,
    0x3fe40b60,0x801bfe60,0x0dff303d,0x0fe81ec0,0x03bfa200,0x22003f90,
    0xffa807ff,0x0bff5005,0x000ffc00,0x26017fea,0x40003ffe,0x10000ff8,
    0xf8000fff,0x220000ff,0x00d107ff,0x006ffa80,0x400001f9,0x3dc02efa,
    0x3f6007e2,0xfea80acf,0x9ffb002f,0x5ffd5015,0x2002fc40,0x2201fffa,
    0x7fd4005f,0x017e201f,0x003fff50,0x0009f500,0xa80cfe98,0xff7002ff,
    0x01fb100f,0xfa803ff6,0x01f9006f,0x6401bfea,0x03bfb00f,0x0577fcc0,
    0x4007fb73,0xfb807ff9,0xdff5006f,0x01be2000,0x7017fee0,0x00003dff,
    0x4c0009f5,0x220007ff,0x20001fff,0x09707ff9,0xafffc800,0xea999999,
    0xe800005f,0xb81dceff,0x2002ecac,0xecdffeca,0x4000beff,0xecdffeca,
    0x6c00beff,0x7fd4005f,0x0bfb00ef,0x0efffa80,0xa800bfb0,0x0000efff,
    0x00019db5,0xdbdfd910,0x22001bff,0xaaadfffd,0x06ffcaaa,0xfc807ffa,
    0x99999aff,0x3205fea9,0x9999afff,0x205fea99,0x0dcefff9,0x7fffecc0,
    0x4002efff,0x2202fffc,0x4400fffd,0x2000fffd,0x4001dfd9,0x9aaeffe8,
    0x04ffeca9,0x0ceda800,0x3fff2000,0xfff50002,0x7fe40009,0x2600002f,
    0xffffffec,0xffffffff,0x93000003,0x0198017b,0x9aaa9800,0x2a600000,
    0xfb8009aa,0x4c05ffff,0x6ffffffe,0x17ffffee,0xfffffd30,0x7fffdcdf,
    0x7ff4c05f,0x8006ffff,0x20000008,0x2000aa98,0xffffffc9,0xffffffff,
    0xfffeb83f,0xffd931df,0xffffffff,0xc987ffff,0xfffffffe,0x3fffffff,
    0x0166d440,0x2aaea620,0x3ff22000,0x264dffff,0xdffffffd,0x7fffecc3,
    0x03003dff,0xffffb300,0x79dfffff,0x22000015,0x3f220000,0x04dfffff,
    0xfffffd90,0xf910019f,0x09bfffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00037fe4,0x08800000,0x03ddb000,0x00000000,0x20130000,
    0xcccc8801,0x3104cccc,0xd8800c40,0x000000ee,0x32e00000,0x1ccccccc,
    0x99999930,0x40bda819,0x00000028,0x003200c8,0x33333326,0xcccccccc,
    0x000000cc,0x00000000,0x0000004c,0xff900000,0x9fffffff,0xffff5000,
    0x00dfffff,0x4ccccccc,0x7d400199,0xffffffff,0xffffc805,0x203fffff,
    0x002ffff8,0x01ceb880,0x4000e400,0xfb804ff9,0x400bfa25,0x13f20efa,
    0x3ffa6000,0xd300241d,0xd805dfff,0x54006883,0x220003ff,0x01bea2fe,
    0x64c07fb0,0x400cffff,0xe83fffb8,0x06e3ffff,0x0002fe80,0x9930574c,
    0x7ff54400,0xdccccccf,0x74001ffe,0x003bea2f,0x003be600,0x00005900,
    0x027d4000,0xffffffc8,0xa8004fff,0xffffffff,0x3ffe006f,0x0fffffff,
    0x3fffea00,0x805fffff,0xfffffffc,0x27f603ff,0xe80006fb,0x20007b9c,
    0xfc8001f8,0x23fff005,0xfb006ffa,0x03ffe27f,0xffdbd000,0x800793bf,
    0x9800fff9,0x000ba65f,0xa80017ee,0x0bffa5ff,0x403ffcc0,0x64004ffe,
    0xfc9ca82f,0x000fdfff,0x0000dff5,0x1ffffffb,0x0bff5000,0x54005f50,
    0x0fff66ff,0x0fff6000,0x3bf6e200,0x000001cd,0x000ffe40,0x00000000,
    0x77776c00,0x000eeeee,0x00000000,0x1fcc3d30,0x2d8d3000,0x003fb000,
    0x7ec00dd0,0x400ffe26,0x17fa1ffb,0x7dc73000,0x4000efff,0x32007ff8,
    0x0006faef,0x440003f2,0x03ff23ff,0xd805fe80,0x7dc003ff,0x3f660b80,
    0x3e2002ff,0xc880004f,0x0002dfff,0x3200bff3,0x93fe2002,0x80001ffb,
    0x54001ffa,0xfebbdcfe,0x0000002e,0x00001dd1,0x00000000,0x00000000,
    0xb0000000,0x0001d101,0x000791a6,0x98003ff9,0x440c000e,0x0c044001,
    0x2204c000,0x88000cdb,0x3e2007ff,0x40001fff,0x0220002d,0x00600026,
    0x20017fec,0x2a20307a,0x00030000,0x0001a880,0xa802ffcc,0x08818003,
    0x00220000,0x7164df30,0x66665c9f,0x9301cccc,0xb9999999,0x666665c1,
    0x99301ccc,0x80199999,0xbdefdca8,0x00010001,0x8000e800,0xccccccc8,
    0x1801104c,0x2a2fa000,0x3f62000f,0x802ccdff,0x0000001a,0x00000000,
    0x7fc40000,0x27754007,0x001c4000,0x00000000,0x20017fec,0x0000007a,
    0x00000000,0x00bff300,0x00000004,0xfd000000,0x313a1647,0x019ffff9,
    0x03fffb88,0x67fffe4c,0x7ffdc400,0xacffa803,0x00dfeba9,0xefa8ffa0,
    0x1fcc0000,0xfffd3000,0x005c405d,0xdfc88000,0x7ee54001,0x0402ccdf,
    0x66664400,0x0004cccc,0x8000001d,0x7c40000e,0x0002007f,0x64c00040,
    0xcccccccc,0x0ccccccc,0x66666644,0x5ffb04cc,0x9107a800,0x99999999,
    0x99999910,0x99999999,0x01d00059,0x05ff9800,0x33332a00,0x9301cccc,
    0x4c999999,0xcccccccc,0xcccccccc,0x590ffc40,0xfff884a8,0x017e4004,
    0x8009ffd0,0x7ec402fc,0x07bf200e,0xfd9ffe60,0x7ec0003f,0x7fcc0007,
    0x3ffb500f,0x7cc00000,0x3fea0003,0x547fd001,0x7f4c00ef,0x30002eff,
    0x4000007f,0x440003f9,0x7fd007ff,0xe80077d4,0x803bea3f,0xccfffea8,
    0xffedcccc,0xdfffd301,0x017fec05,0xfd301ea0,0x3e605dff,0xeeeeeeff,
    0x00efffee,0x0001fcc0,0x73017fe6,0x3fffea20,0x7f4c01df,0x75440aff,
    0xcccccfff,0x4c1ffedc,0x910b24ff,0x000fffa0,0x7ec001f7,0x07dc003f,
    0x5c01bfa0,0x4fe802ff,0x80007fea,0x0002fff8,0x65c1ffe2,0x00001fff,
    0x8001ff60,0xf9801ffa,0x00fff67f,0x0003ffe6,0x00007fd8,0x0001ff60,
    0xf300fff1,0x01ffecff,0xffb3ffcc,0x0bff5007,0x7cc05f50,0x7fec00ff,
    0x403d4002,0x2a00fff9,0xfff9803f,0x07fd8001,0x02ffcc00,0xffd100f2,
    0x3bea001f,0x02ffd400,0x7ffc17d4,0x36010590,0x3d4002ff,0x00bff600,
    0xffc80f50,0x03ffe002,0x00022020,0x00bfff70,0x203ffc40,0x00001ffb,
    0x005fff10,0x4007fea0,0x07fea4fe,0x001ffe20,0x002fff88,0x2fff8800,
    0x1ffe2000,0xff527f40,0xa93fa003,0xff9801ff,0x44059005,0xffd807ff,
    0x403d4002,0x25c07ff8,0x027ff440,0x017ffc40,0x20bff300,0xf9803f98,
    0x3fb003ff,0x00bff300,0x3bff20b2,0x3f6002c9,0x03d4002f,0x000bff20,
    0x37fcc0f5,0x013fee00,0xcf800000,0x10001fff,0xffa80fff,0xf7000001,
    0x2a000bff,0x202001ff,0xfff10008,0x7ffdc000,0xfb800005,0x220005ff,
    0x202007ff,0x44040008,0x0bff3000,0xff880ea0,0x02ffd807,0x7c403d40,
    0x4015c07f,0x70006ffd,0x4000bfff,0xeeeefff9,0x9003fffe,0xf8801fff,
    0x0bff3003,0x3fe60ea0,0x36002eff,0x3d4002ff,0x00bff200,0x7ff40f50,
    0x7ffc4002,0x83333321,0x003cccc8,0x4ffc8fa8,0x0fff1000,0x0001ffa8,
    0x3fff9f00,0x03ff5000,0x7c400000,0x33e0007f,0x00001fff,0x00fffe7c,
    0x007ff880,0x00000000,0x2005ff98,0x01ffe200,0x5000bff6,0x0fff100f,
    0xfffa8038,0xff9f0001,0x3e60003f,0xbaaaaaef,0x3fa003fd,0x0036c04f,
    0x0400bff3,0x04ffff98,0x000bff60,0xffc800f5,0x883d4002,0xe8001fff,
    0x3fe624ff,0x2ffe4c0f,0xff8a7400,0xff88000f,0x00ffd407,0x647d4000,
    0xfa8004ff,0x9999901f,0x1e666441,0x001ffe20,0x27fe47d4,0x91f50000,
    0x220009ff,0x999907ff,0x66664419,0x0ccccc83,0x00f33322,0x0000bff3,
    0x3601ffe2,0x3d4002ff,0x003ffc40,0x00fffe20,0x7fe47d40,0xbff30004,
    0x26003c80,0x3f501fff,0x02ffcc00,0xfffe8800,0x2ffd800e,0x2003d400,
    0x54002ffc,0x01fff507,0x90bffb00,0x17fe01ff,0x7ec3f300,0xff88003f,
    0x00ffd407,0xf8a74000,0x7d4000ff,0xfff3101f,0x05ffc981,0x8003ffc4,
    0x01fff14e,0x7c53a000,0xf88000ff,0xfff3107f,0x85ffc981,0x4c0fff98,
    0x7cc05ffc,0x401cc05f,0xfc807ff8,0x03d4002f,0x0003ffc4,0x80017ff6,
    0x01fff14e,0x80bff300,0x7fe4003a,0x4003e886,0x1cc05ff9,0x5ffff700,
    0x002ffd80,0x3f2003d4,0x83d4002f,0x90007ffb,0x1ff70fff,0x90017fa0,
    0x006ffa8d,0x5407ff88,0x7db711ff,0x43f30001,0x54003ffd,0x7fe401ff,
    0x880bff00,0xf98007ff,0x000fff61,0xffd87e60,0x7ff88003,0xf807fe40,
    0x03ff205f,0x3e602ffc,0x401e405f,0xfc807ff8,0x03dc002f,0x0003ffc4,
    0x0001fff7,0x3ffd87e6,0x05ff9800,0x3a2000c4,0x003644ff,0x3202ffcc,
    0x7ffec003,0x0bff603f,0xc800f500,0x3d4002ff,0x0006ffd8,0xfb81fff7,
    0x00bfd00f,0x7ff417c4,0x3ffc4001,0x3a67fea0,0x8005ffff,0x037fd46c,
    0x7007fea0,0x17fa01ff,0x000fff10,0x06ffa8d9,0x7d46c800,0xff88006f,
    0x807fdc07,0x3fee05fe,0x980bfd00,0x7f3105ff,0x00fff100,0xb8007ff9,
    0x07ff8806,0x05fff300,0x3ea36400,0xff98006f,0xf5000005,0x007e63ff,
    0x4417fe60,0x564003f9,0xfb03fffd,0x07a8005f,0x0017fe40,0x37fec1ea,
    0x0fffb800,0xfe807fdc,0x5c1ee005,0x7c4005ff,0x5ffd407f,0x2ffd88ae,
    0x3a0be200,0x3ea001ff,0x07fdc02f,0x7c405fe8,0x17c4007f,0x0000fff4,
    0x3ffd05f1,0x07ff8800,0xfe807fdc,0x403fee05,0x7fcc05fe,0xffeeeeef,
    0x7ff8803f,0x004ffb80,0x7fc402ec,0xbffd0007,0x417c4000,0x4c001ffe,
    0x00c005ff,0x13adff90,0x77ffcc00,0x3fffeeee,0xffb96400,0x005ffb06,
    0x7e4007a8,0x83d4002f,0x70007ffc,0x1ff70fff,0xf8017fa0,0x01fff103,
    0x203ffc40,0x7c40effa,0x41ee005f,0x26005ffb,0x3ee0e3ff,0x80bfd00f,
    0x5c007ff8,0x00bff707,0xffb83dc0,0x3ffc4005,0x7403fee0,0x03fee05f,
    0x3e602ff4,0xbaaaaaef,0xff8803fd,0x06ff9807,0x7c401fc0,0xffc8007f,
    0x1ee0000e,0x2002ffdc,0x22005ff9,0x3ffe2005,0xf30000fe,0x755555df,
    0x2c8007fb,0x3f207ff2,0x03d4002f,0x000bff20,0x1ffee0f5,0x437fe400,
    0xbfd00ffb,0x2aafea00,0x3ffeaaaa,0x01ffe200,0x3fa03ff5,0x440fe006,
    0x3e000fff,0xfb80edff,0x80bfd00f,0x7c007ff8,0x01fff103,0x7c40fe00,
    0x3e2000ff,0x07fdc07f,0x3ee05fe8,0x80bfd00f,0x1e405ff9,0x803ffc40,
    0xf9001ffd,0x0fff1001,0x01fff980,0xf881fc00,0x3e6000ff,0x00f6006f,
    0x005fff50,0x202ffcc0,0x5901103c,0x7e41ffcc,0x03dc002f,0x000bff20,
    0x3ffea0f7,0x4ffd8000,0xfd00ffb8,0x3bbba00b,0xffeeeeee,0x1ffe2006,
    0x3603ff50,0x57f5006f,0xffd55555,0x77fd4007,0x201ff702,0x7fc405fe,
    0x2afea007,0xffeaaaaa,0xabfa8003,0xffeaaaaa,0x1ffe6003,0x3a01ff70,
    0x03fee05f,0x3e602ff4,0x401d405f,0xd1007ff8,0x1fc801df,0x00fff100,
    0x0027ff44,0x2aaafea0,0x03ffeaaa,0x401bfea0,0xfe8000fc,0x3e60000f,
    0x981d405f,0x1ffc2c84,0x2001ffe4,0x7fe4006b,0x8835c003,0xe8001fff,
    0x0ffb82ff,0xf300bfd0,0x05ffd003,0x501ffe20,0x1bf603ff,0x77777740,
    0x06ffeeee,0x7fdc0080,0x880bfd00,0x3ba007ff,0xeeeeeeee,0xee8006ff,
    0xeeeeeeee,0x3f2006ff,0x3fee02ff,0x5c0bfd00,0x0bfd00ff,0x4405ff98,
    0x07ff8801,0x82bbfe60,0x2003fdb9,0x32007ff8,0xe80006ff,0xeeeeeeee,
    0x32006ffe,0x9999afff,0x005fea99,0x0001ffd0,0x2202ffcc,0x4590d301,
    0xffb81ff8,0x002ec004,0x90013fee,0x02ffe40b,0x541bfe20,0x0bfd00ff,
    0x3ea00d90,0xfff1005f,0xb01ffa80,0x03f300df,0x2005ffd0,0x7fdc00b9,
    0x880bfd00,0x3f3007ff,0x005ffd00,0x7f400fcc,0x3ff2202f,0xb84dffff,
    0x0bfd00ff,0xfe807fdc,0x02ffcc05,0x07ff8800,0x7fffecc0,0x4002efff,
    0xf5007ff8,0x980003ff,0x2ffe801f,0x3fffb260,0xffffffff,0xd0003fff,
    0x4c0001ff,0x260005ff,0x9f91642f,0x001bfe60,0xff98007f,0x101f4006,
    0x64001fff,0x3ff501ff,0x880dff10,0x3ffe002f,0x07ff8801,0xfd80ffd4,
    0x5006c806,0x3fa00bff,0x03fea00f,0x3e202ff4,0x00d9007f,0xc8017fea,
    0x0bff5006,0x7d4016c0,0x40bfd00f,0xbfd00ffa,0x005ff980,0x07ff880c,
    0x5d953100,0x3fe20001,0x3fff8807,0x03640e00,0x0005ffa8,0x40000f20,
    0x20000ffe,0x0c005ff9,0xb9647ff3,0x3ffa00ef,0x001f9001,0x2003ffb0,
    0x7fd400fc,0x09ff1004,0x3a627fcc,0x03e407fe,0x2017ff20,0x7d407ff8,
    0x80dfb01f,0x3fe002f8,0x3ffe801f,0x2207fea0,0x7fc406ff,0x002f8807,
    0x22007ffe,0x3ffe002f,0x801f9801,0xff881ffa,0x207fea06,0x7cc06ff8,
    0x4162005f,0x80007ff8,0x7c40005d,0x5ffd807f,0x3e216200,0x07ffe002,
    0x00be2000,0x007ff400,0x00bff300,0x3ff6e2c4,0x803ffeed,0x6400effa,
    0xfd10001f,0x02fc801d,0x8805ff90,0xffd805fe,0xffe8edce,0x005f885d,
    0x200fffd4,0x7d407ff9,0x80dfb01f,0x7fe4007c,0x03b98805,0xdd313fe6,
    0x7ff880ff,0x64007c80,0x07c805ff,0x402ffe40,0xff9804fa,0x03ff74c4,
    0xee989ff3,0x37fcc07f,0x3e207b00,0xff80007f,0x3fe20000,0x07ffdc07,
    0x0f909700,0x005ffc80,0x0005f980,0x0001fff0,0xb0037fcc,0x33aa6207,
    0x77fdc000,0x0ff6e60a,0x5dff3000,0x01fedcc1,0x2033fa60,0xd1002ffa,
    0x3fa1bfff,0x00bfb02d,0x00efffa8,0xa80bfff2,0x0dfb01ff,0x2a002fc4,
    0x3b001fff,0xdceffd80,0x05dffe8e,0xf880fff3,0x7ffd4005,0x0017e201,
    0x9803fff5,0xffd802ff,0xffe8edce,0x9dffb05d,0xbbffd1db,0x401bfea0,
    0xfff300fc,0x3bfb0000,0x1ffe6000,0x002fff88,0x0bf10bea,0x01fffa80,
    0x05ffc400,0x3fff1000,0x37fd4000,0xc800fc80,0xffb30002,0x05dfffff,
    0x3ff66000,0x02efffff,0xbdfd9100,0x0001bffd,0x700a8153,0x80bfffff,
    0xffffffe9,0x3ffff226,0xffa84dff,0x6c0ffb02,0x7fd4005f,0x0f6a00ef,
    0x37fffa20,0x6405bfd0,0x3f602fff,0x7ffd4005,0x00bfb00e,0x00efffa8,
    0x1ee7ffec,0x86ffff44,0x3a202dfe,0xbfd0dfff,0x57ffe405,0xea999999,
    0x3fff205f,0x7fcc0002,0x9000ddef,0x3fa05fff,0xaaaaaaef,0x1ffecaaa,
    0x2a002fec,0x0000efff,0x1eefffe4,0x13ffea00,0xafffc800,0xea999999,
    0x0013005f,0xaaba9880,0x31000000,0x00015575,0x00554c40,0x00000000,
    0x20000000,0xfff03ffc,0xfffffb81,0x7fff4c05,0x00106fff,0x00a81530,
    0xffffff91,0x7fffdc9b,0x7ff4c05f,0x3ee6ffff,0x4c05ffff,0x6ffffffe,
    0x0066dcc0,0x001502a6,0x402a054c,0xfffffec9,0xffffffff,0x7ffe443f,
    0x0004dfff,0x200b36a2,0xffffffc8,0x3fffee4d,0xffffffff,0x3ee7ffff,
    0x4c05ffff,0x6ffffffe,0x66dcc000,0x3ffb2001,0x800cffff,0xfffffec9,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x50000000,
    0x25bffffb,0x04efffec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8800,0x007fffff,0x001a8000,
    0x06e20000,0x00122000,0x00000000,0x00000000,0x00000000,0x220006e2,
    0x0e60001b,0x00000055,0x00000000,0x00049800,0x00000530,0x00000000,
    0x00000000,0x00000000,0x00003980,0x00000000,0xf88000dc,0xffffffff,
    0x5c000007,0x3fe001ff,0x33ea001f,0x2dc0006e,0x89ddddb3,0x02cefed9,
    0x7c53fe20,0x3ff6004f,0xc87fe403,0xdd9300ff,0x00b90009,0x017fe4c0,
    0x002fff40,0x7ecdfd71,0x3ae6006f,0x2e0000be,0x001cefee,0x001dff50,
    0x000ffd71,0x0009ff30,0x3bffbb26,0x2eb8161c,0x005ffa80,0x4017c136,
    0xbdefdca8,0x76540001,0x1260bdff,0x06feb880,0x3bf72a20,0x2034c1bd,
    0xdfd9731e,0x0b90017d,0x00000000,0x02ffa800,0x8005ff50,0x8000b21e,
    0x5ffe982e,0x3ff77fee,0x4df5005f,0x7fc006fa,0x363fd805,0x51bf303f,
    0x07d400bf,0xffeca800,0x7ffc4002,0xffb9001f,0x017fffcd,0x7f5577f4,
    0x85f44001,0x8003ffda,0x99000ffc,0x70000fff,0xe9800dff,0xca99acef,
    0xff107dff,0x01dfb00f,0x07c41740,0x26b3fea0,0x000dfeba,0x4d6fff54,
    0x04ecfeb9,0x01bff720,0x54cdffd4,0x2f88cfeb,0x5f7fff40,0x0dfeca99,
    0x00001e60,0x6e540000,0x361acdff,0x00ff2005,0x005a8f10,0x3ee01f30,
    0xf905d55f,0x2fb801df,0xf98007ee,0x6f8df006,0x7ec1fd10,0x002f8801,
    0x402ffa80,0x1ff75c08,0xea9bfa00,0x2fec04fd,0xbd0017e2,0x0007ff60,
    0xfb0003ff,0xdb10000f,0x27fdc005,0x203ff620,0x7c00fffa,0x07e2000f,
    0xefd881ea,0x007bf200,0x2e017fe4,0xfe8005ff,0x06fec406,0x009dff90,
    0x74407fff,0x00ba01ef,0x33333326,0xcccccccc,0xfea800cc,0xffeba9ac,
    0x27c002be,0x0b62e800,0xf502dc00,0x6401d3bf,0x22ec04ff,0x0764004d,
    0x3f10fc40,0x9f51bea0,0x2000bb00,0xbffa9998,0x7c039009,0x837ec002,
    0x0bfe203e,0x7cc003f6,0x009ff505,0xc80017cc,0x0000007f,0x4007ff90,
    0xfff981fe,0x0007ea00,0xe81720f3,0x5ff7006f,0x001ffd80,0xfb000bf7,
    0x006fe80d,0xff005ff9,0x3ffd1005,0x54401720,0xccccfffe,0x01ffedcc,
    0xb803bf62,0x2cc003ff,0xbfbf3000,0x50174000,0x8801ddff,0x03a00fff,
    0x00e8001d,0x204a8950,0x037d45fc,0x740003ea,0xffffffff,0xf101f886,
    0x06fd8001,0x0ffd403f,0xff7003f4,0x00fff101,0xf90001dc,0x0000000f,
    0xa8007ff5,0x07ff881f,0x35c00164,0x5ff903d8,0x807ffc00,0x64003ffb,
    0x06fd8006,0x5c00bff2,0x1fc00fff,0x01dff100,0xffa800f3,0x202fa805,
    0xfb800efd,0x0026003f,0x80002a00,0x3fea00f9,0x9ffb002f,0x4000c0c0,
    0x11022001,0x3e62fec0,0x005f100f,0x017fc400,0x00f603fb,0x1321bf60,
    0xf985ff70,0x0bfe6004,0x03003ff4,0x007fc800,0xf1009100,0x5b0001ff,
    0x0301bfe0,0x17c13200,0x20037fcc,0xff984ffb,0x00798006,0xff306fd8,
    0x3f3ea00d,0x001e204f,0x17413ff2,0x00bff300,0x1ffdc0b2,0x001ffd00,
    0x00002200,0xf5016e00,0x7fdc00df,0x00000006,0x5fd80000,0x4d80ffcc,
    0x7fc40000,0x883ff902,0xdfb0002e,0x7d401ec4,0x000fec5f,0x2ffc03b2,
    0xf9000000,0x0e60000f,0x0013ff20,0x06ff814c,0x307d0000,0x05ffd01f,
    0x41fff880,0xb0003ffd,0x20dfb000,0xf9802ffe,0x101fff8a,0xfff30009,
    0x4c00b901,0x075005ff,0xa800dff3,0xdb8805ff,0x23d10bdf,0x220ccccc,
    0xd003cccc,0x05ffa805,0xcc9ffe60,0x33220ccc,0x3b6603cc,0x2602cbde,
    0x700bdedb,0x707fa8df,0x6dc4000d,0x42ff89cf,0xccdfffd8,0xeca8009a,
    0x266fd8be,0x1fff1000,0x00005fd1,0xb883ff98,0x2e23deed,0x3200cefd,
    0x0f7b267f,0xfe802b80,0xe800001f,0x3bb2a05f,0xeeeea80b,0xfeeeeeef,
    0x3fff13ee,0x49ffd000,0x0001fff8,0x5f765403,0xff986fd8,0xd274401f,
    0x000409ff,0x7984ffe8,0x017fe600,0x03ffe808,0x202fff80,0xffda9dfd,
    0x3fe623ea,0x2ffe4c0f,0x2a007cc0,0x3e6005ff,0xfff310ff,0x05ffc981,
    0xff7117f3,0x262bb605,0x7fa81efd,0x0fc437dc,0x8bff9800,0x542fffea,
    0x2ccdffdc,0x913bf900,0x4000dfff,0x20dfdffd,0x0deeeee9,0x261bf200,
    0x3bfd51ee,0x3dff73bf,0x7fddff20,0xe800dfff,0x07ffc400,0x27ec0000,
    0x7d4e7ec4,0x6555445f,0xedaaaaaf,0x1fff51aa,0x4bffb000,0x00007ffa,
    0xfc89dfc8,0xfffa86ff,0x3f22ec00,0xd800005f,0x005d06ff,0x80017fe6,
    0x8001fff8,0x3f905ffd,0x320bffb0,0x0bff00ff,0xff500b70,0x7ffc400b,
    0xf807fe41,0xf309b05f,0xf903f905,0x743fb05f,0x0004e81f,0xfff10df3,
    0x007fea05,0xff905fb0,0x7fd4000d,0x3fff502f,0x80ff8800,0x7ffdc3ff,
    0xc82ffc43,0xfcabebff,0x02dc05ff,0x0003ffd4,0x7c43fc80,0x017fdc0e,
    0x2e0f60b9,0xf90007ff,0x03ffe4ff,0x20bf6000,0xffc86ffc,0x32076407,
    0x800007ff,0x0b907ffc,0x3017fe60,0x03ffe607,0x21bff200,0xfff104fb,
    0x201ff701,0x02e805fe,0x2005ffa8,0x7dc1fff8,0x10bfd00f,0xf70b209f,
    0x21bfe209,0x83fd9ee8,0x3fa0006b,0x205ff901,0x2a001ffa,0x0dff105f,
    0x3fffa600,0x0007fe04,0x3fe60bf2,0x407ffcc1,0xffc81ffd,0x02fff984,
    0xff9005f3,0x3bba600d,0x7dc5eeee,0x7c40fe42,0x7c13606f,0x006ffd82,
    0x361fff70,0x200006ff,0xdff105fa,0x540dffb0,0x0fffb80f,0x99999991,
    0x99999999,0x01fffb99,0xff3001f3,0xf703c80b,0xf70001ff,0x205ff0ff,
    0xfb83fffc,0x80bfd00f,0xffa800f9,0x07ffc005,0x7f403fee,0x981ff985,
    0xc80bfe22,0x177303ff,0x95103f30,0x981bee05,0x3ff502ff,0xd017fc00,
    0xbf9000df,0xf303fff7,0x813e0009,0x06ff80fe,0xff907ff7,0x442ffdc0,
    0xfffb006f,0xffff9800,0x3e61fa82,0xf80b6e07,0xfd80f982,0xff70006f,
    0x01bff61f,0x202ff800,0x6ffd86fe,0x3ee05f30,0xbfff30ff,0x99999999,
    0xffb99999,0x200ba01f,0xf3105ff9,0x01fff207,0x30fffd40,0xf3b703ff,
    0x01ff70df,0x0b9017fa,0x0017fea0,0x1ff70fff,0x7fc17fa0,0x0ffcc03f,
    0x000dff30,0x2b7e60fa,0x02ff40ee,0x3ea05ff1,0x3ff5001f,0x10037ec0,
    0x37ff47fd,0x5c0007dc,0xfff50005,0xffffffff,0xf80ff909,0x003fd86f,
    0x8001fffb,0x1f306ffc,0x100037dc,0x320f501f,0xf70007ff,0x03ffecff,
    0x01ffa800,0x3ff21bf6,0x2e03f887,0x3ffe27ff,0xfff70003,0x7cc02dc0,
    0xfeeeeeff,0xdffb03ff,0x3ffea000,0xd703fee1,0xf70fff11,0x017fa01f,
    0x3fea005d,0x437fc005,0xbfd00ffb,0x0fffff20,0xf1007fdc,0x0d9000ff,
    0x12fc4df1,0x7fc409ff,0x003ff502,0xdfb01ff2,0x50ffa200,0x02e89fff,
    0xa8001d00,0x0004ffee,0x7fe80ff9,0xb8007fd4,0x64002fff,0xd8f304ff,
    0x1ea0005f,0x7ffb82e4,0x4dff9000,0x0000fffb,0x7ec07fc8,0xe87ffa86,
    0x22ffec05,0x90004fff,0x07cc0dff,0x2abbfe60,0x03fdbaaa,0x2000fff7,
    0x3f60fffa,0xff83aa1f,0x807fdc0f,0x01e605fe,0x2005ffa8,0xffb85ff8,
    0x5c0bfd00,0x6c1effff,0x7ffc00ff,0x203e6000,0x997f44fc,0x3fe203ff,
    0x003ff502,0xdfb01ff6,0x203ff200,0x0b91fffd,0xb8016200,0x009ff1ef,
    0xfb01ff20,0x002ffc4f,0x8007fff5,0x8f104ffb,0x7d4006fe,0xffffffff,
    0xf54fffff,0xfb0001ff,0x17ffd49f,0x03fec000,0x3fe61bf6,0xd003b20f,
    0x5ffd89ff,0x0bffd000,0x7fcc02e8,0xfa81e405,0xfb8000ff,0x997fec6f,
    0x5c3ff41f,0x0bfd00ff,0xff5002e4,0x27fc400b,0xfe807fdc,0x7ffec405,
    0x007ffa2f,0x3e800dfd,0x4fd87fd0,0x7c40bff5,0x03ff502f,0xd803ffa0,
    0x0bff006f,0x3e7bffe2,0x00730000,0x5ff85fb1,0x80ff9000,0x0ffe66fc,
    0xfff10f5c,0x4ffb800b,0x00ffb1a0,0x99ce9988,0x999af999,0x003fff10,
    0x7c45ffd0,0xe80003ff,0x1bf600ff,0x0fb97ffc,0x642fff80,0x44000fff,
    0x2dc03fff,0x5017fe60,0x07ffe607,0x717ff200,0xd03f37ff,0x01ff70bf,
    0x02e817fa,0x8017fea0,0xffb83ff8,0x200bfd00,0x3f27ffe9,0x027f402f,
    0x17fc0b90,0x37fcdbf2,0x2a05ff10,0xffb001ff,0x4037ec03,0x3ea04ffa,
    0x20002fff,0x1ffc401a,0x40c037fc,0x2fec07fc,0x3fa05ff7,0x007ffdc5,
    0x0c09ff70,0x13007ff2,0x01f305f0,0x2002ffe4,0xffc86ff8,0x7ec20005,
    0x41bf601f,0x02f9cffb,0xf886ff98,0x7dc003ff,0x00f9806f,0x31017fe6,
    0x0017ffc0,0x3ea1ffec,0x7ff02edf,0x3a01ff50,0x800f305f,0x30105ffa,
    0x1ff501ff,0x0aa17fa0,0xffb97fec,0x8017fc05,0x5ff100f9,0x3ffe6fc8,
    0x207ff100,0xf9001ffa,0x037ec09f,0x36037fec,0x00203fff,0x203fee00,
    0x0ea01ffd,0x7fd01ff2,0xfb817fdc,0x027ffc47,0x4009ff70,0x43405ffb,
    0x406a80f8,0x2000fff8,0xff881ffc,0x91c8003f,0x37ec09ff,0x007fffd0,
    0x7d403ff6,0x7ffc006f,0x4c05d002,0x5c0005ff,0x7c4005ff,0x07ffd06f,
    0x3ea03fe2,0x06ff881f,0xffa800b9,0x7dc3fe85,0x103ff504,0x20d50dff,
    0x3ffa2ff8,0x001ff100,0x3fe807d1,0x9ffb2fe4,0x540ffe20,0xff3002ff,
    0x01ff601f,0x9807fff2,0x1b04ffff,0x0ffd8000,0xf105ffb8,0x4c0ff901,
    0x827fcc6f,0xfffa86f8,0x09ff7001,0x81fffc40,0xb907a85b,0x009ff500,
    0xfc813fe2,0x8ee001ff,0xfb00fff9,0x037fcc0f,0x6c02ff98,0xff9004ff,
    0x302dc00b,0x81800bff,0x32001ffe,0xbff502ff,0x7cc0bee0,0x3ff74c4f,
    0x7dc002e8,0x23ffc46f,0x9ff300ed,0xa87fee98,0x543ff02f,0x03f905ff,
    0x3f601720,0xff327ec3,0x09ff707f,0x4038ffe6,0x7440effd,0x7fd400ff,
    0xecfb80df,0x7912dfff,0x900f74c0,0xffd885ff,0x09d931df,0x7ec03ff2,
    0x980ffd81,0x3ffd302f,0x209ff700,0x7ffdc3fc,0x80feb89c,0x2007d05c,
    0x74402ffc,0xfffb805f,0xfd85c801,0x7ff440ef,0x00fffa00,0xb1009fd1,
    0xffc809ff,0x03e2000d,0x1002ffcc,0x00bff30b,0xed817fe2,0x0ff224ff,
    0xdb9dffb0,0x4cbbffd1,0xfffd8007,0xfa9fff41,0x677fec00,0x5dffe8ed,
    0x9f50bbea,0x6449ff70,0x01f5002f,0x7fc4df30,0x5efffdc0,0x3dfffddb,
    0x076fffc4,0x2ffffa20,0xdeffeeca,0x3ffff600,0xb11eecbc,0x0dffffff,
    0x2204ffc8,0xafbacfff,0xfffffff9,0x07bfee05,0x3fa205fb,0x04ea88cf,
    0x80acffd8,0xf982ffea,0xffffd87f,0x09b02fff,0xfe98007e,0x02ffa80c,
    0x2f7ffea0,0x207d7311,0xcabfffe8,0x40deffee,0x81cfeaeb,0x5c003ffa,
    0x7e4c1cff,0x05d0003f,0xd801bfe6,0x807ff703,0xb900dfe8,0x37f7ffa6,
    0xfffe8803,0xc85bfd0d,0xffd93004,0x3a67bfff,0x8800dfff,0xfd0dfffe,
    0xffffa85b,0x3aa02ddc,0x002dfdff,0x7d4005f1,0xf502fd8b,0xff15ffff,
    0x3bfea039,0xfffb1002,0x05dfb1bf,0x3ffffee0,0xfffc80cf,0x7fdc01df,
    0x7fffdc02,0x3fffaa0d,0x7ecc00cf,0x800dfeff,0x01defeda,0x37ffb2a0,
    0x00beffec,0x3f20dff1,0x3e01efff,0x4000f882,0xfedefec8,0xc98000df,
    0xdffffffe,0x7ffec401,0x82efd8df,0x3ffee1fa,0x000cffed,0xfdfffb30,
    0x40001bff,0x0dff505b,0xe9803f20,0x3fe980df,0x0aa61620,0x2a054c00,
    0x00001500,0x400054c0,0x880540a9,0x40015310,0x4b8001a8,0x1cec9800,
    0x2a21a980,0x20001000,0x00660aa8,0x002aa620,0x3300054c,0x10055400,
    0x53000155,0x00000013,0x09aaa980,0x53005100,0x51015003,0xaa988000,
    0x54c00000,0x5440009a,0x2980660a,0x00155310,0x09aa8800,0x20510000,
    0x999afffc,0x05fea999,0xfdbdfd90,0x000003bf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffb260,0xffffffff,0x98003fff,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x14400aca,
    0x20280000,0x00000000,0x02ea0000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001fff50,0x000dff90,0x00130173,0x80000002,0x09ffd000,
    0x00002020,0x00901540,0x95000000,0x010059dd,0x206e6002,0x7ffdc008,
    0x00404000,0x6d400000,0x0161bdfe,0x9ff9dfd3,0x541bfe01,0x6e4006ff,
    0x20017dc0,0xc8004ffc,0xbd0004ff,0xfd0007f9,0xd930005f,0x0017bdfd,
    0x001ffe88,0x4003ffd8,0xbdefeec9,0x3fe60000,0x7ffb000e,0xffff1000,
    0xfff88009,0xffd1003f,0x4402419f,0x7fcc03fe,0x917fcc07,0xfffb80df,
    0x51ff400f,0x3f2001ff,0x2227404f,0x03a0002d,0x739fb000,0x2fec09fd,
    0x7ec05ff3,0x802e0dff,0x004ffff8,0x0ffa8ffa,0x01fff800,0xbacffd88,
    0x2206effe,0x17f221ff,0x5c03ffe6,0x7dc000ff,0x8000deab,0x360005ff,
    0x25a8006f,0x7fcc0068,0x6ff54003,0x1bfb730b,0x01ffcc00,0x5002ffc0,
    0x2e617bfd,0xc8000dfd,0x7f4000ff,0xaafc8005,0x3f6001ff,0xc800ffa9,
    0xbcffffbd,0x06ffa806,0x3201ffb8,0x07ffe4ff,0x2fe46fc4,0x7ecfff50,
    0x0bfd003f,0xbd11df30,0x01fcc000,0xfd03fb00,0x21fff10b,0x7d504ffc,
    0x0d7bfffd,0x0ffa9fc8,0x367ffa80,0x7cc003ff,0x09fb002f,0xfc81bfea,
    0xc83ff885,0x01fec03f,0x0017fe40,0x40006f98,0x64000fe8,0xf7000f43,
    0x01ec8009,0x4c005d50,0x37cc006f,0x2003d900,0x7f4002ea,0x0fe88001,
    0xe887e200,0x4c1d3005,0x3224804e,0x8801ffff,0x7f9003fe,0xf917fcc0,
    0x3ee2e40d,0xfa93fa01,0x0ef9801f,0x3fdffb00,0x03fec000,0xf504fb80,
    0x4cbfb03f,0xfb8902ff,0x3e202fff,0x74017a21,0x007fea4f,0x2e009f90,
    0x1be600ff,0xbfd03ff8,0x005e8000,0x017f7f62,0x00007dc0,0x26001fc4,
    0xbd001a65,0x8004d800,0x3ee003e8,0x003b2000,0x7440026c,0x005f1003,
    0x90017cc0,0x3600b203,0x1401d880,0x2000ddcc,0x4036c000,0x41220080,
    0x00404059,0x44001f70,0x20004fff,0x4002fff8,0x3fa01ff8,0x28020106,
    0x6401cb88,0x02003b01,0x02f40002,0xd9009fb0,0x6c0bfe20,0x3440006f,
    0x3fa3fb80,0x001e8005,0x20016600,0x2002fefd,0x532000e8,0xbccccccb,
    0x2001e881,0x003a003c,0x6ee4c264,0x3d16abee,0x00009700,0x200400b5,
    0x00400800,0x00000000,0x20000074,0x00000400,0x220007a0,0x2e000099,
    0x54005fff,0x3ff200ff,0x00000001,0x00008010,0x00344000,0x1a601bfa,
    0xfe80ffcc,0x04400304,0x3fe60540,0x0000c004,0x288000c0,0x20008800,
    0x4477e469,0x0e985feb,0x01800600,0x2fc88d30,0x1d33fe4c,0x20000180,
    0x00000001,0x00000000,0x00088000,0x00000000,0x00000c00,0x3ff3e000,
    0x3fee001f,0x00ffea00,0x00000000,0x40000000,0x7fec0008,0xff506803,
    0x2c0bfe03,0xf9000000,0x0000005f,0x00000000,0x542d8000,0x40ffcc6f,
    0x0000003c,0x03ba16c0,0x00f20fc8,0x80000000,0x00bdedb9,0x44199999,
    0x9803cccc,0x000bdedb,0x005bddb7,0x6f76dc00,0xdeedb802,0xdedb9802,
    0x2000000b,0x002deedb,0x4ffc8fa8,0x807ff200,0x75c44ff9,0x4400bcee,
    0x00bceeeb,0x5e7775c4,0x19999900,0x01e66644,0xfff70000,0xff501809,
    0x220df703,0x9ddd7106,0x372a0017,0xcc86ffbd,0x33220ccc,0xcccc83cc,
    0x3333220c,0x3bbae203,0x75c400bc,0xf100bcee,0xfe86fa81,0x36e06a85,
    0xdb802dee,0x0f882dee,0x1f100ff2,0xdb730354,0x2e60017b,0xd800bded,
    0x1efd98ae,0x40fff988,0x6c05ffc9,0x1efd98ae,0x326bba60,0x1f2604ff,
    0xfc9aee98,0x35dd304f,0x76c09ff9,0x01efd98a,0x6ecc7ae2,0xc9aee981,
    0xa74004ff,0x9000fff8,0x7fcc05ff,0x2a2bfe65,0xff300efe,0x01dfd515,
    0x3aa2bfe6,0xff9880ef,0x2ffe4c0f,0xcccccc88,0x883ccccc,0x002efffe,
    0xfd70ffd4,0x7cc3c407,0x0efea8af,0x2a77f620,0x4c43fffd,0x7e4c0fff,
    0xfff9885f,0x82ffe4c0,0xfea8aff9,0x15ff300e,0xd701dfd5,0xbfb0df50,
    0xee983f10,0x304ffc9a,0x9ff935dd,0x03fe66b8,0x81f88260,0xefd98aed,
    0x4c576c01,0x3f201efd,0x902ffc81,0x17fe01ff,0xffc81fc8,0xfc83f882,
    0x3fff543f,0xffc83f88,0x7e41fc43,0xc81fc83f,0x7fecc2ff,0x46fffa9f,
    0x3ffc83f8,0x7ec3f300,0x9ff7003f,0xfd2ffcc0,0xd04ff887,0x04ff887f,
    0x4ff887fd,0x7c03ff20,0x99df305f,0x9fff9999,0x3ffffe60,0x3ff5000d,
    0x4077ffa2,0x21ff40f9,0x3fa04ff8,0x906ffd81,0x17fe01ff,0xff00ffc8,
    0xf10ffa0b,0x10ffa09f,0x509909ff,0x02ff88df,0x641fc45d,0x41fc43ff,
    0xc9323ffc,0x0ba0006f,0x5ff903f9,0x3f207f20,0x104fb82f,0x3fee0dff,
    0x2e0bfd00,0x0dff104f,0x3ffe01fb,0x41ffe660,0x1fff00fd,0xfff807ec,
    0x7c413ee0,0x7ff4cc6f,0x6c5fdada,0x01fff00f,0x6ffa8d90,0x01fff300,
    0x7fcd3fea,0xf986fe82,0x986fe82f,0x06fe82ff,0x7f403fee,0x7d40d505,
    0x7ff4c05f,0x5400cfff,0x7ff4c1ff,0x3e61fa82,0x706fe82f,0x3ffe209f,
    0xd00ffb81,0x07fdc0bf,0xff985fe8,0xf986fe82,0xe86fe82f,0xb98efa81,
    0xd8f202ef,0x41fff00f,0x1fff00fd,0x005fd87a,0x04fb8f20,0x9f70dff1,
    0xf11bfe20,0x1ffe405f,0xfe807fdc,0x202ff885,0x17e63ffc,0xfd81ffe8,
    0x3a05f987,0x40bf31ff,0x5ff11ffe,0x541ffe40,0xf3020eff,0x00fff40b,
    0x3ffa0be2,0x0bff9001,0x7fc7ffb1,0xff06fd80,0x3e0dfb01,0x206fd80f,
    0xbfd00ffb,0x7fc40ea0,0xfff7000f,0x7d405fff,0x1ffe881f,0x03fe17dc,
    0x3fe21bf6,0x213ff201,0xbfd00ffb,0xe807fdc0,0xb01ff05f,0x203fe0df,
    0xa80e86fd,0x805fecff,0x740bf34b,0x40bf31ff,0x741d1ffe,0x52e0005f,
    0x3f202ff8,0x80bfe23f,0x3fe63ffc,0x21bfe601,0xbfd00ffb,0x4c03ff30,
    0x3ffee6ff,0xffffffff,0xfb87fc82,0xffffffff,0xffff72ff,0x5fffffff,
    0xf9807fe6,0x02ffa86f,0x7fffffdc,0x402fffff,0x0bff707b,0x2f7ffa20,
    0x42fffeca,0x206fea80,0x206fea80,0x206fea80,0xbfd00ffb,0x7ff40220,
    0x7fec4001,0xff503fff,0x917fea03,0xfd50107f,0x401ff70d,0xffb86ff9,
    0x5c0bfd00,0x0bfd00ff,0x037f5404,0xb0dfd501,0x3e6df505,0xfb9ec01f,
    0xffffffff,0xffff72ff,0x5fffffff,0x006fd8b6,0x0ffccf60,0x7ccdff30,
    0x9bfe601f,0x3e200ffb,0x00ffb87f,0x1ff70bfd,0xf93ffc40,0x3fe40007,
    0x32001fe4,0x7fdc003f,0x21ffe200,0x7e401ffa,0x07f00003,0x8003ffe2,
    0xf8beffec,0x33b2207f,0xec8806fe,0xc8806fec,0x2e06fece,0x0bfd00ff,
    0x003ffc80,0x3ffffa60,0x201ffa81,0x027ec7ff,0x0dfd9d91,0xff880ff9,
    0xd00ffb87,0x07fdc0bf,0xc8805fe8,0x8806fece,0xc86fecec,0x3ee6fa84,
    0x3fc97c06,0x001fe400,0x007fb932,0x07fdcbe0,0x7dcfff10,0x9ffe200f,
    0x7fc00ffd,0x807fdc0f,0x0ffd85fe,0xfd87ffc0,0x1ff20004,0xfb0013f6,
    0x0ffd8009,0x2a07ffc0,0x27ec01ff,0x55fd4000,0xffeaaaaa,0x7e408003,
    0x0bfc884f,0x7e440dfb,0x440dfb0b,0x0dfb0bfc,0xfe807fdc,0x17fea005,
    0x7ffdc000,0x201ffa86,0x13fa0ffd,0x7ec2ff22,0x400ffe86,0x0ffb87ff,
    0x7dc0bfd0,0x40bfd00f,0xdfb0bfc8,0xd85fe440,0xfa87a86f,0xf9827f46,
    0xd8009fb0,0x13d4004f,0xf30007ff,0xf003ff61,0x03ff61ff,0x3fa1fff0,
    0x437f401f,0xbfd00ffb,0xe803ffd0,0x001bf66f,0x6fd87fc8,0x0037ec00,
    0xfd007ffa,0x803ff50d,0xe80006fd,0xeeeeeeee,0x40006ffe,0x7440fff8,
    0x8837ec1e,0x837ec1ee,0x37ec1ee8,0x3a01ff70,0xfff1005f,0x2e009001,
    0x7fd40fff,0xf83ff201,0x20f7445f,0x1ffe86fd,0x7dc37fc0,0x40bfd00f,
    0xbfd00ffb,0xfb07ba20,0xb07ba20d,0xf507e0df,0xb81ff88d,0xb001bf64,
    0x43f000df,0x20c807fa,0x007ffa4b,0x0fff4dfd,0xffc9bfa0,0x5c27f402,
    0x0bfd00ff,0xfe805ff9,0x1007ff24,0xf90ff903,0xf918803f,0xf918803f,
    0x84fe805f,0x7e401ffa,0x980c401f,0x2ffe801f,0x0ffee000,0xdfb03ff1,
    0xfb03ff10,0xb03ff10d,0x07fdc0df,0xfd005fe8,0x0076003f,0x3ea0fff4,
    0xf1ff201f,0x40ffc4df,0x3ffc86fd,0x7dc27fc0,0x40bfd00f,0xbfd00ffb,
    0xfb03ff10,0xb03ff10d,0xf712e0df,0xe81ff50f,0x1007ff21,0x1007ff23,
    0x3bee25c3,0x0f40d881,0xfe805ff9,0xd00bff24,0x02ffdc9f,0x3fea0bfe,
    0xf70bfd00,0x22ff80bf,0x06c05ffa,0x7fd43fe4,0xffa86c05,0xffb86c05,
    0x5417fc05,0x7fd401ff,0x6c806c05,0x00bff500,0x3217fa20,0x90dfb07f,
    0x21bf60ff,0x0dfb07fc,0xfe807fd4,0x03ffc805,0x7e401360,0x00ffd40f,
    0x3ffc4df7,0x1bf60ff9,0xff013fee,0x201ff505,0x3fea05fe,0xf90bfd00,
    0x321bf60f,0x40dfb07f,0x5bfff91e,0x8992efc8,0x86c05ffa,0x06c05ffa,
    0x9dfd307a,0x44c819db,0x7fc05ffb,0xf017fee2,0x00ffe85f,0xff501ff1,
    0x20dff103,0xff100ffe,0x827ffc41,0x10ff904a,0x92a09fff,0x9504fff8,
    0xf100ffe8,0x03ff501f,0x504fff88,0x800be209,0x44001fff,0xffd80efe,
    0xfd86fd80,0xd86fd80f,0x06fd80ff,0x3e207fea,0x2ffd406f,0x001db030,
    0x3ff50dfd,0x4c9f912e,0x1ffb0fff,0xff10dfb0,0x03fe201f,0x3e207fea,
    0x07fea06f,0x3f61bfe2,0xd86fd80f,0x06fd80ff,0x540003a6,0x04fff886,
    0x27ffc495,0x00e984a8,0x41aa0153,0xff100ffe,0x100ffe81,0x5ffa81ff,
    0x3e603f90,0x3ff74c4f,0xf905ffa8,0x7dfff703,0x3201fb53,0xdfff707f,
    0xb81fb537,0xda9befff,0x82ffd40f,0x3ff501fc,0x7dfff700,0x3201fb53,
    0x2ffe4007,0x40bfd100,0x7fe43ffb,0x0ffee337,0x5c66fff9,0xbffe43ff,
    0x227fcc19,0x2207fee9,0x09100fff,0x7d401dfb,0xf1ffb82f,0xf507f45f,
    0x0ffee1ff,0xb866fff9,0x03f905ff,0xdd313fe6,0x27fcc0ff,0x2e1ffba6,
    0xbffe43ff,0xc87ff719,0xd30337ff,0x00ec8005,0x537dfff7,0xfffb81fb,
    0x00fda9be,0xec8005d3,0x20bff500,0x5ffa81fc,0x3ee03f90,0x00bf224f,
    0x1db9dffb,0xf70bbffd,0x017e449f,0xfffffffb,0x807fec09,0xfffffffd,
    0xfffffb04,0x3fee09ff,0xa80bf224,0xffb002ff,0x209fffff,0x7d4005f8,
    0xfe8801ff,0x77ffc403,0x5effcbfd,0x3f7bffe2,0x225effcb,0xcbfdefff,
    0xffb05eff,0xffd1db9d,0x03ffd0bb,0x77fec24c,0x13fae20a,0x1fd8ffe4,
    0x7ff885f7,0x3f7bffe2,0xc85effcb,0x5f910cff,0xdceffd80,0x05dffe8e,
    0x1db9dffb,0x7c4bbffd,0xfcbfdeff,0x3ffe25ef,0xeffcbfde,0x06f7a205,
    0x6c027654,0x4fffffff,0xffffffb0,0xbde8809f,0x009d9501,0x7e449ff7,
    0x893fee02,0x7f5402fc,0x8802dfdf,0xfd0dfffe,0x7ff5405b,0xfb802dfd,
    0x7403ffff,0x3fee01ff,0x7dc03fff,0x5403ffff,0x02dfdffe,0x7002ffe4,
    0x407fffff,0x7d4005fd,0xeca80eff,0xfd5000cf,0x17fe63df,0x4c7bffaa,
    0xffea85ff,0x40bff31e,0xd0dfffe8,0x7ff905bf,0x360fea60,0xfefffdba,
    0xffe981ef,0x3dddb31f,0xfd50bae0,0x17fe63df,0xdfdfffa8,0xfffe8802,
    0x405bfd0d,0xd0dfffe8,0xffd505bf,0x217fe63d,0xf31effea,0x3f6a00bf,
    0x1cffdcdf,0x3fffee00,0x7ffdc03f,0x36a003ff,0xcffdcdff,0x3ffaa001,
    0xea802dfd,0x002dfdff,0x4c0006a2,0x1000540a,0x2a600035,0x7fff5c01,
    0x06a600df,0x80035300,0xfea801a8,0x2003efff,0x3fee01a9,0x74c05fff,
    0x26ffffff,0x20001aa8,0x44008808,0x04400880,0x0a980044,0xfff98054,
    0xffffffff,0xaa98183f,0x0440001a,0x22022000,0x00351000,0x01502a60,
    0x02a054c0,0x00220220,0x00011011,0x00355531,0x4001a980,0x220001a9,
    0x0001aaa9,0x88000d44,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0xdfedb804,0x2004400b,0x3332a002,
    0x53004ccc,0x50062017,0x0000b880,0x3333332e,0x00c3cccc,0x3fe2000a,
    0x64c0003f,0xfb800cdf,0x0371006f,0x372a0000,0x676d402e,0x44008001,
    0xcccccccc,0x66666444,0x2e604ccc,0x00000980,0x24c00000,0x901d40aa,
    0x2a024c01,0x4ccccccc,0x66666540,0x2a806444,0xcccccca8,0x9999931c,
    0x33320999,0x07101ccc,0x001cc032,0xa8122000,0x001b8802,0xe881ffaa,
    0x2feb88be,0x00d80740,0xffffff10,0xede9809f,0x01d80dff,0x3ff6a039,
    0xfff10001,0xffffffff,0x05701d89,0x1ffff700,0xffff3000,0x7c403dff,
    0x36603fff,0x400002ff,0x4c00aee9,0x03fc9aef,0x3007fd10,0x205dfffd,
    0x2dfffea8,0x19fffd10,0x2ffe8024,0x33333326,0x37a61ccc,0xc9ffaa01,
    0x85d80fff,0x0ffd503d,0xffffea88,0x7f54401b,0x41ea82df,0xffd3106a,
    0xffd983bf,0xf5100aff,0xffb303df,0x0d507e60,0x002ffdc0,0x00b707ae,
    0x32003ff6,0x3fa07ffc,0x200ff881,0x5feccefb,0x3ffff200,0x3e601fff,
    0x2a17fee2,0x05fecdff,0x003fff97,0x3ffffee0,0x42ffffff,0x6fdcdff9,
    0xd8df8800,0xade8004f,0x205fffd9,0x80ffa9fc,0x002ffeca,0x4013f200,
    0x1fec0ff9,0x8037fd40,0xa800fff9,0x5edc07ff,0x06bcffff,0xb884ff88,
    0x41adfffe,0xcc80fffe,0x3fffa7ff,0xd88ef983,0x0fff9906,0x017ffe20,
    0xfe80df50,0xf8803f73,0x3ffa02ff,0x901fb006,0x7ec0fffd,0x6c005f53,
    0xfe8000ef,0x36003f92,0x3f6000ff,0x6c0bf707,0x3ffa204f,0xf1001fff,
    0x01333335,0x06fa87e8,0x03fffffd,0x0001ffc8,0x3f4035bd,0x2fffffd8,
    0x7dc4d800,0x220b2001,0x1f980fff,0xffb813a6,0xfe980002,0x20ffa003,
    0x74400ff8,0xfff1003f,0x01bfe600,0x7fffe449,0x405fa801,0x3f607ffb,
    0x9ff603ff,0xf906fde9,0xfd803fdf,0x1ffee007,0x9803f700,0xb005feff,
    0x7fd407ff,0xe809d006,0x3bfe207f,0x3fe2006f,0xdff50000,0x0dc4009f,
    0x641ff200,0x01bea04f,0x9000b726,0x17ea000b,0x5b93004c,0xaffb9880,
    0x6a800999,0x2204f880,0x930002dc,0x1c4016a0,0x1905ff90,0x3ea03b10,
    0xfe80002f,0x03fea005,0x008027ec,0x401ffe20,0x41406ff8,0xdb001bb8,
    0x40dff300,0x3204dab8,0x220b907f,0xfc805fff,0x3ffe2007,0x4017a001,
    0x5000fffd,0xfff80dff,0x200fc401,0x7fe407fc,0x07ea001f,0x1fffb000,
    0xf9000000,0xc81bf60f,0x2000004f,0xf90001f8,0xb000000b,0xffffffff,
    0x7001500d,0x8000005f,0x80000400,0x40080ff9,0x005ff500,0x000efc80,
    0xffb81bfa,0x7c400000,0xdff1007f,0x3a000000,0x06ff9800,0x3fe403d0,
    0x266203e8,0x007fc800,0x88027fe4,0x1331002f,0x00fff800,0xf700fff2,
    0x300ff900,0x02d80013,0x00998800,0xff900000,0x740ffea0,0x2000001f,
    0x4001bdfc,0x000005fd,0x0007fea0,0x0007e800,0x00000000,0x0001be60,
    0x0005ff50,0x1000ffd4,0x7fcc0bff,0x7c400003,0xdff1007f,0x11000000,
    0x017fe600,0x0ff901a6,0xc80000d7,0x7fcc007f,0x006c800f,0x7ff90000,
    0x2037fd40,0x07fc804d,0x00060000,0x00000000,0xff107fc8,0x644fa85f,
    0x3220cccc,0xff103ccc,0x2005dfff,0x5c4005fe,0x400bceee,0x00001ffa,
    0xdb809f10,0xccb82dee,0x99950ccc,0x664c1999,0x1f7000cc,0x0beeca80,
    0x000bfea0,0x20037fc4,0x3e204ffa,0x3bb2a04f,0x3ffc400b,0xc86ff880,
    0x3220cccc,0x00003ccc,0xd880bff3,0x323fe402,0x5f765404,0x003fe400,
    0x7c01ffec,0xeeeb8803,0xff3000bc,0x0fffdc0d,0xfc801f88,0x37bb6607,
    0x800002cb,0x220ccccc,0x0003cccc,0x5c0ff900,0x09f54fff,0x981fff31,
    0xff705ffc,0x009fffff,0x7cc00bfd,0x0efea8af,0x5c47fea0,0x20000bed,
    0x5dd302fb,0xd889ff93,0x3ea22fff,0xff981dff,0x403d1002,0xffa9cfd8,
    0xa85ff505,0x5c2ccccc,0x159533ff,0x880fff20,0xcfd885ff,0x2205ffa9,
    0xff1007ff,0x1fff310d,0x405ffc98,0x7fcc07c9,0x2007ae05,0x880627fc,
    0x5ffa9cfd,0x2001ff20,0x7d406ffa,0x457fcc00,0xf000efea,0x3ffa03ff,
    0x200d704f,0x7cc917fc,0x82ffb88b,0xdb711fb8,0x3fe62017,0x2ffe4c0f,
    0x9001f260,0xfffc80ff,0x7fe402fd,0x980bff00,0x06ffffca,0xfd002ff4,
    0x204ff887,0xffe99ffa,0x3a0005ff,0xf907f107,0x20ffd07f,0x0be02ffb,
    0x88077c40,0x17fdc0ef,0x7ec17fd4,0xbffd81bf,0x83ffffee,0x3e203ffc,
    0x2077c46f,0xff102ffb,0x1bfe200f,0xff00ffc8,0x1fffaa0b,0x140bff30,
    0x200ff900,0x7fdc0ef8,0x000ff902,0x5d80bffa,0x7c43fe80,0x9ff9004f,
    0x0fff7f10,0x7fe4013a,0x261362fa,0x3fff662f,0x5ffffe89,0xf807fe40,
    0xfffd505f,0x807fc800,0x400efffb,0xbfd00ffb,0x7ffec400,0x4017fa03,
    0x6fe82ff9,0x2baffea0,0x002ffd98,0x1fb05f88,0xf503ffe0,0x09ff103f,
    0x3f6a01a6,0x1fc81fff,0xfa86ff88,0x006f442f,0x74c1bfff,0x17fec3ff,
    0x3f91ffe0,0x220dff10,0xff1007ff,0x807fdc0d,0xff3305fe,0x05ff980f,
    0x00ff9000,0x3fe207f2,0x6ccff906,0x05ffb803,0xff9803f1,0x3006fe82,
    0x3ad70dff,0x00fc41ff,0x221fffc8,0x4cc5904f,0x98aeaffe,0x3ee02ffd,
    0x20bfd00f,0x4007ff99,0xff9807fc,0x3ee01fff,0x00bfd00f,0x201fff90,
    0x3fe005fe,0x2a06fd80,0x7fc40eff,0x82fb8004,0x3ffa05f9,0xfb05ff81,
    0x5007b01f,0x45ffffb7,0x0b6e07f9,0x5e88bfea,0x982ffc40,0x3ff60fff,
    0xf33ffc01,0x8816dc0f,0xff1007ff,0x807fdc0d,0x3fec05fe,0x0017fe60,
    0x4c03fe40,0x40b6e07f,0x07ffa7fc,0x903fff10,0x203fe00d,0x3fa006fd,
    0xffb9f41f,0xf90035c4,0x81ff981f,0x0effb829,0xf7027fc4,0x017fa01f,
    0xfc800ffb,0x7cd7d407,0xff701fff,0x0017fa01,0xfe817fdc,0x75404005,
    0x07fea06f,0x740037f4,0xfffff707,0x05ffffff,0xffd01ff9,0x4000f887,
    0x3ee6ffe9,0x5ff50006,0x3ea013a2,0x93ff604f,0x3e202ffd,0x001bee7f,
    0x1007ff88,0x7fdc0dff,0xc80bfd00,0x2ffcc07f,0x07fc8000,0x20006fb8,
    0x03ff67fc,0x3e13ff20,0x3aa02003,0x3fee006f,0x7fc47e64,0xe8801f47,
    0x07fff07f,0x7c07fea0,0x03fee05f,0x3f202ff4,0x03fe4007,0x7ff449f5,
    0x00ffb80f,0x22000bfd,0x0bfd04ff,0x3b3b2200,0x07fea06f,0x220037ec,
    0x007f905f,0x2a17fcc0,0x02dc6fee,0x361ffd00,0xff50005f,0x2e009f35,
    0x3fee03ff,0x880bff25,0x017f66ff,0x007ff880,0x7dc0dff1,0x80bfd00f,
    0x7fcc07fc,0xff900005,0x000bfb00,0x002a3fe4,0xf507ffcc,0x9d910001,
    0x7c400dfd,0xffb1ae7f,0x26007e25,0xff907fee,0xffa807ff,0x5c0dfb01,
    0x0bfd00ff,0x64007fc8,0x10ff107f,0xff707ffd,0x0017fa01,0xbfd05fd8,
    0x0bfc8800,0x7fd40dfb,0x800dfb01,0x09fb02fb,0x745fe800,0x0ba1ffba,
    0xd3ffa800,0x3ea000df,0x5001ffcf,0x7fcc07ff,0x880ffee7,0x01bfa6ff,
    0x007ff880,0x7dc0dff1,0x80bfd00f,0x7fcc07fc,0xff900005,0x000dfd00,
    0x20003fe4,0x013a3ffd,0x3617f910,0x7fec006f,0x5ffb87d1,0x93f300d7,
    0x7ffdc0ff,0x3ff501ef,0xfb81bf60,0x80bfd00f,0x7e4007fc,0x220bf707,
    0x0ffb86fe,0x4000bfd0,0x0bfd03fb,0x360f7440,0x07fea06f,0x360037ec,
    0x001bf607,0x5a61ff70,0x00f14ff8,0xfb3ff880,0x3fea000f,0x9800effc,
    0x37fc04ff,0x7d407ff5,0x001ff63f,0x1007ff88,0x7fdc0bff,0xc80bfd00,
    0x2ffcc07f,0x07fc8000,0x20007fd8,0x540007fc,0x003f36ff,0x3f60f744,
    0x67fdc006,0x7ffc40f9,0x90a803e8,0xffd880ff,0x1ffa82ff,0x7dc0dfb0,
    0x80bfd00f,0x7e4007fc,0x5407fd07,0x07fdc1ff,0x20005fe8,0x0bfd01fa,
    0x3607fe20,0x07fea06f,0xf10037ec,0x00ffe40b,0x9ffc4062,0x265ff63d,
    0xc8ff4000,0x204c01ff,0x5ffbaffa,0x405ff880,0x02ffc5fe,0x7fe43ff7,
    0x7c404c01,0x9ff1007f,0xe807fdc0,0x03fe405f,0x00017fe6,0x7e403fe4,
    0x6404c01f,0xfe80007f,0x22006caf,0x06fd81ff,0x2e7ffc40,0x00fcffd8,
    0x9803fe40,0xffa87ffe,0x5c0dfb01,0x0bfd00ff,0x64007fc8,0x409fd07f,
    0x7fd41ff8,0x000bfd00,0x0bfd0364,0x7ec1ff20,0x407fea06,0x3ea006fd,
    0x017fea02,0x477ec01b,0x3ebfe60f,0x7fc40001,0x680bff70,0xff92ffa8,
    0x80dfd009,0x03fe43ff,0x5ffb8df9,0x7ff88340,0x407ff100,0xbfd00ffa,
    0x4c07fc80,0x824005ff,0xffb807fc,0x7fc83405,0xeffb8000,0x1ff2003f,
    0x6c0037ec,0xff503fff,0xff9000df,0x3ff60550,0xd80ffd42,0x03fea06f,
    0x3f202ff4,0x83fe4007,0x43fc06fb,0xff881ff9,0x03f10006,0xfd802ff4,
    0x206fd80f,0xdfb01ffa,0x2203ec00,0x09504fff,0xe84effa8,0xb80006ff,
    0x0fffe23f,0x17fd42dc,0xf9805ffd,0x30ff101f,0x0bfe03ff,0x2e07fff1,
    0x10fff105,0x017fc437,0xff103ff3,0x407fc80d,0x22005ff9,0x100ff905,
    0x16e07fff,0x40003fe4,0x000ffff8,0x3f603ff6,0xfffa8006,0x07fff100,
    0xd50ff900,0xf50bfe20,0x81bf603f,0xff881ffa,0x003fe406,0x7fc41ff2,
    0xf309f501,0x7fee989f,0xe880dd88,0x802ffc04,0x7fe43ffb,0x1ffa8337,
    0x2200dfb0,0xfffb805f,0x00fda9be,0xfb80fff8,0x80d4403f,0xfffb86e8,
    0x80feb89c,0x3fe22ffa,0x837e401f,0x0bf702fc,0x3fee0df7,0x0feb89cf,
    0xf90fff30,0x3017e61f,0xfee989ff,0x203fe407,0x36006ff9,0x200ff902,
    0xb89cfffb,0x0ff900fe,0x13ff2000,0xc87ff700,0x400337ff,0x7fec05ff,
    0x87fc8000,0x83ff02fa,0xdfb01ffa,0x2627fcc0,0x7e407fee,0x07fec007,
    0x74c1dfb8,0x33bff606,0xddffe8ed,0x57bfff30,0xbff007f9,0x3bffe200,
    0x5effcbfd,0xfb01ffb8,0x00bea00f,0x7fffffec,0x09f9004f,0xf7003fe2,
    0x9f9115df,0x7ffffec0,0x5ff502ff,0x400effa8,0x01fdc3fe,0x0ef98bf2,
    0x3fffff60,0x3ff202ff,0xbaffe42f,0xeffd800f,0xdffe8edc,0x00ffd80d,
    0x2201ffee,0x1ffb00fd,0x3ffff600,0x3f602fff,0xf880000f,0x7fc4001f,
    0xffcbfdef,0x17e4005e,0x4001bea0,0x77d40ffc,0x7dc27d42,0x80ffb02f,
    0x8edceffd,0xfb05dffe,0x7ff4001f,0x33bfa601,0x7f4403fe,0x5bfd0dff,
    0x9dffff90,0x1fff5001,0x3bffaa00,0x320bff31,0x1fff03ff,0xb800fb00,
    0x003fffff,0x04d807e6,0xffffff88,0xfffc802e,0x3ff201ef,0x00effd84,
    0x177e7fe4,0xbeeeeb80,0xffffc800,0xfffc881e,0xfd14dfff,0x22003bdf,
    0xfd0dfffe,0x0fff405b,0xadfffd88,0xffcaaaaa,0x007ffa06,0x1effffc8,
    0x000fff40,0x50006d80,0x3e63dffd,0x0798005f,0x3a0007f0,0x7ffd41ff,
    0xfb02ddcf,0x1fff107f,0x6ffff440,0x7405bfd0,0xfeb801ff,0x2201dfff,
    0x54c000a9,0x54c00d40,0xfffb5000,0x22003bff,0xfea80880,0xfd92dfff,
    0x2a809fff,0x00353000,0x001100a0,0x8000554c,0x3f6e01a9,0xff52dfff,
    0x44039fff,0x33000099,0x006a6000,0x00153000,0x03502a60,0x6fffff5c,
    0xfffff930,0xffffffff,0xffd707ff,0x4c003bff,0x7ff5c01a,0x40001dff,
    0x04400018,0x05000044,0xd9000260,0x223bffff,0x2a015310,0x92dffffe,
    0x809ffffd,0x700540a9,0x01bffffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000005c4,0x333372a2,0xcccccccc,0x9d9504cc,0x206a8003,
    0x6c8006c8,0x2001b220,0x300a01f9,0xccccb801,0x9931cccc,0x26005999,
    0x04cccccc,0x05dfb710,0x06fbb6e0,0x01a81220,0x33220597,0x447ee201,
    0x32e0cedb,0x1ccccccc,0x99999930,0x33332e19,0x4ccca84c,0x001fff50,
    0x0000aa88,0x22039000,0x33333264,0x664c3ccc,0x33cccccc,0x99999999,
    0xff100039,0x101c805f,0x30173007,0x2815c401,0x99999993,0x00355579,
    0x26666664,0x83333322,0xffda8100,0xff900001,0xfffd959d,0xfdb9999d,
    0xfcbda81f,0x05f1000f,0x3001ff2a,0x1ff2a03f,0xb300fa00,0x2600b101,
    0x40bffffc,0x01fffeb9,0x05dff710,0x36233e60,0x4bba203f,0x4fffffd9,
    0x02dc0eb8,0x3fe60bfd,0x9fffd982,0x46ffffe8,0x0cffffc9,0x1fffdc40,
    0x033fff62,0xfe80f7dc,0xbb3004ff,0x6cc1bffb,0xf100002e,0x5441e887,
    0x100cffff,0x839ffff5,0xadfffeb8,0xfff90001,0x4c2f880d,0x3ffa200e,
    0xfb8120cf,0x88a61eff,0xdefffffb,0x02dffffd,0x0e7ffecc,0xf70f7ecc,
    0xcb9ff41d,0x80001fff,0xff881dfd,0x703ea03f,0xbb003fb8,0xe800ff00,
    0x4007f803,0x9dfb006b,0xe8005fd9,0x7f4403ff,0x3f2000ff,0x989f1001,
    0x20ffa06f,0xd01aaefe,0xe803f25f,0x05ff305f,0x5d5ffd33,0xd05ffb31,
    0xfc8009ff,0x80bffa02,0x35f701fa,0x2f8803ff,0xffe97fee,0xf700001f,
    0xfb813e6b,0xdff7006f,0x007ffb80,0x7ec67cc0,0xf9a7e403,0x7fdedc03,
    0xd106bcff,0xd7dfffb7,0x20bff703,0x01efffa8,0xf900fff4,0xf32ffe81,
    0x01ffb8ff,0x03bfa200,0x6c03ffc8,0x4007dc01,0x07f800fa,0x3fc01ae0,
    0x2003f100,0x06fffff9,0x802ffd80,0x2006fff9,0x3fb000fb,0xff701ff0,
    0x500ff703,0xe809fdff,0x05ff305f,0x22077fdc,0x3ffd85ff,0x3007dc00,
    0x836409ff,0x817a21f8,0x27fc86e8,0x0004fffc,0x03ffbfa0,0x277fee66,
    0x99999999,0x8099effb,0x40006ff9,0x1007e44d,0x900dfdff,0x0ffffe44,
    0x3ffaa1a8,0x0bff504f,0x01fffd88,0x3e813fea,0x3fa0ffb8,0x000ffd44,
    0xc803ffb0,0x00dc03ff,0x5f1005f1,0x4c01fe00,0x00ff001f,0x6d40026c,
    0xffb0001c,0xffff1005,0x801ea009,0xb02980ff,0x0bfea0ff,0x003fff60,
    0x3fe60bfd,0x407fea02,0x2ffd85ff,0x6c03d400,0x205f00ff,0x2a05901c,
    0xaa81505f,0x2a00006e,0xff983fff,0xffffffff,0xffffffff,0xff984fff,
    0x40ea0006,0x7ffdc04a,0xbb882802,0x16540601,0x200bff50,0x3a00fffc,
    0x201f507f,0x3ff50100,0x1bfe6000,0x000ffee0,0x006ffec4,0x07f80172,
    0x3fc009d0,0x00006b80,0x0bff2000,0x3fff3e20,0x3007a803,0xffb000ff,
    0x200ffe60,0xfe800998,0x405ff305,0xdfb01ffa,0x8005ffb0,0x3ff9807a,
    0x100207a8,0x20017ee0,0x4c00004d,0x4ffa8019,0x80bff500,0x20005ff9,
    0x4cc00400,0x00000001,0x02ffd400,0x205fff88,0x04d83ffb,0x03ff5000,
    0x00fff600,0x8000ffee,0x2606fdb9,0x01fe000f,0x0ff001ae,0x00003f10,
    0x17fe4000,0x7fe4fc40,0x803d401f,0x5c000ffb,0x2ffa80ff,0x5fe80000,
    0x5405ff30,0x0dfb01ff,0xa8005ffb,0xd0ffb007,0xfb000009,0x00f8800b,
    0x2a000000,0xff5004ff,0x05ff980b,0x00000000,0x00000000,0x400bff50,
    0xf101fffb,0x000f88df,0x003ff500,0x005fff30,0x0aa07ff7,0xe807fc40,
    0x203fc003,0x3fc001f8,0x980026c0,0x000bdedb,0x44017fe4,0x01fffb1f,
    0xffb803d4,0x1ffcc000,0x26007fe4,0x200bdedb,0x5ff305fe,0xd80ffd40,
    0x02ffd86f,0xf9803d40,0x3003e63f,0x0597bddb,0xe88017fa,0xc9800002,
    0x04ffa807,0x980bff50,0x300005ff,0x666440f9,0xcccccccc,0xb88fdc43,
    0x93000bed,0x0bff500f,0x204fff80,0x01721ffc,0xff503e4c,0x02fb6e23,
    0x400fffd4,0x05b03ffb,0x2e407e40,0x3603fc00,0x407f8004,0xed8000fa,
    0x01efd98a,0x200bff20,0xdffd11f8,0xfb803d40,0xffb8001f,0xb00bfa21,
    0x3dfb315d,0x7cc17fa0,0x07fea02f,0x7fec37ec,0x003d4002,0x202e4ffd,
    0xffb88bf9,0x3bff32e2,0x1b101ccc,0x3b264da8,0x3ffaa01d,0x04ffa807,
    0x980bff50,0x540005ff,0x3e607ffe,0xfcccccce,0xfffb34ff,0xbffffd13,
    0x07ffea80,0x4005ffa8,0x3e206ffd,0xd5007e4f,0x7fd40fff,0x5ffffe99,
    0x001fff70,0xfb887ff7,0x2617a002,0x07f8000f,0x3e0003aa,0x000be207,
    0x3ff207f2,0x05ff9002,0x7fc43f10,0x200f505f,0x50002ffa,0x03df9bff,
    0xffc81fc8,0xf305fe82,0x0ffd405f,0xffd86fd8,0x003d4002,0x00be7ff5,
    0x5c5f309b,0xccceffcc,0xfffc8801,0x3fffff94,0x01ffe660,0x54013fea,
    0x7fcc05ff,0x400dd885,0x2a07ff99,0x997fea06,0x8aeaffe9,0x2602ffd9,
    0xfa807ff9,0x7fe4005f,0x5c7fec07,0x7ff99806,0x2baffea0,0xd82ffd88,
    0xff7007ff,0x5fffdddd,0xbb57bf10,0x30007d01,0x05f103ff,0x203ff300,
    0x4fb8005d,0x200dff10,0xf8802ffc,0x41fffd41,0x3ffee07a,0x03ffffff,
    0x01989d88,0x3e209f70,0x305fe86f,0x7fd405ff,0xfb0dfb01,0x07a8005f,
    0x03df7f40,0x816413e2,0x988005fe,0x89cccffb,0x7ec06ffb,0xaeffa807,
    0xaaaaaaaa,0x7cc05ffc,0x03ffb85f,0x1d40ffb0,0xb80fff88,0x7fc40eff,
    0x707fd804,0xffffffff,0x3ee0ffff,0x3fea00ff,0x3f6003eb,0x03bfea07,
    0xffb0bff1,0x37fee00d,0x02fecaaa,0x2e037995,0x53075c06,0x84d83555,
    0xaa982dc9,0x007d41aa,0x17fc41d7,0x9007ff90,0x3f1005ff,0xa85fff70,
    0x3f732607,0x801cccdf,0xff88004e,0xd0fff202,0x4bfee0df,0x80ffd408,
    0x2ffd86fd,0x2003d400,0x4c04fffa,0xd02981ff,0xff8000bf,0x407fd82f,
    0xffa807fc,0xccccccce,0x405ffdcc,0xffa85ff9,0x40ff9002,0x03ffd008,
    0x7fc07fea,0x107fc805,0x33bff733,0x3ea03333,0xddddb0ff,0xdddffffd,
    0xff903ddd,0xe80ffd40,0x07ffb86f,0x3607ff70,0x07e60002,0x2000ff98,
    0x7efec0fa,0x3e2000ff,0x983fe602,0x3fe601ff,0x02ffc806,0xffb01f88,
    0x9803d43f,0x7d4002ff,0x401999ae,0x3e601ff9,0x217ff46f,0x8192ffdc,
    0xdfb02ffb,0x8005ffb0,0xffe8007a,0x03fff800,0x00017fa0,0x3fee09ff,
    0x201ff200,0xf5004ffa,0x5ff980bf,0x7e400330,0x3ffc8007,0x6c07fea0,
    0x07fc806f,0x4005ffa8,0x2aaa7ffc,0xadffcaaa,0xc80aaaaa,0x07fea07f,
    0x7fcc37ec,0x3ffb800f,0x74000550,0x03fba204,0x16617c40,0x2e4007fb,
    0x5c1fdd10,0x3fe200ff,0x02ffc807,0x3fa01f88,0x200f50ef,0x5c002ff9,
    0xffffffff,0x07fdc2ef,0xfe8fff10,0xff3fddff,0x9ffb0b5d,0x3f21bf60,
    0x03d4002f,0xc802fdc0,0xe803ffff,0x7fc0005f,0x403ff504,0xffa807fc,
    0x0bff5004,0x0005ff98,0xa800ff90,0x7fd405ff,0x900dfb01,0xbff500ff,
    0x06ffd800,0x4003ff98,0x3fea07fc,0xf10dfb01,0xff7003ff,0x40006207,
    0x7ed7406b,0x150bb000,0xf3005f98,0x07ed7401,0xff801ffb,0x17fe400f,
    0xf100fc40,0x401eabff,0xc8001ff8,0xffffffff,0x03ff65ff,0x67c1fff0,
    0x3ee2ffff,0x3ffaa1ef,0x37ec2eff,0x20017fe4,0x2f88007b,0x3fffee00,
    0x017fa01e,0x2a09ff00,0x1ff201ff,0x4013fea0,0x7cc05ffa,0xf900005f,
    0x7ffc400f,0x80ffd400,0x7fc806fd,0x005ffa80,0x4c027ff4,0x7e4003ff,
    0x407fea07,0x5ffd06fd,0x007ff700,0x201f8800,0x5001fb4d,0x0fe6001f,
    0x27b01f40,0x07ffa0fd,0xf900dfd0,0x03f1003f,0x7acfff98,0x001ff100,
    0x2a6665b0,0xfd0febaa,0x46fe803f,0x5101a8af,0x85fd8000,0x5c003ffc,
    0x007b8006,0x2ffffd88,0x8000bfd0,0x3ff504ff,0x5403fe40,0xff5004ff,
    0x05ff980b,0x00ff9000,0x5400fff4,0x0dfb01ff,0xf500ff90,0x7fc400bf,
    0x3bbbb62f,0xeeeeffee,0x7fc81eee,0x6c07fea0,0x0bff906f,0x2007ff70,
    0x5c09b001,0xd1003f65,0x007e4005,0x6cb70364,0x00bff20f,0xff9009fd,
    0x003f1001,0x00fbfff5,0x2640037c,0xff92e880,0x224fe805,0x0000003f,
    0x9ff709fb,0x8005d800,0x3a60003e,0x0bfd07ff,0x504ff800,0x3fe403ff,
    0x8027fd40,0x7cc05ffa,0xc824005f,0x7ff9007f,0x407fea00,0x7fc806fd,
    0x005ffa80,0x55517ff6,0x5bff7555,0x90155555,0x0ffd40ff,0xff106fd8,
    0x3ffb803f,0xfb805980,0x7ec1d300,0x3002e400,0x01f3003f,0x5c1fb1a6,
    0x17fc05ff,0x8803fe40,0xfff9001f,0x09f1100f,0x00bea2a8,0x5ffb8fc4,
    0x9f517fc0,0x36000000,0x06ff983f,0x2a001fc0,0x2055000f,0x5fe82ffd,
    0x827fc000,0x3f201ffa,0x04ffa807,0x980bff50,0x162005ff,0x7d403fe4,
    0xff50605f,0x201bf603,0xffa807fc,0x1fff5005,0x00ffe600,0x7d40ff90,
    0x40dfb01f,0x7e406ffb,0x402e803f,0x9bf102f8,0x2079fd99,0x5d1000f9,
    0x7c40fa00,0x3cfecccd,0x7c403ffa,0xf905cc0f,0x007e600d,0x2207ffd8,
    0x202dffed,0x4017fa0e,0x807ff45c,0x17ee0ff8,0x7f400000,0x003ffb00,
    0x441003f2,0x41aa003e,0x5fe82ff8,0x827fc000,0x3f201ffa,0x05ffa807,
    0x980bff50,0x0b6006ff,0x3e203fe4,0xa89100ff,0x0dfb01ff,0xf500ff90,
    0xffd300bf,0x1ffcc007,0xa81ff200,0x0dfb01ff,0x3a03ffc8,0x07e404ff,
    0xee881760,0x04effeee,0x07a2007d,0xdd1035c0,0x49dffddd,0x3f905ffa,
    0x3f64ff88,0x003f5002,0x3b03ff44,0x337fffee,0x7fe46fda,0x0ed980ad,
    0xfc82ffd4,0x00037ec1,0x0bf0fa60,0x20077f44,0x7fec01fc,0x7d4005fd,
    0xff03ff02,0x4ff8000b,0x6c03ff50,0x7fdc00ff,0x0dff5006,0x8807ffb8,
    0x1ffb00fd,0x300fff40,0xb02ffb89,0x1ffb00ff,0x405ffb80,0x4002effb,
    0x6c004ff9,0x5ff500ff,0x2e01ff60,0x3f221dff,0xa999aeff,0x7d405fea,
    0x00fd8000,0x07a600d9,0x003f3075,0xff701fb0,0x4417e449,0x009f1fff,
    0x260027e4,0xa9e9a07f,0x1fffffff,0xffffffd8,0x3ee03fff,0x20bf224f,
    0x400006fd,0x0ddafffb,0x0577fcc0,0xd007fb73,0x8001ffff,0x27d42efa,
    0x20005ff8,0xff505ff8,0x00fff405,0x2003fff6,0xb100fffd,0x5555bfff,
    0x40dff955,0xff901ffe,0xb0fea607,0xfff107ff,0x01ffe801,0x2afbff62,
    0x4ffeca99,0x0bff9000,0x901ffe80,0x3ffe07ff,0xfffc8800,0xffffffff,
    0x2fffffff,0x4000be20,0x01f980fd,0xffffffa8,0x0004e81f,0x3faa01fb,
    0x2e02dfdf,0x8804dfff,0x0cfffffc,0x6e40f500,0x3fff623e,0x3fb2601c,
    0xa800bcef,0x02dfdffe,0x000005d5,0x4007bfd9,0xffffffd9,0xdd5002ef,
    0xff500017,0x205bb9ff,0x0000fffa,0x3f20dff3,0xfffeb84f,0x3fb260df,
    0x4c3dffff,0xdfffffec,0xfffff933,0xffffffff,0xffd707ff,0x7fcc1bff,
    0xffffffff,0xfffd53ff,0x3ffb25bf,0xffeb84ff,0x3f660dff,0xffffffff,
    0x8000abce,0xcfffffec,0x3fffae00,0xfffb50df,0x3ffb25bf,0x4cc004ef,
    0x5c000019,0x412e0004,0x9999003c,0x0b507999,0x44025c00,0x06a2001a,
    0x0c000000,0x04c40260,0x22000000,0x0000001a,0x98800000,0x0000aaba,
    0x31088000,0x3ff6a015,0x1004dfff,0x29dffffb,0x2dffffda,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xccccccb8,0xcccccccc,0x333263cc,0x003ccccc,
    0x32f7bb66,0x54001002,0xcc981203,0x0ccccccc,0x48815c00,0xcccca800,
    0xcccccccc,0xc984cccc,0xbccccccc,0x88001aaa,0x03bb31eb,0x36e23f71,
    0xd95000be,0x500a017d,0x6666664c,0x666642cc,0xcc983ccc,0xaacccccc,
    0x3326001a,0xcccccccc,0x00cccccc,0x64c026cc,0x06b8cefd,0xbd9335c4,
    0x33332609,0xcccccccc,0xd9102ccc,0x326019df,0x3ccccccc,0x6666664c,
    0x999913cc,0x00099999,0x999303fd,0xc8000799,0x930ccccc,0x99999999,
    0xcccb8003,0xcccccccc,0x003ccccc,0xfdddfffd,0xffddddff,0xfffa88df,
    0x3e6001cf,0x02ffb88b,0x3a006fb8,0x54402d84,0x001cffff,0x1e887f10,
    0xffc98800,0xccccdfff,0x880ffedc,0xdefffffb,0x02dffffd,0x54fffecc,
    0x3f666fff,0xfffe89ff,0x67ec405f,0x3b85ffa9,0xffa88950,0xfa880cff,
    0x7100aeff,0xdbddffff,0x22005dff,0xcccfffea,0x1ffedccc,0x809ffb30,
    0xffb99bfb,0xfffb506f,0x3bffffe6,0xefffa880,0xffeccccc,0xffffb84f,
    0xf5103fff,0x22019fff,0x81cffffa,0x02efffe9,0x301ffb80,0x001ffff7,
    0x2fbffea0,0x7fff5c40,0xfe8001ad,0xfffeeeff,0x6fffeeee,0x07ba1f64,
    0xd710bff2,0x01bfee0d,0x0be61360,0x400bffa0,0x06e88ef9,0x001bfee0,
    0x3a237ea0,0xdef80005,0x07d401ff,0x220bff70,0x301efffa,0xb5b5ffd3,
    0x7ff4ccbf,0xffd98aea,0xb81df102,0x6ffc42ff,0xf900ffdc,0x3ff980df,
    0x213fee00,0x2004ffe9,0xfa805ffa,0x4ffecd82,0x3ea07f60,0xfff3306f,
    0xfffd79d3,0x027fe40b,0xdff313ee,0x05ffff97,0xb8037fdc,0x7fcc06ff,
    0xff98000f,0x7ffec01f,0xfffb0004,0x07ffb807,0x640f7400,0x26f983ff,
    0x03e0fff8,0x6a817fe4,0x800bff50,0x005904f8,0x6c001df7,0x2001feff,
    0x00005ffa,0x001ffdfd,0xffd9f880,0x2a00d801,0x7ec405ff,0x3fea01ff,
    0x7fdc020e,0x827fc40e,0x6ff881fc,0x3fffffb8,0xb017fee0,0xffa8005f,
    0x07fff104,0x4017fe60,0x13fe602c,0xdff027d4,0x40dffc80,0xf702fffa,
    0xe899009f,0x7ffec40d,0x00bff700,0xf1017fea,0x3ba000ff,0x7fdc01ff,
    0x7cc000ff,0x7cc01fff,0x0f40006f,0xf303ffc8,0x90346ff8,0xa83405ff,
    0x7cc004ff,0x1002981f,0xbfff1000,0x05ffa800,0x7fff3000,0x36b90000,
    0x01b801ff,0x64017fea,0xff500fff,0x07fea005,0x3fcc2ffc,0x2e205b70,
    0x7fd400bd,0x0007f604,0xfc813fea,0xbff3006f,0xf880ea00,0x00ff884f,
    0xff901bf6,0x417ff201,0x58804ffa,0xffe803e6,0x00bff502,0xf1017fea,
    0x5d9000ff,0xdfa803ff,0x76c003ff,0x7cc00ffe,0x0340006f,0x22c07ff9,
    0xf90140a8,0xfa81405f,0x0abcccef,0x000fffe0,0x26620000,0x27fd4000,
    0x03330000,0x363f1000,0xa80001ff,0xff1005ff,0x07fea0bf,0xd80ffd40,
    0x006fb86f,0x3fea0000,0x0003f904,0xfa813fea,0xff9800ff,0xf8802005,
    0x407fb84f,0x3fe406fd,0x2a0dff30,0x5c1004ff,0x81ffd402,0xf5004ffa,
    0x7ff880bf,0x7d47d400,0x7cfd401f,0x2be2006f,0x7cc00ffe,0x0140005f,
    0x01407ff9,0x017fe400,0x6677fd40,0xc80dfffd,0x0003ffff,0x50000000,
    0x000449ff,0x5c800000,0x00007ff6,0xb8017fea,0xffa81fff,0x03ff5001,
    0x17f61bf6,0xfa800000,0x001fc84f,0x9813fea0,0xf9801fff,0x3e00005f,
    0x406fc84f,0x3fe406fd,0x7d41ffe0,0x8008004f,0xff502ff9,0x17fea009,
    0x400fff10,0x03ff52f8,0x05ffd7a8,0x07ff5b20,0x0017fe60,0x03ffc800,
    0x7fe40000,0x4ffa8002,0x407ffec4,0x81effffb,0xccccccc8,0x5c43cccc,
    0x17db711f,0x269ff500,0xeb88001e,0x8003bb31,0x07ff61f8,0xffa802a8,
    0x27ffc005,0xa800ffd4,0x0dfb01ff,0x98000dfd,0x4ffa807c,0x200017ec,
    0x3ee04ffa,0xff9800ff,0xf801cc05,0x405fd84f,0x3fe406fd,0x2a03ffa0,
    0x001204ff,0xf500ff98,0x3fea009f,0x03ffc405,0x0ffd4bb0,0x37fd5ea0,
    0xffe9fc40,0x02ffcc00,0x7ff90000,0xfc800000,0xffa8002f,0x01fffb04,
    0x85ffffb1,0xcccccef9,0xfb34fffc,0xfffd13ff,0x9ff500bf,0xd98007f5,
    0xfffa9fff,0x362ec006,0x00b601ff,0xb0017fea,0x3ff50dff,0x407fea00,
    0x07fd86fd,0x0fffd500,0x7ec9ff50,0xffa80002,0x013ffa04,0x3202ffcc,
    0xd09ff003,0x06fd80df,0x3f603fe4,0x209ff507,0x3ea00078,0x013fea07,
    0x2202ffd4,0x1f5007ff,0x2a00ffd4,0x700bffa7,0x003ffa1f,0x0000bff3,
    0x001ffe40,0x0bff2000,0x413fea00,0x2602fff9,0x03547ffe,0x74ccbff5,
    0xd98aeaff,0x7fd402ff,0x998002ff,0xfdadaffe,0xb07e6005,0x5f5103ff,
    0x00bff500,0xfa87ffc8,0x3ff5001f,0x3f21bf60,0x2604c01f,0xfa807ff9,
    0x002fd8cf,0x109ff500,0x2001dffb,0xf3105ff9,0x213fe007,0x37ec07fd,
    0xfb01ff20,0x213fea0b,0x320007c8,0x13fea03f,0x202ffd40,0xf8807ff8,
    0x200ffd42,0x017fee7a,0x007ff49f,0x00017fe6,0x003ffc80,0xfffff100,
    0xffffffff,0x27fd401f,0x0aa9fff0,0x07517fec,0x2e03ffe2,0x7fc40eff,
    0x0f7fd404,0x3bfea000,0x09b00020,0xdddddffb,0x3ee05fff,0xffffffff,
    0xfff707ff,0x001ffa81,0x3f603ff5,0x405ffb86,0x201ff606,0x1ffedffa,
    0x9ff50000,0x13ffee66,0xddfff300,0x07fffddd,0x3f213fe0,0x01bf602f,
    0x7f401ff9,0xddfff504,0x000fffdd,0xff501be2,0x9999999d,0x80bffb99,
    0x4d807ff8,0x5401ffa8,0xa80fffc7,0x003ffa0f,0x0000bff3,0x001ffe40,
    0xb5555500,0x555559ff,0x204ffa80,0x20d55ffe,0x40222ff8,0xff501ffe,
    0x5017fe03,0x500009ff,0x4c0005ff,0xacffd80f,0x02fdaaaa,0x3bff7331,
    0x2a033333,0x7fd40fff,0x03ff5001,0x3fe21bf6,0x640b703f,0xdffa807f,
    0x0001fffe,0xffffffa8,0xf30003ff,0x755555df,0x3fe007fb,0x00effa84,
    0xffc80dfd,0x201ff100,0xaaaadffa,0xf70007fc,0xceffa805,0xcccccccc,
    0x7c405ffd,0xa835c07f,0x23d401ff,0x89d05ffb,0x7cc00ffe,0x2000005f,
    0x00003ffc,0x0017fe40,0xf8827fd4,0x205f54ff,0xffc801ff,0x407fea03,
    0x3fe606fd,0xfa80004f,0x3ba0001f,0xffeaaaaa,0x2a00b601,0x7e4005ff,
    0x02ffa87f,0x3605ff70,0x9fff707f,0x401fd713,0xffa807fc,0x01fffe8c,
    0x927fd400,0x26000bff,0x01e405ff,0xffd04ff8,0x37f6c43d,0x640bff20,
    0x13fea03f,0x7c4003c4,0x04ffa803,0x880bff50,0x07e607ff,0x2a00ffd4,
    0x207ffc47,0x07ff41fa,0x0017fe60,0x03ffc800,0x3f200040,0xffa8002f,
    0x23fff504,0x27d42efa,0x202ffd40,0xdfb01ffa,0x13ff7ea0,0x07fea000,
    0x6667d400,0x01ffeccc,0x3fea00aa,0x37fec005,0xd802ffe4,0xfff883ff,
    0xfffffb00,0x7fc805ff,0xd14ffa80,0x40003fff,0x7ff44ffa,0x5ff98003,
    0xff801d40,0xfffff304,0x80dfb3fd,0x7dc0fffc,0x027fd405,0x00bb000b,
    0x54013fea,0x7fc405ff,0xfa80fa07,0x643d401f,0x742ec4ff,0x7fcc00ff,
    0x32000005,0xfd1003ff,0x17fe4009,0x427fd400,0x3ea4fffa,0x02ddcfff,
    0x400fff88,0xdfb01ffa,0x9ff53f70,0x3ff50000,0xd80fa000,0x006201ff,
    0xd0017fea,0x7ff549ff,0xfd503eff,0x3b25bfff,0xf904ffff,0x9003dfff,
    0x9ff500ff,0x00ffff44,0x4c4ffa80,0x4c001fff,0x00c405ff,0x3a604ff8,
    0xdfb0efff,0xefbffc80,0xfa803ffc,0x9000604f,0x3fea001d,0x0bff5004,
    0xf707ff88,0xffffffff,0x501fffff,0x21fff10f,0x0ffe81f9,0x002ffcc0,
    0x07ff9000,0x00bfff20,0x40017fe4,0xf7314ffa,0x51088bff,0x7ff4001d,
    0x01ffa801,0x2a170dfb,0xa80004ff,0x7a8001ff,0x000ffec0,0x002ffd40,
    0x0005fff1,0x54000000,0x1ff2001e,0xd113fea0,0x50003fff,0xdff709ff,
    0x05ff9800,0x013fe000,0x0dfb02a6,0x35317fc8,0x027fd400,0x000eb800,
    0x54013fea,0x7fc405ff,0xfffff707,0xffffffff,0x360f501f,0x3a0db3ff,
    0x7fcc00ff,0x32000005,0xff7003ff,0x3ff200bf,0xfffa8002,0x02dfffff,
    0xf9003fd8,0x3fea007f,0xa80dfb01,0x424004ff,0xe8001ffa,0x00ffec03,
    0x17fea030,0x205ffd80,0xa8001dfd,0xf90003ef,0x03fe4007,0x74427fd4,
    0x54001fff,0x9ffb04ff,0x02ffcc00,0x04ff8060,0x901bf600,0xfa8000ff,
    0xe980004f,0x27fd4000,0x405ffa80,0x55307ff8,0xf9555555,0x1ea0557f,
    0x17cfffcc,0x4c00ffe8,0x024005ff,0x4007ff90,0xf9006aa9,0xff50005f,
    0x4001333b,0x5401ffd8,0xf50605ff,0x01bf603f,0x4c009ff5,0x001ffa84,
    0x7fec035c,0x2a0b3001,0xff5005ff,0x37f5401f,0x0ffecc00,0x0bff6200,
    0x5403fe40,0xffd104ff,0x7fd4003f,0x05fff104,0x8017fe60,0x013fe058,
    0x6406fd80,0x7d40007f,0x74c0004f,0x7fd40401,0x0bff5004,0x0007ff88,
    0xf5007fea,0x0377fec0,0xf9801ffd,0x0162005f,0x8003ffc8,0x7ff9003c,
    0x0bff5000,0x405fd000,0x9100fff8,0xfb01ffa8,0x05ffa80d,0x3fea0ba0,
    0x00fe2001,0x74007ff6,0x00bff502,0x1007ffd3,0x360001ff,0x7fb0003f,
    0x201ff200,0x3a205ffa,0xf5002fff,0x7ffd40bf,0x06ff9800,0x4ff80f60,
    0x01bf6000,0xa8000ff9,0x2a0005ff,0x5424c01f,0xff5005ff,0x07ff880b,
    0x007fea00,0x7ffcc0f7,0x003ffa03,0x6c00dff3,0x0fff2002,0x74003e00,
    0xfb8003ff,0x7c40005f,0x00fff407,0x02ffb893,0xffb80ffb,0x507d8806,
    0x3ec005ff,0x802ffe80,0xbff700fc,0x02effb80,0x40009f50,0x3fe0007f,
    0x01ffb000,0x4405ffb8,0xb804ffff,0x7fe405ff,0x37fd400e,0xf100fc80,
    0x7f40009f,0x007fe407,0x00bff700,0x2aab3ea0,0x81fdbaaa,0xf5006ffb,
    0x7ff980df,0x07fea000,0xffe80f90,0x007ffe00,0xb100fff7,0x7fec001f,
    0x00f62003,0x0037ffc4,0x003fff62,0x8077f260,0xf5303ffc,0x883ffd87,
    0x3f600fff,0xaaaabdff,0xf905ffca,0x3fee00bf,0x6fffcc00,0xeba99999,
    0xdffb105f,0xfd953357,0x3b6a009f,0x7e4c000c,0x7e44001d,0x3ffa002d,
    0x3fff6201,0x7ffff400,0xfffb101d,0xaeffe801,0x35fff900,0xfd533333,
    0x037fcc0b,0x00fff880,0x4000bffa,0x000fffd8,0x7fffffd4,0x887fffff,
    0x4400fffd,0x3200fffd,0x50002fff,0x7f4403ff,0xa813ea02,0x36204fff,
    0xaaaadfff,0x006ffcaa,0x003bffe2,0x36a00baa,0x1dffffff,0x3ffff660,
    0x4c003dff,0x7fffcc00,0xffffffff,0xbffffd53,0x3ffffb25,0x3fffb264,
    0xffffffff,0x7f542fff,0xd303efff,0xb83bffff,0xfffffffe,0x3fffffff,
    0x7ffffecc,0xabceffff,0x00022000,0x09800030,0x3fffae00,0x3ff660df,
    0x4c2dffff,0xfffffffe,0xffffb33f,0x3e207bff,0xd935ffff,0xffffffff,
    0x07ffffff,0xbdffffb7,0x3ffb6001,0x3fb60dff,0x3001efff,0xbffffffb,
    0xffff3007,0xffffffff,0x7fffecc9,0x7ecc3dff,0x13dfffff,0xbffffff9,
    0x1ffa8009,0xeffffd98,0xfd701d04,0x219fffff,0xffffffc9,0xffffffff,
    0xffda803f,0x201dffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999100,0x99999999,0x33326599,0xaacccccc,0x6664c019,0x82cccccc,
    0x2ccccccc,0x33333326,0x01aaabcc,0x33333260,0x2009abcc,0xccccccca,
    0x9999301c,0x76dc0999,0x776402de,0x1eeeeeee,0x2aaaaaa6,0xaaaaaaaa,
    0x3bbbb21a,0x201eeeee,0xeeeeeeed,0x3ae200ee,0x6400bcee,0x3220cccc,
    0x11003ccc,0xeeeeed80,0x4400eeee,0xddddd700,0x2005dddd,0x33000019,
    0x08800000,0x0004c000,0x00001980,0x0000cca2,0x16209100,0x2f3bbae2,
    0x82000200,0x84cccccb,0x9504cccb,0xf98017dd,0xeeeeeeff,0x20efffee,
    0xceffffb8,0x0cfffecc,0xfffff950,0xff51015d,0xfb8813bf,0xfddeffff,
    0x8803dfff,0xfefffffb,0xfa883fff,0x401dffff,0x80afffe9,0xffc9aee9,
    0x3ffffa04,0x2e1fffff,0x99999999,0x39999999,0x3ffffffa,0x3fe01fff,
    0xffffffff,0x515ff300,0x4c401dfd,0x7e4c0fff,0x801b005f,0xfffffffe,
    0x80e401ff,0xfffffffc,0x07b003ff,0x0016e000,0x0bdfdb88,0x3ae603d1,
    0x9bf20bde,0x220ccccc,0xffabcccc,0x7e4c0001,0x0005bf54,0x7b02e880,
    0xea8aff98,0x21fa80ef,0x222cdcb9,0xbfff713e,0x1037ea01,0xbff539fb,
    0x4c01fd40,0xff701fff,0x3fff220b,0x3fffa201,0x803fe803,0xf5105ffb,
    0xf9003dff,0xeffd989f,0x0fffe880,0x201df500,0x3ffc83f8,0x33333310,
    0x00038333,0x3333311c,0x99803333,0x19999999,0xff10ffa0,0x01ff9009,
    0x3e6017fe,0x4cccc400,0x44019999,0x3333101f,0x00133333,0x5c0000f6,
    0x3bfb0005,0x07d5ffb5,0x3f662bb6,0x221ff91e,0x64c0fff9,0x02ffadff,
    0x83bfb500,0x0003efd9,0x03f20db0,0x4ff887fd,0x9df95f70,0x0bd5dfd9,
    0x7cc07ff9,0x2e077c40,0x009702ff,0x5409ffd1,0x7fdc05ff,0x3fff4406,
    0x5400fe60,0x7ec405ff,0x7fd401ff,0x20fffd04,0xb003fff9,0x807ec03f,
    0x00000fff,0x00380007,0x26000000,0x06fe82ff,0xfd00ffb8,0x001fd00b,
    0x03fb0000,0x0f600000,0x002dc000,0x7fec0fe4,0xf903f905,0x3f217a5f,
    0x36bff00f,0x3ae2000e,0x7e4400cf,0xf90000cf,0xf987f705,0x206fe82f,
    0xfd881efc,0x40bff105,0x881fc84c,0x005706ff,0xfa80dffb,0x1ffd805f,
    0x81fffcc0,0x3ea004e8,0xfffb005f,0x827fd401,0xf901fff8,0x3f8801ff,
    0xfe817e60,0x0700001f,0x00003800,0x07fc0000,0x7dc037ec,0x80bfd00f,
    0x00000ffc,0x000ffe40,0x003d8000,0xb800b700,0x1fff104f,0xff104fc8,
    0x3fee07bf,0x179dfd00,0x2fbf2200,0xdfeb8000,0x21bea001,0x0ff80ff9,
    0x1b606fd8,0xffc81b60,0x7f981f00,0x01c0b6e0,0x200fffd4,0xfb805ffa,
    0xfffa804f,0x54006d80,0xff1005ff,0x27fd40df,0x7409fff0,0x036c04ff,
    0x3fffffee,0x402fffff,0x382deedb,0x2e21c000,0x900bceee,0x64419999,
    0x20203ccc,0xfb806fea,0x20bfd00f,0xcccfffe8,0x37b6e602,0xfffb100b,
    0x64c0599b,0x007b0007,0xf0016e00,0x3fff205f,0xc80bfe23,0x3fee02ff,
    0x400bfd00,0x0002dfda,0x805dfb50,0x7fc41ff9,0x3faa0203,0x2001f306,
    0x09ff303e,0x00df70b7,0x7ffc4000,0x05ffa803,0xb005ffb8,0x00fc8dff,
    0x002ffd40,0x2a03fff7,0x3ff604ff,0x07ffe606,0x3f200fd4,0x774c0003,
    0x1c4ffc9a,0xff98e000,0x80efea8a,0x4c0fff98,0xc8805ffc,0xb806fece,
    0x0bfd00ff,0x333ff72e,0x315db02c,0xb9503dfb,0x50599bff,0x2000fffd,
    0xb700003d,0x40ffcc00,0x266ff9db,0x3fe601ff,0x403fee04,0xfeb805fe,
    0x3000001c,0xe8817ff9,0x03ff445f,0x6fecec88,0x36400b90,0x05d0ffb0,
    0x00000bfb,0xa802ffec,0xffd805ff,0x7fff1003,0x2a0007ea,0x7fc005ff,
    0x09ff504f,0x3202fff4,0x03e886ff,0x20004fd8,0x3ffc83f8,0x7470000e,
    0x027fc43f,0x3fe01ff9,0x42ff2205,0xffb806fd,0xb80bfd00,0x0fe400ff,
    0xfa817fe4,0x7fccc01f,0x007b0007,0xb8016e00,0x4475c0ff,0x03ff27ff,
    0x2e06ff88,0x0bfd00ff,0x002fff22,0x7dc40000,0x85ffb1cf,0x64403ffd,
    0x20dfb0bf,0x81ea003d,0x41e62ffa,0x000006fe,0x2001fff7,0x7cc05ffa,
    0x3ea000ff,0x0003faff,0xe800bff5,0x9ff506ff,0x201fffc0,0x3644ffe8,
    0x0006fd80,0x7ffc03f6,0x33800070,0x0dfd05ff,0xfe807fdc,0xd83dd105,
    0x0ffb806f,0xfb80bfd0,0x413ee00f,0xff506ff8,0x41ff6003,0xaaaaaaa9,
    0xaaaaaade,0x5555511a,0x5555db55,0x7fec3555,0xfff83aa1,0xf801ffd0,
    0x03fee07f,0xff982ff4,0x0000000c,0xff33ffa8,0x206ff989,0x37ec1ee8,
    0x3e6003e8,0x3c9bfe00,0x0000ffb0,0x005fff30,0xf502ffd4,0xfb0005ff,
    0x54000bff,0x7e4005ff,0x09ff507f,0x2003ffee,0x3f31fffa,0x007ff200,
    0x205f9831,0x00071ffe,0x3603fe38,0x03fee06f,0x7fc42ff4,0xb806fd81,
    0x0bfd00ff,0xf100ffb8,0x1ffe405f,0xc800ffd4,0xdddd707f,0xddddfddd,
    0x3aa5dddd,0xfeeeeeee,0x4eeeeeee,0x0fccbff6,0x1ffe9ffa,0xf7037f40,
    0x017fa01f,0x0003bfd5,0xcffb8800,0x2a07fdc0,0x1ff882ff,0x09b06fd8,
    0x3ee03540,0xf900f89f,0x0009803f,0x50017ffa,0xdb99bfff,0x0001bfff,
    0x000fffe2,0x4005ffa8,0xfa80fffb,0x7ffe4c4f,0x5bff2002,0x3fea004e,
    0x3ee06c05,0xffffffff,0x800072ff,0x37f54043,0x3a01ff70,0xb07fc85f,
    0x1ff500df,0x4c417fa0,0x2099affb,0x3e601ff9,0x01ffa86f,0x2000ff90,
    0xb700003d,0x4dffdc00,0x325fe81f,0x27f402ff,0x3a01ff70,0xdfb3005f,
    0xc9800005,0x27e403ef,0x3fe437e4,0x0d706fd8,0x3e202e40,0x3ee05bdf,
    0x9003405f,0xa8001dff,0xecbbceff,0x0002dfff,0x0007fff2,0x2002ffd4,
    0xfa80fffa,0xfffddeff,0x7fc4000d,0x22000fef,0x09504fff,0x038007f9,
    0xec881c00,0x3ee06fec,0xb0bfd00f,0x0dfb01ff,0xf103ff50,0x3fff60df,
    0x3ee4ffff,0x1ffe200f,0x64007fea,0x07b0007f,0x8016e000,0xf02edffa,
    0x02ffdc7f,0xffa80bfe,0x800bfd01,0x000cffc8,0x00b7f6a0,0x2fd80fe8,
    0x7ec07fec,0x3007f106,0xdffb001f,0x1fffc403,0xff3005b8,0xff50003f,
    0x77ffd40b,0x7f7cc001,0xff50006f,0x7ffc800b,0x2a69ff50,0x7d40001a,
    0xfb8002ff,0xfda9beff,0x4004fd80,0x221c0003,0x0dfb0bfc,0xfe807fdc,
    0x643ffb85,0x260337ff,0x7f74c4ff,0x807fdc07,0x7fc00ffd,0x00ffd40f,
    0xb0007fc8,0x16e00007,0x207ffd00,0x7ff40ff8,0x401ff100,0xff883ffa,
    0xfd710006,0x3ae20039,0xe88000cf,0xffb8dd05,0x19bffe43,0xbf301fdc,
    0x01bfe600,0x2273ffee,0xe8800feb,0xf50004ff,0xffe880bf,0x19f1000f,
    0x50009fff,0xfd800bff,0x09ff506f,0x3ffa0000,0xfffb0000,0x3609ffff,
    0x001c006f,0x41ee88e0,0x3fee06fd,0xf10bfd00,0xf97fbdff,0xffd80bdf,
    0xffe8edce,0x01ff705d,0xfd007ffa,0x003ff50d,0x6c001ff2,0x0b700003,
    0x705ffa80,0x0bff505f,0xff3007f2,0x07fee98b,0x2efda800,0x017df910,
    0x881f9800,0x3bffe22f,0x5effcbfd,0x456ff7c4,0x02fdfca8,0x36007fd0,
    0x2fffffff,0x00dff900,0x402ffd40,0xb004fff9,0x00fffd4b,0x0017fea0,
    0x3ea0bffd,0xd000004f,0x5c0001ff,0x203fffff,0x8c401ffc,0xf89c0003,
    0x206fd81f,0xbfd00ffb,0x47bffaa0,0xe8805ff9,0xbfd0dfff,0x807fdc05,
    0x7f402ffc,0x001ffa84,0x36000ff9,0x0b700003,0x24ffed80,0x3ee03fc8,
    0x8017d44f,0x8edcfffd,0x0005dffe,0xb12efc98,0x800005bf,0xea8d305a,
    0xbff31eff,0xfd915f88,0x0bee3bff,0xc8003ea0,0x001effff,0x0003fff5,
    0xf802ffd4,0x0ec805ff,0x20037fec,0x22005ffa,0xff502fff,0x3a000009,
    0x980000ff,0x7fd404da,0x00386c05,0xb07fc9c0,0x07fd40df,0x04405fe8,
    0x530003e2,0xfb802e81,0x0bff700f,0xffa82ff8,0x00ff9001,0x40000f60,
    0x4d72005b,0x03dfdffe,0xdedffea8,0x3ffe2002,0x05bfd0df,0x54b88000,
    0x40000039,0x40440200,0x31048808,0x014006e0,0x2001a980,0x2003fff8,
    0x005ffa83,0xfa80bffd,0x04fff881,0x8017fea0,0x3ea05ffd,0xd000004f,
    0x400001ff,0x7ffc403f,0x001c9504,0x407fece0,0x3fe606fd,0x006ff881,
    0x500006c8,0x3ff5001f,0x8807ff40,0x2ffa80ff,0x2a0ff900,0xeccccccc,
    0xccccccce,0x200b7001,0x002a9858,0x80003510,0x000540a9,0x00000000,
    0x00000000,0x00000000,0x3f600000,0x2162005f,0xff005ffa,0x01fcc07f,
    0x2003fff5,0xf5005ffa,0x7fd403ff,0xfd000004,0x2200001f,0xfffb806f,
    0x20fda9be,0xfb9c0003,0x9bffe43f,0x2627fcc1,0xe8007fee,0xfb80001f,
    0x23ffa803,0xc82ffd43,0x47ff301f,0x203ff603,0xeeeeeeeb,0xeeeeeeee,
    0x0095002e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffb8000,0x2a12e000,0xffb805ff,0x00bf100f,0x5001dffb,0xfd300bff,
    0x5ffa807f,0xfff00000,0x7f400001,0x7ffec00c,0x01c4ffff,0x7ffc4e00,
    0xeffcbfde,0xb9dffb05,0x1bbffd1d,0x0077f200,0x805ff500,0x80edfff8,
    0x3f224ffb,0x76fffc02,0x007ffa00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff10000,0x417d4005,0x7d405ffb,
    0x1fd103ff,0x0bfff300,0xb80bff70,0xfb801eff,0x8800005f,0x00001fff,
    0x1377ffee,0x1fffffdc,0xa8e0001c,0xff31effe,0x7fff440b,0x005bfd0d,
    0xdcefff88,0xfffe8000,0xefea82dc,0x37ffaa01,0xffa802df,0xfffd702e,
    0x000001bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aabbffa,0xecaaaaaa,0x7ff441ff,0xda999abe,0xff701fff,
    0x3ffe200f,0xffd100df,0xd953355d,0x3a2009ff,0x00000fff,0x0027ffd4,
    0x0736e200,0xcb806a60,0xcccccccc,0x84cccccc,0x30008808,0x0001a815,
    0x000f36a2,0x8017b930,0x006a2000,0x00000040,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffee000,0xffffffff,
    0x267fffff,0xfffffffd,0x0bdeffff,0xeffffeb8,0xffff9104,0x7eccdfff,
    0xffffffff,0x9800abce,0xdffffffd,0x7f640003,0x00cfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64000000,0x3220cccc,0xccb83ccc,0x99950ccc,
    0x664c1999,0x2e0390cc,0x76dcc002,0x76cc00bd,0x2e02cbde,0xb802deed,
    0x64c1ceed,0x9d703dfe,0x7bddb710,0x0677edc4,0xb711fb88,0x6644017d,
    0xcccccccc,0x98f5c43c,0x3332a1dd,0x99953ccc,0x1f260599,0x36e2eb88,
    0x775c41ce,0x9999500b,0x3332a199,0x0014c01c,0x40010000,0x2003d000,
    0xc881cec9,0x039d9306,0x26000000,0x9101cdab,0x00203bdb,0x00880000,
    0x3ffea111,0xffffffff,0x224fffff,0x80402008,0x51001cda,0x3ffe6200,
    0x42ffe4c0,0x222fffd8,0x981dfffa,0x203a62ff,0x5db001f8,0x203dfb31,
    0xffb88bf9,0xc9aee982,0x1bd304ff,0x67cd3faa,0x7c45ffa8,0x47ba61ff,
    0x9df9dfea,0x3661effb,0xffe89fff,0x3be605ff,0xffcccccc,0x3fffb34f,
    0x544dfff5,0xd30aeffe,0xea8137ff,0xffd987ff,0xffffe8af,0xfffff50f,
    0x3ffaa20b,0x07bf222f,0x20007fe0,0x5f1006e8,0xb805f100,0xcbda805f,
    0x1ff2a1ff,0x0fff73ea,0x03fb89f5,0x2207dfd7,0xf307fe2f,0xf90bfa65,
    0x7fffd43d,0xffffffff,0x1d85ffff,0x5513ffd8,0x55555555,0x4bb55555,
    0x6fc84ffc,0xfe88ffa2,0x200beffe,0x7fe4000c,0x740bff00,0x05ff707f,
    0xc836c17c,0x40fe400e,0x84d82ffc,0x41fc42f9,0x37c43ffc,0x21feffcc,
    0x7ff43ffa,0xff70ffe0,0x25ff887f,0xaeaffe99,0x502ffd98,0x32ffd40d,
    0xb5b5ffd3,0x89ff90bf,0x26600de8,0xfd9987ff,0xff912ebf,0x3f663d5b,
    0x3ffe203f,0xf80076c2,0xffa8002f,0x405f7000,0x5fc405e8,0x3ee1c02f,
    0x20d87f84,0x3ff60ff9,0xfd11ffe0,0xf70dfb7b,0x1fa1fec1,0x3fe21ff3,
    0x2666626f,0x99999999,0x7d409999,0x0027fc0c,0x6fd8b700,0xff51fff8,
    0xf93066cd,0x02d415bf,0xe807fdc0,0x07fea05f,0x34c13fe2,0x5f885f98,
    0x7c413ee0,0xc827c46f,0xff807ec2,0x640ff60f,0xfff80fff,0xff982e20,
    0x407ffcc1,0x7fdc1ffd,0x827fc40e,0x1fff103a,0x041dff50,0x3a22ffa8,
    0x81ff6005,0xfe80dffa,0x80bff04f,0x07ea6ff9,0x21fb1ecc,0x077002d9,
    0xe882fb80,0x0d76c805,0x7f81fb80,0xd07f40c4,0x23ffc3ff,0x427cc0ed,
    0xf993faa0,0x3fe3fe85,0x000001ff,0x5fa93fee,0x22dc0000,0x37e40fe8,
    0x20347fd1,0x2efeffea,0x00ffb800,0x5ff80bfd,0x7b01ffb0,0x7e41fec0,
    0x202ff884,0x3fe63ffc,0x17e62981,0xff31ffe8,0x27bfe605,0x1ffe9999,
    0xff80fe80,0xa87ff706,0x0bff01ff,0x0fff4022,0x5002ffa8,0x013a25ff,
    0x7d40ff90,0x01ff902f,0x3ee01bfa,0x2e02f8cf,0x3ead94ff,0x4000006f,
    0x017a22fb,0x003e87e6,0x01fe05d1,0xd1ff62fc,0xc81fc4ff,0x9f95b507,
    0x27e42fdc,0x0005d151,0x325fb800,0x5b800006,0x10083f88,0xcb980144,
    0x3fee0002,0xc80bfd00,0x3ffe80ff,0xff3007c4,0x4c2ff885,0x3fe601ff,
    0x201fffc6,0xfffffffb,0xff92ffff,0x7ffffc01,0x02ffffff,0x3fffea00,
    0x4fffffff,0xfd80ffd4,0x1ffe4006,0x2003ff50,0x04f9affa,0x2607fc80,
    0x1ff702ff,0x7401ff60,0x74404eff,0xffadadff,0x8000002f,0x005e8afb,
    0x200fa89d,0xf80effd8,0x5c2f9807,0xf537ec6f,0xbb07e201,0x0df727e4,
    0x00f107f7,0x45fb0000,0xb800000e,0x0000b305,0x5c000000,0x0bfd00ff,
    0x7542ff98,0x402dc6fe,0x7fe41ffd,0x8803fee1,0x7ffe47ff,0x007f903f,
    0x7f407fd8,0xd5000005,0x50009ffd,0x1bf603ff,0x405ffa80,0xf5001ffa,
    0x0003ff9f,0x7fcc0ff9,0x201ff702,0xff1007fc,0x76d4400f,0x554c1bee,
    0xaaaaaaaa,0x01aaaaaa,0x5c017fee,0x9805d80f,0x807f86fd,0x645fa83e,
    0x4c03ea4f,0xfc87f61f,0xfb07fe64,0x77549703,0xeeeeeeee,0x24eeeeee,
    0x00043eec,0x06029800,0x00000000,0xd00ffb80,0x8bfd00bf,0x3a1ffbae,
    0x46ff9802,0x3ff67ff8,0x207ffc00,0x41effffb,0x7f4004fd,0x01bf600f,
    0x23df7000,0xfa8004ff,0x00dfb01f,0x5003ffe2,0x3ea003ff,0x000effcf,
    0xff303fe4,0x403fee05,0x3f2007fc,0xdb51004f,0xeeb817bd,0xeeeeeeee,
    0x02eeeeee,0x2200bfe2,0x005f102f,0x80ff07fa,0xa87f104d,0x6c0fe23f,
    0xfd89ffc7,0x9f17f60c,0x55441d70,0xaaaaaaaa,0x21aaaaaa,0x00000008,
    0x00000000,0x3ee00000,0x00bfd00f,0x45a61ff7,0x200f14ff,0x7fd43ffb,
    0xd007ffa3,0x3ff620df,0x01bf62ff,0x6c03ffd0,0xb100007f,0x005ff85f,
    0xfb01ffa8,0x07ffa00d,0x4007fea0,0x5ffbaffa,0x303fe400,0x3fee05ff,
    0x200ff900,0x201ffef8,0xbcadffd8,0x00001dff,0x2fbde880,0x1b203640,
    0x1fe07e40,0x217c03d8,0x117e41f9,0xeffc87f7,0x3624ffbc,0x6c44ebef,
    0x0000000c,0x00000000,0x00000000,0x07fdc000,0xf8805fe8,0xbfec7b3f,
    0x4ff8804c,0x7fe45fe8,0x2027f402,0x3f27ffe9,0xfd8c401f,0x07ff602f,
    0x7fc40098,0x1806ff83,0xfd80ffd4,0x03ffc806,0x2003ff50,0x9ff92ffa,
    0x303fe400,0x3fee05ff,0x200ff900,0x206ff8cd,0x2ad94ffc,0x000005ff,
    0x05f72f44,0x0fa007e6,0x21fe17a0,0xd1a622d8,0xffb01f01,0x2aa09ffb,
    0x554c06e0,0x77300880,0x22377777,0xaaaaaaaa,0xaaaaaaaa,0x77777710,
    0x77777777,0x00000377,0x00000000,0x7f403fea,0xf1dfb005,0x0fd7fcc1,
    0x7d42fe40,0x405ffb86,0x6c0aa2ff,0x0bff52ff,0x09ff70d8,0x1b02ffec,
    0xd80ffb80,0x50ea01ff,0x1bf603ff,0x0c0bff50,0x54007fea,0x0bffa2ff,
    0xf303fe40,0x03fee05f,0x35c03fe4,0x36609ff5,0x16d43fa3,0xe8800080,
    0x4e82fb85,0x3e21f500,0x4c0ddabd,0x3ffa61ff,0x8043ffff,0x07372600,
    0x40000000,0xfffffffc,0xffffff33,0xffffffff,0x3bba67ff,0xeeeeeeee,
    0x002eeeee,0x00000000,0x03ff5000,0x2a00dff1,0xffe84eff,0x80ef8806,
    0x1ffd00fe,0x6a83fe20,0x3e25ff10,0x4c9504ff,0xffd00fff,0xb00d505f,
    0xbff701ff,0xff503e20,0x881bf603,0x89100fff,0xf5001ffa,0x0fffc45f,
    0xf303fe40,0x03fee05f,0x3e603fec,0x8017fec0,0xf98001ff,0x0bd1000f,
    0x015117dc,0x79950d40,0x35555303,0x2aaaaaa6,0x0000000a,0x20000000,
    0xfffffffc,0x00000003,0x00000000,0x40000000,0x774c4ff9,0x3ffe007f,
    0x803ffb80,0x01fb81fc,0x7e417fea,0xff817d41,0x2fbffee1,0x7e40fda9,
    0xffff983f,0x43fdaadf,0x0bff24fc,0x23bfffb1,0xffb84ec9,0x740ffb02,
    0x512601ff,0x3ee005ff,0x077fd43f,0x5403ff60,0x3ff702ff,0xf881ff60,
    0x00fff882,0xa8001ff8,0x5e8800ff,0x0001fb80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36000000,0xe8edceff,0xfc805dff,
    0x801ff104,0x007d02f8,0x7e449ff7,0x542efa82,0xffffd84f,0xfd884fff,
    0x363baa1f,0x45ffffff,0xff11fff8,0xf35f759f,0x0bffffff,0x3e20fff6,
    0x3ffc80ff,0xfc87f530,0x9ff9005f,0x401dffb0,0xff901ffe,0x40bff609,
    0x7e881ffe,0x003bff60,0x15400073,0x05400700,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1bfffd10,0x4c00b7fa,
    0x2013601f,0x4009703c,0x2dfdffea,0xb9ffff50,0x7ffdc05b,0x7fdc03ff,
    0x3f60dfee,0xfe80cfff,0x6ffffdc7,0x3ffffaa0,0x7fff540c,0xfffd92df,
    0x7fffcc9f,0xffffffff,0xdffffd53,0x3fffae07,0xffff72df,0x7ff5c3bf,
    0xffb30dff,0x3fae5bff,0xfd92dfff,0x3e61bfff,0x7fec0eff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02a054c0,0x01100a00,0x80004030,0x108801a8,0x54c00153,
    0x00d4c001,0x015002a6,0xaa8802aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_36_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,0,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,3,2,-1,2,2,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_36_latin_ext_y[560]={ 28,5,5,5,4,5,5,5,5,5,5,8,24,19,
24,5,6,6,6,6,6,6,6,6,6,6,13,12,9,13,9,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,5,5,6,33,5,13,5,13,5,13,5,13,5,5,
5,5,5,13,13,13,13,13,13,13,8,13,13,13,13,13,13,5,5,5,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,28,12,6,6,9,6,
5,6,6,5,6,13,14,19,5,3,5,8,6,6,5,13,6,15,27,6,6,13,6,6,6,12,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,5,5,5,
6,6,6,5,13,13,5,5,6,6,5,5,6,6,5,6,5,5,6,6,6,10,12,5,5,6,6,5,5,6,
2,8,0,6,5,13,-1,5,-1,6,0,6,-1,6,-1,5,6,5,2,8,-1,6,0,6,6,13,-1,6,-1,6,
0,6,0,6,5,4,-1,-1,6,5,0,6,2,8,-1,6,6,5,0,13,6,5,-1,6,6,5,13,-1,-1,6,
5,5,5,6,5,6,5,-1,5,6,13,-1,6,5,5,13,2,8,-1,6,-1,5,6,13,-1,5,6,13,-1,6,
-1,5,-1,6,5,13,-1,6,6,8,-1,5,6,8,0,6,2,8,-1,6,-1,5,-1,5,6,13,-1,6,-1,6,
0,-1,5,0,6,-1,6,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,7,7,5,7,7,7,
7,7,7,7,7,7,7,7,7,7,3,12,7,7,7,7,7,7,7,7,7,7,7,7,7,2,12,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,6,-1,6,-1,
6,-1,6,-1,3,-1,1,-1,1,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-5,-2,-2,5,-2,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_36_latin_ext_w[560]={ 0,5,10,16,14,25,24,4,10,10,12,18,6,9,
4,10,15,10,15,13,16,14,15,14,14,14,5,5,18,18,18,13,29,24,20,20,23,20,17,23,23,11,13,24,
20,29,25,22,17,22,22,15,20,24,24,31,24,24,19,8,10,8,15,18,7,14,17,13,16,13,14,16,17,9,
10,17,9,26,17,15,17,16,12,11,10,17,16,24,16,17,14,10,2,10,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,16,16,17,
2,12,10,23,10,15,18,9,23,18,11,18,10,9,6,16,16,4,6,6,10,15,22,22,24,13,24,24,24,24,
24,24,30,20,20,20,20,20,11,11,11,11,23,25,22,22,22,22,22,14,22,24,24,24,24,24,17,16,14,14,
14,14,14,14,20,13,13,13,13,13,9,9,10,10,15,17,15,15,15,15,15,18,16,17,17,17,17,17,17,17,
24,14,24,14,24,16,20,13,20,13,20,13,20,13,23,20,23,16,20,13,20,13,20,13,20,15,20,13,23,16,
23,16,23,16,23,16,23,17,23,17,11,11,11,11,11,11,11,11,11,9,23,16,13,12,24,17,17,20,9,20,
9,20,13,20,12,20,9,25,17,25,17,25,17,20,22,14,22,15,22,15,22,15,27,22,22,12,22,12,22,12,
15,11,15,11,15,11,15,11,20,10,20,14,20,10,24,17,24,17,24,17,24,17,24,17,24,18,31,24,24,17,
24,19,14,19,14,19,14,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,17,17,16,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,17,17,17,17,17,17,17,17,17,17,17,17,17,17,27,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,14,11,10,22,
15,24,17,24,17,24,17,24,17,24,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,24,14,30,20,22,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_36_latin_ext_h[560]={ 0,24,11,24,27,24,24,11,30,30,14,18,10,3,
5,24,23,22,22,23,22,23,23,23,23,23,16,22,17,8,17,24,31,23,22,24,22,22,22,24,22,22,23,22,
22,22,23,24,22,30,22,24,22,23,23,23,22,22,22,30,24,30,12,3,7,16,24,16,24,16,23,23,23,23,
31,23,23,15,15,16,22,22,15,16,21,16,16,16,15,23,15,31,31,31,5,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,29,23,16,22,
31,29,5,24,10,16,7,3,24,2,11,18,12,12,7,23,30,4,8,12,10,16,23,23,23,24,29,29,29,28,
28,28,22,30,29,29,29,28,29,29,29,28,22,29,30,30,30,29,29,14,24,30,30,30,29,29,22,24,24,24,
23,23,23,24,16,22,24,24,23,23,23,23,22,22,24,22,24,24,23,23,23,14,18,24,24,23,23,31,30,30,
26,21,28,23,29,21,30,24,30,23,29,23,30,23,29,24,22,24,26,21,29,23,28,23,28,21,29,23,30,30,
29,30,29,30,30,32,29,29,22,23,28,22,26,20,29,22,28,29,28,15,23,31,30,30,29,30,15,29,29,29,
30,23,23,22,23,22,23,30,23,29,22,30,22,23,24,23,27,21,30,23,30,24,23,16,29,23,29,22,29,22,
30,24,30,23,30,22,30,23,30,28,29,24,22,21,29,23,27,21,30,23,30,24,30,24,28,21,30,23,29,30,
28,29,23,28,22,29,22,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,24,21,21,30,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,17,21,21,21,21,21,21,21,21,21,21,21,21,21,27,17,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,23,29,22,30,
23,30,23,30,26,30,28,30,28,30,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,33,31,30,24,31,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_36_latin_ext_s[560]={ 185,355,361,375,365,160,239,507,152,482,270,
320,406,413,507,80,223,300,364,161,416,44,207,107,11,415,125,505,393,413,412,
264,120,390,21,415,67,279,346,331,380,404,134,231,463,433,148,392,91,323,256,
1,484,256,367,407,42,109,1,503,500,210,317,423,465,447,299,496,436,88,311,
191,1,497,43,189,1,226,152,60,328,311,185,76,278,1,479,19,253,281,170,
54,103,109,484,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,185,34,1,
174,462,483,106,61,473,189,384,431,446,413,137,442,372,301,350,333,439,224,392,
507,432,343,395,44,95,72,47,317,122,147,172,110,85,19,119,371,277,298,434,
183,356,499,462,73,459,408,409,432,455,476,223,302,453,478,18,43,331,474,22,
17,40,122,460,445,430,107,131,205,161,175,333,319,309,295,403,501,55,429,229,
213,245,279,347,283,339,89,71,261,475,150,111,93,474,182,273,74,36,215,163,
361,226,175,455,239,279,340,413,218,150,186,1,150,15,122,344,295,298,134,364,
376,300,324,74,366,98,408,202,26,368,1,358,89,241,447,499,289,499,219,135,
319,204,216,253,168,493,24,437,37,198,246,267,392,55,305,326,382,354,85,439,
128,461,197,187,81,67,326,91,241,433,262,1,118,129,144,19,102,385,363,341,
174,298,106,450,132,466,299,65,40,154,449,107,44,170,203,1,251,248,277,408,
197,425,26,383,62,341,114,216,232,247,136,223,184,319,321,493,253,52,191,414,
59,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,476,164,164,1,
164,164,164,164,164,164,164,164,164,164,164,164,164,22,356,164,164,164,164,164,
164,164,164,164,164,164,164,164,380,374,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,273,392,
211,347,300,208,68,479,219,456,185,55,346,147,244,165,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,1,88,269,278,65,45,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164, };
static unsigned short stb__times_36_latin_ext_t[560]={ 32,157,303,157,127,157,157,35,35,35,303,
280,303,312,47,157,209,257,257,209,257,209,209,209,209,184,303,257,280,303,280,
157,1,184,280,157,280,257,257,157,257,257,233,257,257,257,233,157,280,1,257,
184,257,233,209,209,280,280,280,1,157,1,303,312,303,280,157,280,157,303,233,
233,233,209,1,209,209,303,303,303,257,257,303,303,280,303,280,303,303,233,303,
1,1,1,303,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,32,184,97,
233,280,233,1,97,303,184,303,280,303,312,184,312,303,280,303,303,303,233,1,
53,303,303,303,303,233,233,233,157,97,97,97,127,127,127,257,1,97,97,66,
127,97,97,97,127,233,66,1,1,1,66,97,303,157,1,35,35,97,97,257,
184,184,184,184,184,184,184,303,257,184,184,184,184,184,209,233,233,184,233,184,
184,184,184,184,303,280,184,184,184,184,1,35,35,127,280,127,209,97,280,35,
157,35,209,66,209,35,209,97,157,257,157,157,280,97,209,127,184,127,280,66,
184,35,35,97,35,97,35,35,1,97,127,233,209,127,233,127,280,66,257,127,
97,127,303,209,1,35,66,97,66,303,97,97,97,66,209,209,233,209,257,209,
66,209,97,257,66,257,233,157,233,127,280,66,233,35,157,233,303,66,184,66,
257,66,257,35,157,35,233,66,257,66,209,66,127,66,157,257,280,66,209,127,
280,35,209,35,157,35,157,127,280,35,209,66,35,127,66,184,127,257,66,233,
209,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,157,280,280,35,
280,280,280,280,280,280,280,280,280,280,280,280,280,157,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,127,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,66,209,
66,233,1,233,35,209,1,127,1,127,1,127,1,127,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,1,1,1,157,1,157,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280, };
static unsigned short stb__times_36_latin_ext_a[560]={ 130,173,212,260,260,433,405,94,
173,173,260,293,130,173,130,145,260,260,260,260,260,260,260,260,
260,260,145,145,293,293,293,231,479,376,347,347,376,318,289,376,
376,173,202,376,318,462,376,376,289,376,347,289,318,376,376,491,
376,376,318,173,145,173,244,260,173,231,260,231,260,231,173,260,
260,145,145,260,145,405,260,260,260,260,173,202,145,260,260,376,
260,260,231,250,104,250,281,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,130,173,260,260,260,260,104,260,
173,395,143,260,293,173,395,260,208,285,156,156,173,300,236,130,
173,156,161,260,390,390,390,231,376,376,376,376,376,376,462,347,
318,318,318,318,173,173,173,173,376,376,376,376,376,376,376,293,
376,376,376,376,376,376,289,260,231,231,231,231,231,231,347,231,
231,231,231,231,145,145,145,145,260,260,260,260,260,260,260,285,
260,260,260,260,260,260,260,260,376,231,376,231,376,231,347,231,
347,231,347,231,347,231,376,336,376,260,318,231,318,231,318,231,
318,231,318,231,376,260,376,260,376,260,376,260,376,260,376,260,
173,145,173,145,173,145,173,145,173,145,369,287,202,145,376,260,
260,318,145,318,145,318,211,318,179,318,145,376,260,376,260,376,
260,314,365,257,376,260,376,260,376,260,462,376,347,173,347,173,
347,173,289,202,289,202,289,202,289,202,318,145,318,222,318,145,
376,260,376,260,376,260,376,260,376,260,376,260,491,376,376,260,
376,318,231,318,231,318,231,145,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,376,405,405,260,405,405,405,405,405,
405,405,405,405,405,405,405,405,376,275,405,405,405,405,405,405,
405,405,405,405,405,405,405,404,282,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,376,231,173,145,376,260,376,260,376,260,376,
260,376,260,376,260,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,376,231,462,347,376,260,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_36_latin_ext_BITMAP_HEIGHT or STB_FONT_times_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_36_latin_ext(stb_fontchar font[STB_FONT_times_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_36_latin_ext_BITMAP_HEIGHT][STB_FONT_times_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_36_latin_ext_s[i] + stb__times_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_36_latin_ext_t[i] + stb__times_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_36_latin_ext_x[i];
            font[i].y0 = stb__times_36_latin_ext_y[i];
            font[i].x1 = stb__times_36_latin_ext_x[i] + stb__times_36_latin_ext_w[i];
            font[i].y1 = stb__times_36_latin_ext_y[i] + stb__times_36_latin_ext_h[i];
            font[i].advance_int = (stb__times_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_36_latin_ext_s[i] + stb__times_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_36_latin_ext_t[i] + stb__times_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_36_latin_ext_x[i] + stb__times_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_36_latin_ext_y[i] + stb__times_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_36_latin_ext_LINE_SPACING
#endif

