// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_39_latin_ext_BITMAP_HEIGHT        366
#define STB_FONT_times_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_39_latin_ext_NUM_CHARS            560

#define STB_FONT_times_39_latin_ext_LINE_SPACING          25

static unsigned int stb__times_39_latin_ext_pixels[]={
    0x15551000,0x014c0000,0x88003300,0xccc98000,0xccc80001,0x80015102,
    0x060002aa,0x22030000,0x002a2000,0x000554c0,0xaa988000,0x00000019,
    0x00005554,0x00000540,0x5555554c,0x4400002a,0x400002aa,0x15544000,
    0x50033000,0x00080003,0x2a000010,0x510000aa,0x20000055,0x0000ccc9,
    0xc80001a8,0x500005ff,0x2a00017d,0xcea803ff,0x4ffc8000,0xeff98000,
    0x8001f300,0x50000ffa,0x700001bd,0x0017225d,0x3a0001f3,0x4000003f,
    0xcbbcefea,0x00001ced,0x02fffd40,0x3feb8800,0xffc80000,0x006fffff,
    0x17ffec00,0x004b8000,0x000ffff4,0xf901ffd4,0xfd50003f,0x1d88005b,
    0x3ffe6000,0xfffb0006,0xf9000005,0x5c40009f,0xe80003ff,0x3e00006f,
    0x7fdc0001,0x000ee405,0x0000bfd0,0xf9803ff2,0x02f98000,0x000f5c00,
    0x077f7ec0,0x0003e600,0x00000be2,0x400efdc4,0x00000ed9,0x1ffeff88,
    0x7ff64000,0xb800003f,0x5eeeeeee,0x3fea0000,0x4c0006ff,0x7fd4004e,
    0xfb8006ff,0x0fff605f,0xf515f100,0x03d88001,0x5ffdfd00,0xffff9800,
    0xff800006,0x3fb20005,0x440003ff,0x300000ef,0x4400031f,0x07f201ee,
    0x00ef9800,0x803fd000,0x510000f9,0x01fb0000,0x03999000,0x0001f300,
    0x20000033,0x98000df9,0x5c00002e,0x000df92f,0x000fff20,0x00000000,
    0x7fd31dd0,0x00fe6000,0x3fa63ba0,0x0f6c4002,0x8001bd30,0x8001ec4c,
    0x3ea000ed,0x4001ff74,0x03fe89ee,0x01be6000,0x01ffe400,0x0007ee00,
    0x04fff880,0x1be60000,0x001f7000,0x200be200,0x791000f9,0x50001da8,
    0x322000bf,0x3000ed43,0x0f22001f,0x700003b5,0xe880007f,0x5f100002,
    0x80002fb8,0x00003ffb,0x0ed43c88,0x40eb8000,0x7c4000fd,0x20eb8003,
    0x00000fd8,0x21e40000,0x1ba0004c,0x27d43e80,0x7ec0ea80,0x1d900000,
    0x3fea0000,0x016c0003,0x27fec000,0x9f900000,0x001d8000,0x4c012e00,
    0x3ff7000f,0x88002ffc,0xfb8000ff,0x8017fe1f,0xff7000f9,0x0002ffc3,
    0x40000bf2,0xc80000e8,0x0000d301,0x00007ff5,0x7fc3ff70,0x0d880005,
    0xfe800970,0x902c4000,0x00000009,0x1f31e980,0x027d4000,0x00e8815c,
    0x009700d8,0x00007a00,0x0003ffa8,0x4000004c,0x00000cb8,0x00017fa0,
    0x01800003,0x4c003e60,0x001fe46f,0x8002ff98,0x01fe46f9,0x26001f30,
    0x001fe46f,0x00005f70,0x180005a8,0x20000440,0x00003ffa,0x1fe46f98,
    0x0c004000,0x0009f900,0x00003003,0xdf900000,0xfb00007f,0x01801805,
    0x00060044,0x200000c0,0x20003ffa,0x0003efea,0x80000000,0x000006ff,
    0x801a8000,0x000000f9,0x01ffd400,0x26000000,0x0000000f,0x00027cc0,
    0x00000e80,0xfa800000,0x0000003f,0x00000000,0x001ff980,0x00000000,
    0x00180000,0x001bea00,0x00000000,0x50000000,0x220007ff,0x0003f52f,
    0x11000000,0x4001ffa0,0x0acdeca9,0x77d404b8,0x43e601ee,0xaaaaaaaa,
    0x555100aa,0x32055555,0xaaaa82ff,0x00aaaaaa,0x55555551,0xaaa87cc5,
    0x0aaaaaaa,0x55555510,0x003fa055,0x298855cc,0x5554c3b8,0x2a22aaaa,
    0x1aaaaaaa,0x55555550,0x0107ff50,0xaaaaaaa8,0x55100aaa,0x00555555,
    0x0def65cc,0x037e405c,0xddb97100,0x401c4179,0x55088008,0x55555555,
    0x2aaaa201,0x7c402aaa,0x6ee5402f,0xa9805c1b,0xaaaaaaaa,0x55554001,
    0xaaaaaaaa,0x0aaaaaaa,0x0007ff50,0x0009916e,0x260000c0,0x1ffb04fd,
    0x66ffd400,0x30cffeca,0x322e805f,0x5d43e604,0xadfffffe,0xfff95100,
    0x3ff605bf,0xfffeba80,0x5100adff,0x45bffff9,0xffd750f9,0x2015bfff,
    0xdffffca8,0x8802fb82,0xfc8eacfd,0x7dcc6887,0x222dffff,0xbeffffeb,
    0xbfff9501,0x227ff505,0xa80dffec,0xdfffffeb,0xff95100a,0xd5005bff,
    0xfb959fff,0xf883f57b,0xfd98003f,0xfecbbdef,0x36605cbe,0x4bf6a03f,
    0xfffffeba,0xf95100ad,0xd005bfff,0x3ffa60df,0xfcdffecd,0xfff95300,
    0x80037bff,0xfffffeca,0xffffffff,0xff501fff,0x712e0007,0xfea8000b,
    0x1999adfd,0x13fffaa0,0x4400ffdc,0xfb101efd,0x69807f7f,0x01f303c4,
    0x8003fffd,0x7f401ff8,0x1fffe807,0x40ffc400,0xfffe80f9,0x0ffc4001,
    0xbf300dd0,0x827fec41,0x0ffff107,0x00ffffc4,0x3ea05fb8,0xfffffb3f,
    0x7fff403f,0x0ffc4001,0x0dffec40,0x42fffc88,0x5c002ffb,0x3a600cff,
    0xffeb85ff,0xffffb83f,0x01fffe82,0x000ffc40,0xff981ff9,0x7ffec40b,
    0x3fffb800,0xdff88000,0x7ec404ff,0x007ff501,0x0f4cbe20,0x4c7fb000,
    0x07fffffd,0x209ffb11,0xfe9807fa,0x0dffb005,0x03541f10,0xfff701f3,
    0x2017e000,0xffb806fb,0x20bf0007,0x7ffb80f9,0x4c0bf000,0x837d404f,
    0x01d02ffd,0xf701fff2,0x3ee003ff,0x32ffea00,0x6fffcabd,0x001ffee0,
    0x7f4402fc,0x5ff5001f,0x2001ffe8,0x32004ffd,0xffd8986f,0x2ffe8983,
    0x0007ffb8,0xffb800bf,0x9017fa22,0xff3001ff,0xf100003f,0x2009ff97,
    0x07ff502e,0x1fff5400,0x10ff9000,0x80555fff,0x9f304ffa,0x003ffd00,
    0x6c00fff4,0x2603ea9d,0x06ffb80f,0xf100bd00,0x0dff700b,0x7cc17a00,
    0x006ffb80,0x0fe40bd0,0x3a01ff30,0x4c03a07f,0x7fc01fff,0x80bb003f,
    0xfa83effa,0xdff703ff,0x2017a000,0x5c001ffe,0x007ffc3f,0x8003ffc8,
    0x0ffee07e,0xfb82ffc8,0x0bd0006f,0x2a3ffa80,0x0fd801ff,0x00fff880,
    0xfc8fb800,0x2057004f,0x40003ffa,0x260003f9,0x1ff904ff,0x413fe600,
    0x7fe401fc,0x3ffee005,0x775c400e,0x5407cc02,0xbd0006ff,0x5003f600,
    0x3a000dff,0xf5015105,0x17a000df,0x1ff406e8,0x3e20bff0,0x013ffa00,
    0xf100bff9,0x04ffa805,0x7d41fff6,0x0bd0006f,0x0005ffc8,0x03ffc47d,
    0x0006ffa8,0x1ffd40f3,0xf505ff70,0x17a000df,0x64bff500,0x0fa800ff,
    0x00fff880,0xff93f800,0x540a6009,0x6c0003ff,0x3ee0006f,0x05ff702f,
    0x2213fe60,0x7ffcc03f,0xfd3f5000,0x9800009f,0x06ffa80f,0x2200bd00,
    0x37fd404d,0x8005e800,0xd0006ffa,0xf9027c0b,0x81ffcc0f,0x37fdc07a,
    0x003ffea0,0xffa801f7,0x03ffe603,0x4001bfea,0x3ffe605e,0x4c970001,
    0xff8807ff,0x03a0002f,0xf701ffd4,0x0dff505f,0x30017a00,0x1ffecdff,
    0xf8800f80,0x5c0000ff,0x0013ff27,0x000ffea0,0x001fff88,0x2a05ff90,
    0xff3005ff,0x40175c49,0xf3005ffe,0x007fff27,0x407cc006,0xd0006ffa,
    0x01db800b,0x2000dff5,0xffa8005e,0x20bd0006,0x7ff104f8,0xb807fdc0,
    0x0fffc406,0xb00fffe0,0x07ff500b,0xfa81fff8,0x0bd0006f,0x0003ffe4,
    0x037fd491,0x0003ffdc,0x1ffd4026,0xf505ff70,0x17a000df,0x21fff100,
    0xd801fffb,0x0fff8800,0xc8fe2000,0x400804ff,0x20003ffa,0x0005fffb,
    0x3ea07ff5,0x9ff3004f,0x7c4017e2,0x5e8804ff,0x220fffe6,0x0ceffffc,
    0xff501f30,0x017a000d,0x3ea13e60,0x0bd0006f,0x00dff500,0x1fcc17a0,
    0x3a00ffb8,0x200f606f,0x3ea04ffe,0x0be206ff,0xd00ffea0,0xdff505ff,
    0xf817a000,0x200004ff,0xfe805ffb,0x2000004f,0x3ee03ffa,0x06ffa82f,
    0x8800bd00,0xfff31fff,0x1000807f,0x40001fff,0x027fe47b,0x7ff500ae,
    0x7ff7c000,0xff88000f,0x005ff905,0xec993fe6,0x1fffcc01,0x3fe236c0,
    0x85ff444f,0xf980efea,0x006ffa80,0xec800bd0,0x00dff503,0x2a0017a0,
    0xbd0006ff,0x7f40be60,0x813fea06,0x7ffb800f,0x03ffff60,0xffa803dc,
    0x40ffec03,0xd0006ffa,0x0fffea0b,0x6ffa8000,0x01fffcc0,0x7ff50000,
    0x5417fdc0,0xbd0006ff,0x0fff8800,0x07bffff2,0x1fff1000,0x90fe2000,
    0x02e809ff,0x8001ffd4,0x03ffe9fa,0xf03ff900,0x7fcc00bf,0x2e02f984,
    0x7e402fff,0x6c5fff80,0x84ffa86f,0x6ffa80f9,0x200bd000,0x7fd404e8,
    0x00bd0006,0x000dff50,0x417cc17a,0x3fa04ff8,0x200d502f,0x7f01fff8,
    0x17a07ffd,0x201ffd40,0xffa80ffd,0x20bd0006,0x0002fffb,0x701ffe20,
    0x00005fff,0x701ffd40,0xdff505ff,0x0017a000,0xffb0fff1,0x00019fff,
    0x0003ffe2,0x27fe4364,0x5402fb98,0xdd0003ff,0x8001ffee,0xfd98bffb,
    0x3fe6000d,0x3201fb04,0x3ea01fff,0xf8ffff01,0x85ff885f,0x6ffa80f9,
    0x200bd000,0x7fd400fd,0x40bd0006,0x00dff501,0x1fc417a0,0xfc817fd4,
    0x8007e07f,0x8fa84ffd,0x2f886ffb,0x807ff500,0xdff507fe,0x6417a000,
    0x00001fff,0x3f203ffc,0xdd1001ff,0x8bdddddd,0x3ee03ffa,0x06ffa82f,
    0x9800bd00,0xfff906ff,0x10007fff,0x10001fff,0xdfff905f,0x5ffffddd,
    0x003ffa80,0xfff12f98,0x33a20005,0x8001ceee,0x9f304ff9,0x407fff20,
    0x3ffa03f9,0xff81ff47,0xfa80f986,0x0bd0006f,0xf500df10,0x17a000df,
    0x7fd407cc,0x40bd0006,0x82ffa84f,0x9906fdcc,0x87ffa800,0x83fff16d,
    0x3fea007b,0xa82ffc03,0xbd0006ff,0x007fff60,0x01ffd000,0x000fffec,
    0x0bbfff66,0xfb80ffea,0x06ffa82f,0xa800bd00,0x3faa05ff,0x001effff,
    0x0003ffe2,0x6ffe41b6,0xfecbaaaa,0x01ffd402,0x3ff23e40,0x02e88005,
    0x13fe6000,0xffb83fd4,0x404f882f,0x80c46fff,0x0f986ff9,0x0006ffa8,
    0x0df700bd,0x000dff50,0x407cc17a,0xd0006ffa,0x7c42f40b,0x7f53225f,
    0x4000ec84,0x3e22fff8,0x9d13ffa3,0x027fd400,0x3ea01ff3,0x0bd0006f,
    0x000bfff2,0x403ff900,0x8002fffc,0xf504fff9,0x17fdc07f,0x80037fd4,
    0x7fdc005e,0xffffb804,0xff1003ff,0xbf98001f,0xffd99999,0x500ba204,
    0xf88007ff,0x00fffcc3,0x00001fa0,0x3ee09ff3,0x2fffa81f,0x7fc406e8,
    0x775c404f,0x80f986ff,0xd0006ffa,0x00ffb00b,0x2000dff5,0x501f305e,
    0x3a000dff,0x3a03ee05,0x364fdeff,0x81bd716f,0x5ffd802d,0x7ffb83ea,
    0xfa800be2,0x07fb00ef,0x80037fd4,0x7fff705e,0xffa80000,0x0fffee01,
    0x0bffe200,0xf7027fdc,0x0dff505f,0x90017a00,0x322003ff,0x801fffff,
    0x4000fff8,0xfffffffd,0x15c04fff,0x0013fee0,0x9ffd01f7,0x5effcc00,
    0x00199aaa,0xfc827fcc,0x3fff881f,0x3e6007e4,0x9f9103ff,0x3e61bfe3,
    0x006ffa80,0xffb009d0,0x06ffa801,0x3e609d00,0x006ffa80,0x1fc409d0,
    0x2177ff54,0x82effffa,0xfff50069,0x3ffe22ec,0xfa800f71,0x2fdc0dff,
    0x001bfea0,0xfffa8274,0x7cc00005,0x3ffe603f,0x5fff0004,0xb81bff60,
    0x6ffa82ff,0x8009d000,0xe98006fd,0x4400ffff,0x26000fff,0x13ff201f,
    0xffd80530,0xa8274006,0xf3000fff,0xffffffff,0xf30017ff,0x03ffa07f,
    0x3f72fffc,0x03fff500,0x6ff83df3,0xffa80f98,0x009f0007,0xfa803ff9,
    0x09f0007f,0x3fea03e6,0x809f0007,0x8802a06c,0x00ba01aa,0x2f8afff8,
    0x09d4ffd8,0xfdcffa80,0xa803fecd,0x9f0007ff,0x01bffe20,0x81bf6000,
    0x0007fff8,0xfeb85fff,0xfb84efff,0x07ffa82f,0x44009f00,0xd000c2ff,
    0xf8803fff,0x17a000ff,0x0009ff90,0x77ffff54,0x201fa805,0x2a003fff,
    0xffffffff,0xf9807fff,0x40fff03f,0x07f37ffc,0x2a1ffee0,0x86ff80ef,
    0x7ff980f9,0x7007f000,0xff9807ff,0x207f0007,0x7ff980f9,0x8807f000,
    0x2000002f,0x7fe4006b,0xffa80fbd,0x54001f9f,0x035533ff,0x003ffcc0,
    0x3ff603f8,0xf9800007,0x3fff200f,0x2fff8001,0x0ffdc000,0x8003ffcc,
    0x1fee003f,0x7f4400b2,0x3ffc403f,0xc803f500,0x000004ff,0xf901b600,
    0x8ad400df,0xecbaaa99,0x17fcc02f,0x3e205fe8,0x2004faff,0x7fcc1ffe,
    0xf30dff03,0x03fff101,0x9801f980,0x7fc402ff,0x0fcc001f,0xff880f98,
    0x0fcc001f,0x00007d40,0x2000f4c0,0x105efff9,0x000fdfff,0x80007ff5,
    0x4001fff8,0x3fe601f9,0x02e0002f,0xff880bf6,0xfff8005f,0x7fdc0002,
    0x01fff880,0xd000fcc0,0x400b907f,0x7c404ffc,0x017a006f,0x70013ff2,
    0x001dfc81,0xfffffff3,0x03ffffff,0x74001f50,0x80ffcc05,0x7fd404fd,
    0x3fee006f,0xf01ffb84,0x201f30df,0x64004ffe,0x1ff8800f,0x004ffe80,
    0x0f9807e4,0x8009ffd0,0x0d9000fc,0x01fa8000,0x05fffd00,0x0027ffec,
    0x0001ffd4,0x20027ff4,0x7fec00fc,0x04a8000f,0xffb80dd1,0x7ffc002f,
    0x3fdc0002,0x8009ffd0,0x9f3000fc,0xfb801f20,0x2ffc402f,0xc800fb80,
    0x1a6004ff,0x2003ffee,0x999999fc,0x05ffd999,0x320027c4,0x5037d403,
    0x7ffb00bf,0x417fe200,0xff883ffc,0xf500f986,0x27dc00df,0x5006f980,
    0x7dc00dff,0x5403e604,0x3ee006ff,0x0076c004,0x000fd400,0xa80fff70,
    0xa8001fff,0xa80003ff,0x3ee006ff,0x5ffe8804,0x26034c00,0x7ffec04f,
    0x0bffe000,0x40bf7000,0x2e006ffa,0x81b2004f,0xffd003fc,0xff1175c1,
    0x00bf1007,0xe8017ff2,0x807ff104,0xff5003f8,0x037ec01f,0x0ae21d10,
    0x0fd807f5,0x017ffe40,0x4c03bf62,0x3faa0eff,0x03e6737f,0x400dffe8,
    0xf9000ffa,0x6fff4003,0x007fd400,0x7ff401f3,0x07fd400d,0x0017dc00,
    0x0001ed98,0x7c027fc4,0xff70006f,0x3fa00007,0x7fd400df,0xdffb1000,
    0x001d5001,0xffa803f5,0x5fff001f,0xf906e200,0x0dffe803,0x8007fd40,
    0x3ff200fc,0x11ffd404,0x1be61fff,0xd8017e40,0xfd8805ff,0x801ff101,
    0x3fa000fb,0x33ff603f,0xf7175400,0x201ba1bf,0x5f500dd8,0xd5039ff7,
    0xffff009f,0xfffb1dfb,0xb1007ccb,0x2a237dff,0x5000efeb,0xfd88005f,
    0xd7511bef,0x0f9801df,0x2fbff620,0x1dfd7511,0x5f74c000,0x02ed9800,
    0x007fa000,0x5c0013f2,0x100004ff,0x2237dffb,0x000efeba,0xacefffc8,
    0x00deca88,0xd300b620,0xb5015bff,0x36001dff,0x009f13ff,0x237dffb1,
    0x00efeba8,0xfc801b90,0x7dc0adff,0x75fff84f,0x9ff7003f,0x7ffff300,
    0xf9553333,0x9fb310ff,0xb8009d00,0x3fe206ff,0xccbcceff,0x7ffcc2ee,
    0x7dc004ef,0xf911fc43,0x3bffddff,0x3fff6600,0xf317fee4,0xfffd7001,
    0x017fffff,0x0003db30,0x7fffff5c,0x9800bfff,0xffeb800f,0x0bffffff,
    0xdf930000,0xdfdb979b,0xf7000005,0x0007e600,0x37ffff53,0x3fae0000,
    0xbfffffff,0x3b6a0000,0x2effffff,0x200ee000,0xedeffedb,0x4001cfff,
    0x03fffffb,0x7ffff5c0,0x000bffff,0x2b32005b,0xffefffec,0xdfff502e,
    0xffe9803b,0xfec84fff,0xffffffff,0x84ffffff,0xfb800bcb,0x7ffcc002,
    0x3fff2203,0x204fffff,0x0000aca8,0x2203886a,0x20001aba,0x91011018,
    0x6554c001,0x05c001ab,0x95530000,0xc8800357,0x32aa6000,0x000001ab,
    0x2af2ea62,0x44000001,0x10012002,0x99999999,0x54c00001,0x0001abca,
    0x0aab9880,0x00030000,0x00135753,0x00abb980,0x2f2aa600,0x0044001a,
    0xbaa88150,0x0155001a,0x00000000,0x3f440000,0x0ffff800,0x55e54c40,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x4001ffd8,0x00dffff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bffffee,0x7fff4403,0x0006ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x000a600b,0x00150120,0x0e6d4000,0x0e201a80,0x20000cc0,0x18001801,
    0x4c000180,0x00001eee,0x00fffdc0,0x05ffe800,0x27ff4400,0x77640000,
    0x55400005,0x8800000a,0x00002eee,0x003ffee0,0x02fff400,0x55540000,
    0x7d400000,0xc80001ff,0x0dff33ff,0xfff88000,0x7ddb0003,0x08008000,
    0x9804c880,0x0006982f,0x0b701d70,0x46740000,0x07f1006e,0xff5001d1,
    0x00f40007,0x05b0005b,0x3a0002d4,0x00006fff,0x0017fec0,0x006ff880,
    0x00dff300,0xffff9800,0xff500003,0xb00000bf,0x0000dfff,0x000fff40,
    0x00ffd100,0xfffa8000,0x7ec00005,0xfb00002f,0x000ffd4b,0x013fee00,
    0x07fffdc0,0x4c01b000,0x03ffd804,0x0bea3fc8,0x22fe8000,0x000000fc,
    0x801fe1f9,0x00fe64fb,0x0002ffdc,0xd9537bf9,0xbf50001f,0x05fb7337,
    0x7defdc00,0x1000002f,0x400007ff,0x00000ffb,0x00007fe6,0x0ffdbfd8,
    0xfefe8000,0x2600002f,0x003ffbef,0x02ff8800,0x2ff98000,0x3fa00000,
    0x00002ffe,0x80000ffe,0x013f20ff,0x017f6000,0x7fd7fc40,0x33b20005,
    0x02fca88a,0x8805fff8,0x006fbdff,0x667fcc00,0x1000004f,0x2000ccbf,
    0x007faefe,0x80007b62,0xfffffff8,0x3ff60002,0x0005ffff,0x06f993e2,
    0x09f50000,0x01fd8000,0x03fb8000,0x645f5000,0x7dc0004f,0x0000df93,
    0x01fd32f4,0x03fa8000,0x13ea0000,0x9fdc0000,0x300006fc,0x4400009f,
    0x00036c3f,0x00037c40,0x07fa21d9,0x7fff4400,0xff005fff,0x3fee00bf,
    0x800001ff,0x000ffffd,0x009f9000,0x2ffffa80,0x10000000,0x005ffffb,
    0xffffc880,0x1320000d,0x00000fa2,0x10000172,0x4000005f,0x5d00006c,
    0x20001f50,0x01fd42f8,0x6c42d400,0x2ec00004,0x3dc00000,0x17c40000,
    0x20000fea,0x5400005c,0x00001f86,0x30000ea8,0x000d901d,0x6fffff4c,
    0x09ffd000,0x002776c0,0x2eee8800,0x3fe00000,0xeec80002,0x00000005,
    0x00001a88,0x00005544,0x000900e2,0x00000b00,0x00000075,0x1a80001b,
    0x64000e60,0x0001d302,0x0005c038,0x00000b00,0x00000e40,0x0074c0b2,
    0x00003600,0x00488390,0x00039000,0x0035005c,0x002bba80,0x00027ff4,
    0x00000000,0x1ffa8000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10060000,0x00000001,0x00000000,0x80000000,
    0x00004401,0x00000000,0x00000000,0x00000000,0x01ffec00,0x55ef654c,
    0x55555000,0x20155555,0xaaaaaaa8,0x03ff4002,0x37b2e600,0x0000b81b,
    0x2aaaaaaa,0x55100aaa,0x00555555,0x55554006,0x00aaaaaa,0x55555551,
    0x55555545,0x5100aaaa,0x05555555,0x20deee54,0x2aaaaa0b,0x100aaaaa,
    0x55555555,0x00000000,0xa9800000,0x000abdec,0x7bd95300,0x26000015,
    0x00abdeca,0x00000000,0x2aaa0000,0x0aaaaaaa,0x55555510,0x65cc0055,
    0x00b81bde,0x22000030,0x0bceedcb,0x17fe40e2,0x959dff50,0xa801bffb,
    0xdfffffeb,0xff95100a,0x31005bff,0x2000dff9,0xcacfffea,0x01fabdfd,
    0xfeba8022,0x00adffff,0xbffff951,0x7eff5405,0x2a1999ad,0xdfffffeb,
    0xff95100a,0x75d45bff,0x0adfffff,0xffff9510,0xbffd305b,0x1f9bffd9,
    0x7ffff5d4,0x95100adf,0x645bffff,0x82eeeeee,0x531eeeeb,0x55555555,
    0x2aaaa201,0x7d402aaa,0xffdcacef,0xff50000d,0xbffb959d,0x3fea0001,
    0xdffdcace,0x55554400,0x441aaaaa,0xaaaaaaaa,0xddddd91a,0xdddd705d,
    0x3fffaea3,0x5100adff,0x05bffff9,0x59fffd50,0x3f57bfb9,0x6feff540,
    0x9801999a,0xcbbdeffd,0x705cbefe,0xdfb103ff,0x07bf6203,0x00ffff40,
    0x4007fe20,0xfffffff8,0xffd8805f,0xfff9101b,0x007fb305,0x0007fff6,
    0xfd803ff1,0x3ffff663,0x1fffe87f,0x00ffc400,0x0007fffa,0x3e603ff1,
    0x7fec40bf,0x3fffd00f,0x01ff8800,0x401dfff7,0x3f261ff9,0x0adfffff,
    0xffffd510,0x3bf62059,0x03dfb101,0x80f7ec40,0x2001efd8,0xb101efd8,
    0x654403df,0x1acfffff,0x7fffe544,0x3fee1bdf,0x3fe600ef,0x03fffd01,
    0x801ff880,0x101bffd8,0x3605fff9,0x3fff663f,0x3fee07ff,0x3ffa600c,
    0x981ff505,0xfb800dff,0x7ffb803f,0x000bf000,0x8800ffea,0xf5001ffe,
    0x7fff5c5f,0x0fff7003,0xf901ba00,0x55fff10f,0x00fff705,0x3ee017e0,
    0x0bf0007f,0xf9017fa2,0x1ffee01f,0x3202fc00,0x17cc05ff,0x06ffff98,
    0x300f7fc0,0xf7001bff,0xbff3007f,0x07ff7001,0x001bff30,0xf5007ff7,
    0x3e6009ff,0x3ff205ff,0x7017cc05,0x3e000fff,0x1ffe8805,0x905ff500,
    0x5fff10ff,0x13ff6055,0xf306fc80,0x001ffd0f,0x2e017ff4,0xbd0006ff,
    0x07ff2000,0x001ffe80,0xfb131fdc,0x3fee007f,0x40bd0006,0xff904ff9,
    0x037fdc01,0xfb805e80,0x0bd0006f,0x36007fea,0x0dff700f,0xf1017a00,
    0x03e401ff,0x801bffe6,0x7f400ff8,0x3ffa000f,0x007ff402,0xe805ffd0,
    0x3fa000ff,0x7ffc402f,0x0fffe002,0x200fff88,0x37fdc07c,0xe805e800,
    0x7dc001ff,0xc827fcc3,0x3ff200ff,0x107e8003,0x04ffc8df,0x2037fd40,
    0xd0006ffa,0x1ffa000b,0x005ffc80,0x7ff707d0,0x01bfea00,0xff702f40,
    0x80bfee05,0xd0006ffa,0x0dff500b,0x7e417a00,0x00fa800f,0x2000dff5,
    0x3ffb805e,0x3f2013e0,0x5f7002ff,0x004ffc80,0xf9037fd4,0xffa8009f,
    0x013ff206,0x880dff50,0x3e001fff,0x7fdc02ff,0xf5013e03,0x17a000df,
    0x000bff90,0x05ff70fa,0x7d40bfee,0x0f30006f,0x1fff337c,0x09ffd000,
    0x80037fd4,0xdff0005e,0x07ffe600,0x7d425c00,0xdff5003f,0xc817a000,
    0xbff502ff,0x0037fd40,0xffa805e8,0x20bd0006,0x1f003ffd,0x001bfea0,
    0x7fc402f4,0x2001f507,0xbd006ffe,0x00fff980,0x984ffe80,0xe8000fff,
    0xfff984ff,0x4ffe8000,0x000fffc0,0xf8805fff,0x801f507f,0xd0006ffa,
    0x0fffcc0b,0x7e44b800,0x0bff502f,0x0005fff1,0x3a5f8074,0xf70005ff,
    0x3fea03ff,0x00bd0006,0x2009ff30,0x20007ffc,0x03ffa848,0x000dff50,
    0x3ffa817a,0x5409ff50,0xbd0006ff,0x00dff500,0x7fdc17a0,0x500d801f,
    0x3a000dff,0x07ff9005,0x7fcc00bb,0x007e404f,0x40017ffa,0x7f41fffb,
    0xff70005f,0x05ffe83f,0x03fff700,0xf000fffc,0xff9005ff,0xf500bb07,
    0x17a000df,0x0007ffc8,0x07ff5122,0x3ee13fea,0x04c0007f,0x13ffe4e8,
    0x17ffd400,0x0006ffa8,0xff7000bd,0x13ffe005,0x3fea0000,0x0dff5003,
    0xf8817a00,0x05ff905f,0x80037fd4,0x6ffa805e,0x260bd000,0x0403ffff,
    0x000dff50,0x7fc4017a,0x20017c46,0xf301fffc,0x09fff007,0x0bffea00,
    0x20009fff,0x7fc2fffa,0xff50004f,0x0fffc05f,0x005fff00,0x2f88dff1,
    0x006ffa80,0x7ffc0bd0,0x7c400004,0x05ff905f,0x00009ffd,0xfff99ec0,
    0xfff30003,0x01bfea09,0x6c002f40,0xffa800ff,0xa800003f,0xff5003ff,
    0x017a000d,0xbff03ff9,0x006ffa80,0xff500bd0,0x817a000d,0x01effffc,
    0x006ffa80,0x7e400bd0,0x4001f22f,0x0bd06ffe,0x007fff30,0x993ffe60,
    0x30003fff,0x7fcc9fff,0xff30003f,0x0fffc09f,0x005fff00,0x07c8bff2,
    0x000dff50,0x7ffd417a,0xfc800003,0x985ff81f,0x00003fff,0x7ffd4b20,
    0xfff10002,0x01bfea0b,0x7c002f40,0xfff7006f,0xf5000005,0x3fea007f,
    0x00bd0006,0xfb317ff7,0x6ffa801b,0x500bd000,0x3a000dff,0x7fffec05,
    0x3ea000cf,0x0bd0006f,0x7f37fc40,0x3ffe6000,0x54007dc3,0x10002fff,
    0x7fd4bfff,0xff10002f,0x17ffd4bf,0x5fff8800,0x8007ffe0,0xf1002fff,
    0xa801fcdf,0xbd0006ff,0x00bffee0,0x5ffdc000,0xb80dfd98,0x00002fff,
    0x7ffe46a0,0x3ffe0001,0x00dff507,0xf30017a0,0x3ff2009f,0xa800001f,
    0xff5003ff,0x017a000d,0x33bbb3a2,0x0dff5001,0x2a017a00,0xbd0006ff,
    0xfffff900,0x3fea007f,0x00bd0006,0x0faaffc8,0x3fff2000,0x32007f10,
    0x20001fff,0x3ff27fff,0x3fe0001f,0x07fff27f,0x07fff800,0xf8007ffe,
    0x3f2002ff,0x5000faaf,0x3a000dff,0x03fff905,0x33a20000,0x3201ceee,
    0xd1001fff,0xbddddddd,0x00fffec0,0x20fffd00,0xd0006ffa,0x2ffb800b,
    0x03fffb00,0x7ff50000,0x01bfea00,0x3a202f40,0x7fd40002,0x00bd0006,
    0x2000dff5,0xffd5005e,0xa803dfff,0xbd0006ff,0xdeff9800,0x7f440005,
    0x6c00db6f,0x20001fff,0x3ff67ffe,0x3fa0001f,0x07fff67f,0x07ffe800,
    0x33337ffe,0xfccccccc,0x3e6002ff,0x2a005def,0xbd0006ff,0x007fff60,
    0x00ba2000,0x007fff60,0x5dfffb30,0x02fffc80,0x41bffe00,0xd0006ffa,
    0x0ffc800b,0x05fff900,0x7ff50000,0x01bfea00,0x1fa02f40,0x1bfea000,
    0x5402f400,0xbd0006ff,0xffffb800,0x3fea03ff,0x00bd0006,0x005fffb0,
    0xfbfff500,0x7ffe4003,0x3ffe0002,0x00bfff26,0x326fff80,0x20002fff,
    0x3fe06fff,0xeeeeeeef,0x2fffeeee,0x17ffec00,0x00dff500,0x7fe417a0,
    0xe800002f,0xfff90007,0xfff30005,0x7fd42209,0x3fe0003f,0x0dff505f,
    0xd0017a00,0x7fdc00df,0xa800003f,0xff5003ff,0x817a000d,0xaaabdff9,
    0xffa80199,0x00bd0006,0x2000dff5,0xfc88005e,0xf501ffff,0x17a000df,
    0x01bfe600,0x4fffd800,0x1fffd400,0x4bfff000,0x0003fffa,0xffa97ffe,
    0x3fe0003f,0x07ffe05f,0x002fff80,0x20037fcc,0xd0006ffa,0x0fffee0b,
    0xbff30000,0x03335557,0x000fffee,0x2e0bffe2,0x4fff99ff,0x7fff1000,
    0x001bfea0,0xff100274,0x7ffd4007,0xfb800005,0xfff5004f,0x9813a000,
    0xffffffff,0xf500bfff,0x13a000df,0x001bfea0,0xd3000274,0xf501ffff,
    0x13a000df,0x001fec00,0x03fff100,0x04fff980,0x47fff100,0x0004fff9,
    0x7cc7fff1,0xf10004ff,0x7ffc07ff,0x0bffe001,0x000ff600,0x2000dff5,
    0xbfff504e,0xff980000,0xffffffff,0x3ffe60bf,0x5fff0004,0xff19fff0,
    0x3e6000bf,0xfff502ff,0x8013e000,0x22001ff9,0x00006fff,0x5006ffd8,
    0x3e000fff,0x7fffd404,0x7fffffff,0x000fff50,0x3fea013e,0x209f0007,
    0x3fffa001,0x007ffa81,0x2e0009f0,0x7c00000f,0x7c4001ff,0xf30005ff,
    0x7ffc45ff,0xfff30005,0x02fffc45,0x02fff980,0xf8007ffe,0xfb8002ff,
    0x3ffd4000,0xf104f800,0x00000dff,0xfffffff5,0x7c4fffff,0xff0007ff,
    0x25ffb05f,0x70006ffd,0x7fcc0dff,0x007f0007,0x6c0037dc,0x200007ff,
    0x4effffeb,0x007ffcc0,0x56a01fc0,0xcbaaa998,0x7ff982fe,0x3007f000,
    0x3e000fff,0x22005903,0xff983ffe,0x007f0007,0x00001760,0x20007ffe,
    0x70006ffd,0xdffb0dff,0x1bfee000,0x4001bff6,0x7fc06ffb,0x3ffe001f,
    0x005d8002,0x0007ff98,0x3ffec07f,0x8ad40000,0xecbaaa99,0x07fff22f,
    0x40bffe00,0x0bffe21a,0x80bffa00,0x4001fff8,0x3f6001f9,0xfff98003,
    0x202e0002,0x3fe2002e,0x17cc001f,0x74001f50,0x01fff885,0x4400fcc0,
    0x4c001fff,0x400b901f,0xff884ffc,0x0fcc001f,0x000fc400,0x00fffc00,
    0x017ffc40,0x4417ff40,0xe8002fff,0xfff882ff,0x2ffe8002,0x000fffc0,
    0x88005fff,0xff88001f,0x0fcc001f,0x005fff30,0x01f505c0,0xfff12f40,
    0x5fff000b,0x037fdc00,0x2017fea0,0x64004ffe,0x03fe000f,0x07ffec00,
    0x7d425400,0x27ff4000,0x4403f200,0x81e4004f,0x64004ffe,0x9ffd000f,
    0x900fc800,0x17fdc00f,0x4004ffe8,0x6c8000fc,0xfff00000,0x3fee0003,
    0x2ffd4006,0x800dff70,0x3ee05ffa,0x7fd4006f,0x01fff805,0x000bffe0,
    0x7f4000d9,0x07e4004f,0x003fff60,0x04f892a0,0x3fee1e40,0x7ffc002f,
    0xfe80b882,0x3ffa002f,0x06ffa800,0x98013ee0,0x3a20005f,0x34c005ff,
    0x54003fc8,0x3ee007ff,0x801bf604,0xdff500e8,0x0027dc00,0x5c00dff5,
    0x00ff204f,0xfa807ff4,0x13ee006f,0x0007e600,0x00fffc00,0x005ffd00,
    0x3a007ff4,0x3fa002ff,0x17ff400f,0x001ffd00,0x7c003fff,0x3e6002ff,
    0x3fea0001,0x013ee006,0x0017ffa2,0x006fd8d3,0x3ff603a2,0x3ffe000f,
    0x443ffc42,0x74402ffd,0x3fa001ef,0x7fd400df,0x7e43aa00,0x7ec40000,
    0x0ea800ef,0x8001df70,0x5400dffe,0x3ff600ff,0x0175400c,0x50037ffa,
    0xfe8001ff,0x7fd400df,0x013ff200,0xfe807ff5,0x7fd400df,0x5def5400,
    0x1000004f,0x40003fff,0x4402ffd8,0xd8801efe,0x7f4402ff,0xffd8801e,
    0x0f7f4402,0x00fffc40,0x2a05fff0,0x004fbbde,0x00dffe80,0x88007fd4,
    0xa800effd,0x067fec0e,0xfa80baa0,0xfff001ff,0x00fffa85,0xa8817ff7,
    0xd88004ff,0x7511beff,0xfe801dfd,0x00002f99,0x2b3bfff2,0x00deca88,
    0x2ab7ffe2,0x77fec403,0xdfb7311b,0xffff8801,0xeeccbcce,0xeffd8802,
    0xdfd7511b,0xffb10001,0x3aea237d,0x7fe400ef,0x7fdc0adf,0xeffd8804,
    0xdfd7511b,0xffffd001,0x4400000d,0x80002fff,0x5440bffb,0xfb8004ff,
    0x7fd440bf,0xbffb8004,0x027fd440,0x005fff10,0xfe81fffc,0x00006fff,
    0x237dffb1,0x00efeba8,0xcefffc80,0x0deca88a,0xceffff88,0x02eeccbc,
    0x0adffe98,0x80effda8,0x7ecc05fe,0x2dffedef,0x7ff5c000,0x0bffffff,
    0x02fdfc80,0xfeda8000,0x02efffff,0x3bfffb50,0x3fffae00,0x00bfffff,
    0xfffff910,0x70009fff,0xfffffffd,0xb800017f,0xfffffffe,0xacc800bf,
    0xffefffec,0x7f5c002e,0xbfffffff,0xbfff9000,0x22000001,0x000dfffc,
    0xdeffd980,0x0002dffe,0x3b7bff66,0x20002dff,0xfedeffd9,0x322002df,
    0xf7005fff,0x3ff20dff,0x400000df,0xffffffeb,0x20000bff,0xfffffeda,
    0x7e4402ef,0x4fffffff,0xffedb800,0x1cfffede,0x2a200040,0x800000ab,
    0x01abcaa9,0x0000a980,0xaab98800,0x00060000,0x1abcaa88,0x32a62000,
    0x980001ab,0x001abcaa,0xbcaa9800,0x2054001a,0x001abaa8,0x55e554c0,
    0x01730001,0x3f660000,0x2dffffff,0x57510000,0x51000001,0x00000157,
    0x80015751,0xffffffd9,0x7fe442df,0x42dfffff,0x000000b9,0x0d5e554c,
    0x5cc40000,0x4c4000aa,0x0001abca,0x026aea60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x18018000,0x1fff0000,0x4000fff2,0x54003eed,
    0x400000aa,0x00000200,0x00027ffc,0x029802e0,0x80001980,0x0006a00c,
    0x55555551,0x55554c55,0xaaaaaaaa,0x00aaaaaa,0x0029802e,0x02fff980,
    0x0deee540,0xca98002e,0x50009bdd,0x55555555,0x2aaa2015,0x3b22aaaa,
    0x405eeeee,0x500e201a,0x55555555,0x1c038805,0x7fcc0000,0x5554402f,
    0x999aaaaa,0xfd000000,0x3ba200bf,0x882eeeee,0x3d003fff,0x400016c0,
    0x17f62ff8,0x7fffdc00,0xdfff3001,0x3fae0000,0x0000481e,0x0005ff98,
    0x6982f980,0x02ff5c00,0x540f5400,0xfffb7005,0x99dd99bf,0x7fffffec,
    0xffffffff,0x2602ffff,0x0006982f,0x4007ff90,0xfecdffe9,0xa800fcdf,
    0xffdcdeff,0x75d400df,0x0adfffff,0xffff9510,0x6666545b,0x1fc406fe,
    0x2ea00744,0x2bfffffe,0x3c80dc80,0xffc80000,0xffda8803,0xffffffff,
    0x300000df,0x7c400dff,0x81ccccdf,0x32004ffb,0xfeca9bdf,0x5fa80000,
    0x44000ffc,0x005feaff,0x005ffdfd,0xfffffb80,0x0000751d,0x0001df90,
    0xfa8ff200,0xfffd5002,0x3f60000b,0xb1007ee2,0x43ffffff,0x9adfd85b,
    0x9bffe999,0x03ffba99,0x05f51fe4,0x013fa000,0x440bff98,0x2200fffd,
    0xfb301efd,0x3ffa003d,0x7fc4001f,0x00dfb001,0x01fcc9f7,0x00dfff10,
    0x1b61ef88,0x27f40000,0x57ffd400,0x7fffb311,0x1df70000,0x01ffc400,
    0x44005fd8,0x2fffffff,0x41f90000,0xd90003f8,0x500bf623,0x003fee9f,
    0xfff91e80,0x00003fdf,0x00001fd0,0x7deffc40,0x5ffa8006,0x9ff30000,
    0xfe8809f9,0x21ffffff,0x3a05d85b,0x07f103ff,0x6fbdff88,0x0bf30000,
    0x202ff440,0xfd300ffc,0xffe8801b,0x07ffb803,0x6c00bf00,0x5dfd006f,
    0xffd000ff,0x7ff70009,0x000005fb,0x22000bf3,0xff501fff,0xfe80009f,
    0x1ffc4001,0x8000ef80,0x02ffffd8,0xd50f6000,0x203a2000,0x2a1f406c,
    0x1120004f,0x0005fffb,0x0003f100,0xffff7000,0xbff10003,0x7fe40000,
    0x7fe400ff,0x21ffffff,0x3a01e85b,0x00ea03ff,0x007fffee,0x00075c00,
    0xfb003ff5,0x003ffa01,0x200fffc4,0xd0006ffb,0x037ec00b,0x02ffffa8,
    0x003ffe80,0x00bfffd0,0x001ae000,0x201fff88,0x20007ffd,0xf88001f8,
    0x00fa803f,0x000d4400,0x00dc2c00,0x0aa00b80,0x00e8815c,0x02620100,
    0x015c0000,0xddb00000,0x3fe20009,0x3a200005,0xffe803ee,0x21ffffff,
    0x7f40685b,0x4012203f,0x00004eed,0xff900036,0x901f5001,0xfa8009ff,
    0x37fd406f,0x2005e800,0x3b2006fd,0xffb0005e,0x3baa0007,0xb000001e,
    0xfff80001,0x0bffea01,0x80015c00,0x1c803ff8,0x00000000,0x00000000,
    0x00600600,0x00000000,0x00000000,0x3fe20000,0x00000005,0x3fffffe2,
    0x216e1fff,0x01fff400,0x00000002,0x3ff60000,0xf981f003,0xfe8000ff,
    0x1bfea04f,0xb002f400,0x000000df,0x0003ffd8,0x00000000,0x01fff800,
    0x0017ffe2,0x3fe20000,0x0006a003,0x2af7b2a6,0x95300000,0x000157bd,
    0x06600220,0x55555400,0x100aaaaa,0x55555555,0x15555544,0x55555100,
    0x2aaa2555,0x2a2002aa,0x42aaaaaa,0x00005ff8,0xb837bb95,0x3ffffe20,
    0x16e1ffff,0x00fffa00,0x5555554c,0xaaaaaaaa,0xaa80aaaa,0xaaaaaaaa,
    0x0aaaaaaa,0xb003fff7,0x005ffe81,0x201fff90,0xd0006ffa,0x437ec00b,
    0xaaaaaaaa,0xaaaaaaaa,0x07ffb00a,0x2aaaaaa2,0x000999aa,0xaaaaaa88,
    0xaaaaaaaa,0x7fc01aaa,0x3ffe601f,0x2aaaa204,0x00aaaaaa,0x100ffe20,
    0x54007ff7,0xfdcaceff,0xf50000df,0xffb959df,0x3660001b,0xbfd7104f,
    0x3faea000,0x00adffff,0xbffff951,0x7ffed445,0xf951003f,0x2a259fff,
    0x003ffffd,0x9ffff951,0x005ff885,0x66fff4c0,0x40fcdffe,0xfffffffe,
    0x20016e1f,0xfb003ffe,0xffffffff,0xffffffff,0xfffff05f,0xffffffff,
    0x7fccbfff,0x220403ff,0x30004fff,0x3ea05fff,0x0bd0006f,0x7fc37ec0,
    0xffffffff,0x05ffffff,0x5440fff6,0xfffffffd,0x000dffff,0xfffff951,
    0xffffffff,0xfff80bff,0x0fffea01,0xffffca88,0x2000acef,0x3b203ff8,
    0xd8803fff,0xdfb101ef,0x77ec4003,0x03dfb101,0x27fff540,0x02ffff5c,
    0x0ffff400,0x007fe200,0x005ffff3,0x7cc06f88,0x44002fff,0x17fe206f,
    0x17bbbbb2,0xd8817ff3,0x7fe40fff,0x21ffffff,0xffe8005b,0x35bfb003,
    0x37ffd333,0x87ff7533,0x4009bff8,0x7e40effe,0x3001efff,0x20007fff,
    0xf504fff8,0x17a000df,0x7c46fd80,0x7f4009bf,0x3ff600ef,0xafffa803,
    0x7fffb311,0x2fff9800,0x202fdc40,0xfd101fff,0x7fcc00df,0x3e20005f,
    0x3ffc803f,0x006ffcc0,0x4c01ffdc,0xfb800dff,0xfd31003f,0x2ffdc09f,
    0x3ffdc000,0x3005f800,0x8001ffff,0xfff9805f,0x02fc000f,0x3f60bff1,
    0x2ff440af,0xf503ff20,0x3fffffff,0x7f4002dc,0x40bb003f,0x7f103ffe,
    0xf9001f98,0x3ff603ff,0x5c00cfff,0x20002fff,0xff505fff,0x017a000d,
    0x0fcc6fd8,0x01fffc80,0x4401ffec,0xff501fff,0xfff8009f,0xf80d7002,
    0xffd881ff,0x7ffc001f,0x3fe20003,0x03ffa803,0xd0007ff4,0xffe805ff,
    0x0bffa000,0x204ffa80,0x80005ff9,0xd0006ffb,0x7fff400b,0x013a000e,
    0x0077fff4,0x7fc409d0,0x500df985,0x1fb003ff,0xffffff50,0x4002dc3f,
    0x3d003ffe,0x501fff40,0xf3005987,0xffc809ff,0x3203ffff,0x20001fff,
    0xff507fff,0x017a000d,0x02cc6fd8,0x804fff98,0xf8803ffd,0x3ff601ff,
    0x17ffc007,0x7fc06880,0xfff7311f,0xfff0001b,0x7fc40005,0x03ffa803,
    0x50013ff2,0x7fe40dff,0x37fd4004,0x409ff300,0x80005ff8,0xd0006ffa,
    0x7fff400b,0x013a005f,0x02fffff4,0x7fc409d0,0x32027cc5,0x0fa800ff,
    0xffffff30,0x74002dc3,0x80d003ff,0x12203ffe,0xffd10075,0x3ffaa00d,
    0xfd81efff,0x3a0001ff,0xdff507ff,0x8017a000,0x401d46fd,0xb006ffe8,
    0x3fe007ff,0x3ffea01f,0x0bffe002,0x7ffc0480,0x0cffffff,0x0bffe000,
    0x03ff8800,0xf303ffa8,0xfd0001ff,0x1fff309f,0x09ffd000,0x8813fe60,
    0xa80005ff,0xbd0006ff,0x7fe67400,0x009d004f,0x13fff33a,0xff102740,
    0x6c027ccb,0x01f003ff,0x21fcba98,0xffe8005b,0xfe801003,0x0260403f,
    0x007fff60,0xffffff70,0x02fffc87,0x41fffe00,0xd0006ffa,0x237ec00b,
    0xfffd8009,0x07ffb001,0x8807ffe0,0x3e005fff,0x200002ff,0xff99afff,
    0x7fc0004f,0x3e20002f,0x3ffa803f,0x000bffd0,0xfd07ffee,0x3ee000bf,
    0xff9801ff,0x017fe204,0x01bfea00,0x9d002f40,0x200bfff6,0x369d004e,
    0x4e802fff,0x7d57fe20,0x3fff7003,0xf8001b00,0x3a0016e1,0xd00003ff,
    0x000007ff,0x0007fff5,0x3fffff22,0x00bfff21,0x505fff80,0x3a000dff,
    0x01bf6005,0x00fffea0,0xf003ffd8,0x7fcc03ff,0x3ffe004f,0xff000802,
    0x17ffcc3f,0x05fff000,0x01ffc400,0xff81ffd4,0xff50004f,0x04fff85f,
    0x05fff500,0x4409ff30,0x000885ff,0x4001bfea,0x453a005e,0x7401fffe,
    0x3a29d004,0x27401fff,0xdf7bff10,0x7fffcc00,0x7c000403,0x3a0016e1,
    0xd00003ff,0x800007ff,0x0005fff8,0x0ffffe98,0x0007fff5,0x5413ffe2,
    0x9d0006ff,0x0037ec00,0x0017ffe2,0x3e007ffb,0x3fea01ff,0x3ffe003f,
    0xff005802,0x0fffc83f,0x05fff000,0x01ffc400,0x7cc1ffd4,0xf30003ff,
    0x7ffcc9ff,0xfff30003,0x09ff3009,0xfd52ffc4,0xff5003bf,0x017a000d,
    0x3ffe64e8,0x4013a00e,0x3bffe64e,0xf8813a00,0x003fffef,0x07bffff2,
    0x2e1f8000,0x3ffe8005,0x7ffd0000,0xffd80000,0xd000c00f,0x3fe23fff,
    0xff30004f,0x1ffea05f,0xb0027c00,0xffd800df,0x7fec000f,0x03fff003,
    0x001bffa2,0x59805fff,0xd03fff00,0x3e000bff,0x220002ff,0xffa803ff,
    0x02fffa83,0x4bfff100,0x0002fffa,0x300bfff1,0x7fc409ff,0xdfffff95,
    0x00dff500,0x4e8017a0,0xd02fffd4,0xf513a009,0x02740bff,0xfff3bff1,
    0x7ffec003,0x80000cff,0x20016e1f,0x00003ffe,0x00007ffd,0x4017ffdc,
    0xffd1002c,0x0037fec7,0x2606ffb8,0x7f0007ff,0x0037ec00,0x0005fff7,
    0x3e007ffb,0xffd881ff,0x7ffc001f,0x4017a202,0xff881fff,0xfff8003f,
    0x3fe20002,0x83ffa803,0x0001fffc,0xffc9fffe,0x3fe0001f,0x4ff9807f,
    0x3377fe20,0x807ffb10,0xd0006ffa,0x5c27400b,0x09d04fff,0x3fee13a0,
    0x4409d04f,0x1fff75ff,0x7fffe400,0x7c0003ff,0x3a0016e1,0xd00003ff,
    0x200007ff,0x9005fff9,0x27fe400b,0x0005fff3,0x7c405ffd,0x7cc001ff,
    0x01bf6001,0x002fffcc,0xf003ffd8,0x3ee623ff,0xf8000dff,0xeeeeeeff,
    0xff005fff,0x3ffea03f,0x17ffc001,0x07ff1000,0xfb07ff50,0x740003ff,
    0x3fff67ff,0x3ffa0001,0x04ff9807,0x220fffe2,0x7fd406ff,0x00bd0006,
    0xfffd8274,0x9d004e83,0x20ffff60,0x97fe204e,0x54006ffd,0x1efffffe,
    0x2dc3f000,0x01fff400,0x03ffe800,0x1fffd000,0xb801f200,0x37fdc2ff,
    0x01bfea00,0x90013ffa,0x37ec001f,0x00fffe80,0x007ffb00,0x3ffffffe,
    0x20000cff,0xaaaacfff,0xf005feca,0x7fec03ff,0x3ffe000e,0x3fe20002,
    0x83ffa803,0x0002fffc,0xffc9bffe,0x3fe0002f,0x4ff9806f,0xf817fe20,
    0x37fd407f,0x2005e800,0xfffd104e,0x9d004e83,0x07fffa20,0x2ffc409d,
    0x20013ffa,0x3ffffffb,0x16e1f800,0x00fffa00,0x01fff400,0x0fffe400,
    0x2007f900,0xffc80ffe,0x03bfa002,0x801bfea0,0x7ec004fb,0x1fffc806,
    0x13ffa000,0x4cd7ffc0,0x40004fff,0x2e402fff,0x00fffc40,0x400bffd1,
    0x20002fff,0xfa803ff8,0x3fffa83f,0x97ffe000,0x0003fffa,0x26017ffe,
    0x3fe204ff,0x501ffa05,0x3a000dff,0x8813a005,0x13a0ffff,0xff102740,
    0x102741ff,0xfff88bff,0xffc88002,0x7c001fff,0x3e0016e1,0xd00003ff,
    0x980007ff,0x64004fff,0x7fd404ff,0x007ffa03,0x4001dfb1,0x5400dffe,
    0x7ec000ff,0x27ffcc06,0x13ffa000,0xf30fffc0,0x7c0005ff,0x02c402ff,
    0x2017ffc4,0xf004fff9,0x440005ff,0xffa803ff,0x04fff983,0x47fff100,
    0x0004fff9,0x3007fff1,0x7fc409ff,0x501ffa05,0x3a000dff,0x3013a004,
    0x0274dfff,0x7fcc04e8,0xf9813a6f,0x1fffa86f,0xfffd3000,0x70fc001f,
    0xfffb800b,0xfe80000e,0x3a20003f,0xfc8006ff,0x7dc0adff,0x7fe4404f,
    0x0efe980b,0x77fec400,0xdfd7511b,0x0dfb0001,0x0037ff44,0x03bffea0,
    0xf907ffe0,0x3e0001ff,0x405802ff,0x00dfffc8,0x016fffdc,0x8000bffe,
    0xfa803ff8,0x5fff883f,0x5fff3000,0x002fffc4,0x802fff98,0x3e203ff9,
    0x01ffa05f,0x2000fff5,0x013a004f,0x2757ffee,0xfb804e80,0x5c09d5ff,
    0xffe80fff,0xfd000c2f,0x0fc003ff,0xff9100b7,0x05bfffff,0x01fff400,
    0x03fff900,0xfd959900,0x05dffdff,0x6f7fec40,0x0001dffe,0x7fffff5c,
    0x0000bfff,0x7fe40dfb,0xfc88001f,0x3dffffff,0x3a07ffe0,0xff0005ff,
    0x6cc0005f,0xdfffffff,0x3ffff602,0x05fff04f,0x01ffc400,0xfd81ffd4,
    0xff70006f,0x00dffb0d,0x401bfee0,0x3e203ff9,0x01ffa05f,0x2000fff3,
    0x013a003f,0x275fffe4,0xf9004e80,0xd709d7ff,0x21bdffff,0x3efffffc,
    0x3fa20059,0xb87e003f,0x00000005,0x0007ffd0,0x000fffea,0x7f5102a1,
    0x74c00035,0x0005ffff,0x57ed54c0,0x6fd80001,0x007fff50,0x800d5008,
    0xff881fff,0xfff8003f,0x00000002,0x17ffc000,0x3ff88c00,0x103ffa80,
    0xd0005fff,0xfff105ff,0x5ffd0005,0x80bfe600,0x3fa05ff8,0x0fffc407,
    0x8007e600,0x3ffa004e,0x09d004ff,0x27ffff40,0x17200000,0x004ffc80,
    0x8005b87e,0x200000a8,0x88003ffe,0x54005fff,0x001fdc02,0xffffd880,
    0xbb000002,0x37ec0000,0x002fffc4,0x002f40aa,0x7d407ffe,0x7fc001ff,
    0x01cc002f,0x000b7f20,0x8005fff0,0x007ff13a,0x7dc07ff5,0x7fd4006f,
    0x01bfee05,0x400bff50,0x3e201ff9,0x01ffa05f,0x90013ffa,0x0274001f,
    0x09fffd10,0xe88013a0,0x6c004fff,0x07c801cf,0x800bfee0,0x20016e1f,
    0x00001ffe,0xb0007ffd,0xd8001fff,0x0fffa201,0xfffc8000,0xf800000f,
    0xfb00000f,0x01fffb0d,0xff881d80,0x07ffe000,0x000effd8,0xd000bffe,
    0xfffb8003,0x3ffe0000,0xf8874002,0x3ffa803f,0x0017ff40,0xfe801ffd,
    0x3ffa002f,0x01bea000,0x7f40bff1,0x06ffa807,0xd0013ee0,0xfff98009,
    0x8009d004,0x4004fff9,0xfc807ffc,0x01ffd003,0x00b70fc0,0x004fff88,
    0x007ffd00,0x002fffb8,0x5fd803cc,0x7f540000,0x400000ef,0xb00004fe,
    0x2fffb8df,0xff03cc00,0x3ffe2007,0x17ffa201,0x002fff80,0x7c4001b2,
    0x3fe0003f,0x89ae003f,0xffa803ff,0x17fec403,0x007bfa20,0x100bff62,
    0x2e203dfd,0x2201fdc1,0x1ffa05ff,0x006fff40,0xf0003fea,0x9ff5000b,
    0x20017e00,0x88004ffa,0x7fe402ff,0x01ffd404,0x005b87e0,0x0005cca8,
    0x4007fff0,0x4005fff8,0x7fb006f9,0x3aa00000,0x200001ef,0x2b9cfffb,
    0x226fd800,0x4c005fff,0x3bfee06f,0xff882b9b,0x7ffcc02f,0x3fff8804,
    0x0009f700,0x80003fe2,0xf9004fff,0x401ffc49,0xf7004ffb,0xffa8817f,
    0xbffb8004,0x027fd440,0x3a233fee,0x06ff9806,0x22003ffa,0x511beffd,
    0x8001dfd7,0xc8001ffb,0x1ffb804f,0x004fc800,0x6400ff88,0x5c0adfff,
    0x1f8004ff,0x4b80016e,0xfffb8000,0xfffd000e,0x55555557,0x0bffb955,
    0x0037dc44,0x77ed4000,0xeb80000b,0x4c00cfff,0x26feaaaa,0xaaabfffe,
    0xdcaaaaaa,0x3ae205ff,0x6440bfff,0x5c00dfff,0x2e02dfff,0x999aefff,
    0x1ffdba99,0x27ecc400,0xfffc8800,0xccaaaccf,0x3e21ffed,0x40aaaadf,
    0x26006ffd,0xffedeffd,0x3660002d,0xdffedeff,0xffff9802,0xfff7004f,
    0x05fff101,0x7ffff5c0,0x000bffff,0xdfffff91,0x104d8009,0x9dfffff9,
    0x2004d800,0xc803fda8,0xefffecac,0xf0002eff,0x98002dc3,0xf910000e,
    0x5bffffff,0x7ffffdc0,0xffffffff,0x203fffff,0x00001cc9,0x265cc400,
    0x00088000,0x3ffffff6,0xffffff76,0xffffffff,0x2007ffff,0xfffd9808,
    0x202dffff,0x14fffffd,0xffffffd9,0xffffffff,0x795000df,0xff910001,
    0xffffffff,0x8fffffff,0xfffffff8,0xdffffd53,0xaba8800b,0xa8800000,
    0xa88000ab,0xfea800ac,0xd98defff,0x01dfffff,0x2af2aa60,0x00000001,
    0x00000188,0x65c00310,0x8815000a,0x0001abaa,0x80055064,0x00001bc8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc4000,0x03000004,0xaaa88006,0x41aaaaaa,0xaaaaaaaa,0x03018001,
    0x8164c000,0x87d90002,0x32e003ec,0x5555102d,0x01555555,0xffe80000,
    0x64c00005,0x64000302,0x80006a00,0x00000800,0x80017ffa,0x02aaaaa8,
    0x2aaaaa20,0xf70002aa,0x000003ff,0x4000006c,0x0006a00c,0x05ddd100,
    0x00180000,0x00062000,0x0013bb60,0x0017fea0,0x3a37fc00,0xf951006f,
    0x8359ffff,0xbeffffca,0x23ff4001,0x40000ffd,0x2c2efffd,0x87ffcc00,
    0x4400fff9,0x885f71ce,0xefffffca,0x000000ac,0x0003bfe2,0x2efffd80,
    0x3d50002c,0x44000b50,0x000b200e,0x00ffe880,0xfffb5100,0x32a2007f,
    0x002cffff,0x0003ffb0,0x001fcc00,0x540f5400,0xfd800005,0x000007ff,
    0x0000dff1,0x0007ff50,0x00ffffdc,0x001bf200,0x8fffd400,0x4001fff9,
    0xe803fffa,0xf10003ff,0x3ffe25ff,0x2fae0002,0x5bbefffe,0x27ff9800,
    0x7400fff8,0x3e606f86,0x000005ff,0x0003fee0,0xffebea80,0x0005bbef,
    0x03f717ec,0x8abee800,0x0000fdb9,0x0017fc40,0x17fffcc0,0x001be200,
    0x0007ff10,0x006fd800,0x5c5fb000,0x4c00001f,0x003ffbef,0x1fffa800,
    0x7fec0000,0x5ff10006,0xf8000bfd,0x2000000e,0x037f46ff,0x017ffcc0,
    0x00007fe6,0x0ffe8ffd,0xff716000,0x20003fff,0x00e541ca,0x0bfe0bea,
    0x0003fff8,0x007f6000,0x7dc19000,0x0001ffff,0x27e67fcc,0x7ffcc000,
    0x0003ffff,0x000bf300,0x03fffe60,0x8000bf00,0x000004fa,0x000fffc4,
    0x667fcc00,0xe800004f,0x001fd30d,0x00dff000,0x07ff5000,0x6c43b200,
    0x3f30002f,0x03000000,0x7fc40006,0x03be201f,0x0180c000,0xdc883800,
    0x0000001d,0x3fe0bee0,0x00bffe02,0x17c40000,0x441c0000,0x00001ddb,
    0x001ffff9,0x3fffea00,0x4000003f,0x3a00007b,0x2000efff,0x2ec0004e,
    0x7dc00000,0x000005ff,0x001ffff9,0xd885a800,0x03000005,0x00440000,
    0x6b80e880,0x00039000,0x00000000,0x4407ffe2,0x000000ee,0x00000000,
    0x70000000,0xf805309f,0x000002ff,0x00000750,0x10000000,0x00007ddd,
    0x000aba88,0x00390000,0x3ffffa00,0x0013a005,0x000000b0,0x003fffbe,
    0x3bba2000,0x03800003,0x0000005c,0x00000000,0x01540170,0xaa800000,
    0xaaaaaaaa,0x55555100,0x3fe20555,0x00fe881f,0x7654c000,0x00000abd,
    0x157bd953,0x40000000,0xf8003ffa,0x000002ff,0xaa880000,0x22002aaa,
    0x2aaaaaaa,0x00000000,0x00000000,0x333a0000,0x9d004fff,0x00000000,
    0xffd3f500,0x00000007,0x00000000,0xbd973000,0x40017037,0xbceedcb8,
    0x00000e20,0x55555551,0x00013335,0xfffffd75,0x32a2015b,0x102dffff,
    0xfe883fff,0x3ea00000,0xffdcacef,0xff50000d,0xbffb959d,0xeeeec801,
    0xeeeb82ee,0x03ffe81e,0x0017ffc0,0x55555530,0x2a201555,0x12aaaaaa,
    0x07ffffb5,0x3fff2a20,0x555512cf,0x55555555,0x00355555,0x00000d80,
    0x00001b00,0x2fffda74,0x80004e80,0x2000000d,0x00fff76e,0xaaaaaa88,
    0x00999aaa,0x00d80000,0x7ff54000,0xbdfdcacf,0xfd9801fa,0xfecbbdef,
    0x55505cbe,0x05555555,0xfffffb51,0x1bffffff,0x3fffd000,0x01ff8800,
    0xd10fffc4,0x2200001f,0xfb101efd,0x7ec4003d,0x3dfb101e,0x0efffb80,
    0x4c07fe60,0x3e004fff,0x260002ff,0xdffffffc,0xffd5100a,0xff3059ff,
    0xf88005ff,0xfffca886,0xffffffff,0x0005ffff,0x00000fe6,0x0000fe60,
    0xfffd14e8,0x0004e803,0x00001fcc,0xfff12f98,0x7ed44005,0xffffffff,
    0x001befff,0x001fcc00,0x1bffd880,0x05fff910,0x200cffb8,0x7505ffe9,
    0x57fffffd,0x1afffa80,0x07fffb31,0x007ffb80,0xff100bf0,0x003fe63f,
    0x06ffcc00,0x401ffdc0,0xb800dff9,0x7fe403ff,0x2017cc05,0x800dfffd,
    0x80002fff,0x006ffff9,0x2600f7fc,0x4000ffff,0x7ffcc05f,0x02fdc402,
    0x000dfb00,0x00dfb000,0xff327400,0x027401df,0x001bf600,0x3f23e400,
    0xff50005f,0x2ea2359f,0x001efffd,0x000dfb00,0x003ffd10,0xfd80bfea,
    0x1bf2004f,0x00dfff10,0xa80fffc4,0x2e004fff,0xbd0006ff,0x33fff100,
    0x400001ff,0x3a000ffe,0x7ff402ff,0x0bffa000,0x200fff88,0x7d5e407c,
    0x7fc00eff,0xf300002f,0x7c400dff,0xfffd000f,0x0274001d,0xb8017ffc,
    0xfff10006,0x44000003,0x00001fff,0x5fffa89d,0x880013a0,0x00001fff,
    0x3fe61fc4,0xff88001f,0x7ffd401f,0x7c40003f,0x740001ff,0x7dc001ff,
    0x007ff903,0xffd00fd0,0x7ffc4009,0x01fff601,0x0006ffa8,0xfff100bd,
    0x0001dff7,0x0013ff20,0x7e40dff5,0x7fd4004f,0x01ffdc06,0xf316409f,
    0x7fc01dff,0x3200002f,0xf7002fff,0x7fff4005,0x013a005f,0x4400bffe,
    0xfff70006,0x5c00000b,0x00005fff,0x9fff709d,0xb80013a0,0x00005fff,
    0x7ff407dc,0xfff88004,0xfffd8801,0x3fee0002,0x3f20005f,0x07d0005f,
    0x2000dff5,0x3ffe8079,0x00fffc00,0x2005fff5,0xd0006ffa,0xbfff100b,
    0x0001dfff,0x000fff98,0xf984ffe8,0xfe8000ff,0x1ffe204f,0x86b807d4,
    0x3e05ffe8,0x400002ff,0xbd006ffe,0xffcce800,0x009d004f,0x24005fff,
    0xfffef800,0xdf000000,0x00001fff,0x3fff609d,0x20004e83,0x000fffef,
    0x7d413a00,0xff8000ff,0xfff1001f,0x3be0001f,0x98000fff,0x70001fff,
    0x02fff889,0xfb003a00,0xfff8007f,0x17ffe201,0x0037fd40,0xff8805e8,
    0x0efffc9f,0x17ffa000,0x0fffdc00,0x40017ffa,0x3201fffb,0x205d83ff,
    0x3ffd104d,0x000bffe0,0x09fff300,0x74000fc8,0x005fffb4,0x5fff009d,
    0xfa800000,0x0003ffe9,0xffe9fa80,0x04e80003,0xe83fffd1,0xd3f50004,
    0x200007ff,0x3ffe01fa,0x1fff8003,0x17ffea00,0x3fa7ea00,0xffc8003f,
    0x71220007,0x98000fff,0x01ffec00,0x9807ffe0,0xf5004fff,0x17a000df,
    0x647ffe20,0x0000efff,0x20009fff,0x7fc2fffa,0xff50004f,0x37fc405f,
    0x27c40be2,0x3e09fd10,0x800002ff,0xf301fffc,0x229d0007,0x7401fffe,
    0x02fff804,0x5ba00008,0x00007ffb,0x0fff76e8,0x4409d000,0x13a0ffff,
    0xffbb7400,0x0db00007,0x8006ffc8,0x74001fff,0x74000fff,0x000fff76,
    0x00009fff,0x0004ffe8,0x03ffd800,0x500fffc0,0x2a007fff,0xbd0006ff,
    0x43fff100,0x000efffc,0x001fffcc,0x264fff98,0x30003fff,0xfc809fff,
    0xf981f22f,0xf837d406,0x000002ff,0x17a0dffd,0xff327400,0x027401df,
    0x2c017ffc,0xf12f9800,0x400005ff,0x5fff12f9,0x404e8000,0x13a6fff9,
    0x7c4be600,0x4c0002ff,0xffffffff,0x001fffff,0x2000fffc,0x2003fffa,
    0x5fff12f9,0x1fffd400,0xfff30000,0xb0000007,0xff8007ff,0xdffd101f,
    0x037fd400,0xf8805e80,0x7ffe41ff,0x3fea000e,0xff10002f,0x17ffd4bf,
    0x5fff8800,0x7f37fc40,0x2202ff80,0x05fff05f,0x3fe60000,0x0007dc3f,
    0x7ffd44e8,0x3e013a05,0x02cc02ff,0x7fe47c80,0x1f200005,0x8000bff9,
    0xfffb804e,0xf90009d5,0x0005ffc8,0x4ccccfe4,0x5ffd9999,0x00fffc00,
    0x017ffe60,0x2ffe47c8,0x05fff700,0x7ffdc000,0xd8000002,0x7fc003ff,
    0xfffd881f,0x1bfea001,0x4402f400,0xffc81fff,0xff9000ef,0x7fc0003f,
    0x07fff27f,0x07fff800,0x0faaffc8,0xd017fe40,0x00bffe05,0x7fe40060,
    0x0007f10f,0x7ffdc274,0xff009d04,0x02f4405f,0x3e61fc40,0x880001ff,
    0x0fffcc3f,0x2009d000,0x04ebfffc,0x3e61fc40,0xf10001ff,0x3ffea007,
    0x07ffe000,0x0dfff100,0xff30fe20,0x3ff2003f,0x3200001f,0xd1001fff,
    0xbddddddd,0x000fff60,0x2e623fff,0x4000dfff,0xd0006ffa,0x3fff100b,
    0x03bfff20,0x007fff60,0x367ffe80,0x20001fff,0xf9807ffe,0xf9805def,
    0x00f983ff,0xa8005fff,0xdffd1003,0x9d0001b6,0x20ffff60,0xefff804e,
    0xfffeeeee,0x80fb8005,0x80004ffe,0x4ffe80fb,0x8013a000,0x004ffffe,
    0x7ff407dc,0x01f70004,0x001fff40,0xf0003fff,0x3ee00fff,0x004ffe80,
    0x0003fffb,0x00fffec0,0x3bfff660,0x00fff602,0xfffffff0,0x200019ff,
    0xd0006ffa,0x3fff100b,0x077ffe40,0x00bfff20,0x326fff80,0x20002fff,
    0xfb006fff,0x3ea005ff,0xf01644ff,0x0e8005ff,0x37ffea00,0x2740001f,
    0x41fffe88,0xcfff804e,0xfecaaaaa,0x504e8005,0x80001fff,0x1fff504e,
    0x8013a000,0x004fffe8,0xfffa8274,0x004e8000,0xf0037fdc,0xfd0003ff,
    0x413a00ff,0xc800fffa,0x00002fff,0x000bfff2,0xb013ffe6,0xff8007ff,
    0x4fff99af,0x1bfea000,0x4402f400,0x7e401fff,0x3ea00eff,0x3e0003ff,
    0x3ffea5ff,0x3ffe0003,0x0dff3005,0x8dfffb80,0x1fffc01d,0xb000d700,
    0x00009fff,0x7ffc409d,0x3e013a0f,0x02e402ff,0xff807ea0,0x3ea0003f,
    0x00fffe01,0x26002740,0x2a004fff,0x0fffe01f,0x8005f700,0xf003fff9,
    0xff0003ff,0x03f500df,0x5c01fffc,0x00003fff,0x000fffee,0xb00bffe2,
    0xff8007ff,0x0bffe61f,0x037fd400,0xf9804e80,0xffd802ff,0xfff302ff,
    0x3fe20009,0x13ffe63f,0x1fffc400,0x0007fb00,0x005ffff5,0x32009fff,
    0xff88004f,0x4e80001f,0xd37ffcc0,0x05fff009,0x36c00588,0x001bff20,
    0x7fe406d8,0x00bf0006,0x4009ff50,0x37fe406d,0x000fd100,0x2003fffe,
    0x44001fff,0x6d805fff,0x4037fe40,0x0005fffa,0x013ffe60,0x2017ffc0,
    0x7c003ffd,0x7ffe41ff,0x7ffa8000,0x8809f000,0xc805fffc,0x41cfffff,
    0x0005fff8,0x7c45fff3,0xf30005ff,0x7dc005ff,0xffd30000,0x7ffe440b,
    0xccaaaccf,0x0001ffed,0x00003fff,0xfff7009d,0x3fe013ab,0x2005802f,
    0xfffffff9,0x01ffffff,0xfffff980,0xffffffff,0x0ffdc001,0x8027e400,
    0xfffffff9,0x01ffffff,0x001ffd88,0x06ffffc4,0x0007ffe0,0x9809fff3,
    0xffffffff,0x401fffff,0x0006fff8,0x01fffe20,0x2017ffc0,0x7c003ffd,
    0x5ffe81ff,0x07ff9800,0x36607f00,0xdfffffff,0x7ffff4c2,0x363fffff,
    0xf70006ff,0x0dffb0df,0x01bfee00,0x88000bb0,0x7e443ffe,0xffffffff,
    0x7fffffff,0x07ffe000,0x4013a000,0x04ebfffc,0x0002fff8,0x4cccfe40,
    0xffd99999,0x99fc8005,0xd9999999,0xfc8805ff,0x004effff,0x9fc8026c,
    0x99999999,0x7dc05ffd,0x403effff,0xffffffe8,0x07ffe06f,0x05fff700,
    0x99999fc8,0x5ffd9999,0x007ffd80,0x0fffe400,0x017ffc00,0xf000fff6,
    0xfff103ff,0xfff88007,0x00fcc001,0x88000000,0xe8002fff,0xfff882ff,
    0x2ffe8002,0x0007e200,0x001bfa20,0x3e000000,0xe80001ff,0x3fffa004,
    0x2fff804f,0x0fe20000,0x007ffd40,0x2a007f10,0x00000fff,0x4400c400,
    0xfff5003f,0x70000001,0x1fff800b,0x037ff400,0x7d400fe2,0x7fcc00ff,
    0x82e0002f,0x8005fff8,0x7ec02fff,0x7ffc003f,0x03fff501,0x004ffe80,
    0x400007e4,0x20001cfd,0x54006ffb,0x3fee05ff,0x2ffd4006,0x2001b200,
    0x00ff8828,0x000e7ec0,0x00fffc00,0x10027400,0xf009fffd,0x398005ff,
    0x74001f70,0x3ee003ff,0x0fffa000,0x1cfd8000,0x007dc000,0x0007ffd0,
    0x8009f000,0x32001fff,0x7dc01fff,0x0fffa000,0x003fff60,0x3fee12a0,
    0x7ffc002f,0x01ffec02,0xd807ffe0,0x2a000eff,0x3ee006ff,0xff900004,
    0xffe8000d,0x03ffa002,0x4005ffd0,0x26000ffe,0x3fd8001f,0x64000fd8,
    0x800007ff,0x80001fff,0x7fcc004e,0x2fff804f,0x4e80f400,0x037fdc00,
    0xfb8009d0,0x3600006f,0x740006ff,0x37fdc004,0x3e600000,0x0fffc006,
    0x04fff880,0x7dc004e8,0xffe8806f,0xb034c005,0x7c001fff,0x7fec02ff,
    0x3ffe2003,0x17ffa201,0x01bffd00,0x0000ffa8,0x0007fe60,0x402ffd88,
    0x8801efe8,0x74402ffd,0x37aa01ef,0xb0004fbb,0x000f909f,0x0000bfe6,
    0x001fff88,0xa8005f80,0xfff804ff,0x5c1b2002,0x7fcc002f,0x02fb803f,
    0x01fffcc0,0x03ff3000,0x000bee00,0x0007fff3,0x017fc400,0x801fff88,
    0x400dffe9,0x7cc002fb,0xfd8803ff,0x0ea800ef,0x00fffd40,0x7402fff8,
    0x3e2004ff,0x7fcc02ff,0x3f62004f,0xd7511bef,0x800001df,0x700006f9,
    0xfa8817ff,0xffb8004f,0x27fd440b,0x37ffff40,0x887f3000,0xff10003f,
    0xff880000,0x7dc0002f,0x4fc8001f,0x01fffc40,0x7e884fb8,0x1ffff000,
    0x8003f440,0x0000ffff,0x2000df30,0xff0007e8,0x000001ff,0x5cdf7fec,
    0x01fff881,0x4017ffe4,0xff0007e8,0x3f2001ff,0xa88aceff,0xd3000dec,
    0xb5015bff,0xfe801dff,0xff91004f,0xffb801bf,0x3ae002df,0xffffffff,
    0x2200000b,0x00002fea,0x3b7bff66,0x20002dff,0xfedeffd9,0xff9002df,
    0xd80001bf,0x000bb30d,0x0007fd51,0x6fffe440,0x7fe44000,0x4004efff,
    0x7ffdc04d,0xa99999ae,0x6c41ffdb,0x7c4001ff,0xd880dfff,0x7c4001ff,
    0x0000dfff,0x000bfaa2,0x0007ff62,0x01bffff1,0x3b220000,0xfc883eff,
    0xba9abdff,0x800dffed,0x4001ffd8,0x00dffff8,0xffffdb50,0x20005dff,
    0xedeffedb,0xa801cfff,0x2600efff,0xfffffffd,0x3fff602d,0x2a6004ff,
    0x0001abca,0x00159900,0x55d44000,0xa8800000,0x730000ab,0x5c400001,
    0x970002cd,0x26000015,0xfffffffd,0x0000002d,0xfd910310,0xffffffff,
    0x8dffffff,0x3efffffb,0x7ffff440,0x3fee6fff,0x4403efff,0xfffffffe,
    0x15990006,0xffff7000,0xfe8807df,0x06ffffff,0x40440000,0xffffffd9,
    0xabceffff,0xffff7000,0xfe8807df,0x06ffffff,0x0555cc40,0x2ea60000,
    0xfc88009a,0x3dffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017ffcc0,0x400fbb60,0xaaaaaaa8,0xaaaaaaaa,0x000001aa,0x0003ffe4,
    0x3bb72e20,0x000e20bc,0x00015012,0x2f7b2e60,0x005c0b81,0x18018053,
    0x00dea800,0x180fff90,0x32600180,0x09800303,0x80c00098,0x04000001,
    0x02200000,0x30000062,0xffc80001,0x99880006,0x19999999,0x00013000,
    0x00013013,0xa8003a20,0x26201fff,0x99999999,0x7ff90009,0xffffb800,
    0xffca8800,0xffffffff,0x885fffff,0x01a83ffc,0x0003ffb0,0x7bdffb30,
    0xb97dfd97,0x701d7000,0xfd50000b,0xbfb959ff,0x2f983f57,0x01e80698,
    0x3fa000f2,0x3ff6003f,0x3c807a01,0x5ffffb00,0x3ff20058,0x4007fee1,
    0x3ff60ffe,0x75400000,0x800003ef,0x3fea3ffa,0xffb00003,0xffd80003,
    0x7fec0001,0xffffffff,0x0ffe4001,0x643ff900,0xa80001ff,0x17fe4006,
    0x3fffff20,0x002fffff,0xf88009fd,0x4005feae,0x4402fff9,0xfffe85fb,
    0x400363ff,0x40003fe8,0x2600cffb,0xd0005ffe,0x0007e45f,0x037ffb10,
    0x20bfff22,0x00bea3fc,0x32a6f7f2,0xfd8000fe,0x3fa2003f,0x2af7ee04,
    0xa801feca,0xbefffebe,0x3ffe005b,0x2013ffa4,0xff12fff8,0x4400005f,
    0x0003f52f,0x365ffd80,0xf00006ff,0x880007ff,0x6c0003fe,0xffffffff,
    0x7f4001ff,0x3ffe004f,0x0013ffe3,0xff000f60,0xffff9007,0x05ffffff,
    0x9000bf10,0x007f621d,0x2005fff0,0x7546546b,0x006effff,0xb00037c4,
    0x7e4009ff,0x9ff50006,0x440009f9,0xf5001ffe,0x7bff105f,0x3fa200df,
    0x003fffff,0x10007910,0xfffe80df,0x19004fff,0x0fffffdc,0x5c3ff900,
    0xffd001ff,0x0007fec1,0x04c8b700,0x1ffd4000,0x00007ff5,0x00007ff2,
    0x00001be2,0xffb80000,0x87ff2001,0x40001ffc,0x3e6000f8,0x00000004,
    0xe98001d7,0x7c006c80,0x8d1002ff,0x7fffdc0b,0x00f98000,0x003ffc80,
    0x360007e8,0x0000ffff,0x70007ffa,0x3ffee07f,0x3f62001f,0x00002fff,
    0x807e6000,0x03ffffd8,0x376e20e0,0x98098001,0x0180c000,0x5c4b8000,
    0x08800005,0x40000188,0x26000009,0x0000000f,0x00026000,0x00026026,
    0xb90016e0,0x40000000,0x00b8000d,0xfff8006a,0x20312002,0x54000198,
    0x37fd4003,0x00079800,0x000bbba6,0x0005ffc8,0x2776c07d,0x001a8800,
    0x75000000,0x00135100,0x00000000,0x00000000,0x3d32f880,0x00000000,
    0x00000000,0x30000550,0x0157bd95,0x00000000,0x005d0000,0x554000d8,
    0x2aaaaaaa,0x00000000,0x017ffc00,0x00000000,0x5fff1000,0x00074000,
    0x3e600000,0x970001ff,0x00000000,0x00001800,0xb0000000,0x55540001,
    0x02aaaaaa,0x00001b00,0x03ffea80,0xaaaaa980,0x5100aaaa,0x25555555,
    0xaaaaaaa8,0xaaaaaaaa,0x000001aa,0xaceffa80,0x800dffdc,0xaaaaaaaa,
    0x5555512a,0x55555555,0x20035555,0x0000fa98,0xffeba800,0x2a02bfff,
    0xaaaaaaaa,0x55555512,0x55555555,0xff803555,0x2a00802f,0xaaaaaaaa,
    0x2aaaaa22,0xaaaaaaaa,0xfb81aaaa,0x04c0007f,0x00036000,0x0007ffc8,
    0x55555122,0x2a255555,0xaaaaaaaa,0xaaaaaaaa,0x7eff5401,0x541999ad,
    0xaaaaaaaa,0x2aaaaaa2,0x98002aaa,0x2ea0003f,0x2bfffffe,0x003f9800,
    0x03f98000,0xffff9300,0x22015bff,0x2cffffea,0xfffff951,0xffffffff,
    0x3d980bff,0x880066cc,0xfb101efd,0xfeba803d,0x512bffff,0xfffffff9,
    0xffffffff,0xfffeb80b,0x43d9803f,0xf8800cd9,0xd75006ff,0x257fffff,
    0xfffffca8,0xffffffff,0x7ffc05ff,0x2ea05802,0x2bfffffe,0x3ffff2a2,
    0xffffffff,0xffe85fff,0x00000004,0xf0001fcc,0x800009ff,0xfffffeba,
    0xfff9512b,0xffffffff,0x6c0bffff,0x3fff663f,0x3faea7ff,0x2a2bffff,
    0xbfffffeb,0x06fd8002,0x6fff8800,0x037ec000,0x37ec0000,0x3ffe6000,
    0x77fc006f,0x0bffe601,0xe80bf710,0x0fffa2ff,0x0037fe60,0x2200ffee,
    0x7cc06fff,0x7dc402ff,0x7c5fd105,0x3fa00eff,0x00fffa2f,0x20027ff4,
    0x4c06fff8,0x5c402fff,0x17ffc05f,0x3e201660,0xff9806ff,0x2fdc402f,
    0x000fffe6,0xdfb00000,0x3ffea000,0xf1000003,0xff980dff,0x2fdc402f,
    0xff887fc8,0xff882aaf,0x7ffc406f,0x3fe20006,0xfe80001f,0x3e20004f,
    0x000001ff,0x0007ffe2,0x00dfff30,0x7c007fc4,0x0d7002ff,0x3fa2ffe8,
    0x0ffe803f,0x00bffa00,0x3e013ffa,0x0d7002ff,0xfcf987f6,0x8bffa03f,
    0xfd003ffe,0xffd0007f,0x05fff009,0xfff01ae0,0x802f4405,0xff004ffe,
    0x71ae005f,0x00005fff,0x7ffc4000,0xfffb8001,0x3a000002,0xfff804ff,
    0xf30d7002,0x03ff209f,0xd009ffd0,0x5c0009ff,0x80005fff,0x20003ffe,
    0x0005fffb,0x17ffee00,0x3fff2000,0x005f7002,0x4400bffe,0x2626cc06,
    0x7fe400cd,0x37fd4004,0x401fff40,0xd1002fff,0xacc8bf70,0x136606ff,
    0x360019b3,0xfe8003ff,0x2fff803f,0xff80d100,0xfeeeeeef,0xffd005ff,
    0x0bffe007,0x3ff23440,0xddd1001f,0x00bddddd,0x005fffb8,0x001fffc8,
    0x0fffa000,0x400bffe0,0x02ffb868,0xfe805ff7,0x3ffe803f,0x3ffbe000,
    0x7ec0000f,0x3be0003f,0x00000fff,0x01fffdf0,0x0dffd000,0xff8017a0,
    0x0012002f,0x1fff3000,0x09ffd000,0xf803ffd8,0x112002ff,0xf91f83ff,
    0x20000007,0xd8003ffd,0xfff803ff,0xff012002,0x9555559f,0x3f600bfd,
    0x5fff003f,0x3ff62400,0x7ecc001f,0xf8002eff,0x4000fffe,0x0001fffd,
    0x00fff600,0x4800bffe,0xf502ffc8,0x3ffd80bf,0x003ffd80,0x7ffd3f50,
    0x3ffd8000,0xfd3f5000,0x5000007f,0x007ffd3f,0x09fff300,0x3e000fc8,
    0x000002ff,0x17ffa000,0x0fffdc00,0xf007ffb0,0x4c0005ff,0x001aa0ff,
    0xffd80000,0x3ffd8003,0x002fff80,0x00bffe00,0x3ff600b9,0x05fff003,
    0x17ffe400,0x27ffcc00,0x7f4fd400,0x7fe4003f,0x2000002f,0xff803ffd,
    0x7d40002f,0x09ff503f,0xd803ffd8,0xdd0003ff,0x0001ffee,0x20007ffb,
    0x00fff76e,0x3eedd000,0xf900007f,0x0fe603ff,0x005fff00,0x3bbbb601,
    0x2f777543,0x0004fff8,0x6c05fff5,0xfff803ff,0xff700802,0x776c03d8,
    0x777543ee,0x3ffd805e,0x03ffd800,0x0802fff8,0x805fff00,0x7ffb0058,
    0x00bffe00,0x1fffdc02,0x17ffc400,0xffbb7400,0x7ffdc007,0x36000003,
    0xfff803ff,0x3e200802,0x05ff905f,0xd803ffd8,0xf98003ff,0x005fff12,
    0x001ffec0,0xfff897cc,0x3e600002,0x005fff12,0x41bffa00,0xfff8005e,
    0x36205802,0xffc884ff,0x03fff986,0x09fff300,0x7c01ffec,0x905802ff,
    0x4007c4ff,0xc884ffd8,0xffd806ff,0x3ffd8003,0x802fff80,0x05fff005,
    0x3ff600b0,0x05fff003,0x3ffe60b0,0x5fff0004,0xf12f9800,0x7d4005ff,
    0x000005ff,0x3e00fff6,0x405802ff,0x5ff81ffc,0x803ffd80,0xc8003ffd,
    0x002ffe47,0x0007ffb0,0x05ffc8f9,0xf91f2000,0x260000bf,0x07dc3fff,
    0x017ffc00,0x9ff50166,0x2a1bfe20,0x10002fff,0x7ec0bfff,0x2fff803f,
    0xffd82cc0,0x7d400b70,0x0dff104f,0x0007ffb0,0xff007ffb,0x0059805f,
    0x00005fff,0xf801ffec,0x82cc02ff,0x0007fff8,0xc8005fff,0x002ffe47,
    0x000dfff1,0x01ffec00,0x26017ffc,0x8bffb805,0xd800dfd9,0xffd803ff,
    0x21fc4003,0x0001fff9,0x88007ffb,0x0fffcc3f,0x21fc4000,0x0001fff9,
    0x221fff90,0xfff0003f,0x202f4405,0x3fe04ff9,0x01fffc86,0x81fffe00,
    0xff803ffd,0x417a202f,0x005d2ffb,0xff027fcc,0x07ffb00d,0x007ffb00,
    0x74405fff,0x05fff005,0x1ffec000,0x202fff80,0x3ff205e8,0xfff8001f,
    0x30fe2002,0x6c003fff,0x000007ff,0x3e00fff6,0x17a202ff,0x3bbb3a20,
    0x3ff6001c,0x03ffd803,0x7f407dc0,0xffb0004f,0x80fb8007,0x80004ffe,
    0x4ffe80fb,0xffd10000,0xf8001b6d,0xeeeeeeff,0x7cc05fff,0x21bfe04f,
    0x0001fffd,0xfd81fffa,0xefff803f,0xfffeeeee,0xf3dff505,0xff306e01,
    0x4037fc09,0xd8003ffd,0xfff803ff,0xffeeeeee,0x5fff005f,0xfb039800,
    0x3ffe007f,0xffeeeeee,0x3ffe205f,0x2fff8005,0x3a03ee00,0x3e6004ff,
    0x2e0002ff,0x007ffb00,0xdddddfff,0x880bfffd,0xfd80002e,0x3ffd803f,
    0xfa827400,0xfd8000ff,0x8274003f,0x0000fffa,0xfffa8274,0xff500000,
    0x40003fbf,0xaaaacfff,0x4c05feca,0x1bfe04ff,0x000bfff2,0x3606fff8,
    0xfff803ff,0xecaaaaac,0xbfff105f,0x3e61a20b,0x01bfe04f,0x2000fff6,
    0xff803ffd,0xcaaaaacf,0xfff005fe,0xb01e8005,0x3fe007ff,0xcaaaaacf,
    0x7fdc05fe,0x7ffc002f,0x5413a002,0x36000fff,0xa8000fff,0x00fff604,
    0x2aab3ffe,0x405fecaa,0xfb00007e,0x7ffb007f,0xf00fd400,0xfb0007ff,
    0x0fd4007f,0x0007fff0,0xfff00fd4,0x7ec00007,0x7c0004ff,0x02e402ff,
    0xff813fe6,0x03fffa86,0x817ffe00,0xff803ffd,0xd02e402f,0x7b105fff,
    0x7c09ff30,0x3ffd806f,0x03ffd800,0x6402fff8,0x05fff005,0xffb03640,
    0x0bffe007,0xffb00b90,0x7ffc001f,0x403f5002,0x22003fff,0x4c005ffe,
    0x01ffec06,0x32017ffc,0x2f7fe605,0x00199aaa,0xfb007ffb,0x036c007f,
    0x2001bff2,0x36003ffd,0x037fe406,0xfc80db00,0x2200006f,0x40001fff,
    0x2c402fff,0xf813fe60,0x4fff986f,0x7fff1000,0x401ffec0,0x2c402fff,
    0x59ffff30,0x3e60dd75,0x01bfe04f,0x2000fff6,0xff803ffd,0x402c402f,
    0x7003fff8,0x1ffec09f,0x402fff80,0xfff50058,0x0bffe003,0x3f2036c0,
    0x7ec4006f,0x0ea800ef,0x401ffec0,0x2c402fff,0xffffff30,0x017fffff,
    0x6c01ffec,0xff3003ff,0xffffffff,0xd8003fff,0xff3003ff,0xffffffff,
    0x30003fff,0xffffffff,0x003fffff,0x00fffc00,0x00bffe00,0x09ff3016,
    0x7fc437fc,0xff30005f,0x1ffec05f,0x4017ffc0,0x7fffd405,0xf300ffff,
    0x037fc09f,0x4001ffec,0xff803ffd,0xb805802f,0x999aefff,0x1ffdba99,
    0x400fff60,0x05802fff,0x2b7ffa60,0x0effda80,0xfffff980,0xffffffff,
    0xfffc8001,0xeca88ace,0x3ffd800d,0x802fff80,0x7fffd405,0x7fffffff,
    0x200fff60,0xf9003ffd,0x33333333,0x800bffb3,0xf9003ffd,0x33333333,
    0x000bffb3,0x333333f9,0x0bffb333,0x0fffc000,0x0bffe000,0x13fe6000,
    0xffb06ff8,0x3fee000d,0x01ffec06,0x00017ffc,0xdffffef8,0x813fe600,
    0xffd806ff,0x3ffd8003,0x002fff80,0x3fffb220,0xffffffff,0x6c06ffff,
    0xfff003ff,0x2e000005,0xfedeffed,0x32001cff,0x9999999f,0x005ffd99,
    0xffffdb50,0x6c005dff,0xfff803ff,0x15a80002,0xd9755533,0x0fff605f,
    0x200fff60,0xff5003f8,0x7fec001f,0x003f8803,0x4001fff5,0xff5003f8,
    0x3e00001f,0x7c0001ff,0x980002ff,0x1bfe04ff,0x0017ffc4,0x36017ff4,
    0xfff803ff,0x16a80002,0xff300155,0x4037fc09,0xd8003ffd,0xfff803ff,
    0x40000002,0x7fec004b,0x05fff003,0x37200000,0x880009ab,0xfff5003f,
    0xdc880001,0xfd8000aa,0x2fff803f,0x007d4000,0x3ff60bd0,0x03ffd803,
    0x3a000fb8,0x3f6003ff,0x00fb803f,0x800fffa0,0x3fa000fb,0xff00003f,
    0xff80003f,0x21cc002f,0x3fe04ff8,0x01bfee07,0xb00bff50,0xfff007ff,
    0x6c398005,0x9ff10003,0x6c03ffc0,0xfd8003ff,0x2fff803f,0x8001cc00,
    0x7ec003f8,0x5fff003f,0x40039800,0x40001df8,0x3fa000fb,0x7c40003f,
    0x3f60000d,0x2fff803f,0x4f89cc00,0xfd81e400,0x3ffd803f,0x5c004e80,
    0x3f6006ff,0x004e803f,0xd0037fdc,0x6ffb8009,0x3fff0000,0x2fff8000,
    0x7fc0f400,0x80fff505,0x3a002ffe,0xffd800ff,0x02fff803,0x01f10f40,
    0xa82ffc00,0xffe807ff,0x3ffd8004,0x002fff80,0xf98000f4,0x1ffec006,
    0x002fff80,0x3ee000f4,0x2740007f,0x01bfee00,0x00fff700,0x401ffec0,
    0x74002fff,0x4400dfb1,0x07ffb00e,0xb807ffb0,0x7fcc002f,0x9ffd003f,
    0x4002fb80,0xb803fff9,0x7fcc002f,0x7c40003f,0x7c0001ff,0x1b2002ff,
    0x37217ffc,0x36201fff,0x7f4402ff,0x9ffd001e,0x005fff00,0x0016e364,
    0xdc85fff0,0x7f401fff,0xffe8004f,0x02fff804,0x98001b20,0x3fa002ff,
    0x5fff004f,0x80036400,0x70001ff9,0xff98005f,0x7d40003f,0xffd0001f,
    0x05fff009,0x9ffb3640,0x202ea801,0xfe804ffe,0x01fa204f,0x007fffc0,
    0xd1027ff4,0x3ffe000f,0x01fa200f,0x007fffc0,0x05fff100,0x1fffc400,
    0xf504fb80,0x3ebfbdff,0x2e01efff,0x7d440bff,0x7ff4004f,0x1fffc404,
    0x1744fb80,0x3ffea000,0xffff5fde,0xdfff503d,0x4ffe8001,0x01fffc40,
    0x40004fb8,0x1b9beffd,0x1009ffd0,0x2e007fff,0xdf30004f,0x01fa2000,
    0x007fffc0,0x000df300,0x22027ff4,0xf7003fff,0x77fffc49,0x2eeccbcc,
    0x4027ff40,0xfb104ffe,0xff88003f,0x3ea00dff,0xfd880eff,0x7fc4001f,
    0xfd880dff,0x7fc4001f,0x88000dff,0x000dfffc,0x35dfff70,0xfb753333,
    0x7ffe403f,0x00bbfe3f,0x76f7fecc,0x54002dff,0x2e00efff,0x999aefff,
    0x1ffdba99,0x640001e2,0x3fe3ffff,0x7ffe442e,0x803dffff,0x200efffa,
    0x99aefffb,0xffdba999,0x76440001,0xff502eff,0xffb801df,0x99999aef,
    0x001ffdba,0x0017f544,0x000ffec4,0x037fffe2,0x05fd5100,0x3bffea00,
    0x3bffee00,0xba99999a,0x7e441ffd,0x4fffffff,0x0efffa80,0x03bffea0,
    0x7dfffff7,0xffffe880,0x3f226fff,0x3dffffff,0x7dfffff7,0xffffe880,
    0x3fee6fff,0x4403efff,0xfffffffe,0xfffb3006,0x005bffff,0xfffffd91,
    0xffffffff,0x35100dff,0x44000350,0x44000aba,0xfffffffc,0xfffd913d,
    0xffffffff,0x398dffff,0x06a20000,0x4000006a,0xffffffc8,0xffd913df,
    0xffffffff,0x00dfffff,0xc8809800,0xdfffffff,0x3fffb223,0xffffffff,
    0x8006ffff,0xb8000acc,0x03efffff,0x7fffff44,0x332006ff,0x7e44000a,
    0x3dffffff,0xfffffd91,0xffffffff,0x54c40dff,0x64401abc,0xdfffffff,
    0xfffff913,0x00007bff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333330,0x00003333,0x170000c4,0x000014c0,
    0x18002000,0x20048800,0x99999998,0x31000199,0x33333333,0x33310003,
    0x03333333,0x15100000,0x2fffa800,0x800a8000,0x00c0000a,0x00000000,
    0x53000035,0x88000035,0x80001442,0x0544001a,0x02880000,0x0d402980,
    0xaaaaaa80,0xaaa82aaa,0x02aaaaaa,0x2a000033,0x3e000801,0xffffffff,
    0xf500007f,0x3aa0007f,0x00006981,0x06fdc000,0x25c003c0,0xfffffb00,
    0x003fffff,0xffffffd0,0x8001ffff,0xfffffffd,0x00001fff,0x0007ff40,
    0x80007ff9,0xc884fff8,0x640002ff,0x002e981e,0xacdeca98,0x02e44b80,
    0xffdff500,0xda80007f,0x0bffea7f,0x0ffee200,0x04fefd80,0x1ff6a000,
    0x7d40fa00,0x5d401eee,0x2bfffffe,0xffffeba8,0x3fae22bf,0x3ee20005,
    0x17fd403f,0x7fffffc0,0x0007ffff,0x000dff90,0x05f517ec,0xd8000000,
    0xf95103ff,0x9f100579,0x7fffec00,0x01ffffff,0xfffffe80,0x000fffff,
    0x7fffffec,0x0001ffff,0x007fec00,0x00009fd0,0x6c1ffff5,0x0002fffe,
    0x5fb14fa8,0xcdffa800,0x30cffeca,0x000f985f,0x3aa2efc8,0xfe98004f,
    0x3fff27ff,0x7ff64006,0x21d5003f,0x4c0000f8,0x4007fffe,0x645d01f8,
    0xdfff1004,0x1bffe200,0x017fffae,0x1ffff640,0x0017ffa0,0x26000000,
    0x260003ff,0x005fbcff,0xe8800000,0xfdffb81f,0xb01cffec,0x0000009f,
    0x00000000,0x26000000,0x41acddca,0x3e6006f8,0xff100005,0x5ffb09ff,
    0x3fe60000,0x7ec4004f,0x7ffb101e,0x000be07f,0xff505ff1,0x3fe20005,
    0x07fffea7,0x00fff200,0x001321ec,0x003ffc40,0x2234c1ae,0x13ffa007,
    0x204ffe80,0x40005ffb,0x7e403ffc,0x0000003f,0x00031000,0x03ffff90,
    0xaaaaaaa8,0x55100aaa,0xf7555555,0x9e19fb05,0xffc85fe9,0x00000004,
    0x00000000,0x7f4c0000,0xfffdcbce,0x2000ccce,0x0910006b,0xf709f331,
    0x2e00005f,0x26001fff,0xffb005fe,0x2002e40d,0x17fe07fc,0x447fe800,
    0xb8002fa9,0x899003ff,0x3a00003d,0x81f4007f,0x801aa0f8,0x3a003ffe,
    0x3fe603ff,0x7fd40005,0x5552a803,0x15555555,0x2aaaaa20,0x000002aa,
    0x13ffe200,0x3fffaea0,0x5100adff,0x35bffff9,0x88f1fee0,0x3fffa65f,
    0x5511eeef,0x55555555,0x35555555,0x000d8000,0xd987b300,0xff91000c,
    0x02ffe405,0x70000d80,0xfb83f809,0x7d40002f,0x001ffb9d,0x74003ffd,
    0x01f301ff,0xfd037f40,0x3ff4000f,0x74c00f98,0xeeffeeee,0x26fe200e,
    0x7400007c,0x07e2007f,0x03ea9dd8,0x800fff60,0xeec83ffd,0x4eeeefff,
    0x00ffea00,0xffffd750,0x2a2015bf,0x02dffffc,0x55555555,0x55555555,
    0x80000015,0x4001fffe,0xfe801ff8,0x532dc3c5,0x1555dff7,0x3ffff2a2,
    0xffffffff,0x20005fff,0xd00003f9,0x1fff45ff,0x0077f440,0x0002ffdc,
    0x409f1000,0x05ff5069,0x3a0f5c00,0x7fe400ff,0x3ffee005,0x4005f00e,
    0x1ffa05fe,0x907fd800,0x99991009,0x0199dffb,0x001cfd98,0x003fec00,
    0xeeb880d7,0x1ffec002,0x707ffb00,0x999dff99,0x7fd40059,0x3ff60003,
    0x7fc4001f,0x7ffffc01,0xffffffff,0x36605fff,0x40066cc3,0xf0007ffb,
    0xf17fe00b,0x9ff10b30,0x05fff300,0x0005fb88,0x40001bf6,0x3ffa2ffe,
    0x02ffd803,0x000fff20,0x6c1cc022,0x203f504f,0x00002ffa,0x2606ff98,
    0xf5000fff,0x3209ffd3,0x817fe005,0x360004ff,0x000ec87f,0x0007ff30,
    0x7ec00000,0x000fa007,0x07ffb000,0x101ffec0,0xa8000bff,0x2e0003ff,
    0xdd0007ff,0x09bff880,0x0077ff40,0x7ff45ffd,0x06ffb803,0x3e00bd00,
    0x42c1e0ff,0xff004ff8,0x01ae005f,0x00fffc40,0x2626cc00,0x7fd400cd,
    0x7ffc4006,0xffeb9800,0xc85d10df,0x00db84ff,0x0020bfea,0x40fff200,
    0xf3005ffe,0x207fff27,0xff8800f9,0x005ff305,0xd8ffb044,0x3e618003,
    0x0000003f,0x07fd8220,0x06001f10,0x01ffec00,0x4407ffb0,0x000885ff,
    0x40007ff5,0xd0006ffb,0x001f980b,0xe803fff9,0x0fffa2ff,0x001bfea0,
    0xffc802f4,0xff8801e5,0x05fff004,0x5c001a20,0x00005fff,0xfff88000,
    0x5ffd8002,0xd985fdc0,0x3a63ecff,0x9eeeffff,0x12ffa800,0x001bfff9,
    0xff9ffdb5,0x4fff881f,0x3e65e880,0x007f03ff,0xfb10bff1,0xfffb500b,
    0x008ffb5f,0x37fffb20,0xeed83ffa,0x777543ee,0xffda805e,0x007fdaff,
    0x7fe440d7,0xb000ceff,0x7ec007ff,0x97fe203f,0x401dffea,0x20003ffa,
    0xd0006ffa,0x3005980b,0xb3009fff,0x800cd989,0xd0006ffa,0x3ffea00b,
    0x3e20078d,0x5fff004f,0xf8002400,0x0000fffe,0x7fe40000,0xfff50007,
    0x6c0fea05,0x7dd4c5ff,0x000aaadf,0xfff35ff5,0x6403dfff,0xffea88bf,
    0x1fffcc5f,0x3fe236c0,0x100b904f,0x7feccbff,0x12efb802,0x000ffff9,
    0x3e619fd1,0xfb103fff,0xdff9109f,0x912efb80,0x3a00ffff,0x217fd103,
    0xd800efea,0x3f6003ff,0x57fe203f,0x06fffffd,0x0001ffd4,0x2000dff5,
    0x401d405e,0x0006ffe8,0x37fd4000,0x2005e800,0x007efffd,0x7c013fe2,
    0x000002ff,0x1fff4fd4,0x3bbbb600,0x2f777543,0x0006ffe8,0xf309fff1,
    0x3ffe201f,0x004ff880,0x59d9ff50,0x20dfff95,0xffe883fc,0x0bffee0f,
    0xfff01f90,0x1003e60b,0x7ffd4bff,0x417ee01d,0x44007ffc,0xfff981fe,
    0x413fea03,0x3ee06ff8,0x00fff905,0x1bf601f3,0x36013fea,0x3f6003ff,
    0x37fe203f,0x7ffd31cd,0xb51ffd40,0x1bfea005,0x2602f400,0x1fffd800,
    0x54000000,0xbd0006ff,0xffffd800,0x09ff1003,0x200bffe0,0x5dba0000,
    0xd88007ff,0xffc884ff,0x00bfff06,0x742fffc0,0x3fff205f,0x004ff885,
    0x503dff50,0x7f987fff,0xc8fffe20,0x3ea01fff,0x40ffff01,0x2ffc403e,
    0x4c1fffd4,0xfff100ff,0x204fd800,0x3e603ffd,0x41bfe04f,0xff100ff9,
    0x7c0d700f,0x05ff885f,0x2003ffd8,0x3e203ffd,0x6ff883ff,0x7c4ffea0,
    0xffa800ff,0x00bd0006,0x07fff500,0x21f7776c,0x405eeeea,0xd0006ffa,
    0xfff9000b,0xff8801bf,0x05fff004,0x3e6000b0,0x005fff12,0x2209ff50,
    0xfff986ff,0x3ffa0004,0xd904ff87,0xff10fff5,0x3fea0009,0xd1fff202,
    0x6ffd809f,0x4c07fff2,0x1fffa03f,0x7fc405c8,0x85fff305,0x3ff405fd,
    0x403ff300,0x3e603ffa,0x41bfe04f,0x3ff405fd,0x7fd01f40,0x3601bfe0,
    0x3f6003ff,0x17fe203f,0x3ea07ff8,0x41fff13f,0x06ffa808,0x8000bd00,
    0x8805fff8,0xfc884ffd,0x37fd406f,0x0005e800,0x03dffff5,0xf8027fc4,
    0x02cc02ff,0x7fe47c80,0x4ff98005,0x3ea1bfe0,0x3a0003ff,0x3fe60fff,
    0xff88eb83,0x027fc41f,0x202ffa80,0xff50fff8,0x27ffa807,0xf882fffb,
    0x037ffc04,0x7fc401f3,0x99bfee05,0x3fec04ff,0x980ffb00,0x3fe603ff,
    0x261bfe04,0x3fec04ff,0x18803e60,0xb00dff30,0x7ec007ff,0x17fe203f,
    0x3ea07fe8,0xfb87263f,0x037fd42f,0x40005e80,0x5000fffd,0x3fe209ff,
    0x037fd406,0x20005e80,0x02fffff8,0x3e009ff1,0x17a202ff,0xf30fe200,
    0xf98003ff,0x21bfe04f,0x0002fffb,0xfb87fff6,0xff07d44f,0x04ff885f,
    0x805ff500,0x5ff71ffe,0x50fff880,0x0dd05fff,0x404fff88,0x17fe203e,
    0xf71fff88,0x07fd807f,0xf301ffe0,0x27fcc07f,0xff70dff0,0x407fd807,
    0x75c4006b,0xfd806ffe,0x3ff6003f,0x817fe203,0x3fea07fe,0x22fff403,
    0xd0006ffa,0x7fdc000b,0x3fe6002f,0x501bfe04,0x3a000dff,0x7dfc0005,
    0xff882fff,0xddfff005,0xbfffdddd,0xd01f7000,0xf98009ff,0x21bfe04f,
    0x0003fffa,0xff91fff6,0x3fa0fccb,0x027fc41f,0x402ffa80,0x5ff92ffd,
    0x223fff00,0x07e43fff,0x00fffe60,0x2ffc40d9,0x7e4bff60,0x03fec02f,
    0x4c06ff88,0x3fe603ff,0x321bfe04,0x3fec02ff,0x64400fa0,0x00dff1cf,
    0x6c007ffb,0x3fe203ff,0xa81ff605,0x7fe403ff,0x0037fd43,0xf30005e8,
    0xf9800bff,0x01bfe04f,0x2000dff5,0x8bc0005e,0x7c40fffe,0xfff8046f,
    0xecaaaaac,0x04e8005f,0x4001fff5,0x3fe04ff9,0x04fff986,0x71bffa00,
    0x20be6dff,0x4ff887fd,0x05ff5000,0xffb1ffc8,0x41fff009,0x07ee5fff,
    0x007ffea0,0x3fe201f3,0xd9ffe405,0x3fec03ff,0x407ff980,0x3e603ff9,
    0x21bfe04f,0x7ec03ffd,0x2003e607,0x37fc1ef9,0x001ffec0,0x7c405ffb,
    0x81ff605f,0x19803ffa,0x0006ffa8,0x3fa000bd,0x7cc000ff,0x01bfe04f,
    0x2000dff5,0x13c0005e,0xfff07ffd,0x7ffc0aa1,0x2002e402,0x3ffe01fa,
    0x13fe6003,0xfff06ff8,0x7ffc000b,0x747ffd45,0xf10dfd03,0x3ea0009f,
    0x93fec02f,0xffd00bff,0x7f37ffc8,0x01ffee00,0x5ff881f4,0xfd97fe40,
    0x03fec04f,0x4c07ff98,0x3fe603ff,0x361bfe04,0x3fec04ff,0xdf500d70,
    0xb00dff01,0x7ec007ff,0x17fe201f,0x3ea07fd8,0x3ea0003f,0x0bd0006f,
    0x03fff900,0x409ff300,0x7fd406ff,0x009d0006,0x2ffd4780,0x02f7ffec,
    0x58805fff,0x32036c00,0x3e6006ff,0x41bfe04f,0x10006ffe,0xff887fff,
    0x13fe04ef,0x40013fe2,0x7f402ffa,0x201bfee6,0x7ffc45ff,0x3fa004fa,
    0x20d9001f,0x7dc05ff8,0x80bff91f,0xff1007fd,0x27fcc03f,0x7c09ff30,
    0x05ffc86f,0x07d03fec,0xff03ff98,0x07ffb00d,0x2203fec0,0x1ff605ff,
    0x0003ffa8,0x4001ffea,0x7fcc004e,0xff30004f,0x2037fc09,0xf0007ffa,
    0x1e071009,0xfd10bff1,0x7ffc019f,0x26005802,0xffffffff,0x001fffff,
    0x7fc09ff3,0x01fff706,0x01fff300,0x7cc0dff7,0x04ff880f,0x805ff500,
    0x3ffe63ff,0x541ffc00,0x2e006fff,0x3e6004ff,0x405ff880,0xfff50ffb,
    0x007fec03,0x2604fff8,0x3fe204ff,0x2a1ffe04,0x3f601fff,0x400f980f,
    0xdff01ffb,0x309ffd00,0x406fe89b,0x3f605ff8,0x00ffea07,0x007ffa80,
    0x744009f0,0x260006ff,0x1bfe04ff,0x001fff30,0x0d1007f0,0x0813fe1e,
    0x005fff00,0x999fc800,0xfd999999,0x9ff3005f,0xfd037fc0,0xffb0009f,
    0x0fffe207,0xff880fe4,0xffa80046,0x361bee02,0x3fe605ff,0x007ffb00,
    0x20017fe2,0x35ff883e,0x744fc8bf,0x3ff605ff,0x3fff7000,0xf013fe60,
    0x1ffea0bf,0xfb02fff4,0x900d901f,0xdff107ff,0xb09ffd00,0x00ffc5ff,
    0xfe817fe2,0x00ffea07,0x00fff980,0x32003f80,0x20001fff,0x3fe04ff9,
    0x0fffc406,0x200be600,0x7cc781f8,0x2003501f,0x00002fff,0x7d400fe2,
    0xff8800ff,0xa81ffe04,0x26000fff,0x3bb206ff,0x017dc2ff,0x01543ffe,
    0xd104ffa8,0x5fff101f,0xfc807f60,0x7ec402ff,0x86b8000e,0x1ff75ff9,
    0x3fea07fc,0x2fffa84f,0x07fffa00,0xf80dffb1,0x7fee42ff,0x4fffa81f,
    0xe82fffa8,0x0eff9803,0x1cdfffaa,0x2077ffd4,0x3f88fffc,0x205ff980,
    0xff700ffe,0x7fc40009,0x17cc001f,0x03fffa80,0x13fe6040,0xfe806ff8,
    0x07e4003f,0x23c37c40,0x7ff904fd,0x005fff00,0x01f70398,0x801fff40,
    0xfff505ff,0x004ffd80,0x75c07ff6,0xbfdfff90,0xdfffb005,0x7ffcc00b,
    0x80bfa60d,0x320bfff9,0x2ebea02f,0xfea81cff,0x03e60004,0x3fe2bff7,
    0xf902fc88,0xdbb79dff,0x3005dfff,0xd97bffff,0x20bdfff9,0x5fdefffa,
    0xc83dffff,0xddbcefff,0xf32efffe,0x3fffe001,0xfffd8efd,0x3ffff225,
    0xfd13dfff,0x32007bff,0xff880fff,0x0dffb02f,0x04ffe800,0x44007e40,
    0x54005fff,0xf027fc42,0xdff500ff,0x801fdc00,0x45e1eff8,0xffb00dfd,
    0x05fff00f,0x09d01e80,0x006ffb80,0xfdc85fff,0x3f6201ff,0x2ffd803f,
    0xa9881d10,0x7ff44001,0xffb8000c,0x800cfeff,0xdeefffd8,0xc88fe201,
    0xdffeefff,0x33e80001,0x754bfffd,0x7d401efe,0xdfb4ffff,0x7ec40017,
    0xff99efff,0x7ffe401c,0x80bbfe3f,0xb4fffffa,0x02e417df,0x49fffb30,
    0x00005ffb,0x3ea00373,0x98dfffff,0x1efffffd,0xbdffffd5,0x1ffea000,
    0xb004fb80,0xd8001fff,0xf505ff81,0x3ffa00ff,0x027d400d,0x37fff2a0,
    0x4c02efdf,0x7fc00fac,0x41b2002f,0x7cc002fb,0xffa803ff,0xfff5fdef,
    0x7fd403df,0x0dfe980c,0x10000000,0x2aa20000,0x35310001,0xa880e200,
    0x400001ab,0x00040019,0x03504d4c,0x20aa8800,0x2a2000a8,0x26001a81,
    0x5406a09a,0x10188001,0x00000001,0x00000000,0x0dffe800,0x4007fd40,
    0x4002fffb,0x85fff079,0x801fffdc,0x11aeffd8,0x000bfb73,0x00afaa98,
    0x3e203c40,0x9f7003ff,0x2000fd10,0xc800ffff,0x3fe3ffff,0xfdb1002e,
    0x07dffdbf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20de9800,0x99910de9,0x99999999,0x27999999,
    0xeeeeeee9,0xeeeeeeee,0x880005ee,0x311beffd,0x1001dfb7,0x9800bfff,
    0xdfff506f,0x3fffebfb,0xffeb801e,0x0befffff,0x001e0000,0xff700b62,
    0x333335df,0x883ffb75,0x44001ffd,0x800dffff,0x001a81a8,0x006ae620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x23ffe800,0xddd34ffd,0xdddddddd,0x2bdddddd,0xccccccc8,
    0xcccccccc,0x200003cc,0xffffffeb,0xfd000bff,0x555557ff,0xffb95555,
    0x7fffe40b,0x000bbfe3,0x06af2aa2,0x00240000,0x76440b2e,0xffffffff,
    0x6fffffff,0x77ffffdc,0x7fff4403,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6c7ffb00,0x000003ff,0x00000000,0xabcaa880,0x7ffdc001,0xffffffff,
    0x3fffffff,0x0d40d440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03c88791,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40170000,0x7fec0029,0x40600606,0x5c0a600b,
    0x2600a600,0x1c401100,0xccc982e0,0x65c40ccc,0x44001bde,0x20000880,
    0x000cdda8,0x001a8800,0x7fccbff2,0x19835005,0x00fbb600,0x013ffe00,
    0x007ffea0,0x003eed80,0x000acda8,0xedb988aa,0x4c0002cd,0x32001100,
    0x2e0004ee,0xf7000fff,0x400001ff,0x0003eed8,0x00440330,0x7fc40022,
    0x0300303f,0x4007ddb0,0x006a81e9,0x3600eff8,0x7cc12a02,0x3e606a81,
    0x75406981,0x005c0dff,0x21320372,0x21fffea8,0xfffffffb,0x2fe4c00e,
    0x003dffb5,0x7e67fec4,0xd300002f,0xd009dffd,0x007fdcbf,0x7ec7ff71,
    0x7fdc00df,0x260001ff,0x2e0005ff,0xf70003ff,0x2e001fff,0x01eebbff,
    0xbffdbf90,0x19ffd957,0x6fff5400,0x7d4005c0,0xd0002fff,0xfc8003ff,
    0x3200003f,0x0000ffff,0x5980ffaa,0xfa800740,0xb807a04f,0x7fffdc03,
    0xa8ff6001,0x7fd4002f,0x4defdc01,0x3602fdb9,0x900bea3f,0x1017d47f,
    0x39ffffdf,0x3df100d1,0xff3007ec,0x98b7ea3f,0xea81effc,0xfff95fff,
    0x36001fff,0x03fe20df,0x223f9000,0x7fc04ffe,0xec80ff20,0xfff13fff,
    0x57fc407f,0x320005fe,0x6c0000ef,0xff88006f,0xfb805ffa,0x007fe20d,
    0x4033fff2,0x8801efe8,0x9cffffef,0xd7fd0068,0xff1000df,0x17f60005,
    0x577c4000,0xfb8004ff,0x77c03fff,0x06eca9ac,0xf9017f60,0x3fb7337b,
    0x7f57fc40,0x37fe2005,0xfc8005fb,0xffffd002,0xff880bff,0xf8805fbd,
    0x5c06fbdf,0xfffffb13,0x2ffee009,0x7fc402fd,0x3600e99f,0x6c440fff,
    0xd31ccdff,0xff7007ff,0x0007f905,0x3fa227d4,0xe87f300f,0x47ff9006,
    0x3206fffe,0x005fb10e,0x00003fa0,0x320007f4,0x403fb10e,0x7fb80ffa,
    0x801ffc80,0x5c02ffe8,0xfffffb12,0x6c3f7009,0x1fdc003f,0x00fd1000,
    0x7443b600,0xfd84001f,0x7ffd403f,0x2001ffff,0x7f4400ef,0x404fffff,
    0x05fb11ec,0x0ffffe40,0x1001fc00,0x009ffffb,0x007ffff2,0x00ffffdc,
    0x13ffa612,0x0dfffd00,0x03abffe0,0x4c0fffa0,0xff983fff,0x707fd806,
    0x7f40007f,0x2e03d981,0xf5001f86,0x06e8987f,0x00d901d1,0x00003f10,
    0xd3001f44,0x7f40d901,0xb00ffe04,0x7fc4005f,0x3a61201f,0x1e8804ff,
    0x36000fb8,0x2f880004,0x4074c000,0xff50005d,0xffff5007,0x07d4005d,
    0xffffe880,0x64074403,0x3bb62006,0x00498003,0x40015510,0x4003eed8,
    0x00804eed,0x3aa00022,0xfff001ee,0x3fee005f,0x40bff107,0xffe807ff,
    0x0000fe80,0x20003ff3,0x50024c1c,0x417607ff,0x000aa00b,0x10000057,
    0x5005c00b,0x405ff503,0x026c07fc,0x8077fdc0,0x54002200,0x4400a600,
    0x12600005,0x1b807000,0x03ffa800,0x00035310,0x55300039,0x54017001,
    0x00000002,0x00000000,0x00000000,0x3e000000,0x3e6005ff,0x5ff883ff,
    0x3a01ffa0,0x02fc41ff,0x003ff500,0x7d400000,0x001f883f,0x00000000,
    0x00000000,0xfb803ff6,0x0007603f,0x0013ffe2,0x00000000,0x00000000,
    0x4c000000,0x000003ff,0x00000000,0x00880000,0x80004400,0x00030001,
    0x0000020c,0xf0004400,0xff8003ff,0x05ff884f,0x3f601ff6,0x00bfa24f,
    0x001ffb80,0x3ea00000,0x001f443f,0x00000000,0x11000000,0x4c07ff80,
    0x001605ff,0x2007ffc8,0x04400008,0x00022000,0x00000110,0x7fcc0000,
    0x00044003,0x01800418,0x20010600,0x1ceffec9,0xffffb500,0xfffd7007,
    0x7fe4407d,0x4c00ceff,0x1ecefefe,0x50fbbbb6,0x500bdddd,0x007ffffb,
    0xe8003fff,0x5ff885ff,0x2e01ff60,0x1ffa8fff,0x07fe4000,0x3eeeed80,
    0x02f77754,0x0f4c7ff5,0x50fbbbb6,0xdb0bdddd,0xeea87ddd,0xeeed85ee,
    0x7777543e,0xfffda805,0x07ffa83f,0x00037fc4,0x03fffa80,0x33bffb26,
    0xffd93001,0x3260039d,0x001ceffe,0x39dffd93,0x3bbbbb20,0x3bbbbb64,
    0x77776c2e,0x023ff980,0x677ff64c,0x7f7f4c01,0xfc881ece,0x400cefff,
    0xecefefe9,0x985fdc01,0x36202ffd,0xeffa88af,0x98bed880,0xfe885ffd,
    0x01dfd50b,0x7dc433e6,0x27fec41f,0x103ffe44,0xff5115fb,0x0fffc01d,
    0x21bff600,0x3f605ff8,0xefff8807,0x7fff40cf,0xff900eff,0x7fec4001,
    0x06ffc884,0x2008ffea,0xc884ffd8,0xffb106ff,0x0dff9109,0x2213ff62,
    0x36206ffc,0xeffa88af,0x101bfee0,0x00000fff,0x5c17ffe6,0x5ffb30bf,
    0xb30bfb80,0xbfb805ff,0x805ffb30,0xffb30bfb,0x13ffee05,0x4037ffea,
    0xff300efb,0x2fee0f27,0x205ffb30,0xff710cf9,0x50bfe883,0x3e601dfd,
    0x03ff710c,0xffd827d4,0xfb03fd03,0x360dd0bf,0x437ec3ff,0x0dd04ffa,
    0x3fea07ea,0x40fff104,0x5ffd81fe,0x0007ffe0,0xff10fff9,0x803fec0b,
    0x3a01fffd,0x7e400dff,0x7fd4000f,0x40dff104,0x2a003ffa,0xdff104ff,
    0x8827fd40,0x3fea06ff,0x40dff104,0x5ffd81fe,0xf101bff2,0x000001ff,
    0x3ea1bffe,0x207ffb04,0x7ffb04fa,0x7ec13ea0,0x209f503f,0xffb03ffd,
    0x80fff207,0x3fe600fa,0x27d40edc,0x6e83ffd8,0x6fd83f50,0xdd04ffa8,
    0x7d407ea0,0x03ffe207,0x3fea0bf7,0xf981fdc7,0x217fe0ff,0x7f885ff8,
    0x3fe607a0,0x5c1ffa04,0x0fff505f,0x2000fffc,0xff887ffc,0x201ff605,
    0x204ffffb,0xfc800ffb,0x7fcc000f,0xa81bfe04,0x3e6003ff,0x81bfe04f,
    0x3fe04ff9,0x813fe606,0x0bf706ff,0xffc9ffea,0x11fff805,0x99999999,
    0x99999999,0x8ffff999,0x3fe207fa,0x103fd40f,0x7fa81fff,0x503ffe20,
    0x7ffc40ff,0x105ff880,0x02640bff,0x2a17ffe6,0x3ffe207f,0x1e81fe20,
    0x7fc42ffc,0x3a07f885,0xd80bfd01,0x07fe24ff,0x3fe23fc8,0x45fff100,
    0x0dff03fe,0x06e07ff3,0xfe813fe6,0x201ff887,0x3ffe03fc,0x3ffdc001,
    0xfb02ffc4,0x6dff4c0f,0x5fb01fff,0x003ff200,0x7c09ff30,0x0ffea06f,
    0x204ff980,0x3fe606ff,0x981bfe04,0x1bfe04ff,0xfc807fe2,0x2017ff63,
    0xfff32fff,0x9999999d,0x99999999,0x5fe8ffff,0x3a27fec0,0x27fec05f,
    0xffb017fa,0x6c05fe89,0x1ffd04ff,0x7c03ff60,0x827fcc01,0x7fec05fe,
    0x5c0ffe64,0xff81ff41,0x703ff986,0x809ff103,0x3fea7ff9,0x77fcc000,
    0xffeeeeee,0x7cc0623f,0x1bffd06f,0x813fe600,0x0ffa87fe,0x0fffc000,
    0x21bfee00,0x3f605ff8,0x265ff507,0x0bf06fff,0x0007fe40,0xff813fe6,
    0x00ffea06,0x3e04ff98,0x13fe606f,0x3e606ff8,0x21bfe04f,0x64000ffa,
    0x7fc405ff,0x0bfff11f,0x26fff800,0x7cc04ff8,0x013fe27f,0x7fc4fff3,
    0x13ffcc04,0xff9809ff,0x207ff507,0x06a84ffe,0xf883ffc8,0x3ffcc04f,
    0x20037ffa,0x0dff3018,0x40037ffa,0x7c403ffa,0x00ff70ff,0x3333df50,
    0x01333333,0x37ff75c4,0x0bffffc8,0xd027fcc0,0x00ff70ff,0x003fff00,
    0xfa85ffb8,0x21ff606f,0x7fec1ffa,0x0007cc3f,0x98001ff9,0x1bfe04ff,
    0x2003ffa8,0x3fe04ff9,0x813fe606,0x3fe606ff,0x2e1bfe04,0xffb8007f,
    0x07ffc405,0x4000fffd,0x3ea5fff8,0x7ffc403f,0x8807ff50,0x7ff50fff,
    0x50fff880,0xff8807ff,0x86ff880f,0x3d87fffa,0x41fffec0,0x7c403ffa,
    0x3fff20ff,0x2e2000bf,0xf906ffee,0xc8017fff,0xfff803ff,0x8001ffb2,
    0x440007fc,0x0dff1cfc,0x17ffffec,0x7409ff30,0x00ffd87f,0x00fffc00,
    0x3213ff20,0xffb00fff,0xf884ffa8,0x07d10fff,0x000ffc80,0xff027fcc,
    0x01ffd40d,0x7c09ff30,0x13fe606f,0x3e606ff8,0x21bfe04f,0x54000ffd,
    0x7fc406ff,0x01fff60f,0x24fff980,0xff803ffc,0x007ff92f,0x3ff25fff,
    0x92fff803,0xfff007ff,0xb07ff205,0x7c45ff97,0xff5bd100,0x007ff907,
    0xffd85fff,0x64402fff,0x40dff1cf,0x02fffffd,0x3a013ff6,0x03ffb1ff,
    0x0007fc80,0xdff07be6,0xffffea80,0x409ff304,0x1ffd87fe,0x0fffc000,
    0xa8bff200,0x0dfffffe,0x3ffa3fec,0x2bfff701,0xffc8005c,0x27fcc000,
    0x7d40dff0,0x3fe6003f,0x981bfe04,0x1bfe04ff,0x3e04ff98,0x01ffd86f,
    0x2037fcc0,0x7fe46ff9,0xff70001f,0x027fec5f,0xffd8fff4,0xb1ffe804,
    0xffd009ff,0x2013ff63,0xff301ffe,0x7fc47cc9,0x34b816e5,0x9ffb07ff,
    0x503ffd00,0x209ffffd,0x37fc1ef9,0x3ffffaa0,0x009ff904,0x17fe4ffd,
    0x007fee00,0x3e03bea0,0xfff7006f,0x09ff30bf,0x7fe43ff4,0x7ffc0002,
    0x0ffe4001,0x54ffb000,0x7ff407ff,0xc8000fdf,0x7cc000ff,0x81bfe04f,
    0x26003ffa,0x1bfe04ff,0x3e04ff98,0x13fe606f,0xffc86ff8,0x07ff8002,
    0x3e627fdc,0xfd0004ff,0x27fe41ff,0xff93ff40,0x64ffd009,0x7fe804ff,
    0x3a013ff2,0xb3ff407f,0x2e87fec9,0x83ff9820,0xfe804ffc,0x7fffdc07,
    0x7c077d45,0xfff7006f,0x0dff70bf,0x7fdcbff0,0xff52b806,0x3e67300d,
    0x10dff03f,0x1fffb101,0x3a04ff98,0x06ffb87f,0x3fff02b8,0x007fd800,
    0xff737ec0,0x7ffc401f,0xff90004f,0x4ff98001,0xfa81bfe0,0x3fe6003f,
    0x981bfe04,0x1bfe04ff,0x3e04ff98,0x06ffb86f,0x07ff22b8,0xfc82ffc8,
    0x7cc000ff,0x37fdc2ff,0xff72ffc0,0x5cbff00d,0x5ff806ff,0x3e01bfee,
    0x57fdc05f,0x2ffea0f8,0x3fe60079,0x806ffb83,0x220225ff,0xff30fffd,
    0x221bfe07,0x0fffd880,0x200fffc4,0x3ffe63ff,0xff99a202,0xfb8f402f,
    0x30dff01f,0x217fec09,0x3fa04ff8,0x02fff987,0x1fff81a2,0x3fe80ba8,
    0x92ff4000,0xfa807fff,0x02601fff,0x10003ff2,0x3ffc09ff,0x4007ff50,
    0x3fe04ff8,0x813fe207,0x3fe207ff,0x261ffe04,0x1a202fff,0x7ec07ff3,
    0x013ffa06,0xf10bffb0,0x3ff803ff,0xf007ffe2,0x0fffc47f,0xff88ffe0,
    0x01ffc01f,0x21737fe2,0x2004ceff,0xff883ff9,0x31ffc01f,0xb97fec09,
    0x0dff01ff,0x17fec093,0xf3027fe4,0x1fffd81d,0x7fec4d88,0x7e4d903f,
    0x86ff883f,0x07fea079,0x7fd417fe,0x03fffb07,0x7ffc09b1,0x7c2ffc42,
    0x7f40000f,0x01bffee2,0x05fffff7,0x1ff901d1,0x20bff000,0x3ea07ffa,
    0x2ffc003f,0x7c07ffa8,0x0fff505f,0xff505ff8,0x07fff60f,0x17f61362,
    0xf3017fcc,0x3f2007ff,0x9ff901ff,0x32077cc0,0x3be604ff,0x3027fe40,
    0x4ffc81df,0x2003be60,0xfc81fffd,0x3e6001ff,0x09ff903f,0x0f3077cc,
    0xffc8ffd4,0x986ff883,0x207fea07,0xfb02fff8,0x9ffff303,0x881dfb55,
    0xcabeffff,0x3bfe61ff,0x4dfffaa0,0x3e609f33,0x42fff80f,0x981fffdc,
    0xdaacffff,0xfff100ef,0x21fff985,0x0a6002fa,0xffff11be,0xf97fb109,
    0xd735bfff,0x007ff609,0xb90bffe0,0x3ea03fff,0x7ffc003f,0x0fffee42,
    0xdc85fff0,0x3fe01fff,0x7ffee42f,0xcffff981,0x880efdaa,0x05fd81fe,
    0x402fffa8,0x2201effb,0x3fb02fff,0x205fff10,0xfff881fd,0xf103fb02,
    0x07f605ff,0x982ffd40,0x7cc006ff,0x5fff103f,0x9f307f60,0x7cc3fe60,
    0x3ffaa0ef,0x413e6737,0xfd100ff9,0x202fc85f,0xfffffffb,0xffff501f,
    0xff07ffff,0xfb1dfbff,0x67fccbff,0xfa817ec1,0xfd5fdeff,0xffb85dff,
    0x01ffffff,0x3a1bfff2,0x007d35ff,0xfa977fc4,0xeffffa82,0x2e1efecd,
    0xefffffff,0x003ffd00,0xfbdfff50,0x07bfffeb,0xa8009ff7,0xf5fdefff,
    0xf503dfff,0x3ebfbdff,0xfa81efff,0xff5fdeff,0xffb83dff,0x01ffffff,
    0x5fb83be2,0x33ff6200,0x13ff6a22,0x217ff440,0x3fa202fc,0x1017e42f,
    0x2fc85ffd,0x90bffa20,0x2ff8005f,0x5000ffa0,0x7f4409ff,0x4c17e42f,
    0x17ec1cff,0x3bf7fffe,0x265fffd8,0x17ec1cff,0x3bfff620,0xfe9802df,
    0x4400dfff,0x02fffffe,0x5c9fffb3,0x7f7cc5ff,0x401cecef,0x3a3ffffc,
    0x3fa602ef,0xc980dfff,0xdffffffe,0x3dfffd32,0xdfffb000,0x7ff5403f,
    0xd303ffff,0x2019ffff,0x0005fff9,0x7c7ffff9,0xdffb02ef,0xffff9000,
    0x20177fc7,0x3e3ffffc,0x7fe402ef,0x0bbfe3ff,0xdffffe98,0xfefd9800,
    0xfd70002d,0x5bfffdff,0xfffd8800,0xd8802dfe,0x02dfefff,0xfefffd88,
    0xffd8802d,0x8002dfef,0x007dc06c,0x1017ff20,0x5bfdfffb,0x3bffbe60,
    0xfd981cec,0x17fee4ff,0xd9dffdf3,0x1a980039,0x01551000,0x001aa880,
    0x04022031,0xa8800553,0x22001a81,0x800000aa,0x4c0001b9,0x530009bb,
    0x2a200157,0x3fff6a02,0x88004fff,0xd701a81a,0x00bdffff,0x01a81a88,
    0x06a06a20,0x1a81a880,0x002aa200,0x00000540,0x00015751,0x80006a60,
    0x260001a9,0x2a60001a,0x00c40001,0xfeb800a2,0x9805efff,0x54c1001a,
    0x22031002,0x0154c100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e43bfe0,0xeee9802f,0x4fff8001,0x006ffd80,0xaaaca880,0xaaaaaaaa,
    0x2600aaaa,0xb0001cdc,0x0c00c007,0x6407a200,0x04402603,0x002776c0,
    0x802fff98,0x2002fff9,0x2e01c038,0x9800a600,0x1000acdb,0x0059bd97,
    0x26000066,0x8000c001,0x93000019,0x2a0037bb,0xbddca801,0x404005c1,
    0x654c0000,0x1000abde,0x00555555,0x55555544,0x5555532a,0x55544555,
    0x501aaaaa,0x44555555,0x2037223c,0x17fa2ff9,0x037fff40,0x8017fea0,
    0xb8000ffe,0xffeceffd,0xffffffff,0xfb01ffff,0x8003fd59,0x07a000fb,
    0x7d4003b8,0xfb305f00,0x401b83bf,0x001ffffb,0x2003ffb8,0x6c005ffa,
    0xf9807b05,0xd1006a81,0x03ffd77d,0xfda9ceb8,0xfeb880ef,0x7fd40005,
    0x7eff5403,0xb81999ad,0xc80005fe,0x04ffffff,0x4c07ff71,0xffecdffe,
    0xf9300fcd,0x37ffb227,0x3bfea000,0x0dffdcac,0x7ffed440,0xf951003f,
    0x2e659fff,0x22dfffff,0xeffffeb8,0xfff9501b,0xa9ffec5b,0x45fb84ff,
    0xdfa800ff,0x32002ffb,0x7fc4006f,0x3bf62003,0x3fffcc0b,0xf705fb30,
    0x8007fcc7,0x7e4002f9,0x1fdb99bd,0xf9835c00,0x7fff7c41,0x200e89df,
    0x05feaff8,0x8004fe80,0x7c4007fb,0x6c01b60e,0x200bea3f,0x7fd40df9,
    0xf303f502,0x7ff5c1ff,0x7dc0005f,0x98ff605f,0x57fffffd,0x000bfffd,
    0xffecffa8,0x7ff644ff,0x17ff303f,0x40fffd88,0xfb3fffea,0x803fffff,
    0xb101efd8,0x3e6003df,0x44002fff,0x3ffe206f,0x3fffe207,0xd0bf7001,
    0x17ff29ff,0x03f983f2,0x07fccbd0,0x8000ef80,0xfd1005f9,0x3ffe401d,
    0x3fe216c0,0xe801ff41,0xffe88004,0x8004ffff,0x750f705d,0x3fffff62,
    0xd88f6405,0x17e2002f,0x002fc800,0x17ed7fe4,0xfbdff880,0x01ff8805,
    0x0df01ffb,0x7dc1ffdc,0x6c40005f,0x10ff901e,0xa8555fff,0x220005ff,
    0x3ffecc1e,0xe883ffc8,0x07fe405f,0x32fffa66,0x6fffcabd,0x0037fe60,
    0x4c00ffee,0x4000ffff,0x3ffe405f,0x007ffee0,0x775407dc,0x7d09ff70,
    0x097006a8,0x3f3009d1,0x007d4000,0x5003ffe6,0x85500fff,0x37ec0ffa,
    0x80007640,0x03ffffd8,0x17207d00,0xbffb302e,0x6c80e880,0x0003ae00,
    0xf88009b0,0x64005fff,0xc801ffff,0x17fe605f,0x3e203ff3,0x05ff986f,
    0x7fcc0000,0x201ff904,0x20005ff8,0x5fff101d,0xf507ff50,0x01fb003f,
    0x2a0fbfee,0xffd03fff,0x17ff4001,0x0efffe80,0xf3013a00,0xfff803ff,
    0x400bb003,0xc8583ffa,0x0c807001,0x400015c0,0x27fec02b,0x403ffd40,
    0x643fdc28,0x00fcc07f,0x00554c00,0x9d01f880,0x40044010,0x400aa00b,
    0x5880000d,0x1eeea800,0x2776c400,0x2027fc40,0x3fe61ffd,0x103ffe03,
    0x00000bff,0xf702ffb8,0x17fe205f,0x7ec00800,0x83ffa82f,0xfa800ffc,
    0x409ff500,0xffc87ffd,0x37fd4004,0x5ffffe80,0x3a013a00,0x7fe404ff,
    0x002f8805,0x0000bfe2,0x00000000,0xfff30000,0x0fff5001,0x321ff600,
    0x013a00ff,0x98000000,0x002f880f,0x00000000,0x00000000,0x30000000,
    0xffb807ff,0xff02ffc4,0x00bff10f,0x2ffc8000,0x220bff50,0x000005ff,
    0x7fd41fea,0x003ffd83,0x0ffea01f,0x260fff98,0xe8000fff,0xcce804ff,
    0x9d004fff,0x80dff700,0x5c00fffa,0x07fc000f,0x30000220,0x0000c000,
    0x0fffb003,0x101ffea0,0x3f21ff20,0x0001b207,0x0d700000,0x00c003e6,
    0x30000600,0x00018000,0x00000018,0xf500ffee,0x101d98bf,0xbff10bff,
    0xfa800000,0x09ff503f,0x00017fe2,0xf504fc80,0x3fff707f,0x3ea01b00,
    0x0fffc03f,0x2000bffd,0x7401fffb,0x005fffb4,0xfff1009d,0x03fff803,
    0xb06e02ec,0x3ffb260f,0xfd7001ce,0xd7007dff,0x7007dfff,0x107dfffd,
    0x2a00dfff,0x40ae07ff,0x37ec0ffa,0x6c001f98,0x7543eeee,0xffa85eee,
    0xffffffff,0x447fffff,0x0ceffffc,0x7fffe440,0x7e4400ce,0x400cefff,
    0xceffffc8,0xfffd7000,0xddddb07d,0x5eeeea87,0x4c04ffc8,0x7dc006ff,
    0x85ff882f,0x40440008,0xff905ff8,0x017fe205,0x206e8000,0xff983ffa,
    0x500403ff,0xffe807ff,0x0013ffe2,0x2017ffd4,0x3fffd14e,0xfd004e80,
    0x7ffd409f,0x900be206,0xbfb85c85,0x405ffb30,0xfd98bed8,0x17db105f,
    0x220bffb3,0xffd98bed,0x027ffcc5,0x3607ffa8,0xe83ff102,0x003e884f,
    0x109ffb10,0x5510fff9,0x55559f55,0x44555dd5,0xdfd50bfe,0x42ffa201,
    0xd100efea,0x3bfaa17f,0x217fd100,0x2200efea,0xffd98bed,0x84ffd885,
    0xfb86ffc8,0x3ffcc05f,0x4417fa00,0x3ffaa5ff,0x1fecc01d,0xff81ffc8,
    0x217fe205,0x05eeeeec,0xfa803ae0,0xffff903f,0xff50003d,0x31ffd807,
    0x20007fff,0x7404fff9,0x03bffe64,0xff7004e8,0x7fffec0f,0x7b00f700,
    0x827d44a8,0x0dd03ffd,0x1ba0fff6,0x3741ffec,0x3ea3ffd8,0xff5003ff,
    0xb80bea0f,0x203fe64f,0x7d40006c,0x0fff104f,0x13a03f10,0x7fd437ec,
    0xf50dfb04,0x21bf609f,0xdfb04ffa,0x7409ff50,0x507ffb06,0x3fe209ff,
    0x00fff986,0xa801ffe6,0xbff100ff,0x1bfffff2,0x01ffff5c,0xfb317ff7,
    0x2ffc401b,0x000affd8,0xff5017ee,0x7fffec07,0x3ea000cf,0x87fec03f,
    0x0002fffa,0xe80bfff1,0x02fffd44,0x3fe2009d,0xffd7f01f,0x3a017a07,
    0x81fea084,0x7dc0fff8,0x41fff303,0xfff303fb,0xf981fdc1,0x5fff90ff,
    0x3bffea00,0x02fffeee,0x0ff557ec,0x20000fd4,0x3fa04ff9,0x880fa807,
    0x10bff02f,0x17fe0bff,0x7fc17fe2,0xf05ff885,0x0bff10bf,0x7fcc0fee,
    0x027fcc0f,0xfff10dff,0x037fd407,0x7c405fd0,0xfb10cddf,0xffb1307f,
    0x77674407,0xff8801ce,0x000df985,0x3dfffd71,0x900ffea0,0x07ffffff,
    0xd00ffea0,0x0fffe4ff,0x0ffff000,0xfffb84e8,0x6c009d04,0xb8fa84ff,
    0x02f886ff,0x2ff405f8,0xf893ff60,0x5fff100f,0x7c403fe2,0x01ff12ff,
    0x7e4bffe2,0xff5001ff,0xfd97555f,0x17b73005,0x2a207f10,0x27fcc00b,
    0xd900ffd0,0x7f403e60,0x3a0dff03,0x20dff03f,0x0dff03fe,0x37fc0ffa,
    0xf8807fc4,0x27fcc2ff,0x3ee0dff0,0xbff900ff,0x100fea00,0xff107fff,
    0x81ffdc0d,0x220002e8,0x027cc5ff,0x3fff7260,0x3ffa82ff,0xffffea80,
    0x7fd401ef,0xfb2ffc03,0x740003ff,0x827407ff,0x4e83fffd,0x21ffea00,
    0x83fff16d,0x40bf007b,0x7cc04ff8,0x3bbfe67f,0xfffeeeee,0xddddff33,
    0x27fffddd,0xeeeeeff9,0xf93fffee,0x3ea005ff,0x000ba07f,0xdfb82ec0,
    0x3fe605fc,0x201ffa04,0x440f704d,0x20dff301,0x0dff3018,0x37fcc062,
    0xdff30188,0xddddff30,0x87fffddd,0x3fe04ff9,0x2bfffa06,0x4fffeb98,
    0xf100bd00,0x03ffc0bf,0x1fa07ff5,0x4bff1000,0xc80004f9,0xffa86fff,
    0x3ffee003,0x3ea03fff,0x83fe604f,0x0002fffc,0x9d01bffe,0x07fffa20,
    0x7fc4009d,0xfe8fe22f,0x4402744f,0x0ffea06f,0x2a1fff10,0x999999ef,
    0xdf509999,0x33333333,0x27bea133,0x99999999,0x07fff709,0xb81ffea0,
    0x0fa80002,0x13ea5fa8,0xfd027fcc,0x3607f00f,0x3bae2005,0xd71006ff,
    0x2200dffd,0x006ffeeb,0x0dffdd71,0x33333df5,0x98133333,0x1bfe04ff,
    0x9fffff90,0x3003fff3,0xbff1001d,0xf503ff40,0x7bff307f,0x80333555,
    0x07f55ff8,0x7ffcc000,0x001ffd40,0x3fffff22,0x01dff501,0xfff50ff6,
    0x7ffc0007,0xf1027405,0x02741fff,0xfa97ff60,0xf89ffee0,0x207f9802,
    0xff803ffc,0x000ff92f,0xf9000ff9,0xfff5000f,0x1ffea009,0x440002a8,
    0x42ff883f,0x4ff982ff,0x3a61ffa0,0xeeeeefee,0x85eeeffe,0xdff1cfc8,
    0xf1cfc880,0xcfc880df,0xc880dff1,0x90dff1cf,0x7cc000ff,0x01bfe04f,
    0x7dc26aa2,0x0077006f,0xfe817fe2,0x20ffea07,0xfffffff9,0x880bffff,
    0x006fbdff,0x43ffc800,0x30003ffa,0x501ffffd,0xfb81bfff,0x04fff985,
    0x07fff100,0x7fcc04e8,0x50013a6f,0x222ecfff,0x00f71fff,0x7ec03fea,
    0x1ffe804f,0xf9000ff9,0x0ff9000f,0x017ffe00,0x0003ffd4,0x7d417600,
    0x4c27ec0f,0x1ffa04ff,0x333f7326,0xccdfcccc,0x20f7cc4c,0x3be606ff,
    0xf3037fc1,0x206ff83d,0x37fc1ef9,0x30003fe4,0x37fc09ff,0x07fff000,
    0x7c400720,0x81ffa05f,0xff503ffa,0xffffffff,0xfdff10ff,0x800007ff,
    0x7fd44ff9,0x3fa00183,0xcffa81ff,0x03fecdfd,0x000bfff1,0xd00bffe6,
    0xbfff7009,0x3fe0013a,0xfd82f8af,0x2e009d4f,0x9ff901ff,0x7dcffd00,
    0x7fdc001f,0x0ffdc001,0x03ffe400,0x0007ffa8,0x5c03ee00,0x986fd87f,
    0x1ffa04ff,0x03e60d90,0xff80efa8,0xf01df506,0x03bea0df,0x77d41bfe,
    0xfb86ff80,0xff30001f,0x0037fc09,0x2006ffb8,0x17fe2005,0x3ea07fe8,
    0x262b503f,0xfecbaaa9,0x7ceffc42,0x400001ff,0x1ffd43ff,0xfe880164,
    0x33ffa83f,0xffb00355,0x3fee000d,0x9004e806,0x009d7fff,0x1f7bff90,
    0x3f3fff50,0x40bff200,0xff806ffb,0x201bfea5,0x00dff539,0x01bfea73,
    0x3fff98e6,0x007ffa80,0x17c4002e,0xff90ffb0,0x7409ff30,0xb826c07f,
    0x40ffe607,0x3ff986ff,0xff30dff0,0x261bfe07,0x0dff03ff,0x7300dff5,
    0x3e04ff98,0xffd0006f,0x1000c001,0x3ff40bff,0xf507ff50,0x222f4001,
    0x1fff75ff,0x17fc0000,0x1720ffea,0xa84ffc80,0xf10003ff,0xfd0005ff,
    0x009d005f,0x027ffff4,0x2f7ffcc0,0x07efff88,0x440fff60,0x7fc01fff,
    0x00bffe63,0x0bffe63d,0x3ffe63d0,0x3f20f402,0x7fd400ff,0x400d3007,
    0x43fe405d,0x4ff887fc,0x7f01ffa0,0xffb81760,0xf70dff01,0x21bfe03f,
    0xdff01ffb,0x3e03ff70,0x2fff986f,0x3fe20f40,0x001ffe04,0x0000bfee,
    0x205ff880,0x3fea07fe,0x20027c43,0xb2ffc43c,0x20000dff,0x3ffa86fa,
    0x3ee007c8,0x03ffa82f,0x01bfee00,0x200bff50,0x3fa2004e,0xfd0004ff,
    0x7fec05ff,0x3ffa004f,0x813ff203,0x7fec0ef9,0xfd8d903f,0xd8d903ff,
    0x0d903fff,0xb809ffd1,0x09d007ff,0xf5003ee0,0xf06fd81f,0x1ffea0bf,
    0x07d01f88,0x7c41ffe4,0x83ffc86f,0xffc86ff8,0xc86ff883,0x6ff883ff,
    0x207fffb0,0x20bff06c,0x4c007ffa,0x018003ff,0xe817fe20,0x0ffea07f,
    0x74400dfb,0x3a2ffc40,0xd80004ff,0x83ffa82f,0xffd003fc,0x007ff501,
    0x002ffe80,0x74003ffa,0x7ffcc004,0xfff70004,0x01fffa80,0x8813ffe0,
    0x3fb02fff,0x7dffff10,0xf883ff95,0xfcabefff,0x7fffc41f,0x01ffcabe,
    0x6c03ffd1,0x36200fff,0x02f9801f,0x7f41ff98,0xc85fff04,0xf501fffd,
    0xf980be20,0x3ffaa0ef,0x3bfe6737,0x4dfffaa0,0x541dff33,0x26737ffe,
    0x3faa0eff,0x7fc4737f,0xffcabeff,0xc85fff01,0x3001fffd,0xfd0005ff,
    0xbff1001f,0xf503ff40,0x0cffd87f,0x7c417540,0x17ffc45f,0xf300cb88,
    0x20ffea0b,0x7d404ffc,0x07ff703f,0x2ffd8800,0x00f7f440,0xf5000bf0,
    0x3e20009f,0x06ff804f,0x202fffc0,0x7e42ffe8,0x3fffea02,0xf503ffff,
    0x7fffffff,0x3ffffea0,0x6c403fff,0x3f261cff,0xaaaadfff,0xd007ffba,
    0x31fe4009,0x3fea01ff,0xffd5fdef,0x306c85df,0xffff801f,0xfffd8efd,
    0x7effffc5,0x45fffd8e,0x8efdffff,0x7fc5fffd,0xfd8efdff,0xfffa85ff,
    0x203fffff,0x5fdefffa,0x203dffff,0x8000efb8,0x9802fff9,0x3ffa06ff,
    0x889ff700,0xbcceffff,0xf302eecc,0x3fff50df,0x13bfff70,0x7dc05f73,
    0xdfffc84f,0x027fdc0a,0x00009ff7,0x5102ffee,0xfb8009ff,0x4fc8001f,
    0x007fa000,0xff0013f2,0xffb100bf,0x1005bfdf,0x05fffffd,0xfffffe88,
    0x7fff4402,0x366002ff,0xffffffff,0xffffffff,0xec804fff,0x4d7f4000,
    0x7fe403fe,0x0bbfa3ff,0x807b826c,0x2e4fffd9,0xffd985ff,0x217fee4f,
    0x2e4fffd9,0xffd985ff,0x817fee4f,0x2fffffe8,0x3ffffc80,0x32a0bbfe,
    0x40001dfe,0xfb800fff,0xfff880ff,0x10dffb02,0xfffffff9,0xfffb809f,
    0x82fffe80,0xdefffffe,0x437fec00,0xfffecacc,0x5302effe,0x0035ffff,
    0xbdffb300,0x2005bffd,0xefffffc8,0x0026c004,0x3e600f70,0x17fe4001,
    0x0006a600,0x2000d544,0x44001aa8,0x440001aa,0x00009999,0x8001f980,
    0x001dedb8,0x80350351,0x4005301a,0x88011018,0x18801101,0x01880110,
    0x2aa20011,0x40d44001,0x026aa01a,0x00544000,0x3bffffaa,0xffffd98d,
    0xfffd71df,0x953109df,0xfeb80357,0xf90defff,0x987dffff,0xfd5001aa,
    0x054bdfff,0x806aeaa2,0xccccccc8,0x2200000c,0x00000aba,0x00188000,
    0x04800a20,0x00003500,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0xaaa98010,0x01aaaaaa,0x00fffd40,0x0e6ee540,0xaaaaaa98,0x554402aa,
    0x4002aaaa,0x54400019,0x2aaaa4dc,0x00aaaaaa,0x55555551,0x55555305,
    0x05555555,0x6f6e5c40,0x2600002c,0xb81bdecb,0xaaaaa800,0x164c0aaa,
    0x4c03d800,0x0b70002c,0x3b72e200,0x00e20bce,0x007372a0,0x37b72e20,
    0x64c0002c,0x39b51003,0x00132000,0x20037fec,0x20008808,0x00c11009,
    0xaaaaa88c,0x220aaaaa,0xaaa881db,0x02aaaaaa,0x3fb22000,0x407c9dff,
    0xfffffca9,0x7e4001bd,0x7f54002f,0x40dfebad,0xffffffc9,0x7f5c402d,
    0xda803fff,0x000beffe,0x502b3faa,0xbfffffd7,0x3f2a2015,0xfd82dfff,
    0xffffffff,0xfd9807ff,0xfdba9aac,0xfd50000c,0xbfb959ff,0xfb803f57,
    0x26ffffff,0x8002ffd9,0x3ff6606c,0x02f88002,0x6f7fecc0,0xcbefecbb,
    0x277ea005,0xb3002fea,0xb753559f,0xfd00019f,0xddf8805f,0x7d4004ff,
    0xeff88000,0x4bf93000,0x201dffda,0x541dffd9,0x14b80761,0xdfffff95,
    0x7ffe4159,0x7ffe5442,0x0002acff,0x2e63bf50,0x2e007fff,0x20003fff,
    0x7d4003ff,0x101df506,0x0007ffff,0x3ea00dfd,0x00bffd11,0x2003dfb1,
    0x4001fffe,0xff101ff8,0xffffffff,0x2ec809ff,0x003fb880,0x406fff62,
    0x402fffc8,0xffffffff,0x4002fd83,0x2fd801f9,0x4005d800,0x2600cffb,
    0xf3005ffe,0xc806fa85,0x3fb8802e,0x01fffc00,0x00ff9876,0x20007f10,
    0xea800ffa,0xfff95fff,0x7f7c0dff,0x0e89dfff,0x2e66f7ee,0xfff981fd,
    0x17fff605,0x004fffa8,0xa827dc00,0x3e6007ff,0xf30001ff,0x2ff8800b,
    0x7dc13fe0,0xfe8003ff,0x444f9801,0x3a600ffe,0x7fdc004f,0x40bf0007,
    0xaaacdefc,0x102feaaa,0xbd1000bd,0x03ffd100,0xb80bfea0,0x4ccccccf,
    0xe8005fb0,0x005fb004,0x36000fb8,0x3f2004ff,0x886f8806,0x0bd102ff,
    0x400bd100,0xf8000dfa,0x001b2007,0x11001fd8,0x2399bff9,0x3a84ffe9,
    0xbfffff91,0xffffffd0,0x01fffc09,0x201fbfd5,0x0002fff8,0xff01fe60,
    0x7ffc400f,0x00d90000,0xfc80ff50,0x017ffe06,0x3a009f10,0x204d882f,
    0xb8005ff8,0xbd0006ff,0x7f8027c0,0x26662fa0,0x26c00999,0x0007ffa0,
    0x01f407f7,0x70017e40,0x0bf2001f,0x2002f880,0xe8003ffc,0xb05fb807,
    0x440fa01f,0x2330aba9,0x8000004d,0x3f3002f9,0x0017c000,0x4c1fffcc,
    0x4c0b85ff,0xfb105ffd,0xff809fff,0x40d3002f,0x0001fff8,0xfd00ff60,
    0x7ffc400f,0x001b0000,0x5c01ff70,0x1ffee07f,0x2001f500,0xfb0001ff,
    0xff50001d,0x417a000d,0x09f5004a,0x7ffec572,0xd02effdd,0x017ff205,
    0x07b81f40,0x2005f900,0x3f2002f8,0x80176002,0x30006ffa,0x009fb00f,
    0x9dd30b90,0x47fdfb75,0x2000002e,0x0fa005ea,0x00049800,0x3e20bff1,
    0x0220086f,0x2002aa60,0x79002fff,0x001fff80,0x803ff300,0x3e2007fd,
    0x000000ff,0xb01ffd40,0x7ffc409f,0x4017a003,0xb8001ff9,0xf50001ff,
    0x17a000df,0x05f9000c,0x25fe81d3,0xf982ffc8,0x00fffcc0,0x09d04b80,
    0x400bf200,0x17e4005e,0x1000fa80,0x40005fff,0x027fc00e,0x9f703a60,
    0xf98ff620,0x2000a800,0x400efffd,0x0000006c,0xe817fe20,0x0000007f,
    0x005fff00,0xfff801f1,0xff700001,0x007fd801,0x8003ffe2,0x22008801,
    0x3ff01fff,0x006ffc80,0x3ea005f3,0x7fcc001f,0x3fea0005,0x00bd0006,
    0x0f60ff00,0x1bfe17f6,0x1fff21e4,0xfb848800,0x9000acff,0x01f7005f,
    0x8802fc80,0x3fee003f,0x004c0007,0xd800bff1,0x22027e43,0x6401e44f,
    0x7f544000,0x0007e604,0x80044044,0x3f605ff8,0x00022007,0x5fff0011,
    0xf803e980,0x0002e1ff,0x36007fe4,0x3fe2007f,0x77f6400f,0xffb30cef,
    0x3ffa07ff,0x401fec1e,0xc801fff9,0x07ff2007,0x005ffd00,0x0037fd40,
    0x540005e8,0xd80f884f,0x81ffb85f,0x027ffc69,0x7fff4000,0xfc802fff,
    0x0017c402,0x36c017e4,0x013ffa00,0xbff10000,0xf307c400,0x98b7001f,
    0x20006806,0x013a06fb,0xda97f260,0x7c401dff,0x01ff605f,0x4c00ff66,
    0xfff803fd,0x4007b202,0x01f91fff,0x003ff600,0x7c400ffb,0x5fd100ff,
    0x67d6ffd4,0x885ffd99,0x7f92ffff,0x02fff400,0xdd7013e2,0x3ddddfff,
    0xa8bffd40,0xfa801bcc,0x0bd0006f,0xa82fc800,0xf90bfb04,0x7d47a01f,
    0x400003ff,0xffffffe9,0x017e404f,0x7e400176,0x000fd402,0x0007fff3,
    0x06ff8800,0x0bfd12a0,0x100f40c0,0x2fc4000d,0x754006c8,0xfff95fff,
    0xff880dff,0xb81ff605,0x5c03fffe,0xf803fffe,0x000602ff,0x03db5fff,
    0x00ffec00,0xf8801ff6,0x0dfb00ff,0xf707fffb,0xffff307f,0xfa8003dd,
    0x03ee00ff,0x9ffb5530,0x7e401555,0xfffefccf,0x37fd403f,0x0005e800,
    0xb03c83fc,0x05fe88bf,0x17ffdcb6,0xb5100000,0x6c0dffff,0x003ea03f,
    0xf101fec0,0xfffb8007,0xf8000002,0x88f2007f,0x6c0003ff,0x8000f602,
    0x02f982fa,0x6ffe4440,0x9ffd31cc,0xb02ffc40,0x7ec4c0ff,0x7ec4c03f,
    0x2fff803f,0x3ffe0000,0x640000ef,0x3fec03ff,0x01fff100,0xff709ff1,
    0x0fff101f,0x017fffa2,0xd027ffc0,0x1ffc800b,0x0ffff600,0x5409fff5,
    0xbd0006ff,0x827cc000,0x31bfb02d,0x3c807fd5,0x0003fff9,0x3ffea000,
    0x209fd03f,0x3a0003f8,0x001b204f,0x4007fff2,0xeeeeeee8,0xfffff55e,
    0x207fffff,0x00bfe62d,0x3ea07900,0x9bdf8800,0x009d03eb,0x41fffcc0,
    0x3e205ff9,0x01ff605f,0x5400ffea,0xfff803ff,0x3fe00002,0xf700005f,
    0x07fd80ff,0x403ffe20,0x6ffa83fe,0x6403ffe0,0x000effff,0x4c07ffdc,
    0x7fe4002f,0x03ffe001,0xa80fffd4,0xbd0006ff,0x817e4000,0xfdffb01d,
    0x277001df,0x0001fffd,0x3ffa2000,0x3333261f,0xc9836c0c,0xcccc980b,
    0x200fcc0c,0x0fffec5c,0x3fff6600,0x3f33262e,0x01ccccff,0x017fdc3b,
    0x3e60ee00,0x33b6e005,0x801f700b,0x0bff105c,0xf881bfe2,0x01ff605f,
    0x5400ffea,0xfff803ff,0x3fe00002,0xf100001f,0x3fe609ff,0x3ffe2007,
    0x7fd40600,0xfeeeeeef,0xd9fd81ff,0x2000efff,0x6c83fff8,0x01ffc800,
    0xd80fff30,0xdff505ff,0x0017a000,0x40b207f8,0x03ff75fd,0x3fff2790,
    0x80000002,0x54003ffd,0x7fffcc0f,0x09d0004f,0x7fe47fb8,0xff98002f,
    0x03ff404f,0x1ffcc590,0x3a0f2000,0x8800001f,0x83fdc02f,0x3fa05ff8,
    0x817fe207,0xffa807fd,0x07ff5003,0x0005fff0,0x007fff20,0xdfffb800,
    0x0ffdb511,0x007ffc40,0x3bfffb30,0x33333333,0x3f21fd81,0x32000eff,
    0x01fc46ff,0x800ffe40,0x7d406ffa,0x0dff507f,0x40017a00,0x40ee04f9,
    0x01bf65fd,0x1fffdc76,0x54000000,0x3e2005ff,0xff50bd83,0x406c8003,
    0x7fdc7ff9,0xff88003f,0x03ff402f,0x27fc4770,0xf9076000,0x3600000d,
    0x83ffcc05,0x3f605ff8,0x817fea07,0x7cc00ffe,0x7ff3003f,0x005fff00,
    0xffffd880,0x3a200001,0x8effffff,0x3e2007fd,0xfea800ff,0x8004ffab,
    0xfffb83fd,0x3ffe6003,0x20003ee2,0xf5001ffc,0xfff880df,0x006ffa80,
    0x320009d0,0x6c16a02f,0x013fa25f,0x17ffea1f,0x7c000000,0x21b2006f,
    0x005fd838,0xaf8807e6,0x27ffcc7f,0x02fff800,0xb50037ec,0x40006fe8,
    0x00ffe60f,0x803ee000,0xf107faf8,0x03fec0bf,0xf101fff9,0xff9805ff,
    0x07ff3003,0x0005fff0,0x7ffc7744,0xfc800001,0x1ff65fff,0x00fff880,
    0xff98ffa6,0x0ffc4005,0x4006ffb8,0x017a5ffe,0x800ffe40,0xff806ff8,
    0x07ffa80f,0x20009f00,0xd80f807f,0x817fcc5f,0x1bffe25a,0x64000000,
    0x03f3005f,0xd001fdc0,0x8ff3e809,0x0007fff8,0xfd805fff,0xf307c006,
    0xa871007f,0x0007ff45,0xd00fe200,0x7fc41fe7,0x2a1ff605,0x8deffffe,
    0xdfffffd9,0x007ff301,0x3e00ffe6,0x320002ff,0x0007ffe4,0x20554400,
    0x3e2007fd,0x07fee07f,0xb800dff3,0x0ffec07f,0x31fff500,0x3f20005f,
    0x1ffe001f,0x7cc1ffa0,0x07f0007f,0x9009f300,0xf70bfd09,0xfd85b01f,
    0x0000007f,0x3a007f50,0x007ec004,0x93600eb8,0x1fffc87f,0x02fff800,
    0x320027e4,0x100ffdc4,0x3e22d81b,0x007b206f,0x24d80bb0,0x0bff107f,
    0x00003fec,0x00ffe600,0x7c01ffcc,0x118002ff,0x8001fff8,0x3fec0001,
    0x20dff100,0xff885ff8,0xdfb1a807,0x003ff980,0x036e7ff4,0x003ff900,
    0x3a00fff4,0x3fff106f,0x001f9800,0xf8802fc8,0x203bfe21,0x21aa0efe,
    0x0002fff9,0x3ee0002e,0x4006c801,0x5f3003f8,0x21fe35c0,0x8005fff8,
    0x7e402fff,0x07e21802,0x5cc39ff5,0x3ea3540d,0x01bfe05f,0x1ae00fa8,
    0x17fe20ff,0x6c007fd8,0xf98001cf,0x7ff3003f,0x005fff00,0x3fff03a8,
    0x0002b800,0xf1003fec,0x07fee0bf,0xd1017ff4,0x3e01bf61,0x7fdc002f,
    0x320003ff,0x3ee001ff,0x01ffc02f,0xc8009ffd,0x07e8000f,0x77755aa0,
    0x777443ee,0xffb00f98,0x0950001f,0x2601b600,0x026c001f,0x074c0bd0,
    0x7ffdc1fe,0x17ffc002,0x400fdaa8,0x5c43544a,0x40acefed,0x2ffd40f9,
    0x1001ffb0,0x2074c07f,0x0bff107f,0x32003fec,0xf98007ff,0x7ff3003f,
    0x005fff00,0x3fff00e8,0x0007c400,0x75c1ff60,0x640ffe22,0xdff903ff,
    0xffb93601,0x003fe200,0x01ffff10,0x00ffe400,0xf981bfa0,0x037fd407,
    0x30009f70,0x0dc800bf,0x405d3000,0x4005ffe8,0x1f500069,0xd8009d00,
    0x803ee005,0xffeeeeee,0x0fffd84e,0x30bffe00,0x37dffb9d,0x1b905d10,
    0x20ba6000,0x3ea06ff8,0xe80db007,0xeffeeeee,0xb02ffc44,0xff1000ff,
    0x3ffa8005,0x007ff500,0x5c007fff,0x03fff106,0x40002e40,0x7fc40ffe,
    0x540df30f,0xfffb86ff,0xffc99bff,0xf7027f40,0x3ff20009,0x7fe40005,
    0x1ffc4001,0xfe802fd8,0x7fd400df,0x02fc8000,0x4001ec80,0xfd8802fb,
    0x0ea800ef,0x54067f44,0x00ec802f,0xf8801320,0x66666402,0xf503cffc,
    0x3fe003ff,0xef88e42f,0xfecdefff,0x003d900e,0x3fa02fb8,0x009f302f,
    0xccc803f5,0x43cffccc,0x3fa05ffa,0x7fc4000f,0x27fd4000,0x804ffa80,
    0xf9004fff,0x0fffe609,0x000ff620,0x3e07ffe0,0x803f75ff,0xeebbffff,
    0xffffff98,0x3fe981ff,0x20005fa8,0x40001ff9,0xa8002ffd,0x017dc1ff,
    0x1beffd88,0x01dfd751,0x8001fa00,0x75402dfa,0x7fe4000e,0xca88acef,
    0xfff880de,0x01edbbdf,0xb1002f98,0xbb03c887,0x403fc000,0x80adffe9,
    0x740effda,0x3ffee990,0x5402ffff,0x775402df,0x177fc400,0x3e20076c,
    0x41fe0004,0xf880fffc,0xb51002ff,0xff90007f,0x1bff200d,0xcffffc88,
    0xedccaaac,0xfff901ff,0x9999999f,0x0001fffb,0x37fff262,0x3bffea09,
    0xffea801d,0x7ff4c3ff,0x7e401eff,0x002ffdce,0x40006e80,0x000dfff8,
    0xeecefe98,0xffeb8001,0x0bffffff,0x00bf3000,0x99ddd500,0x0005bfd9,
    0x7ffff6d4,0x75c02eff,0x003dffff,0x7f44013a,0x80ffffff,0x3e0000fb,
    0x3fb6e007,0xcfffedef,0x98dbd701,0x002ffffe,0x3333bbaa,0x22002dfe,
    0xcfdbfffd,0x0006c800,0x3ffaa3fc,0xfd98deff,0x401dffff,0x5c000acb,
    0x04effffe,0x9dffffd7,0x7ffffe44,0xffffffff,0x7ecc7fff,0xffffffff,
    0x6fffffff,0x33326000,0xaa82cccc,0x01a98000,0x2000d544,0x000009a9,
    0x6d4000a6,0x3cffffff,0x001a8800,0x57955300,0x15300003,0x54c40000,
    0x000009ab,0x00555cc4,0x20006a20,0x997000fb,0x10799999,0x4c80007f,
    0x2aea6000,0x40330009,0x100009a8,0x00135753,0x055e54c0,0x0001f980,
    0x00000264,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xaaaaaaaa,0x540000aa,0x3aa000de,0x4037a60c,
    0xaaaaaaa8,0x000999aa,0x0001db88,0x006c0000,0xaaaaa880,0x019aaaaa,
    0xaaaa8000,0xaaaaaaaa,0x0aaaaaaa,0x207b6000,0xaaaaaaa8,0x551001aa,
    0x55555555,0x35555555,0xaaaaaa88,0xaaaaaaaa,0x003002aa,0x2aaaaaa2,
    0x55441aaa,0x1aaaaaaa,0x10144017,0xaaa87fff,0x5441aaaa,0x5511aaaa,
    0x35555555,0xaaaaaa88,0x55511aaa,0x33555555,0x02000013,0x01bd5001,
    0x55000300,0x55555555,0x807100d4,0x19d50041,0x22006f4c,0xefffffca,
    0x740000ac,0x3fe003ff,0x40fffa3f,0xfffffda8,0xefffffff,0xfffd801b,
    0x00000003,0x220007f3,0xffffffda,0x2dffffef,0xfeca8000,0xffffffff,
    0x1fffffff,0x03ff7000,0xfffff951,0x2a20035b,0xfffffffc,0xffffffff,
    0x7ffe5445,0xffffffff,0x3ae07fff,0x2203efff,0xcfffffca,0x7fdd441a,
    0xf11bdfff,0x5401d305,0xffeb84ff,0x75c41cff,0xf9511cff,0x8359ffff,
    0xfffffca8,0xffb511bd,0xffffffff,0x40037dff,0xff915fc9,0x01fff405,
    0x77fffe44,0xfeba800c,0x222bffff,0x981e883e,0x1ecefefe,0x7f47fff0,
    0x3fe6003f,0x6c00005f,0x3fa003ff,0x00bffa2f,0x4273ffea,0xefffdb98,
    0x1bfff600,0x6c000000,0xfa80006f,0xfea882ff,0x880001ef,0x404ffdff,
    0x98001fd8,0x7d401fff,0x4c0004ff,0x5c402fff,0x3ffea05f,0x0ff93101,
    0xfb317db1,0xfff500bf,0x3ffe6009,0x7cc9f905,0x102fec03,0xfb809ffd,
    0x13ffea04,0x02fffcc0,0x4273ffea,0xefffdb98,0x3fffaa00,0x40dfffd5,
    0x74403ffd,0x1dfd50bf,0x1bffe200,0x13a25fa8,0x7dc433e6,0x45ffd01f,
    0x7c002ffe,0x400003ff,0x64c003c8,0x8801e443,0x7d401fff,0xdd302fff,
    0x000003fd,0x01fff880,0x0fffc400,0x007fff20,0xff97f100,0x000ba009,
    0x1007fffa,0x00005fff,0x2e005fff,0x07ffe606,0x41ba1ee0,0x7c403ffd,
    0x3fe002ff,0x5bff103f,0x01df00df,0x6c06ffa8,0x17ffc406,0x807fff00,
    0x5401fff8,0x1102ffff,0xd559bff9,0x01e4409f,0x7fd437ec,0x13ffa004,
    0x1ff5dfd0,0x07ea0dd0,0x0f221e4c,0x00bffe00,0x00000000,0x3fff1000,
    0x3fffb100,0x0000fa80,0x7ffdc000,0xfff80005,0x06ffe801,0x7e47dc00,
    0x0057004f,0x01ffcec8,0x000fffc4,0x8017ffc0,0x3ffe2068,0x7dc78801,
    0x81fff303,0xefffeee9,0xeeeeeeee,0xeeefffee,0x17fffd43,0x74003ea0,
    0x05f101ff,0x001fff88,0xf100bffe,0xfb1003ff,0x7fcc03ff,0x0000044f,
    0xbff10bff,0x01fff400,0x20ffffe6,0x007a07f8,0xfff80000,0x00000002,
    0xff800000,0xfff1001f,0x0035c01f,0x7f7c0000,0x7c0000ff,0xffa801ff,
    0x4fe0001f,0x53004ffc,0x7e4fd400,0x7ffc401f,0xfff80001,0xf8812002,
    0x217001ff,0xff100ff8,0xfccc885f,0xcccccdff,0xfffccccc,0xeed82ccd,
    0x2001c804,0x0f905ffa,0x8007ffe0,0xff802fff,0xfff1001f,0x1bfe201f,
    0x7fd00000,0xd801bfe0,0xeec803ff,0x207ff305,0x0000001b,0x0000bffe,
    0x00000440,0x01fff800,0x413ffea0,0x000001e8,0x7ff4fd40,0x7ffc0003,
    0x2fff8801,0x7e4f7000,0x8800004f,0x803ff93f,0xfffffff8,0x3fe002de,
    0xf100002f,0xf30003ff,0xdddddddf,0xff807fff,0x3ffe001f,0x00000002,
    0x3f80fff8,0x003fff00,0x7c017ffc,0x3ea001ff,0xbff104ff,0x4400c000,
    0x00dff301,0x0001ffec,0x001bffd0,0x20000440,0x00002fff,0x0fffff6a,
    0x50fbbbb6,0xf00bdddd,0xfe8003ff,0x4174c0ff,0x00000808,0x01ffeedd,
    0x003fff00,0x0003fff5,0x27fe47f1,0x9b600040,0x7c401ffc,0xffbaabff,
    0xfff804ff,0xf8800802,0xfa8001ff,0x9999999e,0x7fc00999,0x3ffe001f,
    0x20011002,0x3ff20040,0xf8007d43,0x3fe001ff,0x1fff802f,0x07fff400,
    0x2002ffc4,0x03efffeb,0xdffdd710,0x01ffec00,0x7fe40408,0x93000bff,
    0x0039dffd,0x0005fff0,0x5115fb10,0xfd881dff,0x6ffc884f,0x001fff80,
    0x911fffd4,0x2e2fda81,0x20004ffe,0x5fff12f9,0x0fffc000,0x003ffe40,
    0x27fe47b8,0xfa800ae0,0x1007ff20,0xff703fff,0x2fff809f,0xff880580,
    0x3203601f,0x3e00007f,0x3fe001ff,0x1fecc02f,0x322bf930,0xfff102ff,
    0x3fe004e8,0x3ffe001f,0x01fff802,0x41fffd40,0xb1005ff8,0xbffb317d,
    0xf8e7e440,0x3ff6006f,0x457f2603,0x7fec2ffc,0x7dc02fff,0x05ffb30b,
    0x002fff80,0xfd81fe80,0x04ffa85f,0xff00dff1,0xff98003f,0x3ffee05f,
    0xffffd8af,0x8f90004f,0x20005ffc,0x7cc01fff,0xf88004ff,0x2027fe43,
    0x85f1002e,0x7c401ffc,0xfff901ff,0x017ffc05,0x3fe20166,0x901f101f,
    0x7c0000ff,0x3fe001ff,0xfffd702f,0xbfffd507,0xd81bfffa,0x003f32ff,
    0xf000fffc,0xfff005ff,0xfff98003,0x005ff885,0x0fff60dd,0xdff07be6,
    0x41ffec00,0xfd5fffea,0xffd50dff,0x13ea09ff,0xf001ffec,0x3db105ff,
    0xf505fb80,0x09ff30ff,0x7fc037fc,0x7fc4001f,0x3fa2606f,0xff70bebf,
    0x3f88003f,0x000fffcc,0x2a01fff8,0x8000cfff,0x04ffc86c,0x3a005f73,
    0x401ffc85,0xf101fff8,0x7ffc0bff,0x2017a202,0xc981fff8,0x01ffb80f,
    0x03fff000,0x9817ffc0,0x8883ffd8,0xeaacdffc,0x57fe604f,0x7ffc005c,
    0x0bffe001,0x0007ffe0,0xf10dfff1,0x07f700bf,0xfa83ffe6,0x006ff80e,
    0x2220fff6,0xeaacdffc,0x3ffee04f,0x103fd45f,0x3e001fff,0x5ffc82ff,
    0xc807fe20,0x04ff983f,0x3fea1bfe,0xffffffff,0x3ffe07ff,0x1effc807,
    0x4003ffb8,0x4ffe80fb,0x9dfff000,0xdfffdb99,0x0be20003,0x3bbbfff2,
    0x802ffffe,0x1ffc80fb,0x00fffc40,0x7fc0fffd,0xfeeeeeef,0xff8805ff,
    0xffeeeeef,0x06ffa80f,0x7ffc0398,0xaaaaaaab,0x02fffaaa,0xf301ffdc,
    0xe80089ff,0x4002f9ff,0xccccdfff,0xffcccccc,0xffffa82f,0xffffffff,
    0x21fffe07,0x7c405ff8,0x5fff100f,0x7fc0ffe6,0x0fff6006,0x044fff98,
    0xfffb1011,0x3602ff41,0xfff004ff,0x409ff505,0x30000ffa,0x37fc09ff,
    0x7ffd5544,0x02aaaaac,0x2e01fffa,0x9ff502ff,0xf504e800,0xff0001ff,
    0xffd999df,0x20005dff,0x5bff906d,0x5fd97555,0xf902f980,0xfff8803f,
    0x03fff601,0x55567ffc,0x805fecaa,0xcccdfff8,0xf980ffdc,0x00f402ff,
    0x3bbbbffe,0xfeeeeeee,0x7fd402ff,0x01bfe203,0xfd999999,0x99999fff,
    0x3bffe059,0xeeeeeeee,0x882fffee,0xacfffaaa,0x3a02aaaa,0x5ff887ff,
    0x7777fcc0,0x3fffeeee,0x3fe03ff7,0x0fff6006,0x4c06ff88,0x44bff604,
    0x7fcc04ff,0x05fff007,0x7fb802ea,0x13fe6000,0xff806ff8,0xfff8001f,
    0x02ffb806,0x5400bff1,0x0fffe01f,0x407ffe00,0x02efffb8,0x2666fe60,
    0x204ffd99,0x027402e8,0xf8803ff9,0x3ffe01ff,0x00bffe07,0xfff100b9,
    0x6c03e603,0x0d903fff,0x4003fff0,0x7d402fff,0x17fe203f,0x99999990,
    0x9999bfff,0x3ffe0599,0x0bffe001,0x0007ffe0,0x3e21bffe,0x4f7d405f,
    0x99999999,0x107ff909,0x7ec00dff,0x17fe203f,0x7fd40f30,0x8807ff51,
    0xff800fff,0x3f60002f,0xff30000f,0x4037fc09,0x44001fff,0xfb805fff,
    0x0bff102f,0x3f2036c0,0xfff8006f,0x7fff4c01,0xffffb002,0x09ffffff,
    0x01b202b8,0xf8803ff9,0xfff301ff,0x017ffc0b,0x3fe20162,0x4403601f,
    0xcabeffff,0xfff801ff,0x0bffe001,0x4407ff50,0x360005ff,0xff8001ff,
    0x3ffe001f,0x01fff802,0x42fffc40,0x7e406ff8,0xeff98007,0x4dfffaa0,
    0x01ffec03,0xf980bff1,0x321ff304,0xfff803ff,0x02fff802,0x007ff600,
    0xf027fcc0,0x3fff00df,0x3fff9800,0x102ffb80,0x3e600bff,0xffffffff,
    0x4001ffff,0xf8801fff,0x7cc00fff,0x013ff201,0x337e6053,0xfecccccc,
    0xf881ccdf,0xffd881ff,0x0bffe01f,0x3fe20160,0xa802e01f,0xffffffff,
    0x03fff003,0x2017ffc0,0x3e203ffa,0x3f20005f,0xfff8001f,0x0bffe001,
    0x0007ffe0,0xf707fff3,0x3fe403ff,0xdffff800,0x5fffd8ef,0x203ffd80,
    0x7cc05ff8,0xb17ec1cf,0xffd009ff,0x05fff003,0x017fe400,0x204ff980,
    0xfff806ff,0x7ffdc001,0x02ffb802,0x3200bff1,0x9999999f,0x005ffd99,
    0xe800fffc,0x2f402fff,0x0013ff20,0xffffffb8,0xffffffff,0x1fff882f,
    0x01ffff44,0x0000bffe,0x000fffc4,0x3ffffa20,0x3ffe002f,0x0bffe001,
    0x4407ff50,0x555405ff,0xcffeaaaa,0x01aaaaaa,0x7c003fff,0xfff802ff,
    0x7ffdc001,0x3ffffaa2,0x1ffb81ef,0xfffd9800,0x4017fee4,0x3e203ffd,
    0x7f7cc05f,0x641cecef,0x7fe804ff,0x005fff00,0x01bfee30,0x09ff30ae,
    0x7fc037fc,0x3fe2001f,0x5ff7006f,0x2017fe20,0xff5003f8,0x7ffc001f,
    0x7fff7001,0x3200fd40,0x2a0004ff,0xeeeeeeee,0x1eeefffe,0xcbbfff88,
    0x801efffe,0x00002fff,0x0003fff1,0x00faaa20,0x4003fff0,0x7d402fff,
    0x17fe203f,0xfffffff0,0xffffffff,0x3ffe09ff,0x0bffe001,0x8007ffe0,
    0x0006fff8,0x9806ffa8,0x0e981883,0x80fff600,0x20805ff8,0x3fee03e9,
    0x005ff806,0xa8005fff,0x405fff33,0x04ff8868,0x3fe01ffe,0x3ff2001f,
    0x5ff7001f,0x2017fe20,0x3fa000fb,0x3ffe003f,0x3fff7001,0x7e402f40,
    0x005c004f,0x1007ff20,0xbddddfff,0x7ffc0037,0x441cc002,0x00001fff,
    0x3e000fcc,0x3fe001ff,0x1ffd402f,0x000bff10,0x4000ffe4,0x3e001fff,
    0xfff802ff,0x3fff2001,0x80b7ea01,0x7402fff9,0x0017a001,0x7c407ffb,
    0x6fcc005f,0x03fff100,0xff003ff8,0x20e8005f,0xd881fffd,0x2a0bff04,
    0xfff807ff,0x9fff3001,0x817fdc00,0x4e805ff8,0x037fdc00,0x2003fff0,
    0x3ee07ffd,0x04ffc800,0x32001a60,0x7fc401ff,0xff80001f,0x40f4002f,
    0x0001fff8,0x20027dc0,0x3e001fff,0x7fd402ff,0x017fe203,0x001ffc80,
    0x2001fff8,0xff802fff,0xfff3001f,0x2fffa809,0x40ffff60,0x07fc006c,
    0x407ffb00,0x64005ff8,0x3ff206ff,0x003be604,0x7001fffc,0xcffff98d,
    0xf00efdaa,0xffdc85ff,0x3ffe201f,0x6fff9801,0x817fdc00,0x7dc05ff8,
    0x7ffcc002,0x1fff8803,0x04fffa80,0x3f200bf1,0x013a005f,0x1007ff20,
    0x00003fff,0x64005fff,0x03fff106,0x0ffa8000,0x03fff100,0x2017ffc0,
    0x3e203ffa,0x3f60005f,0x7fc4001f,0x3ffe001f,0x0fffc402,0x037ffcc0,
    0x7c40bfd0,0xfcabefff,0x27f4001f,0x409ffd00,0xa8005ff8,0xfff100ff,
    0x8007f605,0xf9004fff,0xfffff709,0x7d403fff,0xff5fdeff,0xff103dff,
    0xfffc803f,0x3ffc8003,0x440dff10,0xfff0007e,0xfff8801f,0x2fffd401,
    0x36005f90,0xfd8805ff,0x1ffc8001,0x017ffcc0,0x0fffe200,0xf9827dc0,
    0x800002ff,0x0baadfff,0x002fff88,0xf700fffe,0x37fc409f,0x05ffb000,
    0x02fff880,0x100fffe0,0xfc803fff,0x7f4003ff,0x7fffd402,0x8003ffff,
    0x2b9cfffb,0x4409ffd0,0xfa8006ff,0x17ff4406,0x64400bf2,0xaaccffff,
    0x1ffedcca,0xbffffd30,0xffff9001,0x88177fc7,0x9acdfffc,0x0dfffdba,
    0x0bffd000,0x2203ffee,0x44001ffd,0x100dffff,0x359bfff9,0x7fffd753,
    0x4027fdc0,0x99bffff9,0x7ffcaa99,0x03ff9000,0x06fffec4,0xdfff7000,
    0x75333335,0xf9103ffb,0x00000bff,0x05dfff93,0x4017fff2,0x200efffb,
    0x3ee06ffd,0xf88001ff,0x322005ff,0xf7005fff,0x7e440dff,0xba9acdff,
    0x000dfffd,0x200df931,0x2fffffe8,0xffd71000,0xfff5017f,0x3ffee01d,
    0x3fd51001,0xdfffb100,0xf91005bf,0xffffffff,0xffffffff,0x00155100,
    0x01a81a88,0xffffffb3,0x579dffff,0x3ff20003,0xfb54efff,0x2e1bdfff,
    0x03efffff,0x7fffff44,0x3ff666ff,0xffffffff,0x301bdeef,0x09fffffd,
    0xffffffd9,0xffffffff,0x3f20009f,0xfffd981f,0x002dffff,0xfffffd91,
    0xffffffff,0xffd98dff,0x02dfffff,0x98098000,0xefffffec,0x7ff6442d,
    0x2e2dffff,0x24effffe,0xefffffea,0xfffeb801,0xb300efff,0xbfffffff,
    0xffffc885,0xfb32dfff,0xffffffff,0x003579df,0x8001bc98,0x00001aa8,
    0x3ff22022,0x53dfffff,0x3dfffffd,0x0002cc80,0x00000353,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x71000000,0x3bb20380,0xeb82eeee,0x55511eee,
    0x83555555,0xaaaaaaaa,0xaaaaa881,0x000aaaaa,0x2aaaaaa2,0xaaa80000,
    0x04c01aaa,0x1dd70088,0x220bba60,0xaaaaaaaa,0xaa980199,0xaaaaaaaa,
    0xaaaaaaaa,0xc8039100,0xaaa885ee,0x999aaaaa,0x7fd40000,0x5555531f,
    0x55555555,0x2a155555,0x75c01fff,0x1001f5c3,0xddb98001,0x1bd3002c,
    0x54406f4c,0xaaaaaaaa,0x00000999,0x9817ffd4,0xaaaaaaaa,0x5555100a,
    0x2aa25555,0xaaaaaaaa,0xaaaaaa81,0x403501aa,0x55554038,0xaaaaaaaa,
    0x000aaaaa,0xc8004000,0x5c03c80d,0x2600efff,0x3f2a21ff,0x41acffff,
    0xbeffffca,0xfffca881,0x000aceff,0x3ffff6e2,0x7fd40004,0xd501beff,
    0x00b81bff,0x3e601ff9,0xffda883f,0xffffffff,0xffffb02d,0xffffffff,
    0x85ffffff,0x2602ffc9,0x5442ffff,0xfffffffd,0x000dffff,0x3f62ffd8,
    0xffffffff,0xffffffff,0x813fee2f,0xff10fff9,0x7fed403f,0x7e4403ff,
    0x00efffff,0xffd1fff4,0xfffb5109,0xffffffff,0x800037df,0x32603ffc,
    0xadffffff,0xfffd5100,0x3fae259f,0x1befffff,0xefffeba8,0x107f101b,
    0xffff803d,0xffffffff,0x3625ffff,0xcccccccc,0xcccccccc,0x1007fee3,
    0x8036c3df,0x7cc05ffc,0x0fffea02,0x800fffa0,0x0005fff9,0x01ffff90,
    0x27fff400,0x3fffbe20,0x320689cf,0x7ff300ff,0x9bfffa80,0x84fffca8,
    0x9999adfd,0xa999bfff,0xffb32ffd,0x5ff405ff,0x3fea06fe,0xffb311af,
    0x3ff8007f,0x4ccd6fec,0x999bffe9,0x7e43ffba,0x43ffe206,0xd880fff8,
    0xeffa88af,0xfdfffb00,0x6c01ffff,0x0fff63ff,0x359fff50,0x3fff6ea2,
    0x9fd0001e,0x3fffe600,0x0f7fc006,0x3ffffd10,0x007ff500,0x04e897ea,
    0x004dffc4,0x3883bffa,0x3fe38000,0xaffb804f,0xff1002fd,0x203e401f,
    0x4c02fff9,0xff8001ff,0xf300003f,0x20007fff,0x402ffff9,0xffffb13b,
    0x07fe409f,0x4403ff98,0xff981fff,0xe813a0ef,0x27f102ff,0x02ffe889,
    0x81fe45f5,0xf501fff8,0x3ea009ff,0x3fa05d84,0xb07f103f,0x2165401f,
    0x03fd02c9,0xbf70bffb,0x3fff2215,0x910f2206,0x3fff1007,0x3ffffa80,
    0x002fcc00,0x801bffe6,0xe8800ff8,0xfc803fff,0x577f4003,0x0fcc00ff,
    0x41fffc80,0x23800038,0xfd002ffd,0xfb800dff,0x1013e03f,0x7c403fff,
    0xfff0000e,0x3e200005,0xb0006ffe,0x4803fffd,0x404ffe98,0xff300ffc,
    0x1fff8807,0x747fff50,0x80bffa00,0x02ffc83d,0x101f503d,0x7ec03fff,
    0x20b9007f,0x0fffa01e,0x03e883a8,0x82fdc000,0x04f87ffa,0x000bffee,
    0x1fff8800,0x2fffd880,0x4001ae00,0x7002fffc,0x7fc4005f,0x027cc06f,
    0x1ffffcc0,0xf9802cc0,0x003884ff,0x000d4380,0x8003ddd5,0x1f507ff8,
    0x01fff880,0x40001dd1,0x00002fff,0x05fff7f1,0xfffbf980,0x01100401,
    0x2601ff90,0x7fc403ff,0x97ffe01f,0x017ff406,0x05ff7075,0xf81cc035,
    0x3fea01ff,0xd00d802f,0x203ffe80,0x000b1048,0x900ffc40,0xd806987f,
    0x000003ff,0x8800fffc,0xb000ffff,0x7ff40001,0x000bd006,0x2209fff5,
    0x3b20005f,0x0075005e,0x220dffd1,0x00380003,0xfc800000,0x8805d83f,
    0xfe881fff,0x7ffc0000,0x5f100002,0xc800dff9,0x001fff8f,0x0ffc8000,
    0x8807ff30,0x3f601fff,0xfe8010ff,0x7dc0402f,0x7c00002f,0x3fe201ff,
    0x0040005f,0x0100fffa,0xf5006000,0x0350001f,0x2009ff70,0x3fff0001,
    0x2fffd400,0xf9800000,0x07e404ff,0x1fffc800,0x00000ee8,0x6c004c00,
    0x07101fff,0x20007000,0x40008808,0x17c46ff8,0x20fffc40,0x80000fe8,
    0x00002fff,0x5fff15f1,0x7fcfe200,0x8808801f,0x00ffc800,0xf8807ff3,
    0x3ff201ff,0x5ffd001f,0x05ff7000,0x3fe00220,0x3ffe601f,0x00022004,
    0x20007ffd,0x7ff5c008,0x07fb83ef,0x7fcc0000,0xffff9103,0x3fe0019d,
    0x7ff4001f,0x0000000f,0x2603fff9,0x7f40003f,0x000fe46f,0xa8000000,
    0x0e203fff,0x3000e000,0x7fed4bf9,0x3ff2001d,0x7c401f22,0x03fa21ff,
    0x17ffc000,0xb2f88000,0x3f200bff,0x4c03fff0,0x3ff6a5fc,0x03ff201d,
    0x2201ffcc,0x3f601fff,0xffd000ff,0x5ff70005,0x803fd980,0x3ea01fff,
    0xfd9803ff,0x1fff4003,0x40ff6600,0xfd98bed8,0x007fec5f,0x3ff50000,
    0x2a17fd10,0xff800efe,0x7fd4001f,0x7777443f,0xeeeeeeee,0x0dffd006,
    0x2600017a,0x05f54fff,0xeeeee880,0x6eeeeeee,0x5fff8800,0x40001c40,
    0xfffd5003,0x3fffff2b,0x9bfe2006,0xfff1003f,0x0003fe63,0x002fff80,
    0x3e65f100,0x27c401ff,0xfd503fff,0x3fff2bff,0x3ff206ff,0x807ff301,
    0x3e01fff8,0x3fa006ff,0xffb8002f,0x7fffd702,0x203fff00,0x5c06ffe8,
    0x4003fffe,0xd7003ffe,0x1ba07fff,0xffb1ffec,0x5c000003,0x50dfb07f,
    0xfff009ff,0xfff98003,0x55e77c45,0x4fffbaaa,0x87fff300,0x900000fb,
    0x009f7fff,0x5579df10,0x09fff755,0x01fffb00,0x38000388,0xbff91100,
    0x3ffa6399,0x2bff2004,0xff1000fa,0x001ff33f,0x02fff800,0x6c5f1000,
    0x07dc05ff,0x91103fff,0x26399bff,0xff904ffe,0x00ffe603,0x2e03fff1,
    0x3a002fff,0xfb8002ff,0xffb1302f,0x03fff007,0x803fffb1,0x003ffd89,
    0x9801fff4,0xfb83ffd8,0x21fff303,0x00002ffc,0x7fc0ff60,0x805ff885,
    0x44001fff,0x07c46fff,0x800dff90,0x7f10fffc,0xffe80000,0x1f10006f,
    0x0037fe40,0x4017ffdc,0x03800038,0x41fffcc0,0x26005ff9,0x2005deff,
    0xeffbfff8,0x7fc00000,0xf100002f,0x007ffd45,0x01fff8bd,0x260fffe6,
    0x3ff905ff,0x100ffe60,0xff703fff,0x3fffa09f,0xffffffff,0x3ee03fff,
    0x1ffdc02f,0x988fffc0,0x000dfffb,0xd000ffee,0xfb8007ff,0x807fc43f,
    0xff72fff8,0x8005700d,0x0ffa06f8,0x7fc037fc,0xfff8001f,0xff502cc7,
    0xfe88001f,0x0000db6f,0x009fff30,0xffa81660,0x7fcc000f,0x0071005f,
    0xf8800700,0x0dff105f,0x02fffd80,0x3f7ffe20,0x00000eff,0x0000bffe,
    0x3ffa17c4,0xff83f504,0x17fe201f,0xfc837fc4,0x4ffd883f,0x3bffe20a,
    0x2effeccd,0x2aaaaaa0,0xaaaacfff,0x0bfee01a,0xf007ff50,0xffffffff,
    0xff500019,0x3ffe8007,0x21ffd400,0xeeeeeff9,0xf33fffee,0x034405ff,
    0x31017ec0,0x201bfe60,0xe8001fff,0x881447ff,0x50002fff,0x003fbfff,
    0x3fff6000,0x10288002,0xd0005fff,0x22001fff,0x00380003,0xfd02ffc4,
    0x6ff9800f,0x4fffc400,0x000efffc,0x005fff00,0xf50be200,0xf0dd01ff,
    0x7fc403ff,0x641ffa05,0x33a60eff,0xf10734ff,0x579535ff,0x7ff40003,
    0x2ffb8002,0x401ffd40,0xff99afff,0xff50004f,0x3ffe8007,0x21ffd400,
    0x99999efa,0x36099999,0x4d881fff,0x0027cc00,0x1bffbae2,0x0007ffe0,
    0xe801bffe,0x6c0004ff,0x00004fff,0x1dffff30,0x7ff40000,0xfffc8004,
    0x000e2001,0x440150e0,0x1ff605ff,0x000ff600,0x3f23fff1,0x80000eff,
    0x00002fff,0x7fff05f1,0xfff82f98,0x817fe201,0xfff907fd,0x3fe3fdbf,
    0xff880ebf,0xe800001f,0xfb8002ff,0x1ffd402f,0xf30fffc0,0xf50005ff,
    0xffe8007f,0x1ffd4003,0x4c001ff2,0xdaacffff,0x2f4000ef,0x239f9100,
    0xfff806ff,0x7ffc4001,0x0dff9005,0x3fff1000,0x9f100000,0x0009fff3,
    0x001bff20,0x0013ffe6,0x27000071,0xf103fff8,0x03fec0bf,0x20007dc0,
    0x3f21fff8,0x40000eff,0x00002fff,0xfff705f1,0x3fff06d8,0xb02ffc40,
    0x3fb760ff,0x3fee1eff,0x3fff104f,0xffd00000,0x5ff70005,0x803ffa80,
    0x7fe41fff,0x7fd4000f,0x1fff4003,0x90ffea00,0x7dc000ff,0x1fffffff,
    0x80076c00,0x37fc1ef9,0x000fffc0,0x2013ffe6,0x0000fffa,0x0003fff0,
    0x7fe4dd00,0x7d40002f,0x744000ff,0x388006ff,0xff738000,0x17fe20ff,
    0xd8007fd8,0xfff88005,0x077ffe41,0x05fff000,0x20be2000,0x7f33fff8,
    0x8807ffe0,0x1ff605ff,0x8054c66c,0x3fe200a8,0xe800001f,0xfb8002ff,
    0x1ffd402f,0x740fffc0,0x7d4005ff,0x7ff4003f,0x1ffd4003,0x80007fee,
    0x0dffffe9,0x8007dc00,0x6ff80efa,0x001fff80,0x2017ffdc,0x0002fff8,
    0x0007ffe0,0xfe81f900,0xf10000ff,0xf90005ff,0x710003ff,0x3e670000,
    0xff882fff,0x001ff605,0xf10003f1,0xfff903ff,0x3fe0001d,0x8818002f,
    0x2dff902f,0x07ffe07c,0x3605ff88,0x000bd07f,0x00fffc40,0x17ff4000,
    0x017fdc00,0x3e00ffea,0xfff881ff,0x0ffea003,0x007ffd00,0x7d43ffa8,
    0x2039806f,0xa8000cd8,0x7ff3001f,0x3e01bfe0,0x7f4001ff,0x4ffe806f,
    0x7ffc0000,0x3ea00001,0x04fff982,0x009ffd00,0x007fff50,0x00007108,
    0x417c54c7,0x3f605ff8,0x00364007,0x901fff88,0x0001dfff,0xa8005fff,
    0xf102f883,0x7c09f7ff,0x3fe201ff,0x221ff605,0x2200007f,0x00001fff,
    0x8002ffe8,0x7d402ffb,0x1fff803f,0x003fff50,0xd000ffea,0xfa8007ff,
    0x17ffcc3f,0xdf8807a0,0x00fcc001,0x3e03ff70,0x1fff806f,0x07fff200,
    0x000dff90,0x003fff00,0xc813e600,0x64002fff,0xf88006ff,0x954005ff,
    0x83800038,0x5ff880f8,0x9801ff60,0xff10001f,0x7ffe403f,0x7ffc000e,
    0x44074002,0x3fff202f,0x07ffe00f,0x3605ff88,0x00ff987f,0x3fff1000,
    0xffd00000,0x5ff70005,0x803ffa80,0x3f601fff,0xffa800ef,0x1fff4003,
    0x20ffea00,0xd903fffd,0x007ffb80,0xc8600be6,0x6ff883ff,0x001fff80,
    0xa809fff1,0x00e00fff,0x000fffc0,0x7402f440,0xf5000fff,0xd81c01ff,
    0x6c000fff,0x70000711,0x3fe20b70,0x541ff605,0x004fbbde,0x007ffe20,
    0x001dfff9,0x7001fffc,0x980be20d,0x7fc04fff,0x17fe201f,0xffb87fd8,
    0xff100001,0xf000003f,0xf70005ff,0x3ffa805f,0x00fffc40,0x500bffd1,
    0xfe8007ff,0x7fd4003f,0xeffff883,0x801ffcab,0xfa801ff9,0x3e65a802,
    0x3ffaa0ef,0xfff10737,0xbffd3003,0x17ffc401,0x3e200160,0x440001ff,
    0xff9800fe,0xfff8805f,0x7fdc2c02,0x13cc002f,0x98700007,0x0bff501e,
    0x7f407ff4,0x40006fff,0xd802fff9,0xf002ffff,0x3f2009ff,0xd807f304,
    0x3fe201ff,0x17fea02f,0x7e40ffe8,0xf300002f,0x800005ff,0x8003fff9,
    0x7dc02ffb,0x7ffc404f,0x27ffcc02,0x0013fee0,0xb8007fff,0xfff504ff,
    0x007fffff,0x3ea01fe6,0xccccccce,0x7ffc2fed,0xffd8efdf,0x3fff105f,
    0x02fffc80,0x5404ffe8,0xfff88005,0x3fa20002,0x3fffa003,0x027ff404,
    0xbfff116a,0x226f9800,0x32380003,0x3fff201e,0x82fff880,0x000dfffc,
    0x17fff220,0x3fffff20,0xfff9101c,0x9955599f,0xb103ffdb,0x2fcc01df,
    0x1bfff910,0x203fff20,0x7dc2fff8,0xd880000f,0x0000dfff,0x03bffee0,
    0x80bffb00,0x32206ffd,0x5c00dfff,0xfb02dfff,0x7fdc00df,0x3f6000ef,
    0x3ffa206f,0x98802fff,0x7fd403fe,0xffffffff,0x7ecc0fff,0x17fee4ff,
    0x5efffe44,0xffedba9a,0xeffc800d,0xb9999999,0x7e44004f,0xa8000dff,
    0x3a003fff,0xc80cffff,0x99999eff,0x7f44fb99,0xaaaaabff,0xffdcaaaa,
    0x33333625,0xcccccccc,0x0553cccc,0x77ffff54,0xffffd98d,0x005cc1df,
    0xffffb300,0xe985bfff,0xffffffff,0xffff913f,0xffffffff,0xd98fffff,
    0x02dfffff,0xfffb303d,0x2a5bffff,0x8deffffe,0xdfffffd9,0x300006e1,
    0xfffffffb,0x3220005b,0xdfffffff,0x3ffba602,0x3ae0deff,0x264effff,
    0xfffffffd,0x3fff602d,0xfffd74ff,0x3f2209df,0x2dffffff,0x3ffffae0,
    0x06aa204e,0x400bcb80,0xfffffff8,0x05ffffff,0x4c044062,0xfffffffd,
    0x0abcefff,0xfffff300,0xffffffff,0x3ff66009,0x02dfffff,0xffffffb8,
    0x3ffb602e,0x266fffff,0xffffffff,0x2e4fffff,0xffffffff,0xffffffff,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555300,
    0x6c155555,0x7543eeee,0xa9805eee,0xaaaaaaaa,0x0bb2000a,0xaaaaa980,
    0x300aaaaa,0x55555555,0x0de98155,0x24403766,0xaaaaaa98,0x9100aaaa,
    0x0026c000,0x0e601100,0x80002f80,0x00220001,0x18001100,0x00018004,
    0x00195000,0x00044002,0x01100000,0x000001dc,0x00000000,0x22006000,
    0x4c036200,0x77649500,0xec83eeee,0xdddb1eee,0xeeeea87d,0xffffc805,
    0x42ffffff,0xc884ffd8,0xffc806ff,0xffffffff,0x1fff5001,0x3ffff600,
    0x01ffffff,0xfffffff9,0xffe85fff,0x6c13ff64,0xfffffb04,0x203fffff,
    0x1360004b,0xffd73000,0x00ba21bf,0xd70002f8,0x3007dfff,0x039dffd9,
    0x3ffff6a0,0x3fbfa603,0xfc881ece,0xb00cefff,0xea87dddd,0x5ff9deee,
    0x37ffbae0,0x77ffecc3,0x440f6002,0xffd9301e,0x9ffdc39d,0x000ba04c,
    0x543aa000,0x9000002d,0x219dfdfd,0x83ffffd9,0xffd50ee8,0x13ea1bff,
    0x401fffd3,0x7ec40ef9,0x6ffc884f,0xeeeeeb80,0xa81eeeee,0xdff104ff,
    0xddddd700,0x003ddddd,0xc801ffe6,0xeeeeeeee,0xddd701ee,0x3ddddddd,
    0x3f23ffd8,0x904f984f,0xdddddddd,0x09f101dd,0x00026c00,0x3f6617f7,
    0x7c003ecf,0x5f6c4002,0x205ffd98,0xffb30bfb,0x457ec405,0x4c0effa8,
    0x3ff710cf,0xd50bfe88,0x7ff401df,0x8effc884,0x0fd886ff,0x67cd3fe6,
    0x805ffc88,0x5c17606b,0x5ffb30bf,0x17c53fe6,0x00000fa8,0x10cffc88,
    0x00017dfb,0x7d45fd10,0xd99cfadf,0xeee885ff,0xfeb99acf,0xfff504fd,
    0xf501f980,0x1bfe209f,0x3e600000,0x01bfe04f,0xca800000,0x00000001,
    0x10f22000,0x09fb0179,0x13f60000,0x0004d800,0x3ff607f5,0x002f8005,
    0x3ffd8374,0xffb04fa8,0x3607fa07,0xa83745ff,0x5437ec1f,0x3fea04ff,
    0x2adff104,0xa81fe82f,0xfd84fdff,0x40bea02f,0x04fa81fc,0x83f27ffb,
    0x01dd01fc,0x3ff66000,0x9ff9300b,0x37ec0001,0x5c1fffec,0x1ef983ff,
    0xfd01bf20,0x302e403f,0x37fc09ff,0x7cc00000,0x01bfe04f,0x00000000,
    0x00000000,0xffb10000,0xf9000009,0x26c0009f,0x807fcc00,0x4000fff8,
    0x0fee002f,0xf507ffcc,0x07ffc40f,0x7fd417ee,0x1e81fe27,0x7fc42ffc,
    0x813fe605,0xb82cdfff,0x3fff606f,0x306ffa82,0x217ee0df,0x3fe207fa,
    0x7fc40cef,0x0005f980,0x00177f54,0x003bff71,0xfb84ff88,0x7ff880ff,
    0xfc800fc8,0x813fea01,0x13fe602f,0x20006ff8,0x09ff3001,0x880037fc,
    0x00000000,0x00600000,0x3ffe6000,0x401eeeff,0xfffd3008,0x4003dddf,
    0x5fe8004d,0x017fff20,0x3e2005f0,0x5fff100f,0x3f602ff4,0x807fe24f,
    0x0ffe63fc,0x40ffa0dc,0x3fe606ff,0x881bfe04,0x3fee05ff,0x10fff307,
    0x1ff305fd,0xfd80bfd0,0x41bf204f,0x5c4004fd,0x40001dff,0x2002efea,
    0x6ffa83fe,0xf983ffe0,0xf0176002,0x80d501ff,0x3fe04ff9,0x7ff5c006,
    0x3fe603ef,0x801bfe04,0x1ceffec9,0x3b600000,0x77543eee,0x3f2205ee,
    0x000cefff,0x3eea6022,0x300aaadf,0x2ea607fb,0x00aaaeff,0x3e001360,
    0xff5d904f,0x002f800f,0xdddddff3,0x227fffdd,0x7fcc04ff,0x0003fea7,
    0x20037ffa,0x0dff3018,0xff027fcc,0x027fd40d,0xfffffff1,0xd81fffff,
    0x84ff886f,0x7cc04ff8,0x17fe206f,0x2600bfe6,0x0000cffc,0x05ffecc0,
    0xfffa80c0,0xffeeeeee,0x7001ee1f,0x1ffe401f,0x3fe601ec,0x401bfe04,
    0xfd98bed8,0x09ff305f,0xfb8037fc,0x05ffb30b,0x3bbbbba2,0x46eeeeee,
    0xc884ffd8,0x7fd107ff,0x003bfaa1,0x7cc07fb3,0x7ff5c04f,0x27fc403f,
    0x8009b000,0x8eb83ff9,0x2001fff8,0x3df5002f,0x33333333,0x00ffea13,
    0x3ee1fff1,0xfff90007,0x5c40017f,0x2606ffee,0x1bfe04ff,0x7c02ffc8,
    0x999999ef,0x17fe4199,0x2a03ffa2,0x7fc403ff,0x41ffdc07,0xfb501ffd,
    0x0000005d,0x0039ff91,0x4efffecc,0x99999999,0xf3001720,0x237fc403,
    0x7fcc00f9,0x401bfe04,0x07ffb06e,0x7fc09ff3,0xb04fa806,0x9df107ff,
    0xff755557,0x09ff509f,0x7ec1ffe2,0x704ffa86,0x4c07fffd,0x6c4c04ff,
    0x7fc403ff,0x55555104,0x555bd555,0x5c155555,0xf07d44ff,0x2aaa65ff,
    0xacfaaaaa,0x92aaaaaa,0xff9000ff,0x25fff007,0xb0000ffd,0x805fffff,
    0xdff1cfc8,0xf027fcc0,0x1ffec0df,0x7001ffa0,0x9ffb0dff,0x200fff20,
    0x3e201fff,0x77fcc2ff,0x03bfd710,0x71000000,0x75405bfd,0x004ffabf,
    0x2f8004d8,0xb90ffec0,0x409ff300,0x3fb806ff,0x981fff30,0x1bfe04ff,
    0x7c40ff50,0x007c40ff,0x3e60dff9,0x41ffa04f,0x5ff885ff,0x07ffb130,
    0xa8027fcc,0x7fc403ff,0xfffff504,0xffffffff,0x641fffff,0xd07e65ff,
    0x3fff23ff,0xffffffff,0x97ffffff,0xffb000ff,0x23ffd009,0x20001ffd,
    0x04ffffea,0x6ff83df3,0xf813fe60,0x13ffa06f,0x4001ffb0,0xffe85ffb,
    0x009ffb04,0xfe803ffd,0x87ffc43f,0x0001dff9,0x7f440000,0x31ff4c0f,
    0xb9000bff,0x401f9800,0x007e5ff9,0xff813fe6,0x807fc406,0x7cc2fff8,
    0x01bfe04f,0xffd80bfd,0xff502cc4,0x13fe601f,0x7fd07fe8,0xf701bfe0,
    0x27fcc07f,0x403ffa80,0x20004ff8,0x7fdc004d,0xffb05f36,0x7002f800,
    0xfc8003ff,0x27fe804f,0x80002ffc,0x545ffffb,0x06ff80ef,0xff813fe6,
    0x013ff606,0xd8003ffb,0x7ff441ff,0x804ffc80,0x7fdc07fe,0x442ffd84,
    0x0002dffb,0x77ecc000,0x20ffdc0b,0xb8006ff9,0x803d4007,0x006a8ffe,
    0x7fc09ff3,0x777fcc06,0xfffeeeee,0xf027fc43,0x27fc40ff,0x511ffe60,
    0x80bffe20,0x3fa04ff9,0x3e603107,0x1ffd406f,0x7fffffec,0x7ff501ff,
    0x004ff880,0xf5001360,0x3a07d1ff,0x017c006f,0x9806ffa8,0xf00dff73,
    0x037fdcbf,0xd880895c,0x7ff30fff,0xf981bfe0,0x81bfe04f,0x7ec05ffb,
    0x3a06404f,0x84ff986f,0xff806ffb,0x4c2ffc05,0x7f5403ff,0x4000003e,
    0xf102dfea,0x0fff10bf,0x027c4350,0xf7004e88,0x22007d9f,0x1ffe04ff,
    0x3333df50,0x01333333,0x3fea0bff,0x00ffea07,0x2001fff1,0x7cc04ffe,
    0x01ffa04f,0x37ff75c4,0x260ffea0,0xaaadffba,0x807ff300,0x20004ff8,
    0x7fc4004d,0x13fe04ef,0x26005f00,0x8f402fff,0x7c01fff8,0x0bffe63f,
    0xd8126688,0x03ff72ff,0xff881bfe,0xa81ffe05,0x3fa00fff,0x10d301ff,
    0x1ff505ff,0x401fff88,0x3bee03ff,0x2005fd80,0x000cffd9,0x39ff7100,
    0xd01ffb80,0x074405ff,0x3f6007ee,0xffff1000,0x82ffc001,0x7e407ffa,
    0x7ffc0007,0x0fffee42,0xf803ffc8,0xffc802ff,0x04ff9806,0xf9101ffa,
    0x501bfe39,0x7fcc07ff,0x07ff3004,0x0004ff88,0x3ee00136,0x03fe606f,
    0x6c005f00,0x8d903fff,0x3e604ffc,0x0fffec0e,0x40f326c4,0x7ff91ffa,
    0xf80dff10,0x0fff507f,0xf104ffe8,0xe881dfff,0x2e0df304,0x04ffc84f,
    0xff803be6,0x0006f981,0x003bff91,0x02fff260,0xc81ffe40,0x09b00eff,
    0x3a207ff5,0x3f2000ef,0x7ffc004f,0x0fffee42,0x8000ff90,0x5fdefffa,
    0xd83dffff,0xffe804ff,0x07ffd401,0xd027fcc0,0x0f7cc0ff,0xff501bfe,
    0x027fcc07,0x4403ff98,0x360004ff,0xfff88004,0x0003f903,0x7fc4005f,
    0xffcabeff,0x817ffc41,0xfff981fd,0x0efdaacf,0x7fcc13e6,0x541dff30,
    0xf0737ffe,0xffdc87ff,0x3ffe601f,0xfffffb80,0x00ffdbdf,0x07ec0bea,
    0x6c0bffe2,0x40bee01f,0xb80000fd,0xd5002efe,0xf50005df,0xffff70df,
    0x1ff9337f,0xdefbcfa8,0xeeaefecb,0x03ff3000,0xdefffa80,0x3dffff5f,
    0x0003ff70,0x23ffffc8,0xff902eff,0x80ffd009,0x3002fff8,0x3ff409ff,
    0xff80efa8,0x01ffd406,0x26009ff3,0x7fc403ff,0x01360004,0x0bffbb20,
    0x3e0005f7,0x7ffd4002,0x103fffff,0x2fc85ffd,0x3ffffee0,0x7fcc1fff,
    0x3e17ec1c,0xd8efdfff,0xff505fff,0x3febfbff,0xff701eff,0x237f221d,
    0xfffffffb,0x3a06c803,0x42ffe884,0x0fe202fc,0x00000fcc,0x102fff6a,
    0x0003bff7,0xebbffff8,0xfffff98e,0x1fcc1fff,0x459dd971,0x1b6006e8,
    0x7fffe400,0xa80bbfe3,0x039806ff,0x00be06a2,0xff00dff7,0x04ffe80b,
    0xe813fe60,0x03ff987f,0xffa80dff,0x013fe603,0x2201ffcc,0x360005ff,
    0xc875c004,0x02dfefff,0x2000be00,0x2fffffe8,0x77ffec40,0xfe9802df,
    0xf980dfff,0x1ceceffe,0x24fffd98,0x7ec05ffb,0x3bfe3fff,0xeffe9802,
    0x7ffdc4ff,0x0b6002ff,0x7ec40744,0x402dfeff,0x000b604b,0x0ffc9800,
    0x00019ff3,0x3ffffaa0,0x7ffff4c3,0x2000501e,0x00660018,0x1a81a880,
    0x02fff980,0x7d4000f4,0x0fffc400,0xfc80ffe0,0x7fc4006f,0x2e1ffa04,
    0x0dff01ff,0x2203ffa8,0xf98044ff,0x37fc403f,0x004d8002,0x353103a2,
    0xddddd700,0xddddfddd,0x440bdddd,0xa98001aa,0x15510001,0x00aa6080,
    0x000880c4,0x00350351,0x98035510,0x0080009a,0x03530022,0x00020040,
    0x985c4000,0x26000002,0x0d54401a,0x00000000,0x00000000,0x640ffff6,
    0x07f90006,0x4c09ff90,0xfff500ef,0x5ff81c01,0xf90fff50,0x0dff107f,
    0x2203ffa8,0x20550eff,0xff803ffa,0x5c00550f,0x80000002,0xccccccca,
    0xcccccccc,0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0xcabeffff,
    0xf90001ff,0xfff8801d,0x2203fb02,0x82c02fff,0x7ee42fff,0x77fcc1ff,
    0x4dfffaa0,0x403ffa83,0x204efffd,0xfd804ffa,0x00005eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0xffffffff,0x3fe20003,
    0xe883aadf,0x017e42ff,0x5a809ffd,0xfbdfff50,0x8bbfffab,0x8efdffff,
    0xf705fffd,0xffd8809f,0x1bff200c,0x033ffa20,0x00088088,0x08008808,
    0x08008800,0x3bbbb204,0x3bbbb64e,0x7776c2ee,0xddddd70e,0x3bbb63dd,
    0x3bbaa5ee,0x3bb25eee,0xeee882ee,0xeeeeeeee,0x8009806e,0x006a000a,
    0x544000a8,0x059301cd,0x2a002440,0x765401cd,0x32aa202c,0x40cc882c,
    0xbb9101db,0x200cc017,0x88000000,0x99999999,0x99999999,0xffd10019,
    0x00005fff,0x03bfffb5,0x3fbfff62,0x3bff202d,0xb9999999,0x3fff204f,
    0x20bbfa3f,0x2e4fffd9,0x3ff605ff,0xeb801006,0x804effff,0x52fe4c00,
    0x9803bffb,0x3ffa65fc,0x7ff6442d,0x1fecc00d,0xf915fc98,0x27ffdc5f,
    0x806fffd4,0x7e440efb,0x7ff40bff,0xfffc880a,0x101efd85,0x555579df,
    0x9809fff7,0x00fe807f,0xf9004fa8,0x6f7c400d,0x3ff664ff,0x00bf6003,
    0x1bffbfe2,0x3f667b62,0x3f24e80d,0xf31ffdc4,0xddff70df,0xbff905ff,
    0xffa8b301,0xffffffff,0xffffffff,0xffffff50,0xffffffff,0x4001ffff,
    0x00001aa8,0x1a980030,0xfffff980,0xffffffff,0x540d4404,0x11018801,
    0x3ffffae0,0x0000004e,0xfffd5000,0x3fffff2b,0xbfffb306,0x3ffffbee,
    0xffffff31,0x3fffae0b,0xaffff543,0x7ec6fffe,0x07ff903f,0xff9807d4,
    0x800df987,0x06e86ffd,0xff9007c4,0x01ff700d,0x2a00fe88,0x1ff2004f,
    0x3fe61d80,0xa801fec0,0x23c806ef,0x17e43fe9,0x45f513fa,0x27fe47fa,
    0xcf98fff5,0xff07f661,0x43dd07ff,0x99999998,0x99999999,0x33310fa9,
    0x33333333,0x03333333,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x1ccdffc8,0x1109ffd3,0x2199bff9,0xae9effc8,0x305ffd50,
    0x8887ffb1,0xeaacdffc,0x82ffc44f,0x13205ff8,0x7cc6ff88,0x3ffa2004,
    0xb3003f23,0x407ffd40,0xa89fe61a,0xa80fe880,0x0544004f,0x321fa000,
    0xf19d003f,0x7dc24407,0xf503fe26,0x3e62441f,0xa8ffee0f,0xf03746ff,
    0x45fffd8d,0x0000fffa,0x00003e20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x307fff30,0x7fc40bff,0x1dfff03f,0x5c09ff50,
    0xfff303ff,0x1ffd0089,0x7c03ff60,0x997fe201,0xff98004f,0x8801f98f,
    0x05fff102,0x8afc9ff5,0x1fd107fe,0x000027cc,0xc82f9800,0x70fb803f,
    0x4f98001f,0x3fe21fea,0x3ff9b302,0xff117fd4,0xf901fc4b,0x886b9a81,
    0x200002ff,0x000000f8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xff105ff8,0x02ffc40d,0x3e605ffb,0x0ffea05f,0x50037fc4,
    0x3ffa07ff,0x7c406a84,0x0007f55f,0x01f6ffe4,0x827ff400,0x17d5fff8,
    0x7440dffd,0x0004f98f,0x0bd50000,0x7f100ff2,0x7e4005e8,0x3e03fee1,
    0x4466c43f,0x07fe61ff,0x00fcc9ff,0x20f603f3,0x00000ff8,0x000003e2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f40bff1,
    0x817fe207,0x3fe02ffb,0x40ffea06,0x22005ff8,0xfffa86ff,0x7c403d87,
    0x0005fbdf,0x0006ffe8,0x4c06ffc8,0xffbddfec,0x7f4400be,0x2aaa604f,
    0xaaaaaaaa,0x82aaaaaa,0x640effec,0x5436c03f,0x513e001f,0x43ff03ff,
    0x87fe25f9,0x23fd87f8,0x03f204f8,0xfd9883e2,0x7c400004,0x99999930,
    0x99999999,0x00019999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc40000,0xf01ff605,0x17fdc0bf,0x7d40dff0,0x0bff103f,0x6c1ffc80,
    0x3e22ffcb,0x7f7fc400,0x4c0003ff,0x20000fff,0x2000fffa,0x000affc8,
    0xf9007fd4,0xffffffff,0xffffffff,0x227f440f,0x07ea03fc,0x85d8036c,
    0x37c44ff8,0x1ff88bfa,0x20fe4374,0x20df107e,0x005e5c4c,0x98744000,
    0xeeeeeeee,0xeeeeeeee,0x000000ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x817fe200,0x2ffc07fd,0x7c05ff70,0x0ffea06f,0x2002ffc4,
    0x23e64ff9,0x016e5ff8,0x3fe77fe2,0x3e60001f,0xf10005ff,0x2e6005ff,
    0x0adfddfe,0x0fecfa80,0x40000000,0x01fe46f9,0x01fc409d,0x7fdc0372,
    0xbff07ee1,0x435ff911,0x4c0fa84d,0x07faa2df,0x000007d3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x3f605ff8,
    0x702ffc07,0x37fc05ff,0x2207ff50,0xfe8005ff,0x0ffd9367,0xbff1005d,
    0x0003ffee,0x0fff6fa2,0x013ffa00,0x363bff62,0x203fffba,0x01fd14fa,
    0xf8000000,0xfb81fe45,0xc807dc00,0xdcffb805,0xdfffb81e,0x0ee2ffe8,
    0x77fd41a6,0x06442fff,0x2e5fff30,0x2ee206ff,0x20c1c002,0x99999998,
    0x00000001,0x00000000,0x00000000,0x00000000,0x80000000,0x3f605ff8,
    0x702ffc07,0x37fc05ff,0x2207ff50,0xfb8005ff,0x3ea0f8af,0xf10079bf,
    0x037fecbf,0xfff8aec0,0x1bff2001,0xf877fd40,0x2a0fff54,0x0077444f,
    0xfa800000,0x7c41fe42,0x9b09d003,0x54425cc4,0x3054c01a,0x01008817,
    0x005e65c4,0x6c3ffb80,0xfffc81ff,0x34401cff,0x7fdcbff1,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7c400000,0x01ff605f,
    0x7fdc0bff,0xa81bfe02,0xbff103ff,0x9bff1000,0x099dff0b,0xfd17fe20,
    0x07dc009f,0x2a00dff7,0x88e00fff,0x54df30cd,0x104f983d,0x6cc001dd,
    0x37df1002,0x09fb07d7,0x8fd400db,0xffffffe8,0x0000001f,0x00000000,
    0x3fe827f4,0x6d44575c,0x4c80beff,0x7dc3ffea,0x1fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x1ff605ff,0x7dc0bff0,
    0x81bfe02f,0xff103ffa,0x3ff6000b,0x1fffc81f,0x88bff100,0xf9803fff,
    0x404ffd81,0x2c02fff8,0x3003fee0,0x0ee8809f,0x001ffb00,0x30337b6e,
    0x22199999,0xa95c001c,0x4ccccccc,0x00000000,0x44000000,0xf1be205f,
    0x3ffae203,0x220febbd,0x2aaa66ff,0x000aaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc40000,0x881ff605,0x3fee05ff,0xa81bfe02,
    0xbff103ff,0x17fea000,0x30037fcc,0xfff50dff,0x88274403,0x3fa02fff,
    0x202d404f,0x27400ffb,0x7005e880,0x000000bf,0x00000000,0x00000000,
    0xd5000000,0xd10f9801,0x3bff2600,0x0002880b,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0x3ffa05ff,0x40dff100,0x3fe02ffb,
    0x413fee07,0x20006ff8,0x0ffa02ff,0x80fffc80,0xe882fffe,0x3fffa02f,
    0x99effc81,0x4fb99999,0x0401e440,0x01000200,0x00000000,0x00000000,
    0x00000000,0x40032000,0x0200022a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffe4000,0x02fff880,0x3a01fff5,0xfff304ff,
    0x41bff603,0x0001fffb,0x00fb80d9,0xffffffb8,0xfffffb0d,0x3fffe67f,
    0x7ffff443,0xffff30ef,0xffffffff,0x0000009f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd50000,0xfb31bdff,0x263bffff,0x1deffffd,
    0x9dffffdb,0x3fffffaa,0xffffd70d,0x3fffaa9d,0x44001eff,0x00014401,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_39_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,3,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,1,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-3,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_39_latin_ext_y[560]={ 31,7,7,7,5,7,7,7,6,6,6,10,27,21,
27,6,7,7,7,7,7,7,7,7,7,7,14,14,10,15,10,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,37,7,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,10,15,15,15,15,15,15,6,6,6,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,31,14,8,7,11,7,
6,7,8,7,7,14,15,21,7,4,7,10,7,7,7,15,7,17,30,7,7,14,7,7,7,14,0,0,0,1,
1,1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,12,6,0,0,0,1,0,7,6,7,7,
7,7,8,6,14,14,7,7,7,8,7,7,7,8,6,7,7,7,7,7,8,12,14,7,7,7,8,7,6,8,
2,9,0,7,7,14,0,7,-1,7,1,8,0,7,0,6,7,6,2,9,0,7,1,8,7,14,0,7,-1,7,
0,7,1,8,7,5,-1,-1,7,6,0,7,2,9,0,7,7,6,1,14,7,6,-1,7,7,6,15,0,0,7,
6,7,6,7,6,7,6,0,7,7,14,0,7,7,7,14,2,9,0,7,0,7,7,14,0,7,7,14,0,7,
0,7,-1,7,7,14,0,7,7,10,0,6,7,10,0,7,2,9,0,7,-1,6,0,7,7,15,-1,7,-1,7,
1,0,7,1,8,0,7,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,14,8,8,8,8,8,8,8,8,8,8,8,8,8,3,14,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,7,0,7,0,
7,0,7,-1,4,-1,2,-1,2,-1,2,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-1,-1,7,-1,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_39_latin_ext_w[560]={ 0,5,11,17,15,28,26,4,10,11,14,20,7,10,
5,10,16,10,17,14,17,15,16,16,14,16,4,6,20,20,20,14,31,26,22,22,25,21,19,24,25,11,14,26,
21,31,26,24,19,24,24,16,20,26,26,33,26,25,21,9,10,8,16,19,6,15,18,14,17,14,15,16,18,8,
10,18,9,28,18,16,18,17,12,12,10,18,18,26,18,18,16,11,3,10,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,14,16,18,18,
3,13,11,25,11,16,20,10,25,19,12,19,10,9,6,17,18,5,6,7,11,16,24,24,26,14,26,26,26,26,
26,26,32,22,21,21,21,21,11,11,11,11,25,26,24,24,24,24,24,15,24,26,26,26,26,25,19,17,15,15,
15,15,15,15,22,14,14,14,14,14,8,8,10,10,16,18,16,16,16,16,16,19,17,18,18,18,18,18,18,18,
26,15,26,15,26,17,22,14,22,14,22,14,22,14,25,22,25,18,21,14,21,14,21,14,21,16,21,14,24,16,
24,16,24,16,24,16,25,18,25,18,12,12,12,12,11,11,12,11,11,8,25,16,14,13,26,18,18,21,9,21,
9,21,13,21,12,21,10,26,18,26,18,26,18,22,24,16,24,16,24,16,24,16,30,24,24,12,24,12,24,12,
16,12,16,12,16,12,16,12,20,10,20,15,20,10,26,18,26,18,26,18,26,18,26,18,26,20,33,26,25,18,
25,21,16,21,16,21,16,15,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,19,19,18,19,19,19,
19,19,19,19,19,19,19,19,19,19,24,18,19,19,19,19,19,19,19,19,19,19,19,19,19,29,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,15,11,10,24,
16,26,18,26,18,26,18,26,18,26,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,26,15,32,22,24,17,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_39_latin_ext_h[560]={ 0,25,11,25,29,25,25,11,33,33,15,19,10,4,
5,26,25,24,24,25,24,25,25,25,25,25,18,23,18,8,18,25,33,24,24,25,24,24,24,25,24,24,25,24,
24,24,25,25,24,31,24,25,24,25,25,25,24,24,24,31,26,31,13,2,7,18,26,18,26,18,25,25,25,25,
33,25,25,17,17,18,25,25,17,18,22,17,17,17,16,24,16,33,33,33,6,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,25,30,25,17,24,
33,31,4,25,11,18,8,4,25,2,11,19,13,13,7,24,32,5,8,13,11,18,25,25,25,25,31,31,31,30,
30,30,24,31,31,31,31,30,31,31,31,30,24,31,32,32,32,31,31,15,26,32,32,32,31,31,24,26,25,25,
25,25,24,26,18,24,25,25,25,24,24,24,24,23,26,24,25,25,25,25,24,15,19,25,25,25,24,32,33,31,
29,23,31,25,31,24,32,25,33,25,31,24,32,25,31,26,24,26,29,23,31,25,30,24,31,24,31,25,33,32,
32,32,31,31,31,34,32,32,24,25,31,24,29,22,31,24,31,32,30,17,25,33,33,32,31,32,16,31,31,31,
32,24,25,24,25,24,25,32,24,31,24,32,24,24,25,25,30,23,32,25,32,25,25,18,31,24,31,24,31,24,
32,25,33,25,31,24,32,25,32,29,31,26,24,22,32,25,30,23,32,25,33,26,32,25,31,23,33,25,32,32,
30,31,24,30,23,31,24,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,25,23,23,32,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,18,23,23,23,23,23,23,23,23,23,23,23,23,23,29,18,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,25,31,24,32,
25,32,25,33,28,33,30,33,30,33,30,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,36,33,32,25,33,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_39_latin_ext_s[560]={ 511,506,425,142,99,94,153,507,344,424,304,
152,450,499,493,422,301,198,314,354,189,225,115,159,57,258,507,503,386,486,407,
275,209,106,133,202,348,227,249,291,355,453,19,39,66,88,440,415,157,301,220,
379,254,132,72,467,417,391,461,491,314,353,373,481,465,271,253,243,404,211,99,
318,290,309,45,335,369,171,152,226,396,1,209,258,141,489,470,222,268,20,287,
56,109,140,472,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,511,501,461,
316,451,336,178,149,449,333,413,333,465,499,176,461,437,191,390,355,458,139,201,
506,458,365,401,369,266,241,374,359,287,341,421,242,281,308,156,144,70,422,13,
439,218,1,496,269,57,211,344,319,294,105,80,319,289,222,178,151,26,185,207,
325,208,192,176,160,332,433,428,299,48,33,18,284,275,245,209,106,272,120,395,
378,361,344,491,335,173,267,248,229,38,395,275,130,148,90,260,480,368,435,441,
18,321,286,448,23,72,96,395,343,381,366,126,1,179,33,361,420,35,269,238,
224,355,464,481,134,471,201,92,28,369,65,286,475,57,439,495,128,230,452,384,
95,427,200,449,380,453,51,53,165,249,469,501,163,501,464,215,1,494,486,439,
111,401,314,420,138,1,83,111,136,402,37,1,450,26,1,63,308,1,323,444,
407,397,465,205,467,436,496,284,478,184,64,220,115,241,237,177,117,84,77,1,
71,107,123,397,385,414,196,326,16,241,412,268,249,335,262,374,28,54,362,444,
180,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,318,483,483,53,
483,483,483,483,483,483,483,483,483,483,483,483,483,194,350,483,483,483,483,483,
483,483,483,483,483,483,483,483,69,287,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,117,48,
167,312,1,1,26,239,294,175,182,476,151,50,113,383,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,1,93,468,34,68,219,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483, };
static unsigned short stb__times_39_latin_ext_t[560]={ 1,38,347,225,168,225,199,225,1,1,347,
327,347,356,356,168,199,302,302,225,277,251,251,251,251,225,168,302,327,347,327,
225,1,277,277,251,302,277,277,251,277,277,251,302,302,302,225,225,302,71,302,
225,302,251,251,225,302,302,302,71,168,71,347,194,356,327,168,327,168,327,251,
225,225,225,1,225,225,347,347,327,225,251,347,327,327,327,327,347,347,302,347,
1,1,1,356,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,1,225,136,
251,327,277,1,104,194,251,347,327,347,356,251,194,347,327,347,347,356,302,71,
64,347,347,347,327,251,251,251,251,104,104,104,136,136,136,277,136,136,71,136,
136,136,136,104,136,277,104,38,38,38,104,104,347,168,38,38,38,104,104,277,
168,225,225,225,225,302,168,327,302,225,225,225,302,302,302,302,327,168,302,199,
199,199,199,277,347,327,199,199,199,277,38,1,104,168,327,104,199,104,277,38,
199,1,199,104,277,38,199,104,168,277,168,168,327,136,199,136,277,136,277,104,
225,1,38,38,38,104,136,136,1,38,71,277,168,136,251,136,327,136,251,71,
38,136,347,168,1,1,71,104,71,347,71,71,104,1,251,199,277,168,251,199,
71,251,104,251,71,302,277,199,199,136,327,71,199,71,225,225,327,104,277,71,
277,71,277,38,199,1,199,71,277,71,199,71,168,71,168,302,327,71,199,168,
327,38,225,1,168,38,199,71,327,1,199,38,38,136,71,302,168,327,71,302,
199,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,199,302,302,38,
302,302,302,302,302,302,302,302,302,302,302,302,302,168,327,302,302,302,302,302,
302,302,302,302,302,302,302,302,168,327,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,136,199,
136,277,38,199,38,225,1,168,1,136,1,168,1,136,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,1,1,1,251,1,168,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302, };
static unsigned short stb__times_39_latin_ext_a[560]={ 141,188,230,282,282,469,438,102,
188,188,282,318,141,188,141,157,282,282,282,282,282,282,282,282,
282,282,157,157,318,318,318,250,519,407,376,376,407,344,313,407,
407,188,219,407,344,501,407,407,313,407,376,313,344,407,407,532,
407,407,344,188,157,188,264,282,188,250,282,250,282,250,188,282,
282,157,157,282,157,438,282,282,282,282,188,219,157,282,282,407,
282,282,250,270,113,270,305,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,141,188,282,282,282,282,113,282,
188,428,155,282,318,188,428,282,225,309,169,169,188,325,255,141,
188,169,175,282,423,423,423,250,407,407,407,407,407,407,501,376,
344,344,344,344,188,188,188,188,407,407,407,407,407,407,407,318,
407,407,407,407,407,407,313,282,250,250,250,250,250,250,376,250,
250,250,250,250,157,157,157,157,282,282,282,282,282,282,282,309,
282,282,282,282,282,282,282,282,407,250,407,250,407,250,376,250,
376,250,376,250,376,250,407,364,407,282,344,250,344,250,344,250,
344,250,344,250,407,282,407,282,407,282,407,282,407,282,407,282,
188,157,188,157,188,157,188,157,188,157,399,311,219,157,407,282,
282,344,157,344,157,344,229,344,194,344,157,407,282,407,282,407,
282,340,395,279,407,282,407,282,407,282,501,407,376,188,376,188,
376,188,313,219,313,219,313,219,313,219,344,157,344,241,344,157,
407,282,407,282,407,282,407,282,407,282,407,282,532,407,407,282,
407,344,250,344,250,344,250,157,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,407,438,438,282,438,438,438,438,438,
438,438,438,438,438,438,438,438,407,298,438,438,438,438,438,438,
438,438,438,438,438,438,438,437,305,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,407,250,188,157,407,282,407,282,407,282,407,
282,407,282,407,282,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,407,250,501,376,407,282,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_39_latin_ext_BITMAP_HEIGHT or STB_FONT_times_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_39_latin_ext(stb_fontchar font[STB_FONT_times_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_39_latin_ext_BITMAP_HEIGHT][STB_FONT_times_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_39_latin_ext_s[i] + stb__times_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_39_latin_ext_t[i] + stb__times_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_39_latin_ext_x[i];
            font[i].y0 = stb__times_39_latin_ext_y[i];
            font[i].x1 = stb__times_39_latin_ext_x[i] + stb__times_39_latin_ext_w[i];
            font[i].y1 = stb__times_39_latin_ext_y[i] + stb__times_39_latin_ext_h[i];
            font[i].advance_int = (stb__times_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_39_latin_ext_s[i] + stb__times_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_39_latin_ext_t[i] + stb__times_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_39_latin_ext_x[i] + stb__times_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_39_latin_ext_y[i] + stb__times_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_39_latin_ext_LINE_SPACING
#endif

