// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_43_latin_ext_BITMAP_HEIGHT        442
#define STB_FONT_times_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_43_latin_ext_NUM_CHARS            560

#define STB_FONT_times_43_latin_ext_LINE_SPACING          28

static unsigned int stb__times_43_latin_ext_pixels[]={
    0x00000000,0x5c000080,0x16e6004e,0x2f774400,0xeee98000,0x00000004,
    0x332e0000,0x9d500000,0x0007d900,0x00071017,0x00266540,0x00799300,
    0x65c009f0,0x2ccccccc,0x000b2e00,0x03999300,0x03331000,0x00266200,
    0x4ccc027c,0x00038800,0x07332200,0x00000000,0x00000000,0x00000000,
    0x000bfff1,0x001f6440,0x005fff10,0x540007fb,0x00001fff,0x0001dff7,
    0x003fffa0,0x3fa20000,0xff880003,0x3ffea02f,0x867d4000,0x100001fb,
    0x0007ffff,0x0003bf20,0xffd8013e,0x04ffffff,0x00077540,0x06fffd80,
    0x3fffe800,0x7fffc400,0x5c04f801,0xb5006fff,0xfb000001,0x00000dff,
    0x017ffe60,0x3fff6000,0xff000000,0x400001df,0x00006ffb,0x20000fa2,
    0x2202fff8,0x640000de,0x200001ff,0x00001ffe,0x000bffa2,0x02ec4000,
    0x17ffc400,0x001fff50,0x07fdff90,0x7f7ec000,0xe80000ff,0x013e0005,
    0xeeeeeec8,0xf70003ee,0xffa80005,0x20003ffe,0x00fffffa,0x17ffff60,
    0xff8813e0,0xf3003fff,0x7d400005,0x0003ffef,0x06ffb800,0xffd10000,
    0xf3000005,0x800001ff,0x00000efd,0xa80001aa,0x00fec03d,0x001ffc00,
    0x003ff100,0x09ff3000,0x03800000,0x007b5000,0x640005b7,0x200003cc,
    0x4ff98ef9,0x001c4000,0x000013e0,0x00ff8000,0x3627fa00,0xfd0000ff,
    0x200bff55,0x2ffc9ef9,0xbf9027c0,0x2001ffd3,0xd00005f9,0x01ffb15f,
    0xefe80000,0x22000000,0x800005ff,0x00001ffc,0x0000ffc4,0x0072bb20,
    0x1bee0000,0x013e6000,0x005f5000,0x03fd4000,0x20ae0000,0x0000002b,
    0xb82b8000,0x45e80002,0xb8001fd8,0x7c002b82,0x5c15c004,0x2fe40002,
    0x5c1fb800,0x2fb8004f,0x3a007fa6,0xf01bee0e,0xfb13e209,0x01fdc009,
    0xf707ee00,0x44000009,0x000001ff,0x00007f98,0x00002fe8,0x00002fa8,
    0x005fffa8,0x05fe8000,0x0005c800,0x00004d80,0x0001fb80,0x5c3ff700,
    0x000002ff,0x3fee0000,0x000bfee1,0x01b205a8,0x7dc3ff70,0x013e002f,
    0x3ee1ffb8,0x3ea0002f,0x0f44000f,0x22001fa8,0x406d881f,0x03e980ea,
    0xb826c13e,0x0bfa000f,0x980f4400,0x5000001f,0x0000003f,0x00000fd4,
    0x000007f1,0x800000f6,0x00004fff,0x0006ff80,0x90000048,0x64000000,
    0xf7000004,0x017fdc3f,0x00000000,0x7fdc3ff7,0x200e0002,0x3fee001a,
    0x800bfee1,0x3fee004f,0x000bfee1,0x4001ffc8,0x001c400a,0x202b8039,
    0x4036200d,0x4c03984f,0x03fe6004,0x71002a00,0x0f600000,0x32000000,
    0x16e00004,0x00a80000,0x33220000,0x44000000,0x000007ff,0x00000000,
    0x00006000,0x02a82b80,0x00000000,0x002a82b8,0x70000000,0xf8005505,
    0x5415c004,0x7fec0002,0x00000003,0x00000000,0x000009f0,0x00027f40,
    0x40000000,0x00000002,0x01800006,0x3f660000,0x000000cf,0x7c000000,
    0x980000ff,0x71003001,0x000003bf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0004f800,0x3fa00000,0x1980002f,0x00000440,0x09f00000,
    0x7e400000,0x4c40000f,0x00002019,0x80000000,0x98000018,0x7c000200,
    0x0005ea9c,0x22000000,0x3ffd01eb,0xffd95000,0xf905bdff,0x656fc401,
    0x7776403f,0x1eeeeeee,0x3bbbbaa0,0xddd93eee,0x3ddddddd,0x77777540,
    0xeb883eee,0xd9364c00,0xdddddddd,0x7775403d,0x883eeeee,0xeeeeeeee,
    0xdddd95ee,0x03dddddd,0x77777754,0x3b29f3ee,0xeeeeeeee,0x3bbaa01e,
    0xf03eeeee,0x930001ff,0x37dfffff,0xd71002c8,0x55555503,0x55510155,
    0x9813e155,0x0002cedc,0x10013fea,0xffffffd7,0x641a217b,0xeeeeeeee,
    0x3baa01ee,0x03eeeeee,0xffffd950,0x2e00059d,0x1bdffffe,0x8d5000b3,
    0x000000f9,0x7fecc000,0x05ffb01f,0x4d77f440,0x1dfedb88,0x46b805f5,
    0xfeb8806b,0x2002efff,0x881fffda,0x2effffeb,0x3fff6a00,0x1fffda81,
    0x88fffb50,0x2effffeb,0x3fff6a00,0xfffb8801,0x75c40cff,0x002effff,
    0xf07fff6a,0x7fff5c49,0x36a002ef,0x3e201fff,0x7ecc007f,0xba98bdff,
    0x403fddff,0xa81fffd9,0x0beffffe,0x0bfffb88,0x5df9109f,0x999bffb3,
    0x0fff0059,0x37bff620,0xdff9531b,0x7f5c40fd,0x2002efff,0x001fffda,
    0x3159dfd3,0x003dff95,0x2ab7ffa6,0x05feffec,0x02f84c80,0xcedc9800,
    0xfedb8002,0x7ff901ff,0x013fee00,0x09f9ffd1,0x01f887d0,0x00dfff50,
    0x5007fe20,0x2000dfff,0xedc81ff8,0xfdd81fff,0xfff507ff,0x3fe2000d,
    0x7ffec001,0x37ffd403,0x81ff8800,0x6fffa84f,0x03ff1000,0x2006ff88,
    0xb801effb,0x36e03fff,0x3601ffff,0xfd802fff,0x27f427c2,0x7fffffcc,
    0x02ffe804,0x401fff4c,0xa807ffd8,0x10006fff,0x3ee003ff,0x7fec405f,
    0x06ffc403,0x005fff98,0x007cc798,0x35df9100,0x9999bffb,0x1fff8805,
    0xb003ff70,0x362007ff,0x8b9007ff,0x3fe2007a,0x1fa0004f,0x013ffe20,
    0x7cc07e80,0x3fea01ff,0x09fff107,0x4003f400,0x4401fffc,0x20004fff,
    0xf109f07e,0x740009ff,0x00bff007,0x8003bff2,0xf9804ffa,0x3fe201ff,
    0xf86f803f,0xd807fe44,0x7f4002ff,0x3ffea04f,0x07fe4002,0x013ffe20,
    0xfb007e80,0x7fe4007f,0x007ff605,0x2000bff3,0x004fcbee,0x7cc27f40,
    0x804fffff,0xdf501fff,0x00fff700,0x803fff88,0x03eb9cf8,0x013ffe20,
    0xf8807e80,0x3a0004ff,0x01fff807,0x7c41ffe6,0x3a0004ff,0xfffb8007,
    0x27ffc401,0x3e0fd000,0x04fff884,0x6401fa00,0xfffb805f,0x05fb8000,
    0xb803fff0,0x17cc05ff,0x81ffe27c,0x6c004ffa,0xfff306ff,0x07fa0005,
    0x009fff10,0x7dc03f40,0xfff8006f,0x005ff883,0x22000bf3,0x40002efb,
    0xffb00ffc,0x1fff8005,0xf9805fd0,0x7e4003ff,0xd9800fff,0xff8003ef,
    0x1f60004f,0x0027ffc0,0xfff00fb0,0x03ffc403,0x40009fff,0xffb8007d,
    0x4fff801f,0x7c1f6000,0x009fff04,0xf8803ec0,0x3ffe600f,0x017a0003,
    0x2200fffc,0x1f601fff,0x0dff304c,0x2003ffcc,0xffd07ffc,0x0fc40009,
    0x0027ffc0,0xff980fb0,0xffb8002f,0x027fd40f,0x44000bd0,0xff80007f,
    0x013fea07,0xf303ffd0,0x0dffd005,0xfffafb80,0x80002006,0x20004fff,
    0x9fff007d,0x403ec000,0x3e201fff,0x13ffe07f,0x8007d800,0xf801fffb,
    0x360004ff,0x3fe09f07,0x1f60004f,0x3a04f980,0x5c0006ff,0x03ffd006,
    0x220bff90,0xfff5004f,0x00fffc40,0xc81fff90,0x40000fff,0x4fff802d,
    0xd01f6000,0x22000dff,0x7fdc5fff,0x0016e007,0x0002ffc8,0xf981bfe6,
    0x7ff4007f,0x200bb261,0x2003fffb,0x7fff93f9,0xff000000,0x3ec0009f,
    0x004fff80,0x3fe01f60,0x1ffe201f,0x0004fff8,0x3ee001f6,0xfff801ff,
    0x41f60004,0x09fff04f,0x2003ec00,0x7fcc2de8,0x3440004f,0x801ffe80,
    0xfb81fff8,0x1fff1000,0x003ffe20,0x221fffb8,0x80005fff,0x4fff8029,
    0xb81f6000,0x20002fff,0x3ea2fffc,0x0b3003ff,0x1bffe200,0x07ffa800,
    0x8007ffe2,0x07f71ffe,0x00ffff40,0x3fea5f88,0x3bb2a05f,0x7fc001bc,
    0x1f60004f,0x0027ffc0,0xfff00fb0,0x03ffc403,0x40009fff,0xffb8007d,
    0x4fff801f,0x7c1f6000,0x009fff04,0x98003ec0,0x0bfff26f,0x74006000,
    0xff9001ff,0xe800bd09,0xdff301ff,0x1fffa800,0x0007fff2,0x4fff8000,
    0xd81f6000,0x20001fff,0x3e25fffa,0x07004fff,0x3fffee00,0xfff10001,
    0x03ffe201,0x911ffe80,0xfff0019f,0x83ba001f,0xe987fff8,0x5fffbadf,
    0x013ffe00,0xff007d80,0x3ec0009f,0x100fffc0,0x7ffc0fff,0x01f60004,
    0x007ffee0,0x80013ffe,0x3e09f07d,0x360004ff,0x1dea8007,0x0003fffe,
    0x1ffe8000,0x41fff100,0x7dc002f9,0x03ff705f,0x21fffa80,0x0000ffff,
    0x13ffe000,0x3e07d800,0x20000fff,0x7ec7fff9,0x0001efff,0x9ffffd00,
    0x0fff4000,0x4006ff98,0x76441ffe,0x1fffe200,0x7fc07ec0,0x13fe60ff,
    0x7c013ff6,0x360004ff,0x09fff007,0x7c03ec00,0x3fe201ff,0x013ffe07,
    0xb8007d80,0xff801fff,0x1f60004f,0x4fff827c,0x001f6000,0xfff983d9,
    0x40000007,0x36001ffe,0x001f64ff,0xf5067fdc,0xff70007f,0x1fffe61f,
    0xff000000,0x3ec0009f,0x007fff88,0x07fffc40,0x37fffffa,0x3e600000,
    0x000fffdb,0x2e0bff70,0x7f4001ff,0x00ef881f,0x700dfff5,0x3fffe05f,
    0x2607ff61,0xfff007ff,0x03ec0009,0x0004fff8,0x3ffe01f6,0x81ffe201,
    0x20004fff,0xffb8007d,0x4fff801f,0x7c1f6000,0x009fff04,0xfb003ec0,
    0x0dfff505,0xfe800000,0x3fe6001f,0x0004f88f,0x3fb3ffee,0xff90001e,
    0x037ffd4f,0x3fe00000,0x1f60004f,0x0037ffd4,0x20ffffc0,0xffffffe8,
    0x1fb00003,0x0007fff5,0xf5067fdc,0xffd0007f,0x5c13f203,0x7d405fff,
    0x8ffffa03,0xfff01ffe,0x09fff001,0xf803ec00,0x360004ff,0x01fff807,
    0xff81ffe2,0x1f60004f,0x07ffee00,0x0013ffe0,0x209f07d8,0x20004fff,
    0x0df5007d,0x001bffee,0x3ffd0000,0xbcffd800,0x4416400f,0x009a98ae,
    0x737fe400,0xa800bfff,0xfffffffe,0x09fff01e,0xfb83ec00,0xe80005ff,
    0xfd883fff,0x02ffffff,0xfe93e200,0x7dc0006f,0x01efecff,0x203ffd00,
    0xffb80ffa,0x017e605f,0x7e47fffd,0x003ffe06,0x80013ffe,0x9fff007d,
    0x403ec000,0x3e201fff,0x13ffe07f,0x8007d800,0xf801fffb,0x360004ff,
    0x3fe09f07,0x1f60004f,0xfc827f40,0x000005ff,0x000fff40,0x017fffe6,
    0x009f113e,0x97ff6000,0x0005fffc,0x00bffff6,0x40009fff,0xbfff907d,
    0xfffd0000,0x7fff5407,0x8000dfff,0x3ffee1fc,0x15d10001,0x80001353,
    0xff701ffe,0x0dfff505,0x3fe01ba2,0xf300c1ff,0xfff001ff,0x03ec0009,
    0x0004fff8,0x3ffe01f6,0x81ffe201,0x20004fff,0xffb8007d,0x4fff801f,
    0x7c1f6000,0x009fff04,0x7c403ec0,0xdfff706f,0xe8000000,0xfe8001ff,
    0x44f802ff,0x000003fd,0x7fdc7ffd,0x3ea0006f,0xfff805ff,0x41f60004,
    0x0006fffa,0x801fffe8,0xfffffffb,0x222fc000,0x88005fff,0xd000004f,
    0x3ff203ff,0x07fff883,0xff8801fb,0x75c400ff,0xf800fffe,0x360004ff,
    0x09fff006,0x22036c00,0x3e202fff,0x13ffe07f,0x8006d800,0xf801fffb,
    0x360004ff,0x3fe09f06,0x1b60004f,0x4c1ffe20,0x00006fff,0x00fff400,
    0x803ffd40,0x3bffe24f,0x2abccccc,0x20fff800,0x0007fffa,0x2013ffe6,
    0x20004fff,0xffff306d,0xffff0000,0x3ff22001,0x5000efff,0x1fffb05f,
    0x003fd800,0x03ffd000,0x7fc0bffa,0x801fc87f,0x2206fff9,0x1fff1dfc,
    0x009fff00,0xff803740,0x1ba0004f,0x409fff70,0x3fe07ff8,0x1ba0004f,
    0x07ffee00,0x0013ffe0,0x209f06e8,0x20004fff,0x1fff006e,0x00ffff10,
    0xffe80000,0x07fd0001,0xfffd13e0,0xffffffff,0x3fe2007d,0x07fffc44,
    0x4fff8800,0x004fff80,0x7fc41ba0,0x220000ff,0x98007fff,0x005ffffe,
    0x3ffe60dd,0x3ffe2003,0xabccccce,0x1ffe8002,0x3a03fff0,0x0fea1fff,
    0x827ffd40,0x7ffc1efc,0x05fff800,0x7c01ba00,0x3a0005ff,0xffffd706,
    0xfff109df,0x002fffc0,0xf7000dd0,0xfff001ff,0x8374000b,0x0bfff04f,
    0xf8037400,0xffff01ff,0x40000003,0x90001ffe,0x113e001f,0xfffffffb,
    0x009fffff,0xfff03ff5,0x3e20007f,0xfff804ff,0x81ba0005,0x0001fffe,
    0x0897ffe6,0x1ffff600,0xfe80fe60,0x7ff4007f,0xffffffff,0x3fa003ef,
    0x07ff880f,0x7ccffff2,0x3ffee005,0xf80dfd83,0xfff800ff,0x017e0005,
    0x0002fffc,0x440000bf,0x3ffe06ff,0x017e0005,0x401ffee0,0x20005fff,
    0x3e09f05f,0x3e0005ff,0x05ffb005,0x000ffff6,0x0ffe8000,0x400bd000,
    0x998f444f,0xfdccaaaa,0x837e400f,0x0006fffc,0xf009fff1,0x7c000bff,
    0x0bfff605,0x3fffa800,0xffb000ea,0x00fd803f,0x800bffea,0xffffffd8,
    0x04ffffff,0x3e20ffd0,0x3ffa206f,0x6c006e8e,0x0ffd86ff,0xb001fff0,
    0x22000dff,0xdffb004f,0x013e2000,0x05ff8800,0x4001bff6,0xfb8004f8,
    0xdffb006f,0x413e2000,0x0dffb04f,0x4013e200,0xff102ffc,0x110000df,
    0x000ffd00,0x4f800bea,0xf7000fa2,0x102ff805,0x0003ffff,0xb009fff1,
    0x22000dff,0x3ffe204f,0x3ff60006,0x26002d46,0x3e203fff,0x05fff804,
    0x54cc7a20,0xffdccaaa,0x206fe800,0x7fd405fe,0x26000fef,0x7fcc1fff,
    0x003ffe05,0x0003fff2,0x7e400bea,0xfa8000ff,0x3e200002,0x3fff204f,
    0x02fa8000,0x005ffb80,0x0001fff9,0x413e05f5,0x8000fffc,0xff7002fa,
    0x17ffe403,0x20076000,0xdb0006fe,0x3f64f800,0x201f8000,0x7fdc03fb,
    0xff88005f,0xfffc804f,0x02fa8000,0x0017ffdc,0x2a0fffcc,0x7ffc000f,
    0x3ffff201,0xffffffff,0x3e8801ff,0x4017dc00,0x17f205fe,0x007fff60,
    0xf705ffd0,0x0fffc0bf,0x01fffcc0,0x98007ec0,0xd8003fff,0x2200000f,
    0x3fe603ff,0x0fd8003f,0x27fdc040,0x03fff980,0x9f00fd80,0x00fffe60,
    0x5c003f60,0x7ffc407f,0x0790000f,0x20017fe0,0xa7c002fa,0x4c000ffa,
    0xe802fc07,0x44002fff,0xf9804fff,0xfd8003ff,0x06ffe800,0xa84ffd80,
    0x7ffc003f,0x2aabbe00,0xfbaaaaaa,0x0fd804ff,0xf801f800,0x03fe201f,
    0x007fff10,0xfa82ffd4,0xfffa80ff,0x7fec0111,0x0fee000e,0x01dffb00,
    0x0001fdc0,0xb003fe60,0x5c001dff,0x07fec03f,0x6c003ff7,0x2e000eff,
    0xd813e03f,0x2e000eff,0x0bfa003f,0x03bffe60,0x7c00b700,0x8855401f,
    0xb4f8005e,0x7cc009ff,0x4003b602,0x001fffe8,0x4013ffe2,0x2000effd,
    0xff3003fb,0x7fd4005f,0x02ffa80e,0x540bff30,0x3ff6002f,0x03fea00f,
    0x77dcf300,0x2a017e61,0x7ffcc03f,0xdffb803f,0x3bfff100,0x2ffffb62,
    0x3fe200e9,0x7e4400ef,0xfff88006,0x37e4400e,0x41bfb000,0xff8803fa,
    0x7e4400ef,0x27ffc406,0xf88009f9,0x64400eff,0x1027c06f,0x8801dfff,
    0x3e6006fc,0x3ffa2005,0x85d8802e,0x17e60cfb,0xdfdfff90,0x329f0001,
    0x881befff,0xdb103fc9,0xffe88001,0xfff1002f,0x3ffe2009,0x37e4400e,
    0x0fffa600,0x4037fee0,0x4403fffa,0x1ba00efe,0x07fff500,0x30027fec,
    0x67fff45f,0xf5000ed9,0x71bf1019,0x4c417bff,0xfd802ffd,0xfb4fffff,
    0xd1003fff,0x51159fff,0x000bffd9,0x567fff44,0x5ffeca88,0x3ffe2000,
    0x2005e9bf,0x8acfffe8,0x05ffeca8,0xd15fffb0,0x3fa2000d,0xca88acff,
    0x4f805ffe,0x67fff440,0xffeca88a,0x00fea005,0x3bfff620,0xfeca89ab,
    0x39fffd04,0xffd801dd,0xf0001fff,0x7ffffe49,0x1effffff,0x80009d10,
    0x102efffb,0x003bfff7,0x567fff44,0x5ffeca88,0x33ff2000,0x17fed441,
    0x37fffea0,0x3bfea21b,0x000fe601,0xfc81bffa,0x9881beff,0x7ff4c3fc,
    0xc88004ff,0x9107743e,0xfffddfff,0x3ee20019,0x3fea2fff,0x3ae2001e,
    0xffffffff,0xb880002d,0xfffffffe,0xb80002df,0x002fffff,0xffffeb88,
    0x002dffff,0x37ffffe6,0x3ae20000,0xffffffff,0x009f002d,0xfffffd71,
    0x2005bfff,0x40001de9,0xfffffecb,0x3e601cff,0x3004ffff,0x00039fff,
    0x3ff2227c,0x02efffff,0x880000ec,0xeeefffeb,0x000cffff,0xffffd710,
    0x005bffff,0xdfffb300,0x0019dffd,0xffd953d5,0x007fffff,0xf90001fb,
    0x7fe405ff,0xffffffff,0x02a201ef,0x0320c000,0x00abba88,0x18804c00,
    0x6554c000,0x00000aac,0x55995530,0x53000001,0x2a600001,0x000aacca,
    0x0006ee60,0x59955300,0x01a80015,0x566554c0,0x0004000a,0xabb98800,
    0x02a20009,0x00004c00,0x353100d4,0x00000001,0x57975510,0x98000013,
    0x00aaccaa,0x77510000,0x81980013,0x009acba9,0x30005f98,0xc880dfff,
    0xefffffff,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x74000000,0x3fe0003f,0x531002ff,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x001dff91,0x7fffff50,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffc80,0xffa802ef,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80001200,0xba880001,0x0bceefec,0x33320000,0x00000002,0x00000000,
    0x2aaa2000,0x00000001,0x00000000,0x99950000,0x26000001,0x0000007c,
    0x00000098,0x80000000,0x00044019,0x00000000,0x00000000,0x776c0000,
    0x0000000d,0x00000000,0x0002e980,0x00f6ee44,0x55efe4c0,0x0fbae661,
    0xffff7000,0xf9800001,0x000004ff,0x001fffd8,0x1fffc800,0xffe80000,
    0x3200000e,0x13ff25ff,0xff100000,0x800009ff,0x0007ffea,0x3ffaa000,
    0xf000001d,0x0fffc3ff,0x3ff26000,0x641befff,0x3fff6002,0x26000000,
    0x00005fff,0x002fffcc,0xfff88000,0x40000002,0x0005fff9,0x0009fff3,
    0x40000fe4,0x400bf36e,0x2000cfe9,0x88000ed9,0x005ffeff,0x02ffe400,
    0x7fc40000,0xf000002f,0x000003ff,0x0003fff3,0x3a0ffd80,0x000000ff,
    0x0fffffe4,0xffcc8000,0x0000007f,0x0bb317f1,0xbff10000,0x00027fcc,
    0x17bfffb3,0xfbbff753,0x7ff44007,0x2e000002,0x800006ff,0x00005ffb,
    0x00ffea00,0x3ee00000,0x7d40006f,0x3fb0007f,0x25f90000,0x9f7005fa,
    0x02fa8000,0xffc9fe40,0x3fa00001,0x8000000e,0x00003ffa,0x0007ff30,
    0x00bfee00,0xf0ffe000,0x8000005f,0x6fe88ef8,0x7fd40000,0x70000007,
    0x0000f88d,0xf507fd40,0x3ee0001f,0xffb801ef,0x7fc4003f,0x3a000005,
    0x800000ef,0x00000efe,0x0017f600,0x77f40000,0xffc80000,0x00fdc001,
    0x107fc400,0x005fb100,0x4007e200,0x037d43f9,0x00ff8800,0x9f900000,
    0x7dc00000,0x3a000004,0x8800003f,0x002fc46f,0x2076c000,0x200002fd,
    0x00007ff9,0x05f09900,0x42fb8000,0xf90002fc,0x7d4001df,0x7f98004f,
    0xff100000,0xf1000001,0x0000001f,0x000006f8,0x001ff100,0x0027ec00,
    0x200009f5,0x744006fb,0x5400001f,0x102d800e,0xf700005d,0x40000003,
    0x4000005f,0x2000005e,0x000004f8,0x00fa83f5,0x074c0000,0x200006b8,
    0x00007ff8,0x3d41f300,0x42ec0000,0xff70005d,0xbf70001f,0x007ea000,
    0x007ee000,0x00fdc000,0x3aa00000,0x00000000,0x000003f7,0x3fe200dd,
    0xbfd00000,0x001fd800,0x98099000,0x80004802,0x0000002d,0x000001a6,
    0x800000d1,0x2000005a,0x0003c83b,0x29803800,0xfff10000,0x74000000,
    0x0003fdcf,0x00f80e80,0x03fff980,0x80017a00,0xd800004c,0x36000002,
    0x80000002,0x0000000b,0x00000b60,0x7ec00744,0xff500005,0x01fdc007,
    0x01f10000,0x20000000,0x40000001,0x40000009,0x40000008,0x20000009,
    0x00000301,0x00000000,0x0001ffe2,0x039b5000,0x0c060000,0x06ffe800,
    0x00035c00,0x0a00000a,0x00500000,0x00000000,0x00a00000,0x80110000,
    0x00003ff8,0x26005ffb,0x0098006f,0x4c007901,0x10000200,0x00000003,
    0x00000000,0x80330000,0x00000008,0x00000000,0x7ff88000,0x00000000,
    0x0c400000,0x9fff3000,0x00688000,0x00000000,0x00000000,0x00000000,
    0x00440000,0xf9000000,0xf500001f,0x3fa001ff,0xdbf91000,0x307fd51b,
    0xfffeb80d,0x00b31bdf,0xffffeca8,0xdd5002ce,0x8009dddd,0xeeeeeeea,
    0x5555552e,0x55510155,0x32600155,0x1befffff,0xdddd9164,0x03dddddd,
    0x77777754,0xdddd53ee,0x74cddddd,0xeeeeeeee,0xddddd304,0xfff103dd,
    0x00bdeb98,0xddddddd9,0x75403ddd,0x3eeeeeee,0xfffd9500,0x640059df,
    0x80002fff,0x3bbbba21,0xeeeeeeee,0x03eeeeee,0x3bbbbbb2,0xeeeeeeee,
    0xdd10deee,0xdddddddd,0xdddddddd,0x76c0007d,0xeeeeeeee,0xeeeeeeee,
    0x80000eee,0x7740004d,0xeeeeeeee,0x0007ff85,0x3ffffb26,0x9f301ccc,
    0xa83bea00,0x7881ffcc,0x55bffd30,0x0bfdffd9,0x2b3bfa60,0x1effca98,
    0xfffda880,0xfda8003f,0x3faa0bef,0x880befff,0x400bfffb,0x8bdfffd9,
    0xfddffba9,0x7fff5c43,0x36a002ef,0xfc981fff,0xf702ffff,0x8019ffff,
    0x00cfffa8,0x7fe4fff1,0x7101efff,0x05dffffd,0x0fffed40,0xacefe980,
    0x1effca98,0x00ffff80,0xff930000,0x999999ff,0x09fffdb9,0x777fffec,
    0xfeeeeeee,0xfc983fff,0xcccccfff,0x4fffedcc,0x7fdcc000,0xcccdffff,
    0xfffeeccc,0x3fc40000,0x7fdc4000,0xfa81cfff,0x32a0006f,0xccceffdc,
    0x5003fb00,0x1bffa0df,0x6ffc40f8,0x0bfff300,0x880bff70,0x32003ffd,
    0x8001ffff,0x3f600ff8,0x2fd802ff,0x01effb80,0x503fffb8,0x2000dfff,
    0x7ec01ff8,0x7fdc04ff,0x3f2000ff,0xbbffc405,0xffffffff,0x1bffea00,
    0x00ffc400,0x4405ffb8,0x3e603ffd,0x000007ff,0x000fffd8,0x5ff40bf7,
    0xbfff7001,0x00fffd80,0x0000bf70,0x0ffff3f6,0x0007f620,0x0005ff90,
    0x813fff20,0x00005ffd,0xf1009ff7,0x01ff700d,0x1e813ff2,0x2600ffec,
    0x7fec05ff,0x17ff2003,0x0ffffc80,0x4407e800,0x6f803fff,0x00effc80,
    0x4413fea0,0x20004fff,0xfff9807e,0x0fffe805,0x1003f200,0x4c3d5fff,
    0x2205fffe,0x20004fff,0x7ffb007e,0x82ffe400,0x0006fffa,0x0fffc800,
    0x3f817200,0x3fffe600,0x07ffe400,0x0000b900,0x0fffe3ba,0x20001f80,
    0x0006fff8,0x405fff70,0x00004ffe,0xf7005ffb,0x02ff9807,0x1e80bff6,
    0x4c017fe2,0x1bfee05f,0x00fffe00,0x037fffdc,0x7dc03740,0x017cc05f,
    0x0003ffee,0x7fc417ee,0x1fa0004f,0x403fff40,0x2002fffb,0xfff8805e,
    0xfffe880d,0x09fff101,0x5c03f400,0xff8006ff,0x6fffb83f,0xfb800000,
    0x1a6000ff,0x7ff40078,0xfffb802f,0x001a6000,0x3fe2bea0,0x00b6003f,
    0x1ffffb80,0xfffa8000,0x00fffe01,0x007ffc00,0x3fa007e4,0x203ff405,
    0x013fea0f,0xfff305e8,0xfff70005,0xffff7001,0x06e800bf,0x201fff88,
    0x7ffcc07d,0x817a0003,0x20004fff,0xfff7007d,0x5fff8803,0x1007f300,
    0x7dc01fff,0x3ffe04ff,0x01f60004,0x0005fff3,0xfc81fff7,0x000005ff,
    0x000fffb8,0x20058834,0x7005fffc,0x68001fff,0xf16d8000,0x154007ff,
    0xffffd000,0xff500009,0x3ffe203f,0xff980002,0xc80fb007,0x3fe201ff,
    0xff71e205,0xe82dc00f,0xf10006ff,0x5f700bff,0x4007ffff,0xbff9006e,
    0xfd013e20,0x6b8000df,0x0013ffe0,0xff1007d8,0xfffb009f,0x2003ee00,
    0xfe807ff8,0x13ffe05f,0x7407d800,0xf10006ff,0xfffb8bff,0xb8000006,
    0x00000fff,0x3fe60071,0xff7000ef,0x0000001f,0xfff12f98,0x20000007,
    0x0fffdbf9,0x7ffd4000,0x05fff301,0x0bff7000,0xff881fa0,0x01ffd405,
    0x3fffa8d5,0xff70b300,0x7e40005f,0x4fdc02ff,0x001ffffa,0x3fe200dd,
    0x200fb81f,0x0004fff9,0x9fff0344,0x003ec000,0xf700fffb,0x0bd005ff,
    0x201ffe20,0x3fe06ffc,0x1f60004f,0x002fffb8,0x98bfff20,0x00006fff,
    0x00fffb80,0x74400000,0x2e001fff,0x00000fff,0xff137400,0x0000007f,
    0x3ffea3f6,0x7fd40003,0x3fff501f,0x7ffb0000,0xfb81be00,0x07fec02f,
    0xfff88990,0xfb07004f,0x540003ff,0x7dc05fff,0x01ffff71,0x7e400dd0,
    0x6405e84f,0x80002fff,0x013ffe01,0x2e007d80,0x7e402fff,0x17cc05ff,
    0x807ff880,0x3fe07ffb,0x1f60004f,0x001fffd8,0x897ffea0,0x00007fff,
    0x00fffb80,0x90000298,0xb8009fff,0x29800fff,0x21fa8000,0xb803fff8,
    0x93e20000,0x40006ffe,0xf501fffa,0xf00005ff,0xbf1003ff,0x2a03ff40,
    0x40fc06ff,0x01effffd,0x00ffff80,0x1fffe600,0x7fec3f70,0x037400ef,
    0x4c1fff10,0x7fffc02f,0x7c000000,0x360004ff,0x3ffe2007,0x7ffffc05,
    0x4003f200,0xfa807ff8,0x13ffe07f,0x3e07d800,0x20000fff,0x7fc7fff9,
    0x000001ff,0x4007ffdc,0xfa80003b,0xfb8006ff,0x03b800ff,0x7c45e800,
    0x00d803ff,0xfb87f200,0x2a0001ff,0xff301fff,0xf980007f,0x413e007f,
    0x7f405ff9,0xe81aa04f,0x00dfffff,0x00ffff10,0x0ffff880,0xffd07ee0,
    0x006e80bf,0x0fb27fec,0x007fff98,0x4fff8000,0x001f6000,0x2601fffb,
    0x202fffdf,0x3fe2005e,0x06ffa807,0x80013ffe,0xffff107d,0xfff88000,
    0x0ffff60f,0xff700000,0x007d001f,0x1ffff880,0x0fffb800,0x40003e80,
    0x7ffc41fa,0x0007cc03,0xfff88bf0,0x3fea0005,0x7fff101f,0x5ffb8000,
    0x7d417e00,0x3ffee03f,0xe880ba02,0x03ffffff,0x006fffa8,0x01ffff80,
    0xfff107ee,0x0037407f,0x3e23ffe6,0x37ffd404,0x7fc00000,0x1f60004f,
    0x05fff500,0x17ffe3f2,0xf10017cc,0x9ff500ff,0x0027ffc0,0x3fea0fb0,
    0xff80006f,0x3ffe21ff,0x00880006,0x3333fff7,0x07fb3333,0x3fffd800,
    0x3fff7000,0xb3333333,0x5e80007f,0x99cfff88,0x0ffb9999,0xb05f5000,
    0x20001fff,0x3e01fffa,0x640004ff,0x1ba003ff,0xda81ffdc,0x01ae07fe,
    0x3fffff62,0x3fee02ff,0xfe80005f,0x07ee03ff,0x40bfffe6,0xffd8006e,
    0x7dc00fbc,0x000006ff,0x0004fff8,0x3fe001f6,0x3f2bf05f,0x00fc80ff,
    0x201ffe20,0x3fe03ffb,0x1f60004f,0x002fffdc,0x21ffff40,0x0002fffc,
    0xfffb80ec,0xffffffff,0x2e0003ff,0x20005fff,0xfffffffb,0x03ffffff,
    0x2207ee00,0xffffffff,0x000fffff,0x3fe60dd0,0xff50003f,0x2ffec03f,
    0x07ffa000,0xff707d80,0xdfd1d50b,0xa8007ea0,0xdffffffe,0x05fffc80,
    0x3fffe800,0x7d407ee0,0x06e81fff,0x5ffff980,0x05fffc80,0xfff80000,
    0x01f60004,0x503fff20,0x0fffe65f,0xff10017e,0x0ffd801f,0x0013ffe0,
    0xfff907d8,0xffd0000b,0xffff887f,0x40790000,0x9999fffb,0x03feba99,
    0x1ffff100,0x7ffdc000,0xba999999,0xf10003fe,0x33ffe20b,0xfba99999,
    0x3f98000f,0x001fffa0,0x700fffd4,0x44000bff,0x7dc007ff,0x32fff881,
    0x217fe1d9,0x400442fa,0xfffffffb,0x037ffd40,0x0ffff400,0x7e403f70,
    0x03740eff,0x02fffe80,0x006fffb8,0x4fff8000,0x001f6000,0xf90bffe6,
    0x7cc6ffe8,0x7ffc4002,0x00ffe201,0x40009fff,0xdfff507d,0xfffd0000,
    0x1dfff303,0x5c05b800,0x74400fff,0xfffd0003,0xffb80005,0x01f4400f,
    0xaaacfb80,0x03fffbaa,0x6c0007cc,0x3ffea00f,0xfffa8002,0x01bfe601,
    0x004ff980,0xffe827c4,0x3f60efff,0xb03fb31f,0x3ff22005,0x3e60efff,
    0xf80007ff,0x3ee00fff,0x2fffec01,0x7d4001ba,0xfff3007f,0xf000000d,
    0x6c0009ff,0xbfff0006,0x7ffe44f8,0x22001f20,0x3f205fff,0x04fff806,
    0x7cc1b600,0xf80007ff,0xfd100fff,0xbb1005df,0x01fff700,0xf9000770,
    0x70000bff,0x77001fff,0xffff1000,0xffffffff,0x8001f007,0xfff804f8,
    0xfffa8005,0x007ff401,0x002ffb80,0xffb307d8,0xffff507d,0x00d5017f,
    0xbffffd30,0x007fffc4,0x0ffff100,0x74401fb8,0x01ba4fff,0x1003fe80,
    0x0000ffff,0x009fff00,0xc8003740,0x83f50fff,0x17e3fff9,0x3fffe200,
    0x0077dc0c,0x00027ffc,0x3ffe20dd,0x3e20000f,0x7ec407ff,0xa89abeff,
    0xf7004fec,0x075001ff,0x0ffff980,0xfffb8000,0x8003a800,0x3fe200fc,
    0x000d803f,0x7fffffe4,0xffffffff,0x7ffd4001,0x017fd401,0x0007fd80,
    0x00cc05f3,0x8ba0054c,0x3ff60008,0x0ffff47f,0xbfff3000,0x9801fb80,
    0x0dd2ffff,0x0007e400,0x0003ffff,0x05fff800,0x4001ba00,0x0fb3fff9,
    0x17cdbffa,0x57ffc400,0x04fedefe,0x0017ffe0,0x3ffa06e8,0x3e60001f,
    0xd97005ff,0x9fffffff,0x7ffdc003,0xe8800000,0x00002fff,0x0001fff7,
    0x100fe200,0x00007fff,0x2aaabbe0,0xffbaaaaa,0x7fd4004f,0x05fe801f,
    0x000bfd00,0x0000036c,0x001d46b8,0xfd87fff6,0x2a0002ff,0x7dc03fff,
    0xffff5001,0x74000dd3,0x7ffec005,0x7c000003,0x3e0005ff,0x3ffa0005,
    0xff704f8e,0x2000f93f,0x75317ff8,0xbfff0003,0xb02fc000,0x40005fff,
    0x8003fffa,0x009abeb8,0x00fffb80,0xfffc8000,0x3ee00004,0x000000ff,
    0xff8801fb,0xa800003f,0x3ff6002f,0x3fea000f,0x07fa801f,0x002ff880,
    0x00013e20,0x5a85f300,0x1fffcc00,0x000dfff1,0x5c037fec,0x3fee001f,
    0x50006eff,0xff88005f,0x0880006f,0x000dffb0,0xb80013e2,0x101fbfff,
    0x009f9fff,0x001ffe20,0x006ffd80,0x7c409f10,0x360006ff,0x3a0006ff,
    0x7dc0001e,0x030000ff,0x001bffea,0x7ffdc0e2,0x4c030000,0xfff8803f,
    0x20088003,0x7fd4006e,0x3fea003f,0x07fb001f,0x0007fa80,0x00002fa8,
    0x1f505f50,0x41fff800,0x8002fffb,0xb801fff9,0x7fec001f,0xdb0006ff,
    0x3fff2000,0x80ec0002,0x8000fffc,0x220002fa,0x7406ffff,0x0002ffff,
    0x0000fff1,0x0007ffe4,0x3ee017d4,0xf98002ff,0xf70001ff,0x5c0003ff,
    0xc8000fff,0x1ffff883,0xf702c800,0x790001ff,0xf88036c0,0x0e8003ff,
    0xd0007f30,0x7d400dff,0x3fa001ff,0x013f2000,0x0017dc00,0x540bea00,
    0x7ffc003f,0x006ffe80,0x7004ffd8,0xffd0003f,0x5f5000df,0x3ffe2000,
    0x0790000f,0x001fffcc,0x200007ec,0x5c03fffe,0x20007fff,0x00007ff8,
    0x000fffe6,0x3fa003f6,0xffd8006f,0x7fdc0004,0x3fee0004,0x07cc000f,
    0x001fffec,0xfff701f8,0x00f98001,0x3e2007f5,0x364003ff,0x90001fb0,
    0x2a005fff,0x22001fff,0x7415105f,0x2a00000e,0xf700004f,0x017fd403,
    0xf305ff98,0x7d4005ff,0x3f7000ef,0xdfff1000,0xbd10aa80,0xfff98000,
    0x02dc000e,0x00077fec,0x700007f7,0xf8803fff,0x220004ff,0x400007ff,
    0x2000effd,0xff3003fb,0x7fd4005f,0xff80000e,0x3ff20003,0x4374000f,
    0x0006fffb,0x7ffe40f9,0x88374000,0x3fe6007e,0x0fe6003f,0x98002fcc,
    0xf5006fff,0xd88005ff,0x5f54fd85,0xdd100000,0xbf710005,0x3fffa803,
    0x0077f440,0x7007ffd3,0x64001bff,0xff30002f,0x77ffe40d,0x880000ef,
    0x8802effe,0xfff1005d,0x6fc8801d,0xdff10000,0x007ff600,0x00fff880,
    0x3ffe2000,0x37e4400e,0x0fffa600,0x0037fee0,0x003fea00,0x01fffd80,
    0xf887fb10,0x44000fff,0x3ff606fc,0x7fb1001f,0xa8017f20,0xf7004fff,
    0x00ffa03f,0x02ffff80,0x003fffb8,0x9afe8b70,0x4000004f,0x3009cfeb,
    0x2003bf95,0x1bdffffa,0x007bfea2,0x220e7fe4,0x4002ffda,0x0001dffa,
    0x7fec0df7,0x00001fff,0x2fbfff62,0x4feca89a,0x7fff4400,0xfeca88ac,
    0x6c00005f,0x0ff5003f,0x2fffa800,0x7f440000,0xca88acff,0x20005ffe,
    0x5441cffc,0x80002ffd,0x0002dfdb,0x2fbfffe6,0xccbaaaaa,0x7ff40fff,
    0xccccccef,0xffdccccc,0xffff305f,0x7555557d,0x901fff99,0xd3003fff,
    0x5559ffff,0xdffd9955,0x01dff910,0xfffff500,0x3ffaa017,0xb30000ef,
    0x00177f4c,0xfd930000,0x9bfffddf,0xa9ea8003,0xffffffec,0xfd98003f,
    0xceffeeff,0xfffd1000,0x000bdfff,0x7ffcc0d9,0x7000001c,0xffffffd9,
    0x2200039f,0xffffffeb,0x00002dff,0xf1000fa8,0x3f6e0009,0x003cffff,
    0x3ffae200,0x2dffffff,0xffd98000,0x0ceffeef,0x01550000,0x3ffba200,
    0xffffffff,0x5fffffff,0x7fffffdc,0xffffffff,0x23ffffff,0xfffffee8,
    0xffffffff,0x7d45ffff,0x83ffffff,0xffffffed,0xffffffff,0x7fe44fff,
    0x802effff,0xfffffffa,0x3fffa3ff,0x05efffff,0x00001000,0x35330000,
    0x30330000,0x00135975,0x13775100,0x00000000,0x00098028,0x2e620000,
    0x000009ab,0x2ab32aa6,0x1c000000,0x40006e00,0x99999999,0x53000001,
    0x00155995,0x2eea2000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3b732a20,0x3eeeeeee,0x06600000,0x00000660,0x988000c4,0x10999999,
    0x13333333,0x01006000,0x00018800,0x007200ec,0x6fff8800,0x0d880000,
    0x000002c0,0x00007997,0x54000000,0xeeeeeeee,0xeeeeeeee,0x4a82eeee,
    0xc8002440,0x80015401,0xc8802009,0x1000002f,0x00005999,0x00000000,
    0x06fff880,0x4c022000,0xfffb0000,0xf7557fff,0xffd80357,0x03e2001f,
    0x00000f88,0xdffffb95,0x3ffa0059,0xf93fffff,0x0bffffff,0x83fffb80,
    0xdf700048,0x300019fb,0x0017205f,0x7ffffb00,0x3d900000,0x00005d10,
    0x0bfffe60,0xffd80000,0x3f20000f,0xffffffff,0xffffffff,0x1bb03fff,
    0x20003f30,0x00d703f8,0xdffffeb8,0xfb50b31b,0x000005ff,0x003ffff2,
    0x06fff800,0x07fff200,0x7fffec00,0xffb80003,0x000ffec3,0xffffffb1,
    0x8007cc3f,0xe8002fff,0xfdb99bdf,0xfe880006,0xfeca9bcf,0x7ff400ef,
    0x31099999,0x0bff3333,0x7ffffe40,0x2000ee2e,0x03be21ed,0xfb13f600,
    0x7cc00001,0x000fffbf,0x222ff800,0x2000006e,0x006ffefe,0x3ffa2000,
    0x3bf20002,0x10bfff01,0x3e609fd5,0x0013e61e,0x7e41bf70,0xbffd3001,
    0xfdffd955,0xfffdca8b,0xf9800002,0x0004ffef,0x001fff50,0x0017ffc0,
    0xfffbff98,0x7ff40000,0x013ffe67,0x7fffff44,0x03e61fff,0x000ffe60,
    0x7fffffcc,0x5c0001ff,0x36600dff,0x1ffa03ff,0x017fe200,0xfffc8ae8,
    0x4001fdff,0x04fe83fb,0xd8eff880,0x7400003f,0x009fb11f,0x39ff5000,
    0x000003fd,0x1ffd57ee,0xff100000,0x076c000b,0x440bfff0,0x2fff204e,
    0x80000ffa,0x05fc9eff,0x201bff10,0xf105fff9,0x000005ff,0x07ff25fb,
    0x07ff2000,0x03ff9800,0x7443ba00,0x7e40004f,0x01fffc5f,0xffffffc8,
    0x03e61fff,0x00013f20,0x5ffffff5,0x4ffd8000,0x417ff600,0xf88007fe,
    0x9873005f,0x003ffffe,0x6fe80fe8,0xffff9000,0xea80000f,0x0001fc80,
    0x5ffffe80,0x9f100000,0x0000fe98,0x001fe600,0x7ffc03d8,0xf1025405,
    0x0007ffff,0x3ffffea0,0x03ffb000,0x3a05ff98,0x400002ff,0x02fd42fa,
    0x0017fc00,0x80017f20,0x00fc80eb,0x3032e200,0x7ff40079,0x1fffffff,
    0x17a003e6,0x665c4000,0x7dc0000b,0x7fc4006f,0x007fe83f,0x3005ff88,
    0x00732a03,0x7f41fe20,0xfff10005,0xd800005f,0x00016a00,0x03fffe60,
    0x82640000,0x000004d8,0xd80017d4,0x02fffc00,0xfff70162,0xfe80000d,
    0xff1004ff,0x817e600b,0x00002ffe,0x02e980f4,0x000fe600,0x88001ba0,
    0x0016a00d,0xff800000,0xffffffff,0xd3003e61,0x00000001,0x0bffe600,
    0x03ffea00,0xf1000ffd,0x000000bf,0x303ff100,0x4c400017,0x08000019,
    0x00000080,0x00001333,0x02e00e20,0x09700000,0x3fe00600,0x9801805f,
    0x40000099,0x2a001998,0x17a004ff,0x0002ffe8,0x091006a0,0x00025c00,
    0x10000744,0x00000200,0x7ffcc000,0x1fffffff,0x011003e6,0x00000000,
    0x00037ff4,0x7fe8bfff,0x05ff8800,0xd0000000,0x000001df,0x00000062,
    0x000000c4,0x00000000,0x00000000,0x7c000005,0x300005ff,0x20000401,
    0xf7044019,0x02dc00ff,0x00005ffd,0x18000000,0x00110000,0x00000000,
    0xfff00000,0x3fffffff,0x400007cc,0xeeeeeeec,0x3aa01eee,0x3eeeeeee,
    0x000bffee,0x3a2fffd8,0xff88007f,0xdddddd95,0x5403dddd,0xeeeeeeee,
    0x00effc83,0xffeca800,0x0002ceff,0xffffd950,0x3b20059d,0xeeeeeeee,
    0x3bbaa01e,0x003eeeee,0x00000000,0x00000044,0x80017ffe,0xbdffffeb,
    0xc9800b31,0x1befffff,0x7fff5164,0xfd816600,0x9100002f,0x0000003f,
    0x3f260000,0x77777640,0x201eeeee,0xeeeeeeea,0x5555553e,0x55510155,
    0x3ff60155,0x1fffffff,0x3bba03e6,0x5eeeeeee,0x3ffffae2,0x3f6a002e,
    0xfffe81ff,0x3fea0001,0x001ffa5f,0xeb897fe2,0x002effff,0x007fff6a,
    0x0001dffd,0x22b3bfa6,0x01effca9,0x59dfd300,0x3dff9531,0xfffd7100,
    0x6d4005df,0x775c1fff,0xeeeeeeee,0x3bbbaa01,0x0002eeee,0x00000136,
    0x3000bfff,0xd955bffd,0x200bfdff,0x8bdfffd9,0xfddffba9,0x13fffe23,
    0x5ffb01c0,0x55555550,0x1fffda83,0x3bba2000,0xeeeeeeee,0xffea8002,
    0xffeb880f,0x2a002eff,0x7541fffd,0x80beffff,0x00bfffb8,0xfffffff7,
    0x807cc3ff,0xcfffffb8,0x0dfff501,0xf80ffc00,0x20000fff,0x3fa6fff8,
    0x5ff88007,0x006fffa8,0x3003ff10,0x8005ffff,0x6c405ffb,0x7dc003ff,
    0x7fec405f,0xdfff5003,0x07fe2000,0x7fffff4c,0xfc8800af,0x0000bfff,
    0x00001fe2,0x800bfff0,0xf300dff8,0xff700bff,0xfff7003d,0xeffffd87,
    0x3ff60001,0xcfffe982,0x3ffb2e1b,0xc980001f,0x09bfffff,0xffecb800,
    0x3ffea00f,0x3ff10006,0x017ffec0,0x3a2017ec,0xffffffff,0xf9003e61,
    0xff8809ff,0x1fa0005f,0x003fffc4,0xe87fffc0,0xff88007f,0x04fff885,
    0x5401fa00,0x003ffffe,0x64007ffb,0xffb005ff,0x2ffe4007,0x027ffc40,
    0xf900fd00,0xf0007fff,0x900003df,0x000005ff,0x2002fffc,0x7cc01ffd,
    0x77fe405f,0x13fea000,0x37fffffa,0x2ffd8000,0x8801df90,0x00001fff,
    0x000ffffa,0x007ffcc0,0x0009fff1,0x3fe203f4,0x006f803f,0xffffffb1,
    0x2007cc3f,0xf802fffb,0x360004ff,0x0dfff507,0x3ffff000,0x22001ffa,
    0xfff885ff,0x01fa0004,0x7fffcd6a,0x037fdc04,0x201fffc0,0xf8006ffb,
    0x7fc403ff,0x1fa0004f,0x027ffec0,0x0007fe20,0x01bffe20,0x5fff8000,
    0x017fe200,0xff702fcc,0xbf70001f,0xfffffd10,0xffd8007f,0x2004fa82,
    0x00001ffe,0x0007fff2,0x200fff80,0x0004fff8,0x3fee01fa,0x0017cc05,
    0x3ffffff2,0xf5003e61,0xfff003ff,0x83ec0009,0x0005fffb,0xfd2fffe8,
    0xbff1000f,0x0013ffe0,0x22dc07d8,0x303fffe8,0x70005fff,0x3e601fff,
    0xfb8002ff,0x7ffc00ff,0x01f60004,0x00ffffc4,0x00007f70,0x007fffee,
    0x2fffc000,0x009ff500,0xfff982f4,0x417a0003,0xffffffd8,0x5ffb002f,
    0x74004fb8,0x200001ff,0x0000fffb,0xf003ffe0,0x6c0009ff,0x1fff8807,
    0x98001f60,0x3e61fcba,0x0fffd400,0x0027ffc0,0x3ff20fb0,0xfe80005f,
    0x00ffd3ff,0x3e0bff10,0x360004ff,0x6c07e207,0xffe82fff,0xfff10006,
    0x01bffa0b,0x02fffc40,0x80013ffe,0x3fee007d,0x0bf1005f,0x7fff4000,
    0xf000004f,0x7dc00bff,0x416e007f,0x40006ffe,0x7ff5406b,0x400dffff,
    0x0fee2ffd,0x007ffa00,0x0fffb800,0x3ffe0000,0x027ffc00,0x3200fb00,
    0x09f105ff,0x987e2000,0x7ffd400f,0x04fff801,0x7dc1f600,0xe80006ff,
    0x0ffd2fff,0x20bff100,0x20004fff,0x901ee07d,0xfffb8bff,0x3ff20002,
    0x17ffdc2f,0x5fff9000,0x0027ffc0,0xfd800fb0,0x0fd803ff,0xb7f30000,
    0x00001fff,0x400bfff0,0x3003fffa,0x09fff30b,0x70068800,0x1fffffff,
    0xfc97fec0,0x3ffd0002,0x7fdc0000,0x3e00000f,0x7ffc00ff,0x01f60004,
    0x5c0fffc4,0xf100000f,0x2a007cc3,0xff801fff,0x1f60004f,0x003fffd4,
    0xe8ffffc0,0xff88007f,0x009fff05,0x1fb03ec0,0x7ec7fd80,0x2a0001ff,
    0x7fec5fff,0x3ea0001f,0x3ffe05ff,0x01f60004,0x01ffff10,0x00001fd4,
    0x7fff51fb,0xfff00000,0x7ffc400b,0xf907004f,0x300005ff,0x7ffe4400,
    0xffb00eff,0x40009fb5,0x00001ffe,0x0003ffee,0x400fff80,0x20004fff,
    0x3ff2007d,0x00005e84,0x00f987e2,0x400fffd4,0x20004fff,0xffff307d,
    0x7fc40001,0x00ffd0ff,0x3e0bff10,0x360004ff,0x100bfe07,0x7fffc5ff,
    0x3fe60000,0x07fffc7f,0xffff3000,0x0027ffc0,0xf7000fb0,0x03740bff,
    0x749f1000,0x800006ff,0x6c005fff,0x001effff,0x000ffff8,0xfd300000,
    0x3f60bfff,0x002fffdf,0x5c43ffd0,0x2e000bdd,0x00000fff,0xff003ffe,
    0x3ec0009f,0x41fff100,0x200002f9,0x003e61f8,0xf003fff5,0x6c0009ff,
    0x07fffe07,0x6fff9800,0x22001ffa,0x9fff05ff,0xb03ec000,0x23fd00bf,
    0x0007fff8,0x887fffc4,0x40007fff,0xf00ffff8,0x6c0009ff,0xfffd0007,
    0x0003f905,0xff70fe40,0xf800003f,0xfe8005ff,0x000dffff,0x000ffff3,
    0x6c001100,0xffb07fff,0x001fffb5,0x3ea3ffd0,0x000fffff,0x0001fff7,
    0x2007ffc0,0x20004fff,0x7fec007d,0x00001f64,0x007cc3f1,0x2007ffea,
    0x20004fff,0x3fff207d,0x3fea0002,0x001ffa3f,0x7fc17fe2,0x1f60004f,
    0x5c04ffb8,0x01bffea7,0x47fffe00,0x0006fffa,0xf01ffff8,0x6c0009ff,
    0xfff30007,0x0027cc1f,0xff117e00,0xf80000bf,0xe88005ff,0x03ffffff,
    0x006fffa8,0x4003a800,0xfd81fffd,0x06ffe8af,0xfb9ffe80,0x04fffdbd,
    0x001fff70,0x007ffc00,0x80013ffe,0x7fcc007d,0x0004f88f,0x1f30fc40,
    0x01fffa80,0x0004fff8,0xfff981f6,0x3ff60006,0x4003ff46,0xfff05ff8,
    0x03ec0009,0x6c09fff1,0x017ffee5,0x4ffffa00,0x0005fffb,0xf03fffe8,
    0x6c0009ff,0x3fee0007,0x0003ba4f,0xfd82fa80,0x200000ff,0x10005fff,
    0xfffffffb,0x37ffdc05,0x02d40000,0x20fffe60,0xfff32ffd,0xdffe800b,
    0x07ffd40e,0x007ffdc0,0x01fff000,0x0004fff8,0x3f6001f6,0x0000fbcf,
    0x1f30fc40,0x01fffa80,0x0004fff8,0xfff701f6,0xfff30003,0x8007fe85,
    0xfff05ff8,0x03ec0009,0x1037ffea,0x2fffe43f,0x7fff4000,0x00bfff93,
    0x07fffd00,0x80013ffe,0x7f40007d,0x002fb9ff,0xf9837400,0x200003ff,
    0x40005fff,0xffffffea,0x5fffc80d,0x0fa80000,0x40fffc00,0x3fea2ffd,
    0x3ffa003f,0x05ffd00d,0x001fff70,0x007ffc00,0x80013ffe,0xff98007d,
    0x800005ff,0x003e61f8,0xf003fff5,0x6c0009ff,0x06ffd807,0xe86ffd80,
    0xff88007f,0x009fff05,0x7dc03ec0,0x83b11eff,0x0006fffa,0xf51fffe8,
    0xd0000dff,0x3fe03fff,0x1f60004f,0xdfff3000,0x980000bf,0x1fffa03f,
    0x5fff8000,0xfff70000,0xfb81ffff,0x800006ff,0x7fc003fa,0x42ffd80f,
    0xd001fffc,0x7fe403ff,0x0fffb803,0x3ffe0000,0x027ffc00,0x2000fb00,
    0x0002fffe,0x3e61f880,0x0fffd400,0x0027ffc0,0xfd100fb0,0x7fcc005f,
    0x007fe80e,0xff05ff88,0x36c0009f,0xaffffb80,0x7fff981e,0xffff8000,
    0x00ffff30,0x01ffff00,0x80013ffe,0xfc80006d,0x00000fff,0xff5007ec,
    0xf100005f,0x40000dff,0xefffffc8,0x01bffe60,0x0bfea000,0xe82ffcc0,
    0xfffe82ff,0x01ffe800,0x2e00fff2,0x00000fff,0xff003ffe,0x36c0009f,
    0x07ffa800,0x43f10000,0x7fd400f9,0x4fff801f,0x401ba000,0xa802fff8,
    0xffd00eff,0x0bff1000,0x80013ffe,0x3fea006e,0xfff103ff,0x7c40001f,
    0x3ffe27ff,0x3e20000f,0x3ffe07ff,0x01ba0004,0x02fffc00,0x013e2000,
    0x00017ffe,0x17ffffb3,0x7f4c0000,0x3fe25fff,0xa800007f,0x74403fff,
    0x7fff00ef,0x01dfff10,0x3201ffe8,0xffb804ff,0x3e00000f,0x7ffc00ff,
    0x01ba0004,0x0003fe80,0x7cc3f100,0x0fffd400,0x002fffc0,0x64400dd0,
    0xfc981cff,0x1ffa00cf,0x417fe200,0x20005fff,0x7f4c006e,0xfffd00ff,
    0x7fcc0003,0x0ffff45f,0xbfff3000,0x002fffc0,0x20000dd0,0x00005fff,
    0x7fffffe4,0xffffffff,0xffeb8001,0x1effffff,0xfd800220,0x7fffc7ff,
    0x7d400001,0x221bdfff,0xf301effa,0x3ff60bff,0x3ffa01ef,0x013ff201,
    0x0003ffee,0x400fff80,0x20005fff,0x3f20006e,0xf1000000,0x2a007cc3,
    0xfe801fff,0x17e0005f,0x3fff6200,0x00cfffee,0x88007fe8,0xbfff05ff,
    0x002fc000,0xd82fff44,0x20002fff,0x7ec3fffa,0x2a0002ff,0x3fe03fff,
    0x17e0005f,0x2fffc000,0x2bbe0000,0xaaaaaaaa,0x0004fffb,0x00ea0000,
    0x6c3fffb0,0x00003fff,0x7f654f54,0x03ffffff,0xdfffffd7,0x3ffff21d,
    0xffe83eff,0x013ff201,0x0003ffee,0x400fff80,0x20005fff,0x17a0005f,
    0x1f880000,0xff5003e6,0xdffb003f,0x013e2000,0xffffe980,0x1ffa002f,
    0x417fe200,0x10006ffd,0x7f40009f,0x6fff881f,0x1bff6000,0x001bffe2,
    0x6c06ffd8,0xf10006ff,0x3fe00009,0x2a00005f,0x3ff6002f,0x0180000f,
    0x4c005a80,0x3fe23fff,0x0880006f,0x59f73033,0x00000013,0x900fff40,
    0xff7009ff,0x7c00001f,0x7fec00ff,0x09f10006,0x000bea00,0x261f8800,
    0x7ffd400f,0x1fffc801,0x002fa800,0x7fffec40,0x01ffa006,0x6417fe20,
    0xa8000fff,0x8808802f,0xfff703ff,0xfff30005,0x0bffee03,0x07ffe600,
    0x001fff90,0x00005f50,0x00017ffe,0x7d4006e8,0x740003ff,0x3ea001ef,
    0x0fffc000,0x000bfff2,0x5f9003b0,0x2f7a0000,0x1ffe8000,0x2013ff20,
    0x8000fffb,0x00fff858,0x0007ffe4,0xd80017d4,0x44000006,0x5003e61f,
    0xf3003fff,0xfb0007ff,0x3f200001,0xfd004fff,0xbff1000f,0x00fffe60,
    0xf3003f60,0x407f901f,0xd8006ffe,0x7ff404ff,0x4ffd8006,0x03fff980,
    0x0000fd80,0x000bfff0,0x2000fe60,0x20006ffe,0x2005fff9,0x7fc003fa,
    0x7fffc40f,0x00790000,0x0009fff3,0x001ffff0,0x3201ffe8,0xffb804ff,
    0x82c8000f,0x7cc00fff,0xfd8003ff,0x02fa8000,0x0fc40000,0xffa801f3,
    0xdffb001f,0x027dc001,0x3ffea000,0x07fe803f,0x205ff880,0x2000effd,
    0xffa803fb,0x2602fa81,0x2a002fff,0x7cc00eff,0x3ea002ff,0xffb000ef,
    0x1fdc001d,0xbfff0000,0x03f60000,0x0bfff200,0x0fefe800,0x005ff500,
    0x7cc17fe6,0x5c000eff,0x1ffe6005,0x3ff22000,0x0fff4003,0x7009ff90,
    0x98001fff,0x00fff80f,0x000effd8,0x2aa00fee,0x0000bd10,0x7cc3f100,
    0x17ffd400,0x0efff880,0x0006fc80,0x7fff9100,0x8007fe80,0x3e205ff8,
    0x64400eff,0x03fe006f,0xfd3003f6,0xbff7007f,0x3ffa6001,0x0dffb803,
    0x3bffe200,0x037e4400,0x17ffe000,0x017e6000,0x037ffcc0,0x801e2200,
    0x4403fffa,0x3a200efe,0xd8802eff,0x06fc8005,0x05ff1000,0x202ffe80,
    0xfc804ffc,0x3a2001ff,0x003fff05,0x801dfff1,0xfc806fc8,0x000efeff,
    0x21f88000,0x7fdc00f9,0x3fa2003f,0xca88acff,0x00005ffe,0x0dffb880,
    0x1000ffd0,0xfe880bff,0xca88acff,0x64005ffe,0x0017cc0f,0xa8839ff9,
    0x90002ffd,0xda8839ff,0xd10002ff,0x51159fff,0x000bffd9,0x06fff880,
    0x003fe800,0x00bfffe0,0x5400b700,0x21bdffff,0x801effa8,0xabefffd8,
    0x04feca89,0x002ff880,0x000df700,0x7e405fff,0xfffd805f,0x07ff5003,
    0x2005fff1,0x8acfffe8,0x05ffeca8,0x3fffffb0,0x22000000,0xa803e61f,
    0x000efffe,0x3ffffae2,0x002effff,0xeda80000,0x3bffa1ad,0xdd72eeee,
    0x00bffddd,0xfffffd71,0x0005bfff,0x5f935db1,0xfffb3000,0x019dffdd,
    0xfffd9800,0x00ceffee,0x7ff5c400,0x2dffffff,0x7ecc0000,0x8000bfff,
    0x000effc8,0xbfffffa8,0x075c4000,0xd953d500,0x7fffffff,0xffd97000,
    0x039fffff,0x03efca80,0x6ff5c400,0x7ffcc001,0x1ffff105,0x7ffffcc0,
    0xedccccce,0xfb80ffff,0x2e2004ff,0xfffffffe,0x3e6002df,0x00001cff,
    0x2882a200,0xffffffd0,0x9800bdff,0x00aaccaa,0x20000000,0x999971b9,
    0x3bae5999,0x004eeeee,0x5566554c,0xbb980000,0xa880000a,0x000009bb,
    0x01377510,0x2aa60000,0x0000aacc,0x7ffff5c0,0x001effff,0xdffffff9,
    0xffff5005,0x007fffff,0x30002ae6,0x35975303,0x73100001,0x20001357,
    0x200001a9,0xfea8002a,0x98efffff,0xeffffffd,0xffffdd10,0xffffffff,
    0xa8dfffff,0x5efffffe,0x66554c00,0x260000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00403331,0x39007600,0x00000000,
    0x00000000,0x1e65c000,0x40154000,0x07e4c01b,0x00002600,0x00010008,
    0x01980198,0x83fffc80,0xeeeeeee9,0x1accccee,0xff100000,0x800000df,
    0x00000008,0x0000c406,0x06fff880,0x2015c000,0x4000003a,0x77540009,
    0x4004eeee,0xeeeeeeea,0x2f26002e,0x10000500,0xffffffd7,0x001a217b,
    0x13205f30,0x3ee00000,0x800002ff,0x0006fff8,0xffff9800,0x0fc40002,
    0x7f540f30,0x3f6000ff,0x3d00001f,0x40004b80,0x03e200f8,0xfffff100,
    0x3fff6a01,0xfffeefff,0x400000ef,0x003ffffc,0x00136000,0x3ffe2000,
    0x0017fea0,0x3ffff200,0x3e200003,0x0000d504,0x001ffe80,0x7fffed44,
    0xffda8003,0xfb1000be,0x00b07fff,0x6f7fec40,0xdff9531b,0xfb0000fd,
    0x0000fd89,0x03ffe800,0xdff50000,0xd0000001,0x000dffdf,0x9759dfd0,
    0x3b2e0bfd,0xf3000fff,0x200009ff,0x32a21bfc,0xfe80001f,0x6fdb99bd,
    0xfcdfd800,0x3fff404f,0x03fffea8,0xd7ff3000,0x000001ff,0x00000ff1,
    0x6c7fff50,0x00000fff,0x3ffaffe6,0x3ea00000,0x000bee0e,0x4fff9800,
    0x3fff2000,0xff88001f,0x7efe4000,0x4c8bffff,0x7ffd3000,0x0fffb100,
    0x1bff1000,0x000007fb,0x000bff10,0x007fec00,0xafdc0000,0x40003ffa,
    0xfffffff8,0x7ffcc00f,0x0fffe000,0x7ffc4000,0x005fffef,0xfffff300,
    0x98003fff,0x807fea4f,0x7f407ffd,0xd80004ff,0x009fb11f,0x05ff9000,
    0xff980000,0x01bfee1f,0x223fb000,0x400004fd,0x06fb9ffe,0xfff80000,
    0x7fe40002,0x7e8000ff,0xfb10e800,0x003fffff,0x005fff50,0x0000ffc8,
    0x06ffffc8,0xdf700000,0xff800000,0x88000001,0x007f4c4f,0x3fffa600,
    0xfff000ef,0x01e4c001,0x3ffea000,0x0000efff,0x3ffffea0,0x84e8002f,
    0x3ff205e9,0x7fffcc07,0x03aa0000,0x800007f2,0x0006fff8,0xb82c9800,
    0x2a00000c,0x001fc80e,0x3fffe600,0x8000001f,0xb80002c9,0x8006ffff,
    0x9848006e,0x8002fffe,0x0002fff9,0x100003fd,0x0005ffff,0x003b6000,
    0x02f98000,0x09900000,0x40001362,0x7c001bb9,0x000000ff,0xdfd91000,
    0x22000007,0x8000bccb,0x40b6203a,0xfe807ffc,0x360003ff,0x00016a00,
    0x01ffffb8,0x00000000,0x5006c000,0xfd80000b,0x000005ff,0xfb800000,
    0x4005ffff,0x2008006e,0x3fa00018,0x3e20004f,0x33100001,0x40000003,
    0x4000000f,0x0000004c,0x00170071,0xff800000,0x0000000f,0x00000000,
    0x00200000,0x07ffc804,0x004fffc8,0x00020020,0x4ffffe80,0x00000000,
    0x40040000,0x4c400000,0x00000099,0x01100660,0xffffafb8,0x001ba003,
    0x20000c40,0x0000fffc,0x0000016c,0x31000000,0x03000000,0x00000000,
    0x00000000,0x00003ffe,0x99880000,0x40000201,0x00000018,0x201fff20,
    0x0004fffc,0x30000000,0x01fffb7f,0xddddd900,0x403ddddd,0xeeeeeeea,
    0x0220003e,0x00000000,0xffc98000,0x641befff,0x7d4fdc02,0xdd001fff,
    0x3fb2a000,0x002cefff,0x0017ffe2,0x3baa0a60,0x4004eeee,0xeeeeeeea,
    0x0000002e,0x00000000,0x00000000,0x02cedc98,0x4007ffc0,0x002cedc9,
    0xfffeb880,0xd10bdfff,0x3fb2a000,0x002cefff,0x3bbbbbba,0xff905eee,
    0x7fffd00f,0xeeeee880,0xeeeeeeee,0x03eeeeee,0xff51fb00,0x2e20007f,
    0x02effffe,0x07fff6a0,0x00136000,0xeeeeee98,0xacccceee,0x36600001,
    0xa98bdfff,0x03fddffb,0xfffb8fdc,0x006e800f,0x45677f4c,0x01effca9,
    0x001fffc8,0x7ed44000,0xa8003fff,0x2e0beffd,0xeeeeeeee,0x3baa01ee,
    0x32eeeeee,0xdddddddd,0x0359999d,0xddddd300,0x907ddddd,0xdddddddd,
    0xdf9103dd,0x99bffb35,0x1fff0599,0x4d77e440,0xccccdffd,0x77fec402,
    0xff9531bd,0xe9800fdd,0xca98acef,0x71001eff,0x039fffff,0x2203ffe4,
    0x3000ffff,0x999ffff9,0xffdb9999,0x9f10009f,0x00037ff4,0x001bffea,
    0x0000ffc4,0x40003fc4,0xffffffda,0x0effffee,0x77fdc000,0x3fffb801,
    0xffb0fdc0,0x06e801df,0x1017fee0,0xff807ffb,0x000000ff,0x07ffff20,
    0x403fe200,0xffffffe9,0xffc8800a,0xfda80bff,0xfeefffff,0x8000efff,
    0xaeffffc9,0x3ffaa200,0x3fa01cff,0xfffff984,0x00fff84f,0x3fe613fa,
    0x2604ffff,0xd8803ffe,0x3ee007ff,0x7fec405f,0x3fff2003,0x07ffc804,
    0x001ffff4,0x8007ffec,0xfc8005fb,0x007ffee1,0x04fff880,0x0001fa00,
    0x00017fe4,0xd507ffe8,0x20007fff,0x2000effc,0x7dc04ffa,0x02ffff41,
    0x7fec01ba,0x17ff2003,0x003fffcc,0x7fe40000,0x7e8000ff,0x3ffffc80,
    0x01eff800,0xd507ffe8,0x20007fff,0x2001fffe,0x6406fffa,0x5ffb00ff,
    0x900fff80,0x3ff601ff,0x2fffa802,0x007fe400,0x9001ffec,0x3ee00bff,
    0xffc802ff,0x7fffb307,0x3fff2000,0x00172000,0xbfff117e,0x7ffc4000,
    0x01fa0004,0x1bffe200,0x3ffec000,0x013fffa0,0x001fff70,0xfb80bf70,
    0x1ffffc41,0xff700dd0,0x7fff000d,0x00dfff50,0xff700000,0xdd000dff,
    0x13fff600,0x003ff100,0xfd01fff6,0xfb0009ff,0x7cc001ff,0x3ffc04ff,
    0xf809ff50,0x0fff00ff,0x26027fd4,0xd0002fff,0x6ffb803f,0x03fff800,
    0x801fffa8,0xba99fffc,0x001dfffd,0x003ffee0,0x7d400698,0x00fffd82,
    0x013ffe00,0x80007d80,0x001ffffb,0x407ffc80,0x000ffff9,0x0007fff3,
    0x07ee02f4,0x40bfffe6,0x7ffcc06e,0xfffb8002,0x02fffdc0,0x3ffffaa0,
    0x2e01efff,0x005fffff,0xff880374,0x3ee001ff,0x1fff2003,0x01ffff30,
    0x007ffd80,0x3027ffc4,0x7fcc0dff,0x407ffc07,0x3e606ff9,0x27ff407f,
    0x403f1000,0x8002fff9,0x5400fffb,0xfc801fff,0xffffffff,0xfb80000d,
    0x034000ff,0x7fcc1ba0,0x3fe0003f,0x1f60004f,0x3fffa000,0xfc80004f,
    0xfffe807f,0x0dffd003,0x5c06b800,0xffff501f,0xfe80dd03,0xff10006f,
    0x5fffc8bf,0x3fff6000,0xfafb802f,0x3a003fff,0x3ffee006,0x00bf1005,
    0xe807ffc8,0x64003fff,0xff8007ff,0x1ffea04f,0x201fff88,0xffa80fff,
    0x07ffe207,0x0007ffe4,0xffe80b60,0xfff10006,0x1fffa80b,0x227ffc80,
    0x0000fffe,0x000fffb8,0x80fe6000,0x20007ffe,0x20004fff,0x7cc0007d,
    0x000fffdb,0x403ffe40,0x9804fffc,0x40004fff,0x00fdc068,0xe81dfff9,
    0x0bffee06,0x2fffc800,0x001bffee,0x005fffa8,0xffff53f7,0x001ba003,
    0xb007fffb,0xffc8001f,0x4fffc807,0x03ffe400,0x1027ffc0,0x3e201fff,
    0x3ffe00ff,0x00fff880,0xf101fff1,0x30000bff,0x0bffee05,0x2fffc800,
    0x007ffea0,0xff31fff2,0xf70000df,0x000001ff,0xff5007ec,0x3fe0005f,
    0x1f60004f,0xf51fb000,0xc80007ff,0xffc807ff,0xfffc804f,0x40180002,
    0x7fec01fb,0xfb03745f,0x540003ff,0x3fea5fff,0x3e60007f,0x3f7004ff,
    0x003fffee,0xff1001ba,0x1fd401ff,0x03ffe400,0x0027ffe4,0x2001fff2,
    0x7f404fff,0x0dff301f,0xfd00fff8,0x1bfe603f,0x000fffe4,0x3fff6000,
    0x3fea0001,0x3ffea05f,0x87ffc801,0x0003fffb,0x4007ffdc,0x27c40029,
    0x002fffc0,0x0004fff8,0xf88001f6,0x001bffa4,0xd00fff90,0xff007fff,
    0x000001ff,0xe8803f70,0x81ba4fff,0x0000ffff,0xf89fffe6,0x10000fff,
    0x2e009fff,0x3bfff61f,0x40037400,0x3a05fffb,0xfff90006,0x07fffd00,
    0x007ffc80,0x5c04fff8,0x3ff705ff,0x700fff80,0x3fee0bff,0x01ffff01,
    0xfff80000,0x3e60000f,0x3fea07ff,0x7ffc801f,0x003fffb0,0x007ffdc0,
    0x3f2001dc,0xffffffff,0x001fffff,0x0004fff8,0xfc8001f6,0x007ffee1,
    0x407ffc80,0x400ffff8,0x0007fff9,0x003f7000,0x3a5ffff3,0x0ffff106,
    0xffff8800,0x00ffffe0,0x027ffc40,0x7ff41fb8,0x0037405f,0xc82fffe8,
    0xff90001f,0xffff880f,0x3ffe4000,0x027ffc00,0xf5067fdc,0x1fff007f,
    0x5067fdc0,0x3fe607ff,0x4000007f,0x0007fff8,0x807fffc4,0xc801fffa,
    0xfff107ff,0x3ee0001d,0x03e800ff,0x555577c0,0xffbaaaaa,0xfff8004f,
    0x01f60004,0x7fc45f80,0x3f20005f,0x7fff407f,0x6fffa803,0xf7000000,
    0x3ffea003,0xff506e9f,0xff0000df,0x7ffe43ff,0xfff10006,0x107ee009,
    0x7407ffff,0xfff30006,0x0027cc1f,0xe80fff90,0xc8003fff,0xff8007ff,
    0xfff7004f,0x2003dfd9,0x7dc00fff,0x01efecff,0x001bffea,0xdfff5000,
    0xffff0000,0x07ffea03,0xa81fff20,0x70005fff,0x33333fff,0x007fb333,
    0xfb0017d4,0xff8001ff,0x1f60004f,0x6c17d400,0x90000fff,0x3f660fff,
    0xff7003ff,0x000000df,0xfb8007ee,0xf706efff,0xd0000bff,0x7fc47fff,
    0xf88001ff,0x3f7004ff,0x05ffff30,0xfb8001ba,0x003ba4ff,0x307ffc80,
    0x0007fffb,0x2001fff2,0xe8804fff,0x0009a98a,0xd1007ffc,0x00135315,
    0x800bfff7,0xffffffea,0xbfff71ef,0xfffd0000,0x07ffea07,0x901fff20,
    0x70005fff,0xffffffff,0x007fffff,0x3ea00374,0x7fc003ff,0x1f60004f,
    0xf9837400,0xf90003ff,0xfb7533ff,0x64003bff,0x00005fff,0x8003f700,
    0x906ffffd,0x0000bfff,0xfb87fffd,0xf88005ff,0x3f7004ff,0x07fffea0,
    0xfd0001ba,0x005f73ff,0x99fffc80,0x1dfffdba,0x3fff2000,0xeeeeeeee,
    0x4fffeeee,0x00027c40,0xf100fff8,0x7fe40009,0x3f60005f,0x7fe42fff,
    0xfe80005f,0xfff503ff,0x0fff9003,0x003fffd0,0x999fffb8,0x3feba999,
    0x0007f300,0xf800dffd,0x360004ff,0x03f98007,0x4001fffa,0xfffffffc,
    0xb8000dff,0x00006fff,0x0003f700,0x2a0dfffd,0x80006fff,0xfe81fffe,
    0x7c4002ff,0x3f7004ff,0x077ffe40,0xf30001ba,0x000bfdff,0xffffff90,
    0x0001bfff,0x999fff90,0x99999999,0xd809fff9,0xff00003f,0x00ff601f,
    0x06fffb80,0x17ffea00,0x001bffea,0x407fffa0,0xd801fffa,0xff9807ff,
    0x3ee000ef,0x1f4400ff,0x8000fd80,0x2002fffc,0x20004fff,0x0fd8006d,
    0x00bffea0,0xe89fff20,0x98000fff,0x00006fff,0x0003f700,0x260dfff1,
    0x80007fff,0xe880ffff,0x22001fff,0xf7004fff,0x5fffd803,0x64000374,
    0x0000ffff,0x3a27ffc8,0x80000fff,0xf8007ffc,0x3fe204ff,0xbcccccef,
    0x1fff802a,0xccefff88,0x502abccc,0x4000ffff,0xf984fff9,0xf80007ff,
    0xff500fff,0xfffd003f,0xdfff7001,0x3ffee001,0x9803b800,0xff30005f,
    0x7ffc00df,0x01ba0004,0xff009f10,0xff9000bf,0x06fff98f,0x07fff880,
    0x5f900000,0x1bfe6000,0x007fffc4,0x0ffff100,0x017fff44,0x004fff88,
    0xfe8803f7,0x001ba4ff,0x002fffc0,0x4c7ffc80,0x80006fff,0xf8007ffc,
    0x7ff404ff,0xffffffff,0xfff103ef,0x3ffffa05,0xefffffff,0x07fffc43,
    0x4fff8800,0x00ffff88,0x1fffe200,0x401fffa8,0x00dffffa,0x1bffffd8,
    0x007ffdc0,0x1ff401d4,0x5ffff000,0x017ffe00,0x64006e80,0xffffffff,
    0x01ffffff,0x5c3ffe40,0xf8003fff,0x00001fff,0x00effd40,0x3a06fb80,
    0x20001fff,0xb805fff9,0x7102efff,0x2003bfff,0xff9801fb,0x000dd2ff,
    0x0017ffe0,0x5c3ffe40,0x40003fff,0xf8007ffc,0x7ec404ff,0xffffffff,
    0xffb84fff,0xfffb104f,0xffffffff,0x3ffff89f,0x9fff1000,0x007fffa0,
    0x05fff980,0x2607ffea,0xffffffee,0x3fa203ef,0x701fffff,0x00001fff,
    0x001dff91,0x7fffff50,0x05fff801,0xf0017e00,0x5555555d,0x09fff755,
    0xb07ffc80,0xd8003fff,0x00003fff,0xfffffe88,0x6c8005ef,0x00bfff60,
    0x03fffa80,0xdfffd710,0x19ffffdd,0x001fb800,0xdd3ffff5,0x3ffe0000,
    0xff900005,0x07fff60f,0x07ffc800,0x404fff80,0x555331e8,0x21ffb995,
    0xefffffea,0xa998f445,0xffdccaaa,0x01bfff20,0x827ffc40,0x0002fffd,
    0xa80fffea,0x00001fff,0xffb80000,0x7e40000f,0x02efffff,0xffffffa8,
    0x3f603fff,0x9f10006f,0x0017d400,0x4001fffb,0xff107ffc,0x7c4001df,
    0x880006ff,0x50000000,0x037ffc40,0x00dffb00,0x2f3eea20,0x2e00009a,
    0x3fee001f,0x00006eff,0x0000bfff,0x7c41fff2,0x90000eff,0xff000fff,
    0x01f4409f,0x2000bee0,0x7dc003e8,0x07fffe22,0x13ffe200,0x0037ffc4,
    0xa80dffb0,0x40001fff,0x00001ceb,0x0001fff7,0x64000006,0xfffc8005,
    0x02fa8000,0xf5001ba0,0x7e4007ff,0x3ffea07f,0x7ffe4005,0x00ec0002,
    0x0039d900,0x02fffb80,0x01fff980,0x000f6c00,0x8003f700,0x006ffffd,
    0x00bfff00,0x81fff200,0x0005fffa,0xf000fff9,0x07ec09ff,0x3a60fc00,
    0x00fd80ad,0x7fdc1f80,0xff88005f,0x3ffee04f,0xfff98002,0x0fffd401,
    0x3fff2000,0xffb80003,0x03c8000f,0x03f88000,0x03fff980,0x3000fd80,
    0xffd0007f,0x3ffe400d,0x00bfff20,0x00ffff88,0x80007900,0x0002fffd,
    0x40037ff4,0x40004ffd,0x0002fffa,0xd0003f70,0x0000dfff,0x00017ffe,
    0x3203ffe4,0xc8002fff,0xff8007ff,0x01ff504f,0xffa87980,0x007fd45f,
    0x7ff41e60,0x7fc4002f,0x37ff404f,0x027fec00,0x000fffd4,0x0037fcc0,
    0x007ffdc0,0x00003e60,0x4001bea0,0x2000effd,0x3f6003fb,0xfffc8000,
    0x0fff9002,0x003fffd0,0x0077ffcc,0x400016e0,0x40005ffa,0x2002fff9,
    0x0000effa,0x0005ffa8,0x10003f70,0x0000dfff,0x00017ffe,0x7403ffe4,
    0x64001fff,0x7c4007ff,0x9ffb04ff,0x8817cc00,0x3ff60ffd,0x40be6004,
    0x001fffe8,0x3013ffe2,0x54005fff,0xfa800eff,0x900002ff,0xf90000df,
    0x6e8001ff,0xff700000,0xfff10003,0x6fc8801d,0x0017e600,0x8037ffcc,
    0xf9807ffd,0x22000eff,0x8802effe,0x7400005d,0xe980004f,0xffb803ff,
    0x3a00000d,0xf900005f,0x3fe60005,0xfff00006,0x3f60000b,0xfff9807f,
    0x3ff6000e,0x3fe2000f,0xdfff904f,0x7f931037,0x320ffa80,0x881befff,
    0x74403fc9,0xf1002fff,0xfd3009ff,0xbff7007f,0x3ffee001,0xff880003,
    0xffd80002,0x7fb1001f,0x3e200000,0x20020bef,0x8acfffe8,0x05ffeca8,
    0x0001ff40,0xd005ffff,0xf7001fff,0x44001dff,0x9abefffd,0x004feca8,
    0x007fc400,0x39ff9000,0x02ffda88,0x0ffc4000,0x6ffd4000,0x0df70001,
    0xdfff1000,0x3ffa0000,0xfffb800f,0xfffd000e,0x7ffcc001,0x3ffff205,
    0xefffffff,0xc84fd801,0xffffffff,0x2001efff,0x102efffb,0x003bfff7,
    0x220e7fe4,0x2002ffda,0x00efffea,0x07df9500,0xffff3000,0x7555557d,
    0x001fff99,0x7ffdc000,0x71005fef,0xfffffffd,0x644005bf,0xa8000eff,
    0x00bfffff,0x01bffff5,0x37ffffb0,0x7ff65c00,0x01cfffff,0x3bf6e000,
    0xd9800003,0xeffeefff,0x2e00000c,0x20003efc,0xffffffe8,0x06c8005e,
    0x7ffecc00,0x2a0000bf,0x800dffff,0x01bffffd,0x0bffff71,0x3ffff660,
    0x3fff2202,0x402effff,0x100cfeca,0xfffffff9,0x2e20005d,0xfeeefffe,
    0x0000cfff,0xfddfffb3,0x3a0019df,0xffffffff,0x054c005e,0x3fba2000,
    0xffffffff,0xffffffff,0x88000005,0x0001cedb,0x15599553,0xffffc800,
    0xfa802eff,0xffffffff,0xffffdd33,0x4407dfff,0x1ffffffe,0x55dcc400,
    0x98000009,0x0000000a,0x00137751,0x002a6000,0x00000000,0x3fae0005,
    0xefffffff,0xffdd3001,0x07dfffff,0x7fffff44,0xffffd31f,0x907dffff,
    0xfffffffd,0x54c403df,0x06a20009,0x01353100,0xbaa88000,0x00009abc,
    0x04ddd440,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01800000,0x22000031,0x0016200d,0x02a00260,0xb1012600,
    0x00d88000,0x05900162,0xc98003a8,0x4000500b,0x006c00d8,0xddddddd1,
    0x0005dddd,0x88004008,0x00008800,0x00e400d8,0x00031000,0xd3013aa0,
    0xdddddddd,0xeeeea87d,0x0005eeee,0x20070110,0x3ffee003,0x400d4003,
    0x00000003,0x00188000,0xeeeeeee8,0x00005eee,0xf307ff40,0x320000bf,
    0x002e881e,0x2600e980,0x03b60007,0x200007a2,0x02e881ec,0x6a827c40,
    0x7ffec400,0x4000583f,0x03d881eb,0xfffff930,0x22000137,0x2982effb,
    0xe880d300,0x2fa80000,0x40000990,0x40006ff9,0x9802fff8,0x01effffd,
    0x37fffee2,0x0fa00001,0x009900f6,0x80027fec,0x005b103e,0x3fffffe0,
    0x007fffff,0x017fe600,0x3fffee20,0x01c801cf,0x47fff500,0x0000fffd,
    0x3a22ff88,0xff100006,0xbfb7337b,0x17fc4000,0x20000bf3,0x1ba22ff8,
    0x706fdc00,0xdfb8005f,0xc8bfffff,0x3fe80004,0x3a001ba2,0x80003fff,
    0x1dfffffd,0xbef80072,0x001bae61,0x7ec4fd80,0x3f200000,0x220002ff,
    0x3a002fff,0xf9801fff,0x400001ff,0xcefa80f8,0x02feca9a,0x000bff10,
    0x17a22fd4,0xfffff800,0x07ffffff,0x3fff6000,0xfff90001,0x007e2009,
    0x70fffc40,0x40000dff,0x1fe9cffa,0x3fea0000,0x00ffffff,0x4dffdc00,
    0x200000ff,0x1fe9cffa,0x27ffa000,0x0e8006fb,0xffffff91,0xff500003,
    0x0005fd39,0x0003fff9,0xffe9ae98,0x000fdeff,0x3fffffea,0x200002ff,
    0x3fd8dff8,0x7fd40000,0x6d40000f,0x7fff4003,0x00efd800,0x206b8000,
    0xfffffffd,0x03bea005,0x11dfd000,0x540003fd,0xaaaaaaaa,0x200002aa,
    0x20007ffb,0x7002fffb,0x64c0003f,0x0001cb82,0x2fffff40,0x7fdc0000,
    0x0001efff,0x09ffffd0,0xfffd0000,0xfa8000bf,0x8001ffff,0x2fffe985,
    0x3ff60000,0xf70005ff,0xa80001ff,0x7ffffdc2,0xfffc8002,0x00003fff,
    0x06ffffc8,0x03950000,0x6c000000,0x5fb807ff,0x0fa00000,0xfffffd88,
    0x03f6000d,0x3ffe6000,0x000004ff,0x2a000000,0x3ea0001c,0xffa801ff,
    0x00000001,0x7ffcc000,0x1000000f,0x000059b7,0x00ffffa8,0xfff98000,
    0xfd80000f,0x010005ff,0x400000c4,0x001ffff9,0x001fff70,0xdb880a80,
    0x3660001c,0x00001cee,0x05ffff10,0x00000000,0x7fe40000,0x002fdc07,
    0x001f3000,0x00039b95,0x6c00003f,0x0000ffff,0x00001880,0xf5000000,
    0xff8803ff,0x2200001f,0x98000001,0x00000099,0x4c000000,0x00000099,
    0x00002666,0x0004ccc4,0x00000000,0x80002662,0x0000fffb,0x00000000,
    0x98800000,0x20000019,0x00201998,0x7ffc8000,0x00017ea0,0x0000b900,
    0x0000a200,0x00599910,0x3ffb2a00,0x0002ceff,0xf5000000,0x7fd403ff,
    0x00aaacff,0x3fffb2a0,0x00002cef,0x00000000,0x00000000,0x00220000,
    0xdd500000,0x8009dddd,0xeeeeeeea,0x0000002e,0x000fffb8,0x00000000,
    0x00000022,0xb8800000,0xdffffffe,0x0000d10b,0xb83ffe40,0x8000005f,
    0x0000002f,0x00000000,0x33bfa600,0xeffca98a,0x3bbb2001,0xeeeeeeee,
    0x0deeeeee,0x203fff50,0xfffffffb,0xfe9801ff,0xfca98ace,0x774c01ef,
    0xeeeeeeee,0x001abccc,0x77777744,0xeeeeeeee,0x443eeeee,0xeeeeeeee,
    0xeeeeeeee,0x80003eee,0x7740004d,0xeeeeeeee,0x3fff6a25,0xfda8003f,
    0x3baa0bef,0xeeeeeeee,0xeeeeeeee,0xfff702ee,0xddd00001,0xbddddddd,
    0x004d8000,0xddddd900,0xdddddddd,0x801bdddd,0x1bdeffd8,0xfddff953,
    0x7e400000,0x00efb87f,0x7ee4c000,0x3bba01ff,0x5eeeeeee,0xe989fb10,
    0x3f62002e,0x001774c4,0xb1017fee,0x3f6007ff,0xeeeeefff,0xffffeeee,
    0x07ffea03,0x0007ffa0,0xd880bff7,0xfda803ff,0xeeffffff,0x0bdfffff,
    0xffff9300,0xb9999999,0x2609fffd,0xcccffffc,0xffedcccc,0x7c40004f,
    0xfb880007,0x201cffff,0x001ffffc,0xfc80ff88,0xffffffff,0xffffffff,
    0xff703fff,0x2200001f,0x1cfffffb,0x03fc4000,0xffffd800,0xeeeeeeee,
    0x403ffffe,0x8803ffe9,0xb8807ffd,0x3ff2000e,0x0006fe47,0x77bf9100,
    0x5c409fff,0x01cfffff,0xfe87ffee,0x3fee006f,0x01bffa1f,0x2003ffd8,
    0xfe805ffc,0xfff7001b,0x1fffa80b,0x001ffe80,0xc800fff6,0xffd005ff,
    0x3faa603f,0x36002fff,0xf7000fff,0x0fffd80b,0x000bf700,0x0002ffc8,
    0x009fff90,0x003ffff2,0x77e41fa0,0x10bfff01,0x3ee09fd5,0x400000ff,
    0x0004fffc,0x0005ff90,0x20037fd0,0x5405fffb,0x64002fff,0xffb500ff,
    0x7fe4003f,0x00037f27,0x7c45fd00,0x7e405ffe,0xffb804ff,0x01bffa0f,
    0x3a0fffb8,0xff7006ff,0x7fff000d,0x26003f80,0x5400ffff,0xfe801fff,
    0xdff7001f,0x07fff000,0x200fffb0,0x004ffffb,0x4001fff9,0x7ffe405c,
    0x00172000,0x006fff88,0x05fff700,0x1bfffee0,0x76c1ba00,0x817ffe00,
    0xfff704e8,0xfb800001,0x880002ff,0x80006fff,0x3fe6003f,0x3fe600ff,
    0x3fd0002f,0x3fffdb90,0xdbffe400,0x400000ef,0x7d75c4fc,0x3fee01ff,
    0x3fd8802f,0x1000f74c,0x1ee987fb,0x02fff980,0x00fffb80,0xfffd001e,
    0x3fff5005,0x003ffd00,0x0005fff3,0xc801fff7,0x3a6007ff,0xfb803fff,
    0x1a6000ff,0x001fff70,0xf700034c,0x00003fff,0x2003fff5,0x05fffffb,
    0x03d83740,0x2a02fffc,0x01fff704,0xfffa8000,0xffb80001,0x3c0001ff,
    0x0bfffa00,0x0009ffd0,0xff300fc4,0x7fe4003f,0x002fffdf,0xd03fea00,
    0x407fff19,0x0001fffa,0x00000000,0x0006ffe8,0x220bfff1,0x3fff2005,
    0x3fff5005,0x003ffd00,0x2000dffd,0x6405fff8,0x7cc007ff,0x7dc02fff,
    0x034000ff,0x0003ffee,0x7ff4000d,0xa80004ff,0xf7001fff,0x007ffff5,
    0x400d8374,0x2c405fff,0x000fffb8,0x0fffd400,0x7fff4000,0x1620004f,
    0x05fffc80,0x0007ffe4,0xfff00b60,0x7ffe4003,0x002ffffc,0xf88dfd00,
    0x5401bb51,0x00001fff,0x40000000,0x0002fffb,0x220bfff2,0xdfff3003,
    0x3ffea001,0x01ffe801,0x0017ffdc,0x405fff90,0xc8007ffc,0x7dc07fff,
    0x400000ff,0x0000fffb,0xfb7f3000,0xa80001ff,0xf7001fff,0x03ffff53,
    0x400c1ba0,0x01805fff,0x0001fff7,0x01fffa80,0x7edfcc00,0x710000ff,
    0x3bffe600,0x17ffe200,0xf00a6000,0x7e4003ff,0x5ffff97f,0x89ff0000,
    0xffa8006b,0xaaaaa81f,0xaaaaa982,0x2aaaaa80,0x0aaaaa98,0x003fffb0,
    0x02fffd40,0x3fffd100,0x0fffd400,0x200fff40,0x0001fffd,0xc817ffea,
    0xf88007ff,0x3ee02fff,0x400000ff,0x0000fffb,0xf51fb000,0xa80007ff,
    0xf7001fff,0x03fffee3,0xf8001ba0,0x2e0005ff,0x00000fff,0x000fffd4,
    0x3fea3f60,0x4000003f,0x401fffe8,0x0001fffc,0x03fff000,0xf93ffe40,
    0x40005fff,0x01f43ff9,0x40fffd40,0x40ffffba,0x83fffec9,0x40ffffba,
    0x03fffec9,0x0001ffff,0x003fffcc,0x009fff90,0x801fffa8,0x7fc01ffe,
    0x260000ff,0x3f207fff,0xff70007f,0x7ffdc0bf,0x70029800,0x53001fff,
    0xd27c4000,0xa8000dff,0xf7001fff,0x077ffec3,0xf8001ba0,0x2e0005ff,
    0x00000fff,0x000fffd4,0x7ff49f10,0x64000006,0xff804fff,0x000000ff,
    0x4003fff0,0x7fe47ffc,0xf50002ff,0x0007cc7f,0x300fffd4,0x3e201fff,
    0x3fe603ff,0x7fff100f,0x00ffff10,0x0ffff880,0x6fffa800,0x1fffa800,
    0x201ffe80,0x0007fff8,0x807fffc4,0x50007ffc,0x2e01ffff,0x3b800fff,
    0x01fff700,0x64000770,0x07ffee1f,0x1fffa800,0xfe83f700,0x037405ff,
    0x00bfff00,0x007ffdc0,0x3ffea000,0x87f20001,0x0001fffb,0x0dfff500,
    0x00ffff30,0x7ffc0000,0x1fff2001,0x00bffff2,0x5c97fee0,0x3fff5000,
    0x007ffc40,0x7c407ffd,0x3ffa00ff,0x06fffa83,0x1ffff800,0x7fffc400,
    0xfffa8001,0x01ffe801,0x001bffea,0x407fffe0,0x10007ffc,0x2e03ffff,
    0x3e800fff,0x01fff700,0x7c0007d0,0x02fffc45,0x03fff500,0xff107ee0,
    0x037407ff,0x00bfff00,0x007ffdc0,0x3ffea000,0x117e0001,0x0000bfff,
    0x03ffff10,0x00dfff50,0x7ffc0000,0x1fff2001,0x017fffe4,0x2f9bfea0,
    0x3fff5000,0x200fff80,0x7fc03ffd,0x0fff600f,0x0017ffee,0x00ffffa0,
    0x007fffb0,0x007ffea0,0xfb807ffa,0xe80005ff,0xff903fff,0x7ffc000f,
    0x3fff702f,0xb3333333,0x3fee007f,0x9999999f,0x50003fd9,0x1fffb05f,
    0x3ffea000,0x303f7001,0x3a05ffff,0x3ffe0006,0x3fee0005,0x0588000f,
    0x0003fff5,0x3ff60bea,0x6c00000f,0xf7003fff,0xea800bff,0xefffffff,
    0x001fff81,0xfc81fff2,0x22002fff,0x00fa9fff,0x1fffa80e,0xb007ffc0,
    0xfff807ff,0x20fff600,0x0005fffc,0x003fffe8,0x0017ffee,0x801fffa8,
    0x3f202ffe,0xe80005ff,0xff903fff,0x7ff4000f,0xffff703f,0xffffffff,
    0x3fee007f,0xffffffff,0xd0003fff,0x0fffe60d,0x0fffd400,0xf501fb80,
    0x0dd03fff,0x02fffc00,0x01fff700,0x3ea05900,0xdd0001ff,0x00fffe60,
    0x5fffb800,0x17fff200,0xffffd800,0x007ffe02,0x6407ffc8,0x2002ffff,
    0x205ddfff,0x3ffea049,0x007ffc01,0xff807ffb,0x0fff600f,0x001bffea,
    0x007fffa0,0x007fffc4,0x03fff500,0x2187ffb0,0x0006fffa,0x901fffe8,
    0x74000fff,0xff703fff,0x5333333f,0x2e007fd7,0x99999fff,0x003feba9,
    0x3fa03f98,0xff50007f,0x07ee003f,0x40efffc8,0x3fe0006e,0x3ee0005f,
    0x7cc000ff,0x03fff500,0x7407f300,0x100007ff,0x4001ffff,0x0006fffb,
    0xf017ffea,0x7ec003ff,0xfffc807f,0xfffb003f,0x500ec05f,0xff803fff,
    0x0fff600f,0x6c01fff0,0xfff983ff,0xfff80007,0xfffd000f,0xffa80005,
    0xeffc801f,0x3fe61c88,0xff80007f,0xfff900ff,0x7fffc000,0x01fff702,
    0xf7003e88,0x3e8801ff,0x200fd800,0x8002fffa,0x7001fffa,0xfffd803f,
    0xf0003745,0x64000bff,0x22001fff,0x3ffea05e,0x00fd8001,0x000bffea,
    0x00bfffa0,0x00ffff50,0x027ffcc0,0xd8007ffe,0xff9007ff,0xff5007ff,
    0x0db105ff,0x401fffa8,0x3f600fff,0x07ffc03f,0xf107ffb0,0x40001fff,
    0x9007fff8,0x0000bfff,0x5005fff5,0x887fffff,0x0000ffff,0xc81fffe2,
    0xf10007ff,0x3ee01fff,0x03b800ff,0x001fff70,0x4f880077,0x005fff80,
    0x001fffa8,0xfe8803f7,0x001ba4ff,0x0005fff8,0x400ffff6,0x3ea03ffa,
    0x7c4001ff,0x05fff804,0x2fffe400,0x7fffc400,0xfff10000,0x01fff809,
    0x003fffa0,0x06fffffc,0x3bffff20,0x400ffdbc,0x7c01fffa,0x3ff600ff,
    0x007ffc03,0x3fa07ffb,0x260001ff,0xf9805fff,0x80000fff,0x7003fffb,
    0x3fa07dff,0x260001ff,0x3f205fff,0xff30007f,0x7ffdc0ff,0x7003a800,
    0x75001fff,0xffffc800,0xffffffff,0x7d4001ff,0x3f7001ff,0x5ffff300,
    0xff8001ba,0xff30005f,0x9999dfff,0x1ffffdb9,0x00fffd40,0x3fffff20,
    0xffffffff,0xff30001f,0x3e0001ff,0x10003fff,0x7c409fff,0xfb8802ff,
    0xf8804fff,0x1bffffff,0x3fffffa0,0xfa801fff,0x7ffc01ff,0x00fff600,
    0x7ec01fff,0x5fffb03f,0x7ffd4000,0x7fff4403,0xfea80002,0x06000eff,
    0x005fffb0,0x01fffd40,0x2000fff9,0x2e06fffa,0x00000fff,0x0007ffdc,
    0xaaaef800,0xfbaaaaaa,0x7d4004ff,0x3f7001ff,0x3fffea00,0x3e0006e9,
    0x3a2005ff,0xfffffffe,0xffffffff,0x7fd406ff,0x577c001f,0xaaaaaaaa,
    0x8004fffb,0x002fffe8,0x01bfff20,0x027ffc40,0x4c09fff7,0xfffffffe,
    0xfffd83ef,0xffffffff,0xfffffb81,0xff5001ef,0x0fff803f,0xf00fff60,
    0x7fec01ff,0x0dfff103,0x037fec00,0x0027ffe4,0x3fffffa0,0x0c05efff,
    0x037ffc40,0x80dffb00,0xd0007ffc,0x7dc05fff,0x400000ff,0x0000fffb,
    0x2002fa80,0x2000fffd,0x7001fffa,0x7fdc003f,0x20006eff,0x00005fff,
    0x3ea00000,0x3ea001ff,0x3fff6002,0x7ffe4000,0x7fc40004,0xf88001ff,
    0xffeb84ff,0x0004efff,0x7d000000,0x50002aa2,0xff803fff,0x0fff600f,
    0x6c01fff0,0x3fee03ff,0xff98002f,0x7ffd401f,0x20388006,0x3fe2003e,
    0x7ffdc00e,0xfff98002,0x03ffe401,0x037ffd40,0x0003ffee,0x0fffb80c,
    0x37403000,0x0fffea00,0x01fffa80,0xd8003f70,0x0006ffff,0x00017ffe,
    0x0006fb60,0x001fffa8,0xff5001ba,0x7fd4007f,0x4388006f,0x8005fffb,
    0x5404fff8,0xec800006,0xf980001c,0xffa80000,0x0fff401f,0xe807ffb0,
    0x3ff601ff,0x037ff403,0x2027fec0,0x001ffff8,0x03f502c8,0x01fffdc0,
    0x40037ff4,0xfc804ffd,0x7fc4007f,0x7fdc01ff,0x03c8000f,0x0001fff7,
    0x00fe6079,0x801bffa0,0x7001fffa,0xffd0003f,0x7fc000df,0xe800005f,
    0x50001fff,0x26003fff,0xffe8003f,0xffff1006,0xd0590003,0x88005fff,
    0x2fc04fff,0x7fec0000,0x2e40002f,0xfffa8000,0x81ffec01,0x6c03fffc,
    0xfff903ff,0x2fff9807,0x03bfea00,0x007fffb0,0x27e407e0,0x0ddff300,
    0x005fff30,0x40077fd4,0x64007ffc,0xfb804fff,0x7cc000ff,0x01fff700,
    0xfb00f980,0xfff90001,0x3ffea005,0x003f7001,0x00dfff10,0x002fffc0,
    0x04ffb800,0x03fff500,0x20003f60,0xd802fffc,0xf0003fff,0x3fffd103,
    0x27ffc400,0x0000ff30,0x0017fea0,0x200005f0,0x5c01fffa,0x33a62fff,
    0x7008effd,0x674c5fff,0x2008effd,0xb803ffe9,0x7dc00dff,0xf90006ff,
    0x8003fec0,0xffd3005a,0x1bff7007,0x01fff600,0x01ffff44,0x000fffc8,
    0xfff90374,0x306e8001,0x3e6000bf,0xff5006ff,0x0bf2005f,0x037fcc00,
    0x00bfff00,0x01ffc000,0x02fffa80,0x30005f98,0xfb80dfff,0xf90006ff,
    0x17fff440,0x04fff880,0x0000bfe6,0x0002fec0,0x540000f5,0xfe802fff,
    0xfb4fffff,0x3a01bfff,0xb4ffffff,0x801bffff,0x5441cffc,0xf8802ffd,
    0x44000fff,0x3fe606fc,0x0f60042e,0x839ff900,0x002ffda8,0x5403fff4,
    0x2000efff,0x1001fffd,0x7fec07fb,0x7fb1001f,0x8000ffa0,0xb802ffff,
    0xfa803fff,0xf70001df,0x3fe2000d,0x5000006f,0x2e0001ff,0xfe803fff,
    0x3ffe0003,0xffff102f,0x6fc88001,0x2efffb80,0x3bfff710,0x20cffe80,
    0x7fc40000,0x01360001,0x3fffb800,0xffffe980,0x0033ff63,0x47ffffd3,
    0x2000cffd,0xfeefffd9,0xfd000cef,0x99999dff,0xfb999999,0xffe80bff,
    0xb103feff,0x3f66000b,0xceffeeff,0x7ffd4000,0xecaabcef,0x4003ffff,
    0xabeffff9,0xfccbaaaa,0xfff300ff,0x555557df,0x81fff997,0x000effc8,
    0xbfffffa8,0xdfffd500,0xffffd101,0x9000bdff,0xffb3000d,0x000017ff,
    0x000b7f6e,0x077fff54,0x00effc88,0xfffffa80,0x77fff40b,0xcccccccc,
    0x5fffdccc,0xfffd7100,0x9ffffddd,0x3ffea001,0x8000eeef,0x0003efdb,
    0x400007e2,0x00efffea,0x05503730,0x55037300,0x77510000,0xffb80013,
    0xffffffff,0xffffffff,0xeb9803ff,0x037500bd,0x2eea2000,0x774c0009,
    0xffffffff,0x01abceff,0x3fffba20,0xffffffff,0x45ffffff,0xfffffee8,
    0xffffffff,0x7e45ffff,0x02efffff,0xffffffa8,0x3ffa3fff,0x5effffff,
    0x05000000,0x7ffff5c0,0x001effff,0x80005540,0xfffffffe,0x3fff25ef,
    0xa802efff,0xffffffff,0xfffff73f,0xffffffff,0x7fffffff,0x97551000,
    0x20001357,0x002ceda8,0x00002a60,0x7f40000c,0xefffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64000000,0xeeeeeeee,0x3baa01ee,0x03eeeeee,0x00980c40,0x37ffcc00,
    0x00000000,0x74403000,0xeeeeeeee,0xeeeeeeee,0x260003ee,0x93000000,
    0x1000a017,0x20002603,0x00003101,0x00031018,0x00000200,0x00000000,
    0x00000000,0x00000000,0x00002cc0,0xa8022000,0xffffffff,0x01005fff,
    0x00018800,0x00155544,0x3ffffae2,0x3f6a002e,0xfb8001ff,0x00ffec4f,
    0x03ffea00,0xfff88000,0xffffffff,0xfff88007,0x3fff2600,0xcccccccf,
    0x004fffed,0x0005ffb0,0x7fffec40,0x3ea00583,0x017fec4f,0x7cc1ffd0,
    0xfd00005f,0x02ffcc1f,0x9ffb3000,0xfff90001,0xffffffff,0xffff1007,
    0xffffffff,0x7ffc4000,0xffffffff,0x00000007,0x2600bf20,0x00000007,
    0x7d407fee,0xffffffff,0x7f5405ff,0x09f10000,0x1fffb800,0xdfff5000,
    0x07fe2000,0x33fff400,0x0000bfff,0x00005ff7,0x7fffffc4,0x007fffff,
    0x802fffb8,0x7000fffd,0xff1000bf,0x5c0000df,0xbfffffdf,0x3fa004b8,
    0xbfff10ff,0x8fffea00,0x0001fffd,0xfb1fffd4,0x200003ff,0x005ea9cf,
    0xffffffc8,0x803fffff,0xfffffff8,0x0007ffff,0x3fffffe2,0x007fffff,
    0xf1000000,0xfd9103ff,0x0017bfff,0x3ff60000,0x55555104,0x03555555,
    0x003ff766,0x400036c0,0x20002ffe,0x0004fff8,0xfc8001fa,0x01fffc5f,
    0x005fc800,0x55555400,0x02aaaaaa,0x00fff980,0x000fffc8,0x7f400172,
    0x3a00004f,0xfffff910,0x7fe4003f,0x801fff46,0x3ee1fff8,0xf880007f,
    0x1ffee1ff,0x26354000,0x554c000f,0xaaaaaaaa,0x5555001a,0x55555555,
    0x55544000,0xaaaaaaaa,0x00000002,0xf70bffa0,0xfd73f7bf,0x440001bf,
    0x13fe6009,0x7cc00000,0x1fa8000f,0x1ffc4000,0x3ffe2000,0x01fa0004,
    0x4c0cb880,0x6c00002c,0x00000007,0x01ca8000,0x001fff70,0xc880034c,
    0x1600000b,0x00bfff66,0xc9819710,0x4164c003,0x300001ca,0x00395059,
    0x0be13200,0x00000000,0x00000000,0x00000000,0x7e45f880,0xffb8f30e,
    0x3f726001,0x0aceffff,0x00001db3,0x003fe600,0x00009f10,0x200009f7,
    0x20004fff,0x0000007d,0x17440000,0x00000000,0x3ee00000,0x034000ff,
    0x20000000,0x00006200,0x00000000,0x00000000,0x1f31e600,0x00000000,
    0x00000440,0xdd900000,0xdddddddd,0x77775403,0x44ddeeee,0x21e63ff9,
    0xfc8801fc,0xeca89bcf,0x00abdfff,0x3a627ec4,0x0ff9802e,0x00036c00,
    0x200005d8,0x20004fff,0x0000007d,0x02880000,0xdddddd90,0x5403dddd,
    0xeeeeeeee,0x3ee00003,0x000000ff,0x80000000,0x00000008,0x00088000,
    0x00000000,0x9f97dd00,0x3bbba000,0x05eeeeee,0x00026c00,0xddddddd1,
    0xdddddddd,0x7107dddd,0x05dffffd,0x0fffed40,0x7983ff20,0x7d401f88,
    0x7fe401ef,0xfff7001f,0x4037ff43,0x2a000ff9,0xe880001f,0x3fe00000,
    0x1f60004f,0x7777775c,0x2a01eeee,0xeeeeeeee,0x44000002,0x2effffeb,
    0x3fff6a00,0xeeeeee81,0xf705eeee,0x880001ff,0xeeeeeeee,0xeeeeeeee,
    0x80003eee,0x7740004d,0xeeeeeeee,0x01360005,0xeeeee880,0xeeeeeeee,
    0x03eeeeee,0x0bbee200,0xfff71000,0x800039ff,0x980007f8,0xcccffffc,
    0xffedcccc,0x3ffea04f,0x3ff10006,0x4c3ffd00,0x7dc03d07,0xff7000df,
    0xfff7003f,0x4037ff41,0xf1000ff9,0x00400009,0x13ffe000,0x2607d800,
    0xaffffffe,0xfffc8800,0x3f6200bf,0x801774c4,0x0006fffa,0xfb8807fe,
    0x201cffff,0x9800fffb,0x7ffe4c02,0xcccccccf,0x004fffed,0x0003fc40,
    0x7ffffdc4,0x3e20001c,0xfc980007,0xcccccfff,0x4fffedcc,0x03fc4000,
    0x9fff9000,0x3ff20000,0xffb00002,0x17ee001f,0x004fff88,0x7f401fa0,
    0x0e41e63f,0x000fff88,0x44037fe4,0x0f74c3fd,0x8007fcc0,0x000000fc,
    0xff8004c0,0x1f60004f,0x0fffff20,0x007bfe00,0xfe87ffee,0xfff1006f,
    0x03f4000b,0x804fffc8,0xb800fffb,0x1fffb003,0x0017ee00,0x0005ff90,
    0x013fff20,0x00bff200,0x07ffec00,0x0005fb80,0x00017fe4,0x002fffb8,
    0x06fff880,0x1fff9000,0xf102e400,0x740009ff,0x1dff7007,0xfd0041e6,
    0xff1000bf,0x0000007f,0x54007fcc,0x2600002f,0x7cc2cddb,0x09fff002,
    0xd803ec00,0x44004fff,0xff7001ff,0x037ff41f,0x0009fff0,0xffb803ec,
    0xfffb802f,0x9003e800,0x64001fff,0x3fe20005,0xf700006f,0x880005ff,
    0x00006fff,0x4001fff9,0x3e20005c,0x500006ff,0x00003fff,0x003ffff7,
    0x01fff700,0x3fe034c0,0x1f60004f,0x477ffcc0,0x7fe40079,0xffb0001f,
    0x0000001f,0xd1003fe6,0x3ae0000b,0x9effdbbe,0x3fe004e8,0x1f60004f,
    0x0ffffc40,0x4007f700,0x774c3fd8,0x13ffe001,0x5007d800,0xf7003fff,
    0x333333ff,0x2007fb33,0x2000fffb,0x3ee00069,0x80001fff,0x0001fffa,
    0x00ffffdc,0x07ffdc00,0x4000d300,0x001ffffb,0x01fffa80,0xffffe800,
    0xffb80004,0x2034000f,0x20004fff,0x3ffa007d,0x26007bff,0x20005fff,
    0x2aa5fffa,0xaa982aaa,0x3e600aaa,0x007e400f,0x4c27d400,0x4005ffff,
    0x20004fff,0x3fee007d,0x0bf1005f,0xf0000000,0x6c0009ff,0x3fff5007,
    0xfffff700,0xffffffff,0x3ffee007,0x00034000,0x009ffffd,0x03fff500,
    0xffffe800,0xffb80004,0x0034000f,0x09ffffd0,0x3fff5000,0xdbf98000,
    0x40000fff,0x0000fffb,0x0027ffc0,0x74400fb0,0x2007ffff,0x0003fffb,
    0xf753fffc,0xec981fff,0x3e603fff,0x00be600f,0xa81be600,0x7c002fff,
    0x360004ff,0x7ffec007,0x000fd803,0xff800000,0x1f60004f,0x00fffd40,
    0x4ccfffdc,0x3feba999,0x01fff700,0x3e600000,0x000fffdb,0x00fffd40,
    0xffb7f300,0xfb80001f,0x000000ff,0xfffb7f30,0xffa80001,0x7ec0001f,
    0x003fffa8,0x007ffdc0,0x13ffe000,0x4007d800,0x0effffe8,0x03fffc80,
    0x0ffff400,0x4403ffe6,0xf9303fff,0x017a037f,0x00bfe600,0xf800dffd,
    0x360004ff,0x7ffc4007,0x00fea00f,0x20aaaaaa,0x00aaaaa9,0x0004fff8,
    0x7fd401f6,0xfffb801f,0x801f4400,0x0000fffb,0xf51fb000,0xa80007ff,
    0x20001fff,0x3fffa8fd,0x7ffdc000,0xb0000000,0x07fff51f,0x1fffa800,
    0xe93e2000,0x5c0006ff,0x29800fff,0x009fff00,0xc8003ec0,0x402fffff,
    0x0002fffe,0x2217ffec,0x3fa00fff,0x5555503f,0x7101f905,0xffc805bb,
    0x3fffb200,0x13ffe002,0x8006d800,0x3a05fffb,0xfff75006,0xffec981f,
    0x4fff803f,0x401f6000,0xb801fffa,0x3b800fff,0x01fff700,0x44000530,
    0x01bffa4f,0x03fff500,0xfe93e200,0x7dc0006f,0x029800ff,0xfe93e200,
    0x7d40006f,0x320001ff,0x07ffee1f,0x0fffb800,0xff003b80,0x3ec0009f,
    0xffff5000,0x7fffc09f,0x7fec0001,0x00fff84f,0x8000fff6,0xfffb83f9,
    0xffd01fff,0x3fe3f201,0x3ffe005f,0x01ba0004,0x417fff40,0x7cc001fc,
    0xfff100ff,0x09fff007,0xa803ec00,0xfb801fff,0x03a800ff,0x001fff70,
    0x7e400077,0x007ffee1,0x01fffa80,0x7dc3f900,0x2e0001ff,0x3b800fff,
    0xb87f2000,0x20001fff,0x0001fffa,0xbfff117e,0x7ffdc000,0xf003e800,
    0x6c0009ff,0x7fcc0007,0xff985fff,0x640000ff,0xfff85fff,0x00fff600,
    0x45f06e80,0xff885fea,0x3fa3f707,0x3ffe006f,0x01ba0005,0x07fffcc0,
    0xf10009f3,0x7ff401ff,0x04fff803,0x5401f600,0xfb801fff,0x400000ff,
    0xe800fffb,0x117e0003,0x4000bfff,0x0001fffa,0x5fff88bf,0x3ffee000,
    0x0003e800,0xbfff117e,0x7ffd4000,0x05f50001,0x0001fffb,0x2667ffee,
    0x3fd99999,0x009fff00,0x20003ec0,0x5ffffbf9,0x007fffcc,0x17ffee00,
    0xfd803ffe,0x1f70003f,0x3ff70770,0xfa87ffa8,0x801fff61,0x20005fff,
    0x3ee0005f,0x003ba4ff,0xb007ffc0,0xfff007ff,0x03ec0009,0x801fffa8,
    0x0000fffb,0x4cfffdc0,0xfd999999,0x05f50003,0x0001fffb,0x0007ffea,
    0x3ff60bea,0xff70000f,0x3333333f,0x20007fb3,0xfffd82fa,0xfff50000,
    0x41ba0003,0x0003fff9,0xfffffff7,0x07ffffff,0x0013ffe0,0x4c0007d8,
    0x49fffd37,0x001ffff8,0x427ffe40,0x3f600fff,0x3f88003f,0x207fc400,
    0x3e60fffb,0x003ffdc2,0x2000dffb,0x740004f8,0x02fb9fff,0x803ffe00,
    0xff803ffd,0x1f60004f,0x00fffd40,0x0007ffdc,0xffff7018,0xffffffff,
    0x1ba0007f,0x001fffcc,0x001fffa8,0xfff306e8,0x3fee0007,0xffffffff,
    0xd0003fff,0x0fffe60d,0x0fffd400,0xd01fcc00,0x2e000fff,0x99999fff,
    0x003feba9,0x40009fff,0x3cc0007d,0x7c1fffd1,0x40001fff,0xff82fffd,
    0x0fff600f,0x2001ba00,0xfffa85fa,0xff507f31,0x7ffe400b,0x02fa8000,
    0x77ffcc00,0x7fc0005f,0x0fff600f,0x0013ffe0,0xff5007d8,0xfff7003f,
    0x20790001,0x9999fffb,0x03feba99,0x3a03f980,0xf50007ff,0xf98003ff,
    0x01fffa03,0x4cfffdc0,0xfeba9999,0x03f98003,0x4001fffa,0x8001fffa,
    0x3fea00fd,0xffb8002f,0x01f4400f,0x0004fff8,0xf30001b6,0x361fff98,
    0x40002fff,0xff81fffe,0x0fff600f,0x0003f700,0xfff303fb,0x3ee09d17,
    0x3fe6003f,0x0fd8003f,0xfffc8000,0x7fc0000f,0x0fff600f,0x0013ffe0,
    0xff5007d8,0xfff7003f,0x00f98001,0x8801fff7,0x0fd8003e,0x00bffea0,
    0x007ffea0,0x7d401fb0,0xfb8002ff,0x1f4400ff,0x5007ec00,0x50005fff,
    0x88003fff,0x5fff804f,0x0fffb800,0xff003b80,0x3740009f,0xd0f30280,
    0x7ffe45ff,0x7ffc0003,0x00fff80f,0x8800fff6,0x3f98004f,0x17b7ffe0,
    0x4002ffc8,0x2000effd,0x200003fb,0x80005fff,0x3f600fff,0x4fff803f,
    0x401ba000,0xc801fffa,0x74000fff,0x03ffee06,0xf1000ee0,0x0bfff009,
    0x03fff500,0x7c027c40,0xfb8005ff,0x03b800ff,0x7c027c40,0xfa8005ff,
    0x7e4001ff,0xffffffff,0x001fffff,0x4007ffdc,0xbfff003a,0x80374000,
    0xfc87980f,0x17ffea1f,0x6fff8800,0x6c01fff0,0x1b6003ff,0x9013e200,
    0xfd80bfff,0x7fc4000f,0x7e4400ef,0x7fc00006,0xff80005f,0x0fff600f,
    0x0017ffe0,0xff5006e8,0xfffb003f,0x0ff62003,0x800fffb8,0x7fe4003a,
    0xffffffff,0x4001ffff,0x2001fffa,0xfffffffc,0x1fffffff,0x07ffdc00,
    0x32001d40,0xffffffff,0x01ffffff,0x00fffd40,0x2aaabbe0,0xffbaaaaa,
    0x7fdc004f,0x7c00000f,0x3e0005ff,0xf303f005,0xfd81ffd0,0xf70000ff,
    0x3ffe03ff,0x00fff600,0x22000fd4,0xfff8804e,0x00ffe203,0x67fff440,
    0xffeca88a,0xff800005,0xff80005f,0x0fff600f,0x0017ffa0,0xff5005f8,
    0xfff9803f,0xaaaaabef,0x00fffccb,0x0003ffee,0x55577c00,0xfbaaaaaa,
    0x7d4004ff,0x3be001ff,0xaaaaaaaa,0x004fffba,0x0007ffdc,0xaaaef800,
    0xfbaaaaaa,0x7d4004ff,0x3ea001ff,0x3fff6002,0x3ffee000,0x7ec00000,
    0x9f10006f,0x1e617e00,0xff109ff1,0x3fa0009f,0x07ffa04f,0x8803ffd8,
    0x1f44004f,0x1fffd804,0x8000df70,0xfffffeb8,0x0002dfff,0x00bfff00,
    0x401fff00,0xfd803ffd,0x9f10006f,0x07ffea00,0x3ffffba2,0xffffffff,
    0x405fffff,0x0000fffb,0x2002fa80,0x2000fffd,0x5001fffa,0x7fec005f,
    0x3fee000f,0xa800000f,0x3ff6002f,0x3fea000f,0x01ba001f,0x007fff50,
    0x0007ffdc,0x1fff9018,0x005f5000,0xd8f30ffe,0xfff700ef,0x6ffa8001,
    0xc81ffec0,0xed803fff,0x88ba6000,0x67dc0fa9,0xf710afff,0x4c00001d,
    0x00acfcaa,0x7ffc0000,0xfff80005,0x00fff600,0x0007fff2,0x7d400bea,
    0x200001ff,0x7dc000f8,0x030000ff,0x3ea00374,0x3ea003ff,0x0dd001ff,
    0x03fffa80,0x003ffee0,0x00dd00c0,0x003fffa8,0x4007ffea,0xfe8003f9,
    0x3fee006f,0x03c8000f,0x0007fff3,0x3fe001fb,0x366f31df,0x7ff401ef,
    0x3ffa2004,0x17ffdc01,0x1dffb9d3,0x800bea01,0xfffffffa,0xe98fd44f,
    0x03dfefff,0x0fdc0000,0xff800000,0xfe80005f,0x0fff601f,0x00fffe60,
    0x54003f60,0x00001fff,0x3ee001f6,0x3c8000ff,0xd0007f30,0x7d400dff,
    0x3f9801ff,0x06ffe800,0x003ffee0,0x1fcc0f20,0x037ff400,0x003fff50,
    0x320003f6,0xf7002fff,0xf98001ff,0x03bff600,0x2003fb80,0xfefffeb8,
    0xb1003ffe,0xff300bff,0x3ffa003d,0xffb4ffff,0x4f881bff,0x3bbba200,
    0x7c1eeeee,0x001ba982,0x0ff60000,0x7fc00000,0xfd80005f,0x7fff903f,
    0x03bff600,0x2004fb80,0x0001fffa,0x70007fe0,0x98001fff,0x001fb00f,
    0x005fff90,0x2007ffea,0xfc8000fd,0xff7002ff,0x0f98001f,0x90001fb0,
    0x2a005fff,0xf9802fff,0xfff30005,0x3fff200d,0x20374000,0x800efff8,
    0x220006fc,0x000afca9,0x815dff50,0x4004ffb9,0x23ffffe9,0x0000cffd,
    0x00080000,0x6c000000,0x0000006f,0x0000bfff,0x74c5fff7,0x008effdc,
    0x0077ffc4,0x2a0037e4,0x00002fff,0xf90013fe,0x6e8001ff,0x2000bf30,
    0x5006fff9,0xf9805fff,0xfff30005,0x3fff200d,0x98374000,0xff30005f,
    0x3fee00df,0x03fe803f,0x0bfffe00,0x007fff60,0x4401fec4,0x88acfffe,
    0x005ffeca,0x0001e600,0x3bbffb22,0x0002dfff,0x00aa06e6,0x00000000,
    0x00000000,0x0085bff5,0x3ffe2000,0xffd00006,0x3f69ffff,0x4400dfff,
    0x88acfffe,0x005ffeca,0x003fffb8,0x077ff200,0x00fffec0,0xfd03fd88,
    0x7ffc0007,0xfffb802f,0x001ff403,0x005ffff0,0x2003fffb,0x7fd03fd8,
    0x7fffc000,0x7fff5402,0xdff9100e,0xfff50001,0x3e6017ff,0xaaabefff,
    0xfffccbaa,0x3ffae000,0x2dffffff,0x03cc0000,0x2ee62000,0x0000000a,
    0x00000000,0x00000000,0x3ffffa00,0x300003fe,0x017ffffb,0xfffe9800,
    0x033ff63f,0xfffeb880,0x02efffff,0xefffea80,0xff100000,0x303fddff,
    0x557dffff,0xff997555,0xeffc881f,0xfffa8000,0xfd500bff,0xf9101dff,
    0xf50001df,0x2017ffff,0xabeffff9,0xfccbaaaa,0x7fe440ff,0xffa8000e,
    0x7f40bfff,0xefffffff,0x3fffff25,0xffa802ef,0x3fffffff,0xfffffdd1,
    0xffffffff,0x000bffff,0x2ab32aa2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64c00000,0x80000bde,0xffffffeb,0x40001eff,0x002a81b9,
    0xaccaa980,0xffe8000a,0x5effffff,0xbd950000,0xfffee887,0xffffffff,
    0x45ffffff,0xeffffffc,0xffffa802,0x3a3fffff,0xffffffff,0xfffff95e,
    0xff5005df,0x7fffffff,0x3ffffba2,0xffffffff,0x645fffff,0x2effffff,
    0xfffffa80,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00110000,0x04003100,0x0004c000,0x03100001,0x01000000,0x00800020,
    0x3ecc0000,0x00040020,0xc893ae20,0x5540003e,0x0008002a,0x0000a881,
    0x01013ae2,0x33300020,0x00260001,0x02aaaa00,0x26017600,0x4c000000,
    0x10008001,0xeedc8800,0x200000bd,0x50044019,0x40001555,0x00066200,
    0x1ffff5c0,0x500dd000,0x640001fd,0x7fe4c00f,0xbd0000ce,0x1dfb8800,
    0x200e9800,0x6dc4004a,0x00003dff,0x80fffd71,0x0006c03c,0x24fffc98,
    0x0006fffd,0x0007fff3,0x221d8079,0x4c000fff,0x4c04fffc,0x8012a00d,
    0x2006fffb,0x0dffffd9,0x0bfff000,0x3205f100,0x01dffffe,0xffffffd3,
    0xdffffd30,0x01b30019,0xff5001dc,0x05fff97d,0x3fff2600,0x1641beff,
    0x005fff50,0x65ccbe20,0x1cfffffe,0x98cfc800,0xfb8003fe,0x3ff76600,
    0x05f50000,0xffdacf88,0x00fb8004,0x3f2b7e20,0x81fc8003,0x3e6000fa,
    0x04fc98cf,0xfffcc800,0x442fc407,0xbb30004e,0x7ff49fff,0xfc8001ff,
    0xbf10004f,0xffb89b01,0x3766003f,0xfc804fff,0x1000fb81,0x005fffff,
    0xfffffff7,0xff98005f,0x0fb8000e,0xb88e7fcc,0x7fd404fe,0x677fec7f,
    0x801ffffe,0x006b81ed,0xf910ffea,0x7ecc003f,0xba98bdff,0x403fddff,
    0x10005ffb,0x35bfffff,0x3dffb731,0xf51fea00,0x1fcc001f,0x000ff980,
    0x1d805e88,0x26003fe4,0x235c003f,0xff88006b,0x9800fee3,0x05fe81ff,
    0x0fff5000,0x3a21df70,0xfd80000f,0x3fffee4f,0x05fe8004,0x88f7d400,
    0x7ffcc0fd,0x9ffb0001,0x5c7ff100,0x33f6003f,0x7c406fe9,0xffffdacf,
    0x07fe4007,0x7c45d800,0x00ffa02f,0x5fe4fffd,0x17ffec41,0xfc8bfe20,
    0x41bfa002,0xf7006ff8,0xff7003df,0x0ff9007f,0x3bffe200,0x17ffcc02,
    0x7fc27fc0,0x8017a004,0xc8000ff9,0xbf30000f,0x8005e800,0x000fc43e,
    0x37e6ffdc,0x20bff100,0x80003ff9,0xfd007ff8,0x0007fd7f,0x1113ff20,
    0xf98009f1,0xffd00006,0x32a07fd7,0x3ff20001,0x9bff7004,0x27cc00df,
    0x1f407fb1,0x017ffe44,0x20003fd0,0x037ec2f8,0xfd803fea,0xe801d57f,
    0x7e401fff,0x2006fccf,0x3f604ff9,0x77fe401f,0x13fea000,0x40017ec0,
    0x26006ff9,0x3e204fff,0x007fe83f,0x7cc001f9,0x17cc000f,0x001db000,
    0x640007dc,0xd0003d45,0x4005ffff,0x3f601ffc,0x7775c006,0x5eefffee,
    0x1bfffea0,0x4ffb8000,0xb8005f10,0xf300000f,0x0000ffff,0x004ffb80,
    0x00bffffa,0x01f703e8,0x5ffe8077,0x0005f300,0x7ff107dc,0x202ff880,
    0x00e9fffc,0x405fff88,0x01fffff8,0xc80ffee0,0x3fee03ff,0x5fb8000f,
    0x0009d100,0x98001ff3,0xff502fff,0x801ffd07,0x7cc002f9,0x02f4000f,
    0x002fa880,0x44000fe2,0x003eb9cf,0x017ffea0,0x5c07ff88,0x3ae003ff,
    0xefffeeee,0x7fff405e,0x3ee00002,0x000d504f,0xd800003b,0x00002fff,
    0x0027fdc0,0x400bfff5,0x0c25402a,0x802ffdc0,0x2f40003b,0xf1013fe6,
    0x7ffe407f,0x3ff6002f,0x7ffdc00f,0x17fe4004,0x2607ff90,0x20003fff,
    0x01a2005e,0x40007ea0,0xfc80fffc,0x01ffd82f,0x7cc002f4,0x03f2000f,
    0x3fffee00,0x000db003,0x003efd98,0x3ee00000,0x37fcc05f,0x1ffe2000,
    0x40000000,0x1fa84ffb,0x00000800,0x00008000,0x00027fdc,0x00000000,
    0x1003ff98,0x42f88000,0x7d406ff9,0x3fff200f,0x7ffd4004,0x6c000004,
    0x3ff602ff,0x00dffd01,0x04006b80,0x00035400,0xf70dfff1,0x01ffb07f,
    0x4c0007e4,0x7f3000ff,0xffd98000,0x000fdc02,0x00000080,0x04ffd800,
    0x0002fff8,0x0001ffe2,0x7fdc0000,0x0000f644,0x00000000,0xffb8000d,
    0x00000004,0xff500000,0x20000001,0x09ffd07b,0x3f2037e4,0x7c4000ff,
    0x000007ff,0xfd00fff4,0x13ffe60d,0x000d1000,0x00075000,0x4c1fffd8,
    0x07fe84ff,0x4c000be6,0x0dd000ff,0x02ffc000,0x000009f1,0x2aaaaa00,
    0xaaaaa982,0x007fff00,0x73007ffd,0xfff159db,0x37b6e600,0x32a2000b,
    0x4ffb8cde,0x6dd400e2,0x6dcc1bde,0x73000bde,0x3c039bd9,0x66f65440,
    0x2004ffb8,0x001bddb9,0x1cdecb98,0x00ff2000,0x0e6f65cc,0x3f20bd00,
    0x2ff982ff,0x003ffe40,0x2a07ffe8,0x001bceec,0x7d407ffa,0x5fff903f,
    0x54030000,0x001bceec,0x2a000044,0x7fc44fff,0xd106ff84,0x7fcc000b,
    0x000fb800,0xd817ee00,0xeca80006,0x5d401bce,0x64c0ffff,0xf983fffe,
    0xffe803ff,0x2b3fa204,0x07ffdfdb,0x7edf7ec4,0xefa803ff,0xffeffcab,
    0x67f4c004,0xf74ffeba,0x05fffd9f,0xfebbdfc8,0x200f885f,0xffcabefa,
    0xfc804ffe,0x0effdbbe,0xd77bf900,0xf1000bff,0x2f7f2007,0x8805ffeb,
    0xffff102f,0x4017f449,0xb0007ffc,0xfe981fff,0x05fffbad,0xf503ffd0,
    0x7fffc05f,0xd3000000,0xbfff75bf,0x98000000,0x7ec0ffff,0xc817fcc5,
    0x3e60000f,0x01fc400f,0x40fee000,0x260001fa,0xfffbadfe,0x0fff9805,
    0x507fff10,0xfb005fff,0x07fa60bf,0x881ffff2,0x7ffcc1de,0x1037ee03,
    0x4009ffff,0xffe84ff9,0x7ffcc2fe,0xe82fe882,0x80fcc5ff,0x7fc40dfb,
    0x3fa204ff,0x02fff984,0x3fa0bfa2,0x17a2005f,0x3a0bfa20,0x03dc05ff,
    0x277fffe6,0xff9001ee,0x3ff6000f,0x213fe61f,0xfe804ffd,0x0fffee1f,
    0x007fff98,0x09ff3000,0x00009ffb,0x7fffc400,0xf90ff441,0x000bea0d,
    0xe801ff30,0x20260006,0x009f106e,0x6c27fcc0,0x7fc404ff,0x0fffa00f,
    0x2007ffee,0xff886ffd,0x81fff603,0xfff700fd,0x201ff701,0x2004fff9,
    0xffb81ffd,0x0dff703f,0x3fee09fb,0x2e0bea1f,0xfff300ff,0x3037e409,
    0x3f603fff,0x03fff704,0x019ffd30,0xffb827ec,0x2017a01f,0x05fffff9,
    0x003ffe40,0x362fffc8,0x7ff981ff,0x261ffe80,0xa81efffd,0x00006fff,
    0xf303ffb0,0x000000ff,0x882ffff8,0x80dfdbee,0x4c0004f8,0xf701bffc,
    0x3fe20003,0xb00dfcce,0x7ec0001f,0x07ff981f,0x3600fff8,0xfffb83ff,
    0x87ffd801,0x7fdc07fc,0x4407f507,0x7fc45fff,0x027ff404,0xf501ffd0,
    0x3fe201ff,0x403fea2f,0x3ee2fff8,0x2027fc42,0xff504ffe,0x85ffe805,
    0xff100ffa,0x7ff5c05f,0xfa80efff,0x5fff100f,0x4c00be20,0x001fffff,
    0x4001fff2,0x3fa2fffc,0x01fff01f,0xfb01ffe8,0xfffb83ff,0xfd000006,
    0x03ffe03f,0x3bbbbba2,0xeeeeeeee,0xfeeeeeee,0x2e603fff,0x881b601b,
    0x55500bdb,0x09f10555,0x97305f70,0x17d40359,0x7f417dc0,0x01fff01f,
    0x3600fff8,0xfffc83ff,0x47ffd800,0x7c404ff8,0x803fd07f,0x7fe46fff,
    0x027fe400,0x3ea0df70,0x1fffc07f,0x4da80bfd,0x3ff21fe4,0x827fe400,
    0x7d401ffd,0x02ff42ff,0xb730136a,0xd0dffffd,0x04da80bf,0xfe9801ee,
    0x9002ffff,0x2e000fff,0x1bf21fff,0x7400fff8,0x3ff601ff,0x17fff20f,
    0x37e40000,0xf101fff0,0x9999bfff,0x99999999,0xffff9999,0x1fa80007,
    0x7fd5df70,0x4036c000,0x40002ffa,0xffa805e8,0x3e06fc82,0x7ffc00ff,
    0x20fff600,0xd800fffb,0x1ffe46ff,0x221ffe20,0xffffffff,0x227fffff,
    0xffb807ff,0xf5004004,0xffffffff,0x3e69ffff,0x9fb0004f,0x5c03ffc4,
    0x0fff04ff,0xf993ffe0,0x7000004f,0x7cc3ffff,0x4e80004f,0xfb1bf500,
    0xf9007fff,0x3ee000ff,0xf300c0ff,0xffe801ff,0x8fffe601,0x0006fffb,
    0xff980600,0x3ffff00f,0xffff0000,0x27c40005,0x17f46fa8,0x200fd400,
    0x0002fff8,0x3e2007e4,0x4c0302ff,0x7fc00fff,0x0fff600f,0x2007ffea,
    0x7ff46ffe,0x43ffc402,0x9999aff9,0x21999999,0xfb806ff9,0xea80004f,
    0x9999ffff,0x50999999,0x3a0007ff,0x01bfe65f,0x3e213fee,0xdffd006f,
    0x0001ffd4,0x49fff300,0x40003ffa,0xefa802f8,0x0bffff20,0x000fff90,
    0x2201ffee,0x00fffeeb,0x3a00fff4,0x3ffe66ff,0x20000006,0x0fffeeb8,
    0x005fffb0,0x01ffff00,0xf8836c00,0x007fdc3f,0xe8809f10,0x20002fec,
    0x674402f9,0xd71002fd,0xf801fffd,0x3ff600ff,0x01fff983,0x7fc5ffe8,
    0x3ffc401f,0x8000ffd4,0xfb805ffb,0xd710004f,0x00dff57f,0x0007ff70,
    0x5ffb9bfe,0xb84ffb80,0xffb006ff,0x001ffdcf,0x9bfee000,0x40003ffb,
    0x1ff9807b,0x00ffffb8,0x4001fff2,0x32206ffc,0x01fff1df,0x5c01ffe8,
    0x3ffe27ff,0x88000007,0x1fff1dfc,0x00ffff20,0x0ffff300,0xa80fdc00,
    0x1ffcc1ff,0xd801db00,0x40005fd5,0xfb5d805e,0x1dfc8805,0xff801fff,
    0x0fff600f,0x200bffe2,0x3fe24fff,0x3ffc401f,0x8001ffdc,0xfb806ffc,
    0xffb8004f,0x00fff50c,0x0009ff90,0x6ffc9ffe,0xc84ffb80,0xff9007ff,
    0x0027fe4f,0x3ffe2000,0x0009ff90,0x6fd804e8,0x813fff20,0x90007ffc,
    0x3bf20bff,0x2007ffc1,0x7d401ffe,0x3fffe0ff,0x32000001,0x07ffc1ef,
    0x005fffb8,0x037ffd40,0x3203f880,0x27fc41ff,0x5c02fa80,0x0005fd0e,
    0x1d7003f2,0xefc80bf6,0x2007ffc1,0x3f600fff,0x07ffd03f,0x261fff88,
    0x7c402fff,0x04ffa87f,0x00fff900,0x44009ff7,0x7fcc0efd,0x7fdc000f,
    0x7ff88005,0x2e01fff2,0xfffb84ff,0x25ffb800,0x00005ffb,0x3ee7fe80,
    0x3e20005f,0x027fc402,0xfc81fff2,0xff90007f,0xf01bfb09,0xffe801ff,
    0x07ffcc01,0x0007fffb,0x2037f600,0xff300fff,0x6c0001ff,0xd0004fff,
    0x80ffd80d,0x4f8806ff,0x5fd07d40,0x807f3000,0x40bf60fa,0xfff80dfd,
    0x007ffc00,0x3ee07ffb,0x3ffcc04f,0x2201fffc,0xfff987ff,0x7fdc5000,
    0x27fdc00f,0x101ffb00,0x46001fff,0x7000fffa,0x7dc3ffe6,0x7fdc00ff,
    0x01fffa84,0x3ea3ffc8,0x007000ff,0xffa9bf60,0x7b87000f,0x402ffa80,
    0xf900fff8,0x3f6000ff,0x807fec2f,0x7f400fff,0x3ffc401f,0x001bffe2,
    0x0ffd8220,0x6401fff0,0x10003fff,0x0001ffff,0xffe801f7,0xc807ff80,
    0xd07e600f,0x0dd0005f,0x17ec2f98,0xff807fec,0x07ffc00f,0x2207ffb0,
    0x7fd407ff,0x406ffe85,0xff887ff8,0x2a69804f,0x7dc03fff,0xbff1004f,
    0x401fffc0,0x09fff33a,0x3ffea930,0x807fff51,0xff884ffb,0x1ffc804f,
    0x2013ffe6,0x9fb00049,0x4027ffcc,0x64027449,0x7fd802ff,0x001fff20,
    0x3fe63ff4,0x003ffe05,0xf8803ffd,0x2fffc86f,0xf98ec000,0x03ffe05f,
    0x000fffd0,0x000bfff2,0x3f200fe6,0x037fc41f,0xce880be6,0x9bfe9999,
    0x403f7000,0xe9999ce8,0xbff309bf,0x2007ffc0,0x3f601ffe,0x03ff603f,
    0xfd81ffd8,0x3fe202ff,0x2fffe80f,0xfff12740,0x04ffb80d,0x6c0bff50,
    0x07c407ff,0x4403fffd,0x25fff71e,0x5c06fff8,0xfffb04ff,0xfd0ffb00,
    0x0f4403ff,0x740ff800,0x3a201fff,0x2a00be61,0x6fc803ff,0x5c1fff20,
    0xb89ff05f,0x3ffe05ff,0x50fff401,0x883ff981,0x0000ffff,0x02ffdc79,
    0xfa803fff,0x7cc004ff,0xbd0005ff,0x107fee00,0x05e80bff,0x7fffffcc,
    0x9803ffff,0x7ffcc03f,0x3fffffff,0x7fc0bff7,0x1ffec01f,0x203fffc8,
    0xff303ff9,0x3bffe209,0x01fff100,0x309ffff3,0xfffc81f9,0x017ff204,
    0xc807ffdc,0xe980dfff,0x0ffffd45,0xfff93754,0x027ffe47,0x3e60bff9,
    0x3fe202ff,0x1ffffa83,0x70006ea8,0xffff507f,0x7b8dd503,0x00bff100,
    0x7fe407fd,0x1fffc40f,0xff503fe2,0x3fff501f,0x47ffa022,0x07fd47fc,
    0x00efff98,0x3fea2dc0,0x1fffa80f,0x3fff2011,0xffff3003,0x01f90001,
    0xf50ffe60,0x007e405f,0x74cccccc,0x6e8009bf,0x33333300,0x3ea137fd,
    0xfffa80ff,0xfff70111,0x7fee74c5,0x1ff5008e,0x5c01dfb0,0x74c1efff,
    0xfd813fff,0xfecdffff,0x9ffff03f,0x11ffff70,0x27ffc401,0x3fffbb62,
    0x0ffecace,0xceffffd8,0x3f20fffc,0x7fffc4ff,0x8ffffb84,0x0fffe408,
    0x3f605fc8,0xffccefff,0x80676c0f,0x3ff604fa,0xfffcceff,0xf7002740,
    0x037d403f,0x3a07fff6,0x40fe46ff,0xb11dfff8,0x1d37fffd,0x3f23fff0,
    0x1013f60f,0x1005dffd,0xbfff10bb,0x3fffb623,0x3ee00e9b,0x7fc403ff,
    0xf98000df,0x22fe4003,0x0be606fd,0x005fd000,0xb00007ee,0xdfff885f,
    0x7fffdb11,0x3ffa01d3,0xffb4ffff,0x3ee01bff,0x01df910d,0x9dffff90,
    0xfffff7fb,0xffffd887,0x2604ffff,0xecdffffe,0x1effffcd,0x67fffec0,
    0xffe88dfd,0x01ffffff,0xffffffb1,0xfffa85ff,0x7ffff4c2,0xfffcdecd,
    0xfffb81ef,0x01bf910a,0x7ffffec4,0x7fcc2fff,0xfda9acff,0x7ffec402,
    0x4c2fffff,0x7fdc001f,0x200ee982,0xb85ffffa,0x2fb8bfff,0x3fffff60,
    0x3ffffb4f,0x263fff50,0x04fc88ff,0x7dfffb10,0x9fd95135,0x7ffffec0,
    0x3ffffb4f,0x7bffd100,0x3fff2a23,0x017a0003,0x7e467ec0,0x0017a01e,
    0x2200bfa0,0xfd80004f,0xfffffd82,0x3ffffb4f,0x7ffff4c0,0x0033ff63,
    0x33ffbf6e,0x3ffee000,0xeff88eff,0x7fffdc02,0xfd8802ff,0xff74ffff,
    0x3f220039,0x6c42efff,0x01efffff,0xdfffffc8,0x106fe880,0x29fffffb,
    0x5401cffb,0x2dfefffe,0x3ffff200,0xfff900df,0x0019dfff,0x6fffffe4,
    0x30007b80,0x7fd99dfd,0x3fffba60,0xb14effff,0x801bffff,0x22ffffb8,
    0x74c1effa,0x3ae1ffff,0xb8003eff,0xffffffec,0x7dc401cf,0x3fea2fff,
    0x7f5c001e,0xdeffffff,0x03f20000,0xcefda800,0x0003f200,0x3600bb20,
    0xec80000e,0xffffb882,0x007bfea2,0x01540dcc,0x0009a880,0x3902ae60,
    0x01ba9800,0x209ba880,0x710000ba,0x35730035,0x01573000,0x37510030,
    0x20005d41,0x40001ba8,0xa8800ab9,0x980001aa,0x00ae00ab,0x03553100,
    0x5dc40000,0x10098001,0x01100003,0x2ee62000,0x0980009a,0x10000310,
    0x00003795,0x00000000,0x00000000,0x4c000000,0x00003100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22aa8800,0x22002aa8,0x2a20000a,
    0x260002aa,0x20000099,0x20002aaa,0x00002aaa,0x00013100,0x00000662,
    0x2001004c,0x2aaa0aaa,0x09988000,0xaaa98000,0x15554001,0x00180000,
    0x02880326,0x01998800,0x4c400002,0x00000009,0x10000031,0x0080c403,
    0x00033310,0x3002aaa8,0x30003555,0x400000fb,0x55440001,0x27fdc02a,
    0x22009ff9,0x90001fff,0x20003fff,0x0006fffa,0x007fff30,0x00fffdc0,
    0x76dcc000,0xd71001df,0x3bfffdff,0x7ff5c000,0x0b31bdff,0x7ccdff30,
    0xff98006f,0x6c0000ff,0x64000eff,0x80000fff,0x1effedb8,0x6442fc80,
    0xeb88004f,0xbdffffff,0x10000d10,0x0003ffff,0xfffd9500,0x000059df,
    0x107dc0f7,0xffb00dfd,0x3ea0009f,0x3fa003ff,0xfd71006f,0xb80000ff,
    0x003efffd,0x401fffb8,0x1bf60ffd,0x04fffa80,0x005ffd00,0x1fffffc0,
    0x27fe4000,0x27fe4000,0xffb10000,0x7ec40017,0x7dcc40ad,0x3fa6002e,
    0xffecaadf,0xffa805fe,0x0007fee2,0x013ffffa,0x00fff880,0x007ffb00,
    0x7dc7dd00,0x9dfa800f,0x44001efb,0x31bdeffd,0x0fddff95,0xffffb000,
    0x74c0000b,0xca98acef,0x20001eff,0xf51b206d,0x7fd403ff,0xc8000fff,
    0x744004ff,0xfcd800ff,0x100007ff,0xff9117fd,0x7ff4001b,0x7c2fe802,
    0x3fe2002f,0xff88001f,0x37ee0003,0x0000ffe9,0x00002ff4,0x20000dfb,
    0x4000dffa,0x2a000cfa,0x7fc400de,0xbfff300d,0xfc8bf900,0x8efa8004,
    0x50001ffd,0xe80003ff,0x7ec0005f,0x8027fc40,0x8002fffa,0x8803ffe9,
    0x40007ffd,0x2ffc9ef9,0x5ffb8000,0x01ffec40,0x17a04e80,0x7407fff9,
    0x005ffaaf,0x30005ff8,0x7d4007ff,0xe880007f,0x0eff881f,0x803ff880,
    0x02fc45f8,0x800164c0,0x220004fb,0x0027e45f,0x0001df10,0x0001fe80,
    0x4001ffe4,0xb10002fc,0x0ffec03d,0x2017fe60,0x007f40fd,0xdf706f40,
    0x00bf6000,0x003fa200,0xfd82fe40,0xfffe9807,0x7ffd4002,0x07fe4002,
    0x5c1dd000,0x7ec0006f,0x3ff2003f,0x81fc4005,0x7ffe43f8,0x74c5f703,
    0x1be6001f,0x00bf5000,0x0003ffcc,0xff702ff4,0x00bf5009,0x01f503e6,
    0xbb000000,0x704c8000,0x3ee0003f,0xf8800000,0x3fee0003,0x88fb8004,
    0x00999999,0xff880eb8,0x00bf3005,0x0005f05f,0x00bea0b7,0x800013e0,
    0xff0002f9,0x8813ea09,0x1ffd8cfd,0x05fff300,0x0007fa00,0x1f4c0754,
    0x06ffb800,0x003fff80,0x0fcc07e6,0x220fffee,0x006d881f,0x200003ae,
    0xff1000fb,0xffa8000f,0x00fffc01,0x83b801b6,0x0000002b,0x20000e88,
    0x002cc049,0x000001d8,0x7cc00166,0x1f98006f,0xfddfffd5,0x176019df,
    0xe8013fea,0x2cc2c405,0x22024400,0x002cc005,0x4002d400,0x10003ff8,
    0x7ffc41bf,0x04ffe801,0x0007e200,0x0036202c,0x005fff30,0x001fff70,
    0x07dc03ee,0x320bffea,0xe8015c01,0x0b200001,0x003ffc40,0x7003ffa0,
    0x00e80bff,0x00004020,0x00080012,0x40000000,0x08000000,0x01ffd000,
    0xff887d00,0x03ffee26,0xfff70ba2,0x0402dc00,0x00000008,0x00000200,
    0xffa80008,0x54060002,0x3f200fff,0x6c0000ff,0x00000002,0x0037ff40,
    0x005fff88,0x4c36c0db,0x00001fff,0x80000080,0x0fff1000,0x03ffc400,
    0x1007ffcc,0x00000000,0x0000001a,0x00000000,0x00000000,0x2000fff2,
    0x70dff06a,0x51aa0dff,0x26007fff,0x00000005,0x00000000,0xf9000000,
    0x2000007f,0xff105ffd,0x530000bf,0x00000000,0x0017ffdc,0x005fff90,
    0x442f40bd,0x00000fff,0x00000000,0x003ffc40,0x100fff30,0x00003fff,
    0x037bb730,0x2001a200,0x01bceeca,0x41555554,0x80aaaaa9,0x982aaaaa,
    0xa80aaaaa,0xa982aaaa,0x2a00aaaa,0xd8000fff,0xf10dff03,0x887e01ff,
    0x7004ffff,0x82aaaaa8,0x00aaaaa9,0x06f76e60,0x5eedcc00,0xbb730001,
    0xffd80037,0xca880003,0x82fffacc,0x0001fffc,0x2aaaa600,0x2aaaa1aa,
    0x5540aaaa,0x3ff61aaa,0x3ea0001f,0x333225ff,0xccccefcc,0x22ccefcc,
    0x6dcc07ff,0x26000bde,0x000bdedb,0x02f7b6e6,0x931ffe20,0x7fd4059d,
    0x3fff800f,0x9bcedc88,0x77df902b,0x8001dffb,0x3fa60059,0x05fffbad,
    0x03fffeea,0x07fffd93,0x81ffff75,0x83fffec9,0x40ffffba,0x03fffec9,
    0x03117ffe,0xdff00f88,0x6403ffa0,0x77fffec4,0x7fdd4001,0x7f64c0ff,
    0xefc803ff,0x00effdbb,0xfb77df90,0x3f2001df,0x0effdbbe,0x009ff900,
    0xebcefb80,0xff87ffff,0x000000ff,0x33ffffaa,0x3ffff6e1,0x7fed40be,
    0x03fffe2e,0x7fff9800,0x3fbbbba6,0xfeeeeeee,0x1ffe4eee,0x7edf7ec4,
    0x7ec403ff,0x03fffdbe,0x7edf7ec4,0x7fc403ff,0xfffffd17,0x3fff501d,
    0xb89ffd00,0xfffdabdf,0x4c27f443,0x3a002fff,0x09ff3002,0xf9809ffb,
    0xfff100ff,0x07ffcc07,0x203fff88,0xf100fff9,0x3fea07ff,0xfffec8af,
    0x3e06a81d,0x05ff886f,0x3fffa1a6,0x4c000dff,0xff100fff,0x27f4407f,
    0x1017ffcc,0xfff309fd,0x427f4405,0xc802fff9,0x360005ff,0xffffa84f,
    0x01fffe62,0x7ff40000,0x01fffa07,0xffff11be,0xfff88000,0xb81f200f,
    0x10dfd00f,0xfff983bd,0x983bd103,0xbd103fff,0x03fff983,0x3fa3ffe2,
    0x0fffffff,0x4017ffcc,0x13e65fff,0xdf90ffa2,0x00fffcc0,0xfd8007dc,
    0x07ff981f,0xd007ffc4,0x7fc407ff,0x0fffa00f,0x200fff88,0xff903ffe,
    0xffb79f9f,0x205b87ff,0x7fec46ff,0x3a21e201,0x03ffffff,0x803ffe20,
    0x3f203ffe,0x07ffe606,0xff3037e4,0x81bf203f,0x9981fff9,0x999effc9,
    0x05fc8009,0xfa9bffee,0x000006ff,0x201fff30,0x7cc07ff9,0x037ffd42,
    0x0ffffc00,0x036c0db0,0x01fb0bfb,0x3603ffee,0x1fff700f,0x3ee01fb0,
    0xfff100ff,0x7ff4c19d,0x2fffc44f,0xfb27ffc0,0xfa8fe203,0x2fff402f,
    0xe8013e60,0x1fff01ff,0x200fff80,0x7fc03ffd,0x0fff600f,0x6c01fff0,
    0xffff03ff,0x5fffd019,0x5dff0264,0x0019fd95,0xfffb101f,0x2005ffff,
    0x3f600fff,0x05ff503f,0xfa85ffe8,0x2fff402f,0x3a017fd4,0x7ffc45ff,
    0xffffffff,0x017fcc05,0x7dc3fffa,0x754005ff,0xefffffff,0x202ffd81,
    0x1b202ffe,0x0017ffee,0x80ffffa0,0xc813a04f,0x101fd44f,0x3fa8bfff,
    0x517ffe20,0x7ffc407f,0x05fff105,0xb07fffa2,0x7c403fff,0x80ffe3ff,
    0x007ff63d,0x2205fff5,0x3f2000ff,0x003ffe06,0x7ec01fff,0x07ffc03f,
    0xf807ffb0,0x3ff600ff,0x04fff883,0x3c9bffa2,0x3fb3ffe0,0x803e002f,
    0xffffffea,0x07ffc00d,0x3607ffb0,0x7fd401ff,0x00ffec2f,0xfb0bffea,
    0xfffa803f,0x3f733222,0x02ccccff,0x7dc03fec,0xbfff93ff,0x7ffec000,
    0x1bfea02f,0x3e05ffb8,0x05fffc83,0x3fffe800,0x3e207f10,0xfd0fee03,
    0x46fff803,0x7ffc01fe,0x3e00ff46,0xfff106ff,0x44fff980,0x700efff8,
    0x77fc5fff,0x3ffc7500,0xb04fff80,0x403000bf,0x7c00fff9,0x3ff600ff,
    0x007ffc03,0xff807ffb,0x0fff600f,0x700fffe2,0x812e7fff,0x0dff16ff,
    0x7dc01e20,0x00ffffff,0xfd803ffe,0x00fff03f,0xfff13ffe,0xf13ffe00,
    0x3ffe00ff,0x01bfea04,0x100fff10,0x3fee9fff,0x3ea0006f,0xfff805ff,
    0x01fff900,0xfff501f5,0xffd0000d,0x407ea03f,0x8bea01fa,0xfffffff8,
    0x27ffffff,0xfffffff8,0x27ffffff,0xfffffff8,0x07ffffff,0xfb00fff1,
    0xdfff70bf,0xfffd7315,0x1fffec1f,0x401bfe20,0xffa86ffe,0xeb880002,
    0x7c00fffe,0x3ff600ff,0x007ffc03,0xff807ffb,0x0fff600f,0x100bffe6,
    0x816a9fff,0x13fea6ff,0xc8801a60,0x00efffff,0x7ec01fff,0x06ff883f,
    0x7c4dffd0,0xdffd006f,0xe8037fc4,0x3fea06ff,0x37fd4005,0xf55ffe80,
    0x4c000fff,0xfc804fff,0xffef883f,0xff305d84,0xff0000ff,0x81f201ff,
    0x87e600fb,0x9999aff9,0x21999999,0x9999aff9,0x21999999,0x9999aff9,
    0x01999999,0xf700fff1,0x3ffe60df,0xffe9dfff,0x77fffd46,0x00dff702,
    0xff11fff6,0xfc88000d,0x801fff1d,0x3f600fff,0x07ffc03f,0xf807ffb0,
    0x3ff600ff,0x02fff983,0x0f35ffd8,0x3ff237fc,0x4002dc01,0x05ffffe9,
    0x7ec01fff,0x06ffb83f,0x7dcfffb0,0xfffb006f,0xd8037fdc,0x3fe607ff,
    0x37fdc005,0xf16ffd80,0x20001fff,0x9804fff8,0xf9ec86ff,0x8817c47f,
    0x0000ffff,0xc89fffe2,0xccccfecc,0xccccfecc,0xffa83e62,0x3ff50001,
    0x07fea000,0x1ffe2000,0x881ffea0,0xff30acb9,0xffff705f,0x7ffc83df,
    0xd8fff900,0x320004ff,0x07ffc1ef,0xd803ffe0,0x7ffc03ff,0x00fff600,
    0x7ec01fff,0x05fff03f,0x174dff90,0xefe86ff8,0x0088ba00,0x41ffff60,
    0x3f600fff,0x07ffc83f,0x7e4fff90,0xfff9007f,0xc803ffe4,0x3fe207ff,
    0x3ffe4004,0x3e6ffc80,0x10003fff,0x3a009fff,0x74be21ff,0xd01ee2ff,
    0x40003fff,0x3e65fff9,0xffffffff,0xffffffff,0x7ff71e25,0x0ffee000,
    0x01ffdc00,0x03ffc400,0x80037fcc,0x3a607ffd,0x2e3fffff,0xfb800fff,
    0x017ffc5f,0x1bfb07d7,0xf801fff0,0x3ff600ff,0x007ffc03,0xff807ffb,
    0x0fff600f,0x6401fff4,0x7c16e5ff,0x04ff986f,0x4003a8f3,0xff81fffd,
    0x0fff600f,0x2003ffee,0x3fee5ffb,0x5ffb800f,0x2003ffee,0x3e205ffb,
    0x7fe4003f,0x4ffc800f,0x001bfff2,0x8027ffc4,0xb9ae4ffb,0xb013a5ff,
    0x40005fff,0xf103fffa,0x200fe205,0x0027fd47,0x0004ffa8,0x00009ff5,
    0xf300fff1,0xff3000bf,0xfff5007f,0x3ffea9ff,0x23ffc801,0x3a01fff8,
    0x03ff60ff,0x3e007ffc,0x3ff600ff,0x007ffc03,0xff807ffb,0x0fff600f,
    0x5c027fec,0x207e24ff,0x7ff706ff,0x005a89b0,0x7c1fffcc,0x3ff600ff,
    0x01fffa83,0x3ea3ffc8,0xffc801ff,0x007ffea3,0xf880fff2,0x7fd4001f,
    0x2ffc802f,0x007fffe2,0x013ffe20,0x47d3ffc4,0x1f98fff8,0x037ffc40,
    0x40dffb00,0x03f501fa,0x0fff9810,0x7ffcc500,0x7fcc5000,0x2205000f,
    0xffa807ff,0x5ffc8003,0x7fffdc00,0x804fff88,0x3fe61ffc,0x4fff201f,
    0x3fe05ff9,0x07ffc00f,0xf807ffb0,0x3ff600ff,0x007ffc03,0x3ee07ffb,
    0x2ffc806f,0xffda87d4,0xcffd82df,0x01f50d70,0xf81fff80,0x3ff600ff,
    0x04fff883,0x3e21ffc8,0xffc804ff,0x013ffe21,0xf8807ff2,0x3e655007,
    0xffd803ff,0x02fffdc1,0x027ffc40,0x1f55ffb0,0x06cbffd8,0x005fff70,
    0x403fff30,0x001ee07c,0x4027ffc4,0x13ffe269,0xfff89a60,0xf1069804,
    0x5ff700ff,0x0fff8800,0x7ffcc0b0,0xb00fffb3,0x2fff88ff,0x7dcffe60,
    0x07ffe05f,0x6c03ffd0,0x7ff403ff,0x00fff601,0x7ec03ffd,0x03ffa03f,
    0x5720dfb0,0x81999998,0x1f989998,0x7c003fa8,0x1ffe80ff,0x6c0fff60,
    0x7fd807ff,0xd807ffd8,0x07ffd87f,0xfc987fd8,0x7c400efe,0x201bffa1,
    0xfffd07fe,0xfff88005,0x37fea004,0xfeff984e,0x1bffa002,0x013ff600,
    0x0036c0db,0x805fffd0,0x17fff44e,0xfffd13a0,0xf104e805,0x0dfd00ff,
    0x405ffd00,0x57ff200f,0x2202fff9,0x4ffe83ff,0xffa8ffc0,0x1fffa80f,
    0x07ffb011,0xb00ffff2,0x3ff207ff,0x1ffec03f,0x203fffc8,0x3e205ff9,
    0x0037a02f,0xf502fa80,0x3fe6005f,0x207ffb05,0xf303fffc,0x7fc405ff,
    0x02fff983,0x3e60ffe2,0x3fe202ff,0x7ecd74c3,0x2a21beff,0x27ffcc7d,
    0x2205ff10,0x2001fffe,0x4004fff8,0xfd00ffff,0xff9800ff,0x3fea002f,
    0xd027c00e,0x98393009,0xc984ffff,0x7fffcc0f,0x4c0fc984,0xc984ffff,
    0x0fff100f,0x4000ffa8,0x1fc01ffd,0x7e47ff30,0x0bf901ff,0x4c03ffe6,
    0x37ffe25f,0x7fffdb11,0xfff701d3,0x7fee74c5,0xfff7008e,0x7fee74c5,
    0xfff7008e,0x7fee74c5,0x5ff9008e,0x32013f20,0x7ec4002f,0x0fffea01,
    0x201dfd10,0x3a62fffb,0x808effdc,0xf901fffc,0x0fffe40b,0x3f205fc8,
    0x0bf901ff,0x7ff76c59,0x3fffffff,0x901fffc8,0xffe8807f,0xfff1002f,
    0x4ffc8009,0x0013fee0,0x200fffa6,0x4400dffb,0x807f102f,0x7ec0fff9,
    0xfecdffff,0xffffb03f,0x07ffd9bf,0x37fffff6,0x2203ffec,0xfd102fff,
    0x0efd8005,0xf501ff80,0xafffb83f,0x401bf910,0x7542fffb,0x7fffec0e,
    0xffffb4ff,0x7ffff403,0xffffb4ff,0x3fffa01b,0xfffb4fff,0x3ffa01bf,
    0xffb4ffff,0x3fa01bff,0x001fdc1e,0x4c017df5,0x7d400dfc,0x221bdfff,
    0x7401effa,0xb4ffffff,0x701bffff,0x32215fff,0x7fdc00df,0x1bf910af,
    0x0afffb80,0x7901bf91,0x7ffe43e6,0x3205ffff,0xf910bfff,0x7ffdc009,
    0xfff7102e,0xff98003b,0x007fe201,0x41cffc80,0x002ffda8,0x07e603f5,
    0x887fff70,0xfffffffd,0x3ff6204f,0x04ffffff,0x3fffff62,0xfc804fff,
    0x3fa61cff,0x33fa6003,0x19fff000,0xea817f44,0x02dfefff,0xfdfffb10,
    0x3fee207f,0x3bfea2ff,0x7fff4c01,0x033ff63f,0x7ffffd30,0x20067fec,
    0x23ffffe9,0xb800cffd,0x02eedeff,0x9bdfd500,0x0039ffd9,0x3fb2a7aa,
    0x03ffffff,0x7ffffd30,0x20067fec,0xdfefffea,0x3ffaa002,0x2002dfef,
    0xdfefffea,0x0bf7e602,0x09ffffd3,0xfdffff50,0xd710005b,0xffdddfff,
    0x400019ff,0x006d805e,0xefffd980,0x000ceffe,0x807b81f2,0xf700fff9,
    0x005fffff,0x3fffffee,0xffff7002,0x6cc005ff,0x0dffffff,0x67fedcc0,
    0x7ff7c000,0x802efddf,0x40001ba8,0x260009a9,0x98003100,0x8002a81b,
    0x002a81b9,0x02a81b98,0x00035300,0x55e54c40,0x98198001,0x0009acba,
    0x02a81b98,0x001ba880,0x000dd440,0x8006ea20,0x05544028,0x006ea200,
    0xcbaa8800,0x000009ab,0x00530035,0x9bba8800,0x40770000,0x0171003a,
    0x00037530,0x40006ea6,0x40001ba9,0x32001ba9,0x820001ab,0x0001aba8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x4c000009,0x26003001,
    0x05d80099,0x02660000,0xda800000,0x0100081d,0x002fb260,0x00099980,
    0x00033100,0xdddddd10,0x9ddddddd,0x0701e540,0x20020010,0x5004800b,
    0x1801c079,0x03000110,0x40020022,0x01804400,0x0701e540,0x05555400,
    0x807ae200,0x400c801b,0x2004800b,0x20001101,0x00180001,0xfffdfb10,
    0xd950005d,0x05bdffff,0xffb801f9,0x00fb806f,0x3ff22000,0x00001eff,
    0x17fffcc0,0x0077016a,0x01fd79f7,0x0bfff900,0x3ffae200,0x001dfffe,
    0xffffffc8,0x3fffffff,0x2ffffe98,0x01e401cc,0x01ae0076,0xffe980b9,
    0x201cc2ff,0x7fdc6ff9,0x8dff3003,0x74c03ffb,0xfb812a00,0x00ffec3f,
    0x0bffffa6,0x3e200093,0x322005ff,0x3aa01fff,0x2a01ae00,0x201ae00e,
    0x7fdc6ff9,0x0fff4003,0x01ffe800,0xe982fee0,0xfd1004ff,0xdb71135d,
    0x00bea3bf,0x05fffff1,0x00002f88,0xf933bff3,0x4000005f,0xd85ffffa,
    0xd006c81e,0x44003e87,0x001fffff,0x102b7f62,0x4005df73,0xffffffff,
    0x81ffffff,0xeffffdee,0xf8802d9b,0x8026c40d,0xdbaceff9,0x6f7402ff,
    0xd9beffff,0x0fffe402,0x3200fffd,0x3ffa1fff,0xa81fc807,0x9fffa00f,
    0x6c04fff9,0xbeffffde,0xf50002d9,0x7f6400df,0x3e201fff,0xffdbacef,
    0xceff8803,0x803ffdba,0x3fa1fffc,0x3fe6007f,0xff98004f,0x09f3004f,
    0x2e027ff4,0x7f4404ff,0xfc804fcf,0x400ffe9d,0xf880005d,0x00ffa85f,
    0x3ffa0000,0x17fcc0ff,0x1f3005f9,0x7ec006b8,0x5006ff9c,0x7540019f,
    0x6f7d400d,0xaaaaaaac,0x265886fc,0x0efffffd,0x223df700,0x3ee000fe,
    0x05ffffff,0xfffd32c4,0xfa801dff,0x17ff60ff,0xb07ffd40,0xff100bff,
    0x3601fdc7,0x1fffc5ff,0x7fec4b10,0x0000efff,0x30001df9,0xfa803fff,
    0x06ffffff,0x3ffffea0,0xff5005ff,0x02ffec1f,0x005fff10,0x005fff10,
    0xffa80bfa,0x07ffb01f,0x01fff620,0x4fd893e6,0x00007dc0,0x7fc0bff6,
    0x01c80001,0x3f203f63,0x2005fdcf,0x30026c2f,0x01fec47f,0x44000bf2,
    0x03b601ed,0x1cc1fec0,0x0077ff54,0x3fafffa0,0xfffb8003,0x839804ff,
    0x000effea,0x0cc883b7,0x91076e00,0x3fee0019,0xc8806fcd,0x201ecc0c,
    0xeffea839,0x07fe0000,0x01fff800,0xdfffffa8,0x7ffd4000,0x2a000cff,
    0x0066441c,0x8000b660,0xff1002d9,0x83fff809,0x44007ffb,0x26c03fff,
    0x3e200fb8,0x3ffc0002,0x80005fd0,0x836401f8,0x01fffff8,0x3f26bb20,
    0x640fa000,0x401f700f,0x4261aba9,0x00e880eb,0x00207fe0,0x3ea00011,
    0x20006fff,0x1000aba8,0x00000880,0x00000000,0x017ffff4,0x40080000,
    0x7cc00008,0x7ffc0001,0x35751001,0x55d44000,0x00000001,0x00000000,
    0xfd01ffe2,0x3fff989f,0x7fffe400,0x49807500,0x10002ec0,0xff301fff,
    0x1fc80003,0xff701fc0,0xfb88009f,0x0aa002df,0x03f30950,0xfb77bfb1,
    0x42ec7fbf,0x1bea0009,0x6c000000,0x00002fff,0x00000000,0x00000000,
    0x0bfff500,0x00000000,0x003c8000,0x001fff80,0x00000000,0x00000000,
    0xfe800000,0x0fffa01f,0xb800dffd,0x006fffaf,0x007d4000,0x81fff980,
    0x540006fc,0x0bb101ff,0x00400000,0x0fa00000,0x7d403bee,0x000ba23f,
    0x00007f90,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd000008,0x0000003f,0x00000000,0x00000000,0xf80dd500,0x3ffee1ff,
    0x64fe6003,0x00003fff,0x8000be20,0x7fcc4fff,0x3fe60001,0x003e981f,
    0x00000000,0x321aa000,0x44f9805f,0x7fc0006a,0x7bb73001,0x00000003,
    0x379dd950,0xceeca800,0xb730001b,0xaaa8037b,0xaaa982aa,0x000000aa,
    0x0bdedb98,0x05555550,0x01555551,0x3a000000,0xb73001ff,0x2aa017bd,
    0xaa882aaa,0xca800aaa,0x8001bcee,0x00bdedb9,0x337b2e60,0xff980001,
    0x00ffff47,0x3fea5f88,0x3bb2a05f,0x176001bc,0x27ffe800,0x20002ffb,
    0xaabffffa,0xc8800a8a,0x22b9bced,0x982aaaaa,0x400aaaaa,0xb9bcedc8,
    0x3fe61ec2,0x3f0b7001,0x01bea000,0x3f6efbf2,0xeb8800ef,0x005eed41,
    0x7dd6ff4c,0xfe9805ff,0x05fffbad,0x36efbf20,0xf7500eff,0xec981fff,
    0x5c403fff,0x40336a1d,0xffdbefd8,0xfffba83f,0x7ff6440f,0x0f5c403f,
    0x8002f76a,0x10551ffe,0xfffb7dfb,0xffff7507,0xfffec881,0x2b7fa603,
    0x1005fffb,0xfffb7dfb,0x77bf9007,0x8000bffd,0x7ffc2ffd,0x41dd000f,
    0xe987fff8,0x5fffbadf,0x0001f500,0x3f6fffee,0x3333221e,0x7fdc3ccc,
    0x1fffffff,0xb57bf700,0x7dd47fff,0x764c0fff,0x3ee03fff,0x3fffdabd,
    0x5fe883e2,0x13212200,0x101fe400,0xfff309fd,0x3fff6605,0xdfffff31,
    0x427fcc01,0x3e604ffd,0x04ffd84f,0x7cc27f44,0x3fe602ff,0x7fff100f,
    0x47fff260,0xe886fffd,0x1fffcc1d,0x200fff98,0xfb303fff,0x3ffe63ff,
    0xfd000eff,0xe883f73f,0x1fffcc1d,0x200fff98,0xff303fff,0x809ffb09,
    0x7fcc1de8,0x05fd103f,0x2000bffd,0x7fc45ff8,0x01fb007f,0x7cc1ffff,
    0x04ffd84f,0x10003f88,0x205fffff,0x1beffffb,0x0007ffa0,0x3fa213e6,
    0x00fff983,0x2607fff1,0x23fe884f,0x01ffd46a,0x80034c00,0x1bf201ff,
    0x5c1fff98,0xfa9fffed,0x05fffebe,0x3e607ff6,0x07ff607f,0xf901ffe6,
    0x0fffcc0d,0x200fff88,0xedb83ffe,0xffeb9fff,0x700fd87f,0xff101fff,
    0x1ffec01f,0x4ffff6dc,0xfffebefa,0xfdffd005,0x2e01fb03,0xff880fff,
    0x0fff600f,0x7cc0ffec,0x807ec07f,0xfd80fffb,0x03fff704,0xa81ff900,
    0xfb806fff,0x43ffff02,0xff981ffd,0x000bb007,0x201ffff4,0xfd005ffd,
    0x3fb0003f,0x3e20fe20,0x3ffa00ff,0x2203fb03,0xff916e3f,0x0f100005,
    0x540df300,0x7ff402ff,0xd9fff105,0x01fffa81,0x3fe03ffd,0x03ffd00f,
    0x7d403ffe,0x2fff402f,0x6c01fff0,0x3fe203ff,0x87d915cf,0x3fe203fa,
    0x01fff05f,0xf101ffe4,0xfa81d9ff,0xffe801ff,0x203fa80e,0xff05fff8,
    0x1ffe401f,0xff01ffe8,0x80fea01f,0x7d45fff8,0x5fff100f,0x81ff8800,
    0x5405fffb,0x3fffa03f,0x7c07ffa3,0x0fa800ff,0x7fff4c00,0x3fee00ff,
    0x03ffd000,0x6c07ff00,0x401fff03,0x7ff03ffd,0xd8991ec0,0xf00001ff,
    0x03fc8001,0xf5007ff6,0x3ffe05ff,0x40bffa05,0x3ffe06fc,0x7c0df900,
    0x3ffb00ff,0x02fffa80,0x7ec01fff,0x7fff403f,0x401fe800,0xfff06fff,
    0x01ffe401,0xfe817ffe,0x1ffe802f,0xff803fd0,0x01fff06f,0xfc81ffe4,
    0x403ffe06,0x7ffc01fe,0x2a02ff46,0x3fc8004d,0x40bfff70,0x7ff405f9,
    0xf81bf23f,0x3f8800ff,0xb3ff9100,0x7ec0bfff,0x07ffa003,0x403bfe00,
    0x01fff03a,0xff81ffec,0x1e47500e,0x00007ffa,0x3fe0007c,0x401ffe01,
    0xffd04fff,0x01ffe403,0x07ffcc03,0x7ffcc030,0x200fff00,0xfff04fff,
    0x01ffec01,0x2200bffa,0xffffffff,0xf07fffff,0x7fe401ff,0x00fff403,
    0xfa807ff9,0xfff881ff,0xffffffff,0x1fff07ff,0x301ffe40,0x407ffcc0,
    0xfffffff8,0x27ffffff,0x00004ff9,0xffa813e0,0x00dd106f,0x0183ffff,
    0x4003ffe6,0xefe8805d,0x05ffff30,0xffd001be,0xfffb0003,0x0fff8007,
    0x6c0fff60,0x4b803fff,0x00017fec,0x3e6003c4,0x01bfe206,0xfe837ff4,
    0x13ff201f,0xffeeb880,0x3ae2000f,0xf880fffe,0xdffd006f,0xd803ffe0,
    0x7ff403ff,0x9aff9801,0x99999999,0x01fff019,0x3a01ffe4,0x3ff201ff,
    0x3ffff204,0x99aff981,0x99999999,0x401fff01,0x22003ffc,0x80fffeeb,
    0x9999aff9,0x21999999,0x00003ffa,0xff880d50,0x801fb07f,0x400ffff8,
    0x0fffeeb8,0x4401f500,0x7fe40dfe,0x00fd40ef,0x0007ffa0,0x0bbfffea,
    0xb007ffc0,0x3fea07ff,0x16a02eff,0x00007ff7,0x3fc800d3,0x401bfee0,
    0xffd07ffd,0x027fdc03,0xff8efe44,0xdfc8800f,0xf701fff1,0x3ff600df,
    0x401fff07,0x7f403ffd,0x1ffa801f,0x0fff8000,0xd00fff20,0x7fdc03ff,
    0xfe9ed884,0x01ffa81f,0x00fff800,0x2200fff2,0x1fff1dfc,0x0003ff50,
    0x0000ffee,0x7fc01640,0x801fc87f,0x2206fff9,0x1fff1dfc,0x440fe200,
    0xff881ffe,0x00fe24ff,0x0007ffa0,0x77ffffdc,0x007ffc01,0x7dc07ffb,
    0x981effff,0x0037fcc7,0x3e002dc0,0x1fff201f,0xe83ffe40,0x3fee01ff,
    0x20f7e404,0x7e400fff,0x407ffc1e,0xf9007ffc,0x03ffe0ff,0x7403ffd8,
    0xffb801ff,0xfff80003,0x00fff200,0x7dc03ffd,0xfd0eb84f,0x07ff703f,
    0x01fff000,0x3201ffe4,0x07ffc1ef,0x8001ffdc,0x00004ffc,0xffd001d0,
    0x801fd43f,0xf904fffa,0x00fff83d,0x7fdc1760,0x3fffee06,0x3a000db1,
    0x260001ff,0x03fffffe,0xfd803ffe,0x7ff4c03f,0x42e83fff,0x0a002ffc,
    0x6f9800ba,0x007ffdc0,0xfe82ffdc,0x13fee01f,0xff80dfd8,0x037f600f,
    0x3ee03ffe,0xffb800ff,0x401fff05,0x7f403ffd,0x4ffa801f,0x0fff8000,
    0xd00fff20,0x7fdc03ff,0x0fff4184,0x00027fd4,0xf9007ffc,0x06fec07f,
    0x7d407ffc,0xff70004f,0x1a00000b,0x99fffe40,0x3fee005f,0x80dfd83f,
    0x2a000fff,0x27ffc40f,0x2bbfffa0,0xffd0001f,0xff500003,0x3fe09fff,
    0x0fff600f,0x7ffffd40,0x37f42dc4,0x03cc2d80,0xf500ff20,0xff9003ff,
    0x807ffa07,0xffb04ffb,0x403ffe01,0xfff00ffd,0x03fff501,0x3e07ff90,
    0x3ff600ff,0x00fff403,0x8007ffcc,0x401fff02,0x7f403ffc,0x13fee01f,
    0x2607ffa0,0x05000fff,0xfc803ffe,0x01ffb03f,0x3e603ffe,0x545000ff,
    0x07000fff,0x74401620,0x006e8eff,0x7ec37fec,0x01fff00f,0x3ea1fc40,
    0x7fc403ff,0x20003fff,0x00001ffe,0x203fffee,0x3f600fff,0x7fdc003f,
    0x107e20ff,0x36203dfd,0x74004d82,0x7ffc401f,0x01ffc804,0x7dc03ffd,
    0x05ff984f,0x3e603ffe,0x03ffe05f,0x2013ffe2,0xfff01ffc,0x01ffec01,
    0x22007ffa,0x69804fff,0x6401fff0,0x7ff403ff,0x013fee01,0x3e207ffa,
    0x069804ff,0x7e401fff,0x05ff983f,0x3e203ffe,0x269804ff,0x9804fff9,
    0xf5000004,0x4001fdff,0x7cc1fff9,0x03ffe05f,0xffb8db00,0xfffa806f,
    0x3fa0003f,0x2058001f,0xff83fff9,0x0fff600f,0x7fff302c,0xffb80fa8,
    0x81efdbce,0x37cc006b,0x807ffd80,0x3ffa07fd,0x213fee01,0x3fe05ffb,
    0x05ffb81f,0x7ec07ffe,0x07fd807f,0xfd807ffa,0x0fff403f,0x02fffe80,
    0x1ffe8274,0xd00fff60,0x7fdc03ff,0x01ffe804,0xe805fffd,0x403ffd04,
    0xffb83ffd,0x407ffe05,0x7402fffe,0x00ffff44,0x000003d1,0x000fffec,
    0x3ee0bffa,0x07ffe05f,0x7dc1f500,0xfd800fff,0x1a204fff,0x4000fff4,
    0x17ff200f,0xfd807ffa,0x6401f03f,0x105c85ff,0x20137973,0x7e4001f9,
    0x5fff3003,0xd01ffc40,0x7fdc03ff,0x80fffa84,0x2111fffa,0xfa80fffa,
    0x7cc111ff,0x3fe202ff,0x40fff603,0x7403fffc,0xff3001ff,0x1f9309ff,
    0x640fff60,0x7f404fff,0x13fee01f,0x4c07ffa0,0xc984ffff,0x07ffb00f,
    0x2a13fff2,0xffa80fff,0x7fcc111f,0x0fc984ff,0x40ffffd4,0x32a006ea,
    0x3ffe2001,0x17fea003,0x5407ffd4,0x00111fff,0xffff98fe,0x7fffdc04,
    0x209905ff,0x400c3ffd,0x0ffe603f,0x7e40fff6,0x407f03ff,0x1bd03ff9,
    0x017d4000,0x9000ff40,0x3f203fff,0x017ffc05,0xff109ff7,0x3fb623bf,
    0xf10e9bff,0x3b623bff,0x40e9bfff,0xf901fffc,0x2fffb80b,0x3bff73a6,
    0x05ffd008,0x7ffffec0,0x203ffecd,0x3662fffb,0x008effdc,0x7dc05fff,
    0x1fff804f,0x3fffff60,0x203ffecd,0x3662fffb,0x208effdc,0xb11dfff8,
    0x1d37fffd,0xdfffffd8,0xfb03ffec,0xff99dfff,0x3fea001f,0xfff3000f,
    0xbff7007f,0x37ffe201,0x7fffdb11,0x1b6001d3,0x309ffffb,0xfffb19fd,
    0x1fd77bff,0x223bff20,0x01ff801c,0xff703ff5,0x7ee74c5f,0x0ffc08ef,
    0x3201ffa8,0x7ec4002f,0x06f98001,0x0afffb80,0x4401bf91,0x3f202fff,
    0xffffb05f,0x3fff69ff,0x7fffec1f,0xffffb4ff,0x2bffee03,0x001bf910,
    0x9ffffffd,0x037ffff6,0x8800fffa,0xfffffffd,0xfffe804f,0xfff94fff,
    0xfff881bf,0x017ff202,0xd880bffe,0xffffffff,0xffffe804,0xffff94ff,
    0x7fffec1b,0xffffb4ff,0xffffb103,0x4409ffff,0xfffffffd,0x3ff2002f,
    0x8df8802f,0x220bdffb,0xd802ffd9,0xb4ffffff,0x4003ffff,0x3ffe20fa,
    0xeffeefff,0x7ffffdc1,0x3ea03fff,0xf003ffff,0x7f4419ff,0x3ffffa02,
    0xffffb4ff,0x067ffc1b,0xf5005fd1,0x7e4c017d,0x9f90000d,0x3ffaa000,
    0xb802dfef,0xff105fff,0xff7101ff,0x77fd45ff,0xffffb881,0x007bfea2,
    0xbfdfffd5,0x7ff4c005,0x33ff63ff,0x1dfff500,0xffffb800,0xfd3002ff,
    0x7fe47fff,0xbfff700c,0x03fffe20,0x804fffa8,0x2ffffffb,0xffffd300,
    0x4067fe47,0x22ffffb8,0x5c01effa,0x02ffffff,0xbfffff90,0x7ffa8001,
    0x6441dd00,0xfffeefff,0xff71000c,0x77fd45ff,0x443f8001,0xfffffffc,
    0x3fffaa04,0xffb802df,0x3fbe003e,0x02efddff,0x1fffff4c,0xdf019ffb,
    0x5dfbbfff,0xdefea800,0x01cffecc,0x00065c00,0x4006ea20,0xefffffe9,
    0xfffffb36,0x402601df,0x20130018,0x5d440018,0x0dcc0001,0xffd50154,
    0x003dffff,0x0001ba98,0x40550373,0xefffffe9,0xfffffb36,0x7ff5c1df,
    0x9805ffff,0x730001ba,0x4c005503,0x98003100,0x730001ba,0x54400015,
    0x44019000,0x0000abba,0x0018804c,0x5d440ee0,0x2a2000ab,0x0018000b,
    0x06aea208,0x55037300,0x2aea2080,0x54c40001,0x00001abc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a200000,0x7912dedb,0xfb751000,0xdddddddf,0xdddddddd,0xaa88001d,
    0x7754001a,0x04eeeeee,0x93000110,0x7e4c001f,0x480b7660,0x08803880,
    0xcb800080,0x00300ade,0x80000000,0x3bbba008,0x85eeeeee,0xeeeeeeeb,
    0x04402eee,0xb507ae20,0x1000019d,0x40000001,0xfc880098,0xdd100001,
    0xdddddddd,0x4026660b,0x55402aa8,0xddddd502,0xeea8009d,0x02eeeeee,
    0x2a215555,0x544001aa,0x5b8801aa,0x005ef5cc,0x7f4c07b7,0xffeffdbd,
    0x3ffaa004,0xfffdbaac,0xecccccff,0x4001fffe,0x4000fffc,0xfffffffe,
    0x3ff6a01f,0x75401dff,0xea800fff,0xfff10fff,0xd013609f,0x9807a007,
    0x2fba6005,0x3a64fffe,0x800002ef,0xeeeeeee8,0x7ec2eeee,0x3fee203f,
    0x4c01cfff,0x02dffffe,0xd981fe44,0xfff31fff,0x80003fff,0x0000004d,
    0x6d409fd1,0x00001fff,0x7ffffdc4,0xbfff900c,0xf01bfe60,0x36a201ff,
    0x8003ffff,0x00beffda,0xfd8bfff1,0x7fe4007f,0x3ff2601f,0x3fffff27,
    0x1fffa81e,0xfd80efb8,0xff7004ff,0x3ffee019,0x00fec407,0x0007ffe0,
    0xfffffff7,0x7ffec0df,0x704fffff,0x801fffd9,0x30fffecc,0x2e0fffff,
    0xfecabdff,0x07f5000f,0x3ea003f3,0xd97ffe44,0x0000ffff,0xffff9300,
    0xff98137f,0x7fe402ff,0x3fe2004f,0x7fe4407f,0xfffdb83f,0xfebefa9f,
    0x220005ff,0x0000007f,0x32e09ffb,0x0001fffe,0x07fffb00,0x17ffffc4,
    0x3e037fcc,0xffc800ff,0xf88001ff,0x37fd400f,0x000fff44,0x76c03fff,
    0xfff77fff,0xb81fffff,0x37dc3fff,0x2013ffe0,0xff804ffc,0x003d007f,
    0x40017fcc,0xccccccee,0xdfff901c,0x09fffffb,0x8007ffcc,0x3f60fff9,
    0xffb01fff,0x005fffff,0x17ea4fe8,0xfd80fe80,0x7ffffb3f,0xfe800000,
    0x3fe603ff,0x7fdc05ff,0x7ffc002f,0xfffd9105,0x7ffcc07f,0x7ffd40ec,
    0x5ff90000,0xfa800000,0x7fc404ff,0x9000001f,0x7ec03fff,0xf986fe9c,
    0x07ffc06f,0x0ffffc80,0xc807e800,0x7ff100ef,0x00ffe600,0x0f57ffd4,
    0x88bfffd3,0x3fe20efe,0x027fec02,0x6c017ff6,0x059007ff,0x40027e40,
    0xf98000fb,0x7ffdc0be,0x03ffe02f,0x840fff80,0xff9101fb,0x30005fff,
    0x01ff7dff,0xcc81bf20,0x0bfbbb10,0xffc80000,0x6efe401f,0x3ffea00f,
    0x2fffc001,0x7fff1188,0x205fff80,0x88002ffe,0x00006fff,0x13fffe20,
    0x0007ffa0,0x0fffdc00,0x3f623f98,0x2037fcc3,0xf7000fff,0xd000dfff,
    0x803ff00d,0x9f7006f9,0x6fffcc00,0x1fffe880,0x806fd818,0x3ea04ffc,
    0xffb001ff,0x800aa00f,0x09d0005e,0xa803f600,0x3fe06fff,0x3ffe000f,
    0x8801f700,0x20000aba,0x004ffffd,0xf8001bfa,0x5c000004,0x2e000fff,
    0x0fffd406,0x017ffe00,0x3a01fff4,0x3ff201ff,0xfffb8003,0xb000001f,
    0x3209ff9d,0xeeefffee,0xb80004ee,0x07d01fff,0x6ff983f2,0x8007ffc0,
    0x05fffffb,0x3e603740,0x001f5001,0xff8800bd,0x3ffee00f,0x05ff8804,
    0x3a04ffb8,0x3f6006ff,0x8800007f,0x01f50006,0x3600be00,0x3ffe07ff,
    0x03ffe000,0x0000026c,0x03fffe20,0x0006ff80,0x000005f1,0x000fffb8,
    0xfff500fa,0x5fff8003,0x807ffb00,0x3f201ffe,0xffe8004f,0x800004ff,
    0x04ffb9fb,0xddfffdd9,0x00009ddd,0x5503fff7,0x3fe64a80,0x007ffc06,
    0xffffafb8,0x901ba003,0x403c8007,0xff880068,0x05ffe807,0xb804ff98,
    0xfff504ff,0x3ffec009,0x00440000,0x01cefe80,0x7cc01260,0x1fff00ff,
    0x407ffc00,0x000000ec,0x3e200000,0x0d90006f,0xff700000,0x03e6001f,
    0x003fff50,0xb005fff8,0xffe807ff,0x013fee01,0xfffb7f30,0x7cc00001,
    0xd009ff74,0x000003ff,0x0007ffee,0x2037fcc0,0xf7000fff,0x03ffff53,
    0x00101ba0,0x00110020,0x900fff10,0xff700dff,0x09ff7007,0x800ffffa,
    0x06407ffd,0xfa800000,0x00cfffff,0x1ffe2000,0x2000fff8,0x33620fff,
    0x7bb73000,0x00000003,0x9000dff3,0x0000001d,0x3001fff7,0xfff5009d,
    0x5fff8003,0x807ffb00,0x3ee01ffe,0x47ec004f,0x0003fffa,0x4ffb9ba0,
    0x001ffe80,0x3fff7000,0x3fe60000,0x007ffc06,0xfff71fb8,0x00dd001f,
    0x00000000,0xb807ff88,0xffc807ff,0x04ffb804,0x4005ffff,0x07c07ffd,
    0x2aaaaaa0,0xaaaaaaaa,0x7fffff41,0x00001eff,0x7fc0bff1,0x3ffe000f,
    0x7e4006a0,0x0effdbbe,0x55555540,0xaaaaaaaa,0x006ffa81,0x0edc41ec,
    0x8002f76a,0x5c00fffb,0xfff5002f,0x5fff8003,0x807ffb00,0x3ee01ffe,
    0x93e2004f,0x00006ffe,0x27fdc1f9,0x710fff40,0x200015bb,0x8801fffb,
    0xdff300eb,0x000fff80,0x7ffec3f7,0x4037400e,0x2e200eb8,0x876e200e,
    0xff100cda,0x0fff500f,0x700bff90,0xfff109ff,0x7fec001f,0xf003ea07,
    0xffffffff,0xa87fffff,0xfffffdca,0xf980004f,0x03ffe03f,0x000fff80,
    0x7cc27f44,0x3ffe02ff,0xffffffff,0xffa83fff,0x32604006,0xfff32fff,
    0x2e001fff,0x2ea00fff,0x3ffea000,0x2fffc001,0x403ffd80,0x3ee01ffe,
    0x87f2004f,0x0001fffb,0x3fee1fcc,0x51ffe804,0x01ffffff,0x03fff700,
    0x807ffed4,0x7fc06ff9,0x83f7000f,0x7405fffe,0x3fff6a06,0x0fffda80,
    0xb1fffc98,0x3e20dfff,0x6ffa807f,0x806ffb80,0xffa84ffb,0x7fec007f,
    0xfb99999f,0x00f7c00f,0x200bfff1,0x03ffffea,0x00ffdc00,0x20181fff,
    0x64000fff,0x3ffe606f,0x4403df01,0xff505fff,0x76dc000d,0xbef9afff,
    0x7005fffe,0x00001fff,0x001fffa8,0xd802fffc,0x7ff403ff,0x013fee01,
    0x7ffc45f8,0x17a20005,0x3a013fee,0xcbdfb9ff,0xb8004fff,0xdb901fff,
    0x3e601fff,0x07ffc06f,0x7c41fb80,0x1ba03fff,0x07fff6e4,0x03fffb72,
    0x73fffdb7,0x220ffffd,0xffa807ff,0x1fffa804,0x5c27fdc0,0x6c006fff,
    0xffffffff,0x07c00fff,0x003bffa0,0x01ffff70,0x202fec00,0x3ffa0fff,
    0x000fff80,0xfd00bfea,0xd003e0bf,0x3ea01dff,0xf880006f,0x7d41ecff,
    0xffb801ff,0x5400000f,0x7c001fff,0xffb005ff,0x01ffe807,0x54013fee,
    0x0fffd82f,0x701f9000,0xffd009ff,0xfff981db,0x7ffdc000,0x07ffcc01,
    0x7c06ff98,0x3f7000ff,0x05ffff30,0xfff301ba,0x03ffe601,0x8ae7ffc4,
    0xfff103ec,0x007ff700,0xc80bfff1,0xfffb84ff,0x7ffec006,0xffca9999,
    0x3f203c00,0xf50001ff,0x22000bff,0x7ffc00ff,0xf07fff30,0x7ec001ff,
    0x7ffd401f,0x7fe40782,0x1bfea01f,0x6fff4000,0x005ffb00,0x0001fff7,
    0x01fffa80,0x802fffc0,0x7f403ffd,0x13fee01f,0xff983740,0x2fa8003f,
    0xd009ff70,0x3fa01bff,0x7fdc002f,0x0fff801f,0x440fff30,0xf7000fff,
    0x3fffea03,0xff806e81,0x03ffe00f,0x000fffe8,0xb003ffe2,0x3f6001ff,
    0xfff504ff,0x0ffff709,0x207ffd80,0x500c00f9,0x80007fff,0xb0007ffb,
    0x1fff007f,0x3e07ffe2,0x3fe000ff,0x09fff007,0x1fffd403,0x001bfea0,
    0x9017ff40,0xff7007ff,0xa800001f,0x7c001fff,0xffb005ff,0x02fff807,
    0x26013fee,0x1fffa03f,0x5c09f100,0xffe804ff,0x00fff201,0x003fff70,
    0x3e601fff,0xffe881ff,0x7dc0711f,0x3bfff201,0x7fc03740,0x03ffe00f,
    0x4002ffe8,0x2201fff8,0x41c983ff,0x9bdffff8,0x84ffceca,0x000ffffa,
    0x1d01fff6,0x3ffe2000,0xffd00005,0x05f98001,0x64c1fff0,0x001fff01,
    0x7401bfe2,0x3e2006ff,0xffa805ff,0xffb00006,0x027fdc05,0x0007ffdc,
    0x07ffea00,0x00bfff00,0xf880fff6,0x3fee03ff,0x200fd804,0x2002fffa,
    0x27fdc06d,0x900fff40,0xfb8007ff,0xfff801ff,0x1dfff300,0x3ffabaa2,
    0x0fdc0772,0xd17fff60,0x01fff00d,0xfd007ffc,0xff88003f,0x21bf205f,
    0x7d40fff9,0x75ffffff,0xfff309ff,0x7fec003f,0x80006c07,0x0000effe,
    0x8005ff70,0xfff000ee,0x07ffc001,0x006ffb80,0x7400fffb,0xfa800eff,
    0xfb00006f,0x27fdc05f,0x007ffdc0,0x3ffea000,0x2fffc001,0x203ffd80,
    0x700dfffb,0x4f8809ff,0x005fff80,0xffb803f7,0x01ffe804,0x70013ff2,
    0xff003fff,0x3ffe601f,0xf91ffeff,0x5c01f9df,0x7ff4401f,0x3e01ba4f,
    0x3ffe00ff,0x007ffa00,0x19ffff10,0xfc80efb8,0xfff983ff,0x13fee4ff,
    0x0017fff4,0x0000fffb,0x007fff20,0x01ff9800,0xf8003f60,0x3fe000ff,
    0xfff9000f,0x01fff200,0x800fffe4,0x00006ffa,0x7dc05ffb,0xfffb804f,
    0x7d400000,0x7fc001ff,0x7ffb005f,0xffffff50,0x4ffb81df,0x7ffffe40,
    0xffffffff,0x577c401f,0xdaaaaaaa,0xd02aadff,0x7fdc03ff,0x7ffdc004,
    0x00fff800,0xdffff5f5,0x177ff443,0x26007ee0,0x0dd2ffff,0x7c01fff0,
    0x3ffa00ff,0x7ffc4001,0x4fedefea,0x803ffe60,0x7fdc0ab9,0x07fff704,
    0x003ffec0,0x1fffd400,0x1fe20000,0x4001fc80,0x3e000fff,0xff7000ff,
    0xbff7001f,0x07fff500,0x0037fd40,0x202ffd80,0xfb804ffb,0x400000ff,
    0x4001fffa,0xfb004fff,0x2e00007f,0x577c03ff,0xaaaaaaaa,0x5404fffb,
    0xffffffff,0xffffffff,0x403ffd07,0x5c004ffb,0xfff007ff,0x2a23ea01,
    0x400a600a,0xff5001fb,0xf00dd3ff,0x7ffc01ff,0x007ffa00,0x262fff10,
    0x171001ba,0x27fdc000,0x005fff88,0x3001fff6,0x2fffc401,0x37c40000,
    0x8002fa80,0x3e000fff,0xff5000ff,0x7ff9003f,0x05fff880,0x0037fd40,
    0x202ffd80,0xfb804ffb,0x400000ff,0x4001fffa,0xfb002fff,0x2e00007f,
    0x0bea02ff,0x00fffd80,0x3fffffea,0xffffffff,0x3ffd07ff,0x0027fdc0,
    0x7c01bfee,0x03f900ff,0x07ee0000,0xeffffb80,0x00fff806,0xfe803ffe,
    0x7fc4001f,0x00000007,0x3204ffb8,0xfb000fff,0x074400ff,0x001dffb0,
    0x009f5000,0x3e0005f3,0x3fe000ff,0xfff1000f,0x03ff9009,0x000effd8,
    0x00037fd4,0x2e02ffd8,0xffb804ff,0x0588000f,0x8003fff5,0xfb001fff,
    0x3200007f,0x01ba01ff,0x407fff50,0x99999998,0x9dffc999,0x03ffd019,
    0x20027fdc,0xff005ffb,0x00bf601f,0x00fdc000,0x1bffff60,0xf803ffe0,
    0x3ffa00ff,0x3ffc4001,0x037aa000,0x027fdc00,0x2009ffd1,0x32007ffd,
    0x07fff206,0xdb000088,0x0007f300,0xf0007ffc,0x7ec001ff,0x07fd807f,
    0x100fffe4,0x00dff501,0x80bff600,0xfb804ffb,0x2c8000ff,0x403fff50,
    0x000fff80,0x00007ffb,0x7cc03ff2,0x6ffe8003,0x9ff70000,0x403ffd00,
    0x20204ffb,0xff004ffb,0x013fe01f,0x00fdc000,0x037fff40,0xff007ffc,
    0x0fff401f,0x01ffe200,0x009fff00,0x5013fee0,0xff005fff,0x0fe600ff,
    0x201fffd4,0x7002a21b,0x03f9803f,0x1fff0930,0x007ffc00,0x405fff30,
    0x3ea03ff8,0x40dc03ff,0x00006ffa,0x7dc05ffb,0xfffb804f,0x807cc000,
    0xf982fffa,0x002ffc4f,0x00007ffb,0x0fd813f2,0x2fffc800,0x4ffb8000,
    0x201ffe80,0xffb04ffb,0x800ffdc1,0xff980fff,0xf7000005,0xfff10003,
    0x01fff00d,0xfd007ffc,0xff88003f,0x3fe20007,0xff90005f,0x5fff300b,
    0x07fffd40,0x2203fea0,0x1d805fff,0x3202fffa,0x01fcc02f,0x7fc0fdc4,
    0x3ffe001f,0x7ffe4001,0x440bf901,0x1d805fff,0x0006ffa8,0x5c05ffd0,
    0xffc805ff,0x17a2001f,0xc83fffb8,0x1ff10fff,0x01ffec00,0xfe85df30,
    0x000bf300,0x001bffe6,0x2013fee0,0x3f202ffe,0x4fff884f,0xff8013f2,
    0x06ffa81f,0x05f90000,0x01bfe600,0xff807ffe,0x0bffa01f,0x01fff100,
    0x017fe400,0x006ffe80,0x135bffd1,0xdfffff73,0xfb955557,0x3bff60df,
    0xfb0fc400,0xdfb9dfff,0xeeffa803,0xfffeeeee,0x2fff886f,0x03fff100,
    0x15fff700,0xd8037f22,0x7c400eff,0x007ffb81,0x407fff00,0xfd806ffb,
    0xff5003ff,0x3fffaa07,0x77ffcc0e,0x6c002fb8,0x3ee003ff,0x02fc9eff,
    0xf8000ffa,0x40002fff,0x7c404ffb,0x3ff202ff,0x15fffb05,0x7fc400dd,
    0x06ffa82f,0xdffa8000,0x0df70001,0x102fff88,0x7f405fff,0x7fd4003f,
    0x0040002f,0x7ffedc40,0xd9800bdf,0xffffffff,0xffffffff,0xc83fffff,
    0x9999afff,0x20ffca99,0xdffffff9,0xffffa803,0xffffffff,0xfffb84ff,
    0x9fff7004,0x3ffaa000,0x6402dfef,0x9999afff,0x40ffca99,0x003fffe9,
    0x02fffd40,0x4c01fffd,0xccefffff,0xfffedccc,0x7ffff40f,0x325effff,
    0x003fffff,0x0077ffcc,0x1dffffd0,0x03bff220,0x3fffea00,0xf70000bf,
    0xfffa809f,0x1fffd105,0xbfffff30,0x7ffdc001,0x003ff884,0xffffd100,
    0x9000bdff,0x4fffb80d,0x209fff70,0x800efffa,0xcfffffcb,0x20000003,
    0xaaaaaaa8,0x4cc4000a,0x00000999,0xfffffff1,0xffffffff,0x00155301,
    0x7fffffc4,0xffffffff,0x3fffaa1f,0xfd505eff,0x00bdffff,0x4006ea20,
    0xfffffff8,0xffffffff,0xfffffd50,0xe98009ff,0x8eefffff,0xffffffd8,
    0xfffdd11e,0xffffffff,0x0dffffff,0x55d44000,0x3ffb6000,0x003effff,
    0xffc80351,0x802effff,0xfffffffa,0xfb8003ff,0xffff504f,0xfb31dfff,
    0x01bfffff,0x5c003773,0x4efffffe,0x000000c4,0x70280000,0x9dfffffd,
    0x3fffffae,0xffffd54e,0x55403dff,0x02aaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77776400,0x01eeeeee,0x3bbbbbaa,0xdddd73ee,
    0x00bddddd,0xddddddd3,0x3bbbbaa7,0x3ba66eee,0x4eeeeeee,0xdddddd30,
    0x01f9303d,0x00017e44,0x64404ea8,0x4c00001f,0xa802cedc,0x0aaaaaaa,
    0x0aaaaa88,0x44002001,0x74c0bddb,0xeeeeeeee,0x5cc0003e,0xed81cdec,
    0x42eeeeee,0x2eeeeee8,0xddddddd3,0x0001dddd,0x0380f2a0,0xddddddd1,
    0x0005dddd,0xb8871009,0x7105102c,0x8066d43b,0xb9bcedc8,0x3bbbbae2,
    0xeeeeeeee,0x2eeeeeee,0xddddddd3,0x57999ddd,0xeee98005,0x3eeeeeee,
    0xeeeeeec8,0x1001eeee,0x7f5c4003,0x2002efff,0x981fffda,0xadfffffc,
    0xfff93000,0xfffc987d,0xfff702ff,0xa88019ff,0x7540cfff,0xfda80fff,
    0x880002ff,0xfda82fff,0x100001ff,0xffb35df9,0x2a59999b,0x0beffffe,
    0x0bfffb88,0x402c8097,0xfffdbee8,0xffffd985,0x640000ae,0x5ffebbdf,
    0x67fffdc4,0x3bff7101,0xdffff930,0x26000015,0x4c2ffffe,0x7ffe4c04,
    0x00009bff,0x2e3e809b,0x5c1effff,0x47fff261,0xfb86fffd,0x3fffdabd,
    0x3ffffff2,0xffffffff,0x43ffffff,0xffffffda,0xfffffede,0xfb3000bd,
    0x4013dfff,0xcfffffa8,0x17fea001,0x0dfff500,0x007fe200,0x001ffff9,
    0xd803ffa0,0x7dc04fff,0x32000fff,0xffecb85f,0x7fee540f,0xf880002f,
    0x7f65c2ff,0xd00001ff,0xffff309f,0xfffd89ff,0xe82fd802,0xe805c80e,
    0x817ffd45,0x0001fffe,0x7f417f44,0x1fffc85f,0x2007fc40,0x0001fffe,
    0x7ffef6c0,0x002d9bef,0x0007fffd,0x757bff50,0x37e21ffb,0x9adffffe,
    0xfffdb70e,0x8ffffd73,0x3fe884f9,0x3e027bf6,0xfea884ff,0x03fffd03,
    0x3bfff6a2,0x3fffa002,0x3ffea001,0xfffd8006,0x3ffe2000,0x01fa0004,
    0x007fffe2,0x2601fec0,0xfe805fff,0x3f2000ff,0x03ffe600,0x0017ffc4,
    0x2203da80,0x80001fff,0xffb00ffc,0x1fffc405,0xff9837c0,0xfb007f61,
    0x20bff703,0x0000fffd,0xffb827ec,0x1fffc41f,0x3600bea0,0x400007ff,
    0x3fff6258,0xf9000eff,0x200003ff,0xfffffffd,0xffea8ea3,0xff884fff,
    0x87d915cf,0x47f101fd,0x27ffc05d,0x3f607f10,0xfff7007f,0x3ff6009f,
    0x3fe2000f,0xffb8004f,0x7ffc4007,0x01fa0004,0x001fffe4,0xffd006f8,
    0x5fff700f,0x7c02f400,0x3ffa00ff,0x40000002,0x80001ffe,0x3fea07ff,
    0x02ffdc04,0xffd80be6,0x7d404fdb,0x203b700f,0x40007ffd,0xff100ffa,
    0x0fff705f,0xff9006e8,0x3980000f,0x00effea8,0x003ffee0,0xffffc800,
    0x7dc05c3f,0x3ffa05ff,0x03ff800f,0x7c02d8f6,0x825c04ff,0x26007ffc,
    0xe883fffe,0xeeffffee,0xeeeeeeee,0xeeffffee,0x0072e006,0x0013ffe0,
    0xff1007d8,0x5f5000df,0x07ffee00,0x00bfff10,0x3fe00fe6,0x0bffa00f,
    0xfd000000,0xf980003f,0x1ffe606f,0x403fff10,0x7ffc407d,0x3fe400ff,
    0x0fffb000,0x405fe800,0xfff104da,0x400fe605,0x00007ffc,0x00022004,
    0x0003ffee,0x01575100,0x74008801,0xdff002ff,0x00e8ea01,0x26027ffc,
    0x00fff904,0x41ffff98,0xffffeee8,0xeeeeeeee,0xefffeeee,0x000006ee,
    0x0009fff0,0xffb003ec,0x07d8003f,0x013ffe20,0x5c01fff6,0x0fff800f,
    0x000bffa0,0x3ffd0000,0x7ffa8000,0x007ffe20,0x3e20bff9,0x3fffc804,
    0x0007fd80,0x3bbbfff6,0x7cc02cee,0xfd80004f,0x400f905f,0x00007ffc,
    0xf7000000,0x000001ff,0x3a000000,0xffb001ff,0xf003007f,0x203009ff,
    0xc8007ffc,0x7e406fff,0xfff8007f,0x80000004,0x20004fff,0x3fe6007d,
    0x13e2004f,0x00fffb00,0xd005fff7,0x03ffe00b,0x0002ffe8,0x0fff4000,
    0x3ffe2000,0x01fff100,0xb81fff88,0xf000000f,0x7ec000ff,0xffedccff,
    0xffa80cff,0xff980003,0x001fc40f,0x0088fff9,0x80000000,0x0000fffb,
    0x00000000,0x2a003ffd,0x002effff,0x0027ffc0,0x000fff90,0x405ffff1,
    0xf8007ffc,0x000004ff,0x004fff80,0xfd001f60,0x3f2001ff,0x7ffdc000,
    0x2fffe402,0x7c00be60,0x3ff600ff,0x40000002,0x80001ffe,0xff301ffe,
    0x13ff200d,0x4000017a,0x20007ff8,0xfd987ffd,0x7fdc0eff,0xffd00003,
    0x2000fb89,0x07e67ffc,0x41eb8800,0x2000bdda,0x0000fffb,0x000eb880,
    0xfd001d71,0x7fdc003f,0x0001efff,0x40009fff,0x70007ffc,0x7e40bfff,
    0xfff8007f,0x55555404,0xaaaaaaaa,0x13ffe01a,0x4007d800,0xf003fffa,
    0xfff1000b,0xfffff80b,0x4003f200,0x3f600fff,0xaaaaa82f,0x1d7101aa,
    0x710fff40,0xf70017bb,0x07fee0bf,0x307ffc40,0x75c4005f,0xffbaa980,
    0x001aaaaf,0x7ec0fffb,0x27fe45ff,0x7ffa8000,0x3f200274,0x000bf57f,
    0x4c7fff66,0x00efffff,0x001fff70,0x7ffecc00,0x7ffecc01,0x01ffe801,
    0x7ffff4c0,0xfff8003f,0x3ff20004,0xfff50007,0x1fff201f,0x013ffe00,
    0xffffffff,0x07ffffff,0x00027ffc,0xfff000fb,0x005f500d,0x403fff60,
    0x02fffdf9,0xfff8017a,0x20bff600,0x1bcfffe9,0x00fffed4,0x3fea3ffd,
    0xb800ffff,0x3fea0cff,0x27fec003,0x3f6a00fb,0xfffb80ff,0x3fffffff,
    0x80fffb00,0x3ee2fffe,0x3e00005f,0x003f52ff,0x4fcfffc8,0xffdb7000,
    0xfd7df53f,0x3ee00bff,0x800a00ff,0x01fffedc,0x07fffb72,0x0007ffa0,
    0x27ffffd4,0x013ffe00,0x007ffc80,0x03ffff10,0x2001fff2,0x77c04fff,
    0x17ffe201,0x0009fff0,0x7dc003ec,0x03f402ff,0x05fff500,0x17ffe3f2,
    0xff0017cc,0x17fec01f,0xb900efc8,0x7403fffd,0xdbdfb9ff,0xf7004fff,
    0x03dfd9ff,0x11fff300,0xfdb9009f,0xff8801ff,0x3ff60007,0x27ffe407,
    0x2001fff5,0xdb7fe403,0xfffc8005,0xf880002f,0x7d40ecff,0xffb801ff,
    0x01fff00f,0x00fffcc0,0x400fffcc,0x40001ffe,0x440ffffb,0xff999999,
    0x999999df,0x7ecccc40,0x999999ff,0x3fffe009,0x00fff902,0xf809fff0,
    0x077ff400,0x0013ffe0,0xf88007d8,0x13e606ff,0x0bfff000,0x07ffe57e,
    0xff0007e4,0x17fec01f,0xf98027d4,0x3ffa01ff,0x7ffd40ed,0x4c574400,
    0x6c00009a,0x000fbcff,0x1003ffe6,0x6c000fff,0x7fd407ff,0x13ffe67f,
    0xff101260,0x90005f5f,0x00003fff,0xfd02fffc,0xfff7005f,0x05fff501,
    0x001fff80,0xfd003fff,0x9816003f,0x7fe43fff,0xffffffff,0x42ffffff,
    0xfffffffa,0x3fffffff,0x40ffffa0,0xccccfffc,0xcccccccc,0x03c04fff,
    0x2007fff2,0x20004fff,0xffb0007d,0x003f203f,0x81fff900,0x7fff32fa,
    0xff800bf0,0x0bff600f,0xff8009f7,0x37ffa01f,0x405ffd00,0x000004f8,
    0x00bffff3,0x8801fff0,0x360007ff,0x7fd407ff,0x0ffff47f,0x3bb63d10,
    0xffffeeee,0xeeeeeeef,0x00fff902,0x01ffe800,0x2e00fff2,0xff880fff,
    0x7ffc000f,0x03fff001,0x2003ffd0,0x17ff200f,0xf3333331,0x33333bff,
    0xd9998813,0x99999fff,0x3ffa0099,0x9fff903f,0x99999999,0x09fff999,
    0x3ffea018,0x09fff003,0x8003ec00,0xbf04fff9,0xfff30000,0x7ff47c85,
    0x20017cc6,0x3f600fff,0x000fee2f,0xfe807ffe,0x0fff201f,0x00003fd8,
    0x00bfffa0,0x1003ffe0,0x6c000fff,0x7fe407ff,0x7fffd46f,0x3326ea81,
    0xffcccccc,0xccccccdf,0x7fffb81c,0x7ff40000,0x013ff201,0x4403ffee,
    0xfff8000b,0x03fff001,0x2005ffd0,0x0ffe603f,0x004fff80,0x001fff20,
    0x901ffff8,0xff000fff,0x3e20009f,0x3fe005ff,0x1b60004f,0x0fffe800,
    0x800017d4,0x227c5fff,0x1f20fffc,0x803ffe00,0x05f92ffd,0x807ffe00,
    0x3f201ffe,0xdfff103f,0x55799999,0x1ffea000,0x007ffc00,0x8001ffe2,
    0x7f407ffd,0xfffd84ff,0x0fffccef,0x00bffe00,0x0fffff90,0x1ffe8000,
    0x2013fee0,0x0000fffb,0x001fff80,0xfd003fff,0x07fe007f,0xf000ffd4,
    0x640009ff,0xf10007ff,0x3f201fff,0xfff8007f,0xdffd0004,0x27ffc001,
    0x000dd000,0x3a1fffd4,0x3f200006,0x983f50ff,0x017e3fff,0xd803ffe0,
    0x004fdaff,0xe807ffe0,0x3ff201ff,0x3ffffa04,0xefffffff,0x03fe8003,
    0x801fff00,0x20007ff8,0x3ea07ffd,0xfd880fff,0x2fffffff,0x017ffc00,
    0xffcafd88,0x7f400007,0x13fee01f,0x003ffee0,0x07ffe000,0x200fffc0,
    0x800efffa,0x3a20cfff,0x7ffc002f,0x3ff20004,0xfff30007,0x03ffe40f,
    0x0027ffc0,0x000fffe4,0x80017ffe,0x7fc0006e,0x000fe67f,0xb3fff980,
    0x4dbffa0f,0xfff8002f,0x3f7ff600,0xff0002ff,0x0fff403f,0x4409ff90,
    0xfffffffd,0x004fffff,0xf80007e4,0x7fc400ff,0x3ff60007,0x5ffff707,
    0xfffffc80,0xfff8000d,0x323d9002,0x400007ff,0x3ee01ffe,0xfffb804f,
    0xff800000,0x3fff001f,0x3ffffaa0,0x3be01eff,0x2efddfff,0x04fff800,
    0x01fff200,0x02fffd40,0xf000fff9,0xfa8009ff,0xff8003ff,0x17e0005f,
    0x5fff7000,0x000003f2,0x09f1dffd,0x1f27ffee,0x007ffc00,0xfffb5ffb,
    0x3fff0001,0x900fff40,0x8f4409ff,0xccaaaa99,0x3a000ffd,0x3ffe0005,
    0x03ffc400,0x33fffb00,0x5ffffb75,0x00674c00,0xffffffff,0xffffffff,
    0xc82a5fff,0x400007ff,0x3ee01ffe,0xfffb804f,0xff800000,0x3fff001f,
    0x88200000,0x20001bfa,0x20004fff,0xd0007ffc,0x7e405fff,0xfff8007f,
    0x3ffe2004,0xdffb0005,0x013e2000,0x1dfff100,0x700000bf,0x203f7fff,
    0x04fcfff8,0x401fff00,0xffe8affd,0x1fff8006,0xc807ffa0,0x07d104ff,
    0x5002fb80,0x7fc0005f,0x3ffc400f,0xffffb000,0x17bfffff,0x00cf9800,
    0x2aaaaaaa,0xaaacfffa,0xf900aaaa,0x126000ff,0xfb807ffa,0xfffb804f,
    0x20588000,0xff001fff,0x2f7a003f,0x02fb8000,0x027ffc00,0x00fff900,
    0x80bfff70,0xf8007ffc,0x3f6004ff,0xf90000ef,0xf50001ff,0xff900005,
    0x00005f9f,0x0dffff10,0x02ffffe8,0x401fff00,0xfff32ffd,0x1fff800b,
    0xc807ffa0,0x01fb04ff,0x36003f00,0x7ffc0006,0x03ffc400,0x33fffb00,
    0xe8000333,0x3e0006ff,0xf90002ff,0x076000ff,0xfb807ffa,0xfffb804f,
    0x202c8000,0xff001fff,0x3ffe003f,0x7ffc4007,0x3ffe0004,0x3ff20004,
    0x7ffc4007,0x3ffe400f,0x027ffc00,0x201fffc8,0x3ffe6008,0x00fd8003,
    0xffff9800,0x3a000006,0x7dc03fff,0x3e0007ff,0x3ff600ff,0x00fffea2,
    0x3a01fff8,0x3ff201ff,0x000ffa84,0x2fa803cc,0x07ffc000,0x001ffe20,
    0x0007ffd8,0x02ffd880,0x005fff00,0x001fff60,0x0fff41ea,0x7009ff70,
    0x98001fff,0x07ffe00f,0x800fffc0,0x4002ffc8,0x20007fe9,0x20004fff,
    0x6c007ffc,0xfc803fff,0x7fc4007f,0xfffa804f,0x3600dc03,0x2e000eff,
    0x3a00003f,0x00003fff,0x007ffee0,0x0009fff1,0xfb007ffc,0x1fffc85f,
    0x403fff00,0x3f201ffe,0x04ffd84f,0x2aa0be60,0x0000bd10,0xf8801fff,
    0x3f60007f,0x3000007f,0x3e0003ff,0xfb0002ff,0x744001ff,0x405fff04,
    0xfc804ffb,0x3a2001ff,0x00fffc05,0x2001fff8,0xc8002ff8,0x3fe0006f,
    0x3f60005f,0xffd1007f,0x3ff6009f,0x7ffc4007,0x2fffc404,0x3e200ec0,
    0x64400eff,0x5400006f,0x00000fff,0x401bfe20,0x20001ffd,0x3fa01fff,
    0x0fffe82f,0x201fff80,0x3f202ffe,0xefffc84f,0x3fc9881b,0xefefffc8,
    0xfff80000,0x03ffcc01,0x01fffd00,0x0bf90000,0x017ffc00,0x02fffe80,
    0xf105ff70,0x7fe405ff,0x3fffd805,0x407ff500,0x8802fff8,0x2e002fff,
    0x7ff0006f,0x3ffe6000,0x3ffa0006,0xefffb807,0x3fffa001,0x3ffe6000,
    0x077fec05,0x22007e20,0x88acfffe,0x005ffeca,0x00bff000,0x07fb0000,
    0x8001fea0,0x3e02fff8,0xfff883ff,0x3ffe200e,0x80bffe02,0xff905ffc,
    0xffffffff,0x3ff603df,0x80001fff,0x5402fff8,0xa8001fff,0x000dffff,
    0x0cfeb980,0xdfff7000,0xfffb8001,0xccccdeff,0x80ffffee,0xf105fffb,
    0x7cc01fff,0xccceffff,0xffffedcc,0x17ffea00,0x017ffea0,0x003bfd71,
    0x00277e54,0x2ffffd88,0xffffa800,0xfecbacde,0x54003fff,0x2005ffff,
    0x902ffffd,0x33335fff,0x01ff9533,0x3fffae20,0x02dfffff,0x07ee0000,
    0x3ea00000,0x009f1000,0x827ffdc0,0xfb05fff9,0x3ee03dff,0xfff304ff,
    0x3fffe20b,0xffff9100,0x9805dfff,0x0001cfff,0x809fff70,0x800dfffe,
    0xfffffee9,0x20003eff,0xd10002a8,0xdfffffff,0x7fff4c07,0xffffffff,
    0x5fffffff,0x7fffff4c,0xffffb36e,0x3ba21dff,0xffffffff,0xffffffff,
    0xfffd706f,0xfd709dff,0x409dffff,0x3510002a,0x3ffae000,0x1effffff,
    0x3fffba60,0xefffffff,0x26001abc,0xfffffffe,0xffec83ef,0x1eefffff,
    0xfffffff1,0xffffffff,0x95530001,0x00001559,0x00009100,0x2e001c00,
    0xffea8001,0xfd75efff,0x21ddffff,0xeffffffc,0xfffffd73,0x3fffaa9d,
    0xfd98efff,0x00efffff,0x00026a62,0x5c000026,0x4efffffe,0x3fffff66,
    0x00004dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0xeeeeeeee,0xeeeeeeee,0x2200eeee,0x5eed41eb,
    0x3bbba600,0xcceeeeee,0x88002abc,0x774c1100,0xeeeeeeee,0xeeeeec83,
    0xd31eeeee,0x01bddddd,0x3bbb2000,0xddd34eee,0xbddddddd,0x30035599,
    0xdddddddd,0x357999dd,0xeeeeb800,0x01eeeeee,0x3bbbbbaa,0xdddd12ee,
    0xdddddddd,0x7ddddddd,0xeeeeee98,0xeeeeeeee,0x7744eeee,0xeeeeeeee,
    0xdddddd15,0x107ddddd,0xdddddddd,0x777774cb,0x543eeeee,0xeeeeeeee,
    0xddddd105,0x05dddddd,0x77776400,0xeeeeeeee,0x30deeeee,0xdddddddd,
    0x8037999d,0xeeeeeee9,0x1accccee,0xeeeea800,0xeeeeeeee,0xeeeeeeee,
    0x33260002,0xcccccccc,0x2e60002c,0xcdffffff,0xfeeccccc,0xffd980ff,
    0xfffff31f,0xffda801d,0xfedeffff,0x00bdffff,0x3f627fd4,0x7ffe4c1f,
    0x2a200aef,0x81cffffe,0x3ffffe98,0xfff88000,0xfda80cff,0xdcceffff,
    0x00cffffe,0x7ffffed4,0xffffeeff,0xe9800bdf,0x0affffff,0xffffc880,
    0xfffc980b,0xcccccccf,0x304fffed,0x999ffffb,0xffffd999,0xffff710d,
    0xfeb9839f,0x01dfffff,0x4effff4c,0xffffd980,0x3fee201e,0xc9801dff,
    0x09bfffff,0x7ffec000,0xeeeeeeef,0x83ffffee,0xffffffda,0x01effffe,
    0x7ffffed4,0xeffffeef,0x3fff2000,0xffffffff,0xffffffff,0xa807203f,
    0xffffffff,0x80005fff,0x03fffcfd,0x6dc1fd88,0xefa9fffe,0x005fffeb,
    0x2203fffd,0x02efffda,0xff89fffa,0x3fffd05f,0x37ffd400,0x37fffc40,
    0x7ffe4000,0x7ffe802f,0x0ffffdc0,0x80ffff40,0x2ffffea9,0x7ffff900,
    0x03dff000,0x001fffb0,0xfff017ee,0x0dfb100f,0x4027ffe4,0x00fffffa,
    0x2007ff70,0x9801fffe,0xe8001fff,0x00003fff,0x5c006ffa,0x7fc05fff,
    0x3f6a20ff,0xffe804ff,0x7fffd507,0x407bf200,0xea885fff,0x403f104f,
    0xeeeeeeea,0x0004eeee,0x3fff8ee8,0x7c407e00,0x7d40ecff,0xffd801ff,
    0xffff7007,0xf1bff209,0x3ff607ff,0x3fe6000f,0xfffd004f,0x7c40005f,
    0xd800ffff,0xfe8807ff,0x7fec01ff,0xffff7007,0x3fff6009,0x0ffc4004,
    0x00fffc80,0xffd01720,0x7036c00f,0x26005fff,0xb003ffff,0x7ff4005f,
    0x0efd800f,0x3fff9000,0x01fc0000,0x01ffff30,0x3a07ffd8,0x7ec06fff,
    0x7fff407f,0x200ed804,0x3a205fff,0x0003f704,0x7d400000,0x003fff8a,
    0x5fff80b6,0x200bffa0,0x26007ffc,0xb883fffe,0xb01e4c0c,0xf8800fff,
    0xffb004ff,0x5c000dff,0x800fffef,0xf3007ffc,0xffc80dff,0x3ffa6007,
    0xfff8803f,0x0fee001f,0x00fffb80,0xffb01a60,0x5034c00f,0x5c003fff,
    0xfb807fff,0x3ffec004,0x0002fdc0,0x0003ffee,0x7f400780,0xffd802ff,
    0x3fffa207,0x01fff203,0x801ffff3,0x2fffc03d,0x3fea12a0,0x00000001,
    0x7ffc5b60,0xe80aa003,0x3ff201ff,0x07ffc803,0x0ffffcc0,0x3ff20000,
    0x4fff8007,0xfff7fb00,0x33ba0005,0xff9007ff,0x7ffec00f,0x01fff201,
    0x05ffff30,0x00bfff70,0xf70017e2,0x068001ff,0x2003ffec,0x07ffea06,
    0x09fffb00,0x64002fcc,0x2fdc07ff,0x7ffdc000,0x0b100000,0x02fffe40,
    0x6407ffc8,0x3f206fff,0xfffe807f,0x3e006c03,0x22c405ff,0x0001fff8,
    0x5f300000,0x000fffe2,0x201ffe80,0xfc804ffc,0xffc8007f,0x6400006f,
    0xff8007ff,0xf1fb004f,0xf5000bff,0x200fff97,0x2e007ffc,0x3f203fff,
    0xffc8007f,0xfffb007f,0x001fb007,0x000fffb8,0x03ffec00,0x3fff5000,
    0xffff8800,0x000ee881,0x2a07ffc8,0xf700005f,0x200001ff,0xfff30038,
    0x3ff2001d,0x7fffd407,0x00fff900,0x1809fff9,0x805fff80,0x33fffea1,
    0x2e600aaa,0x0000bded,0x3ffe26e8,0x3fa00003,0x13fee01f,0x001fff20,
    0x00bfffe2,0x07ffc800,0x004fff80,0x07fff2fb,0x3ff2fd00,0x0fff9007,
    0x01fffdc0,0x1000fff9,0x1005ffff,0x5401ffff,0xffb8003f,0x6c00000f,
    0x200007ff,0x8001fffa,0xfd86fffa,0xfff90001,0x00017ee0,0x000fffb8,
    0x7f440000,0x3f2001ff,0x7ffc407f,0x0fff900f,0x009fff90,0x00bfff00,
    0x7fffffdc,0xfd881fff,0x03fffdbe,0xf887ea00,0x00b803ff,0x2e01ffe8,
    0xffc804ff,0xfff70007,0x0075c40b,0x4003ffe4,0xfb004fff,0x8017ffe2,
    0x0fff93f9,0x801fff20,0x3200fffd,0xf70007ff,0x3ee00bff,0x01ba05ff,
    0x007ffdc0,0xffd8014c,0xa801c407,0x90001fff,0x17e49fff,0x0fff9000,
    0x00001df7,0x0007ffdc,0x3ff20000,0x7fe4004f,0x3fffcc07,0xd00fff90,
    0x00007fff,0x2000bfff,0x74401ffe,0x1fffcc1d,0x7c45e800,0x00d803ff,
    0x2e01ffe8,0xffc804ff,0xfff50007,0xfffda81f,0x07ffc800,0x004fff80,
    0x07ffecfb,0xff90fd80,0x1fff200f,0x02fffc40,0x4001fff2,0x000ffffa,
    0xf905fffd,0x3fee0003,0x003b800f,0x4980fffb,0x03fff500,0x3fffa200,
    0x40004fa9,0x6fe47ffc,0x7dc00000,0x000000ff,0x01bffea0,0x501fff20,
    0x7e40dfff,0x7ffc407f,0xff80000f,0xffd0005f,0x700fd803,0xa8001fff,
    0x1fffc41f,0x3a003e60,0x3fee01ff,0x07ffc804,0x3ffff100,0x07fff6e4,
    0x003ffe40,0xd8027ffc,0x013ffe67,0x7ffc93e6,0x00fff900,0x805fffd1,
    0x10007ffc,0x2003ffff,0x260ffff9,0x3ee0004f,0x03e800ff,0xc80fffb0,
    0x3fff5004,0x7ffcc000,0xc80006fe,0x037f27ff,0x3fee0000,0x0000000f,
    0x003ffff1,0xd80fff90,0x3f203fff,0x7fff407f,0xfff00003,0x3ffa000b,
    0x880fea01,0x74005fff,0x9cfff885,0xffb99999,0x01ffe800,0x26213fee,
    0x99fffd99,0x20099999,0xf982ffff,0xffc800ff,0x4fff8007,0xffd8fb00,
    0x907e400f,0x3f200fff,0xff5100ff,0xff9003df,0x7ffc000f,0x3fee002f,
    0x0003ba4f,0x999fffb8,0x3fd99999,0x33fffb00,0x09fb7333,0x007ffea0,
    0x1ffff900,0xfff90000,0x00003bf6,0x007ffdc0,0xffd80000,0xff90003f,
    0x37ffd40f,0x4c1fff20,0x0003fffd,0x0017ffe0,0xfd00fff4,0x06fff803,
    0x3e207ee0,0xffffffff,0xe800ffff,0x3fee01ff,0xfffffa84,0xffffffff,
    0x3fffa03f,0x001fff03,0xddddfff9,0xdddddddd,0x36009fff,0x01fffd47,
    0x7ffc8bf1,0xfffff900,0xffffffdf,0x3ffe4007,0x7fffd000,0x9fffe800,
    0x5c0002fb,0xffffffff,0x003fffff,0xfffffffb,0x2009ffff,0x0001fffa,
    0x002fffe8,0xfdfffc80,0x000002ff,0x0001fff7,0xbfff7000,0x3ffe4000,
    0x00efffb8,0x54cfffe4,0x01dfffdb,0x2fffc000,0x01ffe800,0xfffffff1,
    0x0fffffff,0x7c417e20,0x99999cff,0xe800ffba,0x3fee01ff,0xfd999884,
    0x999999ff,0x3fffa009,0x001fff03,0x9999fff9,0x99999999,0x36009fff,
    0x207ffe87,0x3ffe41fc,0xacfffc80,0xffffecba,0xffc801cf,0x3ffa0007,
    0x7fcc003f,0x80005fef,0x9999fffb,0x03feba99,0x555fffb0,0x009fb755,
    0x0007ffea,0x03fffee0,0x9fff9000,0x0005ffff,0x01fff700,0xff880000,
    0x320000ff,0xfeeeffff,0xf9003fff,0xffffffff,0x2000001b,0xd0005fff,
    0x3fe603ff,0x9999999a,0xf7001999,0xf7555559,0x0f9807ff,0x202fff80,
    0xfc804ffb,0x3fe0007f,0x1fff01ff,0x00fff900,0x2009fff0,0x3fffa87d,
    0xffc86f88,0x0fff9007,0x4ffffd88,0x003ffe40,0x005ffff0,0x01ffff90,
    0x1fff7000,0xb003e880,0x04d80fff,0x003fff50,0xfffff980,0x7fe40005,
    0x05ffff97,0xfffb8000,0x74000000,0x40002fff,0x55537ffc,0xffc80035,
    0x03fffa27,0x7ffc0000,0x3ffd0005,0x0007fea0,0xfffff100,0x7fffffff,
    0xf8801f00,0x3ff202ff,0x07ffc805,0x1ffff100,0x2003ffe0,0xf8007ffc,
    0x0fb004ff,0x3ee1bffa,0x007ffc82,0x2e00fff9,0x3203ffff,0xf10007ff,
    0x20001fff,0x00005fff,0x7001fff7,0x1fff6007,0x3ea00930,0x220001ff,
    0x2fffe8ee,0x9fff2000,0x002ffffc,0x03ffee00,0xffc80000,0xfc80005f,
    0x3200007f,0x7ffcc7ff,0xff000006,0x3fa000bf,0x07ff701f,0x00fc8000,
    0x200fffe2,0x7ffdc00d,0x1ffff105,0x007ffc80,0x40ffff30,0xfc800fff,
    0xfff8007f,0x2e0fb004,0x83742fff,0xf9007ffc,0x7fdc00ff,0xfff901ff,
    0x3ffe6000,0x3ffe0007,0xff700005,0x0075001f,0x9101fff6,0x07ffea00,
    0xf30fd800,0x20001fff,0x7fe47ffc,0x700002ff,0x00001fff,0x03fffe60,
    0x1fff2000,0x7ffc8000,0x003fffb8,0x05fff800,0x203ffd00,0x00004ffa,
    0xff100fe2,0xe980007f,0x36efffff,0xdffffffb,0x01fff201,0x02fffd40,
    0xf9001fff,0xfff000ff,0xf81f6009,0x40fea6ff,0xf9007ffc,0x7fc400ff,
    0xfff903ff,0x3ffea000,0x3ffe0006,0xff700005,0xd800001f,0x200007ff,
    0x0001fffa,0xfffc85f9,0xfff90005,0x05ffff90,0x1fff7000,0xfd100000,
    0x200005ff,0x00007ffc,0x7ec1fff2,0x400001ff,0xd0005fff,0x3fe603ff,
    0xd805000f,0x7ffc400f,0x00000003,0x07ffc800,0x05fffd00,0x64007ffc,
    0xff8007ff,0x40fb004f,0x0fd1fffc,0xc803ffe4,0x7f4007ff,0xfff904ff,
    0x3fffa000,0x3ffe0002,0xff700005,0xd800001f,0x200007ff,0x8001fffa,
    0xffe884fa,0xffc8002f,0x5ffff907,0xfffb8000,0xfc800000,0x200004ff,
    0x00007ffc,0x7c41fff2,0x00000eff,0x40017ffe,0xff101ffe,0x40d3009f,
    0xff8803f9,0x0088003f,0x00017bd0,0x2001fff2,0x7c05fffb,0xffc800ff,
    0x4fff8007,0x7c40fb00,0x204f9dff,0xf9007ffc,0xffd800ff,0x0fff904f,
    0x0dfff500,0x05fff800,0x1fff7000,0x7ec06000,0x2a00007f,0x4c001fff,
    0x3ffea05f,0x7fe4000f,0x3ffff207,0x3fee0002,0x0588000f,0x000dfff5,
    0x1fff2071,0x7ffc8000,0x017ffea0,0x05fff800,0x405ffd00,0x7402fffe,
    0x4401b604,0xe8003fff,0x1ffff000,0x0fff9000,0x0ffff880,0x4007ffc0,
    0xf8007ffc,0x0fb004ff,0x0fefffc8,0x401fff20,0x74007ffc,0xff901fff,
    0xfff8800f,0x7fc0001f,0xf700005f,0x790001ff,0x001fff60,0x01fffa80,
    0x9003ba20,0xc800bfff,0x7fe407ff,0xf70002ff,0x590001ff,0x03ffff10,
    0x3f205900,0x3200007f,0x7fe407ff,0xff00002f,0x3f6000bf,0xfff30c3f,
    0x01f9309f,0x7c400fea,0x364003ff,0x07ff9100,0x00fff900,0x803fffd8,
    0xfc800fff,0x7fc4007f,0x80fb004f,0x404ffff8,0xc800fffc,0x3e6007ff,
    0x3ff207ff,0x7ffe4007,0xfff80004,0xff700005,0x0f98001f,0x000fffb0,
    0x00fffd40,0xf1003fb0,0x6c007fff,0xffc807ff,0xfb8003ff,0x7cc000ff,
    0x03fffd80,0x3f603f00,0x3200007f,0xffe807ff,0xff80001f,0xff90005f,
    0xfd83911d,0xfecdffff,0x00fd103f,0x001fffcc,0xf88007f3,0xffd8002f,
    0xfffd1007,0x07ffe009,0x003fff60,0x004fff88,0xfffb00fb,0x0fffc803,
    0x007ffd80,0x407fffd1,0xd1007ffd,0x00007fff,0x00017ffe,0x0007ffe4,
    0x7ffd81ba,0x3fea0000,0x07fb002f,0x07fffd40,0x007ffd80,0x007ffff9,
    0x001fffc8,0x3fee17a2,0x0f90006f,0x0003ffec,0x300fffb0,0x0001dfff,
    0x0005fff8,0x07fffff5,0xffffffb1,0x2fe409ff,0x09fff500,0x0007fee0,
    0x3a000df7,0xffb807ff,0xff1001ef,0xfffd005f,0x7ffcc001,0x801fd005,
    0xfd805ff9,0xffe801ff,0xfffea807,0x03fff403,0x0077ffd4,0x6fff8800,
    0xfffb0000,0x0ff62003,0x000fffe8,0x07fff700,0x8007fd88,0x800effff,
    0xf000fffe,0x001bffff,0x400ffff6,0x7fc43ffa,0x644000ff,0x3fffa06f,
    0xffd00000,0xfff7001f,0x3e20001d,0x2e0006ff,0x7dc03eff,0x202fffff,
    0x9801fffc,0xaacffffe,0xffeccaaa,0xbfd71006,0xfff50003,0xd9759bdf,
    0x8007ffff,0x2204fffb,0x005ffffb,0x05ffffb3,0x0067fe44,0xfb8807fa,
    0x7100dfff,0x599dffff,0xdfffd975,0xffffa803,0xfecaabce,0x00003fff,
    0x2fffff66,0x3fe60000,0xaaaabeff,0x0fffccba,0x4ffffb88,0xffea8000,
    0xfff500ef,0x7fcc005f,0x880befff,0x804ffffb,0xfffffff8,0x3ffe601b,
    0xccccceff,0x40ffffed,0xcccefffe,0xcccccccc,0xf505fffd,0x00019fff,
    0x0dffffa8,0xbffffd80,0x3ff66001,0x20000bff,0x0dd4c001,0xffffff50,
    0xfffdb07f,0xffffffff,0x09ffffff,0x4c001540,0xffffffee,0xabceffff,
    0x7ff5c001,0x3a64efff,0xffffffff,0xfffec83e,0x31efffff,0xdffffffd,
    0x7441aa07,0xffffffff,0xffffd34e,0xffffffff,0x20159ddf,0xfffffee9,
    0xbcefffff,0x2e00001a,0xfffffffe,0xdd1001ef,0xffffffff,0xffffffff,
    0xfffe98bf,0x03efffff,0x7fffff40,0xff95efff,0x05dfffff,0x7fffff54,
    0xfd33ffff,0xdfffffff,0xfffffb07,0x23ffffff,0xfffffee8,0xffffffff,
    0x7dc6ffff,0xffffffff,0xffffffff,0x3ba63fff,0xefffffff,0x3fba6003,
    0x3effffff,0x3ffffa20,0x3fae01ff,0xefffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999930,0x00599999,0x02f7b6e6,
    0x666664c0,0x02cccccc,0x0b722000,0x30555555,0x40155555,0x99999998,
    0x99999999,0xd9500999,0x9800379d,0xcccccccc,0xccb83ccc,0xcccccccc,
    0x0044000c,0x00098000,0x004c0000,0x00000000,0x09800000,0x01980000,
    0x2a000000,0x001bceec,0x0acedb98,0x0bdeca88,0x9bd97300,0x202c8003,
    0x76dcc058,0xdc8800bd,0x262b9bce,0x21aaaaaa,0xaaaaaaaa,0x0d555540,
    0x06f76e60,0xfffffa80,0x05ffffff,0x7edf7ec4,0xffa803ff,0xffffffff,
    0x8036005f,0x2ea0fffb,0x64c0ffff,0x3203fffe,0xaaaaaaaa,0xaaaaaaaa,
    0x6ff4c4aa,0x005fffba,0x3fffffea,0xe85fffff,0xffffffff,0x74001fff,
    0xf8800004,0xb7300002,0x12f9859b,0xb004c01b,0x0000fa63,0xbddb9800,
    0x550ffd81,0x55305555,0x5ff51555,0xf7100000,0xbadfe981,0xb1005fff,
    0x5ffb737f,0x7fe5ffcc,0x5efe403f,0x7005ffeb,0xb104e80f,0x7fffb7df,
    0x6d5efdc0,0x3faa3fff,0x36e1cfff,0x40beffff,0x902effda,0xdffb77df,
    0xdddd5001,0x9ddddddd,0x260ef440,0x74c03fff,0xeeeeeeee,0x1f3004ee,
    0x40fffe40,0xf100fff9,0x002407ff,0x27fcc900,0x98027fec,0xeeeeeeee,
    0xeec84eee,0xeeeeeeee,0x0274001e,0x017c4000,0x2efbae00,0x4e89effd,
    0xfeb87fa2,0x3f61dfff,0x019ffd12,0x3bf20000,0x20effdbb,0xff753ffe,
    0xfec981ff,0x05ffcbff,0x3ff26000,0x6c27fcc5,0x7f4c04ff,0xf9bffd81,
    0x417ffc44,0xffe82fe8,0xb01fcc05,0x83bd101f,0xf983fff9,0xe83fe884,
    0x3ffa07ff,0xd106f807,0x5fff309f,0x6c000000,0x1fff700f,0xb0000000,
    0x2ffcc01f,0x200fff88,0x01203ffe,0x3ff64800,0x007ff981,0x00000000,
    0x00013a00,0x8000be20,0xfff984fa,0xfbfe885f,0xffdbabdf,0xfd982fdc,
    0x100001df,0xfff309fb,0xf50bfea5,0x3fe201ff,0x005fe8bf,0x0cffda80,
    0xf981ffd8,0x81ff407f,0x706fffe8,0x09fb0fff,0x4407ffee,0x40ff207f,
    0xfff700fd,0xf101fd81,0x01fff307,0xf301ffe6,0x981bf205,0x00001fff,
    0x2203fa80,0x00005fff,0x007fd400,0x03ffe004,0x1203ffd8,0x3fa48000,
    0x01fff01f,0x00000000,0x0013a000,0x000be200,0xff5037cc,0x3bfe205f,
    0x00bff200,0x005dff91,0x2606fc80,0x84faafff,0x3600fff8,0x00ee9bff,
    0x7dfd7100,0xf01ffe80,0x3fee01ff,0x13ffee01,0xf517ffcc,0x3ffe201f,
    0x2a07fd02,0x03fa80ff,0xff17ffe2,0xfd81ec07,0x0bffa02f,0x5ff506c8,
    0x005ffe80,0x01fe8000,0x00037ffc,0x1fff5000,0x1fff0000,0x901ffec0,
    0xf9240000,0x007ffc0d,0x00000000,0x0004e800,0x8002f880,0x7f402ff9,
    0x00bf306f,0x5c4013f2,0x4000bffe,0x7f402ffa,0x3fe01bff,0x37ff600f,
    0xf910002b,0x3f2005bf,0x203ffe06,0x7cc07ff8,0x3ffe02ff,0xb5017fa3,
    0x4c1bf609,0x03fd03ff,0x7fc6fff8,0x2a07500e,0x3fee06ff,0x7ec0fe05,
    0x7ffd401f,0xceeca802,0x7ffc401b,0xffffffff,0x555547ff,0xaaaa882a,
    0xffff900a,0x00015557,0x7ec01fff,0x0001203f,0xff300c48,0xb730001f,
    0x7100037b,0x4e80001d,0x2f880000,0x00ffc800,0x20bfffb2,0x3f2000fd,
    0x7ff54000,0x3ffb000c,0x01fffa80,0xfb007ffc,0x3660007f,0x18001cff,
    0x203ffe60,0xfe806ff9,0xffffffff,0x9ff34fff,0x17fdc000,0x4407ffc4,
    0xffffffff,0x6c7fffff,0xf8003fff,0xfff900ff,0x3e01f501,0x9fff007f,
    0x5d6ff4c0,0x3e605fff,0x999999af,0x5d419999,0x6440ffff,0xfc83fffe,
    0xffffffff,0x0fff8001,0x480fff60,0x10120000,0x01fffdd7,0x6ddf7e40,
    0xd9800eff,0x40001fff,0x8800004e,0xffe8002f,0xfff1f900,0x4002f98b,
    0xb30004f8,0xff803bff,0x07fff007,0x3600fff8,0x75c003ff,0x00000bef,
    0x3fffbae2,0x806ffa80,0x9999bffd,0xf5099999,0x3ea0007f,0x3ffe886f,
    0x3335ff30,0x33333333,0x2effffa8,0x20fff200,0xd84ffef8,0x00dff105,
    0x7cc1bffa,0x04ffd84f,0x00003ff5,0x7c01fff3,0x7ffc03ff,0xfff80000,
    0x80fff600,0x41200004,0xfff1dfc8,0x09fd1001,0x6405fff3,0x001fffed,
    0x00002740,0x220017c4,0x23f707ff,0x07d46ffe,0x00037400,0x20bbff22,
    0xfd006ff8,0x0fff80bf,0x200fff60,0x002effc8,0x8efe4400,0xffb80fff,
    0x02ffc806,0x001ffdc0,0x6c17ffcc,0x3fea07ff,0x7fdc0001,0x9801efff,
    0xf9ec86ff,0xb817c47f,0xffb006ff,0x207ff60f,0xff707ff9,0xff100007,
    0x1ffec01f,0x0003ffe0,0xd803ffe0,0x001203ff,0x1efc8480,0x64007ffc,
    0x3ffe606f,0x0fffcc01,0x0013a000,0x000be200,0x3f50fff5,0x1f23ffec,
    0x0003e400,0x5c9ffd50,0xffb006ff,0x00fff80f,0xd880fff6,0x00001cff,
    0x7fc1efc8,0x07ffd80f,0x4004ffc8,0xb8004ffc,0x7fc40fff,0x0ffee05f,
    0x3ffa6000,0xfe803fff,0x7f4be21f,0xfc81ee2f,0xfff9007f,0x7c07ffa0,
    0x4ffa80ff,0x1fff0000,0x201ffe40,0x80000fff,0x3f600fff,0x0001203f,
    0x406fec48,0x7d400fff,0x2fff402f,0x880fffc0,0xcccccccc,0xcccccefc,
    0x9950cccc,0xf9999999,0x9999999b,0x07ffdc79,0x7ffb85f3,0x7b800364,
    0x3ee20000,0x01fff26f,0x3e03ffe4,0x3ff600ff,0x2fffa203,0x7ec00000,
    0x80fff80d,0x5c00fffc,0x7dc005ff,0xffb0005f,0x03fff309,0x00013fea,
    0x4fffffa8,0xd727fdc0,0x09d2ffdc,0x4007ffdc,0xdf905ffb,0x4c07ffc0,
    0x05000fff,0xf9007ffc,0x0fff807f,0x0fff8000,0x480fff60,0xfd920000,
    0x01fff00f,0x5401ffd8,0x7fc02fff,0xdddd301f,0xdffddddd,0xdddddddd,
    0x3bbbbae1,0xeeefeeee,0x25eeeeee,0x7f31fffa,0xfb8bff50,0x006d8000,
    0x2dffc880,0x4007ffdc,0x7fc05ffb,0x0fff600f,0x073ff6a0,0x03ff6000,
    0x7dc07ffc,0x7fdc01ff,0xff528807,0xfd0e001f,0x0bff701f,0x4003ffe6,
    0xffff7002,0xd3ffc401,0x4c7ffc47,0x3ffea01f,0x03ffc801,0x0fff9806,
    0x804fff88,0x03ffe069,0x7c03ffc8,0xf80000ff,0x3ff600ff,0x80001203,
    0x7c0bff34,0x3ffc00ff,0x404fff80,0x40001fff,0x8800004e,0x7fcc002f,
    0xf704e8bf,0x001f987f,0x260004e8,0xf500cffd,0xff7003ff,0x00fff807,
    0x9800fff6,0x0002effc,0x7fc0bff3,0x3fff980f,0x027ffe40,0x27ffccf2,
    0x3fe224c0,0x103ff905,0xd3009fff,0x3ffe6058,0x557fec03,0x65ffec0f,
    0x27ffc406,0x000ffe40,0x1fffdd71,0x00bfffa0,0x07ffc09d,0xfb07ff90,
    0xffffffff,0x3ffd0003,0x901ffec0,0xfba40000,0x07ffe05f,0xd006ff88,
    0xfff80dff,0x02740001,0x017c4000,0x2f6fffc0,0xdd05ff90,0x001fb800,
    0x00befea8,0x4027ffc4,0x7fc01ffc,0x0fff600f,0x3bfee200,0x3fee000b,
    0x207ffe05,0x6c06fff8,0xf301ffff,0x00ffff41,0x3ff303d1,0x7f417f60,
    0x227402ff,0x17ff200f,0x09dbff50,0x005fdff3,0xfb00fffb,0x37f2200f,
    0x2601fff1,0xc984ffff,0x03ffe00f,0xca83ffc8,0xcccdfffc,0xd8032e20,
    0xfff903ff,0x00002407,0x203ffea9,0x8111fffa,0xfb006ffb,0x1fff80ff,
    0x00274000,0x0017c400,0x202fffe4,0x3fa80ffd,0x400bf100,0x002dffc8,
    0x6c03ffec,0x2ffe807f,0x000fff60,0x019ffd50,0x501fff50,0xa8223fff,
    0x3fe02fff,0x74c2efff,0x0ffffd46,0xbf703754,0x2607fa20,0xc984ffff,
    0xf301fc0f,0xffff007f,0x01fffa01,0x1017ffcc,0xdf9007ff,0x200fff83,
    0xcdfffffd,0x7fc03ffe,0x0fff200f,0x7401fff0,0xff702fff,0x7ee74c5f,
    0x004808ef,0x7ffc5200,0xfffdb11d,0xffc81d37,0x0fff9007,0x0001fff8,
    0x40000274,0xf88002f8,0x3fe203ff,0x5013fe03,0xfb3005ff,0x2600039f,
    0x3e202fff,0x4ffd803f,0x007fff90,0x37ff6600,0x37ffe201,0x7fffdb11,
    0x6ffe81d3,0xfffbff70,0x03ffdbff,0x99dffffb,0xfc801fff,0x360df101,
    0xecdfffff,0x01ff83ff,0xf9003ff5,0x27fdc09f,0x03fff900,0x3f6017f2,
    0x00fff80d,0x3fffff62,0xff804fff,0x0fff200f,0x2601fff0,0x3a05ffff,
    0xb4ffffff,0x481bffff,0xfd920000,0xfb4fffff,0xff703fff,0xbff7001f,
    0x001fff80,0x00002740,0xd80017c4,0xdf701fff,0x5f7efec0,0xeefda989,
    0x7ffd501f,0xff900001,0x017f203f,0x985fffdc,0x08effdce,0xff910000,
    0x3fff605d,0xfffb4fff,0xbffb103f,0xfe877dc1,0x04ffffff,0xffffffb1,
    0x17a005ff,0xfd882fa8,0x4fffffff,0x4419fff0,0xff3002fe,0x00ffc403,
    0x42bffee0,0x6c00dfc8,0x1fff00ff,0xfffff700,0x3ffe005f,0x00fff200,
    0x7f401fff,0xfd300fff,0x7fec7fff,0x0000900c,0xffff7124,0x80f7fd45,
    0xc801fffa,0x7ffc03ff,0x02740001,0x017c4000,0x7ffe7dc0,0x01df710a,
    0x7ff4cbf6,0xfd12ffff,0x0177fdc3,0x7ffdc000,0x01bf910a,0x7fffff40,
    0xbffffb4f,0xeb800001,0x7fdc43ff,0x3bfea2ff,0x77ffdc01,0x3f620dff,
    0xc803ffff,0x00dfffff,0x6b807a20,0x3ffffee0,0x3ffbe02f,0x002efddf,
    0x036c02f4,0xefffea80,0xff9802df,0x003ffe05,0x003eba98,0xfc803ffe,
    0x07ffc03f,0x03f55510,0x05d81b98,0x12000048,0x00fc404c,0x2013ffe2,
    0x7fc01ffc,0x2740001f,0x17c40000,0x74c7ea00,0x03dfefff,0x554c0be6,
    0xbf33e881,0xa8000003,0x2dfefffe,0xffff9800,0x033ff63f,0xfb500000,
    0x0c402601,0x006ea600,0x30002ae6,0x22000157,0x54c00c00,0x2a20801b,
    0x350001ab,0x80005300,0x5c001ba8,0x3ffe05ff,0x02fa8001,0xd807ffa0,
    0x7ffc03ff,0x000d7001,0x02401fc4,0xd8009000,0x0fffb007,0xff00ffb0,
    0x4e80003f,0x4cccc400,0x9bf99999,0x09999999,0x06ea60be,0x44000000,
    0x40000000,0x00001ba8,0x00550373,0x00300000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0xffa80fff,0x3200111f,0x3ff6004f,
    0x09fff903,0x80c1ffe8,0x3ea0003e,0x00004805,0x03ff0012,0x405fff30,
    0xff803ff8,0x2740001f,0x3ffff200,0xffffffff,0x6fffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8efffc40,0x9bfffed8,0x0ff9000e,0x317ffdc0,
    0x11dffb9b,0x2237ff60,0x000f980c,0x9003fee0,0x00240000,0x7e4013fe,
    0x0bf901ff,0x005fff10,0x4c001a80,0xaaaaaaaa,0xaaaaaaaa,0x00002aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb00000,0x3f69ffff,0x26001fff,0x4020beff,
    0x4ffffffe,0x01bffff9,0x07fffff5,0x880003f9,0x4820beff,0x00120000,
    0x7003bff9,0x32215fff,0xffa800df,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x22ffffb8,0x8001effa,0x4feffffd,0x7ffffd30,
    0x20067fe4,0x7443efeb,0xf900000c,0x24bfdfff,0x80090000,0xfeeffff8,
    0xdfffd501,0xfd7005bf,0x009dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10098000,0xeb980003,0x1b9800ce,0x008002a8,0x10000011,
    0xcc839db7,0xcccccccc,0xcccccccc,0xd950005c,0x2ea2007b,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555300,0x55530355,0x55555455,0xaaaaa982,
    0x06c03b80,0x6f6dd400,0x6f6dcc1b,0x0edc400b,0x4c02f76e,0x2600addb,
    0x1aaaaaaa,0x40aaaaaa,0xaaaaaaaa,0x81aaaaaa,0x6ed41eb8,0x3b71000b,
    0xb88066d4,0x55554c0e,0x5550aaaa,0x14435555,0x4c001400,0x4e980000,
    0x08000400,0x10002000,0x10004400,0x01300013,0x80804010,0x30a202da,
    0x99999999,0x99999999,0x3a619999,0xeeeeeeee,0xeeeeeeee,0x554c0eee,
    0x0355531a,0x005676d4,0x26011160,0xb3015c40,0x037dffff,0x547dff73,
    0x4c0ffffb,0x883fffec,0x801b202f,0xfebacfe9,0xfd9ff74f,0xff9305ff,
    0x3fffa65f,0x3ff623ff,0x32605fff,0x21effffe,0xf03effea,0xffffffff,
    0x4c7fffff,0xff31fffd,0x4c01dfff,0xffb1fffc,0xfffda8df,0x7fff64c0,
    0xfff50acf,0x17e439bf,0x4005f900,0xc80007fd,0xfea800ff,0x00364000,
    0x02fbff26,0x0677fe4c,0x0cffdfb8,0x9db59d30,0xffffe980,0xf88bff03,
    0xf72ffc5f,0x30f20bff,0xdddddddd,0xdddddddd,0x3a61fddd,0xeeeeeeee,
    0xeeeeeeee,0x7fec0eee,0x0bffd10e,0x3ffffff2,0x2a6a801d,0x0ffe44ff,
    0xfb809ffd,0x1fd803ff,0x201fff30,0xf903fff8,0x2013e201,0xffe84ff9,
    0x7ffcc2fe,0x3fffb6a2,0xffdbdfaa,0xacee88ff,0x4403fffc,0xfb82fffe,
    0x100f7c05,0x76dcbfff,0xbefa9fff,0xb705fffe,0xfd73fffd,0x7f6e4fff,
    0xfff100ff,0x807bf20b,0x4fc802fd,0x007ff400,0x803ff600,0x000ffdd8,
    0x4400ffe2,0x87ffdcef,0x4ffdace8,0xdfb10ee8,0x4fe8dd01,0xf97dff70,
    0x1fffa8bf,0x7d43ffea,0xffffd1ff,0x0004f981,0x0003ea00,0x7ffc4000,
    0x543ffcc0,0xffd731cf,0xd936017d,0xfff10fff,0x01bffe2b,0x3e013ffa,
    0x03ffe204,0xf103ffe8,0x00ff201d,0xff703ffb,0x1bfee07f,0x03b3ffe2,
    0x09d9ffd3,0xf100fff5,0x06f88dff,0x7ff400f8,0xcfff880e,0x0fffd40e,
    0x2b9fff10,0xff983ec8,0x0fffa00f,0x7ec013ea,0x0013f202,0x75000faa,
    0x0ee3fdc3,0xd8003fe6,0x3c800fde,0x0721ffcc,0x44fc8ff7,0x1fd45ff8,
    0x37e21bf2,0xf71fe441,0x7ffdc3ff,0x2e3fff50,0x7f43ffff,0x5000006f,
    0x0000001f,0x7d407fea,0x93026c2f,0xf957bfff,0x237fe41f,0x3ffa3ffe,
    0x07ffa803,0x3fe007cc,0x0fff600f,0xff105fc8,0x407ff403,0xf100fffa,
    0xbffd05ff,0x817ffe40,0xa800fff8,0x03f23fff,0xfff901e0,0x02fffc03,
    0xfe805ffd,0x3fe000ff,0x0bffa00f,0xfd8009f7,0x0004fc82,0x3ffe2000,
    0x7fecbf32,0x8007fcc3,0x804f8afa,0x300dfb04,0x417fc4df,0x02e21ffc,
    0x03fb0ffb,0xfffa87f4,0x4c3ffea0,0x22e60fff,0x0ffec44e,0x07d40000,
    0xfd800000,0x3e27dc02,0xfffb5000,0x0cb883df,0x06a05e4c,0x202fff80,
    0x0fff805d,0x880fff60,0x1ff704ff,0x7d41bee0,0x1fffc07f,0xf7017fec,
    0x1fff80df,0x51fff900,0xa806005f,0x7f403fff,0x0fff201f,0x8005ffd0,
    0x3f600fff,0x000fee2f,0x09f917ec,0xfb000000,0x3a2fe5ff,0x7fc42fff,
    0x7dcbd000,0x07f90001,0x7fcc1f90,0x102ff981,0xdf0ffbb7,0xff11fb80,
    0x227ff98f,0x03f107ff,0x00001ff5,0x00001f50,0x64013e00,0x544000c7,
    0x0000001a,0x882ffdc0,0x0fff802f,0x900fff60,0xdff107ff,0xffa80201,
    0xffffffff,0xffd84fff,0x01bfe602,0x22005ffb,0x004fdffe,0x05fff880,
    0x3201ffe8,0x7ff404ff,0x07ffc001,0x3f25ffb0,0x57ec0002,0x000004fc,
    0x9ffd9100,0x05bffd7b,0xf9001ff1,0xd0006e83,0x43fa801f,0xff882ffa,
    0xff91ec83,0x7cc04f88,0x3fe17fe3,0x6b82ffc6,0x0000bfb0,0x66443ea0,
    0xcccccccc,0xcccccccc,0x800b30cc,0x0000001d,0x22000000,0x06b81fff,
    0x6c01fff0,0x7fc403ff,0x05ffb81f,0x3ffffaa0,0x99999999,0x2ffd8099,
    0xb01bfe60,0x7cc005ff,0xd00006ff,0xfd001dff,0x27fdc03f,0x0007ffa0,
    0x7ec01fff,0x0004fdaf,0xa809ffb0,0xcccccccc,0xcccccccc,0xb7103ccc,
    0xf88039df,0x427c400f,0x7cc002fa,0x3fffee04,0x220ffe64,0x907ec2ff,
    0xb80df0ff,0x3a13fa2f,0xe827ec4f,0x033fae63,0x87d40000,0xfffffff9,
    0xffffffff,0x010fffff,0x00000200,0x00000000,0x07d09ffb,0xd803ffe0,
    0xffc803ff,0x04fff80f,0x3eaffae2,0x7ec0006f,0x1bfe602f,0x8005ffb0,
    0x0000fffc,0x800fffe4,0x3ee01ffe,0x0fff404f,0x803ffe00,0x2fffdffd,
    0x2ffc8000,0x777775c0,0xeeeeeeee,0x85eeeeee,0xbdeefca8,0x003fe200,
    0x03f601fb,0x9802f440,0xdff12ffd,0x7ec1ff30,0x7ec3fe45,0xfc83fa01,
    0x7e43fd82,0x2a2274c3,0x00000002,0x00000000,0x00000000,0xf3000000,
    0x007d41ff,0x3600fff8,0xffa803ff,0x06ffd83f,0x3ea19ff7,0x7ec0007f,
    0x1bfe602f,0x8005ffb0,0x0005fffa,0x800fffea,0x3ee01ffe,0x0fff404f,
    0x803ffe00,0xfffdaffd,0x33f20000,0x000002fd,0x3fffb300,0x07fffb5b,
    0x7d401ff1,0x4013e202,0x5fd8006d,0x7f707ff2,0x7fe45ff8,0x5c06fcc0,
    0x5c0fdc4f,0xd90fd41f,0x00000005,0x00000000,0x00000000,0x00000000,
    0x04d8fffa,0xd803ffe0,0xffe803ff,0x41fff985,0x7cc0efd8,0x360000ff,
    0x3fe602ff,0x017fec06,0x7fffbf10,0xbfff1000,0x01ffe800,0xfd013fee,
    0xfff8003f,0x22bff600,0x90006ffe,0x0017ec9f,0x7ffc0000,0x3ff67f1f,
    0x007fc41f,0x03f900bd,0xf50005c8,0xd52ffd8b,0xb9dffb09,0xfb89bffb,
    0x86ffcadf,0x981f5079,0x1110060f,0x98111111,0x99999999,0x99999999,
    0x55551099,0x55555555,0x35555555,0x00000000,0x00000000,0x1f8b7fdc,
    0x803ffe00,0x7d403ffd,0x05ffb06f,0xff101ffb,0x3606001f,0x3fe602ff,
    0x017fec06,0x3ffeebb0,0x77fec000,0x0fff4000,0xe809ff70,0x7fc001ff,
    0x4bff600f,0x4005fff9,0x02fd84fc,0x3e200000,0x64bf30ef,0x07fc43ff,
    0xbd001fc8,0x0a213620,0x3ae0fea0,0xfb102dff,0x40ffe27d,0x04ffffea,
    0x2c1620b1,0xfffff500,0x3e65ffff,0xffffffff,0xffffffff,0xffff35ff,
    0xffffffff,0xbfffffff,0x00000000,0x00000000,0x06cafff8,0xb007ffc0,
    0xffe807ff,0x883ff980,0x3ffe05ff,0xfd83a803,0x1bfe602f,0x2005ffb0,
    0x1bffa0fc,0x01fffc80,0x07ffa022,0x7404ffb8,0x7fc001ff,0x8bff600f,
    0x9003fffa,0x017ec09f,0x2000dc40,0x31fee0a8,0x301ff305,0x17d4009f,
    0x2eaabba2,0x3a0263ec,0x00000006,0x00003510,0xfff50000,0x25ffffff,
    0xaaaaaaa8,0xaaaaaaaa,0x3311aaaa,0x33333333,0x33333333,0x00000033,
    0x00000000,0xfdffc800,0x0fff4003,0x5407ffb0,0x0bfb01ff,0xfd817fea,
    0x407c407f,0x3e602ffd,0x17fec06f,0x3e20fd40,0xffa803ff,0x740dc03f,
    0x3fee01ff,0x00fff404,0xd803ffe0,0x7ffe42ff,0x4027e401,0x7ec002fd,
    0x7ec0000f,0x7fe4c00f,0x0007ec1c,0xffff99b6,0x3e0fffff,0x00dfccef,
    0x00000000,0x80000000,0xddddddd9,0x000001dd,0x00000000,0x00000000,
    0x44000000,0x4000ffff,0xff903ffd,0x817f407f,0x3fee06f9,0xbfff900f,
    0x3a0bd301,0x3fe602ff,0x01ffec07,0x7fdc13e2,0x3ffe201f,0xff81d805,
    0x13fee02f,0x8005ffd0,0x3fa01fff,0x0fffe82f,0x6c009f70,0x3ffa002f,
    0x7fe40000,0x55555400,0x20006a22,0x555530a8,0xb9855555,0x00001acc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ffb0000,
    0x5fff7000,0x77fee74c,0xd01fd408,0x7ffc401f,0x7ff76c44,0xffecacef,
    0x407ffd00,0x7ec07ff9,0x2037404f,0xfb00effe,0x1f8801df,0x9017ffc4,
    0xffe80bff,0x3ffe2003,0x09fff102,0x301dfff1,0x00190007,0x40001644,
    0x000002c8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8000ffd4,0x4ffffffe,0x41bffffb,0x007ea05e,
    0x373ffff6,0xfffe88df,0x301fffff,0x7ec0bfff,0xfff302ff,0x2037ec0d,
    0x640efffd,0x9999afff,0x40ffca99,0xf105fffb,0x3ea01fff,0xf7000eff,
    0x3fea09ff,0xdfffb05f,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x006e8000,
    0x3ffffa60,0x5033ff63,0x1002e80d,0x85dffff9,0xefffffd8,0xffffe981,
    0xfffb0eef,0x3aa9dfff,0x25ffffff,0x41fffff9,0xffffffe8,0xffffff15,
    0xffffffff,0x3fffa61f,0xffb36eff,0x2a1dffff,0xeffffffe,0xffffd701,
    0x3ffae9df,0xf90eefff,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x200006a0,0x202a81b9,0x4000c008,0xb9801ab8,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_43_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-3,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_43_latin_ext_y[560]={ 34,7,7,7,6,7,7,7,7,7,7,10,30,23,
30,7,7,7,7,7,7,8,7,8,7,7,16,16,11,17,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,7,7,7,40,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,10,16,16,16,16,16,16,7,7,7,21,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,15,8,7,11,8,
7,7,8,7,7,16,17,23,7,4,7,10,7,7,7,16,8,19,33,7,7,16,7,7,7,15,-1,-1,0,1,
1,1,8,7,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,13,7,-1,-1,0,1,-1,8,7,7,7,
7,8,8,6,16,16,7,7,7,8,7,7,7,8,7,8,7,7,7,8,8,13,15,7,7,7,8,7,7,8,
2,10,0,8,7,16,-1,7,-1,7,1,8,0,7,0,7,8,7,2,10,0,8,1,8,8,16,0,7,-1,7,
0,8,1,8,7,5,-1,-1,8,7,0,8,2,10,0,8,8,7,1,16,8,7,-1,7,8,7,16,-1,-1,8,
7,7,7,8,7,8,7,-1,7,8,16,0,7,7,7,16,2,10,0,8,-1,7,8,16,-1,7,8,16,0,7,
-1,7,-1,7,7,16,0,7,8,10,0,7,8,10,0,8,2,10,0,8,-1,7,-1,7,8,16,-1,7,-1,7,
1,-1,7,1,8,0,7,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,4,15,9,9,9,9,9,9,9,9,9,9,9,9,9,3,15,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,7,0,7,0,
7,0,7,-1,5,-1,2,-1,2,-1,2,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-6,-1,-1,7,-1,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_43_latin_ext_w[560]={ 0,5,12,19,16,30,29,5,12,12,15,22,6,11,
5,11,18,11,18,16,19,16,17,17,16,17,5,7,22,22,22,15,34,28,24,24,27,23,21,27,28,12,15,29,
23,34,29,26,21,26,27,18,22,28,28,37,28,28,23,9,11,9,18,21,7,17,20,15,19,16,16,18,20,9,
11,20,9,31,20,18,20,19,14,13,11,20,20,28,19,20,17,11,2,11,22,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,16,18,19,20,
2,15,11,28,12,18,22,11,28,21,13,21,11,10,7,19,19,5,7,8,12,18,27,27,29,15,28,28,28,28,
28,28,35,24,23,23,23,23,12,12,12,12,27,29,26,26,26,26,26,16,26,28,28,28,28,28,21,19,17,17,
17,17,17,17,24,15,16,16,16,16,9,9,11,11,17,20,18,18,18,18,18,21,19,20,20,20,20,20,20,20,
28,17,28,17,29,19,24,15,24,15,24,15,24,15,27,24,27,19,23,16,23,16,23,16,23,17,23,16,27,18,
27,18,27,18,27,18,28,20,28,20,13,13,13,13,12,12,13,12,12,9,28,18,15,14,29,20,20,23,9,23,
9,23,15,23,13,23,11,29,20,29,20,29,20,24,26,17,26,18,26,18,26,18,33,26,27,14,27,14,27,14,
18,13,18,13,18,13,18,13,22,11,22,17,22,11,28,20,28,20,28,20,28,20,28,20,28,22,37,28,28,20,
28,23,17,23,17,23,17,16,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,27,20,20,19,20,20,20,
20,20,20,20,20,20,20,20,20,20,26,20,20,20,20,20,20,20,20,20,20,20,20,20,20,32,22,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,17,12,11,26,
18,28,20,28,20,28,20,28,20,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,28,17,35,24,26,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_43_latin_ext_h[560]={ 0,28,12,28,31,29,28,12,36,36,16,22,11,4,
5,28,28,27,27,28,27,27,28,27,28,28,19,25,20,8,20,28,36,27,26,28,26,26,26,28,26,26,27,26,
26,26,27,28,26,35,26,28,26,27,27,27,26,26,26,35,28,35,15,3,8,19,28,19,28,19,27,27,27,27,
36,27,27,18,18,19,27,27,18,19,25,19,19,19,18,27,18,36,36,36,6,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,28,20,26,
36,35,5,28,13,19,9,4,28,3,13,22,15,15,8,27,35,5,9,15,13,19,29,29,29,28,35,35,34,33,
33,33,26,35,35,35,34,33,35,35,34,33,26,34,36,36,35,34,34,16,28,36,36,35,34,35,26,28,28,28,
28,27,27,29,19,26,28,28,28,27,27,27,27,26,28,26,28,28,28,27,27,16,21,28,28,28,27,36,36,35,
32,25,34,27,34,25,36,28,36,28,34,27,35,28,34,28,26,28,32,25,34,27,33,27,33,25,34,28,36,36,
35,35,34,35,35,38,35,35,26,27,34,26,32,24,34,26,33,34,33,18,27,36,36,36,34,35,18,35,35,34,
35,27,27,26,27,26,27,36,27,34,26,35,27,27,28,27,33,25,35,27,36,28,27,19,35,27,34,26,34,27,
36,28,36,28,35,26,35,28,35,33,34,28,26,25,35,27,33,25,35,27,36,28,36,28,33,25,36,28,35,36,
33,35,27,33,26,34,27,27,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,28,25,25,36,25,25,25,
25,25,25,25,25,25,25,25,25,25,31,20,25,25,25,25,25,25,25,25,25,25,25,25,25,32,20,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,34,28,34,27,35,
28,35,28,36,30,36,33,36,33,36,33,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,40,36,35,28,36,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__times_43_latin_ext_s[560]={ 49,402,370,382,394,1,74,383,1,396,263,
175,389,396,501,345,129,271,90,312,330,73,117,200,357,480,505,70,327,427,260,
1,34,301,162,439,187,244,268,298,98,290,371,332,362,127,419,355,410,63,432,
164,460,1,30,59,303,215,386,90,62,100,288,408,458,350,459,395,257,430,211,
159,138,128,49,107,97,87,157,490,484,1,178,447,483,22,1,461,119,178,139,
61,269,301,466,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,49,251,361,
261,240,266,374,139,489,171,343,411,404,396,135,430,356,198,307,319,450,399,1,
505,396,279,330,43,32,459,60,20,267,468,372,170,212,265,1,335,360,408,289,
241,497,21,248,199,435,146,466,88,182,484,1,224,17,118,437,458,343,59,228,
419,464,36,44,276,458,90,62,250,442,425,408,349,459,449,387,86,280,311,242,
223,204,218,294,241,220,96,75,54,313,145,258,487,308,1,237,258,313,122,166,
329,313,296,429,493,338,235,28,185,58,148,337,495,56,420,146,476,122,19,80,
168,409,377,193,145,290,174,1,30,116,403,463,350,223,369,294,161,378,356,484,
318,109,193,242,176,224,338,331,382,203,424,448,199,164,218,123,332,109,287,408,
115,387,454,37,29,237,193,374,283,433,142,221,139,308,1,21,368,88,469,261,
383,401,334,493,498,69,157,363,398,319,122,296,498,176,104,412,58,110,366,80,
37,34,437,279,136,191,183,1,78,220,326,238,353,30,384,55,460,492,266,158,
176,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,482,101,101,14,
101,101,101,101,101,101,101,101,101,101,101,101,101,411,283,101,101,101,101,101,
101,101,101,101,101,101,101,101,361,304,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,104,401,
133,199,155,277,209,108,272,438,240,391,195,412,147,59,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,1,100,432,210,73,487,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101, };
static unsigned short stb__times_43_latin_ext_t[560]={ 38,250,417,250,186,220,279,417,42,1,417,
391,417,427,417,220,220,308,308,220,308,308,250,279,220,250,308,391,391,417,391,
279,42,308,364,220,364,364,364,250,364,364,308,364,364,364,308,250,364,79,364,
250,364,336,336,336,364,364,364,79,279,79,417,427,417,391,250,391,220,391,336,
336,336,336,1,336,336,417,417,391,308,308,417,391,364,417,417,391,417,336,417,
1,1,1,417,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,38,220,151,
250,391,336,1,79,417,279,417,391,417,427,250,427,417,391,417,417,417,308,79,
328,417,417,417,417,220,186,220,250,79,42,115,186,186,186,364,42,42,42,115,
186,42,79,115,186,336,151,1,42,79,115,151,417,279,1,1,79,115,115,336,
220,220,250,279,279,279,220,417,336,250,250,250,279,308,308,308,364,250,336,250,
250,250,279,279,417,391,250,250,250,279,42,42,79,186,391,151,279,115,391,42,
220,1,220,115,279,79,220,151,220,364,220,186,364,151,279,186,279,186,391,151,
220,1,1,115,115,151,115,115,1,115,79,336,308,151,336,186,391,151,336,151,
151,186,417,308,1,1,1,151,79,417,79,79,151,115,308,308,336,308,336,279,
42,279,115,364,115,279,308,220,308,151,391,115,308,42,250,308,391,115,308,115,
336,115,279,1,250,42,279,79,336,79,279,79,151,151,279,336,391,79,279,186,
391,79,279,42,279,42,250,186,391,42,250,79,1,186,42,308,151,336,151,308,
308,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,220,391,391,42,
391,391,391,391,391,391,391,391,391,391,391,391,391,186,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,186,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,151,220,
151,336,79,220,79,220,1,186,1,151,1,151,1,186,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,1,1,42,220,1,186,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391, };
static unsigned short stb__times_43_latin_ext_a[560]={ 155,207,254,311,311,518,483,112,
207,207,311,350,155,207,155,173,311,311,311,311,311,311,311,311,
311,311,173,173,350,350,350,276,572,449,414,414,449,379,346,449,
449,207,242,449,379,552,449,449,346,449,414,346,379,449,449,586,
449,449,379,207,173,207,292,311,207,276,311,276,311,276,207,311,
311,173,173,311,173,483,311,311,311,311,207,242,173,311,311,449,
311,311,276,298,124,298,336,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,155,207,311,311,311,311,124,311,
207,472,171,311,350,207,472,311,248,341,186,186,207,358,282,155,
207,186,193,311,466,466,466,276,449,449,449,449,449,449,552,414,
379,379,379,379,207,207,207,207,449,449,449,449,449,449,449,350,
449,449,449,449,449,449,346,311,276,276,276,276,276,276,414,276,
276,276,276,276,173,173,173,173,311,311,311,311,311,311,311,341,
311,311,311,311,311,311,311,311,449,276,449,276,449,276,414,276,
414,276,414,276,414,276,449,402,449,311,379,276,379,276,379,276,
379,276,379,276,449,311,449,311,449,311,449,311,449,311,449,311,
207,173,207,173,207,173,207,173,207,173,440,343,242,173,449,311,
311,379,173,379,173,379,252,379,214,379,173,449,311,449,311,449,
311,375,436,307,449,311,449,311,449,311,552,449,414,207,414,207,
414,207,346,242,346,242,346,242,346,242,379,173,379,265,379,173,
449,311,449,311,449,311,449,311,449,311,449,311,586,449,449,311,
449,379,276,379,276,379,276,173,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,449,483,483,311,483,483,483,483,483,
483,483,483,483,483,483,483,483,449,329,483,483,483,483,483,483,
483,483,483,483,483,483,483,482,337,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,449,276,207,173,449,311,449,311,449,311,449,
311,449,311,449,311,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,449,276,552,414,449,311,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_43_latin_ext_BITMAP_HEIGHT or STB_FONT_times_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_43_latin_ext(stb_fontchar font[STB_FONT_times_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_43_latin_ext_BITMAP_HEIGHT][STB_FONT_times_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_43_latin_ext_s[i] + stb__times_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_43_latin_ext_t[i] + stb__times_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_43_latin_ext_x[i];
            font[i].y0 = stb__times_43_latin_ext_y[i];
            font[i].x1 = stb__times_43_latin_ext_x[i] + stb__times_43_latin_ext_w[i];
            font[i].y1 = stb__times_43_latin_ext_y[i] + stb__times_43_latin_ext_h[i];
            font[i].advance_int = (stb__times_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_43_latin_ext_s[i] + stb__times_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_43_latin_ext_t[i] + stb__times_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_43_latin_ext_x[i] + stb__times_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_43_latin_ext_y[i] + stb__times_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_43_latin_ext_LINE_SPACING
#endif

