// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_44_latin_ext_BITMAP_HEIGHT        469
#define STB_FONT_times_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_44_latin_ext_NUM_CHARS            560

#define STB_FONT_times_44_latin_ext_LINE_SPACING          28

static unsigned int stb__times_44_latin_ext_pixels[]={
    0x00000000,0x0006dc40,0x1cccb800,0x31000000,0x00355975,0x33332000,
    0x55500000,0x51000005,0x50000155,0x00000355,0x28001b88,0x88000220,
    0x01b8801b,0x00aaa800,0x26003b80,0xaaaaaaaa,0x0c980002,0x04400000,
    0x35550000,0x88000000,0x0000331a,0x00015554,0x0006aaa0,0x00008000,
    0xfd0000ee,0x400003ff,0x00000aeb,0x0017ffe0,0xdff71000,0x9fd99579,
    0x3e600003,0x500003ff,0x0003ffff,0x04fffe80,0x05fe8800,0x7ff40000,
    0x85fd4002,0x740006c8,0x7ff402ff,0x3fe60002,0x00bd0003,0x7fffffdc,
    0x2a0007ff,0x00000ffe,0x00003aa0,0x007fffdc,0x7ec40000,0x0013ae23,
    0x05ffff30,0x3ffea000,0x2000000f,0x001cfeb8,0x220005e8,0x00002fff,
    0x00000be2,0x000dff30,0x0efecc00,0x00f75c40,0x013ff200,0xffffe800,
    0x3ea00005,0x0001ffff,0x0000fd88,0x09fff100,0xff9ff900,0x7fc40001,
    0x3ffe204f,0x0bee0004,0x2005e800,0xfffffffb,0xffc8007f,0x00000fff,
    0x0000ed88,0x9fffff10,0xf9800000,0x003b600c,0x37fffec0,0xfffe8000,
    0x2000005f,0x00fd9bed,0x50002f40,0x800007ff,0x0000037a,0x000077e4,
    0x000cfd80,0x40007f50,0x200005fe,0x2ffd8efb,0xaff88000,0x00006ffa,
    0x800000b6,0xb0001ffd,0x00003fff,0xfd803ffb,0x0760001f,0x000bd000,
    0x2e100000,0x00000fff,0x00006fcc,0xffd1bf90,0x26000001,0x01ff005f,
    0xfc8efa80,0x7dc0003f,0x001ffd8d,0x741f8800,0x002f4003,0x0000bfb0,
    0x00dfff50,0x007fa000,0x07fa2000,0x013a2000,0x0001be20,0x37dc5f88,
    0x117dc000,0x220005fd,0x00000301,0x06200026,0x04c0000c,0x88000980,
    0xbd000301,0x03018800,0x0fff8800,0x17a20000,0x89f30000,0x000005fc,
    0x3f2005fd,0x50774004,0x220001ff,0x0037dc5f,0x35c3d400,0x80017a00,
    0x2000006f,0x0000ffff,0x00017c40,0x00077d40,0x8005f100,0x200000fb,
    0x007f305c,0x6d80fc40,0x43ff9800,0x000005fe,0x87ff3000,0x000005fe,
    0x7fcc0000,0x2002ff43,0x3fe6005e,0x0002ff43,0x0001fff1,0x00007ec0,
    0x0fd41360,0x1fee0000,0x001ff980,0x09d301d7,0x7d413200,0x7c400002,
    0x3a001f41,0x01d50005,0x7fdc0000,0x3b800004,0xdf980000,0xf9800000,
    0x00076000,0x6c404880,0x80390000,0x7fd4003b,0x001ffe25,0x7d400000,
    0x01ffe25f,0x00000000,0x7fc4bff5,0x002f4007,0x7fc4bff5,0x7ffc0007,
    0x9f900000,0x03a80000,0x200002cc,0x3ea007fd,0x4058803f,0x24c001d8,
    0x00003620,0x1fb35db0,0x0005e800,0x00000015,0x00000002,0x0fe88000,
    0x13200000,0x00000000,0x00000000,0x641ed800,0x0000002e,0xd907b600,
    0x00000005,0xc83db000,0x02f4002e,0x5d907b60,0x0fff8000,0x0ffa8000,
    0x00000000,0x3ffd0000,0x013fee00,0x00000000,0xb8800000,0xe8001dff,
    0x7db50005,0x00000001,0x00000000,0x0000bf60,0x4400f100,0x0000002b,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbd000000,0x00000000,
    0x0000fff8,0x00005fe8,0x00000000,0x6400bffa,0x000004ff,0x00000000,
    0x40001000,0xcfc8005e,0x000007eb,0x2a200000,0x00abdedb,0x02fdc09b,
    0xa88b2e60,0xc802d80b,0x0002ffef,0xbdddb950,0x5002a837,0x55555555,
    0x2aaaa155,0x1aaaaaaa,0x55555540,0x44000aaa,0x55555550,0xa8035555,
    0xaaaaaaaa,0x44002600,0x55555550,0xa8035555,0xaaaaaaaa,0x2aaaabd0,
    0x1aaaaaaa,0x55555540,0xfff00aaa,0x26001101,0x554c03ff,0x0aaaaaaa,
    0x2aaaaaaa,0x55300aaa,0x20155555,0xfb003ffd,0x32e2007f,0x0e40acee,
    0x3b72e200,0xaa8d01bd,0xaaaaaaaa,0x5555401a,0xbd0aaaaa,0x2f83f000,
    0x0cc40000,0xefe98000,0xcfffdbcd,0xff807ee0,0x37db3000,0x5c1ffeb9,
    0xf70fc405,0x7fe4c000,0xffdcbdff,0x5003eace,0xffffffd9,0x3faea15b,
    0x1befffff,0x7fffe540,0xb8800acf,0xffd752fe,0x037dffff,0xfffffca8,
    0x7f5c40ac,0x4bfae202,0xfffffeba,0x65401bef,0x0acfffff,0x3ffaeabd,
    0x01beffff,0x7ffffe54,0x1fff00ac,0x13fffae2,0x9803ff90,0xefffffec,
    0x3fff6a0b,0x300bdfff,0x19dfffd9,0x4013ff20,0xfa802ffe,0xefffddff,
    0xb3001fbc,0xdb99bdff,0xa8f917bf,0xffffffeb,0x7e5401be,0xd0acffff,
    0xc86a800b,0xff900005,0x0005bffb,0xe9813ff2,0x203fabff,0xbf5004fa,
    0x05ffcc81,0xf85c80d5,0xfffa8002,0x3ffa600a,0xffd8004f,0x7fdc00ef,
    0xfb0002ff,0x3f26003f,0xffb82fff,0xfb0002ff,0xfff9303f,0xfff9305f,
    0xffff705f,0x3ff60005,0xffb85e81,0xfb0002ff,0x1fff003f,0xffffffd1,
    0x0fff101d,0x37fff440,0x17fffea0,0x700dff00,0x3fe00bff,0x1ffe401f,
    0x0ffffdcc,0x0177fe40,0x01ffffb3,0x00bfffee,0x740ffec0,0x207cc005,
    0x74c0004d,0xfffb30bf,0x2601ffff,0xe8801ffe,0x7ec05fff,0x80efa801,
    0xf302fff9,0x02e85c80,0x00fffe40,0x0009ff90,0x1009fff7,0x4000dfff,
    0x2aa004fa,0xf882fffc,0x2a0006ff,0xff95504f,0xff95505f,0xdfff105f,
    0x827d4000,0x6fff885e,0x013ea000,0x6ff47ffc,0x85ffffec,0x54007ffb,
    0xfd805fff,0x7f4003ff,0x04ffa800,0x5401fff0,0x7fd404ff,0x3ffa201f,
    0x3ffea004,0x0dfff100,0xe827d400,0x89dd8005,0x220000fb,0xdffd04ff,
    0x3fe20999,0x3fa2002f,0x01be205f,0x7c407fee,0x80f100ff,0x001ea1f9,
    0x0001dffb,0xf5000bfb,0x3fe007ff,0x3ea0006f,0x5fff0003,0x001bffe0,
    0xff803fa8,0x17ffc02f,0x0006fff8,0x82f40fea,0x20006fff,0xfff003fa,
    0xfffa81b9,0x037fec1f,0x403fffc0,0x4005fff9,0x7ff1005f,0xf01bf600,
    0xff5001ff,0x13ffa203,0x807fee00,0x20006fff,0x00bd03fa,0x07dffb30,
    0x01ffd800,0xfb00dff5,0xffb000df,0x00fee05f,0x7cc07ff1,0x201e606f,
    0x003fedfd,0x0003ffee,0xf98006e8,0xfff003ff,0x1fcc000b,0x02ffe800,
    0x4000bfff,0xffe803f9,0x817ff402,0x20005fff,0x209b03f9,0x20005fff,
    0xfff003f9,0x37ffdc0b,0x20017ffa,0xe802fffc,0x3ea007ff,0x01ff5002,
    0x4c03fe60,0x3f2005ff,0x00dffb01,0xff00fe40,0x7cc000bf,0x4000bd03,
    0xf80000fd,0x3ffe00ff,0x0bffea00,0xfffdf900,0xe803f901,0x1ffd407f,
    0x32600d30,0x3fe2000b,0x35c0004f,0x1fffcc00,0x005fff80,0x4000fe60,
    0xfff02ffe,0x1fcc000b,0x2017ff40,0xfff02ffe,0x1fcc000b,0x02fffc00,
    0x2007f300,0x7fc00fff,0x13ffe0ff,0x13ffe600,0x007fff20,0xfd8007e4,
    0x81fe4002,0x2a006ffa,0x2fffa81f,0x80be2000,0x20005fff,0x00bd03f9,
    0x0013fe20,0xe80fff30,0xfff102ff,0xabfa800d,0x0fd85fff,0xb00ffee0,
    0x02d403ff,0x3ffa0000,0x0680000f,0x03fff980,0x000bfff0,0xe8001fcc,
    0xbfff02ff,0x01fcc000,0x36017ff4,0xbfff02ff,0x01fcc000,0x002fffc0,
    0x3e007f30,0x7fdc00ff,0x07fff11f,0x01fffa00,0x4013ffe6,0x05f5005f,
    0x2a03b200,0x3e001fff,0x007fff81,0x3fe02d80,0x3e60005f,0x2000bd03,
    0x40007ffc,0x3600fff9,0xfff904ff,0xf27cc007,0x07e83fff,0x7fc03ffc,
    0x98026c07,0x3fe60009,0x0300005f,0x07fff300,0x0017ffe0,0xb0003f98,
    0x3ffe05ff,0x0fe60005,0xb00bffa0,0x3ffe05ff,0x0fe60005,0x017ffe00,
    0xf003f980,0xff9801ff,0x05fff32f,0x0bffee00,0x201fffe0,0x6f5402fa,
    0x6fdc0001,0x07fffe21,0x3fea0ec0,0x3a80004f,0x0017ffe0,0x0bd03f98,
    0x0bfffe00,0x03fff000,0xfe817ff4,0xdf1002ff,0x7c3fffd8,0x013fea06,
    0x1f809ff5,0x3ffff660,0x7fe402de,0x0000002f,0x00fffe60,0x0002fffc,
    0x360007f3,0xbfff02ff,0x01fcc000,0x36017ff4,0xbfff02ff,0x01fcc000,
    0x002fffc0,0x3e007f30,0x7fc400ff,0x05fff53f,0x17ffe200,0x05ffff50,
    0x27dc07c8,0x87f60000,0x802ffffe,0x02fffd80,0xfff80000,0x0fe60005,
    0x7d4002f4,0x40006fff,0x3fe04ffd,0x3ffff00f,0xf903fa00,0x02fc49ff,
    0xfe803ffb,0xb81aa02f,0xfeb88aff,0xffff102f,0x00000003,0x801fffcc,
    0x20005fff,0xfb0003f9,0x17ffe05f,0x803f9800,0x7ec02ffe,0x0bfff02f,
    0x001fcc00,0x0002fffc,0x3fe007f3,0x2fff800f,0x0007fff3,0x9007fff4,
    0xf80bffff,0x01eea804,0x20ef5400,0x1efffffa,0x3fffe200,0xf8000000,
    0x260005ff,0x000bd03f,0x03fffbfd,0x07ffcc00,0xf981ffd4,0xfc800fff,
    0x46fffb81,0x01ffe05f,0x6c01fff7,0x309ff504,0xff301fff,0x000001ff,
    0x1fffcc00,0x005fff80,0x4000fe60,0xfff02ffd,0x1fcc000b,0x2017ff40,
    0xfff02ffd,0x1fcc000b,0x02fffc00,0x2007f300,0xff800fff,0x09fff10f,
    0x17ffdc00,0x1fffbbf0,0xa800bea0,0x1d90002f,0x7ffffdc0,0xff9800cf,
    0x000000ff,0x0005fff8,0x02f40fe6,0x3fe73e60,0x7cc0004f,0x13faa2ef,
    0x807fffa8,0xfff702fb,0xff106e8f,0x37ffc40b,0x3f601f50,0x05ffd02f,
    0x000ffff5,0x55555555,0x3fe60055,0xbfff003f,0x01fcc000,0xf02ffd80,
    0x4c000bff,0x2ffe803f,0xf817fec0,0x260005ff,0xfff8003f,0x0fe60005,
    0x2007ffc0,0x3fe27ff8,0x3e20004f,0x55f505ff,0x1f605fff,0x000bf600,
    0xff7007f9,0x807fffff,0x0007fffa,0x0bfff000,0xe81fcc00,0xe87ec005,
    0x40000fff,0xdffefff9,0x37ffdc01,0xfa813e60,0x41f60fff,0x7d105ffa,
    0x01f409ff,0x3f603ffb,0x6fffb83f,0xffecb800,0x3003efff,0x3e007fff,
    0x260005ff,0xffb0003f,0x017ffe05,0xe803f980,0x7fec02ff,0x00bfff02,
    0x4d81fcc0,0x000bfff0,0xff801fcc,0x37fcc00f,0x00017ffe,0xfb01fffb,
    0x7c17ffe2,0x0ff98004,0x001ff300,0x3fffffa6,0xfff702ef,0x2000000f,
    0x20005fff,0x00bd03f9,0xfff52fc4,0x97440007,0x3ea00098,0x17e207ff,
    0xc8ffff50,0x0fff980f,0x17fdd744,0x2fd406d8,0xf707ffb0,0x44000fff,
    0x4004ffff,0xf003fff9,0x4c000bff,0xffb0003f,0x017ffe05,0xe803f980,
    0x7fec02ff,0x00bfff02,0x5e81fcc0,0x000bfff0,0xff801fcc,0x17fd401f,
    0x0001bff6,0xf887fff5,0x503fff64,0xff10003f,0x01bf6007,0x3ffffee0,
    0xfffb84ff,0xf0000006,0x4c000bff,0x400bd03f,0x37ffc1fb,0x005f8800,
    0x03fffcc0,0xffa801dd,0xe817d46f,0x2eb88cff,0xed883ff7,0xb8800cc0,
    0xffa83fff,0x7ec0007f,0x7cc001ff,0xfff003ff,0x1fcc000b,0x02ffd800,
    0x4000bfff,0xffe803f9,0x817fec02,0x20005fff,0x20bd03f9,0x20005fff,
    0xfff003f9,0xa85fe805,0xf80006ff,0x50fd45ff,0x07d87fff,0x009ff500,
    0x44001ffe,0x5ffffffd,0x003fffd4,0x5fff8000,0x40fe6000,0x21be005e,
    0x8001fffc,0x440005fd,0xfd80ffff,0x4fffb801,0xfff905f8,0x7fcc3fff,
    0x885fb88d,0x6fe4c01f,0xff983ffe,0x320000ff,0x4c001fff,0xff003fff,
    0x7cc000bf,0x5ffb0003,0x0017ffe0,0xff803f98,0x17fec03f,0x0005fff8,
    0x82f40fe6,0x20005fff,0xfff003f9,0x07fea01d,0x0001ffe2,0x7d83fff2,
    0x3e26fff8,0xbff70004,0x007ffe00,0xffffe980,0x1fffe64f,0x7fc00000,
    0x3e60005f,0x2a00bd03,0x5fff882f,0xeffff800,0x0abccccd,0x707fffa0,
    0x3fee005f,0x880fc83f,0xe80cfffc,0x901dffff,0x867f540b,0xff883ffd,
    0x320002ff,0x4c000fff,0xfd003fff,0x7d4000df,0x5ffb0002,0x001bffa0,
    0x7d402fa8,0x7fec06ff,0x00dffd02,0x5e817d40,0x000dffd0,0xff8017d4,
    0x7fd41dff,0x007ff602,0x27fff300,0xfffc84f8,0x20003f50,0xfd004ffc,
    0xf700005f,0x3e23ffff,0x00000fff,0x006ffe80,0x2f40bea0,0x3f607e80,
    0x7ec000ff,0xffffffff,0xfd81cfff,0x013ea3ff,0x981fffd8,0x2006203f,
    0x3e2009a8,0xd81dfb00,0xfffd03ff,0x7fe4000b,0x7fcc000f,0xdffd002f,
    0x017d4000,0xd02ffd80,0x54000dff,0xfffd702f,0x3f60dfff,0x0dffd02f,
    0xe817d400,0x00dffd05,0xf8017d40,0xedefeaff,0x7fcc00ef,0xfff80004,
    0xff303f76,0x8001f67f,0xfb003ffd,0x8006207f,0x3e3ffff9,0x00002fff,
    0x006ffe80,0x2f40bea0,0xf5027cc0,0xfb0007ff,0xffffffff,0xfa81ffff,
    0x00bf15ff,0x3607fff8,0x0000000f,0x0bfb109b,0x7dc0fff6,0x90000fff,
    0x98001fff,0xfd001fff,0x7dc000ff,0x3ffb0001,0x001fffa0,0x00001fb8,
    0xfe817fec,0x3ee0007f,0x3fa0bd01,0x3ee0007f,0x21fff001,0x2000aba9,
    0xc80006fd,0x206d8fff,0x04f8efff,0x00bffa00,0x49827fe4,0x2fffd400,
    0x000bfff7,0x0fffd000,0xe80fdc00,0x400fc805,0x44007ffe,0x5555332e,
    0xb07ffb97,0x01dd1fff,0x017ffd40,0x00000bd1,0xffd01f70,0x80fff601,
    0x0003fffe,0x8001fff9,0x9000fff9,0x20001fff,0xfb0000fc,0x3fff201f,
    0x01f90000,0x1ffd8000,0x001fff90,0x2f403f20,0x000fffc8,0x3e001f90,
    0x980000ff,0x4c0000ff,0x203fcfff,0x01fcfffc,0x007ffa00,0x69827fdc,
    0x26ffe800,0x000ffff8,0x3ff20280,0x1f90000f,0xdf1017a0,0x33333333,
    0x4005fff9,0x37c4005d,0x0ff7ffc4,0x013ffa00,0x00000fe6,0xff981fb8,
    0x80fff606,0x000ffffa,0x000fffc8,0x7003ffcc,0x20005fff,0x3fa0006e,
    0x0bffee07,0x00037400,0xb807fec0,0xd0002fff,0xfb82f40d,0xdd0002ff,
    0x007ffc00,0x004fc800,0x1ffffe80,0x1bfffe60,0x00ffb000,0xf981ffd4,
    0x2ffe4001,0x0013ffee,0x7fdc0950,0x0dd0002f,0x3fee02f4,0xffffffff,
    0x9005ffff,0x0b90003f,0x000bffee,0x5c00dff5,0xc800003f,0x0dff700e,
    0x3601ffec,0xc8005fff,0x02600fff,0x4400dff3,0xa8005fff,0x3fa0004f,
    0x17ffe206,0x0013ea00,0x881bfa00,0xa8005fff,0x4417a04f,0xa8005fff,
    0x3ffe004f,0x3f600000,0x7fdc0001,0xfffe806f,0x3fdc0004,0x203ff300,
    0x7e4004f9,0x7fffc43f,0x80d30001,0x8005fff8,0x017a04fa,0x333333dd,
    0xfffb3333,0x00ff9803,0x3fa03e80,0x3fa2005f,0x6fd4000f,0xed880000,
    0x07ffee00,0x0193ffa6,0x8009fffb,0xfb00fffc,0x01ffcc3f,0x007fff20,
    0x0000ff88,0xff900ffa,0x7fc4003f,0xfe800000,0x0fffe403,0x401ff100,
    0x3fff205e,0x03fe2001,0x000fff80,0x001ba200,0x007fff10,0x0003fff7,
    0x32005fd0,0x13fe604f,0x980ffe80,0x4001ffff,0xffc801e9,0x3fe2001f,
    0xfa817a00,0x3ffe6002,0x02ffec04,0xff981b20,0xfe9805ff,0xdd10002f,
    0x3f220005,0x7ffcc00c,0xffdf912e,0x7ec05b3d,0x3f2005ff,0xfff880ff,
    0x20017ee5,0x802fffe8,0xfb802ffa,0x201be20d,0x802fffe8,0x20002ffa,
    0x037c0dfb,0x017fff44,0x3a017fd4,0x3fffa205,0x02ffa802,0x007ffe20,
    0x00bb1000,0x800ffe80,0x00006ff9,0x3be00bf3,0x13ffe600,0x980bff20,
    0x800bffff,0xfd1001fb,0xff5005ff,0x3605e805,0xfffe8007,0x3bfff200,
    0x03baa00a,0xefeab7c4,0x67fdcc1b,0xfeb80000,0x7e4c401c,0x3ff6000c,
    0xfa8dffff,0xea803fff,0xd500bfff,0x7ec07fff,0x001fb3ff,0x37fff620,
    0xffdb989b,0xfffd001f,0x2003f917,0x9bdfffd8,0x1fffdb98,0x7fff4000,
    0x1001fc8b,0x137bfffb,0x03fffb73,0xfd880bd0,0xb989bdff,0x4001fffd,
    0x0002fff9,0x0001b700,0xfe8017ee,0x3e600003,0x01db300c,0xceffff98,
    0x7ffd310a,0xffffb100,0xfb733359,0xfd88001d,0xb989bdff,0xe801fffd,
    0x0009f305,0xd807fff5,0xeeffffff,0x7404fffe,0x7fffdc0f,0x001dfffe,
    0xeffd9800,0xceffedce,0xffd88000,0x3ffe23ff,0x7fedc003,0xffffeeff,
    0xffe9802d,0x80001eff,0xffffffea,0x2000bfff,0x0efffffb,0xfffea800,
    0x0bffffff,0xfffb8000,0xa8000eff,0xfffffffe,0xbd000bff,0x3fffaa00,
    0x0bffffff,0x3ffae600,0x00002bff,0x88000d98,0x07ee003f,0x7fb10000,
    0x4013f621,0xffec99e9,0x00dfffff,0x7fffed40,0x002effff,0x7ffff540,
    0x00bfffff,0x03f60bd0,0x1fffe200,0x3ffff660,0x801dffff,0x32e6201c,
    0x0000001a,0x06af2a66,0x00a88000,0x2aa00006,0x001aaccb,0x00057730,
    0x79955100,0x54400035,0x880000ab,0x01abccaa,0xaba88000,0xaa880000,
    0x8001abcc,0x5544003b,0x0001abcc,0x55555555,0x20000015,0x00170000,
    0x00000244,0x2000cc2a,0xbcba8828,0x5440000a,0x000aacca,0x66554400,
    0x3b8001ab,0x20006f98,0x1003fffd,0x00157753,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09fb0000,0x7fffdc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff9100,
    0xfffd1000,0xfff985df,0xffffffff,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0x803fffff,0xffffffe8,0x99931fff,0x99999999,0x99999999,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00020000,0x07bbb200,0x00b80000,0x000001c4,0x0007ddd5,0x01cda800,
    0x00060011,0x03dddb00,0xfff30000,0xa980000b,0x800000aa,0x00002aaa,
    0x000a6012,0x00000000,0x00900350,0x01eeec80,0xaaa98000,0xc8000000,
    0x00000eee,0x01bddb00,0x3bb20000,0x0000001e,0x03ccc980,0x00371000,
    0x100000f6,0x00009ffd,0xe8817cc0,0x3a000001,0x000005ff,0x883f53e6,
    0x001e400e,0x07fff100,0x3ff20000,0x7400000e,0x00004fff,0x00ffffd4,
    0x300eb800,0x3b00000d,0x00001d00,0x016c07f1,0xdffff300,0xffd00000,
    0x8000009f,0x005ffff9,0xfff88000,0x22000002,0x00004ffe,0xfffc8000,
    0xffd00000,0x00372005,0x07ff8800,0x27e40000,0x000017a2,0x000eff88,
    0x22df1000,0x37dd01ff,0x000fe544,0x009ff700,0x07ff4000,0x3fee0000,
    0x00001fff,0x017ffffa,0x542fe800,0xb800002f,0x06d980af,0x117ee000,
    0xfe8000dd,0x0002ffed,0x3ffffee0,0x3a000001,0x001fffdf,0x1ffdc000,
    0x7c400000,0x0000007f,0x001fff80,0x09fff100,0x00017e40,0x0003ff30,
    0x46ffc400,0x00000ff9,0x0003fea0,0x2e3fc800,0x3fffea04,0x0005fffe,
    0x0002fec0,0x003ff100,0xaaff8800,0x700005ff,0x05ffb1df,0x53fea000,
    0x000006fa,0xfb9dfff1,0x800005ff,0x1fe88efe,0xd93ea000,0x880000ff,
    0x05ffaaff,0x2bf50000,0x00006fe8,0x0002fec0,0x03ff3000,0x4c000000,
    0x400002ff,0x64001ffd,0x2a00002f,0x4000004f,0x03ffeffb,0x0fec0000,
    0x3fe00000,0x7ffe4001,0x0000efff,0x000037c0,0x0000bee0,0xfe987f20,
    0x2fc40002,0x80001bee,0x01ffeffd,0x3fea0000,0x005fffff,0xefffa800,
    0x27c0005f,0x400027dc,0x0bfa61fc,0x09f10000,0x000007f9,0x00001be2,
    0x000fea00,0x3fc80000,0x01300000,0x001ff100,0x00035c00,0x3ffff400,
    0x17c00000,0x3ea00000,0xfd98000f,0x800003ef,0x000000ea,0x400001ec,
    0x06d881f8,0xf982e400,0xff300003,0x00000bff,0x7ffffd30,0x7ec00000,
    0x20000fff,0x003a603b,0xd881f880,0x26400006,0x00001d50,0x00001d50,
    0x001ae000,0x04e80000,0x00000000,0x80000df7,0x4000000c,0x0002ccc9,
    0x0001cc00,0x0037f400,0x20000000,0x8000001b,0x39000004,0x10003b80,
    0x000d8809,0x01999700,0x54400000,0x88000001,0x40002ccc,0x00028802,
    0x00770072,0x0cc01400,0x005c0000,0x32000000,0x80000000,0x00000058,
    0x01ff4000,0x00000000,0x00000000,0x4c000000,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40007fe4,
    0x9bdedca9,0x54c00000,0x009bdedc,0x6e5c4000,0x00d01bde,0x0013ff60,
    0x2a001988,0xaaaaaaaa,0x555401aa,0x00aaaaaa,0x00000000,0x0dc40000,
    0x55555000,0x03555555,0xaaaaaaa8,0x654000aa,0x41bdeeed,0x2e20002a,
    0xd01bdedc,0x00000000,0x80000000,0x9bdedca9,0x54c00000,0x009bdedc,
    0x2aaaaaa0,0x401aaaaa,0xaaaaaaaa,0x0000000a,0x00000000,0x98013fea,
    0xfdcceffe,0x40000dff,0xdcceffe9,0x0000dfff,0x66f7fecc,0xc8bdfedc,
    0x7fdc4007,0xffc8002f,0x5402dffd,0xffffffeb,0x7e5401be,0x90acffff,
    0x5ddddddd,0x7ddddd10,0x2aaaaaa2,0xa882aaaa,0xaaaaaaaa,0x1ffed42a,
    0xffd75000,0x037dffff,0xfffffca8,0xfc9800ac,0xfdcbdfff,0x003eacef,
    0xcdeffd98,0xc8bdfedc,0x77777647,0xeee882ee,0x555533ee,0x03555555,
    0xaaaaaaa8,0xffd3002a,0xbfffb99d,0xfe980001,0xfffdccef,0xfeba800d,
    0x1befffff,0x7fffe540,0x98000acf,0xaaaaaaaa,0xaaaaaaaa,0x3002aaaa,
    0x3fe20001,0x7fe4400f,0x0bffa603,0x0fff2200,0x002ffe98,0x405dff90,
    0x00ffffd9,0xffffffa8,0x74c04fff,0xfffb30bf,0xf701ffff,0x20005fff,
    0xfb881ffd,0x6400dfff,0x3f2a22ff,0x2befffff,0xffffca88,0xfd52bdff,
    0x00007fff,0x00bfffee,0x000ffec0,0x4015fff5,0x004fffe9,0x30177fe4,
    0x441ffffb,0x00dffffb,0xfb317fe4,0x7dffffff,0xfffdb803,0x64403dff,
    0x3fa603ff,0xfc88002f,0x3ffa603f,0x3ffee002,0xffb0002f,0xdc980003,
    0xffffffff,0xffffffff,0x3ae206ff,0x3fa0002f,0x3ffe602f,0x09ffb002,
    0x017ffcc0,0x2004ffd8,0x2004ffe8,0x9800fffa,0xaafffbaa,0x13fe201a,
    0x26677ff4,0x006fff88,0xf7013ea0,0x7f7007ff,0x2ffffc40,0x9ffff100,
    0x0fffe610,0x7ffc4000,0x13ea0006,0x01fffc80,0x4013ff20,0x2004ffe8,
    0xfb80fffa,0x3fb803ff,0xdffffd30,0x5fffb000,0x05fff300,0x8013ff60,
    0xb002fff9,0x3e2009ff,0x2a0006ff,0x6400004f,0x99fffeff,0xd9999999,
    0xfffc987f,0x3f60002f,0x3fff104f,0x05ffd800,0x001fff88,0x4402ffec,
    0xb8004ffe,0x7d4001ff,0x3ff6006f,0x00dff501,0x8001bffe,0xffe803fa,
    0x400fd805,0x4002fffc,0x7401fffd,0x200003ff,0x20006fff,0xffb003fa,
    0xbfb0001d,0x09ffd100,0x203ff700,0xfd805ffe,0x3fffe200,0x0ffb8005,
    0x01fff880,0x402ffec0,0x4001fff8,0xff005ffd,0x7d4000df,0x7dc00003,
    0x2007ffdb,0xffcaa87c,0x3f20002f,0x0dffb07f,0x05fff300,0x8006ffd8,
    0x6c02fff9,0x320006ff,0x7fe4001f,0x03ffe004,0xf800fff8,0x260005ff,
    0xfffa803f,0x2013e200,0x4001fffc,0x7400fffc,0x200003ff,0x20005fff,
    0xffb803f9,0x1ba0000f,0x001bff60,0xff501fc8,0x027c401f,0x007fffd4,
    0x6c00bf60,0xf98006ff,0x7fec02ff,0xfff98006,0x05fff802,0x000fe600,
    0x3ff6fb00,0xf01e2007,0x5c0005ff,0x7fd41fff,0xffd0002f,0x3ffea01f,
    0xfffd0002,0x0bffea01,0x002f8800,0x98017ff4,0x7ff407ff,0x05fff802,
    0x400fe600,0x3ee03ffe,0x0fffc801,0x07ffe400,0x000fff60,0x005fff80,
    0xf100fe60,0xb80009ff,0x17ffd406,0x405f1000,0x3ee03ffe,0xbfffb001,
    0x8027cc00,0x0002fffa,0x2a01fffd,0xd0002fff,0xff801fff,0x3e60005f,
    0x3e600003,0x800fffb3,0x0bffa00e,0x2fffb800,0x001bffe2,0x884fffa8,
    0x20006fff,0xff04fffa,0x5b0000ff,0x07ffc400,0x00fff980,0x3e013ff6,
    0x260005ff,0xfff5003f,0x6401ba01,0x64000fff,0x7ec00fff,0x3e00003f,
    0x260005ff,0x7fff403f,0x40680000,0x80007fff,0x3ffea02d,0x4400dd00,
    0xd002ffff,0xfff1001f,0x7fd4000d,0x6fff884f,0x3ffea000,0x02fffc04,
    0x0007f300,0xfffb36c0,0x7f401800,0x3ea0002f,0x3fff22ff,0x7ffc0003,
    0x1fffe41f,0x3fffe000,0x027ffd41,0x5001d400,0xff800fff,0x0bffa01f,
    0x0017ffe0,0x3a003f98,0x03f983ff,0x001fff90,0x400fffc8,0x00003ffd,
    0x80017ffe,0x3fe603f9,0x0300005f,0x0027ffd4,0x3fa01d40,0x003f983f,
    0x0077ffd4,0x7e400bee,0x7c0003ff,0x7fe41fff,0x7fc0003f,0x3ffe01ff,
    0x0fe60005,0xb17cc000,0x80000fff,0x20002ffe,0x3fa3fff9,0x740002ff,
    0x7ff42fff,0x7f40002f,0x7ffec2ff,0x80000002,0x6c005ffc,0x3ffe04ff,
    0x05fff800,0x800fe600,0x0fd87ffa,0x01fff900,0x00fffc80,0x0c41ffec,
    0x02fffc00,0x6407f300,0x00002fff,0x02fffd80,0xff500000,0x0001fb0f,
    0x4409fffb,0x3ffa005f,0x7f40002f,0x7fff42ff,0x7ff40002,0x17ffe02f,
    0x003f9800,0xffd8db00,0x3a001007,0x260002ff,0x3ffe4fff,0x7ec0001f,
    0x7fffc4ff,0x7fec0001,0x3fffe24f,0x80000000,0x4c003ffe,0xffa80fff,
    0x0bfff003,0x001fcc00,0x4f88fffa,0x03fff200,0x01fff900,0x36a3ffd8,
    0x3e004fff,0x260005ff,0xffff103f,0x88000003,0x0000ffff,0x8fffa000,
    0xf10004f8,0x3f603fff,0x3fffe000,0x7fec0001,0x0ffffc4f,0x3fff6000,
    0x017ffe04,0x0003f980,0x7fec2fa8,0x3a00d007,0x220002ff,0xfff13fff,
    0xfc80001f,0x3ffe25ff,0x7e40000f,0x3ffe65ff,0x0000000f,0x0007ffc4,
    0xd5177fcc,0x7ffc009f,0x0fe60005,0x5cdff700,0x3ff2001f,0x7fe4000f,
    0x9ffec00f,0x4ffffffc,0x00bfff00,0xf981fcc0,0x00000fff,0x07fffcc0,
    0xf7000000,0x000fdcdf,0x50dfff50,0x7fc4007f,0x640000ff,0x3fe25fff,
    0x640000ff,0x3fe05fff,0x3e60005f,0x86e80003,0x69807ffd,0x005ffd00,
    0xa97ffcc0,0x80007fff,0x3ea7fffb,0xb80007ff,0x3fea7fff,0x0000007f,
    0x0006ffa8,0x3ffbffe6,0x7ffc001d,0x0fe60005,0x74bffe00,0x7ffe4006,
    0x7ffe4000,0x65ffec00,0xfffc98ae,0x05fff801,0x540fe600,0xa8007fff,
    0xaaaaaaaa,0x01fffea2,0x3fe00000,0x0000dd2f,0x7c47fffb,0x7ffd4006,
    0xffb80007,0x1fffea7f,0x3ffee000,0x017ffe07,0x0003f980,0x7fec17d4,
    0x80374407,0x20002ffe,0xff71fffa,0xf50000df,0x3fee1fff,0xfa80006f,
    0xfff70fff,0x0000000f,0x20009ff7,0x001312e8,0x002fffc0,0x70007f30,
    0x005f3dff,0x99afffc8,0x99999999,0x400fffd9,0xfd05effd,0xbfff009f,
    0x81fcc000,0x8006fffb,0xfffffecb,0x1fffee3e,0x2e000000,0x002f9eff,
    0x1ffff880,0xfb8003fb,0xa80006ff,0xff70ffff,0xf50000df,0x3fe01fff,
    0x3e60005f,0x83740003,0xaaaafffd,0x006ffcca,0x40005ffd,0xff70fffb,
    0xf50000ff,0x7ffdcfff,0xffa80007,0x1bffee7f,0x36000000,0xf88002ff,
    0x7fc00005,0x3e60005f,0xfff88003,0xffc8007f,0xffffffff,0xffffffff,
    0x27fec00f,0xf00dff70,0x4c000bff,0xffff703f,0x7ffc4000,0x6fffb84f,
    0x88000000,0x0007ffff,0x2bbffee0,0xffb8003f,0xfa80007f,0x3ffee7ff,
    0xffa80007,0x17ffe07f,0x003f9800,0x7ec07ee0,0xffffffff,0xfd006fff,
    0x7e40005f,0x1fffea7f,0x3ffea000,0x01fffea6,0x9bffea00,0x0007fffa,
    0x0fff8000,0x005fd800,0x02fffc00,0x0007f300,0x0013fff2,0x2aaffff2,
    0xaaaaaaaa,0x400fffda,0x3ea03ffd,0x5fff806f,0x40fe6000,0x0007fffa,
    0x540fffec,0x00007fff,0x9fff9000,0xffd80000,0xf50006ff,0x50000fff,
    0x7fd4dfff,0xfa80007f,0x3ffe06ff,0x0fe60005,0x3605f800,0x3ee207ff,
    0x05ffd006,0x12ffec00,0x0001ffff,0x225fffb8,0x0000ffff,0xf32fffdc,
    0x00000fff,0x006ff880,0x9bdffff0,0x00157999,0x80017ffe,0xf10003f9,
    0xf90003ff,0xfc8001ff,0x7fec00ff,0x01ffe603,0x80017ffe,0xfff303f9,
    0x7e40001f,0xfff981ff,0x00000007,0x0003fff1,0x1ffff880,0xffff1000,
    0xffb80001,0x3fffe25f,0x7fdc0000,0x17ffe05f,0x003f9800,0x9999bf70,
    0x00ffff99,0x3ffa00d7,0x3ffa0002,0x00ffffc1,0x0ffff200,0x0003ffff,
    0x223fffc8,0x0000ffff,0x13fea000,0x7fffec00,0xffffffff,0x37ff401c,
    0x005f5000,0x8002fe40,0x4000fffc,0x6c00fffc,0x3fe603ff,0x06ffe807,
    0x440bea00,0x0002ffff,0x2203fff2,0x0000ffff,0x0bf90000,0x3ff20000,
    0x7ffc0007,0x7e40001f,0x7fffc3ff,0x7fe40001,0x1bffa03f,0x002fa800,
    0xeeeeef88,0x07fffeee,0xfff00698,0x37fc0007,0x0017fff4,0xd0bfff60,
    0x80005fff,0x7fc2fffd,0x000002ff,0x0007ff20,0xffffffd8,0x0fffffff,
    0x001bffa0,0x20002fa8,0xf90002fa,0xfc8001ff,0x7fec00ff,0x01ffe603,
    0x8001bffa,0x3ffa02fa,0x3f20005f,0xffff00ff,0x00000005,0x00000bea,
    0x0003ffe4,0x000bfffa,0xe85fffb0,0x40002fff,0x3a02fffd,0x2a0006ff,
    0x0fc8002f,0x803ffec0,0x6fffa804,0x07ff3000,0x0009fff7,0x5c0fffe8,
    0x40004fff,0x7dc0fffe,0x000005ff,0x8001bf60,0x555332e8,0x07ffb975,
    0x0003fff4,0x6c0003f7,0x3ff20007,0x7fe4000f,0x1ffec00f,0xd00fff30,
    0x5c000fff,0x3ffee01f,0xff90000f,0x3ffee01f,0x00000005,0x400000fb,
    0x40007ffc,0x0004fffb,0x2e07fff4,0x40004fff,0x3a00fffe,0x2e0007ff,
    0x27c4001f,0x003ffec0,0x7ffff5c0,0x7dc006ff,0x1fffd00f,0x3ffea000,
    0x01fffd02,0x0bffea00,0x003fffe2,0x3fe00a00,0x01760003,0x7e40df10,
    0xf90000ff,0x13e20001,0x0fffc800,0x07ffe400,0x980fff60,0xffc807ff,
    0x1f90000f,0x03fffe80,0x01fff900,0x003fffe2,0xf8800a00,0x32000004,
    0xe80007ff,0x50000fff,0x3fa05fff,0xf50000ff,0xffc805ff,0x1f90000f,
    0x800fc800,0x00007ffd,0x3a0003cc,0x3ffea03f,0xbffd0004,0x027ffd40,
    0x205ffe80,0x0004fffb,0x3fe60254,0x03f90000,0x7dc0b900,0xdd0002ff,
    0x007e4000,0x01fff900,0x00fffc80,0xf301ffec,0xfff700ff,0x01ba0005,
    0x003fffea,0x803fff20,0x0004fffb,0x1f900254,0x7e400000,0xfa80007f,
    0xfd0004ff,0x7ffd40bf,0xbffd0004,0x05fff700,0x3001ba00,0x3ff6009f,
    0xd0170007,0x2fd4000d,0x007ffec0,0x003ffe60,0x8001fffb,0x2200fff9,
    0x0001ffff,0x0df700d3,0x003fe600,0xff880fa0,0x4fa8005f,0x00bf1000,
    0x00fffc80,0x007ffe40,0xf980fff6,0xfff8807f,0x04fa8005,0x00bfffb0,
    0x401fff90,0x001ffff8,0x7c400d30,0x64000005,0xb00007ff,0x98001fff,
    0x7ec00fff,0x7cc000ff,0xff8800ff,0x4fa8005f,0x8007ec00,0x98007ffd,
    0x000ff886,0xf1001dd0,0x744009ff,0xff8802ff,0x3fa2004f,0xfff9802f,
    0x0f4c001f,0x0007f60c,0x2002ffec,0xfffc806c,0x03fe2001,0x0fd82a20,
    0x7ffe4000,0x7ffe4000,0x01ffec00,0x3200fff3,0x22001fff,0x3f6000ff,
    0x7e4004ff,0x7fcc00ff,0x74c001ff,0x7ec15101,0x64000000,0x80000fff,
    0x2004fff8,0x8802ffe8,0x22004fff,0x32002ffe,0x22001fff,0x3ea000ff,
    0x1fffa003,0x3e613a00,0x1fb8003f,0x17ff6200,0x007bfe60,0x805ffd88,
    0x2001eff9,0x00bffff9,0x4fc81fb8,0x640009f3,0x200aefff,0xe8800eea,
    0xfa802fff,0xfffb802f,0x80004ffe,0x4001fffc,0x7401fffd,0x3fe603ff,
    0xfffd1007,0x05ff5005,0x0bfffb00,0x007ffe40,0x05ffffcc,0xfb80fdc0,
    0x004ffeff,0xfffd8000,0xfb100000,0xdff300bf,0x7fec4003,0x1eff9805,
    0x7fff4400,0x02ffa802,0xd0007f40,0xfc800fff,0x017ffd01,0x4000bf20,
    0x4c0aeffb,0x0000dffb,0x9815dff7,0x8000dffb,0xacffffd8,0x0efdb999,
    0x0dd17fd0,0xffffb000,0xfffdddff,0xffd88009,0xdb989bdf,0xfb001fff,
    0x000bffff,0x00bfff60,0x805fffd0,0x3e604ffe,0xfb1000ff,0x73137bff,
    0x0003fffb,0x05ffff54,0x03fffea8,0x3ffff620,0xfdb999ac,0x3fff600e,
    0x000005ff,0x003fffd0,0xaeffb800,0x06ffdcc0,0xaeffb800,0x06ffdcc0,
    0xfffd8800,0xfdb989bd,0x7e4001ff,0x3fffc006,0x207fd880,0xeddffffa,
    0x0000dd82,0x77fff6c4,0x0002dfff,0xefffed88,0x0002dfff,0xfffffda8,
    0x5402efff,0x00005fef,0x3fffff66,0x0001dfff,0x3fffffaa,0x000bffff,
    0x00fbffea,0x3ffee200,0xfb8800ef,0xf300efff,0x3f601dff,0x754003ff,
    0xffffffff,0x700000bf,0xfddffffb,0x0005bfff,0x7ffffed4,0xa802efff,
    0x0003efff,0xfffc8800,0x400001df,0xfefffed8,0x80002dff,0xfefffed8,
    0x00002dff,0xffffffd5,0x80017fff,0x8802fffc,0xabeffffc,0xffdcbaaa,
    0x7fed404f,0x003d80ce,0xabb98800,0x22000000,0x0000abb9,0x59955100,
    0x04c40015,0xa9880000,0x00000abb,0x55e65544,0x06e20001,0x3ffa6000,
    0x5effffff,0xfffffe98,0xfd55efff,0x23dfffff,0xeffffffd,0x65544003,
    0x00001abc,0x5665d540,0x4400001a,0x00aaccaa,0x0000dc40,0x7fff4c00,
    0x04efffff,0xbb988000,0x2000000a,0x000abb98,0x32aa2000,0xa8001abc,
    0x4fffffff,0xfffffeb8,0xffffffff,0x001fffff,0x00000200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bb62000,0xe9800005,0x1ddd10de,0x55555300,0x55555555,0x55555555,
    0x0bbbae00,0x0c006200,0xaa988000,0x2aaaaaaa,0x00006e20,0x3bbb2000,
    0x00000000,0x06e60000,0x01700730,0x77754000,0xec800003,0xc80001ee,
    0x13bae4ee,0x400b8000,0x31000038,0x55400600,0xaaaaaaaa,0x5555401a,
    0x000aaaaa,0x001bddb0,0x014c0240,0x38801900,0x04801b80,0x0fffff20,
    0x9ff70000,0xb8027fd4,0xffffffff,0xffffffff,0x8807ffff,0x000fffff,
    0x02dc00e8,0xffff9300,0xddfddddf,0x07ffb50d,0xfa800000,0x00005fff,
    0x40fbf220,0x3f6a000c,0x205d802f,0x6c00005c,0x000006ff,0x00009fff,
    0xffd83ffa,0x3e600001,0x0003d102,0x16e00740,0x7fff5d40,0x401befff,
    0xcfffffca,0xff88000a,0x75c0002f,0x8000d300,0x01d101f9,0x3a205f10,
    0xf9ff3002,0x400001ff,0x07fdc6fc,0xabdffc80,0xafffeaaa,0x7ffdbaaa,
    0xffdefc80,0x1bed8004,0x000bf2a2,0x7fffffd4,0x7541f43f,0x0003ffff,
    0x7eff4000,0x800001ff,0x2efffff9,0xfffa8034,0xef9802ff,0x00007e40,
    0x0003bfe0,0x017fe600,0x21ffc400,0x800004ff,0x027444fc,0x86fb6000,
    0x8002fca8,0x002ffffb,0x0003ffb0,0x0003ffb8,0x2fa85fd0,0x43fd8000,
    0x3ee004f9,0xb002f444,0x013fa65f,0x6c1fe800,0x0ff2002f,0x2207ffd8,
    0x3be600fe,0x8003ff70,0xffeffff9,0xff50006f,0x87ffffff,0xfff3083e,
    0x40000007,0x0dfd14fb,0xb5bb0000,0xbb7dffff,0x7ffd4200,0x25ff9002,
    0x400003fd,0x00001ff9,0x0001df90,0xdf11be60,0x3e200000,0x00ff98df,
    0x7ffcc000,0x006fffef,0x00dfff10,0x00027d40,0x00002fec,0x1bea9ff5,
    0x6ffc4000,0x4000ff98,0x1fe88eff,0xd883f500,0x9f00001f,0x4c800bf0,
    0x203ffec0,0x217600f8,0xfa8005fa,0x00efffff,0xfffffa80,0x1f43ffff,
    0x000fffa0,0x427c4000,0x400002fc,0x7ffff546,0xfff8001f,0xdfff1002,
    0x900000ff,0x4000005f,0x200000fe,0x017d41fb,0xdff70000,0x000007ff,
    0x3fffffea,0x3fe0000e,0x3ea0006f,0x37c40003,0x7fec0000,0x00001ffe,
    0x0fffbff2,0x3fffea00,0x807a004f,0xf980005b,0x20007c40,0x3ffec02d,
    0x05a80ec0,0x26000ba2,0x0004effd,0x3ffffff2,0x01f43fff,0x0000fff6,
    0xd501e400,0x12200001,0x000eff5c,0x2002ffe8,0x002ffffb,0x0003e800,
    0x0007e200,0x0b709900,0xffd00000,0x800000df,0x004effd9,0x005fff80,
    0x0000fe60,0x000001d5,0x00bffff3,0xffff8800,0x3ffa0006,0x033000ff,
    0x98000150,0xc8003982,0x03ffec00,0x500280dc,0x00000000,0xfffffffd,
    0x403e87ff,0x00003ffd,0x03300500,0x00000000,0x0017ff40,0x00013332,
    0x00001220,0x00000550,0x00017019,0x59993000,0x00000000,0x17ffe000,
    0x003f9800,0x000005c0,0x00199970,0x39995000,0x6664c000,0x00000002,
    0x00000000,0x001fff60,0x00000000,0x7ffc4000,0x3fffffff,0x3ff601f4,
    0x00000003,0x00000000,0x3ffa0000,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x005fff80,0x0000fe60,0x00000000,0x00000000,
    0x98800000,0x2aaaa001,0x1aaaaaaa,0x55555540,0x36000aaa,0x000007ff,
    0x55555011,0x03555555,0xaaaaaaa8,0xffff10aa,0x87ffffff,0x1ffec03e,
    0x2aaaa000,0x1aaaaaaa,0x55555540,0x55550aaa,0x35555555,0xaaaaaa80,
    0xffe80aaa,0xeecb8802,0x530e40ac,0x00355555,0x55555550,0x765c4055,
    0x00e40ace,0x37b72a60,0x2a60009b,0x001aaaaa,0xaaaaaaa8,0x654c002a,
    0x0009bded,0x0017ffe0,0xa9803f98,0xaaaaaaaa,0xaaaaaaaa,0x2aaaa62a,
    0xaaaaaaaa,0xaaaaaaaa,0x55555302,0x55555555,0xa8555555,0xaaaaaaaa,
    0xffc800aa,0x5402dffd,0xffffffeb,0x7e5401be,0x00acffff,0x001fff60,
    0x82feb880,0xfffffeba,0x65401bef,0x0acfffff,0x3ffffffa,0x01f43fff,
    0x0000fff6,0xfffffd75,0xca8037df,0x0acfffff,0xfffffd75,0xca8037df,
    0x0acfffff,0x5402ffe8,0xfffddfff,0x2e61fbce,0x01fffffd,0x7fffe540,
    0xfff502df,0x79dfffbb,0x3fa6003f,0xfffdccef,0xfdb9800d,0x4001ffff,
    0xdfffffca,0xdffd3002,0x1bfffb99,0x0bfff000,0x401fcc00,0xfffffffc,
    0xffffffff,0x3fee1fff,0xffffffff,0xffffffff,0xfff907ff,0xffffffff,
    0x3fffffff,0xffffeba8,0x2600adff,0xffb30bfe,0x701fffff,0x0005ffff,
    0x40007ff6,0x80007ffd,0x02ffffc9,0x017fffdc,0x901ffd80,0xffffffff,
    0x6c03e87f,0xeeea83ff,0xf700deee,0x20005fff,0x7dc01ffd,0xb0002fff,
    0xffe803ff,0x20fff202,0x01ffffb9,0x01ffffd3,0x803bf600,0xfb983ffc,
    0x64401fff,0x3fa603ff,0x3fa6002f,0xb0000fff,0x322001df,0x3fa603ff,
    0x7ffc002f,0x0fe60005,0x2af3ff60,0x99999999,0x7e44fffe,0xeaaaabdf,
    0xbaaaafff,0xffb07ffd,0x33333579,0x9fffd333,0x0efffd80,0xd04ff880,
    0x20999dff,0x0006fff8,0xd80013ea,0xa80007ff,0x402fffda,0x0007fff8,
    0xffa817ea,0x3fffffff,0x3ff601f4,0x15fff503,0x06fff880,0x2013ea00,
    0x0006fff8,0x3fa013ea,0x09ff502f,0x201fffa8,0x006fffe8,0x7d407f70,
    0x7ffd404f,0x0bffe601,0x0027fec0,0x00dfffd1,0x4c00fee0,0xfb002fff,
    0x7ffc009f,0x0fe60005,0xb8003ba0,0x3fc86fff,0x881fff60,0x00ee80fe,
    0x01bffee0,0x4013ffea,0xff501ffd,0x1bffe00d,0x003fa800,0x001fff60,
    0x005fff00,0x4000dfff,0x7fe404f9,0x43ffffff,0x1ffec03e,0x2000dfb8,
    0x20006fff,0xfff003fa,0x1fd4000d,0xf817ff40,0xffa800ff,0x7fffd401,
    0x03fa8005,0x2a003ffe,0xfff101ff,0x5ffd8003,0x3fffea00,0x03fa8005,
    0x001fff88,0xf802ffec,0x260005ff,0x001e803f,0x207fffe6,0x3ffec04c,
    0x07a03e20,0x1ffff980,0x03fffa80,0x7c01fff0,0xfff800ff,0x0fe60005,
    0x07ffd800,0x17ff4000,0x002fffc0,0xf7007f30,0x87ffffff,0x1ffec03e,
    0x7c0027dc,0x260005ff,0xbfff003f,0x01fcc000,0x7cc17ff4,0x07f2005f,
    0x7fffff50,0x302f9800,0x7e400bff,0x00dffb01,0x005fff30,0x0fffffea,
    0xb005f300,0xf3000dff,0xfff005ff,0x1fcc000b,0x3fa003c0,0x805b03ff,
    0x1d807ffd,0x7ff40078,0xfff3003f,0x0fff3007,0xf802ffe8,0x260005ff,
    0x3f60003f,0x7400007f,0xfff802ff,0x0fe60005,0x7fffe4c0,0x3601f43f,
    0x01fe43ff,0x005fff80,0x7c00fe60,0x260005ff,0x2ffe803f,0x2006ffa8,
    0x6fd401fa,0x2002ffff,0xdff502f9,0x540fd400,0xd0002fff,0xf5001fff,
    0x005ffffb,0x3ea017cc,0xfd0002ff,0xfff801ff,0x0fe60005,0xffc80160,
    0xb003205f,0x03700fff,0x7ffe400b,0x3ffe6005,0x0fff9803,0x2013ff60,
    0x20005fff,0x360003f9,0x400007ff,0xff802ffe,0x3e60005f,0xf9988003,
    0x3f601f43,0x000ff23f,0x0005fff8,0x7fc00fe6,0x3e60005f,0x82ffe803,
    0x2001fffa,0x657d401f,0x3000ffff,0x3ffea05f,0xf107e001,0x54000dff,
    0xfa804fff,0x00ffffca,0x7c405f30,0x2a0006ff,0x7fc04fff,0x3e60005f,
    0xf3000803,0x80001fff,0x20007ffd,0xffff3000,0x7ffcc001,0x03fff003,
    0x7c017ff4,0x260005ff,0x3f60003f,0x6c00007f,0xfff802ff,0x0fe60005,
    0x3e87f000,0xfd9ffec0,0x7ffc0002,0x0fe60005,0x002fffc0,0xfd007f30,
    0xffff105f,0x50076003,0x3bfff65f,0x102f9800,0x2003ffff,0x1fffe41d,
    0x3fffe000,0xfd97d401,0xf9800eff,0x0ffff202,0x3ffff000,0x002fffc0,
    0x00007f30,0x00bfffa2,0x01fff600,0xffd10000,0xff98005f,0x9ffb003f,
    0x4007ffc0,0x20005fff,0x360003f9,0x400007ff,0xff802ffd,0x3e60005f,
    0x21fc0003,0x67fec03e,0x40000efd,0x20005fff,0xfff003f9,0x1fcc000b,
    0xe817ff40,0x0802ffff,0xfd12fa80,0x5f300bff,0x17ffff40,0x7fff4040,
    0x7ff40002,0x897d402f,0x9805fffe,0x3fffa02f,0x7ff40002,0x1bffa02f,
    0x002fa800,0x0bfff900,0x1fff6000,0xff900000,0xff3000bf,0x3fe6007f,
    0x03ffa80f,0x000bfff0,0xb0001fcc,0x80000fff,0xff802ffd,0x3e60005f,
    0x21fc0003,0x6ffec03e,0x40005fff,0x20005fff,0xfff003f9,0x1fcc000b,
    0xa817ff40,0x01efffff,0xf317d400,0xf9809fff,0x3fffea02,0x7fc001ef,
    0x6c0001ff,0x7d404fff,0x13fffe62,0x7fc05f30,0x6c0001ff,0x3fa04fff,
    0x3ea0006f,0xffa80002,0xb00000ff,0x00000fff,0x007fffd4,0x01fffcc0,
    0x545dff30,0x3fe004fe,0x3e60005f,0x3ff60003,0x7ec00007,0x5fff802f,
    0x00fe6000,0x03e87f00,0x7fd5ffec,0x3fe0003f,0x3e60005f,0x0bfff003,
    0x401fcc00,0x3ee02ffe,0x00cfffff,0xfa85f500,0x3e602fff,0x7fffdc02,
    0xf8800cff,0x40000fff,0x5405fffc,0x7fffd42f,0x440be602,0x0000ffff,
    0xd02fffe4,0x5c000fff,0x7c40001f,0x00001fff,0x0001fff6,0x0ffffc40,
    0x3fff9800,0x77ffcc00,0x7c001dff,0x260005ff,0x3f60003f,0x6c00007f,
    0xfff802ff,0x0fe60005,0x3e87f000,0xfc9ffec0,0xff0002ff,0x7cc000bf,
    0x0bfff003,0x401fcc00,0x7dc02ffe,0x03ffffff,0xfb82fa80,0x5f301fff,
    0xfffff700,0xffa807ff,0xfb80007f,0x17d407ff,0x80ffffdc,0xfff502f9,
    0xff70000f,0x7ffe40ff,0x01f90000,0x4fffd800,0x7fec0000,0xfb000007,
    0x4c0009ff,0x22003fff,0x0001312e,0x0002fffc,0x6c0007f3,0x400007ff,
    0xff802ffd,0x3e60005f,0x21fc0003,0x1ffec03e,0x0001fffd,0x4000bfff,
    0xfff003f9,0x1fcc000b,0x4017ff40,0xffffffe9,0x0bea002e,0x4077ffec,
    0xfd3002f9,0x05dfffff,0x001bffee,0x03fffea0,0xffb02fa8,0x05f301df,
    0x001bffee,0x03fffea0,0x0017ffdc,0x5c0006e8,0x00006fff,0x0007ffd8,
    0x06fffb80,0x1fffcc00,0x0005f880,0x002fffc0,0x40007f30,0x00007ffd,
    0x7c017fec,0x260005ff,0x1fc0003f,0x7ffb00fa,0x0037ffc4,0x0002fffc,
    0x3fe007f3,0x3e60005f,0x02ffe803,0x3ffffee0,0x5f5004ff,0x42ffff40,
    0x7dc002f9,0x84ffffff,0x0007fffb,0x407fffa8,0x3ffa02fa,0x702f985f,
    0x0000ffff,0x440ffff5,0xa8005fff,0x3e20004f,0x00001fff,0x0007ffd8,
    0x0ffffc40,0x3ffe6000,0x00bfb003,0x05fff800,0x000fe600,0x000fffd8,
    0x00bff600,0x80017ffe,0x7c0003f9,0x3f601f43,0x2fffcc3f,0x017ffe00,
    0xf003f980,0x4c000bff,0x2ffe803f,0x7ffec400,0xfa805fff,0x3fffe202,
    0x40017cc4,0xffffffd8,0x03fffd45,0x37ffd400,0xf880bea0,0x17cc4fff,
    0x007fffa8,0x06fffa80,0x000fffe4,0x40001ff1,0x0003fffe,0x00fffb00,
    0x3fffe800,0xfff98000,0xdffff003,0x1579999b,0x017ffe00,0x0003f980,
    0x0007fffa,0x802ffd80,0x20005ffe,0x7c0003f9,0x3f601f43,0x3fffb83f,
    0x017ffe00,0xf003f980,0x4c000bff,0x2fff803f,0xfffd3000,0x2fa809ff,
    0x17fffcc0,0x4c0005f3,0x24fffffe,0x000ffff8,0x02fffdc0,0xff300bea,
    0x817cc5ff,0x000ffff8,0x02fffdc0,0x00bfffa2,0x8000bfea,0x0005fffc,
    0x01fff600,0x5fffc800,0xfff30000,0x3fff6007,0xffffffff,0x7ff401cf,
    0x0bea0006,0x3fff2200,0xb00001df,0xffd005ff,0x17d4000d,0x7d0fe000,
    0xd04ffe80,0x3a005fff,0x2a0006ff,0xdffd002f,0x017d4000,0x0001fffc,
    0x07ffffee,0xfb802fa8,0x05f31fff,0xffff7000,0x0ffffc3f,0x3fff2000,
    0x4017d403,0xf31ffffb,0x0ffffc05,0x3fff2000,0xfffd8803,0xfdb989bd,
    0x260001ff,0x0000ffff,0x01fff600,0x7fffcc00,0xff300000,0x7fec007f,
    0xffffffff,0x3fa00fff,0x3ea0006f,0x3ffaa002,0x4effffff,0x17fec000,
    0x0037ff40,0x80005f50,0xf301f43f,0xff501dff,0xffd007ff,0x17d4000d,
    0x006ffe80,0xf500bea0,0x00310dff,0x01ffffcc,0x3f2005f5,0x02f98fff,
    0x7fcc0031,0x3fffa3ff,0x7fec0002,0x017d402f,0x98ffffc8,0x3fffa02f,
    0x7fec0002,0x3faa002f,0xffffffff,0x7f40000b,0x000002ff,0x0003ffec,
    0x002fffe8,0x0fffe600,0xa9997440,0xffdcbaaa,0x01fffa03,0x0001fb80,
    0xfb000000,0xfffb003f,0x017dc000,0x07d0fe00,0xffffffd7,0x3fffea3d,
    0xfd00eeff,0x7dc000ff,0x0fffd001,0xa80fdc00,0xeffffffe,0xfa800930,
    0x0bea05ff,0xaefffd80,0x8009302f,0x3ee5fffa,0x740004ff,0x7d400fff,
    0x3fff6002,0x3ee02fae,0x740004ff,0x88000fff,0x01aeecaa,0xbfff9000,
    0xfb000000,0xf90000ff,0x80000bff,0xb003fff9,0x06f8800b,0x0003fff2,
    0x200007e4,0xfb000000,0xfff9001f,0x03f20001,0x3e87f000,0x20000000,
    0x0000fffc,0x3f2001f9,0xf90000ff,0x0d300001,0x40dffd00,0x3a2002fa,
    0x302fefff,0xdffd000d,0x000fffe8,0x005fff50,0x744005f5,0x402fefff,
    0x0000fffe,0x0005fff5,0x00007f10,0x007fffd4,0xfb0006c0,0xfa8000ff,
    0xd8000fff,0x07fff300,0x90003f90,0x17ffdc0b,0x0006e800,0x0001ffe4,
    0x5c01ffa0,0xd0003fff,0x87f0000d,0xbec8003e,0x3fee0001,0x0dd0002f,
    0x017ffdc0,0xe9806e80,0x01f980ad,0x502ffe40,0xff98005f,0x3f302fff,
    0x45ffc800,0x0004fffa,0x2a00bffd,0x7fcc002f,0x7d402fff,0xfd0004ff,
    0x2a0000bf,0xf100006f,0x10005fff,0x7ffd800d,0x3ffe2000,0x0688002f,
    0x300fffe6,0x7d0001ff,0x02fffc40,0x00027d40,0x0003fffe,0x1006fe80,
    0x5000bfff,0x7f00009f,0xfe8003e8,0xf10001ff,0xf5000bff,0x7ffc4009,
    0x04fa8005,0x986fff98,0x7fe4004f,0x000bea03,0x40bfffea,0x7e4004f9,
    0x0fffd83f,0x07ffcc00,0x8002fa80,0x802ffffa,0x4000fffd,0x0000fff9,
    0x0003ff70,0x009fffb0,0xfb0016e0,0x7ec000ff,0xb70004ff,0x01fffcc0,
    0x90017ff6,0x3fff900d,0x007fc400,0x0bfff600,0x02fe8000,0x007fff20,
    0x0000ff88,0x001f43f8,0x002ffdc4,0x003fff90,0x20007fc4,0x2001fffc,
    0xb3000ff8,0x4ff983ff,0x803ffa00,0xf90002fa,0x3fe605ff,0x03ffa004,
    0x8013ffe2,0x2002ffe8,0xf90002fa,0xff1005ff,0x7f44009f,0x2200002f,
    0x0000beff,0x000dfff7,0xfb000fe6,0xf70001ff,0x26000dff,0x3ffea03f,
    0x77ffe404,0x03baa00a,0x0bfffa20,0x000bfea0,0x4002e8c0,0x1be20beb,
    0x5fffd100,0x005ff500,0x07d0fe00,0x0037f400,0x05fffd10,0x0005ff50,
    0x005fffd1,0x98005ff5,0x7ffcc3ff,0x02ffc804,0xb0001fdc,0x3fe605ff,
    0x2ffc804f,0x017ff620,0x0007bfe6,0x6c0007f7,0xfb1002ff,0xdff300bf,
    0xf9000003,0x01dbbfff,0x03ffff10,0x005fd500,0x001fffe8,0x00ffffc4,
    0x7017f540,0xfb009fff,0xdddfffff,0x88009fff,0x89bdfffd,0x01fffdb9,
    0x007c4000,0x22ffffe0,0xd88001fd,0x989bdfff,0x001fffdb,0x07d0fe00,
    0x00ffe600,0xbfffb100,0xffb73137,0x6c40003f,0x989bdfff,0x001fffdb,
    0x7cc0ffc8,0x10acefff,0x8807ffd3,0x10002efe,0x3fe605fd,0x310aceff,
    0x2e007ffd,0x5cc0aeff,0x44000dff,0x10002efe,0xfb8005fd,0x7dcc0aef,
    0x000000df,0x00f7ffae,0xccefffe8,0xcccccccc,0x01fffedc,0xbffff910,
    0x7fff4003,0xccccccce,0xffedcccc,0xfffd501f,0xffb3005f,0x3bffffff,
    0x7ff54000,0xbfffffff,0x74400000,0xfffb8003,0x40000eff,0xffffffea,
    0x0000cfff,0x00fa1fc0,0x009ff950,0x7fff5400,0x0bffffff,0xffd50000,
    0x7fffffff,0x7edc4001,0xc99e982e,0xfffffffe,0x3ffba00d,0x000effff,
    0x9e9817c4,0xfffffec9,0x44000dff,0xffefffed,0x774002df,0x0effffff,
    0x0017c400,0x77fff6c4,0x0002dfff,0x5c000000,0xffffffff,0xffffffff,
    0xa807ffff,0xfffffffe,0x7fdc04ef,0xffffffff,0xffffffff,0xfffe87ff,
    0x1effffff,0x55dd4c40,0x54400000,0x001abcca,0x02cd8800,0x02aea200,
    0x95510000,0x00003579,0x006e0e40,0x00003770,0x5e655440,0x2000001a,
    0x1abccaa8,0x01791000,0x65d44144,0x000000ab,0x14402600,0x055e5d44,
    0x5dcc4000,0x0000000a,0x00009800,0x0055dcc4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0xbfffffff,0x76dd4400,0x2e0009bd,0x7fffffff,0x02400d40,0x3bb2e200,
    0x510e40ac,0x55555555,0x00003333,0x02980480,0xddd90000,0x55510003,
    0x55555555,0x22000003,0x01bdedcb,0x0000000d,0x26012000,0x88000002,
    0x00005eee,0xb8000000,0x40002ced,0x0002201a,0x4402aa00,0xddd30000,
    0xeeea8007,0x42ec8803,0x74c01dd9,0x900004ee,0x36001ddd,0x3cccccff,
    0xdfffe980,0x00dffffd,0xfccccca8,0x203f807f,0x3ea0003d,0xefffddff,
    0x36a21fbc,0xffffffff,0x004effff,0x500eb800,0x2200000d,0x10003fff,
    0xffffffb5,0x000039bf,0xcdeffd98,0xc8bdfedc,0x3df70007,0x0000dfc8,
    0x1aa01d70,0x7dc00000,0x400001ff,0x6fe41efb,0x2de98000,0xa8001df5,
    0x1b82fffe,0x3faa0000,0x001b83ff,0x01ffffd0,0x802ffec0,0x3f60fffc,
    0x7ffb806f,0xfff98000,0x1ffb005f,0x19ff9000,0x05ffd730,0x201ffa00,
    0x036c0dfa,0x307ff900,0x203ffff7,0x9acffff8,0x1efffca9,0x17f40000,
    0x00000bea,0x00027fd4,0x0efffe88,0xff900000,0x7fecc05d,0x7c4000ff,
    0x3ffe65ff,0x3fa00003,0x00017d42,0x01ffd800,0x7ffc4000,0x00fffe65,
    0xbf90bf10,0x7fffcc00,0x003a2eff,0x7fffcc00,0x003a2eff,0x3ff7fee0,
    0x1dff1005,0x83fff600,0xfb007ffe,0xfe80005f,0xd801fffd,0x3a6000ff,
    0xfd8802ff,0x7fe8004f,0xd13dfd00,0x3ea0005f,0x7ffd404f,0x03fff601,
    0x027fff4c,0x29ff5000,0x000006fb,0x000017f2,0x0007fff9,0x09ffd100,
    0x007ffd40,0x993ffe20,0x00003fff,0x37dd3fea,0xff000000,0xf1000007,
    0x7ffccbff,0x417e4003,0x79000ffb,0x3fffffa6,0x3200006f,0xfffffd33,
    0xff1000df,0x2007fee3,0x26000ffa,0x1ffd44ff,0x0009fd00,0x6fe8afdc,
    0x000ffd80,0x8005fff1,0x74005ffe,0xfff3007f,0x7c000bfd,0xffa800ff,
    0x03fff201,0x02ffff98,0x3bff6000,0x000001ff,0x000003be,0x0005fff7,
    0x04ffe880,0x001ffb80,0x7e41dfb8,0x6c00000d,0x001ffeff,0x09f50000,
    0x6fdc0000,0x0006fe41,0x3ff203fa,0xff50b001,0x00001dff,0x7fff542c,
    0x0ec8000f,0x7ec037d4,0x22010001,0x03f44000,0xfc84f880,0x007fec03,
    0x8006ffd8,0x2002fff9,0x3f6007fe,0x30001fff,0x7e400bff,0x03ffee01,
    0x00dfff90,0x7fffcc00,0x26000005,0xa800000f,0x00002fff,0x00037fec,
    0x000003f9,0x7cc00000,0x00005fff,0x00017200,0x40000000,0x06fa82ff,
    0x0aca80a0,0x50140000,0xd1000179,0xf00ba201,0x00000005,0x4000fc40,
    0x803aa04c,0xfa800ffd,0xfb0002ff,0x3fa001df,0x33322007,0x3fea0003,
    0x807ea006,0x5400fffb,0x00007fff,0x0006665c,0x00037000,0x07ffea00,
    0xfffa8000,0x0be20002,0x00000000,0x01999700,0x02400000,0x00000000,
    0x020bfd00,0x00000000,0x20000000,0x2603800a,0x00000003,0x28002980,
    0x3f601980,0x7ffc400f,0x3fea0006,0x0ffd004f,0x2a000000,0x3e001fff,
    0x03ffee01,0x01ffff30,0x00000000,0x00000000,0x0003fff5,0x003fffc0,
    0x555516c0,0x35555555,0xaaaaaa80,0x00000aaa,0x00000000,0x95300000,
    0x00137bdb,0x0009ff90,0x6f6e54c0,0x2a60009b,0x001aaaaa,0xaaaaaaa8,
    0x0000002a,0x00000000,0x00000000,0xfc801ffb,0x220003ff,0xe801ffff,
    0x5555517f,0x33335555,0x7ffc4000,0x403b001f,0x5400fffb,0x00007fff,
    0x44000598,0xaaaaaaaa,0x0001999a,0x007ffea0,0x27ffd400,0x751d4000,
    0xdffffffd,0xffca8037,0x510acfff,0x55555555,0x00013335,0x5555554c,
    0x5401aaaa,0x2aaaaaaa,0x9dffd300,0x01bfffb9,0x02fffcc0,0x3bffa600,
    0x0dfffdcc,0xfffdb980,0x654001ff,0x42dfffff,0xaaaaaaaa,0x2aaa0aaa,
    0xaaaaaaaa,0xdddddd90,0xdddd105d,0x5555547d,0x10aaaaaa,0x55555555,
    0x55555555,0xffd85555,0x17fff400,0x3fff6000,0x517fe802,0xfffffffb,
    0x09dfffff,0x5ffffd00,0xffb80100,0x7ffdc00f,0xfd800006,0x36a20000,
    0xffffffff,0x004effff,0x00fffd40,0x2fffd800,0x7dc00000,0xb0002fff,
    0xfb5103ff,0xffffffff,0x37bfffff,0x3fff6600,0x01beffff,0x7ffffedc,
    0x7fe4403d,0x0bffa603,0x05fffb80,0x03ffc880,0x800bffa6,0x00ffffe9,
    0x201dfb00,0xfffffeba,0x3aea0adf,0xadffffff,0xbffff710,0x42ffc801,
    0xfffffeba,0xfb510adf,0xffffffff,0xffffffff,0x007fec1f,0x0007fffe,
    0x009fff90,0xfff10ffd,0xf953359f,0x54003dff,0x01efffff,0x03ffee00,
    0x02fffe88,0x27fc4000,0xfff88000,0xfca99acf,0x50001eff,0x00003fff,
    0x001ffff1,0xfff88000,0x13ea0006,0x37fffe20,0xfeca99ac,0x3001efff,
    0x00dffffd,0x005fffb0,0x2005fff3,0x3a004ffd,0x3000efff,0x36005fff,
    0x3a2004ff,0x70006fff,0x3ff6007f,0xffd800ef,0x3fee00ef,0x03fb803f,
    0x0077ffec,0x4cdffff4,0xca999999,0x03ff60ff,0x00ffff98,0x2fffdc00,
    0xfd83ff40,0xffd300ff,0x7fdc009f,0x000cffff,0x200fffb8,0x0005fffd,
    0x007ffc80,0x03fff600,0x027fff4c,0x00fffd40,0x7fffcc00,0xf8000000,
    0x2a0006ff,0xfffb003f,0xfffd8801,0xfff1004f,0xff7000bf,0x3fff1001,
    0x05ffd800,0xffffdcc8,0x0fffc401,0x017ff600,0x05ffffa8,0x5003fa80,
    0x2a009fff,0xfe804fff,0x00fd805f,0x8027ffd4,0x2001fffb,0x03ff61fb,
    0x007fffa8,0x07fffa80,0xff907fe8,0x7ffcc01f,0x3fee002f,0x003fffff,
    0x5407ffdc,0x0003fffe,0x05ffff00,0x3fff2000,0x3fffe600,0x7ffd4002,
    0xffa80001,0x0000007f,0x4000bfff,0xff9003f9,0x3fea001f,0xff5005ff,
    0xfd8001ff,0x0dffb002,0x05fff300,0xffff71e4,0x037fec03,0x017ffcc0,
    0x3fffffa8,0x8017cc00,0x5003fffa,0xf5007fff,0x27c401ff,0x01fffd40,
    0x001fffb8,0x01ffb0fc,0x0037ffdc,0x07fffd40,0x7dc1ffa0,0x7fe400ff,
    0x7f4c006f,0x02efffff,0x999fff70,0x039fffdd,0x3fea0000,0x700006ff,
    0xfc801fff,0x7d4006ff,0xb80001ff,0x00007fff,0x00bfff00,0xb801fcc0,
    0x22000fff,0xb003ffff,0x4c00bfff,0xfff5004f,0x3ffa0005,0xfa84c80f,
    0xffa80fff,0xffd0002f,0xfbf5001f,0x4c005fff,0xfff3002f,0x3ffe6007,
    0x07ffd003,0x7cc00fdc,0xff5003ff,0x22d8003f,0x3ee00ffd,0x980007ff,
    0x7400ffff,0x1fff707f,0x07fffa80,0xfffff700,0xff7009ff,0xffffdddf,
    0xfd000000,0x0003fffb,0x801fff70,0x4007fffa,0x0001fffa,0x006fffb8,
    0xbfff0000,0x01fcc000,0x000fffb8,0x00ffffdc,0x017fffc4,0xf8800fe8,
    0x2a0006ff,0x17c44fff,0x446fff98,0x20006fff,0xa804fffa,0x0ffffcaf,
    0x2005f300,0x3003fff9,0x2a007fff,0x0dd00fff,0x00fffe60,0x000fffd4,
    0x00ffd826,0x001fffee,0x01fffea0,0x7fdc1ffa,0x7ffcc00f,0xfb10000f,
    0x80bfffff,0x3ee0fffb,0x000004ff,0x3ffe73e6,0xffb80004,0x7ffcc00f,
    0x3fea000f,0xfa80001f,0x000007ff,0x000bfff0,0xfb801fcc,0xfe8000ff,
    0xff5005ff,0x2fb801df,0x07fff900,0x1ffff800,0xff8803ee,0x0ffff20f,
    0x3ffff000,0xffb2fa80,0x5f3001df,0x0fffe600,0x01fffcc0,0xf307ffd0,
    0x3ffe6007,0x3fff5003,0x0ffd8000,0x03fffea0,0xbfff7000,0x2e0ffd00,
    0x7d400fff,0x980007ff,0x04fffffe,0xfb03ffee,0x000005ff,0x7fff43f6,
    0x7fdc0000,0x7ffd400f,0x7ffd4007,0xff980001,0x0000007f,0x4000bfff,
    0xff7003f9,0xff30001f,0x3f6001ff,0x17e204ff,0x02fffe80,0x17fff400,
    0xff9803fb,0x00bfffa3,0x05fffd00,0xffd12fa8,0x05f300bf,0x00fffe60,
    0x001fffcc,0x1fb0fff5,0x0fffe600,0x00fffd40,0x01ffb008,0x00ffffcc,
    0x13fff200,0x7dc1ffa0,0x7fdc00ff,0x2e00006f,0x701fffff,0xff881fff,
    0x400000ff,0x3ffea5f8,0x7fdc0003,0x7ffdc00f,0x7ffd4006,0xff880001,
    0x000000ff,0x0005fff8,0x7dc00fe6,0xfd0000ff,0x3e2007ff,0x1fb01fff,
    0x0ffffc00,0x3fff6000,0x36013fa4,0x07fffe5f,0x9fffb000,0x3e62fa80,
    0x7cc04fff,0x7fff3002,0x0fffe600,0x447ffd00,0x3fe6004f,0xfff5003f,
    0x7ec1a003,0x7fff400f,0x7fec0002,0x07fe802f,0x4401fff7,0x4402fffe,
    0x3ffe6001,0x1fff703f,0x00bfff50,0x7c1fb800,0x5c0006ff,0x3a200fff,
    0x54002fff,0x00001fff,0x0005ffff,0x0bfff000,0x801fcc00,0x0000fffb,
    0x400bfffb,0xfa86fffa,0x3ffe2003,0x7e40000f,0x03ff25ff,0x3fe29f50,
    0x640000ff,0x7d405fff,0x17fffd42,0x26005f30,0xf3003fff,0xfb8007ff,
    0x8007ee6f,0x5003fff9,0xf1003fff,0x9003ff60,0x80009fff,0xfd006ffe,
    0x03ffee0f,0x805fffd8,0x7fd40049,0x1fff705f,0x00ffff20,0xfc86f800,
    0x2e0001ff,0x3f600fff,0xfa8005ff,0x110001ff,0x002fffdc,0x2fffc000,
    0x007f3000,0x0003ffee,0x0037ffe4,0xf88ffff6,0x7ffd4006,0xffb80007,
    0x03bfe67f,0xfff51f98,0xff70000f,0x82fa80ff,0x301ffffb,0x3fe6005f,
    0xfff3003f,0x5fff0007,0xff3001ba,0x3fea007f,0xb07d801f,0xff8801ff,
    0xf30000ff,0x3fa005ff,0x01fff707,0x007fffd5,0x3fa001a6,0x1fff706f,
    0x00ffff40,0x4417d400,0x20005fff,0xea80fffb,0x50003fff,0x20003fff,
    0x3fffe21c,0x20280000,0x20005fff,0xff7003f9,0x3ee0001f,0x7c4007ff,
    0x03fb1fff,0x06fffb80,0xffffa800,0x403bffa0,0x1bffee7b,0x3ffea000,
    0x40bea00f,0x980efffd,0xfff3002f,0x3ffe6007,0xeffb8003,0x7cc002f9,
    0xff5003ff,0x7555559f,0x3f60ffd9,0xfffa800f,0xdffd0003,0xb83ff400,
    0xeecccfff,0x2001cfff,0x7e4001f9,0x1fff705f,0x077ffc40,0xd81fa000,
    0x70000fff,0xdd999fff,0x00039fff,0x000fffd4,0x7ffdc34c,0x02540004,
    0x4000bfff,0xff7003f9,0x3e60001f,0x5c000fff,0x03faefff,0x07fffb80,
    0x7fffa800,0x40ffffcc,0x1fffee3e,0x3ffea000,0xd017d407,0x5f30bfff,
    0x0fffe600,0x01fffcc0,0x3ffffc40,0x1fffcc00,0xfffffa80,0xffffffff,
    0x001ffb07,0x0003ffee,0x4005fff3,0xfff707fe,0x0ffffddd,0x0013e600,
    0x3ee07ff9,0x7fdc00ff,0x3e60005f,0x0fffea04,0x77ffdc00,0x007fffee,
    0x05fff700,0xff109b00,0x260003ff,0x02fffc06,0x2007f300,0x0000fffb,
    0x000ffff5,0x01bffff6,0x03fffd40,0x37ffd400,0x91ffffd4,0x07fffa85,
    0x6fffa800,0xf1017d40,0x2f989fff,0x07fff300,0x00fffe60,0x027ffe40,
    0x01fffcc0,0x201fffa8,0xffb07fa9,0x27fec001,0x00bffa00,0x3ee0ffd0,
    0x3ffee0ff,0x4ff98004,0x403ffa00,0xd801fffc,0x90004fff,0x7ffe801f,
    0x1fff7000,0x0027ffdc,0x01fffdc0,0x7cc07ee0,0x4c001fff,0x2fffc01e,
    0x007f3000,0x0003ffee,0x0037ffdc,0x01ffff88,0x1ffff100,0xfffb8000,
    0x9ffff305,0xffff105b,0xffb80001,0x017d405f,0x98bfffe6,0xfff3002f,
    0x3ffe6007,0xfff10003,0xfff30003,0x3ffea007,0xfb07a801,0x7f44001f,
    0xffe8804f,0x07fe8002,0xfd81fff7,0x7cc002ff,0xffc804ff,0x0bfff602,
    0x13fffa20,0x333df100,0xff933333,0xff70005f,0x2fffd81f,0x7ffe4000,
    0x0ffb1005,0x0bffff98,0xe801fb80,0x2a0006ff,0xfff7002f,0x3ff20001,
    0x3f20005f,0x7fc0007f,0x640001ff,0x3a203fff,0x3fe05fff,0x640001ff,
    0x7d403fff,0xffffb802,0x26005f31,0xf3003fff,0x640007ff,0xff30005f,
    0x3fea007f,0xb078801f,0xf70001ff,0xfb8813df,0xfd0001ef,0x03ffee0f,
    0x001ffff1,0x677fffcc,0x7ffd310a,0x77fffd40,0xffff9801,0xffb800bd,
    0xffffffff,0x8005ffff,0x7c40fffb,0x30000fff,0x9ddfffff,0xffddd999,
    0xffb1009f,0x733359ff,0x3a001dfb,0x2a0006ff,0xfff7002f,0x3ff60001,
    0x3f20004f,0x7f40007f,0x6c0002ff,0x6c402fff,0xffd02fff,0xfd80005f,
    0x17d402ff,0x8ffffc80,0xff3002f9,0x3fe6007f,0x3ea0003f,0xfff30002,
    0x3ffea007,0x3f609001,0xf910000f,0xdfffddff,0x7fe80005,0x501fff70,
    0x4c00bfff,0xfffec99e,0x980dffff,0xffffffee,0x7fdc05ef,0x7405ffff,
    0x9999999e,0x1fffd999,0x07ffdc00,0x002fffd4,0xfffffdd1,0xffffffff,
    0x005fffff,0x7ffffed4,0x4002efff,0x20007ffe,0xff7001fb,0x3fe0001f,
    0x320002ff,0x5c0007ff,0x40004fff,0x9000fffe,0xff701fff,0xfe80009f,
    0x17d400ff,0x5dfffb00,0x3fe6005f,0xfff3003f,0x03ec0007,0x07fff300,
    0x007ffea0,0x001ffb00,0xffffe880,0xfd00005f,0x03ffee0f,0x801fffe4,
    0xbdea8828,0x0000000a,0x017d4000,0x009fff30,0x900fffb8,0x00007fff,
    0x88000000,0x00aacfba,0x01fff900,0x4003f200,0x8000fffb,0x0006fffa,
    0x0003ffe4,0x0007fff4,0x002fffa8,0xfe81ffe4,0xf50000ff,0x5f5005ff,
    0x7fff4400,0xff3002fe,0x3fe6007f,0x9f10003f,0x7ffcc000,0x3fff5003,
    0x0ffd8000,0xfff90000,0xd00005ff,0x3ffee0ff,0x07fffa00,0x007f5000,
    0x15bd3000,0x01f60000,0x003fffa0,0x200fffb8,0x0001fffe,0x00073ae0,
    0x002fc800,0x02fffb80,0x5c00dd00,0x44000fff,0x0001ffff,0x0003ffe4,
    0x0027ffd4,0x2205ffe8,0x2a0bfb00,0xd0004fff,0x3ea00bff,0x7ffcc002,
    0xff3002ff,0x3fe6007f,0x1f90003f,0x7ffcc000,0x3fff5003,0x3f62a000,
    0x2a00000f,0x000fffff,0xfb83ff40,0x3fe200ff,0x3a0000ef,0x400006ff,
    0x0006fff9,0xa8004f98,0x2e003fff,0x3e200fff,0x00000eff,0x0007fff9,
    0x09fff300,0x5fff8800,0x004fa800,0x0003ffee,0x000bfff9,0x000fff90,
    0x003fff60,0x201fff30,0x6fa81ff8,0x003fff60,0x001fff30,0x2a000bea,
    0x3002ffff,0x26007fff,0x88003fff,0x7cc0005f,0xff5003ff,0x2f10003f,
    0x00000ffd,0x02ffff4c,0x5c1ffa00,0x7dc00fff,0x310005ff,0x00003ffd,
    0x001ffd98,0x40007ec0,0x2007fff8,0x5c00fffb,0x00005fff,0x000dff51,
    0x0fff5100,0x3fff9000,0x007fc400,0x001fff70,0x007fffd4,0x07ffe400,
    0x7ffc4000,0x3ffa2004,0x20ffea02,0x3fe205f8,0x3fa2004f,0x0bea002f,
    0x17ffe400,0x03fff980,0x807fff30,0x003f60a8,0x07fff300,0x007ffee0,
    0x07fed3a0,0xffb80000,0xfd0000ef,0x07fff20f,0x013fff60,0x001ffa80,
    0x02ffa800,0x001be600,0x003fffd8,0xb003fff9,0x00009fff,0x00003fec,
    0x0000df90,0x005fffd1,0xc8005ff5,0xf9000fff,0x00003dff,0x0003fff6,
    0x02ffec40,0x200f7fcc,0x2fa82ff9,0x02ffec40,0x000f7fcc,0xd8000fee,
    0xff5002ff,0x3fea009f,0x3ffee04f,0x80004ffe,0x7004fffa,0xb8005fff,
    0x001ffb1f,0xefea8000,0x07fe8002,0x1005fffb,0x0009fffd,0x000017f6,
    0x00007fe4,0x5c0009fb,0xd800ffff,0xe8802fff,0x00004fff,0x00000bff,
    0x80001ffc,0x9bdfffd8,0x1fffdb98,0x0fffd800,0x6ffff4c0,0x3fa00000,
    0x400001ff,0x4c0aeffb,0xb000dffb,0x400bd03f,0x4c0aeffb,0x4000dffb,
    0x0002efe8,0x2e005fd1,0xf7004fff,0x7fec09ff,0x00005fff,0x2009fff7,
    0x2003fffc,0x33ff67fc,0x0003cccc,0x0adfda80,0x7e666654,0xffffa87f,
    0xfff9801e,0x5cc00bdf,0x00001dfd,0x007bf6e6,0x0fffe440,0x7fff4400,
    0x3fea02ef,0xf9801eff,0x000bdfff,0x006ff5d4,0x3faea000,0xea800005,
    0xffffffff,0xfa8000bf,0xabcdefff,0x1dffffdc,0x3f220000,0x0001dfff,
    0x7fff6c40,0x002dfffe,0x754576c4,0x76c4000d,0xdfffefff,0x7ff74002,
    0x000effff,0x754017c4,0x5402ffff,0x502ffffe,0x0007dfff,0x3ffffaa0,
    0x7fffcc02,0xbaaaaacf,0x324fffcc,0x4eeeeeee,0x54400000,0x3bbbaa4b,
    0xfdd35eee,0xbdffffff,0xfffffb80,0x02ee605f,0x2f260000,0x3ff20000,
    0x803fffff,0xffffffe8,0xfdd31fff,0xbdffffff,0xfffffb80,0x0b2a005f,
    0xaca80000,0x44000000,0x01abccaa,0xfffee980,0xffffffff,0x0000acee,
    0x3ffffa60,0x004effff,0xabb98800,0xdca80000,0x9880002c,0x00000abb,
    0x00980000,0x3ffffffa,0x3fa1efff,0xffffffff,0x000dc41e,0xfffffe80,
    0xd11effff,0xfffffffd,0xffffffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02000000,0x55300040,0x00035555,0x55555555,0x05980005,
    0x00000000,0x2aaaaaa0,0x000aaaaa,0x0037bb60,0x2eeeb800,0x76400000,
    0x000001ee,0x0037bb60,0x18004400,0x55555440,0xaaaaaaaa,0x02aaaaaa,
    0x003eeea8,0x001eeec8,0x1a803880,0x77640000,0x0000001e,0x2aa20000,
    0xaaaaaaaa,0xaaaaaa82,0x98001aaa,0x400001dd,0xbdeeedca,0x00301541,
    0x06880006,0x2e6004a8,0x01fffffd,0x7fffe540,0x6c0002df,0x0000000f,
    0x50005ff5,0xffffffd7,0x2600015b,0x00002fff,0x0005ffe8,0x27ff4400,
    0xf8800000,0x200003ff,0x01e400e9,0x3ffff6a2,0xffffffff,0x00ffffff,
    0x8002ffec,0x00004fff,0x03540372,0x3ffe6000,0x0000005f,0x20001df9,
    0xfffffca8,0xfdb82bef,0x01ceffff,0x005ffe80,0xffffc980,0xceffdcbd,
    0x00b603ea,0xde8000d3,0x002fa881,0x1ffffd30,0x03bf6000,0x13fe2000,
    0x7f400000,0x7ec0007f,0x80000eff,0x00003ffb,0x000ffd10,0x0dff1000,
    0x3ee00000,0xf800004f,0x3f6a21be,0x7fff4001,0x9999999b,0x200ffca9,
    0x8000eff8,0x00005ffa,0x3ee0f7c4,0x7f400001,0x0002ffee,0x27ffcc00,
    0x7ffc4000,0xfffd004f,0xfff80005,0x7fd40006,0x3fa600af,0x33ee04ff,
    0x017ae60a,0x9dfff500,0x0001dffd,0x037fff44,0x0003fb80,0x000fff90,
    0x1bffa000,0x9fff5000,0x13fa0000,0xff300000,0x30000003,0x000003ff,
    0x0000bfb0,0x3bfffea0,0xb8004fff,0x2e001fff,0x03fea01f,0x0037e400,
    0x93ffb800,0xa800009f,0x00dfb15f,0xfff88000,0xffb00004,0xdff1005f,
    0xff700001,0x7fe40007,0x3ff2001f,0x77fff404,0x0000ffff,0xffffffc8,
    0xfa80001f,0xa8005fff,0xff00003f,0x000005ff,0x0005dd30,0x003fffa8,
    0x0005f880,0x009f5000,0x0fea0000,0xdf100000,0xfc800000,0x00efffff,
    0x01fffb80,0x3fb00fc0,0x0077c000,0xdffd0000,0x800001ff,0x003fc84e,
    0x06fdc000,0xfffc8000,0x005fd801,0x00004400,0x0001dffb,0xff980bfb,
    0x002fffff,0x3fffee00,0xf500000d,0x8007ffff,0xa80002f9,0x0006ffff,
    0x40000000,0x0003fff9,0x00000ea8,0x0001ae00,0x0006c800,0x00075400,
    0x7fed4000,0x3ea0003e,0x16c001ff,0x4c0005f0,0x4000000f,0x003ffffa,
    0xf5025c00,0x00000001,0xfffc8000,0x002fe400,0x2e000000,0x20000fff,
    0xfec8806e,0x000000df,0x80000131,0x2ffffdfa,0x000be600,0x3fff7fa0,
    0x00000001,0x3ffe6000,0x00b80003,0x0c800000,0x32000000,0x2e000000,
    0x00000001,0xfff50000,0x30098003,0x01a80007,0x99700000,0x05000009,
    0x00000510,0xfc800000,0x17ee00ff,0x00000000,0x0009fff1,0x000006b8,
    0x00000000,0x3ff2bea0,0x5f3000ff,0x9cf98000,0x00004fff,0x7bdb9710,
    0xff301a03,0x0000007f,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x00001fff,0x00001b98,0x00000000,0x00000000,0x3b72a000,0x1541bdee,
    0x00fffc80,0x00000bf7,0x3a000662,0x80000fff,0x00000006,0x00005980,
    0xfffb2fa8,0x05f3001d,0xfd0fd800,0x400001ff,0xccdeffd9,0x7c8bdfed,
    0x01fffcc0,0x55555551,0x55555555,0x00055555,0x10001660,0x55555555,
    0x55555555,0x00005555,0x51000166,0x55555555,0x55555555,0xff500555,
    0x2002003f,0xa882ffda,0xaaaaaaaa,0xa88001aa,0xaaaaaaaa,0xaaaaaaaa,
    0x300002aa,0x4c00000b,0xcbdffffc,0x3eaceffd,0x01fff900,0x00000bf9,
    0x5bffbff9,0x0bfff300,0xaa806000,0xaaaaaaaa,0x3600000a,0x5400000f,
    0xbfffd12f,0x0005f300,0xfff52fc4,0x3f200007,0x3f6602ef,0x3e600fff,
    0x36a203ff,0xffffffff,0xffffffff,0xd80000ff,0x2a20000f,0xfffffffd,
    0xffffffff,0x80000fff,0x220000fd,0xffffffda,0xffffffff,0x5400ffff,
    0x0d001fff,0x17ffffd4,0x7fffed44,0x001cdfff,0xffffda88,0xffffffff,
    0x00ffffff,0x000fd800,0xafffa800,0x3fffa600,0x1fff9004,0x00005fc8,
    0xd985ff4c,0x0fffffff,0x000bfff2,0x3faea000,0x0adfffff,0x9ff10000,
    0x2fa80000,0x013fffe6,0x5c0005f3,0x037ffc1f,0x13ffa200,0x00fffa80,
    0x800fffe6,0x999bfffe,0xfca99999,0x7c40000f,0x3a00004f,0x9999bfff,
    0xffca9999,0x7fc40000,0x3fa00004,0x99999bff,0x0ffca999,0x00fffd40,
    0x3ea103c4,0x7f4402ff,0x00000eff,0x4cdffff4,0xca999999,0x440000ff,
    0x400004ff,0x2001fffc,0xf9004ffc,0x02fec1ff,0x13fe2000,0x26677ff4,
    0x003ffff1,0xffd80000,0x800000ef,0x00007ffc,0x3fea17d4,0x0be602ff,
    0xfc86f800,0xd10001ff,0xf70009ff,0x7ffcc03f,0x3ffee003,0x007ee001,
    0x00fff900,0x0fffdc00,0x0003f700,0x0007ffc8,0x007ffee0,0x7d401fb8,
    0x07d801ff,0x9005fff0,0x00007fff,0x003fff70,0x20000fdc,0x00007ffc,
    0x0003bff6,0x7e4017f6,0x00bfb0ff,0x03ffb000,0x7cc1bfea,0x00000fff,
    0x27ffd400,0xfff80000,0x2a00002f,0xffffb82f,0x0005f301,0x3fe20bea,
    0xffb0005f,0x0fe4000d,0x007fff30,0x000fffdc,0xff00007e,0x200005ff,
    0x4001fffb,0x7fc0001f,0x700002ff,0xf8003fff,0x67ffd401,0xecbaaaaa,
    0x5ffd007f,0x05fff700,0xfff70000,0x001f8003,0x017fffc0,0x07ffdc00,
    0x200dd000,0xffd9fffc,0xff800000,0x03ffe00f,0x001fffea,0x2aaaaaaa,
    0x3fea02aa,0xa800003f,0x0006ffff,0x7ec0bea0,0x2f980eff,0x6c0fd000,
    0x54000fff,0x20002fff,0x3fe602f8,0x3fea003f,0x016c001f,0xdffff500,
    0x3fea0000,0x016c001f,0xdffff500,0x3fea0000,0x016c001f,0x3fffffea,
    0x7fffffff,0x005ffd00,0x0005fff5,0x03fff500,0x20002d80,0x006ffffa,
    0x027ffc40,0x6401ae00,0xefffefff,0x3e600000,0x17ff407f,0x0037ffdc,
    0x7ffff65c,0x3fe603ef,0xe800003f,0x001fffdf,0x7405f500,0x2f985fff,
    0x204f9800,0x4003fffa,0x80007fff,0x3ffe602d,0x3ffea003,0x0004c001,
    0x3fffbfd0,0xfff50000,0x00098003,0x3fff7fa0,0xffa80001,0x004c001f,
    0x9807ffea,0xffd007fa,0x3fff5005,0xff500000,0x0098003f,0x3ff7fa00,
    0x3fa0001f,0x680000ff,0xf5fff900,0x0001dfff,0x803ffe60,0xffb84ffd,
    0x3e20007f,0xf9804fff,0x400003ff,0x4fff9cf9,0x05f50000,0x227fffc4,
    0xfc8002f9,0x03fff400,0x009fff50,0x7cc07500,0x3ea003ff,0x000001ff,
    0x3fe73e60,0xfa80004f,0x000001ff,0x3fe73e60,0xfa80004f,0x800001ff,
    0xa801fffa,0x05ffd007,0x003fff50,0x3fff5000,0x4c000000,0x04fff9cf,
    0x0bfff300,0x64006000,0xfff98fff,0xf00000ef,0x7ff403ff,0x07fffa82,
    0x0fffec00,0x01fffcc0,0x743f6000,0x80000fff,0x7fcc02fa,0x00be62ff,
    0x3333df10,0xfff93333,0x3fff6005,0x98000002,0x2a003fff,0x01001fff,
    0x3a1fb000,0x40000fff,0x1001fffa,0x21fb0000,0x0000fffe,0x800fffd4,
    0x3ffea000,0xd0078801,0xff5005ff,0x5000003f,0x02003fff,0x743f6000,
    0xc8000fff,0x00002fff,0x87ffe400,0x00effff9,0x04ffd800,0x3e603ffe,
    0x20000fff,0x9801fffc,0x00003fff,0xfffa97e2,0x2fa80003,0x1ffffb80,
    0xfb8005f3,0xffffffff,0x805fffff,0x000ffff8,0xfff98000,0x3ffea003,
    0x8000d001,0x3ffea5f8,0x7fd40003,0x000d001f,0x3fea5f88,0x7d40003f,
    0x00d001ff,0x800fffd4,0x05ffd004,0x003fff50,0x3fff5000,0x10001a00,
    0x1fffd4bf,0x3fffe200,0x40000001,0x3e60fffc,0x0000efff,0x5407ffcc,
    0xfff103ff,0x7e40005f,0xff9800ff,0x2e00003f,0x037ffc1f,0x8017d400,
    0xf98ffffc,0x4cf74002,0x99999999,0x4c01fffd,0x0000ffff,0x3fff9800,
    0x07ffea00,0x70001e20,0x06fff83f,0x0fffd400,0x20003c40,0x37ffc1fb,
    0x3ffea000,0x20078801,0x0001fffa,0x4017ff40,0x0001fffa,0x01fffa80,
    0x5c000788,0x037ffc1f,0x03fffe60,0xf9000000,0xfff981ff,0x4c0000ef,
    0x3faa2eff,0x2ffff404,0x1fff9000,0x07fff300,0x6437c000,0x40001fff,
    0x3f6002fa,0x002faeff,0xf9800bea,0x7fd404ff,0x0000007f,0x4007fff3,
    0xd801fffa,0x437c0007,0x0001fffc,0x2007ffea,0x37c0007d,0x000fffe4,
    0x003fff50,0x7fd400fb,0x7400001f,0xffa802ff,0xa800001f,0x7d801fff,
    0x6437c000,0x2a001fff,0xa8007fff,0xaaaaaaaa,0x03fff202,0x03bfffe6,
    0xdfff3000,0xf7003bff,0x20001fff,0x9800fffc,0x00003fff,0xfff105f5,
    0x2fa8000b,0x3fffa200,0x1f6002fe,0x03fffa00,0x007fffb8,0xfff30000,
    0x7ffd4007,0xcbaaaaac,0x2a0007fe,0x5fff882f,0x3ffea000,0xcbaaaaac,
    0x2a0007fe,0x5fff882f,0x3ffea000,0xcbaaaaac,0x3ea007fe,0x150001ff,
    0x5005ffd0,0x00003fff,0x559fff50,0xffd97555,0x417d4000,0x2005fff8,
    0x8006fffb,0xfffffecb,0x3fff203e,0xdffff300,0x4ba20001,0xfe800098,
    0xf90003ff,0xff3001ff,0x3a00007f,0x03fff607,0x002fa800,0x17ffffcc,
    0x8004f980,0x2e03fffa,0x00006fff,0x07fff300,0x7ffffd40,0xffffffff,
    0x81fa0007,0x0000fffd,0xfffffff5,0x0fffffff,0xfb03f400,0x2a0001ff,
    0xffffffff,0x007fffff,0x0007ffea,0x17ff41e2,0x00fffd40,0x7ffd4000,
    0xffffffff,0x3a0007ff,0x03fff607,0x03fffdc0,0x9ffff100,0x01fff900,
    0x077fffcc,0x0017e200,0x07fffd40,0x07ffe400,0x01fffcc0,0x5027cc00,
    0x40007fff,0xfa8002fa,0xfb002fff,0xfff10001,0x3fffd40f,0xf9800000,
    0x3ea003ff,0x3ea601ff,0x09f30007,0x001fffd4,0x201fffa8,0x30007fa9,
    0x7ffd409f,0xfff50003,0x03fd4c03,0x003fff70,0x3ffa09d0,0x1fffa802,
    0xffa80000,0x1fea601f,0x5027cc00,0x2a007fff,0x40007fff,0xc801fffd,
    0x7cc00fff,0x2000efff,0x200005fd,0x8005fffd,0x9800fffc,0x80003fff,
    0x7ff400fc,0x0bea0007,0x17ffe400,0x00037cc0,0x2607fffb,0x00007fff,
    0x09fff500,0x00fffd40,0xfc8003d4,0x03fff400,0x01fffa80,0xf90007a8,
    0x07ffe801,0x03fff500,0x7dc00f50,0x7dc002ff,0x005ffd01,0x0003fff5,
    0x03fff500,0x32000f50,0x3fff400f,0x0ffff980,0x3fff2000,0x1fffc801,
    0xfffff980,0xdffff001,0x1579999b,0x13fff600,0x01fff900,0x007fff30,
    0x999ef880,0xffc99999,0x7f70002f,0x17fec000,0x00027ec0,0x101ffff7,
    0x0001ffff,0x9fff7000,0x0fffd400,0x44003c40,0x999999ef,0x02fffc99,
    0x01fffa80,0xf8800788,0x9999999e,0x002fffc9,0x801fffa8,0x3ff20078,
    0x1ff2003f,0xa802ffe8,0x00001fff,0x801fffa8,0xef880078,0x99999999,
    0x8802fffc,0x0002ffff,0x2003fff2,0x7002fffd,0x007fffff,0xfffffffb,
    0x039fffff,0x00bfffb0,0x4007ffe4,0x0003fff9,0x7fffffdc,0xffffffff,
    0xefe88005,0x5fd10002,0x0fffe440,0x7fff4400,0xffff82ef,0x54000002,
    0x002ffffe,0x2003fff5,0xfffb8004,0xffffffff,0xa8005fff,0x09001fff,
    0xfffff700,0xffffffff,0xff5000bf,0x4012003f,0xacfffff9,0xfccbaaaa,
    0x3ffa04ff,0x1fffa802,0xffa80000,0x0009001f,0xfffffff7,0xbfffffff,
    0x17fffa00,0x0fffc800,0x3fffee20,0xfffc800e,0x200bdfff,0xfffffffd,
    0x00ffffff,0x0bfffea8,0x07fffd50,0x00fffe60,0x3333dd00,0xfb333333,
    0x3ba003ff,0x0effffff,0xc817c400,0x3fffffff,0xffffe880,0x2e1fffff,
    0x00005fff,0xffffffd0,0x5403dfff,0x00001fff,0x26667ba0,0xfd999999,
    0x7d4001ff,0x000001ff,0x266667ba,0xffd99999,0x7fd4001f,0xe880001f,
    0xfffffffe,0xffffffff,0x3fa01fff,0xfffa802f,0xfa800001,0x000001ff,
    0x266667ba,0xffd99999,0xfffb801f,0xff90000f,0xfffd301f,0x0bdfffff,
    0xfffffff5,0xd10dffff,0x2aaaa665,0x003ffdcb,0x3bffff6e,0x02dffffe,
    0x01fffcc0,0x4005f500,0x0004fff9,0x004c0000,0x1f880000,0x0ffff880,
    0x6c028000,0xfffa8004,0xf5000001,0x7ffcc005,0x7ffd4004,0xf5000001,
    0x7ffcc005,0x7ffd4004,0x00000001,0x3fa001ec,0xfffa802f,0x20110001,
    0x0001fffa,0x4005f500,0xd004fff9,0x20007fff,0x0000fffc,0xbb000000,
    0x006f8800,0x559bf550,0x7fcc0003,0x1f60003f,0x03fffa00,0x5bd50000,
    0x00000000,0xff7003e4,0x4a80009f,0x2000be60,0x0001fffa,0x003ec015,
    0x0007fff4,0x0003fff5,0x007d802a,0x000fffe8,0x0007ffea,0x2a000054,
    0x7ff4002f,0x1fffa802,0x2a039000,0x50001fff,0x4003ec01,0xa800fffe,
    0x8000ffff,0x0000fffc,0x0002dea8,0xc8001fc8,0x0fea0005,0xfff98000,
    0x09f30003,0x07fff500,0xfffa8000,0x00000005,0x22003fd0,0x0001ffff,
    0x05fb80d3,0x01fffa80,0x3e607880,0xfffa8004,0x3ffea003,0x20788001,
    0xfa8004f9,0x3ea003ff,0x788001ff,0x04fc8000,0x4017ff40,0x8001fffa,
    0x3ffea069,0x20788001,0xfa8004f9,0xffb003ff,0xff9000bf,0xf500001f,
    0x4c000bff,0x3e8000ff,0xbfff1000,0x3fe60000,0x1fb0003f,0xffff1000,
    0xe9880000,0x000000ff,0x005ff800,0x007fffe6,0xfc803d30,0x7fdc000f,
    0x04e8001f,0x220003f6,0x2e007fff,0xe8001fff,0x0003f604,0x801fffe2,
    0x8001fffb,0xfd80004e,0x17ff4007,0x017ffdc0,0xff7026c0,0x09d0003f,
    0x440007ec,0x36007fff,0x64004fff,0x80000fff,0x000ffe98,0x800bffb0,
    0x2620006c,0x80000ffe,0x8003fff9,0x360006f9,0x00003fff,0x0001ffb8,
    0xffc80000,0xfff3001c,0x3f70017f,0x05dff300,0x017ffdc0,0x7cc07ee0,
    0x3ff60006,0xfff7003f,0x01fb8005,0x6c000df3,0xf7003fff,0xfb8005ff,
    0xffa80001,0x5fff002d,0x07fff700,0x2e01fb80,0x5c002fff,0x00df301f,
    0x01fffec0,0x00bfffb0,0x0007ffe4,0x003ff700,0x2bbfff20,0x003baa00,
    0x003fee00,0x13ffea00,0x0013f600,0x00ffffb8,0x037ec000,0x88000000,
    0x3edeffff,0x3ffff620,0xfdb999ac,0x3ff6000e,0x3206ecff,0x32003fff,
    0x013f607f,0x0ffffb80,0x03fffc80,0xfd81ff20,0x3fee0004,0xffc800ff,
    0x1ff2003f,0xfffe8000,0xfff06ecf,0xbfff9007,0x01ff6200,0x4007fff9,
    0x13f607fc,0xffffb800,0x3ffaa000,0xffd500bf,0xd800007f,0x7ec0006f,
    0xeeefffff,0x00004fff,0x400013fa,0x2004fffb,0x001fffc8,0xeffffe88,
    0x75cc0002,0x000001df,0x3ff66000,0xfb5001ce,0xdfffffff,0xfd910005,
    0x7fcc05bf,0xaaaacfff,0x4fffccba,0x01fffc88,0xffffe880,0x3ffe602e,
    0xaaaaacff,0x84fffccb,0x001fffc8,0xeffffe88,0x3fffe602,0xbaaaaacf,
    0x004fffcc,0x3ffb2200,0xdfff502d,0xfffff980,0xeeccccee,0x2604fffe,
    0xaacfffff,0xffccbaaa,0xfffc884f,0xffe88001,0x5c002eff,0xfeeffffd,
    0x0002dfff,0x077fae60,0x3ff66000,0x1dffffff,0xfeb98000,0xea80000d,
    0xc802ffff,0x3fffffff,0xffffe880,0x001fffff,0x00015930,0x00000000,
    0x66554400,0x000000aa,0xffffee88,0xffffffff,0x41ffffff,0xfffffffc,
    0xfffe8803,0x11ffffff,0xffffffdd,0xffffffff,0xfc83ffff,0x03ffffff,
    0xfffffe88,0xdd11ffff,0xffffffff,0xffffffff,0x000003ff,0xffffd500,
    0x3ba21dff,0xffffffff,0xffffffff,0x7f7442ff,0xffffffff,0xffffffff,
    0x7fffe41f,0xe8803fff,0xffffffff,0xbaa8001f,0x0001aacc,0x00159300,
    0x77531000,0x98000015,0xe80000bb,0xffffffff,0x000001ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x00000005,0x00000000,0xdd100000,
    0x000000bd,0x3bb62000,0x00000005,0x00000000,0x00220155,0x201bdb30,
    0x13001104,0x00000000,0x80006400,0x2a000019,0x00000bed,0xeeeeeec8,
    0x002eeeee,0xdddddb00,0x05dddddd,0x77777400,0x1eeeeeee,0x3bbbbae0,
    0x04eeeeee,0xddddddb0,0x005ddddd,0x40000000,0xbb00003b,0x001bfb00,
    0x2627f440,0x800003fe,0x00003fe9,0x001fffb8,0x0037f600,0x07ffea00,
    0x0f7dc000,0x260037f2,0x17f543fe,0x3fffaa00,0x32002b83,0x20cfffff,
    0x403d1049,0x7dc00059,0x006fe41e,0x0001f800,0x3200005b,0x0007ebcf,
    0xfffffe80,0x03ffffff,0xffffd000,0x7fffffff,0x7fffc000,0xffffffff,
    0x3ffff202,0x6fffffff,0xffffff00,0x05ffffff,0x00000000,0x0001bfea,
    0xff9805f1,0x3f20003f,0x3fff61ff,0x7ec00000,0x400000ff,0x00002ffd,
    0x000fffea,0x0027fe40,0x32fffc40,0xfb007fff,0x37ff41ff,0xfffff300,
    0x800745df,0xffffccf8,0x2e02eacf,0x001fa83f,0x997ffe20,0x20004fff,
    0x0acdfca8,0x0005f100,0x005f07e0,0xeeeec800,0x2eeeeeee,0xdddb0000,
    0xdddddddd,0x77740005,0xeeeeeeee,0x3bbae01e,0xeeeeeeee,0xddddb004,
    0x5ddddddd,0x00000000,0x003ffea0,0xf9807a80,0x320003ff,0x3ff61fff,
    0x6c00000f,0x00000fff,0x0000ffe2,0x005fff50,0x0037ec00,0x327ffc40,
    0xfb007fff,0x37ff41ff,0x3fa67900,0x006fffff,0xfffd88ea,0xdfe806ff,
    0x8000bf50,0x3e65fff8,0xc88003ff,0xffedfdff,0x0bf600be,0x321aa000,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x006fc800,
    0xfc8026c0,0x3620000d,0x017f4c4f,0x1774c000,0x13ea0000,0x27e40000,
    0x07f40000,0x0efdc000,0x260037f2,0x177543fd,0xffd50b00,0x0dc001ff,
    0x006ffecc,0x7fe77fcc,0xefb80000,0x0006fe41,0x8fc73fa2,0xf904ffd8,
    0xf300005f,0x00004d81,0x00000000,0x00000000,0x00000000,0x54000000,
    0xaaaaaaaa,0x555401aa,0xebaaaaaa,0x3e20000e,0x00000001,0x00000000,
    0x0bb00000,0x00000000,0x000fa200,0x00000000,0xca80a000,0x0000000b,
    0x4ffffd80,0x00000000,0x07e37f40,0xfff709f9,0x37600005,0x0000fb89,
    0xbdb95300,0x55400137,0xaaaaaaaa,0x5555401a,0x510aaaaa,0x55555555,
    0x55555555,0x2aaa0555,0xaaaaaaaa,0x01660000,0xfffd7500,0x8037dfff,
    0xcfffffca,0xb80000aa,0x00000006,0x00000000,0x03a00000,0x00000000,
    0x00059800,0x00000000,0x00000000,0x7c400000,0x00000fff,0x3ee00000,
    0x3e20fc3f,0x3ffff624,0x0003eeee,0x007dffb3,0xdffd3000,0x1bfffb99,
    0xfffd7500,0x8037dfff,0xcfffffca,0xfffb510a,0xffffffff,0x1fffffff,
    0xffffd750,0x00015bff,0x800007ec,0x002ffffb,0x0003ffb0,0x813aaa20,
    0xaaaaaaaa,0x55530aaa,0x35555555,0xaaaaaa80,0x2aaa22aa,0xaaaaaaaa,
    0xaaaaaaaa,0x80000002,0xaaaaaaa9,0xaaaaaaaa,0x00002aaa,0x55555440,
    0xaaaaaaaa,0x02aaaaaa,0x55555555,0x40001555,0xaa800059,0xaaaaaaaa,
    0x0000000a,0x0002cc00,0x03f07ff2,0x7fe65499,0x002cccdf,0x00007ec0,
    0x80fff220,0x2002ffe9,0x002ffffb,0xd003ffb0,0x33337fff,0xff953333,
    0xefffd801,0xff880000,0xff100004,0x7d4000df,0xffb80004,0x7501efff,
    0xbffffffd,0x3fff6615,0x01beffff,0x7ffffedc,0x3ff6a23d,0xffffffff,
    0xffffffff,0xa81c9800,0xfff9000b,0xffffffff,0x3fffffff,0xba81c980,
    0x3ff6a200,0xffffffff,0xffffffff,0xfffeba80,0x000adfff,0x00003f60,
    0xfffffd75,0x64c015bf,0x0000ba81,0x00007ec0,0x81f87ffd,0x05ffb04a,
    0x27fc4000,0xfff30000,0x13ff6005,0x03fffc40,0x200bf500,0x2001fffb,
    0x7fd401fb,0xf900004f,0x7c0000ff,0x2a0006ff,0x3a60003f,0x7fffb0bf,
    0x0efffd80,0x3ffffa60,0xfffd8006,0xbfffe802,0x99999999,0x4c00ffca,
    0x3fea1fff,0x79ffb007,0x33333335,0x809fffd3,0x3ea1fff9,0x3ffa007f,
    0x999999bf,0x00ffca99,0x0077ffec,0x027fc400,0xdfffb000,0x3fff3001,
    0x0003ffd4,0x0009ff10,0x07e37fe4,0x17fec0e2,0xfff90000,0x3fe20000,
    0x7fec001f,0x0dfff005,0x8027cc00,0x4001fffb,0x7ffd401f,0xfff00003,
    0x3e00005f,0x260005ff,0xff10003f,0x1fffdf83,0x013ffea0,0x017fffe2,
    0x4003fee0,0x2001fffb,0x7fdc01fb,0x0bfff63f,0xb8003ba0,0xfb806fff,
    0x3fff63ff,0x3fff7002,0x200fdc00,0x0004fffa,0x000fff90,0x027ffd40,
    0x363fffb8,0x00002fff,0x4000fff9,0x07e4fffa,0x005ffb00,0x17fffc00,
    0x37fec000,0x17ffcc00,0x002fffc0,0x2a007f30,0x6c001fff,0x1fffcc02,
    0x7ffd4000,0xff00006f,0x7cc000bf,0x89fb0003,0x05fff8fa,0x400fffea,
    0x000ffffa,0xf70017ec,0x1f8003ff,0x507ffc40,0x07a00fff,0x1ffff980,
    0x20fff880,0x2e007ffa,0x7c001fff,0x1fffd401,0xffff8000,0xff500002,
    0x3fe2007f,0x01ffea0f,0x2ffff800,0xffff1000,0xfb0007e9,0x2a00005f,
    0x0006ffff,0x0017ffd4,0x400fffe8,0x20005fff,0xff5003f9,0x0098003f,
    0x001fffcc,0x7ffeff40,0xfff80001,0x0fe60005,0xb03fee00,0x9817ff6b,
    0x36003fff,0x26005fff,0x7fd4004f,0x016c001f,0x05cc05c4,0x7f400780,
    0x2e2003ff,0x2000b980,0x4001fffa,0x7ffcc02d,0xffa80003,0x300006ff,
    0x44007fff,0x000b980b,0xdffff500,0x7ffdc000,0x6c001fdf,0xd00002ff,
    0x003fffbf,0x01bffe20,0x04fffa80,0x0002fffc,0x3ea007f3,0x800001ff,
    0x0003fff9,0x7ffce7cc,0xfff80004,0x0fe60005,0xf11bfa00,0xf3005d45,
    0x7c4007ff,0xfd002fff,0xfffa8001,0x0004c001,0x80160000,0x0005fffc,
    0x7fd40000,0x004c001f,0x000fffe6,0x3fff7fa0,0xff980001,0x0000003f,
    0xffbfd000,0x7e40003f,0x4002ffff,0x80002ffd,0x4fff9cf9,0x7fff9000,
    0xffff8000,0x017ffe01,0x5003f980,0x02003fff,0x03fff980,0xfe87ec00,
    0x7c0000ff,0x260005ff,0x5ff8003f,0x7cc003d4,0x7d4003ff,0x7dc00eff,
    0xfffa8002,0x00000001,0xf3000800,0x00001fff,0xfffa8000,0xf9800001,
    0x4c0003ff,0x04fff9cf,0x3fff9800,0x00000000,0xfff9cf98,0x7fdc0004,
    0x36004fff,0xd80002ff,0x01fffd0f,0x05fffd00,0x2fffe800,0x0017ffe0,
    0xf5003f98,0x01a003ff,0x003fff98,0xffa97e20,0x7fc0003f,0x3e60005f,
    0x27fc4003,0x3e600136,0xfd8003ff,0x17e204ff,0x0fffd400,0x3bb60080,
    0x77441eee,0x80004eee,0x402fffe8,0x41eeeeed,0x04eeeee8,0x001fffa8,
    0x7ffcc001,0x87ec0003,0x0000fffe,0xd81fffcc,0x441eeeee,0x004eeeee,
    0x7ff43f60,0x74c0000f,0x800effff,0x40002ffd,0x3ffea5f8,0xffff8003,
    0x7fec0001,0x17ffe04f,0x003f9800,0x1003fff5,0x7ffcc00f,0x07ee0003,
    0x8000dfff,0x20005fff,0x7d4003f9,0x0007e25f,0x000fffe6,0x407fffe2,
    0xf50000fd,0x01a003ff,0x103fffb1,0x000dfff5,0x00bfff90,0x207fff62,
    0x806fffa8,0xd001fffa,0x1fffcc00,0x54bf1000,0x40003fff,0x2203fff9,
    0xa881fffd,0x10006fff,0x1fffd4bf,0xfffc8000,0x7fec02ff,0x0fdc0002,
    0x1001bffe,0x0001ffff,0x205fffc8,0x20005fff,0xff5003f9,0x00fb003f,
    0x001fffcc,0xfff90df0,0x7ffc0003,0x0fe60005,0x5cdff500,0xfff30006,
    0x3fea0007,0x003fa86f,0x007ffea0,0x3fe201e2,0x1bff201f,0xffff5000,
    0x7ffc4001,0x01bff201,0x2007ffea,0x3fe60078,0x3ee0003f,0x0037ffc1,
    0x00fffe60,0x6403fff1,0xf70006ff,0x006fff83,0x3ffffe00,0x0bff602f,
    0xf90df000,0x7d4003ff,0xb80007ff,0x3fe07fff,0x3e60005f,0x9fff5003,
    0xd9755555,0x7fcc00ff,0x5f50003f,0x00bfff10,0x002fffc0,0x98007f30,
    0x009d0fff,0x00fffe60,0x23fffd80,0x540006f8,0x7d801fff,0x403fff00,
    0x20006ffa,0x001ffff8,0x2a01fff8,0xffa806ff,0x007d801f,0x000fffe6,
    0xfffc86f8,0x3fe60001,0x1fff803f,0x001bfea0,0x7ffe437c,0xb3f00001,
    0x3605ffff,0x2a0002ff,0x5fff882f,0x1bffee00,0x3ffea000,0x0bfff00f,
    0x801fcc00,0xfffffffa,0x07ffffff,0x00fffe60,0xffb03f40,0x3fe0001f,
    0x3e60005f,0xbfff8003,0x406a01f9,0x0003fff9,0x6c7fffe2,0x7d40001f,
    0xaaaaacff,0xf007fecb,0x7fd403ff,0x3ff60006,0xfff0004f,0x037fd403,
    0x5567ffd4,0x7fecbaaa,0x0fffe600,0x4417d400,0x20005fff,0xf803fff9,
    0x3fea01ff,0x82fa8006,0x0005fff8,0x3ffee3f0,0x03ffd80f,0xfd81fa00,
    0xff7000ff,0xf50000ff,0x7ffc0fff,0x0fe60005,0x00fffd40,0x4c00ff53,
    0x98003fff,0x3ffea04f,0xbfff0003,0x01fcc000,0x3677ff40,0xfff981a0,
    0x7fdc0003,0x0003faef,0xffffffa8,0x7fffffff,0x403fff00,0x70006ffa,
    0x4000dfff,0x3ea01fff,0xfffa806f,0xffffffff,0x3e6007ff,0xfd0003ff,
    0x007ffec0,0x03fff980,0x2a01fff8,0x7e8006ff,0x003fff60,0xffb87e00,
    0x45ffc83f,0x409f3003,0x5003fffa,0x0000ffff,0x7c0dfff5,0x260005ff,
    0xfff5003f,0x400f5003,0x8003fff9,0x7ff400fc,0xbfff0007,0x01fcc000,
    0x1ffffe40,0x7fcc0970,0xfd80003f,0x00006fff,0x4c03fff5,0xfff007fa,
    0x037fd403,0x0ffffc40,0x03fff000,0x54037fd4,0x2a601fff,0x3fe6007f,
    0x4f98003f,0x00fffea0,0x01fffcc0,0xf500fffc,0x4f9800df,0x00fffea0,
    0xffd07e00,0x13fff70b,0x03f20057,0x200fffd0,0x000ffff8,0x02fffdc0,
    0x4000bffd,0xff5003f9,0x00f1003f,0x001fffcc,0x26667be2,0xfffc9999,
    0x6ffe8002,0x00bea000,0x13fffe60,0xff3007e4,0xf100007f,0x00003fff,
    0x2007ffea,0x3fff007a,0x0037fd40,0x001ffff4,0xa807ffe0,0xffa806ff,
    0x007a801f,0x000fffe6,0xffd003f2,0x3fe6000f,0x1fff803f,0x001bfea0,
    0xffe801f9,0x0fc05007,0x3e61bfee,0x1005ffff,0x333333df,0x05fff933,
    0x007fffe0,0x07fff900,0x00037ff4,0x3ea005f5,0x009001ff,0x001fffcc,
    0x3fffffee,0xffffffff,0x6ffe8005,0x00bea000,0x7ffffd40,0x402ffdcc,
    0x0003fff9,0x000fff90,0x00fffd40,0xfff803c4,0x01bfea01,0x00bfff90,
    0x403fff00,0xfa806ffa,0x078801ff,0x00fffe60,0x3333df10,0xfff93333,
    0xfff30005,0x03fff007,0x10037fd4,0x333333df,0x05fff933,0x307e01d0,
    0x3fea09ff,0xff7000cf,0xffffffff,0x200bffff,0x0002fffe,0xd017ffec,
    0x54000dff,0xfff5002f,0xf3000003,0xee8007ff,0x99999999,0x01fffd99,
    0x003fff40,0x40003f70,0xfffffffd,0xfff9804f,0xff900003,0x7d40000f,
    0x009001ff,0xfa807ffe,0x3fe6006f,0xf80000ff,0x3fea01ff,0x1fffa806,
    0x7cc00900,0x7dc003ff,0xffffffff,0x005fffff,0x803fff98,0x3ea01fff,
    0x3fee006f,0xffffffff,0xe805ffff,0xffb83f02,0x74000c03,0x9999999e,
    0x1fffd999,0x04fffb80,0x07fff400,0x000fffb0,0xfa8017dc,0x800001ff,
    0x2003fff9,0x3e6002fa,0x7e4004ff,0x3f20007f,0x3fea0000,0x002fffff,
    0x0007fff3,0x001fff20,0x01fffa80,0x0fffc000,0x400dff50,0x0002fffe,
    0x5403fff0,0xffa806ff,0x9800001f,0x74003fff,0x9999999e,0x1fffd999,
    0x1fffcc00,0x500fffc0,0x77400dff,0x99999999,0x01fffd99,0x6c1f8374,
    0x000200ff,0xf9800bea,0xffd004ff,0x3ea0001f,0x7fe402ff,0x1f90000f,
    0x07ffea00,0xf9805400,0x1f6003ff,0x03fffa00,0x02fffb80,0x8000dd00,
    0x0035514d,0x003fff98,0x00fff900,0x0fffd400,0x3ffe0000,0x01bfea01,
    0x002fffe4,0x403fff00,0xfa806ffa,0x800001ff,0x2003fff9,0x3e6002fa,
    0x7cc004ff,0xfff803ff,0x01bfea01,0xf30017d4,0x4fe809ff,0x0bfee1f8,
    0x000f7f44,0xffd000fb,0xfff5001f,0x3ffa0009,0x3fffb805,0x400dd000,
    0x8001fffa,0x3ffe6078,0x009f3003,0x007fff50,0x002fffc4,0x100027d4,
    0xf300003f,0x200007ff,0x00007ffc,0x0007ffea,0x0fff4054,0x500dff50,
    0x0001ffff,0x03ffd01b,0x54037fd4,0x50001fff,0x0fffe601,0xe8007d80,
    0x26000fff,0xfe803fff,0x1bfea01f,0x74003ec0,0x3fa00fff,0x3227e1ef,
    0x3fea02ff,0x09f3005f,0x07fff500,0x003fff60,0x001fff30,0x000bfff1,
    0x7dc009f5,0x4e8001ff,0x00fffe60,0x440007ec,0x64007fff,0x22001fff,
    0x2e0000ff,0xff300006,0x3200007f,0x200007ff,0x8001fffa,0x05ffb078,
    0x22037fdc,0x8002ffff,0x05ffb068,0x54037fdc,0x88001fff,0x0fffe607,
    0x40027cc0,0x2003fffa,0xd803fff9,0x3fee02ff,0x004f9806,0x203fffa8,
    0xfefffdb8,0x4400dffe,0xfb007fff,0xfff10001,0x3ffe200f,0x3ffa2004,
    0x3fff2002,0x03fe2001,0x02fffb80,0xf500fdc0,0xdf3009ff,0x7ffec000,
    0x3ffa2003,0x2ffa802f,0x001f4000,0x03fff980,0x1fff9000,0x3fee0000,
    0x04e8001f,0x3ee09ff9,0x7fec07ff,0x0b70004f,0x7dc13ff2,0xffb807ff,
    0x04e8001f,0x400fffe6,0xf88000fd,0x3e6007ff,0xffc803ff,0x0ffff704,
    0x10001fb0,0x2200ffff,0x001cfba9,0x4c03c444,0x3f60006f,0xfb1003ff,
    0xdff300bf,0xffe88003,0x2ffa802f,0x1fffe400,0xb80ff900,0xfd804fff,
    0x3fee0004,0x362000ff,0x989bcfff,0x001fffdb,0x00007cc0,0x004fffa8,
    0x01fffb00,0x3ffee000,0x80fdc002,0xb30bfffb,0x115fff7d,0x006fffb8,
    0x3ee07f30,0x7db30bff,0x20115fff,0x4002fffb,0x3fea01fb,0x06f9804f,
    0x0ffff600,0x027ffd40,0x985fffdc,0x8afffbed,0x0006f980,0x000ffff6,
    0x5b80007e,0x0004fd80,0x003fffee,0x40aeffb8,0x000dffb9,0x7bfffb10,
    0xfffb7313,0xfff98003,0xaaaaacff,0x04fffccb,0x0bffffaa,0x00fffe44,
    0x7ffff440,0x7ed4002e,0xffffffff,0x6c80000b,0x3fee0000,0xfd00004f,
    0x200003ff,0x2003fffc,0x7ff407fc,0xfa8effff,0x3e22efff,0xa8001fff,
    0x3ffa02fe,0xfa8effff,0xf902efff,0x7e4007ff,0x27ffdc07,0x00027ec0,
    0x001ffff7,0x2009fff7,0xeffffffe,0x2effffa8,0x20004fd8,0x000ffffb,
    0xfa8000fc,0x3fff2200,0xffe88001,0x22002eff,0xffefffed,0x500002df,
    0xfffffffd,0x220019ff,0xffffffee,0xffffffff,0xfe81ffff,0xffffffff,
    0xfffff91e,0xfd1007ff,0xffffffff,0xcaa88003,0x00001abc,0xa80001f4,
    0x002ffffe,0x3ffff220,0x7cc0001d,0xaaacffff,0xfffccbaa,0x7fff4404,
    0x077fea4f,0x333bfffa,0xcccccccc,0x01fffedc,0x93ffffa2,0x2601dffa,
    0xaacfffff,0xffccbaaa,0x3ffaa04f,0xff9102ff,0xfd10003f,0x5405dfff,
    0x802ffffe,0x24ffffe8,0xc881dffa,0x88001fff,0x02effffe,0x5ed40000,
    0x3ffff200,0xe8803fff,0xffffffff,0x5cc4001f,0x000000ab,0x2af32aa2,
    0x00000001,0x00000000,0x00000000,0x51000000,0xffe80001,0xefffffff,
    0xfffd3001,0x09dfffff,0x7fff7440,0xffffffff,0x1fffffff,0x98157300,
    0xffff700b,0xffffffff,0xffffffff,0x02ae600f,0x3ba20173,0xffffffff,
    0xffffffff,0xfffe81ff,0x1effffff,0xfffffff9,0xfffd1007,0x43ffffff,
    0xfffffffe,0x5cc01eff,0xc805cc0a,0x3fffffff,0xffffe880,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99100000,
    0x99999999,0x024c0099,0x25400000,0x073b6e20,0x005f8800,0x40006e60,
    0x2a0001da,0x1260001e,0x0dfff300,0x55dcc400,0x71000001,0x07300003,
    0x54254000,0x0dedcc02,0x405d1000,0x0140002b,0x00000004,0x000ed400,
    0x22001360,0x3730002b,0x1200ea00,0x5c403da8,0x37220001,0x00000cde,
    0x7d900000,0x7ffffcc0,0x0fffffff,0x03ffae20,0x2e200000,0x3fe607fe,
    0x0002ffbb,0xd10001f9,0x1001dfdf,0x0003fff7,0xb00017e2,0xeffb800b,
    0xdff90000,0x0003dffd,0x00bff6a0,0x05fffd00,0x9ffae200,0xd81efff8,
    0x003fffef,0x07c80db0,0x2037a200,0x10000fc8,0x157bdb75,0xff711360,
    0x7dc0003f,0x7f7e4001,0xffb5002f,0xb0274005,0x0bffe207,0x000bff22,
    0x7f66ffe4,0x0000002f,0x0fffcc00,0xeeeeee98,0x00eeeeee,0x01fffff9,
    0xffd80000,0x3fd107ff,0x2000ffd4,0xd90002fa,0x22013a21,0x0001ff99,
    0x440001f9,0x7ff4002f,0x5dfd0001,0x0017fed4,0x5fffff50,0x7ffc4000,
    0xffd8007f,0x3ffee7ff,0xd886dc4f,0x7d4000ff,0x000fcc01,0xefb8ff20,
    0xefe98001,0xcfffdbcd,0x33107ee0,0x260003ff,0x0fc4003f,0xfffa80f7,
    0x3e6002ff,0xb81b620e,0x3f664fff,0xb8002fff,0x0ffd42ff,0x00000000,
    0x00007ffe,0x7ffe4200,0x84000000,0xdfb07ffd,0x4400bff0,0x0be0004f,
    0x7fc400f5,0x02f98001,0x0007dc00,0x20005ff1,0xfff01ffb,0x7d420001,
    0x7c0002ff,0x4002ffff,0x7ccfffb0,0x2060ffff,0x22000ff9,0x009d004f,
    0x7fddf900,0x13ff2000,0xfabffe98,0x007fe203,0x64003740,0x54202f85,
    0x6c002fff,0x02fe8aff,0x9997ffee,0x4002fffc,0x9fd05ffa,0x54400000,
    0x09bceecb,0x000077c4,0x1fff3000,0x2a000000,0x09ff07ff,0x36001ffb,
    0x07e0000e,0x3e2001f3,0x05e8001f,0x4005d800,0x3e0003fa,0x13fee06f,
    0x0bffa000,0x5e4c0cc0,0xf50004fd,0xfebca8ff,0x002fd401,0x3e4003b6,
    0x7ffcc000,0xffe98001,0xfffe8801,0x00ffc405,0x4000fdc0,0xf002e85c,
    0xf88005ff,0x5c05ffff,0xfff05fff,0x2ffc8005,0x0000df70,0x9bfffb10,
    0xb9dffffb,0x393001bb,0x22001750,0x00000fff,0x30fff300,0x5ff909ff,
    0x0003f500,0x0026c5c8,0xc8003ff1,0x7c40000f,0x0026c002,0x5409ff50,
    0x2a2005ff,0xcffeaaaa,0x00b600aa,0x260005f3,0x03ee07ff,0xfa800bd0,
    0x00be6002,0x7f67ec40,0x3fe2000f,0x3fa2002f,0x0ffc405f,0x0013e200,
    0x00f50fcc,0x40017ff4,0x401ffffc,0xfd04fffa,0xffe8005f,0x000bf901,
    0x00dffa80,0x003fff91,0xf50fffcc,0x3fe200ff,0x0000000f,0xff70fff3,
    0x807ff907,0x980004f8,0x001ffcff,0x98007fe2,0xfb80003f,0x00024000,
    0xf9813fee,0x3fee007f,0xffffffff,0x805f102f,0xf30000fb,0x8836c0ff,
    0x1000efeb,0x09d000bf,0x223bf900,0xfb000eff,0xffb000df,0x0ffc405f,
    0x0001b600,0x007fdbfb,0x40017ff4,0x9803ccc8,0xffd03fff,0x3fff8005,
    0x00009ff0,0x4013ff62,0x7001fffb,0x7fec7fff,0xfff8802f,0x30000000,
    0x7ff70fff,0xd807ff70,0x6d400006,0x1ff88002,0x0001ba00,0x000002f4,
    0x501ffe40,0x4c400bff,0xbffe9999,0x05fb0099,0x30001f44,0x07e60fff,
    0x0fffee4c,0x40007e40,0x81d8007b,0x5400effb,0x64002fff,0x100fffef,
    0x7d4003ff,0xbc980001,0x17ff4000,0xf8800000,0x5ffd02ff,0x85fff800,
    0x00000ffa,0xb8009ffb,0xf8800fff,0x1ffea0ff,0x007ffc40,0xff980000,
    0xc84ffa87,0x07ee02ff,0x80000000,0xf7001ff8,0x5f100003,0x98062000,
    0x407ff905,0x80003ffb,0x7e402ffd,0x009d302f,0xa87ff980,0xbff3002f,
    0x0002fa80,0x400005f3,0x3e205ffe,0x7d4006ff,0x105fffab,0x3e2003ff,
    0x00000004,0x0002ffe8,0x7fc00133,0x05ffd01f,0x20fffe80,0x00002ffa,
    0x0001fff5,0x2200bffd,0x000b980b,0x1301fff1,0x26198000,0x5ff887ff,
    0xf101ffc8,0x00000009,0x801ff880,0x700003f9,0x75cc001f,0x3e23efff,
    0x407ffb03,0x44000ffd,0x80bff609,0xe982fffb,0x26198001,0x006dc7ff,
    0xbd01ff20,0x004e8000,0x5fff3080,0x00ffff20,0x3ffe4f98,0x01ff881f,
    0x00001db0,0x3a000266,0x366002ff,0x02deffff,0xfe807ff4,0x3f20022f,
    0x03ff93ff,0x3ffe2000,0xfff50004,0x80000005,0xf910fff8,0x5c007dff,
    0xf9cffffd,0xd0dff07f,0x01ba01ff,0x777776c0,0x77777441,0x007fe204,
    0xe80001ba,0x473f6005,0x4eaeffc9,0x4c0fff60,0xd93003ff,0xffb3dfff,
    0xffffb105,0x0015dddd,0xcffffdb8,0x00047ff9,0x3f206f98,0x03dc0000,
    0xdfffdb80,0xfe80effd,0xdf1002ff,0x883fffd8,0x2fa801ff,0x7fecc000,
    0xd002deff,0x3ee005ff,0xffeb88af,0xe81ff602,0x100b72ff,0x19fddfff,
    0xffffffd8,0x3fff602f,0x3ffe0000,0x0000000f,0x3e23ffe2,0x05ffffff,
    0xf710dfc8,0x3ea0ffff,0x40ffe20f,0x220001fb,0xa881fffd,0x3e206fff,
    0x00fdc01f,0x002f8800,0x3ff205f9,0x1ffec05f,0x003df731,0xfea8bfea,
    0xcca82fff,0x2cccdfff,0x886fe400,0x007ffffb,0x2609f500,0xf980003f,
    0x33f62002,0xffffda89,0x01ffff83,0xffc81fd0,0x01ff884f,0x20002fc4,
    0xeb88affb,0xffe802ff,0x84ffa802,0xfb00fff9,0x6d7ff40f,0xfffd001f,
    0x7ffe403d,0x3fe600ae,0x7e40006f,0x3bbb64ff,0x777441ee,0x7fc404ee,
    0xfebcef9f,0xfb105fff,0x1fffee09,0xbfb14fc8,0x0000fe60,0xc807ffe2,
    0x3fe206ff,0x0013e202,0xb800fb80,0x37fec06f,0xfb8fff60,0xfb802eff,
    0xfffe880f,0x017ff402,0x704fd880,0xb800ffff,0xe817a61b,0x17a00006,
    0xd817f440,0x7fcc7fff,0x1fc800ff,0x886fffb8,0x07ec02ff,0x09ff5000,
    0xe801fff3,0xb0ae22ff,0x3ffa05ff,0x740df902,0x1000efff,0x880dfffb,
    0xfb800fff,0x540005ff,0x7ec45fff,0xffa881ff,0x7ffc406f,0xffffa83f,
    0x200ffc81,0x75c07ffd,0x1ba04ffe,0x1fff8000,0x641bfea0,0xd80ceffd,
    0x3a000406,0x03ff9805,0xb017ffec,0xffb987ff,0x7ff300ef,0x017ffd40,
    0x4000bffa,0x3f600ffc,0x7ff4007f,0x3f203fef,0xb8018800,0x80bfb007,
    0x3ea2fffe,0x2fb807ff,0xc8ffff70,0xa80ceffd,0xb018802f,0x3ffa05ff,
    0xd17ff402,0x0ffec7ff,0xf703ffd8,0x06fff40b,0xffeffb80,0x0ffe204f,
    0x027ffe40,0x1fffea00,0xc807ffe2,0x7fc406ff,0x3ffea01f,0x201ffc45,
    0x31007ffb,0x7300fc80,0xff8039fd,0x1bfea01f,0x40cccccc,0xffc981fb,
    0x17c400be,0x900ffe40,0x6c0dffdd,0xfff303ff,0x80dfb01d,0x7402fff8,
    0xf88002ff,0x3ffdc03f,0x00cd4400,0x3e600fe6,0x402f9807,0x7d402ff9,
    0x3ffee5ff,0x5027cc06,0x4cc1ffff,0x5e881999,0xfb07f980,0x0fff603f,
    0x3e25ffd0,0x817ea5ff,0x9f503ffd,0x4017ff40,0xffa8efe8,0x0df501ff,
    0x01ffff40,0x3fffe600,0x201fff80,0x7c406ffa,0x7fec00ff,0x007ff60f,
    0x0000fff3,0x7fcc0fe6,0x3e02fe9a,0x3fea01ff,0x13e20006,0x3ffb3be2,
    0x4007dc07,0x3f700ffe,0x3601fff9,0x3fe603ff,0x027fcc4f,0x3a017ff4,
    0xfd8002ff,0x3ffcc01f,0x1ba00000,0x401ffa20,0x07ff405e,0xf53fffc0,
    0x2fc40fff,0x01fffea0,0x22007e40,0x0bf507fe,0x3a01ffec,0x0bff22ff,
    0x1fffdc40,0xff903f98,0xdff9805f,0x41bfffa0,0x3fe001fc,0x440002ff,
    0xff81ffff,0x1bfea01f,0x801fff10,0xff11fff9,0x7ff9801f,0x20bd0000,
    0x3fe22fe8,0x403fff01,0x20006ffa,0x543c80ed,0x017a03ff,0x2e03ffe2,
    0x05fff71f,0xfb00fff6,0x1ffec1ff,0x2017fec0,0x44002ffe,0x7cc00fff,
    0x2000007f,0xfed801fb,0x440f7007,0xff9007ff,0x1fffe61f,0x7d400ee8,
    0xf98006ff,0x07fed803,0x3fffb880,0x2617ff40,0xedfc9800,0x85f103ff,
    0x02ffeed8,0x3e617fe6,0x27c43fff,0x3ffff300,0xffff0000,0x403fff07,
    0x7c406ffa,0x7fc400ff,0x00fff32f,0x0000fff3,0x1ff601f9,0x7ffc1ff6,
    0x01bfea01,0x24417d40,0x5f106fe8,0x81fff500,0x3ffea2fa,0x807ffb03,
    0x3fa1fffa,0x2ffd802f,0x0017ff40,0x2601ffe6,0x000007ff,0x3d9009f1,
    0x0be200ff,0xb803ffd4,0xfff11fff,0x003fb01f,0x0009fff7,0xf5d900bd,
    0x6fe4c00f,0x7f403ffe,0x7f54002f,0x407ffb0c,0x3a3ba21f,0xfff102ff,
    0x3ffff605,0xf1001b60,0x00003fff,0xff05ffff,0x37fd403f,0x003ffe20,
    0x7fdcfffe,0x07ff9806,0xd017cc00,0x03ff70df,0x7d403fff,0x5f88006f,
    0x704fb800,0x3ffee00f,0xff10fe61,0x0fff605f,0xff8bffe0,0x2ffd802f,
    0x0017ff40,0x2601bfee,0x000007ff,0x33f500dd,0x82f400ff,0xf5007ffb,
    0x7fff45ff,0xb8017dc1,0x64003fff,0x4c7d400f,0xcfea807f,0xe807ffb0,
    0x3f6002ff,0x01ffec0e,0xffd2543f,0x81fff205,0xf55ffff8,0xffff0003,
    0xff880005,0x1fff80ff,0x101bfea0,0xfd001fff,0x01fff23f,0x8001ffe6,
    0x3fe205e8,0xf82ffb85,0x3fea01ff,0x00fd8006,0xbd01fe80,0x4fffea00,
    0xfff884f9,0x007ffb00,0x3fe67fff,0x2ffd802f,0x0017ff40,0x2601fff2,
    0x800007ff,0x97cc01fb,0x1ee007f9,0x4007ffe4,0x3f61fff9,0x013ea3ff,
    0x001fffd8,0x5f300fe6,0xdfb01fe6,0x403ffd81,0xd8802ffe,0x07ffb05f,
    0xffe81074,0x04fff882,0x7dffffd4,0xfffd0004,0xff980007,0x03fff07f,
    0x22037fd4,0xff800fff,0x01fff90f,0x0007ff98,0xffa803f2,0xf84ffa85,
    0x3fea01ff,0x017d4006,0xf882fcc0,0x9fff1002,0x3fe209d1,0x00fff607,
    0x7fc4fffa,0x2ffd803f,0x0017ff40,0x3003fff2,0x80000fff,0x1f4404f8,
    0x7c400ff3,0x01fffb82,0x7d47ff98,0x00bf15ff,0x4007fff8,0x31f4406e,
    0x17f620ff,0x3a01ffec,0xffe802ff,0x007ffb00,0x4c17ff40,0xfd803fff,
    0x20006fff,0x0004fffc,0xf837ffcc,0x3fea01ff,0x07ffc406,0xfa9ffe20,
    0x7fcc01ff,0x05f50007,0xfa84ffa8,0x01fff84f,0x8801bfea,0x1db0005e,
    0xff001ee0,0x7cc0bddf,0x0fff605f,0xff8bff60,0x2ffd805f,0x0017ff40,
    0x3007ffea,0x80000fff,0x22ec00fd,0x2f4007f9,0x401fffd4,0xffd86ff9,
    0x2000ee8f,0x2002fffa,0x226c01fb,0x1ffd07f9,0xd00fff60,0xff9805ff,
    0x00fff606,0xb82ffe80,0xe8805fff,0x0001ffff,0x000bfff7,0xf05fffa8,
    0x7fd403ff,0x07ffc406,0xf997fe60,0x7fcc04ff,0x05f88007,0xfb85ff88,
    0x01ffe83f,0xc801bfea,0x0fc8000f,0xf70017a0,0xffa80dff,0x00fff602,
    0xffe87ff6,0x17fec00f,0x000bffa0,0x9809fff3,0x200007ff,0x5fe402fa,
    0x2affbaaa,0xf881f700,0xffa804ff,0xfefff884,0x27ff4001,0xc807f300,
    0xffbaaabf,0x81bfe62a,0x7f403ffd,0x37fdc02f,0x0007ffb0,0x7d417ff4,
    0xfa800fff,0x2e01ffff,0x06fff984,0x17ffe400,0x2a01fff8,0x7fc406ff,
    0x07fe400f,0x401ffff1,0xd8007ff9,0x0dff000f,0xffb05ff7,0x037fdc05,
    0xb8002f98,0x00be600e,0xb017ffa0,0x3ffd80df,0x91bfa0aa,0xfd809fff,
    0x1fff403f,0x3fffe200,0x01ffe600,0x402fc400,0xfffffffe,0xf8800fff,
    0x00fffd82,0xfb817fdc,0x7d4002ff,0x0374006f,0x7ffffff4,0xff70ffff,
    0x01ffec0d,0xf700bffa,0xffd303ff,0x405930c9,0xff882ffe,0x7fd405ff,
    0x882fffff,0x5fff901f,0x3ffe2000,0x807ffa05,0x7c406ffa,0x3fe200ff,
    0x05fffb83,0x8003ffe6,0x3f6002fa,0xc80ffd87,0xfff704ff,0x0017a00f,
    0x7b8603b2,0x7fffb000,0xd007fe60,0x07fee7ff,0xfff885ff,0x0fffa01f,
    0x0389ffb0,0x205fffb8,0x0000fff9,0x98800fd8,0x9ffa9999,0x2217a001,
    0x7f405fff,0x02fff404,0x001ffd10,0x4c400fdc,0x9ffa9999,0x207ffee1,
    0x2064ffe9,0x7cc02fff,0xdf912eff,0x225b3dff,0xffd02fff,0x3ffff605,
    0x46fecc0d,0xcffffffa,0x3a206fdb,0xf70006ff,0x7fec01ff,0x01bfee02,
    0x6c09fff1,0x3fffa05f,0x7fffd40e,0x04f88033,0xf117f440,0x3ffee07f,
    0xff7db30b,0x3f20115f,0x4cf6c000,0x17a5c999,0x3fefee00,0x07fea0bf,
    0x7dcfffe0,0x5c1bea2f,0x6c42ffff,0x8088efff,0x2b89fffb,0x1dfffd00,
    0x33ffffa8,0x00fea000,0x000ff300,0xfff701f7,0x3017ea05,0x300bffff,
    0x44005ffd,0x7cc0004f,0x2efff987,0x3dffdf91,0x07fff05b,0xffffffb0,
    0x7ffff51b,0xe827ffdc,0xffd103ff,0xfffdffff,0xffffe987,0x5400ffff,
    0xf8002fff,0x7fe403ff,0x0ffff704,0x43dfff90,0x74404fd9,0xeeceffff,
    0x03fffffb,0xf980036c,0x405fe9af,0xeffffffe,0x2effffa8,0x22003f98,
    0xfffffffe,0x8005f32f,0xfffb11fa,0x50017dfd,0x97fc7fff,0x3f200efa,
    0xbfddffff,0x80dffffe,0x05fffff9,0x3ffffa20,0xfffbeece,0xf88003ff,
    0x7f980005,0x702f8800,0x7dc39fff,0xeab7c406,0x7dcc1bef,0x36c000cf,
    0x83fcc000,0xdffffffd,0x83ffffa8,0x8806fffa,0x223ffffd,0x7fc43fff,
    0x5fff981f,0x7ffffe40,0xfb100dff,0x003dffff,0x8003bff6,0xfb805ffc,
    0x7db30bff,0x40115fff,0xffffffc8,0x3ff2001e,0xff98dfff,0x01fb802d,
    0x3bfae600,0xfffe8803,0x077fea4f,0x764006e8,0x5eeeeeee,0x0be001ee,
    0x4002aea2,0x23ffffe9,0x00cfffd9,0xffffffa8,0x8019ffb2,0x000cfffa,
    0xdfffffc8,0x002dff98,0x00003f20,0x74001ba2,0x3fffa605,0x7400bdfe,
    0x7fffdc0f,0x001dfffe,0x80001fa8,0xffb106e9,0x7ffc47ff,0x7ffff543,
    0x54400eff,0x0b880600,0x7fffff5c,0x975100ef,0xbb980035,0xeffb8001,
    0x03ffd800,0x3fffffa0,0xffffa8ef,0x5753002e,0x2e620001,0x0007220a,
    0x00000000,0x0b981573,0x00000000,0x00100077,0x04400000,0x41bb9800,
    0x0018002b,0x20ab9880,0x000001c8,0x40000000,0x2ba8804a,0x3100e400,
    0x00003597,0x10000000,0x0000c015,0x00000000,0x00000000,0xffe98000,
    0x77f54c1b,0x7ff44001,0x37fea4ff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0xfffefffe,0x5cc0004e,0x0005cc0a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xca980000,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x0002eeec,0x0008800c,0x000bddd1,0x09f017cc,
    0x98090055,0x2000b803,0x77654c1d,0x400002cd,0x4c02fffc,0x0000b803,
    0x8003ffff,0x005cc1c9,0x000c0130,0x2ab2e620,0xaaaaaaaa,0x82aaaaaa,
    0xccccccc8,0xbdedc980,0x01300009,0x3bb6000c,0x7dc0000e,0x7ec004ff,
    0x030001ff,0x06e00220,0x01100710,0x54c00026,0x0371000b,0x5fff0000,
    0x4401fffc,0x7cc0001b,0x40006fff,0x0074404b,0x02ffffd8,0x2601f700,
    0x2209d02f,0x00dd802d,0xcff80099,0xecbdeffe,0x0000cfff,0xb004fff8,
    0x0013201b,0x0017ffcc,0x7e45ffb5,0x7f5403ff,0x800580df,0xfeeefeca,
    0xffffffff,0x6fffffff,0xffffb530,0x7fffec43,0x2001ffff,0x580dffeb,
    0x3fffea00,0x7fec0005,0xffe88005,0x00b50004,0x05f3003d,0x75c403a6,
    0x3fff662f,0xfff5000d,0x36a07dff,0x400003ff,0x3fe25ff8,0x05ffd006,
    0x7f6fec00,0x3e60003f,0x1bae60ad,0x7fe7fcc0,0x40f90006,0x1bf501fa,
    0xf8803744,0x0007ec1e,0x407bfffe,0x002fffa8,0x8017fe60,0x07ec1ef9,
    0x03ffb800,0x5fffff70,0x807ffffc,0xcffffffb,0x6c400d10,0x7dc40cff,
    0x9999bfff,0x807fc999,0xfd11fffe,0xffd7315b,0xfff7005f,0x1a219fff,
    0xfffdff80,0xdff10001,0x3fe20001,0x7bf10006,0x003edcc3,0x84f989f9,
    0x72ffffc9,0x0dffffff,0x3f623db0,0x3ffaa3ff,0x400003ff,0x3fe60ffa,
    0x4fff8801,0x64bf5000,0x360000ff,0xffffffff,0x263fd002,0x5e8003ff,
    0xffd01f20,0x4003fd13,0x07fb2ffc,0x04fff880,0x009fff30,0x2001bf20,
    0x07fb2ffc,0x0027f400,0xd8bffea1,0x5d03ffff,0xbfffff71,0x3fa2009f,
    0x7ffec01f,0xc807b802,0x01bb1fff,0x201fffec,0xffffb8ae,0xf7004fdf,
    0x001bf629,0x00007fd4,0x40007fe6,0xfffffffc,0x3fe2003f,0xa80ffa8e,
    0xebafffda,0x1fffea9b,0x3fa0ff20,0x7ffcc27f,0x7e400003,0xb0027dc3,
    0x3a0003ff,0x0004fa84,0x3fffffa2,0x83f5003f,0x7c000fe8,0xf3017a04,
    0x800bffff,0x06fffff8,0x004ff880,0x001fffcc,0x44000774,0x006fffff,
    0x80017e20,0x33222fff,0x445885fc,0x006ffffd,0x7005fff3,0x1e005fff,
    0x327ffee0,0x7ffe8805,0xffb11620,0x3e200dff,0x8002fc83,0x500001fc,
    0x7ec0007f,0x004fffff,0x3fffffb8,0x05efff80,0x3e609ffb,0x04fe880f,
    0x00007ffd,0x00ec86d8,0xb80004c0,0x0007a604,0x03bffd70,0x5c803a20,
    0xf80be600,0xffffc804,0xfffb8000,0x5f88002f,0x3fff5000,0x0007c400,
    0x05ffff70,0x00035c00,0x7c40bffe,0xb9302883,0xfff10017,0x3ffea00b,
    0xf700b002,0x5400dbff,0x05103fff,0x4002f726,0x003aa02c,0x800005f0,
    0x75c0006b,0x20002eff,0xd006fffe,0x7fdc09ff,0x180ffb05,0x6fff554c,
    0x0002aaaa,0x000ba07e,0x10050000,0x00000005,0x0054004c,0x5f300fb8,
    0x05999100,0x01e66400,0x0000f980,0x4003fffa,0xcc80001a,0x05c0003c,
    0x0bffa000,0x00000fcc,0x00fffdc0,0x002fffa8,0xffff7003,0x7ffc4003,
    0x10000007,0x40033005,0x90000039,0x00000001,0x00e664c0,0x2a02ffe8,
    0x0ffd06ff,0xfffffd80,0x00ffffff,0x00903880,0x00000000,0x00000000,
    0x03e40000,0x000001f7,0xd3000000,0xfffb8000,0x00000004,0x00000000,
    0x4d817ff4,0xf8800000,0x3e6006ff,0x200002ff,0x8004fffb,0x0002fffd,
    0x00000000,0x00000000,0x00000000,0x017ff400,0x3fe0fff3,0x74cc4007,
    0x19999cff,0x00000000,0x00000000,0x00099800,0x20003300,0x801f605e,
    0x00004098,0x001d4000,0x01fffe20,0x88000330,0x00000000,0xe885ffd0,
    0x8000000d,0x2005fffb,0x0402fff9,0x03fff700,0x09fff700,0x80000440,
    0x11000008,0x00220000,0x40000000,0x3f600098,0x1ffe602f,0x8001ffe2,
    0x00003ffd,0x90000000,0x49dddddd,0xeeeeeeec,0x777774c3,0xffffd981,
    0x75c002de,0x981effff,0xffffffff,0xffffffff,0xfffb80ff,0x76c5ddff,
    0x7441eeee,0x0004eeee,0x3fffa000,0x7fff5c03,0xd95001ef,0x6c07bfff,
    0x441eeeee,0x404eeeee,0x0ba22ffe,0x07bbbbb6,0x09ddddd1,0x800ffffa,
    0x2c02fff9,0x03fff700,0x09fff500,0xdfffeca8,0x7f654003,0x54003dff,
    0x03dfffec,0x7fff6540,0x3bbb603d,0x777441ee,0xec8804ee,0x400dffff,
    0x3e602ffd,0x07ff987f,0x40fff600,0xeeeed801,0x7777441e,0x8813004e,
    0x982ffffb,0x101dffff,0xff705dfb,0x5ffd7115,0x115fd100,0xa887fff5,
    0xaacfcaaa,0xaadfbaaa,0x930afd82,0xffb10bff,0xfff5103f,0x4000000d,
    0xd105fffd,0xfff5115f,0x8dff4407,0x100dffc9,0x5103fffb,0xfe80dfff,
    0xc880222f,0xfa881fff,0xffff06ff,0x7ffcc005,0xb8016602,0x98001fff,
    0xfd105fff,0x37ff2637,0x8dff4400,0x400dffc9,0xf931bfe8,0xfe8801bf,
    0x1bff931b,0x07fff220,0x01bffea2,0xfb517fd3,0x7fec05ff,0x21ffe602,
    0x20007ff9,0x3f6a3ffd,0x36200cff,0xfa881fff,0x3ae206ff,0x1fff902f,
    0x00bffea0,0x9ff503f7,0x401fff30,0xffb80ff9,0x807dc02f,0x13ee02f9,
    0xff882fd4,0x1bff201f,0xfb800000,0x0ff986ff,0x882fffb8,0xdff703ff,
    0x07ffe201,0x7406ffc8,0x7c4002ff,0x3ff201ff,0x1ffff886,0x0bffe600,
    0xf7002f44,0xf30003ff,0x7ff10dff,0x403bfee0,0xff703ff8,0x0ffe201d,
    0x88077fdc,0xdff703ff,0x07ffe201,0x2a06ffc8,0x1fffb04f,0x980bff60,
    0x7ff987ff,0x4fff6000,0x4ffffffc,0x00fffc40,0xf930dff9,0x3e205fff,
    0x3ff602ff,0xfd82ec03,0x05ffd02f,0xff881ff4,0x703ec05f,0x017f401f,
    0x0fffc0bb,0x260dff50,0x99999999,0x99999999,0xfffb9999,0xf103fe87,
    0x0bfd0bff,0x3e06ffe8,0x3fea01ff,0x017ff406,0x500fffc0,0xfff50dff,
    0x7fcc001f,0xfccaaacf,0x3fee005f,0xff88001f,0x405fe87f,0xbfd06ffe,
    0xd06ffe80,0x6ffe80bf,0xfe80bfd0,0x07ffe06f,0x3a06ffa8,0x82fffc06,
    0x3e602ffd,0x07ff987f,0x32fff600,0xfffc88be,0x00fffc01,0x9550dff5,
    0x7e405fff,0x1bfea05f,0xffb02f88,0x40fff603,0x7ff407fb,0xf902fc04,
    0x2a04ff80,0x807ffe05,0xff886ffa,0xffffffff,0xffffffff,0xffffffff,
    0xfd01fee0,0x03ffa89f,0xf817ffd4,0x3fea01ff,0x017ff406,0x500fffc0,
    0xfff70dff,0xfff9800f,0xffffffff,0x3ffee005,0xfff88001,0x201ffd47,
    0x7d42fffa,0x7ffd403f,0x201ffd42,0x7d42fffa,0x7ffd403f,0x403fff02,
    0x7f706ffa,0x80fffd80,0x3e602ffd,0x07ff987f,0x17bff600,0x3e027fec,
    0x3fea01ff,0x017ffc06,0x2201fff3,0x0f701fff,0xffb02fd4,0x2017fe07,
    0x0fe200ba,0x7ff405e8,0xfff81203,0x41bfea01,0x999bffff,0x99999999,
    0xffb99999,0x017fe0ff,0x3ffb02ea,0x20dffd00,0x3ea01fff,0x17ff406f,
    0x00fffc00,0xff70dff5,0xff9800ff,0x05fb882f,0x007ffee0,0x3637ffc0,
    0xffe801ff,0x400ffec6,0x7fec6ffe,0x46ffe801,0xfe801ffd,0x03fff06f,
    0xff837fd4,0x9999999b,0xfd81fffd,0x1ffe602f,0x8001ffe6,0x3ee04ffd,
    0x0fffc06f,0xe80dff50,0x7ff402ff,0x0bfff703,0x5c40013a,0xff983fff,
    0x5f500004,0xf7013e20,0xf8003dff,0x3fea01ff,0x07fffd06,0xdfff7000,
    0x00027fcc,0xf9001fff,0x3fff01ff,0x2037fd40,0xf8002ffe,0x3fea01ff,
    0x0ffffa86,0x0bffe600,0x3ee005b8,0xff0001ff,0x00fff8bf,0x3e0fffc8,
    0xffc800ff,0x003ffe0f,0xff83fff2,0xfffc800f,0x201fff80,0xff886ffa,
    0xffffffff,0xfe83ffff,0x1ffe603f,0x8001ffe6,0x3ea03ffd,0x0fffc06f,
    0xe80dff50,0x7fdc02ff,0x1fffbd06,0x4c001f98,0x83ffedfc,0x00003ffa,
    0x0be601f7,0xbfffff30,0x07ffe003,0xfb06ffa8,0x900009ff,0x7fd4bfff,
    0xfff30003,0x07ffee00,0xfa807ffe,0x17ff406f,0x00fffc00,0xff30dff5,
    0x7cc003ff,0x016602ff,0x001fffb8,0x7cc9fff0,0xfff7007f,0x401ffe63,
    0xff31fffb,0x3ffee00f,0x200fff31,0xff81fffb,0x1bfea01f,0x00007fe6,
    0xf9813ffe,0x07ff987f,0x80fff600,0x7fc07ff9,0x1bfea01f,0x8805ffd0,
    0x47d40fff,0x03643ffe,0x3619fd50,0x4ffb83ff,0xfddd3000,0xdddddddf,
    0x81dddddf,0x4ffffff9,0x201fff80,0xff706ffa,0xfb0000bf,0x27fdc9ff,
    0x07ffb800,0xf05fff50,0x7fd403ff,0x017ff406,0x500fffc0,0xfff10dff,
    0x7fcc005f,0x7002402f,0x10003fff,0x7fdc7fff,0x5fff5007,0x5401ffee,
    0xfff72fff,0x4bffea00,0xf5007ffb,0x3fff05ff,0x5437fd40,0x540003ff,
    0xf300efff,0x0fff30ff,0x01ffec00,0xff80fff3,0x1bfea01f,0xb005ffd0,
    0xf74e87ff,0xb002f8df,0x3ffd81df,0x0005ffc8,0xddffddd3,0xddffdddd,
    0xf9101ddd,0x401dffff,0x3ea01fff,0xdfff506f,0xfffd0000,0x002ffe45,
    0x800fffc8,0xff82fff9,0x1bfea01f,0x0005ffd0,0x7d403fff,0x7fffb06f,
    0x17ffcc00,0xfff70000,0xfff10003,0x007ffe43,0xfc97ffcc,0xff9800ff,
    0x01fff92f,0x325fff30,0xf9800fff,0x1fff82ff,0x2e1bfea0,0xf50004ff,
    0x3dffffff,0xf987ff98,0x3f60007f,0x1ffe603f,0x5403fff0,0x7ff406ff,
    0x26ff9802,0x3fff10f9,0x3f6201ea,0x707ffb05,0x10000dff,0x002f407f,
    0x7ffffec4,0x403fff00,0xff106ffa,0x540005ff,0x3ee0ffff,0xff70006f,
    0xfff1003f,0x403fff01,0x7f406ffa,0xfff8002f,0x41bfea01,0x2004fffa,
    0x0002fff9,0x007ffee0,0xb83ffe20,0xf8801fff,0x3fff70ff,0x21fff100,
    0x8801fffb,0xfff70fff,0x1fff1003,0x5403fff0,0x5ffa86ff,0x26000000,
    0x7ff986ff,0x0fff6000,0x7c07ff98,0x3fea01ff,0x017ff406,0x8bb1ffe8,
    0x009b4ffc,0x3f601ffd,0x2fff983f,0x5f501700,0x8000fe20,0xf03fffe9,
    0x7fd403ff,0x17ffea06,0x3fffd800,0x8017ffcc,0x05fff50b,0x3e0dff30,
    0x3fea01ff,0x017ff406,0x500fffc0,0x3fe20dff,0x3fe6007f,0x701c002f,
    0x30003fff,0xfffa8dff,0x26ff9802,0x9802fffa,0x3ffea6ff,0x26ff9802,
    0x9802fffa,0x3fff06ff,0x4c37fd40,0x33001fff,0x2ffcc000,0x0003ffcc,
    0x7cc07ffb,0x0fffc07f,0xe80dff50,0xff7002ff,0xff983f39,0x7cc01f9f,
    0x0fff606f,0x4017ffe2,0x2601f706,0x6c06801f,0x3ffd06ff,0x2037fd40,
    0x8001fffd,0xf886fff8,0x44d005ff,0xfa805fff,0x03ffd04f,0x3a037fd4,
    0xfe8002ff,0x1bfea02f,0x002fffb8,0x4005fff5,0x3ffee069,0x3ea01101,
    0x2fffc43f,0xf127fd40,0xff500bff,0x02fffc49,0xff127fd4,0x9ff500bf,
    0xa80bffa0,0xbfff06ff,0x80007600,0xff984ff9,0x3ff60007,0x01ffe603,
    0x7d403ffd,0x17ff406f,0x6dfff880,0x00ddffd0,0x7ec0dff7,0x7fffd03f,
    0x0db04d80,0x07c007dc,0x360fff50,0x3fee02ff,0x37ffcc06,0x0fffec00,
    0x403fffe8,0x07ffe44d,0x6c0bfee0,0x3fee02ff,0x017ff406,0x7017fec0,
    0xffe80dff,0x5fff5006,0xb80fa200,0xffa81fff,0xc80ffb82,0x7dc00fff,
    0x07ffe42f,0xf90bfee0,0xffb801ff,0x007ffe42,0x7ec0bfee,0x1bfee02f,
    0x2027ffec,0x7cc0006a,0x07ff983f,0x80fff600,0x7ec07ff9,0x1bfee02f,
    0x4005ffd0,0xf702fffd,0xff7007ff,0x9ffd303f,0x7ffff30c,0x3e01fb50,
    0x7c01b205,0xc82ffc04,0xfff704ff,0xbfff700f,0x27ffec00,0x07ffff30,
    0xff881fb5,0x02ff404f,0x3ee09ff9,0x7ff407ff,0x4ffc8002,0x80ffff70,
    0xb805fff8,0xf9003fff,0x17ffdc03,0x7ec37fec,0x09fff103,0xff885fe8,
    0x42ff404f,0x7404fff8,0x4fff885f,0xf902ff40,0x3ffee09f,0xbffff107,
    0x002fb881,0xf983fd40,0x3f60007f,0x1ffe603f,0x2e09ff90,0x7f407fff,
    0x3fea002f,0x03ffe206,0x4bbffe60,0x9effefc8,0x7fffec2d,0x02fffcdf,
    0x02f407f1,0xff102ff8,0x2fffee07,0xfff7db30,0x7fcc0115,0xfffd805f,
    0xffffd802,0x02fffcdf,0x2a07fff7,0x3fee00ff,0xf7db30bf,0xff0115ff,
    0xff50005f,0x2fb6617f,0x1008afff,0x74409ffd,0x64404fff,0x7ffe406f,
    0x22fffc82,0x7fdc05f9,0x01ff503f,0x540fffee,0xfff700ff,0x403fea07,
    0xf503fffb,0x7ffd401f,0xff7db30b,0xffc8115f,0xffedefff,0x85db1005,
    0xfff503fb,0x1fff4000,0xb80fff30,0xdb30bfff,0x0115fff7,0xf8005ffd,
    0x02fec03f,0xffffffb0,0x7ffff51b,0x3fffff60,0x3ea04fff,0x2007f101,
    0x7ec43fff,0x7ffff405,0xfffa8eff,0x7ec402ef,0x3b261cef,0x36000dff,
    0xffffffff,0x5fffd404,0x2007bee0,0xeffffffe,0x2effffa8,0x0003fff8,
    0xdffffffb,0x5dffff51,0x5fffec40,0xfffea989,0xcbaabcff,0x2604fffc,
    0x440effff,0x5e98efff,0x17fff500,0x2a00f7dc,0x3ee0bfff,0x7ffd401e,
    0x007bee0b,0x5c17fff5,0xffd801ef,0xfa8effff,0xfc82efff,0xefffffff,
    0xbfff5000,0x7dc0bf53,0xff0000ff,0x7ffd407f,0x7ffff400,0xfffa8eff,
    0x3fff82ef,0x4c03e400,0x3f62002f,0x3fe23fff,0x7ffdc03f,0x7dc02eff,
    0x2003f300,0xfddfffef,0xffe8803f,0x37fea4ff,0x7fed4001,0x2dffffff,
    0xffff7000,0x3a6005df,0x0bdfefff,0xffffd100,0x80effd49,0x0006fffa,
    0x49ffffd1,0x2002dffa,0xffffffc8,0xffffffff,0xffffffff,0x7fff74c1,
    0x2e6effff,0x002fffff,0x7f7fff4c,0xfd3000bd,0x017bfdff,0x3bfffa60,
    0xd3000bdf,0x17bfdfff,0x3fffa200,0x0b7fea4f,0xffffff50,0xfffd0009,
    0x7f4c07ff,0x4c000dff,0x3f606fff,0x7f4403ff,0x3fea4fff,0xdfff501d,
    0x90029800,0x802a2000,0x0d5cc001,0x32604a80,0x5cc41000,0x5cc000ab,
    0x0005cc0a,0x055dd440,0x35730000,0x055cc000,0x81573000,0xffd500b9,
    0x001dffff,0xb9815710,0x99980000,0x00000099,0x02aea000,0x01573000,
    0x00ab9800,0x0055cc00,0x002ae600,0x4c0ab880,0x5d44000b,0x2e600009,
    0xffd5009b,0x01bfffff,0xfffffea8,0xffffb1ef,0xb9805fff,0xb805cc0a,
    0x6ffffffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xaaaaaaaa,
    0x55440aaa,0xaaaaaaaa,0x3eeea802,0x3fffe000,0x7fff8800,0x3ffe6000,
    0x4eee9806,0xbddb1000,0xfd000001,0x4c0003ff,0x74400600,0x4c0005ee,
    0x32006fff,0x0c003fff,0xf9001880,0x060005ff,0xff3000c0,0x07ffe61f,
    0x00bdda80,0x071006e0,0xbceedc98,0x3772a000,0x06e2002c,0x01b88000,
    0x40dcc000,0xaaaaaaaa,0x55401aaa,0x0aaaaaaa,0x59dd9710,0x00801c81,
    0x07b50011,0xffffeba8,0x5440adff,0xffffffec,0xfffe802c,0xff98000f,
    0x3fe6001f,0xff70001f,0xfffd001d,0xff90003f,0x800009ff,0x0002fff8,
    0xb019ffd7,0x3ffff200,0x3ff20003,0x7fec000e,0x402d4006,0x3ff6001d,
    0x805b0005,0x3fee0069,0x4013fea3,0x3ffcdffc,0x2207f100,0x39db101e,
    0x805fff73,0xffffffd8,0x3ff6a00e,0xfda80003,0xb500003f,0xfd7505ff,
    0x37dfffff,0xffffca80,0xffa80acf,0xcefffddf,0xfd7101fb,0x3fffae21,
    0x07fff104,0x03bfff60,0x6ffff440,0xfbdf7000,0xff9000bf,0x9ff50005,
    0x07ffa000,0x3ff3fea0,0x67fc4006,0x00000fff,0x4000ffee,0xcffffffb,
    0xff300b10,0x0001fff9,0x40003ffa,0x22000ffe,0x36e61bdf,0x3fa2000f,
    0x59f70007,0x013ee621,0x37e46fc8,0x740dfc80,0x8bf7004f,0x41fa04f9,
    0x3604ffe8,0xfffffeff,0x7fff540f,0x3aa0003f,0x0003ffff,0x17ffffd4,
    0x0bfffee0,0x00ffec00,0xf7307ff9,0xfc983fff,0xffe88fff,0x540effff,
    0xf5004fff,0xfc8009ff,0xdf1002ff,0x0007fee1,0x5c0007fd,0xff88006f,
    0x2a3fd001,0x3f6003ff,0x000bfd12,0x00027ec0,0xffff915d,0xfd009fbf,
    0x0013fa65,0x80007fe2,0x64002fe8,0xffffffff,0x2ff88003,0xfffe8800,
    0x000ffffe,0x03fb07fa,0xf301ff90,0x3bfe009f,0xf900ff98,0x0fffd407,
    0xeb885f5c,0xf9843fff,0x420003ff,0x0003fff9,0x02fffa84,0x0037ffc4,
    0x7d409f50,0x7ffd404f,0x7fff55c1,0xffecdfe8,0x1ffe85ff,0x07fff500,
    0x02fffb80,0x6e981d90,0x0013e600,0x70007f20,0x03ae007f,0xf3001fd1,
    0x0003fb05,0x4000bf10,0x7ffec448,0x41fa805f,0x5c000fd8,0xf980002f,
    0xfffd8005,0x20005fff,0xf30004f9,0x05ffffff,0x04f84f80,0x3604ff98,
    0xffa800ff,0x3fe03fff,0x22fff404,0x3ffa00e8,0x00fffa06,0x01fff400,
    0x05fff000,0x000dfff0,0xfff01fd4,0x03ff5001,0x0373ffe6,0x303ffff5,
    0x7ffcc001,0x7ffdc003,0x100d9801,0x016e007b,0x4003d800,0x01d1004d,
    0x00ec026c,0xd50000d7,0x814c0001,0x3d003dc9,0x36002e40,0x1ea00004,
    0x77ff5400,0x07a80002,0x3bfb2200,0x434c000d,0xffd800f8,0x013fe601,
    0x1037fff4,0xffd80dff,0x3e600e46,0x7ffd00ff,0x3ff60000,0x3fa00003,
    0x5fff802f,0x40fe6000,0x32005ff9,0xbfff101f,0x037ffdc0,0x1fffcc00,
    0x07ffee00,0x801c00a0,0x2200000c,0x30024004,0x18805001,0x40000980,
    0x0000000b,0x2a002600,0x00012000,0x000006e0,0x00170000,0x1a800000,
    0xff980298,0x00fff807,0x402ccc98,0x3f201fff,0xff88007f,0x00fff607,
    0x01ffec00,0x05ffd000,0x000bfff0,0xffa81fcc,0x807ea006,0x7fc00fff,
    0x4c0000ff,0x5c003fff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01bff200,
    0x0000fffa,0xd807ff20,0xff0005ff,0x01ffec09,0x03ffd800,0x0bffa000,
    0x0017ffe0,0xff503f98,0x00fc003f,0xfb801fff,0x200141ff,0x4003fff9,
    0x8001fffb,0x22000098,0x26200009,0x40988000,0x04098800,0x10000000,
    0x00330013,0x00002660,0x98000133,0x4cc00009,0x09880000,0x00000000,
    0x10000088,0x2fff4001,0x002ffe40,0x00ee0033,0x30007ffd,0x7fec03ff,
    0xffb00003,0x7f400007,0x5fff802f,0x40fe6000,0x001ffff8,0x07ffc03b,
    0xd0bffe60,0x7ffcc001,0x7ffdc003,0xffd91001,0x91001bff,0x01bffffd,
    0xffffd910,0xfffb801b,0x2e05ddff,0x5ddfffff,0x0f77776c,0x13bbbba2,
    0xfffffb30,0x7ffed43b,0x7ecc00df,0x002defff,0xbdffffb3,0x3ff66005,
    0x3002deff,0x5bdffffb,0x7ff64400,0xeed80dff,0x77441eee,0x95004eee,
    0x007bfffd,0xdfffeca8,0x13ffe203,0x701ffee0,0x03dffffd,0x07ffc400,
    0x2017dc00,0x01883ffd,0x001ffec0,0x005ffd00,0x4000bfff,0x3ffa03f9,
    0x400802ff,0x7c400fff,0x0007c3ff,0x8007fff3,0x9801fffb,0xffda8bfe,
    0x2ffa602f,0x02fffda8,0x36a2ffa6,0x5fb02fff,0x417ff261,0xff930afd,
    0x3fffb10b,0x0dfff510,0xff50ffdc,0xb33bf73f,0x3ee05fff,0xffeb88af,
    0x457fdc02,0x402ffeb8,0xeb88affb,0x7fdc02ff,0x2ffeb88a,0xa8bfe980,
    0xd882fffd,0xfa881fff,0x7f4406ff,0x1bff931b,0x31bfe880,0xf301bff9,
    0xff7007ff,0x22bfa20f,0x003fffa8,0x0007ff90,0xffb007f1,0x27ffed47,
    0xa83ffd80,0x0deeeeee,0xf005ffd0,0x4c000bff,0x3ffea03f,0x20001eff,
    0xff800fff,0x3000fc2f,0xb8007fff,0x7d401fff,0x01fffb04,0x3ff609f5,
    0xb04fa80f,0x4fb81fff,0x9f70bf50,0x7c417ea0,0x3ff201ff,0x707ff506,
    0xf503ffff,0x4ffa81ff,0x500fff98,0xfff309ff,0x213fea01,0xf500fff9,
    0x1fff309f,0xfd827d40,0xfff880ff,0x81bff201,0xff703ff8,0x0ffe201d,
    0x2a077fdc,0xfa803fff,0x07fcc0ff,0x0017ffdc,0x20017fe2,0xfd800ef9,
    0xfffff93f,0x7ffb009f,0x02bffea0,0xf005ffd0,0x4c000bff,0x7ffdc03f,
    0x8000cfff,0xff800fff,0x800be20f,0x4003fff9,0x7401fffb,0x42fffc06,
    0x2fffc06e,0x3ffe0374,0xbb017f45,0x2ec05fd0,0x5403fff0,0x3ffb06ff,
    0x40bfff30,0x7fec4ffe,0x205ffd02,0xffd02ffd,0x40bff605,0xffb02ffe,
    0x80bffa05,0x2fffc06e,0x2a01fff8,0x17fa06ff,0x3a0dffd0,0x37ff405f,
    0x200bffee,0x7f41fffa,0x0bfff103,0x000ffb80,0x13fffee2,0x5d97ffb0,
    0x03fff931,0xf703ffd8,0x3ffa001b,0x05fff802,0x200fe600,0xfffffffb,
    0x07ffc003,0xf31ffe20,0x7ffcc007,0x7ffdc003,0xb00fee01,0x1fdc1fff,
    0xb83fff60,0x7ffec03f,0x5a813fe0,0x16a04ff8,0x2a01fff8,0x3ffb06ff,
    0x405fff10,0x7fec7ffc,0x207ffb01,0xffb01ffd,0x407ff607,0xffb03ffd,
    0x40fff603,0x7fec03fb,0x01fff80f,0x7d41bfea,0x7ffd403f,0x201ffd42,
    0x3ee2fffa,0xffa802ff,0xd01fee2f,0xff8009ff,0x3fff6001,0x3605ffff,
    0xffd05eff,0x83ffd809,0x7f4004fb,0x5fff802f,0x00fe6000,0x7fffff4c,
    0xfff002ef,0x46ff9801,0x3e6004fa,0x7dc003ff,0x2ffe01ff,0xd9999999,
    0x2ffe1fff,0xd9999999,0x2ffe1fff,0xd9999999,0x3ffa1fff,0x3ffa1203,
    0xfff81203,0x41bfea01,0x3ffe05e9,0xc999999b,0x17ea0fff,0xf503ffd8,
    0x81ffec0b,0x3ff605fa,0x6c0bf503,0x37ff03ff,0xfb333333,0x3fff03ff,
    0xd837fd40,0xffe801ff,0x400ffec6,0x3fee6ffe,0xfffa801f,0x2a017fe2,
    0x0fee000b,0x3ff2a200,0xffb02fff,0x037fdc09,0x7f90fff6,0x05ffd000,
    0x000bfff0,0x2e001fcc,0x4fffffff,0x401fff80,0x2fdc2ffa,0x07fff300,
    0x01fffb80,0xfffffff1,0x7fffffff,0x3fffffe2,0xffffffff,0xffffff13,
    0xffffffff,0x0f7ffdc7,0x1efffb80,0x00fffc00,0x2000dff5,0xfffffffa,
    0x1fffffff,0x7fff7100,0xfff71000,0xff710007,0xf710007f,0xfff107ff,
    0xffffffff,0xfff07fff,0x837fd403,0xfc800fff,0x03ffe0ff,0x543fff20,
    0xfb801fff,0x09ff31ff,0x013a0000,0x3fff6200,0x407ffb05,0x7ec06ffa,
    0x000ff23f,0x7c017ff4,0x260005ff,0xfd88003f,0x405fffff,0x7f402fff,
    0x2006fc85,0x4003fff9,0xf301fffb,0x3e60003f,0xff30001f,0x7fcc0003,
    0x4c01dfff,0x01dfffff,0x5403fff0,0x2e2006ff,0x001fffef,0x3b7f2600,
    0x326003ff,0x003ffedf,0x3ffb7f26,0x37f26003,0xff983ffe,0xfff80001,
    0x21bfea01,0xf7007ff9,0x1ffe63ff,0x98fffdc0,0xfb802fff,0x07ff51ff,
    0x01d30000,0x3ffec000,0x2603ffd8,0x7fec07ff,0x40005fb3,0xff802ffe,
    0x3e60005f,0x3fa60003,0x3e04ffff,0xff500eff,0x400ffb03,0x4003fff9,
    0xf501fffb,0x3ea0007f,0xff50003f,0xff980007,0x4c04ffff,0x04ffffff,
    0x2a01fff8,0xfc8806ff,0x01fff8ae,0x0cfea800,0xd5007ffb,0x0fff619f,
    0x6c33faa0,0xfea803ff,0x507ffb0c,0xf00007ff,0x7fd403ff,0x007ffb86,
    0x3ee5fff5,0xfff5007f,0x00bffe25,0x7dc3ffee,0xb800004f,0x7c400003,
    0x3ffd82ff,0xb01ffe60,0x01dfb9ff,0x017ff400,0x00037ff4,0x700005f5,
    0x203fffff,0x541dffff,0x0ffd02ff,0x01fffcc0,0x407ffee0,0x70004ffb,
    0x2e0009ff,0x880004ff,0x0efffffc,0x3ffff220,0x3ffe00ef,0x01bfea01,
    0xfff87ff9,0x77ec0002,0x201ffec0,0x7fec0efd,0x2077ec03,0x7ec03ffd,
    0x41ffec0e,0x80004ffb,0x3ea01fff,0x0fffc86f,0x92fff980,0xf3001fff,
    0x3ffe25ff,0x27ffc803,0x00005ffc,0x800001c8,0xffd83ffd,0x01ffe603,
    0xbfffbffb,0x17ff4000,0x0037ff40,0x06205f50,0x3ffff980,0xdfd5fff0,
    0x7c01dfdb,0xff3000ff,0xffb8007f,0x0bff500f,0x017fea00,0x002ffd40,
    0xffffb100,0xffd8801f,0xfff00fff,0x837fd403,0xfff05fe8,0x3f620005,
    0x207ffb05,0xffb05fd8,0x417f6207,0xfb103ffd,0x20fff60b,0x80005ffa,
    0x3ea01fff,0x1fffb86f,0x70fff880,0xf1003fff,0x27ff41ff,0xf727ff40,
    0xb00000df,0xf9000001,0x07ffb05f,0x3603ffcc,0x3fffabff,0x05ffd000,
    0x000fffd0,0x04980fdc,0x82fffd40,0x57530fff,0x03fff001,0x00fffe60,
    0x4c0fff70,0x33001fff,0x4007ffe6,0x03fff319,0x3a600660,0xd3003fff,
    0x3fe07fff,0x1bfea01f,0xfe807ff4,0x7413003f,0x7ffb00ff,0x6c03ffa0,
    0x1ffd03ff,0x740fff60,0x7ffb00ff,0x003fff30,0x07ffe066,0xfa86ffa8,
    0xff9802ff,0x00bffea6,0xff51bfe6,0x45fff00d,0x7002fff9,0x00009001,
    0x3607fea0,0x3fe603ff,0xc9ffec07,0xe8002fff,0xffc802ff,0x1f90000f,
    0x3a001a60,0x1fff06ff,0x3ffe2000,0x7fff3002,0x06ffb800,0xd802fffc,
    0x4017ffe1,0x017ffe1d,0xfd80d0ec,0x3f60346f,0x03ffd06f,0x7c437fd4,
    0x1bff605f,0x0dff3340,0x7cc1ffec,0x0fff606f,0xfd81bfe6,0x06ff983f,
    0x7fc0fff6,0xd03b005f,0x7fd403ff,0x05fff886,0x3e24ffa8,0xffa805ff,
    0x007ffc44,0x7c41fff1,0x00d005ff,0xfb800000,0x407ffb07,0x7ec07ff9,
    0x03fffa3f,0x005ffd00,0x0005fff7,0x01f981ba,0xf82ffe40,0xf30000ff,
    0x3e6007ff,0x702a03ff,0xffd80bff,0x3635404f,0x35404fff,0x5013fff6,
    0x3ea00f8d,0xf5007c7f,0x0bff60ff,0xfa86ffb8,0x3ffee06f,0xff726402,
    0x41ffec0d,0x3f606ffb,0x06ffb83f,0x3ee0fff6,0x0fff606f,0x2027ffec,
    0x05ffb06a,0xfc837fdc,0x7fdc00ff,0x007ffe42,0x3f20bfee,0x0ffee02f,
    0xb00ffffa,0x00000009,0xffb02fd8,0x03ffcc07,0xff88fff6,0x7ff4006f,
    0x5fff8802,0x204fa800,0x7e4004f9,0x01fff03f,0x13ffea00,0x827ffd40,
    0x3fee0ffe,0x7fffc401,0x217dc40d,0x40dffff8,0x7fc42fb8,0x7dc40dff,
    0x3fe027c2,0x3fe027c5,0x209ff905,0xfa87fffb,0xfff501ff,0x43f9105f,
    0xe981fffb,0x7fdc64ff,0x4ffe981f,0x40fffdc6,0x5c64ffe9,0xfe981fff,
    0xfff8864f,0x17dc40df,0xf704ffc8,0x3fe20fff,0x42ff404f,0x7404fff8,
    0x0bff105f,0xff983ffc,0x0fda83ff,0x0002da80,0xfb037cc0,0x3ffcc07f,
    0xf30fff60,0x7f400bff,0xfff9002f,0x07fc4003,0x4009ff30,0xfff00ffe,
    0x3fee0001,0xfff7005f,0x49fff309,0xff9004fd,0xffdbdfff,0x3ffff20b,
    0x05ffedef,0xbdfffff9,0x5ff0bffd,0xff0ffe20,0x40ffe205,0xb30bfffb,
    0x115fff7d,0xb106fffc,0x7bffffbf,0xf987ffd7,0xdf912eff,0x265b3dff,
    0xf912efff,0x25b3dffd,0x912efff9,0x5b3dffdf,0x44bbffe6,0xd9effefc,
    0x7ffffe42,0x205ffede,0xb30bfffb,0x115fff7d,0x503fffb8,0x3fee01ff,
    0x01ff503f,0x7dc0ffcc,0x3fff601f,0x2fffcdff,0x02fff980,0xd301dfd8,
    0x1fff401d,0xd80fff30,0xfffb83ff,0x05fff003,0x0bfffa20,0x300bfea0,
    0xf9009fff,0x3ffe205f,0xfff70001,0xfffd500b,0x5fffd05f,0xfc800df1,
    0xefffffff,0x3ffff200,0x200effff,0xfffffffc,0x3fff80ef,0x7fc2fec4,
    0x02fec43f,0x3ffffffa,0xeffffa8e,0x37ffff22,0xfff90efd,0x20bfffff,
    0xdffffffd,0x43ffffa8,0xdffffffd,0x43ffffa8,0xdffffffd,0x43ffffa8,
    0xdffffffd,0x03ffffa8,0xfffffff9,0xffe801df,0xfa8effff,0xfa82efff,
    0x3bee0bff,0x5fffd401,0x2007bee0,0xff711efa,0xffffb003,0x2009ffff,
    0x4c04fffb,0xa9adffff,0xffe803fc,0x03ffe604,0xfd04ffe8,0xfff005ff,
    0x7fec4007,0xdb989bdf,0xf9801fff,0x10acefff,0x4c07ffd3,0x50002fff,
    0x7f409fff,0xffffffff,0xfffff51e,0xff50001b,0x2009ffff,0x4ffffffa,
    0xfffff500,0x7ff7c09f,0xf03ffddf,0xffbbfffd,0xfffd1007,0x0effd49f,
    0x7ffffe44,0xffffeb83,0x3ff6203f,0x3ffe23ff,0xffffd883,0x20fffe23,
    0x23ffffd8,0xd883fff8,0x3e23ffff,0x7fd403ff,0x1004ffff,0x549ffffd,
    0x74c01dff,0x0bdfefff,0xdfffd300,0x540017bf,0x00dffefd,0x3ffffee0,
    0x3fe2002e,0xfffc801f,0x801defff,0xb00efff9,0x3e607fff,0xffa80eff,
    0x3fea03ff,0xfea8006f,0xffffffff,0x33d3000b,0xffffffd9,0x3ae601bf,
    0x002bffff,0x0001fff8,0x00379300,0x01375100,0x01375100,0x01375100,
    0x2aee6208,0xbb988200,0x55cc000a,0x44005cc0,0xba8801ab,0x0151000a,
    0x0054400c,0x40151003,0x200a8801,0x4dd44001,0x0ab98000,0x4c0005cc,
    0x4c0000ab,0x440000ab,0x260000aa,0x510001ab,0x55544001,0xffd50009,
    0x363dffff,0x3effffff,0xffffffd7,0x3fffea3d,0xfd50eeff,0x01dfffff,
    0xbccaa880,0x8288001a,0x00abcba8,0x55555554,0x5c4000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80988000,0x00cc4001,0x372a6000,
    0x00009bde,0x2f37b2e2,0x55555300,0x55415555,0xaaaaaaaa,0x55555300,
    0x2aaa0155,0xaaaaaaaa,0x376e6000,0xaaaa980c,0x002aaaaa,0x55555555,
    0x55555501,0x55555555,0x00173000,0xeeedca80,0x001541bd,0x04ecb980,
    0xdeedca80,0x800000bc,0xbcdeedca,0xaa880000,0x0aaaaaaa,0x35555553,
    0x55555000,0x88005555,0x01bdedcb,0x0336a00d,0x7bb75100,0xaaaa8803,
    0x0aaaaaaa,0x20110000,0xea800001,0x7f6cc005,0x07e9afff,0xbffbff90,
    0x7f4c0005,0xfffdccef,0x7fdc000d,0x83ffbabe,0xfffffec9,0x3ff6a0be,
    0x00bdffff,0x9dfffd93,0x3ffb2a01,0x00adffff,0xfdabff98,0x7ffed41f,
    0x004effff,0xbfffffd7,0xfffffa81,0xffffffff,0xffdb5007,0x64c007df,
    0xdcbdffff,0x03eaceff,0x37ff2200,0x3f22000b,0xdcbaabce,0x440001cf,
    0xbaabcefc,0x0001cfdc,0x3ffffff2,0x3f6e66ff,0x4001ffff,0xdfffffca,
    0xdffb3002,0x7bfdb99b,0xff100f91,0x7fd4009f,0x204ffebc,0xffffeca8,
    0x0000acef,0xd98bfae2,0x00004fff,0x5c00fff1,0xffb98adf,0x7f4c07ff,
    0xffffb30b,0x64401fff,0x3fa603ff,0x1bfb002f,0x2207fd10,0x5406fffe,
    0x4005ffff,0x7ec006ff,0x26000eff,0x105fe84f,0x007ffffd,0x403bff20,
    0xfffffffd,0x05ffffff,0x3ff22fa8,0xfffa804f,0x3ffa600a,0xff70004f,
    0xbf70001b,0x09f93003,0x0077ee00,0x20013f26,0xfffffff8,0xffd302ff,
    0x360001ff,0x3f2000ef,0x3f6602ef,0x7cc00fff,0xbf5005ff,0x00dffa81,
    0x02ffff44,0x7ffe4c00,0xfffff72f,0xfb00009f,0x13f600ff,0x103fffcc,
    0x3ffa09ff,0x3e604cce,0xffb002ff,0x01ffa809,0x7d407fe6,0xffd805ff,
    0x07f4003f,0x13ffee00,0xb80fe880,0xfff101ff,0x3e20003f,0xffff102f,
    0xdddddddd,0x4f9805ff,0x200fffc8,0x2001fffc,0x44004ffc,0x88003ffd,
    0xd88001ed,0x3db1001e,0x03db1000,0x7ffffe40,0x74407fff,0x70006fff,
    0x3fa2007f,0x3fea004f,0x2ffe800f,0x700ffa80,0xff900bff,0x5500003f,
    0x7d75fff9,0x03fff933,0x3fffdc00,0x2e037e40,0x3ff607ff,0x00dff501,
    0x8003fff1,0x3fa05ffd,0x205ff805,0xf9807fff,0x2fc005ff,0x1fffd400,
    0x2a0bfb00,0x3ff202ff,0xbf50003f,0x004e7dc0,0xf8803fe6,0x40dfb02f,
    0x8000effd,0x3a2005fd,0xe88001ff,0x7dc0000d,0x006f4400,0x2003ee00,
    0xa80004f8,0x8005ffff,0xfe8803fa,0xffb8004f,0x20013001,0x7ff403ff,
    0x0fffe401,0x3ffe0000,0x09ffb05e,0x3ff7e600,0x017fcc07,0xff81ffea,
    0x03ffe00f,0x000dffb0,0xf105fff3,0x0dfd009f,0x4017ffe4,0x2a007ffe,
    0xff98002f,0x17fe003f,0x7fcc03a8,0x1fb0006f,0xf7002740,0x01ffa80b,
    0x0fffb806,0x801ba000,0xb0003ffe,0x333332ab,0x3201accc,0xb882ec06,
    0x99befeec,0x3f201b27,0xffa80000,0x4c003fff,0x6ffd802f,0x007f2000,
    0x03ff7000,0x6406ffa8,0x00000fff,0xf7027ff4,0x3ba000bf,0x7f407ff9,
    0x07ff9807,0xfe80fff3,0x3ffea02f,0xfffd0002,0x806ff981,0x3fe605ff,
    0xfffc804f,0x001f9001,0x007fff30,0x00013fe2,0x0007fffa,0x02540bf1,
    0xf700bfa0,0xff10003f,0x6b80009f,0x00bffb00,0x7d443ee0,0xffeb9bff,
    0x2e09d00d,0x0adfa80f,0xe8fffb71,0x0013e204,0x7ffefd40,0x0be6002f,
    0x005fff50,0x08017c40,0x801fff00,0x3202fff8,0x00000fff,0xf5017ff4,
    0x1f9000df,0x7c40fff3,0x7ff9806f,0x401fff30,0xff104ffd,0x7d4000df,
    0x1fff84ff,0xd00bfe20,0xff300fff,0x017e009f,0x01fffcc0,0x0004ffa8,
    0x004fffa8,0x000017dc,0xfd801ff1,0xffe8001f,0x0680000f,0x000effb8,
    0xffd81f88,0x4077fdc0,0x20fc41f8,0x7cc04fd8,0x5c07e20f,0xa80000bf,
    0x0ffffcaf,0xf805f300,0xd80007ff,0x88039002,0xfff007ff,0x07ffe409,
    0x3ff60000,0x01ffe602,0x3fe67f30,0x017fe607,0xff81ffe6,0x0bffa01f,
    0x001fffe4,0xb07fffe0,0x3ee01fff,0x7ffdc00f,0x07fff802,0x30002fa8,
    0x2e007fff,0xd00005ff,0x74001fff,0x7dc00006,0x01ffe805,0x02fffcc0,
    0x7c401800,0xd70003ff,0x3e03ff60,0xb89903ff,0x5005fd86,0xf884c81f,
    0x000bdfff,0x3ff65f50,0x2f9800ef,0x013ffea0,0x6c00ea00,0x07ffcc00,
    0x902ffec0,0x01cc1fff,0x80bff600,0x22007ff9,0x81ffe65f,0xf9804ffb,
    0x13ff607f,0xfd00fff8,0xe80005ff,0x7fd42fff,0x0ffcc0ef,0x02fffc40,
    0x00bfffea,0x7cc000f9,0xff7003ff,0x3ee0000b,0x7f3003ff,0x2fe80000,
    0x000fff80,0x0017ffe4,0xfffc8000,0x205d0000,0xffc80ffd,0x1741f304,
    0xe8007fea,0x3ee07cc1,0x04ffffff,0xfd12fa80,0x5f300bff,0x017ffec0,
    0x01a00000,0x2007ffea,0x3f206ffc,0x007f70ff,0x202ffd80,0x36007ff9,
    0x81ffe60f,0xf9805ffc,0x3ffe607f,0x203ffa80,0x0001ffff,0x6c27ffec,
    0xff31ffff,0x7fff4005,0x3ffff200,0x00027c05,0x2007fff3,0x00006ffb,
    0x200dfff1,0x200000fd,0xeea80ff8,0xeeeefffe,0x3fffe204,0x88000001,
    0x32a65fff,0xd81e601b,0x3ffc80ff,0x223ccba0,0x04c006ff,0xffff1174,
    0x03dfffff,0xff317d40,0x2f9809ff,0x01ffff10,0x34c00000,0x017ffcc0,
    0xf903ffe4,0x009f93ff,0x405ffb00,0xf5007ff9,0x207ff985,0xf9806ffc,
    0x77fcc07f,0x8813faa2,0x0000ffff,0xd82fffe4,0x0dfcffff,0x17ffdc00,
    0x1fffbbf0,0x8000bea0,0x5003fff9,0x40000fff,0x4402fffc,0x5c00005f,
    0xf999305f,0x07999bff,0x007fffcc,0x7fd40000,0xffffeaaf,0x206a80ef,
    0xffe80ffd,0x2354f200,0x00005ff9,0xd9531079,0x005fffff,0xfff50bea,
    0x817cc05f,0x000ffff9,0x00f60000,0x2013ffe2,0xf900fffc,0x0005fdff,
    0x980bff60,0x4f8807ff,0x2e07ff98,0xff9807ff,0xefff9807,0x7d401dff,
    0xb80007ff,0x3f607fff,0x10006fff,0x3ea0bfff,0xb02fffaa,0xff98000f,
    0x3733203f,0x4ccccfff,0xbfff3000,0x0002fb80,0xf8017f40,0x3ea000ff,
    0xaa8007ff,0x2aaaaaaa,0x56ffffec,0x1ffffb98,0x1ffb02dc,0x201ffec4,
    0xffb8b75b,0x0b700003,0x3ffffee0,0xb82fa800,0xf301ffff,0x1fffea05,
    0xfb800000,0x1ffff000,0x207ffd80,0x001ffffc,0x80bff600,0x6d807ff9,
    0x540fff30,0x7cc02fff,0x8974407f,0x3fee0009,0xfa80006f,0x3f600fff,
    0x8000dfff,0x7d80fffd,0x3e0bfff1,0x7fcc0004,0xffff103f,0xffffffff,
    0x7ffec000,0x0001ba01,0x2001ff10,0x2e000fff,0xb8006fff,0xefffffec,
    0x8177ffc3,0x2646fffa,0xfdb9ffb0,0x2d50039f,0x01ffec4c,0x2006a800,
    0x805fffd8,0xfffb02fa,0x205f301d,0x0007fffb,0x00bf3000,0x201fffdc,
    0x3f206ffe,0x400001ff,0x3e602ffd,0x80fdc07f,0x3e207ff9,0x7fcc06ff,
    0x0017e207,0x00ffff70,0x0ffff500,0x7fffefd4,0x7fd4000e,0xfb27c43f,
    0x01fa81ff,0x1fffcc00,0xfff73330,0x00033333,0x9827ffd4,0x5c00003f,
    0x3ffe005f,0x3ffee000,0x3fe20007,0xbfff04ff,0x23fffb80,0x2fff604c,
    0x2a005ffb,0x4ffd8995,0x00b50000,0x803fffb0,0x3ffa02fa,0x702f985f,
    0x0000dfff,0x003ff100,0x882fffe8,0x3205fffc,0x00000fff,0xf3017fec,
    0x01fcc0ff,0xfc80fff3,0xfe880dff,0x017f607f,0x0ffff500,0xdfff5000,
    0x7fd57ee0,0x7c000fff,0x50fd45ff,0x07d87fff,0x3fff9800,0x00fff300,
    0x1fffd000,0x00001fb0,0x3e002fd8,0x3ea000ff,0x6c0007ff,0xff881fff,
    0x7ffc404f,0xffd816e6,0x2007ff90,0xffb8b74b,0x09700005,0x05fff100,
    0x3e202fa8,0x17cc4fff,0x007fffa8,0x06fd8000,0xdfffe980,0xfffdfdbb,
    0x1ffff903,0xffe80000,0x81ffe603,0x3ffcc06e,0x3bfffe20,0xffbeba9b,
    0x3bfffe07,0x0abccccd,0x01ffff10,0x5fffb800,0x3e60efb8,0x2000efff,
    0x1f60fffc,0x4f89bffe,0xfff98000,0x0fff1003,0xfff70000,0x0005f887,
    0x0007fc40,0x4c001fff,0x0000ffff,0x2607fff2,0xfd803fff,0xfd81aa7f,
    0x003ffa0f,0x3e6354f2,0x7900006f,0x13fee000,0xf9805f50,0x0be62fff,
    0x003fffcc,0x0ffea000,0x7ffec400,0xfffc8cff,0x7ff7ec40,0x7c00000f,
    0x3fe604ff,0x400fc80f,0xfa807ff9,0x8effffff,0x3f607ff9,0xffffffff,
    0xff81cfff,0x640001ff,0x7fd43fff,0x4fffe881,0x4fffe600,0xfffc84f8,
    0x00003f50,0x2007fff3,0x00006ff8,0x5c6fff88,0x5c00001f,0x7ffc005f,
    0x3ffe2000,0x3f20002f,0xfff880ff,0x1fffa803,0x3ff601f1,0x201bfe20,
    0x7c41f12e,0xe80000ff,0x17fe0002,0xf7005f50,0x0be63fff,0x007fffc4,
    0xfff88000,0x1a980000,0xd117ffe2,0x01fff93f,0x7ffd4000,0x0ffff606,
    0xdddddff3,0xdfffdddd,0x3fa205dd,0xff30efff,0xffffd80f,0xffffffff,
    0x17fff40f,0x3fff6000,0xf1037ec2,0x7c001fff,0x303f76ff,0x01f67fff,
    0x17ffcc00,0x000dff00,0x8bfff200,0xd800006e,0x7ffc002f,0x7fff4000,
    0x3ff20005,0x07fff00f,0x6c3fff30,0xa81ffb03,0xb1aa03ff,0x004ffa87,
    0x000d506a,0x7d404fe8,0xffff9002,0x7fc05f31,0x000002ff,0x0000bff9,
    0x20fffe40,0x1fff90ec,0xffd30000,0x363dffff,0x3effffff,0xfffffff5,
    0xffffffff,0xab9807ff,0x103ffcc0,0x2aaa665d,0x43ffdcba,0x0004fffb,
    0xf107fff4,0xfff980bf,0x3fff2002,0x3ffe06d8,0x00004f8e,0x4003fff3,
    0x000004ff,0x3eabfff3,0x7c400003,0x7ffc000f,0x7ffdc000,0xff90000f,
    0x13ff601f,0xa83ffe60,0xb01ffb06,0x50f603ff,0x005ff90d,0x0007b097,
    0x7d402fd8,0x3fff6002,0x3ee02fae,0x000005ff,0x74c07ffd,0x7fc4000c,
    0x7fe4185f,0x0010000f,0xfffa8000,0xffffffff,0x03ffffff,0x81ffe600,
    0x37c4005d,0x0007fff4,0x542fffa8,0xffd803ff,0x3ffe6003,0x3ff203fc,
    0x00001fcf,0x4001fff3,0x000002ff,0x3f67fff6,0x7d400000,0x0fff8005,
    0x3fffe800,0x1fff9000,0x201bff20,0x83e87ff8,0xfe881ffe,0x7407cc0f,
    0x304ffc83,0x001f3099,0x5400fe80,0x3fa2002f,0x2202feff,0x0000ffff,
    0x0bffe228,0x4003ffc8,0xc800fffb,0xb0000fff,0x06fb2001,0x3fe60000,
    0x3e600007,0x003f907f,0xfff50b90,0x3ffa0009,0x803ffb85,0x74002ffa,
    0x2601ffff,0x0006ffff,0x001ffe60,0x0d1001ff,0xfbfff500,0xfb000009,
    0x1fff0005,0xffff5000,0xfff90001,0x01ffea01,0x3e617fe6,0x9dfffb51,
    0x13fff983,0x207e607f,0xfdceffe9,0x003f883e,0x54037c40,0x7fcc002f,
    0x7dc02fff,0x540004ff,0x80bffe64,0x74006ffa,0xff9001ff,0x0b50001f,
    0x00ffff40,0x1ffe6000,0x7ff98000,0x8000ff98,0x1fffb03e,0x0fff9800,
    0x9804ff98,0x7dc001ff,0xffe806ff,0x8130004f,0x6d406ff9,0xd802ffff,
    0xfffd0004,0x8800003f,0xff8000ff,0xffb0000f,0xff9000bf,0x17fec01f,
    0x5c07fea0,0x9999988e,0xb0998809,0x100eb80b,0x5d803773,0x01fc8000,
    0xa8002fa8,0x4402ffff,0x0001ffff,0x07fff0d3,0xb0037fc4,0x7e4007ff,
    0x3e8001ff,0x17fee200,0xfff30000,0x7fcc0000,0x005ffd87,0xfff10364,
    0x7ff44009,0x201bfa02,0xf88006fc,0xffb803ff,0xffd8001f,0x980ffe61,
    0xffffc9ae,0x0bf2a0ad,0x37ffdc00,0x2fd40000,0x01fff800,0x13fff600,
    0x01fff900,0x36037fc4,0x00f6c05f,0x001dd100,0x440003db,0x035100ee,
    0xf5003f98,0x3ff20005,0xfff9802f,0x0f4c001f,0x3602fff4,0x5ff9004f,
    0x1fffc800,0x0007e400,0x000037f4,0x0001ffe6,0xfc87ffa8,0x2a00aeff,
    0x7ec400ee,0xeff9805f,0x01ffd401,0x20003ff1,0xf9800ffe,0xff88006f,
    0x9017ee5f,0x7ffef645,0x06ffffff,0x0fffe200,0x0ff60000,0x07ffe200,
    0xbfffb000,0x07ffe400,0x540ffea0,0x3fb800ef,0x004fa800,0x54001fdc,
    0x67ff404f,0x2004fb81,0x360003fb,0xff3002ff,0xf70017ff,0x07ffe603,
    0xfc801fe8,0xffd8001f,0xdfd3004f,0x07ff3000,0x7ff98000,0x3fee0000,
    0xffffd81f,0xfffeeeff,0x77fdc004,0x6ffdcc0a,0x07ff5000,0x40005fb1,
    0x3fa005fb,0xfffb0003,0x79003f67,0x7ffd47e2,0x001fffff,0x0007fe40,
    0x003fe200,0x00bffe60,0x3fffaa00,0xfffd500b,0x0bff6007,0x4c001bf5,
    0x2e200cfe,0xd30002fe,0x75c4019f,0xfffd802f,0x02ffdcef,0x00bbfa20,
    0x0017f440,0x59ffffb1,0x1dfb7333,0x41fffb80,0x74c02fc8,0xfa8000df,
    0xeeeeffff,0xfffeeeee,0x3ff2a004,0xf9800004,0xb980007f,0x41aeffff,
    0xffffffd9,0x10001dff,0xffdfffdb,0xb10005bf,0x1bfd9bff,0x03f88000,
    0x40007ee0,0x1effffe9,0x43fdf980,0x1effffd8,0x04f98000,0x05fa8000,
    0x3dfffb00,0x3f6e0000,0xfffeefff,0xfa8002df,0x004eedff,0x33bff660,
    0x002dfeec,0x9dffb300,0x005bfdd9,0x7fffff44,0xfdd000bd,0x01dfffff,
    0x8002f880,0xffffffda,0x26002eff,0xdfdceffe,0xcffdb981,0x7ff4c001,
    0xffffffff,0xffffffff,0x06ee001f,0xff980000,0xaaa80007,0x102aaaaa,
    0x00157753,0xabb98800,0x2a600000,0x5c00001a,0x00122000,0x000aee60,
    0x54c40151,0x0dc00001,0x0e540000,0xffffb300,0x0019bfff,0x332eaa00,
    0x300001aa,0x40000155,0x09acba98,0x53100000,0x00013597,0x0000d54c,
    0x02600000,0xccaa8800,0x260000aa,0x2e01abba,0x000001ab,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x402fffd8,
    0xaaaaaaa8,0x0001aaaa,0x88004c40,0xaaaaaaaa,0x000999aa,0x202f7440,
    0x55102eeb,0x55555555,0x02dc8835,0x55555551,0x55105555,0x55555555,
    0x910fae05,0x5b91005b,0x5441dd98,0xaaaaaaaa,0x300019aa,0x00c40600,
    0x55555446,0x999aaaaa,0x2aa20000,0xaaaaaaaa,0x2aaa2002,0xaaaaaaaa,
    0xaaaaaaaa,0xaaa98000,0xaaaaaaaa,0xaaaaaaaa,0x336a002a,0x19b50000,
    0x3ffea000,0xaaaaaa85,0xaaaa81aa,0x555512aa,0x05555555,0x55555551,
    0x99805555,0x81100000,0xf0003008,0xb51007ff,0xbfffffff,0x91000039,
    0x01bffffd,0x7fffed44,0xffffffff,0x2000bdff,0x7e407ff9,0xffb5103f,
    0x39bfffff,0x885fffd8,0xffffffca,0xfca882be,0x2bdfffff,0x2e1fffa8,
    0x7e400fff,0x237ff47f,0xfffffda8,0xffffffff,0x02e802de,0x3ff2234c,
    0xb514883f,0xffffffff,0x7bffffff,0x3f2e2003,0x2cefffff,0x3ff2a200,
    0xffffffff,0x1fffffff,0xffdc9800,0xffffffff,0xffffffff,0x17ffe006,
    0x02fffc00,0x906ffc80,0x5bfffffd,0x7dfffb50,0x3ffff2a2,0xa882beff,
    0xdffffffc,0xfffd982b,0x44002def,0xff913feb,0x000ffe8b,0x10009ff5,
    0x001dfffd,0x45ff4c00,0x802fffda,0xabdffff8,0xfffdca99,0xff9801ef,
    0x01ffe407,0x077fff44,0x01fffff0,0x027fffc4,0x09ffff10,0x323fffb8,
    0x7ec01fff,0x1fffe0ff,0x9bffff88,0xfffb5310,0x567e403d,0xe89f7310,
    0x22efffff,0xffff882b,0xeca99acd,0x001effff,0x017fffe2,0x3fffe200,
    0xa9999999,0x0001ffeb,0x7fff7fe4,0x99999999,0xf1007fd9,0xf1000dff,
    0x3e000dff,0x7ff400ef,0x05fe802f,0x017fffe2,0x04ffff88,0x2e22bfee,
    0xc9802ffe,0xffd3ffff,0x3ffea3ff,0x00bf9004,0x01fffe40,0x209f5000,
    0xd800fffd,0x6c401fff,0x4c03ffff,0x7fe407ff,0x7fff9003,0x3ffffd80,
    0x017ffec0,0x007fff60,0x7cc1dfd1,0x4ffa805f,0x3601ffdc,0x74c00fff,
    0xff102fff,0x1ffffdff,0x7feccf54,0xb01fdfff,0xd8801fff,0x2004ffff,
    0x0002fffd,0x001fffb0,0x70000bf6,0x00fffb7f,0xff9003e4,0x3ff20005,
    0x1ff98002,0x03fff980,0x7e400ff8,0x7ec002ff,0x9ff501ff,0x801fff30,
    0xcbfffcaa,0xf31fffcc,0x3be007ff,0x3fee0000,0x3a00002f,0x02fffc06,
    0x800fffe4,0x204ffffa,0x7e407ff9,0xfff7003f,0x9f155005,0xfffb5550,
    0x55555557,0xfffd5555,0x00c03557,0x11008001,0x01fff900,0x01ffff10,
    0x3fffffe6,0x3aa0dc1f,0x3203ffff,0xf5000fff,0x3200bfff,0x00001fff,
    0x2001fff9,0x6c0002f8,0x400fffb7,0x00040078,0xf9000040,0x37fe4005,
    0x3200fe60,0x64001fff,0xffb00fff,0x00bffa05,0x225effe8,0x00675c2b,
    0x200007cc,0x0002fffa,0xfd807f70,0x7fdc00ff,0x3fe2001f,0xfff302ff,
    0x003ffc80,0x4005fff5,0x7ffc42f9,0xffffffff,0xffffffff,0x5fffffff,
    0x00000000,0x01fff700,0x813ffee0,0x80defec8,0x00736a03,0x4001fff7,
    0x803ffff8,0x0000fffc,0x001fff90,0xf3000164,0x001fff67,0x0000001d,
    0x01f40000,0x80bffe60,0xffc800fd,0x7fe4000f,0x03ffb00f,0xe800fff6,
    0x00000fff,0xa80001a8,0x00001fff,0x333337ff,0x03fffb33,0x001fffb8,
    0x40ffffdc,0x7e407ff9,0xfff5003f,0x407e4003,0xafffc999,0x99999999,
    0x9fffd999,0x00000099,0xff700000,0x3fe2001f,0x0000006f,0x07ffdc00,
    0x3fffee00,0x5fffe401,0x800099aa,0x2000fffc,0x9b600008,0x0c007ffd,
    0x00000000,0x20009100,0x9f105ffe,0x03fff200,0x01fff900,0xffd817ea,
    0x0fff6003,0x00000000,0x003fff50,0xfffff100,0xffffffff,0xfffb807f,
    0xfffe8001,0x407ff984,0xf5003ffc,0x3e2003ff,0x0fffc803,0x07ffe400,
    0x00004400,0x2e0004c4,0x3e000fff,0x000007ff,0x7ffdc000,0xfffe8000,
    0x7fffe405,0x0befffff,0x01fff900,0x3e600000,0x001fff62,0x00131000,
    0x00001980,0x03ffea00,0x7e4003ee,0x7e4000ff,0xb88000ff,0x36003fff,
    0x400003ff,0x50003008,0x00003fff,0x00003ff3,0x001fffb8,0x40ffff98,
    0x7e407ff9,0xfff5003f,0x007f5003,0x0003fff2,0x2001fff9,0x3dfffeca,
    0x3ffb2200,0xfb800dff,0xff3000ff,0x004c00df,0xfb8004c0,0xf98000ff,
    0x3f200fff,0xfca99aff,0xfc805fff,0x000400ff,0x7fec6d80,0x44001007,
    0x0dffffec,0xffffd700,0x1022003d,0x07fff001,0x7fe400bf,0x7fe4000f,
    0x3f26000f,0x2003ffed,0x80003ffd,0x3662feb8,0x2a004fff,0x80001fff,
    0x00003ffa,0x000fffdc,0x4c3fffe8,0x7fe407ff,0x3fff5003,0x2002ed80,
    0x4000fffc,0x4400fffc,0xff931bfe,0xbfe9801b,0x02fffda8,0x8007ffdc,
    0x4403fffb,0x71002feb,0x3ee005fd,0xfd0000ff,0x7fe407ff,0xfffe880f,
    0x07ffe405,0x2a000160,0x03ffec2f,0x7fd30068,0x05fffb51,0x54457f44,
    0xd7103fff,0x17ff227f,0xfa8fff70,0x3fff2001,0x7ffe4000,0x0cfea800,
    0x6c007ffb,0x260003ff,0xf72ffffc,0x009fffff,0x0007ffea,0x0013fee0,
    0x03fff700,0x17fff600,0xfc80fff3,0xfff5003f,0xc8001803,0x64000fff,
    0x3e200fff,0x1dff703f,0x7ec13ea0,0x3fee00ff,0xffe8800f,0xfff9300f,
    0xffc9805f,0xff7002ff,0x3f60001f,0x3ff205ff,0xffff100f,0x07ffe409,
    0x3a0001e0,0x807ffd86,0x04fa8069,0xf301fffb,0x5fff701f,0x9ffffe4c,
    0x201ffffe,0x1ba2fff8,0x01fff900,0x00fffc80,0x3f6077ec,0x3ff6003f,
    0x32aa0003,0x9bebafff,0x801fffc9,0x9101fffa,0x5ffa8017,0x7fdc0000,
    0xff90001f,0x07ff98df,0xa801ffe4,0x00001fff,0x000fffc8,0xd007ffe4,
    0x6ffe80bf,0xfff80dd0,0x03ffee05,0x07fffd30,0x17ffe554,0x3fff2aa0,
    0x1fff7002,0x3fff2000,0x03fff206,0x207fffb8,0x3200fffc,0x17d40007,
    0x2203ffec,0x406e806e,0x3fe85fff,0x54bfff10,0xccbfffca,0x6c01fffc,
    0x005f35ff,0x000fffc8,0x8807ffe4,0x7ffb05fd,0x01ffec00,0x5efff800,
    0x5009ffb0,0x3fa03fff,0x7ffcc04f,0xc9833001,0xcdfffecc,0x203ccccc,
    0x7cc7fffb,0x1ffe407f,0x01fffa80,0xfffc8000,0x7ffe4000,0x807ff500,
    0x7dc2fffa,0x07ffec03,0x99bfffb8,0xfffca999,0x3ffe001e,0x0bffe002,
    0x007ffdc0,0x07fffb80,0x9803fff2,0xf901ffff,0xb99999ff,0xe8000fff,
    0x55fffb06,0xdff99555,0x6c03fb80,0x1fee0fff,0x3a09ffd0,0x0ae25eff,
    0x323ffe60,0xfffc8006,0x9999999a,0xfffd9999,0x201ffd00,0x36003ffd,
    0xd00003ff,0x7fdc09ff,0x1fffa805,0xf00dfff0,0x07600bff,0xfffdddd3,
    0x9ddddddd,0x07fffcc0,0x6c01fff3,0xff5003ff,0x9000003f,0xffffffff,
    0xffffffff,0x3f601fff,0x6ffe801f,0x4cccdffc,0x1fffd999,0xffffff70,
    0xdfffffff,0x2ffe8001,0x00bffa00,0x0007ffdc,0x00ffff98,0xf801fff9,
    0xff903fff,0xffffffff,0x7dc000ff,0xfffffb01,0xdfffffff,0x999bff80,
    0xfffd9999,0x2a017fe1,0x1fffd00b,0x99999980,0x9cfdffe9,0x90099999,
    0xffffffff,0xffffffff,0xff301fff,0x01ffec0d,0x0007ffb0,0xa80bffa0,
    0xffa806ff,0x05ff701f,0x809fffb0,0xfffb806a,0xfff50001,0x03fff98f,
    0x06c9fffb,0x001fffa8,0xbfffc800,0xaaaaaaaa,0x0fffdaaa,0x9001fff0,
    0x3fe21fff,0xffffffff,0xf703ffff,0x733335ff,0x1bffffd9,0x00bffa00,
    0x7002ffe8,0x20001fff,0x3207fffa,0x3e200fff,0xff902fff,0x0fd5301f,
    0xfb02fc00,0x37dc40ff,0xffffff10,0xffffffff,0x0013fe67,0x200fff60,
    0xffffffff,0xffffffff,0xff906fff,0x5555557f,0xffb55555,0x0dff701f,
    0xb001ffec,0x200007ff,0x3e602ffd,0xfffa807f,0x44002201,0x440dffff,
    0xffb802fb,0xff70001f,0xffff88df,0xff79d511,0xffa81e2b,0xc800001f,
    0x64000fff,0xff980fff,0x3fff7007,0x00007fe6,0x2007ffdc,0x02ffffe8,
    0x2002ffe8,0xf7002ffe,0x2e0001ff,0x3f206fff,0x3fea00ff,0xfff901ff,
    0x8003c401,0xcccccdfb,0xb807fffc,0x007fe606,0x001ffd40,0x401ffec0,
    0x99999999,0x9999dffe,0xff900999,0xffc8001f,0x1fffb80f,0x064ffe98,
    0x2007ffb0,0x5ffb02da,0x403ffcc0,0x0001fffa,0x3fffff20,0x005ffede,
    0x0003fff7,0xf317fff2,0x7fffffff,0x13b7ffe6,0x001fffa8,0x0fffc800,
    0x07ffe400,0xa803ffdc,0x7ff52fff,0x3fee0000,0xffd8800f,0x7ff401ff,
    0x0bffa002,0x007ffdc0,0x05fffc80,0xc803fff2,0x3f207fff,0x003400ff,
    0x777777c4,0x07fffeee,0x3fea0698,0x9ff70003,0x7ffb0000,0x9ffb0000,
    0x3fff2000,0x7ffe4000,0x2efff980,0x3dffdf91,0x5ffe805b,0x82fff980,
    0x3e602ffd,0xfffa807f,0x7e400001,0xefffffff,0x3fff7000,0x3fff6000,
    0x7ffd7cc3,0x7ffe42ef,0x3ffea00d,0xfc800001,0x7e4000ff,0xfffc80ff,
    0x2fff9800,0x00009ff7,0x8003ffee,0x7406fffe,0x3fa002ff,0xfff7002f,
    0x3ff60001,0x3fff204f,0x5ffff300,0x007ffe40,0x03f20012,0x200fffb0,
    0x013fee04,0x002ffe40,0x001ffec0,0x0027fec0,0x000fffc8,0xd807ffe4,
    0x8dffffff,0x403ffffa,0x401ffff9,0xfd84fffb,0x1ffe602f,0x007ffea0,
    0x3ffea000,0x5c004fff,0xf0001fff,0x9fa85fff,0x2e200ba8,0x1fffa800,
    0xffc80000,0x7fe4000f,0x1fffb80f,0x50fff880,0x20000bff,0x2000fffb,
    0x200ffffc,0x3a002ffe,0xff7002ff,0x3fe0001f,0x3ff202ff,0xffffb80f,
    0x07ffe404,0x13e20000,0x001fff60,0x0017fea0,0x00037fdc,0x4c01ffec,
    0xd9999999,0x99999cff,0xfff90099,0xfffc8001,0xffffb100,0x01fffc47,
    0xfffffff7,0x3ffe205d,0x202ffd81,0xfa807ff9,0x110001ff,0x06dba880,
    0x01fffb80,0x86fffb80,0x000002fb,0x0003fff5,0x7ffe4022,0x7ffe4000,
    0x02fffa80,0x3e66ff98,0x033001ff,0x8003ffee,0x201ffffa,0x3a002ffe,
    0xff7002ff,0xff50001f,0xfffc80df,0xfffecbaa,0xfffc802f,0x7e400000,
    0x07ffd800,0x1fff9800,0x3fe63300,0xb017002f,0xfff007ff,0xffffffff,
    0xffffffff,0x03fff20d,0x01fff900,0x09d00a88,0x17100000,0x980bff60,
    0xffa807ff,0x0390001f,0x20013e20,0x4001fffb,0xc81ffff8,0x5000003f,
    0x20003fff,0x1fff901c,0x0fffc800,0x805fff88,0x7ffc4ffa,0x2e03b005,
    0x26000fff,0x3a00ffff,0x3fa002ff,0xfff7002f,0xfff88001,0x7ffe401f,
    0xbdffffff,0x1fff9000,0x27cc0000,0x007ffd80,0x2fffc170,0xfff11d80,
    0x7ec1a00b,0x9999803f,0xcffd9999,0x09999999,0x001fff90,0x000fffc8,
    0x20007ee0,0x80000bdd,0x3e602ffd,0xfffa807f,0x00698001,0x2e001bea,
    0x64001fff,0xbfd04fff,0x3ea00000,0x698001ff,0x003fff20,0x201fff90,
    0x5c00fffc,0x7ffec2ff,0xf7035404,0x7dc001ff,0x7ff405ff,0x0bffa002,
    0x007ffdc0,0x017fff20,0x002bfff2,0x03fff200,0x00fd8000,0x000fffb0,
    0x4fffd8d3,0x3ffa3540,0xd826c03f,0xd80003ff,0xf90004ff,0xfc8001ff,
    0x360000ff,0xfff8003f,0xb008800f,0x7fcc05ff,0x2fffb807,0x2004d800,
    0x5c001ffb,0x2a001fff,0xf880efff,0x7000006f,0xb0005fff,0x07ffe409,
    0x03fff200,0x2027ffc4,0xfff885fe,0x17dc40df,0x001fff70,0x201ffff4,
    0x3a002ffe,0xff7002ff,0x7fd4001f,0xffc800ff,0xf900000f,0x200001ff,
    0x3fa003fa,0x44e8007f,0x40dffff8,0x7fcc2fb8,0x0fda83ff,0x0007ffb0,
    0x0009ffb0,0x0003fff2,0x0001fff9,0x4c0037f4,0x7dc04ffc,0x03ffe83f,
    0x2e01ffe6,0x5c003fff,0x3fe2001f,0xff9000be,0x3ff2003f,0xfff301ef,
    0x3ee00000,0x7dc003ff,0x07fff201,0x01fffb00,0xa81fffdc,0xfff900ff,
    0xbffdbdff,0x00fffc80,0x01dfff90,0x2002ffe8,0xf9002ffe,0x3f2001ff,
    0xf9001eff,0x200003ff,0x0001fffc,0x74001fd0,0x7e4007ff,0xfffffc81,
    0xb05ffede,0xf9bfffff,0x7fec05ff,0xffd80003,0xfff90004,0xfffd8003,
    0x3fea0001,0x5ff8002d,0x7c3fffc0,0x3fe604ff,0x7ffe400f,0x0ffb1005,
    0xbffff900,0x3ff601db,0x7ff4c01f,0x3fea00ef,0xf9000007,0x36200bff,
    0x7ffec07f,0x7ffec002,0x5fffd401,0x9007bee0,0xffffffff,0xfffd801d,
    0x7ffec400,0x3fff800d,0x00fffe00,0x2007ffec,0x00dfffe9,0x00bfff60,
    0x17ffec00,0x037e4000,0x401fffe0,0x3f207fd8,0xefffffff,0x3ffff600,
    0x7404ffff,0xe80005ff,0xfb0005ff,0xfe8005ff,0x740002ff,0x05ecefff,
    0x3a017fd4,0x7ffd46ff,0x0ffff606,0xefffff98,0xeeecccce,0x70004fff,
    0x5407dffd,0xbceeffff,0xeffffeca,0x05ff8802,0xfff98000,0xcccceeff,
    0x04fffeee,0x03bfffea,0x77fffd40,0x7fff4c00,0x5000bdfe,0x09ffffff,
    0xbdffff50,0xffb97579,0x3ea007ff,0xff5006ff,0xfff500df,0xb9579bdf,
    0x003bffff,0x1effffa8,0x3fee2000,0x20000eff,0x8802fffc,0xabeffffc,
    0xffdcbaaa,0x7ffd404f,0xf7004fff,0x805dffff,0x001ffff9,0x07fffea0,
    0xffffb880,0xffb8800e,0x20000eff,0x01dffec8,0x007ff951,0x3fa63bd3,
    0xb1efffff,0x7dffffff,0x3ffffba2,0xffffffff,0x02ffffff,0x3ba60000,
    0xffffffff,0x0aceefff,0x0001cc00,0xffffdd10,0xffffffff,0x85ffffff,
    0xffffffe9,0xfe985eff,0xefffffff,0x00ab9805,0x026ea200,0xffffee98,
    0xffffffff,0xa801bdee,0x6ffffffe,0xfffffd50,0xffee98df,0xffffffff,
    0x000aceef,0x3ffffba6,0x2005efff,0xffffffe9,0x2a005eff,0x4fffffff,
    0xfffffeb8,0xffffffff,0x001fffff,0x00013751,0xfb803573,0x2effffff,
    0xffffd100,0x4c0bffff,0xfffffffe,0xffe985ef,0x5effffff,0xb8800000,
    0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,0x016e443e,
    0x2aaaaaaa,0x3700aaaa,0x1cc03880,0x26200640,0x2aaa6040,0xaaaaaaaa,
    0xaaaaaaaa,0x2aaaa22a,0x82aaaaaa,0xaaaaaaaa,0xdddd901a,0xdd105ddd,
    0x2aa27ddd,0xaaaaaaaa,0xaa88001a,0x0002aaaa,0x55555540,0x2009801a,
    0x55555101,0x33355555,0x55440001,0x9aaaaaaa,0x91000099,0x2aaaa209,
    0x999aaaaa,0xdd300001,0x3ffa009d,0x1fffe21f,0xaaaaaa98,0xaaaaaaaa,
    0x02aaaaaa,0x00000660,0x40000166,0x00acedca,0xd910fae0,0x00fae205,
    0x03eb8000,0x7dc3fff5,0x3aea00ff,0xadffffff,0x2605f300,0x205d800e,
    0x3ffee04d,0x7e45ddff,0xffffffff,0xffffffff,0x32a27fff,0xbeffffff,
    0xffffdb82,0xf7101cef,0xc801bfff,0x3f6a22ff,0xcdffffff,0xfdc88001,
    0x0003ffff,0x9fffff50,0x7ff54035,0xb510580d,0xffffffff,0x7bffffff,
    0x3f6a2001,0xffffffff,0x8800ceff,0xb5105ffc,0xffffffff,0x009dffff,
    0x0fffff40,0x20bffe20,0xf701fff9,0xffffffff,0xffffffff,0xeb80ffff,
    0x001effff,0x0001fb00,0x7ffff4c0,0xfa802fff,0x3ffee1ff,0x0ffffc80,
    0x7fc40000,0x3fffb81f,0x4007fff2,0x000efffd,0x04f989f9,0xfd83df30,
    0x2615fb00,0x7fe45ffc,0xfeaaaacc,0xcbaaaaff,0xfff107ff,0x3ffa009f,
    0x3fee002f,0x03fb803f,0x03bfffa2,0xfff98000,0xfb00006f,0xf7003fff,
    0x219fffff,0xfff88068,0xca99abdf,0x01effffd,0x33fffe20,0xffffdbaa,
    0xffff9102,0xffff100b,0xff953359,0xfa8003df,0x5406ffcf,0x3fea03ff,
    0x57bff904,0x5fffd555,0xfffb7555,0x222bfa20,0x0003fffa,0x00027fc4,
    0xffffff98,0x5c04ffff,0x3ff22fff,0xffffe81f,0x7d400002,0xefe882ff,
    0x8017fe60,0x2004fffa,0xff98eff8,0x2bff2000,0x9f702fd8,0x5fb17ea0,
    0x103ffec0,0x7ffec0fd,0x0eff8802,0x05ffe800,0x7e400fd8,0x800003ff,
    0x002ffffe,0x37fffcc0,0xffb8ae80,0x004fdfff,0x8803fffb,0x003ffffd,
    0x2203fff6,0x220dfffe,0x05fffbad,0x201fffb0,0x004fffe9,0x3fea3ff1,
    0x2017f602,0x07f906fc,0xd103ffec,0x80ff981f,0x0002fffb,0x0001fff2,
    0x54d67ff4,0x202ffffe,0x7fcc6fe8,0xdffff505,0xffa80000,0x0080602f,
    0x01fffd40,0x3ffffee0,0x7ffc4003,0x0bfa06ff,0x201ec5d8,0x7cc07ffd,
    0x03fff900,0x4000bfb0,0x2200fffa,0xfffb804f,0xfd800002,0x40006fff,
    0x806ffffd,0x7ffec458,0x3ff2006f,0xfff5001f,0x3ff2009f,0xfffd100f,
    0x02ffec09,0x200fffc8,0x802ffff9,0x03f4c0eb,0x07ec00df,0x3ff60264,
    0x3a07c407,0xbfff103f,0x7fffc000,0x1fdc0002,0x01ffff90,0x31002008,
    0x80000df3,0x0000fff8,0x7fff3000,0xdfffd000,0x3ffee000,0x813fe01f,
    0x3600ec5a,0x00e807ff,0xc801fff9,0xfe80005f,0x007ee03f,0x000bffea,
    0x3ff7f200,0xbf10002f,0x5100bfff,0x002f7260,0x001fffb8,0x00bfffe2,
    0xa803fff2,0xf901ffff,0x3fee00bf,0x7ffe400f,0x88074406,0x000ea83d,
    0x2016c1f4,0x1d807ffd,0xffd01fee,0x3fea0009,0x740006ff,0x1fffd805,
    0x9f000000,0xfff00000,0x4c000000,0x98003fff,0x20001ccc,0x7f403ccc,
    0x0091203f,0x1700fffb,0x803fff20,0x500005fb,0x1ba01fff,0x00fffd40,
    0x7cfe4000,0xf90005ff,0x000bfff3,0x7fdc0000,0x7fdc001f,0x7fe401ff,
    0x3ffe200f,0x0bff703f,0x003ffee0,0xa80ffff5,0x00b82800,0x00c84880,
    0x5c03ffec,0x2a017fe1,0xbfd0000b,0x20003fff,0xff8800f8,0x8000003f,
    0x800001f9,0x000006fe,0x00fffe60,0x00000000,0x01efffb8,0x0fffb000,
    0x0fffc800,0x0000bf70,0xf983ffe8,0x3fff5003,0x1f900000,0x8003fffb,
    0x0bfff6f8,0x5c000000,0xe8001fff,0x7e404fff,0x7ff400ff,0x0bff704f,
    0x003ffee0,0x001ffff3,0x00000000,0x03ffec00,0x0013fe60,0xf39f3000,
    0x220009ff,0x0fffe002,0x20004cc0,0x000004e8,0x3bbb69f9,0x777441ee,
    0xff9804ee,0x4022003f,0x88110001,0xfffff980,0x7ec0001d,0x7e40007f,
    0x05fc80ff,0x7ffa8000,0xf5000fd8,0x000003ff,0xbfff31f9,0xff2fb800,
    0x804400bf,0xfffb8001,0xfff98001,0x3fff200f,0x27ffec00,0x7005ffb8,
    0xfa801fff,0x130007ff,0x98004c00,0xfffb0000,0x03ffa800,0x87ec0000,
    0x0000fffe,0x01ffd800,0x3bffff66,0x81f4c02d,0x2e003008,0x3fff623f,
    0x6fffa881,0x03fff980,0xb317f5c4,0x71009fff,0x3ff227fd,0xfffff985,
    0x3f60004f,0x7e40007f,0x02fe40ff,0x7ffd0000,0xf50027c4,0x000003ff,
    0x3fff61f9,0xff9be000,0x7f5c405f,0x13fff662,0x01fffb80,0x07fffd00,
    0x2007ffe4,0xf702fffe,0x3fee00bf,0x7ffdc00f,0x3fae2006,0x17f5c402,
    0x005fd710,0x001fff60,0x00009ff7,0xff52fc40,0x0000007f,0x7fdc0ffd,
    0x2ffeb88a,0x3f6a0360,0x37fff264,0xf107e600,0x7fe403ff,0x3fff9806,
    0x5ffff930,0x3fffffee,0xffff9304,0x07ffffa7,0x3fffff22,0xffd8000e,
    0x7fe40007,0x0017f60f,0x4dff7000,0x3ea001fb,0x800001ff,0x9fff50fc,
    0xff8fea00,0xfff9305f,0x3fffee5f,0xff7004ff,0x3f60003f,0x3ff205ff,
    0x3ffe200f,0x0bff701f,0x803ffee0,0x802fffe8,0x02ffffc9,0x05ffff93,
    0x05ffff93,0x01fff600,0x000bff90,0x3e0fdc00,0x000006ff,0xff506ff8,
    0x01fff309,0x9ffff910,0x3fffffea,0x3e03e205,0x3fea01ff,0x3fff9806,
    0x5fff9550,0xff9337d7,0xff95503f,0xfff9997f,0x7ffec403,0x7ec000ff,
    0x7e40007f,0x00bfb0ff,0x3ffe0000,0xfa800dd2,0x800001ff,0x3fffa0fc,
    0x3e0fe800,0xf95505ff,0x337d75ff,0x7003fff9,0x20003fff,0x3206fffc,
    0x3f200fff,0x3fee05ff,0x1fff7005,0x02fffec0,0x2fffcaa8,0x5fff9550,
    0x5fff9550,0x1fff6000,0x00dff700,0x6437c000,0x00001fff,0x6c0bfe60,
    0x5ffd02ff,0xfff75300,0xf7337d59,0xf81407ff,0x3fea01ff,0x3fff9806,
    0x05efff80,0xfe809ffb,0x00ae25ef,0x41ffff4c,0xecccccc9,0xcccccfff,
    0xfffc803c,0x0000ffd9,0x3dff7000,0xffa8005f,0xc800001f,0x0fffea0f,
    0xfff89f50,0x5efff805,0x9309ffb0,0x9bfffd99,0x40799999,0x3207fffb,
    0xff500fff,0x7fdc01ff,0x1fff7005,0x07fffd50,0x00bffe00,0xff00bffe,
    0x3f60005f,0x7fcc007f,0x0017002f,0x3fe20bea,0x2000005f,0x3ff606fb,
    0x007ffb01,0x80eeffe8,0xf8005ffc,0x3fea01ff,0x3fff9806,0x204ffe80,
    0x7f405ffb,0x406800ff,0xffb86ffd,0xffffffff,0x06ffffff,0xffefffc8,
    0x000000ef,0x07ffff88,0x01fffa80,0x40fc8000,0x7ec07ffe,0x402fffc0,
    0x3ee04ffe,0xeeee985f,0xeeeeefff,0x3fe604ee,0xfff900ff,0xff931137,
    0xffb803df,0x9fff7005,0x9fffdd99,0x7ff40003,0x02ffe802,0x80017ff4,
    0x44007ffd,0x0d005fff,0xffb03f40,0x1000001f,0x2fd403ff,0x8007ffb0,
    0x3e605ffc,0xfff8006f,0x01bfea01,0x200fffe6,0x3ea02ffe,0x1ffec06f,
    0x3ea00f80,0x7fec007f,0x7fe40007,0x0effffaf,0xfc800000,0xfa8004ff,
    0x800001ff,0x7ffdc0fc,0xff09f303,0x5ffd00bf,0x4037fd40,0x0001fffb,
    0x640ffff5,0xffffefff,0xf7002eff,0x3fee00bf,0x7fffeeef,0x5ffd0000,
    0x805ffd00,0xb0002ffe,0xfd000fff,0x04d807ff,0x7d409f30,0x800003ff,
    0x220004fc,0x4003fffb,0x3e204ffc,0xfff8007f,0x01bfea01,0x200fffe6,
    0x3e602ffd,0x1ffec07f,0x7fc04f80,0x3ffec005,0x3fff2000,0x0effff98,
    0x7c400000,0xfa8001ff,0x800001ff,0x7ffc40fc,0xff03fb06,0x5ffb00bf,
    0x403ffcc0,0x0001fffb,0x640dfff7,0x02660fff,0x017fee00,0xf707ffdc,
    0xd00009ff,0xffd005ff,0x02ffe805,0x00fffb00,0x07ffff30,0x32001fb5,
    0x3fff400f,0x17e20000,0x76fe4c00,0x7e4003ff,0x3ffe204f,0x0fffc000,
    0x300dff50,0xfb007fff,0x3ffcc05f,0x400fff60,0x7ff102ff,0x07ffd800,
    0x87ffe400,0x00effff9,0x2fe40000,0x1fffa800,0x0fc80000,0x442fffc8,
    0x0bfff05f,0x4c05ffb0,0xffb807ff,0xff90001f,0x7ffe40bf,0xff700000,
    0x3ffee00b,0x017ffec0,0x00bffa00,0xfd00bffa,0x3f60005f,0xffb0007f,
    0xfff9bfff,0x27be2005,0xc9999999,0x00002fff,0xd50003ba,0x0fff619f,
    0x809ff900,0x7c000fff,0x3fea01ff,0x3fff9806,0x202ffd80,0x7ec07ff9,
    0x7fff003f,0x8005fd88,0x40007ffd,0x3e60fffc,0x0000efff,0x000bea00,
    0x000fffd4,0x4407e400,0x0fe46fff,0xd805fff8,0x3fe602ff,0x1fffb807,
    0x7fffb000,0x007ffe40,0x05ffb800,0x881fff70,0x0000ffff,0x3a00bffa,
    0x7ff402ff,0xfffb0002,0x7ffec000,0x004fffff,0x3fffffee,0xffffffff,
    0x3fb00005,0x40efd800,0x64003ffd,0x7ffc04ff,0x0fffc000,0x300dff50,
    0xfb007fff,0x3ffcc05f,0x400fff60,0xfddfffef,0xffb0003f,0xffc8000f,
    0x7fffcc0f,0xb000000e,0x7fd4000f,0xc800001f,0x3fff900f,0xfff81be2,
    0x02ffd805,0x2e01ffe6,0xf0001fff,0x7e405fff,0x700000ff,0x3ee00bff,
    0xfffa80ff,0x3ffa0005,0x02ffe802,0x80017ff4,0x40007ffd,0x2efffffb,
    0x4ccf7400,0xd9999999,0x40001fff,0x362001fb,0x07ffb05f,0x404ffc80,
    0x7c000fff,0x3fea01ff,0x3fff9806,0x202ffd80,0x7ec07ff9,0x4c41003f,
    0x20000ace,0x40007ffd,0xf980fffc,0x0000efff,0x00027c40,0x0003fff5,
    0x807e4022,0x5f75fff9,0x402fffc0,0x3e602ffd,0xfffb807f,0xfffb8001,
    0x07ffe406,0x5ffb8000,0x01fff700,0x000ffff2,0x74017ff4,0x7ff402ff,
    0xfffb0002,0x37660000,0x02fa8001,0x013ffe60,0x4002fa80,0xffb00ffe,
    0x4ffc8007,0x0007ffc0,0xfa807ffa,0xfff9806f,0x02ffd803,0xfb01ffe6,
    0x3ea0007f,0xffd80003,0x7fe40007,0xffff300f,0x6400001d,0x3ea0000f,
    0x390001ff,0xfd803f20,0x7c06e9ff,0xffd805ff,0x01ffe602,0x0007ffee,
    0x803ffff1,0x0000fffc,0x200bff70,0x3a00fffb,0xe8001fff,0xffe802ff,
    0x017ff402,0x007ffd80,0x001bf100,0xfd000fb0,0xf30001ff,0x6ff98005,
    0x000fff60,0xff809ff9,0x7fec000f,0x01bfee02,0x200fffe6,0x3e602ffd,
    0x1ffec07f,0x06ffe800,0x03ffec00,0x03fff200,0x0effff98,0x05f88000,
    0x0fffd400,0xf9034c00,0x7fffcc01,0x2fffc03f,0x3017fec0,0xff700fff,
    0xffc8003f,0xfffc804f,0xff700000,0x3ffee00b,0x3bffe200,0x17ff4000,
    0x2017ff40,0xb0002ffe,0x20000fff,0x2001fffc,0xfa8004f9,0x7cc003ff,
    0x6ffb8003,0x000fff60,0xff809ff9,0x7fe4000f,0x0ffff704,0x007fff30,
    0x7cc05ffb,0x1ffec07f,0x7ff4c400,0x3ff60001,0x7fe40007,0x7ffcc00f,
    0x2a2000ef,0x00003f60,0x0005fff7,0x007e409b,0x003ffffa,0xfb00bfff,
    0x3ffcc05f,0x00fffdc0,0x01dfff50,0x001fff90,0x017fee00,0x2007ffdc,
    0x4005fffb,0xfe802ffe,0x17ff402f,0x07ffd800,0x7ff93000,0x0007ec00,
    0x003fffc4,0x9a2007f3,0xe981fffb,0x320064ff,0x7ffc04ff,0x7ffdc000,
    0xff7db30b,0x3ea0115f,0xffe804ff,0x01ffe603,0x40007ffb,0x20001ffa,
    0x40007ffe,0x9801fffc,0x801fffff,0x4ffefffb,0xfffb8000,0x00fdc003,
    0xffa801f9,0x6fff804f,0x203ffe80,0xfc807ff9,0xff9001ff,0x3f2003df,
    0x700001ff,0x3f200bff,0xffd801ff,0x3ffa004f,0x02ffe802,0x80017ff4,
    0x0000fffd,0x2007ff10,0x360006f9,0xf9803fff,0x4c9d5004,0xf912efff,
    0x05b3dffd,0x4409ffb0,0xe8001fff,0x8effffff,0x02effffa,0xf009fff7,
    0x7fcc09ff,0x17ffa00f,0x005fd800,0x007fffc0,0x05fffb00,0x3ffffee0,
    0x7fffec03,0xf900005f,0x36200bff,0x00ff407f,0x22007ff4,0xff807fff,
    0x3ffe604f,0x0fffec00,0x3bfffa60,0x3fff6000,0xff900002,0x3fff600b,
    0xfffe8802,0x07fff004,0xf807fff0,0xfd0003ff,0x200003ff,0xfb000ffa,
    0x7fdc0009,0x3fea00ff,0xffffffff,0x7ec1ffff,0xa8dfffff,0xd003ffff,
    0x7fc40bff,0xfe88002f,0x3fea4fff,0x3ffaa01d,0x3fea02ff,0x3fff606f,
    0x3ffff303,0x6fedcc00,0xff710001,0x88001bff,0x00effffb,0xffffffc8,
    0xfffa80bd,0xf300003e,0x99ddffff,0xfffddd99,0x37fee209,0x4027d401,
    0x00bffffc,0x6c0dfff5,0x3ea03fff,0xabceefff,0x2effffec,0x7fffd400,
    0x7440001e,0x7d401fff,0x9801efff,0x00bdffff,0xa80dfff5,0x3ea06fff,
    0x644006ff,0x001dffff,0x05df9510,0x03fff910,0xffffd100,0xffff505d,
    0xffffffff,0xffb10dff,0x7ffc47ff,0xffff3003,0x13fff201,0x40ab9800,
    0x3ffa00b9,0xefffffff,0xfffffd31,0x3fff63df,0xff73efff,0x05dfffff,
    0x00017730,0x3fffffaa,0x4c03efff,0xfffffffe,0xfffa85ef,0xffffffff,
    0x0001b886,0xffffee88,0xffffffff,0x42ffffff,0xffffffe9,0x5c07e04e,
    0xfffffffe,0xfffd32ef,0x3f63dfff,0x33efffff,0xffffffdd,0x9ddfffff,
    0x774c0015,0xefffffff,0x7ff6c005,0x266fffff,0xffffffee,0x7fdc05ef,
    0x3ae5ffff,0x46ffffff,0xffffffeb,0x3ffffae6,0x7f5406ff,0xefffffff,
    0x0e5c4004,0xfffffc80,0xfe8803ff,0xffffffff,0xffffff11,0xffffffff,
    0x0054409f,0x3ffa2003,0xf92effff,0x0bdfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555551,0x55555555,0x88055555,0x54c1a804,
    0xaaaaaaaa,0x5555401a,0x2a22aaaa,0xaaaaaaaa,0x555302aa,0x5c355555,
    0x5001c401,0x5300bfff,0x55555555,0x55555555,0x4cccc055,0x19999999,
    0x26666620,0x01999999,0x26666666,0x31019999,0x33333333,0xdddb0333,
    0xeee883dd,0x320004ee,0x0ee4403e,0x40c07766,0x99999998,0x99509999,
    0x99999999,0x99999999,0x000cc039,0x2e000066,0x95000002,0x03100000,
    0x033002cc,0x0004c400,0x400204c4,0x10000099,0xffb51001,0xffffffff,
    0xffffffff,0x700eb801,0xffffb30d,0x8037dfff,0xdfffffdb,0x3ffff223,
    0x03dfffff,0xfffffd93,0x881fc439,0x3ff2001e,0xffff9006,0xffffffff,
    0x03ffffff,0x3fffffe6,0x00ffffff,0xfffffff5,0x260fffff,0xffffffff,
    0xfa80ffff,0xffffffff,0xffb107ff,0xfff5103f,0x3fea000d,0x1fff201f,
    0xff88bffd,0x3ffffa0e,0x3fffffff,0x26000017,0xd000b602,0x09d00005,
    0x01f20000,0x7ff5cc00,0x00fe23ef,0x3dffffd7,0xfffd9100,0xffb801bf,
    0x205ddfff,0xdeffffd9,0x7f654002,0xfd003dff,0x333337ff,0x1ff95333,
    0xfc85ff00,0x3fffa601,0xffd8006f,0x7fecc02f,0x3e003fff,0x17ee04ff,
    0xff800bd3,0x9ffb000e,0x33333357,0x09fffd33,0x7fffffcc,0x00ffffff,
    0xfffffff5,0x260fffff,0xffffffff,0xfa80ffff,0xffffffff,0x3fe207ff,
    0x1bff201f,0x17ffdc00,0x7c1fffd0,0x7ffdc7ff,0x3fffffa3,0x73ffffff,
    0x0a600001,0xf50017c4,0x09d00005,0x01f20000,0x4c73f600,0x04eaeffc,
    0x2a22bfa2,0x3a603fff,0xfffda8bf,0x2615fb02,0xff705ffc,0x5ffd7115,
    0x237fd100,0x400dffc9,0x2001fffb,0xffa801fb,0xf100bf94,0x7000bfff,
    0x7e4001ff,0xf1003fff,0x1dfd005f,0x4c001ff3,0x3ba001ff,0x3ffee000,
    0x99999806,0x01999999,0x26666662,0x20199999,0x99999999,0x33101999,
    0x33333333,0x1fff8033,0x001bfea0,0x2a037f44,0x1ffdc4ff,0x988bffea,
    0x99999999,0x00017099,0x17ec0a60,0x0005fd00,0x000009d0,0xf90001f2,
    0x17fff205,0xfb80ff98,0x04fa82ff,0xfb81fffb,0xf50bf504,0x1fff309f,
    0xb81ffc40,0x3ee00eff,0x0fc001ff,0xfffffe80,0xffff5000,0x02fd8001,
    0x07fffd80,0x2a007f90,0x004fffff,0x3a0017dc,0x3ffe6001,0x0000001f,
    0x00000000,0x3e000000,0x3fea01ff,0x80040006,0x32011008,0x1700003e,
    0x20a60000,0xf9002ffc,0x9d00005f,0x1f200000,0x406fb800,0x3fa06ffd,
    0x0bfff103,0x5fff80dd,0x0bb017f4,0x3fa05ffb,0x017fa02f,0x7d40dffd,
    0x16c001ff,0x3ffff980,0x2fffec00,0x0009f300,0x00ffffa2,0xfe8009f5,
    0x74000fff,0x40078003,0x0003fffe,0x00000000,0x00000000,0x500fffc0,
    0x00000dff,0x00000000,0x00000b80,0x2fffb853,0x02fffd80,0x0004e800,
    0x2000f900,0x7ec03ff9,0x07fb82ff,0x3ee27ff4,0x07ffec03,0x42d409ff,
    0xffb01ffd,0x00ffea07,0x2a05fff5,0x4c001fff,0x1332e000,0x3fffe200,
    0x001fd002,0x0ffffcc0,0x98006f98,0x44002ccc,0x400b0004,0x0005fffc,
    0x26200000,0x00440000,0x00026600,0xfa807ffe,0x0000006f,0x98000000,
    0x00001700,0x7ffec4a6,0x263eeeef,0xeeeffffe,0x04e8002e,0x00f90000,
    0xc807ff20,0xff86ffee,0x7c0ba805,0x999999bf,0x3a1fffd9,0x2a1203ff,
    0x0fff605f,0x7400ffec,0xfff506ff,0x00000003,0xdfff5000,0x002fb801,
    0x86fffb80,0x00000fe8,0x04000000,0x0ffff980,0x3bbbbb60,0x77777441,
    0xffec8804,0x95000dff,0x007bfffd,0x3bffff66,0x3fff002d,0x0037fd40,
    0x01300000,0x3fae2000,0x00001702,0x7fe654a6,0x2a2cccdf,0xccdfffcc,
    0x04e8001c,0x00f90000,0x5c03ffa0,0x20fffc9f,0x10004ff9,0xffffffff,
    0x47ffffff,0x001efffb,0x3fffb880,0x9001fff0,0xff501fff,0x0002003f,
    0xffb00000,0x02fc409f,0x7fffd000,0x80001fd8,0x00000009,0x7fff4400,
    0xfffc8802,0x6fffa881,0x545ff4c0,0x2202fffd,0xff931bfe,0x57fdc01b,
    0x02ffeb88,0x2a01fff8,0xeed806ff,0xeeeeeeee,0xeb885eee,0x64c0002f,
    0x1702ffff,0x20a60000,0xfd002ffd,0x9d00005f,0x1f200000,0x03ffe200,
    0x7ffdc7ee,0x000ffea2,0x0000ffcc,0x3bfffff3,0xdbf93000,0xfff307ff,
    0x07ffee00,0x4007ffea,0xeeeed806,0xeeeeeeee,0xfff8805e,0x001fb01f,
    0x7fffc400,0x40007f71,0x6c02feb8,0xeeeeeeee,0x005eeeee,0x00bfff90,
    0x900fffc4,0x27d40dff,0x880fffd8,0xdff703ff,0x309ff501,0xff801fff,
    0x1bfea01f,0x3337bfe0,0xfffecccc,0x3ffff264,0x65540002,0x01702fff,
    0x360a6000,0xffd002ff,0x09d00005,0x01f20000,0x503ffea0,0x1fffd45f,
    0x20009ff7,0x40003ffa,0x4ffffff9,0x219fd500,0xffb83ffd,0x5fff5007,
    0x003fff50,0xbdff00f1,0xfd999999,0x3ea009ff,0x03fa86ff,0xfffb8000,
    0x30005fae,0x805ffff9,0xccccdeff,0x04fffecc,0x0ffffa80,0x00fffc00,
    0x3740dff5,0x3a17ffe0,0x37ff405f,0xfe817fec,0x0fffc02f,0xf00dff50,
    0x6fff8809,0x17ffe554,0x5fff0000,0x400002e0,0x02ffd829,0x6405ffd0,
    0xffffffff,0xffffffff,0xff32ffff,0xffffffff,0xffffffff,0x7ffdc9ff,
    0xff10fe61,0x02ffe45f,0x004ffb80,0xffffc880,0x3bf600ef,0x641ffec0,
    0xf9800fff,0xfffa82ff,0xf807d801,0x37ffc404,0x8ffff600,0x000006f8,
    0x03bffff6,0x7fe55400,0x2027c02f,0x8006fff8,0x001ffff8,0x2a01fff8,
    0x07f706ff,0x2a0fffd8,0x7fd403ff,0x80ffec2f,0x7fc03ffd,0x1bfea01f,
    0xffd003e0,0x17ffc01f,0x5ffd0000,0x400002e0,0x02ffd829,0x5405ffd0,
    0xcccccccc,0xcccccefc,0x9911cccc,0xd9999999,0x9999999f,0x7ffd4599,
    0xff109f33,0x037fdc1f,0x005ffa80,0x3fff6200,0x2fec40ff,0xfb83ffd8,
    0xff8801ff,0xcfffa80f,0xecbaaaaa,0x400f807f,0x4000fffe,0xfb1ffff8,
    0x44000003,0x0002ffff,0xf805fff0,0x07fff400,0x27ffec00,0x01fff800,
    0x7fc1bfea,0x9999999b,0x3f61fffd,0x6ffe801f,0xffb02fd4,0x01ffe807,
    0x1a01bfea,0x805fff90,0x00002ffe,0x05c0bffa,0xd8298000,0x2aa602ff,
    0x1aaacfff,0x0004e800,0x1000f900,0x09d19fff,0xff31ffe2,0x4c2e005f,
    0x33001fff,0x7fffd300,0xfb00ffe8,0x5fff507f,0x20dff300,0xfffffffa,
    0x07ffffff,0x7ffe4068,0xfff70002,0x00007f5d,0x0dfff700,0x0bffa000,
    0xfffc80d0,0xfffb8002,0x3ffe0006,0x21bfea01,0xfffffff8,0x3fffffff,
    0x32003ffe,0x71000fff,0xfd807fff,0x1bfee02f,0xfffa8020,0x02ffe804,
    0x0bffa000,0x9800005c,0x202ffd82,0xfffffffd,0x4e8003ff,0x0f900000,
    0x3bbffe00,0x117fe605,0x1a00bfff,0x3600bfff,0xdffb01a1,0xfb037fcc,
    0xbfff107f,0x209ff500,0x2601fffa,0x200807fa,0x0004fffa,0x037fffec,
    0xffa80000,0xe80004ff,0x500402ff,0x10009fff,0x0003ffff,0xf500fffc,
    0x03ff30df,0x01ffe600,0x200fffdc,0x3ffedfc9,0xb827fe40,0x20007fff,
    0xd005fff8,0x400005ff,0x01702ffe,0x360a6000,0x266202ff,0x0999bffe,
    0x0004e800,0x2000f900,0x5406fffb,0xfffe82ff,0x3f626c03,0x235404ff,
    0x9ffea00f,0x3f606ffb,0x1fff903f,0x502ffb80,0xf5003fff,0x7ffc4000,
    0xff880005,0x000001ff,0xffffef98,0x7ff40001,0xfff10002,0x3ffa000b,
    0x7fc0003f,0x1bfea01f,0x4000ffea,0xf5007ffb,0x3faa05ff,0x807ffb0c,
    0xb30bfffb,0x115fff7d,0x0fffe800,0x405ffd00,0xfe801dc8,0x0001702f,
    0x3ff60a60,0x05ffd002,0x0009d000,0x8001f200,0x7ec05ffe,0x7ffff306,
    0xf881fb50,0x5c40dfff,0x3e027c2f,0x07ffee5f,0x2193ffa6,0x7404fff8,
    0x3ffea05f,0x00078801,0x0003fffa,0x003ffe40,0x47744000,0x0006fffb,
    0x80017ff4,0x8000fffe,0x0005fffc,0x2a01fff8,0x4ffb86ff,0x1fff9000,
    0x05fff300,0xffd81dfb,0xffffe803,0xfffa8eff,0x3f2002ef,0x3fa002ff,
    0x3fffa02f,0x817ff404,0x5300000b,0x2005ffb0,0x80002ffe,0x9000004e,
    0x7fec000f,0x03ff303f,0x6fffffec,0xf902fffc,0xfdbdffff,0x205ff0bf,
    0x3fe63ff8,0xfdf912ef,0xfb85b3df,0x1ff503ff,0x00fffd40,0xff900048,
    0x6400005f,0x000007ff,0x3ff61fd8,0x3fa0004f,0xffc8002f,0xff98002f,
    0xf80000ff,0x3fea01ff,0x005ffa86,0x003fff70,0x6c41fff1,0x07ffb05f,
    0x9ffffd10,0x000effd4,0x0013ffea,0x3e205ffd,0x7f407fff,0x0001702f,
    0x3ff60a60,0x05ffd002,0x0009d000,0x4001f200,0x0bfffbfb,0x36007fea,
    0xffffffff,0x7fffe404,0xf80effff,0x2fec43ff,0x7fffffec,0x3ffffa8d,
    0x417fff50,0x7d401efb,0x000001ff,0x0013ffea,0x00fff900,0x43fb8000,
    0x001ffff8,0x8005ffd0,0x0004fffa,0x0005fffd,0xa807ffe0,0xfff986ff,
    0x3ea33001,0xff9802ff,0xd807ff46,0x2e6003ff,0x0007d40a,0x002fffc4,
    0xfd017ff4,0x7f403fff,0x0001702f,0x3ff60a60,0x05ffd002,0x0009d000,
    0x2001f200,0xfffb11fa,0x40017dfd,0x2efffffb,0xfffff500,0x7ff7c09f,
    0x103ffddf,0x447ffffb,0x74c03fff,0x0bdfefff,0x01fffa80,0xfff10000,
    0xf900000b,0x400000ff,0xfff704fa,0x3ffa000d,0x3ffe2002,0xfff90005,
    0x7f40000b,0x1bfea02f,0xd802fffc,0x00bfff11,0x7fcc9ff5,0x00fff606,
    0x80037400,0x8000fffd,0x2a202ffe,0x3fa03f9a,0x0001702f,0x3ff60a60,
    0x05ffd003,0x5555554c,0xaaadfaaa,0x00aaaaaa,0x7c003e40,0x00aba882,
    0x00d5cc00,0x009ba880,0x15773104,0x0c015100,0x0055cc00,0x007ffea0,
    0xffb00540,0x9000001f,0x00000fff,0xffd01be2,0xffd0009f,0x7ffec005,
    0xfffa8000,0x80d8000f,0x3ee02ffd,0x9fffb06f,0x7fe46a80,0x17fdc00f,
    0x7ec0dff7,0xf880003f,0x7fe4000f,0xfe80c01f,0x03f5002f,0x0b817ff4,
    0x90530000,0xfb038bff,0x3ff2387f,0xffffffff,0xffffffff,0x3e4002ff,
    0x00000400,0x00000000,0x00000000,0x54000000,0x88001fff,0x07fff207,
    0x3f200030,0xd000007f,0xfff9801f,0x7ff4002f,0x3fff9002,0xfff88180,
    0x0688002f,0x3ee09ff9,0xfff107ff,0x2fb881bf,0x2027ffc4,0x7ffdc5fe,
    0x24ffe981,0x7ff30001,0x1fffcc00,0x7ff41220,0xe80db002,0x001702ff,
    0x3ee0a600,0x902b89ff,0x45913dff,0x99999998,0x99999999,0x00099999,
    0x000000c4,0x00000000,0x00000000,0x00000000,0x001fffb8,0xfff304e8,
    0x00048807,0x0001fff9,0x7002fd80,0x4001ffff,0xf9802ffe,0x424403ff,
    0x0004fffd,0x3ffea0b7,0xff7db30b,0xffc8115f,0xffedefff,0x07fff705,
    0xff303fea,0x3bf225df,0x002d9eff,0x002fffa0,0x500bfff1,0x00bffa09,
    0xfff00be2,0x00002e07,0x7ffcc14c,0x3fe605ff,0x00004fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffdc000,0x40fdc002,0xa805fff8,
    0xfffb0004,0x7ec00001,0x7fff4004,0x0bffa005,0x00bfff10,0x6fffb895,
    0x407f3000,0xeffffffd,0x2effffa8,0xffffffc8,0x3ea00eff,0x3bee0bff,
    0xfffffb01,0xffff51bf,0xffa80007,0x6c2eddff,0x4d800fff,0xa807fff0,
    0x7ffd403f,0x00001706,0x7ffd40a6,0x77f5400c,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x003fffc8,0x7fec1ff2,0x004d800f,
    0x003fffd0,0x01ffb100,0x4ffffb80,0x807fff00,0xd800fffd,0x07fffe24,
    0x80bfaa00,0x24ffffe8,0x5402dffa,0x04ffffff,0xfdfffd30,0x7ec4017b,
    0x3fe23fff,0xb500003f,0xfb819dff,0x99999bff,0xa83feca9,0xdb106fff,
    0x7fff5403,0x665c6fff,0xcccccccc,0xcccccccc,0x4000c02d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9fffff30,0x99755555,
    0xff709fff,0x3333337f,0x8007fd95,0x1dffffc8,0x3ffea000,0x7fec003f,
    0x2a02dfff,0x3ee06fff,0x99999bff,0x3a3feca9,0xccccefff,0xdccccccc,
    0x8801fffe,0x005cc0ab,0x0026ea20,0x00055cc0,0x001802a2,0xff880000,
    0xffffffff,0x2e3fffff,0x6ffffffe,0x000000c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fff7440,0xffffffff,
    0x1fffffff,0x7fffffc4,0xffffffff,0xffd3003f,0x9dffffff,0x7fffe400,
    0x7403ffff,0xffffffff,0x3ffae0ff,0x7c46ffff,0xffffffff,0x73ffffff,
    0xffffffff,0xffffffff,0x000fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8800ed40,0x00310009,0x26002620,0x00440001,0x40088372,0x00006001,
    0x98000006,0x00000512,0x21100200,0xeeeeeeeb,0xeeeee984,0x3dddddb2,
    0x4eeeee88,0xeeeeeec8,0x3bbbbb24,0x7774c3ee,0x102201ee,0x06011001,
    0x01804400,0x26000310,0xeeeeeb80,0xddd72eee,0xdb01dddd,0xdddddddd,
    0x3aabdddd,0x25eeeeee,0x02eeeeea,0x2a800000,0x09b10000,0x05edc400,
    0x7300ed40,0x776c037b,0x77441eee,0xfff9ceee,0xffdd9100,0xffd9819d,
    0x6cc01eff,0x21dfffff,0x0dffffda,0xfffd9500,0x26ffb87b,0x4026406b,
    0xccb984f9,0x000fd81b,0x9a7f5400,0x00000bff,0x74407b00,0x3bfffa61,
    0x20ffdc00,0x881fffd8,0xb886fffa,0xf982ffff,0xb101dfff,0xfd7105df,
    0x217ff227,0x3662feb8,0xd5004fff,0x7ffec47f,0xfffeb81d,0x2feb8804,
    0x5ffff930,0x137fff70,0x3337bfe0,0xfffecccc,0x3ffff264,0x81dffa84,
    0x264000ea,0x000ffd40,0x001ffe40,0x37ffffec,0x80fffdc4,0x04fffefd,
    0x207fff62,0xf8efffa8,0x0ee981ff,0x7cc7ffa6,0x3fffa8ae,0x7d43ff70,
    0x99dfb9ff,0x2202fffd,0xff931bfe,0xd1ffea1b,0x4017c40b,0xdffd54fb,
    0xfb13dfff,0x2e200005,0x7f543eff,0x000001cf,0x85e803f2,0xa804fff8,
    0x3fff102f,0x9037fe40,0x3ea01fff,0x0fdc02ff,0x4fffff26,0x931ffffe,
    0x3ee5ffff,0x104fffff,0x2e7ffff9,0x0fffffff,0xffffffb1,0x3fff2609,
    0x2fff402f,0xf800dfb8,0x37ffc404,0xa85fffb8,0x03be605f,0x5c01fe40,
    0xb80003ff,0x754001ff,0x307ff912,0x1b703ff3,0x8803ff22,0x3f201fff,
    0xa81df56f,0xfff980ff,0xfffa85fb,0x5c1ffd41,0xfa81ffff,0x3ff880ff,
    0x321dff70,0x901fd44f,0xfff7003f,0x7f5cc13d,0x980002ff,0x4c02dffc,
    0x0002dffd,0xfb01fd40,0x01bff203,0x3fff01b6,0x1037fd40,0x7ec05fff,
    0x542ec03f,0xccbfffca,0x9551fffc,0x37d75fff,0x303fff93,0xd77fff75,
    0x9fff5115,0xf9115dd1,0xf95505ff,0xffd805ff,0x2004fb83,0x7fff400f,
    0x07fff600,0xef9801dd,0x081fe400,0x0020ffd4,0x74000d40,0xf107fd81,
    0xff10303f,0x01fff803,0x3bb3bfea,0x701ffc40,0x3a01ffff,0x0ffec5ff,
    0xd02fffcc,0x0bfd09ff,0x4fceffe8,0x3e205fd0,0x03fe800f,0x40005fd8,
    0x000cffda,0x05f7fe44,0x81fe6000,0x3fe205fb,0x00be201f,0x7d403fff,
    0x2ffe406f,0x440dff50,0x77ff402f,0x7fc0ae25,0x9ffb05ef,0x05effe80,
    0x207dfff7,0x7fc05ffd,0x1ffec02f,0x0d000fee,0x402fffc8,0x3f26fff8,
    0x01df3000,0x77f40ff2,0x3a21ff10,0x0000004f,0x8837d402,0xbf3001ff,
    0x403fff00,0x3201effa,0x3fe201ff,0x3fff207f,0x2207ff60,0x3f202fff,
    0x01ffd47f,0x5013ffea,0x1bf203ff,0x6c007f50,0x75c4000f,0x80000bef,
    0x000cffeb,0xf503ff88,0x4ffd803f,0x3fe01ee0,0x1bfea01f,0x201fff30,
    0xf701fff8,0x01fffd00,0x7027ff40,0xffd80bff,0x0bffe604,0x7406ffb8,
    0x7fec02ff,0x2000ff23,0x13ffea00,0x55fffd40,0x77cc002f,0xff01fe40,
    0x745ba1df,0x000007ff,0x204fb800,0x0bb001ff,0xa807ffe0,0x3fe206ff,
    0xaeffe807,0xffdaaaaa,0xf817a61f,0x99999bff,0x360fffc9,0xffe801ff,
    0x80efe805,0x1ba05ff8,0x44017e00,0x0002dffc,0x3bffb500,0x9837f400,
    0xffa805ff,0xf009d00f,0x7fd403ff,0x03ffe806,0x3a0bfff7,0x03ffd804,
    0x5017ff40,0xffd80dff,0x07ffe203,0x7407ffa8,0x7fec02ff,0x00005fb3,
    0x005fff88,0x027fffe4,0xf90ef980,0xffffa807,0xffff9cc9,0x00000002,
    0x3fe01fe8,0x3bfae201,0x01fff801,0xf981bfea,0xfffb807f,0xeeeeeeee,
    0x3ea001ee,0xffffffff,0x3e1fffff,0xffc800ff,0x06ffa807,0x5f307ff9,
    0x401fb000,0x001cffd9,0xff930000,0x2ffd805d,0x001ffe88,0x1f507ffd,
    0x403fff00,0xfb806ffa,0xfffbd06f,0xd801f981,0x7ec003ff,0x1ffe602f,
    0xe807ffb0,0x3fe201ff,0x017ff407,0x3bf73ff6,0x7f400000,0xfe8000ff,
    0x7cc0007f,0x51003fce,0x9ffbbff9,0xffffc815,0xffffffff,0xffffffff,
    0x2017d402,0x372601ff,0x7fc02fff,0x1bfea01f,0xa807ffa8,0x200005ff,
    0x1fffefb8,0x07ff9800,0x001fff70,0xff10bffd,0x000fa85f,0xfeb81fa8,
    0x000000bf,0x7fff7100,0xd06ffb81,0x7dc00bff,0xf005d86f,0x7fd403ff,
    0x0fff8806,0x1fff47d4,0x7fec01b2,0x17fec003,0xd80fff30,0x7ff403ff,
    0x01ffe201,0xfd805ffd,0x005fffdf,0x0bfff200,0x1fffcc00,0x13fe6000,
    0x03ffc800,0x66666654,0xcccccccc,0x01cccccc,0x3fe013e6,0x0bff3001,
    0x2a01fff8,0x3fee06ff,0x06ff9807,0xaefc8800,0x8001fff8,0xf5007ffb,
    0xff5005ff,0x1fff907f,0xf88003e4,0x00bffe23,0x50000000,0x3fea5ffd,
    0x1fffd82f,0x8bffe200,0xfff002f8,0x037fd403,0xa743ffd8,0x017c6ffb,
    0x4003ffd8,0x3e602ffd,0x1ffe407f,0x8807ffa0,0x7ff407ff,0x55ffec02,
    0x80003fff,0x0004fffa,0x003fffe6,0x00effc80,0xbbffb710,0x00017bff,
    0x27440000,0x2001ff80,0x3fe00ffa,0x1bfea01f,0x400fffc8,0x40007ff9,
    0x7ffc3ffc,0xfffc8002,0x2fff9800,0x84fff980,0x1ee1fffb,0x9117c400,
    0x00007dff,0x3f220000,0x5fff51ef,0x001fffb0,0x1ae5ffc8,0x201fff80,
    0xf3006ffa,0xf887ccdf,0x400f51ff,0x6c003ffd,0x3fe602ff,0x01ffe407,
    0xf8807ffa,0x17ff407f,0x7e4fff60,0x220002ff,0x20005fff,0x06ffecf8,
    0xdf37f900,0xefffb801,0xfffe9cc8,0x80000002,0x3fe003e8,0x01fe2001,
    0x7d403fff,0x3ffee06f,0x07ffc401,0x82ff4400,0xb8002fff,0xf8801fff,
    0xffd800ff,0x42fff885,0xfa8001fa,0x19ffd701,0x30000000,0xf7039ffb,
    0x17ffa0df,0x21fff300,0x3ffe003e,0x01bfea01,0x8bb1ffe8,0x009b4ffc,
    0x2001ffec,0x3e602ffd,0x1ffe407f,0x8807ffa0,0x7ff407ff,0xd1ffec02,
    0x20001fff,0x0000fffd,0x1fffcdb6,0xf98ff200,0xdfff100e,0x7ff45ba1,
    0x40000006,0x885882e9,0x3ea001ff,0x00fffc04,0x7d40dff5,0x7fcc02ff,
    0x3a1b803f,0x7ffd00ff,0x7fd42600,0x6ff9802f,0x80eff980,0x3f984ffb,
    0xa807c800,0x0001dffd,0xbffea800,0x417fec00,0x4001fff8,0x00facffe,
    0xa807ffa0,0x3ee006ff,0x7cc1f9cf,0x2001f9ff,0x6c003ffd,0x3fe602ff,
    0x01ffe407,0xf8807ffa,0x17ff407f,0xf88fff60,0xfc8006ff,0x700c01ff,
    0x0fffdc1f,0xf984fc80,0x4cbfb00e,0x09fd10ff,0x8004c880,0xeeeeeffa,
    0x82ff884f,0x01ba61bb,0xfa80bffa,0x3ffe606f,0x7fffcc04,0x7c43e200,
    0x1bff605f,0xbfff1340,0x009ff500,0xff101ffd,0x0007ec0b,0x64c007f3,
    0x00002eff,0x0177fdc4,0x7cc1bfa0,0x7fd4005f,0x7ec005df,0x1bfee02f,
    0x6dfff880,0x00ddffd0,0x4003ffd8,0x3e602ffd,0x1ffe407f,0x8807ffa0,
    0x7ff407ff,0x21ffec02,0x2005fff9,0x4403fff9,0xfb05f304,0x09f900df,
    0x408077cc,0x00042ffa,0x5001ffe4,0xffffffff,0xeffdc83f,0x3bfffa0c,
    0x9ffb003f,0x2037fdc0,0x2a00fffe,0x3205ffff,0xb81bfea5,0x26402fff,
    0x7003fff2,0xffa805ff,0x401df901,0xdd1005f8,0x3fee2000,0x260000bf,
    0x0001dffc,0x3ea05ff1,0x7ffc001f,0x7fe4001f,0x0ffff704,0x02fffd80,
    0x8007fff7,0x6c003ffd,0x3fe602ff,0x01ffe407,0xf8807ffa,0x17ff407f,
    0x2e13ffa0,0xf8803fff,0x84a805ff,0xfff104f8,0x4027e409,0xfc800ef9,
    0xfb80003f,0x2662002f,0x81999999,0x88199999,0x7e4001aa,0xffff706f,
    0x03fff980,0x33fffff6,0xfa8fee21,0xfff501ff,0x83f9105f,0x7404fff8,
    0x03fe805f,0xe8801ff1,0x3fa601ef,0xfea80005,0x3aa001cf,0x80000cff,
    0x17f206f9,0x00dff700,0x217fff70,0xafffbed9,0x6ffa8008,0x003ffe20,
    0x8007ffb0,0x3e603ffe,0x27fec07f,0x880bffe0,0x3fa00fff,0x2fffc02f,
    0x402fffe8,0xd800fffd,0x7e407e84,0x04fb82ff,0x2a01be60,0x500001ff,
    0x00000005,0x7dc00000,0x7db30cff,0x20115fff,0xf980fffd,0xefffffcf,
    0xfff86ffe,0x3f7f620d,0xfebbdfff,0x7fff703f,0x5003fea0,0x017e409f,
    0x33ff3fa2,0xcefdb99b,0xb300005f,0x2e205bff,0x00003eff,0x3f603fb8,
    0x0ffe2001,0x7ffff400,0xfffa8eff,0x7ff002ef,0x8005fd80,0x7c005ffe,
    0x3fe604ff,0x13ffa00f,0x4c05fff0,0x3fe01fff,0x3ffe603f,0xffffa80e,
    0xbfffb80b,0xca999999,0x1bf623fe,0x85ffff70,0x01980038,0x00000330,
    0x00000000,0xffe80000,0xfa8effff,0xb102efff,0x7fd43dff,0xffffff72,
    0xfff903ff,0x321dfbbf,0xffffffff,0x5fffd405,0x2007bea0,0x00fe205e,
    0x3f225fd1,0x2e3fffff,0x2200005f,0xf912effc,0x000005bf,0x17a207c8,
    0x0001fb00,0x93ffffa2,0x4001dffa,0x02f9807c,0x0ffffcc0,0x06fffa80,
    0x4c0ffff6,0xf700efff,0x7fe40bff,0xdfff503f,0xfffffd70,0x3ffea3df,
    0xf10effff,0xffffffff,0x27ffffff,0x82fffff9,0xfffffffe,0x00000001,
    0x00000000,0x00000000,0x7ffffcc0,0x0077fea4,0x7fffffd4,0x7fff5c1e,
    0xff9100ef,0xfd707fff,0x2007ffff,0xdfefffe9,0x00ea800b,0x07a20172,
    0xeb8054c4,0x5c400000,0x0019f34e,0x01ec0000,0x1cc003f1,0x055cc000,
    0x4c0002e6,0x5c009002,0xefffffff,0xffffd302,0x3ff63dff,0xd33effff,
    0x5dffffff,0x3ffffff2,0xffffb0ef,0x3fae9dff,0x006fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x005cc0ab,0x009ba880,
    0x8800d5c4,0xba8801ab,0x5730000a,0x40088001,0x00000001,0x88400000,
    0x80000000,0x00044008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44400000,
    0x88888888,0x88888888,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000b1000,
    0x00737b2a,0x8037b995,0x702cedb8,0xb89b507d,0x0001403d,0x26666000,
    0x99999999,0x99999999,0x00bfff30,0xfb800001,0x82f223ff,0x6ecc2dc8,
    0x2aaaaa21,0xff31aaaa,0xffffffff,0xffffffff,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07fb0000,0x7f7fec40,0x21fb03ff,0x9f503fe8,0x441bff51,
    0x7ffc1fff,0x20dfff72,0x7fffcc4b,0xffffffff,0xffffffff,0xffffff34,
    0xffffffff,0x49ffffff,0x3f207ffb,0x2000adff,0x22ffec2b,0x3ff25ffe,
    0xf537fec7,0xffffffff,0x33333229,0xcccccccc,0x0ccccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8007ffd4,0x3faa1dfd,0x3ee2fcc3,0x7c46f987,
    0x8bffea5f,0xffb3fff9,0x0cf885ff,0x33333322,0xcccccccc,0x14fccccc,
    0x55555555,0x55555555,0xfc835555,0xedffe82f,0xf801cfff,0x3e17fe21,
    0x3fff67ff,0xfa9fffa0,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xb804f9ee,0x987fa04f,0x20ffdc2f,0x2ffc84fe,0x7cc5fff5,
    0xffff73ff,0x00fffd8b,0x009d0000,0x4fd80000,0x3ae217dc,0x6b80beff,
    0x7ec077d4,0x513fe64f,0x5ddcc7ff,0x02bbbbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f700000,0x1fb007f2,0x2a01fdc0,0x3fe21ffe,0xf14ff882,
    0x7ffc41ff,0x31b62e62,0x00007ffb,0x000013a0,0x07d1ba00,0xcdfffd98,
    0x07e42ffc,0x44020550,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf893e200,0x2202fc06,0xa9db885f,0x0bfea1ff,0x0fff2ffc,0x13e03fff,
    0x0000bfe6,0x00002740,0x1f0fc400,0x3ffae200,0x002f81ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0fd80000,0x0bf017d4,0x24f98bf0,
    0x3fea1ffa,0x7f4bfd03,0xa80ffd86,0x006fb82f,0x0013a000,0x314c0000,
    0x40262000,0x00000028,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fb03fa8,0xfa803fa0,0xff51fea4,0xe82ffcc3,0x3213f23f,0x544bb06f,
    0x00002efd,0x7774d3a0,0xeeeeeeee,0xeeeeeeee,0x0000003e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4f981ba0,0x7f407f70,
    0xff517fa1,0x440ffe83,0x20fee0ff,0x06ec45fa,0x00003771,0x3ba67b00,
    0xeeeeeeee,0xeeeeeeee,0x000003ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc803f700,0x419fd01f,0x7ffc4fd9,0x435ffb31,
    0x1fdc4ff9,0x8fe607e6,0x000003fb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbf1009f1,0x3b7ffa20,
    0xfffc85ff,0x44fff9cf,0x2fcaeffa,0x43f00f88,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,
    0x05f5000f,0x016ffedc,0x0ee41795,0x00bccb88,0x0000a80a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007f5000,0x000006e8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a000000,0x03f98006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_44_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_44_latin_ext_y[560]={ 35,8,8,8,6,8,8,8,7,7,7,11,31,24,
31,7,8,8,8,8,8,8,8,8,8,8,16,16,12,17,12,8,7,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,41,8,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,11,17,17,17,17,17,17,7,7,7,21,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,16,9,8,12,8,
7,8,9,8,8,16,17,24,8,5,8,11,8,8,8,17,8,19,34,8,8,16,8,8,8,16,0,0,0,1,
1,2,8,8,0,0,0,1,0,0,0,1,8,1,0,0,0,1,1,13,7,0,0,0,1,0,8,7,8,8,
8,8,9,7,16,16,8,8,8,9,8,8,8,9,7,8,8,8,8,8,9,14,16,8,8,8,9,8,7,9,
3,10,0,8,8,16,0,8,-1,8,1,9,0,8,0,7,8,7,3,10,0,8,1,9,8,16,0,8,-1,8,
0,8,1,9,8,6,-1,-1,8,7,1,8,3,10,0,8,8,7,1,16,8,7,-1,8,8,7,17,0,0,8,
7,8,7,8,7,8,7,0,8,8,16,0,8,8,8,16,3,10,0,8,0,8,8,16,0,8,8,16,0,8,
0,8,-1,8,8,16,0,8,8,11,0,7,8,11,0,8,3,10,0,8,-1,7,0,8,8,17,-1,8,-1,8,
1,0,8,1,9,0,8,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,4,16,10,10,10,10,10,10,10,10,10,10,10,10,10,4,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,8,0,8,0,
8,0,8,-1,5,-1,2,-1,2,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-6,-1,-1,8,-1,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_44_latin_ext_w[560]={ 0,5,12,20,16,31,29,5,12,12,16,22,6,11,
6,12,18,12,19,16,19,17,18,18,16,18,5,7,22,22,22,16,35,29,25,25,28,24,21,28,28,13,16,30,
24,35,30,27,21,27,27,18,23,29,29,38,29,29,24,9,12,9,18,22,7,17,20,16,19,16,17,19,20,10,
12,21,10,31,20,18,20,19,14,14,12,20,20,29,20,20,17,12,2,12,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,16,18,20,20,
2,14,12,28,12,18,22,11,28,22,13,22,12,11,7,20,20,6,7,8,12,18,28,27,30,15,29,29,29,29,
29,29,36,25,24,24,24,24,13,13,13,13,28,30,27,27,27,27,27,17,27,29,29,29,29,29,21,19,17,17,
17,17,17,17,25,16,16,16,16,16,10,10,12,12,18,20,18,18,18,18,18,22,20,20,20,20,20,20,20,20,
29,17,29,17,29,20,25,16,25,16,25,16,25,16,28,25,28,20,24,16,24,16,24,16,24,18,24,16,28,19,
28,19,28,19,28,19,28,20,28,20,13,13,13,13,13,13,14,12,13,10,29,18,16,15,30,21,21,24,10,24,
10,24,15,24,13,24,11,30,20,30,20,30,20,24,27,17,27,18,27,18,27,18,34,27,27,14,27,14,27,14,
18,14,18,14,18,14,18,14,23,12,23,17,23,12,29,20,29,20,29,20,29,20,29,20,29,22,38,29,29,20,
29,24,17,24,17,24,17,17,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,21,21,20,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,21,21,21,21,21,21,21,21,21,21,21,21,21,21,33,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,17,13,12,27,
18,29,20,29,20,29,20,29,20,29,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,17,36,25,27,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_44_latin_ext_h[560]={ 0,28,12,28,33,29,28,12,37,37,17,22,11,4,
5,29,28,27,27,28,27,28,28,28,28,28,20,26,20,9,20,28,37,27,27,28,27,27,27,28,27,27,28,27,
27,27,28,28,27,35,27,28,27,28,28,28,27,27,27,35,29,35,15,3,7,20,29,20,29,20,28,28,28,28,
37,28,28,19,19,20,28,28,19,20,25,19,19,19,18,27,18,37,37,37,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,28,20,27,
37,35,5,28,12,20,9,4,28,2,13,22,15,15,7,27,36,6,9,15,12,20,29,29,29,28,35,35,35,34,
34,33,27,35,35,35,35,34,35,35,35,34,27,35,36,36,36,35,35,17,29,36,36,36,35,35,27,29,28,28,
28,28,27,29,20,27,28,28,28,27,27,27,27,26,29,27,28,28,28,28,27,16,21,28,28,28,27,36,37,35,
32,26,35,28,35,27,36,28,37,28,35,27,36,28,35,29,27,29,32,26,35,28,34,27,35,27,35,28,37,36,
36,36,35,35,35,38,36,36,27,28,34,27,32,25,35,27,35,36,34,19,28,37,37,36,35,36,18,35,35,35,
36,27,28,27,28,27,28,36,27,35,27,36,27,27,28,28,33,26,36,28,36,28,28,20,35,27,35,27,35,27,
36,28,37,28,35,27,36,28,36,33,35,29,27,25,36,28,33,26,36,28,37,29,36,28,35,26,37,28,36,36,
34,35,27,34,26,35,27,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,28,25,25,36,25,25,25,
25,25,25,25,25,25,25,25,25,25,32,20,25,25,25,25,25,25,25,25,25,25,25,25,25,32,20,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,35,28,35,27,36,
28,36,28,37,31,37,34,37,34,37,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,41,37,36,28,37,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__times_44_latin_ext_s[560]={ 511,461,60,66,288,91,479,506,355,1,435,
382,73,193,173,172,307,296,443,360,490,334,257,191,69,425,505,289,140,111,163,
343,79,413,206,383,260,1,311,228,440,22,125,111,163,188,352,41,274,11,309,
461,372,431,161,86,74,44,135,1,322,39,1,205,134,475,50,426,71,443,210,
21,377,501,209,398,420,313,292,493,480,1,277,460,333,226,205,247,396,142,378,
407,508,420,142,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,511,501,1,
142,119,419,301,350,180,305,34,186,88,193,276,31,20,359,475,497,165,95,121,
505,80,488,47,100,382,144,291,409,158,213,354,193,258,318,333,207,188,133,487,
154,473,438,424,179,245,393,14,402,374,365,322,417,354,430,137,164,233,292,289,
206,213,195,177,159,463,411,52,396,65,48,31,189,361,350,337,276,335,224,366,
347,328,309,170,452,405,248,188,112,1,167,334,452,445,217,1,31,62,469,70,
152,452,49,92,387,297,326,263,265,66,226,406,181,243,231,62,370,268,47,329,
406,133,1,268,117,384,444,464,31,188,217,141,459,223,246,431,297,493,232,118,
497,18,345,1,252,162,75,413,142,356,304,293,182,224,116,209,22,429,444,467,
254,1,31,469,332,36,481,281,423,348,198,363,269,304,288,246,24,154,404,96,
490,49,57,285,82,433,97,77,72,235,87,51,305,446,247,87,346,194,225,376,
160,91,385,478,123,21,480,391,235,368,1,344,323,32,421,117,108,258,470,26,
441,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,123,311,311,96,
311,311,311,311,311,311,311,311,311,311,311,311,311,1,78,311,311,311,311,311,
311,311,311,311,311,311,311,311,475,1,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,124,443,
495,104,42,169,238,102,304,29,271,87,222,237,179,133,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,1,115,460,133,51,185,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311, };
static unsigned short stb__times_44_latin_ext_t[560]={ 1,225,450,258,190,225,225,373,1,43,429,
401,450,450,450,225,287,373,373,287,316,316,316,316,316,316,345,401,429,450,429,
287,1,373,345,316,345,401,345,316,345,373,316,373,373,373,316,316,373,118,373,
287,373,287,316,316,401,401,401,118,225,118,450,449,450,401,225,401,225,401,316,
316,287,258,1,287,287,429,429,401,287,316,429,401,401,429,429,429,429,373,429,
1,1,1,450,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,1,287,190,
316,429,345,1,118,450,316,450,429,450,450,316,40,450,401,429,429,450,345,81,
366,450,429,450,429,225,225,225,316,154,154,154,190,190,190,345,118,154,154,118,
190,118,118,118,190,373,118,43,43,43,118,118,429,225,43,43,81,118,118,345,
225,287,287,287,287,373,225,429,373,287,287,287,345,373,373,373,401,225,373,258,
258,258,258,345,429,401,287,258,287,373,43,1,118,190,401,154,258,154,345,43,
258,1,258,154,345,43,287,118,225,345,225,190,401,154,287,190,345,154,345,154,
258,1,81,43,43,154,154,154,1,43,43,345,258,190,345,190,401,154,345,154,
43,190,429,287,1,1,81,154,81,429,154,154,118,81,345,258,345,225,316,225,
81,345,154,316,81,373,373,258,258,190,401,81,287,81,287,258,429,118,345,118,
345,118,373,81,287,1,287,118,373,81,258,81,190,81,225,373,401,81,258,190,
401,81,258,1,225,81,258,81,401,1,258,43,43,190,81,401,190,401,81,401,
258,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,258,401,401,43,
401,401,401,401,401,401,401,401,401,401,401,401,401,225,429,401,401,401,401,401,
401,401,401,401,401,401,401,401,190,429,401,401,401,401,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,118,225,
81,401,43,258,43,258,1,225,1,190,1,190,1,190,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,
401,401,401,1,1,43,287,1,225,401,401,401,401,401,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,401,
401,401,401,401,401,401,401,401,401, };
static unsigned short stb__times_44_latin_ext_a[560]={ 159,212,259,318,318,530,494,115,
212,212,318,359,159,212,159,177,318,318,318,318,318,318,318,318,
318,318,177,177,359,359,359,282,585,459,424,424,459,388,354,459,
459,212,247,459,388,565,459,459,354,459,424,354,388,459,459,600,
459,459,388,212,177,212,298,318,212,282,318,282,318,282,212,318,
318,177,177,318,177,494,318,318,318,318,212,247,177,318,318,459,
318,318,282,305,127,305,344,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,159,212,318,318,318,318,127,318,
212,483,175,318,359,212,483,318,254,349,191,191,212,366,288,159,
212,191,197,318,477,477,477,282,459,459,459,459,459,459,565,424,
388,388,388,388,212,212,212,212,459,459,459,459,459,459,459,359,
459,459,459,459,459,459,354,318,282,282,282,282,282,282,424,282,
282,282,282,282,177,177,177,177,318,318,318,318,318,318,318,349,
318,318,318,318,318,318,318,318,459,282,459,282,459,282,424,282,
424,282,424,282,424,282,459,411,459,318,388,282,388,282,388,282,
388,282,388,282,459,318,459,318,459,318,459,318,459,318,459,318,
212,177,212,177,212,177,212,177,212,177,450,351,247,177,459,318,
318,388,177,388,177,388,258,388,219,388,177,459,318,459,318,459,
318,384,446,314,459,318,459,318,459,318,565,459,424,212,424,212,
424,212,354,247,354,247,354,247,354,247,388,177,388,272,388,177,
459,318,459,318,459,318,459,318,459,318,459,318,600,459,459,318,
459,388,282,388,282,388,282,177,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,459,494,494,318,494,494,494,494,494,
494,494,494,494,494,494,494,494,459,336,494,494,494,494,494,494,
494,494,494,494,494,494,494,493,345,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,459,282,212,177,459,318,459,318,459,318,459,
318,459,318,459,318,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,459,282,565,424,459,318,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_44_latin_ext_BITMAP_HEIGHT or STB_FONT_times_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_44_latin_ext(stb_fontchar font[STB_FONT_times_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_44_latin_ext_BITMAP_HEIGHT][STB_FONT_times_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_44_latin_ext_s[i] + stb__times_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_44_latin_ext_t[i] + stb__times_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_44_latin_ext_x[i];
            font[i].y0 = stb__times_44_latin_ext_y[i];
            font[i].x1 = stb__times_44_latin_ext_x[i] + stb__times_44_latin_ext_w[i];
            font[i].y1 = stb__times_44_latin_ext_y[i] + stb__times_44_latin_ext_h[i];
            font[i].advance_int = (stb__times_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_44_latin_ext_s[i] + stb__times_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_44_latin_ext_t[i] + stb__times_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_44_latin_ext_x[i] + stb__times_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_44_latin_ext_y[i] + stb__times_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_44_latin_ext_LINE_SPACING
#endif

