// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_45_latin_ext_BITMAP_HEIGHT        483
#define STB_FONT_times_45_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_45_latin_ext_NUM_CHARS            560

#define STB_FONT_times_45_latin_ext_LINE_SPACING          29

static unsigned int stb__times_45_latin_ext_pixels[]={
    0x7ffdc000,0x35000005,0x00020000,0x2a200008,0x200002aa,0x0101aaaa,
    0x99880000,0x00400000,0x00400020,0x33000002,0x88000013,0x08800099,
    0x26666200,0x00099999,0x4cc40000,0x00000001,0x00ccc400,0x04c00000,
    0x00000000,0x00199880,0x10000400,0x33310001,0xcccca800,0x00004ccc,
    0x0001bff6,0x0017db10,0x003ff700,0x8000b726,0x0002fffc,0x403bffe0,
    0x00001cd9,0x0007fe88,0x3007fee0,0xd30007ff,0x0003d885,0x01bfff20,
    0x03ffd000,0x5400dd00,0xffffffff,0x0000003f,0x00bfffe2,0x0ee00000,
    0x00ffffa0,0xfeca8000,0x0bdffeef,0x0000d800,0x0ffffa00,0x07f6a000,
    0x20037400,0x002ffff8,0x3ffffff2,0xf100007f,0x800001df,0x7c00005d,
    0x2fb805ff,0x3ffe8000,0x3fe60000,0x04e9800f,0x2fd88000,0xbfff0000,
    0x00fffd80,0xfcbffb80,0x3e200004,0x0002ffff,0x0001df10,0xffa801ba,
    0x3fffffff,0x32000000,0x0006ffff,0x013a2000,0x03ffffee,0xefc88000,
    0xfc98809b,0x0ba6001d,0x3fee0000,0x88000fff,0x001ffffc,0xfc800dd0,
    0x32006fff,0x000001ff,0x00007fea,0x00003f10,0x6404ffe8,0xf980001f,
    0x6400004f,0x3e2001ff,0x99000005,0x3ffa0000,0x037fe404,0x0dfffb00,
    0xbdfd8000,0x700006ff,0x3740001b,0x55555100,0x00035555,0x2ffe2000,
    0x00003ffd,0x8804fb80,0x04ffdbff,0x1dfd8800,0x003fb800,0x000037a2,
    0x7fedffc4,0xfebc8004,0xdd0001ff,0x6dffc400,0xff9003ff,0x64000003,
    0x9800002f,0x00004dcf,0x7d4019b3,0xbf700006,0x5fd00000,0x009f9000,
    0x00002000,0x22006644,0x4c0001dc,0x20000099,0x0ffa65f9,0x00002000,
    0x000001ba,0xfd800000,0x0003ff22,0x003fb800,0x0ffdc7f9,0x01df3000,
    0x00de8800,0x0001dd10,0x7fdc5f90,0xfff10000,0x01ba0003,0x3ff22fd8,
    0x01ffc800,0x00fe0000,0xffff8000,0x10000001,0x200005ff,0x400000ee,
    0xf30003f9,0xfc80003f,0x0002fd43,0xc8000000,0x002fd43f,0x7ec42f40,
    0x43fc8000,0x374005fa,0xf50ff200,0x2000000b,0x04fa81f9,0x07f30000,
    0x3a60be20,0x1bf70005,0x02ec0000,0x8000df30,0x05f982f9,0x007ffe00,
    0xf9803740,0xc804fa81,0x000001ff,0x80000093,0x0000fffc,0x03ff5000,
    0x001f1000,0x00097000,0x20004ff8,0x7ff47ff9,0x00000002,0x23ffcc00,
    0x20002ffe,0x0026404a,0xffd1ffe6,0x00374005,0xffe8fff3,0xd8000002,
    0x0007a201,0x400ff100,0x00b6202d,0x00009fb0,0x64005d10,0x0760005f,
    0xf0001e88,0x3a0003ff,0x4403b006,0x0ffe401e,0x59500000,0x6d400000,
    0x20000002,0x80002ffc,0x30000008,0x5ff98000,0x22ff4000,0x00000ffc,
    0xfe800000,0x0007fe45,0x00060030,0x1ff917fa,0x20037400,0x07fe45fe,
    0x02200000,0x200000c0,0x006003fe,0x09f7000c,0x07cc0000,0x003ff880,
    0x00300188,0x0007ffe0,0x00440374,0x0ffe4018,0x7f4c0000,0x00001efd,
    0x00000000,0x00007ffb,0x11000000,0x1ffea000,0x04c06000,0x00000000,
    0x00260300,0x00000000,0xd0002603,0x2603000d,0x00000000,0x2e000000,
    0x000000ff,0x001be600,0x800f2000,0x000007fc,0x3fff0000,0x001ba000,
    0x3ff90000,0x1b900000,0x00001362,0x40000000,0x80005ffc,0x3801ab98,
    0x1dffc980,0x037fdc00,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0000006e,0x00000000,0x17fa0000,0x80dd4c00,0x00ff4028,0x034c0000,
    0x0007ff50,0x0d55d4cc,0x3fff0038,0x001ba000,0x406aeaa6,0x007ff219,
    0x983f1000,0x0000000f,0x03c98000,0x2000dff7,0xfffffeda,0x01fc83ef,
    0x07ecd6f4,0x20bff900,0xfffffffc,0x75c05eff,0x5fffffff,0x71005930,
    0x7ffffe4b,0x405effff,0xffffffeb,0xffffb05f,0x27dfffff,0xfffffffc,
    0x75c05eff,0x5fffffff,0x3ffff2dd,0x05efffff,0x7fffff5c,0xffff55ff,
    0x645fffff,0xffffffff,0x3fffa04f,0xffa87fff,0x7ffdc003,0x991cefff,
    0x20027e40,0xd914efeb,0x44007a0b,0x5c4007ff,0xfffffffe,0x200f11cf,
    0x65c41fff,0x200dd00a,0xffffffc9,0xc8f61cff,0x400001ff,0x007cc1f8,
    0xbccb9800,0x7f540001,0x0fff504f,0x1bffd880,0x47bfb2a2,0x07cc02fb,
    0xffd800fa,0x7ffecc03,0x64c000df,0xfd501fff,0x7fecc07f,0xffffd986,
    0x7e4c000d,0xfd3001ff,0x2603bfff,0x00dffffd,0x0fffe4c0,0xfffb31ba,
    0xc98001bf,0xff501fff,0x7dc05fff,0x2003ffff,0xfb01fffc,0x3fa2003f,
    0xfeca89bf,0x1fe04fff,0x911eea80,0x3207ff77,0x0bff6003,0x5ef7fe40,
    0x3ffee621,0xfff800ff,0xfffffd31,0xd880dd07,0x5cc1beff,0x324feefe,
    0x800001ff,0x0002ec5d,0x75d6ff4c,0x0aaaabef,0x3ffffee0,0x00fff304,
    0x200f7fd4,0x04fdffe8,0x005c85c8,0x2200bffa,0x0001ffff,0x3fee0bfe,
    0xfe983fff,0xff106fff,0x7c0003ff,0x7fcc002f,0xfff8807f,0x3fe0001f,
    0xff886e82,0x3e0001ff,0x7ffdc02f,0x7fffc807,0x80ffc400,0xd000fff8,
    0x7fdc01ff,0x009f504f,0x3ba03bea,0x009701ff,0x2202ffe4,0x8800dffe,
    0xf800fffd,0xffff99ff,0x3744ffff,0x007fff30,0xfc93ffee,0x9800001f,
    0x001ffcff,0x220ffdc0,0x3ffffffe,0x27ffcc20,0x3200dff0,0x3a2006ff,
    0xf9800fff,0xfb001f40,0x3ffe003f,0x07f40007,0x03fff984,0xf81bffa1,
    0x740007ff,0x7fc4000f,0xffff006f,0x80fe8000,0x0ffff06e,0x400fe800,
    0x8807fff8,0x2000ffff,0x3ff205f8,0x07ff9007,0x3a09ff70,0x0ffb801f,
    0x540dff90,0x1ffee005,0x005fff98,0xf801ffc8,0xa9bdeaff,0x3a1ffffe,
    0x05fff706,0x325ffa80,0x000001ff,0x000033f2,0x3ea09ff3,0x000aaaff,
    0x7fc09ffd,0x2fffa804,0x27ffc400,0xfd9ade80,0x03fee000,0x003fff40,
    0xfd003f60,0x6ffc807f,0x001fffa0,0x88001fb0,0xfd005fff,0xfd8000ff,
    0xffd06e80,0x0fd8000f,0x02fffd80,0x002fffd8,0xffd80bee,0x01fff007,
    0x3e613ee0,0x02ffa806,0x6a813ff2,0x07ffea00,0x0017ffa2,0xff802fd8,
    0xfffb04ef,0x7fcc374d,0xbf70002f,0x0000ffe4,0x000bf900,0x7403ffd0,
    0xfd8001ff,0x01ff304f,0x006ffe88,0x01ffffd8,0x01dffc98,0xd002fe80,
    0xd8000fff,0x03ffe807,0xfd037fdc,0x7d8000ff,0x5fff8800,0x00fffd00,
    0x0dd07d80,0x0001fffa,0x3fea00fb,0xfffa805f,0xd01f6004,0xff300dff,
    0x427c400d,0x7fc403fb,0x017fec04,0x7fd400b7,0x07ffd83f,0x4017c400,
    0x3e204fff,0x88772fff,0x40006ffe,0x007ff26e,0x7ffc4000,0x7ffc0000,
    0x013ff600,0x6c13ff60,0xfffc802f,0x7d7dc001,0x022006ff,0x006f9800,
    0x8000fffd,0x3ffd807d,0xd037fdc0,0xd8000fff,0xfff88007,0x0fffd005,
    0xdd07d800,0x001fffa0,0x7fc00fb0,0xffff007f,0xf013e200,0xff500bff,
    0x426c001f,0x7fec01fc,0x203ffc00,0x3fe6004c,0x1fffd44f,0x401ec000,
    0x7dc01fff,0x3ff203ff,0x35c0001f,0x00003ff9,0x013ffee0,0x00fff980,
    0x2001bff2,0x2fb84ffd,0x05fff980,0xffda7d40,0x0000004f,0xfd0033e6,
    0x7d8000ff,0x403ffd80,0x3fa06ffb,0x3ec0007f,0x2fffc400,0x007ffe80,
    0x06e83ec0,0x8000fffd,0x3ff2007d,0xfffc802f,0x201fb801,0x9804fff8,
    0x2e004fff,0x2a00fd84,0x7fcc04ff,0x1001ec05,0xfff8bfff,0x4980000f,
    0x401fff80,0xf104fff8,0x20000fff,0x0007ff27,0x3ffff400,0x3fff1000,
    0x0037fdc0,0xfb8a7fec,0xfffb000c,0x52fcc009,0x5440ffff,0x0000accc,
    0x74033f22,0x6c0007ff,0x03ffd807,0xfd037fd4,0x7d8000ff,0x5fff8800,
    0x00fffd00,0x0dd07d80,0x0001fffa,0x7fcc00fb,0xfffd805f,0x4c07d804,
    0xff003fff,0x71001bff,0xffd80fd0,0x01ffe400,0xff88007e,0x13ffea5f,
    0xff000000,0xdfff003f,0x017ffee0,0x3ff91400,0xff500000,0x40005fff,
    0x3f202ffe,0xffd8005f,0x4001bf34,0x1003fffe,0x7ffc41dd,0x6ffe440f,
    0x000ffffc,0x7f40ff20,0x3ec0007f,0x201ffec0,0x3fa06ffa,0x3ec0007f,
    0x2fffc400,0x007ffe80,0x06e83ec0,0x8000fffd,0x7ff4007d,0x3ffe200f,
    0x027c407f,0x4013ffe6,0x02effffd,0x7cc0ff00,0x7ffc406f,0x2001ea00,
    0x3ff66fff,0x0000003f,0x7400fffc,0xfffd06ff,0xf9000005,0xb000003f,
    0x00dfff3f,0xb037fe40,0xfb0005ff,0x027e449f,0x002ffff8,0xffff01fb,
    0x220ffd83,0x4000effb,0x3fa00ceb,0x3ec0007f,0x201ffec0,0x3fa06ffa,
    0x3ec0007f,0x2fffc400,0x007ffe80,0x06e83ec0,0x8000fffd,0x7fdc007d,
    0x3fbea02f,0x07ee02ff,0x009fff30,0x3fffffa2,0x037c000d,0xfc807ff9,
    0x0026406f,0xff8afffc,0x000002ff,0x400fffc0,0xff885ffd,0x800001ff,
    0x00001ffc,0xfffda7cc,0xffd10001,0x00bff103,0x2213ff60,0x7ffcc05e,
    0x02fc801f,0x7dc7ffff,0x09ffd04f,0x74007e40,0x6c0007ff,0x03ffd807,
    0xfd037fd4,0x7d8000ff,0x5fff8800,0x00fffd00,0x0dd07d80,0x0001fffa,
    0xff8800fb,0x3e7f605f,0x01b605ff,0x8017ffe2,0xfffffff8,0xe81be003,
    0x3fe201ff,0x007e204f,0x269fff10,0x0001ffff,0x0fffc000,0x4c27fe40,
    0x0000ffff,0x001ffc80,0xfa8fe400,0x220004ff,0x3fae2ffd,0xffb0000d,
    0xa817ee09,0x5400ffff,0x3fffa03f,0x640fff64,0x9f9005ff,0x01fffa00,
    0xfb00fb00,0x6ffa807f,0x001fffa0,0xf1000fb0,0x3fa00bff,0x3ec0007f,
    0xfffd06e8,0x007d8000,0x880fffe8,0x01fffd4f,0x3fe009f1,0x7f44006f,
    0x02ffffff,0x1ffe07e8,0x405fffb0,0xff98005d,0x0ffff53f,0x99999500,
    0x3e079999,0xffd801ff,0x0ffffa82,0xffc80000,0x3e200001,0x007fff46,
    0xfffdf100,0xd80003bd,0x5ff104ff,0x01fffee0,0xffe80bf3,0x407ff25f,
    0xf8805ffb,0xfffd001f,0x807d8000,0x7d403ffd,0x1fffa06f,0x000fb000,
    0x200bfff1,0x40007ffe,0x3a0dd07d,0x6c0007ff,0xfffb8007,0xff72fb83,
    0x003f705f,0x4001bffa,0xfffffffb,0x203f601e,0x7b00fff8,0x3ea01ffd,
    0xfffa8000,0x00ffff72,0xffff7310,0x7ffc03bf,0xd1ffe802,0x01fffeed,
    0x0ffe4000,0x85f70000,0x0003fffb,0x000045d3,0xf813ff60,0xffff505f,
    0x003be201,0x6449fffd,0x01bfee03,0x74003ff2,0x6c0007ff,0x03ffd807,
    0xfd037fd4,0x7d8000ff,0x5fff8800,0x00fffd00,0x0dd07d80,0x0001fffa,
    0xff1000fb,0x7c4fb0bf,0x006e85ff,0x8001fff2,0xffffffd8,0x203f903f,
    0xf4d82fff,0x00fe60df,0xb8fffdc0,0x0000ffff,0x201fffee,0x7c402fff,
    0x7fddba5f,0x9000007f,0x400003ff,0x6fff887e,0x005f8800,0x27fec000,
    0xf107ff88,0x3fa01fff,0x2fffe800,0xdfff9300,0x003ffb00,0x0001fffa,
    0x9ffd00fb,0x206ffa80,0x40007ffe,0xff88007d,0xfffd005f,0xd07d8000,
    0x01fffa0d,0x2000fb00,0x3e20fffd,0x107fff44,0x7fd4007f,0xfe980007,
    0x982fffff,0x5dff903f,0x3fe2bd71,0x0a83fa86,0x2a6ffb80,0x0001ffff,
    0x201bffe6,0x7e404fff,0x7fcdba0f,0x800000ff,0x00001ffc,0x3ff607f5,
    0x77e4001f,0x36000000,0xfff304ff,0x40ffffc0,0xfff002fc,0xcfeb801f,
    0xfe806ffc,0xfffd003f,0x807d8000,0x7d405fff,0x1fffa06f,0x000fb000,
    0x200bfff1,0x40007ffe,0x3a0dd07d,0x6c0007ff,0xfff50007,0x3ee0fdc7,
    0x007ee3ff,0x0001fff0,0x3ffffee0,0xf306e81f,0xe89fffff,0x2fda8aff,
    0xff900698,0x17fffc47,0xbfff1000,0x03ffff00,0x2dd0ffe2,0x001ffff8,
    0x01ffc800,0x201fb000,0x4005fff9,0xdeeeffff,0x0002bccc,0x3ea09ffb,
    0x3fffa06f,0xf001fdc2,0x7fdc0fff,0x201bfee3,0xfd004ffd,0x7e8000ff,
    0x07fffd40,0x740dff50,0x740007ff,0xfff88007,0x0fffd005,0xdd07e800,
    0x001fffa0,0x7c000fd0,0x221ba6ff,0x01ba6fff,0x000fff60,0xffffd880,
    0xf701fb85,0xff503bff,0x3a017fff,0x81ffd003,0x0004ffff,0x2017ffe2,
    0x441effff,0x3e6e84fe,0x00002fff,0x0001ffc8,0x7f404f88,0x3f6000ff,
    0xffffffff,0x4002efff,0xff704ffd,0x27ffe40b,0x7cc00bf3,0xefd885ff,
    0x4037fdc0,0xfb005ffc,0x740001ff,0xffffd506,0xff503dff,0x07ffec0d,
    0x000dd000,0x2009fff1,0x0000fffd,0xd83741ba,0x20000fff,0x3f60006e,
    0xb04f88ff,0x07f11fff,0x80bff300,0x7fec0028,0x404f887f,0x00998009,
    0xff880354,0x06fffd84,0x17ffe200,0x3f6bffe0,0xd02ffedf,0x027fff4d,
    0x0ffe4000,0x00fe4000,0x000fffee,0xfffffff9,0x07ffffff,0xd81ffec0,
    0x3fe604ff,0x800df17f,0x7443fffb,0x0dff705f,0x200dff70,0x0000fffd,
    0x500001be,0x7fec0bff,0x1be0000f,0x0fffe200,0x007ffec0,0x1ba0df00,
    0x0007ffec,0x54000df0,0x01fbbfff,0x1f77fff5,0x01ff6000,0xffd000b3,
    0x001f903f,0x0fe20000,0x4c0ffd40,0x0001ffff,0xf00bfff1,0x2aea63ff,
    0xff537400,0x900000df,0xf00003ff,0x5555555f,0x00ffff75,0x555334d8,
    0x0dfd9975,0xd817fec0,0x7fe403ff,0x4000fe9f,0xffe86ffe,0x00dff701,
    0x2e00dff3,0x30002fff,0xa800009f,0x3fee04ff,0x9f30002f,0x5fff1000,
    0x0bffee00,0xe827cc00,0x05fff706,0x0013e600,0x0dddfff0,0x3777ffc4,
    0x03ff1000,0x7dc003cc,0x00dd02ff,0x01b60000,0x3f605fd8,0xf10005ff,
    0xfff00bff,0xd1ba0003,0x00003fff,0x007ff251,0xfffff700,0xffffffff,
    0x176005ff,0x4007f600,0xff701ffd,0xffff8805,0x7fdc001f,0x037fcc0f,
    0xf100dff7,0x3fea00bf,0x5f70004f,0xffb80000,0x13ffea03,0x0017dc00,
    0x800fffc4,0x0004fffa,0x41ba05f7,0x0004fffa,0xc80005f7,0x6c03ffff,
    0x0003ffff,0x5f302fdc,0x0fff9800,0x00009f10,0x1000ed80,0x7fc401df,
    0xf88002ff,0xfff805ff,0xa8dd0001,0x40006fff,0x03ff90e8,0x2007e800,
    0xb805fff9,0x0f98002f,0x201ffb00,0xfa801ff9,0x7c4003ff,0xfffb82ff,
    0x00dff700,0x74007ff1,0xfd0007ff,0xfb800001,0x3fff402f,0x400fe800,
    0x07ffc41a,0x00fffd00,0x37403fa0,0x000fffd0,0x300003fa,0xa801ffff,
    0x0000ffff,0xdf302fd8,0x07ff9800,0x00001fd4,0xb00076c4,0xfff9003f,
    0xfff1000d,0x03fff00b,0x3fa1ba00,0x360003ff,0x0007ff22,0x6c003f98,
    0x3e601fff,0x06a8000f,0xfb013f60,0x3bff6009,0x13ff2000,0x4c17ffd4,
    0x54066ffe,0x7fd4006f,0x1fec003f,0x37dc0000,0x01fffd40,0xfb00ff60,
    0x027fc45f,0x00fffea0,0x37407fb0,0x007fff50,0x00003fd8,0x3e00dffd,
    0x200006ff,0x5ff980fe,0x00fff200,0x000037ea,0x50006f44,0x7fe4005f,
    0x3e2000ef,0xfff805ff,0x10dd0002,0x0007fffd,0x01ffc8bb,0x0003f600,
    0x6c09fff5,0x7cc005ff,0x7f427541,0x403fc400,0x00effff9,0x2604ffd8,
    0xf913ffff,0x0b75fffb,0x360007f6,0xe9804fff,0x3660005f,0x8017e40d,
    0x9804fffd,0xfff805fe,0x0003bea7,0x2013fff6,0x37405fe9,0x013fff60,
    0x00017fa6,0x9003ffb8,0x400007ff,0x7fcc0dd8,0x7fd400ef,0x0bfa2005,
    0x04fc8800,0x40027d40,0x000efffc,0xf00bfff1,0x3a0005ff,0xbfffd106,
    0x909d3003,0x555559ff,0x0009f100,0x6403fffa,0x4402dfff,0xefff83fc,
    0x26007f52,0x23ba204e,0x20acffe9,0x801efea9,0xeffffffd,0x0effff89,
    0x20002fb8,0x8acefffc,0x04fffdb9,0x9fffec00,0x7e4005f8,0xb98aceff,
    0xb004fffd,0x07f29fff,0xefffc800,0xffdb98ac,0x806e804f,0x8acefffc,
    0x04fffdb9,0x07fc4000,0x000ff980,0x260eb800,0x0bceffff,0x01bffb31,
    0x039ff700,0x0033f660,0x40005f70,0x01dfffe9,0x03bfff93,0x003fff88,
    0x7e440dd0,0x99abdfff,0xf903ffdb,0x0fffffff,0x20003f90,0xd104fffc,
    0x9ddfffff,0x205dfdd9,0x2feffffc,0x4176c400,0x7ff540fd,0x03efffef,
    0x3ffff620,0x206ffec4,0x80000ed9,0xffffffda,0x0001dfff,0xfeffffa8,
    0xffb50003,0xbfffffff,0x7ff4c003,0x80002eff,0xffffffda,0xd001dfff,
    0x3ff6a00d,0xdfffffff,0xbd000001,0x0005f800,0x74c76600,0xffffeb99,
    0x0002efff,0xcceefda8,0x0cffedcb,0x000cc800,0xffffb500,0x7ffffddd,
    0xffda8801,0x74001aff,0xfffd9806,0x0cffffff,0x3e200000,0x3fea0007,
    0x3faa00ff,0xffffffff,0xacdb9803,0x0ea20000,0xbca98057,0x2a200009,
    0x2ea02601,0xa8800000,0x00aaccba,0x66dcc000,0xa880000a,0x00aaccba,
    0x00aee600,0x2eaa2000,0x4000aacc,0x5544004c,0x000aaccb,0x000d4000,
    0x000000aa,0x5d441446,0x00001abc,0xcdccaa88,0x0c00009a,0x55300000,
    0x00135799,0x33333322,0x32001ccc,0x65d54004,0x000001ab,0x4000bfb0,
    0x804ffff8,0x9acddca9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8800000,0x70002fff,
    0x039fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffc,0xffff9004,
    0x2abfffff,0xcccccccc,0x15300000,0x2aa00000,0x000000aa,0x0026002a,
    0x05100510,0x0cccc800,0xccca8000,0x40000002,0x00000999,0x00100001,
    0x55000022,0x26000055,0x00001aaa,0x00026660,0x4400cc00,0x65400001,
    0x3ee002cc,0xffffffff,0xffffffff,0x8803ffff,0x00001aaa,0x000b3326,
    0x8b332000,0x10003ccb,0x00000001,0x3fffee00,0x0001ffff,0x00fee75c,
    0x3ffe6000,0x44000005,0x0016a02f,0x01d1026c,0x27ffcc00,0xdffd0000,
    0x5c000000,0x80006fff,0x20001ffb,0x000d801e,0x0ffffe60,0x3fffa000,
    0xf7000006,0x00000dff,0x01d301f4,0xeffe8000,0x3ffee000,0xffeeeeef,
    0xffeeeeef,0xffd804ff,0xd00000ff,0x0000dfff,0x20fff880,0x54001fff,
    0x380003fd,0xb0000500,0x540003ff,0x000bf93f,0x006ffb80,0x07f70000,
    0x260003f5,0x027440df,0x017fee00,0x3ffd1000,0xf1000000,0x0007ffff,
    0x0005fff8,0x36602bb2,0x7fec0007,0x20000fff,0x03fffffa,0x7ffc4000,
    0x000003ff,0x07f309f5,0xfff88000,0x0f7e4001,0x882fffb8,0x7d404fe9,
    0x0004ffff,0x3fffffb8,0x3ea00000,0x013fe22f,0x1ffffdc4,0x00754000,
    0xfb000079,0x3e20003f,0x0000ff27,0x0001dfd0,0x86ffc000,0x640005fb,
    0x01ff31ff,0x006fe800,0x07ff3000,0xdf900000,0x0001fff7,0x00027ff4,
    0xfb9dfff3,0x540007ff,0x05ffb8ef,0xd35ff100,0x400001ff,0x0fffbefc,
    0xdfb00000,0x0001bea1,0x0007fea0,0xffb803b2,0x013a202f,0x1ffd17fd,
    0x57fc4000,0x0000ffe8,0xf98bf700,0xfb75000f,0x200007ff,0x007c82fe,
    0x003ffb00,0x00117ee0,0x01ff8800,0x7d400000,0x000ffcef,0x7e7ffc40,
    0x7c40003f,0x2000000e,0x000006fa,0x9fd32fcc,0x06644000,0x3ffee000,
    0x0005ffff,0x3ff30774,0x445f9000,0x300004fd,0x027f4cbf,0xfff98000,
    0x00001ffc,0x90003fd8,0x2fffb809,0x5f702d40,0x20005fd8,0x02fe41fc,
    0x40fd8000,0xff0002fb,0x2600007f,0x00bf63ff,0x00ffec00,0x0003ff80,
    0x0017d400,0xffe80000,0x700004ff,0x000dffff,0x00003f70,0x0001f700,
    0x6c42ec00,0x0000000f,0xfffff500,0x0eb80007,0x44006d88,0x003f701f,
    0xfb10bb00,0x32000001,0x0005ffff,0x40009f00,0x7ffdc01d,0xf882c402,
    0x0003f702,0x07ea03f1,0x20fa0000,0x3fa0005c,0x3600003f,0x006fddff,
    0x007ff600,0x000bfea0,0x0007b000,0x7fcc0000,0x200000ff,0x0002fffe,
    0x000002d8,0x00000b20,0x016e0254,0x30000000,0x88000135,0x2002c805,
    0x002d401c,0x0b7012a0,0x3fe20000,0x800000ff,0x00c0005a,0x4017ffdc,
    0x59803901,0x4c00c800,0x34400005,0x3a0000e8,0x200003ff,0x01fffff8,
    0x07ff6000,0x003ff600,0x00050000,0x00000000,0x00000000,0x00000001,
    0x06000001,0x000000c0,0x00000000,0x00000000,0x20030000,0x00000001,
    0x00040000,0xfffb8000,0x00000002,0x00000000,0x00010080,0x0003ffd8,
    0x02fffdc0,0x07ff6000,0x00fff300,0x00000000,0x57310000,0x54c00001,
    0x0005101b,0x31000000,0x00000157,0x00000000,0x55cc4000,0x00000000,
    0x00000000,0x00000000,0x80d5d54c,0x73100019,0x20000015,0x0002fffb,
    0x00000000,0x00000000,0x0fff6000,0x00000000,0x003ffb00,0x0006ffd8,
    0x00000000,0xffffb500,0x0019bfff,0xffffff70,0x3113239d,0x01333333,
    0x00666662,0xfffffda8,0x0000cdff,0x00000000,0x7fed4000,0x0cdfffff,
    0x332e6000,0x9998801b,0x31009999,0x00003333,0x93000000,0xffffffff,
    0x5001ec39,0xfffffffb,0x2000019b,0x0002fffb,0xfc81e4c0,0xffffffff,
    0x7ff5c05e,0xf95fffff,0xffffffff,0xffeb80bd,0xd85fffff,0x000003ff,
    0x7ec00000,0xfdba801f,0x002aaeff,0x7ffffd40,0xffffffff,0xffffffff,
    0x3ff62004,0xff7510ac,0x3fa2003d,0xfeca89bf,0x7fdc4fff,0x702dffff,
    0x100bfffd,0x22159ffb,0x401effba,0xffffffe9,0xfd80efff,0xffffffff,
    0x0059302e,0x159ffb10,0x07bfeea2,0x75bfd300,0x55557dfd,0x3ffffee1,
    0xffd702df,0x7fffdcbf,0x05ffffff,0x7fffffdc,0x7ec404ff,0x75cc1bef,
    0x8804feef,0x510acffd,0x0003dff7,0x005fff70,0x13ffaa00,0xbffffb30,
    0xffc98001,0xfffb301f,0xc98001bf,0x3f601fff,0x7ffe403f,0x5effffff,
    0x7ffff5c0,0x7ec05fff,0x7ffcc01f,0x07ffffff,0xfff91000,0x9999bfff,
    0x9ffb9999,0x07bfee00,0x007ffd10,0x7dc01ffd,0xffe884ff,0x05ff005f,
    0x803dff70,0x8803ffe8,0x02fffffa,0x9ffffd30,0x0fffaa01,0x03dff700,
    0x003ffe88,0xfe883ff7,0x223fffff,0xf005fffe,0xfff9105f,0xb8007fff,
    0x400bffff,0x7003fff9,0xfb809fff,0x7f4401ef,0x7dc0003f,0x5c0002ff,
    0x804fffff,0x001ffff8,0xf100bfe0,0x40003fff,0x7fec02ff,0xfffb3003,
    0xc98001bf,0xfb001fff,0xfff8003f,0xf1000001,0x005fff7f,0x3f2017ea,
    0x3f2000ef,0x0fff206f,0x4c13fee0,0xf9805fff,0x0effc805,0x01bff200,
    0x0027ffe4,0x5c1bffea,0x003fffff,0x8003bff2,0x7cc06ffc,0x5fff504f,
    0xfff98155,0x405f9805,0x006ffffa,0x7003dff0,0xa8005fff,0x3ff205ff,
    0x3ff2000e,0x3fee0006,0xa840002f,0xff004fff,0xfe8000ff,0x07fff800,
    0x2007f400,0x22003ffd,0x0001ffff,0xfd800bfe,0x3fe6001f,0x2a000007,
    0x02fffbcf,0xff301720,0xff88003f,0x01fff04f,0xfc813ee0,0x02fb807f,
    0x000fffcc,0x2013ffe2,0x4003fffb,0x2105fff9,0x3003fff9,0x88003fff,
    0x3fa04fff,0x07ffa01f,0x700fff90,0xfff9005f,0xff88001f,0x2fff9801,
    0x20bf7000,0x4001fff9,0x0004fff8,0x0005fff7,0x8027ff40,0x40007ffe,
    0xffe800fd,0x07ec0007,0x000fff60,0x8000ffff,0x3f6000fe,0x3fee001f,
    0x36000006,0x02fffb8f,0xfe881660,0xff90005f,0x06ff983f,0xf8813e20,
    0x037402ff,0x0017ffa2,0x200fffe4,0x4002fffb,0xe805fff8,0xfe8803ff,
    0xff90005f,0x03ffe03f,0x4404ffd8,0x37402fff,0x09fffd00,0x8803fb80,
    0x40006ffe,0x5ffe886e,0x3fff9000,0x5fff7000,0x7fec0000,0x0fffd004,
    0xd007d800,0xd8000fff,0x03ffd807,0x003fff40,0xd8003f60,0x3f6001ff,
    0x3000004f,0x0bffee7f,0x7fe40b00,0xff10001f,0x0fffa8df,0xf9013600,
    0x01fcc0df,0x0007fff2,0x2037ffc4,0x4002fffb,0xe804fff8,0xffc803ff,
    0xff10001f,0x1fff30df,0x4037fe40,0x3e606ffc,0x3ffe6003,0x0df1001f,
    0x007fff20,0xff90d700,0x3e20003f,0xfb8006ff,0x200002ff,0xfd004ffd,
    0x7d8000ff,0x00fffd00,0xfd807d80,0x7ff4003f,0x03ec0007,0x8007ff60,
    0x00002fff,0x3fee1fb0,0xf500002f,0xc8000bff,0x3fe63fff,0x012e004f,
    0x3205fff1,0x3ffea00f,0x7fe40005,0x3ffee03f,0x7ffc4002,0x03ffd804,
    0x002fffd4,0x10ffff20,0x7dc03fff,0xfff8806f,0x8001f902,0xb006fffc,
    0xfff1003f,0x51e0000f,0x8000bfff,0x4003fffc,0x0002fffb,0x4013ff60,
    0x40007ffe,0xfffd007d,0x807d8000,0x74003ffd,0x6c0007ff,0x0ffec007,
    0x00fff980,0x23f98000,0x0002fffb,0x009fff90,0x46fffa80,0x800dffff,
    0x6ffc8038,0x7e405f88,0x540004ff,0x3ee06fff,0x7c4002ff,0xffd804ff,
    0x27ffe403,0x3ffea000,0x202ffe86,0xf9005ffc,0x00bf10df,0x00ffffa0,
    0x3ee009f5,0x500005ff,0x004fffc8,0x037ffd40,0x00bffee0,0x04ffd800,
    0x000fffd0,0xffd007d8,0x07d8000f,0x4003ffd8,0x40007ffe,0x7fec007d,
    0x0dff7001,0x71f60000,0x53005fff,0x03fffe80,0x7fffcc00,0x3bffff60,
    0xff300002,0x401fb83f,0x0003fffe,0x807fffcc,0x4002fffb,0xd804fff8,
    0x7ff403ff,0x7cc0003f,0x7fe40fff,0x00bff606,0x2e0fffcc,0xff30001f,
    0x1be201ff,0x02fffe80,0xfffd0000,0xff980007,0x3ee000ff,0x200002ff,
    0xfd004ffd,0x7d8000ff,0x00fffd00,0xfd807d80,0x7ff4003f,0x03ec0007,
    0x4007ff60,0x00004ffd,0x7fdc3f98,0x403b802f,0x0002ffff,0x10ffffc4,
    0x1bfffffd,0xbffb0000,0xfff806e8,0x7c40002f,0xff701fff,0xff88005f,
    0x3ffd804f,0x017fffc0,0x3fffe200,0x40fff441,0x6c005ff8,0x003745ff,
    0x417fff20,0xff1001fc,0x000003ff,0x000bfffe,0x03ffff10,0x017ffdc0,
    0x09ffb000,0x001fffa0,0x3fa00fb0,0x3ec0007f,0x001ffec0,0x0001fffa,
    0xffd800fb,0x05fff001,0x70dd0000,0x7b005fff,0x0ffffcc0,0x7fffc000,
    0x7ffffc43,0x4c0003ff,0x07f31fff,0x01ffff98,0x3ffff800,0x005fff70,
    0x804fff88,0x3e603ffd,0x80001fff,0xd883ffff,0x37fae2ff,0x7ffcc000,
    0x00007f31,0xf987fffd,0x3ffe6004,0x9800000f,0x0001ffff,0x003ffff8,
    0x000bffee,0x004ffd80,0x8000fffd,0xfffd007d,0x807d8000,0x74003ffd,
    0x6c0007ff,0x0ffec007,0x007ffc40,0x20bea000,0x2202fffb,0x3fea03fc,
    0xf80000ff,0xfe884fff,0x02ffffff,0x657ff600,0x7ffd400f,0xff80000f,
    0xfff704ff,0xfff88005,0x03ffd804,0x003fffea,0x13fffe00,0x77fff7c4,
    0x3f60001d,0x0001f95f,0x41ffff30,0x3ea000fe,0x00000fff,0x00ffffa8,
    0x4ffff800,0x0bffee00,0x4ffd8000,0x00fffd00,0xfd007d80,0x7d8000ff,
    0x003ffd80,0x0003fff4,0xffb001f6,0x0dff5003,0x20dd0000,0xeeeefffb,
    0x03ffffee,0x001fffee,0x02ffff40,0xfffffff7,0xff30003d,0xf7009f3f,
    0x20000fff,0xf705fffe,0x555559ff,0xf7555555,0xffb009ff,0x3fffdc07,
    0xfffe8000,0x0022e985,0x9fff9800,0x3200004f,0x05f75fff,0x07fffb80,
    0xfff70000,0x3fa0000f,0x3ee005ff,0x200002ff,0xfd004ffd,0x7d8000ff,
    0x00fffd00,0xfd807d80,0x7ff4003f,0x03ec0007,0x2007ff60,0x00004ffc,
    0xffb817d4,0xccccccdf,0x3ea03ffe,0x80000fff,0x4404fffe,0xfffffffd,
    0xfffe8003,0xfffa801f,0xfe80000f,0xfff704ff,0xffffffff,0xffffffff,
    0x07ffb009,0x007fffd4,0x27fff400,0x000017e2,0x03ffffd0,0x7ffc4000,
    0xb8005fbf,0x00007fff,0x01ffff50,0x9fffd000,0x17ffdc00,0x9ffb0000,
    0x01fffa00,0x3a00fb00,0x6c0007ff,0x03ffd807,0x003fff40,0xfb001f60,
    0x5ffb003f,0x06e80000,0x700bffee,0x7ffcc07f,0xff80001f,0xfd3002ff,
    0x005fffff,0x006fffa8,0x003ffff3,0x05ffff00,0x000bffee,0xb009fff1,
    0x7fcc07ff,0xf80001ff,0x77e42fff,0x2a000000,0x00006fff,0x0fffffa8,
    0xffff9800,0xf9800000,0x80001fff,0x2002ffff,0x0003fffc,0x4013ff60,
    0x40007ffe,0xfffd007d,0x807d8000,0x74003ffd,0x6c0007ff,0x0ffec007,
    0x0007ffc0,0xddddf700,0x5fffdddd,0x7c407b00,0x80002fff,0x4001ffff,
    0x1ffffffb,0x01fff400,0x02ffff88,0x1ffff800,0x005fff70,0x804fff88,
    0x3e204ffe,0x80002fff,0x7fc1ffff,0xccdeeeff,0x3a0002bc,0x000003ff,
    0x0007fffb,0x007fffe2,0x3ffe2000,0xff80002f,0xff3001ff,0x00005fff,
    0x74013ff6,0x6c0007ff,0x0fffd007,0xe807d800,0x7f4004ff,0x3ec0007f,
    0x007ff600,0x0000bff3,0x666677c4,0x2fffdccc,0x7f403b80,0x440003ff,
    0x8000ffff,0x05ffffd8,0x0007fd40,0x0007fffd,0x00ffff88,0x8005fff7,
    0xf804fff8,0x7ff405ff,0x7c40003f,0x7fec0fff,0xffffffff,0xa8002eff,
    0x000000ff,0x0005fff5,0x0017fffc,0x3fffe800,0x7ffc4000,0x3fba600f,
    0xefffffff,0x3ff60000,0x0fffd004,0xd007e800,0xe8000fff,0x05fff807,
    0x003fff40,0xfb001f60,0x3ffa803f,0x07f20000,0x005fff70,0xfffd8031,
    0x7fcc0004,0xb000a26f,0x8800ffff,0x7fec004f,0x7cc0004f,0x3fee06ff,
    0x7fc4002f,0x7ffd404f,0x3fff600f,0x7fcc0004,0xffff906f,0xffffffff,
    0x4f88007f,0x3ea00000,0x3a0002ff,0x00004fff,0x009fffb0,0x06fff980,
    0x20000000,0xfb004ffd,0x740001ff,0x1fffb006,0x20374000,0x000ffffa,
    0x0001fffa,0xffd800fd,0x007fe401,0x805f8800,0x0002fffb,0x00dfff50,
    0x23fffb80,0xffe80059,0x07ee001f,0x0dfff500,0x3fffb800,0x00bffee0,
    0x209fff10,0xffffffea,0x6fffa81e,0x7ffdc000,0x2a669b03,0xfeccbaaa,
    0x00fdc006,0xfff50000,0x7fd40005,0x5000006f,0x8000dfff,0x0003fffb,
    0xfb000001,0x3ff6007f,0x1be0000f,0x007ffec0,0x3aa0df00,0x2effffff,
    0x00fffd80,0xb001ba00,0x5fe803ff,0x03f20000,0x00bffee0,0x1fffd800,
    0x1bffa000,0xff7000f3,0x0374005f,0x01fffd80,0x01bffa00,0x8005fff7,
    0x9804fff8,0xfffb000f,0x7ff40003,0xb000bb06,0x0374003f,0x3fea0000,
    0x7f40002f,0x880001ff,0x00fffec2,0x00dffd00,0x0009ff50,0x002ffd80,
    0x0005fff7,0x7dc013e6,0xf30002ff,0xd8000009,0x20000fff,0x7fec006f,
    0x00bfe201,0x8027c400,0x0002fffb,0x0bfff109,0x07ffea00,0xf98005f3,
    0x5f5000ff,0x3ffe2000,0xfff50005,0x2fffb803,0x27ffc400,0xf1003ec0,
    0x2a000bff,0x2fb81fff,0x000f9800,0x000005f5,0x002fffa8,0x037ffd40,
    0xf103a200,0x2a000bff,0xd8001fff,0x00002fff,0x54007ff6,0x70004fff,
    0x3fea005f,0x5f70004f,0x00ade880,0x017ffdc0,0x4004f980,0x3ea01ffd,
    0xfb00000f,0x3ffee001,0x704c8002,0xd0003fff,0x0df309ff,0x007ff980,
    0xf70001ba,0xfd0003ff,0xfff7009f,0xfff88005,0x001ff804,0x0007ffee,
    0x3e613ffa,0x06a8000f,0x00001ba0,0x00bffea0,0x0ffffa00,0xf702d800,
    0xfd0003ff,0x3f20009f,0x200005ff,0x3a000ffd,0xfd0007ff,0x3fff4001,
    0x400fe800,0x000ffff8,0x0013ffea,0x360017dc,0x7f9021ff,0x13ea0000,
    0x02fffb80,0xfd00fcc0,0xffc800df,0x00bff306,0x0c41ffe4,0x20000bee,
    0x64006ffe,0xff7006ff,0xff88005f,0x27fc404f,0x01bffa00,0x360dff90,
    0x7cc005ff,0x17dc1881,0x7d400000,0x880003ff,0x8003fffe,0x37ff405d,
    0x01bff200,0x00b71300,0x0027f400,0x000fffea,0xfa8007fb,0x7ec003ff,
    0x7ffb3003,0x07ffe800,0x8001fd00,0x29f91ffd,0x200005f8,0x3ee000fe,
    0x3a2002ff,0x0effc807,0x027fec40,0x801dfff3,0xffa85ffa,0x0006fedf,
    0x003bff20,0x4009ffb1,0x4002fffb,0xd805fff9,0x32000bff,0x6c400eff,
    0x3ff204ff,0x7e4402df,0xedfffa83,0x0000006f,0x0007fff7,0x37fffa20,
    0x004e9801,0x8801dff9,0x00004ffd,0x5d5000f6,0xb0001ff0,0xd3009fff,
    0x3f6000bf,0xfe9804ff,0x27fc4005,0x0fffea00,0x4c07fb00,0xffeaaaaa,
    0x03f69fd1,0x03fe4000,0x00ffff20,0x98027fd4,0x5cc1bffe,0x7cc01efe,
    0x10bcefff,0xb01bffb3,0x01dfffff,0xffe98000,0x77f5cc1b,0x7ffe4001,
    0x7ffd4003,0xffffa806,0x74c04dcd,0x75cc1bff,0x7f4401ef,0xcceeffff,
    0xfb02efee,0x001dffff,0x3ff20000,0x2200004f,0xabdffffc,0x03ffdb99,
    0x0dfff4c0,0x007bfae6,0x000eb800,0xfb977ffc,0x3ff20003,0xdb98acef,
    0x40004fff,0x8acefffc,0x04fffdb9,0x002ffa80,0x804fffd8,0x7dc05fe9,
    0x1fffffff,0x003dddf7,0x2ffff200,0x7ffdc400,0xbaaabcff,0x02fffedc,
    0x3fffb220,0x00cefffe,0xfeb99e98,0x2effffff,0x37fffea0,0x91000000,
    0xfffdfffd,0x5c40019d,0x001fffff,0x07ffffd5,0x5dffff50,0x3ffb2200,
    0x0cefffef,0x3fffaa00,0x03ffffff,0x06ffffd4,0xf9800000,0x000affff,
    0x3fff6600,0x0cffffff,0xffd91000,0x19dfffdf,0x37b20000,0xfffc8000,
    0x80002fff,0xffffffda,0x0001dfff,0xfffffb50,0x003bffff,0x027fe4c4,
    0x9dfff900,0xfffb7315,0x73000009,0x3ea00003,0x86ffffff,0xffffffe9,
    0xffffffff,0x0007ffff,0x000d654c,0x65d44144,0x793001ab,0x80000001,
    0x8001aca9,0xffffffe9,0xfd80efff,0xffffffff,0x000c402e,0x00d654c0,
    0x6ee54c00,0x930009ac,0x00000017,0xfffffdd1,0x0003dfff,0xabcbaa80,
    0xa9800001,0x000001ac,0xb9500001,0x80000159,0xaaccbaa8,0x51000000,
    0x01559975,0x0159b300,0xfffb5000,0x3bffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa880000,0x000aaccb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33322000,0x8800000c,
    0x00000cec,0x44333260,0x80001ccc,0x00011000,0x00000044,0x00599950,
    0x99300000,0x98000079,0x40003ccc,0x00001998,0x01999900,0x664c0000,
    0x2000002c,0x0009800a,0x003ccc88,0x05999300,0x99300000,0x00001c05,
    0x00004008,0x14406ea6,0x00801000,0xfddb7300,0xffffffff,0x00000887,
    0x000bffea,0x36fbe600,0x9000002f,0x37fd49ff,0x801e8000,0xfd98000d,
    0x40000004,0x00006ffe,0x0fffd800,0x7fe40000,0x3e20000f,0x00002fff,
    0x01fffd40,0x3ffa0000,0x2000007f,0x016a01f8,0x0ffffe40,0x7fff4000,
    0x2000000f,0x41effffd,0x2200003a,0x0b02effb,0x3fffee00,0x0991ceff,
    0x2effb880,0xffb000b0,0x333bffff,0x7ec133db,0xfb00002f,0x2000007f,
    0x0003644d,0x2e0efd80,0x900001ff,0x0fb3015d,0x7fff5c40,0x40000004,
    0x0001ffe8,0x0fffc000,0x7ffc0000,0x7fe40001,0x000006ff,0x00027fe4,
    0x3fffee00,0x2000003f,0x01fa83fc,0xfffff980,0x7fd40005,0x00004fff,
    0xfffdbf50,0x005d35bf,0x7ffff400,0x001261ef,0x5137ffd1,0x09ffffd9,
    0xfffffe80,0x88012a1d,0xfffffffd,0x7fcc3645,0xff00006f,0x2200000b,
    0x000fc41f,0x3617fc00,0x2600004f,0xffdcefff,0x32ea003f,0x00004fff,
    0x03ff9800,0x3ea00000,0x9800002f,0x440002ff,0x03ffdbff,0x17fe0000,
    0xff100000,0x001ffd15,0x37fe2000,0x20009f70,0x05ffb3fd,0x6c57fc00,
    0x800000ff,0x3fffee1d,0x200006ff,0xfffeaaea,0x4003fcef,0x3ee00ffe,
    0x3aa004ff,0xeffffeba,0xfd1002fc,0xbfffffff,0xfff886c8,0x6fa80005,
    0x17c00000,0x000003ea,0x00dd0bf1,0xffff7000,0x4000bfff,0x00004ffe,
    0x00df5000,0x1fe40000,0x4fc80000,0x22fd8000,0x00000ffc,0x0000ef98,
    0x320fe400,0x2000005f,0x0ffceffa,0x5c3fa800,0x5f70006f,0x00005fc8,
    0xfffc8858,0x2e00000e,0x7ffffdc1,0x1ffe4005,0x0027fdc0,0xffffc839,
    0x3fee005f,0x5fffffff,0x1dfb8364,0x00ec8000,0x8f5c0000,0x800004e8,
    0x017c40fa,0xfffa8000,0x6c0003ff,0x000004ff,0x0003ee00,0x0027c000,
    0x000bd000,0x9f503f30,0x1f700000,0xf8800000,0x0003f501,0x7ffff400,
    0x205d0003,0x7c4003e9,0x0003f501,0x06a20180,0x44120000,0x4000ceec,
    0xf7000fff,0xc8824009,0x7ec004ee,0xffffffff,0x00003645,0x00000e80,
    0xefefd880,0x3b800001,0x00000598,0x00009a98,0x0004ffc8,0x01e40000,
    0x02cc0000,0x00d10000,0xe8807600,0x0f400001,0x06400000,0x00001660,
    0x006fff98,0x0d880570,0xb3007200,0x00000000,0x00000000,0x006ff980,
    0x000013e2,0x3fffe000,0x45ffffff,0x0000006c,0x80000001,0x000001b8,
    0x00000402,0xc8000000,0x000004ff,0x00000800,0x00000080,0x44000044,
    0x00003000,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0x36000fff,0x2e620004,0xff98000a,0xffffffff,0x00003645,
    0x0d5d54c0,0x00000198,0x4c400000,0x000000ab,0xf9000000,0x0000009f,
    0x00000000,0x26000000,0x005101ba,0x00000011,0x00000000,0x0002ae62,
    0x00000000,0x38000000,0x7ffe4000,0x5effffff,0x7ffff5c0,0xfff55fff,
    0x8001ffff,0xffffffeb,0x09fff34e,0x2a0025c0,0xfffffffd,0xfff000cd,
    0xbfffffff,0x002a06c8,0x7fffe4c0,0x361cffff,0x3fffff23,0x405effff,
    0xffffffeb,0xffb5005f,0x19bfffff,0xffffd900,0x80bdffff,0xffffffeb,
    0x04ffc85f,0x7fffe400,0x05efffff,0x7fffff5c,0xffff95ff,0x0bdfffff,
    0xfffffeb8,0xfff705ff,0x3239dfff,0x013f6a04,0xfffff500,0xeb8001ff,
    0x4effffff,0xffffb500,0x0019bfff,0xfffffff5,0xffeb8001,0xfb4effff,
    0xffffffff,0x7cc0005d,0xfd980002,0x4000dfff,0x101fffc9,0x00dffff9,
    0x037ff260,0x0037fffe,0x7ec400e2,0xf7510acf,0xffb003df,0xbfffffff,
    0x007606c8,0x37dffb10,0xfeefeb98,0xffffd984,0x7e4c000d,0xfb1001ff,
    0x2ea2159f,0xb3001eff,0x001dffff,0x01fffc98,0x4cc13ff2,0x98099999,
    0x00dffffd,0x0fffe4c0,0xdffffd98,0x7fe4c000,0x7ffd101f,0xfffd9513,
    0xffeb889f,0x9100004f,0x000dffff,0x0037ff26,0x8567fec4,0x01effba8,
    0xdffff910,0x3ff26000,0xfffd300d,0x900003bf,0x220000bf,0x0001ffff,
    0x3ea00bfe,0x20005fff,0xfffb01ff,0x200005df,0x4401effb,0x7dc03ffe,
    0xffffffff,0x05d03645,0x01fffcc0,0x104fffb8,0x0003ffff,0xfb8017fc,
    0x7f4401ef,0xfff1003f,0x7fc0003f,0x427fe402,0xceffffd8,0x3ffff102,
    0x017fc000,0x007fffe2,0x3a02ff80,0x3fee00ff,0x7fe5d44f,0x5400004f,
    0x0005ffff,0x7dc007fe,0x7f4401ef,0x3fea003f,0x3e0005ff,0x7ffd401f,
    0xff100006,0x3e00001f,0x740007ff,0xfff5000f,0x1fa0007f,0xfffffe88,
    0x3f20000d,0x3f2000ef,0x3ffe606f,0x45ffffff,0x400fe06c,0x4002fffb,
    0x3fe05ffa,0x7f40007f,0x0effc800,0x01bff200,0x0003fffc,0xff9003fa,
    0x00f7fc09,0x0007fff8,0x7fc007f4,0x7f40007f,0x007ff900,0x7f409ff7,
    0xa800004f,0x0003ffff,0x3ff200fd,0x3ff2000e,0x3ffea006,0x0fd0003f,
    0x00bfff30,0x13ffee00,0x3fff4000,0x003f6000,0x17ffffcc,0x2203f400,
    0x3fffffff,0x1fff9800,0x27ffc400,0xffffff30,0x206c8bff,0xfff9804f,
    0x0bf70002,0x0003fff4,0xff3003f6,0xff88003f,0x7ffe804f,0x007ec000,
    0x7dc13ff2,0x3fff4004,0x003f6000,0x0001fffa,0x3ffe01fb,0x409f7000,
    0x00004ffd,0x2fffff98,0x9807e800,0x44001fff,0xf3004fff,0x0005ffff,
    0xfff100fd,0x3fa0000b,0xd00007ff,0xd8000fff,0x3ffe6007,0x6c000fff,
    0xfffe8807,0x1002ffff,0x2000bffd,0x2201fffc,0x5ffffffe,0x05f88364,
    0x0037ff44,0xffe81ba0,0x03ec0007,0x0017ffa2,0x200fffe4,0x40007ffe,
    0x4ffc807d,0xe8004fc8,0x6c0007ff,0x0fffd007,0xf307d800,0x27c400df,
    0x0009ffb0,0xfffff300,0x07d8001f,0x002fff44,0x801fffc8,0x0ffffff9,
    0x4403ec00,0x80004fff,0x02fffffa,0x07ffe800,0x3003ec00,0x1dfffd7f,
    0x7003ec00,0xdfffffff,0x1fffc803,0xdfff1000,0xfeeca880,0xf983645f,
    0x0fffe406,0xe81ae000,0x6c0007ff,0x0fffe407,0x6fff8800,0x003fff40,
    0x3f201f60,0x001fe44f,0x0007ffe8,0xffe803ec,0x83ec0007,0x2000fffa,
    0x13ff604d,0x2fe60000,0x000efffe,0xfff901f6,0x3fe20003,0xebf9806f,
    0x2000efff,0xfff8807d,0x9fd80004,0x80006fff,0x40007ffe,0x2fe6007d,
    0x005ffff8,0xfb1001f6,0x07ffffff,0x0017ffea,0x007fff90,0x506c8bb0,
    0x7ffc40df,0x40f00007,0x40007ffe,0x3ffea07d,0x7fe40005,0x1fffa03f,
    0x900fb000,0x017ec9ff,0x00fffd00,0xfd007d80,0x7d8000ff,0x009fff30,
    0x9ffb025c,0x7f300000,0x00bffff1,0xfff503ec,0xffc8000b,0x45fcc03f,
    0x2005ffff,0xfff8807d,0xa7cc0004,0x0001fffd,0x0003fff4,0x3f9801f6,
    0x009ffff3,0x74c001f6,0x82ffffff,0x0004fffc,0x0037ffd4,0x5c1b22ec,
    0x3ffee07f,0x40500005,0x40007ffe,0x3fff207d,0x7fd40004,0x1fffa06f,
    0x900fb000,0x05fb19ff,0x07ffe800,0xe803ec00,0x6c0007ff,0x37fffe07,
    0x36038800,0x800004ff,0xffff33f9,0xc81f6009,0x40004fff,0x4c06fffa,
    0x9ffff33f,0x2201f600,0x40004fff,0x9fff51fc,0x7ffe8000,0x003ec000,
    0x7ffdc7f3,0x007d802f,0x7ffffdc0,0x1ffff41f,0x3ffe6000,0x22ec000f,
    0x01ff906c,0x000bfffa,0x1fffa000,0x740fb000,0x40003fff,0xd00ffff9,
    0xd8000fff,0xedffc807,0x740002ff,0x6c0007ff,0x0fffd007,0x3607d800,
    0x002effff,0x2227fec0,0x98000bca,0x3fffee3f,0x3a07d802,0x40003fff,
    0x200ffff9,0x3ffee3f9,0x807d802f,0x0004fff8,0xfffd1be2,0x7ff40001,
    0x03ec0007,0xffc87f30,0x03ec01ff,0x7ffec400,0x17fffc5f,0x3ffe2000,
    0x22ec001f,0x03ffb06c,0x003ffff1,0xfffd0000,0x207d8000,0x0002ffff,
    0x80ffffc4,0x40007ffe,0xcffc807d,0x0000fffe,0x0001fffa,0x3ffa00fb,
    0x03ec0007,0xbfffffd1,0x3ff60001,0x3fffff24,0x21fcc003,0x401ffffc,
    0x3fffe07d,0x7fc40002,0x0fe601ff,0x803ffff9,0xfff8807d,0x0bee0004,
    0x0007fff7,0x0003fff4,0x3f9801f6,0x00efffd8,0x001441f6,0xf99ffff6,
    0x80001fff,0x4003ffff,0xfe83645d,0xffff982f,0xe8000000,0x6c0007ff,
    0x3ffff307,0xffff0000,0x01fffa07,0xf900fb00,0x1dfff19f,0x1fffa000,
    0x200fb000,0x40007ffe,0x7ffc407d,0x8003ffff,0xddfb4ffd,0x4001ffff,
    0xfffd83f9,0x4c1f600e,0x0001ffff,0x203ffff8,0xfffd83f9,0x201f600e,
    0x0004fff8,0x3ffe21fa,0x3ffa0006,0x03ec0007,0xfd107f30,0x83ec0bff,
    0xffe80059,0x1ffff51f,0xffff0000,0x645d8009,0x507ffd06,0x0001ffff,
    0x0fffd000,0xf507d800,0x00001fff,0x3a09ffff,0x6c0007ff,0x34ffc807,
    0x2000bfff,0x40007ffe,0xfffd007d,0x807d8000,0xffffffe8,0x3ff6002f,
    0x3fa20ddc,0x0fe6005f,0x817fffa2,0xffff507d,0xfff00001,0x41fcc09f,
    0x205fffe8,0xfff8807d,0x07f50004,0x0007fff6,0x0003fff4,0x3f9801f6,
    0x09ffff30,0x003cc1f6,0xfb97ffdc,0xd00007ff,0xd800bfff,0xfff83645,
    0x07fffb84,0xffd00000,0x07d8000f,0x000ffff7,0x417fffa0,0x40007ffe,
    0x4ffc807d,0x000fffee,0x0001fffa,0x3ffa00fb,0x03ec0007,0xffffff70,
    0xffb003df,0x3ffea09f,0x207f3000,0xb04ffff9,0x1fffee0f,0x7fff4000,
    0x4c0fe605,0xfb04ffff,0x09fff100,0x4c03f600,0xd0005fff,0xd8000fff,
    0x80fe6007,0xd83ffffa,0x8005f307,0xff50fff9,0xd00001ff,0xd8009fff,
    0x7fc43645,0x7fffb84f,0xfd000000,0x7d8000ff,0x01ffff50,0x9fffd000,
    0x001fffa0,0xff900fb0,0x02fffd89,0x003fff40,0x7f401f60,0x3ec0007f,
    0x3fff6200,0x6c03ffff,0x3fe204ff,0x07f3001f,0x41ffffd4,0xffff507d,
    0xffd00001,0x01fcc09f,0xb07ffff5,0x9fff100f,0x809f1000,0x8000fffe,
    0x40007ffe,0x0fe6007d,0x83ffff90,0x00df307d,0x3e67ff98,0x80001fff,
    0x4002ffff,0x7cc3645d,0xfff985ff,0x8000000f,0x40007ffe,0xffff307d,
    0xfff00003,0x1fffa05f,0x900fb000,0xffe889ff,0x3ffa000f,0x03ec0007,
    0x0007ffe8,0xe98003ec,0x02ffffff,0xff013ff6,0x0fe6003f,0x83ffff90,
    0xffff307d,0xfff00003,0x01fcc05f,0xb07ffff2,0x9fff100f,0x803f9000,
    0x8003fffb,0x40007ffe,0x0fe6007d,0x83ffff60,0x0bff307d,0xf11ffe40,
    0x00005fff,0x8003ffff,0x7d43645d,0xfff886ff,0x8000001f,0x40007ffe,
    0xffff107d,0xfff00005,0x1fffa03f,0xb00fb000,0xfff30bff,0x3ffa001d,
    0x03ec0007,0x0007ffe8,0x2e0003ec,0x01ffffff,0xff809ffb,0x07f3002f,
    0x41ffffb0,0xffff107d,0xfff00005,0x01fcc03f,0xb07fffec,0x9fff100f,
    0x555ff000,0xff755555,0xffd000ff,0x07e8000f,0x2200fe60,0x1f66fffe,
    0x0077ffcc,0x3fa17fea,0x440003ff,0x4000ffff,0x7dc3645d,0xffff07ff,
    0xd0000005,0xe8000fff,0x0ffffa07,0xffff1000,0x01fff601,0xfd00fd00,
    0x3ffee0df,0x0fffd005,0xd007e800,0xe8000fff,0xfd880007,0xffb05fff,
    0x02fff809,0xd1007f30,0x03ecdfff,0x0007fffd,0x00ffff88,0x3a200fe6,
    0x01f66fff,0x0013ffe2,0xfffffff7,0xffffffff,0xfffd8005,0x01ba0000,
    0xf1003f98,0x41f6bfff,0xbceffff9,0x1bffb310,0x009fffb0,0x06fff980,
    0x43645d80,0xfd06fff9,0x000009ff,0x001fffb0,0xffb03740,0xf980009f,
    0x3ff606ff,0x1ba0000f,0x01ffff30,0x01dffff1,0x000fffd8,0x7ec01ba0,
    0x3a0000ff,0xd8005106,0xffb07fff,0x02fff809,0x22007f30,0x0fb5ffff,
    0x0027ffec,0x01bffe60,0x3e2007f3,0x00fb5fff,0x8009fff1,0x3fe6007e,
    0x7fec005f,0x1be0000f,0x2003f980,0x7dbffff9,0xfd733d30,0x5dffffff,
    0x037ffd40,0x0fffee00,0x0d917600,0x7d40fffe,0x000006ff,0x000fffd8,
    0xffa81be0,0x7dc0006f,0x3ff603ff,0x1be0000f,0x7fffff5c,0xfffd33ef,
    0x3607dfff,0x20000fff,0xfffb006f,0x837c0001,0xffe80059,0x04ffd81f,
    0x98017ffc,0x3fe6003f,0x2a07dbff,0x40006fff,0x4c03fffb,0x3fe6003f,
    0x8807dbff,0x26004fff,0x7fec003f,0x3fee001f,0x9f30002f,0x001fcc00,
    0x1fffffee,0x76d44144,0xffb001ab,0x7f40003f,0x8bb0006f,0x8059106c,
    0x0001fffe,0xfff70288,0x13e60005,0x003fffb0,0x2037ff40,0x0002fffb,
    0x000009f1,0x2fffb800,0x009f3000,0x000bffee,0x079827cc,0x82fffb80,
    0x7fc04ffd,0x07f3002f,0xfffffb80,0x0fffec07,0x0dffd000,0xb8007f30,
    0x807fffff,0x2004fff8,0x7d4000fd,0x3ea004ff,0xf70004ff,0x01fcc005,
    0x3ffffe40,0x0067c400,0x017ffe20,0x00fffd40,0x03645d80,0x1bffea00,
    0x201d1000,0x0004fffa,0xff8805f7,0xff50005f,0xfffa803f,0x05f50004,
    0x0073ae00,0x04fffa80,0x2005f700,0x0004fffa,0x0be605f7,0x01fff300,
    0xff809ffb,0x07f3002f,0xfffff900,0x05fff880,0x03fff500,0x90007f30,
    0x100fffff,0x22009fff,0xffd0004f,0x7ff4001f,0x01fd0007,0x8001fcc0,
    0x8007fffe,0x4000fffd,0x8001fffb,0x20004ffe,0xc883645d,0x7fff401c,
    0x00b60003,0x2000fffd,0xffb800fe,0xffe8001f,0x0fffd004,0x0003fa00,
    0x001fffe4,0x000fffd0,0xfe8003fa,0x1fd0007f,0x3001be60,0x3ff60fff,
    0x017ffc04,0xd0003f98,0xf700ffff,0xfd0003ff,0x0fe6009f,0x3ffff400,
    0x02fffc40,0x90001fc8,0x54009fff,0x6c003fff,0x27cc003f,0x7fff8800,
    0x3ffd9800,0x06ffe800,0x0037fe40,0x20d91760,0x74406ffd,0xd8003fff,
    0x3fffa805,0x001fec00,0xc800dffd,0x3ea006ff,0x7e4003ff,0x3ea20003,
    0x3ea0007f,0x7ec003ff,0x7ffd4003,0x01fec003,0x6400bff3,0x9ffb03ff,
    0x002fff80,0x220009f3,0xfd007fff,0xffc800df,0x013e6006,0x03fffc40,
    0x402fffcc,0x2a0007f8,0x2000ffff,0x9804fffd,0xfb8005fe,0x3fe60005,
    0x7ff10007,0x3bff2000,0x27fec400,0x322ec000,0x01ffff06,0x1dfffe88,
    0x2004e980,0x9804fffd,0xfc8005fe,0x7ec400ef,0xffd8004f,0x5fe9804f,
    0x1ff90000,0x7ffec000,0x05fe9804,0x09fffb00,0x980bfd30,0x5400efff,
    0x3ff605ff,0x017ffc04,0x20005fb8,0x32007ff9,0x6c400eff,0x7dc004ff,
    0x3fe60005,0x6fffa807,0x0005fd80,0x013fffe2,0x59dfff90,0x9fffb731,
    0x5ffd1000,0x1fea0001,0x007fdc00,0x37ffd300,0x01efeb98,0x6c8bb000,
    0x200bff90,0xbdffffc8,0x3ffdb99a,0xefffc800,0xffdb98ac,0x3a60004f,
    0x75cc1bff,0x320001ef,0x98acefff,0x004fffdb,0x001bfa00,0x33bfff20,
    0xfffdb98a,0x7fe40004,0xdb98acef,0xf9804fff,0x10bcefff,0x401bffb3,
    0x7fc05ffe,0xffe8803f,0xff50000a,0xbffe9800,0x0f7f5cc1,0x2bffa200,
    0x0ff50000,0x3ffffea8,0x05fff910,0x3fffee00,0x36a001cf,0xffffffff,
    0x774001df,0x1effffff,0x2007c800,0x003ffb98,0xfffec880,0x00cefffe,
    0xd9176000,0x4c001540,0xfffffffd,0x20000cff,0xffffffda,0x0001dfff,
    0xefffec88,0x000cefff,0xffffda80,0x01dfffff,0xefda8800,0xfb500001,
    0xffffffff,0x2a00003b,0xfffffffd,0xd3001dff,0xffffd733,0x9805dfff,
    0xf700ffff,0x7f740dff,0x01efffff,0x88007c80,0xffefffec,0x3a000cef,
    0xeffffffe,0xb07c8001,0xffffffff,0x3fff25df,0x9004ffff,0xffffffff,
    0xaa8800bf,0x000aaccb,0x28000000,0x00b72600,0xaca98000,0x32000001,
    0x000025c4,0x2af2eaa0,0x54400001,0x00aaccba,0x32a60000,0x2000001a,
    0xaaccbaa8,0x36e00000,0x1000001b,0x15599755,0x2a200000,0x00aaccba,
    0x5d441440,0x75401abc,0x2effffff,0xfffffffb,0x8000000d,0xca980002,
    0x0000001a,0x00005000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6664c000,
    0x03ccc983,0x66654000,0x00660002,0x40000062,0x0001ccc9,0x00b332a0,
    0x05003800,0x6664c000,0x50000003,0x00005999,0x01cccb80,0x50015000,
    0x99500001,0x00000059,0x00055cc4,0x2eaa6000,0x3003301a,0x00000155,
    0x00079995,0x2a202a20,0x20070000,0x07000002,0x50015000,0x30080021,
    0x32007999,0xff901fff,0x7400001f,0x40000eff,0x003a603e,0x7fff4000,
    0x3a200006,0x200006ff,0x00f200eb,0x0fffd800,0xfd000000,0x000001df,
    0x0005fff8,0x5b807a60,0x3ffa0000,0x54000007,0xffffffed,0x980000cd,
    0xfffffffc,0xa80f61cf,0x004fcbef,0x077fec00,0x7ffcc000,0x003ffe60,
    0x05b01720,0x05f30000,0x201e9800,0x3600765a,0x03fff901,0xb00bffa0,
    0x200007ff,0x0000fff8,0x2f984fa8,0xff700000,0x00007fff,0x0007ffc4,
    0xdb03fd00,0xfff80000,0x10000001,0x00001fff,0x00effa80,0x41fe4000,
    0x200000fb,0x0001ffe8,0xacffd880,0x3dffd931,0x3ff62000,0x7f5cc1be,
    0x3f704fee,0x00005fb8,0x0003fff1,0xc8bfff20,0x88002fff,0x02f440ef,
    0x05fc8000,0xb83fc800,0x202bee0f,0x3ffa07c9,0x07ff1002,0x000bfd10,
    0x0007fee0,0xf50efe80,0x2200000d,0x0ffe89ff,0x3fe60000,0x3e600003,
    0x000bf63f,0x002ffa80,0x3fee0000,0xc8000001,0x800000ff,0x13f24ff8,
    0x3fe20000,0x7d400004,0x7f4401ff,0x7fcc003f,0xfff7003f,0xf30bf309,
    0xf500005f,0x5400005f,0x3fea0fff,0xff70000f,0x0007fa25,0x03ffe200,
    0x4bff1000,0x7ffc44fc,0x04fffdce,0x5c007ff3,0x1fe2004f,0x017ec000,
    0x3ffe6000,0x00001ffc,0x4fd83f90,0x2fd40000,0x3ff60000,0x00006fdd,
    0x00001fe4,0x000bf600,0x00ffc000,0xdff70000,0x00001ffb,0x0001be60,
    0x000effc8,0x5c017ff6,0x54002fff,0x82fc85ff,0x80004ffa,0x800003fc,
    0x01da82da,0x767ff400,0x7000004f,0x00009fff,0x1ff9dff7,0xffffff50,
    0x027dc0df,0x26001760,0x7c40002f,0xf9000003,0x0000bfff,0x7dc07a60,
    0x3e400001,0x3fe20000,0x00001fff,0x0000027c,0x0000fe20,0x0017cc00,
    0x7fff4000,0x4000003f,0xa80000fb,0x44001fff,0x7cc04fff,0xf70002ff,
    0xf305fd0b,0x9f00007f,0x00000000,0x7ffd4000,0x000000ff,0x000ffffd,
    0x0fffffa0,0x4ffffe98,0x22002f40,0x0950000e,0x0004a800,0x3fffe200,
    0x19000000,0x00005980,0x400002d8,0x0004fffc,0x00002cc0,0x0002d400,
    0x00077000,0x3ffea000,0x90000006,0xfe880007,0xff70005f,0x3ffa203f,
    0x43740006,0x007704fe,0x0000b300,0x00000000,0x0007fffb,0x3fffea00,
    0xfa80002f,0x353006ff,0x000e8801,0x00400008,0x00000200,0x00000000,
    0x80000000,0x00000000,0x00004000,0x00008000,0x00004000,0x00000000,
    0x40000800,0x0001fffc,0x7e41bffe,0x5c0001ff,0x002ffc86,0x00002000,
    0x00000000,0xb0000000,0x00dfff3f,0x00000000,0x00000884,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40001c00,0x0005fff9,0x221fffec,0x00007fff,0x05fff50f,
    0x00380000,0x4ccccc40,0x33310099,0x00000033,0x6d3e6000,0x00001fff,
    0xb5000000,0x7ffec07f,0x2effffff,0xfffffffb,0x3fa25dff,0xffffffff,
    0xffffffff,0x7ff4c4ff,0xefffffff,0x8002bdee,0xffffffe8,0xffffffff,
    0x444fffff,0xfffffffe,0xffffffff,0x7dc4ffff,0xffffffff,0xffffffff,
    0xfd33ffff,0xffffffff,0x0057bddd,0xfffffc80,0xffffffff,0x70ffffff,
    0xffffffff,0xffb80bff,0x84ffffff,0xfffffffc,0xffffffff,0x0000ffff,
    0xb0000be6,0x80009fff,0x7dc6fffb,0x500005ff,0x00bfff60,0x017cc000,
    0xfffff700,0x3fae05bf,0x3ffa25ff,0xffffffff,0xffffffff,0x3f90004f,
    0x0013ffea,0x3ffffff6,0xffb2efff,0xdfffffff,0x3fffee25,0xfffe9803,
    0xffd301df,0x2a203bff,0xcccefffe,0xfedccccc,0xfff7104f,0xffd9bdff,
    0x10001bff,0x99dfffd5,0xdb999999,0x3aa209ff,0xccccefff,0xffedcccc,
    0x77fffdc4,0xefffeeee,0xffffeeee,0x7fffdc44,0xfffecdef,0xf90000df,
    0xdddddfff,0xfffddddd,0xfffc885f,0x5c003fff,0x900bffff,0xddddffff,
    0xffdddddd,0xc80005ff,0x7f40005f,0x440003ff,0x3fa0ffff,0x000002ff,
    0x01ffffc4,0x02fe4000,0x3fffa200,0x205ff005,0xcefffea8,0xdccccccc,
    0x88004ffe,0x07fff46f,0xfffe9800,0xffd301df,0xdba83bff,0xf5003fff,
    0xff500dff,0x3fee00df,0x17ee003f,0x205fffb0,0x003ffffb,0x007fff70,
    0x3ee02fdc,0x3ee003ff,0xb80f7e45,0xe9882fff,0x5fffb04f,0x0ffffee0,
    0x0033f600,0x205fffd8,0x006ffffa,0xd803dff0,0x3f6000cf,0x440005ff,
    0x20000fff,0x0002ffff,0xf11ffff8,0x00003fff,0xbffffb00,0x7fc40000,
    0x7cc0000f,0x5f9805ff,0x03fffb80,0x20017ee0,0x7ffdc2fb,0x3fea0003,
    0xfffa806f,0x03fff806,0x00bfff30,0x200bfff3,0x4003fffa,0x7ffdc05d,
    0x3fffe602,0xfffa8003,0x202ec003,0x4003fffa,0x7007645d,0x74405fff,
    0x05fff704,0x01ffffcc,0xf7001760,0xfc801dff,0x44000fff,0x05d801ff,
    0x077ffdc0,0x3ffee000,0xfff30004,0xff00003f,0x3ffe65ff,0x4000000f,
    0xefffe9bd,0xffb80000,0xfc80004f,0x02fb807f,0x003fffa8,0x3f4002ec,
    0x0037ffc4,0x00bfff30,0xd00bfff3,0x3e2007ff,0xff8805ff,0xfff5005f,
    0x405a8007,0x5c02fffb,0x4000ffff,0x4003fffa,0x7ffd405a,0x322d4003,
    0x17ffdc04,0x7fdc16a0,0x7ffdc02f,0x007a000f,0x01ffff98,0x009fffd0,
    0x3d003fb8,0x7fffcc00,0xffe80001,0xff50007f,0xd00001ff,0x3fea9fff,
    0x000000ff,0x7ff445b1,0xfe80006f,0x880007ff,0x37402fff,0x03fffa80,
    0x2a002d40,0x3fffb03f,0x3ffe2000,0x5fff8805,0x003ffe80,0x1009fff1,
    0x2a009fff,0x44003fff,0x17ffdc06,0x0bfffe20,0x07fff500,0x7d406880,
    0x344003ff,0xfff70076,0xf7058805,0xff8805ff,0x01a002ff,0x009fffd0,
    0x00ffffcc,0x1a006f88,0x09fffd00,0xffff5000,0xff70005f,0x3a0000ff,
    0xfff75fff,0x6c00000f,0x0bfffb04,0x7fffd400,0xfc80002f,0x00fe606f,
    0x001fffd4,0x1fb001a2,0x017ffe60,0x027ffc40,0x4027ffc4,0xf1003ffd,
    0xff1009ff,0x3fea009f,0xb800003f,0xfe802fff,0x7d4004ff,0x800003ff,
    0x0003fffa,0xfffb8018,0xff701802,0xfffd005f,0x90024009,0x9000dfff,
    0x3600dfff,0x8012001f,0x0006fffc,0xdfff3fb0,0xffff7000,0xffb00001,
    0x1fffee9f,0x17c40000,0x005fff90,0x3ffe7f60,0xff880006,0x001f902f,
    0x000fffea,0x809f1000,0x8000fffe,0x8804fff8,0xfd804fff,0xfff1003f,
    0x9fff1009,0x0fffea00,0x3fee0000,0xfffe802f,0x7ffd4004,0xfa800003,
    0x000003ff,0x005fff70,0x017ffdc0,0x0027fff4,0x7fffcc00,0xfffd0001,
    0x004fa807,0xffff3000,0x9f300003,0x0007fff6,0x003ffff5,0x27fffd00,
    0x000ffff9,0x401fb800,0x98004ffc,0x03fffb4f,0x0dff9000,0x7d400bf1,
    0x000003ff,0x3ee00fe4,0xf88003ff,0xff8804ff,0x3ffd804f,0x09fff100,
    0x009fff10,0x400fffea,0xfff7001a,0x5ffff005,0x3fffa800,0x2a003500,
    0x35003fff,0x7ffdc000,0x3fee0002,0xffff802f,0x74400002,0x20003fff,
    0x100ffff9,0x200000df,0x003fffe8,0x3ea3f900,0x7cc004ff,0x80002fff,
    0xff12ffff,0x000003ff,0xffb007fb,0x2a3f9000,0x80004fff,0x7dc1fff9,
    0x3ffea001,0x00035003,0x555555ff,0x0ffff755,0x09fff100,0x009fff10,
    0x22007ffb,0xf8804fff,0xff5004ff,0x00b2007f,0x2017ffdc,0x000ffff9,
    0x801fffd4,0xfff5002c,0x000b2007,0x002fffb8,0x00bffee0,0x001ffff3,
    0x5fffc800,0xfffc8000,0x0003f905,0x17fff200,0x237c4000,0x2000fffe,
    0x003ffff8,0x0ffffc40,0x0005ffff,0x500bfb00,0x7c4001ff,0x007fff46,
    0x22ffec00,0x7fd4006e,0x0059003f,0xffffffb8,0xffffffff,0x7fc4002f,
    0xfff8804f,0x03ffd804,0x009fff10,0x2009fff1,0xd003fffa,0x3ffee005,
    0x3fffa202,0xfffa8004,0x2005d003,0xd003fffa,0x7fdc0005,0x3ee0002f,
    0x3fa202ff,0x400004ff,0x000ffffa,0x87fffd00,0x000004f9,0x001ffff5,
    0xf70bee00,0xfd8007ff,0x4c0004ff,0x7ff46fff,0xb800004f,0x06f802ff,
    0x3ee17dc0,0x980003ff,0x07f31fff,0x03fffa80,0x7e8005d0,0x17ffe600,
    0x09fff100,0x009fff10,0x22007ffb,0xf8804fff,0xff5004ff,0x2fc8807f,
    0x05fff700,0x017fff62,0x01fffd40,0x5400bf22,0x64403fff,0x3ee0002f,
    0x2e0002ff,0xfb102fff,0x80000bff,0x002ffff8,0x3fffe600,0x00003fa0,
    0x0bfffe20,0x887e8000,0x5c006fff,0x40006fff,0x7d43fffa,0x800006ff,
    0x7401fff8,0x443f4004,0x00006fff,0x03f2bffb,0x07fff500,0x2002fc88,
    0x7ec003f9,0x3e2001ff,0xff8804ff,0x3ffd804f,0x09fff100,0x009fff10,
    0x3bbbffea,0xfffeeeee,0x5fff7002,0x3ffffc98,0x3ffea000,0xeeeeeeee,
    0xf5002fff,0xddddddff,0x005fffdd,0x017ffdc0,0x85fff700,0x03ffffc9,
    0xfffd8000,0xfc800005,0x005f75ff,0x3fff6000,0x3ea00005,0x03fffb03,
    0x0ffff440,0x0dffd000,0x0007fffa,0xfffd8a20,0x4005f102,0xfffb03fa,
    0xff300003,0x50009f3f,0xdddddfff,0x05fffddd,0x20007ec0,0x2004fffa,
    0x8804fff8,0xfd804fff,0xfff1003f,0x9fff1009,0x3bffea00,0xfecccccc,
    0xff7002ff,0xfffffddf,0xa800015b,0xccccefff,0x02fffecc,0x99dfff50,
    0xfffd9999,0x7fdc0005,0x3ee0002f,0xffffeeff,0x00000adf,0x00ffffb8,
    0xfff88000,0x00005fbf,0x01ffff70,0x807ec000,0x4005fff9,0x0005fff9,
    0x2a05fff5,0x40006fff,0x3ffa20e8,0x4004b84f,0xfff300fd,0x3fa0000b,
    0xa8001fff,0xccccefff,0x02fffecc,0x20009f10,0x1000fffe,0xf1009fff,
    0xffb009ff,0x3ffe2007,0x4fff8804,0x07fff500,0x2e005f90,0xfdaacfff,
    0x500003ff,0xf9007fff,0x3ffea005,0x002fc803,0x00bffee0,0xacfffb80,
    0x003fffda,0xffff1000,0x54000005,0x000fffff,0xffff8800,0x3e200002,
    0x07fff404,0x07ffea00,0x017ffa00,0x0007fffd,0x7ffc416c,0x10012e5f,
    0xfffe809f,0xffa80000,0xff50006f,0x05f9007f,0x40007f20,0x1004fffc,
    0xf1009fff,0xffb009ff,0x3ffe2007,0x4fff8804,0x07fff500,0x7dc00ba0,
    0x3ffe22ff,0xfa80001f,0x05d003ff,0x00fffea0,0xf7000174,0x5c0005ff,
    0x3fe22fff,0x800001ff,0x0004fffe,0x3fffd800,0xffd00000,0xc800009f,
    0x7ffdc01f,0x5ffc8003,0x02ffdc00,0x01ffff44,0xfd102ec0,0x00099dff,
    0xffb803f9,0xfd00003f,0x3ea0007f,0x05d003ff,0x4000ff10,0x800ffffa,
    0x8804fff8,0xfd804fff,0xfff1003f,0x9fff1009,0x0fffea00,0xfb801640,
    0x7ffd42ff,0xffa80006,0x0059003f,0x400fffea,0x3ee0002c,0x2e0002ff,
    0x7fd42fff,0x6400006f,0x00006fff,0x05fff500,0xfff90000,0xff00000d,
    0x55555555,0x000ffff7,0x2003bff6,0x22005ffc,0x801dfffe,0xffb004e9,
    0xff0001ff,0x55555555,0x000ffff7,0x0003fea0,0x801fffd4,0x05fd802c,
    0x3fffe200,0x4fff8804,0x04fff880,0x1003ffd8,0xf1009fff,0x3ea009ff,
    0x033003ff,0x20bffee0,0x0004fffc,0x801fffd4,0xfff50019,0x00066007,
    0x002fffb8,0x20bffee0,0x0004fffc,0x03ffff30,0x3ea00000,0x400002ff,
    0x001ffff9,0x7fffdc00,0xffffffff,0x50002fff,0xa8815ffd,0x88004ffe,
    0xabdffffc,0x03ffdb99,0x02fffe40,0x3ffffee0,0xffffffff,0x880002ff,
    0x3ea0004f,0x033003ff,0x017ffe44,0xfffffb80,0x3ffe201c,0x4fff8804,
    0x003ffd80,0x1009fff1,0x2a009fff,0x00003fff,0xd02fffb8,0x40005fff,
    0x0003fffa,0x03fffa80,0xff700000,0x7dc0005f,0xfffd02ff,0xffd00005,
    0x0000007f,0x0017ffd4,0x0ffffa00,0x01fa0000,0x005fff98,0x77fffdc0,
    0x000bffff,0x7fffecc0,0x00cfffff,0x07fff500,0xf3003f40,0x70000bff,
    0x7d40003f,0xc80003ff,0x4fffffff,0xfffff900,0x220bffff,0xf8804fff,
    0xffd804ff,0x9fff1003,0x09fff100,0x00fffea0,0x3ffee000,0x1ffff102,
    0x3ffea000,0xfa800003,0x000003ff,0x005fff70,0x817ffdc0,0x000ffff8,
    0x01bfff20,0xfa800040,0x200002ff,0x0006fffc,0x001fcc01,0x0007fff6,
    0xfffff910,0x5000001f,0x00357bd5,0x01bfea00,0x36001fcc,0x40001fff,
    0x7d40006e,0x000003ff,0x00b90000,0x804fff88,0xd804fff8,0xff1003ff,
    0xfff1009f,0x3ffea009,0x20910003,0x2e02fffb,0x50005fff,0x20007fff,
    0x7fff5048,0x80122000,0x0002fffb,0xb80bffee,0x50005fff,0x0001ffff,
    0x3ea00093,0x500002ff,0x0001ffff,0x007ec093,0x013ffea0,0x7fffdc00,
    0x3000005f,0x0080007f,0xfb001ff7,0xfffa8001,0x0bea0004,0x7fff5000,
    0x00122000,0x001fcc00,0x2013ffe2,0xd804fff8,0xff1003ff,0xfff1009f,
    0x3ffea009,0x207b0003,0x6c02fffb,0xa8003fff,0xb0003fff,0x0fffea07,
    0x7001ec00,0x40005fff,0x6c02fffb,0x44003fff,0x0002ffff,0x3ea00059,
    0x880002ff,0x0002ffff,0x013e2059,0x007fff40,0xfffe9800,0xe800002f,
    0xfd0006ff,0x803ff105,0xfd0004f8,0x3a0001ff,0xffa80006,0x07b0003f,
    0x17ee0000,0x09fff100,0x009fff10,0x22007ffb,0xf8805fff,0xff5005ff,
    0x1f50007f,0x00bffee0,0x005fffd1,0x003fffa8,0xff500fa8,0x1f50007f,
    0x17ffdc00,0x5fff7000,0x2fffe880,0x17fff600,0x000fc400,0x003fffa8,
    0x05fffd80,0x3203f100,0xff90001f,0x4400009f,0x001ffffd,0x0fff4c00,
    0x413fe600,0x01fc807e,0x09fff900,0x017dc188,0x1fffd400,0x0007d400,
    0x00ffc800,0x017ffe20,0x2017ffe2,0xf3003ffd,0xff300bff,0x3fea00bf,
    0x2fc4004f,0x005fff70,0x001ffff3,0x0027ffd4,0xffa817e2,0x2fc4004f,
    0x0bffee00,0x2fffb800,0x0ffff980,0x0ffffb80,0x000fb000,0x001fffdc,
    0x03fffee0,0xf883ec00,0x3fea0007,0x400000ff,0x001fffea,0x017fd400,
    0x2213fe20,0x03fc406f,0x1ffff500,0x3b7ffea0,0xf500006f,0xf88009ff,
    0x26000005,0xf3002eff,0xff300bff,0x9ffd00bf,0x1bffea00,0x01bffea0,
    0x0027ffdc,0x7e407ff5,0xff7004ff,0x3ee003ff,0x3ea004ff,0x3ffee03f,
    0x0ffea004,0x07fff900,0x27ffe400,0x1ffffb80,0x0bfffe20,0x01bf6200,
    0x04fffc80,0x3fffe200,0x6fd88002,0x4000bfb0,0x004ffff8,0x7ffd5000,
    0x37e40000,0xb83fd800,0x02fec01f,0x9ffff100,0x3fffff60,0xf700000e,
    0x7d4009ff,0x4000003f,0xeccffffd,0x06fffa81,0x806fffa8,0xea805fff,
    0x2a03ffff,0x403ffffe,0xbcfffff9,0xeccbaaaa,0xff300fff,0x3a005fff,
    0x202cffff,0xbcfffff9,0xeccbaaaa,0xff300fff,0x55579fff,0xfffd9975,
    0x7ffcc001,0xf98002ff,0xd002ffff,0xd059ffff,0x9999ffff,0xb9999999,
    0x000bfffd,0x2bffffe6,0xfffe8000,0xcccccccf,0xffedcccc,0x7ffe445f,
    0xfff70002,0x000039ff,0x02bbf660,0x3ff26200,0x3dd10002,0xc880bf22,
    0x70002fff,0x839fffff,0x00dffffa,0xffff3000,0x7555579f,0x01fffd99,
    0xfc880000,0xea80cfff,0x2a03ffff,0x203ffffe,0xb00ffffa,0xffffffff,
    0x3fff65df,0x2effffff,0xfffffdd1,0xffffffff,0x98bfffff,0xffffffee,
    0x3e200eff,0x12ffffff,0xffffffdd,0xffffffff,0xe88bffff,0xfffffffe,
    0xffffffff,0xe9805fff,0xfffffffe,0x3ba600ef,0xffffffff,0x3ffe200e,
    0xff72ffff,0xffffffff,0xffffffff,0x44007fff,0xffffffee,0xf7001eff,
    0xffffffff,0xffffffff,0x7e47ffff,0x04ffffff,0xffffff90,0x0000bfff,
    0x02cca980,0x000732a0,0x066f6dc0,0xffffff90,0x3ff2009f,0x5fffffff,
    0x00005e4c,0x7ffff744,0xffffffff,0x05ffffff,0x04400000,0xffffffd8,
    0xffb2efff,0xdfffffff,0x3ffffaa5,0x00002eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x701aaba9,0x2801c000,0x00d40000,0x4c0001cc,
    0xc9800002,0xb10003cc,0x2000d100,0x00005003,0x80004002,0x802c0000,
    0x9300000d,0x01dc983b,0xfffffd10,0x00dfffff,0x2dc88000,0x7fffd400,
    0x5c000fff,0xeffffffe,0xfffffd14,0xffffffff,0x89ffffff,0xffffffe9,
    0x7e40efff,0xffffffff,0xfffffc80,0x405effff,0xffffffeb,0x5554005f,
    0x0004000a,0x1a800001,0xffd71000,0x39ffffff,0xea8001e2,0x0000f200,
    0x74403f30,0x7fdc0002,0x7ec00006,0x3a0000ff,0x00bb100c,0x3c803ae0,
    0x80688000,0x03a80068,0x7006ec00,0x7ec0000f,0x037ff46f,0x3fffee20,
    0x000001cf,0x003fff70,0xdffff910,0x3ff26000,0xffd5100d,0x999999df,
    0x09ffdb99,0x3ffffea2,0xffffc802,0xffd9800c,0x4c000dff,0x8001fffc,
    0x8005fff8,0x016400e8,0x003f3000,0x37bdff90,0x7fffdcc4,0x3fa0000f,
    0x00006c81,0x9579dfd0,0x80001ffd,0x0001fffe,0x0007ffe0,0x959dff70,
    0x40005ffd,0x006d81fe,0x4c077a00,0x03e8005e,0x677fd400,0x004ffdba,
    0x83fffe00,0x8000ffff,0x0005fffc,0x7ffec000,0x3fea0002,0x3e0005ff,
    0xfffb801f,0x017ee003,0x2009fffb,0x4001effb,0x001ffff8,0x4000bfe0,
    0x20006ffb,0x00b902fb,0x4006c800,0x800dffe8,0x000fffd8,0xfd8ffe60,
    0xf3000002,0x5fffffff,0xfff90000,0x7fd40000,0xffd00002,0x009fffff,
    0x363ff980,0x2e00002f,0xffecdfff,0x1fcc001f,0x7ffec000,0x0006ffff,
    0x3227fe40,0xf50004ff,0x000009ff,0x006ff980,0x3ffffa80,0x200fd000,
    0x4003fffa,0x7ffe405d,0x0dfe8803,0x0ffff000,0x000fe800,0x0001dfb0,
    0x0fec4fe8,0x00fe0000,0x005fff98,0x0001ffc8,0x37eeffec,0x3ea00000,
    0x002fffff,0x00397100,0x001fe400,0xffffb100,0x3600007f,0x005fedff,
    0xffffd800,0x44003fff,0x900003ff,0x01bfffff,0x20330000,0x3ea00019,
    0x000003ff,0x00002880,0x05fffff3,0x2a00fd00,0x54003fff,0x17ffdc05,
    0x0002fec0,0x0001fffa,0xf10001fb,0xf500003f,0x009fb1bf,0x000f9800,
    0x000bffd1,0x200017ec,0x01fffff8,0xca880000,0x000000bc,0x04f80000,
    0x59730000,0x7c400001,0x0001ffff,0xfffff700,0x7ffd0005,0x65cc0000,
    0x0000001b,0xff500000,0x0000007f,0xf9800000,0x000fffff,0xffa803ec,
    0x0344003f,0x900bffee,0xfd0000bf,0x7d8000ff,0x005f5000,0x7fffec00,
    0x6400000f,0x1fff6005,0x005f1000,0x0bfff900,0x00000000,0x00000000,
    0x000002cc,0xf9000000,0x000009ff,0x8001a988,0x99cfffe8,0x00000009,
    0x5cc40000,0xfa80000a,0x000003ff,0x0d5d54c0,0x5fcc0198,0x000efffe,
    0x7fd401f6,0xb800003f,0x3f202fff,0xffd00005,0x07d8000f,0x00007b00,
    0x03ffff98,0x002f8000,0x0007fff5,0x000007b0,0x26000000,0x701aaba9,
    0x00000000,0x00000002,0x00000000,0x80000000,0xfffffffa,0x380005ff,
    0x6d400000,0xdfffffff,0xffa8000c,0x8000003f,0xffffffc9,0x00f61cff,
    0xffff17f3,0x803ec00b,0x0003fffa,0x02fffb80,0x40000bf9,0x40007ffe,
    0x0050007d,0x0aaaa000,0x03ea0000,0x007fffc0,0x00024c00,0x80000070,
    0xfffffeb8,0x0f11cfff,0x1bccb980,0x00000000,0x0de65cc0,0x00000000,
    0x10000000,0x339ffb33,0xf9800013,0xd8800002,0x7510acff,0xa8003dff,
    0x00003fff,0x2fbff620,0x777f5cc1,0x99fcc04f,0xb004ffff,0x3ffea00f,
    0x20035003,0xfd82fffb,0x7f400005,0x3ec0007f,0x00080200,0x00008020,
    0x01bfb6ea,0x0027ffd4,0x4c000000,0x9000002f,0x4437bdff,0x0fffffb9,
    0xbadfe980,0xaaaabefe,0xfffffd10,0x00dfffff,0x75bfd300,0x55557dfd,
    0x3ffffa61,0xeeffffff,0x2000accd,0xffffffe8,0xffffffff,0x204fffff,
    0x00003ffd,0x00002fe4,0x1007bfee,0x54007ffd,0x00003fff,0x007fff30,
    0x3013ffee,0x7fffdc7f,0x5007d802,0x32007fff,0x5fff7002,0x00005fd8,
    0x0007ffe8,0xdfb003ec,0x000efd81,0x3f6077ec,0x3fa6000e,0x00dffece,
    0x001fffec,0x64000000,0x4400005f,0x8800dffe,0x5c00fffd,0x7ff441ff,
    0x5c43ffff,0x01cfffff,0x83ff7000,0xffffffe8,0x7fffdc43,0xffecdeff,
    0x000cefff,0x9dfffd51,0xb9999999,0x7ec09ffd,0x2200003f,0x00000fff,
    0x4001dff9,0xf5006ffc,0x000007ff,0x8005fff7,0x7cc05ffa,0x0ffffe43,
    0x7d401f60,0x05d003ff,0x44bffee0,0x000005fd,0x8000fffd,0xfff5007d,
    0x027ffd49,0x549fff50,0xf7004fff,0x7fffdc3d,0x5ffff102,0x00000000,
    0x000fff88,0x0bfff300,0x403ff900,0xff504ff9,0x3201555f,0x00005fff,
    0x7d413fe6,0xb00aaaff,0x54407fff,0x003ffffe,0x800fffee,0x3ff605fb,
    0x3ee00003,0x980004ff,0x44001fff,0xfa804fff,0x400003ff,0x0002fff9,
    0x3f980bf7,0x00efffd8,0x7fd401f6,0x17e4403f,0x8afffb80,0x000005fe,
    0x0001fffa,0x3fe600fb,0x0fffe64f,0x24fff980,0x9803fff9,0x7f6740ff,
    0xffff306f,0x00000003,0x04fffb80,0x5ffe8800,0x80bf6000,0x3fa01ffe,
    0xfffa801f,0x3fa00004,0x07ffa01f,0x00bffee0,0x02ffffe4,0x003fffa8,
    0x7ffb02ec,0x7ff40000,0x7440007f,0xf90005ff,0xffa803ff,0x2200003f,
    0x40006ffe,0x41fcc06e,0x205fffe8,0xfff5007d,0xdddddddd,0x2e005fff,
    0x4ffebfff,0x3fa00000,0x3ec0007f,0xc81bf900,0x7e4000df,0x006fe40d,
    0x27e627f4,0xfa81fffc,0xca8007ff,0xcccccccc,0xfffd0003,0xffb0000f,
    0x2f88000f,0xd803ffe0,0xffa804ff,0x3e00003f,0x3ff600ff,0x2fffb804,
    0x3fffe600,0x3fffa804,0xfb02d400,0x2a00007f,0x002fffff,0x007fff20,
    0x037ffc40,0x000fffea,0x01fffc80,0x26035c00,0xffff303f,0x5401f609,
    0xccccefff,0x02fffecc,0xffdfff70,0x000009ff,0x0001fffa,0x000000fb,
    0x5c000000,0xf9b640ff,0xffff707f,0xff731000,0x0003bfff,0x0bffffea,
    0x3fffa800,0x303d8000,0x7e401fff,0xfffa806f,0xff300003,0x37fe401f,
    0x017ffdc0,0x0ffffea0,0x007fff50,0x3ff60688,0x3fb00003,0x2000dfff,
    0x0005fffa,0x501fffe4,0x00007fff,0x001fffe2,0x0fe603c0,0x83ffffa8,
    0xfff5007d,0x005f9007,0x3f6bffee,0x00004fff,0x0007ffe8,0x000003ec,
    0xd0000000,0x0187d0ff,0x003fffee,0x07fffb80,0x7fcfec00,0x3fe0006f,
    0x980000ff,0x03fff104,0x54037fdc,0x00003fff,0x5c03fff1,0xffb806ff,
    0xffd8002f,0x3fea00ff,0x6c00003f,0x980003ff,0x03fffb4f,0x09fff900,
    0x6fffa800,0x00fffea0,0x2fffdc00,0x4c028000,0x7ffe403f,0xa803ec1f,
    0x5d003fff,0x4bffee00,0x004ffffd,0x03fff400,0x4cc1f600,0x99809999,
    0x33301999,0x33301333,0x37fc0333,0xfa8003e6,0x20001fff,0x0006fff9,
    0x7ffed3e6,0xfffa8001,0xd0000004,0x7fe405ff,0x3fffa805,0x3ffa0000,
    0x017ff202,0x000bffee,0x80ffffe2,0x0003fffa,0x001ffec0,0xffa8fe40,
    0xffe8004f,0x7cc0003f,0xff500fff,0x3a00007f,0x00002fff,0xb007f300,
    0x3ec1ffff,0x03fffa80,0x3ee00590,0x3fff62ff,0x3a00004f,0x6c0007ff,
    0xffffb907,0xfffffb05,0xffffb903,0xfffffb05,0xc8bff103,0x7ffc4005,
    0x3e20002f,0x320005ff,0x09fff51f,0x07fffb00,0x3f200000,0x0bff606f,
    0x00fffea0,0x06ffc800,0x2e00bff6,0x90002fff,0x7d40dfff,0x035003ff,
    0x0007ffb0,0x7ff46f88,0x7ffc000f,0x7c40002f,0xff501fff,0xf100007f,
    0x00003fff,0x200fe600,0x366fffe8,0x7fff5007,0x5c006600,0x7fe42fff,
    0xd00004ff,0xe8000fff,0x17ffd407,0x403fff90,0x3202fffa,0xffa81fff,
    0x7c0017c6,0x20004fff,0x0005fff8,0xfffe8df1,0x3ffe2000,0x0000002f,
    0xf103ffd1,0x3fea00bf,0x2200003f,0xff881ffe,0x5fff7005,0x3ffea000,
    0x7fff501f,0x3600b200,0x5c0003ff,0x1fffdc2f,0x3ffff300,0xffff0000,
    0x0fffea07,0x3ffe6000,0x0000000f,0x3e2007f3,0x00fb5fff,0x000fffea,
    0x0bffee00,0x013ffff2,0x03fff600,0xf806e800,0x3fe602ff,0x17ffc01f,
    0x503fff30,0x007d4fff,0x037ffec0,0x0bfff100,0xf70bee00,0x7cc007ff,
    0x00001fff,0x8bff6200,0x5000dfeb,0x00007fff,0x2e2ffd88,0xf7000dfe,
    0x260005ff,0xf503ffff,0x0ba007ff,0x000fff60,0xfff10fd0,0x7ffd400d,
    0xff80000f,0xfff504ff,0xfa8c0007,0x00000fff,0x4007f300,0x7dbffff9,
    0x07fff500,0xfff70000,0x3ffff205,0x7fec0004,0x1be0000f,0x880bffa0,
    0x7f401fff,0x3ffe202f,0xb1fff881,0x3fe6000b,0xf10001ff,0x3a000bff,
    0x06fff887,0x01fffea0,0x333332a0,0xf103cccc,0x03bdfffd,0x03fffa80,
    0xfef88000,0x4001deff,0x0002fffb,0x5413fffe,0x64403fff,0x4ffd802f,
    0x40fea000,0x7001fffd,0x0000ffff,0x5417fffa,0x30003fff,0x01fffeeb,
    0x3f980000,0x7fffdc00,0xfff5007f,0x41220007,0x3202fffb,0x0004ffff,
    0x000bffee,0x7f4027cc,0x0fffc02f,0xf00bffa0,0x3ffe03ff,0x12202f8c,
    0x005fffd8,0x00bfff10,0x3f607f50,0xff7001ff,0x731000ff,0x03bfffff,
    0x00008ba6,0x001fffd4,0x008ba600,0x17ffdc00,0xbfffd000,0x3bbffea0,
    0xffeeeeee,0x6ffc802f,0x0fd80054,0x00bfff30,0x003fffea,0x13fffa00,
    0x001fffd4,0xffff72d8,0x4c000000,0xffc8003f,0xff5007ff,0x0f60007f,
    0x2017ffdc,0x004ffffc,0x009fff50,0x3a00bee0,0x7ffc02ff,0x017ff401,
    0x7ec07ffe,0x16407cff,0x05ffff10,0x0bfff100,0x2601fb00,0xf7005fff,
    0x40001fff,0x2207fffb,0x5400005f,0x00003fff,0x000017e2,0x0005fff7,
    0xa82fffec,0xccccefff,0x02fffecc,0xa8afffb8,0x809f1004,0x9800fffe,
    0x0001ffff,0x502ffff8,0x50007fff,0x3fffe61f,0x30000000,0x3fa0007f,
    0xff5007ff,0x1f50007f,0x00bffee0,0x013ffff2,0x003fff40,0xfe800fe8,
    0x0fffc02f,0xf00bffa0,0x3fee03ff,0x01a604ff,0x001bfff2,0x0017ffe2,
    0xffe809f1,0xfffa800f,0x3e60001f,0x3bf206ff,0x3ea00000,0x200003ff,
    0x00000efc,0x000bffee,0x504fffe8,0xf9007fff,0xffff1005,0x0fe400df,
    0x00fffee0,0x00bfffe2,0x07fffe00,0x0027ffd4,0xfff897a6,0x0000001f,
    0x220009f3,0xf5007fff,0xf88009ff,0x0bffee05,0x2ffffec0,0x1fffd400,
    0x400ff600,0x7fc02ffe,0x17ff401f,0x4407ffe0,0xb80dffff,0xfff9003f,
    0x7fc4001d,0x0fe4005f,0x00fffee0,0x00bfffe2,0x05fff880,0x3bbbfffe,
    0x002bcccd,0x0007fff5,0x777fffc0,0x02bcccde,0x005fff70,0x81ffffc0,
    0xd003fffa,0x3ffe6005,0x2bfe001c,0xbaaaaaaa,0xfd007fff,0x880007ff,
    0xf700ffff,0x71001dff,0xffff87ff,0x70000002,0x7cc000bf,0xfff7007f,
    0x1ffd4009,0x007fffb0,0x3bffffe2,0x7ffec001,0x05fe9804,0xf00bffa0,
    0xffe803ff,0x00fffc02,0x9bfffff3,0xc800bffb,0x1000efff,0xf800bfff,
    0xaaaaaaaf,0x007fffba,0x0009ffff,0xb02fffc4,0xffffffff,0x805dffff,
    0x0003fffa,0x3fffff60,0xefffffff,0x17ffdc02,0xffff8800,0x07fff501,
    0x03000b20,0xfffff700,0xffffffff,0xffb005ff,0xf980009f,0xfff306ff,
    0xdddddfff,0x1ffffddd,0x004fffe8,0xffe88000,0xff50000a,0xfffff300,
    0x97555579,0x101fffd9,0x03fffff7,0xffffff30,0x3200159f,0x98acefff,
    0x004fffdb,0x3e017ff4,0x7ff401ff,0x00fffc02,0x3fffffee,0x98000eff,
    0x301dfffe,0x003bfff9,0x7fffffdc,0xffffffff,0xfffd802f,0x3fe20006,
    0x7ffe405f,0xffffffff,0x3fea03ff,0x6400003f,0xffffffff,0x203fffff,
    0x0002fffb,0x201ffff5,0x3003fffa,0x80004003,0x3fe6007e,0xfffa805f,
    0x7fdc0006,0x3ffba23f,0xffffffff,0xffffffff,0x06fffa86,0x3fba0000,
    0x01efffff,0xdd107c80,0xffffffff,0xffffffff,0xffe98bff,0xefffffff,
    0x7ffff440,0x4fffffff,0xffffb500,0x03bfffff,0x805ffd00,0x7f401fff,
    0x0fffc02f,0x3fffbe60,0xa80003ff,0xeeeffffd,0x000bffff,0x3e6007e8,
    0xff9805ff,0xf10001ff,0x34d80bff,0x99755553,0x7fd40dfd,0x6c00003f,
    0x75555334,0x5c0dfd99,0x70002fff,0x7d40dfff,0x800003ff,0x26001efe,
    0x7fec003f,0xfffd801f,0x3ffa0001,0x00000006,0x0007fffa,0x00000a20,
    0x80000280,0x0000007a,0x51000000,0x0157fb75,0x017ff400,0xfd007ffe,
    0x1fff805f,0x9aa8ae40,0xa9800000,0x009abced,0x000fe600,0xb003fffb,
    0x2000bfff,0x3605fff8,0x01fd8005,0x0007fff5,0x2001760c,0xfff701fd,
    0xfff10005,0x7ffd405f,0x7cc00003,0x3f6006ff,0x7ffd4000,0x5fff8804,
    0x3fff5000,0x0b7a6000,0x37ffd400,0x003a2000,0x00ade880,0x5f800000,
    0xde880000,0x0000000b,0xb00006e8,0xfff807ff,0x01ffec01,0x5f007ffe,
    0x88000000,0x200000df,0x7d4000fd,0xff8804ff,0xf88002ff,0x05f705ff,
    0x2a01f300,0x30003fff,0x40017dcb,0xfff700f9,0xfff90005,0x3fffa80b,
    0xf1091000,0xf1001fff,0x3ffa0009,0xfffb800f,0x4ffe8001,0x3ffea000,
    0xfffd0006,0x016c0007,0x3fffe200,0x20000000,0x800007f9,0x000ffff8,
    0x3fe20000,0xffc80000,0x07ffe604,0x4c09ff90,0x3ea01fff,0x40000000,
    0x0000fffd,0xd0004f88,0xf9001fff,0xf1000dff,0x1ff30bff,0x540d5000,
    0xb0003fff,0x0003fe65,0xfffb81aa,0x7ffcc002,0x7ffd401f,0x207b0003,
    0xc801f8a8,0xff90001f,0x3ffa009f,0x37fe4006,0x3faa2000,0xfe88001f,
    0x5d8003ff,0xffb30000,0x40000007,0x00002ffa,0x003ffd98,0x3fe60000,
    0xffc80003,0x5fffd506,0x506ffc80,0x6c05fffd,0x80000005,0x0003ffd9,
    0x90001fc8,0x32009fff,0x2000efff,0xfd85fff8,0x0fcc005f,0x007fff50,
    0x3ff61f50,0x00fcc005,0x4005fff7,0x804fffe8,0x8003fffa,0x03cc00fa,
    0x50003fc4,0x2001ffff,0x4400effc,0x00004ffd,0x4000bfea,0x01dfffe8,
    0x00004e98,0x00027fc4,0x5dff1000,0xff100000,0x80000009,0x0000bffe,
    0x4473ffea,0x8dfff9fc,0x39fff501,0x3ffe7f22,0x017c418d,0xf8800000,
    0x7c40004f,0x3fea0007,0xff9000ff,0x3e2001df,0xfffc85ff,0x1fe4402d,
    0x013ffea0,0x7fe4bd30,0x7e4402df,0x17ffdc03,0x3ffffa80,0x09fff500,
    0x4405f880,0x05fd802e,0x3fffe200,0x3ffa6004,0x77f5cc1b,0x7e400001,
    0x3220000f,0x9abdffff,0x003ffdb9,0x02ffa800,0x7e400000,0x02eccfff,
    0x017fd400,0x3ea00000,0x03dcdfff,0x7ffffec0,0xfffff1ff,0x3fff6019,
    0xfff1ffff,0x03dc19ff,0xf5000000,0xfd80001f,0x3fe20005,0x3a6004ff,
    0x9301dfff,0xd103bfff,0x9ddfffff,0x005dfdd9,0x001dfff7,0x7447ff71,
    0xceefffff,0x802efeec,0x4402fffc,0x002ffffd,0x8013ffee,0xdb303ffa,
    0xfffc8805,0xfff70002,0x220039ff,0xffefffec,0x00000cef,0x005ff931,
    0x3fff6600,0x0cffffff,0x32620000,0x000004ff,0xbffff900,0x32620003,
    0x000004ff,0xdffff700,0xffd10005,0x77fc1bff,0x7ff4400b,0x3bfe0dff,
    0x0004e80b,0x7dcc4000,0x3220003f,0x70002fff,0x039fffff,0x7fffed40,
    0xbffffeee,0xfffea800,0x03ffffff,0xffffff30,0xdddddddd,0xd501ffff,
    0xffffffff,0x3fe6007f,0xcaccefff,0x03fffffd,0x7ffffcc0,0xcbaaaabc,
    0x100fffec,0x3ffff200,0xf9004fff,0xffffffff,0x5953000b,0x2a000003,
    0x000001cd,0x06af2eaa,0x66cc0000,0x0000000a,0x80000880,0x0000add9,
    0x01880000,0x01571000,0x57100039,0x0c803901,0x4c000000,0x640002dc,
    0x4fffffff,0xfffff900,0x000bffff,0x35799553,0x32a60001,0x4009acdd,
    0xfffffee8,0xffffffff,0x406fffff,0x9acddca9,0x7ff74c00,0xffffffff,
    0x001bdeef,0x3ffffba2,0xffffffff,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffe9800,
    0xeeffffff,0x00002bde,0x91077220,0x2000003b,0xfd800400,0xffffffff,
    0x3660002e,0xca80001d,0x2aa00e03,0x000000aa,0x07b707b7,0x0066d400,
    0x55555300,0x05555555,0x00008800,0x000cda80,0x55555300,0x05555555,
    0x03eb8000,0x1dc88000,0x0000ee44,0x000b2a00,0x6442dc88,0x39b3002d,
    0x0000cd98,0x15000000,0x55555500,0x05555555,0x5555554c,0x882aaaaa,
    0xdefffffb,0x0dffffec,0xffd80000,0x0037fec6,0x5dff7100,0xfd300160,
    0x0003bfff,0x000dffd0,0x17ffffd4,0x7ffdc034,0xf9800002,0x3ffe62ff,
    0xfff88002,0x3ff60004,0xffffffff,0x1f40007f,0x3fe20000,0xf900004f,
    0xffffffff,0x40000fff,0x0001fffb,0x3637fec0,0x000006ff,0x03dfbfd3,
    0x41fff900,0xe800fffc,0x2fff46ff,0x00000000,0x3a017fe4,0xffffffff,
    0x3ee05fff,0xffffffff,0xffb00fff,0x3ffee05f,0x7c00003f,0x3ffe0fff,
    0xfd00000f,0x4c3dffff,0xfffa8004,0x3fe00006,0xdd0000ff,0x17dffffd,
    0x3ff200b7,0xfb800005,0x3ffee4ff,0xfff98004,0x3ff60006,0xffffffff,
    0x3a20007f,0x2600001c,0x00006fff,0xfffffff9,0x000fffff,0x01fffe40,
    0x3fffe000,0x003fffe0,0x44372000,0xffd8004d,0x07fff61f,0x44ffff10,
    0x00007fff,0xffe80000,0x7ffff406,0x5fffffff,0x3ffffee0,0x0fffffff,
    0x405fff70,0x003ffff9,0x913fee00,0x200009ff,0xfffeaaea,0x8003fcef,
    0x0005fff9,0x0013ff20,0xfffd52cc,0x6c005fff,0x8800007f,0x3fe21fff,
    0xffd0001f,0x00000005,0x7ffec400,0x000befff,0x0017fec0,0x00000000,
    0x007ffcc0,0x17fee000,0x00009ff7,0x0f983f10,0x237fd400,0xf9006ffa,
    0x04ffc89f,0x80000000,0x00005ff9,0x70000000,0xfb805fff,0x00000fff,
    0x000cc066,0xffb83700,0x10005fff,0x0000bfff,0x2e000198,0x3ffffb82,
    0x017f4400,0x500a8000,0x00980001,0x00000000,0x2fa77fee,0x005fffb9,
    0x000004c0,0x00000000,0x40000051,0x00033018,0xf307e200,0x20510001,
    0x80cc0028,0x00000019,0x01dd1000,0x00000000,0x0bffee00,0x05ffff10,
    0x00000000,0x76441200,0xf10000ce,0x000009ff,0x22018000,0xf10000a9,
    0x00000009,0x00000000,0xf7000000,0xfb11f43f,0x0000000f,0x0ab98800,
    0x00000000,0x00000000,0xbb176000,0x00000000,0x7fe40000,0xefffffff,
    0x7fff5c05,0x0bceffff,0x00000000,0x3ffee000,0x4fffe802,0x00000000,
    0x00000000,0x013ffe20,0x55d4cc00,0x0000701a,0x0034c000,0x00000000,
    0xfffec800,0x05efffff,0x7fffff5c,0x8bff15ff,0x003fc43e,0x54000000,
    0xfffffffd,0x000000cd,0x1c000000,0xf3000000,0x0003ff9f,0x00000000,
    0xffffb300,0xfc98001b,0x7f4401ff,0xffffffff,0xffffffff,0xfffd84ff,
    0x2effffff,0x00bffee0,0x9013fffa,0xffffffff,0xfeb80bdf,0x05ffffff,
    0x00001c00,0x0009fff1,0x7ffff5c4,0xf11cffff,0x80000000,0x3ffee001,
    0x5fffffff,0x7ffffdc0,0xfffb4fff,0x5dffffff,0xeffffd98,0x7fe4c000,
    0x217fdc1f,0x3207a83e,0xffffffff,0xffffffff,0x6c400fff,0x7510acff,
    0xe8803dff,0xffffffff,0xffffffff,0x80004fff,0x000002f9,0x00067e40,
    0xffffffd8,0xfd12efff,0xffffffff,0xffffffff,0x7fcc09ff,0x3e0001ff,
    0x3aa2002f,0xccccefff,0xffedcccc,0x3fffa604,0xffb801df,0xffff802f,
    0xfffb3002,0xc98001bf,0x80001fff,0x100002f9,0x20009fff,0x21bdeffc,
    0xfffffb98,0xfffffb00,0x005dffff,0xc8800401,0x03ffffff,0x5ffffdc0,
    0xffffe980,0x3ffe201d,0x3fe0001f,0x743ffd82,0x3f207883,0xeeeeefff,
    0xfffeeeee,0x77fdc02f,0x1fff4401,0x7fff5440,0xccccccce,0x004ffedc,
    0x0005fc80,0x02fe4000,0x7fff4c00,0xfd5101df,0x99999dff,0x9ffdb999,
    0x007fff80,0x40007f40,0x2003fffb,0x7fd405fb,0x3fee006f,0x7ffcc02f,
    0x3fe2000f,0x3e0001ff,0xf900002f,0x3e20000b,0x744004ff,0xd8800dff,
    0x74c00fff,0x001dffff,0xefd81dfb,0xffff5000,0x3bfe000d,0x37ffd401,
    0x007fff80,0x7ec07f40,0x0781f45f,0xd80033f6,0x7e405fff,0x3f2000ef,
    0xfff7006f,0x02fdc007,0x03ffe200,0x7c400000,0xa80000ff,0xf7006fff,
    0x7dc007ff,0x03fff405,0x0003f600,0x000fffea,0xfff980bb,0x3ffee005,
    0x3fffa202,0x7fff8004,0x007f4000,0x07ffc400,0x7ffc4000,0x3ffe6004,
    0x1ffc8005,0x06fffa80,0xa93ffea0,0x32004fff,0x4000ffff,0xf9801ff8,
    0xffd005ff,0x0fd8000f,0x3a0fffb8,0x02ec0503,0x03bffee0,0x001fff98,
    0x4027ffc4,0x4003fffa,0x7dc0005d,0x000004ff,0x009fff70,0x0bfff300,
    0x00fffea0,0xffe80bb0,0x03ec0007,0x03fffa80,0x3e202d40,0x3ee005ff,
    0xffb102ff,0x3fa000bf,0x7ec0007f,0xffb80000,0xf880004f,0xfd1004ff,
    0x7ec000bf,0x5fff9802,0x93ffe600,0x4003fff9,0x4004fffe,0xff1003fb,
    0x3ffa00bf,0x83ec0007,0x7d1ffff8,0x4003d000,0x201ffff9,0x0005ffe8,
    0xa803fff9,0x54003fff,0x7ff40005,0x0000007f,0x000ffffd,0x00bfff10,
    0x000fffea,0x7ffe80b5,0x003ec000,0x003fffa8,0x3fe20344,0x3fee004f,
    0x7ffe4c2f,0x3fa0003f,0x3ec0007f,0xfffe8000,0xff880007,0xfffb004f,
    0x02f88000,0x005fff88,0x3f206fe4,0x7fcc000d,0xdf1001ff,0x27ffc400,
    0x007ffe80,0xffd03ec0,0x0007d5ff,0xfffe800d,0x0fffe404,0x6fff8800,
    0x01fffd40,0xa8001a20,0x002fffff,0x7ffd4000,0x440002ff,0xf5004fff,
    0x688007ff,0x003fff40,0x54001f60,0x00003fff,0x004fff88,0x3fbbffee,
    0x00adffff,0x03fff400,0x0001f600,0x0bffffea,0x9fff1000,0x07fff500,
    0x1007b000,0x00009fff,0x7fe40000,0x03fb006f,0x027ffc40,0x0007ffe8,
    0xfff103ec,0x90007fff,0x37ffe400,0x017ffea0,0x07fff900,0x001fffd4,
    0x27f60000,0x00006fff,0x7ffcfec0,0x7fc40006,0xfff5004f,0xfd000007,
    0x7d8000ff,0x7fff5000,0xff100000,0x7fdc009f,0xfffdaacf,0xffd00003,
    0x07d8000f,0xff9fd800,0x7c40006f,0xfff804ff,0x4980000f,0x04fff880,
    0x40000000,0x5403fffe,0x7fc4004f,0xfffd004f,0x407d8000,0x0efffff9,
    0xff300000,0xffc803ff,0x7d40004f,0x3fea06ff,0x0000003f,0x7ffed3e6,
    0xf3000001,0x007fff69,0x04fff880,0x007fff50,0x0fffd000,0x0007d800,
    0x2007fff5,0xfff1001a,0x7ffdc009,0x07fffe22,0x1fffa000,0x000fb000,
    0xfffb4f98,0x7fc40003,0x7ffd404f,0x40000004,0x2604fff8,0x98099999,
    0x80019999,0x100ffff9,0xff1000df,0x3ffa009f,0x03ec0007,0x7fffff44,
    0x74400002,0xfe803fff,0x4c0003ff,0xf500ffff,0x06a007ff,0x2a3f9000,
    0x00004fff,0x3fea3f90,0x3e20004f,0xff5004ff,0x006a007f,0x0003fff4,
    0x7d4001f6,0x059003ff,0x013ffe20,0x542fffb8,0x80006fff,0x40007ffe,
    0x7e40007d,0x009fff51,0x027ffc40,0x000ffff6,0xfff10000,0x7ffee409,
    0xffffd82f,0xffc8001f,0x003f905f,0x009fff10,0x0001fffa,0x7fdc00fb,
    0x00004fff,0x4017fff2,0x0002ffff,0x80ffffc4,0x9003fffa,0x37c40005,
    0x0003fffa,0xfe8df100,0xf10000ff,0x3ea009ff,0x059003ff,0x001fffa0,
    0x2a000fb0,0x5d003fff,0x13ffe200,0x82fffb80,0x0004fffc,0x0003fff4,
    0xf88001f6,0x007fff46,0x04fff880,0x00bfffe2,0xff100000,0xfff5009f,
    0x0fffe405,0x3fffe800,0x880027cc,0xfd004fff,0x7d8000ff,0x7fffcc00,
    0x540000ef,0x9800ffff,0x0001ffff,0x503ffff8,0x3a007fff,0x0bee0002,
    0x0007fff7,0x7dc2fb80,0xf10003ff,0x3ea009ff,0x05d003ff,0x001fffa0,
    0x2a000fb0,0x64403fff,0xfff1002f,0x7ffdc009,0x05fffd02,0x03fff400,
    0x8001f600,0x7ffdc2fb,0xfff10003,0x7fffcc09,0x40000001,0xf004fff8,
    0x7fcc05ff,0xff30001f,0x007f41ff,0x04fff880,0x000fffd0,0xee8007d8,
    0x000effff,0x05ffff10,0x03fffea0,0x3fffe000,0x07fff504,0x0002fc88,
    0x3ffe21fa,0x3f400006,0x0037ffc4,0x004fff88,0x8807fff5,0xffd002fc,
    0x07d8000f,0xddfff500,0xffdddddd,0x3fe2005f,0x3fee004f,0xffff102f,
    0x3ffa0001,0x03ec0007,0xff10fd00,0x3e2000df,0x3fea04ff,0xcca8007f,
    0x3ccccccc,0x009fff10,0xf880bffa,0x320001ff,0x05f75fff,0x27ffc400,
    0x007ffe80,0x74003ec0,0x0fffffab,0x5fffd800,0x1fffee00,0x7fff4000,
    0xddfff505,0xffdddddd,0x3ea0005f,0x03fffb03,0x40fea000,0x8001fffd,
    0x5004fff8,0xdddddfff,0x05fffddd,0x001fffa0,0x2a000fb0,0xccccefff,
    0x02fffecc,0x009fff10,0x7017ffdc,0x2000bfff,0x40007ffe,0x7f50007d,
    0x007fff60,0x813ffe20,0x8007fffb,0xfffffb98,0x3ffe201d,0x05ffd004,
    0x0001fff8,0x3effffe2,0x7fc40005,0xfffd004f,0x007d8000,0xfffd13e8,
    0xfffb8009,0x3fea000f,0xe80000ff,0xff504fff,0x999999df,0x0005fffd,
    0x7fcc03f6,0xfb00005f,0x17ffe601,0x13ffe200,0x677ffd40,0xffeccccc,
    0xfffd002f,0x007d8000,0x007fff50,0x3e2005f9,0x3ee004ff,0x7fec02ff,
    0xffe8003f,0x03ec0007,0xf300fd80,0xf1000bff,0x7fdc09ff,0x2e0000ff,
    0xf8807fff,0xffd004ff,0x01fff805,0x7fffd400,0x7c40000f,0xffd004ff,
    0x07d8000f,0x3fa23e80,0x3fe2007f,0x7cc002ff,0x80001fff,0xf502ffff,
    0x5f9007ff,0x809f1000,0x0000fffe,0x3fa027c4,0x7c4000ff,0xff5004ff,
    0x05f9007f,0x001fffa0,0x2a000fb0,0x5d003fff,0x13ffe200,0x02fffb80,
    0x017fff44,0x001fffa0,0xf1000fb0,0x0fffe809,0x2fffc400,0x03ffff50,
    0x37ffcc00,0x027ffc40,0x7c02ffe8,0xd80001ff,0x80003fff,0xd004fff8,
    0xd8000fff,0x5c3e8007,0xfd000fff,0xf10009ff,0x00005fff,0x2a03ffff,
    0x5d003fff,0x803f9000,0x0003fffb,0x3ee00fe4,0x7c4003ff,0xff5004ff,
    0x00ba007f,0x0003fff4,0x7d4001fa,0x059003ff,0x013ffe20,0x802fffb8,
    0x000ffff9,0x0001fffa,0x3f9000fb,0x03fffb80,0x02fffcc0,0x005ffff1,
    0x02fffc40,0x8027ffc4,0x7fc02ffe,0xfa80001f,0x880002ff,0xfb004fff,
    0x7e8000ff,0x221f4070,0xfc801fff,0x3a0006ff,0x40003fff,0x500ffff8,
    0x32007fff,0xaaff8002,0xfbaaaaaa,0x7c0007ff,0xaaaaaaaf,0x007fffba,
    0x8027ffc4,0x9003fffa,0x3fff6005,0x01ba0000,0x01fffd40,0xff100198,
    0x7fe4009f,0xfff7004f,0x3ffa003f,0x03f40007,0x55557fc0,0xfffbaaaa,
    0x7ffd4007,0x27fffc06,0xbfff1000,0x09fff100,0xf00bffa0,0x500003ff,
    0x00005fff,0x2009fff1,0x0000fffd,0xe80f41ba,0x9807ff83,0x0001ffff,
    0x0013fff6,0x40dfff30,0x3003fffa,0xfffb8003,0xffffffff,0x0002ffff,
    0xfffffff7,0xffffffff,0x7ffc4005,0x7fff5004,0x6c006600,0x20000fff,
    0xff50006f,0x1000007f,0x26009fff,0x002fffff,0x059ffffd,0x000fffd8,
    0xf7001ba0,0xffffffff,0x05ffffff,0x3ffffaa0,0x1bfff603,0x5fff8800,
    0x04fff880,0xf805ffd0,0xa80001ff,0x80002fff,0xb004fff8,0x40001fff,
    0x3a07d06f,0x4037fcc3,0x0003fffe,0x0037ffd4,0x80fffee0,0x0003fffa,
    0x9801fa00,0xd0005fff,0x7ffcc00f,0x3ffe2005,0x7fff5004,0xff700000,
    0x3e60003f,0xfff50004,0xf1000007,0x774c09ff,0xffffffff,0x3ffe200e,
    0xfb02ffff,0x7c0001ff,0x003f4006,0xd80bfff3,0xffffffff,0x7ffcc2ef,
    0xff10001f,0xfff100bf,0x0bffa009,0x0003fff0,0x005fff50,0x09fff100,
    0x00bffee0,0xfe827c40,0x7fdc3e80,0x37ffe402,0x7fec0800,0x3fa0001f,
    0x7ffd406f,0xf3000003,0xfffd8007,0x01fcc001,0x007fff60,0x8027ffc4,
    0x0003fffa,0x04fffa80,0x0005f700,0x000fffea,0xfff88244,0x00000004,
    0x17ffdc00,0x004f9800,0xfb000fe6,0x2e4003ff,0x0bfffb00,0x17ffe200,
    0x013ffe20,0x3e017ff4,0xa80001ff,0x80002fff,0x5004fff8,0x20009fff,
    0x0bfd02fa,0x027fcc7d,0x003fffea,0xfff11260,0x3fea000b,0x7ffd401f,
    0x40910003,0x7d4000fd,0x7ec004ff,0x7ffd4000,0x9fff1004,0x0fffea00,
    0xfd024400,0x3fa000ff,0xfff50000,0x40f60007,0x0004fff8,0x0002f7a0,
    0x027ffd40,0x2002fb80,0x7d4000fd,0x9f1004ff,0x7fffc400,0xfff88002,
    0x4fff8805,0x807ffb00,0x80001fff,0x0002fffa,0x004fff88,0x4001fffa,
    0xdffd00fe,0x3ea2fa15,0x7ffc404f,0x0590002f,0x0003fff7,0xf5009ffd,
    0x360007ff,0x0009f103,0x4003fffa,0xfd0004f8,0xff1001ff,0x3fea009f,
    0x07b0003f,0x001fffd4,0xa8000ff6,0xa8003fff,0xbfff100f,0x7ffc0000,
    0xfd00000f,0x3fa000ff,0x009f1000,0x003fffa0,0xf9001bea,0xf1000dff,
    0xff100bff,0x3ff2009f,0x07ffe604,0x3ffea000,0xff880003,0x3fea005f,
    0x1fe4003f,0xdfffb710,0x003dffdf,0x000bfffb,0x7ff407e2,0x37fe4006,
    0x03fffa80,0xf900fa80,0x3ff20003,0x03f9004f,0x13fff200,0x017ffe20,
    0x001fffd4,0x3f6007d4,0xfe9804ff,0x7fd40005,0x2fc4004f,0x00bfff30,
    0x27fe4c00,0xfffa8000,0x01fec003,0x20003f90,0xb804fffc,0x7e4001ff,
    0x22000eff,0xf8805fff,0xff9005ff,0x3fffaa0d,0xffb80002,0xf980003f,
    0x7ec005ff,0xfe9804ff,0x2ea62005,0xf7000adf,0x20001fff,0x77fe407d,
    0x27fec400,0x09fff500,0xf105f880,0x7fd4000f,0x3fc400ff,0xffff5000,
    0x5fff9801,0x09fff500,0x9005f880,0x3157dfff,0x009fffb7,0x09fff700,
    0x501ffd40,0x0000dfff,0x0000bff0,0x4027ffec,0x22005fe9,0x3ea0007f,
    0x7c400fff,0x7e4002ef,0xf1000eff,0xff300bff,0x3fea00bf,0xf3f911cf,
    0x00031bff,0x0027ffe4,0x037ffd40,0x677ffe40,0xfffdb98a,0x01f40004,
    0x05ffff10,0x00dfb100,0x9837ffd3,0x4001efeb,0x2004fffb,0xbfb03ffa,
    0x7ffc4000,0x02fec04f,0x9ffff100,0x06fffa80,0x009fff70,0x3001ffd4,
    0xfffffffb,0x00003bff,0x79fffff3,0xd9975555,0x3aa01fff,0x0003ffff,
    0x000ffea0,0x9dfff900,0xfffb7315,0x05fd8009,0x3fffe200,0xffffd804,
    0x74c01ecc,0x9301dfff,0x5003bfff,0x6c00dfff,0x1fffffff,0x019fffff,
    0xfffff300,0x3aa00015,0x8003ffff,0xffffffda,0x0001dfff,0x3fa003e8,
    0xcccccfff,0xedcccccc,0x91005fff,0xfffdfffd,0xf980019d,0xaabcffff,
    0xffeccbaa,0x7ffe440f,0xfff70002,0xfc8839ff,0xf70002ff,0x5039ffff,
    0x807ffffd,0xbcfffff9,0xeccbaaaa,0x88000fff,0x0aaccbaa,0x7f744000,
    0xffffffff,0xffffffff,0xffffd85f,0x02efffff,0x0bff7300,0x3f6a0000,
    0xffffffff,0x3f22001d,0xf70002ff,0x4039ffff,0x0cffffc8,0x3fff6a00,
    0xffffeeef,0xffd5000b,0x3a2007ff,0x3e0dffff,0x44000bef,0xffffffee,
    0xfb001eff,0xffffffff,0xaa88005d,0x000aaccb,0xff700000,0xffffffff,
    0xffffffff,0x20007fff,0x8001aca9,0xfffffee8,0xffffffff,0x645fffff,
    0x4fffffff,0xfffff900,0x3f2bffff,0x04ffffff,0xffffff90,0x3ff6bfff,
    0xefffffff,0xffffdd12,0xffffffff,0x0bffffff,0x00000000,0x00000000,
    0xdc880000,0x8000000a,0xaaccbaa8,0x7ffe4000,0x9004ffff,0xffffffff,
    0x001100bf,0x79955300,0x7ec00135,0xffffffff,0x0ab8802e,0x000001c8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555000,0x55555555,0x00000000,0xaaa88075,
    0xaaaaaaaa,0x0015000a,0x0001a880,0x3320004c,0x02a001cc,0x40055000,
    0x980000a8,0x0000000a,0x00000060,0x40000006,0x00008808,0x02022000,
    0x00110000,0x20000088,0x37300000,0x03910000,0x10008000,0x00c00600,
    0x40000044,0x32600808,0xffffb002,0xdfffffff,0x80000000,0x3e205ffc,
    0xffffffff,0x2e203fff,0x6c0002ff,0x3ee0000f,0x3ffe2000,0x2ffb8804,
    0x00fe6000,0x0bbfff66,0x802fc400,0x072202f8,0x003fd710,0xffed8800,
    0x00000cef,0x36c2fe4c,0x75400000,0x077faa2f,0x05fd5000,0x077ff260,
    0xbffda800,0xeffc8000,0x3a0000ef,0x3a600006,0x3fee01df,0x50075401,
    0x027ed40b,0x47fb5000,0x7c42efd9,0xffd803ff,0xffffffff,0x0000006f,
    0x1037fe40,0xffffffff,0x2207ffff,0x0002ffcc,0xb0000bea,0x5ffb800d,
    0x2ffcc880,0x201ba000,0xffeb9bf8,0x00fc8000,0xf7037a60,0x3ff2603d,
    0x200001ff,0xfc99cffa,0xa80002ff,0xfa85fffe,0xc8800001,0x3fa2ffff,
    0x44000fff,0x002ffffc,0x01fb35bd,0xd739f300,0x0dfc800b,0x70003ff7,
    0x7400003f,0xff00ffff,0x03fb00bf,0xfeb881f7,0x440004ff,0x323ffffb,
    0x3ea2ffff,0x000006ff,0x2a600000,0xdfd1009b,0x99999980,0x00999999,
    0x80017fc4,0x440005f8,0x77ec003f,0x0bfe2000,0x400fdc00,0x017fcc1c,
    0x2000be60,0x3feabfe8,0x7fff5e40,0xff100001,0x01ffd109,0x7fe5cc00,
    0x0009f05f,0xfffb7700,0x1fffffc5,0x3ff6ee00,0x40f9802f,0x45c8003e,
    0xff5000f9,0x4005ff81,0x400004f9,0xd03ffffe,0xff3009ff,0x5d427e47,
    0x0004fffc,0x1fffedd4,0x44bffffb,0x00003fff,0x32200000,0xfffffffe,
    0x0eda9acd,0xf8000000,0x1fb0002f,0x00fb8000,0x0003fe20,0x26000bfe,
    0x7fc0004f,0x002f4000,0x019ffd10,0x00fffcc0,0x00ffc800,0x0000bff5,
    0x36c17ff6,0xff100000,0x7fffdc5f,0xfff10006,0xb90b9005,0x5f05f000,
    0x321bfa00,0x1ba001ff,0xff501000,0x33220dff,0x9bff9000,0xffe801ff,
    0x3fe00004,0x3fffa63f,0x00015c47,0xb800000e,0x7311adff,0x155bfffb,
    0x00100400,0xa8002ff8,0x5d80002f,0x000fd400,0xe8002ff8,0x1fd40006,
    0x0003f200,0x077ffec4,0x03fff100,0x0dff1000,0x0003ffc4,0xf505ffc8,
    0x7c000003,0x5f8842ff,0x0bffe000,0x07d03e60,0x0f98b900,0xb85ff880,
    0x3f9003ff,0x101d4000,0x880001be,0x802fffff,0x00004ffd,0x7420fffa,
    0xf9800007,0x74c00002,0xffc803ff,0x77ec002f,0x80077ec0,0x7c4002ff,
    0x3f880005,0x00016400,0xfb8005ff,0x17a60001,0x0007f300,0xff33df91,
    0x1fff800d,0x5ffa8000,0x000fffc0,0xfdddddd3,0x4f89ddff,0x3fe00000,
    0x0013e02f,0xd002fff8,0x001fb35b,0xbd517f30,0x213fe600,0xf9804ffa,
    0x01f40003,0x2000027c,0xb006fffb,0x400009ff,0x1ba03ffe,0x17f20000,
    0xfff98000,0x3ffee001,0x9fff5002,0x8027ffd4,0x7e4002ff,0x0fb80000,
    0x20000400,0x3e2002ff,0xffd30004,0x1ba001bf,0x32177c00,0x3fe005ff,
    0xfa80001f,0x0fffc05f,0xddddd300,0x89ddfffd,0x2000006d,0x1f502ffe,
    0x17ff4000,0x1dffc980,0x3ffaa000,0x9ff7000c,0xd00dff50,0x3fa8000b,
    0x0000fcc0,0xffd80000,0x3fa00004,0x005f103f,0x0fff8800,0x9ffd0000,
    0x1dff9000,0x49fff300,0xf003fff9,0x1fcc005f,0x005d8000,0x7fc02000,
    0x003b6002,0x5ffd9880,0x0001fb80,0x17ffa203,0x000fffc0,0x1027fdc0,
    0x20000fff,0x3ea05ffb,0xfd000001,0x007f305f,0x002ffe80,0x30000044,
    0x4ffa8001,0x6405ffa8,0x3e20000f,0x00fa603f,0xd8000000,0x200004ff,
    0x5e883ffe,0xffb80000,0xfc80004f,0xf88000ff,0xbf9004ff,0x000dfc81,
    0x374005ff,0x03f88000,0x0abcb880,0x17fc0fcc,0x0002fa80,0x9803ff60,
    0x5000004f,0xff005fff,0xf900003f,0x2ffcc09f,0x5ffb8000,0x000027c0,
    0x75c2ffe8,0xffe80002,0x00000002,0x5ff98000,0x2604ffa8,0x7f40003f,
    0x007f503f,0x332e6000,0x4ffd801b,0x3ff60000,0x0001fcc3,0x07fffe80,
    0x27ffcc00,0x3fffb000,0xf0000000,0x03f2005f,0x007dc000,0xfeceec88,
    0x209f13ff,0x5f8802ff,0x7fcc0000,0x0001ba01,0xfd9ab988,0x1fff806f,
    0x4005664c,0x3f204ffd,0x65cc002f,0x80bff72c,0x2a20006c,0x5ffd1bcc,
    0x5100064c,0x3ffa3799,0xccca8802,0x4cccc00a,0x99998099,0x21bfe019,
    0xbd103ffb,0x7ff4c000,0xc88999cf,0x00593000,0xfffddff3,0x27fec01b,
    0x8002f2a2,0x006c3ffd,0xfffa8000,0x3e0002ff,0x20000fff,0x0006fffa,
    0x02ff8000,0x00003f98,0x7fcc017a,0x777ff442,0x200bfe05,0x800000fd,
    0x007ee07f,0x37bf6200,0x04fffdff,0xffa8fffc,0x6c02ffff,0x5ff504ff,
    0x66ffdc00,0x05ffcefe,0x22000fd4,0xcffdcefd,0x10002ffe,0x9ffb9dfb,
    0x64405ffd,0xffffcdff,0xffffb900,0xfffffb05,0x361ff603,0x01f900ff,
    0x3fffea00,0x005fffff,0x700fffaa,0x7ff4c39f,0x49ffb00e,0x03fffffc,
    0x0007ffb0,0x7cfec000,0xf30006ff,0xf0000fff,0x4ccc3fff,0x99980999,
    0x3ff80199,0x00006e80,0x3e600fe2,0xffff102f,0x5403ff80,0xa800002f,
    0x009f103f,0x983ff300,0x200fffff,0xfffa9fff,0x203fffff,0x3b224ffd,
    0x3f2000ef,0x7fffd40d,0x2004f805,0xffd83fe8,0xe88002ff,0xffffd83f,
    0x883ff602,0x2a00effb,0x3f202fff,0x5ff101ff,0xfa81ffc4,0x26620002,
    0x0999cffe,0xfffffb80,0x4c0fee03,0xffb04fff,0x3ffbbf69,0xffd800ff,
    0x30000003,0x07fff69f,0x1bffee00,0x3fffa000,0x3ffff723,0xfffffd82,
    0x00ffe201,0x400003f7,0x6fe800fb,0x81fffcc0,0x3e203ff8,0x67740005,
    0x3604fb8a,0x7cc0000e,0xffff301f,0x7dfffc07,0xfffda9ac,0x49ffb01f,
    0x02efffe8,0x3ee06fd8,0x06c805ff,0x7407ff10,0x44002fff,0x3ffa03ff,
    0x09ff702f,0xff013ffa,0x7ffcc05f,0x263be601,0x0bf104fe,0x1ffec000,
    0xfff98400,0xc80df103,0xffd81fff,0x3fa20ddc,0x3ffd805f,0xf9000000,
    0x013ffea3,0x017fff20,0x13fff600,0xc80bffea,0xdd901fff,0x9f303bdd,
    0xd0059100,0x07ff500b,0xc87fffd8,0xc81deeee,0x0355100f,0x0ef7ff64,
    0x91005f50,0x5017fa05,0x7fc0dfff,0xfff901ff,0x213ff60d,0x204fffc8,
    0x7fc02ffa,0x01fa805f,0x2a00ffd8,0x6c002fff,0x3fea00ff,0x07ffb02f,
    0xfd017ff2,0x7ffc405f,0x6ff5cc01,0x3003f602,0x0fff6001,0x07ffd000,
    0xff7013f2,0x9fffb07f,0x003ffea0,0x00007ffb,0xfe8df100,0x7f4000ff,
    0xc80004ff,0xfff06fff,0x0fffcc05,0x80374000,0x17c404fe,0x9017fe40,
    0x007fff9f,0x3660fea0,0x000effff,0xd005f880,0x05ff509f,0x203ffff0,
    0x7f401fff,0x4ffd82ff,0x413fff20,0xffd806fe,0x9809f005,0x7fc403ff,
    0x3fe6002f,0x17ffc403,0xf701ffc8,0x2ffe80bf,0x000fffc0,0x2205f500,
    0x402dfefd,0x40003ffd,0x9ff03ffe,0x95555555,0xffb0bfff,0x0fffc409,
    0x000fff60,0x2e0017b5,0x1fffdc2f,0x0ffffe00,0x3fff2000,0x405ffd07,
    0x0001fff8,0x7e400fdc,0x007dc04f,0xfb80fff4,0x004fff99,0x7dd05e88,
    0x000bffd7,0xf9001fb0,0x03fff09f,0x205fff90,0x7d401fff,0x4ffd83ff,
    0x207ffec0,0xfb805ffa,0x80f9005f,0xfe802ffd,0x3ff6002f,0x02ffe802,
    0x7fdc0791,0x017ff406,0x00007ffe,0x7fd027c4,0xfd807fa6,0x7ec0003f,
    0xcdff883f,0xcccccccc,0x4ffd83cc,0x200fffc0,0x22003ffd,0xfd004fff,
    0x00dfff10,0x017fffc4,0x7fffdc00,0x402ffe80,0x20001fff,0xefb804f8,
    0x402f404f,0xfa81fff8,0x00bfff12,0x0b501f90,0x40003ff9,0xefb802fa,
    0x07ffc44f,0x81fffcc0,0xfe801fff,0x04ffd84f,0x361fffd4,0xffb804ff,
    0x203f3005,0xe801fff8,0xff1002ff,0x5ffd003f,0xfff93000,0x02ffe80d,
    0x0000fffc,0xdfb00ed8,0xfb00ffa8,0xfd80007f,0x02ff983f,0x04ffd800,
    0x36017ffc,0x3ea003ff,0x3fa806ff,0x003fffb0,0x001ffffc,0x83fffdc0,
    0x7fc02ffe,0x3b60001f,0x7e57cc00,0x200be204,0x7d41fffa,0x0037ffc2,
    0x405c0fe6,0x10003ff8,0x95f300bf,0x07ffa89f,0x20bfff10,0xfd801fff,
    0x04ffd85f,0x7f45fff8,0x5ffb803f,0x7cc13e00,0x5ffd007f,0x01ffe600,
    0x70017ff4,0x0dff99fd,0x7c02ffe8,0xb80001ff,0x07ff301f,0x3ff60bff,
    0x7fec0003,0x004ffa83,0x404ffd80,0x7ec02fff,0x3fe2003f,0x00fd803f,
    0x400bfff3,0x0004fffe,0xd05fffc8,0xfff805ff,0x05f70001,0x09f93f88,
    0x7dc007dc,0x20fe63ff,0x74005ffd,0x01ff0006,0x1003f600,0xf713f27f,
    0x3fe001ff,0x03fff05f,0xfb0dff90,0xdffb009f,0xb802fff8,0x1f2005ff,
    0xe803ffdc,0xff7002ff,0x0bffa00f,0xfb8ffee0,0x17ff406f,0x0007ffe0,
    0x7dc09f10,0xb07fe82f,0xd80007ff,0x5ffa83ff,0x4ffd8000,0x2017ffc0,
    0x44003ffd,0x04f8801b,0x8007fff4,0x0005fffd,0xd04fffd8,0xfff805ff,
    0x04f88001,0x813f25e8,0xfff3005e,0x7ec13e29,0x07f2003f,0x001bea00,
    0x2f401fd4,0xfffc89f9,0x09fff001,0x32007ffe,0x4ffd84ff,0x267ffc80,
    0xfb803fff,0x07e6005f,0x2003fff2,0xf9002ffe,0xffd001ff,0x077ec405,
    0xfd01bfee,0x1fff805f,0x20374000,0xffe81ffc,0x003ffd80,0x4c1ffec0,
    0xd80006ff,0x7ffc04ff,0x01ffec02,0x03f90000,0x003fffb8,0x000dfff7,
    0x207fffb0,0x7fc02ffe,0x0fd8001f,0x13f236c0,0xf88017c4,0x205e8dff,
    0xf3001ffe,0x07f60007,0x201ba200,0x2e27e46d,0xfd003fff,0x07ffe05f,
    0x360fff20,0xffb804ff,0x017ffe26,0xf0017fee,0x03fff709,0x2005ffd0,
    0xe801fffb,0xbfd102ff,0xd01bfee0,0xfff805ff,0x07ee0001,0xfb03ffd0,
    0x07ffb05f,0x83ffd800,0x2003fff8,0x404ffd84,0x7ec02fff,0x2000003f,
    0xaaaaaaff,0x07fffbaa,0x00ffff50,0x03fffd00,0xff00bffa,0x2fa8003f,
    0x3f207dc0,0x4001f704,0x405efffe,0x1ba007ff,0x0017d400,0x7dc01fc8,
    0x3e627e40,0xfff004ff,0x007ffe01,0x3f60bff6,0x5ffa804f,0x5c037ffc,
    0x3e4005ff,0x4017ffd4,0xf5002ffe,0xffd005ff,0x407ffa05,0x7f406ffb,
    0x0fffc02f,0x804f9800,0xffd81ffe,0x003ffd82,0xf81ffec0,0x077007ff,
    0xff809ffb,0x1ffec02f,0xffb80000,0xffffffff,0x802fffff,0x000ffff8,
    0x81bffe20,0x7fc02ffe,0x17e2001f,0x55559f30,0x5e855bfd,0x77ffd400,
    0x017fe200,0x4c000fdc,0x7f30004f,0xaaacf980,0xf12adfda,0x3fe00bff,
    0x007ffe07,0x3f603ffa,0x4ffb804f,0x200ffff4,0x4c005ffb,0x37ffcc1f,
    0x8017ff40,0xe806fff9,0x6ff982ff,0xb01bfee0,0xfff807ff,0x00dd0001,
    0x3fa07ff2,0x03ffd81f,0x81ffec00,0x200dfffc,0x4ffd81f9,0x2017ffc0,
    0x00003ffd,0x7cc00fd0,0xff5005ff,0x7e40009f,0x3ffa01ff,0x00fffc02,
    0xfb801fb0,0xffffffff,0x000be25f,0xb803bffa,0x4f8801ff,0x003f8800,
    0x3ee01ba0,0xffffffff,0x0bfff25f,0x7c0bff10,0x7fcc01ff,0x5c9ffb03,
    0x20ffdc0b,0x5c05fffb,0x4f8006ff,0x402fffe8,0x3a002ffe,0x7f402fff,
    0x0fffb82f,0xc80dff70,0x3fe604ff,0x1fc8001f,0xd05ff700,0x9ffb01ff,
    0x3ffd8000,0x3dffff10,0xfb05fb88,0x2fff809f,0x001ffec0,0x001fcc00,
    0x4007fff6,0x8000fffd,0x6c04fff8,0x7ffc03ff,0x005f5001,0xb3333331,
    0x07dc13bf,0x2fffe400,0xd003fe88,0x05d3000d,0x03f90011,0x33333310,
    0x7c413bfb,0x3f200eff,0x07ffe00e,0x7ec0bfb0,0xd89ff34f,0x7fffd05f,
    0x0037fe40,0x7ffd43e4,0x7fff100e,0x77ffd400,0x07fff100,0xd305fff5,
    0x7e40cdff,0xfffd506f,0x03f98005,0xf113fe60,0x1bff20bf,0x7ff40015,
    0x3fffee04,0x0fffedff,0xf809ffb0,0x7ff402ff,0xfd800004,0x7ffd4000,
    0x9fff1004,0x1dff7000,0x204ffc80,0x8801fff9,0xfc80005e,0xb8005e84,
    0x21cfffbf,0xf7003fe9,0x9bfa8003,0x402ea999,0xc80004f9,0x9fff504f,
    0xf003be20,0x3ee01bff,0x53ffa00f,0x3fe24ff9,0x9ffff501,0x15ffff90,
    0x207e6003,0x4c1ffffd,0x098efffe,0x1ffffd80,0x477fff4c,0x7ffff309,
    0x3fff7f22,0xfffa85ba,0xff3f911c,0x3a0031bf,0x46fb8006,0xff701ffb,
    0x8009715f,0x7dc05fff,0xffffffff,0x017ffa01,0xff807fff,0x4400004f,
    0xffd0004f,0x3fee001f,0x3fe6001f,0x6ffc801f,0x05fffd50,0x00001f90,
    0x02f989f9,0xfc897d40,0x01ceffff,0xb8009f10,0xffffffff,0x0006e807,
    0x7d409f90,0x3fe62dff,0xefffb801,0x01bf910a,0xfb27ffd4,0x700bfa6b,
    0xfbbfffff,0x5dffff7b,0x6c427c00,0xfedeffff,0x0dffffea,0xffffd880,
    0xffeafede,0x3ff60dff,0xf89effff,0xfb00efff,0x23ffffff,0x00cfffff,
    0xc80007e4,0x03ffb8df,0x1bffffe2,0x1ffff500,0xffffe980,0x3fe600df,
    0xfff700ff,0x7fffd40d,0x3f200000,0xfff90001,0x7ffd4009,0x0effa802,
    0x39fff500,0x3ffe7f22,0x07f3018d,0x70fae000,0x83f8001f,0x8000bb98,
    0x3a6000fd,0xeeeeeeee,0x0017dc03,0x4403eb80,0xbefffffe,0x3ff22001,
    0x203fffff,0x24ffffe9,0x01dfffc9,0xffffff30,0x0077fee7,0xffc81f20,
    0xffd1efff,0xff900017,0x3fa3dfff,0xffd880bf,0x6ffec4ff,0x3fffa200,
    0x2fbfe0df,0x003f9800,0x0effed40,0x067ffd40,0xffffea80,0x54401eff,
    0x3faa00ab,0xb2efffff,0xdfffffff,0x7fffff54,0x440002ef,0x3ea0007f,
    0x22000fff,0x2209cffd,0x8003ffca,0xfffffffd,0x19fffff1,0x40000000,
    0x0008003b,0x00000000,0x00000000,0x15731000,0x57530000,0x03000001,
    0x20dd4400,0x260000b9,0x055cc00c,0x4c0000ae,0x8015c0ab,0x002601a8,
    0x1c80ab88,0x0000c400,0x000c0000,0x00000000,0x00000000,0x017f6000,
    0x4ffff880,0xfffda800,0x01defffe,0xffffd100,0x05f7fc1b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffc88000,0xff70002f,0x00039fff,0x0026eea2,0x80ab8800,0x0000001c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64000000,0x4fffffff,0xfffff900,0x000bffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x11000000,0x01530000,
    0x01555400,0x4ccccccc,0x03573100,0x00004400,0x00000440,0x08800100,
    0xb8733200,0x64c002cc,0xaa8003cc,0x200000aa,0x0002ccca,0x000b332a,
    0x000d54c0,0x0f332a00,0x04c00600,0x26000440,0x40000aaa,0x000cccc8,
    0x0007332e,0x00666644,0x00880088,0x55d4c400,0x20000009,0x20001aa8,
    0x2612a02c,0x0a808800,0x0007fb50,0x3bfffae2,0x7ffd4002,0x3fb2202f,
    0x6c42ffff,0x1dffffff,0x009fb300,0x027ed400,0x3ae60000,0x36a00bef,
    0xdff3003f,0x4001fff8,0x4001fffc,0x004ffff8,0x03bffa00,0x6ffe8800,
    0x7ff4c000,0x0000dfff,0x000fffd8,0x16a01e98,0x4007f910,0x005ffff8,
    0x017ffd40,0x017ffe20,0x02fffa80,0x74405d10,0xfeb88000,0xbeffedef,
    0xfb700000,0x8003dffb,0x21b603f9,0x21a601e8,0xff712ffe,0xf30007ff,
    0x0ffa63bf,0x7ffffe80,0x5ffff100,0x75e7ffd4,0x7102ffff,0x0009fffd,
    0x4fffeb88,0x3b600000,0x24fffdab,0x03ffffb8,0x7cc5ff70,0xfff8003f,
    0xfffd8002,0x980000ff,0x80000fff,0x0000fff8,0xfffffff5,0x440001df,
    0x20001fff,0x01fa82fd,0x007fffb3,0x17ffffe4,0x09ffb000,0x01ffe600,
    0x00bff900,0x1fcc27dc,0x0177e400,0x0009fd71,0x3f60bfc8,0x00fd4006,
    0x20fee09f,0x7ffcc2f9,0x7fffb755,0x84ff9800,0xfb803ff9,0x003ffc8e,
    0x3e65fff9,0xfffd881c,0xfffcba83,0x6dd40004,0x00004fff,0xffd81f90,
    0xfffb751f,0x517f2007,0xff3000df,0x1df30007,0x0000bff5,0x00003ff7,
    0x4001ffcc,0xfcaacff8,0x20004fff,0x40002ffa,0x13ee4ff8,0x1ffff6dc,
    0xf99ff880,0x3fe0006f,0x7fd40005,0x3fec0002,0x4c37fa00,0x774c006f,
    0x0774c001,0x541fdc00,0x1f2002ff,0x3fa03f88,0x3ee17ea5,0x3fff87ff,
    0x807ff400,0x3e201ffd,0x4007fd45,0x3e8afffb,0x17fff440,0x0009ffd0,
    0x0027ff40,0xd827e400,0x3fff83ff,0xfc81fd00,0x04fc8001,0x74c1dd00,
    0x7f40002f,0xfb800002,0x104d8005,0x4000fffd,0x700003fd,0x01ff9bff,
    0x003fff88,0x1ff443fb,0x0037d400,0x0004fc80,0x26002fe8,0x02ffbeff,
    0x00013ea0,0x7cc005f9,0x05ff880f,0x1fa81b60,0x3efbfea0,0x7fffa81f,
    0x2003ffe8,0x3e203ffa,0x4417205f,0xfffa805e,0xff1003eb,0x27fec0df,
    0x9ffb0000,0xff880000,0xd0199103,0x0be007ff,0x2f400136,0x880ea800,
    0x3e20006d,0x32000003,0x20254007,0x0002fff9,0xe800009f,0xd003ffff,
    0x3d3007ff,0x90003f20,0x6c00001d,0x4e880007,0x7fffec00,0x22be6005,
    0x09999999,0x9000fb80,0x01fec0ff,0x07e409f0,0x13ffffa0,0x7437ffcc,
    0x3fa003ff,0x07ff401f,0x00ec024c,0x017fffea,0x203fffb0,0x40004ffc,
    0xeffffeec,0x0001eeee,0x20005ff3,0x59803ffe,0xd10001d0,0x01b10001,
    0x950003b8,0x5b000000,0xfe801400,0x0598003f,0xfffa8000,0x0fff6006,
    0x09500360,0x00001e80,0x980001e8,0x7ffc4006,0x27d1001f,0xfeffffe9,
    0x1b202eff,0x02037f40,0x3a03f880,0xffff9806,0x0bfff100,0x2a007ffb,
    0xffc807ff,0x54000005,0x4000ffff,0xf905fffb,0xec80009f,0xeeeffffe,
    0xf70001ee,0x3f60005f,0x1008803f,0x00022000,0x08000000,0x02000000,
    0x3ff60000,0x00008000,0xfd800000,0x0000003f,0x40000020,0x01000008,
    0x2ec00000,0xfb517fec,0x013a01df,0x0000dff1,0x09f00fd4,0x9fff0000,
    0x2007ffb0,0xfa806ffc,0x000000ff,0x000fffea,0x203fffe2,0x00004ffc,
    0x00013ff2,0x0005ff90,0x0000fff6,0x00000000,0x00000000,0x00000000,
    0x00037f40,0x00000000,0x0007ffb0,0x00000000,0x00000000,0x3e200000,
    0xe82ffb80,0x80f305ff,0x00006ffa,0x1fcc03f2,0x7ffc0000,0x003ffd83,
    0xf300bffd,0xca9803ff,0xff5002bc,0x3fa0005f,0x4ffc80ff,0x3ff20000,
    0x7f400004,0xffb0002f,0xbcb98007,0x99530001,0x26666057,0x99998099,
    0x33333019,0x33333013,0x26666603,0x99999809,0x7fc40001,0x66dcc401,
    0xbcba882c,0x6654c002,0x7ffb002b,0x1bcb9800,0x2f2e6000,0x32e60001,
    0x9730001b,0x2a200379,0xc800accc,0x505ff705,0x01f40fff,0x1000fff7,
    0x5fd55555,0x9f955555,0x32ea0355,0xffd090ab,0x007ffb05,0x100bfff1,
    0x3a205fff,0x1efffcef,0x017ffd40,0x81fffe80,0x33304ffc,0x32013333,
    0x5e5444ff,0x74ccc400,0x01999bff,0x3007ffb0,0xfffd9dfb,0x3bfa2005,
    0x641efffc,0xd82ffffd,0xc81fffff,0xd82ffffd,0xc81fffff,0xd82ffffd,
    0x001fffff,0xf900bea0,0x1dfff79f,0x3fffbfee,0x77f4401e,0x401efffc,
    0x4c0e3ffd,0xfffecefd,0x9dfb3002,0x2005fffd,0xffecefd9,0xdff3002f,
    0x201bfffd,0xffcdffc8,0x40be00ff,0xff882ffb,0x540d700f,0xf98007ff,
    0xffffffff,0xffffffff,0x66ff444f,0xfd87fffe,0x03ffd82f,0x804fff98,
    0xfb83fff8,0x0fffe40e,0x005fff50,0x20bfff60,0xfd884ffc,0x902cefff,
    0x7ffe49ff,0x3fee03ff,0xffffffff,0x07ffb007,0x7441ffa8,0x77dc04ff,
    0x40fffe40,0x3202fffa,0x3ea01fff,0x3ff202ff,0x3ffea01f,0x07fff202,
    0x101fcc00,0xdff90ffb,0x3f2219f9,0x1df701ff,0x201fffc8,0x86d8bffd,
    0x7f441ffa,0x0ffd404f,0x5013ffa2,0xffe883ff,0x30e7dc04,0xfb01dffd,
    0x77fdc41f,0x3ee07980,0x05ff982f,0x7fd403e2,0xf980000f,0xfd01ba02,
    0xc87fc981,0x3ffd81ff,0x04fffa80,0x544fff88,0xdfff107f,0x017ffd40,
    0x83fffd80,0x3fe04ffc,0x4ffc801e,0xffffbdfb,0x3a666203,0x01999bff,
    0x4c07ffb0,0xffd102ff,0x441fea0b,0xfff06fff,0x0fffcc05,0x980bffe0,
    0x7fc01fff,0x3ffe602f,0xcff98001,0x107ff700,0x3205ffff,0x07fa86ff,
    0x6c0dfff1,0x4c0eedff,0xffd102ff,0x40bfe60b,0xf305ffe8,0x3ffa205f,
    0x2607f705,0x7fdc4fff,0x509ffd04,0x417fdc0d,0x0fc02ffd,0x000fff98,
    0x3e01fb80,0xe80ff204,0xd80ffb87,0x8bb663ff,0xf003fffa,0x1ffc4bff,
    0x201fffb0,0x0002fffa,0xf909fff9,0x013ee09f,0x0ddcffc8,0x401bffa2,
    0xb0002ffe,0x3fa207ff,0x17ffd405,0xfd80ffe2,0x2ffe80ff,0x007ffe20,
    0x7c405ffd,0x7ff401ff,0x07ffe202,0x7ffedc40,0x2ffd82ff,0x4c0dffd0,
    0x3fe22fff,0x03fff603,0x206fffec,0x7d405fe8,0x2ff442ff,0x10bffea0,
    0xffa80bfd,0x2037c42f,0x3f61fffc,0x0bff903f,0x97fdc0b7,0x803ffe98,
    0x3ffffe2e,0x2fffffff,0xf303e400,0x501ff405,0x360ff50f,0x9fff63ff,
    0xf002fffb,0x03fe4dff,0xfa81bfea,0xf90002ff,0x9ff907ff,0xc8009f90,
    0xff504fff,0x5ffd001f,0x0fff6000,0x7401ffdc,0x03fe46ff,0x7f41bfea,
    0x0fffc02f,0xf00bffa0,0xffe803ff,0x00fffc02,0xfffffeb8,0x0ffe42ff,
    0x7c05ffe8,0x01ff23ff,0x7ec0dff5,0x07ff705f,0xfb8dffd0,0x6ffe803f,
    0x7401ffdc,0x027e46ff,0xfc8fffee,0x0bff701f,0x77fdc099,0x000bffff,
    0x7ffffc7b,0x2fffffff,0xf5037400,0x2037fc03,0xfb06fa87,0x73ffec7f,
    0xf1005fff,0x037fcbff,0x7ffd4018,0xfff70002,0xc89ff905,0xffc8003f,
    0x07ffe204,0x000bffa0,0xfd81ffec,0xfffb802f,0x0c01bfe2,0xf805ffd0,
    0x7ff401ff,0x00fffc02,0xff00bffa,0xfb30003f,0x3b88ffff,0x333bffa0,
    0xfffccccc,0x0c01bfe5,0x6c0fffa0,0xffb802ff,0x00bff62f,0xfd8bffee,
    0xfffb802f,0x2aab3fe2,0xfffcaaaa,0xfb80f225,0x2e05b86f,0x05ffb2ff,
    0xff881740,0x7c40001f,0xfb01f204,0x260603df,0x47ffb05f,0x3fea3fe9,
    0xfff8803f,0x000bff35,0x00bffea0,0x40fffdc0,0x0bf64ffc,0x027fe400,
    0x3a007ffe,0xfb0002ff,0x07ffe07f,0x4d3ffe60,0xe80005ff,0x7ffc02ff,
    0x017ff401,0xfd007ffe,0x1fff805f,0x3ffaa000,0xff91003f,0xdddddddf,
    0x3e69dddd,0x7440005f,0xfff03fff,0x9fff3003,0x4c00fffc,0x3ffe4fff,
    0x4fff9801,0x9999bff1,0x79999999,0x3fff2600,0x3ee06a86,0x01fff12f,
    0x7fc407e0,0x7cc0001f,0xf501ba02,0x10019fff,0x0fff609f,0x00fffe60,
    0x7d53ffe2,0xf500004f,0x320005ff,0xffc80fff,0x0002fd8c,0xff013ff2,
    0x5ffd005f,0x0fff6000,0x2003ffe6,0xff55fff8,0xffd00009,0x01fff805,
    0x3e017ff4,0x7ff401ff,0x00fffc02,0x17ffe600,0xffdbf930,0x9ff50009,
    0x6ef4c000,0xfff983ff,0x5fff8800,0x1001fff3,0x3fe6bfff,0xfff8800f,
    0x0005ff35,0xfccfeb80,0x2e07986f,0x17fea2ff,0xff803e20,0x7dc0000f,
    0xd1013e01,0x019fffff,0x7ffb04f8,0x09fff100,0x2e7fff30,0x500005ff,
    0x20005fff,0xff907ffc,0x0005ffdb,0x3a027fe4,0xffe802ff,0x7ffb0002,
    0x001fff70,0x7fddbffe,0xffe80005,0x00fffc02,0xff00bffa,0x2ffe803f,
    0x000fffc0,0x9837fec0,0x9ffd2efd,0x0bff7000,0x7ed3e600,0x0fffb83f,
    0x2edfff00,0xff000fff,0x03ffeedf,0xfab7ffc0,0xf700004f,0x837fdc7f,
    0x85ff701f,0x35402ffc,0x0003ffe0,0xfffffff3,0xffffffff,0xfd889fff,
    0x201fffff,0x07ffb03e,0x2013ffe0,0xff71fffa,0x3ea0000d,0xf90002ff,
    0x33ff20df,0x0000fffe,0xfe809ff9,0x2ffe802f,0x07ffb000,0x2003fff9,
    0xdff75ffe,0x5ffd0000,0x401fff80,0x7fc02ffe,0x17ff401f,0x0007ffe0,
    0xb11bfee0,0x4ffe85df,0x06ffb800,0x7fec7500,0x01fffc83,0x3f2bffd0,
    0xffd001ff,0x007fff2b,0xffaafff4,0x7ec40005,0x837fdc0e,0x05ff705c,
    0x1f401ffd,0x2001ffa0,0xccefccc8,0xccfecccc,0xfd502ccc,0x3607ffff,
    0x007ffb02,0x2e017ff6,0x3ffea7ff,0xffa80000,0xff90002f,0x233ff20b,
    0x8000efff,0x7f404ffc,0x2ffe802f,0x07ffb000,0x2005fff5,0xfff53ffe,
    0xffe80001,0x00fffc02,0xff00bffa,0x2ffe803f,0x000fffc0,0xd12ffcc0,
    0x17ff60bf,0x03ffea00,0x0fff6000,0x400bffea,0xfff53ffe,0x4fffa005,
    0xd002fffa,0x1bfe67ff,0x05fe8800,0x3e60dff7,0x982ffc80,0x01f306ff,
    0x40005fe8,0x01f204f8,0x7ffffdc0,0xffb01b83,0x1ffe6007,0xf997ff20,
    0x093003ff,0x000bffea,0xfc817fec,0x0bfff34f,0x809ff900,0xfe802ffe,
    0xffb0002f,0x09fff307,0x7cc7ffa0,0x093003ff,0xff805ffd,0x17ff401f,
    0xd007ffe0,0xfff805ff,0x7ff00001,0xfc807ff4,0x7cce006f,0x093003ff,
    0x3e60fff6,0xffd004ff,0x013ffe63,0xff98fff4,0x3ffd004f,0x800fffe2,
    0x5c07ffa4,0x217606ff,0xff704ffd,0xfb009d0b,0x7cc02007,0x02017a02,
    0x006fffc8,0xd001ffec,0xffe803ff,0x01fffe22,0xfffa80ec,0x7f403102,
    0xb93ff207,0x64003fff,0x7ff404ff,0x02ffe802,0x107ffb00,0x3e00ffff,
    0x1fffe27f,0x7fec0ec0,0x00fffc03,0xff00fff6,0x3ffd803f,0x000fffc0,
    0xf88ffc40,0x3ffee06f,0xff13b801,0x407600ff,0xff883ffd,0x4fff007f,
    0xf007fff8,0x3fffc4ff,0x7fc7ff80,0x2677007f,0x3fee06ff,0x754fe206,
    0xd82effff,0x01d91eff,0x800ff444,0x201fb81d,0x5c06804f,0x36001fff,
    0x3ee003ff,0x1bfe203f,0x7017fff6,0x1fffd40d,0xff82ffc4,0xb13ff204,
    0x64005fff,0x7ff404ff,0x02ffe802,0x207ffb00,0x4402fffb,0x7ffec5ff,
    0xfc835c05,0x3ffe604f,0x027fe401,0xc803fff3,0x3fe604ff,0xfb80001f,
    0x881ffea5,0x7c405fff,0x017fff60,0x1ffec0d7,0x402fffb8,0x7fdc5ff8,
    0x2ffc402f,0x100bffee,0xfffc8bff,0x5c7e600d,0xff700fff,0x001f980d,
    0x2a03f500,0x00bffffe,0x207c83d4,0x01f802f9,0x8007ffe2,0x74003ffd,
    0x07fee06f,0x217fffe2,0x3ee03fd9,0xfffb83ff,0x90077cc1,0xffe889ff,
    0x9ff9000f,0x802ffe80,0xb0002fff,0x7ffc07ff,0x207fe406,0x985ffff8,
    0xdff903fd,0x0bfffaa0,0x2a0dff90,0x6402fffe,0xffd506ff,0xf880005f,
    0x0bffea0f,0x42ffffcc,0x7fc45ea8,0x3fd985ff,0xf80fff60,0x7fe406ff,
    0x406fff80,0xfff80ffc,0x207fe406,0x41effff8,0x3fea5fb8,0x6ffe982f,
    0x001fdc06,0x74c0bee0,0xeffffb89,0x0bf9309b,0x00fb817a,0x7fe405f8,
    0x3a02f660,0x7c4004ff,0x04ff883f,0x3bfffff2,0x6405ffec,0xff984fff,
    0x200fec5f,0xff985ffd,0xffd800ef,0x017ffc04,0x8001fffc,0x3ea04ffe,
    0x7ff104ff,0x3fffff20,0x205ffece,0x911cfffa,0x31bfff3f,0x473ffea0,
    0xdfff9fc8,0x9fff5018,0x3fe7f223,0x77f418df,0xf03fd102,0xcfc83dff,
    0xdbceffff,0xffc80eff,0xffecefff,0x01ffec05,0x2209fff5,0xfff503ff,
    0x40ffe209,0xf104fffa,0x3ffee07f,0xfffedfff,0x4ffffe60,0xafffdfc8,
    0x037e605b,0x403db100,0x3ff3ee3c,0xffffffff,0x3204f881,0x407ff007,
    0x3ffe25fe,0x005fff84,0x3aa2ff98,0xfffc804f,0x00efffff,0x0bffffe6,
    0x322bfffa,0x6ffe801f,0x00bfff70,0xff80bffd,0x7ffc403f,0xbfff0004,
    0x1cfff980,0xf900bfe6,0xdfffffff,0xffffd801,0xffff1fff,0x3ff6019f,
    0xff1fffff,0x36019fff,0x1fffffff,0x219fffff,0xabeffff8,0xf900dfca,
    0x3ffbbfff,0x3fffffea,0x3f201fff,0xefffffff,0x027ff400,0x9873ffe6,
    0x7fcc02ff,0x0bfe61cf,0x439fff30,0x7dc02ff9,0xffffffff,0xfffffd81,
    0xffff89ef,0x6fec400e,0x06fed401,0x997c5320,0xfffffffe,0x7405f303,
    0x09fff005,0x7fd41df7,0x7fffd46f,0xffc98000,0x2a002eff,0x03ffffff,
    0xfffffdd3,0x3663dfff,0x800dffff,0x880ffff9,0x300effff,0x2a01ffff,
    0x3600efff,0x4002ffff,0x400ffffa,0xefffffd8,0xfff5001b,0x22007fff,
    0x20dffffe,0x4400beff,0x20dffffe,0x4400beff,0x20dffffe,0xfb80beff,
    0x2dffffff,0x7fffec40,0x7fecc0cf,0xa801dfff,0x03ffffff,0x00efff98,
    0x7ffffec4,0xfb1001be,0x037dffff,0x3ffff620,0xd3001bef,0x01bfffff,
    0x13ffff62,0x4001bffb,0xdcdeffc9,0x3000cffe,0xff909fdf,0x7dc05fff,
    0x7c013e00,0xffddfffe,0x53fff80c,0xdffffffd,0x06a60005,0x09bb9800,
    0x2e200000,0xffeb801b,0xd33effff,0x7dffffff,0x3fffffaa,0xfffdb3ef,
    0x3a61dfff,0xefffffff,0x3ffaa02e,0x802effff,0x20000ab9,0x80009bb9,
    0x01c80ab8,0xc80ab880,0x0ab88001,0xaa8801c8,0xb980009a,0xab9800ab,
    0x9bb98001,0x7fff5c00,0x9802efff,0x4c0000ab,0x4c0000ab,0x220000ab,
    0x51000aba,0x00004c03,0x06af2ea6,0x20054400,0x254009a9,0x82003910,
    0x200aba98,0x000001b8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44050000,
    0x00009aba,0x00555510,0x016665c0,0x22037530,0x1800c402,0xaa880000,
    0x26aea200,0x55300000,0x00660357,0x0055cc40,0x05555000,0x19999000,
    0x0b332a00,0x2a660000,0x00701aab,0x00060031,0x00002620,0x75310000,
    0x26000003,0x100009aa,0x98800001,0x00009aba,0x0d5cc400,0x999001c0,
    0x55550019,0x20020000,0x467402c9,0xfffffdca,0x40002dff,0x001ffffc,
    0x200dfff0,0xeffffffb,0x7d00991c,0x0000f440,0x1effedc4,0xfeddfd98,
    0xc98001ef,0xffffffff,0xa800f61c,0xfffffffd,0xf30000cd,0x40007fff,
    0x2004fff9,0x0006ffe8,0xffffd710,0x2239ffff,0x4407d007,0xeda8000e,
    0xffffffff,0xffffffff,0x8004ffff,0xefffffc8,0xfc880002,0x01dfedff,
    0x000fff20,0xbdffd710,0x0017dffd,0x3ffb6a00,0xc83effff,0xfff9801f,
    0xffffb804,0xffd70001,0xfff3037d,0x7ffff405,0x3f6e21ae,0xf88001ff,
    0x8005ffff,0x4400eff9,0xca89bffe,0x804ffffe,0x04e885f9,0x67fe4400,
    0x205fdc00,0x1003fffa,0x9837dffb,0x04feefeb,0x0acffd88,0x03dff751,
    0xfffffd00,0x3fee0001,0xfff88005,0x7fe40001,0x2e621bde,0x800fffff,
    0x04e884f9,0x567ffd40,0xffffdb99,0xcccccccf,0x44004ffd,0xff911efe,
    0x7fcc0003,0x01ff4c1c,0x003fffc4,0x4405df90,0x20004feb,0x221bffd8,
    0xf71efeca,0x17fee005,0x3ffffe20,0x56f4c006,0x5c3fffeb,0x3fe05fff,
    0xff9803ff,0x67ec003f,0x4002ffd8,0xfe801ffc,0x3ffee00f,0x21dfb004,
    0x20000fe8,0x9802ffe8,0x3ffea05f,0x1fffcc02,0x04fffb80,0x200f7fdc,
    0x2003ffe8,0x4ffb8efa,0x00dfd000,0x001ffcc0,0x00dffe88,0x00fffd88,
    0x3a21dfb0,0x3ff6000f,0x3fff201e,0x005fa806,0x7e40ffec,0x9fd10007,
    0x4017fcc0,0x98006fff,0x74c001ee,0x7fd4000e,0x7ff4401e,0x3fa004fd,
    0x8dfc800e,0xf1003ffc,0x0fffe88d,0xf80bffe2,0x3e6001ff,0x9f3004ff,
    0x74006fb8,0x3ffc801f,0x004ffb80,0x7ff7fff1,0x77fd4000,0x807fb000,
    0x3ee06ffd,0x7d4002ff,0x3bff205f,0x1bff2000,0xf983be20,0x77c4001f,
    0x37d40000,0x2fffcc00,0x00ffe400,0xffbfff88,0x3bff6003,0x37ffc400,
    0x2a005b80,0x1ff306ff,0x01ff9000,0xea807fd8,0x27d4002e,0x00bf2000,
    0x10037fe4,0x2001fffd,0xf8800ff8,0x4007fdc5,0xfff883fd,0x3e00dcc1,
    0xff98002f,0x303e803f,0x0fe2007f,0x8007ffc0,0x3f2004fb,0x20006fff,
    0x2000fff9,0x7fdc06ff,0x2fff980f,0x20bf7000,0x4001fff9,0x6404fff8,
    0x800bd105,0x700001fb,0x7f44001f,0x3f60005f,0x3fff2002,0x3ff2006f,
    0xdfff000f,0xc8016200,0x3ff103ff,0x00bff000,0x00001ff7,0x5300be60,
    0xfb8d4157,0x17ffd400,0x13ffe200,0xd800fdc0,0xa809d304,0x07b101ff,
    0x0013e200,0x201fffd8,0x006c403a,0xff98025c,0x013e2006,0x02ffff88,
    0x05fff300,0x007ffc40,0xe885fff5,0x740006ff,0x05ffe886,0x03fff900,
    0x00b20162,0x400002d8,0x3ff6002c,0x17c40007,0x5ffff100,0x13ffe200,
    0x006fff80,0x4ffd8016,0x8001ff50,0xfb806ff8,0x8800001f,0x7bfd503e,
    0x47f9dfd7,0x3ffa206c,0xfffd8006,0x002d801f,0x00d88093,0x00003ff6,
    0x00007c40,0x000dfff3,0x50004000,0x6c001fff,0x80000004,0x8004ffe8,
    0x3ea03ffd,0x7ffe41ff,0x435c0001,0x0001fffc,0x000dfff1,0x00008000,
    0x3ea00100,0xd80003ff,0x90000003,0x74003fff,0x000006ff,0x3f60dffd,
    0xfff88006,0x803fec00,0x21760018,0xf7104fd8,0xf904e87f,0xfb8003ff,
    0x0806fffa,0xe8000000,0x000000ff,0xfd0000d1,0x000005ff,0xfff30000,
    0x0025c009,0x7fe40000,0x3ff50006,0x223ffdc0,0x00007fff,0x05fffa8f,
    0x1fffe400,0x00000000,0xff000000,0x300001ff,0x10000009,0xe800dfff,
    0x000006ff,0xf981fffb,0xffd0001f,0x004ff80b,0x03e20055,0xf5007ff1,
    0xff987989,0xa7d4005f,0x0004fffd,0xff800000,0x1000000f,0xff700005,
    0x997300bf,0xcb980037,0x3ffe01bc,0x438800df,0x80999999,0x40199999,
    0x0003fff9,0xbff90022,0x005fffb8,0xfffc8500,0x7fd40004,0x332a206f,
    0x544000ac,0x4000accc,0x00accca8,0x004fffa8,0x2e600000,0xffc801bc,
    0x7ff4005f,0x40014c06,0x3ee3fffc,0x3ee0002f,0x3ff704ff,0x64007200,
    0x2005fd85,0x7ec3e84c,0x3e6004ff,0x81fffea5,0x090abcba,0x90abcba8,
    0x007ffc40,0x00000000,0x407fffe6,0xfffeeff9,0x77fcc00d,0xd80dfffe,
    0x002effff,0x2ffffdc8,0x1fffffd8,0x003fff60,0xfff88000,0x017fff41,
    0xfffe8000,0x7fcc0003,0x7fe440ff,0x00ffffcd,0x7e6ffe44,0x64400fff,
    0xffffcdff,0x0ffff600,0xb3000000,0x5fffd9df,0x027fff40,0x701bffa0,
    0xfff30007,0x443dfb1d,0x2aaaaaaa,0x44ffff88,0x3a001ff9,0xfb85f000,
    0x2166002f,0x1ffff46b,0x220ee880,0x7440ffff,0x7fffecdf,0xfd9bfd10,
    0x7fc40fff,0x0000000f,0x7ffc4000,0x21cfb82f,0x700effe9,0x7ff4c39f,
    0x7fff440e,0xa8000dff,0x3f202fff,0xfff101ff,0x33bb726b,0x7fdc0002,
    0x0ffffc43,0xfff80000,0x7c40002f,0x7fec1fff,0x03bfee20,0x2e20ffd8,
    0x3f600eff,0x3bfee20f,0x2ffff880,0x2a000000,0x7ff441ff,0x07ffff04,
    0x406ffe80,0xffd0003d,0xfd107fff,0x209dffff,0x98effffa,0x1e2001ef,
    0x3ffc3cc0,0x20f88000,0xb002ffff,0x3ffff01f,0x7e4c0fe8,0xc981fd07,
    0x3ffe207f,0x00000000,0x3ffff800,0xff981fdc,0x303fb84f,0xff109fff,
    0x007fffff,0x4c05fff0,0xff501fff,0xffddfb9f,0x7c000bff,0xffff986f,
    0xf9800000,0x80001fff,0x3ee3ffff,0x09ffd04f,0x7f413fee,0x09ff704f,
    0x3e613ffa,0x00001fff,0x205ff300,0x7cc5ffe8,0x74002fff,0x7f9106ff,
    0x3ffee000,0x7fff400f,0xffffa801,0x4d8004fe,0xff98d500,0x47e00006,
    0x801ffff9,0xffff02fc,0xfd01fe47,0x3f407f90,0x001fff10,0x66666400,
    0xcccccccc,0xcccccccc,0x224ffffc,0x7ffe406f,0xf901be21,0xffd103ff,
    0x005fffff,0xf1017ff4,0x3ff603ff,0x3f220cff,0xfa8006ff,0xffffa80f,
    0xfa800000,0x80000fff,0x3f64ffff,0x0bff903f,0x7e40fff6,0x07ffb05f,
    0x3ea17ff2,0xca8007ff,0xcccccccc,0x5017fa23,0x7fd45fff,0x7f4001ff,
    0xffeeeeff,0xe98003ff,0x5c03ffff,0x3e6003ff,0x4002ffff,0x8b7001fa,
    0x00005ffa,0x7fffd4ba,0xd01fd400,0x1ff49fff,0x07fd0f50,0xfff103d4,
    0x3e200001,0xffffffff,0xffffffff,0xffffffff,0x7013f25f,0x27e47fff,
    0x80fffee0,0xfffffffb,0x2ffe801e,0xf80fffc0,0x3f600eff,0x7f4003ff,
    0x0ffff702,0x3fee0000,0xfd00007f,0x0ffe4bff,0xf905ffb8,0x17fee03f,
    0xfb80ffe4,0x7fffb85f,0xffb98800,0x7dc1dfff,0x6ffe803f,0x003fffee,
    0x999fffd0,0x007ffdb9,0x7fe77e44,0x1bf200ff,0x3fffee00,0x0df3003f,
    0x3ff22640,0x4f600005,0x4c07fffb,0x7fff405f,0x0f01bfe5,0x20780dff,
    0x0000fff8,0x00ffffe0,0x27fff400,0x555559ff,0x4bfff955,0xaaaaacff,
    0x05fffcaa,0x7ffffec4,0x7ff403ff,0x80fffc02,0x7c405fff,0xf5000fff,
    0x3fffdc07,0xffa80000,0xe80000ff,0x0f224fff,0x9106ffb8,0x837fdc07,
    0x3fee03c8,0x0ffffb86,0x3ffee000,0x005ffb07,0x3ea5fff7,0x74000fff,
    0x0fea06ff,0xe877fd40,0x3fa05fff,0x767dc001,0x4405ffff,0x16e002fe,
    0x0000dff7,0xffffa974,0x801df100,0x3f64fffe,0xfb0301ef,0x880603df,
    0x44000fff,0x7fff42ec,0xfff00004,0x337fe27f,0xcccccccc,0x9bff13cc,
    0x99999999,0x3a600799,0x02ffffff,0xff00bffa,0xbfff103f,0x05fff900,
    0xff301760,0x000001ff,0x003ffff3,0x05ffff00,0x1bfff260,0x3fff2600,
    0xffc98006,0xffffa86f,0x3fe60001,0x03fff06f,0x269fff30,0x4001ffff,
    0x1ec06ffe,0x2a2ffd40,0xf982ffff,0xb2fe4004,0x6409ffff,0x2354007f,
    0x00007ff9,0x7fffc47e,0xd001fd00,0x7fd45fff,0xfa800cff,0x2000cfff,
    0x4000fff8,0x3f25fffd,0x880005ff,0xff31ffff,0x3fe60005,0x5c000002,
    0x01ffffff,0xff805ffd,0x4fff981f,0x03fff980,0x7c400f88,0x00001fff,
    0x02ffff88,0x1ffff800,0x7e67f5c0,0x3fae006f,0x2006ffcc,0x6ffccfeb,
    0x02ffff88,0x17ffe200,0x2003ffe6,0xff35fff8,0xfe8005ff,0x201dc06f,
    0xffd05ffa,0x006d81ff,0x7fe437e4,0x4ffa83ff,0x3e23cc00,0xf100007f,
    0x40ffffc1,0xfff002fc,0x7fff441f,0x3a200cff,0x00cfffff,0x000fff88,
    0x43ffffe2,0x0006fffb,0x50ffff98,0x2a0009ff,0x000004ff,0x5ffffd88,
    0xf805ffd0,0x9fff01ff,0x013ffe00,0x7ffc012a,0xd000002f,0x80007fff,
    0x700ffff8,0x37fdc7ff,0xf71ffdc0,0x7ff700df,0xff837fdc,0x220004ff,
    0xffb85fff,0xdfff000f,0x0027fffc,0x3301bffa,0x817ffc40,0x2a4ffff9,
    0x3fea001f,0x1ffff701,0x0007ffc4,0x0fff60fc,0xfd1aa000,0x03fb85ff,
    0x221fffe0,0x1ffffffd,0x3ffff620,0x7fc401ff,0x7fec000f,0xffff53ff,
    0xffb80001,0x017fea7f,0x002ffd40,0x7ec00288,0x5ffd07ff,0xd01fff80,
    0x3fe009ff,0x003b804f,0x0009fffd,0x13fff600,0xdfff3000,0xb81dfb10,
    0x3f6206ff,0x037fdc0e,0xfb81dfb1,0xdfffb06f,0x7ffc4000,0x01fffc85,
    0x7e4bffd0,0x7f4005ff,0x7e40006f,0x3ff200ff,0x004f8aff,0x3f203fec,
    0x1bff24ff,0x3e22e400,0x091000ff,0x4fffc87d,0xf98017e6,0x3faa05ff,
    0x5403ffff,0x03fffffe,0x0003ffe2,0xfe93e2aa,0x740003ff,0x3fe64fff,
    0xdff30006,0x00166000,0x3a07fffa,0x7ffc02ff,0x00dffb01,0x3200fffa,
    0xdfff5001,0x3ea00000,0x5c0006ff,0x7f443fff,0x20dff705,0xff705fe8,
    0x417fa20d,0xff306ffb,0x220003ff,0xffa85fff,0x7ffd002f,0x0037ffcc,
    0x8001bffa,0x4405fff8,0x06defffe,0x402ffc40,0x3ffa5ffd,0x260f6c04,
    0x02ffd40f,0x03e6074c,0x3e2ffff3,0x7ffdc006,0xffffb803,0xfffb803f,
    0xfff103ff,0x1fc40001,0x000ffff3,0x1077ffd4,0xa4007fff,0x2003fff8,
    0xf7000f34,0x5ffd05ff,0x701fff80,0x3fa00fff,0x4003802f,0x0001fffe,
    0x7ffec288,0x3ffa0001,0x701ffe86,0x3ffa0dff,0x20dff701,0xff701ffe,
    0x2fffec0d,0x5fff8800,0x004fff98,0xffe83ffd,0x3ffa001f,0xf9a44006,
    0xff9805ff,0x54001fff,0xffa804ff,0xa80fffe7,0x985d86ff,0xdb982efe,
    0xff904e80,0x8001fd3f,0x20086ffe,0x0046fffc,0x220dfff9,0x20000fff,
    0x7ffe40fb,0xfffb0002,0x00ffff05,0x07fff8ee,0x00be6770,0xb01fff30,
    0xfff807ff,0x01fff301,0x0001fff0,0x0dfff500,0x440e8800,0x50005fff,
    0xff983fff,0x21bfee06,0x3ee06ff9,0x06ff986f,0xf881bfee,0x88002fff,
    0xff885fff,0x0fff007f,0x4009fff5,0x64006fff,0x00dfff74,0x017ffff2,
    0x004ffa82,0x3ffe2bff,0x03ffe202,0x3ff207f1,0x903dfeef,0x3ffe201d,
    0x7dc001ff,0x5c0680ff,0x701a1fff,0xff103fff,0x2740001f,0x00ffffc4,
    0x417ffee0,0x200dfffc,0x3fff21f9,0x4c7e600d,0x7fcc006f,0x409ff907,
    0x3201fff9,0x7fc404ff,0x3a000003,0x20003fff,0x3fff702d,0x09ffd000,
    0x2e01fff7,0xfffb86ff,0x70dff700,0x3ee01fff,0x7ffe406f,0xfff88006,
    0x05fff705,0xf905ff88,0x3fe001ff,0x47ea006f,0x001ffffa,0x80bfffff,
    0x00bff31e,0x4fff93fe,0x4c0ffec0,0x06a6201f,0xfa803f50,0x7c4003ff,
    0x403f02ff,0x07e1fff8,0x881fff88,0x98000fff,0x3ffea05e,0xfff5000f,
    0x3ffe201d,0x2fdc41ef,0x07bfffe2,0x7fccbf71,0x0fff2005,0xea837fe4,
    0x3a202fff,0x3fee00ff,0x00cda800,0x0ffffa20,0xfd017600,0xffc800df,
    0x05fff506,0xa8cdffd3,0xfe982fff,0x7ffd466f,0x26ffe982,0x1dfff901,
    0x2fffc400,0xc80dfff0,0xffd100ff,0xfff8801d,0x44fd1007,0x200effff,
    0xffffffe8,0x7f46b80e,0x0ffd400f,0xfa80bffd,0x000fee07,0x36005f70,
    0x32000eff,0x017e04ff,0x02fc1ff9,0x3e203ff2,0x7dc000ff,0xeffe8803,
    0x27ffd400,0x7ffffdc0,0x80fffedf,0xdffffffb,0x3e60fffe,0x7d400eff,
    0x3ffea05f,0xff3f911c,0x3e6031bf,0x03ff105f,0x009fff10,0x1dfffe88,
    0x9004e980,0xd8801dff,0x3fe604ff,0xfbf913ff,0x3e6b75ff,0xbf913fff,
    0x26b75fff,0xf913ffff,0x0b75fffb,0x0077ffe4,0x205fff88,0xf104fffa,
    0xffd8807f,0x3fff600e,0x27f4c00f,0x0bbffff2,0xfb15ff71,0xf99dffff,
    0x04ff985f,0x3fe61fec,0x013ee01f,0x88001bf3,0xff3001ed,0xfb001dff,
    0x03ff809f,0x07ff17fa,0xff982ff4,0x00e2001f,0x2b7fff20,0x5fffb730,
    0x7fffdc00,0x201fffff,0xfffffffb,0x7ffcc1ff,0xb310bcef,0xfd801bff,
    0xf1ffffff,0x2019ffff,0x3a20cffb,0xfff5001f,0xff91000d,0x73357bff,
    0x98007ffb,0x5cc1bffe,0xfd801efe,0x89efffff,0x360effff,0x9effffff,
    0x20effff8,0xeffffffd,0x0effff89,0x6ffff4c0,0xbfff9301,0xcfff9803,
    0x800bfe61,0x89acfffc,0xefffffda,0xfdcccccc,0xfffe82ff,0xefffefff,
    0x7ffffe40,0xff304fff,0x209f901b,0xf881effc,0x3bfb1006,0x00dfda80,
    0xfd31dd10,0x754c159f,0xfff801ef,0x7c0efb84,0x0efb84ff,0x005fff50,
    0x3b660000,0xefffffff,0xfe98000c,0x800dffff,0xdfffffe9,0xeb99e980,
    0xefffffff,0xfffd1002,0x5f7fc1bf,0xdffe9800,0x7c000dfe,0x260003ff,
    0xfffffffd,0x10000cff,0xffdfffd9,0x220019df,0x6c4ffffd,0x7ec40dff,
    0x7fec4fff,0x7ffec40d,0x06ffec4f,0xffffb500,0x7ffffddd,0x7fec4001,
    0x001befff,0xffffeb88,0xffffffff,0xffffffff,0x3ffee07f,0x202effff,
    0x4fffffea,0x66ffec40,0x75401efd,0x4febbdff,0xeffc9800,0x0cffedcd,
    0x2a07ec00,0xfffefffe,0x3fbe003e,0x0cffddff,0xddfffef8,0xfd300cff,
    0x00003dff,0xacb98800,0x2a200001,0xa88000ab,0x20a200ab,0x01abcba8,
    0x90157100,0x2aa20003,0x06a20000,0xcbaa8000,0x800001ab,0x0001aca9,
    0x01300d44,0x02601a88,0x04c03510,0x32aa6000,0x00009abc,0x0000ab98,
    0x0cccccc0,0x73100000,0xb8800379,0x54c000ac,0x5d40009a,0x0000acdc,
    0x1abcba98,0x300ae000,0x00013795,0x055d4c41,0x55d4c410,0xffffd700,
    0x0005dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x35551000,
    0x55100000,0x665c0001,0x201332a3,0xfffffff8,0x3fffffff,0x01d40164,
    0x2605bb50,0x30075003,0x000a880b,0x40060000,0x40c98001,0x2200acb8,
    0x1b008800,0x20005900,0x0003ccc9,0x5100014c,0x66664000,0x2aa00000,
    0x03001800,0x2a202a20,0x16f5c000,0x007502a8,0x014c00b3,0x01500000,
    0x15101510,0x1440a200,0x00266644,0x1ffffb00,0x3fb20000,0x8003effe,
    0x3ff61fff,0xffffb803,0xffffffff,0x017d41ff,0xff1003f3,0x1c83dfff,
    0x4405f100,0x3ffea03e,0x30000004,0x002d401d,0x3a63ffd5,0x103fffff,
    0x8074405d,0x03ee01eb,0x0fffec00,0x0bff9000,0x007fc880,0x007fff50,
    0x00ffe400,0x00b6026c,0xf887ffe2,0xff9801ff,0x0e41dfff,0x3a203f88,
    0x0bff9003,0xfffffe88,0x446fffff,0xf100dfff,0x7ffc43ff,0x23ffd401,
    0xffc87ffa,0xf980001f,0x0004ffff,0xfb30cfd8,0x7fc4009f,0xe8037fc4,
    0xffffffff,0xd07fffff,0xffb77bff,0x3b3f200d,0xfaaeffff,0x37ff6000,
    0x00fffdbb,0x00bffffa,0x17ec0000,0x7e4007dc,0xff99ffff,0x04ffffff,
    0x07d309f5,0x5defffcc,0x20005ffd,0x40001fff,0x8800ffff,0x0007fffc,
    0x00009ff9,0x400fffcc,0x05d80df8,0x549fff50,0xed804fff,0xadffffec,
    0x6ffec07a,0x00fffdbb,0x001ffff0,0x9fffff71,0x3ffff203,0x49fff702,
    0x6c04fffb,0x3ff62fff,0x04ffd82f,0xe8cfe800,0xd10001ff,0x17fee07f,
    0xf1077d40,0xbff3003f,0x55555559,0x3e609fd5,0x1fffffff,0xfffb8d00,
    0x44004fff,0xffffffff,0x7fffe402,0x10000005,0x027dc7ff,0xd5fff708,
    0xfffd537b,0x437fa03f,0xffb806f9,0x00ffffff,0x005ff300,0x80dffb00,
    0x7fffeec8,0x00bfd000,0x1fffe800,0x223ff700,0xff1001fe,0x17ffc47f,
    0x3fff2340,0x7c403fff,0x2fffffff,0x01bff600,0x80bfff90,0x305ffffb,
    0x7fcc5fff,0x7ffdc02f,0x403ffee0,0x540006fe,0x002fe43f,0x7f406fd8,
    0x42fb802f,0x3f9004fa,0x300ffc00,0x03dffffd,0x7fe44240,0xfd30004f,
    0x1005ffff,0x000ff9b9,0x6ffe4000,0x44000ffc,0xfb04efff,0x3fe60dff,
    0x7002ffbe,0x01bfffff,0x0027e400,0x800cc880,0x001fff61,0x00003be6,
    0x01ffffc8,0x3fafffa0,0x41ed4004,0x848803da,0x004fffd8,0x5fffffd3,
    0x00cc8800,0x027ffd40,0x03fb3f62,0x16d416d4,0xdb81db80,0x003fa201,
    0x5f502e80,0x03ff9800,0x6c037fd4,0xf1006b85,0x03fd4003,0x8002bba8,
    0x00004c00,0x000565cc,0x000006e8,0x3ffffe20,0x9fff0003,0x17fffc40,
    0x05ffffd8,0x00de5440,0x0002f400,0xffb80000,0x00fb8007,0x3efea000,
    0x3ea001ff,0x0000ffff,0x30020000,0x59730001,0x80000001,0x4003fffa,
    0x0000007c,0x0fe60000,0x26015c00,0x17fec005,0x201fff40,0x3002d80e,
    0x04fd8003,0x00000000,0x00000000,0x0000009f,0x006fffb8,0x7007ffe0,
    0x3e207fff,0x00001fff,0x0034c000,0xf5000000,0x03d000ff,0xfafc4000,
    0x7f4001ff,0x000003ff,0x00000000,0x00000000,0x8007fff5,0x0000005e,
    0x02d40000,0x20000000,0xfd801fff,0x0080406f,0x0ffc0000,0x00000000,
    0x00000000,0x000007d4,0xf0000000,0xff8803ff,0x0000004f,0x00220000,
    0xa8000000,0x008007ff,0xf87ec000,0x000001ff,0x00000000,0x00000000,
    0xfff50000,0x00fcc007,0x00000000,0x00000040,0x1fff1000,0x00fff700,
    0x50000000,0x995100ff,0x99980159,0x99980999,0x33330199,0x33330133,
    0x02fa8033,0x00000000,0x00fffc00,0x00037ffc,0x06f2e600,0x00000000,
    0x00579953,0x0001ffea,0x45f70000,0x00001fff,0x4cccccc0,0x19999980,
    0x59995100,0x32e60001,0x5cc001bc,0xf5001bcc,0x3a2007ff,0xccca8804,
    0x9730000a,0x10000379,0x41333333,0x99999998,0x19999881,0x5003fff3,
    0x26663fff,0x99980999,0x90000199,0x7fe4409f,0x00ffffcd,0x05ffffb9,
    0x03fffff9,0x05ffffb9,0x03fffff9,0x12e203b2,0x30006f26,0x01795079,
    0x801fff80,0x79306ffe,0x36601ca8,0x2fffecef,0x95079300,0xfe880017,
    0x01efffce,0x2203ffcc,0x99999999,0x00999999,0x3ffe27c4,0x26666201,
    0x99999999,0xfffb9099,0xffffb05f,0x7fe4403f,0x00ffffcd,0xffddff30,
    0xff9801bf,0x00dfffee,0x401fffd4,0x7e4403fb,0x0ffffcdf,0xfddff300,
    0xc9801bff,0xfffffb82,0x3fff6a4f,0xfeb85fff,0x5fff55ff,0x25fff300,
    0x82ffffdc,0x01fffffd,0x201ff800,0x3ee20ffd,0x3fe600ef,0x3fff202f,
    0x0bffe601,0x501fffc8,0x54dffb30,0x805fffff,0x3ee4ffea,0x2003ffff,
    0xfd801fff,0xa7ff545f,0xa82ffff9,0x7ff441ff,0x93ffaa04,0x03fffffb,
    0xfc81df70,0x3fe601ff,0x7ffff407,0xffffffff,0x077401ff,0xfe807ffe,
    0xffffffff,0x541fffff,0x3f202fff,0x3ff601ff,0x03bfee20,0x74c39f70,
    0x9f700eff,0x077ff4c3,0x807fff50,0xffd800cc,0x03bfee20,0x74c39f70,
    0xfea80eff,0xfffd103f,0x1bffee03,0xff88bfe0,0xfff9803f,0x017ffd43,
    0x0003fff9,0x3ee07fa8,0x09ffd04f,0x2602fff8,0x7fc01fff,0x3ffe602f,
    0xfffe9801,0xffdff56f,0x3fee07ff,0xdff94fff,0x2003ffff,0xfc801fff,
    0xfffff74f,0xbffffd19,0xd102ff98,0xfffb8bff,0xfdff94ff,0xfa803fff,
    0x0dfff107,0x3a03ffcc,0x99999abf,0x404fffb9,0x1fff81fb,0x266affa0,
    0xfffb9999,0x405fff04,0xf701fff9,0x13ffa09f,0xff303fb8,0x207f709f,
    0x2a04fff9,0x00003fff,0x3fa09ff7,0x40fee04f,0x3ee4fff9,0x2a03ffff,
    0x3f602fff,0x42fc405f,0xfa806fff,0x2fff83ff,0x007ffe60,0x6c09f900,
    0xbff903ff,0x402ffe80,0x7f401fff,0x0fffc02f,0xeffe8880,0x7ffe41eb,
    0x9fff3080,0x7ff443bb,0x03fff006,0x4c25ffb0,0xc8adcfff,0x17fa22ff,
    0x845fff50,0x1ddcfff9,0x881bffa2,0x3ff603ff,0x0fff300f,0x7fc403e8,
    0x827cc06f,0x0fa01fff,0x40dfff10,0x3e202ffe,0x7ffb01ff,0x4417ff20,
    0x7ffe406f,0xf901be21,0x3fea03ff,0xfb00003f,0x17ff207f,0x3f2037c4,
    0x3fe611ff,0x27fec03f,0xa80fff50,0x2fffe81f,0x417ffdc0,0x3e202ffe,
    0x7c0001ff,0x07ff201f,0x3a02ffdc,0x7ffc02ff,0x017ff401,0x90007ffe,
    0xf101bfff,0xffe803ff,0x0fff503f,0x200bffe0,0xffd81ffe,0x3ee0444f,
    0x6ffe803f,0x207fffd0,0x3f207ffa,0x037fd407,0x0f80fff3,0x00ffff40,
    0x1fff81ba,0xffd003e0,0x17ff403f,0x6407ffe0,0xbff701ff,0xf7013f20,
    0x027e47ff,0x540fffee,0x00003fff,0x3ee03ff9,0x809f905f,0xfe83fffb,
    0x3ffd403f,0xd80bffe0,0x0dfff306,0xe81fffc8,0x7ffc02ff,0x1fe60001,
    0x7dc07910,0x17ff406f,0xd007ffe0,0xfff805ff,0x37fdc001,0xb00bffa0,
    0x7fc409ff,0x2fff800f,0xd82ffc40,0xfd800eff,0xfffb802f,0x204ffd82,
    0xff00fff8,0xf300600d,0x640580ff,0x7e402fff,0x807ffe00,0x17ffe405,
    0xf00bffa0,0x0f2203ff,0xff06ffb8,0x55555559,0x7fcbfff9,0xaaaaaaac,
    0xf505fffc,0x200007ff,0x3fee03c8,0x5559ff06,0xfff95555,0x007ffd0b,
    0x7f405fff,0x405f105f,0xd985fffc,0xfe80ffff,0x0fffc02f,0x009f9000,
    0x37ffe4c0,0xf00bffa0,0xffe803ff,0x00fffc02,0xb01bfee0,0xffd807ff,
    0x00fffc04,0x32027ffc,0x9ffb00ff,0x007ffe00,0x3613ffe6,0x7ffc04ff,
    0x005ff981,0x00fff300,0x027ffd40,0xfff00fea,0x3fea0003,0x2ffe804f,
    0x000fffc0,0x437ffe4c,0xccccdff8,0x3ccccccc,0x9999bff1,0x79999999,
    0x00fffea0,0x3f260000,0xdff886ff,0xcccccccc,0xffd83ccc,0x05ffc803,
    0x701ffff3,0xffff900f,0xfff9fdbb,0x00bffa0d,0x40003fff,0xeb8002ff,
    0x406ffccf,0x7fc02ffe,0x17ff401f,0x0007ffe0,0xfc80dff7,0x27fec04f,
    0x200bffe0,0xf101ffff,0x27fec07f,0x007ffcc0,0x6c2fffc4,0x7ffc04ff,
    0x004ffa82,0x00fff300,0x01bffe20,0xfff00bf1,0xfff10003,0x0bffa00d,
    0x4003fff0,0x6ffccfeb,0x0002ff98,0x00005ff3,0x000fffea,0xccfeb800,
    0x2ff986ff,0x3ffd8000,0x80fff980,0xe84ffddd,0xfffb5004,0x5fff717d,
    0xf00bffa0,0x260003ff,0x7fdc007f,0xd01bfee3,0xfff805ff,0x017ff401,
    0x70007ffe,0xffc80dff,0x027fec04,0x3e00bffa,0x7441efff,0x27fec04f,
    0x007ffdc0,0xfd86fff8,0x17ff404f,0x0002ffdc,0x0007ff98,0xd801fffb,
    0x1fff800f,0x0fffd800,0x805ffd00,0xfb801fff,0x21bfee3f,0x50004ffa,
    0x200009ff,0x0003fffa,0x2e3ffb80,0x4ffa86ff,0x3ffd8000,0x987ffd00,
    0x4c7ffa9f,0xe818001f,0x3ffa07ff,0x00fffc02,0x1004fc80,0xffb81dfb,
    0x017ff406,0xfd007ffe,0x1fff805f,0x037fdc00,0xfb013ff2,0x2ffe809f,
    0xfdafff80,0x802ffedf,0xfc804ffd,0xffd001ff,0x809ffb0b,0xffb82ffe,
    0xff300006,0xfff9000f,0xffff9805,0xffffffff,0x806fffff,0x2002fffc,
    0x7fc02ffe,0x3bf6201f,0x5437fdc0,0xf50005ff,0x2a0000bf,0x00003fff,
    0xf703bf62,0x0bff50df,0x07ffb000,0xd91bfee0,0x0d917ffc,0x3ffea000,
    0x00bffa04,0x20003fff,0xfe8802ff,0x80dff705,0x7fc02ffe,0x17ff401f,
    0x0007ffe0,0xfc80dff7,0x27fec04f,0x200bffa0,0x57531fff,0x27fec001,
    0x017ffd40,0xfd83ffe8,0x17ff404f,0x0007ffd4,0x003ffcc0,0x2013ffe6,
    0xfffffffa,0xffffffff,0x7fcc06ff,0x7ff4004f,0x80fffc02,0xff705fe8,
    0x00dff30d,0x001bfe60,0x01fffd40,0x05fe8800,0xff30dff7,0xffb0000d,
    0x3ffe2007,0x7fe45f10,0x40000fe5,0x3a00fffe,0x7ffc02ff,0x07f98001,
    0x2e03ffd0,0x7ff406ff,0x00fffc02,0xff00bffa,0xffb8003f,0x027fe406,
    0xfd013ff6,0x3fff005f,0x9ffb0000,0x09fff300,0x3607ffa0,0x7ff404ff,
    0x03fff982,0x3fe60930,0x3ffe2007,0xdddd3006,0xfddddddd,0x40bdddff,
    0x8006fff8,0x7fc02ffe,0x03ffd01f,0x3e21bfee,0x452003ff,0x12003fff,
    0x001fffd4,0x80fff430,0xff886ffb,0x3612003f,0x3f6003ff,0xff98d94f,
    0x0000fa8f,0x401fff98,0x7fc02ffe,0x4fc8001f,0x206ff980,0x7ec06ffb,
    0x0fffc03f,0xf00fff60,0xfb8003ff,0x27fe406f,0xd013ff60,0xfff005ff,
    0xffb00003,0xffff1009,0x6c1ffe00,0x7ff404ff,0x07fff882,0x3fe603b0,
    0x3fff6007,0xff000000,0x3ff6003f,0xffd8000f,0x40fffc03,0x3ee06ff9,
    0x0ffff06f,0x7fff8ee0,0x3ea07700,0xb30003ff,0xfb81bfe6,0x0ffff06f,
    0x3ff60ee0,0x3bfea003,0xbffe83f8,0xfb00005d,0x7ffb007f,0x001fff80,
    0xfb802fe8,0xdff700ff,0x204ffc80,0x6401fff8,0x3fe204ff,0x7fdc001f,
    0x027fe406,0xfd013ff6,0x3fff005f,0x9ffb0000,0x0bffee00,0x360bff10,
    0x7ff404ff,0x0bfffb02,0x3fe606b8,0x5fff7007,0x3e000280,0xffb801ff,
    0xfc81402f,0x3ffe604f,0x00fffb81,0x3f20dff7,0x3e600dff,0x037fff21,
    0xff501f98,0x4b60007f,0xf700fffb,0x3fff20df,0x207e600d,0x7c003ffd,
    0xfb80fdff,0x80002fff,0xf9005ffc,0x7ffcc09f,0x03fcc001,0x982fffa8,
    0x2e066ffe,0xffd506ff,0x6ffb805f,0x05fffd50,0x406ffb80,0x7ec04ffc,
    0x17ff404f,0x0017ffc0,0x0027fec0,0xfc80dfff,0x09ffb00f,0xf102ffe8,
    0xfb30bfff,0x03ffd407,0x4027ffcc,0x3ffe0005,0x27ffcc01,0x6ffc82c0,
    0x05fffd50,0xd305fff5,0xff10cdff,0xfb883dff,0x77fffc45,0x502fdc41,
    0x50007fff,0x0bffea1f,0x219bffa6,0x41effff8,0xffb05fb8,0xfffc8007,
    0x0ffff104,0x09ff5000,0xa837fe40,0x4002fffe,0xff3004fc,0x37f227ff,
    0xa85bafff,0xf911cfff,0x031bfff3,0x4473ffea,0x8dfff9fc,0x0dff7001,
    0x7405ffc8,0x7ffc04ff,0x02fff802,0x05ffd800,0x413ffea0,0x3fa03ff8,
    0x17ffc04f,0xdfffff90,0xa80bffd9,0x7fc407ff,0x000f006f,0xf100fffc,
    0x41e00dff,0x911cfffa,0x31bfff3f,0x89ffffcc,0xbafffdfc,0x7ffffdc5,
    0x80fffedf,0xdffffffb,0x2a00fffe,0x4c004fff,0x3fffe65e,0xfffbf913,
    0xfffb8b75,0xfffedfff,0x009ffd00,0x200fff98,0x40004ffc,0x54002ffb,
    0xf911cfff,0x031bfff3,0xd800bfa0,0x9effffff,0x00effff8,0xfffffffb,
    0x33ffffe3,0xfffffb00,0x3fffe3ff,0xffd800cf,0x037fec06,0xff013ffe,
    0xfff8807f,0xffd80003,0x7ffcc006,0x00bfe61c,0xff809fff,0x7ffe403f,
    0x00efffff,0x3603ffd4,0x7b800fff,0x07ffe000,0x800fffd8,0x3fff607b,
    0xfff1ffff,0x7fec19ff,0xf89effff,0xfb80efff,0xffffffff,0x3fffee01,
    0x401fffff,0x800efffb,0x7ec3ffb8,0x89efffff,0xb80effff,0xffffffff,
    0x17ffe01f,0x3013fa00,0x260001ff,0xb0001efd,0x3fffffff,0x033ffffe,
    0x8800ff30,0x6c4ffffd,0x3a200dff,0x3e0dffff,0x74400bef,0x3e0dffff,
    0xf3000bef,0x3e605fff,0xff501fff,0x3fee01ff,0xffb3106f,0x200035ff,
    0x003ffff9,0x7ffffec4,0x7fd401be,0xfff700ff,0xffff500d,0x3fa007ff,
    0xfff703ff,0x5555555b,0x4000dfb9,0xff701fff,0x555555bf,0x440dfb95,
    0x20dffffe,0xd880beff,0x7ec4ffff,0x3fa600df,0x800dffff,0xdfffffe9,
    0x7fffcc00,0xeeeeeeff,0x40ffffee,0x44ffffd8,0x2600dffd,0x0dfffffe,
    0x03fffea0,0xd003f700,0x7edcc00b,0x440001df,0x20dffffe,0x3000beff,
    0x2a200079,0x88002601,0x001c80ab,0x1c80ab88,0x3fffa200,0xfd74efff,
    0x25dfffff,0xfffffffa,0xfffffb2e,0x33221dff,0x1ccccccc,0x3fffea00,
    0x8004ffff,0xfa800ab9,0x2effffff,0xfffffffb,0x9bb9801d,0x7fff6400,
    0xf11effff,0xffffffff,0x0dffffff,0x40fffc00,0xfffffff8,0xffffffff,
    0x80ab8806,0x0351001c,0x7510004c,0x75100015,0x7f744015,0xffffffff,
    0xffffffff,0x806a206f,0x2ea20009,0x3ffaa00a,0x001effff,0x006a0071,
    0x0009abb8,0x4055c400,0x0000001c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6541e4c0,0x0e00002b,0xffffb000,0x05dfffff,
    0xfffffffb,0x19987dff,0x8004cc40,0x2a02ccca,0xffb002aa,0xdfffffff,
    0x3ffffea7,0x75c000ff,0x4effffff,0x7ffffcc0,0x5103ffff,0x40015101,
    0x05302dda,0x004d5440,0x7fffffe4,0x5c05efff,0xfffffffe,0xffffff95,
    0x5003ffff,0xdfffffff,0x0cccc880,0x4cccccc4,0x33331009,0x7ffffd43,
    0x3f22ffff,0xffffffff,0x3ffffa04,0x0c0067ff,0x22ccb980,0x2e6001c8,
    0x00001bcc,0x7fffffd4,0xffffffff,0x4fffffff,0xfffffff8,0xffffb85f,
    0x4c0a61ff,0x24ffea82,0x04fffffb,0x002f9800,0xffffe980,0xffe9801d,
    0xff882dff,0x1bfea00f,0x8077ff40,0x001ffffb,0x37ffffa6,0xffff9101,
    0x3f26000d,0xffb000df,0x0fffffff,0xf887ffe2,0x7fc401ff,0x0e41efff,
    0x7ffff540,0xfd9800ef,0x4000dfff,0x881fffc9,0xaefffffb,0x3fee2000,
    0xffa802ef,0xffffb83f,0xfd702dff,0xfff50bff,0x7fdc05ff,0x32003fff,
    0x07541fff,0xffb80b50,0xffcfffde,0xadfe9802,0xaaabefeb,0x3220000a,
    0xcdffffff,0xdccccccc,0xfff504ff,0xffc801bf,0x71bfee0b,0x3ffeedff,
    0xfdff94ff,0x80005fff,0x500005fc,0x9800dfff,0xf100ffff,0x7fd401ff,
    0x0fff8806,0xbfffff10,0x7fff9800,0xbffff500,0x00ffc000,0xffffff88,
    0xff503fff,0x27ffd49f,0x3ffb3b20,0x00faaeff,0x7fffffec,0xf8803fff,
    0x20001fff,0x7fd402ff,0x360003ff,0xffb001ff,0x7fff4409,0x405ff005,
    0xc807fffb,0x44007fff,0x05fb01ff,0x3f6201f7,0x7fffdc44,0x20ffdc02,
    0xffffffe8,0x7fc40003,0x5002fffb,0x7ffdc0bf,0xe85fb803,0x3ffa1fff,
    0x9fff509f,0x7ff443bb,0x3fe20006,0xf980000f,0xff8005ff,0x3ffe206f,
    0x01bfea00,0xfd807fee,0x002ffd8d,0x801bffe2,0x003ffffa,0x7e400fd0,
    0xaaaaaaaa,0x47fff100,0x3402fff8,0x3fffffee,0x77ffdc04,0x2fffffec,
    0x007fff80,0x74007f40,0x20003fff,0x3fe004fd,0x5fff9805,0x4405f980,
    0xf8807fff,0x22000fff,0x8ffe205f,0x5ff104fb,0x017ffdc0,0x3ea09ff3,
    0x000aaaff,0x7fde7d40,0x0172002f,0xfb00dffd,0xc8fff901,0xfffe87ff,
    0x01fff503,0x13ffee00,0x3ffe2000,0x6fff8005,0x803ffe20,0xfd806ffa,
    0xf713e602,0x7ffc400d,0x3ffe6005,0x7e8002ff,0x0007f100,0x3da83da8,
    0x7e442440,0x77cc04ff,0x7fff440b,0x3fff400f,0x003f6000,0x001bffea,
    0x3e6006f8,0x1fff2006,0x3600bee0,0xfd802fff,0x3ee002ff,0x66ffe402,
    0x0dfb00ff,0x202fff88,0x3fa01ffe,0x3600001f,0x02fffb8f,0xff501660,
    0x827c403f,0x65c41db8,0x204ffd81,0x0001fff8,0x000ffffd,0x009fff10,
    0x440dfff0,0x3ea00fff,0x01fc406f,0x01fcc13a,0x005fff88,0x3fffffe6,
    0x803ec000,0x0000007c,0x01300200,0xfd803f90,0x7ff403ff,0x03ec0007,
    0x003fffd0,0x64007f50,0x3fe2000f,0x8037402f,0xa805fffa,0x36004fff,
    0xffff8807,0x03ff503f,0x7c05fff0,0x3ff600ff,0x7f300004,0x000bffee,
    0x0bffd00b,0x000007e4,0x3e027fec,0xfa8001ff,0x0002ffff,0x0027ffc4,
    0xf1037ffc,0x7fd401ff,0x2a02d406,0x4006c403,0x2005fff8,0xefffebf9,
    0x201f6000,0x000003f8,0x80000000,0xfff9803e,0x03fff405,0xb801f600,
    0xd8004fff,0x007a000f,0x981bff20,0x3ffe003f,0x0ffff007,0x5c013e20,
    0x3fa06fff,0x05ffd007,0xc803ffe6,0xb00006ff,0x0bffee1f,0x3fee0000,
    0x000bf00f,0x013ff600,0xb0005fff,0x00dfff3f,0x04fff880,0x206fff80,
    0x2a00fff8,0x000406ff,0x7fc40000,0x2fe6005f,0x005ffff8,0x3bf201f6,
    0x0000001b,0xb1000000,0x03ffec00,0x0001fffa,0x7fc400fb,0x3e2000ff,
    0x80004005,0xf902fff8,0x7ffe4001,0x1fffc802,0x0001fb80,0x8037fc40,
    0xff102ffe,0x37fdc03f,0x71fcc000,0x00005fff,0x507fff10,0x2000003f,
    0x7f404ffd,0xa7cc002f,0x0001fffd,0x0013ffe2,0xf881bffe,0x3fea00ff,
    0x00000006,0x05fff880,0x7fccfe60,0x0fb004ff,0xffffff88,0x2e60000d,
    0x260001bc,0x08801bcb,0x017ff200,0x8000fffd,0x7fe4007d,0x07f2003f,
    0xfc800000,0x005f886f,0x402fffcc,0xd804fffd,0xf9800007,0x5ffd005f,
    0x9017ff40,0xb0000bff,0x02fffb8f,0x7e400298,0x8006e86f,0x7fec02c9,
    0x017ff404,0x7fd47f20,0x3e20004f,0xff8004ff,0x3ffe206f,0x01bfea00,
    0xc980164c,0xfff88002,0xb8fe6005,0xd802ffff,0x7fffe407,0x2003ffff,
    0xffecefd9,0xdfb3002f,0x005fffd9,0x01ffdc00,0x0001fffa,0xff9800fb,
    0x01be006f,0x1ca87930,0x20fffcc0,0xfe8001fb,0x3fe200ff,0x27c407ff,
    0xb8164c00,0xffd005ff,0x037fe405,0x80005ffb,0x7ffdc3f9,0x4003b802,
    0x3e62fff9,0x3ffaa002,0x027fec03,0x8800bffa,0x07fff46f,0x4fff8800,
    0x06fff800,0xa803ffe2,0x7f5406ff,0x7ff5403f,0xfff88003,0x90fe6005,
    0xd803ffff,0x7ff6e407,0x00dfffff,0x3a20ffd4,0x7fd404ff,0x027ff441,
    0x02ffc800,0x0003fff4,0x3f6001f6,0x3fa802ff,0x29ffd500,0x402ffff9,
    0x03745ffd,0x02fffb80,0x0bfffbea,0x2a001fb8,0xff903ffe,0x0bffa00d,
    0x881ffe88,0xe80005ff,0x02fffb86,0xfe8003d8,0x5c01f65f,0x403fffff,
    0x7f404ffd,0x0bee002f,0x0007fff7,0x0013ffe2,0xf881bffe,0x3fea00ff,
    0xfffff706,0x3fffee07,0xff88003f,0x0fe6005f,0x803bfff6,0x7dcc007d,
    0x2606ffff,0xffd102ff,0x40bfe60b,0x0005ffe8,0x7400ffe8,0x6c0007ff,
    0xfffa8007,0x400fd805,0x8cfffffb,0x405ffffe,0x7f31fff9,0x3ffe2000,
    0x3fe7f605,0x401b605f,0x03fffffb,0x3a00fff7,0x7ec402ff,0x037fae2f,
    0x705f5000,0x64405fff,0xffa8003f,0x1003f88f,0xb00fffe6,0xffe809ff,
    0x221fa002,0x10006fff,0xf0009fff,0x7fc40dff,0x1bfea00f,0x03fff984,
    0x00fffe61,0x017ffe20,0xfe883f98,0x01f605ff,0x7fffe440,0x405fe884,
    0x7442fffa,0x7ffd405f,0x27fc0002,0x003fff40,0x74001f60,0x3e201fff,
    0xfff30804,0x5ff915b9,0x32bffb00,0x3fa0000f,0xd4f880ff,0x9f101fff,
    0x7ffcc200,0x01fff503,0x1005ffd0,0x3bdfffdf,0x41ba0000,0xeeeefffb,
    0x03ffffee,0xf79fff00,0x7ffd0001,0x404ffd80,0xf5002ffe,0x07fff607,
    0x13ffe200,0x81bffe00,0x2a01fff8,0xffe806ff,0x03ffe803,0x05fff880,
    0x7cc0fe60,0x0fb04fff,0xffffa800,0x401ffdc1,0x7fdc6ffe,0x06ffe803,
    0x401fea00,0x40007ffe,0xff70007d,0x00fe409f,0x113fff60,0x3ffe6001,
    0x5c0004f9,0x2fb83fff,0xf705fff7,0x7ffd0003,0x013ffe60,0xd300bffa,
    0x40000045,0xfff702fa,0xd999999b,0x555407ff,0xfffdaaaa,0xaaaaaaee,
    0x07ffd00a,0x7404ffd8,0x1fb002ff,0x017ffe60,0x013ffe20,0x881bffe0,
    0x3ee02fff,0x3ffe807f,0x003ffe80,0x005fff88,0xffa80fe6,0x007d83ff,
    0x44fffa80,0xfb802ffd,0x0bff62ff,0x00bffee0,0xe8017fc0,0x6c0007ff,
    0xfff10007,0x001be01f,0x0003bff6,0x03ffffd0,0x5fff8800,0x3ffe27d8,
    0xd0006e85,0x3fe207ff,0x7ffc00ff,0x0017e202,0xb81ba000,0x7dc02fff,
    0x3ffffe03,0xffffffff,0x1fffffff,0xe807ffb0,0x7ff404ff,0x404f8802,
    0x4000fffe,0x8004fff8,0x3e206fff,0xfff904ff,0x7fec254f,0x03ffd803,
    0x05fff880,0xf900fe60,0x07d83fff,0x8dff9000,0xf9801fff,0x07ffe4ff,
    0x013ffe60,0xe8017ee0,0x6c0007ff,0x3ff20007,0x003fa83f,0x0004ffd8,
    0x006fffa8,0x41fffb00,0x7fff44f8,0x4000fe20,0x3ee03ffd,0xfe881eff,
    0x3bf202ff,0x2e000000,0xeeeeeeef,0xd802fffe,0x3ff20003,0x3ff60006,
    0x037ffc03,0x3200bffa,0x7ffdc01f,0x7ffc4003,0x6fff8004,0x8ffffe20,
    0x0fff9dda,0x07ffb05b,0x0007ffb0,0x400bfff1,0xffd803f9,0x001f60ff,
    0xf33ffc40,0xff1001ff,0x03ffe6bf,0x017ffe20,0xe800df10,0x6c0007ff,
    0x3fe20007,0x000fe86f,0x0004ffd8,0x0007ffd0,0xb8fffea0,0x1fffdc1f,
    0x360003f7,0x7ff403ff,0xbebaacff,0x3fe02ffe,0xccdeeeff,0xf88002bc,
    0xccccccce,0xb802fffd,0x3fee0003,0x3ff60006,0x3fffea03,0x00bffa00,
    0x2aaaabfe,0x7fffbaaa,0x27ffc400,0x037ffc00,0xfffffff1,0x6f7ff4bf,
    0x03ffd80f,0x8003ffd8,0x2005fff8,0xfe8803f9,0x001f66ff,0xf70ffd80,
    0x3fe001ff,0x01fff76f,0x001bffe0,0xfe8001fb,0x3f40007f,0x3fff6000,
    0x40013e62,0x00004ffd,0x00001ff5,0x0dd37ffc,0x374dfff1,0x07ffb000,
    0xffffff98,0x05ffd3ff,0x7fffffec,0x2effffff,0x7007f200,0x31005fff,
    0x37fdc000,0x07ffb000,0xfffffff5,0x05ffd05d,0xffffffb8,0xffffffff,
    0x3fe2002f,0xfff8004f,0x3fafe605,0x7f544fff,0x7ffb02ef,0x007ffb00,
    0x009fff10,0xf8801fcc,0x00fb5fff,0xf93fdc00,0x3fa003ff,0x03fff95f,
    0x8017ffa0,0xfd8001fc,0x3a0000ff,0x7fd40006,0x0007f25f,0x00027fec,
    0x00004f88,0x7c47ffec,0x11fffb04,0x7ec0007f,0xffe8803f,0x3ffa2eff,
    0x7fffe402,0xffffffff,0x05f8803f,0x002fffb8,0xaaaaaa80,0xaaeffdaa,
    0x00aaaaaa,0x00007ffb,0x3a00fff4,0x3ffe6007,0x3ffe2005,0x4fff8004,
    0x2ea2be60,0x3600d401,0xffd803ff,0xfff88003,0x00fe6003,0xdbffff98,
    0x3ea00007,0x00bffea5,0xffa9fff4,0x7ffd002f,0x000bee00,0x0007ffec,
    0xd0000df0,0x01be3fff,0x004ffd80,0x0003f700,0xbbfffa80,0x7fff501f,
    0x6c0001f7,0x2a2003ff,0x02ffe80b,0xaaa99a6c,0x06feccba,0xfb800fc8,
    0xf80002ff,0xffffffff,0xffffffff,0xffb01fff,0x7f400007,0x00fe600f,
    0x003fffb0,0x0013ffe2,0xfa80fffe,0xfd800003,0x3ffd803f,0x2fff8800,
    0x000fe600,0x0ffffff7,0x31fe4000,0x3a009fff,0x9fff31ff,0x007ffa00,
    0xb8000bea,0x30002fff,0xf700009f,0x005f59ff,0x0027fec0,0x00006e80,
    0x0dddfff0,0x3777ffc4,0x0fff6000,0x2ffe8000,0x36001760,0x013e201f,
    0x0017ffdc,0x3fee0048,0x3ff60006,0x3fe00003,0x0007ec07,0x4013ffea,
    0x8004fff8,0x3f202fff,0xfd800004,0x3ffd803f,0x1fff8800,0x000fe600,
    0x01fffff2,0x220fd800,0xff007fff,0x03fffc4f,0xf9807ff8,0x7fd40003,
    0x5f70004f,0xfff10000,0xd8000fdf,0xa80004ff,0x9000002f,0xd807ffff,
    0x0003ffff,0x0001ffec,0x2e05ffd0,0x0f98002f,0x5c003f60,0xc8002fff,
    0x1bfee004,0x03ffd800,0x81bfe000,0xfd0004f8,0xff1001ff,0x7c0d40bf,
    0x1bfa01ff,0x3ff60000,0x03ffd803,0x3ffe20d4,0x00fe6000,0x03ffff40,
    0xb83fa800,0x7c402fff,0x17ffdc5f,0x3017fe20,0xd004009f,0x3a000fff,
    0xf900000f,0x80009fff,0x80004ffd,0x2000006e,0x400ffff9,0x000ffffa,
    0x001ffec0,0x305ffd00,0xd50001ff,0x70027d40,0x98005fff,0x3fee001f,
    0x3ff60006,0x3fe00003,0x0007f202,0x4027ffe4,0xfb05fff9,0x405ff87f,
    0x800007ff,0xfd803ffd,0x8bff603f,0x4c004ff8,0xff10004f,0x015c40ff,
    0xfff817e2,0x407fe406,0x7e406fff,0x013e600f,0x3fea02d8,0x1fec003f,
    0xfff10000,0xfd80003f,0x7062004f,0x8000005f,0xff006ffe,0xfb0000df,
    0x7400007f,0x5ffd82ff,0xd00fcc00,0x7fdc001f,0x1fa2002f,0x00dff900,
    0x0027ff40,0x0df1076e,0x50003fc4,0xa801ffff,0xfff06fff,0x803fe61f,
    0x0000fff9,0x4027ff40,0x3fe04ffe,0x003bea7f,0x4000bf70,0x3fa07ff9,
    0x0dfa82df,0x413ffea0,0xff503ff8,0x0ffe209f,0xa8804f98,0xfffd807d,
    0x05fe9804,0x6ffd8000,0x5ffd8000,0xdbfff500,0x000000df,0x32007ff7,
    0xe80003ff,0x200004ff,0xffc83fff,0x7e4402df,0x001ff203,0x2007fff9,
    0x64004ffa,0x3e0007ff,0x3e6005ff,0x2fd89dff,0x80017f60,0x204ffff8,
    0x83ffffea,0x5f95fffc,0x01fff980,0x2fffc000,0xb02fffc0,0x07f29fff,
    0x15ffd100,0x81fea000,0xddfffffc,0xff3003fe,0x17fcc39f,0x873ffe60,
    0x3ea02ff9,0xffffffff,0x004fffff,0x159dfff9,0x09fffb73,0x3fea0000,
    0xffd80002,0xffffb006,0x000001df,0x2001ff10,0x80000ff9,0x00005fff,
    0xd107fff1,0x9ddfffff,0x405dfdd9,0x400bfffc,0xcfffffb8,0xedcbaaab,
    0x2a002fff,0x000bffff,0x007fffd4,0xdfffffd0,0x3fff2203,0xfff70002,
    0x7fec39ff,0xefffffff,0xfffffd12,0x0dff1005,0xfffa8000,0x3ffea00f,
    0xfffd300f,0x774005df,0x1effffff,0x2207c800,0xcdfffffe,0x7fec4001,
    0x001befff,0xdfffffb1,0x7ffd4037,0xffffffff,0x2001ffff,0xffffffda,
    0x0001dfff,0x0003f400,0x01ffffcc,0x06ffffd4,0xbd000000,0x0005f800,
    0x00ffffa8,0x7ffecc00,0xffea80af,0x3fffffff,0x3ffffea0,0xffe986ff,
    0xffffffff,0xffffffff,0xffffb007,0x803dffff,0xffffffea,0xdca8801e,
    0xfff900ab,0x2009ffff,0xfffffffc,0x880005ff,0x2a000abb,0xd500001c,
    0x3dffffff,0x7fffff54,0x577301ef,0x00000000,0x1aa98028,0x2ae60000,
    0x55cc0000,0xffff8800,0xffffffff,0x10007fff,0x15599755,0x2a000000,
    0x3fea0002,0x04ffffff,0x00005e4c,0x000d4000,0xea8000aa,0x1effffff,
    0xccccb800,0x5301cccc,0x01359bb9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666600,0x99999809,0x7fff4c01,
    0xefffffff,0x000bccde,0x3fffffa6,0x000effff,0x2bcca980,0xffffff70,
    0xffffffff,0x7fffffff,0x2b332a20,0x0f260000,0x50002f2a,0x31215797,
    0xfffffffd,0x30007dff,0xfffffffd,0x99bddfff,0x7f4c0017,0xffffffff,
    0xffffd80e,0x12efffff,0xfffffffd,0x0000dfff,0x00de65cc,0x20ec006c,
    0x0b00cec8,0x00005440,0x0e605bb5,0x32a1e4c0,0x3ffffa61,0xeeefffff,
    0xfb8002bd,0xffffffff,0xffffffff,0xfd33ffff,0xffffffff,0x1579bddf,
    0xffffe980,0xeeffffff,0x2000accd,0xfffffffd,0x3f722eff,0xffd82fff,
    0xb8801fff,0xdeffffff,0xefffffdc,0xff71000c,0x00005fff,0x3ff3bfa2,
    0x7ffe41ef,0xffeeeeef,0xffeeeeef,0x7fe443ff,0x00ffffcd,0xb93ffaa0,
    0x803fffff,0xffecdfe8,0x3ffea07f,0x100002ff,0xdffffff7,0xfffffb9b,
    0x7dc0019d,0x3002ffff,0x019ffffd,0x3ffffee2,0x2600001c,0xdfffeeff,
    0xc803b600,0x7ffffe47,0x4401620b,0x44002fff,0x41efffff,0x7ff5401c,
    0x85ffff34,0xefffffb8,0xdffffecd,0x3ffee000,0xffeeeeef,0xffeeeeef,
    0x7fdc44ff,0xcbbcdeff,0x00dffffd,0x7ffffdc4,0xfffecdef,0x3000ceff,
    0x03bffffd,0x9017ffd4,0x6c003fff,0x2a203fff,0x002ffffe,0x0013fff6,
    0x32077dc0,0x3bf21fff,0x03fff701,0xffb0ffa6,0x077fdc41,0x3ffffee0,
    0xfffdff94,0x40fe803f,0x7e407fc9,0x800004ff,0x2203fffd,0x02ffffea,
    0x013fff60,0x00dfff50,0x0017fff2,0x4c39f700,0xf500effe,0xffd979df,
    0x7fe6fc49,0x04d9cfff,0x00bfff50,0xfffecfc8,0x700faaef,0xd19fffff,
    0x360bffff,0xff702fff,0x3f2007ff,0x5fff701e,0x209fd310,0x2202fffd,
    0x802ffffb,0x2203fffd,0x03ffffea,0x00dfff50,0xf980bffe,0x3ee001ff,
    0xff9002ff,0x3ee009ff,0xa80003ff,0xdfff107f,0xff70076c,0x727c403f,
    0x3ffa09ff,0xfff98404,0x3fa21ddc,0x80ff206f,0x7ffdc07e,0xfb800002,
    0xff9002ff,0x3ee009ff,0x7cc003ff,0xff5005ff,0x5c00009f,0x9fff303f,
    0x7ffffe40,0xd31dc6ff,0x01ffffff,0x00fffe20,0xffffb8d0,0x7cc204ff,
    0xfc8adcff,0x5fff702f,0x1ffffcc0,0xf7007640,0x274405ff,0x802fffb8,
    0x401ffff8,0x9002fffb,0x300bffff,0x3a00bfff,0x3fe202ff,0x3fee001f,
    0x3fa6002f,0xffb803ff,0x7c40002f,0x3fff603f,0xffb807b0,0xfb25c01f,
    0x17ff207f,0x03fffe80,0x7f40fff5,0xf701ea03,0x000005ff,0x4005fff7,
    0x883fffe9,0xefffeeee,0xeeeeeeee,0xffffeeee,0xff501eee,0x2200007f,
    0x7ffe406f,0x3fffee01,0x540640df,0x4001effe,0x848003d9,0x004fffc8,
    0x1113fff6,0x017ffdc0,0x003fffee,0xfffb8099,0xfb82d402,0xff5002ff,
    0xfffb80df,0x3ffe6002,0x7ffc404f,0x05ffd005,0x2001fff8,0x4002fffb,
    0x402ffffa,0x0002fffb,0x3ea03fe4,0xf700366f,0x259803ff,0xff701ffc,
    0x27fec00b,0x201fff10,0x203c06ff,0x0002fffb,0x02fffb80,0x17fffd40,
    0x3ffbbba2,0xeeeeeeef,0xffeeeeee,0x501eeeff,0x00007fff,0xff7013f2,
    0xbca8807f,0x01880101,0x00800000,0x3f60004c,0x7dc000ef,0x7fc402ff,
    0x00ec02ff,0x100bffee,0x0bffee0b,0x02fffe80,0x000bffee,0x407ffff5,
    0xd004fff8,0xfff805ff,0x3ffee001,0xfffd8002,0x77ffdc07,0x00bcdeee,
    0x83006ff8,0x1fffb802,0x80f22180,0x36006ffb,0x7ffc04ff,0x03dffb01,
    0x5fff7006,0xff700000,0xffb0005f,0xfffb80ff,0x7ffc4002,0x7fff5004,
    0x33fe0000,0xcaaaaaaa,0x00005fff,0x00000000,0xd8000000,0xfb8004ff,
    0xffe802ff,0x5c00c04f,0x01802fff,0x4005fff7,0x2e03fffc,0xd8002fff,
    0xf100ffff,0x3fa009ff,0x0fffc02f,0x05fff700,0x7ffff100,0x777ffdc0,
    0x2dffffee,0x000bff30,0x0fffdc00,0xff930000,0x7fec00df,0x817ffc04,
    0x00cffffa,0x217ffdc0,0xffb80001,0xff88002f,0x3fee03ff,0x7fc4002f,
    0xfff5004f,0xff100007,0x9999999b,0x00079999,0x00000000,0x00000000,
    0x70009ffb,0xfd005fff,0x700009ff,0x40005fff,0x2002fffb,0x2e03fffc,
    0x88002fff,0xf103ffff,0x3fa009ff,0x0fffc02f,0x05fff700,0x1bfff200,
    0x442fffb8,0xa83ffffc,0x000004ff,0x0007ffee,0x3f33fae0,0x3ff6006f,
    0x817ff404,0xcfffffe8,0x5fff7000,0x5c00035c,0x90002fff,0x7dc0dfff,
    0x7c4002ff,0xff5004ff,0xf300007f,0x2000005f,0x64c002c9,0x99998802,
    0x99999999,0x07930099,0x6c001795,0xfb8004ff,0xfff802ff,0xfb80002f,
    0x2e0002ff,0x3a002fff,0x3ee01fff,0xf90002ff,0x3fe20dff,0x5ffd004f,
    0x001fff80,0x000bffee,0x80ffffd4,0xf302fffb,0xffb87fff,0x2e000005,
    0x20001fff,0x3fee3ffb,0x13ff6006,0x4405ffd0,0x1ffffffd,0x92fffb80,
    0xf700007f,0x2a0005ff,0xf701ffff,0xf88005ff,0xff5004ff,0xf500007f,
    0xa800009f,0xd5003ffe,0xffd007ff,0xffffffff,0xea83ffff,0x3ffee4ff,
    0xffb003ff,0xfff70009,0xffff9805,0xffb80000,0x3ee0002f,0xff1002ff,
    0xfffb80df,0xfff50002,0x9fff103f,0x00bffa00,0x5c003fff,0x30002fff,
    0x2e05ffff,0x3ea02fff,0x3fee1fff,0x2e000006,0x88001fff,0x7fdc0efd,
    0x13ff6006,0x5005ffd0,0x07fffffd,0xfdbfffb8,0xff700002,0x3e60005f,
    0xff702fff,0xff88005f,0xfff5004f,0xff500007,0x3ee0000b,0x5c03ffff,
    0x803fffff,0x9999abfe,0x24fffb99,0x94fffffb,0x3ffffdff,0x009ffb00,
    0x405fff70,0x004fffe8,0x05fff700,0x17ffdc00,0x1ffff440,0x00bffee0,
    0x1ffffcc0,0x8027ffc4,0x7fc02ffe,0x3fee001f,0x3fe0002f,0xfff703ff,
    0x3ffff805,0x0003ffea,0x0fffdc00,0x417fa200,0x36006ffb,0x7ff404ff,
    0x3ffee002,0x3fee03ff,0x00001fff,0x000bffee,0x703ffff8,0x88005fff,
    0xf5004fff,0x3fa207ff,0x037fcc04,0xfff30800,0xfff30807,0x8807d007,
    0xf9846fff,0x221ddcff,0xfd806ffe,0xffb8004f,0xfffb102f,0x7dc0000b,
    0x2e0002ff,0x74c02fff,0xfb805fff,0x3e0002ff,0xff884fff,0x5ffd004f,
    0x201fff80,0xfffffff9,0xffffffff,0x13fffa00,0x2017ffdc,0x3e65fffd,
    0x893003ff,0xfffffffa,0xffffffff,0x1ffe82ff,0x400dff70,0x7f404ffd,
    0x7e40102f,0x3fee06ff,0x4c0000ef,0xffffffff,0x0fffffff,0x413fffa0,
    0x999bfffb,0x99999999,0x5004fffa,0x3f207fff,0x3fe200ff,0x2012003f,
    0x3a003ffe,0x00f803ff,0xd00ffff4,0x3ea07fff,0x4ffd807f,0x2fffb800,
    0x1ffffe4c,0x3fee0000,0x3ee0002f,0xccccceff,0x03ffffec,0x005fff70,
    0x42ffff40,0xb004fff8,0xfff807ff,0x37332201,0xccccdfff,0x3f600ccc,
    0xfff705ff,0x7fffc805,0x401fffe2,0x66664c1d,0xcdfffecc,0x4c1ccccc,
    0x3fee06ff,0x13ff6006,0x1a05ffd0,0x203fff70,0x0002fffb,0xffdccc88,
    0xccccccdf,0x3fff600c,0xfffff705,0xffffffff,0x09ffffff,0x40fffea0,
    0x7c00fffc,0x077007ff,0x4007ffb0,0x05803ffd,0x2017ffe4,0x3e204ffd,
    0x7fec00ff,0xfffb8004,0xdfffffee,0xb800000a,0x20002fff,0xeefffffb,
    0xbfffffff,0x5fff7000,0x7ffec000,0x04fff885,0x4c09ff90,0x2e001fff,
    0x20002fff,0xf704fffe,0xffd805ff,0x2fffec6f,0xf7001ae0,0x7dc003ff,
    0xdff700ff,0x027fec00,0x0fc0bffa,0x203fff10,0x0002fffd,0x02fffb80,
    0x13fffa00,0x0017ffdc,0x4013ffe2,0xb103fffa,0xfff9007f,0x00fcc01b,
    0xb001ffec,0xa80007ff,0xfd804fff,0x0fffc04f,0x0013ff60,0x2ab3ffee,
    0x0003fffd,0x0bffee00,0x2fffb800,0xfffdb988,0x7fdc00df,0x3fa0002f,
    0xfff884ff,0x0dff9004,0x00bfffaa,0x002fffb8,0x40bfffe0,0x7c02fffb,
    0x7fc44fff,0x3fd985ff,0x0fffdc00,0x05fff500,0x00cdffd3,0xff013ffa,
    0x9017e05f,0xffe881ff,0x800002ff,0x0002fffb,0x5c0bfffe,0x44002fff,
    0xf5004fff,0x200007ff,0x41effff8,0xfb005fb8,0x7fec007f,0x3fe20003,
    0x9ffb006f,0x402fff80,0xb8005ffd,0x3fe22fff,0x000001ff,0x0005fff7,
    0x4017ffdc,0x01fffffa,0x000bffee,0x883ffff8,0xf5004fff,0x3f2239ff,
    0x018dfff9,0x002fffb8,0x03ffff10,0x980bffee,0xfc82ffff,0xfeceffff,
    0xffb8005f,0x3fe6001f,0xfbf913ff,0xf80b75ff,0x7ffc04ff,0x7407ff03,
    0x7eff4c5f,0x800002ff,0x0002fffb,0x203ffff1,0x4002fffb,0x5004fff8,
    0x00007fff,0x7fffffdc,0x000fffed,0x6c007ffb,0x360003ff,0xfb000fff,
    0x2ffe809f,0x0037fec0,0x2a17ffdc,0x00006fff,0x005fff70,0x017ffdc0,
    0x06fffe98,0x000bffee,0x40ffffc4,0x2004fff8,0xfffffffd,0x19fffff1,
    0x02fffb80,0x1ffff500,0x40bffee0,0x204ffff9,0xfffffffc,0xfb8000ef,
    0x7ec001ff,0x89efffff,0x200effff,0x700ffffa,0x3fe0dfff,0x20efb84f,
    0xfffb8ef9,0xfb800002,0xf50002ff,0x3ee01fff,0x7c4002ff,0xff5004ff,
    0xb800007f,0xffffffff,0x3ff6001f,0x0fff6003,0x17ffe400,0x809ffb00,
    0x3e602ffe,0x5c003fff,0xffc82fff,0xb800004f,0x20002fff,0x2002fffb,
    0x703ffffa,0x20005fff,0x880ffffa,0x22004fff,0x20dffffe,0x7000beff,
    0x20005fff,0x2e06fffb,0xffa82fff,0x7d400eff,0x003fffff,0x007ffee0,
    0x9ffffb10,0x500dffd8,0xdfffffff,0x3fffff65,0x3fbe0eff,0x0cffddff,
    0x5fff72e4,0xff700000,0x3ee0005f,0x3fee06ff,0x7fc4002f,0xfff5004f,
    0xd3000007,0x01bfffff,0x003ffd80,0x2000fff6,0x4004fff9,0x7f404ffd,
    0xffffa82f,0x7004ffff,0x3fa05fff,0x400002ff,0x0002fffb,0x800bffee,
    0x704ffff8,0x20005fff,0xf106fffb,0x710009ff,0x003f8815,0x002fffb8,
    0x02ffff88,0x32f3ffee,0x03fffffe,0x004fe4c0,0x07ffee00,0xc80d4400,
    0x0000000e,0xadd98820,0xfffb8100,0x5c060002,0x88002fff,0x2e02ffff,
    0x44002fff,0xf5004fff,0x0c0007ff,0x03f2ea20,0x00fff600,0x4003ffd8,
    0x8006fff8,0x7f404ffd,0x4000002f,0xf102fffb,0x00001fff,0x0017ffdc,
    0x005fff70,0x706fffe8,0x10005fff,0x2205ffff,0x00004fff,0x5c0007e4,
    0xc8002fff,0x7dc05fff,0xefffffff,0xdb0000ac,0xff700003,0x1000003f,
    0xd700009f,0xf8800039,0x7ffdc004,0x20750002,0x8002fffb,0x5c05fffc,
    0x44002fff,0xf5004fff,0x260007ff,0x001ba005,0xb001ffec,0xfd8007ff,
    0xfd8000ff,0x17ff404f,0x0005eec0,0xb80bffee,0x00005fff,0x000bffee,
    0x002fffb8,0xb827fff4,0xc8002fff,0x3e205fff,0x400004ff,0xfb8002fe,
    0x7cc002ff,0x7dc00fff,0x800002ff,0x0002fffa,0x000fffdc,0x0037d400,
    0x01fffe40,0x01fffb00,0x00bffee0,0xffb80f40,0x7fcc002f,0x7fdc00ff,
    0x7fc4002f,0xfff5004f,0x00b60007,0x40007fc4,0x36003ffd,0x3ee003ff,
    0xd81402ff,0x7ff404ff,0x2fffe802,0x0bffee00,0x007fffb0,0x0bffee00,
    0x2fffb800,0x0ffffc00,0x002fffb8,0x00ffffcc,0x0009fff1,0x8005ff80,
    0x2002fffb,0x803fffe8,0x0002fffb,0x05ffc880,0x0fffdc00,0x7fdc0000,
    0x7d440001,0x3660007f,0xff7003ff,0x0f70005f,0x0017ffdc,0x007fffd1,
    0x8005fff7,0x5004fff8,0x50007fff,0x3fe6001f,0x3ffd8003,0x00fff600,
    0x4027ffcc,0x809ffb05,0xc9802ffe,0x3ee005ff,0x7f4402ff,0xb80002ff,
    0x20002fff,0x2002fffb,0x2e07fffb,0x22002fff,0x4404fffe,0x00005fff,
    0x000e7fe4,0x2005fff7,0x004ffffa,0x0007fff7,0x0037f400,0x00bfff20,
    0x3bfe6000,0xffc80002,0x3fe60000,0x7fff9003,0x204fa800,0x5002fffb,
    0x2009ffff,0x4002fffb,0x5005fff9,0x98009fff,0x7ff4005e,0x3ffa000b,
    0x13ffa004,0x01bffe20,0x04ffe83c,0xd0017ffc,0x7fdc00ff,0xfff9802f,
    0x7dc0000f,0x2e0002ff,0xf3002fff,0x7dc07fff,0xff5002ff,0xff3007ff,
    0x880000bf,0x5dceffff,0x00bfff20,0x05ffffb3,0x027ffec0,0x2ff88000,
    0x7ffec000,0xfb000003,0x03d99fff,0x0006fe80,0xfb003fdc,0x36200bff,
    0x3ff202ff,0x7fecc02f,0x3f2002ff,0x7d4003ff,0xff7006ff,0xf71001df,
    0xffa8007f,0x203dcdff,0x3e005fff,0xffd805ff,0xf07b800f,0xfff809ff,
    0x09ff1003,0x027ffe40,0x01ffffb8,0x0ffff200,0x2fffc800,0x7fffe440,
    0x17ffe402,0x3ffff620,0xdfff5002,0xfd500000,0x7cc07dff,0xacdeffff,
    0xbfffffec,0x3ffea000,0x200002ff,0x0005feb9,0x3bfffea2,0xc8800001,
    0x000cffff,0x003dfb51,0x07ff9310,0x3ffffea0,0xeeeeeeef,0x2607fffe,
    0xcdefffff,0xfffffeca,0x3fea000b,0xd1001fff,0x9807ffff,0xeeffffff,
    0xffeeeeee,0xfb8000ff,0x2602efff,0x9800ffff,0x2e00ffff,0xaaaadfff,
    0x86fdcaaa,0x700ffffa,0xb980dfff,0xf3000dfe,0x2005ffff,0x02cffffe,
    0x7ffffcc0,0xfff98002,0xcbbcdeff,0x00effffd,0x77ffffcc,0xfffdcacc,
    0x3aa003ff,0x0003ffff,0xee980600,0xffffffff,0x1bdeefff,0x3fffa600,
    0x0effffff,0x2f722000,0xffd30000,0xdfffffff,0x02200000,0x006f6e00,
    0x802dc980,0xffffffe9,0xffffffff,0x4c5fffff,0xffffffee,0xdeefffff,
    0x3fa6001b,0xefffffff,0xfffed80e,0x12efffff,0xffffffdd,0xffffffff,
    0x000dffff,0x7f540188,0x81efffff,0xffffffea,0x7fffc41e,0xffffffff,
    0x3fea6fff,0xb2efffff,0xdfffffff,0x00bdc881,0xffffee98,0x200effff,
    0xfffffff8,0x3ffba602,0x0effffff,0x3fffba60,0xffffffff,0x201bdeef,
    0xfffffee9,0xeeffffff,0x3f6001bd,0xffffffff,0x0000002e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffe880,0x06ffffff,0xffffe880,0xffffffff,
    0x4fffffff,0x7fffff4c,0xffffffff,0xd35fffff,0xffffffff,0xfffb01df,
    0x5dffffff,0x3fffffa6,0x640effff,0xffffffff,0x7ffe400f,0xffffffff,
    0xffffffff,0xffffff30,0x5c00007f,0x1effffff,0xfffffff7,0xfb80bfff,
    0x4fffffff,0xffffffd3,0x57bddfff,0xfffff880,0x1fffffff,0xffffff98,
    0x00401fff,0xeeeeee88,0x02eeeeee,0x55510040,0x55555555,0x55555555,
    0x777774c5,0x1eeeeeee,0xeeeeee98,0x81eeeeee,0xeeeeeee8,0x6c2eeeee,
    0xeeeeeeee,0x44004eee,0x31000001,0x40000000,0x00800000,0xfffff710,
    0x51000039,0x999dfffd,0xfdb99999,0x3fee209f,0xcccccdff,0x45fffedc,
    0x2fffffa8,0xffffd300,0x3fea2019,0xfc802fff,0x9000cfff,0xddddffff,
    0xffdddddd,0xff9105ff,0x40000dff,0x102fffff,0x7ffffff9,0xffffb800,
    0xfffb880b,0xfffeefff,0x7e5401ef,0x01ffffff,0x1dfffd88,0xf3003a80,
    0xffffffff,0x5c007fff,0x2666aa03,0x99999999,0x59999999,0x3fffffe6,
    0x82ffffff,0xfffffff9,0x882fffff,0xffffffff,0x7f43ffff,0xffffffff,
    0x3e4006ff,0x1fa80000,0x65c40000,0x00fcc0ab,0xd80de5cc,0xff9000df,
    0x700000bf,0x5c007fff,0x7ffec05f,0x05fe8801,0x8009fff9,0xb006fffa,
    0x2e009fff,0x6c001eff,0x3f6000cf,0x7ff405ff,0xa80002ff,0xa805ffff,
    0x0006ffff,0xfb003dff,0xfea885ff,0xfe8803ff,0x2e004fff,0x0fa002ff,
    0x77777440,0x2eeeeeee,0x5407f100,0x99200001,0xeeeeeeee,0xe981eeee,
    0xeeeeeeee,0xee881eee,0xeeeeeeee,0x7776c2ee,0xeeeeeeee,0x003e4004,
    0x001fa800,0xeceec880,0x09f13fff,0x7f677ecc,0x3ffe22ff,0x9fff5002,
    0xff500000,0x05d8007f,0x000fffdc,0x3ffee0dd,0x7ffcc003,0x7fff9005,
    0x01bfd100,0xb800bb00,0x6c00efff,0x0006ffff,0x03ffffe8,0x01ffff90,
    0x001ff880,0x2605fff9,0x8805ffff,0x000ffffe,0x7cc005fd,0x00000003,
    0x06a03fc8,0x00048000,0x00000000,0x00000000,0x800003e4,0x4c0001fa,
    0x7ff442ff,0x3fea05ee,0xb27ff441,0x3ea005ff,0x800003ff,0x4003fffa,
    0x7ffdc05a,0x5c1aa001,0x44002fff,0xf7005fff,0xbfb005ff,0x000f4000,
    0x003ffff3,0x05fffdf9,0x7ff7d400,0x3ffa003f,0x1fdc004f,0x05fff700,
    0x017fffcc,0x01ffffcc,0xf10027dc,0x0000007f,0x203ff880,0x1200001a,
    0x00000000,0x00000000,0x000f9000,0x0007ea00,0xf102ff98,0x7fcc0fff,
    0x2bffd102,0x3ea005f8,0x800003ff,0x4003fffa,0x7ffdc068,0xfb834001,
    0x7c4002ff,0xff7004ff,0x05fc805f,0x3a003400,0xf7004fff,0x000bfff7,
    0x1fffdfec,0x3ffff300,0x001be200,0xe805fff7,0xf5006fff,0x7d401fff,
    0x1fff4005,0x10000000,0x0d407ffd,0x00090000,0x00000000,0x00000000,
    0x000007c8,0x740003f5,0x7ffcc06f,0x405fe883,0x04eefffa,0x01fffd40,
    0x7ffd4000,0xfb800003,0x700001ff,0x88005fff,0xf7004fff,0x2fe405ff,
    0x90024000,0x5c00dfff,0x01fffd9f,0xffadf980,0x7fe4003f,0x03fb006f,
    0x02fffb80,0x003fffe4,0x220bfffb,0xfd1000ef,0x413339ff,0x80999999,
    0x20199999,0x99cffffa,0x00006a09,0x99951048,0x2e600015,0x98001bcc,
    0x30001bcb,0x7c800059,0x3f500000,0x0ffea000,0x70ffffb0,0xffd007ff,
    0x3fea000f,0xa800003f,0x00003fff,0x001fffb8,0x05fff700,0x04fff880,
    0x205fff70,0x000005fc,0x0ffffcc0,0xff53f700,0x3fb000bf,0x0007fff5,
    0xa807fffd,0xffb8004f,0x7ffdc02f,0xfff1000f,0x003fd07f,0x3fffffea,
    0x3f725fff,0xffc82fff,0xffb81fff,0x5fffffff,0x4800006a,0x7e6ffe44,
    0xf3000fff,0x1bfffddf,0xecefd980,0xd5002fff,0xc80007ff,0xf5000007,
    0x3ff20003,0x3ff3f202,0x017fec3f,0x0007ffdc,0x001fffd4,0x1fffd400,
    0xf7001a80,0x019803ff,0x002fffb8,0x8027ffc4,0xfd82fffb,0x40000005,
    0x003fffe8,0xfffe8fdc,0x557e2000,0x98003fff,0xf100ffff,0x3fee000d,
    0x7ffdc02f,0x7ffd4007,0x800bf20f,0x9cffd998,0xfff98099,0x07fff202,
    0x33ffa662,0x006a0999,0x7fec4800,0x03bfee20,0x74c39f70,0xff500eff,
    0x04ffe883,0x0fffffee,0x000f9000,0x0007ea00,0xfb80fff4,0x7c4fff99,
    0xff9801ff,0xffa8002f,0xa800003f,0x59003fff,0x07ffee00,0xff700770,
    0xff88005f,0xfff7004f,0x0005fd85,0xfffc8000,0x51fb8005,0x64009fff,
    0x07fff52f,0x17fff200,0xb8000fe4,0x7e402fff,0xfc8006ff,0x009f75ff,
    0x801ffec0,0x3e602fff,0x7ff401ff,0x00006a03,0x413fee48,0x3ee04ffe,
    0x09fff303,0x3a205ff3,0x3e6105ff,0x640003ff,0xf5000007,0xfff10003,
    0x3e25f503,0x3ffe65ff,0x4fff8800,0x3fffa800,0xffa80000,0x005d003f,
    0xd007ffee,0x5fff7007,0x4fff8800,0x25fff700,0x00005fd8,0xffffa800,
    0x21fb8000,0x8800fffe,0x0fffea6f,0x3fffe800,0x700027cc,0xfe805fff,
    0xe88004ff,0x006fcfff,0x801ffec0,0x7fc02ffe,0x1fff401f,0x40000350,
    0x640fff64,0x0df105ff,0x221fffc8,0x7fd405fe,0x1fff402f,0xaaaaaa98,
    0xaaafdaaa,0x12aaaaaa,0x55555555,0x55557f95,0xfa855555,0x217d41ff,
    0x3fee6fff,0xdfff000f,0x7fff5000,0xff500000,0x2fc8807f,0x03fff700,
    0x2e00ff26,0x44002fff,0xf7004fff,0x0bfd15ff,0xf1000000,0x20005fff,
    0x3ffee1fb,0x2a2fb803,0x20003fff,0x3a0ffff9,0x3ee0000f,0x3fee02ff,
    0x3e60006f,0x0000ffff,0xe801ffec,0x7ffc02ff,0x01fff401,0x24000035,
    0x3ee03ff9,0x809f905f,0x3ee3fffb,0x6ffe803f,0xb81ffec0,0xffffffff,
    0xffffffff,0xff36ffff,0xffffffff,0xffffffff,0x7fdc1fff,0x360fe63f,
    0x3fff25ff,0x0bffd001,0x07fff500,0xfff50000,0xdddddddd,0x2e005fff,
    0xeeeeefff,0xb803ffff,0xaaaacfff,0xbaaaaaaa,0xf7004fff,0x09ffd7ff,
    0xfb000000,0x5c000bff,0x1fffe21f,0xfff51fe0,0xffc80007,0x0005f75f,
    0x702fffb8,0x0003ffff,0x006fffc8,0x003ffd80,0xff805ffd,0x1fff401f,
    0x40000350,0xfb80f224,0x559ff06f,0xff955555,0x017fecbf,0xb017ffdc,
    0x2aa607ff,0xdaaaaaaa,0xaaaaaaaf,0x555512aa,0x7f955555,0x55555555,
    0x14fff985,0x8fff609f,0xd002fffa,0xf50007ff,0x000007ff,0x999dfff5,
    0x5fffd999,0x3bffee00,0xfffeeeee,0xffffb803,0xffffffff,0x4fffffff,
    0xfdfff700,0x00009fff,0x7fffdc00,0x07ee0000,0x5407fff9,0x1fffd43f,
    0x3ffe2000,0x80005fbf,0xaacdfffb,0x01dfffdb,0x7fffd000,0x3ffd8000,
    0x805ffd00,0xcca81fff,0x2cccdfff,0x4800006a,0xdfff9300,0x999bff10,
    0x99999999,0x400fffc7,0x3604fff9,0x640003ff,0xf5000007,0xfff10003,
    0x7f40bd1b,0x13ffe61f,0x000fff40,0x001fffd4,0x1fffd400,0xb8017e40,
    0x3ee01fff,0x2fffb803,0x27ffc400,0xdafffb80,0x0004ffff,0xffff8800,
    0x0fdc0002,0xe81bffe2,0x1fffd40f,0x7ffd4000,0xb80000ff,0xfedccfff,
    0x00002cde,0x07ffffe6,0x03ffd800,0xf805ffd0,0xfffc81ff,0x25ffffff,
    0x1200001a,0xff99fd70,0x005ff30d,0x003ffe60,0xd817ffe2,0x640003ff,
    0xf5000007,0x3ffa0003,0x3ffc05ef,0x401fffe2,0xf50007ff,0x000007ff,
    0x2007fff5,0xfff7002e,0xb803c803,0x44002fff,0xf7004fff,0x3fff65ff,
    0x4000004f,0x0004fffe,0xffc81fb8,0xa84fa82f,0x00003fff,0x0007fffb,
    0x00bffee0,0x77c40000,0x0006fffc,0x7400fff6,0x7ffc02ff,0x01fff401,
    0x24000035,0x3ee3ffb8,0x04ffa86f,0x01fff700,0xd81bffe0,0x640003ff,
    0xf5000007,0x3fea0003,0x3fe200ef,0x02fffb85,0x8002ffc4,0x0003fffa,
    0x03fffa80,0x3ee00590,0x01dc01ff,0x0017ffdc,0x4013ffe2,0x3f62fffb,
    0x00004fff,0x00dfff90,0x2607ee00,0x0fd86fff,0x003fffa8,0x05fff500,
    0x3ffee000,0xd0000002,0x7fffd11f,0x0fff6000,0x2017ff40,0x7f401fff,
    0x0006a03f,0x77ec4480,0x5437fdc0,0xf90005ff,0x3fa003ff,0x0fff605f,
    0x000f9000,0x0007ea00,0x200effe8,0xfff01ffb,0x00ffb80d,0x07fff500,
    0xfff50000,0x40066007,0x4c01fffb,0x2fffb801,0x27ffc400,0x42fffb80,
    0x004ffffc,0x7fffcc00,0x3f700001,0x987fff60,0x7fff505f,0x3fea0000,
    0xf700002f,0x000005ff,0x7fd45f90,0xfd8001ff,0x5ffd003f,0x401fff80,
    0x06a03ffe,0x3a248000,0x0dff705f,0x2000dff3,0xd002fffa,0x7fec07ff,
    0x03e40003,0x01fa8000,0x17fff200,0xf501ff44,0x3fe20bff,0x3fea0003,
    0xa800003f,0x00003fff,0x001fffb8,0x05fff700,0x04fff880,0x905fff70,
    0x0009ffff,0x01ffff40,0x203f7000,0x3f65fff9,0x07fff501,0x3ffea000,
    0xff700002,0x8000005f,0xfffc84fb,0x3ffd8006,0x805ffd00,0x7f401fff,
    0x0006a03f,0x07ffa480,0x7c437fdc,0x4d2003ff,0xfd004fff,0x1ffec03f,
    0x001f2000,0x000fd400,0xcfffbfb8,0x200ffa61,0x261cfff9,0x540003fe,
    0x20003fff,0x07fff501,0xfff70000,0x3ee00003,0x7c4002ff,0xff7004ff,
    0x3fff205f,0xfc80004f,0x010006ff,0xffe807ee,0x2a05f89f,0x00003fff,
    0x0005fff5,0x00bffee0,0x05f98000,0x007ffff1,0xb003ffd8,0xfff807ff,
    0x01fff401,0xa4000035,0x3ee06ff9,0x0ffff06f,0x7ffc4ee0,0x80fff007,
    0x40003ffd,0x5000007c,0x5f50003f,0x3fffff22,0x362001ce,0x1cefffff,
    0xfffa8000,0x20b30003,0x0003fffa,0x3ffee091,0xff700001,0xff88005f,
    0xfff7004f,0x7fffe405,0x3fea0004,0x498000ff,0x7d403f70,0x202fccff,
    0x0003fffa,0x005fff50,0x0bffee00,0x77c40000,0x3fffea00,0x13ff6001,
    0x1027fe40,0xfd803fff,0x0006a03f,0x1fff7480,0x641bfee0,0x2600dfff,
    0x0bffee1f,0xd80bff10,0x555303ff,0xfb555555,0x55555555,0x1fa80055,
    0x9883f800,0x980000bb,0x400000ab,0x0003fffa,0x3ffea05b,0x207b0003,
    0x0001fffb,0x005fff70,0x004fff88,0xc805fff7,0x8004ffff,0x002ffff8,
    0x07ee0590,0x0dffffd0,0x003fffa8,0x05fff500,0x3ffee000,0xfd000002,
    0xdfffb003,0x237fe400,0x06ffb80a,0x805fffd5,0x35144ffd,0xfaa40000,
    0xffe982ff,0xffff8866,0x42fdc41e,0x7e406fff,0x27ff400f,0xffffffb8,
    0xffffffff,0x06ffffff,0x4000fd40,0x00000000,0xff500000,0x1f50007f,
    0x00fffea0,0x7dc03ea0,0x700002ff,0x88005fff,0xf7004fff,0xff9005ff,
    0xfd8009ff,0xf10005ff,0x7007ee03,0xa805ffff,0x00003fff,0x0007fff5,
    0x00bffee0,0x00ff6000,0x027fffc4,0xa8afffb8,0x39fff504,0x3ffe7f22,
    0xfff9018d,0x00d47715,0x3fe69000,0xfbf913ff,0xfb8b75ff,0xfedfffff,
    0xfffa80ff,0x007ff104,0x2620bfff,0x99999999,0x99999999,0x44000999,
    0x00000001,0x00000000,0x0027ffd4,0xffa817a6,0x2fc4004f,0x005fff90,
    0x0bffee00,0x0bfff300,0x00bffee0,0x02ffffec,0x00ffffb8,0x7e40fb00,
    0x07fff801,0x003fffa8,0x07fff700,0x3ffee000,0x7ec00002,0x7ffd4005,
    0xfff8802f,0x7fec06ff,0xff1fffff,0xf1019fff,0x1a8dffff,0xfd920000,
    0x89efffff,0xb80effff,0xffffffff,0x3ffe601f,0x00bfe61c,0x003fffe6,
    0x00000000,0x00000000,0x80000000,0x800efffb,0x2e03ffb8,0x2a004fff,
    0x3ff603ff,0xf900003f,0xfa8007ff,0xffb006ff,0x3fe2007f,0x2201efff,
    0x8002ffff,0x3f606fd8,0x03ffb803,0x004fffb8,0x09fff900,0x3fff6000,
    0xfb100004,0xff88005f,0xf9801fff,0x74401cff,0x3e0dffff,0x6d400bef,
    0x00d40cff,0x7ec49000,0x7fec4fff,0x3ffa600d,0x8800dfff,0xbefffffd,
    0x7fff5401,0x0001efff,0x00000000,0x00000000,0x7cc00000,0xeeefffff,
    0xfffeeeee,0xffff300f,0x7555579f,0x01fffd99,0x3fffff71,0x7fdc4000,
    0xd5001fff,0x4407ffff,0x01fffffb,0xffffff98,0x7ff40acf,0xccccccff,
    0xfedccccc,0xdff505ff,0x00ff8803,0x57ffffcc,0x3fe60000,0x0000afff,
    0x0bffffea,0xffff5000,0xfffa800b,0x1801cfff,0x80ab8800,0x2008001c,
    0xccccccda,0xcccccccc,0xa886cccc,0x88002601,0x30000aba,0x00000157,
    0x00000000,0x00000000,0x00000000,0xfffffdd1,0xffffffff,0x88dfffff,
    0xffffffee,0xffffffff,0x74c5ffff,0xffffffff,0xfd3000ef,0xffffffff,
    0xffffb01d,0x25dfffff,0xffffffe9,0x7440efff,0xffffffff,0xfff74fff,
    0xffffffff,0xffffffff,0x7f74c7ff,0x206fffff,0xffdd104c,0x3dffffff,
    0x3ffba200,0x1effffff,0xfffdd300,0x01dfffff,0x7ffffe40,0x75c05fff,
    0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000004,0x00000000,0x5cc40000,0xba882ccd,0x54c002bc,
    0x33102bcc,0x20133333,0x40199999,0x101bccb9,0x41333333,0x99999998,
    0x19999881,0x002a8055,0x00de5cc0,0x002b32e6,0x05666544,0x26666660,
    0x19999980,0x15797500,0x40488012,0x79730048,0x02c98003,0xbca83c98,
    0x33331000,0x33333333,0x0f260133,0x4ccc4395,0x4cc19999,0x4cc40999,
    0x10999999,0x13333333,0x2a21e440,0x32a201bc,0x0040001b,0x26666660,
    0x19999980,0x00003ff7,0x6c43f220,0xd8806201,0x00017d31,0xbcffc800,
    0xff70efff,0x803dfffd,0xfffcefe8,0x7fff541e,0xfb903eff,0x3fe609ff,
    0x40dfffee,0x4ffffffb,0x3fffff6a,0xfffeb85f,0x7cc03f35,0xbef98001,
    0x7cc5ffeb,0x01fffedf,0x3f37ff22,0xfb900fff,0xffb05fff,0x74403fff,
    0x7fffecdf,0xe880fa00,0x33bf6603,0x5402fffe,0x3aa03ffe,0x3ffee4ff,
    0xffe803ff,0xffffffff,0x7541ffff,0xffff34ff,0x3ffffa65,0x3ff625ff,
    0x7fed44ff,0xd32dffff,0x05bfffff,0x7d49ffb5,0x640effff,0x005fffff,
    0x64005fd0,0xd82ffffd,0xfe9fffff,0x4c00005f,0x3fa25ffd,0x3ffff661,
    0x44bfa23e,0x0000cffe,0x643fec40,0x10cfceff,0x2e03fff9,0x7ffe40ef,
    0x06fffc81,0x3ee03ff0,0x3bffa61c,0x0ffff440,0x806fffb8,0x007ec2ff,
    0x7dc001db,0x98effb85,0x3ffea0df,0x441ffb02,0x2a00effb,0x3f202fff,
    0x03fa01ff,0x3600ff93,0xa81f600f,0x7ff441ff,0xfffffb84,0xfffffb83,
    0xfffdff94,0xabfe803f,0xfb999999,0x3ffee4ff,0xfffe8cff,0x7fff445f,
    0x880bff05,0xf880ffff,0xfff501ef,0x33bf29ff,0x3f64fffe,0x03fffede,
    0x0027fcc0,0x9017ffd4,0xbff73fff,0x3faa0000,0xafe880cf,0xfdbbdefd,
    0xa82feaef,0x0001dffd,0xf107ff70,0x3f205fff,0x107fa86f,0x3fa0dfff,
    0x03f8806f,0x3fe607f7,0x2fffa84f,0x1017ff60,0x01df10bf,0x7dc01be6,
    0xfdff900e,0x03fff20d,0x3fa09ff7,0x17ffc04f,0x203fff30,0x01fa03fc,
    0x3fc80fee,0x2205ff30,0xf9845ffe,0xff3083ff,0x7443bb9f,0x01f406ff,
    0x211bffe2,0x8adcfff9,0xff882ffc,0x02fcc0ff,0xf705ffd8,0xff88401b,
    0x7e40dccf,0x640dd9ff,0x26001fff,0xff0004ff,0x7ffcc05f,0x40003fd1,
    0x00beffb8,0x301fff44,0xc9805fff,0x40002eff,0xffd02ffd,0x17ffcc0d,
    0x7ec07ff1,0xfffa80ff,0x4407dc00,0x7ffe406f,0x204ffd81,0x7d407ffa,
    0x6c0bf901,0x1ffc404f,0x07ffff10,0xfb0fffe6,0x17ff207f,0x4405ffd0,
    0x7fd01fff,0x3ea03d40,0x441fee07,0x7fd405fe,0x07ffd02f,0x503fffe8,
    0x00f80fff,0xb00ffff4,0x00889fff,0xdd13ffea,0x13ff6001,0xfb0013f2,
    0x7ffc07ff,0x0bffe03f,0x8ffe1654,0xffe803c9,0x3bffe202,0x930001ce,
    0xe8005bff,0x1ff8801f,0x7fff7100,0x3ff90001,0xf017ffa0,0x03fe47ff,
    0xff81bfea,0xc827403f,0x7ffdc04f,0x407ffa83,0x1b602fff,0xf104ff88,
    0x0ffec07f,0x407fff60,0x7e45fff8,0x0bff701f,0x7c02ffe8,0x0dff01ff,
    0x0ffe6078,0xfb81ffd4,0x6ffe803f,0xd807ffd0,0x3fe204ff,0xf901600f,
    0xffd805ff,0xffd8000e,0x4003f91f,0x1fe44ffc,0x027fe400,0xfb017ff6,
    0x93ffe07f,0x3fff51fd,0x402ffe80,0x20001fff,0x001cffda,0x26002fb8,
    0xfea8005f,0x2e2001cf,0x33bffa03,0xffcccccc,0x401bfe5f,0x03ffdc01,
    0x33fe03f3,0xcaaaaaaa,0xfff05fff,0x82fff405,0x7fe402f8,0x103ff902,
    0xfa801fff,0xccccccff,0x6446fffc,0x01bfee03,0xff805ffd,0x3dffb01f,
    0x37f44060,0x3606ff88,0xffb802ff,0x03ffd82f,0x3e027fec,0xf50001ff,
    0xffb009ff,0x3fe20009,0x4003faef,0x0bf64ffc,0x027fe400,0xf9017ff2,
    0x3fff209f,0x3ffeaf95,0x17ff400f,0x0007ffe0,0x017ffd71,0x0017e200,
    0x4c000bee,0x0002dffd,0x777ffe44,0xeeeeeeee,0x00bff34e,0x0bffe200,
    0xdff8836c,0xcccccccc,0xff903ccc,0x3fffe60b,0xf8807b80,0xfff881ff,
    0x007ffcc0,0x3333ffe2,0x4ccccccc,0x3fff2600,0x017ff406,0x7d407ffe,
    0xb000cfff,0xffd107ff,0x00fffc07,0x6c27ffcc,0x7fec03ff,0x017ffc04,
    0x037ffc40,0x0004ffd8,0x017fffea,0x7ed3ff20,0x3ff20002,0x02ffe404,
    0x64417ff2,0xfbdbeffe,0xfe801dff,0x0fffc02f,0x2effc880,0x02f98000,
    0x0004f980,0x05f7fe44,0xfdbf9300,0xff50009f,0x7ec00009,0x302f886f,
    0x200005ff,0xdd80fff9,0x04e84ffd,0x901fff90,0x7fd41dff,0x0fff800f,
    0x3fae0000,0x7406ffcc,0x7ffc02ff,0xffffd101,0x7fe4019f,0x40dffb06,
    0x8800fff9,0xffd85fff,0x027fec03,0x2000bffa,0xb000fffd,0xc80009ff,
    0xc8001fff,0x02ffedff,0x013ff200,0xfc80bff9,0xfda8805f,0x74001bef,
    0x7ffc02ff,0x6ffecc01,0x3ee00001,0x00bf0000,0x3ffae200,0x3bf6600c,
    0x0009ffd2,0x0000bff7,0x2e0fffcc,0x013fea07,0x43ffe800,0x47ffa9f9,
    0xff1001f9,0xbfff10df,0x4007ffdc,0x80001fff,0x3fee3ffb,0x017ff406,
    0xd8807ffe,0x81ffffff,0xfc82fffa,0x3fee02ff,0xdfff000f,0xd807ffb0,
    0x7ff404ff,0x7ffe4002,0x13ff6002,0x1bffa000,0x3b3ff200,0x90000fff,
    0xffc809ff,0x02ffe405,0x5f7fed44,0x17ff4000,0x9807ffe0,0x00002fff,
    0x360007c8,0xfb800006,0x77ec40ff,0x0027ff42,0x00037fdc,0x9d13ffa0,
    0x002ffd40,0xc8dff700,0x6c8bffe6,0x17ffe600,0xfc8fffe6,0xffe801ff,
    0x3f620002,0x037fdc0e,0xff00bffa,0xffd5003f,0xff987fff,0x4fffa84f,
    0x007fff20,0x7ec2fff4,0x27fec03f,0x800bffa0,0x4004fff9,0x40004ffd,
    0x004ffff9,0x7fc67fe4,0xfc8000ef,0x2ffe404f,0xb817ff20,0xfbdadffe,
    0xfe800cff,0x0fffc02f,0x0b7ff660,0x00fb8000,0x0000bd00,0x20effecc,
    0xffb05fe8,0xfff5000b,0x7d400001,0x401f50ff,0x00006ff9,0x7c43ffe2,
    0x3f97ff22,0x41bff600,0x7fdc5ffd,0x4ffe802f,0x0bfd1000,0xfd01bfee,
    0x1fff805f,0x3fffee00,0x07ffd43f,0xa807ffdc,0xfd002fff,0x07ffb07f,
    0x7404ffd8,0xff1002ff,0xffb000df,0x6f440009,0x2001fffb,0xfff34ffc,
    0x9ff9000b,0x405ffc80,0xffb05ffc,0x7fd5ee9f,0x2ffe806f,0x800fffc0,
    0x00beffc8,0x0017cc00,0xa80004f8,0xfd00cffe,0x1bff201f,0x7fff3380,
    0x3e012600,0x880bb3ff,0x12003fff,0x1b29ffb0,0x1f51fff3,0x03bfe600,
    0x3ea1bfe6,0xffe803ff,0xffe8b006,0x80dff701,0x7fc02ffe,0x7e40101f,
    0x4ffb86ff,0x2609ff90,0xfd004fff,0x07ffb03f,0x7404ffd8,0xffb002ff,
    0xffb0001f,0x876c0009,0x32006ffe,0x3ffee4ff,0x27fe4003,0x9017ff20,
    0x3ffe0bff,0x7fd43fa4,0x17ff401f,0x0007ffe0,0x019ffd71,0x0013e200,
    0x44000bea,0x200beffb,0x3ee06ff8,0x13b801ff,0x3600ffff,0x8effc801,
    0x7fff802f,0xfa807700,0xfe83f8ef,0x36005dbf,0x1ffd01ff,0x00dfff10,
    0xc807ffff,0xb81bfe64,0x7fec06ff,0x80fffc03,0x0fffdc06,0xfe807fec,
    0x7fff880f,0x360fff00,0x7fec03ff,0x017ff404,0x2017ffdc,0x009ffb02,
    0xff987ee0,0x9ff9004f,0x002fffd8,0xf9013ff2,0x5ffc80bf,0x7fc47b50,
    0x36013662,0x7ffc03ff,0x3f6a0001,0xfc8001df,0x017e2002,0x0b7ff260,
    0x103ffd40,0xf880bfff,0x017fff60,0x3fe200d7,0xff9006ef,0x0fcc01bf,
    0x07efffc0,0x017fffdc,0xf502ff98,0x7ffec03f,0x3fffe201,0x5c5f101f,
    0xff700fff,0x04ffc80d,0x7c07ffe6,0x07ffe201,0xfe8827f4,0x05fff704,
    0xfb05ff88,0x4ffd807f,0x2017ff40,0x5804fff9,0x0009ffb0,0xfff707f3,
    0x89ff9005,0x000fffe8,0xfc809ff9,0x2ffe405f,0x009ff300,0x9817ff20,
    0x80001fff,0x002effc9,0xfd8007f4,0x3ff6a001,0x7fd4001c,0xffff302f,
    0x88bd510b,0xd985ffff,0x3ff6003f,0xfff1003f,0x5fb883df,0x09fff900,
    0x801fffe2,0x0bfa03fe,0x40bfff30,0xbefffffb,0xfa8fd510,0xffe982ff,
    0x1bff2066,0x817fff54,0x07fe405f,0xf300ff88,0x1bffe01f,0x3a01ff90,
    0x7ff404ff,0x017ffc04,0x200dfff1,0x00bffb07,0x3fa05f88,0x7fec00ff,
    0x0efff985,0x405ffc80,0x7e405ffc,0x3fea005f,0xfff90005,0x0bfffaa0,
    0xffb88000,0x7f4400bf,0x3ffa603f,0x7ff5c401,0x3fe0000b,0x7e7e41ef,
    0xfdbcefff,0xfffc80ef,0x5ffeceff,0x07ffd400,0xfffff700,0x01fffdbf,
    0x803ffe60,0xf5004ffc,0x8027d409,0xfd01fffc,0xdfffffdb,0xff985fff,
    0xfbf913ff,0xf50b75ff,0x3f2239ff,0x418dfff9,0x17fa03ff,0x7d409f30,
    0x09fff504,0xff80ffe2,0x27ffc05f,0xd80fffe0,0x7b800fff,0x800dffb0,
    0x3fe600fe,0x37ffc05f,0x805fffb8,0x7e406ffd,0x37fe405f,0x005fd100,
    0x477ffea0,0xdfff9fc8,0x54000018,0xe881cffe,0xabcefeaf,0x1feaefdc,
    0x02effc88,0xffff9000,0x3ea3ffbb,0xffffffff,0x3ffff201,0x000effff,
    0xb8005fe8,0xffffffff,0x27f4001f,0x4003fe60,0x002f406e,0xe98bfff2,
    0xffffd14f,0x3f60bfff,0x89efffff,0xb00effff,0x3fffffff,0x833ffffe,
    0xefb84fff,0x201fb800,0xfff300fb,0x017fcc39,0x201ffff5,0x700ffffa,
    0x3ee0dfff,0xaaaaadff,0x986fdcaa,0x8803ffff,0x3e200ffd,0xf980dfff,
    0xff880fff,0xff301dff,0x3fe203ff,0xfff301ff,0x0008003f,0x7ffffec0,
    0xfffff1ff,0x30000019,0x3a21bffb,0x3fff6a1f,0x47fa23ef,0x001cffd8,
    0x7ffec400,0x7ecc0cff,0x801dffff,0x3ffffffa,0x007ee000,0x7ffff4c0,
    0xfb8000df,0x5005e801,0x0075401d,0x7ffffcc0,0x7fecc2ef,0x36203fff,
    0x7ec4ffff,0x3fa200df,0x3fe0dfff,0xffef80be,0x00cffddf,0x0bb01720,
    0x7ffffec4,0xffd501be,0x2a3dffff,0xefffffff,0xffffffb2,0x3ffe21df,
    0xffffffff,0x3ea6ffff,0x4fffffff,0x7fffff30,0xffffff90,0x3fffaebf,
    0xfd33efff,0x27ffffff,0xffffffe9,0xffffd53e,0x3faa7dff,0x02efffff,
    0xfd100000,0x7fc1bfff,0x000000be,0x3d10fc88,0xe8804c40,0x00017f31,
    0x0abb9800,0x001ab980,0x0009bb98,0x40002440,0x0000aba8,0x00d400e2,
    0x00440088,0x02aea200,0x00157510,0x009806a2,0x3202ae20,0x75310401,
    0x00600015,0x055cc006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ab88000,0x000001c8,0x00000100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05000110,0x1a880a00,
    0x50001500,0x00544000,0x8006aa60,0x22009a98,0xa883500a,0x002aa600,
    0xcc8819d7,0xcccccccc,0xcccccccc,0x55510ccc,0x55555555,0x55555555,
    0x4c054055,0x33264ccc,0x04d4c03c,0x814c2800,0x4c175029,0xcccccccc,
    0xddddd33c,0xdddddddd,0x9ddddddd,0x33333326,0xcccccccc,0x03cccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff98000,
    0x0013ee00,0xffd983fb,0xfeb882ef,0x01fcc003,0x3bfff6a0,0x7fff4c03,
    0x67e401ef,0xfff03ffd,0x3e3ffd81,0x4dfd40ff,0xffa82ffb,0x3ffe60ff,
    0xffffffff,0xffffffff,0xffff30ff,0xffffffff,0xffffffff,0x320d501f,
    0x7fec1fff,0xfffe880f,0x9a6002df,0x7fd46ffa,0xf537fe46,0xffffffff,
    0x3bbbba6d,0xeeeeeeee,0x3eeeeeee,0xfffffff3,0xffffffff,0x009fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0bff7000,
    0xb004fd80,0xb9bf887f,0x33220ffe,0x7f4003ff,0x7bf1000f,0x2a07fff7,
    0xffb99bff,0x7d41fd03,0x1fffcc4f,0x7fcdbffe,0x3ee37c3f,0x7fffec0f,
    0x4cccccc3,0x99999999,0x41999999,0x99999999,0x99999999,0xe80fb999,
    0x02ffe80d,0xbfd05ffd,0x39fffd97,0x3ff65c80,0x87fff61f,0xff50ffff,
    0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40017f44,0x1fec04fd,0x0ffe6164,0xf7001ffc,
    0x132009f7,0x3be21ffa,0x641fe880,0x22ffc85f,0x3e23fff9,0x7fff55ff,
    0x3fea27d4,0x37fffd42,0x00000000,0xc81f5000,0x3fe21fff,0x717fa204,
    0xfff9301f,0x0fdc417d,0x7dc1fff7,0x9bff60ff,0xaaaaaaa8,0x000002aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x07fb04fd,0xff01ff80,0x657e2007,0xf503801f,0x201fc83f,
    0x41ffc5f8,0x3fe65ff8,0x9afffc2f,0x205c2fff,0x9b983ffb,0x0000007c,
    0x3ea00000,0x727fe4c0,0x8ff300bf,0xffda803e,0xb84ffdef,0x441cb81c,
    0x000000cb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd89fb000,0x1fd4003f,0x36007ff0,0x000df10f,
    0x03743fcc,0x05ff33ec,0x3fff1ffa,0x3fe4ffd8,0x3f36e01f,0x0036c03f,
    0x00000000,0x3fe01f50,0xfa801b64,0xd71001a1,0x00005dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f69fb00,0x02f4c003,0x3e600ffe,0x80017dc3,0x805f84fb,
    0x07ff50fc,0x0ffd1ff6,0x3ff47ff9,0x7ff32eb8,0x0001fc40,0x00000000,
    0x3ff501f5,0x970003a2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aa60000,0xaaaaaaaa,
    0xaaaaaaaa,0x77ec02aa,0x3fa6003f,0x7ff00dff,0x3fa0dd00,0x80fe8000,
    0x267d807e,0x8df904ff,0x1ffa86fd,0x87f21bf6,0x1b203ff9,0xfffffff3,
    0xffffffff,0x01ffffff,0x83ea0000,0x0044feb9,0x00000080,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000000,0xffffffff,0xffffffff,0xf00dffff,0xb51000bf,0x0ffe0dff,
    0x3e605f70,0x80fdc004,0x97e202fd,0xbfd06ff8,0xff984fb8,0xdf913ee0,
    0xd903ff98,0xccccc883,0xcccccccc,0xcccccccc,0x93000000,0x002b7221,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xaaaaaaa9,0xaaaaaaaa,0x402aaaaa,
    0x0004fefd,0x3fe03ff2,0x9017e203,0x0bea001f,0x3f606f98,0x2217fe42,
    0x81fcc0ff,0x3e1fd46f,0x21ffcc6f,0x00000dea,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f67fb00,0x3ff10004,0x7ec07ff0,
    0x402fc400,0xefc802f9,0x84ffc889,0x3ee2efe8,0xbd02f882,0x7ff41f88,
    0xcdffdcad,0x00000170,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f61fec0,0x01ff0004,0x13e607ff,0xd5017dc0,0xff701103,
    0x4407ffff,0x01efeffc,0x7c1ec03e,0x8f7ffd40,0x00002ffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x207fb000,0x7d4004fd,
    0x3a07ff04,0xb8374006,0x03ea620e,0x00566544,0x0000a988,0x440a8000,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdb100000,
    0x07fb0003,0xcee83fd8,0xf105fb8a,0x005f709f,0x7fec3f98,0x05ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0017fee0,0x3f6007fb,0x6f7ff643,0xbdddb901,0x40013623,
    0xdddd70dc,0x003ddddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70027fcc,0x2fd8007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x00280029,0x00000050,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_45_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,1,-1,1,1,1,1,1,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_45_latin_ext_y[560]={ 36,8,8,8,6,8,8,8,7,7,7,11,32,25,
32,7,8,8,8,8,8,9,8,9,8,8,17,17,12,18,12,8,7,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,7,8,8,43,8,17,7,17,7,17,7,17,7,7,
7,7,7,17,17,17,17,17,17,17,11,17,17,17,17,17,17,7,7,7,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,16,9,8,12,9,
7,8,9,8,8,17,18,25,8,5,8,11,8,8,8,17,9,20,35,8,8,17,8,8,8,16,0,0,0,1,
2,2,9,8,0,0,0,2,0,0,0,2,9,1,0,0,0,1,2,14,8,0,0,0,2,0,9,7,8,8,
8,9,9,7,17,17,8,8,8,9,8,8,8,9,7,9,8,8,8,9,9,14,16,8,8,8,9,8,7,9,
3,11,1,9,8,17,0,8,-1,8,2,9,0,8,0,7,9,7,3,11,0,9,2,9,9,17,0,8,-1,8,
1,9,2,9,8,6,-1,-1,9,7,1,9,3,11,0,9,9,7,2,17,9,7,-1,8,9,7,17,0,0,9,
7,8,7,9,7,9,7,0,8,9,17,0,8,8,8,17,3,11,0,9,0,8,8,17,0,8,9,17,0,8,
0,8,-1,8,8,17,0,8,9,11,0,7,9,11,1,9,3,11,0,9,0,7,0,8,9,17,-1,8,-1,8,
2,0,8,2,9,0,8,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,5,16,10,10,10,10,10,10,10,10,10,10,10,10,10,4,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,8,0,8,0,
8,0,8,-1,5,-1,2,-1,2,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-5,-1,-1,8,-1,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_45_latin_ext_w[560]={ 0,6,12,20,17,32,30,5,12,12,16,23,7,11,
6,12,18,12,19,16,19,17,18,18,16,18,5,7,23,23,23,16,36,29,25,25,28,24,21,28,29,12,16,30,
24,36,30,27,22,27,28,19,23,29,29,39,29,29,24,10,12,10,19,22,7,17,20,16,20,16,17,19,21,10,
12,21,10,32,21,18,20,20,14,14,12,21,20,29,20,21,18,12,2,12,23,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,16,19,20,21,
2,15,12,29,13,19,23,11,29,22,14,22,12,11,8,20,20,6,7,8,13,19,28,28,30,16,29,29,29,29,
29,29,37,25,24,24,24,24,12,12,12,12,28,30,27,27,27,27,27,17,27,29,29,29,29,29,22,20,17,17,
17,17,17,17,25,16,16,16,16,16,10,10,12,12,18,21,18,18,18,18,18,22,20,21,21,21,21,21,20,21,
29,17,29,17,30,20,25,16,25,16,25,16,25,16,28,25,28,20,24,16,24,16,24,16,24,18,24,16,28,19,
28,19,28,19,28,19,29,21,29,21,14,14,14,13,12,13,13,12,12,10,28,19,16,16,30,21,21,24,10,24,
10,24,16,24,14,24,11,30,21,30,21,30,21,25,27,18,27,18,27,18,27,18,34,28,28,14,28,14,28,14,
19,14,19,14,19,14,19,14,23,12,23,18,23,12,29,21,29,21,29,21,29,21,29,21,29,23,39,29,29,21,
29,24,18,24,18,24,18,17,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,21,21,20,21,21,21,
21,21,21,21,21,21,21,21,21,21,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,33,23,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,17,12,12,27,
18,29,21,29,21,29,21,29,21,29,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,17,37,25,27,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_45_latin_ext_h[560]={ 0,29,13,29,34,30,29,13,38,38,18,23,11,4,
5,30,29,28,28,29,28,28,29,28,29,29,20,26,21,9,21,29,38,28,27,29,27,27,27,29,27,27,28,27,
27,27,28,29,27,36,27,29,27,28,28,28,27,27,27,37,30,37,15,2,8,20,30,20,30,20,29,28,29,29,
38,29,29,19,19,20,28,28,19,20,26,20,20,20,19,28,19,38,38,38,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,29,21,27,
38,36,5,29,13,20,9,4,29,2,13,23,15,16,8,28,36,5,9,15,13,20,30,30,30,29,36,36,36,35,
34,34,27,36,36,36,36,34,36,36,36,34,27,36,37,37,37,36,35,17,29,37,37,37,35,36,27,30,29,29,
29,28,28,30,20,27,29,29,29,28,28,28,28,27,30,27,29,29,29,28,28,17,22,29,29,29,28,37,38,36,
33,26,35,28,36,27,37,29,38,29,35,28,37,29,36,30,27,30,33,26,36,28,34,28,35,27,36,29,38,37,
36,36,35,36,36,39,37,37,27,29,35,27,33,25,36,27,35,37,34,19,28,38,38,37,35,37,19,36,36,35,
37,28,29,27,29,27,29,37,28,35,27,37,28,28,29,28,34,26,37,28,37,29,29,20,36,28,35,27,36,28,
37,29,38,29,36,27,37,29,37,35,36,30,27,26,36,28,34,26,37,28,37,30,37,29,35,27,38,29,37,37,
34,36,28,34,27,36,28,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,29,26,26,37,26,26,26,
26,26,26,26,26,26,26,26,26,26,32,21,26,26,26,26,26,26,26,26,26,26,26,26,26,33,21,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,36,29,36,28,37,
29,37,29,38,32,38,35,38,35,38,35,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,41,38,37,29,38,30,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__times_45_latin_ext_s[560]={ 509,505,125,469,243,387,333,138,336,406,491,
440,158,283,502,111,16,295,228,255,327,172,106,72,364,31,506,504,25,166,70,
125,369,20,442,142,468,26,51,250,73,497,124,103,1,159,141,168,226,294,389,
64,418,248,278,345,249,196,134,498,287,31,63,295,231,254,224,120,326,158,124,
419,467,439,51,80,142,458,359,329,201,398,400,294,279,272,137,175,415,323,381,
64,263,123,239,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,509,502,491,
449,49,477,469,348,263,398,144,309,190,283,419,318,96,417,83,42,222,79,481,
276,214,54,111,205,82,145,174,381,264,364,342,60,339,369,439,322,106,27,81,
412,14,1,329,399,25,402,171,368,270,453,251,24,428,137,167,437,30,209,54,
245,232,214,196,388,465,347,94,77,384,47,30,483,500,100,111,499,205,352,365,
346,327,209,190,1,464,233,211,189,366,149,448,394,1,349,221,91,441,118,1,
172,472,35,304,278,342,298,154,300,201,266,471,367,183,406,314,423,361,285,416,
450,419,270,60,134,104,89,1,31,199,217,230,102,133,318,496,403,485,304,90,
229,200,348,50,166,216,420,386,115,436,109,498,279,497,440,489,260,1,176,315,
239,256,330,139,298,179,153,52,1,286,384,242,237,57,153,298,225,155,308,1,
374,52,222,197,456,349,471,433,161,129,490,396,208,131,420,94,314,372,109,213,
292,85,131,27,365,467,50,417,1,296,1,312,290,170,184,308,261,333,239,347,
486,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,1,327,327,42,
327,327,327,327,327,327,327,327,327,327,327,327,327,31,485,327,327,327,327,327,
327,327,327,327,327,327,327,327,437,1,327,327,327,327,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,30,401,
472,385,101,279,1,84,266,60,233,447,186,469,136,148,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,
327,327,327,1,105,63,272,77,124,327,327,327,327,327,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,327,
327,327,327,327,327,327,327,327,327, };
static unsigned short stb__times_45_latin_ext_t[560]={ 1,263,460,263,193,229,293,460,1,1,438,
410,460,460,111,229,263,323,353,263,323,353,293,323,293,323,229,293,438,460,438,
293,1,353,382,293,382,410,410,293,410,382,353,410,410,410,353,293,410,119,382,
293,382,353,353,353,410,410,410,1,229,41,460,460,460,438,229,438,229,438,263,
353,229,229,1,263,263,438,438,438,323,353,438,438,410,438,438,438,438,353,438,
1,1,1,460,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,1,81,156,
263,438,353,1,119,460,293,460,438,460,460,263,460,460,410,460,460,460,353,81,
460,460,460,460,438,229,229,229,293,119,119,81,193,193,193,353,119,119,119,119,
193,119,119,81,193,382,81,41,41,81,81,156,460,293,81,81,41,193,119,382,
229,293,293,293,323,323,229,438,382,263,293,293,323,323,353,353,353,229,382,263,
263,263,353,353,460,410,263,263,263,323,41,1,119,229,410,156,323,119,382,81,
263,1,263,156,323,41,263,156,229,382,229,193,410,156,323,193,323,156,382,119,
229,1,41,156,156,193,156,156,1,41,81,382,263,193,382,193,410,119,382,193,
41,193,438,353,1,1,41,156,81,438,156,119,156,41,323,229,382,263,382,263,
81,323,156,382,81,323,323,263,353,193,410,41,323,81,263,293,438,119,353,193,
382,119,323,81,293,1,293,81,382,41,263,41,156,119,229,382,410,81,323,193,
410,81,323,81,229,41,323,156,382,1,323,41,41,193,119,323,193,382,119,323,
293,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,293,410,410,41,
410,410,410,410,410,410,410,410,410,410,410,410,410,229,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,193,438,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,156,263,
119,353,41,293,43,293,1,229,1,156,1,156,1,193,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,1,1,41,263,1,229,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410, };
static unsigned short stb__times_45_latin_ext_a[560]={ 163,217,265,325,325,542,506,117,
217,217,325,367,163,217,163,181,325,325,325,325,325,325,325,325,
325,325,181,181,367,367,367,289,599,470,434,434,470,397,362,470,
470,217,253,470,397,578,470,470,362,470,434,362,397,470,470,614,
470,470,397,217,181,217,305,325,217,289,325,289,325,289,217,325,
325,181,181,325,181,506,325,325,325,325,217,253,181,325,325,470,
325,325,289,312,130,312,352,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,163,217,325,325,325,325,130,325,
217,494,179,325,367,217,494,325,260,357,195,195,217,375,295,163,
217,195,202,325,488,488,488,289,470,470,470,470,470,470,578,434,
397,397,397,397,217,217,217,217,470,470,470,470,470,470,470,367,
470,470,470,470,470,470,362,325,289,289,289,289,289,289,434,289,
289,289,289,289,181,181,181,181,325,325,325,325,325,325,325,357,
325,325,325,325,325,325,325,325,470,289,470,289,470,289,434,289,
434,289,434,289,434,289,470,420,470,325,397,289,397,289,397,289,
397,289,397,289,470,325,470,325,470,325,470,325,470,325,470,325,
217,181,217,181,217,181,217,181,217,181,461,359,253,181,470,325,
325,397,181,397,181,397,264,397,223,397,181,470,325,470,325,470,
325,393,456,322,470,325,470,325,470,325,578,470,434,217,434,217,
434,217,362,253,362,253,362,253,362,253,397,181,397,278,397,181,
470,325,470,325,470,325,470,325,470,325,470,325,614,470,470,325,
470,397,289,397,289,397,289,181,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,470,506,506,325,506,506,506,506,506,
506,506,506,506,506,506,506,506,470,344,506,506,506,506,506,506,
506,506,506,506,506,506,506,504,352,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,470,289,217,181,470,325,470,325,470,325,470,
325,470,325,470,325,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,470,289,578,434,470,325,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_45_latin_ext_BITMAP_HEIGHT or STB_FONT_times_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_45_latin_ext(stb_fontchar font[STB_FONT_times_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_45_latin_ext_BITMAP_HEIGHT][STB_FONT_times_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_45_latin_ext_s[i] + stb__times_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_45_latin_ext_t[i] + stb__times_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_45_latin_ext_x[i];
            font[i].y0 = stb__times_45_latin_ext_y[i];
            font[i].x1 = stb__times_45_latin_ext_x[i] + stb__times_45_latin_ext_w[i];
            font[i].y1 = stb__times_45_latin_ext_y[i] + stb__times_45_latin_ext_h[i];
            font[i].advance_int = (stb__times_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_45_latin_ext_s[i] + stb__times_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_45_latin_ext_t[i] + stb__times_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_45_latin_ext_x[i] + stb__times_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_45_latin_ext_y[i] + stb__times_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_45_latin_ext_LINE_SPACING
#endif

