// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_48_latin_ext_BITMAP_HEIGHT        547
#define STB_FONT_times_48_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_48_latin_ext_NUM_CHARS            560

#define STB_FONT_times_48_latin_ext_LINE_SPACING          31

static unsigned int stb__times_48_latin_ext_pixels[]={
    0xccc98000,0x1000000c,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0x00000999,0x03ccb800,0x66540000,0x3ccccccc,
    0x77440000,0x000001ee,0x00b80000,0x00000071,0x006f7754,0x97000000,
    0x51000399,0x00000555,0x00033332,0x00555500,0x5fffb000,0xdb300000,
    0x22000017,0xbd7104da,0x001b0000,0x04fe9800,0xfb105700,0x49fb1007,
    0x00001cd8,0xfedcb980,0x000bdeff,0x01f90fc8,0x007fec00,0xff000000,
    0x8000001b,0xfffffffc,0x400005ff,0x4003fffb,0x00000fea,0xb877e600,
    0x0000002f,0x0007fff6,0x8007eb88,0x006ffff9,0x01ffffc8,0x7ffd4000,
    0x2a00005f,0x0002ffff,0x001fffc0,0x001fc400,0x2033ea00,0x005fffd9,
    0x0002e980,0x007fff20,0xff903d88,0xfffc803f,0x0006f4c1,0x5e7f5400,
    0xf953109a,0x87e4007d,0x640000fc,0x0000003f,0x0000bf50,0x3ffff200,
    0x005fffff,0x027ff400,0x0ffffc98,0x5c000000,0x004fedff,0x7ffc0000,
    0xff930002,0xffd000ff,0x44005fff,0x006fffff,0x7ffffc00,0xff00001f,
    0x0000dfff,0x0002ffcc,0x00007b80,0xfdd817e4,0x00005fff,0x200009f3,
    0x7001fffd,0x7ffec03d,0x0fffec01,0x80001ed8,0x000bffc8,0x6400f754,
    0x0001f90f,0x00000b70,0x00013200,0x00000000,0x00bff100,0x3ffffbaa,
    0x80000000,0x0005fffd,0x1ffd4000,0xffeeb800,0x7fd4007f,0x2006ffb9,
    0x2fffaefd,0x3df70000,0x0000dff9,0x7ffd5ff7,0x1bf20000,0x9dd80000,
    0x7dc0001b,0x5fff8806,0x3ba20000,0x7f4c0001,0x803f9004,0xe9804fe9,
    0x03be605f,0x02fe9800,0x403fb800,0x001f90fc,0x00000020,0x00000100,
    0x00000800,0x003bea00,0x003fffa0,0x00100000,0xf9000000,0x3fa00009,
    0x0ffc007f,0xf3007ff3,0x01bfa21d,0xa83be200,0x220002ff,0x1ffb11ef,
    0x01dd0000,0x7fe40000,0x3e20007f,0xbffd002f,0xef980000,0x00080000,
    0x004005f7,0x13fa0020,0x0077d400,0x407f3000,0x001f90fc,0x7d42ff98,
    0x3000001f,0x1ffa85ff,0xff300000,0x001ffa85,0x0003f600,0x0007ffdc,
    0x2ff98000,0x0000ffd4,0x0002fc00,0x400fff90,0x0fe880eb,0x7e407740,
    0x076c0003,0xb0003744,0x00bf701d,0x0000f980,0x7fffcc00,0x1ff90000,
    0x017ffa00,0x017f2000,0x2fcc0000,0x40000000,0x64000ffb,0x800000df,
    0x21f901f9,0x7e4000fc,0x027fec6f,0x6ffc8000,0x00027fec,0x6c6ffc80,
    0x200004ff,0x3ee0001f,0x000000ff,0xfd8dff90,0x4000004f,0x200000e9,
    0xd1007ffb,0x2a04c801,0x0007d405,0x03d80598,0x2600e980,0x0660001f,
    0x7e400000,0x3fa0004f,0xbffb000f,0x3fa00000,0x44000004,0x000001ff,
    0x02ffc800,0x00013f20,0xf901d700,0x30003f21,0x2ffb89ff,0xff300000,
    0x002ffb89,0x89ff3000,0x00002ffb,0xfb800031,0x000000ff,0xfb89ff30,
    0x4000002f,0x5c000009,0x013007ff,0x30038060,0x80060005,0x800a8002,
    0x32600028,0x000000ce,0x3e000044,0xffb001ff,0x2a00000b,0x000001ff,
    0x000017fa,0x27fec000,0x0006fa80,0xf907b000,0x20003f21,0x00033018,
    0x33018800,0x18800000,0x00000330,0x7fdc0001,0x0000000f,0x000cc062,
    0x00000000,0x0007ffb8,0x00000000,0x00000000,0xf7000000,0x0007fd9d,
    0x44000000,0xfb002fff,0x200000bf,0x00005ff8,0x0007ff50,0x3fa00000,
    0x1ff8804f,0xd5000000,0x03f21f90,0x00000000,0x00000000,0x00000000,
    0x007dfb30,0x001fff50,0x00000000,0x35100000,0xfb806200,0x0000007f,
    0x00000000,0x01803531,0xe8000000,0x00003644,0x3fe00000,0xbffb004f,
    0x7f400000,0xd800001f,0x000000ff,0x07fff000,0x20007fb0,0x3e011019,
    0x0fc87e41,0x99999997,0x98059999,0xcccccccc,0x9999973c,0x05999999,
    0xcccccc98,0x99973ccc,0x99999999,0xcccc9805,0x203ccccc,0x05fcadfa,
    0x007ffd40,0x33332e00,0x2ccccccc,0x666664c0,0x2003cccc,0xfffffdba,
    0x01fd02de,0x5401ffee,0xcccccccc,0x65402ccc,0x0003defd,0xffffd710,
    0x7c417dff,0x07ecc000,0x103ea000,0x0000003f,0x2fff4000,0x445ffd80,
    0x0002ceeb,0x3000bff7,0x6ff981fb,0x007d9800,0x3e201fb3,0x37d402ff,
    0x37bf2200,0x209ff73f,0xfc87e44c,0x3fffae20,0x20009dff,0x0affffda,
    0x7ffff5c4,0x2a0009df,0x40affffd,0xfffffeb8,0x36a0009d,0x400affff,
    0x0007cc4d,0x5301fff5,0x85555555,0xfffffeb8,0x36a0009d,0x000affff,
    0x357bffb1,0x43dffd95,0x3fee02fc,0x3faa2007,0x009dffff,0x2a2bbfa6,
    0xcccccffe,0xfffc8803,0xfcba9aad,0x801fdbdf,0x00fffeb8,0x2207d400,
    0x2a00002f,0x003defdc,0x200dffb0,0x3ff65ffd,0x8005ffff,0x8800fff9,
    0x640fffeb,0xd71004ff,0x75c40fff,0xff500fff,0x01fe803f,0xd887bea0,
    0xd501ffe8,0x01f90fc8,0x00dffff1,0x401ffc80,0x006ffff8,0x200ffe40,
    0x006ffff8,0x400ffe40,0x004e81f9,0x2603ffea,0x2cdffffd,0x0dffff10,
    0x01ffc800,0x007ffea0,0x7f79ffd1,0x007ffb80,0x00dfffd0,0xff109ff3,
    0x80dfffff,0x400cfffa,0x01ffffc8,0x7fffffd4,0x43f80000,0xd300006c,
    0xffd515df,0x40799999,0xfb006ffb,0x3ffff6bf,0x4006ffff,0x5403fff8,
    0x20ffffff,0xb803fff8,0x507fffff,0x01ffffff,0x9803ffea,0x3bee007f,
    0x07ffea80,0x321f91e6,0x9fffb00f,0x06fa8000,0x009fffb0,0xb006fa80,
    0x80009fff,0x5f1006fa,0x7d4007f0,0xdff100ff,0x3fff6003,0x37d40004,
    0x01bff900,0x17fffa20,0x001ffee0,0x2027ffe4,0x3ee07fe8,0x2009abff,
    0x4002fffc,0x8402fffa,0x000fffe9,0xfebdfc80,0xff980003,0xfffff884,
    0x3fea06ff,0x7bffb005,0xffd5339f,0xff8007ff,0xffd0405f,0x1fffd41f,
    0x0fffd040,0x00fffe82,0xfc80fff3,0x03ff7004,0xf102fffc,0x01f90fc8,
    0x000ffff2,0x3200bf30,0x40003fff,0xff9005f9,0xf980007f,0xb8372005,
    0x3fea000f,0x009fb00f,0x003fffc8,0xd802fcc0,0x44000fff,0xfb806ffe,
    0xff90007f,0x5ffc809f,0x013ffe20,0x000bfff2,0x90017fdc,0x00001fff,
    0x00077f66,0xb81ffa20,0x009abfff,0x6c00ffe6,0xd881eeff,0x2000ffff,
    0x32007ffe,0x3ff20fff,0x7fe4002f,0x0fffb807,0xff017fe0,0x07ff7003,
    0x1017ffc4,0xfc87e41f,0x07fff900,0x005f9800,0x0007fff9,0xf9005f98,
    0x980007ff,0x3fe6005f,0x54004fec,0x3fd80fff,0x3fffc800,0x02fcc000,
    0x0027ffd4,0x01ffff44,0x4001ffee,0x7403fffc,0x7ff404ff,0x2fffcc07,
    0x00ff2000,0x000fffb8,0x0013f200,0x102ffe40,0x2e009fff,0x3ff6006f,
    0x3ffe201f,0x3ffa003f,0xfff7001f,0x00fffec1,0x201ffee0,0x2a00fffb,
    0x0df500ff,0x980bff10,0x1e600fff,0x403f2195,0x0003fffc,0xfc802fcc,
    0x4c0003ff,0xfff9005f,0x5f980007,0x00ceb800,0x20fffa80,0x90002fd8,
    0x80007fff,0x7fc405f9,0xfd8000ff,0x2e01fffe,0xf90007ff,0xfff807ff,
    0x03ffec04,0x001fffd1,0x2003f880,0x0000fffb,0x001fff10,0x809ffd00,
    0xff007ffe,0x2ffec005,0x02fffe40,0x005fffb0,0xfe83ffee,0x7dc000ff,
    0xfffa807f,0xb81fec00,0x1ffd804f,0x2037fd40,0x807e407a,0x0003fffc,
    0xfc802fcc,0x4c0003ff,0xfff9005f,0x5f980007,0xa8000000,0x5fd10fff,
    0x7ffe4000,0x2fcc0003,0x013fff20,0x3feafee0,0x1ffee06f,0x1fffe400,
    0x9017ffe0,0x3f201fff,0xb00004ff,0x7ffd4009,0xff700000,0xff00007f,
    0x7ffd809f,0x4001fb80,0xf8805ffd,0x3f2006ff,0xff5003ff,0x03fffc1f,
    0x403ffdc0,0xd800fffa,0x403fc80f,0xfd805ffb,0x2035c03f,0xfff900fc,
    0x5f980007,0x07fff900,0x005f9800,0x0007fff9,0x00005f98,0x8fffa800,
    0x40001fe8,0x0003fffc,0xff302fcc,0xfa8001ff,0x07ffff15,0x4001ffee,
    0x6c03fffc,0x7fe406ff,0x0bfffe06,0x0024c000,0x0001fff5,0x01bfffa0,
    0x017ffe00,0x2601fff9,0xfd8000dd,0xffff005f,0x27ffe400,0x20fffa80,
    0xb8007fff,0xffa807ff,0x17d7000f,0x3fa017e4,0x1fff801f,0x3f2026c0,
    0x07fff900,0x005f9800,0x0007fff9,0xf9005f98,0x980007ff,0xdb91005f,
    0x400157bf,0x6ff9fffa,0xfffc8000,0x2fcc0003,0x00ffff90,0x7ff46f98,
    0x0fff705f,0x0ffff200,0x401fff70,0xff504ffd,0x400001ff,0x3ffea001,
    0xffa80000,0x40002fff,0x7e406ffd,0x003ff06f,0x802ffec0,0x7000fffe,
    0x2a009fff,0xfff10fff,0xfff7000d,0x01fff500,0xfd9fe440,0x01bfea01,
    0xf101ffea,0x900fc805,0x80007fff,0xff9005f9,0xf980007f,0x7fff9005,
    0x05f98000,0xfcbdffc8,0xf5001fff,0x09fffbff,0x3fffc800,0x02fcc000,
    0x400dfffb,0x7fe40fe8,0x0fff707f,0x0ffff200,0x209fff10,0xfb00fff8,
    0x00000dff,0x07ffd400,0x7efec000,0x5c0005ff,0x3f600fff,0x17d7304f,
    0x0bffb000,0x801fff60,0x5003fffb,0x3fe21fff,0xffb8007f,0x0fffa807,
    0x215bb300,0x3ff600fe,0x04ffe803,0x07e403d4,0x003fffc8,0xc802fcc0,
    0x40003fff,0xff9005f9,0xf980007f,0x217fe405,0x800effc8,0xffe8fffa,
    0x3f20002f,0x4c0003ff,0x3fffe05f,0x207f6005,0xb80ffffb,0xf90007ff,
    0xfd1007ff,0x2ffd883f,0x013fffe0,0xfa800000,0x440000ff,0x0ffff8ef,
    0x3ffe2000,0x01fff104,0xd8001db0,0xff9005ff,0x7ffe400d,0x1fff5002,
    0x4003fffc,0xfa807ffb,0x2fb800ff,0xff100fe8,0xfffb803f,0x64026c02,
    0x7fff900f,0x05f98000,0x007fff90,0x9005f980,0x80007fff,0x3fea05f9,
    0x09fff107,0xf11fff50,0x20003fff,0x0003fffc,0xff882fcc,0x7f9004ff,
    0x07fffee0,0x4001ffee,0x1003fffc,0xff959ffd,0x7ffc403b,0x0000004f,
    0x003ffea0,0x3f65f900,0x440004ff,0x7ec41ffe,0x1df1002f,0x02ffec00,
    0x2005ffd8,0x5001fffc,0x7ffc1fff,0x7fdc000f,0x0fffa807,0xfd827dc0,
    0x80fff301,0x200ffff8,0x0fc801fa,0x007fff90,0x9005f980,0x80007fff,
    0xff9005f9,0xf980007f,0x81bff205,0xfa805ffe,0xdfff50ff,0xfff90001,
    0x5f980007,0x07ffff30,0x7d409f50,0xffb83fff,0xfff90007,0x2efa2007,
    0x9801bcdc,0x0003ffff,0x3fea0000,0x3e20000f,0x01fffe67,0x33ffa200,
    0x001dffca,0xfb002fe4,0x3ffa00bf,0x3fff6004,0x1fff5000,0x000ffff4,
    0x2a01ffee,0x3e600fff,0x203f900f,0x76c06ffa,0x827406ff,0x201f90a9,
    0x0003fffc,0xfc802fcc,0x4c0003ff,0xfff9005f,0x5f980007,0xd813fee0,
    0xffa805ff,0x17fff20f,0x0ffff200,0x20bf3000,0x402ffffa,0x7fcc06f9,
    0x7ffb84ff,0x7fff9000,0x0007f300,0x03ffffa8,0x2a000000,0x20000fff,
    0x7fff43fb,0x5f440002,0x001bcdcb,0x2005ff30,0xff005ffd,0x7ff4003f,
    0x3ffea007,0x007fff20,0x500fff70,0x7f401fff,0x5c0bee06,0x79b00fff,
    0x07e409ff,0x01f90fc8,0x000ffff2,0x3200bf30,0x40003fff,0xff9005f9,
    0xf980007f,0x80776205,0xfa806ffc,0x7ffec0ff,0x7ffe4004,0x2fcc0003,
    0x03ffff98,0xf3003fe2,0xff709fff,0x3ff2000f,0x07fc403f,0x3ffea000,
    0x0000002f,0x003ffea0,0x7dc0fe80,0x260006ff,0xa800003f,0xffb005ff,
    0x0bff300d,0x006fff80,0xfa83ffea,0x7dc002ff,0xfffa807f,0x40dff100,
    0xfff503fa,0x3ff2bb05,0x6405f903,0x3201f90f,0x40003fff,0xff9005f9,
    0xf980007f,0x7fff9005,0x05f98000,0x3ffee200,0x0fffa806,0x017fff44,
    0x007fff90,0xf105f980,0x7f409fff,0xffffa801,0x007ffb83,0x807fff90,
    0x0000cffb,0x00ffffe6,0xfa800000,0xf30000ff,0x07fffe09,0x003fe200,
    0x1bfee000,0x007ffec0,0xf0003ff6,0x7d4009ff,0x3ffe20ff,0x7ffe4003,
    0x07ffd400,0x7c07ffa8,0x9ffff106,0x7fe4bf93,0x540fe443,0x03f21f92,
    0x001fffe4,0x64017e60,0x40003fff,0xff9005f9,0xf980007f,0xdfda8005,
    0xfb806ffe,0xfff980ff,0xfff9001f,0x5f980007,0x413fffa0,0xff5003fc,
    0xfff905ff,0xfff90001,0xffffd807,0xceeeefff,0xffff880b,0x00000004,
    0x0003ffea,0xffc80fec,0xffb8004f,0x6400000c,0xffb006ff,0x1ffcc0bf,
    0x03ffe200,0x40fffa80,0x6c004ffe,0x7d401fff,0xfff500ff,0xc80fe401,
    0x43ffffff,0xfcaaeffa,0xf91f881e,0x7dc03f21,0x4c0003ff,0xfff7004f,
    0x4f980007,0x07fff700,0x004f9800,0x7e473faa,0xfffc806f,0x1ffff901,
    0x07fff700,0x204f9800,0xfb85fffd,0x3ffee004,0x1fffd80f,0x3fffc800,
    0x7ffffd40,0xffffffff,0x7fffc0cf,0x00000005,0x0003ffea,0xff981be2,
    0x7ec000ff,0xeeffffff,0xb000bcee,0x3f600bff,0x7d41cfff,0xffa8003f,
    0x7ffd4005,0x0037fdc0,0x80bffff1,0xf300fffa,0x27cc05ff,0x039fff70,
    0x0bbffff6,0x643f25c8,0x9fff700f,0x04fa8000,0x009fff70,0x7004fa80,
    0x80009fff,0xfe9804fa,0x037fe40d,0x417fffe2,0x02fffff9,0x0027ffdc,
    0xfc813ea0,0x037cc7ff,0x21bfff20,0x005ffff8,0x803fffc8,0xfffffffa,
    0x5fffffff,0x0037ffec,0xff500000,0x5f90001f,0x03fffd80,0x7ffffd40,
    0xffffffff,0x7ffc00cf,0x5bffb004,0x3fffbfff,0x07ff2000,0x01fff500,
    0xea801ffd,0x6fffffff,0x201fff50,0x7403fff8,0x26001807,0x321f9801,
    0x2e01f90f,0x40004fff,0xff7003fa,0xfa80009f,0x9fff7003,0x03fa8000,
    0xfc827fcc,0xffff706f,0x2a1dffff,0xffffffff,0x09fff705,0x203fa800,
    0xf11ffffa,0xffe8001d,0x3fffa63f,0x000effff,0x7007fff9,0x5555311d,
    0x1fffb997,0x00ffffdc,0xfa800000,0x0ff0007f,0x00dfff50,0xffffff50,
    0xffffffff,0x03fff80b,0x262bffb0,0x40000acb,0xfa8006ff,0x07ff507f,
    0x7fd40000,0x027ffc07,0x00000fea,0x1f917600,0x7fd403f2,0x7dc0005f,
    0xbfff5002,0x02fb8000,0x00bfff50,0x2a02fb80,0x3ff205ff,0x00000006,
    0x005fffa8,0x36017dc0,0x03fd3fff,0x0ffff880,0x3f200000,0x0fd402ff,
    0x3e1fe400,0x00003fff,0x0dff5000,0x3339f500,0xff333333,0xeb8003ff,
    0xbaaaa988,0x00fffdcc,0x2005fff1,0x00005ffd,0x0005ff30,0x7f40dff5,
    0x2a000005,0x7fec06ff,0x001fc804,0x07ee0000,0x403f21f9,0x0007fff8,
    0xf88007ec,0x6c0007ff,0xfff1000f,0x0fd8000f,0xc80bffe0,0x320006ff,
    0x220000ad,0x40007fff,0x7fc400fd,0x8002fdef,0x2e03fffd,0xf90000bd,
    0x27cc03ff,0x5c3f8800,0x0000ffff,0x3ea001b0,0xffe8005f,0xffffffff,
    0x005fffff,0x320007ea,0x03ffa03f,0x002ffec0,0x004fd800,0x4c0bff50,
    0x000001ff,0xfc80bff5,0x01fd003f,0x3f700000,0x03f21f90,0x002ffff8,
    0xf800ff10,0x10002fff,0xfff800ff,0xff10002f,0x007ffcc0,0x2000dff9,
    0x001ffff8,0x00bfffe0,0xb803fc40,0x8004ffff,0x7406fff9,0xc8003fff,
    0x17f407ff,0xf81f8800,0x80004fff,0x3fee003c,0x56fcc004,0xaaaaaaaa,
    0x00ffffba,0x10004f98,0x03fec07f,0x000bffb0,0x000df300,0x2e027fdc,
    0x5000006f,0xffb809ff,0x01bf1001,0x0fe40000,0x01f90fc8,0x002fffdc,
    0x5c003fd8,0xb0005fff,0xffb8007f,0x7fb0005f,0x01fffd40,0x4000dffb,
    0x0005ffeb,0x0017ffee,0xfd001fec,0xfb0001ff,0xfda801ff,0x8199106f,
    0x3ee06ffc,0x0bb0006f,0x00bfffea,0x5c006b80,0x7ec001ff,0x7ffec001,
    0x002fe803,0x7cc03f10,0xbffb002f,0x1fb00000,0x0ffdc000,0x0001fec0,
    0x200ffdc0,0x74c005fd,0xc800001e,0x643f201f,0x7fff400f,0x037dc002,
    0x02fffe80,0x80037dc0,0x4002fffe,0x7fcc06fb,0xffff906f,0x3e200054,
    0x7f40007f,0x7dc002ff,0x7ffd4006,0x7ffdc006,0x07ffa001,0xff91bff6,
    0x67ffe403,0x01db1000,0x01ffffdc,0x5c407dc0,0x4005fc80,0xf98006f8,
    0x7fdc07ff,0x00bb0006,0x3fa00bf9,0x6c00005f,0x81b9801f,0x3f6005fc,
    0x81b88001,0x7fc405fc,0x3fd88000,0x3fd50000,0x1f90fc80,0x3ffff980,
    0x01ffd980,0x7ffff300,0x03ffb300,0x3fffe600,0x1ffd9803,0x77fffc40,
    0xffdeeb8a,0x88006cbf,0x4c0006ff,0x9803ffff,0x22001ffd,0x005ffefe,
    0x8003dff9,0xfff80ffe,0x300ffa2f,0x57bfffff,0xdfb75333,0xffff7001,
    0x1db3003b,0xe87fff10,0x17e4001f,0x2fffe800,0x033fff20,0x80076c40,
    0xffe800fe,0xdb100006,0x0fffe003,0xfb8003fd,0x27ffc001,0x5f9007fa,
    0xbefb8000,0x3fea8000,0x3f21f900,0xfffe8800,0xfdb99bce,0x40000eff,
    0xbcefffe8,0xefffdb99,0x7f440000,0xb99bceff,0x000efffd,0xfffffff7,
    0x3bfffea9,0x7fe44000,0xfe880002,0xb99bceff,0x000efffd,0xfffb8fec,
    0x3faa60ad,0xffb8003f,0x3ffff903,0x36600df3,0xffffffff,0x4002ffff,
    0xceffffe9,0xdffdb99a,0xdffff100,0x88003fd7,0x3ee0007f,0x3fe606ff,
    0x99abdfff,0x00efdba9,0xf3017e40,0x80003fff,0x3e2004e8,0x1fdbefff,
    0x005d3000,0x2fbfffe2,0x3b2201fd,0xd7100001,0xa98335bf,0x4003ffcb,
    0x001f90fc,0x3ffffae2,0x02efffff,0x3fae2000,0xffffffff,0x2200002e,
    0xffffffeb,0x8002efff,0x21effffb,0x000dffe8,0x0073bfaa,0xffeb8800,
    0xefffffff,0x83fc8002,0xfffffffb,0x22000cff,0x2202cffe,0x0cfffffe,
    0x7ffe4c00,0x00bdffff,0x3fff6e00,0x1cffffff,0xffffeb80,0x4fb8000d,
    0x3ffe2000,0x3ff6602f,0xffffffff,0x260002ff,0xffb912ed,0x009dffff,
    0x2a000760,0x00dffffe,0x5002c800,0x01bffffd,0x0002fb22,0x7ff6cc00,
    0x2cdfffff,0x321f9000,0xaa98000f,0x001abccc,0x6554c000,0x0001abcc,
    0x66554c00,0x40001abc,0x02600a98,0x00026200,0x32aa6000,0x0001abcc,
    0x9731012a,0x4c000157,0x565c4001,0x35300001,0x51000001,0x01359995,
    0x00013100,0x00017fc4,0x201bfffa,0xffffffc9,0x00000bdf,0x99999986,
    0x00001999,0x00131000,0x31000000,0x00011001,0x35310000,0x854c0000,
    0x000000a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9000000,0xfd80001f,0x4c003fff,
    0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x00dfffc9,0xfffff500,0x0000039f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff9000,0x2003dfff,0xfffffffa,0x00005fff,
    0x00166654,0x00000000,0x31000000,0x00000000,0x00000000,0x3332e000,
    0x00000001,0x00000000,0x55510000,0x55000015,0x00000155,0x00000000,
    0x20000000,0x0000cccc,0x00001800,0x00000000,0x03ccc980,0x2aaaa200,
    0x0002aaaa,0x00000000,0x3fffe200,0x0000000f,0x7c1fff90,0x000004ff,
    0x017ef64c,0x2fffe400,0xffd80000,0x0000005f,0x037fffcc,0x7cc00000,
    0x00001fff,0x009fffb0,0x17ffee00,0x3ffe6000,0x8000004f,0x0006fffc,
    0x5fffc800,0x3ee00000,0x00004fff,0x19fff710,0x4c000000,0x0001ffff,
    0x3ffffd00,0x3ffee000,0x006fffff,0x00000000,0x3fff2000,0x000004ff,
    0x4c5ffd00,0x00000fff,0x37cd3e60,0x77ffc000,0x3a000000,0x000007ff,
    0x7fffff40,0x40000002,0x0002fffb,0x0bfff100,0x37ff4000,0xfffd8000,
    0x000001ff,0x00077ff4,0xfffd8000,0xf8800000,0x001fffff,0xb8bfc800,
    0x0000005e,0x000bffee,0x7fffdc00,0xff70005f,0x0555555d,0x3ffe6000,
    0x003fff23,0x3fe60000,0x000fffaa,0x5ff80000,0x00017fd4,0x2e1fd100,
    0x7cc0007f,0x000000ff,0x000fff44,0x9ffa8000,0x00006ffb,0x01fff400,
    0xdff50000,0x3e200001,0xa80000ef,0x05ffdbff,0x3fe20000,0x0000001f,
    0x000bffa2,0x323bf200,0x800005ff,0x0007d43f,0x3ffe8000,0xff100000,
    0x005ffd39,0x000bff70,0x46ffa800,0x00003ffd,0x7445fb00,0x0000005f,
    0x3f207fcc,0x5c000005,0x0006e25f,0x0003ff90,0x13fe6000,0x7f400000,
    0x000ffe61,0x2ffc4000,0x3f600000,0x2e00000f,0xd00001ff,0x017fdc5f,
    0x1ffb8000,0x88000000,0x400004ff,0x3fea0ef9,0x3ea00002,0x00003f80,
    0x004ff880,0x88ff2000,0xfb8006fd,0x4000005f,0x37fc1ffc,0xfa800000,
    0x0003f901,0x41fdc000,0x000000fd,0x000027fc,0x000017f4,0x001bea00,
    0x203ae000,0x00000fd8,0x0005fa80,0x001ff800,0x000fec00,0xfa81fb80,
    0xfb000006,0x00000007,0x00003fcc,0x0374c176,0x985f1000,0x8000001f,
    0x000005fb,0x1fdc0fe2,0x017fee00,0x89fb0000,0x00001ff8,0x6b803d00,
    0x32000000,0x00007f06,0x002ffa80,0x001fc400,0x1fb80000,0x3a200000,
    0x0002e400,0x00076c00,0x00be6000,0x000be000,0xd100f440,0xf8800007,
    0x00000004,0x00001fa8,0x03d880b5,0x447b6000,0x0000006d,0x000001db,
    0x03a6016c,0x005ffb80,0x5437c000,0x0000004f,0x00260011,0x40f40000,
    0x80000068,0x00001ffd,0x0000025c,0x0000f200,0x03000980,0x01d00000,
    0x07900000,0x00730000,0x3800cc00,0x02d40000,0x90000000,0x00600009,
    0x26000028,0x002efefe,0x001d0000,0x10018000,0x2ffdc003,0x5f100000,
    0x00001d70,0x00000000,0x02008000,0xff100000,0x0100000f,0x20000000,
    0x00000000,0x20000000,0x10000000,0x00000000,0x00000000,0x00000100,
    0x00010000,0x00000000,0x0000b260,0x00001000,0x40000000,0x00005ffb,
    0x016c16a0,0x00000000,0x20000000,0x00000198,0x000dff90,0x00066200,
    0x03310000,0x98800000,0x0310099a,0x00000000,0x50066200,0x00000000,
    0x00000000,0x00000000,0x31000000,0x00002803,0x80000000,0x00c01a98,
    0x20000000,0x00005ffb,0x00040220,0xcccccc98,0x32e0cccc,0xcccccccc,
    0x3333201c,0x2002cccc,0xfffffdc9,0x00000ace,0x002fffcc,0xfffdc980,
    0x000aceff,0x3ff72600,0x00acefff,0x7ff54000,0x1befffff,0x6665412a,
    0x8002cccc,0xccccccc8,0xff9102cc,0x2159dfff,0x55554c69,0x5500aaaa,
    0x2a615555,0x0aaaaaaa,0x15555550,0x3333332e,0x402ccccc,0xccccccc9,
    0x999973cc,0x59999999,0xccccc980,0x9103cccc,0x59dfffff,0x99971a61,
    0x99999999,0xcccc9805,0x003ccccc,0x3ffffae2,0x3e20beff,0x33333220,
    0x04cccccc,0x99999997,0x3ee39999,0x0000005f,0x5cc40000,0x0bffffff,
    0x7fffecc4,0x4c400aff,0x00adfffd,0xaceffd88,0x1effdca9,0x7ee54000,
    0x0cccefff,0x77fec400,0xffdca9ac,0x6c40001e,0xca9aceff,0x0001effd,
    0xbdffffc8,0xeffdba99,0xd53105ec,0x003fffff,0x3bfff6a0,0x9fff5009,
    0xdffffb77,0xfffea8df,0xb500beff,0x3aa1bfff,0x0befffff,0x1bfffb50,
    0x7ffff5c4,0x2a0009df,0x40affffd,0xfffffeb8,0x36a0009d,0x500affff,
    0xfb779fff,0x10dfdfff,0xbfffffd7,0x7ed40013,0x1000afff,0x355bfff9,
    0xb7bff975,0xfff9303f,0x88037fff,0xcfffffeb,0x017fee0a,0x99999970,
    0x80599999,0xccccccc9,0xfffb83cc,0xfffd803f,0x6ff8003f,0x07ffee00,
    0x007ffd30,0x7ff77640,0x4006eeef,0x4c01fffb,0x70003ffe,0xe9803fff,
    0xd10003ff,0xd3003dff,0x2e00dfff,0x000effff,0xf501ff20,0x3fa601bf,
    0xfffb06ff,0x0ffe001f,0x007fffec,0x3e203ff8,0x40006fff,0x7c401ffc,
    0x40006fff,0x3ea01ffc,0xffd300df,0x7ffc40df,0x7e40006f,0x3fea001f,
    0x7e4400cf,0x3ee01fff,0x44002fff,0xf705ffff,0xd71000bf,0x13bfffff,
    0x7ffed400,0x3ffe00af,0xfff9803f,0x1ff8002f,0x01dffb00,0x03bff620,
    0x1fff5000,0x3bff6000,0xdffb1000,0x77fec001,0xdffb1000,0x7ffcc001,
    0x7fdc000e,0x3ffee006,0x3ea0005f,0x01bfe205,0x441bffa2,0x8800ffff,
    0x3ffe206f,0x06f8800f,0x004fffd8,0xd8037d40,0x40004fff,0x3fe206fa,
    0x6ffe8806,0x027ffec0,0x801bea00,0x4002fffc,0x2602fffa,0xd0007fff,
    0x3ee05fff,0x3e20005f,0x40006fff,0xfc801ffc,0xffb005ff,0x5f88009f,
    0x01fff900,0x00dffd00,0x006ffc80,0x001fff90,0x200dffd0,0x8000fffc,
    0xf3006ffe,0x64000bff,0x7ff4007f,0xf30004ff,0x017fec09,0x7d40dfb0,
    0x3fa803ff,0x01fffd40,0x7e401fd4,0x4c0003ff,0xfff9005f,0x5f980007,
    0x800bff60,0x7fe406fd,0x7cc0003f,0x5fff9005,0x0bfee000,0x007fff98,
    0x205fffb0,0x40005ffb,0x0004fffd,0xf98037d4,0xfa800fff,0x7d4006ff,
    0x4fff9803,0x7fff7000,0x2fff4000,0x27ffcc00,0x3fffb800,0x027ffcc0,
    0x03fffb80,0x0037ffc4,0x3a003f40,0x002fffff,0x3fe04f98,0x1be2000f,
    0xd00dffd0,0xdffd001f,0x9001fd00,0x80007fff,0xff9005f9,0xf980007f,
    0x003ffe05,0x7e406f88,0x4c0003ff,0xfff9805f,0x1fe40005,0x00dfff10,
    0x407fff60,0x40005ffb,0x0003fffc,0xfd002fcc,0x3fe005ff,0x3f6001ff,
    0x7fffc400,0x3ffe0000,0xff88001f,0x7fc4003f,0x3e0000ff,0xff101fff,
    0x7c0001ff,0x3f601fff,0xa80002ff,0x3bfa000f,0x4001ffff,0xfff104f9,
    0x406e8005,0x2601fffa,0xfff5004f,0x8027cc03,0x0003fffc,0xfc802fcc,
    0x4c0003ff,0x5fff105f,0x6406e800,0x40003fff,0x7f4405f9,0x440000ff,
    0x3ffe203f,0xfffb0006,0x017fee03,0x07fff900,0x005f9800,0x4017ffee,
    0x1003fffd,0xfffb00bf,0xffb80009,0xffa8006f,0x7fec001f,0x7dc0004f,
    0xfffb06ff,0xffb80009,0xdfff506f,0x00f40000,0xffff1fd0,0x27cc001f,
    0x005fff98,0x7ff4035c,0x8007f205,0x3f205ffe,0x7fff9001,0x05f98000,
    0x007fff90,0xf305f980,0x6b800bff,0x01fffe40,0x9017e600,0x00009fff,
    0xfff88136,0xfffb0006,0x017fee03,0x07fff900,0x005f9800,0x003fffe2,
    0x401bffea,0x7fcc02fb,0xf80000ff,0x64003fff,0x7cc007ff,0x80000fff,
    0x7cc3ffff,0x80000fff,0xfe83ffff,0x200003ff,0x55fa001a,0x2006ffff,
    0x3ffe04f9,0x01a6003f,0x7c07ffee,0x7ffdc006,0x6400df01,0x40003fff,
    0xff9005f9,0xf980007f,0x0ffffe05,0x7e406980,0x4c0003ff,0x7fffc05f,
    0x09300002,0x0037ffc4,0x701fffd8,0xc8000bff,0x40003fff,0x7ec005f9,
    0xffc803ff,0x0fd801ff,0x03fffdc0,0x5fffe800,0x02fff400,0x01fffee0,
    0x2ffff400,0x001fffee,0x22ffff40,0x0007fff9,0x73f40000,0x2009ffff,
    0x3ff604f9,0x00e004ff,0x7d42fffc,0x5fff8003,0x32003fa8,0x40003fff,
    0xff9005f9,0xf980007f,0x3ffff605,0xf900e004,0x980007ff,0x3ffea05f,
    0x0600000f,0x006fff88,0x203fffb0,0x40005ffb,0x0003fffc,0x2a002fcc,
    0xfe805fff,0x7c404fff,0x6fffd805,0xfffb0000,0x3fff800f,0x37ffec00,
    0xfffd8000,0x037ffec7,0x7fffd800,0x0037ffe4,0x1fa00000,0x007ffff9,
    0x7fd409f3,0x0001efff,0xd07ffee0,0xff70001f,0x000fe83f,0x000ffff2,
    0x3200bf30,0x40003fff,0x3fea05f9,0x0001efff,0x003fffc8,0xfb02fcc0,
    0x00000dff,0x037ffc40,0x01fffd80,0x8000bff7,0x0003fffc,0x22002fcc,
    0x2600ffff,0x407fffef,0xffe802fb,0xf900005f,0x26001fff,0x74001fff,
    0x00005fff,0x741ffff9,0x00005fff,0x7c1ffff9,0x00005fff,0x743f4000,
    0x4c01ffff,0x7ffe404f,0x0000cfff,0x265fff88,0xff10004f,0x0027ccbf,
    0x000ffff2,0x3200bf30,0x40003fff,0x7fe405f9,0x000cffff,0x00ffff20,
    0x7c0bf300,0x00004fff,0x1bffe200,0x0fffec00,0x0005ffb8,0x001fffe4,
    0x20017e60,0x3203fffd,0x01fffe9f,0xff1003f6,0x200009ff,0x001ffffb,
    0x8800fff7,0x0004ffff,0x23ffff70,0x004ffff8,0x3ffff700,0x013fffe2,
    0xfd000000,0x1fffff10,0x6c027cc0,0x3fffffff,0xfffc8000,0x40003f90,
    0x3f90fffc,0x3fffc800,0x02fcc000,0x003fffc8,0x6c02fcc0,0x3fffffff,
    0x7fff9000,0x05f98000,0x009ffff1,0x7fc40000,0xffb0006f,0x17fee03f,
    0x7fff9000,0x05f98000,0x06fffa80,0x27ffddbe,0xf9805f88,0x00003fff,
    0x007ffff5,0x30017ff6,0x0007ffff,0x4ffffea0,0x003ffff9,0x7ffff500,
    0x00ffffe6,0x33333260,0x402ccccc,0xffff307e,0x8027cc0d,0xfffffffc,
    0x3e20002e,0x000df4ff,0xdf4fff88,0x7fff9000,0x05f98000,0x007fff90,
    0x9005f980,0xdfffffff,0xfffc8005,0x2fcc0003,0x03ffff98,0x3e200000,
    0xaaaaafff,0xaaaaaaaa,0xf701fffe,0xfc8000bf,0x4c0003ff,0xfff0005f,
    0x229f301f,0x5f707fff,0x5ffff500,0x3fe60000,0xfff004ff,0xfffa8007,
    0xf300002f,0x3fea9fff,0x300002ff,0x3ea9ffff,0x88002fff,0xfffffea9,
    0x03f4009d,0x20bffff5,0x3a6004f9,0xdfffffff,0xfff90000,0x900005f9,
    0x005f9fff,0x007fff90,0x9005f980,0x80007fff,0x3a6005f9,0xdfffffff,
    0x7fff9000,0x05f98000,0x007ffff5,0x7fc40000,0xffffffff,0xffffffff,
    0xff701fff,0xffc8000b,0x7cc0003f,0xfff90005,0x7f43f907,0x007e82ff,
    0x007ffff5,0x3fffe600,0x1fff8803,0x7fffd400,0xff300003,0x3ffea7ff,
    0xf300003f,0x3fea7fff,0x440003ff,0x2006ffff,0x7ffe407e,0x004f983f,
    0xffffffb8,0xf88002ff,0x00007fff,0x00fffff1,0x00ffff20,0x200bf300,
    0x0003fffc,0x5c002fcc,0xffffffff,0x3fffc802,0x82fcc000,0x002ffffa,
    0x3fe20000,0x999999ff,0xe9999999,0xff701fff,0xffc8000b,0x7cc0003f,
    0xfff30005,0xffb8df0d,0x8027c45f,0x004ffff8,0x3ffff500,0x00fff500,
    0x09ffff10,0x3ffea000,0x9ffff11f,0x3fea0000,0xffff31ff,0xffb00009,
    0x03f4009f,0x217fffec,0xb10004f9,0x5fffffff,0x9fff9000,0x7fe40000,
    0xff90004f,0xf980007f,0x7fff9005,0x05f98000,0xffffb100,0xfc805fff,
    0x4c0003ff,0xffff305f,0x40000007,0x0006fff8,0x2e03fffb,0x640005ff,
    0x40003fff,0x3a0005f9,0x0fea1fff,0x5c1ffff1,0x3ffe002f,0xf700005f,
    0xf9001fff,0x3fe000bf,0x700005ff,0x7fc1ffff,0x700005ff,0x3e21ffff,
    0x80005fff,0x2003fffd,0xffe8807e,0x013e61ff,0xffffd300,0xf98003ff,
    0x200001ff,0x0001fff9,0x0007fff9,0xf9005f98,0x980007ff,0x74c0005f,
    0x01ffffff,0x000ffff2,0x3e20bf30,0x00004fff,0x1bffe200,0x0fffec00,
    0x0005ffb8,0x001fffe4,0x80017e60,0x3f64fffc,0x22fffd80,0x7ff4007e,
    0xf900006f,0x3f600fff,0xffd0002f,0x320000df,0x7ff47fff,0xf900006f,
    0xffff8fff,0xffc80006,0x01fa003f,0x877fffcc,0x700004f9,0x00ffffff,
    0x0000dfb0,0x4000dfb0,0x0003fffb,0xfb8027cc,0x4c0003ff,0xf700004f,
    0x5c0fffff,0x40003fff,0x3ffe04f9,0x0000005f,0x001bffe2,0xb80fffec,
    0x640005ff,0x40003fff,0x260005f9,0x0df16fff,0x7c57ffea,0x7ffe4004,
    0xffb00007,0x3ffe00bf,0xfff90000,0x3f60000f,0x7ffe45ff,0xffb00007,
    0xffffd8bf,0x7fe40001,0x01fa003f,0x35ffffa8,0x2000409f,0x01fffff8,
    0x00017dc0,0x00017dc0,0x0009fff7,0xf7004fa8,0xa80009ff,0x1000204f,
    0x203fffff,0x0004fffb,0xffb027d4,0x000000df,0x0037ffc4,0x701fffd8,
    0xb8000bff,0x40003fff,0x740004f9,0x03fa9fff,0xf71ffff1,0xfffb8003,
    0xfe80000f,0xff8803ff,0x3fee0005,0xe80000ff,0x7fdc3fff,0xe80000ff,
    0x7fd43fff,0x640004ff,0x3a003fff,0x7ffdc007,0x1e04f9cf,0x3fffe600,
    0x003f4003,0x0007e800,0x0027ffdc,0x5c00fea0,0x40004fff,0x001e03fa,
    0x40ffffe6,0x0004fffb,0xff701fd4,0x000003ff,0x01bffe20,0x80fffec0,
    0x40005ffb,0x0004fffb,0x200027d4,0x0fdcfffb,0x3affff60,0xfffd0007,
    0xff880007,0x5ff5006f,0xfffe8000,0x7fc40003,0x7fffd06f,0xfff88000,
    0x0dfffd06,0x3fffc800,0x2001fa00,0x4fcffffd,0x2e0003e0,0x26005fff,
    0x9800004f,0x7d40004f,0x5c0005ff,0xfff5002f,0x2fb8000b,0x2e0003e0,
    0xff505fff,0xfb8000bf,0x1ffffc02,0xf8800000,0xfb0006ff,0x3fee03ff,
    0x7fdc0005,0x7d40004f,0x7fc40003,0x7d405fff,0x0004ffff,0x000ffff3,
    0x001fffc8,0x30000ff9,0x8000ffff,0xf301fffc,0xc8000fff,0xff301fff,
    0x640007ff,0x3a003fff,0xfffd0007,0x017c09ff,0x027ffcc0,0x00001fb0,
    0x80001fb0,0x0007fff8,0xf88007ec,0x6c0007ff,0x000be00f,0x4413ffe6,
    0x40007fff,0x7fdc00fd,0xb00000ff,0x1bffe201,0x0fffec00,0x0005ffb8,
    0x002fffd4,0x0000bee0,0x00bffff6,0x007ffffe,0x03fffd80,0x09fff100,
    0x00027f40,0x003fffd8,0x809fff10,0x0003fffd,0xd809fff1,0x0000ffff,
    0x4007fff9,0xff10007e,0x37c09fff,0x02fff800,0x0000bf30,0x0000bf30,
    0x000bfffe,0x3e003fc4,0x10002fff,0x006f80ff,0x7c05fff0,0x10002fff,
    0x3ffe00ff,0x3c80004f,0x01bffe20,0x80fffec0,0x40005ffb,0x0007fff8,
    0x400007ec,0x800ffffa,0x0007fffc,0x003fffc4,0x000fffc8,0x00001ff1,
    0x001fffe2,0x2007ffe4,0x0007fff8,0x8801fff9,0x0005fffe,0x4007fff9,
    0x3e60007f,0x3fe04fff,0x7ffcc002,0x003fd000,0x003fd000,0x17ffee00,
    0x001fec00,0x0017ffee,0x3fe01fec,0x7ffcc002,0x17ffee00,0x801fec00,
    0x002ffffa,0xff101ae0,0x3f6000ff,0xbff702ff,0xffff0000,0x1fe20005,
    0x7ffc4000,0x9fff3005,0xfff50000,0xfffb8009,0x7e47d301,0x7d400003,
    0x7dc004ff,0xff5001ff,0xffb8009f,0xffd1001f,0xff9000bf,0x03fc007f,
    0x13ffee00,0x2002fff8,0x7ec44ffd,0x005fd9bd,0x26f7f620,0x400005fd,
    0x4002fffe,0xfd0006fb,0xfb8005ff,0x02fff806,0x2013ff60,0x4002fffe,
    0x7dc006fb,0xb8003fff,0x7ffcc00f,0xfffd0007,0x017fee05,0x17ffee00,
    0x001fec00,0x005ffb00,0x0000fffc,0x00dffe88,0x200dffd8,0x00df16fe,
    0x3ffa2000,0xdffd800d,0x7ff44000,0xdffd800d,0x7ff44000,0x3f6000ef,
    0xff1003ff,0xffc80003,0x0ffffe04,0x321bfee0,0x0effffff,0x3fff2000,
    0x0000efff,0x1ffffcc0,0x00ffecc0,0x3ffff980,0x01ffd980,0x803ffff8,
    0xf3006ffb,0xb3007fff,0xf70003ff,0x3003bfff,0xff5001db,0xf88001ff,
    0xff703fff,0x3fa0000b,0x7dc002ff,0x7d400006,0x037e4007,0x77fdc000,
    0x3fae621b,0x9dfd803f,0x000000ee,0x10df7fdc,0x007ffd73,0x1beffb80,
    0x0fffae62,0xffff5000,0x3ff2603b,0xd8800bef,0x40002dff,0x3ffe04fd,
    0x530bdeff,0xf701bffd,0x001dffff,0xfffffb80,0x1000000e,0x379dfffd,
    0x1dfffb73,0xffe88000,0xdb99bcef,0xf000efff,0x17bdffff,0x037ffaa6,
    0xefffe880,0xffdb99bc,0x260000ef,0xaceffffe,0x0dffdb99,0xffffe980,
    0x3ff6000e,0xffb82fff,0x06ffffff,0x1ffffcc0,0x00ffecc0,0x0027c000,
    0x000013e6,0x77fff6cc,0x001cefff,0x0009dfb3,0x7f6cc000,0xcefffeff,
    0xdb300001,0xdfffdfff,0x5c000039,0xfefffffd,0x002dffff,0xffffffdb,
    0x3a2000df,0x32a27e04,0xffffffff,0x7ffec02f,0xfb00000c,0x000019ff,
    0xfffeb880,0x2effffff,0x3ae20000,0xffffffff,0x4fc002ef,0xfffffca8,
    0x0002ffff,0xfffffd71,0x005dffff,0x7ffedc00,0x1cffffff,0x7fff74c0,
    0x06efffff,0xffffffdb,0x3265dfff,0x3ccccccc,0xfffe8800,0xfdb99bce,
    0x00000eff,0x19000370,0x31000000,0x00003797,0x80000000,0x001bcb98,
    0xcb988000,0x0000001b,0x35799755,0x00000003,0x81c03100,0x01abccb9,
    0x00002620,0x00002620,0x32aa6000,0x0001abcc,0x66554c00,0x70001abc,
    0x2af32e60,0x2a600001,0x01abccca,0x2aa20000,0x0009accc,0x00000000,
    0xb8800000,0xfffffffe,0x00002eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5e66554c,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0xcccccccc,0x0002cccc,0x00000000,
    0x30000000,0x00007999,0x06200000,0x00000c40,0x00000000,0x00d88000,
    0x000001c8,0x20000000,0x00000198,0x017fff60,0x00000000,0x0f332200,
    0xd8000000,0x40003eee,0xccccccc9,0xcccccccc,0x4ccccccc,0x5400ec00,
    0x003b0003,0x13100093,0x3ffa6000,0xaaacffff,0x0001aafd,0x0013fffa,
    0x3fff2000,0xd0000006,0x0003ffff,0x03ffff80,0xd800f880,0xfb000003,
    0x80000bff,0x00003fd8,0x02e403d9,0x3ffa2000,0x2000003f,0xffffedba,
    0x000002ce,0x03fffff3,0x3fa00000,0xb00004ff,0x0005ffff,0xfff10000,
    0xff50000d,0xffffffff,0xffffffff,0x001fffff,0x0d5017cc,0x501fcc00,
    0x7fdc001f,0x2a001efd,0xffffffff,0x40003642,0x0005fff8,0x1dffd000,
    0xf7000000,0x000bffff,0x027ffcc0,0x8837df00,0x00001fda,0x001fffa0,
    0x03fff900,0x05ff1000,0x000001fb,0x000bfff1,0xbdffb100,0xdfffd757,
    0xfe800003,0x0006ffee,0x5fff8800,0xfff30000,0x00000dff,0x01dff700,
    0x5bff7000,0xffd33333,0x7533337f,0xd8001ffd,0x002fb84f,0x2a06fe40,
    0x0bba003f,0xff5007fd,0x5fffffff,0xb80006c8,0x00000eff,0x00fff980,
    0xff880000,0x002ffe9c,0x00bff700,0xeffffa80,0x0005ffff,0x17ff4400,
    0xfffb0000,0x3ee00003,0x007fb14f,0x7ffcc000,0x3ea00000,0x3aa202ff,
    0x500003ff,0x0bff61df,0xff700000,0x7f40000d,0x003ffd8d,0x7fec0000,
    0x9f700001,0x01fffd80,0x10007fa2,0x1bf21dff,0x3bfe2000,0x6400df71,
    0x01ffa82f,0x3fffffea,0x3642ffff,0x07fec000,0xfb800000,0x0000001f,
    0x37ec47f9,0x0efe8000,0xfffc8000,0x000effff,0x4ff88000,0x3fa60000,
    0x7f400004,0x0007feef,0x02ffa800,0x1dff9000,0x37ffa200,0x07740000,
    0x00003fee,0x000efd80,0xfc89f500,0x0000000f,0x800007fe,0xfffd806b,
    0x000fc401,0x7fefffe4,0xff700001,0x2005ff9f,0x7ff507f8,0x7ffffe40,
    0x642fffff,0x1ff80006,0x3a000000,0x0000002f,0x0fee07f1,0x01ff1000,
    0x7ffdc000,0x000004ff,0x0003fcc0,0x40000040,0x02fffff9,0xbf900000,
    0xfffb0000,0xfff88001,0x036e0006,0x000027cc,0x0001ff88,0x27d413e0,
    0xfa800000,0x26400003,0x00fffec0,0x7c4000ec,0x0005ffff,0x37ffff40,
    0x2e0bf500,0x3ffa04ff,0xffffffff,0x20003642,0x000002fa,0x00013e20,
    0x4c02d800,0x3ee0000e,0x98800001,0x0000009a,0x0003f700,0x20000000,
    0x0006fffd,0x003ec000,0x013ffea0,0x01fffd40,0x6c402c40,0xfa800000,
    0x0ee00002,0x00003d30,0x00009900,0xffb00390,0x0057003f,0x03fffea0,
    0xfff50000,0x3fe4003f,0xf101ff98,0xffffffff,0x006c85ff,0x00001e40,
    0x00016a00,0x22003000,0x00b60001,0x00000000,0x01320000,0x00000000,
    0x00000000,0xf10001e8,0x40001fff,0x0000fffe,0x80000000,0x0c00003c,
    0x00001880,0x00000280,0x0fffec00,0x00000000,0x40000000,0x01102ffb,
    0x7fffffcc,0x642fffff,0x00040006,0x00040000,0x00000000,0x00001000,
    0x00000000,0x00000400,0x00000000,0x11000000,0x3fff2000,0x7fdc0004,
    0x9880006f,0x10000001,0x00000000,0x00000000,0xfb000000,0x000003ff,
    0x00003310,0x05006620,0x0007ffe6,0x7ffffffc,0x3642ffff,0x00000000,
    0x00005000,0x00000000,0x6665c000,0xcccccccc,0x66664402,0x003ccccc,
    0x00000280,0x33332e00,0x2ccccccc,0x666664c0,0x0003cccc,0xfff30000,
    0xf880001f,0x4c003fff,0xefffffdc,0x000000ac,0x75c40000,0x00000007,
    0x00000000,0x007fff60,0x3f726000,0x0aceffff,0xfff91000,0x26159dff,
    0x07fffa06,0x3ffff600,0x42ffffff,0x6664c06c,0xcccccccc,0xcccccccc,
    0xf980002c,0x66540001,0xcccccccc,0x6664c02c,0x72cccccc,0x99999999,
    0x75c43999,0x09dfffff,0x3fff6a00,0x980000af,0x0000001f,0x3fffae20,
    0x20009dff,0x0affffda,0x66666664,0xcccccccc,0x04cccccc,0x000ffff9,
    0x017fffa0,0x5677fec4,0x1effdca9,0x99999900,0x99999999,0x99999999,
    0x1ffff260,0x2e000000,0xcccccccc,0xcccccccc,0x03cccccc,0x07fff600,
    0xffd88000,0xfdca9ace,0x7d4001ef,0xffdbbcff,0x2606feff,0x4002ffff,
    0xfffffffb,0x03642fff,0x3fffffea,0xffffffff,0x00ffffff,0x004fc800,
    0x7fff4c40,0x001bffff,0x9fffff73,0xfffeb983,0x3e201cff,0x40006fff,
    0x00001ffc,0x000013f2,0x7c400fb3,0x40006fff,0x32601ffc,0xeeefffff,
    0xfffeeeee,0xfffb07ff,0x3f20000d,0xffb806ff,0x7ff4c01f,0xfff93003,
    0xddddddff,0xffffffdd,0xffffdd70,0x10000000,0xfffffd73,0xddddddff,
    0x0bffffdd,0x0fffec00,0xfffb8000,0x1fff4c01,0x00dffa80,0x80dfffd3,
    0x003ffffb,0x3fffffe2,0x3642ffff,0x06b3fee0,0x17fffd40,0x7ffc4000,
    0xff700000,0x20009fff,0x4401fffc,0xb004ffff,0x80009fff,0x200006f9,
    0x0000fff8,0x03fff5c4,0x013fff60,0x200df500,0x2007fffa,0xff80ffc8,
    0x700005ff,0x6c01ffff,0xb1000eff,0x2a001dff,0x22007fff,0x3fa00ffc,
    0x0000007f,0x7fe7fcc0,0xdfb1005f,0x7ffec000,0xffd80001,0xffb1000e,
    0x37fc401d,0x037ff440,0x17ffffea,0xffffe880,0x3642ffff,0x1000bee0,
    0x000bffff,0x00fffee0,0xffffc800,0x3ff70003,0x0bfffa00,0x01fffe40,
    0x0017e600,0x03fffb80,0x3fffee00,0x7fe4007f,0x7cc0003f,0xffff1005,
    0x881f9000,0x0004ffff,0x03ffff50,0x0003fff2,0x4401bffa,0xc8007fff,
    0x1fff200f,0x30000000,0x0bfff5df,0x20006d80,0x0001fffd,0x0007ffe4,
    0xfb037ff4,0x37ec005f,0xfff71d70,0x3a2001df,0x2fffffff,0x01720364,
    0x03bfff60,0x7fff4000,0x7f400006,0xfd0006ff,0x7fff4007,0x7fff9001,
    0x05f88000,0x3fffa000,0xfe820006,0x7fe4007f,0x7cc0003f,0x1fffe005,
    0xf307e200,0x00007fff,0x20bfffea,0x0004fff9,0x2007fff7,0x88007fff,
    0x1ffee01f,0x90000000,0x0bfff53f,0x20007a80,0x0001fffd,0x0013ffe6,
    0xf81fffdc,0x3e2000ff,0xffa8b706,0x2a2006ff,0x42fffffd,0x0016c06c,
    0x007fffee,0x7fffd400,0x2600002f,0x4003ffff,0x7f4005fa,0xff9001ff,
    0xf880007f,0xff500005,0x00005fff,0xc800fff9,0x40003fff,0x3fe005f9,
    0x83b0007f,0x002ffffa,0x9ffff300,0x00ffff88,0x07fffe00,0x001fffe0,
    0xfff700ec,0x40000000,0xbfff55f8,0x4000f000,0x0001fffd,0x001ffff1,
    0x20ffffc0,0x4002fff8,0x980fb86e,0x0005fffe,0x0d90bea6,0x3e2000d8,
    0x00004fff,0x17fff7f6,0xfff90000,0x07f4003f,0x07fffa00,0x01fffe40,
    0x0017e200,0x7ffefec0,0xffb80005,0x7ffe4007,0x2fcc0003,0x00ffff00,
    0xfff502a0,0x2600007f,0x7ec3ffff,0x5c0004ff,0xff806fff,0x0150007f,
    0x0003ffdc,0x23f90000,0x8005fffa,0x3ff60003,0xffb0001f,0xfb80009f,
    0x7ffcc6ff,0x7435c005,0x3fffa205,0x0be20002,0x400280d9,0x0006fffe,
    0x3fe3be20,0x400000ff,0x9006fffe,0xffd0007f,0x3ff2003f,0x7c40003f,
    0xef880005,0x000ffff8,0x003ffdc0,0x000ffff2,0x7c00bf30,0x200007ff,
    0x004ffff9,0x5ffff500,0x007fffcc,0x1ffffc00,0x001fffe0,0x03ffdc00,
    0xf8800000,0x017ffea5,0xffb00000,0xff30003f,0xf00001ff,0xfff87fff,
    0x11a6003f,0x9ffd007f,0x217c4000,0x3200006c,0x0001ffff,0x7fecbf20,
    0x4c00004f,0x4c03ffff,0xffd0006f,0x3ff2003f,0x7c40003f,0x2fc80005,
    0x0009fffb,0x4007ffb8,0x0003fffc,0xff002fcc,0x4c0000ff,0x0005ffff,
    0x43ffff70,0x0007fffb,0x80bfffd0,0x00007fff,0x000fff70,0x87f20000,
    0x0005fffa,0x7ffec000,0xfffb8001,0xffd00007,0xffffd8bf,0xbf70e004,
    0x00fff100,0x1b217c40,0x7ffcc000,0x2200003f,0x1fffe67f,0x3ff20000,
    0x07fa00ff,0x0ffff400,0x03fffc80,0x002fc400,0xff99fe20,0x7dc0007f,
    0x7fe4007f,0x7cc0003f,0x1fffe005,0x3e204980,0x00006fff,0x6c1ffff9,
    0x00006fff,0xf80ffffb,0x126007ff,0x223ffdc0,0x0002ceda,0x3ea2fc40,
    0x075005ff,0x3fffb000,0xdfffb000,0x3ff60000,0x7fffd47f,0xfc8001ef,
    0x03ff7007,0xd90be200,0xffd10000,0xb80000bf,0x17fff43f,0x7ff40000,
    0x007f705f,0x00ffff40,0x003fffc8,0x0002fc40,0xfffd0fee,0x7fdc0005,
    0x7ffe4007,0x2fcc0003,0x00ffff00,0x3ff60254,0xfb00007f,0xfffe8dff,
    0xff900005,0x7ffc01ff,0x4012a007,0x3fe67ffb,0x0005ffff,0xff507f20,
    0x00ee00bf,0x07fff600,0x17fffa00,0x7ffe4000,0x7fffe40f,0x2a000cff,
    0xff8803ff,0x85f10000,0xfc80006c,0x00000fff,0x3fee07f4,0x9800006f,
    0x7c42ffff,0x7ff40006,0xfff9001f,0x5f880007,0x207f4000,0x0006fffb,
    0x9001ffee,0x80007fff,0x3fe005f9,0x0136007f,0x001ffff7,0x47fffd00,
    0x004ffff8,0x3ffff700,0x003fffc0,0x3fee009b,0xffbbff57,0x300003ff,
    0xbfff50bf,0x0000fa00,0x0007fff6,0x009ffff1,0x3fffee00,0xfffffd81,
    0xff1003ff,0x00dd005f,0x1b217c40,0xffff5000,0xf9800005,0x03ffff04,
    0xfff90000,0x000fec1f,0x007fffa0,0x001fffe4,0x80017e20,0xffff04f9,
    0x3fee0003,0x7ffe4007,0x2fcc0003,0x00ffff00,0xff1013ee,0x880007ff,
    0x7fcc6fff,0x500003ff,0x7c07ffff,0x9f7007ff,0x2bffee00,0x37ffc42f,
    0x407ec000,0x4405fffa,0xd80003fd,0x4c001fff,0x0003ffff,0x07ffff50,
    0x3ffffff2,0xffd802ef,0x0027c02f,0x06c85f10,0x3fffe200,0xfd800005,
    0x09fff901,0xffd10000,0x0013eabf,0x007fffa0,0x001fffe4,0x80017e20,
    0xfff901fd,0x3fee0009,0x7ffe4007,0x2fcc0003,0xddffff00,0xffdddddd,
    0xfff7009f,0xffc8000f,0x7fffd43f,0xff300002,0x7ffc09ff,0xeeeeeeef,
    0x7004fffe,0x2e03dfff,0x20001fff,0xfff504f9,0xfddddddf,0x00007fff,
    0x8003fffb,0x002ffffa,0x9ffff300,0x7ffff4c0,0x2600dfff,0xf503ffff,
    0x17c40003,0xfd8001b2,0x00000fff,0xff3037c4,0x000001ff,0xff7ffff5,
    0xffd00001,0x3ff2003f,0x7c40003f,0x0df10005,0x007fffcc,0x003ffdc0,
    0x000ffff2,0x7c00bf30,0xeeeeefff,0x04ffffee,0x007fffd0,0x21bffe20,
    0x003ffffa,0x7ffff300,0x777fffc0,0xfffeeeee,0xfff7004f,0x17ffc401,
    0x201fd000,0xeeeffffa,0x3fffeeee,0xfffd8000,0x7ffd4002,0xf300003f,
    0xf7007fff,0x5fffffff,0x27fffd40,0x10000b62,0x0006c85f,0x005ffff7,
    0x805f9000,0x0003fffd,0xfffffb00,0x3fa00005,0xff9001ff,0xf880007f,
    0x05f90005,0x003fffd8,0x4007ffb8,0x0003fffc,0xff002fcc,0x9f9100ff,
    0x1fffe600,0x0fffe400,0x027fffc4,0xffffa800,0x01fffe01,0x5c013f22,
    0xfff807ff,0x09f50003,0x402fffd4,0xe80003fd,0x44002fff,0x0004ffff,
    0x03ffff50,0x3ffff620,0x3ea02fff,0x2e88dfff,0x42f88000,0xff88006c,
    0x000004ff,0xfff500ff,0x2200000d,0x0005ffff,0x007fffa0,0x001fffdc,
    0x40017e60,0xfffa807f,0x7ffb8006,0x1fffe400,0x017e6000,0x2007fff8,
    0x3fe6004d,0x7fd4004f,0x3fffe01f,0xff700005,0x7ffc01ff,0x40136007,
    0xff807ffb,0xbfd0003f,0xfb999999,0x0fa00bff,0x3fffe000,0xffff8004,
    0xff700005,0xe98001ff,0x01ffffff,0x3bbfffe6,0x5f100001,0xfe8006c8,
    0x000006ff,0x333339f5,0xffff3333,0x32000003,0x00003fff,0x4007fffa,
    0x0003fffb,0x540027cc,0x999999cf,0x1ffff999,0x07ffe400,0x07fff700,
    0x004f9800,0xa801fffe,0x7ffcc004,0xfffc800d,0x37fff401,0xfffc8000,
    0x03fffc07,0x3ee00950,0x3fff807f,0xeeefa800,0xffeeeeee,0x0077005f,
    0xfffffc80,0x3ffa000b,0xf900006f,0x5c000fff,0x407fffff,0x00ffffe8,
    0xc85f1000,0x7ffdc006,0xd000001f,0xffffffff,0xbfffffff,0x3ee00000,
    0x200003ff,0x7001fffe,0x80009fff,0xfe8004f9,0xffffffff,0x05ffffff,
    0x00fffec0,0x009fff70,0x2004fa80,0x26007fff,0xffb88004,0x7ed441ae,
    0xffc800cf,0xfb00007f,0xfff80bff,0x40126007,0xff807ffb,0x06e8003f,
    0x005fffa8,0xfd900075,0xffffffff,0xfff9003d,0x3f60000f,0x200045ff,
    0x01fffff8,0x02fffec4,0x642f8800,0x3ffe6006,0x3000003f,0x555555bf,
    0xfff75555,0x7000001f,0x00007fff,0x800ffff4,0x0005fffb,0x26001fd4,
    0xaaaaaadf,0xfffbaaaa,0xfff1000f,0x7fdc00bf,0x7d40004f,0x1fffe003,
    0xc8800000,0xfffeffff,0x3ee000cf,0x80000fff,0x7c03fffe,0x000007ff,
    0xff00fff7,0x3fb8007f,0x05fffa80,0x00000000,0x0ffffb80,0xfffe8000,
    0x7cc003c3,0xf9003fff,0x100007ff,0x2006c85f,0x0006fffe,0x0007f600,
    0x0007fffb,0x07fff700,0x7fff4000,0xbfff3001,0x02fb8000,0x2000fec0,
    0x5403fffd,0xfffffffe,0x5fffa806,0x017dc000,0x000ffff0,0xffd10000,
    0x0005ffff,0x000ffffa,0x00dfff10,0x0000ffff,0x201ffee0,0x7c003fff,
    0xbfff5006,0x00000000,0x3fffa000,0x7fc40003,0x8000f86f,0x2005fffb,
    0x80006ffc,0x803642f8,0x000ffffc,0x37c40150,0x3fffcc00,0x7fdc0000,
    0x3a00003f,0xf1001fff,0xd8000fff,0x1be2000f,0x1fffe600,0x10009d00,
    0x8000ffff,0x3fe000fd,0x0440007f,0xffffc800,0xff30006f,0xfc8000ff,
    0xfff801ff,0x40440007,0xff807ffb,0x0bee003f,0x02fffd40,0xf7000100,
    0x7cc0007d,0x640007ff,0x02f81fff,0x04fff980,0x0007fec0,0x0d90be20,
    0x05ffff50,0xf9007400,0x3ffa0005,0x5c00002f,0x00003fff,0x8007fffa,
    0x0002fffe,0xfc800ff1,0xfffd0002,0x00bee005,0x017fffc0,0x4007f880,
    0x40007fff,0x3ee0001e,0x0004ffff,0x0007fffb,0x4013ffe2,0x40007fff,
    0x07ffb81e,0x1003fff8,0x7fd400df,0x03a0005f,0x1ffff880,0x3fff6000,
    0xfff10003,0x4001be09,0x2fdc2fff,0x0001ffa8,0x01b217c4,0x00bffff1,
    0xff103540,0x7ffdc000,0x7dc00006,0x200003ff,0x2001fffe,0x0005fffb,
    0x7c4007f9,0x3fee0007,0x09fb006f,0x17ffee00,0x001fec00,0x8001fffe,
    0xf980006b,0x8002ffff,0x0007fff8,0x2001fff9,0x20007fff,0x0fff706b,
    0x2007fff0,0x3ea002fc,0xb90005ff,0x9ffff000,0x7ffc4000,0xfff90007,
    0x000bfe01,0xff81fff3,0x001ff00f,0x3642f880,0x03ffff60,0x2e05d800,
    0x3e20004f,0x00002fff,0x000ffff2,0x01fffe80,0x017fff40,0x7001bee0,
    0x7c40009f,0xfe802fff,0x3ffa0007,0x37dc002f,0x03fffc00,0x0004f980,
    0x5ffff910,0x9fff5000,0x1fffb800,0x01fffe00,0xfb827cc0,0x3fff807f,
    0x4006f980,0x8005fffa,0xc98003f9,0x540005db,0x5c004fff,0x3fe01fff,
    0x3ff6002f,0x880ffe84,0xf880006f,0xff703642,0x640005ff,0x05ff103f,
    0x6fffe800,0x3ff20000,0x3a00004f,0x4c001fff,0x9803ffff,0x22001ffd,
    0x740002ff,0xfc806fff,0xff30003f,0xfb3007ff,0xfff0003f,0x3fd0001f,
    0xfc880000,0xe88003ff,0xfd800dff,0x7fc000df,0xfe8000ff,0x01fff901,
    0xe804fff8,0x7fd4003f,0x7f44005f,0x026c0000,0x6fff4400,0x0dffd800,
    0x01ffffc0,0xfc837fdc,0x0005f707,0x06c85f10,0x009ffff1,0x40bff220,
    0x40000ffc,0x003ffffd,0x0bfffd00,0x3ffe2000,0xfe88003f,0xb99bceff,
    0x000efffd,0x00007fe4,0x00fffff6,0x335bfff3,0xffd10037,0xb73379df,
    0x0001dfff,0x003ffff3,0x00037f54,0x3dff7100,0x7dff7000,0x7ff5cc43,
    0xfff98003,0x3faa001f,0x03fff206,0x405fff88,0x64001ffc,0x2e006fff,
    0x4c0006ff,0x2e00001f,0x2621beff,0xf003ffeb,0x17bdffff,0x037ffaa6,
    0x2fcc0fe8,0x42f88000,0xffffd06c,0xdddddddd,0xfffddddd,0xffc983ff,
    0xf50000df,0x039fffff,0x7fffdc00,0x6c0001bf,0x002fffff,0xffffeb88,
    0x02efffff,0x6fffe4c0,0xfff50000,0x64039fff,0x1cffffff,0xfffd7100,
    0x5dffffff,0x3ffa6000,0xccccdfff,0xfffeeccc,0x50000003,0x00159bb9,
    0x3bfffb66,0x001cefff,0xfffffe98,0xcccccccd,0x303fffee,0x6409ffff,
    0xf901ffff,0x91001bff,0x99dfffff,0xffdb9999,0x220007ff,0x800003fb,
    0xfefffed9,0x2001ceff,0xfffca89f,0x02ffffff,0xfebcfd88,0x05400003,
    0x3ffea0a6,0xffffffff,0xffffffff,0x7fe47fff,0x01efffff,0xffffff50,
    0x400bffff,0xffffffeb,0x2003efff,0xffffffed,0x8001efff,0xabcccaa9,
    0xfffc8001,0x001effff,0xfffffff5,0x5cc0bfff,0x20000bcc,0xabcccaa9,
    0xffe88001,0xffffffff,0xffffffff,0x00000fff,0x00151000,0x03797310,
    0x3fffa200,0xffffffff,0xffffffff,0x7ffd40ff,0x88efffff,0xfffffffe,
    0xfffff52e,0xfd505fff,0xffffffff,0xffffffff,0x10003fff,0x0000039b,
    0x03797310,0xcb981c00,0x88001abc,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x00014019,0x005fffc8,0x55555510,0x00000555,
    0x80353100,0x00000001,0x10000000,0x4c400000,0x0310099a,0x00000000,
    0x3a801d80,0x00000000,0x00b20000,0x08800126,0x22000020,0x20000000,
    0x0009000c,0x00020008,0x18800c40,0x0aa80000,0x3e000260,0x01802fff,
    0xfffffc88,0x00d30ace,0xfffff300,0xfff50005,0x44dfffff,0x0002fffe,
    0xffffeb88,0x3e20beff,0x3fa00000,0x000004ff,0x4033ff22,0x75400005,
    0xefffffff,0x00012a1b,0x0013fffa,0x202f9800,0x4000006a,0x0004fffd,
    0x3027c400,0x3f20001f,0x037fcc3f,0x005ffb00,0x017fffc0,0x00d900b9,
    0x68802d80,0x01f10000,0x400007b0,0xb03fffeb,0xfffb8001,0xbff500ff,
    0x5e7ffd40,0xfeffffdb,0xffd80006,0x88006ffe,0xffcaaaaa,0x02fffcc6,
    0xbfff9100,0xff975355,0x0003fb7b,0x017ffe20,0xfff98000,0x03443fff,
    0xffffc800,0xfdba99bd,0x0005ecef,0x002fffc4,0x427ec000,0x000002fb,
    0x0017ffe2,0x06fdc000,0x4c0013ea,0x7fec7fff,0xff98002f,0xff50007f,
    0xcefa809f,0x4fdca88a,0x057dc000,0x00005e98,0xb5106fbe,0x2a00003f,
    0x2fffffff,0xff1001e2,0x3a09fffd,0xffa81fff,0xfffd300d,0xefa8000d,
    0x0007ff90,0x2a1bfe60,0xf50007ff,0xc88019ff,0x0001ffff,0x001dff50,
    0x75f74000,0xd9bfffff,0x7f440005,0xfe9801ef,0x5c0006ff,0x000006ff,
    0x321dff10,0x4000006f,0x0000effa,0x47bfa000,0x30000ffa,0xffd8ffff,
    0xff98002f,0xff90007f,0x3fff600b,0x006fffff,0xcefff880,0x002fffdb,
    0x3fffea00,0x005ffffe,0x3ea73a00,0x5fceffff,0xe8afec00,0x7ffc40ff,
    0x037fc43f,0x0037ff44,0xff503ba0,0xff300001,0x007fee0d,0x005fff90,
    0x002fffa8,0x001ffb00,0x2e344000,0x1fffffff,0x3ffe6000,0x7fdc000e,
    0x77ec0006,0x20000000,0x1ffdfffc,0x7ec00000,0x0000000f,0x7fe7ffd4,
    0x7fe40003,0x0037fcc3,0x0007ffb0,0xe8801bfe,0x1fffffff,0xfff50000,
    0x009fffff,0xffff9000,0x0001dfff,0x3ff22340,0x2000efff,0x45fd84f9,
    0x6c4ffff8,0x3f6002ff,0x03ae0006,0x4000274c,0x3f206ff9,0x3fff2004,
    0x5ff70002,0x07fe0000,0x07300000,0x05ffff91,0x2fffcc00,0x00ff9000,
    0x0001ff80,0x7ffc4000,0x000005ff,0x00001ff8,0xffffd000,0x0220000d,
    0x08800008,0x01df3000,0x9fffd700,0xfb800001,0x004fffff,0x3ffee000,
    0x400004ff,0xbfd91038,0x204e8003,0x7fffc1fb,0x0007ffc3,0x22000df1,
    0x00ec400d,0x01bfe600,0x3fe600db,0x7e40005f,0x2fa80003,0x08800000,
    0x0000a620,0x000dfff1,0x54000fd0,0x0000002f,0x01ffff70,0x2f980000,
    0x20000000,0x002ffff9,0x00000000,0x03f70000,0x00008800,0x5ee5c400,
    0x88000001,0x000009a9,0x54000000,0x7f459803,0x3ffe22ff,0x00374002,
    0x80000000,0x74406ff9,0x7fff4401,0x1fc40000,0x001e4000,0x00000000,
    0x0bfff600,0x003ea000,0x00001e40,0x00000000,0x0000f200,0x00000000,
    0x00000000,0x001e8000,0x00000000,0x00000000,0x20000000,0x00000198,
    0x43fffd00,0x4005fff9,0x0000006b,0xdff30000,0xfc801100,0xb00004ff,
    0x00100009,0x00000000,0x6fffa800,0x007a0000,0x00000040,0x00000000,
    0x00000040,0x01a98800,0x0000000c,0x01000000,0x00000000,0x04cd4c40,
    0x20000188,0x00000198,0x7fffee4c,0x0000acef,0x0fffd800,0x001ffffc,
    0xccccb8d3,0x2ccccccc,0x666664c0,0x4c03cccc,0xf00006ff,0x00005fff,
    0x00000126,0xccccb800,0x2ccccccc,0x666664c0,0x7f43cccc,0x200003ff,
    0x0000001a,0x66666540,0xc88002cc,0xcccccccc,0x00000002,0xffd71000,
    0x417dffff,0x2aaa60f8,0x500aaaaa,0x80155555,0x03defdca,0x003f5c40,
    0x0f7bf72a,0xffea8000,0x1befffff,0xc980012a,0xcefffffd,0xd880000a,
    0xca9aceff,0xb801effd,0xcccccccc,0x3ff21ccc,0x4ffffd87,0x3ae20e00,
    0x09dfffff,0x3fff6a00,0xff9800af,0x99999976,0x54399999,0x0000ffff,
    0xcccca860,0x2ccccccc,0x666664c0,0x2e22cccc,0x9dfffffe,0x3ff6a000,
    0x7fcc0aff,0x0000007f,0x99999991,0x00799999,0x3ffaa620,0x50001fff,
    0x413dfffb,0xccccccc8,0xbccccccc,0x88000009,0x9aadfffc,0xdbdffcba,
    0x3fffaa1f,0xb500beff,0x2601bfff,0xfea8aefe,0x23cccccf,0x007fffc9,
    0xd515dfd3,0x799999ff,0x3ffff200,0xfdba99bd,0x8005ecef,0x9aceffd8,
    0x01effdca,0x07ffee00,0x007ffd30,0xfffffd73,0x0fff7039,0x3dfffff5,
    0xfff88000,0x7e40006f,0x3fe6001f,0x3fffae66,0xffd81cff,0x2000006f,
    0xfffffe98,0x73001bff,0x039fffff,0x01bfffe2,0x203ff900,0x0006fffc,
    0x7fecc000,0x099cffff,0xfff70000,0x640001df,0x7fed407f,0xffffffff,
    0x0004ffff,0x033ffea0,0x3ffff910,0x01ffffb0,0xf980ffe0,0xffff884f,
    0xfdd76fff,0xff300fff,0xfffff109,0xfe880dff,0xfe9801ef,0x7dc006ff,
    0x7f4c01ff,0xffd8003f,0xffb1000e,0xfff1001d,0x37fd409f,0xffffffc8,
    0x3f60000c,0x540004ff,0x7fcc006f,0x4ffff886,0x013fffe0,0x7fdc0000,
    0x90004fff,0xfb003fff,0xa80009ff,0x3fffe06f,0x00000005,0x009ffff5,
    0x7ffdc000,0x3ea0005f,0xffff7005,0x7ff4c413,0x640001ef,0x54002fff,
    0xff882fff,0x6f8800ff,0xb81ffa20,0x809abfff,0x74407ffe,0x3ffee07f,
    0x3e6009ab,0x5c000eff,0x3f6006ff,0xfb1000ef,0x3f2001df,0xfe8000ff,
    0xfffd006f,0x02ffcc05,0xfffffffb,0x3ff20007,0x7cc0003f,0x37fcc005,
    0x102fffe8,0x0009ffff,0x7ffe4000,0xff70003f,0x3fff2003,0x2fcc0003,
    0x04ffff88,0xf1000000,0x00003fff,0x4ffffe80,0x009f3000,0x701bffe6,
    0x0007ffff,0x000bfff2,0xfa817fdc,0x3fa803ff,0x8817ff20,0x7e404fff,
    0x2ffe407f,0x009fff10,0x000bfff3,0xfc803fe4,0xfe8000ff,0xfff9806f,
    0xfff70004,0x3fffd007,0x2027fc40,0xfffffffc,0x7fe4002e,0x7cc0003f,
    0x37fcc005,0x301fffe8,0x0007ffff,0xfffe8000,0x07fd0006,0x01fffe40,
    0x4c17e600,0x8003ffff,0xccccccc9,0x3fe02ccc,0x000000ff,0x17fffff4,
    0x8027cc00,0xd806fff9,0x4001ffff,0x0005fff9,0xffd01fe4,0x401fd00d,
    0x7f404ffe,0x3ffdc07f,0xd013ffa0,0xff880fff,0x7e80006f,0x04fff980,
    0x07fff700,0x007fffc4,0x03ffff00,0x401fffe8,0xfe9803ff,0x0dffffff,
    0x07fff900,0x005f9800,0xfe837fcc,0xfff501ff,0x0000007f,0x03ffff98,
    0x2002fd40,0x0003fffc,0xffa82fcc,0x988002ff,0xdfffffea,0x3fffe009,
    0x74000000,0x01ffffef,0x88027cc0,0xf8806fff,0x22005fff,0x0000fffe,
    0xff501fc4,0x027cc03f,0xfb013ffe,0x7ffb80ff,0x2027ffc0,0x7ec07ffd,
    0xa80002ff,0x3ffe200f,0x3fe0000f,0xfffb01ff,0xffb80009,0x7fff406f,
    0x0017fc01,0xfffffff7,0xfff9005f,0x5f980007,0x837fcc00,0xf501fffe,
    0x00005fff,0xffff9000,0x007f4003,0x00ffff20,0x2a0bf300,0x0003ffff,
    0x037fffc4,0x0007fff8,0xff8fe800,0x26000fff,0xfff1004f,0x3fffa00d,
    0x3fff2007,0x09b00004,0x3205ffe8,0x2fffc01f,0x803fff20,0x7fc07ffb,
    0x7ffe405f,0x0dfff500,0xb00f4000,0x80009fff,0xf986fffb,0x80000fff,
    0x3a03ffff,0x7f401fff,0x7fec4002,0x402fffff,0x0003fffc,0x26002fcc,
    0xfffd06ff,0x3fffe603,0x00000003,0x200dfffd,0xfc8003fc,0x4c0003ff,
    0xffff305f,0xffb00009,0x3ffe009f,0xe8000007,0x0dffff57,0x88027cc0,
    0xfb006fff,0x3e001fff,0x00002fff,0xfffb8093,0xfb00df01,0x6ffc80df,
    0x203ffdc0,0x7e406ffd,0x3fffa06f,0x06a00003,0x007fffcc,0x1ffffc00,
    0x001fffee,0x02ffff40,0xd803fffd,0xfd30001f,0x403fffff,0x0003fffc,
    0x26002fcc,0xfffd06ff,0x3fffe203,0x00000004,0x807ffff3,0xf90006f9,
    0x980007ff,0xffff105f,0xffb0000b,0x3ffe007f,0xe8000007,0x13fffee7,
    0x88027cc0,0xfb006fff,0x3ea00fff,0x00000fff,0x17ffe006,0x3ee00fea,
    0x3ff600ff,0x03ffdc04,0xd803ffee,0xfff304ff,0x4000000f,0x0007fffb,
    0xd8bfffd0,0x00006fff,0x740ffffb,0x7e401fff,0x7fdc0000,0x3f207fff,
    0x4c0003ff,0x7fcc005f,0x03fffd06,0x002ffffc,0xff900000,0x0ff401ff,
    0x3fffc800,0x02fcc000,0x000dffff,0x007fff90,0x0001fffe,0xff91fa00,
    0x9f3007ff,0x1bffe200,0x037fffc0,0x006fffd8,0xffb80000,0x4007f41f,
    0xf104fff8,0xffb801ff,0x27ffc407,0x900fff88,0x0000dfff,0x37ffec00,
    0xfffd8000,0x02ffff47,0xffffc800,0x03fffd00,0x800107b8,0x01fffff8,
    0x0007fff9,0x4c005f98,0xfffd06ff,0x37ffec03,0x20000000,0xf705fffe,
    0x7fe40007,0x7cc0003f,0x3ffff605,0x7fe40001,0xffff003f,0xfd000000,
    0x03ffffd0,0xf1004f98,0xff300dff,0x3fe007ff,0x000004ff,0x25fff880,
    0x3a2004f9,0x7fec41ff,0x07ffb802,0x441ffe88,0x3fe02ffd,0x000005ff,
    0x017fffa0,0x7fffe400,0x09ffff10,0x3ffee000,0x3fffd01f,0x00f06a80,
    0x07ffff30,0x000ffff2,0x9800bf30,0xfffd06ff,0x7fffdc03,0x00000001,
    0x10bfffe6,0xfc8000df,0x4c0003ff,0x3ffea05f,0x7e40004f,0xfff003ff,
    0xd000000f,0xfffff10f,0x8027cc01,0x4406fff8,0x1006fffe,0x0009ffff,
    0x3ff20000,0x8003f90f,0xfcacffe8,0xff7001df,0x3ffa200f,0x01dffcac,
    0x013fffe2,0x7fc40000,0x700004ff,0x3e63ffff,0x00003fff,0x207ffff5,
    0x4c01fffe,0x70001f05,0x3f20bfff,0x4c0003ff,0x7fcc005f,0x03fffd06,
    0x003ffff8,0x7e400000,0x07f60fff,0x7fff9000,0x05f98000,0x0037fff4,
    0x00ffff20,0x0003fffc,0xf983f400,0x3e606fff,0xdfff1004,0x77ffec40,
    0xffff3001,0x00000007,0x37d3ffe2,0x65df4400,0x5c001bcd,0x7d1007ff,
    0x00379b97,0x007ffff3,0x99999930,0x3e659999,0x00003fff,0x2a7ffff5,
    0x0002ffff,0x09ffff30,0x1007fffa,0x2000be03,0xf904fff9,0x980007ff,
    0x7fcc005f,0x03fffd06,0x00ffffb8,0x8001b000,0xf55fffe8,0xff900009,
    0xf980007f,0x7fffcc05,0x3ff20003,0xffff003f,0xfd000000,0x2ffffd40,
    0xf1004f98,0xff930dff,0x54001bff,0x0003ffff,0x3ff20000,0x4c002fcf,
    0x2e00003f,0x3f9807ff,0x7ffd4000,0xa988002f,0x9dfffffe,0x05ffff50,
    0x3ffe6000,0x7ffff54f,0x3fe60000,0xfffd03ff,0x037c0003,0x902fff80,
    0x80007fff,0x7cc005f9,0x3fffd06f,0x09ffff00,0x00079000,0x3effffea,
    0xfc80000f,0x4c0003ff,0xfffd805f,0xff90000f,0x3ffe007f,0xe8000007,
    0x7fffe407,0x1004f983,0xfdddffff,0x0017dfff,0x05ffff50,0x44000000,
    0x4007ffff,0x00000ff8,0xf101ffee,0xfa80001f,0x40003fff,0xa86ffff8,
    0x0003ffff,0x27ffff30,0x004ffff8,0x3ffff500,0x007fffa0,0x4002ff80,
    0xf900fff9,0x980007ff,0x7fcc005f,0x03fffd06,0x05ffff50,0x00035c00,
    0x0bfffff6,0x7ffe4000,0x2fcc0003,0x2ffff440,0x3fffc800,0x00ffff00,
    0x00fd0000,0x985ffffb,0xfff1004f,0xffff999f,0x7fcc0005,0x000003ff,
    0x27ffe400,0x033fee00,0x3ffdc000,0x0033fee0,0x4ffff980,0xfffd8000,
    0x4ffff884,0xfff50000,0x2ffffc3f,0xfffb8000,0x3fffd00f,0x17ffc000,
    0x409ffb00,0x0003fffc,0x26002fcc,0xfffd06ff,0x3ffee003,0x0fb8003f,
    0x7ffc4000,0x3200005f,0x40003fff,0xfd1005f9,0xf9000bff,0x3fe007ff,
    0x8000007f,0xffe8807e,0x013e61ff,0x2a37ffc4,0x0000ffff,0x009ffff1,
    0xf9800000,0x7ec001ff,0xeeffffff,0x5c00bcee,0x7fec07ff,0xeeefffff,
    0xff880bce,0xd80005ff,0xfff03fff,0x2e0000bf,0x3fa0ffff,0x900006ff,
    0x7f40ffff,0x3fa601ff,0x03ffff83,0x5c06ffb8,0x40003fff,0x7cc004f9,
    0x3fffd06f,0x7fffdc00,0x0ed9801d,0xfff90000,0x7dc00007,0x4c0003ff,
    0x3fa2004f,0x36000eff,0xff003fff,0x000000ff,0x3fe600fd,0x09f30eff,
    0x21bffe20,0x0006fffd,0x0017fffe,0x3f600000,0xfffa8006,0xffffffff,
    0xf700cfff,0xfffa80ff,0xffffffff,0x7fc0cfff,0xc80006ff,0xffd03fff,
    0x320000df,0x7fe47fff,0xfb00007f,0x7ff40bff,0x3fffa01f,0x77ffffc1,
    0xffd530bd,0xfffb801b,0x27d40004,0x41bfe600,0x4001fffe,0xceffffe9,
    0xdffdb99a,0x3ee00000,0x200003ff,0x0004fffb,0x540027d4,0x301dffff,
    0x017dfff9,0x001fffe0,0x801fa000,0xf35ffffa,0x3ffe2009,0x3fffe886,
    0xdfffb000,0x00000000,0x2a0005f7,0xffffffff,0x05ffffff,0xf500fff7,
    0xffffffff,0xd8bfffff,0x0001ffff,0xc81fffe4,0x00007fff,0xfb8bfffb,
    0x80000fff,0x3a03fffe,0x3fe01fff,0x544fc2ff,0xfffffffc,0xff7002ff,
    0xfa80009f,0x37fcc003,0x001fffe8,0xfffffb70,0x0039ffff,0x7fff7000,
    0x7fdc0000,0x7d40004f,0x3f6e0003,0xfffeffff,0xf8002dff,0x000007ff,
    0x7dc007e8,0x04f9cfff,0x20dfff10,0x001ffff9,0x01ffffb8,0x74000000,
    0x23ae0007,0xcbaaaa98,0xb80fffdc,0x8eb807ff,0xcbaaaa98,0x2a0fffdc,
    0x0004ffff,0xb81fffe4,0x0000ffff,0xe83fffe8,0x40003fff,0x7406fff8,
    0x3f201fff,0xf730387f,0xa800357b,0x40005fff,0x7cc002fb,0x3fffd06f,
    0xfaa88000,0x00009acd,0x0fffee00,0xfffa8000,0x17dc0005,0xedaa8000,
    0x00019abc,0x0003fffc,0x4003f400,0x4fcffffd,0x0dfff100,0x0077ffdc,
    0x01ffffc0,0xf3000000,0x07ea0009,0x2e0ff200,0x0fd407ff,0x3a1fe400,
    0x40006fff,0x3a03fffc,0x40003fff,0xf306fff8,0xc8000fff,0x7f401fff,
    0x05d401ff,0x000bea00,0x007fff88,0x20007ec0,0xffd06ff9,0x2a00003f,
    0x0000002f,0x000fffee,0x07fff880,0x0007ec00,0x0009f100,0x00ffff00,
    0x3f402a80,0xffffe800,0xfff1004f,0x5fffd80d,0xffffb800,0x01b00000,
    0x40007ec0,0xf10004f9,0x40fff707,0xf10004f9,0x3ffff987,0x3fff2000,
    0x1fffe603,0x3fff9000,0x01fffec0,0x04fff880,0x001fffe8,0x5fff8800,
    0x3fffe000,0x0ff10002,0x20dff300,0x0001fffe,0x005fff88,0xfff70000,
    0xff800007,0xf10002ff,0xfd80000f,0x200001ef,0x40007fff,0x003f400e,
    0x4fffff88,0x0dfff100,0x02ffff88,0x04ffff80,0x2003c800,0xfd0005f9,
    0x07e20005,0xfe81ffee,0x03f10002,0x001ffffb,0x00ffff20,0x0007fffb,
    0x1013ffe2,0x2000ffff,0xe800fffc,0x32601fff,0x7fe44001,0xff70001f,
    0x3f6000bf,0x6ff98003,0x003fffd0,0x5fff9100,0xf7000000,0x800007ff,
    0x0005fffb,0x800007fb,0x0004ffeb,0x001fffe0,0x07f806a8,0x3fffe600,
    0xdfff1004,0x3ffff500,0xffffa800,0x01ae0002,0x70003fd0,0x36000dff,
    0x20fff705,0xb0006ffb,0x3fffa20b,0xfff90005,0x7fff8807,0x1fff9000,
    0x09fff500,0x01fffb80,0x203fffd0,0x8001fffb,0x20003ffb,0x4002fffe,
    0xf30006fb,0x3fffa0df,0x3ee00001,0x8000003f,0x0003fffc,0x02fffe80,
    0x00037dc0,0x006ff980,0x03fffe00,0x200fe200,0x7dc0007f,0xff1004ff,
    0x3ff200ff,0x7dc000ef,0xb8003fff,0xbdfd880f,0x90005fd9,0x20019fff,
    0xff700ed8,0x33fff20f,0x01db1000,0x02ffff44,0x01fffe40,0x0027ffd4,
    0x8007ffee,0x800dffe8,0x2000dffd,0xfd01fffe,0xf90009ff,0x7cc0001f,
    0xd9803fff,0xf30001ff,0x3fffa0df,0x3f200001,0x8000000f,0x0004fffc,
    0x3ffff980,0x01ffd980,0x5ff30000,0x3fe20000,0x74c001ff,0x0ffc401f,
    0x13ff2000,0x03fffcc0,0x00bfffd0,0x3bffff70,0x201db300,0xeffffffc,
    0xfff30000,0x33357bff,0x401dfb75,0xf980fffc,0x9abdffff,0x0efdba99,
    0xefffe880,0x3fff6000,0xbffd1003,0x1bffb001,0x3bfee000,0x3fae621b,
    0x7fc4003f,0xfff903ff,0x4ff98005,0xffe88000,0xdb99bcef,0x0000efff,
    0x3e21bfe6,0x00003fff,0x00009ff3,0x17fffa00,0x7f440000,0xb99bceff,
    0x000efffd,0x0dfb1000,0x7ffcc000,0xff71004f,0xdffd880d,0x27ec0002,
    0x1ffffa80,0xbffff300,0xffe98001,0xb99aceff,0x2e00dffd,0x00efffff,
    0x7ffecc00,0xffffffff,0xfffd802f,0xffffb301,0xffffffff,0xfff50005,
    0x3f2603bf,0x4000beff,0x221beffb,0x003ffeb9,0xfffed980,0x01cefffe,
    0xfffffd80,0x003ec882,0x002b7fb6,0x7ff5c400,0xefffffff,0x3ffea002,
    0xd86fffff,0x002fffff,0x02b7fb60,0x3ee00000,0x001bffff,0xffeb8800,
    0xefffffff,0xd7000002,0x000017df,0x3fffffa2,0xfeeeeeef,0xb04fffff,
    0xfffffffd,0x13a2000d,0x3ffffa60,0xfff7002d,0xb80059ff,0xfffffffd,
    0xfb001cff,0x000019ff,0x7ffffe4c,0x8800bdff,0x4c05ffff,0xfffffffc,
    0x5c0000bd,0xfefffffd,0x002dffff,0x7fff6cc0,0x01cefffe,0xcb988000,
    0xfdb0001b,0xffffffff,0x9880003d,0x4c000000,0x1abcccaa,0xcccc9800,
    0xfdb3cccc,0xffffffff,0x0988003d,0xeb800000,0xffffffff,0x000003ef,
    0x57999553,0x88000003,0xd1000009,0xfffffffd,0xffffffff,0x003fffff,
    0x06200000,0x7ffff74c,0x806fffff,0xfffffffd,0x65544001,0x80009acc,
    0x00000098,0x20009a98,0xffffffe9,0x9a9800ef,0x2a000000,0x19abccba,
    0x73100000,0x00000379,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55000000,0x00004401,0x01ffff40,0x00080000,0x00280000,
    0x801d8000,0xcca8003a,0x002ccccc,0xcccccc88,0x3b802ccc,0x00005880,
    0x00bfff90,0x00362000,0x22000072,0x001c800d,0x02000400,0x4012a000,
    0x0000000d,0x00000000,0x200ee000,0x33332258,0xcccccccc,0x00000003,
    0x00000000,0x9fffd500,0x00001901,0x0fffffb8,0x3a600000,0x0000004f,
    0x000007e6,0x35405f50,0xfea98800,0x0001ffff,0x13dfffb5,0xd102f400,
    0xf3000003,0x0005ffff,0xc807ae00,0x3b200005,0x00013601,0x1e401660,
    0x00ed8000,0x000007b1,0x0000ffee,0x2177dc00,0x74004fe9,0x260ba205,
    0xcffffffd,0x44000099,0x01603efc,0x4405f100,0xf50003fd,0x87ffffff,
    0x7c400007,0x004fffef,0x3fff6000,0x90000002,0x0000009f,0x05f709fb,
    0x3ffee000,0x320000ef,0xdf50007f,0x0005f981,0xffdffb00,0x7c00000d,
    0x000fd83f,0x20bfe200,0x000000fd,0x3f2203bf,0xff300001,0x0006e883,
    0x03fffe00,0xff100000,0x2fffd8df,0x303bea00,0xfffa80bd,0x2a00004f,
    0x42efffff,0x7dc00059,0x07fff200,0x3ea73a00,0x5fceffff,0xafe40000,
    0x0001ffe8,0x07fffd00,0xff100000,0x8000001f,0xdf90eff8,0xffb80000,
    0x2a0005ff,0x3fa0005f,0x001ff32f,0x21df5000,0x00003ffc,0x7ec9ff50,
    0xfb800004,0x007fb14f,0x7ffe4000,0x05fffdcd,0x9ffe4000,0x00002fe8,
    0x01ffff10,0xff980000,0x1ffff47f,0x4cbff600,0x7fc401ff,0x200001ff,
    0xfffffcee,0x0004d9ae,0x3ff602f4,0xc868001f,0x00ffffff,0x217e2000,
    0x000005fc,0x0001dff5,0x7fff7000,0xf9000000,0x003ffbff,0xffffd000,
    0x13e60009,0xcfff9800,0x000004ff,0x0ffb81dd,0xffd00000,0x0001ffdd,
    0x3bbffa00,0x8000006f,0xfffffffe,0x4400000f,0x05fedfff,0x7fe40000,
    0xd0000005,0xfffa87ff,0x7ffcc000,0xff004ffd,0x200001ff,0x3fff2259,
    0x0000ffff,0xfd300be6,0x20910009,0x001dfec8,0xf5026c00,0x22000005,
    0x20000002,0x0006fffe,0xffff8800,0xd000005f,0x005fffff,0x80009f30,
    0x00fffffc,0x00eb8000,0x000009d3,0x0fffffe6,0xffa80000,0x00002fff,
    0xffffd880,0x000000ef,0x03fffff7,0x03300000,0x19800000,0x64000510,
    0x000fffff,0x0001ffff,0x3f660aa0,0x40001fff,0x0002007c,0x00000000,
    0x01660126,0x00000000,0x3fffea00,0x8000002f,0x000ffffb,0xffdfd000,
    0xf98003ff,0x7fc40004,0x800003ff,0x0ec400d8,0xffd80000,0x8000006f,
    0x0006fffd,0x5e5cc000,0xe8000002,0x00004fff,0x00000000,0x10000000,
    0x4007ffff,0x00007fff,0x02b98026,0x0009d000,0x00000000,0x00000000,
    0x03531000,0x7ec00018,0x0005fffd,0x00000000,0x7ffc7f40,0x3e6000ff,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0266a620,0x000000c4,0x00000000,0x0003fffc,0x80000000,0x540001f9,
    0x2ccccccc,0xcccc8800,0x002ccccc,0x10000000,0xffffffd7,0x007c417d,
    0xff8ef880,0x000000ff,0x20000000,0xdffff57e,0x0027cc00,0x00000000,
    0x000000a0,0x00000000,0x00000028,0x00000140,0x40000000,0xffffffea,
    0x412a1bef,0xcccccccb,0x4c02cccc,0xcccccccc,0xf800003c,0x000007ff,
    0xd9000000,0xd5310000,0x003fffff,0x3bfff6a0,0x66666409,0xcccccccc,
    0xcccccccc,0x7fe44004,0xcba9aadf,0x01fdbdff,0x3f65f900,0x910004ff,
    0x99999999,0x13799999,0x27e80000,0x004ffffb,0x666409f3,0xcccccccc,
    0xcccccccc,0x200004cc,0x200001f9,0xccccccc9,0xcccccccc,0x002ccccc,
    0x0001f980,0x03f30000,0xcccc9800,0xcccccccc,0xcccccccc,0x3f2004cc,
    0xa99bdfff,0x5eceffdb,0x3fffae20,0x20009dff,0x0affffda,0x3333332e,
    0x201ccccc,0x00007fff,0x6666665c,0x801ccccc,0x05fffeca,0xfffb8000,
    0x320000ef,0x7fe4c07f,0xeeeeefff,0xfffffeee,0x3ffea007,0x7fe4400c,
    0xf88001ff,0x01fffe67,0xffffb500,0xffffffff,0x400009ff,0x7fffe47e,
    0x404f9803,0xefffffc9,0xfeeeeeee,0x0007ffff,0x00013f20,0xffffffa8,
    0xffffffff,0x00ffffff,0x004fc800,0x9f900000,0xfffa8000,0xffffffff,
    0xffffffff,0x4400ffff,0x9801effe,0x8806fffe,0x0006ffff,0xb980ffe4,
    0x1cfffffe,0x007fff80,0xffeb9800,0x8801cfff,0xffebcefd,0x5c00002e,
    0x0005ffff,0x7d4017ea,0x322007ff,0xffc800ff,0x7fd4002f,0x3fb8002f,
    0x0017fff4,0x4ffffdc0,0x3fffa620,0x7e80001e,0x01ffffe8,0xfa8027cc,
    0x322007ff,0x880000ff,0x00000fff,0x00359ff7,0x00bfffea,0x03ffe200,
    0xf1000000,0x5c0001ff,0x9999adff,0x99bfffe9,0x0ffeba99,0x03bffe60,
    0x00dff700,0x0013fff6,0xf100df50,0x7c009fff,0x000007ff,0x013fffe2,
    0x3f61ffcc,0x6cc03fff,0xffffd007,0x13e60009,0x03fffc40,0x32007e40,
    0x70002fff,0xfd0005ff,0x06fffb81,0x6fff9800,0x1ffffdc0,0x221fa000,
    0x200fffff,0xff1004f9,0x1f9000ff,0xfff70000,0x3ee00007,0x7ffc4002,
    0xf700005f,0x000007ff,0x03fffb80,0xb013ee00,0x74403fff,0xbfff301f,
    0x03fe4000,0x003fffc8,0xe802fcc0,0x3e002fff,0x000007ff,0x8017fff4,
    0x7dfc44fe,0xfeb887ff,0xfffd007f,0xf30005ff,0x3fffc009,0x300fc400,
    0x8000bfff,0x7cc003fc,0x03ffff04,0x6fff9800,0x1ffffd80,0x4c1fa000,
    0x2606ffff,0x3ffe004f,0x01f88007,0x6fffe800,0x00b90000,0x01dfffb0,
    0x3fffa000,0x40000006,0x0006fffe,0x3ff601ae,0x40fc401f,0x0006fff8,
    0xff9007e8,0xf980007f,0x3fffd005,0x03fffc00,0x3ffa0000,0x0ffc801f,
    0x7ffec7dc,0x3ffffee2,0xffdfd007,0xf98003ff,0x1fffe004,0xe880ec00,
    0x40000fff,0x7ec003f8,0x09fff901,0x6fff8800,0x5ffff880,0xa81fa000,
    0xf305ffff,0x3fffc009,0x0001d800,0x17ffffd4,0x0016c000,0x007fffee,
    0x7fffd400,0x0000002f,0x05fffff5,0x36013200,0x1d801fff,0x002fffd8,
    0xc800fa80,0x40003fff,0xffd005f9,0x7ffc003f,0x74000007,0x7cc01fff,
    0xff55e84f,0xfffd041f,0x3fe3fa00,0x26000fff,0x3ffe004f,0x20150007,
    0x0004fffc,0x7c4009b0,0x3fffe606,0x3fe20000,0xfffd006f,0x03f4000f,
    0x20fffff2,0x3fe004f9,0x0150007f,0xffdfd800,0x0d80005f,0x3fffe200,
    0x3f600004,0x0005fffd,0xffbfb000,0x072000bf,0x007fff60,0xdfff50ae,
    0x00f40000,0x001fffe4,0x74017e60,0x3e001fff,0x000007ff,0x200ffff4,
    0x17c42ffc,0x7fe40151,0x3eafd007,0x26006fff,0x3ffe004f,0xff800007,
    0x300002ff,0x017e4009,0x000ffff6,0x006fff88,0x001ffffb,0x3f601fa0,
    0x27cc2fff,0x00ffff00,0x3e200000,0x00ffff8e,0x3a001400,0x00006fff,
    0x3ffe3be2,0x4000000f,0xffff8ef8,0x36000000,0xd0001fff,0x00007fff,
    0x7fe400d4,0x7cc0003f,0x3fffd005,0x03fffc00,0x3ffa0000,0x0ffec01f,
    0x3ee001ee,0x5cfd007f,0x3004ffff,0x7ffc009f,0x7d400007,0x00000fff,
    0x807f8006,0x0006fffa,0x401bffe2,0x0007fffd,0x3fa201fa,0x13e61fff,
    0x007fff80,0x5f900000,0x0013fff6,0xfffc8000,0x3200001f,0x09fffb2f,
    0x2fc80000,0x0009fffb,0x0fffec00,0x3fffcc00,0xc8000000,0x40003fff,
    0xffd005f9,0x7ffc003f,0x74000007,0x7f401fff,0x4002740f,0xfd007ffb,
    0x03ffffc8,0x3e004f98,0x126007ff,0x00dfffb0,0x3ea00000,0x9999999c,
    0x01ffff99,0x0dfff100,0x01bfffe0,0xf3007e80,0x3e61dfff,0x1fffe004,
    0x80004980,0x3ffe67f8,0x30000007,0x0007ffff,0xff33fc40,0x400000ff,
    0x3ffe67f8,0x36000007,0xc8001fff,0x00006fff,0x7fff9000,0x05f98000,
    0x003fffd0,0x0003fffc,0x07fffa00,0x261fff88,0xffb8001f,0xfd0fd007,
    0xf9803fff,0x1fffe004,0x7fc04a80,0x000004ff,0xfffffd00,0xffffffff,
    0x22000bff,0xf9806fff,0x20003fff,0x3fea007e,0x009f35ff,0x5003fffc,
    0x7f700009,0x002fffe8,0x7ff44000,0x5c00005f,0x17fff43f,0x3fb80000,
    0x0017fff4,0x1fffd800,0x5ffff800,0x90000000,0x80007fff,0xffd005f9,
    0x7ffc003f,0x74000007,0x3e601fff,0x001b22ff,0xe803ffdc,0xfffff887,
    0x8013e600,0x36007fff,0x3fffe204,0x80000004,0xaaaaadf9,0xffbaaaaa,
    0xf88000ff,0x7f4406ff,0x740006ff,0x7ffdc007,0x2004f9cf,0x36007fff,
    0x0fe80004,0x0037ffdc,0x3fff2000,0x7400000f,0x37ffdc0f,0x0fe80000,
    0x0037ffdc,0x1fffd800,0x7fffc400,0x00000004,0x0007fff9,0xfd005f98,
    0x7fc003ff,0x4000007f,0x7c01fffe,0x000fe3ff,0xe803ffdc,0xdffff307,
    0xf0027cc0,0x3ee00fff,0x3fffe604,0x80000003,0x7ec001fd,0xf88003ff,
    0x3f6206ff,0x40001eff,0xffd8007e,0x2004fcff,0xf7007fff,0x4f980009,
    0x003ffff0,0x3ffea000,0x4c00002f,0x3ffff04f,0x4f980000,0x003ffff0,
    0x3fffb000,0xffff9800,0xccc98003,0x2ccccccc,0x007fff90,0xd005f980,
    0x7c003fff,0x540007ff,0x07fffa02,0x3eadffd0,0xffb81400,0x540fd007,
    0xf305ffff,0x7fffc009,0xeeeeeeee,0x3ea04fff,0x00003fff,0x0037c400,
    0x003fffcc,0x4c37ffc4,0x00dffffc,0x0007e800,0x09fffffd,0x777fffc0,
    0xffeeeeee,0x7ec0004f,0x09fff901,0xfff10000,0xb00000bf,0x3fff203f,
    0x7ec00004,0x09fff901,0xfffb0000,0xfffa8003,0xa988002f,0x9dfffffe,
    0x07fff900,0x005f9800,0x4003fffd,0x40007fff,0x3fffa00e,0x4fffe401,
    0xb82c406d,0x0fd007ff,0x83ffffc8,0x3fe004f9,0xeeeeeeff,0x204ffffe,
    0x002ffffa,0x17e40000,0x2fffe800,0x7fffc400,0xeffffeee,0x3a00000b,
    0xfff10007,0x7fc009ff,0xeeeeeeff,0x004ffffe,0xf981be20,0x00000fff,
    0x007fffec,0x81be2000,0x000ffff9,0x4c0df100,0x0000ffff,0x00fffec0,
    0x0ffffea0,0xffff1000,0x7fff900d,0x05f98000,0x003fffd0,0x0003fffc,
    0xfffe80d5,0x6fffdc01,0xb816c03f,0x0fd007ff,0x85ffffb0,0x3fe004f9,
    0x4fc8807f,0x0ffffe60,0xf8800000,0x3fee0007,0x7fc4006f,0xfffcccff,
    0xf800002f,0x3fe60007,0x3fe004ff,0x4fc8807f,0x00bf2000,0x0007fffb,
    0x17fffdc0,0x17e40000,0x00ffff60,0x2017e400,0x0003fffd,0x00fffec0,
    0x13fffe60,0x3fff6000,0x3fffc804,0x02fcc000,0x001fffe8,0x0003fffe,
    0xffd00fe2,0xfff9803f,0x81ee00ff,0xfd007ffb,0xffffd100,0xf0027cc3,
    0x26c00fff,0x09ffff10,0x7dc00000,0x3fe20004,0x3e2002ff,0x7ffd46ff,
    0x7c00000f,0x7fdc0007,0x3ffe004f,0x00136007,0xffa807f8,0xf100006f,
    0x00009fff,0x3ea01fe0,0xf00006ff,0xdfff500f,0xffd80000,0x7fc4001f,
    0xd80005ff,0xfc803fff,0x4c0003ff,0xfffd005f,0x3ffe2003,0x7f4c001f,
    0x0ffff401,0x6ffffe40,0x7017ecc1,0x1fa00fff,0x77fffcc0,0x7c009f30,
    0x12a007ff,0x00bffff0,0x3fe20000,0x7ff40002,0x3fe2006f,0x6fffd86f,
    0x3fe20000,0x7fe40001,0x1fffe004,0x50004a80,0x3333339f,0x3ffff333,
    0xfffd0000,0x2a00000d,0x999999cf,0x1ffff999,0x4e7d4000,0x99999999,
    0x0001ffff,0x007fff60,0x01bfffe0,0x0ffff200,0x00fffee0,0x2009f300,
    0x3001fffe,0x2009ffff,0xe806ffb8,0xfd001fff,0xffddffff,0x7ffb809f,
    0x5400fd00,0x9f35ffff,0x03fffc00,0xffd80930,0x0000006f,0x80001ff9,
    0x003ffffd,0xd10dfff1,0x00007fff,0x005bffb1,0x2004fd80,0x26007fff,
    0xfffd0004,0xffffffff,0x000bffff,0x01ffffb8,0xfffd0000,0xffffffff,
    0x000bffff,0xffffffe8,0xffffffff,0x3600005f,0xd8001fff,0x0001ffff,
    0x401fffe4,0x0004fffb,0xfe8027d4,0xfe8801ff,0xeeefffff,0xfffffeee,
    0xfffe804f,0xffff1001,0x00bfffff,0xd001fff9,0xfffb800f,0x2004f9cf,
    0x00007fff,0x00ffffdc,0xff930000,0x2a0001bf,0x1cffffff,0x837ffc40,
    0x001ffff9,0xfffffdb0,0x22000dff,0x3ffe004e,0x98000007,0xaaaaaadf,
    0xfffbaaaa,0xff30000f,0x000007ff,0x2aaab7e6,0xfbaaaaaa,0x30000fff,
    0x555555bf,0xfff75555,0x3600001f,0xa8001fff,0x0004ffff,0x401fffe4,
    0x0004fffb,0xfe801fd4,0xfdd101ff,0xffffffff,0xffffffff,0xfd003fff,
    0x774003ff,0x03ffffff,0x003fffb0,0xffb000fd,0x4009f9ff,0x00007fff,
    0x003ffff8,0xffff9000,0x2003dfff,0xfffffffa,0x3e205fff,0x3fee06ff,
    0x000000ef,0x00188000,0x0001fffe,0x0007f600,0x0007fffb,0x001bfffa,
    0x001fd800,0x001fffec,0x6c001fd8,0x00003fff,0x0003fffb,0x001bfffa,
    0x007fff90,0x000bfff5,0xfd002fb8,0x000003ff,0x3ffa0000,0x23f3001f,
    0x10009aa9,0xd00bffff,0x3ffa000f,0x3e004fff,0x440007ff,0x07fffdc0,
    0x000d8000,0x00fc4000,0x037ffc40,0x0017fff6,0x0b722000,0x3ffe0000,
    0x00440007,0xf3000df1,0xf9000fff,0x20001fff,0x01be200a,0x01fffe60,
    0x2001be20,0x0007fff9,0x003fffb0,0x0ffffe60,0x3fffc800,0x07fff880,
    0x8007ec00,0x0001fffe,0x0001bda8,0x003fffd0,0xea8001b2,0x6fffffff,
    0x44001fa0,0x004fffff,0x0001fffe,0x9ffff03d,0x00790000,0x00fb0000,
    0x01bffe20,0x005ffff1,0xfff98000,0x3e00000f,0x740007ff,0x000bf201,
    0x0017fff4,0x005ffff5,0x5f900740,0x3fffa000,0x017e4002,0x02fffe80,
    0x1fffd800,0x3fff6000,0xff90000f,0x3ffe007f,0xff10002f,0x0ffff400,
    0x7ffe4000,0xffe80005,0x007f001f,0x3fc00000,0xffff3000,0x3fffc009,
    0x2a0d7000,0x0002ffff,0x000001ae,0x44000ffc,0xfa806fff,0x00001fff,
    0x0fffae20,0x7fff8000,0x881ae000,0x3ee0007f,0xff1006ff,0x54000bff,
    0x001fe206,0x006fffb8,0xb8001fe2,0x80006fff,0x0001fffd,0x017fffa2,
    0x01fffe40,0x005fffb8,0x74007fb0,0x80001fff,0x000fffc9,0x00ffff40,
    0x000007d4,0x000ff000,0x004fffb8,0x4001fffe,0x3fee04f9,0xfb8003ff,
    0x98000000,0xf88004ff,0xff9007ff,0x000001df,0x0006ff98,0x001fffe0,
    0x9f7027cc,0x7ffc4000,0xfffd802f,0x1760000f,0x20004fb8,0x002ffff8,
    0x440009f7,0x0002ffff,0x0017ffec,0x17fffa20,0x0ffff200,0x02fffe80,
    0x20037dc0,0x0001fffe,0x000fff20,0x003fffd0,0xd88000bb,0x7fc4004f,
    0x7fe40001,0x3fffe004,0x01fe8000,0x0effffdc,0x00076cc0,0x3fff0000,
    0x7fff9800,0x17fffa00,0xff300000,0x7fc0000b,0xfe8000ff,0x005ff101,
    0x06fffe80,0x017fffdc,0x2207f900,0x740002ff,0xf8806fff,0x7f40002f,
    0x740006ff,0x80002fff,0x00efffe8,0x00ffff60,0x03ffff98,0x001ffd98,
    0x000ffff4,0x003ffb00,0x01fffe80,0x200017c4,0x1003fffc,0x0005bffb,
    0xf3004fd8,0x54003fff,0xfd3006fe,0x3359dfff,0x001bffb7,0xffb80000,
    0x00ba99cf,0x003ffff5,0x037fffe6,0x3f620000,0xf300000f,0x54003fff,
    0x3ff206fe,0x7fec0000,0xfff103ff,0x3220009f,0x1ff902ff,0xfffd8000,
    0x07fe403f,0x3fff6000,0x3fe0003f,0x200004ff,0x01dffffa,0x17dfff93,
    0xfffe8800,0xfdb99bce,0x44000eff,0x0003ffff,0x000bff50,0x03ffff88,
    0x200007d4,0x6c04fffd,0xfffffffe,0x09d10006,0xfffffd30,0x9999999b,
    0x007fffdd,0xfffffdb8,0x001cffff,0xfd100000,0x017fffff,0x5bffffd3,
    0x3fffee00,0xb80002cf,0x0000befe,0xfffffd30,0x9999999b,0x307fffdd,
    0x001bfff9,0x3ffffea0,0x7fff41cf,0xeeeeeeef,0xffeeeeee,0x7e4c1fff,
    0x50000dff,0x39ffffff,0x0dfffc98,0xffff5000,0xc80039ff,0x00bfffff,
    0x3ff6e000,0xffffefff,0x440002df,0xffffffeb,0x0002efff,0x05fffffb,
    0x16fff400,0x7ffec000,0x017602ff,0x07ffea00,0x10000000,0x3fffa203,
    0xffffffff,0xffffffff,0x510000ff,0x01359995,0x20000000,0xe982ccca,
    0xfffffffe,0xffd806ff,0x001fffff,0x00002620,0x7fffff44,0xffffffff,
    0xffffffff,0x7ffffe40,0xf5001eff,0xffffffff,0x3fffeabf,0xffffffff,
    0xffffffff,0x7ffe47ff,0x001effff,0xfffffff5,0x3ff2bfff,0x01efffff,
    0xffffff50,0xc80bffff,0xfffffffe,0x00001eff,0x55e65d54,0x30000019,
    0x35799955,0xfffdb000,0x3dffffff,0x00019800,0xfffffed8,0x001effff,
    0x002e6000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xccccccc8,
    0xbccccccc,0x30000009,0x80036009,0xccccccc8,0xca84cccc,0xcccccccc,
    0x20018003,0x00000009,0x4c003000,0x00000000,0x00020000,0x99993000,
    0x70020001,0x99999999,0xc9805999,0xcccccccc,0x99999973,0x00399999,
    0x00079995,0x40180060,0xcccccccc,0xcccccccc,0x004ccccc,0x00000000,
    0x00000008,0x00000000,0x4c000c00,0x3ff6a00b,0xffffffff,0x0004ffff,
    0x6c01db00,0xff930004,0x4037ffff,0xdfffffc9,0x04c80009,0x90000798,
    0x4fe983df,0x26013200,0x4fe98007,0x0001efc8,0x007bf600,0x7ffe4000,
    0x4fe98003,0x7fff5c40,0x20009dff,0x0affffda,0x7ffff5cc,0x3a2001cf,
    0x80000fff,0x801d804c,0xefffffc9,0xfeeeeeee,0x4007ffff,0x7540dfd8,
    0x4c00003f,0xd88004fe,0x177dc0df,0x20f7e400,0x00004fe9,0xfc8003e6,
    0x7fdc00ff,0x3a6209ff,0x0001efff,0x2217fc40,0x5c0000fe,0x1001ffff,
    0x0001dfff,0x4c0adfa8,0x980005eb,0x7fec6fff,0x5bf5001f,0x005fb981,
    0x262fffc8,0x00006fff,0x00bfff50,0x13ffa000,0x0ffff400,0x37fffc40,
    0x07ff2000,0x09ffff10,0x0fffe200,0x03be2000,0xf50017a2,0x64400fff,
    0x3ee000ff,0x7fffc4ff,0x3f600000,0x7dc001ff,0x3ffe23ff,0x7ffcc007,
    0x00fffec6,0x001f9800,0x300ffffe,0xfb80dfff,0x00003fff,0xfe89ffe4,
    0xff980002,0x3fee007f,0x3f600005,0xffffeeff,0xffa80001,0x17fff46f,
    0xddfffd00,0x0003ffff,0x7d47fffb,0x000007ff,0x000dfff7,0x00bff100,
    0x017fff40,0x004fffd8,0xe8037d40,0x20002fff,0x00005ff9,0x7f443ff7,
    0x7ffc4000,0x00fc8007,0x897fff20,0x0000ffff,0x00bfffa0,0x4c9fff90,
    0x2000ffff,0x7f47fffa,0x260002ff,0xceffffec,0x07fff601,0x00dfff30,
    0x003ffffb,0x6fffc400,0x300006fe,0x2600ffff,0x400003ff,0xfffffff8,
    0x3a00003f,0x37fdc3ff,0x3fffe200,0x0003ffff,0xfe81fff5,0x1000003f,
    0x00005fff,0x0001df70,0x90037fdc,0x80007fff,0xffd005f9,0xfa80003f,
    0xfd00000f,0x009fd17f,0x001fffe0,0xf88007e2,0x2ffe41ff,0x3fee0000,
    0xfff98006,0x0027fec1,0x3ea1fff4,0xf910006f,0xfd97f9df,0x7fb307df,
    0x0dfff100,0x0bffff10,0xfffa8000,0x100001ff,0xd100dfff,0x2000007f,
    0x2fffffd8,0x00a80000,0x36200051,0x002fffff,0x01501440,0x01500000,
    0x03f60000,0x000a2000,0x0007fff9,0xfd005f98,0x700003ff,0x2a00005f,
    0x00ffffff,0x00ffff00,0x2a000760,0x00003300,0x88000a20,0x0003300a,
    0x00288054,0x263dfd10,0x03ffea0f,0xdfff1000,0x1ffffa00,0x3ffa0000,
    0x2200005f,0x74406fff,0x8000003f,0x00001aa8,0x20000000,0x00001aa8,
    0x00000000,0xf1000000,0x00000003,0x001fffe4,0x74017e60,0x00001fff,
    0x6c000099,0x0002ffff,0x4001fffe,0x0000000a,0x00000000,0x00000000,
    0x1ffc8000,0x1ff303e6,0xfff88000,0xffffb006,0x00000001,0x7ffc4000,
    0x00ffa206,0x00000000,0x01988000,0x00000000,0x00000000,0x4c000000,
    0x00000002,0x001fffe4,0x74017e60,0x00001fff,0xc980000e,0x7c0004cc,
    0x000007ff,0x00000000,0x00000000,0x00050000,0xf98dff30,0x0000fc80,
    0x8037ffc4,0x0007fffd,0x40000000,0xd106fff8,0x0000009f,0x98000000,
    0xefffffdc,0x000000ac,0x66666654,0x402ccccc,0xccccccc9,0xccc982cc,
    0xcccccccc,0xcccccccc,0x0000002c,0x99999997,0x32039999,0x40003fff,
    0xffd005f9,0x0000003f,0x00000000,0x0001fffe,0x99999990,0x99999999,
    0x09999999,0x33333332,0xcccccccc,0x84cccccc,0xcccccccb,0x0001cccc,
    0x20000fcc,0x07cc5ffb,0x00c407cc,0x006fff88,0x100dffff,0x99999999,
    0x57999999,0xf1000035,0x7fd10dff,0x33320000,0xcccccccc,0xcccccccc,
    0x6c4004cc,0xca9aceff,0xb801effd,0xcccccccc,0xfd311ccc,0x37ffffff,
    0x3ffee600,0xff501cff,0xffffffff,0xffffffff,0xdc9801ff,0x9803db81,
    0xcfffffeb,0x1fffe401,0x017e6000,0x000ffff4,0x36e07726,0x1dc98003,
    0xf8003db8,0x126007ff,0x3ffff260,0xeeeeeeef,0x07fffffe,0x3fffff26,
    0xeeeeeeee,0x307fffff,0x9fffffd7,0x3f200003,0x7fe40004,0x0f807cc7,
    0xff100598,0xfff300df,0x7ed4007f,0xffffffff,0xdfffffff,0xff88000b,
    0x01ffcc6f,0x3ff26000,0xeeeeefff,0xfffffeee,0x3ffee007,0x1fff4c01,
    0x7fff5cc0,0x3ee01cff,0x0004ffff,0xb803fff9,0x5001acff,0xd005ffff,
    0xfffa8fff,0xffff1003,0x3fff2009,0x2fcc0003,0x01fffe80,0x2a3fff40,
    0x74003fff,0x7ffd47ff,0x3fffc003,0x54009500,0x22007fff,0x7d400ffc,
    0x322007ff,0x3fe200ff,0x200004ff,0x0000fff8,0xf987ffee,0x0d501d00,
    0x01bffe20,0x00dfffd1,0x2bfffee0,0x3f6ea219,0x4002ffff,0x3e66fff8,
    0x2000003f,0x2007fffa,0xd800ffc8,0xb1000eff,0xf1001dff,0x32009fff,
    0x0003ffff,0xf7003ff7,0xfff88005,0xfff8805f,0x17fff21f,0x02fffe80,
    0x007fff90,0xd005f980,0x44003fff,0x3f21ffff,0x3e2005ff,0x3ff21fff,
    0x7ffc005f,0x80136007,0x8007fff8,0x7fc400fc,0x0fc8007f,0x017fff40,
    0x7fff7000,0x7ffc4000,0x70003e65,0x3ffe200f,0x3fff6206,0xff30001e,
    0x3fa600ff,0x1000dfff,0x3feadfff,0x44000003,0xc8007fff,0x7ffe400f,
    0x6ffe8000,0x05fffd00,0x037fff40,0x9003fe80,0xfffb000b,0x3ff6001d,
    0x017ffd46,0x003fffd0,0x000ffff2,0x3a00bf30,0x6c001fff,0x7ffd46ff,
    0x37fec002,0x000bffea,0x2e00ffff,0x7ffc004f,0x01f88007,0x8007fff8,
    0x7ff401f8,0x3a00001f,0x40006fff,0xf98efffe,0x803e4000,0xc986fff8,
    0x000dffff,0x01fffe60,0x0dffff90,0x2bbffe20,0x00002fff,0x007fff80,
    0x3e601f88,0xf70004ff,0xffd007ff,0x7fcc003f,0x7d4003ff,0x000b6005,
    0x003ffff7,0x64c05dc4,0x7fff4001,0x7fff9001,0x05f98000,0x003fffd0,
    0xc980bb88,0x0bb88001,0xf8001c98,0xeeeeefff,0x04fffeee,0x003fffc0,
    0xfff801d8,0x803b0007,0x0001fffe,0x5fffff50,0x7ffe4000,0x4000faef,
    0xff8800fd,0xfffeeeff,0x80000bef,0x8007fff8,0x804ffffa,0xfffffff8,
    0x000002ff,0x8003fffc,0xffff101d,0x7ffc0001,0x7fff401f,0x7ffe4001,
    0x03fa001f,0x22000d80,0x0004ffff,0xffd00000,0x3ff2003f,0x7cc0003f,
    0x3fffd005,0x00000000,0x3e000000,0xeeeeefff,0x04ffffee,0x003fffc0,
    0xfff800a8,0x80150007,0x0001fffe,0xbfffbfb0,0xfffd8000,0x74000fff,
    0xfff8801f,0xffffcccf,0x3e200002,0xfb0007ff,0xf8807fff,0xffff9eff,
    0x2000002f,0x50007fff,0x13fff601,0xdfff7000,0x01fffe80,0x06fffe80,
    0x28007f90,0x37fff400,0x00000000,0x2003fffd,0x0003fffc,0xfe802fcc,
    0x000001ff,0x00000000,0x100ffff0,0xff8009f9,0x4000007f,0x00007fff,
    0x007fffa0,0x3e3be200,0x40000fff,0x0dfffffd,0x200bfe00,0x7d46fff8,
    0x00000fff,0x000ffff1,0x01ffffe2,0x3e6dfff1,0x0002ffff,0x00ffff00,
    0xffff9800,0xfff80000,0x3fffa03f,0xfff98001,0x037cc03f,0x3ff20000,
    0x555401ff,0xaa882aaa,0xe800aaaa,0xf9001fff,0x980007ff,0xfffd005f,
    0x55555403,0xaaaa882a,0xaaaa80aa,0xaaa882aa,0xff000aaa,0x026c00ff,
    0x001fffe0,0x0ffff000,0x7ff40000,0xfc80001f,0x009fffb2,0xfffff900,
    0x0ffe003d,0x21bffe20,0x0006fffd,0x00ffff10,0x17fffdc0,0x4cdfff10,
    0x002fffff,0x07fff800,0x7ffdc000,0xffd00007,0x7fff40bf,0xfff90001,
    0x00ff401f,0xfff30000,0xfd95007f,0xfb710dff,0xfd005fff,0x3f2003ff,
    0x4c0003ff,0xfffd005f,0x7ff65403,0xffdb886f,0xfeca82ff,0xfdb886ff,
    0xff002fff,0x025400ff,0x801fffe0,0x7ffc0049,0x80126007,0x0001fffe,
    0xfff33fc4,0x3a60000f,0x403fffff,0xf8804ff8,0xffe886ff,0xf880003f,
    0x7c0007ff,0x3e205fff,0x7ffcc6ff,0x400002ff,0x26007fff,0x37ffec04,
    0xfffd8000,0x07fffa07,0x5fffe800,0x00007f70,0x2ffff440,0x1bffe200,
    0x005fff90,0x2003fffd,0x0003fffb,0xfe8027cc,0xff8801ff,0x7ffe406f,
    0x1bffe202,0x005fff90,0x9801fffe,0x3fffc004,0xf8009500,0x12a007ff,
    0x01fffe80,0x3a1fdc00,0x00002fff,0xbfffffb1,0x402ffcc0,0xf306fff8,
    0x80003fff,0x0007fff8,0x807ffff4,0xf986fff8,0x0002ffff,0x801fffe0,
    0x7fff404a,0xff900005,0x3ffa01ff,0x3e60001f,0x37c42fff,0x3f200000,
    0xe8000fff,0x7fd406ff,0xfffe802f,0x9fff7001,0x04fa8000,0x003fffd0,
    0xf501bffa,0xffe805ff,0x17ffd406,0x007fff80,0x3fffc000,0xf8009b00,
    0x136007ff,0x01fffe80,0x2e07f400,0x00006fff,0x3fffffe6,0x05ffa80d,
    0x206fff88,0x000efffb,0x01fffe20,0x3ffff900,0x41bffe20,0x02fffff9,
    0x0ffff000,0xff1026c0,0x200009ff,0xd01ffffb,0x80003fff,0x360ffffc,
    0x2000001f,0x002ffffa,0x880dffb0,0xfe802fff,0xff7001ff,0xfa80009f,
    0x3fffd003,0x01bff600,0xd805fff1,0x7fc406ff,0xffff002f,0xff800000,
    0x09f7007f,0x007fff80,0x7f4009f7,0x260001ff,0x3ffff04f,0x27e60000,
    0xb86ffffd,0xff8806ff,0x7ffec06f,0x3fe20005,0x7dc0007f,0xff102fff,
    0x7ffcc0df,0xf80002ff,0x9f7007ff,0x1ffffcc0,0xfffa8000,0x3fffd03f,
    0xffe88000,0x0009f55f,0x7fffc400,0x3ff20005,0x17ffc406,0x00ffff40,
    0x005fffa8,0xe8017dc0,0xf9001fff,0xfff880df,0x037fe402,0x400bffe2,
    0x40007fff,0x3fffe008,0xeeeeeeee,0x7c004fff,0xeeeeefff,0x04fffeee,
    0x007fffa0,0xf901fd80,0x200009ff,0xffff70f9,0x807ffc87,0x4406fff8,
    0x0002ffff,0x000ffff1,0x03ffffa8,0x980dfff1,0x002fffff,0x777fffc0,
    0xffeeeeee,0x3ffea04f,0xf300002f,0x3fa09fff,0xa80001ff,0x0ffbffff,
    0x3f600000,0x20000fff,0x7c406ffc,0xffe802ff,0xfff1001f,0x0fd8000f,
    0x03fffd00,0x101bff20,0xfc805fff,0x7ffc406f,0x0ffff002,0x3e01e800,
    0xeeeeefff,0x04ffffee,0x777fffc0,0xfffeeeee,0x3ffa004f,0xdf10001f,
    0x07fffcc0,0x707cc000,0x7e41ffff,0x7fc400ff,0xfffa806f,0xff88001f,
    0x7cc0007f,0xff104fff,0xfff300df,0x7c0005ff,0xeeeeefff,0x04ffffee,
    0x00ffffea,0x7fffcc00,0x03fffd03,0x3fff6000,0x000002ff,0x00bfffee,
    0x80dff900,0xe802fff8,0x3e001fff,0x10002fff,0x7ff400ff,0xdff9001f,
    0x02fff880,0x22037fe4,0xff002fff,0x35c000ff,0x201fffe0,0x7c004fc8,
    0xfc8807ff,0x3fffa004,0x05f90001,0x003fffd8,0x7ec0f980,0x3fff61ff,
    0x3fffc401,0x0efffc80,0x3fffc400,0x3ffe6000,0xdfff303f,0x3fffe600,
    0xfff0003f,0x09f9100f,0x027fffc4,0xffffa800,0x03fffd01,0x3ffe2000,
    0x2000005f,0x004ffff8,0x406ffc80,0xe802fff8,0x2e001fff,0xb0005fff,
    0x7ff4007f,0xdff9001f,0x02fff880,0x22037fe4,0xff002fff,0x3e6000ff,
    0x03fffc04,0xff8009b0,0x0136007f,0x001fffe8,0xff500ff0,0xf30000df,
    0x22fffa81,0x4c02fffe,0x3a007fff,0x44005fff,0x40007fff,0x302ffffb,
    0x5400ffff,0x004fffff,0x2007fff8,0x7fffc04d,0xff700005,0x3ffa01ff,
    0x3200001f,0x00003fff,0x01bfffa0,0x037fe400,0x200bffe2,0x4001fffe,
    0x4002fffe,0x7f4006fb,0xff9001ff,0x2fff880d,0x2037fe40,0xf002fff8,
    0xd0001fff,0x7fff803f,0xf0012a00,0x25400fff,0x03fffd00,0x3339f500,
    0xff333333,0x05b003ff,0x3ffe03e6,0x00ffffe2,0x003ffff5,0x037fffe6,
    0x03fffc40,0x3ffff200,0x1ffff700,0x7fffec00,0x3fe000ef,0x012a007f,
    0x000dfffd,0x81ffff20,0x0001fffe,0x00fffee0,0x7ffdc000,0xf900001f,
    0xfff880df,0x1fffe802,0x7fffcc00,0x1ffd9803,0x3fffe200,0x0dff9003,
    0x402fff88,0x7c406ffc,0xff9802ff,0x3aa001ff,0x7fff806f,0xf0012600,
    0x24c00fff,0x03fffd00,0xfffffd00,0xffffffff,0x09b00bff,0x3ffe03e6,
    0x07ffff10,0x6fffff4c,0xffff7002,0xff88059f,0x7ec0007f,0xffd307ff,
    0xf1001bff,0xbfffffff,0x7fff8015,0xf9012600,0x20000fff,0x3a05fffd,
    0x00001fff,0x000fffee,0x3fffe600,0x3f200003,0x7ffc406f,0x1fffe802,
    0xfffe8800,0xfdb99bce,0x6c000eff,0x802fffff,0x7c406ffc,0x7fe402ff,
    0x17ffc406,0x3ffffa60,0xccccccdf,0x03fffeec,0x0007fff8,0x03fffc00,
    0xfffd0000,0xadf98003,0xaaaaaaaa,0x00ffffba,0x40f9836c,0x3fe27ff9,
    0x7f74c3ff,0xffffffff,0xffffd806,0xff101fff,0xfe8000ff,0x3ffa66ff,
    0xefffffff,0xfffffd05,0x9fffffff,0x003fffc0,0x3fffee00,0xffe80000,
    0x3fffa03f,0x3ee00001,0x800003ff,0x0006fffe,0x2037fe40,0xe802fff8,
    0x10001fff,0xffffffd7,0x4005dfff,0xffffffed,0xf901efff,0xfff880df,
    0x037fe402,0x220bffe2,0xfffffffe,0xffffffff,0x00ffffff,0x0007fff8,
    0x03fffc00,0xfffd0000,0x01fd8003,0x01fffec0,0x03e60ff6,0xffd85ff9,
    0x0000001f,0x3ffe2000,0x3fe60007,0x000003ff,0xfff80000,0xfe800007,
    0x440003ff,0x7f406fff,0x200001ff,0x0003fffb,0x07fffe40,0xfc80a800,
    0x7ffc406f,0x1fffe802,0xcaa98000,0x0001abfd,0x64001f98,0x7fc406ff,
    0x37fe402f,0x00bffe20,0x003ea000,0x003fffc0,0xfff80220,0x80440007,
    0x2001fffe,0xf98006f8,0x7fec07ff,0xff707cc2,0x00bff509,0x005b9100,
    0x7fff8800,0x3fffa000,0xdc880006,0xff000002,0x088000ff,0x003fffcc,
    0x007fff20,0x0003fffd,0x01fffdc0,0xffff5000,0x40740005,0x7c407ffb,
    0xffe802ff,0xe800001f,0x3ec00007,0x03ffdc00,0x700bffe2,0xff880fff,
    0xf800002f,0x3ffe0006,0x00f40007,0x8000ffff,0x3fffd01e,0x0017e400,
    0x202fffe8,0x989dfffd,0x03ffc98f,0x4c000062,0x0000ffff,0x00ffff10,
    0x07fffee0,0x3ffe6000,0x7c00000f,0x740007ff,0x03fffd81,0x09fff100,
    0x003fffd0,0x1fffdc00,0xfff88000,0x1aa0005f,0x2e03ffd4,0xfe802fff,
    0x400001ff,0x00000ff8,0xa8003ff1,0x7fdc07ff,0x3ffd402f,0x00bffee0,
    0x00ff3000,0x003fffc0,0xfff80d70,0x81ae0007,0x1001fffe,0x7dc000ff,
    0x7e5406ff,0xffffefff,0x0000001d,0x013ffae2,0x3fffc400,0x7fffc400,
    0xd7100004,0x800007ff,0x20007fff,0xffff106b,0x3fff2000,0x1fffe800,
    0x3ff20000,0xfb00003f,0x40001fff,0x5fff305d,0x0ffffb60,0x007fffa0,
    0x07ff3000,0x13fe6000,0x05fff300,0x00ffffb6,0x3605fff3,0x0003fffe,
    0x0017fd40,0x0007fff8,0xfff809f3,0x09f30007,0x800ffff4,0x220004fb,
    0x3002ffff,0x0039fb55,0xf9800000,0xf100006f,0xe8800fff,0x0000efff,
    0x0037fcc0,0x01fffe00,0xf5027cc0,0xfb8009ff,0xffd001ff,0x6400003f,
    0x80004fff,0x002ffffb,0x7c40ff20,0xea89cfff,0xa9ffff9d,0x03fffd01,
    0xeff88000,0xfff00000,0x7ffc4001,0x9dea89cf,0x81a9ffff,0x89cffff8,
    0xffff9dea,0x880001a9,0xf8000eff,0xe8000fff,0x7fffc01f,0x01fe8000,
    0x2007fffa,0x40002ff8,0x8006fffe,0x000000f9,0x05ff9800,0xffff3000,
    0x7fffdc00,0x9800000d,0x400005ff,0x8000ffff,0x7f4401fe,0xffd800df,
    0x3ffa000d,0x3a00001f,0x40005fff,0x004ffff8,0x405ff910,0xfffffffa,
    0x9fffff15,0x7ffff101,0xff900000,0x0175337f,0x9bfffb80,0xff500ba9,
    0x22bfffff,0x00cfffff,0xfffffff5,0x3ffffe2b,0xfb00000c,0x075337ff,
    0x00ffffcc,0x980dfd50,0x2001ffff,0x3e206fea,0xfc803fff,0x7ec0000f,
    0x4c003fff,0x0000000f,0x00ffec40,0x7fffa800,0x7ffecc40,0x1000004f,
    0x00003ffb,0x00ffffcc,0x400dfd50,0x221beffb,0x003ffeb9,0x01ffffc4,
    0xffffb800,0xfd0001bf,0xdddddfff,0xdddddddd,0x803fffff,0x23fffffc,
    0x200beff8,0x02fffffd,0x7ff44000,0x8003ffff,0xffffffe8,0x3fff200b,
    0x3bfe23ff,0xfffc800b,0x3bfe23ff,0x4c00000b,0x2efffffe,0xfffffd30,
    0x9999999b,0x407fffdd,0xdfffffe9,0xeccccccc,0x3603fffe,0x302fffff,
    0x001bfff9,0x3ffffea0,0x051001cf,0x5c000000,0x0001befe,0xfffffd30,
    0xffdb99bd,0x00019fff,0x17dfd700,0x7f4c0000,0xcccdffff,0xffeecccc,
    0x76cc003f,0xefffefff,0xffd8001c,0x70002fff,0xfffffffd,0x54007dff,
    0xffffffff,0xffffffff,0x07ffffff,0x32206ea0,0x3fffb602,0x1effffff,
    0x332a0000,0xca80002c,0x5d4002cc,0x0002c881,0x05910375,0x99500000,
    0xfffd1057,0xffffffff,0xffffffff,0xffe881ff,0xffffffff,0xffffffff,
    0x7f6c0fff,0xffffffff,0xfffff91e,0x2a003dff,0xffffffff,0x000005ff,
    0x09880000,0xfdd30000,0xffffffff,0x37bddfff,0x98800000,0x3a200000,
    0xffffffff,0xffffffff,0x000fffff,0x06f2e620,0x7fff6c00,0x1effffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01100554,0xcccc8000,0xcccccccc,
    0x3000001c,0x000019d9,0x66666640,0x1ccccccc,0x00012000,0x37000000,
    0x33332600,0xcccccccc,0x66440004,0xcccccccc,0x95000ccc,0x99999999,
    0x00009999,0x200ae200,0xaaaaaaaa,0x001aaaaa,0x00000000,0x55554400,
    0x00000000,0x00000000,0x00002200,0x00400088,0x00018800,0xa8000000,
    0xc80cfffe,0x3e200000,0xffffffff,0x0002ffff,0xfecefb80,0xf8800003,
    0xffffffff,0x0002ffff,0x000000f3,0x1ffec000,0x7ffffdc0,0x7fffffff,
    0x7ffcc000,0xffffffff,0xff7001ff,0xffffffff,0x00000fff,0xf00fffa0,
    0xffffffff,0x0009ffff,0xd93007d8,0x0005bdff,0x017ffee0,0x1fe4c000,
    0x0027e4c0,0x88001f60,0x003effeb,0x4401fcc0,0x880006fc,0x8800006f,
    0x540006eb,0x3fffffff,0x2200003c,0xffffffff,0x002fffff,0x3644e800,
    0x7fc40000,0xffffffff,0xb0002fff,0x0000000f,0x03fff400,0x7fffffdc,
    0x07ffffff,0x7fffcc00,0xffffffff,0xfff7001f,0xffffffff,0x000000ff,
    0xff017ffe,0xffffffff,0x40009fff,0xffc804f8,0x0dffdaac,0x77fec000,
    0x75400000,0x36a03fff,0x40004fff,0xdb0001fa,0x007fff99,0x76c03740,
    0xd80006ff,0x2600001f,0x0006fffd,0x7ff54e6c,0x006eceff,0x00000000,
    0x881f5000,0x0000001f,0x3e600000,0x00000007,0x01ffea00,0x00000000,
    0x00000000,0x0a980000,0x202ffd40,0xaaaaaaaa,0x001aaaaa,0xfb007ea0,
    0x1dff505f,0x07ffc000,0x3f7a0000,0xfbd03fff,0x80009fff,0x5b8004f8,
    0x90007ff8,0x37ec003f,0x00fea000,0xfffdc800,0x4340006f,0x0ffffffc,
    0x00000000,0x1f500000,0x00002f88,0x10000000,0x00000fff,0x1fd80000,
    0x00000000,0x00000000,0xb7100000,0x9dfffffd,0x00774415,0x20000000,
    0x2ffcc07d,0x0009ff90,0x00007fea,0x03fffa80,0x0027ffcc,0x04003ec0,
    0x98007fb8,0x37ec004f,0x00df1000,0x37ffc000,0x22091000,0x0001dfec,
    0x00000000,0x1b21fc00,0x98800000,0xfe880001,0x6665c07f,0xcccccccc,
    0x66664c02,0xdedccccc,0x00000001,0x00050000,0xa8000000,0xba9bdeff,
    0xdefffffd,0x0000000c,0x2027c400,0x3e602ffd,0xfc8000ff,0x44000002,
    0xff803fff,0xfa80004f,0x7fb00001,0x000dd000,0x64000df9,0x2000001f,
    0x00006ffd,0x32e00000,0xcccccccc,0x664402cc,0x3ccccccc,0xd7bf9000,
    0x4000007f,0xfffffdc9,0x2a000ace,0xaaaffffe,0x7ff5c41a,0x0009dfff,
    0x2bffff6a,0xccccc800,0xcccccccc,0xcccccccc,0x3e600004,0xccb80001,
    0xcccccccc,0x7fec401c,0x3fffc804,0x81dc9800,0x540003db,0x0fffc01f,
    0x003fff10,0x000007f0,0x200fffe0,0x80004ffe,0x980004f8,0x1fb8003f,
    0x006fc800,0x00009f30,0x36aaaaa6,0x002aafff,0x40000a00,0xfffffeb8,
    0x36a0009d,0x000affff,0x00efecc0,0xffd88000,0xfdca9ace,0xffb801ef,
    0xffffffff,0xdffff103,0x1ffc8000,0x7ffe4c00,0xeeeeeeff,0x7fffffee,
    0x13f20000,0x7f5cc000,0x801cffff,0x2003fffa,0x4004fffb,0x7fd47ffe,
    0x1b60003f,0x801fff10,0x44003fff,0x20000004,0xfe803fff,0xfb00004f,
    0x7f5c4000,0x027cc003,0x0006fc80,0x6c0000dd,0xffffffff,0x0000ffff,
    0x00001f98,0x01bfffe2,0x003ff900,0x0027e400,0x1fffb800,0x01fff4c0,
    0x800fff70,0x0004fffd,0x500037d4,0x4400ffff,0x80000ffc,0x0000fff8,
    0x13fffe20,0x01fffc40,0x017ffdc0,0x21ffff88,0x0005fffc,0xff9809f1,
    0x3ffe200f,0x00000002,0x01fffc00,0x00027ff4,0x88002fa8,0x00efffee,
    0x20001fd0,0xfc8006fc,0x2a600001,0xfffdaaaa,0x900002aa,0xd800009f,
    0x40004fff,0x200006f9,0x0000fff8,0x0077fec0,0x00effd88,0x4007ffb8,
    0x0003fffc,0x10002fcc,0x9000ffff,0xf700001f,0x800007ff,0xd002fffe,
    0x74000fff,0xfb000fff,0x2fffa8df,0x803f7000,0x7cc07ffa,0x4000007f,
    0x7fc00019,0x4ffe803f,0x013e0000,0x07ffb300,0x40005f70,0x7cc006fc,
    0x90000004,0x80000dff,0x0000fff8,0x00ffff20,0x000bf300,0x01fffdc0,
    0x1fff9000,0x0dffd000,0x800fff70,0x0003fffc,0x20002fcc,0x88007fff,
    0xfe80001f,0x400006ff,0xb801fffe,0x20003fff,0x1005fffa,0x03930177,
    0x5c036c00,0x7fd407ff,0x76dc4005,0x1fcc1bde,0x0fffe000,0x0013ffa0,
    0x80007d80,0x7c406ff8,0x37e40005,0x0003ba00,0x37fe4000,0x3fee0000,
    0x3200003f,0x40003fff,0x200005f8,0x0006fffe,0x009fff30,0x00fffee0,
    0xc800fff7,0x40003fff,0x7c0005f9,0x3b0007ff,0xfffa8000,0x200002ff,
    0x4c01fffe,0x0000ffff,0x0017fffc,0x7c400000,0x07ffb804,0x88017ff4,
    0xffebcefd,0x300bf14f,0x3e5bddb7,0xffe803ff,0x0def64c4,0x0002fa80,
    0x7ec06fd8,0x37e40000,0x0005f700,0x6ff65440,0x000dff93,0x06fffe80,
    0x3fff2000,0x2fc40003,0xfffa8000,0x440002ff,0x0000ffff,0xb807fffe,
    0x7e4007ff,0x4c0003ff,0x7fc0005f,0x0150007f,0xffdfd800,0x3a00005f,
    0x7f401fff,0xc80004ff,0x00006fff,0x01fb8000,0xb107ffb8,0x3a2003df,
    0xeffe884f,0xcffc805e,0xfffdfeca,0x14ffe803,0x7ffffffd,0x00013e00,
    0x2fb817ee,0x06fc8000,0x0000bf30,0x75deffd4,0x006ffdef,0x3fffea00,
    0xf900002f,0x880007ff,0xfb00005f,0x000bfffb,0x004fffd8,0x037ffdc0,
    0xc800fff7,0x40003fff,0x7c0005f9,0x000007ff,0xff1df100,0x200001ff,
    0x2201fffe,0x0002ffff,0x21ffffa8,0x82aaaaaa,0x0aaaaaa8,0x5c01b600,
    0x7fed47ff,0xbfd1000e,0x07fffcc0,0xd1037f60,0xd007ffff,0xfffd19ff,
    0x00bfffff,0xfd0000fb,0x0017e203,0xe803fec0,0xf700000f,0xffff703f,
    0x7ec0000d,0x0005fffd,0x007fff90,0x0005f880,0xfff8ef88,0xff30000f,
    0xf00001ff,0x3ee07fff,0x7fe4007f,0x7cc0003f,0x7ffc0005,0x00000007,
    0x3fff65f9,0xffd00004,0x7ffcc03f,0xf980001f,0x3b2a2fff,0xdb886fff,
    0x1002ffff,0x3fee009f,0x77fffd47,0x01ffc803,0xd027ffd4,0x7ff440ff,
    0xdffe803f,0xfea88bee,0x7d403fff,0x8aced802,0x3f602fd9,0xffb00000,
    0x0005f700,0xc80bfee0,0x00006fff,0xffff1df1,0xff900001,0xf880007f,
    0x2fc80005,0x0009fffb,0x001fffee,0x82ffff40,0x64007ffb,0x40003fff,
    0x7c0005f9,0x126007ff,0x99fe2000,0x00007fff,0x5c03fffd,0x0001ffff,
    0x83ffff88,0x6406fff8,0xf7002fff,0x1ffee003,0x02fffecc,0xfb00dff3,
    0xff701fff,0x3fffb807,0x04fffe80,0x00ffffb1,0xfff9009f,0x7d4019ff,
    0x90351003,0x20ddfffd,0x351005f8,0x101bfe20,0x0000dfff,0x7ffecbf2,
    0xffc80004,0x7c40003f,0x3fc40005,0x000ffff3,0x001bfff6,0x83fffec0,
    0x64007ffb,0x40003fff,0x7c0005f9,0x12a007ff,0xd0fee000,0x00005fff,
    0x6403fffd,0x0000ffff,0x20bffff0,0x7d406ffe,0x0db002ff,0x203ffdc0,
    0xf705fffd,0xfcfc80bf,0x37fc44ff,0x01fffcc0,0x7402fff4,0x3ec03fff,
    0x22003100,0x7ff1006f,0x01fb0000,0x3207ff10,0xffe801ff,0x7f880006,
    0x001fffe6,0x00ffff20,0x000bf100,0x7ff43fb8,0xffe8002f,0xf900005f,
    0xff701fff,0xfffc800f,0x2fcc0003,0x1fffe000,0x80004d80,0x7ffdc0fe,
    0xffe80006,0x3fffa01f,0x3fe00007,0xdffb06ff,0x02fff880,0x2e003f88,
    0xffe807ff,0x04ffd81f,0x3ffe67ee,0x802ffe46,0xfe803fff,0xfffa804f,
    0x0017d405,0x800fec00,0x40003ffe,0xffd003fb,0x00fff307,0x0001bff2,
    0xfffd0fee,0xffc80005,0x7c40003f,0x07f40005,0x001bffee,0x009ffff1,
    0x3fffee00,0x007ffb81,0x001fffe4,0x00017e60,0x2e00ffff,0x7cc0004f,
    0x03ffff04,0x1fffe800,0x01bfffe0,0x7fffe800,0x880dff90,0xfb802fff,
    0x1ffee001,0x217ffee0,0x5f703fff,0xff1fffe2,0x3ffe009f,0x04ffe803,
    0xf00dfff0,0xfa80000b,0x7fff9004,0x02fc4000,0xc83fffc8,0xff9007ff,
    0x1fd0000d,0x006fffb8,0x01fffe40,0x0017e200,0xfff04f98,0x7fcc003f,
    0x500003ff,0xf707ffff,0xffc800ff,0x7cc0003f,0x7ffc0005,0xeeeeeeef,
    0x0004fffe,0xffc80fec,0x7f40004f,0x3ffa01ff,0x3a00007f,0xff906fff,
    0x2fff880d,0x5c006e80,0xff8807ff,0x27ffcc7f,0x3ffe1fd4,0x07fff10f,
    0x200fffe0,0xfb004ffe,0x00f900ff,0x8037c400,0x003ff9fb,0x2e003f60,
    0xfd83ff9f,0xdff9006f,0x04f98000,0x0003ffff,0x001fffe4,0x80017e20,
    0xfff901fd,0x7ffd4009,0xf300002f,0xff709fff,0xfffc800f,0x2fcc0003,
    0x3fffe000,0xfeeeeeee,0x20004fff,0x3fe606f8,0x3a0000ff,0x3f601fff,
    0x200007ff,0xf905fffe,0xfff880df,0x001fc402,0x6c01ffee,0x3fea0fff,
    0x7427cc5f,0xfff30fff,0x0fffe005,0x4013ffa0,0x5400fffc,0xf900002f,
    0x3e7f3003,0x7f50003f,0x3fe5f300,0x005fff83,0x8000dff9,0xfff901fd,
    0x7fe40009,0x7c40003f,0x0df10005,0x007fffcc,0x03ffffa8,0xffff3000,
    0x01fff707,0x01fffe40,0x0017e600,0x100ffff0,0x640009f9,0x7ffec02f,
    0x3ffa0003,0x3ffee01f,0xff00000f,0x3ff209ff,0x17ffc406,0x70007ee0,
    0x3f200fff,0x3ffe61ff,0x7ec17e66,0x0fffee6f,0x401fffc0,0xf7004ffe,
    0x017e00ff,0x2013e600,0x00ffe4f8,0x2201be20,0xf10ffe4f,0x3f200dff,
    0x3e20006f,0x3fffe606,0xfff90000,0x5f880007,0x805f9000,0x1003fffd,
    0x0009ffff,0x07fffea0,0x488bffea,0x00ffff20,0x000bf300,0x2007fff8,
    0x1fe0004d,0x01bffea0,0x01fffe80,0x007fffea,0x3fffe200,0x80dff902,
    0x7402fff8,0x7ffb8006,0x43fff700,0xbd17fff8,0xf727fec0,0x3fe009ff,
    0x4ffe803f,0x00dff900,0x3a0001f2,0x7c5e800e,0x1fd8003f,0x1ffc5e80,
    0x401fffe2,0x20006ffc,0x7fec02fc,0xff70003f,0xf980007f,0x00ff0005,
    0x400dfff5,0x0005ffff,0x01ffff70,0xb55dfff1,0x1fffdc03,0x013e6000,
    0x00ffff00,0xfa800254,0x9999999c,0x01ffff99,0x03fffd00,0x017fffcc,
    0x7fffcc00,0x80dff901,0x2202fff8,0xffb8003f,0x1fff5007,0xee9fffe8,
    0xa8bffa00,0xff005fff,0x9ffd007f,0x013ff600,0x900017d4,0x81d9005f,
    0x7d4003ff,0x7c0ec803,0x07fff83f,0x000dff90,0x7fd403fc,0xff70006f,
    0xf980007f,0x9cfa8004,0x99999999,0xd001ffff,0x0000dfff,0xd81ffff2,
    0x403fffff,0x0004fffb,0x200027d4,0x26007fff,0xfffd0004,0xffffffff,
    0x000bffff,0xf007fffa,0x00009fff,0x640ffff5,0x7fc406ff,0x007ee02f,
    0x401ffee0,0xffb87ffa,0x7fc00eff,0x1bffe60f,0x401fffc0,0xfd004ffe,
    0x02fc007f,0xb805f980,0x003ff81f,0x3ee01ba2,0xfe83ff80,0xffc801ff,
    0x39f50006,0x33333333,0x0003ffff,0x0009fff7,0xe8004f98,0xffffffff,
    0x5fffffff,0x0ffff900,0x3fff6000,0x3bffa205,0x4fffb803,0x01fd4000,
    0x01fffe00,0x37e60000,0xaaaaaaaa,0x0ffffbaa,0x1fffe800,0x03fffdc0,
    0x17ffec00,0x880dff90,0x1ba02fff,0x03ffdc00,0xf885ffb8,0x7cc01fff,
    0x2ffff86f,0x804fff80,0xff004ffe,0x07e4001f,0x2007f400,0xeeeeeff8,
    0xc804eeff,0x77fc401f,0xeeffeeee,0x017fff64,0x4001fff2,0xfffffffe,
    0xffffffff,0xfffb8005,0x1fd40005,0x2ab7e600,0xaaaaaaaa,0x800ffffb,
    0x000ffffb,0x03fffe80,0x3ea00088,0x5c0005ff,0x7fc0002f,0x8000007f,
    0x7ec001fd,0xfe8003ff,0xffe801ff,0x3e60003f,0x7fe405ff,0x17ffc406,
    0x70003f88,0x06f4cfff,0x7dc0bfee,0x7fe404ff,0x06fffc81,0xe804fff8,
    0xffb804ff,0x017cc002,0x2600bee0,0xffffffff,0x7cc05fff,0xffff9804,
    0x5fffffff,0x007fffe6,0x3000fff9,0x555555bf,0xfff75555,0xff98001f,
    0x7dc0005f,0x00fec002,0x00ffff60,0x001ffff4,0x01bffe20,0x7ffc4000,
    0x07ec0006,0x1fffe000,0x44011000,0xff98006f,0xffe8007f,0xfff9801f,
    0x3ff60006,0x3ffdc00f,0x40bffe20,0xf70000fb,0x217fecff,0x3fee06fd,
    0x7ff302ff,0x17fffe20,0x805fff98,0xfe804ffe,0x00bf0005,0x80002fcc,
    0x0dd003ff,0x40ffe000,0x101efffc,0x8001fffb,0x7ec001fd,0x7c4003ff,
    0x6c0007ff,0x1be2000f,0x1fffe600,0x03fffcc0,0x07fff200,0x8007dd50,
    0x0001ffff,0xf0000ff1,0xe8000fff,0x000bf201,0x0017fff4,0x4007fffa,
    0x8003fffc,0xa803fff8,0x7fdc07ff,0x000dd02f,0xff93ffe4,0xa80ffcc5,
    0x1bfffdbf,0xb807ff51,0x5c1effff,0x19afffff,0x407fffd0,0x90000ffd,
    0x03fa001f,0x01ffc000,0x80000fe4,0xfff103ff,0xffe985ff,0x88039cff,
    0xff98006f,0xffe8007f,0xff10002f,0x002fc800,0x005fffd0,0x000ffff6,
    0x4027ffc4,0x2001ffff,0x0004fffb,0xf00007fb,0x5c000fff,0x001fe206,
    0x006fffb8,0x800ffff4,0x001fffd8,0x4013ffa2,0xdb02fff9,0x7f107fff,
    0x3ffe6000,0x7dcffe27,0x547f302f,0xdfffffff,0xffff7001,0xff3dfdff,
    0x2603bfff,0x30adfffe,0x40001bfb,0x3fb802f9,0x0ffe0000,0x00009f30,
    0xfd301ffc,0x7ffdffff,0x07dffff9,0x20005f90,0x4002fffe,0x0005fffb,
    0x7c4007f9,0x3fee0007,0xfff1006f,0x3ff2000f,0xffff800f,0x7fff4004,
    0x037dc002,0x07fff800,0x5c09f300,0x3e20004f,0x3a002fff,0x5c001fff,
    0xf9802fff,0x3e2002ff,0xea89cfff,0xa9ffff9d,0x98001f71,0x547fffff,
    0x201dfffd,0x5795304e,0xfff30001,0x3fe1bfff,0xfd5000cf,0x05ffffff,
    0x1017e000,0xd80000df,0x007f402e,0x805db000,0xffffffd8,0x003bff91,
    0xb8001fe2,0xe8006fff,0x5c002fff,0x27dc006f,0xffff1000,0x3ffea005,
    0x7ffdc004,0xbb793001,0xffff9800,0x1ffd9803,0xffff0000,0x03fd0001,
    0x0000bfe2,0x400dfffd,0x8001fffe,0x20acffe9,0x00dffca8,0xfffffa80,
    0xffff15ff,0x000ee19f,0x40062000,0x20000000,0x1640aca8,0x57731000,
    0x4a800001,0x00004c40,0x00098000,0x54400000,0x005d41bb,0x80013ee0,
    0x002ffff8,0x01ffffcc,0x000ffecc,0x80005ff1,0x2006fffe,0x800dffe8,
    0x0000dffd,0xfd100099,0x73359dff,0x001dfffb,0x3fffe600,0x1bfaa001,
    0x0000ffc8,0x01ffffec,0x01ffffc4,0xffffd700,0x007bffff,0xfffffc80,
    0x02fbfe23,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ff10000,0xfffe8000,0xffe88006,0xdb99bcef,0x4000efff,
    0x40000ffc,0x003ffffd,0x10df7fdc,0x007ffd73,0x0000fcc0,0xffffffd5,
    0x0005dfff,0x7ffff4c0,0xccccccdf,0x83fffeec,0x00dfffc9,0xfffff500,
    0x7fec039f,0x80002fff,0x000acca8,0x881ba800,0x0000002c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x40000ffc,
    0x003ffffd,0xffffeb88,0x02efffff,0x6fffe4c0,0xfff50000,0x40039fff,
    0xfefffed9,0x0001ceff,0x00007f51,0x2f332aa2,0xd100001a,0xffffffff,
    0xffffffff,0xc81fffff,0xefffffff,0xffff5001,0x4bffffff,0xffffffed,
    0x0001efff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x93000000,0x0001bfff,0x3fffffea,0x5530001c,
    0x00357999,0xffffff90,0x3ea003df,0xffffffff,0xb988005f,0x880001bc,
    0x000001cd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffff90,0x3ea003df,0xffffffff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000200,0x00000009,
    0x00000000,0x40000130,0x000000a9,0x00000000,0x98000010,0x55440001,
    0x0026001a,0x2a600044,0x000c02aa,0x88000013,0x00000019,0x41555300,
    0x03002aaa,0x200000c0,0x00110008,0x1001a880,0x4c000003,0x5500001a,
    0x50000055,0x40003555,0x200aaaa8,0x80006fc8,0x800002fc,0x775c3fc9,
    0x5401ec02,0xfffd9801,0x7c40003f,0x7ed40006,0x2000001c,0x3000cfd9,
    0x40007dfb,0x2effffea,0xffffd800,0x803d1000,0xfff80069,0x00f4401f,
    0x3ffa2166,0xf907ffff,0x039dffff,0x003f5c40,0xf897ff60,0x099002ff,
    0xd98005b0,0x9803d107,0xfdba8006,0x02deffff,0x3ae201fd,0xfdfd5007,
    0x20009dff,0x001ffffb,0x3bffe600,0x3ff20000,0x3ffb604f,0x27cc0006,
    0x3faa0000,0x3ffee3ff,0x07ba604f,0xf100ffaa,0x013fea9f,0x0001fd80,
    0x0bfaf7f6,0x7ffc0000,0x6fd400ff,0xd8005fca,0xffffffff,0x3ffea004,
    0x3ee004ff,0x8005f303,0x9002fff9,0x007ea05f,0x98ffffd5,0xfffeefff,
    0x7e4c03ff,0x7c0007ff,0x17fea0ff,0xb00df880,0x7ff5400b,0x4c0fee07,
    0x3f62002f,0xeca9abdf,0x0bf21eff,0x01ffff26,0x74c17dd1,0x22000eff,
    0x006fffff,0x07ffee00,0x0bfff000,0x0001bf60,0x400001fd,0x23ffffde,
    0x00fffffd,0x7ecc67ec,0x44fe800d,0xa8002ffb,0x3e20003f,0x00003642,
    0x1fffffcc,0x01f31360,0x7677fec0,0x004fffff,0x3fff7bfd,0x2a2ff400,
    0xffc8005f,0x13fe2004,0x3ea00bf5,0x0bbe27ff,0x09fffd51,0x1ffffbae,
    0x43ff8800,0x5c000ffb,0x07f621ef,0x3ffffea0,0x2a2ff407,0x3fea005f,
    0x7ff4401f,0xeeb83fbc,0x7ec07fff,0x03fffa01,0x7f577e40,0xfd00003f,
    0xf980003f,0x1bf6006f,0x002fb800,0x7fff5000,0x17ffffd4,0x0f7ffec0,
    0x441ffc80,0x7c4006ff,0x43dc0006,0x800001f9,0x206ffffe,0x004e81f9,
    0xfd8817f9,0x7dc00fff,0x8017fa65,0xffa8effa,0x05fe8001,0xb8dffb80,
    0xff3000ff,0x1013a2ff,0xe80bfffd,0x2a0007ff,0x003fd86f,0xfd17ffd0,
    0x7fc42009,0x77fd407f,0x9001ffa8,0x22001bff,0xe805fffe,0x1bee07ff,
    0x00bfff30,0x3f621df3,0x7c40000f,0xfb80003f,0x1bf2000e,0x002fc400,
    0x7fff1000,0x04fdab98,0x002fffc8,0x7ff41ffa,0x003f6001,0x1f30f500,
    0xb8824000,0x3e207fab,0xf8803f82,0x1ffff402,0xfb109f10,0x7ffec005,
    0xf88004ff,0x3ffa0006,0x22003fff,0x009d7fff,0x807fffe2,0x20007ffc,
    0x006e81fb,0x3ffffea0,0xffc8000f,0xffffd807,0xfffb004f,0xffe88001,
    0x07ffc806,0x3f601ff6,0x076c00ff,0x200027e4,0xd00004fb,0x6fc8003f,
    0x001fb000,0x3fff8000,0xfa80bea0,0x801ffebf,0xffb07ff8,0x00fea007,
    0x1761fc00,0xd0079800,0x2e0dc80d,0x803c800f,0x3204fff9,0x30036404,
    0x001fffff,0x40001d70,0x007ffffa,0x367fffc4,0x17ffee00,0x0007ffb8,
    0x007e2136,0x7ffffb00,0x1ffee000,0x3ffffe60,0x4fffa800,0xfffe8800,
    0x03ffdc03,0xfc805fff,0x036a02ff,0x20000fa8,0xf100005d,0x0df90005,
    0x0005f700,0x07fff000,0x7f4c07e4,0x03fff30c,0xfb07ff98,0x0bf1009f,
    0x677e4000,0x360002ff,0x404f8807,0x04fecff9,0x2fff8000,0x00d400e0,
    0x00599970,0x20000720,0x4002cccb,0x00fffff8,0x07fffcc0,0x0007ffb8,
    0x0012603a,0x01333260,0x007ffb80,0x10059997,0x0001ffff,0x03fffdfb,
    0xfd03ffdc,0xfffb80bf,0x14400e03,0x0000b000,0xfc8001d4,0x02fc4006,
    0xfff80000,0x3207d103,0x1fffc80d,0x641bfea0,0x0fd805ff,0x764c0000,
    0x3ea0000b,0x000fb807,0x000019d7,0x0001ffa0,0x00000000,0x00000000,
    0x01ffffc4,0x04fffe80,0x0000fff7,0x00000000,0x01ffee00,0xfffc8000,
    0xabfb8004,0x3ee06fff,0x1bfee07f,0x003fff70,0x00000000,0x64000000,
    0x07ec006f,0xff800000,0x005e983f,0x40dfff10,0xffb07ff9,0x002fb809,
    0x20000000,0x7e407ff8,0x00000002,0x0017fe20,0x00000000,0x00000000,
    0x03fffc40,0x0dfff900,0x0001ffee,0x00000000,0x03ffd400,0xfff98000,
    0xafd4000f,0x703ffff8,0x7e440fff,0x03ffe402,0x00000000,0x20000000,
    0x3ea006fc,0x20000003,0x17d43fff,0x3ffea000,0x20fff103,0x3e203ffd,
    0x00000005,0x1fffa200,0x00006ec4,0x3ea00000,0x36e6000e,0x4c003dee,
    0x003deedb,0x1ef76dcc,0x3bf72a00,0x3fe2002c,0x3ea0007f,0xfff707ff,
    0xdd950000,0xaaa80159,0xaa882aaa,0xa800aaaa,0xedb807ff,0xc869abde,
    0x4c007fff,0x2ffff46f,0x0007ffb8,0x554bffd0,0xa882aaaa,0xa80aaaaa,
    0x882aaaaa,0x00aaaaaa,0x55ef76dc,0x037e4069,0x00006f88,0x96f76dcc,
    0x005c3fff,0x2b372a20,0xfd00fffd,0x03ffd01f,0xa80007f4,0x882aaaaa,
    0x00aaaaaa,0x55ffffd5,0x40053355,0xabdfedc8,0x3f600000,0x9bfb1000,
    0x805dffd9,0xfeccdfd8,0x7ec402ef,0x2effeccd,0x766ff4c0,0x8800dfff,
    0x20007fff,0xb80ffffa,0xb10007ff,0xfffb79ff,0x7ff65409,0xffdb886f,
    0xffa802ff,0xdfe89267,0x86fffebb,0x2006fffd,0x7fe40fe8,0x0fff707f,
    0x1fff3000,0x37fff654,0x7fffedc4,0xfffeca82,0xfffdb886,0x7bfd102f,
    0x80dfffd7,0x3fb006fc,0x7fe40000,0xffdfecac,0x7e40003f,0xffefecce,
    0x83ff905f,0x3ee06ff8,0x3b2a0002,0xdb886fff,0xfb82ffff,0xffffffff,
    0x7fe4003f,0x1ffffcbd,0x01fc8000,0xfb05ff50,0x3fea03ff,0x01fffd82,
    0xffb05ff5,0x037ea03f,0x801ffff3,0x0007fff8,0x207fffe6,0x98007ffb,
    0xffe884ff,0x3ffe200d,0x17ffe406,0xfabffd40,0x3a607fa3,0x5ffff86f,
    0x2e07f600,0xfb80ffff,0xfd80007f,0xdfff103f,0x02fffc80,0x901bffe2,
    0x3fa05fff,0x406fe981,0x3fa807fd,0x37f60000,0x7ffff440,0x9fd30003,
    0x3fffff30,0xff717fa0,0x0013e603,0x037ffc40,0x700bfff2,0xc8000fff,
    0x7fe442ff,0x3f20000e,0x7fcc00cf,0x0dfff302,0x3e605ff3,0x2ff986ff,
    0x30dfff30,0x7ffd40df,0x3fffc405,0xffff3000,0x00fff703,0x2205ff88,
    0x7f406fff,0x7ffd406f,0xcfffa802,0x8817ea4f,0x7fffc46f,0x207f9004,
    0xb81ffffb,0x4c0007ff,0x7ff405ff,0x17ffd406,0x501bffa0,0xbf505fff,
    0x36037c40,0x037c407f,0x40ffd000,0x003fffe8,0x2604fe88,0xd104ffff,
    0x80ffee5f,0x200000ee,0x7d406ffe,0x7fdc02ff,0x3fea0007,0x09fff107,
    0xffffc980,0x1bf601ff,0xd81ffff0,0x7fffc06f,0x3e037ec0,0x0ff40fff,
    0x80bfff60,0x0007fff8,0x20bfffe2,0x77547ffb,0x400ffd82,0x3603fffb,
    0x7fc406ff,0xfffa802f,0x2037e42f,0x7fffcc6c,0x204fa803,0xb83ffffa,
    0x6c0007ff,0x7fec00ff,0x17ffc406,0x101bff60,0xdf905fff,0xfd906c80,
    0x3f20ddff,0x01353101,0x5c03ffb8,0xc8003fff,0x7fdc00ff,0x3fae207f,
    0x07f201df,0xffd80020,0x17ffc406,0x001ffee0,0x3a06ffc8,0x3aa005ff,
    0xffffffff,0x402ffa81,0x7fd47ffb,0x23ffdc02,0x7dc02ffa,0x4037d47f,
    0x2204fffc,0x20007fff,0xb81ffff8,0x3ffe27ff,0x8037fcc6,0xf900ffff,
    0xfff880df,0x1fffa802,0x2600ffe8,0x17fffd46,0xf301be60,0xff709fff,
    0x7fcc000f,0x06ffc801,0x2017ffc4,0x7c406ffc,0x0ffe82ff,0x20001a60,
    0xfff704f9,0x3fe207ff,0x3fff9806,0x02ffcc00,0x017fffc4,0x027cc004,
    0x039dff93,0x4406ffc8,0x7dc02fff,0x3ee0007f,0x17ff604f,0x7ffdcc00,
    0x1ffe87ff,0x7f40a880,0x40a8801f,0xa8801ffe,0x55577f40,0xffdaaaaa,
    0x3ffe205f,0x7ffc0007,0x27ffb80f,0x7dc7fff8,0xfff7005f,0x01bff209,
    0x7005fff1,0x3ff20fff,0xff30e02f,0x7fc407ff,0x7fffcc00,0x007ffb84,
    0x6400bf60,0x7fc406ff,0x37fe402f,0x20bffe20,0x0e02fffc,0x541ba000,
    0x4fffecef,0xf005ffc8,0xfd8007ff,0xfffb004f,0x1ba00009,0xff73ff88,
    0x037fe401,0x700bffe2,0x44000fff,0x3ff201dd,0x7ec40006,0x3ffc3fff,
    0x01ffe000,0x000fff00,0xfffffff8,0xffffffff,0x1fffe207,0x0ffff000,
    0xff91ffee,0x004ffd87,0x320bfff3,0x7fc406ff,0x7ffdc02f,0x9ffff507,
    0xffff1001,0x400ff409,0xb83ffffa,0xf10007ff,0x37fe4009,0x00bffe20,
    0xf880dff9,0xfffa82ff,0x800000cf,0x985d01fc,0x7ffc1fff,0x07fff004,
    0x003fff80,0x000bfff5,0x3a203f90,0x8077e44f,0x7c406ffc,0x7fdc02ff,
    0x22000007,0x0006fffb,0x4cbfff90,0x260007ff,0x260007ff,0x220007ff,
    0x400005ff,0x0007fff8,0xfb837ffc,0xff80887f,0xfff1003f,0x01bff20f,
    0x6c05fff1,0x3e07ffdf,0x00cfffff,0xc827fff4,0xfff5003f,0x0fff705f,
    0x9001ae00,0xff880dff,0x37fe402f,0x40bffe20,0x0cffffff,0x09f30000,
    0x1ffe412a,0x2007fff1,0x22003fff,0xf1002fff,0x98000dff,0x07ff604f,
    0x3f20bff3,0x7ffc406f,0x03ffdc02,0x6fed4000,0x00006ffe,0x7d4ffff1,
    0x3ea0007f,0x3ea0007f,0x3e60007f,0x4400006f,0x20007fff,0xf705fff8,
    0x3fe600ff,0x3ffe003f,0x06ffc80f,0x4417ffc4,0x07ffa9fe,0x3fffffa2,
    0x3fff603f,0x2004fb85,0xb80ffffb,0x5b0007ff,0x06ffc800,0x2017ffc4,
    0x7c406ffc,0xffd102ff,0x0007ffff,0x30001dd0,0x7ffcc3ff,0x07fff002,
    0x017ffd40,0x007fff88,0xff01ba20,0x641ffe0f,0x7fc406ff,0x3ffdc02f,
    0x9fd50000,0x001bff23,0x2e7ffc80,0x70000fff,0x20001fff,0x0000fffb,
    0x0000fff5,0x007fff88,0x413ffe20,0xf7007ffb,0x7f4009ff,0x0dff907f,
    0xa82fff88,0x00fff50e,0xbffffff7,0x8ffff901,0x7e4006f9,0xfff706ff,
    0x0003a000,0xf880dff9,0x7fe402ff,0x17ffc406,0x3ffffee0,0xf70000df,
    0x1bee0005,0x2007fff7,0x2e003fff,0x3e004fff,0x320007ff,0x1ffe201f,
    0x7e407ff4,0x7ffc406f,0x03ffdc02,0x06ff4c00,0x0001bff2,0x3ea6ffa8,
    0xf50001ff,0x2a0003ff,0x30001fff,0x00001fff,0x003fffc4,0x207fff10,
    0xf5007ffb,0x7f4009ff,0x0dff906f,0x882fff88,0x401ffea0,0xefffffc8,
    0x8ffffd40,0x74000ef8,0xff703fff,0x001e000f,0xf101bff2,0xffc805ff,
    0x17ffc406,0x7fffe440,0x7cc000ef,0x0ff60005,0x2009fff7,0x2a003fff,
    0x3a005fff,0xf50005ff,0x06ffa807,0xff905ffd,0x2fff880d,0x003ffdc0,
    0x6413fe60,0x200006ff,0x3fe65ff8,0xf994004f,0x994004ff,0x94004fff,
    0x4003fff8,0x1fffe201,0x2fff9800,0x200fff70,0x2006fff9,0xff904ffe,
    0x2fff880d,0x007ffa80,0x27fffecc,0xfe9fffec,0x7ffc4001,0x0fff700f,
    0x9000b100,0xff880dff,0x37fe402f,0x00bffe20,0x4ffffd98,0x0007f400,
    0xffa85f98,0x7fff005f,0x37ffcc00,0x007ffd00,0xf700df10,0x13ff60df,
    0xf101bff2,0xffb805ff,0x3fea0007,0x01bff205,0x44ff8800,0x5000ffff,
    0x007fffc7,0x3fffe3a8,0x7fc75000,0x0d1000ff,0x003fffc4,0x5c0dff50,
    0xff1007ff,0x3fe001ff,0x0dff902f,0x802fff88,0x80707ffa,0xf886fffb,
    0x002fdeff,0x203fffd8,0x10007ffb,0x0dff9000,0x402fff88,0x7c406ffc,
    0x5c0382ff,0x2e006fff,0xdd10002f,0x01bffe60,0x1001fffc,0x7c00ffff,
    0xfd8001ff,0x06ffa800,0xff907ffd,0x2fff880d,0x003ffdc0,0x6405fff0,
    0x200006ff,0x7ff40ffa,0x741d004f,0x1d004fff,0x8027fff4,0x13fff60e,
    0xff101e40,0x80e540ff,0x3ee03ffb,0x3ff6007f,0x1fff003f,0x101ffee0,
    0xf5005fff,0x900760ff,0xff703fff,0xf30009ff,0xffb80dff,0x20000007,
    0x7c407ffb,0x7fdc02ff,0x17ffc407,0x3ff200ec,0x05f8801f,0xf803ba00,
    0xff802fff,0x7ff4004f,0xfff8802f,0x01fd4000,0xfd07ff88,0x0fff705f,
    0x402fff88,0x30007ffb,0x7e401fff,0x3600006f,0xffffa84f,0x3ea36c03,
    0x36c03fff,0x00ffffea,0xffff98db,0x1007dc05,0x3ea0ffff,0x0ffc80ff,
    0x801ffee0,0x9806fff9,0x3fea05ff,0x17ffdc07,0xd83ffd40,0x07ffc404,
    0x000fffe8,0x400fffd8,0x00007ffb,0x01ffea00,0xa805fff7,0x7fdc07ff,
    0x4404d82f,0xfd800fff,0x01bb0000,0x806fffc8,0x54004fff,0xf9806fff,
    0x2fc4005f,0x7c1ffe00,0x7ffa81ff,0x017ffdc0,0x0003ffee,0xd80fffea,
    0x004c06ff,0xffd037d4,0xfe9817ff,0xbffffe81,0x740ff4c0,0x4c0bffff,
    0xfffd81fe,0xfb710aef,0xffff8809,0x83fffc80,0x7fdc02fe,0x7ffe4007,
    0x007fec03,0x3605fff3,0xa803fffe,0x01fb07ff,0x3ea07fe8,0x7dc006ff,
    0xffb801ff,0x27f4c007,0x0bffe600,0x01ffff6c,0x6c0bffe6,0xfd83fffe,
    0x403ff400,0xe88003fb,0x7fc43305,0x3fe605ff,0xffd8005f,0x07fec04f,
    0x0003f600,0xff983ffb,0x05fff305,0x00ffffb6,0x2445fff5,0x837ffcc0,
    0x82a7fffc,0xf501cffe,0x7ffcc01b,0xfffeefff,0xfffff303,0x07fffddf,
    0x3fffffe6,0x103fffee,0xffffffff,0xf500dfff,0xff303fff,0x01fd41ff,
    0x0007ffe4,0x205fffd1,0x7c402ff9,0xea89cfff,0xa9ffff9d,0x20fff701,
    0x3fe606fd,0xffdfd103,0x3bff200b,0x1fff9001,0x17ffec00,0x9ffff100,
    0xff3bd513,0xf10353ff,0xd5139fff,0x53ffff3b,0xf981bf63,0x02fc403f,
    0x4ccef4c0,0x7dc1fba9,0x7dc1efff,0x019affff,0x03ffff10,0x7000bfe6,
    0xfd10005f,0x101ffc89,0x5139ffff,0x3ffff3bd,0xdfff3035,0xf1003b55,
    0xd715dfff,0xd97fffbd,0x6fffffc4,0x003fdbab,0xfffffff3,0xff980bff,
    0x5fffffff,0x7ffffcc0,0x4c05ffff,0xfffffffe,0x7fcc00ef,0xfe80efff,
    0x04fb9cff,0x003fffb0,0x237fffb0,0x5002ffb8,0xbfffffff,0x33ffffe2,
    0x01fff900,0xd985dffb,0x5c7f605f,0x260adfff,0x4003ffea,0x2001fffd,
    0x4003fffe,0xfffffffa,0x9fffff15,0x3fffea01,0xfff15fff,0x3ff619ff,
    0x02fecc2e,0x2a0007ec,0xffffffff,0xffff706f,0xff3dfdff,0x4003bfff,
    0x11dfffd8,0x88005ff7,0x3e20005f,0x02ffc8cf,0x7fffffd4,0xfffff15f,
    0x3fffa019,0x3ee003ff,0x54ffffff,0xa81dffff,0xefffffff,0x7ec4001d,
    0x002effff,0xdfffffb1,0x3ff62005,0x2002efff,0x4ffffffd,0x3ffffa20,
    0x0effffff,0x3dffffb3,0x3fffe200,0xffd70005,0x0039ffff,0x3fffffc8,
    0x802fbfe2,0xd84fffe8,0xfedfffee,0x20ff203f,0xfffffffb,0x44000cff,
    0x2005ffff,0x8000fffb,0x23fffffc,0x800beff8,0x23fffffc,0x6c0beff8,
    0xfedfffee,0x03fa803f,0x77777440,0x202eeeee,0xdffffff9,0x0019fff0,
    0x7ffffdc0,0xe8000cff,0x5c40000f,0x9001dffe,0x447fffff,0x4400beff,
    0x8003effe,0x21effffb,0x100dffe8,0x00035755,0x006eea20,0x00ddd440,
    0x01bba880,0x026ee600,0x2e200000,0xffd3001b,0x01dfffff,0x15795100,
    0x81ba8000,0x7f5c02c8,0x0effffff,0x0abba981,0x26202540,0x8000abcb,
    0xffffffe9,0x0b9800ef,0x40dd4000,0x750002c8,0x04059103,0x002aeea6,
    0x000000c4,0x05654400,0x100000b2,0x00015795,0x2000004c,0x06ea0000,
    0x22000b22,0x54c40000,0x00002600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05555440,
    0x22000000,0x01530009,0x2000054c,0x00000198,0x04cd4c40,0x55000188,
    0x4c000055,0x88002aaa,0x00002aaa,0x00000000,0x01988000,0x00000000,
    0x00013310,0x001b9800,0x26000000,0x80001aaa,0x2001aaaa,0x0002aaaa,
    0x00000260,0x0009a988,0x54c40000,0xa8800c01,0x551001aa,0xfd800155,
    0x000003ff,0x0effee54,0x3200fc80,0x6e4c000f,0xacefffff,0x75400000,
    0xefffffff,0x20012a1b,0x003ffffa,0x07fffb00,0x0bfffa00,0x00fea800,
    0x1fae2000,0x3f620000,0x003effff,0x6f7edc40,0x3fee0001,0x0001efff,
    0x02fff980,0x7fedc400,0x7ff4002c,0x7cc0006f,0x26000eff,0x20007fff,
    0xcefffdb8,0xfda80000,0x2dffffff,0xeb880000,0xbeffffff,0x36003e20,
    0x9000ffff,0xd0009fff,0x00000bff,0x006fbfea,0x0dd01fa0,0x677fec40,
    0xeffdca9a,0xffc80001,0xba99bdff,0x05eceffd,0xfffffe80,0xfff80000,
    0x3fa20004,0x7e4c004f,0x80000fff,0x007fffc9,0x05ffdc00,0x8003dfb3,
    0xfffccee8,0x7f44004f,0x2ffea9bf,0x7fe40000,0x3ea0005f,0x1ffffece,
    0xfffffb80,0x3ff20003,0xffa8000f,0xff98002f,0x2fffc99b,0xcffc8800,
    0x7fe54c1a,0xfc880003,0xba9aadff,0x1fdbdffc,0x7ffffcc0,0x1fff6004,
    0x03ffa200,0xffe88000,0x02fc0004,0x7fdc017e,0x7ff4c01f,0xffd10003,
    0xffd3003d,0xffb800df,0x0004ffea,0x0002ffd4,0x5003ffcc,0x01ffffdd,
    0xffeeb800,0x2e00007f,0x3fee00ff,0x88dd1000,0x2001ffff,0xffc81ffe,
    0x3ee00000,0xf70004ff,0x0ffffb89,0x3f33fe20,0xfd0000ff,0x7dc0003f,
    0x7fcc004f,0x03ffe881,0x800bba60,0x0001eea8,0x8019fff5,0x01ffffc8,
    0x7ffdf7f4,0x07ffa001,0x00bfe600,0x17ffcc00,0x80fe6000,0xffd803f9,
    0xffb1000e,0x7fcc001d,0x7dc000ef,0x3fe2006f,0x0007ff21,0x0000efc8,
    0x0003ff30,0x0001fffd,0x003fff40,0x803ff980,0x5fb006fe,0x00bfff30,
    0x7cc1bff2,0x2200003f,0x98000dfc,0xfffb80ff,0xfa93f202,0xff98004f,
    0x7fc80002,0x80ffe600,0xb801fff9,0x7e40004f,0x7ffe4003,0x7ffd4002,
    0xe997ea02,0x3fa2006f,0x0bf50003,0x1fff5000,0x05f50000,0x3f200fdc,
    0xfe8000ff,0xfff3006f,0x3fe4000b,0xf703f900,0x07fc000b,0x13ee0000,
    0x03ffee00,0x7ffc8000,0x1ff90000,0x803ff900,0xff500ffc,0x0bffa005,
    0x00004fe8,0x2ff40000,0x2601df90,0x00fe883f,0x0001fdc0,0x36003fb0,
    0x7fec00ff,0x0017dc05,0x9003fa80,0x20005fff,0x17e02ffb,0x9800bf62,
    0x1ee0006f,0x5fff3000,0x03f20000,0x3e600fd8,0xf70004ff,0xff8807ff,
    0x7e80006f,0x4c01d100,0x1f98002e,0x0d900000,0x01fff700,0xfdaa9800,
    0xaaaaaaff,0x03ffa000,0xd00ffee0,0x000880ff,0x7c05fff1,0x0000004f,
    0x017fe600,0x6c03d801,0x00274005,0x200fa200,0xf9805ff9,0x25f302ff,
    0xcccccccb,0x0fd401ac,0x017ffe60,0x2e07f900,0x20035c04,0x320000fa,
    0xfff30001,0x3f400009,0xff881ba0,0x3e0000ff,0x3f601fff,0xa80002ff,
    0x800a800f,0x02a80038,0x00640000,0x003ffee0,0xfffffb00,0x1fffffff,
    0x017ffc00,0x3e017fe4,0x2600007f,0xff503fff,0x01000005,0x013fee00,
    0x17002880,0x00016200,0x7ec02440,0xdffd004f,0x7e4c9f10,0xfffcbdff,
    0x403b203f,0x000fffe8,0x0381fc40,0x2b800330,0xd0000000,0x80000dff,
    0x817e205f,0x0004fffd,0xa837ffdc,0x00006fff,0x0000007a,0x00000000,
    0xfffb8000,0x554c0000,0xaaaafffd,0x3f6000aa,0x07fe805f,0x0003ffcc,
    0x20bfff30,0x000006fd,0x3ff2000d,0x00000004,0x00000000,0x007ffd00,
    0xd903fff6,0xf503ffe0,0x827409ff,0x0004fffc,0x000009b0,0x00000000,
    0x00fffdc0,0x409f3000,0xfff303fa,0xff00001f,0xfffd07ff,0x0d400007,
    0x00000000,0x00000000,0x001fff50,0x03ffdc00,0x3fffb800,0x5013fe20,
    0x40000fff,0xfb87fff8,0xd000002f,0x13ff6000,0x00000000,0x00000000,
    0xb8027ffc,0x0be22fff,0x7e407ff4,0x20f501ff,0x0002ffff,0x00000930,
    0x55555000,0x55551055,0x7fc40155,0xdd10006f,0xdddfdddd,0xddfddddd,
    0x3fffdcbd,0xfffe8000,0x03fffcc5,0x54000000,0x000aceec,0x2b3bb2a0,
    0x3b2a0000,0x2a000ace,0x00000fff,0x0001ffee,0x817fffcc,0x7dc00ffd,
    0x7c00007f,0xffb12fff,0x22000003,0x9ffd0006,0x372a0000,0xa8002cef,
    0x002cefdc,0x2cefdca8,0x017ffe60,0xd71fffd4,0x4407ff40,0x0be03fff,
    0x001ffff5,0xb9100c00,0x00157bfd,0x76547d98,0xdb886fff,0x3202ffff,
    0x30004fff,0xffffffff,0xffffffff,0x7fecdfff,0xfb00006f,0xfffc8fff,
    0x00000006,0xfb79ffb1,0x6c4009ff,0xfffdbcff,0x3ff62004,0x04fffdbc,
    0x301fff50,0x55555555,0x511ffee0,0x360039db,0x7e43ffff,0xdaaa880f,
    0x2aaaafff,0x3fff2000,0x541efe9d,0x2aaaaaaa,0x40016a00,0x40004ffe,
    0xffecdfe9,0xfe9800df,0x0dfffecd,0xecdfe980,0xf980dfff,0xff3005ff,
    0xfd01f49f,0x0fffa01f,0x7ffec6b8,0x90000006,0xfff97bff,0xfeb8803f,
    0xdfff107f,0x02fffc80,0x6dc3fffe,0x4003dffe,0xd037406e,0x0000bfff,
    0xf83ffff2,0x00005fff,0x84ff9800,0x400dffe8,0xfe884ff9,0x7fcc00df,
    0x0dffe884,0x407ffd40,0xcdffffd9,0x4cfff702,0x05ffffff,0x29ffffd0,
    0xff500dfc,0xffffffff,0x7cc000ff,0x702fffff,0x7bffffff,0x80017400,
    0x20004ffe,0x7fcc0dfa,0x37ea00ff,0x07fffcc0,0xf981bf50,0xfff80fff,
    0xbfff3007,0xffe803e2,0x00fff880,0xffff83e6,0xc8000004,0x7fe442ff,
    0xffff700e,0x37ff40ff,0x40bffea0,0xffbefff9,0x0dfffffe,0x2205f880,
    0xffff104f,0x3ee00009,0xfff11fff,0x0000009f,0x2205ff88,0x3e206fff,
    0x3ffe205f,0x817fe206,0x5406fff8,0xff100fff,0xfff7003d,0x3ff77fea,
    0xfe8802ff,0x403fefff,0xfffc9998,0x00019999,0x007ffff4,0x003bffea,
    0x20001f70,0x30004ffe,0x7ffd40df,0x540df305,0xdf305fff,0x42fffd40,
    0xa801fffe,0x80f35fff,0xffc80ffe,0xf88fc405,0x00004fff,0x883ffd40,
    0x74104fff,0x3ff607ff,0x17ffc406,0x2effffc8,0x077fff4c,0xf980fe60,
    0x7ffff303,0x3fea0000,0xffff33ff,0x99930007,0x59999999,0x5c00ffd8,
    0xffb03fff,0x3fffb801,0xb801ffb0,0x3ea03fff,0x09fb00ff,0x7d7ffdc0,
    0x037ff442,0xeffffd88,0x3ffe4001,0x3fee0000,0xff802fff,0x27d4000f,
    0x09ffd000,0xb007fa00,0x3fd05fff,0x82fffd80,0x7fec01fe,0x2fffec2f,
    0xaa7ffdc0,0x107ff407,0xf001bffb,0x0ffffe65,0xff900000,0x02fff40d,
    0xf903ffe4,0xfff880df,0x07fffd02,0x027fff44,0x1fb807ee,0x05ffff50,
    0x3ffe6000,0x5ffff54f,0xfd531000,0x413bffff,0xff006ff9,0x6ff981ff,
    0x81ffff00,0xff006ff9,0x3fea01ff,0x003fd80f,0x80f7ffdc,0x2001fffb,
    0x02fffffe,0x001fff20,0x7f77f4c0,0x3e200fff,0x7fc4003f,0x3ffa0001,
    0x06fa8004,0x544fffc8,0xfffc806f,0x64037d44,0x7fc44fff,0x7fe401ff,
    0xfe80d72f,0x1cffeeef,0x7fd4fa00,0x000003ff,0xfb027fdc,0xfff700bf,
    0x2037fe40,0xfd02fff8,0xff9801ff,0x03f601ff,0xff500fd8,0x200007ff,
    0xf53ffff9,0x80007fff,0x706ffff8,0x3ee00bff,0x2ffdc4ff,0x44fffb80,
    0xf7005ffb,0x3fea09ff,0x00bf620f,0x803ffee0,0x8802fff9,0xfffffcfd,
    0x0fff9003,0x2bff9000,0x205ffffa,0xfe8006fa,0x7ff40005,0xaefe8004,
    0xdaaaaaaa,0x77f45fff,0xaaaaaaaa,0x7f45fffd,0xaaaaaaae,0xc85fffda,
    0xc881ffff,0x0d51ffff,0xfe9affe8,0xa97c002f,0x0002ffff,0x00eec400,
    0xf700dff9,0x37fe40ff,0x40bffe20,0xd800ffff,0x1ba03fff,0x7fc40dd0,
    0x500004ff,0x3e63ffff,0x80004fff,0xfb04fffd,0x3fe6009f,0x027fec5f,
    0x6c5fff98,0xff3004ff,0x3ffea0bf,0x0005fd10,0xf101ffee,0xfe9805ff,
    0x7fffff52,0x00fff900,0x6c3ffd80,0xf902ffff,0x2ffd8005,0x27ff4000,
    0x7ffffc00,0xffffffff,0x7fffc7ff,0xffffffff,0x7ffc7fff,0xffffffff,
    0xfb07ffff,0xfb77bfff,0x261ffffb,0x987ff407,0x3e000fff,0x07ffff31,
    0x88000000,0xb806fffb,0x3ff207ff,0x17ffc406,0x803fffc4,0xf105fffa,
    0x2027c40b,0x0005ffff,0x21ffff70,0x005ffff8,0x03fffd80,0x22007fff,
    0x7ffc7fff,0xffff1003,0x1003fff8,0x3ea0ffff,0x01fe88ff,0x01ffee00,
    0xe880fffe,0x7fffcc4f,0x3ffe402f,0x05ffb000,0x81dffff3,0x7d4004f8,
    0xfe80007f,0x7fc4004f,0x7fc40005,0x7fc40005,0x7d400005,0x99dfffff,
    0x03e25fff,0x3ee0ffe8,0x21f1005f,0x004ffff8,0xfb500000,0x700dffdb,
    0x7fe40fff,0x17ffc406,0x1007fff8,0x3ba2dfff,0xeeeeffee,0xeeeefeee,
    0x1bfffa5e,0x7ffe4000,0x037fffc7,0x1fffe400,0x001fffcc,0x3e61ffff,
    0x3fe003ff,0x7fff30ff,0x07fffc00,0x7fcfffd4,0x7fdc0006,0x03fff807,
    0x7f441bfa,0x3f200fff,0xffb0007f,0x7fffec0f,0x200076c4,0x80004ffe,
    0x4c004ffe,0x4c0006ff,0x4c0006ff,0x000006ff,0x7e413773,0xd017c1ff,
    0x3ffd81ff,0x7ffc7a80,0x0000005f,0xfc8e7f54,0x7ffb806f,0x101bff20,
    0x3fa05fff,0x3ffe007f,0xffffff37,0xffffffff,0x64dfffff,0x00007fff,
    0xfd8bfffb,0x40001fff,0xfb83fffc,0x3fa004ff,0x13ffee7f,0x2e7ffe80,
    0x3a004fff,0xfff507ff,0x0009fffb,0x7c03ffdc,0x7ff503ff,0x27fffc40,
    0x000fff90,0x4409fff3,0xf71fffff,0xfffb8005,0xffe80001,0x3ffd4004,
    0x1ffea000,0x0fff5000,0xff000000,0x740b90df,0x7ffc40ff,0x3f627400,
    0x000006ff,0xc81bfd30,0xffb806ff,0x01bff207,0x3205fff1,0xfd000fff,
    0x803f60df,0xfffb807d,0xfe80000f,0x7ffd43ff,0x7e40004f,0xfffa83ff,
    0x9bffa004,0x2004fffa,0x3fea6ffe,0x3ffa004f,0xd1fff506,0x20005fff,
    0xff807ffb,0x03ffb03f,0x206fff98,0xd8007ffc,0x7d401fff,0x04f9efff,
    0x407ffd80,0x3fa01dd8,0x7fcc004f,0x3e60000f,0x260000ff,0x00000fff,
    0x0bffee00,0x7ff403e6,0x206ffa80,0x7ffdc0f9,0x4000001f,0xff904ff9,
    0x0fff700d,0x22037fe4,0xff702fff,0x3ffa003f,0x6f80dd04,0x07fffd00,
    0x6fff8800,0x00dfffd0,0x83fffc80,0x2006fff9,0x3fe64ffe,0x3ffa006f,
    0x01bffe64,0xf504ffe8,0xffff11ff,0xfff70003,0x107fff00,0x3ee00fff,
    0x1fff207f,0x0ffff100,0x3fffff60,0xffe8000e,0x037fdc06,0x88009ffd,
    0x0c003fff,0x8007fff1,0x00fffe21,0x3e200030,0x413a05ff,0xff901fff,
    0x7fc17609,0x000003ff,0xfc817fea,0x7ffb806f,0x101bff20,0x3e605fff,
    0xffd003ff,0x4409f107,0xfff3004f,0xffc8000f,0xffff301f,0x7fe40007,
    0xffff883f,0x45fff000,0x000ffff8,0x7fc45fff,0xfff000ff,0x43ffea05,
    0x000efffa,0x7c03ffdc,0x6ff983ff,0x01fff300,0x3001fff2,0x1001ffff,
    0x009ffffd,0x5017ffe0,0x3fa03fff,0xfff8004f,0xf8d1000f,0xd1000fff,
    0x000ffff8,0x3f2000d1,0x0be600ef,0x201bfff7,0x3ea0cffe,0x1ffff701,
    0xf8360000,0x3ff202ff,0x07ffb806,0xf101ffee,0x7ff405ff,0x01fff004,
    0x17d407f3,0x07fffb00,0x13ffe200,0x01ffffb0,0x0ffff200,0x801fffec,
    0x7fec0fff,0x1fff003f,0x003fffd8,0x3ea01fff,0x3fff20ff,0x3ffdc005,
    0x441fffc0,0x3fe007ff,0x01fff206,0x05ffff50,0x3ffffe60,0x3fe0a803,
    0x2fff806f,0x0009ffd0,0x2009fffb,0x27ffec3c,0x7fec3c80,0x0079004f,
    0x003fff30,0xdddd11f7,0xdd307ddd,0xf00fe2bd,0x00009fff,0x07ffcc79,
    0x700dff90,0x7fd40fff,0x17ffdc07,0x803fff30,0x3f704ff8,0x1000fdc0,
    0x2000ffff,0x4400fffc,0x0005fffe,0x2607fff9,0xf9806fff,0x6fff985f,
    0x985ff980,0xf9806fff,0x3ffea05f,0x027ffec0,0xf00fff70,0x3ffe07ff,
    0x40bff000,0x44007ffc,0x1006ffff,0x09fffffd,0xfffb07c4,0x201ff900,
    0x98004ffe,0x5c05ffff,0x7fffcc0f,0x2607dc05,0x5c05ffff,0x7fc4000f,
    0x03b6002f,0x02f44000,0x017fffd4,0xffa8d700,0x1bff603f,0x981ffee0,
    0xfdb02fff,0xffb807ff,0x807fe405,0x01f600fd,0x013ffea0,0x003fff70,
    0x017fffa2,0x80ffff20,0x6c03fffc,0xfff900ff,0x00ffd807,0xd807fff9,
    0x3fea00ff,0x7fff440f,0x0fff7002,0x2e07fff0,0xff8804ff,0x01fff201,
    0x13ffffe0,0xfffbff50,0x5d883bff,0x201fffd4,0x3ffe06fb,0xfffb0004,
    0x36e215df,0xffffb04f,0x3f6e215d,0xdffffb04,0x13f6e215,0x03ffd100,
    0x002fd880,0x8006fd40,0x003ffffb,0x7fcc0fb8,0xffff906f,0x7ffe4054,
    0x9ffff100,0xff3bd513,0x3a0353ff,0x3ff302ff,0x1ba03740,0x6fff4400,
    0x0dffd800,0x7fff4400,0x3ff6000e,0x3ffa203f,0x05ff302f,0x817fff44,
    0x3a202ff9,0xff302fff,0x0fffb805,0x01ffff98,0x400fffb8,0x3fa04fff,
    0x01fec01f,0x2001fff6,0x9dfffffa,0x23ffb510,0xfffffffa,0xfc81ffed,
    0x03fa01ff,0x0005fff8,0xfffffff1,0x440dffff,0xffffffff,0x3e206fff,
    0xffffffff,0x74c006ff,0x320000ef,0x644000cf,0xffb8003f,0xd9801dff,
    0xffff880e,0xfdeeb8ae,0xfb06cbff,0x7fd403ff,0xf15fffff,0x2019ffff,
    0x2a0befe8,0x13e200ef,0x40004f88,0x221beffb,0x003ffeb9,0x6ffffd40,
    0xdfff9301,0xfffb0017,0x0bfee237,0x8dfffec0,0xb002ffb8,0x2e237fff,
    0xffc802ff,0xffff901f,0x0fffc801,0x817ffe20,0xd883ffd8,0xfffe804f,
    0xfffc8001,0xffffffff,0x7fffcc0d,0x203fffff,0x710bfffd,0x7fcc05fb,
    0x3a60006f,0xffffffff,0x7ff4c00e,0x0effffff,0x7ffff4c0,0x000effff,
    0x0009ff93,0x0077faa0,0x0003dfb5,0x77ffff4c,0xffdb99ac,0x3ffee00d,
    0xff54ffff,0xff101dff,0xffc80bff,0x3fe23fff,0xff9000be,0x8019dfbf,
    0x0be603f9,0x3fb66000,0xcefffeff,0x36e00001,0xffefffff,0x8002dfff,
    0xffffffeb,0x7f5c001c,0x01cfffff,0x7ffff5c0,0xf8801cff,0xff305fff,
    0x3e205fff,0x3f204fff,0x7d401fff,0x1dfeddff,0xdffffb80,0xffe98001,
    0x01dfffff,0x3fffff62,0xffe9803f,0x200cffff,0x0cffffd9,0x3fff6000,
    0x6c004fff,0x04ffffff,0x7ffffec0,0x7edcc04f,0x00000bff,0xceeffd98,
    0x001cffee,0x3fff6e00,0x1cffffff,0xdffff700,0x06fff443,0x3fffffaa,
    0x0dd406ff,0x88001644,0x26000aa9,0x0032600c,0x79731000,0x20000003,
    0x9abccbaa,0x95100001,0x88000157,0x0000abca,0x0055e544,0x7fffffdc,
    0xfff50eff,0x2abfffff,0xfffffffe,0xffffe88e,0x4402efff,0x44009aa9,
    0xfffffffe,0x4c001eef,0x8001acca,0x8000acc9,0x754009a9,0xffffffff,
    0x2e60000e,0x2600009b,0x200009bb,0xa8009bb9,0x000009ac,0x79953100,
    0x00000135,0x56665544,0xa9880009,0x00002600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09a98800,0x2a200000,0x22000aaa,0x0000aaaa,
    0x00000000,0x000aaaa6,0x000aaa98,0x02803310,0x0003000c,0x01100000,
    0x00cc0000,0x55544000,0xa8800001,0x0aaaa0aa,0xa9801100,0x00880001,
    0x2e200310,0x4406602c,0x08011000,0x04880040,0x01300910,0x14c00000,
    0x99703980,0x99999999,0x99995039,0x59999999,0x4000ef54,0xffffffda,
    0x400002df,0x8004fffc,0x0003fffd,0x0000fd71,0x3fffa000,0x3ffa0002,
    0x3f22006f,0x0aceffff,0x803c80d3,0x7eb8802d,0x80067ecc,0x0ceffeb8,
    0xffca8000,0x00000cff,0x001ffffb,0x0fffb800,0x70013ffa,0x7ff654cd,
    0x001cffff,0x0e8805d0,0xeffffc80,0x3d101c81,0x3600e880,0x2ffd41ff,
    0x4d803e80,0x033ffa60,0x3e200000,0x3017c401,0x9fffffd7,0xffea8803,
    0x2209dfff,0x91007fff,0xa98359ff,0x00003ffc,0x4000bffd,0x4c006ffe,
    0x0007fffc,0xfff88000,0x3fee0003,0xfa802fff,0xffdbbcff,0x4406feff,
    0x80bb00df,0x747fffc9,0x5401ffff,0xefc9aeff,0x8bf60001,0x80006fe9,
    0x04fffff9,0x17fec000,0x8001fff1,0xcffffffb,0xfffdb99b,0x27d4001e,
    0xf9803e88,0x0dffffff,0x1fd401f1,0x3ea02f98,0x7fff46ff,0xacefc801,
    0x01feca88,0x013ffff6,0x6ff40000,0x1fdb731b,0x9ffff100,0xfffe8800,
    0x3ffff306,0x002ee980,0x0007baa2,0x000eff88,0x003ffa20,0x3ffff75c,
    0x54000000,0x220005ff,0x0fffccff,0x4037fea0,0x806fffe9,0x3fa21efb,
    0x3ffbae01,0x3fffe27f,0x0bfee04f,0x20007fee,0x2ffb82fc,0x5eff4000,
    0x00001fff,0x5ff317fa,0xffff9000,0xfffa8019,0x06fec003,0x4f600dd3,
    0xefffffd8,0x0dfe806f,0xff501be6,0x1fffe8df,0xfffff880,0x6c05ffff,
    0x0007ffff,0xffff3000,0x007fffff,0x0017fff4,0xd027ffec,0x4fb80dff,
    0x01fe4000,0x000ffb80,0x002ff980,0x0007ffe8,0x06fd8000,0xf527e400,
    0x1bfe209f,0x01bffa20,0x7f45fff4,0x1fffa004,0x20fffffb,0x3f605ffa,
    0x1bee000f,0x00037fcc,0x2ff4cbf7,0x0ff88000,0xc8002fdc,0x2a001fff,
    0x26005fff,0x2ff99fff,0xffd30b00,0xf3001dff,0x03ff53df,0xfa85ffd0,
    0x3fe6005f,0x00efffff,0x17ffffd4,0xfb800000,0x04ffffff,0x00ffff40,
    0x01fffe40,0x7dc01771,0x7f500002,0x003fb000,0x002fd400,0x0003ffe4,
    0x0077c000,0xd307f300,0x05ffb01f,0xa8037ec0,0x00ffffff,0x2a1fff20,
    0xfe80ffab,0x13fea00f,0xf027fc40,0x3e2000df,0x002fd885,0xfc83f980,
    0x3ffb0000,0xbfff5000,0x7fffe400,0xa80e006f,0x36000bec,0x005fffff,
    0x80008802,0x03efffc8,0x002fd8c0,0x3f660000,0xe8002eff,0xc8001fff,
    0x40003fff,0x36ea02f9,0x798bdffe,0xf88007ea,0x7b800002,0x07ffb800,
    0x7d400000,0x016c0000,0x03ffe176,0x2006f880,0x003ffffe,0x3a03ffdc,
    0x806ffb87,0xfa800fff,0x0072603f,0x1ae02640,0x741ae000,0x0ff60003,
    0x3fffb800,0xfffff100,0x00000003,0x1fffff10,0x00000000,0x7e400004,
    0x00000000,0xffe80001,0xffc8001f,0x3e20003f,0x137fd304,0x91fffaa2,
    0x00e6001d,0x001c8000,0x0003ffdc,0x0006e000,0x82e00510,0x4002fff8,
    0x3326006e,0xffb8004c,0x7fc2fc07,0x4ffd804f,0x002ffc80,0x5400e000,
    0x80e40001,0x036c0006,0x3fffe200,0x79995001,0x00000000,0x00166654,
    0x00000000,0x00037400,0x00000000,0x0003fffd,0x0007fff9,0x0efc8364,
    0x2743fe40,0x00000000,0x0fff7000,0x00000000,0xf9800000,0x35c005ff,
    0x2e000000,0x03ee07ff,0x9005fff3,0xfe801fff,0x0000002f,0x00000000,
    0x003e8000,0x06fffc80,0x00000000,0x00000000,0x00000000,0x00001fa8,
    0x20000000,0x8001fffe,0x0003fffc,0x1dfb05f1,0xf503f600,0x00000000,
    0x3ffdc000,0x00000000,0x7c000000,0x26003fff,0x40000006,0x5f907ffb,
    0x003fff90,0xf805fff5,0x000003ff,0x00000000,0x00e80000,0xffff9800,
    0x20000001,0xabdfedc8,0x00000000,0x059dfb95,0x15555554,0x55555544,
    0x000bea00,0xdb910000,0x800157bf,0x8001fffe,0x0003fffc,0x05ff50d7,
    0x17c0fc40,0x7bfdb910,0xdc880015,0x000abdfe,0x0001ffee,0x3bfb2a20,
    0x7edcc0bd,0xedb802ce,0xd869abde,0x2004ffff,0x3bb2a003,0x3ee000ac,
    0xd00dd87f,0xf3001fff,0xfff807ff,0xaaa98003,0x2aa0aaaa,0x0aaaaaaa,
    0x95555544,0x82aaaaaa,0x0aaaaaa8,0x40000100,0x2204fffe,0x0abdfedc,
    0x2f7ff200,0x001ffffc,0x5bb31f66,0x766ff4c0,0xca80dfff,0xb886fffe,
    0xb02ffffd,0x89d7101b,0x001bedb8,0x3f2f7ff2,0x3a001fff,0xc8001fff,
    0xd0003fff,0x006ff887,0x906b81d8,0xfff97bff,0x3ff2003f,0x1ffffcbd,
    0x88fff700,0x2002ceda,0xffbacffb,0xd9bf90ef,0xd101bfff,0xfffd77bf,
    0xfffff50d,0xb100003d,0xfffb79ff,0x1ffee009,0x7ffc4053,0xfff8800f,
    0x027ffc04,0x7ffffd40,0x3ff6e0cf,0x440cefff,0x953fffec,0x710dfffd,
    0x005ffffb,0xffb00000,0xbff901ff,0x03ffff97,0xc885ff90,0x2e200eff,
    0x3ff67ffe,0x0dfa81ff,0x807fffcc,0x6406fff8,0x30302fff,0x7e49fffb,
    0x801fffff,0x7e442ffc,0xffd000ef,0xff90003f,0x1f10007f,0x0004ffc8,
    0xff903e60,0x0effc885,0x2217fe40,0xb800effc,0x3ffe67ff,0xfd805fff,
    0xdeffd82f,0x37ff541f,0x7f4c0ff4,0xfffff906,0x2600019f,0xffe884ff,
    0x3ffdc00d,0x1fffe200,0x02fffc40,0x80017ffe,0x3205fffd,0xf9807fff,
    0x6fff880f,0x017ffe40,0x7e400000,0x7fe41fff,0x077fe442,0x220fff50,
    0xff704fff,0x3feeffff,0x37cc4fff,0x40bfff50,0x7d406ffd,0xffd002ff,
    0x3ff29fff,0x406fffed,0xff107ffa,0x3ffa009f,0xffc8001f,0x8798003f,
    0x00003ffd,0x7ffa87e2,0x409fff10,0xff107ffa,0xfff7009f,0x3ff77fea,
    0x3fe601ff,0x5ffff506,0xa8fffe60,0x81be205f,0xfffffffd,0x2ffc4003,
    0x80dfff10,0x4c007ffb,0xf1007fff,0xffe80dff,0x3fe20005,0x37ff405f,
    0xfd01fd40,0xfffa80df,0x80000002,0x2a2ffffa,0xfff107ff,0x037fe409,
    0x4420bffd,0x98eafffe,0x0ff41ffd,0x40bfff60,0x7c406ffc,0x2e1002ff,
    0x41ddcfff,0x3204fffb,0x3ffa06ff,0x3fffd005,0x7fff9000,0xff0f5000,
    0xf800005f,0xe81bff22,0x3ff205ff,0x017ffa06,0x0bebffee,0x640dfff1,
    0xfff105ff,0x0fffd80d,0x06c80df9,0x7fffffe4,0xffb002ef,0x3fffb801,
    0x001ffee0,0x400dfff5,0x7ffc7fff,0xffffffff,0xff9001ff,0x0fffb80f,
    0x3f603ec0,0x7ffc406f,0x55555502,0x55555555,0x55555555,0x47ffff95,
    0x3fa06ffc,0x13fee05f,0xc805ffd8,0x04c1efff,0x3f201bea,0xdff904ff,
    0x02fff880,0x27fffc40,0x5c0dffd0,0x3ff604ff,0x3fffd005,0x7fff9000,
    0xf88d7000,0x400002ff,0x813fee3e,0x3ee05ffd,0x17ff604f,0x07bffee0,
    0xb80fffdc,0xfff104ff,0x1fffc80b,0x34c01ffd,0x7ffff4c0,0x2600dfff,
    0xfff006ff,0x1ffee01f,0x0bfff500,0xf07fffc0,0xffffffff,0x2003ffff,
    0x2202fff9,0x3e203fff,0x037fe404,0x7c0bffe2,0xffffffff,0xffffffff,
    0xffffffff,0x3fee4fff,0x817ff604,0x3f201dd8,0xfffb806f,0x55dfd003,
    0xfb555555,0x3ff20bff,0x17ffc406,0x027ffc00,0xd881fff2,0x1bff201d,
    0x00ffff40,0x01fffe40,0xff11aa02,0xf800007f,0xc8077622,0x376206ff,
    0x01bff201,0x8803ffee,0xb9102fff,0x37ffe201,0xdaaaaaaa,0xfff92fff,
    0xf7001c05,0x5fffffff,0x4017fee0,0xf704fffb,0xffa800ff,0xfff1005f,
    0x06ffd80f,0x05ffe800,0xf7037ff4,0x06ffc801,0xf817ffc4,0x00006fff,
    0x88ffffe6,0x3ff201dd,0x3ee20006,0xffb806ff,0x3fffe007,0xffffffff,
    0xff907fff,0x2fff880d,0x04fff800,0x0003ffdc,0x00dfff71,0x0007fffa,
    0x440ffff2,0x21e62efd,0x00004ffe,0xf71000fc,0x44000dff,0xb806fffb,
    0xfff807ff,0x3fee0003,0xffffffff,0xf53fffff,0x00019fff,0xfffffb10,
    0x9ffb05ff,0x17ffe600,0x2003ffdc,0x1005fff9,0xfd80ffff,0xfb80006f,
    0xfff300ff,0x2017a03f,0x7c406ffc,0xfffb02ff,0x7d40000f,0x22002fff,
    0x8006fffb,0x6ffedfda,0x007ffb80,0x0000bff1,0x22037fe4,0xf8002fff,
    0x7fdc04ff,0xdfda8007,0xfd006ffe,0xf90003ff,0x3ff207ff,0xd81f12ff,
    0x200005ff,0xfda800f8,0x8006ffed,0x6ffedfda,0x807ffb80,0x44003fff,
    0x03fffffc,0x3ffffe00,0x980000cf,0x1ffffffe,0x8801fffc,0xff707fff,
    0xfff8800f,0xdfff1006,0x005ffc80,0x03fff880,0x10bffddb,0xdff9005f,
    0x02fff880,0x001ffff9,0x3fffee00,0xedfda800,0x3aa006ff,0x0dff91cf,
    0x200fff70,0x00006ff9,0xf101bff2,0xff0005ff,0x7ffa809f,0x473faa00,
    0xfd006ffc,0xf90003ff,0x3ffa07ff,0xf50be5ff,0x540000ff,0x8e7f5407,
    0x2a006ffc,0xdff91cfe,0x00fff700,0x26007fff,0xfff8bffd,0x3fa20003,
    0x003fffff,0xfffff700,0x01fffccf,0x701ffff0,0xff000fff,0x3fe600df,
    0x2ffe406f,0x6ffc8000,0xfffbaf88,0xfc803e40,0x7ffc406f,0x3ffff702,
    0x3ff20000,0x67f5407f,0x300dff91,0xffc81bfd,0x07ffb806,0x000fff50,
    0x2037fe40,0x8002fff8,0x7d404fff,0xdfe9807f,0x8037fe40,0x8001fffe,
    0xf903fffc,0x1721ffff,0x3000fff6,0x3a609d03,0x37fe40df,0x206ff4c0,
    0xfb806ffc,0x3fff807f,0x11ffec40,0x00009fff,0xbffffff7,0xf8800101,
    0xff71ffff,0x7ff4009f,0x00fff707,0x200ffff0,0x5c04fff9,0x300004ff,
    0x17c83fff,0x04f87fff,0x880dff90,0xff302fff,0x200005ff,0xd306fffe,
    0x6ffc81bf,0xc827fcc0,0xffb806ff,0x1fff3007,0x3ff20000,0x17ffc406,
    0x027ffc00,0xf301ffea,0x1bff209f,0x00ffff40,0x017ffe40,0x263f7373,
    0x07ffc40f,0x7cc0e980,0x904ff980,0xff980dff,0x00dff904,0xff00fff7,
    0x67fd407f,0x005fff80,0xffff9100,0x800781df,0xf53ffff9,0x7f4009ff,
    0x0fff706f,0x00fffb00,0x700bffee,0x400007ff,0x8fe24ffe,0x07ea6ffd,
    0x2037fe40,0xf102fff8,0x0000bfff,0x309ffff3,0x3ff209ff,0x817fea06,
    0xfb806ffc,0xfff1007f,0xf9018007,0xfff880df,0x4fff8002,0x503ffd40,
    0x7fe40bff,0x3fffd006,0x5fff9000,0x4e83f200,0x401fffa8,0xa85d80ea,
    0x3ff205ff,0x817fea06,0xfb806ffc,0x3fff807f,0x740bff50,0x400006ff,
    0x44ffffd9,0xffb8000f,0x0dfff35f,0xb827ff40,0xfa8007ff,0xffc801ff,
    0x0ffd400f,0xfff70000,0xfff507dc,0xfc801b63,0x7ffc406f,0x3fffee02,
    0x7fe40001,0x2ffd40ff,0x7c0dff90,0x3ff202ff,0x07ffb806,0x003fffe0,
    0x6ffc8344,0x017ffc40,0x2027ffc0,0x3fe07ffa,0x1bff202f,0x00ffff40,
    0x00fffe40,0x417cc6f8,0x99adffd8,0x3f505eca,0x6405fff0,0x3ffe06ff,
    0x01bff202,0x3e01ffee,0x5ffb03ff,0x007fff40,0xfb8073b8,0x0017c6ff,
    0xf8a7ffcc,0xff000fff,0x1ffee05f,0x01fffc00,0x5402ffec,0x00a2007f,
    0x13e5fff1,0x0fe33ffa,0x406ffc80,0x7402fff8,0x20004fff,0xf83ffff8,
    0x3ff202ff,0x01fff306,0x5c037fe4,0x3f6007ff,0x079004ff,0xf101ffee,
    0xff0005ff,0x7ffa809f,0x401fff30,0xfd006ffc,0xf90003ff,0x07ea00ff,
    0x765403ee,0x101bdfff,0x1fff307f,0x9837fe40,0x3f200fff,0x7ffb806f,
    0x883fff80,0x3f200fff,0x0f8803ff,0xfffc803b,0x7c001be1,0x3fff62ff,
    0x01fff003,0x4001ffee,0xff805ffc,0xf975102f,0x401ec00b,0x80fbdffd,
    0x00fbfffb,0x101ffee0,0xf9805fff,0x70000fff,0xff30dfff,0x37fe401f,
    0x203fffa8,0xfb806ffd,0x3fe6007f,0x07dc05ff,0x5c07ffa8,0xf8003fff,
    0x7fd404ff,0x07fff507,0xe8037fec,0x99101fff,0x805ffc81,0x03b603fa,
    0x17a20020,0xb01fffd4,0x3fea0dff,0x1bff603f,0x201ffee0,0xffa83fff,
    0x3ffe603f,0x9b2ec00f,0x20fff880,0x7cc002ff,0x3ffe60ff,0x05ff9806,
    0x4001ffee,0x7cc07ff8,0xffdf905f,0xfa8059ff,0xffffa800,0xbffff105,
    0x07ffa800,0x4017ffdc,0x000efffc,0x40ffffd4,0x3603fffa,0xfff306ff,
    0x9ffff20d,0x07ffb80a,0x77fffec0,0x09fb710a,0xc81fffcc,0x8004fffe,
    0x7d404fff,0xfff980ff,0x4ffff906,0x3fffd00a,0xfb1bffa0,0x17ec403f,
    0x000bf620,0x2601bf50,0xff906fff,0xff9854ff,0xffff906f,0x3ffdc054,
    0x541fffc0,0x3f206fff,0x5c41efff,0x003f61fe,0x2fff8ffd,0x213ff600,
    0x6c03fffc,0x3fee00ff,0x3fea0007,0x207ff603,0x3fffa0f8,0xdb9abdff,
    0x3ffe006f,0x3fff601f,0x7ffcc002,0x7fffdb02,0x3bfff600,0xffff5000,
    0x1bffe605,0x153fffe4,0x2bbfffe2,0xfffdeeb8,0xfff706cb,0x7ffc4003,
    0xffffffff,0x7fffc406,0xf8eea89c,0x001a9fff,0xfb809fff,0xfff880ff,
    0xdeeb8aef,0x106cbfff,0x3e07ffff,0x0ffa2fff,0x640017d0,0x644000cf,
    0x7ffc403f,0xdeeb8aef,0x226cbfff,0xb8aeffff,0xcbfffdee,0x01fff906,
    0xf884fff8,0x3a60cfff,0xefffffbe,0x6c3fffdd,0x0ffe606f,0x7007ffff,
    0x3fa20dff,0x5ff302ff,0x00fffc80,0x203ff200,0x49903ffa,0xffffdbf9,
    0x01ffffff,0x5017ff20,0xf1000fff,0xd5139fff,0x53ffff3b,0x6fffa803,
    0x0efff980,0x3bfffe20,0xffdeeb8a,0x7fdc6cbf,0xf54fffff,0x3201dfff,
    0x4c002fff,0xfffffffe,0xffa800ef,0x88dfffff,0x01cfffff,0x404fff88,
    0xf701fffb,0x29ffffff,0x00effffa,0x05fffffb,0xf33ffff9,0x5400000b,
    0x6d401dfe,0xff7001ef,0x2a9fffff,0x5c0effff,0x4fffffff,0x01dffff5,
    0x8803fff2,0xff705fff,0x1bfdbfff,0x3fffffea,0xffd85fff,0x42fecc2e,
    0xbdefffff,0x1bffd530,0x1bfffd80,0xb005ff71,0x80001fff,0xff911efd,
    0x5d8b5c07,0x3fffffea,0x7cc004ff,0x04ff802f,0xfffff500,0x3ffe2bff,
    0xe8800cff,0x950bdfff,0x2007fffd,0xfffffffb,0x1dffff54,0x3dffff70,
    0x806fff44,0x00effff9,0xfffffd80,0x7fe4004f,0x3fe24fff,0xf91000be,
    0x3e203fff,0x3ee05fff,0x3a21efff,0x7f6c0dff,0xffffffff,0xffffd11e,
    0x0000019f,0x9ddffb30,0x0039ffdd,0x3dffff70,0x806fff44,0x21effffb,
    0x300dffe8,0x6409ffff,0xf901ffff,0x305dffff,0x7ffffffb,0x3fffbb60,
    0x3f03ffed,0xfffff951,0x4005ffff,0xffffffeb,0xfff9801c,0xeb80004f,
    0x401dffff,0x440efef8,0x03fffffd,0x3200dd00,0x3f20000f,0x3e23ffff,
    0xb8000bef,0xfffffffd,0x5c001def,0x221effff,0x2200dffe,0x402600a9,
    0xfffffffa,0xb98002ff,0x2a00009b,0x002c881b,0x7fffffec,0xfffd74ff,
    0x220dffff,0x002600a9,0x565c4000,0x80000001,0x9abcca98,0x54c40000,
    0x22002600,0x402600a9,0xfffffffa,0xfffe88ef,0x982effff,0x73001acb,
    0x26040157,0x0e00abba,0x0d5e65cc,0x57951000,0xfffd3001,0x001dffff,
    0x000aa880,0x2a6200d4,0x06a0000a,0x80001c40,0x02c881ba,0x32ea2000,
    0x9880001a,0x0002600a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00008022,
    0x002aaa88,0x7f76dcc0,0xeeeeeeef,0xcccccccd,0x32a003cc,0xcccccccc,
    0x20001002,0x00002008,0x18004cc0,0x2a200600,0x65c00aaa,0x2600a202,
    0x20011000,0xcccccccb,0x3ccccccc,0x15555400,0x54006e00,0x02800001,
    0xaaaa8000,0x02cb8000,0x665400a2,0xcccccccc,0x1004402c,0x00d55400,
    0xca80aaa2,0x02cccccc,0xccccc880,0xb502cccc,0x07bd930f,0x02aaa980,
    0x3ee00220,0x077f444f,0x9fff9000,0x3ffaa000,0xfffdbbce,0xeeeeefff,
    0x06ffffee,0xffffff10,0x8803ffff,0x32001ffe,0x77f4c3ff,0x3f200000,
    0x0097002f,0xfff70079,0x7fffdc0b,0x8802b82e,0x802cc01e,0xfffffff8,
    0xffffffff,0x7fffc004,0x007d4001,0x000003e6,0x400003f3,0x004ffff9,
    0x0bbfffee,0xea8800ae,0x09dfffff,0x2227fdc0,0xfe800efe,0x7ffd404f,
    0xffd53100,0x20003fff,0x09efffda,0x33fff5c4,0x1bffffff,0x0bfffa00,
    0x2017ee20,0x3ee0ffff,0x3e0004ff,0xd88005ff,0x3f602eff,0x6c402fff,
    0xfff9006f,0x0dffffff,0x00bfff70,0xc83fffe2,0x00003fff,0x4005fff3,
    0x00d900ee,0xf981bff6,0x1effffff,0x3f2003d1,0x2003f302,0xfffffffb,
    0xffffffff,0x3ffea001,0xdff88002,0x0dfb731b,0x09f90000,0x7ffec000,
    0xff8801ff,0x11efffff,0x3fa0003d,0x3fe006ff,0x3ffee0ff,0x04ffe804,
    0x8007ffd4,0x00effffb,0x5c1ff200,0xf37fffff,0x7ffffbbf,0x07fff100,
    0x05fffc88,0x320ffff8,0x30004fff,0xd1000dff,0xf8801dff,0xd9002fff,
    0xddddf100,0x005ddddd,0x200bfff7,0x360ffff8,0x80003fff,0x002fffe8,
    0x5fb0bfea,0x01dff100,0x7fe44664,0x006fefff,0xbf513fe2,0x777ff400,
    0xeeeeeeee,0x7e4007ff,0x3ea0003f,0xffffffff,0x7c400001,0xa80000ff,
    0x05ffdbff,0xffc88cc8,0x006fefff,0x013fff20,0x320ffff8,0xfe804fff,
    0x7ffd404f,0x3ffee000,0x3ea0005f,0x3ffa6105,0x3a20afaf,0xffb806ff,
    0x3fff2204,0xffb805ff,0x00f7f444,0x000efc80,0x007fff44,0x002fffe8,
    0x03f700f1,0x3ffa2000,0x0fff2001,0x0001dfd3,0x05ffff90,0xd8bffe80,
    0x3ff5005f,0xffd98580,0x54001fff,0x0ffb8eff,0x003df500,0x3a0027f4,
    0xfc80004f,0x03ffffff,0xfffb8000,0x2fe80003,0x1b00bfee,0xfffffd98,
    0x3ff20001,0x3fee004f,0x00f7f444,0x2a027ff4,0x74000fff,0x0004ffff,
    0xff9009f3,0x3fee03df,0x02fec01f,0x3fff26ee,0x0c011005,0x007fa000,
    0x00ffff20,0x002fffd8,0x00bf101a,0x20003000,0x00002008,0x17ffefd4,
    0x3fffe600,0x5fb001ff,0x76540900,0xffd0001c,0x6c009fff,0x3fe6000e,
    0x017e6001,0xfffea800,0xd000001d,0x8000dfff,0x06fa81fb,0x39d93024,
    0xfffc8000,0x30044003,0x027ff400,0x0003ffea,0x05fffffd,0x7009f300,
    0x7c401fff,0x3be202ff,0x2fffc000,0x40000000,0xf88001f8,0x7ec007ff,
    0x00e002ff,0x000003f7,0x00000000,0xff9ef880,0xffd8002f,0x0fe004ff,
    0x80000000,0x00fffff9,0xb8001d10,0x075c007f,0x00080000,0x7ffd4000,
    0xd10002ff,0x001f4403,0xfc800000,0x000003ff,0x013ffa00,0x8001fff5,
    0x1ffffefe,0x4027cc00,0xff807ffb,0x003ea03f,0x0017ffa0,0x0aa00000,
    0x1fffe400,0x0bfff600,0x037c4000,0x00000000,0x7ec00000,0x002fff89,
    0x00cccc88,0x00000930,0x99970000,0x00044005,0x320027f4,0x00000000,
    0x37f60000,0x30005fff,0x0000e003,0x7fe40000,0x0000003f,0x5013ffa0,
    0xe8001fff,0x0fffff8f,0x2013e600,0xff807ffb,0x0006e03f,0x0002ffec,
    0x00000000,0x005ffff1,0x002fffd8,0x5bfff700,0x00000001,0xb8000000,
    0x05fff13f,0x00000000,0x00000000,0x22000000,0x000001ff,0x00000000,
    0x3fe3be20,0x000000ff,0x00000000,0x007fff90,0x7f400000,0x7ffd404f,
    0xfabf4000,0x26006fff,0x7ffb804f,0x003fff80,0x0bffb000,0xaceeca80,
    0x80000000,0x001ffffc,0x2017ffec,0xffff803a,0x0001efff,0x07bddb73,
    0x37fb7220,0x220000ab,0x0bffe25f,0x00000000,0x59dd9500,0x00000001,
    0x07fb8000,0x20000000,0x00aceeca,0x6cbf2000,0x00004fff,0x2aaaaa00,
    0xaaaa882a,0xfc8000aa,0x555503ff,0x55510555,0x7f401555,0x7ffd404f,
    0xf73f4000,0x26009fff,0x7ffb804f,0x003fff80,0x0bffb000,0xb79ffb10,
    0x53009fff,0x55555555,0x43555555,0x8007fffe,0x5c02fffd,0x7fffdc03,
    0x003fffff,0x3b337f62,0x3f202eff,0xffffcbdf,0x41fd0001,0x4c02fff8,
    0xaaaaaaaa,0x1aaaaaaa,0xb100fb30,0xfffb79ff,0x43ed4009,0x0002dec9,
    0xa804fe80,0x2dec987d,0x67fec400,0x004fffdb,0x3e67f880,0x300007ff,
    0x7f6540fb,0xfdb886ff,0xc8002fff,0xd9503fff,0xb710dfff,0x7405ffff,
    0x7fd404ff,0x23f4000f,0x803ffffc,0xffb804f9,0x03fff807,0x2dd98fb3,
    0x3017ff60,0xffd109ff,0x7ffec01b,0xffffffff,0x3fe2ffff,0xfd8007ff,
    0x01f402ff,0x3fffb72e,0x400dffff,0xffd82ffa,0x42ffc81f,0x000effc8,
    0x3fe217dc,0x7ffec02f,0xffffffff,0x2e22ffff,0x7cc07ffe,0xdffe884f,
    0xfffd7100,0x7fffffcc,0x3e200005,0xffd7101f,0x7ffffccf,0x9ff3005f,
    0x01bffd10,0x3a1fdc00,0x10002fff,0x100fffd7,0xfc80dfff,0xfc8002ff,
    0x7fc403ff,0x7ffe406f,0x013ffa02,0x8001fff5,0xffffe87e,0x4027cc01,
    0xff807ffb,0x3ffae23f,0x07ffff67,0xf102ffec,0x7ffc40bf,0x0673f606,
    0x225fffc8,0x8005ffff,0xb102fffd,0xda88007f,0x206fffff,0xff302ff9,
    0x07ffa8df,0x4009fff1,0xfff884f9,0x0ce7ec02,0x5cbfff90,0x207fffff,
    0x3e205ff8,0xfffb86ff,0xbbff37ff,0x0005ffff,0x7dc1fee0,0xff37ffff,
    0x05ffffbb,0x2205ff88,0x20006fff,0x7ffdc0fe,0xfffb8006,0xffb007ff,
    0x2fffa80d,0x3fffc800,0x406ffe80,0x3a02fffa,0x7fd404ff,0x43f4000f,
    0x00fffff8,0x3ee013e6,0x3fff807f,0x2ffffff7,0x04fffffb,0x7ec0bffb,
    0x7ffdc00f,0xf5009b03,0x7fcc1dff,0xfd8004ff,0xfeeeeeff,0x20003fff,
    0x04ffffe9,0xfff80dfb,0x81bff20f,0x3a005ffe,0x2fff880e,0x7d4026c0,
    0xfe820eff,0x03ff607f,0x087fff70,0x2bebfffe,0x01fffa20,0x0827f400,
    0x2bebfffe,0x01fffa20,0xfb801ffb,0xf98003ff,0x03ffff04,0x1fffa080,
    0x2037fe40,0x8002fff8,0xd803fffc,0x7fc406ff,0x13ffa02f,0x001fff50,
    0xfff307e8,0x027cc0df,0x7c03ffdc,0x3fa213ff,0xfd98eaff,0x0bffb01f,
    0x7c01bfe6,0x02d80fff,0x20ffffc4,0x003ffffa,0xeeefffd8,0x03fffeee,
    0xffffc800,0x2017fd41,0x7fdc7ffb,0x017ff604,0xff880fe4,0x2016c02f,
    0x201ffff8,0xff307ffc,0x3fffe00d,0x3dfff900,0x007ffee0,0x003ff100,
    0x203dfff9,0xf301fffb,0x3ffe00df,0x0fec000f,0x004fffc8,0x401fff20,
    0x7c406ffc,0xfc8002ff,0xffc803ff,0x17ffc406,0xa80bffd0,0x74000fff,
    0x3fffea07,0x7009f305,0xfff00fff,0x3dfff907,0x3ff60098,0x00bff705,
    0x3a13ffee,0x1fffec00,0x01ffffd4,0x817ffec0,0x00003fc8,0xfe8bfff9,
    0x40a8801f,0x3f201dd8,0x04fa806f,0xd00bffe2,0x3fffd801,0xb83ffdc0,
    0xff7005ff,0x3ffee09f,0x0bffe200,0x00ff7000,0x8803ffee,0xff702fff,
    0x3ffee00b,0x81be2004,0x000ffff9,0x200fff70,0x7c406ffc,0xfc8002ff,
    0xffc803ff,0x17ffc406,0xd80dffd0,0x200a0fff,0x7ffe407e,0x804f983f,
    0xff807ffb,0x3fffb83f,0x05ffd800,0x26009ffb,0xb8005fff,0xff305fff,
    0xfb000bff,0x03e805ff,0x1bffa000,0x00000fff,0x06fffb88,0x3e2037c4,
    0x5c0002ff,0xfb805fff,0x09ffb07f,0x417ffe60,0xff807ffb,0x7ec0003f,
    0x0fff7004,0x3607fff0,0xff3004ff,0x17e400bf,0x00ffff60,0x803ffdc0,
    0x7c406ffc,0xfc8002ff,0xffc803ff,0x17ffc406,0x103fffd0,0x3c1fffdd,
    0x7ec03f40,0x27cc2fff,0x403ffdc0,0xffb83fff,0xbffb0007,0x400fffe0,
    0x4007fff8,0x100efff9,0x000dffff,0xc805fffb,0x3e600003,0x0fff30ff,
    0x3f6a0000,0x6c06ffed,0x7ffc400f,0x3fe60002,0xffb800ef,0x007fff07,
    0x5c1fffe2,0xfff807ff,0x3fe20003,0x0fff7001,0x3e07fff0,0xff1003ff,
    0x03fc00ff,0x0037ffd4,0x9007ffb8,0xff880dff,0xffc8002f,0x6ffc803f,
    0x017ffc40,0x315ffffd,0x7fff19f7,0x01fa01aa,0x87ffffa2,0xffd804f9,
    0x1fffc00f,0x8003ffdc,0xff985ffd,0x3ffe003f,0xfff1000f,0xffff803f,
    0xfffd8007,0x0001d402,0x7d47ffa0,0x5400007f,0xdff91cfe,0x4401fd40,
    0x10002fff,0x2003ffff,0xff987ffb,0x3ffe003f,0x07ffb80f,0x0003fff8,
    0xfb801fee,0x3fff807f,0x003fff98,0x2003fffe,0x99999cfa,0xffff9999,
    0x7ffb8001,0x80dff900,0x8002fff8,0xc803fffc,0x7fc406ff,0x3fffa02f,
    0x3a3fffff,0x802fefff,0xfff3007e,0x013e61df,0x809ffff5,0xffb83fff,
    0xbffb0007,0x009fff70,0xb003fff4,0xf9007fff,0xd8001fff,0x00002fff,
    0x70ffc800,0x00001fff,0xfc81bfd3,0x99ff106f,0x99999999,0x1999bfff,
    0x0ffff600,0xb87ffb80,0x3a004fff,0xfff707ff,0x007fff00,0x70027ec0,
    0xfff00fff,0x09fff707,0x803fff40,0xfffffffe,0xffffffff,0x7ffb8005,
    0x80dff900,0x8002fff8,0xc803fffc,0x7fc406ff,0x3f37e02f,0x7d42efff,
    0xfd003fff,0x7fffd400,0x3ea09f35,0xefffffff,0xb83fff80,0xfb0007ff,
    0x9fff50bf,0x037ff400,0x005fffb8,0x003ffff3,0x002fffd8,0x7fb80000,
    0x0007ffea,0x3209ff30,0xfff506ff,0xffffffff,0xffffffff,0xbfff7001,
    0x87ffb800,0x2004fffa,0xff706ffe,0x07fff00f,0x007fe200,0xf807ffb8,
    0xfffa83ff,0x1bffa004,0x2aab7e60,0xbaaaaaaa,0x4000ffff,0xf9007ffb,
    0xfff880df,0xfffc8002,0x06ffc803,0xf017ffc4,0x9802ee6b,0x03f4002b,
    0x33fffee0,0x800004f9,0xffb82fff,0xbffb0007,0x00dfff30,0x4c027ff4,
    0x2000efff,0x4003ffff,0x8002fffd,0x2fdc0000,0x8009fff3,0xc817fea2,
    0xfff506ff,0xffffffff,0xffffffff,0xefff9801,0x3ffdc000,0x0037ffcc,
    0x3ee09ffd,0x3fff807f,0x00ff5000,0xf807ffb8,0xfff983ff,0x13ffa006,
    0xb0007f60,0xb8007fff,0xff9007ff,0x2fff880d,0x2fffc800,0x406ffc80,
    0xf102fff8,0x2000000d,0xffd8007e,0x0004fcff,0xb81fff80,0xfb0007ff,
    0xffff10bf,0x0bffe001,0x03ffff10,0x06fffb80,0x017ffec0,0x80003a20,
    0x7fffc3fd,0x7fc75000,0x1bff202f,0x55555544,0xffbaaaaa,0x200aaacf,
    0x001ffff8,0xf887ffb8,0xff000fff,0x1ffee05f,0x000fffe0,0x2e0027ec,
    0xfff807ff,0x0ffff883,0x805fff00,0xf98006f8,0x7dc007ff,0xdff9007f,
    0x02fff880,0x01fffc80,0x4406ffc8,0xff502fff,0x3a000000,0xfffd0007,
    0x000009ff,0xff701fff,0x3ff6000f,0x07fffb05,0xb003ffe0,0x20005fff,
    0x2001fffe,0x4002fffd,0x77c0005c,0x027fff40,0x1fff30e8,0x0037fe40,
    0x02fff880,0x00bfff60,0xd83ffdc0,0xff003fff,0x1ffee01f,0x000fffe0,
    0x70007fe2,0xfff00fff,0x0ffff607,0x2007ffc0,0xfd0002fc,0x7dc005ff,
    0xfff7007f,0x02fff880,0x007ffc80,0xf880fff7,0x1ff702ff,0xfd000000,
    0x3ffe2000,0x800004ff,0xfff707ff,0x17ff6000,0x4037ffcc,0x7dc05ff9,
    0x80c805ff,0x2006fff9,0x2002fffe,0x320003fa,0xffffa81f,0xff536c03,
    0x37fec07f,0xfff88000,0xbfff7002,0xff701900,0x1bffe60f,0xb817fe60,
    0xfff807ff,0x07fa8003,0x807ffb80,0xff303fff,0xbff300df,0x0007f880,
    0x801bffee,0xf5007ffb,0xfffb80ff,0xc8199103,0xff5006ff,0x2fffb80f,
    0x0005ffb0,0x000ff000,0x027fffcc,0x827fc000,0xb0007ffb,0x7fe40bff,
    0x07fec03f,0x00dfff30,0x7ffd4036,0x7ffff005,0x983fe200,0x27d400dd,
    0x17ffffd0,0x3e61fe98,0xfff906ff,0x8800054f,0xf9802fff,0x01b006ff,
    0x7e40fff7,0x7fec03ff,0x01ffee00,0x2000fffe,0xfb8004fd,0x3fff807f,
    0x00ffff20,0xfb801ffb,0x3fe20004,0xff7002ff,0x3ffe600f,0x9fffd903,
    0xf91bff60,0x3fe6003f,0xfffdb02f,0x00fffe07,0x01fe0000,0x09fff700,
    0x3e206a00,0x0fff700f,0x817ff600,0x302fffe8,0x7fc405ff,0x01f001ff,
    0x006fffcc,0x00bffffb,0xffd8dff5,0x27ec42cf,0x3ffffe60,0x43fffeef,
    0x8aeffff8,0xbfffdeeb,0x3e20006c,0x7fc402ff,0x01f001ff,0x2201fff9,
    0xf302fffe,0x7ffb805f,0x004fff80,0x4000ffc4,0xff807ffb,0x3ffa204f,
    0x05ff302f,0x0002ff88,0x8037fff4,0x8800fffc,0xa89cffff,0x9ffff8ee,
    0x8bfffe1a,0x3e2003fe,0xea89cfff,0xa9ffff9d,0x009fff11,0x1ff88000,
    0x27fe4000,0x0effe400,0x7fdc09f7,0xffd8001f,0xbfffd805,0x805ff711,
    0x9002fffd,0xfffb100f,0xffb73359,0x999dffff,0x7fffdb99,0xffffffb8,
    0x3001efed,0xffffffff,0x3ffee0bf,0xff54ffff,0x40001dff,0x6c02fff8,
    0xf9002fff,0x007fff60,0x2237fffb,0xfd802ffb,0x3fe200ff,0x3fd4005f,
    0x0fffd800,0x017ffe20,0x446ffff6,0xfc802ffb,0x7ec0000f,0xfd803fff,
    0xff5001ff,0x11bfffff,0x439fffff,0xf99ffffc,0xfffa8006,0xff15ffff,
    0x7fc19fff,0x2000003f,0x002dffd8,0x40027ec0,0xfccffffc,0x17ffe404,
    0x037ff400,0xfffffeb8,0x7fdc01cf,0xaaaaaaef,0x007febaa,0x3fffff26,
    0xffffffff,0xffffffff,0xffd80fff,0x00bdffff,0x7fffec40,0x7fdc02ef,
    0x3fa21eff,0x440000df,0x3ee02fff,0xaaaaaeff,0x87febaaa,0x805ffff8,
    0xffffffeb,0xfffa801c,0x3fff204f,0x13f6001f,0x3fffea00,0x3ffff204,
    0xfffeb801,0x4c01cfff,0x000dfffc,0xffffff50,0x3ffe2039,0x3ff2005f,
    0x3fe24fff,0xffe880be,0x0000cfff,0x47fffff9,0xc80beff8,0x800000ff,
    0xffffffed,0x9d10006f,0xfffb1000,0xff9805df,0x2a000eff,0x2003ffff,
    0x800abca8,0xfffffff8,0xffffffff,0x2a60007f,0x0000999a,0x01555100,
    0x2eea2000,0x02a62001,0x10000098,0x3e205fff,0xffffffff,0x7fffffff,
    0x3fffffaa,0xca8806ff,0xffa800ab,0x8effffff,0xffffffe8,0x1cc802ff,
    0x3fffea00,0xe88effff,0xffffffff,0xabca8802,0xffffc800,0x5001efff,
    0xffffffff,0x7ff54bff,0x006fffff,0x0b2206ea,0x00d65c40,0x881ba800,
    0x0001802c,0x00000000,0x33000062,0xfffff500,0x2a05ffff,0xfffffffe,
    0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdca88000,0x07b30cef,
    0x99999997,0x98059999,0xcccccccc,0x9999953c,0x00999999,0x66666664,
    0x8800003c,0x33332600,0x20cccccc,0xcccccccb,0x33201ccc,0x02cccccc,
    0xa9800660,0x0aaaaaaa,0x15555550,0xdefdca80,0x00080003,0x2e226cc0,
    0x00602cee,0x10038818,0x24801209,0xcccccccc,0xcccca81c,0x004002cc,
    0xcccccc88,0x704ccccc,0x99999999,0x20003999,0xcccccccb,0xcccccccc,
    0x3ccccccc,0xc987da80,0x32a002de,0x6644a00b,0xcccccccc,0x7300004c,
    0x9807bddb,0x33bfea00,0x3ffdfffd,0xffffd710,0x540013bf,0x20affffd,
    0xfffffca8,0x26001aef,0x1cfffffc,0x99999991,0xb0799999,0x731019ff,
    0x17ffffff,0xffffd988,0x4c400aff,0x00adfffd,0x77ffff5c,0x7fff5403,
    0xb500beff,0x2601bfff,0xfea8aefe,0x03cccccf,0x000fff44,0x6cbffd71,
    0x05ffffff,0x04b801b5,0x207d007f,0x265c805d,0xacfffffc,0xeffea880,
    0xbff5000a,0x7ffe4c00,0x4401bfff,0xcfffffea,0x26200009,0xffffffeb,
    0xeeeeeeef,0x105ffffe,0x7ccfffd7,0x405fffff,0x83ffffe9,0x3ff26249,
    0x001bffff,0xccdfd880,0xfd82effe,0x80efd82f,0x403ffffb,0x006ffff8,
    0x200ffe40,0x00fffffa,0x07ffea00,0x7ffffecc,0x7d4099cf,0x7dc05fff,
    0xfd803fff,0xf8003fff,0xffe9806f,0x1effffff,0x07fffec0,0x2603ff80,
    0xfff884ff,0x5c06ffff,0xf9005fff,0x3f6bffff,0x6fffffff,0x3ee03dd0,
    0x159dfb00,0x203fd951,0xa88acefb,0xffb83fec,0x3ff5007f,0x2fffe800,
    0x7fffdc00,0x7ffc4001,0x9800005f,0x05fffcff,0xf70dfb10,0x3e6fffff,
    0x2ffffddf,0x3fffffe0,0x640f22ef,0x0002ffff,0xfb05ff50,0x7ffc43ff,
    0x3202ff46,0xfd803fff,0x540004ff,0xfffb006f,0xff88000f,0xffffa804,
    0x7fffdc04,0x7fffc00f,0xffff9803,0x01ff8002,0x7fffffc4,0x00ffffff,
    0x003fffe2,0xfe881be2,0x2fffee07,0x7fdc009a,0x3ea1005f,0x99cfbdff,
    0x83ffffea,0x1fe42ff9,0xffffff10,0xfe809fff,0x6fffffff,0x003fffa0,
    0x3a0013f2,0x54002fff,0x8000ffff,0x0003ffff,0xffaef980,0x436c005f,
    0x3ebfffe0,0x1fffa20a,0xfffb86d4,0x300fefff,0x0001ffff,0x2605ff30,
    0x3fe66fff,0x007fee6f,0x9007fff3,0x80007fff,0xff3005f9,0x4c0003ff,
    0xfff1006f,0xfff8803f,0x7fe403ff,0xfffb005f,0x05f88009,0x88adffd8,
    0x06ffffd9,0x401fffd4,0x3ff203fa,0x13ffe205,0x01ffe880,0x1eeffe80,
    0x0ffffd88,0xfd8cffd8,0xffffa806,0xe8805fff,0x0effffff,0x013ffea0,
    0x7d4001be,0x7555006f,0x5555ffff,0x55555555,0x559fffd5,0xf9000015,
    0x00bfff53,0x7fe407a8,0xfff701ef,0xfc883703,0x2602ffff,0x00007fff,
    0xfff80dfb,0x2bfff10f,0xf8805ff8,0xffc803ff,0x7cc0003f,0x3fffa005,
    0x0bf20004,0x00ffff80,0x04f89a88,0x007fffcc,0x0037ffd4,0xbf300fea,
    0x3ffffb80,0x4037ff40,0x3ffa00fe,0x03fff404,0xfd0000c0,0x7fc403ff,
    0xfff883ff,0xb1002fff,0x8007dfff,0x004effec,0xfa80fffd,0x00040003,
    0xffffffff,0xffffffff,0xffffffff,0x003fffff,0xff55f880,0x80f000bf,
    0x2200fffb,0x20382fff,0x4c01cdc9,0x80006fff,0x7dc02ffa,0xda7ffc7f,
    0xfff002ff,0x7fff9007,0x05f98000,0x01fffea0,0x7c007f80,0x54000fff,
    0xfffe802f,0x3ffff002,0x2007ec00,0xfff9005c,0x1fffa80b,0xff013e60,
    0x7ffd809f,0x6c000000,0xffc805ff,0xffff705f,0x0002000b,0xf7000220,
    0x07f405ff,0x55000000,0x55ffff75,0x55555555,0x9fffd555,0x80001555,
    0xbfff51fc,0xfb807000,0x3fff807f,0x7cc00000,0x09999eff,0x00fff400,
    0x3ffa0544,0x2003fff3,0xfc803fff,0x4c0003ff,0x7ffc005f,0x4fa8002f,
    0x03fffc00,0x5c007ec0,0xfb005fff,0x3e2007ff,0x1000e805,0xfd00ffff,
    0x00fe40bf,0xf9017ffe,0x000001ff,0x402ffec0,0x3206fff8,0x00000ccc,
    0x44000000,0x9f305fff,0x40000000,0x0006fff8,0x0003fffb,0xff52fc40,
    0x700000bf,0xfff00fff,0x98000007,0xffffffff,0x7c00beff,0x7e40007f,
    0x00fff89f,0x9007fff0,0x80007fff,0x7dc005f9,0xfe8006ff,0x3fffc000,
    0x400fe200,0x800ffff8,0x7006fffa,0x0048805f,0x5c03ffec,0x0df01fff,
    0xc80dffb0,0x000006ff,0x802ffec0,0x00007fff,0x00000000,0x40fffe40,
    0x000000fc,0x1bffe200,0x0fffec00,0x43f90000,0x0005fffa,0x807ffb80,
    0x00003fff,0x57fffcc0,0xfffffccb,0x07ff980d,0x4c7fdc00,0x3fe007ff,
    0xfffc803f,0x2fcc0003,0x3fffe200,0x017e6001,0x801fffe0,0x7ec004e9,
    0xffc803ff,0x0fd801ff,0xffc80000,0x0bfff006,0xff7007f5,0x27fec01f,
    0x9dfb9500,0x2ffec005,0x00fffe80,0xfb950000,0xb300059d,0xfff9800f,
    0x9802fc44,0xaaaaaaaa,0x1aaaaaaa,0x00dfff10,0x007fff60,0x2a2fc400,
    0x75005fff,0x01ffee00,0x9800fffe,0x3fe6007d,0xfffd506f,0x07ffa81d,
    0xfbbfcc00,0xfff000ff,0x7fff9007,0x05f98000,0x05fffc80,0x2000bf20,
    0xf9007fff,0xfff50007,0xffffd00b,0x005f8809,0x09ff9000,0xd07ffee0,
    0xfff1001f,0x03ffe209,0x3b37fa60,0xd800dfff,0xffb005ff,0x007d980f,
    0x3fb37fa6,0x5c400dff,0xd8007ffe,0x00fdc7ff,0xffffffd8,0xffffffff,
    0xdfff102f,0x3fff6000,0x3f900001,0x005fffa8,0x3fee0077,0x03fff807,
    0x03fff5c4,0x40dfff30,0x20effff8,0x0000fffb,0x7ffdd7e2,0x07fff001,
    0x007fff90,0x8005f980,0x800ffff9,0xff0006f8,0x019900ff,0x3fffe200,
    0x3ffbe600,0x017dc07f,0x2ffd8000,0x4bfff100,0x3a2004f9,0x7fec41ff,
    0x40dfa802,0x400ffff9,0xf9005ffd,0xffd710df,0x037ea00f,0x201ffff3,
    0x07fffffb,0x22fffa80,0x33f6006e,0x3fff2019,0x1bffe205,0x0fffec00,
    0x42fcc000,0xd005fffa,0x1ffee007,0xb80fffe0,0x007fffff,0x501bffe6,
    0x7d49ffff,0x7c0001ff,0x005fff54,0x3200fffe,0x40003fff,0xfd0005f9,
    0x7f7009ff,0x1fffe000,0x7ec00000,0x27f203ff,0x3601fffe,0xf000000f,
    0x7e4001ff,0x003f90ff,0xcacffe88,0xf9801dff,0x17ffea06,0x200bffb0,
    0x7fdc5ffd,0xf9807fff,0x17ffea06,0x00fffd04,0x7d5bffa0,0x20136002,
    0x200efffa,0x0006fff8,0x0003fffb,0xff501fb0,0x3fd880bf,0x00fff700,
    0xd0407fff,0x7cc00fff,0xfff806ff,0x13ffe66f,0xf32d8500,0x3fe009ff,
    0xfffc803f,0x2fcc0003,0x7fffa800,0x0000fe80,0x0000ffff,0x1bffea00,
    0x9fff76f8,0x00017e20,0x0027fc40,0x37d3ffe2,0x65df4400,0x3a001bcd,
    0x7ffec01f,0x017ff602,0xe8227ff4,0x1fe807ff,0x017ffec0,0x4001fff2,
    0x07d9fffb,0x3e2016c0,0x7c401fff,0x99999fff,0x99999999,0x0001fffe,
    0xffa827cc,0xeeeeeeff,0x7003ffff,0xfff00fff,0x1fff2007,0x06fff980,
    0x20ffffd8,0x5000ffff,0x7fffc407,0x03fff800,0x003fffc8,0x0002fcc0,
    0x4c05ffff,0x3fe0005f,0x0000007f,0x2603fffe,0x0ffff14f,0x00000bee,
    0x40007fe4,0x02fcfffc,0x0001fcc0,0x7e4037d4,0x3ff604ff,0x03fff005,
    0x2a03ffe4,0xfffc806f,0x03ffdc04,0x75555555,0x55bfbfff,0xe8355555,
    0x1fffec00,0x7ffffc40,0xffffffff,0xffffffff,0x07f40001,0xeeffffa8,
    0xfffeeeee,0x0fff7003,0x2007fff0,0x26007ffb,0xfb806fff,0x3ffa2fff,
    0x801d004f,0x4c05fffd,0xfc803fff,0x4c0003ff,0x3ee0005f,0x0bf206ff,
    0x07fff800,0x3f200000,0x21fc83ff,0x7e82fffe,0xff100000,0x3fe20005,
    0x7c4007ff,0xfe80000f,0xaaaaaaae,0x205fffda,0xf9806ffd,0x3ffdc05f,
    0x2aabbfa0,0xffdaaaaa,0x3ffdc05f,0xfffffff0,0xffffffff,0x09ffffff,
    0x05fffb80,0x33ffff10,0x33333333,0x3fffd333,0x027d4000,0xb00bfff5,
    0x3fee007f,0x03fff807,0x400fff70,0xc806fff9,0x3ea1ffff,0x36c03fff,
    0x6ffffcc0,0x3fffe980,0x03fffc80,0x002fcc00,0x03ffff10,0xf8000df1,
    0x000007ff,0x21bffe60,0x2fffdc6f,0x000013e2,0x20002fe4,0x4004fffc,
    0x0000cffb,0x7ffffffc,0xffffffff,0x03fff607,0xb801ffb0,0x7ffc07ff,
    0xffffffff,0x5c07ffff,0x266607ff,0xff999999,0x999999df,0x3e600099,
    0xf1000eff,0x36000dff,0x20001fff,0xcccccdfe,0x005fffdc,0x3fee007d,
    0x04fff807,0x400fff70,0xe806fff9,0xffe87fff,0x7f4c0bff,0xffff9001,
    0xf3fb77bf,0xff9007ff,0xf980007f,0x7fe40005,0x003fb85f,0x003fffc0,
    0x3ffa0000,0xf10fea1f,0x17dc1fff,0x77cc0000,0x7fcc0000,0x7fec001f,
    0xeeefffff,0xff880bce,0x7ec00005,0x3fe605ff,0x07ffb803,0x00017fe2,
    0x001ffee0,0x0009fff0,0x0ffffc40,0x0dfff100,0x07fff600,0x7777d400,
    0xffeeeeee,0x0077005f,0x8803fff6,0xf7005fff,0x7fcc00ff,0x7ffc406f,
    0xffff986f,0x3fffeeff,0x7fffec00,0xfff1ffff,0x7fff7007,0x04f98000,
    0x7fffcc00,0x00007f40,0x0001fffe,0x9fff9000,0x7fec07ec,0x0001fa2f,
    0x00007f40,0xa8006fd8,0xffffffff,0x0cffffff,0x0001bfe6,0x39ffffb0,
    0x7003ffa8,0x7fcc0fff,0xfb800006,0x7fc0007f,0x3600004f,0x44003fff,
    0xb0006fff,0x20003fff,0xfffa806e,0x50075005,0x6409ffff,0xb801ffff,
    0x3e6007ff,0x7fec06ff,0xfff301ff,0x0bffffff,0x3fffee00,0x0fffe0df,
    0x013ffee0,0x0009f500,0x4c9fffd0,0xff80005f,0x0000007f,0xf8b7ffcc,
    0x2bfff506,0x800004f8,0x200002fd,0xf50002fb,0xffffffff,0x54bfffff,
    0x400007ff,0xfffadffd,0x2001fffd,0x3ea07ffb,0xb800007f,0x7c0007ff,
    0x700004ff,0x1000bfff,0x2000dfff,0x8001fffd,0xffa803fb,0xf500005f,
    0xdfffffff,0xfffffd11,0x7dc05fff,0x3fe6007f,0xfffd106f,0xffd8807f,
    0x0002efff,0x7c055d44,0xffb803ff,0x7d40004f,0xffa80003,0x0007f67f,
    0x001fffe0,0x3ffa0000,0xf103fa9f,0x03f71fff,0x02fc8000,0x003f4000,
    0x55311d70,0xffb99755,0x03ffe61f,0x5ffd8000,0x00159731,0x4c0fff70,
    0x00000fff,0xff03ffdc,0xffffffff,0xffffffff,0xf9809fff,0x88000eff,
    0xb0006fff,0xf0003fff,0x3ffea00d,0x00000005,0xfff70000,0x37ffcc00,
    0xfffff753,0x6f544007,0x20000001,0xfa803fff,0x5c0005ff,0xfd00002f,
    0x00df15ff,0x01fffe00,0x3ee00000,0x200fdcff,0x07ebfffd,0x01fd4000,
    0x013e6000,0x4000fd40,0x7fff13fc,0x3f601800,0x5c00005f,0x3fe207ff,
    0x200c003f,0x33207ffb,0xfccccccc,0xccccceff,0x3e202ccc,0x10001fff,
    0x2000dfff,0x4001fffd,0xff5002fb,0x004000bf,0x0002b720,0x400fff70,
    0xfffffff9,0x00cfffff,0x0003f980,0x1fffc000,0x03fffc40,0x0003f600,
    0x5f7ffdc0,0xff00003f,0x2a8000ff,0x7fffc400,0x7ffd405f,0x200004ff,
    0x800004f9,0xf98000fd,0x47f10004,0x1000ffff,0x02ffec0d,0x1ffee000,
    0x001ffff0,0xfff701a2,0x4fff8000,0x7ffec000,0x3fe20002,0xffb0006f,
    0x37c4003f,0x0bfff500,0x88007400,0x0001ffff,0x9801ffee,0xccccffff,
    0x740000ab,0x00000eff,0x007fff00,0x000bfffe,0x00003fc4,0x1ffffff1,
    0x3ffe0000,0x00740007,0x17fffec0,0x0fffffc0,0x04f98000,0x05f98000,
    0x0005fd00,0xfffd87e2,0x6c079004,0x400005ff,0x7ec07ffb,0x079004ff,
    0x0007ffb8,0x00027ffc,0x900bfff7,0x1bffe201,0x0fffec00,0x4005f900,
    0x0005fffa,0xfeb800b9,0x3ee0005f,0x3fe6007f,0x1000006f,0x0007fff7,
    0x0fffe000,0x02fffdc0,0x0003fd80,0x27fffe40,0xffff0000,0x00354000,
    0x00ffffa8,0x007fffc8,0x400bf300,0x03fd0038,0x00dff700,0xfff31760,
    0x00fb80bf,0x00017ff6,0x980fff70,0x5c05ffff,0x3ffdc00f,0x13ffe000,
    0x37ffcc00,0xff300d80,0x3fa000ff,0xdf3002ff,0x5fffa800,0x003f9800,
    0x0007ff88,0x9801ffee,0x00007fff,0x002ffd40,0x4fff8000,0x0bfffa00,
    0x000df700,0x3ffff300,0x7ffc0000,0x3f88000f,0xbfff1000,0x13ffe600,
    0x017e6000,0x6fec47b0,0x0005fd9b,0x0019fff9,0x3f603b62,0x710aefff,
    0xffe809fb,0x7dc00005,0xfffd807f,0xfb710aef,0x1fff7009,0x2fffc000,
    0x7fffc400,0x2601f001,0xd0007fff,0x3a005fff,0x7fd4003f,0x7f44005f,
    0x6ff88000,0x3ffee000,0xffff3000,0xfa800000,0x8000001f,0x2004fff8,
    0x803ffff9,0x0001ffd9,0x00dffb00,0x7fffc400,0x0ff4c001,0x05ffb000,
    0x000fffc0,0x2667be60,0xba999999,0x3fff20fe,0x0000efff,0x7bfffff3,
    0xfb753335,0x3ffe201d,0xffffffff,0x06ffe806,0x7ffe4000,0x7fffc400,
    0x6fffffff,0x03fff900,0x1bffe200,0x0bfff600,0xff503e40,0xff0001ff,
    0xff9007ff,0xfffc8003,0x1bfee006,0x0bff2200,0x1fffc800,0x3ffff700,
    0x3a600000,0x0000006f,0x001dfff5,0x677fff44,0xfffdb99b,0x2000000e,
    0x00003ffa,0x013fffe6,0x0037fdc4,0x9001fea0,0xfa8000df,0xffffffff,
    0x45ffffff,0x0efffffb,0x7fecc000,0xffffffff,0xfe9802ff,0xefffffff,
    0x7fffcc00,0x3f600001,0xfe9801ff,0xefffffff,0xffff8800,0xffd98005,
    0xf7000bff,0x55555dff,0x0ffd7555,0x3bffffe6,0xfffb1000,0x7fe405ff,
    0xfc8800df,0xccceffff,0xfffedccc,0x3faa003f,0x220001ce,0x9805ffff,
    0x01dfffff,0x3bfb2000,0x4000000b,0xefffffdc,0xfd71002c,0xffffffff,
    0x0000005d,0x400003fa,0xffffffe8,0xffeeeeee,0x0004ffff,0x7cc004f8,
    0x3fea0004,0xffffffff,0x82ffffff,0x000cfffd,0x3fff2600,0x00bdffff,
    0x7ffffec0,0x3f72204f,0x04dfffff,0x7fffc400,0x3fff6005,0xea804fff,
    0x6fffffff,0xfffffb80,0x201effff,0xfffffff8,0xffffffff,0x3fffa67f,
    0x6effffff,0xfffffdb0,0x2a5dffff,0xffffffff,0xffffea82,0xffffffff,
    0xffffffff,0x00262001,0xffffd500,0xfe98dfff,0xffffffff,0x9880005f,
    0x20000000,0x99999999,0xaa980009,0x001abccc,0x01540000,0x3ffba200,
    0xffffffff,0xffffffff,0xb80001ff,0x000c8001,0x3fffffe0,0xffffffff,
    0x13100fff,0x53000000,0x26000013,0x998009bb,0x19999999,0xfffd5000,
    0x400dffff,0x00009bb9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xccc88000,0xcccccccc,0x9910003c,0x99999999,0x35579999,0x99991000,
    0x99999999,0x33220005,0xcccccccc,0x1aabcccc,0x165c0000,0x36600510,
    0x9316ecc7,0x99999999,0x99999999,0x20999999,0x9abdeedb,0x44040106,
    0xcccccccc,0x99704ccc,0x99999999,0x33332239,0x00004ccc,0xcccccca8,
    0x9999912c,0x99999999,0x20035799,0xccccccc8,0xbccccccc,0x990001aa,
    0x99999999,0x33201999,0xcccccccc,0x33333320,0xcccccccc,0x4ccccccc,
    0xcccccc88,0xcccccccc,0x24cccccc,0xcccccccb,0x9931cccc,0x99999999,
    0x99999999,0x64499999,0xcccccccc,0xccca84cc,0x03cccccc,0xfd980240,
    0x99cfffff,0x7ed40000,0xffffffff,0xdfffffff,0x3ee6000a,0x01bfffff,
    0xfffb5000,0xffffffff,0x15bfffff,0x3ffee000,0x202b82ef,0x367ffeb8,
    0xff71ffff,0xffffffff,0xffffffff,0xe88fffff,0xfffebbdf,0x6c2ffcc6,
    0xffc982ff,0x401bffff,0xfffffeb8,0x7ed4c0ac,0x0002ffff,0x3ffffe20,
    0xffda809d,0xeeefffff,0x0befffff,0xffffda80,0xffffffff,0x00bdffff,
    0xffffd930,0x4037dfff,0xeffffd98,0xfffc981a,0xeeeeeeff,0x7fffffee,
    0x3ffff260,0xeeeeeeef,0x20ffffff,0xfffffeb9,0x7fffd41c,0xffffffff,
    0xffffffff,0x7e4c0fff,0x01bfffff,0x3fffff26,0x1ae0009d,0x9ffff500,
    0x3ee00000,0x2209afff,0xfffffcb9,0x7ffdc002,0x7000002f,0x4135ffff,
    0xffffcb98,0x7fc4002f,0x11efffff,0x3ffee03d,0xffff77ff,0x2b3fee9f,
    0xffe99999,0xb99999af,0x07fa0fff,0xffb1bfa6,0x37ffcc5f,0x05ffff70,
    0x5ffff880,0xdffffb00,0x7fdc0000,0xff9007ff,0x7f5401ff,0xf7002fff,
    0x44335fff,0xfffffdba,0x7ff4c002,0x7c002fff,0xff5003ff,0x7e4400ff,
    0x7ffe400f,0xfffa9806,0x4ffff880,0x335bff70,0x7fffd333,0xfd753333,
    0x3ffee01f,0xfff1001f,0x1be0001d,0x3ffff100,0x3e600000,0xfd1007ff,
    0x2001bfff,0x0007fff9,0x1fffe600,0x7ffff440,0x1199000d,0xfdfffff9,
    0xffe8840d,0xffd98eaf,0xfe807f91,0x3fa201ff,0x7c40bf50,0x51fffec6,
    0x7cc0dfff,0xfd0007ff,0x3ee005ff,0x0002ffff,0x0bffffd0,0x01fffe60,
    0x01ffffd4,0x803fffcc,0x0dffffe9,0x3fffa200,0x3fe6004f,0x3ffe2002,
    0x00fc8007,0x0037ffcc,0x3fa01fd1,0x09f702ff,0x201fffd8,0xff301fe8,
    0x7fdc00ff,0x1bee0005,0x03fffe00,0x7fcc0000,0x7fdc007f,0xff1005ff,
    0x400000ff,0x4007fff9,0x005ffffb,0xfffd981b,0xff9001ff,0x320983df,
    0x1fffe805,0x6fc8fcc0,0x3fe63640,0x202ffd86,0x0007fff9,0x2005fffb,
    0x05fffffa,0xffffa800,0xfff3004f,0x7ffdc00f,0x7ffcc00f,0x7ffe4007,
    0x7fc4006f,0x3fa007ff,0x7fff8003,0x401f8800,0x4006fff9,0xfffd01fa,
    0x3601ae03,0x7c401fff,0x0ffff301,0x000ffe60,0x8006ff88,0x0000ffff,
    0x0ffff100,0x9ffff500,0x0dfff100,0x7fc40000,0xffa8007f,0x204804ff,
    0x2001cec9,0xc803fffb,0x1fffe803,0x1ffd1e80,0x201834c0,0x7ffc4008,
    0xfffb0006,0x3f7e6003,0x40001fff,0x04fffdfe,0x00ffff10,0x405fffd8,
    0x8007fff8,0x004ffffa,0x027fffd4,0xf80027e4,0x3b0007ff,0x06fff980,
    0xffd01e80,0x2013203f,0xd801fffd,0x0dfff101,0x0007fd10,0x0037ff4c,
    0x0003fffc,0x0ffff100,0x3ffff600,0x37ffc402,0xff100000,0x3f6000ff,
    0x00002fff,0x0fff7000,0x3fa00760,0x91c801ff,0x01c05fff,0xfff88000,
    0xfffb0006,0x333e6003,0x20005fff,0x4fffbdf9,0x0ffff100,0x07fffb80,
    0x003fffc4,0x03ffffd8,0x0ffffe40,0x4000df50,0x50007fff,0x6fff9801,
    0xfd00a800,0x007203ff,0x2007fff6,0xdfff102b,0x003fe880,0x3ffffee0,
    0x7c00aaaa,0x000007ff,0x001fffe2,0x037fffc4,0x001bffe2,0x7fff8800,
    0xffff1000,0x0000000d,0x0001ffee,0x003fffd0,0x0cffffa8,0x22000000,
    0xb0006fff,0x26003fff,0x0ffff8cf,0xf73fb000,0x3e2009ff,0x7cc007ff,
    0x3e200fff,0xf10007ff,0xd000ffff,0x3e20dfff,0x3fe0000f,0x2000007f,
    0x0006fff9,0x00ffff40,0x07fff600,0xdfff1000,0x001ff440,0xffffff70,
    0xf805ffff,0x000007ff,0x001fffe2,0x02ffffb8,0x0e1bffe2,0x7ffc4000,
    0x3fee0007,0x000002ff,0x007ffb80,0x0ffff400,0x7ffffc00,0x000000cf,
    0x006fff88,0x003fffb0,0x7ffed3e6,0x76f98004,0x22009fff,0x54007fff,
    0x7c407fff,0x2e0007ff,0x4002ffff,0xe83ffff9,0x7fc0001f,0x2000007f,
    0x0006fff9,0x00ffff40,0x07fff600,0xdfff1000,0x0013fa20,0x006ffc80,
    0x0007fff8,0x1fffe200,0xbffff000,0x137ffc40,0x220000bd,0x40007fff,
    0x2a05ffff,0x2dec987d,0x01ffee00,0x3fffd000,0xfffd1000,0x4c007fff,
    0x3fe2007d,0xffb0006f,0x53e6003f,0x000ffff9,0xfffb97e4,0xffff1004,
    0x5fffd800,0x03fffc40,0x17fffe00,0x3fffee00,0x0000ff61,0x9801fffe,
    0x3ffe6004,0xd0039806,0x80003fff,0x0001fffd,0x4437ffc4,0x400003fe,
    0xf8006ffc,0x000007ff,0x001fffe2,0x01ffffd0,0x7cdbffe2,0xf100001f,
    0xe8000fff,0x2e20ffff,0x3fe67ffe,0x7005ffff,0x80000fff,0x0001fffe,
    0x3fffffee,0xffd7100d,0x7ffc400f,0xfffb0006,0xd93e6003,0x22003fff,
    0x13ffee6f,0x03fffc40,0x00bfffe0,0x000ffff1,0x00ffffe8,0x76fffe80,
    0x3e0000bf,0x12a007ff,0x06fff980,0xffd004a8,0xfd80003f,0x440001ff,
    0x7fcc6fff,0xfc800003,0xfff8006f,0x10000807,0x8000ffff,0x101ffffc,
    0x1df5dfff,0x7fc40000,0x7e40007f,0xfff71fff,0x37fe6fff,0x802ffffd,
    0x00007ffb,0x000ffff4,0x3ffff220,0x7ffdc0ef,0x3e2007ff,0xfb0006ff,
    0x3e6003ff,0x01fffe64,0x3fee3fc8,0xfff1004f,0x3ff6200f,0xfff8807f,
    0x7fe40007,0xf88001ff,0x00efdfff,0x0ffff000,0xf30026c0,0x09b00dff,
    0x007fffa0,0x03fffb00,0x6fff8800,0x0000ffe6,0x0037fe40,0xd303fffc,
    0xff1000bf,0xfb8000ff,0xff102fff,0x0001bfff,0x07fff880,0x7fffdc00,
    0x57fffc12,0x3ffa20af,0x07ffb807,0x7fff4000,0xfb300001,0x3a089fff,
    0x3e2007ff,0xfb0006ff,0x3e6003ff,0x01ffff44,0xff707fc4,0x3fe2009f,
    0xffe8807f,0xff8801ff,0x7dc0007f,0x70002fff,0x003fffff,0x03fffc00,
    0x26004fb8,0x32606fff,0xfffd004f,0xffd80003,0x7c40001f,0x07ff56ff,
    0x7fe40000,0x7fff8006,0x00bfff20,0xfffffff3,0xffffffff,0x7ffd403f,
    0xffff103f,0x3e600009,0xffffffff,0x1fffffff,0x0ffffea0,0x407bfff2,
    0x5c01fffb,0x7c4007ff,0xffffffff,0xffffffff,0x7dc0385f,0x3ff206ff,
    0x3ffe2007,0xaaaaaaaf,0xfeaaaaaa,0x9f3001ff,0x806fffa8,0x7ffdc4fb,
    0xffff1004,0xd999799b,0x0019ffff,0x001fffe2,0x07ffff50,0x37ffec00,
    0x3ffe0000,0xeeeeeeef,0x2004fffe,0xeeeffff9,0x04ffffee,0x003fffd0,
    0x01fffd80,0x77ffc400,0x0002fffa,0x7fed54c0,0x400aaaaf,0x3f207fff,
    0x664402ff,0xccffffcc,0x00cccccc,0x413fffe6,0x0007fff8,0x3f333220,
    0xcccccfff,0x3e600ccc,0xffb84fff,0x3ffe200f,0x03ffdc02,0x3bbbba20,
    0xeeffffee,0xd84eeeee,0x0fffe401,0x2007ffb8,0xfffffff8,0xffffffff,
    0x01ffffff,0xffd09f30,0x40fe805f,0x1004fffb,0xffffffff,0x9fffffff,
    0x7ffc4001,0x7fcc0007,0x220004ff,0x0004ffff,0x3bbfffe0,0xfffeeeee,
    0x3fe6004f,0xffffffff,0xfd004fff,0xd80003ff,0x40001fff,0xfffffff8,
    0x200002ff,0xfffffffc,0x7fc02fff,0x17fa607f,0x1fffe200,0xffff3000,
    0x1bffea07,0xff880000,0x7cc0007f,0xffb83fff,0x03fff807,0x0003ffdc,
    0x007fffa0,0xff8809b0,0x0fff700f,0x4ffffc40,0x99999999,0xfffe9999,
    0x709f3001,0x7d40dfff,0x04fffb84,0x81ffff10,0xfffecb98,0xff8801ef,
    0x7cc0007f,0x20003fff,0x01fffffa,0x0ffff000,0x4009f910,0x2206fff9,
    0xffd004fc,0xfd80003f,0x440001ff,0xfff9efff,0x300002ff,0x55fffb55,
    0xfff80155,0x10000807,0x8000ffff,0xb81ffffb,0x0006ffff,0x1fffe200,
    0xffff7000,0x00fff703,0xfb807fff,0x200001ff,0x4001fffe,0x3ff400fd,
    0x400fff70,0x0006fff8,0x2003fffb,0xffff04f9,0x2e07fa03,0xf1004fff,
    0x3ee00fff,0x4403ffff,0x40007fff,0x002ffffb,0xfffddf10,0x3fe0000d,
    0x0136007f,0x806fff98,0xfffd004d,0xffd80003,0x7c40001f,0xffff36ff,
    0xc800005f,0xff8006ff,0x2000007f,0x0007fff8,0x207fffe4,0x06fffefc,
    0x3fe20000,0x7e40007f,0xffb80fff,0x03fff807,0x0017ffe4,0x03fffd00,
    0x2606fd80,0x3fee03ff,0x3ffe2007,0xfffb0006,0x413e6003,0xf985fffb,
    0x09fff705,0x01fffe20,0x1fffff98,0x01fffe20,0x1ffff900,0x267fa000,
    0x0004ffff,0x2007fff8,0x3fe6004a,0x004a806f,0x0003fffd,0x001fffd8,
    0x337ffc40,0x005fffff,0x037fe400,0x003fffc0,0xffff1000,0xfffd8000,
    0x3e33f627,0x000006ff,0x001fffe2,0x20ffffb0,0xff807ffb,0x3ffe603f,
    0xd00000ef,0xd8003fff,0x7ecc2eff,0x03ffdc05,0x00dfff10,0x007fff60,
    0xff8827cc,0x80fec1ff,0x1004fffb,0x9800ffff,0x2206ffff,0x40007fff,
    0x0007fffd,0x7ffdc7fb,0x7fc0001f,0x0126007f,0x806fff98,0xfffd0049,
    0xffd80003,0x7c40001f,0x7ffcc6ff,0x900002ff,0xff000dff,0x400000ff,
    0x0007fff8,0xf72ffff4,0x01bffe25,0xfff88000,0x7ff40007,0x0fff705f,
    0xf507fff0,0xffffffff,0xffe80005,0x776c001f,0x3ffedfff,0x007ffb80,
    0x001bffe2,0x800fffec,0x3ff204f9,0xb81be64f,0xf1004fff,0xff000fff,
    0x3e203fff,0x740007ff,0xb8006fff,0xefffe84f,0x3ffe0000,0x26000007,
    0x00006fff,0x000ffff4,0x007fff60,0x0dfff100,0x05fffff3,0x0dff9000,
    0x00ffff00,0x7ffc4000,0x3fe60007,0xf886e2ff,0x000006ff,0x001fffe2,
    0x02ffff98,0xff00fff7,0x0000007f,0x00ffff40,0x57f73020,0x1ffee001,
    0x06fff880,0x03fffb00,0xf8813e60,0x05f90fff,0x8027ffdc,0x8007fff8,
    0x102ffffc,0x4000ffff,0x003ffff9,0xff9837cc,0x3e0004ff,0x000007ff,
    0x001bffe6,0x03fffd00,0x1fffd800,0x7ffc4000,0xfffff306,0xffc80005,
    0x7fff8006,0x88154000,0x20007fff,0x4405fffe,0x40006fff,0xffff101b,
    0x7fff4000,0x01ffee05,0x2a00fffe,0x200001cd,0x0001fffe,0x5c001fc8,
    0x3e2007ff,0xfb0006ff,0x3e6003ff,0x67ffec04,0x7fdc06f8,0xfff1004f,
    0xfff7000f,0x3ffe205f,0x3ffa0007,0x7fc4006f,0x3fffee00,0xffff0001,
    0x30088000,0x0000dfff,0x001fffe8,0x00fffec0,0x1bffe200,0x2fffff98,
    0x1fff2000,0x01fffe00,0x3e201d00,0xf70007ff,0xf8801fff,0x220006ff,
    0x1fffe207,0x7fffdc00,0x01ffee00,0x3200fffe,0x00005fff,0x0003fffd,
    0x004fff98,0x8801ffee,0xb0006fff,0x26003fff,0x7ffcc04f,0x7dc03fcf,
    0xff1004ff,0xff9000ff,0x3fe201ff,0xff70007f,0xfe8003ff,0xefffe802,
    0x7fff8000,0x980f4000,0x00006fff,0x000ffff4,0x007fff60,0x0dfff100,
    0x2fffff98,0x1fff7000,0x3ffe01c4,0x81aa0007,0x8007fff8,0x803ffff8,
    0x0006fff8,0xfff88132,0xfff88007,0x3ffdc03f,0x401fffc0,0x001fffc9,
    0x01fffe80,0x7ffecc00,0x0fff7000,0x037ffc40,0x01fffd80,0xfb009f30,
    0xb801ffff,0xf1004fff,0xfd000fff,0x7fc40bff,0xff88007f,0x7ec004ff,
    0xffff3004,0xffff000b,0x3035c000,0x0000dfff,0x001fffe8,0x00fffec0,
    0x1bffe200,0x3ffffe60,0xfff98002,0x7c00da9d,0x88000fff,0x3ffe203f,
    0x7ff4c007,0xfff1006f,0x0be6000f,0x007fff88,0x037fff4c,0x7c03ffdc,
    0x3f2003ff,0xfe80003f,0xb00001ff,0x3ee003ff,0x3fe2007f,0xffb0007f,
    0x13e6005f,0x13fffea0,0x013ffee0,0x003fffc4,0x80ffffea,0x4007fff8,
    0x00efffe8,0x70017f20,0x8005ffff,0x30007fff,0x7ffcc09f,0x7f400006,
    0x6c0001ff,0x40002fff,0x3006fff9,0x007fffff,0x5fffffd0,0x1ffff880,
    0x00ff4c00,0x400ffff3,0x00dffffb,0x00ffff30,0x4c01ff50,0x2e007fff,
    0x800dffff,0xff807ffb,0x3ff2004f,0xfff80002,0xfd00002f,0x7ffe400d,
    0xffff3000,0x3fffa000,0x00bf3002,0x2003fffa,0x3004fffc,0x4c00ffff,
    0x200effff,0x2007fff9,0x00dffffb,0x0003ff20,0x007ffffe,0x000ffff8,
    0x3e601fe8,0x400007ff,0x0001fffe,0x0017fff4,0x01fffe60,0x4fffffa8,
    0x77fe4400,0xffff9802,0xdff71004,0x07fffa80,0x7fffecc4,0x7ffd4004,
    0xffb1004f,0x7fffa80b,0x7ffecc40,0x3ff6004f,0x3ffe200f,0x0bff3005,
    0xffff1000,0xff700007,0x7ffec005,0xffff5001,0xfff88001,0x0df7003f,
    0x4013fea0,0x7006fffd,0x9100ffff,0x801dffff,0x4407fffa,0x04ffffd9,
    0x01bff220,0x7ffffec0,0xffff9800,0x1bfaa001,0x01ffff70,0x3ffe2000,
    0x7fc0003f,0x5c0004ff,0x2000ffff,0x0efffffd,0x88004400,0xeffffffe,
    0xfffeeeee,0x3a604fff,0xceffffff,0xffffffdc,0x7fcc000c,0xeeefffff,
    0xfffffeee,0x3ffa603f,0xdcceffff,0x0cffffff,0x3fffea00,0x3ffff204,
    0x2f7fb601,0xffd80000,0x88002fff,0x2002dffe,0x805ffff8,0x0effffe9,
    0x3ffff600,0x7ffcc02f,0x01ff801c,0xcfffffb8,0x3fffa601,0xdccceeff,
    0x03fffffe,0xfffffe98,0xffedccde,0x1000cfff,0x05fffff5,0xfffff980,
    0xfd301cff,0x999bffff,0xffdd9999,0x7ff4c07f,0x80000dff,0x02fffffd,
    0xfffff900,0xfd300017,0x1001bfff,0xffffffff,0x1000015b,0xffffffdd,
    0xffffffff,0x83ffffff,0xfffffee9,0xefffffff,0x44001bde,0xfffffffe,
    0xffffffff,0x40ffffff,0xfffffee9,0xefffffff,0x54001bde,0xffffffff,
    0xffffe88e,0x1982ffff,0xffdb0000,0xdfffffff,0x000cc003,0x3fffffaa,
    0x7f74c6ff,0xefffffff,0xffffdb06,0x25dfffff,0xffffffe9,0x816e04ef,
    0xffffffeb,0xfd33efff,0xffffffff,0xbddfffff,0x774c0157,0xffffffff,
    0xbdeeffff,0x7ffe4001,0x02ffffff,0x7fffffd4,0xd15fffff,0xffffffff,
    0xffffffff,0x981fffff,0xfffffffe,0x6c006eff,0xfffffffe,0x76401eff,
    0xffffffff,0x7f4c01ef,0xffffffff,0xffffd05e,0xffffffff,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33220000,0xcccccccc,0x910003cc,
    0x99999999,0x01579999,0x666664c0,0xcccccccc,0x2ccccccc,0x33333322,
    0xcccccccc,0x9500009b,0x99999999,0xcc980599,0x2ccccccc,0x2a000000,
    0xaaaaaaaa,0x2a00aaaa,0xaaaaaaaa,0x5540aaaa,0xa882aaaa,0x000aaaaa,
    0x2aaaaaaa,0x01aaaaaa,0x677ee540,0xedc88002,0x8000abdf,0xaaaaaaaa,
    0x001aaaaa,0x55555012,0x55555555,0x00d70003,0x004d8000,0x0cc00000,
    0x4aa00000,0x000000b8,0x03500000,0x37bb6e60,0xfffb3003,0x01339fff,
    0xfffda800,0xffffffff,0xfa800dff,0xffffffff,0xffffffff,0xfda80fff,
    0xffffffff,0x004fffff,0xffffe988,0x3001bfff,0x39fffff7,0x66666674,
    0xcccccccc,0x24cccccc,0xfffffff8,0x02ffffff,0xfffffff1,0x85ffffff,
    0x86fffeca,0x2ffffdb8,0x3ffffe00,0xffffffff,0x9bfd3003,0x001bfffd,
    0x3f2f7ff2,0x74001fff,0xffffffff,0x3004ffff,0xffffe80f,0xffffffff,
    0x007c8004,0x002fc000,0x3bb6e200,0x01fcc1bd,0x7f5c4000,0x0019ff34,
    0xeca80000,0xffd80ace,0x337f6203,0x002effec,0x009ffff5,0x3fff2000,
    0xffb731af,0xffb805ff,0xff5001ac,0xffb805ff,0x3a6209ff,0x0001efff,
    0x09fffff7,0x07fff200,0x92000012,0xfffffff8,0x02ffffff,0xfffffff1,
    0x05ffffff,0x901bffe2,0x7c005fff,0xffffffff,0xa803ffff,0x7ffcc0df,
    0x17fe400f,0x003bff22,0xffffffe8,0x04ffffff,0xffe80fb0,0xffffffff,
    0x7c8004ff,0x2fc00000,0xefd88000,0x14fffebc,0x880000bf,0x2e0bfffc,
    0x0001dffe,0x33ff6200,0x7c4fffdb,0x5ff506ff,0x003fffb0,0x003ffff1,
    0x3ffe6000,0x3fffee06,0x000bee04,0x00bffff1,0xb80dfff3,0x0003ffff,
    0x007ffff9,0x2407fee0,0x2a240000,0xaaaaaaaa,0x2a00aaaa,0xaaaaaaaa,
    0x3a00aaaa,0x7fd406ff,0x2aaa002f,0xaaaaaaaa,0x37cc01aa,0x40bfff50,
    0xff107ffa,0x5554009f,0xaaaaaaaa,0x7f9801aa,0x55555540,0x1aaaaaaa,
    0x0007c800,0x0002fc00,0x74427f44,0x0005eeff,0x0bbff660,0x05dffb50,
    0x3ff98000,0x70dffe88,0x5ff30dff,0x01bffe60,0x0007fffc,0x6fff9800,
    0x1ffffe40,0xfd8005c8,0xf9800eff,0xffd806ff,0xfd0001ff,0x3a000dff,
    0x0001203f,0x00000120,0xffb00000,0x2fff880d,0x40000000,0x7fec01fe,
    0x0dff902f,0x0002fff4,0x3fe20000,0x00000007,0x00000f90,0x440005f8,
    0x3fe605fe,0xa80000ff,0x4001dffe,0x00cfffc9,0x02ffc400,0x3a1dfff1,
    0x406fd81f,0xf800ffff,0x00000fff,0x00dfff10,0xb01fffff,0xfffb8005,
    0xfff1001f,0xffff100d,0x3fe6000b,0x7d4003ff,0x00002405,0x00000024,
    0x3ff20000,0x17ffc406,0x50000000,0xfff900df,0x813fee09,0x00005ffd,
    0x3ffa2000,0x00000007,0x00000f90,0x640005f8,0x7fd401ff,0xf910004f,
    0x800019ff,0x01cfffb8,0x801ffb00,0x1deefffb,0x5c02ffa8,0xfff007ff,
    0x4400000f,0xfd806fff,0x00d81fff,0x13fffe20,0x06fff880,0x00ffffd0,
    0x0ffffe40,0x4801fd00,0x00480000,0x00000000,0x22037fe4,0x00002fff,
    0x2bbfa000,0xdaaaaaaa,0xbb105fff,0x037fe403,0xea800000,0xaaaaffff,
    0x80000001,0x4000007c,0x3e60005f,0xfffd806f,0x3f66000f,0x000002ef,
    0x005dffd5,0x44037fcc,0x3a00ffff,0x0a8801ff,0x00ffff00,0x7ffc4000,
    0xffffb806,0x7f400283,0x7c4006ff,0xffb006ff,0x740001ff,0xf9006fff,
    0x00009007,0x3b722090,0x0000abdf,0x059dfb95,0x101bff20,0x55405fff,
    0xa882aaaa,0xf00aaaaa,0xffffffff,0x0fffffff,0x3ffee200,0x3b2a0006,
    0x7dc00ace,0xffffffff,0x07d9803f,0x000f9000,0x0005f800,0xf9017fee,
    0x5009fff9,0x0003bffd,0x3ff66000,0x7fdc00be,0x5fff9005,0x0003ffc0,
    0x007fff80,0x3ffe2000,0xffff9806,0x7fe40003,0x7c4001ff,0xffb006ff,
    0xf98000ff,0x7cc03fff,0x00009006,0x7bff9090,0x003ffff9,0x7f66ff4c,
    0x7e400dff,0x7ffc406f,0x3ffb2a02,0xffdb886f,0x5ff882ff,0xda800000,
    0x006ffedf,0x6de7fec4,0xf7004fff,0x75c400ff,0x900007ff,0xf800000f,
    0x3ff60005,0x3e67ee04,0xff7106ff,0x0000019f,0x3fff2200,0x09ffb00c,
    0x413ffe60,0x00007ff9,0x000ffff0,0x37ffc400,0x17fffd40,0xffff3000,
    0xfff10007,0x3fffe00d,0xffc80006,0x07fa00ff,0x40000240,0x2217fe44,
    0xa800effc,0x7ffcc0df,0x1bff200f,0x005fff10,0xc80dfff1,0xff982fff,
    0x2a000006,0xdff91cfe,0x427fcc00,0x400dffe8,0xf7007ffb,0x000fffff,
    0x00001f20,0x7c000bf0,0x25f703ff,0x64c7fff8,0x0000beff,0x3ae00000,
    0x7ffc1dff,0xdfff1003,0x001ffea0,0x03fffc00,0xfff10000,0xffff700d,
    0x3fa20001,0xf10005ff,0xff300dff,0x200007ff,0xf705fffe,0x00024007,
    0x0fff5240,0x3013ffe2,0x7ffd40df,0x01bff205,0x2005fff1,0x7d406ffd,
    0x7ffa82ff,0xfe980000,0x037fe40d,0x2205ff88,0x7dc06fff,0x7f41007f,
    0x4cccc07f,0xfd999999,0x99999999,0x33331099,0xbf333333,0x33333333,
    0x4fff9833,0x7ffc3fa8,0x09fff10f,0x00000000,0xf33fffa8,0x7fc007ff,
    0x1fff707f,0xfff00000,0x4400000f,0xfe806fff,0x320006ff,0x0000ffff,
    0x880dfff1,0x0006fffe,0x0bfffe60,0x04800df1,0x3f248000,0x17ffa06f,
    0xfd803fd0,0xdff902ff,0x02fff880,0x880dff90,0xff982fff,0x2600000f,
    0xdff904ff,0x003ff600,0x5c07fff7,0xfc8007ff,0x3ffe607f,0xffffffff,
    0xffffffff,0xfff74fff,0xffffffff,0xffffffff,0x7fd43fff,0x7427cc5f,
    0x3faa0fff,0x000002ef,0x7f5c4000,0x9fff70cf,0x83fff400,0x0001fffa,
    0x007fff80,0x3ffe2000,0x7fffdc06,0xfff50001,0x7c40005f,0x3f6206ff,
    0x00001eff,0xb07fffe4,0x0048003f,0x3fee4800,0x817ff604,0xffc806fa,
    0x0dff904f,0x002fff88,0xf880dff9,0xfff882ff,0xfa80c003,0x1bff205f,
    0x401bfe60,0xf700ffff,0xff7000ff,0x5555440f,0xfeaaaaaa,0xaaaaaaaa,
    0x555531aa,0xdf555555,0x55555555,0x7ffcc155,0x7ec17e66,0xdffb306f,
    0x00000017,0x5fffe440,0x027ffd40,0x260dffd0,0x14004fff,0x003fffc0,
    0xdfff1000,0x27fffdc0,0xffff8800,0x7fc40005,0xfffc986f,0x800000df,
    0xf55fffe8,0x00090009,0x0eec4900,0x740dff90,0xaaaaaaef,0x05fffdaa,
    0xf880dff9,0xff9002ff,0x2fff880d,0x001ffff0,0x17ffc1a2,0x700dff90,
    0x3ee00bff,0xfff704ff,0x0fff7000,0x001f2000,0x000bf000,0x745fffe2,
    0x013ff605,0x019fff91,0x6cc00000,0x3e602eff,0x3fa005ff,0x3fffe04f,
    0xf0075000,0x00000fff,0x567fffc4,0xffffdb99,0x3ff60002,0x440000ff,
    0xfeeeffff,0x000befff,0x7ffd4000,0x8000ffbf,0x04800004,0x1bffee20,
    0xfffffff8,0xffffffff,0x80fff707,0x9002fff8,0xff880dff,0x9fffb02f,
    0x3e60f200,0x3ff200ff,0x04ffd806,0x20bfff30,0xb8007ffb,0x900007ff,
    0xf800000f,0x3ffa0005,0x3a00ee9f,0x3ae002ff,0x00001dff,0x073ffaa0,
    0x03fffe20,0xd017ffc0,0x3a009fff,0x07fff800,0x3fe20000,0xffffecff,
    0x20000bde,0x002ffffb,0xcffff880,0x02ffffcc,0x3f600000,0x0002ffff,
    0x09000009,0xffdbfb50,0x017fe20d,0x07ffa800,0x8017ffdc,0x7c406ffc,
    0xfff302ff,0x80fb80bf,0x3603fffa,0xfff806ff,0xffff1003,0x001ffee0,
    0x0001ffee,0x000003e4,0xfb80017e,0x7c00efff,0xda8000ff,0x00002eff,
    0x017fff91,0x03fffd80,0x5401fff0,0x6c03ffff,0x0ffff006,0x7fc40000,
    0x0000186f,0x013fffe2,0x37ffc400,0x003fffea,0x7fc40000,0x120005ff,
    0xa8120000,0xdff91cfe,0x001bfe60,0x02fff980,0x007fffdb,0xf101bff2,
    0x7fec05ff,0xb710aeff,0x3ffe609f,0x4ffff906,0x1fffcc0a,0x01ffff00,
    0x7000fff7,0x20000fff,0x4000007c,0x3e20005f,0x7cc01fff,0x64c0006f,
    0x8000bfff,0x002effd9,0x01bffe60,0x3a017fe6,0x4c0bffff,0xfff001fe,
    0x4400000f,0x00006fff,0x037fff40,0xdfff1000,0x00dfffb0,0x7fe40000,
    0x0120003f,0x3a612000,0x37fe40df,0x0007ffa8,0x33fffe20,0xff9dea89,
    0x3201a9ff,0x7fc406ff,0x3ffe202f,0xffffffff,0x3fffe206,0xfdeeb8ae,
    0xfb86cbff,0x3fa004ff,0x0fff707f,0x00fff700,0x0001f200,0x8000bf00,
    0x6404fffb,0x100001ff,0x0039fff7,0x003bffd5,0x0ffff200,0x3001ff90,
    0xddffffff,0x7c007fff,0x000007ff,0x001bffe2,0xffffb800,0x3e200001,
    0xffe886ff,0x0000003f,0x0007fff7,0x24000024,0x7e413fe6,0x1fff306f,
    0x7fd40000,0xf15fffff,0x4019ffff,0x7c406ffc,0x7f4c02ff,0xefffffff,
    0x7fffdc00,0xfff54fff,0xfff501df,0x37ff4009,0x8007ffb8,0x00007ffb,
    0x800000f9,0x7dc0005f,0xff302fff,0x2a000007,0x5c42dffe,0x0000cfff,
    0x17fff440,0x2002ff98,0xfffffff9,0x7fc005ff,0x2000007f,0x0006fff8,
    0x7ffff300,0xff880000,0xffff306f,0x70000003,0x40007fff,0x24800004,
    0x3f205ffa,0x7fff106f,0x7e401800,0x3e23ffff,0xfc800bef,0x7ffc406f,
    0xffffb002,0x7dc009ff,0x3a21efff,0xff300dff,0x7ff400df,0x00fff704,
    0x000fff70,0x00001f20,0x54000bf0,0x1bfffdbf,0x0007ff51,0x9ffb3000,
    0x000fbfe2,0x3fff6000,0x05ff511b,0xffffb100,0xff0005df,0x400000ff,
    0x0006fff8,0x0dfffd00,0xfff10000,0x77ffdc0d,0x5c000000,0x20003fff,
    0x24800004,0x3f202fff,0x3fffe06f,0x200d1000,0x03f881ba,0x2037fe40,
    0x4002fff8,0x8006dbb9,0x1bb00a98,0x0ffff880,0x205fff00,0xb8007ffb,
    0x900007ff,0xf800000f,0x47f30005,0xfffffffa,0x0000001d,0x02d99e44,
    0x75c00000,0x1cffffff,0x5dd44000,0x3ffe0001,0x81540007,0x0006fff8,
    0x0ffffc80,0x22015000,0x7ec06fff,0x000005ff,0x001fffdc,0x90000090,
    0xc803ffe6,0x3ff606ff,0x0079004f,0x8001f900,0x7c407ffb,0xf10002ff,
    0xf5000009,0x3fff6007,0x01fff003,0x0003ffee,0x0000fff7,0x32a001f2,
    0xcccccccc,0xcccccefc,0x3a1ccccc,0x15795304,0x00000000,0x00000000,
    0x002af2a2,0x20000000,0x40007fff,0xdfff100e,0xffa80000,0x3a0002ff,
    0x0dfff100,0x02ffff88,0x3fee0000,0x0120003f,0x7fd52000,0x1bff603f,
    0x05ffff98,0x400007dc,0x7d4002fe,0x7ffdc07f,0x0df50003,0x09f90000,
    0x01bffe60,0xfa817fe6,0x701222ff,0x20000fff,0xffb8007c,0xffffffff,
    0xffffffff,0x0022ffff,0x00000000,0x00000000,0x00000000,0xffff0000,
    0x10354000,0x0000dfff,0x02ffffc4,0x7c40d500,0xffa806ff,0x000001ff,
    0x0007fff7,0xa4000024,0xf906fff9,0x36054fff,0x10aeffff,0x00009fb7,
    0x9800bff1,0xfd903fff,0x320009ff,0x400001ff,0xf9000ffd,0xffd807ff,
    0x3bffe200,0x7dc01daa,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf8000000,0x88000fff,0x3ffe603f,0x3f600007,0x20000fff,
    0x3ffe205d,0xdfff9007,0xf9000001,0x240007ff,0xf8a40000,0xeb8aefff,
    0x6cbfffde,0xffffff88,0x006fffff,0x007ffa00,0x9cffff88,0xfff8eea8,
    0x2a001a9f,0x400005ff,0xd1004ffb,0x3e605fff,0xfffd802f,0xffc803ff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x7c400000,
    0x4c001fff,0x3fe601fe,0xf700007f,0x40005fff,0x3fe603fc,0x3ffa007f,
    0xc800005f,0x20004fff,0x24800004,0xfffffffb,0x1dffff54,0x3ffffa60,
    0x000effff,0x33ffea00,0xf501b99a,0x1bffffff,0x39fffff1,0xbeffe800,
    0x10003a99,0x5335bfff,0x2ffff605,0x005ff711,0x00fbffa2,0x017fffe2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ffff300,
    0x1bfee200,0x01ffff70,0xffff8800,0xff910004,0x7fffd405,0xffff3001,
    0x7400001b,0x20005fff,0x44800004,0x21effffb,0x800dffe8,0x4ffffffd,
    0xffb00000,0x4019ffff,0x24fffffc,0x000beff8,0xffffff50,0x7dc0005d,
    0x01dfffff,0x3fffffae,0x088001cf,0xffffea80,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0xeffffffe,0xfffeeeee,
    0x3e604fff,0x002dffff,0x3bffffa0,0xeeeeeeee,0xffffeeee,0xfffd301f,
    0x3ee005bf,0x002cffff,0x7ffffdc0,0xcce8001b,0xcccccccc,0xcccccccc,
    0x0a9884cc,0x26000260,0x000009bb,0x05665cc0,0x91037500,0x2a200005,
    0x00001bcc,0x00379971,0x0055e544,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffba20,0xffffffff,0xffffffff,
    0x7fff4c1f,0x6fffffff,0x7fffd400,0xffffffff,0xffffffff,0x7f74c7ff,
    0xffffffff,0xffffd806,0x2e001fff,0xfffffffe,0x00003eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x3b72a005,0xd95101bd,0xca8007bd,
    0x0002cefd,0x01b100f2,0x2f7fb722,0x0001800a,0x3b6e0130,0x4c69abde,
    0x0aaaaaaa,0x2aaaaaaa,0x555440aa,0xeca802aa,0x54c00ace,0x1aaaaaaa,
    0x15555550,0x0aaaaaaa,0x2aaaaaa2,0x2d805a80,0xfd951000,0xdb9817bd,
    0x36602cef,0x03f6602e,0x2015bdb5,0x402dedb8,0xaaaaaaa8,0x2aaaa61a,
    0x2aaa602a,0xaaaaaaaa,0xb501aaaa,0x05bd930f,0x6cc7d980,0x21f6602d,
    0xaaaaaaa9,0x555530aa,0x00005555,0x88000000,0xaaaaa800,0xaaaa882a,
    0x05ffa8aa,0x3ae6ffa6,0x3fe20eff,0x01efffcd,0x7f66ff4c,0x5c000dff,
    0x413a200f,0xffcbdffc,0x37e201ff,0x5665cc40,0x7445f981,0xfffebbdf,
    0x7ffffd46,0x3ff6e0cf,0x440cefff,0x103fffec,0xffb79ffb,0x7fecc09f,
    0x501befff,0x2a19fff9,0x886fffec,0x02ffffdb,0x01fa809f,0x5d67fdc0,
    0xbf90efff,0x01bfffd9,0x5c41fffd,0xfd10fffe,0xb83fffff,0x05ffffff,
    0x3fffff22,0x3ff662df,0x3ff604ef,0xffffffff,0x222fffff,0x3e67ffeb,
    0x405fffff,0x367ffeb8,0x2e21ffff,0xeb987ffe,0x0bdfffff,0x9dffffb3,
    0x88002d85,0x0774c01e,0xeffeb880,0x3ffb2a03,0xffec886f,0x0fffcaff,
    0xfc81ffb8,0x41df98ef,0xf501fffd,0xffff981b,0x809f5000,0x2ffc80fd,
    0x0077fe44,0x3fee1df7,0x31efffff,0x81fe83ff,0xffb06fe9,0x7ffe40bf,
    0x00ff9807,0xfd109ff3,0x7fd401bf,0x5fd002ff,0x01bffe20,0x2e05fff9,
    0x0077403f,0xfd82ffd8,0x7541fdef,0x7ffc46ff,0xfffff52f,0xd9bff31f,
    0x7fe4bfff,0x03ffffdd,0x01ffffd8,0x9fb00bff,0x7ffe4033,0x3ffffee5,
    0xffbbff37,0x3fee05ff,0xfff77fff,0x3ffee9ff,0x7ff407ff,0x3dff303f,
    0x800bfe20,0x7e403fe8,0x99db002f,0xf8807fff,0x7fe406ff,0x40fff9af,
    0x3f602ffa,0xe880ffef,0x06f986ff,0x2017ffea,0x3f200ff8,0x107ffa84,
    0xfb809fff,0x711befee,0x83ffbffb,0x1be205fa,0x202fffc4,0xfa806ffe,
    0x40bff103,0x6406fff8,0xf8802fff,0x037ff405,0xf80bffea,0x017ea01f,
    0x7d41bfe6,0xff302fff,0x27ffd87f,0x3ebfffa0,0xcafffd82,0x7fff441e,
    0x4fffe800,0x9b005fa8,0x1dfff500,0xf5ffff04,0x3fff4415,0x5fffd108,
    0x23ffb31d,0x701fffa0,0x3f603fff,0x02ff9804,0xd803fe88,0x85b803ff,
    0x7f400ffe,0x7ffd406f,0xffd07f72,0x4ffff980,0xd0bfff20,0xfffd803f,
    0x80ffa202,0xffc80ffb,0x017ffa06,0xd100fff2,0x0df903ff,0x3ff206c8,
    0x07ffdc07,0xffd81f60,0x1fffdc00,0x009fff10,0xffd801f7,0x17ffc406,
    0x7401ff70,0x2ffe404f,0x406fff88,0x2e20fffd,0xdfff700c,0x3fffe201,
    0x5fff300d,0x1ffff100,0xd80077c4,0x7fffc402,0x3bfff201,0x03fff701,
    0x41efffc8,0x0fff9009,0xd80fffb8,0x3fe6003f,0x20ffa202,0x20ffe40a,
    0x7fb80409,0x406ffd80,0x3deefff8,0xe804ffb8,0x3ee02fff,0x01bea4ff,
    0xd813fff2,0x9ff500ff,0xd813fee0,0x1fe805ff,0xd07fd100,0x034c01ff,
    0x4405fff3,0x3e203fff,0x00dff304,0xd803fffe,0x05e807ff,0x4406ffc8,
    0x7f402fff,0x05ff500e,0xf8827fdc,0x7fe405ff,0x7fdc001f,0x37fec00f,
    0x801fffc0,0x3f66fffa,0xb003a000,0xfb807fff,0x3fe200ff,0x7ffdc02f,
    0x3ffdc003,0x883ffea0,0xf98002fd,0x83fe882f,0x3fe64ffc,0x003ffd10,
    0xff9007fb,0x2fff880d,0x401fffc0,0xcccdfffc,0x5fffdccc,0x2aaabbfa,
    0xfffdaaaa,0x207ff905,0xb100fff8,0x37fe403b,0x10013ee0,0xfffc81fd,
    0xffd00e02,0x06ffe80b,0x7fdc03ee,0x9fff7005,0x017ffcc0,0xff9005f3,
    0x2fff880d,0xd02ffd40,0x372203ff,0x5bfff100,0xfb555555,0xfa8005ff,
    0x7fec00ff,0x04fff806,0x2ebfff60,0x5c00002f,0xfb805fff,0x3fff807f,
    0x003ffdc0,0x2a03ffdc,0x5fd10fff,0x17fcc000,0x3f607fd1,0x745be5ff,
    0x7c403fff,0x0dff9004,0x202fff88,0x9803fff8,0xeeeeefff,0x24eeeeee,
    0xffffffff,0x7fffffff,0xd107ffa8,0x440009ff,0x7c06fffb,0x89f50006,
    0x00cffffa,0x00fffb80,0x203ffff3,0x13ff605e,0x02fffcc0,0x7c81bffa,
    0x80dff900,0xe802fff8,0xfff504ff,0x3fee0001,0xffffffff,0x003fffff,
    0x2007ffd4,0xfe806ffc,0x3fe2004f,0x00004fff,0x0077ffcc,0x7c03ffdc,
    0x7fdc03ff,0x7ffb8007,0x447ffd40,0x980001fe,0x03fe8aff,0x237fffe2,
    0x6fffe8ce,0x00ffae20,0x22037fe4,0x3e602fff,0xff8802ff,0xff88001f,
    0xff980005,0x1fffb03f,0xdbfb5000,0x27c40dff,0xf86f8800,0x00cfffff,
    0x40fffe20,0x885ffeed,0x0fffe02f,0x03fffc40,0x2207ffee,0xdff9003f,
    0x02fff880,0xd03fffa8,0x64400dff,0x003fffff,0x7ffd4000,0x037fe400,
    0x20027ff4,0x0007fffa,0x0ffffc40,0x807ffb80,0x7dc03fff,0xffb8007f,
    0x4fffd407,0x200006ff,0x003feff9,0xf9bdfd95,0x6c4039df,0x400effff,
    0x7c406ffc,0x3fea02ff,0xfff8803f,0x6ff98002,0x7ffc4000,0x09fff906,
    0x91cfea80,0x17d40dff,0xd10fd000,0x07ffffff,0x4437fe40,0x40fffbaf,
    0x3ffe607c,0x3fffe003,0x17ffe200,0x7e4003ee,0x7ffc406f,0x3fffd002,
    0x80bfff50,0xff8bffd9,0x4000003f,0x6400fffa,0xffe806ff,0xfffc8004,
    0x3f600002,0x3ee003ff,0x3fff807f,0x003ffdc0,0x2a03ffdc,0x4fffdfff,
    0x3fe60000,0xffb30004,0xfd100017,0x6ffc809f,0x017ffc40,0x2009fff7,
    0xa8003fff,0x540007ff,0xffd05fff,0x3fa6005f,0x037fe40d,0x640003f7,
    0xffff700f,0xf3001bff,0xf17c83ff,0x204f87ff,0x2004fffb,0xfc807ffe,
    0x002f40ff,0xf880dff9,0xff9002ff,0xffff109f,0x47ffb101,0x0004fff8,
    0x07ffd400,0x201bff20,0xb8004ffe,0x0000ffff,0x005fffb8,0x7c03ffdc,
    0x7fdc03ff,0x7ffb8007,0x747ffd40,0x80002fff,0x002fffe8,0xfddfd731,
    0xfd00017b,0x06ffc80d,0x7017ffc4,0x3a00bfff,0xf98005ff,0x640000ff,
    0xff981fff,0x4ff9806f,0x540dff90,0x1f20002f,0xfffff910,0x9ffd001d,
    0xdffb1fc4,0xff500fd4,0x7ff4009f,0x3fff9806,0xfc800be6,0x7ffc406f,
    0x6fff8802,0x503fff90,0xfff019ff,0xa800000b,0x7e400fff,0x4ffe806f,
    0x7fefcc00,0x7cc0005f,0x5c000eff,0xfff807ff,0x03ffdc03,0x203ffdc0,
    0xff88fffa,0x220001ff,0x02ff9bfe,0x6cffffe4,0x02efffbb,0xf901fee0,
    0xfff880df,0x17ffe602,0x0037ff40,0x00fffe23,0x0bffb030,0xa80bffea,
    0x3ff205ff,0x000fe606,0xfb3006e8,0xf7009fff,0xf507dcff,0x301b63ff,
    0x7400dfff,0xffb004ff,0x3200364d,0x7fc406ff,0xeffc802f,0x83fff880,
    0x3fa05ffa,0x4000006f,0x6400fffa,0xffe806ff,0xfcb74004,0xf10003ff,
    0x70003fff,0xfff00fff,0x07ffb807,0x407ffb80,0xff50fffa,0xd10001df,
    0x817fcc7f,0xbd0efffc,0x003fffea,0x3f202fdc,0x7ffc406f,0x1fffe202,
    0x017fffc0,0x1ffff24c,0x3a21a200,0xdff701ff,0x9017ffc0,0x05f80dff,
    0x0389f100,0x4037ffdc,0x09f2fff8,0x07f19ffd,0x00ffff88,0x2005fff0,
    0x3f8afffa,0x037fe400,0x100bffe2,0x3f203fff,0x05ffb04f,0x8007fff4,
    0x7fd4003b,0x37fe400f,0x0027ff40,0x7fff41f9,0xfffd8001,0xfff70002,
    0x807fff00,0xb8007ffb,0x7fd407ff,0x17fff20f,0x307fd100,0xdffb05ff,
    0xffa9fe61,0x03fd002f,0x4406ffc8,0x7fc02fff,0x7fc402ff,0x16c00fff,
    0x2009fffb,0x0dff103c,0x7cc17fe4,0x3ff200ff,0x0017e406,0x00760fec,
    0xb003fff9,0x701f7bff,0x001f7fff,0x2007fffb,0x3a000fff,0x000fbdff,
    0x2203ffdc,0x7ec02fff,0x0bff102f,0xc803ffe2,0xf8803fff,0x7ffd4000,
    0x037fe400,0xa8027ff4,0x37ffcc2f,0x17ffee00,0x3fee0320,0x03fff807,
    0x4003ffdc,0x7d407ffb,0x7ffec0ff,0x07fd1004,0x3660ffcc,0x987fee0c,
    0x4567ec4d,0xfb802fd9,0x7ffc407f,0x2fffdc02,0x3ffffe60,0xf983ee04,
    0x7dc05fff,0x80bfea00,0xfffa86fd,0x01bff603,0x54001ff1,0x4404d84f,
    0xfa800fff,0xff105fff,0x3e600bff,0xff9806ff,0x7ffdc005,0xffa8004f,
    0x17ffdc07,0x6407ff30,0xfff500ef,0x7fffcc07,0x4002ec00,0x6400fffa,
    0xffe806ff,0x704f9804,0x26009fff,0x1b006fff,0xf00fff70,0xffb807ff,
    0x7ffb8007,0x207ffd40,0x402fffe8,0xf9803fe8,0x2ffc801f,0xfffffc80,
    0xfff5000c,0x17ffdc03,0x00ffff40,0xdffffff9,0x0bfb5117,0x15dffffb,
    0x2013f6e2,0x3fa206fb,0x837ffcc2,0x02a7fffc,0x2e007bf2,0x00fd80ff,
    0xff003ff4,0x7fec03ff,0x3ff2002f,0x07fec03f,0x3fffe200,0xfff98001,
    0x7fffdb02,0xf102fec0,0x7ffd403f,0x3ffff206,0x0ff5c41e,0x7dc0ffaa,
    0x7fe401ff,0x05fff806,0x3fa03744,0x7fc402ff,0x01f001ff,0xff00fff7,
    0xfffb809f,0x7ffe4001,0x03ffee00,0x407fffe6,0x26003fe8,0x7ff401ff,
    0x00062003,0xd81fffcc,0x9803fffe,0xf980efff,0xfffffdcf,0x880fffff,
    0xffffffff,0x32006fff,0x11be602f,0x715dffff,0x97fffbdd,0x7ffff50d,
    0xdfffb301,0x2606fd81,0x3f2003ff,0x3ffd405f,0x3fffa200,0x005ff302,
    0x001bff60,0x4e7fffc4,0xfff9dea8,0x1be61a9f,0xf8805fb0,0x3a60cfff,
    0xefffffbe,0xf83fffdd,0xffc80fff,0x3ffec01f,0x2037ffc0,0x7fd402fd,
    0x3ff600ff,0x20f9002f,0x2200fffd,0x7e405fff,0x7ec002ff,0x3ff201ff,
    0xffff901f,0x0007d103,0xffb807f3,0x10000001,0x513bffff,0x3ffff3bd,
    0x7ff4c035,0x47ff511e,0xfffffffd,0x3ffa602f,0x0effffff,0x2a037400,
    0x7fffdc3f,0xfff54fff,0x9ff981df,0xfeefffd8,0x41df73ff,0x6cc2effd,
    0x7fcc005f,0x004ff802,0x237fffb0,0x0002ffb8,0x8000ffe6,0xfffffffa,
    0x9fffff15,0xf30076c1,0x3ffee007,0x50dfedff,0xffffffff,0xffff10bf,
    0x5fffe883,0x0ffffea0,0x81ffffc8,0x5403ffd8,0xb81effff,0xaaaaefff,
    0x7febaaaa,0x04ffffa8,0x407ffff2,0x00effff9,0x0bffff10,0x413fffe6,
    0x0bfffff9,0x00100004,0x00000066,0xffffff50,0x3fffe2bf,0x7ec400cf,
    0x41efffff,0xefffffd8,0xffffb001,0x220009ff,0x5c35c02f,0x221effff,
    0x7c40dffe,0x776dcc0e,0xb2fdc0bd,0xfdbfffdd,0x1ba0007f,0x00007e40,
    0xffffffd7,0xfd000039,0xffc80001,0x3fe23fff,0x00fcc0be,0xff900176,
    0xb305dfff,0x07ffffff,0xfd337fec,0x3dffffff,0x3ffffff2,0x3fffa6ff,
    0xf32fffff,0x3a0fffff,0xffffffff,0xffffff10,0xffffffff,0x7ffd4fff,
    0x88efffff,0xfffffffe,0xfffff52f,0x2a05ffff,0xfffffffe,0xfffffd76,
    0x3fea1dff,0x05ffffff,0x00000000,0xff900000,0x7fc47fff,0xb98000be,
    0xbb9800ab,0x37730001,0x00880001,0x01531018,0x0017004c,0x26043700,
    0x0000abba,0x01c4006a,0xabca8800,0x0a600000,0x81ba8000,0x002202c8,
    0x65cc0006,0x5773001a,0x00055001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x881ba880,0x0000002c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000c0000,0x19800010,0x04c01300,0x10002620,
    0x13000133,0x0a200200,0x99999991,0x99999999,0x59999999,0x33333322,
    0xcccccccc,0xcccccccc,0x11aaaa82,0x30015555,0x04400013,0x54408806,
    0xaaaaaaaa,0x5555511a,0x55555555,0x55555555,0x6eeeecc5,0xdddddddd,
    0xdddddddd,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3c880000,0x1ff22000,0x0007e400,0x37ffff22,0xd07ff900,
    0xfff703ff,0xed8809ff,0x4c03efbb,0x80cffdfe,0x3a00bffc,0x7ffffcc2,
    0xffffffff,0xffffffff,0xfffff34f,0xffffffff,0xffffffff,0xffff889f,
    0x80ffff61,0x0beffffb,0xfe896c00,0x31ffe40e,0xffffffff,0x3ffea9ff,
    0xffffffff,0xffffffff,0x3ffea7ff,0xffffffff,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,
    0xed8003ff,0xf88007ff,0x77ec004f,0xf80ffffd,0x7ffcc6ff,0x2f3ff624,
    0xfb00efec,0xb827fc43,0x87bfaa4f,0x705ffffa,0x3333303f,0x33333333,
    0x33333333,0x0000009f,0xd05fff50,0x3ff20bff,0x1dffffdd,0xff90f880,
    0x3fffc49f,0xfffffff3,0x2aa29fff,0xaaaaaaaa,0xaaaaaaaa,0x44442aaa,
    0x88888888,0x88888888,0x00000088,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8000000,0x360004ff,0xefd8007f,0x43f3001f,
    0x7c45ffc8,0x7ffdc7ff,0x7dc13f25,0xfe86f985,0x4c0ff986,0x3fff26ff,
    0x7ffc40ff,0xf8000005,0x80000004,0xfd103ffc,0x40bf981f,0x0befffc9,
    0x3ff26d88,0x3fffe24f,0xdddddd30,0x0009dddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x36600000,
    0x3f20000d,0x4e7d4007,0x103b005f,0xdfff0fff,0xf34fffa8,0x443fc80b,
    0xe87fe83e,0x27ffb06f,0x42fffff9,0x000fffc9,0x0027c000,0x27fc0000,
    0xdb0bfe60,0xfffeb880,0x21ffcacd,0x7e40efe8,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x800ff900,0x200bf26e,0x3e17f600,0x7ffcc5ff,0xf8803f93,
    0xfffc9805,0x5413fe20,0x26ae24ff,0x05ff904f,0x04f80000,0x7cc00000,
    0xe8bf5005,0x3ff26002,0x0302ffff,0x00000044,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00ff9000,0x0df117e4,0xd83fe800,0x3fff83ff,0x81fa00fb,0x0ffe8bda,
    0x7cc17fe6,0x205f506f,0x000007fd,0x000004f8,0x2e003640,0x730001c7,
    0x00000157,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xbf1007fc,0x20009f50,
    0xffc80ff9,0xdd1ffe82,0x3621f600,0xa83ffa0e,0xdff106ff,0x3ea03f60,
    0x8000003f,0xddddd14f,0xdddddddd,0xdddddddd,0x4000647d,0x0000001c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cc40000,0x99999999,0x99999999,0xff901999,
    0x7407f600,0x2fc8000f,0xf901ff50,0x2003f21f,0x217f446f,0x3fe20ffe,
    0x2213fe07,0x16ff744f,0x4f800000,0xfffffff3,0xffffffff,0x9fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfffffffb,0xffffffff,
    0x1fffffff,0xfa807fc8,0x0017e604,0x3fcc07f5,0x0fee6fb8,0x7fd89f50,
    0x7fc0ffe8,0x42ff982f,0x009985e8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5554c000,0xaaaaaaaa,0xaaaaaaaa,0x7fc80aaa,
    0x6400fe80,0x09f3002f,0x17e60df0,0x3fe605fd,0xd107ffc0,0x5ffa81ff,
    0x27dc5fc8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f200000,0x4017e407,0x3f8806f8,0x3e209d00,0x4d67fcc3,
    0xfd82ffc9,0xffedcbff,0x86ffec5d,0x07720eea,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,0x801be607,
    0x0be603fb,0x5f01e40c,0xfffffb10,0x3ffa603d,0x01bff52e,0x07fdfff5,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x007f607f,0x5f501fd0,0x0006c998,0x02bcb980,0x00350130,
    0x00000131,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x7ec0002b,0x004fa80f,0x7fe45f98,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8003ffc8,0x0eefffec,0x64000376,0xfffff70e,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd0000000,0x000009ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00077d40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_48_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,4,2,-1,3,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,1,-1,1,1,1,1,1,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,2,2,2,2,2,2,2,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,6,6,0,6,6,6,
6,6,6,6,6,6,6,6,6,6,2,1,6,6,6,6,6,6,6,6,6,6,6,6,6,0,0,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,1,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,0,1,-1,1,1,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static signed short stb__times_48_latin_ext_y[560]={ 38,8,8,8,6,8,8,8,7,7,7,12,33,26,
33,7,8,8,8,8,8,9,8,9,8,8,18,18,13,19,13,8,7,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,7,8,8,45,8,18,7,18,7,18,7,18,7,7,
7,7,7,18,18,18,18,18,18,18,12,18,18,18,18,18,18,7,7,7,23,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,38,17,9,8,13,9,
7,8,9,8,8,18,19,26,8,5,8,12,8,8,8,18,9,21,37,8,8,18,8,8,8,17,-1,-1,0,1,
1,2,9,8,-1,-1,0,1,-1,-1,0,1,9,1,-1,-1,0,1,1,14,8,-1,-1,0,1,-1,9,7,8,8,
8,9,9,7,18,18,8,8,8,9,8,8,8,9,7,9,8,8,8,9,9,15,17,8,8,8,9,8,7,9,
3,11,0,9,8,18,-1,8,-1,8,1,9,0,8,0,7,9,7,3,11,0,9,1,9,9,18,0,8,-1,8,
0,9,1,9,8,6,-1,-1,9,7,0,9,3,11,0,9,9,7,1,18,9,7,-1,8,9,7,18,-1,-1,9,
7,8,7,9,7,9,7,-1,8,9,18,0,8,8,8,18,3,11,0,9,-1,8,9,18,-1,8,9,18,0,8,
-1,8,-1,8,8,18,0,8,9,12,0,7,9,12,0,9,3,11,0,9,-1,7,-1,8,9,18,-1,8,-1,8,
1,-1,8,1,9,0,8,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,5,17,10,10,10,10,10,10,10,10,10,10,10,10,10,4,17,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,8,0,8,0,
8,0,8,-1,5,-1,2,-1,2,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-6,-1,-1,8,-1,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_48_latin_ext_w[560]={ 0,6,13,21,18,34,32,5,13,13,16,24,7,12,
5,13,20,12,20,18,21,17,19,19,18,19,6,7,24,24,24,17,37,31,27,27,30,26,23,30,31,13,17,32,
26,38,32,29,23,29,30,20,25,31,31,41,31,31,26,10,13,10,20,24,8,19,22,17,21,18,18,20,22,10,
13,22,11,34,22,20,22,21,15,14,13,22,22,31,22,22,19,13,3,13,24,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,18,20,22,22,
3,16,13,31,13,20,24,12,31,24,14,24,13,12,8,22,21,5,8,9,13,20,30,30,32,17,31,31,31,31,
31,31,39,27,26,26,26,26,13,13,13,13,30,32,29,29,29,29,29,18,29,31,31,31,31,31,23,21,19,19,
19,19,19,19,27,17,18,18,18,18,10,10,13,13,20,22,20,20,20,20,20,24,21,22,22,22,22,22,22,22,
31,19,31,19,32,21,27,17,27,17,27,17,27,17,30,27,30,22,26,18,26,18,26,18,26,20,26,18,30,20,
30,20,30,20,30,20,31,22,31,22,15,14,14,14,13,14,14,13,13,10,30,20,17,16,32,22,22,26,11,26,
11,26,17,26,15,26,12,32,22,32,22,32,22,27,29,19,29,20,29,20,29,20,37,29,30,15,30,15,30,15,
20,14,20,14,20,14,20,14,25,13,25,19,25,13,31,22,31,22,31,22,31,22,31,22,31,24,41,31,31,22,
31,26,19,26,19,26,19,18,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,30,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,30,23,22,22,22,22,22,22,22,22,22,22,22,22,22,36,24,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,19,13,13,29,
20,31,22,31,22,31,22,31,22,31,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,31,19,39,27,29,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__times_48_latin_ext_h[560]={ 0,31,14,31,36,32,31,14,41,41,19,24,13,4,
6,32,31,30,30,31,30,30,31,30,31,31,21,28,22,9,22,31,41,30,29,31,29,29,29,31,29,29,30,29,
29,29,30,31,29,39,29,31,29,30,30,30,29,29,29,39,32,39,16,3,8,21,32,21,32,21,31,30,31,31,
41,31,31,20,20,21,30,30,20,21,27,21,21,21,20,30,20,41,41,41,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,38,31,21,29,
41,39,6,31,14,21,10,4,31,3,14,24,16,17,8,30,39,6,10,16,14,21,32,32,32,31,39,39,38,37,
37,36,29,39,39,39,38,37,39,39,38,37,29,38,40,40,39,38,38,19,31,40,40,39,38,39,29,32,31,31,
31,30,30,32,21,29,31,31,31,30,30,30,30,29,32,29,31,31,31,30,30,18,23,31,31,31,30,40,41,39,
35,28,38,30,38,28,40,31,40,31,38,30,39,31,38,32,29,32,35,28,38,30,37,30,37,28,38,31,40,40,
39,39,38,39,39,42,39,39,29,31,38,29,35,27,38,29,37,39,37,20,30,41,40,40,38,40,20,39,39,38,
40,30,31,29,31,29,31,40,30,38,29,39,30,30,31,30,36,28,39,30,40,31,30,21,39,30,38,29,38,30,
40,31,40,31,39,29,39,31,39,36,38,32,29,27,39,30,36,28,39,30,40,32,40,31,37,28,40,31,39,40,
37,39,30,37,29,38,30,31,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,31,28,28,40,28,28,28,
28,28,28,28,28,28,28,28,28,28,34,22,28,28,28,28,28,28,28,28,28,28,28,28,28,35,22,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,38,31,38,30,39,
31,39,31,40,34,40,37,40,37,40,37,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,44,40,39,31,40,32,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__times_48_latin_ext_s[560]={ 511,503,71,44,483,81,274,506,119,91,479,
345,128,252,501,306,199,499,156,179,136,80,24,233,236,401,302,504,417,170,442,
431,168,297,282,453,310,373,400,96,211,424,366,464,1,243,430,66,28,265,79,
139,438,23,55,114,341,110,52,496,409,54,36,265,204,96,386,491,364,56,255,
200,73,501,105,190,419,309,387,186,240,1,410,139,316,230,207,154,344,177,367,
54,210,154,213,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,511,502,482,
220,116,311,206,492,238,1,100,75,145,252,421,290,85,370,57,496,195,407,1,
503,136,26,114,253,456,1,423,307,160,50,213,1,451,65,386,79,238,325,34,
383,65,114,489,437,28,1,158,128,295,459,123,460,389,351,319,22,393,107,464,
320,53,33,481,347,116,159,274,488,382,363,344,383,501,178,329,197,60,117,169,
148,127,189,1,1,395,1,472,449,384,273,68,321,205,165,304,453,89,273,436,
234,466,198,61,98,293,216,32,32,86,487,178,185,96,277,410,221,356,252,186,
252,188,445,398,377,362,344,171,33,464,352,354,213,466,449,237,330,153,296,295,
192,249,426,473,133,427,494,63,330,437,202,365,439,415,87,181,1,301,59,361,
219,253,153,426,229,210,425,271,463,97,295,429,276,75,317,42,26,262,483,1,
140,122,367,252,495,383,124,1,182,471,374,415,127,336,139,156,497,139,343,33,
229,128,402,404,116,1,273,263,204,33,241,82,296,167,23,22,199,334,245,158,
325,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,296,142,142,105,
142,142,142,142,142,142,142,142,142,142,142,142,142,252,467,142,142,142,142,142,
142,142,142,142,142,142,142,142,141,1,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,272,327,
425,263,441,160,206,338,278,283,246,226,353,333,214,310,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,1,310,375,96,385,342,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142, };
static unsigned short stb__times_48_latin_ext_t[560]={ 1,127,524,316,206,283,316,411,1,1,502,
472,524,524,199,245,348,380,411,283,380,380,316,380,316,316,502,348,472,524,472,
283,1,380,442,316,442,442,442,316,442,442,380,442,472,442,380,316,472,87,472,
348,442,411,411,411,442,472,472,44,245,127,524,524,524,502,245,472,245,502,316,
411,348,167,1,316,283,502,502,502,411,411,502,502,472,502,502,502,502,411,502,
1,1,1,524,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,1,206,167,
348,502,411,1,87,524,348,524,502,524,524,316,524,524,472,524,502,524,380,87,
159,524,524,524,502,245,283,245,316,87,87,167,245,206,245,411,127,87,87,167,
206,127,87,127,206,442,167,44,44,87,127,206,502,283,44,44,127,167,127,411,
245,348,348,316,348,380,283,502,411,316,316,316,348,316,380,380,442,283,442,316,
316,316,380,380,525,472,316,283,283,380,44,1,127,245,472,167,348,167,472,44,
283,1,283,167,380,127,283,206,283,442,245,245,472,206,411,206,411,206,472,167,
283,44,1,127,127,167,127,127,1,44,87,411,316,167,411,245,472,206,411,206,
87,206,502,348,1,1,1,206,1,502,127,127,167,1,411,348,442,283,442,283,
44,380,167,411,127,380,348,283,380,245,472,127,380,44,283,380,502,127,380,206,
442,167,348,44,283,44,348,127,442,87,283,87,245,167,283,442,442,127,380,245,
472,87,348,44,283,46,348,206,472,44,348,87,44,206,87,380,206,411,167,380,
316,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,348,472,472,44,
472,472,472,472,472,472,472,472,472,472,472,472,472,245,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,245,502,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,167,348,
167,411,87,348,87,283,1,245,1,206,1,206,1,206,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,1,1,87,348,1,245,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472, };
static unsigned short stb__times_48_latin_ext_a[560]={ 173,231,283,347,347,578,539,125,
231,231,347,391,173,231,173,193,347,347,347,347,347,347,347,347,
347,347,193,193,391,391,391,308,639,501,463,463,501,424,386,501,
501,231,270,501,424,617,501,501,386,501,463,386,424,501,501,655,
501,501,424,231,193,231,325,347,231,308,347,308,347,308,231,347,
347,193,193,347,193,539,347,347,347,347,231,270,193,347,347,501,
347,347,308,333,139,333,375,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,173,231,347,347,347,347,139,347,
231,527,191,347,391,231,527,347,277,381,208,208,231,400,314,173,
231,208,215,347,520,520,520,308,501,501,501,501,501,501,617,463,
424,424,424,424,231,231,231,231,501,501,501,501,501,501,501,391,
501,501,501,501,501,501,386,347,308,308,308,308,308,308,463,308,
308,308,308,308,193,193,193,193,347,347,347,347,347,347,347,381,
347,347,347,347,347,347,347,347,501,308,501,308,501,308,463,308,
463,308,463,308,463,308,501,448,501,347,424,308,424,308,424,308,
424,308,424,308,501,347,501,347,501,347,501,347,501,347,501,347,
231,193,231,193,231,193,231,193,231,193,491,383,270,193,501,347,
347,424,193,424,193,424,282,424,238,424,193,501,347,501,347,501,
347,419,487,343,501,347,501,347,501,347,617,501,463,231,463,231,
463,231,386,270,386,270,386,270,386,270,424,193,424,296,424,193,
501,347,501,347,501,347,501,347,501,347,501,347,655,501,501,347,
501,424,308,424,308,424,308,193,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,501,539,539,347,539,539,539,539,539,
539,539,539,539,539,539,539,539,501,367,539,539,539,539,539,539,
539,539,539,539,539,539,539,538,376,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,501,308,231,193,501,347,501,347,501,347,501,
347,501,347,501,347,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,501,308,617,463,501,347,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_48_latin_ext_BITMAP_HEIGHT or STB_FONT_times_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_48_latin_ext(stb_fontchar font[STB_FONT_times_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_48_latin_ext_BITMAP_HEIGHT][STB_FONT_times_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_48_latin_ext_s[i] + stb__times_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_48_latin_ext_t[i] + stb__times_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_48_latin_ext_x[i];
            font[i].y0 = stb__times_48_latin_ext_y[i];
            font[i].x1 = stb__times_48_latin_ext_x[i] + stb__times_48_latin_ext_w[i];
            font[i].y1 = stb__times_48_latin_ext_y[i] + stb__times_48_latin_ext_h[i];
            font[i].advance_int = (stb__times_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_48_latin_ext_s[i] + stb__times_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_48_latin_ext_t[i] + stb__times_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_48_latin_ext_x[i] + stb__times_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_48_latin_ext_y[i] + stb__times_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_48_latin_ext_LINE_SPACING
#endif

