// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_49_latin_ext_BITMAP_HEIGHT        560
#define STB_FONT_times_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_49_latin_ext_NUM_CHARS            560

#define STB_FONT_times_49_latin_ext_LINE_SPACING          32

static unsigned int stb__times_49_latin_ext_pixels[]={
    0x99990000,0x10000005,0xc8800000,0x28001ccc,0x99900000,0xca800059,
    0x55440001,0x0000001a,0x0002aaa6,0x2a600000,0x01abcdcb,0x01300000,
    0x880000c4,0x0000005b,0x002aaa60,0x00140000,0x2aaaaaa2,0x0000aaaa,
    0x005554c0,0x2a200000,0x000002aa,0x01aaa980,0x007aa3d5,0x98000000,
    0x8000000b,0x000efffa,0x05d93000,0xffa80000,0x1990005f,0x7fcc0000,
    0x2a0000ef,0x20001fff,0x000ffffe,0x3ff60000,0x00000002,0x599dffb3,
    0x039fdb97,0x67cc0000,0x0003b220,0x00dffb30,0x7e400000,0x8000003f,
    0x7dc002e9,0xffffffff,0x2200001f,0x0005ffff,0x7ffe4000,0x0000002f,
    0x41bfffe2,0x003f71fb,0x02ffff88,0x20e75c00,0x00004fc8,0x0003fff2,
    0x00176400,0xeffc8000,0x07ae0000,0x7ffdc000,0x7fec0000,0xff50003f,
    0x00009fff,0x005fc800,0x3ae20000,0xf93001cf,0x2000003d,0x1ffbcffa,
    0x3ffae000,0x000006ff,0x000bfe00,0x00372000,0x3ffffee0,0x001fffff,
    0x3ffff600,0x0000002f,0x0dfffff1,0x7e400000,0xfb83ffff,0xb8003f71,
    0x20003fff,0xff901ed8,0x3e00007f,0x000001ff,0x000005f3,0x0007ffc0,
    0x0001fd40,0x0000fff4,0x000fffd4,0x7fdeffc4,0x0000001f,0x000003dc,
    0x000bffa8,0x0000fee0,0x17fffe40,0x3ee66000,0x000006ff,0x0003f300,
    0x006e8800,0x2aaaaa20,0x000aaaaa,0xfb7ff300,0x000000df,0x3ffebbf6,
    0x88000003,0x0fffccff,0x01fb8fdc,0x0027fec0,0xfe807fa0,0x980004ff,
    0x000002ff,0x000001ee,0x0001ff98,0x80017ea0,0x00002ff8,0x6400072a,
    0x01bfe65f,0x02600000,0xbf900000,0x3a600001,0x55000005,0xe8000055,
    0x000006ff,0x00001100,0x000ee880,0x00000000,0x7ff717f4,0xf9800000,
    0x01ffb10e,0x4fd80000,0x3f713fea,0xf88007ee,0x7e40005f,0x0fffdc06,
    0x01fe4000,0x37ee0000,0x000000ef,0x00000bf2,0x5c0013f6,0x0000003f,
    0x2213e200,0x000002fd,0x0b720bae,0x4fd88000,0x4e880000,0x05d70000,
    0xb00005b9,0x00000dff,0x6e4175c0,0x3f600002,0x2eb80001,0x00002dc8,
    0x1ff305f5,0x77400000,0x0004fc80,0x220fe600,0x5c7ee1fe,0x3bea001f,
    0x3fe60000,0x001ca803,0x00009d00,0x7ffff300,0x27400000,0xff880000,
    0x004d8002,0x6c000000,0x00036404,0x20fff980,0x00007ffa,0x00007fd1,
    0x0000fcc0,0xfa83ffe6,0xfd80007f,0x0000006f,0x7d41fff3,0xf700007f,
    0xff30000b,0x03ffd41f,0x10174400,0x2000009b,0x07ea00da,0x01f40000,
    0xf71fb9b6,0x007ec003,0x00bfee00,0x0b100000,0x7f400000,0x000001ff,
    0x80000091,0x2c000ffb,0x00000000,0x015400e2,0x3ffcc000,0x0001ffe6,
    0x000017f4,0x00007d40,0xff98fff3,0xffd80007,0x30000006,0x7ff98fff,
    0x1ffa8000,0x7ff98000,0x0003ffcc,0x00c800d4,0x30048000,0x53000009,
    0x8fdc6e00,0x07e001fb,0x0fff6000,0x26000000,0x000000bc,0x00002db8,
    0x40000000,0x00005ff8,0x00000000,0x00000000,0x03b703b5,0x00bf9000,
    0x01f40000,0x2e076a00,0xfd80001d,0x0000006f,0x076e076a,0x017fe000,
    0xb81da800,0x0000001d,0x00000000,0x00000000,0x1fb8fdc0,0x00003100,
    0x00013ffa,0xfefe8800,0x0000004f,0x00000000,0x3ffa0000,0x03326001,
    0x00000000,0x00000000,0xf3000000,0x0000001f,0x0000035c,0xffd80000,
    0x00000006,0x7dc00000,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x01fb8fdc,0xfe800000,0x0007005f,0x3ee23d90,0x00000000,0x97310000,
    0x20157bdd,0x3f2003e8,0xefe8805f,0x200005ff,0xc98000a8,0x1beefeec,
    0x333101d8,0x33333333,0x33331001,0x88133333,0xca8002ff,0x032a61be,
    0x333107e2,0x33333333,0x33331001,0x20133333,0x15106ffd,0x99999880,
    0x00999999,0x99999988,0xffe80999,0x4cccc400,0x09999999,0x99999880,
    0x22009999,0x81bdfecb,0x4cccc41d,0x20999999,0x99999998,0x26200999,
    0x09999999,0x33333310,0x2e333333,0x0003f71f,0xdffb0000,0x0000d100,
    0x0009d07f,0x80000000,0xdcefffe9,0x6c0cffff,0x3fe6001f,0x50fdc00f,
    0xc980003f,0xd71001ff,0xdb9bffff,0x3f359fff,0x3fffb2e0,0x03cdffff,
    0xfffffcb8,0x2fdc1cdf,0x26ffa600,0x0fff8aeb,0xfecb87b0,0xcdffffff,
    0xfffcb803,0xb01cdfff,0x7f5c4dff,0xd9702eff,0xbfffffff,0xff970079,
    0x839bffff,0xcb806ff9,0xfffffffe,0xfcb803cd,0x1cdfffff,0xfddfff70,
    0x3f77bfff,0xffffed98,0x3261cfff,0xffffffff,0x3fb2603d,0x501dffff,
    0xffffffb9,0x47ee99bf,0xdddd91fb,0x2e05dddd,0x705eeeee,0x0f300fff,
    0xd81f9800,0x51000006,0x2e000013,0xf7301eff,0x00bf27ff,0xd00fffe0,
    0x2000bd09,0x01ffffea,0x1bdfffa8,0x3ffffea0,0xffffa802,0x3ee0002f,
    0x07fa01ff,0x441efb80,0x3205ffbe,0x3fffea04,0x3ee0002f,0xffd801ff,
    0xfffffd16,0xffa809ff,0x20002fff,0x3601fffb,0x7d4005ff,0x0002ffff,
    0xd007ffee,0x654419ff,0x201fffff,0x406ffffd,0x0fffffd8,0x077fdc00,
    0xfffff100,0x3ee3f707,0xfffff711,0xffe88019,0x1fff500b,0x0000fa80,
    0x00fe2274,0xdffd8800,0x8000cffe,0x1004ffd8,0x009ffffd,0x881bffa0,
    0x8006c82f,0x1ffffcca,0x027ffdc0,0x05fff910,0x01bfff60,0x980ffa00,
    0x3fee006f,0x07fffb00,0x3ff602dc,0xfe80006f,0x2dffb003,0xffffeffe,
    0x7fec03ff,0xfe80006f,0x13ffe203,0x1bfff600,0x00ffa000,0xe8805ff9,
    0x3e201fff,0xf8804fff,0x88006fff,0xfc8001ff,0x23f707ff,0x7ffd41fb,
    0x09f9000f,0x400fff98,0x5c0001fb,0x00fd98bf,0x19ff7000,0x7fffffd4,
    0xfff301ff,0xffe88009,0xffd0000f,0x7c2ec01f,0x7fe40004,0x3fff601f,
    0x7ff70004,0x17fff200,0x80bf6000,0xff9004fc,0x07ffdc05,0xffc80d50,
    0xfd80005f,0x7dffb002,0xffffa85d,0x3fff200f,0x2fd80005,0x00fffea0,
    0x017fff20,0xa80bf600,0xfd1005ff,0xfffc803f,0xffff9006,0x00bf3000,
    0x41bffea0,0xb03f71fb,0x3a005fff,0x3ffc400f,0x00017e40,0x0bbfff22,
    0x1ffd4000,0xffffffb8,0x1fffd01f,0xbfff3000,0x3fff6000,0x2673ea02,
    0x5c0000fd,0xff701fff,0xfd80007f,0x9fff7004,0x03fb0000,0x2a007fe2,
    0x7fe404ff,0x2e035406,0x80004fff,0xffb001fd,0x3fe601df,0x3fee04ff,
    0xfd80004f,0x0fffee01,0x13ffee00,0x807f6000,0x22002ffd,0x7fcc01ff,
    0xff8800ff,0x7dc001ff,0xfff50002,0x7dc7ee0b,0x05fff881,0xff005f98,
    0x007fb009,0x001be600,0x207ff880,0xc804fff8,0xd0003fff,0x0005ffff,
    0xb809fff9,0x0002effe,0x981fffa8,0x80005fff,0xff7004f8,0xf900009f,
    0x201be603,0xfd806ff8,0x202dc04f,0x0004fffb,0xfb001fc8,0xffd801ff,
    0x3ffee07f,0x1fc80004,0x00bfff20,0x013ffee0,0xf807f200,0x7e4001ff,
    0x2fffe801,0x07fffd00,0x20007e80,0xf705fffa,0x7e402a63,0x17e400ff,
    0x4007fdc0,0x900003fe,0x200003ff,0x7e406ffc,0x3fe600ff,0xfc8000ff,
    0x000ffffb,0x8027ffe4,0x2a000019,0xffe81fff,0xb900001f,0x13ffee00,
    0x407f2000,0xffd804fa,0x01fff803,0x3fee02e4,0xfc80004f,0x0dffb001,
    0x01ffff30,0x0013ffee,0xfe807f20,0xfb8001ff,0xc80004ff,0x9fff101f,
    0x801fa800,0x7005fffc,0x4400dfff,0x3ea0005f,0x03f705ff,0x013ffe20,
    0x0bfa00df,0x00027fc0,0x0004fff8,0xb80bffd0,0x3fa02fff,0xfb8003ff,
    0x00bfffb4,0x005fffb8,0xff500000,0x6fffc83f,0x01a20000,0x0027ffdc,
    0xfb80fe40,0x03ffd403,0x6c03ffcc,0x27ffdc04,0x00fe4000,0xb006ffd8,
    0x3ee05fff,0xc80004ff,0x3fffe01f,0xfffb8000,0x1fc80004,0x003fffe0,
    0xff3003f0,0xff1001ff,0x3ee003ff,0x3fea0002,0x003f705f,0xa807ffec,
    0x01fc803f,0x00017fe0,0x003fffea,0x017ffe00,0x2a07fff5,0x4001ffff,
    0x3ffee5f9,0x3fea001f,0x054c406f,0xfff30000,0x02ffff83,0xb8004000,
    0x80004fff,0x05f901fc,0xc803ffd8,0x17c405ff,0x013ffee0,0x4007f200,
    0xf9006ffd,0x3fee07ff,0xfc80004f,0x01fffe01,0x027ffdc0,0xd00fe400,
    0x4003dfff,0xfffd001d,0x3fffe007,0x000fd003,0x705fffa8,0x7fcc003f,
    0x201fd04f,0x2000cda8,0x80006ff8,0x003ffffe,0x406ffe80,0xf902fff9,
    0x44001fff,0x3ffe60ef,0x3fe6003f,0xffff706f,0x80009bff,0x3ea1fff9,
    0x00000fff,0x9fff7000,0x03f90000,0xff8807f6,0x7ffc400f,0x5c03d403,
    0x80004fff,0xffb001fc,0x3ffee00d,0x09fff704,0x203f9000,0x0007fff8,
    0x0009fff7,0x7e403f90,0x1002ffff,0x37ffdc00,0x37fffcc0,0x00027cc0,
    0x5c17ffea,0x7fec001f,0xd02fcc0f,0xff30005f,0xff98000f,0x80006fff,
    0x7d407ffc,0xfffb01ff,0x81fe800f,0x2004ffff,0x7445fff9,0xffd30bef,
    0x7fcc000b,0x1ffff61f,0xb8000000,0x80004fff,0x01fd01fc,0x6402ffe4,
    0x2ec00fff,0x027ffdc0,0x800fe400,0xf5006ffd,0x3fee07ff,0xfc80004f,
    0x1ffff101,0x9fff7000,0x03f90000,0x7fffff44,0x2200000d,0x6400ffff,
    0x401fffff,0x540002fc,0x3f705fff,0x3fff9800,0x32600fe4,0x3fea001e,
    0x3f60000f,0x002ffffa,0x017ffd40,0x7fc0dff7,0x3f6006ff,0x0dffff02,
    0x227ffd40,0xff882ffe,0xff30004f,0x37fffc3f,0x70000000,0x00009fff,
    0x03f603f9,0x4403ffe8,0x7c406fff,0x4fffb802,0x01fc8000,0x200dffb0,
    0xf701fff9,0x900009ff,0x7fffc03f,0xfffb8001,0x1fc80004,0x7ffffcc0,
    0x200004ff,0x7c03fffd,0x404fffde,0xfa80007e,0x03f705ff,0xf8fffd00,
    0x00fea006,0x0007ffdc,0xfff96f88,0xffd0000b,0x80fff40d,0x005ffff8,
    0x7ff409f7,0x3fee007f,0x81ffea3f,0x30007ffd,0x3fe23fff,0x000005ff,
    0x13ffee00,0x407f2000,0x3ffe01fc,0x27ffe401,0x7dc01b60,0xc80004ff,
    0xdffb001f,0x03ffea00,0x0027ffdc,0xfd00fe40,0xf70003ff,0x900009ff,
    0xfff5003f,0x005fffff,0x0dfff500,0x7ffd67d4,0x0013e607,0x417ffea0,
    0xfa8001fb,0x007f53ff,0xfc803fe8,0xf70001ff,0x03fffe27,0x13ff6000,
    0x5407ff91,0xa804ffff,0x7fff405f,0xfff9000f,0x903ffe45,0x30001fff,
    0x3fe63fff,0xff0004ff,0xffffffff,0x3ffee03d,0x1fc80004,0x3e205f70,
    0x3f6e00ff,0x07e602ff,0x027ffdc0,0x800fe400,0xf7006ffd,0x7ffdc0ff,
    0x1fc80004,0x00bfffa0,0x013ffee0,0x4007f200,0xffffffe9,0x220001ef,
    0xfb00ffff,0x407fffe3,0xa80001fc,0x3f705fff,0x7f4002a6,0x8001fd6f,
    0x7e400ffa,0xff0002ff,0x027ffec1,0xbeffd800,0x5401effc,0x4c04ffff,
    0x7fec00ef,0xffb001ff,0x02ffd43f,0x0001fff7,0x3ea3fff3,0x40004fff,
    0x0efffffa,0x027ffdc0,0xa80fe400,0x5fff303f,0x3ffe3ae0,0x4009d100,
    0x0004fffb,0xfb001fc8,0x3ff200df,0x13ffee04,0x807f2000,0x8003fffc,
    0x0004fffb,0x5c001fc8,0xffffffff,0xffb0000c,0x64df107f,0x0fd04fff,
    0x3ffea000,0x3ee3f705,0x9fff5001,0x3fe000bf,0x1fffec05,0x2a27d400,
    0x80007fff,0xabcbabe9,0xffff1001,0x00ff4409,0x007fffec,0x540fffe8,
    0x3ffea00b,0xfff98000,0x09ffff51,0xffff7000,0x9fff7005,0x03f90000,
    0x7fc413e6,0xf88eb85f,0x01dd107f,0x027ffdc0,0x800fe400,0xfd007ffd,
    0x7ffdc01f,0x1fc80004,0x00fffe60,0x013ffee0,0x0007f200,0x3fffff62,
    0xa8001eff,0x3fa86fff,0x261fffe6,0xf500004f,0x47ee0bff,0x3fa001fb,
    0x88001fff,0x7ff407ff,0x1fe8004f,0x002fffe8,0x00013e60,0xb02ffffc,
    0x3ffa005f,0x3ffa007f,0x7fecc005,0xf98000ff,0xffff11ff,0xff30000b,
    0xff7001ff,0xfb00009f,0xfd03f403,0x1df95dff,0x3aa1ffe2,0xf702c80d,
    0xb00009ff,0x3ff6003f,0x1ffd401f,0x013ffee0,0xf007f600,0xf70009ff,
    0xb00009ff,0x74c0003f,0x0effffff,0x1ffff800,0x3ffa07ec,0x000fe42f,
    0x05fffa80,0x007ee3f7,0x006fffb8,0x401fff30,0x4005ffff,0xfff705f9,
    0x3fe2000d,0xffd00001,0x00ff20df,0x007fffe8,0x2200bffe,0xfffccfeb,
    0xfff98000,0x01bfffe1,0x3fffe600,0x4fffb800,0x01fd8000,0x7fd40bee,
    0x740dffff,0x4fdb9dff,0x3ee01f30,0xd80004ff,0xfffb001f,0x037f440d,
    0x0027ffdc,0x3600fec0,0xfb8005ff,0xd80004ff,0xfb80001f,0x006fffff,
    0x224fffc8,0x5fffc86f,0x5000037c,0x3ee0bfff,0xf8003f71,0xf50003ff,
    0x7ffc01ff,0x17e4005f,0x01ffff88,0x01dffb80,0x6fffc800,0x7c005fa8,
    0xf1005fff,0xffc880df,0x01fff50b,0x43fff300,0x000ffffe,0x03fffc40,
    0x005fffa8,0x2200fd80,0x3ffee05f,0xfffd502d,0x01f4019f,0x000bfff5,
    0x36001fb0,0x4c2dffff,0xfa800dfe,0xd80005ff,0x3ffd400f,0x2fffd400,
    0x007ec000,0xfffc8800,0x7cc003ff,0x20fea6ff,0xf30ffff9,0x7d400009,
    0x23f705ff,0x7dc001fb,0xff90000f,0x3fffd80f,0xb01be200,0xb0009fff,
    0xffffffff,0x4039dddf,0x260ffffb,0x3e6000ef,0xf7002fff,0x6ffcc07f,
    0x007ffd40,0xb0fffcc0,0x0007ffff,0x007fff88,0x000bfff5,0xfd801fd0,
    0x40026200,0x0fb80098,0x017ffea0,0x4003fa00,0xffe9effd,0x2003ffed,
    0x0005fffa,0xfe800fe8,0x7fd4002f,0xfe80005f,0x32000a00,0x8005ffff,
    0x1fb1ffff,0x64bfffa0,0x2a00001f,0x3f705fff,0xf30007ee,0x7fec0009,
    0x07ffd406,0x9807f700,0x4000ffff,0xfffffffa,0xefffffff,0x3ffff982,
    0xa8001fd1,0xb000ffff,0x3fea01ff,0x01fff504,0x41fff300,0x005ffff9,
    0x03fffc40,0x006fffa8,0xf9807e80,0x80000004,0x7fd403f8,0x7e80006f,
    0x99bff600,0xa8001aca,0x80006fff,0x9ff5007e,0x6fffa800,0x407e8000,
    0xfff90007,0xfff9000f,0x7dc0bf19,0x000df5ff,0x05fffa80,0x007ee3f7,
    0x40003f90,0x28805ffe,0x800ff800,0x8003fffe,0xfffffff9,0xffffffff,
    0xd5fffc80,0xffb0005f,0x3fe2009f,0x40bff504,0x8000fffa,0xffd87ff9,
    0x220000ff,0xf3007fff,0x88000fff,0x05f7006f,0xed800000,0x3fffcc00,
    0x01be2000,0x0006ffd8,0x03fffcc0,0x801be200,0x7cc006fe,0x440007ff,
    0x000fc06f,0x007fffc4,0x2ffffe60,0x3ffe202f,0x00003fbf,0xb827ffd4,
    0x4003f71f,0x740006f8,0x000004ff,0x55555df5,0xfffb5555,0x11f5000d,
    0x99555533,0xd107ffd9,0x007f9fff,0x01ffff30,0xff81bee0,0x3ffea03f,
    0x6ffa8000,0x05ffff88,0x1fffe200,0x01ffff80,0x8013e600,0x000000fd,
    0x3e001db0,0x20001fff,0x3f6004f9,0xf800006f,0x20001fff,0x3e6004f9,
    0x7ffc002f,0x3e60001f,0x80027c04,0xd0007ffe,0x801fffff,0x01fffffe,
    0x7ffd4000,0x3ee3f703,0x00fee001,0x007ffb00,0xfffd0001,0xffffffff,
    0x003fffff,0x4c0017d4,0xffff506f,0x3ffa000b,0x1ff1002f,0x807ffe60,
    0x8000fffa,0xff705ffa,0x220005ff,0x36007fff,0x20004fff,0x3e2003fc,
    0x2000000e,0x36000ed8,0x20004fff,0x3f6003fc,0xd800006f,0x20004fff,
    0x7d4003fc,0x7ffec006,0x0ff20004,0x36000ff0,0xf70006ff,0xf700bfff,
    0x0000dfff,0x203fff50,0x003f71fb,0x00003fe2,0x6c405ff7,0xbf3000df,
    0x33333333,0xbfff9333,0x0017e200,0x3ff606c8,0xffa8001f,0x07f2003f,
    0x204fffa8,0x8001fffb,0x3f603ffa,0x88000fff,0x26007fff,0x30006fff,
    0xfd3000df,0xd1000003,0xff98001d,0xdf30006f,0x06ffd800,0xfff98000,
    0x0df30006,0x8013f200,0x0006fff9,0x9ff00df3,0x09ffd000,0x3fffe200,
    0xffff8802,0x3b930003,0x2e07ffa8,0x2003f71f,0x880003fc,0x3fee04ff,
    0x05f9004f,0x0ffff980,0x0003fe80,0xfff98136,0x3fa2001f,0x0fea004f,
    0x20ffff30,0x711ffffb,0x37dc0544,0x0f7ffec0,0x1fffe200,0x09fffb00,
    0x002fe980,0x0007fb10,0x000775c0,0x004fffd8,0x20017f4c,0x00006ffd,
    0x009fffb0,0x0002fe98,0xfd8007f6,0x74c004ff,0x4fff802f,0x01bfea00,
    0x00fffd00,0x0007ffec,0x2e0fffd8,0x47ee02ff,0x33ae21fb,0x0006fc8a,
    0xfd81fee0,0x6f8805ff,0x7fffb000,0x006ffb80,0x7f403f50,0xa800fffd,
    0x26003fff,0xffff003f,0xf7dd737f,0x223d7bff,0x17ec2fff,0x2ffffd80,
    0x1fffea00,0xbfffd100,0x4ffb9801,0xbefb8000,0xefb88000,0x7f440002,
    0x5cc00dff,0xfd8004ff,0x1000007f,0x801bfffd,0x0004ffb9,0xd1002fb8,
    0x9801bfff,0xff004ffb,0xff300bff,0xfb80003f,0x3fea004f,0x3ffe0006,
    0x7017f63f,0xfb87ee3f,0x02ffffff,0x817ec000,0xb802fffa,0xff50003f,
    0xfffc80ff,0x0fea000c,0xffd52fd8,0x7e54c37d,0x36a000df,0x3ffea000,
    0xf88dffff,0x3e61ffff,0x3fb9dfff,0x7fff4c00,0xfeb980be,0x88001dff,
    0xabdffffd,0x3ffffdb9,0x3f220000,0x53101adf,0x00007df9,0x6ffffec4,
    0xfffdb9ab,0xff88003f,0x000001ff,0x7bffffb1,0xffffb735,0x74c00007,
    0xfffb1003,0xfb7357bf,0x7c007fff,0x1bdfffff,0x05dffb31,0x03ff1000,
    0x001ffc40,0x35ffff70,0x1fb801ff,0x7ffdc3f7,0x00002fff,0x2e205f70,
    0x001ff001,0x01ffffc0,0x5bfffff3,0x3aea6233,0x213ee03f,0xffffffea,
    0x64002eff,0xfff50003,0xeffd85ff,0xfffffc81,0x36a0001f,0xfeefffff,
    0x000befff,0xffffda80,0x0cffffff,0x36a00000,0xffeeffff,0x00003def,
    0x3ffff6a0,0x0cffffff,0x7ff65400,0x000bcfff,0xfffda800,0xcfffffff,
    0x79000000,0x7ffed400,0xcfffffff,0x4c57c000,0xffffffec,0x400004ff,
    0x0fd8007d,0x3ffa2000,0xb800dfff,0x7c43f71f,0x0001efff,0x01f6cc00,
    0x000bf700,0x406fffc8,0xffffffe9,0x0dffffff,0x54c02d40,0x20001acc,
    0x54c40000,0x51002600,0x80000157,0xabcccba9,0x10000009,0x55799955,
    0x10000000,0x00357753,0x55100000,0x00557999,0x55555540,0x0000aaaa,
    0x332aa200,0x00002abc,0x51000100,0x05579995,0xca981c00,0x00009acc,
    0x98002980,0x97100003,0x86540037,0x01b980ca,0x54400000,0x05ff0000,
    0xffff9800,0xfffea802,0x02efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03ff9000,
    0xffff9800,0x7531000f,0x00000157,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00efffc9,
    0xffffb300,0x000017df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffc8000,0x003fffff,
    0xfffffff1,0x2e25ffff,0x0e540001,0x0002c980,0x0006aaa6,0x38802400,
    0xaaa80000,0x20000002,0x4001deb8,0x0019001b,0x2aaa8000,0x2a800000,
    0x40003700,0x99999998,0x00019999,0x33332600,0xda800000,0xee980000,
    0x1000005e,0x0005ffff,0x002fffec,0x0aaaa000,0x00370000,0x4ccc402e,
    0x99999999,0x99999999,0x03509999,0x000006e0,0x7d930000,0x3fff5000,
    0x03fff880,0x6ffff880,0x1d700000,0x0000f440,0x0ffffea0,0x3f200000,
    0x2000fe8b,0x01ec02f9,0x3fee0000,0x000003ff,0x16e01fc4,0x3fff6a00,
    0xfeeeefff,0x00000eee,0x007fff90,0x7ffe4c00,0xffe80000,0x800003ff,
    0x006ffffd,0x3fffff50,0x3ee00000,0x00003fff,0x09b00be2,0x7fffffd4,
    0xffffffff,0xffffffff,0xb807f14f,0x00000005,0x0017a600,0xb807fffb,
    0xc8005fff,0x003fffff,0x305fd000,0xf00000bd,0x001fffff,0x8afd4000,
    0x7e4003ff,0x0000fb04,0xfffff880,0x4000000f,0x0fc80dfb,0x7fffec00,
    0x0fd44fff,0x7fc00000,0xb300004f,0x001fffff,0xfffffa80,0x2600000f,
    0x03fffeff,0xfffefe80,0xf8800006,0x000fffff,0x6c13f200,0x3ffea00f,
    0xfeccccde,0xdcccceff,0x3ee5fffe,0x000fc80d,0x0bffc980,0x0df30000,
    0x007ffd40,0x000fffe2,0xfff99ff1,0xf5000001,0x007fcc9f,0x2bfee000,
    0x00005ffe,0x7f43ff10,0x6ffc4000,0x0005fd10,0xeaffc800,0x000004ff,
    0x3f21efe8,0x3ff62004,0x44ffffff,0x000001fa,0x0002ffcc,0xffff3310,
    0x4ff80001,0x00009ffb,0xfff9a7f4,0x23bee000,0x0002ffd8,0x7f57fe40,
    0x2200004f,0x7fb10eff,0x201ffb80,0x2204fffb,0x0f7f45fe,0x300009f9,
    0x01ff77df,0x00ffa000,0x93001c98,0x49fb0005,0x00004ffa,0xff5bffb0,
    0xf8800007,0x007ff61f,0x01fee000,0xafffb800,0x000006fe,0xfd88f7cc,
    0x4000001f,0xffdbfff9,0xfffd1000,0x89ffffff,0x000001fa,0x000077e4,
    0x00fffc80,0xf70fee00,0xf500003f,0x004fe889,0x6fc81df1,0x3be60000,
    0x003ffb11,0x57ffdc00,0x0fb806fe,0x027ffdc0,0xfff317a2,0x0001ffb5,
    0x03f88d90,0x03ff7000,0x80000000,0x1fe983f9,0xff980000,0x00007fff,
    0x6fb81ed8,0x6fe80000,0x7ff40000,0x00001fff,0x7dc076c0,0xd8000005,
    0x003fffff,0x3fffffee,0x7d44ffff,0x74000001,0x2000000f,0x0000fffb,
    0x1be607f1,0xc813a000,0x00ec801f,0x200007f5,0x05fb80ed,0x7fff4000,
    0x05b801ff,0x804fffb8,0xffffd86a,0x7f00003f,0x20000d90,0x00003ffa,
    0x01740000,0x00000bb1,0x00bffff2,0x401d3000,0x200002e9,0x00004ff9,
    0x02ffffd4,0x03aa0000,0x00002f98,0x37fffc40,0x3ffff600,0x44ffffff,
    0x000001fa,0x000007e2,0x001fff50,0x5b100b20,0x401dc000,0x402c405a,
    0x540000e9,0x00be600e,0xffffa800,0x70079005,0xd1009fff,0x0dffff10,
    0x6c1fc000,0xff700006,0x0000000b,0x1b8014c0,0xaa880000,0xb800002a,
    0x00048800,0x000fff60,0x02aaaa00,0x01900000,0x00000910,0x00355530,
    0xfffffff8,0x7d44ffff,0x2a000001,0xa8000002,0x30000fff,0x10000c00,
    0x00200400,0x0c800010,0x00004880,0x80055554,0xfffb800a,0x2a607004,
    0x200001aa,0x0017c46c,0x006ffc80,0x00000000,0x00000000,0x00000000,
    0xfff10000,0x00000003,0x00000000,0x00000000,0xfffff980,0x44ffffff,
    0x000001fa,0xa8000000,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x70000000,0x00009fff,0x7c400000,0x0007fccf,0x001bffa0,0x00000000,
    0x99998800,0x09999999,0x99999880,0x71009999,0x0000001b,0x0007ffdc,
    0xeecba880,0x000009bd,0x00000000,0x77f6e540,0x224a81cd,0xffffffff,
    0x0fd44fff,0x00000000,0x7ffd4000,0x2ea20000,0x009bdeec,0x01510000,
    0x00000000,0x40000000,0x1bdfecb8,0xf70001d8,0x988009ff,0x99999999,
    0x44000099,0x00003eeb,0x1002fffc,0x00d40015,0x77f6e540,0x2e4a81cd,
    0xffffffec,0xcb803cdf,0xcdffffff,0x07ffe4c1,0x5c400000,0x80007fff,
    0xdcefffd8,0x000effff,0x26666666,0x31019999,0x33333333,0x64400333,
    0xedceefff,0x5e88beff,0x7ffffff4,0x7d44ffff,0x99880001,0x99999999,
    0x99999999,0x40099999,0x8000fffa,0xdcefffd8,0x000effff,0x03ff9300,
    0x3bbbbbb2,0xddd702ee,0x26662bdd,0x99999999,0x99998801,0x2e019999,
    0xfffeefff,0x001fbbdf,0x009fff70,0xffffecb8,0x002cdfff,0x20000000,
    0x9803fff8,0x5c401ffc,0xf91003ff,0xfdb9ddff,0x0bd117df,0x0bffffea,
    0x1fffb800,0xfffffea8,0x32000000,0xffffffff,0x7dc004ff,0xfa8809ef,
    0xdc8803ff,0xffffffff,0xfdc980cd,0xceffffff,0x9fff9004,0x7fff5403,
    0x7fffe45f,0x44ffffff,0xa80001fa,0xffffffdc,0xffffffff,0x3fffffff,
    0x007ffd40,0x027bfee0,0x00fffea2,0xffffea80,0xffff7101,0xfe88019f,
    0xfffb50bf,0x9bffffff,0xffffb700,0xfd019dff,0x7e54419f,0x0001ffff,
    0x0009fff7,0x0fffffd4,0x4cccccc4,0x80099999,0x99999998,0xfff30099,
    0x3ffae205,0xffb301ff,0xff9007ff,0x7f54039f,0x3f605fff,0xe80006ff,
    0xff33303f,0x000001ff,0x7ffe665c,0x3001ccce,0x2200bffd,0x2000dffe,
    0x006ffffd,0x27ffff44,0x3dffb100,0x37ffd400,0x3fffffea,0x7d44ffff,
    0x7cc00001,0xabffffef,0xaaaaaaaa,0x7d403ffd,0xfd3000ff,0x3fa200bf,
    0x654000df,0x401ffffd,0x000ffffa,0x3fa609f9,0x000fffff,0x03ffffa8,
    0xd100bff2,0x20003fff,0x0004fffb,0xb827fff4,0xffffffec,0xcb803cdf,
    0xcdffffff,0x03fff101,0x3ffff32e,0xfffcd881,0x3ff6203f,0x3fea001e,
    0x3fff206f,0x2fd80005,0x00fffc80,0xff300000,0xff10005f,0xffb0009f,
    0x3fe6001f,0xfb8001ff,0x3a2007ff,0xa8000eff,0xfffd87ff,0x44ffffff,
    0x800001fa,0x0ffffafe,0x5013ea00,0xf1001fff,0xfb0009ff,0x360001ff,
    0xfd801fff,0x1fd002ff,0x4ffffe80,0x07ffe000,0x1005ffa8,0x20003ffd,
    0x0004fffb,0x401fffec,0x02fffffa,0x07ffee00,0x4007ffc0,0x5401fffd,
    0xfd103fff,0xf50001df,0x7ffdc0ff,0x1fd80004,0x00fffb80,0xff700000,
    0xffd0001f,0x3fe6000f,0xfff1005f,0xff50001f,0x7ff400df,0x3ee0001f,
    0xfffff907,0x1fa89fff,0xb7c40000,0x4000ffff,0x7ffd404e,0x07ffe800,
    0x0bfff300,0x07ffee00,0x017ffe20,0x3e2017e6,0x10006fff,0xffd805ff,
    0x07fe2002,0x27ffdc00,0x3fff6000,0xdfffb003,0x07fd0000,0xb803fe40,
    0x7c401fff,0xfffd03ff,0x3fdc0003,0x009fff70,0x5003f900,0x00001fff,
    0x01bff600,0x00fffee0,0x02fffd80,0x00ffff88,0x06fffa80,0x009fff70,
    0x7e40fd00,0x44ffffff,0x400001fa,0x1ffff2fb,0x5405b800,0x7dc00fff,
    0x360003ff,0xa8002fff,0xf9001fff,0x2fc801ff,0x7ffff700,0x009f9000,
    0xc8003fff,0xff70001f,0xfd80009f,0xff9003ff,0xfb0000bf,0x1ffc4005,
    0x00fffd40,0x2e0fffe2,0x80004fff,0x3ffee07e,0x1fc80004,0x00fffa80,
    0xfff00000,0xfff9800b,0x7fcc0007,0xfff800ff,0xff98000f,0xfff9806f,
    0xfa80000f,0x3bb2a200,0x00fd44ff,0x7cdf1000,0x44000fff,0x07ffd405,
    0x00ffff30,0x0ffff980,0x0fffd400,0x04fff880,0x3f60037c,0x26000fff,
    0xfff8806f,0x00fd4004,0x04fffb80,0x1fffec00,0x04fffb80,0x001fd800,
    0x7d4037d4,0xfff801ff,0x07fffcc3,0x807d4000,0x0004fffb,0xfa801fc8,
    0x000000ff,0x003fff88,0x00ffffa2,0x17fff600,0x003fffe0,0x01bffe60,
    0x0013fff6,0xf8000f80,0x0000fd44,0x7ffc5f70,0x4008000f,0xd100fffa,
    0x00007fff,0x800bfffb,0x2001fffa,0xf500fffd,0xfff88007,0x07f6005f,
    0x007fffc0,0x5c0007e0,0x40004fff,0x7003fffd,0x00009fff,0xf30003f9,
    0x1fffa807,0x6c3fff80,0x00004fff,0x7ffdc03e,0x1fc80004,0x00fffa80,
    0xffa80000,0x3fea001f,0xa80000ff,0x7c01ffff,0x98000fff,0x7c406fff,
    0x00002fff,0x13e00072,0x200003f5,0x7fffc6f8,0xfa800000,0xfff500ff,
    0xf500001f,0x4c003fff,0x26001fff,0x1fd04fff,0xffff7000,0x009f7005,
    0x00f7fff4,0x2e0003b0,0x40004fff,0x7003fffd,0x00009fff,0x220003f9,
    0xffa80aec,0x3fff801f,0x00bfffe2,0xf701c800,0x900009ff,0xfff5003f,
    0x00002601,0x2003ffe4,0x0007fffb,0x05ffff30,0x000ffff8,0x406fff98,
    0x000ffffb,0x4f800000,0x80000fd4,0x7fffc1fc,0x20013000,0xf700fffa,
    0x20000fff,0x002ffff9,0x0007ffe6,0xf981fffb,0x3ffa0005,0x3fe200ff,
    0x3fff2000,0x001002ff,0x027ffdc0,0x0ffff600,0x027ffdc0,0x000fe400,
    0x3ea1bea0,0xfff801ff,0x03fffee3,0x7dc00000,0xc80004ff,0xfffa801f,
    0x3bfff660,0x7ff40003,0x7ffec005,0xff100007,0xfff809ff,0xff98000f,
    0x7fff406f,0x00000006,0x01fa89f0,0xf85f8800,0x3b000fff,0x03ffea00,
    0x003fffec,0x4ffff880,0x07ffe600,0x87fff300,0x220001fc,0x3604ffff,
    0x7f44002f,0x000dffff,0x3ffee000,0x7fec0004,0xfff7003f,0x3f900009,
    0x07366000,0x400fffd4,0x3ffa3fff,0x0000006f,0x0013ffee,0x2a007f20,
    0xfff70fff,0x0003ffff,0x000fffe2,0x000dffff,0x02ffffc0,0x0003fffe,
    0xf01bffe6,0x0000bfff,0x513e0000,0xf900003f,0x01ffff03,0x7d4007e0,
    0xffff00ff,0x7fc0000d,0x3e6005ff,0xfe8001ff,0x00037c7f,0x40ffffdc,
    0xf30005fa,0x09ffffff,0x3fee0000,0x7ec0004f,0xff7003ff,0xf900009f,
    0x05f70003,0x801fffa8,0x3ffe3fff,0x0000005f,0x0013ffee,0x2a007f20,
    0xacfc8fff,0x006fffca,0x003fff50,0x02ffffc4,0xfffff000,0x00ffff80,
    0x06fff980,0x017fffe2,0x7c000000,0x0000fd44,0x7ffc17e2,0x01fb800f,
    0x101fff50,0x000bffff,0x03ffffc0,0x003fff30,0x2a7fff50,0xfd00003f,
    0x0fe88dff,0x3ffea000,0x002fffff,0x27ffdc00,0x3fff6000,0x9fff7003,
    0x03f90000,0xa806fb80,0xff801fff,0xbffff13f,0x5c000000,0x80004fff,
    0xffa801fc,0xffc81edf,0xffc8003f,0x7ffcc007,0x3a00004f,0x3e00ffff,
    0x98000fff,0x3e606fff,0x00004fff,0xa89f0000,0x7ec0001f,0x35ffff01,
    0xf9533333,0x3fea003f,0xffff980f,0x3fa00004,0xf3000fff,0x3a0003ff,
    0x001fd6ff,0x3fffe600,0x0000ff24,0x3fffffa6,0x00001eff,0x0009fff7,
    0x003fffd8,0x0009fff7,0x4c003f90,0xffa802ff,0x3fff801f,0x009ffff3,
    0x7fdc0000,0xfc80004f,0xdfffa801,0x013ffe00,0x0017ffa0,0x007ffff5,
    0x7fffec00,0x3bfffe00,0xeeeeeeee,0xfffeeeee,0x3fffea06,0x00000004,
    0x01fa89f0,0xf817e600,0xffffffff,0x01ffffff,0x501fff50,0x0007ffff,
    0x07fffec0,0x01fff980,0xf9fff500,0xfb80000b,0x06f99fff,0x7ffdc000,
    0x00cfffff,0x27ffdc00,0x3fff6000,0x9fff7003,0x03f90000,0xa803fec0,
    0xff801fff,0x9ffff53f,0x5c000000,0x80004fff,0xffa801fc,0x2fff400f,
    0x01fffc00,0x13fffe60,0xfffd8000,0x77fffc07,0xeeeeeeee,0xfffeeeee,
    0x3fffe606,0x00000004,0x01fa89f0,0xf807f600,0xaaaabfff,0x01ffecba,
    0x301fff50,0x0009ffff,0x03fffec0,0x003fff30,0x0fffff40,0x7ff40000,
    0x0001feef,0xffffd880,0x0001efff,0x0013fff2,0x007fffb0,0x0013ffee,
    0xf8007f20,0xffa800ff,0x3fff801f,0x009ffff3,0x7fdc0000,0xfd80004f,
    0x0fffa801,0x0037fec0,0x0007ffe6,0x00bffff1,0x37fff400,0x003fffe0,
    0x81bffe60,0x004ffff8,0x9f000000,0x30001fa8,0xffff80bf,0x001fd800,
    0xf103fff5,0x0000bfff,0x0037fff4,0x0003fff3,0x0037ffdc,0xffff9800,
    0x4000004f,0xffffffe9,0xff90000e,0xfd8000bf,0xff7003ff,0xf900009f,
    0x3ffe6003,0x1fffb801,0xf13fff80,0x00009fff,0x27ffdc00,0x00fec000,
    0x2007ffd4,0x54006ffd,0xfd0007ff,0x40000dff,0x7c05ffff,0x98000fff,
    0x7fc06fff,0x000005ff,0xfa89f000,0xfffd0001,0xffffffff,0x3f1001ff,
    0x07ffee00,0x0037fff4,0x0bffff00,0x00fffcc0,0x00fffe00,0xfffc8000,
    0x20000007,0x6ffffffb,0xdfffd000,0xfffd8000,0x9fff7003,0x03f90000,
    0x00bffe60,0x200bfff2,0x3ffe3fff,0x0000005f,0x0017ffea,0x2a003f60,
    0x7ec00fff,0x7fe4006f,0xfffb0004,0x3e20000f,0x7fc03fff,0xf98000ff,
    0x7ff406ff,0x0000006f,0x1fa89f00,0xccdfa800,0xffcccccc,0x03b000ff,
    0x40bfff20,0x0007fffd,0x07ffff10,0x00fffcc0,0x003fee00,0xfff98000,
    0x40000006,0x3fffffc8,0x7fffdc00,0xfb0001cf,0x3ee007ff,0xd80004ff,
    0x3ffe001f,0x7fffc404,0x23fff806,0x0006fffe,0x3ffea000,0x0fe80005,
    0x00fffa80,0x20037fe4,0x90001ffe,0x0001ffff,0x05ffff30,0x000ffff8,
    0x406fff98,0x000ffffd,0x4f800000,0x74000fd4,0xffff800f,0x10017000,
    0x901dffff,0x0001ffff,0x05ffff30,0x00fffcc0,0x0013e600,0xdfff3000,
    0x00050000,0x00bffff9,0xffffffd7,0x8009dfff,0x7003fffd,0x00009fff,
    0x7fc003fb,0xfffd505f,0x201dffff,0x3ff63fff,0x000000ff,0x00dfff50,
    0x2a00fd00,0x7e400fff,0x37fc006f,0xffff5000,0xff500003,0xfff801ff,
    0xff98000f,0x7ffd406f,0x0000002f,0x0fd44f80,0x400fee00,0x0000ffff,
    0xfffffd30,0x7fd43dff,0xa80001ff,0x2000ffff,0x0000fff9,0x00000fe4,
    0x01bffe60,0x64001e00,0x00007fff,0xfffd8000,0xbfff5003,0x01fb0000,
    0x0037fec0,0x22fff800,0x002ffffa,0xfff30000,0x6f88000f,0x01fff500,
    0x2006ffc8,0x40004ff9,0x0005fffd,0x802fffd8,0x8000ffff,0xe806fff9,
    0x00005fff,0x227c0004,0x3f4001fa,0x01ffff00,0xd8000000,0x80005fff,
    0x4002fffd,0x40007ff9,0x000006f8,0x006fff98,0x88001f80,0x0000ffff,
    0x7fec0000,0xfff5003f,0x1fd0000b,0x037fe400,0x1fff8000,0x002ffff4,
    0xfff80200,0x3e60001f,0x1fff5004,0x006ffc80,0x00007fee,0x003ffff1,
    0x02fffcc0,0x000ffff8,0x806fff98,0x001ffffa,0xf000b500,0x2001fa89,
    0x3fe003fb,0x0a0000ff,0x22005e5c,0x0001ffff,0x0017ffe6,0x0001bfea,
    0x000007f7,0x00dfff30,0x20009f00,0x98007ffe,0x40000bfe,0x5003fffd,
    0x0000dfff,0xffb800fd,0xff000005,0xffffa81f,0x0b500001,0x0027ffec,
    0x2a007f90,0x7e400fff,0x1bf6006f,0x7ffdc000,0x3ff60005,0xffff000f,
    0xfff30001,0x3fffa00d,0x0e980006,0x7d44f800,0x00df1001,0x000ffff8,
    0x3ffa0d30,0x7ffdc04f,0x3ff60005,0xffa8000f,0x3fe20005,0x98000000,
    0x80006fff,0xffb0007f,0xfffb000d,0xffd80007,0xfff3003f,0x6f88000f,
    0x01ffd400,0x07ff8000,0x000dfffd,0x7cc01d30,0xf30006ff,0x7ffd400d,
    0x037fe400,0x00005ff0,0x000ffff4,0x001fffcc,0x0001ffff,0x200dfff3,
    0x004ffff9,0x40007a20,0x800fd44f,0x7fc002fc,0x7d0000ff,0x03fff6a0,
    0x003fffd0,0x007fff30,0x000bfea0,0x00003fc8,0x0dfff300,0x009ff000,
    0x0009ffd0,0x000dfffd,0x003fffd8,0x0007fffe,0x64004f98,0x800000ff,
    0xff305ff8,0x440009ff,0xfffd801e,0x17f4c004,0x03fff500,0xd987ffd8,
    0x00017ea3,0x01dffd30,0x027ff4c0,0x01ffff10,0x0dfff500,0x2ffffcc0,
    0x001f4c00,0x01fa89f0,0xf8006f98,0xc8001fff,0x17fec01f,0x03bffa60,
    0x04ffe980,0x06fb8144,0xc8aceb88,0x0000006f,0x001fffe6,0x8013ffe0,
    0x30006ffa,0x0001f99b,0x001ffff4,0x0009fffb,0x3e001fe4,0x0d40002f,
    0xf300ffcc,0x3000bfff,0x3fa2007d,0x5cc00dff,0x7dc004ff,0x7fec01ff,
    0x3fa7fd87,0xf9000000,0xff5003ff,0xff88005f,0xfa8000ff,0x7d4007ff,
    0x9802efff,0x7c0003fb,0x7400fd44,0xfff8003f,0x37d4001f,0x800ffec0,
    0xa801fffc,0x7c402fff,0x017ec2ef,0x7fffffdc,0x0000002f,0x001fffea,
    0x017fffe0,0x0007ffe6,0xf0001ea0,0x4c00bfff,0x30006fff,0x5fa800df,
    0x27fec000,0x3ea013ee,0x9802efff,0x6c4003fb,0x9abdffff,0x03ffffdb,
    0x01fffc80,0x3607ffec,0x002fd8df,0x7ffd4000,0x3f6e60ac,0xfa8000df,
    0xc8002fff,0x4000ffff,0xcfffffd8,0xfffdb9ab,0x44f80001,0x7fdc01fa,
    0x7ffcc002,0xffb1002f,0x05ff9809,0x567ffd40,0x37ff6e60,0xffff9800,
    0x7003fdae,0x05ffffff,0xfb800000,0x40000fff,0xbdffffff,0x5dffb311,
    0x01360000,0xfffffc80,0xfffb000b,0x2fe98009,0x000fea00,0x2bbfffe0,
    0xb1000dfa,0x579fffff,0x03fffb73,0x7ffed400,0xcfffffff,0xfff98000,
    0x3ffea05f,0x77ff4c4f,0x10000001,0xffffffd9,0x20007bff,0x1fffffe9,
    0x3fffea00,0xda8001df,0xffffffff,0x200002ef,0x880fd44f,0x001efffc,
    0xdfffffd1,0xfdb99999,0x9103ffff,0x00017dfd,0xfffffd91,0x8007bfff,
    0x1ffffffc,0x3fffe200,0x0000001e,0x6fffffcc,0x22be0002,0xfffffec9,
    0x00004fff,0xdb000db1,0xffffffff,0xfe8807df,0x5cc00dff,0xbd7004ff,
    0x3ea00003,0x003fffff,0xfffffb50,0x005dffff,0x66554400,0x50002abc,
    0xffffffff,0x3ffff63f,0x04c5ffff,0x20000000,0x000abca9,0xfffffd30,
    0x03dfffff,0xffffffd5,0x000dffff,0x2af332aa,0x2c800000,0x7fdc064c,
    0x83ffffff,0xfffffee8,0xffffffff,0x07ffffff,0x000002aa,0x00157953,
    0x00aba880,0x0006e600,0xffea8000,0xffffffff,0x53038006,0x00135999,
    0x002fba00,0x44000000,0xabdffffd,0x3ffffdb9,0x00015100,0x006ae600,
    0xcccaa800,0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0xfffffffd,0x0000cfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3332aa20,0x000002ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb5000000,0x40000003,
    0x0005eeeb,0x776c0000,0xb000004e,0x77744bdd,0xea800003,0x3bbae2ee,
    0x05c00000,0x80000480,0x000deeea,0x00400100,0xee980000,0x000000de,
    0x1eeee880,0x7fc40000,0x200001ff,0x00002000,0x4eeed800,0xd5000000,
    0x00001ddd,0x00620018,0xdddd3000,0xc8000003,0x07100bee,0x3fff2200,
    0x40000001,0x0001fffe,0xfff10000,0x1000001d,0x7fd45fff,0xc800000f,
    0x27fec6ff,0x17cc0000,0x00000f60,0x000bfff6,0x79800e80,0xfb000000,
    0x00009fff,0x9fff7000,0xffb00000,0x40000dff,0x0079800e,0xfff10000,
    0x0000001d,0x0017ffec,0x7400f200,0x7e400001,0x000003ff,0x1ffffff4,
    0x3660015c,0x001fffff,0x7f440000,0x0000004f,0x001fff70,0x17fe6000,
    0x00007ff7,0xff07ff60,0x2000001f,0x00db04fc,0x7fff1000,0x1ed80000,
    0x00017a60,0x3fffea00,0x000001ff,0x002fff40,0x7f7fcc00,0xb00002ff,
    0x02f4c03d,0xffa80000,0x0000000f,0x0004ffe8,0x980dfd40,0xe800007d,
    0x000005ff,0x7ffff7dc,0x003d12ef,0xfffe9988,0x80000001,0x00006ff8,
    0x03ffb000,0x7fdc0000,0x00037ec0,0xf889ff00,0x2000002f,0xfd10dff8,
    0xf5000005,0x5000009f,0xfd99dfff,0x000005ff,0x3ff29fd0,0x20000005,
    0x00006ff8,0x3fea9fd0,0xfa80000f,0xffecceff,0x0000002f,0x00003ffb,
    0x1ffa2000,0xffd10000,0x9fffd9bf,0xff880000,0xe8000006,0x3fffff22,
    0x5c0006ff,0x00001fff,0x01ff3000,0xff000000,0xc8000005,0x001fe83f,
    0x81df1000,0x000005fa,0xfeafffb8,0xfb000006,0x6400000b,0xffffffff,
    0xb8000004,0x017fd44f,0xefa80000,0xfa800000,0x0027f444,0xfffffc80,
    0x00004fff,0x000bfe00,0xff300000,0xf9800003,0x6fffffff,0xefb80000,
    0x58000000,0xfffffd88,0x7fd40000,0x0000001f,0x0000fea0,0x009f5000,
    0x10dd0000,0x4000009f,0x00fb82fa,0xffd00000,0x00003fff,0x00003be0,
    0xfffff900,0x0000007f,0x1ba609f1,0x7ec00000,0xf8800001,0x0003f603,
    0x7ffffe40,0x0000003f,0x000013ea,0x027d4000,0x7ff4c000,0x0000dfff,
    0x0000fd80,0x26038800,0x80000bdb,0x0001fffa,0x02e40000,0x17200000,
    0x0fc00000,0x0000074c,0x00f60b70,0xffa80000,0x000005ff,0x000001f3,
    0x06f76e60,0x1e400000,0x0000f620,0x0000be00,0x2dc01640,0xbb730000,
    0x00000037,0x000005c8,0x0035c000,0x37995000,0x3e200000,0x00000001,
    0x2a000000,0x00001fff,0x00038000,0x0001c000,0x33028800,0x0a800000,
    0x00000070,0x00155550,0x0006a000,0x00000000,0x5000c000,0x28800000,
    0x00200000,0x00000008,0x1c000000,0x00000000,0x000000b8,0x4c000000,
    0x00000002,0x54000000,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccccc4,
    0x80099999,0x99999998,0x3fea0099,0x0000001f,0x37bb2ea2,0x0000009b,
    0x37bfb72a,0x2624a81c,0x99999999,0x99880099,0x09999999,0x765d4400,
    0x40009bde,0x99999998,0x33310000,0x01333333,0x5eff65c4,0x4cc41d81,
    0x99999999,0x99988009,0x10999999,0x33333333,0x31001333,0x33333333,
    0x26666621,0x00999999,0x99999988,0x51000999,0x10000013,0x37bdd975,
    0x99988001,0x00009999,0x33333331,0x26662133,0x99999999,0x99998800,
    0x00099999,0x00001351,0xbdd97510,0xcb800137,0xfffffffe,0xfcb803cd,
    0x1cdfffff,0x007ffea0,0x3f620000,0xfffdceff,0x100000ef,0xb9ddfff9,
    0xd117dffd,0x7fff65cb,0x03cdffff,0xfffffcb8,0xb1001cdf,0xffb9dfff,
    0x2a001dff,0xefffffdc,0xffcb8000,0x01ccefff,0xffddfff7,0x83f77bff,
    0xfffffecb,0xb803cdff,0xdffffffc,0xfffd971c,0x079bffff,0xfffff970,
    0x3b2e39bf,0xdfffffff,0xffcb803c,0x01cdffff,0x3fb7ff62,0x440000cf,
    0xfdcefffd,0x5000efff,0xdfffffb9,0xff970001,0x2399dfff,0xfffffecb,
    0xb803cdff,0xdffffffc,0x3ff6201c,0x000cffed,0x77ffec40,0x0effffdc,
    0xffffa800,0x3ee0002f,0xff5001ff,0xdddd103f,0x2003dddd,0x8809effb,
    0x0003fffa,0x00e7ffe4,0x0bffffd5,0x0bffffea,0x1fffb800,0x4f7fdc00,
    0x3fffa880,0x7fff4c00,0x7dc0005f,0x7ff400ef,0x3ff2a20c,0x3ea01fff,
    0x0003ffff,0x5007ffee,0x005fffff,0x00fffdc0,0x0bffffea,0x1fffb800,
    0x20cffb80,0xfffffffa,0xeffb801f,0xfffa8809,0x7ff4c003,0x5c0005ff,
    0x7d400eff,0x0002ffff,0x2007ffee,0x3ea0cffb,0x1fffffff,0x09effb80,
    0x03fffa88,0x06fffd80,0x003fe800,0x4407ffea,0x001bfffe,0x200bffd3,
    0x000dffe8,0x00f7fec4,0x40dfff50,0x0006fffd,0x26003fe8,0xd1005ffe,
    0xd8001bff,0x0004ffff,0x3f2017fc,0x7ff4402f,0x7ffec01f,0x4fe80006,
    0x0dfffb00,0x007fd000,0x001bfff6,0x2a00ffa0,0xfff703ff,0x4c03ffff,
    0xd1005ffe,0xd8001bff,0x0004ffff,0xfd8017fc,0xe80006ff,0x3ffa803f,
    0xffffff70,0x7ff4c03f,0xbffd1005,0x7ffe4001,0x2fd80005,0x07ffea00,
    0x2000dfe8,0x8004fff8,0x1000fffd,0x0001dffd,0x7e40fff5,0xd80005ff,
    0xfff1002f,0xfffb0009,0x7ff44001,0x3a0003ff,0x17fea01f,0x00fff440,
    0x0017fff2,0x6400bf60,0x80005fff,0xff9002fd,0xfb0000bf,0x07ff8805,
    0x4013ffe2,0x8004fff8,0x2000fffd,0x03ffffe8,0x4007fa00,0x0005fffc,
    0x7c402fd8,0x3ffe207f,0x9fff1004,0x1fffb000,0x13ffee00,0x007f6000,
    0xb01fffa8,0xffd0007f,0x3fe6000f,0xfffd005f,0x3fdc0003,0x009fff70,
    0x2003fb00,0x30007ffe,0xe800bfff,0x001fffff,0x7ec03fb0,0x3fe2002f,
    0x2fffdc01,0x017ec000,0x004fffb8,0x7001fd80,0x00009fff,0xffc803fb,
    0x07ffe406,0x003fff40,0x005fff98,0x0ffffff4,0x001fd800,0x0009fff7,
    0xfc803fb0,0x7ffe406f,0x07ffe800,0x0bfff300,0x013ffee0,0x8007f200,
    0x6c41fffa,0xffb8003f,0x3f60003f,0x7fdc02ff,0x7e80004f,0x013ffee0,
    0x2007f200,0x0003fffb,0x800bfff6,0x0ffffffe,0x200fd800,0x64001fff,
    0x7ffdc01f,0x1fc80004,0x09fff700,0x003f9000,0x0013ffee,0xfd007f20,
    0xfffb80bf,0x1fffdc02,0x5fffb000,0x7ffff400,0xfd8000ff,0x9fff7000,
    0x03f90000,0x5c05ffe8,0x7dc02fff,0x360003ff,0xfb802fff,0xc80004ff,
    0x3fea001f,0x00bfa21f,0x01fffe60,0x1ffff300,0x03fffe60,0x403ea000,
    0x0004fffb,0x7cc01fc8,0x4c0007ff,0xd000ffff,0x0dffff7f,0x2201fb00,
    0x54004fff,0x7ffdc01f,0x1fc80004,0x09fff700,0x003f9000,0x0013ffee,
    0xff007f20,0xfffa80bf,0x1fffe603,0xffff3000,0x3effa001,0xd8006fff,
    0xfff7000f,0x3f900009,0x405fff80,0x2603fffa,0x40007fff,0x400ffff9,
    0x0004fffb,0x2a001fc8,0x5fd11fff,0xfffd1000,0xffb00007,0x3fff60bf,
    0x03e00004,0x0027ffdc,0xd100fe40,0x00007fff,0x200bfffb,0xffffc8fe,
    0x007ec005,0x8001ffff,0x7ffdc01f,0x1fc80004,0x09fff700,0x003f9000,
    0x0013ffee,0xfd007f20,0xfff980df,0x7fffd102,0xfffb0000,0x323fa00b,
    0x4005ffff,0xff7000fd,0xf900009f,0x06ffe803,0x8817ffcc,0x0003fffe,
    0x405fffd8,0x0004fffb,0x2a001fc8,0x1ff99fff,0xffff5000,0xff500001,
    0xfff883ff,0x3200002f,0x09fff701,0x403f9000,0x000ffffa,0x1ffffa80,
    0xffb0fe80,0x7ec007ff,0x3bfffa00,0x70076001,0x00009fff,0x3ee003f9,
    0xc80004ff,0xfff7001f,0x3f900009,0x407ffc80,0xf501fffa,0x00001fff,
    0x003ffff5,0x3fff61fd,0x03f6003f,0x027ffdc0,0x200fe400,0x7d407ffc,
    0xfff501ff,0xf500001f,0x7dc03fff,0xc80004ff,0x3fea001f,0x001fffbf,
    0x00ffff70,0x3fffe600,0x07fffdc2,0xfb800000,0xc80004ff,0x3ffee01f,
    0xff300007,0x1fd005ff,0x07ffffa2,0xf9007ec0,0x2005ffff,0x4fffb800,
    0x01fc8000,0x009fff70,0x2003f900,0x0004fffb,0x7d401fc8,0x3fee02ff,
    0x1fffee06,0x7ffcc000,0x10fe802f,0x003ffffd,0x7dc003f6,0xc80004ff,
    0x7ffd401f,0x81bfee02,0x0007fffb,0x05ffff30,0x0027ffdc,0x5000fe40,
    0xffff9fff,0xfffb0001,0x3e20000f,0x7ff44fff,0x0000006f,0x0013ffee,
    0xfd807f20,0x100007ff,0xd009ffff,0x7fffc41f,0x00fd800f,0x3fffffa2,
    0xfb80000d,0xc80004ff,0xfff7001f,0x3f900009,0x13ffee00,0x007f2000,
    0xfe81bffa,0x3fff601f,0xff100007,0x1fd009ff,0x07ffffc4,0xb8007ec0,
    0x80004fff,0xffe801fc,0x807ffa06,0x0007fffd,0x09ffff10,0x0027ffdc,
    0x5000fe40,0xfff93fff,0xffff000b,0x7fc0000d,0x7fffc5ff,0x20000005,
    0x0004fffb,0x3fe01fc8,0x200006ff,0xe805ffff,0x7fffd40f,0x007ec00e,
    0x3fffffe6,0x7dc0004f,0xc80004ff,0xfff7001f,0x3f900009,0x13ffee00,
    0x007f2000,0x32227fec,0x7ffc03ff,0x3e00006f,0xfe805fff,0x77fffd40,
    0x8007ec00,0x0004fffb,0xfb001fc8,0x3ffc889f,0x037fffc0,0xbffff000,
    0x027ffdc0,0x000fe400,0x3f63fff5,0x3e2004ff,0x00005fff,0xf89ffffe,
    0x00005fff,0x13ffee00,0x407f2000,0x005ffff8,0x1ffffe00,0x3ee03fa0,
    0x7ec05fff,0xffffa800,0x0002ffff,0x0009fff7,0x2e003f90,0x80004fff,
    0xff7001fc,0xf900009f,0x77fec003,0x401effcb,0x005ffff8,0x1ffffe00,
    0x3ee03fa0,0x7ec05fff,0x9fff7000,0x03f90000,0x65f7fec0,0x7c401eff,
    0x00005fff,0xb81ffffe,0x80004fff,0x3ea001fc,0xfffd11ff,0x3ffe6005,
    0x3a00004f,0xff30ffff,0x000009ff,0x027ffdc0,0x980fe400,0x0004ffff,
    0x03ffffa0,0x3f601fd0,0x3f603fff,0xfffd3000,0x003dffff,0x004fffb8,
    0x7001fc80,0x00009fff,0x3ee003f9,0xc80004ff,0x57d3001f,0x20035797,
    0x004ffff9,0x3ffffa00,0xd807f400,0x3603ffff,0xfff7000f,0x3f900009,
    0x2eafa600,0xf3001abc,0x00009fff,0x807ffff4,0x0004fffb,0x2a001fc8,
    0x3fe61fff,0xffa801ff,0x200003ff,0xf50ffffd,0x00009fff,0x27ffdc00,
    0x80fe4000,0x003ffffa,0x3ffff600,0xd007f400,0x3605ffff,0x7fdc000f,
    0x0cffffff,0x09fff700,0x003f9000,0x0013ffee,0x5c007f20,0x80004fff,
    0x4f9801fc,0xfffa8000,0x3600003f,0x7400ffff,0x3fffa00f,0x001fb02f,
    0x0013ffee,0x26007f20,0xfa80004f,0x00003fff,0x403ffff6,0x0004fffb,
    0x2a001fc8,0x7fdc1fff,0x7fcc00ef,0x200004ff,0x3e67fffd,0x00004fff,
    0x13ffee00,0x407f2000,0x004ffff9,0x1ffff600,0xf8803fa0,0xfd81ffff,
    0xffd88000,0x01efffff,0x004fffb8,0x7001fc80,0x00009fff,0x3ee003f9,
    0xc80004ff,0x0ffc401f,0x7ffcc000,0x3600004f,0xfe807fff,0x3fffe200,
    0x000fd81f,0x0009fff7,0xf8803f90,0xf980001f,0x00004fff,0xb81ffff6,
    0x80004fff,0x3ea001fd,0xfffc81ff,0x7fffc405,0x3fa00005,0x3ffe26ff,
    0x0000004f,0x0013ffee,0x7c407f60,0x00005fff,0x201bfffa,0x7fcc00fe,
    0x07ec0eff,0xfffd3000,0xb801dfff,0x80004fff,0xff7001fc,0xfb00009f,
    0x3ffee003,0x1fd80004,0x00effdc0,0x3fffe200,0x3fa00005,0x0fe806ff,
    0x77fffcc0,0xb8007ec0,0x80004fff,0x7fdc01fd,0x7c40001d,0x00005fff,
    0xb81bfffa,0x80004fff,0x3ee001fd,0xfffd02ff,0x6fffe809,0x3ffe0000,
    0x2ffffc5f,0xf7000000,0xb00009ff,0x7fff403f,0x3fe00006,0x0fe805ff,
    0x5ffffb80,0x400007ec,0x6ffffffb,0x027ffdc0,0x800fec00,0x0004fffb,
    0xf7001fd8,0xb00009ff,0xfffd803f,0xeeffffff,0x3ffa01ce,0x3e00006f,
    0xfe805fff,0xffffb800,0xb8007ec5,0x80004fff,0x7fec01fd,0xefffffff,
    0x3fa01cee,0x200006ff,0x2a05ffff,0x80005fff,0x3f2000fd,0xfff303ff,
    0x7ffec07f,0xff100007,0xfffe87ff,0x20000006,0x0005fffa,0x3f600fd8,
    0x100007ff,0xd007ffff,0x3ff2001f,0x003f64ff,0x7ffe4400,0x3fea03ff,
    0xfd80005f,0xbfff5001,0x01fb0000,0x017ffea0,0x5003f600,0xffffffff,
    0x5dffffff,0x00ffffb0,0x3fffe200,0x000fe803,0x6c9ffff9,0xfff5000f,
    0x1fb0000b,0xfffffa80,0xffffffff,0xfffd82ef,0xff100007,0x7fd407ff,
    0xfe80005f,0xfffd1000,0x7ffffc0d,0xffffc80d,0xff980000,0x7ffec2ff,
    0x0000000f,0x000bfff5,0x7e401fd0,0x80000fff,0x802ffff9,0x3f6000fe,
    0x01fb2fff,0x7fe40014,0x3fea05ff,0xfd80005f,0xbfff5000,0x01fd0000,
    0x017ffea0,0x2003fa00,0xfffffff9,0xffffffff,0x07fffe40,0x7ffcc000,
    0x00fe802f,0x4bffff60,0xff5000fd,0xfd0000bf,0xffff3001,0xffffffff,
    0xffc81fff,0x980000ff,0x2a02ffff,0x80006fff,0xfffb807e,0x12efffff,
    0xffffffff,0x7fffd43d,0xffa80001,0x7ffd40ff,0x0000002f,0x000dfff5,
    0xffa80fd0,0xa80001ff,0xe800ffff,0x3fa2000f,0x00fd9fff,0x7fe4001e,
    0x3ffea07f,0x0fe80006,0x0dfff500,0x400fd000,0x0006fffa,0x1f5007e8,
    0x95555331,0xa87ffd99,0x0001ffff,0x00ffffa8,0x22000fe8,0xfd9ffffe,
    0xdfff5000,0x00fd0000,0x2a6623ea,0xfecccaaa,0x7fffd43f,0xffa80001,
    0x3fe600ff,0x7c40007f,0x00000006,0x017fff60,0x0bfff600,0x002ffff4,
    0x7fcc0200,0x7c40007f,0x5fffd806,0xfffd8000,0x001fd002,0xefffff98,
    0x0007e00f,0x403fffe2,0x0007fff8,0x3e6006f8,0x440007ff,0x3fe6006f,
    0x7c40007f,0x002fa806,0xffd86f98,0xfd80005f,0x1fd002ff,0xffff9800,
    0xf3000fef,0x88000fff,0x02fa806f,0xfd86f980,0xd80005ff,0xff802fff,
    0x260001ff,0x9700004f,0x3e200017,0x20001fff,0x2a05fff9,0x0001ffff,
    0x7ffc0b50,0x3e60001f,0xffff8804,0x3fe60001,0x03fa005f,0x3fffea00,
    0x013e00ff,0x203fff40,0x0001ffff,0xff0017e6,0x4c0003ff,0x7ffc004f,
    0x3e60001f,0x002fc404,0xfff10d90,0x7cc0003f,0x3fa005ff,0xfffa8000,
    0x3e000fff,0x20001fff,0x2fc404f9,0xf10d9000,0x40003fff,0xb005fff9,
    0x40009fff,0xd00003fc,0x20007fff,0x0005fffb,0xd003fff6,0x0000dfff,
    0x7fec01d3,0x3f20004f,0xbfff7003,0x7ffec000,0x003fa000,0x7ffffdc0,
    0x4001fe00,0x7ec06ffd,0x320004ff,0x7fec003f,0x3f20004f,0x7ffec003,
    0x0ff20004,0x40007fd0,0xbfff704d,0x7ffec000,0x003fa000,0x7ffffdc0,
    0x3fff6000,0x0ff20004,0x40007fd0,0xbfff704d,0x7ffec000,0xdfff3000,
    0x01be6000,0x7ffda800,0x3fffa000,0xfff98001,0xffff9803,0x07a20004,
    0x00dfff30,0xd001be60,0x30003fff,0xe8007fff,0x3f60000f,0x3fe00fff,
    0x4ffe8004,0x03fffcc0,0x000ff980,0x0037ffcc,0x98006f98,0x30006fff,
    0x6ffb80df,0x403f5000,0x8001fffe,0x4003fff9,0x360000fe,0x2000ffff,
    0x0006fff9,0xffb80df3,0x03f50006,0x000ffff4,0x001fffcc,0x0013fff6,
    0x00005fd3,0x0005ffd0,0x003bffa6,0x004ffe98,0x017fffe6,0x6c00fa60,
    0x4c004fff,0x74c002fe,0x26000eff,0xe8004ffe,0x3a20000f,0x3fe00fff,
    0x3fea004f,0x9fffb006,0x02fe9800,0x09fffb00,0x002fe980,0x009fffb0,
    0x6402fe98,0x2000cfff,0x7f4c03fa,0x3a6000ef,0xfe8004ff,0x3fa20000,
    0x7ec000ff,0x74c004ff,0x7ffe402f,0x0fea000c,0x01dffd30,0x027ff4c0,
    0x6ffff440,0x27fdcc00,0xffe80000,0x7fe40001,0xfffa801f,0xfffa8002,
    0xfb9802ef,0x3ffa2003,0x7dcc00df,0x3f20004f,0xffa801ff,0xff88002f,
    0x7fc40002,0x3fffe00f,0x1fff9805,0xbfffd100,0x4ffb9801,0x3ffa2000,
    0x7dcc00df,0x3a20004f,0x4c00dfff,0xf9804ffb,0x19adffff,0x07fd7531,
    0x00fffe40,0x0017ffd4,0x00017fc4,0x0003ffe2,0x01bfffd1,0x804ffb98,
    0xadfffff9,0xfd753119,0x7ffe4007,0x2fffa801,0x3ff62000,0xdb9abdff,
    0x0003ffff,0x00bff500,0x33ffea00,0x3ff6e60a,0x3620000d,0xabcfffff,
    0x01fffdb9,0xffffd880,0xffdb9abd,0xa80003ff,0x260acfff,0x000dffdb,
    0x0aeffd88,0x03fe6000,0xdffffff8,0xdffb311b,0xffd88005,0xdb9abdff,
    0x0003ffff,0xdffffd88,0xfffdb9ab,0xd880003f,0x9abdffff,0x03ffffdb,
    0x3ffffa60,0xffffffff,0xffa8000d,0x36e60acf,0x88000dff,0x000aeffd,
    0x0003fe60,0x37ffff62,0xfffdb9ab,0x3fa6003f,0xffffffff,0x8000dfff,
    0x20acfffa,0x00dffdb9,0xfffb5000,0x9fffffff,0xc8800001,0x00003efe,
    0x7ffff644,0x003dffff,0x3fff6a00,0x2effffff,0xffda8000,0xffffffff,
    0x2200000c,0xffffffec,0xd8003dff,0xfffffffe,0x1f70000e,0x764c57c0,
    0xffffffff,0x7ed40004,0xffffffff,0x400000cf,0xffffffda,0x000cffff,
    0x7ffed400,0xcfffffff,0xffd50000,0x5dffffff,0xfec88000,0xdfffffff,
    0xffed8003,0x00efffff,0x0001f700,0x7ffffed4,0x00cfffff,0xffffd500,
    0x005dffff,0xfffec880,0x03dfffff,0x95510000,0x00055799,0x000aa800,
    0x79530000,0x00000015,0x15799955,0x55100000,0x00557999,0x32a60000,
    0x000000ab,0x00a80000,0x66654c0e,0x2000009a,0xaccccaa8,0x4000000a,
    0xabcccaa8,0x88000002,0x2abcccaa,0x2a620000,0x00000abb,0x02af2a60,
    0x00000000,0x200002a0,0xabcccaa8,0x26200002,0x0000abba,0x2af2a600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x000deee9,0xdd300000,0x000003dd,0x00388024,0x3bbae000,0x20000005,
    0x0004eeec,0x3fffffea,0x6dc00fff,0x4c000cde,0x00053003,0x1bddd500,
    0x00190000,0x70000012,0x20009ddd,0x99999999,0x00999999,0x7fffd400,
    0x000fffff,0x01bddd50,0x80010000,0xdddb1000,0x0b200005,0x40001d40,
    0x0035002a,0x02777640,0x000fbbb2,0xffffe800,0x00000004,0x0009fff7,
    0x200eb800,0x000001e8,0x000fffec,0xfff88000,0x3fea0007,0x0eeeeeef,
    0xd317dd30,0x0dd8005f,0x00003a60,0x007fffa0,0x2017cc00,0x2000003d,
    0x01fffff8,0x7ffee440,0xffffffff,0x8003dfff,0xfeeeeee9,0xfb0000ff,
    0x000005ff,0x01e4012e,0x00bfff30,0x3007ea00,0x3a00003f,0x00035c04,
    0xa803fffe,0x000fffff,0xffffa800,0x000000ff,0x005ffe80,0x05fd0000,
    0x000009f3,0x009ffd10,0x7fcc0000,0xff50001f,0x85f8800d,0x22001ff9,
    0x03fa81ef,0xfff88000,0x7ec00003,0x0006e883,0x7fffe400,0x3620006f,
    0xabcdffff,0x0dffffdb,0xfff88000,0xfff88000,0x26000003,0x3f7100cf,
    0x0fffb800,0xeff88000,0x7feca9ac,0x37ea0000,0x0001fb80,0xd007ffea,
    0x009fffff,0x329fd000,0x000005ff,0x0037fc40,0x9ff50000,0x00007fcc,
    0x06ff8800,0x7d400000,0xff50004f,0x82fe800d,0x64005ff8,0x01bea2ff,
    0x27fd4000,0x7fc40000,0x005fd10d,0x57fcc000,0x0002ffe8,0x403fffe6,
    0x03ffffd8,0x07ffc400,0x027fd400,0x7ff40000,0x6ffedbdf,0x05ff9000,
    0x3ffea000,0x02ffffff,0x0ffec000,0xc8000bf9,0x7fdc02ff,0x001fff99,
    0xf713ee00,0x0000003f,0x000077d4,0x37ffa000,0x00003ffa,0x00ffcc00,
    0x3ee00000,0xdff50006,0x983fcc00,0x7c4007ff,0x02ffbcff,0x0bfb0000,
    0x7fe40000,0x0005feae,0x3617ec00,0xf10000ff,0xfd801fff,0x20002fff,
    0x8000fff8,0x000005fc,0xffffff10,0x40001fff,0x200005fd,0xfffffffb,
    0xf9800003,0x00ffcbff,0x201ffc00,0x3fa20ef8,0x7f100005,0x0001ba60,
    0x001fd800,0xff980000,0x00006fff,0x007f5000,0x3fb00000,0x0dff5000,
    0xf883fd40,0xffb8006f,0x00005fff,0x00001be0,0xffffff10,0x54000003,
    0x009f701f,0x007fffc0,0x03ffffe2,0x07ffc400,0x00077c00,0xffd30000,
    0x0003dfff,0x80000fd0,0x01dfffd9,0x3ff20000,0x40004fff,0x0ec804f9,
    0x00005f90,0x02d88079,0x05f00000,0x64000000,0x0002ffff,0x01ae0000,
    0x1f400000,0x037fd400,0x2a03ff70,0xffd0001d,0x000003ff,0x000003aa,
    0x13fffee0,0x03d00000,0xf0000e98,0xf9001fff,0x20005fff,0x4000fff8,
    0x000000f9,0x059d9500,0x00fc4000,0x00000000,0x3fffe200,0x2dc0000f,
    0x2a007440,0x00180006,0x20000006,0x00000028,0x01555440,0x1c000000,
    0x88000000,0x6ffa8003,0x037fe600,0x2aa60000,0x2000002a,0x0000001a,
    0x0002aaaa,0x10008800,0x3ffe0003,0xfffa800f,0xff10003f,0x01a8001f,
    0x00000000,0x00a60000,0x00000000,0x06aaa600,0x2002e000,0x00130009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x7c006ffa,
    0x00000eff,0x00000000,0x00000000,0x00000000,0x7fffc000,0xffff9800,
    0xfff10004,0x00000001,0x00000000,0x26000000,0xbeefeecc,0x00001d81,
    0x00000000,0x80000000,0x0000002d,0x000016c0,0x000b6000,0x05b00000,
    0x26666000,0x99999999,0x99999999,0x6ffa8099,0x77ffdc00,0x99998800,
    0x99999999,0x99999999,0x26660999,0x99999999,0x99999999,0x33300999,
    0x33333333,0x00001333,0x33333333,0x33333333,0x01333333,0x003fffe0,
    0x00bfffee,0x307ffc40,0x33333333,0x00133333,0x33333300,0x33333333,
    0x33333333,0x33333101,0x01333333,0x3fffae20,0xfffedcdf,0x2601f9ac,
    0x99999999,0x99999999,0x88099999,0x99999999,0x33310999,0x33333333,
    0xf8800001,0x00000006,0x00001be2,0x006f8800,0x3e200000,0xfb900006,
    0xffffffff,0xffffffff,0xff507fff,0xfffb000d,0xfffa801d,0xffffffff,
    0xffffffff,0x3724ffff,0xffffffff,0xffffffff,0xc883ffff,0xfffffffd,
    0xdfffffff,0xffb90003,0xffffffff,0xffffffff,0x3fe007ff,0xffc800ff,
    0xf10001ff,0x3f7221ff,0xffffffff,0x03dfffff,0xffffb900,0xffffffff,
    0xffffffff,0xfffd9707,0x059bffff,0x37bfff50,0x7ffffd40,0x3fff7202,
    0xffffffff,0xffffffff,0xffecb83f,0x2cdfffff,0xfffffd97,0x00059bff,
    0x001ffc80,0xff900000,0x00000003,0x00007ff2,0x0ffe4000,0x3fee0000,
    0xaaaaabff,0xffdcaaaa,0x006ffa84,0x1fffff88,0x37bffea0,0xfffecccc,
    0xfedcccce,0xfff705ff,0x5555557f,0x9ffb9555,0xffffd880,0xffdbabcd,
    0x20000dff,0xaabffffb,0xcaaaaaaa,0xff004ffd,0xff8801ff,0x220005ff,
    0xfd880fff,0xbabcdfff,0x00dffffd,0x3fffee00,0xaaaaaaab,0x04ffdcaa,
    0x0fffffd4,0x09fff700,0x17ffe440,0xbffffb80,0xaaaaaaaa,0x404ffdca,
    0x01fffffa,0x0fffffd4,0xfff00000,0x00000009,0x00013ffe,0x27ffc000,
    0xf8000000,0x400004ff,0x001ffff8,0x7fd427e4,0xfedc8006,0xff703fff,
    0x27ffdc03,0x220bfd10,0x4001ffff,0xff9804fc,0xffb100ff,0x220007ff,
    0x4001ffff,0xfff004fc,0xfffe801f,0x3e20000f,0xfff300ff,0x3ff6201f,
    0xf10003ff,0xc8003fff,0xfffe804f,0x3fff6004,0x7ff70004,0x3fffe200,
    0x027e4001,0x8027fff4,0x0004fffe,0x3fffea00,0x40000000,0x000ffffa,
    0x7fd40000,0x000000ff,0x07fffd40,0x3ffe0000,0x84e8001f,0x64006ffa,
    0x9ffffd14,0xfb801f70,0x2f4404ff,0x003ffff0,0xff1009d0,0xffd801ff,
    0xff0002ff,0x9d0003ff,0x03fffe00,0x0f7fff4c,0x3ffe2000,0x1ffff100,
    0x2ffffd80,0x3ffff000,0xb009d000,0x2e007fff,0x40003fff,0x3fe004fd,
    0x4e8001ff,0x03fffd80,0x007fffb0,0x7fff4000,0x0000003f,0x01fffff4,
    0x3fa00000,0x00003fff,0x7ffff400,0x7fc00003,0x5b8001ff,0x2006ffa8,
    0xffffc84d,0x7dc02dc3,0x06a804ff,0x0007fffe,0x7ffc016e,0x7ffc400f,
    0xff8000ff,0x5b8001ff,0x21ffff00,0xffffdaa9,0xf880000c,0x3ffe00ff,
    0x7ffc400f,0xff8000ff,0x5b8001ff,0x03fffd80,0x005fff98,0x2004f880,
    0x8001ffff,0xfffd805b,0x7fffb003,0x3e600000,0x0006ffff,0x3ffe6000,
    0x000006ff,0x3ffffe60,0x20000006,0x06fffff9,0x7fff4000,0xa8588001,
    0x1f7006ff,0x87fffee0,0xfffb803c,0x3a068804,0x88001fff,0x1ffff005,
    0x5ffff900,0x3fffd000,0x200b1000,0xffffffff,0x0002efff,0x007ffc40,
    0x9001ffff,0x0005ffff,0x0003fffd,0xfffb00b1,0x3fffd007,0x01720000,
    0x001fffe8,0xffd80588,0xfffb003f,0x36000007,0x02ffffaf,0x5fb00000,
    0x0005ffff,0x3ebf6000,0x00002fff,0xfff5fb00,0x7400005f,0x10001fff,
    0x200dff50,0x7ffd406e,0x3ee002a6,0x407004ff,0x0001fffe,0x3fffe001,
    0xffffa800,0xfffe8003,0x20010001,0xdaabffff,0x00006fff,0x200fff88,
    0xa800ffff,0x8003ffff,0x0001fffe,0x7fffb001,0x06fffc80,0x801a2000,
    0x0001fffe,0x7fffb001,0x0ffff600,0x5be20000,0x0005fffc,0xf96f8800,
    0x00000bff,0x3ff2df10,0x8000005f,0xbfff96f8,0x7ff40000,0x2a00001f,
    0x4f8806ff,0x00fffa80,0x027ffdc0,0x0ffff400,0x3fe00000,0xff9800ff,
    0xfe8004ff,0x000001ff,0xd107fffc,0x00009fff,0x200fff88,0x9800ffff,
    0x8004ffff,0x0001fffe,0x0ffff600,0x005ffff0,0x3a000800,0x00001fff,
    0x00ffff60,0x001fffec,0xf89fdc00,0x00000fff,0xff89fdc0,0x000000ff,
    0xfff89fdc,0x4000000f,0xffff13fb,0x3fa00001,0x006001ff,0xf700dff5,
    0x0bff200f,0x09fff700,0x3fffd000,0x7c000c00,0xfb800fff,0xe8002fff,
    0x06001fff,0x03fffe00,0x005ffff3,0x07ffc400,0x001ffff0,0x005ffff7,
    0x003fffd0,0x3ff6000c,0x3ffea03f,0x0000000f,0x007fffa0,0x7fec0018,
    0xfffb003f,0xff000007,0x027ffec1,0x83fe0000,0x0004fffd,0xfb07fc00,
    0x000009ff,0x3ff60ff8,0xfd00004f,0x074003ff,0x700dff50,0xff1003ff,
    0xfffb8009,0xffe80004,0x003a001f,0x001ffff0,0x003ffff9,0x003fffd0,
    0x3fe00074,0xfffb80ff,0xf100000f,0x7ffc01ff,0xfffc800f,0xffe8001f,
    0x003a001f,0x203fffd8,0x0007fffd,0x7ff40000,0x003a001f,0x003fffd8,
    0x0007fffb,0x7d44fa80,0x000007ff,0xfff513ea,0x5400000f,0x3fffd44f,
    0x9f500000,0x007fffa8,0x03fffd00,0xff5007c0,0x0bff300d,0x7000ff60,
    0x00009fff,0x4003fffd,0x7ffc000f,0x7ffc400f,0xffd0005f,0x007c003f,
    0x403fffe0,0x0005fffd,0x401fff10,0x4400ffff,0x0005ffff,0x4003fffd,
    0x3ff6000f,0x3fffe03f,0x00000006,0x000ffff4,0x7fec001f,0xfffb003f,
    0xfe800007,0x02fffe81,0x03fd0000,0x0005fffd,0x3a07fa00,0x00002fff,
    0xffd03fd0,0xfd00005f,0x3f2003ff,0x01bfea00,0x5c027ffc,0x7fdc001f,
    0xfe80004f,0x1f9001ff,0x0ffff800,0x07ffff40,0x1fffe800,0x8001f900,
    0xf100ffff,0x00007fff,0x7c01fff1,0x7f400fff,0xd0000fff,0x32003fff,
    0x3ff6000f,0xffff103f,0x0000000b,0x001fffe8,0x7ec001f9,0xffb003ff,
    0x4c00007f,0xdfff705f,0xbf300000,0x01bffee0,0x417e6000,0x0006fffb,
    0xf705f980,0xd0000dff,0x33335fff,0x1ff93333,0x8037fd40,0x6c04fffc,
    0xfffb8006,0xffe80004,0x999999af,0x000ffc99,0x9807fffc,0x001efffe,
    0x26bfffa0,0xc9999999,0x7fc000ff,0x3fea00ff,0x440001ff,0x3fe00fff,
    0xffd300ff,0x740003df,0x9999afff,0x0ffc9999,0x0ffff600,0x027fffcc,
    0xffffff80,0x201effff,0x999afffe,0xffc99999,0x3fff6000,0x7fffb003,
    0x17e40000,0x01ffff88,0x817e4000,0x001ffff8,0x8817e400,0x0001ffff,
    0xf8817e40,0x40001fff,0xfffffffe,0xffffffff,0x01bfea00,0x06ffff44,
    0xfb8004f8,0xe80004ff,0xffffffff,0x0fffffff,0x87fffc00,0xffffdaa9,
    0x7f40000c,0xffffffff,0x00ffffff,0x007fffc0,0x003bfff2,0x00fff880,
    0x54c3fffe,0x0cffffda,0x7fff4000,0xffffffff,0x2000ffff,0xf503fffd,
    0x80009fff,0x0efffffa,0xfffffe80,0xffffffff,0x3f6000ff,0xffb003ff,
    0x2200007f,0x7ffec06f,0x3e200004,0x27ffec06,0x0df10000,0x004fffd8,
    0xb01be200,0x80009fff,0xaaabfffe,0xfffdcaaa,0x01bfea00,0x0effff88,
    0xfb8002e4,0xe80004ff,0xaaaabfff,0x0fffdcaa,0x7ffffc00,0x2effffff,
    0x3ffa0000,0xaaaaaabf,0x000fffdc,0x4007fffc,0x0005fffe,0xf803ffe2,
    0xffffffff,0x00002eff,0x2aaffffa,0xffdcaaaa,0x3ff6000f,0xffff503f,
    0xff700009,0x3fa005ff,0xaaaaabff,0x00fffdca,0x00ffff60,0x001fffec,
    0x4c03fb80,0x0000ffff,0xf9807f70,0x00000fff,0xff9807f7,0x700000ff,
    0xfff9807f,0x3fa0000f,0xfe8801ff,0x01bfea00,0x3fffff30,0x5c0003b6,
    0x80004fff,0x8801fffe,0x7fc000fe,0xffdaabff,0x7400006f,0xe8801fff,
    0x7ffc000f,0xfff9800f,0xff10003f,0x7fffc01f,0x6fffdaab,0x7ff40000,
    0x0fe8801f,0x0ffff600,0x02ffffc4,0x7fffcc00,0x3fffd000,0x001fd100,
    0x801fffec,0x0003fffd,0xfd001ff0,0x200007ff,0xffe800ff,0xff00003f,
    0x7fffd001,0x03fe0000,0x00ffffa0,0x01fffe80,0x7d401f10,0xfe88006f,
    0x0004efff,0x0027ffdc,0x00ffff40,0x7c000f88,0x3fa20fff,0x200004ff,
    0x1001fffe,0x7fc4001f,0xff7001ff,0xf10005ff,0x7ffc01ff,0x3fffa20f,
    0x3fa00004,0x1f1001ff,0x1fffec00,0x00dffff0,0x1ffff300,0x07fffa00,
    0xb0007c40,0x36007fff,0x80003fff,0xaaaaaefa,0xfffdaaaa,0xefa80006,
    0xaaaaaaaa,0x006fffda,0xaaaefa80,0xfdaaaaaa,0xa80006ff,0xaaaaaaef,
    0x6fffdaaa,0x3fffa000,0xa803e001,0x360006ff,0x0002ffff,0x0027ffdc,
    0x00ffff40,0xff8001f0,0x7ffcc0ff,0xfd00002f,0x07c003ff,0x5ffff500,
    0x7fffec00,0x7ffc4003,0x03fffe00,0x005ffff3,0x07fffa00,0x36000f80,
    0x3fa03fff,0x40000fff,0x2007fff8,0x2001fffe,0x3ff6000f,0xfffb003f,
    0xffd00007,0xffffffff,0x03ffffff,0xffffe800,0xffffffff,0x0001ffff,
    0x7ffffff4,0xffffffff,0x740001ff,0xffffffff,0xffffffff,0xfffd0001,
    0x50064003,0xc8000dff,0x0000ffff,0x0013ffee,0x007fffa0,0x7fc000c8,
    0xfffb80ff,0xfe80000f,0x032001ff,0x7ffff4c0,0xff8800be,0x801befff,
    0x3e00fff8,0xffb80fff,0xe80000ff,0x32001fff,0x3fff6000,0x3ffff603,
    0x7fc40003,0x3ffa007f,0x0032001f,0x003fffd8,0x0007fffb,0x9999df98,
    0xc9999999,0x20005fff,0x99999df9,0xfc999999,0x260005ff,0x999999df,
    0xffc99999,0x3e60005f,0x9999999d,0xfffc9999,0xfffd0005,0x7d400003,
    0xfa80006f,0x2e0005ff,0x80004fff,0x0001fffe,0x07fffc00,0x005fffd8,
    0x01fffe80,0x3ffa6000,0xffffffff,0x7ffcc01e,0x4406ffff,0x3fe00fff,
    0xfffb00ff,0xffd0000b,0x4000003f,0x2603fffd,0x0005ffff,0x003fffc4,
    0x0003fffd,0x1fffec00,0x03fffd80,0x0017e400,0x003fffe6,0x20017e40,
    0x000ffff9,0x98005f90,0x0000ffff,0xf98005f9,0xe8000fff,0x00001fff,
    0x0001bfea,0x000fffd4,0x004fffb8,0x01fffe80,0x7ffc0000,0xffff100f,
    0xffe80007,0x0000001f,0x40000000,0x3e00fff8,0xff100fff,0xe80007ff,
    0x00001fff,0x00ffff60,0x001ffffb,0x03fffc40,0x003fffd0,0x7ffec000,
    0x7fffb003,0x037c4000,0x03fffd80,0x0006f880,0x0007fffb,0x36000df1,
    0x88003fff,0xffb0006f,0xffd0007f,0x2280003f,0x00006ffa,0x4000bfee,
    0x0004fffb,0x001fffe8,0x3ffe0140,0x3ffea00f,0x3fa0001f,0x140001ff,
    0x02b32000,0x3fe20000,0x3fffe00f,0x3fffea00,0x3ffa0001,0x0140001f,
    0x8807fffb,0x0005ffff,0x801fffe2,0x0001fffe,0x7fffb014,0x0ffff600,
    0x003fb800,0x00ffff50,0x20007f70,0x8007fffa,0xf50003fb,0xf7000fff,
    0x3fea0007,0xffe8007f,0x96a0001f,0x2a006ffa,0x013fe05f,0x027ffdc0,
    0x0ffff400,0xf80b5000,0x7e400fff,0xd0000eff,0x40003fff,0x7fc0005a,
    0x400003ff,0x3e00fff8,0x7e400fff,0xd0000eff,0x40003fff,0x3fff605a,
    0xffffb803,0xfff10002,0x7fff400f,0x816a0001,0xb003fffd,0x40007fff,
    0x3e0000ff,0x7c003fff,0x3fe0000f,0x7fc003ff,0x3ffe0000,0x07fc003f,
    0x7ffff000,0x1fffe800,0x545f1000,0x3fa006ff,0x007fb01f,0x013ffee0,
    0x07fffa00,0x2017c400,0xe800ffff,0xd0005fff,0x20003fff,0x5c0002f8,
    0x00006ffe,0xf007ffc4,0xfd001fff,0x3a000bff,0x10001fff,0x7ffec05f,
    0xffffb003,0xfff10001,0x7fff400f,0x05f10001,0x801fffec,0x0003fffd,
    0xc8000bf7,0x2e006fff,0x7e40005f,0x3ee006ff,0x7fe40005,0x17ee006f,
    0xdfff9000,0x1ffff800,0xfa8fb000,0x3ff6006f,0x0003fb01,0x0013fff2,
    0x007fffe0,0x7fc03ec0,0xff9800ff,0xff8003ff,0xfb0001ff,0x7ff40000,
    0x3e200001,0x3ffe00ff,0xfff9800f,0xfff8003f,0x0fb0001f,0x003fffd8,
    0x007bfff6,0x00ffff10,0x000ffffc,0x7fec07d8,0xfffb003f,0x0bfe0007,
    0xffff3000,0x00bfe005,0x5ffff300,0x000bfe00,0x05ffff30,0x0000bfe0,
    0x005ffff3,0x000ffffc,0x3fea2fdc,0x03fee006,0xc80017e2,0x80005fff,
    0x8001ffff,0x7fc405fb,0xff7001ff,0xff8005ff,0xfb8001ff,0x3fa00005,
    0x2200000f,0xff100fff,0x3ee003ff,0x7c002fff,0xb8001fff,0x7fff405f,
    0x7ffec003,0x3fea002f,0x3ffe007f,0x5fb8001f,0x01ffff40,0x003fffe8,
    0x0001ffc8,0x07ffffcc,0x0007ff20,0x1fffff30,0x001ffc80,0x7ffffcc0,
    0x00ffe400,0x3fffe600,0xfff8800f,0x3f62003f,0x037fd42f,0x3f607fa0,
    0x3ffa0000,0x7c40006f,0x22003fff,0x7d402ffd,0x36002fff,0x1003ffff,
    0x4007ffff,0x0002ffd8,0x0009ff50,0x00fff880,0x005ffff5,0x01ffffec,
    0x03ffff88,0x00bff620,0x000bffff,0x17dfffd3,0xbfffd730,0x3ffe2003,
    0x3f62003f,0x7fffc02f,0xbffff005,0x7ffe4c00,0xfb30000e,0x817dffff,
    0x00efffc9,0xffffb300,0xfc9817df,0x30000eff,0x7dfffffb,0xefffc981,
    0xffb30000,0x2017dfff,0xefffffe9,0xcccccccc,0xfa87fffe,0xffffffff,
    0xc9bed880,0x2e0000df,0x01cfffff,0xffffe980,0xccccccef,0x07fffecc,
    0x77ffff4c,0xfff8800b,0xd301beff,0x99dfffff,0xfd999999,0x98000fff,
    0x0003efec,0x3fffffea,0xfe980fff,0x800befff,0xbefffff8,0xffffd301,
    0x999999df,0x0ffffd99,0xbfffffc8,0xffda8000,0xfffeefff,0x26000bef,
    0xcefffffe,0xeccccccc,0x7e407fff,0x200bffff,0x0bfffffc,0x7ffffe40,
    0xf1003fff,0xffffffff,0x3fff25ff,0x003fffff,0xfffffff1,0x3f25ffff,
    0x3fffffff,0xfffff100,0x25ffffff,0xfffffffc,0xfff1003f,0xffffffff,
    0x3ffffa25,0xffffffff,0xffffffff,0xeeee984f,0x200eeeee,0x0001bcb9,
    0xffffffd7,0x8809dfff,0xfffffffe,0xffffffff,0x84ffffff,0xffffffe9,
    0x401effff,0xfffffff9,0xfffffd16,0xffffffff,0xffffffff,0xaa880009,
    0xee980000,0x0eeeeeee,0xffffffd3,0x803dffff,0xfffffff9,0xfffffd16,
    0xffffffff,0xffffffff,0xffffdb09,0x07dfffff,0x332ea600,0x20009abc,
    0xffffffe8,0xffffffff,0x4fffffff,0xfffffed8,0xdb3effff,0xffffffff,
    0x000007df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04800000,0x88000710,
    0x00073004,0xbddd5000,0x4c400001,0x09bdeecb,0x08800000,0x44000080,
    0x81bdfecb,0x32a0001d,0x81cdefed,0x4ccccc4a,0x01999999,0x33333333,
    0x26620133,0x00099999,0x33333310,0x00001333,0x20000000,0xeefeecc9,
    0x0001d81b,0x00080088,0x26666666,0x00199999,0x81dc9800,0x80000bda,
    0x000deeeb,0x00ee4c00,0x13bbb600,0x00801ca8,0x75c00040,0x0007a200,
    0xe9803720,0xd8000000,0x00002fff,0xddffffd3,0x001dffff,0xfffd1000,
    0x80012207,0xffeefffb,0x01fbbdff,0x77ffe440,0xbeffedce,0x37225e88,
    0xffffffff,0x7ee440cd,0x1cefffff,0xffffb950,0x970001df,0x99dfffff,
    0x802c4003,0x44000068,0xcdffffeb,0x9acfffed,0x3a60001f,0x09103fff,
    0x7fffee40,0x0ccdffff,0x7ff40000,0x027ffcc7,0x0ffff400,0x7ff40000,
    0xff10000f,0x3fea01df,0x801e401f,0x5fd0002d,0x00009f30,0x3e607fe2,
    0x88000003,0x00003fff,0x1015dff7,0x0005fff9,0xffffff80,0x8001dc2e,
    0x2a20cffe,0x01fffffc,0x073fff20,0x5ffffea8,0x17ffff60,0x2efffd80,
    0x7fff4c00,0x7dc0005f,0x3a0000ef,0x0005e805,0x2f7ffea0,0x3fffea01,
    0xff10002f,0xb85dffff,0xffc88003,0x00001fff,0x87fffe60,0x0006fffc,
    0x0017ffc4,0x7fffc400,0xfff70002,0x1fffec01,0x4402fea0,0xf50000fc,
    0x007fcc9f,0x47ff7000,0x000006fa,0x0009ff50,0x01bffb10,0x01bffd10,
    0xf97f7000,0xf75dffff,0x5ff90005,0x1fffe880,0x1effd880,0x1bffea00,
    0x01ffff98,0x0037ffa0,0x4ffffd80,0x017fc000,0x33bff200,0x02ffecaa,
    0x9fff7000,0x7ffe4400,0x97f70002,0x75bfffff,0x3e20003f,0x00003fff,
    0x4c7ffe80,0x40004fff,0x00004ffb,0x001fffa0,0x5401ffd8,0x74400fff,
    0xffdbceff,0x7ec0005f,0x003ffadf,0xbdffe800,0x000002ff,0x0000bfb0,
    0x8009fff3,0x000effe8,0xffb106c0,0x000bffff,0x2200bff5,0x74401ffe,
    0xa8000eff,0x3fe207ff,0xff5000ff,0xfd100007,0x40007fff,0xe80001fe,
    0xffffffff,0xffb00005,0x3ee0009f,0x41b0003f,0xffffffd8,0x7ffc0005,
    0x8000002f,0xbda81cc8,0x2fec0000,0x32200000,0x3fe0001c,0x00393002,
    0x3fffffe6,0x40000eff,0x06fffff9,0xfff50000,0x00000dff,0x800037c0,
    0x8000fffe,0x0005fff9,0xfffe982c,0xffd8000e,0x07fe2002,0x003fffd0,
    0xf103fdc0,0xf3001fff,0x7400007f,0x001fffff,0x00003fb0,0xffffffd1,
    0xf700001b,0xd80007ff,0x20b0004f,0x005fffea,0x01ffff80,0x00000000,
    0x0037c000,0x80000000,0x000003fa,0x7fffffd4,0xf900000d,0x00005fff,
    0x0ffffec0,0xe9800000,0xffc80000,0x3f20003f,0x060002ff,0x40001510,
    0x64001fff,0x3ffee01f,0x07e80004,0x4c03fffc,0x400003ff,0x0ffffffe,
    0x000fd800,0x37ffae00,0xff300002,0xf10000bf,0x10060009,0x3a000015,
    0x00001fff,0x00000000,0x000003aa,0x2e400000,0xb8800000,0x00002cdc,
    0x00155544,0x2aaa2000,0x20000002,0xf980001a,0x440007ff,0x0000ffff,
    0xf1000000,0xfa8009ff,0x1ffff301,0x01f50000,0x2603fffc,0x800003ff,
    0x6ffffbfe,0x000fd800,0x00000000,0x0003fffd,0x00001720,0x7f400000,
    0x000001ff,0x20000000,0x0000000a,0x000e0000,0x00000000,0x00000000,
    0x00000000,0x3fa00000,0xe80003ff,0x4cc45fff,0x00099999,0x33333310,
    0x7ffc1333,0x80fc000f,0x0004fffd,0xfff803e0,0x00ffe607,0x647f4000,
    0x4005ffff,0x000000fd,0xffc80000,0x2200006f,0x5d440006,0x009bdeec,
    0x1fffe800,0x00000000,0x00000000,0x01351000,0x000da800,0x80000000,
    0x99999999,0x99999999,0x4cc19999,0x99999999,0x00009999,0x99999980,
    0x99999999,0x41999999,0x001ffffa,0x1ffffc80,0x3ffff72a,0xcb8000ef,
    0xccefffff,0x07bfffa1,0xff881d80,0x200002ff,0x1fffe01c,0x0001ffcc,
    0x3f61fd00,0x36003fff,0xd800000f,0x3fe00002,0x400002ff,0xffb10000,
    0xffffb9df,0x7f40001d,0x200001ff,0xeeeeeeec,0xdddd702e,0x4cccccbd,
    0x19999999,0x7ec40000,0x00cffedf,0x01fff930,0x99988000,0x99999999,
    0x7fffcc00,0xffffffff,0xffffffff,0x3fff7226,0xffffffff,0x0aceffff,
    0xffff3000,0xffffffff,0xffffffff,0x0ffffc8d,0xfff98000,0xfffd302f,
    0xfb8000bf,0xfff900ef,0x402005ff,0x000ffffb,0x3ffe0000,0x003ff987,
    0x887f4000,0x001ffffe,0x800001fb,0x500006f8,0x0001ffff,0xff700000,
    0xff51013d,0x3fa0007f,0x200001ff,0xcfffffb8,0x5fff4400,0x3ffff720,
    0x0ccdffff,0x9ff70000,0x7ffffd41,0xffb31fff,0x22001fff,0x7f65c00a,
    0xcdffffff,0x77ffd402,0xaaaaaabd,0xffffeaaa,0xffffb101,0xdb7579df,
    0x03dfffff,0xdefffa80,0xaaaaaaab,0x1ffffeaa,0x003fffec,0x09ffff00,
    0x04ffffd8,0x1017fc00,0x1bfffffd,0x3fffa000,0x40000006,0x7fd47fff,
    0xe8000003,0x3fffe20f,0x00fd800f,0x0ffe4000,0x7ffec000,0x00000007,
    0x802fff4c,0x000dffe8,0x000ffff4,0x7fffd400,0x409f9000,0x1fffffc8,
    0xffa80000,0xfffff703,0x3e6623ff,0x64c00fff,0x3ea001ff,0x2001ffff,
    0x54000efb,0x4c03ffff,0x4400ffff,0x04fffffa,0x0003bee0,0xf07ffff5,
    0x0000dfff,0x202ffffc,0x03ffffe8,0x3007fa00,0x9fffffff,0xbffff000,
    0xf8000000,0x0ffea7ff,0x7f400000,0x77fffd40,0x0007ec00,0x013ffe00,
    0x1bfffe00,0x88000000,0xd8004fff,0x3a000fff,0x00001fff,0x005fffb0,
    0xff1003fa,0x000007ff,0x7c40fff1,0xffc804ff,0xffeb880f,0x7f4001ff,
    0x7dc004ff,0x7ffc4000,0xfff8805f,0xffb1000f,0xf7001dff,0xfff88001,
    0xffff885f,0x3fa00005,0xffe807ff,0xb0001fff,0xfff5003f,0x005fffff,
    0x017fffe2,0xfff00000,0x000ffeef,0x80fe8000,0x405ffffb,0x200000fd,
    0x000ffffa,0x17fffe20,0xe8000000,0xf30007ff,0x7f400bff,0x000001ff,
    0x300bfff1,0x3ffe00bf,0xc800002f,0x7fe406ff,0x7ffdc00f,0xfffccb80,
    0x7fec001f,0x0264003f,0x07fffec0,0x00ffff80,0x2ffffdc0,0x6c002640,
    0xf980ffff,0x00004fff,0x003ffffa,0x1ffffffd,0x001fb000,0x3fffffa6,
    0x7cc01eff,0x00004fff,0x67fffc00,0x0000efff,0x201fd000,0x203ffffd,
    0x200000fd,0x003ffffe,0x13fffe60,0x7ffffc00,0x81efffff,0x0003fffb,
    0x400bfff6,0x0001fffe,0x03fff200,0x3e005f90,0x00001fff,0x5c05ffe8,
    0x7d402fff,0x7fec00ff,0x7fec001f,0x0164003f,0x0bfffee0,0x00ffff80,
    0x4ffffc80,0x2e001640,0xf502ffff,0x00007fff,0x00ffffec,0x3fffeffa,
    0x00fd8006,0x7ffffdc0,0xf500cfff,0x00009fff,0xdffff800,0x000effff,
    0x00fe8000,0x40bffffa,0x300000fd,0x00dfffff,0x27fffd40,0x3ffea000,
    0xff300eff,0xf98000ff,0xfe800fff,0x000001ff,0xf013ffe2,0x7fff400d,
    0xff800001,0x7ffd405f,0x07ffd403,0x007ffee0,0x007fffb0,0x3e2000d8,
    0x7c005fff,0xd0000fff,0x6c03ffff,0x3ffe2000,0x3ffea05f,0x3600004f,
    0x7400ffff,0x5ffffc8f,0x0007ec00,0x7ffffec4,0xff981eff,0x000004ff,
    0x6c7fffc0,0x000effff,0x007f4000,0x03fffff1,0x200001fb,0x2ffffafd,
    0xffff5000,0xff700009,0x3fa205ff,0xd80003ff,0xfe805fff,0x000001ff,
    0xa807ffec,0x3ffa003f,0xe800001f,0x7fcc06ff,0x7ffd402f,0x0fffd400,
    0x0ffff600,0xffd00000,0xff8001ff,0xf50000ff,0x0000bfff,0x007ffff4,
    0x00bffff3,0x3ffff400,0xffd87f40,0x3f6003ff,0x3fa60000,0x40efffff,
    0x004ffff8,0x7ffc0000,0x3bffff67,0x3a000000,0x7ffcc00f,0x007ec0ef,
    0xfcb7c400,0xf10005ff,0x0000bfff,0x201ffff3,0x000ffffa,0x1ffffa80,
    0x00ffff40,0x3fe60000,0x001fd04f,0x000ffff4,0x03ffe400,0x5007ffea,
    0xfa801fff,0x7ec001ff,0x000003ff,0x007ffff2,0x003fffe0,0x0ffffd80,
    0xfffc8000,0x7ffc401f,0x3e00006f,0xfe806fff,0x3ffffd10,0x0003f600,
    0x3ffffee0,0x5ffff86f,0x7c000000,0x7ffec7ff,0x000000ef,0xff7001fd,
    0x00fd8bff,0xf13fb800,0x20001fff,0x0006ffff,0x00ffff98,0x000ffff7,
    0x0bfffe60,0x003fffd0,0xfffb0000,0x4005f981,0x0001fffe,0x02fffa80,
    0x2a01bfee,0x7d400fff,0x7ec001ff,0x000003ff,0x009ffff3,0x003fffe0,
    0x3ffffa80,0x7ffcc000,0xffff004f,0x3e20000f,0xfe804fff,0x3ffffe20,
    0x000fd800,0xffff9100,0x6fffe87f,0x7c000000,0xfffd87ff,0x800000ef,
    0xff9000fe,0x007ec9ff,0xfb07fc00,0x3a0009ff,0x0000ffff,0xb03fffc4,
    0x0000ffff,0x013fffe2,0x0003fffd,0x7fff3000,0x74001fc8,0x00001fff,
    0x740dffd0,0xffa801ff,0x7ffd400f,0x7ffec001,0xe8800003,0x20006fff,
    0x0000ffff,0x01bfffe6,0x6fffe880,0x3ffff200,0xff980000,0x0fe803ff,
    0x077fffd4,0x02803f60,0x5ffffc80,0x007fffec,0xfff00000,0x3ffff60f,
    0x7400000e,0x3ff6000f,0x001fb2ff,0x7d44fa80,0xfb0007ff,0x80007fff,
    0x3e07fff8,0x00006fff,0xd017fffe,0x00003fff,0xf1fffa00,0xfffd000d,
    0x6c000003,0x7fe444ff,0x1fff5003,0x01fffa80,0x01fffec0,0x7ffe4000,
    0x3fe0001f,0x220000ff,0x0007ffff,0x007ffff2,0x01ffffa8,0x7fffa800,
    0xf701fd00,0xfd80bfff,0x64001e00,0x7fd47fff,0x000002ff,0xd81fffe0,
    0x000effff,0x8003fa00,0xd9ffffe8,0x7f40000f,0x02fffe81,0x5ffff980,
    0x7ffc4000,0xbffff107,0x7ffc0000,0x7fff407f,0x50000001,0x0fea7fff,
    0x07fffa00,0xffb00000,0x03dff97d,0x007ffd40,0x0007ffea,0x0007fffb,
    0x3ffffa80,0x7fffc000,0x7ffc0000,0xff50007f,0xff0007ff,0xb0000bff,
    0x3a007fff,0xffffb00f,0xf007ec07,0xfff10003,0x5fffe81f,0xf0040000,
    0xffd80fff,0x00000eff,0xf98001fd,0x00feffff,0x5c17e600,0xb0006fff,
    0x0001ffff,0x983fffc4,0x0004ffff,0x03ffffa0,0x001fffe8,0xffd00340,
    0x20003fad,0x0001fffe,0x2eafa600,0xa8001abc,0x7d400fff,0x7ec001ff,
    0x200003ff,0x005ffff8,0x00ffff80,0x7fffec00,0x7ffc4000,0xff50005f,
    0x4c0003ff,0x3a006fff,0x3fffa00f,0x401fb02f,0xffd0004f,0x3ffff50f,
    0x816a0000,0xfd807fff,0x0000efff,0xa8000fe8,0x00ffffff,0x440bf200,
    0x8001ffff,0x005ffff8,0x41fffe20,0x003ffffa,0x3ffff600,0x07fffa00,
    0x2004a800,0x05fcfffa,0x03fffd00,0x13e60000,0xfff50000,0x1fffa801,
    0x1fffec00,0xfffb0000,0xff00001f,0xd80001ff,0x4001ffff,0x000ffffd,
    0x017fff60,0x02fffd80,0xf8803fa0,0xfd81ffff,0x4001fe00,0xffd06ffd,
    0xd30000df,0x1fffe201,0x77fffec0,0x07f40000,0xffffb800,0xdf10000f,
    0x04fffd80,0x5ffff700,0x3ffe2000,0x9ffff307,0x7fec0000,0x7fff407f,
    0x007a0001,0x03ffffd0,0x07fffa00,0x3fe20000,0x7d400001,0x7fd400ff,
    0x7fec001f,0xf700003f,0x00005fff,0x0003fffe,0x00ffffd0,0x02ffffb8,
    0x7fff4400,0xfff98001,0x007f4004,0x03bfffe6,0x27fc01fb,0x827ff400,
    0x004ffff9,0xf8807a20,0xfb000fff,0x0003ffff,0xb00007f4,0x0001ffff,
    0xff300fee,0x360001ff,0x8000ffff,0xf107fff8,0x0000bfff,0x2037fff4,
    0x0002ffff,0xff7000f9,0x7f4000df,0x800001ff,0x0001dffb,0x003ffea0,
    0x8003fff5,0x0003fffd,0x05ffff88,0x3fffe000,0x7ffc0000,0x3fe2006f,
    0x100005ff,0x4001dffd,0x8004ffe8,0xffb800fe,0x007ec5ff,0x54009fff,
    0x7fcc06ff,0xe98005ff,0x7fffc403,0x3fffa000,0xfd0001ff,0x7f440001,
    0xff0000ff,0x7fffd001,0x7ffec000,0x7fc4001e,0x3fffa07f,0x3fe00006,
    0x7ffc05ff,0x7e44003f,0x7fff0005,0x7fff4000,0xfd800001,0xffffffff,
    0xa801ceee,0x7d400fff,0x7ec001ff,0xe80003ff,0x0000ffff,0x003fffe0,
    0x5ffff880,0x3ffffa00,0x3a200000,0xf9801eff,0xfd0004ff,0x3fff2001,
    0xf803f64f,0xf9805fff,0xffa801ff,0xb9802eff,0xfffa803f,0x3fea002f,
    0x4004ffff,0x40002ff8,0x8000fff8,0xaaaaaefa,0xfffdaaaa,0x7fec0006,
    0x3ea002ff,0x3ff607ff,0xf100007f,0x7cc07fff,0x8800efff,0x0002ffea,
    0x40001ff7,0x0001fffe,0xfffffa80,0xffffffff,0x3fea02ef,0x7ffdc00f,
    0x7ffec001,0x7fdc0003,0x400002ff,0x0000ffff,0x013fffe6,0x017fffdc,
    0xfffa8000,0x3f2a209b,0x3a0002ef,0x3ff6000f,0x401fb2ff,0xbdffffff,
    0x5dffb311,0x7ffec400,0xdb9abcff,0xe9801fff,0x001fffff,0xfffffffb,
    0xfd88059d,0x20000aef,0xe8000ff9,0xffffffff,0xffffffff,0x7f4c0001,
    0xb980beff,0x201dfffe,0x000ffffc,0x2ffff980,0xfffffd10,0xfdddddff,
    0x01ffffff,0x0013e600,0x003fffd0,0x3ffe6000,0xffffffff,0xf500ffff,
    0xffc801ff,0x7fec002f,0x3e60003f,0x00004fff,0x000ffff8,0x0bfffee0,
    0x13fffe60,0x3ee00000,0xffffefff,0xfe80002e,0x3ffa2000,0x200fd9ff,
    0xffec98af,0x04ffffff,0x3fff6a00,0x2effffff,0x7ffff4c0,0x0effffff,
    0xffffffb8,0x1fffffff,0x7fffff6c,0x70000eff,0xdf98001f,0x99999999,
    0x5fffc999,0xffb50000,0xfffddfff,0xf50017df,0x00003fff,0x441ffff5,
    0xffffffee,0xffffffff,0x05ffffff,0x0007f200,0x003fffd0,0x223ea000,
    0xccaaaa99,0xf503ffec,0x7fc401ff,0x7ec006ff,0x3a0003ff,0x00006fff,
    0x001ffff0,0x037fff40,0x006fffe8,0x3f620000,0x005fffff,0x0003fa00,
    0xfdfffff3,0xea981c01,0x00009ace,0x2f3baaa0,0x0000000a,0x00000000,
    0x0002a000,0xf98005f9,0x00000fff,0x5e67e54c,0xfd80009a,0xd80005ff,
    0x00002fff,0xf8800000,0xffe80006,0xa800001f,0x6f98002f,0x501fff50,
    0xfffffffd,0xfffb001d,0x3ff20007,0x910001ff,0x007fffc0,0x2ffffb80,
    0x1ffffc80,0x00091000,0x3fffffee,0x1fd00001,0xffff5000,0x220001ff,
    0x4000004f,0x000004f8,0x00056640,0x33200000,0x8800000a,0xffb0006f,
    0x2000007f,0x100000ed,0x0003ffff,0x002fffcc,0x00073260,0x003fb800,
    0x01fffe80,0x17e23400,0xf506c800,0x0bb001ff,0x0ffff600,0x3fffea00,
    0x812e0003,0x8000ffff,0x805ffff8,0x003ffffa,0x980012e0,0x00efffff,
    0x000fe800,0x1fffff70,0x3bff6000,0xfb000000,0x000003df,0x00bfffe0,
    0xff800000,0x400002ff,0xf50003fb,0x00000fff,0x0007fff5,0x017ffee0,
    0x00fffd80,0x77ffdc00,0x7c400000,0xfe80000f,0x2a0001ff,0x0001ff44,
    0x3ffea09b,0x001fd400,0x003fffd8,0x037fffc4,0xff80ba00,0xfc8000ff,
    0x7c400fff,0x40006fff,0x7440002e,0x0005ffff,0x20000fe8,0x000ffffd,
    0x04fffc88,0xfff90000,0x20000009,0x0006ffeb,0x3fae0000,0x7c00006f,
    0x3fe0000f,0x400003ff,0x0007ffea,0x007fffa0,0x00fffe60,0x3fff2200,
    0x7e400003,0xffd00003,0x0f40003f,0x2000dff7,0xfff501fa,0x004fc801,
    0x007fffb0,0x00ffffd8,0xf807ea00,0x64000fff,0xd802ffff,0x0000ffff,
    0x400007ea,0x005ffffc,0x00007f40,0x001fffd1,0x0037fd40,0x0dff3000,
    0xfe800000,0x0000001f,0x000fffc0,0x0005fb80,0x0037ffe4,0x01fff800,
    0xdffd3000,0x7ff4c001,0x7d400004,0xeb88005f,0x006fc8ac,0x0bfffe00,
    0x3f23e400,0x2a000cff,0x3ffea03f,0x007ff401,0x01fffec0,0x07ffff50,
    0x103fc400,0x2001ffff,0x02ffffe9,0x03ffffa8,0x001fe200,0xbfff7100,
    0x0bfe2000,0x1fff1000,0x1ffcc000,0xff300000,0x80000007,0x00000ffe,
    0x07ff4000,0x02ff8000,0x7fffcc00,0xfe800002,0xfc800006,0xffa801ff,
    0xa800002f,0xfb8004ff,0x02ffffff,0x3fffe000,0x2fe44003,0x37ffffe6,
    0xd753119a,0xfffb807f,0x01ffe401,0x01ffff40,0x05ffff88,0x81bfee00,
    0x400ffffa,0x1dffffc9,0x5ffff880,0x1bfee000,0xfeb80000,0x3f62002e,
    0x20000aef,0x10000ff9,0x00000ffb,0x0000ffd8,0x13fea000,0x70000000,
    0x200009ff,0x40001ffc,0x00fffff9,0x0bfee000,0x7fd40000,0x36e60acf,
    0x00000dff,0x001ffe88,0xffffffb8,0x3e600002,0x8800efff,0xe982ffea,
    0xffffffff,0x800dffff,0x4402fffc,0x9889dfff,0x17fffe02,0x77ffff40,
    0xeeeeeeee,0xffffeeee,0xfffd105f,0xd999dfff,0x03bfffff,0x77ffff40,
    0xeeeeeeee,0xffffeeee,0x8000005f,0x80aceeca,0xffffffed,0xf70000ef,
    0xffdb8001,0xa800001c,0x0001dffc,0xdfec9800,0x00000003,0x007bfd93,
    0xdfff9300,0x3f660001,0x00beffff,0x7bfd9300,0xc8800000,0xfffffffe,
    0x800003df,0x001cffdb,0x3dffff10,0x7f440000,0xeeffffff,0xfffffeee,
    0x3faa00ff,0xefffffff,0xffff1002,0xfffc801d,0xf903efff,0x4017ffff,
    0xfffffffa,0xffffffff,0xffffffff,0x3ffffa63,0xffffffff,0x001bdeef,
    0xffffffa8,0xffffffff,0xffffffff,0x0000003f,0x00004a98,0x80015000,
    0x000002a9,0x0000154c,0x002aa200,0x51000000,0x32000015,0xffffffff,
    0xffff1003,0x5fffffff,0x01551000,0x26000000,0x0000abca,0x000d4c00,
    0x00037300,0x3fffba20,0xffffffff,0xffffffff,0x7531005f,0x74c00157,
    0xefffffff,0x33bb2601,0xffffed82,0x03efffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bbaa000,0x0000000d,0x440000b6,0x99999999,
    0x98800999,0x99999999,0x00110000,0x99998001,0x99999999,0x99999999,
    0x00100099,0x6cc00004,0x00bda81d,0x03a80000,0x20772200,0x00000cda,
    0x001f6440,0x2aaa9800,0x67644000,0x20002a02,0x8801aaaa,0x99999999,
    0x40000999,0x00000ceb,0x000eecc0,0x2aaaaa00,0xaaaaaaaa,0x7d910002,
    0xb7001000,0x005b9107,0x3fff6000,0x20000002,0x700006f8,0xffffffd9,
    0x970079bf,0x9bffffff,0xffe88003,0x800b103f,0xffffffdc,0xffffffff,
    0x03ffffff,0x0b300790,0x8fffd000,0x0004fffa,0x0004f800,0xf983fffa,
    0x000004ff,0x0017ffe4,0x7fff4400,0xfff30001,0x00d03bff,0x01ffff30,
    0xffffd970,0x0059bfff,0x027ffd40,0x3ffe0000,0x7f400006,0xffffffff,
    0x90006fff,0xe8005fff,0x0fffea00,0x0001fffb,0x007fff00,0xffc80000,
    0x7d400001,0x0002ffff,0x0007ffee,0xeffffff8,0x70001dc2,0x5557ffff,
    0xb9555555,0x3e2009ff,0x0007ea04,0x43ffff30,0x0006fffc,0x000fd400,
    0x22ffff88,0x0007fffb,0x27fff400,0xff980000,0xdfb0004f,0x219fffff,
    0xffc8006a,0xffa8001f,0x00001fff,0x000dfff9,0x7fffcc00,0x3fa00001,
    0xffffffff,0xd0006fff,0x4c009fff,0x3fff600f,0x0bfffe25,0x9ff50000,
    0xf0000000,0x000009ff,0x000dfffb,0x40007fd0,0xffffcbfb,0x002fbaef,
    0x07fffe20,0x4009f900,0x27d40efb,0x6ffe8000,0x001fffcc,0x001b6000,
    0x441fffb0,0x00004fff,0x00fffdc0,0xdff50000,0x263d3000,0xfefffffe,
    0x2ffe8004,0x3fffa000,0x3e600004,0x000003ff,0x00037ffc,0x2aaaaaa0,
    0x2aaaaaaa,0x3fff7000,0x5007f400,0xffd87fff,0x6400000f,0x0000005f,
    0x00ffffa8,0x7ffe4000,0x2fd80005,0xd8876000,0x05ffffff,0x1ffff800,
    0x4004e800,0x1ff72fff,0x33220000,0x0003da80,0x001fc400,0x26072e20,
    0x000000bd,0x00002da8,0x001ffb80,0x7ffdc1d4,0xf88005ff,0x7ec0003f,
    0x400003ff,0x000002da,0x0000cc88,0x00000000,0xf90016d4,0x82da801f,
    0x00001cb8,0x00000ef8,0xffffe800,0x7dc00003,0xd80004ff,0x4160001f,
    0x00efffe9,0x1ffff800,0x4005b800,0x3ffdfffa,0x00000000,0x0fb80000,
    0x00000000,0x00000000,0x01fe4000,0x6dc406a0,0x9f70003d,0xfffb0000,
    0x00000007,0x00000000,0x00000000,0x3fea0000,0x0000000f,0x001f3000,
    0xff300000,0x0000dfff,0x004fffb8,0x0001fc80,0x00151006,0x0ffff400,
    0x4002c400,0x006ffffe,0x00000000,0x000bd000,0x00000000,0x00000000,
    0x00001b60,0x01760000,0x1fffec00,0x00000000,0x00000000,0x3bb2ea20,
    0x000009bd,0x7fffd400,0x00000000,0x00003300,0x3ebf6000,0x00002fff,
    0x0013ffee,0x00007f20,0xd0000000,0x20003fff,0xfff98000,0x8800002f,
    0x9bdeecba,0x22000000,0x3333102f,0x13333333,0x33333100,0x00013333,
    0xddfdd993,0x0003b037,0x00001d10,0x07440000,0xfffd8000,0xb9500003,
    0x5039bdfd,0x4ccccc09,0x99999999,0x19999999,0x3fff6200,0xeffffdce,
    0x33331000,0x13333333,0x3fffff62,0x2624eeee,0x99999999,0x00000099,
    0x88000000,0x0bfff96f,0x7ffdc000,0x1fc80004,0x02d80000,0xfffd0000,
    0x00000003,0x6c400000,0xffdcefff,0x00000eff,0x201f9551,0xfffffecb,
    0xb803cdff,0xdffffffc,0xfd71001c,0xfdb9bfff,0x03f359ff,0x44000000,
    0x99999999,0x00000999,0x3fff6000,0x3f220003,0xfedceeff,0x05e88bef,
    0xfffffff3,0xffffffff,0x00dfffff,0x2027bfee,0x803fffa8,0xfffffecb,
    0xdd72cdff,0xddddfffd,0x7fff65c9,0x82cdffff,0x99999998,0x88019999,
    0x99999999,0x27f70001,0x000ffff8,0x09fff700,0x003f9000,0x006f8800,
    0x3fffd000,0x88000c00,0x00002a02,0x1013dff7,0x0007fff5,0x3fffff22,
    0xfffa803f,0x2e0002ff,0x54001fff,0x201bdfff,0x02fffffa,0x01501440,
    0x3fffb2e0,0x02cdffff,0x002a0288,0x00ffff60,0x0e7ffe40,0xbffffd50,
    0x37bffea0,0xaaaaaaab,0x1ffffeaa,0x02fff4c0,0x00dffe88,0x3fffff50,
    0x00fffb80,0x3fffff50,0xffffda80,0x04dfffff,0xfffffdb8,0xf8000cef,
    0x13fff60f,0x7ffdc000,0x1fc80004,0x7fe40000,0xfe800001,0x03a001ff,
    0xd0dff700,0xd30007ff,0x3a200bff,0x2a000dff,0xffb89bff,0x7fec01ef,
    0xfe80006f,0x7ffdc003,0x3ff22004,0x3fee002f,0x003ffe86,0x0fffffd4,
    0xd0dff700,0xfd8007ff,0x6c4003ff,0x2a001eff,0xdf706fff,0xfffa8001,
    0x7ffc403f,0xfffd8004,0x9fffd000,0x01fff700,0x027fff40,0xfffffd30,
    0xff50001f,0x540007ff,0x3fffd44f,0xfffb8000,0x1fc80004,0x7ffc0000,
    0xfe800004,0x03e001ff,0x45ffff00,0x4007fffa,0x8004fff8,0x9800fffd,
    0x7f7e41ff,0x3ff200ff,0xfd80005f,0x3fff6002,0x7ff70004,0x17fffc00,
    0x000ffff5,0x8009fffd,0x3ea2ffff,0x7ec007ff,0x3a2003ff,0xa8000eff,
    0x01f707ff,0x5ffff880,0x007ffe80,0x00bfff30,0x200ffff6,0x2000fffb,
    0x8003fffd,0x004ffffe,0x0007ffe0,0xffd03fd0,0xf700005f,0x900009ff,
    0x5400003f,0x0000ffff,0x00ffff40,0x74000fc8,0x3fe62fff,0x7ff4006f,
    0xfff30007,0x84ff880b,0x03fffccf,0x0013ffee,0x5c007f60,0x40003fff,
    0x3fa004fd,0x3ffe62ff,0xfffd8006,0x7fff4003,0x01bffe62,0x007fffb0,
    0x000ffff4,0x1320ff70,0x3ffff600,0x1fffdc00,0x5fffb000,0x07fffb00,
    0x001fff70,0x001fffec,0x037fffc4,0x002ff880,0xfb82fcc0,0xb80006ff,
    0x80004fff,0x200001fc,0x003ffffe,0x57fff400,0x99999999,0x54000ffc,
    0x2ffc85ff,0x0fffee00,0x2fffd800,0xf503ff60,0x40bfff53,0x0004fffb,
    0xf9801fc8,0x880005ff,0x3fea004f,0x002ffc85,0x003fffd8,0x7e42ffd4,
    0x7fec002f,0xfff7003f,0x0fd00009,0xff7000b2,0xff9805ff,0x7cc0007f,
    0x7ec00fff,0xffb803ff,0x3ff6000f,0xff70003f,0xf90007ff,0x5f900009,
    0x07fffe20,0x9fff7000,0x03f90000,0x3ffe6000,0x400006ff,0xfffffffe,
    0xffffffff,0x04010000,0x1fffe600,0xffff3000,0xb09ff501,0x7017fe4d,
    0x00009fff,0xffd003f9,0x3200003f,0x02008005,0x3fffd800,0x00401000,
    0x03fffd80,0x00ffff98,0xd80fa800,0x3ffe2000,0x7ff4405f,0xfd80003f,
    0x7fec05ff,0xfffb803f,0x3fff6000,0x3ff60003,0x3e6000ff,0x6f880006,
    0x027ffec0,0x13ffee00,0x007f2000,0x7fd7ec00,0x200002ff,0xaaabfffe,
    0xfffdcaaa,0x00000000,0x01ffff44,0x2fffec00,0x3e21ffdc,0x7fdc0043,
    0xfc80004f,0x37ffe401,0x00d10000,0x6c000000,0x00003fff,0x3ff60000,
    0xfffd803f,0x03e00004,0x3fffa000,0x7ffd400f,0xfa80000f,0x3f601fff,
    0xffb803ff,0x3ff6000f,0x3e20003f,0x36005fff,0xfb80001f,0x7fffcc03,
    0x3fee0000,0xfc80004f,0x6f880001,0x000bfff9,0x00ffff40,0x00007f44,
    0x3fea0000,0xa80000ff,0x7ec1ffff,0x0007d42f,0x0027ffdc,0x3e00fe40,
    0x00002fff,0x00000004,0x07fffb00,0x40000000,0x4403fffd,0x0002ffff,
    0x90000720,0x7003ffff,0x0000ffff,0x80bfffe6,0xb803fffd,0x36000fff,
    0x40003fff,0x802ffffb,0xf00004fb,0xfffd001f,0x7fdc0007,0xfd80004f,
    0x3fb80001,0x001ffff1,0x07fffa00,0xdb007c40,0x3a0bdddd,0x204eeeee,
    0x0007fffb,0x85ffff30,0x02ec1ffe,0x04fffb80,0x201fc800,0x000ffffa,
    0xdddb0000,0x3bba0bdd,0x36004eee,0x3b603fff,0xdd05eeee,0x2009dddd,
    0x5c03fffd,0x0000ffff,0x3e600000,0xfb004fff,0x20000fff,0x204ffff8,
    0xb803fffd,0x36000fff,0x80003fff,0x200ffffe,0x80000ff8,0xaaaaaefa,
    0xfffdaaaa,0x3fee0006,0xfd80004f,0x0ff80001,0x0013fff6,0x00ffff40,
    0xfc9801f0,0x3f6607ff,0x3ff605ff,0xf100007f,0x7fc49fff,0x000be22f,
    0x0027ffdc,0xfb00fe40,0x00000fff,0x7fffc980,0x17fff660,0x03fffd80,
    0x03fffe4c,0x00bfffb3,0xd00ffff6,0x0000dfff,0x7f440000,0x3fe006ff,
    0x200006ff,0x3605ffff,0xfb803fff,0x3f6000ff,0x880003ff,0x3604ffff,
    0xfd00002f,0xffffffff,0x3fffffff,0x3ffea000,0x0fd80005,0x227d4000,
    0x0007fffa,0x003fffd0,0xffe80064,0x2fffcc07,0x00dffff0,0x2ffffc00,
    0x7dc7fff1,0xfff70000,0x3f900009,0x037fffc0,0xfe800000,0x7ffcc07f,
    0x3fff6005,0x0fffd003,0x005fff98,0xf807fffb,0x00005fff,0x3ff20000,
    0xff1001ff,0x40000bff,0x3607ffff,0xfb803fff,0x3f6000ff,0x700003ff,
    0xf503ffff,0x3e60000b,0x9999999d,0xfffc9999,0xfff50005,0x1fd0000b,
    0x81fe8000,0x0002fffe,0x001fffe8,0x0fffb000,0x220bfff0,0x0005ffff,
    0xf1ffffe0,0x002f49ff,0x009fff70,0x2203f900,0x0005ffff,0xfffb0000,
    0x00bfff00,0x801fffec,0xff807ffd,0xfffb005f,0x7fffc407,0x00000005,
    0x07ffff50,0x27fffcc0,0xfffd0000,0x3fff601f,0x0fffb803,0x0ffff600,
    0xfffe8000,0x0007f446,0x4002fc80,0x000ffff9,0x006fffa8,0x40007e80,
    0xfff705f9,0xffd0000d,0x2000003f,0xfe807ffc,0xffff305f,0x7f400009,
    0x3ff60fff,0x5402f98f,0x09fff701,0x203f9000,0x004ffff9,0xfffffff0,
    0xf903dfff,0xbffd00ff,0x1fffec00,0x807ffc80,0xfb005ffe,0x7fcc07ff,
    0x000004ff,0xffff8800,0x7ffd4005,0x3600003f,0xfb00ffff,0xff7007ff,
    0x7fec001f,0x2600003f,0x3f24ffff,0xdf100003,0x3fff6000,0xfff98003,
    0x37c40007,0x40bf2000,0x001ffff8,0x00ffff40,0x7fe40a00,0x05ffe807,
    0x007ffff5,0x7fffec00,0x32ffff20,0xf700e807,0x900009ff,0x3ffea03f,
    0x7d40004f,0x200effff,0xfe807ffc,0x3ff6005f,0xfff9003f,0x00bffd00,
    0xa80ffff6,0x0004ffff,0xffd80000,0x7cc000ff,0x00004fff,0xd81ffff6,
    0xfa803fff,0x3f6002ff,0x400003ff,0xf99ffffb,0x3ee00006,0xfff50003,
    0x3ffe000f,0x3e60001f,0x1be20004,0x009fffb0,0x01fffe80,0x7e416a00,
    0x5ffe807f,0x09ffff30,0x7ffec000,0x7f7ffd47,0xf7025c04,0x900009ff,
    0x3ffea03f,0xfb80004f,0x7e402fff,0x5ffe807f,0x0ffff600,0x403ffe40,
    0xfb005ffe,0x7fcc07ff,0x000004ff,0x7fffdc00,0xfff88002,0x3a00005f,
    0x3f606fff,0xff9803ff,0xfd806c3f,0x800003ff,0x1feefffe,0x03fe0000,
    0x3ffff800,0x4fffd800,0x00ff2000,0x4c03fb80,0x0000ffff,0x0007fffa,
    0xffc817c4,0x05ffe807,0x00bffff1,0x37fff400,0x07ffffe2,0x3ee01f98,
    0xd80004ff,0xffff101f,0xff30000b,0xffc801ff,0x05ffe807,0x00ffff60,
    0x7403ffe4,0xffb005ff,0x7ffc407f,0x0000004f,0x17fffe20,0x6fffe800,
    0x3ffe0000,0x3fff605f,0xffff8803,0x3f602d9b,0x800003ff,0x04fffff9,
    0x017ee000,0x0dfff900,0x0dfff300,0x001be600,0xfd001ff0,0x7c0007ff,
    0xb0001fff,0x03ffe40f,0xfd02fff4,0x40000dff,0xfb85ffff,0x64c2efff,
    0x7ffdc05f,0x1fd80004,0x01bfffe0,0x3fffe600,0x03ffe400,0xb002fff4,
    0x32007fff,0xffe807ff,0x7fffb005,0x05ffff80,0x3a000000,0x0000ffff,
    0x001ffff6,0x1ffffc40,0x007fffb0,0x17fffff6,0x007fffb0,0x3fff2000,
    0x7fc00007,0x7fcc0002,0xfd8002ff,0x74c004ff,0x3ea0002f,0xaaaaaaae,
    0x06fffdaa,0x07fffe00,0xc817ee00,0xffe807ff,0x1ffff605,0x7ffc4000,
    0xffffb03f,0x1dfffdff,0x05fffa80,0x200fd800,0x000ffffe,0x03fffc40,
    0x7403ffe4,0x3f6005ff,0xff9003ff,0x0bffd00f,0x00ffffa0,0x000dfffd,
    0x3fee0000,0x640002ff,0x0000ffff,0x02ffff98,0x800ffff6,0x400beffd,
    0x0003fffd,0x0dfff300,0x0ffe4000,0x3ffe6000,0x744000ff,0x4c00dfff,
    0x40004ffb,0xfffffffe,0xffffffff,0xff88001f,0x362003ff,0x3ff202ff,
    0x05ffe807,0x003ffff2,0x3fffe600,0xffffd102,0x001fffff,0x000bfff5,
    0x7ec01fd0,0x40003fff,0xc807fff8,0xffe807ff,0x3fff6005,0x0fff9003,
    0x200bffd0,0x6c05ffff,0x0000ffff,0x7ffcc000,0xfa80004f,0x80001fff,
    0x200ffffa,0x4003fffd,0x3ff60018,0x3000003f,0x0000dfff,0x01dfff93,
    0x3fff6600,0x2000beff,0xbdffffd8,0xffffdb9a,0x6fcc0003,0x99999999,
    0x5fffc999,0x7fff4c00,0xccccceff,0x7fffeccc,0x403ffe40,0x3ea05ffe,
    0x80001fff,0x200ffffa,0xfffffffd,0xfff5000c,0x0fd0000d,0x05ffff98,
    0x3fffc400,0x403ffe40,0x36005ffe,0xf9003fff,0xbffd00ff,0xfffff900,
    0x3ffea017,0x0000002f,0x0037fff4,0x0bfffb00,0x5fffb000,0x03fffd80,
    0x7fec0000,0x3000003f,0x8000dfff,0xfffffffc,0xfff1003f,0xffffffff,
    0xffda8005,0xffffffff,0xfc80000c,0x7ffcc002,0x7ff4400f,0xffffffff,
    0xffffffff,0x7e404fff,0x5ffe807f,0x02fffec0,0x17ffec00,0x2ea25f10,
    0x7fcc0009,0x7c40007f,0xffffd806,0x3fe20000,0x7ffc807f,0x005ffe80,
    0x400ffff6,0xfe807ffc,0xfffdb05f,0x7dffffff,0x00bfffd0,0x3f200800,
    0x10001fff,0x1ffff889,0x3ffe6000,0x3fffd805,0x007dd500,0x001fffec,
    0x6fff9800,0x00000000,0x00001b20,0x37f32aa2,0x2200002a,0xffb0006f,
    0x8000007f,0xfb8003f8,0x5ffe807f,0x0ffffc40,0xbfff3000,0x00007b80,
    0x000ffffc,0xf1009f30,0x4000bfff,0xb807fff8,0xffe807ff,0x3fff6005,
    0x0fff7003,0x200bffd0,0x3ea002f8,0x00001fff,0x3ffea0b5,0x12e0003f,
    0x0017ffee,0x800fffd8,0xd003fffd,0x36005fff,0x00003fff,0x00dfff30,
    0x20000000,0x000003f9,0x00002fb8,0x50003fb8,0x0000ffff,0x8001fc80,
    0x7400fffb,0xffb805ff,0x3f60005f,0x027400ff,0x3fff6000,0x0ff20004,
    0x17fffdc0,0x7fff8800,0x00fffb80,0xb002fff4,0x2e007fff,0x7f400fff,
    0x01f9005f,0x06fffe80,0x880e9800,0x0006ffff,0xfffe8174,0xfff98001,
    0x7fffb003,0x17fffa00,0x01fffec0,0xfff98000,0x00000006,0x000bf900,
    0x007fb000,0x001ff000,0x01ffffc0,0x05fd0000,0x03fff500,0x8037ffd4,
    0x8001fffe,0x4c03fff9,0x4c00001f,0x30006fff,0xffd800df,0xf88000ff,
    0xffa807ff,0x3ffea01f,0x3fff6006,0x3fff5003,0x037ffd40,0x4c002ff8,
    0x0004ffff,0x7fec07a2,0x2a0000ff,0xdffd301f,0x7ff4c001,0x3fff6004,
    0xfb9b5003,0x0ffff600,0x7fcc0000,0x0000006f,0x01ffb000,0x6ff80000,
    0x2fdc0000,0x3fff2000,0xf1000006,0xff3000bf,0x3fbae09f,0xffd3007f,
    0x7f4c001d,0x007c804f,0x9fffb000,0x02fe9800,0x1efffd80,0x3fffc400,
    0x827ffcc0,0x007ffeeb,0x400ffff6,0xd704fff9,0xf100fffd,0xff3000bf,
    0xd3000bff,0x3fffea07,0x1fe20003,0x007fff20,0x000bffea,0x0007fffd,
    0x3ffa00d7,0x3000003f,0x0000ffff,0x3ee00000,0x4000004f,0x00002ffd,
    0x30000bfe,0x0005ffff,0x007ffa00,0x2b7fffa0,0xffe8eda8,0xfc8039cf,
    0xffa801ff,0x009f002f,0x3ffa2000,0x7dcc00df,0x3f60004f,0x2a002fff,
    0xfd007fff,0xdb515bff,0x739fffd1,0x03fffe80,0x2b7fffa0,0xffe8eda8,
    0x3fa039cf,0xffa8001f,0xb9802eff,0xffff103f,0x7fdc000b,0x9fff5006,
    0x7fedcc15,0xfff8000d,0x03e8005f,0x00bffff0,0x3ffea000,0x00000007,
    0x3bfff100,0x00005311,0x4473ffea,0x7fe4001a,0x7fcc0001,0x00000fff,
    0x11cfffa8,0x7ffcc035,0xfd0effff,0x2005dfff,0x20acfffa,0x00dffdb9,
    0x00003f30,0x7fffec40,0xffdb9abd,0x980003ff,0x80befffe,0x1dfffeb9,
    0xfffff300,0x3ffa1dff,0x7fc02eff,0x3e6005ff,0x0effffff,0x05dffffd,
    0x88dfffdc,0x7fec400a,0xb9abcfff,0x3a01fffd,0xeeeeffff,0xeeeeeeee,
    0x05fffffe,0x3fffb220,0x03dfffff,0xfffff900,0x0bd30017,0x3fffff20,
    0x5c00000b,0x0000ffff,0xf9000000,0x07ffffff,0x7ffec000,0x3002efff,
    0x001dfff9,0x3ffff660,0x00000bef,0x7ffffff4,0x7ffdc01e,0x3ffa0dff,
    0xec88001c,0xffffffff,0x0364003d,0xfda80000,0xffffffff,0x400000cf,
    0xefffffda,0x0beffffe,0xffffb800,0x33ffa0df,0xffffc801,0xff7000bf,
    0x7f41bfff,0xffd001cf,0x003bffff,0x3fffff6a,0x402effff,0xfffffffa,
    0xffffffff,0xffffffff,0x32a60003,0xdb0000ab,0xffffffff,0x7dd107df,
    0xffffed80,0x03efffff,0xffff9800,0x000002df,0xdb930000,0x20000079,
    0x002ceeca,0x3ffffff2,0xff1003ff,0xffffffff,0xb800005f,0x4001cdec,
    0x0bb80ab9,0x32a60000,0x220000ab,0x40000000,0xabcccaa8,0x30000002,
    0x35799975,0x2e600001,0x400bb80a,0xffffffed,0x3003efff,0x01770157,
    0x39bd9700,0x66554000,0x00000abc,0x00000000,0x00000000,0x00000000,
    0xffffd500,0x0dffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbc980000,0x50000000,0x55555555,0x00055555,0x8817b700,0x400002dc,
    0x6dc40cda,0xd7000003,0x2aa60007,0xaaaaaaaa,0x3d000aaa,0x55540000,
    0xaaaaaaaa,0x880001aa,0xaaaaaaaa,0x000aaaaa,0x80000000,0x40000000,
    0x00000018,0x00000000,0x00000000,0x00001654,0x0002c980,0x000007aa,
    0x1dc98000,0x0000cda8,0x7f7f4400,0x8000004f,0xfffffffe,0x006fffff,
    0x1fffd400,0x0003fff6,0x22fffc40,0x0002fffc,0x01fffdc0,0x7ffffdc0,
    0xffffffff,0x0005f001,0x7fffffc0,0x5fffffff,0xfffa8000,0xffffffff,
    0x000003ff,0x6fec0000,0x98000000,0x3fa00dff,0xffffffff,0x80007fff,
    0x003ffff8,0xdd973100,0x3a20157b,0x3bfa6003,0x000002ff,0x007bfff2,
    0x3ea01f60,0x3ffee3ff,0x7ff40001,0x027ffcc7,0x47b20000,0x00000fb8,
    0x7fffff40,0x6fffffff,0x7fe40000,0x1ffffc6f,0xfffb8000,0x027fff47,
    0x3fff6000,0xfffb8005,0xffffffff,0x32a201ff,0x0001bcef,0x7ffffffc,
    0x05ffffff,0xffffa800,0xffffffff,0x0000003f,0x3ffe6000,0xb8000004,
    0x3fa02fff,0xffffffff,0x80007fff,0x0004fffa,0xcefffe98,0x40cffffd,
    0x376001fd,0x0000fb10,0x2fffffc0,0x2013e200,0x7fec6ffb,0x7fc40004,
    0x3fff21ff,0x7c000006,0x00004e83,0x55555540,0x2aaaaaaa,0x7fcc0000,
    0x07ffec3f,0xfff88000,0x00fffdc5,0x3ffea000,0xaaa98002,0xaaaaaaaa,
    0xffe880aa,0xcffffefe,0xaaaa8001,0xaaaaaaaa,0xa880001a,0xaaaaaaaa,
    0x0000aaaa,0x22000000,0x00005fff,0x02fff980,0x3bbbbbb6,0x05eeeeee,
    0x05ffd800,0x1effb800,0x27fff730,0x3e2002fc,0x00017c41,0xfffffd80,
    0x00bea000,0xfff07ff6,0xffd00001,0x04fff98f,0x07e60000,0x000001b6,
    0x00000000,0x6dc416d4,0x64c00001,0x002da80b,0x005b5000,0xfb800000,
    0x3225f0cf,0x00003fff,0x00000000,0x00000000,0x17fc4000,0x3f72a600,
    0xfa80abce,0x0000000e,0x006ff800,0x027fec40,0x4ffffe88,0x4e83d400,
    0xe9804000,0x2003ffef,0x89fd007d,0x00002ff8,0x7b303991,0xe8000001,
    0x0001fc44,0x00000000,0x00000000,0x00000000,0x00000000,0x227fcc00,
    0x01ffd42f,0x00000000,0x22000000,0x99999999,0x98800999,0x99999999,
    0x2e002fda,0xfecdffff,0xecccefff,0x0000000e,0x00ef9800,0x13ffe600,
    0x1fffd100,0x4c2f8800,0x0740001f,0x88017e40,0x86f8804f,0x000005f9,
    0x00000000,0x1fb317f7,0x26662000,0x99999999,0x99998800,0x00099999,
    0x00000000,0x00000000,0x4cc40000,0x99999999,0x20fff409,0x003fc82f,
    0x00005b00,0x26666666,0x99999999,0x09999999,0xffffecb8,0x803cdfff,
    0xffffffcb,0x30009acd,0x51017ffd,0x013bfffb,0x02a02880,0x00fe4000,
    0x03fffa00,0x17ffe600,0x2a2fb200,0x7d40006e,0x000fc800,0x3f3003f5,
    0x00001f70,0x00000000,0x3bfff220,0x3b2e0002,0xdfffffff,0xffcb803c,
    0x11cdffff,0x33333333,0x31003333,0x33333333,0x99999998,0x99999999,
    0x09999999,0x33333330,0x33333333,0x13333333,0x3fffb2e0,0x22cdffff,
    0x82f86ff9,0x880003f8,0xb900006f,0xffffffff,0xffffffff,0xa807ffff,
    0x002fffff,0x007ffee0,0x00fffe40,0x004fffc8,0x7f437fdc,0x2e80003f,
    0x7ffe4000,0xfffd0003,0xfc88005f,0x40001dff,0x05f800fe,0x2dc01f60,
    0x000003c8,0x000002d8,0x001be600,0xfffff500,0x7fdc0007,0xfffda81f,
    0x4dffffff,0xffffdb80,0x3720ceff,0xffffffff,0xffffffff,0xb903ffff,
    0xffffffff,0xffffffff,0x5007ffff,0x203fffff,0x02f86ffb,0xf900007b,
    0xb800003f,0xaaabffff,0xdcaaaaaa,0xffd804ff,0xfe80006f,0xfff90004,
    0xfffb8001,0x3fffe004,0x01fffea2,0x30000600,0x0001ffff,0x1ffff7f9,
    0x00151000,0x801ff900,0x9f1000fc,0x01402600,0x37c40000,0x90000000,
    0x800003ff,0x0006fffd,0x74c04fe8,0x00ffffff,0x3ffffa80,0xbffffb80,
    0xaaaaaaaa,0x804ffdca,0xaabffffb,0xcaaaaaaa,0xfd004ffd,0x7fe409ff,
    0x3c817c1f,0x4fff8000,0x7fc40000,0x7e4001ff,0x5fffc804,0x02fd8000,
    0x03fffa80,0x03fff900,0x98bfffa0,0x00006fff,0xfffe8000,0xb4fb8003,
    0x0000bfff,0x7ffd4000,0x8007b200,0x000001fb,0xff900000,0x00000003,
    0x00013ffe,0x00bfff90,0x2005fb00,0x004ffffe,0x4007ffe0,0x001ffff8,
    0x7c4027e4,0x64001fff,0xfffb004f,0x27ffcc07,0x000cc0be,0x03fffea0,
    0xffff0000,0x009d0003,0x0009fff7,0x88003fb0,0x20007fff,0x5006fff8,
    0x5ff90bff,0x15310000,0xff507540,0xf98003ff,0x07fffee5,0x2a000000,
    0x7d00ffff,0x000fb000,0x40000000,0x00004fff,0xffffa800,0x3ee00000,
    0xd80005ff,0xfff1002f,0x3e2000df,0x7ffc002f,0x04e8001f,0x003ffff0,
    0x3f6009d0,0x7ffc03ff,0x0000be1f,0x3ffffe80,0x7ffc0000,0x05b8001f,
    0x004fffb8,0x4001fc80,0x0003fffd,0x0027ffec,0x20000401,0xfffffeb8,
    0xf913e60d,0x44001fff,0x3ffe60ef,0x3bbbb63f,0xddddd05e,0x3ff6209d,
    0x4eeeefff,0x09f10001,0x17bbbbb6,0x27777774,0xfffa8000,0x0000000f,
    0x01fffff4,0x9fff7000,0x03f90000,0x1ffffdc0,0x0027e400,0x000ffffc,
    0xfff802dc,0x05b8001f,0x807fffb0,0x5f2ffffd,0x3e600000,0x0006ffff,
    0x00ffff40,0x7dc02c40,0xc80004ff,0x3fee001f,0xfa80007f,0x00001fff,
    0x67fcc000,0xbfffca89,0xfffd85f9,0x40ff4007,0x64c4ffff,0x36607fff,
    0xdd705fff,0xddddfffd,0x0fdc0009,0x0ffff930,0x02fffecc,0xffffe800,
    0x20000003,0x06fffff9,0x3ffee000,0x1fc80004,0x7fffec00,0x01be6000,
    0x00ffff40,0xfe802c40,0x588001ff,0x07fffb00,0xcfffff98,0xb000002f,
    0x05ffff5f,0x7fff4000,0x70010001,0x00009fff,0x7f4003f9,0xd00004ff,
    0x0000bfff,0x17fd4000,0x06ffffa8,0x400dffff,0xffff02fd,0x01fffa0d,
    0x700bfff3,0x00001fff,0xffe803ec,0x2fffcc07,0x7ffcc000,0x000006ff,
    0x3ffebf60,0xf700002f,0x900009ff,0xff88003f,0x3f6005ff,0xfffd0001,
    0x40020003,0x0001fffe,0x3fff6001,0xffffa803,0x800003ff,0xbfff96f8,
    0x7ff40000,0x2000001f,0x0004fffb,0x3e001fc8,0x00004fff,0x76cdfffb,
    0xdd05eeee,0x1009dddd,0xffc80bff,0xffff884f,0x409f7005,0xfb07fffe,
    0xbfff00ff,0x01fff700,0x013e2000,0x7c03ffec,0xd80005ff,0x02ffffaf,
    0x6f880000,0x000bfff9,0x013ffee0,0x0007f200,0x00bfffee,0xe80013ee,
    0x00001fff,0x00ffff40,0x3ff60000,0xfff5003f,0x00007fff,0xfff13fb8,
    0x3a00001f,0x06001fff,0x09fff700,0x003f9000,0x00ffffe6,0x7fffe400,
    0x1ffff260,0x05fffd98,0xf801ffd8,0x7fd40fff,0x5fa804ff,0x07ffff40,
    0x7403ffe4,0xffb805ff,0xf700000f,0x1fff2003,0x0017ffa0,0x3ff2df10,
    0x8000005f,0xffff13fb,0xff700001,0xf900009f,0x3ffa0003,0x3fe200ff,
    0x3ffa0000,0x0006001f,0x8007fffa,0xfffd8001,0x3ffa2003,0x0000dfff,
    0x7fec1ff0,0xfd00004f,0x074003ff,0x09fff700,0x003f9000,0x00bfffea,
    0x7fffdc00,0x407ffe81,0x4c05fff9,0xffd807ff,0x7ffd45ff,0x077cc04f,
    0x07ffff60,0x3a01fff2,0xffb805ff,0xfb00000f,0x03ffe400,0x0002fff4,
    0x7ffc4fee,0x4000000f,0x3fff60ff,0xffb80004,0xfc80004f,0xfff10001,
    0x017ec09f,0x07fffa00,0x74000e80,0x3a001fff,0x7ffec000,0xfffb8003,
    0x40001fff,0x7ffd44fa,0xffd00007,0x007c003f,0x009fff70,0x2003f900,
    0x001ffffc,0x5ffff700,0xf00fffb0,0xffb80bff,0x7fd7e406,0x3ffe20ff,
    0x07fa204f,0x03ffff60,0x3a01fff2,0xffb805ff,0xf880000f,0x1fff2004,
    0x0017ffa0,0x7fec1ff0,0x2000004f,0x7ffd44fa,0xffb80007,0xfc80004f,
    0x3fee0001,0x05fa81ff,0x1fffe800,0xd0003e00,0x7c003fff,0x7ffec000,
    0xfff30003,0x40005fff,0xfffe81fe,0xffe80002,0x01f9001f,0x027ffdc0,
    0x800fe400,0x000ffffe,0x9ffff500,0xd00fff90,0xffd80bff,0x7fcbee05,
    0x7fffc1ff,0x400bf605,0xf907fffe,0xbffd00ff,0x01fff700,0x003f7000,
    0x7403ffe4,0x2a0005ff,0x3fffd44f,0x3fd00000,0x005fffd0,0x04fffb80,
    0x001fc800,0x237fff40,0x80000fe8,0x9001fffe,0xffe8001f,0x01f9001f,
    0x03fffd80,0x3fffbe00,0xf98003ff,0x0dfff705,0x5fffd000,0x33333333,
    0x5c001ff9,0x80004fff,0xffd001fc,0x4c0000ff,0xfc84ffff,0x5ffe807f,
    0xa827ffc0,0x0ffff63f,0x320dfffd,0x3ffa003f,0x0fff907f,0x700bffd0,
    0x00001fff,0xffc800dd,0x05ffe807,0x3a07fa00,0x00002fff,0xff705f98,
    0xfb8000df,0xc80004ff,0x7cc0001f,0x0ff24fff,0x7fff4000,0x9999999a,
    0x4000ffc9,0x999afffe,0xffc99999,0x7ffec000,0x2abe0003,0x003fffff,
    0xff8817e4,0x740001ff,0xffffffff,0x0fffffff,0x13ffee00,0x007f2000,
    0x007fffec,0xffff9800,0x807ffc83,0x3e605ffe,0x44fa85ff,0x7e44fffc,
    0x05fa86ff,0x82ffffc0,0xfe807ffc,0xfffb805f,0x27c40000,0x01fff200,
    0x40017ffa,0xfff705f9,0xf900000d,0x3fffe205,0x3fee0001,0xfc80004f,
    0xffb80001,0x006f99ff,0x3ffffa00,0xffffffff,0x74000fff,0xffffffff,
    0x0fffffff,0x1fffec00,0x3a25f000,0x1000ffff,0xfffd80df,0x7ff40004,
    0xaaaaaabf,0x000fffdc,0x0013ffee,0x64007f20,0x0001ffff,0x05ffff50,
    0xfd00fff9,0x7ffd40bf,0x7dc27cc6,0x7ffdc3ff,0x003be60f,0x02ffff98,
    0xfd00fff9,0xfff700bf,0x1fb80001,0x03ffe400,0x8002fff4,0xfff102fc,
    0x4400003f,0x7ffec06f,0x3fee0004,0xfc80004f,0xffd00001,0x0003fddf,
    0x55ffff40,0xfdcaaaaa,0x7f4000ff,0xaaaaabff,0x00fffdca,0x01fffec0,
    0x7f445f00,0x7f7003ff,0x0ffff980,0x3fffa000,0x00fe8801,0x013ffee0,
    0x4007f600,0x002ffffa,0x1ffff700,0xd00fff90,0x7fc40bff,0x5417e27f,
    0x7fcc1fff,0x01fd13ff,0x0ffffa80,0xd00fff90,0xff700bff,0x6e80001f,
    0x07ffc800,0x8005ffe8,0x7fec06f8,0x2e00004f,0x7ffcc03f,0xff70000f,
    0xf900009f,0x3e600003,0x0004ffff,0x00ffff40,0x20007f44,0x8801fffe,
    0x7ec000fe,0x3e0003ff,0x02fffcc2,0xfe800ff8,0x3a0003ff,0xf1001fff,
    0x7ffdc001,0x1fd80004,0x7ffff300,0x3ff20000,0x0fff907f,0xf80bffd0,
    0x06e89fff,0x7e41ffee,0x005fd5ff,0x409fffb0,0xfe807ffc,0xfffb805f,
    0x13e20000,0x01fff200,0x20017ffa,0x7fcc03fb,0xf00000ff,0xfffd001f,
    0x3fee0007,0xfd80004f,0x3f200001,0x800007ff,0x1001fffe,0xffe8001f,
    0x01f1001f,0x03fffd80,0xff05f002,0x5df500df,0x55555555,0x000dfffb,
    0x000ffff4,0x7fd4001f,0xfd80005f,0xffff1000,0x3f600009,0xfff906ff,
    0x80bffd00,0x0eeafffe,0x4417fee0,0x03fcfffe,0x0ffff980,0x201ffee0,
    0xfb805ffe,0x2e0000ff,0xffb8001f,0x05ffe807,0xe800ff80,0x80003fff,
    0xaaaaaefa,0xfffdaaaa,0xfff50006,0x3fb0000b,0x7fcc0000,0xe800006f,
    0x3e001fff,0x7fff4000,0x0003e001,0x6407fffb,0x3f20be03,0xfffe805f,
    0xffffffff,0x001fffff,0x003fffd0,0xff500064,0xfd0000bf,0x7fff4001,
    0xffd00005,0x1fff207f,0x7017ffa0,0x801fffff,0x3ea03ffc,0xd0005fff,
    0xfb805fff,0x7ff400ff,0x0fffb805,0x001ba000,0x2007ffdc,0x54005ffe,
    0xaaaaaaef,0x6fffdaaa,0xfffe8000,0xffffffff,0x001fffff,0x005fffa8,
    0x0000fd80,0x01bffe60,0x3fffa000,0x00032001,0x4003fffd,0x7fec000c,
    0xf813203f,0x403ffd82,0x99999df9,0xfc999999,0xfd0005ff,0x000003ff,
    0x0037ffd4,0x30007f40,0x0003ffff,0x206fff98,0xfe807ffc,0xfffe805f,
    0x00ffe802,0x000fffec,0x401fffd4,0x2a01fffa,0xfa806fff,0xf10001ff,
    0x3fea0009,0x3ffea01f,0x7fff4006,0xffffffff,0x001fffff,0x26677e60,
    0x99999999,0x8005fffc,0x0006fffa,0x00000fe8,0x001bffe6,0x07fffa00,
    0xffd00000,0x8000003f,0x3203fffd,0x3fe0be06,0x017e401f,0x03fffe60,
    0x07fffa00,0xff980000,0x7c40007f,0xfffc8006,0x7fec0005,0x1ffee01f,
    0x2017ffa0,0x5405fffa,0xff9803ff,0x3a2001ff,0xff3004ff,0x3fbae09f,
    0xfff9807f,0x7dc006c3,0xfff30001,0x3ffbae09,0x277e6007,0x99999999,
    0x05fffc99,0x000bf200,0x001ffff3,0x007fff88,0x00006f80,0x0037ffcc,
    0x0ffff400,0x3fa00000,0x000001ff,0x901fffec,0xf50be09f,0x06f8809f,
    0x07fffb00,0x03fffd00,0x7fc02800,0x260000ff,0xff88005f,0xf30001ff,
    0xffb809ff,0x2fff400f,0x27fffdc0,0xd006fe88,0x001fffbf,0x8007fff5,
    0xa8adfffe,0xcfffe8ed,0xffff1039,0x3a005b57,0x7ff40006,0x8eda8adf,
    0x039cfffe,0x260017e4,0x8000ffff,0xfb0006f8,0xff0007ff,0x4c0003ff,
    0x4c00005f,0x00006fff,0x001fffe8,0x3ffa0140,0x0140001f,0xc80ffff6,
    0x262f83ff,0x7dc00eff,0xfff50003,0xfffd000f,0x02d40003,0x000ffff6,
    0x50003fc8,0x2000bfff,0x5400fffd,0x3ea01fff,0x5fd406ff,0x511cfffc,
    0x3f600bfd,0x37dffd52,0x06ffe54c,0x7fffcc00,0xffd0efff,0x7ec05dff,
    0x1005ffff,0xf980007f,0x0effffff,0x05dffffd,0xd80037c4,0xb8003fff,
    0xff50003f,0xffb000ff,0x7e40009f,0x7cc00003,0x800006ff,0x0001fffe,
    0xfffd016a,0x02d40003,0xc80ffff6,0x5f0aefff,0x001bff71,0x7c0001ff,
    0x74003fff,0x10001fff,0xfff9805f,0x1ff30006,0x7ffe4000,0x77fe4003,
    0x4fff9801,0x0fffdd70,0xffd327cc,0x005dffff,0x3faa13ee,0xefffffff,
    0x7fdc0002,0x3fa0dfff,0xffb001cf,0x3ee0017d,0xffb80001,0x3fa0dfff,
    0x3fb801cf,0xffff5000,0x001ff000,0x01ffffc0,0x01fffe60,0x0007fcc0,
    0x1bffe600,0x3ffa0000,0x5f10001f,0x01fffe80,0xd805f100,0x64c03fff,
    0xfffeffff,0xbf7002ef,0xfffc8000,0x7fffc006,0x00fb0001,0x0013fff6,
    0x00005fd3,0x1009fff5,0x4001bffb,0xa8adfffe,0xcfffe8ed,0xa982f439,
    0x54001acb,0xacca9805,0xb9800001,0x000bb80a,0x4b800188,0x55cc0000,
    0x2000bb80,0x3e0000ff,0x2e003fff,0x7e40005f,0xfd8006ff,0x74c004ff,
    0x9800002f,0x00007fff,0x001ffff8,0xfff00fb0,0x1f60003f,0x00ffffa0,
    0xadfcaa98,0x017fc000,0x3fffe600,0x3fffe002,0x05fb8001,0x1bfffd10,
    0x04ffb880,0x3ff62000,0x3aea21be,0xf98002ff,0x0effffff,0x85dffffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00bf7000,0x06fffc80,
    0x0000bfe0,0x005ffff3,0x0dfffe88,0x027fdcc0,0xfffa8000,0xff800007,
    0xfb8001ff,0x1ffff805,0x805fb800,0x0005ffff,0x3f2000be,0x7cc0001f,
    0x8800ffff,0x2003ffff,0x4002ffd8,0xabdefffd,0x3ffffdb9,0xfb500000,
    0xdfffffff,0x7dc00019,0x3a0dffff,0x00001cff,0x00000000,0x00000000,
    0x00000000,0x40000000,0x4c0002ff,0xc802ffff,0x4c0001ff,0x000fffff,
    0x6ffffec4,0xfffdb9ab,0x2000003f,0x000ffffb,0x3fffe200,0x3ff62003,
    0x7fffc402,0x3ff62003,0x7fffe402,0x2f8000bf,0x3fff2600,0xfb30000e,
    0x017dffff,0x3fffffa6,0xccccccce,0x007fffec,0xfffffb50,0x019fffff,
    0x2a200000,0x00001bcb,0xbb80ab98,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffc80000,0x7fcc0001,0xf9300fff,0x20001dff,0xefffffd9,
    0x7ed4000b,0xffffffff,0x000000cf,0x37ffffe6,0xfe980002,0xccceffff,
    0xffeccccc,0x7ff4c07f,0xccccefff,0xfffecccc,0xffffdb07,0x07dfffff,
    0xfc800540,0x3fffffff,0xfffff100,0x25ffffff,0xffffffe8,0xffffffff,
    0x4fffffff,0x65544000,0x0001abcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x077ffe4c,0xfffd9800,0x3f20beff,
    0x3fffffff,0xfffff100,0x05ffffff,0x99955100,0x00001559,0x3ffffaa0,
    0x06ffffff,0x7ffff440,0xffffffff,0xffffffff,0xfffe884f,0xffffffff,
    0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0x03ffffff,0xffffff10,0x005fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6d400000,
    0xceeb9801,0x5f880001,0x00000000,0x3950b710,0x88000000,0x2e40004c,
    0x654c0000,0x00000abc,0x22000000,0x0000005b,0x00007e44,0x000027cc,
    0x80000000,0x80000fc8,0x06a000fd,0x00000040,0x88000000,0x0000bdda,
    0x00002fb8,0xff500000,0x700001ff,0x7fec3fff,0xc880000f,0x7e401fff,
    0x002ffdbf,0x80007f40,0x001ffffa,0x47ffd980,0x000dfffe,0x54003bf7,
    0x40006ffd,0x100001fb,0xfffddffb,0x7ff44009,0x4000004f,0x0007ffd9,
    0x403bfff2,0x000fffd9,0x4000fe80,0x000ffffa,0x07ffff10,0x0fffd980,
    0x01fdc000,0xe9813ee0,0x3fea0006,0x260001ff,0xa801ffff,0x03ffffff,
    0x0017e600,0x013fffe0,0x0fffec00,0x4ffd8000,0x00017ffc,0x3fffff66,
    0xb83bee01,0xf70002ff,0x7fe40005,0x75c0002f,0x3e67ffff,0x9803ffff,
    0xfb806fff,0x0006ffff,0x40001fc4,0x7dc0eff9,0xff1000ef,0x200000df,
    0x07ffffeb,0x03fffa00,0x00ffe9b8,0x0017e400,0x003fffb8,0x017ffe60,
    0x01ffd370,0x0037c400,0x3662ee98,0x360001df,0x40002fff,0x8802fffc,
    0x0fff50af,0x0007f400,0x017ffe60,0x02fff800,0x83ffa000,0x80005ff8,
    0x1fffe998,0xf887ff30,0x5f98006f,0x1fffc000,0x7d4cc000,0x3ffe27ff,
    0xffb806ff,0xfb9a807f,0xe80006ff,0xffe80006,0x00bff900,0x000fffcc,
    0x7fd4cc00,0xff30007f,0x3ff2003f,0x17e60000,0x0bffb000,0x0fffa800,
    0x00ffc800,0x0007f600,0xefcdfe88,0xfff80002,0xffe80003,0xf9037004,
    0x5f70003f,0xdff90000,0x7fcc0000,0x3e200004,0x007fd42f,0x3ffee000,
    0xb03ffb01,0xfe8005ff,0x3fe60000,0xfe800004,0x7f7fdc7f,0x7ffc400f,
    0x37ffc005,0x00fdc000,0x40bff500,0x2002fff8,0x00003ffa,0x003fff40,
    0x2002ffb8,0x20000ffc,0xe80000fe,0xfb80007f,0xffc8002f,0x07f50000,
    0x9fff1000,0x3fe60000,0xff880004,0x7fa80005,0x005f8800,0x001dfd00,
    0x002fe400,0x2e17e600,0xa800003f,0xfff01fff,0x009ff901,0x200017e4,
    0x000005fc,0x7e80fffb,0x00059300,0x0000dffd,0x740007f1,0x7ff403ff,
    0x037dc004,0x3ff60000,0x07fd0007,0x000ffc80,0x00005f70,0x0000bfa2,
    0x320017f2,0xf88000ff,0xffa80006,0x80000eff,0x700005fc,0x3a0000df,
    0x0fd8001f,0x1ff98000,0x03740000,0x407dc000,0x75c0006d,0xfffeeeee,
    0xfff13eee,0x00bff701,0x200013e6,0x000000ee,0x6f80fff9,0xfd800000,
    0xdd00006f,0x17ffc000,0x0017ff60,0x000003f6,0x8007ffc8,0xfc8004f8,
    0x5f88000f,0x27c40000,0x007d8000,0x8000ffc8,0x260001fd,0xeffa8cfe,
    0x03740000,0x001db000,0x0005f700,0x200007f5,0x400001fb,0x800000e9,
    0x0003d03c,0xffffffc8,0x54ffffff,0x3fee0fff,0x001dd007,0x0000f880,
    0x81fff200,0x000002f9,0x0006ffd8,0x10003f70,0xfd803fff,0x05d0006f,
    0x7fe40000,0x005b8007,0x0001ff90,0x000001fd,0x220000f3,0x7fe4001e,
    0x027d4000,0xd83bf900,0x30000eff,0x2200001d,0x3220001f,0x2002ffff,
    0x200006f8,0x8800002d,0x05000000,0x30000014,0xff503fff,0x01ffee0f,
    0x200007f2,0x40000018,0xbd107ffc,0x8001a800,0x00006ffd,0xf30009f1,
    0xffe803ff,0x00310004,0x3ffe4000,0x80004c00,0x5c000ffc,0x2000003f,
    0x06200001,0x001ff900,0x20003744,0xdfff1019,0x00022000,0x80001880,
    0x03fffdaa,0x00003fb0,0x00000014,0x00000000,0xfff30000,0x20fff103,
    0x7d406ffb,0x00000004,0x1fff2000,0x900037e6,0xdffb0003,0x03740000,
    0x007ffd40,0x00007ffe,0x7e400000,0x0000007f,0x10007fe4,0x000000bf,
    0x80000000,0x32000ffc,0x4000001f,0x0003fffb,0x00000000,0x00dff500,
    0x000007f5,0x2aa60000,0x000a9801,0x00009980,0xff986a20,0x01fff01f,
    0x7c409ff9,0x26200006,0x20004c0a,0x1fff20a9,0x3a0003d3,0x6ffd8000,
    0xfb800330,0x7ffd4001,0x01ffe600,0x0000a988,0xff9054c0,0x2662000f,
    0x03ff2000,0x0000fd80,0x0009a880,0x80009980,0xf3000ffc,0x0c000009,
    0x0001fffd,0x10000266,0x40000153,0x3e200ffd,0x51000006,0x7f5c0013,
    0x5c4fffff,0x03fffffe,0x3fff6a20,0xa8001cef,0x9bfffffd,0xffb01fff,
    0x407ffb03,0x880001fd,0xcdfffffd,0xffec800f,0x7ffc9eff,0x01e00004,
    0x9137fec0,0x003bfffd,0xfa8009f1,0x3ff600ff,0xffffb802,0x90004dff,
    0x93dffffd,0x64400fff,0x03fffffe,0x5000ffc8,0x4c00007f,0x2efffffd,
    0x3ff6a200,0x9001ceff,0x3ba001ff,0x6e400000,0xfffbefff,0xffb51005,
    0x40039dff,0xdffffffb,0x3fd40004,0x00007f20,0xfffffd98,0x3bfa202e,
    0x29fff712,0xffb99bfd,0x7fd400df,0xfffc989c,0x2bff2002,0xffffea88,
    0x87ff301f,0x3ea06ff8,0xefa80004,0xfffda88a,0x477fa200,0x7fffffb8,
    0x01a60000,0xe8b7fec0,0x2fffffff,0x54006e80,0x74c40fff,0x7f4400df,
    0xbffd30be,0x8eff4400,0x7fffffb8,0x137ff500,0x401dffd7,0xf8800ffc,
    0x3ee00006,0xfffdb9ad,0x67fd400d,0x2fffc989,0x800ffc80,0x200002fc,
    0xdb9acfe9,0x402fffff,0xc989cffa,0x74402fff,0xffd30bef,0x2fdc000b,
    0x00009f50,0x6dcd6fdc,0xff80dfff,0xffffa81f,0x4fff881f,0x540ffee0,
    0xfd804fff,0xfffe880e,0x83fee01f,0xdf102ffb,0x3ff10000,0x4c03fea0,
    0xfff304fe,0x740000ff,0xdffb0003,0xfffbdfd1,0xfb807fff,0x3ffea001,
    0x0bfffea0,0x220bffa0,0xe9804fff,0xffff304f,0x01df900f,0x640dfff5,
    0x1fd800ff,0x07fb0000,0xb813fff2,0xfff503ff,0x00ffc809,0x00002fcc,
    0x3f205ff5,0x3ee05fff,0x9fff503f,0x4417ff40,0x06204fff,0x6e8807f4,
    0x0ff60000,0x2a27ffe4,0x3ffe06ff,0x3fff203f,0x405ff981,0x3603fffb,
    0x3fe201ff,0x6fec01ff,0x3602ffda,0xfb80001f,0x4407e406,0x7fd406ff,
    0xf700007f,0x3ff60003,0x7fd40dee,0x3e200fff,0x3ffea004,0x3fffae20,
    0x0fff502f,0x2203ffec,0x7fd406ff,0x17fcc07f,0x305fffd0,0x54015ffb,
    0xf500004f,0x1fffd80b,0x5c05ff98,0xfb303fff,0x07f4015f,0x4ff88000,
    0x07fffec0,0x2e02ffcc,0xffa83fff,0x81fff607,0xefcbdfff,0x0007f201,
    0x3602fd40,0x3ff21fff,0x03fffa06,0xe85fff98,0x7fc400ff,0x5ff980ff,
    0x01fffd80,0x00bddb88,0x55100fea,0x007fe401,0x5ff901f3,0x07fff880,
    0x005f9800,0x80ffff60,0x404ffff9,0x3fea006e,0xffff300f,0x40fff905,
    0x3200fffc,0x7fc402ff,0x02ff407f,0x970ffff2,0x10199999,0x076c00df,
    0x7dc00fe8,0x0ffe86ff,0x07fffc40,0x3333332e,0x7102fb80,0xfd801799,
    0xffff800f,0x400ffe83,0x640ffff8,0x3ff207ff,0xdfd9500f,0x04f98059,
    0x7f403b60,0x37ffdc00,0x7f409ff5,0x7ffc407f,0x803ffd46,0xfd84fffc,
    0xfffb801f,0x7c400001,0x3bff6205,0x3ffd81df,0x3fe20740,0x0fffd007,
    0x02ff8800,0x01bff600,0x701fffee,0x3fea003f,0x3ffe600f,0x02ffd41f,
    0x2201fff7,0xffd007ff,0x017fdc0f,0x0003bf62,0x36003f90,0x07fb80ff,
    0x547fff98,0xff9007ff,0x7cc0009f,0xfffff705,0x1bfea07f,0x237ffe40,
    0xf9007ffa,0x5ffa89ff,0x003ffee0,0x001fd000,0x3ee03ff6,0x7fff9807,
    0xffd005cc,0x9999999f,0xfc8ffff9,0xfff1006f,0x00fffa8f,0x001fff98,
    0xd007ec00,0x03bee1bf,0x201bfff7,0x02ffe409,0x0007ffc8,0x200037f4,
    0xfd006ffd,0x27c401ff,0x00fffa80,0x542fffdc,0x3ffea00b,0x00bff900,
    0xfe81fff2,0x0001001f,0x2e009f30,0xefe80fff,0xcccccccc,0x321ffffc,
    0xff1006ff,0x7f4000ff,0xdabdf880,0xffe83fff,0xffff3005,0x8037fe41,
    0xba87fff8,0x03ffea00,0x02fc8000,0xd01fff70,0x999999df,0x3ffff999,
    0x3fff2200,0xeeeeeeef,0x3a0eeeee,0x3fa004ff,0x1fff21ff,0x00fffcc0,
    0x407f7000,0x37f40ffc,0x0bbfffe2,0x8027ffc0,0x20007ffc,0x40003ffc,
    0xf7006ffd,0x06d805ff,0x801fff50,0x001ffff8,0x03ffff66,0xc8027ffc,
    0x3ffe07ff,0x20000000,0xfdf3006e,0x99dff01f,0x99999999,0x7ff43999,
    0x3fffa004,0x03fb8001,0x0fff50b9,0x7c009fff,0x3ffa1fff,0x3fffa004,
    0x3ff66001,0x300000ff,0x3be600bf,0xceff80ff,0xcccccccc,0x4c01cccc,
    0x06fffefd,0x01fffc00,0x6c5fffb0,0xff3006ff,0x2200003f,0x17fe605f,
    0xffb0ffee,0x4405dfff,0xf9003fff,0x3ea000ff,0x6c0000ff,0xff5006ff,
    0x01fb807f,0x800fffa8,0x4402fffc,0xfffccfeb,0x03fff880,0x260fff90,
    0x000007ff,0x22007f20,0x440ffbcf,0xf80006ff,0x3f6003ff,0x7c4002ff,
    0x7f403605,0x0fffe20f,0x22fffe80,0x36003fff,0x5c402fff,0x0fffccfe,
    0x01fd0000,0x1ff59f10,0x0006ff88,0xe977f540,0x260006ff,0x32004fff,
    0x3ffe3fff,0x3fff3006,0x03fa0000,0xf983ffb8,0xffffc85f,0xff980eff,
    0xfff9003f,0x13ffa000,0x1bff6000,0x01fffcc0,0x3ea013e2,0xffa800ff,
    0x7ff9103f,0x203ffea1,0x9003fff9,0x3fea0fff,0x8000000f,0x5e8804f9,
    0xff981ff7,0x7fcc0007,0x3ff2004f,0x07ec003f,0x545fc800,0x36004fff,
    0xfff33fff,0x7ffe4009,0x17ff9103,0x0003ffea,0x2200fee0,0x981ff55e,
    0x300007ff,0xffe85dfd,0x3fee0007,0x3fee005f,0x0ffff12f,0x007ffe60,
    0xb00bee00,0xfff307ff,0x3ffffa60,0x7ffdc2ff,0x0fff9004,0x05fff500,
    0x0dffb000,0x00bffe20,0x3fea01f6,0xfff9800f,0x40dff984,0xfb80fffa,
    0xff9004ff,0x07ffea0f,0x3fa00000,0xf70ed800,0x0fffa81f,0x3ffee000,
    0x3ffee005,0x00fea002,0x7dc2ff80,0x3f2005ff,0xbfff72ff,0x17ffdc00,
    0x2a06ffcc,0x40000fff,0x1db005f8,0xff503fea,0xfb80001f,0x0fffb04f,
    0x37ffd400,0x21fff700,0x3007fff8,0x80003fff,0xffe805f9,0x00fff882,
    0x3fffffea,0x017ffee3,0x4003ffe4,0x6400fffc,0x1bff602e,0x00fffcc0,
    0x3ea00fdc,0xff8800ff,0x827fd44f,0xfb80fffa,0xff9005ff,0x0fffe60f,
    0x5f900000,0x7dc1f700,0x0fffc40f,0xdfff5000,0x07ffdc00,0x0006f880,
    0xff503fe6,0x7fdc00df,0x0dfff50f,0x207ffdc0,0xff504ffa,0xfe80001f,
    0x2a1fb800,0x7ffc40ff,0x3fea0001,0x03fff205,0x3ffe2080,0x1ffee007,
    0x3001ffff,0x80003fff,0xfff800fe,0x01fff882,0x27ffffb8,0x9006fff9,
    0xfd000fff,0xfff980ff,0x00dffb01,0x4401ffea,0x7ffd404f,0x47fff000,
    0x3ea05ffa,0xfff980ff,0x0fff9006,0x001bffe2,0x17e60017,0xff70bea0,
    0x00bfff01,0xffff1098,0x03ffdc00,0x40003fb0,0xfff981fd,0x9bff2007,
    0x2007fff8,0x7fd47ffb,0x03ffea05,0x803fb800,0x07fd42fa,0x2002fffc,
    0x405ffb09,0x1002fffb,0x01ffff8d,0xfd8bff90,0xff9803ff,0x3f20001f,
    0x05ffd002,0x0321fff1,0x11fffe98,0x9001ffff,0xff000fff,0xfff880df,
    0x00dffb03,0xd801bfee,0x07ffd407,0x3e2fff80,0x3fea03ff,0xffff880f,
    0x07ffc800,0x4007fffe,0x03fa0068,0xff707f10,0x03fffd01,0xffff0740,
    0x17ff2003,0x0001fd40,0x7ffc05f7,0x9ff9001f,0x001ffff8,0xfff8bff9,
    0x03ffea03,0x4037c400,0x0ffa83f8,0x001fffe8,0x07ffe23a,0x006fff98,
    0x4fffc899,0xc87ffb00,0xf9806fff,0xf30001ff,0x1ffe4009,0x05b3ffcc,
    0x3e4fffa8,0xfc804fff,0xffe8007f,0x05ffd807,0x3600dffb,0x3ee003ff,
    0x03ffea01,0x4c3ffe20,0x3ea01fff,0xffff00ff,0x0fff9009,0x802fffec,
    0x05f7003d,0xdddddfb0,0x6c5ddffd,0xd5006fff,0x004fffc8,0xf1007ffb,
    0x17d4000d,0x00ffff60,0x3f21ffec,0xffb004ff,0x00fffcc7,0x0001fff5,
    0x3f6007f6,0xffeeeeee,0x3fff62ee,0x3ead5006,0x7ffc04ff,0x20fd403f,
    0x800ffff8,0x7fc40fff,0x7fcc03ff,0x1dd0002f,0x427fdc00,0x01766ffa,
    0xffb8fffa,0x7fe400ff,0xfffd8007,0x81ffd400,0xf8806ffd,0x27c4005f,
    0x261fff50,0x2ffc41ee,0x5c09fff5,0xff701fff,0xffc801ff,0x3fffe607,
    0x4007dc05,0xffd005f8,0xffffffff,0x7fffcc5f,0x10fe600e,0xf001ffff,
    0x3f9001ff,0x00bea000,0x003fffe6,0xff103ffe,0xfff001ff,0x027ffd41,
    0x0003fff7,0x3fa009f5,0xffffffff,0x3ffe62ff,0x4fe600ef,0x2e07fff9,
    0xa84fffff,0xfff905fd,0x03ffa80b,0x405ffff9,0x8003fffc,0x7c4001fc,
    0x22ffc86f,0x7fe401fd,0x077fff41,0x00fffe88,0x027ffd40,0x7ec07fe2,
    0x0ffc806f,0x2e07d800,0xbff90fff,0x3e61ffb8,0xfff707ff,0xffd0e23f,
    0x3fa201df,0x3ff600ff,0x7ecc1dff,0x001fb004,0x201ff700,0x1bfffffc,
    0x320dfb51,0x7d405fff,0x04fa803f,0x2a03f700,0x02fffe40,0x7e40ffee,
    0x7fd405ff,0x83fffcc3,0x711ffffb,0x000df100,0x6403fea0,0x11bfffff,
    0x7fc4dfb5,0x3fa61dff,0xefffffea,0x200efffd,0xd103fffd,0x7ffc40bf,
    0x3f620bff,0x01aaffff,0x50004f98,0x37fc41ff,0x7c403ff6,0xffffa85f,
    0x7fffd42f,0x320039df,0x3f201fff,0x13fff604,0x0002ffb8,0x3ff203f5,
    0xe89ff50f,0xfffff84f,0xffbeeb9b,0x7d41ebdf,0x7d42ffff,0x839dffff,
    0xfffffff8,0x7006fffe,0x2e00007f,0xfff100ff,0xffffffff,0x7ffec03f,
    0x00bfd103,0x32000dd1,0xda9999af,0x07fffd06,0xfb017fa2,0x3fa207ff,
    0x7fffff05,0xfff7dd73,0xfb003d7b,0x3ea00003,0xffff100f,0xffffffff,
    0xfffffb83,0xfd10efee,0xffffffff,0x9fff9003,0x013fea25,0x3fffffa2,
    0xfffadffe,0x74400cff,0x7fdc0006,0x6c1efe9a,0x7e442fff,0xffff500e,
    0xf97ffdff,0x4007dfff,0x4c3fffd8,0x7ecc05fb,0xf931aeff,0x7c40003d,
    0x0ffff984,0x27f557fa,0xffffffa8,0xffff88df,0xffff501f,0xf97ffdff,
    0x2207dfff,0xfffffffe,0x6f8800ef,0x3fee0000,0x3fffa200,0x02ffffff,
    0x12cfffc8,0x32009ff5,0x7ec4001f,0xffffffff,0x37fff603,0x009ff512,
    0x44b3fff2,0x3ea04ffa,0x8dffffff,0x01fffff8,0x00004fa8,0xe8803fea,
    0xffffffff,0xffff702f,0xff9107ff,0x001bffff,0x7fffff5c,0x7e4002df,
    0xf33fffff,0x320017df,0xda80001f,0xddb04fff,0x9ffdbfff,0xfffe8801,
    0xbff91eff,0x7f540003,0x02efeeff,0x3ffff660,0x00003fff,0x7fffccfb,
    0x3ff260ff,0x7fd403ef,0x7fec2fff,0x7ff4401e,0xff91efff,0x3ff6003b,
    0x2003ffff,0x200000fd,0xfc800eea,0x00efffff,0x3ffffae0,0xf3002dff,
    0xddd70009,0x1ddddddd,0xfffffa80,0x5c001dff,0xdffffffe,0xffffa802,
    0x0f7fec2f,0x0007fc40,0x001dd500,0xdffffff9,0x1acb8801,0x01597100,
    0x55dd4400,0x2e620000,0x000e441b,0x4000004c,0x2ea60c00,0x544000ab,
    0x005d40ac,0x57753000,0x5cc40003,0x400001ac,0x060000c9,0x40153100,
    0x65440009,0x0005d40a,0x004ddcc4,0x00000260,0x565cc000,0x2ea20000,
    0x0c4000ab,0x00000000,0x00157951,0x0abba880,0x0054c400,0x04c40013,
    0x80000000,0x0000acb9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00000cc9,0x00000000,0x50004400,0x0036e200,0x4ccc4000,0x01999999,
    0x0bceecb8,0x40098800,0xfffe8000,0x8024c003,0xfff5002b,0x02cc001f,
    0x003103a8,0xa880000c,0x22006edb,0x0002ffff,0x32000000,0x70006fff,
    0x7000dfff,0x0579dfd9,0x22000000,0x200000db,0x99999998,0x19999999,
    0xa80072a0,0x1000001d,0x88001003,0x005ffefe,0x13fffa20,0xffe80000,
    0x0744004f,0x32602d40,0x00000fff,0xffffffb0,0x74c0dfff,0x2fffffff,
    0x9fffd100,0xf7001601,0x8001ffff,0x01b200ed,0x04ffffe8,0xd7007640,
    0x79801f80,0x7ff54000,0x7e4001bd,0x20006fff,0x741ffff9,0xf1004fff,
    0x8005ffff,0x03fffff8,0x9559fd50,0x0001bfff,0x803ffff5,0x000fffc9,
    0x3ffffa00,0xffffffff,0xffa80fff,0x3ff2201f,0x4c00001f,0x9104fffe,
    0x2a1fb800,0x3e20001f,0x000006ff,0x000bfff3,0x2e202bbe,0xfffd503f,
    0x000001ff,0xfffffff1,0x3ea05fff,0xffffffff,0xfffe804f,0x02543fff,
    0xfffdff10,0x1ff88009,0xf7001fc8,0x003fffdf,0x7dc17fc4,0x4057ec02,
    0x30005fa8,0x40007ffd,0x3fffeff9,0x7fff7000,0x00fffd10,0x3fffbff6,
    0x3bff2000,0x7d400fff,0x3dffd305,0x2fffc800,0x3ffffaa0,0xf300000f,
    0xffffffff,0x0dffffff,0x260ffff6,0x01fffffd,0x7fffc000,0x01dc2fff,
    0x017a13a0,0x03fff300,0xdff70000,0x3fee0001,0xffffdcef,0xfff53300,
    0x9000001f,0xffffffff,0x33fe60df,0xffffb98a,0x2f3ea01f,0xbbeffffe,
    0x3bf2003e,0x001ffe98,0x9fb1ffe4,0x5cbfe200,0x7dc005ff,0x2017f24f,
    0xecdefff9,0xb8001fff,0x40001eff,0x1fff35fd,0x09ffd000,0x200fffcc,
    0x9ffb1ff9,0x64bfe600,0x3fe204ff,0x1bffe600,0x807fff00,0x0ffff999,
    0xfff90000,0xffffffff,0x2a07ffff,0x99880fff,0x0001fffe,0x3feefee0,
    0x2fbbefff,0x320be200,0xffa80006,0xfe800003,0x7ec0000f,0x2fffffff,
    0x01fff900,0xadf88000,0x1aaaaaaa,0x3a201db0,0x07205fff,0xdffffff9,
    0x6c2fcc00,0x7fc4006f,0x000ffddf,0x2ff985f9,0x6efff400,0xff9001ff,
    0x07ffffff,0x01bff900,0x444fa800,0x7c4004fe,0x3ffa805f,0x3ee0ff40,
    0x41fd800f,0xff901ffa,0x05fff900,0x0013fe60,0x0001fff9,0x357bff10,
    0x73333333,0x0e4c01ff,0x00fffdc0,0x6441b000,0x05ffffff,0x04f85d80,
    0x00df7000,0x01ff8800,0xffff9000,0x7dc005ff,0x400000ff,0xd50000fc,
    0x6fff9801,0x7fec4160,0x176000ef,0x5c002fb8,0x003fffff,0x1ba203f3,
    0xfffff500,0xfffb8009,0xd8003fff,0x80000eff,0x007f204e,0x2e006fb8,
    0x403ae06f,0x0fd405f9,0xffd05e98,0x4fffa803,0x000bf900,0x0001fff7,
    0xd8007f70,0x2a00006f,0x00001fff,0x7fff4c16,0xcfa8000d,0x0000fd99,
    0x00003f20,0x00002fa8,0x005665cc,0x7fff7764,0x02eeeeee,0x0004f880,
    0x7ff4002a,0x15100206,0x9804a800,0xfffe8006,0x20076006,0x7fec003c,
    0xb88000ff,0xc8000acc,0x80001fff,0x005a803b,0xf90003b6,0x8801b101,
    0x1003601d,0x09ffd05b,0x006fff98,0xf50001dd,0xd00001ff,0x07ff0009,
    0x7ffd4000,0x00200001,0xb8000151,0x0002effe,0x00002d80,0x000000f6,
    0xffffd800,0xffffffff,0x00fc8003,0xffb00000,0x00000007,0x40004001,
    0x20009998,0x10002000,0x00001333,0x7ffd4000,0x00100003,0x01f88004,
    0x01107b00,0x40010040,0x407ffc80,0x8805fff8,0xff50000f,0x4880001f,
    0x00ffa800,0x3ffea000,0x00000001,0x00660000,0x00188000,0x00000a00,
    0xffa80000,0xf100000f,0x0000037f,0x0003ffb0,0x00000000,0x00000000,
    0x00000000,0xfff10000,0x0000000b,0x00018800,0x00000062,0xdff30000,
    0x03fff980,0x2a000188,0x00000fff,0x00df9000,0x1fffa800,0x00000000,
    0x00000000,0x00000000,0x0a988000,0x1fff5000,0x3ff20000,0x0002ceff,
    0x000bff00,0x80000266,0x10000099,0x88000135,0x44000099,0x44000099,
    0x3f20009a,0x000002ff,0x00000000,0x81531000,0x26a20009,0x80171000,
    0x0001fffb,0x0fffa800,0xf0000000,0xa800007f,0x00001fff,0x0002a620,
    0x000a9880,0x00000000,0x3ee00000,0x04dfffff,0x403ffea0,0xfff10009,
    0x01bfffff,0x077c4000,0xfffda880,0x44001cef,0xceffffda,0x7fecc001,
    0x2002efff,0xfffffec8,0x3fb22003,0x2003ffff,0xefffffd9,0x3fffcc02,
    0xddddb000,0x3bbba0bd,0x2a2004ee,0x40151000,0xdfffffd8,0x7ecc00fc,
    0x002effff,0x00dffb00,0x3fea0000,0x0001300f,0x003fea00,0x3ea00544,
    0x800001ff,0xdffffffb,0xfff70004,0xd809bfff,0xd05eeeee,0x209ddddd,
    0x05eeeeed,0x09dddddd,0x30befe88,0x2a00bffd,0x3f660fff,0x7e403eff,
    0xffffffff,0xdb00002f,0x33fea001,0x2fffc989,0x139ff500,0x005fff93,
    0x36e6b7ee,0x5400dfff,0xfeb89bff,0x7fd400ef,0xeffeb89b,0x4d6fdc00,
    0x00dfffdb,0xa989fff9,0xffc9800a,0x3ff6607f,0xffc9805f,0x07fe4c00,
    0xa88aefa8,0x2e00fffd,0xffdb9adf,0x220000df,0xeeb82fff,0xeeeeeeee,
    0xa85eeeee,0x3f660fff,0x00003eff,0x64c037e4,0x7fd401ff,0xeeee881f,
    0xe881eeee,0xffd30bef,0x77f4400b,0x0bffd30b,0x07fffc98,0x817fff66,
    0x207fffc9,0x405fffd9,0xff882ffe,0xfffa804f,0xffffff70,0x554c405f,
    0xfffffffd,0x0fec0004,0x503ffb80,0xfb809fff,0x9fff503f,0xf903fd80,
    0x77e409ff,0x06fffa80,0x3ea03bf2,0x0ff606ff,0xf827ffe4,0xffd99fff,
    0xe802ffff,0x7fcc07ff,0xffd7105f,0xfd7101ff,0xff101fff,0x403fea03,
    0xfff903fd,0x7fe40009,0xdddffb04,0xffdddddd,0xfff507ff,0x3ffffee1,
    0x200001ff,0xfd7103ff,0xfa803fff,0xffd101ff,0x7ff4037f,0x04fff882,
    0xf105ffd0,0xffd009ff,0x5fff980f,0x407ffe80,0x2a05fff9,0x3ff607ff,
    0x8fffa807,0xffbabdfc,0xfd98006f,0x8003ffff,0x403fffd9,0x7dc05ff9,
    0xbff303ff,0x03fffb80,0xffd80bf5,0x02ff981f,0x260bfffa,0x3ffa02ff,
    0x405fa82f,0x7d41fffd,0xbbcfdfff,0x404ffffe,0xff807ffd,0xff99705f,
    0xf99701ff,0xdf701fff,0xfa80fc80,0x0fffec05,0x037fc400,0xff9003fb,
    0x3ffea0bf,0xfcaacfc8,0x300006ff,0x332e01ff,0x5401ffff,0x3fa01fff,
    0x3ffd400d,0x500fffb0,0x7fec0fff,0x07ffd807,0xd805fff8,0xfff807ff,
    0x81fff205,0x5400fffc,0xb81edfff,0x50003fff,0x001ffffd,0x3fffffae,
    0x1ffd00ef,0x0ffff880,0x4400ffe8,0xfe80ffff,0x37ffdc00,0x3f202ff4,
    0x05fe83ff,0x741fffe4,0x7ffdc00f,0x67fffe46,0x4ffff980,0x201fff20,
    0xfd805ffe,0x7fec00ff,0x00ffc80f,0x03fa03e6,0x00dfff70,0x6c01ff90,
    0xffff9804,0xdbfff500,0x07fff903,0x00df9000,0x5007fff6,0x3f603fff,
    0x0fff9003,0x2007ffe4,0x3f207ffc,0x7fe400ff,0x05ffe807,0xe807ffc8,
    0x3fea05ff,0x03ffee05,0x01bfff50,0x0013ffe2,0x06fffe88,0xfffedb88,
    0xffa86fff,0x9fff9007,0x9007ffa8,0x7fb89fff,0x47fff980,0x6c402ffb,
    0x17fdc0ef,0x703bf620,0xfff300ff,0x02fffd8f,0x807fffd4,0xfe807ffc,
    0xfffb805f,0x07ffdc00,0x3a01ffec,0x4c03fdc0,0x44007fff,0x016c01ff,
    0x807fffe2,0x200dfffa,0x80004fff,0xff7003ff,0xfffa803f,0x001fec41,
    0x7dc0bff5,0x7fd400ff,0x03ffee05,0xd00fff90,0xff900bff,0x0bffd00f,
    0x3ea00ba8,0x7fd400ff,0x2fff400f,0x3ffe2000,0x7e44000f,0x7e43ffff,
    0xfff1006f,0x006ffc8f,0xfe8ffff1,0xccccccce,0x21ffffcc,0x01001ffe,
    0x04007ffa,0xccccefe8,0xfffccccc,0x07fffa1f,0x417fff60,0xfe807ffc,
    0xfffa805f,0x07ffd400,0x806fffdc,0x6677f409,0xfccccccc,0x32001fff,
    0x400b802f,0x5403fffd,0x7f400fff,0x7cc0005f,0xfff5000f,0x1fffa803,
    0x2000bfa2,0x3fea00ba,0x00ba800f,0x9003ffea,0xffd00fff,0x0fff900b,
    0x000bffd0,0x07fffecc,0x003ffea0,0x0000dffb,0x0005fff5,0xd1bfffa6,
    0x7f4009ff,0x13ffa1ff,0x21fffe80,0xccccceff,0xcccccccc,0x0003ffe1,
    0x0001fff0,0xcccceff8,0xcccccccc,0x07fffe1c,0x41fffea0,0xfe807ffc,
    0xfffa805f,0x07ffd400,0x177fffc4,0xccceff80,0xcccccccc,0x13e001cc,
    0x7ffdc000,0x0fffa805,0x0037fec0,0xa801bf20,0x7d401fff,0x05fd11ff,
    0xffb30000,0x980001ff,0x400ffffd,0xfe807ffc,0x7ffc805f,0x005ffe80,
    0x7e67f5c4,0x7fd400ff,0x37fec00f,0x3ffe8000,0x3ffe6000,0x00fffe1f,
    0x3e2fffd8,0x3f6003ff,0x0dff12ff,0x07ff9800,0x03ffcc00,0x01bfe200,
    0x03fffe00,0x407fffc0,0xfe807ffc,0xfffa805f,0x07ffd400,0xefffffd8,
    0x01bfe202,0x01f50000,0xffff3000,0x1fff5001,0x006ffd80,0x5001ffc0,
    0xfa803fff,0x01ff99ff,0x3fae2000,0x000fffcc,0xfccfeb88,0x7fe400ff,
    0x05ffe807,0xe807ffc8,0xf91005ff,0x3ffea17f,0x07ffd400,0x001bff20,
    0x002ffdc0,0x4cbfff20,0x32004fff,0xfff33fff,0x7ffe4009,0x000fff33,
    0x000fffa8,0x003ffea0,0x007ff980,0x007ffe80,0x3207fff6,0xffe807ff,
    0x0fffa805,0x007ffd40,0xdffffff9,0x00fff301,0x004b8000,0x1ffff880,
    0x01fff500,0x0006ffd8,0xa8003fe6,0x7d401fff,0x01fffbff,0xbffc8800,
    0x001fff50,0xa85ffe44,0x7e400fff,0x5ffe807f,0x807ffc80,0xf9805ffe,
    0x7ffd40df,0x07ffd400,0x001bff20,0x001ffcc0,0x5cbffe60,0x2e005fff,
    0xfff72fff,0x7ffdc00b,0x001fff52,0x00fffd40,0x03fff500,0x07ffd400,
    0x3fff6000,0x5fff9000,0xd00fff90,0xff500bff,0xfffa801f,0x7fff4c00,
    0x7fd42fff,0x2000000f,0xfd80002d,0x3ea003ff,0x7fe400ff,0x1bf20006,
    0x03fff500,0xffcfffa8,0x260000ff,0x7fd40dff,0xbff3000f,0x00fffa81,
    0x7403ffe4,0xffc805ff,0x05ffe807,0xfa827fd4,0x7fd400ff,0x37fe400f,
    0x1ff88000,0x7ffc4000,0x00dfff51,0xfa87ffdc,0x3ee006ff,0x3fff10ff,
    0x7ffcc000,0x3fe60003,0x3e20003f,0x640001ff,0xf7001fff,0xfff903ff,
    0x00bffd00,0xa801fff5,0xf5000fff,0x447fffff,0x00001fff,0x700003a0,
    0xa800bfff,0x7e400fff,0x3fa0006f,0x7ffd4003,0x4fffd401,0x0005fffc,
    0x3ea09ff5,0xffa800ff,0x01fff504,0xe807ffc8,0xffc805ff,0x05ffe807,
    0xfa817fea,0x7fd400ff,0x37fe400f,0x0ff98000,0x0ffe8000,0x400ffff1,
    0x3fe27ffb,0x3fee007f,0x002fffc7,0x37ffc426,0x7fc42e00,0xf05c006f,
    0x09800bff,0x400bffea,0xff907ffb,0x0bffd00f,0x801fff50,0x4000fffa,
    0x7c7ffffb,0x04c005ff,0x4c000680,0x4000ffff,0x6400fffa,0xf30006ff,
    0xffa8001f,0x7ffd401f,0x009fffb1,0x2a05ffa8,0x7d400fff,0x3ffea05f,
    0x03ffe400,0x6402fff4,0xffe807ff,0x80fffe05,0x5400fffa,0x7e400fff,
    0xf500006f,0x3fa0000d,0x00ffffc6,0x7fc5ffc8,0xff9001ff,0x01fffe8b,
    0xffff83a0,0xff8d1001,0x8d1001ff,0x2001fffe,0x13ffe60e,0xb837fe40,
    0xffe807ff,0x0fffa805,0x407ffd40,0x3ffa600c,0x07fffa1f,0x00000e80,
    0x1ffff880,0x0fffa800,0x0037fe40,0xa8006fc8,0x7d401fff,0xfffd11ff,
    0x1fffc005,0x801fff50,0x3ea03fff,0x7fdc00ff,0x05ffe807,0xe807ffb8,
    0xfff305ff,0x07ffd403,0x003ffea0,0x0000dff9,0x400007f6,0x7ffe43ff,
    0x87ffb004,0xb004fffc,0xfffd87ff,0xfd8d5006,0x87b005ff,0xb005fffd,
    0x06fffd87,0xdffb0d50,0x40bff600,0x7400fffb,0xffa805ff,0x7ffd400f,
    0x7d402d80,0x3fff64ff,0x000d5006,0x3fff6000,0xfff50003,0x06ffc801,
    0x0007fd00,0xa803fff5,0x3fe61fff,0xff9801ff,0x3ffea01f,0x07ffe600,
    0x400fffa8,0x7400fffb,0xffb805ff,0x2fff400f,0x204fffa8,0x5401fffb,
    0x7e400fff,0xfa80006f,0xdf700003,0x01ffff10,0xf881fff0,0xff800fff,
    0x7fffcc0f,0x30fe600e,0xb80bffff,0x7fffcc0f,0x2607dc05,0x200effff,
    0xfff883f9,0x206fe802,0x2a01fffa,0xfa806fff,0x7fd400ff,0xe805d80f,
    0x3ffe63ff,0x0fe600ef,0xf7000080,0x09300bff,0xc801fff5,0xf98006ff,
    0xffa8001f,0x7ffd401f,0x077ffdc1,0x813ffea0,0x2a01fffb,0x3ee04fff,
    0x7fd401ff,0x3ffea01f,0x1fffa806,0x41bffea0,0xf707fff9,0x20e23fff,
    0x6401fffa,0x2dd986ff,0x2a037cc0,0x01ff8800,0xa80bfff9,0xfff903ff,
    0x03ffa80b,0x37fffff9,0x6c1bf6a2,0x4c1dffff,0xfffb04fd,0x4fd983bf,
    0x7fffff90,0x81bf6a23,0x7d406ffa,0x3ffe602f,0xfffdd704,0x03fff500,
    0xd81fffa8,0x0ffe401f,0x2ffffff2,0x00dfb511,0x8003bfa2,0x800ffff9,
    0x1fffa83a,0x003ffec0,0xa80037e4,0x7d401fff,0xfffc81ff,0x3fffcc05,
    0x11ffffb8,0x07fff987,0x223ffff7,0x04fff983,0x00fffdd7,0x2e09fff3,
    0x3e07ffee,0xeb9bffff,0xebdfffbe,0x01fffb81,0x7ec3ffec,0x3220adff,
    0x3ffa00df,0x03dd301d,0x103fffd8,0xffd80bfd,0x0bfd103f,0x7fffffc4,
    0x01ffffff,0xfffffff1,0x440dfffd,0xefffffff,0x3e206fff,0xffffffff,
    0x7ec01fff,0x07fd104f,0x15bfffd0,0xfffd1db5,0x3fee0739,0x7ffdc01f,
    0x100ffd81,0xfff10bff,0xffffffff,0x3ff2003f,0xfff1004f,0x20f2003f,
    0x6c01fffb,0xfe8007ff,0xfff70003,0x2fffb803,0x809fffd0,0xb9bfffff,
    0xbdfffbee,0xfffff81e,0xffbeeb9b,0xfd01ebdf,0xdb515bff,0x739fffd1,
    0x56ffff40,0xffe8eda8,0x7fd439cf,0x88dfffff,0x901fffff,0xfe803fff,
    0x7ffd40ff,0x3ffeefff,0xefffff80,0x00dfdbac,0x259fff90,0x9004ffa8,
    0x2a259fff,0xfe8804ff,0xffffffff,0x7fff4402,0x00efffff,0x7fffff44,
    0x4400efff,0xfffffffe,0xfe8802ff,0x0bfa60bf,0x7ffffcc0,0xfffd0eff,
    0x3ff205df,0x7ffe402f,0x42fffd82,0xd100efc8,0xffffffff,0x7fec005f,
    0xfffb005f,0x20fea007,0x6c01fffc,0x26000fff,0xf90001ff,0xffc805ff,
    0xffff303f,0x7fffd407,0xff88dfff,0xff501fff,0x11bfffff,0x403fffff,
    0xfffffff9,0xdffffd0e,0x7fffcc05,0xffd0efff,0xff505dff,0xffd85fff,
    0xffff101e,0x3ffea01b,0x7ffe40cf,0x000bdfff,0xfffffff5,0xd70005bd,
    0x5bffffff,0xfffeb800,0x4002dfff,0xeffffffc,0x3fff6000,0x6c003fff,
    0x03ffffff,0x7ffffe40,0x7dc000ef,0x01dfeeff,0x7ffffdc0,0x073ffa0d,
    0x06ffff88,0x21bfffe2,0xedfffeed,0xfc800cff,0x00efffff,0x017ffd40,
    0x557fffdc,0xdcaaaaaa,0x7ffcc2ff,0x3ffea05f,0x1bee004f,0x7fffc400,
    0x3fffa206,0x3ffffe06,0xffff500d,0x1effd85f,0x7ffffd40,0x00f7fec2,
    0x6fffffdc,0x0073ffa0,0x6fffffdc,0x0073ffa0,0x04c01531,0xfffffea8,
    0xfffb2eff,0x88bfffff,0x40001baa,0x0009abaa,0x15775100,0xbba88000,
    0x5cc0000a,0x310000ac,0x20001377,0x0009bb98,0x002b2e60,0x00375300,
    0x70157300,0x7ff54017,0x50efffff,0xfffffffd,0x7753061d,0x97300015,
    0x5c400015,0xffff8800,0xffffffff,0xf52fffff,0xffffffff,0x3fffff63,
    0xcb805fff,0x7ff54002,0x70efffff,0xffffffff,0x3fffe25d,0x881effff,
    0x002600a9,0x2600a988,0x0ab98000,0x30000bb8,0x01770157,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x001ffff5,
    0x360036a0,0x40058801,0x00151008,0x50135100,0x7bd93000,0x33331003,
    0x13333333,0x33333310,0x44333333,0x99999999,0x26662099,0x09999999,
    0x26666620,0xb7100999,0xb002c981,0x000b1003,0x260001b5,0x01bdeecb,
    0xbdeca880,0x03660002,0x20000000,0x1bdfecb8,0x4ccc41d8,0x99999999,
    0x99998800,0x22099999,0x3ea002ec,0x9113e202,0x19999999,0x2f7fb2e0,
    0x0510000a,0x004c00cc,0x00000030,0x3ffa0031,0x326005ff,0xf9800fff,
    0x400ba203,0x3ae26fc9,0x4002efff,0xdfffffda,0x22006fa8,0xeffceffd,
    0x3ffb2e00,0x2cdfffff,0xffffdc98,0x30ccefff,0xffffffdb,0x7fe4c39f,
    0x3dffffff,0x3fffb260,0x7e4c1dff,0x3ffee0ff,0x01fcc01e,0x326005d1,
    0x44000fff,0xecabcffc,0xff7000df,0x03dfff9b,0x00fff540,0x0dfff900,
    0xddfff700,0xf77bffff,0xfffecb83,0x03cdffff,0xfffffcb8,0x3ff21cdf,
    0x03f9001f,0x6d4c17d4,0x540fffff,0xffffffff,0x3f66003f,0x3fff260f,
    0x401aa03f,0xffc8004c,0xbff900ef,0xffeffb80,0x7fecc01f,0xf9000fff,
    0x880bf30b,0xd16fffeb,0x9fffffff,0x37dfb100,0xdffffd73,0x0bbfa200,
    0xf5001df7,0x8003ffff,0x805ffffd,0x406ffffd,0x0fffffd8,0x077fdc00,
    0x3fffffa6,0x1bffffa0,0x3a617f20,0xfffd9805,0x3a2000ff,0x1ff900df,
    0x540efc80,0x2e202ffe,0x001fffff,0x003bffe0,0x4419ffd0,0x1fffffca,
    0x3ffffea0,0x3fee0002,0x9fffd01f,0xf901f600,0xffffb803,0x26afbee0,
    0x04ffffdb,0x3ffffae2,0xffffff50,0x277e207f,0x002fb980,0x100fffe8,
    0x2203ffff,0x0dff73ff,0xffff9988,0x1dff1000,0x9b007fe6,0x3fadfffd,
    0xffffffef,0x413fa603,0x006fffe8,0x3f601ffd,0xfffe800f,0xfff98004,
    0xfff8801f,0xfff8804f,0xff88006f,0xfff99881,0x3ffff60f,0x77fc400f,
    0x1003ff30,0x01ffff33,0x74037ec0,0x0dfb00ef,0xa80fffcc,0x01ffffbb,
    0x03fff300,0x402ffc80,0x401fffe8,0x0006fffd,0x3fe03fe8,0x0df005ff,
    0xff8807e8,0x407f50ff,0x80dfffe8,0x8ffffecb,0xffcabdfa,0xfff900ff,
    0x0dfffb9d,0x03fff300,0x80ffffc4,0x17fcc2fc,0x00fffc80,0x3efffee0,
    0x3fe2004f,0x7d42ebef,0xe880ffff,0x7ffc405f,0x04ffb806,0x36013fe6,
    0x88003fff,0x9000ffff,0x3200dfff,0x98007fff,0xfffc805f,0x3ffbf660,
    0xbfffb803,0xfc8004ff,0xff5000ff,0x07ff5005,0xfd805ff5,0xfffc806f,
    0x3ff90001,0x05ffa800,0x803ffd10,0x0005fffc,0x3fe02fd8,0x4f8805ff,
    0x7c402fc0,0x02f98fff,0x03ffff88,0x0767ffec,0xd01fffdc,0xffffffff,
    0x5ff70003,0x20bff900,0x0fb102f8,0x003ffee0,0x1fffffd0,0xefffd800,
    0x9ffff300,0xd001ff90,0xff880dff,0x07ff400f,0x00ffff60,0x01fffe20,
    0x00ffff98,0x01ffff88,0x5c017dc0,0x3f200fff,0xffffd002,0xff70001f,
    0x3ff2001f,0x85ff9801,0xff8807fe,0x7ffdc03f,0x07fd0001,0x005ffb00,
    0x2e00ffc4,0x80004fff,0x3ffa01fd,0x03fa804f,0x7fc013e6,0x2003f9ff,
    0x5c07fff9,0x3e00dfff,0x3f6204ff,0x001effff,0x44007fd0,0x32007601,
    0x0fffa803,0x7fffd400,0xfffd8003,0x3fffec00,0x6c017fe6,0x7fe406ff,
    0x04ffc806,0x001fffec,0x003fffc4,0x400bfffa,0x4003fffe,0xfff7007e,
    0x800fe401,0x003ffffa,0x001fff50,0x2600bffa,0x37fdc6ff,0x00fffc80,
    0x0007ffea,0x7c0013e6,0x7e4001ff,0x27ffdc01,0x00fe4000,0x9007fffb,
    0x017dc03f,0x05fffff8,0x03fffe80,0xd003ffee,0x97300bff,0x7c400059,
    0x00400004,0xfff50010,0x33330001,0x1bff6000,0x83fffe60,0xf9003ffd,
    0x4fff80df,0x00fffa80,0x000ffff6,0x001fffe2,0x200bfff9,0x2006fffb,
    0xff7005f8,0x002f401f,0x80006666,0xd000fffa,0xff5009ff,0x005ffd87,
    0x5407fff7,0xb8001fff,0xfff10005,0x01fa8009,0x0027ffdc,0xf900fe40,
    0x0fb005ff,0xff000fc8,0x90001fff,0x7dc0ffff,0x7fec00ff,0x40000006,
    0x0000005a,0xfffa8000,0x00000000,0x3600dffb,0x3ffe2fff,0x0dff9002,
    0x4017ffd4,0x3604fff8,0x88003fff,0x4c007fff,0x8800ffff,0x7001ffff,
    0x3fea005f,0x001f700f,0x3ea00000,0xff9000ff,0x1ffc803f,0x98027ffc,
    0x3ea04fff,0x018001ff,0x07fffc00,0xf7007e00,0x900009ff,0x7ffdc03f,
    0x7406f802,0x3fffe007,0xfff30002,0x3ffea05f,0x037fe400,0x02600000,
    0x53100000,0x3fea0001,0x1330000f,0x1bff6000,0x89fffe40,0xf9001fff,
    0x7ffe40df,0x0dfff002,0x001fffec,0x003fffc4,0x801ffff4,0xd003ffff,
    0x7ffd400f,0x0001ec80,0x3fea0000,0xfff5000f,0x1bfe201d,0x200bfff1,
    0x2a05fff8,0x00001fff,0xefffe800,0x70076001,0x00009fff,0x7fdc03f9,
    0x2666661f,0x99999df9,0x0999ef99,0x003fffe0,0x03ffff80,0xc801fff5,
    0x266006ff,0x00000000,0xfffff700,0x7d4009bf,0xb51000ff,0x039dffff,
    0x8037fec0,0xff34fffb,0x3ff2001f,0x07fffa06,0xb03fff40,0x10007fff,
    0x7000ffff,0xf300dfff,0xf300dfff,0x7ffd4009,0xeed81f40,0xddd05eee,
    0xf5009ddd,0x3e2001ff,0xfd80efff,0x37ffcc0e,0x40ffff00,0x8061fffa,
    0x40026028,0x02fffffc,0xfff70010,0x3f900009,0x987ffd40,0xffffffff,
    0xffffffff,0x3e02ffff,0x20000fff,0xf504fffe,0xffc801ff,0x3ff6a206,
    0x4001ceff,0x000c40a8,0x30befe88,0x2a00bffd,0xfa800fff,0xffc989cf,
    0xdffb002f,0x4fffea00,0x9001fffb,0x3fe20dff,0xffd000ff,0x3fff601f,
    0xfff88003,0xfff88007,0x7ffe400f,0x17e401ff,0x81fff500,0x7ffe4c00,
    0x3fff6607,0x0fffa805,0x3fffea00,0x203bf21f,0x2007fff8,0xf500fffe,
    0x261ae3ff,0x3f260ffd,0x74403eff,0x00dfffff,0x4fffb800,0x01fc8000,
    0xcc89ffe6,0xcccfeccc,0xcdfecccc,0x3ffe01cc,0x3fa0000f,0xfff505ff,
    0x06ffc801,0x93139ff5,0x93005fff,0x3ff221ff,0x7ff4001e,0x04fff882,
    0x400fffa8,0xff503ffb,0xdffb009f,0x47ffe600,0x9002fffb,0x3fe20dff,
    0xffb000ff,0x3fff603f,0xfff88003,0xfffb0007,0xffdef807,0x003f404f,
    0x0003ffea,0x2603fff4,0xfa805fff,0x7dc000ff,0x4fcaffff,0x007fffc0,
    0x500ffff8,0x27f93fff,0x0ffffeb8,0xfffffff5,0xffff9803,0x40004fff,
    0x0004fffb,0x3e201fc8,0x407e806f,0x3fe000fc,0x360000ff,0xff506fff,
    0x6ffc801f,0xf503ffb8,0xfd7109ff,0x3ffa1fff,0x3ea005ff,0x1fff607f,
    0x803ffea0,0x7dc05ff9,0x7fec03ff,0x1fff5006,0x400fffea,0xff306ffc,
    0x7fec00ff,0x7fffb02f,0xffff1000,0x3ffea000,0x3eb3ea06,0x13e607ff,
    0x01fff500,0x01fff600,0x2a017ffe,0x01440fff,0x3fffffee,0x4fffe802,
    0x07fff880,0x8bfbffea,0x8ffffdcb,0xffcabdfa,0x7fd400ff,0x02ffffff,
    0x09fff700,0x803f9000,0x05f805ff,0x3fe003f4,0x360000ff,0xff507fff,
    0x6ffc801f,0x2e02ffcc,0x6e5c3fff,0xeec8ffff,0x32006fff,0x3ff207ff,
    0x7ffd400f,0x003ffa00,0x401ffff1,0xf7006ffd,0x37ffc4ff,0x306ffc80,
    0x6c00ffff,0xffb03fff,0xff10007f,0x3e2000ff,0x3fb00fff,0x6407fffe,
    0x7fd4001f,0xff90000f,0x0bffd00f,0x5c1fff50,0x7fd406ff,0xfb805fff,
    0x7c400fff,0x3fea07ff,0x3ff601ef,0xffb81ecf,0xffe9803f,0x01efffff,
    0x027ffdc0,0x200fe400,0x27cc04fe,0xf800bf10,0x20000fff,0xf507fffc,
    0xffc801ff,0x2007ff46,0xb00ffff8,0x6d4b7fff,0x3fea001e,0x03ffee05,
    0x201fff50,0xf9007ffa,0x7fec09ff,0x89ff9006,0xc802ffff,0xfff506ff,
    0x7ffec00d,0x07fffb03,0x0ffff100,0x1fffec00,0xfff937c4,0x2001fa09,
    0x0000fffa,0xfd00fff9,0xfff500bf,0x017fff41,0xdfffffd1,0x4fffe801,
    0x037ffd40,0xb803fff5,0xf100dfff,0x7dc00bff,0xcfffffff,0x9fff7000,
    0x03f90000,0x7dc04fd8,0x000fe602,0x0001ffff,0xa837ffe4,0x7e400fff,
    0x01ffea6f,0xb827ffe4,0x0000ffff,0x7d401750,0x7fd400ff,0x0dff900f,
    0x81fffe20,0xfd007ffd,0xefffc81f,0x1bffa200,0x0037ffcc,0x3607fffb,
    0x88003fff,0x20007fff,0xfa86fffa,0x21fffe63,0xfa8004f9,0xf90000ff,
    0xbffd00ff,0x41fff500,0xd100fffd,0xfffffd5f,0x7fffd403,0xffffd984,
    0x07fff204,0x801fff70,0x44006ffe,0xfffffffd,0xfffb801e,0x1fc80004,
    0x3201fe40,0x00bee00f,0x001ffff0,0x82fffdc0,0x6400fffa,0x1bff26ff,
    0x83fffc40,0x4003fffa,0xffb30000,0xffa801ff,0x09ffd00f,0x80ffff40,
    0x5401fffd,0xfff883ff,0xfee881ef,0xffff106f,0x17fff400,0x003fffd8,
    0x007fff88,0x20ffffc0,0x7fff40fd,0x4000fe42,0x0000fffa,0xfd00fff9,
    0xfff500bf,0x981fecc1,0xfffb12ff,0x7fd401ff,0xcffddfff,0xfb02fffe,
    0xfb803fff,0x7fec00ff,0xffd30006,0x801dffff,0x0004fffb,0x7e401fd8,
    0x3203f402,0x7ffc000f,0x3ee0000f,0xfff704ff,0x26ffc803,0x3a004ffe,
    0xffa81fff,0xffd1000f,0xfeb88017,0x400fffcc,0xff00fffa,0x7fec007f,
    0xdfffb02f,0x9037f440,0x79dfffff,0x0dff97fb,0x801fffe2,0xfb01fffe,
    0xf10007ff,0xc8000fff,0x1be24fff,0xdf17fff2,0x3ffea000,0xfff90000,
    0x00bffd00,0x4001fff5,0xffc84ff9,0x7ec406ff,0xf88cefff,0xcfe887ff,
    0x7d401fff,0x7fe400ff,0x7fdc0006,0x5c06ffff,0x80004fff,0x0fdc01fd,
    0x0fd017e0,0x01ffff00,0x1fffe400,0x402fffc8,0x3ffe6ffc,0x3fff6003,
    0x00fffa82,0x09ffff90,0x542fff22,0x7d400fff,0xfff980ff,0x3fff2004,
    0xbffffb03,0x00dfe985,0x7fffffe4,0x0dff93ff,0xd003fffc,0x3f603fff,
    0xf88003ff,0x4c0007ff,0x0fea6fff,0x4c3fffe6,0xff50004f,0x3f20001f,
    0x5ffe807f,0x00fffa80,0xfc81bfa0,0x31003fff,0x44fffa81,0xfffa8ef8,
    0x07ffd401,0x001bff20,0x3ffff220,0x3ffea03f,0x0fd80005,0xff307d40,
    0xffffffff,0xffffffff,0x7ffc05ff,0x3f20000f,0xfffa82ff,0xb7fe405f,
    0x2004fff9,0xfa83fffc,0xffd000ff,0xbff30dff,0x00fffa81,0x5c07ffd4,
    0x2e005fff,0xffb02fff,0xfdbffd3d,0x7fdc007f,0x3f21efff,0x3fffa06f,
    0x0ffff000,0x001fffec,0x003fffc4,0xd8ffffc0,0x5fffd00f,0x540007f2,
    0x90000fff,0xffd00fff,0x1fff500b,0x013fea00,0x001ffff9,0x207ffec0,
    0x07ffea5a,0x801fff50,0x00506ffc,0x0bffff90,0x002fffd4,0x26007f40,
    0x7f777447,0xeeeeeeee,0x1eeeeeef,0x003fffe0,0x21fffc80,0xfffffffa,
    0x6ffc81ef,0x400bfff7,0xfa82fffb,0xff7000ff,0x7fd43fff,0x01fff504,
    0xa80fffa8,0x2e006fff,0xffb00fff,0x00d654cd,0x90177300,0x7fe40dff,
    0xfff8801f,0x0ffff605,0x1fffe200,0x3fff2000,0x3ee05f8c,0x000df5ff,
    0x0007ffd4,0xe807ffc8,0xffa805ff,0x5ffb000f,0x03fffb00,0x13ffe600,
    0x03fff502,0x400fffa8,0x00f06ffc,0x81ffff20,0x0006fffa,0x068807e8,
    0x3f7007e4,0x1ffff000,0x3ffe4000,0xbff90000,0x801bffea,0xfa80fffb,
    0x2e6000ff,0xbff53fa9,0x007ffd40,0x2203ffea,0x2e007fff,0x3ff607ff,
    0x00000006,0x7cc0dff9,0xffa803ff,0x3fff602f,0xfff88003,0xff980006,
    0x2202fbff,0x03fbffff,0x03ffea00,0x03ffe400,0x5402fff4,0xf8800fff,
    0xff8800ff,0xffd0003f,0xfff5001d,0x0fffa803,0xf837fe40,0xfff88001,
    0xffff300f,0x06f88000,0x407e8010,0xff8000fc,0x360000ff,0x200006ff,
    0xfff14ffc,0x3ffdc00f,0x000fffa8,0x3ffe3f70,0x03ffea03,0x201fff50,
    0x9001ffff,0x7fec0bff,0x00000006,0xfe80dff9,0xfffb805f,0x0ffff600,
    0x17ffe200,0x7fff4000,0x7ff400ff,0x20001fff,0x0000fffa,0xfd00fff7,
    0xfff500bf,0x0fff3001,0x001fff40,0x800fffd4,0x5401fffa,0x7e400fff,
    0x0009f06f,0xff01fffa,0x4c0003ff,0xbf00004f,0xf0006e80,0x40001fff,
    0x00002ffe,0xfff93ff2,0xbff9001f,0x003ffea0,0xfff9bf40,0x03ffea01,
    0x201fff50,0xb004fffc,0x7fec07ff,0x00000006,0xfb80dff9,0x4ffd807f,
    0x01fffec0,0x01fffc40,0xffffb800,0xffffb805,0x7fd40006,0xff70000f,
    0x5ffe801f,0x00fffa80,0x000fff88,0x88003ff9,0x2a003fff,0x7d401fff,
    0x7fe400ff,0x2000ff06,0x7ec06ffd,0x320004ff,0xf980003f,0x0017e204,
    0xa807fffc,0x01ffe03d,0x45ffb000,0xb004fffc,0x3fea07ff,0x3f98000f,
    0x5c09fff5,0x7d401fff,0xfff100ff,0x1fff001f,0x0037fec0,0xffc80000,
    0x0fffc406,0xb003ffe0,0x32207fff,0x0fffc42d,0xfff88000,0xfff8802f,
    0x7d40003f,0xf50000ff,0x7fd403ff,0xfffa806f,0x05ffd000,0x8003ff20,
    0x4003ffe8,0x5401fffa,0x7e400fff,0x009ff06f,0x9809ffd0,0x30006fff,
    0x700400df,0x01fcc05f,0x81ffff80,0xf883fff8,0x6c00004f,0x3ffe20ff,
    0x0fff800f,0x001fff50,0x3fe65e98,0xffff707f,0x3fea0e23,0x3fff201f,
    0x01ffd405,0x0001bff6,0x3ffec000,0x502ffcc0,0xffd009ff,0x3ffee07f,
    0x0013fe61,0x00fffd00,0x0007ffec,0x003ffea0,0x827ffcc0,0x807ffeeb,
    0x5001fffa,0x3fa00dff,0x17fec003,0x0fffd400,0x003ffea0,0x3fe0fff9,
    0x3fea004f,0x9fffb006,0x02fe9800,0xf905fe98,0x000fdc01,0xa81ffff8,
    0x6fa87fff,0x3a033000,0x5fffc84f,0x501ffd40,0x5c003fff,0xfffff84f,
    0xffbeeb9b,0xfb81ebdf,0x7fec01ff,0x0bfd103f,0x000fffb0,0x3ffa0000,
    0x05ff5007,0x3e00bff1,0xffb05fff,0x0077dcbf,0x13fee000,0x006ffa80,
    0x01fffb80,0x37fffa00,0xfe8eda8a,0xf7039cff,0x7ec003ff,0x037dc02f,
    0x003dfd30,0x007ffea0,0xd801fff7,0xffff07ff,0x3fff300b,0x3fffa200,
    0x7fdcc00d,0x5fffb004,0x0fc80fd0,0xffff9800,0x47ffff03,0xa8000ef8,
    0x3fe21dff,0x07fffb00,0xf7017fa2,0x37a005ff,0xfffff501,0xfff11bff,
    0x3ff203ff,0xfffc802f,0x09ff512c,0x03ffff10,0xf8800000,0xf9001fff,
    0x17fae25d,0x7ffffe40,0x7fffcc0b,0x0001fd8c,0x001ff880,0x0000ffe2,
    0x000bfff2,0xffffff98,0xffffd0ef,0x3fff205d,0x27fe4002,0x9800dfc8,
    0x0000cffb,0x9007ffee,0xfd803fff,0xffff80ff,0xb311bdff,0x88005dff,
    0xabdffffd,0x3ffffdb9,0x13fffa00,0x00dd017e,0xfffffd30,0x3dfff705,
    0x20003db5,0xeacffffc,0x7ffe401f,0x09ff512c,0x007fff70,0x3ffea002,
    0x77fec2ff,0xdffff101,0xfffd7001,0xa805bfff,0xcfffffec,0x2000000a,
    0xfffffeba,0xffda802c,0x76c02eff,0xffffffff,0x3fff23ef,0x00002eff,
    0x36001f60,0x7c40000f,0x40006fff,0x0dfffffb,0x88073ffa,0x000effff,
    0x76f7ff4c,0x36e202ef,0x0000cfff,0x06ffff44,0x05ffffa8,0x213fffea,
    0xffec98af,0x04ffffff,0x7ffed400,0xcfffffff,0x7ffdc000,0x3e01fcc1,
    0xfffd1005,0xdfffffff,0x3ffff623,0x7440004f,0x00dfffff,0xfffffd70,
    0xff3005bf,0x00005fff,0x130054c4,0x3ffffa60,0x8801efff,0x5000abba,
    0x55555555,0x40000015,0xaaaaaaaa,0x2aa2002a,0x20000001,0x00002bca,
    0x98002980,0x3fa60003,0x1effffff,0x02ae6000,0xfe9802ee,0x1effffff,
    0x4dd4c400,0x1abca800,0xffeb8000,0x51ffffff,0xffffffff,0x3ffff63d,
    0x40e5ffff,0x09accca9,0x2aa20000,0x002abccc,0x64c05cc0,0x000b2201,
    0xacca8000,0x2a200000,0x5100009b,0xf5001577,0xffffffff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0xaaaccba9,0x999aaaaa,
    0x09999999,0x32ea2000,0x0009bdee,0x2b326000,0x09a88000,0x222d4000,
    0xcdefeeca,0x99988002,0x00009999,0x33333331,0x40166133,0x9930003a,
    0x0179bdfd,0xdb700000,0x000019df,0x02004c40,0x04c00300,0x3fe60000,
    0x000001ff,0x00165cc4,0x77f6e540,0x004a81cd,0x03cedb88,0x49800d88,
    0x33333100,0x03333333,0xfdd99300,0x03b037dd,0x4ccccccc,0x00099999,
    0xffda8000,0xfffffeff,0xffffffff,0x03ffffff,0xefffd880,0x0effffdc,
    0xffb50000,0x1007ffff,0x9ffdbffb,0x79f50001,0xb9bffffb,0x0019ffff,
    0x3ffff72a,0xcb8000ef,0xccefffff,0x6b803b21,0x77f5c400,0xfedcaabc,
    0xa800002d,0xfffddffe,0x74400002,0x0b00cfff,0x79801e80,0xffe80000,
    0x000005ff,0x3fffffee,0x3f22001d,0xfedceeff,0x05e88bef,0x32afba60,
    0x7dc00eff,0x4003ea01,0xfffffdca,0x1004cdff,0x9bffffd7,0x359fffdb,
    0x3b72203f,0xdfffffff,0x2000003c,0x20afffe9,0xeffffd98,0xaaaaaaaa,
    0x5c004ffd,0xa8809eff,0x40003fff,0xfff50bfa,0x67fdc05f,0x3ffffea0,
    0x3ee01fff,0x300cffff,0x8007fff9,0x05ffffe9,0x077fdc00,0xfc82ff88,
    0x2ffea002,0x0efd9800,0xdff30000,0x00ffe441,0xffffd000,0x004a87ff,
    0x544057e4,0x5400005e,0x02fffeff,0x97744000,0x01ffffc8,0x01cfffc8,
    0x17ffffaa,0x2a077c40,0x3fe803ff,0x10003fa8,0x007fffff,0x1bdfffa8,
    0x3ffffea0,0xffffb002,0x2000000d,0x4404fffb,0x5006fffe,0x3fa6009f,
    0xffd1005f,0xbf30001b,0x20dfff30,0xff703ffa,0x403fffff,0x001efffb,
    0x000bfff5,0x009ffffb,0x5c02ff80,0x017f24ff,0x10003fc8,0x880005fb,
    0xbff01fff,0x33ea0000,0xbeffffeb,0x7cc003eb,0xffecdfff,0x7400002f,
    0x00dff54f,0xc83fe800,0x36205fff,0x2a001eff,0xe8806fff,0x00fff01f,
    0x3ee1bff5,0x7fe40006,0x7fdc007f,0x3f22004f,0xff3002ff,0x000003ff,
    0x00bfff50,0x801bffee,0xfff8804c,0xfffd8004,0x0bfe6000,0x7c43ffd4,
    0x3ffe207f,0x1bfee004,0x1bffea00,0xffffd100,0x0ff40007,0x7eefff40,
    0x1ee8801f,0x04fb8000,0x81bff200,0x900007fc,0xfffffc85,0xfb8000ef,
    0x4fffffff,0x1fdc0000,0x0000ffa6,0xfd807fd4,0xdffd104f,0xfff50001,
    0x6c0dfb00,0xffd802ff,0x0002ffce,0x0037ffd4,0x0009fffb,0x4400ffee,
    0x0000ffff,0x37ffcc00,0x0dfff500,0x7f402d40,0xff30007f,0x7fe400bf,
    0x32072a01,0x7fe406ff,0x1ff9000f,0x3ffee000,0x7fff4004,0xfb0001ff,
    0xffff5003,0x03b6009f,0xa8557510,0x20005f31,0x3ee04ffe,0x0580000f,
    0x01dfffb1,0x7fffdc00,0x400003ff,0x1fb102f8,0x6ff88000,0xfe8065c0,
    0x2e0001ff,0x2ffc407f,0x3001df50,0x00dfffff,0x0bfff500,0x00fffee0,
    0x4009fb00,0x0000ffff,0x17ffec00,0x0dfff500,0x3ee02c40,0x360003ff,
    0xfb002fff,0x3fa0001f,0x7ffdc05f,0x003f9002,0x02fffe80,0x3fffffa0,
    0x0fd8000f,0x1ffffb00,0x2601f700,0xfdcbdefd,0x07ee3fcd,0x813ffe00,
    0x100007fe,0x00009880,0x01799510,0x00590000,0xf9800097,0x3ee0006f,
    0xe80004ff,0x027fd407,0xfff90002,0xf500003f,0xff300bff,0xf10000bf,
    0x7fffc009,0x26000000,0x4c006fff,0x04006fff,0x00ffff30,0x0ffff980,
    0x000fff80,0xa80bfff0,0xbb003fff,0xfff50000,0x2ffa001f,0x8006ffff,
    0x331000fd,0x05f30013,0x6cc03bf2,0x0036c3ff,0x4c1bffe2,0x000005ff,
    0x00000000,0x00040000,0xffb80001,0xfff30005,0xf500001f,0x027fdc01,
    0x04ccc000,0xfffa8000,0x1fffe805,0x00b90000,0x0007fffc,0x9fffb000,
    0x6fff9800,0xffd10000,0xfb00007f,0xff880bff,0xffd0000f,0x2fff980d,
    0x00007b00,0x4013fffe,0xffffc8fe,0x007ec005,0x109b0000,0x3f600bfd,
    0x20017c44,0xfc80ffff,0x0000000f,0x00000000,0x00000000,0x017ff200,
    0x027ffec0,0x6c01f000,0x000004ff,0xff500000,0xfffc80bf,0x1a200006,
    0x40ffff80,0xff300000,0xf98005ff,0x009806ff,0x007fffd4,0x7fffd400,
    0x03ffea01,0x03ffe400,0x4007ffea,0xf900000c,0x3fa00fff,0x07ffffb0,
    0x88007ec0,0x2604c0a9,0x006fe81f,0x00364274,0xf50ffffa,0x0000005f,
    0x00000000,0x00000000,0x05ffd800,0x2ffff880,0x80720000,0x00005fff,
    0x000054c4,0x80bfff50,0x0002ffff,0xfff00040,0x0003441f,0x01ffffc8,
    0x037ffcc0,0x3fee006c,0xf300007f,0x7dc05fff,0xf50000ff,0x7fdc05ff,
    0x00000006,0x007ffff5,0x3ffa21fd,0x1fb001ff,0xffffd880,0x3640fcdf,
    0x20017fdc,0x001f885b,0xfc9bfff2,0x76c0001f,0xdb06eeee,0x3609dddd,
    0xb06eeeee,0x209ddddd,0xeeeeeeec,0x3bbbbae3,0xeec84eee,0xffd02eee,
    0xfff7000b,0x0000001f,0x0002fffc,0xffffffb8,0x7d40004d,0x3fea05ff,
    0x000000ff,0x43fffe00,0xd00007f9,0x8001ffff,0xf806fff9,0x3fffec00,
    0xfff88000,0x3bbba64f,0xeeeeefff,0x0dffd000,0x0000fff4,0xfff88000,
    0x20fe805f,0x00fffff8,0x3ea00fd8,0xffda88ae,0x3e617c0f,0x0388007f,
    0x7fcc009b,0x40dffbff,0xeeeeeeea,0xfffc983e,0x3fff6607,0x3fff2605,
    0x3fff6607,0xffff9105,0xfffd303f,0x3e6015bf,0xffd00bff,0xfffd000b,
    0x8000000d,0x40006ffe,0xd30befe8,0x54000bff,0x3f605fff,0x000007ff,
    0x47fffc00,0x00000efb,0x000fffff,0xb80dfff3,0x7fffc00f,0x3fe00006,
    0x3bba65ff,0xeeeefffe,0x3ff6000e,0x01ffe444,0x3e000000,0xfe806fff,
    0x77fffd40,0x8807ec00,0x1ff501ff,0x3fee0fc4,0x2e400006,0x3ffffa00,
    0x3ffea01e,0x7f401cff,0x7ffcc07f,0x07ffe805,0x202fffcc,0x2205fffb,
    0xd801ffff,0x2fff403f,0x2ffffc00,0x36000000,0x740007ff,0xfff882ff,
    0xfff50004,0x37fffc0b,0x20000000,0x0dfdffff,0xfff10000,0xff3000df,
    0x533333df,0x7c401ffb,0x00005fff,0xb81ffffe,0x80000fff,0xffcbeffd,
    0x0000001e,0x07fffe80,0xffb80fe8,0x07ec05ff,0x7e406fb8,0xffb03e60,
    0x6b80000b,0x7fffe400,0x1fffd801,0x00fffb00,0xfb00bfff,0xbfff00ff,
    0x80fffd00,0xf801fffa,0x05ffe806,0x2ffffc40,0x26200000,0x99fffd99,
    0xfa800999,0x1fff607f,0x2fffd400,0x05ffff88,0x7c000000,0x0004ffff,
    0x2ffffcc0,0x7fffcc00,0xffffffff,0x3ffe600f,0x3a00004f,0xf700ffff,
    0x980001ff,0x1abcbabe,0x3bbbba00,0xeeeeeeee,0xeeeeeeee,0xfffffeee,
    0xd807f400,0x3603ffff,0x01ff900f,0xd0f507cc,0x800007ff,0xffb1007a,
    0xf700dfff,0x7fe4007f,0x05ffe807,0xe807ffc8,0xffa805ff,0x3ffe201f,
    0x4017cc04,0x4c005ffe,0x0004ffff,0x7ffff400,0xffffffff,0x07ffc804,
    0x0003fff2,0x4c17ffea,0x0004ffff,0xffffffff,0x7fc03dff,0x800003ff,
    0x004ffffa,0xaaefff98,0x0fffccaa,0x0ffffea0,0xfffd8000,0x1fff700f,
    0x027cc000,0xfffff800,0xeeeeeeee,0xeeeeeeee,0xfffffeee,0xd007f401,
    0x3605ffff,0x07ffb00f,0x3e1ae0e8,0x400004ff,0x7fdc00f9,0x04ffffbd,
    0x320037ec,0xffe807ff,0x07ffc805,0xf005ffe8,0xffc809ff,0xe803e407,
    0x7d4005ff,0x00004fff,0x7ff776c0,0x3eeeeeff,0x205ffa80,0x8000fffb,
    0xf505fffa,0x80009fff,0x0efffffa,0x00ffff80,0xfff98000,0xff98005f,
    0x007ec06f,0x009ffff3,0x3fffec00,0x001fff70,0x0007fe20,0x03ffff40,
    0x3fffa000,0x007f400f,0x03fffff1,0x3fee01fb,0x541300df,0x005ffe87,
    0xb103d400,0x7fff49ff,0x00bfe01f,0xd00fff90,0xff900bff,0x0bffd00f,
    0x901fff20,0x27c05fff,0x005ffe80,0x027fffcc,0x3f200000,0x5d40007f,
    0x03ffea00,0x17ffea00,0x027fffd4,0x7fffdc00,0xffffb802,0xf8800000,
    0x98006fff,0x7c406fff,0x3fffe200,0x3fa00005,0x3fee06ff,0xff70000f,
    0xfb00003b,0x00001fff,0x4037fffc,0x7fcc00fe,0x07ec0eff,0x2effff88,
    0x7ec0f980,0x5c00006f,0x85ffd106,0x306ffffa,0xff90009f,0x0bffd00f,
    0xd00fff90,0x3e600bff,0xfff102ff,0x007ea0df,0x2002fff4,0x004ffff8,
    0x7fe40000,0x26000007,0x000ffffd,0x105fffa8,0x000bffff,0x01ffff30,
    0x0fffffc8,0xfff00000,0xff3000ff,0x801d00df,0x0006fffe,0x817fffe0,
    0x0000fffb,0xfffffffb,0x039dddff,0x00ffffdc,0xbffff000,0x7001fd00,
    0xfd8bffff,0x3ffff600,0x07e202ef,0x0000fff7,0xffe885c8,0x7ffffd02,
    0x90001fb0,0xffd00fff,0x0fff900b,0x400bffd0,0x9f705ffe,0x0db03fff,
    0x002fff40,0x002ffffc,0x3fee0000,0x5c400007,0x0fffccfe,0x5fffa800,
    0x01bfffe0,0x3fffe600,0xffbfb100,0x000001ff,0x003ffffa,0x00dfff30,
    0xfffd8019,0xff100007,0x7fdc07ff,0xff50000f,0xffffffff,0x505dffff,
    0x0005ffff,0x13fffe60,0x64003fa0,0x3f64ffff,0x7fffe400,0x87d00eff,
    0x0002fff8,0x3ff60fa0,0x3fffe607,0x000bee0f,0x7403ffe4,0xffc805ff,
    0x05ffe807,0x203ffee0,0x44fff8cf,0x3fa003f8,0xffe8005f,0x0000006f,
    0x00037fd4,0x50bffc88,0x50001fff,0x7f40bfff,0x40000fff,0xd107fff8,
    0x03fffe7f,0x7fdc0000,0x7cc001ff,0x900006ff,0x0001ffff,0x05ffff30,
    0x0007ffdc,0xffffff30,0xffffffff,0xffff981f,0xff500004,0x1fd005ff,
    0x7fffec00,0xd3001fb2,0x05ffffff,0x0dff70d7,0x0f983880,0x2027ffcc,
    0xf15ffffc,0x7fe40009,0x05ffe807,0xe807ffc8,0x3e2005ff,0xc87dc3ff,
    0x007dc7ff,0x000bffd0,0x001ffffb,0x7fd40000,0xff980006,0x07ffd40d,
    0x2fffd400,0x07ffffb0,0x7fff8800,0x7ffc3f70,0x1000000f,0x8005ffff,
    0x0006fff9,0x03ffff50,0xffff5000,0x07ffdc01,0x311f5000,0x99955553,
    0xffd07ffd,0x360000ff,0xe800ffff,0x3fa2000f,0x00fd9fff,0x3ffffea0,
    0x6c17c43f,0x5d1003ff,0xfffd0bb0,0xfffe8805,0x0000febf,0x3a01fff2,
    0xffc805ff,0x05ffe807,0x3a37fec0,0xe8bffe65,0x2fff4005,0x7fffd400,
    0x20000002,0x40004ff9,0xff504ffa,0xff50001f,0x7ffcc0bf,0x7c40005f,
    0xf81507ff,0x00000fff,0x013fffa0,0x00dfff30,0x3fff60a0,0xffd80005,
    0x7ffdc02f,0x05f50000,0xf30df300,0x80005fff,0x003ffff9,0xf98001fd,
    0x00feffff,0x7ffffb80,0xffd885d8,0x4c0f4c04,0x0ffff82f,0xfffff980,
    0x7e40002f,0x5ffe807f,0x807ffc80,0x54005ffe,0x83f51fff,0x05f35ffe,
    0x005ffe80,0x00bfffd0,0x3e600800,0x3ea0002f,0x3ffea05f,0xfffa8000,
    0x7fffec04,0x3fe20000,0x3ffe007f,0x1620000f,0x00ffffa8,0x01bffea0,
    0x3fe21aa0,0x260001ff,0xfb805fff,0xf88000ff,0x41b20005,0x0006fffd,
    0x0037ffe4,0xf50001fd,0x201fffff,0x3ffa600c,0xb827c41f,0xcb9bceff,
    0x85e881fe,0x001ffff9,0x01fffff7,0x07ffb800,0xb805ffe8,0xffe807ff,
    0x4fff8005,0x1fff70dd,0xffd000f9,0x3fea000b,0x500001ff,0x007fcc0b,
    0x03fff890,0x0003ffea,0x100fffea,0x000bffff,0x003fffc4,0x0001ffff,
    0x3ff601ec,0x3fea003f,0x1fc4006f,0x005fffb8,0x003fff60,0x0003ffee,
    0xd8000ffa,0x5ffff104,0x3ffe2000,0x03fa001f,0x7fffdc00,0xa805b00f,
    0x1fa84fff,0xbffd9710,0x4076c037,0x003ffff9,0x03bffffa,0x7ffd4120,
    0x02fff400,0x2007ffd4,0xc8005ffe,0x882fafff,0x004fcfff,0x0005ffe8,
    0x001bfffa,0x97103a60,0x35c00df9,0x5403fff3,0xa8000fff,0xfb801fff,
    0x10002fff,0x7c00ffff,0x30000fff,0xfff8801f,0xfff7001f,0x00fc800d,
    0x0007fffa,0x400fffe6,0x4000fffb,0x50006ffb,0x7ffd403f,0x7f44001f,
    0x7f4004ff,0x3ff60000,0x00bb00ff,0x3f207ffd,0x3f200001,0xfffff101,
    0x3fff6001,0x16e00eff,0x500fffcc,0xf300dfff,0x7fd403ff,0xff98006f,
    0x3ff606ff,0xfe8000ff,0x3e60005f,0x20004fff,0x76fe41e8,0x200bdfff,
    0x3ffea4f8,0x07ffee04,0x3ea0ee4c,0x3ff6007f,0xf88000ff,0xff1007ff,
    0x3a0001ff,0xdfff3006,0xffff9001,0x2037d400,0x000effe9,0x8013ffa6,
    0x4000fffb,0x000cfffc,0x3ee00fea,0xd1001fff,0x8001bfff,0x220000fe,
    0xfb00fffe,0x01ffc803,0x10000ff2,0xffe805fb,0x3a600dff,0xfffffedf,
    0x40bea20b,0xf704fff9,0xf300fffd,0x3bee09ff,0xfd0007ff,0x7fd407ff,
    0xffd0005f,0xff98000d,0xe98005ff,0xffb07c43,0x7559dfff,0x7fcc3ffb,
    0xffff707f,0xfffd8e23,0x000bfee0,0x003dfffb,0x007fff88,0x003ffff1,
    0x2004fd88,0x202effe8,0x01fffffa,0x801ffe44,0xa801fffc,0x5c002fff,
    0x4c001fff,0x9adfffff,0x7fd75311,0x7fff4c00,0x7fff4401,0x2ff88003,
    0x7ffc4000,0x201ffb00,0xfa805ff8,0xefa8001d,0xffff9800,0xf9510aef,
    0x3fffa27f,0x6ffdefff,0x56ffff40,0xffe8fda8,0x3fa039cf,0xfda8adff,
    0x39cfffe8,0x01ffea00,0x4000bffe,0x80006fff,0x02effffa,0x4b83fb98,
    0x3ffef3e2,0x4fffffff,0x9bfffff8,0xdfffbeeb,0x3fffe1eb,0x40017f63,
    0x002ffffd,0x401fffea,0x00dffffa,0x01fffb88,0x6fffe440,0xfffcb9ab,
    0xcccdffff,0x1ffffedc,0x33ffea00,0x3ff6e60a,0xffd8000d,0xfe98003f,
    0xffffffff,0x8000dfff,0x1cefffd8,0x1dfffb73,0xdffb1000,0x7cc00015,
    0x5fffb00f,0x000efc88,0x4015dfb1,0x4004ffc8,0xfffffffb,0xd81effff,
    0xffffffff,0x7ffcc00f,0xfd0effff,0x4c05dfff,0xefffffff,0x5dffffd0,
    0x01ffc400,0x88003fe4,0x0000ffff,0xfffffd88,0xffdb9abc,0x36cd501f,
    0xffffffd3,0xfff501df,0xf11bffff,0xfb83ffff,0x0ff9afff,0x3ffa6000,
    0xeb980bef,0x9801dfff,0xffffffff,0xffffffff,0x20007fff,0xfffffeb8,
    0xffffffff,0xffffffff,0xc88006ff,0xfffffffe,0xf70003df,0x0005dfff,
    0x3fffffaa,0x0002efff,0xffffeda8,0x003dffff,0xfffffed8,0x70000eff,
    0x3fbb601f,0x0cffedff,0xfffc9800,0xbeffedde,0xffd30000,0x07dfffff,
    0xfffffeb8,0xfff7001d,0x7ff41bff,0xfff7001c,0x7ff41bff,0x1f90001c,
    0x0009f100,0x3bffffb3,0x3f6a0000,0xffffffff,0x7ffc402e,0xffffc80e,
    0x3fea00df,0x7fec2fff,0xfffe881e,0x00000dff,0xdfffffb5,0x17dffffd,
    0xffffe880,0xffffffff,0xffffffff,0x2600004f,0x001999a9,0xa9800000,
    0x10000abc,0xfffffffd,0x10007dff,0x00157753,0x65cc4000,0x000000ab,
    0x00a80000,0x0abba983,0x97530000,0x00001559,0x00de654c,0x015e5c40,
    0xb80ab980,0x5730000b,0x00017701,0x06e00398,0xffffea80,0x001effff,
    0x3332aa00,0x0d4000ab,0x80055cc0,0x02600a98,0x006f2e20,0xcba98000,
    0x0009abcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x99999998,0x10009999,0x33333333,0xd9930001,0x00179bdf,0x33333310,
    0x33333333,0x33333333,0x26200013,0x99999999,0x99999999,0x00999999,
    0x33333333,0x00033333,0x99999998,0x09999999,0x33330000,0x33333333,
    0x33333333,0x26660133,0x99999999,0x99999999,0x26666099,0x19999999,
    0x33333310,0x98333333,0x99999999,0x33310199,0x33333333,0x10026203,
    0x4cccccc4,0x10099999,0x4c098153,0x99999999,0x33330199,0x01333333,
    0x3303dc40,0x33333333,0x40000333,0x80d8802c,0x99999999,0x00999999,
    0x99999800,0x98809999,0x50199999,0xfffffffb,0x2a0039df,0xeffffffe,
    0xdfd71001,0xfdb95579,0x7fd4005b,0xffffffff,0xffffffff,0x004fffff,
    0xffffb950,0xffffffff,0xffffffff,0x3ff7207f,0xcdffffff,0xb910000c,
    0xffffffff,0xdfffffff,0xdc800159,0xffffffff,0xffffffff,0xc883ffff,
    0xfffffffd,0xffffffff,0xb913ffff,0xfffffffd,0xfb93019b,0x9dffffff,
    0x7ffee449,0x0cdfffff,0xffffdc98,0x444cefff,0xd00dfffd,0x7ffff65c,
    0x442cdfff,0xcdfffffd,0x3ff7220f,0xcdffffff,0x7ffee440,0x801cefff,
    0x3207ffb8,0xfffffffd,0x0000ccdf,0x74409f10,0xfffdc883,0xffffffff,
    0x0acfffff,0x3ffff200,0xd982dfff,0x405fffff,0x4fffffd8,0x3ffe6000,
    0x3fea002f,0xefd9800b,0xefffb800,0xffeccccd,0xecccccef,0x80004fff,
    0xffffeff9,0xaaaaaaab,0x403ffdaa,0x1fffffc8,0xfd880000,0xabceffff,
    0xfffffedb,0xffb8001e,0xaaaaabff,0xffdcaaaa,0xffffd804,0xaaaaaaaa,
    0xb04fffdc,0x800bffff,0x04ffffe8,0x0dffffb0,0xffffe880,0x3ffff604,
    0x41660cff,0x01fffffa,0xb5115df5,0x7ec01fff,0x36005fff,0x1002efff,
    0x00fffff9,0x3fffff91,0x7dc00000,0x4037440d,0xdeffffd8,0xffecbabc,
    0x2001efff,0x801ffffd,0x74006ff8,0x0001ffff,0x90017fe4,0x3620007f,
    0x0ffdc02f,0x409fff90,0x00004fe9,0x1ffff5fd,0x4027d400,0x003ffff8,
    0x3ffe6000,0x7fd4400f,0x44004fff,0x4001ffff,0xff9804fc,0x3fa6007f,
    0x5ffff304,0xffff7000,0x3ffe6001,0xffb8001f,0x2f3e607f,0xbbfffffe,
    0x3fffa04e,0x203ff104,0x3e600ffa,0x3a001fff,0xd7000dff,0x00ffffd9,
    0x00ffffe2,0x3bfa0000,0x2003fd11,0x800ffff9,0x04fffffa,0x01ffff10,
    0x8003ff10,0x001ffffa,0x8802fe40,0xb80001ee,0x003f204f,0x8809fff9,
    0xf880005f,0x001ffff6,0xfff004e8,0x4000005f,0x000ffff8,0x1dffffb1,
    0x0ffffc00,0x44027400,0x44007fff,0xffff104f,0xfff50003,0x7ffc400f,
    0xffa8000f,0xf70ae06f,0x01dfffff,0xb81fffec,0x007e406f,0x001ffff1,
    0x1000ffea,0x2007fff8,0x0002ffff,0xcfffa800,0x3e2005ff,0xb1000fff,
    0x001dffff,0x7007fff7,0x3fa0009f,0x7c0004ff,0x01db001f,0x817cc000,
    0xfffc804c,0x0005b804,0xffff2fb8,0x005b8001,0x0003ffff,0x0ffff800,
    0x7fffdc00,0x3fffe005,0x805b8001,0x8007fff8,0x3fbbba5d,0xeeeeefff,
    0xeeeeeeee,0xeeeffffe,0x3fffe205,0xfffa8000,0x32203206,0x6c01efff,
    0xff903fff,0x1007cc01,0x3001ffff,0xb00007ff,0x7fc00fff,0x000001ff,
    0x1fffffd0,0x0ffff800,0x7fffdc00,0x6fff8805,0x0000fe80,0x000ffff7,
    0xfb802fd4,0xffffff70,0x4019dfff,0x802c81fb,0x9804fffc,0x37c40005,
    0x8001ffff,0xfffd0058,0xf8000003,0xc8000fff,0xd004ffff,0x10003fff,
    0xffff100b,0x7fcb3000,0xffffffff,0xffffffff,0xffffffff,0x7fc06fff,
    0xf98000ff,0x200206ff,0xfffb0019,0x00fff607,0x7fff801d,0x003ff980,
    0x00fff900,0x000ffff4,0xfff98000,0xfff8004f,0xffb8000f,0xffc803ff,
    0x013e602f,0x2ffff880,0x003fb000,0x9ffd05f3,0x01fffed4,0x900150db,
    0x0e009fff,0x7c5f7000,0x08000fff,0x03fffd00,0xfff80000,0xffd0000f,
    0xffd003ff,0x0020003f,0x001fffe2,0x1ffff004,0xdfff3000,0x0ffff800,
    0x6fff9800,0x36000000,0xff703fff,0x002601bf,0xf980ffff,0x3200003f,
    0x3fa007ff,0x000001ff,0x00066620,0x0007fffc,0x01ffffe8,0xb02fffcc,
    0xfc80003f,0xf88006ff,0x3609b006,0xfffb83ff,0x0005f102,0x0013fff2,
    0xf1be2000,0x00001fff,0x00ffff40,0x3ffe0000,0xff50000f,0xffd00bff,
    0x4000003f,0x0007fff8,0x00ffff80,0x06fff980,0x007fffc0,0x037ffcc0,
    0xffb00000,0x3ffe207f,0xff0002ef,0x1ffcc0ff,0x3fee0000,0x3fffa007,
    0x00000001,0x7fffc000,0xfff50000,0xfffb00bf,0x000bf101,0x03ffff30,
    0x9803fb80,0x07ffb01f,0x6c81bffe,0x9fff9000,0xf9000000,0x00ffff83,
    0xfe800130,0x000001ff,0x0007fffc,0x01ffffb0,0x001fffe8,0xfff10006,
    0xf800200f,0x98000fff,0x7c006fff,0x98000fff,0x10006fff,0x7fec0015,
    0x3fff603f,0x7c002eff,0x7ff307ff,0xff700000,0x7fff400f,0x00000001,
    0x7fffc000,0x3ff60000,0x7fd400ff,0x002fb84f,0x0bfffb00,0xc800fe80,
    0x40fff206,0x3e207ffc,0xfffc8001,0x44000004,0x0ffff85f,0xe8003b00,
    0x00001fff,0x007fffc0,0x7ffff500,0x01fffe80,0xf88003a0,0x00f007ff,
    0x0007fffc,0x0037ffcc,0x0003fffe,0x001bffe6,0x4003ff93,0x6403fffd,
    0x0effffff,0x30ffff00,0x000007ff,0xe801ffee,0x00001fff,0xeeeeeeb8,
    0xeeeeeeee,0x3fffe05e,0x3fea0000,0xffe803ff,0x00006e87,0x003fffea,
    0x2f802fd4,0x5c0fff20,0x026c06ff,0x027ffe40,0x07f20000,0x4003fffe,
    0x7ff4001f,0x4000001f,0x0000ffff,0x01bfffe6,0x4003fffd,0x3fe2000f,
    0x0078807f,0x0003fffe,0x001bffe6,0x0001ffff,0x100dfff3,0x03ffffd5,
    0x01fffec0,0x7fffff4c,0x7fff802f,0x0001ffd4,0x00fff700,0x000ffff4,
    0x777fec00,0xfeeeeeee,0x3fe03fff,0x260000ff,0xb805ffff,0x0fea2fff,
    0xfffd0000,0x007f6007,0xffc807e2,0x805ffd03,0xffc8005c,0x2000004f,
    0xffff05f8,0x003f7001,0x201fffe8,0x3e0001b8,0x20000fff,0x407ffff8,
    0x9001fffe,0x7fc4001f,0x007c807f,0x0003fffe,0x001bffe6,0x0001ffff,
    0x500dfff3,0x03ffff99,0x01fffec0,0xffffff50,0x27fff807,0x00003ffa,
    0x003ffdc0,0x0003fffd,0x9003fb00,0xff80bfff,0x220000ff,0x8806ffff,
    0x01f65fff,0x3ffee000,0x006f8807,0x7fe401f3,0x00fffc83,0x9999835c,
    0xcfffd999,0x01999999,0xf80fec00,0x9999afff,0x01ffca99,0x80ffff40,
    0x0003fff8,0x0001ffff,0x407ffff8,0x999afffe,0xffc99999,0x3ffe2000,
    0xb999999f,0x3fe007fe,0xf98000ff,0x7fc006ff,0xf98000ff,0x7ec006ff,
    0x3f6001ff,0xfb8003ff,0x7fc07fff,0x007ff77f,0xfff70000,0x0ffff400,
    0x026c0000,0x207fffcc,0xffff9999,0x9999999a,0x3ffffc00,0x99fffc80,
    0x8800004f,0x5c02ffff,0x80f5003f,0xea98bffc,0x7a800dff,0xffffff88,
    0xffffffff,0x001fffff,0x7fc0bf30,0xffffffff,0x001fffff,0xb80ffff4,
    0xf0006fff,0x80001fff,0x200ffffd,0xfffffffe,0xffffffff,0x3ffe2000,
    0xffffffff,0x3fe007ff,0xaaaaabff,0xcaaaaaaa,0x7c006fff,0xeeeeefff,
    0xeeeeeeee,0x4006fffe,0x2001fffb,0x1903fffd,0x0ffff4c0,0xff9ffff0,
    0x000001df,0x2007ffb8,0x0001fffe,0x7c402d80,0x7fcc1fff,0xffffffff,
    0x04ffffff,0x007fffec,0x7e67ffcc,0xf9000000,0x0ff80dff,0xfc80d700,
    0x0dfffeef,0x2a03e600,0xfdaaaaaa,0xaaaaadff,0xfb0000aa,0x5ffffc03,
    0xecbaaaaa,0x7f4001ff,0xfff301ff,0x3ffe0009,0x7ec0000f,0x3fa01fff,
    0xaaaaabff,0x00fffdca,0x33fffe20,0xffeccccc,0x3fffe007,0xeeeeeeee,
    0xffeeeeee,0x7ffc006f,0xeeeeeeef,0xfeeeeeee,0x7d4006ff,0x3f6001ff,
    0x805b03ff,0x3e04fffa,0xffffdfff,0x2000000e,0x3a007ffb,0x00001fff,
    0x7fec00b8,0xaaaa883f,0xaaabffff,0x6c01aaaa,0x9990ffff,0xfff99999,
    0x99999fff,0x4c000999,0xf501ffff,0x203d4009,0xdff73ffc,0x8007a800,
    0x0004fffc,0x7c05f980,0xfd800fff,0x7fff4001,0x0033ae01,0x007fffc0,
    0x1ffffa00,0x003fffd0,0x44001fd1,0x74407fff,0x3fffe007,0xfff98000,
    0x7fffc006,0xfff98000,0x7ffd4006,0x3fff6001,0xfd00bb03,0x7fffc07f,
    0x0effffd8,0xff700000,0x7fff400f,0x80000001,0x2005fffb,0x0000ffff,
    0xff3ffff4,0xffffffff,0xffffffff,0x0001ffff,0xd82fffec,0x03e6001f,
    0x3f63ffc8,0x01ae004f,0x013fff20,0x3fffa000,0xffffffff,0x1f8800ff,
    0x0ffff400,0x3fe00000,0x7c0000ff,0x7f406fff,0x1f1001ff,0x3fffc400,
    0xff003cc0,0xf30001ff,0xff800dff,0xf98000ff,0x7d4006ff,0x3f6001ff,
    0x03fb03ff,0x3e01ffc8,0x3fff67ff,0x800000ef,0x3a007ffb,0x00001fff,
    0x7fffcc00,0x3fffe000,0x7ffc0000,0x7ff4006f,0xa8000006,0x7c40ffff,
    0x00fc4006,0x7f447ff9,0x00b9002f,0x009fff90,0xccdfa800,0xffcccccc,
    0x03b000ff,0x01fffe80,0x7ffc0000,0x3e20000f,0x7f405fff,0x03e001ff,
    0x07fff880,0x7ffc00f0,0xff98000f,0x7ffc006f,0xff98000f,0x7fd4006f,
    0x3ff6001f,0x01ffb03f,0xff017fe2,0xffffd8ff,0x5c00000e,0x3fa007ff,
    0x000001ff,0x07fffe20,0x01ffff00,0x7fffc400,0x37fec004,0xfe800000,
    0x01fe43ff,0xff901f40,0x00fff987,0xfc8003e8,0x400004ff,0xfff800fe,
    0x0017000f,0x001fffe8,0x7fffc000,0x3fe60000,0x7ff404ff,0x0032001f,
    0x007fff88,0x7fffc00b,0xfff98000,0x7fffc006,0xfff98000,0x7ffd4006,
    0x3fff6001,0x85fffb03,0x7c00efc8,0xfffd87ff,0x200000ef,0x3a007ffb,
    0x00001fff,0x0ffff600,0x03fffe00,0xffff9800,0x37fec003,0xfb800000,
    0x007fc7ff,0xff9035c0,0x80bff707,0xfc8000f9,0x200004ff,0xfff003fb,
    0x4000001f,0x0001fffe,0x07fffc00,0xffff7000,0x1fffe805,0x3e200000,
    0x800007ff,0x8000ffff,0x4006fff9,0x8000ffff,0x4006fff9,0x2001fffa,
    0xdb03fffd,0xffdbfffd,0xffff0019,0x3bffff60,0xff700000,0x7fff400f,
    0x70000001,0x2000bfff,0x0000ffff,0x98bfffee,0x99999999,0x9999effe,
    0x00019999,0x52ffff88,0x3e20009f,0x207ffb02,0x17603ffe,0x27ffe400,
    0x00fd0000,0x0007fffc,0x3fffd000,0xff800000,0x3a0000ff,0xfe806fff,
    0x000001ff,0x001fffe2,0x03fffe00,0x1bffe600,0x01ffff00,0x0dfff300,
    0x01fffa80,0x40ffff60,0x0567d4c1,0x40ffff00,0x00effffd,0x07ffb800,
    0x007fffa0,0x3fe60000,0xff0000ff,0x740001ff,0x7ffc6fff,0xffffffff,
    0xffffffff,0x80000fff,0x3fb6fffc,0xd82ec000,0xfff103ff,0x0005f303,
    0x0013fff2,0xf001fdc0,0x40001fff,0x0ffff402,0xff01a000,0x2e0001ff,
    0xe802ffff,0x40001fff,0x1fffe202,0x3ffe0000,0xff98000f,0x7ffc006f,
    0xff98000f,0x7fd4006f,0x3ff6001f,0x07ee003f,0x01fffe00,0x01dffffb,
    0x07ffb800,0x007fffa0,0xff880d00,0x3e0001ff,0x70000fff,0xaa83ffff,
    0xeaaaaaaa,0xaaaaafff,0x00002aaa,0xdf7ffff3,0x24f88000,0x1affffa8,
    0x10afffa8,0x7e4000bd,0x880004ff,0x7ffc006f,0x0d30000f,0x001fffe8,
    0xfff012a0,0xff10001f,0x3fa00bff,0x2a0001ff,0x1fffe205,0x3ffe0000,
    0xff98000f,0x7ffc006f,0xff98000f,0x7fd4006f,0x3ff6001f,0xfff1003f,
    0x7fff800b,0xeffffd80,0x3fee0000,0x3fffa007,0x012a0001,0x0007fffb,
    0x000ffff8,0x04ffff88,0x00dffb00,0xffd80000,0x80002fff,0x999971fa,
    0x332e0999,0x0001db1c,0x0027ffe4,0x20017e40,0x0000ffff,0xfffe807d,
    0x007a0001,0x0001ffff,0x001ffff9,0x0007fffa,0xff1017c4,0xf00000ff,
    0x30001fff,0xf800dfff,0x98000fff,0x54006fff,0x36001fff,0xb3003fff,
    0x22003fff,0xfb007fff,0x0001dfff,0xe801ffee,0x20001fff,0x3ffee01e,
    0x3e049805,0xd8000fff,0x0000ffff,0x0000dffb,0xffffa800,0x3f200007,
    0x3f200001,0x7fe40001,0x7cc0004f,0xffff8006,0x01fc8001,0x0017fffc,
    0xfff807c8,0x7fe4000f,0x3fe002ff,0xfb0001ff,0x0ffff880,0x3fe20000,
    0xfa8000ff,0x3e2006ff,0xa8000fff,0x54006fff,0x36001fff,0x64003fff,
    0xff1003ff,0x3f6001ff,0x8001ffff,0x3e007ffb,0x90002fff,0x7fffcc0f,
    0x3e03a800,0x22000fff,0x002ffffd,0x001bffa0,0x3ffa0000,0x6400004f,
    0x6c40003f,0xfd80002f,0x740005ff,0xfff8003f,0x37d4001f,0x01ffffc0,
    0x1017f220,0x2001ffff,0x02ffffe9,0x00ffffc0,0x2602fdc0,0x0000ffff,
    0x03fffe20,0x1fffea00,0x0ffff880,0x7fffa800,0x17ffdc00,0x07fffd00,
    0x000ffc80,0x001ffff1,0x0ffffff4,0x01fff200,0x003ffff8,0xf882fe44,
    0x79001fff,0x03fffe20,0x7ffff4c0,0x7ff40002,0x80000007,0x0001fffb,
    0x001dfa80,0x0000efa8,0x00dfffd0,0x0017fdc0,0x00bfffe6,0x2027fec4,
    0x00effff9,0x02ffea88,0x007fffd4,0x37ffff26,0x7ffc4001,0x3f62003f,
    0x7ffd402f,0x2a00001f,0x8002ffff,0x000ffffc,0x005ffff5,0x01ffff90,
    0x017ffe40,0x00bffff0,0x50027fc4,0x4005ffff,0x4ffffffa,0x03fff600,
    0x3bfffe60,0xffea8800,0x07fffb02,0x7d40fea0,0x26201fff,0x01effffc,
    0x7fffc400,0x40000000,0x00006ff8,0x02bbf620,0x004ffc88,0x3fffee00,
    0x322000cf,0x1001efff,0x9dfffffd,0xffdb9999,0x74403fff,0xefffffff,
    0xffffeeee,0x3a200fff,0xceffffff,0xfffffecc,0xfe98001d,0xccceffff,
    0xffeccccc,0x7ff4c07f,0x80001eff,0x1ffffff9,0x3fffea00,0x7f4c00ef,
    0x2001ffff,0x1dfffffa,0xeffff880,0xffffc800,0x3f7200bf,0xfd3000be,
    0x2003ffff,0xfffffffd,0x3fea02ce,0x3a200dff,0xefffffff,0xffffeeee,
    0xffb80fff,0xaaaaaaff,0x82ffdcaa,0xffffffe9,0xfffedcde,0x80001dff,
    0x1dffffc9,0x64000000,0x8000002f,0xddefffc9,0x000beffe,0xffffec80,
    0x03efffff,0x7fffffdc,0xfee883ff,0xffffffff,0xffffffff,0xfee887ff,
    0xffffffff,0xffffffff,0xfe985fff,0xffffffff,0xbdeeffff,0xffe88001,
    0xffffffff,0xffffffff,0xfe984fff,0xffffffff,0x3a6001ef,0xffffffff,
    0xfea81eff,0xffffffff,0x3fffa66e,0xefffffff,0xffffea81,0x86ffffff,
    0xffffffe9,0x7ff6c0ef,0xefffffff,0x3001aa83,0xfffffffd,0xf701dfff,
    0xffffffff,0x3a63ffff,0xffffffff,0xfffdd14f,0xffffffff,0xffffffff,
    0xffff10bf,0xffffffff,0x265fffff,0xfffffffe,0xeeffffff,0x80000acd,
    0xfffffffa,0x00003fff,0x00009100,0x99753000,0x00000155,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33300000,0x00033333,
    0x26666600,0x26660999,0x99999999,0x00000999,0x075001b3,0x01881510,
    0x3a013bb2,0x33ae02ee,0x40000001,0x00570049,0x00260288,0x27f44000,
    0x33333330,0x01333333,0x77777640,0xdd702eee,0x00b2bddd,0x3333306c,
    0x33333333,0x33000013,0x33333333,0x99880033,0x99999999,0x99999999,
    0x26099999,0x99999999,0xec881999,0x0b722003,0x01803366,0xdc880260,
    0x000cd982,0x36a07726,0x2666600c,0x99999999,0x33331009,0x88133333,
    0xffffffec,0x7cc00002,0x1ccfffff,0xfffffb91,0xffffffff,0x00159fff,
    0x35c03d90,0x443ff260,0xfd81effc,0x3fff805f,0x07ffff70,0xed800000,
    0x9801ae00,0x3f260ffd,0x00003eff,0xc8827fec,0xfffffffd,0x3dffffff,
    0x7fffdc40,0x7f4400cf,0x409f10bf,0x3f7223e8,0xffffffff,0x03dfffff,
    0xfffdc880,0x0cdfffff,0x3fffea00,0xffffffff,0xffffffff,0x3f724fff,
    0xdfffffff,0x7fff40cc,0xfffd800f,0x817ffe20,0x00f8802e,0xf883fff6,
    0x3fa005ff,0x27ffcc7f,0xffffffb0,0x03bfffff,0x3ffffb2a,0x3a203dff,
    0x0006ffff,0x77fffec0,0x7ffec400,0xcbabcdef,0x1efffffe,0x20bfe200,
    0xfeb882fb,0xfffd0fff,0x0bffb0bf,0x3a07fff0,0x0007ffff,0x17fc4000,
    0x2e200fe4,0xf50ffffe,0x03ffffff,0x3ffea000,0xfffd8804,0xffecbcef,
    0x7d401eff,0xf9000fff,0x881bf709,0x3ff6206e,0xdbabcdff,0x000dffff,
    0xdffffd10,0x3fea0001,0xeccccdef,0xccccefff,0x885fffed,0x01fffffc,
    0x0bffffe6,0xa8ffffe0,0xf900ffff,0x0dd51017,0x2a3ffff8,0x8800ffff,
    0x3ee2ffff,0xfc9807ff,0x006fffff,0x006fffec,0x2fffffb8,0xfff10000,
    0x3e6007ff,0xfa800fff,0x2004ffff,0x17f24ffb,0x7fffee5c,0x6fffeec8,
    0xf805ffd8,0xfff703ff,0x000005ff,0x323ffb80,0xfccb805f,0xbdfa8fff,
    0x00ffffca,0x7fffc400,0xffff3004,0x3ffff220,0x17ffec03,0xfd00fe80,
    0x00bfa23f,0x201ffff3,0x03ffffd8,0x3ffff300,0x0ffdc000,0x409fff70,
    0xff105fe8,0xfff007ff,0xffb00bff,0x2fffc41f,0x9bffff10,0xd805fffd,
    0x3fe20fff,0x3ffa005f,0x027ffcc7,0x9fffff50,0x02ffc800,0x7ffffd40,
    0xff900005,0x22005fff,0x1000ffff,0x01dffffb,0x3f7bffa0,0xfffd801f,
    0x207b6a5b,0xff805ffd,0x3b36e03f,0x0000004f,0xffddfff8,0x7ffec000,
    0xfffb81ec,0x7fec0003,0xff1004ff,0xfffd80ff,0x3ffe204f,0x205f9805,
    0x5ffcfffa,0x0ffff880,0x17fffec0,0x7fffc400,0x03ee0000,0x809fff70,
    0x3ffe05e8,0xbeda802f,0x1db8807e,0x5400cd98,0xffffffff,0x81db8805,
    0x22000cd9,0x0bda81cc,0x7fffd400,0x5ff1000f,0xffdf1000,0x880003ff,
    0x01ffffff,0x003fffe0,0x0bffff70,0x3ffffea0,0xffff7004,0x2ffec001,
    0x801fffc0,0x000002fb,0xfffffa80,0xfffb8004,0xbfff100d,0x75fdc000,
    0xff1004ff,0xfffd00ff,0x7ffe403f,0x2017e400,0x01fffffd,0x801ffff0,
    0x00fffff8,0x07fffc40,0x700b7000,0xd5009fff,0x00ffffc0,0x00003ec0,
    0x7fffd400,0x000004ff,0x00000000,0x01ffffe4,0x10004fd8,0x0bfffbbf,
    0xfecfb800,0x3fe001ff,0xfb8000ff,0xfb003fff,0x2a001fff,0x6c003fff,
    0xfff805ff,0x003f9003,0x3fa00000,0xb8000fff,0x7f400fff,0xbf30006f,
    0xf8013ffa,0xffb807ff,0x3fe204ff,0x4037c04f,0x004ffff9,0x2003fffe,
    0x002ffffc,0x003fffc4,0x3ee00f20,0x068804ff,0x0007fffa,0x00000bf1,
    0x2f32a200,0x00000001,0xb0000000,0xb801ffff,0x3e20005f,0x00ffff9d,
    0x3fa3fe00,0x3fe001ff,0xfd0000ff,0x31003fff,0x7d400133,0x7ec000ff,
    0x3fff805f,0x00009d00,0x4ccc4000,0xfff70000,0x06ffd801,0x3fa1fd00,
    0x3ffe004f,0xffff9807,0x07ffec06,0x31003fa8,0x7fc00133,0xffa800ff,
    0x7c4003ff,0xcccccfff,0x800a802b,0x7004fffb,0x00ffff40,0x00007ee0,
    0x00000000,0x00000000,0x3ffe2000,0x03be606f,0xfb5f8800,0x2a0009ff,
    0x03fffd5f,0x007fffc0,0x5ffffa80,0x7d400000,0x7ec000ff,0x3fff805f,
    0x0000fc80,0x00000000,0x400fffa8,0xc8006ffc,0x013ffa2f,0xf007fff8,
    0xf980ffff,0x01fd04ff,0xfff00000,0xfff3001f,0xff88009f,0xffffffff,
    0x40001cff,0x0004fffb,0x001fffe8,0x980013a2,0x00000009,0x20000000,
    0x00000a98,0x41ffffd4,0x40001ff8,0xffff35f8,0x23fd0001,0x2001fffe,
    0x0000ffff,0x003ffff6,0x40188151,0x4000fffa,0xff805ffd,0x0376203f,
    0x0098814c,0x04c05100,0x03ffea00,0x800dff90,0x27ff45f9,0x00ffff00,
    0x201ffffe,0x7cc0fffd,0x00a88005,0x003fffe0,0x00bfffee,0x44ffff10,
    0x5ffffea9,0x3ffee000,0xffe80004,0x09f7001f,0xfffda880,0x10001cef,
    0x3bbb6015,0xdddd05ee,0x3ee009dd,0x04dfffff,0xffffb000,0x0002fe81,
    0x3ffa5f88,0x2fd4003f,0x4003fffd,0x0000ffff,0x40ffffea,0xf910ffc9,
    0x3fea03df,0x7fec000f,0x03fff805,0x2ff540ba,0x077fff6a,0x307fecc0,
    0x007dfff9,0x9003ffea,0x74400dff,0x027ff40e,0x100ffff0,0x300bffff,
    0x1fc87fff,0x03ff2600,0x00ffff80,0x01ffffc8,0x03fffc40,0x00bffff5,
    0x013ffee0,0x07fffa00,0x8005db10,0xc989cffa,0x26002fff,0x32601ffc,
    0x36607fff,0x74405fff,0xffd30bef,0xff10000b,0x027e4bff,0x2a5f8800,
    0x6c007fff,0x07fffa2f,0x00ffff80,0x3fffe600,0x3fffae25,0xbffffd0f,
    0x003ffea0,0xf00bffb0,0x64c007ff,0x3f25ffff,0x206fffff,0x0ffffeb8,
    0xfffffff5,0x1fff5003,0x006ffc80,0x3ffa07f2,0x1fffe004,0x13fffe60,
    0x3e3fff40,0xffeb8806,0x3fe000ff,0x7fc400ff,0xf88005ff,0x7fdc07ff,
    0xfb8005ff,0xe80004ff,0x14401fff,0x81ffdc00,0x2204fffa,0x01ffffea,
    0x4c07ffe8,0x7f405fff,0x4fff882f,0xfffa8000,0x0006fabf,0xffd17e20,
    0x1be6007f,0x4003fffd,0x0000ffff,0xb9bfffe2,0xc8ffffdc,0x506fffee,
    0xd8001fff,0xfff806ff,0x3fb36003,0x55bfb5ff,0x2e09fffb,0xa8ffffdc,
    0xfffcabdf,0x7ffd400f,0x037fe400,0xffd04fa8,0x3fffc009,0x07fffec0,
    0x53fffa80,0xf997007f,0x7c001fff,0x7f400fff,0x88000fff,0xfd807fff,
    0x5c000fff,0x80004fff,0x0001fffe,0x405ff980,0x9503fffb,0x003ffff9,
    0xff00fffb,0x3ffd40bf,0x000fffb0,0x3fffff20,0x2200000f,0x37ffdc5f,
    0x7f42fd80,0x266601ff,0x99affff9,0x40099999,0xfb07ffff,0x76d4b7ff,
    0x01fff501,0x806ffd80,0x88003fff,0xb05defff,0xfd801fff,0xfb81ecff,
    0x7fd403ff,0x37fe400f,0xfd037c40,0x7ffc009f,0x7fffd407,0xb7ff4003,
    0x7ec000fe,0x3fe000ff,0xffd300ff,0x220003df,0xfb807fff,0x5c002fff,
    0x80004fff,0x0001fffe,0x400ffe80,0x400ffff8,0xc801fffd,0xffe807ff,
    0x81fff205,0x0000fffc,0x2fffff88,0x2fc40000,0x2017fffc,0xfffe87f8,
    0xfffff301,0xffffffff,0xfd809fff,0xffb80fff,0x7d4000ff,0x7ec000ff,
    0x3fff806f,0x7fffd000,0x017ffd40,0x4037ffee,0x5405fff8,0x7e400fff,
    0x01fd806f,0xf8013ffa,0x3fee07ff,0xfa8005ff,0x8005fcff,0x2000fffb,
    0x5530ffff,0x019ffffb,0x3fffc400,0x27fffcc0,0x13ffee00,0x3fffa000,
    0x7d400001,0xfff9007f,0x1fffb809,0x807ffc80,0x3ea05ffe,0x3ffee05f,
    0xff500000,0x800007ff,0xfffc85f8,0x741fe406,0x55101fff,0x57ffff55,
    0x03555555,0x80ffffd8,0x8003fffa,0x4000fffa,0x3200fffd,0x00623fff,
    0x2202fff4,0x7dc03fff,0x7ff400ff,0x07ffd406,0x701bff20,0x4ffe807f,
    0x3bfffe00,0xfffedccd,0x3fa0002e,0xa8001fff,0x3e000fff,0xffffffff,
    0x00002eff,0x100ffff1,0x800dffff,0x0004fffb,0x001fffe8,0x037fe400,
    0x407fff88,0xc801fffa,0xffe807ff,0x5005d405,0x00001fff,0x00ffffec,
    0x10bf1000,0x2203ffff,0xfffe80ff,0x3fffe001,0x7ff40000,0x1fff507f,
    0x3fff5000,0x3fffd800,0x49fffdb0,0xbffb003c,0x03fff880,0x2007ffdc,
    0x7d406ffd,0x7fe400ff,0x2017e607,0x3e004ffe,0xeedbafff,0x80002bce,
    0x0006fffb,0x4001fff5,0xdaabffff,0x00006fff,0x201fffe2,0x004ffffa,
    0x0027ffdc,0x00ffff40,0x13ffa000,0x01fffe80,0x2007ffea,0xfe807ffc,
    0x3660005f,0x0000ffff,0xdfffff30,0x2fc40000,0x705fffc8,0x3fffa09f,
    0x3fffe001,0x7ffc0000,0x1fff506f,0x5fff7000,0xffffd800,0xd8deb98b,
    0x4007e6ff,0xff805ffd,0x7ffd403f,0x037fe400,0xb003ffee,0x07f40fff,
    0x0027ff40,0x0000ffff,0x01fffc00,0x00fffa80,0x883fffe0,0x0004fffe,
    0x00ffff10,0x007ffff9,0x004fffb8,0x01fffe80,0x1fffc000,0x05fffb00,
    0x400fffd4,0xfe807ffc,0x75c4005f,0x00fffccf,0xfbff8800,0x00003fff,
    0x3fe20bf1,0x00ff81ff,0x4003fffd,0x0000ffff,0x413fffe2,0x8000fffa,
    0x4003fffb,0xfffffffe,0x3bffee5f,0x3ff6006f,0x03fff805,0x2007ffd4,
    0x7e406ffc,0x7fec01ff,0x002fc80f,0x7c009ffd,0x000007ff,0x0003fee0,
    0x0007ffd4,0xf981ffff,0x80002fff,0xe807fff8,0x4000ffff,0x0004fffb,
    0x001fffe8,0x13ffe600,0x03fffc80,0x2007ffea,0xfe807ffc,0xff91005f,
    0x03ffea17,0x6cbfa000,0x0001ffff,0x3f605f88,0x02fd44ff,0x4003fffd,
    0x0000ffff,0x40ffffe6,0x4000fffa,0x02fffff9,0x3ffef7a0,0x7ff443ff,
    0x3f6000df,0x3fff805f,0x007ffd40,0xfa81bff2,0x3ea05fff,0x7fcc4fff,
    0xeeeeeeee,0xeeffffee,0x1fffe03e,0xf9800000,0x3fea0004,0x3ffe000f,
    0xffffb80f,0x7fc40000,0x7ffe407f,0xffb8003f,0xfe80004f,0x200001ff,
    0x2005fffb,0x2a02fffb,0xfc801fff,0x5ffe807f,0x40dff980,0x0000fffa,
    0xfff127e4,0xf10000df,0x7fffcc0b,0xfe807fa0,0x3fe001ff,0x2e0000ff,
    0xf502ffff,0x3ea001ff,0xffffffff,0x7736f803,0x005dc403,0x402ffec0,
    0x7d403fff,0x7fe400ff,0xfffffa86,0xffb1efff,0x2bffffff,0xfffffff9,
    0xffffffff,0x3e04ffff,0x000007ff,0x80007f20,0x2000fffa,0xfb00ffff,
    0x88000bff,0xfb107fff,0x2000bfff,0x0004fffb,0x001fffe8,0x1bffea00,
    0x00fffb80,0x2007ffea,0xfe807ffc,0x27fd405f,0x000fffa8,0x3ea17ea0,
    0x40004fff,0x7ff405f8,0xe80bf54f,0x3e001fff,0x20000fff,0x2a06fffe,
    0x00000fff,0x0007f800,0x2ffec000,0x201fffc0,0x6400fffa,0x000006ff,
    0x7ffffcc0,0xffffffff,0x04ffffff,0x0001fffe,0x0037c400,0x003ffea0,
    0x100ffff8,0x0007ffff,0x4cffffc4,0xffffecba,0x3fee0003,0xfe80004f,
    0x200001ff,0x2007fff8,0x7d407ffb,0xffc801ff,0x05ffe807,0xfa817fea,
    0xf30000ff,0x3fff601d,0x3e20001f,0x7fffd405,0x7f402fd8,0x3fe001ff,
    0xf70000ff,0x7d403fff,0x930000ff,0x7fcc0039,0x20000000,0xff805ffd,
    0x7ffd403f,0x037fe400,0x000bcb80,0x4ccccccc,0xfff99999,0x3e00999d,
    0x000007ff,0x80007f70,0x2000fffa,0x2a00ffff,0x0001ffff,0xfffffff1,
    0x039dffff,0x4fffb800,0xfffe8000,0x3e340001,0xf9001fff,0xfffa80bf,
    0x07ffb801,0x3e05ffe8,0x3fea03ff,0xfe88000f,0x3fffe201,0x17e20006,
    0x3f7fffa0,0x1fffe806,0x03fffe00,0x3fffe200,0x07ffd404,0x6fffb800,
    0x003ff700,0x7fec0000,0x03fff805,0x2007ffd4,0xd0006ffc,0x00007fff,
    0x0027ff40,0x0000ffff,0x001ff100,0x00fffa80,0x003fffe0,0x001dfff9,
    0x57ffff10,0x00015555,0x027ffdc0,0x0ffff400,0xfc895000,0xffb004ff,
    0x1fffa807,0x00fffb80,0xf982fff4,0x3fea01ff,0x3fd8000f,0x4ffffa80,
    0x00bf1000,0x05fffff5,0x003fffd0,0x0007fffc,0x007fffec,0x0003ffea,
    0x017ffe4c,0x0001ffe4,0x0bffb000,0xa807fff0,0x7e400fff,0xfb50006f,
    0x400000ff,0xf1004ffe,0x00001fff,0x0003fc80,0x000fffa8,0x2003fffe,
    0x8005fffe,0x000ffff8,0xfffb8000,0xffe80004,0x07a0001f,0x001ffff1,
    0xfa801fff,0xffa801ff,0x3ffea01f,0x09fff506,0x000fffdc,0xfd8013f2,
    0x88001fff,0xffff006f,0x3fffa00f,0x3fffe001,0x3ff62000,0xffa802ff,
    0x7dc0001f,0x4ffe805f,0x36000000,0xfff805ff,0x07ffd404,0x001fff20,
    0x0005ffd0,0x013ffa00,0x007fffc4,0x5675c400,0x00006fc8,0x4003fff5,
    0x9800ffff,0x4003ffff,0x000ffff8,0xfffc8000,0xfff80004,0x0f90002f,
    0x5017fff2,0xff5007ff,0xfff3003f,0x3ffbae09,0x0ffff307,0x447fffee,
    0x0037e403,0x03ffffe2,0x200df300,0xf003fffb,0x22005fff,0x3000ffff,
    0x005ffffd,0x000bffee,0xf009ff50,0x00000bff,0x4037ff40,0x7dc04fff,
    0x7fec00ff,0x7ff40007,0xfd000001,0x3fe2009f,0xb80000ff,0x2fffffff,
    0xfff70000,0x3ffe2003,0xfff7001f,0x7fc4005f,0x000001ff,0x005fffc8,
    0x03ffff80,0xb02fe440,0x3a207fff,0xfff7005f,0x3fffa005,0xe8eda8ad,
    0x7c39cfff,0xeb9bffff,0xebdfffbe,0x007fee01,0x17fffee0,0x001ff500,
    0x1001fff1,0x2009ffff,0x201ffffa,0xeffffc98,0x3ffee001,0x3fa20003,
    0x5fff800f,0x3e000000,0x7fc407ff,0x7ffe405f,0x07ffec01,0x05ffa800,
    0x3ffa0000,0xffff5004,0xff700005,0x0005ffff,0x017ffe40,0x02ffffa8,
    0x0fffff60,0x1ffffd40,0x7f400000,0x4c0006ff,0x800effff,0x402ffea8,
    0x512cfffc,0x7e4009ff,0xff3002ff,0x21dfffff,0x42effffe,0xfffffffa,
    0xfffff88d,0x0fff9101,0x3fffe600,0xffd3005f,0x09f9003b,0xfffffb10,
    0x7ff4c017,0xdcdeffff,0x1dfffffe,0x7fffcc00,0x7edc002f,0xffb001cf,
    0x10000005,0x407ffff7,0x501ffffd,0x540bffff,0x2004ffff,0x003efec8,
    0x27ff4000,0x7ffff4c0,0x220000be,0x001effff,0x3fffe200,0xfffe9806,
    0xf8800bef,0x01beffff,0x5dfffff3,0x2e000001,0x01cfffff,0xffffe880,
    0xeeeeefff,0x0fffffff,0xffffeb80,0x22002dff,0x000effff,0x1bfffff7,
    0x500e7ff4,0xd85fffff,0xfa881eff,0x000bffff,0x7fffffec,0x7ff4c0be,
    0x05ffffff,0xfee803e2,0xffffffff,0xffffd32e,0xffffffff,0x0159bddf,
    0xfffffa80,0x3003ffff,0x06a00035,0x3f200000,0x6fffffff,0xffffffd1,
    0x3ffea7ff,0xb1efffff,0xffffffff,0x002aa00b,0x7ff40000,0xffffd304,
    0x3dffffff,0x00dcc000,0xfffd5000,0x4c1dffff,0xfffffffe,0x4c01efff,
    0x6fffffff,0xffffffd1,0x003dffff,0xffffd700,0x09dfffff,0xffffee88,
    0xffffffff,0xffffffff,0x5dd44005,0x3fa6000a,0x0effffff,0x70157300,
    0x2a620017,0x7e402600,0xffffffff,0x7fff4404,0xffffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999988,0x80199999,0x99999998,
    0x26666019,0x99999999,0x99999999,0x20336601,0x988003db,0x20000009,
    0x4000002d,0x80040098,0x2604fffe,0x99999999,0x01999999,0x3b2e2000,
    0x40001bce,0x40000cd9,0x80000cd9,0x400009a8,0x00000a98,0x2200f6e0,
    0x1cc982db,0xfffffff8,0x05ffffff,0xffd00020,0xffffffff,0x776c0dff,
    0xddd05eee,0xcb809ddd,0xcccccccc,0xcccccccc,0x0400cccc,0xffffff80,
    0x5fffffff,0x3fffffa0,0x7fffffff,0x37aa0620,0xfffffb51,0x009bffff,
    0xffffffb7,0xfff3019d,0xffffffff,0xffffffff,0x3ffe20df,0x017ffdc6,
    0x7ffff644,0x4400003f,0x1000006f,0x2019fffd,0xffffb805,0xffdc880f,
    0xffffffff,0x1cefffff,0xffff5000,0x0019ffff,0x00dfff10,0x037ffc40,
    0xffffd980,0x7dc002ef,0x04dfffff,0x3ffee000,0x17ffe403,0x3fe1bffa,
    0xffffffff,0x3a005fff,0x3fffa000,0xffffffff,0x7fe4c06f,0x3ff6607f,
    0x0002c05f,0x0f100dc0,0x3fffffe0,0x5fffffff,0x3fffffa0,0x7fffffff,
    0xfe8dff70,0x7fff4c5f,0xa8000fff,0x5403ffff,0xaabdefff,0xeaaaaaaa,
    0xf501ffff,0x7fec1fff,0x5ffd405f,0x0effeb89,0x3ff90000,0xffd00000,
    0x4a87ffff,0x7ff7fc40,0x7fec405f,0xa99abcff,0x1effffcb,0x3ffff200,
    0x1fffffff,0x7fffd400,0xfff50000,0xdfb8001f,0xdfffdb9a,0x5f7f4400,
    0x00bffd30,0x17fff600,0x4c9fffd0,0x7741ffff,0xeeeeeeee,0xf3004eee,
    0x7776c001,0xeeeeeeee,0xfffd005e,0x05fff980,0x5c00002c,0x7401f201,
    0xeeeeeeee,0x3204eeee,0xeeeeeeee,0xff05eeee,0x3ffe25ff,0x9ffffd07,
    0x0fffc000,0x00077dc0,0x80ffffea,0x7dc6fff8,0x3bf202ff,0x06fffa80,
    0x09fff000,0xbcfa8000,0xbbeffffe,0x477e403e,0x4c01ffe8,0x4400ffff,
    0x803ffffc,0xdbcefff9,0x006fffff,0x002fffc4,0x00bfff10,0xff903fd8,
    0x2ffe809f,0x004fff88,0x02fffa80,0x3a0fffdc,0x000006ff,0x00007f40,
    0xffd80000,0x05fff807,0x5c00002c,0x000ff101,0x00000000,0x225ffff0,
    0xff107fff,0x22000dff,0x1f7002ff,0xffff8800,0x80cc9805,0x3fe602da,
    0x0bfffa02,0xffff5000,0x16400001,0x3ffffff2,0x037e200e,0xff880dfb,
    0xff7000ff,0x7f4405ff,0xfffd881c,0x66cc004f,0x66cc0000,0x017ea000,
    0x2a03fffb,0x3ff607ff,0x5b500007,0x260b6e00,0x000001cc,0x0003ff20,
    0x7e400000,0x5ffe807f,0x400002c0,0x00ffb01b,0x00000000,0xf8dff700,
    0x3fee06ff,0xfc8003ff,0x00132004,0x003ffff6,0x2ff40000,0x00ffff20,
    0x7ffffd00,0x882c0000,0x400efffd,0x00fee05d,0x4001ffff,0x2a06fffc,
    0xfffd802f,0x00000007,0x00fe8000,0xc837ffdc,0x3ff207ff,0x0000000f,
    0x00000000,0x00fffa80,0x90000000,0xffd00fff,0x0000580b,0x7ffa81b8,
    0x00000000,0xd0310000,0xffd809ff,0x3e6000ff,0x00164006,0x00bfffee,
    0x7fdc0000,0x077ec402,0xffff3000,0x040000df,0x26002620,0x200e9805,
    0x2000ffff,0xb02ffff9,0x3ffe2007,0x0000001f,0x1fee0000,0x41fffe60,
    0x3ee05ffa,0x000000ff,0x44000000,0xfa8000a9,0x00000fff,0xfff90000,
    0x80bffd00,0x1b800005,0x003fffe4,0x00026a20,0x00002660,0x2201ffec,
    0x2005ffff,0x06c001fd,0xbffff100,0x74000000,0x001001ff,0xfff5fb00,
    0x0000005f,0x44001000,0x03fffe00,0x07ffff00,0xffc8003a,0x0000002f,
    0x3bfa0000,0xcccccccc,0x501ffffc,0x7ffd4017,0x00000000,0xfff70000,
    0x8809bfff,0xeefffffd,0x3bbb64ee,0xdddb06ee,0xff9009dd,0x0bffd00f,
    0xb8000058,0xfffffd11,0x9807dddd,0x2efffffd,0x3ff6a200,0x0001ceff,
    0x2e007fee,0xb802ffff,0x8000004f,0x000ffffe,0x20026a20,0x00000fff,
    0x3f2df100,0x000005ff,0x00000000,0x0007fffc,0x0c17fffa,0x0bffea00,
    0x00133100,0x8009a880,0xccccceff,0xcccccccc,0xffd98001,0x000000ff,
    0x80151000,0xd30befe8,0x775c0bff,0xeeeefffe,0x3fffe4c4,0x0bfffb30,
    0xd00fff90,0x00580bff,0xdd71b800,0xddddfffd,0x4d6fdc07,0x00dfffdb,
    0x4c4e7fd4,0x0002fffc,0x3a001ff5,0x2200ffff,0x000000ff,0x00ffffe4,
    0x7fffecc0,0xfff302ef,0x5c000000,0x1ffff13f,0x80a20000,0x2a200009,
    0x3fffe000,0x3ffe2000,0xf300004f,0xd91001ff,0x007fffff,0x7ffffecc,
    0x0dff102e,0xeb880000,0x00fffccf,0xdddddd70,0xdddddddd,0x3ff260bd,
    0x417ff400,0xb804fff8,0xfd000fff,0xfff980ff,0x07ffc805,0x2c05ffe8,
    0x40dc0000,0x36007ffb,0x9fff903f,0xa81ffdc0,0x88004fff,0x3fe2007f,
    0x0bf604ff,0xff300000,0xf70009ff,0xfffb735b,0x0fffa81b,0xff000000,
    0x027ffec1,0x83ff6600,0x03efffc9,0x003ff260,0x000ffff8,0x00bfffea,
    0x037fd400,0x5c4dffd4,0x5c00effe,0xffdb9adf,0x3ffcc0df,0xfc880000,
    0x1fff50bf,0x3bbff600,0xfeeeeeee,0x3ae23fff,0x2a00ffff,0x3ff607ff,
    0x0fffb807,0x00fffb00,0xf900bfff,0xbffd00ff,0x80000580,0x07ffb81b,
    0xfd80bf50,0x5ff981ff,0x01fffdc0,0x2e002fc0,0xfa81ffff,0x44000005,
    0x8006fffe,0xfff903fd,0x01fffa89,0x4fa80000,0x003fffd4,0x7ffff5c4,
    0xffffff50,0x7f5c403f,0x3e000fff,0x36000fff,0x00006fff,0xf9013fee,
    0xdfff501d,0xfc81fec0,0x7ffd44ff,0x7cc00000,0x7ffd40df,0x003fb000,
    0xcb8bfff9,0x200ffffc,0x3f207ffc,0x7fdc00ff,0xfff9000f,0x00bffd00,
    0xfd00fff9,0x000580bf,0xffb81b80,0x801fd007,0xfe86fffb,0x7ffc400f,
    0x0274000f,0x237fff40,0x00000fe8,0x0ffffe40,0xb017ea00,0x7fcc3fff,
    0x8000003f,0xfffe81fe,0x7ee5c002,0xbdfa8fff,0x00ffffca,0x1ffff997,
    0x07fffc00,0x7fffec40,0x3f600002,0x0bfe601f,0xa82fffe8,0x7ffec05f,
    0x007ffe21,0x04ffa800,0x2001fff5,0xfff9804d,0x3fff600f,0x817fea00,
    0x5c00fffb,0xf9000fff,0xbffd00ff,0x00fff900,0x0580bffd,0xb81b8000,
    0x7fb807ff,0x47fff980,0xf9007ffa,0x1a8009ff,0xffff9800,0x0000ff24,
    0x7ffff500,0x801fd000,0x3e26fffb,0x05c006ff,0x2e0bf300,0x20006fff,
    0x81ecfffd,0xd803fffb,0x3e000fff,0x2a200fff,0x001ffffe,0x202ffc00,
    0x7fe405fe,0x400fe83f,0x7fc6fffb,0x404c005f,0x3ea05ffa,0x05b000ff,
    0x01ffff88,0x2007ffdc,0x3fea00ba,0x7ffdc00f,0x0fff9000,0x700bffd0,
    0xffd00fff,0x0000580b,0x7ffb81b8,0xcccefe80,0xffcccccc,0x1bff21ff,
    0x03fffc40,0xff700000,0x00df33ff,0xfff88000,0x7fb8005f,0x47fff980,
    0x1001ffff,0x02fc800d,0x003ffff1,0x037ffee0,0x402fffc4,0x2000fffb,
    0xeeffffff,0xffffffee,0x5c00000c,0x3fee00ff,0x077ec402,0x3e601fee,
    0x7fff47ff,0x3e03a001,0x3fea03ff,0x8017000f,0xa803fffd,0x20000fff,
    0x00ffffd9,0x8007ffdc,0xfe807ffc,0xfffb805f,0x02fff400,0x2e000016,
    0xfffd9951,0xff859999,0xccccccce,0x21cccccc,0x3a004ffe,0x00001fff,
    0x3bfffa00,0x000001fe,0x007fffec,0x66677f40,0xffcccccc,0x3fff61ff,
    0x4007b005,0x7fec06f8,0xff70004f,0x6ffe801f,0x00fffa80,0x3bbfffe0,
    0xfffffdcd,0x00001cff,0xfd013fe2,0x7402003f,0xccccccef,0x1ffffccc,
    0x401bfff6,0x1fff986a,0x003ffea0,0x2fffdc00,0x00fffa80,0x667f5c40,
    0x7dc00fff,0xff9000ff,0x0bffd00f,0x403fff50,0x2c06fffa,0xc8dc0000,
    0xffffffff,0x1bfe24ff,0x0fffe000,0x02fffd80,0x000cfc88,0x9fffff30,
    0xfb800000,0xf0002fff,0x999999df,0x39999999,0x02ffffcc,0xfb8003ee,
    0x7fffcc03,0xfffb8000,0x037fec00,0x0007ffd4,0x2201ffff,0xeffffeb9,
    0x5fc80001,0x000fff80,0x66677fc0,0xcccccccc,0x3ffe61cc,0x0fe600ef,
    0xb813ffea,0x80001fff,0x000ffff9,0x2001fff5,0xf50bffc8,0xffb801ff,
    0xfff9000f,0x00bffd00,0x2e09fff3,0x2c07ffee,0x88dc0000,0x99fffc99,
    0x1ffe6099,0x9fff3000,0x1fffe400,0x13ffee04,0x7fffc800,0x7c400000,
    0x10005fff,0x20000dff,0x41dffffd,0x7c004fd9,0xfffe800f,0xfffa8003,
    0x037fe400,0x0007ffd4,0x2001ffff,0x01fffffd,0x003be200,0x8000fff3,
    0x00006ff8,0x37fffff9,0x4c1bf6a2,0xff707fff,0x000e23ff,0x007fffe2,
    0x800fffa8,0x7d40dff9,0x7fdc00ff,0xfff9000f,0x00bffd00,0x22b7fffa,
    0xfffe8eda,0x0005839c,0xffb81b80,0x07ffd407,0xbfff7000,0x17ffdc00,
    0x7fec9fd5,0x3e60005f,0x000006ff,0x007ffff4,0x007ff980,0xfffff100,
    0x0dfffdff,0xaaaefa80,0xfdaaaaaa,0xfa8006ff,0x7fe400ff,0x0fffa806,
    0x03fffe00,0xeffffb80,0x03fd0000,0x001fff50,0x003ffcc0,0xfffff880,
    0x1fffffff,0x2fffffe0,0xfffbeeb9,0xd8001ebd,0x54003fff,0x7d400fff,
    0x1fff504f,0x00fffb80,0xd00fff90,0x3e600bff,0x0effffff,0x05dffffd,
    0x3700000b,0x880fff70,0x20001fff,0x2006fffa,0x3fa0fffb,0x7fff52ff,
    0x7ffcc000,0x2e000006,0x0002ffff,0x0003ffea,0x7ffff440,0x000effff,
    0x7ffffff4,0xffffffff,0x7d4001ff,0x7fe400ff,0x0fffa806,0x03fffe00,
    0x9ffffb00,0x005fb000,0x0007ffea,0x000fffa8,0xffffd100,0x805fffff,
    0xfffffffa,0xfffff88d,0xfffb8001,0xfffa8005,0x817fea00,0x5c00fffa,
    0xf9000fff,0xbffd00ff,0x7fffdc00,0x33ffa0df,0x00001601,0x1ffee06e,
    0x0017ffe0,0x1fffe213,0x227ffb80,0x32a3ffff,0x7fcc0002,0x3000006f,
    0x0009ffff,0x001fff88,0x7fffec00,0xf98003ff,0x9999999d,0xfffc9999,
    0x7ffd4005,0x037fe400,0x0007ffd4,0x8001ffff,0x005ffffb,0xf3001fdc,
    0x440007ff,0x00001fff,0x7fffffe4,0xfff5000e,0xeffd85ff,0xfff98001,
    0xffa8000f,0x0fffe00f,0x400fffa8,0x7000fffb,0xffd00fff,0x1573000b,
    0x0b001dd0,0x70370000,0xffd00fff,0xf074003f,0x32003fff,0x7ffe45ff,
    0xf9800000,0x000006ff,0x000dfffd,0x0017ffe0,0xed988013,0x5f900009,
    0xffff9800,0x3ffea000,0x037fe400,0x0007ffd4,0x8001ffff,0x007ffff8,
    0xf10013ea,0x0b800dff,0x30017ffe,0xf9973001,0x0a988001,0x20001f70,
    0x001ffff8,0x201fff50,0x2a01fff9,0x7dc00fff,0xff5000ff,0x5ffe801f,
    0x1fd40000,0x80000580,0x07ffb81b,0x006fffd8,0x4fffc8d5,0x507ffb00,
    0x20000017,0x0006fff9,0x1ffffc80,0x7f491000,0x03a001ff,0x80017e20,
    0xfb0006f8,0x7d4007ff,0x7fe400ff,0x0fffa806,0x03fffe00,0x1bfffe00,
    0x80027cc0,0x1001ffff,0x01fffe8d,0xfd0003a0,0xbf100000,0x7ffec000,
    0x3fea0003,0x9fff500f,0x00fffdc0,0x400bffea,0x2a01fff9,0x00006fff,
    0x05802fe4,0xb81b8000,0x7cc00fff,0x2600efff,0x7fffc43f,0x00fff800,
    0xf9800000,0x400006ff,0x003ffffa,0xfffd92e0,0x200d5006,0x8001fffc,
    0xf50003fb,0x7d400fff,0x7fe400ff,0x0fffa806,0x03fffe00,0x9ffff100,
    0x000bf300,0x802fffec,0x37ffec3d,0x44006a80,0x400000ff,0xf70007fa,
    0x09300bff,0x4c03ffea,0xff707fff,0x260e23ff,0x406c3fff,0xf704fff9,
    0x0000fffd,0x5800ffd8,0x81b80000,0x06c2fffa,0x2ffffff2,0x20dfb511,
    0x5405fffc,0x83db83ff,0x20001dc8,0x0006fff9,0x1bfffe20,0x7cc5d000,
    0x2600efff,0xffd7003f,0x01ff000b,0x1ffffc00,0x00fffa80,0x54037fe4,
    0x3e000fff,0x54000fff,0x4c01ffff,0x305c005f,0xb80bffff,0x7fffcc0f,
    0x00fe600e,0x0007ff50,0x002ffb80,0x007fffcc,0xfffa81d4,0x3ffffe01,
    0xffbeeb9b,0xf881ebdf,0x02d9bfff,0x22b7fffa,0xfffe8fda,0xc800039c,
    0x005804ff,0xf981b800,0x81daaeff,0xfffffff8,0x201fffff,0xd103fffd,
    0x7fff50bf,0x000fffd8,0x00ffff30,0x7fffec00,0x07ea0000,0x37fffff9,
    0x001bf6a2,0xb800fff3,0x7e40005f,0xff5006ff,0x7ffc801f,0x01fffa80,
    0x01ffff10,0x3ffffc40,0x70017e60,0xbffffb0d,0x904fd983,0x237fffff,
    0x8006fda8,0x0000eff8,0x8017fea0,0x001ffff8,0x3ffee079,0x3fffea01,
    0xff88dfff,0x3f601fff,0x4c05ffff,0xefffffff,0x5dffffd0,0xfff10000,
    0x2c53113b,0x80dc0000,0x04fffffd,0x3fffffa2,0xc802ffff,0xf512cfff,
    0x3fff209f,0x017fffc5,0x07fffa80,0xffff5000,0x3fc40007,0x7fffffc4,
    0x01ffffff,0x0027fc40,0x30000bfe,0x7005ffff,0xfd801fff,0xfffb807f,
    0xffff1001,0x3ff62001,0x3be602ff,0x99999999,0x883feba9,0xefffffff,
    0x3e206fff,0xffffffff,0xb0001fff,0x2a615fff,0xdffd0000,0x3f60a615,
    0x7f5003ff,0x00bfff20,0x85fffff5,0xd801effd,0xb800beff,0x20dfffff,
    0x0001cffe,0x7ffffe40,0x000163ff,0x7e4406e0,0xff9003ef,0x001dffff,
    0x7fffff5c,0x3fea02df,0x07ffec3f,0xffffb800,0x7fc40000,0x2e0005ff,
    0xffd106ff,0x5fffffff,0x01ff9000,0x000ffe40,0x3ffffe60,0x0fffe400,
    0x003fff60,0x2005fff9,0x800ffffa,0x03fffffb,0x3fffffea,0xffffffff,
    0xffd100ff,0x1dffffff,0xffffe880,0x002fffff,0x3ffffe60,0x50000cff,
    0x9fffffff,0x57fffdc1,0xcaaaaaaa,0xff882ffd,0xa98806ff,0x10002600,
    0x2ae60003,0x0000bb80,0x33b72600,0xccccce82,0xcccccccc,0xdccccccc,
    0x30001801,0x40001597,0x000abba8,0x397105b5,0x3ffe6000,0x20002dff,
    0xeeeffffe,0xeeeeeeee,0x5fffffee,0x7ffffe40,0x32a000ef,0x93002dff,
    0x0001dfff,0x3fffff66,0xfffa80be,0x3ffea05f,0x3ffe204f,0xffe9806f,
    0xccdeffff,0xdfffffed,0x3fffea01,0xffffffff,0xd805ffff,0x03ffffff,
    0x7ffffe40,0x880000ef,0x000cdedb,0xbdedc880,0x7ffffc40,0xffffffff,
    0x3aa2ffff,0xefffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xffffffea,0x4006ffff,0xfffffffa,0xffffffff,
    0xffffffff,0x15973003,0x01551000,0x7ffffe40,0xf1003fff,0xffffffff,
    0x3ffea5ff,0xb1efffff,0xffffffff,0x7ffff54b,0x3a60efff,0xffffffff,
    0xeeffffff,0xff800ace,0xffffffff,0x2fffffff,0x13773100,0x565cc000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffe0,0x6fffffff,0x000a8800,0x00000000,0x00000a60,0x00000000,
    0x13300000,0x02a62000,0x15310013,0x4d440000,0x00000000,0x00266200,
    0x11003100,0x00355300,0x88000153,0x06a2000a,0x01100110,0x10000000,
    0x90000000,0x7ddddddd,0x7777775c,0xeeec84ee,0xdddd72ee,0x3207dddd,
    0xdb4eeeee,0x3a0bdddd,0x004eeeee,0x808802a2,0xffffffff,0x006fffff,
    0x00001fb8,0x54015310,0x07d8000e,0x01330000,0x00002ed8,0x22013ae0,
    0xceffffda,0xfffd8801,0x200fcdff,0xdffffffb,0xffd98004,0x3602efff,
    0x2a004402,0x7ff64405,0xb0003fff,0x702f8809,0x9ffffffd,0xfffffeb8,
    0x3bf66003,0xd882dfff,0x80dfffff,0x075c01f9,0x98000000,0x019f30fc,
    0x7e440000,0xe981ffff,0x00adffff,0x4c17fff3,0x01effffe,0x3057fec4,
    0x4c0ffff9,0x9805fffd,0xff900ffc,0x77776c19,0xeeeeeeee,0x01fb8005,
    0x3fae2000,0x260dffff,0x0fb0004f,0x3f6a2000,0x5c1cefff,0xdddb1fff,
    0x3bba0bdd,0xfff9ceee,0x273fea03,0x02fffc98,0x2a22bbea,0xe880fffd,
    0xffd30bef,0x56fdc00b,0x0dfffdb9,0x36a17f44,0x543effff,0x7ff500ff,
    0x1dffd713,0x1007e400,0x5dfd10dd,0x6d3ffee2,0xfffb99bf,0x0f7dc00d,
    0x7c49ffd5,0xfffea8bf,0x7c00ed81,0x40000005,0x3e26ffda,0x00001dff,
    0x817ffee0,0x801ffff8,0x3ffa03fd,0x07f9002f,0x2603fff4,0xd7105fff,
    0xf301ffff,0x0000dfff,0x003f7000,0x273fe600,0x9bfffca8,0x1f60005f,
    0x33fea000,0x2fffc989,0xc987ffee,0x36607fff,0xfff8dfff,0x207ff704,
    0xf884fffa,0x01ff501f,0xff105ffd,0x07fb009f,0x2213fff2,0xeffeabfe,
    0xaaeffecc,0x1df901ff,0x00dfff50,0x5fb013ee,0xf503fff0,0xf103ffff,
    0x77ec09ff,0x9dfff880,0x7ff440ef,0x2037cc0f,0x000004fb,0x0efff5c4,
    0x02effea8,0xfffd0000,0x01fffa80,0x7fd406f8,0x80dd004f,0xff807ffd,
    0xff99705f,0xfff701ff,0x000003ff,0x0001fb80,0xf502ffa8,0x8000dfff,
    0x7dc0007d,0x9fff502f,0x7f40ffe4,0x7ffcc07f,0xf307ff55,0xfffb80bf,
    0x32037dc3,0x03ffd40f,0xfa80fffb,0x0fffec05,0x81ffff44,0x00ffffb8,
    0x7f405ff3,0x7fcc02ff,0x2a1bf200,0x3ffe06ff,0x3fff203f,0x201ffb81,
    0x01fffff9,0xfb09fff3,0x002ff80b,0xfffc8800,0xffb3000c,0x4000017f,
    0x2201fffa,0x7cc04fff,0x06ffe802,0x7e403f98,0x5ffe807f,0x80fffd80,
    0x04fffff8,0x7dc00000,0x7fc40001,0x27ffe405,0x001f6000,0x5c04ff98,
    0x2fd9cfff,0xf00fffb0,0x09f73bff,0xf1003ffa,0x7fe41fff,0xf903e600,
    0x7ffe40ff,0x7003fa00,0x3ee0dfff,0x4ff9800e,0xf9017fa0,0x7fc407ff,
    0x20bfea03,0x3fa06ffc,0x3fe600ff,0x03ffc45f,0x103ffff4,0xf981ffff,
    0x07fee03f,0x7fecc000,0x3220002e,0x0001cfff,0xc809fff0,0x03e407ff,
    0x401fffb8,0x7ffc807c,0x805ffe80,0x7100fffb,0x5100bf15,0x3f700001,
    0x1ffd8000,0x00ffff80,0x8001f600,0x7c400ffe,0x201bdfff,0xfe807ffc,
    0xf502bcff,0x3ff200ff,0x00fff64f,0x05ffa81d,0x5c03ffee,0xfff9807f,
    0x000ff887,0x3ee03fe6,0x77ec402f,0x01ffd100,0x7d41bfe6,0x1fffa04f,
    0xc8dfff10,0xffb805ff,0x7fff405f,0x202ffd81,0x20000efe,0x001dffea,
    0x3ffae200,0x7e40002d,0x7ffe407f,0x44013e02,0x27c05fff,0x403ffe40,
    0xfa805ffe,0x4f9800ff,0x007ff260,0x0007ee00,0xd807ff98,0x0005ffff,
    0x7cc001f6,0xfff9007f,0x0fff9009,0x900bffd0,0x3e200dff,0x3ffee7ff,
    0x7501300d,0x07ffd401,0xccccefe8,0xfffccccc,0x0017e41f,0x7ff42fcc,
    0xfd801001,0x5fff103f,0xfd005cc0,0x999999ff,0xf8ffff99,0xff8804ff,
    0xeeeeeeff,0x982ffffe,0xff501fff,0xffc8800b,0x000000cf,0x01f7fed4,
    0x02fff980,0x20dffff1,0x3f2001fa,0x03f500ff,0xd00fff90,0xff500bff,
    0x85f9001f,0x1ffffea8,0x01fb8000,0x01bfee00,0x1ffff5f9,0x001f6000,
    0x88037fe4,0xfc806fff,0x5ffe807f,0x004ffe80,0x7c47fffa,0x0002efff,
    0x1ffffb30,0x3333bfe0,0xcccccccc,0x0037c1cc,0xfff81fd0,0xffb80000,
    0x0dffd107,0x7ffe4400,0xeeeeeeef,0xf10eeeee,0x3fa007ff,0xccccccef,
    0xb01ccccc,0x3fa01dff,0xffd9804f,0x000000be,0x67ffe4c0,0x2fff4000,
    0x1fffcfb8,0x7cc006d8,0x00bd03ff,0x3a01fff2,0xffa805ff,0xa85e800f,
    0x01ffffcc,0x001fb800,0xb817ff60,0x03ffff2f,0x4001f600,0x3a004ffe,
    0xffc807ff,0x05ffe807,0x2003fff8,0x3f62fffd,0x002effff,0xfccfeb88,
    0x6ff880ff,0x04f98000,0xf987f200,0xfa80007f,0xfffb03ff,0xdfb30003,
    0x4000dfff,0xd003fff9,0x200009ff,0xf506fff8,0x3faa07ff,0x000002df,
    0xfffb8800,0xfff7001d,0xfff19f01,0x8003f889,0x2f987ffe,0x00fff900,
    0xf500bffd,0x764401ff,0x0fffec00,0x00fdc000,0x209fff00,0x3fff63fa,
    0x00fb0003,0x800fffe0,0x6401fffd,0xffe807ff,0x27ffcc05,0x87fff900,
    0xeffffffc,0xbffc8800,0x301fff50,0x50000fff,0x7d40005f,0x003ffea3,
    0x06fff980,0x800bfff9,0xffd2efea,0x7fd4000d,0xbffb004f,0x7fe40000,
    0x3fffd04f,0x00e7ffdc,0x80000000,0x402effea,0x7dc3fff8,0xfb8fff90,
    0xfffa8000,0xf9003e42,0xbffd00ff,0x01fff500,0x2e003baa,0x99101fff,
    0x99999999,0x99999bfb,0xf9899999,0x44fa85ff,0x3264fffc,0xcccccccc,
    0xcccccfec,0xf33ccccc,0x7e4009ff,0x7fe403ff,0x05ffe807,0x002fffdc,
    0xd305fff7,0x05ffffff,0x2a06ffcc,0xffa80fff,0x7dc0000f,0x93e20001,
    0x0001fffa,0x641fffe6,0xd3005fff,0x7ffe85df,0x3ffee000,0x0fff9005,
    0x7ffe4000,0x25fffd05,0x000cfff8,0x80000000,0xfd807ffd,0xff32f46f,
    0x0002f45f,0x27c4dfff,0x00fff900,0xf500bffd,0x05d701ff,0x80fffd40,
    0xfffffff9,0xffffffff,0xffffffff,0x31bffea0,0x7fff709f,0x7fffffdc,
    0xffffffff,0xffffffff,0x00bfff75,0x2017ffdc,0xfe807ffc,0x7ffd405f,
    0x3ffee006,0x3fffea00,0x4ffa83ff,0x101fff50,0x80003fff,0x2a0003f9,
    0x0fffe62f,0x7fff5000,0x007fff60,0x3f609ff7,0x3ea0007f,0xff9006ff,
    0xf100001f,0x3fea0dff,0x7ffdc43f,0x0000001d,0x7ffe4400,0xfffa800c,
    0xffe83f51,0x40005f35,0x1f71fffc,0x03ffe400,0x5402fff4,0x00080fff,
    0x201fffa8,0x99999999,0x999afb99,0x41999999,0x3e27fff8,0x43fff505,
    0x99999998,0x999fd999,0x09999999,0x400dfff5,0x6400fffb,0xffe807ff,
    0x3fffc405,0x00fff700,0x51ffffee,0x7fd40bff,0x0bfff00f,0x13e20980,
    0x221fb800,0x5c006fff,0x883ffe40,0x3ea05ffe,0x3fff205f,0xff982000,
    0xfff9007f,0x64066003,0xffd00fff,0xeffea80b,0x00000002,0x0177fecc,
    0x6ea7ffc0,0x7c8fffb8,0x7ffc4000,0xfb800bd4,0x5ffe807f,0x00fffa80,
    0x3fff5000,0x03f70000,0x4ffffc00,0x3fee06e8,0x01f60007,0x01fffe20,
    0xc807ffb8,0xffe807ff,0x1ffff805,0x64bff900,0x3fffa600,0xa80fffe1,
    0xffd00fff,0x2074003f,0x1fa0006f,0x4007fffe,0x07ffb068,0x6c07ffe2,
    0x3fee02ff,0x44d1002f,0xd800ffff,0x3b006fff,0x203fff10,0x26006ffa,
    0x000bfffd,0x3faa0000,0x320001df,0x882fafff,0x004fcfff,0xfafffd80,
    0x7ffdc002,0x02fff400,0x0007ffd4,0x01fffa80,0x001fb800,0x3abfffa0,
    0x17fee00e,0x0007d800,0x2003ffff,0xfb805ffc,0x5ffe807f,0x04fffc80,
    0x16c7ffb0,0x4d3ffea0,0x3ea01fff,0xfffb00ff,0x2e1aa00d,0x3fb8004f,
    0x005fffd8,0x3ffa207b,0x10dff300,0x7cc03fff,0x899006ff,0xd803fffe,
    0x4c03ffff,0x405ff907,0x88000ffe,0x001cfffc,0xfff71000,0xf3000019,
    0x7ec0dfff,0x80000fff,0x006ffff9,0x201fffa8,0xa806fffa,0x00000fff,
    0x0003fff5,0x40003f70,0x00fffffb,0x0001ffe4,0x3f2000fb,0xffb004ff,
    0x3fff7007,0x805ffe80,0x800ffff8,0x01760fff,0x7fd4fffa,0x3ffee04f,
    0xdffff301,0xe81fcc01,0x1be6001f,0x02ffffcc,0xff8803ee,0x50bfee03,
    0xff809fff,0x0fd403ff,0x201fffea,0x00ffffff,0x9ff109d1,0x000ffd40,
    0x37ffae20,0xf9300002,0x000017df,0x203fffe8,0x0005fffa,0x00ffffa0,
    0x413ffe60,0x807ffeeb,0x0001fffa,0x003fff50,0x0003f700,0x802fffe8,
    0x20000ffe,0xff10007d,0xfff001ff,0x7fff5001,0x037ffd40,0x405fffc8,
    0x0fec3ffa,0x7cc7ff20,0xfff707ff,0xff90e23f,0x2a237fff,0x3fee06fd,
    0x04ffb803,0x077ffff6,0xf3009fb3,0x237e401f,0x2e07fff9,0xa84fffff,
    0xfffb05fd,0x7fffd405,0xf932dfff,0x80bfb03f,0x400002fe,0x003effda,
    0x05bffd50,0x7fd40000,0x02fff807,0x3ffee000,0xfffd0000,0xd1db515b,
    0x20739fff,0x0001fffb,0x003fff50,0x0003f700,0x405fffa8,0x40003ffa,
    0x3f20007d,0x7fd405ff,0xbfff3002,0x1fffbae0,0x03fffd80,0xffb0bfd1,
    0xf17fe201,0xd737ffff,0xd7bfff7d,0xfffff883,0x1fffffff,0x5dfddf50,
    0x77fed441,0xffff103f,0xdfffdfff,0x2027dc00,0x3ffe22fd,0x2bfa61df,
    0xdefffffe,0xf100efff,0xfd101dff,0xffffff5b,0xf309ffff,0x004fb80d,
    0x3ff26000,0x7dc400cf,0x00001cff,0x803ff880,0x400007fc,0x20005ff8,
    0xfffffff9,0xdffffd0e,0x0bfff205,0x7ffd4000,0x1fb80001,0x7ffdc000,
    0x0dfd104f,0x000fb000,0x104fffd8,0xfe800bfd,0xeda8aeff,0x39cfffe8,
    0x2cfffc80,0x3609ff51,0x7e442fff,0x7fffd40e,0xff88dfff,0xfd101fff,
    0xffffffff,0x643bea05,0xffffffff,0x103fe88c,0xfffffffd,0xfc8001df,
    0xf71ba200,0xdfddffff,0x3ffffa21,0x401fffff,0x30afffe9,0x7ffd4bfd,
    0xb06fffff,0x005f801f,0xff710000,0xffc983bf,0x000000bf,0x44007e40,
    0xc800004f,0x7dc0001f,0x3a0dffff,0x3e201cff,0x00006fff,0x0003fff5,
    0x40003f70,0xcfffcbfa,0x00bfd511,0x0001f600,0x44b3fff2,0x98004fea,
    0xefffffff,0x5dffffd0,0x3fffae00,0x3602dfff,0xfedfffee,0xfff500cf,
    0xeffd85ff,0xffffc801,0xdf100eff,0xcedba881,0x00ff440b,0x7ffffffb,
    0x20274000,0x7ffdc2f8,0xfc883fff,0x00dfffff,0x3fffff20,0xffeb83ef,
    0x3f304fff,0x0000eb80,0xffea8000,0x005dff30,0x1cc00000,0x00003700,
    0x40000910,0x0bb80ab9,0x3ffffaa0,0x0000efff,0x0007ffea,0x40007ee0,
    0x3ffa64f9,0x002effff,0x0001f600,0x7fffff5c,0x2e0002ef,0x20dfffff,
    0x0001cffe,0x00157751,0x0abba983,0x200a9880,0xcb980009,0x000a800a,
    0x98802880,0x400009bb,0x88088008,0x71001acb,0x4c000159,0xb8800aca,
    0x002200ab,0x00000022,0x3261b300,0x00000001,0x00000000,0x00000000,
    0x00000000,0x001fffa8,0x0001fb80,0x32ea60bd,0xddd5001a,0xfddddddd,
    0xdddddddf,0x51009ddd,0x00003577,0x5dc05654,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002fffb8,0x0001fb80,
    0x2e000001,0xffffffff,0xffffffff,0x06ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x017ffe40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc40000,0x51000eff,0x51001881,
    0x98006601,0x80a20001,0xeeea8009,0x225eeeee,0x02eeeeee,0xddddddd7,
    0xdddddddd,0x3bbbbaab,0xdd32eeee,0x03dddddd,0x4c002ea0,0x00310000,
    0x80000040,0xa88000e8,0x64c00bdd,0xb8802dee,0x3b6e200f,0xdc9801ce,
    0x36601bdd,0x01dda81d,0x00b3bb2a,0x000000a2,0xfff98000,0xffffffff,
    0xffffffff,0x0000ffff,0x0002b2ea,0x2eeee248,0x13bbbbbb,0x33333333,
    0x33333333,0x21333333,0xaaaaaaa8,0xaaaaaaaa,0x1aaaaaaa,0x7ffff4c0,
    0x9300efff,0x3ff221ff,0x3ff9301e,0x677ffec4,0xffffd980,0x3ff66004,
    0x3bfff260,0x7ffe4c03,0x7f4c0cff,0x3ff602df,0xeeeeeeee,0x223ffffe,
    0x0afffffa,0x55ffffcc,0x07ff5000,0x8001df10,0x4c000fe8,0x800003ff,
    0x7d4004fd,0x703fffff,0x1dffffff,0x01fffb30,0x3fffffaa,0xa8fee04f,
    0xdffb02ff,0xb10dffd0,0x1bff917f,0x3fe626c0,0xffffffff,0xffffffff,
    0x6c0fffff,0x3ba25fff,0xeeeeeeee,0xeeeeeeee,0xd10ffeee,0x36207fff,
    0x0befffff,0xff896a00,0xffffffff,0xffffff57,0xffffffff,0xffffffff,
    0x3ffffea7,0xffffffff,0xffffffff,0x8800003f,0xd0ffffeb,0xea8bffff,
    0xff51ffff,0xb8bfffff,0x4fffffff,0x3fffae20,0xfffff50f,0xff5003ff,
    0x13fa07ff,0x32007f60,0xff905fff,0x06ffc07f,0x02ffe400,0x1000efc8,
    0xf90005fd,0xa80000df,0xf1001fff,0x03ffea17,0xfd715bf5,0xffb370bf,
    0x417ff301,0xff885fe9,0xff83ff40,0x3ffe20ff,0x2a17f40f,0x85f505ff,
    0xccccccc8,0xcccccccc,0x4ccccccc,0x0037ffc4,0x20fc8000,0xfb06fff9,
    0xffffb79d,0x449d0039,0xffffffff,0x777737ff,0x77777777,0x77777777,
    0x2aaa2377,0xaaaaaaaa,0xaaaaaaaa,0x00001aaa,0xffffdcb8,0x6fffeec8,
    0x3ffff32a,0xfb9acfa9,0x7bf92fff,0x05fffd73,0x3ffff32e,0xfcabdfa8,
    0xfb800fff,0x05fa86ff,0xff3009b0,0x3fee01ff,0x009fb02f,0x0027fdc0,
    0xe8801df9,0xff50002f,0xfe800009,0x055005fa,0x85d85ff7,0xf900fff8,
    0x403fd01f,0x437cc3fd,0xfff81ffd,0x1fffe60f,0xffb01ff9,0x00bffd07,
    0x3ea00000,0x000000ef,0xff981f90,0xa817d40f,0x40befffd,0x37621fb8,
    0xdddddddd,0x00000005,0x00000000,0x7fffb000,0xc80f6d4b,0x881ecfff,
    0x81ecefff,0xd806fff8,0xb81ecfff,0xfb003fff,0x077c49ff,0x7c402d80,
    0x3ea01fff,0x1fec41ff,0x261de980,0x077662ff,0xe88077e4,0x14c0002f,
    0x4fee0000,0x2a0002fc,0xfb00c87f,0x03fee01f,0x7f8807f7,0x7ff440a8,
    0xf87fff81,0x837fc6ff,0x7e446ffa,0x000002ff,0x001ffd80,0x03f20000,
    0x0bb0ffee,0xdfffd710,0x0009ffb9,0x00000000,0x00000000,0xffff7000,
    0xfffa8001,0x3fff200d,0x3fff200d,0x6fffdc00,0x0bfff100,0x47fffe20,
    0x02e001fd,0x807fffb0,0x3a21fffa,0x3ff6002f,0x7cc7fe2f,0x3bf206ff,
    0x001ff440,0x44000000,0x001be26f,0x5c001fd8,0x03fee06f,0x1f9001f9,
    0x7feeecc0,0xe85ffd82,0x17fe25ff,0xfb83ffc4,0x0000004f,0x00002ff8,
    0xc807e400,0x2000f45f,0x3fffffda,0x00000000,0x00000000,0xf5000000,
    0xf50007ff,0xffa803ff,0x7ffdc01f,0x07ffdc00,0x801bffa0,0x3fbefffa,
    0x7fdc0000,0xfffa805f,0x8005fd11,0xfb3ffffa,0x013fffe6,0x3fa21df9,
    0x00000003,0xfb83fb00,0x03fa8003,0x2e03fe80,0x803f40ff,0x0dd982fb,
    0xff905ff9,0x549ffb09,0x3ffe06ff,0x001ffb80,0x1fcc0000,0x64000000,
    0x051f600f,0x001a9800,0x00000000,0x00000000,0x7fd40000,0xffa8000f,
    0x7ffd401f,0x0fffd401,0x003ffee0,0xd800dffb,0x0005ffff,0x07fffcc0,
    0x4cfffd40,0xd70001ff,0xf5b79fff,0x90019fff,0x007fd3df,0x20000000,
    0x01fd04fa,0x0fffff20,0x200ef980,0x07ec0ffb,0x3ea0fe40,0x5417fe45,
    0x3ffb82ff,0xfe81ffe6,0x005ff887,0x04c80000,0xf9000000,0x0002e801,
    0x00000000,0x00000000,0x00000000,0x000fffa8,0x401fffa8,0x5401fff9,
    0x7d401fff,0x7fe400ff,0x7ffc4006,0x2200001f,0x5001ffff,0x3fff7fff,
    0xfda88000,0x001bdfee,0x803fffc8,0xccccccc9,0xcccccccc,0x3ccccccc,
    0x7cc03fa0,0xffb73005,0x07f6007f,0xfb81ff70,0x2a0fe802,0x17fe41ff,
    0x7d40ffcc,0x03ffe21f,0xffb937fc,0x7fffcc19,0xffffffff,0xffffffff,
    0x00050fff,0x075c0000,0x00000620,0x00000000,0x00000000,0x20000000,
    0x8000fffa,0x4c01fff9,0x7d401fff,0x7fd401ff,0x37fe400f,0x2fffd400,
    0xfffb0000,0x7ffd4007,0x000ffffc,0x1cffc980,0x3bfe2000,0xffffb800,
    0xffffffff,0xffffffff,0x07f705ff,0x4c001fd8,0x2fc806ff,0x4c0ffb80,
    0x22fdc06f,0x2ffc87fe,0x3fe20ff0,0x4c27fec0,0x406aa2ff,0xeeeeeee8,
    0xeeeeeeee,0xeeeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x8000fffa,0x4c01fff9,0x7d401fff,0x7fd401ff,0x37fe400f,
    0x7fffd400,0xffb80003,0x7fd4005f,0x05fffc9f,0x9dffb700,0x017bffdb,
    0x3bf7fa20,0x4cccc400,0x99999999,0x99999999,0x06f88099,0xb8006f88,
    0x0bee01ff,0x5c07fdc0,0x0ffb80df,0xfd51fffc,0x06e8135f,0x3ffe21be,
    0x00027dc0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fd40000,0xff98000f,0x7ffcc01f,0x0fffd401,0x003ffea0,0x8800dff9,
    0x01fffedf,0x3fffe600,0x7ffd4000,0x009fffb1,0x46ffff4c,0x3ffffb6b,
    0xf93fe880,0x0000001d,0x800fec00,0x7cc003fb,0x003f500f,0xfd807fdc,
    0x1ffeccdf,0xbfffffc8,0x640efffb,0x74c17605,0x04fc9cff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x30001fff,
    0xf9803fff,0x7fd401ff,0x7ffd401f,0x037fe400,0x3fe63ba0,0xff10006f,
    0xf50003ff,0x3ffa23ff,0xfffb002f,0xfffb3f4d,0x21ff440b,0x00000efc,
    0x05fa8000,0x50007f40,0x407b20df,0x00ffb80b,0x37ffffaa,0x19dd7100,
    0x15413fa2,0x6dc40550,0x00001cef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fea0000,0xff98000f,0x7ffcc01f,0x0fffd401,
    0x003ffea0,0x6400dff9,0x13fff21f,0x0ffff600,0x0fffd400,0x003ffff3,
    0x3e21bff9,0x413ff21f,0xdf903fe8,0x00000001,0x4c000fe8,0xfe80c44f,
    0xaaabfd80,0xff707dcb,0x00331001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03ffea00,0x07ffe600,
    0x803fff30,0x5401fffa,0x7e400fff,0x07f5006f,0x4003fffd,0x9805fffb,
    0x41fffa84,0x800efffb,0x21ffd41a,0x07fd1029,0x0000efc8,0x70003b91,
    0x3f60007f,0x2ef7ffa1,0x7ff441ef,0x4fffffff,0x00bffd98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d400000,0xf98000ff,0x7fcc01ff,0x7ffd401f,0x07ffd401,0x201bff20,
    0xfff305f8,0xfff3001d,0x5075001f,0xff903fff,0x3f2000bf,0x7fd1005f,
    0x003bf200,0x001bfee0,0xc8800132,0x33bfb2a3,0x99999502,0xa8199999,
    0x00cccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ea00000,0xfa8001ff,0x7fcc01ff,0x7ffd401f,
    0x07ffd401,0x101fff20,0x7fe401fd,0x7ffc405f,0x5079001f,0x3fa03fff,
    0xfc8004ff,0x3fe8805f,0x006fe400,0x001bff20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffb80000,0xffa8002f,0x7ffcc02f,0x17ffd401,0x003ffee0,
    0xfd80fffb,0x3ffff802,0x00ffff60,0x7fdc1fd4,0xffff302f,0x1fe98009,
    0x20007b00,0xed88005c,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000fffee,0x500fffee,0xfb805fff,0x7fe403ff,0x7ffec01f,0x04ffd880,
    0x5fffffc4,0x57fffdc0,0xcaaaaaaa,0x7f4c2ffd,0xfff00dff,0x080039ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff980,
    0x3ffa2002,0xfff100ef,0x3fe601df,0xff500eff,0x7fd40bff,0x7ffcc4ff,
    0xffc80fff,0x13ffffff,0xffffffff,0xffffffff,0x3fffee5f,0xf12effff,
    0xdfffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff500000,0x7fffffff,0x7ffff4c0,0xff52efff,0x5fffffff,0x3fffffea,
    0xfff50eff,0x23dfffff,0xfffffffd,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_49_latin_ext_x[560]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,6,3,3,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,5,2,-1,3,4,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,1,-1,1,1,1,1,1,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,2,2,2,2,2,2,2,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,6,6,0,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,1,6,6,6,6,6,6,6,6,6,6,6,6,6,0,0,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,1,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,0,1,-1,1,1,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static signed short stb__times_49_latin_ext_y[560]={ 39,9,9,9,7,9,9,9,8,8,8,12,34,27,
34,8,9,9,9,9,9,9,9,9,9,9,18,18,13,19,13,9,8,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,9,9,46,8,18,8,18,8,18,8,18,8,8,
8,8,8,18,18,18,18,18,18,18,12,19,19,19,19,19,19,8,8,8,24,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,17,10,9,13,9,
8,9,10,9,9,18,20,27,9,5,9,12,9,9,8,19,9,21,38,9,9,18,9,9,9,17,0,0,0,1,
2,2,9,9,0,0,0,2,0,0,0,2,9,1,0,0,0,1,2,15,8,0,0,0,2,0,9,8,8,8,
9,9,10,8,18,18,8,8,9,10,8,8,9,10,8,9,8,8,9,9,10,15,17,8,8,9,10,8,8,10,
3,12,0,9,9,18,0,8,-1,9,2,10,0,9,0,8,9,8,3,12,0,9,2,10,9,18,0,9,-1,9,
1,9,2,10,9,6,-1,-1,9,8,1,9,3,12,0,9,9,8,2,18,9,8,-1,9,9,8,19,0,0,9,
8,9,8,9,8,9,8,0,8,9,18,0,9,9,9,18,3,12,0,9,0,8,9,18,0,8,9,18,0,9,
0,8,-1,9,9,18,0,9,9,12,0,8,9,12,1,9,3,12,0,9,-1,8,0,8,9,19,-1,9,-1,9,
2,0,8,2,10,0,9,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,9,11,11,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,5,17,11,11,11,11,11,11,11,11,11,11,11,11,11,4,17,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,9,0,9,0,
9,0,9,-1,5,-1,2,-1,2,-1,2,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-1,-1,8,-1,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_49_latin_ext_w[560]={ 0,6,14,22,18,35,33,6,13,13,17,25,7,12,
5,13,20,12,21,18,21,18,20,20,18,20,6,7,25,25,25,17,38,32,28,27,31,27,23,31,32,13,17,33,
27,39,33,30,24,30,30,21,25,32,32,42,32,32,26,11,13,11,20,24,8,19,22,18,22,18,19,21,22,11,
13,23,11,35,22,20,22,22,16,14,13,23,22,32,22,22,19,13,3,13,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,18,21,22,23,
3,16,13,32,14,20,25,12,32,24,14,24,13,12,8,22,22,5,7,9,14,20,31,31,33,17,32,32,32,32,
32,32,40,27,27,27,27,27,13,13,13,13,31,33,30,30,30,30,30,19,30,32,32,32,32,32,23,21,19,19,
19,19,19,19,28,18,18,18,18,18,11,11,13,13,20,22,20,20,20,20,20,24,22,23,23,23,23,22,22,22,
32,19,32,19,33,22,27,18,27,18,27,18,27,18,31,28,31,22,27,18,27,18,27,18,27,20,27,18,31,21,
31,21,31,21,31,21,32,22,32,22,15,15,15,14,13,14,14,14,13,11,31,20,17,17,33,23,23,27,11,27,
11,27,17,27,15,26,12,33,22,33,22,33,22,27,30,19,30,20,30,20,30,20,38,30,30,16,30,16,30,16,
21,14,21,14,21,14,21,14,25,13,25,19,25,13,32,23,32,23,32,23,32,23,32,23,32,25,42,32,32,22,
32,26,19,26,19,26,19,18,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,23,23,22,23,23,23,
23,23,23,23,23,23,23,23,23,23,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,36,25,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,32,19,13,13,30,
20,32,23,32,23,32,23,32,23,32,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,32,19,40,28,30,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_49_latin_ext_h[560]={ 0,31,13,31,36,32,31,13,41,41,19,24,13,4,
6,32,31,30,30,31,30,31,31,31,31,31,22,29,22,10,22,31,41,30,30,31,30,30,30,31,30,30,31,30,
30,30,31,31,30,39,30,31,30,31,31,31,30,30,30,39,32,39,16,3,9,22,32,22,32,22,31,31,31,31,
41,31,31,21,21,22,31,31,21,22,28,21,21,21,20,30,20,41,41,41,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,38,31,22,30,
41,39,5,31,14,22,9,4,31,3,14,24,16,16,9,30,40,6,10,16,13,22,32,32,32,32,39,39,39,38,
37,37,30,39,39,39,39,37,39,39,39,37,30,39,40,40,40,39,38,19,33,40,40,40,38,39,30,32,32,32,
31,31,30,32,22,30,32,32,31,30,31,31,30,29,32,30,32,32,31,31,30,18,24,32,32,31,30,41,41,39,
36,28,39,31,38,29,40,32,41,31,38,30,40,31,39,32,30,32,36,28,39,31,37,30,38,29,39,31,41,40,
39,40,38,39,39,43,40,40,30,31,38,30,36,27,39,30,38,39,37,21,31,41,41,40,39,40,20,39,39,39,
40,30,31,30,31,30,31,40,31,39,30,40,30,30,31,31,37,28,40,31,40,32,31,22,39,31,39,30,39,30,
40,32,41,31,39,30,40,31,40,37,39,32,30,28,39,31,37,28,40,31,41,32,40,32,38,28,41,31,40,40,
37,39,31,37,29,39,30,31,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,31,28,28,40,28,28,28,
28,28,28,28,28,28,28,28,28,28,35,23,28,28,28,28,28,28,28,28,28,28,28,28,28,36,23,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,39,31,39,30,40,
31,40,31,41,35,41,38,41,38,41,38,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,45,41,40,32,42,33,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__times_49_latin_ext_s[560]={ 510,385,310,392,205,74,227,505,328,87,159,
16,503,444,503,474,100,391,198,131,204,112,268,432,254,273,498,504,359,348,385,
371,200,99,169,361,162,194,222,449,279,328,431,357,404,1,145,40,226,87,288,
330,343,352,1,153,477,1,34,161,195,334,222,457,409,176,172,238,251,196,71,
91,409,453,121,465,21,33,69,140,54,77,16,161,356,467,444,411,92,251,115,
489,458,34,418,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,510,503,217,
389,215,484,462,173,498,194,295,257,383,444,34,482,280,65,256,243,374,107,268,
505,340,270,325,338,293,365,459,154,100,34,1,101,1,34,93,174,133,216,275,
133,405,479,493,494,452,118,25,445,344,335,186,177,399,390,270,237,236,1,319,
209,231,439,1,489,457,1,278,80,325,493,352,61,325,313,155,322,397,132,344,
418,171,150,397,197,42,21,45,289,433,466,272,394,224,336,270,69,34,279,56,
274,69,211,380,220,240,230,28,125,41,51,257,458,377,249,161,239,134,258,451,
192,135,303,419,423,269,445,303,34,207,130,246,89,325,312,189,1,494,418,365,
479,466,491,121,48,440,375,202,1,135,417,467,366,332,369,196,134,238,481,294,
356,307,236,181,148,158,130,415,446,435,477,325,466,117,30,1,307,346,487,303,
90,244,73,182,110,375,337,152,342,449,179,471,480,190,454,67,444,476,261,67,
370,204,285,1,430,84,488,68,394,397,309,416,393,100,60,389,408,302,1,432,
342,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,113,420,420,153,
420,420,420,420,420,420,420,420,420,420,420,420,420,322,90,420,420,420,420,420,
420,420,420,420,420,420,420,420,285,114,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,67,411,
497,274,176,33,97,214,342,352,295,341,239,162,167,301,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,1,101,291,1,56,376,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420, };
static unsigned short stb__times_49_latin_ext_t[560]={ 1,354,537,354,249,288,386,481,1,1,537,
512,512,537,34,249,354,418,481,321,450,321,321,321,354,354,481,354,512,537,512,
321,1,481,481,386,418,418,418,386,418,418,386,418,418,450,386,386,450,170,450,
354,450,354,418,354,450,481,481,130,288,130,537,537,537,512,288,512,288,512,386,
386,321,321,1,321,354,537,537,512,354,354,537,512,481,512,512,512,537,450,537,
1,1,45,537,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,1,1,210,
386,512,418,1,130,504,386,537,512,537,537,418,537,537,512,537,537,537,450,45,
495,537,537,537,512,288,288,288,288,130,130,130,210,250,249,418,170,130,130,130,
249,130,130,130,210,418,170,89,89,45,170,210,537,249,89,89,89,210,210,450,
288,288,288,354,321,450,321,512,481,288,288,321,481,321,321,481,481,288,481,288,
288,321,321,450,537,512,321,321,321,450,1,1,170,249,481,170,321,210,481,89,
288,45,321,210,481,45,321,170,288,450,288,249,481,130,321,249,481,210,481,130,
321,1,89,130,89,210,170,170,1,45,45,418,321,210,418,249,512,170,450,210,
170,210,512,354,45,1,45,170,89,537,170,170,170,45,450,354,418,354,386,354,
89,354,170,450,89,450,450,354,354,210,481,89,354,89,288,386,512,130,354,130,
450,130,450,89,288,1,321,170,418,45,386,45,210,130,249,418,481,89,386,249,
481,89,386,47,249,89,249,210,481,1,386,45,45,249,170,321,210,481,170,418,
386,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,386,481,481,45,
481,481,481,481,481,481,481,481,481,481,481,481,481,249,512,481,481,481,481,481,
481,481,481,481,481,481,481,481,249,512,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,130,386,
45,450,45,354,45,354,1,249,1,210,1,210,1,210,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,1,1,45,288,1,249,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481, };
static unsigned short stb__times_49_latin_ext_a[560]={ 177,236,289,354,354,590,551,128,
236,236,354,399,177,236,177,197,354,354,354,354,354,354,354,354,
354,354,197,197,399,399,399,314,652,511,472,472,511,432,394,511,
511,236,276,511,432,629,511,511,394,511,472,394,432,511,511,668,
511,511,432,236,197,236,332,354,236,314,354,314,354,314,236,354,
354,197,197,354,197,551,354,354,354,354,236,276,197,354,354,511,
354,354,314,340,142,340,383,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,177,236,354,354,354,354,142,354,
236,538,195,354,399,236,538,354,283,389,212,212,236,408,321,177,
236,212,220,354,531,531,531,314,511,511,511,511,511,511,629,472,
432,432,432,432,236,236,236,236,511,511,511,511,511,511,511,399,
511,511,511,511,511,511,394,354,314,314,314,314,314,314,472,314,
314,314,314,314,197,197,197,197,354,354,354,354,354,354,354,389,
354,354,354,354,354,354,354,354,511,314,511,314,511,314,472,314,
472,314,472,314,472,314,511,458,511,354,432,314,432,314,432,314,
432,314,432,314,511,354,511,354,511,354,511,354,511,354,511,354,
236,197,236,197,236,197,236,197,236,197,502,391,276,197,511,354,
354,432,197,432,197,432,288,432,243,432,197,511,354,511,354,511,
354,428,497,350,511,354,511,354,511,354,629,511,472,236,472,236,
472,236,394,276,394,276,394,276,394,276,432,197,432,302,432,197,
511,354,511,354,511,354,511,354,511,354,511,354,668,511,511,354,
511,432,314,432,314,432,314,197,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,511,551,551,354,551,551,551,551,551,
551,551,551,551,551,551,551,551,511,374,551,551,551,551,551,551,
551,551,551,551,551,551,551,549,384,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,511,314,236,197,511,354,511,354,511,354,511,
354,511,354,511,354,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,511,314,629,472,511,354,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_49_latin_ext_BITMAP_HEIGHT or STB_FONT_times_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_49_latin_ext(stb_fontchar font[STB_FONT_times_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_49_latin_ext_BITMAP_HEIGHT][STB_FONT_times_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_49_latin_ext_s[i] + stb__times_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_49_latin_ext_t[i] + stb__times_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_49_latin_ext_x[i];
            font[i].y0 = stb__times_49_latin_ext_y[i];
            font[i].x1 = stb__times_49_latin_ext_x[i] + stb__times_49_latin_ext_w[i];
            font[i].y1 = stb__times_49_latin_ext_y[i] + stb__times_49_latin_ext_h[i];
            font[i].advance_int = (stb__times_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_49_latin_ext_s[i] + stb__times_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_49_latin_ext_t[i] + stb__times_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_49_latin_ext_x[i] + stb__times_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_49_latin_ext_y[i] + stb__times_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_49_latin_ext_LINE_SPACING
#endif

