// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT        208
#define STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_27_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_27_latin_ext_LINE_SPACING          17

static unsigned int stb__times_bold_27_latin_ext_pixels[]={
    0x00000000,0x004cc000,0x00133000,0x000cc400,0x0cc40022,0x01bdd100,
    0x0003b620,0x13b8014c,0x64390019,0x3bbba201,0x054c004e,0x09509500,
    0x33333100,0x440d8803,0x2620000d,0x00000aba,0x4000fbae,0x00002ccb,
    0x400013ae,0x40003cca,0x220004cc,0x00000ccc,0x00007995,0x64c002e6,
    0x3220003c,0x6666544c,0x00408000,0x01dff500,0x00fbaa00,0x01fff500,
    0x0fff7000,0x27ff4000,0x3a001b80,0xff7004ff,0x03f98003,0x005ff980,
    0xf1007ffd,0xe880fe27,0x7004eeee,0x001bd57d,0x801fc97e,0xeeffffd9,
    0x76400adf,0x20009f31,0xba9aceda,0x7c0000cb,0x3a20005f,0x3e00006f,
    0x3fa00005,0x3ee0000e,0x2a0003ff,0xd00002ff,0x880001df,0xfd007e9e,
    0x320001ff,0xfffb81ff,0x4bfe2000,0xf90006fc,0x3a20001d,0x740003b0,
    0x40004fff,0x003ffff8,0x0ffffb80,0xf7001d40,0xfd001fff,0x13108003,
    0x07ffb800,0x800aa888,0x807f13f8,0x2fa80040,0x7dc017ea,0xfb804fde,
    0x1f34ffff,0x3f3fe200,0x6f4c000f,0x000ec401,0x80005f98,0x40000fe8,
    0x00001288,0x40001df1,0x00ffcff8,0x0017ee00,0x0003be60,0x403fdb20,
    0x004fdefa,0x3e605fd0,0x3e6000ff,0x001ffd4f,0x40001df0,0x4000ee4a,
    0x01fd8cfb,0x3a2ff200,0x3e20000f,0x6404fa9e,0x77c401ff,0x7c404fb9,
    0xf15f8002,0x1ff44009,0x04f8afc0,0x03f89fc4,0x804f8afc,0x03fea1fe,
    0x007fff40,0x3fffffe6,0xfc800f34,0x7d4003ff,0x000dc003,0x80000764,
    0x7c0003f8,0x80009f15,0x640000fb,0x0009f31f,0x40000fb8,0x980000fb,
    0xdd00136f,0x30007f21,0x7ffcc05f,0x986e4000,0x0ea8003d,0xe99e8000,
    0x43f88000,0x5f30005c,0x900026c4,0x3007cc1b,0x0dc805ff,0x008803ea,
    0x016c5900,0x6c590000,0xf89fc402,0x05b16403,0x3625ff88,0x0fbaa003,
    0x3fffff60,0x8800f34f,0x7cc005ed,0x001b0001,0x40000088,0x16400018,
    0x0980005b,0x206c4000,0x0a800058,0x0004c000,0x2006fe80,0x4003a84a,
    0x7ffcc018,0x00000000,0x200006a2,0x10001dc9,0x44000a01,0x0c000500,
    0x00c40188,0x2a01980c,0x333103ee,0x4c413333,0x99881999,0x26666209,
    0x26620999,0x44fe2199,0x3333313f,0x4ccc4133,0x06fff419,0x33333310,
    0x4cccc413,0x3fffffa1,0x8800f34f,0xf10009a9,0x4106a207,0x554c0029,
    0x31000c81,0x33100135,0x44133333,0x10019999,0x80001353,0x88009a98,
    0x09999999,0x88666662,0x09999999,0x00666662,0x4c41bfee,0x20999999,
    0x22199998,0x26219999,0x43ffe619,0x33331029,0x000ccc43,0x3100b99d,
    0x41333333,0x00199998,0x21102aa2,0x21999998,0x09999999,0x9880cccc,
    0x01999999,0x220026a2,0x22060aba,0xd5103b0e,0x4437ffff,0xea82efeb,
    0x3faa26ff,0x2e21bfff,0x4fe22efe,0xffd513f8,0x75c437ff,0x7ffc42ef,
    0xffd5101e,0x75c437ff,0x3fffa2ef,0x00f34fff,0x3f6f7fee,0x9836403f,
    0x45ffacee,0xbcfdb804,0x00973ffd,0xffb7bff7,0x7ff54407,0x3ae21bff,
    0x7fdc02ef,0x003ffdbd,0x7edeffdc,0x3faa203f,0x2e21bfff,0x3aa22efe,
    0x221bffff,0x2602efeb,0x42efffff,0xbffffea8,0x8bbfae21,0x2a4ffffb,
    0x3ffe63fe,0x5c3fffe9,0x3aa4ffff,0x6c95003f,0x7ff54401,0x3ae21bff,
    0x765402ef,0xdbdfecef,0x7ffffd51,0xfffff511,0x0cfeb837,0xffffea88,
    0xdbfda81c,0x3625ffff,0x3cdfebdf,0xb80ee498,0x3e604fff,0x21bfee00,
    0x2604fffb,0xf89fc40f,0x027ffdc3,0x3ff201f3,0x3fee02ff,0xb03e604f,
    0x29ffffff,0x7ff44079,0x80f7fc41,0xf0ffa82f,0x6c0487ff,0x7ffc41ef,
    0x0fff4406,0xb807bfe2,0x3e604fff,0x07ffa200,0x8803dff1,0x7fc41ffe,
    0x3ffee01e,0x5c03e604,0x3e604fff,0x7ffe5400,0xfff701cd,0x5c07cc09,
    0x225c1fff,0xe99efff9,0x7ffdc1ff,0x950025c1,0xffb800ec,0x003e604f,
    0xc983bff7,0x3ffea1ff,0x07fff986,0x3fe6016e,0x49ff506f,0x3f61aefe,
    0xe81fecc2,0x3ea00e99,0x01e204ff,0xff50dff5,0x443c409f,0xfa87f13f,
    0x41e204ff,0x4fffd8ea,0x409fff50,0xffffb878,0x440f34ff,0xff502fff,
    0xf887a81f,0x903ffe3f,0x40bff601,0xf100fffa,0x3fea05ff,0x9fff500f,
    0xff103c40,0x3ffea05f,0x05fff100,0x5403ffea,0x1e204fff,0x204fffa8,
    0xfff10078,0x4fffa803,0xfff81e20,0x3fe60ec3,0x21bfea1f,0x00ec3fff,
    0x801733a0,0x2204fffa,0x077fdc07,0xffe83fb0,0x1fffe81f,0xff100590,
    0x8fffa0bf,0x1fea0ffc,0xdc981fc4,0x1fffd401,0xffa80d10,0x03fffa86,
    0x98fe21a2,0x01fffd40,0x5c5f30d1,0xffa81fff,0x221a203f,0x34fffffe,
    0x03ffec0f,0x0b917ff6,0x37fc4ffd,0x07ffd824,0x6c17ffe2,0x7fec07ff,
    0x07fff505,0xfffb0344,0xb05ffd80,0xffd80fff,0x07fff505,0xfff50344,
    0x98034407,0x7d400fff,0x81a203ff,0x21627ffb,0x3e20fff9,0x3ffdc0ff,
    0x136000b1,0x07fff500,0xfff70344,0x5c1f8803,0xffa84fff,0x2200d04f,
    0xfff05fff,0xf91ffdc5,0x440f203f,0x7fd400aa,0x501a203f,0xfff50dff,
    0x7c434407,0x1fffd403,0x83f90d10,0xffa84ffa,0x441a203f,0xf34ffffe,
    0x013ffea0,0x26c5fff7,0xffa93fe6,0xfff88484,0xfffbd104,0x04fffa85,
    0x5417ffdc,0x1a203fff,0x2027ffd4,0x7d42fffb,0x7fdc04ff,0x3fffa82f,
    0xffa81a20,0x401a203f,0xfa806ffb,0x81a203ff,0x0552fff8,0x7c41fff3,
    0x7ffc42ff,0xf1000552,0xfffa800d,0xff81a203,0x8837006f,0xfff07fff,
    0x2200950f,0xffb05fff,0xf91ffe45,0x887103ff,0x01efebdd,0x4407fff5,
    0x437fd406,0x2203fffa,0x5403f886,0x1a203fff,0x1fea17fa,0x880fffea,
    0xa7edcc06,0x7fff9079,0x24fffa80,0xd0ffec3e,0xa83885ff,0x55d03fff,
    0xffc89fff,0x7ffd403f,0x03fffa84,0x7ffe41a2,0x27ffd403,0x500ffff2,
    0xff509fff,0x5034407f,0x34407fff,0x805ffc80,0x2203fffa,0xdb7fe406,
    0x40fff980,0xffc83fff,0xf70001b6,0x7fd4003f,0x4c1a203f,0x40004fff,
    0x7cc2fffc,0x006c2fff,0x505fff88,0x07fec7ff,0x01bffff5,0xdff13fc4,
    0x80fffea0,0x37fd4068,0x101fffd4,0xa807f10d,0x1a203fff,0xdf037fee,
    0x407fff50,0x4d320068,0x05fffb07,0x366fff98,0xff33ffc2,0xff90350f,
    0x3e67b05f,0x7ffec6ff,0x37ffcc02,0x101fffd4,0x0bfff60d,0xd8dfff30,
    0x7cc02fff,0xfffa86ff,0xfa81a203,0x01a203ff,0x5401fff4,0x1a203fff,
    0x095fff30,0xff03ffe6,0x5fff303f,0x3ffe0009,0x3ffea005,0x7e41a203,
    0x4c0003ff,0x7de45fff,0x801a25ff,0x2a05fff8,0x41efa9ef,0xcfffffe8,
    0x3e3ffb80,0xfffa80ff,0xf501a203,0x7fff50df,0x1fc43440,0x3fffa815,
    0x3fe21a20,0x505f11ef,0x34407fff,0x41e69900,0x4c01ffff,0x89327fff,
    0xbffb16ff,0xffff0498,0x3fe64c85,0x0ffffc7f,0x21fffe60,0x2203fffa,
    0x03ffff06,0x7c7fff98,0x7cc01fff,0xfffa87ff,0xfa81a203,0x01a203ff,
    0x2007ffe2,0x2203fffa,0x1fffd806,0x441fff30,0xffb00fff,0xff70003f,
    0x3ea001ff,0x41a203ff,0x0001fffe,0x5a0fffe8,0x0570fffe,0x02fffc40,
    0x8806f36e,0x2fffffff,0xfff17fd4,0x07fff503,0x3fea0344,0x03fffa86,
    0x44fe21a2,0x1fffd43f,0x3fa20d10,0xf503dbff,0x034407ff,0x7c1e6990,
    0x7cc01fff,0xf896a7ff,0x3ffadaff,0xfffe8122,0xfff316e1,0x01ffff8f,
    0x543fffcc,0x1a203fff,0x200ffffc,0x7fc7fff9,0x7fcc01ff,0x3fffa87f,
    0xffa81a20,0x201a203f,0xf5007ff9,0x034407ff,0xf3037fd4,0x37fd41ff,
    0x000dff50,0x013ffefa,0x101fffd4,0x0bfffe0d,0x3ffee000,0x3ffee774,
    0x7c4001d4,0x013605ff,0xfffff910,0xfb30885f,0xfff503ff,0x2a034407,
    0xfffa86ff,0x3e21a203,0xffa87f13,0x881a203f,0x2a05fffd,0x1a203fff,
    0x20f34c80,0x5402fffd,0xd1a66fff,0x7ff15fff,0x7ec5832a,0xf50d52ff,
    0xfffd89ff,0x37ffd402,0x101fffd4,0x0bfff60d,0xd8dfff50,0x7d402fff,
    0xfffa86ff,0xfa81a203,0x01a203ff,0x5401bfee,0x1a203fff,0xf301ff40,
    0xffb11dff,0x003fe803,0x1ffff4a8,0x07fff500,0xfffd8344,0xff880003,
    0x3fe21d7f,0x440059ff,0xdf505fff,0x30033335,0x30dffffb,0x03fff3dd,
    0x4407fff5,0x437fd406,0x2203fffa,0x7f13f886,0x203fffa8,0xfffc8068,
    0x07fff503,0x29900344,0x7fff9079,0x45fffb80,0xb87baa2d,0x20d41bee,
    0x0e9bfffb,0x642fffb8,0x7dc03fff,0xfffa85ff,0x7e41a203,0x7fdc03ff,
    0x1fffe45f,0x217ffee0,0x2203fffa,0x0fffea06,0xffc80688,0x7fff5004,
    0xfb803440,0x2bffe600,0xb802effe,0x91d8000f,0xf5007fff,0x834407ff,
    0x0004fffb,0x899fff90,0x001efffd,0xc82fffc4,0xffffffff,0x7ff540e3,
    0x7c3bee1f,0xfff881ff,0xf5016604,0x9fff10df,0x9fc42cc0,0x7ffc43f8,
    0x54016604,0xfff107ff,0x9002cc09,0x7fcc1e69,0x7ffe404f,0x00007441,
    0xbfff3091,0x3fff203d,0x027ffcc0,0x2207fff2,0x16604fff,0x2027ffcc,
    0x7cc1fffc,0x7fe404ff,0x4fff881f,0xff881660,0x2016604f,0xf1002ffc,
    0x02cc09ff,0x7fcc0588,0x4400330f,0x22598005,0xf8806fff,0x416604ff,
    0x0006fff8,0x83ffff30,0x4406fff9,0x9fff10dd,0x3ffffe60,0x01b2ffff,
    0x7ccfffa2,0x407ffe3f,0x12e04fff,0x3e0dff50,0x212e04ff,0xf07f13f8,
    0x825c09ff,0x07fe62fb,0x97027ffc,0x079a6400,0xfd01fff2,0x0012e0bf,
    0xffc806c4,0x17ffa02f,0x3a03ffe4,0x3ffe05ff,0xfc812e04,0x2fff407f,
    0x7407ffc8,0x3ffe05ff,0xff012e04,0x4025c09f,0x7fc007fc,0x0812e04f,
    0xfff3006e,0x03704001,0xffd85900,0x4fff802f,0xffd812e0,0xe801802f,
    0x7ffd06ff,0xf14ffc80,0x3f2207ff,0x4ffedccd,0x97fd407b,0xfff34ffd,
    0x41bff603,0x99fa80e8,0xdffb05ff,0x3e203a20,0xffb07f13,0x7403a20d,
    0xd807f45f,0x01d106ff,0x2079a640,0xf703ffe8,0x066401df,0xe801b100,
    0x9ff703ff,0x81fff440,0x3600effb,0x01d106ff,0xb81fff44,0xfd100eff,
    0x3bfee07f,0x41bff600,0x7fec00e8,0x8401d106,0x7ec003fc,0x201d106f,
    0xf300b1ff,0x3fe001ff,0x5f1000b1,0xdfff9555,0x20dffb00,0x7fec00e8,
    0x5c03d406,0x1ff702ff,0xf13ffb80,0x03fa05ff,0x01fd9fdc,0x3ff61ff5,
    0x2cfffdff,0x20dffe88,0x37f702e9,0x3fa203ff,0x40ba60df,0x107f13f8,
    0x74c1bffd,0xf993ea02,0x37ffa205,0x9000ba60,0x3f601e69,0x02ffc41f,
    0x64402d98,0xfffd800c,0x8027fcc1,0x7fc41ffd,0xdffe8805,0x6c00ba60,
    0x2ffc41ff,0x441ffd80,0xfe8805ff,0x00ba60df,0x9837ffa2,0x367fa02e,
    0xffe88005,0x4c0ba60d,0x9802bbff,0xf9800fff,0xb8002bbf,0xfeaaaaac,
    0x7f4401ff,0x00ba60df,0x3056ffec,0xff1001b9,0xe8037c40,0x40bff50f,
    0x21db02fe,0x7ec0bffd,0x54bbfa62,0x3f6205ff,0x202effff,0x403edee8,
    0xefffffd8,0x7c4fe202,0xffffb103,0xbd7005df,0xfb1009fb,0x005dffff,
    0x401e6990,0xdfecdfdb,0xcddb8003,0x000cccba,0x33bfaa97,0x5c002cee,
    0x3dfecdfd,0x3fff6200,0x5c002eff,0x3dfecdfd,0x66fedc00,0x22003dfe,
    0x2efffffd,0x3fff6200,0x7e402eff,0xb10000cc,0x05dfffff,0x8803ffd8,
    0x800cfffd,0x88003ffd,0x17ffea06,0x3ffff620,0x654002ef,0x03efeffe,
    0x0b602640,0x7fe764c0,0x6f76c404,0x3360cedc,0x1efccfeb,0x51000010,
    0x00440033,0x800cd440,0x22002609,0x0880019a,0x03351000,0x00304400,
    0x00001510,0x48800098,0x00001530,0x200002a2,0x800019a8,0x100000a8,
    0x51000015,0xa8800033,0x00020019,0x00335100,0x33310004,0x00200133,
    0x7fc04c80,0x2a2000ff,0xa8800019,0x00220001,0x03300013,0x0c026600,
    0x000026a2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x7ffe404f,0x00000005,0x00000000,0x00000000,0x00400000,
    0x000e0700,0x440dc0e4,0x19999999,0x88666662,0x99999999,0x20019999,
    0x001991cb,0x0013fee0,0x0015415c,0x5400bff7,0x18000a80,0x05100110,
    0x0002000e,0x99980000,0x99999999,0x33310999,0xf7033333,0xcc98009f,
    0x3701b003,0x06a02a20,0x262002a2,0x1e64c001,0x80266600,0x4c1cfffb,
    0x0dfffffc,0x80000100,0x22003cc9,0x06620000,0x02ffdc00,0xcc89cc80,
    0x3fe88000,0x31399000,0x3ea00099,0x75441b62,0x221bffff,0x2e23efeb,
    0xeeeffffe,0xf1007fff,0x40017e6d,0x000ffff8,0x03f23f98,0x0ffffc40,
    0xb989ea80,0x41b50006,0x17d000e9,0xf9000f66,0xfeb8000d,0x3e20589b,
    0xffffefff,0x512fffee,0x837ffffd,0x001ffff8,0x5c007ff6,0x7c0db11f,
    0x217fe47f,0xffe807ff,0x07ff6004,0x00eff980,0x90000000,0x7ec00005,
    0x5ff3001f,0x3fff3000,0xffff8800,0xab7cc001,0xff50004f,0x3fe6000d,
    0x20001fff,0x402febfe,0x2a04fffa,0x9fff301f,0x2e00ff70,0x0001f91f,
    0x017ef3f6,0x27ee7e40,0xdf59f900,0x7ffff400,0x3bfe0003,0x3ea005ff,
    0x4000ffff,0x30001fff,0x07ffffff,0xffd0efc4,0x7cc2fc8f,0x79f905ff,
    0x0ffc00bf,0x3faffa00,0x43fff302,0x3fe64ffe,0x3ffee00f,0x1ff8800f,
    0x0077dc00,0x00026600,0x0000df10,0xb8007fe2,0xfd8005ff,0x7e4006ff,
    0x5c006fac,0x4000db0f,0x20003ff8,0x0002efea,0x4037ffd4,0x2204fffa,
    0x13ffe607,0x23d803cc,0x5f30002f,0x44000fd4,0x1000ffff,0x8017cc7f,
    0x000bffd9,0x037ffaa0,0x05dff700,0x000dfb00,0x6ffed564,0xfd03e200,
    0xf985b0ff,0x22f985ff,0x1fa802fa,0x5fffa800,0x3ea2fec0,0x1027ec0e,
    0x009f53df,0xdd0003f5,0xffb80001,0x7fdc0007,0x1fa80001,0x017fcc00,
    0x3f637ea0,0x4c7f1002,0xf8fa002f,0x00080001,0x40000100,0xf9801eed,
    0x303c04ff,0x1a189fff,0x00051140,0x0014c0d4,0x2002eeb8,0x40038819,
    0x0d400000,0x00002000,0x08080001,0xffe85880,0x7fcc2a87,0x1881984f,
    0x20001980,0x00001eed,0x4c1b9000,0x000cc00f,0x2000074c,0x003ffff8,
    0x0017ffe0,0x08000660,0x3644e800,0x03881980,0x000188a0,0x0440aa88,
    0x004d4c40,0x20554400,0x27ffcc08,0xfff981e0,0x4c428e64,0x20999999,
    0x00199998,0x28357731,0x00ccccc4,0x22033333,0x331009a9,0x44133333,
    0x10019999,0x02835773,0x00026a62,0x506aee62,0x99999988,0x26666209,
    0x3fff4041,0x27ffcc08,0x44099988,0x26019999,0x75101999,0x33310c15,
    0x884cccc3,0x40601999,0x2aea2018,0x30544060,0x2ff20003,0xb8000fe8,
    0x0000ffff,0x02205544,0x00026a62,0x98802601,0x26621999,0x09a98801,
    0xdfd95000,0x03b7bfd9,0x7edeffdc,0x7654003f,0xdbdfecef,0x027ffcc1,
    0x4fff981e,0xfea880ee,0x2e21bfff,0x74c02efe,0xcefdbdff,0x7ffe4c6b,
    0xefec884f,0xfcbffa83,0xfd515fff,0x5c437fff,0x74c02efe,0xcefdbdff,
    0x97ff506b,0x4c0bffff,0xefdbdffe,0x7f5446bc,0x2e21bfff,0xfe802efe,
    0xfff3007f,0x1bffaa09,0x09ffff93,0x887dfd91,0xcdfebdfd,0x43fff663,
    0xfb34fffb,0x999981ff,0x7bfb1000,0x3a079bfd,0x005ff56f,0x13622f98,
    0x3ffefa00,0xfeca8004,0x1dbdfece,0x7fe5ffd4,0x333315ff,0x26623333,
    0xf7099999,0x7f549fff,0x2f7fee03,0x2e003ffd,0x7e4c1dff,0x1ffe881f,
    0x400f7fc4,0x64c1dffb,0x7ffcc1ff,0xff303c04,0x200fa69f,0x2604fffb,
    0x3ff2200f,0x37fdc40c,0x02ffffb8,0x9ff501f3,0x2e0d7fec,0x3e604fff,
    0x33ff2200,0x437fdc40,0x3ff64ffa,0xcffc881a,0x837fdc40,0x2604fffb,
    0xfffd000f,0x13ffe600,0xf706ffb8,0x3e605fff,0x6cc2fd80,0x07ffcc3f,
    0x7fd49ffd,0x3fff220f,0x985fb002,0x2ffd03fd,0x44002ffa,0x4a800500,
    0x4001ffff,0x64c1dffb,0x93fea1ff,0xd511affd,0x2637ffff,0x0aeffffb,
    0x9707ffee,0x107ffa20,0xfb803dff,0x07f600ef,0x2a05fff1,0x3ee00fff,
    0x07f600ef,0x7809fff3,0x3bbffe60,0xffa803ff,0xb01e204f,0x6fa80dff,
    0x3fffff30,0x17ff41e0,0xff505ff9,0x203c409f,0x7d406ffd,0x322ffe86,
    0xdffb02ff,0xf506fa80,0x03c409ff,0x200fffd0,0x2a04fff9,0xfff306ff,
    0x2a1e03ff,0x887f107f,0x3ff60fff,0x103ffe64,0xf5005fff,0x4c0fe20f,
    0x3100ee1c,0x10333333,0x6c013333,0x007fff91,0xd803bfee,0xc8bffa1f,
    0xfff982ff,0x05fffb05,0x03b0fffe,0x2a05fff1,0xff700fff,0x41f8803f,
    0x7ec07ffd,0x3fff705f,0x7cc1f880,0x303c04ff,0x7fb5bfff,0x07fff500,
    0xfff70344,0x260db003,0x80efffec,0x5c3fff06,0xfffa84ff,0xfb81a203,
    0x86d801ff,0x3fee1fff,0x01fffb84,0xfff506d8,0xd0034407,0x3e600fff,
    0x3fea04ff,0xfffd9306,0xff90d01d,0xff10f203,0x327fec1f,0xfff01fff,
    0x03ff9005,0x433330f2,0xb5009999,0x305bffff,0x26019ff9,0x01bffe25,
    0x1007ffee,0x70fffc3f,0xfff309ff,0x07fff20b,0x0b13ffdc,0xfb01fff6,
    0x1bffe0bf,0xfff50dc0,0x2fffb809,0x7006fff8,0x04fff983,0xfff981e2,
    0x3ea00f64,0x41a203ff,0x1005fff8,0x3fe3260b,0xfb0685ff,0x417fe45f,
    0x2203fffa,0x0bfff106,0x3ff61620,0xf10bff22,0x16200bff,0x101fffd4,
    0x3fff400d,0x04fff980,0x64c1bfea,0x685ffff8,0x881fffc8,0xb07ffc43,
    0x7ffcc9ff,0x802fff80,0x3881fffc,0x5c7fff62,0x7f404fff,0x01f403ff,
    0x5fffb0b2,0x006fff80,0x917fec37,0xfff305ff,0x07fff209,0x2a97ffc4,
    0x404fffa8,0x7cc2fffb,0xf90004ff,0xffa807ff,0x27ffcc4f,0x9fff3000,
    0xff303440,0x5401d49f,0x1a203fff,0x0027ffdc,0x7fd52601,0xfa8343ff,
    0x203ffa4f,0x2203fffa,0x09fff706,0x27fd4040,0xffb81ffd,0x5402004f,
    0x1a203fff,0x007ffe80,0x5409fff3,0x2a9306ff,0x4343ffff,0x00dffffa,
    0xfb07ffc4,0x07ffcc9f,0x0a897ffc,0x0dffffa8,0xd0fffc40,0xff9809ff,
    0x101a607f,0xff95555f,0x7ffcc0df,0x9ff50004,0x7cc07ff4,0xfff904ff,
    0xdb7fe403,0x03fffc80,0x3227ffd4,0xb0003fff,0xf9805fff,0x7ffe46ff,
    0x3fe20003,0x981a604f,0x90e24fff,0x03fffa81,0x7ffec1a2,0x24980003,
    0x1a2ffffb,0xefa9efa8,0x07fff501,0xfffd8344,0xefa80003,0xfd81efa9,
    0xa80003ff,0x1a203fff,0x007ffe80,0x5409fff3,0x5c9306ff,0x21a2ffff,
    0xcfffffe8,0x41fff100,0x3fe64ffd,0xcafff80f,0x7f444fff,0x200cffff,
    0x3ff61fff,0x3fffd804,0xacb803d0,0xfffeaaaa,0x07fff901,0x54f7d400,
    0xfff301ef,0x07fff209,0x04afff98,0x9805fffb,0x7ff46fff,0xfff0001f,
    0xfff9803f,0x00ffff47,0x817ffe00,0x3ffe604a,0x3ea1e604,0x41a203ff,
    0x0002fffe,0x7ffec498,0xcdb80d0f,0x7ffd402c,0x7f41a203,0x700002ff,
    0x7f40599b,0xa80002ff,0x1a203fff,0x007ffe80,0x5409fff3,0xd89306ff,
    0x20d0ffff,0xfffffff8,0x20fff882,0x3fe64ffd,0xbffff80f,0x7c42fff9,
    0x02ffffff,0x7fec3fff,0xffff8804,0x1a2025c0,0xd05fffa8,0x80003fff,
    0x4c02ccdb,0xff904fff,0xfffd803f,0x03ffff01,0x7c7fff98,0xf0002fff,
    0xf9803fff,0x7fffc7ff,0x7fec0002,0x200e880e,0x3a05fff9,0x03fffa86,
    0x7fffc1a2,0x84980002,0x40d6fffe,0x7fd4004d,0x7c1a203f,0x80002fff,
    0x3ffe004d,0xfa80002f,0x01a203ff,0x800fffe8,0x2a05fff9,0xd09306ff,
    0x881adfff,0x2ffffffc,0xfb07ffc4,0x07ffcc9f,0xffb1fffc,0xffff9107,
    0x3fff05ff,0xc8027fec,0x03a24fff,0xfff80990,0x2ffff80f,0x00136000,
    0xdddffff3,0x03ffffdd,0x3e06ffa8,0x7cc01fff,0x7ffec7ff,0xfffb0003,
    0x6fffa805,0x001fffec,0x877ffe20,0x7fd403d9,0x27f64c6f,0x101fffd4,
    0x0ffff60d,0x6f7776dc,0x7fc424c2,0xdf506dff,0x54033335,0x1a203fff,
    0xb81fffec,0x22deeeed,0x1999aefa,0x207fffb0,0x2deeeedb,0x101fffd4,
    0x7fffc00d,0x5fffa800,0x4c1bfea0,0xdffff884,0xfffd9806,0x0fffcc6f,
    0x7fd49ffb,0x22fff81f,0x36604ffd,0xff86ffff,0x013ff61f,0xc87fffc4,
    0x2027cc02,0xfd85fffc,0xf50003ff,0x4033335d,0x999dfff9,0x01fffd99,
    0x3f603fe8,0x7fd402ff,0x27ffdc6f,0x3fffc800,0x22fffdc0,0x0004fffb,
    0xfffffc88,0x3fae601d,0xfffeffff,0xfffa83ff,0x7dc1a203,0x3fe604ff,
    0x304980ff,0x320dffff,0xffffffff,0x03fffa84,0x7ffdc1a2,0x3fffe604,
    0x7ffffe40,0x7fdc4fff,0x3ffe604f,0x3fffa80f,0x36e01a20,0x80beffff,
    0xdffffeb9,0x306ffa82,0x3fffe609,0xffd50386,0x3fffa63f,0x269ffb1e,
    0x7c1efffe,0x93ff22ff,0x3fffd503,0x3f61fff8,0x3fee004f,0x7dc069df,
    0x7e4c1cff,0x2e0dffff,0x90004fff,0xffffffff,0x09fff309,0x2007fff2,
    0x3ff200fb,0x7ffdc03f,0x037ffc45,0x04fff980,0x220fffe4,0x00006fff,
    0x0003f262,0x7c406c80,0x416604ff,0x2205fff9,0x09306fff,0x9837ffdc,
    0xffffffff,0x27ffc43f,0x3fe60b30,0x3ffe205f,0xfffff986,0x3e63ffff,
    0x3fe205ff,0x9fff106f,0x00002cc0,0x7d403640,0x5c09306f,0x00d86fff,
    0x2007ffd1,0x13a23ffd,0x3f22fff8,0x7440364f,0x0fffc3ff,0xf8009ffb,
    0x0001efff,0xf8807d40,0xf30006ff,0xffffffff,0x04fff987,0x1003fff9,
    0x4fff980b,0x40fffe40,0x1802fffd,0x7407ffc8,0xfffb05ff,0x74003005,
    0x3ee00005,0x04fff802,0xfffc812e,0x41bffe00,0x37fe4049,0xd999bd90,
    0x9fff09ff,0xff9025c0,0x37ffc01f,0xecccdec8,0x7ffe44ff,0x81bffe00,
    0x12e04fff,0x000de980,0xff5005f7,0xf901260b,0x5407b0df,0xffb002ff,
    0xff007ec7,0xb27fe45f,0x217fd407,0xffd12ffe,0xfffb8009,0x7cc00005,
    0x17ffec04,0x66f640c0,0x4c4ffecc,0xff904fff,0x01b8203f,0x7407ffc8,
    0x3ff605ff,0x7443d406,0xdff703ff,0x037fec01,0x7fd401ea,0x7fb00000,
    0x20dffb00,0x7ff400e8,0x41bffe05,0x06fe805a,0x0fea01fd,0x7441bff6,
    0x02fff400,0x1fd0dfff,0x3fa0fea0,0x1bffe05f,0xd106ffd8,0x1ffdc001,
    0xf505fd80,0x2a0bff35,0xd86fe805,0x01ff501f,0x22ffcb64,0x3ffe02ff,
    0xfd93ff22,0xd81ff501,0xffeeadff,0x7ffc4005,0x7dc00005,0x06ffd805,
    0x403fa3d4,0x7ffcc3fa,0x03fff904,0x440163ff,0xff703ffe,0xdffd801d,
    0x8037260a,0x7fc41ffd,0x5bffb005,0x8006e4c1,0x0001dff8,0x4402ffa8,
    0x3a60dffe,0xcffc8802,0x906fff80,0x20dd100f,0x01db02fe,0x4c1bffd1,
    0xffc8802e,0x86fff80c,0x01db02fe,0xf019ff91,0x7f440dff,0x00ba60df,
    0x5400b2a0,0x5fdc0bff,0x0f901ff9,0xffb0dd10,0x402fd817,0x646fc8fe,
    0x5fff02ef,0xffb27fec,0x882fd817,0xffd9effe,0x3fe2003f,0x4c00005f,
    0xffd804ff,0x037260ad,0x03b605fd,0x320bfff3,0x7fcc1fff,0x7ec002bb,
    0x02ffc41f,0xfdffd950,0x3f6e007d,0x003dfecd,0x7f7ff654,0xffb8003e,
    0xfd80005f,0x3f6203ff,0x002effff,0x6677fecc,0x6d40adfe,0x34c03eff,
    0xdcdefc88,0x7fec404d,0x4002efff,0xecceffd9,0xfc880adf,0x804ddcde,
    0xecceffd9,0x6c400adf,0x02efffff,0xfb001600,0x77f447ff,0xeffda83e,
    0x66c34c03,0x1efccfeb,0x1dedea80,0x10ffff44,0x7ff47fff,0x33faf365,
    0x04c01efc,0xfff88000,0xfc800005,0x765404ff,0x103efeff,0x9bb9bdf9,
    0x417ffea0,0xfd82fffd,0xfb70003f,0x007bfd9b,0x0000d440,0x400002a2,
    0x500001a8,0x54400003,0x066a2002,0x26a62000,0x03000001,0x20003310,
    0x800019a8,0x40019a98,0x22000198,0x200019a9,0x200019a8,0x15100028,
    0x00000220,0x13510606,0x98011000,0x3fff620a,0x3ffffb9e,0x0009a883,
    0xff880000,0x1000005f,0x54400155,0x00cc4001,0xbffffd73,0x3ffff2a5,
    0x000041bf,0x00001510,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x006fff98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f5cc000,0x000adfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80e40e40,0x9803983a,0x07200099,
    0x2200006e,0x90000dee,0x22003703,0x98860aba,0x01999999,0x1dc1dc00,
    0x07993000,0x99500000,0x260ea005,0x37039003,0xd896d400,0x1db8000d,
    0x220009b3,0x00370cec,0x3003cca8,0x80001333,0x00531ceb,0x00371a88,
    0x0014414c,0x0ccccc40,0x00333330,0x4c02ccb8,0x33310999,0x55510013,
    0x332a0001,0x32600003,0x4ccc404c,0x54732e01,0x440dd12f,0x2007ee4f,
    0x2a005ffa,0x000db12f,0x000bfea0,0x03f22fa8,0xfd7bfb10,0x7f54c79b,
    0xefffeeff,0xb27c4004,0x7e40001f,0x00e4001f,0x4003bfe0,0x007ee4f8,
    0x01fb17d4,0xffbbff40,0xaffc4003,0xd8001ffd,0x007effff,0x8800efe8,
    0x0002fffc,0x3fffffee,0x42ff2001,0x5f002fd9,0x0003d511,0x7ffe4c36,
    0xefec884f,0x17fe2003,0x29ffb510,0x200adffb,0xffdbdffb,0x0ffd8003,
    0x3ff90000,0x0fffd980,0x7f45ff88,0x7dc01ffc,0x2e005fcd,0x3fa000ff,
    0x00002feb,0xb00005fb,0xb007fd7f,0x83fd985f,0x3663fffb,0x32000eff,
    0x0003fedf,0x2a000ffc,0x3be6001f,0x66fdc000,0x5ff4005f,0x7e4002fe,
    0x0003ff35,0x01bee7fd,0x3ff6f620,0x77cc003f,0x3ffe2000,0x32b60002,
    0x32005fff,0x005ff04f,0x00dffff9,0x3fee1620,0x01f302ff,0x2006fa80,
    0x3ff74ff8,0x20fff4c0,0x4001efe8,0xd00003fd,0x3fe6005f,0x985fb80f,
    0xff005fff,0xfb8001ff,0x3ffea002,0x5f100005,0x3fe60000,0x07fa806f,
    0xfff507f1,0x05fff987,0x01bffe20,0x8005f500,0x32001ff9,0xfff0000e,
    0xff98001f,0x8810006f,0x01020000,0x0a882200,0x000ec800,0x0002fff8,
    0x44003306,0x0bf901ff,0x039ff710,0x3e60ae00,0x0f01ffff,0x4001db00,
    0x3ff74ff8,0x40bffe20,0x4000fff9,0xf980005e,0x3ffe2002,0x3b205e80,
    0x7dd5000e,0x0016e000,0x00003ddb,0x32000004,0xffc801ee,0xff307901,
    0x0fffd07f,0x002eeb80,0x26000cc0,0x8009afff,0x3aa0000a,0xdd90003e,
    0x99998803,0x26620999,0x53100199,0x98800013,0x0a80009a,0x05fff000,
    0x06666620,0x98199998,0x0ffb02ff,0x34000080,0xefffec98,0x0a800680,
    0xf74ff800,0x1fff603f,0x800bffd0,0x19800028,0x07ffc400,0x4cccc414,
    0x4cc41999,0x99999999,0x4c151009,0x33054401,0x33331000,0x33333333,
    0x99998833,0x32001999,0x83881fff,0xfc83fff9,0x004001ff,0x33333310,
    0x7fd40033,0x4c46ffff,0x99999999,0x4cccc099,0x99999999,0x33331099,
    0x33333333,0xfffea883,0x3fae21bf,0x6ffdc02e,0x4003ffdb,0xffdbdffb,
    0x26666203,0x3e001999,0x266662ff,0x3ffff260,0x3efec884,0xff04ff88,
    0x9999988d,0x19999999,0x9825d440,0x85ffff8c,0x99999886,0x99998819,
    0xff74ff80,0x09fff503,0x002fffb8,0x00800002,0x107ffc40,0x75443333,
    0x7c1bffff,0xfeeeeeff,0xdfd03fff,0xfe80bfea,0x8005ff56,0xfffffea9,
    0x0fffffee,0x3bfffaa6,0x204efffe,0x00dffffa,0xe83fff98,0x64000fff,
    0xffd53002,0x9dfffddf,0x01fff880,0xdddddfff,0x7c47ffff,0xffffefff,
    0x712fffee,0xdddffffd,0x3ee0ffff,0x03e604ff,0x441ffe88,0x74401eff,
    0x77fc41ff,0xfffea881,0x3fe001bf,0x5bff712f,0x05ffff70,0x5ff803e6,
    0x5c44ff88,0xeeeffffe,0xdd107fff,0x29305ff9,0x343ffffa,0x6ffffed4,
    0x0cffc982,0x3ff74ff8,0x807fff90,0x2004fffa,0x5900002c,0x07ffc400,
    0xa81fffb3,0x3df05fff,0x40dfff90,0x05ff57fe,0x2ffabff4,0xffbd7000,
    0x80ffa81f,0x3663fffb,0xfe880eff,0x200cffff,0x7cc3fff9,0x7c4004ff,
    0x7ffdc006,0x03bff663,0xf80fffc4,0x6fffc81e,0xffd0efc4,0x7cc2fc8f,
    0x07fb84ff,0x4409fff5,0x0bffe207,0x8807ffd4,0xff502fff,0x3ffea01f,
    0x2fff8005,0xfff301fc,0xd01e03ff,0x07ff10bf,0x2e13ffe6,0xf1ff887f,
    0x2e4983ff,0x81a2ffff,0x7403fffe,0x7dd3fe03,0x2fffd81f,0x037ffcc0,
    0x80006f88,0x3e2006f8,0x7ffcc0ff,0x427ffcc0,0xfff980f8,0xb872601f,
    0x770e4c03,0x7ecf4000,0x80f880ff,0x7cc3fffa,0xfff105ff,0x2605ffff,
    0xfba9cfff,0xfb8003ff,0x3fea001f,0x2fffcc3f,0x881fff88,0xffff980f,
    0x3fa07c41,0x7cc2d87f,0x20f304ff,0x2203fffa,0x01fff606,0x3f60bffb,
    0x2ffec07f,0x004fff98,0x0f22fff8,0xdfffd930,0x3fe80d01,0x3e607fd0,
    0xb0f304ff,0x0bffaaff,0xffffd893,0x7ffcc0d0,0xff01a607,0x3e07fee9,
    0x7cc01fff,0xff7007ff,0xffb80003,0x1fff1001,0x4c0fff88,0x04984fff,
    0x2609fffd,0x26666199,0x330cccc0,0x4b800133,0xb0c1fffb,0x07fff301,
    0x6440fffd,0x82ffffff,0xffddfff9,0xff0000ff,0x7fcc00bf,0x07ffe83f,
    0x9303fff1,0x213fffa0,0x87ffe858,0x27ffcc2a,0xfff50686,0xfa834407,
    0x7fdc04ff,0x27ffd42f,0x20bffee0,0x8004fff9,0x00792fff,0xbffff193,
    0x02fc40d0,0x3fe60bf3,0xf88d0c4f,0x819b1b5f,0x6fffe849,0x3fffd80d,
    0x4ff803d0,0xfff03ff7,0xfff9803f,0x0bfff007,0x05fff800,0x881fff10,
    0x7fcc0fff,0xfb80884f,0xfd880fff,0x9fff71ff,0xb8fffec4,0x22004fff,
    0x483fff66,0x3ffe6026,0x01fffc83,0x37fffecc,0xfe9fffcc,0xfb8003ff,
    0xf3000fff,0xfff907ff,0x03fff103,0xffff7011,0x3ffa0201,0xfff98107,
    0xf5028e64,0x834407ff,0x5403fffc,0x7fe44fff,0x7ffd403f,0x04fff984,
    0xfcafff80,0xff549806,0xd70687ff,0x83bb3009,0x8e64fff9,0x2c77fcc2,
    0x3fe21260,0x7c406dff,0x025c0fff,0x1ffba7fc,0x402fffe8,0xb806fff9,
    0x0000ffff,0x001ffff7,0xf881fff1,0x7ffcc0ff,0xffff1004,0x0fffc405,
    0xff889ffd,0x013ffa1f,0x3fff61d8,0x3fe601a0,0x0fffe83f,0xfffea81c,
    0x89fffcc1,0x4001ffff,0x004fffbe,0xfd07fff3,0xfff101ff,0x3ffe2003,
    0x7ff4002f,0x9fff3007,0x7fd401dc,0x6c1a203f,0x7cc02fff,0x7ffec6ff,
    0x37ffcc02,0x0027ffcc,0x7fff7ffc,0xff724c03,0xce8345ff,0x987d3000,
    0x80ee4fff,0x402bfffa,0xffff3049,0x9fff900d,0x7fc00744,0xf903ff74,
    0xffa807ff,0xffbe805f,0xf7d0004f,0xff1009ff,0x0fff881f,0x8027ffcc,
    0xf805fffd,0x13ff61ff,0xffd87ffe,0xfd895004,0x806c88ff,0x7cc3fff9,
    0x100d84ff,0xff987ffd,0x1bffee3f,0xffff4a80,0x7fff3001,0x104fff98,
    0x36003fff,0xe8005fff,0xff3007ff,0x200fa69f,0x2203fffa,0x03ffff06,
    0x7c7fff98,0x7cc01fff,0xfff987ff,0xbfff8004,0x2601fffb,0x87fffec4,
    0xb00fea06,0x9fff301d,0xff980fa6,0x2049806f,0x8806fffb,0x0590ffff,
    0x7fdd3fe0,0x04fff981,0x200fffdc,0x01ffff4a,0xffff4a80,0x0fff8801,
    0x2607ffc4,0xf9804fff,0xff800fff,0x213ff61f,0x3ff61fff,0x6c0e8804,
    0x06ffdfff,0xa9cfff98,0x7b03fffb,0x2617fd40,0x7fec3fff,0x323b004f,
    0xf9803fff,0xffba9cff,0x8fffc03f,0x3fffe601,0x7ffe8000,0xddfff300,
    0xff5007ff,0xf834407f,0x7cc01fff,0x7fffc7ff,0x3fffcc01,0x0027ffcc,
    0xffe97ffc,0x3fa12606,0xfe80d6ff,0x2609f901,0x3ffeefff,0x017ffe20,
    0xdff90126,0x37ffee00,0x53fe0069,0xffb01ffb,0x2fff401f,0xfffc8ec0,
    0xfc8ec003,0x7fc403ff,0x07ffc40f,0x2013ffe6,0xf003fffe,0x27fec3ff,
    0xffb0fffc,0xdddf9009,0xf75ffffd,0xbfff300d,0x401ffffb,0x1ff501fd,
    0x443fffa8,0x4c02ffff,0x01bffe25,0x3f77ffe6,0xfd800fff,0x3fa02ccf,
    0xfd0003ff,0x3fe600ff,0x803fdadf,0x2203fffa,0x05fffb06,0x6c6fffa8,
    0x7d402fff,0xfff986ff,0x2fff8004,0x2609fff1,0xdffff884,0xf827ec06,
    0xbfff302f,0xfd807fb5,0xb50ea1ff,0x400dfd00,0x001effff,0x0ffdd3fe,
    0x503ffe88,0x59801dff,0x801bffe2,0x1bffe259,0x883fff10,0x7fcc0fff,
    0x7ffdc04f,0x87ffe006,0xfff84ffd,0x3013ff61,0x43fff60b,0xfff98069,
    0x407fffd3,0x7ec0bffd,0x84fffb82,0x200ffffa,0x17ffec2c,0x74fffe60,
    0xd8803fff,0x3fee03ff,0x3fa0006f,0xfff3007f,0x7d401ec9,0x41a203ff,
    0x5c03fffc,0x7fe45fff,0x7ffdc03f,0x04fff985,0x71fffc40,0x09303fff,
    0x01bfffe6,0x7ff10bfd,0xd93ffe60,0x7fffc403,0x807c86ed,0x3ee006e8,
    0x7fc005ff,0x4403ff74,0x7f4c1ffd,0x6c2c800e,0x59002fff,0x202fffd8,
    0x7c42fff9,0x7ffcc0ff,0x3fffe204,0x3fff0e01,0x7fc27fec,0x013ff61f,
    0x3fff601d,0x3fe601a0,0x3ffff13f,0x33faf360,0x7e4c1efc,0x642cffff,
    0xf883ffff,0xfffcaaaa,0x9fffcc06,0x001ffff8,0xffff8801,0xffd00e01,
    0x3ffe600f,0x3e200ea4,0x416604ff,0x6404fff9,0x7fcc1fff,0x7ffe404f,
    0x04fff981,0xfffd88c4,0x7ffff91e,0x3fee0498,0x13fe206f,0xff982ffc,
    0x2e00ea4f,0x2a0dffff,0x4c03effd,0x3ffe2006,0xba7fc005,0xfda801ff,
    0x003efdcd,0xf95555f1,0x5f100dff,0xdfff9555,0x3bfffa60,0x303ffe21,
    0x7ec09fff,0xf16604ff,0x27fec3ff,0xffb0fffc,0xfb01dc09,0x06a1c1ff,
    0x7dc7fff3,0xd88306ff,0x0a88000b,0xaaacb800,0x01fffeaa,0xfb8fffe6,
    0x1ed806ff,0x813fff60,0x3fff4059,0x24fff980,0x7fc06438,0xc812e04f,
    0x7ff407ff,0x80fff905,0xff305ffe,0x201c809f,0x01260019,0x7cc0dff9,
    0x20dfd03f,0x0e24fff9,0x00315819,0x80060330,0x4005fff8,0x03ff74ff,
    0x037ffcc0,0x2aaab2e0,0x401fffea,0xeaaaaacb,0x02a01fff,0x2607ffc4,
    0xff504fff,0x226c01ff,0xffd12ffe,0x225ffd09,0x0d104ffe,0x200fffd8,
    0x43fff986,0x9804fffd,0xfa8001ff,0x81a2002f,0x2605fffa,0x7fec3fff,
    0x17fe204f,0x007fffd4,0x7ffe809b,0x09fff300,0x6ffd83cc,0x74401d10,
    0xdff703ff,0x0fffa201,0x98077fdc,0x07c04fff,0x5001ff90,0x40dfd00b,
    0xdfb02ff9,0x813ffe60,0x00024c79,0x80003ff2,0x4005fff8,0x03ff74ff,
    0x04fffa80,0x7fd40d10,0xa81a205f,0x3fe05fff,0x40fff885,0xf884fff9,
    0x3ee02fff,0x756ffec3,0xffd85ffe,0x05ffeead,0xfffd805b,0xff50d900,
    0xffff887f,0x003fc802,0x64009f90,0x07fffc04,0x443fffa8,0x2602ffff,
    0xffff885b,0xd00fee02,0xf3001fff,0x83740bff,0x260dffe8,0x3ffb002e,
    0xb005ff88,0x5ff883ff,0x027ffcc0,0x2fe880f9,0xe8807c80,0xd817f406,
    0xbfff303f,0x00723740,0x005fb100,0x02fffc40,0x3ee9ff10,0xffc8001f,
    0x026400bf,0x6403fffe,0x07fffc04,0xff887f98,0x2fffd41f,0x442fffe4,
    0x7442ffe9,0xfffd9eff,0x4f7ff443,0x7e43fffd,0x17fff400,0x3ee17f66,
    0xfffa84ff,0x07fa600f,0x007f6200,0x3f2027cc,0xfff705ff,0x1ffff509,
    0x7fe415c0,0xffe9885f,0x07fffc02,0x237ffd40,0x2204fec9,0x2efffffd,
    0x66fedc00,0x5c003dfe,0x3dfecdfd,0x86fffa80,0x74c07fc9,0x77fed406,
    0x26034c03,0x02fd40ef,0xc98dfff5,0x0002c4fe,0x2000374c,0x2006fff9,
    0x7ff74ffb,0x3ff6e000,0x27cc1def,0x217fff20,0x7fe404f9,0x83fb885f,
    0xd732fff9,0x265bffff,0xffffffff,0x01ffffff,0x01300013,0x87dffb10,
    0xfffffdb9,0x24ffffef,0xcfffffc9,0x1ffffe42,0x400055cc,0xf7000ac8,
    0xfc9839ff,0x930dffff,0x859fffff,0xa83ffffc,0xfffff980,0xffffffff,
    0xfffb701f,0xd73017df,0xffdfffff,0x22007fff,0x8800019a,0x5100000a,
    0x3fee6001,0xffffffff,0x26ea06ff,0x03000000,0x3725b710,0xfffd7302,
    0xfffffdff,0x20000c47,0x300009ba,0x5bffffd7,0x2aaaa201,0x01555511,
    0x5c0d4c00,0x64c1cfff,0x70dfffff,0xc9839fff,0x20dfffff,0xffe981ac,
    0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x39970000,0x33333100,
    0x99988133,0x26662099,0x00019999,0x20d5d4c4,0xcca86002,0x19991003,
    0x00010000,0x08815510,0x0004c060,0x0c091091,0x20332e00,0x0000a80b,
    0x00059930,0x3001ccc8,0x9b500799,0x32000a63,0x0007b50d,0x50000b6e,
    0x93620003,0x000002db,0x3ba600cc,0x001eeeee,0x4baa09b3,0x36a00dd8,
    0x4001bb12,0xeeeeeee8,0x3bbba202,0xdd903eee,0x900bdddd,0x05999999,
    0x3e600750,0xea8805ff,0x541bffff,0x220bfffc,0x1bffffea,0x9dfd3000,
    0x0d99dfb7,0x7fd85b30,0x00ffea00,0x002ff880,0xecefeca8,0x2e01dbdf,
    0x2001a60c,0x409d30ed,0xff9801d9,0x989da85f,0x5f7e446b,0x7ff403a8,
    0xff30000f,0x0ffe4009,0x3ffffee0,0x7fd4001f,0x1000ffd4,0x74000fff,
    0xfb8005cc,0x006ff8af,0x03fe6000,0xffffffa8,0x3ffd001f,0x3feefff0,
    0x7ddffa02,0x3fe2003f,0x203fffff,0xfffffff8,0xfffffb04,0xffff00ff,
    0x7f009fff,0x3fb7f600,0xdfff3001,0x5006fd40,0x4000bfff,0xfb884ffc,
    0x40fd406f,0x2a002fe8,0x3ee0006f,0x7fdc005f,0x0ffe4c1d,0x9ffdff10,
    0xf7df3000,0x02f8801f,0x40ffeff4,0x5c3fffff,0x01ffffff,0x013f7bea,
    0x20027e40,0xdad801ff,0x88005fff,0x00bf92ff,0x000dff10,0x4001d92a,
    0x09fd0ff9,0x7fc40000,0xd8000002,0x35fd80ff,0xafe403ff,0x00001ff9,
    0x00000000,0x55555540,0x00fcc01a,0x06e89fd4,0x20bfff30,0xff9804f8,
    0xffb0004f,0x206fa809,0x17a204f9,0x0001f700,0xb800bfe6,0x3f600eff,
    0x6fff5401,0xfff90000,0x40bee007,0x30bd13fa,0x73b07ffb,0xde809ffd,
    0xd0001f90,0x02fa800b,0x00019830,0x98000204,0x4950000b,0x4088001d,
    0x26666200,0x26620999,0x004d9999,0x80013531,0x110201b8,0x40088100,
    0x99999998,0x86666620,0x99999998,0x33333311,0x03333333,0x00330544,
    0x10b200d9,0xfff1003b,0x2005d30b,0x8004fff9,0xd800fffb,0x801ff106,
    0x00a80028,0xf7000400,0x1f8803ff,0x80001500,0x22005ee8,0x441d80ff,
    0x2040100d,0x5c254008,0x80028003,0x00100019,0x4cccccc4,0x09999881,
    0x4cccccc4,0x00099999,0x3100b99d,0x33333333,0xea883333,0x221dffff,
    0x009aefeb,0xfdbdffb8,0x2666203f,0x33119999,0x00333333,0xfea88002,
    0x2e21bfff,0x3aa22efe,0x711bffff,0xdddffffd,0x7f40ffff,0xe805ff56,
    0x80008004,0x7545fff8,0x3ffe6001,0x7ffc4004,0x320b1005,0x9999885f,
    0x33311999,0x33333333,0x99998833,0x99999999,0x00dfff01,0x0004006e,
    0x13333331,0x113f2000,0x33333333,0x26666662,0x33333119,0x26662333,
    0x99999999,0x4cccc419,0x99999999,0x4ccccc41,0x05900199,0x3ffff6a0,
    0xcffc982d,0x7777ffc0,0x03ffffee,0x5c401360,0xeeeffffe,0xff707fff,
    0x007cc09f,0x441ffe88,0xea881eff,0x511bffff,0x037ffffd,0xf7000b20,
    0x07cc09ff,0x305fffa8,0xff709fff,0xffabff40,0x0007e602,0xff1000b2,
    0x0006e4bf,0x0013ffe6,0x4007fff7,0x883ff880,0x1bffffea,0xdffffd71,
    0x88ffffdd,0xeeffffeb,0xf987fffe,0x800004ff,0xff71002c,0x79dfddff,
    0x41ff7001,0xbffffea8,0xffffd511,0x3ffaa237,0xfd711bff,0xffdddfff,
    0xffeb88ff,0xfffeeeff,0x7fff5447,0x6f8801bf,0x1ffff400,0x0f7c0fa0,
    0x0037ffe4,0xf9800df1,0x07fb84ff,0x4409fff5,0x5fff1007,0x403ffea0,
    0xf505fffa,0x7c400bff,0x7ffd4006,0xf981e204,0xfff304ff,0xc981e609,
    0x0f700ee1,0x800df100,0xfd8dfff8,0xfff98003,0x7ffec004,0x7fdc0003,
    0x17ffea02,0x5c27ffcc,0x9fff307f,0xff90ff70,0x8800007f,0x7fdc006f,
    0x0fffea3f,0xf509ff30,0x3fea0bff,0xbfff505f,0x213ffe60,0xfff307fb,
    0x2a0ff709,0x2e005fff,0x3e6001ff,0x41a607ff,0xfff980f8,0x3fee001f,
    0x3ffe6001,0x3ea0f304,0x01a203ff,0x3603ffec,0xfff305ff,0x13ffe609,
    0x001ffb80,0x880fffea,0x13ffe606,0x8627ffcc,0x26199986,0x09d00999,
    0x003ff700,0x7f77ffc4,0x7cc002ff,0x7f4004ff,0x640002ff,0x3fe601ff,
    0x9fff304f,0x7fcc1e60,0xfd0f304f,0x800003ff,0x2a001ffb,0x7fd43fff,
    0x17fe204f,0x4c13ffe6,0xff304fff,0x3ffe609f,0x3e60f304,0x20f304ff,
    0x2004fff9,0x6c005fff,0x03d03fff,0x7fff4126,0x2fffc004,0x89fff300,
    0x7ffd41a1,0x2a01a203,0x7dc04fff,0xfff982ff,0x09fff304,0x002fffc0,
    0x4407fff5,0x13ffe606,0x7327ffcc,0x3fff6214,0x109fff71,0xfff0005f,
    0x7ffc400b,0x00ffffce,0x013ffe60,0x005ffff0,0x201ffd80,0xf304fff9,
    0x41a189ff,0xd0c4fff9,0x005ffff0,0x05fff800,0x20fffea0,0xf102fffc,
    0x9fff30df,0x413ffe60,0xf304fff9,0x41a189ff,0xd0c4fff9,0x013ffe60,
    0x007fffdc,0x81ffff10,0x2e02204b,0x2000ffff,0x000ffffb,0x1cc9fff3,
    0x0fffea05,0xffc80688,0x7ffd403f,0x04fff984,0x2009fff3,0x000ffffb,
    0x4407fff5,0x13ffe606,0x7727ffcc,0x21fff880,0x07b84ffe,0x0ffffb80,
    0x2bfff100,0x2006fffd,0x4004fff9,0xb702fffd,0x7c5bdddd,0x3fe601ff,
    0x9fff304f,0x3e6051cc,0x828e64ff,0x0003fffd,0x03fffee0,0x41fffd40,
    0xf105fff9,0x9fff30ff,0x413ffe60,0xf304fff9,0x051cc9ff,0x3993ffe6,
    0x27ffcc0a,0x4fffbe80,0x27ffe400,0xf88001d1,0x74002fff,0x3004fffb,
    0x01dc9fff,0x101fffd4,0x5fffb00d,0x86fff980,0xf304fff9,0x2fa009ff,
    0xf5004fff,0x034407ff,0x2609fff3,0x07d34fff,0x7ec3fff0,0x8005d84f,
    0x004fffbe,0x3a2bfff1,0xf3005fff,0x218809ff,0x2603fffc,0x7fc0ffff,
    0x3ffe601f,0x49fff304,0xfff9803b,0xff700ee4,0x7400009f,0x5004fffb,
    0x3fe07fff,0x03ffe07f,0x2609fff3,0xff304fff,0x3ffe609f,0x3e600ee4,
    0x200ee4ff,0xa804fff9,0x001ffff4,0xc87fffc4,0xfffd8002,0xffa54005,
    0xff9800ff,0x5007d34f,0x34407fff,0x00ffffc0,0x261fffe6,0xff304fff,
    0x3e95009f,0xfa800fff,0x81a203ff,0xf304fff9,0x07ffddff,0x7ec3fff0,
    0x0017c44f,0x07fffd2a,0x32fffc40,0x3007ffff,0x1c809fff,0xf017ffe6,
    0x3ffd0dff,0x827ffcc0,0x7d34fff9,0x29fff300,0x7fc403e9,0x9500006f,
    0x2003fffe,0xfd03fffa,0xfff103ff,0x209fff30,0xf304fff9,0x3fe609ff,
    0x3007d34f,0x0fa69fff,0x013ffe60,0x1fffe476,0x37ffee00,0xff980069,
    0x8ec000ff,0x9803fffc,0x3ffeefff,0x03fffa80,0x3ffe01a2,0x7ffcc01f,
    0x04fff987,0xb009fff3,0x00ffff23,0x880fffea,0x13ffe606,0x6d6fffcc,
    0x1fff803f,0x1f513ff6,0xff91d800,0xfff1007f,0x1ffffa8b,0x027ffcc0,
    0x1fff903e,0x6c37ffc0,0x3fe601ff,0xdfff304f,0xf3007ffd,0x07ffddff,
    0x005fffb0,0xff91d803,0xfff5007f,0x0ffff607,0x3e61bfe2,0xfff304ff,
    0x13ffe609,0x7f77ffcc,0xfff9803f,0x9803ffee,0x2cc04fff,0x000dfff1,
    0x003dffff,0x007fffd0,0x3ffe2598,0xdfff9806,0xfa803fda,0x01a203ff,
    0x500bfff6,0xff30dfff,0x3ffe609f,0xff12cc04,0xfff500df,0xf3034407,
    0x3fe609ff,0x3e00f64f,0x13ff61ff,0x259800bb,0x9806fff8,0xffc85fff,
    0x3fe601ff,0x741f204f,0x3ffe04ff,0x202ffc86,0xf304fff9,0x07fb5bff,
    0xb5bfff30,0x3ff6007f,0xb303d406,0x4037ffc4,0xfb03fffa,0xbff307ff,
    0x209fff30,0xf304fff9,0x3fe609ff,0x803fdadf,0xfdadfff9,0x4fff9803,
    0x3ff61640,0x7fdc002f,0xffb8005f,0x42c8006f,0x4c02fffd,0x00f64fff,
    0x880fffea,0x3fffc806,0x42fffdc0,0xf304fff9,0x42c809ff,0x5402fffd,
    0x1a203fff,0x304fff98,0x01d49fff,0xffb0fffc,0x64003f89,0x017ffec2,
    0x221bffe6,0x501fffff,0xf930dfff,0x827fe40f,0xff886fff,0x13ffe603,
    0x7b27ffcc,0x49fff300,0x3ff6003d,0x037260ad,0x7ffec2c8,0x1fffd402,
    0xa82fffe8,0xfff982ff,0x09fff304,0x4c13ffe6,0x00f64fff,0x3d93ffe6,
    0x04fff980,0x32aaabe2,0x44006fff,0x44005fff,0x0e01ffff,0x32aaabe2,
    0x7cc06fff,0x200ea4ff,0x2604fff8,0x4fff9805,0x40fffe40,0xf304fff9,
    0x57c409ff,0x6fffcaaa,0x027ffc40,0x7ffcc0b3,0x49fff304,0x3fe06438,
    0xa93ff61f,0x2be2000f,0x6fffcaaa,0xffffd710,0x3fff225b,0xf730cfff,
    0xffffffff,0xd980dfff,0xdffdcdff,0x409fb00a,0xf304fff9,0x401d49ff,
    0x0ea4fff9,0xdffd9500,0xaf8807df,0x6fffcaaa,0x81fffd40,0xfb80ffff,
    0x09fff306,0x4c13ffe6,0xff304fff,0x4c01d49f,0x00ea4fff,0xb813ffe6,
    0xfeaaaaac,0x3e2001ff,0x7ec005ff,0x216604ff,0xeaaaaacb,0x3e601fff,
    0x190e24ff,0x540bfff0,0x0fff9004,0xf305ffe8,0x3fe609ff,0x2ab2e04f,
    0x1fffeaaa,0x7027ffc0,0x27ffcc09,0x204fff98,0x12ffe879,0x03649ffd,
    0x2aaab2e0,0x001fffea,0x200001a8,0xf980000a,0xff30009a,0x13ffe601,
    0x7127ffcc,0x7ffcc0c8,0x00190e24,0xcb8007a2,0xffeaaaaa,0x3ffea01f,
    0x06fff883,0x3fe605fd,0x9fff304f,0x413ffe60,0x0e24fff9,0x4fff9819,
    0xf98190e2,0x40d104ff,0x2005fffa,0x2005fff8,0x200ffffa,0xf503444d,
    0x7fcc0bff,0x6c1e604f,0x01d106ff,0x40fffa20,0xf300effb,0x3fe609ff,
    0x540d104f,0x7ec05fff,0x401d106f,0xf304fff9,0x43740bff,0xfeeadffd,
    0x88006a5f,0x17ffea06,0x0017fa00,0x000ffe60,0x7000df70,0x3ffe607f,
    0x09fff304,0x7ffcc3cc,0xc801e604,0x40d1006f,0x2a05fffa,0xffc83fff,
    0x205f981f,0xf304fff9,0x3fe609ff,0x9fff304f,0x7fcc3cc0,0x261e604f,
    0x09904fff,0x000ffff8,0x200bfff1,0x202ffff8,0x202643fb,0xf300ffff,
    0x83740bff,0x260dffe8,0xffd8002e,0x202ffc41,0xf304fff9,0x013209ff,
    0x4401ffff,0x3a60dffe,0x2fffd402,0x4c6fffa8,0xfe884fec,0x3fffd9ef,
    0xf8099000,0x4c000fff,0xb80000ff,0x7440005f,0x06c8001f,0x2609fff3,
    0x1ba05fff,0xe817ffe6,0x007f4006,0x3ffe0264,0x7fff500f,0xb03fff88,
    0x4fff980b,0x209fff30,0xf304fff9,0x43740bff,0x3a05fff9,0x84fff986,
    0x7fe404f9,0xfff3005f,0x3fff200d,0x2ffe9885,0xff9013e6,0x3ffea0bf,
    0x027f64c6,0xdfffffb1,0x7edc0005,0x803dfecd,0xf505fffa,0x09f30bff,
    0x405fffc8,0xefffffd8,0x3ffae602,0xfd732dff,0xfffdffff,0x004c07ff,
    0x013e6000,0x800bfff9,0x880004fa,0x4c0001fc,0x3720005f,0x82fffd40,
    0x64c6fffa,0xfffa84fe,0x027f64c6,0xf300bf50,0x5fffc809,0x4c9fff70,
    0x09b02ffe,0x20bfff50,0xf505fffa,0x3fea0bff,0x27f64c6f,0x2637ffd4,
    0xffa84fec,0x67ffdc5f,0x7fffe4c1,0xfd7300df,0x2015bfff,0xfffffff9,
    0x1fffffff,0x9839fff7,0x0dfffffc,0xfffffd73,0x07fffffd,0x00066a20,
    0x20015100,0xdffffeb9,0xffffd732,0x33ffee5b,0x7fffe4c1,0x9a8800df,
    0x00000001,0x40000000,0x4c1cfffb,0x0dfffffc,0x0001bb80,0x0000ac88,
    0x40000dd4,0xfffd7338,0x3fae65bf,0xfffeffff,0x3fae63ff,0xfffeffff,
    0x557003ff,0x39fff700,0xfffffc98,0xffff930d,0x4059dfff,0x7f5cc01a,
    0xd732dfff,0x265bffff,0x2dffffeb,0xfffffd73,0x47fffffd,0xfffffeb9,
    0x23fffffe,0xdffffeb9,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3a000000,0x03eeeeee,0x00000000,0x40000071,0x965403d8,
    0x000401cb,0x0e0306a6,0x1501701c,0x00081300,0x00026666,0x9998006a,
    0x2600a609,0x5c0da802,0x884cccc5,0x00400999,0x003ffd80,0x1001fff8,
    0x3fa01999,0x02aa202f,0x99999988,0x26666219,0x10ba1999,0x02aa203d,
    0x0a8014c0,0x4c40b200,0x54c09999,0x84cccc00,0x54c001a8,0x8830000a,
    0x05ffd000,0x803cc980,0x01999999,0x3ffffffe,0x0f764004,0x401f7540,
    0x00bdfeda,0xfb80d4c0,0x223fe00f,0x037e406f,0x56edf754,0x2639904e,
    0x4476a05c,0x7ff4406a,0x71003bad,0xd8009fff,0xfb8804ff,0x0dff75ff,
    0x00fef3aa,0x887f21dd,0xff72fffc,0x07fdc09f,0x0ffff500,0x05fffb80,
    0x2a05ff70,0xdd886fff,0xa881efeb,0x21bffffe,0xbffffea8,0x27ccfea1,
    0x02fcbfc8,0x213fffb2,0x01dd9fc8,0xea8807dc,0xfbd54fff,0x3ff203bf,
    0x05fffcaf,0x5ffced88,0xf9afec00,0x7ffd401f,0x0ffe4006,0x3ffffee0,
    0x8000007f,0xe880d14a,0x4fec03b0,0x405fd8d9,0xefdbcfeb,0x4c0dd10b,
    0xf801f72f,0x3fea01ff,0x209fff10,0x01fffff9,0x01fffffc,0x3ffffff2,
    0x27fec000,0xffff8720,0x2bffb000,0x7cc1fffe,0xfa80bf66,0xff884fef,
    0x813ffa2f,0x3a002ffe,0x1003fcbf,0x003fd5ff,0x57f405fd,0x89fe23fd,
    0x3fea06ff,0x3ffe605f,0x1ffbfd05,0x0ffc9fb0,0x7fffffdc,0x6fbafdc2,
    0x2600be60,0x11d9cfff,0x3fe01ff9,0x2fff9bff,0xffa8ff40,0x5dffa002,
    0x57fc03ff,0x3fe002fd,0xffffe801,0x001004ff,0x401b0e40,0x7d40ee49,
    0x8836cb34,0x7fc40ffe,0x3200cbdf,0x3f200fa4,0xd17fe606,0x7f5409ff,
    0xffd9803e,0xeb9ac00c,0xfffc802e,0xf507ffff,0x017ffe43,0xff75ffc8,
    0x2e4fe87f,0x3ffa00ff,0x45fff00f,0x3ee04ffd,0x43f7000e,0x0ed800fb,
    0x07f101b6,0x5cf90f5c,0x03ffe3ff,0x3027ffcc,0x3ea0bfff,0x2ffa83ff,
    0x219317fa,0x7f46fffa,0x3a03ff55,0xbfff3005,0x20bff01d,0x3ff64ffe,
    0xf83fea04,0x4b6a004f,0x3ae00cc8,0x7cc01b21,0xffff9802,0x59001fff,
    0x2a366000,0x0e99e805,0x8966bfb0,0x01fff886,0x5001fff5,0x70020028,
    0x4ffd89ff,0x00800080,0xfb000000,0x07fe609f,0x32001f31,0x87e225ff,
    0x3fea4ffa,0x80b32604,0x3ff62fff,0x2a000404,0x02801a80,0x20144017,
    0xff51a80a,0x980fffc5,0x3e204fff,0x132e05ff,0xffb07fec,0x26ffc828,
    0x9ff54ff8,0x26001f70,0xfb02ffff,0x45ffd07f,0x3f204ffc,0x0007fa1f,
    0x2a02a000,0x90019801,0x6f880007,0x0336a000,0xf8077260,0x4145acff,
    0x7f406ffd,0x4333305f,0x22009999,0x7ffb00aa,0x4404ffd8,0x333300aa,
    0x2604cccc,0x26666199,0x7ec6a200,0xafff984f,0xa8816a09,0x698bff91,
    0xff51ffe4,0x0055440b,0x7fec5fff,0x202aa204,0x33099998,0x26661333,
    0x00155100,0xa8801551,0xfb308831,0x3fe603ff,0x3ffe204f,0x20c6a205,
    0xffeeeffe,0x1ffcc00f,0x3feabff1,0x30017cc2,0x7e40dfff,0x22ffe85f,
    0x3f205ffc,0x2009f35f,0x26661999,0x30cccc09,0x99981333,0x20266661,
    0x700009be,0x266003ff,0x02666619,0xf9005544,0xfa80bdff,0x7fe404ff,
    0x7ffec42f,0x209fff71,0xf82fcbfc,0x27fec2ff,0x85f97f90,0xf71fffd8,
    0x7fec49ff,0x09fff71f,0xfbbdffb1,0xffffa89f,0x203b16ff,0xffddeffd,
    0x3ff61645,0x641bfea3,0xff05febf,0x827fec5f,0x5c5febfc,0xfc8affff,
    0x1bf71dff,0x0bfd7f90,0x42ff5fe4,0x86febed8,0x1fff9ee9,0x409fff30,
    0xd885fff8,0x7fc6febe,0x9f90001f,0x3feabfb0,0x26002f40,0x3f204fff,
    0x22ffe87f,0x3ee05ffc,0x1001ecff,0x3ee3fffb,0x3ff624ff,0x49fff71f,
    0xf71fffd8,0xfff989ff,0x7fc003ff,0xffd8805f,0x89fff71f,0x1efebdd8,
    0x2fffff98,0x00ffff20,0xf109fff7,0x27ff43ff,0x83ff27ec,0x7fec3ffe,
    0x7fc9fb04,0xd0fffc41,0xfff889ff,0x3613ffa1,0x9fff50ff,0x4c3fff10,
    0x21ff900c,0x1915fffa,0x7d47ffd0,0xf54fc87f,0x45fff07f,0x4fc84ffd,
    0xffc87ff5,0x3a2fff47,0xff54fc80,0x3ea9f907,0xf91fdc3f,0xfff0efb8,
    0x13ffe603,0xb85fff88,0xffd1f23f,0x5ff50009,0x17eedf50,0xf98001f7,
    0x3ff204ff,0x917ff41f,0x7fc40bff,0x3cccc86f,0xfd0fffc4,0x1fff889f,
    0xff113ffa,0x227ff43f,0xeffffffc,0xffffb801,0x1fff8800,0x7f893ffa,
    0x7cc1bfe2,0xd80dffff,0x7d402fff,0x3fff06ff,0x3ea27fec,0xf917fa2f,
    0x84ffd87f,0x17fa2ffa,0xffd87ffe,0x361fff84,0x2ffd44ff,0x3e213ff6,
    0xfa8021ff,0x0affec5f,0xfa8fffe0,0x8bfe21ff,0x2fff86ff,0xff113ff6,
    0x3e237fc5,0x9fff62ff,0x22ff8848,0x17fc46ff,0x0efe8dff,0x3e3ff99a,
    0xfff301ff,0x2fffc409,0xb8d077f4,0xd30087ff,0x9309ffff,0x02f985b9,
    0x04fff980,0xfd0bfff2,0x82ffe45f,0x43fffee9,0xfff03ff8,0x7c27fec3,
    0x13ff61ff,0xffd87ffe,0x7fffffc4,0x5f400fff,0xff004fff,0x727fec3f,
    0x07ffc7ff,0xeffffd88,0x00ffffc0,0x7c1fffe6,0x13ff61ff,0x3fec1ffb,
    0xffb1bfea,0x6c1ffb09,0x21fff87f,0xfff84ffd,0xf913ff61,0x84ffd89f,
    0x9001fff8,0x5ffc89ff,0x2a3fff80,0x3fea1fff,0x3fa0b6a1,0x89ffd13f,
    0x0b6a1ffa,0x7ec57ff2,0xf50372ff,0x2a16d43f,0xd0b6a1ff,0xfd865fff,
    0x03fff34f,0x8813ffe6,0xffe85fff,0xfff9832f,0xfff50243,0x5e8003ff,
    0x980e65c4,0x3f204fff,0x1fffc3ff,0xec88bff9,0x41ffff88,0x87ffe05e,
    0xfff84ffd,0x3e13ff61,0x13ff61ff,0x7fffe4cc,0x7ffd2a05,0x1fff800f,
    0xffa93ff6,0x7007ffe2,0xff89ffff,0x7fcc01ff,0x43fff07f,0x7ff44ffd,
    0x20fffeee,0xfb8bffe8,0xeffe84ff,0x7c0fffee,0x13ff61ff,0xffd87ffe,
    0x361fff44,0xfff884ff,0x87ffb001,0xff805ffc,0xb1ffea3f,0x3f6003ff,
    0x5ffedaef,0x9800ffec,0xfdab8fff,0x3ff60d5f,0x01ffd801,0x43ffffb8,
    0xffdffffd,0xfff982cf,0x17ffe204,0x40ffffee,0x0ecefffe,0x03fffc80,
    0x6f983ee0,0xfff309f9,0x17ffe409,0xffc8fffe,0xff527f45,0x803a61df,
    0x3ff61fff,0x361fff84,0x1fff84ff,0x22013ff6,0x47607ffd,0xf803fffc,
    0x13ff61ff,0x3fff6611,0x7ff74c01,0x017ffec7,0x7c1bffea,0x13ff61ff,
    0x22003fff,0xffdbfffe,0x001fff84,0x7fec3fff,0x361fff84,0x1fffc4ff,
    0x3e213ff6,0xfff001ff,0x805ffc87,0x3fea3ffe,0x8017ffc6,0xfd9effe8,
    0x0bffe3ff,0x55bfff80,0x3e095fff,0xfff802ff,0xffffb002,0xa977f4c9,
    0xfff305ff,0x27ffc409,0x84ffffd8,0x01dfffd8,0x4017ff60,0xaafe42f9,
    0x4fff987f,0xd87fff20,0xff91ffff,0x321ffccb,0x803d5fff,0x3ff61fff,
    0x361fff84,0x1fff84ff,0xc8013ff6,0x225980ff,0xff806fff,0x213ff61f,
    0x1fff9ee9,0x3fa3660c,0x0ffff21f,0x20bfff70,0x3ff61fff,0x0027ff44,
    0x84ffd862,0xff004ffe,0x427fec3f,0x3ff61fff,0x3627ff44,0xfff884ff,
    0x89ffb001,0xfc805ffc,0xf17fea3f,0x098009ff,0x27ffc1b2,0x49fff900,
    0xff01ffff,0x9fff009f,0x7fffdc00,0x807ea041,0xbb14fff9,0x80fffe61,
    0x501ffffb,0xff50003f,0x3e17a007,0x985ff55f,0x3f204fff,0x3ff2007f,
    0x3a1bff65,0xf804efff,0x13ff61ff,0xffd87ffe,0x361fff84,0x3e2004ff,
    0xffd85907,0x0fffc02f,0xefb89ffb,0x0d83fff0,0x307fdd66,0xfc809fff,
    0x3fff01ff,0x3ee27fec,0x3600087f,0x7ffb84ff,0x21fff808,0xfff84ffd,
    0xf913ff61,0x84ffd89f,0x7001fff8,0x5ffc8bff,0x2a4ffa80,0x7ffec3ff,
    0x05f70000,0x4003fff6,0x3f21fff9,0x3fff606f,0x07ffec00,0x3fff98e0,
    0xf3017e20,0x4fff29ff,0x2382fff9,0xf883fff9,0x07fe0005,0xff303ee0,
    0xf313fe6b,0xc8dc49ff,0x3f2003ff,0x07fffe4f,0x089ffff3,0x3f61fff8,
    0x21fff84f,0xfff84ffd,0x0013ff61,0x555f109d,0x80dfff95,0x3ff61fff,
    0xff8ffe64,0x2b316c1f,0x7ffc85fa,0xd02fff40,0x3ffa25ff,0x21fffcc4,
    0x13ff6004,0x090fffe6,0x3fa25ffd,0x12ffe84f,0xffa89ffd,0xf82fff46,
    0xf98031ff,0x02fff46f,0x3fee4fe8,0x22fffd40,0x04fd800b,0x0b8bfff5,
    0xff98dfd0,0x17ffea03,0x2fffd417,0x3e61e82e,0x01bea02f,0x3ee9fff3,
    0x03fff32f,0x417fcc3d,0x136206fb,0x3e6017e2,0x3eabfd02,0x2fffcc1f,
    0x03ff2dfb,0x8fff2db0,0x641ffffd,0x5a9effff,0xfd12ffe8,0x25ffd09f,
    0xfe84ffe8,0x89ffd12f,0x81f883eb,0xeaaaaacb,0x3fa01fff,0x49ffd12f,
    0xfff34ffd,0x2b31fd83,0xffe881fd,0x01dff703,0x7756ffec,0xfffe85ff,
    0x36000ece,0xfffd05ff,0xffb01d9d,0x0bffdd5b,0xfdd5bffb,0x37ffd0bf,
    0xb01dffdb,0xd00599ff,0xffd939ff,0x4df3001d,0xfffb03fe,0x2e005d9d,
    0xffd80aff,0x2e02ecef,0x400fe83f,0x2ecefffd,0xecefffd8,0xff8876c2,
    0x813fe200,0x9fe5fffa,0x1db04ffb,0x3e203fe2,0x5dff704f,0x2f400764,
    0x1beedf70,0xfc97ffea,0xf802fd8f,0x260ffd8f,0xdcdfffff,0xffffffcf,
    0xeadffd80,0xffd85ffe,0x85ffeead,0xfeeadffd,0x8f7ffc5f,0x206881c8,
    0x3605fffa,0xffeeadff,0x37ffff65,0x3ae2cfff,0x01efedef,0x3e60ffec,
    0xffe8805f,0x43fffd9e,0x01dfffd8,0x7ffff510,0x3bfffb10,0x27bffa20,
    0x7443fffd,0xfffd9eff,0x57fff443,0xd883defd,0xfd1003ff,0x7bff95ff,
    0x3f77a600,0x77ffe402,0x7ffec002,0x2efffc82,0x35c07c40,0x2efffc80,
    0x0bbfff20,0x07fb7fb6,0x997ffee0,0xadffffeb,0x04ffcec9,0x07fb7fb6,
    0x445fffb8,0x03eefffd,0x6c401f70,0x2e62ed8f,0x8adffffe,0x5001eefe,
    0xd303dfbf,0x4c7fffff,0xd102fffe,0xfffb3dff,0x9effe887,0x7443fffd,
    0xfffd9eff,0x3bfffaa3,0xf809901d,0xfd100fff,0x7fffb3df,0x7d4bbfa6,
    0x1b73105f,0x66fedc00,0x4c003dfe,0x00988000,0x4ccccc40,0x40026201,
    0x00980009,0x00221880,0x21880004,0x06200008,0x40001300,0x004c00a8,
    0x00062030,0x004c0013,0x54000cc1,0x0260000a,0x20019820,0x026600aa,
    0x22005900,0x04c0002b,0x88008800,0x0066009a,0x04c0004c,0x40004c00,
    0x027cc009,0x3017fff2,0x00004001,0x54400071,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0xc9839fff,0x00dfffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00799500,0x880a9880,0x204c0040,
    0xcaa64c01,0x01ccc803,0x00019991,0x26666a62,0x19999999,0x4c0220a0,
    0x99999999,0x40a20a60,0x54028819,0x088303cc,0x003ffe20,0xc8816654,
    0xd83d804c,0x026aa203,0x1017fee0,0x20440081,0x017fee01,0xc881ccc8,
    0x5cc000cc,0x0171002a,0x200aba98,0x40350028,0x400d54c2,0x0a619998,
    0x00a614c0,0x0c81aa98,0x98806a20,0x26621999,0x00e66401,0x4c013531,
    0xfd802a82,0xfd98000f,0xd0ffa81c,0x77fec09f,0x97e405ab,0x7fcc01fe,
    0x01ffd404,0xfbdfd910,0xfdddffff,0x97540fff,0xfff880db,0x42ffffff,
    0x02d988ae,0x3d3115f1,0xd80efe80,0x203ff35f,0xd004fffd,0x7fdc01df,
    0xe8a7c401,0xd79fb106,0x7ffc407f,0x21ff501f,0xdffb04fe,0x3fe20b57,
    0xff9801ff,0x00ffea04,0x7fed77d4,0x03ffe202,0x3ffeefa6,0x4037ecc2,
    0xd9f101fa,0x1bffd9bf,0x27fff660,0x6c03fffe,0x36e03646,0x73ffdbcf,
    0x7f5f6c09,0x4ffffb84,0xf980ffaa,0x2ffea04f,0xf75ffffc,0x027fdc9f,
    0xb10017ec,0x7fe401bf,0xf505ff8a,0x805fffff,0x9007f15f,0x17ee009f,
    0x10fff440,0xfa83ffff,0x017fd407,0xfffffff5,0xfffb81ff,0x7ffe407f,
    0x077cc06f,0x7ff77fe8,0x1fd5df30,0x800ef980,0xefc804fc,0x4ff882ff,
    0x7e407fe6,0xff905fbc,0xf50dff15,0x205fffff,0x805fbcfc,0x5fb804fc,
    0x3a2ffb80,0x3ffe606f,0x3fe66d82,0x2037e4c7,0x3fe204e8,0x17ffcc0b,
    0x99efffa8,0x13e01ffe,0x0f7ec0bd,0xd81bffe2,0x707ff13f,0x04b83fff,
    0xff5027e4,0xe8d7fec9,0x1bff67ff,0x44017a20,0x4d8805fe,0x4464076e,
    0x74c03fdb,0x13e00b70,0x9801f700,0xffc82fff,0x2a07981f,0x3f205fce,
    0x5fffffff,0x01dffc88,0x00effe44,0x2da803ae,0x1bd01991,0x1d901762,
    0x4403e400,0xff905fff,0xf985ff85,0x36207e63,0x232076e4,0xf303fdb8,
    0x3e017cc7,0x003ee004,0x7fec3ffb,0x261bfa02,0x0fffe0ff,0x0ec80df5,
    0xfa80fe20,0xfff981ff,0x441bfea1,0x6c0fe22f,0xfff502ff,0x6c5ff901,
    0x3fff82ff,0x013a00ec,0x7fe45ffd,0xfa9fffa2,0x0051003f,0x00001bfa,
    0x98660000,0x00028800,0x6ffe8015,0x0c3fff90,0x7e432e0d,0xb8159d04,
    0x2000402f,0x00130008,0x03814400,0x05400054,0xe8066540,0x43fec5ff,
    0x00039819,0x98198000,0x2000a203,0x07ffc00a,0x00807ff9,0x7ff45ff5,
    0xf3037d45,0xf8078803,0xfff986ff,0x203ffe20,0x207e61fa,0x3e207ffd,
    0x1ffe85ff,0x3ee17ff2,0x0a01627f,0xfb87ffe0,0x117ff24f,0x98666601,
    0xffc80999,0x05544003,0x000aa880,0x22001551,0x551000aa,0x27ffd401,
    0x921fffc8,0x07ff1002,0x8807ec07,0x551000aa,0x06351001,0x8800aa88,
    0xaa8800aa,0x00aa8800,0xf900aa88,0x027f45ff,0x51001551,0x15510015,
    0x00155100,0x51001551,0x7ffc4015,0x0003ff60,0x1fff44b8,0x27441bea,
    0xffd80280,0x07ffcc3f,0x2a65fff1,0xfcaabfda,0x13ffe21b,0x17ffef44,
    0xffb87ffe,0x52fff887,0x21aa8805,0xc8bff60a,0x0ffee2ff,0x8fffec40,
    0xff84fffb,0xfd80198f,0x3600dfbc,0x200dfbcf,0x00dfbcfd,0x037ef3f6,
    0x0dfbcfd8,0x902fffd8,0x80343fff,0x1fffdfec,0xb10bf100,0x403dfd7b,
    0x80dfbcfd,0x06febed8,0x405f97f9,0x202fcbfc,0x202fcbfc,0x202fcbfc,
    0xa82fcbfc,0xef9bffff,0xbf79fb01,0xfd7bb101,0xd7bb103d,0x7bb103df,
    0xbb103dfd,0xb103dfd7,0x103dfd7b,0x37ea1fff,0x22004802,0x37d40eff,
    0x00000ec8,0xf317ffee,0x3fff81ff,0xfffffff7,0x7fd4bfff,0xff55d03f,
    0x17ffc49f,0xf901fff5,0xfc8036df,0x545befbd,0x83ffa4ff,0x814c1ff9,
    0x3fa1fff8,0x7fffcc4f,0xdfb03fff,0x6fd837e4,0x37ec1bf2,0x9bf60df9,
    0x4dfb06fc,0xfffe86fc,0x23fff902,0x26fd806c,0xf5003ffd,0x3e27f885,
    0x64dfb06f,0x323fb86f,0x3fe4fd87,0x3fe4fd81,0x3fe4fd81,0x3fe4fd81,
    0x3fe4fd81,0xfffffd81,0x64dfb00d,0xf13fc46f,0x227f88df,0x13fc46ff,
    0x27f88dff,0x3fc46ff8,0xff10dff1,0x03bfb11f,0x77e400b0,0xf987fb80,
    0x7cc00002,0x7ffcc6ff,0x988fffc0,0xde999df9,0x0bfff209,0x37ffccf6,
    0xffa8fffe,0xafff981f,0xfb9bf604,0xa9efa81f,0x40ff81ef,0x87ffe04a,
    0x7fdc4ffd,0x43fffa8d,0x3fea4ffa,0xf527fd44,0x24ffa89f,0x7fd44ffa,
    0xf513fea4,0x227fd49f,0xf901ffff,0x80dfdbff,0x3fea3ff9,0xb81fb005,
    0x03ffe3ff,0x7fd49ff5,0x8d077f44,0x17fa2ffa,0x2ff45ff5,0x5fe8bfea,
    0xbfd17fd4,0x3fa2ffa8,0xdffffb05,0x549ff501,0x8ffee4ff,0x3fee0fff,
    0xfb83ffe3,0xb83ffe3f,0x83ffe3ff,0x3ffe3ffb,0x707ffc40,0x01ec03ff,
    0xfb305f88,0xd004e85f,0xdddddddd,0x1ffffddd,0xf107ffcc,0x22f881ff,
    0xffff83f8,0xfff32642,0x2a5ffd8f,0x3ff607ff,0x4bff301f,0x9b705ff9,
    0x6436c059,0xd87ffe05,0x27fec4ff,0x7ec1fff7,0xb1bfe63f,0x37fcc7ff,
    0xff98fff6,0xf31ffec6,0x23ffd8df,0x7ffc6ff9,0x7fff900f,0xffc80df9,
    0x201ffe63,0x2ffa85f8,0xffb07ffe,0x3a37fcc7,0xfd832fff,0xfb1ff60f,
    0x363fec1f,0xb1ff60ff,0x23fec1ff,0x1ff60ffd,0x77ffffd4,0xf31ffec0,
    0xf17fd4df,0x17fd43ff,0x7fd43fff,0xfa87ffe2,0xa87ffe2f,0x07ffe2ff,
    0x7cc1fff1,0x00fd886f,0x32000970,0x7fc6c80e,0x99999aff,0x4c7fff99,
    0x3fea0fff,0x3e61fa86,0x21fffe81,0x3fffcc5b,0x3273ffe6,0x3fea05ff,
    0xe93ff206,0x026c0fff,0x40fb0990,0x3ff61fff,0xf31fffc4,0x17ffc3ff,
    0x7fc1fff3,0x83ffe62f,0x3fe62fff,0x98bffe0f,0x3ffe0fff,0xd83ffe62,
    0xff901fff,0xfd01aa3f,0x0fffcc5f,0x8440fea0,0x7c1fffd9,0x3ffe62ff,
    0x0ffffee0,0x3fbbbffa,0x3bffa0ff,0x3a0fffee,0xfffeeeff,0x3bbbffa0,
    0x3ffa0fff,0x40fffeee,0xffff9bfc,0xf317ffc5,0xd98441ff,0x98441fff,
    0x8441fffd,0x441fffd9,0x83fffb30,0x3fffb308,0x220fff88,0x3fa20fff,
    0x00032004,0x1bee0be6,0x4c03fffd,0x7fcc6fff,0x1ffd88ef,0x2667f262,
    0x3f6099fb,0xf50d52ff,0xffd309ff,0xe807ffdd,0x53ffa03f,0x2a1fffad,
    0x01999aef,0x201ff075,0x3ff61fff,0xf127ffc4,0x3ffe25ff,0x447ffe62,
    0x3fe62fff,0x45fff11f,0xff11fff9,0x8fffcc5f,0x3e62fff8,0x3ffee1ff,
    0x43fff902,0x317ffc06,0xfd801fff,0x3e7ba600,0x3ffe21ff,0xb07ffe62,
    0xff89ffff,0x1fff801f,0x801fff80,0xff801fff,0x0ffc801f,0x7c4fffd3,
    0x3ffe62ff,0x7fcf74c1,0xf9ee981f,0x9ee981ff,0xee981fff,0xe981fff9,
    0x441fff9e,0x3fe20fff,0x007ffe1f,0x09d00038,0xffc8dfd5,0x3ffe602f,
    0x757ffcc5,0x7fdc2eff,0xffffffff,0x26fffee5,0x2fffb80e,0x0fffc220,
    0xff803ee0,0xfff8bbcf,0x3fffff22,0x214c4fff,0xfff02ff9,0x3627fec3,
    0x0fffc4ff,0x7fcc5fff,0x98bffe0f,0x3ffe0fff,0xf83ffe62,0x3ffe62ff,
    0xf98bffe0,0x3ffe60ff,0x43fff903,0x5ffd0644,0x2203ffcc,0x43bee06f,
    0x7ffc1fff,0x203ffe62,0x3a1ffffb,0xffe804ff,0x04ffe804,0xe804ffe8,
    0x7fe804ff,0xff0fffdc,0x07ffcc5f,0x3ffe1df7,0xff877dc1,0xf877dc1f,
    0x877dc1ff,0x77dc1fff,0xf883fff0,0x3ffe20ff,0xed8fff51,0x3f200001,
    0x237cecc0,0x2a02fffa,0x7fcc2fff,0x2620330f,0x9df999df,0x37ffe609,
    0x1fff901e,0x00bff500,0xeffe80b1,0x4c1fff14,0xffffffff,0x27fdc03f,
    0x3f61fff8,0x22ffdc4f,0x1ffec7ff,0xffd8fff3,0xfb1ffe63,0x23ffcc7f,
    0x3fe63ffd,0xf31ffec7,0x0dffb0ff,0x4c07fff2,0xf317fec7,0x03fa80df,
    0x7ffc7ff3,0xf31ffec1,0x3fe638ff,0x21ffee3f,0x043ffdc0,0x7021ffee,
    0xfb810fff,0x3fe2087f,0xb07ffc47,0x3ffcc7ff,0x7ffc7ff3,0xff8ffe61,
    0xf8ffe61f,0x8ffe61ff,0x3fe61fff,0xf107ffe3,0x27ff81ff,0x3fe27ffb,
    0x2000a884,0x4c6c42f9,0x04ffe86f,0x3e617ff6,0x5f1000ff,0xff901fc4,
    0x2fff405f,0x100ffd80,0x3ff600dc,0x321ffe25,0xffecccde,0xdff90a64,
    0x744bffa0,0x7ffc44ff,0xfa8bff10,0x513fea3f,0x27fd47ff,0xffa8ffea,
    0xf51ffd44,0x23ffa89f,0xffb04ffa,0x03fffd03,0x47ff51b6,0x7ec03ffa,
    0x269ffb00,0x7fd41fff,0x3d13fea3,0xff317fcc,0x7fcc487f,0x3fe6243f,
    0x3fe6243f,0x3fe6243f,0x1ffa243f,0x7ff51bfe,0xffb27fd4,0xd87ffe69,
    0x3fff34ff,0xff9a7fec,0x4d3ff61f,0x3ff61fff,0x883fff34,0xd8eb8fff,
    0x87ffe26f,0x1ffe82fe,0x9bb09d00,0xff987ffb,0x0fff880f,0x000fff98,
    0x00fcc3f5,0x7dc0fffa,0x3dfb004f,0x402c7fe0,0x3fe65ff9,0xfa807f44,
    0x7f49ff73,0x5bffb07f,0xf30bffdd,0x203bea7f,0x03bf26fd,0x0efc9bf6,
    0x3bf26fd8,0x3f26fd80,0x326fd80e,0x3ff600ef,0x8ffffe21,0xfc85feb8,
    0x3e017f25,0x3ffff606,0x6c2cfffd,0xb03bf26f,0xd03fe21d,0x01d9dfff,
    0x1d9dfffd,0xd9dfffd0,0x9dfffd01,0xdfffd01d,0x2ffa81d9,0x3f607fe6,
    0xfd83bf26,0xcfffdfff,0xfbffffb2,0x3ff659ff,0x2cfffdff,0xffbffffb,
    0x3fff659f,0x22cfffdf,0xafd8fff9,0x27fec1fb,0x7fff10d9,0xd901f900,
    0xf509ffdd,0x1efe889f,0x001fff30,0x801f71ee,0x7cc1fffd,0xdfd8804f,
    0x577ff300,0x5cfff100,0xb02fe86f,0xd9bff61d,0xffd107ff,0x07fffb3d,
    0x01bd9fb5,0x06fe6fe4,0x1bf9bf90,0x6fe6fe40,0x3f37f200,0x337f200d,
    0xeca800df,0xffffffee,0x04ffffef,0x009f9bd7,0x7f4c07f5,0x20bff52e,
    0x80dfcdfc,0x81fedfed,0x01dfffd8,0x03bfffb1,0x077fff62,0x0efffec4,
    0x1dfffd88,0xbf99fd50,0x7e6fe403,0x977f4c0d,0x3fa65ffa,0x4cbff52e,
    0xbff52efe,0xfa977f4c,0x4bbfa65f,0x3fa25ffa,0x2dee98ff,0xddeffc88,
    0x801ffb00,0x6f9802f9,0x373ff620,0x3f6204ef,0x5d801cff,0x552e036c,
    0x2ceecefe,0x00e7ecc0,0xd801ffec,0x0dfcefb8,0xdcdefc88,0x51ffd44d,
    0x009807ff,0x98003100,0x000cc001,0x03300066,0x20001980,0x00000998,
    0x0a980062,0x26000080,0x00330401,0x26200131,0x00131000,0x4c400262,
    0x01331000,0x00400cc0,0x00100020,0x00040008,0x00660000,0x004d800c,
    0x2a200791,0x99988009,0x41a80099,0x4c12201a,0x0131000a,0x40800100,
    0x06620019,0x00110110,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x26004c85,0x44000999,0x300440aa,0x33310157,0x885d0003,0x2aa2001e,
    0x66440000,0x9880ae04,0x26619999,0x4c099999,0x55100199,0x33331001,
    0x33330333,0x26666213,0x26620999,0x57510199,0xa98800c1,0x99988009,
    0x26666019,0x4c419981,0xb70b5009,0x55dcc400,0x33310141,0x51033333,
    0x8806a003,0x88035002,0x999880aa,0x26666201,0x33311999,0x26213333,
    0x00099999,0x26666662,0x99988019,0x33102a21,0x44333333,0x0999980a,
    0xd10ba066,0x00c6a203,0x03f6237a,0x27ffdc40,0x677f6540,0x701dbdfe,
    0xd989fb5f,0x54000fff,0x100bf33f,0x9dd9bfd7,0x3ff90003,0xfd503640,
    0xf5117fff,0xb837ffff,0xd7100cfe,0x039dd9bf,0x33ffffaa,0x0effca82,
    0x7ffffd51,0x177f5c43,0x3faf7f62,0x7fdc03cd,0x203ffdbd,0x84ffffc9,
    0x443efec8,0x3ffa0fff,0x7ec3ba02,0xdffe9800,0x06bcefdb,0x3ffffaa2,
    0x27ffdc1c,0x36607ea0,0x00fc806f,0x317faff2,0x2201fffb,0x1cffffeb,
    0x7dffff93,0x3fffae21,0x01bcefef,0x7ffffd51,0xfffb3003,0xa88bffe1,
    0x21bffffe,0x7fdc2fff,0x41ffe8bf,0x10bf33fa,0x80dfd7db,0x003feefb,
    0x5c04ffd8,0x7e4c1dff,0xf55fb81f,0x0fff983f,0xffdfd800,0x40e74400,
    0x74001fb8,0x007d402f,0xf30dfff5,0x02dc0fff,0xf71039d1,0x3fffe203,
    0xfb827400,0x03e604ff,0x7fb30bf6,0x107ffa20,0x7dc03dff,0x1f302fff,
    0x741fff10,0x3bea02ff,0x7e4404fe,0x7fdc40cf,0x6fff9806,0x40ff5398,
    0xdf9304e8,0x3202f980,0x987ff54f,0x7d400fff,0xfffb06ff,0x93ffea05,
    0x2a04fff9,0x4c005fff,0xfff98fff,0x45fffa85,0xff85fff9,0x82fffdbf,
    0xb80ffdfe,0x3a01f23f,0xfb0006ff,0x77fdc09f,0x3607f600,0x889ff55f,
    0x98000fff,0x74404fff,0x07e62083,0xf8017cc0,0x0ffff403,0xc80ffff4,
    0x3007d102,0x3fff203f,0x5403e202,0x1e204fff,0x1fc41fea,0xa817ffc4,
    0xff300fff,0x41e03fff,0x3fa0fff8,0x7fff402f,0x037fec00,0x3e201bea,
    0x0fcc05ff,0x7d401d90,0xf102f406,0x2237fc5f,0xff500fff,0xffffffff,
    0x5fffffff,0x4c4fffa8,0xff305fff,0xff88009f,0x30fffd0f,0xffd09fff,
    0x15fffd0f,0x3ffe6097,0x341dfd04,0x000e64c0,0xf704ffd8,0x1f8803ff,
    0x3db37fc4,0x000fff88,0x44019970,0x32ffaa3e,0x801f98dd,0x01760018,
    0xf509fff7,0x441a09ff,0xecffe8be,0x2607e64e,0x12e06fff,0x203fffa8,
    0x01ffc868,0x0fffb079,0x9305ffd8,0xd01dfffd,0xe83ffe20,0x664c02ff,
    0x0fffdc02,0x7c4036c0,0x3fee05ff,0xa803f304,0x803f206f,0x0b6a1ffa,
    0x9801fff1,0xff904fff,0x3ffe603f,0x83fffb84,0x4004fff9,0x2e60fff8,
    0x04fff985,0xdffd0b73,0x80665c00,0x0032fffe,0x22001551,0x209ffb1a,
    0x37006fff,0x8807ffa8,0x0a988fff,0x4cc33330,0xf92d4099,0x0950f889,
    0x06a6054c,0xff1007d4,0x1fffe0ff,0xf52d412a,0x0951fecf,0x7407fff6,
    0x0fffea00,0xfffc8688,0x7fd43881,0x7ffdc04f,0xfff8c982,0xff10685f,
    0x017ff41f,0xf8802aa2,0x0b1005ff,0x40bfff10,0x7442ffc8,0x306fa804,
    0x1ffd805f,0x00fff880,0xc827ffcc,0xff301fff,0xdfff109f,0x009fff30,
    0x6c0fff88,0x04fff982,0x13ffa0b6,0x4c133330,0x1ffffdc1,0x3faf7620,
    0xdffb101e,0xf309ffbb,0x540009ff,0x7c400fff,0x3ffffaff,0xb8fffec4,
    0x99644fff,0xf10c80ff,0xefecdd98,0x41efbde9,0x7fe402f8,0x7fffcc2f,
    0x22c806c2,0x89fee7f9,0x0bfff507,0xfffa8095,0x3ea1a203,0x6400dfff,
    0x7d403fff,0xf54984ff,0x10687fff,0x7ff41fff,0x3ef3f602,0x4fffb80d,
    0x3e200200,0x2fd805ff,0x7d400764,0xff00bd06,0xfff1005f,0x4fff9801,
    0x203fff90,0xfd04fff9,0x9fff30ff,0x0fff8800,0x3fe603a6,0xd01b304f,
    0xffb807ff,0x41ffe8bf,0x104ffffd,0x837fc4ff,0xfff50ffd,0x07fff909,
    0xfff95300,0x3fe20559,0x2ffd89ef,0xfd0fffc4,0xdfb0e89f,0x3fcc7a00,
    0x7dc3fffa,0x7cc05d86,0x7fde45ff,0x0e81a25f,0x46fd9fe6,0x1fffd01e,
    0x7fd400d8,0x221a203f,0x0cfffffe,0x805fffb0,0x4986fff9,0x68bfffee,
    0x741fff10,0x4dfb02ff,0xfffd86fc,0x7c400003,0x2a2985ff,0xb8017cc6,
    0x800fc87f,0xf8804fff,0x981730ff,0xff904fff,0x3ffe603f,0x83fffb04,
    0x0cc4fff9,0x2e1fff10,0x13ffe603,0x3ffe80ea,0xfdbfff80,0xfffb82ff,
    0x23ffb81f,0x7fd40fff,0x7427fec5,0xb8001fff,0x7fffffff,0x541fff10,
    0x1fff87ff,0x26893ff6,0x279005fe,0x3ff62ffc,0xf70bfe65,0x41fffd00,
    0x2e1fffd6,0xff98d102,0x1e41efca,0x263fffb8,0x3fffa805,0x7fc41a20,
    0xf82fffff,0x7cc01fff,0x6c4987ff,0x20d0ffff,0x3fa0fff8,0x27fd412f,
    0xffe89ff5,0x4400002f,0xefc85fff,0x802741bb,0x3e62ffd9,0x1fffb002,
    0x88fff880,0x7ffcc5ff,0xffeeeeef,0x7ffe41ff,0x90ffffff,0xff987fff,
    0x407fea4f,0x8010fff8,0x0084fff9,0x7401fff4,0x44b8afff,0x20fffe63,
    0x3ffe2ffa,0x3627fe41,0xffff84ff,0xeaa98002,0xf102adff,0x7ffc41ff,
    0xfb0fffc1,0xbfd3449f,0x7fd4f200,0xff13ff62,0x5c02f889,0x2e774fff,
    0x201d4fff,0x7d7fcc68,0xf103c81f,0x400e4fff,0x2203fffa,0x3fff2206,
    0x7ffc2fff,0x7ffcc01f,0xffe84987,0x3fe60d6f,0x17fff11f,0xf31ffec5,
    0x2ffff8df,0x7fc40000,0x3203105f,0x2006c80e,0x073f665e,0x0b8bfff5,
    0x7fc3ffe2,0x4efffcc4,0xfffd9999,0x09fff301,0xf313fff2,0x17fdc9ff,
    0x000fff88,0x0009fff3,0xfd007ffd,0x261e80df,0x261102ff,0x7f41fffd,
    0x427fec3f,0x0003fffd,0x2201ffe4,0x7ffc0fff,0xfb0fffc2,0xdfb0e89f,
    0x10883a00,0xddddfff9,0x809d0dff,0x21d7fff8,0x059ffff8,0x36ff3074,
    0x3200e85f,0x0068afff,0x4407fff5,0xfffd9806,0x17ffec6f,0x21bffea0,
    0xffff8849,0x9fff306d,0x89dffdb7,0x3fe62fff,0x0ffff60f,0x6f7776dc,
    0x17ffe202,0xf705f300,0x443f200d,0xfd86ffdf,0x442eceff,0x30510fff,
    0x3f209fff,0xfff301ff,0x0bfff609,0x3b89fff3,0x003ffe20,0x0027ffcc,
    0x7401fffc,0x876c04ff,0x3a600ff8,0x7c1fff9e,0x27fec3ff,0x0027ffdc,
    0x100bfe60,0xfff81fff,0xfb0fffc2,0xff53c89f,0x44344103,0x04ffcafc,
    0x3f201ee0,0x7fec4cff,0x51e401ef,0x88bfe2ff,0x77ffcc06,0xfff5002b,
    0x81c34407,0x321fffea,0x7dc03fff,0x304985ff,0x260dffff,0xf88effff,
    0x3ffe22ff,0xb87ffe62,0x3e604fff,0x7c400fff,0x274005ff,0x4c037f54,
    0x7fcc262f,0x2efffc80,0x400fff88,0xf904fff9,0x3fe603ff,0x3fffd04f,
    0x404fff98,0x03ffe218,0x027ffcc0,0xefffd862,0x01fff403,0x07fb7fb6,
    0xfff0efb8,0x6c4ffe83,0xfff884ff,0x0ff80006,0x03ffe208,0xfff81fff,
    0xb513ff61,0x475177e4,0xc87fcc4b,0x3e6005ff,0x7fffcc01,0x037ffcc1,
    0x23ff72d4,0x00970efc,0x400dfffb,0x2604fff8,0xfd100d85,0x27ffcc7f,
    0x207fff20,0x3ffee049,0x0131f506,0x98bffe03,0x3fe60fff,0x3ffe205f,
    0xf886ec46,0x3f2004ff,0x037cecc0,0x0bf302f4,0x3fe201e8,0x7ffcc00f,
    0x03fff904,0x7c13ffe6,0xfff986ff,0xff10e404,0x3fe6001f,0xa80e404f,
    0x03ffe800,0xf9803d04,0x907ffe3f,0x4ffd89ff,0x005fffb0,0x87fdc983,
    0x83ffe24a,0xfff87ff8,0x3613ff61,0x8737b264,0x93fe20ea,0x0080fffb,
    0xdffd009d,0x400fffa0,0x9cccc9cd,0x00eabcc8,0x003fffa8,0x97027ffc,
    0x7fd407b0,0x203ffe42,0x09305ffe,0xf906ffc8,0x7ffb0001,0x7e43ffcc,
    0x3ffe00ff,0xf8a7fe46,0x5f3003ff,0x06f98d88,0x1f7007e4,0x8807fd40,
    0x7cc00fff,0xfff904ff,0x13ffe603,0x2607ffee,0x07c04fff,0x2001fff1,
    0x7c04fff9,0xe80bff00,0xff5003ff,0x9a7fec01,0x7fd41fff,0xb02fff46,
    0x27a80dff,0xefffdce9,0x3fe23ffe,0x213fe60f,0xffd12ffe,0x2a013609,
    0x11ffe40e,0x1cc1bfff,0xffb806c8,0x001ff702,0x0754026c,0x001ffd00,
    0xd106ffd8,0x2a03fb01,0x7ff440ff,0x01dff703,0x1bfa016a,0x540017f4,
    0x13fea3ff,0xff02fff4,0x13ffb8df,0x3a005fff,0xffdcdd84,0x4c05f303,
    0x02fd801e,0x9803fff1,0xff905fff,0x3ffea03f,0x304ffe84,0x3e409fff,
    0x4003ffe2,0x3204fff9,0xd01fe607,0x7ec007ff,0x3ffff601,0x742cfffd,
    0xffed9bff,0x37ff600e,0xb837260a,0xffffff53,0x1fffc41f,0x3ff60bfb,
    0x05ffeead,0xca882b76,0xcfffd81e,0xcffffcec,0x007e604d,0x37c40ff1,
    0x1056ec00,0xb8003d95,0xfe88004f,0x40ba60df,0x7ec0bffd,0x107ff602,
    0x07c80bff,0x9ff06e88,0xc9bf6000,0xff9100ef,0x0dfff019,0x17fea1fd,
    0x76407e40,0xbd04ffee,0x254d7440,0xf300ef98,0xffa805ff,0x5fffb05f,
    0x997ffea0,0x3ea02ffe,0x7fc986ff,0x800fffcc,0xc986fffa,0x09f5107f,
    0x3003fff8,0xefe980df,0xd10bff52,0xbdfb5fff,0xffeca807,0xde883efe,
    0x1cffe9bf,0x6efd5fc4,0x3ffa204f,0x03fffd9e,0x37fbbf6a,0xffff300b,
    0x27fffdc7,0x26401fc0,0x54000b60,0x0bdfeefd,0x000f8800,0xfffffb10,
    0x75e6c05d,0x801efccf,0xdfecdfdb,0x3bff6a03,0xfe834c03,0x37f20002,
    0xd9800dfc,0xdfecceff,0xfcec980a,0x05f3004f,0x3f20df30,0xffffd100,
    0x20157505,0x81efffe9,0xdffffeb9,0xdffff952,0x3fff2637,0x0adeffff,
    0xfffff730,0xdfffffff,0x0f7fff4c,0xfffff730,0xdfffffff,0xfb006f20,
    0xaa807dff,0x0001000a,0x00008862,0x02600351,0x33022013,0x00004c00,
    0x026000cc,0x06600198,0x01300220,0x00033000,0x44000060,0x4418019a,
    0x5100009a,0x18000001,0x4c000020,0x2a620001,0x00cc0019,0x64401360,
    0x2a02e883,0x000ccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999880,0x88000199,
    0x99999999,0x44199999,0x04188703,0x20026666,0x99819998,0x99999999,
    0x00009999,0x4c01665c,0x995003cc,0x13333307,0x3310ccc4,0x00013333,
    0x9987b07b,0x00351099,0x1a980022,0x80620980,0x8816c43d,0x03500fff,
    0x2cca8000,0x41d307a2,0x99882ccb,0x00099999,0x4ccc4081,0x4c409999,
    0x40009999,0x01999998,0x13333330,0x26666662,0x1a800019,0x4cccccc4,
    0x33333119,0x26662133,0x98801999,0x99999999,0x26621999,0x00199999,
    0x4c066662,0x3fffae61,0x980002cf,0xefffffea,0x40fffffe,0x5c9930bd,
    0x10e9beff,0x3005fff9,0x7c41fffd,0xffffeeff,0x902fffee,0x00dff003,
    0x74003ff6,0xfffc80ef,0x437f222e,0xeffffeb8,0x4401bcef,0xc88dd14f,
    0xfffcafff,0x00ffd405,0x417fabf2,0x2cadffe9,0x37453e60,0xb09fffb0,
    0x400009ff,0x97dc0efe,0x37f443fa,0x77fff544,0x73ff800b,0x7ff544df,
    0x7e541bff,0x07200bff,0x5ffffd51,0xeffff980,0xfffd510a,0xb800037f,
    0x7ff5445f,0xff731bff,0x2a215dff,0xfffffffe,0xffea883d,0xfffeeeff,
    0xfffd530f,0x09dfffdd,0x207ffecc,0x7fd44ffb,0xb800005f,0x540fffde,
    0x7ffd40ff,0x3fffe0ff,0x2fff85ff,0x41fff500,0x3fff45f8,0x07ea0bee,
    0x1001df50,0x3e2003ff,0x1bffa00e,0x7ffd41e6,0x013ffe64,0x105ffbf9,
    0xff37ffff,0x27fec05f,0x3ff2ff90,0xfffffd80,0x7efe400f,0xd5df301f,
    0x3fffc41f,0x0ef98000,0x20ffbff0,0xff500ff8,0x3fe6007f,0xf981ffb5,
    0x37ea06ff,0xa80fd400,0x6405fffe,0xf502fffe,0x30000bff,0x3fe60bff,
    0x5fffb05f,0x4d3ffe60,0xf980effd,0x0fea85ff,0xb31fffdc,0x3e601dff,
    0x37ff40ff,0x0013ffe6,0x3ff67a00,0xb80f880f,0x54e62efe,0x3fe20cfd,
    0x204fffff,0x1a20fff9,0x0b61fffa,0xec803ff3,0x003f5000,0x3ea007dc,
    0xa81dc0ff,0x7fcc4fff,0x3ffe205f,0xd8fffe05,0x3fea03ff,0x5c5ffe01,
    0x37b26b01,0x5fff8801,0x44e897a0,0x0001fffd,0x3ee00ec8,0x0fe602ff,
    0x001fffcc,0x20f663b9,0xf105fff9,0x03ff3009,0x07fffb26,0x17ffe744,
    0x004fff98,0x305ffe80,0x3f20bfff,0xfff101ff,0x42fffd49,0x3e05fff9,
    0x21fffd40,0xf105fff9,0x4ffb81ff,0x0027ffcc,0x7fed2e00,0x200d860f,
    0xfff80000,0x1fff1002,0x3fff4244,0x5fff3154,0x8002a013,0x004c0019,
    0x0743fff8,0xb84fff98,0x32a03fff,0x8bffe00c,0x00404ffd,0x0001ffe6,
    0x80665400,0xf3107028,0x002a0000,0x06601332,0x566fffcc,0xf100001a,
    0x05d30bff,0x135fff30,0x4fffac98,0x3fff9770,0x013ffe60,0x0bfff900,
    0x6413ffe6,0xff101fff,0x87fff89f,0x3205fff8,0x41fffcc0,0xff107ffe,
    0xf303301f,0x000ae9ff,0x7ffecd10,0x4c409920,0x99988199,0x44bffe01,
    0x1fff100a,0x07ffe808,0x3ffffea1,0x8266666f,0x4ccccc19,0x26609999,
    0x40351099,0x81626ffc,0xf884fff9,0x4cccc6ff,0x7c099999,0x13ff62ff,
    0x33333333,0x03ffcc13,0x54426666,0x21333301,0x333101a8,0x3314b803,
    0x98814c13,0x33310199,0x06666203,0x6defffcc,0x99880dff,0x3ffe2019,
    0x5400f545,0x46ffffff,0x01ffff49,0x03fff91d,0x0013ffe6,0x05ffbda8,
    0x3209fff3,0xff101fff,0x87ffe89f,0x85c5fff8,0x1fffcc08,0x440fffe4,
    0x26000fff,0x004ddfff,0x3ff61d80,0xfb301a0f,0xffd981ff,0x95fff00f,
    0xff109fff,0xffe8055f,0x1fff8807,0xe8bfffb8,0x337fe1ff,0x911fffec,
    0xfff95fff,0x47ffe60b,0x3ffe603b,0xf8fffd04,0xfffeccdf,0xfb17ffc1,
    0xccdff89f,0x3e61fffe,0x3ff2207f,0x45fffcaf,0xfcafffc8,0xffd985ff,
    0x2a3b100f,0xfff9effe,0x7ffecc0f,0x0fffd980,0x80fffd98,0x3f23fff9,
    0x7fecc1ff,0xbfff100f,0xf10006e4,0x652603ff,0xca543fff,0xff301fff,
    0x3a20009f,0xf305ffb8,0x3ff209ff,0x9fff101f,0x442fffc4,0x006c5fff,
    0xfd07fff3,0xfff101ff,0x7ffcc001,0x4a80002f,0x6447ffec,0x0fff9806,
    0xf00fff98,0xfff37fff,0x0dfff883,0x403fff40,0xff01fff8,0x45fffb7f,
    0x13ffe21f,0xf37ffff1,0x3ffa05ff,0x7fcc01d4,0x3fffb04f,0x9fff10fc,
    0x7ec5fff0,0xff10fc4f,0x07ff989f,0x4dffffc4,0x7fc42fff,0x2fff9bff,
    0x980fff98,0x9dfffc84,0xff985ffc,0x1fff300f,0x203ffe60,0x3e23fff9,
    0xfff984ff,0x1bfff100,0xf88007fb,0x229301ff,0xc8ec6fff,0xff301fff,
    0x47a0009f,0xff305ffb,0x3fff209f,0x49fff101,0xf881fffb,0x803ee5ff,
    0x7cc3fff9,0xfff104ff,0x7ffcc001,0x0e880004,0x7fefffec,0x0fff8806,
    0xf00fff88,0x1fff47ff,0x2a03ffe2,0xffffffff,0x7fcc45ff,0x7ff409af,
    0x2244b8af,0xff80fffd,0x40fff63f,0x9059fffb,0xffffffff,0x8ffff21f,
    0x407ffec4,0x3ff62fff,0x3fff6244,0x403ffcc0,0x3ff63fff,0x363fff83,
    0xfff883ff,0xdff70080,0x7c43ffd4,0xfff100ff,0x03ffe201,0xff0fffe6,
    0x1fff10df,0x3bbffe20,0x22002fff,0x49301fff,0x4b12fffd,0xf301fffc,
    0x790009ff,0xf982ffdc,0xeeeeefff,0xf101ffff,0xdffb59ff,0x3bffe203,
    0x2600ffec,0xfba9cfff,0x3fe203ff,0x4c15c40f,0x80004fff,0xffeeeefc,
    0x806fbaff,0xf880fff8,0x5fff00ff,0x3e627fec,0xffe800ff,0x7fff5c07,
    0x37ff45ee,0x3fffa820,0x7ec5fff0,0x3eeaaa4f,0x0aaadeff,0xc827ffcc,
    0xfa824fff,0x5fff03ff,0xa8227fec,0xff983fff,0x22fff807,0xfff84ffd,
    0x2213ff62,0x2e000fff,0x1ffe66ff,0x4403ffe2,0xff100fff,0x7fff301f,
    0xf886fff8,0xfff100ff,0x01ffff9d,0x407ffe20,0x57ffe649,0x07fff22b,
    0x0027ffcc,0x0bff71aa,0x2677ffe6,0x1fffd999,0x99dfff10,0xfff88059,
    0x200ffdad,0xffddfff9,0x7fc400ff,0x12fff40f,0x0009fffd,0xfffb0598,
    0x3e201a61,0xfff880ff,0x645fff00,0x3ffa64ff,0x7ffe800f,0x01fff880,
    0x74009ffd,0x3ffe06ff,0xcc93ff62,0xccfffecc,0x7ffcc0cc,0x05fffb04,
    0x7c41bffa,0x17ffa3ff,0xf306ffe8,0x5fff00ff,0x7fc27fec,0x213ff62f,
    0x2000fff8,0x3fe66ffb,0x07ffc40f,0x100fff88,0xff301fff,0x27ffcc7f,
    0x8807ffc4,0xfffb5fff,0x3ffe200d,0xffe89301,0x7ffe469f,0x09fff301,
    0x3ee07440,0x9fff305f,0x407fff20,0x4004fff8,0x3e65fff8,0x4fffe600,
    0x4403fffe,0x3fe20fff,0xffce98ff,0xd00c404f,0x83fff601,0x0fff8806,
    0xf00fff88,0x27fe45ff,0x001fff35,0xf100fffd,0x3ffa03ff,0x3fff9003,
    0xfb17ffc0,0x37fe409f,0x827ffcc0,0xfc81fffe,0xffd881ff,0xffffb9ef,
    0x01fffc83,0xff00fff3,0x427fec5f,0x3ff62fff,0x00fff884,0xf99bfee0,
    0x7ffc40ff,0x01fff100,0x2603ffe2,0x3ff23fff,0x0fff880e,0x22bfff10,
    0x8805fffe,0x89301fff,0x643efffa,0xff301fff,0xf518809f,0xffffffff,
    0x4fff983f,0x203fff90,0x4004fff8,0x0645fff8,0x227fff30,0x2201ffff,
    0x7fe40fff,0xfff98a9f,0x3b80dc04,0x383fff60,0x3ffe20d4,0x00fff880,
    0x7fe45fff,0x007ffc44,0x4403fff4,0xffd01fff,0x9fff3007,0x362fff80,
    0x2aaaa4ff,0xaaaafffd,0x827ffcc0,0xff986fff,0x0066004f,0x3027ffcc,
    0xfff00fff,0x7c27fec5,0x13ff62ff,0x8003ffe2,0x3fe66ffb,0x07ffc40f,
    0x100fff88,0xff301fff,0x1bffdbbf,0x403ffe20,0x3e65fff8,0x7c403fff,
    0xf09301ff,0xffc81fff,0x9fff301f,0xfff51c80,0x3fffffff,0x904fff98,
    0x3e203fff,0x7c4004ff,0x3005c5ff,0x7fdc7fff,0x3ffe206f,0x7cc69880,
    0x407404ff,0x7ffec068,0x3fe21a00,0x0fff880f,0x7e45fff0,0x07ffc44f,
    0x803fff40,0xfe831fff,0xfffd803f,0x5fff0260,0x99927fec,0x999fffd9,
    0x4fff9819,0xd81fffb8,0x80260fff,0x7ec00ffc,0xf98260ff,0x2fff807f,
    0x3fe13ff6,0x213ff62f,0x2000fff8,0x3fe66ffb,0x07ffc40f,0x100fff88,
    0xff301fff,0x100335bf,0x3e201fff,0x7ffd45ff,0x8fffc01f,0x7fe424c1,
    0x01fffc85,0xf809fff3,0xb5555510,0xf9815dff,0xfff904ff,0x13ffe203,
    0x0bfff100,0x43fff980,0xf104fffd,0x312e01ff,0x3dc09fff,0x7fec02d8,
    0xf10d900f,0xfff101ff,0xd8bffe01,0x7ffcc4ff,0x0fffe800,0x2ccffe80,
    0x2a01fff4,0x20743fff,0x3ff62fff,0x01bff204,0x3a13ffea,0xfffa84ff,
    0xfd100743,0x1fffd405,0x07ff983a,0x3f62fff8,0x22fff84f,0xff884ffd,
    0x3fee000f,0x103ffe66,0x3e201fff,0xfff100ff,0x07fff301,0x00fff880,
    0xf90bfff3,0x7ec03fff,0x42cc2ccf,0xffc81ff8,0x9fff302f,0x7dc03e40,
    0xbfff305f,0x407fff20,0x4004fff8,0x4005fff9,0x7c43fffa,0xff882fff,
    0x540d981f,0x6d446fff,0x400fc87f,0x6cc2fffe,0x1fff985f,0x881fff98,
    0x3ffa3fff,0x00fffcc5,0x4007fffc,0xff83efd8,0x3ffa203f,0xf883f226,
    0x17ffa3ff,0x400fffd8,0x3a65fffa,0xffe882ff,0x9803f226,0x3ffa206e,
    0xfb83f226,0x3fe200ff,0x117ffa3f,0x7ff47fff,0x01fff985,0xfa9fff20,
    0x7ffcc1ff,0x03fff301,0x2a07ffe6,0x4c004fff,0xff301fff,0xffff10df,
    0x3ff6203f,0x0db06b83,0x540bfff6,0xfc986fff,0x05ffb807,0x360bfff5,
    0xff302fff,0xff9800bf,0x7fdc006f,0xffffa84f,0x217ffcc0,0x7ff5cc3a,
    0xfffeffff,0x3bff626f,0x7ffedcc3,0xffffefff,0x77fff4c4,0x3bfffa61,
    0x3bfff621,0x33ffffb9,0x203dfffd,0xbeffffdb,0xffb00800,0x3ff207df,
    0x27ffeeef,0xb9efffd8,0x2e23ffff,0x0bdffffd,0x7ffffe4c,0x900adeff,
    0xffdddfff,0x004dd40f,0xfdddfff9,0x7fff5cff,0xfffd882d,0x3ffffb9e,
    0x73dfffb1,0x74c7ffff,0xa801efff,0xfe8cffff,0xffd30dff,0xffe983df,
    0x7ff4c1ef,0xfff731ef,0xd30039ff,0x5c43dfff,0x12dffffe,0x9ffffff9,
    0x3f260201,0x2a1cc4ef,0x1cfffffc,0xffffff73,0x0dffffff,0xb98bff70,
    0x52dffffe,0x37fffff9,0x3ffffb22,0x7f5c402c,0x4c02dfff,0x2cfffffc,
    0x99ffffe4,0x001efffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00009999,0x30151014,0x20001333,0x2a6000aa,0x2666620a,0x99988199,
    0x33333109,0x4cccc133,0x4ccccc19,0x99999999,0x33333109,0x10000333,
    0x4cccc400,0x99999999,0x4ccccc41,0x33331199,0x31000133,0x33333333,
    0xfffd8133,0xffa86fff,0xf01fffff,0x89ffffff,0x99999998,0x7ec09999,
    0x5c6fffff,0x1fffffff,0x00001dc0,0x000e4006,0x26201551,0x33330999,
    0x40266613,0xa8800aa8,0x1551000a,0x99866660,0x22015099,0x4419831a,
    0x26219999,0x98666619,0x54c00999,0x2004d440,0x882a1aa8,0x5fff910a,
    0x0ff71000,0x3f223ffc,0x322002ff,0x4c03ffff,0xb53ff9ee,0x305bffff,
    0x36619ff9,0x20bfffff,0x222dffda,0xfffeffff,0x32fffeef,0xfddfffd5,
    0x90005dff,0x3fae2005,0xffeeefff,0x7ff5447f,0xff711bff,0x79dfddff,
    0xeefff801,0x3ffffeee,0x7fffffec,0xfffffa86,0xffff01ff,0x99a89fff,
    0x99999999,0x7fffec29,0x7ffdc6ff,0x6c01ffff,0x05544005,0x7f1017ee,
    0xfd7bb100,0xffffb83d,0x1dfffc8a,0x7f901bf7,0x67ec0bfd,0x3f200dfb,
    0x7ec42fcb,0x9fff71ff,0xbed889f7,0x93fee6fe,0x264ffffa,0xfffb13fe,
    0x413ffee3,0xf95fbcfc,0x3f203dd7,0x7c5befbd,0x0bffe26f,0x7fffc880,
    0x883fff30,0x32002fff,0x03ffffff,0x22ffd7f6,0x7403fffe,0x0ffffb03,
    0x37e20fe6,0xf91fffa1,0x23fffa85,0x2004fffb,0x7cc006f8,0x07fb84ff,
    0x2e0bfff5,0x3fea3fff,0x207be03f,0x0006fffc,0x50000000,0x00002800,
    0x80176000,0x70dfbdfc,0x03f880ff,0xdff13fc4,0xfe8fff90,0x7e40745f,
    0xfb07ff54,0xfd837e4d,0xff107fe4,0x567ff43f,0xf91fdc7f,0x3ee3fff4,
    0x222dc1ff,0x3ffa1fff,0x3ee6fc84,0xb0df53ff,0x30ffdcdf,0x7ffc1fff,
    0xfd571002,0x82fec0ff,0xd3002fff,0x0ffffd77,0x05cd7fe2,0x981fffe6,
    0x3fffe206,0x1f104c84,0x2d87ffe8,0x361fffcc,0xf7001fff,0x7fcc003f,
    0x260f304f,0xff504fff,0x4fffa87f,0xff980f88,0x2aa201ff,0x01551000,
    0x99986666,0x05000a09,0x98802aa2,0x17600199,0xff937ec0,0xf8805d35,
    0xf1ffdc03,0xfff881ff,0x489fff62,0x3fe2ff88,0xf527fd46,0x22ffa89f,
    0x1fff85fe,0x0ba73ff6,0xf7341dfd,0x3fff889f,0x0fffc074,0xffa89ffb,
    0x447ffe63,0x97fe63ff,0x3fe25ff9,0x0017ffc7,0x0003ffe4,0x12005fff,
    0x2e03fffa,0xffd805ff,0xa803d03f,0x16a1ffff,0x7ffe8588,0x7ffcc2a8,
    0x01fffdc3,0x2005fff8,0xd0c4fff9,0x413ffe60,0xfc83fffa,0xe824c2ff,
    0xbb104fff,0x6403dfd7,0x6c42fcbf,0xfff71fff,0x20a00149,0x80dfbcfd,
    0x000fffd9,0x9ff500bb,0x00577fd4,0x3ea01fc4,0x207ffe2f,0xffb15ffc,
    0x3ea06e5f,0xfb0b6a1f,0x237fcc7f,0x1ff60ffd,0xffd87ffe,0x5fffd01d,
    0x3f205306,0x7fc1626f,0xb13ff61f,0x7ffc45ff,0xffc97fe0,0xe83fffa4,
    0x317ffc5f,0x3ee01333,0x1999887f,0x2a25fff0,0x1ffee000,0x0277ff66,
    0x40ffff88,0xfff9004b,0x01003a2d,0x3020fffd,0xffb87fff,0xfffb802f,
    0xfff3000f,0x26051cc9,0xff504fff,0xbfff307f,0xfffb8088,0x227f880f,
    0x49fb06ff,0x7ffc41ff,0x0293ffa1,0xc9bf6140,0x1fff306f,0x3a017600,
    0x1bfe63ff,0x8803f880,0x03fffb30,0xb571fff3,0x7ec1abff,0x2fff801f,
    0xfe83ffe6,0x0fffeeef,0xffb0fffc,0x7fffdc09,0x7ffc4003,0x3ffe0372,
    0xff13ff61,0x77ffc45f,0x3fa6ffee,0x3fff5b4f,0x3ffe1fe4,0x05bff712,
    0x3661ffee,0xfff80fff,0x004fffca,0xff98bff3,0x6402ffff,0x03a24fff,
    0x67fff440,0xffd0001e,0x3ffe600f,0x803ffec3,0x004fffbe,0x1dc9fff3,
    0x827ffcc0,0xff03fffa,0xfff100ff,0x8ffee05f,0x7fd40fff,0x3fe17fa2,
    0x293ff61f,0x9ff51400,0x7c427fd4,0x777540ff,0xeeeeffee,0x98fffe2e,
    0xeec80fff,0xeeeefeee,0x4f74c0ee,0xfff01fff,0x2bffeab7,0x805fff04,
    0x3e62fff8,0x07ffe1ff,0xfb0fffc0,0xfffd809f,0x7fec004f,0x0fffc0b5,
    0x7fc49ffb,0x2bffe22f,0x3fe19999,0xfff8bbcf,0xfff07ea2,0x7dc03f85,
    0x1fff307f,0xf37ffff0,0xff7005ff,0x017ff205,0xc87fffc4,0x7ffcc002,
    0x3fa0003f,0xfff3007f,0x033ff667,0x7fffd2a0,0x4fff9800,0xff3007d3,
    0x3ffea09f,0x03fffd03,0x205fffd8,0x3ffe2ffa,0xfb07fec1,0x6c3fff0f,
    0x5000a4ff,0xff31ffec,0x81fff10d,0xffeeeeea,0xf12eeeee,0x7ffcc5ff,
    0xeeeeec81,0x0eeeeeef,0x7ffc3bee,0x49fff901,0xff01ffff,0x5fff009f,
    0xfd07ffcc,0x3ffe009f,0x2013ff61,0x001ffffb,0x80f3ffe6,0x3ff61fff,
    0xf117ff44,0xffe805ff,0x41fff14e,0x22fff878,0x7ffb803c,0xf01fff10,
    0x1ffec7ff,0xf902fec0,0x7fdc00bf,0x900069df,0x4000dfff,0xf3007ffe,
    0x5fffffff,0xffc8ec00,0xfff9803f,0x9803ffee,0xff504fff,0x3fff607f,
    0x3fffe603,0xfd984400,0x77ff41ff,0x7c0fffee,0x93ff61ff,0xfff14002,
    0x207ffcc5,0xb000fff8,0x45fff00b,0x1000fff9,0x3ff9807f,0x7cc07ffe,
    0x1bff21ff,0x400fffd8,0x3fe63ffd,0x043ffdc7,0xffb0fffc,0xfff31c09,
    0xfd005dc7,0x7ffc01ff,0xf913ff61,0x27ffc45f,0x44bffb04,0xff8187ff,
    0x2e00792f,0xfff107ff,0x6c5fff01,0x7fc404ff,0x017ff200,0x03dffff0,
    0x27fff400,0x07ffe800,0x337fff30,0x9807dff9,0x01bffe25,0x36b7ffe6,
    0xfff9803f,0x07fff504,0xe80ffff6,0xd3003fff,0xf83fff3d,0xfff001ff,
    0x0527fec3,0x5fff1280,0x220fffcc,0xbb000fff,0x4c7ffd00,0x3e2007ff,
    0x9a7fec03,0x3fa01fff,0x501ffcc6,0x20b8bfff,0x3fea3ffa,0x21fffcc4,
    0xd12ffe84,0x30f409ff,0x17ff25ff,0x7404ffa8,0x9ffd12ff,0x3e63ff98,
    0x98e21fff,0x13fe65ff,0x7e57ffc0,0x0fff7006,0x3e03ffe2,0x13ff22ff,
    0xfc805f90,0x7fdc005f,0x3aa0005f,0x8001ffff,0xf3007ffe,0xfffb87ff,
    0xffb0b205,0xfff9805f,0x3e600f64,0xfff504ff,0x0bfffa07,0x8037ffdc,
    0x3fff0efb,0xf004ffe8,0x27fec3ff,0x3fe28005,0x03ffe62f,0x2001fff1,
    0x3ffa805d,0x88013fea,0x7ffec03f,0x02cfffdf,0x01fd07f7,0xecefffd8,
    0x3f26fd82,0xefffe80e,0xdffd80ec,0x205ffeea,0x21ff10ed,0x7fc07ffe,
    0x56ffec00,0xfd85ffee,0x3fffff26,0x3ffc45cd,0x7fc00df7,0x803fffef,
    0xff107ffb,0x45fff01f,0x3e604ffc,0x05ffc802,0x02fffc40,0xffc8e880,
    0x7f4000ef,0xfff3007f,0x0ffff887,0xcaaaaf88,0x7cc06fff,0x200ea4ff,
    0xf504fff9,0x3ffe07ff,0xffff880f,0x1ffcce01,0xffb83fff,0x1fff8087,
    0x00293ff6,0x4c7ffb14,0xfff887ff,0x200bb000,0x03bf26fd,0x7cccccc4,
    0x2619999c,0xbff52efe,0x35c07c40,0x2efffc80,0x37f37f20,0xbfffb100,
    0x3bffa203,0xb03fffd8,0x543fdbfd,0x02dc03ff,0x6cf7ff44,0xdfc83fff,
    0xfffd8cfc,0x77dc6c0d,0x3e000dfc,0x1fffbbff,0x883ffdc0,0xfff80fff,
    0x4413ff22,0xffc8283e,0x7ffc4005,0x21e88005,0x4004fffe,0xf3007ffe,
    0xfffd07ff,0x55559705,0x403fffd5,0x0e24fff9,0x4fff9819,0x107fff50,
    0x3f60dfff,0x6d6604ff,0x3fff34ff,0x243fff98,0xfe897ff4,0x45000a4f,
    0x3fea3ffa,0x00fff884,0x7dc00bb0,0x3a00dfcd,0xffffffff,0x0041ffff,
    0x00620300,0x0cc00130,0x20013100,0x26080009,0x11001101,0x80004c00,
    0x100c4099,0xff000198,0x01bffa5f,0x3e20fff7,0x2fff80ff,0x66c13ff2,
    0xc85a9999,0x7c4005ff,0x2d8005ff,0x017fffcc,0x200fffd0,0xff83fff9,
    0x503441ff,0x7cc0bfff,0x21e604ff,0xf504fff9,0xfff907ff,0x1ffff503,
    0xfffda6c0,0x42cfffdf,0x0ecefffe,0xeeadffd8,0x5000a5ff,0x3bf26fd8,
    0x01fff980,0x33000350,0x2aaaaa00,0xaaaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x897ffc00,0x3f204fff,0x1fff107f,
    0x7ec5fff0,0xffffc84f,0xffc84fff,0x7ffc4005,0xc826c005,0xd000efff,
    0xf3001fff,0xfffa87ff,0x7fc04c85,0xfff300ff,0x7cc3740b,0xfff504ff,
    0x83fff887,0x202ffff8,0x5dfd33fb,0x36217fea,0xd101dfff,0xfffb3dff,
    0x905000a7,0x301bf9bf,0x003dfffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe2000,0x407ffee3,0xf980fffd,
    0x7ffc41ff,0xf517ffa3,0x5fffffff,0x800dff90,0x2006fff9,0x3ffe02fd,
    0xffff005f,0xbfff5001,0x206fffd4,0x7fe404f9,0xdfff505f,0xa84fec98,
    0xff705fff,0x17ff4c9f,0x885fffc8,0x0042ffe9,0x30009880,0x55557001,
    0x75555555,0x00000cc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb10000,0x3fff23df,0xfff9713f,0x3fa617df,
    0xffb11eff,0xffff73df,0x3ffffe67,0x3221ffff,0x400dffff,0xdffffeb9,
    0xdffd700a,0x7ffecc17,0xfb701eff,0x3017dfff,0xfffffff9,0xff7039dd,
    0xffc9839f,0xd730dfff,0xffdfffff,0x75cc7fff,0x932dffff,0xdfffffff,
    0x7ffcc059,0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40a98000,0x200001a9,0x33099999,
    0x99998133,0x00003510,0x31066662,0x33113333,0x5d400013,0x44488000,
    0x44000d40,0x9800402b,0x03510999,0x26660153,0x20999999,0x06609999,
    0x014c0144,0x1a880544,0x571014c0,0x1a80d440,0x01980544,0x20802aa2,
    0xddddddda,0xb52ddddd,0xbbbbbbbb,0x05505bbb,0x882ee088,0xccc80ccc,
    0x2a080801,0x23eeeeee,0x99999999,0xff109999,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x3dfd9bb3,0xd83df7bd,0xff917204,0x37fee3df,
    0x2bfff222,0x4405fffc,0xfd99e40e,0x3ff620ff,0x0cfe99ef,0x2e03d0d3,
    0x2e001cff,0xbeffdacf,0x326004fb,0x17ea02ff,0x2effff20,0xfe88efff,
    0xcdff83ff,0x2e1fffec,0xffe8bfff,0x201ff661,0x3ff200fe,0x2fffdc4f,
    0x3fa03ff0,0xffffc84f,0xfe8bff21,0x3a6ba60f,0x07f46642,0xdddd51d4,
    0xdddddddd,0x3bbbbaa5,0x3fdddeee,0x073fffea,0x227fe432,0x7fcc2ffa,
    0xfa87ba63,0x3ea7fd0f,0xf13fffff,0xffffffff,0x33225fff,0xcccccccc,
    0x000001cc,0x00000000,0x40000000,0x7fff47f9,0x4fb8df70,0xfff83fc8,
    0x7c413e23,0xfff9bfff,0x6b89d102,0x7407ffcc,0x360ba6ff,0xc980fd45,
    0xf7002eff,0x9ffd57df,0x33ff6a00,0x8027cc01,0xfd8bffff,0xfffa9edf,
    0xfff10fc0,0xfb7fff09,0x3fe4c5ff,0x4c17fee0,0x710ffc9d,0x0ff81fea,
    0x647fff88,0xd1fea9cf,0x3ffe27ff,0x226f9f61,0xf887f95f,0x0000002f,
    0x32afa3f8,0x5cabeffe,0x3ee1bff6,0x3f627e45,0x227ff26f,0x999935ff,
    0x4cccc599,0x99999999,0x00000000,0x00000000,0x00000000,0xfd8bff20,
    0x70bfe65f,0xf81fe49f,0xf00f62ff,0x1ffec7ff,0x0fee0fe8,0xf301fff1,
    0x260777ff,0x1007744f,0x4019ffd7,0x03fa83fb,0x02fbfee2,0x7ff40000,
    0xf83ffee4,0x3f6241ff,0xfffe80ff,0x7fa84b8a,0x07f37e20,0x3e60ff10,
    0x9ae4b662,0x87fff22d,0xfda7c45f,0x443ffe2f,0x8987fa7f,0x4fa83fea,
    0xf8000000,0xffb30733,0x1ffd43df,0x6c2747b8,0xb93625ff,0x0000001d,
    0x00000000,0x00000000,0x00000000,0xffd8bfea,0x7dc27fc4,0x3fe03fdc,
    0xff00992f,0x427fec5f,0x21bea3fd,0xf900fff8,0x4fd80bff,0x26003bea,
    0x7f82dffd,0x3f661ba0,0x000001df,0x3ea3ffe8,0x217ff47f,0x40fffea0,
    0xfa806ffe,0x3e23f207,0x5c1fd406,0x37fee4ff,0x445ffbb9,0x360be669,
    0x7ec1ff76,0x1fe9fe26,0x10ff2ba6,0x3bbaa5f9,0xeeeeeeee,0x27f0002e,
    0x40662008,0x28854008,0x0003bb10,0x00000000,0x00000000,0x00000000,
    0x22000000,0xddfff910,0x2e0dffdd,0x7ffc03ff,0xff806fca,0xb13ff62f,
    0x0bfe61ff,0x4403ffe2,0x7cc04fff,0x801bfa3f,0xf11fffb8,0xe987d407,
    0xd9000cff,0xdddddddd,0xffe81ddd,0xfd1ffea3,0x37ff407f,0x5009ffd0,
    0xb93e60ff,0x4417602f,0x332e2ffc,0xb80bcced,0x9a7c27c3,0x3a27dc6f,
    0x95f89be7,0x50d5c47f,0x99999999,0x00059999,0x000000b2,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8800000,0x004ffcaf,0x3e027fe4,
    0x04fffeff,0xffb17ffc,0xfd2ffd49,0x1fff101f,0x007ffe40,0x7fdc3ffa,
    0xdff93003,0x1f5027c3,0x0033ffa6,0x77777764,0x40eeeeee,0x3fea3ffe,
    0xc81fff47,0x3fa01fff,0x07fa803f,0x706e81fb,0x82fc80c9,0x36603bda,
    0xfc897dc0,0x85f313e0,0x263f89fa,0x00dfdcff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x21ff3000,0x32005ffc,
    0x3e04fbbf,0x1fffbcff,0xfd8bffe0,0x987fe44f,0xfff883ff,0x13ffe600,
    0x3fa2ff98,0xcffda805,0x1ba07d81,0x00b7ff6a,0x3ffa0000,0xfd1ffea3,
    0x9fff307f,0x803ffe80,0x83fa87fa,0x667d43fa,0x4354533e,0x40ef9afd,
    0xfffd103a,0x0f82d89f,0x43501550,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf1000000,0x07ffdc9f,0xfb8ff204,
    0x365fff04,0x3ffe06ff,0x3213ff62,0x221fe64f,0x33600fff,0x7fd00fff,
    0xf71037d4,0x7d4017df,0x2203fa83,0x000beffb,0x7ff40026,0xfd1ffea3,
    0x1fffb07f,0x0fffa04c,0x415ffb30,0x543fa06e,0xf91fffff,0xff88377d,
    0x30005fd0,0x30130179,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c47ff90,0xc8e60dff,0xf84fb83f,
    0x9fff12ff,0xfd8bffe0,0x541fb04f,0x07ffc43f,0x0bfff2b8,0x80ee87f3,
    0x002dffd9,0xfd77fff7,0x3f6a00bf,0x2fd401df,0x2a3ffe80,0x1fff47ff,
    0x1d0fffea,0x0003ffe8,0x18800000,0x019315c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,
    0xfceccfff,0x644dcfff,0x3fe12e03,0x0bffee3f,0x7f47fff1,0xf717605f,
    0x40fffcc1,0x0bffee6a,0xb80eb89d,0x2a000cff,0xbffffbcf,0x322004fb,
    0x13e603ff,0xf727ffc0,0x27ffc1ff,0x644dffd1,0x01fffc0f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe6000,0x3fffee3f,0xffb00004,0x3fff25ff,
    0xdfffb13f,0x07ffff73,0x267707a2,0xb31efffe,0xfffb15ff,0x03a16a7f,
    0x87000154,0x80005408,0xfb00002a,0xffd35fff,0xffffb1bf,0x3bbfff25,
    0x7fec7ffe,0x000003ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00066009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_27_latin_ext_x[560]={ 0,2,2,0,0,1,0,1,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_27_latin_ext_y[560]={ 21,4,4,4,4,4,4,4,4,4,4,6,17,14,
17,4,4,4,4,4,4,4,4,4,4,4,9,9,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,24,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,9,4,4,7,4,
4,4,4,4,4,9,10,14,4,2,4,6,4,4,4,9,4,10,20,4,4,9,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,4,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
1,6,-1,4,4,9,-1,4,-2,4,-1,4,-1,4,-1,4,4,4,1,6,-1,4,-1,4,4,9,-1,4,-1,4,
-1,4,-1,4,4,3,-2,-2,4,4,-1,4,1,6,-1,4,4,4,0,9,4,4,-2,4,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,1,6,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-2,4,4,9,-1,4,4,5,-1,4,4,5,-1,4,1,6,-1,4,-2,3,-1,4,4,9,-2,4,-2,4,
0,-1,4,0,4,-1,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,8,5,5,5,5,5,5,5,5,5,5,5,5,5,1,9,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,4,-1,4,-1,
4,-1,4,-1,2,-1,0,-1,0,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-5,-1,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_bold_27_latin_ext_w[560]={ 0,5,10,12,12,22,20,5,8,8,10,14,6,8,
5,7,12,10,12,11,12,12,12,12,12,12,5,6,14,14,14,10,22,18,16,17,17,16,15,19,19,9,13,20,
16,23,18,19,15,19,18,12,16,18,18,25,18,18,16,6,7,6,12,14,6,11,13,11,14,11,10,12,13,7,
8,14,7,20,13,12,13,14,11,9,8,13,12,18,12,12,11,8,3,7,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,10,12,12,13,
3,11,8,18,8,12,14,8,18,14,9,14,7,7,6,14,14,5,5,7,8,12,18,18,18,10,18,18,18,18,
18,18,25,17,16,16,16,16,9,9,9,9,17,18,19,19,19,19,19,12,19,18,18,18,18,18,15,13,11,11,
11,11,11,11,16,11,11,11,11,11,8,8,9,9,12,13,12,12,12,12,12,14,12,13,13,13,13,12,13,12,
18,11,18,11,18,12,17,11,17,11,17,11,17,11,17,18,17,14,16,11,16,11,16,11,16,11,16,11,19,12,
19,12,19,12,19,12,19,13,19,13,9,9,9,9,9,8,9,7,9,7,20,12,13,9,20,14,14,16,7,16,
7,16,12,16,10,16,7,18,13,18,13,18,13,19,18,12,19,12,19,12,19,12,24,17,18,11,18,11,18,11,
12,9,12,9,12,9,12,9,16,8,16,13,16,8,18,13,18,13,18,13,18,13,18,13,18,13,25,18,18,12,
18,16,11,16,11,16,11,10,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,13,13,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,15,13,13,13,13,13,13,13,13,13,13,13,13,13,21,16,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,11,9,9,19,
12,18,13,18,13,18,13,18,13,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,11,25,16,19,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__times_bold_27_latin_ext_h[560]={ 0,18,9,18,19,18,18,9,22,22,10,14,9,3,
5,18,18,17,17,18,17,18,18,18,18,18,13,17,12,6,12,18,23,17,17,18,17,17,17,18,17,17,18,17,
17,17,18,18,17,22,17,18,17,18,18,18,17,17,17,22,18,22,10,3,5,13,18,13,18,13,17,18,17,17,
23,17,17,12,12,13,18,18,12,13,17,13,13,13,12,18,12,22,23,22,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,22,18,12,17,
23,23,4,18,8,12,6,3,18,2,9,14,10,10,5,18,23,5,6,10,8,12,18,18,18,18,22,22,22,21,
21,21,17,22,22,22,22,21,22,22,22,21,17,22,23,23,23,22,22,12,18,23,23,23,22,22,17,18,18,18,
18,18,18,19,13,17,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,12,13,18,18,18,18,23,23,23,
20,16,22,18,23,18,23,18,24,18,23,18,23,18,22,18,17,18,20,16,22,18,22,18,23,18,22,18,23,23,
23,23,23,23,22,24,23,23,17,17,22,17,20,15,22,17,23,23,21,12,18,23,24,23,22,22,12,22,22,22,
22,17,17,17,17,17,17,23,17,22,17,23,17,17,18,18,21,16,23,18,23,18,18,13,22,17,22,17,22,17,
23,18,24,18,22,17,23,18,23,22,22,18,17,17,23,18,21,16,23,18,24,19,23,18,23,18,24,18,23,23,
21,22,17,21,17,22,17,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,18,16,16,23,16,16,16,
16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,16,16,16,16,16,16,16,16,16,16,21,13,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,18,22,17,23,
18,23,18,23,20,23,22,23,22,23,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,26,23,22,18,23,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_bold_27_latin_ext_s[560]={ 509,498,275,413,46,381,436,506,78,186,247,
301,258,390,355,501,209,16,49,369,413,499,15,131,239,446,442,505,135,310,107,
350,275,145,128,28,191,164,462,294,426,181,314,342,396,372,247,227,446,438,478,
214,111,195,176,131,92,73,209,431,123,424,218,399,361,347,59,378,13,403,62,
485,35,27,154,1,497,165,46,390,399,106,198,432,363,461,448,359,81,459,186,
341,182,350,340,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,509,504,375,
46,122,149,186,209,381,87,295,60,325,390,157,414,265,332,231,239,368,266,240,
375,304,210,286,94,361,347,328,339,458,477,1,269,422,324,18,131,97,242,225,
343,87,259,195,412,163,322,318,357,377,270,250,18,426,397,416,450,231,405,316,
325,313,301,289,277,265,34,1,366,215,203,191,179,307,288,258,332,118,230,80,
67,252,41,28,150,493,1,485,471,457,469,482,496,1,226,149,144,20,313,39,
291,39,279,123,248,161,222,168,190,409,161,470,238,358,121,114,94,198,357,214,
227,234,273,305,325,338,57,58,97,70,467,389,63,215,53,460,291,205,44,394,
459,402,73,326,446,83,404,20,307,31,290,504,41,496,457,444,427,378,1,77,
414,135,386,193,254,244,268,404,423,382,278,141,156,103,54,93,475,152,111,114,
474,82,486,481,169,110,303,101,498,433,347,377,171,197,176,85,102,358,147,441,
250,286,133,20,20,215,80,179,234,57,260,1,90,288,180,123,307,207,11,181,
219,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,380,264,264,435,
264,264,264,264,264,264,264,264,264,264,264,264,264,59,316,264,264,264,264,264,
264,264,264,264,264,264,264,264,360,415,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,133,1,
1,297,255,281,221,73,190,487,338,494,163,42,135,28,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,1,123,56,106,298,472,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264, };
static unsigned short stb__times_bold_27_latin_ext_t[560]={ 1,119,193,119,98,98,98,175,75,75,193,
175,193,193,193,75,98,175,175,98,157,98,119,119,119,119,175,157,193,193,193,
119,1,175,175,138,175,175,157,138,157,175,138,157,157,157,138,138,157,52,157,
138,175,138,138,138,175,175,175,52,138,52,193,193,193,175,138,175,138,175,175,
119,175,175,1,175,157,193,193,175,119,98,193,175,157,175,175,175,193,119,193,
52,1,52,193,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,1,119,52,
138,193,157,1,1,193,138,193,193,193,193,138,193,193,175,193,193,193,138,1,
193,193,193,193,193,119,138,138,119,52,52,75,75,75,75,157,75,75,75,75,
75,75,75,75,75,157,52,1,1,1,52,52,193,119,1,1,1,52,52,157,
119,119,119,119,119,119,98,193,138,119,119,119,119,157,157,157,157,119,157,119,
119,119,119,119,193,175,119,98,98,98,1,1,1,98,175,75,119,26,98,26,
98,1,98,25,98,25,98,75,98,138,98,75,175,52,98,75,98,25,98,52,
119,25,25,25,25,25,26,75,1,26,25,138,157,75,157,75,175,75,157,25,
25,75,193,98,25,1,25,75,52,193,52,52,75,52,138,138,138,138,157,157,
25,157,52,157,25,157,157,98,98,75,175,25,119,26,119,119,175,52,157,52,
138,52,138,25,119,1,98,52,138,25,98,25,52,52,98,157,157,25,98,75,
175,25,98,1,98,25,98,25,98,1,98,28,26,75,52,157,75,157,52,157,
157,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,119,175,175,1,
175,175,175,175,175,175,175,175,175,175,175,175,175,98,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,75,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,52,138,
52,157,1,138,1,138,1,75,1,25,1,52,1,52,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,1,1,52,138,1,119,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175, };
static unsigned short stb__times_bold_27_latin_ext_a[560]={ 98,130,217,195,195,390,325,108,
130,130,195,222,98,130,98,108,195,195,195,195,195,195,195,195,
195,195,130,130,222,222,222,195,363,282,260,282,282,260,238,303,
303,152,195,303,260,368,282,303,238,303,282,217,260,282,282,390,
282,282,260,130,108,130,227,195,130,195,217,173,217,173,130,195,
217,108,130,217,108,325,217,195,217,217,173,152,130,217,195,282,
195,195,173,154,86,154,203,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,98,130,195,195,195,195,86,195,
130,291,117,195,222,130,291,195,156,214,117,117,130,225,211,98,
130,117,129,195,293,293,293,195,282,282,282,282,282,282,390,282,
260,260,260,260,152,152,152,152,282,282,303,303,303,303,303,222,
303,282,282,282,282,282,238,217,195,195,195,195,195,195,282,173,
173,173,173,173,108,108,108,108,195,217,195,195,195,195,195,214,
195,217,217,217,217,195,217,195,282,195,282,195,282,195,282,173,
282,173,282,173,282,173,282,286,282,217,260,173,260,173,260,173,
260,173,260,173,303,195,303,195,303,195,303,195,303,217,303,217,
152,108,152,108,152,108,152,108,152,108,321,215,195,130,303,217,
217,260,108,260,108,260,183,260,154,260,108,282,217,282,217,282,
217,284,300,217,303,195,303,195,303,195,390,282,282,173,282,173,
282,173,217,152,217,152,217,152,217,152,260,130,260,203,260,130,
282,217,282,217,282,217,282,217,282,217,282,217,390,282,282,195,
282,260,173,260,173,260,173,108,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,288,303,303,195,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,216,303,303,303,303,303,303,
303,303,303,303,303,303,303,310,234,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,282,195,152,108,303,195,282,217,282,217,282,
217,282,217,282,217,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,282,195,390,282,303,195,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_27_latin_ext(stb_fontchar font[STB_FONT_times_bold_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_27_latin_ext_s[i] + stb__times_bold_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_27_latin_ext_t[i] + stb__times_bold_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_27_latin_ext_x[i];
            font[i].y0 = stb__times_bold_27_latin_ext_y[i];
            font[i].x1 = stb__times_bold_27_latin_ext_x[i] + stb__times_bold_27_latin_ext_w[i];
            font[i].y1 = stb__times_bold_27_latin_ext_y[i] + stb__times_bold_27_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_27_latin_ext_s[i] + stb__times_bold_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_27_latin_ext_t[i] + stb__times_bold_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_27_latin_ext_x[i] + stb__times_bold_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_27_latin_ext_y[i] + stb__times_bold_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_27_latin_ext_LINE_SPACING
#endif

