// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT        234
#define STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_29_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_29_latin_ext_LINE_SPACING          19

static unsigned int stb__times_bold_29_latin_ext_pixels[]={
    0x017bae00,0x00066620,0x00f32e00,0x00666200,0x003332a0,0x00039970,
    0x00002660,0x20000aaa,0x1000eee9,0x30000a83,0x80000133,0x100002aa,
    0x26000133,0x001aaaaa,0x0004cc40,0x000a2050,0x40033310,0x0001500a,
    0x40013bae,0x80cc0018,0x20310008,0x32600008,0x3310000b,0xaaaaaa80,
    0xaaaaaaaa,0x0402201a,0x4c266000,0x2009b009,0x88000eff,0x00002ffe,
    0x0007ffe2,0x000bffe0,0x3000bffa,0x0000dfff,0x0001fff9,0x0000ff98,
    0x0027ffec,0x0009d7db,0x0003ffd4,0x0001df10,0x003fff10,0x3fffff60,
    0x3fe20004,0x1760005f,0xe80005f3,0x3ea003ff,0x40017621,0x001ffff8,
    0x7c40015c,0x88007d42,0x0017cc3f,0x006baea8,0x203fff98,0xffdcefff,
    0x3ffedcff,0x1d103a20,0x55bee000,0x00bf00ff,0x40001ff3,0x00005fe8,
    0x00007fea,0x2000bfea,0xe8002ff9,0x0002ffef,0x013fffe6,0x00076200,
    0x0ffcffa8,0x00bdb100,0x003ff700,0x00036a00,0x0017fdc0,0x35555530,
    0x7ffe4000,0xdf30001f,0x8000df71,0xe8003ff9,0x001fe8af,0x0dfbdf90,
    0x90000e80,0x0013f27f,0x017ee9f7,0x00761d80,0x40ffffd0,0x3ffea1ef,
    0x3601fdc5,0x004fdcde,0x0fec7f60,0x3f900bf0,0x1fd10000,0x07f60000,
    0x01fe4000,0x8002fc80,0x00df35fa,0x7fce7ec0,0x21930000,0xee8000c8,
    0x93009f31,0x00003221,0x980009f7,0x0001910c,0x40002fd8,0x001910c9,
    0x3ee7fe20,0x3ff60005,0x640001ff,0xff50004f,0x260009ff,0x400bf25f,
    0x88005ff9,0x000ffeff,0x01ffeff8,0x00e87600,0x3f67bea0,0xffa85f03,
    0x4c03c85f,0x001fffff,0x027c7f10,0x006e017e,0x002f8800,0x0001f880,
    0xe8000fe0,0x989d0003,0x3fa8002e,0x640017a2,0x8007f72f,0x00f4c0db,
    0x01fdcbf2,0x0003dc00,0x01fdcbf2,0x0005f100,0x0fee5f90,0xf5076c00,
    0x3fe60003,0x4e80005f,0x7fff4000,0x707d0000,0x037fc00d,0x03fffc80,
    0x09fff700,0x5dbe9800,0xf906f400,0xfff50d01,0x7100730b,0x5c00017d,
    0x17e01aa6,0x0019f910,0x00002200,0x00c00000,0x08000c00,0x37000310,
    0x22000910,0x00002a22,0x54451000,0x00300000,0x02a22880,0x00001000,
    0x000a88a2,0x03980c88,0x002aaa00,0x20000600,0x00001aa8,0x00150000,
    0x00133220,0x00019990,0x98003710,0x50303703,0x0060bfff,0x41100000,
    0x405f8008,0x0006a8bc,0x026aeea6,0xacdb9800,0x54c01640,0x20009abb,
    0x4002ede9,0x0accdba9,0xbba9800e,0x5544009a,0x21aaaaaa,0x80aaaaa9,
    0xaaaaaaa8,0x5555512a,0x554c3555,0x55510aaa,0x4c355555,0x510aaaaa,
    0x35555555,0x8555554c,0xaaaaaaa8,0x2aaaa61a,0x5555510a,0x554c3555,
    0x55510aaa,0x4c355555,0x510aaaaa,0x35555555,0x0555554c,0x055e5cc0,
    0xbba98051,0x2600009a,0x0a20abcb,0x26000188,0x4a20abcb,0x01aaaaa9,
    0x21555551,0xaaaaaaa8,0x2aaaa61a,0x0006600a,0x202fffd4,0xaaaaaaa8,
    0x2aaaa61a,0x5555510a,0x554c3555,0x80bf0aaa,0x2a000747,0xffcabdff,
    0xbfd5000c,0x719ffb57,0xbdffa80b,0x800cffca,0x2200d10e,0xfdabeffd,
    0xfa807cdf,0xcffcabdf,0xfffb3100,0x7544139f,0xf73009ef,0x2235ffff,
    0x9cffffd9,0x27bfaa20,0xffffb310,0x7f544139,0xffb3109e,0x544139ff,
    0xb3109efe,0x4139ffff,0x109efea8,0x39ffffb3,0x4f7f5441,0xffffb310,
    0x7f544139,0xffb3109e,0x544139ff,0xb3009efe,0xdfd7bfff,0x3fea07b9,
    0x0cffcabd,0xbfffb300,0x87b9dfd7,0xeefcfdb8,0xffb303ee,0xb9dfd7bf,
    0x3fffea27,0xefeb881f,0x3fff6622,0x3aa209cf,0x7e4409ef,0x3eeeefcf,
    0x02fffd40,0x3ffff662,0x3faa209c,0xffb3109e,0x544139ff,0x0bf09efe,
    0x400d11d8,0xf884ffd8,0x7fdc02ff,0x0efff883,0x109ffb10,0x46805fff,
    0x77fdc00e,0x07fea881,0x2213ff62,0x3e602fff,0x3e600fff,0x9fffb001,
    0x03fffe60,0xff301f98,0x0fcc01ff,0x00ffff98,0x7fcc07e6,0x07e600ff,
    0x007fffcc,0x3fe603f3,0x07e600ff,0x007fffcc,0x7fcc03f3,0x3ffb882f,
    0x4427fec4,0x7cc02fff,0xffb882ff,0x5c3ffa23,0xf982cdff,0xffb882ff,
    0x77fffcc3,0x2603f300,0x2600ffff,0x0ffe881f,0x8059bff5,0x3005fffa,
    0x4c01ffff,0xffff301f,0x3e0fcc01,0x176f4c05,0x40bffb00,0xf701fffa,
    0x7ffdc0df,0x40bffb01,0x3201fffa,0x7e405b8b,0x3fc402ff,0x540bffb0,
    0xff101fff,0x007880ff,0x440ffff6,0x3c407fff,0x80ffff10,0x3ffe2078,
    0xf103c407,0x07880fff,0x101fffe2,0x3fffc40f,0xff881e20,0x303c407f,
    0xfa807fff,0x502ffec3,0x3e603fff,0x1fd403ff,0x7fc4bff9,0x07fff305,
    0xfff83fa8,0x403e05ff,0x4407fff8,0x44bff907,0xfa800eff,0xff1005ff,
    0x207880ff,0x4407fff8,0xf8805f87,0x3ffee001,0x437ff402,0x2203fffb,
    0xffb86fff,0x37ff402f,0x4019d910,0x5005fff9,0x0bffee0f,0x220dffd0,
    0x07807fff,0x40ffff20,0x7807fff8,0x01fffe20,0x7fff881e,0x3fe20780,
    0x2207807f,0x07807fff,0x201fffe2,0x1fffe207,0x7ffcc1e0,0x7dc7b005,
    0x7ff402ff,0x05fff986,0x27ff47b0,0xff303ffe,0x20f600bf,0x04ffffde,
    0x3fffc40f,0x4ffe83c0,0x54017ffc,0xf1005fff,0x40f00fff,0x7807fff8,
    0x4fb805f8,0x1ffff100,0x44fffc80,0x3a207fff,0x3e24fffe,0x7e400fff,
    0x026204ff,0x003fffd0,0x7fffc434,0x27ffe400,0x403fffc4,0x3fff2007,
    0x0ffff103,0x7ffc40f0,0x3e207807,0x207807ff,0x7807fff8,0x01fffe20,
    0x7fff881e,0x3fe20780,0xfd07807f,0x4ea003ff,0x400ffff8,0x7f44fffc,
    0x475001ff,0x7ffc4ffe,0x00ffff42,0xffd683a8,0x440f05ff,0x07807fff,
    0xfff89ffd,0x5fffa802,0x0ffff100,0x7ffc40f0,0x05f87807,0xb800fff8,
    0xfa806fff,0x3ffe67ff,0x3feaf607,0x1bffee6f,0x21fffea0,0x83efedfb,
    0x4007fffa,0x06fffb81,0x887fffa8,0x07807fff,0x40ffff20,0x7807fff8,
    0x01fffe20,0x7fff881e,0x3fe20780,0x2207807f,0x07807fff,0x201fffe2,
    0x1fffe207,0x3ffe21e0,0x7dc2000f,0xffa806ff,0x3fffe27f,0xffb82000,
    0x883ffe25,0x2000ffff,0xffff1680,0x3e20781f,0x707807ff,0x07ff8bff,
    0x00bfff50,0x201fffe2,0x1fffe207,0x7017e1e0,0xf9007fff,0xff300bff,
    0x3ffee1ff,0x3fe69b06,0xbfff90ff,0x1ffff300,0x7ffb0fec,0x007fffb8,
    0x05fffc80,0x40ffff98,0x7807fff8,0x0ffff200,0x403fffc4,0x1fffe207,
    0xfff881e0,0x3e207807,0x207807ff,0x7807fff8,0x01fffe20,0x7fff881e,
    0xfffa8780,0xfff90007,0xffff300b,0x01fffea1,0x2a7fe880,0x7ffd44ff,
    0x26680007,0x1e0effff,0x807fff88,0x4cffd107,0xff5003ff,0x3fe200bf,
    0x2207807f,0x87807fff,0x7fff405f,0x5fffe806,0x1ffff980,0xb90bfffb,
    0xe8ffffcc,0xf9805fff,0x9ff31fff,0x3f63ffe4,0xe80006ff,0xf9805fff,
    0x7fc41fff,0x2007807f,0xf103fffc,0x40f00fff,0x7807fff8,0x01fffe20,
    0x7fff881e,0x3fe20780,0x2207807f,0x07807fff,0x201fffe2,0x05fffc87,
    0x0bfffd00,0x23ffff30,0x0005fffc,0x2dfbefc8,0x005fffc8,0x7ffdc680,
    0xff881e5f,0x5c07807f,0x002ffbef,0x4017ffea,0x7807fff8,0x01fffe20,
    0xda817e1e,0x7c02ffff,0xf9804fff,0xfffd2fff,0x7fcc6a8b,0x9ffff2ff,
    0x5ffff300,0xffb9bfea,0x02ffff47,0x27fffc00,0x17fffcc0,0x201fffe2,
    0x3fff2007,0x0ffff103,0x7ffc40f0,0x3e207807,0x207807ff,0x7807fff8,
    0x01fffe20,0x7fff881e,0x3fe20780,0xfe87807f,0xff0005ff,0xff3009ff,
    0x3fffa5ff,0xacb80005,0x3fffa00a,0xc8680005,0x40f3ffff,0x7807fff8,
    0x005565c0,0x037ffd40,0x807fff88,0x1fffe207,0xd817e1e0,0x406fffb9,
    0x9805fffd,0xffb1ffff,0x26074cbf,0xffb0ffff,0xfff300bf,0xd88edc3f,
    0x7ffec7ff,0x33333106,0x7ffec333,0xffff9805,0x03fffc41,0xfff9003c,
    0x1fffe207,0xfff881e0,0x3e207807,0x207807ff,0x7807fff8,0x01fffe20,
    0x7fff881e,0x3fe20780,0xfd87807f,0xfb0006ff,0xff300bff,0x3fff63ff,
    0x03740006,0x00dfffb0,0x3ffa0d00,0x3e2079ff,0x207807ff,0xfb80006d,
    0xff1007ff,0x440f00ff,0x87807fff,0x3e2d305f,0x3f201fff,0xffb806ff,
    0xdfff70ff,0x3fea07a6,0x1bfff26f,0x03fffee0,0x1fff7f22,0x220ffff7,
    0x2dffffd9,0x201bfff2,0x440ffffb,0x3c407fff,0x07fff900,0x101fffe2,
    0x3fffc40f,0xff881e20,0x103c407f,0x7880ffff,0x01fffe20,0x7ffc40f1,
    0xf103c407,0x87880fff,0x0007fffb,0x700dfff9,0x3ee1ffff,0x2a0007ff,
    0x99aaabff,0x03fffdc0,0xfe883400,0x3e207fff,0x83c407ff,0xaaaabffa,
    0xfffca801,0x2200bdff,0x3c407fff,0x80ffff10,0x5905f878,0x502fffec,
    0xf900ffff,0x7ffd4dff,0xff701e8f,0x3fffd49f,0x437ffe40,0x7ffb8efa,
    0x007fffcc,0xa81ffff1,0xfc807fff,0xfff886ff,0x0883c407,0x881fffe4,
    0x3c407fff,0x80ffff10,0x3ffe2078,0xf103c407,0x07880fff,0x101fffe2,
    0x3fffc40f,0xff881e20,0x4c3c407f,0x8000ffff,0xc807fffa,0x3fe66fff,
    0xf70000ff,0xffffffff,0x07fffcc5,0xf981a000,0x3e207fff,0x83c407ff,
    0xfffffffb,0x000003ff,0x101fffe2,0x3fffc40f,0x217e1e20,0x7fffcc68,
    0x03fffa00,0xe85fffb0,0x3602efff,0x7ff42fff,0x7ffec00f,0xfb87fe42,
    0x1ffff87f,0x03fffe20,0xb003fffa,0x3fa05fff,0x21a600ff,0x3ff24ff9,
    0x3fffa02f,0xfd01a600,0x034c01ff,0x9803fffa,0x07fff406,0xffe80d30,
    0xd01a600f,0x34c01fff,0x803fffa0,0x5ffff069,0x3fffa000,0x17ffec00,
    0x000bfffe,0x7fffff44,0x3fe0ffff,0x340002ff,0x01fffea0,0x4c01fffd,
    0xffffd106,0x003fffff,0xfe8005b7,0x01a600ff,0x4c01fffd,0x83b85f86,
    0x2a04fffe,0x3e204fff,0xfff986ff,0x1bffe204,0x8813ffea,0x7fcc6fff,
    0x261ffee5,0x3e205fff,0xfff507ff,0x37ffc409,0x401fffb0,0x27ffc84b,
    0x3601fffd,0x12e00fff,0x401fffb0,0x7ffec04b,0xfb012e00,0x025c01ff,
    0xb803fff6,0x07ffec04,0xffd80970,0x5412e00f,0x15006fff,0x1027ffd4,
    0xff50dfff,0x502a00df,0xffddddff,0x37ffd47f,0x80680a80,0x7ec07ffc,
    0x812e00ff,0xfeeeeefa,0xfff803ff,0x3fff6000,0xfb012e00,0x425c01ff,
    0xeeeef85f,0x00ffffee,0xfd81fff2,0xfff700ef,0x03fff601,0xfb03ffe4,
    0xfffc81df,0x80fffd98,0xf102fffb,0x7fe40fff,0x03bff607,0x304fffb8,
    0x49ff301d,0x2e00fffd,0x1d304fff,0x04fffb80,0xffb801d3,0x801d304f,
    0xd304fffb,0x4fffb801,0xfb801d30,0x01d304ff,0x304fffb8,0x7ffd401d,
    0x32075c04,0x3ff607ff,0x9fff500e,0x3f20eb80,0xf50ffa03,0x0eb809ff,
    0x7fd803cc,0x827ffdc0,0x07f900e9,0x2a00bf62,0x3ee001fc,0x01d304ff,
    0x304fffb8,0x4b8bf01d,0x00ffffa0,0xfa81bff5,0x7ff5c05f,0x06ffd40e,
    0x5037fea0,0x3fee0bff,0xcfffceff,0x0affea82,0x203fffc4,0x7d40dffa,
    0xfff7005f,0x807aa217,0x5fff11fd,0x17fff700,0x5c007aa2,0xd510bfff,
    0x3ffee003,0x003d510b,0x442fffee,0xff7001ea,0x07aa217f,0x85fffdc0,
    0xf7001ea8,0x3aa217ff,0xcfffa801,0x01bb510a,0xf5037fea,0xfff500bf,
    0x376a2159,0xdd017f40,0x59fff501,0x20376a21,0x7e8802fb,0x0bfffb80,
    0x7f403d51,0xd001fa02,0x7fff7000,0x4007aa21,0x510bfffb,0x1d17e03d,
    0x037ffdc0,0x7e6ff6c4,0x8b5403df,0xcefcdffc,0x3fb62002,0x203dffcd,
    0x3f64ffd8,0x7ff6403f,0x0adffdcd,0xcdfed880,0x54003dff,0x2efffffe,
    0x7f6fec40,0x3faa002e,0x002effff,0x7fffff54,0x7f54002e,0x002effff,
    0x7fffff54,0x7f54002e,0x002effff,0x7fffff54,0x7f54002e,0x002effff,
    0x3bfff6e6,0xed8803ef,0x03dffcdf,0x3fff6e60,0xff503efe,0x1db75379,
    0x7ffedcc0,0xfea83efe,0x3cc01dff,0xffffea80,0x7f4c02ef,0x0ddba9ab,
    0x00017300,0x3fffffaa,0x7f54002e,0x202effff,0xf101ae2c,0x98005fff,
    0x2036000a,0x00000a98,0x00800153,0x35530001,0x15300003,0x35310000,
    0x0a988001,0x26a62000,0x54c40000,0x4c400009,0x4400009a,0x400009a9,
    0x00009a98,0x0004d4c4,0x0026a620,0x0006a200,0x00001530,0xa98006a2,
    0x8001accb,0x000001a8,0x35310006,0xccaa8001,0x004000ab,0x09a98800,
    0x4d4c4000,0x037c4000,0x0077ffec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1efffdc0,0x7ffffe54,0x0000002e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13300000,0x06662000,0x20066200,
    0x0200300a,0x4cc00008,0x88001330,0x5c000099,0x980005ee,0x4c0005ee,
    0x32000099,0x510003ee,0x01500660,0x1101880a,0x55555440,0x2aa61aaa,
    0x80001aaa,0x88002ccc,0x4c000100,0x2aaa61cb,0xaaaaaaaa,0x164c02aa,
    0x0620a980,0x220cb880,0x93000199,0x06f20385,0x20133300,0x18800998,
    0x40c00110,0x0080204d,0x400180a0,0x8001fffb,0x4c003ffe,0x75c03fff,
    0x5a803640,0x2e0005a8,0x001df56f,0x000fffc4,0x05ffff10,0x3fffe800,
    0x3fff3000,0x3ffe6000,0x89f0000f,0x0f5c01fa,0x43e80bb1,0x366202e9,
    0x209dffff,0x00aefea8,0x077fcc00,0x2e075400,0xf1d70006,0x7ffe4c4d,
    0xffeedccf,0x07ffe207,0xb5bfffb0,0x037ee005,0x8003fff3,0x4ccffffc,
    0x4017ee20,0xfb01fff8,0x313a00df,0x212a005d,0x3607a05f,0xb03b2002,
    0x7ffc400b,0x7fcc005f,0xfffe8003,0xd89fe807,0x33be002f,0x20002fdc,
    0x003fb1fd,0x0002ffb8,0x037ef7e4,0xff9ff700,0x3ff70001,0x76ff4000,
    0xbf70004f,0x3a009f91,0x400fe99f,0x00df55fa,0x803fffe6,0x900002f9,
    0x740001df,0x0005fb1f,0x10df37f1,0xf701ffff,0x17ffcc0f,0xffffff30,
    0x81fea00f,0x7c004ff9,0x01fffffe,0xfb805fd8,0xffff501f,0x2abf5007,
    0x09f1006f,0x66fd40bf,0x7c4006ed,0x001fe88e,0x0bfa77f2,0x8004fc80,
    0x03fd9efa,0x02ffffd4,0x1bfffee0,0x3e3f8800,0x02fd8004,0xb86fcc00,
    0xef88002f,0xd0009f50,0x7d40003f,0x40003f64,0x000ffffe,0x009ffff5,
    0x007ffbfa,0x007fffc4,0x7c00003e,0x7d40000e,0xb0006fef,0x7fc0267f,
    0x80f500ff,0x44dc05fd,0xd002efdb,0x06f980bf,0x6edc4e60,0x01ff5002,
    0x3fa02fe8,0xfd007fab,0x36003ffd,0x7405f84f,0x8003ffff,0x004ffffb,
    0x06d893e2,0x740013a0,0xd003f20d,0x30003fff,0xb80005d9,0x22001aa5,
    0x4d80002f,0x5c8006a8,0x26000e98,0x1740002f,0xfa8002e4,0x7f4003ff,
    0xff5000ff,0x7fc400bf,0x0007807f,0x00001f30,0x0007fffa,0x3e00ffea,
    0x78220fff,0x00080080,0x9806ff80,0x0000001f,0xf880bfee,0xf987ee02,
    0x5fffa803,0x84ffe880,0x1cea805f,0x3fffe000,0x5c0aa000,0x20003000,
    0x98035039,0x000003cc,0x02208800,0x00000400,0x00000000,0x00000440,
    0x55500000,0x03553000,0x000ccc80,0x201fffe2,0x00000007,0x00799300,
    0x200fffa0,0x86e0ffff,0xaaa98003,0x555101aa,0x07fe8155,0x55510110,
    0x4c355555,0x640aaaaa,0x002201ff,0x20091019,0x74400ccb,0xf3ffffff,
    0x4000000b,0x00002cca,0x35555530,0x2aaaaa20,0x2e600000,0x00310bcd,
    0x01357753,0x2aeea600,0x36e60009,0x554310bc,0x531aaaaa,0x85555555,
    0xb982aaa9,0x30310bcd,0x55555555,0xaa855555,0x81aaaaaa,0x001aaaa9,
    0xaaa9800a,0x4c1aaaaa,0xaaaaaaaa,0xf102aaaa,0x00f00fff,0x2aaaaaa0,
    0xaaaaaaaa,0x88ae202a,0xfffb001b,0x7fc019bf,0x200760ff,0x512fffea,
    0x103fffff,0xfb05dfd7,0xaaaa981f,0xb311aaaa,0x4139ffff,0x409efea8,
    0x554c0ffe,0x31aaaaaa,0x55555555,0x55555543,0xaaaaaaaa,0xbfff531a,
    0x54d7e155,0xaaaaaaaa,0x54c2aaaa,0x9aaaaaaa,0xffea8001,0x7ffd442f,
    0xfeb881ff,0x3ffff22e,0x89ffb12e,0xdfebadfc,0x37fea02d,0x00cffcab,
    0x957bff50,0xfc8019ff,0x2ddfebad,0x33ffffa6,0xfffff510,0x1ffa8815,
    0x7f5d6fe4,0xfffd82dd,0xfffecccc,0x7ffe4c3f,0xfa8809ff,0x1f1000cf,
    0x3ff26200,0x7ec09dff,0xfeccccff,0xff103fff,0x000f00ff,0x3ffffa66,
    0xfffeecdf,0x74bff205,0x7fcc00ff,0x200fffff,0x3f10ffff,0x0bffea00,
    0x01dffff3,0x7fdc07e6,0x7ffe4c41,0x7fcc09df,0x07e600ff,0x64c43ffc,
    0x109dffff,0x3bffff93,0x6e77ffc1,0xfedcffff,0x427ffc3f,0xfff9315f,
    0xffddb99f,0xfffd988f,0x1dfffedf,0x0bffea00,0x077fffcc,0xffc81f98,
    0x7e44e83f,0x882fea84,0xff884ffd,0x3ff6202f,0x02fff884,0x5fd509f9,
    0x82ffff88,0x200ffffb,0x5427e42e,0x02fe82fe,0x6c0dfffd,0x7400ffff,
    0x027dc004,0x07fffe20,0xffe817f4,0x3ffe206f,0x40007807,0x81fffecd,
    0x3ff205fc,0x2001ffd2,0xff007ffc,0x03ffb5ff,0x20bffe60,0x205fffff,
    0x01ff700f,0x407fffe2,0x4407fff8,0x881bf607,0xf101ffff,0x3df03fff,
    0x2e2fffd4,0x427ffc3f,0x7fffc45f,0xf307fb80,0xfffb8fff,0x5fff3004,
    0x2fffffc0,0xfff101f0,0x7fcc1f0d,0xfb05f501,0x7ffd40bf,0x40bffb01,
    0x7cc1fffa,0xb05f501f,0x3fe0bfff,0x98f102ff,0x05f501ff,0x3ffee03f,
    0x3ffe201f,0x001a603f,0xf0003ffe,0x07e01fff,0x00ffffdc,0xf00ffff1,
    0xfeb4c000,0x40b901ff,0x00b263c8,0xf005ffe8,0x3fffdfff,0x0bffe600,
    0x13ffff7a,0x809fb03c,0xf100ffff,0x40f00fff,0x7ffc07f9,0x3fffe00f,
    0x7fd42f80,0x7fc3c85f,0xff82c84f,0x20f500ff,0xfb87fff9,0xff9805ff,
    0x3ff7a02f,0x640f04ff,0x71661fff,0x217407ff,0x7402fffb,0xfffb86ff,
    0x237ff402,0x0ba03ffb,0x641fffe6,0x89505fff,0x0ba03ffb,0x7fffc416,
    0xffffb804,0xb8005d00,0x7c003fff,0x20b00fff,0x404ffff8,0x7807fff8,
    0x7f4ba000,0x2cc221ff,0x7fc00000,0xffff004f,0x4c007ee1,0xfd682fff,
    0x20f05fff,0xfff805fa,0xffff100f,0x4fa80f00,0x803fffe0,0x8680ffff,
    0x3985fffa,0xf0027ffc,0xf0441fff,0x41fffe60,0x4c03fffd,0x75a02fff,
    0x0782ffff,0x2c93ffe2,0xa817ffe4,0x03fffe22,0x449fff90,0x6400ffff,
    0x3ff24fff,0x3a05502f,0xff882fff,0x641d80ff,0x85502fff,0xdfffb028,
    0x3fffe001,0xe8005a84,0x7c006fff,0x02880fff,0x801dfffb,0x7807fff8,
    0x7f4b7000,0x4386a1ff,0xd34fffe8,0xf9805fff,0xfff002ff,0x9800ec1f,
    0xf1682fff,0x8781ffff,0xfff001dd,0x3ffe201f,0xb8807807,0x0ffff80f,
    0x203fffe0,0x05fffa81,0x004fff83,0x1b83fffe,0x3fffcc0e,0x406fffa8,
    0x5a02fff9,0x40fffff8,0x87ffec07,0xdffffa86,0x37ffdc01,0x73fffd40,
    0xf500dfff,0x7ffd4fff,0x3ee001df,0xfff986ff,0x7d43443f,0x0001dfff,
    0x00bfffea,0x20ffffa8,0x6d4000e8,0x2002ffff,0x2000ffff,0x002ffffa,
    0x4401ffff,0x20e88007,0x0721fffe,0x549fff10,0x7dc02fff,0xfff000ff,
    0x0220dc1f,0x9a0bffe6,0x20effff9,0x801cea87,0xf100ffff,0x00f00fff,
    0x3ffe09d7,0x3fffe00f,0xbfff5000,0x013ffe00,0x360ffff8,0x7fff9801,
    0x01ffff10,0xd017ffcc,0x077fffcc,0xbfff980f,0xffff884a,0xff900dff,
    0xfff300bf,0x17fff21f,0x43fffe60,0xdffffff8,0xffff8800,0x37ffee41,
    0x3ffe20ee,0x4000dfff,0x005ffff8,0x324fffe8,0xfb9d8003,0x3fe006ff,
    0xff1000ff,0x7f400bff,0x01a600ff,0xfffd0b60,0x3e007e23,0x3ffe24ff,
    0x03ffe402,0x4c1ffff0,0x7fcc0641,0x7fdc682f,0xfe81e5ff,0x07fffc01,
    0x807fff88,0xf00fec07,0x7fc01fff,0xff5000ff,0x3ffe00bf,0x3fffe004,
    0xf3003f10,0x7ffc0fff,0x3ffe602f,0xfff71a02,0x7f403cbf,0xff300def,
    0xd07fffff,0xf300bfff,0x3ffa3fff,0xfff9805f,0x3fffe61f,0xfd803fff,
    0x3e3a24ff,0x403a1fff,0xfffffff9,0x3fff2003,0xffa8000f,0x800699ff,
    0x3ffff169,0x03fffe00,0x07fffe40,0x03fffb00,0x16a002dc,0x3f33fffa,
    0x4ffe801f,0xd00bffe2,0x7fc00bff,0x41e200ff,0x8682fff9,0x0f3ffffc,
    0x3fe037dc,0xfff100ff,0x7dc0f00f,0x07fffc06,0x001ffff0,0x4017ffea,
    0x32114ffe,0xdaffff82,0xff9801ff,0x3fffa07f,0x0bffe604,0xffffc868,
    0xfff500f3,0xfffe980b,0x3fe0dfff,0xff9804ff,0x9ffff2ff,0x5ffff300,
    0xfffffe98,0x3fe600df,0x7fe52e7f,0xe980b35f,0x0dffffff,0x1ffffcc0,
    0xbfffb000,0x4590005d,0xf005fffd,0xf3001fff,0xa8007fff,0x1f304fff,
    0xaaace800,0xfedffffa,0x4ffe801f,0xf00bffe2,0x3e2007ff,0xdd101fff,
    0x20bffe60,0x3ffffd06,0x00ffdc0f,0x2201ffff,0x07807fff,0xfff01bfa,
    0x7fffc01f,0xbfff5000,0x2ffff200,0x3ffe17e5,0x801fffef,0x3a07fff9,
    0x3e605fff,0x741a02ff,0x0079ffff,0x2e005ffd,0x24ffffff,0x9805fffd,
    0xffb1ffff,0xfff300bf,0x3ffee03f,0x7f404fff,0x3e61d3ff,0x002c8fff,
    0x9ffffff7,0x06fffe80,0x7fffcc00,0x4c688005,0xf800ffff,0xfe800fff,
    0xfb0006ff,0x3ae239ff,0x666e4002,0x1ffffccc,0xffd003f5,0x017ffc49,
    0x2005fff3,0x4c3ffff9,0xff305ffb,0x3a20d05f,0x3207ffff,0x3ffe01ff,
    0xffff100f,0x3fa07880,0x07fffc07,0x001ffff0,0x8017ffea,0x17e0dffc,
    0x7dc3fffe,0x7fff9801,0x813fffa0,0x1a02fff9,0x3fffff44,0x0207fb80,
    0x9fffff22,0xb806fffc,0xff90ffff,0xfff700df,0x3f22021f,0x7dc07fff,
    0x7f459eff,0x20206bff,0x07ffffc8,0x807fffee,0x7fffb000,0xfd077000,
    0xfff009ff,0xfffb801f,0xf700201f,0x039fffff,0x3fa06980,0x200761ff,
    0x3fe24ffe,0x3ffea02f,0x7ff64c00,0xffffffff,0xfff304ff,0x7fcc0d05,
    0x3ff607ff,0x03fffe00,0x203fffc4,0x03ff6078,0x200ffff8,0x5000ffff,
    0x1000bfff,0xffff0bf0,0x7cc00ec1,0x3ffe07ff,0x3ffe603f,0xff981a02,
    0x9f1007ff,0xfe980640,0xffff51ff,0x4dfff900,0xc807fffa,0x40326fff,
    0x201fffe9,0x41effff8,0x204ffffb,0xfffd300c,0x9ffff103,0xff900580,
    0xddf0007f,0xffffdddd,0x0ffff801,0x13fffe20,0x3a6200b0,0x03d0000e,
    0x370ffff4,0x24ffe818,0x2a02fff8,0x200006ff,0xff9806d8,0x7d40682f,
    0x1ffe07ff,0x401ffff0,0x2600fffe,0x807ff206,0x3e00ffff,0xf5000fff,
    0x6d400bff,0xfff85f83,0x81106e0f,0xf107fff9,0x7c403fff,0x501a02ff,
    0x6c00ffff,0xe880b201,0x3fffa2ff,0x17ffec00,0xb003fffa,0x01645fff,
    0xd805ffd1,0xff886fff,0x80b201ff,0xfd82ffe8,0x1a600fff,0x01fffe40,
    0xffe812e0,0x7fffc03f,0x3ffff600,0x9801a600,0x0970003f,0x261fffe8,
    0x2fff42c1,0x5405fff1,0x200003ff,0xff8801fd,0xfc80681f,0x01bfe07f,
    0x6c01ffff,0x12e00fff,0x3e02ffb8,0x3fe00fff,0xff5000ff,0x7ffc00bf,
    0x7ffc2fc0,0x8190660f,0xf507fff9,0xff880bff,0x3201a01f,0x016007ff,
    0x1ffb80d9,0x8813ffea,0xffa86fff,0x3ffe204f,0x3ee03646,0x7ffcc01f,
    0x80dffb03,0x0ffdc06c,0x00bfffea,0x3ff200bb,0x0074003f,0xf80dfff7,
    0xff500fff,0x05d805ff,0x20017f60,0x7ff400e8,0x3616a01f,0x3fff25ff,
    0x003fea03,0x817fc400,0x0fff89e9,0x7fd803cc,0xff01bf60,0x7fdc01ff,
    0x401d304f,0x7ffc07fb,0x3fffe00f,0xbfff5000,0x20f65400,0x0ffff85f,
    0x3fe61e20,0x3fffd07f,0xfff15d30,0x6c01e601,0x2e5fb07f,0xb027e402,
    0x0fff90bf,0xc8077fec,0x3ff607ff,0xb027e40e,0x3ffa00bf,0x807ff500,
    0x17f604fc,0x40bffff1,0xfb004fc8,0x35c009ff,0x0bfffe20,0x407fffc4,
    0x205ffff8,0x32004fc8,0x1ec001ff,0x817fff40,0xfffb84f9,0x44fffdcb,
    0x001fa9fc,0x4077f400,0x70bff4fc,0x0fd1005f,0xf880ff44,0x7dc00fff,
    0x3d510bff,0x2202fe80,0xf100ffff,0x2a001fff,0x68006fff,0x7ffc45f8,
    0x30dd101f,0xff50ffff,0x7d3f205f,0x00bee06f,0x3fe21fa2,0x9ff900d5,
    0x2a01ff30,0x7fd40dff,0x0dffa805,0xfc82ffd4,0x00ff984f,0xff809f70,
    0x427fe400,0x7fe40ff9,0xffa880ff,0xfffd003f,0x01be2009,0x203bfff6,
    0xc81ffff9,0xa880ffff,0x22003fff,0xc803efff,0x7ffc402f,0x1ffdcc4f,
    0xf8cfffd8,0x2ffa3fff,0xa800003d,0x3e62cfff,0x3aa0ffae,0x4c01dfff,
    0x067ec407,0x007fffe6,0x3fffffaa,0x0bbaa02e,0x03ffff30,0x007fffe6,
    0x003fffdc,0x98bf0173,0x5cc3ffff,0xfffa85ff,0x3dff711f,0x7fdffcc0,
    0xdfffea80,0xfe83cc01,0xbcc801ef,0x0cfecdfd,0x66ff6c40,0x22003dff,
    0xdffcdfed,0x3f6f3203,0x000cfecd,0x0b9007e2,0x9bfb7990,0xff9819fd,
    0xffffffff,0x202fffff,0xfffffdb8,0xfff700bc,0xfff9507b,0x3b265dff,
    0x31cfffff,0xffffffff,0x5fffffff,0x1ceb8800,0x37fff620,0x7fff6540,
    0xffffffff,0x8006201f,0x00000bb8,0x1077b260,0x80000597,0xec986001,
    0x01cfffff,0x8009a988,0x7f64c008,0x931cffff,0x39fffffd,0x3ffff2a0,
    0x00400bdf,0x3ffb2659,0xffffffff,0x3ff264ff,0xbeffffff,0x05971001,
    0x44060000,0x3106003b,0x26000135,0x5300000a,0x53106001,0x00600013,
    0x31060022,0x00000135,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0x050000bc,
    0x08804c00,0x0bdd5000,0x0076e000,0xdcba8800,0x3310001b,0x15555555,
    0x00880cc0,0x00999880,0x20019800,0x80001998,0x40001998,0x40000cc8,
    0x55100199,0x03555555,0x00098530,0x00054098,0x0a8bffd0,0x93079300,
    0x00999805,0x02666000,0x00066200,0x4405501b,0x4400a20a,0x774c000a,
    0x00100405,0x3000a833,0x19988059,0xdf537f90,0x000f8800,0x0fb83f30,
    0x5fffd000,0x7ffa8000,0xcfd98000,0x3dba989a,0xffffd980,0x401cfecc,
    0x00fd42f8,0x004ffd80,0xd0013620,0xd00009ff,0xd80007ff,0x2a0004ff,
    0x98801fff,0x09dffffc,0x33fffa20,0x7dc000ea,0x000ffb1f,0x3a217fe2,
    0x23ffe803,0x2a01fff8,0x700007ff,0x88001dff,0x2e004fff,0x00fb99ad,
    0x2ffc5bfa,0x0007ffc0,0x5c07fffd,0x7d405a84,0x003ff92f,0x7ec05ffd,
    0x744f984f,0x13ee003f,0xf92fd800,0x3bee0007,0x540006fc,0x640007ff,
    0x01d7002e,0x3fffffea,0x7e400d70,0x80009f93,0xd10007fd,0x4ff88009,
    0x3ff98000,0x4ffd8000,0xffff1000,0xffff800d,0xffffb801,0xfd8005ff,
    0x003fff2f,0x7401df70,0x93ffe205,0x5c03fff8,0xe80001ff,0xfc8000ef,
    0xf1000fff,0x440bffff,0x6ff98fff,0x017ffcc0,0x0ffcffb8,0xfd99df10,
    0xb4ffb803,0xff8805ff,0x09ff104f,0x0dfd0ff6,0x0007ffc0,0x06feff98,
    0x2e1bf100,0x7640003f,0x1bd10002,0xf8869800,0x70ffffff,0x77fc400b,
    0xd80000ff,0x7f44001f,0x027dc000,0x004fb800,0x001bb300,0x3fa77f20,
    0x3fffe002,0xeb88d800,0xe98001df,0x0009d50d,0x9f5003b6,0x32077e40,
    0x4fb800ef,0x077c4000,0x64ffcc00,0x3f6a004f,0x16d400cf,0xdfb003b9,
    0x543be200,0x3fff204f,0x0dd8806f,0x3f2009d3,0x40bf700e,0x0baa0eff,
    0x01fffdc0,0x05fff900,0x3aa13200,0x00000000,0x5c000bd1,0x7ffffe44,
    0x800b70ff,0x0003fffc,0xd8009d10,0x05e8004f,0x0013a000,0xf8800000,
    0xff0036c4,0x001001ff,0x00000000,0x0ffa0019,0x90002008,0x0eb8000f,
    0x5c1db000,0x004c001f,0x00100000,0x0074c2e4,0x00005bb3,0x2ec00800,
    0x003bff60,0x037fff40,0x00799100,0x98000000,0x20accdba,0x9803b603,
    0x3ffa2c00,0xb70fffff,0x04cc8800,0x00044000,0x30001ff3,0x00180000,
    0x55e5cc00,0x02a80a20,0x3ffe0017,0x7753000f,0x26000135,0x0009abba,
    0x07fb8000,0x00600000,0x20001100,0x40055038,0x00000019,0x00000066,
    0x55554400,0x2a61aaaa,0x8000aaaa,0xffff8801,0x7fed4002,0x554c02ff,
    0xaaaaaaaa,0x55442aaa,0x89aaaaaa,0xaaaaaaaa,0x7dffb102,0x0f9bffb5,
    0x7f4c07ea,0x2e0fee8d,0x3fffffe0,0x530b70ff,0x35555555,0x14000033,
    0x001ff600,0x2aa60028,0x99aaaaaa,0xffb30001,0xb9dfd7bf,0x80014007,
    0x5400ffff,0xffcabdff,0xbff5000c,0x019ff957,0x4bbffff2,0xf984ffd8,
    0x3fffa63f,0x25fffd53,0xaaaaaaa9,0x42aaaaaa,0xaaaaaaa9,0x42aaaaaa,
    0xaaaaaaa9,0x02aaaaaa,0xddf9ff91,0x3fff27dd,0x9ffb12ef,0xefcffc88,
    0x2aaa3eee,0x5553002a,0x22355555,0x9cffffd9,0x27bfaa20,0x87fffd30,
    0x201aaaa8,0x004ffffa,0x1bffee76,0xffff9310,0xfffddb99,0xffffc988,
    0xfff7309d,0xff7015df,0xffd5103d,0x7fd41760,0x4c5ffe88,0x3fffff62,
    0x310b70ff,0xb99ffffb,0x00019fff,0xf98007c4,0x1f10005f,0x3ff66200,
    0xfffdccff,0xfff3000c,0x07ff7105,0x20003e20,0xb100ffff,0xfff109ff,
    0x27fec405,0xc817ffc4,0x04e83fff,0xfff31bfe,0x897ffcc7,0xccffffc9,
    0x447ffeed,0xccffffc9,0x447ffeed,0xccffffc9,0x887ffeed,0xbff50ffe,
    0x1fffe459,0x3ffa2274,0x459bff50,0x1005fffa,0x3bffff93,0x0ffff981,
    0x3e607e60,0x7fe443ff,0x3fb3a04f,0xb4c00dff,0x801ffff8,0xb80ffff8,
    0xffff107f,0x0ffffa03,0x2017ffe4,0x82f887f8,0x3ffe2ff9,0xfff72443,
    0x16e1ffff,0x447fff98,0x0001effe,0x3ee009f7,0x9f70004f,0x7fff9800,
    0x00f7ff44,0x500fffe6,0x13ee007f,0x03fffe00,0xf502ffec,0x3ff603ff,
    0x07ffea05,0x3e1bffe2,0xf07ffa00,0x7ffc47ff,0x07fffc42,0xff883fdc,
    0x07fb80ff,0x701ffff1,0x4bff90ff,0x7c40eff8,0x640f86ff,0x3bfe25ff,
    0x005fff80,0x80ffffc4,0x4407fff8,0x07fff107,0x3609fff1,0x01bfff26,
    0x2fffec59,0x00ffff80,0x7fffc0f5,0x07fffb00,0x200bfff3,0xf887b87a,
    0x07ffe26f,0x7fffcc91,0x40b70fff,0xfa87fff8,0xff0005ff,0x9ff9001f,
    0x03ffe000,0x87fff880,0x2605fffa,0x7b005fff,0x003ffe00,0x701ffff0,
    0xfe805fff,0x2fffb86f,0xc837ff40,0x01661fff,0xfff85ffd,0x20bffe23,
    0xf500ffff,0x807fffc0,0x3fffe07a,0xffd0f500,0xc82fff89,0x21661fff,
    0x7ffc4ffe,0x005ffe82,0x100ffff8,0x0f00ffff,0xff81fffc,0x543fa84f,
    0x8d101fff,0x800ffff9,0x8220ffff,0x03fffe07,0x741fffec,0x1a001fff,
    0x8ffee1b2,0x42986ffa,0x0ffffffa,0x7ffc40b7,0x0ffff887,0x1fffdc00,
    0x001ffec0,0x001fffdc,0xf10ffff1,0x3fa01fff,0x075001ff,0x007fff70,
    0x440ffff8,0x6400ffff,0x3fe24fff,0x7fe400ff,0x4fff884f,0x7ffd00b2,
    0x3e23fff8,0xffff82ff,0x3e078220,0x78220fff,0x883fffe0,0x13ffa1e0,
    0xff105fff,0x7f41649f,0x417ffc4f,0xf8005ffe,0xff100fff,0x7c0f00ff,
    0x9fff03ff,0xff50bf90,0x3fa0ee09,0xfff804ff,0x20386e0f,0xfb00ffff,
    0xfffa87ff,0x2ec0c007,0xff907ffc,0xfd301709,0x816e1fff,0xfd07fff8,
    0xfe8005ff,0xffe806ff,0xfffe8003,0x3ffe2006,0x05fffd07,0x001ffff1,
    0x7fff4004,0x7fffc006,0x037ffdc0,0xf73fffd4,0xff500dff,0x3fff60ff,
    0x9ffb00d0,0x3e23fff8,0xffff82ff,0x3e0386e0,0x386e0fff,0xb83fffe0,
    0x17fee0e1,0x7fec0fff,0x3fee0d0f,0xfe83ffc5,0x3e00625f,0xff100fff,
    0x7c0f00ff,0x9fff03ff,0xf707ff90,0x3bbbbe0d,0x00ffffee,0x3b07fffc,
    0x03fffe00,0x2e1fffec,0x80007fff,0x137fd44d,0x00905fff,0x816e1f73,
    0xff07fff8,0x6d4003ff,0x7402ffff,0x6d4003ff,0x1002ffff,0x3fe0ffff,
    0xfffa81ff,0x6d400007,0x2002ffff,0x7e40ffff,0xff9805ff,0xbfff90ff,
    0x1ffff300,0x957fff30,0xf89ffb00,0x3ffe23ff,0x20ffff82,0xffff001d,
    0xff800ec1,0x100760ff,0x1ffccffd,0x957fff30,0xf99ffa20,0x1bffd03f,
    0x7c03dffb,0xff100fff,0x7c0f00ff,0x9fff03ff,0x987fff30,0x3a04b83f,
    0x7fc03fff,0x003f10ff,0x6c03fffe,0x7fec3fff,0x4c80006f,0xff927fdc,
    0x2200930f,0x7c40b70f,0xfff987ff,0x7dcec006,0x7fec06ff,0x7dcec003,
    0xff1006ff,0xdfff30ff,0x017fff20,0xff73b000,0x7ffc00df,0x2ffff40f,
    0x8ffffcc0,0x9805fffe,0xfd01ffff,0xfd001bdf,0x23fff87f,0xff82fff8,
    0x003f10ff,0x7c43fffe,0x1ffff001,0x7dc007e2,0xe802ffbe,0x5c00deff,
    0x202ffbef,0xfdbeeffe,0xffff00ff,0x1fffe201,0x3fff81e0,0x3609fff0,
    0x1d90dfff,0x7fdc01d0,0x7fffc06f,0xf001ffda,0x55557fff,0xe87fffd5,
    0x80005fff,0xaa7fec5b,0x06c45ffd,0x0b70f880,0x2a3fffc4,0x2000efff,
    0x3ffff169,0x0027fe40,0x3fffe2d3,0x7fff8801,0x8077ffd4,0x0005fffe,
    0x7ffc5a60,0xffff001f,0x04ffff81,0xf2ffff98,0xf3009fff,0x3ea05fff,
    0xffd005ff,0x223fff85,0xfff82fff,0x001ffdaf,0xffb5ffff,0x3fffe003,
    0x7001ffda,0x54001559,0xcb805fff,0xffe800aa,0x03fff11f,0x4403fffe,
    0x07807fff,0x7fc0fffe,0x3fff204f,0x06b80ebf,0x017fffc4,0xfffdffff,
    0x3fffe003,0xfecccccc,0x7ffec3ff,0x33333106,0x363cc333,0xffbdbeff,
    0x88010644,0x7c40b70f,0xfffeefff,0x22c8002e,0x2a05fffd,0x8b2005ff,
    0x8805fffd,0xffeeffff,0x7fec02ef,0x3200006f,0x017fff62,0x360ffffc,
    0xf9805fff,0xfffb1fff,0xffff300b,0x017ff403,0x7fc0fff8,0x0bffe24f,
    0x3ffbfffe,0xffff001f,0x2003fffd,0xfffeffff,0x0006d801,0x36017ff4,
    0x5ffe8006,0x7c0bffe2,0xff100fff,0x220f00ff,0xfff03fff,0xffffb809,
    0xd806f883,0xff00efff,0x007ee1ff,0xd807fffc,0x7fdc3fff,0xffb3107f,
    0x07c45bff,0xf31dfff5,0x3a876abf,0x05b87c40,0x7e5fffe2,0x44000fff,
    0x07fffcc6,0x2200dff0,0x07fffcc6,0x65fffe20,0x5c00ffff,0x00007fff,
    0xffff98d1,0x7fffc400,0x037ffe42,0xc87fffdc,0xfb806fff,0x3ee00fff,
    0x8bff1007,0x3e25fff8,0xffff82ff,0x3e003f70,0x03f70fff,0x5c3fffe0,
    0x5ffd401f,0x7001aaaa,0xbffa80ff,0x3a01aaaa,0x1fffc5ff,0x100ffff8,
    0x7880ffff,0x209fff30,0xf9804fff,0x3fee1fff,0xffca83df,0xff82efff,
    0x400760ff,0xfb00ffff,0xfff987ff,0x3ffe200f,0x3224c80f,0x33bae0df,
    0x0f880582,0x7ffc40b7,0x017fffa7,0xfffd0770,0x803fdc09,0x4fffe83b,
    0xd3fffc40,0xf980bfff,0x80000fff,0x4fffe83b,0xffffd710,0x3ffea39f,
    0x6fffc807,0x201fffea,0x4406fffc,0x3ff3004f,0xa7ffff4c,0xff82fff8,
    0x400760ff,0x0760ffff,0xb07fffc0,0xffffb803,0x403fffff,0x7fdc04f8,
    0x3fffffff,0x7fc5ffe8,0x1ffff03f,0x01fffe20,0xfffd30f1,0x09fff09f,
    0x017ffa20,0xf803f500,0x106e0fff,0x01ffff01,0x3e0ffff6,0x3e201fff,
    0x03d00fff,0x10037000,0xf8816e1f,0x3ffe67ff,0x3bbe003f,0xffffeeee,
    0x005ff100,0xfddddddf,0x7c401fff,0x3ffe67ff,0x7fffc03f,0xeef80002,
    0xffffeeee,0xd00fd400,0xfd801fff,0x7fff42ff,0x17ffec00,0xfc800ec0,
    0x7ffc4006,0x20ffff82,0x7fc0441b,0x1106e0ff,0x5c1ffff0,0xffd10441,
    0x3fffffff,0x74401d80,0xffffffff,0x22fff41f,0xfff03fff,0x7fff401f,
    0x6c81a600,0x9827ffc0,0x003fec4e,0xff009f50,0x320cc1ff,0x00ffff80,
    0xf307fffb,0x7fc40bff,0x001a607f,0x3e200950,0x7fc40b70,0x7fffdc7f,
    0x3a04b801,0x3ea03fff,0xfd025c06,0x7fc407ff,0x7fffdc7f,0x1bffea01,
    0x025c0540,0x4c07fffd,0x7ffd405f,0x1bffe204,0x8813ffea,0x0b006fff,
    0x0007fe20,0xff05fff1,0x320cc1ff,0x20ffff80,0x7fc06419,0x190660ff,
    0xeeeeefa8,0x02c03fff,0xeeeeefa8,0x7ff43fff,0xf81fffc5,0x3f600fff,
    0x412e00ff,0x7ffc02fc,0x541ff904,0x3f20006f,0x0ffff805,0x7ffc1e20,
    0x7fffb00f,0x40bffee0,0x5c07fff8,0x03b8000d,0x02dc3e20,0xfb0ffff1,
    0x01d00dff,0x2037ffdc,0x803a01fb,0x2206fffb,0xffd87fff,0x7ffd406f,
    0x74075c04,0x1bffee00,0xfc807fc8,0x3bff607f,0x40fff900,0xfd80effd,
    0x3ee00572,0x3e5d3001,0xffff81ff,0x7fc1e200,0x41e200ff,0x2200ffff,
    0xd881fe47,0x15cbf62f,0xd881fe40,0x22fff42f,0xfff03fff,0x7ffdc01f,
    0x3a01d304,0x27ffc04f,0x27dc7fa8,0x05ff7000,0x80ffffc4,0xffff06e8,
    0x0ffff603,0x40affea8,0x9807fff8,0x07b3003e,0x0b70f880,0x443fffc4,
    0x2e04ffff,0x7fffc406,0x5c0f5c02,0x7fffc406,0x0ffff102,0x809ffff1,
    0x10acfffa,0x0d701bb5,0x02ffff88,0xf5007ff5,0x5ffa81bf,0x40dffa80,
    0xff105ffa,0x17d401ab,0x3fe9f700,0x1ffff886,0xff10dd10,0x1ba203ff,
    0x407fffe2,0x017f46e8,0x6affc4fd,0x7405fd00,0x225ffe87,0xff883fff,
    0x7fdc00ff,0x03d510bf,0xff00ffe4,0x55fec09f,0xf80004fc,0xff983dff,
    0x7fdcc3ff,0x2ffff885,0x009fffd0,0xfb9bffd9,0x5c0015bf,0xba989ace,
    0xf88000bd,0x7fcc0b70,0xfffa80ff,0x806f882f,0x400efffd,0x01be21d9,
    0x203bfff6,0xa80ffff9,0x4c02ffff,0xefefffdb,0xb00df103,0x3a01dfff,
    0x2200cfff,0xdffcdfed,0x3fb62003,0x403dffcd,0xa801effe,0x77c4000c,
    0xff981ff9,0x7fdcc3ff,0x3ffff985,0x4c2ffdcc,0x5cc3ffff,0x5ff4c5ff,
    0x40ddba9a,0x3001effe,0xb75357fd,0x4dfff01b,0xf985fff9,0xea801fff,
    0x02efffff,0x21f7ffc4,0x4405fff8,0x00001bca,0x64c7bb51,0xfffffffe,
    0x224fffff,0xcfffffec,0xffffdb89,0x553002cf,0x31000033,0x00035797,
    0x260e6190,0xceffffec,0x6ffffec0,0x07bfff70,0xdfffff95,0x7ffdc005,
    0xfffca83d,0xfd932eff,0xd819dfff,0x000dffff,0xffb80351,0xffca83df,
    0xb502efff,0x0a98005b,0x01530000,0x0001dc40,0x82ca8800,0xfffffec9,
    0x4fffffff,0x3ffffb26,0xffffffff,0x3fffb264,0xffffffff,0x7995504f,
    0x00ee2015,0x55e65540,0xbffffb00,0x27ffffd1,0xfffffec9,0x9a98801c,
    0x33ae2000,0x3ffffa61,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05dddd30,0x00999800,0x02666000,0x0760d100,0xabcb9800,0x55544a20,
    0x55554c1a,0x0001aaaa,0x157b9531,0x55555000,0xaa801555,0x2a2001aa,
    0x0aaaaaaa,0x15555554,0x00310a20,0x0037bae0,0x0cc00000,0x2880002a,
    0x033000c4,0x00006600,0x2a600f66,0x9aaaaaaa,0x2aaa0019,0x220a802a,
    0x336e6002,0x4150310b,0x0bb880a8,0xaaaa802a,0x4000aaaa,0x4c01d059,
    0x101aaaaa,0x00155555,0x55555104,0xff500e54,0x7d40007f,0x300000ef,
    0xb0003fff,0x00db757b,0x7bfffb30,0x227b9dfd,0x4c44fffc,0x09dffffd,
    0xbdffa800,0x000dffca,0x3ffffffa,0x7ffd401f,0x3f262005,0xb981dfff,
    0x7c00bfff,0x007ff35f,0x8003ffd0,0x0000cfc8,0x3ff25ff5,0xfffd8001,
    0xf7002dac,0xffb8007f,0x7ff40003,0x7fecc402,0xfffdccff,0x7fdcc00c,
    0xf87fec07,0xadfc806f,0x6c2ddfeb,0x98dfd0ff,0x06bdffff,0x7ffffff4,
    0xbde8002f,0x54405dba,0x881fffff,0x2002efeb,0x2bffe668,0x201fff50,
    0x0003fff8,0x00003bf6,0x0001ffc8,0x07fffff3,0x82fff980,0x3e23ffb8,
    0xfff104ff,0xfb10003f,0x5fff109f,0x3bbbb600,0xff801eee,0xfff0005f,
    0x06fcc03f,0xfabffcc0,0x7fc4005f,0xa8bc8001,0x9ff70006,0x3000bff6,
    0x0fffffff,0x0037fec0,0x00017ff6,0x26007fff,0x7f447fff,0x7fe801ef,
    0x7c4fffc0,0x427e407f,0x7ff42fea,0x7647ff89,0x404fffff,0xeeeeeeec,
    0xfffa8002,0xff3001ff,0x3e601dff,0xf31dc001,0x3fffd89f,0x000fffe0,
    0x00000ff8,0x20000ff4,0x4002dfd9,0x5403fff9,0x827ffc3f,0x000ffff8,
    0x2606ffd8,0x00001fff,0x00bffd00,0x407fffe0,0x764004e8,0x8003db12,
    0x8f0002fb,0xdd88000e,0x70009d30,0x05dfb715,0x001ffd40,0x0000bfea,
    0x220019d5,0xffa87fff,0x07fe805f,0x05d72754,0xfa80ffcc,0x5d727542,
    0x02fb6a58,0x54000000,0x7c001dfd,0x3e05ffff,0xf3074000,0x2fffc89f,
    0x000fffe0,0x00000fd4,0x800007e6,0xfff98000,0xff87b005,0x3fffe04f,
    0x7ffdc000,0x037ff402,0x09abba98,0x00bffd00,0x207fffe0,0x000002f9,
    0x00016400,0x0001a23b,0x00040000,0x20001100,0x00000008,0x10ffff10,
    0xe801ffff,0x7000007f,0x017407ff,0x55440000,0x21aaaaaa,0x00aaaaa9,
    0x6f400020,0x0f04ffff,0x7fcc5980,0x007ffdc4,0x004c7fff,0x80000088,
    0xa9800008,0x0e0accdb,0x800ffff4,0x027ffc3a,0x4001ffff,0x400ffff8,
    0x2a04fffc,0xffcabdff,0x2fff400c,0x1ffff800,0x54c00f5c,0xaaaaaaaa,
    0x2202aaaa,0x0006e22b,0x0005dbd3,0x500000a0,0x55554c00,0x54c1aaaa,
    0xaaaaaaaa,0x554c2aaa,0xaaaaaaaa,0xff102aaa,0x3fffa0ff,0xaabff402,
    0x81aaaaaa,0xf91aaaa9,0x98aa05ff,0xaaaaaaaa,0x55555531,0x3f662355,
    0x2209cfff,0x0009efea,0xfeb4000a,0x00782fff,0xff983931,0x203ffcc4,
    0xfffabfff,0x55554c1d,0xa801aaaa,0x1aaaaaaa,0x01aaaa98,0xb57dffb1,
    0xf10f9bff,0x04001fff,0xff813ffe,0x3ee000ff,0xffa806ff,0x4ffd887f,
    0x202fff88,0x3faa5ffe,0xffff03ef,0x88007643,0xccffffc9,0x207ffeed,
    0x1ffd2ffc,0x001f8800,0x0001f100,0x44003e20,0x9dffffc9,0x667ffec0,
    0x3ffffecc,0x7fffe4c4,0x7ffeedcc,0x20ffff10,0x7401ffff,0xffff937f,
    0xff51013f,0x3fffea19,0x7e4c401d,0x3109dfff,0x13bffff9,0x00ffff98,
    0xf10007e6,0x3e2d0001,0x03c0ffff,0x837ff7ee,0x5ff84ff9,0x56f7ffc0,
    0x6cc46ffd,0x009dffff,0xfffffc98,0xcffa8809,0x81effb80,0xfa87fea8,
    0x7c0007ff,0x3ffe04ff,0x3ff2000f,0xfff9805f,0x02ffec0f,0x3a03fff5,
    0x027cc5ff,0x3a27fffe,0xff88000f,0x07fb80ff,0x7ff4bff2,0x027dc000,
    0x004fb800,0x8009f700,0xd01ffff8,0x3fffa05f,0x3fffe206,0xf107fb80,
    0xfff30fff,0xd8ffd00d,0x7400ffff,0x7ffffc44,0x7fc400df,0xfff101ff,
    0x3ffe203f,0x4003c407,0x268004fb,0x20effff9,0x7dd7f207,0x213fe66f,
    0x7ffc03fe,0x4427ff46,0x8001ffff,0x400ffffd,0x5fff904e,0xfc87f880,
    0x7c0005ff,0x3ffe04ff,0x3ffa000f,0xfff9805f,0x0bffee1f,0x3a0dffd0,
    0x401ec5ff,0xffebffff,0xffff0006,0xc881ea01,0x2000b263,0x80000fff,
    0x80000fff,0x7c000fff,0x03f00fff,0x007fffee,0x2a01ffff,0x8ffff107,
    0x800efffa,0x7ffc47fe,0x4c1a603f,0x3fffffff,0x007fffc0,0x2201ffff,
    0x07807fff,0x000fff80,0x3fffee34,0x97fcc1e5,0xff30fffd,0xf803f909,
    0x3ffe43ff,0x007fffc4,0x1ffffc40,0x3fe60d30,0xd0f5005f,0x8000bfff,
    0x3fe04fff,0x3fe000ff,0xff8804ff,0xffff12ff,0x4fffc801,0x0f25ffe8,
    0x7fffffc0,0xf8004fff,0x78220fff,0xf7000000,0xb80007ff,0x40003fff,
    0x4003fffb,0x0b00ffff,0x013fffe2,0x0883fffe,0x7fffc41e,0x02efffee,
    0x3ee1ffa0,0x05d00fff,0x7fffff4c,0xffff00df,0x07fffc01,0x807fff88,
    0x7ffdc007,0x7e434003,0x3a0f3fff,0x7fcd89ff,0x3ea13fe6,0x21fffc00,
    0xff80fffb,0xf70000ff,0x0ba01fff,0x000ffff4,0x0dfffb0d,0x04fff800,
    0x8003fffe,0x9805fffd,0xff71ffff,0xfff500df,0x32bffd0f,0xffff000f,
    0x07ffff93,0x20ffff80,0xffd10e1b,0x3fffa69f,0xdfffd002,0xfffe8000,
    0x7ff40006,0x7ffc006f,0xfb02880f,0xff001dff,0x070dc1ff,0x7e5fffe2,
    0x3a000fff,0x9ffff07f,0x3ee00b50,0xf04fffff,0x7fc01fff,0xfff100ff,
    0xe800f00f,0x34006fff,0x79ffffe8,0x2b8fff88,0x984ff983,0x43fff807,
    0xff82fffa,0x3e0000ff,0x05a84fff,0x800ffff5,0x07fffb81,0x027ffc00,
    0x4001ffff,0xa806fffc,0xff90ffff,0xfff300bf,0xcdffe81f,0xfff005ff,
    0x3ffff63f,0x3fffe001,0xff100760,0x17ffd49f,0x7fffed40,0xffb50002,
    0x2a0005ff,0x002ffffd,0x8003fffe,0x002ffffa,0x0ec1ffff,0xd3fffc40,
    0x7400bfff,0xffff507f,0x80807441,0x07ffffc8,0x7c01ffff,0xff100fff,
    0x400f00ff,0x02ffffda,0x7ff441a0,0xfff987ff,0x13fe6069,0x1fffc02c,
    0x3e0bffea,0x20000fff,0x220ffffa,0xffff700e,0xfff30000,0x7fc0001f,
    0x3fffe04f,0xffa9cc00,0xfffb807f,0x017fffa6,0xd07fffe6,0x7fffdfff,
    0x23ffff00,0x00ffffe8,0x221ffff0,0x4fff801f,0x200bffe2,0x06fffb9d,
    0xfff73b00,0x2e76000d,0x3e006fff,0xf1000fff,0x7c00bfff,0x03f10fff,
    0x4cffff10,0xd003ffff,0x7fff40ff,0x00c80f24,0xf03fffd3,0x7fc01fff,
    0xfff100ff,0x6c00f00f,0x006fffb9,0xffff981a,0x4cfff987,0x0c13fe60,
    0x2a1fffc0,0xfff80fff,0x7f40000f,0xd80f24ff,0x00006fff,0x0005ffff,
    0xff027ffc,0x22c801ff,0x6400fffe,0x3ffe2fff,0xfff9804f,0xdafff42f,
    0x7fc00fff,0x3ffe61ff,0xffff006f,0xd003ffb5,0x7ffc49ff,0xff8b4c02,
    0xb4c001ff,0x001ffff8,0xffff8b4c,0x1ffff001,0x3ffff200,0x3fffe000,
    0x8801ffda,0x7fdc7fff,0x7fe801ff,0x27fffea0,0x10164069,0xfff05ffd,
    0x7fffc01f,0x0ffff100,0x45a600f0,0xd001ffff,0x87fffa80,0x201ffff8,
    0x20004ff9,0x7fdc3fff,0x01ffff07,0xffffa800,0x7ff40699,0xf500005f,
    0x02a00dff,0x7fc09fff,0x87e200ff,0x2204fffa,0x7fec5fff,0xfff9805f,
    0x8afff41f,0x7fc06fff,0x7ffd41ff,0xffff804f,0xe801fffe,0x3ffe24ff,
    0xffb16402,0x22c800bf,0x4005fffd,0x17fff62c,0x007fffc0,0x01ffffcc,
    0x3fbfffe0,0xff8801ff,0x6fffd87f,0x6c07fe80,0x402edfff,0x0ffdc06c,
    0xf007fffc,0x3e201fff,0x007807ff,0x2fffec59,0xffc80680,0x01fffd07,
    0x6dc27fcc,0x227ffc02,0xfff04ffd,0xfb00001f,0xd805dbff,0x33106fff,
    0x50333333,0xeb809fff,0x8827ffc0,0x3600ffff,0x03ffe40f,0xfc81dff7,
    0xffb806ff,0x2fff40ff,0x7c09fff7,0xffc81fff,0x7ffc04ff,0xd003f70f,
    0x7ffc49ff,0xff31a202,0x1a2001ff,0x001ffff3,0xffff31a2,0x1ffff001,
    0x0dfffd00,0x21ffff00,0xff8801fb,0xffff887f,0x203ff404,0x805ffff9,
    0x17f604fc,0xf007fffc,0x3e201fff,0x03c407ff,0x3ffe6344,0x803cc00f,
    0xfff707fd,0xff995c1d,0x007ffd44,0xf517ffff,0x3ffe01df,0xf980000f,
    0xfb805fff,0xfb3107ff,0x2a05bfff,0x510acfff,0xfff881bb,0x7ffff305,
    0x707fda88,0xffa81bff,0x7fffa80e,0x86fffc80,0x7ff46fff,0xffff881f,
    0xfffff882,0x83fffe04,0x4ffe801d,0xb80bffe2,0x04fffe83,0xfffd0770,
    0x3a0ee009,0xff804fff,0x7fdc00ff,0x7c0201ff,0x00760fff,0x203fffe6,
    0x202ffffa,0xffd807fe,0x4ffc803f,0xff00ff98,0x7ffc01ff,0xffff100f,
    0x3b807880,0x404fffe8,0x7e8802fb,0x37ffff60,0x913fe63e,0x7fc05fff,
    0x1dfffcbf,0x003fffe0,0x1fffec00,0x07fffcc0,0x01ffff10,0xefffdb98,
    0xffe983ef,0x3fb264ff,0xffffffff,0x32207fff,0x2dfecdff,0x007fff40,
    0xfb0bfff6,0x3fa6bfff,0xfd713fff,0x2619ffff,0xeffffffd,0x20ffff82,
    0x3fa0441b,0x0bffe24f,0xeeeeeef8,0xf800ffff,0xffeeeeee,0xeef800ff,
    0xffffeeee,0x07fffc00,0x09ffff10,0x1ffff058,0x64c220dc,0x0ceffffe,
    0x06ffffec,0x7e403ff4,0xbcc803ff,0x0cfecdfd,0x803fffe0,0x3a00ffff,
    0x1a600fff,0x3bbbbbe0,0xa80ffffe,0x401dfffe,0x3ffe6079,0x27fcc3ef,
    0xff01bfe2,0x2002627f,0x4c00ffff,0x3fffc803,0x03ffff00,0x007fffc4,
    0x440076a0,0x00188000,0x05fffd80,0x409fff50,0x3006fff8,0x02600001,
    0x0ffff800,0xfe819066,0x0bffe25f,0xfffd025c,0x3a04b807,0x25c03fff,
    0x807fffd0,0x3600ffff,0x2600ffff,0x41ffff06,0x88006419,0x1ffa0000,
    0x00ffff20,0x013d5106,0x401ffff0,0x3600ffff,0x12e00fff,0x7ff40970,
    0x0098003f,0x00996403,0x00609ff3,0x2000fffe,0x6400ffff,0x3fffc802,
    0x0bfff300,0x003fffc4,0xfe801ff4,0x07fec006,0xffff3000,0x1fff2007,
    0x800effd8,0x40004ff9,0xf0003ff9,0x3c401fff,0xff92ffec,0xb803a07f,
    0x07406fff,0x80dfff70,0x3ffee00e,0x07fffc06,0x02ffffa8,0xffff82ec,
    0xd801e200,0xfe8000ff,0x3fffc807,0x00bfb000,0xf803fffe,0x3ee00fff,
    0x01d304ff,0x3fee00e8,0x5ff8006f,0xf9803400,0x3fe0004f,0xfff8003f,
    0x007e200f,0x800ffff2,0xf102fffb,0xf5000fff,0x0bfa200f,0x003fd880,
    0x17fffd40,0x40dffa80,0x54005ffa,0xfa80007f,0xfff88006,0x70dd101f,
    0xffb97fff,0x880d709f,0xd702ffff,0x2ffff880,0xff880d70,0xfff102ff,
    0xffff101f,0x427e440b,0x101ffff8,0x7f4400dd,0x07fe8002,0x004fffd8,
    0x8801ff30,0xf100ffff,0xfb801fff,0x3d510bff,0x7c406b80,0x44002fff,
    0x095000ff,0x0013fe60,0x001fffc4,0x803fffe2,0xffd800fd,0x7f54004f,
    0x7ffc40af,0x05fa8007,0xd0003fe0,0xb300001f,0x037bffff,0x7e6ff6c4,
    0xfa8003df,0x4fb80004,0xffff9800,0x82ffdcc3,0xff8cfffd,0x01be23ff,
    0x103bfff6,0xfffb00df,0x806f881d,0x980efffd,0xfc81ffff,0xfa880fff,
    0xfff983ff,0x2ffdcc3f,0x0003fa00,0x3fa01ffe,0xf30004ff,0xffff300d,
    0x3fffe603,0xfffea801,0x7c402eff,0xefffd806,0x01be2000,0xff3000d8,
    0x3fea000b,0x7fcc005f,0x7ed443ff,0x9fffd007,0x3ffb2000,0x0adffdcd,
    0x03376600,0x80073720,0x00001cdc,0x00abcc98,0x40002a60,0x0000bdd8,
    0x8002f766,0xfffffec9,0x4fffffff,0x7dc00620,0xfca83dff,0xf72effff,
    0xf9507bff,0x2e5dffff,0xca83dfff,0x32efffff,0x9fffffd9,0x3ffffe63,
    0xffffffff,0x3fb262ff,0xffffffff,0xb9004fff,0x6e440039,0xfb7105ee,
    0x0179ffff,0x4019d910,0xfffffec9,0xfffd931c,0x310039ff,0xff700135,
    0xff9507bf,0xb005dfff,0x0240037b,0x059ddd30,0x666664c0,0x7f64c00c,
    0xffffffff,0x2e207fff,0xbcfffffd,0x35530000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x59bb7510,0x3bae0241,
    0xaa98000e,0x401aaaaa,0xaaaaaaaa,0x55555100,0x00000555,0x00003b70,
    0x3ffffa00,0x26202fff,0x19980009,0x803b1000,0x20110601,0x00188008,
    0x00004cc4,0x03330000,0x20013300,0x33100200,0x8800c001,0x00881100,
    0x01998011,0x80110088,0x02620019,0x35555300,0x0a600654,0x40009880,
    0x221dc1c8,0x98003705,0x55554000,0xffd1001a,0xbbffb579,0x05ffb00f,
    0xfffff900,0xfff809ff,0x500fffff,0xdfffffff,0xff000000,0x3e20000d,
    0xffffe81f,0x3f602fff,0x3ea000ff,0x3aa002ff,0xd81beefe,0x07545d85,
    0xbd7003ee,0x3ffa001d,0xcdb98006,0xf301640a,0x7e4005ff,0x0eb800ff,
    0x3ffa035c,0x2ede9805,0x3a617c40,0x3e60fcc2,0x0bffe601,0x2f985f10,
    0x3013fee0,0x4009f9dd,0xf94fffc8,0x3fea03ff,0x7f6fdc05,0x83f7003e,
    0x99add84f,0xfffe987b,0x01dfffab,0x07fff930,0x101dff70,0x3600ffd5,
    0xeeb8005f,0x403eeeee,0xeeeeeeee,0xddddd300,0x000009dd,0xa880bf70,
    0xff981abb,0x3e600003,0x3a003fff,0xf9006fff,0x13fa67a7,0x1fd11bf3,
    0x0ff23fd0,0x40254d10,0x802ffffa,0xfdabdfea,0x7405b8cf,0xf1006fff,
    0x3e009fff,0x5c05fb1e,0x7401ffff,0x7f700d10,0x97e417ea,0x7ff405fb,
    0x53fc806f,0x6ffd80bf,0x7e43fea0,0x3ffe2005,0x209fffd4,0x3f607ffc,
    0x200fff61,0x4c1fcc7c,0x304fffff,0xfb5bdfff,0x7fc400df,0x7ffe403f,
    0x003fc400,0x000001fb,0x00000000,0xaaaaaa88,0x2aaa61aa,0x2a05caaa,
    0xffc9bdfe,0x2207ee1c,0xe806e22b,0x800ff9cf,0x02fe9efb,0x223d37cc,
    0xffefc84f,0xdfdff504,0x0344b300,0x037d5ff4,0x3e20ffee,0x3ea00eff,
    0xd803fd9e,0x800ff9cf,0x205feffb,0x06fbaff8,0xf1003a34,0x2203ffdf,
    0x200ffeff,0x03fd9efa,0x0fff7fc4,0xf80bfea0,0x007fea6f,0xff74fff8,
    0x0ffe60df,0xff927fcc,0xfa8dd00f,0x19ffd501,0xd1bffe20,0x3fea09ff,
    0x07ffffff,0x2009fff3,0x00ec007a,0xa9800a00,0x1aaaaaaa,0x55555553,
    0x85555555,0xcffffd98,0x3bfaa209,0x3ff62009,0xcefff883,0x25ff902c,
    0x2fa80ffe,0x9f1013a6,0x3fe406d8,0x7c425c3d,0x3fa00fff,0x15d002ff,
    0x21fb8079,0xdff703f9,0x80fffdc0,0x203e45f8,0x017a23f9,0x900ffff4,
    0x9017d43d,0x2e00b717,0x7e404fff,0x22fc03ff,0x7fdc00fc,0x4011004f,
    0x3fe64ffb,0x93ffe004,0x00403d98,0x7fdcdff5,0x7e44f807,0xff800c00,
    0x03ffe43f,0x7407fff0,0x1a001fff,0x0dc45710,0x8007c400,0xdffffc98,
    0xfff93109,0xffddb99f,0x3fffe60f,0x2007e600,0x3ee05ffd,0x7fe401ff,
    0x3701ffd2,0x03980910,0xafff4037,0x65c0e21e,0x1e64c02c,0x007d9300,
    0xf7071019,0x7fc407ff,0x2e07306f,0x32206e01,0x03cc9800,0x80e60322,
    0x2000cec8,0x64400ccc,0xb81cc04c,0x00ccc801,0x3f601310,0x6ffa99bf,
    0x4fff8620,0x200c01f8,0xfffb11db,0x37f53310,0x2013dd33,0xfff80098,
    0x807ffdc3,0x40fffe18,0x4007fffa,0xe97fe401,0x7dc000ff,0x7ffc4004,
    0xffff101f,0x220ff701,0x3c407fff,0x017ffdc0,0x9101bffa,0x220164c7,
    0x00000209,0x1fefffb8,0x00413100,0x00000131,0x3ffe00c0,0x3ffba207,
    0x000c404f,0x80000000,0x13100098,0x44003000,0x02620009,0x26003100,
    0xfe84fcee,0x4cccccdf,0xf9effea8,0x983544ff,0x201dfdfe,0x87ffdfc8,
    0xfffffffb,0x7dc4ffff,0x3e03efed,0x7ffd43ff,0x4f7ff542,0xff703fff,
    0xc80000df,0x01ffd2ff,0x000fff80,0xf007fffc,0x1ea01fff,0x403fffc4,
    0x7fffc407,0x27ffe400,0x77dc0000,0x3ff23dee,0xfffb8dff,0x25ff91ef,
    0x04fffff8,0x3deeefb8,0x84fcee98,0xd34fffe8,0x3a605fff,0x7cc1dfdf,
    0x2af607ff,0xfd306fff,0xfd105bdb,0x3ffa69ff,0x3fffa22f,0x05fffd34,
    0x409f9dd3,0x03efedfb,0x0efeff4c,0x3efedfb8,0x3bfb7ee0,0x76ff4c03,
    0x21ff502d,0x27ff45fc,0xd35ff980,0x81dc9fff,0x1fff0ff9,0xff71df50,
    0x9fd9930f,0x459bfb99,0x0fff61fd,0x3ea1fffc,0x57fea2ff,0xb03fffe9,
    0x0000bfff,0x0b263c88,0x07fff700,0x00ffff80,0x0883fffe,0x3fffc41e,
    0x3fee03c0,0xfffb806f,0xa7fff447,0x4c2fffe9,0xf90fea6f,0x7ffdc3ff,
    0x3fea1ec3,0xf300efff,0x3ea1fd4d,0xf10bf90f,0x7ffd49ff,0xff0ff982,
    0x37ffdc1f,0xffff34d8,0xf12ffa81,0x9fff105f,0x2217ffd4,0x3fea4fff,
    0xc87fd42f,0x361fd85f,0x1ff303ff,0x3fb03ffe,0x7ec1ffec,0x540fff61,
    0x05ff12ff,0x0ffd4dff,0xf100bff9,0x7ffcc3ff,0x37fc0134,0xffc87ff9,
    0xe80fff70,0x3e60fd46,0x41fff24f,0x7fd43fff,0x41fff10f,0xfd03fff9,
    0x00000bff,0x7ff40000,0x7ffc006f,0x3fffe00f,0xf10386e0,0x80f00fff,
    0xa805fffc,0x7c40ffff,0x3ffea4ff,0x99077e42,0x7c4fff88,0xe98345ff,
    0xc82fffff,0xff1320ef,0x7c0ffd4d,0x3ffe24ff,0x3f26ff82,0x17fff63f,
    0xffff9972,0xfd1ffe21,0x49fff03f,0xff82fff8,0x0bffe24f,0x0ffd4dff,
    0x7fe49ff3,0x7e4dff07,0xc93fe63f,0x27fcc7ff,0xff10fff9,0x2e1ffe8f,
    0x93fe64ff,0x2181fffa,0xfff87ffa,0x24ffb804,0x3fe62ff9,0x881ffee5,
    0x7d43e44f,0x41ffee6f,0x7fdc3fff,0x3e1ffee7,0xfffb03ff,0x2666620b,
    0x3fa21999,0xfffd34ff,0xfffb5005,0x7ffc005f,0x3fffe00f,0x3e200760,
    0x407807ff,0x9805fffe,0xff81ffff,0x0bffe24f,0x0e23dffd,0xffa9fff6,
    0x440930ff,0x41fffffd,0x4711effe,0x3fe64ffb,0x224ffe84,0x7fdc2fff,
    0xfe8bfe64,0x263545ff,0x3f22ffff,0x427fec6f,0x3fe24ffe,0x24ffe82f,
    0x3ee2fff8,0xa93fe64f,0x1ffee6ff,0xff993fee,0xfb9bfea2,0x737fd47f,
    0xdff90fff,0x3f64ffd8,0x6ffa99bf,0xa87bffe2,0x3e1fff22,0xffd804ff,
    0x3ff20443,0x0fffd98f,0x06d87f30,0x3ff623b7,0xd89fff07,0x1bff24ff,
    0x7e40fffe,0xfb3106ff,0xf885bfff,0x3ffea4ff,0xffb9d802,0x3ffe006f,
    0x3fffe00f,0xf1003f10,0x80f00fff,0x9804ffff,0xfe82ffff,0x0bffe24f,
    0x407ffff7,0xf5b2fff9,0x200727ff,0x5c4ffffe,0xfd83ffff,0x6ffa99bf,
    0x3e24ffe8,0x1ffec2ff,0xbfffb022,0x3fe6074c,0x17ffa0ff,0xffd0dff9,
    0x417ffc49,0x3fe24ffe,0x26fff62f,0x6dc6ffa9,0xb0fffb11,0xb80887ff,
    0x0fffb11d,0x3ff623b7,0x645ffe87,0x37ffa6ff,0x644ccccc,0x44ddffff,
    0xfff86ffd,0x04ffe804,0xceffffb8,0x3aa2cfff,0xffeeeefe,0xdfc883ee,
    0xffff07ff,0x41dff517,0xfff85ffe,0x0ffff503,0x00ffff88,0x7fc49fff,
    0xf8b4c02f,0xff001fff,0x7ffc01ff,0x801ffdaf,0x7807fff8,0x02fffec0,
    0x40ffffcc,0x3fe24ffe,0x7fffc42f,0x37ffa04f,0x1adffd58,0x3fffd740,
    0x13ffffe2,0x9999bffd,0x49ffd099,0x7f42fff8,0xfffb804f,0xff503d36,
    0x45fff8df,0xffe87ffc,0x20bffe24,0x3fe24ffe,0x337ffa2f,0x9104cccc,
    0xfd0fffbf,0xfc88009f,0x32207ffd,0xff87ffdf,0xd3ffe45f,0x7dc009ff,
    0xffe84fff,0x804fff86,0xd8806fff,0x0fff64ff,0xfffffff7,0xfa89ffff,
    0xf07ffb8e,0xbfff97ff,0xf86ffe83,0x3ffa03ff,0x3ffe201f,0x49ffd00f,
    0x6402fff8,0x017fff62,0xf007fffc,0x3fffdfff,0x0ffff100,0xfffc80f0,
    0xffffb806,0x224ffe80,0xff982fff,0xff904fff,0x3ffee59f,0x89e8383c,
    0x7fcc1fff,0x3ffa4fff,0x93ffa004,0x7fc2fff8,0xfffa806f,0xff701e8f,
    0x45fff89f,0x7f40fffc,0x0bffe24f,0xff893ffa,0x013ffa2f,0xffb8efa8,
    0x006fff87,0x3fee3bea,0xf71df507,0x8bfff0ff,0xff90fffc,0x05e8800b,
    0x3fe1fff2,0xfffe804f,0x0d901000,0x80fdc6e8,0xfff70ffc,0x4c4fffe0,
    0xf0fff900,0x7fcc07ff,0x3ffe205f,0x893ffa07,0x1a202fff,0x001ffff3,
    0x7c01ffff,0x03f70fff,0x80ffff10,0x7ffd4078,0x6fffc807,0x7c49ffd0,
    0xffb102ff,0x3ffe60ff,0x1ffff10f,0xfb1e8390,0x3fff620f,0x8017ff27,
    0x3fe24ffe,0x07fff42f,0x177fff40,0xe85fffb0,0x3ffe45ff,0xff127ff4,
    0x49ffd05f,0x3f22fff8,0x1ff9005f,0x3fa1ffee,0xffc800ff,0xf90fff70,
    0x21ffee1f,0x7fe45ffe,0x207ffea7,0x5401fd01,0x7ffc0fff,0x4fffc804,
    0x405f9000,0x983e44f8,0x1ffee5ff,0xa801fffc,0x3fff87ff,0x80fffdc0,
    0x3a07fff8,0x3ffe24ff,0x3fa0ee02,0xfff804ff,0x3fffe00f,0x3e200760,
    0x03c407ff,0x2007fff4,0xfd02fffd,0x17ffc49f,0x01fff912,0xffb17ffa,
    0x23d1720d,0x3f2245fe,0x3fff50ff,0x4bffd030,0x7e42fff8,0xff9804ff,
    0x3ffe204f,0x6c5ffc86,0x5ffe85ff,0x3a0bffe2,0x3ffe25ff,0x207ffea2,
    0xfb97fe61,0x4fffc87f,0xf72ffcc0,0x25ff98ff,0xffc87ffb,0xf12ffec5,
    0x41543dff,0x3e201ff8,0x3ffea2ff,0xffff8804,0x3fe01222,0xdd0be603,
    0x263fff20,0xff80fffd,0xfff1003f,0x01fffd45,0x4417ff4c,0x3fa07fff,
    0x0bffe24f,0xeeeeeef8,0x7c00ffff,0x3fe00fff,0x1106e0ff,0x401fffd0,
    0xfffa8069,0x1bffe204,0x3e25ffe8,0x361ec2ff,0x0bfee07f,0x3f207ff5,
    0x03fe67a4,0x227fd87b,0x0aa1efff,0xffc97ff6,0x7fffc43f,0x3fee1222,
    0x1fffb00f,0xfe8dff10,0x25ffd81f,0xfd83fffc,0x8ffff25f,0x2a1efff8,
    0x263fff22,0x7c40fffd,0xc9222fff,0xffd98fff,0x23fff20f,0x440fffd9,
    0x0fff46ff,0x377ffff2,0x8037fa04,0xfeb9fffc,0xfb800eff,0x00edefff,
    0xf701efd8,0xff704f83,0x9fff9dff,0x01fffc45,0xd73dffb0,0x2001dfff,
    0xfecdffec,0x3fa00adf,0x0bffe24f,0xfffd025c,0x0ffff807,0x983fffe0,
    0x7fec0641,0x4012e01f,0x3f207ffc,0x3ff600ef,0xb0ffff25,0x1027e45f,
    0x403fe0ff,0xfefdffda,0x322fd80c,0x7fffe44f,0xfff704dd,0x09fffb97,
    0xdbdffff7,0x1dffd701,0x200dffa8,0x9ff11ffb,0x32fffee0,0xfb84fffd,
    0xfffdcbff,0x6ffffe44,0x7fffdc4d,0x42cfffce,0xedeffffb,0x3bfffee0,
    0xf72cfffc,0xfff9dfff,0x11ffb859,0x3fee09ff,0x7fdc04ff,0xfff901ce,
    0x079dff1b,0x37fffea0,0x9fff3000,0x1fcc7c85,0x364ffd88,0x7ffd43ff,
    0x7ffe4005,0x03ceff8d,0x04d75440,0x44bffd00,0x01d02fff,0x2037ffdc,
    0x3e00ffff,0x1e200fff,0x9827ffdc,0x3fea000e,0x02ffd40d,0x6e5fffdc,
    0x7f644fff,0x4d804fde,0x33100b90,0xefec805f,0xfff704fd,0xfffd809f,
    0x83ffff8c,0x80dffffa,0x9bff916a,0x2a0059df,0x402fecff,0xff8cfffd,
    0xfffd83ff,0x43ffff8c,0x884ffffb,0x3ff64ffd,0xbffff503,0x24ffd881,
    0x3f623ffd,0x40fff64f,0x02fecffa,0x32600198,0x304c01de,0x00198000,
    0xa85bd710,0x02005442,0x66664c04,0x262000cc,0x36000060,0xffd8005f,
    0x20ffff25,0x7ffc406b,0xffff102f,0x3fffe201,0x640dd101,0xd510bfff,
    0xfdb10003,0x007bffbb,0x7c67ffec,0x98863fff,0x22013000,0x200ec001,
    0x26002621,0x00062001,0x406c0198,0x20000a98,0x062000a8,0x8000c400,
    0x01008019,0x40200660,0x80040200,0x000000a8,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x7dc000ff,0xfffdcbff,0x6c037c44,0xf980efff,
    0xff301fff,0xffb987ff,0x7fff5c05,0x00002eff,0x44000153,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8002fcc,
    0xfff8cfff,0x7bfff73f,0xfffff950,0x3ffb265d,0xd931cfff,0xffffffff,
    0x2009ffff,0x00009a98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c400000,0x220000bd,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00c0cc00,
    0x2005ffe8,0x0001bcb9,0x08054435,0x3ffa0020,0x0fffcc05,0x2aaaaa60,
    0x2aaa1aaa,0x00aaaaaa,0x50a607a6,0x44173003,0x02c0aa02,0x201dff90,
    0x0004ffe8,0x206e00c4,0x00595002,0xaa800662,0x04881aaa,0xa886a037,
    0x0d555440,0x2fff9800,0x203fff88,0x2ca8004d,0x0882a600,0x401a8530,
    0x000a20b9,0x3f200b26,0xffe880ef,0x6e544004,0x7ff000bc,0xa8920ffe,
    0x8001acdb,0x5100bdb9,0x3f7bb220,0xf8803e9a,0x33f2005f,0x5c006ffc,
    0x01ffb1ff,0x403e887d,0xf5005ff9,0xfc98809f,0x2209dfff,0x9cffffd9,
    0x3e61f200,0x405ff74f,0x2dbefffd,0x2a66fe20,0x3bfa004d,0x03ff4400,
    0x6c77ffec,0xbd102fff,0xfa807d51,0x2202fd9d,0x93004fff,0x33607fff,
    0xf906ca9a,0x711ffa3f,0x20007fff,0x3e602ffc,0x801f206f,0x03fffffc,
    0x75effff4,0xf74ff981,0x3fff605f,0x21803dbe,0x7404fff8,0x3fa200ef,
    0x2bfea007,0x5401ffea,0x3a0df35f,0xfdbbefee,0x7f5001ef,0xff987ff3,
    0x3f24fe86,0xefb803ff,0x5cdf7000,0x3f6002ff,0x503ffd2f,0x201be69f,
    0x7d4005fb,0xffff1007,0x7fffcc03,0xfa84f800,0x207ff95f,0xfffffff8,
    0x7fffe400,0x1ff3001f,0x007fa200,0x36fbbffa,0xfd100fff,0x1ff8801b,
    0x3f601ff3,0xf1000fff,0x3fea07ff,0xffb03fff,0xf103ffe5,0x3a0007ff,
    0x0ff9802f,0xf5005f30,0x01ffffff,0x3fffffea,0x32bff506,0xfff883ff,
    0x5400ffff,0x81fffea4,0xe8800ff9,0x5ffa801f,0xfb017fe6,0x7f403f21,
    0x3fffa80c,0xfe87fcc0,0x87fff20f,0x3fe61ffd,0x00ed803f,0xff997fe0,
    0x43362004,0x3bfa03da,0x05e802ff,0x2003f500,0x2200ffff,0xf9807fff,
    0x3623b902,0x32a5700c,0xfc8801de,0x3f2002ef,0x027c4001,0xf98fffec,
    0xedd882ff,0x23fec01f,0x9ef986ff,0xff1004fc,0x7ff5c07f,0xda936603,
    0x007fff03,0x4c007f30,0x1013e03f,0x3fff661b,0xfb511903,0x88ee403b,
    0x952b80cd,0x4f8805bd,0x407fffe2,0x3e2001fc,0x24ffc804,0x3e01fff8,
    0x06e80fa2,0x7017ffdc,0x8bffa1ff,0xff50fffa,0x03fff88f,0x3e2000c8,
    0x000ffc6f,0x7ffd4000,0x000c8806,0x7fc00aa0,0x3fe200ff,0x007c807f,
    0x20000000,0x001b8001,0xffb00730,0x21fffc4d,0x01ff31ea,0xffd1bfe6,
    0x3ee0ee85,0x07fff000,0x20000030,0x98003fff,0x20398002,0x7c41407c,
    0x000004ff,0xd1000000,0x40f5309f,0x0398001b,0x7fc3ffe8,0x0285102f,
    0x7ffc0174,0x23ffd00f,0x0e540efa,0xff88dff7,0x4003003f,0xbf31fff9,
    0x5c000000,0x000001cc,0xffff8000,0x1fffe200,0x062017a0,0x00006200,
    0x00031000,0x3ff60031,0x401fffc6,0xffb80efd,0x711fff46,0xf0c40aa0,
    0x018807ff,0x3e004c40,0x400263ff,0x13100098,0x4000fd40,0x00001ffe,
    0x44001310,0x7ff44009,0x4c409904,0x00262000,0xff88fffe,0x90018807,
    0x13fff200,0x000bffe2,0x3e22ffec,0x3fa603ff,0x7c401dfd,0x002ebdff,
    0x269fffd1,0x8002fffe,0xd34fffe8,0x7f445fff,0xfffd34ff,0x03fffe05,
    0x407fff88,0x3fa602f9,0x74c02ded,0xe882dedf,0xffd34fff,0x37fa605f,
    0x7f4c02de,0x3f602ded,0x427ffc6f,0x6ffddec9,0x7f46ffc8,0x3aa0004f,
    0x3fff9eff,0x5bdbfd30,0x27e774c0,0xff77fff0,0x3ba603bf,0x3ba604fc,
    0x013e04fc,0xfd10ffe0,0x3ffa69ff,0xfedfb82f,0x3b7ee03e,0xffe983ef,
    0x3d13ffff,0x7dfdbf70,0x77f6fdc0,0xb8fffe03,0x3fa602ef,0x80002ded,
    0xf987fffa,0xf83004ff,0x7ffc45ff,0x3e1ff303,0x7ff400ff,0xaaaaa84f,
    0xa93ffe20,0x7f4c2fff,0xfff883ff,0x10bffea4,0x7fd49fff,0x1ffff02f,
    0x03fffc40,0x7fd403ee,0x2a05ff12,0x05ff12ff,0x7d49fff1,0x2ffa82ff,
    0x3ea05ff1,0x205ff12f,0x7ffc6ffd,0xfb9ffd44,0x37fec1ff,0xfd31bffa,
    0xbff507ff,0x20ffffa6,0x5ff12ffa,0x3f21ff50,0x3dffff05,0xfa81dff9,
    0xf50bf90f,0x6c17f21f,0x837e4006,0x3ea4fff8,0xb0fec2ff,0x43fb07ff,
    0x7d4c3ffd,0xc98aadff,0x3f61fd80,0x361fd83f,0x7fff03ff,0xfa807bf2,
    0x005ff12f,0x0ffff980,0x802fffc4,0x2237fec6,0xdff03fff,0xd301ffe4,
    0xff50dfff,0x49fff05d,0xf982fff8,0x9fff03ff,0x7c17ffc4,0x3ffe24ff,
    0x01ffff02,0x203fffc4,0x8fff105e,0x7fc41ffe,0x7c0fff47,0x3ffe24ff,
    0x3a3ffc42,0x3ffc41ff,0x3f607ffa,0x127ffc6f,0x3ffe8fff,0x3fa37ff4,
    0x3fff987f,0xf307ffc4,0x7ff887ff,0x3fe0fff4,0x3e07fea6,0x2fff44ff,
    0x1ffa9bfe,0x3ff537fc,0xb5003f50,0xff01dfff,0x17ffc49f,0x7fe49ff3,
    0xf927fcc7,0x13ffe0ff,0xc93fe605,0x27fcc7ff,0x3fe0fff9,0x217fe63f,
    0x7ff47ff8,0x2aaaaaa1,0xfbaaaaaa,0xfff71fff,0x209fffff,0x237fdc79,
    0xfb83fff8,0x20bfe64f,0xfffe9ec8,0xfd01fd85,0x17ffc49f,0xfd03fff8,
    0x17ffc49f,0xff127ff4,0x3fffe05f,0x1fffe200,0xff903f88,0x644ffd8d,
    0x27fec6ff,0xff127ff4,0x46ffc85f,0x7fe44ffd,0x6c27fec6,0x27ffc6ff,
    0xffd8bff5,0x3a37ffc5,0xfff80fff,0x7c3ffdc3,0x37fe43ff,0xffb93ff6,
    0x3e13fe64,0x3ffdc3ff,0x7fcc9ff7,0xf993fee4,0x803f884f,0x86ffffeb,
    0x3fe24ffe,0xb9bfea2f,0x37fd47ff,0x3fe0fff7,0xdff5004f,0x3ea3ffdc,
    0x41ffee6f,0x7fe43fff,0x3637fe43,0x3fffe4ff,0xccccccce,0xf72ffffc,
    0x9fffffff,0xff983ea0,0x0fffe21f,0x0110fff6,0x3fea1ff5,0xd01f43ff,
    0x7ffc49ff,0x207fff02,0x3fe24ffe,0x24ffe82f,0xff02fff8,0x7fc401ff,
    0x403ee07f,0x7fe45ffe,0x322fff46,0x4ffe86ff,0xfd0bffe2,0x46ffc8bf,
    0x7fe45ffe,0x7c6ffd86,0x17ff24ff,0xfff8fffb,0xf83fff46,0x37fe43ff,
    0x3fa1fffc,0xb37fe45f,0xff5337ff,0xa87fff0d,0x7ffb1fff,0x6cdff533,
    0xffa99bff,0x5c00db06,0x7f40ffff,0x0bffe24f,0x3ff623b7,0xfb11db87,
    0x13ffe0ff,0xfb11db80,0x223b70ff,0xfff07ffd,0x746ffb87,0x37fe45ff,
    0x9809fffb,0xfb81ffff,0x42fb807f,0xfea9effd,0x4ffe83ff,0x6c5ff880,
    0x0b51ffff,0x3e24ffe8,0x7fff02ff,0xf893ffa0,0x4ffe82ff,0x7c0bffe2,
    0x3e200fff,0x81b607ff,0x7fe45fff,0x322fffc7,0x4ffe87ff,0xff0bffe2,
    0x47ffc8bf,0x7fe45fff,0x7c7ffe87,0x17ffa4ff,0x7ec1fff9,0x837ff46f,
    0x7ff43fff,0x7c3fff85,0x3ffe45ff,0x9999bffd,0x87fff099,0xffd2fffa,
    0x4999999b,0xccccdffe,0x001f704c,0x3a1fffdc,0x3ffe24ff,0xffbf9102,
    0x7efe440f,0x09fff07f,0xffbf9100,0x7efe440f,0x87fff07f,0x3fe0fffb,
    0x93ffe45f,0xf980bfff,0xfff307ff,0xfb09fb00,0x7fff3dff,0x900dfff0,
    0xfff88fff,0x7400e9ef,0x3ffe24ff,0x207fff02,0x3fe24ffe,0x24ffe82f,
    0xff02fff8,0x3e2041ff,0x07f107ff,0x3f22fffc,0x17ffe0ff,0xfe81fff9,
    0x0bffe24f,0xffc8bfff,0x917ffe0f,0x7fec1fff,0x93ffe5ff,0x7fe45fff,
    0x3a37fe47,0x7fff04ff,0xff86ffe8,0x22fffc3f,0xffd0fffc,0x1fffc009,
    0x7f47ffea,0x4ffe804f,0x001fc400,0xfe87fff1,0x0bffe24f,0x3fee3bea,
    0xf71df507,0x13ffe0ff,0xf71df500,0x23bea0ff,0xfff07ffb,0x21fffb87,
    0x7fe45fff,0x0bfff70f,0x206fffa8,0x6ff805fe,0x3fe21310,0x0fffe83f,
    0x20ffff40,0x03fffff9,0x3e24ffe8,0x7fff02ff,0xf893ffa0,0x4ffe82ff,
    0x7c0bffe2,0x1ffb0fff,0x541fffe2,0x17ffa01f,0xffe8fff9,0x743ffe45,
    0x3ffe24ff,0x322fff42,0x2fff47ff,0xf001fff2,0x2ffec7ff,0xff717ff6,
    0xf03ffe8d,0x7ffc87ff,0x7f43fff8,0x93ffe45f,0x7fc00bff,0x93ffd43f,
    0xff900bff,0x00bd000b,0x7f41ffd8,0x0bffe24f,0x3fee1ff9,0xf70ffc87,
    0x13ffe0ff,0xf70ffc80,0x21ff90ff,0xfff07ffb,0x20fffb87,0x7fe45ffe,
    0x01bffe27,0x6c07fff9,0x3fe6304f,0x7fff1007,0x809fff90,0x5c0efffe,
    0x221effff,0xf12fff41,0x3ffe05ff,0x44bffd03,0xffe82fff,0x40bffe25,
    0xff88ffff,0x0dfff13f,0xbff901b6,0x7e45ffd8,0x42ffec5f,0x3fe25ffe,
    0x22ffe42f,0x7fe45ffd,0x002ffec5,0xffb8fffe,0x2227fec5,0x0fff47ff,
    0x7d43fff8,0x43fff87f,0x7fec5ffc,0x207ffea5,0x5c3fff81,0x3ffea5ff,
    0x3ffea181,0x03ee0181,0xfe86fa80,0x8bffe25f,0x3fee5ff9,0xf72ffcc7,
    0x13ffe0ff,0xf72ffcc0,0x25ff98ff,0xfff07ffb,0x646ff987,0x2ffec5ff,
    0xfd01fff2,0xfffd70bf,0x5cb66219,0xf8801fff,0xfff883ff,0xffc9222f,
    0x7ff40dff,0x40eabfff,0x3ff25ffd,0x07fff03f,0xffc97ff6,0x25ffd83f,
    0xf883fffc,0x1ffb0fff,0x7c0fffe6,0x237fc404,0x7fc41ffe,0x6c0fff46,
    0x3fff25ff,0x3a37fc43,0x37fc41ff,0xd3007ffa,0xf98bffe3,0x407ff46f,
    0x02ffc7fd,0xff887fff,0x0fffea2f,0xffe8dff1,0x87bffe21,0x44fff82a,
    0x3fe21ffc,0xf88aa1ef,0x80aa1eff,0x07be62f9,0x3ff607f2,0xc8ffff25,
    0xffd98fff,0x23fff20f,0xe80fffd9,0x640114ff,0xffd98fff,0x23fff20f,
    0xf80fffd9,0xff6f8bff,0x746ff889,0x4fff81ff,0x981fff50,0xfffffbae,
    0xfff91fff,0x7fff1005,0x3bfffee0,0x3ffa20ed,0xcdfcdfff,0x82ffffff,
    0xfdcbfffb,0x9fff04ff,0x32fffee0,0xfb84fffd,0xfffdcbff,0x1ffff984,
    0x2ffdcdf3,0xfb801fa8,0x209ff11f,0x9ff11ffb,0x32fffee0,0xfb84fffd,
    0x209ff11f,0x9ff11ffb,0x3fe9f900,0x88ffd40f,0x5fd102ff,0xff803fea,
    0x9effd84f,0x40efffeb,0x9ff11ffb,0xbbffff90,0x89bffe09,0xfffc83ff,
    0xffc84ddf,0xe804ddff,0x433ffea5,0xfff703f9,0x49fffb97,0xfceffffb,
    0xfff72cff,0x59fff9df,0x05bfffc8,0x677fffdc,0xff72cfff,0x9fff9dff,
    0x4dfffc45,0xf701dd7f,0x413fe23f,0x7cc1ffd8,0xf14a80ef,0x4bffffff,
    0xa802fffd,0xf500dfff,0xb101bfff,0x43dfffff,0x204fffe9,0xff8cfffd,
    0x7ffc43ff,0x33fff605,0xd83ffff8,0xfff8cfff,0xfffd933f,0xbdf739ff,
    0x03e409ff,0x5fd9ff50,0xfecffa80,0x67ffec02,0xa83ffff8,0x402fecff,
    0x02fecffa,0x3ff5df30,0x3bb3b6a0,0x7e7ec402,0x3ffe200e,0x1bfff905,
    0xf5079dff,0x5c05fd9f,0x3e04ffff,0x3eeced9c,0x13fffee0,0x04ffffb8,
    0xfffd8f90,0x7ec00def,0xffff8cff,0x6c9ffb13,0x3ff623ff,0x640fff64,
    0x6c400dff,0x8fff64ff,0x3f64ffd8,0x3fffa23f,0x403bdf93,0x02fecffa,
    0xfecefeb8,0x6fef403e,0x20bfffc8,0x5c00fffa,0x404ccccc,0x35310019,
    0x31002980,0x7fff4c00,0x0006204f,0x400000c4,0x1a801a98,0x000a8800,
    0x31000544,0x00544000,0x20002a20,0x8800aca8,0x04c40009,0x3ffffa60,
    0x00c13104,0x4c001510,0x05441801,0x4c003300,0x40544001,0x0c4001a8,
    0x10040200,0x40000020,0x08040100,0xa8800000,0x03530000,0x00c40980,
    0x00000393,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1e654000,0x2000b900,
    0xaaaacca8,0xaaaaaaaa,0x2aaaaaa1,0xaaaa81aa,0x5555511a,0x554c3555,
    0x55500aaa,0x98055555,0x3980c801,0x42f36e60,0x3ff20018,0xffc8000e,
    0x3ffe600e,0xabba9802,0x2aa20009,0x02aaaaaa,0x5666dd4c,0x2aaa60e0,
    0x555101aa,0x10088155,0x04402201,0x15797300,0xaaaa8944,0x072e20aa,
    0xf33ff500,0x165c403f,0x55555550,0x2aaaaa63,0x5554c2aa,0x1bca8802,
    0x5e544000,0x01806001,0x0055e5cc,0x002f372a,0x55550066,0x81555555,
    0x77001bb9,0x3be6ff60,0x000fd400,0x3f73bff2,0xedcdffff,0x3f664fff,
    0x9809dfff,0xb311effb,0x4139ffff,0x809efea8,0xfffffff9,0xfcffc885,
    0x3aa3eeee,0x901ea99a,0xbbfd75bf,0x077fc005,0x00ffe800,0x2a017fe4,
    0xffcabdff,0xff73000c,0x22035fff,0xfdabeffd,0xfa887cdf,0xb881ffff,
    0x0ea82efe,0x1ea807dc,0x366007d4,0xefebdfff,0xff9313dc,0x3f3f61ff,
    0x7f9002ef,0xbfd80ff2,0xfe983ffa,0xf510cfff,0x8815ffff,0x3ae01ffa,
    0x2dfecbdf,0x2f7fae00,0x6402dfec,0xd883640d,0x82ffb9df,0xfffc9be8,
    0x813fee01,0xffffffff,0x3ffae1ff,0x417d400f,0x0bff0ffb,0xb10027c4,
    0xfff889ff,0x427ec42f,0xe803fffe,0x1ffff305,0xf900fcc0,0x85ffffff,
    0xff50ffe8,0xffff859b,0x509f906f,0x3ea005fd,0xff30000e,0x405ff001,
    0xf884ffd8,0x3f6002ff,0x3fee04ff,0x7fea881e,0x3bfffe60,0x7403f300,
    0xe807f91f,0x9807f91f,0xfb882fff,0x8ffff83f,0x00ffe43c,0x6c0dd2fc,
    0x20bff25f,0xb82ffff8,0x3a00ffff,0x44077602,0x1dd804fa,0x4409f510,
    0x81fd88ef,0x7fe47fe8,0xffb07e41,0x83fffc0b,0xfffffff9,0x7c4e26ff,
    0x413e202f,0x03ffa7ff,0xfd10036c,0x3fffa0bf,0xff709b02,0x201f00df,
    0x4407fff8,0x7ffffc07,0x5ffc87ff,0x2603bfe2,0xf981dffd,0x005f501f,
    0xb80003f2,0x03f9801f,0xf502ffec,0x3f6003ff,0xfff903ff,0x407f8805,
    0x205fffff,0x3bfea00f,0xeff9806f,0x7ffcc06f,0x7c1fd403,0xff04cfff,
    0x987d401d,0x49ff700f,0xfd81fff9,0xffff05ff,0x5d81e205,0x02fcc408,
    0x17e600bb,0x05feffc8,0xffa8bff7,0xfb8ffe25,0xbffb01ff,0x3ffffee0,
    0xf103ffff,0x880fd80b,0x0bffa7ff,0xfc8007ea,0xfffb02ff,0x88498445,
    0x2a02ffff,0x1fffe204,0x005a81e0,0x3fe27ff4,0xb802202f,0x00ba03ff,
    0x2e00005c,0xb8055001,0x7f402fff,0xfff9006f,0x0bfff307,0xfbd01ea0,
    0x01e09fff,0x400bfffa,0x2602fffd,0x7b005fff,0x01fffff0,0x19813ff6,
    0x3ffd8062,0x260fffe2,0xff907fff,0x6c12a0bf,0x66e77645,0xdd83f98e,
    0xdedeffd8,0x7c40fe63,0xffb00fff,0x266ff88f,0x3ffe65ff,0x20177103,
    0x7ec09bdd,0x00efea81,0x3fe205f5,0xf10bffa7,0x7ffc4009,0x8bfff607,
    0x7fe40e1a,0x8807a05f,0x07807fff,0xfe800336,0x017ffc4f,0x3ff20131,
    0x9805502f,0x20009880,0x4c414198,0xffff8820,0x27ffe400,0x41fffe40,
    0x2001fffe,0xfffeb406,0xc980782f,0x3326003c,0x0ffff403,0xfff83a80,
    0x1fff602f,0x4fff8000,0xfe82fffc,0xfff882ff,0x7981d80f,0x1f50bfa2,
    0xff8f31aa,0x3549ff14,0x64059950,0x3fe64fff,0xff50ee43,0x02c0003f,
    0x3f260df1,0x405f885f,0x1ffd0fff,0x32000ed8,0x3f606fff,0x200722ff,
    0x980ffff8,0x3fffc405,0xfff883c0,0x7fdc03ef,0xe983ffc5,0xffa84fce,
    0xb5001dff,0xdd15dfdb,0x74c01bfb,0x45abffcf,0x23deeefb,0xa806fffb,
    0xfc807fff,0x7ffd43ff,0x5a00c007,0x40fffff8,0x10000007,0x3fffe203,
    0x3fe02000,0x3ff200ff,0x9fffd11f,0x88bfffa6,0x7ff44fff,0x0dfff707,
    0x887ffff3,0x27f49706,0x4b83e0d8,0x8ffb27f4,0x2a06000f,0xdf75ffff,
    0x0dff9001,0xf7000088,0xd86fb809,0x87fdc00f,0x00fd44ff,0x817fff60,
    0x3f12fffd,0x13fff600,0xfff10076,0x3ea0f00f,0x03ffffff,0x7fccffd1,
    0xf90ffa83,0xfffff88b,0x87f600df,0xf90ffffc,0x44ffe60d,0x537cc7ff,
    0x2fffe47f,0x07fffcc0,0x70ffff20,0x0000ffff,0x3fffe668,0x7ff41e0e,
    0x0ffffeee,0x3637fff6,0x7fd42fff,0xff80007f,0x3ff200ff,0x93ffe22f,
    0x7fc2fffa,0x07ffec5f,0x20ffffc4,0x5c6fffdc,0x3fea5b03,0x362d8102,
    0xdfd27f42,0x3fff62d8,0xfd0dfd36,0x01bfbfff,0x5003bfe0,0x07f60005,
    0x7d43f882,0xf59d7002,0x0027c41b,0xb027fff4,0x3fd77fff,0x1fffe600,
    0xfff100d1,0x3f60f00f,0x4fffffff,0x3fefbee0,0x7d4dff02,0x7fffcc1f,
    0xffa83fff,0xa93ffe64,0x0ffe83ff,0xefc87ff6,0xfffe9320,0xffff9805,
    0x1fffe401,0x001bfff6,0xfffb8d00,0x22741e5f,0xff83fffc,0xfffdbeef,
    0x017fff20,0x03fffe00,0x7c4fffc8,0x3ffe24ff,0x363fff42,0x3ff606ff,
    0x3fe3a24f,0x7c03a1ff,0x2003ff70,0x9fd03e4b,0x8970bfea,0xfff8effe,
    0x7fff440f,0xbf7001ff,0x20007200,0x9cfd86f8,0x002fc46a,0x076c0dd4,
    0x7fc06ee6,0x3ff604ff,0x001fffef,0x2c8ffffa,0x07fff880,0xfb975078,
    0x205fffff,0x2e00aacb,0x13fe64ff,0x3fffffa6,0x9bfea0df,0x3e22fff8,
    0x13ffdc6f,0x7ff4dffd,0x7ffc711e,0xfff9804f,0x7ffe402f,0x02ffff43,
    0x3f21a000,0x1a0f3fff,0x3a0dfff1,0xfff11fff,0x02ffff45,0x07fffc00,
    0xe8dfff90,0x3ffe24ff,0xd1fffd42,0x7fcc09ff,0x7fe52e7f,0x9e20b35f,
    0xd5001ffc,0x3bffa1e2,0x6c6a80ff,0x5fc9deff,0x3fffffa0,0x9004e801,
    0x13ea000d,0x3602f2e2,0x000c880f,0x33f217d4,0x7fec0dfa,0x3fff604f,
    0x2001fc8a,0x0d16fffb,0x01fffe20,0xffda801e,0x2006d85f,0xfa99bffd,
    0x3ffee06f,0x0ee44fff,0x3335fff5,0x7ffc8fff,0xfb9fff76,0xffd83fff,
    0xfff9805f,0x7ffe401f,0x837ffec3,0x99999998,0x3ffa0d01,0xd85079ff,
    0xffd02fff,0xb17ffc4b,0x0000dfff,0x6401ffff,0x7ff45fff,0x20bffe24,
    0xffeefffc,0x7fff402f,0x3ffe61d3,0x47e02c8f,0x99001ffb,0x2b3fa0fc,
    0x6c4c82ff,0x44022fff,0xfffffbfd,0x6c016201,0x3fb0003f,0x105f5000,
    0x7c4001fd,0xff87fdc4,0x02fffdc4,0x0f45fffb,0x27fffe00,0xfff1003b,
    0x8007880f,0x7fd47ffc,0xe81aaaab,0xcccccdff,0x3ff22024,0x33aa07ff,
    0xccccdfff,0xcb7ff44c,0xf10fffba,0xfc89ffff,0xffb806ff,0x7fe400ff,
    0x3fffdc3f,0xffffd988,0x3a20d02d,0xa807ffff,0x3fa05fff,0x71fffc5f,
    0x0000ffff,0x6401ffff,0x7ff44fff,0x40bffe24,0xfffacdc9,0x77ffdc00,
    0x5ffff459,0xff99e406,0x1e45d003,0x437ed3fa,0x07ffec2e,0x7cd3fa20,
    0x0a604fff,0x001ffd10,0x1000df10,0x03ff60bf,0x7fc0ed80,0x4c1fff0f,
    0x3f605fff,0x0306e2ff,0x0edfffc8,0x0ffff100,0xfb000788,0xfffffb8f,
    0x3fa3ffff,0x300c804f,0xe983fffd,0x02fff89f,0x297dffd0,0x3e60fffb,
    0x3ea4ffff,0xffc807ff,0x3f20446f,0x7ffcc3ff,0x3ffe200f,0xf981a00f,
    0xfe807fff,0x3ffa00ff,0xf31fffc5,0x80001fff,0x3200ffff,0x7ff43fff,
    0x00bffe24,0x44037fe4,0x5c1effff,0x5404ffff,0x8a03bf65,0xff16a0f8,
    0xf88ffe6b,0x403ffec0,0x3fe62ffc,0xd002207f,0x2a0009ff,0x0fd8004f,
    0x000ffbc8,0x7ff885f5,0xfff07ffa,0x17ffec0f,0x2202c433,0x4004ffff,
    0x2600fffe,0x89f50006,0xffffffe8,0xbff91fff,0x74405900,0x87fee2ff,
    0xfb004fff,0x37fdcbff,0x23fffec4,0x6c00fffe,0x3fe62fff,0x20bfff24,
    0x2201ffff,0x1a00ffff,0x80ffff50,0x7403fffc,0x1fffc5ff,0x000bfffe,
    0x401ffff0,0x7f40fffc,0x0bffe24f,0x800fffc0,0xf886fffd,0x7c401fff,
    0x537ffb11,0x3e22dc39,0x323dff31,0xfb0b71ff,0x3ffd00df,0x000fffd8,
    0x4c7fff30,0x01fd805e,0x65c17d40,0xf8800ff8,0x3a7ff884,0x7ffdc1ff,
    0x05fffd02,0x7fec026c,0x7fec000f,0x0012e00f,0x77d417cc,0x3fffeeee,
    0x4303fff5,0x8ffdc06c,0x7ff46ff8,0x7fdc180f,0x892ffe47,0x3ea0fffc,
    0x3fe204ff,0xb3ffe46f,0xff303fff,0x7ffc40bf,0x7e403407,0x3ffe207f,
    0x45ffe806,0x7fd43fff,0xf015006f,0x8edc1fff,0xffe84ffc,0x00bffe25,
    0x9800ffee,0xffb03fff,0x987ea00d,0x075c2bcb,0x55554fd4,0xebaaa88a,
    0x806ffd80,0x7fdc1fff,0x20197107,0x3f22fffb,0x01fe202f,0x2b50bf10,
    0xfd800ff8,0x3e1fff00,0x6ffd80ff,0x205ffff0,0xff9803fa,0xfffb8005,
    0x3201d304,0xc85c81ef,0x25fb103f,0x2a1efff8,0xfd813f22,0xf91fff25,
    0x21cc1bff,0x3f60fff8,0xffb0f62f,0x6c0fff90,0x7fcc0eff,0x403fff64,
    0xf102fffb,0x03cc0fff,0x3f607fd8,0x7f42c2ff,0x41fffc5f,0x5c04fffa,
    0x1ffff80e,0x3ff2dff1,0x325ffd80,0x7dc03fff,0xffe8003f,0x007ff500,
    0x75c00fd4,0x2007ea00,0xdffb00eb,0xb85ffb00,0xdff904ff,0xa93ffe20,
    0x13ea00ff,0xdd01fb00,0x401dffdd,0x3fee02fa,0x7dc0bff0,0x3ffee0df,
    0x3ffae24f,0x003fd002,0x42fffee0,0x3fa01ea8,0x20970cff,0x91fa02fe,
    0x89bbffff,0xff984ffc,0x33bfff20,0xdffffece,0x2ffe885d,0x2fd87ff1,
    0x7fd413f2,0x02ffd40d,0x3ffe23fb,0x57ff5402,0x03fffc40,0xfd1005f7,
    0x517ffea0,0x44bffd0d,0xff503fff,0x36a2159f,0xffff880d,0x17edffa2,
    0xdcbfffb8,0xf9104fff,0x3ee0003d,0x0007fc04,0xb882b3ea,0xcfa800ed,
    0x03b6e20a,0x8806ffd8,0x037ec6ff,0x7e40fffd,0x3602fc6f,0x0bea001f,
    0x27fe665c,0xfb009f10,0x9801df57,0xffffefdb,0xffffffff,0x0d7001ff,
    0xfffea800,0x6cc02eff,0x203dffff,0xba9abfe9,0xfffb80dd,0xfdbcc84f,
    0x440cfecd,0x360dfffe,0xd80dffff,0x3eedfe99,0x4fdefec8,0x66ff6c40,
    0x6c403dff,0x002efedf,0x3737ffb2,0xea80adff,0x4c01dfff,0x41fffd07,
    0x7fff86ea,0x9813ffe6,0xefefffdb,0xfffeb883,0xeffa9cff,0x7ffec02e,
    0x23ffff8c,0x0002dfd9,0x17200fc4,0x77edcc00,0x2000bdff,0xdffefdb9,
    0x3fff400b,0xecefd980,0x27fd403f,0x95dffd10,0x007f801d,0x7c4017e2,
    0x0036e00f,0x80016654,0x00000998,0x44000060,0x980009a9,0x66554001,
    0x019800ab,0x01353106,0x00cc0198,0x0c015102,0x53000131,0x15310001,
    0x9aa98000,0x0c000001,0x777fffe4,0x7fec5fff,0xfffe8cff,0x0351003f,
    0x000a8000,0x04c40062,0x20060000,0x35000008,0x00d40000,0x3bffffb0,
    0x006a6200,0x97500088,0x03510057,0x88006dc0,0x000000cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x002e2000,0x0b880b22,0x10007700,0x1b881775,
    0x2018800c,0x00000cb8,0x40fffe20,0x3fe63fff,0xfff8801f,0x16654403,
    0x55555553,0x55100335,0x41800355,0xaaaaaaa8,0xaaa9801a,0x000aaaaa,
    0x55554400,0xaa9832a1,0x21aaaaaa,0x5554c2c9,0x019aaaaa,0xaaaaaa88,
    0xaaaa89aa,0x4c42aaaa,0xfffe8820,0x47fffd35,0x20aaaaaa,0x7d402aa9,
    0xaaaa81ff,0x200c0002,0x55505ffd,0x55555555,0x54035555,0x0600260a,
    0x00001440,0xc8fffd40,0xb12effff,0xa80009ff,0xfd801ffd,0x01ffda80,
    0x26002fa8,0xffc82efc,0x3f63cbef,0xfffd8dff,0x00fffc82,0x7ff50000,
    0xf31fffc0,0xff5003ff,0xfacfc807,0xfffb313f,0x5bfffdbf,0x0ffff220,
    0x3a6dfffb,0x3ff6a26f,0x8800adff,0x1bffffc9,0xfffff980,0x7fe446ff,
    0x23fff73f,0xdffffd98,0x49fff309,0xdffffd98,0x102dfffe,0x3bffffb3,
    0x3fffee61,0x3bbee0af,0x5fff83de,0xfb8fffe6,0x7ecc3fff,0x817fe404,
    0x8005fffa,0x01dfdfe9,0xfff01ffb,0x9ffffb9d,0xd107ffdb,0x01d7bfff,
    0xff8804a8,0xffffe806,0x3f602fff,0x1fffe41f,0x7ffe4274,0x4c44ffff,
    0x17d401ff,0x401ff988,0x3ee004f8,0x3fffe02f,0x7ffc1fff,0x0fffdbee,
    0x001ffffc,0x404fd800,0x3fe63fff,0x04fd801f,0x7fc57fdc,0x23fffcc5,
    0x880dfffa,0xffe83fff,0x40ffff8e,0x000ffff8,0x007fff88,0x3fffffe6,
    0x3fff886f,0xf889fffd,0x7fdc1fff,0x7fff986f,0x806fffd4,0xd01ffff8,
    0x6f989fff,0x3ffa0fea,0xb0fffe25,0x0b903fff,0xfe805ff0,0x7fcc005f,
    0xd101fff0,0x541df07f,0x1fdc5fff,0x7fffffdc,0x4027c405,0x7400fffa,
    0x2fffffff,0xf103ff10,0x901f0dff,0x9fffffff,0x4403ff30,0x0ffcc05f,
    0x6c003f60,0x4cea01ff,0xffe82eec,0x85fff11f,0x0005fffc,0xf804f880,
    0x3ffe63ff,0x4027c401,0x81752ffe,0xfa87fff8,0x7fff05ff,0x93bdffb0,
    0xffff10bf,0xfff10001,0xf000000f,0x3ffea7ff,0x07fffc46,0x103fffe2,
    0xff50ffff,0xffff98bf,0xffffffff,0x95ffffff,0x742641df,0x3ffe25ff,
    0x41fffcc3,0x017d401e,0xfffffff1,0x26ff803f,0xbd103ffc,0xfffa81f0,
    0x51583c85,0xfd8019fb,0x05fe8804,0x0bea0000,0x261fffc8,0x3e600005,
    0x003f601f,0x7d403ff3,0x05ff9002,0x5ffe8000,0x260bffe2,0x800002e8,
    0x7fff0039,0x200fffcc,0x5fff0039,0x07fff880,0xff09fff9,0x5fffb07f,
    0x1ffff004,0x3fffe000,0x10009aaa,0x3fff8013,0x3fe13662,0x6b9880ff,
    0x907fff88,0x3fe09fff,0xfffb00ff,0x11effe87,0x44bffd07,0xffe83fff,
    0x15403446,0x005ffe80,0xff993fee,0x21612202,0x3985fffa,0xffd10000,
    0x00004009,0xf100aa00,0x401649ff,0x1ff98018,0xf3005f50,0x017e203f,
    0x0003ffd4,0x3e2fff40,0x01f103ff,0x22000310,0x98fffe01,0x00001fff,
    0x8805fff1,0xff307fff,0x07fff0ff,0x2001fffb,0x00b0ffff,0xfdcffff8,
    0x3ba603ff,0x3ffe04fc,0xfff81f83,0x220f200f,0xff307fff,0x3fffe0ff,
    0x87fffb00,0x203ffffb,0x3fe25ffe,0x1fffb83f,0x80c0012e,0x80225ffe,
    0x00443ffd,0xfffa8180,0x06200305,0x7fffff4c,0x3a20003f,0xffd34fff,
    0x7ec0005f,0xe980d0ff,0xf302dedf,0x00bf103f,0x7ec07fe6,0x09ffd000,
    0x0ffffa60,0x3fe2fff4,0x3a2b703f,0xffe8cfff,0xdfffd81e,0xf82fffd8,
    0x3ffe63ff,0xeeeffe81,0x3e20ffff,0x7fc402ff,0x3fffe07f,0x215fffc0,
    0x3e007ffd,0x003e9fff,0xff13fffc,0x0ffa81df,0x3ffe0bf9,0xfff83543,
    0x103d100f,0x7fc0ffff,0xffff80ff,0x87fffb00,0x04fffff8,0x7fc4bffd,
    0x4fff883f,0x7ffec076,0xfd0dfd36,0x3dffb1bf,0x2009ffd0,0x803fffe9,
    0xd805fffa,0xffd8dfff,0x7ffd4c2f,0x3ffa0aad,0x0ffffeee,0xfa93ffe2,
    0x3ffa62ff,0x3ffe603f,0x3fea04ab,0xf305ff12,0x001fb03f,0x3ea07fe6,
    0xbfff3002,0x26019dfd,0xffd03fff,0xc83fff8b,0xbeefff83,0xfff06ffe,
    0x1fffb7dd,0x3e63fff8,0x644e81ff,0x7fc43fff,0x7ffc402f,0x0ffffa07,
    0xfd89ffff,0x3ffe006f,0xff8001ef,0x1fffdc7f,0x1ffa9bfe,0x0ee3fff8,
    0x980ffff8,0xffff100c,0x41ffff40,0xfb00ffff,0xfff307ff,0xbffd09ff,
    0xd81fffc4,0xe80d17ff,0xffff8eff,0x5f77ff40,0xfff86ffe,0x3ffe6006,
    0x5fffa803,0x7ddfff00,0xff01fffb,0xf913a09f,0x9fff07ff,0x2617ffc4,
    0x7f403fff,0xff100def,0x541ffe8f,0x017d42ff,0xf885ff50,0x3fff2005,
    0x00efffbc,0x3fa07fff,0x21fffc5f,0x1ffff00a,0x3a07ffe6,0xfff11fff,
    0x263fff85,0x23431fff,0xf886fff8,0xf99502ff,0x47999fff,0x7fc5fffd,
    0x06ffd84f,0x003fffe0,0x263fffc0,0x3fee6fff,0x3e13fe64,0xf80133ff,
    0x81440fff,0xcffffcca,0x3fff63cc,0xabffff85,0xfffeaaaa,0xffffb103,
    0x7c4bffd0,0xfff503ff,0xffd80775,0xe85fc9de,0xfff31fff,0x00fffe85,
    0x220fffe0,0xffffdccc,0xffd02ccc,0x0bffe23f,0x23413ffe,0xfd06fff8,
    0x17ffc49f,0x2a01fffc,0x3f205fff,0x727fec6f,0x3e259999,0x65c0dcc5,
    0x03f62ccc,0xdffd0322,0xf827ffc4,0xbffd03ff,0x2003fff8,0x3fe64ffe,
    0x25ffe82f,0x3e22fff8,0x3fff64ff,0xffb0a28a,0x5fff105f,0x3ffeea60,
    0x3f62aaaf,0x1fffc6ff,0xf0037fec,0x20001fff,0x7fcc7fff,0x26fff67f,
    0xff86ffa9,0x3ffe003f,0x2ea6000f,0x2aaaffff,0x3e1bfff6,0xcccccfff,
    0x243fffec,0xfb03fff2,0x1fffdcdf,0x1edfff88,0x117ffec0,0xf897ffa0,
    0x7ffe42ff,0x0fffe004,0x3ff2aaa2,0xd01aaaef,0x7ffc4bff,0x3ffffaa2,
    0xffb0a2ee,0x93ffa05f,0xff82fff8,0x2ffe803f,0xf917ffa0,0x83f600df,
    0x2006fffd,0x0fe882fa,0x3f637ffc,0x07fff07f,0xff897ffa,0x3ffa003f,
    0x20bffe24,0x7ffc5ffe,0x2fbffe23,0x05efffcd,0x4417ffea,0x7c402fff,
    0x3ffa07ff,0x0fffee5f,0x4c01bff6,0x0000ffff,0xffa8ffff,0x337ffa5f,
    0xff84cccc,0x3ffe003f,0xff88000f,0x3fffa07f,0x00ffff85,0x3d87fffb,
    0x7fdc3fec,0x4fffdccf,0x3fffbbba,0xd86eeeff,0xfe800fff,0x21fffc5f,
    0x222ffff8,0x007fff04,0x200bfff5,0x7ffc5ffe,0x37ffe623,0xfff50099,
    0x127ff40b,0xfff05fff,0x80ff7007,0x7fe45fff,0x2e2fa807,0x802ffc9d,
    0x1ffb05f8,0x7e46fff8,0x3fff80ff,0x7ccffff0,0x3fa004ff,0x0bffe24f,
    0xfff17ffa,0x7fff7c47,0x405dff72,0xf100fffe,0xff8805ff,0x3fffa07f,
    0x07fff973,0xd500fffd,0x0001ffff,0xff91fffe,0x027ff47f,0x4007fff0,
    0x8000ffff,0x3a07fff8,0xfff83fff,0x7fffb00f,0x13f22fd8,0x7c67ffec,
    0xff503fff,0xfffb007f,0xf17ffa00,0xfff707ff,0x3e01dbdf,0xffa803ff,
    0xbffd005f,0xff83fff8,0xfffe804f,0x893ffa00,0xfff82fff,0x404f8803,
    0x7fe45fff,0x817e200f,0xfd801ff8,0x40ffbc80,0x7fdc7ffd,0x83fff80f,
    0xe8cffffd,0xd003ffff,0x7ffc49ff,0x7c5ffe82,0x267e63ff,0x7e401881,
    0x3fe203ff,0x7ffc402f,0x4bfffe07,0xfd87fff0,0xd501dfff,0x801ffff1,
    0x17fff838,0xfc87fff5,0x3ffe005f,0x3fffe003,0x3e21cc00,0x3ffe07ff,
    0x0ffff82f,0xc87fffb0,0x404fdefe,0x2013a218,0xd803fff9,0xffd006ff,
    0x503fff8b,0x401bffff,0xfa803fff,0xffd005ff,0xf83fff8b,0x7fe404ff,
    0x27ff403f,0xff05fff1,0x0076007f,0xffc8bffd,0x3007e407,0x05f500df,
    0xc81ff197,0x3ffd47ff,0x3003fff8,0xffe80001,0x20bffe24,0x7ffc5ffe,
    0x8000bee3,0x4406fff8,0x7c402fff,0xfff307ff,0x407fff0d,0xfff0c018,
    0xf82b801f,0xdfffffff,0x81fffa82,0x003fff81,0x9003fffe,0x07fff885,
    0x3e0dfff3,0xffb00fff,0x032e187f,0x3203fa00,0xdfffdccc,0xffd84ccc,
    0x8bffd006,0x25c03fff,0x803fff80,0xd005fffa,0x3fff8bff,0x2204ffe8,
    0xfe806fff,0x0bffe25f,0x2c00fffe,0x362ffe40,0x0bea05ff,0xf8801f90,
    0x1ff15a85,0x2a0fffa8,0x7fff05ff,0x009ff300,0xf127ff40,0xbffd05ff,
    0x3f63fff8,0x3ff60004,0x3fe22c2f,0x7ffc402f,0x03fffb07,0x7e407fff,
    0xffff800f,0x3e07a200,0x3e2007ff,0x20aa1eff,0x3e003fff,0x3e200fff,
    0x83fffc41,0xff01fffd,0x3ff601ff,0x05ff103f,0xa81ff980,0xdfffcaaa,
    0xffd82aaa,0x8bffd006,0x3e203fff,0x3fff803f,0x05fffa80,0xff8bffd0,
    0x15ffe83f,0x42fffd81,0x325ffd85,0xfff83fff,0x0572fd83,0xfe8dff10,
    0x80bf101f,0x7ec010ea,0xffeeee80,0x71ffec0e,0x3ffe05ff,0x00ff5004,
    0xf12fff40,0xbffd07ff,0xfd1fffc4,0x3fea000d,0x3e23545f,0x7fc402ff,
    0x7ffcc0ff,0x407fff03,0x7c403fd8,0x3f600fff,0x03fffc40,0x37ffff20,
    0x09fff04d,0x03fffe20,0x7fc40fd8,0x7ffcc0ff,0x03fffe03,0x901fffec,
    0xbff000bf,0x3fffa801,0x006ffd80,0x7fc4bffd,0x037dc03f,0x54027ffc,
    0xfd006fff,0x1fffc4bf,0x22dfffe4,0x3545fffa,0x6e5fffdc,0xfff84fff,
    0x06affc44,0x7c47fee0,0x803f204f,0x505a9ae9,0x3332e05f,0x6fe884ff,
    0x7fc40ff6,0x09f5005f,0x337ffc00,0xfff09fff,0xd27ffccf,0x3fa000bf,
    0x51baa0ff,0xf9809fff,0xff511fff,0x3ffe603f,0x200ff405,0x4c3ffff9,
    0xff987feb,0x7dc000ff,0xff104fff,0x3fe600bf,0x7ed443ff,0x1ffff987,
    0x403fff51,0xd02ffff8,0x7e409fff,0xfffb8003,0xbfff701d,0x00fffd00,
    0xff99bffe,0x027dc04f,0x2017ffe2,0xf007fffb,0x7ffccfff,0x81bff904,
    0x3aa0fffe,0x19fffb06,0x7c47ffff,0xeffe85ff,0x67fd4001,0x0bea02fe,
    0x4fffff88,0xf1005f88,0x37f6201f,0xffd303ed,0x6ec409ff,0xfd88000b,
    0xffe9cfff,0x3fff63ff,0xffffe8cf,0x90001733,0xffddffff,0x7fff5cbf,
    0x7f64c0cf,0xceffffff,0x3fffa601,0x02cdb84f,0x3ffffb22,0xffffffff,
    0x3fffb267,0x4c000bef,0x3fffa601,0x3fb2604f,0xffffffff,0x3b267fff,
    0xefffffff,0x3fb2201c,0xb89cffff,0x2cfffffd,0x8000f766,0x65c0bdc9,
    0x03dfffff,0x03bffffb,0x467fffec,0x983ffffe,0x7f4c03dd,0xf9504fff,
    0x017dffff,0x233ffff6,0x003ffffe,0x777fffe4,0x06205fff,0x7ffff4c0,
    0x0001dc44,0x136002a2,0x39999970,0x22001b70,0x009800cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01b82c40,
    0x2aaaaaa0,0xaaaaaaaa,0x55554c2a,0x0001aaaa,0x35555103,0x85100000,
    0x2aaaa229,0xaa89aaaa,0x52aaaaaa,0x35555555,0x23555530,0xaaaaaaa8,
    0x2a2009aa,0x22aaaaaa,0x0aaaaaa8,0x50355551,0x44003555,0xaaaaaaaa,
    0x40aaaaaa,0xaaaa83c9,0x00a00002,0x437b9500,0xaaaaaaa9,0xaaa9801a,
    0x531aaaaa,0x00355555,0x2aaaaaaa,0x65440080,0x5555500a,0x55555555,
    0x32600355,0x55555441,0x26009aaa,0xaaaaaaaa,0x55100199,0x81555555,
    0x22aaaaaa,0xaaaaaaa9,0x02aaaaaa,0x554c0550,0xaaaaaaaa,0x555442aa,
    0xaaaaaaaa,0x99add81a,0x74cc007b,0xecdfffff,0x4c45fffe,0x09dffffd,
    0xc884a800,0x7e404fff,0x44ffffff,0x7ff35ff8,0x3ffff262,0xfff7309d,
    0x3f2615df,0x8809ffff,0xb310cffa,0xffdbffff,0xff7107ff,0xd983bfff,
    0x3f221cff,0xfffa84ff,0x3f262005,0xeedcdfff,0x7ff41fff,0x02fffd43,
    0x000f8800,0xffbafe88,0xffffb311,0x9310013b,0x213bffff,0x7ffffc98,
    0xfffff880,0x437fcc1b,0x1fffffd8,0xfdcefff8,0xffedcfff,0x43fe8803,
    0xdffffc98,0x440bffff,0xccffffd9,0x200cfffd,0xdffffc98,0xbfffb981,
    0x3fff2620,0xffeedccf,0x0ffee207,0xcccfffd8,0x43ffffec,0xf9828002,
    0x0004ffff,0x03fffd9b,0x3fe20bf9,0xf10001ff,0x13ffe209,0xffffff90,
    0x76ff989f,0xfff889ff,0x7fffd01f,0x03ffff60,0x3fe209d0,0x27ffec7f,
    0x04ffffb8,0x3fe207f5,0x0bfff04f,0x07fffe00,0xff887faa,0x05fff84f,
    0x009f7000,0xff51ffb0,0x1ffff887,0xffff8800,0xfffff101,0xfffec805,
    0x85fff906,0xfffffffd,0xff50f7c1,0x803fb8bf,0x3fe03ffd,0x3bffea7f,
    0x47fff980,0x801effe8,0x2601ffff,0x3fe200df,0x87fb80ff,0x03ffffc8,
    0x7ff40bfa,0x2800286f,0x019ffd50,0x3ffad300,0x220b901f,0x0000ffff,
    0x7ffc09fb,0xdb800004,0xff01b911,0x3ff601ff,0xffff103f,0xf1034c07,
    0xfffd0fff,0x3ffff603,0x7fc04d80,0x0bffd04f,0x07fffe00,0x3bf20fc4,
    0x005ffe80,0x001fff00,0x2b87ffcc,0x00ffff88,0x01ffff00,0x037ffe7c,
    0x41bffefa,0x3ea0fffb,0x4ffffdac,0x3ffea17c,0x7dc03c85,0x3ffe03ff,
    0x42fffe47,0xfa87fff8,0xfff805ff,0x009d101f,0x5403fffe,0x7fed5c47,
    0x5c07e03f,0x0281ffff,0x000c0280,0x7fff4ba0,0xf02cc221,0x88001fff,
    0x3fe04ffe,0x0262004f,0xffff0000,0x0ffff601,0x00ffffb8,0x7fff805d,
    0x104fffc8,0x5b8dffff,0xd04fff80,0x3e000bff,0x07601fff,0x05ffe802,
    0x3fffb800,0x03ffea00,0x003fffe0,0x007fffc0,0x03ffff1f,0x17ffeb2a,
    0x0361f644,0x868ffff5,0x3985fffa,0x0ffffe60,0x7cc7fff8,0xfff887ff,
    0x0ffff887,0x40ffffc0,0x3fe002f9,0x078220ff,0x580fffe6,0x09ffff10,
    0x000a000a,0x3fa5b800,0x0386a1ff,0x8003fffe,0xffffffe8,0x4027ffc3,
    0x03efedfb,0x1ffff000,0x00ffff60,0xb509ffff,0x90ffff00,0x7dc09fff,
    0x01d33fff,0x3a09fff0,0xff0005ff,0x026483ff,0x44bffd00,0xfffe8001,
    0x3ffea006,0x0ffff800,0x1ffff000,0x4fffdbc0,0xbfff53b0,0x3fe01000,
    0x7fd40c5f,0x3a20305f,0x3e03fffa,0x7ffc47ff,0x3fffc40f,0x402fffe8,
    0x75c1ffff,0x7fffc001,0x260386e0,0x05103fff,0x403bfff6,0xe9828002,
    0x44003fff,0x87fffa0e,0xffff001c,0x7fd4c001,0x7fc0aadf,0xb0fec04f,
    0xffd307ff,0x7fffc07f,0x07fffb00,0x20ffffa8,0xfff800e8,0x00fffe87,
    0x74ffffec,0x09fff001,0xfea97ffa,0xffff03ef,0xffd30683,0x1bffd07f,
    0x2003dffb,0x02ffffda,0x7fffffc4,0x07fffc06,0x0ffff800,0x7fffcde0,
    0xfffab4c0,0x3f600005,0xfffa803f,0xff9ec005,0x1fffe03f,0xf10bfff5,
    0x3ffe0fff,0x7fffc01f,0x20003b21,0x0760ffff,0x01fffc40,0x0bfffea0,
    0x30280028,0xd8007fff,0x88ffff42,0xffff001f,0x9fff0001,0x1127ffc0,
    0xff927fcc,0x0fffe60f,0xb00ffff8,0xfd007fff,0x801e49ff,0x7fe47fff,
    0xfff8803f,0x3fe002ff,0x8bffd04f,0x7ffc04f9,0xf981ae1f,0xeffe83ff,
    0x00fffdbe,0x6fffb9d8,0x9fffb980,0x07fffc00,0x0ffff800,0x3fffe9e0,
    0x5fffa964,0x3ffe0000,0x5fffa801,0xfff9aa00,0x91fffe03,0xff105fff,
    0xdfff30ff,0x13ffff00,0x3e0001fd,0x03f10fff,0x00fffe20,0x05ffff88,
    0xf0140014,0x2d4007ff,0x7e67fff4,0xffff001f,0xf0077d41,0x7ffc09ff,
    0x3ea3ff54,0x81ffee6f,0x3fe03fff,0xaaaaabff,0xa803fffe,0x0699ffff,
    0x373fffe0,0x2000bfff,0x003ffffa,0x7f413ffe,0x7c01ec5f,0x6fcaafff,
    0x741fffc0,0xfff11fff,0xff169803,0xff5003ff,0xffff001f,0x3ffe0001,
    0xffa9e00f,0xfff5346f,0x3e60000b,0xfff5005f,0xf83e200b,0x3ffe03ff,
    0x09fff717,0xf51fffe2,0xff001dff,0x0dffd7ff,0x2bfffe00,0xf1001ffd,
    0x7e4007ff,0x01400fff,0x7fff0140,0x55567400,0xfedffffa,0xffff001f,
    0xf017ff41,0x7ffc09ff,0x6dc7ff94,0x40fffb11,0x3fe03fff,0xccccccff,
    0xb003fffe,0x005dbfff,0x765ffffc,0x2000cfff,0x001ffffd,0x3fa09fff,
    0x7c00f25f,0x6fffefff,0x741fffc0,0x3ffe25ff,0xffb16402,0xfff500bf,
    0x1ffff001,0x3fffe000,0xffff1e00,0xfffa92e5,0x003b9105,0x2a001ff7,
    0x5d005fff,0x3e03fff8,0xdfffefff,0x3fffe200,0x02efffee,0x3fffffe0,
    0xf8004fff,0x1fffefff,0x07fff100,0x0ffffe60,0x80a000a0,0xb9003fff,
    0xfff99999,0x4007ea3f,0x3ee0ffff,0x13ffe00e,0xdd34fff8,0xffbf9101,
    0x01fffc0f,0x3601ffff,0xf3003fff,0xf800bfff,0x7ffd47ff,0xfff7002f,
    0x3ffe00df,0x32bffd04,0xffff000f,0xff01baa3,0x8bffd07f,0x1a203fff,
    0x801ffff3,0xf800fffa,0xf0000fff,0x23c01fff,0x41d5fffb,0xfb05fffa,
    0x1fe803ff,0x17ffea00,0x3ffe1320,0x27fffe03,0x3ffe2000,0x01ffff97,
    0x64ffffc0,0x4003ffff,0x3f70ffff,0x0fffe200,0x037fff40,0x20280028,
    0x69803fff,0xd87fffa0,0x1ffff001,0x4fff8008,0x2013ffe0,0x7ffb8efa,
    0xf80fffe0,0xffb00fff,0x7fec007f,0x7ffc003f,0x0ffffb87,0x7ffdf4c0,
    0x4fff803f,0xff9bffd0,0x3fffe00b,0xfff01a21,0xf8bffd07,0x20ee03ff,
    0x5404fffe,0xff800fff,0xff0000ff,0x223c01ff,0x545bffff,0xffd05fff,
    0x017dc07f,0x017ffea0,0xf99999f3,0x3fe09bff,0xff88007f,0x17fffa7f,
    0xb1ffff80,0x4003ffff,0x0760ffff,0x01fffc40,0x00ffffdc,0x01400141,
    0x3d007fff,0x70ffff40,0xffff0183,0x7fc39801,0x13ffe04f,0x3ee1ff90,
    0x0fffe07f,0xb00ffff8,0x64007fff,0x7c003fff,0xfff887ff,0x647a202f,
    0x7c01ffff,0xfffd04ff,0xf007fffd,0x40583fff,0xffe83fff,0xf01fffc5,
    0xffdddddd,0x7fd401ff,0xffff800f,0x7fc1cc00,0x361e00ff,0x7d41ffff,
    0xfff505ff,0x000fe60b,0x5017ffea,0xffffffff,0x3ffe0fff,0xfff88007,
    0x0ffffe67,0x88ffffc0,0x000ffffe,0x0dc1ffff,0x3ffe2022,0x7fffc403,
    0x00052c04,0x01fffc05,0xfffd012e,0x7c160cc3,0x16400fff,0xff813ffe,
    0x97fe604f,0x3fe07ffb,0x3fffe03f,0x07fffb00,0x01fffe40,0x7c1fffe0,
    0x8ba03fff,0x406ffff8,0xffd04fff,0x003fff6b,0x0283ffff,0x7f41fffc,
    0x81fffc5f,0x3fffa04b,0x03ffea03,0x003fffe0,0x1ffff059,0x7ffcc3c0,
    0x05fffa86,0x1f441742,0x7ffd4048,0x7fffd405,0x07ffffff,0x1000ffff,
    0xffb8ffff,0xfff801ff,0x3fffe61f,0x1ffff006,0x220320cc,0x7ec03fff,
    0x9a600fff,0x3e028002,0x03a203ff,0x403fffd0,0x1ffff05a,0x3fa0fc40,
    0xfff8114f,0x23fff204,0xf00fffd9,0x7ffc07ff,0x7fffb00f,0x1fffe400,
    0x21fffe00,0x901ffff9,0x7ffff509,0xe827ffc0,0xdfff15ff,0x01ffff80,
    0x741fffc0,0x1fffc5ff,0x3fee00e8,0x3ffea06f,0x0ffff800,0x3fe07e20,
    0x741e00ff,0xfffa83ff,0xed83c405,0x03daaaaa,0x202fffd4,0xf9999998,
    0xfff01bff,0xfff1000f,0x0dfffb0f,0xa83ffff0,0xf804ffff,0x1e200fff,
    0x501fffcc,0xd805ffff,0x80a000a5,0x0f604fff,0x40bfffa0,0xfff884f9,
    0x903f600f,0xff0b7fff,0x7ffdc09f,0x2cfffcef,0x3e04fff8,0xffb01fff,
    0x7fec007f,0x3fe2004f,0x5fffc87f,0x7fec0d90,0x9fff01ff,0xfb97ffa0,
    0x3ffe04ff,0x7ffc001f,0x225ffe84,0x06b83fff,0x817fffc4,0x4400fffa,
    0x3600ffff,0x7fffc40f,0x7fd41e00,0x06fffa80,0x7ffe41e4,0x402fffff,
    0x0006fffa,0xff80fffe,0x7c4000ff,0xfff887ff,0x7fffc04f,0x4ffffc81,
    0x07fffe20,0xff983744,0xffff104f,0x527e440b,0x3e205000,0x05f905ff,
    0x44ffff88,0xf983ffb9,0x6d443fff,0x1bff907f,0x205fff88,0x3f64ffd8,
    0x5fff883f,0x05ffff10,0x8013fffa,0x2004fffe,0x932ffff9,0xf901bfff,
    0x7fffcc09,0x2fffc40e,0x7f46fff8,0xfff881ff,0x3fe2002f,0x26fff85f,
    0x7c45fff9,0xefffd806,0x01fffb80,0x21ffffcc,0xf987fda8,0x3f501fff,
    0x7fdc13e0,0x5039107f,0xffffffff,0xfffb801f,0x3ffe0007,0x3ffff103,
    0xffff9800,0x2ffffa80,0x05ffff10,0x09fffff1,0x30ffffe6,0x3ea0bff7,
    0xfff905ff,0xfff5101f,0x55555547,0x3aaaaaaa,0x4ffffe98,0x037fff62,
    0xfffffd95,0x3fffffff,0x7ffff64c,0xffffffff,0x7f4c0407,0x80404fff,
    0xffffd300,0x7fff6449,0xfdb89cff,0x102cffff,0x9fffffb7,0x3fb26017,
    0xdeffffff,0xffffb80c,0x7fff542d,0xffd33fff,0xfffd89ff,0xffffd35f,
    0x3fffae27,0x74c01cff,0x3f64ffff,0xffe8dfff,0xbfff73ff,0xffff9507,
    0x7ffe45df,0xfec983ef,0xffffffff,0x3b267fff,0x31cfffff,0xb83bfff9,
    0x7fffe541,0x44060bdf,0xffffffff,0x3ff2a07f,0x000bdfff,0x3221fffc,
    0x1ceffffe,0x7fff64c0,0x7fec0cef,0xfd710dff,0x2619ffff,0xeffffffd,
    0xffffd932,0xffffffff,0xffffcb89,0x3ffe63df,0xffffffff,0x0002ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5c400000,0x4c1bb980,0xaaaaaaaa,
    0x80000019,0x1000004a,0x00072600,0x00262026,0x40141988,0x20013009,
    0x00080098,0x00600300,0x22000988,0x04131001,0x21903091,0xb8dffffc,
    0xf91effff,0x3fffee5f,0x453ff62f,0xfd34fffe,0x0c4005ff,0x0c400030,
    0x0ba83000,0x71000000,0x0e41dc05,0x2abffffb,0x3a63effe,0x7ff43fff,
    0x0ffffeee,0x5c2cc000,0x3fffa603,0x0dffd8df,0xc8800080,0x405e4c01,
    0x7dc1ffda,0x36621fff,0xffedffff,0xfff701df,0xc80bffff,0x20310007,
    0x2fa804fc,0xdfdbb500,0x1bfbdd15,0x7fe7f4c0,0x9db305ab,0x3f7ee3dd,
    0xfdbf700e,0x4dff107d,0xd34fffe8,0x0df75fff,0x077f7fa6,0x027e774c,
    0x0b7b7fa6,0x1ef777dc,0xfff93bf7,0x7e47f939,0x3ffee1ff,0x3ff21ec3,
    0x7c44e84f,0x3ffea4ff,0x477ffec2,0x3f24fffd,0xfffb04ff,0x05fffb1b,
    0x3a6dfffb,0x073fee6f,0x7e4c0000,0xb81f503f,0x4c7fff86,0x7fff304f,
    0x7ffe44e8,0x9b007643,0x01fc45e8,0x7cc7fffa,0x003fd001,0x3f205fc8,
    0x7cc40fff,0x7fc4e21f,0x47fff982,0xfb84fffb,0x05ffffff,0x3a6003e4,
    0x3f62dedf,0x802fa807,0x3fff21fd,0x260df90f,0x0fff13ff,0x7fc4bfe6,
    0xb0df53fd,0x21ffec3f,0x3e22fffc,0x3ffea4ff,0x7cc1ffca,0xa81fff0f,
    0x20bf90ff,0x5ff12ffa,0x0fea6f98,0xfb7dfff7,0xfff889ff,0x1a2fffc4,
    0x3e1bffe2,0x224fff80,0xffe82fff,0xbfffcbee,0x02fffbce,0xfb7ddfff,
    0xdffd01ff,0x541ffff1,0x000beffd,0x1dffea80,0x2fb89f50,0x26c6ffe8,
    0x8d0fffe0,0xfb86fff8,0x543fd80e,0x3017e44f,0x00f6bfff,0x5c002fe8,
    0xf51b304f,0x03ff309f,0xfff982fc,0x05fffb87,0x003e4000,0x3fe25ff5,
    0xf5009f14,0x24ffa805,0x3ea4fff9,0x20ffe83f,0x7fc41ffd,0x887ffec7,
    0x93fe63ff,0x7fdc7ffc,0x127ffc1f,0x217a5fff,0x0fff26ff,0x0ffd4dff,
    0xffd1ffe2,0x99077e43,0x6cc1df98,0x27ffd81f,0x930ffffa,0xa83fff20,
    0x449ffd04,0xffd82fff,0x87fffa1f,0xffd04ffe,0x0bffe23f,0x3277bff6,
    0xfff9105f,0xfc880039,0x3e600cff,0x6c1bea0f,0x201325ff,0x36143fff,
    0xdf702fff,0xfe81fec1,0xc807fe23,0x4005bfff,0x8cd88018,0x203b71f8,
    0x1ff982fe,0x980efea8,0xffb07fff,0x6400007f,0x8fff1007,0x003beffe,
    0xffa805f5,0x88bffe26,0x3ffdc6ff,0xfb8dffd1,0x23ffdc5f,0x9bfea6ff,
    0x76447ffb,0x224ffe83,0xb82bdfff,0x8bfe64ff,0x3fe64ffb,0x3637fe44,
    0x3bffa4ff,0x01fd8711,0xfff307f3,0x4fffeb65,0x9fff101c,0x4ffe80ec,
    0x360bffe2,0x37fec6ff,0x7f417ff6,0x0bffe25f,0x008bfff6,0x05dffb50,
    0x02effda8,0x3ea4ff98,0x2bffb02f,0xfff801fc,0x17ffea03,0x7fb1bf70,
    0xf917fd40,0x3ffe203f,0x5000000f,0xfb1b1dff,0x203fe07f,0xfc881ff9,
    0x7fff986f,0x98dfff50,0x9003fffe,0x1bff200f,0xa8009ffb,0x21dc802f,
    0x999afffa,0x3ffe47ff,0xfd8fffbb,0x4f7fdc5f,0x6dc7ff99,0x00fffb11,
    0x3e24ffe8,0x3ff602ff,0x3ff60443,0x46ffa99b,0x7fe45ffe,0x0ffffee6,
    0x41ba037c,0xfd58dffe,0xffb01adf,0x7f40b11f,0x0bffe24f,0xffb1bff6,
    0xd06ffd8d,0x3fff8bff,0x000fffd8,0x33fff260,0x39ffd710,0x43ffe200,
    0x3f606ff9,0x806ffcdf,0x3fa03fff,0xffb800ff,0x2ffe803f,0x3201fff1,
    0x99702fff,0x99999999,0x675c1999,0x80bdcded,0x3ff301fa,0x7cc3fd40,
    0xfff107ff,0x3fff981f,0x7666665c,0x0ccccccf,0xff917ffa,0x3333260d,
    0xccccdfdc,0xff9d501c,0x999999bf,0x7596ffe8,0x7ffc1fff,0x667ffdc4,
    0xc880cccc,0x4007ffdf,0x3fe24ffe,0x13ffa02f,0x3337ffa0,0x7ffc4ccc,
    0xf13ffe45,0x9f09ffff,0xfc80fc80,0xfff72cff,0xfff98079,0x3ffa02bb,
    0x20bffe24,0x7fec6ffd,0xe837fec6,0x1fffc5ff,0x0003ffec,0xf73fffa8,
    0xf88005ff,0x0dff30ff,0x7fefffec,0x1fffc03f,0x003fffc8,0x36003bfa,
    0x07ffa2ff,0xd837ffc4,0xffffffff,0x900fffff,0x11f98097,0x4083ff30,
    0x7fff983f,0x20bfffe0,0x7fec3fff,0xffffffff,0x3ffe0fff,0xb83ffe45,
    0xffffffff,0x4c3fffff,0x2fff89fe,0x97dffd00,0xff83ffee,0x03ffdc4f,
    0xff71df50,0x4ffe800f,0xf80bffe2,0xffe806ff,0x8bfff004,0x3e60fffc,
    0x3ec4ffff,0x7fcc1ba0,0xffff10ff,0xddffd001,0x224ffe80,0xffd82fff,
    0x3637fec6,0xbffd06ff,0xfd83fff8,0x2e20006f,0x6d41dffe,0x26003eff,
    0x0bfea4ff,0xffdb7fec,0x0fffe01f,0x801bffe2,0x200efdfd,0x3fee3ff9,
    0x3fffa202,0x99999882,0x19999999,0x03fd6e98,0x81d559d1,0x33f22ffa,
    0xfff306a9,0x27fff40f,0x2621fffc,0x99fd9999,0x7ffc1999,0x407ffe45,
    0xfb999998,0x2099999b,0x3ffe1ffb,0xbfffb004,0x3f637fdc,0x0fffdc4f,
    0xfb87fe40,0x7ff4007f,0x80bffe24,0x6400fffe,0xffd005ff,0x887ffc8b,
    0x7d47fffd,0x7407f502,0x37fec5ff,0x03fffa80,0xff12fff4,0x8dffb05f,
    0x7fec6ffd,0xf8bffd06,0x6ffd83ff,0xfffc9800,0x7fe4400b,0xff9801cf,
    0x7ec1bee0,0x0dfff15f,0x7ec1fffc,0xfd82c2ff,0x3601df73,0x2017fc3f,
    0x006ffead,0x5d3fe000,0x3ffa20ff,0x6665c6ff,0x0179712c,0xd03fffcc,
    0xfff0bfff,0x401f2007,0x7fe45ffe,0x017d4007,0xffd1bfe2,0xffb8301f,
    0x2a2ffe47,0x7ffe45ff,0x97fe6184,0x76447ffb,0x225ffe83,0x3f202fff,
    0x7fd404ff,0x7fe4181f,0x892ffec5,0x3e20fffc,0x3fd710be,0x2a17fdc0,
    0x3fe003ff,0x2ffec00f,0xfb07fff9,0x46ffd8df,0xffd06ffd,0xd83fff8b,
    0x3aa006ff,0x50002dff,0xa805bffb,0x6c17dc4f,0x3ffea6ff,0xa89fff04,
    0x43545fff,0x077dc3fd,0x07f713e6,0x7fff54a8,0x40032e00,0xa8df11fd,
    0x002ccccc,0xffff3000,0x427fff40,0xf9003fff,0xb17ff200,0xfa800bff,
    0x23ffe402,0x260dfffc,0xb07ffc43,0x6ff885ff,0x117fffec,0x4c7ffe49,
    0x3ee0fffd,0x37fec1ff,0x4407fff9,0x9222ffff,0x2a1efff8,0x3a37fc42,
    0xfb0f61ff,0xdffffd8f,0x2205ffff,0x001ff07f,0x7dc027e4,0xfffdcbff,
    0x6c6ffd84,0x37fec6ff,0x3e25ffe8,0x6ffd83ff,0x67ffdc40,0xf9300000,
    0x3ea019ff,0x7ff43640,0x217fff47,0x7f45fff8,0xb1baa0ff,0xb17ee07f,
    0x4c03f88b,0x03fffe0f,0x0000bfe0,0x00000000,0x7c0ffff3,0xfff83fff,
    0x200f9003,0x7ff46ff8,0x017d4001,0x3b3bfff2,0xddffffec,0x12ffe885,
    0x3fee07ff,0xffffff11,0xfffb8bbd,0x2cfffcef,0xfb85fff9,0xfffddbff,
    0x7fffdc04,0x7fe40ede,0xf704ddff,0xb13fe23f,0xf527e45f,0x19dfd917,
    0x826c07f7,0x0fc4005c,0x8cfffd80,0x7f43ffff,0x23fff47f,0xfff07ffe,
    0x427ffccf,0x7dc07ffe,0x4000002e,0x0ee03fea,0xffffd872,0x9fffff15,
    0x53ffffa6,0xfeeffffc,0x201cc5ff,0x12a1261b,0xc8dffd98,0x402fffff,
    0x000000db,0x4c000000,0xff107fff,0x7fff03ff,0xdaaaaaa8,0x0aaaaaaf,
    0xff88ffdc,0x02fa8004,0x06ffff44,0x01bffffb,0xddbfd33b,0xecfea807,
    0xdfffe89f,0xb27fec40,0x37fcc7ff,0xf8bfffc8,0x7d403fff,0xf700dfff,
    0xfa809fff,0xec82fecf,0x0184fdef,0x10098050,0x80050003,0x3ff60018,
    0xffff95ff,0xbffffb1b,0x8cffffd8,0x363ffffe,0x301dffff,0x80000003,
    0x00000019,0x00000000,0x00000000,0x00000000,0x20000000,0xf507fff9,
    0x3ffe0bff,0x7fffff43,0xffffffff,0xfecffa80,0x05f50002,0x03300660,
    0x00054408,0x006206a2,0x80300402,0x33000018,0x2000cc00,0x988600a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x2aaaa21d,
    0x2a0cc2aa,0x2a200000,0xaaaaaaaa,0x0000aaaa,0x00000000,0x00000000,
    0xfff98000,0x03fffd07,0x33113ffe,0x33333333,0x0a880333,0x004c4000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xacb98000,0x98039000,
    0x2164c1dd,0x80e540cb,0x32e601ba,0xbbbbb982,0xbbbbbbbb,0x77777731,
    0x37777777,0x88100000,0xffd82ffe,0xfb8bb225,0xffff50ff,0x97fd4fff,
    0xfff30ffc,0xffffffff,0x3ffe63ff,0xffffffff,0x000001ff,0x00000000,
    0x00000000,0x87fff980,0xf102fffa,0x00000bff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff2000,0x37dc00ef,0xe83fffa0,
    0x4bff71ff,0x9fcc7ffa,0xbf75d86d,0xffffffb8,0x3fffffff,0xfffffff7,
    0x47ffffff,0x202dfeb8,0x7cc2c41b,0x5c6ff85f,0xfffb0fff,0x3ffffea3,
    0x6cfff27f,0x999911ff,0x99999999,0x2aaaa239,0xaaaaaaaa,0x0000000a,
    0x00000000,0x00000000,0x11ffffa8,0x2603dff7,0x004ffffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00000,0x206fb89d,
    0x3e02fff8,0xfff12fff,0xfb9fff67,0x647f20ff,0x7d5fe22f,0x44444447,
    0xf8888888,0x11111113,0x11111111,0x7ffff7e4,0x3f61a21c,0x2a0ff984,
    0x7ffec0ef,0x544dff51,0x222aaaaa,0x009b30dd,0x00000000,0x00000000,
    0x00000000,0xfc980000,0xefffffff,0x0000001b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0dd00000,0x2bf603f9,0x3ffee07f,
    0x7dcbffe4,0xf1ffea5f,0x3317ee1f,0x8000ffb3,0x200003f8,0x3fff2a0e,
    0xff983fee,0x3b62f980,0x445ff980,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x307f1000,0x329f307f,0xb0fc203f,0x93fea1ff,
    0x3fe25ff8,0xce88df70,0x440007fa,0x5555533f,0x55555555,0x75c40e63,
    0x0df302ef,0x1801714c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa85e8000,0x3e0fe83f,0xf71a600f,0x7f42ff8d,0x3fb8fec3,
    0x03fd5fe2,0x7dcfe200,0xffffffff,0x0003ffff,0x0019bb10,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x20ff443f,
    0x027d43fa,0x6c4f987b,0x2a0fe40f,0x7cc1f92f,0x001ffccf,0x999884c0,
    0x99999999,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f7bfe20,0xfd06f83f,0x5f01c883,0x107a86b8,
    0x19901777,0x00000332,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33fae200,0xf302fb81,0x2064018b,
    0x00048839,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20154000,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_29_latin_ext_x[560]={ 0,2,2,0,1,1,1,1,1,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,1,1,0,0,0,0,
-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,2,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,1,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,1,1,1,1,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,
1,1,1,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,1,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,1,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_29_latin_ext_y[560]={ 23,5,5,5,5,5,5,5,5,5,5,7,19,15,
19,5,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,26,5,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,10,5,5,8,5,
5,5,5,5,5,11,11,15,5,2,5,7,5,5,5,11,5,12,22,5,5,11,5,5,5,10,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,5,5,5,
4,5,5,4,10,10,5,5,4,5,5,5,4,5,5,5,5,5,4,5,5,8,10,5,5,4,5,5,5,5,
1,6,0,5,5,10,-1,5,-1,4,0,5,-1,4,-1,5,5,5,1,6,-1,5,0,5,5,10,-1,4,-1,4,
0,5,0,5,5,4,-1,-1,5,5,0,5,1,6,-1,5,5,5,0,11,5,5,-1,4,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,10,-1,4,5,5,10,1,6,-1,5,-1,5,5,10,-1,5,5,10,-1,4,
-1,5,-1,4,5,10,-1,4,5,6,-1,5,5,6,0,5,1,6,-1,5,-1,4,-1,5,5,11,-1,4,-1,4,
0,-1,5,0,5,-1,4,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,9,6,6,6,6,6,6,6,6,6,6,6,6,6,2,10,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,-1,3,-1,1,-1,0,-1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-1,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_bold_29_latin_ext_w[560]={ 0,5,11,13,12,24,20,5,8,8,11,15,6,9,
5,8,13,11,12,12,13,13,13,13,13,13,5,6,15,15,15,11,23,19,17,17,18,17,16,20,20,10,13,21,
17,25,19,19,16,19,20,13,17,19,19,26,19,19,18,6,8,6,13,15,6,12,14,12,13,11,11,13,14,7,
8,15,8,22,14,13,14,15,12,9,9,14,13,19,13,13,12,8,2,8,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,13,13,14,
2,11,9,19,9,13,15,9,19,15,10,15,8,8,7,14,15,5,6,7,9,13,20,19,20,11,19,19,19,19,
19,19,27,17,17,17,17,17,10,10,10,10,18,19,19,19,19,19,19,13,19,19,19,19,19,19,16,14,12,12,
12,12,12,12,18,12,11,11,11,11,8,8,9,9,13,14,13,13,13,13,13,15,13,14,14,14,14,13,14,13,
19,12,19,12,19,13,17,12,17,12,17,12,17,12,18,18,18,13,17,11,17,11,17,11,17,11,17,11,20,13,
20,13,20,13,20,13,20,14,20,14,10,9,10,9,10,9,10,8,10,7,22,13,13,10,21,15,15,17,8,17,
8,17,12,17,11,17,7,19,14,19,14,19,14,20,19,13,19,13,19,13,19,13,25,19,20,12,20,12,20,12,
13,9,13,10,13,9,13,10,17,9,17,14,17,9,19,14,19,14,19,14,19,14,19,14,19,14,26,19,19,13,
19,18,12,18,12,18,12,10,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,20,16,14,14,14,14,14,14,14,14,14,14,14,14,14,22,17,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,12,10,9,19,
13,19,14,19,14,19,14,19,14,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,12,27,18,19,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__times_bold_29_latin_ext_h[560]={ 0,19,9,19,20,19,19,9,24,24,11,15,9,4,
5,19,19,18,18,19,18,19,19,19,19,19,14,18,13,7,13,19,24,18,18,19,18,18,18,19,18,18,19,18,
18,18,19,19,18,23,18,19,18,19,19,19,18,18,18,23,19,23,10,3,5,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,13,13,13,12,18,12,24,24,24,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,23,19,13,18,
24,24,4,19,8,12,7,4,19,3,10,15,10,10,5,18,24,5,6,10,8,12,19,19,19,19,24,24,24,23,
23,23,18,23,24,24,24,23,24,24,24,23,18,24,25,25,25,24,24,12,20,25,25,25,24,24,18,19,19,19,
20,19,19,20,14,18,19,19,20,19,18,18,19,18,19,18,19,19,20,19,19,12,14,19,19,20,19,24,24,24,
22,18,23,19,24,19,25,19,25,20,24,19,25,20,24,19,18,19,22,18,24,19,23,19,24,19,24,20,25,25,
24,24,24,24,23,25,24,24,18,18,23,18,22,17,24,18,24,24,23,12,19,24,25,25,23,23,12,24,24,23,
23,18,18,18,18,18,18,25,18,23,18,25,19,18,19,19,23,18,25,19,25,19,19,14,24,18,23,18,24,19,
25,19,25,20,23,18,25,20,25,24,24,19,18,18,24,19,23,18,25,19,25,20,25,19,24,18,25,20,24,25,
23,24,18,23,18,24,19,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,19,17,17,24,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,15,17,17,17,17,17,17,17,17,17,17,17,17,17,22,14,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,20,24,19,25,
20,25,20,25,21,25,23,25,24,25,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,25,24,19,25,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_bold_29_latin_ext_s[560]={ 509,502,256,452,176,1,30,250,174,327,473,
63,243,370,358,129,237,463,340,349,371,92,42,477,439,345,145,333,348,304,332,
453,93,246,143,292,1,445,206,223,102,296,209,423,278,307,244,189,385,120,402,
132,353,72,52,359,161,123,475,495,340,360,229,390,343,132,301,169,261,182,266,
106,231,223,341,190,181,281,304,194,479,1,319,208,57,266,252,232,443,484,402,
370,509,410,320,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,509,506,483,
492,218,339,469,1,380,386,278,364,288,370,406,406,218,30,485,502,350,117,117,
364,336,494,268,429,21,1,491,465,154,183,242,271,251,231,11,75,350,368,386,
198,379,419,430,401,156,350,21,61,115,273,293,415,240,189,229,269,472,34,214,
444,431,418,355,390,377,316,79,382,328,316,304,289,395,475,251,92,223,422,195,
181,260,152,138,457,98,91,76,274,51,313,1,418,37,79,443,466,13,438,309,
17,347,227,224,425,379,329,490,406,274,494,68,231,472,120,321,382,323,394,33,
200,94,437,54,404,72,432,1,365,51,446,293,367,412,56,57,20,461,1,262,
492,291,394,106,336,155,1,176,160,378,16,501,102,93,256,243,39,67,196,175,
12,102,463,66,397,277,81,310,209,140,498,60,275,80,459,26,112,203,354,339,
183,133,426,100,179,141,145,387,314,46,189,451,459,441,403,404,437,390,362,423,
460,469,166,417,212,489,330,244,324,114,156,174,32,367,155,132,302,447,225,264,
145,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,473,494,494,307,
494,494,494,494,494,494,494,494,494,494,494,494,494,109,46,494,494,494,494,494,
494,494,494,494,494,494,494,494,86,151,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,194,342,
214,66,327,368,289,289,249,130,209,216,169,292,135,22,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,1,81,264,146,41,165,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494, };
static unsigned short stb__times_bold_29_latin_ext_t[560]={ 26,80,222,105,105,149,129,222,55,55,208,
208,222,221,222,129,129,189,189,129,189,149,169,149,149,149,208,189,208,222,208,
149,55,189,189,149,208,189,189,149,189,189,149,189,189,189,149,149,189,80,189,
149,189,149,149,149,189,189,189,80,129,80,222,221,222,208,129,208,129,208,189,
149,189,189,29,189,189,208,208,208,105,129,208,208,189,208,208,208,208,169,208,
29,1,29,222,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,26,129,80,
129,208,169,29,55,221,149,222,208,222,221,149,221,222,208,208,207,222,169,55,
221,222,207,222,208,169,169,149,149,55,55,55,80,80,80,189,80,55,55,55,
80,29,29,29,80,169,29,1,1,1,55,55,208,105,1,1,1,55,80,169,
129,129,129,105,129,129,105,208,169,129,129,105,129,169,169,129,189,129,169,129,
129,105,129,129,208,208,129,129,105,129,55,80,55,105,189,80,105,55,105,1,
129,1,105,55,105,1,105,29,105,169,105,105,169,29,149,80,105,29,105,55,
105,1,1,80,55,55,55,105,1,55,55,169,169,80,169,105,208,55,189,55,
55,80,208,129,55,1,29,80,80,208,80,55,80,80,169,169,189,189,169,169,
29,169,80,169,1,149,169,149,129,80,169,29,129,29,129,149,208,55,169,80,
169,55,149,29,149,29,105,80,169,29,105,1,29,29,129,169,169,29,129,80,
169,1,129,1,105,1,149,29,169,29,105,29,29,80,29,169,80,169,29,149,
169,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,129,189,189,29,
189,189,189,189,189,189,189,189,189,189,189,189,189,105,208,189,189,189,189,189,
189,189,189,189,189,189,189,189,105,208,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,29,105,
29,129,1,105,1,105,1,105,1,80,1,29,1,105,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,1,29,149,1,149,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__times_bold_29_latin_ext_a[560]={ 105,140,233,209,209,419,349,116,
140,140,209,239,105,140,105,116,209,209,209,209,209,209,209,209,
209,209,140,140,239,239,239,209,390,303,279,303,303,279,256,326,
326,163,209,326,279,395,303,326,256,326,303,233,279,303,303,419,
303,303,279,140,116,140,243,209,140,209,233,186,233,186,140,209,
233,116,140,233,116,349,233,209,233,233,186,163,140,233,209,303,
209,209,186,165,92,165,218,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,105,140,209,209,209,209,92,209,
140,313,126,209,239,140,313,209,168,230,126,126,140,241,226,105,
140,126,138,209,314,314,314,209,303,303,303,303,303,303,419,303,
279,279,279,279,163,163,163,163,303,303,326,326,326,326,326,239,
326,303,303,303,303,303,256,233,209,209,209,209,209,209,303,186,
186,186,186,186,116,116,116,116,209,233,209,209,209,209,209,230,
209,233,233,233,233,209,233,209,303,209,303,209,303,209,303,186,
303,186,303,186,303,186,303,307,303,233,279,186,279,186,279,186,
279,186,279,186,326,209,326,209,326,209,326,209,326,233,326,233,
163,116,163,116,163,116,163,116,163,116,345,231,209,140,326,233,
233,279,116,279,116,279,196,279,166,279,116,303,233,303,233,303,
233,305,322,233,326,209,326,209,326,209,419,303,303,186,303,186,
303,186,233,163,233,163,233,163,233,163,279,140,279,218,279,140,
303,233,303,233,303,233,303,233,303,233,303,233,419,303,303,209,
303,279,186,279,186,279,186,116,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,310,326,326,209,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,232,326,326,326,326,326,326,
326,326,326,326,326,326,326,333,251,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,303,209,163,116,326,209,303,233,303,233,303,
233,303,233,303,233,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,303,209,419,303,326,209,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_29_latin_ext(stb_fontchar font[STB_FONT_times_bold_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_29_latin_ext_s[i] + stb__times_bold_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_29_latin_ext_t[i] + stb__times_bold_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_29_latin_ext_x[i];
            font[i].y0 = stb__times_bold_29_latin_ext_y[i];
            font[i].x1 = stb__times_bold_29_latin_ext_x[i] + stb__times_bold_29_latin_ext_w[i];
            font[i].y1 = stb__times_bold_29_latin_ext_y[i] + stb__times_bold_29_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_29_latin_ext_s[i] + stb__times_bold_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_29_latin_ext_t[i] + stb__times_bold_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_29_latin_ext_x[i] + stb__times_bold_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_29_latin_ext_y[i] + stb__times_bold_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_29_latin_ext_LINE_SPACING
#endif

