// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT        326
#define STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_35_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_35_latin_ext_LINE_SPACING          23

static unsigned int stb__times_bold_35_latin_ext_pixels[]={
    0x2aaa9800,0x554c0000,0x0000002a,0x9ddb1000,0x2aaa2000,0x0000000a,
    0x10000000,0x80000133,0x40c00009,0x00000008,0x00999800,0x15554000,
    0x33310000,0x00003333,0x15000000,0x00000440,0x0cc00001,0x00600060,
    0xec800000,0x000000ee,0x18000000,0x00000000,0x003fffd0,0x1ffff800,
    0x3fe20000,0xf90001ff,0x70003fff,0x40009fff,0x0006fff8,0x00bfff90,
    0x001ffa20,0x00016440,0x0fdc5fdc,0x7fff8800,0x9ff30000,0xff980000,
    0x500001ff,0x3fffffff,0xffe80000,0x76c0002f,0x0002fa80,0x400003a0,
    0x06d883f9,0x007ffe60,0x003fffe2,0x27fffcc0,0x92ffc800,0x7ec005ff,
    0x274001ff,0x3a201fa8,0x40001fff,0x0001fff8,0x00fffcc0,0x3ffee000,
    0xfff30001,0xfd000dff,0xfd80009f,0x80003fff,0x80005ffe,0xd80002fd,
    0x3f600001,0x320003ff,0x0003ffff,0x00003fc8,0x06ffffe8,0xdddd5000,
    0x00001ddd,0x0017ffcc,0xf90ffc40,0x7dc0000d,0x3f600003,0x8007fa64,
    0xc805fffd,0x0003ffff,0x01fffffd,0x7fcbfd00,0x3ffea004,0x6fd4006f,
    0x22017ee0,0x40003fff,0x00002ffb,0x0001ffc8,0x001ffe80,0x3ee7bf60,
    0x3fe6002f,0x7fcc0004,0x0000fffe,0x00017fe6,0x440002b8,0x100002af,
    0x4c000799,0x00ffffff,0x00015c00,0x7e6ffd40,0x0000002f,0x7fe40000,
    0x3f200003,0x001ffdaf,0x001bfa00,0xfadff880,0x7fe4005f,0x7ffc404f,
    0x54000fff,0x04fe9bff,0xf987fcc0,0x77ff4006,0x7f4002ff,0x000ffd8e,
    0x8000dff3,0x000002fe,0x000005ff,0x40003ff1,0x1bea0efa,0x0005fb80,
    0xfe98dfe8,0x1bf20003,0x449b1000,0xff30004d,0x6c40007f,0x20013624,
    0x4fe88efd,0x224d8800,0xfd00004d,0x00037dc7,0x09b126c4,0x03fe8000,
    0x7ffc4000,0x200005ff,0x0002fffa,0x3fffff20,0x7ffcc000,0x4477ec01,
    0x3e2004fe,0x007fa21f,0x07f21fc8,0xfb2ffa80,0xfffa800d,0x7cc004ff,
    0x5f10001f,0x3e600000,0xf7000002,0x04e80005,0x17a005f3,0x113ea000,
    0x3a0001fd,0x7cc0000e,0x001ff50f,0x000fffe0,0xff50ff98,0x22fd4001,
    0x4c000fe8,0x01ff50ff,0xa82fb800,0x7cc0002f,0x001ff50f,0x0013e600,
    0x7fffe400,0x3f600000,0x200005ff,0x004ffff8,0x37e60060,0x4003fa20,
    0x00bb00ec,0x000fe274,0x03fc83df,0x07ffff40,0x001fcc00,0x00003710,
    0x10000000,0x00000001,0x36000000,0x4000f203,0x77000009,0x220002b8,
    0x3b80002b,0x0f20015c,0x3b8003c8,0x5400015c,0x00006600,0x000570ee,
    0x00000c40,0x00599910,0x7fffcc00,0x2a00001f,0x00000ccc,0x07901e40,
    0x06000000,0x01b50006,0xdd30016a,0x0440005d,0x5fdfc800,0x54cc0000,
    0x00072009,0x53100000,0xfc880303,0x0000003e,0x81a98800,0x00000001,
    0x00000000,0x00000000,0x51000000,0x00060335,0x00000000,0x00000000,
    0x3ffff200,0x4400005f,0xaaa88001,0x000001aa,0x44000000,0x00000001,
    0x1806a620,0x3e200000,0x30000ba0,0xfffdfffb,0xb1076419,0xdffffffd,
    0xfffed85b,0xffe980df,0x0589cffe,0x01f4c6ec,0xfffffdb1,0xfed85bdf,
    0xe980dfff,0x89cffeff,0x7fff6c45,0x6c2defff,0x80dffffe,0x99bcedc9,
    0x3fb62199,0x2defffff,0x6fffff6c,0xbcedc980,0x36219999,0xeffffffe,
    0x7fff6c2d,0x764400df,0xcfffefff,0xfdb10d51,0x5bdfffff,0xdffffed8,
    0xfffffd50,0x7ffe403f,0x3fb625ff,0x2defffff,0x6fffff6c,0xff9f8800,
    0x20000fff,0xefeffec9,0x7dc400cd,0x554c4fff,0x2a22aaaa,0xdb301aaa,
    0xbfffffff,0xffec9805,0x000cdefe,0x03555551,0x7fff5c40,0xe88aceff,
    0xffffdb30,0x7005bfff,0x10005b89,0x5c43dffd,0x00fbcfff,0x01bffffa,
    0x7e403bf2,0x3ffa60af,0x6983e206,0xdffffd00,0x201df900,0x3a60affc,
    0x3ffa06ff,0xefc806ff,0xb3dff900,0x01ffffff,0x00dffffd,0xf9101df9,
    0xffff93bf,0xfffd01ff,0x1df900df,0x1bfff500,0x6ffffb88,0x37ffff40,
    0xb8077e40,0x00efffff,0xe803bf22,0xc806ffff,0x572000ef,0x004ffffd,
    0x22effc88,0x803ffea8,0x74c4fffe,0x221effff,0xd800cffa,0x400fffff,
    0x222effc8,0x8803ffea,0x004ffffb,0x15bffff7,0x1ffff931,0x1dffffb0,
    0x0f634c00,0x3bffea00,0x5ffff300,0x4ffffc80,0xf503f880,0x037ec07f,
    0x8034c1f1,0x804ffffc,0x7ff503f8,0xf9037ec0,0xf1009fff,0xb1fff607,
    0x90155bff,0x1009ffff,0x1fff607f,0x0155bffb,0x009ffff9,0xfd8807f1,
    0x7ec403ff,0x7ffe406f,0x03f8804f,0x2fffffe4,0xf900fe20,0xf1009fff,
    0xf31f8007,0xa800ffff,0xf300efff,0x7ec01dff,0xfff884ff,0x400d905f,
    0x405ffffb,0x300efffa,0xb001dfff,0xd8809fff,0x74c06fff,0xfffb80ff,
    0xbde8005f,0x7cc000fd,0x7e401fff,0x7fe405ff,0x05f003ff,0xe8803ffa,
    0x6c466c07,0xffff9003,0x740be007,0x1fa200ff,0x03ffffc8,0xfff505f0,
    0x01fffc8b,0x00fffff2,0x7ffd417c,0x00fffd45,0x007ffff9,0xfffd00be,
    0x037ec00d,0x00fffff2,0x3fee017c,0x7c04ffff,0x7fffe402,0x4005f003,
    0x7ffff46b,0xffff1003,0x6fffc803,0x413fff20,0x5d07fffc,0x7fffd400,
    0x3fffe205,0x37ffe401,0x027ffe40,0x003ffffa,0x3ee03fe6,0x88004fff,
    0x44000cfb,0x9806fffe,0x2e03ffff,0xf003ffff,0x03fff105,0x7ecc0798,
    0xff7000cf,0x0be007ff,0x3007ffe2,0x7fffdc0f,0xf905f003,0xfffa89ff,
    0x3fffee04,0xf905f003,0xfffa89ff,0x3fffee04,0x5c05f003,0x2001ffff,
    0x7fdc06f8,0x05f003ff,0xffffedb8,0x700ba02f,0x2007ffff,0x50ba002f,
    0x200dffff,0xd005fffd,0x3f207fff,0xfff104ff,0x4007885f,0x204ffffa,
    0xd005fffd,0xfc807fff,0x3ff204ff,0x3ee001ff,0x4ffffa80,0x007f7000,
    0x07ffff70,0xfffffe88,0x7ffff700,0x3e60be00,0x03400eff,0x7dc00088,
    0x5f003fff,0x01dfff30,0x3ffee068,0xb05f003f,0xff987fff,0x3ffee05f,
    0xb05f003f,0xff987fff,0x3ffee05f,0x205f003f,0x005ffff9,0x7fdc06b8,
    0x05f003ff,0xffff9cb8,0x805d01ff,0x003ffffb,0x41aa005f,0x402fffff,
    0x003ffffb,0x903ffff9,0x7ec09fff,0x0025c6ff,0x413fffea,0x003ffffb,
    0x403ffff9,0xf304fffc,0xf000bfff,0x9ffff501,0x01bfa000,0x07ffffa0,
    0xffff7bb0,0x3fffee09,0xf105f003,0x1405dfff,0x06f772a0,0x1ffffdc0,
    0xff882f80,0x80a02eff,0x003ffffb,0x9fff505f,0x204fffa8,0x003ffffb,
    0x9fff705f,0x203fffa8,0x003ffffb,0x3fffa05f,0x80b0002f,0x003ffffb,
    0xf54b805f,0xd01dffff,0xffffb805,0x2005f003,0xffff903d,0xfffff80b,
    0xffff7000,0x09fff90b,0xd0ffffcc,0xfffa8003,0xfffff04f,0x3ffee001,
    0x3fff205f,0x7ffffb04,0xf5017000,0x50009fff,0x54005fff,0x200fffff,
    0xffffa8ec,0x7ffff706,0x7f40be00,0x001effff,0x3faef7aa,0x7fdc00ef,
    0x05f003ff,0x3bfffffa,0x7ffdc001,0x105f003f,0xffa8dfff,0x3ffee02f,
    0x105f003f,0xffa89fff,0x3ffee01f,0x105f003f,0x003fffff,0x3ffee000,
    0x805f003f,0x3fffee4b,0x5c02e85f,0xf003ffff,0xffff3005,0xffffffff,
    0x3ffe601f,0x3fe6007f,0xfffc86ff,0xaffff404,0xffa80069,0xfff984ff,
    0x3fe6007f,0x3ff206ff,0xffff884f,0x2a00002f,0x8004ffff,0x2005fffd,
    0x207ffffb,0xffff30fb,0x3fffee0f,0x2e05f003,0xdfffffff,0x307fdc01,
    0xfb80bfff,0x5f003fff,0x3ffffee0,0xf7001dff,0x3e007fff,0xd8fff702,
    0x7fdc04ff,0x05f003ff,0xffb1ffee,0xffffb809,0xf305f003,0x0001ffff,
    0x3fffee00,0xb805f003,0x7ffffec4,0x3ee01743,0x5f003fff,0xfc809900,
    0xff504fff,0x7cc00fff,0x7e40ffff,0x7fd404ff,0x8003c8ff,0xa84ffffa,
    0x2007ffff,0x00fffff9,0xf509fff9,0x0001ffff,0x27fffd40,0x3fffe600,
    0xfff9001f,0x987ea0ff,0xb81fffff,0xf003ffff,0x7fffe405,0xd00cffff,
    0xffff89ff,0x3fffee01,0x6405f003,0xffffffff,0x7ffdc00c,0x405f003f,
    0xdfdaefe8,0xffffb803,0x4405f003,0x2ffdaefd,0x3ffffb80,0xff705f00,
    0x00000fff,0x01ffffdc,0x225c02f8,0x2fffffe8,0xfff700ba,0x00be007f,
    0xff9801f1,0xffc80fff,0x3e2006ff,0x7e41ffff,0xfff804ff,0xa8000fcf,
    0xfc84ffff,0x22006fff,0x901fffff,0xff909fff,0x80000fff,0x004ffffa,
    0x2fffffe4,0x6ffffd80,0x7fc42f98,0xffb82fff,0x05f003ff,0xffffffc8,
    0x7fc40eff,0x0ffffc7f,0x07ffff70,0xff900be0,0x1dffffff,0x1ffffdc0,
    0x75402f80,0x2e000bcc,0xf003ffff,0xbccea805,0x3ffee001,0x905f003f,
    0x000dffff,0x7fffdc00,0xb805f003,0xfffff884,0xfb805d0f,0x5f003fff,
    0xfd005c80,0xffb09fff,0x7c400dff,0x7e42ffff,0xffb804ff,0xf50005ff,
    0xffb09fff,0x7c400dff,0xf902ffff,0xfffb09ff,0xa80000df,0x2004ffff,
    0xfffff9f8,0xffffc800,0x7cc1fc46,0xfb82ffff,0x5f003fff,0xffffd500,
    0xfc81ffff,0x17fffc3f,0x07ffff70,0x3aa00be0,0xffffffff,0x7ffff700,
    0x6c40be00,0x7fdc0006,0x05f003ff,0x70001b62,0x2007ffff,0xffffc82f,
    0x2e000007,0xf003ffff,0xf304b805,0x0badffff,0x07ffff70,0x3f980be0,
    0xfffff500,0x6ffffc81,0x3fffe200,0x2fffec1f,0x17fffc40,0xffffa800,
    0x6ffffc84,0x3fffe200,0x9fff901f,0x0fffff90,0xfffa8000,0x6d72004f,
    0xa804ffff,0x3a27ffff,0xfffff504,0x7ffff703,0xb8007e00,0x2fffffff,
    0x3ffaa088,0x3fee02ff,0x03f003ff,0x7ffffdc0,0xfff702ff,0x407e007f,
    0x5c0005fd,0xf003ffff,0x0017f603,0x07ffff70,0x3fea07e0,0x36e00fff,
    0xdeeeeeee,0x3ffffb80,0x4b803f00,0x3ffffee0,0x7fdc02ed,0x03f003ff,
    0x4c01bfa6,0x5c5fffff,0x2007ffff,0x40fffff9,0x9006fffe,0x54000fff,
    0xfb84ffff,0x26007fff,0x900fffff,0xff709fff,0x00001fff,0x027fffd4,
    0x3ffe63f0,0xfff8807f,0x5c0bb0ff,0xf707ffff,0x3e007fff,0x3f200881,
    0x2a05ffff,0x2ffffafe,0x0ffffee0,0x00440fc0,0x0bfffff9,0x00ffffee,
    0x7ffc40fc,0x1bccccce,0x1ffffdc0,0xff881f80,0xbcccccef,0x7fffdc01,
    0xf103f003,0x9003ffff,0x405fffff,0x003ffffb,0x404b803f,0x2ffffffd,
    0x1ffffdc0,0xffc81f80,0xda80deff,0xffffffff,0x1fffff31,0x3fffe600,
    0x3ffffa67,0x7fcc01ef,0x3fea0004,0xfff984ff,0xff3000ff,0x7fe40fff,
    0xffffa84f,0x2a00001f,0x7004ffff,0x3ffffe8d,0x9fffff80,0x7ffe406d,
    0xffff704f,0x2a07e007,0x7fff4403,0x8ffec40f,0x2e02ffff,0xf003ffff,
    0xe8807503,0xfb80ffff,0x3f003fff,0xffffff10,0x01bfffff,0x00ffffee,
    0x7ffc40fc,0xffffffff,0xffff700e,0x7407e007,0x9802ffff,0x5c06ffff,
    0xf003ffff,0xe804b803,0x402fffff,0x003ffffb,0x7000003f,0x3ffe203f,
    0xff7000ff,0x0bd30bff,0x2003fb00,0x7fffd409,0xfffff884,0xffff7000,
    0x27ffe40b,0x17ffffc4,0xfff50000,0x50ba009f,0x700dffff,0x01dbffff,
    0x01ffffd8,0x007ffff3,0x00d501f1,0x4c3fffd1,0x3ffe1fff,0x3ffe602f,
    0x80f8803f,0xffe8806a,0xffff981f,0xb00f8803,0xffffffff,0x3e60bfff,
    0xf8803fff,0xfffffb00,0x0dffffff,0x00ffffe6,0x7fe403e2,0xff9803ff,
    0x7fcc06ff,0x0f8803ff,0x7c4025c0,0x4c02ffff,0x8803ffff,0x6400000f,
    0x7ffdc04f,0xfff9002f,0x01ff981f,0xf8805a80,0x3ffea1ff,0xffff704f,
    0x3fff2005,0x3fff200f,0x9ffff904,0x7fd40000,0x06a804ff,0x005fffff,
    0x003ffffb,0x440bffff,0xa804ffff,0x7003f507,0x7ff44fff,0x017fffc6,
    0x009ffff1,0x007ea0f5,0x7c41ffee,0x7a804fff,0x7ffffec0,0x107fffff,
    0x5009ffff,0xffffd80f,0x0fffffff,0x04ffff88,0x7ff407a8,0xfff9806f,
    0x7ffc406f,0x807a804f,0xfff3004b,0xfff8805f,0x007a804f,0x804ff800,
    0xd006fffe,0xff909fff,0x00590001,0x7d4bfff7,0x3fa03fff,0xffd006ff,
    0xfffb809f,0xfffff104,0xf5028003,0x7b009fff,0x17ffff20,0x07fffe20,
    0x01dfff70,0x406fffe8,0x0df504e8,0x7d4bff50,0x7fffc6ff,0x37fff402,
    0x7d413a20,0x05ffa806,0x101bfffa,0x33f6209d,0xfb99999a,0xfffd00ff,
    0x104e880d,0x333339f9,0x201ffd73,0x4406fffe,0x7ffc404e,0x7ffcc01f,
    0xfffe806f,0x40274406,0x3fee005b,0xfffe802f,0x00274406,0x01bfe200,
    0x007fffea,0xb01dfff9,0x1e4409ff,0x3fee00d1,0x3fffea4f,0x3fffea01,
    0x77ffe401,0xfff70a80,0x7fffd407,0x54176006,0x4c04ffff,0xffffffff,
    0x800fffff,0x100efffb,0x5003dfff,0x6c07ffff,0x0bff500f,0x3ee0ffd8,
    0xfffbdfff,0x3ea00aff,0x3f603fff,0x80bff500,0x3ea00ffd,0x3f603fff,
    0x700ff900,0x7ffd40df,0x403f603f,0x5fa807fc,0x0ffffea0,0xfa800fd8,
    0x3e600fff,0xfa806fff,0x3f603fff,0x4006d800,0xfa802ffc,0x3f603fff,
    0xfd800000,0x7fcc00df,0x3ffe605f,0x3fff300d,0x1dc7ffa0,0x20fff980,
    0x9806fffb,0x3e605fff,0x6fc80dff,0xc805fff5,0x4403ffff,0xfff701ee,
    0x404c80bf,0x404ffffc,0x1dffece8,0x037ffaa2,0xdffffa80,0x01feb98a,
    0x107bffea,0xff885ff7,0xffc9efff,0x7fd405ff,0xeb98adff,0x3ffea01f,
    0x17fdc41e,0x6ffffd40,0x01feb98a,0xe880bff2,0x7ffd402f,0xfeb98adf,
    0x807ff201,0x7d402fe8,0xb98adfff,0x322001fe,0xfa81bfff,0xf5004fff,
    0x7315bfff,0xff3003fd,0x02fd8005,0x5bffff50,0x003fd731,0x3ffe6000,
    0x3fa203df,0x7ff4c0df,0xdfffd804,0x22fffe0c,0x3fee000e,0x003bffa0,
    0x206fff44,0x3604ffe9,0x00dff57f,0x277fffe6,0x809f9510,0x206ffffd,
    0x7fcc00f8,0x9d100fff,0x7ef7fed4,0x30001bdf,0xfffffffd,0xaaea8019,
    0xdffddefd,0x49dfd700,0x3005ffe8,0xfffffffd,0xaaea8019,0xdffddefd,
    0x3ffa6000,0x00cfffff,0x4d67fec4,0x002eecba,0xffffffd3,0xfd88019f,
    0xecba9acf,0xffd3001e,0x019fffff,0x3ffb6600,0xbdfffedf,0x7ff4c000,
    0x00cfffff,0x77ffff54,0x005d1003,0x7fffff4c,0x00000cff,0x177f5c40,
    0x6f7fedc0,0x2002ceff,0x320adfda,0x8002ffff,0xdfffefea,0xffdb8000,
    0x02ceffde,0x7fedffcc,0x3fae2000,0x2dffffff,0xffffd930,0x5c859dff,
    0x9ffffd00,0xaa9816e0,0x54400001,0x10009aaa,0x09aaa881,0x00040100,
    0x09aaaa88,0xaa881100,0x2200009a,0x0009aaaa,0x66f765cc,0x5510001c,
    0x88001355,0x1abdedcb,0x55551000,0x98000013,0x00019aaa,0x13555510,
    0x88000000,0xaaa88000,0x0000009a,0x26200000,0x2000001a,0x0001cda8,
    0x0000554c,0x00035310,0x00159b73,0x05554c40,0x7f300000,0x3fffea00,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fa60000,0xffff3006,0x000000bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff20000,0xda80deff,0xffffffff,0x3bbb2001,
    0x00000000,0x00ae2000,0x00000000,0x00000000,0x0013bb62,0x00000000,
    0x06000000,0x00030000,0x00000440,0x00000000,0x01803300,0x7ff6c400,
    0x42dfffff,0x1efffffc,0x00000000,0x00000544,0x88015300,0x80004402,
    0x00f300f8,0x00000110,0x26000000,0x0004ffff,0x001fffec,0xfecfc800,
    0x3f600000,0x001ffd1f,0x0ffffa00,0x7fe40000,0x000002ff,0x000dfff5,
    0x4fffd800,0x2a09f000,0x413a001f,0x7f1002fa,0x00003ee0,0x0013fff2,
    0x004fffb8,0x0bd105f5,0x200ffff4,0x806ffffe,0xf9000ffb,0x00000bff,
    0x007faf6a,0xe873fee2,0x401fdc01,0x001f905e,0xa98577c0,0x3f88005f,
    0x00001f70,0xffd00000,0x80001fff,0x00006ffe,0x00f20f88,0x89ffc400,
    0x100003ff,0x00007fff,0x3ffffe20,0x2a000006,0x00001fff,0x0013ffe0,
    0x2fe45fb8,0xb837ea00,0x27dc005f,0x400013f2,0x20005fff,0x00fffff8,
    0x7fcc7fd0,0xbffff700,0x4ffffc80,0x4005f880,0x00007ffc,0x0bff4f88,
    0xdfffffd0,0x07f700fd,0x3621df50,0x7dc0004f,0x02ffffff,0xfc89f700,
    0x3ff60004,0xf500002f,0x00bfd37f,0x00ffe880,0x26354000,0xdf700006,
    0x00002fdc,0x00009ff7,0x7d4ffec0,0x2000002f,0x00004ffb,0x000bff50,
    0xffb1dfd0,0x3dfd0001,0x88003ffb,0x0ffe8dff,0x5ff98000,0x77fe4000,
    0xff3005ff,0x2209ff79,0x01ffefff,0x00ffffee,0x7ec001fc,0x6400002f,
    0x8805ff3f,0xffffffef,0x003fb804,0x1ffd5dfd,0xfffb0000,0x440009ff,
    0x0ffe8dff,0xffff3000,0x3fe0000d,0x0007fa22,0x0007fd10,0x1320f880,
    0xd07ec000,0x7400001f,0x2000004f,0x1be60ef9,0xdf700000,0x3f600000,
    0xff500005,0x20009fff,0x04fffffa,0xfffff700,0x3f200007,0x7fc40005,
    0x2003ff53,0x00fffffd,0xbfb13df9,0x1ffffdc0,0xb0002e80,0x4c0000bf,
    0x500113ff,0x33ff6e27,0x003fb800,0x07fffff5,0x6ff5c000,0xffb80002,
    0x20003fff,0x03ffeffe,0xd8075c00,0x6e880005,0xbec80000,0x880000fd,
    0x000be22f,0x0004f880,0xe982f400,0x64000002,0xf800001f,0x7f400005,
    0x20000fff,0x000ffffd,0x01bfffe0,0x0006f800,0x2fcc2fd8,0x3ffff980,
    0xfc81bf30,0x7ffff701,0x8000ba00,0x3600007d,0x804003ff,0x01fdc000,
    0x00dfffb0,0x00000000,0x001bfffa,0xff92ffa8,0x00000000,0x0000c400,
    0x000bd980,0x00310600,0x00018800,0x00000000,0x00026000,0x00000600,
    0x000bbba6,0x007ddd30,0x01eeea80,0x00006000,0x06cc0766,0x204ccb80,
    0x5c12e04c,0xd003ffff,0x00180005,0x07fff300,0x2e000000,0x3326003f,
    0x0000001c,0xddd50000,0x0f740005,0x40000fee,0x00601a98,0x00000620,
    0x00000000,0x01880000,0x00000000,0x00000000,0x806a6200,0x00000001,
    0x00c0d4c4,0x00000000,0x00000000,0x5c000000,0xd003ffff,0x00000005,
    0x2fffeb88,0xfffffd50,0x7ffe403f,0x00fee5ff,0x36200020,0xeffffffe,
    0x7fff6c2d,0x000000df,0x2d4036a0,0xffd71000,0x1159dfff,0xfec9801d,
    0x00cdefef,0x7ffff6c4,0x76c2deff,0xb10dffff,0xdffffffd,0xfffed85b,
    0x764c00df,0x0cdefeff,0x7ffffe40,0xffd71eff,0x03dfffff,0x223dfffb,
    0xffffffed,0x7ff6c2de,0x5c400dff,0xcefffffe,0xfd50e88a,0x403fffff,
    0x05fffffc,0x9ffdffd3,0x3fe60b13,0xffffffff,0x20ffffff,0xffffffd9,
    0xffffffff,0x3ff660ff,0xffffffff,0x20ffffff,0xfffffed9,0xfdb32dff,
    0x5bffffff,0x07ffff70,0x3f660ba0,0xffffffff,0x0fffffff,0x7ffffcc0,
    0xff704fff,0x4401dfff,0x1fdc0efc,0x00007400,0x00dffffd,0xffe81df9,
    0xffffffff,0x7fffffff,0x00006200,0x56ffffdc,0xffffc988,0x5dff9100,
    0x01fff544,0x06ffffe8,0x3a00efc8,0xc806ffff,0x7e4400ef,0x3faa22ef,
    0x7ffcc03f,0xfff904ff,0x6f9805ff,0x1bffffa0,0x2003bf20,0x8adffffb,
    0x0ffffc98,0x77ffffdc,0x03bf2200,0xd3057fe4,0x3fea0dff,0xb9999acf,
    0x202fffff,0x99dffffd,0x0fffebaa,0x3bffffb0,0xfffd7553,0x3ffff601,
    0x3fff600e,0x3fee00ef,0x05d003ff,0x9dffffd8,0xfffebaa9,0x7fffdc00,
    0x3202ffff,0x405fffff,0x03fb83f8,0x0001fdc0,0x009ffff9,0x9ffd07f1,
    0xfffff335,0x0fff9533,0x7f7ff64c,0x22000cde,0x4c06fffd,0xffa80ffe,
    0xfff300ef,0xfffc801d,0x03f8804f,0x027fffe4,0x3ea01fc4,0xff300eff,
    0x7fe401df,0x3ffe05ff,0x17c403ff,0x09ffff90,0xd8807f10,0x74c06fff,
    0xfffc80ff,0x1fc405ff,0x3603ffa8,0x01df706f,0x02fffff4,0x813fffee,
    0xff700ffb,0x7fdc09ff,0xbffff700,0x5ffffb80,0x1ffffdc0,0x7dc02e80,
    0x3ee04fff,0xfff7000f,0x3ffee00d,0x17c04fff,0x3a001fdc,0x3f20006f,
    0x5f003fff,0xfff03fd0,0x10ff30ff,0x5445dff9,0xfd003ffe,0xf3001fff,
    0xffff881f,0x37ffe401,0x0fffff20,0x3f2017c0,0x5f003fff,0x0ffffc40,
    0x81bfff20,0x207ffff9,0x406ffffb,0x7ffe406a,0x805f003f,0x800ffffe,
    0xffb80ff9,0x7c04ffff,0x401ffd02,0x01d907e8,0x07ffffe4,0x13fffea0,
    0x3ea01f70,0x7dc04fff,0x9ffff700,0x4ffffb80,0x1ffffdc0,0x7d402e80,
    0x7dc04fff,0x9fffb000,0x3ffb6e00,0x0ba02fff,0xfa800baa,0xf70002ff,
    0x3e007fff,0xfff03e82,0xf51ee0ff,0x3e601dff,0x3f200eff,0x2e001fff,
    0x2fffec0f,0x03fffe80,0x00ffffee,0x3fee017c,0x05f003ff,0x802fffec,
    0x3a03fffe,0xf102ffff,0x6401ffff,0x7fffdc03,0x6405f003,0x2001ffff,
    0xfedb80fb,0x3a02ffff,0x01fff882,0x202c83cc,0x03fffff9,0x84ffffa8,
    0x7d403e20,0x22084fff,0xffff500f,0xffffa809,0x7fffdc04,0xa805d003,
    0x2084ffff,0xffd000f8,0x272e007f,0x01ffffff,0x3600005d,0x70005fff,
    0x2007ffff,0xff00e82f,0x89e20fff,0x6401ffff,0xff306fff,0x1f000bff,
    0x01ffffdc,0x01ffffc8,0x007ffff7,0xfff700be,0x40be007f,0x003ffffb,
    0x203ffff9,0x206ffffa,0x104ffffd,0xfffb801f,0x205f003f,0x005ffff9,
    0xf9cb80f8,0xd01fffff,0x1dfff305,0xe80b0680,0x5006ffff,0x4889ffff,
    0xfffa806c,0x0362444f,0x027fffd4,0x013fffea,0x007ffff7,0xfff500be,
    0x06c4889f,0x0ffffc40,0xfff54b80,0x05d01dff,0xffff3000,0xff70003f,
    0x0be007ff,0x7ffff80e,0x5fffd920,0x07fffd00,0x007ffffb,0x7fffc170,
    0xfff7000f,0x3ffee0bf,0x805f003f,0x003ffffb,0x3fffe05f,0xfff7000f,
    0x7fffc0bf,0xffff501f,0x2e016a0f,0xf003ffff,0x3ffff605,0xb80b8003,
    0xdfffff54,0xff105d01,0x81405dff,0x3fffee00,0xfff5001f,0x0044b89f,
    0xb89ffff5,0xfff50044,0xfffa809f,0x7ffdc04f,0x803f003f,0x5c4ffffa,
    0xffa80044,0xb92e007f,0xe85fffff,0xffc80002,0xb8005fff,0xf003ffff,
    0xffff8005,0xffffb807,0xffff9003,0x7ffffc43,0x7fcc0002,0x3e6007ff,
    0xff706fff,0x0be007ff,0x07ffff70,0x3fe60be0,0x3e6007ff,0x3f206fff,
    0xffb04fff,0x05b05fff,0x07ffff70,0x3fe20be0,0x00002fff,0xffffb92e,
    0xfd02e85f,0x003dffff,0xfffff100,0x7ffd400b,0x50026c4f,0x4d89ffff,
    0x3fffea00,0x7fffd404,0x7fffcc04,0x400f8804,0x6c4ffffa,0xfff70004,
    0x3625c00d,0x743fffff,0x4fc40002,0x000fffff,0x01ffffdc,0x7fc002f8,
    0xfff807ff,0xff7000ff,0x7ffd4bff,0x540000ff,0x2007ffff,0x80fffff9,
    0x003ffffb,0xfffb805f,0x505f003f,0x400fffff,0x00fffff9,0x10fffff3,
    0x8bffff9f,0xffb800f8,0x05f003ff,0x01fffff5,0x3625c000,0x743fffff,
    0xfffff702,0x40003bff,0x00fffffd,0x93fffea0,0x3ea004f8,0x13e24fff,
    0x4ffffa80,0x27fffd40,0x13fffe20,0x3ea01ea0,0x13e24fff,0x27ffec00,
    0xfe889700,0x0ba2ffff,0x3f6b9000,0x5c004fff,0xf003ffff,0xffff8005,
    0x7fffcc07,0x3ffe6007,0x3ffff26f,0xffc80007,0x3e2006ff,0xfb81ffff,
    0x5f003fff,0x3ffffb80,0xff905f00,0x7c400dff,0x3a01ffff,0x6642ffff,
    0x20fffff8,0xfff7004b,0x20be007f,0x007ffffc,0x3a225c00,0x3a2fffff,
    0x3ffff202,0x000cffff,0x1fffffcc,0x3fffea00,0x004ffb9d,0x277fffea,
    0x2a004ffb,0x5404ffff,0xe804ffff,0x74406fff,0xffffa803,0x004ffb9d,
    0x007fffd0,0x7ffc425c,0x305d0fff,0x263f0015,0x4007ffff,0x003ffffb,
    0xfff8005f,0x7ffd407f,0x3fe6007f,0xfffb0fff,0xfb0000df,0x4400dfff,
    0xb82fffff,0xf003ffff,0xffffb805,0xfb05f003,0x4400dfff,0x202fffff,
    0x7c6ffffa,0x47ffffb1,0xfff7001e,0x20be007f,0x006ffffd,0x7c425c00,
    0x5d0fffff,0xfffffc80,0x2000efff,0x006ffffe,0xffffffa8,0x2a004fff,
    0xffffffff,0x3fea004f,0x7fd404ff,0xff9804ff,0x01b604ff,0x7fffffd4,
    0x88004fff,0x2001ffff,0xffff304b,0x3ee0badf,0x3fa35c03,0x2e003fff,
    0xf003ffff,0xffff8005,0x7fffe407,0x3ffe2006,0xffff91ff,0xff90000f,
    0x7c400dff,0xfb81ffff,0x5f003fff,0x3ffffb80,0xff905f00,0x7c400dff,
    0x7c01ffff,0x4d51ffff,0xd36ffffa,0x7fffdc00,0xf905f003,0x0000ffff,
    0xfff304b8,0x200badff,0xffffffea,0xffb800ff,0xa8001fff,0xe98cffff,
    0x3fea004f,0x4fe98cff,0x3fffea00,0x7fffd404,0xffff9004,0x3fd9317b,
    0x3fffea00,0x004fe98c,0x007fff98,0xfff7025c,0xf705dbff,0x7d42e807,
    0x2e006fff,0xf003ffff,0xffff8003,0x7fffec07,0x3ffe2006,0xffff72ff,
    0xfb80001f,0x26007fff,0xb80fffff,0xf003ffff,0xffffb803,0xf703f003,
    0x4c00ffff,0x400fffff,0x5d4ffffc,0xc9fffff8,0x3ffee003,0x703f003f,
    0x001fffff,0xf7025c00,0x05dbffff,0x7ffffdc0,0x7fc402ff,0x50004fff,
    0x7c49ffff,0x3ffea004,0x8013e24f,0x404ffffa,0x004ffffa,0x3fffff66,
    0x7d4002ef,0x13e24fff,0x17ffee00,0xfd809700,0xb82fffff,0x7c1aa03f,
    0x7002ffff,0x2007ffff,0x7ffc001f,0x7ffe407f,0x3fe2006f,0xfff51fff,
    0x980003ff,0x000fffff,0x20fffff3,0x003ffffb,0xfffb803f,0x303f003f,
    0x001fffff,0x01ffffe6,0x27ffffe6,0xdffffc87,0x3fee000f,0x03f003ff,
    0x03fffff5,0x2025c000,0x2ffffffd,0x3ff20088,0x7ec05fff,0x18806fff,
    0x44ffffa8,0x3fea004c,0x002644ff,0x809ffff5,0x004ffffa,0x01ffa988,
    0x9ffff500,0xfc8004c8,0x25c003ff,0x7fffff40,0x3603fb82,0xbffff903,
    0x3fffee00,0x8003f003,0x5c07ffff,0x2007ffff,0x10fffff9,0x005fffff,
    0xfffff880,0xffff7000,0x3fffee0b,0xb803f003,0xf003ffff,0xfffff103,
    0x3ffee001,0xfffd005f,0xfff309df,0xfb800bff,0x3f003fff,0x5fffff10,
    0x025c0000,0x17fffff4,0x3fa201d4,0xff500fff,0x59005fff,0x89ffff50,
    0xff505049,0x504989ff,0x09ffff50,0x04ffffa8,0x0017f200,0x44ffffa8,
    0x7e405049,0x25c001ff,0x7ffffc40,0xf303fb82,0xffffffff,0x3001ffff,
    0x1007ffff,0xfff8001f,0x7ffcc07f,0xff3000ff,0xfffc8fff,0xfb80004f,
    0xf9002fff,0x3e601fff,0xf8803fff,0x7fffcc00,0x700f8803,0x2005ffff,
    0x000ffffc,0x01fffff5,0x00bffffa,0x07ffff30,0x3f201f10,0x00004fff,
    0x3fe2012e,0x06a82fff,0x81fffe88,0x05fffff8,0xffa81f88,0x3a8384ff,
    0x84ffffa8,0xffa83a83,0x7fd404ff,0x3e0004ff,0x3ea0004f,0xa8384fff,
    0x01bff603,0x7cc012e0,0x3fb82fff,0xffc80990,0xff8804ff,0x07a804ff,
    0x07ffff80,0x07ffffc4,0x5ffffb80,0x0fffffc4,0x3ffa0a00,0xfffd006f,
    0x7fffc409,0x8807a804,0xa804ffff,0x37fff407,0x04fffe80,0x02ffffc0,
    0x000ffff7,0x009ffff1,0x7ffc40f5,0x814001ff,0xfff3004b,0x003f505f,
    0x3f20fff7,0xb800ffff,0xffffa81f,0xf505d004,0x3a009fff,0x4ffffa82,
    0x27fffd40,0x0fff8800,0xffff5000,0xc80ba009,0x5b8004ff,0x0bffee00,
    0x03e20fee,0x1fffff30,0x0dfffd00,0xf8004e88,0xfb807fff,0xf9002fff,
    0xff501fff,0x2ec00dff,0x00ffffd4,0x003bfff2,0x880dfffd,0xfffd004e,
    0x404e880d,0x401ffffa,0x000efffc,0x1017ffe4,0x20009fff,0x4406fffe,
    0x7ffd404e,0x4176006f,0x3fee005b,0x806fa82f,0xff985ffa,0xf9803fff,
    0xffffa80f,0xa81fc804,0xc804ffff,0xffffa81f,0x7fffd404,0x3ff60004,
    0xffa8000d,0x1fc804ff,0x037e42a2,0x64006d80,0x83fb82ff,0xfffd005c,
    0xfff5009f,0x007ec07f,0x03ffffc0,0x006fffe8,0x6409fffd,0x4403ffff,
    0xfff301ee,0x6fffcc0b,0xffffa800,0x4003f603,0x203ffffa,0xff9800fd,
    0x3ffe605f,0xff98000d,0x01ffd806,0x7ffff500,0x64007ec0,0x4403ffff,
    0x00db01ee,0xfa82ffc8,0x07fec05f,0x037ffff4,0xfb83ffdc,0x7dc05fff,
    0xffffb80f,0x407fdc05,0x405ffffb,0x005ffffb,0x33fffe60,0x3ffee003,
    0x07fdc05f,0x007f6dfb,0x000bfe60,0x87f705fb,0xff5003f9,0xf5001fff,
    0x7315bfff,0xf10003fd,0x5001ffff,0xc803ffff,0x4c00efff,0x109dffff,
    0xd1009f95,0xfe981bff,0x7fd4004f,0xeb98adff,0x7fd4001f,0xeb98adff,
    0x3fa2001f,0x7ff4c0df,0x1ff40004,0x00037cc0,0x2b7fffea,0x001feb98,
    0x277fffe6,0x409f9510,0x6c002ff9,0xefffa82f,0x417fdc41,0x9bfffffb,
    0xfeb99999,0xfffb06ff,0x753335ff,0x3f60ffff,0x999affff,0xb07fffba,
    0xd80dffff,0x0006ffff,0x00e7fe4c,0x5fffffb0,0xfff75333,0x2eaefd8f,
    0x7fff5400,0x5d1003ef,0x7f4c7f70,0xffff3006,0x3fa600bf,0x0cffffff,
    0xffff5000,0x3fe6005f,0x3ffe605f,0xfd71000d,0x5bffffff,0xeffdb800,
    0x002ceffd,0xfffffd30,0x200019ff,0xffffffe9,0xb70000cf,0x9dffbdff,
    0x1f500005,0x0000fa00,0x3fffffa6,0x88000cff,0xffffffeb,0xffd502df,
    0x22007dff,0xdaaea82e,0x0dffddef,0xffffff88,0xffffffff,0x3265ffff,
    0xfffffffe,0xffffffff,0x3fffb266,0xffffffff,0x3266ffff,0xeffffffe,
    0xfffd932c,0x0059dfff,0x3b260000,0xffffffff,0x6fffffff,0x00016dc4,
    0x20220000,0xffff92ea,0xffb501bd,0x03ffffff,0x26aaaa20,0xffb90000,
    0x09bfffff,0x81bffd10,0x0004ffe9,0x002aaa62,0x00d4c400,0x2aaa2000,
    0x1000009a,0x00135555,0x00d4c400,0x20018000,0x22000009,0x0009aaaa,
    0x15553100,0x44000000,0x55440880,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffdb8000,
    0x02ceffde,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a620000,0x00000001,
    0x00000000,0x00040620,0x00000000,0xed800000,0x4000005e,0xfffffffe,
    0xffffffff,0x2aa207ff,0x02a80001,0x20002000,0x220000a8,0x0000a201,
    0x80000000,0x0000aaaa,0x03333220,0x40000000,0x01000008,0xddd70000,
    0x00000003,0x00000000,0x01530033,0x40000000,0x000efff9,0x07fffd00,
    0xfffc8800,0x4000991b,0x3a1cffc8,0x93f60001,0x00003fd8,0x007ffff7,
    0x0ffffc40,0xf3359ffd,0x9533ffff,0xdfd30fff,0x20005dfb,0x80005ffd,
    0x7fcc005b,0x3f30000f,0xfb0013a0,0x000007ff,0x17ffea00,0xfff70000,
    0x25fd8005,0x20003fd8,0x01f703f8,0x00003b50,0x01bfffe2,0xfff88000,
    0x3a00001f,0xd3002fff,0x0fee03bf,0x80000000,0x0000effc,0x007fff10,
    0xfffff700,0x40003fff,0xeefffffe,0x3fea0006,0x01fff92f,0xffff8800,
    0x3ea0007f,0x40ff41ff,0xf987ffff,0xf50ffd47,0xff88005f,0xd30000ff,
    0xfffb000b,0x6ffc0009,0x002fedbc,0x0006ffd8,0xbff90000,0xffd00000,
    0xfffa8007,0x001fff92,0x3f627e40,0x013ea003,0x3ffff200,0x7000002f,
    0x00003fff,0x001fffcc,0x7dc0ffd4,0x7fff9003,0xfff00000,0x7dc00001,
    0xbd00004f,0x0dfffffd,0x7ff7c400,0x0004ffff,0x7e47ffea,0x640000ff,
    0x03ffaaff,0xd05ffb00,0x1ffffe07,0x87ff13dc,0xf8007ff8,0xf30007ff,
    0x3fee000b,0x3ea0002f,0x006fffff,0x001ffd10,0xdff00000,0xff100000,
    0xfff50007,0x003ffee5,0xe8dff880,0x5f98007f,0x33fe6000,0x00006fe8,
    0x0003ffb0,0x003ffb80,0xf703ffa0,0xffff3007,0xf980000f,0x6c00001f,
    0xd100004f,0x005fedc4,0x36e27700,0x40000cff,0x0bb624ec,0x43df1000,
    0x44000ff9,0x201d02ff,0xf107ffff,0x3e61ffd4,0x754000ff,0xff88001e,
    0x9d910001,0xfff70000,0x440001bf,0x000003fe,0x00077d40,0x0027dc00,
    0x76c49d90,0xffb80002,0xd0002fff,0x3fa0009f,0x00017ec3,0x000bfe20,
    0x000ffa00,0xfb87ff90,0xfeffd803,0x3200003f,0x4400001f,0x0000004f,
    0x04020000,0x00000000,0xd101bb00,0x02fa8007,0x7ffff80e,0x86ffb920,
    0x000005fe,0x0037f440,0x22000000,0x100001ba,0x000000dd,0x00000ec8,
    0x00000990,0xff100000,0x54000dff,0x7d4003ff,0x0000d901,0x00002fa8,
    0x80004f98,0x1fdc5ffd,0x7e4bfea0,0x1100000f,0x03100000,0x00000000,
    0x00018800,0x00006200,0x22000000,0x3ffe0000,0xfff5007f,0x2200010b,
    0x320601a9,0x440002ff,0x003019aa,0x18800000,0x00000000,0x00000000,
    0x20000000,0x0001eeea,0x00007ff4,0x22000000,0x31000000,0x3ffe0000,
    0x3a01fdc4,0x0027dc1e,0x80000000,0xfed88000,0x2defffff,0x6fffff6c,
    0x7ff64c00,0x000cdefe,0xfdffd930,0x000019bd,0x00000000,0x007ffff8,
    0x007bfffa,0x7fff5c40,0xe88aceff,0x001ffe20,0x3bfffb22,0x0d51cfff,
    0x9bcedc98,0x10001999,0x00000000,0x2aaa6000,0x2aa22aaa,0xffdb11aa,
    0x85bdffff,0x0dffffed,0x20000000,0x00003ffb,0x00000000,0x80000000,
    0x7dc3fff8,0x54036a03,0x3ffe6005,0xffffffff,0x000fffff,0x740001d0,
    0xc806ffff,0x7e4400ef,0x3faa22ef,0x3f22003f,0x3faa22ef,0x3ffee03f,
    0x00dfffff,0x25fffffb,0xfffffed9,0xff802dff,0x3e6007ff,0x4002ffff,
    0x8adffffb,0x0ffffc98,0x5001bfee,0xb881bfff,0x9106ffff,0xfff93bff,
    0xd0001fff,0x22000001,0xffffffed,0xffffffff,0x7ff4c5ff,0x3ea21eff,
    0xfffe80cf,0x0efc806f,0x7ffff74c,0xceeeffff,0xfff50003,0xffffed98,
    0xfd72dfff,0x9dffffff,0x7fffffdc,0xffb00dff,0x3ba65fff,0xffffffff,
    0x4003ceee,0x7dc1fff9,0x00004003,0x3359fff5,0xfffff733,0x0fee0005,
    0xffffc800,0x403f8804,0x300efffa,0xa801dfff,0xf300efff,0x7ec01dff,
    0xb002ffff,0x7ffec09f,0x3fe000ef,0x7dc007ff,0x8804ffff,0x4c06fffd,
    0x3ffe0ffe,0xfffb1005,0x6ffd8807,0xfd8fffb0,0x4000aadf,0x000003fb,
    0xffffefd8,0xffcaaa9d,0xffff885f,0x7e40d905,0xf8804fff,0x7ffff403,
    0xfffca99b,0x7fcc001e,0xffffb03f,0x3ffea01f,0x3ff603ff,0xfb002fff,
    0x7ffff409,0xfffca99b,0xfff3001e,0x4003fb81,0xdf70000e,0x7ffff401,
    0x1bfa0005,0xffffc800,0x4405f003,0x6401ffff,0x3e206fff,0x7e401fff,
    0x3fe206ff,0xdb004fff,0x5ffffb80,0x3ffffc00,0xffd7f300,0x7f401bff,
    0xf9800fff,0x09fff30f,0x01bfffa0,0xffa86fd8,0x0fffd45f,0x006fe800,
    0xfaed8000,0xfd104fff,0x1ffff20b,0xfff90174,0x00be007f,0x505ffff9,
    0x8007ffff,0xff705fff,0xfff80bff,0x3fe200ff,0xdb004fff,0x2ffffc80,
    0x03ffffa8,0xfb87ff88,0x00fee003,0xf9007640,0x0001ffff,0x000bffea,
    0x01ffffdc,0x3ff602f8,0xfffd005f,0x17fff607,0x01ffff40,0x01fffff7,
    0x7dc01f98,0x7c004fff,0xf1007fff,0x37fffe47,0x01ffffc8,0x7fd43ee0,
    0xfffb803f,0x1be2001f,0xf513fff2,0xf50009ff,0x000005ff,0x7ffd4fcc,
    0x882fc04f,0x3c42ffff,0x0ffffee0,0x3ee017c0,0xffb02fff,0x7fc001ff,
    0xffff506f,0xfffff809,0x7fffdc00,0x00fcc00f,0x40bfffee,0x800ffffd,
    0x1fdc0ffd,0x000dfd00,0xfff980b2,0x360003ff,0x70005fff,0x2007ffff,
    0xffff702f,0x3fff2007,0x7fffdc1f,0xffff9003,0x7ffff403,0x54026c04,
    0x4004ffff,0xd007ffff,0xffffa83f,0x2ffffcc2,0xffb87c00,0x7ffcc03f,
    0x86b8005f,0x7cc3fffd,0xfd8005ff,0x000005ff,0x7fffd53a,0xd8172084,
    0x025c6fff,0x00ffffee,0x3fee017c,0xfff502ff,0x7ffc005f,0x9ffff507,
    0x07ffff80,0x09ffffd0,0xffb804d8,0xfff502ff,0x0ffa005f,0x3ea007f7,
    0x058002ff,0x037ffff4,0xfffff300,0xfff70003,0x40be007f,0x000fffff,
    0xf8bffff7,0x7000ffff,0x540bffff,0x500fffff,0xfff5001f,0xfff8009f,
    0x1ff8807f,0x6c6fff98,0x8003ffff,0x07fff90b,0x02ffffe8,0xfff70b00,
    0x03fffa89,0x7ffffcc0,0x6b800001,0x313fffea,0xff302cc7,0x200f43ff,
    0x003ffffb,0xfffb805f,0xffff302f,0x7fffc00b,0x4ffffa80,0x03ffffc0,
    0x0fffffa8,0xf7001f50,0x3e605fff,0x91005fff,0x00fee3bf,0x002fffec,
    0xffff7004,0x7e40003f,0x8005ffff,0x003ffffb,0xffff305f,0x7ffcc00f,
    0x3fffe66f,0x3ffe6007,0x7fff406f,0x2005d04f,0x004ffffa,0x403ffffc,
    0xff304ffb,0x3fffe23f,0x7ec0002f,0x3fe202ff,0x00001fff,0xf513ffe2,
    0xfc8003ff,0x0005ffff,0xff517c40,0x043a89ff,0x4d7fffa0,0xffffb806,
    0xb805f003,0xf502ffff,0x7400bfff,0xffa81fff,0x7ffc04ff,0x3ffa007f,
    0x005d04ff,0x40bfffee,0x005ffffa,0x03fbbec4,0x1fffff98,0xfff10000,
    0x44000bff,0x0fffff9f,0x7fffdc00,0xf505f003,0x4c00ffff,0xf50fffff,
    0x4c00ffff,0x200fffff,0x41fffff9,0x3fea006c,0x7fc004ff,0xff9807ff,
    0x23ff703f,0x00fffffa,0x1fffe400,0x1fffff30,0xffb80000,0x0027fec7,
    0x3fffe7e2,0x3600000f,0x27fffd45,0xff5000f6,0x700791ff,0x2007ffff,
    0x7ffdc02f,0xffff902f,0x7fff4007,0x4ffffa80,0x03ffffc0,0x3fffff30,
    0x3ee006c8,0xff902fff,0x322007ff,0x007f71df,0x0bfffff9,0x3fff6000,
    0x320000ff,0x09ffffb5,0x3ffffb80,0xff905f00,0x7c400dff,0xff91ffff,
    0x7c400dff,0x6c01ffff,0x3e25ffff,0x3ffea001,0x7ffc004f,0xfffd007f,
    0x7e4ff309,0x80007fff,0x2e03fffb,0x0007ffff,0xb5dfb100,0xb90005ff,
    0x013ffff6,0x2a07d400,0x3e64ffff,0xffff8003,0xffb800fc,0x05f003ff,
    0x02ffffb8,0x001ffffd,0xfa83fffc,0x7fc04fff,0x7ec007ff,0x07e25fff,
    0x2ffffb80,0x01ffffd0,0x7f713f60,0xfff9f880,0x4c0000ff,0x003fffff,
    0xfff98fc0,0x7fdc007f,0x05f003ff,0x00dffffb,0x97ffffc4,0x006ffffd,
    0x0bffffe2,0x3fffff10,0xff500136,0xff8009ff,0xff5007ff,0x1fdc1dff,
    0x00dffffb,0x07fff500,0x037fffe4,0x99d50000,0x8fc00037,0x007ffff9,
    0xff505d00,0x7ffb5bff,0xffff7000,0x3ffee00b,0x805f003f,0x442ffffb,
    0x001ffffe,0xfa837ffc,0xaaaadfff,0x7ffffaaa,0x7fffc400,0xb8009b1f,
    0x7442ffff,0xb001ffff,0x03fb83ff,0xffffdae4,0x7ff40004,0x5c0006ff,
    0x1fffff46,0x7ffff700,0x3f20be00,0x22006fff,0xf91fffff,0x4400dfff,
    0x801fffff,0xfaeffffc,0x7ffd4000,0x3fe2004f,0xf7000fff,0x7f15ffff,
    0x07ffffc8,0x4fff9800,0x1fffff20,0x1b620000,0x746b8000,0x0003ffff,
    0x4ccccf64,0xfffffffb,0xf88003ff,0xf7002fff,0x3e007fff,0x7fffdc02,
    0xffffeecd,0xbfff0003,0x3ffffea0,0xffffffff,0xc8007fff,0x0faeffff,
    0x7fffdc00,0xffffeecd,0x43ffc003,0x98fc03fb,0x0007ffff,0x07ffffee,
    0xfa85d000,0x2e006fff,0xf003ffff,0xfffff703,0x7fffcc00,0xfffff70f,
    0x7fffcc00,0xfff8800f,0xa8003fff,0x2004ffff,0x02fffffa,0x3ffffea0,
    0xffffb83f,0xfe80000f,0x3ffea05f,0x3b6e00ff,0x0deeeeee,0x800017f6,
    0x7fffd42e,0x3fe60006,0xffffffff,0x07fd34ff,0x01fff200,0x03ffffb8,
    0xffb803f0,0xffffbcff,0xff10003f,0x3ffea07f,0x7fffc04f,0xfff88007,
    0xb8003fff,0xffbcffff,0x4c003fff,0x1fdc0fff,0xfffe8d70,0xff88003f,
    0x40004fff,0xfffff06a,0x3ffee005,0x303f003f,0x001fffff,0x99ffffe6,
    0x000fffff,0x00fffff3,0x03ffffdc,0x4ffffa80,0xffffdc80,0x3004dfff,
    0x509ffffd,0x003fffff,0x40dff700,0x01fffff8,0x2fffffc8,0x6677ffc4,
    0x5001bccc,0x3ffffe0d,0x407d0002,0x224ffffa,0xff30003f,0x7ffdc009,
    0x803f003f,0xf72ffffb,0x0003ffff,0x7d40fff5,0x7fc04fff,0xf70007ff,
    0x2000ffff,0xf72ffffb,0x4003ffff,0x7dc1fff9,0xff50ba03,0xfb000dff,
    0x3100dfff,0xffc81ec0,0xff7005ff,0x07e007ff,0x03ffffe2,0x2ffffdc0,
    0x01fffff1,0x17fffee0,0x6ffff880,0xffff5000,0x00000009,0x0bffff62,
    0x05fffff1,0x03ffe000,0x02ffffe8,0x86ffff98,0xfffffff8,0x400effff,
    0xffff903d,0x80d7000b,0x644ffffa,0x07f60003,0x3ffffb80,0xfb803f00,
    0x3ff62fff,0xfb8006ff,0x3ffea03f,0x7fffc04f,0xfff10007,0x3ee000df,
    0x3ff62fff,0x7fc006ff,0xa81fdc2f,0x5fffff06,0x7fffd400,0x302c802f,
    0xffffffff,0x001fffff,0x007ffff3,0x3fee01f1,0xff9002ff,0xfffb81ff,
    0xfff9002f,0x7fc4001f,0xf50006ff,0x50009fff,0xf7000017,0xfff90fff,
    0x2e00009f,0x3ff203ff,0xff9803ff,0xfffb06ff,0xffffffff,0x7fffcc0d,
    0xffffffff,0x07e2000f,0x89ffff50,0xa800a83a,0x7ffcc005,0x00f8803f,
    0x117fffdc,0x009fffff,0x2a00ffe8,0x7c04ffff,0x10007fff,0x000dffff,
    0x88bfffee,0x004fffff,0x7f713ffa,0x7fe40f60,0xff1005ff,0xf100bfff,
    0xf9013203,0xf1009fff,0xf5009fff,0x06fffe80,0x209fffd0,0xd006fffe,
    0x88009fff,0x0006ffff,0x009ffff5,0x4007ffb8,0x7ffcc2da,0x7ffffc41,
    0x74414001,0x7fff406f,0xffff9806,0x3ffff606,0x0fffffff,0xffc80990,
    0x136004ff,0x13fffea0,0x3200d051,0x7ffc4002,0x807a804f,0x542ffffb,
    0x001fffff,0xfa807ff3,0x7fc04fff,0xf10007ff,0x2000dfff,0x542ffffb,
    0x001fffff,0x3fb8bffb,0xffffff98,0x0fffffff,0xfffffc80,0x881fb800,
    0x7ffcc00f,0xffe800ff,0x0274406f,0x007fffea,0x201dfff9,0x401ffffa,
    0x000efffc,0x037fffc4,0x4ffffa80,0x17ffdc00,0x40fff880,0xffa81ffd,
    0x176006ff,0xf1017f44,0xf9803fff,0xfc886fff,0xb999999c,0x0f880ffe,
    0x7ffffcc0,0x800fa800,0x804ffffa,0xd11e446a,0x3fffa000,0x40274406,
    0xd82ffffb,0x800fffff,0xffa804fd,0x7ffc04ff,0xff10007f,0x2e000dff,
    0xfd82ffff,0xc800ffff,0x41fdc3ff,0x7ffe404c,0x7ffcc04f,0xff9803ff,
    0xfd005c80,0xf5009fff,0x7ec07fff,0x5fff9800,0x037ffe60,0x40bfff30,
    0x000dfff9,0x07ffff88,0x9ffff500,0x03f55000,0x703ffe20,0x7ffe40ff,
    0x0f74403f,0xfa80df10,0x3e600fff,0x7fc86fff,0xb905fa80,0x3ffffa00,
    0x801f4404,0x404ffffa,0x8fff45e8,0xff50003b,0x07ec07ff,0x17fffdc0,
    0x2fffff44,0x54013e60,0x7c04ffff,0x8000ffff,0x007ffff8,0x05ffff70,
    0x0bffffd1,0xfb81ffd0,0x26007c43,0x200fffff,0x806ffffe,0x3f987ffb,
    0xfffff500,0xffff5001,0x3fd7315b,0x6fff4400,0x027ff4c0,0x81bffd10,
    0x0004ffe9,0x01ffffe6,0x2ffffdc0,0x40069800,0x04fe87fc,0x4effffcc,
    0x009f9510,0xc8803ba6,0xfa81bfff,0xffc84fff,0x20bfa201,0xff5003f9,
    0x3ec01fff,0xbffff500,0x3e27f4c0,0x000e8bff,0x37fffea0,0x01feb98a,
    0x07ffff90,0x0fffffe6,0xf70027d4,0xff80bfff,0x98000fff,0x0007ffff,
    0x207ffff9,0x03fffff9,0x3ee07fea,0xfe802e43,0xff704fff,0x33337fff,
    0xdfffd733,0x3006fe98,0x00bfffff,0x3fffffa6,0x70000cff,0xdffbdffb,
    0x36e00059,0xceffdeff,0x7fdc0002,0xd8001fff,0x8006ffff,0x7c4000ba,
    0x04febacf,0xffffd710,0x0005bfff,0xed9801d5,0xfffedfff,0xffb100bd,
    0xdd975359,0x00dfd303,0x17ffffe6,0xd800ffe4,0x99afffff,0x43fffdb9,
    0x002ffffc,0xffffe980,0x2000cfff,0x205ffffe,0x41fffffc,0x7ec000da,
    0xf300efff,0x0005ffff,0x03fffff7,0xbffffd00,0x7ffffe40,0x80eff4c1,
    0x00fe63fb,0x07ffffd4,0x3fffffe2,0xffffffff,0x3f25ffff,0xa80defff,
    0xfffffffd,0x5551001f,0x40000135,0x00001a98,0x0001a988,0xffffdc98,
    0x200cdfff,0xfffffec9,0x08802cef,0x6765c000,0x5310001b,0x00000155,
    0x26aaa600,0x6e5c4001,0xf901abde,0x501bdfff,0xfffffffb,0x3fffa63f,
    0x766441df,0xffffffff,0x2fffffff,0x000e6d44,0x2aaaa200,0xfdb30009,
    0x19dfffff,0xbfffffd0,0xfd930004,0x59dfffff,0x3fffff6e,0x64c04dff,
    0xfffffffd,0x3b6600cd,0xceffffff,0xfffffe80,0xd5002665,0x401bfa65,
    0x05fffff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbdffff90,0xffffb501,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeed88053,0x20030004,0x00d500e9,0x06e01b80,
    0x00000000,0xaaaa8800,0x8000001a,0x00019aa9,0x09805000,0x30000300,
    0xfffffffb,0x004405bf,0xb3000000,0xffffffff,0xffffffff,0x00000001,
    0x00000000,0x12204880,0xf101f800,0x26666001,0x00000000,0x0c0d4c40,
    0x00d4c400,0x35407003,0x7ffecb70,0xffb802ef,0x7fffe404,0x3ffe6001,
    0x30adf801,0xc80009f7,0x001fb81f,0x07fffe20,0xd327ec00,0xfff7107f,
    0x3000009f,0xdb9bdff9,0xff0005bf,0xfff985ff,0x803ffe81,0x04e880ec,
    0x3fffff60,0x881fb800,0x77dc005d,0x3fff6002,0xebaa99df,0xd1000fff,
    0x0177547f,0xdd31fec4,0x1eea8005,0x40cf8000,0x3a0005e8,0x0dd510af,
    0x027ffdc0,0xd837f200,0xffd3004f,0x0b139ffd,0x3fffae20,0xe88aceff,
    0xf9817200,0x47f7309d,0xb000fffd,0xff8801df,0x36006fff,0xfc804fff,
    0x01ffffff,0x6fffcc00,0x40006ffe,0x0001fffa,0x3f23fff7,0xfffd00ff,
    0x75400009,0x774c01cf,0x5fff5000,0xa8bfff90,0xf8807fff,0x003fea1e,
    0x05ffffb8,0xfe98bfa0,0x3ffe2001,0x3ffee006,0x03fee04f,0xe87ffe40,
    0xffc806ff,0x00dffd0f,0x0037ffc4,0x7ef7fec0,0x2a0003ff,0x3fffffff,
    0x03ffe400,0x27fff100,0x6402fffa,0x3fa60aff,0xfffb806f,0xfc988adf,
    0xbf300fff,0xfffffd80,0x1bff60ff,0x4017fe40,0x2ffa9ffd,0x09fff900,
    0x3fffffa0,0xff900003,0x0003ffff,0x0002ffd8,0x7e47ffea,0x3fff607f,
    0x9f900004,0x02fb8001,0xf902ffc8,0xfff98bff,0x73ff9007,0xfa8007ff,
    0x2a004fff,0x04ffabff,0x03fffcc0,0x09ffff50,0xf9000fb8,0x1bffa1ff,
    0x743fff20,0x3e6006ff,0x880007ff,0x06ffffff,0xffffc800,0xff90005f,
    0x3fe20005,0x03fff53f,0xfb01ffd4,0x7ffec40d,0x07ff4c06,0x2202ff44,
    0x42fffffe,0xff005ffd,0x0ef9801f,0x74401be6,0x3ae000ef,0x400002df,
    0x001efffb,0x0017fc40,0xdb11f640,0x27ffe405,0x0bfa2000,0x401f8800,
    0x3fa203ff,0x03ffd81f,0xdfffff10,0xffff5000,0xfffe8009,0xfd8000ff,
    0x3fea004f,0x3e2084ff,0x45db1000,0xd8801ee9,0x007ba62e,0x0009ffb0,
    0x13fff620,0xefda8000,0x27ec0003,0x419d7000,0x7ff404ec,0xe81fa200,
    0x9800ffff,0x7ff440ff,0xdfec8805,0x805ffd81,0x7401fff8,0x4005d305,
    0x00000001,0x00002600,0x000017d4,0x7ffe4000,0x3fa20004,0x06a80000,
    0x00c00fea,0xff700022,0xf50005ff,0xa8009fff,0x0003ffff,0xff500026,
    0x6c4889ff,0x00000000,0x03300000,0x00310000,0x00000000,0x000001f6,
    0x00fffc40,0x7ffe41e6,0x83ee001f,0xaaeffff9,0x3f60000a,0xfff8805f,
    0x00000002,0x00031000,0x0cd54400,0x00110018,0x32000000,0x20004fff,
    0x200002fd,0x0001102d,0xed880000,0xff50004e,0xdb0009ff,0x000000bd,
    0x89ffff50,0x0000044b,0x00000000,0x00800000,0x00000000,0x00000060,
    0x077ffcc0,0x3ffe61a0,0x30f8005f,0xffffffff,0x7ec0003f,0x9ffd005f,
    0xa8800000,0x4c01aaaa,0xdefeffec,0xd910000c,0x9fffdfff,0x00001aa3,
    0x555554c0,0x2aaaa22a,0x9a7ffe41,0x7dc01cdb,0x99ee4404,0x002442aa,
    0x1aaaaa88,0x00aaaaaa,0x3ea00000,0x00004fff,0xcedc9800,0x5019999b,
    0x4d89ffff,0x7ffffdc0,0xfb00dfff,0x3665ffff,0xfffffffe,0x7fffcc2d,
    0xffffffff,0x0000ffff,0xfd98001d,0xffffffff,0x0fffffff,0xfc87bea0,
    0xfffd980d,0xffffffff,0x220fffff,0x202effff,0x3ffffd82,0x7dc0b800,
    0xfdb305ff,0x5bffffff,0x6c017ff6,0xfffd85ff,0xf710007f,0x32209fff,
    0x3aa22eff,0x7d4003ff,0x7dc40dff,0xfd986fff,0xdfffffff,0xfffd3003,
    0x7fd443df,0x67ffe40c,0x05fffffa,0x7ff501be,0xb0bfff3b,0x5fffff98,
    0x2ffffdc4,0x54ffffd5,0xfffffffd,0x001cdeef,0x427fffd4,0xffffffd9,
    0xffffffff,0x7fe440ff,0xfffffc9d,0xffffa80f,0x6c013e24,0x002fffff,
    0x7fec09fb,0xff500eff,0x7333359f,0x005fffff,0x8000fee0,0x99dffffd,
    0x0fffebaa,0x7cd7ffe0,0x7fec03ff,0xbaa99dff,0x7f40fffe,0x801effff,
    0x02fffff8,0xbfff7000,0xdffffb00,0x005ffd81,0x3f20bff9,0x6c0007ff,
    0xffa84fff,0xfff300ef,0xffd8801d,0x7fec403f,0x7ffff406,0xff88000e,
    0x20d905ff,0x99eefffc,0xfa83fffd,0x4cbff203,0x0d82fffe,0xd05fffe8,
    0xffa8bfff,0xfffe887f,0xfffcaabf,0xfff5003f,0xfffd809f,0xebaa99df,
    0x7fec0fff,0x556ffec7,0xdffffa80,0x1004ffb9,0x009fffff,0xfff701b6,
    0x077dc0bf,0x0bffffd0,0x0037f400,0x09ffff70,0xff007fdc,0x0fffe2bf,
    0x09ffff70,0x3ee07fdc,0x1dffffff,0x3ffffea0,0xff700000,0xfff700bf,
    0x0bffb0bf,0x5c0ffee0,0x40007fff,0x7c44fffc,0x7e401fff,0x7ff406ff,
    0x1bf6006f,0x09ffff90,0x3fffe400,0xfff902e8,0x1ffff83f,0xffa807ec,
    0x03fffe26,0x3fff6072,0x8bfff905,0xfb07fffa,0xff985fff,0x7d400eff,
    0x7dc04fff,0x3ee04fff,0x17ffea0f,0x5403fff5,0xffffffff,0x3fee004f,
    0x7cc00fff,0x7fffdc01,0xc803b204,0x000fffff,0x005fff50,0x13fffea0,
    0x75401f70,0x0033ae1d,0x809ffff5,0xfffc80fb,0x80cfffff,0x007ffffc,
    0x17ffee00,0x13fffee0,0x6c017ff6,0xfff501ff,0xffc8000f,0x2fffec4f,
    0x03fffe80,0x003ffff7,0x3ee037c4,0x20004fff,0x442ffff8,0x17fff207,
    0xf893fff6,0x43fff305,0x5706fff9,0x20bfff90,0x7d45fffc,0xfff907ff,
    0xffff305f,0x7ffd401d,0x7ffd404f,0x907dc04f,0xffa89fff,0x3ffea04f,
    0x04fe98cf,0x27ffff40,0x3ea01360,0x0b204fff,0x3fffff98,0x3fff6000,
    0xfff50005,0x07c4109f,0x3ea00000,0x22084fff,0xffff900f,0xd81dffff,
    0x0006ffff,0x017ffee0,0x213fffea,0xf8805ffd,0x3ffea02f,0x7fe40007,
    0x3fffee4f,0xffff9003,0x5ffff983,0x5c06b800,0x0004ffff,0x2e37ffec,
    0x13fff204,0xf99bffee,0xa8dffd03,0x03b03fff,0x320bfff9,0x7fd45fff,
    0xffff907f,0x3fffe605,0x3fffea05,0x7fffd404,0xd83e2084,0x7fcc3fff,
    0x3ffea05f,0x0013e24f,0x01fffff5,0x3ea003ea,0x01604fff,0x00dffffd,
    0x7ffffcc0,0xfffa8001,0x0362444f,0x54555555,0x2a02aaaa,0x2444ffff,
    0xffea8036,0x20ffffff,0x007ffffc,0x17ffee00,0x13fffea0,0xf7017ff6,
    0xfffa805b,0x7fe40007,0x3ffffe4f,0xffff7000,0x2ffffe8b,0xfb80b000,
    0x40004fff,0x3a1ffff9,0x13fff201,0xfa9fffee,0x43fff982,0x1f01fffc,
    0x20bfff90,0x7d45fffc,0xfff907ff,0x7fff405f,0xffff501f,0xffffa809,
    0xb8362444,0x7fd44fff,0x3ffea03f,0x4002644f,0xd04ffffe,0x3ffea005,
    0xfb80204f,0x0001ffff,0x17fffff2,0x3fffea00,0x2a0225c4,0x3a66fffe,
    0x3ea07fff,0x225c4fff,0xffff7000,0x7fdc5fff,0x00000fff,0x500bfff7,
    0xfb09ffff,0x017dc0bf,0x2a7fffa8,0xfc800add,0xffff34ff,0x7ffcc00f,
    0x3fffe26f,0x7000001f,0x0009ffff,0x26bfffd0,0x27ffe406,0xb87fffd4,
    0x0fffd81f,0x441fffe2,0x0bfff906,0xf517fff2,0x3ff20fff,0x3ff202ff,
    0xfff505ff,0xfffa809f,0x10225c4f,0xffa89fff,0x3ffea01f,0x02824c4f,
    0x07ffffe6,0x7fd400d9,0xf88004ff,0x0005ffff,0x3fffe7e2,0x7fd4000f,
    0x8026c4ff,0x7dc6fffc,0x3fea07ff,0x2026c4ff,0x3fff2008,0x3ffea5ff,
    0x700001ff,0xf500bfff,0xffb09fff,0x02eea80b,0x6c7fffd4,0xc806ffff,
    0xfff54fff,0x7fcc00ff,0xfff30fff,0x000001ff,0x013fffee,0x3fffea00,
    0x7fe403c8,0x7fffa84f,0x3ffe03ee,0x827ffdc6,0xbfff904a,0x517fff20,
    0x3f20ffff,0x3ea02fff,0xfa80ffff,0x7d404fff,0x026c4fff,0x3f63ffdc,
    0x7ffd404f,0x03a8384f,0x12ffffec,0x7fd4003f,0xfd8004ff,0x0000ffff,
    0x7fffed72,0x7ffd4004,0x4013e24f,0x7d46fffb,0x3fea07ff,0x013e24ff,
    0xffe88075,0xffff10ff,0x2e00005f,0xfa805fff,0xffd84fff,0x405ff005,
    0xaceffffa,0x6404fffe,0xfff94fff,0x7fc400df,0xfff71fff,0x400000ff,
    0x004ffffb,0xf9ffff00,0x4fffc801,0x2a6fffa8,0x2fffc40f,0x6c0bfffe,
    0x0bfff900,0xf517fff2,0x3ff20fff,0x3fe602ff,0xffa81fff,0x7fd404ff,
    0x013e24ff,0x7ed77ec4,0xfffa802f,0x805d004f,0xb1fffff8,0xfffa8009,
    0x7fcc004f,0x40003fff,0xfffff31f,0xffffa800,0x004ffb9d,0xfa8dfff7,
    0x3fea07ff,0x4ffb9dff,0x74403540,0x3ff21fff,0x700004ff,0xf500dfff,
    0xffb09fff,0x07ff200b,0x51ffffd4,0xfc80dfff,0xffffb4ff,0x7ffc400d,
    0xffff92ff,0x5c00000d,0x0004ffff,0x0bffff70,0x709fff90,0x17c4bfff,
    0xed8fffea,0x04c80fff,0x6417fff2,0x7fd45fff,0xffff907f,0x7fffc405,
    0xffffa82f,0x7fffd404,0x004ffb9d,0x006f33aa,0x04ffffa8,0xfc801fc8,
    0x00faefff,0x27fffd40,0x3ffffa00,0x235c0006,0x003ffffe,0x3fffffea,
    0xf7004fff,0xfffa8dff,0x3fffea07,0x404fffff,0xffb801fa,0x7ffffc47,
    0x7d414001,0x7d4126ff,0xffd84fff,0x09ff7005,0xf31fffea,0xffc80fff,
    0xdffff94f,0x7fffc400,0xfffff91f,0x7dc00000,0x00004fff,0x005ffff1,
    0xf909fff9,0x5c3f87ff,0xfd795fff,0xc80d50df,0xff905fff,0x7fffa8bf,
    0x05ffff90,0x1fffffc4,0x02ffffdc,0x3fffffea,0xd8804fff,0x7fdc0006,
    0x7fdc05ff,0xffff8800,0xfa8003ff,0x2e004fff,0x001fffff,0x3fea1740,
    0x3ea006ff,0xfe98cfff,0xdfff7004,0x207fffa8,0x98cffffa,0x37d404fe,
    0x542ffd40,0x2006ffff,0xbfffd05d,0x3ffea03d,0x05ffd84f,0x2a0dff90,
    0x7fcc7fff,0x3ff200ff,0xfffff74f,0x7fffcc00,0xfffff50f,0x7776dc01,
    0xb80deeee,0x0004ffff,0x401fff20,0x7c1ffffc,0x4c4e86ff,0xfd6fffff,
    0x261e98bf,0x82fffe42,0x7d45fffd,0xfff907ff,0x7ffc405f,0xfffd82ff,
    0x3fea00ef,0x4fe98cff,0x0005fd80,0x57ffffec,0xfffba999,0x3ffee007,
    0xff50007f,0x3e2009ff,0x0004ffff,0xffff8354,0xfff5002f,0x8027c49f,
    0x7d46fffb,0x3fea07ff,0x013e24ff,0xfd80bff5,0xffff900f,0x01ee8807,
    0x405bffb1,0xd84ffffa,0xffb005ff,0x1fffea0b,0x401ffff3,0xff34fffc,
    0x26001fff,0x3e27ffff,0xc801ffff,0x202fffff,0x004ffffb,0x013fe600,
    0x5f77ffe4,0xc81fffd9,0x0effff86,0xbd53fff7,0x7fe40d81,0xffffd05f,
    0x907fff98,0x4c05ffff,0x930fffff,0xdffffffd,0xffff505b,0x22027c49,
    0xccccefff,0xfec981bc,0xffffffff,0x06ffffff,0x1bfffe20,0x7fffd400,
    0xffffb004,0x6c03100d,0xbffff903,0x3fffea00,0xfb802644,0x7ffd46ff,
    0x3fffea07,0x3ea02644,0x7dc41eff,0x7ffcc02f,0xf95109df,0x54004009,
    0xfd84ffff,0x9fff005f,0x31fffea0,0x6401ffff,0xfff14fff,0x3ee001ff,
    0x7ff45fff,0xff9802ff,0x7fdc06ff,0x006004ff,0x7e4007f6,0xffff9cff,
    0x985f102d,0xcedb84ed,0xfc83a80a,0x7ff4c5ff,0xff31efff,0x3fff20ff,
    0x3ffea02f,0x00bee07f,0x227fffd4,0x7ffc404c,0xffffffff,0x7d40000e,
    0xfff10002,0x3ea000df,0xfa804fff,0xc802ffff,0xfffff302,0xffffffff,
    0xffff5001,0xb8504989,0x7fd46fff,0x3ffea07f,0x52824c4f,0xbbdfb55d,
    0x22001bff,0xffffffeb,0x373002df,0x9ffff500,0x100bffb0,0x3ea05fff,
    0x7ffcc7ff,0x3fff200f,0x0bfffee4,0x07fffe40,0x00fffff2,0x01bfffe6,
    0x009ffff7,0x002d4034,0x54c9fff9,0x000fa800,0xff906800,0x3e6000bf,
    0xfff907ff,0x7ffdc05f,0x00df706f,0x227fffd4,0x7fec5049,0xffffffff,
    0x3ee0006f,0x3fe20005,0xf50006ff,0xf8809fff,0x8805ffff,0xc809901f,
    0xa804ffff,0x8384ffff,0x37ffd43a,0xa81fffea,0x8384ffff,0xea88113a,
    0x2200009c,0x4000aec9,0x5401fff9,0xfd84ffff,0xfff9805f,0x8ffff501,
    0x200ffff9,0x7f44fffc,0xffd006ff,0x3fffa09f,0xffff9806,0x7fffdc06,
    0x900b7004,0x7ffe4005,0x01760004,0x3205b000,0x30005fff,0x3f20dfff,
    0x3f602fff,0xbfd01fff,0x7fffd400,0x6c3a8384,0xffffffff,0xd0000fff,
    0x7c4000bf,0x50006fff,0xc809ffff,0x800fffff,0x00f881fb,0x07ffffcc,
    0x13fffea0,0x3fea1740,0x3fffdc7f,0x09ffff50,0xdf300ba0,0x3fa00005,
    0xfff98004,0x7fffd404,0x005ffd84,0x3ea01fff,0x7ffcc7ff,0xffb8540f,
    0x7fffd43f,0x77ffe401,0x3ffff100,0x6ffff980,0x27fffdc0,0x8f224e80,
    0x7fe40068,0x3e20004f,0x2d880003,0x017fff20,0xdfff1198,0x0bffff20,
    0x82ffffc4,0x5001fff8,0x2009ffff,0x339f912e,0xffd73333,0x3ffe0001,
    0xfff10000,0x3ea000ff,0x3e604fff,0x9803ffff,0x005c80ff,0x809ffffd,
    0x804ffffa,0x7ffcc1fc,0xfffff50f,0x3fffea01,0x401fc804,0x80006ffa,
    0x8001ffd8,0x7d403da9,0xffd84fff,0x05ff9005,0xf31fffea,0xb7e41fff,
    0xf982fffa,0x3fe605ff,0x7fd400df,0x3fe600ff,0x7fdc06ff,0x4fa804ff,
    0x01dc7ffa,0x013fff20,0x001bb100,0xf9007a60,0x3e600bff,0x05fff88f,
    0x205ffff9,0x200ffffc,0xa800dffc,0xc804ffff,0x500ff91f,0x7e4000bf,
    0xf98000ef,0x70007fff,0x740bffff,0xb806ffff,0x03f987ff,0x1fffff50,
    0x2ffffdc0,0x3603fee0,0xfcfdefff,0xff701fff,0xffb80bff,0x007fc800,
    0x005ff100,0x3ee00740,0xffd85fff,0x1dfb000f,0x98ffff70,0x3f61ffff,
    0x440bff57,0x74c0dffe,0x322004ff,0xfa81bfff,0x7e404fff,0x7d405fff,
    0x22fffe3f,0x7fec000e,0xf700005f,0x0eecc005,0x037ffec0,0xfff1ffa8,
    0x3ffff601,0x0efffb83,0x67fffc40,0x3fffee03,0xc87fdc05,0x3fa201ff,
    0x3fe20002,0x2e003dff,0x001fffff,0x06ffffd8,0x37fffff7,0xfd733333,
    0x6fe98dff,0xfffff300,0x7fffec0b,0xfba999af,0xffd107ff,0xffff51df,
    0xffffb05f,0xf753335f,0xfd100fff,0xf9100009,0x3930001f,0xdffffb00,
    0x39dddd90,0xc89fd700,0x3ee0ffff,0x3fe62fff,0xb800ffda,0xeffdeffd,
    0xdb30002c,0xfffdbfff,0xffb0017b,0x33335fff,0x645fffb7,0x4002ffff,
    0x006ffff8,0x2f7b6200,0xddba988a,0x3fffa001,0x2f3fa007,0xffd103ff,
    0xfb533bff,0x5c4009ff,0x3f601cfe,0x999affff,0x227fffba,0xba9acffd,
    0x80001eec,0x403efeb8,0xfffffdc9,0x2600cdff,0xffffffec,0xffff12ce,
    0xffffffff,0x4bffffff,0x0deffffc,0xfffffda8,0xfd931fff,0xffffffff,
    0x0dffffff,0x26000a88,0xffffffec,0xffffffff,0x33b6206f,0xdeb80003,
    0x8030000c,0xfffffec9,0x00002cef,0xffffd8a2,0xffffb9ff,0x336e23ff,
    0x35310002,0x2a600000,0x930019aa,0xfffffffd,0xffffffff,0x0e6d443f,
    0x3bbba600,0x00003dee,0x5e76dd4c,0x3fa6000a,0x801effff,0xa80bdca8,
    0xffffffec,0x001ceeff,0xffd93000,0xffffffff,0x10dfffff,0x357bdb97,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02022000,0x00000000,0x00003531,0x20001710,0x005b103d,0xaa880000,
    0x2000300a,0xa8009999,0xffffeeec,0xd910efff,0xbfffffff,0xfffed881,
    0xeeb804ff,0x1eeeeeee,0x7ffffcc0,0x03710005,0xffffec80,0x801d8001,
    0xeeeeeeec,0x774c00ee,0xffffffff,0x5003ceee,0x3ffffffd,0x7ffffe40,
    0x1fffffa5,0x3fff6600,0x03dfffff,0x00000000,0x33333330,0x3bb20133,
    0x0eeeeeee,0x3bbbbaa0,0x0002eeee,0xcffb8800,0x754007a0,0x0f88adff,
    0x3625fd80,0x36a0003f,0xceffeffe,0x7fcc0000,0x4fb8001f,0xe9803f4c,
    0x7644002e,0xceffefff,0xf1000d51,0x7cc01fff,0x99efffff,0x7fec04fb,
    0x7c400fff,0x3f2003ff,0xffffffff,0xbfffd001,0xbfbf9000,0x3fff7000,
    0xb0069800,0xffffffff,0x7ff4001f,0xfca99bff,0xf7001eff,0x401dffff,
    0xfd80efc8,0x740007ff,0x000effff,0x36000000,0xffff305f,0x20bfffff,
    0xfffffffe,0x3fea00ff,0x3fffffff,0x01fffe80,0x7fffff40,0x3fe007de,
    0x05ffffff,0xf92fffa8,0xc88001ff,0x3ea22eff,0x320003ff,0xd0005fff,
    0x00bfeabf,0x8007fff4,0x441cfffa,0x006ffffb,0x201fffb8,0xfffffffa,
    0xf700bea6,0xf300bfff,0xeeb8003d,0x1eeeeeee,0x0bfffb00,0x0ba0f880,
    0x03fff300,0xd9003c80,0xdddddddd,0x7ffe4001,0xffffa82f,0xffff9003,
    0x03f880bf,0x000ffff7,0x04ffffc8,0x20000000,0xf982fff8,0xffffffff,
    0xddddd905,0x5401dddd,0xeeeeeeee,0x7ffd402e,0x3be2005f,0x04ffffff,
    0xffff9d50,0xff5005ff,0x03ffee5f,0x0ffffa80,0x01dfff30,0x07fff500,
    0x3fbfea00,0x3ffe006f,0x7fec401f,0x7fec403f,0x1ffd8006,0x3ffffe20,
    0x07ea6fff,0x0bffff50,0x0000df98,0xffc80000,0x225c005f,0x7fcc005b,
    0x007c001f,0xf7000000,0x3f605fff,0xfb800fff,0x404fffff,0xffff502f,
    0xfffb8000,0x0000004f,0x40ffec00,0xaaaaaaa8,0x000001aa,0xffe80000,
    0x95001ffe,0x033ffae2,0xbd951640,0x12764003,0x7c4005db,0x7d401fff,
    0xd90006ff,0x7f400019,0x32001fff,0xffe805ff,0x1bf6004f,0x803ff100,
    0xfffffffb,0x5007ea6f,0x540bffff,0x2200004f,0x3ff20001,0x234c005f,
    0x7fcc003d,0x016a001f,0xf7000000,0x3ea05fff,0xdb802fff,0x02fffffe,
    0x7ffd40ba,0x7fdc0007,0x000004ff,0x01fcc000,0x00000000,0x3fee0000,
    0x1006fd8a,0x00001101,0x00000000,0x4017fffa,0x0003ffff,0x3fea0000,
    0x0198005f,0x00ffffb8,0x7001ba20,0xfffb003f,0x54dfffff,0x7ffd401f,
    0x005f705f,0xeffec980,0x9000cdef,0xd000bfff,0x8001fb7b,0x2001fff9,
    0xffed882d,0x42deffff,0x0dffffed,0x02ffffb8,0x00bffff3,0xfffff397,
    0x540ba03f,0x40007fff,0x004ffffb,0xffffed88,0x76c2deff,0x1bcdffff,
    0xf90f7d40,0xffdb301b,0x25bfffff,0xffffffd9,0xffffffff,0x03be20ff,
    0x020005f9,0x00000000,0x7fdc0002,0xffb003ff,0x000003ff,0x00000000,
    0x05ffff98,0x44006b80,0xffffd000,0x7d4dffff,0x7fffd401,0x0001ed85,
    0x88bbff22,0xc803ffea,0x88005fff,0x98000cfb,0x32a01fff,0x7f400fed,
    0xfc806fff,0x3ffee00e,0xffff502f,0x3ea9700b,0xe80effff,0x8ffff502,
    0x01aaaaaa,0x009ffff7,0x6ffffe80,0x000efc80,0xff9afffc,0x7ffec03f,
    0x3ff600ef,0xbaa99dff,0x36e0fffe,0x20009700,0x76cc000e,0xdfffffff,
    0x000e8002,0x00fffff8,0x4bffff50,0xffffffd9,0xffffffff,0x3bea00ff,
    0x26037f21,0xffffffed,0x3fffa2df,0x00b0002f,0x6fe43df5,0xfffffe80,
    0x07ea6fff,0x4bffff50,0x20000de8,0x300efffa,0x6401dfff,0x70005fff,
    0x3e60007f,0xcfe881ff,0x3202fffb,0x8804ffff,0x7ffdc03f,0xffff902f,
    0x7dc97007,0x2e85ffff,0x98ffff50,0x700beffd,0x0009ffff,0x04ffffc8,
    0xf8003f88,0x7fff15ff,0x5ffffb80,0x27fffdc0,0x0001ff70,0x007f7000,
    0x77fffec0,0x07f70000,0x7ffff980,0x3fffea00,0xbffffb06,0xffd75533,
    0xafffc01f,0x6c03fff9,0x440effff,0x000fffff,0x57ffe000,0xfc83fff9,
    0x6fffffff,0xff5007ea,0x0ffe6bff,0xffff8800,0x37ffe401,0x00bfff90,
    0x4001bfa0,0x7c41fff9,0x03fffa5f,0x01ffffe4,0x7fdc02f8,0xfffd02ff,
    0xd897001f,0x743fffff,0x0ffff502,0xfb801bf3,0x40004fff,0x003ffffc,
    0xbd50005f,0x200675c3,0x404ffffb,0x404ffffa,0xdec980fb,0xe8000c8a,
    0x3ee0006f,0x20005fff,0x7d4006fe,0x26007fff,0xb80fffff,0x2e04ffff,
    0x3ffe00ff,0x807fff15,0x985ffffb,0x000fffff,0x57ffe000,0xfa83fff8,
    0x6fffffff,0xff5007ea,0xffff7bff,0x3ff60003,0xfffd005f,0x17fff207,
    0x0bffea00,0x07ffe600,0x3fe69ffb,0xfff703ff,0x00be007f,0x885ffff7,
    0x001ffffe,0xfffe8897,0x540ba2ff,0x05d87fff,0x09ffff70,0xffffb800,
    0x0005f003,0x3fea0000,0x7fd404ff,0x3e2084ff,0x75dffdc0,0x7d4001ff,
    0xf70002ff,0x20009fff,0x2002fffa,0x006ffffc,0x07ffffe2,0x013fffea,
    0x6f5401f7,0x70033ae1,0xf709ffff,0x0000ffff,0x2e1dea80,0xfff880ce,
    0x2a6fffff,0x7ffd401f,0xffffffff,0x7ffdc000,0xfff9003f,0xbfff903f,
    0xbfffb000,0x3fff3000,0xcc97ffcc,0xff702fff,0x0be007ff,0x9bffff70,
    0x07ffffdd,0xff884b80,0x05d0ffff,0xb91fffea,0x7fffdc00,0x7fdc0004,
    0x05f003ff,0x8aaaaaa0,0x202aaaaa,0x404ffffa,0x444ffffa,0x0ffe06c4,
    0xfd8003fb,0xf50005ff,0x20009fff,0x2005fffd,0x006ffffd,0x0bffffe2,
    0x213fffea,0x00003e20,0x9ffff500,0x0dffff90,0x00000000,0x7fffffd4,
    0x5007ea6f,0xff5dffff,0xf800dfff,0x7000ffff,0xf90bffff,0xf9800bff,
    0x4001ffff,0x3f21fff9,0x5931f0ff,0x1ffffdc0,0x7dc02f80,0xfffbcfff,
    0x4b8003ff,0xdfffff30,0x7ffd40ba,0xf7001b27,0x80009fff,0x003ffffb,
    0x3faa005f,0x3ffa66ff,0x3ffea07f,0x7ffd404f,0x50225c4f,0x02f88bff,
    0x3ffffe60,0xfffa8001,0xff98004f,0xf9001fff,0x4400dfff,0xa82fffff,
    0x2444ffff,0x55555036,0x15555545,0x09ffff50,0x00fffff9,0x55555000,
    0x15555545,0xffffffa8,0xf5007ea6,0x3feabfff,0xf3004fff,0x4c00ffff,
    0xfc86ffff,0x7e4005ff,0x4005ffff,0x3f61fff9,0x2005a9ff,0x003ffffb,
    0xfffb805f,0xfffff72f,0x204b8003,0xedfffffb,0x2ffff502,0x2e002ffd,
    0x0004ffff,0x01ffffdc,0x3f2002f8,0x7ffdc6ff,0x3fffea07,0x7fffd404,
    0x3f2026c4,0x00ae0dff,0x5fffffc8,0xffffa800,0xfffc8004,0xff7005ff,
    0x7cc00fff,0xfa80ffff,0x225c4fff,0x6fffea80,0x81ffffa6,0xa84ffffa,
    0x5c07ffff,0xeeeeeeed,0x3fffaa0d,0x1ffffa66,0x6fffec98,0xff5007ea,
    0x7ffe4bff,0xffa803ff,0x3e6007ff,0x7e40ffff,0x3e2005ff,0x00fffff9,
    0xf87ffe60,0x002dafff,0x00ffffee,0x3fee017c,0x3fff62ff,0x025c006f,
    0x3ffffff6,0xbffff502,0x2001ffff,0x004ffffb,0x3fffee06,0x4005f003,
    0x7d46fffb,0x3fea07ff,0x7fd404ff,0x013e24ff,0x03fffff5,0xfff3f100,
    0xfa8001ff,0x44004fff,0x0fffff9f,0xfffff980,0xffff5000,0x3fffea0f,
    0xfc8026c4,0x7ffdc6ff,0x3fffea07,0xfffff984,0xffffc800,0xdfff901f,
    0x007fffb8,0x01fa9ba6,0x22ffffd4,0x01fffffd,0x037fffe4,0x3fffff10,
    0x005fffc8,0x7fffed72,0x3ffe6004,0x1f3fffe1,0x7ffff700,0xf700be00,
    0x7fc45fff,0x2e004fff,0xffffe804,0xffff502f,0x00bffffb,0x013fffee,
    0xffffb868,0x4005f003,0x7d46fffb,0x3fea07ff,0x7fd404ff,0x4ffb9dff,
    0xffffff80,0xfdae4003,0x54004fff,0x4004ffff,0x9ffffb5c,0xfffff100,
    0x3ffee001,0xffff505f,0xb8027c49,0x7fd46fff,0x3ffea07f,0xfffff04f,
    0xffff3003,0x37ffdc0d,0x001fffea,0x200fd4d9,0x445ffffa,0x00ffffff,
    0x01bffff6,0x2fffff88,0x002fffe4,0x3fffe63f,0x3ffe6007,0x13ffff61,
    0x7ffff700,0xf700be00,0xffa85fff,0x97001fff,0xfffff100,0x5fffea05,
    0x802ffffa,0x004ffffb,0xffff70b7,0x800be007,0x7d46fffb,0x3fea07ff,
    0x7fd404ff,0x4fffffff,0xfffffb80,0x4c7e005f,0x4007ffff,0x004ffffa,
    0xffff98fc,0xffff7007,0x3fff2005,0xffff501f,0x009ff73b,0xf51bffee,
    0x7fd40fff,0xfff704ff,0xfff3007f,0x7ffdc0df,0x03fffd46,0x01fa9b20,
    0x42ffffd4,0x06fffff9,0x01bffff2,0x1fffff88,0x802fffe4,0x7ffff46b,
    0x3fff3003,0x017fffdc,0x0ffffee0,0x3ee017c0,0xffd82fff,0x4b800fff,
    0x5ffff300,0xd9fffea0,0x5c00ffff,0xd004ffff,0x7ffff709,0xb800be00,
    0x7fd46fff,0x3ffea07f,0x7ffd404f,0x04fe98cf,0xffffff50,0xfe8d7007,
    0x2a003fff,0x2004ffff,0x7ffff46b,0xdffff003,0x9ffff100,0x7ffffd40,
    0x7004ffff,0xffa8dfff,0x3ffea07f,0x3fffa04f,0xffff9807,0x1bffee06,
    0x800ffff5,0x5007ea6c,0x2e0bffff,0x705fffff,0x400fffff,0x40fffff9,
    0xd005fffc,0x6ffffa85,0x43fff300,0x80effff9,0x7ffff703,0xf7007e00,
    0xfd105fff,0xb700bfff,0x17ffdc00,0x227fffa8,0x5c05ffff,0xa804ffff,
    0xffffb84f,0x4003f003,0x7d46fffb,0x3fea07ff,0x7fd404ff,0x013e24ff,
    0x6ffffe98,0x7fd42e80,0x3ea006ff,0x3a004fff,0x37fffd42,0x1ffffa80,
    0x077ffdc0,0x19ffff50,0x2e009fd3,0x7fd46fff,0x3ffea07f,0x3ffe204f,
    0x7ffcc02f,0x3ffee06f,0x03fffd46,0x01fa9b20,0x02ffffd4,0x0bfffffb,
    0x01fffff3,0x1ffffe60,0x201bfff6,0xfffff06a,0x3fff3005,0xaeffffc8,
    0xff701d98,0x07e007ff,0x07ffff90,0x0fffffe6,0xfc800db0,0xffff702f,
    0x03ffffa8,0x017ffff2,0xff707ff5,0x07e007ff,0x46fffb80,0x2a07fffa,
    0x5404ffff,0x2644ffff,0xffd882a0,0x41aa00ff,0x002fffff,0x009ffff5,
    0x7fffc1aa,0xfff5002f,0x77ffc40b,0x7fffd400,0x5c013e24,0x7fd46fff,
    0x3ffea07f,0x7ffcc04f,0x3ffe601f,0x3ffee06f,0x03fffd46,0x01fa9b20,
    0x07ffffe4,0xffffffa8,0x7ffffc45,0xffff7000,0x0ffffd0b,0x3ff207b0,
    0xff9805ff,0xffffe81f,0x3ee02fff,0x3f003fff,0x5ffffe80,0x3fffff20,
    0x005ff301,0xff902fd8,0xfffe81ff,0xffffb01f,0xb733335f,0xff705fff,
    0x07e007ff,0x46fffb80,0x2a07fffa,0x5404ffff,0x24c4ffff,0xff90b728,
    0xf903d80f,0x2a00bfff,0xb004ffff,0x3ffff207,0x3ffa6005,0x6fff4c0d,
    0xffffa800,0xfb802644,0x7ffd46ff,0x3fffea07,0xfffc8804,0xffffa80b,
    0x1bffee04,0x800ffff5,0x2207ea6c,0xffffffec,0x3fff20de,0x24ffffff,
    0x002ffffb,0x4c1ffff9,0x1efffffe,0xffffff30,0x1fffffff,0x81fff980,
    0x2dffffeb,0x1ffffcc0,0x6cc07c40,0xeffffffe,0xffffe80c,0x3fffaa5f,
    0x5d1003ef,0xffffffb0,0x3ffffea5,0xfffd934f,0xffffffff,0x303fffff,
    0x1007ffff,0x7fd4001f,0x3fffd46f,0x09ffff50,0x84ffffa8,0x85f73a83,
    0x3e605ff9,0xffffffff,0xa800ffff,0x9804ffff,0xffffffff,0x000fffff,
    0x7ef7fed4,0x2a001dff,0x24c4ffff,0x37ffdc28,0xa81fffea,0x2004ffff,
    0xedefffd9,0x400bdfff,0x7d46fffb,0x364007ff,0x080003f5,0xfffe8000,
    0x9fffd006,0x099000c0,0x04ffffc8,0x740fffcc,0x22001531,0xa804ffff,
    0x00040007,0x2200c000,0x00022000,0x44000100,0xa804ffff,0x7ffd4007,
    0x03fffdc7,0x809ffff5,0x004ffffa,0x42ffea5d,0x13201ffb,0x09ffff90,
    0x09ffff50,0xffc80990,0xf30004ff,0x0005ffff,0x709ffff5,0xfffa8750,
    0x03fffd46,0x009ffff5,0x26abea20,0x7ffd4001,0x03fffd46,0x01fa9b20,
    0x013fee00,0x1ffffa80,0x077ffe40,0x4404ffa8,0x7ffcc00f,0x3fe600ff,
    0x00034c1f,0x101bfffa,0x7c40009d,0x800001df,0x00005ffa,0x00003bff,
    0x0001bff3,0x880dfffd,0x7fcc003e,0xffff50ff,0x3ffea01f,0x7ffd404f,
    0x51fc804f,0x3dfdffbf,0x26007c40,0x400fffff,0x404ffffa,0x7fcc00f8,
    0x70000fff,0x001fffff,0x04ffffa8,0xfffa85d0,0x03fffdc7,0x009ffff5,
    0x0006fe40,0x5c7fffa8,0x64007fff,0x80007ea6,0x0001ffd9,0x9817ffe6,
    0x2200dfff,0x17202ffd,0x27ffff40,0xc83fff30,0x7fd40003,0x03f603ff,
    0x09ff9000,0xffb10000,0xff700005,0xf910000b,0xff50007f,0x02ec09ff,
    0xdefffd80,0x01ffffcf,0x80bffff7,0x405ffffb,0x4c110ffb,0x005c800a,
    0x809ffffd,0x404ffffa,0xfffd005c,0x7f40009f,0x54005fff,0xc804ffff,
    0x7fffcc1f,0x1fffff50,0x13fffea0,0x1ffec400,0xffff9800,0x1fffff50,
    0x3f536400,0x2ff98000,0x7ff44000,0x27ff4c0d,0x302ff880,0x3fea007f,
    0xff300fff,0x0000e83f,0xadffffa8,0x001feb98,0x000bfd00,0x00ffe200,
    0x0037ec00,0x0009ff00,0x2b7fffea,0x000eeb98,0x1dfffd10,0x05fffff5,
    0x80dffffb,0x9afffffd,0x7fffba99,0x03f98000,0x1fffff50,0x2ffffdc0,
    0x2a007f30,0x000fffff,0xbffffb10,0xfff70015,0x0ffb80bf,0xfdefffd8,
    0x701ffffc,0x000bffff,0x20003ff8,0xcfdefffd,0x2001ffff,0x0007ea6c,
    0x0006fc88,0x37bff6e0,0x2002ceff,0xdfd306fc,0x3fffe600,0x3fff705f,
    0x300002d4,0xfffffffd,0x26000019,0x000001ff,0x20000df7,0x00001ff9,
    0x40001ff7,0xffffffe9,0x880000cf,0x3b26000a,0xceffffff,0xffffd932,
    0xffffffff,0x8000dfff,0xf3006fe9,0x6c0bffff,0xd306ffff,0x3fe600df,
    0x40005fff,0xefffffeb,0xffffb01d,0xf753335f,0x3fa20fff,0xfffa8eff,
    0xfffd82ff,0x3ee0006f,0x3a20000f,0xffa8efff,0xd9002fff,0xc8000fd4,
    0x00000bce,0x00035310,0xf9017bd7,0x501bdfff,0xfffffffb,0x3bbb723f,
    0x0000ae1e,0x26aaaa20,0xbf300000,0x70000037,0x800017bd,0x0002bdf9,
    0x001bdfa8,0x35555100,0x00000001,0x00000000,0x3ff20000,0xda80deff,
    0xffffffff,0xffffd931,0x3f259dff,0xa80defff,0xfffffffd,0x5d40001f,
    0x2609abcc,0xffffffec,0xffffffff,0x0054406f,0xffffd930,0x20059dff,
    0x0001bdeb,0x00001510,0x001d32dc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeb800000,0xeeeeeeee,
    0x00000001,0x0000cc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000020,0x26a66000,0x00007200,0x00000000,0x20000000,0x00266001,
    0x001aa988,0x00000130,0x31000000,0x0000c035,0x05100c40,0x066aa200,
    0x0cc0000c,0xffff9000,0x005fffff,0xff980000,0x2ffae601,0x4c0fe201,
    0xb105d82f,0xd303f809,0xe8827405,0x3efc8804,0x07fff400,0x06fff880,
    0x1fffe400,0x77e4c000,0xfff30003,0x3f66000d,0x0cfffeff,0xffd803b2,
    0x406e402f,0x203725d8,0x3fe205d8,0x3a60006f,0xf30fffff,0x3faa07ff,
    0x2203ffee,0x3ffffdfc,0xdfefda80,0xdfd8800b,0x09fb3000,0xfffd7100,
    0xd1159dff,0x3a209d01,0x3a03f304,0xffd91004,0x239fffdf,0xfd98006a,
    0x0fb661cf,0x3bbbbae0,0x0001eeee,0xff900310,0xdb9fd50b,0xf7039ff9,
    0xf305fb89,0x007f4c1d,0x0df513ee,0x3e60df98,0x98dd800f,0xfff7003e,
    0x3ff2009f,0xf10003ff,0x0001ffff,0x02ea8ce8,0x2ffffe80,0x3bffa200,
    0x33ffee21,0x3fe600fb,0x77c406ff,0xf883fa20,0x803fa20e,0x003ffffc,
    0x87fffdc0,0x6c0ffffd,0x3bfea3ff,0xfb10fe80,0x7fdc0bff,0x700bff70,
    0x36007fff,0x2e001fff,0x88adffff,0x80ffffc9,0x3fe60df9,0x2f37fe00,
    0xfa802fed,0x7dc40dff,0x2a006fff,0xfe80befe,0x000002ff,0x7fee4c00,
    0x4c0bdefe,0x8ffdc5ff,0x20ffd15c,0x1ffc8dff,0x3ea7bf20,0x1bfd003f,
    0xfb003ff9,0x007ff51d,0x4034c1f1,0x1ffffff8,0x7ffffcc0,0xffd8000f,
    0x20003ffe,0x2002d479,0x06ffeffa,0x01dfff50,0x00bfffe6,0x05ffdffd,
    0xffa9ffc8,0xf99ffc84,0x3ffe604f,0x20000fff,0xfd0ffff9,0x7fe47fff,
    0x645ffe86,0x3ffe60ff,0x44ffa83f,0x7e404ffe,0xffd004ff,0xffb1005f,
    0xffe980df,0xf51dfb00,0xfffa807f,0x6c405fff,0x6c403fff,0xff9006ff,
    0x7fffc40b,0x00008004,0x21dffc88,0x22cffea8,0x97fe20fc,0x5c1fa25c,
    0x404fffff,0x06fffff8,0x3ffffea0,0xffff3005,0x83e200df,0x9ffc8069,
    0x7f405fe8,0x003fe98e,0xffc9ffcc,0xa8d30000,0x46ff4006,0x7cc02ffa,
    0x7e401fff,0x3fea05ff,0xf880dfb2,0x880fffff,0x00ffffff,0x3fa63bf6,
    0x3fe20003,0xffff70ff,0x217ffe6b,0x3fa0fffc,0x37fffc2f,0xf90fffe2,
    0x7fcc07ff,0xdff5000f,0x3ffffa00,0x00ff9800,0x0dfffff3,0x37fffee0,
    0x37fff400,0x880dfb00,0xfe805ffe,0x0e8002ff,0x3ffea000,0xfffd100e,
    0xffb8179b,0x40f51725,0x800ffffe,0x002ffffc,0x007ffff4,0x05ffffb0,
    0x1ec466c0,0xfb03be20,0xd117ea03,0x17f4001f,0xe80013ea,0x2002e98b,
    0x0374c4fb,0x00dfffd1,0x107ffff3,0x03fc83df,0x01ffffe4,0x407ffff7,
    0x07f445fa,0xffff8800,0x553eae60,0xffa87fff,0xb17ffe1f,0xffa8ffff,
    0x37ffdc3f,0x22000a20,0xffff9002,0x007dc003,0x005ffffb,0x5c00dd44,
    0x2001ffff,0x7fec06f8,0x07db3006,0x0007f700,0x003fffe2,0x6c0dfff5,
    0xd0b91fff,0x01f77540,0x005eee88,0x003eeea8,0x00277744,0x0033ff66,
    0xd8264097,0x2005b103,0x01b301d9,0x13ff6600,0x36205b00,0x7ffff701,
    0xffffe880,0xb806d40f,0x2f76c405,0x017bb620,0x001ec07b,0x80ffff88,
    0xffff53fa,0x5c7ffa85,0x7ffec2ff,0x21fffe45,0x000ffffa,0x3e600000,
    0xf8005fff,0x13bba200,0xff980000,0x6b8005ff,0x00bffee0,0x37f40000,
    0x5fffd800,0x07ffff00,0x32bfffee,0x00000185,0x00000000,0x00440000,
    0x00000000,0x80000000,0x80000000,0x401ffffe,0x4ffffbdd,0x00000000,
    0x20000000,0xff88cec9,0x226c80ff,0x2e1fffff,0xe80985ff,0x7ff43fff,
    0x7fffcc3f,0x59db7301,0x07bd9500,0x01ffffec,0x000005c0,0x407bd950,
    0x002ffffe,0x3ffe60b0,0x50000007,0xb8005fff,0x9003ffff,0xf103ffff,
    0x00bfffff,0x003deca8,0x4015bb95,0x2a2aaaaa,0x5402aaaa,0x2001bddc,
    0x001bddca,0x400f7b2a,0x300addca,0x23555555,0x0aaaaaaa,0x55435555,
    0x2aaa2aaa,0xaaaa82aa,0x2aaaaa2a,0x7ffffd42,0x3ea3b200,0x2e606fff,
    0xb9802ced,0x32602ced,0x200c8ade,0x801bddca,0xbfeefff8,0x7d40ffff,
    0x7fffff42,0x2001dff2,0x740efff8,0x7fc44fff,0xaefd83ff,0xfb104ffe,
    0x881df93b,0x002fffff,0x15555540,0x44017bb5,0x0efc9dfd,0x0fffffc4,
    0x3ff20000,0x8801334f,0xfffd8003,0x7fffc005,0xfff7000f,0x3fff60bf,
    0xd8802fff,0x00efc9df,0xff55dfb1,0x3fffaa0b,0x1ffffa66,0x7f5def54,
    0x37aa00ef,0x00effebb,0x3f277f62,0x5dfb100e,0xfd30bff5,0x3ea19fff,
    0x3662ffff,0x3ffaa0cf,0x3fffa66f,0x6fffea87,0x71ffffa6,0x5c0fffff,
    0xfffff30f,0x3fabbf60,0x2bbf604f,0xffb84ffe,0xa81ffebb,0xeffebbde,
    0x99bffa00,0x320fffff,0xffff981f,0x4004feff,0xfd80effc,0xffff85ff,
    0xff53fec4,0x21ffd03f,0x7fd46ff8,0x40000fff,0xd8ffffe9,0xd00effff,
    0x1bfe21ff,0x01fffff3,0xffff8000,0x00effffd,0xff9800d3,0xf3001fff,
    0x4c00ffff,0xd106ffff,0x1bffffff,0xf887ff40,0x2ffe886f,0x7e413fee,
    0x7ffdc6ff,0x260ffb87,0xff705fff,0x02fffcc1,0x3fe21ffd,0x22ffe886,
    0xff984ffb,0x7ffe43ff,0xfc83540f,0x7ffdc6ff,0x8dfff907,0x7e47fffb,
    0x3f507fff,0x0fffffcc,0xfffa9ff6,0x3ea7fd81,0x21ffc1ff,0x07fdc1fd,
    0x320bfff3,0x7fdc1fff,0xa80750ff,0x0fffffff,0x813fe200,0x7c47fffc,
    0x3fee3fff,0x717ffe24,0x2ffd8dff,0x01fffff2,0x7fffdc00,0x4fffeace,
    0x7ec6ffb8,0x3fffee2f,0x7d400007,0xffeadfff,0x007a81ff,0x2fffffe4,
    0x7ffffa80,0x3fffe600,0x3fff600f,0xfb81efff,0x217fec6f,0x3e20fffc,
    0xfffb83ff,0x43fffd46,0x7ffc4ffe,0x44ffe81f,0xfb81ffff,0x217fec6f,
    0x3e20fffc,0xfffd83ff,0x17fffcc5,0x7ffdc0f2,0x83fffd46,0x7d46fffb,
    0x7ffec7ff,0x442f986f,0x2e2fffff,0x3ffe24ff,0xf127fdc5,0x2ffd4bff,
    0x9ffd0be2,0xf81ffff8,0x7fc40fff,0x74c000ff,0x00ffffff,0xf8807f70,
    0x3fe22fff,0x7fff12ff,0x3e24ffd8,0x37fe44ff,0x00dffffb,0x3fffea00,
    0x11fffea3,0xffc89fff,0x1bffff26,0xfff70000,0x86fffc8f,0x3f1000fc,
    0x001fffff,0x00dffff9,0x0fffffc4,0x3ffffea0,0x3ffe21ff,0xf137fe44,
    0xffff0dff,0xa8dfff70,0x7fc47fff,0x0ffffc7f,0xff1fffe2,0xfff883ff,
    0xf137fe44,0xffff0dff,0x41ffff30,0x7c5ffffb,0x8dfff700,0xf707fffa,
    0xfffa8dff,0x37fffe47,0x3fe60fe2,0xfff12fff,0x224ffd87,0x7fec3fff,
    0x837fff24,0x1fffe22b,0xf983ffff,0xfff887ff,0x77dc000f,0x00ffffff,
    0xff7002e8,0xfff959ff,0x0bffea3f,0x7fd41771,0x93ffdc2f,0x000fffff,
    0x31fffea0,0xffa8ffff,0x93ffdc2f,0x000fffff,0x46fffc80,0x6c2ffff9,
    0x36b9002f,0xd804ffff,0x2006ffff,0x02fffff8,0xfffffe88,0x70bffea6,
    0x7ffdcfff,0x40fffe85,0x7d46fffb,0x3ffc87ff,0x6417fffc,0x7fffc3ff,
    0x217ffd42,0x3fee7ffb,0x0fffe85f,0x3a3fffe8,0xb50ffffb,0x237ffdc0,
    0xf707fffa,0xfffa8dff,0x3ffffd47,0x3fea09d1,0xfff51fff,0x2a0bb885,
    0x5dc42fff,0x3ffffea0,0xf0fff201,0xffa85fff,0xffff886f,0x2dfb1000,
    0x06fffffc,0x7fd40068,0x6fffefff,0x400ffff2,0xeeeefffb,0xff70fffe,
    0x00001fff,0xf98ffff5,0x7ffdc7ff,0xfffeeeee,0x1fffff50,0x77776dc0,
    0xffb0deee,0x9fffd0df,0x3f003ff8,0x01ffffe6,0x01bffff2,0x1fffff88,
    0xfffff900,0x3bffee7f,0x0fffeeee,0xfd0bfff9,0xfffb85ff,0x83fffd46,
    0x3fffaa08,0x7541102f,0x7dc2ffff,0xfeeeeeff,0xbfff90ff,0x705fffd0,
    0x7da6dfff,0x40593fff,0x7d46fffb,0xfff707ff,0x47fffa8d,0xb0fffff8,
    0x7fffdc0b,0x00ffff27,0x001fffe4,0x07ffffff,0xfffd5044,0x6fffc85f,
    0x00ffff88,0x7dc7fff0,0x2200ffff,0x15530004,0x7ec7fffb,0xffb004ff,
    0x3333337f,0x7ffffd43,0xffa80001,0x7fffcc7f,0x26ffff60,0x22199999,
    0x801fffff,0x42fffffc,0xfe86fffd,0x17fe65ff,0xfffd1ae0,0xfffb807f,
    0x3fe6007f,0xb9000fff,0x369ffff5,0x9999bfff,0x3fff6199,0x44fffe85,
    0x7d46fffb,0x7f5407ff,0x402ffffa,0xffffafea,0x4dfffec2,0x36199999,
    0xffe85fff,0xffff884f,0xdfff93c9,0xfffb803e,0x83fffd46,0x7d46fffb,
    0xffff87ff,0x7e406d9f,0x3ff64fff,0xfffb004f,0x7ffdc009,0x75405fff,
    0x42ffffaf,0xf886fffc,0xfa800fff,0x7ffdc1ff,0x0000403f,0xb07fffc4,
    0x3600dfff,0xf1004fff,0x0005ffff,0x98ffff50,0x3f60ffff,0x3fa004ff,
    0xf9802fff,0xffb86fff,0x5fffd87f,0x3a01ffee,0x37fffd42,0x3ffffe60,
    0xffff3000,0x2b90330f,0xffb5fffa,0x3ff6009f,0x4fffe85f,0x2a37ffdc,
    0xfb107fff,0x0bfffe3f,0xff8ffec4,0x7ffec2ff,0xbfffb004,0x209fffd0,
    0x30ecfffe,0x80b9ffff,0x7d46fffb,0xfff707ff,0x87fffa8d,0x0edffffb,
    0x0ffffec0,0x200dfffb,0x4006fffd,0x3ffffffa,0xff1ffd88,0xfffb85ff,
    0x0ffff886,0x40fffc80,0x004ffff8,0xfffb8000,0x07fffe42,0x02fffe40,
    0x09ffff90,0xffff5000,0x20ffff98,0x2005fffc,0x803ffffc,0x986ffff9,
    0x7e40ffff,0x3fff23ff,0x7fc1aa01,0x3e202fff,0x7000ffff,0x950bffff,
    0xa7ffcb90,0x9005fffc,0xffd0bfff,0x6fffb87f,0x4c3fffd4,0x3ffe1fff,
    0x1fff982f,0xf90bfffe,0x3f200bff,0xfffe85ff,0xbffff703,0x02ffffe8,
    0x2a37ffdc,0xff707fff,0x7fffa8df,0x03ffffb0,0xc8bffff0,0xc800ffff,
    0x4000ffff,0x46ffffe9,0x3fe1fff9,0x7ffd42ff,0x0ffff887,0x80fffe80,
    0x2603fffd,0x3a20000b,0xfffa85ff,0xfffb804f,0xff88100f,0x14001fff,
    0xf31fffea,0x7fdc1fff,0xfd0100ff,0xff300dff,0xfff10dff,0x1fffc81f,
    0xd80ffffa,0xbffff903,0x2ffffb80,0x1ffff900,0x6cb90f50,0xffff72ff,
    0xfffa8201,0x41ffff85,0x7d46fffa,0x7ff447ff,0x217fffc6,0x7fc6ffe8,
    0x7ffdc2ff,0x7fd4100f,0x1ffff85f,0x85ffff10,0xa807fffb,0x7fd46fff,
    0xdfff507f,0x107fffa8,0xb803ffff,0x7d40efff,0xfa804fff,0x0a804fff,
    0x43ffff62,0x7fc6ffe8,0x7ffc42ff,0x7fffcc1f,0x1fffc800,0x701fffb8,
    0x10003fff,0xf101bffd,0x1503ffff,0x217fffe2,0x7ffd40d8,0x5176006f,
    0xff98ffff,0x3ffe20ff,0x440d885f,0x4c01ffff,0xfb06ffff,0x7ffc85ff,
    0x413fffe2,0xfffffff9,0x00ffffff,0x8037fff4,0xf504ffff,0xdff15c89,
    0x42ffffc4,0x1bffe0d8,0x3ea1bffe,0x7ffdc7ff,0x237ffd47,0x7d42ffff,
    0x7fffc6ff,0x2ffffc42,0xdfff06c4,0xd80dfff0,0xfff887ff,0x7fffa804,
    0xa83fffdc,0x7fdc7fff,0x3ffee07f,0xdfff100e,0xfffff103,0x3fe21503,
    0x70a81fff,0x54fff90b,0x7ffc6fff,0x6fffc82f,0x07ffffa2,0x20bffe60,
    0x3fe04ffe,0x744004ff,0x7fdc04ff,0x4c98beff,0x977fffe4,0xfff902d9,
    0x1ee8807f,0x263fffd4,0x7e40ffff,0x5b32efff,0x03fffea0,0x06ffff98,
    0xffd1bffa,0x2ffffcc5,0x7fe404c8,0x7fd404ff,0x7fe401ff,0xbff500ef,
    0x3bf63723,0x77fffe40,0xffb85b32,0x0bffe60f,0x543fffe6,0x2e0fffff,
    0xffbdffff,0x3ee0afff,0xfffbdfff,0x7fe40aff,0x85b32eff,0x3e60fffb,
    0x7fd402ff,0x003ffb04,0x2a1ffff3,0x980fffff,0xff50ffff,0x9d101fff,
    0x5443bffd,0x2e00dffe,0x98beffff,0x7fffdc4c,0x2e4c98be,0x72ffcc2f,
    0xff7bffff,0xe8815fff,0xfcebdfff,0xb802efff,0x3fea0fff,0x27fff406,
    0x05dfd500,0x3fffff60,0xffd884ff,0x404fffff,0x09dffff9,0x2e09f951,
    0x7fcc7fff,0x7fec40ff,0x404fffff,0x81bfffc8,0x204ffffa,0xff31fff8,
    0x5ffff887,0x7cc00f88,0x4c00ffff,0x3e605fff,0x32200dff,0xeffffffe,
    0xffffb104,0x3f209fff,0x80fff63f,0xcfdefffd,0x3e21ffff,0xfc9effff,
    0x3fe25fff,0xffc9efff,0x7fec45ff,0x904fffff,0x1ffec7ff,0xf501ff80,
    0x7ffec00f,0xffffcfde,0xbdfffb01,0x83ffff9f,0x3ff6a4e8,0x01bdffde,
    0xffffffb0,0x3fff609f,0x7d44ffff,0x43ff70bf,0x9efffff8,0xb05ffffc,
    0xff15ffff,0x260057bd,0x3ffedffe,0x00fffb80,0x00e7fe4c,0x77fffdc0,
    0x7fffe404,0xfd71003e,0x5bffffff,0x07fffe40,0x205ffff7,0x03effffc,
    0x3fffb660,0x0bdfffed,0xfdffc980,0x5fffd02d,0x3fa00b90,0xe8804fff,
    0x3aa20dff,0x4c4004ff,0xf9000eda,0xa807dfff,0x01efeeff,0x477fff44,
    0x22fffffa,0x3a24efeb,0xefeb85ff,0x817ffa24,0x03effffc,0x77f77fd4,
    0xf01b2001,0x7ff44009,0xffffa8ef,0xfffe882f,0xfffffa8e,0xaa9816e2,
    0x3fee0001,0x7dc04eff,0xfa84efff,0x81efeffd,0x3a24efeb,0x0d4405ff,
    0x88000131,0x440009a9,0x00035002,0x200054c0,0x220000a9,0xd800aaa9,
    0xb9ffffff,0x03ffffff,0x200002a6,0x0019aaa9,0x220054c0,0x03f982db,
    0x1fffff50,0x3bff6e00,0x002ceffd,0x4c002e40,0x5544000a,0x00544000,
    0x20020080,0xa9800200,0x05544000,0x2600c400,0x00a88000,0x00054400,
    0x20000000,0x54c000a9,0x0a982200,0x00020080,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2600dfd3,0x005fffff,
    0x0001a988,0x00000440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0xda80deff,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09999300,0x32a00000,
    0x930003de,0x95001999,0x98000799,0x4c013000,0x04000001,0x1a988008,
    0x99910018,0x33326019,0x98066004,0x00100c01,0x26643332,0x00055000,
    0x0037bb95,0x00003100,0x64000998,0x99501ccc,0x26000079,0x00000009,
    0x00000055,0x20201000,0x2a2aaaaa,0x1002aaaa,0x4c019999,0x44004ccc,
    0x9a800001,0xfffb0000,0x21efa803,0x36200dfc,0x00efc9df,0x017ffe40,
    0x007ffe88,0x2dfeeb88,0x7cc075c0,0x5c5fd302,0x3faa01ef,0x4c0b50be,
    0x9cffeffe,0xfff70058,0x1fffd807,0xf101f500,0x10eec407,0x9ff300f9,
    0x7dc0ffe6,0x01fd83ff,0xfd77bd50,0x64c001df,0xcdefeffe,0x7f5c4000,
    0xf9800dff,0x3fa204ff,0xd950007f,0xffffffff,0xffffffff,0x3ea009ff,
    0xd886fe44,0x45fd304f,0x75401efb,0x50b50bef,0x74cdfffd,0xf7007fff,
    0xffb007ff,0x3fee003f,0xfffd980e,0x3f664fff,0x2000cfff,0xf801fff8,
    0x7fff35ff,0xf887ff40,0x7ffc006f,0x7ff44002,0xb27f4002,0x6ffcc0bf,
    0xd00ffdcb,0x3ffe2dff,0xfffff504,0x3f207fdf,0x3ffa60af,0x07ffb006,
    0x400fff60,0xfdcbdff8,0xbcfc801f,0x6fb800cf,0x7fc417f2,0x27d40fff,
    0xf307fdc0,0xf9100bff,0x7f5445df,0xfff5003f,0x801dffff,0xe8805ffc,
    0x3a2002ff,0xfc98beff,0xaaaeffff,0x004fffdc,0x7ffcc3f9,0xd03fff73,
    0x3ffe2dff,0x3fffea05,0xf903feff,0xfffa8dff,0x07ffb007,0x8027fec0,
    0x6c04ffff,0xbf34ffff,0x00dff713,0xe8017fd4,0x7fff15ff,0xfb1bfee0,
    0x3fe6005f,0xbfd10002,0x50ffe400,0x7fec05ff,0x3603ffff,0x13ffe6ff,
    0x7ffff764,0x3ffa80ff,0x2201bf60,0x7ec004ff,0x3fff2006,0x36004fff,
    0x3fa002ff,0x7ec03fa0,0x7c44ffef,0x44ffe806,0x2a01ffff,0xf300efff,
    0x7d401dff,0xffffffef,0x002ff404,0x2600bfd1,0xfc80efff,0xff305fff,
    0xf31fe009,0x3ffee5ff,0x3e6ffd80,0x3bb204ff,0x00ffffff,0xf98dfff7,
    0xff8807ff,0x06fd8004,0x05ffff98,0x467fffdc,0x05ffb81e,0x54005fb0,
    0x033ae0de,0xf913ffe2,0x0ff200df,0x00fd1000,0xff31ffe6,0x7ffe401f,
    0x0eecc04f,0x99a01bd5,0xfd01dfeb,0x03f4401f,0xe80027dc,0x3ff2001f,
    0xdd3004ff,0xf3003ffb,0xf9817cc7,0xd81ff93f,0x3ffe201f,0x80ffffc7,
    0x401ffff8,0x3a06fffc,0x3fffee22,0x0017e606,0x3ea01fa2,0xff301fff,
    0x27c40bff,0x75c27cc0,0x4c0fb224,0x037aa1dd,0xbfd730e8,0x37ffd403,
    0x201fffe6,0x3a0004fb,0x7ffc401f,0x7ffd405f,0xff102edf,0x005b007f,
    0x3fea0000,0x03ffdc2f,0x100003d8,0xdffd003b,0x404fff88,0x00000ab9,
    0x7c400040,0x03cc01ff,0xb1000264,0x1ba88005,0x3a25db00,0x21cc01ff,
    0x50bfa03a,0x403fb89f,0x7ffc3ffc,0xbfffb02f,0x0ffffa00,0x7fff40ae,
    0x80016e06,0x3fe201d8,0x3fe606ff,0x136085ff,0x0000bf20,0x00080000,
    0x31bffea0,0x9900ffff,0x02d88000,0x403ffff8,0x05fffffa,0x000ffff4,
    0xf7000000,0xfdddddff,0x000001ff,0x7ffc0000,0x037ffc46,0x00000000,
    0x3bffe600,0x00003400,0x00000000,0x03ffea06,0x01d98000,0x037c41b3,
    0xfffd5044,0xffff705f,0x3fff2007,0x3fea001f,0x0000004f,0x17fffdc0,
    0x8bffff30,0x3a012a39,0x00000007,0x3ea00000,0x7ffcc6ff,0x00000007,
    0x01fffe80,0x07ffffd4,0x817fff60,0x502cedb9,0x55455555,0x7fec2aaa,
    0x999999bf,0x15555541,0x50555555,0x55455555,0x7fcc2aaa,0x3fffc46f,
    0x015bb950,0x02b772a0,0x056ee540,0x2effff88,0xbb9500a0,0x372a0015,
    0xb95000ad,0x9980037b,0x5405fff8,0x0000addc,0xa8007f40,0x2ffffafe,
    0x00fffff8,0x0bffff70,0x007ffd40,0x2007bd95,0xf103deca,0x4c01ffff,
    0x1dc5ffff,0x80bf3006,0x5003deca,0x40037bb9,0x401bddca,0x7cc6fffa,
    0x6e5407ff,0x32a001bd,0x7e401bdd,0x7fd400ff,0xffd804ff,0xaefd80ff,
    0xfea84ffe,0x3ffa66ff,0x27ffec7f,0xdfffd500,0x43ffff4c,0x266fffea,
    0x7d47fffe,0x7ffc46ff,0x577ec40f,0x36205ffa,0x05ffaaef,0x3eabbf62,
    0xffffd05f,0x6c4003df,0x05ffaaef,0x3eabbf62,0x2f7aa05f,0x200effeb,
    0xffeeffd8,0xefd882ff,0x5105ffaa,0x5c035555,0x7fec403f,0x985ffff1,
    0x2007ffff,0x006ffff9,0x6c403bf6,0x00efc9df,0xdf93bfb1,0x7ffffa81,
    0x2ffffcc0,0x5f7000f6,0x3277f620,0x7bd500ef,0x401dffd7,0xffebbdea,
    0xdfff500e,0x507fff98,0xdffd77bd,0x5def5401,0xf500effe,0xfff500df,
    0xfff9009f,0x2a7fd85f,0xffc81fff,0x3fffdc6f,0x0017fff2,0xfb8dfff9,
    0xfff907ff,0x47fffb8d,0x7c46fffb,0x3fa21fff,0x213fee2f,0x3ee2ffe8,
    0x2ffe884f,0x3ee13fee,0x1dffffff,0x717ff440,0xffd109ff,0x5c27fdc5,
    0x3ffe60ff,0x47ffd105,0x7445fffd,0x13fee2ff,0x17fffee2,0x3e605f88,
    0x3fffe1ff,0x3ffffd42,0xfffff300,0x09ff5001,0xff887ff4,0x221ffd06,
    0x7ffdc6ff,0x7ffcc07f,0x000fe65f,0x3ffa01fd,0xf70dff10,0x2fffcc1f,
    0x3e60ffb8,0xfff505ff,0x87fff98d,0x3fe60ffb,0x41ff705f,0xf105fff9,
    0xfff5009f,0xfff9009f,0x127fdc7f,0xff70bfff,0x7fffa8df,0x807fffdc,
    0x46fffb80,0xf707fffa,0xfffa8dff,0x237ffe47,0x323ffff8,0x3fe20fff,
    0x07ffe43f,0xfc87fff1,0x3ffe20ff,0xfffffc83,0xf900cfff,0x7ffc41ff,
    0x107ffe43,0xffe87fff,0x40ffffc4,0x7fcc7ffd,0x3fff20ff,0x40fffe20,
    0x7405fffe,0x6ffe880f,0x3217fffc,0x2006ffff,0x01fffff8,0x3bffff6a,
    0x3637fdc0,0x37fdc2ff,0xffd8bff6,0x7fcc06ff,0x3ffb9eff,0x5c17e200,
    0x17fec6ff,0xfff13ffa,0x89ffd03f,0xfa81ffff,0x7ffcc7ff,0x7c4ffe87,
    0xffe81fff,0x80ffffc4,0xffa802fe,0xffc804ff,0x7fff14ff,0xfb84ffd8,
    0x7ffd46ff,0x2ffffc47,0x3fee06c4,0x3fffd46f,0x546fffb8,0x7ff47fff,
    0x7fffc46f,0xf0dfff14,0x7ffc4fff,0x227fff86,0xfff86fff,0xfffff907,
    0xf881dfff,0x7fff86ff,0x3e1bffe2,0x3ffe27ff,0x20ffffc7,0xff85fff8,
    0xdfff12ff,0x320ffff0,0x7e405fff,0x46fffa82,0x7ec2ffff,0x22006fff,
    0x302fffff,0xfffffffd,0x913ffe21,0x7ffc4dff,0xfd37fe44,0xf980bfff,
    0xffffffff,0x20fee003,0x7e44fff8,0x1fffe26f,0xf883ffff,0x7fffc7ff,
    0x47fffa81,0x7c47fffa,0x7fffc7ff,0x23fffc41,0xf901ffff,0xffff5001,
    0xffff9009,0x10bffeab,0xfff70177,0x87fffa8d,0x32effffc,0xdfff705b,
    0x707fffa8,0xffa8dfff,0x37ffec7f,0x5cffffe2,0xffe85fff,0x0bfff70f,
    0x3ee1fffd,0xfffe85ff,0xffffd500,0x7dc1ffff,0xfffe85ff,0xd0bfff70,
    0x7fe41fff,0x217fffc3,0xff85fffb,0xbfff73ff,0x901fffd0,0xf980bfff,
    0xdffffb85,0x0afffffb,0x01bffff2,0x1fffff88,0x7fffecc0,0x85fff52f,
    0x3fea7ffb,0xb3ffdc2f,0x980bffff,0xfb8dffff,0x03f6003f,0xf70bffea,
    0x43ffc8ff,0xfc82ffff,0x17fffc3f,0x98ffffc4,0x640fffff,0x7fffc3ff,
    0x7c3ffc82,0x0f702fff,0x13fffea0,0x53ffff20,0x4003fffc,0x7d46fffb,
    0xffd887ff,0x704fffff,0xffa8dfff,0xdfff707f,0x647fffa8,0x7fc46fff,
    0xbfff92ff,0x325fffd0,0xffe85fff,0x0bfff92f,0xb805fffd,0x2fffffff,
    0x3a17fff2,0xfff92fff,0x85fffd0b,0x3fffaa08,0x2fffec2f,0xfca7fffc,
    0xfffe85ff,0x05fffc82,0xfff887f8,0xfffc9eff,0x3fffee5f,0x3ffe6007,
    0xff7000ff,0x3ffee9ff,0xfffeeeee,0xdddfff70,0x321fffdd,0x4c06ffff,
    0x3e65ffff,0x20df1003,0xeeeefffb,0x0440fffe,0x05ffffd5,0xfffea822,
    0xffffb02f,0x3ffff7fb,0x7ff54110,0x541102ff,0x502ffffe,0x3ffea00d,
    0xfffc804f,0x09fffb3f,0x46fffb80,0x3207fffa,0x203effff,0x7d46fffb,
    0xfff707ff,0x47fffa8d,0x7c46fffb,0xfffb1fff,0x29fffd0b,0xfe85fffd,
    0xbfffb4ff,0x229fffd0,0x3ffff200,0x17fff65f,0x7ed3fffa,0xfffe85ff,
    0xff5fd504,0xfffe85ff,0xb4ffff84,0xffd0bfff,0xbfff909f,0xd705f900,
    0x7ff449df,0x7ffffcc5,0xffff3000,0xfffc800f,0x337fffb6,0x7ec33333,
    0x99999bff,0x3fffee19,0x7fffcc06,0xfa801ec5,0x37fffb03,0x40333333,
    0xffffafea,0x7d7f5402,0xfd102fff,0xfff33dff,0x3faa07ff,0x402ffffa,
    0xffffafea,0x2a00b102,0xc804ffff,0xffb2ffff,0xffb800df,0x3fffd46f,
    0x2003ba20,0x7d46fffb,0xfff707ff,0x47fffa8d,0x7c46fffa,0x3fff67ff,
    0xb4fffe85,0xffd0bfff,0x17fff69f,0x1d53fffa,0x3ffffa20,0xd0bfffb0,
    0x3ff69fff,0x4fffe85f,0xff8ffec4,0x7ffec2ff,0xb2ffff85,0xffd0bfff,
    0xbfff909f,0x0409f300,0xff882ec4,0xf7000fff,0x8800bfff,0xfffb5fff,
    0x3fff6009,0xffff1004,0xffff980f,0x6c141dc5,0x9fffb01f,0x1ffd8800,
    0x2205ffff,0xffff1ffd,0x220a8805,0x7fec406e,0x205ffff1,0xfff1ffd8,
    0xa800405f,0xc804ffff,0xff91ffff,0x7dc001ff,0x7ffd46ff,0x8017f407,
    0x7d46fffb,0xfff707ff,0x47fffa8d,0x7c46fff9,0x3fff26ff,0x93fffe85,
    0xffd0bfff,0x17fff27f,0x354ffffa,0x8ffff440,0xfe85fffc,0xbfff93ff,
    0x4c7fffd0,0x3ffe1fff,0x2fffdc2f,0xfc8ffffc,0xfffe85ff,0x05fffc83,
    0xfe800ff0,0x3fffee01,0xffff9002,0x9ffb0001,0x4017fff2,0x2005fffc,
    0x200ffffc,0x4c5ffff9,0x206f8682,0x2005fffc,0x3fe1fff9,0xfff982ff,
    0x00bfffe1,0x4c03ff10,0x3ffe1fff,0x1fff982f,0x000bfffe,0x13fffea0,
    0xa9bfff20,0x2004ffff,0x7d46fffa,0x3fe607ff,0xdfff5002,0x507fffa8,
    0xffa8dfff,0x47ffe87f,0x3ea5fff8,0xffff85ff,0xf0bfff51,0x3fea3fff,
    0x1ffff85f,0xff7003f5,0x42fffd4f,0xff51ffff,0x3ffff0bf,0xff1bffa2,
    0xfff985ff,0x2a7fff85,0xfff85fff,0x5fffc81f,0x2003fb00,0x7f401ffa,
    0xffd006ff,0x3f20009f,0x1ffff72f,0xffffb820,0xfff88100,0x3ffe604f,
    0x545a806f,0x3ffee04f,0x7f44100f,0x17fffc6f,0xff1bffa2,0xfb8005ff,
    0xdffd100f,0x442ffff8,0x7ffc6ffe,0x0017302f,0x889ffff5,0x8ffff22b,
    0x81fffff8,0x3fffd40a,0xa81fffee,0xff5005ff,0x7fffb8ff,0xb8ffff50,
    0xffa87fff,0x20fffcc7,0xfff86fff,0x7c37ffc6,0x37ffc6ff,0xdf537ffc,
    0xf8bff500,0x6fff86ff,0x7fc37ffc,0x1bffea6f,0xf885ffff,0x7ffc46ff,
    0x7c37ffc5,0xfff906ff,0x013ea00b,0x2a027fdc,0x6401ffff,0xcb80efff,
    0xf897f601,0x0d885fff,0x10bffff1,0x7fffa81b,0x1bfffea0,0x1fc89f10,
    0x17fffe20,0x7ffd4362,0x217fffc6,0x7fc6fffa,0x7e4002ff,0xdfff504f,
    0x542ffff8,0x7ffc6fff,0x1fffc82f,0x27fffd40,0x7fe4bffa,0xeffffb87,
    0xf984c98b,0xfff50fff,0x7ffc01ff,0xffff9804,0x1fffff50,0x21ffff30,
    0x80fffffa,0x3fee0ffe,0x20fffb84,0x7dc2fff9,0x3ffe60ff,0x307ffdc2,
    0x7fd45fff,0x207fec05,0x3e60fffb,0x7ffdc2ff,0xb8bffe60,0xffbdffff,
    0x7d40afff,0x07ffcc7f,0xf983ffee,0xfff902ff,0x01be200b,0x201fffc4,
    0x2605fff9,0xf980dfff,0x0ff883ff,0x977fffe4,0x7ffe42d9,0x205b32ef,
    0xf704fffb,0x74c0dfff,0x6403fc3f,0xb32effff,0x6ffffdc5,0x0afffffb,
    0x2f7fffee,0x00afffff,0x02bffe60,0xf7bffff7,0x5c15ffff,0xffbdffff,
    0x7fc0afff,0x7fdc04ff,0x3ffe25ff,0x3605ff94,0x4fffffff,0x37bfff60,
    0x01ffffcf,0x0b3bffee,0xfdefffd8,0xb01ffffc,0xf9fbdfff,0xfd103fff,
    0xc806ff49,0x0fff63ff,0xffb1ffe4,0xd8fff207,0x7ffd43ff,0x17fdc41e,
    0x3f63ffc8,0x47ff903f,0x7fc43ffd,0xffc9efff,0x2ffb85ff,0x7e407ff6,
    0x80fff63f,0x2005fffd,0xff9001fd,0x3a2039df,0x7f4c0dff,0x3ffe604f,
    0x1ed98bef,0xfffffd88,0xffd884ff,0x404fffff,0x711dfff9,0x37ffffff,
    0x5fffb533,0x6c4027cc,0x4fffffff,0x77ffffc4,0x25ffffc9,0x9efffff8,
    0x005ffffc,0x86ffffec,0x9efffff8,0x225ffffc,0xc9efffff,0x7fc5ffff,
    0x7fec03ff,0x3ff60eff,0xfb805fd6,0x4404efff,0xfa8efffe,0x2602ffff,
    0x2201dffc,0xfa8efffe,0xe882ffff,0xffa8efff,0xfd882fff,0xfa804ffe,
    0x401efeef,0x1efeeffa,0x7f77fd40,0xdaaea81e,0x0dffddef,0x7f77fd40,
    0x77fd401e,0xfd701efe,0x2fff449d,0xbfdbfb50,0xeeffa805,0x7ff401ef,
    0x0fee007f,0x1dffd980,0x6f7fedc0,0xb802ceff,0x3fffffff,0xeffffc80,
    0x7fffe403,0xfd71003e,0xffffffff,0xffffffff,0x17e43fff,0xdffff900,
    0x93bfae07,0xeb85ffe8,0x3ffa24ef,0xbfb50005,0x277f5c17,0xd70bffd1,
    0x7ff449df,0x80effb85,0xfffffec9,0xffe9adef,0x2a6002ef,0x00544000,
    0xa8800000,0x05440000,0x000d4000,0x20005544,0x44000aa8,0x102200aa,
    0x80013555,0x44000aa8,0x401000aa,0x000d4000,0x26005544,0x1efffffe,
    0x0001a880,0x06a62000,0x4d54c400,0x00a98000,0x000054c0,0x00266666,
    0x4000aa00,0x401000a9,0x00200800,0x10040000,0x20040100,0x98000028,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x400009aa,0x0001aa98,0xccc88000,0x54c4000c,
    0x0260001a,0x30035300,0x03530001,0x00013000,0x0000d544,0x540006a6,
    0x04020002,0x01500000,0x9500004c,0x44000799,0x3320002a,0x20079914,
    0x400cccc8,0x05540009,0x15440000,0x0000054c,0x04d44022,0x00c40000,
    0x00062000,0x26079995,0xffffffed,0x3fb222df,0x3effffff,0xfbffb100,
    0xa80019ff,0xdffffffe,0x701fa801,0x7ffdc01f,0x3ffaa002,0x801dffff,
    0x2002feb8,0x3f200fe8,0xd1000eff,0x7440001f,0x26000cff,0x01effffe,
    0x77df7d40,0x013ea001,0x42fbfaa0,0x9d91005a,0x260d9001,0x3fa0001f,
    0xfb0000ef,0x40039fd9,0x5ff52ffa,0x0fffea00,0x0017f5c4,0x05f10bf5,
    0x4fa807e6,0x3f881fe8,0x3d305f30,0xfffffd93,0xff9803bd,0x3ff25fff,
    0x3fff661e,0x23dfffff,0xd002effb,0xfb001fff,0xb801dfff,0x001fffff,
    0x6c47ffa2,0xe9800fff,0xda88acef,0x7ec00dff,0x3a01fe42,0xfd3003ff,
    0xfb51159d,0x3f6e01bf,0x3f2002ff,0x3fafb203,0x07f9004f,0x7ffdc380,
    0x3ff7002f,0x400dff91,0x3ff92ffb,0x001ff100,0xffffffa8,0xff9002fe,
    0xbdf5007f,0x000ffb97,0x00077fcc,0xff99ff44,0xd97f6006,0x3ff6004f,
    0x5fffb704,0x403fe200,0x02fdc4fc,0x81fe0ff2,0x82fdc4fb,0x221dfff9,
    0x803fffda,0xff15fffe,0x3ffa0bff,0xfff80eff,0xfff8807f,0xffff7001,
    0xffff300b,0x6ffe800f,0x202fffd4,0xe9800dfb,0x2ffe601f,0x7c406fe8,
    0x1bf7003f,0x403fd300,0xf5002ffd,0xff11c40b,0x00bf500b,0x7ffe45c8,
    0x4ff9805f,0x200fffe2,0xff70fff8,0x005fb00d,0xffffdd90,0x3fe001ff,
    0xffb006ff,0x0005ffff,0x80007fe4,0xfff12ffc,0x443fe007,0x3fe2006f,
    0x02ffd804,0x7c405fb0,0x00ffc8df,0x17e60fec,0xfc8dff88,0x07ff301f,
    0x00efffd8,0x7cd7fff6,0xfc80ffff,0xff884fff,0x7dc01fff,0x3fee001f,
    0xff8804ff,0x3e2007ff,0x7ffcc5ff,0x000bee07,0xffd803f2,0x7dc02fff,
    0x005f7004,0x3f201f90,0x0fe8802f,0x007fe600,0x4c001fd1,0x7fffcc5f,
    0x43ffd807,0xfb805ffd,0x3fff50ff,0x8002fd40,0x077fb266,0x03fffc80,
    0x7ffffb10,0x01fe8000,0x27fff100,0xa805fff8,0x8007ea2f,0xff9004fa,
    0x00bf5005,0x09fffff7,0x09f50ff0,0x4fffffb8,0x74013e60,0x3f205fff,
    0x3fffa5ff,0xffffb82f,0x7ffffb04,0x4001fe80,0x804ffffa,0x007ffff8,
    0xf317ffea,0x0fe60fff,0x59bbfd91,0xff3036cd,0x09900dff,0x776cfe60,
    0x40bcedde,0x05ff906d,0x54007f90,0x7e400efe,0x17fa2003,0x201ba6e2,
    0x7fdc4fff,0x27ffc803,0xf103fffa,0x4020001f,0xbec88000,0x055cc000,
    0x007a2000,0x24fffb80,0x3a803ffd,0x13200154,0x402ffc80,0xff000ff8,
    0xf9801fff,0xe802fc86,0x2600ffff,0x3ffea007,0xbfff902f,0xb81fcaa8,
    0x2a04ffff,0x3a202fba,0xfffa8001,0xfff8804f,0x3fee007f,0x27ffcc5f,
    0x1ffd45e8,0x03f89fea,0x0007bbb2,0xffe8bd00,0x443fff53,0x02ffc83f,
    0xb1002fcc,0x2601ffff,0x3fa2005f,0x017e205f,0xffb1fffe,0x4fffb001,
    0xfb03fff9,0x00000005,0x00000000,0x32000000,0x00d45fff,0x00000000,
    0xfb00bff2,0x77754005,0xe84fa802,0xeeea800f,0x20024c03,0xc80fffff,
    0x0fb05fff,0x013fffee,0x000007ee,0x027fffd4,0x03ffffc4,0xa8bfff90,
    0x2f981fff,0x3d413fea,0x980001b2,0x40c8adec,0x1ffe42f9,0x86c8bff9,
    0x3a202ffc,0xfe98000f,0x00fe882f,0x5dffff30,0x00fd4155,0xfa97fffc,
    0xfff9001e,0x20bffea1,0xaa8005fa,0x2aaa2aaa,0x200002aa,0x2a2aaaaa,
    0x4402aaaa,0x2e22bddb,0x7ec01ced,0x2aa006ff,0x2aaa2aaa,0x6dd402aa,
    0xf90f22ce,0x02fd405f,0x6664c000,0xfccccefe,0x00000ccf,0xff900022,
    0xfff907ff,0x2e07f10b,0xe804ffff,0x8aaaaaa5,0x5400bdda,0x8804ffff,
    0x2007ffff,0x3aa5fffc,0x21f901df,0x1a00ffe8,0x2aaaa5f5,0x70f6e22a,
    0x3ffd77ff,0x7fe40fc8,0xf51ffea3,0x202ffc85,0x2a0003fc,0x03fc82ff,
    0xffffff30,0x0fa23fff,0x777ffec0,0x7fd4003f,0x81fff71f,0xa8000ff8,
    0x3a66fffe,0x12007fff,0x4dfffd50,0x507fffe9,0x9ffd77dd,0x9ff75ff5,
    0x03fffe40,0x4dfffd50,0x207fffe9,0xdfeaaffd,0x02ffc86c,0x22001ff1,
    0xa81aaaaa,0xffffffff,0x20ffffff,0xaaaaaaa9,0x0001aaaa,0x85ffffb8,
    0x6d85fffc,0x13fffee0,0x7f4c1d70,0xfffd8fff,0x3fea00ef,0xff8804ff,
    0x3f2007ff,0x7dff15ff,0xffa9ba01,0x99fc4006,0xfd17fffd,0x21ffc3ff,
    0x643741fd,0x17ff23ff,0x2ffd87f1,0x4400bf30,0x7cc0ff81,0xfffb8005,
    0x2003fa85,0x904ffffb,0x74399999,0x07ff71ff,0x640005fb,0x7fdc6fff,
    0x201a007f,0x7dc6fffc,0x0ffb87ff,0x8bffffa2,0xff703ffa,0x7e4001ff,
    0x7ffdc6ff,0x547ffd07,0xffd81fff,0x4005f902,0x85ffffb8,0xaaffaaa8,
    0x0aadfdaa,0x33337ff2,0x001fffff,0x6ffffa80,0x225fffc8,0x7ffdc05e,
    0x01db104f,0x59dffff7,0x5409fffd,0x8804ffff,0x2007ffff,0x7cc5fffc,
    0x324f81ff,0x4e8005ff,0x3a3fffea,0xff52ffff,0x27c2f88b,0xff99ffe4,
    0x7ec4e81f,0x00fe883f,0x7d4bbf20,0x0007f441,0x222fffdc,0x3f66000c,
    0xe980ffff,0x3a20beff,0xf509fd5f,0xffb8000b,0x3fffd46f,0xfb805980,
    0x7ffd46ff,0x6c3fff87,0x7fc47fff,0xfffff50f,0x809fffff,0x7d46fffb,
    0xfffb87ff,0x213ffe21,0x5fa83ffd,0xbfffd000,0xfc86f980,0xfa81d902,
    0x2aa64fff,0xaaaaaaaa,0xfffcaaaa,0x5fffc87f,0x3fee0072,0x405704ff,
    0x2a3ffffa,0x3ea07fff,0xf8804fff,0x32007fff,0xffd85fff,0x3ff62f86,
    0x265c8005,0xe9cdffff,0xbfff90ff,0x20be15c1,0xdffeeffc,0x3b2ab900,
    0x3f20cdee,0xd930a603,0x7f9019df,0xffb814c0,0x3620005f,0x5ffffccf,
    0x5c03ff50,0xff881cdc,0xb8013300,0x7fd46fff,0x03f9807f,0x546fffb8,
    0x7fc47fff,0x37ffe46f,0xffa9fffc,0xffffffff,0x37ffdc04,0xf11fffea,
    0x7fc41fff,0xddd950ff,0x03fe219b,0xfff90026,0xe84fa80b,0xfd05900f,
    0x7fec1fff,0xffffffff,0xffffffff,0x7ffe40ff,0xfffb8005,0xff50004f,
    0x7fff98ff,0x13fffea0,0x1ffffe20,0x85fffc80,0x1fc3fffc,0xd000bff9,
    0x37fffccb,0xffffa826,0x320fe01f,0x05ffcbff,0x5f98017a,0x4001fe60,
    0x1fe605f9,0x002fffdc,0xff12ffa8,0x7f705fff,0x05fb0000,0x01bf9df7,
    0xf51bffee,0xffa80fff,0x6fffb800,0x6c3fffd4,0x7ffe43ff,0x314ffe84,
    0x39fffd33,0xfffb8013,0x23fffd46,0x3a27fffa,0x2003ffff,0x7ffe42fc,
    0xbfff901d,0x7f83fc80,0x3ffee0e0,0x7fffe42f,0xffff5006,0x0bfff90f,
    0x9ffff700,0x3ffea000,0x03fffcc7,0x009ffff5,0x00fffff1,0x642fffe4,
    0x73744fff,0xf8800dff,0x0ffffe64,0x3fffffe0,0xff90dd03,0x103fff17,
    0x07f4009f,0x0007ff88,0x3fe201fd,0x0bfff707,0xb8fff500,0x6c1fffff,
    0x5fa80005,0xffd1ffc8,0x8dfff701,0x3207fffa,0xff7004ff,0x7fffa8df,
    0x7fe44130,0xfeeeeeff,0xfff905ff,0x7ffdc007,0x23fffd46,0x2f67fffb,
    0x5004fffd,0xffdfa8bf,0xbfff906f,0x35fd3310,0x333df533,0x6ffff880,
    0x06ffffb8,0x0dffff50,0x000bfff9,0x009ffff7,0x31fffea0,0x2a01ffff,
    0x8804ffff,0x2007ffff,0xfc85fffc,0x887e46ff,0x2a000fff,0x3fffe62f,
    0xffffb802,0x40fc85ff,0xdff73ffc,0x32005f50,0xfffd103f,0x207f9000,
    0xf707ffe8,0xf8800bff,0xfffe85ff,0x001f50ff,0x4c0ff880,0x17ff27ff,
    0xf51bffee,0x3ff60fff,0xfff7000f,0x07fffa8d,0x7fde7e44,0x999999df,
    0x3fff3009,0x37ffdc00,0xf91fffea,0x7ed32fff,0xfe8805ff,0xfff88ec0,
    0x85fffc81,0xfffffffa,0x0fffffff,0x07ffff60,0x01bfffea,0x42ffffdc,
    0x8005fffc,0x004ffffb,0x47fffa86,0x500ffff9,0x0989ffff,0x037fffc4,
    0x70bfff90,0x2f98ffff,0x1c417fee,0xffff31f2,0x3ffea001,0x17cc3fff,
    0xffe8fff6,0xf9803e42,0x1ffaf605,0x6c0bf300,0xff707feb,0xffa800bf,
    0xffff987f,0x0002f9ef,0xffc82fd8,0x703fff27,0xffa8dfff,0x5fffb87f,
    0x1bffee00,0x5c0ffff5,0xdfff71ff,0x07ffc000,0x8dfff700,0x7e47fffa,
    0x3f65beff,0x3fc804ff,0xf907fd80,0xfdd30bff,0xdffddddf,0x3ea01ddd,
    0xff104fff,0x3f200fff,0xffc83fff,0xffb8005f,0xa9a004ff,0x7fcc7fff,
    0xfff500ff,0x11ffec9f,0x400dffff,0xfb85fffc,0x645e86ff,0x1b710dff,
    0x3fe627c4,0x7f4c007f,0x25e86fff,0xf50dfff8,0x013e21ff,0xd4c807f4,
    0x0fe800ff,0x41ffa990,0x4005fffb,0xa82ffffc,0x04ffffff,0xd05fa800,
    0x7ffdcfff,0x237ffdc1,0xfe87fffa,0x06f544ff,0xf51bffee,0xffb10fff,
    0x03fffd45,0x0c0ffb00,0x2a37ffdc,0x7fdc7fff,0x3ff60eff,0x02fd402f,
    0xff904ff8,0x427d40bf,0xffd000fe,0x7fec01ff,0xffd800ff,0xfffc80ff,
    0xfffb8005,0x54b7004f,0x7fcc7fff,0xfff500ff,0x9fffe69f,0x005ffff8,
    0x2a17fff2,0x3f984fff,0x1677ee4c,0x3fe6076c,0x220a807f,0x4c0ffffd,
    0xccccc8bf,0x3699970c,0x03fc800e,0x003ff4b7,0xe96e07f9,0xbfff707f,
    0xffffc800,0xffffb80e,0x220000ef,0xfffd00ff,0x2a17ffdc,0x7fd46fff,
    0x7fffc47f,0x2a27ff43,0x7fd46fff,0x46ffc87f,0x002ffff9,0x0dfddb71,
    0x3ffea1e6,0x23fffd46,0x6c0ffff9,0x3a200fff,0x05f9800f,0xc817fff2,
    0x803fc42f,0x402ffffb,0x401ffff9,0x903ffff8,0x7000bfff,0x2009ffff,
    0x1fffea4e,0x201ffff3,0xf34ffffa,0x7ffc4dff,0x3ff2003f,0x3fe3b55f,
    0x005f703f,0xff303f90,0x90b700ff,0x0bee0fff,0x2007f200,0x57f306f9,
    0x3005ffd5,0x2afe60df,0xfb82ffea,0x7dc006ff,0xf905ffff,0x4c5fffff,
    0x405fb005,0x3fee7ffd,0x3fffd41f,0xf11fffee,0xffd89fff,0x23fffd45,
    0x7c47fffb,0xfffe85ff,0x3fa4980e,0xceeffffe,0xffa86ffd,0x3fffdc7f,
    0x7f43fff4,0x01fe407f,0xf9007744,0x0ff40bff,0x3e2017e6,0x41985fff,
    0x5c04fffc,0x3f206fff,0xfb8005ff,0xfa804fff,0x31fffea4,0x2e01ffff,
    0x3fe5ffff,0x3fffe62f,0x3fff2000,0x3bf6dff5,0x0033f200,0x7cc0bfa2,
    0x2fb807ff,0xf902ffcc,0x5fd10019,0x5403fa00,0x7fffffff,0xf500fe80,
    0x0fffffff,0x024dfff5,0x7fffffc4,0xfffb30ad,0x1fddffff,0xb80bf500,
    0x1fff27ff,0x543fffe6,0x740fffff,0x7fd46fff,0x87fffcc4,0x20fffffa,
    0x712ffffb,0x27ffffff,0x44f30ea8,0xffffffff,0xffff984f,0x1fffff50,
    0x220fffa8,0x3e601fff,0x838bb005,0x3e05fffc,0xd804fb87,0x1d81ffff,
    0x80ffff44,0x200efff8,0x8005fffd,0x405ffffc,0x3fee3ffa,0x7fffcc7f,
    0xdffffb00,0xff917fcc,0xffe8003f,0x3f6dfb5f,0xbdffa801,0x1dfd9511,
    0x07fffcc0,0x5c2ffea0,0x7fd401ff,0xfd9511bd,0x0ff2001d,0xfeaaaa88,
    0x01fe402f,0xffd55551,0x37fffa05,0xfff3001e,0xbfffffff,0xffffff73,
    0x1ff1005f,0x361ffd00,0xfffb02ff,0xffff9fbd,0x1ffffa83,0x3f603fe2,
    0xffcfdeff,0x3ffe61ff,0xfc8dffff,0x1fffffff,0x7f7e43e2,0x00ffffff,
    0x9fbdfffb,0xde83ffff,0x0bff24ff,0xc800fe88,0xd85dcccf,0xbf305fff,
    0xfa805f90,0x0fb84fff,0x983dff70,0xfe804ffe,0xfd8007ff,0x999affff,
    0x22fffdb9,0x2e0ffffc,0x3262ffff,0xeffffffe,0xfeefe9ac,0x7f4001df,
    0xffb15fff,0x75c4005b,0x2dffffff,0x1ffffb80,0x77fefd40,0xd71001ef,
    0x5bffffff,0x0037cc00,0x3e603ff4,0x07fe8006,0x00b7ff62,0xfffffb30,
    0xffe983bf,0x5fb002ff,0x233fa600,0x3fa203ff,0xfffa8eff,0x7ffdc2ff,
    0x101edacf,0xf51dfffd,0x7e45ffff,0x7641efff,0xc81dffff,0xfff54fff,
    0x7f4401df,0xfffa8eff,0x3a6992ff,0x402dfeef,0xffc803fc,0xfe83ffff,
    0x09f507ff,0xffe801fd,0xffb530ff,0xdfffd980,0x4c01dfff,0x1efffffe,
    0x7fff64c0,0xffffffff,0xfb1fffff,0xf73fffff,0x007fffff,0x001aa980,
    0x80000000,0x0009aaa9,0x9ffffff9,0x01530440,0x4d554c00,0x00fe8000,
    0x7405ed80,0x5ed8000f,0x88000100,0xa9801aa9,0x013a6001,0x039db710,
    0x40002a20,0x02cdecb8,0x20001510,0x00a8801a,0x1a980a88,0x8002a200,
    0x800aa880,0xee9805f9,0x261eeeee,0x1efffffe,0x0154054c,0x3fffffee,
    0x007fffff,0x00026aa2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01300000,0x00a20000,0x00440205,0x5554054c,
    0x2f72a2aa,0x00201000,0x66640000,0x332e001c,0x2cccb82c,0x07999500,
    0x3ffffa60,0x3000000f,0x06aaa601,0x40055553,0x100000a9,0x7ffd4035,
    0x23ffffff,0xfffffffb,0x0006ffff,0xdb300001,0xbfffffff,0x3ffffaa5,
    0x3ff201ff,0x3b625fff,0xdeffffff,0x7ffff6c2,0xfffff90d,0xd301bdff,
    0x265fffff,0x22aaaaaa,0xd31aaaa8,0x0009ffff,0x7ffff4c0,0x0aa8800f,
    0x7fffffe4,0xfffd71ef,0xb03dffff,0x0a03dfff,0x00dffd80,0x81fc4000,
    0x67fe446d,0x76d407a1,0x3a60effc,0xffd8ffff,0x3aa00fff,0x00970aef,
    0x50006fe4,0x44009fff,0xf980efff,0xffd005ff,0xffb8001d,0x86fe40ff,
    0x6d404fd8,0x9fff901f,0x805fffb8,0x03effffa,0xb027f400,0xffffffff,
    0x7fffec1f,0x4fffffff,0x0001d000,0x7ffffec0,0xfffff700,0x77e4401d,
    0x3ffffa00,0x80efc806,0x06fffff8,0x4c3dfd10,0x21effffe,0x740cffa8,
    0x00004fff,0x00ffffb8,0x3bff3faa,0x3ffffe60,0xfffff904,0x306f9805,
    0xfa803fff,0x00003fff,0xedbcefe8,0x7ffff44f,0xff507eff,0xf717ff69,
    0xfd59dfff,0x3fee0bff,0x01feffff,0x009fff50,0x20027fec,0x2600effa,
    0x7cc00fff,0x4cc400ff,0x9ffffa99,0x2e7fff30,0xfea81fff,0xfff901ff,
    0x05fffb89,0x7fffffec,0xff90004f,0x7ffffc09,0x7fc4ffff,0xffffffff,
    0xfb8001ff,0x3ee00003,0x7e405fff,0x4405ffff,0x7ffe403f,0x03f8804f,
    0x01ffffee,0xff880fd8,0x20d905ff,0x0004fffc,0x0ffff980,0x3fa7ff90,
    0x7fffe44f,0x3ffffe05,0xc817c403,0x7dc05fff,0x00006fff,0xffffff98,
    0x3ffbe20f,0xf984ffff,0x8bff93ff,0x263ffffa,0xfdb07fff,0x00dfffff,
    0x002fffdc,0xfb0009ff,0x7ff3001d,0x801ffb80,0xfffffffa,0xfff36fff,
    0x443ffee5,0x1ffffffb,0xb89fff90,0x3ee05fff,0xffffffff,0x7ffd4003,
    0xfffff504,0x7cc3ffff,0xffffffff,0xfd0006ff,0x7d40000d,0x7dc05fff,
    0x404fffff,0x7ffe402f,0x805f003f,0x002fffff,0x7ffe407d,0x3f205d07,
    0x800004ff,0x980ffff9,0x9ffd2fff,0x07ffff98,0x01bfffee,0x7ffe40d5,
    0x7fffc405,0xa800000f,0x541effff,0x17ffb714,0x227fff70,0x7ffcc0ab,
    0x07fffcc7,0xcfec99a2,0x3ffa2001,0x00bf5002,0x4001df10,0x0ff405f9,
    0xa9999880,0x2e09ffff,0xb8fb224e,0x1ffffe9b,0xb89fff90,0xdf105fff,
    0xfffffb57,0x7ffc400d,0x8009b04f,0x9999bdfb,0x8004fe99,0x0002fffa,
    0x09ffff50,0xffffedb8,0x700ba02f,0x2007ffff,0x7ffdc02f,0x4079805f,
    0x442ffff8,0x13fff207,0x3fe60000,0xfffc80ff,0x3fa05712,0xff102fff,
    0x1e401fff,0x003ffd10,0x000fb571,0x815d4400,0xffc80008,0xfff9803f,
    0x07fffc47,0x54000004,0x0012e000,0x540006cc,0x003d100e,0x0ffff980,
    0xfff30000,0x3fff203f,0x82fffdc4,0xffff985b,0xfffd000f,0x003f109f,
    0x7fc404c8,0xfffd8001,0xff500005,0x9cb809ff,0x01ffffff,0xfffb805d,
    0x805f003f,0x00fffff8,0x7fec01ec,0xf9025c6f,0x000009ff,0xd01ffff3,
    0x2a005fff,0x3606ffff,0xf104ffff,0x20003001,0x0000006f,0xffb00000,
    0xfff3007f,0x0ffff88f,0x00000000,0x00000000,0xca800000,0xffff98cd,
    0xff300000,0x3ff203ff,0x2fffdc4f,0x3fff6028,0xfdec800f,0xcefb84ff,
    0x401c009b,0xf98007fb,0x0001ffff,0x04ffffa8,0xffffaa5c,0x402e80ef,
    0x003ffffb,0xfff9005f,0x007c409f,0xd0ffffcc,0xa7ffe403,0x5001cec9,
    0xfff319b9,0x5fffd01f,0x7ffffc00,0xfffff501,0x000016a0,0x55532f98,
    0x33b26155,0x2aaaa201,0x5555101a,0x7ffec035,0x7fff9803,0xa87fffc4,
    0x36a2aaaa,0x555300bd,0x55555555,0x8aaaaaa3,0x554c3db8,0xaaaaaaaa,
    0x2aaaa21a,0x5555441a,0x3ffe201a,0xffffbfee,0x55555440,0x7fffcc01,
    0x89fff901,0x8005fffb,0xa806fffa,0x84fffc8f,0xdffffffd,0x13f60000,
    0x3ffff200,0xfa80005f,0x25c04fff,0x0bfffff7,0xfffb805d,0x005f003f,
    0x01fffff3,0xffe80132,0xfc80d35f,0xffffcdff,0x3ffe205f,0xffffbfee,
    0x3fffeaa0,0xffc801ac,0xfffb04ff,0x205b05ff,0x01aaaaa8,0x7e449d10,
    0xfffb9fff,0xff7102ff,0x3ee20bff,0x3f605fff,0xff9803ff,0x7fffc47f,
    0x1ffffd30,0x01dffffb,0xf999bff9,0x3663ffff,0xffd17fff,0x66ffe43f,
    0x1fffffcc,0x17fffee2,0x0bffff71,0xff52fff4,0xfb881fff,0x7cc05fff,
    0xff901fff,0x5fffb89f,0x3fff9800,0xffc97c40,0x7fffc44f,0x00cfffff,
    0x000ffc40,0x3fffe7e2,0x7d40000f,0x25c04fff,0x0ffffff6,0xfffb805d,
    0x005f003f,0x20fffff6,0x3ea000f8,0x403c8fff,0x88cffffc,0xfd04fffc,
    0x7fffd4bf,0x3ffffe0f,0xf9803fff,0xcf887fff,0x7c45ffff,0xffff7100,
    0x309f300b,0x95bdffff,0xfe80dfff,0x7ff405ff,0x3fff605f,0x7fff9803,
    0x707fffc4,0xd59dffff,0x1d909fff,0x44ffffa8,0xfe8ffffa,0x03b22fff,
    0x209ffff5,0xfd05fffe,0x3ff20bff,0x7fffdc1f,0x0bfffd00,0x01ffff98,
    0xfb89fff9,0xfb8005ff,0x92ec01ff,0xffb89fff,0xffffffff,0x03fdc005,
    0xfffdae40,0x7d40004f,0x25c04fff,0x3fffffa2,0xff700ba2,0x0be007ff,
    0x37fffd40,0x7fc002dc,0x6400fcff,0xfff85fff,0x0fffe42f,0x203fffee,
    0x4002fffe,0x642ffffe,0x0fffff8c,0x3ffa012e,0x200c805f,0x7fc5ffff,
    0x3ff201ff,0x7ffe405f,0x0ffff605,0x11fffe60,0x7d41ffff,0x3fea3fff,
    0xfe82c87f,0x7fcc0fff,0xffe9cdff,0x3ffa0b20,0xfff900ff,0x17fff20b,
    0x261fffe2,0xf900ffff,0xff980bff,0xfff901ff,0x25fffb89,0x0bffb000,
    0x3ff20eb8,0x7f6e5c4f,0x3fffffff,0x0013f600,0x7fffcc7e,0x7fd40007,
    0x425c04ff,0x0ffffff8,0xfffb805d,0x005f003f,0x20fffff4,0xffb8001e,
    0xffc805ff,0x4fffc84f,0x261fffe2,0xfe80ffff,0x7d4002ff,0xd8fc6fff,
    0x07a3ffff,0x017fff20,0x07fffe00,0x6405ffff,0x7e405fff,0x3ff605ff,
    0xfff9803f,0x07fffc47,0xf98ffff5,0xfb8387ff,0xff982fff,0x0e04c6ff,
    0x80bfffee,0xf905fffc,0xfff30bff,0x1ffff30f,0x017fff20,0x203ffff3,
    0x7e45fffc,0x200916ff,0x3e600fff,0x027ffe41,0x7ffffe4c,0x1ff8800f,
    0x3fa35c00,0x20003fff,0x404ffffa,0xffff304b,0xf700badf,0x3e007fff,
    0x3ffee002,0x4001aa5f,0x802ffff8,0xfb84fffc,0x3ffe66ff,0x0ffff987,
    0x002fffe8,0x51fffff8,0xb7fffd4d,0xfff90069,0xfff0000b,0x2fffe83f,
    0x017fff20,0x6c0bfff9,0xfa803fff,0x3fe20fff,0x3ffea0ff,0x03fffcc7,
    0x837fffc4,0x003ffff9,0x06ffff88,0xc82fffe4,0xffb85fff,0xffff986f,
    0x0bfff900,0x01ffff98,0x7d4dfff9,0x02b8ffff,0x2202ffa8,0x4fffc83f,
    0x3fff2200,0x07fa801f,0x7fd42e80,0x2a0006ff,0x5c04ffff,0x3fffee04,
    0x7dc02edf,0x3f003fff,0x7fffc400,0x40005d0f,0xf9007ffc,0xfff509ff,
    0x1bffee1f,0x203fffe6,0x8002fffe,0x5d4ffffc,0xc9fffff8,0xbfff9003,
    0xffff0000,0x03fffe83,0x9017fff2,0x7ec0bfff,0xffb803ff,0x3ffe21ff,
    0x1fffea0f,0x801ffff3,0x301ffffd,0x0005ffff,0x803ffffb,0xf905fffc,
    0xfff90bff,0x1ffff30b,0x017fff20,0x203ffff3,0xeeeffffd,0x06fffff9,
    0x5d809fd0,0x009fff90,0x007fff90,0x6a8009fb,0x05fffff0,0x3fffea00,
    0x36025c04,0x02ffffff,0x01ffffdc,0x7e4001f8,0x0069cfff,0x8027fcc0,
    0xfa84fffc,0xfff90fff,0x1ffff30b,0x005fffd0,0x3fffff30,0xbffff90f,
    0x3ff2001f,0xff80005f,0x7fff41ff,0x17fff203,0x40bfff90,0x6403fffd,
    0x12ffffff,0x7d41ffff,0x7ffcc7ff,0x3ffea00f,0x3ffe604f,0x7fd4000f,
    0xffc804ff,0xbfff905f,0x30bfffb0,0x3201ffff,0x7cc05fff,0xffb01fff,
    0x3ea1bfff,0xfc800cff,0x7777cc04,0xfffffeee,0x7fec002e,0x017fc402,
    0x7fe40f60,0x409805ff,0x404ffffa,0xfffe804b,0x7fdc02ff,0x03f003ff,
    0xfffff980,0xfd80003d,0x9fff9001,0x6cffff50,0xff985fff,0xfffe80ff,
    0xfffd0002,0xfff309df,0x7e400bff,0xf80005ff,0x7ff41fff,0x3fff203f,
    0x2fffe405,0x007fffb0,0x1ffff100,0x263fffd4,0x3a00ffff,0x2600ffff,
    0xe8007fff,0xc800ffff,0xff905fff,0xdfff90bf,0x01ffff30,0x3017fff2,
    0x3e03ffff,0x15101556,0x2013e600,0xfffffff9,0x03ffffff,0x2007fdc0,
    0x7cc007fa,0xffffffff,0xf100ffff,0x7ffd43ff,0x4025c04f,0x02fffff8,
    0x01ffffcc,0x6c0007c4,0x000fffff,0x32005a80,0xffa84fff,0x1bfff25f,
    0x203fffe6,0x0002fffe,0x01fffff5,0x00bffffa,0x005fffc8,0x41ffff80,
    0x3203fffe,0x7e405fff,0x3ff605ff,0xf880003f,0x7ffd47ff,0x07fffcc7,
    0x02ffffb8,0x003fffcc,0x00bfffee,0xc82fffe4,0xffb85fff,0xffff987f,
    0x0bfff900,0x81ffff98,0x400007f8,0x4c3205f8,0xffffffff,0x003fffff,
    0x7ec037cc,0x20264004,0x704ffffc,0x7fd4bfff,0x025c03ff,0x02ffff98,
    0x027fffc4,0xfa8003d4,0x00004fff,0x7fe40059,0x3fffb84f,0x261fffee,
    0xfe80ffff,0x3e0002ff,0x3ee05fff,0x7e4007ff,0xf80005ff,0x7ff41fff,
    0x3fff203f,0x2fffe405,0x007fffb0,0x7ffc46a0,0x23fffd47,0x880ffff9,
    0x1985ffff,0x801fffe6,0x985ffff8,0x05fffc81,0xf10bfff9,0xffa83fff,
    0xfff900ff,0xffff980b,0x001ffa81,0x5cc17a00,0x2aaaaa27,0xadfffdaa,
    0x54039911,0x17fc403f,0x9801f100,0xb80fffff,0x3fea4fff,0x02dc01ff,
    0x005fff70,0x880dfffd,0x3fa0004e,0x644000ff,0xf9001a23,0xfff90bff,
    0x0ffffc43,0x203fffea,0x0002fffe,0x880bfff2,0x64004fff,0x80005fff,
    0x7f41ffff,0x3ff203ff,0x7ffe405f,0x0ffff605,0x7c5fea00,0x7ffd46ff,
    0x07fffcc7,0x40ffffec,0x1fffe61d,0x1ffffd80,0xfffc81d8,0x0bfff905,
    0xf897fff6,0xf901ffff,0xff980bff,0x3ffb82ff,0xfff90000,0x0bffffff,
    0x227ffe40,0xe80cfffc,0x007fa803,0xffe802e4,0xfff984ff,0x01bffee0,
    0xff9001b6,0xffff5005,0x0007ec07,0x000bff70,0x00ee3ffd,0xd0dfff90,
    0xfffb05ff,0x7ffffc4b,0x02fffe81,0x01bfe600,0x90007ff6,0x8000bfff,
    0x7c2ffff8,0x3f603fff,0x7fec05ff,0x3fffa05f,0x8ffb8004,0x7dc2fff9,
    0x7ffcc7ff,0x7fffd40f,0x3e60fb84,0xfa800fff,0x0fb84fff,0xb05fffd8,
    0x3a20bfff,0xfcebcfff,0xfd82dfff,0x7fcc05ff,0x4ffd82ff,0xfffb8000,
    0x4fffffff,0x13fff200,0x37fffff7,0x3f6007d5,0x00fe6005,0x07ffffd4,
    0xffd07fdc,0x2ff9801d,0x8017ec00,0x8adffffa,0x0001feb9,0x4000ffc4,
    0x00e8bfff,0x17fffe40,0x3a209ff7,0xfcebcfff,0x7fc2dfff,0x740003ff,
    0x06f9803f,0x05fffd80,0x7fffcc00,0x13fffe23,0x407fffe8,0xf107fffe,
    0x2000dfff,0x84ffcdff,0x2e0ffffc,0x7f42ffff,0xfb530fff,0x1ffffb8f,
    0x0ffffe80,0x3a0ffb53,0xffd07fff,0x7fec40ff,0xdeff9aff,0x7fffe81b,
    0x2ffffe40,0x0001ffe4,0x3fffffe6,0x002fffff,0x3213fff2,0x1cefffff,
    0x005ff100,0x4c01bfa6,0x505fffff,0x1bfffdfd,0x7ffff540,0x05d1003e,
    0x7ffff4c0,0x0000cfff,0x32000b90,0x8002ffff,0xeefd8afc,0x7ec403df,
    0xeff9afff,0x3ffe21bd,0x7d40004f,0x0007d000,0x000ffffd,0x7fffffd4,
    0xffffff9b,0x7ffff4c5,0x7ff4c1ef,0x3b21efff,0x02efffff,0x05ee5440,
    0x7fffffec,0xffffffb9,0xffffff73,0x64ffffff,0x04ffffff,0x3fffffee,
    0x4c7fffff,0x1efffffe,0xdfffffd3,0x310d4403,0x7fff4c01,0x3b2a1eff,
    0xceffffff,0x00019911,0x7fffffc4,0x01ffffff,0x413fff20,0x8000aa98,
    0xff9002a8,0xb501bdff,0xffffffff,0x002aa603,0x01100000,0x35555100,
    0x18800001,0x39b51000,0x51026000,0x1a880015,0x7f640262,0x002effff,
    0x00980060,0x3ffffa60,0x000001ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeca80000,0x5511622c,0x36e63555,0xedc9801c,0x019999bc,0xfffed880,
    0xffffffff,0x4c5fffff,0xffffffec,0xfd9800ce,0xefffffff,0xff802cde,
    0x643fffff,0xb7305fff,0x7fcc059d,0xffffffff,0x20ffffff,0xfffffed9,
    0x3fea002f,0x70ceffff,0xffffffff,0x3fff601b,0xffff32ff,0xffe980bf,
    0x44efffff,0x5effffeb,0x88aaaaaa,0x3fb223db,0xffffffff,0x02ffffff,
    0x5554401c,0x01aaaaaa,0xec885b71,0xdfffffff,0x7fff6c40,0x303804ff,
    0xffffffdb,0x3ffae5bf,0x24efffff,0xffffffe9,0xb3004eff,0xffffffff,
    0x3fe6007b,0x7ff45fff,0xd98007ff,0xffffffff,0xfff3003d,0x7fdc09ff,
    0x7fbcfc9d,0x67fffdc4,0x05fffffa,0xf93bff91,0x001fffff,0x7fff7ec0,
    0xfcaaa9df,0x3ff605ff,0x3a0004ff,0xbaacffff,0x7404fffe,0xf500ffff,
    0x3abbf609,0xfff504ff,0xf7333359,0x6c05ffff,0x005fffff,0x17fffffa,
    0x2fffffd8,0x3a09fb00,0xf9005fff,0xd80fffff,0xffd983ff,0x3fffd17f,
    0x3bffffb0,0xfffb5553,0x4402e405,0xffffffff,0x5fffd05f,0x3fffff60,
    0x1fffc400,0xfd805c80,0xf500ffff,0xe807ffff,0x000effff,0x3bffffa0,
    0xfffd0000,0x0ffffb0b,0xffffe800,0xff88000e,0x9ff504ff,0xd07fffd8,
    0xb33ddfff,0xffb07fff,0xaadffd8f,0x2bb60000,0xd104ffff,0x7ffdc0bf,
    0x3f20002f,0x7f443fff,0xff501eff,0x03ee05ff,0xfffa9ff6,0x200efb81,
    0x405ffffe,0x1fffffeb,0xfffdf980,0x3ffe202f,0x0db004ff,0x002fffec,
    0x03fffffd,0xff501fdc,0xffffd1ff,0xbffff705,0x9817f540,0xfff8805f,
    0x85ffffff,0x705ffff8,0x300bffff,0x3e6003df,0xffffb805,0x7ffffc05,
    0x7fffe400,0x7fe40004,0x360004ff,0xffb85fff,0x7e40007f,0x20004fff,
    0xf984fffd,0x7ffd41ff,0x3ffffb07,0x2a1ffff8,0x7fd45fff,0x7cc0001f,
    0x04ffffa9,0xfff702fc,0x7dc0005f,0xfe883fff,0xffd00fff,0x2e1360bf,
    0x3ffe24ff,0x3200ec85,0x400fffff,0x4ffffcdb,0xfffdcc80,0x7ffdc02f,
    0x0fcc00ff,0x00bfff90,0x37ffffc4,0x7cc05e88,0xfe9cdfff,0xffffa80f,
    0x4417c405,0x333005fe,0x01333333,0x540ffffe,0x4c05ffff,0xfd1000df,
    0xffff500b,0xfffff809,0x7fffdc00,0x7fdc0004,0x320004ff,0xffa85fff,
    0x7dc0007f,0x20004fff,0xfe84fffc,0x7fff987f,0xb0bfff90,0x7fe49fff,
    0x27ffd44f,0x7d53a000,0x32084fff,0x3fffee05,0x5c00099b,0xf103ffff,
    0x3ee0dfff,0x41f80fff,0x7ec3fff8,0x2602c84f,0x803fffff,0xfffff9db,
    0x3f67e200,0xfe801fff,0x26c04fff,0x017fff20,0x7fffff70,0xff300db0,
    0x50098dff,0xd00bffff,0x05ffe885,0xffa80000,0xffff500d,0x0027d40b,
    0x500bffd1,0xf809ffff,0xfb807fff,0x40004fff,0x004ffffb,0x217fff20,
    0x0007fffa,0x027fffdc,0x89fff900,0xf986fff8,0xfff907ff,0x4dfff709,
    0x7cc3fffd,0x2e0005ff,0x13fffea6,0xf702cc73,0xffffffff,0xfff7007f,
    0x7fff407f,0xffff883f,0x7fd43542,0x405dc42f,0x7ffff405,0x3f6b7006,
    0x56e03fff,0x801ffffd,0x00fffffa,0xffc801f5,0xffd8005f,0x03ae1fff,
    0x0ffffe60,0x5ffffa80,0xf98ae188,0x0aaaefff,0xa8aaaaaa,0x0202aaaa,
    0x0bffff50,0xf9800bee,0x0aaaefff,0x04ffffa8,0x403ffffc,0x2a4ffffb,
    0x7ffdc000,0x3f20004f,0xfffa85ff,0x7fdc0007,0x320004ff,0x7fd44fff,
    0x7fff986f,0x709fff90,0x7fdcffff,0x1fffd44f,0x2a2f8800,0x1d44ffff,
    0xffffb802,0x3dfff932,0x1ffffdc0,0x0dffff70,0x7917fff6,0x007fff90,
    0x3ffee008,0x2b7001ff,0x206ffffa,0x3ffffb2e,0x3ffffa00,0xf9005d04,
    0xf1000bff,0x3e6dffff,0xffff3001,0x7ffd4005,0xf302b85f,0xffffffff,
    0x37fff543,0x00ffffd3,0x2ffffd40,0xf3000f6c,0xffffffff,0x9ffff503,
    0x07ffff80,0x94ffffb8,0xffb8001f,0x320004ff,0xffa85fff,0x5555547f,
    0xffff701a,0x7fe40009,0x2fffe44f,0xc83fffcc,0xffa84fff,0x9fff10ff,
    0x001fffa8,0xfffa8bb0,0x7001ec4f,0xfd85ffff,0xff700fff,0x7fcc07ff,
    0xffa81fff,0x3607e0ff,0x00004fff,0x0bfffff1,0xfffd2dc0,0x7ecd305f,
    0xf3001fff,0x6c83ffff,0x0bfff900,0x3fffea00,0x26002fcf,0x2000ffff,
    0xd85ffffa,0x2fffdc02,0x71bfff20,0x4000ffff,0x225ffffa,0xf70000de,
    0xff500bff,0xfff809ff,0xfffb807f,0x8000edcf,0x004ffffb,0x217fff20,
    0x6cc7fffa,0xf700beff,0x40009fff,0xb2ccfffc,0xff30bfff,0x3fff20ff,
    0x47fffa84,0x7fec7ffb,0x81f50004,0x264ffffa,0x3fee003f,0x7ffd42ff,
    0xffff703f,0x7fffc407,0xffff882f,0x3ff60d53,0xfb00006f,0x4001ffff,
    0x3fffee5b,0x3ff63d85,0x3f6001ff,0x07e25fff,0x22fffe40,0xfffb001a,
    0xf98009ff,0x7d4007ff,0x17d45fff,0x017ffee0,0xfa8dfff7,0x2a0007ff,
    0xff35ffff,0x7fdc0007,0xfffa805f,0x7fffc04f,0xffffb807,0x3ee0004f,
    0x00104fff,0xf50bfff9,0x1bf30fff,0x4ffffb80,0x3fff2000,0x1bfff25f,
    0x641fffe6,0xffa84fff,0xaefd886f,0x20002ffd,0xffffa82e,0x003ffdad,
    0x10bfffee,0x64cdffff,0xceffffec,0x3ffe0ccc,0xfffb03ff,0x7fe40f6d,
    0x4c0000ff,0x003fffff,0xffff12dc,0xfb07c41f,0x44003fff,0x9b1fffff,
    0x2fffe400,0xf1005ffb,0x800dffff,0x4007fff9,0xa9dffffa,0x7dc02ffc,
    0x7fdc05ff,0x3fffd46f,0xffff5000,0x03ffff7b,0x17ffee00,0x37fffea0,
    0xfaaaaaaa,0xfb807fff,0x40004fff,0x4c4ffffb,0x7fe404ff,0x7fffa85f,
    0xff7005d8,0x640009ff,0x7fdc5fff,0x7fff986f,0x709fff90,0x3aa0bfff,
    0x40001bcc,0xb99999ec,0xffffffff,0x3fee003f,0xffff82ff,0xffd9930f,
    0x19999dff,0x827ffffc,0x0f9ffffa,0x09ffff50,0xffffe800,0x645b8006,
    0x12e4ffff,0x003ffffb,0xaeffffc8,0x3ff2000f,0x0bfff15f,0x3ffffea0,
    0x3ffe6003,0x7ffd4007,0x2fffffff,0x02fffdc0,0xf51bffee,0x17710fff,
    0x7ffffd40,0x00ffffff,0x3fff6a20,0xfa80aaae,0xffffffff,0x7fffffff,
    0x4ffffb80,0x7ffdc000,0x07ffe44f,0x50bfff90,0x05c8ffff,0x13fffee0,
    0x4fffc800,0x207fffcc,0xf907fff9,0xfff909ff,0x0006d887,0x7ffffcc0,
    0x4fffffff,0x5c007fd3,0x7c42ffff,0xff707fff,0xfff807ff,0x999993ff,
    0x99fdffff,0x3ffe2799,0x400a81ff,0x01fffffb,0x7fcc5b80,0xd83f0fff,
    0x4001ffff,0x3ffffff8,0x2fffe400,0x6c007ffd,0x001fffff,0x800ffff3,
    0xa8dffffa,0x7dc02ffd,0x7fdc05ff,0x3fffd46f,0x407fffe2,0xfaeffffa,
    0x2006ffff,0xeffffeea,0xfffa80ee,0x7fffc04f,0xffffb807,0x7fdc0004,
    0x3ffdc4ff,0x217fff20,0x1b27fffa,0x9ffff700,0x7ffec000,0x43fffd84,
    0xf907fffd,0xfff83fff,0x0005fd86,0xff501f40,0x01fc49ff,0x85ffff70,
    0x704ffff9,0x4407ffff,0x991fffff,0xffffd999,0x5c79999b,0x98beffff,
    0x7ffc404c,0xb70004ff,0x57ffffb0,0x3ffffb0d,0xffff7000,0xfff9000f,
    0x3000dc4b,0x0dffffff,0x03fffe60,0x5ffffa80,0x3ee017d4,0x7fdc05ff,
    0x3fffd46f,0x413fffee,0xf55ffffa,0x8009ffff,0xa805fffb,0x7c04ffff,
    0x7cc07fff,0x0004ffff,0x427fffdc,0x7fe401db,0x7fffa85f,0x5c005ffb,
    0x8004ffff,0x84ffffd8,0xebdfffe8,0xf907fffe,0xfb37ddff,0xfff883ff,
    0x1bccccce,0xf501ae00,0x03c89fff,0x0bfffee0,0x203ffff9,0x203ffffb,
    0x00fffff9,0x007fffea,0x3ffffff6,0xfffd804f,0xb818806f,0xeffffa85,
    0xffffd82d,0xfff88001,0xffc8006f,0x3e20005f,0x4fffffaa,0x1ffffb80,
    0x3fffea00,0x7dc02d85,0x7fdc05ff,0x3fffd46f,0x41ffffea,0x325ffffa,
    0x003fffff,0x2017ffee,0x404ffffa,0x2e07ffff,0x04ffffdf,0x3ffee060,
    0xf906004f,0xfff50bff,0x01ffffbf,0x13fffee0,0xff975180,0x3ffa209f,
    0x7fff9bff,0xf39fff90,0xf105bfff,0xffffffff,0xf8801dff,0x7fffd401,
    0x40541d44,0x712ffffb,0x5c03dfff,0x2a03ffff,0x5407ffff,0x7001ffff,
    0x009dffff,0x05fffff5,0x20b70590,0xb07ffffe,0x0003ffff,0x00dffff1,
    0x00bfff90,0xfff92740,0x7fe403ff,0x5004ffff,0x570bffff,0x05fffb80,
    0x2a37ffdc,0xffd87fff,0xfffa80ff,0x7fffec5f,0xfff7001f,0xffff500b,
    0x7ffff809,0xfff73d30,0x5c2c009f,0x2004ffff,0x42fffe46,0xffdffffa,
    0xff7005ff,0x234009ff,0x4404fffc,0x1fffe61a,0x5327ffe4,0xffffd801,
    0x6fffffff,0x7d4026c0,0x41444fff,0xfffff706,0x019dffff,0x03ffffb8,
    0xc8bffff2,0xfffdcccc,0x03ccccdf,0x7c4003aa,0x8805ffff,0xf705b81f,
    0x3f609fff,0x88001fff,0x8006ffff,0x0005fffc,0xfffe88bb,0x0022006f,
    0x0bffff50,0xfffb8033,0x37ffd405,0x841fffea,0xffff507d,0xfffff88b,
    0xfffb800f,0xffffa805,0x3ffffc04,0xffff7088,0x2e166009,0x7004ffff,
    0x85fffc8b,0xff57fffa,0xff7005ff,0x16e009ff,0x0009fff9,0x320ffff3,
    0xb0004fff,0xffffffff,0x3ea01fff,0xffffa800,0xf706a804,0x13337fff,
    0x7fffdc00,0xdffff103,0xfdccccc8,0xccccdfff,0x4013f603,0x00fffffc,
    0x05b81fb8,0x201ffff1,0x001ffffd,0x06ffff88,0x05fffc80,0xf980eb80,
    0xb004ffff,0x3ea005df,0x70005fff,0xfa80dfff,0x7ffdc7ff,0x5417e207,
    0xf985ffff,0xb806ffff,0xfa806fff,0x7fc04fff,0xffb807ff,0x09b004ff,
    0x009ffff7,0xbfff913a,0x6cffff50,0x5c00ffff,0xd004ffff,0x04fffc89,
    0x07fff980,0x8009fff9,0x9999cfc8,0x80ffeb99,0xff5003e8,0x5e8809ff,
    0x05ffff70,0x7fffdc00,0x3ffff703,0x3ffff500,0x17fec400,0x3ffffe60,
    0x80ff9803,0x17ff205b,0x02ffffd8,0x7ffff880,0x5fffc800,0x900fd400,
    0x003fffff,0x2a00ffd5,0x0005ffff,0x424dfff5,0xf50ffff9,0x2a01ffff,
    0xffff500f,0x3fffee0b,0x7ffd405f,0x7ffd4127,0x7fffc04f,0x7ffdc00f,
    0x83fa804f,0x804ffffb,0x7ffe44fa,0x27fffa85,0x405ffff8,0x804ffffb,
    0x7ffe44fa,0xfff98004,0x4fffc80f,0x403fe400,0x00fb05fa,0x02ffffd4,
    0x3ee09fd3,0x20002fff,0xa84ffffc,0x7001efff,0x8003ffff,0x7f403ff8,
    0xfb806fff,0x4c0d707f,0x3ffa02ff,0xf98002ff,0xd8007fff,0x2a006fff,
    0x7ffc404f,0xfb800eff,0xfffa800f,0x3fa0005f,0xfb01edff,0xff9fbdff,
    0x05f503ff,0x02ffffd4,0x0bfffffb,0x777fff44,0xbffff701,0x0fffff80,
    0x2ffffdc0,0x320bfe60,0x5405ffff,0x7ffec3ff,0x47fffb86,0x203ffffa,
    0x405ffffc,0x7fec3ffa,0xff98005f,0xfffd80ff,0x0ffe4005,0xf905fd10,
    0x3ff6003f,0xb999afff,0xfb03fffd,0x40009fff,0x99effffe,0x004fffca,
    0x027fffec,0x401ff710,0x9bfffffb,0xfeb99999,0x2fe886ff,0xff881b60,
    0xb8004fff,0x001fffff,0x803ffff4,0xfd805ffb,0x4405ffff,0xff9003fe,
    0x20001fff,0x202dffd8,0xa8efffe8,0x322fffff,0x7ffe401e,0xfff500ff,
    0x6c40bfff,0x3f602dff,0xf300efff,0xd805ffff,0x99afffff,0x2fffda99,
    0xafffffd8,0xffdb9999,0x3ffff42f,0x207fffe4,0xb01ffffe,0x335fffff,
    0x5fffb733,0x007fffe8,0x43ffffc8,0x00effff8,0x2b3ff620,0x41eecba9,
    0x1dffffe9,0x7fff6644,0xffffffff,0x3262ffff,0xeffffffe,0xfec9800c,
    0xefffffff,0x36a001ce,0xeffffffe,0x337ae00c,0x3fffe200,0xffffffff,
    0x25ffffff,0x3effffd9,0xfeda83a8,0x0cefffff,0x3fff7260,0x00cdffff,
    0x3fffffa6,0xffff701e,0xfea819df,0x2fffffff,0x4402cee8,0xffffffec,
    0x020002ce,0x4000a880,0x3ffb2201,0x20deffff,0xfffffffc,0x980404ff,
    0xffffffec,0xfffb72ce,0x4c9bffff,0xffffffec,0xffffffff,0xffd931ff,
    0xffffffff,0x23ffffff,0xefffffe9,0xffffffb1,0x3ffffea5,0xfffd934f,
    0xffffffff,0x263fffff,0x1efffffe,0xeeeed980,0xdddd35ee,0x88007ddd,
    0x1abdedcb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffed4,
    0x1cdeefff,0x55555500,0xaaa85555,0x2f76a2aa,0xffffd980,0xcdeeffff,
    0x2aaaa002,0xe81aaaaa,0xffffffff,0xffffffff,0x56f64c7f,0xaaaa80c8,
    0x6c2aaaaa,0x4007ffff,0xfffffee9,0x3ceeefff,0xffffb300,0x325bffff,
    0xfffffffe,0x3ffffa4e,0xffffffff,0xb37fffff,0xffffffff,0xffffffff,
    0x7fff6c41,0xcceeffff,0x99999701,0x99999999,0x2aaa6199,0x00aaaaaa,
    0x74c00000,0x0db00004,0x2e200000,0x376e202d,0x33b6e22b,0x55555501,
    0x21555554,0x2aaaaaa9,0xa86aaaa2,0x2aa2aaaa,0x07932aaa,0x3ffffb66,
    0xceeeffff,0xfffffb02,0xffed9800,0x42dfffff,0xabffffe8,0x03ffffca,
    0x7ffffffc,0x7ff4c7ff,0xffffd8ff,0x3fffa00e,0xffebaacf,0x7ffc404f,
    0x85ffffff,0xf99bcffe,0xca99ffff,0x2ffee7ff,0xff81ffeb,0x6fffffff,
    0x007fffc8,0x2fffffa0,0xefffca99,0x3fffa001,0xfff500ff,0x9ffd07ff,
    0xfffff335,0x0fff9533,0x33bffffb,0x1fffd755,0x33ffff60,0x1dfffeba,
    0x2130001c,0xfffffffc,0x640002ff,0x0bf5001e,0x001fe000,0x91676dd4,
    0x217ffec7,0xffebbeea,0xffbaffac,0x6fffea84,0x31ffffa6,0x83dffffd,
    0x3aa0cffa,0x3fa66fff,0x05ffd7ff,0xacffffe8,0x05ffffcb,0x000ffff9,
    0x077fffec,0x85ffffb0,0x00effff9,0xffffffff,0xffff70ff,0x9fffd59d,
    0x1ffffe40,0x07bfffa2,0x7fffffc4,0x2fe85fff,0x987ffff8,0xfb0ffe7f,
    0xffffff03,0xfb88dfff,0x01999fff,0x0bffff20,0x00ffffea,0xdffff933,
    0xf3333333,0x4135ffff,0xffff81fe,0xfb87f987,0x3ee04fff,0xffff500f,
    0x0ffffd87,0x9098000e,0xffffffff,0x3772a05f,0x03ffcc0a,0x00005fa8,
    0xffb000ff,0x4d9bfd55,0x2e5ffff8,0x3ffa20ff,0x0ffea2ff,0xf71bfff2,
    0xfff10fff,0x641b60bf,0x7fdc6fff,0x807ffb7f,0x543ffffc,0x5c0effff,
    0x20007fff,0x405ffffb,0x982ffffc,0x980effff,0x99999999,0x3ffffa81,
    0xb81fffea,0xe883ffff,0x3300ffff,0x13333333,0x3ffe07d0,0x3eaf707f,
    0x4c17c45f,0x99999999,0x7fffff40,0x7000ffff,0x3605ffff,0xf100ffff,
    0xffffffff,0xffffffff,0x74dfffff,0x0fffff03,0x3ffea1ee,0x807dc04f,
    0x443ffffa,0x00e5ffff,0x33310980,0x81333333,0xffabffd8,0x401ffa25,
    0xf00005fa,0x3ffe800f,0xff07ffea,0x1fffc7ff,0xf11ffff6,0xfffb81ff,
    0x83fffd46,0x5d07fffc,0x51bffee0,0x0774ffff,0x0ffffee0,0x50bffff2,
    0x4000ffff,0x404ffffb,0x302ffffc,0x000bffff,0x23fffd40,0x2e07fff9,
    0xf103ffff,0x0000dfff,0xffff00e8,0x7fe5e20f,0x000ae0df,0x7fffdc40,
    0x2e001999,0xf502ffff,0x4cc05fff,0x99dffffb,0xfff99999,0x03a099ff,
    0x883ffffc,0x4ffffa87,0x4c03e208,0xff83ffff,0x00070fff,0xd100004c,
    0x77fdc5ff,0x2a009f51,0xff00005f,0x0fffdc00,0xfa89fff1,0xdfff10df,
    0xf86fffc8,0x7ffdc3ff,0x83fffd46,0x4c2ffff8,0x1bffee07,0x999ffff5,
    0xffff7001,0xbffff507,0x007fffa8,0x13fffea0,0x05ffff90,0x00fffff4,
    0x5407bd95,0x7fcc7fff,0x3ffee07f,0x3fffa03f,0x3772a03f,0xff81201b,
    0x7d5207ff,0x5001ffff,0x54015bb9,0x20007fff,0x302ffffb,0x500bffff,
    0xf809ffff,0x40707fff,0x1207ffff,0x113fffea,0xff300d89,0xfffd07ff,
    0x98000e3f,0x2aaaaa20,0x88fff901,0x03ccffff,0x00017ea0,0xff8803fc,
    0x3ffe20ff,0xffd8080f,0x427ffe43,0x7fdc4ffe,0x3fffd46f,0xc8bfffb0,
    0x1bffee03,0x000ffff5,0x307ffff7,0xfa8dffff,0x2a0007ff,0x6404ffff,
    0x3202ffff,0xd885ffff,0x80efc9df,0x7cc7fffa,0xff700fff,0x7fdc07ff,
    0xbdea86ff,0x000effeb,0x803ffffc,0x03ffffff,0x3eabbf62,0xffff505f,
    0x5c016ed4,0xf502ffff,0xf500bfff,0xff809fff,0xff8007ff,0x7d4007ff,
    0x225c4fff,0x3fffe600,0x0ffffe83,0x104c0007,0x30bffff7,0xfff0dfff,
    0x17ea000f,0x803fc000,0x3a27fffa,0x2003ffff,0x3fff2209,0xffeeeeef,
    0x37ffdc5f,0xa81fffea,0x03e1ffff,0x546fffb8,0xb8007fff,0xfb83ffff,
    0x7fd43fff,0x02b76a7f,0x09ffff50,0x02ffffc8,0x03ffffea,0x3fe21ffd,
    0x47fffa86,0x700ffff9,0x4c07ffff,0x2e1fffff,0x3ffe60ff,0x7fffc005,
    0xffff7007,0xffd10bff,0x5427fdc5,0xffe8ffff,0x7fdc06ff,0xfff902ff,
    0xfff5007f,0xffff809f,0xffff8007,0x7ffd4007,0x30026c4f,0xff07ffff,
    0x0001cbff,0xbfffd013,0xf0dfff70,0x2a601fff,0xefcaaaaa,0x22aaaaaa,
    0xaaaaaaa8,0xaaaaabff,0x4ffff71a,0x04fffdbd,0xfbcfc880,0x99999dff,
    0x7ffdc099,0x03fffd46,0x2553fffa,0x51bffee0,0x7000ffff,0xfb07ffff,
    0xffa81fff,0xffffd8ff,0x7fffd406,0x7fffe404,0x3fffe602,0xb1bfee1f,
    0xfffa85ff,0x07fffcc7,0x03ffffb8,0x8bffffe2,0x7ffc4ffe,0x3ffe001f,
    0x3fea007f,0x7e43ffff,0x3ffe20ff,0x77fffd43,0x04fffeac,0x40bfffee,
    0x800ffffe,0x404ffffa,0x8007ffff,0x4007ffff,0x224ffffa,0x3fe6004f,
    0x7ffd43ff,0x98000e2f,0x85fffc80,0xfe85fffc,0xfffb02ff,0xffffffff,
    0x2a1fffff,0xffffffff,0xffffffff,0x32ffff93,0x00bfffb4,0xff71ffb8,
    0xffb800df,0x3fffd46f,0x23fffee0,0x7ffdc01e,0x03fffd46,0x1ffffdc0,
    0x20bffff6,0xaceffffa,0x2a04fffe,0x6404ffff,0x2202ffff,0xf12fffff,
    0x6ffc89ff,0x263fffd4,0x3260ffff,0xceffffec,0x3ffe0ccc,0xffff13ff,
    0x501ffff8,0xffff9999,0x4079999f,0x26ffffe9,0xff86fff8,0x7fffd47f,
    0x81bffea3,0x442ffffb,0x001ffffe,0x55bffff5,0xfff55555,0xfff000ff,
    0xffa800ff,0x4ffb9dff,0x3fffe600,0x0ffffe63,0x404c0007,0xfd85fffc,
    0xfffe85ff,0x99999704,0x9999dfb9,0x6664c999,0xccffcccc,0xf91ccccc,
    0x7ecb7dff,0xfb1004ff,0x3fffd45f,0x1bffee00,0x880ffff5,0x806dffff,
    0x7d46fffb,0xfb8007ff,0xffecdfff,0xff500adf,0x7ffd47ff,0x3fffea06,
    0x7fffe404,0x3fffe202,0x85fff53f,0x7fd47ffb,0x7fffcc7f,0x3ffb3260,
    0x0cccceff,0xc93ffffe,0x7fffc3ff,0xf9999502,0x9999ffff,0x3f620a87,
    0xfff70fff,0x41fffd0b,0x7cc7fffa,0x3fee07ff,0xffeecdff,0x7d4003ff,
    0xffffffff,0x7fffffff,0x7ffff800,0x7fffd400,0x004fffff,0x37bfffe6,
    0x380cfffe,0x32026000,0xffd85fff,0x4fffe85f,0x005fa800,0x2e00ff00,
    0x360effff,0x0e5c2fff,0xff31bff2,0x7d4005ff,0x7ffd46ff,0xffffc807,
    0x6fffa802,0x003fffd4,0x777fffdc,0x02dfffff,0xf98ffff5,0x3fea07ff,
    0x7fe404ff,0x3fe202ff,0xfff72fff,0xfffddddd,0x23fffd41,0x700ffff9,
    0xf807ffff,0x0443ffff,0x05ffffd5,0x03ffffc0,0x3ffe42dc,0xfd0bfff9,
    0x7ffd45ff,0x03fffcc7,0xf79ffff7,0x0007ffff,0x809ffff5,0x8007ffff,
    0x4007ffff,0x98cffffa,0x3e6004fe,0xaaabefff,0x98000e00,0x85fffc80,
    0xfe85fffc,0xfa8003ff,0x0ff00005,0x03fffe60,0x7ec1fffb,0xbfff11ff,
    0x01dfffd0,0x7fffa893,0x403fffdc,0x5007fff8,0xffb8ffff,0xffb8007f,
    0x3ff223ff,0x7fd40eff,0x7fffcc7f,0x9ffff500,0x2ffffc80,0x3ffffe60,
    0x337fffb0,0xfb833333,0x7ffcc7ff,0xffff700f,0x7fffc407,0xf5fd501f,
    0x7c005fff,0xfb807fff,0xfb2ffcc2,0xfffd0bff,0x23fffd49,0x700ffff9,
    0x3ee5ffff,0x4001ffff,0x404ffffa,0x8007ffff,0x4007ffff,0x224ffffa,
    0x3fe6004f,0x01c003ff,0xff901300,0xbfff70bf,0x003ffff0,0x0000bf50,
    0xffe801fe,0x227ffe87,0xff75ffff,0x3fee25ff,0xd513ffff,0x0ffff981,
    0x01fffff5,0x2007ffb0,0xf50ffff9,0x8001ffff,0xb83ffffb,0x2a0effff,
    0x7fcc7fff,0xfff500ff,0xfffc809f,0x3ffea02f,0x13fff67f,0x0ffffc80,
    0x40bfffee,0x203ffffb,0x40fffff9,0xfff1ffd8,0x7ffc005f,0xbffa807f,
    0x7ec3ff70,0xfffe85ff,0x31fffea4,0x2e01ffff,0x3f62ffff,0x54006fff,
    0x7c04ffff,0xf8007fff,0x54007fff,0x2644ffff,0x7ffff300,0x20003800,
    0x5fffc809,0xf86fff88,0xf50006ff,0x1fe0000b,0x20fffa80,0x7fc1fff8,
    0xffff34ff,0xff91bfff,0x03ffffff,0x3f7bfff6,0x801ffffc,0x36000ff9,
    0xfcfeefff,0x5c001fff,0xff03ffff,0x7fd49fff,0x7fffcc7f,0x9ffff500,
    0x2ffffc80,0x9bfffee0,0xb005fffc,0x73ffffff,0x07ffffff,0x407ffff7,
    0x4c7ffffa,0x3ffe1fff,0x3ffe002f,0xfdfa807f,0x7e41efef,0xfffe85ff,
    0x31fffea3,0x2e01ffff,0x3e22ffff,0x2004ffff,0x404ffffa,0x8007ffff,
    0x4007ffff,0x4c4ffffa,0xfff30504,0x0038007f,0x3ff20260,0x8fff705f,
    0x2202fff9,0xfb999999,0x1999999d,0xe801fe00,0x3ff24ffd,0x20effb82,
    0x41effffc,0x1dffffec,0x3bfffa20,0x2fffffa8,0x44005e80,0xfa8efffe,
    0x2002ffff,0xb03ffffb,0x7d4dffff,0x7ffcc7ff,0xffff500f,0xffffc809,
    0x3ffff602,0x03fffee1,0x00044004,0x01ffffdc,0x445ffff9,0x7ffc6ffe,
    0x3ffe002f,0x3208807f,0xbfff500d,0x543ffff0,0x7fcc7fff,0xfff700ff,
    0xffffa85f,0xfff5001f,0xffff809f,0xffff8007,0x7ffd4007,0x83a8384f,
    0x003ffff9,0x0130001c,0x640bfff9,0x0fff23ff,0xffffffb0,0xffffffff,
    0x1fe001ff,0xefe9a640,0x06202dfe,0x0a8801a8,0x00054400,0x10000980,
    0xb8000015,0xf703ffff,0x7fd4dfff,0x7fffcc7f,0x9ffff500,0x2ffffc80,
    0x8bffff10,0x885ffff8,0x0effc00d,0x7ffff700,0x1bfffe20,0xff8dfff5,
    0x3fe002ff,0x7c4007ff,0x1bffe02f,0xff51bffe,0xffff98ff,0x5ffff700,
    0x1fffffb0,0x9ffff500,0x07ffff80,0x07ffff80,0x27fffd40,0xff982e80,
    0x01c003ff,0xff901300,0xdffa80bf,0xfd801efe,0xffffffff,0x0fffffff,
    0x0200ff00,0x00002aa2,0x00000000,0x00000000,0x7fdc0000,0xfffb03ff,
    0x3fffd4bf,0x403fffe6,0x404ffffa,0x902ffffc,0xf901ffff,0x3665dfff,
    0x05ffb802,0x0ffffee0,0x20ffffdc,0xfbdffffb,0x000affff,0x800fffff,
    0xf700ffea,0x7ffcc1ff,0x23fffd42,0x700ffff9,0xd105ffff,0x500bffff,
    0xf809ffff,0x4000ffff,0x4007ffff,0x804ffffa,0xfffa81fc,0x001c003f,
    0xfffb0130,0x02aa200b,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb800000,0xfff03fff,0x7ffd45ff,0x07fffcc7,0x04ffffa8,0x41ffffec,
    0x100efffb,0xfffffffb,0x037ec009,0x09ffff90,0x103dfff5,0x93dfffff,
    0x200bffff,0x000fffff,0xf9007fdc,0x41ffec7f,0x7cc7fffb,0xff900fff,
    0x3fe607ff,0x7dc03fff,0x7fc05fff,0x22000fff,0x000fffff,0x017fffee,
    0xff501ff7,0x038009ff,0x3fa02600,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fe40000,0xfffd83ff,0x3fffdc4f,0x407fffe6,
    0x205ffffb,0x9dffffe8,0x04fffda9,0x7dffff90,0x00ffcc00,0x3dffffd0,
    0x09fff953,0x224efeb8,0xf3005ffe,0x4005ffff,0xfa805fe8,0x901efeef,
    0x7dc1ffff,0xffd02fff,0x7fe40bff,0x3f601fff,0xf300efff,0x4005ffff,
    0x02fffffa,0x3fffff60,0xffba999a,0xffff907f,0xaaab800d,0xaaaaaaaa,
    0x3a60caaa,0x01efffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35dffffb,0x05dfffd7,0x5c1ffff9,0xfb02ffff,0xd950dfff,
    0xffffffff,0x200039dd,0x3e6000a9,0xec9802bd,0xffffffff,0x04001cee,
    0x3f720010,0x4dffffff,0x001e76c0,0xfd802aa2,0xfb9fffff,0xb33fffff,
    0xdffffffd,0xffffd019,0x7ff64cbf,0x72ceffff,0xfffffffb,0x7fee409b,
    0x04dfffff,0xfffffd93,0xffffffff,0x7f644dff,0x1defffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffb660,
    0xdeffffff,0xffffb02c,0xffff73ff,0x3fb267ff,0x2cefffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x376e2000,
    0x1676541b,0x1676dcc0,0x01ef6540,0x12a03039,0x00addca8,0x6456f64c,
    0x2f772a00,0x2aaaa601,0x555551aa,0x2aaaa155,0x00003931,0x12b88000,
    0x0000a205,0x40010000,0x01aaaaa8,0xa85402a0,0x36a2aaaa,0xaaaa80bd,
    0x55551aaa,0x55554355,0xa8f6e22a,0x32a2aaaa,0x6edc41ce,0xaaaa880a,
    0xaaa89aaa,0x55554c1a,0x1aaaaaaa,0x440004c0,0x00298001,0x00130018,
    0x20593013,0x00c06019,0x054c0066,0x7fffffd4,0xffffffff,0xd80003ff,
    0x93feaaef,0x409fd5bf,0x4ffeaefd,0xf93bfb10,0x99ffa81d,0xf52dfffd,
    0xaefd883f,0xff705ffa,0x503ffd77,0xdffd77bd,0xffffd301,0x3fffea19,
    0x433f662f,0x0002dffa,0x7fecc000,0x0fe20fe3,0x3aa00f60,0x006fb800,
    0x0bffff71,0x33641b20,0xfb1ffffd,0xe981dfff,0x930cffff,0x6cc17dff,
    0xffd17fff,0x3fffa63f,0xfffffd8f,0xdfffff32,0x3ffffee0,0x1bffc88c,
    0x6666ffe4,0x201fffff,0xd7000ffa,0x2001bfff,0xffb002fe,0xfff901bf,
    0x2fea881d,0x3237ffd4,0x7ffcc4ff,0x441fff30,0x504feabc,0x541bf7bf,
    0xffffffff,0xffffffff,0x400bbaa3,0x3fea2ffd,0x13fe66fe,0xfffa9ff6,
    0xf10ffe81,0xffff90df,0xfffffddf,0x22ffe887,0x3ff84ffb,0x3fee0fec,
    0x417ffe60,0x643ffff9,0x3540ffff,0x33ffff22,0x71000000,0x5c19fffd,
    0x202fc82f,0x3ea03ffa,0x0ffd802f,0x17fffa00,0x3ee0bf20,0x77fffdc1,
    0x84fffeac,0x4c0ffffb,0xfff500ef,0x5ffffd1f,0x677fffdc,0xebffffc9,
    0x03fffe9a,0x549ffff3,0xa81d901f,0x6404ffff,0xffb803ff,0x400effdf,
    0xfc806ffb,0x7644fffe,0x36e5ffeb,0x7ff42fff,0xffff12ff,0xca7ffec1,
    0x4bf64fff,0x3fcc1ffa,0x20000bf7,0xffff13fb,0x87ffc801,0x7fc4ffff,
    0x893fee0f,0x7fdc5fff,0x6c17fec6,0x7fe443ff,0x20fffc84,0x3ea3fff8,
    0x3a17c45f,0x7fffc4ff,0x8bfffb01,0x642ffff9,0x3fffaa03,0x9300002d,
    0x7c05dfff,0x00ffc42f,0xff507ff5,0x01366007,0x80bfff90,0x85fb86fb,
    0x2a3ffffa,0xffa87fff,0x4c05d87f,0xe9cdffff,0x3ffe60ff,0x77fffc4f,
    0x817ffee0,0x5d0ffffc,0x7ff41640,0x7fd400ff,0x117fd401,0x7fc40df9,
    0x436203ff,0x88e27ffa,0x2ffc86ff,0x8a7fffec,0x3f60ffff,0x9fffb4ff,
    0x2ffaa7f4,0x5ff537f4,0x27f70000,0x202ffffb,0xfe85fff8,0x9fff43ff,
    0x7ec3fff8,0x13ffe24f,0xff88dff9,0xf113ee01,0xffff0dff,0x706fffe4,
    0x23fffc45,0xf301ffff,0x7fdc1fff,0x4007c5ff,0x0befffc9,0xfffea800,
    0x1ffb801d,0xf500ffdc,0x01ffd47f,0x7fe40000,0x07fea05f,0xff503ff5,
    0x7fff98ff,0x647fffa8,0xffff9805,0x3fe604c6,0x3fffe87f,0x102fffd4,
    0x0b79ffff,0xffffb838,0x9ba2ec82,0x41fec3eb,0xbf900ff8,0x7c001ff7,
    0x07fe205f,0xfd30bff2,0x3fffcbff,0x7e4bfff2,0x6d4623ff,0x337fc3ff,
    0x700007ff,0x3fffe67f,0x17ffea00,0xfd0bfff6,0x0bffeabf,0x7fd41771,
    0x23ffdc2f,0x47e804fb,0xfe85fffb,0xffff50ff,0x1ffe403f,0xe80bfffe,
    0x3efa3fff,0x00b50fff,0xdfffeb88,0x7ffe4401,0x7fc000bf,0x03ffe20f,
    0xffabffa8,0x90000003,0x3ea0bfff,0x82ffd45f,0x7cc7fffa,0xfffa87ff,
    0x7cc01f27,0xf9803fff,0xfffe87ff,0x037ffd43,0x03fffff2,0xdffff100,
    0x32bfff10,0x7c7ffe8a,0x107f900f,0x013fa1ff,0xea817fc4,0x2ffc80ef,
    0x7f49f110,0x87ffd45f,0x7541fffa,0x3e23ffac,0x013fe66f,0xeb8fee00,
    0x7ffe403e,0xeefffd84,0xf96fffee,0x3ee007ff,0xfeeeeeff,0x007f60ff,
    0xfffc8bee,0x22fffe85,0x03ffffff,0xfffea822,0x3ffee02f,0x3fffed36,
    0x4c000593,0x20befffd,0x02dfffda,0x83bfee00,0x2a00effb,0x5303ffff,
    0x55555555,0x05555555,0xf30bfff9,0x7ffcc3ff,0x8ffff501,0x540ffff9,
    0x7ff97fff,0x5ffff300,0x0ffff300,0xfa87fffd,0x7fc407ff,0xfd8005ff,
    0xffb01fff,0xfffd9bdf,0xf900ff87,0x7d49fb07,0x04fb800f,0x81ffffb1,
    0x3ea02ffc,0xf10ffee2,0x23ffc4ff,0x87ff55fb,0x0ffea6ff,0x00fee000,
    0x427fff40,0xaaacfffd,0xfffb2aaa,0x3fff6009,0x1999999b,0x7d4007f4,
    0x217fff64,0x3ee4fffe,0x405fffff,0xffffafea,0x3fffe202,0xdfff93c9,
    0x2200003e,0xff53fffe,0x200003df,0x3fe26fff,0x2ffe406f,0xffffffb0,
    0xffffffff,0xfffc81ff,0x12fffc45,0x7d40bfff,0x7ffcc7ff,0x7fffd40f,
    0x400ffffc,0x800ffff9,0xfe87fff9,0x7ffd43ff,0xffffb807,0x3ffea001,
    0x4ccc404f,0xfd0199de,0x983ff109,0x02fec0ff,0x3a6017e2,0x17fe42ff,
    0x1ff98db0,0x2ff45fe8,0x3fee9ff1,0xff53fe43,0x13100001,0x3fffa000,
    0x04fffd84,0x006fffd8,0x4009fffb,0x2fb801fe,0x3a17fff6,0x7fd44fff,
    0xd883ffff,0x5ffff1ff,0xecfffe80,0xb9ffff30,0xffb88000,0xff910cff,
    0x400017ff,0x3e24fff8,0x3fea04ff,0x999703ff,0x99999999,0xf9099999,
    0xfffb0bff,0x503ffec1,0xff98ffff,0x7ffd40ff,0x05fffedf,0x803fffcc,
    0xfe87fff9,0x7ffd43ff,0xdfffd007,0x7ffff400,0xb95d3000,0x85ffd401,
    0x3fe86fd9,0x3a01ff98,0xffa80a24,0xc817fe42,0xf907f80e,0x3e23fc87,
    0x1dffbeff,0x02fd8ff4,0xb0000000,0xffb09fff,0xfff900bf,0xfff9001f,
    0x01fe400b,0xfff907ec,0x07fffd0b,0x8dffffd3,0x3fe1fff9,0x7fdc02ff,
    0x7fff45ff,0xfb30002f,0x5c405dff,0x001dfffe,0x7e44ffc8,0x2ffea05f,
    0x00003ffa,0x0bfff900,0xffd0fffa,0x1fffea07,0xa81ffff3,0xfff37fff,
    0x7ffcc07f,0xffff3007,0xa87fffd0,0xfd007fff,0xf7005fff,0x32005fff,
    0x02ff98ff,0x3ffbfff6,0x9037dc1f,0x333f60df,0x3fe063ec,0x2217fe40,
    0x20bb00ce,0x20fcc0f9,0x01950bc9,0x0007376e,0xfb800000,0xfffe84ff,
    0x3fea100f,0xffb804ff,0xf98100ff,0x517ea00f,0xfff0bfff,0xfd882a3f,
    0xffd10fff,0x02ffff8d,0x217fffc4,0x4007fffb,0x1cfffeb8,0x7ffe4c00,
    0xff8800be,0x502ffc45,0x1ffd47ff,0x7e400000,0xffd105ff,0xa83ff441,
    0x7fcc7fff,0x7ffd40ff,0x07ffff27,0x803fffcc,0xfe87fff9,0x7ffd43ff,
    0xffecc807,0x7ffc406f,0x7d41985f,0x803ffe5f,0x40dffffb,0x3e202ff8,
    0x7fffec2f,0x25df91ff,0x3ffd82fa,0x80aa0044,0x00000b05,0x00000000,
    0xf0bfff10,0x9309ffff,0x07ffffe2,0x7fffc42a,0x7ec0d885,0x83ffb81e,
    0xfff86fff,0x3ff216e6,0xf1bffea7,0xfb005fff,0x9fff10ff,0x3fff2600,
    0x440000be,0x01cfffeb,0x1bf617f2,0xfa83ffa8,0x09d5003f,0x05fffc80,
    0xfd113fa2,0x8ffff507,0x540ffff9,0x7ff47fff,0xffff306f,0x1fffe600,
    0xf50ffffa,0x56980fff,0x6c07ffff,0x1d81ffff,0xff917fcc,0x20131001,
    0x5eb804ea,0x3bbbbbaa,0x9dfd930e,0xdeeeca81,0x0000000c,0x00000000,
    0x32000000,0x7ffc47ff,0x1d31dfff,0x5f7fffdc,0x7fe44c98,0x85b32eff,
    0xdceffffa,0x5c1ffffe,0x3fe60fff,0xf30bee2f,0x7fffdcbf,0xafffffbd,
    0x827fd400,0x6d401ffd,0x0002dfff,0xdfffb300,0x4c0ef885,0x7ff300ef,
    0x4017fd40,0x36000ffd,0x7c405fff,0x5c3fc40f,0x7fcc7fff,0x7ffd40ff,
    0x27fffcc7,0x007fffcc,0x207fffd4,0x7dc4fffe,0x87e207ff,0xa80ffffe,
    0xfb84ffff,0x01a81980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x23ffc800,0xffffdffc,0xffd82fff,0x884fffff,0xfffffffd,0x7557fd44,
    0xfc9dffff,0xb1ffe40f,0xbffa87ff,0x7c43ff70,0xfc9effff,0xff805fff,
    0xa80ff501,0x0000cfff,0xfff71000,0x76c076c7,0x5401ec00,0x06fb800e,
    0x03ffff40,0x1fcc27cc,0xb83ffff2,0x7e42ffff,0x7fec1fff,0x7ffdc2ff,
    0xfffb801f,0x2ffffc1f,0x203ffff2,0x7ffdc7e8,0xffffe85f,0x00ffb530,
    0x00000000,0x00000000,0x00000000,0x00000000,0x75c00000,0xf70efedf,
    0x5c03bfff,0x404effff,0x03effffc,0x409a985b,0xddff503c,0xfbf503df,
    0xd703dfdf,0x7ff449df,0xf80d9005,0x00175404,0x36a00000,0x1b101b13,
    0x40000000,0x3ffa6000,0x4c01efff,0x7fecb505,0xffb9ffff,0xff93ffff,
    0x3ea5ffff,0xf95fffff,0x409fffff,0xaffffffc,0x6fffffe9,0x5ffffffb,
    0x277fff62,0xefffffeb,0xffffff70,0x00ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x51000000,0x00531015,0x4c000a98,0x0000000a,
    0x2200aa88,0x02002a60,0x00c40008,0x00000026,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffd40,0xffffffff,0x70083fff,0xdd705999,0x44390039,
    0x333220bc,0x7440001c,0x4eeeeeee,0x26666666,0x99999999,0x33333221,
    0xcccccccc,0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffea00,0xffffffff,0x3443ffff,0x7cc5fff8,0x0befffff,
    0xfff10f88,0x44fffa8f,0x3fa64fd8,0x3ffffe22,0xfff35fff,0xffffffff,
    0x7ccfffff,0xffffffff,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x227f4000,0x7740effa,0xffffebab,
    0x2a6ea8ad,0x7d42ffff,0x8fffdc6f,0x3fe27ffc,0x35ffffff,0xdddddddd,
    0xdddddddd,0x5dddddc4,0xbbbbbbbb,0x0000003b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x3bf61ffe,0x64c07c40,
    0x1fffffff,0x207fffea,0x3fea1ffa,0xa8fff91f,0x1aaaaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf9800000,0x2603be2f,0x77ed4405,0x05ffd80b,0x47d90fee,0x00002ed8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffffa,0xffffffff,0x99bf223f,0x0000000d,0x012e0026,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff500000,0xffffffff,0x27ffffff,0x0000cdeb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x99999999,0x99999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_35_latin_ext_x[560]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_35_latin_ext_y[560]={ 28,6,6,6,6,6,6,6,6,6,6,9,23,19,
23,6,6,6,6,6,6,7,6,7,6,6,13,13,10,14,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,32,6,13,7,13,7,13,6,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,13,13,13,13,13,13,6,6,6,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,12,7,6,10,7,
6,6,6,6,6,13,14,19,6,3,6,9,6,6,6,13,7,14,27,6,6,13,6,6,6,12,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,10,6,-1,-1,-1,0,-1,7,6,6,6,
5,6,6,5,13,13,6,6,5,6,6,6,5,6,6,6,6,6,5,6,6,10,12,6,6,5,6,6,6,6,
2,8,0,6,6,13,-1,6,-1,5,0,6,-1,5,-1,6,7,7,2,8,0,6,0,6,7,13,-1,5,-1,5,
0,6,0,6,6,5,-1,-1,7,7,0,6,2,8,0,6,7,6,0,13,7,6,-1,5,7,7,13,-1,-1,7,
7,6,6,7,7,7,7,-1,6,7,13,-1,5,6,6,13,2,8,0,6,-1,6,6,13,-1,6,7,13,-1,5,
-1,6,-1,5,6,13,-1,5,7,8,-1,6,7,8,0,6,2,8,0,6,-1,5,-1,6,7,13,-1,5,-1,5,
0,-1,6,0,6,-1,5,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,11,8,8,8,8,8,8,8,8,8,8,8,8,8,2,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,1,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_35_latin_ext_w[560]={ 0,6,13,16,14,28,24,5,10,10,14,18,6,10,
6,9,14,12,15,14,15,14,14,15,14,15,6,7,18,18,18,14,28,23,20,21,22,20,19,24,25,12,16,25,
20,30,23,23,19,23,24,16,19,23,23,32,23,23,21,7,9,7,15,18,8,15,17,13,16,13,12,15,16,9,
9,17,9,25,16,14,17,16,13,11,11,17,16,23,16,16,14,10,3,9,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,14,16,16,16,
3,14,11,23,10,16,18,10,23,18,12,18,9,9,7,17,18,6,6,8,10,16,23,22,24,13,23,23,23,23,
23,23,32,21,20,20,20,20,12,12,12,12,22,23,23,23,23,23,23,14,23,23,23,23,23,23,19,17,15,15,
15,15,15,15,21,13,13,13,13,13,10,10,11,11,14,16,14,14,14,14,14,18,14,17,17,17,17,16,17,16,
23,15,23,15,23,15,21,13,21,13,21,13,21,13,22,22,22,16,20,13,20,13,20,13,20,13,20,13,24,15,
24,15,24,15,24,15,25,16,25,16,12,11,12,11,12,11,12,9,12,9,26,16,16,12,25,17,17,20,9,20,
9,20,15,20,13,20,9,23,16,23,16,23,16,24,23,15,23,14,23,14,23,14,30,21,24,13,24,13,24,13,
16,11,16,11,16,11,16,11,19,11,19,17,19,11,23,17,23,17,23,17,23,17,23,17,23,16,32,23,23,16,
23,21,14,21,14,21,14,13,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,18,17,17,17,17,17,17,17,17,17,17,17,17,17,27,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,15,12,11,23,
14,23,17,23,17,23,17,23,17,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,23,15,32,21,23,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_bold_35_latin_ext_h[560]={ 0,23,11,23,25,23,23,11,29,29,13,17,11,4,
6,23,23,22,22,23,22,22,23,22,23,23,16,21,16,8,16,23,29,22,21,23,21,21,21,23,21,21,22,21,
21,21,22,23,21,28,21,23,21,22,22,22,21,21,21,27,23,27,12,3,6,16,22,16,22,16,22,22,21,22,
29,21,21,15,15,16,22,22,15,16,21,16,16,16,15,22,15,29,29,29,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,23,16,21,
29,29,5,23,10,15,8,4,23,3,12,17,12,12,6,22,28,7,7,12,10,15,23,23,23,23,29,29,29,28,
28,27,21,28,29,29,29,28,29,29,29,28,21,29,30,30,30,29,29,15,24,30,30,30,29,29,21,23,23,23,
24,23,23,24,16,21,23,23,24,23,22,22,23,22,23,22,23,23,24,23,23,15,17,23,23,24,23,29,29,29,
26,21,28,23,30,23,30,23,30,24,29,23,30,24,29,23,21,22,26,21,28,23,28,23,29,23,29,24,30,30,
29,29,29,29,28,30,29,29,21,21,28,22,26,20,28,22,29,30,28,15,22,29,30,30,27,27,15,29,29,27,
27,22,22,21,21,21,21,30,22,27,21,30,23,22,23,22,27,21,29,23,30,23,23,16,29,22,27,21,29,23,
30,23,30,24,28,21,30,24,29,28,29,23,21,21,29,23,27,21,29,23,30,24,30,23,29,23,30,24,29,30,
28,29,22,28,22,29,23,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,23,20,20,29,20,20,20,
20,20,20,20,20,20,20,20,20,20,25,18,20,20,20,20,20,20,20,20,20,20,20,20,20,27,16,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,29,24,29,23,30,
24,30,24,30,26,30,28,30,28,30,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,33,30,29,23,31,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_bold_35_latin_ext_s[560]={ 499,501,438,371,51,185,160,452,237,412,358,
389,431,82,54,396,107,192,223,322,239,255,489,270,337,367,423,338,154,1,135,
352,144,286,1,411,52,280,288,464,384,39,310,346,480,181,327,298,301,62,209,
167,260,351,375,464,250,212,159,501,272,284,386,93,61,95,416,23,434,37,451,
36,22,497,29,462,452,300,251,68,18,1,286,83,308,452,470,111,326,399,343,
1,508,498,35,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,499,504,292,
286,51,128,440,200,70,19,458,234,480,82,69,112,373,370,402,412,27,205,181,
499,20,422,469,173,93,336,117,232,289,47,1,1,38,260,52,454,377,285,306,
416,499,167,340,318,105,416,47,119,1,95,119,190,234,176,49,106,363,449,85,
1,485,469,298,436,420,129,430,145,351,337,145,406,141,152,260,180,230,80,199,
184,159,152,137,205,408,89,71,216,39,346,126,109,1,129,353,214,348,282,200,
25,25,258,215,383,477,272,200,314,106,163,478,75,377,450,86,397,273,57,236,
66,251,211,63,273,248,257,138,171,423,12,234,192,25,38,465,339,488,26,223,
396,125,224,480,183,423,464,200,380,268,88,173,398,250,442,426,431,236,410,501,
300,463,356,89,222,433,1,1,64,226,177,39,122,440,245,365,1,473,112,331,
274,387,43,130,57,73,499,437,165,246,286,180,476,492,142,145,372,71,214,307,
320,468,246,71,198,95,303,353,452,143,174,143,406,294,25,126,331,97,263,388,
50,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,403,321,321,398,
321,321,321,321,321,321,321,321,321,321,321,321,321,25,351,321,321,321,321,321,
321,321,321,321,321,321,321,321,419,487,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,444,113,
327,359,372,80,324,95,276,447,227,163,187,107,147,398,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,1,90,313,264,25,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321, };
static unsigned short stb__times_bold_35_latin_ext_t[560]={ 31,181,298,206,155,206,206,298,64,64,298,
275,298,315,315,181,181,230,230,181,230,230,155,230,155,155,275,253,298,315,298,
155,96,230,276,155,275,275,253,155,253,276,230,253,253,253,230,181,275,126,275,
181,275,230,230,230,253,253,253,96,181,126,298,315,315,298,230,298,230,298,230,
253,276,230,96,253,253,298,298,298,253,253,298,298,253,275,275,298,298,230,298,
96,64,64,315,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,31,155,126,
206,298,253,33,64,315,206,298,298,298,315,206,315,298,275,298,298,315,230,126,
298,315,298,298,298,206,206,206,206,64,64,66,126,126,126,253,96,33,33,33,
96,1,64,33,96,253,33,33,33,35,64,64,298,155,33,1,1,64,64,253,
206,181,181,155,181,181,155,275,253,181,181,155,181,230,230,181,230,181,230,181,
181,155,181,181,298,275,181,181,155,181,64,96,96,155,275,96,181,1,181,33,
181,33,155,64,155,1,155,96,155,275,230,126,275,96,155,126,155,96,181,96,
155,1,1,96,64,64,96,126,1,64,96,275,275,126,230,126,275,96,230,96,
1,126,298,206,96,1,1,126,126,298,96,96,126,126,206,206,253,253,253,253,
1,206,126,275,33,155,230,182,230,126,275,96,181,1,181,181,298,64,230,126,
253,64,206,1,206,1,126,96,275,33,155,64,96,33,206,275,253,64,206,126,
253,33,206,33,155,33,206,33,181,33,155,64,1,96,64,230,96,230,33,206,
230,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,206,275,275,33,
275,275,275,275,275,275,275,275,275,275,275,275,275,155,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,126,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,33,155,
33,206,1,155,1,155,1,126,1,126,1,126,1,96,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,1,1,64,206,1,206,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,275,
275,275,275,275,275,275,275,275,275, };
static unsigned short stb__times_bold_35_latin_ext_a[560]={ 126,168,281,253,253,506,421,140,
168,168,253,288,126,168,126,140,253,253,253,253,253,253,253,253,
253,253,168,168,288,288,288,253,470,365,337,365,365,337,309,393,
393,197,253,393,337,477,365,393,309,393,365,281,337,365,365,506,
365,365,337,168,140,168,294,253,168,253,281,224,281,224,168,253,
281,140,168,281,140,421,281,253,281,281,224,197,168,281,253,365,
253,253,224,199,111,199,263,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,126,168,253,253,253,253,111,253,
168,378,152,253,288,168,378,253,202,278,152,152,168,291,273,126,
168,152,167,253,379,379,379,253,365,365,365,365,365,365,506,365,
337,337,337,337,197,197,197,197,365,365,393,393,393,393,393,288,
393,365,365,365,365,365,309,281,253,253,253,253,253,253,365,224,
224,224,224,224,140,140,140,140,253,281,253,253,253,253,253,278,
253,281,281,281,281,253,281,253,365,253,365,253,365,253,365,224,
365,224,365,224,365,224,365,371,365,281,337,224,337,224,337,224,
337,224,337,224,393,253,393,253,393,253,393,253,393,281,393,281,
197,140,197,140,197,140,197,140,197,140,416,279,253,168,393,281,
281,337,140,337,140,337,237,337,200,337,140,365,281,365,281,365,
281,369,389,281,393,253,393,253,393,253,506,365,365,224,365,224,
365,224,281,197,281,197,281,197,281,197,337,168,337,263,337,168,
365,281,365,281,365,281,365,281,365,281,365,281,506,365,365,253,
365,337,224,337,224,337,224,140,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,374,393,393,253,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,280,393,393,393,393,393,393,
393,393,393,393,393,393,393,402,303,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,365,253,197,140,393,253,365,281,365,281,365,
281,365,281,365,281,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,365,253,506,365,393,253,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_35_latin_ext(stb_fontchar font[STB_FONT_times_bold_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_35_latin_ext_s[i] + stb__times_bold_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_35_latin_ext_t[i] + stb__times_bold_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_35_latin_ext_x[i];
            font[i].y0 = stb__times_bold_35_latin_ext_y[i];
            font[i].x1 = stb__times_bold_35_latin_ext_x[i] + stb__times_bold_35_latin_ext_w[i];
            font[i].y1 = stb__times_bold_35_latin_ext_y[i] + stb__times_bold_35_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_35_latin_ext_s[i] + stb__times_bold_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_35_latin_ext_t[i] + stb__times_bold_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_35_latin_ext_x[i] + stb__times_bold_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_35_latin_ext_y[i] + stb__times_bold_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_35_latin_ext_LINE_SPACING
#endif

