// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT        342
#define STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_36_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_36_latin_ext_LINE_SPACING          23

static unsigned int stb__times_bold_36_latin_ext_pixels[]={
    0xaaaa8800,0x00080000,0x26666200,0x33300000,0x00000013,0x00133330,
    0x00000000,0x09997000,0x53000000,0xcc980000,0x4c40001c,0xcb800019,
    0x110000cc,0x00000000,0x00000440,0x003332e0,0x3332a000,0x00000000,
    0x00000000,0x1ccca800,0x99930000,0x76400005,0x995001ee,0x70007999,
    0x8000bfff,0x200001b9,0x0005fffb,0x83ffff10,0x06ffffe9,0xffff3000,
    0x033ae001,0x0cefeda8,0x7cc03e60,0xffffa800,0x019d9003,0x5ddfd300,
    0x3ffa0000,0x7f40006f,0x260004ff,0x0004ffff,0x01b201d9,0xd980dfb8,
    0x03f8803e,0x260007f3,0x0004ffff,0x2ffffc40,0xb8800000,0xbdeffedc,
    0x009f7000,0x40b7b2a0,0xb86ffff8,0x3ffa004f,0xf500006f,0x3200bfff,
    0x0009cfff,0x0005ffe8,0x400002d4,0x0000effe,0x403fff70,0x0006fffe,
    0x003fff90,0x2217ffea,0xffb8adfd,0x4c2bbe02,0xffd006fa,0xfa801fff,
    0x4d8005ff,0x2e0001ae,0x002fffff,0x1fffff50,0x3fffa000,0xf88000ff,
    0x00bfa21f,0x742fffd4,0xfc801fff,0x00037dc4,0x01fffffb,0x7ffe4000,
    0x000001ff,0x86afbf66,0x401deca9,0xfc8004fb,0xfc80ffb8,0x7dc2ffff,
    0xffff7004,0xfd00007f,0x9003ffff,0x44000fff,0xe80005ff,0x7c400001,
    0x200000ef,0x7ec01ffe,0xd00006ff,0x7e4003ff,0x86fd87ff,0xff901ffe,
    0x007fffff,0x9ff79ff7,0x07fffd80,0x07e07c40,0xaeff8800,0xfd0006fe,
    0x0009ffbf,0x9ff5bff5,0x2bfee000,0x32006fe9,0x7fc47fff,0xff8803ff,
    0x001ffc8d,0xff5bff50,0x3e600009,0x005ffaef,0x1cfd8800,0xb80fee00,
    0xb7d4004f,0x7fc40ffd,0x7dc6ffae,0xaeff8804,0x5c0007fe,0x06fe8bff,
    0x0007ffc8,0x00003bee,0x0007fff1,0x0003bee0,0x802ff880,0x0006fffc,
    0x4001ff98,0x7cc4fffa,0x03ffe83f,0x17fffffa,0xfa8ffe20,0x3ffea00f,
    0x221f8004,0x3f20000f,0x007fd10d,0xff71ffb8,0x23fe8001,0x88001ff9,
    0x01ffffff,0x213ffea0,0x7000fffd,0x00bfffff,0xff327f40,0x9fb00003,
    0x0000ff4c,0x0003ff30,0x27dc13a2,0x6cd7fa00,0x3a25fc82,0x2013ee3f,
    0x7fb10efc,0x8bfe2000,0x7e402fe8,0x3ba0007f,0xfff00000,0x3ba0000f,
    0x7dc00000,0xdfff9002,0x05f90000,0x702f6a00,0x5ffd0dff,0x03efeb80,
    0x9f305f90,0x000bda80,0x05d9aec8,0x6c13e600,0x03be2007,0x7dc00bf5,
    0x0005e882,0x00bffff7,0x91017b50,0x7fc4003b,0x70000fff,0x00bd105f,
    0xe883fa80,0xdf500006,0x1f880001,0x26004fb8,0x27cc05ff,0x09f70fd8,
    0x1fb04f88,0x203d9000,0x3ffe406d,0x00133000,0x00ffaa00,0x00005400,
    0xf9000440,0x50000dff,0x2a000003,0x1e4c2fff,0x01500000,0x00000144,
    0x0033fae2,0x05402980,0x36604a80,0x44035000,0x3ffa0002,0x0000000f,
    0x27ffdc00,0x44035000,0x00cc0002,0xf100002a,0x3540000d,0xfb0027dc,
    0x402980df,0x9809f70a,0x00005402,0x7fe40180,0xffb30007,0x0000001b,
    0x01800000,0x3ff20000,0x2000446f,0x00001cc8,0x01ffffc4,0x00009880,
    0x00000000,0x00000000,0x40000000,0x00000098,0x00000000,0x00000000,
    0x00000000,0x801fe800,0xb81b0008,0xfff5004f,0xfb80000b,0x44000004,
    0xcccccccc,0x666543cc,0xfff93ccc,0x22336000,0x4c40004d,0x6dc40000,
    0xc82cdefe,0x777775c6,0x3bbb60de,0xbb7ffe45,0xa802dffe,0x9804fccf,
    0xc85eeeed,0x000dffff,0x9bdfdff9,0x36a05999,0x86a2defe,0x44eeeee9,
    0xccccccc8,0x66543ccc,0x9303cccc,0x99999999,0x2ea20099,0x42deffed,
    0x3bff202b,0x2ccccdef,0x99999991,0xcca87999,0xdb33cccc,0x775cbddd,
    0xa9802eee,0x09acdecb,0xeeeeeb80,0x3bbb60de,0x99999955,0x33326599,
    0x84cccccc,0x40ccccc9,0x7f4c03fc,0x42eed9af,0x2027dc39,0xaeffffeb,
    0x3bbb6602,0x004fb85e,0x57bffdb5,0xff532c41,0x1037ffff,0x213dff93,
    0x98007ffc,0x40007c47,0xcdefeffb,0x3a602ccc,0xfeb9bdff,0x901f72ef,
    0x2e0dffff,0xefffc85f,0x3ffffdfc,0x00f316c0,0xd837fff4,0x202fffff,
    0xfb14fff8,0xd889ffff,0xffca9cef,0x7ff441ec,0xfffa986f,0x9881bfff,
    0x4009effc,0xdfffffe9,0xbfff7001,0xbffb7537,0xfff105f9,0x3ffff629,
    0x3ffea64f,0x9881bfff,0x2209effc,0x7d46fffe,0x36202fff,0xfda9beff,
    0xffc802ff,0x4bf706ff,0xffffffc8,0x3fff260a,0xb300afff,0x80df05ff,
    0xff9b2ffb,0x7dc5883f,0x3fffe604,0xe807ffff,0x4fb86fff,0x7ffffe40,
    0xecefecbc,0x6ffffc85,0xfc81fb00,0x0f88007f,0xf88003e2,0xfffd14ff,
    0x3fee09ff,0xdfff304f,0x7fff403f,0xf901f507,0x3e61dfff,0x1f101fff,
    0xff9002e8,0x3ffee0df,0xffd04fff,0x00fffa8f,0x3fa20dfd,0x6fffd82f,
    0x1bffff20,0x30007ec0,0x001fffff,0x403fffd3,0xe82fffd9,0x7ffd47ff,
    0x3ffff200,0x201fb006,0xff86fffd,0xfff702ff,0x37ffe20b,0x3ffff400,
    0xffe80fa8,0x3ff606ff,0x2f9806ff,0x3f203fa8,0x1bfff24f,0x9813ee34,
    0xcdffffdc,0x6fffc803,0xfd304fb8,0x3ea039ff,0xfffb85ff,0x90f9006f,
    0x36000fff,0x2004d88c,0x7d47ffe8,0x3ff600ff,0x7ffdc05f,0x3ffea00f,
    0xf905b81f,0xffc81fff,0xf88ba06f,0xdfff7000,0xfff73f50,0xfffa89ff,
    0x42fffc46,0x3a202ffc,0x6fffc82f,0x1bfffee0,0x26003e40,0x400fffff,
    0x001ffffa,0xffa85ffb,0x2fffc46f,0x0dffff70,0xffc81f20,0x2ffff86f,
    0x406fffc8,0x200ffffb,0xb81ffffa,0xfffff505,0x3fffea01,0xe83d401f,
    0x1fff500f,0xd827ffe4,0x2a013ee0,0x2000ffff,0xfb86fffb,0x5ffffa84,
    0xb85ff880,0x7005ffff,0x00fff90d,0x033ff660,0x46fffa80,0xf705fff9,
    0xfd003fff,0xffe80bff,0xf901e85f,0xfff30dff,0x2f3ea01f,0x3ff2004f,
    0xd31fd46f,0x7e49ffff,0xffff85ff,0x200fffc0,0xfffc82f9,0x3fffee06,
    0x800d7005,0x407ffff8,0x003ffff8,0x3ff217ec,0x0ffff85f,0x0bffff70,
    0xffc81ae0,0x2ffff86f,0x007fffd4,0x202fffec,0x1e85fffe,0x0fffffa0,
    0x04ffffe8,0x82fc426c,0x7f43fff8,0x4c1b02ff,0xfffc802c,0x7ffe4006,
    0x7c44fb86,0x26006fff,0xffffb85f,0xf90d7005,0x4f8000ff,0x5fffc800,
    0x207fffc4,0x806ffff9,0x02ffffe8,0x983fffee,0x1bfff206,0x807fffe2,
    0x64001dc8,0x0ffc6fff,0xc87fffec,0xfff85fff,0x13ffe20f,0x3ff20b60,
    0x3ffee06f,0x00d7005f,0x07ffff88,0x007fffec,0xff90be20,0x1ffff0bf,
    0x17fffee0,0xff9035c0,0x5ffff0df,0x037fffc4,0x03ffff98,0x983fffee,
    0x7fffdc06,0x3fffee06,0x2603e207,0x1fff903f,0x1e07fff8,0x5fffd800,
    0x37ffe400,0x3ffa27dc,0x2e4000ff,0x02ffffdc,0x7ffc86b8,0x03fea000,
    0x0bfff900,0xfc81ffff,0xdd803fff,0x100fffff,0x1e49ffff,0x10dfff90,
    0x8807ffff,0xfffc8001,0x640ffe66,0xfff53fff,0x46fff88b,0x404ffff9,
    0x6fffc82a,0x17fffee0,0x220035c0,0x2e07ffff,0x0005ffff,0x5fffa859,
    0x7037ffc4,0x200bffff,0x3fff206b,0x22ffff86,0x003ffffd,0x01fffff1,
    0xc93fffe2,0x7fffc403,0xffff101f,0x541ae05f,0x5fff882f,0x982fffcc,
    0x3ffe0006,0x7fe4003f,0x2a4fb86f,0x8006ffff,0xffffb859,0xf90d7005,
    0x7f4000ff,0x7fcc003f,0x3fffc46f,0x0bffffe2,0xfffd1db0,0x7ffe405f,
    0x7e401f0f,0xffff06ff,0xffffb309,0x3ff2007b,0x03bfee6f,0xfff2ffec,
    0x83fff88d,0x02efffff,0x1bfff202,0x05ffffb8,0xf8800d70,0x3fa07fff,
    0x10004fff,0x88dfff03,0x3ee03fff,0xd7005fff,0x437ffe40,0x3fe2ffff,
    0x3a001fff,0x3203ffff,0x01f0ffff,0x09ffffb0,0x17ffffe2,0x81fb8174,
    0x7ec2fffb,0x009703ff,0x07fffe60,0x0dfff900,0x7fff49f7,0x7030004f,
    0x200bffff,0x07ffc86b,0x0ffff300,0x98ffff00,0x7fd44fff,0x3b201fff,
    0x09ffffb0,0x55ffffcc,0x37ffe405,0x223ffff8,0xfff50cfc,0xdfff9009,
    0x8837ffc4,0x3ffa64ff,0x6c17ff21,0x1effffff,0x0dfff900,0x02ffffdc,
    0x7c4006b8,0xff107fff,0x00005fff,0x321ffe98,0x7fdc05ff,0x0d7005ff,
    0x7c37ffe4,0xfff32fff,0x7ec003ff,0x3e604fff,0x005abfff,0x20fffff5,
    0x0ffffffb,0x0fb807cc,0x220fffe8,0x3b00ffff,0x3ffea000,0x7fe4000f,
    0xf34fb86f,0x0007ffff,0x2ffffdc0,0xffc86b80,0xfffb0007,0xfe98005f,
    0x217ff21f,0x01fffffb,0x7ffec3f5,0x7ffec05f,0x7fe402de,0xffff886f,
    0xfd0bff22,0xffc805ff,0x77ffec6f,0xfc81ff80,0x203ffdcf,0xfffffff8,
    0x7fe400df,0x3ffee06f,0x00d7005f,0x07ffff88,0x03fffff3,0x3ff20000,
    0xb803ffdc,0x7005ffff,0x37ffe40d,0xfa97fffc,0x2000ffff,0x406ffffd,
    0x02defffd,0x0fffffa0,0x3ffffaba,0x3f302e43,0xfc8ffff0,0x00d306ff,
    0x037ffe40,0x437ffe40,0xffff54fb,0x5c00003f,0x7005ffff,0x00fff90d,
    0xdfffff10,0x33ff2000,0xff902dfe,0x5f301fff,0x07ffffd8,0x03ffffd4,
    0x4437ffe4,0x3fe0ffff,0x27ffec6f,0x31bfff20,0x4c5fffff,0x777b705f,
    0x3ffe6003,0x03ffffff,0xb81bfff2,0x7005ffff,0xfff8800d,0xffff707f,
    0x2000001f,0x001bbbdb,0x017fffee,0xfff9035c,0x25ffff0d,0x00fffffc,
    0x1fffff20,0x0fffff50,0x6ffffb80,0xffffbbcc,0x7f100fc6,0x2a6fff88,
    0xe884fffd,0x6c02c981,0xc8005fff,0x4fb86fff,0x01fffff9,0x7ffdc000,
    0x90d7005f,0xb9000fff,0x003fffff,0x01777b70,0x87ffffc8,0xfffc83f9,
    0xfffe807f,0x6fffc804,0x226fffa8,0x3f60ffff,0x7fe405ff,0xffffa86f,
    0xd885e8cf,0x7f4c0006,0x5fffffff,0x40dfff90,0x005ffffb,0xff8800d7,
    0xfff907ff,0x800001ff,0x5c0006d8,0x7005ffff,0x37ffe40d,0xfc97fffc,
    0x64007fff,0xe807ffff,0x44004fff,0x361fffff,0x3fffff14,0x313e01aa,
    0x5d51ffff,0x09b05fff,0xfff013ee,0xff90007f,0x329f70df,0x000fffff,
    0x3fffee00,0xf90d7005,0x9f8800ff,0x005ffffd,0x2e001b62,0x220fffff,
    0xffffb04e,0x3fff700f,0x7ffff900,0x541fffd8,0x7fff43ee,0x37ffe405,
    0xfffffe98,0x000df905,0x3fffff20,0xffd84fff,0x3ffee07f,0x00d7005f,
    0x07ffff88,0x03fffff7,0x06fc8000,0x7fffdc00,0x640d7005,0xfff87fff,
    0xfffff72f,0x7ffe4001,0xfffb807f,0xfffd8001,0x7ec1f14f,0x007b4fff,
    0xfffff0bb,0x83fff53f,0x4fb8d44c,0x07fffe20,0x1bfff200,0x7ffe53ee,
    0x200001ff,0x005ffffb,0x0fff90d7,0xfff35b80,0x3f2001ff,0xfff98006,
    0xe817a1ff,0x8806ffff,0xff9006ff,0xff939fff,0x3fee009f,0x7dc05fff,
    0x3f6206ff,0x7c40efff,0xccccdfff,0xf91000ac,0xd0ffffff,0x2e01ffff,
    0x7005ffff,0xfff8800d,0xffff307f,0x7fe4c05f,0x14efffff,0x999bffff,
    0x7dc01599,0xd7005fff,0x07ffff40,0x7d4bfffe,0x2001ffff,0x805ffffd,
    0x50006ff8,0x16efffff,0xf1fffff5,0xfb0f7001,0x7ffc3fff,0x3443da9d,
    0x7fd409f7,0xff70007f,0x2e9f70df,0x002fffff,0x3fffee00,0xf90d7005,
    0x22f800ff,0x804ffffe,0xccdefff8,0xff882ccc,0x80db2fff,0x004fffff,
    0x3f2007f9,0xfffe8eff,0xaffb804e,0x5c05fffd,0xfc806fff,0x7fc45fff,
    0xffffffff,0x980662ff,0x31fffffd,0x7ffffffd,0x0bffff70,0xf1001ae0,
    0x7fc0ffff,0xf8803fff,0x7c45ffff,0xffffffff,0xff702fff,0x1ae00bff,
    0x3fffffa6,0x4bfffe3f,0x01fffff9,0x13ffff60,0x0001fe40,0x3d7ffffd,
    0xdbfffff0,0x32227400,0x6fe4c0df,0x7dc5901b,0x17ffee04,0x37ffdc00,
    0xfffaa7dc,0x200003ff,0x005ffffa,0x0fff90b9,0x3fea3540,0x7c400fff,
    0xffffffff,0x7ff42eff,0x200ecbff,0x01fffff8,0x32001f30,0x06a26fff,
    0x6c7bfa20,0x7dc05fff,0xfd3006ff,0xfffd85ff,0xffffffff,0xf500951f,
    0x6e889fff,0x5ffffa80,0x2e20b900,0x3ffffc41,0x09ffffb0,0x0fffffa0,
    0x3ffffff6,0x81ffffff,0x005ffffa,0xff8000b9,0x3fffa2ff,0x3ffe002f,
    0x1f3001ff,0x7ffdc000,0xfff906ff,0x7cc005ff,0x58800001,0xff7027dc,
    0x3ee0007f,0x24fb86ff,0x004ffffe,0x3fffe200,0xf909b005,0x41f400ff,
    0x803fffff,0xfffffffd,0x2a0fffff,0x00feffff,0x037fffcc,0x7e400950,
    0xf98006ff,0x3fff61ff,0x2fffdc05,0x3fa2164c,0xffffc84f,0x3fffffff,
    0x3fee00f5,0x00bfe24f,0x017fffe2,0x7ffc426c,0x1ffffe23,0x05ffffb8,
    0x05ffffb0,0x3ffffff2,0x883fffff,0xb005ffff,0xfff80009,0x3fffea2f,
    0xffff3004,0x0025400b,0x3ffffe20,0xfffff303,0x006c8001,0x2e074400,
    0x3ffee04f,0xfff70000,0x7dc9f70b,0x00006fff,0x8037fffc,0x07ffc83f,
    0x3fee0f30,0xff9006ff,0xffffffff,0xffffc87f,0xffffc801,0x0f42b881,
    0x0dfff900,0x47fff880,0x0a85fffd,0xff0bfff5,0x25ffa83f,0x999adfc8,
    0x53ffeb99,0x3ffe005f,0x4003fee3,0xf006ffff,0x4dfff707,0x406ffff8,
    0x800ffffd,0x442ffffd,0x9999adfc,0xf03ffeb9,0x3e00dfff,0xfd144003,
    0xfffe83ff,0xfffb800f,0x742b881f,0xffd80001,0x3ffa00ff,0x09d0004f,
    0x207a6000,0x3fee04fb,0xfa854006,0x24fb84ff,0x01ffffe8,0xffd80cc0,
    0x07dc00ff,0xd803ffe4,0xfbaaaaae,0x2202ffff,0x9999adfc,0xe84ffeaa,
    0xff803fff,0x5ffb03ff,0xff900166,0xffa800df,0x3fff60ff,0xffab7e45,
    0x0fffc44f,0xffb8bfe2,0xf51ff800,0x1fff001f,0xd8027fec,0x5c00ffff,
    0x5fffb80f,0x013fffe6,0x009fffd1,0xb85ffffb,0x1ff800ff,0x01ffffb0,
    0x22000fb8,0x1fffb2ff,0x03ffff98,0x81ffffcc,0x00b32ffd,0x13ffea00,
    0x003fff70,0x00037620,0x9f700e98,0x03ff7098,0xffab7e40,0x4c4fb84f,
    0x2006ffff,0xfff302fa,0x0fea01df,0x2007ffe4,0xeeeeeef8,0x05ffffee,
    0xf1003fee,0xffff505f,0x27ffe403,0x0769fff0,0x0dfffb00,0xeffffa80,
    0x36fffffc,0x7ffcdff6,0x5c0ffc80,0x0bff20ff,0x7fd4df70,0x0ffee00e,
    0x3003fff3,0x201dffff,0xfff303fa,0x07fffd43,0x17fff4c0,0x0bffff60,
    0xfb805ff9,0x3fffe606,0x007f500e,0xffb3ff98,0x3fffa209,0x0bfffa00,
    0x03b4fff8,0x0fff4000,0x001bfe20,0x3000fee0,0x27dc01bb,0x00feeffb,
    0x3fe6ffb0,0xa84fb81f,0xb805ffff,0x7ff4403f,0xfdb99bef,0x3bfff204,
    0x9809903d,0x901fffff,0x5f9805ff,0xeffdce88,0x17ffe4c2,0x13bfff20,
    0x3ffffa00,0x3ffe2000,0xfffaafff,0x73ff51ef,0x3fe205ff,0x41efc99c,
    0x899bffe8,0x7d44fcb9,0xffa82fff,0x7bfffb04,0x7fff4401,0x4fdb99be,
    0xfb0ffdc0,0xfb8003ff,0x7440adff,0x7441ffff,0xb9899bff,0xfe8804fc,
    0xdb99beff,0xbfb0004f,0xf900dfd1,0xffc983ff,0x7ffe401e,0x5c00004e,
    0x07fb005f,0x33b62000,0x6f5cc41a,0x3a4fb801,0x8005e8ff,0x3ffb9ffa,
    0x3a209f70,0x511bffff,0x22003dd9,0xfffffffd,0x2200001d,0xfffd801f,
    0x7ffd105f,0xbf973133,0x7e4cbd01,0xaceffdff,0x3eeb8800,0x7fff4c00,
    0x2a004eff,0x3f60cffe,0x776541ef,0x7f64401b,0x32600bde,0x1acdffee,
    0xffcaafa8,0x201effdd,0x01dffeb8,0x7ffffec4,0xd5001dff,0x03bfffdf,
    0x3ffb6200,0xcfffeeef,0x7f764c01,0x2001acdf,0xffffffd8,0x220001df,
    0x000adfdb,0xffdffdb5,0x710017bf,0x000007dd,0x3ea005f1,0x54400000,
    0xbcdefecb,0x993ee000,0x20001cfd,0x201beeca,0x7ed404fb,0xceffffff,
    0xbaa88000,0x8000009a,0xfff5006c,0x765401ff,0x01ceefff,0x554c40d5,
    0x00000000,0x80100000,0x00000000,0x20620000,0x4000aaaa,0xbaa88001,
    0x5300009a,0x30000035,0x00135555,0x51000000,0x00013575,0x53000000,
    0x00000015,0x20014000,0x00000002,0x00000000,0x10000000,0x00035553,
    0x40000000,0x3fe004f9,0x00004fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0xfd000ffe,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,0x03bfffff,
    0xfffffd91,0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x00002ffe,0x3fffffe6,0x0000004f,
    0x00030000,0x6c8975c0,0x98593000,0x7f40002c,0x0000002f,0x000cccc4,
    0x00000300,0x01ccca80,0xddd90000,0x00022007,0x4000dc00,0xccccccc8,
    0x664c3ccc,0xe804cccc,0x80017204,0x9dd33eea,0x3ba60000,0x000000de,
    0x1dddd300,0x00ec0000,0x27400059,0x20000990,0x0002ccc8,0x0009fb00,
    0x7ffffcc0,0x2e0004ff,0x07bd72ed,0x1dff3000,0x3bf20000,0xf88000ff,
    0x3fff32ff,0x07fe2000,0x36000000,0x00004fff,0x02f4417a,0xffff8800,
    0xf8800005,0x3ea005ff,0x0001f701,0x2620009f,0x1cffffff,0x17dff930,
    0x441bf300,0x360002fd,0x01ffb0ff,0x3fff2000,0x3fb6a002,0x8006a2de,
    0x0003fffa,0xf7107b60,0x2fd40003,0x00007fa2,0x007fffec,0x005c8000,
    0x40000000,0x6cc0cff9,0x360000ef,0x00003fff,0x40007bb6,0xff74fffa,
    0x36a0007f,0x80000000,0x0004fff8,0xd3077cc0,0x3200001f,0x001fffff,
    0x037fdc00,0x3f217f40,0x0ffa8004,0x3ffee000,0x05fb006f,0xe98efd80,
    0x3e20005f,0x000bfe2f,0x002ffe80,0x9539dfb1,0x8003d9ff,0x00006ffb,
    0x3fbbffee,0xfe80006f,0x005fe98e,0xfffff300,0x1d400009,0x200002e6,
    0x0005cc3a,0xff01bfe2,0x3fa0001d,0xa80003ff,0x20005cc3,0xff11fff8,
    0x43a8001f,0x000000b9,0x0009ff70,0x2a7bf600,0x300004ff,0x0bff5dff,
    0x0efd8000,0x8bffa800,0xe8000ffe,0x2e0003ff,0x7006ffff,0xff98001f,
    0x0001ffff,0x05fa93ea,0x0bfe6000,0xd106fe80,0xf70005ff,0x6c00001f,
    0x01ffffff,0xffff9800,0xd00000ff,0x01ffb5ff,0x45ff1000,0x440003ff,
    0x00ffe2ff,0xc805ff90,0xf50003ff,0x880001df,0x00ffe2ff,0x15102a20,
    0x22ff8800,0x000003ff,0x0000bfb0,0x7ffffcc0,0xfb00000f,0x0017f4cb,
    0x000ef880,0x3fffffa0,0xfff98003,0x3fea0007,0x0f5005ff,0x3ffff600,
    0x236c0004,0x200000ec,0x3f2003fc,0x0bfa202f,0x001fdc00,0x3bfff200,
    0x3f600001,0x00004fff,0x2fe43df5,0x20ed8000,0xd80001fc,0x0007f20e,
    0xfc807fff,0x00c0006f,0x641db000,0x0000001f,0x7e41db00,0x88000001,
    0x8000005f,0x003ffffd,0xd107f500,0x3260000d,0x7fcc0000,0xfb0006ff,
    0x20005fff,0x005ffffa,0x3e2000f5,0x40000fff,0x0000e41c,0xff000ae0,
    0x02f9803f,0x0000ee00,0x00006620,0x03fffe60,0x406f4000,0x000001fb,
    0x00000000,0x2027ffc0,0x00006ffd,0x00000000,0x00000000,0x44000000,
    0x10000002,0x0000dfff,0x002a00cc,0xb0000000,0x10005fff,0x00dfffff,
    0x17fffea0,0x00003d40,0x00000000,0x7c400000,0x02d804ff,0x00000000,
    0x00000000,0x98051000,0xcccc8801,0x43cccccc,0x3cccccca,0x99999991,
    0xcca87999,0xfe83cccc,0x2fff405f,0x7ff6d400,0x45620abd,0xcccccccc,
    0x666543cc,0xddd73ccc,0x76c1bddd,0x999915ee,0x87999999,0x3cccccca,
    0x00000000,0x00000000,0x99100000,0x99999999,0xccccca87,0x2000003c,
    0x1fffffdc,0xffffa800,0x000f5005,0x57bffdb5,0xccc8ac41,0x3ccccccc,
    0x66666654,0xffdb5003,0x9ac4157b,0x5404ffff,0x33333222,0x543ccccc,
    0x13cccccc,0x99999999,0xccca8799,0x99953ccc,0x4c019999,0x02cccccc,
    0xa9800000,0x1bffffff,0x9effc988,0x3fffea60,0xc9881bff,0xfd809eff,
    0x27ffc06f,0xfffff900,0xd9dfd979,0x7fffd4cb,0xc9881bff,0x3f209eff,
    0xbf706fff,0xfffffa98,0xfc9881bf,0xc80009ef,0xcccccccc,0xcccccccc,
    0x2e0002cc,0xccca8001,0x02cccccc,0x89999993,0xffffffa9,0xffc9881b,
    0x9999309e,0x07999999,0xfffb3f10,0xff5000bf,0x1ea00bff,0xfffffc80,
    0xecefecbc,0x3fffea65,0xc9881bff,0x64009eff,0xcbcfffff,0x3e5ecefe,
    0x202effff,0x7fffd4c0,0xc9881bff,0x2a609eff,0x1bffffff,0x9effc988,
    0xffffd310,0xffb980df,0x999930ae,0x29999999,0xccccccca,0xffc82ccc,
    0x1fb006ff,0x37fffe40,0x2e00fd80,0x3fe207ff,0xffe9803f,0xfff501cf,
    0xdffff90b,0x7403f600,0x1f507fff,0x1bffff20,0x00007ec0,0xfffff931,
    0xfdddddff,0x40007fff,0xfb88004f,0x01dfffff,0x80effe4c,0x006ffffc,
    0xff5101fb,0x0039ffff,0x7fffcd6e,0x7fd4000f,0x0f5005ff,0x39fffd30,
    0x217ffea0,0x006ffffc,0xfe9801fb,0xff501cff,0x7fffecbf,0x32001eff,
    0xb006ffff,0x7ffe401f,0x01fb006f,0x2fffffec,0x5440fec0,0x1cfffffe,
    0x7ffffd44,0xfff700bf,0x01f200df,0x00dffff7,0xfff501f2,0x00fffc40,
    0x017fffea,0x3ee17fe2,0xf9006fff,0x0ffffd40,0xfff702dc,0x01f200df,
    0x7fe7cc00,0xfd881fff,0xff50003f,0x3fea0001,0xf1004fff,0xffffb80b,
    0xb80f9006,0x4007ffff,0x3ffffa2f,0x7ffd4004,0x80f5005f,0x805ffffa,
    0xffb85ff8,0x0f9006ff,0x05ffffa8,0x3e25ff88,0xdfffffff,0xffffb800,
    0xb80f9006,0x9006ffff,0xffffa80f,0x03dc03ff,0x01ffffea,0x80dffff9,
    0x005ffffb,0xfffb80d7,0x80d7005f,0x7f404ffa,0x3ffe201f,0x17e6006f,
    0x017fffee,0x3ffa035c,0x2e01e85f,0x7005ffff,0x5b20000d,0x201fffff,
    0xfd0003fc,0x7ec0007f,0xb800ffff,0x7ffdc00f,0x80d7005f,0x006ffffa,
    0xffff51aa,0x7fd4001f,0x0f5005ff,0x037fffc4,0xff70bf30,0x1ae00bff,
    0x06ffff88,0xff317e60,0x7fffffff,0x5ffffb80,0xfb80d700,0xd7005fff,
    0xfffffa80,0x01aa01ff,0x80fffff5,0x405ffffc,0x005ffffb,0xfffb80d7,
    0x80d7005f,0x7d401ffc,0x3fffa03f,0x42e4000f,0x005ffffb,0xfffb80d7,
    0xf701a60f,0x2e00bfff,0x1f880006,0x803fffff,0xff98003f,0x3e20007f,
    0x4404ffff,0xfffb803f,0x80d7005f,0x006ffffa,0x3fffe0fa,0x3fea003f,
    0x0f5005ff,0x007ffff4,0x3fee1720,0x0d7005ff,0x007ffff4,0x3fa61720,
    0x5fffffff,0x17fffee0,0x3ee035c0,0xd7005fff,0xfffbda80,0x0d300fff,
    0x06ffff98,0x027fffdc,0x017fffee,0x3fee035c,0x0d7005ff,0xb800ffc4,
    0xfffa80ef,0x8598006f,0x005ffffb,0xfff880d7,0xf700f24f,0x2e00bfff,
    0x24d80006,0x4c1fffff,0x36000f20,0x0002ffff,0x03ffffee,0xff7006c8,
    0x1ae00bff,0x0dffff50,0x7fdc1e60,0x3ea006ff,0xd5005fff,0x1bfffea0,
    0x3ee16600,0xd7005fff,0x1bfffea0,0xfc816600,0x4fffffff,0x0bffff70,
    0xff701ae0,0x1ae00bff,0x3fff2b50,0x80d306ff,0x406ffff9,0x404ffffb,
    0x005ffffb,0xfffb80d7,0x10d7005f,0x980039f9,0x7fff44fd,0x7030004f,
    0x200bffff,0xfffc806b,0xfb801f0f,0xd7005fff,0x20fa8000,0x641fffff,
    0xf1000a60,0x000dffff,0x04fffff8,0x3ee003f1,0xd7005fff,0x6ffffa80,
    0x5555db00,0x5fffff75,0x3fffea00,0x3a0d7005,0x0004ffff,0xbffff703,
    0x7f41ae00,0x30004fff,0xffffc880,0xfff707ff,0x01ae00bf,0x00bffff7,
    0x74b501ae,0x984fffff,0x7fffcc06,0x7fffdc06,0x7fffdc04,0xb80d7005,
    0x7005ffff,0x0019f50d,0x7cc7f220,0x0003ffff,0x17fffee0,0x7cc035c0,
    0x805abfff,0x005ffffb,0x7c4000d7,0x0fffffc2,0xb900003a,0x003fffff,
    0x7ffffdc0,0x2e004d81,0x7005ffff,0xffffa80d,0xeeef8806,0xfffeeeee,
    0xfff3005f,0x21ae00bf,0x03fffff9,0x3ffee000,0x30d7005f,0x007fffff,
    0x36601980,0xb81fffff,0x7005ffff,0xffffb80d,0xa80d7005,0x3ffffa25,
    0x26034c3f,0x5c06ffff,0x5c04ffff,0x7005ffff,0xffffb80d,0x220d7005,
    0x362004fc,0x3ffea0cf,0x200001ff,0x005ffffb,0x3ff600d7,0xfb802def,
    0xd7005fff,0x7c2e4000,0x3e61ffff,0x27e20000,0x005ffffd,0x2fffff40,
    0xfb8003ea,0xd7005fff,0x6ffffa80,0x7cc04c80,0x8801ffff,0x9006ffff,
    0xfffff50b,0x7dc00003,0xd7005fff,0x3fffff50,0x804a8000,0xb84ffffa,
    0x7005ffff,0xffffb80d,0xa80d7005,0x7ffffcc5,0xf301a61f,0xfb80dfff,
    0x7dc04fff,0xd7005fff,0x5ffffb80,0xfe80d700,0x90bfb005,0x001fffff,
    0x7fffdc00,0x200d7005,0x007ffffa,0x00bffff7,0x7cc001ae,0x1fffff80,
    0x40001fd3,0xfffff35b,0x7fd40001,0x00fa1fff,0x0bffff70,0xff501ae0,
    0x1f880dff,0x5ffffd80,0x0fffff00,0x3ff20fa0,0x00000fff,0x017fffee,
    0x7ffe435c,0x540000ff,0x9fff7007,0x0bffff70,0xff701ae0,0x1ae00bff,
    0xfff50b50,0x01a61fff,0x80dffff3,0x404ffffb,0x005ffffb,0xfffb80d7,
    0x80d7005f,0x7e403ffb,0xffffc82f,0x2e00000f,0x7005ffff,0x7fff400d,
    0xffff7004,0x001ae00b,0xffff81f4,0x00fffedf,0xffe8be00,0x740004ff,
    0x0d76ffff,0xbffff700,0xf501ae00,0x6c80dfff,0xfffff500,0xffffb001,
    0xc80fb801,0x000fffff,0x3fffee00,0xf90d7005,0x0001ffff,0xff002fa8,
    0xffff707f,0x701ae00b,0x200bffff,0xc82d406b,0xd35fffff,0xfffff980,
    0xeeeeeeee,0x5c04ffff,0x7005ffff,0xffffb80d,0xa80d7005,0x7ffc06ff,
    0xfffffc81,0x3ee00001,0xd7005fff,0x0fffdc00,0x5ffffb80,0x7000d700,
    0xf555555f,0xffbbffff,0x1aa0001f,0x01fffff5,0x7fffcc00,0xb8001fbf,
    0x7005ffff,0xffffa80d,0x8013e606,0x804fffff,0x00effff8,0x3ff205f3,
    0x00001fff,0x017fffee,0x7ffe435c,0x540001ff,0xfff800ff,0x5ffffb80,
    0xfb80d700,0xd7005fff,0x3f605a80,0x069cffff,0x67ffffcc,0xfecccccc,
    0x7dc04fff,0xd7005fff,0x5ffffb80,0xfb80d700,0xfff100ff,0xfffff705,
    0x7dc00005,0xd7005fff,0x037fc400,0x0bffff70,0xf1001ae0,0xfddddddd,
    0x3e23ffff,0x07d0000f,0x007fffff,0xfffffd80,0xfff70005,0x01ae00bf,
    0x20dffff5,0xd000ffe9,0x005fffff,0x39dffff5,0x5c09fb73,0x002fffff,
    0x3fffee00,0xf70d7005,0x0005ffff,0x200effa8,0xff703ffb,0x1ae00bff,
    0x0bffff70,0x0b501ae0,0x7fffff44,0x7ffcc06d,0x7ffdc06f,0x7ffdc04f,
    0x80d7005f,0x005ffffb,0x7ffc80d7,0x20fffe20,0x03fffffa,0x3ffee000,
    0x00d7005f,0x2e003fc8,0x7005ffff,0x404d800d,0x261fffff,0x0798000f,
    0x00dffff7,0xfffff880,0xfff70001,0x01ae00bf,0x90dffff5,0x03bfffff,
    0xfffffd91,0xf9100dff,0x19ffffff,0xfffffa80,0x3ee00003,0xd7005fff,
    0x7fffff50,0xfffa8000,0x04ffa82f,0x017fffee,0x3fee035c,0x0d7005ff,
    0x7fcc05a8,0x4c06ffff,0x5c06ffff,0x5404ffff,0x9005ffff,0xffffa80b,
    0xd80b9005,0x7ffc06ff,0x9ffffd04,0x7fd40000,0x0b9005ff,0x2000f980,
    0x005ffffa,0x075400b9,0x07ffffe0,0x5db0001f,0xfff75555,0xe80005ff,
    0x0001ffff,0x00bffff5,0xfff50172,0x100000df,0x4c4000bd,0x74004fda,
    0x0004ffff,0x17fffea0,0xffe82e40,0x540004ff,0xddffcaaf,0x7d401eff,
    0xb9005fff,0x5ffffa80,0x5a80b900,0xfffffa80,0x7fffcc06,0x7fffdc06,
    0x7fffc404,0x8809b005,0xb005ffff,0x04fff809,0xfb82fff4,0x00006fff,
    0x017fffe2,0x12a0026c,0xbffff100,0x44013600,0xffff802f,0x02406c1f,
    0xddddddf1,0x0bffffdd,0xffffe800,0xfff10001,0x013600bf,0x00dffff5,
    0x00ff8800,0x00ff9800,0x37fffdc0,0xfff10000,0x413600bf,0x006ffffb,
    0x76540c40,0xfff1000a,0x013600bf,0x00bffff1,0x00b50136,0x01bfffee,
    0x80dffff3,0x804ffffb,0xf006ffff,0xdffff007,0xff00fe00,0x6ffc807f,
    0x3ffffd10,0xff019800,0x0fe00dff,0x007a15c4,0x01bfffe0,0x05c801fc,
    0x83fffff0,0x99034409,0xfffff980,0x3ffa0001,0x3e0001ff,0x7f006fff,
    0x6ffffa80,0x7fdc0000,0x7fd80000,0xfffe8800,0x80cc001f,0xf006ffff,
    0x3fffa207,0x00cc001f,0xf000ffa2,0x3e00dfff,0x6ffff803,0x5a807f00,
    0x1bfff600,0x0dffff30,0x04ffffb8,0x00ffffd8,0x7ec007dc,0x7dc00fff,
    0x017ff400,0xf9813fee,0x2a006fff,0xffffb02f,0xb00fb801,0x001665ff,
    0x007fffec,0x3e6003ee,0xfffff000,0x220b9003,0xfffd801f,0x3fa0005f,
    0x20001fff,0x400ffffd,0x7fd400fb,0x400006ff,0x80002ffd,0x98003ffe,
    0x2006ffff,0xfffb02fa,0x00fb801f,0x01bfffe6,0x75402fa8,0x3f6000ff,
    0x7dc00fff,0xffffd800,0x2007dc00,0x3fa2006b,0x7ffcc06f,0x7ffdc06f,
    0xfff9804f,0x07f500ef,0x3bfffe60,0x7007f500,0xffd809ff,0x7fffd402,
    0x203fb805,0x00effff9,0x7ffc07f5,0x260003b4,0x500effff,0x07d1007f,
    0x0fffffc0,0x36413e60,0xfffffa80,0xfffd0000,0x7cc0005f,0xf500efff,
    0xffff5007,0xfa80000d,0x5c0001ff,0xa8000eff,0xb805ffff,0x3ffe603f,
    0x07f500ef,0x0bffff50,0x2a007f70,0x3e6002ff,0xf500efff,0x3ffe6007,
    0x07f500ef,0xf8800fb0,0x7ffcc06f,0x7ffdc06f,0xffd1005f,0xfb7337df,
    0xffe88009,0xfdb99bef,0x03ff2004,0x8801ffcc,0x11bffffe,0x1003dd95,
    0x337dfffd,0xfc809fb7,0x40004eff,0x9befffe8,0xb004fdb9,0x7ffc001f,
    0x3fee01ff,0x2004f983,0x004fffff,0x05fffff0,0xfffe8800,0x4fdb99be,
    0xfffff500,0xffd00000,0x200017bf,0x00acffff,0x3ffffa20,0x3dd9511b,
    0xdfffd100,0x09fb7337,0x7ffff440,0x3dd9511b,0x007fe400,0x3bfffa20,
    0x04fdb99b,0x77fff440,0x04fdb99b,0x4003ff88,0x7fd406f9,0x7fe407ff,
    0x362005ff,0xdfffffff,0xffb10001,0x03bfffff,0x219ff700,0x8003efc8,
    0xffffffda,0x22000cef,0xfffffffd,0xeeb8801d,0xfb100003,0x3bffffff,
    0x00bff200,0x6fffffd4,0xffeca99a,0x07ff4c1f,0xfffffe80,0x7ffcc002,
    0x880004ff,0xfffffffd,0x3ff2001d,0x00001fff,0x0f7ff5c4,0xfffc9800,
    0xfda8000c,0xceffffff,0x3ff62000,0x01dfffff,0xffffb500,0x0019dfff,
    0x00037bf6,0x7ffffec4,0x10001dff,0xfffffffb,0xffea803b,0x2e004fff,
    0x7fffe406,0x3fffa01f,0x544000ff,0x00009aba,0x13575510,0x23730000,
    0x880001aa,0x0001aaa9,0x09abaa88,0x00000000,0x026aeaa2,0x7ffffcc0,
    0xffecb82e,0xffffffff,0x20ffffff,0x1dfffffc,0xffffec88,0x64c06fff,
    0xfffffffd,0x440003ce,0x0009abaa,0xfffffd93,0x00007bff,0x40000130,
    0x53100001,0x10000355,0x00135755,0x2aaa6200,0x00000001,0x13575510,
    0x2aa20000,0x000009ab,0xec982800,0xdfffffff,0xffffd954,0x0005bdff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e000000,0x000004cc,0x75400000,
    0x00000dee,0x002f775c,0x00000000,0x97000000,0x99999999,0x99999999,
    0x40330039,0x02740028,0x2aa20099,0xccccccba,0x02ee202c,0x75c00000,
    0x930004ee,0x99999999,0x99999999,0x7774c005,0xcccc880d,0x04cccccc,
    0x013bba60,0x57ba6000,0x00005ee8,0xb0000022,0x0000e401,0x3b220001,
    0x0001260b,0x6c400088,0x20001eee,0x003ffff9,0x05f7e4c0,0x3600001f,
    0x00001fff,0x000fffe8,0xdffeda80,0x201620ab,0xeffedba8,0x20015c2d,
    0xddfffd2b,0xddfffffd,0x007ffffd,0x017a03f7,0xfe88bf50,0x7fff5c01,
    0xcffcccff,0x1fff6009,0x20000570,0x0000fffd,0xfffffd51,0xfffddddd,
    0x7fe4009f,0x3faa202f,0x001dffff,0x00fffff4,0x47fee000,0x00001ffb,
    0x00005ffb,0x3f220774,0x00f10000,0xbfffff70,0x200007d7,0x4c003ffd,
    0x20004fff,0x00fffffe,0xfffff300,0x0000ddbf,0x0007ffe2,0x03ffe200,
    0xffff9000,0x9dfd979f,0xfffb80bd,0xffdbaacd,0xd5002fcd,0x3606ff47,
    0x7d42ffff,0xdff9803f,0x003fedbb,0xfe98efe8,0x7fffec05,0x017e0fff,
    0x00bfffe2,0x880003db,0x40002ffe,0x106ffffa,0x74009ffb,0xff5002ff,
    0xf5000fff,0x000bffff,0x3f63fe80,0xff500004,0x5c0000df,0x6ffeefff,
    0x001f6000,0x3ffffffa,0x980000ff,0xa8007fff,0xf70007ff,0x009ff7bf,
    0x3ffffee0,0x00003fff,0x00003ff5,0x0007fee0,0x1cfffe98,0x20bfff50,
    0x202fffe8,0x802fffd9,0xd83742fc,0xf982ffff,0xffff9003,0x2a000dff,
    0x00ffffff,0x3ffffff2,0x4017e0ff,0xc800fffe,0x7440002f,0x7d40005f,
    0x7d406fff,0x05ff3004,0x3ffffd40,0x6477f400,0x300001ff,0x0037c4df,
    0x0dfff500,0xfffe8000,0x70001fff,0x9e8800ff,0x04ffffda,0xffff3000,
    0x0bfea000,0x547ff100,0x1e8000ff,0x019fffb5,0x00bf6000,0x01fe8000,
    0x3fffea00,0x85ff8805,0x001ffffa,0xfb805ffb,0xffb02e85,0x00f605ff,
    0x0effffc8,0x3fff6000,0x3ffe604f,0x20ffffff,0x5db3004f,0x0017fc00,
    0x0003fa20,0x06ffffa8,0x7f9004e8,0xffff9800,0x06fdc006,0x20000df7,
    0x007ee0fb,0x05ffd000,0xffd88000,0xf50001ef,0x829800ff,0x400000ba,
    0x20003ffd,0x7e4004fa,0x8004f982,0x00001302,0x000002c8,0x88000722,
    0x2006ffff,0x7ffc45f9,0x17ec003f,0x0b03ff50,0x817fffec,0x65cc003a,
    0xff980002,0x3ff200ff,0x0fffffff,0x0000013e,0x80003ff7,0x2a0001c8,
    0x4286ffff,0x0057004b,0x0dffff30,0xfa827c40,0x42b80002,0x3000002a,
    0x44000001,0x3ee00009,0x000007ff,0x00980000,0x4004a800,0x000a200a,
    0x00000000,0x00000000,0x03ffffa0,0xffd8b900,0x7c4000ff,0x20dff302,
    0x3ffff601,0x00000602,0xfd000000,0xffffffff,0x988027c1,0x3ffc4000,
    0x40000000,0x686ffffa,0x000001c4,0x01bfffe6,0x00011000,0x00000000,
    0x00000000,0xfffff900,0x53005ddd,0x1359bd97,0x00000000,0x00000000,
    0x99999991,0xcca87999,0x9803cccc,0x9acdecba,0xcccca800,0x32600ccc,
    0x2a2ccccc,0x8006ffff,0x3fffea59,0x20590005,0xd8002ffc,0x0002ffff,
    0x7ff6dd44,0x2015c2de,0x22defeda,0x3ffffe1a,0x3e0fffff,0x7f7fe404,
    0x02ccccde,0x4c007ff9,0x9acdecba,0x7ffd4000,0x4003cc6f,0x22defeda,
    0xffff301a,0xcba9800d,0x0009acde,0x6f65d4c0,0x400009ac,0xeffedba8,
    0x30015c2d,0x359bd975,0xffdd3001,0x405dddff,0xa9beffd8,0x4c02fffd,
    0xcccccccc,0xcccccccc,0x66664c2c,0x83cccccc,0x00cccccb,0xffffa980,
    0xc9881bff,0x22009eff,0xda9beffd,0x4c402fff,0x06fffffe,0x0577fdcc,
    0x009ffffd,0xffffe860,0x10310003,0xb0001fff,0x0005ffff,0x4defffdc,
    0xfcdffdba,0x39dfb102,0x43d9ff95,0xfffffffd,0x4413e0ff,0xffb14fff,
    0x3ea09fff,0xffd8806f,0xfffda9be,0x3ffea002,0x1003dc6f,0xf9539dfb,
    0x3e603d9f,0xb1006fff,0xfb537dff,0xb10005ff,0xfb537dff,0x2e0005ff,
    0xba9bdfff,0x02fcdffd,0x9beffd88,0x002fffda,0x200ffff7,0xf105fffb,
    0x54401bff,0xeefffffe,0x4ffffeee,0xfffffa88,0xffd301cf,0x640001ff,
    0xb006ffff,0xfffb801f,0x1bfff105,0xfffffb00,0x983fb00b,0x003fffff,
    0x7ffffc40,0x7e400002,0xffb0007f,0xd30005ff,0x6cc03fff,0xdfd02fff,
    0xb8bffa20,0xffffffff,0x7f413e0f,0x07ffd47f,0x80bffe20,0xf105fffb,
    0xf5001bff,0x3fccdfff,0x220dfd00,0xff302ffe,0xff700dff,0x3ffe20bf,
    0xfff7000d,0x37ffe20b,0xfffd3000,0x7ffecc03,0x2fffdc02,0x00dfff88,
    0x403fffdc,0x5c06fffc,0x5400ffff,0xb106ffff,0x7fdc09ff,0xffb807ff,
    0x2e0000ff,0x9006ffff,0x6fffc80f,0x07fffdc0,0x3ffffea0,0x543dc03f,
    0x001fffff,0x7ffffcc0,0x7fc00001,0xffb0006f,0xfa8005ff,0xfb001fff,
    0x05ff905f,0xff317f44,0x1fffffff,0x7ffd427c,0x02fffc46,0xfc837ffc,
    0x7fdc06ff,0x7fd400ff,0x7ffdcfff,0x405ff900,0xff302fe8,0xffc80dff,
    0x7ffdc06f,0x7ffe400f,0x7fffdc06,0x7fffd400,0x05ffb001,0x2037ffe4,
    0x200ffffb,0x5407fffb,0xd800ffff,0x7d405fff,0x7d406fff,0x3fffea04,
    0xffffa806,0x3fee0000,0x0d7005ff,0x007fffd4,0x202fffec,0xfffffffa,
    0x3f21aa01,0x0000ffff,0x07ffffdc,0xfff10000,0x3ff6000b,0x3e2002ff,
    0x6c003fff,0x01fff82f,0xfff117cc,0x41ffffff,0x5fffc84f,0x400ffff8,
    0xffa87ffe,0xffd800ff,0x7ffd405f,0x07fffdff,0x9803fff0,0xffff302f,
    0x7fffd40d,0x5fffd800,0x03fffea0,0x817fff60,0x003ffff8,0xffa817ec,
    0xffd800ff,0x3ffee05f,0x3fffe207,0xffff3006,0x7fffd407,0x2a04e806,
    0x9806ffff,0x0000ffff,0x017fffee,0xfff8835c,0xfff3006f,0x7ded407f,
    0x300fffff,0xfffff90d,0xffc80001,0x00000fff,0x0017ffea,0x017fffec,
    0x01ffffb0,0x7c42f880,0x42d804ff,0xffffffe8,0x3f213e0f,0xffff85ff,
    0x07fff400,0x00dffff1,0x80ffffe6,0x2a6ffffa,0xfff8807f,0xf302d804,
    0x3e20dfff,0xf3006fff,0xff107fff,0x3e600dff,0xffb03fff,0xf88001ff,
    0x6ffff882,0x7ffff300,0x81fffee0,0x003ffffd,0x01fffff1,0x21bfffea,
    0xff5025c2,0xff300dff,0x5c0001ff,0x7005ffff,0x3ffff60d,0xffff1003,
    0x7e56a01f,0xd306ffff,0x3fffff90,0xfffb8000,0x200000ff,0x0004fffb,
    0x005ffffb,0x017fffee,0x3fe61640,0x415404ff,0xffffffe8,0x3fea13e0,
    0x37ffc45f,0xb0ffff40,0x2007ffff,0x00fffff8,0xb8dffff5,0xffff9807,
    0xf9815404,0xffb06fff,0x3e2007ff,0x7ec0ffff,0xf1003fff,0xfb81ffff,
    0x90005fff,0x7ffffb05,0x3fffe200,0x7fffb80f,0x07ffffe0,0x3ffffe80,
    0x0dffff50,0x3ea0388d,0xf9806fff,0x000c0fff,0x00bffff7,0x7fffc1ae,
    0x3ffa001f,0x74b503ff,0x984fffff,0xfffffb86,0x7fcc0002,0x36601fff,
    0xefffffff,0x009fff94,0x0bffff60,0x27ffff40,0xff818800,0x0202efff,
    0x7ffee544,0x7ffc13e0,0x01fffc46,0xff17ffec,0x74003fff,0xf503ffff,
    0x0788dfff,0x5dfffff0,0xfff98040,0xfffff06f,0x7fff4003,0x7ffffc3f,
    0x3fffa001,0x7ffff43f,0xf0310004,0x4003ffff,0xb83ffffe,0xff307fff,
    0x6c003fff,0xf504ffff,0x0798dfff,0x37fffd40,0x47fffcc0,0x804fffd8,
    0x005ffffb,0xffff30d7,0x7fec003f,0x44b504ff,0x43fffffe,0xffffa869,
    0x7c40003f,0x8802ffff,0x645fffff,0xb0004fff,0x1005ffff,0x005fffff,
    0xffffd800,0x40001eff,0x4c13e0fb,0x3ff21ffe,0x7fffb005,0x07ffffe6,
    0x4ffffd80,0x0dffff50,0xffd82e0d,0x001effff,0x21bfffe6,0x01fffff9,
    0x93ffff60,0x01fffff9,0x93ffff60,0x02fffff8,0x3ffe6000,0x3f6001ff,
    0xffb84fff,0xffff507f,0x7fec001f,0xfff506ff,0x4007b8df,0x806ffffa,
    0xfeaffff9,0x5c04ffff,0x7005ffff,0xfffff50d,0x7ffec001,0xf98b506f,
    0x261fffff,0x9ffffd06,0xfffd0000,0x3ff6007f,0x7ffdc3ff,0xfffb0004,
    0xfff3005f,0x800003ff,0xfffffff8,0xf70000df,0x3f2027c1,0x003ffdcf,
    0x7d4bfff6,0x2000ffff,0x506ffffd,0x050dffff,0xfffff11a,0x3001bfff,
    0xf50dffff,0x4001ffff,0x2a6ffffd,0x000fffff,0x99bffff6,0x001fffff,
    0x3fffea00,0x3ff6000f,0xfffb86ff,0xfffff907,0x7ffe4001,0xffff507f,
    0x2003fccd,0x806ffffa,0x32fffff9,0x5c01ffff,0x7005ffff,0xfffff90d,
    0x7ffe4001,0xf50b507f,0x261fffff,0xdffff706,0xfff50000,0x3ff600df,
    0x7ffd42ff,0xfffb0004,0xfff7005f,0x000001ff,0xfffffff3,0xf70007ff,
    0x36e027c1,0xe8001bbb,0xfff91fff,0x7e4001ff,0xff507fff,0x1aa00dff,
    0x3fffffe6,0x7cc03fff,0xffc86fff,0x32000fff,0x3f27ffff,0x2000ffff,
    0x2e7ffffc,0x000fffff,0x3ffff200,0x3ff2000f,0xfffa87ff,0xfffff907,
    0xffffc800,0xfffff507,0x800fffb9,0x806ffffa,0x7c3ffff9,0x3ee02fff,
    0xd7005fff,0x0fffff90,0x7ffffc80,0x3ff20b50,0x20d35fff,0x01ffffe8,
    0x3ff20cc0,0xffd801ff,0x7ffcc2ff,0xfffb0005,0xfff9005f,0x000001ff,
    0x3fffffa6,0x5c005fff,0x6c413e0f,0xffd00006,0x3ffff21f,0x7ffe4007,
    0xffff507f,0x20bf300d,0xffffffe9,0x3fe605ff,0xfffc87ff,0x7fe4007f,
    0x3fff27ff,0x7fe4007f,0x3fff27ff,0x200000ff,0x007ffffc,0x43ffffe4,
    0x370ffff9,0x03ffffee,0x7ffffc80,0xbfffff50,0xa800ffff,0x9806ffff,
    0x7fc0ffff,0x3fee03ff,0x0d7005ff,0x01fffff7,0x3ffffe40,0x3ff605a8,
    0x2069cfff,0x006ffff9,0x3ffa0bea,0xfffd804f,0x2fffc42f,0xffffe800,
    0xffffb803,0x4000001f,0xfffffffc,0x83ee004f,0x00df904f,0xb9fffa00,
    0x000fffff,0x41fffff2,0x407ffffa,0x7e404ffa,0x4fffffff,0x0fffff50,
    0x01fffff7,0x3ffffe40,0x01fffff7,0x3ffffe40,0x03fffff7,0x7ffdc000,
    0x3f2000ff,0xffb07fff,0x7fd47bdf,0x36001fff,0xf505ffff,0x3fd4dfff,
    0x3fffea00,0xffff9806,0x01ffff40,0x00bffff7,0x3ffea1ae,0x3f6001ff,
    0x0b505fff,0x7fffff44,0x7ffd406d,0x03fb805f,0x809fffd1,0xe82ffffd,
    0xf88006ff,0x9805ffff,0x202fffff,0xffffffc9,0x7e4404ef,0x007fffff,
    0x884f83ee,0xcccdffff,0xff800acc,0x3fffea5f,0x3ff6001f,0xfff905ff,
    0x753339ff,0x1007fffd,0xfffffff9,0x3fffff20,0x7ffffd41,0x3fff6001,
    0x3fffea5f,0x3ff6001f,0x3ffe65ff,0x3f2602ff,0x4effffff,0x03fffff5,
    0x2ffffec0,0x43effc88,0x01fffff9,0x13ffff60,0x237fffd4,0x7fd4007b,
    0xff9806ff,0x7fff40ff,0x3fffee03,0xf30d7005,0x4003ffff,0x504ffffd,
    0xffff980b,0xfe8806ff,0x9511bfff,0xff7003dd,0xffd303bf,0xfff503ff,
    0x3ff6e001,0x1cefffff,0x0fffffe0,0x3ffffe20,0xfb300cc5,0x2003ffff,
    0x2213e0fb,0xffffffff,0x2602ffff,0x3fe61fff,0x36001fff,0x3264ffff,
    0xfffffffe,0xffffffff,0xd980662f,0x911fffff,0xfffffffd,0x3fffe69b,
    0x3ff6001f,0x3ffe64ff,0x3f6001ff,0x7ffc4fff,0xff8803ff,0x7fcc5fff,
    0x36001fff,0x0804ffff,0x0bffffa0,0x1fffff80,0x8dffff50,0x7fd40078,
    0xff9806ff,0x7fff40ff,0x3fffea03,0x3a0b9005,0x2002ffff,0x501fffff,
    0xffff500b,0x7ed400df,0xceffffff,0x3fb22000,0xffffeeff,0x0fff401c,
    0x36000000,0xd004ffff,0x4a87ffff,0x4ffffa80,0x27c1f700,0xffffffd8,
    0x01ffffff,0xffd0bff5,0x7fc005ff,0x40001fff,0x012a05d8,0x413fffea,
    0x7ff404fa,0x3fe002ff,0x7ff41fff,0x3fe002ff,0x7fec1fff,0xffd004ff,
    0xfffd07ff,0x7ffc005f,0x06e601ff,0x04ffffa8,0x0bffff30,0x437fffd4,
    0xff501706,0xff300dff,0xfffe81ff,0x3fffe203,0x2a09b005,0x3004ffff,
    0x540bffff,0xffff7005,0xf531000d,0x22000037,0x0099ace9,0x0013fea0,
    0x2e0005cc,0xb005ffff,0x7a85ffff,0x09fff700,0x04f83ee0,0x3ffffff2,
    0xb03fffff,0xfff503ff,0x3fe6009f,0x440005ff,0x01ea00ff,0x5427ffdc,
    0x7fd400ff,0xff3004ff,0xfff50bff,0x3fe6009f,0xfffb85ff,0xfffb005f,
    0xffff505f,0x3ffe6009,0x3ffe205f,0x3ffffa02,0xffffb800,0x3fffea01,
    0x2a0d0286,0x9806ffff,0x7f40ffff,0x7ffc03ff,0x407f006f,0x800ffffe,
    0x201ffffb,0x3ff6005a,0x3ee0006f,0x2a00000d,0x360001ef,0x7cc000ff,
    0x7ec001ff,0xfd800fff,0x17d42fff,0x003fff80,0x4427c1f7,0x9999adfc,
    0x883ffeb9,0x3ffa05ff,0xffb800ff,0x5c0001ff,0x0bea00ff,0x741fffc0,
    0xfffd006f,0xfff7001f,0x3fffa03f,0xfffb800f,0xffffb01f,0xffffb001,
    0x3ffffa05,0xffffb800,0x17ffe601,0x03ffff98,0x01ffffcc,0x01bfffea,
    0xfffa8354,0xfff9806f,0x1ffff40f,0x03ffff60,0x7cc01f70,0x7cc03fff,
    0x35c03fff,0x0dffd100,0x02ffec00,0x0dff9000,0x027f4400,0x017ffe60,
    0x09fffd10,0x85ffffb0,0xff800ffa,0x41f7000f,0x00ffb84f,0x5fc81ff8,
    0x1ffffcc0,0x0ffffe60,0x0fff6000,0xf800ffa8,0x2fff80ff,0x3ffff980,
    0x1ffffcc0,0x07ffff30,0x03ffff98,0x013fffa2,0x40bffff6,0x403ffff9,
    0x803ffff9,0x74405db9,0x3fa00fff,0xffa802ff,0x5f9806ff,0x0dffff50,
    0x81ffff30,0x4c03fffe,0x500effff,0xffd1007f,0x7fff401f,0x4007d802,
    0x40006ff8,0x400006fe,0x440007fd,0x5d4000fe,0xfe98004d,0x7fec02ff,
    0x77fd42ff,0x00ffee00,0x213e0fb8,0x7dc02ffc,0x800ef886,0x200fffe8,
    0x0002fffe,0x205fff30,0x2e00effa,0xdff903ff,0xfffd1001,0x17fff401,
    0x07fff440,0x005fffd0,0x805fffd3,0x202ffffd,0x200fffe8,0x4002fffe,
    0xfff9002d,0x1effc983,0xfffff500,0x504ffa80,0x500fffff,0xff83ffff,
    0xfe8804ff,0xdb99beff,0x7fe4004f,0x77fe4c1f,0x03ff8801,0x00037cc0,
    0x00007ff1,0x0001ffc4,0x4000774c,0x3ee0001e,0x7440adff,0x7d41ffff,
    0xffa82fff,0xf07dc004,0x37ffd109,0x09f97313,0xc8001df3,0x7e4c1fff,
    0x400001ef,0x20bdfffe,0xa82ffffa,0x3fe204ff,0xfc802cff,0x7fe4c1ff,
    0x7fe4001e,0x77fe4c1f,0x7ffdc001,0x7ff440ad,0xffc801ff,0x77fe4c1f,
    0x0025c001,0x3fbffb6a,0x2000bdff,0x9cfffffc,0xfffeba99,0xfffff903,
    0xffffb803,0x17fffe22,0x7fffec40,0x0001dfff,0xffdffdb5,0xea8017bf,
    0x004fffff,0x3a6001ae,0x100003ef,0x00007bfd,0x2e001eb8,0xed880003,
    0xffeeefff,0x55f501cf,0xdffbbff9,0x41f70003,0x3bb2604f,0x981acdff,
    0x36a0002e,0xdfffeffe,0x8800000b,0x2a2fffeb,0xddffcaaf,0xc9801eff,
    0xa800ceff,0xfffeffed,0xb50000bd,0xbfffdffd,0x36200017,0xfeeefffe,
    0x54001cff,0xfffeffed,0x05c000bd,0x0554c000,0x3ffb2600,0xffffffff,
    0x22ffffff,0xfffffec9,0xffd83dff,0xff9bffff,0x000effff,0x01357551,
    0x0aa98000,0x20000000,0x00000002,0x00000040,0x000b8004,0x55553000,
    0x50310013,0x00001555,0x06000000,0x2aa60000,0x40000000,0xaa818809,
    0x030000aa,0x00aa9800,0x15530000,0x2a600000,0x00009aaa,0x0002aa60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x774c0000,0xea80004e,0x0003d301,0x0f6207f1,0xdddb0000,0x00000007,
    0x20cda800,0x400003da,0x0005eeea,0x09ddd900,0x2207f100,0x01d8003d,
    0x3b2000ee,0x9801b500,0xcccccccc,0x009aabcc,0x99999950,0x6664c019,
    0xa8002ccc,0x0000deee,0x0027775c,0x17bbaa00,0x774c0000,0x220000de,
    0x80005eee,0x0f6a0cda,0x7dddb000,0x1e66664c,0x33333326,0x0004cccc,
    0x000fbbb2,0x01ffffe8,0x5c1fe800,0x3ee0005f,0x0007f4c4,0x0bfff300,
    0xfecb9800,0x0000abde,0x7c4fffe2,0x200003ff,0x0000fffe,0x01dfff00,
    0xd113ee00,0x3f90001f,0x10005f70,0x04fc81df,0xfffff530,0xffffd99d,
    0xfe98803d,0x4c06ffff,0x000aeffb,0x001fffd8,0x01fffb00,0xfffc8000,
    0xfc800001,0x6c0002ff,0x0002ffff,0x7c4fffe2,0xf10003ff,0xfff50bff,
    0xfff510df,0x00039fff,0x002fffc4,0xbfffff50,0x5ff50000,0x00007ff2,
    0x13feabff,0xbff90000,0x7fec4000,0xfffda9be,0xfff30002,0x013ffe6b,
    0x0fffc400,0xffa80000,0x7f40000e,0x0009ff35,0x3fbbffea,0xf70000ff,
    0x01ffb13f,0x4ffffc80,0x03ffffb8,0xbfffffb0,0x0003fb00,0x0007ffe2,
    0x02ffe880,0x4ffd8000,0xffe80000,0x7fcc0002,0x20006fff,0xff35fff9,
    0x3ee0009f,0x3fff605f,0x3fffee06,0xffb80007,0x77f40005,0x0001ffc8,
    0x4ffeffe8,0xeffb8000,0x00000fff,0x70002ff4,0x3e60bfff,0xd8000dff,
    0x07ffa1ff,0x0ffdc000,0xdfb00000,0xff500001,0x0001fffd,0x7fffffe4,
    0x7ffc0002,0xb8003ffe,0xf904ffff,0xf5005fff,0x807fffff,0x3ea0007b,
    0x8800001f,0x000005fe,0x80000dfb,0x80003ff9,0x3ffb9ffe,0x87ff6000,
    0xd0001ffe,0xfffc80df,0x3fffea06,0xefe80006,0x37ee0000,0x0001bee0,
    0x03ffffe6,0x7fff4000,0x4c00002f,0x3f60005f,0x7fd406ff,0x098000ff,
    0x74000018,0x4000001f,0x200000ef,0x003ffffe,0x2ffffb80,0xfffb8000,
    0xff50006f,0x3fe209ff,0xffa805ff,0x201fffff,0x3f60006a,0x22000002,
    0x000000fe,0x400003fb,0xa80003fc,0x01fea0ef,0x00301300,0x20077c40,
    0x2a06fffb,0x0006ffff,0x000077c4,0x0bea09f1,0x3fff6000,0x3ea00003,
    0x800006ff,0xf50000c9,0xfb003fff,0x00000bff,0x00e40000,0x03220000,
    0xfff50000,0x4c40000d,0x7f400001,0xf50002ff,0x7fc09fff,0x6d400fff,
    0x0ffffffb,0x64000d30,0x88000002,0x2000001c,0x2e00001c,0x0bd00003,
    0x00000fa6,0x01930000,0x40dfff70,0x006ffffa,0x000064c0,0x00004400,
    0x00000000,0x00000000,0x01bfffe2,0x21ffffd4,0xccccccc8,0x66543ccc,
    0x0003cccc,0x00000000,0x00000000,0x00000000,0xffff5000,0x7ffff409,
    0xffcad402,0x0d306fff,0x00000000,0x00000000,0x00000000,0x00011000,
    0x337b2ea6,0x0000009a,0x5037ffdc,0x000dffff,0x5c000000,0xccc98001,
    0xcccccccc,0x42cccccc,0xccccccc9,0x09aabccc,0x66664400,0xcccccccc,
    0xfd82cccc,0xf1003fff,0xa981ffff,0x1bffffff,0x9effc988,0x99999930,
    0x35579999,0x3332a001,0x02cccccc,0x49999993,0xcccccccb,0xcccccccc,
    0x99931ccc,0x99999999,0x85999999,0xccccccca,0x001aabcc,0x09ffff50,
    0x00fffffc,0xffffe96a,0x0006984f,0x000000dc,0x3260006e,0xcccccccc,
    0xcccccccc,0x666664c2,0xcccccccc,0x64c2cccc,0xcccccccc,0xcccccccc,
    0xeffd8802,0x2fffda9b,0x666664c0,0x5c3ccccc,0x3ea06fff,0x30006fff,
    0x00799999,0x80027c00,0xfffffea8,0xfffeeeee,0xfffa984f,0xffecceff,
    0xf3001eff,0x999bdfff,0x3ffffff9,0x03fffff0,0x1fffff40,0x06ffffc8,
    0xf5301fb0,0xd99dffff,0x803dffff,0xffffffb8,0x7fe4c01d,0x3bfffa1d,
    0xefffffee,0x23ffffee,0xfffffea8,0xfffeeeee,0xfffb884f,0xfffeefff,
    0x3ea002df,0xff304fff,0x4b500fff,0x3fffffe8,0x3e00034c,0x7c000004,
    0xfd510004,0xddddffff,0x109ffffd,0xdfffffd5,0xffffdddd,0xfffd5109,
    0xfdddddff,0xfb809fff,0xfff105ff,0x7fd4401b,0xb81cffff,0x3ea06fff,
    0x20006fff,0x006ffffa,0x001ff500,0x37fffd40,0x204ffd88,0xb84ffffc,
    0xa803ffff,0xff500cff,0xff309fff,0x6c003fff,0xf704ffff,0x3200dfff,
    0x7fffe407,0x3ffffb84,0xfffffa80,0xd0bf1004,0xfffd81bf,0x41ffd42f,
    0x106ffffa,0x7ec09ffb,0x7fd44fff,0xfa800dff,0xffb04fff,0x8b5005ff,
    0x1ffffff9,0xfa8001a6,0x5000000f,0x540001ff,0xb106ffff,0x7fd409ff,
    0xffb106ff,0x7fffd409,0x09ffb106,0x2037ffe4,0x400ffffb,0x207ffffb,
    0x2a06fffb,0x0006ffff,0x0037ffec,0x003ffe80,0x1bfffea0,0x7dc09f50,
    0xff904fff,0x3fb805ff,0x37ffff40,0x0fffffa8,0x3ffff600,0xbffff706,
    0xf701ae00,0x3f209fff,0xfd802fff,0xb800ffff,0xfb06e80f,0x7f305fff,
    0x0dffff50,0x3f204fa8,0xff984fff,0x7d400fff,0x3a664fff,0x5002efff,
    0xfffff50b,0x8001a61f,0x00003ffe,0x0007ffd0,0x037fffd4,0xffa813ea,
    0x27d406ff,0x0dffff50,0xff504fa8,0xffb001ff,0xfffa80bf,0x3ffee06f,
    0x3fffea06,0x7fe40006,0xf980006f,0x2a0007ff,0xe806ffff,0x3fffea04,
    0xbffff104,0x7e405b80,0xf902ffff,0xc800ffff,0xf707ffff,0x2e00bfff,
    0x7fffd406,0xbffff104,0xfffff100,0xd03f8809,0x3ffff605,0xff507b02,
    0x09d00dff,0x827fffdc,0x406ffff9,0xfffffffa,0x002fffff,0xfffc82d4,
    0x000d35ff,0x001fffe6,0x1fffe600,0xffffa800,0x2a04e806,0xe806ffff,
    0x3fffea04,0xf884e806,0xf3006fff,0x7d407fff,0x3ee06fff,0x3fea06ff,
    0x5c0006ff,0x80006fff,0x002ffffd,0x0dffff50,0x3ea04b85,0x3fe04fff,
    0x0b200fff,0x5fffff98,0x1fffff20,0xfffff900,0xbffff701,0xf501ae00,
    0x7fc09fff,0xfb800fff,0x3200ffff,0xffd81606,0x507502ff,0x850dffff,
    0x3ffee04b,0x3fff604f,0x3ffea04f,0xffffd9df,0x02d4000f,0x39fffffb,
    0x3ff6000d,0x400002ff,0x002ffffd,0x0dffff50,0x3ea04b85,0x5c286fff,
    0x3fffea04,0x6c25c286,0x1003ffff,0x201fffff,0x206ffffa,0x2a06fffb,
    0x0006ffff,0x0037ffdc,0x3ffffe20,0xfff50006,0x0388d0df,0x813fffea,
    0x202ffffe,0x7ffff403,0x3ffee00f,0x3f2000ff,0xff707fff,0x1ae00bff,
    0x09ffff50,0x017ffff4,0x04fffff8,0xb00c03f1,0x0c05ffff,0x437fffd4,
    0xff701c46,0x7fd409ff,0xff500fff,0x3ffe29ff,0x2d4006ff,0xfffffd10,
    0xff1000db,0x0000dfff,0x37ffffc4,0xffffa800,0x501c4686,0x8d0dffff,
    0x3ffea038,0x41c4686f,0x001fffff,0x40fffffa,0x206ffffa,0x2a06fffb,
    0x0006ffff,0x0037ffdc,0x3ffff720,0xffa8001f,0x003cc6ff,0x813fffea,
    0x001fffff,0x7fffff50,0xfffffa80,0x3fff6001,0xffff705f,0x501ae00b,
    0x7c09ffff,0x7001ffff,0xb03fffff,0x7fec0009,0x7d4002ff,0x03cc6fff,
    0x13fffee0,0x07fffff0,0xa93fffea,0x003fffff,0xfff3016a,0x9000dfff,
    0x03fffffb,0x3ff72000,0xa8001fff,0x3cc6ffff,0x3fffea00,0x2a003cc6,
    0x3cc6ffff,0x7ffffcc0,0x3fff6001,0xffff504f,0x37ffdc0d,0x0dffff50,
    0x3fee0c40,0x3e20006f,0x05ffffd9,0x6ffffa80,0x3ea003dc,0xff304fff,
    0x22000fff,0x806fffff,0x02fffff9,0x13ffffa0,0x02ffffdc,0x7fd406b8,
    0xfff304ff,0xffe800ff,0x007d45ff,0x5ffffb00,0xffffa800,0x2e003dc6,
    0x7404ffff,0xf505ffff,0xffc89fff,0xb5001fff,0xfffff500,0xd9f8800d,
    0x0005ffff,0xfffd9f88,0xffa8005f,0x003dc6ff,0x71bfffea,0xfffa800f,
    0x5403dc6f,0x000fffff,0x41bffff6,0x206ffffa,0x2a06fffb,0x2006ffff,
    0x37ffdc2c,0x3e6b7000,0x4000ffff,0x266ffffa,0x7fd4007f,0xfffb04ff,
    0x3f20005f,0xd001ffff,0x4005ffff,0x701fffff,0x200bffff,0x7ffd406b,
    0xffffb04f,0xfffa8005,0x000fa1ff,0x05ffffb0,0x6ffffa80,0xf7001fe6,
    0xfd809fff,0xff506fff,0xfffd09ff,0x016a00df,0x037fffdc,0x7ffcd6e0,
    0x5c0000ff,0x1fffff35,0xffffa800,0x5001fe66,0x7ccdffff,0x7ffd4007,
    0x201fe66f,0x00fffffc,0x1fffff20,0x037fffd4,0x540dfff7,0x2006ffff,
    0x37ffdc1f,0x7f45f000,0x54004fff,0xfdcfffff,0x7fd4007f,0x3fa664ff,
    0x30002eff,0x009fffff,0x027fffd4,0x05ffff98,0x017fffee,0x3fea035c,
    0x3fa664ff,0xd0002eff,0x1aedffff,0x3fff6000,0x7fd4002f,0x7ffdcfff,
    0x7fffdc00,0x7fffec04,0x9ffff507,0x9fffff30,0x6c00b500,0x7c006fff,
    0x13ffffa2,0x7f45f000,0x54004fff,0xfdcfffff,0x7fd4007f,0x7ffdcfff,
    0x7fffd400,0x807ffdcf,0x007ffffc,0x83ffffe4,0x206ffffa,0x2a06fffb,
    0x5006ffff,0x6fffb83f,0xfa8d5000,0x2000ffff,0xfdfffffa,0x7d4007ff,
    0xffffffff,0x40002fff,0x00fffffe,0x07ffff40,0x07fffe40,0x0bffff70,
    0xff501ae0,0xffffffff,0x980005ff,0x1fbfffff,0xfffd8000,0x7fd4002f,
    0x7fffdfff,0x7fffdc00,0x7fffe404,0x9ffff707,0x3ffffee0,0x10035c02,
    0x5400dffd,0x7ffffd46,0xa8d50000,0x000fffff,0x37ffffea,0x54007fff,
    0xffdfffff,0x7fd4007f,0x7fffdfff,0xfffffb80,0x3fff2000,0xffff507f,
    0x37ffdc0d,0x0dffff50,0xfb81fd10,0x7d0006ff,0x07fffff0,0x37fffd40,
    0xfa800ff5,0xffd9dfff,0x20000fff,0x02fffffb,0x3ffff980,0x1ffffc40,
    0x17fffee0,0x3ea035c0,0xffd9dfff,0x80000fff,0x05fffffd,0xffffb000,
    0xfffa8005,0x001fea6f,0x809ffff7,0x706ffffd,0x6c0bffff,0x200fffff,
    0x7fc4007d,0x3e0fa006,0x0003ffff,0xfffff07d,0x7ffd4007,0x001fea6f,
    0x54dffff5,0x7fd4007f,0x01fea6ff,0x07ffffea,0x5ffffd80,0x0dffff50,
    0x703fffe4,0x880fffff,0xfffb87fe,0x70798006,0x400dffff,0x5c6ffffa,
    0x7ffd4007,0xfffff14f,0x3fe2000d,0x20005fff,0x200fffe8,0xb803fffc,
    0x7005ffff,0xffffa80d,0xdfffff14,0xfff10000,0x200003ff,0x002ffffd,
    0x237fffd4,0x7fdc007b,0x7ff404ff,0xfffb05ff,0x3fe201df,0xf880efff,
    0x37cc003f,0xff707980,0xf3000dff,0x1bfffee0,0x6ffffa80,0x3ea003dc,
    0x03dc6fff,0x1bfffea0,0xfff300f7,0x7ec003ff,0xff504fff,0x7ff40dff,
    0xfffb00ff,0x733339ff,0xf70dfff9,0xdb000dff,0xff755555,0x2a005fff,
    0x3c46ffff,0x3fffea00,0x3ffffea4,0xfffd8003,0x203800ff,0x441fffe8,
    0x5002fffd,0x200bffff,0x7ffd405c,0x3fffea4f,0xfe80003f,0x00001fff,
    0x005ffffb,0x46ffffa8,0x7fdc0078,0x7ffc04ff,0x3fb664ff,0x2defffff,
    0xffffffa8,0xfffffd53,0x8035c009,0xbaaaaaed,0x002fffff,0x5555576c,
    0x02fffffb,0x8dffff50,0x7fd40078,0x003c46ff,0x11bfffea,0x3fffa00f,
    0x3ffe002f,0xfff501ff,0xfffd30df,0x3b267fff,0xffffffff,0xffffffff,
    0x06fffb85,0x77777c40,0xffffeeee,0xffff5005,0x202e0d0d,0x644ffffa,
    0x001fffff,0x0fffffea,0x32601e20,0xeffeefff,0x3fe2000b,0x09b005ff,
    0x44ffffa8,0x01fffffc,0x7ffff400,0xffb00001,0xfa8005ff,0x70686fff,
    0x9ffff701,0x2fffff80,0x00001000,0x80280080,0xeeeeeef8,0x05ffffee,
    0x3bbbbe20,0xffffeeee,0xffff5005,0x202e0d0d,0x686ffffa,0xfff50170,
    0x82e0d0df,0x004ffffa,0x40bffff3,0x406ffffa,0x00000000,0x001bffee,
    0xfff98099,0xffa801ff,0x0d0286ff,0x213fffea,0x006ffffe,0x0dfffff1,
    0xfd001ae0,0x4000dfff,0xf006ffff,0xffffa807,0x6ffffe84,0x7fff4000,
    0xfb00001f,0xa8005fff,0x0286ffff,0x3fffee0d,0x3fffea04,0x5dfd0005,
    0xff100000,0x2640003b,0x3ffffe60,0x98099001,0x801fffff,0x286ffffa,
    0x3ffea0d0,0x20d0286f,0x286ffffa,0xffffd0d0,0xffff7001,0x7fffd403,
    0x037fea06,0x0077fe00,0x00dfff70,0x7ec00fc4,0xfa805fff,0xd5006fff,
    0x13fffea0,0x13ffffe6,0x3fffff20,0x800bf001,0x03fffff9,0x1ffffb00,
    0x5400fb80,0xf984ffff,0x0004ffff,0x007ffffa,0x7fffec00,0x7ffd4002,
    0x20d5006f,0x204ffffb,0x001ffffe,0x000fff70,0x017ff200,0x6c00fc40,
    0x8805ffff,0xfffd801f,0xfffa805f,0x20d5006f,0x006ffffa,0x3ffea0d5,
    0x30d5006f,0x9807ffff,0x5403ffff,0x2606ffff,0xc8003ffd,0x7dc005ff,
    0x1b2006ff,0x7ffffd40,0x7fffd400,0x705f9806,0x2e09ffff,0x202fffff,
    0x04fffff9,0x90009f90,0x003fffff,0x1dffff30,0x2e00fea0,0xf704ffff,
    0x0005ffff,0x00bffffa,0x7fffec00,0x7ffd4002,0x05f9806f,0x209ffff7,
    0x003ffff9,0x0007fdc0,0x006fd800,0x3ea00d90,0x6400ffff,0xffff5006,
    0xfffa801f,0x05f9806f,0x00dffff5,0x3fea0bf3,0x5f9806ff,0x01fffd10,
    0x4017fff4,0x806ffffa,0xfb0004ff,0xfffb800f,0x009f3006,0x027ffffc,
    0x01ffffea,0x3ee09ff5,0x3f605fff,0xfd00ffff,0xa801ffff,0x90003ffe,
    0x017dffff,0xefffe880,0x04fdb99b,0x0bffff70,0x07ffffec,0x7ffffc00,
    0xffd00002,0xfa8007ff,0x7d407fff,0xffff904f,0x5fffd30b,0x09fd0000,
    0x3fe20000,0x04f98002,0x13ffffe0,0x3e004f98,0x5404ffff,0x5407ffff,
    0xfff504ff,0x4ffa80ff,0x0fffff50,0x6404ffa8,0x7e4c1fff,0xff5001ef,
    0xffa80fff,0x3ff88000,0x3fffe400,0x007ff4c0,0x2fffffe8,0x3fffff20,
    0xfeba999c,0xfffb03ff,0x3fe201df,0x7dc0efff,0x999cffff,0xfffda999,
    0x3aa0003f,0x4cefffff,0xffffb100,0x4003bfff,0x00effffd,0x1dfffff1,
    0x7fffcc00,0xf880004f,0x4005ffff,0x9cfffffc,0xfffeba99,0xfffffd03,
    0xbfff9535,0xdfd80001,0x4c00000b,0x98003dee,0xfd000ffe,0xd305ffff,
    0x3fa001ff,0x3202ffff,0x99cfffff,0x3fffeba9,0x9fffff90,0xffd75333,
    0x3fff207f,0xba999cff,0xa803fffe,0xfffeffed,0x3f2000bd,0xea81ffff,
    0x744002ce,0xfe8003df,0x3f200fff,0x881dffff,0xffffffec,0x3ffb266f,
    0xffffffff,0x22ffffff,0xfffffed9,0xffa82def,0xff13ffff,0xffffffff,
    0xffffffff,0x9500005f,0x00579bdb,0x09abaa88,0xfffdb300,0x505bdfff,
    0x07ffffff,0x7fffee4c,0x003cefff,0x7ffffedc,0x9301ceff,0xfffffffd,
    0xffffffff,0x7ff6545f,0xefffffff,0x100000ad,0x08800000,0x3fff2000,
    0xec881dff,0x6fffffff,0x37fffff2,0xfffec881,0x3266ffff,0xfffffffe,
    0xffffffff,0x3ffb262f,0xffffffff,0x22ffffff,0xfffffec9,0xffffffff,
    0x98002fff,0x64c000aa,0xfffffffe,0x0000223d,0x3fa60001,0x003fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000fbbb2,0x00260140,
    0x0333332e,0x33332200,0x81cccccc,0xcccccccb,0x881fc402,0x7764003d,
    0xec88001e,0x0001260b,0x0b102540,0x004a80ae,0x00000000,0x0017fff6,
    0x45b70310,0x22002dc8,0x01260bdc,0x00ee4400,0x20cda800,0x4c0003da,
    0x033660cd,0x5c3db800,0xcccc802d,0x665401cc,0x2ccccccc,0x1bfff200,
    0x02db8800,0x00008800,0x33333260,0x0003cccc,0x05fff880,0x5417a000,
    0xffe9801f,0x310000ff,0x3bfffffd,0x3fffa620,0x4fb800ad,0x30007f44,
    0x800dffff,0xbdfffffb,0xff71003e,0x9f316439,0xf706e881,0x0007f707,
    0x07720000,0x02fffc40,0x3ee1ec00,0x1fff70ff,0xfffff700,0x00007d7b,
    0x0003fff6,0x227fff10,0x20003fff,0x3ffe5ffe,0xfff30004,0x007ffea3,
    0x07fffb33,0xffffffc8,0x6c004fff,0x90000fff,0x20003fff,0x000dffd9,
    0xfffffb80,0x9005ffff,0xffb8019d,0x7e400005,0x0ffecbce,0x1ffff700,
    0xfffa8000,0xffc800ff,0x55ff8002,0xfe8009ff,0x2002ffff,0xfffffffe,
    0xfffd000f,0xe81fbdff,0x3fffeeff,0x6fd93fa0,0x70000000,0x3ee00fff,
    0xf880005f,0xd8fffe40,0xfe801fff,0x0fffffff,0xffff0000,0xff980005,
    0x09fff35f,0x5bffe200,0x0006fff8,0x3ee7fff7,0xff1002ff,0xfffc807f,
    0x04ffffff,0x003ffd80,0x007ffff0,0x13623360,0x3ffee000,0x05ffffff,
    0x404fffa8,0x00000efe,0x7fffffc4,0x3fea003f,0x4c0000ff,0x9807ffff,
    0xf70000ef,0x001fffdf,0x7f467fd4,0xb53d1006,0x2009ffff,0xfffffff9,
    0xffff985f,0x7fd406ff,0x0002ffed,0xfff30000,0x00dfb001,0x3e616e00,
    0x017fe66f,0x3ff6a7a2,0x200004ff,0x0000fffd,0x3fa1ffd8,0x3f20001f,
    0x00bff62f,0x887ffc40,0x3e2006ff,0x000003ff,0x0037ec00,0x000fffc8,
    0x007c4798,0xb0000000,0x7c40dfff,0x3000000e,0x007ffffd,0x00ffffa8,
    0x7fffcc00,0x006fcc07,0x3ffffa00,0x117f4003,0x053005fb,0x9dc00175,
    0x01dffec9,0x01bfffd3,0x0dffffd0,0xb8000000,0x0ef8804f,0x403d0000,
    0x53001881,0x0000ba88,0x000edc40,0x00301300,0x02602200,0x00c06000,
    0x00fffe20,0x3a000000,0xdb88000f,0x41f10001,0x000000f8,0x3fff2000,
    0x00032605,0x06f2a000,0x3fffea00,0x7fcc0000,0x0fee07ff,0x7ffd4000,
    0x80fdc006,0x0000006c,0x800cc04c,0x3ea00098,0x64401fff,0xcccccccc,
    0x6666543c,0x003dcccc,0x20000193,0x00000069,0x00000000,0x00000000,
    0x00000000,0x7fc40000,0x9999913f,0xa8799999,0x03cccccc,0x00001c88,
    0x22336000,0x5300004d,0x1359bd97,0x07fff700,0x00000000,0x3ffea000,
    0x7cc0000f,0x5f907fff,0x00000000,0x332a1800,0x200ccccc,0x2cccccc9,
    0x00000000,0x26005555,0xbffffffa,0xeffc9881,0x17710009,0x20005dc4,
    0xcc983c98,0xcccccccc,0x001b8003,0x33333220,0xcccccccc,0x20002ccc,
    0xcc98001b,0xcccccccc,0x2ccccccc,0x66666654,0x99302ccc,0xff109999,
    0x7ffd4c7f,0x9881bfff,0x8809effc,0x02ee20bb,0x6666664c,0x2003cccc,
    0x000cffd9,0x5f7fec40,0x02fffda9,0xc98fffc4,0xcccccccc,0x7000004c,
    0x3fea0003,0x3bbaa0ff,0x3fe605ee,0x0f7447ff,0xcccc8800,0xcccccccc,
    0x64c2cccc,0xcccccccc,0xfffd313c,0xfb980dff,0x99930aef,0x79999999,
    0x33333326,0xb883cccc,0x002ee20b,0x01bffff2,0x320007ec,0x17ff65ff,
    0x3ffff660,0xfffa880d,0x0001cfff,0x7cc0009f,0xcccdefff,0x1ffffffc,
    0x0013e000,0x7ffff544,0xffeeeeef,0x7fdc44ff,0x401dffff,0x881dffc9,
    0xffc83fff,0x1fb006ff,0xfb2ffe40,0x7fd440bf,0x001cffff,0x700009f0,
    0x3e20bfff,0x3fa00dff,0x7fffd447,0x00001cff,0x540013e0,0x7c40ffff,
    0x7fcc01ef,0x03ba67ff,0xffff9800,0xffccccde,0xa881ffff,0x1cffffff,
    0xbfffffb0,0x5103fb00,0x39ffffff,0xfffffa88,0xbff901cf,0x5c02ffec,
    0x9006ffff,0xffff000f,0x2a03fffc,0x3dffb2ff,0x1ffffee0,0x00ffa800,
    0x019ff500,0x13ffffea,0x00ffa800,0x3fffea00,0x09ffb106,0x13ffffea,
    0xf102fc40,0xfff707ff,0x01f200df,0x7ffcffff,0xffffb807,0x3fea0007,
    0x3ff20000,0x7ffdc06f,0x20bf900f,0x007ffffb,0x07fd4000,0x7fffd400,
    0x4006fc40,0xf57ffff9,0x540003ff,0xff500cff,0xfb809fff,0x7d407fff,
    0x403fffff,0x7ffdc07b,0x7ffdc07f,0x3fffc07f,0xf700ffff,0x2e00bfff,
    0x5ffc8006,0xf9813ff6,0x13fff66f,0x037fffd4,0x007ffd00,0xfd00fee0,
    0x8000dfff,0x20003ffe,0x406ffffa,0x3ff604fa,0xfb800fff,0x0fffe200,
    0x017fffee,0x3ff2035c,0x2013ff65,0x006ffffa,0x000fffa0,0x007fffd4,
    0xa82fffec,0xffff503f,0xe800000d,0xfa8003ff,0x02ec0fff,0x9fffff30,
    0x001dffff,0xfd00fee0,0xf500dfff,0xfa80dfff,0x01ffffff,0xfff501aa,
    0xfffa80df,0x2ffe406f,0xf7009ffb,0x2e00bfff,0x50550006,0x14ffe805,
    0x2a0fffff,0x0006ffff,0x000ffff3,0xfff9016e,0x4c0005ff,0x20007fff,
    0x806ffffa,0x3ffe204e,0x1fc404ff,0x20fffe20,0x005ffffb,0x505500d7,
    0x3ffea005,0xff30006f,0xff1000ff,0x3e600dff,0x1f883fff,0x0dffff50,
    0x7fcc0000,0xffa8007f,0x001720ff,0xfffffff3,0x000bffff,0xfff9016e,
    0xff5005ff,0xbda80dff,0x00ffffff,0xfffa80d3,0x7ffd406f,0xa82a806f,
    0xffff7002,0x001ae00b,0xfff50000,0x13ff32e7,0x037fffd4,0x2ffffd80,
    0x2602c800,0x005fffff,0x17fffec0,0xffffa800,0x2025c286,0x00fffffb,
    0x3fe201b2,0xffffb83f,0x000d7005,0x3ffea000,0xffb0006f,0xfd8005ff,
    0xf1003fff,0x0701ffff,0x037fffd4,0xfffb0000,0xffa8005f,0x003f90ff,
    0x8fffff98,0x03fffffd,0x3e602c80,0x5005ffff,0xa80dffff,0xdfffff95,
    0xff501a60,0xffa80dff,0x000006ff,0x0bffff70,0x76c01ae0,0x3baa6eee,
    0x7fe42eee,0x80663d2f,0x006ffffa,0x6fffff88,0x7f403800,0x0000ffff,
    0x1bffffe2,0x7fffd400,0x401c4686,0x104fffff,0xfff1003f,0xbffff707,
    0x3b61ae00,0x3baa6eee,0x3ea02eee,0x88006fff,0x006fffff,0x00fffffc,
    0x07ffffd0,0x6ffffa80,0xff100000,0xa800dfff,0xffd8ffff,0x7ffcc006,
    0x3ffffa7f,0x201c002f,0x00fffffe,0x0dffff50,0x3fffa5a8,0x406984ff,
    0x406ffffa,0xd86ffffa,0x3aa6eeee,0x2e02eeee,0x7005ffff,0x7ffec00d,
    0x17fffd47,0x1a6ffff6,0x6ffffa80,0xfffdc800,0x200001ff,0x03fffffa,
    0x7ffee400,0xfa8001ff,0x03cc6fff,0xfffffb80,0xf1004d81,0xfff707ff,
    0x41ae00bf,0x7d47fffd,0x3ea02fff,0xc8006fff,0x01fffffd,0x3fffff30,
    0x7fffec00,0xff501104,0x00000dff,0x3fffff72,0x3ffea001,0x04ffffdf,
    0x9ffffe60,0x0ffffff8,0xfff50000,0x7d4007ff,0x2d406fff,0x7fffffd1,
    0x7fd40698,0x7fd406ff,0xfffb06ff,0x2ffffa8f,0x17fffee0,0xf70035c0,
    0xfff88fff,0x67fff42f,0x3fea003c,0x7c4006ff,0x05ffffd9,0xffff1000,
    0xf88000df,0x05ffffd9,0x6ffffa80,0xfd0003dc,0x0fa8bfff,0x07fff100,
    0x00bffff7,0x7ffdc1ae,0x17fffc47,0x0dffff50,0xffd9f880,0xff5005ff,
    0x6c001fff,0xe886ffff,0x6ffffa80,0x9f880000,0x005ffffd,0x377fffea,
    0x3001ffff,0xfa8fffff,0x000effff,0x7ffffc40,0x7ffd4006,0x262d406f,
    0x21ffffff,0x7ffd4069,0x7ffd406f,0xffff706f,0x02ffff88,0x017fffee,
    0xff50035c,0x5ffff0ff,0x0fdfffe8,0x3fffea00,0xf9adc006,0x0000ffff,
    0x1fffffc8,0xf9adc000,0x4000ffff,0x266ffffa,0x3ea0007f,0x0fa1ffff,
    0x83fff880,0x005ffffb,0x3ffea0d7,0x02ffff87,0x01bfffea,0x3ffe6b70,
    0xffc800ff,0x32000fff,0xfd87ffff,0x7fffd40c,0x5b800006,0x01fffff3,
    0x23fffea0,0x006ffff8,0x70fffff3,0x00bfffff,0xfffffc80,0x7ffd4001,
    0x542d406f,0x30ffffff,0xffffa80d,0x7fffd406,0x0ffff506,0x5c05ffff,
    0x7005ffff,0x7ffd400d,0x42ffff87,0x005ffffc,0x037fffd4,0xfffe8be0,
    0x7cc0004f,0x0004ffff,0x3fffa2f8,0x7fd4004f,0x7ffdcfff,0x7fff4000,
    0x8800d76f,0xffb83fff,0x0d7005ff,0x3e1fffea,0x3ea02fff,0x7c006fff,
    0x13ffffa2,0x1fffff20,0xfffff900,0x543ffe88,0x0006ffff,0x3ffa2f80,
    0xff5004ff,0x3ffea1ff,0xfff9804f,0xffffb07f,0x3e60007f,0x8004ffff,
    0x406ffffa,0xffff905a,0xf501a6bf,0xfa80dfff,0xff506fff,0x5ffff0ff,
    0x2ffffdc0,0x2a006b80,0xfff87fff,0x7fffdc2f,0x7ffd4004,0x51aa006f,
    0x001fffff,0x7fffff40,0x23540000,0x00fffffa,0x3ffffea0,0x0007fffd,
    0x5fffffcc,0x7fc4001f,0xffffb83f,0x2a0d7005,0xfff87fff,0x3ffea02f,
    0x51aa006f,0x801fffff,0x00fffffb,0x1fffff20,0xff513fe2,0x80000dff,
    0x7fffd46a,0xfffa800f,0x3ffff20f,0x7fffcc01,0xffffd107,0xffd0005f,
    0x50001fff,0xa80dffff,0x3ffff605,0x7d4069cf,0x7d406fff,0xff506fff,
    0x5ffff0ff,0x2ffffdc0,0x2a006b80,0xfff87fff,0x7fffc42f,0xfa81b81f,
    0x3a006fff,0x3fffff83,0xffff7000,0x7d00005f,0x07fffff0,0x37fffd40,
    0xb0000ff5,0x00bfffff,0x707fff10,0x200bffff,0xffff506b,0x405ffff0,
    0x006ffffa,0x3fffe0fa,0x7ffd403f,0x3f6001ff,0xffa85fff,0x37fffd41,
    0x20fa0000,0x803fffff,0x221ffffa,0x200effff,0x207ffffa,0x3ffffff9,
    0x3fffee00,0xff50002f,0x05a80dff,0x3fffffa2,0x7ffd406d,0x7ffd406f,
    0xffff506f,0x405ffff0,0x005ffffb,0x7fd400d7,0x2ffff87f,0xbfffffa8,
    0xff504c99,0x1e600dff,0x037fffdc,0x7ffffc40,0x07980005,0x00dffff7,
    0x237fffd4,0xf880007b,0x8001ffff,0xfb83fff8,0xd7005fff,0x21fffea0,
    0x2a02ffff,0x3006ffff,0x3fffee0f,0x7fffcc06,0x3ff6001f,0x3bbee4ff,
    0x6ffffa82,0x41e60000,0x806ffffb,0x5c2ffffc,0x3205ffff,0x201fffff,
    0x3fffffff,0xfffff880,0x3fea0005,0x02d406ff,0x3fffffe6,0x7fffd406,
    0x7fffd406,0x0ffff506,0x5405ffff,0x9005ffff,0x7ffd400b,0x02ffff87,
    0xfffffff9,0x7fffd40b,0x555db006,0xfffff755,0xfffd8005,0x403800ff,
    0xbaaaaaed,0x002fffff,0x88dffff5,0xffd00007,0xf10003ff,0xfff507ff,
    0x417200bf,0xff87fffa,0x3fea02ff,0x5db006ff,0xfff75555,0xffe805ff,
    0x3fe002ff,0x54001fff,0x2006ffff,0x2abb6018,0xffffbaaa,0x3fff602f,
    0xffd13fff,0x3223ffff,0xfffffffe,0x3fffaa2d,0x03efffff,0x03fffff6,
    0x7ffd40e0,0x402d406f,0x06fffffa,0x037fffd4,0x41bfffea,0xff87fffa,
    0x3fe602ff,0x09b005ff,0x43fffd40,0xf502ffff,0x809dffff,0x806ffffa,
    0xeeeeeef8,0x05ffffee,0x3ffffea0,0x22078803,0xeeeeeeef,0x005ffffe,
    0xd0dffff5,0xfe8002e0,0x88001fff,0xff883fff,0x09b005ff,0x3e1fffea,
    0x3ea02fff,0xf8806fff,0xeeeeeeee,0x5405ffff,0x3004ffff,0x000bffff,
    0x00dffff5,0xeef88164,0xffeeeeee,0x010005ff,0x00040000,0x3fffea00,
    0x5078803f,0xa80dffff,0xffff7005,0xffffa80d,0x7fffd406,0x0ffff506,
    0x4405ffff,0xf006ffff,0x7ffd4007,0x02ffff87,0x4002a67b,0x806ffffa,
    0x7ffcc04c,0xff8801ff,0xd7006fff,0x3e602640,0xa801ffff,0x0286ffff,
    0xfffe800d,0xff88001f,0xdffff03f,0x7d40fe00,0xffff87ff,0x3fffea02,
    0x4c04c806,0x401fffff,0x800ffffe,0x101ffffb,0x3fffea03,0x6407e006,
    0x7fffcc04,0x77f4001f,0x7cc00002,0x440000df,0x006fffff,0x3ffea0d7,
    0x002d406f,0xa80dfffb,0x5406ffff,0xf506ffff,0xffff0fff,0xffffe805,
    0x00075c00,0x4c1ffff3,0xf882ffff,0xfff50000,0x01f880df,0x05ffffd8,
    0x1fffffc8,0x3e20bf00,0xffffd801,0xffffa805,0x800d5006,0x001ffffe,
    0xb03fff88,0xb801ffff,0xffff300f,0x17fffcc1,0x0dffff50,0xfd801f88,
    0x7cc05fff,0x7cc03fff,0xffb03fff,0xdffff50d,0x2207ea00,0xfffd801f,
    0x7fdc005f,0x6c400007,0x640004ff,0x001fffff,0x3ffea0bf,0x0035c06f,
    0xa80dffd1,0x5406ffff,0xf306ffff,0x7fcc1fff,0x7fcc02ff,0x3f500eff,
    0xffff8800,0x7fffff12,0x54000970,0x6406ffff,0xffff5006,0x7ffcc01f,
    0x9f9004ff,0x7d401b20,0x5400ffff,0x9806ffff,0x7ff4005f,0xf88002ff,
    0xfff303ff,0x0fea01df,0x12ffff88,0x407fffff,0x406ffffa,0xfff5006c,
    0xfe8801ff,0x3ffa00ff,0xffff302f,0x6ffffa85,0xc80fe880,0xffff5006,
    0xffb8001f,0xfe800000,0x3fe60005,0xf9004fff,0x3fffea09,0x2003ec06,
    0x7d406ff8,0x7d406fff,0xff106fff,0x3ffe25ff,0xfe8803ff,0xdb99beff,
    0xff90002f,0xfff7fdff,0x0003d0bf,0x03ffffd4,0x7fc009f3,0x3fa04fff,
    0x5400ffff,0x4f983ffe,0x3ffffe00,0x7fffd404,0x027fd407,0x0bffffe0,
    0x0fffe200,0xbefffe88,0x804fdb99,0xbfeffffc,0x2a05ffff,0x2607ffff,
    0x3ffe004f,0xff9004ff,0xeffc983f,0x3fffee01,0x3ffffdc4,0x261ffa20,
    0x3ffe004f,0x7f4004ff,0xf9800004,0x3fa0001f,0x5400ffff,0xff503ffe,
    0x7fc40fff,0x037cc003,0x01ffffea,0x40fffff5,0xbfeffffc,0x1005ffff,
    0xfffffffb,0xfd80003b,0xffff2fff,0x00034cbf,0x07fffff2,0x4003ffa6,
    0x82fffffe,0x9cfffffb,0xfda99999,0x7f4c3fff,0xfffd000f,0x7fe405ff,
    0xa999cfff,0x003fffeb,0x13ffffe6,0x0fffea00,0xfffffb10,0x6c003bff,
    0xfff2ffff,0x3ff20bff,0xfe981fff,0xfffd000f,0x36a005ff,0xdfffeffe,
    0x7ffc400b,0x7fffec1f,0xcb9999cf,0x7f4c6fff,0xfffd000f,0xbfb005ff,
    0x54000017,0x20002dee,0x9cfffffb,0xfda99999,0xff903fff,0xfea83fff,
    0x2004ffff,0x7ffe406b,0x3ff201ff,0x3f601fff,0xffff2fff,0x554400bf,
    0x000009ab,0x790006a2,0xffd93000,0x27bfffff,0x1dfffffc,0xffffec88,
    0x3fe26fff,0xffffffff,0xffffffff,0x3ffff22f,0xfec881df,0x26ffffff,
    0xfffffec9,0xffffffff,0x64c02fff,0xfffffffd,0x7f6403ce,0x51003fff,
    0x00013575,0x930006a2,0xfffffffd,0x3ffff27b,0xfec881df,0x06ffffff,
    0x000aa980,0xd931dc98,0xffffffff,0xffffffff,0x7ffffe4b,0xffec881d,
    0x406fffff,0x22000000,0xff880000,0xffffffff,0xffffffff,0x3ffb262f,
    0x03dfffff,0xc9828000,0xfffffffe,0xfffd933d,0x207bffff,0x000001a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6665c000,0x01cccccc,0x33333322,0x98004ccc,0xcccccccc,
    0x3ba2003c,0xeeeeeeee,0x00062000,0x164c0000,0x00600000,0x4cc42662,
    0x04cccc00,0x007500e4,0x00000000,0x00000000,0x980ae000,0x000c000c,
    0x39995000,0x19101d40,0x31099880,0x99100013,0x00000079,0x6664c000,
    0x00000001,0x00026666,0x57000620,0x000024c0,0x7ffffec0,0x2602ffff,
    0xffffffff,0xffa8007f,0x6fffffff,0x3fffe200,0x00ffffff,0x0003f910,
    0x5fff0000,0xdfdb7100,0x00d9059b,0x3ffa1ffd,0x3fffe600,0xfc82fc80,
    0x19ddd702,0x004fb800,0x0035c0b7,0xdb5001fe,0x4c001bdf,0x325fa84f,
    0xd89eeeee,0x7cc0dfff,0xf101f300,0x7cc0dfff,0xf805f984,0x01fff0ef,
    0x3ffff900,0x544b1000,0x0acdfedc,0x37fff400,0x1f6cc000,0x0efffa80,
    0x98067e4c,0x03dffffd,0x4fa83fa8,0x3d403aa0,0x7ffffec0,0x2602ffff,
    0xffffffff,0xffa8007f,0x6fffffff,0x3bbba200,0x00eeeeee,0x77ff7f5c,
    0x5d44001c,0xd00abdec,0x7f4c07ff,0xffeb9bdf,0x9801f72e,0x07ff12ff,
    0x101fffb8,0x17f627ff,0x7fe57fa2,0x00df3001,0x4c456fd4,0x3ea004fb,
    0x7dfb1004,0x4003fffd,0x03fee5fd,0xfd5ffff9,0xf88bffff,0x0df530ae,
    0x0bfffff2,0xff70dfd8,0x31ffa801,0xf30005ff,0x000bffff,0x57bfddf1,
    0x07ffffb7,0x3ffffee0,0x3fe02003,0xffd805ff,0x4fffd80e,0xfa867e44,
    0x4fe804ff,0xf9803ff2,0x0bf730ad,0x00000000,0x00000000,0x7f440000,
    0xfff57a8d,0xdffd8805,0x2effda9b,0xfb80ffc4,0xfff304ff,0xbf9003fd,
    0x7f402fdc,0x67fe401f,0xffd81ffe,0x200dff32,0x7f4001fe,0x01ffffff,
    0x6c00bf20,0x17ffa0ff,0xfdeff980,0xffffa83f,0x3ffff52f,0xffffffc8,
    0xaeff883f,0x3fe606ff,0xd804ffce,0x0013f24f,0x7fedffec,0x77fc4001,
    0x37fff602,0x2bbfe200,0x8f1007fe,0x00fffffa,0x7c4077fc,0x7fe47fff,
    0x017fff42,0x3ff77fea,0xffffd803,0x00001fff,0x00000000,0x2e200000,
    0x802ee20b,0x44f50ffd,0x3fee02ff,0xfffd104f,0x3603db9b,0x7dc05fff,
    0xee800fff,0xf3003fa0,0xfff1003f,0xfff309ff,0x00fffe23,0xf30009f7,
    0x007fffff,0xff5007f8,0x00fffb8b,0x1fffff60,0x21ffffcc,0xfe83ffff,
    0xfb05ffff,0x9017f44b,0x001fffff,0x0006e8df,0x2fe43ff5,0x003fe200,
    0x403bfffa,0x7fd10dfc,0xff88fb00,0x3ea02fff,0xffff100f,0x6c6fff8f,
    0xfe804fff,0xd1006fff,0x009fffff,0x99999993,0x33267999,0xcccccccc,
    0x2ccccccc,0x0006e000,0x7ecbff90,0x4bff505f,0xc817cc7a,0x7c404fff,
    0x7dc01fff,0xfe801fff,0x0fcc05ff,0x3f7005f1,0x7fffdc00,0x11fffb80,
    0x7cc0bfff,0xfb10000e,0xf98003bf,0x8dff9005,0x2000fff9,0x302ffff9,
    0xfe83ffff,0xdfd903ff,0x220fe607,0x3ffe206d,0x21fa803f,0xdd0001f9,
    0x4005f701,0xff1002f8,0x09f309ff,0x7fb803f6,0x03feeea8,0xfff007f6,
    0x7fffc4df,0x017fff60,0x00bfffe6,0x02efec88,0x3fffea20,0x75441cff,
    0xeeefffff,0x04ffffee,0x00013e00,0x7ffcffff,0x54fff907,0xffa82e87,
    0xffd800ff,0x3ffe605f,0xffe8806f,0x102202ff,0x00022003,0x36035551,
    0x3ffe1fff,0x0007fa06,0x5f900000,0x83fffa00,0xa8006ff8,0x3fe602aa,
    0x7fff41ff,0x00cc0004,0x2aaa802a,0x00881100,0x19805100,0xb001e200,
    0x2983ffff,0xffa80540,0x100fdc07,0x9fffd001,0x7f43eea8,0x555005ff,
    0x00000005,0x01ffffee,0x20dffff5,0x0004ffd8,0x40001ff5,0x3ff65ffc,
    0x2bfff904,0x7c42a87a,0xf3006fff,0x3f207fff,0xdd803fff,0x800fffff,
    0x40980008,0x32008800,0xfff11fff,0x0013ee0d,0xe8000440,0xfffd000f,
    0x000ffdc7,0x3e604098,0x7ff41fff,0x0004404f,0x98800813,0x00000000,
    0x12200000,0xdffff500,0xb8013100,0x37407fff,0xf9004c40,0xff7005ff,
    0x4400bfff,0x00620001,0x6ffffa80,0x37fffd40,0x40013ea0,0x40003ffe,
    0x2602a82a,0x07ceffff,0x07ffffb0,0x3ffffe20,0x7ffffc40,0x7f476c02,
    0xfb102fff,0xc8039dff,0x03dcefff,0x07ffdfb1,0x3e25fff7,0x0ef884ff,
    0x3ff62000,0xf3001cef,0x7ffec00b,0x000efc8e,0xdcefffc8,0x0ffffcc3,
    0x2213fffa,0x203ffefd,0x3dcefffc,0xdfffd910,0x6eeeed85,0x0bbbbbaa,
    0x7dddddd7,0x3bbbbbb2,0x01bddb13,0xffff1000,0xffd9103f,0xfff905df,
    0x445dddff,0xffd9102f,0xfff505df,0x6d7fdc01,0x6cc05fff,0x803dffff,
    0x3dffffd9,0x7fffd400,0x7fffd406,0x8004e806,0x0007fff9,0x3ffa0000,
    0xff007fff,0x74003fff,0x7d43ffff,0x3201ffff,0x9ffffb0e,0x321dff30,
    0x1dfb02ff,0xf307ff71,0x117fe29f,0x3fe65fff,0x001fe81f,0x643bfe60,
    0x3fb802ff,0x3fffee00,0xfb0002df,0x87ff711d,0x741ffff9,0x7fcc4fff,
    0xfb0bff14,0x07ff711d,0x3fee9fd1,0x3fffec1f,0x20bfffea,0x643ffffc,
    0xef83ffff,0x3fe00000,0x7f442fff,0x543fff74,0xeeffffee,0x2209d32e,
    0x3fff74fe,0xd107ff88,0x3fff63df,0x219f9105,0x9104fffa,0x3ffea19f,
    0x3ffea004,0x7ffd406f,0x025c286f,0x17fffec0,0xdddddb00,0x17777754,
    0x7fffffdc,0x3ffe601e,0x3f6001ff,0x7fdc4fff,0x3f501fff,0x22ffffec,
    0x7fc3fff9,0x227fc41f,0x3ffc44f9,0xff70bff2,0x2e13fea7,0x3e60004f,
    0x0fffc3ff,0x98003fa0,0xa80fffff,0x225eeeee,0x227cc4ff,0x741ffff9,
    0x3fe24fff,0xf117fe47,0x444f989f,0x3ffe27ff,0x23fffdc5,0xd02ffff8,
    0xff88bfff,0x002e84ff,0x7ffff400,0xf89ffe24,0xfffb85ff,0xf102eb87,
    0x2fffc4ff,0x7fcc2ffc,0x17fff61f,0x3fa17fe4,0x2ffc82ff,0x8017fff4,
    0x406ffffa,0x686ffffa,0x3e2001c4,0x4006ffff,0x7d47fffd,0xff702fff,
    0x207fffff,0x00fffffa,0x1bffff60,0x01fffff9,0xfffd85f3,0x07ffec7f,
    0xfb83fff6,0x3225c1ff,0x37fd44ff,0x1ff57fdc,0x000077c4,0xfd81fffb,
    0x0df100ff,0x7ffffdc0,0x5fff104f,0x5c1fffb8,0x0ffffcc4,0xfc93fffa,
    0x737fd44f,0x44b83fff,0x7fec5ffc,0x1fffea0f,0x5c0bfffe,0x7fc0ffff,
    0x643447ff,0xeeeeeeee,0xfeeeeeee,0x3f25ffff,0x07ffec5f,0x0a1fffee,
    0xfd8bff90,0x21fec0ff,0x7ec7fff8,0xdfff05ff,0xf84fffd8,0x7ffec6ff,
    0xffff5004,0xffffa80d,0x40003cc6,0x1fffffdc,0x1fffee00,0x405ffff1,
    0xfffffffa,0x7fffe40d,0x3ff2000f,0x7ffe47ff,0xc83f987f,0x3e67ffff,
    0xfffc87ff,0x0fffff22,0x21fffcc7,0xa881fff9,0x05fd00aa,0x26057951,
    0xffc87fff,0x007f702f,0xfff35ff3,0x13f605ff,0x70fffff2,0x41ffff98,
    0xff34fffe,0x1fff987f,0x387ffff9,0xf513ffe2,0x7fffa8df,0x102ffff8,
    0x7cc7ffff,0x12e2ffff,0x33fffff2,0xcccccccc,0x15fffffc,0xffa89fff,
    0x07fffb86,0x227ffc40,0x1fb86ffa,0xb07fffd4,0xff10bfff,0x7ffec1ff,
    0x07fffc45,0x200bfffb,0x406ffffa,0x5c6ffffa,0x4fc40007,0x005ffffd,
    0x3e1fffea,0x6c402fff,0x46ffffff,0x007ffffc,0x23ffffe4,0x20fffffb,
    0xfffb04e8,0x37ffdcff,0xf327ffe4,0x501bffff,0xff987fff,0x9f70002f,
    0xdf95ff50,0x86fffb83,0xfb04fffc,0x22ffb803,0x80effffc,0xffff306f,
    0x3fe601bf,0x7fff42ff,0x987fff54,0xfff32fff,0xff501bff,0xf505109f,
    0xffff0fff,0x37ffec05,0x49fffd59,0xffffb81e,0x3fffa007,0x09fff54f,
    0x3ffee051,0x7ffd4007,0x1f502884,0xceffffa8,0x836fffff,0x7ff43eea,
    0x43eea85f,0x5005fffe,0xa80dffff,0x3e66ffff,0x9adc0007,0x000fffff,
    0xff0ffff5,0x3ee005ff,0x2e3fffff,0x000fffff,0x31fffff2,0x743fffff,
    0x3ffffa05,0x21bfff26,0x7f46fffc,0x5c1effff,0xffffffff,0x88004fff,
    0x37fcc0ef,0x7fe41fff,0x6fffc86f,0x7d406f88,0x7fffc47f,0xd00fd46f,
    0x03dfffff,0xe87ffff7,0xfff74fff,0xffffffff,0x7fffff49,0x2fffe41e,
    0x0ffff500,0x5405ffff,0x71f1ffff,0x41a6ffff,0x007ffffa,0x64fffffe,
    0x5c005fff,0x64007fff,0x44005fff,0xfffff887,0xeffffaaf,0xffffb801,
    0xfff7005f,0x3ea00bff,0x7d406fff,0xffdcffff,0xd17c0007,0x2009ffff,
    0xff87fffa,0xdf5002ff,0x7d4fffff,0x2001ffff,0x445ffffd,0xdb2fffff,
    0x4fffff80,0x321bfff6,0x7fcc7fff,0x361fffff,0x00004fff,0xffe82fd8,
    0xfd97ffa4,0xfffc86ff,0x2204fa87,0xffb87fff,0x07d15fff,0xffffff98,
    0x3ffff21f,0x3fffa3ff,0x009fffb4,0x7fffffcc,0x1bfff61f,0x87fffa80,
    0x7c02ffff,0xf15acfff,0x20795fff,0x00fffff9,0x23fffff0,0x4006fffd,
    0x4007fffb,0x8006fffd,0x19ffd506,0x200f7fec,0xfffdaffb,0x6d7fdc05,
    0xf5005fff,0xfa80dfff,0xfffdffff,0x51aa0007,0x001fffff,0xff0ffff5,
    0x3ea005ff,0x30ffffe8,0x003fffff,0x427fffec,0xecbffffe,0x3fffe200,
    0x1bfff61f,0x261ffff2,0x26fffffe,0x0005fffc,0x7c427dc0,0x9fffa4ff,
    0xfc86fffd,0x01fd87ff,0x207fffea,0xdcfffffd,0xfffd3005,0xfd000dff,
    0x3fff29ff,0x7ff4c005,0x3ff26fff,0x3fea007f,0x2ffff87f,0x6ffffe40,
    0x3f7fff62,0xfffff100,0xffff1001,0x1ffff21f,0x0ffff700,0x07fffc80,
    0xf7008000,0x1efe8803,0x220bfffb,0xfffb1efe,0x3ffea00b,0x7ffd406f,
    0x001fea6f,0xffff83e8,0xfffa803f,0x42ffff87,0x3fa7a829,0x3fffa0ff,
    0x3ffe002f,0xfffa81ff,0x7cc00fef,0x7fdc6fff,0x6fffc86f,0x3fffff60,
    0x00ffff70,0x407fc400,0x3f64fff9,0xdfff70ff,0xf0dfff90,0xffffc80f,
    0xfffffd04,0xffd8001f,0x74000fff,0xfff73fff,0x3ff6000f,0xfff70fff,
    0x3fea003f,0x2ffff87f,0x3ffffcc0,0x01bfffea,0x003ffff9,0x5c9ffff5,
    0x2001ffff,0x4007fffb,0x001ffffb,0x04fc8000,0xfb0fffcc,0xfff30bff,
    0x02fffec3,0x06ffffa8,0x237fffd4,0x0f30007b,0x01bfffee,0x3e1fffea,
    0x42d42fff,0x51fff27a,0x2009ffff,0x205ffff9,0x801ffffc,0x541ffffc,
    0xffd87fff,0xff706e4f,0x3ffea5ff,0xd800202f,0x9fff502f,0xfa87ffec,
    0xfffd87ff,0x32027d44,0x881fffff,0x05fffffe,0xfff706e1,0x3a18805f,
    0xfff52fff,0x41b8405f,0xf52ffffb,0x2a00dfff,0xfff87fff,0xfffe802f,
    0x1ffffc44,0x0ffffe20,0x51bfff60,0x400dffff,0x4007fffb,0x006ffffa,
    0xf880072a,0x3ffe203f,0x22fffec7,0x7ec7fff8,0xff5005ff,0xffa80dff,
    0x003c46ff,0xaaaaaed8,0x02fffffb,0x7c3fffd4,0x07d42fff,0x85ffb9ea,
    0x800ffffe,0x401ffffb,0xf803fffe,0xffd03fff,0x41fffb0f,0x1fffa86b,
    0x203ffffe,0x09f7002c,0xfd27ffc4,0x87ffe8ff,0x7e40fffd,0x7fffd402,
    0xfff980ff,0x4b21efff,0x1fffa86b,0x7f47fe20,0x3fffe1ff,0x0d72c80f,
    0x7f43fff5,0x22983fff,0x260ffff9,0xb802ffff,0xffc81fff,0xfffb800f,
    0x2ffff806,0x83ffffe8,0x3fffd429,0x7ffff400,0x3ff22983,0xdff3003f,
    0x07fffd40,0xfa8bfffb,0x3ff60fff,0xfff5005f,0xfffa80df,0x0170686f,
    0x3bbbbbe2,0x5ffffeee,0x43fffd40,0x7d42ffff,0xffd9ea0d,0x3ffff980,
    0x1ffffc40,0x0ffffd40,0x409fff90,0x7fc1fffa,0x7c1fd44f,0x7fffe47f,
    0x005c98cf,0xfe801ff1,0x517ffa4f,0xfff83fff,0xe8807f84,0x1bffffff,
    0xffffff93,0x7d4bfdff,0x5407ff83,0x8dffd2ff,0x8cfffffc,0x20fea5c9,
    0x7ffd47ff,0x45b89cff,0xf12ffff8,0x1007ffff,0x3fe60dff,0x3fff6005,
    0x0ffff603,0x67ffffd4,0xff985b89,0x500370ff,0x139fffff,0x6ffff8b7,
    0x417ffa00,0xfceffffa,0x2a36ffff,0xffceffff,0xa8036fff,0x5406ffff,
    0x0286ffff,0x2602640d,0x201fffff,0x260ffff9,0x7d42ffff,0xf91f51ef,
    0x7ff4405f,0x3fff600f,0xfdce8802,0x7fe4c2ef,0x5ffb802f,0x3ea17fee,
    0x05ff50cf,0xfffffffb,0x0bf6001d,0xff9bfea0,0x25ffb80f,0x5f985ffb,
    0xfffff300,0x15dfffff,0xdffffffd,0xa867fd41,0xcfe802ff,0xfd80fff8,
    0x0effffff,0x7d433fea,0xffffc82f,0xfc80efff,0xffbfefff,0x7fb005ff,
    0x20017f40,0x220bfffa,0x6401effc,0xefffffff,0xbdfffb00,0x7ffe4007,
    0x740effff,0x2a005fff,0x222cefff,0xaaffffff,0xf11effff,0xf55fffff,
    0xa803dfff,0x5406ffff,0x5006ffff,0x2007e20d,0x205ffffd,0xf12ffff8,
    0xb887ffff,0xfffefffe,0xfff9000d,0x1effd983,0x7e4cbd00,0xaceffdff,
    0x3bfea000,0xbf303ffd,0x405ffdff,0x0ceffffc,0x400bf700,0x2ffb9ffb,
    0x3f7bfea0,0x005f903f,0x7ffffec4,0xfffc82ef,0x7efcc0ef,0x1002ffef,
    0x4017bfb7,0x0ceffffc,0x7f7fefcc,0x3ffea02f,0x3f600dff,0xffff2fff,
    0x01f500bf,0x440007e4,0xffeeffed,0x3fea003e,0x2200dfff,0x8003effc,
    0x0dfffffa,0x001fffa8,0x227ffed4,0x360cffea,0x7f541eff,0x3bff60cf,
    0xffffa801,0x7fffd406,0x905f9806,0x3ffea00d,0x3ff200ff,0xfffbfeff,
    0x32a6205f,0xdb50001f,0x7bfffdff,0x881aa001,0x80000aa9,0x0c400aa8,
    0x54c00351,0x07fc4000,0x337b2600,0x01551000,0x88000aa8,0xa8801aa9,
    0x5443100a,0x20000001,0x886200a9,0x06a2001a,0x0001a880,0x02880510,
    0x1aa98800,0x00d44000,0x44000040,0x0028801a,0x01004c40,0x02004008,
    0x7ffffa80,0x3ffffd40,0x2613fea0,0x3ffe004f,0x7fec04ff,0xfffff2ff,
    0x000f500b,0x000554c0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffc800,0x3fff201f,0xba999cff,0x74c3fffe,
    0xffd000ff,0xa8805fff,0x03100001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffd930,0x3267bfff,
    0xfffffffe,0xffffffff,0x3ffff22f,0xfec881df,0x06ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x8032602b,
    0x000ea01c,0x00000000,0x99998000,0x26620000,0x33220009,0x33320001,
    0x99980004,0x99988009,0x00000001,0x10011000,0x000a8005,0x0006665c,
    0x20099988,0x00019998,0x00000262,0x00000000,0x00000000,0x50000000,
    0x88001999,0x33101999,0x00000033,0x00000000,0x3e60ee4c,0x5c05fa84,
    0x803fb82f,0x0017205c,0x16666664,0x20005db3,0x0005fffb,0x007fffe2,
    0x01fe67dc,0x17fffd40,0xffff3000,0xffff3001,0x33322001,0x5c43cccc,
    0x22003efe,0x503ffefd,0xf8803fff,0xff3003ff,0xf10009ff,0x74403fff,
    0x64001fff,0xccdefeff,0x883e82cc,0xdb73001c,0x20005bdf,0xabdffeda,
    0x76d41620,0x406a2def,0x1deffec8,0x44000fe8,0x4005ffff,0xf302ffff,
    0x40001fff,0xbdeffec9,0x5d4c0000,0x009acdec,0x40ffff88,0x03fee5fd,
    0x7ec7ff10,0x139f5006,0x0007f931,0x53ffff26,0x004ffff8,0x000effe8,
    0x007ffea0,0x001a62e8,0x01bffffe,0x00fffc80,0x00fffe60,0xffffea88,
    0x3f73bf26,0x7fcc00ef,0xfd0bff14,0xffc80bff,0xfffd007f,0xfa8001ff,
    0xfe8801ff,0xfff1004f,0x3ffff629,0x72ee884f,0xff50019f,0x1dffd53b,
    0x3ffff200,0xcefecbcf,0x677ec45e,0x1ecffca9,0xfea9cfa8,0x01fdc5ff,
    0x3fffff60,0x5fff3001,0x03fff980,0xceffea80,0x00cfffdb,0x5f7fec40,
    0x02fffda9,0x227fffd4,0x3ffdeff9,0xfdbff700,0x3fa2005f,0x00ffffff,
    0xa7fffc00,0x007ffffa,0x00077fc4,0x800bff60,0x2001f879,0x3ffbcffb,
    0x03ffd000,0x00dff300,0x2dffff50,0x37fdc2eb,0xfc8fff10,0x37fffc2f,
    0x03ffff60,0xff7bff50,0x2ffd8009,0x01ffe200,0x3ea3fff4,0x7ec400ff,
    0xff7000df,0x37ffc41f,0x33fffa60,0x8bfff501,0xffd106fe,0x220ff985,
    0x3e24ffff,0x3bfe6006,0xf9005ffa,0x3fe6007f,0x33f62005,0x3df7300a,
    0x17ffee00,0x806fffc4,0xd82ffff9,0x4007ffff,0x005ffffe,0x7fffffcc,
    0xffe80002,0xfffff14f,0x077dc005,0x0bfe2000,0x0698ba00,0xfa8bfe20,
    0x7fcc000f,0x3fea0001,0x7ffd4000,0xfd00f9ef,0x13ff209f,0xffc8dff5,
    0x7ffcc02f,0x263ff805,0xff1000ff,0x3ff30005,0x46fffa80,0x4c05fff8,
    0xd000effe,0xffff0fff,0x3fffea03,0x25ff8805,0x3a202ffc,0x217fec2f,
    0x3a0ffffe,0x49fd000f,0xfe802fe9,0x07fd4003,0x000ff440,0xfc805fb1,
    0x7fdc06ff,0xdffb00ff,0x0bfffe60,0x3ffff500,0xbffb1000,0x3fa00003,
    0x3bbee4ff,0x03ba002f,0x00bea000,0x1fe67dc0,0xf303fb00,0x01fc8007,
    0x003fa800,0x7fffffcc,0x0bffee02,0xf987fff3,0x00e541ff,0xfb802b98,
    0x5004e982,0x7cc0005f,0x2fffe404,0x4407fffc,0x0eff8afc,0x43fffc40,
    0xf883fffe,0x26006fff,0x007ffe5f,0x5fff85f3,0x917fffe4,0x07f5007f,
    0x4f980dd1,0x007f5000,0xba9881fb,0x03f2310a,0x007fffd4,0x102fffec,
    0x02aaa803,0x00555500,0xd0000000,0x3f209fff,0x00026001,0x20000440,
    0x54001cc9,0x1000a200,0x04400001,0x3fffe600,0x7ffcc05f,0x0fffea0f,
    0x0005fff3,0x10054000,0x00022005,0xff900220,0x1ffff0bf,0xeffb87b0,
    0x1bffea00,0x3a07fffa,0x4000ffff,0x09fff15c,0x5ffd85b0,0x30ffffd4,
    0x803500bf,0x0006200a,0x1fb80110,0x6d567fd4,0x221ba3ef,0x3006ffff,
    0x0007ffff,0x00000088,0x20000000,0x13fffa09,0x00c40374,0x31000131,
    0x00000701,0x00000000,0x26000000,0x400fffff,0x2e3ffff9,0xffffffff,
    0x00004fff,0x00022000,0x22000088,0x5fffa800,0x0037ffc4,0xfb813ffe,
    0x6ffe86ff,0x06ffffa8,0xfff35980,0x4c2a809f,0x7ffdc1ed,0x8000ff87,
    0x00880008,0x4e800880,0x7cc0ffec,0xffb07e63,0x3e2007ff,0x4000ffff,
    0x1cefffd8,0x4dddddb0,0x42eeeeea,0x2a6eeeed,0x202eeeee,0xe8dfffd9,
    0x2f984fff,0xdfffd730,0x3ffbfa65,0x7ffec402,0x76cb92ef,0x3baa6eee,
    0x776c2eee,0x3bbaa6ee,0x7776c2ee,0x3bbbaa6e,0x77776c2e,0x3bbbbaa6,
    0x3fffe602,0xffff8806,0x013fff66,0x019001a0,0x3bfff620,0xffd8801c,
    0xd8801cef,0x201cefff,0x7fc46fff,0x372a203f,0x702fffdb,0xff88dfff,
    0xffffe82f,0x7fc30004,0x0202efff,0x85fffd80,0xfb1002fc,0xd8807ffd,
    0x4403ffef,0x503ffefd,0x027fd45f,0x7fc5f87b,0x3a001fff,0x2003ffff,
    0xff90eff9,0x1ffff605,0xb05ffff5,0xffa8ffff,0xfff302ff,0xffffdb59,
    0xfb03f989,0x9fff5119,0x13fea3ff,0xfb87ff4c,0xfffd86ef,0x17fffd47,
    0x2a3fffec,0xfd82ffff,0x7ffd47ff,0x7fffd82f,0x017fffd4,0x00dffff3,
    0x21fffff1,0x4005fffc,0x00740078,0xfc877fcc,0x3bfe602f,0x4c05ff90,
    0x5ff90eff,0xc87ffa60,0x3fe605ff,0x6fffebbf,0x5cdfff70,0xff980bfe,
    0x80003fff,0xeffffffd,0x3fe20001,0x05f980ef,0xff14ff98,0x453fe60b,
    0x9ff305ff,0x3f617fe2,0x403fff10,0xf987ec18,0x2001ffff,0x004ffffd,
    0xff87fff3,0x7fffb81f,0x417fffc4,0x7c47fffb,0xff882fff,0x7fffe45f,
    0x7ec0bae4,0x7fffdc1f,0x220ffec4,0x7ffc3fff,0x47fffb84,0xb82ffff8,
    0x7fc47fff,0xfffb82ff,0x17fffc47,0x223fffdc,0x2602ffff,0x8806ffff,
    0xf71fffff,0xf9800fff,0x300f1000,0xfff87fff,0x43fff981,0xff981fff,
    0x00fffc3f,0x7ffb9ff9,0x31fffcc0,0xf703ffff,0x7fedcdff,0x7fffd40c,
    0xf880001f,0xdfffffff,0xdffb8000,0xf101fe00,0x42ffc8ff,0x7fe47ff8,
    0x323ffc42,0xf53742ff,0xfb8001ff,0x1fffff51,0x7fffec00,0x1fffb006,
    0x540fffd8,0xfff87fff,0x7fffa82f,0xd82ffff8,0xfff82fff,0xff880a4f,
    0x7fffd46f,0x3237fdc1,0x7fe42fff,0x3fffd41f,0x5417fffc,0xfff87fff,
    0x7fffa82f,0xa82ffff8,0xfff87fff,0x3ffe602f,0xfff8806f,0xffff51ff,
    0x0bee0405,0x36013e60,0x7fec0fff,0x07ffec0f,0xfb03fff6,0xfffd81ff,
    0x3777b700,0xd0fffd00,0xff709fff,0x8dff90df,0x00fffffc,0xffff3000,
    0x007fffff,0xfd804ff8,0x513ff202,0x4ffc8dff,0x3f237fd4,0x237fd44f,
    0x01ffee4f,0x7fe4be20,0x32000fff,0x9807ffff,0xffc87fff,0x3fffd42f,
    0x5417fffc,0xfff87fff,0x1ffff82f,0x004fffe8,0xff31fffe,0xfffa81ff,
    0x43ffff10,0x545ffff8,0xfff87fff,0x7fffa82f,0xa82ffff8,0xfff87fff,
    0x7fffa82f,0x202ffff8,0x806ffff9,0x22fffff8,0xc80fffff,0x2a01fe42,
    0x7fcc01ff,0x2fffc87f,0x321fffe6,0x3fe62fff,0x2fffc87f,0x4c0036c4,
    0xffd86fff,0x6fffb86f,0x323fffa8,0x000fffff,0x3fffa600,0x005fffff,
    0x3ea005f5,0x87fff304,0xff31fff9,0x1fff987f,0xf987fff3,0xfc8fe1ff,
    0x25f0007f,0x007ffffc,0x03ffffe4,0x6437ffdc,0x7fd44fff,0x2ffff87f,
    0xf87fffa8,0x7fcc2fff,0xfffe80ff,0x0fbea004,0xf50ffff5,0x3ffea3ff,
    0x3fffba0f,0x43fffd46,0xfa82ffff,0xffff87ff,0x87fffa82,0xfa82ffff,
    0xffff87ff,0x3fffe602,0xffff8806,0x3ffff21f,0xe85c98cf,0x17ff205f,
    0x21bffee0,0x3ee4fffc,0xfffc86ff,0x21bffee4,0x7e44fffc,0xfffb8006,
    0x87fffd86,0xf986fffb,0x3fff27ff,0x800001ff,0xfffffffc,0x002d804f,
    0x7fd41fe2,0x97ffcc3f,0x7cc3fffa,0x7fff52ff,0x3a2fff98,0x001ffee5,
    0x7ffdc7e6,0x3f2000ff,0xfc807fff,0xfffc86ff,0x43fffd46,0xfa82ffff,
    0xffff87ff,0x83fffd42,0x0004fffe,0x7ffffecc,0xffffffff,0x21ffff73,
    0x47fffbcd,0xff87fffa,0xfffa82ff,0x82ffff87,0xff87fffa,0xfffa82ff,
    0x02ffff87,0x01bfffe6,0x03ffffe2,0xfffffffb,0x07ff881d,0x9005fffb,
    0xff90dfff,0x37ffe4df,0xf937ffe4,0xfff90dff,0x6ffffc4d,0x40accccc,
    0xfc86fffc,0xfffb87ff,0x0ffff986,0x05fffff7,0x3f220000,0x807fffff,
    0x0fec000e,0x7fffffdc,0xf74fffff,0xffffffff,0x3ffee9ff,0xffffffff,
    0xfff99f64,0xa87e4000,0x001fffff,0x017ffff6,0x321bfff6,0x7fd47fff,
    0x2ffff87f,0xf87fffa8,0x7fe42fff,0x9fffd07f,0x2ff66000,0x2007fff9,
    0x5c8ffffc,0x541ffff7,0xfff87fff,0x7fffa82f,0xa82ffff8,0xfff87fff,
    0x7fffa82f,0x202ffff8,0x806ffff9,0x907ffff8,0x019dffff,0xfa83fff5,
    0xffb007ff,0xffff90df,0x6437ffec,0x3ff67fff,0x7fffc86f,0x3fffffe2,
    0x22ffffff,0xfc86fffd,0xfffb87ff,0x2ffff986,0x07fffff5,0x26019800,
    0x01fffffd,0x27d4002c,0x8027ffec,0xb004fffd,0x5c009fff,0x00fffa1f,
    0x7ffccdd0,0x3f6001ff,0xfd804fff,0xfffc86ff,0x43fffd47,0xfa82ffff,
    0xffff87ff,0x83fffe42,0x8004fffe,0xfff11ffc,0x3fee003f,0x3fee6bff,
    0x3fffd47f,0x5417fffc,0xfff87fff,0x7fffa82f,0xa82ffff8,0xfff87fff,
    0x3ffe602f,0xfff8806f,0x00fec06f,0xfb0ffff2,0x2ed88bff,0x321bfff6,
    0x3ff67fff,0x7fffc86f,0x321bfff6,0x7fec7fff,0xffffffff,0xdfff91ff,
    0x70bfff90,0xff30dfff,0x7fff45ff,0x2540004f,0x27fffd40,0x37c40000,
    0x802fffe4,0x9005fffc,0x4400bfff,0x03ffe63f,0xe87f1162,0x2002ffff,
    0x801fffff,0xfc86fffb,0x7ffd46ff,0x82ffff87,0xff87fffa,0x7ffdc2ff,
    0x4fffe80f,0x8bffa200,0x003ffff8,0x41dffff5,0x7d45fffb,0xffff87ff,
    0x87fffa82,0xfa82ffff,0xffff87ff,0x87fffa82,0x2602ffff,0x8806ffff,
    0x3203ffff,0xfffd804f,0x22ffffc4,0x3fee7ffb,0x6fffc86f,0x321bffee,
    0x3fee6fff,0x6fffc86f,0xffffffc8,0xf73fffff,0xfffb0dff,0x0dfff709,
    0x5c3ffff1,0x0006ffff,0xffb803d4,0xd000004f,0x7fffb81f,0x0ffff700,
    0x01fffee0,0xffe98db0,0x5c1db98a,0x7fffd40f,0xffff3004,0x3ffea00b,
    0x44fffd87,0xff87fffa,0xfffa82ff,0x42ffff87,0xe81ffffa,0x32004fff,
    0xfffe87ff,0xfff98406,0x27ffdc1f,0x3e1fffea,0xffa82fff,0x2ffff87f,
    0xf87fffa8,0xffa82fff,0x2ffff87f,0x1bfffe60,0x3fe21991,0x0ffe207f,
    0x89bfffe0,0x7dc6ffff,0xffff51ff,0x549fffb0,0xffd87fff,0x1fffea4f,
    0xc893fff6,0x99999adf,0xff33ffeb,0x5fffb0df,0x20dfff70,0x7f447fff,
    0x4c001fff,0x3e005f51,0x072603ff,0xf50fee00,0xa8405fff,0x4202ffff,
    0x202ffffa,0x65427c40,0x3f982cdd,0x01ffffd0,0x03ffff70,0x6c3fff40,
    0x7fcc0fff,0x3ffe60ff,0xffff982f,0x0bfffe60,0xf10ffffe,0x22009fff,
    0xffb87fff,0x6c3b03ff,0x7fe40fff,0x7fffcc2f,0x0bfffe60,0x983fffe6,
    0xf982ffff,0x3fe60fff,0xfff982ff,0x3fffe60f,0x3fffe602,0xf8b7fe47,
    0x3fe603ff,0x7fffc406,0x07ffff47,0xffe8fff1,0x40fffd87,0xffd87ffe,
    0x43fff40f,0x3ee0fffd,0x21ff800f,0xffe87fff,0x6fffb80f,0x1bff29b3,
    0x01bfffe6,0x1ff52fa8,0x201fff00,0x4003fffb,0xffff86f8,0x3fe2c80f,
    0x22c80fff,0xc80fffff,0x8004fa82,0x3fe605f9,0x7fcc03ff,0x7d4003ff,
    0x27ffc1ff,0x897fffc4,0x883fffff,0xff12ffff,0xff707fff,0x7ffec1ff,
    0xfff7005f,0xffd7119f,0x36617fff,0x217ffcc3,0xff884ffe,0xffff12ff,
    0xffff107f,0x3ffffe25,0x2ffff883,0x07fffff1,0x225ffff1,0x203fffff,
    0x6c7ffffa,0xeff88fff,0x027ff400,0xa8fffff1,0x7f42ffff,0x20fffd43,
    0xffa84fff,0x427ffc1f,0x7fc1fffa,0x017fe44f,0xfff31bee,0x902fff81,
    0x3ff6dfff,0xf502ffa8,0xf700bfff,0x0077fd47,0x7f407ff7,0xfe8006ff,
    0x7ffffe40,0x7e45c98c,0xc98cffff,0x7ffffe45,0x2e05c98c,0xfb8801ef,
    0x7ff4400d,0x3fffa00f,0xbff70002,0xf902ffdc,0xff7fdfff,0x3ff20bff,
    0xfffbfeff,0xdfffb05f,0xffffd9d9,0xfff88017,0xfa9effff,0x5fffffff,
    0x50effde8,0x7fe40bff,0xfffbfeff,0xffff905f,0xbffff7fd,0x3bffff20,
    0x05ffffbf,0x7fdffff9,0x640bffff,0x2a1fffff,0x0efaafff,0xcefffa80,
    0x84fffd82,0xb9cffffb,0x4bff704f,0x3ee05ffb,0x817fee5f,0x3fee5ffb,
    0x9bffe885,0x04fcb989,0x7fdc9ff5,0x5bfffa03,0x04fb8ffb,0x5fffff44,
    0x83dd9511,0xa82ffffa,0x7fec04ff,0x3fc8006f,0xffffffd8,0xfffd80ef,
    0xd80effff,0xefffffff,0x677f4c00,0x7ffd730a,0x1fffc800,0x00f7fe4c,
    0x37bfea00,0xffd803ff,0xfffff2ff,0x3ffff60b,0x0bfffff2,0x753ffff2,
    0x800aceff,0x42effffb,0x3effffe9,0xbffb14c8,0xffb009df,0x3fffe5ff,
    0xffffb05f,0x17ffffe5,0xf97fffec,0xfb05ffff,0x3ffe5fff,0x3fb225ff,
    0x4dffffff,0x01bffff9,0x27ffed40,0x88067e44,0x01deffec,0x7fef7fd4,
    0xdeffa803,0xffa803ff,0x4c03ffde,0xacdffeec,0x6f7ed401,0x3ffa03df,
    0x3bfb26ff,0x3ff6a003,0x0cefffff,0xffcaafa8,0x801effdd,0x8002fff9,
    0xfff905f9,0x7e4019df,0x200cefff,0x0ceffffc,0x3fff6a00,0x000bffff,
    0xfdffdb50,0x00017bff,0x00055440,0x100006a2,0x53000035,0x20000541,
    0x5544009a,0x2a620200,0x00d44000,0x0006a200,0x80003510,0x000001a8,
    0x80003510,0x00000098,0x00aa8800,0x000aa880,0x0000aa88,0x01530000,
    0x00004000,0x00355531,0x15555031,0x00015000,0x02a60154,0x80015300,
    0x440000a9,0x0001aaa9,0x000aa980,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01cc8800,0x00000000,0x2e000000,0x10000ccc,0x4c401333,
    0x00000199,0x64c2c980,0x205ed402,0x0131000c,0x337b72a0,0x220cb801,
    0x593000cb,0x66664000,0x764c02cc,0x6d4000bd,0x64c000be,0x20130002,
    0xdfda8800,0x2ccc9803,0x00133330,0x00066662,0xcccccc98,0x65c3cccc,
    0xcccccccc,0x0000002c,0x5ed40000,0x664c06c0,0xcccccccc,0x0bb881cc,
    0x71002ee2,0x0065c419,0x40133310,0x004fccfa,0xffdb7510,0x002b85bd,
    0x6f7ff64c,0xff98000b,0xf88004ff,0x3a201fff,0x20002fff,0x00cffec9,
    0x7fc4fffe,0xfffe882f,0x4407bbef,0x02efffec,0xf937dfd3,0x3fee01bf,
    0x201bff26,0x0003fff9,0x07ffff93,0x3f273fa2,0xaffb805f,0xf5004fe9,
    0x36a005ff,0x7d31efff,0x7fffec40,0x3fa00eff,0xffb80fff,0xfff9005f,
    0xf880fc49,0x3fffea21,0xf7101cff,0x417fffff,0xccccccc9,0x6f5c4ccc,
    0x666664c1,0x2033b223,0xbeffffe8,0xffff907c,0xffffffff,0x6cbffb01,
    0x7fe405ff,0x401bff26,0x201ffff8,0x2001e62d,0xa9bdfffb,0x2fcdffdb,
    0x9dffd500,0x019fffb7,0x7fffff40,0x7ffd4000,0x4ffe8801,0x31df3000,
    0xff303fff,0x13ffeabf,0x3fffffea,0x3fa204ff,0x983fff74,0x7fec1fff,
    0x21fffd05,0x6400fffe,0x40006fff,0xe883ffff,0x027ff47f,0x7fcc9ff7,
    0x5fffd802,0x3a3ffd80,0x3a03ffdf,0xffffffff,0xfffff505,0x03fff207,
    0x3e17ffe0,0x0fd531ae,0x01ffffee,0x82ffffec,0xffffffa8,0x7fffd41c,
    0x37fffd42,0xf50ffffb,0x9fffffff,0x3fffffa0,0x06ffffff,0x7ffcffff,
    0x87fff407,0xa800fffe,0x3e202fff,0xe9801740,0x36601fff,0x6c402fff,
    0xf7300acf,0xbff5003d,0xd8009ff7,0x3e2002ff,0xff98007f,0x741bffa4,
    0x07ffe2ff,0x3fff26f2,0xfff101ef,0x3a2fffc4,0xfffa86ff,0x2e6ffb82,
    0xff9805ff,0xddd3004f,0xddffffdd,0x2e2ffec3,0xff883fff,0x007ffc1f,
    0x900fffee,0xfff98bff,0x737d903f,0x01ffffff,0x1ffd5ffd,0x300fff20,
    0x3fee0bff,0x504fffff,0x200dffff,0x404ffffc,0xb07ffffb,0xfb09ffff,
    0x3ffe2dff,0x64dec2ff,0xf01effff,0xffffffff,0x3f207fff,0x013ff25f,
    0x7fdcdff7,0x05ffb005,0x007c45d0,0x00ffffd4,0x2202ffd8,0x362001fe,
    0x31ff402f,0x3e2001ff,0xff98002f,0x27fec002,0x2a03fffd,0x30700a80,
    0x5ffc8057,0xf987ffec,0xfff887ff,0x05305304,0x800675c0,0xffccccc8,
    0xff31ceff,0xffff989f,0x207ffe40,0xeb806fff,0x3ffee00b,0x83ffff82,
    0xfffe80e9,0xb077dc1f,0x02fe409f,0xffb017f2,0x7d40dfff,0xf9006fff,
    0xfa809fff,0xff706fff,0xfff90fff,0x27ffff4d,0x980b260e,0xcccdefff,
    0x2600ffdc,0x53001981,0x7fc00530,0xf79f5002,0xffff1009,0x02fd8007,
    0x2aaaa3f6,0xfc8099aa,0xd305f700,0x00bea00b,0x2004f980,0x3f65fff9,
    0x0000007f,0x89fff100,0x3fea6ffa,0x4fff82ff,0x00000000,0x0ffffa00,
    0xf889fff7,0x7ff42fff,0x07fff40f,0xffff8000,0x83ffff80,0xffff5009,
    0xfc82fc41,0xf803f600,0x7dfd7006,0x6ffffa80,0x9ffff900,0x6ffffa80,
    0x0ffdf910,0x74cdfff9,0x00005fef,0x6fc803f7,0x00000000,0x8007f500,
    0xfb001dc8,0x88001fff,0x2a3f702f,0xffdbeffe,0x0a83740d,0x04400a20,
    0x00044000,0x6ccdfff5,0x0011002e,0xff500310,0xf985109f,0x7fc46fff,
    0x0018801f,0x30002620,0x6c3fffe8,0xfff84fff,0x43fffc4f,0x8801fffe,
    0x1fffe200,0x001ffffc,0x0a62fffc,0x00980350,0xa8000006,0x9006ffff,
    0xa809ffff,0xd006ffff,0x0dfff90d,0x011013e6,0x7ff003b0,0x88000000,
    0x00088000,0x3ee00310,0x90005fff,0xff913a05,0x3077fd4b,0x0031003f,
    0x10000c40,0xfffc8003,0xefd88007,0x7ecc03ff,0xf903dfff,0x7fc00bff,
    0xff50dfff,0x7ffecc0d,0xec8803df,0x2a02efff,0xffd5fffd,0x5fffe87f,
    0x265fffe8,0xffe87fff,0xfdfb103f,0xffff507f,0x00ffffe0,0x001dff30,
    0x00000000,0xffff5000,0x3fff200d,0x7ffd404f,0x84f9806f,0xf906fffc,
    0xdfffb103,0x26002039,0x7776c0ff,0x3bbbaa6e,0x3ff6202e,0x40001cef,
    0xfffd9808,0x3ffa03df,0x310004ff,0xffa85f50,0xf0bffe25,0x3fff660b,
    0xfd9803df,0x9803dfff,0x03dffffd,0x00ffffc8,0x7c53fe60,0x0cfc885f,
    0xfb09fff5,0x7e400dff,0xfe9effff,0x0cfc880d,0x4409fff5,0x3fff74fe,
    0xb59fff30,0xe87ffffd,0xffd86fff,0x1fffea7f,0x2613fffa,0x8bff14ff,
    0xff06fffc,0xfc8007ff,0xdddb300e,0x3bb660bd,0x776cc5ee,0xddb305ee,
    0xffa80bdd,0xff9006ff,0xffa809ff,0x0fb806ff,0xd06fffc8,0x21dff30b,
    0x90002ffc,0x3fff60df,0x17fffd47,0xf90eff98,0xdddd705f,0x4bff663d,
    0xff50cfc8,0xffff109f,0xd800005f,0x22ffd40f,0x07ec2fff,0x3ea19f91,
    0x9f9104ff,0x413ffea1,0xff50cfc8,0xfffb809f,0xfff1001f,0x7e42ffc8,
    0x17fff42f,0x001ffff2,0xfffffffd,0x217fe407,0xf882fffe,0x17ffe27f,
    0xfd8bfff1,0x7fec3fff,0x7fffd87f,0x3a1fffee,0x7fc45fff,0xfb17fe47,
    0x3ffe0dff,0x3fee003f,0x3ffa203f,0x3ffa206f,0xfffe886f,0x3fffa206,
    0x7fffd406,0xffff9006,0xffffa809,0xc80fdc06,0x6ec46fff,0x21fffcc0,
    0xf8001fff,0xffff703f,0x82ffff88,0x7fc3fff9,0xffffb81f,0x96ffff99,
    0xfffe85ff,0x7ffffcc2,0x37400001,0xff52ffd4,0x321fb81f,0x7fff42ff,
    0x742ffc82,0xffc82fff,0x217fff42,0xffffcaa8,0x3f202aac,0x237fd44f,
    0x7fec6fff,0x7fffdc4f,0x3ff62001,0xf00dffff,0xfffd8dff,0x6c5ffc84,
    0x3ffa0fff,0x7fffc41f,0x17fffdc3,0xfc9bfffa,0xfffe87ff,0x2a27fe47,
    0x3fff26ff,0x07ffff07,0xfffffc88,0x3fff604f,0x37ffec06,0x406fffd8,
    0x5406fffd,0x9006ffff,0xa809ffff,0xb106ffff,0x7ffe401b,0x7ec13a66,
    0x7ffec0ff,0x07fe6000,0x7c3fffd4,0xffd82fff,0x07ffec0f,0x3abfffe6,
    0xfff5fffe,0x44fffd8d,0x00fffffb,0x5427c000,0x5ffd55ff,0x7ffc5f10,
    0x427ffec6,0x7fec6fff,0x46fff84f,0x7d44fffd,0xffffffff,0x7fff307f,
    0xf11fff98,0x7fec1fff,0x7fffd45f,0xfffe8006,0x7c40efff,0x3ff60fff,
    0x27ffc45f,0xff89bfea,0xfffe80ff,0x0dfffe83,0xfd97fffa,0xfffe87ff,
    0x30fffe67,0x3fee3fff,0x7ffff07f,0xffffd700,0x3ff207ff,0x7ffe406f,
    0x0dfff906,0x406fffc8,0x006ffffa,0x809ffff9,0x106ffffa,0xdfff9003,
    0xfff9804c,0x02fffc87,0xfa81bf20,0xffff87ff,0x43fffcc2,0x7c42fffc,
    0xdd53efff,0x41ffff13,0x7e45fffd,0x0000ffff,0x7fd41fc0,0x200effde,
    0x1ffff12f,0x222fffec,0x3f60ffff,0x7ffc45ff,0x17fff60f,0xfffffff5,
    0x3ea0ffff,0x7ffcc3ff,0xfd0fbaa2,0xfffd0bff,0xf905307f,0xdffffffb,
    0xfe87dd50,0x7ffd45ff,0x7fcc2884,0x7fffd07f,0x9fffff30,0x6c9ffffd,
    0xffe87fff,0x0fffea6f,0x3e25fff3,0xfff82fff,0x3fea003f,0xff906fff,
    0xfffc80df,0x0dfff906,0x406fffc8,0x006ffffa,0x809ffff9,0x006ffffa,
    0x037ffe40,0xc86fffb8,0x3e004fff,0x3ffea03f,0x42ffff87,0xfc86fffb,
    0x7ffc44ff,0x1f75406f,0xf717fffa,0x0003ffff,0xffa85e80,0x301fff8d,
    0x21f7543f,0xea85fffe,0x2ffff43e,0x3fa1f754,0x7fec05ff,0xfffb805f,
    0xffffffff,0x7fffdc04,0xffffa85f,0x4c5b89cf,0xfffd16fe,0xff7005ff,
    0xffc8bfff,0xfff7005f,0x0ffffa0f,0x677ffec4,0x3f21ffff,0xfffe87ff,
    0x3ffffee5,0x24ffffff,0x7dc5fffd,0x44003fff,0xc80ffffe,0x7e406fff,
    0xfff906ff,0x6fffc80d,0x37fffd40,0x4ffffc80,0x37fffd40,0x3fff2000,
    0xdfff9006,0x00dfff90,0xfa807fe6,0xffff87ff,0x437ffe42,0x7c46fffc,
    0xb8004fff,0x4c5fffff,0x202fffff,0xffffffc9,0x2a1f64ef,0x0dff75ff,
    0xff7003f2,0x2e00bfff,0x005fffff,0x0bfffff7,0x804fffa8,0x0004fffd,
    0xfffb5ff7,0x3ffff20b,0x7fc0efff,0x3fffa23f,0x2bfee04f,0x7ec5fffd,
    0xff9006ff,0x3fffa0df,0xff909803,0x7fffa8df,0x364fffe8,0x22004fff,
    0xedbefffe,0x8003ffff,0xc82ffff9,0x7e406fff,0xfff906ff,0x6fffc80d,
    0x37fffd40,0x4ffffc80,0x37fffd40,0x3fff2000,0xdfffb006,0x00ffff90,
    0xff501bf2,0x5ffff0ff,0xc86fffd8,0x7fc47fff,0x3ee003ff,0x85fffdaf,
    0x803fffff,0x85fffff8,0x2ffd41fb,0x0dd05fff,0x7fed7fdc,0x57fdc05f,
    0x5c05fffd,0x5fffdaff,0x01fffc40,0x002fffe4,0x7ec7bfa2,0x3fea05ff,
    0x7d40dfff,0x7ffc42ff,0x1efe886f,0xfc8bfffb,0xff9007ff,0x3fffa0ff,
    0x7fffc003,0x43fffcc2,0x3f23fffe,0x6c4005ff,0xfff4ffff,0x3f60007f,
    0xfffc80ff,0x37ffe406,0x406fffc8,0x5406fffc,0x5cc6ffff,0x1ffffe40,
    0x1bfffea0,0x7fe41880,0xfffb006f,0x0ffff90d,0xf5013fa0,0xffff0fff,
    0x86fffd85,0x7c47fffc,0xe8802fff,0xbfffb1ef,0x09ffffb0,0x0fffffa0,
    0xdff70fe2,0xf1077fd4,0x23dfd107,0xd105fffd,0x3fff63df,0x23dfd105,
    0xe805fffd,0xffb802ff,0x3fe6007f,0x17fff61f,0xfc80be60,0xfffd81ff,
    0xb0fffcc7,0xffb8bfff,0xffb801ff,0x7fffd07f,0x2fffd400,0x743fffc4,
    0x3fee1fff,0x3510007f,0x01ffffc1,0x907ffb80,0xfc80dfff,0xfff906ff,
    0x6fffc80d,0x37fffd40,0x7e41fff7,0x7d403fff,0x32006fff,0x037ffe42,
    0xc86fffb8,0xf9806fff,0x7ffd401f,0x42ffff87,0xfc86fffb,0x7ffc46ff,
    0x7ffcc01f,0x217fff61,0x005ffffb,0x205ffffb,0x3fffa26d,0x5c37ffa2,
    0x0fffcc0f,0xf30bfffb,0x7ffec3ff,0x21fff985,0xc805fffd,0x2a3100ff,
    0x4202ffff,0x7ec7fff8,0xdfc805ff,0x03fffb00,0x7c4dfff5,0x7ffec7ff,
    0x37fffd45,0x07fffd40,0x001ffff4,0x3601dffb,0x7ff40fff,0x3fffea0f,
    0xff000202,0x260007ff,0xfff905ff,0x6fffc80d,0x80dfff90,0x5406fffc,
    0x3fa6ffff,0x3fff23ff,0x7ffd402f,0x907e006f,0x2a00dfff,0xffd87fff,
    0x06fc804f,0xf87fffa8,0x7fd42fff,0x4fffd87f,0x00ffffc4,0xfd8ffff1,
    0xfffb05ff,0xfffb001f,0x653e205f,0x932ccccc,0x887f3599,0x7fec7fff,
    0x3fffc45f,0xf117fff6,0xfffd8fff,0xfefeb885,0x7fc7d107,0x52c80fff,
    0x7ec1ffff,0x7ec405ff,0x5fff904f,0x549fff30,0x3f60ffff,0xfffe85ff,
    0xff12983f,0xfff887ff,0xdffb003f,0x0fffcc03,0x3fe0fffe,0x02c80fff,
    0x41ffffc0,0x3fee02db,0x0dfff900,0x906fffc8,0xfc80dfff,0x7fd406ff,
    0x3fffe6ff,0x03ffff21,0x0dffff50,0xff907ea0,0x7ff400df,0x00fffd87,
    0xf9804fe8,0x3fe60fff,0x7ffe82ff,0x440fffd8,0x2a01ffff,0x3f60ffff,
    0xffd105ff,0xfffb009f,0x027d405f,0x7d42fcc0,0x3ff60fff,0x7fffd45f,
    0x517fff60,0x7ec1ffff,0xfdfe85ff,0xfeeeffff,0x3fff22ff,0x25c98cff,
    0xfceffffa,0x8036ffff,0xfff105ff,0x41dff909,0xfceffffa,0x5436ffff,
    0x89cfffff,0x7fffe45b,0x13ffff60,0x0037ff60,0xff98bff6,0xfffff907,
    0x000b9319,0xf987ffff,0x2fe80cff,0x01bfff20,0x320dfff9,0x7e406fff,
    0x7fd406ff,0x17ff27ff,0x500bfffb,0x100dffff,0xfffc81fd,0x3ffea006,
    0x4027ffc1,0xf8801ff9,0xfff12fff,0xfff507ff,0x884fff83,0x2a01ffff,
    0xffceffff,0xd3036fff,0xfd805fff,0x7dc02fff,0xdfb8801e,0xeffffa80,
    0x36fffffc,0x33bfffea,0x236fffff,0xfceffffa,0x2636ffff,0x3ffffe0f,
    0xfd86ffff,0x0effffff,0x3fffffe2,0x1effffaa,0xa80ffe60,0x3fa21fff,
    0x7fffc41f,0xffffaaff,0x7fffe41e,0xfd80efff,0xffceceff,0xea80bfff,
    0x7ec003ef,0xd807ff25,0xefffffff,0xffff8000,0x7ffffc44,0x402fd98c,
    0x6407fffc,0xff907fff,0xfffc80ff,0x7fffe407,0x4c37fa1f,0xf7005fff,
    0xe880ffff,0x7fffc87f,0x72ffdc00,0x3f200bff,0x3fff2006,0xffffbfef,
    0x5cbff705,0xfff305ff,0x7ffc403f,0xfffaafff,0x3fee01ef,0x7f440adf,
    0xe9801fff,0xd730acef,0x7fc407ff,0xffaaffff,0xfff11eff,0xfff55fff,
    0x3ffe23df,0xfffaafff,0x2e1f11ef,0xffffffef,0xffff902f,0xffd5019d,
    0x0f7fec19,0x803eeea8,0xffddffd9,0x9ffd500c,0x80f7fec1,0x0dfffffa,
    0x53ffff60,0x30acdffe,0x0003bff9,0x077f7fec,0x77fffe40,0xff88000c,
    0xfffb85ff,0x800cffff,0x200ffffe,0xe80ffffe,0x3a00ffff,0x64c0ffff,
    0xfffffffe,0xfeffc8bd,0x3f6004ef,0x999cffff,0x86fffcb9,0x000ffffe,
    0x7fef7fd4,0x013fa003,0x25ffffb0,0x505fffff,0x07ffbdff,0x01ffffd4,
    0xd833ffaa,0xd8801eff,0xfeeefffe,0xa8001cff,0xfffffffd,0xffea800b,
    0x07bff60c,0x6c19ffd5,0x7f541eff,0x3bff60cf,0x8afffe41,0x802ffffe,
    0x801000a9,0x22000000,0x02001aa9,0x06a20010,0x05415300,0x00001350,
    0x98000a98,0xfb10000a,0x03ffffff,0x20013553,0xffffffe9,0x7ffff4c3,
    0xfffd33ff,0xfe987fff,0x003fffff,0x00aa9880,0xffffd930,0xffffffff,
    0x74cbffff,0x03ffffff,0x000aa880,0x88000aa8,0xa880001a,0x7ffe400a,
    0x0400dfff,0xa9800020,0x00009aaa,0x03555310,0x80100200,0x00200400,
    0x4c054401,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32e20000,
    0xccc880cd,0x04cccccc,0x0ae00180,0x00000498,0xb9510000,0x999999dd,
    0x99999999,0x01100039,0x004cccc0,0x002f7ae6,0x6d406f98,0x027e4003,
    0xf3000f6a,0x5c01910d,0x2b803262,0x2e008800,0x0deeeeee,0x4c17bbb6,
    0xcccccccc,0x102604cc,0x444eeeb8,0xca80eeee,0x00cccccc,0x33333326,
    0x2a1fe202,0x3bbbb24f,0xddddd50e,0x817b5005,0xcccc880c,0x43cccccc,
    0x3cccccca,0x99999997,0x332e0599,0x1c80cccc,0x00000ea0,0xfb500000,
    0x7fd4039f,0x4fffffff,0x23bbbbb2,0x00cfffd8,0x27d427d4,0x0005db50,
    0x3ffea000,0xffffecdf,0xffeeeeff,0x3bae2fff,0xffb31eee,0xbfff7005,
    0xfffff980,0x207fa004,0x003fffc9,0x7e4c1be6,0x7f4003ff,0xfb03fb01,
    0x7440ee83,0x3bbb660f,0x5bffd74e,0x1bffff20,0x74c02fdc,0x01dfffff,
    0x7b9dfff9,0x4c6fffc8,0x9880ffff,0x06fffffe,0x0577fdcc,0x7f90bf50,
    0x20ffffc8,0x203ffffa,0xbdffffe8,0x3fea607b,0x881bffff,0x109effc9,
    0x7ffffff9,0x7fecc403,0x903f903f,0x037ee05f,0x2f7f6e60,0xffb10000,
    0x3fff6009,0x41ffffff,0xfeaffffc,0xe804ffff,0x403ff25f,0x004ffff8,
    0x7ffdc000,0xfffffb84,0x42ffe982,0xf99ffffb,0xfe806fff,0x9974406f,
    0xfb800fff,0x7ffb3304,0x980ff400,0x2003ffd9,0x3fe604fb,0xf509fd12,
    0x20ffa63f,0xfceffff8,0xd03ffffd,0x3ea0ffff,0xffff3000,0x23bf601f,
    0x7e43ffb8,0x7ffcc6ff,0x7ffec00f,0x1fd805ff,0xfd83fc80,0x07fffdc1,
    0x407ffff1,0xfffffffa,0xfffc804f,0x01fb006f,0x01fffff2,0x2200ef98,
    0x0bfb12ff,0xb017ffea,0x0dff91ff,0x07fff300,0x3ffffe20,0xfa86ffff,
    0xff52ffff,0xff9803ff,0x2e03ffdd,0x0007ffff,0x17fff600,0x02fffff8,
    0xfff30bf6,0xbfffdd5f,0x00eff880,0x9806fe80,0x7fe400ef,0x009f9003,
    0x26007ff9,0x7fec00ef,0xfd00fffc,0x6c0dff9f,0xf30effff,0xff503fff,
    0x00b703ff,0x07ffffcc,0x3e627fc4,0x237ffe44,0x400ffff9,0x3ffffffa,
    0xfd803dc0,0x7d40ff82,0x7ffc0fff,0x36b3203f,0x801fffff,0x006ffffb,
    0x7ffc40f9,0x5f3002ff,0xfd9ff900,0x3fff203f,0x5d7ff607,0x26001fff,
    0x2e004fff,0xcccccccf,0xffff982c,0x017fffc2,0x037fffec,0x07ffffe6,
    0x3ff20000,0x3ffa01ff,0x0be202ff,0x27dffff1,0x7dc01eea,0x6fa8000e,
    0x9003fd00,0xdf3007ff,0x00fff200,0x7cc00ff4,0x2a03ffff,0x202fffff,
    0x640ffffc,0xffd06fff,0x4003d0bf,0x707ffff8,0x44b83fff,0x7cc6fffc,
    0x7d400fff,0x01ffffff,0x07fc01aa,0x3fea1be2,0x7fffc0ff,0x0b2a0e03,
    0x5ffffb80,0xfc80d700,0xd9005fff,0x3fffe200,0x3ffea04f,0x2bfff504,
    0x22004fe8,0x74005fff,0xfff30004,0x3ffff81f,0x2ffff980,0x2feefb80,
    0x7fc40000,0x7ff406ff,0x5b04c2ff,0x06ffff88,0x8001dd00,0x405fffd8,
    0xff9004fb,0x003fd007,0x2e00fff2,0x3ff2004f,0xfffe806f,0x37ffe405,
    0x407fffcc,0x260ffffb,0x7ffc4006,0xffff907f,0x7ffe4387,0x07fffcc6,
    0x3ffef6a0,0x0d300fff,0x9f50ff10,0x81ffff50,0x0003ffff,0xffffb800,
    0x980d7005,0x801fffff,0x3fee002f,0x5ed400ff,0x0bfff700,0x2fffd800,
    0x000be200,0x207fffcc,0x5003fffe,0xf9000555,0xfd800001,0x7f403fff,
    0x50642fff,0x4ffff885,0x00013000,0x40ffff66,0xf9000ef9,0x04fc807f,
    0x300fff20,0x544001df,0xaa8801aa,0x7ffe400a,0x1ffff886,0x24ffff88,
    0x7fc4003c,0xfff307ff,0x3f201bff,0x7ffcc6ff,0xfcad400f,0xd306ffff,
    0xf90bf500,0x1ffff507,0x003ffff8,0xfffb8000,0x00d7005f,0x809ffffb,
    0x5544006a,0xf900001a,0x4c000bff,0x5c007fff,0x01cdefff,0x40ffff98,
    0x0003fffe,0x006e8003,0xfff30044,0xffe803ff,0x200742ff,0x003ffff8,
    0xf7000300,0x007fa0bf,0x2603ffc8,0x7fe4006f,0x000ff403,0x01100000,
    0xf10dfff9,0x3f207fff,0x001f0fff,0x07ffff88,0x3bfffffa,0x46fffc81,
    0x400ffff9,0x3ffffa5a,0xfa86984f,0xffffffff,0x2a4fffff,0x7fc0ffff,
    0x7776c3ff,0x3bbbaa6e,0x3ffee02e,0x00d7005f,0x01fffff5,0x00000174,
    0x5fffd800,0x3fff6000,0x202bccac,0xfffffffe,0x3ffe600d,0x1ffff40f,
    0x23bbbbb2,0x00cfffd8,0xeed88fcc,0xdffd54ee,0xfffff505,0xffffe801,
    0xf1003e62,0xec805fff,0xfd88eeee,0xf1000cff,0x009f707f,0x3a03ffc8,
    0x7fe4001f,0x8013ee03,0x85eeeed9,0x31eeeeeb,0xffc85ffb,0x9ffff06f,
    0x2ffffe60,0xff88005a,0x3fe607ff,0x641fffff,0x7fcc6fff,0x12d400ff,
    0x87fffffd,0xffffa869,0xffffffff,0x3ffea4ff,0x1ffffc0f,0x2a3fffec,
    0x2e02ffff,0x7005ffff,0x3fffa00d,0x700f303f,0xdddddddd,0x3b669ddd,
    0xffb05eee,0x3e2000bf,0xffffffff,0x7ffcc0df,0x3fffffff,0x81ffff30,
    0xfc83fffe,0xfffeafff,0x0fe604ff,0xf7bffff1,0xb83fffff,0x400fffff,
    0xd12ffffe,0xfff8801f,0xfffc801f,0xfffffeaf,0x7f41c984,0x00077cc0,
    0x7e413ff2,0x4ffc8004,0x8001df30,0x706fffe8,0xff33ffff,0xfffc8dff,
    0x07ffff06,0x16f7ffec,0x7fffc400,0x7fff4c07,0x7ffe46ff,0x07fffcc6,
    0xfff316a0,0x034c3fff,0x1be607fc,0x207fffd4,0xfb83ffff,0x7ffc47ff,
    0x3ffee02f,0x00d7005f,0x41bfffee,0xadfc803d,0xffffe999,0x1bfffa22,
    0x002fffec,0x8bffffa8,0x646ffffa,0xffffffff,0xff982fff,0x7fff40ff,
    0xfffffa83,0x03ffff52,0x3ffa05d7,0xfffb0eff,0x7ffffd8b,0xcffffe80,
    0x4400fffc,0xa801ffff,0xf52fffff,0xffc83fff,0xfe81ecad,0x7ff44002,
    0x0037cc0d,0x406fff44,0xfb0002fe,0x3fe60dff,0xfffeeaff,0x437ffe45,
    0x202ffff8,0x007ffffa,0x0fffff10,0x3fffff60,0x31bfff20,0x4023ffff,
    0xffffa85a,0x880d30ff,0x304fa87f,0xff81ffff,0xfffa83ff,0x02ffff87,
    0x017fffee,0xff88035c,0x07cc2fff,0x7fd42e40,0xfffd85ff,0x0bfffb06,
    0x3fffee00,0x8ffffe60,0xffeccaaa,0x4c0fffff,0x7f40ffff,0xfff983ff,
    0x17fffc2f,0x3fff6014,0x1fffee0f,0x00fffffb,0xffbffffd,0xff8801ff,
    0xff9801ff,0x7fffc2ff,0x02bcba82,0x1ec409f7,0x15555553,0x32e20ff4,
    0xaaaaa981,0x8813ee0a,0xdfff903d,0x3bfffe20,0xfc83dd53,0xfff886ff,
    0x7fff400f,0xfff10004,0xf706e0ff,0x7fe45fff,0x7fffd46f,0x6416a0b1,
    0xd35fffff,0xfc85fa80,0x3ffff303,0x41ffffc4,0xff87fffa,0x3fee02ff,
    0x0d7005ff,0x2ffffe40,0x41640132,0xc80ffffe,0xffb06fff,0x3f2000bf,
    0xfffe87ff,0xfffd9806,0x7ffcc3ff,0x1ffff40f,0x207fffcc,0x8003ffff,
    0x7d45fffd,0x7ffe47ff,0xfffe807f,0x801ff72f,0x801ffff8,0x7c0ffff9,
    0x10003fff,0x3fa201df,0x227dc004,0x00fffffb,0x88077c40,0xfff904fe,
    0x3fffe20d,0xdfff9006,0x00dfff50,0x0003fff7,0x41ffffe2,0x1fffa86b,
    0x4c3ffff2,0x68cfffff,0x7fec0b50,0x4069cfff,0x01fd83fc,0x744ffffe,
    0xfa84ffff,0xffff87ff,0x3fffee02,0x400d7005,0x10fffff9,0x2e06001f,
    0xf903ffff,0x3ff60dff,0xffb0005f,0xffff90ff,0x7fffcc00,0x0ffffd45,
    0x2613fffe,0x7f40ffff,0xfd8003ff,0x7ffd45ff,0x3fffee0f,0xffffe807,
    0xf3003ee2,0xf3003fff,0xffe81fff,0x5fd0003f,0x0027fec0,0xcbe88df3,
    0x74004fff,0x13ff602f,0x8837ffe4,0x9004ffff,0xfd87ffff,0xff8801ff,
    0x3fe20006,0x07f507ff,0xfffc8fff,0xffd9feff,0x0b502fff,0x7fffff44,
    0xfeaa886d,0xbffaaaac,0x7ffe41aa,0xffffbfef,0x87fffa85,0x2e02ffff,
    0x7005ffff,0xfffd800d,0x4000b74f,0x206ffff8,0xfb06fffc,0x32000bff,
    0x7dc0ffff,0x22000fff,0x7fdc7ffe,0x3ffe62ff,0xffff985f,0x01ffff40,
    0x22fffec0,0x2a0ffffa,0x400fffff,0x7c2ffffe,0x7fffd400,0xffff9803,
    0x01ffff40,0xd9027dc0,0x7f4009ff,0xdff70541,0x9027dc00,0x3f209ffd,
    0xfff106ff,0x3ff2007f,0xffc9cfff,0x0ff2004f,0xffff8800,0x219ff507,
    0x77ec2ffa,0xff10efff,0x02d405df,0x3fffffe6,0xfffffa86,0xffffffff,
    0xffffd84f,0x8dfffff2,0xff87fffa,0x3fee02ff,0x0d7005ff,0xfffffa80,
    0x360001f8,0x3202ffff,0xffb06fff,0x3ea000bf,0x7fd40fff,0x7d4000ff,
    0x3ffff65f,0xffff9bff,0x3fe60eff,0x7fff40ff,0xfffd8003,0x07fffd45,
    0x007ffffe,0xd85ffffd,0xffff9480,0x7cc01bff,0x7ff40fff,0x7fc4003f,
    0x9ff5d700,0x2013ee00,0xf1003ff9,0x3ebae01f,0xdfff904f,0x0bfffe20,
    0x477ffe40,0x004efffe,0x5c4007cc,0x3ffffc41,0xfeffdf98,0x1557e82f,
    0x16a00660,0x3ffffea0,0xeffee986,0xeeffeeee,0xc835103e,0x3ffea01f,
    0x02ffff87,0x017fffea,0x7f4002e4,0x0006efff,0x017fffea,0x360dfff9,
    0x30005fff,0xfa83ffff,0xf88006ff,0x8001003f,0x740ffff9,0xd8003fff,
    0x7fd45fff,0x7ffe40ff,0x7fff402f,0x1620542f,0xfff30008,0x3fffe81f,
    0x9817f400,0x804ff98e,0xff7006f9,0x40bfa001,0x04ff98e9,0x220dfff9,
    0x9001ffff,0x0d44dfff,0x8804a800,0x3fe23fff,0x543107ff,0x01ff101e,
    0x802d4000,0x206ffffb,0x03fc85fa,0x5013f600,0xfff0ffff,0x7ffc405f,
    0x009b005f,0x5fffff70,0x7fff4000,0x7ffe400f,0x0bfffb06,0x17fffc00,
    0x0013ffea,0x7f4007f4,0xfff3002e,0x3fffe81f,0x5fffd800,0x207fffd4,
    0x406fffe8,0x802ffffe,0x07df904c,0x40ffff98,0x2003fffe,0x23d104fb,
    0xfe804ff9,0x005fb001,0x8f4413ee,0xff904ff9,0x3ffe20df,0xfff9001f,
    0x8571000d,0xfffb801e,0x1bfffe26,0xf981ff40,0x2a00002f,0x3fff6005,
    0x3a0ff206,0xff30001f,0x7fffa807,0x402ffff8,0xf006ffff,0xfff10007,
    0x7dc000df,0xfc803fff,0xfffb06ff,0x7fe4000b,0x17ffd44f,0x7c405bb1,
    0x0fff7005,0x03fffe60,0x0007fffd,0xfa8bfffb,0xff980fff,0x3ffe01ff,
    0x1fd402ff,0x200ffea8,0x740ffff9,0xf1003fff,0x333ba01f,0x2e03effd,
    0x05f7004f,0x7403fe20,0x3effdcce,0x106fffc8,0x2003ffff,0x8006fffc,
    0x00b32ffd,0xf997ffee,0xe9804fff,0x4ffb81ff,0x01ae0000,0x206ffe88,
    0x00ff82fd,0x80fff500,0x260ffff9,0x6c02ffff,0x5c00ffff,0xff90000f,
    0x3e20007f,0xc8906fff,0xffb06fff,0xfd8000bf,0x13fee0ff,0x701bfff9,
    0x0ffb800b,0x0ffff980,0x001ffff4,0x2a2fffec,0xf500ffff,0xff101dff,
    0x7dc07fff,0x0bfe602f,0x40ffff98,0xd003fffe,0x7fffc05f,0xf305ffff,
    0x98be600d,0xf80bfa01,0x5fffffff,0x106fffc8,0x2003ffff,0x8006fffc,
    0x003b4fff,0xfa87ffe6,0xf3000fff,0x0bff905f,0x003ec000,0xff81bfe2,
    0x00037cc0,0x44033ffe,0xff12ffff,0xf9807fff,0xf500efff,0x7fc40007,
    0x3ff60007,0x644a82ff,0xffb06fff,0xe88000bf,0x0bfd13ff,0x39fffff7,
    0xfd000bb5,0x3ffea009,0x27fffc1f,0x37ffec00,0x807fffea,0x88aeffe8,
    0xefffffda,0xffeba99a,0x01bf201f,0xf83ffff5,0xfb804fff,0x5ccccc04,
    0x3fd00cff,0x999df300,0x013ee05f,0x9ff73333,0x0ffff901,0x007fffe6,
    0x0037ffec,0x0277ffe4,0xfd87fee0,0x3f2001ff,0x04ffc80f,0x07ff1000,
    0xf106f980,0x0009f70d,0x2dffffb8,0xfeffffc8,0x805ffffb,0x9befffe8,
    0x0004fdb9,0x50004fd8,0xf30bffff,0x07fffc87,0x000dfffd,0xdfbfd910,
    0x7fffe409,0x6c003dff,0xf7000bdf,0x7fcc5fff,0xff8005ff,0x7ffe47ff,
    0xffda802f,0xffffffff,0xffffffff,0x9bf907ff,0xffffb803,0x17fffe62,
    0x8001ff10,0x9f704ff9,0xfffff300,0x1ff101ff,0x04ff9800,0x501ffffd,
    0x2007ffff,0x000ffffe,0x001f75c4,0xfffefea8,0xbdf9001d,0x0077a601,
    0xffffd500,0x835c009f,0x03fc85fa,0xdffea800,0x5ffffb02,0x017ffffe,
    0x3fffff62,0x00001dff,0x3a0001f5,0x9330ffff,0xfffe85ff,0x7ffff80f,
    0x05440000,0x00aa9880,0x36000200,0x9bffffff,0x0effffff,0xfffff880,
    0xffffc8ef,0x262003ff,0x00001999,0xfffb0004,0xfff37fff,0x3601dfff,
    0xee98002f,0x800ef983,0x5eeeeeed,0x30005fb0,0xffe987dd,0x3f23ffff,
    0x00dfffff,0xdffffff3,0x0000000b,0x0000d54c,0x00000000,0xa9814000,
    0x0000aa81,0x2a200220,0x54400001,0x00009aba,0xf7000280,0xffffffff,
    0x3fa65fff,0xf93fffff,0x09ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x333332a0,0x99932ccc,0x09999999,0x01999993,0x00333310,
    0x33332600,0x6400003c,0x4c2ccccc,0xcccccccc,0x2001aabc,0x3ccccccc,
    0x9866664c,0x803ccccc,0xccccccc9,0x001aabcc,0x300bb880,0x99999999,
    0x64400599,0xccb9d41c,0xcccccccc,0xcccccccc,0x99999931,0x40099999,
    0xccccccc9,0x40004ccc,0x882c0bda,0x4c3ccccc,0xcccccccc,0x999954cc,
    0x05999999,0xcc800008,0xcccccccc,0xcccccccc,0x66665c2c,0x0100000c,
    0x8b26164c,0xccccccc9,0x54003ccc,0x66664c7f,0x4002cccc,0xcccccccb,
    0x44080104,0xaffffffc,0x3ffff260,0xfb300aff,0x3ff6005f,0xfedb804f,
    0x7ffcc0bd,0x4c00006f,0x883ffffc,0xeffffffa,0x02dffffe,0x67ffffd4,
    0x227fd441,0x006ffffa,0xffffff51,0x5bffffdd,0x17ffe000,0xffffe988,
    0x3ee000af,0x2eacefff,0xfddffffd,0xfdddffff,0x7d447fff,0x01cfffff,
    0x7ffdcc40,0x001adfff,0xbfffff10,0x3ee20b97,0xea886fff,0x41dfffff,
    0xffffffb8,0x003c401c,0x7ffe4c40,0xeeeeffff,0x4c3ffffe,0x000ffffd,
    0xff107880,0x87ffe25f,0xffffffa8,0x7fc4001c,0xffffa887,0x3e2006ff,
    0x81dfffff,0x74c1efea,0x7fff41ef,0x3fff606f,0x02f9806f,0x809fff10,
    0xbff96fe8,0x00dfff90,0x3fffe000,0x3fffee03,0x6ffffcc5,0x3fffee00,
    0x7ec17e02,0x7dc006ff,0x7fcc5fff,0x2a000dff,0x5c00ffff,0x8005ffff,
    0xffffffff,0xfb03bfa7,0xff985fff,0x7ffffb83,0xfffb8000,0xfb80006f,
    0x3fffffff,0x037ffec0,0x01fffff7,0x037fffec,0x200007d8,0xfffffcf9,
    0x83ffd881,0x000ffffa,0xff507d80,0x13ffea9f,0x01ffffee,0x703ffec0,
    0x03ffffff,0x3ffffae0,0xbfffd01f,0x545fffe8,0x500fffff,0x803fffff,
    0x3fea007a,0x94ffe804,0xffc81fff,0xf000006f,0x7dc07fff,0xff885fff,
    0xff101fff,0x07e60bff,0x0037ffe4,0x217fffee,0x01fffff8,0x00dfff10,
    0x009ffff5,0xffeb9e98,0x203ba3ff,0x982ffffd,0xffffa83f,0xffa80006,
    0xe80006ff,0xeffffdaa,0x37ffe400,0x3fffbba2,0xeeeeeeff,0xeffffffe,
    0x00ff702e,0xfffb6400,0x0ff201ff,0xddffffdb,0xfb8005dd,0x447ffe07,
    0xffa81fff,0xfb8006ff,0x37aa07ff,0xd005ffff,0x01fffff7,0x44dffff1,
    0xfe87ffff,0x3fa03fff,0x26c04fff,0x500bfb00,0x3fa69fff,0x06fffc83,
    0xfffd0000,0x7fffd407,0xfffff105,0x3ffff201,0x3ee06b80,0x7d4006ff,
    0xff105fff,0x2a001fff,0xffa801dd,0x0cc004ff,0x05d02ee6,0x40bffff6,
    0xffffa83d,0xffa80006,0x380006ff,0xf9001ca8,0xdcc88dff,0xcccfffff,
    0xfffecccc,0xfa81ccef,0xf100007f,0x07ffffe3,0xffdb87f0,0x01ccccff,
    0x501ffea0,0xf500a881,0x9800dfff,0x2a07ffff,0x0fffff9e,0x7ffc7d40,
    0x3fff607f,0x427ffec3,0x206ffffb,0x207ffffb,0xbf1000f8,0x13fff200,
    0x037ffe40,0xfffe8000,0x3fffea03,0x3ffff205,0x5ffff305,0x7fdc07d0,
    0x7fd4006f,0x3ff205ff,0x000005ff,0xbdfffff5,0x00003799,0x7ffec03a,
    0xf507502f,0x0000dfff,0x00dffff5,0x32000000,0x3e606fff,0x7dc06fff,
    0x3ee04fff,0xb00007ff,0x0fffffc9,0xf983c826,0x70000fff,0x0000ffff,
    0x0dffff50,0x7fff7440,0x7ff5aa07,0x466c04ff,0x2207ffff,0x76440bec,
    0xffff880c,0xffff101f,0x001ae05f,0x7ffec003,0xdfff9004,0x41800088,
    0x2a03fffe,0x2605ffff,0xd00fffff,0x0f88bfff,0x01bffee0,0x0bffff50,
    0x07ffffcc,0x7fd40000,0xffedceff,0x0180004f,0x80bffff6,0x6ffffa81,
    0xfffa8000,0x0000ee6f,0x3ff20030,0x3ffe606f,0x7ffdc06f,0xffff904f,
    0x0005dddf,0x7fffc1f5,0x0530641f,0x181ffff3,0xfffffc80,0x80002eee,
    0x006ffffa,0x1fffeb76,0xffff56a8,0x7c47c40f,0x00007fff,0x4ffffd80,
    0xbfffff10,0x00000ba0,0x004fffd8,0x3f2dfff9,0x6d403dff,0xfffd5fff,
    0x7fffd407,0x7ffff405,0x1ffff704,0x3fee02dc,0x7fd4006f,0x7ff405ff,
    0x7775c4ff,0xeeeeeeee,0x4ffffa84,0x07bfffa2,0x0bddddb3,0x2ffffd80,
    0x7fffd400,0xffa80006,0x00ed8eff,0x1ddddd90,0x019fffb1,0x81b7ffe4,
    0x406ffff9,0xa84ffffb,0xeeffffee,0x17c4002e,0xd07ffffe,0xffff3001,
    0x17dffb11,0xffffdd30,0x76cc5ddd,0x7d405eee,0xf7006fff,0x40ffff51,
    0x3ffffe6a,0x3fe2b702,0x000007ff,0x07ffffa8,0x1ffffff7,0x3ae00f98,
    0xeeeeeeee,0xfffdb4ee,0xfc809dff,0xffceeeff,0xfff303ff,0xffffdb59,
    0x7fffd407,0x7fffec05,0x7ffff106,0x3fee0174,0x7fd4006f,0x7fec05ff,
    0x56fe46ff,0xffffe999,0x4ffffa82,0x437fffc4,0x006fffe8,0x017fffec,
    0x1bfffea0,0x3ffea000,0x4000deef,0xfeaffffc,0x3204ffff,0x983defff,
    0x5c06ffff,0x2e04ffff,0x40007fff,0xfffff85c,0x26003e61,0xffeaffff,
    0x3ee04fff,0x7f4407ff,0x7fd406ff,0x2f9806ff,0x540ffff5,0x1bfffee6,
    0xffff88fc,0xd0000007,0x5d07ffff,0xc87ffffd,0x4d6fe405,0x2ffffe99,
    0xdfffffdb,0xffffc809,0x0bfffa23,0xfd8bfff1,0x3ea03fff,0x7e405fff,
    0x3fa07fff,0x801f16ff,0x3226fffb,0xffff501d,0xffffc80b,0x7fd42e47,
    0xfff505ff,0xffffd09f,0x0dfffb01,0x2ffffd80,0x7fffd400,0x5001b886,
    0x007fffff,0x3ffffea0,0x03ffff52,0x40fffff2,0x406ffff9,0x204ffffb,
    0x0007fffb,0x3ffe03e6,0x01fd31ff,0x5fffff30,0x403fffea,0xd807fffb,
    0x7d406fff,0x74406fff,0x81fffea4,0x3fffe26a,0xff13541f,0x00000fff,
    0x1bfffee0,0x3fffeef3,0x17200fc6,0x217fffea,0x9004fffd,0xff70dfff,
    0x1fffe8ff,0x21ffffc4,0xfffffffb,0x323fffff,0x700fffff,0x0b73ffff,
    0x64dfff70,0x3ffee6ff,0xffffffff,0x3ffff23f,0x3fa0b20f,0xff500fff,
    0xfff909ff,0xdfff907f,0x7ffffe40,0xffffffff,0x3ffea01f,0x17ffc46f,
    0x37fffd40,0xffff3000,0x02ffff85,0x4c0dfff9,0xeeefffff,0xfffeeeee,
    0x3ffee04f,0x40fa0007,0xfedfffff,0xff9800ff,0x7fffc3ff,0x0ffff702,
    0x80dfff90,0x406ffffa,0x3fffd46d,0xfffd8d50,0xff11ec5f,0x00000fff,
    0x3ffffe20,0x7ffc5361,0x900d51ff,0x1ffffd05,0x009fffb0,0x261bfff2,
    0xff10ffff,0xfffd01ff,0xffb99887,0x09999eff,0x03ffffee,0x767fffc4,
    0x6fffb802,0x4c43fffa,0x9effffb9,0x3fee0999,0x2e060fff,0x2a03ffff,
    0xfc84ffff,0xffc84fff,0x2aaa606f,0xacffffea,0x3ea00aaa,0x7fd46fff,
    0xfffa804f,0x3e60006f,0x7ffc0fff,0xdfff903f,0x7ffffcc0,0xeccccccc,
    0xc984ffff,0xcccffffd,0x555f7001,0xfffff555,0x001fffbb,0xf81ffff3,
    0xff702fff,0xfff900ff,0xffffa80d,0xf503ea06,0x23540fff,0x10fffff9,
    0x7fffc41f,0x20772607,0xfd803db8,0x41f14fff,0x7b4ffffd,0xfff70300,
    0x3fff607f,0xdfff9004,0x25ffff10,0xfd07fff9,0x7fd407ff,0x7fe405ff,
    0x3bbba7ff,0xeffffffe,0x7dc0eeee,0x13fea6ff,0x02ffffd4,0x01fffff2,
    0x80dffff1,0xd84ffffa,0xfc82ffff,0x7ec006ff,0x54002fff,0x7c46ffff,
    0xffa801ff,0x260006ff,0x7f40ffff,0xffe883ff,0x3ffe606f,0x7ffdc06f,
    0xffdc984f,0x801cccff,0xeeeeeef8,0x11fffffe,0xff3001ff,0xfffe81ff,
    0x0ffff703,0x80dfff90,0x106ffffa,0xffff505f,0x7ff43540,0xf88993ff,
    0xff107fff,0xfffd87ff,0x7fffd403,0xfffa8b77,0x8000f8ff,0x206ffff8,
    0x9004fffd,0x3fe0dfff,0xffff74ff,0x80ffffa0,0x405ffffa,0x2a6ffffd,
    0xfffcaaaa,0x0aaaaadf,0x2237ffdc,0x3fffea00,0x7fffec05,0x7fffec06,
    0x7fffd402,0x0fffff84,0x006fffc8,0x017fffec,0x1bfffea0,0x3ee006e2,
    0x0006ffff,0xd03fffe6,0xee887fff,0x3e606fff,0x7dc06fff,0x3ee04fff,
    0x4d8007ff,0x0fffffc0,0xff3001f3,0xfffe81ff,0x0ffff703,0x80dfff90,
    0xd06ffffa,0xf733333b,0xd5033fff,0x1fffff50,0xffff883f,0xdffff707,
    0x03ffffc4,0x75fffff4,0xdfffff81,0xfffb0006,0x7ffec05f,0xdfff9004,
    0x653fffe0,0xffd06fff,0x7ffd407f,0x7fff405f,0x7ffc405f,0xfff7003f,
    0xfffa800d,0x7fff405f,0x3ffea05f,0xfffa805f,0x7fffd44f,0x0dfff903,
    0x2ffffd80,0x7fffd400,0xfc862006,0x006ffffc,0xffff9862,0x21ffff40,
    0x06fffcaa,0x01bfffe6,0x409ffff7,0x4007fffb,0x7ffc00ea,0x4007c1ff,
    0x740ffff9,0xff703fff,0xfff900ff,0xffffa80d,0xfffff886,0xffffffff,
    0xfff06a87,0xff10bbff,0x3fe60fff,0x3ffa1fff,0xfffb805f,0xfff906ff,
    0xf50005ff,0xfd80bfff,0xff9004ff,0x3fffe0df,0x20ffff92,0x2a03fffe,
    0x7405ffff,0x4403ffff,0x7003ffff,0xa800dfff,0x7405ffff,0x3a03ffff,
    0xa800ffff,0xb99dffff,0x3202ffff,0x6c006fff,0x4002ffff,0x006ffffa,
    0x7d4754b2,0x2e006fff,0x03fffe62,0x3207fffd,0x3e606fff,0x7dc06fff,
    0x3ee04fff,0x3e2007ff,0xfffff802,0x262406c1,0x7f40ffff,0xfff703ff,
    0xdfff900f,0x6ffffa80,0xffffff88,0x7fffffff,0xfff706a8,0xfff105ff,
    0x7ffe40ff,0x07ffea2f,0x3ffffe20,0xfffff303,0xfffd0001,0xfffd801f,
    0xdfff9004,0x21ffff10,0xfd07fffb,0x7fd407ff,0x3fe605ff,0x777746ff,
    0xeeffffee,0x7dc0eeee,0x7d4006ff,0x3e605fff,0x3ee06fff,0xf5003fff,
    0xffffffff,0xffc8039d,0x7fec006f,0x7d4002ff,0x3e006fff,0x7fffd411,
    0xf987a006,0x7ff40fff,0xdfff903f,0x37fffcc0,0x13fffee0,0x007fffb8,
    0x7ffc0172,0x2204c1ff,0x07fffcc6,0x5c0ffffa,0xfc807fff,0x7fd406ff,
    0xfff886ff,0xffffffff,0x106a87ff,0x220fffff,0x8407ffff,0x000c41fc,
    0x803ffff6,0x8004fffe,0x803ffffb,0x9004fffd,0xff10dfff,0x7fffd4ff,
    0x03fffe80,0x817fffea,0x541ffffd,0xfffbaaaa,0x0aaaaadf,0x0037ffdc,
    0x817fffea,0x101ffffd,0x120dffff,0x077fffea,0x37ffe400,0x3ffff600,
    0x7ffd4002,0x03f5006f,0x00dffff5,0xfff983e6,0x1ffff40f,0x206fffc8,
    0x406ffff9,0x204ffffb,0x3007fffa,0x3ffe001f,0x45c801ff,0x740ffff9,
    0xff503fff,0xfff900ff,0xffffa80d,0x33333306,0x33ffff73,0x7fec0d50,
    0xffff103f,0x001ba00f,0x027ffd40,0x0007ffee,0x20dffff1,0x027ffec4,
    0xa86fffc8,0x3fe24fff,0x7ffc43ff,0x3ffea03f,0xffff105f,0x3ffe6009,
    0xfff7003f,0xfffa800d,0xffff105f,0x7fffec09,0xffa84a82,0x320004ff,
    0x6c006fff,0x4002ffff,0x806ffffa,0xffa80fe8,0x1fd006ff,0x207fffcc,
    0xf903fffe,0x7fcc0dff,0x7fdc06ff,0x3fea04ff,0xd10371ff,0x7fffc007,
    0x227cc01f,0x740ffff9,0xff303fff,0x3206e1ff,0x7d406fff,0xa8006fff,
    0x1aa07fff,0x100fff98,0x801fffff,0x200002f9,0x7c401ffe,0xffd8006f,
    0x6c4a82ff,0xf9004fff,0xffc81fff,0x0ffffc85,0x813ffff6,0x886ffffb,
    0x2003fffe,0x004ffff9,0x800ffff9,0x886ffffb,0x2a03fffe,0xf985ffff,
    0x4ffffa83,0x3fff2000,0x7fff4007,0x7fdc003f,0x7f4407ff,0xfffff507,
    0x547fd880,0x7fc1ffff,0xfff904ff,0x7fffd40f,0x7fffe407,0x7fffec05,
    0x001fb03d,0x00fffffc,0xffa87ff7,0x7fffc1ff,0x3bfff604,0xffff903d,
    0x7ffffa80,0x7fffa800,0xbfd01ee0,0x7ffffcc0,0x0013a600,0x200bf700,
    0x7d4003fd,0x3f985fff,0x802ffff4,0x264ffffc,0xffb00eff,0xfff9d9df,
    0xffb017ff,0xf9537fff,0xc8003bff,0x800effff,0x000ffffe,0x2ffffff6,
    0x1dfffca9,0x87ffff40,0xd82ffc99,0x0006ffff,0x003ffffa,0x2fffffc4,
    0x3ffff600,0xcb9999cf,0xff906fff,0x33337fff,0xb8dfff95,0x3e62ffff,
    0xffd05fff,0x3ff201ff,0x3fa01fff,0x2200efff,0xf903effc,0x3fea005f,
    0xa99adfff,0x5c1fffec,0x3e62ffff,0x32205fff,0x3fa03eff,0x3f200fff,
    0x4001ffff,0xd107fffa,0x00fd407f,0x05fffff7,0x00000fea,0x7d400be2,
    0x7fff4000,0x5ff9330f,0x006ffff8,0x37fee7f9,0x7ec00cef,0xbffd4fff,
    0x3fb26159,0xffffffff,0x2a000ade,0xffffffed,0xffe982df,0x2603ffff,
    0xffffffec,0x00adefff,0xffffffb8,0x32ffffff,0xffffffd9,0x3a6005bf,
    0x03ffffff,0x3fffff6e,0x9301ceff,0xfffffffd,0xffffffff,0x7ff64cbf,
    0xffffffff,0x25ffffff,0xbffffffd,0xeffffff9,0xfffffd10,0x3ffb265f,
    0x54dfffff,0xffffffd9,0x300805bf,0x05dfffff,0xfffffd97,0xffffffff,
    0x7fe41fff,0xff9bffff,0x400effff,0x3fffa600,0x3b263fff,0xdfffffff,
    0xffff5003,0xfffffd98,0xfb910b05,0x9bffffff,0x000000b8,0x8005000a,
    0xfffffffb,0xd92fffff,0x07ffffff,0x054c4098,0x15054c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xcccccccb,0xcccccccc,
    0x99911ccc,0x57999999,0x6664c033,0x6665c3cc,0xc98000cc,0xcccccccc,
    0x3326004c,0xcccccccc,0x33333261,0x3332e2cc,0x300000cc,0x3f6e009b,
    0x999301bd,0x79999999,0x26001355,0xcccccccc,0x999954cc,0x05999999,
    0x30003700,0x99999999,0x00355799,0x33333322,0xcccccccc,0x666442cc,
    0x1ccccccc,0xccccccb8,0x3333262c,0xcccccccc,0x442ccccc,0xcccccccc,
    0xcccccccc,0x9999953c,0x35579999,0x66665400,0x302ccccc,0xe8999999,
    0xffffffff,0x2aaaa61f,0xaaaaaaaa,0x7ffc1aaa,0x0fffffff,0xfffffff0,
    0x7fc03fff,0xffffffff,0xfffffc80,0x4404ffff,0xddfffd00,0xddfffffd,
    0x447ffffd,0xefffffe9,0x80bffffe,0x4c6ffffa,0x000ffffe,0xfffff510,
    0xd500039f,0x19ffffff,0x3bfff930,0x7ffff4c1,0x7f540000,0x7ff4c04f,
    0x5303ffff,0x99dfffff,0x03dffffd,0xffffd510,0xffa8839f,0x000bffff,
    0x260009f0,0xeefffffa,0x04ffffff,0x6f7fffcc,0xffffcccc,0xfe9881ff,
    0x101dffff,0x15bfffd3,0xffffea88,0xffeeeeef,0xfe9884ff,0xeeeeffff,
    0x226ffffe,0xeffffffb,0x02dffffe,0x7ffffdc4,0x7e4c01df,0x7fff41df,
    0x21ffffff,0x9999999b,0x99999999,0x7fffffc3,0xff00ffff,0xffffffff,
    0x7ffffc03,0xc80fffff,0xffffffff,0xfefd884f,0x206ff43f,0x542ffffd,
    0xfffa83ff,0x3fffa25f,0x6fffd81f,0x00ffffb8,0x7fffdc00,0x7fc40007,
    0x7c01ffff,0x3ffee03f,0xfd50000f,0x7c409fff,0xffffffff,0x3ffff203,
    0x3ffffb84,0xfffff500,0x6ffffc80,0x03fea000,0xffffb800,0x77fffdc4,
    0x019ff500,0x13ffffea,0x1fffff50,0x005ff900,0x20dffff5,0x2a04ffd8,
    0x2e07ffff,0xfffd86ff,0x7fffd44f,0x7ffd400d,0xbf1004ff,0x333332e0,
    0x00e0cccc,0xcccc8700,0x00cccccc,0x99999999,0x66640199,0x0ccccccc,
    0xcccccca8,0x7fcc2ccc,0x374bff14,0x82ffffd8,0xfff983f9,0x7fffc45f,
    0x37ffe40e,0x007fffd4,0x3fffea00,0xffa80006,0x3e606fff,0x7fffd404,
    0x7f75c000,0x3604ffff,0xfffffeff,0xfff700ff,0x3fff209f,0xfffa802f,
    0x7ffe407f,0x3fa0005f,0x3ea0003f,0xffb84fff,0x07f705ff,0x06ffffe8,
    0x07ffff98,0x5000ef98,0xa80dffff,0x3ffe604f,0x4374407f,0x984ffffc,
    0x400fffff,0x00fffffd,0x00000fb8,0x0070000e,0x00000000,0xf1000000,
    0xd2ffc8ff,0x3ffff605,0xff107b02,0xfff90bff,0x6fffb87f,0x00ffffa8,
    0x7fffd400,0xffb00006,0x17a07fff,0x03fffe60,0x7ffd4100,0x215f304f,
    0x2fffffc8,0x09ffff50,0x017fffe2,0x01bfffe6,0x009ffff7,0x01fffe60,
    0x4ffffa80,0x0fffff88,0x7fe405b8,0xf9802fff,0x7cc07fff,0x3fea000d,
    0x04e806ff,0x01ffffe6,0x3ffee1ae,0xffff304f,0xffff880d,0x01fc404f,
    0x00380220,0x006201c0,0x00000880,0x7e400000,0x5b7fd44f,0x0bffff60,
    0x7ffc41d4,0xffffb85f,0x437ffdc5,0x000ffffa,0x37fffd40,0xfff88000,
    0x07640fff,0x07fffcc0,0xffff1000,0x7ec0b209,0xff504fff,0x7ffc09ff,
    0x7fcc00ff,0x7fdc06ff,0xfb0004ff,0x20005fff,0xd04ffffa,0x5905ffff,
    0x7ffffcc0,0xffff3005,0x001fdc0f,0x437fffd4,0xff3025c2,0x0d100fff,
    0x409ffff7,0x404ffffd,0x00fffffb,0x7ec401b2,0x00383ffe,0x7fecc1c0,
    0xd8803dff,0xb01cefff,0x754ddddd,0xd982eeee,0xf985eeee,0x7ffcc3ff,
    0x3fff6019,0x3e20602f,0xffa85fff,0x7ffdc6ff,0x0ffffa86,0x7ffd4000,
    0x2a00006f,0x2a5fffff,0xfff3000f,0x7c00181f,0x40104fff,0x502ffffa,
    0x7409ffff,0x4c02ffff,0x5c06ffff,0x8004ffff,0x06fffff8,0x9ffff500,
    0x07ffffe0,0xffffd00e,0x3fe6001f,0x05f907ff,0x3fffea00,0x301c4686,
    0x160fffff,0x9ffff707,0x7ffffd40,0x7ffffc00,0x3003f104,0x17fe29ff,
    0x22380007,0xfff50cfc,0x877fcc09,0xffb02ffc,0xffffa8ff,0xdfffd102,
    0x987fff50,0x7ec02fff,0x44002fff,0xfb85ffff,0x7fdc4fff,0xffffa86f,
    0x3bbbbaa0,0x3fffea05,0x7e400006,0x1f9bffff,0x3fffe600,0x04fffd88,
    0x009ffff0,0x403fffe0,0x204ffffa,0x401fffff,0x406ffff9,0x004ffffb,
    0xfffffdc8,0xfffa8001,0xffff884f,0xfffa8006,0x3e6003ff,0x77447fff,
    0x3fea0001,0x003cc6ff,0x21ffffe6,0xfffb8059,0x7fffc04f,0x7ffdc03f,
    0x804d81ff,0x7fe47ff8,0x470000e2,0x7ff42ffc,0x3fff982f,0x7dc0fffc,
    0x7ffc47ff,0x3fff602f,0xfffffb86,0x04ffffff,0x017fffec,0x17fffe20,
    0x70bffff6,0xff50dfff,0xeff881ff,0x7fffd401,0x74400006,0x03efffff,
    0x57fffcc0,0x04fffffe,0x004ffff8,0x206fff88,0x304ffffa,0x300fffff,
    0xb80dffff,0x4004ffff,0xffffd9f8,0xfffa8005,0xffffc84f,0x7ffc4003,
    0x7cc006ff,0x3ba67fff,0x7fd40000,0x003dc6ff,0x21ffffe6,0xfffb805c,
    0x7fff404f,0xfffe805f,0x4007d45f,0x7fd44ffc,0x470000e6,0x7fec6fff,
    0x0fffd84f,0x2a07ffec,0xfff87fff,0x3fff202f,0x04fffd86,0x7fffec00,
    0x7ffc4002,0x7fffcc5f,0x86fffb85,0x440ffffa,0xffa800df,0x800006ff,
    0x06fffff9,0xfffff980,0x01ffff32,0x004ffff8,0x203fffa8,0xb04ffffa,
    0x3005ffff,0xb80dffff,0x4004ffff,0xfffff35b,0xfffa8001,0xfffb314f,
    0xff90005d,0x98003fff,0xff57ffff,0xfa80003f,0x1fe66fff,0xfffff300,
    0xfb805fb8,0x7ec04fff,0xfa806fff,0x0fa1ffff,0x30fffe60,0x000e3fff,
    0x3fffe270,0x317fff60,0xff90ffff,0x7fffa85f,0x202ffff8,0xfc86fffc,
    0x6c0005ff,0x4002ffff,0x515ffff8,0x2e07ffff,0xffa86fff,0x002ec0ff,
    0x00dffff5,0x3fff2000,0x7cc003ff,0x7ffc3fff,0x7fffc02f,0x6ffc8004,
    0x27fffd40,0x5dfffd33,0x3fffe600,0xeeeeeeef,0x004ffffe,0xffffd17c,
    0xfffa8009,0xefffffff,0xfff30002,0xf30009ff,0xfff9ffff,0x540001df,
    0xfdcfffff,0x7fcc007f,0xffecbfff,0xffffb805,0x7fffec04,0xffffd007,
    0x7d401aed,0x7ffcc3ff,0x23800072,0x7ff43eea,0x37ffdc5f,0x2a27ffe4,
    0xfff87fff,0x3fff202f,0x07fffb86,0x7fffec00,0x7ffc4002,0xcfffffff,
    0x1bffee00,0xc83fffea,0x7ffd4005,0x2000006f,0x00fffffe,0x03fffe60,
    0xf807ffff,0xe8004fff,0x7fd400ff,0xffffffff,0x7cc002ff,0xccccffff,
    0xffffeccc,0xf51aa004,0x4001ffff,0xcbeffffa,0x02dffffd,0x7fffff40,
    0xfff98000,0xffffffff,0x3fea0005,0x7fffdfff,0x7fffcc00,0x05ffffef,
    0x04ffffb8,0x03ffffe4,0xbfffff98,0xfff7001f,0xffffffff,0x070000e9,
    0x5fffffb8,0x6437ffe4,0x7fd46fff,0x2ffff87f,0x21bfff20,0x202ffffa,
    0x7fffec00,0x7ffc4002,0x000999ef,0xf50dfff7,0x07f21fff,0xdffff500,
    0x7dc00000,0x2006ffff,0x740ffff9,0x7fc03fff,0x7cc004ff,0xfffa802f,
    0xffffd9df,0x7fcc000f,0x7fdc06ff,0x0fa004ff,0x00fffffe,0x44ffffa8,
    0x06ffffe8,0x5fffff70,0x3ffe6000,0xffffd8ff,0xff50003f,0x03fd4dff,
    0x9ffffe60,0xfb805fda,0x7ec04fff,0x36006fff,0x005fffff,0x4013fff6,
    0xb81c0003,0x5fffdaff,0x6437ffec,0x7fd47fff,0x2ffff87f,0x41bfff20,
    0xc80fffff,0x7fffec02,0x7ffc4002,0xff70005f,0xffff50df,0x800dffb1,
    0x006ffffa,0xffbf3000,0x26007fff,0x7f40ffff,0x7ffc03ff,0x27f4004f,
    0x4ffffa80,0x0dfffff1,0x6ffff980,0x27fffdc0,0xff707980,0x7d400dff,
    0xffd04fff,0xff880bff,0x20005fff,0x3a7ffff9,0x002fffff,0x46ffffa8,
    0x7fcc007b,0x805e87ff,0x404ffffb,0x005ffffe,0x07ffffe2,0x05fffc80,
    0x43800070,0xffb1efe8,0x6fffd8bf,0x547fffc8,0xfff87fff,0x3fff202f,
    0xfffff906,0xb00b9319,0x8005ffff,0x005ffff8,0x50dfff70,0xfffbffff,
    0x7fd4009f,0x062006ff,0x7ff4fe20,0xf9801fff,0x7ff40fff,0x7fffc03f,
    0x013ee004,0x24ffffa8,0x03fffffa,0x1bfffe60,0x09ffff70,0x2aaabb60,
    0x2fffffba,0x9ffff500,0x3ffffee0,0x3ffff601,0xf303800f,0x7fc4ffff,
    0x4000ffff,0x446ffffa,0x7ffcc007,0xb805987f,0x7c04ffff,0x4004ffff,
    0x001ffffe,0x401fffee,0xf31c0003,0x7ffec3ff,0x437ffdc5,0x7d46fffc,
    0xffff87ff,0x1bfff202,0xffffffd8,0xffd800ef,0x7c4002ff,0x70005fff,
    0xff50dfff,0xffffbbff,0x3ffea003,0x00b2006f,0xffff993a,0xfff9806f,
    0x1ffff40f,0x013fffe0,0x50102fcc,0xfc89ffff,0x3001ffff,0xb80dffff,
    0x8804ffff,0xeeeeeeef,0x005ffffe,0x209ffff5,0x02fffff9,0x07fffff5,
    0x3fe60f10,0x7ffd47ff,0x2a000eff,0x0686ffff,0xffff3017,0x3ee0160f,
    0x7fc04fff,0x74002fff,0x2001ffff,0x202ffffa,0x13800070,0xffd8ffff,
    0x3fffd45f,0x2a27ffec,0xfff87fff,0x3fff202f,0x7fffe406,0xffb000ce,
    0xf88005ff,0x70005fff,0xff50dfff,0xffff11ff,0x3ffea00d,0x007e006f,
    0xffff70d9,0xfff9807f,0x1ffff40f,0x013fffe0,0x83a817e2,0xe84ffffa,
    0x3006ffff,0xb80dffff,0xc804ffff,0x7fffcc04,0xfffa801f,0xffff104f,
    0xffff107f,0x41ae00df,0xb87ffff9,0x005fffff,0x21bfffea,0x3fe60d02,
    0x700707ff,0x5409ffff,0x8005ffff,0x001ffffe,0x407ffffc,0x3800072c,
    0x6c1ffff5,0xffe85fff,0x40fffd87,0x260ffff9,0x3202ffff,0x53006fff,
    0xfffb0001,0xff88005f,0xf70005ff,0xfff50dff,0x3fffea1f,0xffffa804,
    0x403f5006,0xfffd00fb,0x7fcc03ff,0x7fff40ff,0x27fffc03,0x4cccf6c0,
    0xfa82fa99,0xff984fff,0xf9804fff,0x7dc06fff,0x7c404fff,0xffffd801,
    0xffffa805,0xfffff504,0xfffff903,0x4c17e003,0xfb07ffff,0x2007ffff,
    0x006ffffa,0x3ffe60d5,0x3ee0007f,0x3fa04fff,0xe8001fff,0x4001ffff,
    0x8cfffffc,0x0000e5c9,0x3bfffea7,0x36fffffc,0x3e0fffd4,0xfff884ff,
    0xfffff12f,0x3fffe407,0x7ec00000,0x4c002fff,0x0005ffff,0xf50dfff7,
    0x7fe41fff,0x7fd401ff,0xfe8806ff,0x4c03f500,0x206fffff,0x740ffff9,
    0x7fc03fff,0x7fe404ff,0xffffffff,0x4ffffb80,0x5fffff70,0x6ffff980,
    0x2ffffdc0,0x7d401b20,0x5400ffff,0xf904ffff,0xff30dfff,0x32009fff,
    0xffff304f,0x3fffa20f,0xffa802ff,0x5f9806ff,0x0fffff30,0x7fffdc00,
    0x7ffff304,0x3fffa000,0xffd8002f,0x20efffff,0xf89c0003,0xfaafffff,
    0x7dc1efff,0x817fee5f,0xbfeffffc,0x3a05ffff,0x0000ffff,0x7ffff400,
    0x7ffd4003,0xff90006f,0xffff50ff,0x77fffc43,0x3fffee00,0x83ff4407,
    0xffc805f9,0xff504fff,0xffff83ff,0x3fffe204,0x3fffea04,0x07ffffff,
    0x40bffff7,0x00fffffd,0x01ffffea,0x40bffff9,0x3fe004f9,0x7dc04fff,
    0xffb86fff,0xffe80fff,0x75400fff,0xfff503ff,0x7ffcc0ff,0x7d403fff,
    0x7d407fff,0xffff504f,0x7fe4000f,0xffe985ff,0x3fe0002f,0x90002fff,
    0x819dffff,0xd51c0003,0x7fec19ff,0xbdff501e,0xffb007ff,0x3fffe5ff,
    0x7fff4c5f,0x00003fff,0xbfffff10,0xffffc800,0xffe8000f,0x7ffe40ff,
    0x7fffdc2f,0x3ffff605,0xcb9999cf,0xffb86fff,0xffffa806,0xfffb83ff,
    0x3fffe22f,0x3fffee05,0xffff980f,0x5fffffff,0x1dffffb0,0x3ffffe20,
    0xffff900e,0x7fff403f,0xffe980ff,0xffffd000,0x7ffec05f,0xffdb9bff,
    0xffb80cff,0x9999cfff,0xffffda99,0xfffff903,0x7ffffc03,0x3ff203ff,
    0xa999cfff,0x903fffeb,0x003fffff,0x3fffffa0,0xdfffca9a,0x3fe60000,
    0x40004fff,0x332e00a9,0xcccccccc,0x084ccccc,0xaa880040,0x00d44000,
    0x00000000,0x7ffffedc,0x9101ceff,0xfffffffd,0xffd3007b,0x3f67ffff,
    0xd13fffff,0x23ffffff,0xfffffec9,0xffffffff,0x3fee5fff,0x441cffff,
    0xfffffffd,0xffffb0ef,0xffff37ff,0x3b2a1dff,0xdfffffff,0xffffff13,
    0x49ffffff,0xfffffed9,0xffa82def,0xd933ffff,0xbfffffff,0x3fffb2a9,
    0xf92defff,0x103bffff,0xffffffd9,0x7ff6ccdf,0xefffffff,0xff100bce,
    0xffffffff,0xffffffff,0x7ff6445f,0x22dfffff,0xffffffea,0xfd933eff,
    0xffffffff,0x5fffffff,0x7ffff644,0xa804dfff,0xffffffec,0x00adefff,
    0xfffb9300,0x079dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15300000,0x19800000,0x0000aa00,
    0x4c400011,0x000c4000,0x2200204c,0x40004401,0x00038098,0x000088c0,
    0x3100c400,0x08000001,0x00011000,0x08018013,0x3bb61800,0x3bbaa6ee,
    0x7775c2ee,0x3b20deee,0x00c005ee,0x3bbbbbae,0xdddddd93,0x437bb627,
    0x01d880d8,0x3203b100,0xbddddb32,0x9003b800,0x29dddddd,0x0deeeed9,
    0x3bbbbb62,0xdeeed8ce,0x3bbbbae0,0x24eeeeee,0x54050009,0x0bf6004d,
    0x36008800,0x7f8801ff,0xfffd8800,0xec8801ce,0x2602efff,0x03dffffd,
    0x6e77ffe4,0xfdfb7103,0x7fffdc1b,0x7ffec403,0x000b92ef,0x6fd5fae0,
    0x2e600001,0xd32efffe,0xdb05ffdf,0x7754dddd,0x4ff8aeee,0x47bbbbae,
    0xdd92ffd9,0x3ff23ddd,0x3ff621ef,0x25f980df,0x2a1bccb8,0x1ffff63f,
    0x705ffff5,0x2e0fffff,0x3bbbb25f,0xcfffd88e,0x7ffff900,0x83ffffc8,
    0x4076c0ef,0x6d8000fc,0x7f441f90,0x3ee006ff,0xfff9002f,0x03dff07f,
    0x13ffff62,0x5bf905ff,0xffffd333,0x5003be65,0x7ffe44bf,0x00bf6004,
    0x9dfffb10,0x804ffe83,0x7cc007f8,0x05ff90ef,0xffba7f44,0x867e441f,
    0xfb04fffa,0x07ff711d,0x3ee1dff1,0xff35fcaf,0x43ffa60b,0x0006effb,
    0x9b7ffe4c,0x000befff,0x2a233f60,0x51ffcfff,0xfffb09ff,0xaffffa8f,
    0x3ee0fffb,0xfff99fff,0x3ffff26f,0xffffffea,0xffffef98,0xfcdff985,
    0xfbdfffff,0x1fffee2f,0x205ffff1,0xf507fffe,0xaffffc81,0x04fffffe,
    0xf117fffa,0x05d09fff,0x1df10bf3,0x5c17ec00,0x6fffd83f,0x00bfea00,
    0x40ffffd4,0x7fc400ef,0x40be27ff,0xffffa85c,0x403bfa25,0x36663ffa,
    0x3f6004ff,0x3bfe6002,0x7cc9ff90,0x07f8803f,0xf0fffe60,0xfff103ff,
    0x322fffc4,0x7fff42ff,0x2627fc42,0x17ff444f,0xc83ffffa,0x7ffc42ff,
    0x0027ffc3,0x2dfffda8,0x67fffdc4,0x0ffec001,0xb13fffee,0xfffb83ff,
    0x57fffc47,0x7fcc7fe8,0xfffeeaff,0x3ffffea5,0x3fbfffa3,0x03ffff31,
    0x579ffff3,0xa85ffff9,0xfff87fff,0xffff502f,0xff509903,0x3fea5fff,
    0xfff701ff,0x7ffff81f,0x0bfb0344,0xf9001df9,0x901ff70d,0xa800dfff,
    0x3ffe6001,0x5002ec1f,0x0f67ffff,0xfffe82c8,0x077f440f,0x7dc0ffea,
    0x0bf6004f,0x217ffcc0,0x5e99dfff,0x400ff100,0x7ec0fffd,0x2ffe40ff,
    0xff83fff6,0x27ffec6f,0x9707ffee,0xfc87ffe8,0x37fd47ff,0xf90bfff2,
    0x2e2003ff,0x801cffff,0x0befffda,0x237ffc40,0x5c1ffffa,0x7ffd46ff,
    0x72ffff87,0xffff883f,0x4c3dd53e,0x7e43ffff,0x7ff41fff,0x01dfb02f,
    0xff50dfb1,0x5ffff0ff,0x42ffffc0,0xffff981f,0x817fffc2,0x263ffff8,
    0x2e2fffff,0x113fe604,0xffc80bff,0xc81ffd42,0x00006fff,0x07fffcc0,
    0xffd000b9,0x8180b7ff,0x103ffffb,0x3fea1dfd,0x013fee03,0xfb002fd8,
    0xfffd81ff,0x3e2001ac,0xffff3007,0x445fff90,0x7fd44fff,0x83fffe26,
    0x7e45fffd,0xf11c3fff,0xfff70dff,0x11fffa8d,0x7c43ffff,0x6cc05fff,
    0x0003efff,0x39ffff91,0x263fffc0,0x7d40ffff,0x3ffea0ff,0xcdffff87,
    0xffff881b,0xffff8806,0x43fffdc1,0xf983fffe,0x21ff400f,0xff87fffa,
    0x3fee02ff,0x4c16a0ff,0x7fc0ffff,0x3ff603ff,0x3ffab26f,0xfb007a4f,
    0x05ffc87f,0xff98bff7,0x1bfff207,0xff300000,0x007f21ff,0x3ffffe60,
    0x7ffc4000,0x77f4406f,0x7dc03ffb,0x0bf6004f,0x21fffe60,0x8003fffc,
    0xff7007f8,0x9fff90df,0x4427ffd4,0x743eea82,0x7fcc5fff,0xfa80dfff,
    0xfffb86ff,0xa97ffcc5,0x3ba0ffff,0xeb886fff,0x0001dfff,0x3bfffaa0,
    0x543efa82,0xffa87fff,0x1fffea1f,0x100bfffe,0x1009ffff,0xfb83ffff,
    0xfffe87ff,0xa803fc84,0x3fffd46f,0x1017fffc,0x16c9ffff,0x40ffff98,
    0x2a03fffe,0x71f1ffff,0x01a6ffff,0xf88fffe6,0x7ffdc4ff,0x80fffe61,
    0x7646fffc,0xeeeeeeee,0x3eeeeeee,0x327fffe6,0xfb0006ff,0xd8003fff,
    0x8802ffff,0xb803fffe,0x3f6004ff,0x6fffb802,0x004fffc8,0xf9007f88,
    0xfff90dff,0x02fffe4d,0x3fffee00,0xffffe85f,0x7ffe41ef,0xfffffb86,
    0x73ffffff,0x3361ffff,0x3227fffb,0x000bffff,0x3ff26000,0x7ecc04ff,
    0xffffffff,0x3ea3ffff,0xffff87ff,0x7fffc402,0xffff8803,0x43fffdc1,
    0xfd84fffe,0x547f8801,0xfff87fff,0x7ffe402f,0x7fcc0d37,0x7fff40ff,
    0x67fffc03,0x5ffff15a,0x3ffa0079,0x4ffff21f,0x7fc6fff9,0x3ff200ff,
    0x7fffec6f,0xffffffff,0x3e64ffff,0xffffdfff,0xfff98004,0x3fea005f,
    0x3ee005ff,0xffb800ff,0x3bbbba64,0xeeeeffee,0xfff95eee,0x0dfff90d,
    0x3bbbbbb2,0xeeeeeffe,0xdfffb3ee,0x6cffff90,0x70006fff,0xbfffb5ff,
    0xffffff30,0x2ffff43f,0x4cf7ffdc,0xf9099999,0x2eb91fff,0xff50ffff,
    0x000003ff,0x1ffff220,0x7fcdfecc,0x7fd4007f,0x2ffff87f,0x17fffc40,
    0x0ffffc40,0x3a1fffee,0x0fe84fff,0xffa8ff00,0x2ffff87f,0x57fffcc0,
    0x3ffe603c,0x1ffff40f,0x37ffff20,0x3f7fff62,0x4fff8800,0x3f237ff4,
    0x3ffea1ff,0x1bfff202,0x33333331,0x33333333,0x7fffcc13,0x01ffffcd,
    0x1ffffc80,0x1ffffd00,0x3fbfea00,0x27fdc00e,0xfffffff5,0xffffffff,
    0x1bfff6ff,0x6c1ffff2,0xffffffff,0xffffffff,0x90dfffb4,0x7fe4ffff,
    0x7f44007f,0x0bfffb1e,0x3fffffa6,0x217fff66,0x7007fffb,0x5cd7ffff,
    0x7ed47fff,0x0000beff,0xffffc980,0x11ffc80b,0x4003ffff,0xff87fffa,
    0x7fc402ff,0xff8801ff,0x7ffdc1ff,0x84fffe87,0x5f8802fd,0x7c3fffd4,
    0xfe802fff,0x2600feff,0x7f40ffff,0x7fcc03ff,0x7ffd47ff,0xbff9006f,
    0xc80effb8,0x37fdc5ff,0x00dfff90,0xfff98000,0x1dfffd0f,0xffffe800,
    0xffffb805,0x17ff5003,0x7e401dfd,0x2666624f,0x99bfd999,0xffb19999,
    0xffff90df,0x26666620,0x9999ff99,0xfff70999,0x4dfff90d,0x001ffffb,
    0x7ec3fff3,0x7fec05ff,0xfff90fff,0x1ffff70d,0xdffff500,0x82fffdc1,
    0x1cffffc8,0xffea8000,0xffd102df,0x1ffffc45,0x0ffff500,0x8805ffff,
    0x8801ffff,0x7dc1ffff,0xfffe87ff,0xb805fb84,0x3fffd42f,0x4017fffc,
    0x404ffffa,0x740ffff9,0xfe803fff,0x7ffc44ff,0x5ff8803f,0x3600efe8,
    0x17fdc1ff,0x006fffc8,0x3fe60004,0xffff30ff,0x7e65c00b,0x3e201fff,
    0xa8906fff,0x3bfa23ff,0x0dffd880,0x7005fb00,0xff90dfff,0xff1000df,
    0x1fffea00,0xfa93fff6,0xf8806fff,0x7ffec7ff,0x3fee0dc5,0xdfff72ff,
    0x09ffff70,0x1ffff984,0x4027ffdc,0x02efffda,0x7fffe440,0x3ffe400c,
    0x2037fff4,0x21fffea0,0x4402ffff,0x8801ffff,0x7dc1ffff,0xfffe87ff,
    0x202ff884,0x7fcc0ff9,0x3ffe60ff,0xffff002f,0xffff9803,0x01ffff40,
    0x640fffdc,0xfc800fff,0x800ffb86,0x06fc86fd,0x400dfff9,0xf3000ff9,
    0x7fe41fff,0x8e9802ff,0x206ffff8,0xa82ffffd,0x220ffea4,0x2aa60efe,
    0xd800aaaa,0xfffa802f,0x04fffd87,0x2007f880,0xffd87ffe,0x7ffff40f,
    0xfff52983,0x2fffec1f,0x3ffea1ae,0x321fffe1,0xc80fffff,0x903fff61,
    0x4c005fff,0x00cffffc,0x0bbfff6a,0x43fffc40,0xb03ffffb,0x07fffcc3,
    0x805ffff3,0x801ffff8,0x5c1ffff8,0xffe87fff,0x09ffb04f,0xff10dff7,
    0x3ffe25ff,0xff7003ff,0xffff300b,0x03fffe81,0xf306ff88,0x1df100bf,
    0x1001ff88,0x07fb05fd,0x400ffff9,0xf3003ffc,0xffe83fff,0x8ba200ff,
    0xa82ffffb,0xf985ffff,0x4407ff33,0x200006fe,0xffd002fd,0x01fffb0f,
    0x400ff100,0x7fc1fffa,0xffffa84f,0x2a5b89cf,0xffceffff,0x3ea36fff,
    0x7dc7ff83,0x7fff40ff,0x4c88cfff,0x3a17ffcc,0x2a0004ff,0x712dfffe,
    0x0039fffd,0x8cffffb8,0xfffffeb8,0xf887b30b,0xfff32fff,0xff9807ff,
    0xff9801ff,0x7ffe42ff,0x85fffe87,0xeefffffb,0xc85fffff,0xfbfeffff,
    0xf1005fff,0xfff5005f,0x4ffff83f,0x7407fb00,0x80ec802f,0x744001fb,
    0xffd0db06,0x3a6001ff,0xfff7000e,0xffffb87f,0x4c1fd106,0x740fffff,
    0x9330ffff,0x401e45ff,0x200002e8,0xff5002fd,0x04fff83f,0x800ff100,
    0x3fee5ffb,0x3ffff205,0x3e20efff,0xfaafffff,0xff51efff,0x20bfea19,
    0x3fea5ffb,0xfffffffd,0x77fef40d,0x000bff50,0x55fff260,0x0000beff,
    0xfffffff1,0xfffff53d,0x3f20bfff,0xffafefff,0x7fd405ff,0xffb803ff,
    0x7ffec3ff,0x3fffe21f,0x6cd7fd46,0xf99effff,0xffffd83f,0x0bfffff2,
    0x7dc01b20,0x3fe62fff,0x1f5005ff,0x22007e40,0x0005b00d,0x4b620762,
    0xffffffe9,0xfc800003,0xf14fffff,0x23ffffff,0xaadfffd8,0x3ffffffe,
    0xfffffff7,0x005fffff,0x36000000,0x3fee002f,0x1017fea4,0xf3333333,
    0x3333333f,0xfbdff501,0xfff5007f,0xfd501bff,0x77fec19f,0x3bff7e61,
    0x3faa02ff,0xfd32ffee,0x29909dff,0x4efdffd8,0x6b880000,0x200005b5,
    0x42effffb,0x3effffe9,0x8ffffec0,0x905fffff,0x1bffffff,0x3fffff20,
    0xfffffb4f,0xfffff35f,0x4c1641df,0x5102cc09,0x0c400003,0x7ffffec0,
    0xfffff9bf,0x014400ef,0x000000a2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c002fd8,0x03ffeefe,0xffffffd8,0xffffffff,0x2aa204ff,
    0x01a88000,0x18808010,0x988006a2,0x4035301a,0x000a9880,0x00000000,
    0x44009a80,0x2a2000aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x001ec800,
    0x40015510,0xeeeeeeec,0xeeeeeeee,0x0000003e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x326005f5,0xbd7302de,
    0x10000017,0x2a05bdb7,0x376e00bd,0xbd97102d,0x55555105,0x55555555,
    0x55445555,0xaaaaaaaa,0x22aaaaaa,0x10099998,0x04403333,0x88888600,
    0x64c08888,0x2220e541,0x88888888,0x22088888,0x99999999,0x99999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01ed8000,0x9807ff80,0x4c4fffff,0x4c5fffff,
    0x1deb82ed,0xfffffe88,0x3fffea0e,0xbf72fe80,0x5ff51fa8,0xffffffa8,
    0xffffffff,0x3ffea7ff,0xffffffff,0x647fffff,0xffb04fff,0xfffb307f,
    0xf1598059,0xffffffff,0xfa87ffcc,0xffff30ff,0xffffffff,0x3e67ffff,
    0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x027fd400,0x00fffee0,
    0x1fff935d,0x7ffccba2,0x983fffa0,0x7f446fff,0x26ffb9be,0x5c3ffffe,
    0xe8bfe67f,0x989ff34f,0xeeeeeeee,0xeeeeeeee,0x3bbbba66,0xccccccde,
    0xffd87fcc,0x83fff886,0xfffffffa,0xf14d80be,0xffffffff,0xfc9fffdc,
    0xffff32ff,0xffffffff,0x3a67ffff,0xeeeeeeee,0x2eeeeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x027fcc00,0x1ffbff10,0x1ffd0620,0xff137f40,0x7ffdc5ff,
    0x7c1bee0f,0xdffff92f,0x3fe27fe8,0x7fd4b6a5,0x00000004,0xfd83fc00,
    0x827fd41f,0xfeb98ade,0xfebbdfff,0xffffff11,0x7ffc4fff,0x001fff30,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x43ff0a20,0x757f601a,0x1bfa004f,
    0x7fc0ffa8,0x3ffea1ff,0xfc817ec6,0x8ffffd34,0x1bfe27ff,0x017ff36a,
    0x00000000,0x227ec0ff,0x01f104fd,0x3fffff6a,0x4ccccc3f,0x05441999,
    0x000002a2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf8000000,0x362d72ff,0x0ff981ff,
    0xf1003ff5,0xfffb103f,0x07fff41b,0xff8bfff1,0xf08df300,0x3e26ff8d,
    0x227f626f,0x4ccc45ff,0x99999999,0x00199999,0xdb01fe00,0x09302fc4,
    0x05bdb710,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc9bffff8,
    0xe81ffff9,0x402fec3f,0x3f6603fc,0x1bff23ff,0x5fd0fffa,0x3e617f20,
    0xff13ff44,0xff8a7f49,0x7ffffd45,0xffffffff,0x00007fff,0x443101fe,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bbbbb66,
    0xfa82deee,0x202ff987,0xff7003f9,0x6427fd4b,0x837e41ff,0x40fc83ff,
    0x1ff30ff9,0x3f6bbfe2,0x3ffea0df,0xffffffff,0x007fffff,0x0001fe00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff0059d3,
    0x4c1bf205,0xff01a22f,0x5417fc49,0xbeff887f,0xfb86ffb8,0xdb3bf501,
    0xe8dffe83,0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x033e2ff2,0xff1037dc,0xfeefe887,0xfe85934f,
    0x7c407f40,0xfffff505,0x01ed83df,0x1300d544,0x00000018,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x1dff1ffd,
    0x5c01ff88,0xfffd10ff,0x3ff27fff,0x6b81ebad,0xec880fa0,0x001984ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf937fcc0,0x002a987f,0x2aaa6155,0x2ea0aaaa,0x80a602cc,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c5fd100,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00002202,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_36_latin_ext_x[560]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,2,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_36_latin_ext_y[560]={ 28,5,5,6,5,5,5,5,5,5,5,8,23,18,
23,5,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,6,32,5,12,6,12,6,12,5,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,13,13,13,13,13,13,5,5,5,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,28,12,6,5,9,6,
5,5,6,5,6,13,13,18,5,2,6,8,6,6,5,13,6,14,27,6,6,13,6,6,6,12,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,6,5,12,12,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,10,12,5,5,5,6,5,5,6,
1,8,-1,5,6,12,-1,5,-2,5,-1,6,-1,5,-1,5,6,6,1,8,-1,5,-1,6,6,12,-1,5,-2,5,
-1,5,-1,6,5,4,-2,-2,6,6,-1,6,1,8,-1,5,6,5,0,13,6,5,-2,5,6,6,13,-1,-1,6,
6,5,5,6,6,6,6,-1,5,6,12,-1,5,5,5,12,1,8,-1,5,-1,5,6,12,-1,5,6,12,-1,5,
-1,5,-2,5,5,12,-1,5,6,7,-1,5,6,7,-1,6,1,8,-1,5,-2,5,-1,5,6,13,-2,5,-2,5,
0,-1,5,0,6,-1,5,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,7,7,5,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,11,7,7,7,7,7,7,7,7,7,7,7,7,7,1,12,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-2,5,-2,5,-2,
5,-2,5,-1,3,-1,1,-1,0,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-6,-2,-2,5,-2,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_bold_36_latin_ext_w[560]={ 0,7,14,16,15,29,25,5,10,10,14,18,7,11,
6,10,15,12,15,15,15,15,15,15,15,15,7,7,18,19,18,14,29,24,21,21,23,21,19,24,25,12,17,26,
21,31,23,24,19,24,24,16,20,23,24,33,24,24,22,7,10,7,15,18,8,15,17,13,17,13,13,15,17,9,
10,18,9,26,17,15,17,17,13,11,11,17,16,24,16,16,14,10,3,10,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,7,13,16,16,17,
3,14,11,24,11,16,19,11,24,18,12,18,9,9,8,18,18,6,6,8,10,16,23,23,24,14,24,24,24,24,
24,24,33,21,21,21,21,21,12,12,12,12,23,23,24,24,24,24,24,15,24,23,23,23,23,24,19,17,15,15,
15,15,15,15,22,13,13,13,13,13,10,10,11,11,15,17,15,15,15,15,15,18,15,17,17,17,17,16,17,16,
24,15,24,15,24,16,21,13,21,13,21,13,21,13,23,23,23,17,21,13,21,13,21,13,21,13,21,13,24,15,
24,15,24,15,24,15,25,17,25,17,12,11,12,11,12,11,12,9,12,9,27,16,17,12,26,18,18,21,10,21,
9,21,15,21,14,21,9,23,17,23,17,23,17,24,24,15,24,15,24,15,24,15,30,22,24,13,24,13,24,13,
16,11,16,11,16,11,16,11,20,11,20,17,20,11,23,17,23,17,23,17,23,17,23,17,23,17,33,24,24,16,
24,22,14,22,14,22,14,13,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,18,17,17,17,17,17,17,17,17,17,17,17,17,17,28,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,15,12,11,24,
15,23,17,23,17,23,17,23,17,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,24,15,33,22,24,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__times_bold_36_latin_ext_h[560]={ 0,24,12,23,26,24,24,12,30,30,14,18,11,5,
6,24,23,22,22,23,22,23,23,23,23,23,17,22,17,8,17,24,31,22,22,24,22,22,22,24,22,22,23,22,
22,22,23,24,22,29,22,24,22,23,23,23,22,22,22,28,24,28,12,4,7,17,23,17,23,17,23,24,22,23,
31,22,22,16,16,17,23,23,16,17,22,16,16,16,15,23,15,30,31,30,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,28,24,16,22,
31,31,5,24,10,15,8,5,24,3,12,18,12,12,7,23,30,6,8,12,10,15,23,23,23,24,29,29,29,28,
28,28,22,30,29,29,29,28,29,29,29,28,22,29,30,30,30,29,29,15,25,30,30,30,29,29,22,24,24,24,
24,23,23,24,17,23,24,24,24,23,23,23,23,22,24,22,24,24,24,23,23,15,17,24,24,24,23,31,31,30,
27,21,29,24,30,24,30,24,31,24,30,23,30,24,29,24,22,23,27,21,29,24,29,23,30,24,29,24,31,31,
30,31,30,30,30,32,30,30,22,22,29,22,27,20,29,23,30,31,28,15,23,31,31,31,29,29,15,29,29,29,
29,23,23,22,22,22,22,30,23,29,23,30,23,23,24,24,28,21,30,24,30,24,23,17,29,23,29,23,29,23,
30,24,31,24,30,23,30,24,30,29,29,24,22,22,30,23,28,21,30,24,31,24,30,24,30,23,31,24,30,31,
28,29,23,28,22,29,23,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,24,21,21,31,21,21,21,
21,21,21,21,21,21,21,21,21,21,25,18,21,21,21,21,21,21,21,21,21,21,21,21,21,28,17,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,24,30,23,31,
24,31,24,30,26,30,28,30,29,30,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,31,30,24,32,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_bold_36_latin_ext_s[560]={ 511,451,52,364,79,188,245,505,139,248,1,
1,80,188,505,234,256,136,149,304,448,17,1,448,176,240,504,496,155,111,174,
387,387,216,241,348,355,313,335,17,190,435,291,286,71,464,340,480,22,96,165,
370,1,417,441,1,93,379,263,503,402,392,16,212,151,88,64,74,82,498,50,
298,118,481,118,52,42,251,330,58,256,286,237,104,411,295,313,348,455,274,472,
49,453,60,169,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,511,227,245,
115,278,124,417,129,200,455,99,390,131,188,42,231,67,39,32,42,160,321,213,
505,505,503,88,373,206,182,157,235,336,311,1,272,320,455,359,92,361,383,405,
345,495,452,117,259,100,130,259,43,336,448,427,487,121,413,242,479,121,170,196,
330,99,83,67,146,192,1,193,162,441,427,413,132,332,343,320,423,314,293,282,
266,250,432,482,417,139,170,152,134,464,67,84,117,36,436,23,492,279,459,374,
437,457,405,71,208,328,325,238,53,157,222,14,404,216,299,473,272,284,213,26,
174,229,254,171,144,386,232,114,26,485,1,321,393,154,216,1,486,167,354,323,
177,442,407,366,294,211,440,67,48,436,1,497,475,465,394,416,249,142,271,311,
68,139,287,33,461,51,69,188,283,480,452,411,218,361,146,94,116,145,498,262,
125,48,242,306,162,160,313,396,309,196,271,150,436,195,419,228,347,19,399,400,
468,437,35,187,116,350,339,304,381,353,357,217,336,367,73,35,297,181,94,466,
491,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,382,418,418,421,
418,418,418,418,418,418,418,418,418,418,418,418,418,95,20,418,418,418,418,418,
418,418,418,418,418,418,418,418,198,216,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,192,476,
266,230,311,1,270,17,25,61,134,227,93,180,1,424,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,1,102,158,77,42,100,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418, };
static unsigned short stb__times_bold_36_latin_ext_t[560]={ 1,158,326,236,158,158,158,128,67,67,326,
307,326,326,186,158,211,284,284,211,260,236,236,211,211,211,260,260,307,326,307,
186,1,284,284,186,284,284,284,211,284,260,236,284,284,260,236,186,284,98,284,
186,284,236,236,260,284,284,284,1,186,128,326,326,326,307,260,307,260,284,260,
186,284,236,1,284,284,307,307,307,236,211,307,307,260,307,307,307,307,236,307,
36,1,36,326,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,1,186,128,
211,307,260,1,1,326,186,326,307,326,326,211,326,326,307,326,326,326,236,67,
150,141,307,326,307,236,236,236,186,98,98,98,128,128,128,260,67,98,98,98,
128,67,98,128,128,260,128,67,67,67,67,98,307,158,36,36,1,98,98,260,
186,211,211,211,211,211,211,307,211,186,186,186,211,211,211,211,260,186,260,186,
186,186,211,211,307,307,186,186,186,211,1,1,36,158,284,128,158,36,158,36,
158,1,158,36,211,36,158,98,186,260,211,158,284,98,158,67,211,67,186,98,
158,1,1,67,1,67,67,67,1,36,67,260,260,128,260,158,284,128,211,67,
1,128,307,211,1,1,1,128,128,307,128,98,98,98,211,211,260,260,260,260,
67,236,98,236,36,236,236,186,158,128,284,67,158,67,158,236,307,98,211,98,
236,98,236,67,158,1,158,36,236,67,158,67,67,98,158,260,260,67,236,128,
284,36,186,1,186,36,158,36,236,1,158,36,1,128,98,260,128,260,128,236,
236,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,158,284,284,1,
284,284,284,284,284,284,284,284,284,284,284,284,284,158,307,284,284,284,284,284,
284,284,284,284,284,284,284,284,128,307,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,36,158,
36,236,1,186,1,186,36,158,36,128,36,128,36,128,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,1,1,36,186,1,186,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284, };
static unsigned short stb__times_bold_36_latin_ext_a[560]={ 130,173,289,260,260,520,433,145,
173,173,260,296,130,173,130,145,260,260,260,260,260,260,260,260,
260,260,173,173,296,296,296,260,484,376,347,376,376,347,318,405,
405,202,260,405,347,491,376,405,318,405,376,289,347,376,376,520,
376,376,347,173,145,173,302,260,173,260,289,231,289,231,173,260,
289,145,173,289,145,433,289,260,289,289,231,202,173,289,260,376,
260,260,231,205,115,205,270,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,130,173,260,260,260,260,115,260,
173,389,156,260,296,173,389,260,208,285,156,156,173,300,281,130,
173,156,172,260,390,390,390,260,376,376,376,376,376,376,520,376,
347,347,347,347,202,202,202,202,376,376,405,405,405,405,405,296,
405,376,376,376,376,376,318,289,260,260,260,260,260,260,376,231,
231,231,231,231,145,145,145,145,260,289,260,260,260,260,260,285,
260,289,289,289,289,260,289,260,376,260,376,260,376,260,376,231,
376,231,376,231,376,231,376,381,376,289,347,231,347,231,347,231,
347,231,347,231,405,260,405,260,405,260,405,260,405,289,405,289,
202,145,202,145,202,145,202,145,202,145,428,287,260,173,405,289,
289,347,145,347,145,347,244,347,206,347,145,376,289,376,289,376,
289,379,400,289,405,260,405,260,405,260,520,376,376,231,376,231,
376,231,289,202,289,202,289,202,289,202,347,173,347,271,347,173,
376,289,376,289,376,289,376,289,376,289,376,289,520,376,376,260,
376,347,231,347,231,347,231,145,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,384,405,405,260,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,288,405,405,405,405,405,405,
405,405,405,405,405,405,405,414,312,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,376,260,202,145,405,260,376,289,376,289,376,
289,376,289,376,289,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,376,260,520,376,405,260,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_36_latin_ext(stb_fontchar font[STB_FONT_times_bold_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_36_latin_ext_s[i] + stb__times_bold_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_36_latin_ext_t[i] + stb__times_bold_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_36_latin_ext_x[i];
            font[i].y0 = stb__times_bold_36_latin_ext_y[i];
            font[i].x1 = stb__times_bold_36_latin_ext_x[i] + stb__times_bold_36_latin_ext_w[i];
            font[i].y1 = stb__times_bold_36_latin_ext_y[i] + stb__times_bold_36_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_36_latin_ext_s[i] + stb__times_bold_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_36_latin_ext_t[i] + stb__times_bold_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_36_latin_ext_x[i] + stb__times_bold_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_36_latin_ext_y[i] + stb__times_bold_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_36_latin_ext_LINE_SPACING
#endif

