// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT        376
#define STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_38_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_38_latin_ext_LINE_SPACING          25

static unsigned int stb__times_bold_38_latin_ext_pixels[]={
    0x33331000,0xd9000001,0x40001bdd,0x00009998,0x00019998,0x4c000000,
    0x22000000,0x00000199,0x000ccc40,0x262004c0,0xdeeec800,0x80009880,
    0x0001ccc8,0x01555510,0x332e0000,0x001ccccc,0x01332a00,0x55530000,
    0x1e400003,0x00005910,0x00055555,0x75072200,0x55400000,0x000001aa,
    0x00001988,0x3a000008,0x00005fff,0x003ffff0,0x06fffd80,0x7fffcc00,
    0x3f260002,0x9300002e,0x44000003,0x0003ffff,0xffff1000,0xffd50009,
    0xdf5019ff,0x03ffff00,0x2e001bea,0x400003ff,0x0004fffd,0xfffffb00,
    0x800007ff,0x00000ffd,0x0dffff10,0x427d4000,0x80000fe8,0x000ffffa,
    0xb5bf7000,0x2000003f,0x000ffffa,0xffeda800,0x002dffee,0x0027fe40,
    0x01bffe20,0x7ffd4000,0x7fcc0001,0x20003fff,0x006ffffe,0x0fee77e0,
    0x000f1000,0xffff9000,0x0000001f,0x01fffff9,0xd8977ec0,0x037d41ff,
    0xa807ffea,0x2fd8006f,0xffb00000,0x2e00000f,0x1ccccccc,0x3fc80000,
    0xff900000,0x00005fff,0xff986ff4,0x3ea00003,0x000002ff,0x000ffff6,
    0x1fffc800,0x3f260000,0xca9809cf,0xff98003f,0x2e0000ff,0x00000eff,
    0x0005ffb0,0xfffdffd0,0x3ffea000,0xa8002ffe,0x20003546,0x000000cb,
    0x3ffbffe6,0x4c000004,0x04ffefff,0xf981ff90,0x2037d47f,0x7d402ffd,
    0x001a8006,0x17ff4000,0x00000000,0x00350000,0xbfff1000,0x40000dff,
    0x6ffbeff9,0xffb80000,0x22000005,0x000002aa,0x0000fffc,0x8005df70,
    0x2e000de9,0x0002ffff,0x00003bf6,0x0002ff80,0xff54ffa8,0x1dff0007,
    0x9000dfd1,0x0000f889,0x0003bffa,0x6c7ff600,0x000000ff,0x7fec7ff6,
    0x437fc400,0x3ea1fffa,0x4017fc06,0x9f5006fa,0x00000ee8,0x00027f44,
    0x3ba27d40,0x9f500000,0x00000ee8,0x3fea3ffb,0x3f600002,0x0002ffff,
    0x001ff700,0x744fa800,0x5400000e,0x100001ff,0xc80009fb,0xfff1000e,
    0x3e20001f,0x2000000e,0xf00002fa,0x00ff985f,0xfb037ee0,0x5c798007,
    0x7fe40006,0x5400003f,0x027e40ef,0x0efa8000,0x3ea027e4,0x7ffcc0ff,
    0xfa81bea0,0x00df5002,0x2ff99ff2,0x7e880000,0x7fc80000,0x0000bfe6,
    0x5ff33fe4,0x1df30000,0x00006f98,0x01bfffe6,0x05f90000,0x27fc8000,
    0x00002ff9,0x80000fe4,0x00002ff8,0x66cc00bb,0x03260001,0x00000000,
    0xd301fb80,0x813e2009,0xbfe8007c,0x440002fd,0x00000efd,0x0fb806f4,
    0x0de80000,0x7cc03f70,0x42db84ff,0x200006fa,0x5b1006fa,0x00000cc8,
    0x00001510,0x06642d88,0x42d88000,0xc80000cc,0x000fa204,0x01cccb80,
    0x01a80000,0x216c4000,0x400000cc,0x3600001a,0x2200002f,0x0000002f,
    0x0000bda8,0x20026200,0x0220000b,0x00130000,0x00019b50,0x00000040,
    0x00001100,0xf0022000,0x2a009fff,0x37f2606f,0x0037d401,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00009f90,0x00000d50,0x7f5f7c40,0xd9100001,0x19dfffff,0x33000fc8,
    0x00000020,0x00000000,0x00000000,0x26000000,0x3ff20400,0x7d401eff,
    0xf959f106,0xe8b7d403,0xeeeeeeee,0x7775c2ee,0x9800eeee,0xcdeffecb,
    0xeee8800a,0xeeeeeeee,0x777775c2,0xdddd10ee,0x5ddddddd,0xeeeeeeb8,
    0xecb9800e,0x00acdeff,0x7f65cc00,0x800acdef,0xeeeeeee8,0x75c2eeee,
    0x10eeeeee,0xdddddddd,0xeeb85ddd,0xd10eeeee,0xdddddddd,0xeeeb85dd,
    0x7cc0eeee,0x9efe9806,0x0e83ccc8,0x99999910,0xc8d70001,0x7ec40004,
    0xfdb89bff,0x01fb8cff,0x6fffff54,0xee880322,0xeeeeeeee,0xddddd15e,
    0x85dddddd,0xeeeeeeeb,0xeffed980,0x91aaaaac,0xdddddddd,0x3bbbae1d,
    0x81eeeeee,0x006eeeed,0x3bffff6a,0x361a21bd,0x203fffff,0xc8b906fa,
    0xd11bea05,0x01bfffff,0x00f7fd44,0x8acfffc8,0x003fffda,0xbfffffd1,
    0x77fd4401,0xffffd101,0x7d4401bf,0xff9001ef,0xffb5159f,0x3f20007f,
    0xfda8acff,0xfd1003ff,0x401bffff,0x101effa8,0x1bfffffd,0x0f7fd440,
    0xfffffe88,0x3fea200d,0x803fb01e,0xfbd9bffb,0x203d83ff,0x01ffffe9,
    0x03cc3e80,0x3dfff500,0x3ffffe60,0x33bf6202,0xfdffc989,0xffff7000,
    0x3fa207ff,0x200dffff,0x901effa8,0xffb15fff,0x7dc7ffff,0x883fffff,
    0x1ffffffd,0x006ffcc0,0x6fffffdc,0xedffdbaa,0xfffff886,0x06fa80ef,
    0x2a07a87d,0xffffa86f,0x03fb002f,0x03fffd50,0x007bffa2,0x0bffffea,
    0x2a00fec0,0x002fffff,0xfd5003fb,0x3fa203ff,0xfd5001ef,0x3fa203ff,
    0xffa801ef,0xfb002fff,0xffffa803,0x03fb002f,0x2fffffa8,0x2203fb00,
    0x27fec06f,0x703fffdb,0xffffb809,0x5c5c8001,0xfff70005,0xfffb803f,
    0x03ff601f,0x0007ff4c,0x80dffffd,0x02fffffa,0x3f203fb0,0x77ffc3ff,
    0x7ffe41aa,0x3ffa01ff,0x1fb007ff,0xffffd880,0x1bffaa02,0x3ffff376,
    0x837d40ef,0xf502645b,0xfffff30d,0x003ee003,0x805ffff7,0x401ffff9,
    0x01fffff9,0xf9801f70,0x7001ffff,0xfffb801f,0x7ffcc02f,0x7ffdc01f,
    0x7ffcc02f,0x7ffcc01f,0x1f7001ff,0xfffff980,0x801f7001,0x01fffff9,
    0x3ee01f70,0x83ffee03,0xb507fffc,0x1ffffa80,0xb9cf8800,0xff98002f,
    0xffd005ff,0x13fee0df,0x4001ff30,0x406ffffd,0x01fffff9,0xff301f70,
    0xfffd81ff,0xfffff302,0x7fffdc07,0x404d802f,0x01fffff8,0x76c6fe88,
    0xdfffff30,0xf8837d41,0x2a01fdbe,0xffff986f,0x80f5001f,0x004ffff8,
    0x401dfffb,0x01fffff9,0xff300f50,0x2a003fff,0x7fffc407,0xdfffb004,
    0x3fffe201,0xdfffb004,0x7fffcc01,0x00f5001f,0x03fffff3,0x3e601ea0,
    0x5001ffff,0x9807f40f,0x7ff42fff,0xa80b304f,0x0001ffff,0x0005bfb3,
    0x05fffff1,0x9ffffd10,0x7007ffd0,0x7fec003f,0x7fcc05ff,0xf5001fff,
    0x03fffee0,0x6c0bfff9,0x2206ffff,0x405fffff,0x7ff401f8,0x3e6002ff,
    0xfb113f26,0x88009fff,0x7d400ceb,0xfffff986,0xe80f5001,0x5002ffff,
    0x4c09ffff,0x001fffff,0xfff300f5,0x1ea003ff,0x05ffffd0,0x13fffea0,
    0x017ffff4,0x04ffffa8,0x07ffffe6,0x7cc03d40,0x5001ffff,0xffff300f,
    0x81ea003f,0x1fffa05f,0x540bfffe,0x7fffd404,0x0bea0001,0x7fffdc00,
    0xfffdb007,0xefff83ff,0x2001f800,0x405ffffd,0x01fffff9,0x3ff20f50,
    0x7fffb87f,0x3ffffea0,0x3ffff201,0x901ae00f,0x0009ffff,0xc81ffcd9,
    0x0001ffff,0x261bea00,0x001fffff,0x7ffdc0f5,0x3fe2007f,0xff302fff,
    0x2a003fff,0xffff9807,0x40f5001f,0x007ffffb,0x0bffffe2,0x00fffff7,
    0x17ffffc4,0x1fffff98,0xf300f500,0x2003ffff,0xfff9807a,0x0f5001ff,
    0x7fd413e2,0x7fffc44f,0xfa807900,0x20001fff,0xfd0006fe,0xd900dfff,
    0x49fffff1,0x00effff8,0xffb000e4,0xff980bff,0xf5001fff,0x03fffea0,
    0xf80dfff7,0x2605ffff,0x203fffff,0x3ffe603e,0x688001ff,0x7e40dff3,
    0xdb7003ff,0x2a017bff,0xffff986f,0x40f5001f,0x005ffffe,0x82fffff4,
    0x01fffff9,0xff300f50,0x2a003fff,0x3ffffa07,0x7fff4005,0x7ffff45f,
    0x7fff4005,0xffff305f,0x01ea003f,0x07ffffe6,0x7cc03d40,0x5001ffff,
    0x740fe60f,0x7fdc1fff,0x500ba05f,0x0003ffff,0x0007ffe6,0x0bfffff3,
    0xfffb1fb8,0xffffe8df,0x8002202e,0x405ffffd,0x01fffff9,0x3fe20f50,
    0x7ffdc1ff,0x7fffe404,0xffff100f,0x803e60df,0x00fffffc,0x3ffea700,
    0x00fff604,0xff537dd3,0x0df501ff,0x03fffff3,0x7fc41ea0,0x6c004fff,
    0xf306ffff,0x2003ffff,0xfff9807a,0x0f5001ff,0x13ffffe2,0xdffffb00,
    0x27ffffc4,0x3ffff600,0xfffff306,0x201ea003,0x01fffff9,0xff300f50,
    0x2a003fff,0xf305f507,0xffff0fff,0x2a01e207,0x0001ffff,0x800bfffb,
    0x04fffffa,0xfffd87ea,0x7fffe47f,0x80002eff,0x405ffffd,0x01fffff9,
    0x7fec0f50,0x07ffec2f,0x3ffffe20,0xfffff703,0x440b903f,0x007fffff,
    0x3ffff880,0x5403ff50,0x7ffd44ff,0x4c37d40e,0x001fffff,0x3ffe60f5,
    0x7ec004ff,0xf980ffff,0x5001ffff,0xffff300f,0x41ea003f,0x04fffff9,
    0x7ffffec0,0x9fffff30,0xffffd800,0xffff980f,0x00f5001f,0x03fffff3,
    0x3e601ea0,0x5001ffff,0x2e0bea0f,0x7fdc5fff,0x009501ff,0x003ffff5,
    0x1fffff10,0x7fffdc00,0xc85f303f,0x261fffff,0xffffffff,0x3f60001e,
    0x7cc05fff,0x5001ffff,0x0effb80f,0x2003fff5,0xd06ffffd,0x09fffff7,
    0x7ffcc05f,0xb00005ff,0xa81bffff,0x7ffec07f,0x0bfffe60,0xfff30df5,
    0x1ea003ff,0x1fffffdc,0x3ffff200,0xffff981f,0x00f5001f,0x03fffff3,
    0x7fdc1ea0,0x64003fff,0xf71fffff,0x8007ffff,0x81fffffc,0x01fffff9,
    0xff300f50,0x2a003fff,0xffff9807,0x20f5001f,0xfffc83f8,0x1bfffa24,
    0x7d400f44,0xc8001fff,0x004fffff,0x0ffffff2,0x3ff213e2,0x7fd42fff,
    0xcfffffff,0xfffd8000,0x7ffcc05f,0x0f5001ff,0xffdffd10,0x7fd40019,
    0xcbd41fff,0x3d47ffff,0x3ffffea0,0xfd100003,0x7e43dfff,0xfff93a62,
    0x3fffe62f,0x7cc37d42,0x5001ffff,0x3ffff20f,0x7fe4002f,0xff982fff,
    0xf5001fff,0xfffff300,0x641ea003,0x002fffff,0x97ffffe4,0x02fffffc,
    0x7ffffe40,0xfffff982,0x300f5001,0x003fffff,0x3fe601ea,0xf5001fff,
    0x7fec2fc0,0x3fff363f,0x2a007d04,0x4001ffff,0xfffffef8,0xffff7000,
    0x905e887f,0x705fffff,0xffffffff,0xfd8003df,0x7cc05fff,0x5001ffff,
    0x333b700f,0x7ffc0001,0xf9a6c5ff,0x1362ffff,0x5fffff90,0x7ec40000,
    0x1fbbffff,0xfff937d4,0x1ffffcc1,0x3fe61bea,0xf5001fff,0x3ffffee0,
    0x7ffe4003,0xfff982ff,0x0f5001ff,0x3fffff30,0x7dc1ea00,0x4003ffff,
    0x72fffffc,0x007fffff,0x2fffffc8,0x1fffff98,0xf300f500,0x2003ffff,
    0xfff9807a,0x0f5001ff,0x7ffec36c,0xfffccd9e,0x2a006c83,0x4001ffff,
    0xfffff9eb,0xffff3003,0x3605e89f,0x301fffff,0xfffffffd,0x7ec003ff,
    0x7cc05fff,0x5001ffff,0x007f440f,0xffff9000,0xfe83e21f,0x03f15fff,
    0x3fffffc8,0xffc80000,0xfa81ffff,0xfb305cc6,0x6fa87fff,0x1fffff98,
    0x3ea0f500,0x4004ffff,0x80fffffc,0x01fffff9,0xff300f50,0x2a003fff,
    0xfffff507,0xfffc8009,0xffff50ff,0xffc8009f,0xff980fff,0xf5001fff,
    0xfffff300,0x201ea003,0x01fffff9,0x43e40f50,0x76fffffb,0x0db85fff,
    0xfffa8162,0xe97c001f,0x1006ffff,0x6c9fffff,0x3fff600e,0x7f5400ff,
    0x06ffffff,0x17ffff60,0x3fffff30,0xfc81ea00,0x2200001f,0xb93fffff,
    0x8fffffb8,0xfffb806b,0x000005ff,0x0bfffff7,0x7ecc0df5,0x543ffffc,
    0xffff986f,0x20f7001f,0x04fffff9,0x3ffffec0,0x1fffff98,0xf300f700,
    0x2003ffff,0xffff307b,0xffd8009f,0x3ffe67ff,0x7ec004ff,0xff307fff,
    0x2e003fff,0xffff9807,0x00f7001f,0x03fffff3,0x1fa81ee0,0x86ffffcc,
    0xeb9efff8,0x3ea03c84,0x2a001fff,0x3ffffea7,0xffffd002,0xfd003f2b,
    0x5c00bfff,0x2fffffff,0xbffffb00,0xfffff980,0x7c0f7001,0xeeeeefff,
    0x7ec002cd,0x885f6fff,0x3ebfffff,0xfffffa80,0x26000006,0x543ffffe,
    0xaffd886f,0x543ffff9,0xffff986f,0x40d7001f,0x005fffff,0x837ffff4,
    0x01fffff9,0xff300d70,0x2e003fff,0x3ffffe06,0x7fff4005,0x7ffffc6f,
    0x7fff4005,0xffff306f,0x01ae003f,0x07ffffe6,0x7cc035c0,0x7001ffff,
    0xda86d80d,0xdefc984e,0x5406880b,0x2001ffff,0x7ffff43e,0xffff9005,
    0xf8803f7d,0x1262ffff,0xfffff910,0x3fff6007,0x7ffcc05f,0x0d7001ff,
    0x7ffffffc,0x01efffff,0x9fffff50,0x3ffff60d,0xff8800ff,0x00007fff,
    0x7fffe440,0xff51bea0,0x3fffe63f,0x7c437d43,0x9001ffff,0x7fffe40d,
    0x7fffc006,0xffff102f,0x01b2003f,0x07ffffe2,0xff903640,0xff800dff,
    0x7fe42fff,0x7fc006ff,0xff102fff,0x32003fff,0xffff8806,0x00d9001f,
    0x03fffff1,0x7f101b20,0x16400000,0x07fffea0,0x3ee07cc0,0x8801ffff,
    0x02fffffe,0x47ffffa8,0xfff50069,0x20ef549f,0x405ffffd,0x01fffff8,
    0x7fe40d90,0xffffffff,0x3fe006ff,0xf503ffff,0x400bffff,0x00fffffc,
    0x70571000,0x37d45fff,0x7cc7fff5,0x37d43fff,0x01fffff8,0x7fc40bb0,
    0xf3001fff,0xff80dfff,0xbb001fff,0x3ffffe00,0x440bb001,0x001fffff,
    0x10dffff3,0x003fffff,0x01bfffe6,0x003fffff,0x7ffc0176,0x0bb001ff,
    0x07ffffe0,0x7dc02ec0,0x5b800000,0x1ffff980,0xff109b00,0x2600bfff,
    0xb004ffff,0xf983ffff,0x7fff9001,0xfb1bffe2,0xff009fff,0x36003fff,
    0x7fffdc05,0xffffffff,0xffff9001,0x7fffc01f,0x3fe6002f,0x00003fff,
    0xffd07ffb,0xff8b7d47,0x3ffe61ff,0xe837d43f,0xf002ffff,0xffffb807,
    0xffff9004,0xffffe803,0x2007f002,0x002ffffe,0xfffb807f,0xfff9004f,
    0x3ffee03f,0xfff9004f,0xfffe803f,0x007f002f,0x00bffffa,0xffe801fc,
    0x07f002ff,0x00001760,0xff3040b9,0x3f1001ff,0x3fffff20,0xffff9000,
    0xffff8801,0x3005f983,0x3fee3fff,0x3fff61ff,0xfffe803f,0x407f002f,
    0xaaabcfea,0x03fffcba,0x09ffff10,0x007fffc8,0x06ffffc8,0x7ffc3a80,
    0x2a1ffc84,0x7ffff36f,0x21ffffdc,0xfff706fa,0x01fb00bf,0x01ffffb0,
    0x03ffff88,0x05ffffb8,0xf7000fd8,0xfb00bfff,0xffffb001,0xffff8801,
    0x7fffec03,0x7fffc400,0xffffb803,0x000fd805,0x00bffff7,0x3ee001fb,
    0xfd805fff,0x03db1000,0x5c099000,0x0ffff16f,0x3bbbbf20,0xfffffeee,
    0xffff1004,0x4fffe80d,0x5007ff30,0x7ffd4dff,0x0ffffec6,0x2ffffdc0,
    0xfa807ec0,0x1ffb802f,0x07fff600,0x009fff30,0x0fffffa0,0x7f43fb80,
    0x547fe83f,0xfffff36f,0x9ffffddb,0x441bea31,0x204ffffe,0x3ee003fc,
    0x7fec04ff,0xffd1002f,0x1fe409ff,0xffffd100,0x001fe409,0xd809fff7,
    0xf7002fff,0xffd809ff,0xffd1002f,0x1fe409ff,0xffffd100,0x001fe409,
    0x09ffffd1,0x54001fe4,0x9d50004f,0xf88ffe80,0xcf8804ff,0xeccccccc,
    0xb007ffff,0x43bfff7b,0x01effeb8,0xd00bffe6,0x7ffc43ff,0x027fff42,
    0x4ffffe88,0xfc80ff20,0x06fa802f,0x8037fd40,0x10001ffe,0x007ffffd,
    0x9ff307f9,0x2a0ffdc4,0x3ffffa6f,0xdffffd4f,0xe881bea1,0xa9bdffff,
    0x98003fec,0x2a20dfff,0x4000effd,0xbdffffe8,0x003feca9,0xdffffe88,
    0x03feca9b,0x0dfff980,0x03bff6a2,0x1bfff300,0x077fed44,0x3fffa200,
    0xfeca9bdf,0xffe88003,0xeca9bdff,0xfe88003f,0xca9bdfff,0x220003fe,
    0x5c401aed,0xffb800ce,0x800eff88,0xfffa806b,0x076c03ff,0xffdfffd5,
    0xff3005bf,0xfc981bff,0x0bff982f,0x800bfff7,0xbdffffe8,0x403feca9,
    0x7302fff9,0xff0001df,0x01bee005,0x3fffee00,0xfdb989be,0x3ffa601e,
    0xfa80dffe,0x877ff666,0x2a0dffe9,0xfffc806f,0x01dfffff,0x3ff72200,
    0x0bdeffef,0x3fff2000,0x01dfffff,0x7fffe400,0x001dffff,0x3fff7220,
    0x00bdeffe,0xfffb9100,0x017bdffd,0x7fffe400,0x001dffff,0x7ffffe40,
    0x0001dfff,0x7fffffe4,0x00001dff,0xb9bddb95,0x80019dfd,0x01dfeefd,
    0xfd002f88,0x7cc0dfff,0x35753100,0x4d7cc001,0xffedefeb,0x3ff6600d,
    0x0004effe,0x3ffffff2,0xb1001dff,0xffdddfff,0x3e40005d,0x0007f100,
    0x3fffae20,0x004effff,0x51002a66,0x10080105,0x5d4c0055,0x000009ab,
    0x000aba88,0xabba9800,0x4c000009,0x0009abba,0x0aba8800,0x75100000,
    0x30000015,0x00135775,0xabba9800,0x4c000009,0x0009abba,0x4d4c4000,
    0x03300000,0x7000fb80,0x405fffff,0x44000000,0x09aba982,0x02aea200,
    0xbba98000,0x2600009a,0x00099aa9,0x5c002880,0x98800000,0x00001aba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x3fe2006f,0x00006fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd3000000,0x3e2005ff,0x004fffff,0x40aaaa98,
    0x01999998,0x00080000,0x00180000,0x0aaaa980,0x55530000,0x39800015,
    0x4c0014c0,0x0012a00d,0x03dddb00,0xbfff7000,0x200cc000,0x00000009,
    0xfff70000,0x4cc0000b,0x00600019,0x02002006,0x01bffea0,0x015554c0,
    0x04ccc400,0x55500000,0x000aaa63,0x0004ccc4,0x003500ae,0x9dfffff9,
    0x3ffff6a0,0x001fffff,0x2217fff6,0x01fffffd,0x00340000,0xedc98000,
    0x3f60002f,0x200004ff,0x0003fffe,0xfb80ef88,0x03fd0004,0x400009f7,
    0x005ffffb,0x7ffffc40,0x01f70001,0x100007ea,0x0036405f,0x5fffff10,
    0xfff30000,0x0fe0005f,0x7fe406d8,0x407ff903,0x002ffffe,0x003ffff8,
    0x05fffe80,0xfff10000,0x000bff61,0x0037ffec,0x0fec13ea,0x00000000,
    0x0bfff100,0x01ffffd8,0x0bea0000,0xbf300000,0x44001ff6,0x00005fff,
    0x0013ffe6,0x320efb80,0xf50000ff,0x007fec5f,0xffff8800,0x320001ff,
    0x006fffff,0x5359df30,0x00001ff9,0x7e4c15fd,0x3ff20004,0x80006fff,
    0x006ffffe,0x73359fb0,0x7fcc09fb,0x7ffcc0ff,0xffffb80f,0x7fcc006f,
    0xfb80003f,0x0001ffff,0xf12ffa80,0x3e60009f,0x4003ffff,0x17fa25fe,
    0x2aaa0000,0x7d400002,0xfffc805f,0x2000001f,0x000006fe,0x07ff9ff4,
    0x00bff500,0x04ffc800,0xafff8000,0x40003ffd,0x3ffebffe,0x3ff20000,
    0x0006ffac,0xffb3dff1,0x3ff60005,0x003fffff,0xfffff700,0x20003fff,
    0xffd9eff8,0x3fea0002,0x8002ffff,0xfffffff9,0x3ffee00f,0x7fffdc2f,
    0x6cfffc42,0x3f2003ff,0xf880003f,0x005ffeff,0x2a4fd800,0xfd0000ef,
    0x800fffdf,0xfffaeff9,0x7dc00000,0x00002fff,0x7dc01bf6,0x00001fff,
    0x003fff30,0x4bfe6000,0xfb0001da,0xfd00000b,0x2e000009,0x006fffff,
    0xfffff980,0x3e600006,0x00bfe62f,0xfc837f60,0xffd10006,0x0000bfff,
    0xffffffd8,0x3bf60003,0x4001bf20,0xfe88eff8,0xfff70006,0xf8805fff,
    0x7fc40fff,0x20efc87f,0xff000ffb,0x3f200009,0x005ff93f,0x3637c400,
    0xff50001f,0x000ffea9,0x09fffffb,0xfff88000,0x200006ff,0xff7000ef,
    0x000003ff,0x0017fff6,0x01ffec00,0x0077c400,0x017e6000,0xfffd0000,
    0x3600005f,0x0002ffff,0x3a207fa0,0x827cc006,0x320002fb,0x00003efe,
    0x05ffff90,0xb827cc00,0xdfc8002f,0x000ff620,0x00efff54,0xb301dda8,
    0x505f8839,0x09f3009f,0x07fe2000,0x40000df7,0x0027c1fa,0xff985fd0,
    0x3ffe6000,0x400000ff,0x2ffeeffc,0x00a88000,0x07fffee0,0x3fe20000,
    0x00000fff,0x001fffcc,0x00005440,0x000014c0,0x02777540,0x79993000,
    0x05440000,0x4c001910,0x00014c02,0x30000000,0x05300003,0x7c400298,
    0x0001f204,0x20000000,0x4014c029,0x36000029,0x005f500e,0x05106600,
    0x980fdc00,0x7764004e,0x4c00002e,0x0dfb14ff,0x2e000000,0x0001ffff,
    0xfffffc80,0x7ec00004,0x200003ff,0x00004009,0x26000000,0x00000400,
    0x26200000,0x00000400,0x00000000,0x10026200,0x00000000,0x00000180,
    0x00000000,0x01019800,0x00110000,0x00000000,0x98000880,0xd8000101,
    0x803fd83f,0xccccccca,0x0f333262,0x713ffff7,0x00017dfd,0xfffffdf1,
    0xeb980001,0x009bffff,0xffffda80,0x01a21bde,0x3bffb2e6,0x80000acd,
    0xdeffffda,0x7745a21b,0xeeeeeeee,0x77775c2e,0xb8800eee,0xefffffec,
    0xb3012a1b,0x5559dffd,0x3bba2355,0xeeeeeeee,0x777775c2,0xcb8800ee,
    0xbefffffe,0x332a12a1,0x262ccccc,0x0003cccc,0x3b660000,0xaaaaceff,
    0x9999911a,0x33332219,0x666440cc,0xea800ccc,0x322dffff,0x00000000,
    0x3bbbbba2,0x5c2eeeee,0x0eeeeeee,0xea800000,0x322dffff,0x03d30000,
    0x7ec403e4,0xe983ffff,0x7ffdc0df,0xfffffe9f,0x4f5c000f,0x003fffff,
    0x7fffffc0,0x2e005fff,0xaadfffff,0x06edffdb,0x4567ffe4,0x003fffda,
    0xbfffff70,0xdbffb755,0xffffe88d,0x3ea200df,0xff5001ef,0x953137ff,
    0x409f9dff,0xfc8afffc,0x443fffff,0x0dfffffe,0x07bfea20,0x5ffffd40,
    0xeffca989,0xffd884fc,0xfe983fff,0xddddd90d,0x201ddddd,0x2eeeeeea,
    0x6457ffe4,0x23ffffff,0x21ffffe9,0x81ffffe9,0x01ffffd9,0x2273bf62,
    0x20fdffc9,0xeeeeeee9,0xdd93eeee,0xdddddddd,0xffffd10d,0x7d4401bf,
    0x777641ef,0x220003ee,0xc989cefd,0x0000fdff,0x3fa00000,0x1f901fff,
    0x9fffff70,0x0bfffb31,0xfffd2f80,0x744000df,0xeefffffe,0xfffd8803,
    0x3ffaa02f,0x3fffd506,0x07bffa20,0x7fffec40,0x1bffaa02,0x0bffffea,
    0x4400fec0,0x4404fffd,0xf904fffd,0xeffe87ff,0xfffa81aa,0x3fb002ff,
    0x9fffb100,0x4fffd880,0x07ffffa0,0x3fa607e4,0x801fffff,0x641dffb8,
    0x7ff43fff,0x7fe41aae,0x7ffdc1ff,0xffff701f,0x807fec03,0xd880ffe9,
    0x01efffff,0x9ffffff5,0x7fffd401,0x03fb002f,0x09ffff91,0x807fec00,
    0x2200ffe9,0xeeeeeeee,0x775c2eee,0x540eeeee,0x9b04ffff,0x17fffee0,
    0x007ffff1,0xffffa9ea,0xff80002f,0x3e2005ff,0x8801ffff,0xfffb86fe,
    0x7ffcc02f,0x7ffc401f,0xfe8801ff,0xfffff986,0x801f7001,0x005ffff8,
    0x3e613ff2,0x7fe40fff,0x3ffe602f,0x1f7001ff,0x5ffff880,0x813ff200,
    0xb04ffffa,0x3fffe209,0xdf1000ff,0x81ffff30,0xf702fffc,0xffa83fff,
    0xfff501ff,0x13fee03f,0x2601ff30,0x403fffff,0x807ffffd,0x01fffff9,
    0x3ea01f70,0x70004fff,0xff9809ff,0xfffe8800,0x2a200dff,0x3fe01eff,
    0x00f887ff,0xb03ffff7,0x3a00ffff,0x2fffff43,0x3ffe2000,0x3ffa004f,
    0x3e6002ff,0x27fffc46,0x0efffd80,0x0bffffa0,0xf986f980,0x5001ffff,
    0xffffd00f,0x709fb000,0xfb81ffff,0x3fe605ff,0xf5001fff,0x0ffffd00,
    0xf809fb00,0x0f887fff,0x3ffffee0,0x703f7004,0xfb81ffff,0xfff505ff,
    0xffffa83f,0x3ffff501,0x200fffa0,0xfff101fb,0xffc807ff,0xff9807ff,
    0xf5001fff,0x27fffc40,0x03ffe800,0xf5001fb8,0x2005ffff,0x7fdc01fd,
    0x702d42ff,0xf703ffff,0xf9801fff,0x7ffffdc0,0x3fea0001,0xff9002ff,
    0xd90009ff,0x02ffffe8,0x09ffff50,0x013ffff2,0x3fe61b20,0xf5001fff,
    0x4ffffb80,0xc84f8800,0xffb87fff,0x3ffe607f,0x0f5001ff,0x04ffffb8,
    0x5c04f880,0x2d42ffff,0x7fffff40,0xf904f800,0xfff70fff,0x3fffea0f,
    0x0ffffd41,0x01ffffa8,0xf001dfff,0x3fffe203,0x7ffe402f,0xfff9806f,
    0x0f5001ff,0x027fffc4,0x00efff80,0xff3001f8,0x2e003fff,0x7ffc400f,
    0xf7016c6f,0xff703fff,0x84d803ff,0x05fffff8,0x3ffff200,0xffff9800,
    0x2688001f,0x007ffffb,0x0bffffe2,0x03fffff3,0xff30d100,0x2a003fff,
    0x3fffe607,0x0990000f,0xf70ffff5,0x7fcc0bff,0xf5001fff,0x7ffffcc0,
    0x80990000,0x6c6ffff8,0xffffa802,0x5035c04f,0xff70ffff,0x3ffea0bf,
    0x7fffd41f,0x3ffff501,0x1dffff10,0xff101c80,0xfc805fff,0xf9806fff,
    0x5001ffff,0x7fffc40f,0xfff88004,0x00e400ef,0x1fffff98,0x3200f500,
    0x0f11ffff,0x81ffffb8,0x203ffffa,0xfff901f8,0x360001ff,0xf9007fff,
    0x0001ffff,0x5ffffe8e,0x7ffff400,0x7ffffe45,0xf3070000,0x2003ffff,
    0x3fff607a,0x0e20007f,0x703fffe2,0x7cc07fff,0x5001ffff,0x7fffec0f,
    0x00e20007,0x447ffff2,0x3fff6007,0x05f100ff,0x207fffc4,0xf503fffb,
    0xffa83fff,0xfff501ff,0x3fffa03f,0x402202ef,0x02fffff8,0x037fffe4,
    0x0fffffcc,0x3e207a80,0xd0004fff,0x405dffff,0xfff30008,0x1ea003ff,
    0xaffffcc0,0x7ffdc04b,0xffffa81f,0x3bbbf203,0xffffeeee,0xfff0004f,
    0xfff100bf,0x10000fff,0x009fffff,0x26ffffd8,0x07fffff8,0x7ffcc000,
    0x0f5001ff,0x037ffffc,0xfffc8000,0x007ffec2,0x03fffff3,0xfff81ea0,
    0x000006ff,0x75ffff98,0x7ffcc009,0x00bb05ff,0xfd85fff9,0xfff500ff,
    0xffffa83f,0x3ffff501,0x3fffff20,0x7c4002ef,0x6402ffff,0x9806ffff,
    0x001fffff,0x7ffc40f5,0x3bffb34f,0x7ffffe40,0x4c0002ef,0x001fffff,
    0x7fec00f5,0x5c01e8ff,0xfa81ffff,0x9f102fff,0xd9999999,0x000fffff,
    0x009ffff1,0x0bfffff3,0xffff3000,0xffd8009f,0xfff30fff,0x80000bff,
    0x01fffff9,0x3fe20f50,0x00005fff,0x543bfee0,0x7cc00eff,0x5001ffff,
    0x3fffe20f,0x0000005f,0x3d1ffffb,0xffffd800,0x8007d41f,0xff50effb,
    0x7ffd401d,0x7fffd41f,0x3ffff501,0x3ffffe60,0x1001efff,0x805fffff,
    0x806ffffc,0x01fffff9,0x7fc40f50,0xffffacff,0xfff301ff,0x03dfffff,
    0x3fffe600,0x00f5001f,0x377fffd4,0x0ffffdc0,0x807fffdc,0xfffa806b,
    0x7d4003ff,0xfa802fff,0x0003ffff,0x3fffffb8,0x7fffe400,0xfffff51f,
    0xf9800007,0x5001ffff,0x3fffea0f,0x4000004f,0x3efeffe8,0xfffff300,
    0x541ea003,0x004fffff,0xfff50000,0xf1000ddf,0x4e8dffff,0x77ff4400,
    0xffa803ef,0x7ffd41ff,0xffff501f,0x7fffd403,0x00cfffff,0x17ffffc4,
    0x1bffff20,0x3ffffe60,0x440f5001,0x9aefffff,0x2a06fffe,0xffffffff,
    0x7cc000cf,0x5001ffff,0xfffe800f,0xfffb803f,0x7fffb81f,0x3a005f10,
    0x4006ffff,0x800ffffc,0x02fffffc,0xffffc800,0x7fe4002f,0xfff92fff,
    0x800005ff,0x01fffff9,0x3fee0f50,0x00003fff,0x04ccedc0,0x3fffe600,
    0x20f5001f,0x03fffffb,0x3fa00000,0x90003fff,0x2e5fffff,0x99db8006,
    0x3fea0009,0x7ffd41ff,0xffff501f,0xffffb803,0x01efffff,0x33ffffe2,
    0xdaaaaaaa,0x9806ffff,0x001fffff,0x7ffc40f5,0x3ffea1ff,0x3ffee00f,
    0x1effffff,0x3fffe600,0x00f5001f,0x00ffffb8,0x81ffffb8,0xf705fffd,
    0x3ffee001,0x3f6002ff,0xff9007ff,0x00007fff,0x07fffff7,0xfffffc80,
    0x7fffff92,0xff980000,0xf5001fff,0x3ffffee0,0xd1000003,0xf980001f,
    0x5001ffff,0x3fffee0f,0x0000003f,0x003fffee,0x7ffffc40,0x22002f8e,
    0x2a0000fe,0x7d41ffff,0xff501fff,0xfd3003ff,0xffffffff,0x3fffe203,
    0xffffffff,0x06ffffff,0x1fffff98,0x7c40f500,0x7fd44fff,0x7f4c02ff,
    0xffffffff,0xffff3001,0x01ea003f,0x00bfff10,0x83bfffee,0x880ffff8,
    0x3fe2006f,0x3e006fff,0xf7005fff,0x000bffff,0x9fffff50,0xffffc800,
    0xfffff70f,0xf980000b,0x5001ffff,0x3fffe60f,0x6665404f,0x1ccccccc,
    0x00007ff2,0x03fffff3,0x7fcc1ea0,0x65404fff,0xcccccccc,0x7ffc401c,
    0x7fdc0005,0x4005ffff,0x20001ffc,0x542ffffb,0xf501ffff,0x54003fff,
    0xfffffffe,0xfffff106,0xffffc805,0xffff9806,0x40f5001f,0x4c4ffff8,
    0x5002ffff,0xfffffffd,0x3ffe600d,0x0f5001ff,0x005ff900,0x3b7fffee,
    0x81ffffab,0x1002ffe9,0x09ffffff,0x07ffff10,0x3ffffea0,0xff980006,
    0x6c004fff,0x3ea7ffff,0x0006ffff,0x7ffffcc0,0x7c0f7001,0x9806ffff,
    0xcffffffc,0x777fffc1,0x00acceee,0x07ffffe6,0xfff03dc0,0xf9300dff,
    0x039fffff,0x000bff20,0x3fffffa0,0x7fffc001,0xacceeeee,0x9ffffb00,
    0x01ffffa8,0x003ffff5,0xffffff70,0xffff105f,0xfffc805f,0xfff9806f,
    0x0f7001ff,0x227fffc4,0x002ffff9,0x7fffffdc,0xfff9802f,0x0f5001ff,
    0x400ff100,0xfb9ffffb,0xfc82efff,0x504effff,0xfffffffb,0x7fcc03ff,
    0xff1001ff,0x0000ffff,0x017ffffe,0x4dffffd0,0x07fffff8,0x7ffcc000,
    0x0d7001ff,0x03fffff4,0x0dffffd0,0x3ffffffe,0x01ffffff,0x03fffff3,
    0xffe81ae0,0x3fa007ff,0x44006fff,0xf700007f,0x8001ffff,0xffffffff,
    0x261fffff,0xeffffffe,0x03ffff50,0x207fffea,0x7fe44049,0xff883fff,
    0x7e402fff,0xf9806fff,0x7001ffff,0x7fffc40d,0x17fffcc4,0xff910126,
    0xf3007fff,0x2003ffff,0x09b0007a,0x0ffffdc0,0x00000153,0x4c005e88,
    0x64007fff,0x000fffff,0x6ffffc80,0x7ffffc00,0x7ffffe42,0x3e200000,
    0x9001ffff,0x7fffe40d,0x3fffa007,0xffff905f,0xffffffff,0xffff101f,
    0x81b2003f,0x007ffffc,0x017ffffa,0x40001360,0x00fffffa,0x7ffffe40,
    0xffffffff,0xfffa8000,0xffff301f,0x2a00d303,0xf884ffff,0x6402ffff,
    0x8806ffff,0x001fffff,0x7ffc40d9,0x7fffcc4f,0xfa8034c2,0xf9804fff,
    0x7001ffff,0x003e000f,0x01ffffb8,0x7cc00000,0x7fd4000f,0x7fcc004f,
    0x80003fff,0x01fffff8,0x0dffff30,0x07fffff3,0xffff8000,0x40bb001f,
    0x01fffff8,0x09ffffb0,0x7fffffdc,0x02ffffff,0x003fffff,0xfff88176,
    0xffb001ff,0x1f0009ff,0x3fea0000,0xb8000fff,0xffffffff,0x8002ffff,
    0x300ffffa,0xf303ffff,0x3fff2003,0xfffff883,0x7fffe402,0xfffff006,
    0x88176003,0x7cc4ffff,0x0fcc2fff,0x03fffc80,0x1fffff98,0x2a80d700,
    0x3ee002d4,0x00001fff,0x003fe400,0x0017ffcc,0x037fffe4,0x3fee1d40,
    0xff9004ff,0x3ff203ff,0x3a8006ff,0x05ffffd0,0xff500fe0,0x3f600bff,
    0xfd504fff,0x95555559,0x3fa07fff,0x7f002fff,0x5ffffa80,0x9ffffb00,
    0x016a1540,0xffffa800,0x7f54000f,0xcaaaaaac,0x41003fff,0x820ffff9,
    0x980ffff9,0xfff3005f,0xfffff103,0xffffc805,0xffffd006,0x880fe005,
    0x7cc4ffff,0x2fcc2fff,0x01fff980,0x1fffff88,0x7e40d900,0x7000763f,
    0x0003ffff,0x2ffe8000,0x17fe6080,0xffffe800,0x20fee003,0x400ffffd,
    0x403ffff8,0x003ffffe,0x7fdc0fee,0x0fd805ff,0x1ffffc80,0x4ffffd80,
    0xa803ffa8,0xfff700ff,0x01fb00bf,0x03ffff90,0x09ffffb0,0x01d8fff2,
    0x3ffea000,0x3ea000ff,0x0ffa803f,0xff16fb80,0xf8b7dcff,0x7ff307ff,
    0x20dff500,0x02fffff8,0x037fffe4,0x05ffffb8,0x3e200fd8,0x7fcc4fff,
    0x1ffcc2ff,0x0037fd40,0x003fffff,0x6fff8176,0xff7000d3,0x000003ff,
    0x00effc80,0x077cdbee,0xfffd1000,0x07f9007f,0x2027ffdc,0x8802fffd,
    0x803ffffe,0x3fa203fc,0x3f204fff,0x3fff2003,0x7ffec00f,0x02ffc84f,
    0x3a205fa8,0x3204ffff,0x3ff2003f,0x7fec00ff,0xdfff04ff,0x500001a6,
    0x001fffff,0x54017fe4,0x2ffd005f,0x3fa4fff8,0x05fff88f,0xe805fff3,
    0xfff101ff,0xffc805ff,0xfd1006ff,0x7e409fff,0x7fffc403,0x17fffcc4,
    0xd00bffe6,0x7f4003ff,0x7f002fff,0x7dfffec0,0xfffd8001,0x0000002f,
    0x0dffffc4,0x0fdc7ff4,0xfffb8000,0xdb989bef,0xff9801ef,0x3f6a20df,
    0x7dc000ef,0x989befff,0x8801efdb,0x9bdffffe,0x8003feca,0x0adfffe9,
    0x1fffff4c,0x980fffc4,0x74400dfb,0xa9bdffff,0x98003fec,0x40adfffe,
    0x03ffffe9,0x03f7fffb,0xfffb8000,0x3e2001ff,0xbf7301ff,0x23fee001,
    0x7fdc6ff9,0x300fff88,0x981bffff,0x3e602ffc,0x6c03ffff,0x2007ffff,
    0xbdffffe8,0x803feca9,0x544ffff8,0x7cc3ffff,0x64c0dfff,0x7dc002ff,
    0xfd805fff,0x3fffa600,0x7fdc4002,0x000aefff,0x3fae0000,0x7fdc5fff,
    0x400001cd,0xfffffeb8,0x44004eff,0xffefffdc,0x10000bde,0xffffffd7,
    0xf90009df,0xbfffffff,0xfda80003,0xfffeefff,0x7dc401cf,0xdefeeeff,
    0x7ffe4003,0x01dfffff,0x7ffed400,0xcffffeef,0x7fff4c01,0xfd800002,
    0x4003ffff,0xeeefffb8,0x44003def,0x81dfeefd,0x01dfeefd,0x3fae6be6,
    0x00dffede,0x2fffffdc,0xffffff10,0xfffc8003,0x01dfffff,0x8dffff50,
    0x4c5ffffc,0xdefeb9af,0x8000dffe,0x04ffffe8,0x54c00ff2,0xaaa88000,
    0x001aaaaa,0xcc980000,0x00015102,0x57531000,0x54400003,0x800000ab,
    0x001aba98,0x35775300,0x31000001,0x00135575,0x006aa620,0x55dd4c00,
    0x88000009,0x009aaba9,0x0000a980,0x3fffb720,0x03ceffff,0x00d54c40,
    0x20033000,0x30510019,0x44013575,0xffffffec,0xffb72def,0x9bffffff,
    0xabba9800,0x3ff20009,0xffb6ffff,0x144dffff,0x004d5d4c,0x3fffa200,
    0xfeca9bdf,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,0xdfffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x53000000,0x00013577,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000010,0x40002aaa,0x0014c03a,0x00a80330,0xeeeeeec8,0xeeeeeeee,
    0x003eeeee,0xaa89554c,0x20000002,0x000deeec,0x80880110,0xeeeeeee8,
    0x75c3eeee,0x01eeeeee,0x003500ae,0x10000110,0x00035555,0x003500ae,
    0x01d401b5,0x01dc04b8,0x00406600,0x0481ca80,0x33006600,0x777774c0,
    0x23eeeeee,0x001aaaa8,0x01555300,0x2015c000,0x0600001a,0x02aaaa20,
    0x0000fff6,0x005ffff1,0xf705f880,0x07dc0007,0xfd801fa8,0xffdcceff,
    0xfecccfff,0x7f4004ff,0x009ff72f,0x7ffc0000,0x3ee0001f,0x4407f301,
    0x1efffffd,0x0bbfea20,0x7ec13ea0,0x002d8001,0x0efffb80,0x209f5000,
    0x1df001fd,0x22007f90,0x02fd80ef,0xffffea80,0xa800322d,0xb9beffff,
    0x07ea0006,0x6c4017cc,0x01ffffff,0x000dfff9,0x0bffff10,0x827d4000,
    0x540001fd,0xffc805fe,0xffffa85f,0x3fea0000,0xf900002f,0x0037ec1d,
    0x26b3be60,0xfb007fcb,0xffff981b,0x027fcc0f,0x7ec9ff10,0x20000006,
    0x0001fffa,0x3fdc2fe8,0x7ffffd40,0x007f9002,0xbfd12ff4,0x005f7000,
    0x01dffd00,0x225fe800,0x3ee005fe,0x00dfb11f,0xfd11efc8,0xefd8800b,
    0xdffc989c,0xfff1000f,0x09ffffff,0x567fcc00,0x000ffca9,0x07fffff1,
    0x001fffc8,0x7ffffe40,0x3fa00002,0x0017fa25,0x001efe88,0x3f20bfff,
    0x20002fff,0x00003ffd,0x3fabbfe2,0xfd80002f,0x03ffffff,0xff301fb0,
    0x9f101fff,0xf137dc00,0x0000003f,0x00017fec,0xff93ffb8,0xffff3005,
    0x07ee005f,0xfaeff980,0x7cc000ff,0x7c40002f,0xa80000ef,0x0fffadff,
    0x75fff400,0x7c4002ff,0x01fffbff,0x9807fec0,0xf7000ffe,0xffffffb9,
    0xffc80003,0x004fffff,0x0fffffe2,0x000fff20,0xffdfff98,0x3e600006,
    0x00fffaef,0x007ff600,0xf3037fd4,0x44000fff,0x800003ff,0x05fffffc,
    0xfffd1000,0x1ec00bff,0x0fffff98,0x7f4009b0,0x00013ea1,0x005ff000,
    0xffffe800,0xfff3006f,0x1ea003ff,0x3ffff600,0x7f44004f,0x7dc0002f,
    0x3a00000f,0x003fffff,0x5fffffa8,0xffff7000,0xffb8009f,0x007fcc04,
    0x3f6e23c8,0xe880001c,0x006fffff,0x02fffff8,0x4000dfb0,0x5ff51efd,
    0x7fec0000,0x20004fff,0x32006ffa,0x66d400ef,0x0fea0001,0x7fc40000,
    0x00001fff,0x001f7f64,0x7ffcc036,0x009500ff,0x00db0fe2,0x2fa80000,
    0xffa80000,0xf3001fff,0x2003ffff,0xff98007a,0x26000fff,0x0002ffff,
    0x00000ff4,0x01ffffe6,0x1ffffe80,0x3fffe000,0x7ff4000f,0x001fb803,
    0x70000000,0x20007dfd,0x002fffff,0x2a0007f6,0x037cc0ef,0xffff3000,
    0x7e40001f,0x03be006f,0x29800000,0x75c00000,0x000003ee,0x26018000,
    0x200fffff,0x15051001,0x00000000,0xffe80000,0x3fe6005f,0xf5001fff,
    0x3bbb2000,0x3ffea002,0x004ccdff,0x000001a8,0x0005ddd9,0x001e664c,
    0x00b332a0,0x003bffe0,0x0000007e,0x00000000,0x005fffff,0x4c8000a8,
    0x0000ba60,0x002eeec8,0x803ffec0,0x000000a8,0x00000000,0x00000000,
    0xfff98000,0x000000ff,0x00000000,0x4c400000,0x3e600099,0x5001ffff,
    0x8000000f,0xfffffff9,0x00000fff,0x00000000,0x04000000,0xffff8800,
    0xd10e400e,0xdddddddd,0xeeeb85dd,0x0000eeee,0xffff8000,0x0000002f,
    0x00000020,0xff900000,0x2600003f,0x40cccccc,0xeeeeeeea,0x77775404,
    0xdddd55ee,0xea809ddd,0x805eeeee,0xdeffecb9,0x4c0000ac,0x000fffff,
    0x7ff65cc0,0x0000acde,0x77777540,0xeeeeeeee,0x0eeeeeee,0x7b50b6e0,
    0xfffff300,0x641ea003,0xeeeeeeee,0xeeeeeeee,0x7fd43eee,0xeee802ff,
    0xeeeeeeee,0x04eeeeee,0x3bbbbbba,0xeeeeeeee,0x7774c4ee,0xeeeeeeee,
    0x000d0003,0x177ffff4,0xffd10110,0x4401bfff,0x74c1effa,0xeeeeeeee,
    0xeeeeeeee,0x7fffc04e,0xeeee982f,0x3eeeeeee,0x2000d000,0xeeeeeee9,
    0xbcccdeee,0xfff50001,0xddddd305,0x27dddddd,0x81ffffe9,0xffffffc8,
    0x1effa803,0x7ffffe44,0xeffa803f,0xcfffc801,0x3fffda8a,0x3ffe6000,
    0x320000ff,0xda8acfff,0x00003fff,0xfffffd88,0xfdcccdff,0xf700ffff,
    0x3ffe63ff,0x7fffcc03,0x20f5001f,0xdccefffd,0xcccfffff,0x7d44fffe,
    0x7c402fff,0xccccefff,0xffffffdc,0xdffff101,0xffb99999,0x2203ffff,
    0x1efffffd,0x00bea000,0x7ffffe40,0x7d4002ef,0xb002ffff,0x7fec403f,
    0xccccdfff,0x405ffffd,0x202fffff,0xefffffd8,0x0bea0001,0xfffe9800,
    0xffdcccff,0x4c001eff,0x36203fff,0x81efffff,0x201ffffc,0x1ffffffc,
    0x3201fc80,0x01ffffff,0x75401fc8,0xfd101fff,0xf30003df,0x0001ffff,
    0x203fffd5,0x001effe8,0x7fd7dc00,0xff502fff,0x3fff601f,0x80bfff73,
    0x01fffff9,0x37f60f50,0x7ffffcc0,0x2a27fcc0,0x4c02ffff,0x3f601dff,
    0x2604ffff,0x3f601dff,0x4c04ffff,0x003fffff,0x80037f40,0xfffffff9,
    0xff3001ef,0x2e003fff,0x7ffcc00f,0xffb102ff,0xfffff80b,0x7fffcc02,
    0x7f40003f,0x7fd40006,0xffc80fff,0x3e2004ff,0x7fcc03ff,0xff703fff,
    0x7fc403ff,0x400fffff,0x3fe200fa,0x400fffff,0x3fee00fa,0x7fcc02ff,
    0x7cc001ff,0x4000ffff,0x402ffffb,0x001ffff9,0x3fe37a00,0x3a202fff,
    0x1fff500f,0x300bffe2,0x003fffff,0x407ec1ea,0x80fffff9,0x7ffd44f8,
    0x02fcc02f,0x1bffffe6,0xf980bf30,0x8806ffff,0x002fffff,0x007ffe60,
    0x7ffffd40,0x400cffff,0x01fffff9,0xff100f50,0xfa805fff,0x7ffffc05,
    0x7fffc402,0x3e60002f,0x260001ff,0xb00fffff,0x4007ffff,0x7c401fff,
    0xf702ffff,0x7c403fff,0x06ffffff,0x3fe203cc,0x406fffff,0x3ffe2079,
    0xfffb004f,0x7fcc001d,0x22000fff,0xb004ffff,0x0001dfff,0xfff11f70,
    0x0fb805ff,0x37102e60,0xfffff300,0x6c1ea003,0xfffff303,0xff513601,
    0x07a805ff,0x2fffffe8,0x7f403d40,0x8802ffff,0x002fffff,0x017fff60,
    0xfffffb80,0x201effff,0x01fffff9,0xff100f50,0xbb005fff,0x2fffff80,
    0x7ffffc40,0x3ff60002,0x3e60005f,0xf300ffff,0x2600dfff,0xff8807ff,
    0xff702fff,0x4fc403ff,0x04ffffff,0xf3f101e6,0x409fffff,0x3fffa079,
    0xfff5002f,0x7fcc009f,0x3a000fff,0x5002ffff,0x0009ffff,0xfff12f88,
    0x7c4505ff,0x4c000000,0x001fffff,0x4c0360f5,0x500fffff,0x2ffffa89,
    0x3ee025c0,0xb805ffff,0x7fffdc04,0xfff1005f,0x220005ff,0x000fffff,
    0x3ffffa60,0x301fffff,0x003fffff,0x3fe201ea,0x54282fff,0x7ffffc05,
    0x7fffc402,0xff10002f,0x20001fff,0x00fffff9,0x01fffff1,0x1003ff90,
    0x205fffff,0x201ffffb,0xfffff578,0x101e607f,0x3ffffeaf,0x2e0f303f,
    0x2007ffff,0x02fffff8,0x1fffff30,0x3fffee00,0x3ffe2007,0x360002ff,
    0x3ffffe25,0xc83624c2,0x321ccccc,0x300ccccc,0x003fffff,0xf300c1ea,
    0x0c01ffff,0x00bfffea,0x7ffc4019,0x0c800fff,0x3ffffe20,0xfff1000f,
    0x320005ff,0x004fffff,0xffffea80,0xff306fff,0x2a003fff,0xffff8807,
    0x02c4582f,0x00bffffe,0x05fffff1,0x3ffff200,0xff30004f,0x7fc01fff,
    0x32203fff,0xff1001ef,0x3ee05fff,0x9e201fff,0x1ffffffc,0x93c40798,
    0x03ffffff,0x3fffa0f3,0x7ff4005f,0xff3005ff,0x3a001fff,0x4005ffff,
    0x005ffffe,0x7fc41f50,0x025c2fff,0x8fffff62,0x01ffffe9,0x03fffff1,
    0x26001ee0,0x000fffff,0x00bfffea,0xfffffb00,0x3f600007,0x2003ffff,
    0x02fffff8,0xfffef880,0x700000ff,0x5fffffff,0x3fffff30,0x2201ea00,
    0x4c2fffff,0xffff8006,0x7ffc402f,0xf88002ff,0x00fffffe,0xfffff980,
    0xfffff100,0x0077e205,0x5fffff10,0x07fffee0,0x7ffec788,0x03cc0fff,
    0xffffb1e2,0x887981ff,0x004fffff,0x037fffec,0x0fffff98,0xfffff880,
    0x7ffec004,0x3f88006f,0x17ffffc4,0x3fee0136,0x7ffe43ff,0x3fffe01f,
    0x00d7001f,0x1fffff30,0x7fffd400,0x3fea0002,0x00006fff,0x0dfffff5,
    0xfffff880,0xf9eb8002,0x3003ffff,0xfffc8809,0xfff983ff,0x0f5001ff,
    0x5fffff10,0xff8006c8,0x7c402fff,0x8002ffff,0xfffff9eb,0xfff98003,
    0xfff500ff,0x3f6201ff,0x3fe2000c,0xff702fff,0x23c403ff,0x6fffffe8,
    0x11e203cc,0x8dfffffd,0xffff9879,0x7fec004f,0xf9800fff,0x9800ffff,
    0x004fffff,0x07ffffec,0x3e21b200,0x3ea2ffff,0xffff9804,0x0ffffdc3,
    0x05ffffd0,0x26001760,0x000fffff,0x00bfffe6,0x7ffffc40,0xf880001f,
    0x001fffff,0x17ffffc4,0xffe97c00,0x0d3006ff,0x13fffea0,0x07ffffe6,
    0x7c403d40,0x3e62ffff,0xffff8006,0x7ffc402f,0x2f8002ff,0x00dffffd,
    0x1fffff30,0x13ffff60,0x400ffa60,0x02fffff8,0x403ffff7,0xffff9878,
    0x101e64ff,0xfffff30f,0x7dc3cc9f,0x4003ffff,0x01fffffc,0x0fffff98,
    0xfffffb80,0x7ffe4003,0x3e6001ff,0xfffff881,0x804ffebb,0x543ffff9,
    0x3601ffff,0x8803ffff,0xff98003f,0x26000fff,0x0022ffff,0x4fffffc8,
    0xfff90000,0xf10009ff,0x8005ffff,0x3fffea7a,0x01f9802f,0x307fff90,
    0x003fffff,0x3fe201ea,0xffb9bfff,0xffff8006,0x7ffc402f,0x3d4002ff,
    0x05fffff5,0xfffff980,0x7fffec40,0x0ffee005,0x3ffffe20,0x3ffff702,
    0xffa83c40,0x0f32ffff,0xfff50788,0x21e65fff,0x02fffffc,0x7ffffe40,
    0xffffa802,0xfffc800f,0x7e4002ff,0x2002ffff,0xffff104e,0x09ffffff,
    0x87ffff30,0x201ffffa,0x805ffffa,0xff30006d,0x44001fff,0x0914ffff,
    0x3ffffe60,0xf980000e,0x000effff,0x2fffff88,0x3fa1f400,0xf9805fff,
    0x3fff3005,0x3fffff30,0x2201ea00,0xffffffff,0x7c4006ff,0x4402ffff,
    0x002fffff,0x3fffa1f4,0x7fcc005f,0xfedccfff,0x4001dfff,0x4400fff8,
    0x702fffff,0x4403ffff,0x3fffee07,0x440799ff,0x3fffee07,0xfb8799ff,
    0x4003ffff,0x02fffffc,0x1fffffa8,0xfffffb80,0x7ffe4003,0xff7002ff,
    0xffffffff,0xff715fff,0xffff3009,0x1ffffa87,0x27fffec0,0x20003f70,
    0x00fffff9,0x77fffdc0,0xfffd000e,0x200005ff,0x02fffffe,0xfffff100,
    0x207cc005,0x01fffffb,0x5401ffcc,0xfff306ff,0x1ea003ff,0x3ffffe20,
    0x006ffb9b,0x1fffffc4,0x3ffffe20,0x703e6002,0x003fffff,0x67ffffcc,
    0x05fffffd,0x00bffe00,0x05fffff1,0x80bffff2,0x7ffec078,0x4407aeff,
    0x7fffec07,0xffa87aef,0x64004fff,0x800fffff,0x04fffffd,0x4fffffa8,
    0x7fffe400,0x9bf8800f,0xff999999,0x13ea2fff,0x0ffffe60,0x803ffff5,
    0xbeffffe8,0x003ffca9,0x3ffffe60,0xffeb8000,0xfff7001d,0x20000bff,
    0x05fffffb,0x3fffe200,0x2136002f,0x05fffff8,0x2017ffcc,0xff301ffe,
    0x2e003fff,0xffff8807,0x001bea2f,0x0bfffff7,0x2fffff88,0x3e213600,
    0x2005ffff,0xb0fffff9,0x005fffff,0x809fff10,0x02fffff8,0x407ffffb,
    0x7ff44078,0x4407ffff,0x7fff4407,0xff987fff,0x6c004fff,0x2a07ffff,
    0xffffffed,0xff301cef,0xd8009fff,0xb007ffff,0xffff880b,0x4c026c2f,
    0x7d43ffff,0xd5001fff,0x7dffffff,0xff980001,0x20000fff,0x7ffc4000,
    0x00800fff,0x7fffffc4,0xff100800,0x22005fff,0xffff901f,0x7ffcc01f,
    0x7fe4c0df,0x3fffe602,0x00d7001f,0x85fffff1,0xfec8806c,0xdfffffff,
    0xfffff882,0x203f1002,0x00fffffc,0x1fffff30,0x3fffffe2,0x7ffd4000,
    0x7fffc403,0x7fffcc2f,0x0f106fff,0xffffff10,0x8807880f,0x07ffffff,
    0x00bfffff,0x06ffffe8,0xfff00000,0xfe800bff,0xfa806fff,0x7fffc400,
    0x20825c2f,0x543ffff9,0x4001ffff,0x002ffa99,0x3fffe600,0x0350000f,
    0xfffffd80,0x6c039003,0x003fffff,0xffff1039,0x3bf2005f,0xffeeeeee,
    0x3e604fff,0xedefeb9a,0x7c400dff,0x9001ffff,0xffff100d,0x1106a85f,
    0x8801fa20,0x002fffff,0xddddddf9,0x09fffffd,0x3ffffe60,0x3ffffea0,
    0x7ffdc005,0x7fffc401,0x01fb102f,0x3e600f10,0x4407ffff,0xffff3007,
    0x3fff20ff,0x7ffc006f,0x154002ff,0x7fffe400,0x7fffc006,0x01fc402f,
    0x17ffffc4,0xf9922126,0x7fd43fff,0xf90001ff,0xf980000d,0x8000ffff,
    0xf5005ffe,0x400dffff,0xffff500e,0x407400df,0x02fffff8,0xcccccf88,
    0xffffeccc,0x2a60a207,0x3e0009bf,0xb001ffff,0xffff100b,0x3906885f,
    0x4005ff30,0x02fffff8,0xcccccf88,0xffffeccc,0xffff3007,0xffffd81f,
    0x3ff2003f,0x7ffc400f,0x09fd02ff,0xfb801e20,0x3c407fff,0xfffff700,
    0x3ffffe20,0xffff3001,0x6ffc800d,0x7fffc400,0xfff3001f,0x00d900df,
    0x0bffffe2,0xff98f206,0x7ffd43ff,0xff88001f,0x7cc00004,0x4000ffff,
    0x400ffff8,0x1ffffff8,0x3e20f500,0x001fffff,0x3ffe20f5,0x06b802ff,
    0x3fffffa8,0x00dfb800,0x17ffff40,0xf8803f80,0x0182ffff,0x01ff901f,
    0x7ffffc40,0xa806b802,0x803fffff,0x40fffff9,0x1fffffe8,0x00fffb00,
    0x05fffff1,0x22005ff5,0x7ffe4007,0x2003c407,0x2e07fffc,0x9004ffff,
    0x8003ffff,0x4002fffe,0x004ffffb,0x803ffff9,0xff1001f9,0xf1005fff,
    0x1ffffc45,0x007ffff6,0x003ffea0,0xffff9800,0xdda8000f,0x7ffe401f,
    0x1ba004ff,0x27ffffe4,0x3e20dd00,0x4402ffff,0xfffd002f,0xffd000df,
    0xfffb800b,0x00fd805f,0x2fffff88,0x3fa0f700,0x3fe2004f,0x7c402fff,
    0xffffd002,0xffff300d,0xffff301f,0x3ff200df,0xffff8806,0x06ffc82f,
    0xe8001f30,0x07cc07ff,0x01fffa00,0x801ffffb,0x003ffff8,0x002fdd98,
    0x00ffffd8,0x01ffffc4,0xff100274,0xd8805fff,0x2ffffc1f,0x05fffff9,
    0x09fff300,0x7ffd4000,0x260000ff,0x7fffcc06,0xfd8800ff,0xfffff985,
    0x5fd8800f,0x5fffff10,0x7000fb80,0x005fffff,0x8800ffd0,0x204ffffe,
    0xff1003fc,0xf5005fff,0x03fff60d,0x7ffffc40,0x8007dc02,0x02fffffb,
    0x07ffffcc,0x4fffffc8,0x807ff980,0x82fffff8,0xc801fffb,0x7fc4001f,
    0x000fe407,0x2e01ffe2,0x7ec04fff,0x440002ff,0x3fee0007,0x7ffec04f,
    0x002fc802,0x0fffffe2,0x540ffe88,0xbeffffff,0x0004ffff,0x013bfffd,
    0xffffa800,0x0b60001f,0x5fffffd0,0x09fff700,0x05fffffd,0x209fff70,
    0x03fffff9,0xf8801be2,0x4006ffff,0x88005ff8,0x9bdffffe,0x2003feca,
    0x03fffff9,0xfa82ffdc,0x4c01afff,0x203fffff,0x3e2006f8,0x5406ffff,
    0x201fffff,0x02fffffe,0x4c02ffc8,0x883fffff,0x301bffff,0x98001dfd,
    0x3bfa607f,0x03fcc000,0x20dfff98,0x00effda8,0x0004c800,0x106fffcc,
    0x001dffb5,0x64009ff7,0x9aefffff,0x7fffdba9,0x2bffff90,0x05fffffa,
    0xffffd880,0x3f60001f,0x8004ffff,0x7fdc02da,0x9999efff,0xfffebaa9,
    0x7fffdc4f,0xa99999ef,0x4ffffeba,0xbfffff70,0x00bffa60,0x7fffffc4,
    0xefec9804,0x3ff20000,0x1dffffff,0x7fffdc00,0xcba99bff,0x2e04ffff,
    0x204ffffe,0x05fffffb,0x2005ffd3,0x4ffffff8,0x3fffff20,0x3fffe203,
    0xffb801ff,0xffff700c,0x3ffa60bf,0x3ffaa6ff,0x2002dfff,0xfffea87a,
    0x2a002dff,0x3f722007,0xbdeffeff,0x16cc0000,0xfdc88000,0xbdeffeff,
    0x7fffcc00,0xedc885ff,0xffffffff,0xffffffff,0x00055406,0x072e2000,
    0x7ff6d400,0x1cefffff,0xff100100,0xffffffff,0xffffffff,0x7ffc47ff,
    0xffffffff,0xffffffff,0x3ffb223f,0x2defffff,0x9dfffff9,0x3ffff6a0,
    0x201fffff,0x000009a9,0x026aeea6,0xfffec880,0xffffffff,0x02ffffff,
    0xc880bc98,0xfffffffe,0xffff92de,0x3f6a09df,0xffffffff,0xffffdb31,
    0x701bdfff,0x0dffffff,0x644fb730,0xfffffffe,0x1bc982de,0x01c00000,
    0x001c0000,0x00157510,0x00000800,0x0055d440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x55000000,0x00000555,0x4c000000,0x000001dd,
    0x510064c0,0x2aa00000,0x880002aa,0x00000501,0x40000062,0x00015028,
    0x01881a80,0xeeeeee98,0xeeeeeeee,0x2884eeee,0x54400c40,0x00001aaa,
    0x00310350,0xdb999730,0x07dddddd,0x10066200,0xaaaa9800,0x30000000,
    0x00005555,0x88776600,0x530002dc,0xb8000355,0xff5000be,0x2200003b,
    0x0002ffff,0x0fc40b90,0xffff0000,0x00197001,0xf501dd00,0xf300000b,
    0x80003fff,0x3fe26ffa,0x64c0000f,0xbdefffed,0x7fd40001,0x007ffe26,
    0x3bffaa00,0x4400990b,0xcdfffffd,0xffffdccc,0xd102f985,0x3fff6009,
    0x75c00005,0x09b0beff,0x7ffffdc0,0xaffdccef,0xfd971000,0x437dffff,
    0xffd8004a,0x0000004f,0x0007ffff,0xfff81aa0,0x003fff65,0x01bfffa0,
    0x04fffb80,0x0017fdc0,0x01fffd40,0x43bf5000,0x0000fea8,0x05ffff50,
    0x0000fee0,0x7fdc3ff5,0xfb800000,0xe80001ff,0xfff91fff,0x3f220009,
    0xfca89cff,0x360003ff,0xfff72fff,0xffa80009,0x1fffffff,0x7fffcc00,
    0xbffb102f,0x2a6b3fe0,0x36002fec,0x00000fff,0xfffffff7,0x3f6003ff,
    0x25ffffff,0x3ea003f9,0xa98aceff,0x04fdeffc,0x07ffe880,0xff980000,
    0xe980003f,0xffff300e,0x000ffffc,0x0bffffee,0x3fffec00,0x01ffec00,
    0x00fff600,0xfffd1000,0x000bffff,0x07fffc40,0x000bf500,0xffdaffe8,
    0xfd000004,0x3600005f,0xfff70fff,0xfff50007,0x3ffe603f,0xffc8001e,
    0x07fff51f,0xffefe800,0x8007ffff,0x02fffff8,0xffb82fd4,0x006fffff,
    0x0002ffd8,0xffffdfd0,0x3f200dff,0x5fffffff,0x36200fe6,0x6c405fff,
    0x10004fff,0x00003ffd,0x004ffc80,0xe805fa80,0x1bfee4ff,0xfbfff100,
    0x3ee000df,0xfa8004ff,0x7fc0007f,0xf3000003,0x01ffffff,0x2eea8000,
    0x004fd800,0x3ffffea0,0x9800000f,0x200002ff,0x3f223ed8,0xfffb8004,
    0x7ffd402f,0x7ec4001f,0x00067e43,0x7edc47e0,0xf88001df,0xd802ffff,
    0x3ffff605,0xfd0000ef,0x43e0000b,0x01cffeb8,0xffffff98,0x0be65fff,
    0x0bffff10,0x0027fe40,0x0009fd10,0x004ff800,0x000ff980,0x00053035,
    0x3fea3ff9,0xcec88003,0xfffa8000,0x09f50001,0xfe980000,0x00000dff,
    0xffa80000,0x3ffa0003,0x000003ff,0x000005f7,0xff100000,0x3f6009ff,
    0x00000eff,0x10180000,0x7fc40001,0x54282fff,0x677ed405,0x3fa20000,
    0x10180000,0x7ffe4001,0x25ffffff,0x7ff402f9,0x4fd8007f,0x03f44000,
    0x09f30000,0x09ff3000,0x26000000,0x07fcc0ef,0x5c000000,0x30002fff,
    0x40000005,0x00000098,0xe8040098,0xd30002ff,0x00000bdd,0x000000cc,
    0xffe80000,0xff5002ff,0x000009ff,0x00000000,0x7ffffc40,0x002c4582,
    0x05440000,0x00000000,0xfffffffb,0x017ccbff,0x009ffff7,0x00009f10,
    0x00000151,0x740000a6,0x000001ff,0x2201b900,0x0000003e,0x001fffc8,
    0x00000000,0x54000002,0xbdeffffd,0x7fdc1a21,0x00000006,0x44000000,
    0xeeeeeeee,0x775c2eee,0x2e0eeeee,0x2007ffff,0x02fffff8,0xdffd9730,
    0x8000159b,0xdeffecb9,0x7c4000ac,0x34c2ffff,0x00000000,0xeeeea800,
    0x75404eee,0xff5eeeee,0xffffffff,0xf9817ccb,0x0001ffff,0x01000099,
    0x00200000,0x40bff500,0xccccccca,0x0f333262,0xb3000000,0x5559dffd,
    0x7fec0355,0xeeeee987,0xccdeeeee,0x000001bc,0xf700001a,0x755bffff,
    0x20ddbffb,0x7541fff8,0xeeeeeeee,0x000abccd,0xddddddd9,0x3aa01ddd,
    0x442eeeee,0x0dfffffe,0x07bfea20,0x017ffffa,0x0bffffd0,0x159fff90,
    0x007fffb5,0x2b3fff20,0x03fffda8,0x3ffffe20,0x74c03642,0xeeeeeeee,
    0xdddd33ee,0xdddddddd,0x09dddddd,0xffffff91,0x3dff5007,0x7ffffff4,
    0x0be65fff,0x037fffec,0x00007100,0x2000000d,0x7ff40006,0x3fff6203,
    0xdfe983ff,0xdddddd30,0xdddddddd,0x3209dddd,0xffc8afff,0x3e03ffff,
    0x3fa606ff,0xdcccffff,0x001effff,0x0017d400,0x7fffec40,0x1bffaa02,
    0xd305fff8,0xb99fffff,0x005dffff,0xffffffd3,0xbff71003,0x3fffea03,
    0x03fb002f,0x09fffff1,0x6ffffd80,0x07fffaa0,0x00f7ff44,0x01fffea8,
    0x003dffd1,0x45fffff1,0x362006f9,0x01efffff,0xbfffffb1,0xfffb9999,
    0x7ffe40bf,0xfc801fff,0x7ffffe41,0x3e65ffff,0xbfffff02,0x80000000,
    0x000002fa,0xa80017d4,0xfe802fff,0x1f901fff,0xfffffb10,0xffb9999b,
    0xfff90bff,0xaaeffe87,0x017ffe01,0x01fffff5,0x009ffff9,0x0037f400,
    0x3ffffe20,0x06fe8801,0x5c07fff6,0x540fffff,0x400dffff,0x0ffffff8,
    0x980df100,0x001fffff,0xfff301f7,0xfd8009ff,0xfb80ffff,0x7cc02fff,
    0x7dc01fff,0x7cc02fff,0x7c401fff,0xfb9bffff,0x7fcc006f,0x7cc03fff,
    0xb102ffff,0x7fc40bff,0x400fffff,0x7ffd40fa,0x25ffffff,0xfff882f9,
    0x000004ff,0x0037f400,0x01bfa000,0x00ffff40,0x827fffd4,0x3ffe604d,
    0xffb102ff,0x0ffff98b,0x4017ffe4,0x7cc04ffd,0xfb00ffff,0x00007fff,
    0x0003fff3,0x017ffff4,0x7e40df30,0xfff503ff,0xfff101ff,0xffb803ff,
    0xf7004fff,0xffff9803,0x20f5001f,0x03fffffb,0x7ffffe40,0x27fffc41,
    0x0efffd80,0x09ffff10,0x03bfff60,0xffffff88,0x4006ffff,0x02fffff8,
    0x17ffffc4,0xf8817ea0,0x06ffffff,0x7ffc43cc,0x25ffffff,0xfffa82f9,
    0x000004ff,0x07ffe600,0x7fcc0000,0xfff8001f,0x3fffe007,0x2200f887,
    0x402fffff,0x7ffdc5fa,0x2fffdc0f,0x202ffd40,0x00fffff9,0x00dffff3,
    0x0bfffb00,0x3ffff200,0x206c8004,0xf504fffc,0x2a01ffff,0x400effff,
    0x00fffffe,0xff9804f8,0xf5001fff,0x3fffff20,0x7ffe4002,0x7fff42ff,
    0xfff5002f,0x3fffa09f,0xfff5002f,0x7ffc409f,0x6ffb9bff,0x7fffc400,
    0x7ffc402f,0x05d802ff,0x3fffe7e2,0x41e604ff,0xfffffffb,0x2e0be65f,
    0x003fffff,0x3f600000,0x000005ff,0x800bfffb,0x2007fff8,0x542ffffb,
    0x7fffc405,0x645d802f,0xffb87fff,0x1ff9007f,0x7ffffcc0,0xfffff100,
    0x7fc40001,0x4c000fff,0x001fffff,0x3fee0688,0xffff505f,0x7fff401f,
    0x7ffd405f,0x035c04ff,0x1fffff98,0x3ee0f500,0x4003ffff,0x22fffffc,
    0x007ffffb,0x0bffffe2,0x00fffff7,0x17ffffc4,0x2fffff88,0xf1001bea,
    0x8805ffff,0x282fffff,0x2af102d4,0x03ffffff,0x7ffd40f3,0x3e65ffff,
    0xfffffb82,0x00000003,0x01fffff1,0xfff88000,0x3e6000ff,0x3e2007ff,
    0x016c6fff,0x0bffffe2,0xffa8b50a,0x5fffb87f,0x407bf200,0x00fffff9,
    0x00fffffe,0xfffffc80,0x7ffe4004,0x070000ff,0xa837ffdc,0x200fffff,
    0x00fffffb,0x07ffffec,0xf3002f88,0x2003ffff,0xffff507a,0xffd8009f,
    0x3ffa0fff,0x7f4005ff,0x7ff45fff,0x7f4005ff,0xff105fff,0x06c85fff,
    0x7ffffc40,0x7fffc402,0x02c4582f,0x7fffe4f1,0x407981ff,0x5ffffffa,
    0x3fe60be6,0x65404fff,0xcccccccc,0x3ff2001c,0x00004fff,0x27ffffe4,
    0x0ffff700,0x1ffffc80,0xfff100f1,0x588b05ff,0x207fffc4,0x4003fffb,
    0xff985fb8,0xff100fff,0x20005fff,0xfffffef8,0xffff1000,0x200000ff,
    0xf507fffb,0x4401ffff,0x404fffff,0x05fffff9,0x7fcc00bb,0xf5001fff,
    0x3ffffe60,0x7ffec004,0x3fffe27f,0x7fec004f,0x3ffe26ff,0x7ec004ff,
    0xff106fff,0x06a85fff,0xffff1011,0xfff8805f,0x0034c2ff,0xffffb1e2,
    0x007981ff,0x4cbfb973,0xffff882f,0xffc9805f,0x001cffff,0x3ffffbe2,
    0xf100000f,0x01fffffd,0x01bfff20,0x2bffff30,0xfff8804b,0x8034c2ff,
    0x7ec2fffc,0x6d4000ff,0xffff983f,0xffff500f,0x3ae0001f,0x03fffff9,
    0xbfffff30,0x3ee00000,0xfff507ff,0xfff801ff,0xffd807ff,0x07d41fff,
    0xfffff300,0xf81ea003,0x4005ffff,0x266ffffe,0x004fffff,0x87ffffec,
    0x04fffff9,0x7ffffec0,0xfffff880,0x81c83442,0x02fffff8,0x17ffffc4,
    0x8f1001b2,0x6fffffe8,0x5f8003cc,0x7ffc0be6,0x3fa006ff,0xb8006fff,
    0x3fffff9e,0xf3d70000,0x2007ffff,0x8006fffb,0x1e8ffffd,0xfffff880,
    0xf7003642,0x3bfea1df,0x33fa2000,0xfffff300,0x3ffff601,0x74be0004,
    0x5006ffff,0x007fffff,0x3ffee000,0xfffff506,0xffffe801,0x7ffc400f,
    0x002746ff,0x07ffffe6,0xff903d40,0xff800dff,0x3fee2fff,0x64003fff,
    0xf71fffff,0x8007ffff,0x81fffffc,0x82fffff8,0xff101f01,0xf8805fff,
    0x3e62ffff,0x4c3c4006,0x24ffffff,0x4bf00079,0xfff902f9,0x7ff400ff,
    0x2f8005ff,0x00dffffd,0x7ff4be00,0xff5006ff,0xff5000ff,0x2200ddff,
    0x262fffff,0x7f44006f,0x8003efef,0x3e600ffd,0x6c40ffff,0x0005ffff,
    0xffffa9ea,0xfffc802f,0x000002ff,0x2a0bfff7,0x400fffff,0x00fffffe,
    0x2fffffc8,0xff3000d7,0x2a003fff,0x3fffe207,0xfff5001f,0xffffc8df,
    0x7fe4002f,0xfff92fff,0xfc8005ff,0xf882ffff,0x7002ffff,0x3fffe20f,
    0x7ffc402f,0x6ffb9bff,0xfa83c400,0xf32fffff,0xf997e000,0xfffff102,
    0x3fff6005,0x53d4004f,0x005fffff,0x3fea7a80,0xf9802fff,0xfd0007ff,
    0x22007fff,0xb9bfffff,0x6dc006ff,0x70000999,0xff980bff,0xfedccfff,
    0x0001dfff,0x3fffa1f4,0xfffc805f,0x000003ff,0x2a09fff9,0x400fffff,
    0x01fffffd,0xefffff88,0xf98002f8,0x5001ffff,0xffffb80f,0xffffb004,
    0xfffffb83,0x7ffe4003,0xffff72ff,0xffc8007f,0xff882fff,0xfa802fff,
    0xfffff106,0xffff8805,0x06ffffff,0xff703c40,0x0f33ffff,0x2f997e00,
    0x17fffe60,0x27fffec0,0xffd0fa00,0xe8000bff,0x2fffff43,0x03fffc40,
    0x0ffffb80,0xfffff100,0x00dfffff,0x00003fa2,0x26027fec,0xfdcfffff,
    0x0005ffff,0x7fdc0f98,0x7dc01fff,0x0005ffff,0x07fff900,0x03ffffea,
    0x3fffffb0,0x3fffee00,0xf30005ff,0x2003ffff,0xfffd807a,0x7ffcc00f,
    0xffffa84f,0x7fe4004f,0xfff50fff,0xfc8009ff,0xf980ffff,0x5c03ffff,
    0xfff105ff,0xff8805ff,0xffb9bfff,0x203c4006,0xaefffffd,0x4cbf0007,
    0x7ffe402f,0xfffd801f,0x03e6004f,0x03fffff7,0xf703e600,0xf003ffff,
    0x10001fff,0x4400bfff,0xb9bfffff,0xff9006ff,0x3fe00003,0x7ffcc05f,
    0xffffb0ff,0x4d80005f,0x5fffff88,0x7ffffd40,0xfd000006,0x3fea01ff,
    0x7f400fff,0x74007fff,0x001fffff,0x3fffff30,0x6401ee00,0x7ec04fff,
    0xfff303ff,0xfd8009ff,0x3fe67fff,0x6c004fff,0xf707ffff,0x337fffff,
    0x9ffff975,0x3ffffe20,0x7fffc402,0x001bea2f,0xffe880f1,0x0007ffff,
    0x4017ccbf,0x402ffffb,0x004ffffd,0x3ffe2136,0x9b0005ff,0xbfffff10,
    0x03fff900,0x00bff200,0x2fffff88,0x7fc01bea,0xceeeeeff,0xffe800ac,
    0x7fffcc06,0xfffff10f,0x3e20001f,0xfffff901,0x7fffc401,0xf000007f,
    0x7fd409ff,0x7fc00fff,0x5c006fff,0x000fffff,0x3fffff30,0xb801ae00,
    0x74c0dfff,0x7fc02fff,0x74005fff,0x7fc6ffff,0x74005fff,0x3226ffff,
    0xfffffffe,0xffffffff,0xfff102ff,0xff8805ff,0x03642fff,0x3e201e20,
    0x007fffff,0x017ccbf0,0x1bfffe88,0x7ffff4c4,0x203f1003,0x00fffffc,
    0xfc80fc40,0x4400ffff,0x10002fff,0xff8800ff,0x03642fff,0xfffffff8,
    0x01ffffff,0x2603ffec,0x2a0fffff,0x005fffff,0xdddddf90,0x9fffffdd,
    0xfffffc80,0x7c400000,0x3fea00ff,0x3e200fff,0x4005ffff,0x00fffffa,
    0xfffff100,0x001b2003,0xfdfffd51,0x90015bff,0x800dffff,0x642fffff,
    0x4006ffff,0x002fffff,0x1004e980,0x805fffff,0x42fffff8,0xf101106a,
    0x3fffe600,0x4bf0007f,0x6dc002f9,0xffeeffff,0x64001cff,0xeeeeeeef,
    0x004fffff,0x777777e4,0x4fffffee,0x004ffd80,0xf1001360,0x6a85ffff,
    0x7ffe4110,0xffffffff,0x3ff200ff,0x3ffe601f,0x7ffec0ff,0x7c4003ff,
    0xcccccccc,0x407ffffe,0x03fffff9,0x2ffdc000,0x3ffffea0,0x3fffe600,
    0x7fd4002f,0x20000fff,0x001fffff,0x7d4000bb,0x4005ffff,0x01fffff8,
    0x0dffff30,0x03fffff1,0x1bfffe60,0x01fe6000,0x2fffff88,0x7ffffc40,
    0x81c83442,0x3fee0078,0xbf0007ff,0x100017cc,0x013357f5,0x3333e200,
    0xffeccccc,0x3e2007ff,0xcccccccc,0x807ffffe,0x0000fff9,0xff88001f,
    0x83442fff,0x7fffdc1c,0xffffffff,0x0bffee02,0x0fffff98,0x7fffff44,
    0x201ae001,0x03fffffa,0x037fffe4,0xffe81d40,0x7fffd400,0x3fff200f,
    0xffa8005f,0x20000fff,0x002ffffe,0xfd80007f,0x4002ffff,0x004ffffb,
    0x203ffff9,0x004ffffb,0x003ffff9,0x400dfb00,0x02fffff8,0x17ffffc4,
    0x7880f80c,0x3fffe400,0x3e65f800,0x67e40002,0x06b80000,0x3fffffa8,
    0xf500d700,0x9007ffff,0x42a807ff,0xff88005a,0xf0182fff,0x5567f541,
    0xfffcaaaa,0x03ffe603,0x0fffff98,0x6fffff98,0x2005f100,0x806ffffe,
    0x003ffffe,0x3fea0fee,0xffffa801,0xffff100f,0xff50001f,0x40001fff,
    0x805ffffb,0x440000fd,0x00ffffff,0x07fffec0,0x0ffffe20,0x01ffffb0,
    0x03ffff88,0x03fff000,0x3ffffe20,0x7fffc402,0x20f7002f,0x7f4000f9,
    0x4bf0007f,0x220002f9,0x40004ffe,0xffd002f8,0x5f100dff,0x3ffffa00,
    0x40dfb006,0x00763ffc,0x3ffffe20,0x7d4f7002,0x0ffa803f,0x301bfea0,
    0x201fffff,0x04fffffc,0xf7000fb8,0x8805ffff,0x803ffffe,0x05fd03fc,
    0x3ffffea0,0x7ffff700,0x3ffea000,0x220000ff,0x204ffffe,0x300003fc,
    0x03bfffff,0x04fffb80,0x8017ffec,0x6c04fffb,0x00002fff,0x2003bff6,
    0x02fffff8,0x17ffffc4,0xfc837d40,0x3ffc4001,0x3e65f800,0x6ff80002,
    0x007dc000,0x2fffffb8,0xb8007dc0,0x002fffff,0x3ffe05fd,0x22000d36,
    0x802fffff,0x0bff26fa,0xfd017ea0,0xfffa801f,0x3ffa01ff,0x3e202fff,
    0x3ffe2006,0xff7006ff,0x73137dff,0x3f603dfb,0x3ffea002,0xfffb81ff,
    0x3ee0001f,0x0001ffff,0x6fffff44,0x03feca9b,0x7ff44000,0x0abdffff,
    0x06fffcc0,0x01dffb51,0x0dfff980,0x03bff6a2,0xfff30000,0x7fcc035d,
    0x7cc03fff,0x5c03ffff,0xefe985ff,0x03fcc000,0x0be65f80,0x05ff3000,
    0x0037c400,0x0dfffff1,0xf10037c4,0x200dffff,0xffd81fe8,0x30001fbf,
    0x807fffff,0x3fe25ffb,0x1bf7301f,0x007bf660,0x0ffffff2,0xffffff88,
    0x02ffe981,0xffffff10,0x3fae2009,0x4effffff,0x8001bd10,0xadfffffd,
    0x0cfffdba,0x7ffec000,0x900003ff,0xffffffff,0x4000003b,0xeffffed9,
    0xfdc8800c,0xbdeffeff,0xfb910000,0x7bdffdff,0x32000001,0x704fffff,
    0x80bfffff,0xbffffffb,0xfffcba99,0x3fffaa4f,0x2a002dff,0x4cbf0007,
    0xd950002f,0x74c000bf,0xff1002ff,0xd309ffff,0x3e2005ff,0x004fffff,
    0xffd30bee,0x7dc0005f,0x99bfffff,0x4ffffcba,0x777ffdc4,0x2a03defe,
    0x76cc02ce,0xefffffff,0xffffb80d,0x3fff26ff,0xfb504eff,0xffffffff,
    0x5d4c4003,0x001a801a,0x3ffffb6a,0xceefffff,0x76e40001,0xefffffff,
    0xa980003c,0x00009abb,0x00098000,0x00aba880,0x57510000,0x80000001,
    0x76442cca,0xefffffff,0xfffd912d,0xffffffff,0x05ffffff,0x001c0000,
    0x002a21a8,0x000054c0,0x3bfffff2,0xffffb504,0x323fffff,0x04efffff,
    0xffffffb5,0x22003fff,0x00015304,0xfffffd91,0xffffffff,0x4405ffff,
    0x00001aa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x00544019,
    0x08013000,0xaaaa9800,0x2aaa2000,0x55553001,0x07b70001,0x55510000,
    0x774c0035,0xeeeeeeee,0x001bcccd,0x0bbbbbb6,0x77774400,0x0eeeeeee,
    0xeeeeeed8,0x7777545e,0x75404eee,0x005eeeee,0x00355551,0x00150288,
    0x0055554c,0xe9802600,0x001eeeee,0xeee986e0,0xeeeeeeee,0x3bbaa004,
    0x31001eee,0x200000a0,0xd801881a,0x005eeeee,0x50001edc,0x20009039,
    0x40a00009,0x81fd8009,0x540006f9,0xbdeffffd,0x3a001a21,0x6c004fff,
    0xd800ffff,0xb8004fff,0x00003fff,0x002fffe4,0xfffffe98,0xffffdccc,
    0xffc8801e,0x440003ff,0x1ffffffd,0x6ffff440,0xffff9101,0xff5007ff,
    0x7fd4003d,0x3e6000ef,0x07ffe26f,0x1ffff440,0x2fff8800,0x3ffffa20,
    0x01f10001,0xdfffffb1,0xfff50003,0x7fd4001d,0x003ffe26,0x3bffaa00,
    0x2200990b,0x2006fffa,0x4003fffc,0x9beffffa,0xffe8006b,0x7ffc4004,
    0x300bffa1,0x0ffd45ff,0xffffb800,0xffdbaadf,0x7c4006ed,0x7d4004ff,
    0x4404ffff,0xd0005fff,0x0000dfff,0x000efff8,0x3ffffea0,0x4ffffc80,
    0x3ffffa80,0xfff88000,0xff7004ff,0x3fff2007,0xfc801fff,0x77fec001,
    0x7ffec000,0x00bfff72,0x002fff44,0x406fffc8,0x001ffffc,0x7fcc0b70,
    0x50003fff,0xe8007fff,0xfff91fff,0xffa80009,0x1fffffff,0x037ffc00,
    0x00dfffd0,0x7fffffc4,0x54004fff,0x2000ffff,0xff34fffc,0x7ffb00df,
    0x1000bff9,0x405ffffb,0x4006ffea,0xe8004ffb,0x00fffdff,0x80017fea,
    0x0004fffc,0x003bfe60,0xfffff300,0x3ffff601,0x7fffcc03,0xff880003,
    0xf9803fff,0x3fe2001e,0x400fffff,0x3e2000fa,0xfc8000ff,0x7fff51ff,
    0x0fff8800,0x6fffc800,0x0ffffd40,0x2602e800,0x002fffff,0x005fff50,
    0xf70fffd8,0xe80007ff,0xffffffef,0x6ffe8006,0x0ffff200,0xffdcfb80,
    0x4001ffff,0x000ffffb,0x7c4fffea,0xff9805ff,0x4000ffff,0x01fffff8,
    0x4006fe88,0xfb8005fe,0x409fd33f,0x440005fd,0x00000cfc,0x00003bf2,
    0x03ffffe6,0x037fffcc,0x00ffffe2,0x7ffffc00,0x006fcc03,0x3ffffe20,
    0x03cc06ff,0x0007fea0,0x3f21fec4,0xff98000c,0xfff98003,0x7fffd403,
    0x40798001,0x01fffff8,0x05fff500,0x223ed880,0xf80004fc,0x3bffd731,
    0x0dffd000,0x0067e440,0x7edc4790,0xff88001c,0xcfc8004f,0x40077ae0,
    0x004ffffc,0x02ffffe8,0x8801be60,0xff88005f,0x440ff441,0x0000006f,
    0x00774000,0xffff9800,0xffff100f,0x7ffc401f,0xff00003f,0x7dc07fff,
    0xf3f10004,0x409fffff,0x0fec0079,0x00000000,0x2000bf30,0xffa800a8,
    0x4c8001ff,0x7ffffc40,0xfff50001,0x00000005,0x00440600,0x00dffd00,
    0x00000000,0x00006a00,0x3ba20000,0x7e4000de,0xc8004fff,0x000a2006,
    0x5d8806dc,0x00000a88,0x00100262,0x30000054,0x401fffff,0x203fffff,
    0x003ffff8,0x7fffff00,0x8000bf20,0xfffff578,0x001e607f,0x00000035,
    0x00530000,0xfff50000,0x03f0003f,0x1fffff88,0x5fff5000,0x00010000,
    0x00002000,0x0001bffa,0x00000000,0x00000000,0xff300000,0x10003fff,
    0x0000000d,0x10000000,0xfffffd97,0x0025437d,0xff300000,0x3e201fff,
    0x2202ffff,0x6643ffff,0x7c04cccc,0x7443ffff,0x3c40001e,0x3ffffff9,
    0x5b700f30,0xdd303da8,0xdddddddd,0xdddddddd,0x542db809,0xdddd303d,
    0x7ddddddd,0x01ffffa8,0x0ffff6d4,0x3ffffe20,0xfff50001,0x00d00005,
    0x001a0000,0x74dbffa0,0xeeeeeeee,0xeeeeeeee,0x77774c4e,0x3eeeeeee,
    0xeeeeeee8,0xeeeeeeee,0x7774c4ee,0xeeeeeeee,0xeeeeee9b,0xeeeeeeee,
    0xfc84eeee,0x0000ffff,0x3bbbba67,0xeeeeeeee,0x4c4eeeee,0xeeeeeeee,
    0xddd33eee,0x2a003ddd,0x989bffff,0x4fceffca,0xeeeeee98,0x004eeeee,
    0x1fffff30,0x3ffffea0,0x3fffe200,0x57ffe443,0x7ffffc00,0x00037e63,
    0xfffb1e20,0x07981fff,0xf98fffdc,0x3f6203ff,0xcccdffff,0x05ffffdc,
    0x7cc7ffee,0x3f6203ff,0x501effff,0x6c03ffff,0x4fffb9ef,0x3ffffe20,
    0xfff50001,0x2fa80005,0x7d400000,0x7ff40002,0x7fffec46,0xfdccccdf,
    0xfb105fff,0x203dffff,0xcceffff8,0xffffdccc,0xffb101ff,0xb103dfff,
    0x99bfffff,0xbffffb99,0x7fffff88,0x3f620000,0xcccdffff,0x05ffffdc,
    0xdfffffb1,0xffffd103,0xfffd8803,0x7ffec404,0x3fff6204,0x40001eff,
    0x00fffff9,0x809ffffb,0x983ffff8,0xfff000ef,0x17fea7ff,0x223c4000,
    0x46fffffe,0x7ffec079,0x80bfff73,0x02fffff9,0x6c0bffb1,0xfff73fff,
    0xffff980b,0x3ffea03f,0x23ffd01f,0x102ffff8,0x003fffff,0x00bffea0,
    0x000dfd00,0x006fe800,0x4c37ff40,0x102fffff,0x7cc0bffb,0x2603ffff,
    0x3f601dff,0x4c04ffff,0x203fffff,0x02fffff9,0xf98bffb1,0x0005ffff,
    0x7ffffcc0,0x0bffb102,0x1fffffcc,0x03ffff90,0x02ffffc4,0x9809ff90,
    0x003fffff,0xfffff980,0x7fffec40,0xffff8805,0x2000dd83,0xfcbfffff,
    0x80003fff,0xffff9878,0x501e64ff,0x3fe21fff,0x7ffc402f,0x2fd402ff,
    0x221fff50,0x7c402fff,0x2a02ffff,0xfb81ffff,0x3fffee6f,0xfffff104,
    0x3fea0003,0x3e60002f,0x000001ff,0x0003fff3,0x7c437ff4,0x5402ffff,
    0x3ffe205f,0x17e602ff,0xdfffff30,0xfffff100,0x7fffc405,0x22fd402f,
    0x03fffffa,0x7ffc4000,0x2fd402ff,0x5fffff10,0x0ffffd40,0x00ffffd0,
    0xf9809fb0,0x0002ffff,0xcfffff98,0xdffffedc,0xffff1001,0xf8005d87,
    0xffffffff,0x40001fff,0xffff5078,0x201e65ff,0x00dc40b9,0x17ffffc4,
    0x2e602ec0,0x4400dc40,0x202fffff,0xf81ffffa,0x3ff3a5ff,0xffff103f,
    0x3ea0003f,0x360002ff,0x00005fff,0x00bfffb0,0x4437ff40,0x802fffff,
    0x3ffe205d,0x01ea02ff,0x0bfffffa,0x3ffffe20,0x3fffe202,0x645d802f,
    0x002fffff,0x7fffc400,0x205d802f,0x02fffff8,0x407fffea,0x004ffffb,
    0x7c404f88,0x0001ffff,0xcfffff98,0x05fffffd,0x1ffffc40,0x3fe000d9,
    0xfffcefff,0x20000fff,0x3ffee078,0x00799fff,0xfff10000,0x5a8505ff,
    0xf8800000,0x2a02ffff,0x7d41ffff,0x3aef34ff,0xffff100c,0x3ea0003f,
    0xf10002ff,0x0001ffff,0xfffff880,0xdffd0000,0x5fffff10,0x2205a850,
    0x202fffff,0x7ffdc04b,0xff1005ff,0x7c405fff,0x4282ffff,0x7fffe45a,
    0x4400003f,0x282fffff,0xfff102d4,0x7fd405ff,0xfff981ff,0x990000ff,
    0xfffff880,0xff980001,0xfffb0fff,0x7c4005ff,0x3ffb3fff,0xfffff000,
    0x3fffff67,0x01e20006,0x5dfffffb,0x9999990f,0x66666643,0xfffff100,
    0x64588b05,0x321ccccc,0x100ccccc,0x405fffff,0x641ffffa,0x00995fff,
    0x0fffffc4,0x2fffa800,0xffff9000,0xc800009f,0x004fffff,0xf10dffd0,
    0x8b05ffff,0x3ffe2058,0x803202ff,0x0ffffff8,0xfffff100,0x7fffc405,
    0x22c4582f,0x05fffffb,0x7ffc4000,0x2c4582ff,0x5fffff10,0x0ffffd40,
    0x03ffffec,0xf8807100,0x0001ffff,0x0fffff98,0x1ffffff1,0x3fffe200,
    0x006fffdb,0x23fffff8,0x05fffffe,0xe880f100,0x87ffffff,0x23ffffd8,
    0x01ffffe9,0x85fffff1,0xffd88069,0x3ffa63ff,0xfff101ff,0x7fd405ff,
    0x7ffec1ff,0x7c4003f6,0x0001ffff,0x0005fff5,0xfffffdf1,0x3e200001,
    0x00fffffe,0x886ffe80,0x4c2fffff,0x7ffc4006,0x360002ff,0x003fffff,
    0x0bffffe2,0x2fffff88,0x7fd4034c,0x00006fff,0x17ffffc4,0xff1001a6,
    0x7d405fff,0xfff81fff,0x000006ff,0x0fffffc4,0x7ffcc000,0x3ffea0ff,
    0xff1005ff,0xffffffff,0xffff8007,0x3fffe23f,0x788003ff,0xfffff880,
    0xffff707f,0x1ffffc87,0x5fffff10,0xff7006c8,0xfffc87ff,0xffff101f,
    0x7ffd405f,0x7ffff41f,0x7fc4006a,0x26001fff,0x005fff54,0xffff3d70,
    0x2e00007f,0x3fffff9e,0x86ffe800,0x42fffff8,0x7fc4006c,0x50002fff,
    0x00dfffff,0x2fffff88,0x3ffffe20,0x7c403642,0x0007ffff,0x7ffffc40,
    0x22003642,0x202fffff,0x441ffffa,0x005fffff,0x7ffc4000,0x980001ff,
    0x6c0fffff,0x803fffff,0xe8dffff8,0x2001ffff,0x543fffff,0x01ffffff,
    0xf9803c40,0xf307ffff,0xffb87fff,0xfff101ff,0x037cc5ff,0x43ffff98,
    0x101ffffb,0x405fffff,0x641ffffa,0x003effff,0x0fffffc4,0x3fea7900,
    0xd2f8002f,0x000dffff,0x7fff4be0,0xffe8006f,0xfffff886,0x1001be62,
    0x005fffff,0xffffff10,0xfff88003,0x3fe202ff,0x1be62fff,0x7ffffe40,
    0x3e200000,0x3e62ffff,0x7ffc4006,0x3fea02ff,0x7ffd41ff,0x000004ff,
    0x0fffffc4,0x7ffcc000,0x7ff440ff,0x7c401fff,0xfff53fff,0x7ffc00df,
    0xfffb83ff,0x22000fff,0x3ffee007,0xffff307f,0x1ffffa87,0x7fffff10,
    0x200dff73,0x543ffff9,0xf101ffff,0x5405ffff,0x7dc1ffff,0x4000ffff,
    0x01fffff8,0x3fea5f10,0x53d4002f,0x005fffff,0x3fea7a80,0x74002fff,
    0xfff886ff,0x6ffb9bff,0x7fffc400,0xffc8002f,0x88004fff,0x202fffff,
    0x9bfffff8,0xf3006ffb,0x0007ffff,0x7ffffc40,0x006ffb9b,0x17ffffc4,
    0x83ffff50,0x03fffffb,0x7fc40000,0x80001fff,0x80fffff9,0x06fffff9,
    0x91ffffc4,0x2009ffff,0xb03fffff,0x00dfffff,0x3f2003c4,0xfff307ff,
    0xffffa87f,0xfffff101,0x00dfffff,0x50ffffe6,0x2203ffff,0x202fffff,
    0x4c1ffffa,0x000fffff,0x0fffffc4,0xff51fb80,0x43e8005f,0x005ffffe,
    0x3ffa1f40,0x7f4005ff,0xffff886f,0x06ffffff,0x7ffffc40,0x7ffcc002,
    0x88000eff,0x202fffff,0xfffffff8,0x32006fff,0x8006ffff,0xffff883a,
    0x06ffffff,0x7ffffc40,0x3fffea02,0x7ffffdc1,0x44000003,0x001fffff,
    0xfffff980,0xfffff900,0x7fffc409,0x0fffff43,0x1fffffc0,0xfffffe88,
    0x001f3005,0xf307ffe8,0xffa87fff,0xfff101ff,0xdff737ff,0x3fffe600,
    0x0ffffd43,0x2fffff88,0x07fffea0,0x21bffffa,0xfff980d8,0xff9802ff,
    0x005fff51,0x3fee07cc,0x30001fff,0xffffb81f,0x3ffa001f,0xfffff886,
    0x006ffb9b,0x17ffffc4,0x3ffffa00,0xff10002f,0x7c405fff,0xfb9bffff,
    0x7ff4006f,0x3ee003ff,0xfffff883,0x006ffb9b,0x17ffffc4,0x83ffff50,
    0x04fffff9,0x66666654,0xf881cccc,0x0001ffff,0x1fffffa8,0x3fffffa0,
    0x9ffff302,0x0effff98,0x3ffffe20,0x3fffea04,0x1fc804ff,0x83ffc400,
    0x543ffff9,0xf101ffff,0x7d45ffff,0xffff3006,0x1ffffa87,0x5fffff10,
    0x17fffdc0,0x77ffffc4,0xf301eb9b,0x9807ffff,0xfff50fff,0x4426c005,
    0x005fffff,0xfff109b0,0x7f400bff,0xffff886f,0x001bea2f,0x05fffff1,
    0x7ffffdc0,0x3fe20005,0x3e202fff,0x3ea2ffff,0x7ff44006,0x3fc803ff,
    0x5fffff10,0x220037d4,0x202fffff,0xf81ffffa,0x9806ffff,0xcffffffc,
    0xfffff101,0xff900003,0x7c407fff,0xa81fffff,0xfe86ffff,0x3ee05fff,
    0x2206ffff,0xdfffffff,0x01dfd300,0xf307f980,0xffa87fff,0xfff101ff,
    0x006c85ff,0xa87ffff3,0xf101ffff,0x6c05ffff,0xf504ffff,0x5fffffff,
    0x7ffffe40,0xdba99abf,0x3fea7fff,0x03f1002f,0x03fffff2,0x3203f100,
    0x000fffff,0xff10dffd,0x06c85fff,0x7ffffc40,0xffff1002,0x201001ff,
    0x02fffff8,0x0bffffe2,0x3ee000d9,0x989befff,0x2201efdb,0x642fffff,
    0x7ffc4006,0x3fea02ff,0xfffe81ff,0x3ffa007f,0x7fc406ff,0x30001fff,
    0xffffffdb,0xff701bdf,0x7ecdffff,0x70efffff,0x3fffffff,0x3ffffb22,
    0x2e0defff,0xffffffff,0x3ffaa5ff,0x2002dfff,0xffff307a,0x1ffffa87,
    0x5fffff10,0x4c1106a8,0x7d43ffff,0xff101fff,0xfd105fff,0x81dfffff,
    0xdffffef8,0xfffec982,0xffffffff,0x26ffffff,0x9002fffa,0xdddddddf,
    0x009fffff,0xeeeeefc8,0x4fffffee,0x10dffd00,0xa85fffff,0xff101106,
    0x36005fff,0x003fffff,0xffff1039,0x7ffc405f,0x883542ff,0x7ff5c400,
    0x04efffff,0x2fffff88,0x88088354,0x202fffff,0xc81ffffa,0x2007ffff,
    0x405ffffe,0x01fffff8,0x00001260,0x00000000,0x00000000,0xf981c000,
    0x7fd43fff,0xfff101ff,0x906885ff,0x1ffffcc3,0x407fffea,0x02fffff8,
    0x2a2b7000,0x00000001,0x200bffea,0xccccccf8,0x7ffffecc,0x3333e200,
    0xffeccccc,0xffd007ff,0xfffff10d,0x03906885,0x05fffff1,0xdfffff50,
    0x7c407400,0x2202ffff,0x442fffff,0x44003906,0x4001afb9,0x42fffff8,
    0xf1039068,0x5405ffff,0xf881ffff,0xb001ffff,0x8809ffff,0x001fffff,
    0xff3000f2,0x5400003b,0x00000cef,0x0004efc8,0x04efc800,0x3ffff980,
    0x80ffffd4,0x82fffff8,0x7fcc1f01,0x7ffd43ff,0xffff101f,0x6ffc405f,
    0x0000ba01,0x0033bee0,0x4017ffd4,0xfffa806b,0x0d7003ff,0x7fffff50,
    0x10dffd00,0x305fffff,0x3fe203e0,0x7c402fff,0x001fffff,0x3ffe20f5,
    0x3fe202ff,0xf0182fff,0x09fb0001,0xfffff100,0x203e0305,0x02fffff8,
    0x407fffea,0x005ffffa,0x809ffffb,0x01fffff8,0x88005f10,0x00005ffe,
    0x0013ffa6,0x0bffea00,0xfd500000,0xff88005f,0x7ffec3ff,0xffff101f,
    0x11ee005f,0xfd87ffff,0xff101fff,0x74405fff,0x00f305ff,0x3ffaa000,
    0x5fff5003,0xd002f880,0x100dffff,0x3ffa005f,0xffe806ff,0xfffff886,
    0x220f7002,0x402fffff,0x04fffffc,0x7fc41ba0,0x3e202fff,0x7002ffff,
    0xfff3000f,0xfff88007,0x0f7002ff,0x0bffffe2,0x01ffffa8,0x007ffff2,
    0x013ffff6,0x03fffff1,0x40007ee0,0x400007fe,0x00006ff8,0x0009ff30,
    0x09ff1000,0x4bffff00,0x02fffffc,0x05fffff1,0xfff0df50,0x7fffe4bf,
    0xffff102f,0x0ffd005f,0x80000132,0xf5005ff8,0x0fb805ff,0xfffff700,
    0x000fb805,0x05fffff7,0xf886fff8,0xa802ffff,0xffff106f,0x7ffcc05f,
    0xd8800fff,0xffff105f,0x7ffc405f,0x6fa802ff,0x0bff3000,0xfffff880,
    0x106fa802,0x405fffff,0x401ffffa,0x400ffffc,0x404ffffd,0x02fffff9,
    0x8001ff98,0x00004ff8,0x00017fcc,0x001ffb80,0x1ffa8000,0xffffa800,
    0xffffbeff,0xfffff304,0x85ffb807,0xeffffffa,0x304ffffb,0x807fffff,
    0x03f04ff8,0x7fd40000,0x7fff5001,0x10037c40,0x40dfffff,0x3e2006f8,
    0x2206ffff,0xff986fff,0x7dc03fff,0xffff305f,0x7fff407f,0xffb802ff,
    0xffff304f,0x7ffcc07f,0x7fdc03ff,0x7ff50005,0xffff9800,0x2ffdc03f,
    0x3fffff98,0x0bfffee0,0x37fffa60,0x7fff4c0a,0x7ffcc03f,0x7fcc03ff,
    0x3b26000f,0x300000df,0x0000bfd9,0x009ffb50,0xffca8000,0x3ff20004,
    0xffff55ff,0xffff70bf,0x975337ff,0x3209ffff,0xff55ffff,0xff70bfff,
    0x3260bfff,0x06a80efe,0xff950000,0x7ffd4009,0x3fa60abf,0xfff1002f,
    0xfd309fff,0x3fe2005f,0x5d44ffff,0xfb86fffd,0x99bfffff,0x4ffffcba,
    0xbfffff70,0x3ffffee0,0xaa99999e,0x04ffffeb,0x0bfffff7,0x7fffffdc,
    0xffcba99b,0x6d4004ff,0xfb8004ff,0x99bfffff,0x4ffffcba,0xbfffff70,
    0x27fffec0,0xffffb500,0x39ffffdd,0x3ffff200,0xba99abff,0x4007fffd,
    0x800001a9,0x000000a9,0x000002aa,0x00005540,0x44001550,0xffffffec,
    0xffffffff,0x55402fff,0x3fb22000,0xdeffffff,0x33006a62,0x2aa00000,
    0x99988000,0xfff90999,0x36a09dff,0xffffffff,0xfffff91f,0x3ff6a09d,
    0x1fffffff,0x21333331,0xfffffec8,0xffffffff,0x3222ffff,0xfffffffe,
    0xffff12de,0xffffffff,0xffffffff,0x7fff6447,0x8adeffff,0xffffffec,
    0xffffffff,0x54002fff,0x3220009a,0xfffffffe,0xffffffff,0x3fb222ff,
    0xdeffffff,0xfffffd12,0x988001df,0x0009aaba,0xfffffd93,0xffffffff,
    0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x28819800,0x00000000,
    0xda80004c,0xf300000b,0xffffffff,0xff80009f,0xffffffff,0x7ffc0005,
    0x5fffffff,0xfffffb00,0xf00fffff,0xffffffff,0x266200df,0x09999999,
    0x0000d400,0x00000000,0x02e00262,0x00000000,0x00220000,0x01100220,
    0x00031000,0x54555300,0x000000aa,0x4c000088,0x00020001,0x08010000,
    0x27fe4000,0x0000dff5,0x3ffa0000,0x2fbe2001,0x980001fe,0xffffffff,
    0x7c0004ff,0xffffffff,0x7fc0005f,0xffffffff,0xffffb005,0x00ffffff,
    0xffffffff,0x3fa00dff,0xffffffff,0x3bf71006,0x20000000,0x91001ef9,
    0x9dfffffd,0x4c00fc81,0x30001dfc,0xe9803bf9,0x2eeeeeee,0x33fff6e2,
    0x203f5000,0xb10003f8,0x003dffff,0x54bff600,0x6665c5ff,0xbffb32cc,
    0x7f77e405,0x06fa8004,0x677fed40,0xeeea8000,0x3fae2eee,0x1f7ecc1d,
    0x7fffc400,0x005fffb0,0xf8800000,0x1ae004ff,0xd1000099,0xdddddddd,
    0xee80007d,0xeeeeeeee,0x776c0004,0x4eeeeeee,0xddddd900,0xb00ddddd,
    0xdddddddd,0x3ffa009d,0x6fffffff,0x77effdc0,0x00002cff,0x01bff600,
    0x137fffb1,0x719fffb7,0xacf8803f,0x7c4001fc,0x8801fcac,0x12fffffd,
    0xfff957bf,0x57df1005,0x003fd753,0xfd57ff70,0xf00005ff,0x207fe4bf,
    0xacffffc8,0x42ffffff,0xff88ffe8,0x3ff1000e,0x457fe400,0x88001efd,
    0xf13ffffd,0xffc8ffff,0xfe8000ff,0x07fff27f,0x20000000,0x3a004ffd,
    0x00003cc3,0x00000000,0x00000000,0x00000000,0x6665c000,0x03cccccc,
    0x2fe1dfb1,0x000fffb8,0xbdffb951,0x1bfee059,0x01efffa8,0x05fffff3,
    0x005c8b90,0x401322e4,0x8afffff8,0x2fffb83e,0xfffffc80,0xf98005ff,
    0x03fffc4f,0xf83fea00,0xffff302f,0xfffd37df,0xb2ffe41f,0x3f600bff,
    0x8fff6003,0x30006ff8,0x3ee7ffff,0x3fe1ffff,0x98003fff,0x0ff622ee,
    0x40000000,0x2e4005f8,0x0000016e,0x00000000,0x00080000,0x00000000,
    0x90000000,0xf51fc5ff,0xdff9003f,0xfffb5137,0x703fd817,0xb803ffff,
    0xe801ffff,0x3a003d43,0xf8803d42,0x03daffff,0x1003fffa,0x1dfffffd,
    0x85ffd000,0x0001fffd,0x04fa87f6,0x87ffffe2,0xf11ffffa,0x7ffe49ff,
    0x0037d401,0xfe81fff5,0xff98003f,0xffff13ff,0x7ffffc9f,0x00000002,
    0x3bbbbba2,0x5c2eeeee,0xceeeeeee,0xcf88003d,0x22002fb9,0xeeeeeeee,
    0x775c2eee,0x800eeeee,0xdeffecb9,0x800000ac,0xddd30006,0xdddddddd,
    0x3bbbba67,0xeeeeeeee,0x404eeeee,0x81ed42db,0x21fc7ff9,0x3faa01fc,
    0xffd100ef,0x207fb9df,0x005ffff9,0x700dfffd,0x5c004c8b,0xff0026c5,
    0xb80bdfff,0xd9005fff,0x300019ff,0xffa87fff,0x13e0000f,0xffff00d9,
    0x2ffff989,0x7e49fff5,0x3fe202ff,0x1bffa001,0x2001bff6,0x2e3ffff9,
    0x3fa5feff,0x00001fff,0xffe88000,0x2200efff,0x0001effa,0x005bfb30,
    0x3ffffa20,0x3ea200df,0xff9001ef,0xffb5159f,0x5400007f,0x3620002f,
    0x01efffff,0xbfffffb1,0xfffb9999,0x7ffdc0bf,0x707fff31,0x21fc3fff,
    0xfff701f8,0xfff9801f,0x7ffc403f,0xfe8802ff,0x7c404fff,0x4001fdbe,
    0x00fdbdf8,0x3fffffe0,0x7fffd401,0x20000001,0x7cc5fffa,0x40c0006f,
    0xffff8008,0x97fffcc4,0x3f24fffb,0x0ff604ff,0x85fff980,0x4000fffd,
    0x503ffff9,0x7fffe47f,0xeeeeec80,0x500eeeee,0x05dddddd,0x05fffff5,
    0x00007f60,0x80005f50,0x02fffffa,0xd5003fb0,0x3a203fff,0x80001eff,
    0x4c0006fe,0x403fffff,0x02fffff9,0x6c0bffb1,0xfff73fff,0x1dfff90b,
    0x220760fe,0xb004ffff,0x5c01dfff,0xb007ffff,0x03fffffd,0x000ceb88,
    0x0017d710,0x04fffff8,0x05ffff98,0x3ee00000,0x3ff20fff,0x00000001,
    0xf313fffe,0x3fee7fff,0x0ffff24f,0x2a0037d4,0xccccefff,0x4001fffe,
    0x903ffff9,0x37ffdc3f,0xfffffd30,0xff71003f,0x3ffea03b,0x1f7001ff,
    0x6fe80000,0x7ffcc000,0x1f7001ff,0x2ffffb80,0x0ffffcc0,0x3fff3000,
    0x7ffc4000,0x7fc402ff,0x7d402fff,0x43ffea05,0xfb82fff8,0x03f9ffff,
    0x07ffff60,0x27fffd40,0x0dffffd0,0xffff1d90,0x0000009f,0x3ffe0000,
    0xff8802ff,0x333327ff,0x333321cc,0xffa800cc,0x03df93ff,0xcccccc80,
    0x33333321,0x44ffff80,0xf53ffff9,0x7ffe49ff,0x001ff882,0x667fffdc,
    0x81cccccc,0x99dffda8,0xbf03ffff,0x404fff98,0x0ffffff8,0x980df100,
    0x001fffff,0x980000f5,0x20001fff,0x01fffff9,0xff880f50,0xffb004ff,
    0x360001df,0x20005fff,0x02fffff8,0x17ffffc4,0x2e602ec0,0xf980dc40,
    0x03ffffff,0x0fffff70,0x7ffffc40,0xfffff981,0xfd8fdc05,0x36e06fff,
    0x900bdffe,0x64399999,0x200ccccc,0x802fffff,0x12fffff8,0x4c7ffffb,
    0x801ffffe,0xfeeffff8,0xffb10003,0x7ff4c7ff,0xffff81ff,0x9ffffcc4,
    0x3f65fff8,0x03fd80ff,0x07fffc80,0xd9fffd00,0x87ffff9f,0xfff80ed8,
    0xffffb802,0x03f7004f,0x1fffff98,0x0000f500,0x005fffd8,0x3ffffe60,
    0xe80f5001,0x5002ffff,0x0009ffff,0x01fffff1,0x3fffe200,0x7ffc402f,
    0x2d4282ff,0xff900000,0x003dffff,0x00bffffd,0x85fffff8,0x04fffffa,
    0xfffd87ea,0x9bee987f,0x880ffffa,0x263ffffd,0x201ffffe,0x802fffff,
    0x23fffff8,0x643ffffb,0xd001ffff,0x260bffff,0x41cccccc,0x643ffffb,
    0xff81ffff,0x7ffcc4ff,0xe9bfee3f,0x06fa83ff,0x1ffff700,0x2fffc800,
    0x8fffffea,0xffb00de9,0x3fffa001,0x04f800ff,0x1fffff98,0x0000f500,
    0x07ffffc4,0xffff9800,0x40f5001f,0x007ffffb,0x0bffffe2,0xfffff900,
    0x3fe20009,0x7c402fff,0x4582ffff,0x66666458,0x3333321c,0xffffc80c,
    0x3e204fff,0x4004ffff,0xb86ffffd,0x303fffff,0xffffc85f,0x513fea1f,
    0xf701dfff,0xffc87fff,0x3ffe01ff,0xff8802ff,0x3fe64fff,0x7ffdc3ff,
    0xffea801f,0xfb880fff,0x7cc0beff,0x7fdc3fff,0xffff81ff,0x1ffffcc4,
    0x3fe67ff2,0x001ff884,0x05ffff50,0x437ffd40,0x323ffffb,0x0037dc01,
    0x09fffff5,0xff3006b8,0x2a003fff,0x3f200007,0x0004ffff,0x03fffff3,
    0xffe81ea0,0x7f4005ff,0x22005fff,0x0fffffef,0xffff8800,0x7ffc402f,
    0x4034c2ff,0x23ffffd8,0x01ffffe9,0xfffffff7,0xffff301d,0xffd8009f,
    0x7fe40fff,0x4f883fff,0x2fffffc8,0xf983fff6,0xff982fff,0x7ffdc3ff,
    0x3fffe01f,0xfff8802f,0x3ffe64ff,0x7fffd43f,0x3effaa01,0x3606ffff,
    0xfff300ff,0xffffa87f,0x44ffff81,0xa83ffff9,0xfb01ceec,0xf300c409,
    0x04c0dfff,0xf307fffd,0xa8007fff,0x7fec005f,0x5f100fff,0x3fffe600,
    0x00f5001f,0x3ffbe200,0x98000fff,0x001fffff,0x3ffe20f5,0x7ec004ff,
    0x2e006fff,0x3fffff9e,0xffff8800,0x7ffc402f,0x803642ff,0x643ffffb,
    0x2601ffff,0xfffffffe,0x7ffffdc1,0x7ffe4003,0x7ffdc1ff,0x82f443ff,
    0x22fffffc,0x3e62ffff,0xff982fff,0x7ffd43ff,0x3fffe01f,0xfff8802f,
    0x3ffe64ff,0x7fffd43f,0x2a1dfb01,0xb03fffff,0x7ffcc05f,0x7fffd43f,
    0x44ffff81,0x003ffff9,0x7541bea0,0xfe80dfdf,0x46983fff,0xf982ffff,
    0x44003fff,0x7fcc004f,0x0bb05fff,0x7ffffcc0,0x000f5001,0x3ffe7ae0,
    0xf98003ff,0x5001ffff,0x3fffe60f,0x7fec004f,0x5f000fff,0x01bffffa,
    0x3ffffe20,0x7fffc402,0x401be62f,0x5c3ffff9,0xc801ffff,0x47ffffff,
    0x02fffffc,0x7ffffe40,0x7ffffcc2,0xffb02f44,0x7fe43fff,0x3fffe60f,
    0x3ffff983,0x00ffffd4,0x005fffff,0x47fffff1,0x543ffff9,0xfe81ffff,
    0x7fffec3f,0x4c05f82f,0x7d43ffff,0x7fc41fff,0x7ffcc5ff,0xff10003f,
    0x365ffb03,0x7ffd41ff,0x2eb89cff,0x20bfffe6,0x003ffff9,0xfd8002f8,
    0x7d41ffff,0x3ffe6000,0x0f5001ff,0x7f4be000,0x98006fff,0x001fffff,
    0x3ffee0f5,0x7e4003ff,0xa801ffff,0x3ffffea7,0x7ffc4002,0x7fc402ff,
    0xffb9bfff,0xffff3006,0x1ffffa87,0xffffff00,0x7fffdc7f,0x7fe4003f,
    0x7fc42fff,0x03b64fff,0x0fffffd8,0xffb305cc,0xfff307ff,0xffffa87f,
    0x3ffffe01,0xffff8802,0x3fffe62f,0x0ffffd43,0xf307fff2,0x5c3fffff,
    0x7ffcc00f,0x7fffd43f,0x37fffd41,0x00ffffe6,0x7d427ec0,0x03bfee7f,
    0xfffffff7,0xffffa87f,0x3ffff981,0x8001e800,0x46fffff8,0x7fcc004e,
    0xf5001fff,0x54f50000,0x002fffff,0x0fffffcc,0xff907a80,0xc8005fff,
    0x802fffff,0x7ffff43e,0x7ffc4005,0x7fc402ff,0xffffffff,0xffff3006,
    0x1ffffa87,0xfffd9f00,0x7fffd4df,0x7fe4004f,0xffe80fff,0x801f95ff,
    0x405ffffe,0xffffcfd9,0x3ffff983,0x00ffffd4,0x005fffff,0x43fffff1,
    0x543ffff9,0x3e21ffff,0xffc83fff,0x2f98efff,0x3ffff980,0x90ffffd4,
    0x1fffffff,0x00ffffe6,0x7f41bea0,0x0fffea7f,0x37ffffaa,0x2ffffc82,
    0x03ffff98,0x90000a80,0x2e5fffff,0xfff98006,0x0f5001ff,0xfe87d000,
    0x4c005fff,0x001fffff,0x3ffee0f5,0x7e4003ff,0x4c02ffff,0x7fffdc0f,
    0x3fe2001f,0x7c402fff,0xfb9bffff,0xfff3006f,0xffffa87f,0xe8bf8041,
    0x3fe67fff,0x6c004fff,0xf907ffff,0x03f7dfff,0x2fffff88,0xf35ffb10,
    0xff307fff,0xfffa87ff,0x3fffe01f,0xfff8802f,0x7fffcc7f,0x0ffffd43,
    0x20bffff5,0xeefffffd,0xffff3004,0x1ffffa87,0xffff9800,0x0ffc4003,
    0xf337ffc4,0x27d40bff,0x0bfffee0,0x00ffffe6,0xff100000,0x05f1dfff,
    0xfffff300,0x001ea003,0xffb81f30,0x26001fff,0x001fffff,0x3ffea0f5,
    0x7e4004ff,0x6c00ffff,0xfffff884,0x3ffe2005,0x7fc402ff,0x1bea2fff,
    0x1ffffcc0,0x987fffea,0x3fe67f04,0x7ffffc7f,0x7fff4005,0xfffd106f,
    0xff5005ff,0x3fea0fff,0x7ffff31f,0x87ffff30,0x201ffffa,0x802fffff,
    0x4c4ffff8,0x7d43ffff,0x3ff21fff,0xfe880fff,0x000fffff,0xa87ffff3,
    0x8001ffff,0x002ffff9,0xff9827ec,0x1bffe66f,0x7d403fd4,0xff983fff,
    0x000003ff,0xfffffb80,0xff30005f,0x2e003fff,0x426c0007,0x05fffff8,
    0x3ffffe60,0x260f7001,0x004fffff,0x03ffffec,0x7fe407e2,0xf1000fff,
    0x8805ffff,0x642fffff,0xffff3006,0x1ffffa87,0xfd1fc1e6,0xffffc8bf,
    0x7fffc006,0x3ffe602f,0xfffb004f,0x7fff503f,0x41ffffcc,0x543ffff9,
    0x3e01ffff,0x7542ffff,0x1ffff11e,0x43ffff98,0x2e1ffffa,0x105fffff,
    0x3dffffff,0xffff9850,0x0ffffd43,0x3ffe6080,0x1bea001f,0x266fff98,
    0xdfb06fff,0x9ffff100,0x07ffff30,0x001ceb80,0x3fffffa0,0xfff30001,
    0x1ae003ff,0x901f8800,0x001fffff,0x07ffffe6,0xfff035c0,0xfe800bff,
    0x7e406fff,0xfeeeeeee,0x1004ffff,0x805fffff,0x42fffff8,0x7cc1106a,
    0x7fd43fff,0x20be61ff,0x10fffa3f,0x003fffff,0x01bfffe6,0x003ffff2,
    0x107ffff1,0x7cc3ffff,0xff983fff,0x7ffd43ff,0xffff101f,0x15fff85f,
    0xff109fff,0xfffd87ff,0x3fffe61f,0xfff305ff,0x2e17ffff,0x1ffffc45,
    0x007ffff6,0x7ffcd7f2,0x3ff1000f,0x2a7fff80,0xfff04fff,0xdfffb003,
    0x07ffff70,0x037ffdc0,0xfffff700,0x3fe20001,0xd9001fff,0x777e4000,
    0xfffeeeee,0xff1004ff,0x32003fff,0x3ffff206,0x7fffc006,0x333e202f,
    0xfecccccc,0xf1007fff,0x8805ffff,0x442fffff,0x7fcc3906,0x7ffd43ff,
    0xf07fe61f,0x5c1bfe67,0xb004ffff,0x1003ffff,0xe80dffff,0xff304fff,
    0x7ffdc7ff,0xffff883f,0x0ffffec3,0x3fffff88,0x7cdfffe2,0xffff00ef,
    0x7ffffe4b,0x7ffffec2,0xfeb99bef,0xffffffff,0xffff80ff,0x3fffff25,
    0xf36ff802,0x7ec00dff,0x27ffd804,0xfb02fffb,0xffa801df,0x3ffe63ff,
    0x3fa004ff,0x50002fff,0x001fffff,0x0fffffc0,0x10005d80,0x9999999f,
    0x0fffffd9,0x0fffffc0,0x3e205d80,0x3001ffff,0xb80dffff,0xffffa806,
    0xfff8803f,0x7fc402ff,0xf0182fff,0x1ffffcc1,0x987fffea,0x57f0bfff,
    0x7ec01dfd,0x7d400fff,0xbb003fff,0x443bfff7,0x201effeb,0xedfffff9,
    0x18cffffe,0xf92ffffc,0x2e05ffff,0x645fffff,0x0efb9fff,0x3ffffea0,
    0x4ffffbef,0x7fffff44,0x98dfffff,0xfffffffe,0xfffff502,0x9ffff7df,
    0x3eaff900,0xdf5000ff,0x43ffe200,0x3e605ffc,0x2e00aeff,0xbfddffff,
    0x00cfffff,0x00ffffc8,0xfffff500,0x7ff40001,0x07f003ff,0x2a01ae00,
    0x003fffff,0x005ffffd,0xfff700fe,0x3ff2009f,0x0be201ff,0x37ffff40,
    0x7ffffc40,0x7fffc402,0x88f7002f,0x7ec3ffff,0x7edc1fff,0x3efffeff,
    0x09fff700,0x017fffc4,0x3faa0ed8,0x2dfffeff,0xfffffd00,0x3bffffa9,
    0x7ffffd40,0x4ffffbef,0x3ffffb22,0xd8adffff,0x800dffff,0xf55ffffc,
    0xf70bffff,0x3bffffff,0x5dffff90,0x5ffffc80,0x0bfffff5,0xdffefd88,
    0x03ff1001,0x7c67fd40,0x7fe400df,0x3ee04fff,0xff99ffff,0x9800abdf,
    0x20004fff,0x00fffffa,0x3fffee00,0x000fd805,0xfd002f88,0x2e00dfff,
    0xd805ffff,0xfffd800f,0x7ffc400f,0x007dc03f,0x2fffffb8,0x7ffffc40,
    0x7fffc402,0x86fa802f,0x3f25ffff,0x3102ffff,0x00019f55,0x441bfff3,
    0x000effeb,0x2a6201f3,0x4c0009ab,0x3a61dffd,0xff900dff,0x3ffeabff,
    0x880005ff,0x1550001a,0x5d4c4000,0x0ba8800a,0x00055400,0x20006600,
    0xc88004fc,0x54003ded,0x353002cc,0x20000544,0x7d40000a,0x0000ffff,
    0x027fffec,0x2e0007f7,0xfff7000f,0xfd1005ff,0x7e409fff,0x3ffee003,
    0x17ffec04,0x8801be20,0x406fffff,0x03fffff9,0x1fffffcc,0x2a17fee0,
    0xbeffffff,0xf004ffff,0x6e440007,0xdeffefff,0x0004000b,0x08010000,
    0x0002aa00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffea0,0xffc80000,0xeca9bdff,0xdf10003f,0x7fffc400,
    0xffd1006f,0xd9537bff,0xff30007f,0x7ed441bf,0x7f4c00ef,0xfff1002f,
    0x7dc09fff,0x5c05ffff,0x9bffffff,0xffffcba9,0xbffff904,0x17ffffea,
    0x800006a0,0x0000aba8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fffffb8,0xfff70000,
    0x03bfffff,0x0bffa600,0x7ffffc40,0x3ff2004f,0x1dffffff,0x3f722000,
    0xbdeffeff,0x7fffe400,0xffb504ef,0x3fffffff,0x3ffffb22,0x912defff,
    0xfffffffd,0xffffffff,0x0aa805ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0x003fffff,0x55dd4c00,0x3f200009,0x504effff,0xfffffffb,
    0x54c003ff,0x00009abb,0x00aba880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffdb90,0x0079dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ec403b2,0x0990075c,0x016cc09d,0xaaa8aaa2,0x00000000,0x3fffe600,
    0x7fe40000,0x2a00004f,0x00202aaa,0x00000013,0x40080000,0x10044008,
    0x03008801,0xaa980088,0xfffb802a,0x80988005,0x00ec8098,0x7e4007b1,
    0x4c0004ff,0x4400aaaa,0x0001aaaa,0x98800400,0x02000000,0x2004c400,
    0x8006fffa,0x100aaaa9,0x00035555,0x0ef88000,0xfe807f44,0x5417ec41,
    0x806fa85f,0xbff33ffc,0x3fb2e600,0xeeeeeeff,0xeeeeeeee,0x7ffec06e,
    0x3e60004f,0x0000ffff,0x405ffff0,0xffd9710e,0x00037bff,0x17bffdb7,
    0x7fe40000,0x102f880b,0x80fd409d,0x03f883f8,0x3ffe017a,0x7ffc403f,
    0x7f4001ff,0xf883fd82,0x00ff440e,0x0fffff88,0x3fffa000,0xbfffb004,
    0x6dc40000,0x5fb003fe,0x3bfffae0,0x1bae201d,0x003be600,0x005ffffd,
    0x405fffd8,0x9806fffc,0x88cccccc,0x900befeb,0x13fea3ff,0xfd32ffa8,
    0xb877f40b,0x5ff802ff,0xd3003ff2,0xfd77bfff,0x99dfffff,0x0fffffdb,
    0x7fffffd4,0xfffb0000,0x500009ff,0xfe807fff,0xca9abefe,0x3003fffe,
    0xfff537dd,0x4088001f,0xf04ffffb,0xfd73359f,0x55ffc405,0xd01feb99,
    0xfb73359f,0x3fff9807,0xfffffc80,0x03fe2005,0x7fe407fe,0x4009ff51,
    0x05fffffd,0x09fff100,0x00fffd80,0x6ffecc00,0x207fc002,0xd98bffe9,
    0x7fecc5ff,0x2fe8006f,0x7ffffdc0,0x3ffe2006,0x1fff9005,0xffffd300,
    0xffffffd3,0xf9fff101,0xffe801ff,0x2601fffc,0x05ffdeff,0x3fa0ff98,
    0x7fffd402,0xfffffc81,0x40fff703,0x4ffbaffe,0x9effa800,0x40000ffe,
    0xfe803ffd,0x3ffa203f,0x3fea00ef,0x077ffd44,0xffd85d00,0xfff707ff,
    0x900dffff,0xbfffffff,0x7ffffd40,0x7e400fff,0xeff9804f,0x3001ffd9,
    0x40ff10ff,0xfffcfff8,0x3dff3000,0x70003ffd,0x36000bff,0x320002ff,
    0xa8000eff,0x27ffc45f,0x8893ffe2,0x64006ffb,0x7ffc404f,0x5003ffc9,
    0xfc800bff,0xfff9003f,0xffb319ff,0x3ffee0bf,0xffa803ff,0xfd804fff,
    0xc801ffff,0x9017e62f,0x2201ffff,0x203fffff,0x3ff707f9,0x20007fd4,
    0x17f624fe,0x007ff000,0x3a200ffa,0xfb00ffff,0x7ffcc1ff,0x85f7002f,
    0x01fffffb,0x3ffffffb,0x3ffffa00,0x7fe400ff,0xf802ffff,0x1bfb004f,
    0xfb8037e4,0x5c06fa85,0x003fffff,0x0bfb17fa,0x000bfd00,0x88005fe8,
    0x0000effd,0xfffe87f9,0x41fffe80,0x26006ffa,0x77e400ff,0x6c01fee0,
    0xdfb0006f,0x3fffee00,0x1ffffc45,0x006ffff8,0x003ffffa,0x013fffe6,
    0x803f227c,0x405ffffa,0x403fffff,0x80ef887c,0x3ee005f9,0x0003f903,
    0x5e8013ea,0x3fffe600,0x45ffff05,0x802ffff9,0x7e442ff9,0x3ae02ffe,
    0x5c000dff,0x5000cffe,0x3001bffd,0x13ea009f,0x7e4017dc,0xf804fb83,
    0x2a006fff,0x003f903f,0x40002fc4,0x744007e8,0x20000eff,0x3ffe20ff,
    0x3fffb82f,0xd0037fd4,0x05f9805f,0xef8807f5,0x03f60000,0x07fffee0,
    0x4c1ffff6,0x22001aaa,0x2a001aaa,0x03000aaa,0xfffe8011,0x7fffc02f,
    0x21e6183f,0x00144028,0x001a8035,0x1e800530,0x7ffff400,0x20fffc82,
    0x403ffff9,0x6c02ffe8,0x0000001f,0x98000000,0x300a6002,0xb05fd003,
    0x5553007f,0x200d4003,0x00a2001a,0x000a8800,0x0007fff6,0x7fd46f98,
    0xfffa84ff,0x8037fd43,0x029804fc,0x02a2014c,0x2002a000,0xb81ffffb,
    0x0200ffff,0x00004001,0x70000001,0xf00dffff,0x3987ffff,0x00010034,
    0x10000000,0x5c002c00,0x980fffff,0x3fff660b,0x3ffe603f,0x0037c02f,
    0x00000000,0x00810001,0x7fc40000,0x0001fe80,0x00000000,0x80000000,
    0x0006fffb,0x3fe61fe4,0x7fdc0fff,0x037fd40f,0x80007fcc,0x00000040,
    0xfffb8000,0xffffb81f,0x5f7ff541,0x3b2a00ea,0xda803eff,0xb800ceff,
    0x102ceffd,0x00bfffff,0xb87fffff,0x7f654003,0xccca83ef,0xcc98cccc,
    0x912ccccc,0x32a03999,0x0003effe,0xfffff980,0x7e7ecc02,0xff503fff,
    0x8999bfff,0x3b6e02f9,0x7000bdff,0x0059dffb,0x033bff6a,0xabeffea8,
    0x3ff6e00e,0xfff502ce,0xffffffff,0x2e07ffff,0x00bdffed,0x43999999,
    0x20cccccc,0x21cccccc,0x20cccccc,0x21cccccc,0x40cccccc,0x003ffff8,
    0x7fc0ff40,0x3f60efff,0x06ffa85f,0x54002fe8,0x0eabeffe,0x33bff6e0,
    0xdffb7002,0xfffb8059,0xffffa81f,0x2e73fea3,0xff700fff,0x40dfff35,
    0xefd8affc,0x233ff601,0xff986ffa,0xff804fff,0x01f43fff,0xff35ff70,
    0xfffd88df,0x3ffea0ef,0x17f443ff,0xff9affb8,0x4400006f,0x104fffff,
    0xfff35ffb,0xffff307f,0x4cffffff,0x37dd304e,0x801ffff5,0xffa8cffd,
    0x457fe406,0xffa81efd,0x00fffb9c,0xff519ffb,0xfffff50d,0xffffffff,
    0xbee987ff,0x80ffffa9,0x23ffffd8,0x21ffffe9,0x23ffffd8,0x21ffffe9,
    0x23ffffd8,0x41ffffe9,0xa98ffffb,0x1be6001a,0x7fffffe4,0xa80dff8a,
    0x2fe406ff,0x273fea00,0xfb00fffb,0x0dff519f,0xfa8cffd8,0x3ffee06f,
    0xffffa81f,0xfd11bfa3,0x647ff901,0xffd84fff,0x741bfe23,0x2ffe46ff,
    0x0fffffea,0x8fffffe0,0xff9003fa,0x227ffe47,0xc87ffff8,0x4d82ffff,
    0x7e47ff90,0x400004ff,0xa85fffff,0xfff31fff,0x7ffd407f,0x503fa82f,
    0xfffa89ff,0x8dffd00e,0xffb05ffc,0x7437fc47,0x407f446f,0x7fe46ffe,
    0x7ecccc45,0xdfc9999c,0x13fea099,0x701dfff5,0xfc87ffff,0x7fdc1fff,
    0x7ffe43ff,0x7fffdc1f,0x0ffffe43,0x3fbffffa,0xb801efff,0xfffd104f,
    0x409fdfff,0x3e607ffa,0x37f4000f,0x3fa03fa2,0x82ffe46f,0x7fe46ffe,
    0x3ffff705,0x25ffff50,0x7c41fff9,0x507ffd41,0xffa8dfff,0x21fff40f,
    0x7cc4fffa,0x3fff24ff,0xfff803ff,0x3ffc9cff,0x20fffa80,0xfb86fffa,
    0x7fcc2fff,0xa81f85ff,0x3fea0fff,0x2aaaa66f,0xaaaaaaaa,0xffffaaaa,
    0x1fffd47f,0x407ffff3,0x4c2ffffa,0x3fff600c,0x0bfffe60,0xf313ffea,
    0xfffa89ff,0xf31fff40,0x41f883ff,0x7cc4fffa,0x0bfa04ff,0x7fec0ff6,
    0x3fffe60f,0x3ffff982,0x20ffffdc,0x5c3ffff9,0x7cc1ffff,0x7fdc3fff,
    0x3ffe61ff,0xffffbbef,0x00ff402f,0xffffffd1,0x3ffdc03f,0x98005fd0,
    0x0fc41fff,0xf313ffea,0xfffa89ff,0x427ffcc4,0xb81ffffb,0xff70ffff,
    0x741c83ff,0x5fff87ff,0x7ec37ff4,0x17fff46f,0x6c3fffe2,0x802fffff,
    0xffffffff,0xffe803ff,0x885fff87,0x7e45ffff,0x1a60ffff,0x7fc3fff4,
    0x3ffff25f,0xffffffff,0xffffffff,0xffff10ff,0x1ffffcc3,0x05ffff50,
    0x45ffff00,0xe82ffff9,0x7fc42fff,0x1bffa0ff,0xffb9bff6,0x3a0e41ff,
    0x7fc42fff,0x0ff880ff,0xfff01ff8,0x7fffcc5f,0x3ffff982,0x20ffffd4,
    0x543ffff9,0x7cc1ffff,0x7fd43fff,0x3ffea1ff,0x3fffa23f,0x00ff100f,
    0xffffffb1,0xeedc985f,0x02fe42ce,0xffff70aa,0x7ff41c83,0x7fffc42f,
    0x10bfffa0,0xfb81ffff,0xffb81fff,0x3fffea7f,0xfff3023f,0x4c1bb50d,
    0xffd85fff,0x3ffff50f,0x325ffff0,0x801fffff,0xeacfffff,0x7fcc03ff,
    0x00dda86f,0x741ffffb,0x322ffffc,0x86fff983,0x3fee0dda,0x3a002fff,
    0x3e67ffff,0x3fee3fff,0x3fea03ff,0xfc8002ff,0x3ffe60ff,0x7fffd43f,
    0x32ffff81,0xffb0bfff,0x3fffea1f,0xfff5023f,0x5ffff03f,0xff10ff30,
    0x307ffe40,0xf307ffff,0xffa87fff,0x7ffcc1ff,0x7fffd43f,0x1ffffcc1,
    0xb87fffea,0x7dc2ffff,0x9f704fff,0xffffb300,0x0003ffff,0x7d401ff3,
    0x7ffffd46,0xffff5023,0x25ffff03,0xf81ffffa,0x7fdc2fff,0xfffd81ff,
    0x7fffffc5,0x7fffa80e,0x3bffea00,0xfffecccc,0x03ffff71,0x3ee9ffff,
    0xf802ffff,0x3ee3ffff,0x3fffd403,0xffffa800,0x3fffed33,0x3fea03e5,
    0x3fea007f,0x3e003fff,0x3e66ffff,0xfeedffff,0xa818cfff,0x0002ffff,
    0x7fecc173,0x7ffdc3ff,0x4ffff81f,0x999dfff5,0x7c3fffd9,0x80efffff,
    0xf81ffffb,0x5fb84fff,0x5cc06fa8,0x3ffff660,0x3ffff983,0x20ffffd4,
    0x543ffff9,0x7cc1ffff,0x7fd43fff,0x3fff21ff,0x7fffc42f,0xc805fb05,
    0xffff9bff,0xfe8007ff,0x21bfe602,0x0effffff,0x81ffffb8,0xff74ffff,
    0xffff03ff,0xeffffb89,0x03fffe20,0xfffffff7,0x0ffffc83,0x9ffff700,
    0x39999999,0x203ffff2,0xff55ffff,0xff007fff,0x03e87fff,0x007fffe4,
    0x96ffff80,0x23ffff27,0xffff906a,0x3ffe6001,0x3fe003ff,0x7ff44fff,
    0xfffd4fff,0xfff501df,0xb300005f,0x87ffff9f,0xf80ffffc,0xfff75fff,
    0x9999999f,0x7fffdc39,0x7fe41fff,0xffff80ff,0xdfffdd35,0xddffdddd,
    0x67ecc05d,0xf983ffff,0x7fd43fff,0x7ffcc1ff,0x7fffd43f,0x1ffffcc1,
    0xc87fffea,0xff82ffff,0x07f887ff,0xf987ffe4,0x001fffff,0xff8817f2,
    0xffffb86f,0x7fe41fff,0xffff80ff,0x01ffff95,0xfb8bffff,0xfabedfff,
    0xff901fff,0x641fffff,0x9001ffff,0x6c00ffff,0xff80ffff,0xffff16ff,
    0xffff009f,0x2103c87f,0x001ffffc,0xf3ffff90,0x2ffffe61,0xffff903d,
    0x3ffe2003,0xff1003ff,0xfd987fff,0x3ffa61df,0xffff500d,0x7ec40005,
    0x3ffff9af,0x407fffec,0xff96ffff,0xff9000ff,0x6c1fffff,0xff80ffff,
    0xffff56ff,0xffffffff,0xfb107fff,0x7ffff35f,0x87ffff30,0x4c1ffffa,
    0x7d43ffff,0x7fcc1fff,0x7ffd43ff,0x3fffee1f,0x87fffe83,0x3fe205fa,
    0x7fff445f,0x1ff3004f,0x1bff3a20,0x7fffffe4,0x3ffff60f,0xb6ffff80,
    0xff01ffff,0xfffb8dff,0xeffffb9f,0x7fffd402,0x3ffee4ff,0xfff7002f,
    0x3ff2001f,0xffff80ff,0x13ffff65,0x0fffffe0,0x3ee93075,0x30002fff,
    0xe8bdffff,0x700fefff,0x4005ffff,0x004ffffe,0x03fffff3,0x0076c402,
    0x00bfffea,0x98fffd40,0x7e43ffff,0xfff80fff,0x1ffff75f,0xffff5000,
    0x7ffe49ff,0x5ffff80f,0x557ff751,0x5557ff55,0x31fffa81,0xf307ffff,
    0xffa87fff,0x7ffcc1ff,0x7fffd43f,0x1ffffcc1,0x987fffea,0xfe84ffff,
    0x02fd86ff,0x2e13ffea,0xd006ffff,0x7ce6c05f,0x3ffea06f,0x3ff24fff,
    0xffff80ff,0x01ffff95,0xfb8bffff,0x02a61fff,0x7fff4408,0x3fffea6f,
    0xffff5005,0x3ffea005,0x4ffff81f,0x01ffffe6,0x20fffffe,0xfff52c81,
    0x7f4000bf,0x7fdc2fff,0x3fea05ff,0x3ea005ff,0xf7005fff,0x88009fff,
    0xffa801ff,0xfa8002ff,0x3ffe63ff,0x7fffd43f,0x54ffff81,0x2005ffff,
    0x7ffff440,0x07fffea6,0xf313fffe,0xa80ff10f,0x3fe63fff,0xfff983ff,
    0x7fffd43f,0x1ffffcc1,0x307fffea,0xfa87ffff,0x7ffc1fff,0x4fffd84f,
    0x3f600ff8,0xfff883ff,0x05fc806f,0x237fcd72,0x7ffff440,0x07fffea6,
    0x7d53fffe,0xfff81fff,0x7fffdc4f,0x6c254001,0x3fe27fff,0xf9803fff,
    0x42606fff,0x441ffff8,0x7e42ffff,0x7fc02fff,0xf8803fff,0x7fffff11,
    0x3ffee000,0x7fffc40f,0x3fffe202,0x3ff6003f,0xfffd007f,0x1ff7000d,
    0x5ffff500,0xffff8800,0x0ffffe61,0x883ffff1,0xff32ffff,0xa84c0dff,
    0x27fffd84,0x441ffff8,0x7dc2ffff,0x2206fa85,0x3e61ffff,0xff983fff,
    0x7ffd43ff,0x7fffcc1f,0x0ffffd43,0x50ffffe6,0xfe83ffff,0xfffd85ff,
    0x3202fd42,0xffb04fff,0x0ff9809f,0x3fe61d70,0x7fec2546,0x3fffe27f,
    0x97fffc41,0x441ffff8,0x7dc2ffff,0x54001fff,0x46ffe81f,0x80fffffd,
    0x3ffffa1c,0x7fe46983,0x37ffcc2f,0x206fffe8,0x03fffff8,0xffb07f44,
    0x03901fff,0xe827ffc4,0x7ec00fff,0x1c80ffff,0x01ffffc4,0x00bfffe6,
    0x200fff60,0x022ffff9,0x8ffffe60,0xc83ffffb,0x7fcc2fff,0x7ffff46f,
    0x07ea6983,0xff91bffa,0x6fff985f,0x4fc83fc8,0x8ffffe60,0x883ffffb,
    0x7ec3ffff,0x7fc41fff,0x7ffec3ff,0x7fffc41f,0x0ffffec3,0xd03fffe6,
    0x3fc81fff,0x82fffdc0,0x7402fffd,0xdddf102f,0x7d4dfffd,0x646ffe81,
    0x7fcc2fff,0x17ffe46f,0x2e1bffe6,0x4001ffff,0x4ffc86f9,0x77ffffc4,
    0x7d43ea9c,0xb89cffff,0x27ffc42e,0x440bffee,0xf504fffd,0x4c09ffff,
    0x7ffc47fe,0x3ea9ceff,0x702ffd80,0xff100bff,0xd539dfff,0x3fffea07,
    0x7fffd100,0x3ffee000,0x7fffc401,0xff300914,0xffddbfff,0x7c4319ff,
    0x7ffdc4ff,0x7ffffd42,0x262eb89c,0x44ffc86f,0x7dc4fff8,0x81fe82ff,
    0x3fe603fd,0xffeedfff,0x7fc18cff,0x3fff25ff,0xffff82ff,0x3fffff25,
    0x25ffff82,0x82fffffc,0x7fc3fffb,0x800ff81f,0x7c40fffe,0x2fe404ff,
    0xffffff10,0x437ccfff,0x7fc44ffc,0x17ffdc4f,0xf713ffe2,0xfff705ff,
    0xff98003f,0x01dfd12d,0xfffffff5,0x3ffee09f,0x303fffff,0x7ffc1fff,
    0xdfffb802,0xffffb98a,0xba99bfff,0xfa86fffd,0x4fffffff,0x440ff500,
    0xff5002ff,0x09ffffff,0x42effd88,0x000dffe9,0x0dffffc0,0xddffff70,
    0x3fffa001,0xffffd4ff,0x0fff981d,0x7dc0bffe,0x3fffffff,0xe896ffcc,
    0xfff980ef,0x220bffe0,0x01ff80ff,0xa7fffff4,0x40effffe,0xeffffffa,
    0xa84ffffb,0xbeffffff,0xfa84ffff,0xfbefffff,0xff904fff,0x4c17fdcd,
    0xfff3006f,0x405ffc8b,0x4cc00ff9,0x21effa99,0xfd12dff9,0x1fff301d,
    0xf9817ffc,0x0bffe0ff,0x017fffec,0x3bfb7e60,0x3a600dff,0x403effff,
    0x2dffffea,0x7f7fec40,0x2e2001ef,0xfffffffe,0xffffffff,0x05ffffff,
    0x7dffffd3,0x2027c400,0x7f4c007d,0x2003efff,0xffefffeb,0x500003ef,
    0x40dffffd,0x000dffeb,0x9877ff66,0xb100dffe,0x03dffdff,0xdffffea8,
    0xefedf982,0x36200dff,0x01effeff,0x0ff10df3,0x43bffb30,0x900dffe9,
    0x3eabffff,0xfc85ffff,0xfff55fff,0xfff90bff,0x3fffeabf,0xbffb705f,
    0x0ff205bf,0xdfffc880,0xfe802eff,0x6ff98002,0x7f7f6fcc,0x3f6200df,
    0x401effef,0xeffeffd8,0xffffc881,0x31001aef,0x10005544,0xa8800155,
    0x13530002,0x33330000,0x40000033,0x50000aa8,0x00018801,0x80001551,
    0x0000aba8,0x00b32600,0x00200004,0x09a98001,0x20154400,0x002aa218,
    0x88013530,0x002a881a,0x54001002,0x5540000a,0x05540000,0x00d44000,
    0x4400065c,0x90009aa9,0x3a2000bf,0x5510c44e,0x09a98001,0x009a9800,
    0x2aaaaaa2,0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00200000,
    0x20001000,0x00330000,0x00aaaa98,0x4c400010,0x40008000,0x8006fffa,
    0x101aaaa8,0x00015555,0x01d70004,0x01bb0264,0x20000f62,0x80000019,
    0xf7004009,0x4c000bff,0x2200aaaa,0x0001aaaa,0x00000260,0x00019810,
    0x10000262,0x10198000,0x99800040,0x06600000,0x00000000,0x02004c40,
    0xea81dc80,0x77ed4400,0x375c400b,0x0027ec00,0x3017fff6,0x8005bffb,
    0x2e000ef9,0xfd000dff,0xc8005fff,0x7ec05fff,0x2a2004ff,0x801beffd,
    0x0ff441ff,0xe981df30,0xfd98000f,0x00ceffff,0xfffda800,0x1a21bdef,
    0x0fffffc4,0x5fffd800,0x06fffc80,0x3ffb2200,0x51003eff,0x74c7dffb,
    0x10017ec2,0x3bfffff9,0x3fff6a00,0xffd5002e,0x20645bff,0x8803ffe8,
    0x00dffefd,0xffffd980,0x4c000cef,0xaaceffed,0xb8801aaa,0xefffffec,
    0x90012a1b,0x03dd31bf,0xff53ffa8,0xdfffb307,0x006fa800,0x4c05fff8,
    0x00ffffef,0x8800bfa0,0xb803ffff,0x006fffff,0xd8037ffc,0xfd1007ff,
    0x07ffd11b,0xff32ffb8,0x23df900b,0x4c003ffa,0xdaaceffe,0x8000dfff,
    0xadfffffb,0x6edffdba,0xbfffff90,0xbfff1000,0x07ffe400,0x8fffd400,
    0x200efffb,0xfc8afff9,0x7d42ffcd,0x11bf5005,0x809ffff9,0xfffffffd,
    0x33bf6205,0xfdffc989,0x03fffe40,0x7fe4bfa2,0xffd3000e,0xfffb559d,
    0xfff9001b,0xfffff915,0xfffa807f,0xfca989bf,0x8004fcef,0xa802fffa,
    0x0ffec6ff,0x01bfee22,0x4001ff88,0x74405ffa,0x007ffd12,0xf50013f2,
    0xf880bfff,0x02ffd9ff,0x001dff30,0x2007ffa2,0x3fea1ffd,0x67ff402f,
    0xf8800fff,0x006ffcff,0x30056fe4,0x22005fd7,0x202ffffd,0xf986ffea,
    0x02ffd9ef,0x002ffd40,0x2001ffe4,0x7dc3fffa,0xfff105ff,0x2ffffe81,
    0x7cc03fc4,0x7fffdc2f,0xfffffb02,0x3607ffff,0xffd300ff,0x1ffffe81,
    0x7d4fff10,0xdfc805ff,0x3fae600a,0x0ffff202,0x0355dffd,0x013fff62,
    0x009fffb1,0x03fffc88,0x7dc4ffe8,0x0dff506f,0x40027ec0,0xf90006fd,
    0x1ff3003f,0xffff8800,0x9077e403,0x3bf200df,0x27f44000,0x3a1fff60,
    0x3ea01fff,0x2004ffff,0x02fffffc,0x1000ff60,0xff8807fb,0xe8801fff,
    0x20dfd86f,0x7ec006fc,0x1bf60006,0x85fffb00,0x440ffffa,0xffb86ffe,
    0x01fd82ff,0x7fc2ffe4,0x9cfb86ff,0x6fffffda,0x4c04ffb8,0x7ffe40ff,
    0xa9fff207,0x7ec07fff,0x1fec4003,0x207fffcc,0x2202fffc,0x2005ffff,
    0x2e004ffc,0x04ffd8cf,0xf50fffea,0xdff509ff,0x001bea00,0x4400077c,
    0x5fd002ff,0x13faa000,0x3ea0bf30,0x000ef803,0x7c40fd10,0xfffd87ff,
    0x7ffff406,0x3ffe2000,0x2bee006f,0x99999998,0x7403f900,0x2002ffff,
    0x827d46f9,0xdf1002fb,0x0fd80001,0x07fffe00,0xd85ffff3,0xffa83fff,
    0x04fb82ff,0x7fc3fff4,0x07a20fff,0x21ffffea,0xfb803ffe,0x0177e441,
    0x3e21ffff,0x0bee06ff,0x1886ee62,0xfffb83f9,0x2fffdc0f,0x00ffffd0,
    0x32009fb0,0x0fffe21d,0x2617ffec,0xffa86fff,0x01ff8806,0x8000a880,
    0x401efffc,0x000004fc,0x02980530,0x20000544,0xfff500a8,0x1ffff90d,
    0x00d554c0,0x005554c0,0xffb34f98,0x19fff99f,0xffc80ee8,0x6c8004ff,
    0x0066014c,0x80000544,0xfff1000a,0xffff983f,0x417fffc1,0x882ffffa,
    0x7ffe407f,0x07ffff40,0x7fff4033,0x00efff86,0xf30001f8,0x77dc3fff,
    0xc889f302,0xeefcabff,0xffc83ba3,0x7fffb87f,0x09ffff70,0x0009f100,
    0xf81fffb8,0x7fcc2fff,0x06ffa87f,0x40004fc8,0x7f540600,0x3fe606ff,
    0x00000000,0x00100004,0x3ff20040,0xffffb87f,0x00000002,0xff88db00,
    0x11bff62f,0xffff987f,0x0688001f,0x00000000,0x3fea0000,0x7ffcc1ff,
    0x3fffe20f,0x2ffffa82,0x74c03fd0,0x6ffff84f,0x27ffe400,0x03bfffe2,
    0x2a000390,0x4002ffff,0x077f4c6d,0x47f11fdc,0xfb87fffa,0xfff985ff,
    0x990000ff,0xaaca8800,0x3e20efff,0x7fcc2fff,0x37fd41ff,0x4001bea0,
    0x24effeda,0x7ffd405d,0x0005fd00,0xfb500060,0xb50019df,0x50019dff,
    0xb019dffb,0xff50ffff,0x3f6e09ff,0x99902cef,0x66643999,0x1fc40ccc,
    0xff517ffc,0x7e46d83f,0x0000ffff,0x3ffb6e07,0xdb7000bd,0x20017bff,
    0x0bdffedb,0x0ffffd40,0xf50fffee,0xff503fff,0x13ee05ff,0x7fffc400,
    0x77fec003,0xeffffe80,0x00c02202,0x013fffea,0x7ff43f88,0x4db0fa01,
    0x5c0ffff8,0xffd83fff,0x220007ff,0x3bff2003,0x24ffffec,0x4c2ffff9,
    0x7d42ffff,0x07fe206f,0x233fee00,0x006defea,0x17f20ffd,0x0024c000,
    0xdfb15ff9,0x457fe403,0x3f201efd,0x41efd8af,0x4c0ffffd,0xfd85ffff,
    0x86ffa8cf,0x23ffffd8,0x41ffffe9,0x2fff80fb,0xf30fffe2,0x3ffffe23,
    0x3a600007,0xffffa9be,0x26fba600,0x200ffffa,0xffa9bee9,0x3fea00ff,
    0x9ff711ff,0x3ffff901,0x05ffff50,0x5c001be6,0x2000efff,0x3f205ff8,
    0x02efffff,0xff500ec0,0x7dc00bff,0x5017ff20,0x3f21f985,0x7ffec2ff,
    0x6fffff80,0xfb000000,0x7fff41ff,0x0bfffea7,0xa87ffff3,0x13f207ff,
    0x71fff200,0x0a883fff,0x7fcc2fdc,0x09700000,0xf88fff60,0x47ffb06f,
    0xffb06ff8,0x3237fc47,0x7c41ffff,0x7ff46fff,0x5c2ffe46,0x7e43ffff,
    0x82ec1fff,0x3fee2fff,0xff33f80f,0x0000bfff,0xff513fea,0x9ff501df,
    0x80efffa8,0x7fd44ffa,0xfff500ef,0x33ffe63f,0x1ffffc80,0x02ffffa8,
    0x3a0003fa,0x74000eff,0x3fe604ff,0x1effffff,0x53305f00,0x333dffff,
    0x3fe2ec01,0x87f0004f,0xff50effb,0xffff101d,0x000000bf,0xfa87fff7,
    0xfff72fff,0xffff985f,0xa83ffdc5,0xff98006f,0x2fffcc5f,0x3a22fff2,
    0x002fe80e,0x5005d100,0xffe81fff,0x207ffd43,0x7fd43ffe,0x71fff40f,
    0xf987ffff,0x3fea5fff,0x27ffcc4f,0x70ffffe6,0x4e83ffff,0x3a25fff0,
    0x2a9d04ff,0x003fffff,0x41fffb00,0xd82ffff9,0x3fe60fff,0xfffd82ff,
    0x0bfffe60,0x20ffffd4,0x7dc2fffa,0xffa82fff,0x0ff202ff,0x009ff500,
    0x7ffff5c4,0xffff500e,0x019fffff,0x3fe627c4,0xffffffff,0xf893a04f,
    0x9d0003ff,0xdfdffd10,0x7fffd407,0x8000004f,0x7cc1ffff,0xfffb4fff,
    0xffff985f,0x9dddb936,0x080ff445,0x313fff60,0x6cc5ffff,0xf903efff,
    0x9802a80b,0xdffd007e,0xfe8dffb0,0x46ffd86f,0xffd86ffe,0x1bfffe26,
    0x749ffff3,0x7fc42fff,0x3ffe60ff,0x7fffd43f,0xfff81fc1,0x201effde,
    0xfffff95d,0x3fe00005,0x3ffe62ff,0x2ffff82f,0x20bfffe6,0x3e62ffff,
    0xff502fff,0xfffb03ff,0x1ffffd41,0x017fffd4,0xfe800df3,0x7ffec002,
    0x700fffff,0xffffffff,0x17e603df,0xfffffff3,0x7c09ffff,0x00bffe63,
    0x4edc2ec0,0xffb80099,0x00003fff,0x0ffffd40,0x6d7fffe2,0x7cc2ffff,
    0x64005fff,0x77fecc4f,0x3fffe20b,0x3ffffa23,0xff980104,0x501bea00,
    0xff3009ff,0x1fffb0bf,0x3617ffe6,0xfff30fff,0x41fffb0b,0x99effffb,
    0xf53ffffc,0xfff03fff,0x7fffcc5f,0x0ffffd43,0x5fffc17a,0xa7c06ffd,
    0x03fffffc,0x1fff9000,0x41ffffcc,0x3e60fffc,0xffc83fff,0x3fffe60f,
    0x3ffff503,0xe8bfff90,0xffa85fff,0x07fc02ff,0x0002f980,0xffffff71,
    0x7fff4c07,0x81ffffff,0x555447fa,0xaabffffd,0xff997a01,0x49f0003f,
    0xb8000fe8,0x003fffff,0x7ffdc000,0x7fffc40f,0x85ffff76,0x004ffff9,
    0x3ffa1bea,0x3fe64fff,0x3fb3a3ff,0xfd0006ff,0x037fcc05,0x5001fff9,
    0x9999dfff,0x3ea3fffd,0xecccceff,0xfff51fff,0xffd9999d,0xffffb83f,
    0x0fffffff,0xf03ffff7,0x7fcc9fff,0x7ffd43ff,0xff83ec1f,0x02fff8af,
    0x3ffee7f3,0x200005ff,0x3ff660b9,0x417303ff,0x03ffffd9,0x7fecc173,
    0xfff503ff,0xffff903f,0x21ffffb8,0x02ffffe8,0x4a801fe4,0xfff98000,
    0xfea805ff,0x86ffffff,0x3ea00ffc,0xfb000fff,0x0027ffc4,0x3ff91fcc,
    0xffff3000,0xccca809f,0x1ccccccc,0x40ffffc8,0xf56ffff8,0xff985fff,
    0xfd1003ff,0xfd88bc83,0xffff70ff,0x7fff5767,0x05fc8007,0x641bffe2,
    0xf7005fff,0x99999fff,0x3fee3999,0xccccccff,0xffff71cc,0x99999999,
    0x39bb7103,0x7e4dfffd,0xfff80fff,0x3fffe65f,0x0ffffd43,0x3ffe07f2,
    0x2e0dff92,0xfffff52f,0x2600000d,0x3ffffcfd,0xffcfd980,0xfd9803ff,
    0x503ffffc,0xf903ffff,0xffc81fff,0xffdfccff,0x2fd402ff,0x00002b80,
    0x00fffff1,0x7fffffdc,0x017ff42f,0xc801fffe,0x01bffa1f,0xfff8bee0,
    0xcceeeeef,0xfffff80a,0xfffc9806,0xfb01cfff,0xff881fff,0xffff35ff,
    0x2ffff985,0x8309f900,0x3fee7ff8,0x3fa6baff,0x7cc007ff,0xff9d100f,
    0x3ffff50d,0x1ffff200,0x07fffc80,0x01ffff20,0xffff9800,0x03ffff62,
    0xf99bfffe,0x7fd43fff,0x41fcc1ff,0xfff12fff,0x7fc4fb07,0x00007fff,
    0x7cd7fec4,0x36203fff,0xffff9aff,0x2bff6203,0x503ffff9,0xf903ffff,
    0xff903fff,0xfff53fff,0x01ff005f,0x40000150,0x930ffffb,0xffffc880,
    0x13ffe23f,0x400dffb0,0x3ffe63f9,0xf1f60601,0xffffffff,0xfe83ffff,
    0x3a007fff,0x5c06ffff,0x7c40ffff,0xfff13fff,0xffff985f,0x00ef9800,
    0x3ea4ff88,0x3a0edfff,0x74005fff,0x3e73602f,0xffffc86f,0xf706f540,
    0x2e001fff,0x7000ffff,0x0001ffff,0x91bfff20,0xff01ffff,0x7ffccbff,
    0x7fffd43f,0x7fcc5e81,0x03ffee3f,0xffffc89f,0xf500000f,0x3ffe63ff,
    0x3fff503f,0x40ffffe6,0xff31fffa,0x3fea07ff,0xfffb81ff,0xa82a601f,
    0xd802ffff,0x0000002f,0x34cdfff0,0x4ffffa80,0x501bffea,0x5e800bff,
    0x54077fdc,0x7fe44f86,0xffffffff,0x3ff20fff,0x3fa007ff,0x7cc05fff,
    0x7fc41fff,0x3fffa2ff,0x03fffcc2,0xb800ff44,0x3ffe60ff,0x7fff41ff,
    0x817f2003,0xd0dff35c,0xffd0ffff,0x17fffd4b,0x2ffffa80,0x5ffff500,
    0x3ffe0000,0x7fffd41f,0x24ffff81,0x543ffff9,0xfa81ffff,0x7dfffb32,
    0x647bffa1,0x7fffcc1f,0xfa80003f,0x3ffe63ff,0x3fffa83f,0x20ffffe6,
    0x3e63fffa,0xff503fff,0xfff703ff,0xffa8001f,0x5fa802ff,0xb0000000,
    0x00fcc9ff,0x323fffc8,0x9880ffff,0x0aa04ffa,0xffea85f5,0xfc83ecac,
    0xfffffb81,0x2fffffff,0x07ffffe2,0x27fffec0,0x07fffe20,0x5c1ffff1,
    0x7fcc3fff,0x04fc805f,0x3fe07fa0,0xffff83ff,0x01ff3002,0x37fcc3ae,
    0x743ffffc,0x3ffe67ff,0x7cc2606f,0x42606fff,0x206ffff9,0xfffc8009,
    0x1ffff883,0x317fffc4,0xfa87ffff,0x1fb01fff,0x13333331,0x3ea26662,
    0xdffff903,0x3e275000,0x3fe61fff,0x7ffc43ff,0x3fffe61f,0x0ffffc43,
    0x207ffff3,0x981ffffa,0xa8006fff,0x8802ffff,0x0eed407f,0x5ff90000,
    0xf9802fcc,0x3fff61ff,0x3fff661f,0x7dcc0cff,0xa980fd81,0x3fa809bc,
    0xaaacfea8,0x3fffcaaa,0x02ffffd4,0x04ffffd8,0x4c2fffd8,0x7fc45fff,
    0x07ffdc4f,0x4003be60,0xfff702fc,0x0ffff887,0x2205fd00,0xfffeeeef,
    0x0ffffec6,0xffd1bff2,0xe8d307ff,0x6983ffff,0x41fffff4,0xfffc8069,
    0x0bfff203,0xf88dfff3,0x7fec3fff,0x3dd101ff,0x80bf7000,0x003ffffe,
    0x7ffccfee,0x3fffee3f,0x1ffffcc3,0x987ffff7,0x3ee3ffff,0xff503fff,
    0x74ffa3ff,0xfa8005ff,0xfb002fff,0x3fffe603,0x006fe400,0x3ff989ff,
    0x7c6ffa80,0x3ba2ffff,0xffffffdb,0x880fffff,0xfb8001ee,0x803ffa85,
    0xffc80ffa,0xffd801ff,0xfe8804ff,0x077fdc4f,0x3f62ffdc,0x0ff4404f,
    0x9221fa80,0x7cc5fff8,0xbf9001ff,0x7ffffc40,0x7fd47fff,0x1ffcc3ff,
    0x33ffffea,0x7d42eb89,0xb89cffff,0x7fffd42e,0x02eb89cf,0x200f7fe4,
    0x7dc4fff8,0xffff82ff,0x3fffff25,0x02ffa202,0x2017f660,0x03ffffe8,
    0x3fe63fc8,0xffeedfff,0xff318cff,0xffddbfff,0x3e6319ff,0xfeedffff,
    0x5c18cfff,0xff99ffff,0x0001ff96,0x005ffff5,0x7fe413ee,0x3fe603ff,
    0x0ef981ef,0x2017ffcc,0x7ffc1ffe,0x641f33ff,0xffffffff,0x2ffa205f,
    0x05fd9800,0xf5005ff9,0x7fffe40b,0x7fffec00,0x1ffd1004,0xb807ffe2,
    0x0bff11ff,0x2a009f90,0x24edccdf,0x3a2ffedd,0xff3002ff,0xa9999801,
    0xffc81eff,0x413ee3ff,0xfffffffb,0xffff703f,0x2e07ffff,0xffffffff,
    0x33ff6a03,0x1fff3000,0xfa817ffc,0xfbefffff,0xfc804fff,0xda88acef,
    0x5c002fff,0x89beffff,0xe81efdb9,0xfd4fffff,0x7f41dfff,0xffd4ffff,
    0x7ff41dff,0xfffd4fff,0xfffd81df,0x3f6dfd1f,0xfff70002,0x1fe2007f,
    0x017fffd4,0x5dfffff1,0xf301bf71,0xc981bfff,0xfffd82ff,0x3ea5f10f,
    0xffffffee,0xeffc800f,0xffda88ac,0x3ffe202f,0x01bf7301,0xadfffe98,
    0x7ffff4c0,0x3fb22003,0xb801cffd,0x803ffefe,0xf9800ef9,0x92ffffff,
    0x7ff7fe4b,0x0bfa002d,0x81bfe600,0xefffffea,0x7fff5402,0x7f5402df,
    0x5402dfff,0x82dffffe,0x002dffc8,0xffdffb10,0xfffc803d,0xfffff55f,
    0xfff9100b,0x017dffff,0x3ffae200,0x04efffff,0x9877ff66,0x6cc0dffe,
    0x3fa61dff,0x7fecc0df,0x37ffa61d,0x7fffff40,0x05bffb31,0xffff7300,
    0xfd0019ff,0x01bffa03,0x3fffffea,0x2be601ef,0xfedefeb9,0xffd300df,
    0x0efffb89,0x03dffff7,0x7fffe440,0x800befff,0xeeefffb8,0x54003def,
    0xfeeffffd,0x0001cfff,0x88000d44,0x0bfa001a,0x3bbbb620,0x31010eee,
    0xbf900035,0x13ba2000,0x0026a620,0x10005510,0x55100055,0x00009a80,
    0x0004d4c0,0x000002aa,0x006aaea6,0x57531000,0x04008003,0x20020040,
    0x00000400,0x5554c000,0x800aaaaa,0x006601ca,0x00355530,0x2aea60a2,
    0x20150009,0x1aa881a8,0x55d4c000,0x2620001a,0x200001aa,0x09aaba98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5554c000,
    0x0fae000a,0x500019d5,0xccb83555,0x33321ccc,0x5c001ccc,0x01eeeeee,
    0xd305f754,0x00aaaaa0,0xdd308801,0xdddddddd,0xeeeed87d,0x0eeeeeee,
    0x2a000100,0x01e20bee,0x26004000,0x0bb221dd,0x75c3ec88,0x21f5c00c,
    0x75400cea,0x801a60be,0x9813a000,0x0002002d,0x00155554,0x30355551,
    0x4c00ffff,0x6cc001dd,0x0002002d,0x36004c40,0xeeeeeeee,0x4011004e,
    0xeeeeeee9,0x00eeeeee,0xdffd9730,0x0000159b,0x003fffe8,0x7c4bffea,
    0x7d4004ff,0x7ec40eff,0x3f663fff,0x88002fff,0x202ffffe,0xbefffffe,
    0xffff504e,0xe80be201,0x7fffec44,0x7fd401ef,0x800cffff,0x01ceffeb,
    0xbfffffd0,0xddd30bd7,0xdddddddd,0x81f7ec49,0x3ff26ffe,0x3fff700f,
    0xb80fffe6,0xfff12fff,0x7ffff409,0x5404ebef,0x403effec,0x06fa85fa,
    0x8001f930,0x002ffff8,0x203bffee,0x803ffffe,0x4007fff8,0xc800fffe,
    0x740003ff,0x3ffe605f,0x2fffffff,0x3bffb2a0,0xfffffb84,0x7fffffff,
    0x59fff900,0x07fffb51,0x3ffe6000,0x7ffe4004,0x00dfff54,0x500fffd8,
    0xfb87ffff,0x50002fff,0x2e05ffff,0xffffffff,0x3ffea01f,0x26b3fa03,
    0xf983fdb9,0xb003ffff,0x100fffff,0xfffffffd,0xffffa803,0x202fffff,
    0xefffffd8,0x3ffffc81,0xe87fffc4,0xffb02fff,0x17ffee7f,0xf54fffc8,
    0x3fee0dff,0x1fffffff,0x3e6bfee0,0x77f406ff,0x9805ff70,0x4000fffd,
    0x4002fffa,0xfa80effd,0x400fffff,0x001ffffa,0x807ffff3,0x000ffff9,
    0x5c0bff90,0xffffffff,0x27ff607f,0x7ec4fff8,0xffffffff,0x75404fff,
    0xfd101fff,0xc80003df,0xf98004ff,0x0fffe1ff,0x01fff880,0x50ffffe6,
    0xb005ffff,0xfffddddd,0x9dd83ddf,0x05ffffeb,0x2a05ffa8,0xefffffff,
    0xfffff880,0xffff9002,0xfffe880f,0x01ffffff,0x3ffae772,0xff9806ff,
    0xfff03fff,0xbffb0bff,0xf503ffdc,0x3ffe21ff,0x83ffe602,0x3bb03fff,
    0x0bffffd7,0xff91ffe4,0x77fd409f,0x3aa05ffd,0x000fffff,0x2001ffec,
    0xfd00eff8,0x809ff95f,0x4007fff8,0x5c00ffff,0x8002ffff,0x3a05fffa,
    0xffffffff,0x1fff904f,0xfff1bffe,0xffffffff,0x7fdc03ff,0x7fcc02ff,
    0x3a0001ff,0x2a20004f,0x54001a80,0x7fc401ff,0x7ffd43ff,0xcccb802f,
    0xcdffffdc,0x32e205c0,0x03fee001,0xffffffd8,0xfffff101,0x3fff2005,
    0x77fe406f,0x6fffffff,0x39710720,0x3fffe600,0xffffb02f,0x5305501f,
    0xa8815100,0xa80a8800,0x97102e01,0x07ffd403,0xd80dfff5,0xa81fffff,
    0xffffffee,0x0ffe2000,0x403fee00,0x3fea1efb,0x016f5400,0x200bb660,
    0x000ffff8,0x82ffffc4,0xccccccf9,0xff980ccc,0x887bf27f,0xeeeeefff,
    0x2207ffee,0xb004ffff,0x0001dfff,0x00000bf3,0x01fd8000,0x43ffff88,
    0x002ffffa,0x05ffff30,0x3ee00000,0x6fff5403,0x3fffe200,0xfff9002f,
    0x867c40df,0xfffffeb8,0x44000000,0x101fffff,0x001ffdfb,0x00000000,
    0xe8000000,0x5fff87ff,0x27fffcc0,0x3fffe208,0x0fea000f,0x880fec00,
    0x04f980df,0x40000000,0xd8001dda,0xd905ffff,0x7ffd4000,0x00bfa807,
    0xffd027fc,0x3ea005ff,0x88004fff,0x00000002,0xf1001a80,0xffa87fff,
    0xf30002ff,0x00005fff,0x0000d400,0x3ffffe20,0xffff9002,0xf9825c0d,
    0x0002ffff,0x7fffc400,0x00fd001f,0x00000002,0x40000000,0xda86fff9,
    0xaaaa800d,0xffffb000,0x0014c001,0x014c0350,0x000400a2,0x00000010,
    0x17ffffee,0xf700027c,0x3c801fff,0x701ffa80,0x400fffff,0x02fffff8,
    0x70002000,0x017bffdb,0x7fc40000,0x7ffd43ff,0x3f6a202f,0xffff99df,
    0x7ff6dc02,0x000000bd,0xffff8800,0xfff9002f,0x3a0040df,0x3320ffff,
    0x3321cccc,0xf100cccc,0x1003ffff,0x7fed40bf,0xcccc80ce,0x333321cc,
    0x3f6e00cc,0xb7002cef,0x2a059dff,0x00007fff,0x3fff6000,0x0000000f,
    0x54000000,0x800ceffd,0x03effeca,0xd5f30000,0xff30bfff,0x200379df,
    0x400ffffc,0x40ff9001,0x005ffffe,0x02fffff4,0x47bffd73,0x01dfffd8,
    0x3ea6fba6,0x99300fff,0x99999999,0x7ffc4599,0x7fffd43f,0x33fffa02,
    0x2ffffcfe,0xf537dd30,0x32201fff,0x880ccccc,0x00cccccc,0x0bffffe2,
    0x37fffe40,0xdfff7000,0x3ffffd88,0x07ffffa6,0x0fffffc4,0xfc80fdc0,
    0x41efd8af,0x23ffffd8,0x01ffffe9,0xff519ffb,0x8cffd80d,0xffc86ffa,
    0x326000ff,0xcccccccc,0xffb02ccc,0x999701ff,0x3ff66599,0x9999102d,
    0x99910199,0xfc801999,0x01efd8af,0x3fe6bfee,0x6666446f,0x4f8800cc,
    0xf90bfffd,0x3bffffff,0x0ffffc80,0x09ff0000,0x13ffffe2,0xdffffb00,
    0xd737ff50,0x15ff5dff,0xff507ff9,0x0efffa89,0xaabcffb8,0x21fffffb,
    0x543ffff8,0xfb02ffff,0x7ffd43ff,0x4ffa82ff,0x8077ffd4,0x01ffffe9,
    0x03ffffd3,0x17ffffc4,0x6ffffc80,0x3fff2000,0x3ffffb84,0x80ffffe4,
    0x01fffff8,0xffd81fd4,0x2e1bfe23,0x7e43ffff,0xffe81fff,0xe82ffe46,
    0x2ffe46ff,0x007ffff2,0xaabcffb8,0x01fffffb,0x101ffffb,0xf59ffffb,
    0x203fffff,0x01ffffe9,0x03ffffd3,0xff11ffec,0xc8fff20d,0x7f4c4fff,
    0x6d801fff,0x3e17fffa,0xffffffff,0xfff900cf,0xf300001f,0x3ffe605f,
    0x7ec004ff,0x3ea0ffff,0x7fffc43f,0x217ff44f,0x3e60fffd,0x1fb82fff,
    0x44ffffd8,0x543ffff8,0xfb82ffff,0xfffc85ff,0x0fffd82f,0x80bfffe6,
    0x201ffffc,0x201ffffc,0x02fffff8,0x0dffff90,0x17fff400,0x21ffffcc,
    0x101ffffb,0x403fffff,0xfff502fc,0x4c3ffe81,0x7dc3ffff,0x7fd41fff,
    0x27ffcc4f,0xf313ffea,0x7ffdc9ff,0x07ee002f,0x813ffff6,0x500ffffd,
    0x35dfffff,0x640dfffd,0x3201ffff,0xf501ffff,0x3ffe81ff,0xf507ffd4,
    0xfff90dff,0x20fb803f,0x7d45fffe,0xffffffff,0xfff906ff,0xf900001f,
    0x7fffdc0f,0x7fe4003f,0x3ffa1fff,0x0ffffe87,0x3fe37fdc,0x3ffe62ff,
    0xfa84b82f,0x7c40ffff,0x7fd44fff,0xfffe82ff,0x2ffff983,0x262ffff8,
    0x2e02ffff,0x2e01ffff,0x2201ffff,0x002fffff,0x00dffff9,0x417ffe20,
    0x543ffff9,0xf101ffff,0x2a03ffff,0x1bffa00b,0xff31bff6,0xfffa87ff,
    0x17fff41f,0xe83fffe2,0x7fc42fff,0xffff50ff,0x5425c00b,0x200fffff,
    0x100ffffd,0x541fffff,0xf701ffff,0x7dc03fff,0xffd01fff,0xe8dffb0d,
    0x5fff87ff,0x01ffffb8,0xfffd0be6,0xfffeeb8b,0x4fffffff,0x00ffffc8,
    0x204ff800,0x02fffffc,0x7ffffe40,0xb0bfffe2,0xff50ffff,0x07ffe43f,
    0x507ffff3,0x7ffffd03,0x917fffe0,0xf885ffff,0xff982fff,0xfffc82ff,
    0x0ffffe60,0x01ffffa8,0x807fffea,0x02fffff8,0x0dffff90,0x03ffea00,
    0x21ffffcc,0x101ffffa,0x003fffff,0x217ffe60,0x3e60fffd,0x7fd43fff,
    0x3ffea1ff,0x2ffff81f,0xf03ffff5,0x3fe25fff,0x35003fff,0x07ffffd0,
    0x00ffffd8,0xa89ffff1,0xf502ffff,0x7d403fff,0xff981fff,0x0fffd85f,
    0xb50dfff3,0xffff501b,0x3a13a203,0xc9805fff,0x1fffffff,0x007fffe4,
    0x80bfe600,0x03fffffb,0x7ffffe40,0xb03fff22,0xff50dfff,0x260b987f,
    0x003ffffd,0x40dffff7,0xf90efffe,0xf987ffff,0xff981fff,0x417302ff,
    0x03ffffd9,0x807fffea,0x201ffffa,0x02fffff8,0x0dffff90,0x80bff200,
    0x543ffff9,0xf101ffff,0x0003ffff,0x333bffea,0x21fffecc,0x543ffff9,
    0x3ee1ffff,0xfff81fff,0x3ffff74f,0x6c9ffff0,0xc80fffff,0x7fffdc01,
    0xffffd806,0x9ffff100,0x02ffffa8,0x403ffff5,0xa81ffffa,0xccccefff,
    0xff51fffe,0xff5000ff,0x41b603ff,0x4005fffe,0x43fffffa,0x000ffffc,
    0x2a03fe40,0x004fffff,0x07ffffe4,0xfff702ea,0xf95555df,0x7ecc09ff,
    0x803ffffc,0x01fffff8,0x3fffffea,0x44ffffbe,0x981ffffb,0x9802ffff,
    0x3ffffcfd,0x07fffea0,0x01ffffa8,0x0bffffe2,0x37fffe40,0x027fc400,
    0x50ffffe6,0x2203ffff,0x001fffff,0x99ffff70,0x43999999,0x543ffff9,
    0x3f21ffff,0xfff80fff,0x1ffff95f,0x44bffff0,0x9cefffff,0x7fc403ea,
    0xfd801fff,0xff100fff,0xfff989ff,0xffff502f,0x7fffd403,0xcffffb81,
    0x1ccccccc,0x001ffff9,0x81ffffa8,0xfffd01fb,0xffd1000b,0xffffc89f,
    0x2ffc0000,0x3ffffe60,0x7ffec004,0xedfb807f,0xccccefff,0xd883cccc,
    0xffff9aff,0xffffd803,0xffffb804,0xfffffa8d,0x07ffff26,0x80bfffe6,
    0xff9affd8,0x3fea03ff,0x3fea01ff,0x3fe201ff,0xf9002fff,0xb000dfff,
    0xfff300bf,0xffffa87f,0xfffff101,0x3ff20003,0x7fcc007f,0x7ffd43ff,
    0x3ffff61f,0xb6ffff80,0xff01ffff,0xfffa8dff,0x804fffff,0x004ffffd,
    0x201ffffb,0x4c4ffff8,0xf502ffff,0x7d403fff,0xffc81fff,0x3ff2007f,
    0x7d4001ff,0x77c41fff,0xffcccccc,0x4003ceff,0x7e45fff8,0x20000fff,
    0xff802ff9,0x74005fff,0x2e06ffff,0xdfff93ff,0x3fff5000,0x00ffffe6,
    0x01fffff5,0xdd105540,0x0ffffdc0,0x817fffcc,0xff31fffa,0x7fd407ff,
    0x3fea01ff,0x3fe201ff,0x37662fff,0x37fffe42,0x4017ee00,0x543ffff9,
    0xf101ffff,0x4003ffff,0x1ffff749,0x7fffcc00,0x0ffffd43,0xf01ffff9,
    0x3ff2bfff,0xffff80ff,0xffffe985,0xfffa803e,0xffb000ff,0x3fe201ff,
    0x7ffcc4ff,0xffff502f,0x7fffd403,0x0ffffb81,0x5ffff700,0xffffa800,
    0x7ffffc41,0xffffffff,0xffc8005f,0x07fffe43,0x00ff9000,0x01bffff2,
    0x05fffff0,0x7e43ffb1,0x2a000fff,0x3fe63fff,0x7ff403ff,0x4c0003ff,
    0x3fee02ff,0xfff982ff,0x3fffa82f,0x80ffffe6,0x201ffffa,0x201ffffa,
    0x22fffff8,0x3f20ffff,0x26005fff,0xf986205f,0x7fd43fff,0xfff101ff,
    0x9e4003ff,0x002ffffa,0x50ffffe6,0x7d43ffff,0xfff81fff,0x3ffff54f,
    0x409ffff0,0x3a000dc8,0x2003ffff,0x100ffffd,0xf989ffff,0xff502fff,
    0x7fd403ff,0xfffa81ff,0xfff5002f,0xffa800bf,0x7ffc41ff,0xffffffff,
    0xa8005fff,0x7ffe40ff,0x3fa0000f,0xffff1005,0x3fe6003f,0xfff886ff,
    0x17fffdc4,0x1ffff880,0x80ffffe6,0x106ffffb,0x007fe400,0x309ffff3,
    0xf885ffff,0x3fe61fff,0x3fea03ff,0x3fea01ff,0x3fe201ff,0xfff52fff,
    0x7fffe45f,0x80dd1004,0x3fffe61d,0x0ffffd43,0x1fffff88,0x3e65f100,
    0x82606fff,0x543ffff9,0x3e21ffff,0x7fc41fff,0xffff12ff,0x2ffff883,
    0x400bbe20,0x106ffffb,0x03ffff60,0x227fffc4,0x502ffff9,0x5403ffff,
    0xf981ffff,0x42606fff,0x03fffff8,0x07fffea0,0xfffffff1,0xbfffffff,
    0x90df3000,0x0001ffff,0xb800bfe6,0x9004ffff,0xf903ffff,0xfff983ff,
    0xff99406f,0x3ffee3ff,0xffff103f,0x4005503f,0x7f404ffe,0xfffc86ff,
    0x7fffcc2f,0x0ffffee3,0x01ffffa8,0x807fffea,0x32fffff8,0x7e41ffff,
    0xfb002fff,0xb7555557,0x7fffc41f,0x0ffffec3,0x1fffff88,0x7f43f700,
    0x46983fff,0x6c3ffff8,0x7e41ffff,0x7ffcc2ff,0x217ffe46,0x6406fff9,
    0x7c400fff,0x2a81ffff,0x01ffffb0,0x313fffe2,0x2a05ffff,0x2a01ffff,
    0xfd01ffff,0x8d307fff,0x80fffffd,0x7fffd41c,0xfffe8001,0x006ff4c5,
    0xfff905f9,0x3f20001f,0x7fec000f,0x7fc400ff,0xfff883ff,0xffffe82f,
    0x3fe65b03,0xffeedfff,0x7ec18cff,0x03d04fff,0x007ffec0,0x547ffff5,
    0x4c3fffff,0xeedfffff,0x818cffff,0x201ffffa,0x201ffffa,0x23fffff9,
    0x7fec3ffe,0xfff9005f,0xdfffffff,0x64bffff0,0x302fffff,0x005fffff,
    0x7fd43ff3,0xeb89cfff,0x25ffff82,0x42fffffc,0x7dc4fff8,0x7ffc42ff,
    0x017ffdc4,0x36017fe4,0x3d04ffff,0x07ffff60,0x227fffc4,0x502ffffa,
    0x5403ffff,0xf501ffff,0x7139ffff,0xffff885d,0x83ea9cef,0x001ffffa,
    0x645fffe8,0xe883ffff,0x1ffff902,0x017fa000,0x027ffdc0,0x540bfff6,
    0xa9aeffff,0xcffffffd,0x7f44da89,0xffd4ffff,0x7fd41dff,0x1fc80fff,
    0x3fffea00,0xffff702d,0xffff7fbb,0x7fff419f,0xffffd4ff,0xffff701d,
    0x7fffdc05,0x3fffee02,0x433fe65f,0x800efff9,0xfffffffa,0xfa85ffff,
    0xfbefffff,0xff304fff,0xf9807fff,0x7ffdc0ff,0x503fffff,0x7dffffff,
    0xf309ffff,0x17ffc1ff,0x3e0fff98,0xffb002ff,0x7fffd401,0xd01fc80f,
    0x2203ffff,0x7d45ffff,0xff703fff,0x7fdc05ff,0x3fee02ff,0x03ffffff,
    0xfffffff5,0x3ffee09f,0xffe8002f,0x7fffcc5f,0x01fc9bef,0x007ffff6,
    0x000bfe60,0x20dfff98,0x00effda8,0x7ffffffc,0xfffff93f,0xfb30bfff,
    0x7ff4c3bf,0x7ffff40d,0xffeb998b,0x7ff5c000,0xfff704ff,0xbfff31df,
    0xdffd9857,0x037ffa61,0x027fffec,0x889ffffb,0xffffffec,0xffd8adef,
    0x800ceffe,0xfffffff9,0x903fffff,0x3eabffff,0xfc85ffff,0x9abfffff,
    0x7fffdba9,0xbffffd50,0xffffc805,0xbfffff55,0xffdffb10,0xffd8803d,
    0x4401effe,0x7402ffdb,0x998bffff,0xf980ffeb,0xf505ffff,0xffc8dfff,
    0xfffb05ff,0x7ffec09f,0x7ff5404f,0x74c02dff,0x203effff,0x004ffffd,
    0xb85fffe8,0xceffffff,0x7ffffc01,0x0ffb8002,0x7ee44000,0xbdeffeff,
    0xfffea800,0x7ff5c0cf,0x00403eff,0x7fffdc02,0xffffffff,0x2f260007,
    0x221a9800,0x0801000a,0x3ffffa60,0x3fa60eff,0x00efffff,0x0aba8800,
    0x3fffe200,0xffffffff,0x0055402f,0xffffd930,0xffffffff,0x80dfffff,
    0xaa8002a8,0x9a980000,0x09a98000,0x00335100,0xfffffff7,0x4cffffff,
    0xffffffec,0xfff92dff,0x3ff6dfff,0x3a66ffff,0x0effffff,0x3fffffa6,
    0x154400ef,0x00554400,0xffffffd3,0x7ff4001d,0x06aa605f,0x7ffffe40,
    0x2a001eff,0x8800002a,0x20000aba,0x9a8800a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0cccc980,
    0x98266654,0x0036a02f,0x02000040,0x70000000,0x03dddddd,0x20000800,
    0x83aa02f8,0x0eeeeee9,0x77776400,0xd70eeeee,0xdddddddd,0xddddb03d,
    0x7777440d,0x5eeeeeee,0xddddddd9,0x3ba01ddd,0xd52eeeee,0x09dddddd,
    0xeeeeeea8,0x3200eb85,0x00102004,0xeee88098,0xeeeeeeee,0x777775c2,
    0x554c00ee,0x666540aa,0x3262cccc,0x00003ccc,0x1f033b66,0xdddd5000,
    0xdddddddd,0xdddddddd,0x77777741,0x777641ee,0x8000000e,0xcb803dc8,
    0xfb32cccc,0x7fdc05bf,0x7ffe41ff,0x320ff207,0x3bbba64f,0x33fee1ee,
    0x2177e440,0x0001dfea,0x3f620000,0x40002fff,0x1fe40006,0x7ec427e4,
    0xb8001fff,0x83ffffff,0xffffffd8,0x06ffcc01,0xfffffb80,0xffffa83f,
    0xc8800dff,0x7e443fff,0x803fffff,0x3e01effa,0x00ff441f,0x2afbffaa,
    0x77f5400e,0xffe884ef,0x2200dfff,0xb001effa,0xfb10bfff,0xd307ffff,
    0x3332e1bf,0x3bf6a2cc,0x3fffff60,0x40006dbe,0xffffffd8,0xffdcccdf,
    0x3fa60fff,0xb880dfff,0xfffe82ff,0x06ffffff,0x00bfff60,0x59ffffb1,
    0x03ffffff,0x907fffee,0x7c40ffff,0x81ffb14f,0x31ffffe8,0xfc8bffff,
    0x7fffc7ff,0x0000000f,0x0bfffea0,0x002fa800,0x6c53fe20,0xfff700ff,
    0x3f20003f,0x3a01ffff,0xb007ffff,0xffe8001f,0x3fee06ff,0x22003fff,
    0x3ff200ff,0xc801ffff,0x97fdc01f,0x7d405ff9,0x0fffb9cf,0xf13ffd10,
    0xfff507ff,0x3f6005ff,0xbfff1001,0x1ffffe80,0xffb81f90,0xffff74ff,
    0x3ffffe67,0x0003ffff,0xffffafb8,0x1fff502f,0x06ffffa8,0x7ff40fe6,
    0x6fffffff,0x17fffe00,0x3ffffea0,0x6fffe9ae,0x83ffff70,0x6407fffc,
    0x03ffedff,0x323ffff9,0x3e0fffff,0xff52ffff,0x00005fff,0x7ffd4000,
    0x3fa0002f,0x7fe40006,0x2a03ffed,0x0001ffff,0x07fffff3,0x17ffffdc,
    0x6c0026c0,0x7406ffff,0x2006ffff,0x7fc402f9,0x400fffff,0xffe800fa,
    0x7400fffc,0x807f446f,0xfff17ffd,0xfffff30d,0x003ee003,0x5402ffd4,
    0x9b04ffff,0x59ffff10,0x2e9fffff,0xffffeb9e,0xde80000e,0x02fffff8,
    0x3fa03fa2,0x1f700fff,0x3bbbbb60,0x2005eeee,0x8802fffd,0x2a0fffff,
    0xfb81ffff,0x7fe41fff,0x7ffc407f,0x3fee06ff,0xffff51ff,0x7fffec7f,
    0xbfffff10,0x40000000,0x002ffff9,0x003fff30,0x7ffffc40,0x7fffd406,
    0x3ff60001,0x3fe206ff,0x7c405fff,0xfffd8001,0x7ffdc05f,0x0d9001ff,
    0xffffff10,0x007980df,0x09fffff5,0x441fff98,0x7fff981f,0x3e607bf2,
    0x5001ffff,0x02fec00f,0x10fffff0,0x3fffe01f,0x1ffe9afd,0x02cb8857,
    0xf11f7000,0xb805ffff,0xffffb80f,0x00009b03,0x03ec8800,0x89ffff10,
    0xb82ffffa,0x7e41ffff,0xffb807ff,0x3fea02ff,0x3bff21ff,0x13ffe63f,
    0x00dfdfd5,0x7cc00000,0xb0002fff,0x8000bfff,0x402ffffb,0x001ffffa,
    0x3ffffea0,0x3ffff201,0x001ae00f,0x02ffffec,0x13ffffe2,0x7c401fc0,
    0x4ffffff9,0xfe801e60,0x7dc00fff,0x40e41fff,0x2007fffb,0x01fffff9,
    0x3e200f50,0x3fee000e,0xf02d42ff,0x0989ffff,0x44000000,0xfffff12f,
    0x407c4505,0x886ffff8,0x0000001f,0xfff88000,0x7fffd44f,0x1ffffb82,
    0x403fffe4,0x5402aaa8,0xf701ffff,0xf9801505,0x00000004,0x00bfffe6,
    0x3ffffe20,0x2aa20000,0xfffa802a,0x7fc0001f,0x3e605fff,0x3a03ffff,
    0xfffb0003,0xfff900bf,0x07a801ff,0x3ffeaf10,0x0f303fff,0x00d554c0,
    0x1fffffd4,0x1ffff201,0xfffff980,0x200f5001,0x7c4000a8,0x016c6fff,
    0x001fffff,0xbb000000,0x17ffffc4,0x3601b126,0x35c0ffff,0xdffedb80,
    0x8000000b,0x4c4ffff8,0xfb82ffff,0x7fe41fff,0xa800007f,0xfd01ffff,
    0x0bee0001,0xb5100000,0xfff33bff,0xff90005f,0x00009fff,0xffffa800,
    0x0befec89,0xfffffc80,0xfffff100,0x0003e60d,0x02ffffec,0x1fffffc4,
    0x3c400fa0,0x3ffffff9,0x00000f30,0xdffffff0,0x3fffe401,0xfffff300,
    0x001ea003,0x3fff2000,0xff80f11f,0x991007ff,0x00019999,0x3fe20fa8,
    0x025c2fff,0x87ffff50,0x5f74c03d,0x00ffffa9,0x99999993,0x10599999,
    0xf989ffff,0xffb82fff,0x7ffe41ff,0x33332207,0x3fea00cc,0x03f881ff,
    0xccb9ba00,0xffb32ccc,0xfffd005b,0xffff9fd9,0xfef88005,0x7000ffff,
    0x54599999,0x7fd40efd,0xfffefbff,0x7fc400ff,0xff703fff,0xb903ffff,
    0x7ffec000,0xfffb005f,0x007cc0ff,0x7ffec788,0x43cc0fff,0x32cccccb,
    0x5c05bffb,0x1fffffff,0x7ffff65c,0x7fcc01cc,0xf5001fff,0x333332e0,
    0x403bf6a2,0x975ffff9,0x06ffff80,0x3ffffa60,0x0fe20001,0x85fffff1,
    0x7ffc004d,0xa807e26f,0x7ffd44ff,0xbcffb80e,0xfffffbaa,0x4ffff881,
    0x417fffcc,0x641ffffb,0x74c07fff,0x2a01ffff,0x7441ffff,0x83b20005,
    0xacffffc8,0x02ffffff,0xfa87fff6,0x4002ffff,0xfffff9eb,0x3ffee003,
    0x7ffff74f,0x1fffffa8,0x01dfff91,0x06ffffd8,0x9fffff7d,0x6c0005f0,
    0x3005ffff,0x205fffff,0x11e2004d,0x8dfffffd,0xfffd8879,0xfffffacf,
    0x3fff201f,0x3fa0ffff,0x2fffffff,0x7ffffcc0,0x5c0f5001,0xff74ffff,
    0x7fec07ff,0x7c01e8ff,0x64005fff,0x0001ffff,0x3ffe21b2,0x013ea2ff,
    0x23ffff90,0x7ffec06b,0x0bfffe60,0x3ff607ee,0xfff104ff,0xffff989f,
    0x1ffffb82,0x403fffe4,0x201ffffc,0x261ffffa,0xdd10004f,0xfffff301,
    0xdfffd35d,0x217ffee0,0x002ffffc,0xffffe97c,0x3ffe2006,0xfffffacf,
    0x17fffd44,0x202ffffc,0x41fffffa,0xfffff97a,0x6c0007a8,0x2005ffff,
    0x886ffffe,0x21e2000f,0x4ffffff9,0x7ffd41e6,0xffe9aeff,0x7ffd406f,
    0xffc84fff,0x3fe6007f,0xf5001fff,0x67fffc40,0x04fffffa,0x1bbfffea,
    0x013fffe0,0x03ffff70,0x2207e600,0xebbfffff,0x7d4004ff,0x807d4fff,
    0x3e62ffff,0x84b82fff,0x00fffffa,0x989ffff1,0xfb82ffff,0x7fe41fff,
    0x7fdc067f,0x3fea01ff,0x003911ff,0xff101640,0x7fd43fff,0xfffe81ff,
    0x2ffff983,0xffa9ea00,0x3e002fff,0xe9afdfff,0x7ffd41ff,0x7fffc81f,
    0x5fffff80,0xffff9a6c,0x0001362f,0x00bffffb,0x0fffffdc,0x0f100172,
    0x3fffffea,0x3fe20f32,0x3fea0fff,0x3a2041ff,0xfc86ffff,0x3e6007ff,
    0x5001ffff,0xdffff80f,0x01ffe9af,0x01fffff4,0x0027fffc,0x007fffea,
    0xff882740,0xffffffff,0xffff8004,0x7e400f8f,0x3ffe60ff,0xfe81a83f,
    0x3e203fff,0x7fcc4fff,0xfffb82ff,0x3fffa22f,0x3fea0b1f,0x3fea01ff,
    0x366001ff,0xff8001cf,0x7ffcc4ff,0x7fffc42f,0x2ffff982,0xffd0fa00,
    0x7fc00bff,0x404c4fff,0xb81ffffa,0x6401ffff,0xf10fffff,0xafffff41,
    0x6c0001f8,0x4005ffff,0x224fffff,0x03c4001f,0x3ffffff7,0x3ffe20f3,
    0x7fffd44f,0x7fec2542,0x7fffc87f,0x3fffe600,0x80f5001f,0x4c4fffff,
    0xffffb800,0x4ffff800,0x7fffd400,0xfffb8001,0xffffffff,0x4ffb8aff,
    0x75555540,0xaafeffff,0x20b982aa,0x03ffffd9,0x0dffff70,0x44ffff88,
    0xb82ffffa,0xfb14ffff,0x0d37ffff,0x807fffea,0x001ffffa,0x003ffffe,
    0x989ffff0,0x7cc2ffff,0xff981fff,0x1f3002ff,0x1fffffb8,0x1fffff00,
    0x3fffea00,0x2ffffb81,0x7ffffc40,0xfffb8b93,0x0006b8ff,0x05ffffd8,
    0x7ffffe40,0xf1000d70,0xfffffd80,0xfff107ae,0xffffa89f,0x7f40fd42,
    0x7fffc86f,0x3fffe600,0x80f5001f,0x000fffff,0x00bfff10,0x0013fffe,
    0x003ffff5,0x9999bf88,0xfffff999,0xff013ea2,0xffffffff,0x1fffffff,
    0x7fe7ecc0,0xff8803ff,0x7c401fff,0x7fd45fff,0xfffb83ff,0xff8dffff,
    0xf501ffff,0x7d403fff,0xf5001fff,0x8005ffff,0x7cc4ffff,0x7fdc3fff,
    0xfff981ff,0x109b002f,0x00bfffff,0x801ffffe,0xa81ffffa,0xd803ffff,
    0x85f6ffff,0xebfffff8,0xffd80003,0x7c4005ff,0x05d3ffff,0xe880f100,
    0x07ffffff,0x989ffff1,0x7cc2ffff,0xc84ffc86,0x26007fff,0x001fffff,
    0xffff80f7,0x7fe40007,0xbffff002,0xffffa800,0x202ec001,0x42fffff8,
    0xffd0004d,0x6c4001ff,0xffff9aff,0xffffd803,0xffffa804,0x2ffffe46,
    0x7ffff7e4,0x0ffffea3,0x01ffffa8,0x007fffea,0x2fffffc4,0x13fffe00,
    0xc87ffff3,0xf981ffff,0xf8802fff,0xfffff901,0xdffff001,0x7fffd400,
    0x2ffffa81,0xfffffa80,0xffffb06c,0xb00001ff,0x000bffff,0xd5dffffb,
    0x201e2000,0x7ffffff8,0x89ffff10,0x4c2ffff9,0xdfd12dff,0x0ffff901,
    0x7ffffcc0,0xf80d7001,0x40006fff,0xff3007f8,0xfa800dff,0x2a001fff,
    0x7ffc400f,0x0825c2ff,0x03ffff40,0x263fff50,0x5403ffff,0x400fffff,
    0x6ffffffc,0xdffffffb,0x01a98fd8,0xfa801551,0x3ea01fff,0x2e001fff,
    0x4006ffff,0x7cc4ffff,0x7fdc3fff,0xfff981ff,0xeefc802f,0xfffeeeee,
    0xfff804ff,0x3fea005f,0xfffa81ff,0xffff000f,0x3fea07ff,0x2a005fff,
    0x7ffec1de,0xff98005f,0x0003ffff,0x3fe600f1,0xff107fff,0xfff989ff,
    0x7f6fcc2f,0xf900dffe,0x7c400fff,0x9001ffff,0x5ffff80d,0x804d8000,
    0xeffffffb,0xffff5003,0x00fe2003,0x0bffffe2,0x26691093,0xfffe9999,
    0x4199999f,0x3e63fffa,0x7f403fff,0x00003fff,0x001ff800,0x7fffd400,
    0x3fffea01,0x4f988001,0x27fffc00,0x70ffffe6,0xf305ffff,0xf8805fff,
    0xcccccccc,0x807ffffe,0x2004ffff,0xb81ffffa,0x32007fff,0x200fffff,
    0x002fffff,0xfd8dfff1,0xd0004fff,0x001fffff,0xfb801e20,0xff107fff,
    0xfff989ff,0x5f10c42f,0x7fffc801,0x7ffffc00,0xf80bb001,0x80004fff,
    0x0000000f,0x007fffea,0xff880364,0xc8182fff,0xfffffff3,0xffffffff,
    0x3ffe21ff,0x3fffe61f,0x3fffee03,0x3ea00106,0xff8800ce,0x7d400003,
    0x3ea01fff,0x70001fff,0xfff8005f,0x7fffcc4f,0x27fffcc3,0x017fffcc,
    0x3fea01ae,0x7fc03fff,0x3ea004ff,0xffb81fff,0x3fe2005f,0x7fe404ff,
    0x3fee007f,0x3fff61ff,0xff70003f,0x440009ff,0x7ffe4007,0x9ffff107,
    0x02ffff98,0x32006fe4,0x74007fff,0xf002ffff,0x4ffff807,0x0b50aa00,
    0x033fea00,0x0ffffd40,0x8800fcc0,0x802fffff,0x333332f8,0x33ffffd3,
    0x7fcc3333,0x3ffee3ff,0xffff103f,0x2005503f,0xa804ffe9,0x400005ff,
    0x201ffffa,0x001ffffa,0xff000dd0,0xfff989ff,0x6fffe83f,0x02ffffc8,
    0x7f400be2,0x7fc06fff,0x3ea004ff,0xffd81fff,0x7fec002f,0x7ffcc01f,
    0x3ffea004,0x0ffffec6,0x1ffff000,0x007cc000,0x441fffa0,0x7cc4ffff,
    0x3a202fff,0x7fe404ff,0x7fdc007f,0x0fd805ff,0x027fffc0,0x0763ffc8,
    0x27ff4c00,0x1ffffa80,0x22004e80,0x402fffff,0x7f401fd8,0x7cc00fff,
    0xfeedffff,0x6c18cfff,0x3d04ffff,0x037fc400,0x0003ffdc,0x07fffea0,
    0x01ffffa8,0x4001fb80,0x4c4ffff8,0xfa83ffff,0x3fea3fff,0x3ee03fff,
    0xffff7000,0x7fffc05f,0x3ffea004,0x1fffc43f,0x037fd400,0x2001ffe8,
    0x7f42fff8,0x640004ff,0x640005ff,0x7fc4001f,0x9ffff107,0x02ffffa8,
    0x7e406ff8,0x744007ff,0x3204ffff,0xffff803f,0x2dfff004,0xff800069,
    0xffff7006,0x002fc805,0x0fffffe2,0x400ffe88,0x800fffff,0xd4fffffe,
    0x541dffff,0xc80fffff,0x3fe6001f,0x07ffc802,0x7ffdc000,0x3ffee02f,
    0x3b62002f,0xfff88000,0x7fffd45f,0xbffff704,0xfffff7fb,0x006f8819,
    0x1bffffe2,0x005ffff8,0x83ffffea,0x20004ffc,0xdf7002ff,0x17ff3000,
    0x0017ffee,0x0007fe20,0x000efe98,0xff883fcc,0x7ffd45ff,0x27fc403f,
    0x03ffff20,0xffffd100,0x7fd9537b,0x17fffe00,0x7dfffec0,0x7fc40001,
    0xffffb003,0x027fdc09,0xdfffff90,0xffb75335,0xfffa80ff,0xfd9804ff,
    0x3ffa61df,0x7ffff40d,0xffeb998b,0x5fec9800,0x009ff300,0xffffd800,
    0x3ffff604,0x000b2004,0x46ffffa8,0x205ffffc,0x98effffb,0x4c2bdfff,
    0xf1002ffe,0x309fffff,0x400dffff,0xfdfd34fa,0xc80007bf,0x00fe2007,
    0x7f7fecc0,0x200004ef,0xfd50005d,0x005bffff,0xfffa83d4,0x7fffe46f,
    0x1bfd9305,0x2ffffe80,0xffff9000,0x003bffff,0x01bfffe6,0x017fff4c,
    0x0bfd9300,0xfffffd30,0x7ffcc1df,0xdc885fff,0xfffffffe,0xffffffff,
    0xffed986f,0x1defffff,0x5c020040,0xffffffff,0x3007ffff,0x03100015,
    0x7ff4c000,0x260effff,0xeffffffe,0x64000000,0x8effffff,0xeffffffc,
    0xa886a600,0x3ffff200,0xffb504ef,0x3fffffff,0x3fffffee,0x9818803e,
    0x2200002a,0x0005c002,0x002aea20,0x00066000,0x41c00000,0x6ffffffc,
    0xdffffffb,0xc8013530,0xeffffffe,0x77530001,0x7dc00135,0x03efffff,
    0x80001530,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77775400,0xcceeeeee,0xdd3000ab,
    0x9803dddd,0xeeeeeeee,0x32004eee,0x003eeeee,0xeeeeeea8,0xabcceeee,
    0x80440000,0xeeeeeeec,0xeeeeeeee,0xdd33eeee,0xd881dddd,0xeeeeeeee,
    0xd50000ce,0x982cc17d,0xeeeeeeee,0xddd93eee,0xdddddddd,0x00001100,
    0x3bbbba60,0x77776c1e,0xdd30002e,0xdddddddd,0x0000009d,0x0fbbbbb2,
    0x30675400,0x7774c3bb,0xeeeeeeee,0xdddddd33,0x009ddddd,0x77777744,
    0xd80eeeee,0x5eeeeeee,0x77777764,0xd500eeee,0x265ddddd,0xeeeeeeee,
    0x775c000e,0x04eeeeee,0xfffe8000,0x07ffffff,0x3fffffa2,0xefffeccd,
    0xfffe8803,0xffd3001f,0x0015dfff,0x4ffffc88,0x3ffa2000,0xfeccdfff,
    0xb0003eff,0x3bfff605,0xfffffdcd,0x4fffedcc,0x07ffffaa,0x7ffffec4,
    0xff10000c,0x7d7bffff,0xffffd980,0xffa882ef,0x000cffff,0xfffd805d,
    0x87ffffff,0x41ffffe8,0x03ffffc8,0x7ffec400,0xb0001eff,0xffffffff,
    0xfffc88ff,0xff88004f,0x21bffa4f,0xefffffd8,0xffffb101,0x440003df,
    0x1ffffffd,0x6ffff440,0xffffd301,0xf71003ff,0xffb103bf,0x8007ffff,
    0x2fffffff,0x7fffffe4,0x7400ffff,0xffffffff,0x7ffd407f,0x7ff4c1ff,
    0x7fe401ef,0x3e6001ff,0x0002ffff,0x013fffe6,0xfffff500,0xefffe983,
    0x40bee001,0x7fcc0efd,0x7fcc0fff,0x0ffffe44,0x1fffff30,0x7ffe4000,
    0x00ffffff,0x4fffff98,0x7fffff40,0x805f7000,0xfffffffd,0xfff907ff,
    0xffff503f,0xff300007,0x40007fff,0xfffffffd,0xfffa87ff,0xffa8004f,
    0x1ffff16f,0x7fffff30,0xfffff980,0xff880003,0xf7004fff,0xfff1007f,
    0x22001fff,0x7ffcc06f,0x2a006fff,0x85ffffff,0xfffffffc,0x76400fff,
    0xeeeeeeee,0x7fffcc05,0xffffd01f,0x7fffd405,0x3ffe2001,0xd90001ff,
    0xddddffff,0x7fcc001d,0xffd01fff,0xff3005ff,0x2603b605,0x880fffff,
    0x7fffdc4f,0x3fffe601,0x33a0000f,0x4ffffeb9,0x3ffbba20,0xeeeeefff,
    0xfffffeee,0x3e605eef,0x7776402f,0x05eeeeee,0x303ffff5,0x0007ffff,
    0x5fffff30,0x77764000,0x85eeeeee,0x004ffff8,0x7ec7fff0,0xffff105f,
    0xfff9805f,0x880002ff,0x803fffff,0x2e001ef9,0x004fffff,0xbf8803f7,
    0x002fffff,0x9ffffd9d,0xdddddd70,0x0001dddd,0x3ffe6000,0xfff301ff,
    0x3fea01ff,0x3e2001ff,0x0001ffff,0x9dffff97,0xf9800999,0xf301ffff,
    0x4401ffff,0x07b02ffe,0x03ffffe6,0x3ffee26c,0x3ffe201f,0x2e0000ff,
    0x40065cc0,0xfffffccc,0xcccccccd,0xccfffffe,0x05ffd103,0xffa80000,
    0xfff881ff,0xf880003f,0x0001ffff,0xfff10000,0x0d40009f,0xfff10154,
    0xff8805ff,0x00001fff,0x807fffff,0xe8000df9,0x800fffff,0xf8f8804f,
    0x9805ffff,0x4ffffe8f,0x00000000,0xfffff300,0x7fffec03,0x3ffff506,
    0x7fffc400,0x3e20001f,0x40004fff,0x01fffff9,0x41bffff6,0xb02ffff9,
    0x3fffe603,0xfb89500f,0x3e201fff,0xccccffff,0x0000002b,0x2fffff88,
    0x37fffe40,0x0bfffe60,0xff500000,0xfff103ff,0xf100007f,0x0003ffff,
    0xff100100,0x000009ff,0xfffff100,0xffff8805,0xff00001f,0x7dc07fff,
    0x3fea0004,0x35c04fff,0xffb8f880,0xae400fff,0x004ffffe,0xccccc800,
    0x3333321c,0xffff300c,0x7ffd403f,0xfffa81ff,0x3fe2001f,0x00321fff,
    0x04ffff88,0x7fffcc00,0x3ffea01f,0x7ffd41ff,0x064ccdff,0x0fffff98,
    0xffff7060,0x7fffc403,0xeffffecf,0x20000002,0x02fffff8,0x037fffe4,
    0x9bfffff5,0x7fedc099,0x7fd402ce,0xfff881ff,0xf880003f,0x0001ffff,
    0x19dffb50,0x13fffe20,0x22000000,0x402fffff,0x01fffff8,0xfffff000,
    0x000bf207,0x3fffff60,0x2005f100,0xffff88f8,0x74be204f,0x9104ffff,
    0x80199999,0x23ffffd8,0x01ffffe9,0x03fffff3,0x2fffffc4,0x00ffffd4,
    0x3fffff10,0x44001dd1,0xfb34ffff,0xff30039f,0x7c403fff,0x3e65ffff,
    0xffffffff,0xfff9800f,0x3ee000ff,0xf1009fff,0x7dc1ffff,0x32e0dfff,
    0xfb32cccc,0xff1005bf,0xfc805fff,0xff306fff,0xffffffff,0x2a33ff60,
    0x3fea06ff,0xfff881ff,0x6666643f,0x3ffe204c,0xc80001ff,0x1efd8aff,
    0x34ffff88,0x4403bffb,0x00cccccc,0x17ffffc4,0x3ffffe20,0xfff00001,
    0x1ee887ff,0xfff30000,0x01760bff,0xfff90f88,0xe9ae01ff,0x2604ffff,
    0x801ffffe,0x643ffffb,0xf301ffff,0xe803ffff,0x540fffff,0x2001ffff,
    0xfcfffff8,0xfff88004,0xfffffacf,0x7ffcc01f,0x7ff401ff,0x7fd40fff,
    0xf98002ff,0x2000ffff,0x0fbffffb,0x0fffff88,0x137fffe4,0xf59ffffb,
    0x803fffff,0x02fffff8,0x037fffe4,0x00bfffea,0xffc8dffd,0x3ffff505,
    0x87ffff10,0x00afffc8,0x07ffffe2,0x47ffb000,0xff886ff8,0xffffacff,
    0x3fa601ff,0x7c401fff,0x4402ffff,0x001fffff,0x7fffff00,0x00006fcc,
    0x3fffff60,0x10007d41,0x3fffe61f,0x7f47d03f,0x7e404fff,0xf9801fff,
    0x7fdc3fff,0xfff301ff,0xffd803ff,0x7fd41fff,0x406e21ff,0x3ffffff8,
    0xffff1000,0xfffd55df,0xffff980d,0x7ffec01f,0x7ffd41ff,0xff98002f,
    0x2e000fff,0x102fffff,0x981fffff,0x2a2fffff,0x9aefffff,0x4406fffe,
    0x402fffff,0x406ffffc,0x202ffffa,0x7cc4fffa,0xfffa84ff,0xffff881f,
    0x800ef983,0x01fffff8,0x1fff5003,0x7c43ffe8,0xe9aeffff,0x7e406fff,
    0x7c401fff,0x4402ffff,0x001fffff,0x7fffff00,0x00017fea,0x3ffffe20,
    0x22002746,0x3ffffa0f,0x3fa0f986,0x7dc04fff,0xf9801fff,0x7fd43fff,
    0x373261ff,0xccdfffff,0x3fff60cc,0x7ffd42ff,0x20fffe1f,0x02fffff8,
    0x3fffe200,0x3fffee0f,0x7fee64c0,0xccccdfff,0x3fffff60,0x17fffd42,
    0x3bbbba60,0xeeefffff,0xfff701ee,0x7ffc405f,0xffff80ff,0x3fffe24f,
    0x3fffea0f,0x3fffe201,0xaaaaaacf,0x06ffffda,0x017fffd4,0xf885fffd,
    0x7fd40fff,0xfff881ff,0x000dd83f,0x83fffff1,0x3a00efe8,0x6ffd86ff,
    0x0fffffc4,0x401ffff5,0x401ffffb,0x02fffff8,0x0fffffc4,0xffff8000,
    0x3ffffcbf,0xffc80000,0x00d72fff,0x7fd41f10,0x22641fff,0x404ffffe,
    0x801ffffa,0x543ffff9,0x3261ffff,0xdfffffdc,0x3f20cccc,0x7d42ffff,
    0xfff51fff,0xfffff10d,0x7fc40003,0x7ffd44ff,0x7ee64c1f,0xcccdffff,
    0x3ffff20c,0x7fffd42f,0x77774c02,0xeefffffe,0xff701eee,0x7fc403ff,
    0xffe80fff,0x3ffe25ff,0x7fffd44f,0x3fffe202,0xffffffff,0x06ffffff,
    0x7ffff731,0x7ffd4333,0x2ffff81f,0x40ffffd4,0x6c3ffff8,0x7ffc4005,
    0x7ffe41ff,0x0bfff303,0x7c41fffb,0x7fd44fff,0x3fea02ff,0x7fc401ff,
    0x7c402fff,0x0001ffff,0xfffffff0,0x003fffff,0xffff8800,0x8002f8ef,
    0x7fffc0f8,0xfd07e25f,0xfa809fff,0xf9801fff,0x7fd43fff,0xfff301ff,
    0xffc803ff,0x7fd42fff,0x9fff11ff,0x3fffff10,0x7ffc4000,0x7fffcc4f,
    0x3fffe602,0x7ffe401f,0x7ffd42ff,0xff98002f,0x2e000fff,0x2201ffff,
    0xf80fffff,0x3e23ffff,0x7fd44fff,0x3fe202ff,0x7e402fff,0xff506fff,
    0xffffffff,0x40ffffdc,0x7d44ffff,0xff881fff,0x001b23ff,0x07ffffe2,
    0x2a05fff7,0xccccefff,0x3e21fffe,0x7fcc4fff,0x3fea02ff,0x7fc401ff,
    0x7c402fff,0x0001ffff,0x9dfffff0,0x01ffffff,0xfffb8000,0x10005fff,
    0xffffb81f,0xffd0d70f,0xffa809ff,0xff9801ff,0x7ffd43ff,0xffff301f,
    0xfffd803f,0x7ffd40ff,0x202f6a1f,0x01fffffc,0x3fffe200,0x17fffcc4,
    0x3fffff30,0xfffffd80,0x17fffd40,0x7fffcc00,0xfff5000f,0x7fc403ff,
    0x7fc40fff,0x3fe21fff,0x7ffcc4ff,0x3ffe202f,0x7fe402ff,0xf73106ff,
    0x43337fff,0xf80ffffc,0x7fd45fff,0xfff881ff,0x003ffb3f,0x1fffff88,
    0xf702fec4,0x99999fff,0x7fc43999,0x7ffcc4ff,0x3ffea02f,0x7ffc401f,
    0x7fc402ff,0x00001fff,0x367fffff,0x006fffff,0xffffe800,0x1f10001f,
    0x4fffff88,0xffffd05d,0xffffa809,0xffff9801,0x0ffffd43,0x1fffff98,
    0x3fffff40,0x00ffffd4,0x7ffffec4,0x3e20001f,0x7fcc4fff,0x3fe602ff,
    0x7f401fff,0xffa87fff,0xf98002ff,0xa800ffff,0x01ffffce,0x03ffffe2,
    0x88fffff5,0x7cc4ffff,0x3e202fff,0x6402ffff,0x5406ffff,0xfb02ffff,
    0xfff01fff,0xffffa8df,0xbffff881,0x4006fffd,0x01fffff8,0x0ffff900,
    0x4ffff880,0x017fffcc,0x803ffff5,0x02fffff8,0x0fffffc4,0xffff8000,
    0x3ffffa3f,0x5c00005f,0x000fffff,0xff901f10,0x3a0f5fff,0x5404ffff,
    0x9801ffff,0x7d43ffff,0xff301fff,0xff803fff,0xffa86fff,0x6f4401ff,
    0x01fffff9,0xfff89220,0x7fffcc4f,0x3fffe602,0x7fffc01f,0xffffa86f,
    0xfff98002,0xb89800ff,0x2201ffff,0x220fffff,0x440efffe,0x7cc4ffff,
    0x3e202fff,0x6402ffff,0x5406ffff,0xf902ffff,0xfff01fff,0xffffa8bf,
    0xfffff881,0x003fffff,0x07ffffe2,0xfff74980,0x7fc4001f,0x7ffcc4ff,
    0x3ffea02f,0x7ffc401f,0x7fc402ff,0x26001fff,0x7fffff04,0x7fffffc4,
    0x3ea00003,0x0000ffff,0xfff301f1,0x3fa07fff,0x7d404fff,0xf9801fff,
    0x7fd43fff,0xfff301ff,0x7fc403ff,0xffa83fff,0x8a4c01ff,0x001fffff,
    0xffff88ee,0x17fffcc4,0x3fffff30,0x7ffffc40,0x2ffffa83,0xffff9800,
    0x3fee000f,0x3fe201ff,0xffdcbfff,0xff880dff,0x7ffcc4ff,0x3ffe202f,
    0x7fe402ff,0x7fd406ff,0xfff502ff,0x9ffff03f,0x81ffffa8,0xe8dffff8,
    0x1001ffff,0x003fffff,0xffffa9e4,0x3ffe2002,0x7fffcc4f,0x3fffea02,
    0x7fffc401,0x7ffc402f,0x0f2001ff,0x21fffffc,0x1ffffffa,0xfff50000,
    0x220001ff,0xffffd00f,0x3fffa01f,0x7ffd404f,0xfff9801f,0x7fffd43f,
    0xfffff301,0x7fffdc03,0x3ffff506,0x7fffc400,0x88ba001f,0x7cc4ffff,
    0x3e602fff,0x2e01ffff,0xf306ffff,0x30005fff,0x001fffff,0x00ffffdc,
    0xddfffff1,0x440379dd,0x7cc4ffff,0x3e202fff,0x6402ffff,0x4c06ffff,
    0xf102ffff,0xff883fff,0x7ffd42ff,0xffff881f,0x0dffff53,0x3ffffe20,
    0x265f1001,0x2606ffff,0x13fffe20,0x405ffff3,0x401ffffa,0x02fffff8,
    0x0fffffc4,0xff02f880,0xff707fff,0x0001ffff,0x1fffff50,0x403e2000,
    0x205ffffa,0x404ffffe,0x801ffffa,0x6c3ffff8,0xf301ffff,0x7c03ffff,
    0xf501ffff,0x44003fff,0x001fffff,0x7ffc43f5,0x7fffcc4f,0x3fffe602,
    0x3fffe01f,0xffff301f,0xff980045,0x2e000fff,0x2201ffff,0x000fffff,
    0x44ffff88,0x202ffff9,0x02fffff8,0x037fffe4,0x08ffffe6,0x2617ffe4,
    0xffa86fff,0xfff881ff,0x3ffff23f,0xffff8804,0x43f7001f,0x983ffffe,
    0x27fffc46,0x80bfffe6,0x401ffffa,0x02fffff8,0x0fffffc4,0xff01fb80,
    0x3f607fff,0x0006ffff,0x0fffffa8,0x401f1000,0x3a01ffff,0x5404ffff,
    0xf001ffff,0x7fe4bfff,0xff302fff,0x3ea03fff,0x3ea04fff,0x22001fff,
    0x802fffff,0x3fe20ff8,0x7ffcc4ff,0x3ffe602f,0xfff501ff,0x7ffc409f,
    0x2a00914f,0x000fffff,0x807fffee,0x00fffff8,0x4ffff880,0x017fffd4,
    0x05fffff1,0x06ffffc8,0x8a7fffc4,0x227ffc44,0xfa82fffb,0xff881fff,
    0x7fff43ff,0x7ffcc01f,0xff9802ff,0x3ffffea1,0x442eb89c,0x7cc4ffff,
    0x3ea02fff,0x7c401fff,0x4c02ffff,0x802fffff,0xfff01ff9,0x3fa207ff,
    0x0005ffff,0x07ffffd4,0x200f8800,0x7fc06ffb,0x7dc04fff,0xf5002fff,
    0xf7dfffff,0x3e609fff,0xfa82ffff,0x7dc02fff,0x26002fff,0x403fffff,
    0x7fcc7fe9,0x7ffd44ff,0x3ffe603f,0xfffa82ff,0xfffb802f,0xf5000eef,
    0x4003ffff,0x202ffffb,0x00fffff9,0x5ffff880,0x01ffffd4,0x07fffff1,
    0x07ffffd8,0xeeffffc8,0x20fff980,0xff702fff,0xfff305ff,0xffff989f,
    0x3ffe600e,0x7fcc03ff,0x7fffdc0f,0xf883ffff,0x7fd44fff,0x3fee03ff,
    0x7fcc02ff,0x7cc03fff,0x4c03ffff,0xff880fff,0x3ea04fff,0x004fffff,
    0x3ffffee0,0x03f30001,0x3e01ffc4,0x6c05ffff,0x2004ffff,0xf55ffffc,
    0xf90bffff,0x755bffff,0x001bfffb,0x009ffffb,0x7fffffdc,0xfdba999a,
    0x7ffdc7ff,0x7fffe46f,0x3ffff205,0xffdbaadf,0x3ae000df,0x36001dff,
    0x004fffff,0x80fffff2,0x03fffffc,0x6ffffa80,0x02ffffe4,0x0bfffff7,
    0x7fffffc4,0xcffeb801,0x3bff6200,0x3f601eff,0xffa84fff,0xfffe86ff,
    0x3fff205f,0xa99abfff,0x507fffdb,0x05bffffd,0x91bfffea,0x6c0bffff,
    0x5c04ffff,0x405fffff,0xbffffffc,0xffdba99a,0xffff707f,0x7ffc40df,
    0x000dffff,0x3fffffd8,0x0efd8800,0xfa803f20,0x980effff,0xeffffffe,
    0x002aa000,0xffffec98,0xceefffff,0xfffd1002,0x2201dfff,0xffffffec,
    0xffffffff,0x3ff26fff,0xffb6ffff,0x64cdffff,0xfffffffe,0x002ceeff,
    0xdb500040,0xdfffffff,0x3ffa2039,0x3226ffff,0xfffffffe,0xffc800ce,
    0xffb6ffff,0x644dffff,0xfffffffe,0xfffb72df,0x09dfffff,0x35300010,
    0x7fff4401,0xffb0efff,0x2e1dffff,0x1fffffff,0xfffffd93,0xffffffff,
    0x880dffff,0x7ffe402a,0xfffb6fff,0xfe98dfff,0x20efffff,0xfffffec8,
    0xd932deff,0xffffffff,0xffffffff,0x7ff644df,0x0defffff,0x3fffffee,
    0xc805ffff,0xffffffed,0x6c403cef,0x81efffff,0xfffd9049,0x07bfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeee9800,0x45eeeeee,
    0xeeeeeeea,0x3bbbba25,0xacceeeee,0xdddd300a,0x9bdddddd,0x64003799,
    0xeeeeeeee,0xeeeeeeee,0xddd33eee,0xdddddddd,0x3bbbbb27,0x266eeeee,
    0xeeeeeeee,0xeeeeeeee,0x777544ee,0xcdeeeeee,0xe8000abc,0xeeeeeeee,
    0xeeeeeeee,0x77777444,0xeeeeeeee,0xd35eeeee,0xdddddddd,0x015999dd,
    0x55555544,0xaaaaaaaa,0x991002aa,0x26000000,0x00b2a000,0x81000000,
    0x00002000,0x00000000,0x00002000,0x00000100,0x30040000,0xd8800000,
    0x0effffff,0x033fff20,0x7ffffe44,0xcffffecd,0xffffd300,0xfffb999f,
    0xffb003df,0xfffb99df,0xffd999ff,0xfffd889f,0xff501eff,0x2019ffff,
    0xdfffffd8,0xfffdcccc,0xfffd305f,0xfffb99ff,0x3e2005df,0xccccefff,
    0xffffffdc,0xffffb101,0xfb9999bf,0xfd88ffff,0xfdccffff,0x3305ffff,
    0x30038000,0x000000ff,0x32003dfb,0xdb70003f,0xa8017bff,0x0eabeffe,
    0x3bffb2a0,0xcccccc83,0x33333321,0x2603fe88,0x5c2dffeb,0xa802dffd,
    0x800ceffd,0x23dffeb9,0x01dfffd8,0x5c05df91,0x002ceffd,0x49dffdb5,
    0x33332e5d,0x03bf6a2c,0x7fffff40,0x01ffc406,0x0fffffc4,0x03ffffd3,
    0x03ffffea,0x013ffff2,0xff981bfb,0x7fcc0fff,0xfffff984,0x7fffec03,
    0xffff9807,0xbffb102f,0x7ffffdc0,0x6ffffd40,0x0effcc00,0x9fffffb0,
    0xfffff880,0x21ffee03,0x40fffff9,0x40effffd,0x01c00019,0x50007f98,
    0xf039dffb,0x3f2009ff,0x5f74c003,0x00ffffa9,0xff739ff5,0x2bfee01f,
    0x6c46fff9,0x3a63ffff,0xffb9ffff,0x8cffc80f,0x3bf94ffa,0x7e409ff7,
    0x01efd8af,0xfd737ff5,0x915ff5df,0xfff907ff,0x233ff60f,0x7dc06ffa,
    0xdefea8cf,0x4ffffb86,0x007ffff7,0x3fffffe2,0x8013ea02,0x541fffff,
    0x980effff,0xb00fffff,0x6c07ffff,0xffff980f,0x884f880f,0x403fffff,
    0x807ffffc,0x02fffff8,0xff502fd4,0xff101fff,0x7cc03fff,0x7fffcc05,
    0xfff8806f,0x3f4403ff,0x07ffffcc,0x237fffec,0x01c00019,0xd8007f98,
    0xeffa8cff,0x4013ff20,0x3ea003fc,0x77ffd44f,0x7446fe80,0x23ffc80f,
    0x7dc4fffc,0x7fe43fff,0x1fff99ff,0x3ee37fdc,0x3f20ffff,0x23ffd82f,
    0xffa86ff8,0x7ffffc43,0x3e17ff44,0x7f42ffff,0x82ffe46f,0x7fdc7ffc,
    0xffff881f,0x4fffffac,0x3fffee00,0x05e880ff,0x0fffffc0,0x41fffff4,
    0x00fffff9,0x40dffff3,0xffff303d,0x2213601f,0x402fffff,0x806ffffc,
    0x02fffff8,0x3fea05d8,0xff500fff,0x1ea01dff,0x3fffffa0,0xfffff002,
    0xf10f9007,0xf501ffff,0x0cc1ffff,0x4c00e000,0x7ff4007f,0xd177fe46,
    0x0ff2001d,0x20fffd80,0x4c2ffff9,0x0fc41fff,0xfa83ffea,0x7ffcc6ff,
    0x7fffdc3f,0xffa8bf71,0x7fffc43f,0x2a37fd46,0x7ff40fff,0x743fff43,
    0x7dc0ffff,0x7fffec6f,0x313ffea0,0xff989fff,0x2fffcc5f,0xafdffff8,
    0x4001ffe9,0x85fffffd,0x7fc000ec,0xffd81fff,0xfff985ff,0xfff100ff,
    0x403601ff,0x00fffff9,0xffff1095,0xfffc805f,0xfff8806f,0x2d4282ff,
    0x1fffff50,0x2fffff40,0x7fdc04b8,0x3e005fff,0x9803ffff,0xfffff887,
    0xfffff880,0x70000663,0x801fe600,0x7cc4fffb,0x00cddfff,0xf800ff20,
    0x3fe62fff,0x7ffdc2ff,0x3fa0e41f,0x45fff87f,0x543ffff9,0x4dccffff,
    0xf81ffff8,0x7fd45fff,0x21bffa2f,0x7ffc6ffd,0x3fffec2f,0xf30fffd4,
    0xfffe89ff,0x07fffc42,0xf989fffb,0xfff82fff,0x0004c4ff,0x7fffffc4,
    0x20003ee2,0xc81fffff,0xf986ffff,0x3e00ffff,0x0303ffff,0x07ffffcc,
    0xffff1030,0xfffc805f,0xfff8806f,0x2c4582ff,0x1fffff50,0x7ffffdc0,
    0x3e200c80,0x000fffff,0x20fffffe,0x7fc42448,0xff880fff,0x00663fff,
    0x3e600700,0x3fffe007,0x07fffc42,0x003fc800,0xf983fff2,0x7fd43fff,
    0xf3023fff,0x1bb50dff,0x43ffff98,0x202ffffa,0xe80ffff9,0x7fcc4fff,
    0x0bfff33f,0x7e41fffb,0x7ffec0ff,0x83fffa86,0x7fffd40a,0x12ffff81,
    0x7447ffff,0xff84ffff,0x00000fff,0x3fffffee,0xf0002f98,0xfb03ffff,
    0xff30bfff,0x3e201fff,0x8002ffff,0x00fffff9,0x7ffffc40,0x7fffe402,
    0xffff8806,0x20034c2f,0x00fffffa,0x13ffffe2,0x3ffff600,0x7ffc003f,
    0x804a83ff,0x80fffff8,0x4c7ffffa,0x801c0001,0xff5007f9,0xffff03ff,
    0x0ff20005,0x6cc17300,0xff83ffff,0xa80effff,0x4c007fff,0x7d43ffff,
    0x3ea01fff,0xffe80fff,0xffcaaadf,0x9dfff54f,0x3fffd999,0x7fdc0ba8,
    0xcaaaaeff,0xf7004fff,0xfff03fff,0x3fffe69f,0x3fffb3a3,0x07ffff86,
    0xfffd8000,0x0003fdff,0x207ffffe,0x983ffffe,0x500fffff,0x001fffff,
    0x1fffff30,0xffff8800,0x7ffe402f,0xfff8806f,0x003642ff,0x03ffffea,
    0x0ffffff0,0xfffffa80,0xffff8006,0x8804d83f,0xd80fffff,0x0cc4ffff,
    0x5544e000,0xffcaaaaa,0x2aaaaaaa,0xf03ffff7,0x2a609fff,0xfeaaaaaa,
    0xaaaaaaad,0x3f3f6601,0xffb83fff,0x641fffff,0x2000ffff,0x543ffff9,
    0x3201ffff,0xfe80ffff,0xeeeeefff,0xffff74ee,0x99999999,0xfedfb803,
    0xccccceff,0xf9003ccc,0xfff01fff,0x3fffeebf,0x3fffabb3,0x06ffff87,
    0xfff88000,0x40005fff,0x541fffff,0xf306ffff,0x3601ffff,0x0004ffff,
    0x01fffff3,0xfffff880,0x7fffe402,0xffff8806,0x001be62f,0x01fffff5,
    0x0fffffe8,0xfffff100,0xfff0003f,0x04fa87ff,0x0fffff88,0x427fffec,
    0xa9c00019,0xffffffff,0xffffffff,0x1ffff97f,0x20bffff0,0xfffffffd,
    0xffffffff,0xffd884ff,0x03ffff9a,0xfffffff9,0x0ffffe41,0x7ffff300,
    0x01ffffa8,0x203ffff6,0x9005fffe,0x4000ffff,0xfff93ffb,0x7ec0000d,
    0xfff80fff,0x5ffff76f,0x3ffff4d7,0x002ffffc,0xffffa800,0x3e0000ff,
    0x3a61ffff,0xf301efff,0xd881ffff,0x0005ffff,0x03ffffe6,0xfffff100,
    0x55555559,0x00dffffb,0x37fffff1,0xa800dff7,0x400fffff,0x00fffffe,
    0x9fffff90,0x3fffe000,0x4ffca8bf,0xfffff880,0xbefffedc,0x80003300,
    0xdddddd33,0xddddffdd,0x3ff6bddd,0xffff80ff,0xddddd906,0xddddffdd,
    0xfa87dddd,0xffff31ff,0x7fffd407,0x3ffee4ff,0x3fe6002f,0x7ffd43ff,
    0x3fff201f,0x6fffe80f,0x1ffff700,0x1ffd8800,0x003ffff2,0x7fffe400,
    0x55ffff80,0x41dbffff,0xff85fffe,0x000004ff,0x17fffff6,0xfffff800,
    0xcffffecd,0x3fffe600,0xfffedccf,0x4c0001df,0x000fffff,0x7fffffc4,
    0xffffffff,0x8806ffff,0xffffffff,0x7d4006ff,0x6c00ffff,0x801fffff,
    0x0efffff9,0xfffff000,0x09ffffff,0xdfffff10,0x5bffffff,0x70000660,
    0x401fe600,0xf80ffffc,0x90005fff,0x7fd4007f,0x3fffe63f,0x3ffa2043,
    0x3ffea6ff,0x3fe6005f,0x7ffd43ff,0x3ffee01f,0xffffe80f,0xffffa800,
    0x3ffe2002,0x17fffdc4,0xfffa8000,0x4ffff81f,0x83fffff3,0xff83fffe,
    0x000004ff,0x3fffffe2,0xffff0002,0x057999bf,0x3ffffe60,0x5fffffdc,
    0xfff30000,0xf88001ff,0x6402ffff,0x8806ffff,0xb9bfffff,0x7d4006ff,
    0x6c00ffff,0x801fffff,0x02fffffe,0x3ffffe00,0x04fffc9b,0x0fffff88,
    0xdffffb31,0x40001985,0x00ff3003,0x207fffea,0x0004ffff,0x3e2007f9,
    0x3fe61fff,0x6c2543ff,0x3fe27fff,0xf3003fff,0xffa87fff,0x3fe601ff,
    0xffff80ff,0x7fcca04f,0xc82606ff,0x7fcc1fff,0x911406ff,0x7ffc45df,
    0x7fffc41f,0x20ffffe2,0xff82ffff,0x000004ff,0x3fffffe6,0xfff8000f,
    0x260001ff,0xfb0fffff,0x0005ffff,0x1fffff30,0xffff8800,0x7ffe402f,
    0xfff8806f,0x01bea2ff,0x1fffff50,0x7ffffe80,0xfffffb80,0x7ffc0005,
    0x027dc3ff,0x07ffffc4,0x17ffffe4,0x03800033,0x2600ff30,0x7c41ffff,
    0x90002fff,0x3fe6007f,0x3ffee3ff,0x740fd43f,0x7ffec6ff,0x221c80ff,
    0x7ec4ffff,0x7f401fff,0x7ffc41ff,0x22c80fff,0x983ffffe,0x0bfffe26,
    0x40fffffa,0x3ffff22d,0x30bfff20,0xffb8dfff,0x7fffc43f,0x04ffff80,
    0x97f10000,0x00bfffff,0x03fffff0,0x7fffcc00,0xfffff10f,0xf980001f,
    0x4000ffff,0x02fffff8,0x037fffe4,0x17ffffc4,0xff5001b2,0xff801fff,
    0x7c406fff,0x800fffff,0x3ffffe00,0xf8804d83,0xfd00ffff,0x0661ffff,
    0x26007000,0x3ff2007f,0x37ffcc2f,0x007f9000,0x37ffffe6,0x8cffffee,
    0xff90df31,0xfffff889,0xf83ea9ce,0xff916fff,0xf9805fff,0x7ffd44ff,
    0xc98affff,0x7ffffd45,0x2a2eb89c,0xa9aeffff,0xcffffffd,0x7fc4da89,
    0x3fe22fff,0x17ffdc4f,0xf317ffe2,0x3ffe03ff,0x8800005f,0xffffd14e,
    0xfff8005f,0x260001ff,0x2a0fffff,0x005fffff,0x7ffffcc0,0x7ffc4000,
    0x7fe402ff,0xff8806ff,0x83542fff,0xffffa808,0x3ffe200f,0x7fec05ff,
    0x39003fff,0x0fffffe0,0x3fe2012a,0xff900fff,0x00665fff,0x3e600700,
    0x3ffe2007,0x017ffdc4,0x4007f900,0xd4fffffe,0x261dffff,0xdfd12dff,
    0xfffff501,0x3ea09fff,0xfbdfffff,0xf9804fff,0x33ffa0ff,0xefffffff,
    0xfffffb80,0xfff83fff,0xf93fffff,0xbfffffff,0x81ffffb0,0x3fe0fff9,
    0xffedd82f,0x4c0bffa2,0x0006ffff,0x7fcc6d80,0x2000ffff,0x001fffff,
    0x3ffffe60,0x7ffffec0,0x3fe60003,0x44000fff,0x402fffff,0x806ffffc,
    0x42fffff8,0xf5039068,0x4c01ffff,0x202fffff,0x06fffffa,0x7ffc03a0,
    0x804883ff,0x00fffff8,0x29fffff5,0x01c00019,0x4c007f98,0xffd10fff,
    0xaaaa9805,0xaadfeaaa,0x261aaaaa,0x3a61dffd,0x37e60dff,0x00dffefe,
    0x3bffffa6,0x7fffdc03,0xbfffff54,0xfdffb100,0x3ffea1bf,0x3aa00cef,
    0x502dffff,0x819ffffd,0x3effffeb,0x209ffd30,0xeffeffd8,0x3ff25c81,
    0xf702dffe,0x07dfffff,0x203f2000,0x05fffffc,0x07ffffe0,0xffff9800,
    0x7fff440f,0xf30001ff,0x8001ffff,0x02fffff8,0x037fffe4,0x17ffffc4,
    0xfa80f80c,0x3200ffff,0x2205ffff,0x01ffffff,0x7ffc0f50,0x100303ff,
    0x201fffff,0x33fffffa,0x00380003,0xb1000ff3,0x03dffdff,0xffffffb0,
    0xffffffff,0x80109fff,0x55443100,0x02aa2000,0x00003500,0x4c02aa60,
    0x1544001a,0x10015300,0x02a00135,0x1004d4c0,0x00035310,0x3ea00000,
    0x3ffffa01,0xffff003f,0x7cc0003f,0xf980ffff,0x0006ffff,0x01fffff3,
    0xfffff880,0x7fffe402,0xffff8806,0x20f7002f,0x00fffffa,0x01fffff1,
    0x27ffffe4,0x7fc0dd00,0x20003fff,0x00fffff8,0x23fffff9,0x01c00019,
    0x40005e98,0x320009a9,0xeeeeeeee,0xeeeeeeee,0x0000003e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x403f9800,0x0ffffff9,
    0x1fffff80,0x3ffe6000,0xfff900ff,0xf50009ff,0x8001ffff,0x02fffff8,
    0x037fffe4,0x17ffffc4,0xfa837d40,0xf700ffff,0x7cc07fff,0x800fffff,
    0x3fe05fd8,0x20003fff,0x80fffff8,0x25ffffe8,0x01c00019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0xfffb007f,0xff880dff,0x20002fff,0x01fffffa,0x0bfffffa,
    0xfffff500,0xfff98003,0x7fec03ff,0xff9807ff,0x7dc03fff,0xffff505f,
    0xffff703f,0xffffe803,0xfffb802f,0xfffff104,0x7fcc0007,0x7f442fff,
    0x0660efff,0x00007000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fee2000,0xfffc802f,0x3ee05fff,
    0x0005ffff,0x0ffffff2,0xffffff88,0x3fff6001,0x7dc004ff,0x2205ffff,
    0x01ffffff,0x7fffffdc,0xffcba99b,0xfffb04ff,0xfb755bff,0xfb8019ff,
    0x999effff,0xffebaa99,0xfff704ff,0x64000dff,0xaaefffff,0x0bffffec,
    0x666666cc,0xcccccccc,0x000005cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffc80,0xffea84ef,
    0x2fffffff,0xfffffdb1,0x3003bdff,0xffffffdb,0xff701bdf,0x540dffff,
    0xffffffed,0xd9101cef,0xdfffffff,0x3fff6e5b,0x24dfffff,0xfffffec8,
    0xffffffff,0x36a2ffff,0xfffffffe,0x001ceeff,0xfffffff1,0xffffffff,
    0x447fffff,0xffffffec,0xd8802def,0xfffffffe,0x0bcdefff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccccca8,0x3333222c,0x40000113,0xccccccca,0xcccccc98,0x3999912c,
    0x00180000,0x99900000,0x66643999,0x00440ccc,0x999910c0,0x99539999,
    0x0ea00999,0x333261b8,0xcccccccc,0x9999972c,0x3332e199,0x03220ccc,
    0x6644015c,0x1880cccc,0x93000a00,0x00040003,0x00040004,0x00004002,
    0x08000011,0x10008040,0x26200800,0x99999999,0x99999999,0x4cccccc1,
    0x99999999,0x01101999,0xb86eeee2,0xcb802bbb,0xfb32cccc,0x3f2205bf,
    0xe883ffff,0x05bf30df,0xfffb1000,0x7ffd41df,0x17f443ff,0x7eb88000,
    0x25999997,0x443efed8,0x880cefec,0x263ffffd,0x221ffffe,0x1666545e,
    0xffe98bf2,0x3fee0fff,0x03f9800b,0xbcffb8f9,0xfffffbaa,0xfffff911,
    0x57ffdc43,0x5f506e80,0xffffd300,0x801fe883,0xff1004fc,0xffd9800f,
    0x0df9002d,0x073ff6a0,0x9103f5c4,0x4005bffd,0xfb800ff8,0x0dfe983e,
    0xfb0f7f4c,0x3b3f205f,0xfd77301e,0xffffa81b,0xffffffff,0x267fffff,
    0xffffffff,0xffffffff,0x2e05b07f,0x7fd45fff,0xffd8807f,0xffffacff,
    0x3ffa01ff,0x41f901ff,0x00bffff9,0x3fffe200,0x2ffffc87,0x980004d8,
    0xf917fffc,0xfff39fff,0x3fa29fff,0xf706ffff,0xffc87fff,0x37fe61ff,
    0xffffffea,0x7c42ffcb,0x3ee1ffff,0x20df3001,0x40fdc3fb,0x4c4ffffd,
    0xf985ffff,0x417ea00e,0xffc802fe,0x1ffd81ff,0x400fff20,0x26007ff8,
    0x01ffffef,0x200fffc4,0x0ffffff9,0x41ffff26,0xffffffe8,0x09ff9004,
    0x44ffffa8,0x7ec4fffd,0xffff55ff,0x3fe27fd0,0xdff1fd41,0xffffffa8,
    0xffffffff,0x3fe67fff,0xffffffff,0x7fffffff,0xfe81dfb8,0xfffb80ef,
    0xffffa801,0xfffe9aef,0x3fffee06,0xf9309d04,0x0003bfff,0x30bfffee,
    0x3f0bffff,0x7ff54000,0x3fe60bef,0xfc8afeff,0xa8cfcfff,0xf983ffff,
    0x7fdc3fff,0x7ffcc1ff,0xffecbcef,0xfff502ff,0x880174bf,0x87fb82ff,
    0xffffa84b,0x7fffc40f,0xe800ed84,0x01ff984f,0x80ffffdc,0xffc81ffd,
    0x00e4c003,0x3ffa25d0,0x00ffe804,0x7ffd4574,0x1ffee224,0x262fffa2,
    0x7cc03ffd,0x3f601fff,0x7ffc7fff,0xb7fffc6f,0x2e1ffffc,0xd1bfa1ff,
    0x003ff4df,0x40000000,0x6ffe87f8,0x70077fc4,0xff1009ff,0x7fd41fff,
    0x3ffe01ff,0x400f886f,0x0befffea,0x3fffe200,0x7ffffe45,0x22001a60,
    0x01dffffc,0x83fffff1,0x743fffff,0xff986fff,0x7ffd43ff,0x03ffb81f,
    0xfe80bff7,0x004cafff,0xff50dfd1,0xffd03507,0xfff107ff,0x000ec89f,
    0xffb09ff5,0x7fffd403,0xc87ff601,0x000003ff,0x883ff900,0x1517f20a,
    0x13ff20c4,0x3ee1ffea,0x407fb80f,0x205ffdfd,0x21fffffc,0x7ec5fffe,
    0xffff75ff,0xfb07ff41,0xf896d43f,0x000000ff,0x3fc40000,0x77dc7fe8,
    0x807fb800,0x544ffff8,0x2e02ffff,0x2642ffff,0xffff9300,0x3ff60039,
    0x3ff3a0ff,0x800f22ff,0x0bffffda,0x84ffff80,0xfd86fffe,0xfff987ff,
    0x7fffd43f,0x5403ff81,0x3fe600ff,0x8800feff,0x7fd42ffe,0x3ffee006,
    0xffff106f,0x20007649,0x7fcc3ffe,0xffff500f,0x4ffec403,0x00003ffc,
    0x05ff1000,0x4be29ffd,0x7e407ffa,0x87ffa81f,0x3ff104fd,0x3ea7fea0,
    0xfffb102f,0x1fffec5f,0x7ccffff2,0x07ffc6ff,0xb9305ffb,0x00001ffd,
    0xf8800000,0x745ff887,0x07f2000e,0x89ffff10,0x202ffffa,0x7c6ffff8,
    0xfeb88001,0x2a00beff,0x2d33ffff,0x03e5ffff,0xbfffd710,0xffff8005,
    0x86fffe84,0xf987fffd,0x7fd43fff,0x037dc1ff,0x7ec04fd8,0xfd004fff,
    0x3fff98df,0xfffff100,0x3fffe203,0x8003ff94,0x7ec2fffa,0xfffa80ef,
    0x7ff4401f,0x2aa603ff,0xaaaaaaaa,0x1aaaaaaa,0x41efffc8,0x8e8dfffe,
    0x200ffffb,0xfff505fe,0x7ec03ff0,0x7f49fd03,0x21fc8406,0x7d41fffb,
    0x13ffe1ff,0x7fec1fff,0xffe9fe42,0x33333260,0xcccccccc,0x0004cccc,
    0xec99fe20,0x000540ef,0x3fe20054,0x7ffcc4ff,0x7ffec02f,0x0000d51f,
    0x39ffffb5,0x65bfffe0,0x51ffff93,0x7ffe4c0d,0xff0001cf,0xfffd09ff,
    0x0ffffb0d,0xa87ffff3,0x7e41ffff,0x80bf7003,0x807ffff9,0x3e61fffd,
    0x3f6006ff,0x3e204fff,0xfffccfff,0xfffe8006,0x03bffe61,0x003ffff5,
    0xd809fff1,0xffffffff,0xffffffff,0xfffd984f,0x7777ecc6,0x02dfeeef,
    0x7d403be6,0x203fe87f,0x0ffb82ff,0x3e00ffe6,0x443ffc47,0x17fec7ff,
    0xffd83ff6,0xffe9bf21,0x3ffffea0,0xffffffff,0x0007ffff,0x9a99fe20,
    0x80000000,0x4c4ffff8,0x4c02ffff,0x05b4ffff,0x7fec4000,0xffff907f,
    0x3ffe61f3,0xff303dbf,0x800017ff,0xfe84ffff,0xfffd86ff,0x3ffff987,
    0x20ffffd4,0xdf3002fd,0x7ffff900,0x0ffffc40,0x200bfff5,0x00fffffa,
    0x3fffffe2,0x4004ffff,0x7fc4fffc,0x7ffd41ff,0xfffc801f,0x3bbb201f,
    0xeeeeeeee,0x03eeeeee,0x7007ffea,0x7744009b,0x21ffea00,0x3ff507fc,
    0xfc83ff88,0x20be600f,0x8bfd05fe,0x7fcc0ffb,0xff897fa1,0x21fffa9f,
    0xccccccc9,0xcccccccc,0x200004cc,0x000004c8,0x3ffe2000,0x7fffcc4f,
    0xffffe802,0x2a000079,0x303ffffd,0xe8bdffff,0x100fefff,0x019ffffb,
    0x27fffc00,0x6c37fff4,0xff987fff,0x7ffd43ff,0x801fec1f,0xff9806fa,
    0x3e600fff,0x7ffdc5ff,0xffffe801,0x7fffc403,0x1ffffe8e,0x8bfff100,
    0xfa82fffb,0x7e401fff,0x001ffdbf,0x7ec00000,0x36fb100f,0x20ed800d,
    0x43ffd41a,0xf712dff8,0x20df90bf,0xbd104ff8,0x7dc0ff20,0xfb837cc3,
    0x740efa8d,0xdffdbfff,0x00000001,0xea800000,0x67f540cf,0x3ffe2000,
    0x7fffcc4f,0xffffa802,0x5c40003f,0x802dffff,0x5c2ffffe,0x8805ffff,
    0x02dffffc,0x84ffff80,0xfd86fffe,0xfff987ff,0x7fffd43f,0xc8027e41,
    0xffed804f,0x7fcc04ff,0x02ffe41f,0x41bfffee,0x53fffe20,0x00effff9,
    0x7c45ffc8,0xfff503ff,0x1ffe403f,0x00003ffb,0xfb815100,0x2e9ff505,
    0x33f203ff,0x7d41fdcc,0xdfff507f,0xf981dfff,0x03fee02f,0x0fd409f5,
    0x04f81f98,0x440b3726,0x017710bb,0x00000000,0x3ffe0000,0x27fffc4f,
    0x9ffff100,0x02ffff98,0x01fffff0,0x3fff6600,0x3ee001cf,0x7fc40fff,
    0x754002ff,0x000befff,0xfd09ffff,0xfffb0dff,0x7ffff30f,0x41ffffa8,
    0x7c401ff9,0x7c75402f,0x5400ffff,0x1ffd85ff,0x3fffff10,0x7ffc4550,
    0x3ffff24f,0x437fc404,0x3ea03ffb,0xff901fff,0x003ffb07,0xf9000b98,
    0x01db117f,0x7fccbffe,0xffffc80f,0x7ffb87ff,0x3ffffa60,0xd00dfb04,
    0x200e4cbf,0x2d83c078,0x00000000,0x00000000,0xffff5000,0x3ffffd4f,
    0x9ffff100,0x02ffff98,0x00bfff70,0x7dfffd50,0xfff10001,0x03fffa09,
    0x7ffe4c00,0x7ffc01df,0x6fffe84f,0x887fffd8,0x7ec3ffff,0xefd81fff,
    0x80dfd100,0xffff71f8,0x03ff5009,0x3ff60dfb,0x443d04ff,0x7f44ffff,
    0x3f202fff,0x027fc40e,0x207fffea,0x3f603ffc,0xdff1001f,0x3fff6600,
    0x23ffc03e,0x77540ffe,0x264eeeee,0x02ceeedb,0x74c026a2,0x0eea801e,
    0x00000000,0x00000000,0x00000000,0xbffff100,0x02ffffc4,0x89ffff10,
    0x002ffffa,0x2003fff1,0x1dffffc8,0x2ffd8000,0x000bff70,0xdfffd710,
    0x9ffff017,0xb0dfffd0,0x3fe0ffff,0x3fff25ff,0xfffd82ff,0xfffb989b,
    0xff13a00e,0xf7003fff,0xa85fd10b,0xc80fffff,0x3fffe21f,0x7ffffcc5,
    0xc80ef880,0xfffb804f,0x01ffc42f,0x4401bfa2,0x008007ff,0x59307260,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfc83dff9,
    0x3e2001ff,0x7fd45fff,0x3f2003ff,0xfffd8806,0x200000be,0x3fe207fa,
    0x64c00002,0x3e24ffff,0xfff85fff,0x7fffe87f,0xffffff50,0x89ffff7d,
    0xffffeffd,0x0effefff,0x3f617ec4,0xc800efff,0x746e881f,0x998bffff,
    0x3ea0ffeb,0xffd86fff,0x07e40eff,0xfd802fc4,0x03984fff,0x54001910,
    0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x14403100,0x7fffd400,0x2ffffe46,0x3005f300,0x00005bff,0xfb013e20,
    0x5c400000,0x3ffe67fe,0x7fffc47f,0x3fffe20f,0xffff901f,0x3ffffeab,
    0x36a3ff35,0xff32dfff,0x3ffffa25,0xfffffd8c,0x04c802ff,0x3ffee3b1,
    0xffffffff,0x3ffff27f,0xfff71fff,0x3625ffff,0xd300b701,0x1dffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffc80000,0xffb6ffff,0x400dffff,0x00193002,0x80150000,
    0x00000018,0x3ffff2b3,0xfffa9fff,0xff9affff,0x203fffff,0x0d4000aa,
    0x0000a600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xadedb800,0x3ae59800,0x91066cc3,
    0x99999999,0x3bbbba65,0xeeeeeeee,0x9932eeee,0x99999999,0x59999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffe8800,0x3201dfff,0x7c7fff34,0x3ffe25ff,0x34ffffff,
    0xffffffff,0xffffffff,0x3fffe67f,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fee77e4,0x2a0befff,0x2bfff72f,0x3e27fff9,0xffffffff,0x55555514,
    0x55555555,0x2ee23555,0xbbbbbbbb,0x1bbbbbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6d427c00,
    0xffefffff,0xe87ffe26,0x3bba24ff,0x03eeeeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x803e2000,0xeffffeb8,0x0d405440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x2ea60028,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_38_latin_ext_x[560]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,2,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_38_latin_ext_y[560]={ 30,6,6,6,6,6,6,6,6,6,6,9,24,20,
24,6,6,6,6,6,6,7,6,7,6,6,13,13,10,14,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,35,6,13,7,13,7,13,6,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,6,6,6,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,13,7,6,10,7,
6,6,7,6,6,14,14,20,6,3,6,9,6,6,6,14,7,15,29,6,6,14,6,6,6,13,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,11,6,-1,-1,-1,0,-1,7,6,6,6,
6,7,7,5,13,13,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,13,6,6,6,7,6,6,7,
2,8,-1,6,6,13,-1,6,-2,6,0,7,-1,6,-1,6,7,7,2,8,-1,6,0,7,7,13,-1,6,-1,6,
-1,6,0,7,6,5,-2,-2,7,7,0,7,2,8,-1,6,7,6,0,14,7,6,-2,6,7,7,14,-1,-1,7,
7,6,6,7,7,7,7,-1,6,7,13,-1,6,6,6,13,2,8,-1,6,-1,6,6,13,-1,6,7,13,-1,6,
-1,6,-2,6,6,13,-1,6,7,8,-1,6,7,8,0,7,2,8,-1,6,-2,5,-1,6,7,14,-2,6,-2,6,
0,-1,6,0,7,-1,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,12,8,8,8,8,8,8,8,8,8,8,8,8,8,2,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,6,-1,6,-1,
6,-1,6,-1,3,-1,1,-1,0,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_38_latin_ext_w[560]={ 0,7,14,17,16,30,27,6,11,11,15,19,7,11,
7,10,15,13,16,16,16,15,16,16,15,15,7,7,19,20,19,14,31,25,22,22,24,22,20,26,27,13,17,28,
22,32,24,25,20,25,26,17,21,25,25,35,25,25,23,8,10,7,16,19,8,16,18,14,18,14,13,16,18,10,
10,19,10,27,18,15,18,18,14,12,12,17,17,25,17,17,15,11,3,10,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,7,14,17,17,18,
3,15,12,25,11,17,20,11,25,19,13,19,10,10,8,19,19,7,7,8,11,17,25,24,26,15,25,25,25,25,
25,25,34,22,22,22,22,22,13,13,13,13,24,24,25,25,25,25,25,16,25,25,25,25,25,25,20,18,16,16,
16,16,16,16,23,14,14,14,14,14,11,10,12,12,15,18,15,15,15,15,15,19,16,17,17,17,17,17,18,17,
25,16,25,16,25,17,22,14,22,14,22,14,22,14,24,24,24,18,22,14,22,14,22,14,22,14,22,14,26,16,
26,16,26,16,26,16,27,18,27,18,13,12,13,12,13,11,13,10,13,10,29,17,17,13,28,19,19,22,10,22,
10,22,16,22,14,22,10,24,18,24,18,24,18,26,25,16,25,15,25,15,25,15,32,23,26,14,26,14,26,14,
17,12,17,12,17,12,17,12,21,12,21,18,21,12,25,17,25,17,25,17,25,17,25,17,25,18,35,25,25,17,
25,23,15,23,15,23,15,14,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,27,19,18,18,18,18,18,18,18,18,18,18,18,18,18,29,21,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,25,16,13,12,25,
15,25,17,25,17,25,17,25,17,25,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,25,16,34,23,25,16,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__times_bold_38_latin_ext_h[560]={ 0,25,12,25,27,25,25,12,31,31,14,19,13,4,
7,25,25,24,24,25,24,24,25,24,25,25,18,24,17,9,17,25,32,24,23,25,23,23,23,25,23,23,24,23,
23,23,24,25,23,31,23,25,23,24,24,24,23,23,23,30,25,30,13,3,7,18,24,18,24,18,24,25,23,24,
32,23,23,17,17,18,25,25,17,18,23,17,17,17,16,24,16,31,32,31,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,30,25,17,23,
32,32,5,25,11,16,9,4,25,3,13,19,13,14,7,24,31,7,8,13,11,16,25,25,25,25,31,31,31,30,
30,29,23,31,31,31,31,30,31,31,31,30,23,31,32,32,32,31,31,15,26,32,32,32,31,31,23,25,25,25,
25,24,24,26,18,24,25,25,25,24,24,24,24,23,25,23,25,25,25,24,24,15,18,25,25,25,24,32,32,31,
28,23,31,25,32,25,32,25,33,25,31,24,32,25,31,25,23,24,28,23,31,25,30,24,31,25,31,25,32,32,
32,32,31,31,31,33,32,32,23,23,30,23,28,22,31,24,31,32,30,16,24,32,33,32,30,30,16,31,31,30,
30,24,24,23,23,23,23,32,24,30,24,32,24,24,25,25,29,23,32,25,32,25,25,18,31,24,30,24,31,24,
32,25,33,25,31,24,32,25,32,31,31,25,23,23,31,24,29,23,32,25,33,26,32,25,31,24,33,25,32,32,
30,31,24,30,23,31,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,25,22,22,32,22,22,22,
22,22,22,22,22,22,22,22,22,22,27,19,22,22,22,22,22,22,22,22,22,22,22,22,22,29,18,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,25,31,24,32,
25,32,25,32,28,32,30,32,31,32,30,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,36,32,31,25,33,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__times_bold_38_latin_ext_s[560]={ 509,500,392,288,216,429,366,407,439,88,317,
260,384,34,488,394,17,347,193,377,445,462,377,493,405,163,450,70,84,438,38,
362,466,124,218,239,148,125,197,481,97,370,220,407,384,462,264,1,27,177,48,
394,75,335,238,184,1,436,173,368,351,429,367,46,497,320,165,350,105,411,321,
464,338,434,498,280,269,104,1,458,492,332,491,337,126,132,20,58,168,376,204,
486,228,1,1,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,509,412,330,
420,150,457,207,191,21,438,426,186,459,34,213,66,353,300,333,306,488,20,340,
496,480,344,414,240,421,33,75,102,387,413,433,403,377,57,422,24,292,47,469,
264,419,498,70,498,19,315,258,133,336,229,203,269,261,388,440,1,151,125,172,
313,296,279,262,122,51,287,426,316,148,133,118,251,139,380,391,357,1,193,476,
460,272,300,284,286,474,359,341,323,266,27,45,451,135,476,39,211,64,174,110,
134,168,93,65,419,159,14,100,475,101,103,175,323,382,244,437,404,255,460,1,
29,208,235,278,349,95,492,360,115,416,470,212,82,460,409,161,495,278,151,405,
1,305,258,163,366,71,384,192,172,220,122,84,345,319,228,53,300,44,59,161,
12,361,221,1,37,289,78,322,412,109,253,62,228,110,44,60,387,12,361,145,
394,459,150,398,259,53,447,338,308,489,1,88,237,215,192,139,240,356,210,83,
1,252,348,89,304,444,394,189,84,132,108,323,305,1,250,68,474,493,274,331,
478,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,149,241,241,90,
241,241,241,241,241,241,241,241,241,241,241,241,241,233,280,241,241,241,241,241,
241,241,241,241,241,241,241,241,27,365,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,312,306,
298,40,362,179,182,195,284,198,232,246,414,171,310,287,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,1,211,136,27,27,58,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241, };
static unsigned short stb__times_bold_38_latin_ext_t[560]={ 1,168,350,199,168,168,168,350,104,104,350,
326,350,368,358,199,225,251,251,225,251,251,199,251,199,225,326,277,350,350,350,
225,1,277,326,225,326,326,326,225,326,302,277,302,302,302,277,251,326,104,326,
225,326,277,277,277,326,302,326,136,225,136,350,368,350,326,277,326,277,326,277,
225,302,251,1,302,302,350,350,326,199,225,326,326,302,350,350,350,350,277,350,
71,1,104,368,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,1,225,136,
225,350,277,1,1,368,225,350,350,350,368,225,368,350,326,350,350,350,277,104,
358,350,350,350,350,199,225,225,225,104,104,71,136,136,168,277,136,104,136,104,
136,71,71,136,136,302,104,1,35,1,104,104,350,168,1,1,38,104,104,302,
225,225,225,225,251,251,168,326,251,225,225,225,251,251,251,251,302,225,302,199,
199,199,251,251,350,326,199,199,199,251,35,35,104,168,277,104,199,35,199,35,
199,1,199,104,251,35,199,104,168,302,251,168,302,71,199,136,251,104,168,136,
199,35,35,35,35,136,104,104,1,35,35,302,302,136,277,168,302,104,251,71,
71,136,350,251,35,1,35,136,136,350,136,136,136,136,251,277,302,302,302,302,
71,251,136,277,71,277,277,168,168,168,302,71,199,71,199,199,326,104,277,136,
277,71,277,35,199,1,199,71,277,35,199,71,71,71,199,302,302,71,251,168,
302,35,168,1,168,35,168,71,251,1,199,35,35,168,71,251,136,277,71,251,
251,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,199,326,326,35,
326,326,326,326,326,326,326,326,326,326,326,326,326,168,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,168,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,71,199,
71,277,1,225,35,225,1,168,1,136,1,71,1,136,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,1,1,71,251,1,225,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326, };
static unsigned short stb__times_bold_38_latin_ext_a[560]={ 137,183,305,275,275,549,457,153,
183,183,275,313,137,183,137,153,275,275,275,275,275,275,275,275,
275,275,183,183,313,313,313,275,511,396,366,396,396,366,335,427,
427,214,275,427,366,518,396,427,335,427,396,305,366,396,396,549,
396,396,366,183,153,183,319,275,183,275,305,244,305,244,183,275,
305,153,183,305,153,457,305,275,305,305,244,214,183,305,275,396,
275,275,244,216,121,216,286,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,137,183,275,275,275,275,121,275,
183,410,165,275,313,183,410,275,220,301,165,165,183,316,296,137,
183,165,181,275,412,412,412,275,396,396,396,396,396,396,549,396,
366,366,366,366,214,214,214,214,396,396,427,427,427,427,427,313,
427,396,396,396,396,396,335,305,275,275,275,275,275,275,396,244,
244,244,244,244,153,153,153,153,275,305,275,275,275,275,275,301,
275,305,305,305,305,275,305,275,396,275,396,275,396,275,396,244,
396,244,396,244,396,244,396,403,396,305,366,244,366,244,366,244,
366,244,366,244,427,275,427,275,427,275,427,275,427,305,427,305,
214,153,214,153,214,153,214,153,214,153,452,303,275,183,427,305,
305,366,153,366,153,366,257,366,217,366,153,396,305,396,305,396,
305,400,422,305,427,275,427,275,427,275,549,396,396,244,396,244,
396,244,305,214,305,214,305,214,305,214,366,183,366,286,366,183,
396,305,396,305,396,305,396,305,396,305,396,305,549,396,396,275,
396,366,244,366,244,366,244,153,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,406,427,427,275,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,304,427,427,427,427,427,427,
427,427,427,427,427,427,427,437,329,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,396,275,214,153,427,275,396,305,396,305,396,
305,396,305,396,305,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,396,275,549,396,427,275,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_38_latin_ext(stb_fontchar font[STB_FONT_times_bold_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_38_latin_ext_s[i] + stb__times_bold_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_38_latin_ext_t[i] + stb__times_bold_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_38_latin_ext_x[i];
            font[i].y0 = stb__times_bold_38_latin_ext_y[i];
            font[i].x1 = stb__times_bold_38_latin_ext_x[i] + stb__times_bold_38_latin_ext_w[i];
            font[i].y1 = stb__times_bold_38_latin_ext_y[i] + stb__times_bold_38_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_38_latin_ext_s[i] + stb__times_bold_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_38_latin_ext_t[i] + stb__times_bold_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_38_latin_ext_x[i] + stb__times_bold_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_38_latin_ext_y[i] + stb__times_bold_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_38_latin_ext_LINE_SPACING
#endif

