// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT        410
#define STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_40_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_40_latin_ext_LINE_SPACING          26

static unsigned int stb__times_bold_40_latin_ext_pixels[]={
    0x00000000,0x15555500,0xcc880000,0x2600004c,0xa8800199,0x44002aaa,
    0x0002ffff,0x4c400000,0x00000099,0x20000003,0x00008808,0x00000a60,
    0x00026662,0x00000044,0x33333331,0x00000013,0x01500000,0x00000188,
    0x53000001,0x00001300,0x44000000,0x00000001,0x44000000,0x0006ffff,
    0x7ffff300,0xffb00000,0x500005ff,0x8005ffff,0x001ffffb,0x037fffec,
    0x3fffea00,0x7fe40004,0xdd000005,0x001ba201,0x3ee19f50,0x2c980002,
    0xffb00000,0x17d4000b,0x50003f70,0xffffffff,0xfb000005,0x80000dff,
    0x0bf301fc,0x00b50000,0x40bf1000,0xa80001fc,0x0004ffff,0x7cc0bf00,
    0xfd000004,0x00001dff,0x0077ffd4,0xfffb8000,0xf9800004,0x0006ffff,
    0x06ffffe8,0x017ffec0,0x3ffffe60,0x3f60002f,0x700004ff,0x200000ff,
    0x7fcc1ef9,0xffc80001,0xd00004fe,0x7c000005,0xfe80004f,0x0005fd84,
    0xfffffff5,0x9800005f,0x003fffff,0x50bfe200,0x000003ff,0x000001fd,
    0x7ec41bf9,0x3ea00005,0x000006ff,0xffa81df7,0xf9800000,0x00000fff,
    0x00077fec,0x09ffd000,0x3ffa0000,0x0003fffe,0x3fffffee,0x5fff1003,
    0x7bffd000,0x7c000dff,0x400004ff,0x000001ea,0x3fee3ffb,0x3b600005,
    0xf300005e,0x30000011,0x2600007d,0x1ffd15ff,0x00000000,0x7ffff400,
    0x6400007f,0x09ff93ff,0x9ff30000,0xff100000,0x01ffd31d,0xfffb8000,
    0xfd000001,0x00fff23d,0x7ffe4000,0x7c400001,0x000000ef,0x00013fe2,
    0xe8affd40,0xff10007f,0x01fff55f,0x0005ff70,0x7fd47ff5,0x5ffa8003,
    0x50530000,0xf9800003,0x00fffdff,0x1a829800,0x7ffdc000,0x05300005,
    0xfd800035,0x004fffef,0x00d414c0,0x3bfea000,0x0003ffd9,0x3fbffe20,
    0x800000ff,0x0000fffd,0xfffffc80,0x7000004f,0x000009ff,0x3ffbffea,
    0x3a000006,0x800001ff,0x00000efa,0x0002fdc0,0xd887fd00,0xffb8003f,
    0x2013fa61,0xfd0003fd,0x000ff305,0x20000bfb,0x3fee3ff8,0x7ec00000,
    0x0003ffff,0x3ee3ff88,0x3e60000f,0x880007ff,0x03fee3ff,0xffff9800,
    0x220000ff,0x03fee3ff,0x0dfe8000,0x00003ff2,0x3fffffc8,0xff880000,
    0x800003ff,0x0ffffff8,0x3ee00000,0x3a000006,0x002fffff,0x03ff3000,
    0x03f60000,0x13200000,0x2fb80000,0x88003f60,0x0fe880ef,0x4000fa20,
    0x0b6201da,0x0000bf00,0xff71ffc4,0xf8800001,0x00007fff,0x7fdc7ff1,
    0x7fe40000,0xff880003,0x0003fee3,0x07ffffb0,0x23ff8800,0x00000ffb,
    0x0fee09f7,0xfff88000,0x9000006f,0x000dffff,0x3fffee00,0xc8000003,
    0x5000001f,0x000bffff,0x000fe400,0x00062000,0x00000000,0x02600220,
    0x1a802980,0x00000880,0x00000000,0x01a82980,0x99970000,0x14c00005,
    0x880000d4,0x0a600000,0x2200006a,0x00004ccc,0x00035053,0x12a01640,
    0x55530000,0xf1000003,0x005fffff,0x0aaaa000,0x00000000,0xcccc8000,
    0x00000001,0x3f220000,0x000003ef,0x80135531,0x5310002d,0x00140355,
    0x7fecc000,0x5510001d,0x22003015,0x00180aaa,0x80000000,0x0c01aa98,
    0x00000000,0x00000000,0x55544000,0x00000180,0x00000000,0x00000000,
    0xfffff700,0x400000df,0x00000019,0x00000000,0x53100000,0x80018035,
    0x01fb89ed,0xfff91000,0x83bfffff,0x36e001fc,0xfffffffe,0x500d30ad,
    0x00355555,0x01f6677a,0xffffff50,0xf501a15d,0x15dfffff,0xffffd11a,
    0x1ddfffff,0xffffffc8,0xffb5002e,0x179dffff,0xfffe887c,0xeeffffff,
    0x7ffffe40,0xfdb502ef,0x3333359b,0x3ffffa21,0x0eefffff,0x7fffffe4,
    0xffff502e,0x11a15dff,0xfffffffd,0xfc81ddff,0x12efffff,0xfffffffd,
    0xfc81ddff,0x12efffff,0xfffffffd,0xfc81ddff,0x02efffff,0x3fff6fe0,
    0x880001ff,0xeffffedc,0xfe8801cd,0xffffffff,0x7ffe40ee,0xff52efff,
    0x05ffffff,0xfffffeb8,0xffb5001f,0x179dffff,0x3f10007c,0x440004d8,
    0x511cfffd,0xf73bfffb,0x3ffa6003,0xf73109cf,0x500dfdff,0x00bffffd,
    0x1005f0f5,0x6cc39ffb,0xfb107fff,0x7fecc39f,0x3fff207f,0xf9801fff,
    0xff5000ef,0x5337dfff,0x01ffdffb,0x3ffffff9,0x01dff300,0x32bbffa6,
    0x2fffffff,0xffffffc8,0x0eff9801,0x439ffb10,0x207fffd9,0x1ffffffc,
    0x00eff980,0x3ffffff2,0x0eff9801,0x3fffff20,0xeff9801f,0x547d4000,
    0x005fffff,0x56fffdc0,0x19fff930,0x3ffff200,0xff9801ff,0xffff500e,
    0xf3001fff,0x3ea003df,0x99beffff,0x0ffeffda,0x1ae1ea00,0xfffe9800,
    0x3fffe603,0xfff9002f,0xffc8803d,0xfff5006f,0xb0d900bf,0x05ffb009,
    0xfd83ffd4,0x1ffea02f,0x6fffff88,0x400bf200,0x00cffffc,0x203fffa6,
    0x06fffff8,0x7cc0bf20,0x7ffdc6ff,0xff881ccd,0x32006fff,0x0bff602f,
    0x2207ffa8,0x006fffff,0xff100bf2,0x6400dfff,0x7ffc402f,0x3f2006ff,
    0x3a4e8002,0x000fffff,0x04fffe98,0x00bfffe2,0x1bffffe2,0x5402fc80,
    0x06ffffff,0x32005f70,0x200cffff,0x000fffe9,0x000fa17c,0x027fffcc,
    0x017fffd4,0x00fffff4,0x200dff70,0x805ffff8,0x007e20f9,0xf700dff5,
    0x00dff50f,0x7fc40ff7,0x2e005fff,0xfffe801f,0xffd1005f,0xfffff101,
    0x40fdc00b,0x4c4ffff8,0x7c406fff,0x2005ffff,0xdff501fb,0x440ff700,
    0x005fffff,0xff1007ee,0x5c00bfff,0x7ffc401f,0x3ee005ff,0x707cc001,
    0x009fffff,0x05ffff98,0x03ffff98,0x2fffffc4,0xf003f700,0x0bffffff,
    0xfd003f30,0x2200bfff,0x64000ffe,0x000febcf,0x1fffff88,0x1ffffd00,
    0x1ffffe40,0x8037e400,0x005ffff8,0x00df77fb,0x3600dffb,0x006ffd87,
    0xffff80fb,0x03ea005f,0x1dffff90,0x807fc400,0x005fffff,0x3fe603ea,
    0x7ffc43ff,0x7fffc03f,0x03ea005f,0xd8037fec,0x7ffffc07,0x003ea005,
    0x017ffffe,0xff800fa8,0x2a005fff,0x22ec000f,0x07fffff8,0x07ffff40,
    0x1ffffd80,0x2fffffc0,0xf001f500,0x7fffffff,0x6400f980,0x000effff,
    0x20003fe2,0x0000bfe9,0x00dffffb,0x17ffffa2,0x07ffffcc,0x1006e800,
    0x400bffff,0xff003eea,0x1f3003ff,0x801ffff8,0x3ffe00f9,0x3ea005ff,
    0x3fffea00,0x0fb8000f,0x0bfffff0,0x7dc07d40,0xfff82fff,0x7fffc04f,
    0x03ea005f,0x400ffffc,0x3ffe00f9,0x3ea005ff,0xfffff800,0x003ea005,
    0x017ffffe,0x22000fa8,0xffffc81f,0xfff9003f,0x7fd400bf,0x7ffc06ff,
    0x3ea005ff,0xffeaf800,0x2601ffff,0x3ffea00f,0xfb8000ff,0x01fd0000,
    0x3fffe600,0xfffb002f,0xfe887fff,0x20004fff,0xfff1006b,0x800000bf,
    0x801fffff,0x7ffffc0e,0x3e00e801,0x2005ffff,0x3ffe00fa,0xf10005ff,
    0x3ffffe01,0x203ea005,0xe82ffffb,0x7fc05fff,0x2a005fff,0xfffff00f,
    0x7c01d003,0x2005ffff,0xfff800fa,0x3ea005ff,0xfffff800,0x003ea005,
    0xfff306c8,0xff300dff,0x44007fff,0x203fffff,0x005fffff,0x2be003ea,
    0xfffffff9,0x7c01f300,0x0005ffff,0xf30001f1,0x3f20009f,0xc801ffff,
    0x7fffff8f,0x1fffffe4,0x4401a000,0x9805ffff,0x02defecb,0x1ffffff4,
    0xfffd02a0,0x00a807ff,0x017ffffe,0xff500fa8,0x40009fff,0xfffff00c,
    0x407d400b,0xf83ffff8,0x7fc03fff,0x2a005fff,0xffffd00f,0x200a807f,
    0x005fffff,0x3fe003ea,0x2a005fff,0xffff800f,0x03ea005f,0x4ccdfc40,
    0xffffe999,0x7ffec02f,0x7fc000ff,0x3fe07fff,0x2a005fff,0xf52f800f,
    0x20dfffff,0xfff500f9,0x640009ff,0xfffd8000,0x7ffc4000,0x7dc00fff,
    0x1fffffd1,0x17ffffec,0xf8800000,0x7e405fff,0x4fffebbe,0x3fffff20,
    0x3f2002ef,0x02efffff,0xbfffff00,0xe807d400,0x002fffff,0xfffff000,
    0x807d400b,0x7c44fffe,0x7fc01fff,0x2a005fff,0xffff900f,0x20005dff,
    0x005fffff,0x3fe003ea,0x2a005fff,0xffff800f,0x03ea005f,0x7ffffdc0,
    0xffffffff,0x7fffc05f,0xffd8007f,0xfff00fff,0x7d400bff,0x3ee2f800,
    0x984fffff,0xffffd00f,0x0000005f,0x03ffff88,0x7ffffcc0,0xfb17d407,
    0x7fc3ffff,0x0001ffff,0xffff1000,0x11bfa20b,0x2605ffff,0xffffffff,
    0xfff9801e,0x01efffff,0x2fffffc0,0xf101f500,0x003fffff,0x3fffe000,
    0x03ea005f,0x2a37ffcc,0xff803fff,0x2a005fff,0xffff300f,0x003dffff,
    0x05fffff8,0x3e003ea0,0x2005ffff,0xfff800fa,0x3ea005ff,0x3337f000,
    0xffd33333,0x3e203fff,0x8007ffff,0x02fffffd,0x00bfffff,0x17c007d4,
    0x3ffffff6,0x7c407cc3,0x001fffff,0x7fe40000,0x7d4006ff,0x2607ffff,
    0x7fffe43f,0xfffff13f,0x4000000f,0x705ffff8,0xffd83fff,0x3ffee07f,
    0x0dffffff,0x7ffffdc0,0x000dffff,0x00bfffff,0x7fcc07d4,0x00007fff,
    0x17ffffe0,0x2200fa80,0xffb8dffc,0xffff003f,0x07d400bf,0xffffff70,
    0x2001bfff,0x005fffff,0x3fe003ea,0x2a005fff,0xffff800f,0x03ea005f,
    0x7d401ee0,0xf304ffff,0x000dffff,0x07fffff9,0x017ffffe,0x2f800fa8,
    0x7fffff44,0x2603e61f,0x007fffff,0x7fc40000,0x2002ffff,0x06fffffb,
    0xfff909f1,0x3ffea9ff,0x000007ff,0x17fffe20,0x3627fff4,0x3200ffff,
    0xffffffff,0x7fe403ff,0xffffffff,0xfffff803,0x203ea005,0x06fffffa,
    0x3ffe0000,0x3ea005ff,0xffffb800,0x3fe000be,0x2a005fff,0x7ffe400f,
    0x3fffffff,0x5fffff80,0x2003ea00,0x005fffff,0x3fe003ea,0x2a005fff,
    0x004f800f,0x03fffffe,0x1bffffee,0x3ffff200,0xfffff05f,0x007d400b,
    0x7ffc417c,0x1f30ffff,0xdfffff50,0xb8000000,0x06ffffff,0x3ffffee0,
    0xf905e886,0x3eebffff,0x0006ffff,0x3ffe2000,0x9fffb05f,0x01ffffc8,
    0x7fffffdc,0x5c04ffff,0xffffffff,0x7ffc04ff,0x3ea005ff,0xfffffb80,
    0x3e000006,0x2005ffff,0x06e400fa,0x7fffc000,0x03ea005f,0x3ffffee0,
    0x404fffff,0x005fffff,0x3fe003ea,0x2a005fff,0xffff800f,0x03ea005f,
    0x64005f70,0xb84fffff,0x006fffff,0x5fffffc8,0x0bfffff0,0x7c007d40,
    0xfffff302,0x2e03e6bf,0x006fffff,0x6dfc0000,0x001fffff,0x0ffffff3,
    0x3ff201dd,0xfff34fff,0x00000fff,0x2ffffc40,0x220dfd88,0x801ffffd,
    0xffffffc8,0x64403fff,0xffffffff,0x3fffe03f,0x03ea005f,0x1fffffee,
    0xfff80000,0x3ea005ff,0x005fd100,0x3ffffe00,0x003ea005,0x7ffffe44,
    0x3e03ffff,0x2005ffff,0xfff800fa,0x3ea005ff,0xfffff800,0x803ea005,
    0x26000ff8,0x40ffffff,0x06fffffa,0xfffffc80,0xbfffff04,0x4007d400,
    0x3ffee02f,0x80f9cfff,0x07fffffb,0x3ea00000,0x5fffffa8,0xfffff100,
    0x3600fd8f,0x3e3fffff,0x400fffff,0xffffffdb,0x3e203eff,0x5c005fff,
    0x01ffffff,0x3ffff660,0xb3007fff,0xffffffff,0x2fffffc0,0x3ea0f500,
    0x000fffff,0xfffff000,0x703d400b,0x200009ff,0x005fffff,0x366001ea,
    0x7fffffff,0x17ffffe0,0xff007a80,0x5400bfff,0xfffff007,0x303d400b,
    0x4c009ffd,0x0effffff,0x1fffffe6,0x3ffff600,0xfffff02f,0x803d400b,
    0x7ffec02f,0xa80fcfff,0x00ffffff,0x49d00000,0x00fffffe,0x1fffffd0,
    0xffb007f2,0x7ff45fff,0xf3001fff,0x005fffff,0x00bffff1,0x3ff2ffee,
    0x4c0181ff,0x2ffffffd,0xfffb3006,0x3fe05fff,0x2e005fff,0xfffff107,
    0x2000003f,0x005fffff,0xfffe81ee,0xceeeeeef,0xfffff802,0x181ee005,
    0x7fffecc0,0xffff02ff,0x03dc00bf,0x05fffff8,0x7fc01ee0,0x2e005fff,
    0xfffff907,0x3fb201bd,0xffffffff,0x3fffffe3,0x7ffec000,0xffff01ff,
    0x03dc00bf,0xffe802f8,0x880fffff,0x01ffffff,0x0f980000,0x13ffffee,
    0x7ffffec0,0xff802fb9,0x7fe46fff,0x3e002fff,0x1007ffff,0x980bffff,
    0xfff91ffe,0x7006883f,0x227fffff,0xffff7006,0x3fffe07f,0x81ee005f,
    0x02fffffe,0xffff0000,0x03dc00bf,0xfffffffd,0x01bfffff,0x02fffffc,
    0x01a20f70,0x1fffffdc,0x05fffff8,0x7fc01ee0,0x2e005fff,0xfffff007,
    0x003dc00b,0x01ba2000,0x03fffffd,0x7ffffe80,0x17ffffe0,0x5f007b80,
    0xfffff100,0x3ffa01ff,0x00002fff,0x7fc45d80,0xf3007fff,0x07f9ffff,
    0x7fffff10,0x3fffffa8,0x3ffffa00,0xffff1007,0x0fffe40b,0x883ffff9,
    0xfff5000f,0x4003e29f,0xf04ffffa,0x400bffff,0x3ffea06c,0x000004ff,
    0x00bfffff,0xfff70364,0xffffffff,0x7ffc0bff,0x1b2005ff,0xfa8007c4,
    0xfff04fff,0x36400bff,0x5fffff80,0x7c01b200,0x2005ffff,0x2000006c,
    0x7cc01ff9,0x2002ffff,0x03fffff8,0x017ffffe,0x05f006c8,0x3ffffe60,
    0xffff500f,0x8000009f,0xfffc81f8,0xff9003ff,0x2e009fff,0xd80fffff,
    0x2005ffff,0x006ffffe,0x5c13fffe,0x7fe45fff,0x01fc41ff,0x225fffb0,
    0x3ff6003f,0xffffd02f,0x202f400d,0x007fffff,0xfffe8020,0x017a006f,
    0xfffffff7,0x01ffffff,0x01bffffa,0x07f105e8,0x817ffec0,0x006ffffe,
    0x7ff4017a,0x17a006ff,0x37ffff40,0x0000bd00,0xd803fec0,0x2005ffff,
    0x406ffffa,0x006ffffe,0x017c017a,0x1fffff50,0x3fffffc0,0xd9001000,
    0x3ffffe60,0x3fffa006,0xfffd000f,0x3ffa205f,0xffd001ff,0x7fc00dff,
    0xffff04ff,0x1ffffc89,0xb8007fc4,0x1ff10fff,0x03ffee00,0x03ffffe4,
    0x7cc03f88,0x8003ffff,0x3fff2049,0x07f1007f,0x55e77e4c,0xfffeccba,
    0xfffff902,0x440fe200,0xff7000ff,0x3fff201f,0x07f1007f,0x1fffff20,
    0xc801fc40,0x1007ffff,0x4000007f,0xf8802fff,0xb001ffff,0xc805ffff,
    0x1007ffff,0x00be007f,0x01ffff90,0x1fffffcc,0x22024c00,0x999999bf,
    0x02fffffe,0x0bffff30,0x09ffff50,0x05ffff98,0x0dffffd0,0xffff9bea,
    0xeffff983,0x3ffffd50,0xb006ff88,0x37fc4bff,0x205ffd80,0x02fffff9,
    0x5c007f44,0x001fffff,0xff9813ea,0x74402fff,0x0bff100f,0x201ffd10,
    0x02fffff9,0xf8807f44,0xbffb006f,0x7ffffcc0,0x007f4402,0x2fffff98,
    0x8007f440,0x02fffff9,0x00007f44,0x00bfff00,0x013fffea,0x00ffffe6,
    0x0bffffe6,0x1001fd10,0xffb0005f,0xfffb801f,0x3ea001ff,0x7fffdc04,
    0xffffffff,0x3fa005ff,0x3e203fff,0xd3003fff,0xfd00bfff,0x3fa0dfff,
    0x03fffd1f,0xdffffff1,0x57ffffdf,0x037ffe21,0x220eff98,0x2600dfff,
    0x7e400eff,0x3601ffff,0x3fee002f,0xfc801fff,0xffffc803,0x80bf601f,
    0xf9003ffb,0xffffc80d,0x80bf601f,0x200dfff8,0x6400eff9,0x201fffff,
    0x7e4002fd,0x3601ffff,0x7fe4002f,0x3f601fff,0x6c000002,0x9801efff,
    0x2202fffe,0x2001fffe,0x01fffffc,0x7d400bf6,0xffe88004,0xffffb800,
    0x03fc801f,0x99999bf8,0xffffe999,0xdafc801f,0x3261bfff,0x8001effe,
    0x0acffffb,0x27ffff4c,0xffd1ffc8,0x7fffec09,0xffff98ef,0x3fffe25f,
    0x77f5c42f,0x7ffffc41,0x0f7f5c42,0xfffffc80,0x2ffdb9bd,0xfffe9800,
    0xeca99adf,0x3f2001ef,0xb9bdffff,0x7cc02ffd,0x77d401ff,0xffffc800,
    0xffdb9bdf,0x7fffc402,0x77f5c42f,0xffff9001,0xffb737bf,0x3ff20005,
    0xdb9bdfff,0xf90002ff,0x737bffff,0x00005ffb,0xffffd100,0x7ec401bf,
    0x3ae20bff,0xc8000eff,0x9bdfffff,0x1002ffdb,0x30005ffb,0x3a6001ff,
    0x99adffff,0x801efeca,0xfff5007b,0x1fb809ff,0x3bffff26,0x0002dfff,
    0x7ffffec4,0x1cffffee,0x7deffc40,0x7fecc06f,0x27ffe43e,0x3f6e6fe2,
    0x03fffdef,0xffb737f1,0x007fffbd,0xfffffd30,0x00019fff,0xfffffda8,
    0x0003efff,0xffffffd3,0x2a0019ff,0xcbbcdfff,0x2000cffe,0xffffffe9,
    0xf8800cff,0xdeffdb9b,0x98003fff,0xfffffffe,0x4c0000cf,0xfffffffe,
    0x4c0000cf,0xfffffffe,0x000000cf,0x177ffe40,0xeffeca80,0x003deffe,
    0x7ffff4c0,0x800cffff,0xffffffe9,0x007d4004,0x3ffff6a0,0x003effff,
    0xfff8013e,0x5f100fff,0x4d5d4c40,0xa9800000,0x009aabca,0x05ee5440,
    0x00801100,0x59751051,0xa8828803,0x80001acb,0x09abcaa8,0x54c40000,
    0x00000aba,0x26af2aa2,0xb9730000,0x001599bd,0x55e55440,0x20a20009,
    0x001acba8,0xabcaa880,0x44000009,0x009abcaa,0x65544000,0x000009ab,
    0x00004000,0x0004dd4c,0x5e554400,0x0000009a,0x10001c00,0x00157553,
    0x64005f70,0x204fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x8003fe20,
    0x0ffffff9,0x00000000,0x00000000,0x00000000,0x00000000,0xff980000,
    0x000000ff,0x02ffff88,0x26620000,0xff900001,0x000000df,0x19988000,
    0x00000000,0x22000cc0,0x00000000,0x00000000,0x2a880000,0x81530000,
    0xffffffe8,0x641effff,0x2fffffff,0x26000000,0x26004ffe,0x0effffff,
    0x00b2a000,0x3fff6000,0x0000001f,0x009ffff3,0x3ffe2000,0x200000ef,
    0xffb0fffa,0x3fa00009,0x00005fff,0x6ffffc80,0xff300000,0x880007ff,
    0x002fffff,0x54bffe20,0x98000eff,0x0003ffff,0x17fffe40,0x077fec00,
    0x2e03f980,0x2200002f,0x0005ffff,0x02ffff98,0x07ffff40,0x0003fe60,
    0x03ffbec8,0x3ffffff9,0x05dff500,0x07fffec0,0x3ffff200,0xfd900def,
    0xffffffff,0xdff98007,0x400000ef,0x0004fffd,0xbfff9000,0x7d400000,
    0x00000eff,0xff897fec,0xff500006,0x0003ffff,0x7fffcc00,0x800002ff,
    0x007ffffe,0x7ffffec0,0x3fea0006,0x0007ff65,0x07ffffec,0xfffd0000,
    0xfff30005,0x27ec007f,0x00002fe4,0x003bffee,0x3ffff600,0x7ff44006,
    0x07fcc02f,0xf8afd800,0xffff106f,0x27e400df,0x1fffec00,0x00000000,
    0xd12e4000,0xfb000007,0x000000df,0x00017ffe,0x01dffb00,0x4ff88000,
    0x00007fea,0x7fe67ffc,0x36000005,0x06ffbdff,0x7ffd4000,0x30003fff,
    0x7ffd5fff,0x43bf6000,0x50004ff8,0x07ffffff,0x3ffe6000,0xfff70003,
    0x7fcc00bf,0x01ffe88d,0x77fec000,0xffa80000,0x4003ffff,0x4c05ffe8,
    0xfa8000ff,0x206ff98f,0x006fffff,0x74000bea,0x000006ff,0x44000000,
    0x0003d41f,0x001ffe80,0x2ffcc000,0x3e200000,0x800000ef,0x01fec6fa,
    0x22ffb800,0x00001ffb,0x3ea3ffa8,0x3a00003f,0x0fff9bff,0x10efe800,
    0xf1000dfb,0x0037d43f,0xff37ffd0,0xf900001f,0x7c40007f,0x6c002fff,
    0x04ffeeff,0x77fc4000,0xffd00000,0x000fff57,0x4c01ffd1,0xfe8000ff,
    0xff8032e7,0x2a005fff,0xfd10000f,0x1000001f,0x0007ffff,0x0d70be00,
    0x3fa20000,0x64000004,0x8000005f,0x00000ffa,0x37c43fb0,0x1ef88000,
    0x00006fa8,0x7f982fe8,0x3ff70000,0x20027f44,0x3fc80dfa,0x3627d400,
    0xff70001f,0x0027f443,0x0001ff40,0x400176cc,0x0ffffff8,0x77dc0000,
    0xff700000,0x001ffcc5,0xf3017f44,0xff98001f,0x3ffe000f,0x3ea005ff,
    0x3fa20000,0xfd800003,0x00007fff,0x0fa61b90,0x6e880000,0x77c00000,
    0xd8000000,0x1000000f,0x000fa87f,0x4c01b700,0x2a00001e,0x00b6201d,
    0x101df100,0x26c001fd,0xdb0016e0,0x10003f88,0x1fd101df,0x027cc000,
    0x90000000,0x0007ffff,0x0001fb00,0x2207be20,0xf88000fe,0x003fe605,
    0x001fffb0,0x02fffffc,0x80001f50,0x400006e8,0x3ffffff9,0xfe880000,
    0x00000dfe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ae00a60,0x00000000,0x05440000,0x00000ae0,0x00000000,0x00099991,
    0x20000000,0x072200c9,0x7fcc0000,0x3ffe6000,0x3ffe000f,0x3ea005ff,
    0x00000000,0xf59ffd00,0x000001ff,0x000002e6,0x00000660,0x00000000,
    0x00000066,0x88000000,0x00c01aa9,0x00000000,0x00000000,0x00cc0000,
    0x00000000,0x2a200000,0x001aaaaa,0x00000000,0x00000000,0x7fcc0000,
    0xfffb9800,0x7ffc007f,0x3ea005ff,0x00000000,0x262ffb80,0x000003ff,
    0x64400000,0xdeffffed,0xfffa801c,0x402fffff,0xffffffeb,0xfedc8801,
    0x01cdefff,0xfffffe88,0x40eeffff,0xeffffffc,0xfffb5002,0x4179dfff,
    0xfffff90f,0x7f49ffff,0xffffffff,0xffffa83e,0xbfdb705f,0x13333359,
    0x7ffff6c0,0x05efffff,0xfffedc88,0x9801cdef,0x2aaaaaaa,0x88d55554,
    0xfffffffe,0x7e40eeff,0x22efffff,0x04ffffeb,0x3ffffffa,0xffffffff,
    0x7f4c5fff,0xffffffff,0xffffffff,0x7fff4c5f,0xffffffff,0x5fffffff,
    0x7fffff4c,0x30efffff,0xffc801ff,0x4fffffff,0x5fffff80,0x2603ea00,
    0xfffffffe,0xffffffff,0x22005fff,0x0fe881ef,0xffffe880,0x0eefffff,
    0x7fffffe4,0x7ffdc02e,0xfff930ad,0xfff50019,0x3001ffff,0x2e003dff,
    0x930adfff,0x20019fff,0x1ffffffc,0x00eff980,0xdfffff50,0xdffb5337,
    0x7ffcc1ff,0xfd106fff,0x003fffff,0xfd305ff7,0xffff73df,0xd1005fff,
    0x01ffffff,0x2b7ffee0,0x19fff930,0x7ffff4c0,0x7fe4c2ef,0xffffc81d,
    0xff9801ff,0xffff900e,0x77fffc09,0xfdaaaaab,0x200fffff,0xaefffffb,
    0xfffdcbaa,0x3ffee05f,0xcbaaaeff,0x205ffffd,0x2ffffffb,0x7400ff98,
    0xffffffff,0xffff802f,0x03ea005f,0xdfffff70,0xffb97555,0x64c00bff,
    0x00072200,0x3ffffff9,0x01dff300,0x04fffe98,0x00bfffe2,0x3fffffea,
    0x005f7006,0x409fffd3,0x802ffff8,0x06fffff8,0x6400bf20,0x200cffff,
    0x5c0fffe9,0x205fffff,0x0ffffff8,0xf985f880,0x7ffdc6ff,0xf5001ccd,
    0x3009ffff,0x4409fffd,0x2202ffff,0x204fffff,0xfff100ff,0x7e400dff,
    0x3fffea02,0x807bfe04,0x3ffffff8,0x6fffff80,0x017ff620,0x40dfffff,
    0x7c05ffd8,0xf307ffff,0xfc99801f,0x0019cfff,0x00bfffff,0x7fc007d4,
    0x36206fff,0x4c0005ff,0xff880001,0x32006fff,0x7ffcc02f,0xfff9805f,
    0xffff803f,0xf9805fff,0x7fffcc01,0xffff9805,0x7fffc403,0x07ee005f,
    0x17ffffa0,0x207ff440,0x07fffff8,0x1fffffe4,0x7f40fcc0,0x7ffc44ff,
    0xfffa8006,0x7fcc03ff,0xff9805ff,0x3fee03ff,0x80fe06ff,0x05fffff8,
    0xfa807ee0,0xdf104fff,0xffffc801,0xffff006f,0x0bf700df,0x06fffff8,
    0x7fc05fb8,0xff306fff,0x3fff6001,0x7ffc001f,0x3ea005ff,0xfffff800,
    0x005fb806,0x3fffb722,0x4001cdef,0x05fffff8,0xfd007ee0,0x36001fff,
    0x7c01ffff,0x3fffffff,0x3a007cc0,0xb000ffff,0xf803ffff,0x2005ffff,
    0x7fe400fa,0x22000eff,0xfffc80ff,0x3fe602ff,0x6b806fff,0x83ffffa8,
    0x4003ffff,0x03fffff9,0x007ffff4,0x01ffffd8,0x207ffffe,0x7ffc00f9,
    0x3ea005ff,0x3fffea00,0x9801f304,0x01ffffff,0x0dffffd0,0xffd01760,
    0x17600dff,0x0dffffd0,0xfe800aa2,0x7c000fff,0x2005ffff,0xffe800fa,
    0x0bb006ff,0x2b7ffee0,0x19fff930,0x7ffffc00,0x803ea005,0x005ffffc,
    0x01bfffea,0xfffffd5f,0x007cc03f,0x00bffff9,0x037fffd4,0x017ffffe,
    0x3ea00fa8,0x8000ffff,0xfff980fb,0x7ff405ff,0x1f401fff,0x417fffdc,
    0x4004ffff,0x03fffff9,0x017ffff2,0x06ffffa8,0x213fffee,0xffff804c,
    0x03ea005f,0x04ffffa8,0xfffd00b5,0x7f400bff,0xa8306fff,0x7ffff405,
    0x405a8306,0x006ffffe,0xdffff100,0xfffff000,0x007d400b,0x837ffff4,
    0x3a602d41,0x3e204fff,0xff002fff,0x5400bfff,0xffff300f,0x7fc4007f,
    0x2be03fff,0xfffffff9,0x2601f300,0x003fffff,0x0fffffe2,0x05fffff8,
    0xff803ea0,0x10005fff,0x3fffa01f,0x3fea00ff,0x3e604fff,0x2ffffb80,
    0x005fffe8,0x1fffffcc,0x3fffff98,0x3fffe200,0xffff103f,0xf801f81f,
    0x2005ffff,0x3fea00fa,0x805704ff,0x0ffffffb,0x3ffffa00,0x02c44986,
    0x21bffffa,0x3a02c449,0x0006ffff,0x09ffff50,0xbfffff00,0x4007d400,
    0x986ffffe,0xff302c44,0xff300bff,0xfff007ff,0x7d400bff,0xfffffb00,
    0xffff8001,0x7d4be07f,0x306fffff,0x3fff601f,0x7fc000ff,0x3fe07fff,
    0x2a005fff,0xffff500f,0x0640009f,0x3fffffa8,0x3ffffe60,0x7c417207,
    0xfff82fff,0x7fcc002f,0xffb03fff,0xf8001fff,0x3207ffff,0x1aa3ffff,
    0x2fffffc0,0x5401f500,0x0004ffff,0x7ffffff1,0xffffe800,0x40084b86,
    0xb86ffffe,0x7ff40084,0x700006ff,0x0007ffff,0x00bfffff,0xffe803dc,
    0x084b86ff,0x03ffffa0,0x0ffffec0,0x17ffffe0,0xff00fa80,0xb000ffff,
    0x201fffff,0x3fffee2f,0x00f984ff,0x00ffffff,0x1fffffb0,0x17ffffe0,
    0xfd00fa80,0x0005ffff,0x7ffffc00,0x3fffee07,0x405f02ff,0xff83fffe,
    0x7cc000ff,0xff03ffff,0xb000ffff,0x201fffff,0x367ffff9,0xfffff003,
    0x007d400b,0x009ffff5,0x3fffff60,0xfffe8006,0x8004d86f,0xd86ffffe,
    0xfffe8004,0xfb00006f,0xb0003fff,0x400dffff,0xfffd007b,0x4009b0df,
    0x005ffffc,0x01bfffea,0x00bfffff,0x7fc407d4,0xd8007fff,0xf02fffff,
    0xfffffd85,0x4407cc3f,0x007fffff,0x2fffffd8,0x0bfffff0,0x7c407d40,
    0x001fffff,0x3fff2000,0xffbf02ff,0x0f50bfff,0x546fff98,0x98003fff,
    0x883fffff,0x007fffff,0x2fffffd8,0x2bffff60,0xfff000f8,0x7d400bff,
    0x3fffea00,0xfffa8004,0xe8001fff,0x7cc6ffff,0xfffe8004,0x0027cc6f,
    0x037ffff4,0xffffe800,0xfffc8000,0x0176006f,0x237ffff4,0xff3004f9,
    0x44007fff,0x203fffff,0x005fffff,0x3fe603ea,0xc8006fff,0xf03fffff,
    0xffffe885,0x203e61ff,0x06fffff9,0xfffffc80,0xbfffff03,0x4c07d400,
    0x007fffff,0x7ffcc000,0xe8fa85ff,0x6c0fffff,0xcffe9804,0x001fffb8,
    0x7fffff30,0xdfffff30,0xffff9000,0x7ffd407f,0x3e005bef,0x2005ffff,
    0x3fea00fa,0x7c4004ff,0x004fffff,0x4dffffd0,0xe8004ffa,0x3ea6ffff,
    0xffe8004f,0x880006ff,0x0006ffff,0x00fffff7,0x7f400fe2,0x3fea6fff,
    0xffffb004,0xfff8001f,0x3ffe07ff,0x3ea005ff,0xfffffb80,0xfffc8006,
    0x105f05ff,0x1fffffff,0x3fee03e6,0xc8006fff,0xf05fffff,0x400bffff,
    0xfffa80fa,0x000006ff,0x0fffffe8,0xffffba6c,0x8007e23f,0x0bdffffc,
    0x3ffe6000,0xfffb83ff,0xfc8006ff,0x7405ffff,0x002fffff,0x017ffffe,
    0x3ea00fa8,0x64004fff,0x006fffff,0x3fffffa0,0x004ffffe,0xefffffe8,
    0x8004ffff,0x306ffffe,0xffa801ff,0xf10004ff,0xd007ffff,0x7fff400d,
    0x4ffffeff,0xffffff00,0xffffb000,0x3fffe01f,0x03ea005f,0x1bffffee,
    0x3ffff200,0x2605f05f,0x35ffffff,0xffff701f,0xff9000df,0x3fe0bfff,
    0x2a005fff,0xffffb80f,0x8000006f,0x23fffffa,0xffff11f9,0x90035cdf,
    0x3000001b,0x707fffff,0x00dfffff,0xbfffff90,0x7ffffb80,0x7ffffc00,
    0x803ea005,0x004ffffa,0x3fffffe6,0x3ffa0002,0xfffecfff,0xfffe8004,
    0x4fffecff,0xffffe800,0x801ff306,0x002ffffb,0x3ffffea0,0x001f9101,
    0x67fffff4,0x8804fffe,0x007fffff,0x2fffffd8,0x0bfffff0,0x7d407d40,
    0x8006ffff,0x04fffffc,0x7ffdc05f,0x80f9cfff,0x06fffffa,0xfffffc80,
    0xbfffff04,0x5c07d400,0x007fffff,0xffff0000,0x3f6364ff,0x07d1ffff,
    0x0005fd10,0x3fffe600,0xffffa83f,0xffc8006f,0x7c404fff,0x7c004fff,
    0x2005ffff,0x3fee00fa,0x3fa005ff,0x0005ffff,0x137ffff4,0xfd0009ff,
    0x7fc4dfff,0xfffe8004,0x01ff306f,0x01ffffd8,0x7fffe400,0xffdb9bef,
    0x7fff4002,0x013fe26f,0x1bffffe6,0x3ffff200,0xfffff03f,0x407d400b,
    0x07fffff9,0xfffffd80,0xfd805f02,0x0fcfffff,0x7fffff98,0xffffd800,
    0xfffff02f,0xa83d400b,0x00ffffff,0xffc80000,0x985f2fff,0xf9cfffff,
    0x04ffb800,0xfff30000,0xfff307ff,0xfb000fff,0x9005ffff,0xf8003fff,
    0x2005ffff,0x7ffec07a,0xffb800ef,0x0000ffff,0x237ffff4,0xfe8004f9,
    0x27cc6fff,0x7ffff400,0x801ff306,0x0007fffe,0xfffffb30,0x20005dff,
    0x4c6ffffe,0xfffb804f,0xfc8006ff,0xff05ffff,0x5400bfff,0x3ffffe07,
    0x7fec000f,0x05f01fff,0xffffffd0,0x3fffe01f,0x7ec000ff,0xff01ffff,
    0x5c00bfff,0xfffff107,0x0000003f,0x5bfffff3,0x3ffffa0f,0xffd005df,
    0xddddddff,0xf9800159,0xff03ffff,0x8001ffff,0x01fffffd,0x8006ff88,
    0x005fffff,0x7ffcc1ee,0x203fffff,0x3ffffff8,0x3fa03300,0x04d86fff,
    0x6ffffe80,0xfe8004d8,0xff306fff,0x5ffff801,0x54c40000,0x40001ffc,
    0xd86ffffe,0xffffb804,0xffc8006f,0xfff05fff,0x3dc00bff,0x3fffffd0,
    0xffffe800,0x2200be07,0x0fffffff,0x3fffffd0,0xffffe800,0x3ffffe07,
    0xe81ee005,0x002fffff,0xfffd0000,0x3ee07dff,0x002fffff,0xfffffffd,
    0x01dfffff,0xffff3011,0x3fffa07f,0x7f4001ff,0x36007fff,0xfff8003f,
    0x1ee005ff,0xd800ff20,0x006fffff,0x7fff40b2,0x3104b86f,0x1bffffa0,
    0xe80c412e,0xf306ffff,0xffff801f,0xd1000003,0xfd00009f,0x0970dfff,
    0x7fffd462,0xffc8006f,0xfff04fff,0x3dc00bff,0x5fffff30,0x7fffc400,
    0x400be03f,0x0ffffff9,0x5fffff30,0x7fffc400,0x3fffe03f,0x81b2005f,
    0x04fffffa,0xff500000,0x2201ffff,0x007fffff,0x3fffffee,0x6fffffff,
    0x3e62ffe4,0xf302ffff,0x4005ffff,0x03fffff8,0x20003ea0,0x005fffff,
    0x0dfb01b2,0x7ffffd40,0x407a001f,0x986ffffe,0x3fa05904,0x04986fff,
    0x3fffa059,0x01ff306f,0x000ffff8,0x05ff7000,0xffffd000,0x4b20930d,
    0x07fffff9,0xfffffd80,0xbfffff02,0x36036400,0x2005ffff,0x406ffffa,
    0x3fea002f,0x3f600fff,0x2a005fff,0x7406ffff,0x2006ffff,0x7fffc05e,
    0x0020007f,0x0bfffff0,0x04ffffd8,0x7ffffdc0,0xffffffff,0x43ffff30,
    0x02fffff9,0x017ffff6,0x06ffffa8,0xe80025c0,0x2006ffff,0x13fe605e,
    0xfffffe80,0x403ea004,0x006ffffe,0x7ff403e2,0x3e2006ff,0xdffffd00,
    0xf003fe60,0x00000dff,0x0002ffec,0x037ffff4,0x7ffc1f10,0x6c000fff,
    0xd01fffff,0x400dffff,0x7ffc405e,0xffb001ff,0x02f805ff,0x07fffe40,
    0x3fffff10,0x3ffff600,0x7fffe402,0x807f1007,0x03fffff9,0x64004980,
    0x5401ffff,0x2001ffff,0xaabcdfc8,0x2ffffcba,0x4c7ffff7,0x200fffff,
    0x01fffff8,0x05ffffb0,0x0007a062,0x03ffffe4,0x3ee03f88,0xfff9007f,
    0x22001fff,0x3fffa07f,0x81f2006f,0x006ffffe,0xfffe81f2,0x01ff306f,
    0x0001fff8,0x07fff600,0xffffd000,0x3a3e400d,0x001fffff,0x03fffff4,
    0x00fffff9,0x3ea00fe2,0xf9804fff,0x7c403fff,0xfffd8002,0x7fffd400,
    0xffff9804,0xffff9803,0x07f4402f,0x7ffffdc0,0x013ea001,0x00dfff30,
    0x9801bffe,0xffb005ff,0x507fffd4,0x500dffff,0x3009ffff,0x2a07ffff,
    0x001aa5ff,0x2fffff98,0x7007f440,0xf9807fff,0x002fffff,0x7fc0dfd5,
    0xf7006fff,0x7ffffc0d,0x40df7006,0x306fffff,0x86f541ff,0x000003ff,
    0x0177ffdc,0xdfffff00,0xf31bee00,0x4005ffff,0x03fffff8,0x0bffffe6,
    0x2001fd10,0x202fffe9,0x801fffe8,0xe88004fa,0xfe9800ff,0x3fa202ff,
    0x3f2001ff,0x3601ffff,0x3fee002f,0xfc801fff,0x7ffd0003,0x00fff200,
    0x9003ffb8,0x1fff44bf,0x007fffee,0x017fff4c,0x403fffd1,0x00b67ffe,
    0xfffff900,0x2017ec03,0x203ffff9,0x05fffffe,0x05fffd88,0x01fffffe,
    0x7c0bff91,0x4407ffff,0x3fe05ffc,0xff307fff,0x7c57ff41,0xb0000005,
    0x03bfffff,0x7fffff80,0x42ffe440,0x005ffffd,0x01bfffea,0x07fffff2,
    0x44002fd8,0x220bfffd,0x800effeb,0x8002ffd8,0xb1000ff9,0x5c417fff,
    0x8000effe,0xbdfffffc,0x002ffdb9,0xdffffe98,0xefeca99a,0x1fea0001,
    0x000ff980,0x5003ffe2,0xdff881df,0x03ffff10,0xbfffd880,0x3bffae20,
    0x57ffec00,0xf900005c,0x737bffff,0x2e005ffb,0x22efffff,0xcffffffa,
    0xcbaaaaaa,0x505fffff,0x7bffffff,0xfffb9555,0x3ffea09f,0xaaabdfff,
    0x04ffffdc,0x5ffffff5,0x7e41ff30,0x0000ddbf,0x3ff26000,0x7fd4001c,
    0xaabdffff,0x4ffffdca,0x1fffff88,0x5ffffb00,0x3ffff200,0xffdb9bdf,
    0x3b2a0002,0xdeffeeff,0xfffe9803,0x54004fff,0x7654000f,0xdeffeeff,
    0x7f4c0003,0xcfffffff,0x7ed40000,0xefffffff,0x09f00003,0xa8005e80,
    0xcbbcdffd,0x32204ffe,0x2dffffff,0x3fb2a000,0x3deffeef,0xdffff300,
    0x74c00001,0xffffffff,0x75c4000c,0x3ffe22df,0xffffffff,0xffffffff,
    0x3fb224ff,0xffffffff,0xffffffff,0x3ffb223f,0xffffffff,0xffffffff,
    0x3fffb223,0x0cefffff,0x6d441dd1,0x0000000b,0x3b220000,0xffffffff,
    0xffffffff,0xfff503ff,0xfff3009f,0xfe98007f,0xcfffffff,0x54c00000,
    0x0000009b,0x80003800,0x00009ba9,0xabcaa880,0x44000009,0x000abaa9,
    0x4000a800,0x2a60001a,0x01abdecc,0x006eea20,0x4dd4c000,0x7b710000,
    0x22000001,0x009abcaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x2202fffe,0x0001fffe,0x26af2aa2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x220bfffd,0x000effeb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeffeca80,0x003deffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26ea6000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a800000,0x40001cc0,0x00088028,0x01500000,
    0x30000198,0x30011005,0x44000001,0x0002ffff,0x000804c0,0x7fffc400,
    0xffe98002,0xffffffff,0xffffffff,0x00000005,0x00000440,0x36000000,
    0xffffffff,0xffffffff,0xfd15ffff,0xffffffff,0x000003df,0x002aaaa6,
    0x80004000,0x98000028,0x000009aa,0x80000000,0x01544000,0x3e205f70,
    0x1dd00005,0x8000fee0,0x6c003feb,0x007f300e,0x887ffff5,0x007f205f,
    0x36c403b6,0xffffc800,0xff700006,0x003cc39f,0x3ffff200,0x7fdc0006,
    0xbaaaefff,0x05ffffdc,0x5ffff300,0x07f30000,0x000017dc,0x00bffff1,
    0x2b37fff6,0xafffffea,0x85fffdca,0x3ffffffb,0xff800000,0x800005ff,
    0xfc8002ea,0xa80000ff,0x0cffefff,0xffffd800,0x7cc00000,0x17545fff,
    0x000ff980,0xb959bff3,0x200007ff,0x37e41efa,0xffff1000,0x677dc003,
    0x01ffcb9a,0x904fffd8,0x2fec41df,0x4c1ff880,0xf98002fe,0x002fffff,
    0x7ffffdc0,0x0005ecff,0x3ffffe60,0x7fc0002f,0x36206fff,0xfd0005ff,
    0x0000dfff,0x1bf213f6,0xfff70000,0x077ec00b,0x437ffff4,0xfff05fe9,
    0x00000fff,0x00bfff30,0x02fd8800,0x3ffff880,0x17fec000,0x8001dff1,
    0x003fffe8,0x2fffdc00,0x4c00dfa8,0x3f2000ff,0x06ffffff,0x4fff4000,
    0x0002ffd8,0x00ffffee,0xfffffe88,0xff8805ff,0x3bfe204f,0x000ffe98,
    0x7fd4bff2,0xbffb0005,0x8000dff7,0xfffffffe,0x200002ff,0x6ffbdffd,
    0x7fffc000,0x05fb806f,0xfffffa80,0xf980002f,0x1ffd88df,0x7ff40000,
    0x80fec006,0x106ffffe,0x3fffa0bf,0x8000007f,0x0000effc,0x0007fe20,
    0x027fffcc,0xb07ff700,0xd1000bff,0x80000bff,0x7cc06ffe,0x03fe600f,
    0xffffe880,0x400001ef,0x6ffffffa,0x7ffc4000,0x7fcc001f,0x800effff,
    0xfb805ffa,0x004fffff,0x7fefffc4,0xffa8001f,0x000ffea3,0x7fdc57c4,
    0x00005fff,0xffa8ffea,0x3ffa0003,0x0bb006ff,0xf57fff00,0x320000df,
    0x05ffeeff,0x77fc4000,0xd026c000,0x640dffff,0xdffffd05,0xff000000,
    0x4400001d,0x740003fe,0x20001fff,0xffd80fff,0xffd10007,0x3e200001,
    0xefc800ef,0x001ff300,0x019dfd70,0x3ffa0000,0x80001fff,0x10003eea,
    0x0019fffb,0x7c4017f6,0x000fffff,0x4fffffc8,0x305fd000,0x162000ff,
    0x000072e6,0xff305fd0,0x7fff4000,0x05a8306f,0xf30ffdc0,0xf100007f,
    0x001fffff,0x00efb800,0x3fa01d80,0x16606fff,0x037ffff4,0x3be60000,
    0x7f400000,0xca80000f,0x3fe20001,0x06ffd82f,0x00ffa200,0x0077dc00,
    0xf306ff88,0x0000001f,0xfff98000,0x0000005f,0x88001000,0x7fdc005f,
    0xf10003ff,0x0001ffff,0x16c403b5,0x00000000,0xb100ed40,0x3ffa0005,
    0x444986ff,0x03be2005,0x40001fa6,0x003ffffc,0x000ee800,0xfffe8050,
    0xfe81c06f,0x00006fff,0x00006dc0,0x0013ff60,0xf8800000,0x1dd886ff,
    0x02f44000,0x000ee800,0x7cc27fec,0xa988000f,0x000a01aa,0x00155550,
    0x00000000,0x55000000,0xca800055,0x000002cc,0x00000000,0x00000000,
    0x1bffffa0,0xa800212e,0x0072200c,0x13332200,0x00000000,0x7ffff400,
    0xfffd0006,0x000000df,0xff100000,0x3100001f,0x01403555,0x001dfffd,
    0x00000000,0xfff98000,0x8007fcc0,0xfffffedb,0x0d30adff,0x00002000,
    0x566ff6dc,0x70099999,0x3359bfdb,0x00001333,0x00000000,0xd1000000,
    0xffffffff,0xffc81ddf,0x002effff,0x3a000000,0x4d86ffff,0x00100000,
    0x00000000,0x00000200,0x037ffff4,0x6ffffe80,0x00000000,0x06ffc800,
    0x3ffb6e00,0x0adfffff,0x7ffdc0d3,0x000002ff,0x00000001,0xf313ffa0,
    0xffe9801f,0xf73109cf,0x000dfdff,0x98000b50,0xffb9effe,0x4c2fffff,
    0xffb9effe,0xf32fffff,0x309fffff,0xfffffffd,0x3a61dfff,0xffffffff,
    0xffffffff,0x7ffec5ff,0xc80007ff,0x01ffffff,0x4c0eff98,0xfffffffe,
    0xfdd1efff,0xffffffff,0x3fffa05d,0x0027cc6f,0x8002d400,0xfffffffd,
    0xffffffff,0x005fffff,0x00000b50,0x01bffffa,0x37ffff40,0xffed8000,
    0xffffffff,0xffffffff,0x5fff885f,0xfffe9800,0xff73109c,0xfd80dfdf,
    0x000dffff,0x40016a00,0xffffffe9,0x200effff,0x3e60fffd,0x3fff200f,
    0x7fe4401e,0xfe80006f,0xfff30000,0xcdfffb8d,0x1bffe61c,0x399bfff7,
    0x04ffffd8,0x7fffffdc,0x7fffdc02,0xdcbaaaef,0xfa85ffff,0x80007fff,
    0x06fffff8,0xf700bf20,0x407fffff,0x4ffffff9,0x6ffffe80,0x00013fea,
    0x20003fa0,0xaacdfffd,0xaafffffe,0x005fffdc,0x00001fd0,0x0dffffd0,
    0x3ffffa00,0x7c400006,0xdfffffef,0xfffdccba,0x4fffc85f,0x77ffe400,
    0x7ffe4401,0xffffe806,0xd00001ef,0xfb80001f,0x002fffff,0x7cc9fff7,
    0xffffd00f,0x37fdc003,0x13fe6000,0x27fff400,0x741bffe2,0x7fc44fff,
    0x3ffee06f,0xffff804f,0xffff007f,0x7fec40df,0x0fffff05,0xffff1000,
    0x0fdc00bf,0x3fffffc0,0x7fffff40,0xffffe801,0x04ffffef,0x27fcc000,
    0x4077ec00,0x986ffffe,0xf98005fe,0xe800004f,0x0006ffff,0x00dffffd,
    0xff5fd000,0x7e407fff,0x2fffe85f,0x3ffffa00,0x1bfee001,0xffffbf30,
    0x980005ff,0xf80004ff,0x2007ffff,0x3e66fffa,0xffffc80f,0x06fc8003,
    0x07ffec00,0x3fffea00,0x43ffff83,0xf83ffffa,0xff303fff,0xfff009ff,
    0x3fe00dff,0xfb806fff,0x0fffff05,0x3fffe000,0x03ea005f,0x1fffffe0,
    0x3fffff60,0xffffe800,0x04fffecf,0x7ffec000,0x80fec000,0x106ffffe,
    0xffb000bf,0xe800001f,0x0006ffff,0x00dffffd,0xf9bf9800,0x5c03ffff,
    0x2ffff85f,0x7ffff900,0x40df9000,0xffff53f9,0x6c0005ff,0x40000fff,
    0x006fffff,0xf99fffe6,0x7fffcc0f,0x0dd0000f,0x7fffc400,0x7ffdc003,
    0x4ffff82f,0x417fffdc,0xf304ffff,0xfd009fff,0x3a00dfff,0xb006ffff,
    0x1ffffe0b,0x7fffc000,0x03ea005f,0x1bffffa0,0x3fffff20,0xffffe800,
    0x0013fe26,0x3ffff880,0xfd026c00,0x2e40dfff,0x3fffe200,0x7f400003,
    0xd0006fff,0x000dffff,0xfff35e80,0x8bd007ff,0x802ffff8,0x00fffff9,
    0x3e60dd00,0x7ffff447,0xff88000f,0x740003ff,0x2006ffff,0xf30ffff9,
    0x7fff441f,0x1ae0004f,0xffffc800,0x7ffdc006,0x5fffe82f,0x417fffdc,
    0xf305fffe,0xfd009fff,0x3a00dfff,0x8306ffff,0xfffff05a,0x3ffe0000,
    0x3ea005ff,0xffffe800,0xffffc806,0xffffd007,0x0004f98d,0x1bffff20,
    0x7f403b00,0x16606fff,0xdffff900,0xffe80000,0xfd0006ff,0x0000dfff,
    0xfff987dc,0x2dc183ff,0x007fffe6,0x09ffffd1,0xfd835c00,0xbffff905,
    0xffff9000,0xffe8000d,0x3e6006ff,0x1ff32fff,0x1fffffe4,0x4001a000,
    0x2ffffff8,0x3fffe200,0x42ffff82,0xf82ffff8,0xff302fff,0xffd009ff,
    0x3fa00dff,0x44986fff,0xfffff058,0x3ffe0000,0x3ea005ff,0xffffe800,
    0xffffc806,0xffffd007,0x00009b0d,0x3fffffe2,0xfd00a002,0x0380dfff,
    0x3ffffe20,0x3a00002f,0x0006ffff,0x00dffffd,0xf98fe200,0x4683ffff,
    0x7fffdc58,0x7fffe401,0x8340003f,0x3fee07ff,0x3e2000ff,0x002fffff,
    0x1bffffa0,0x3ffff880,0x7fec1ff3,0x00002fff,0xffff7000,0xfe800dff,
    0xffff83ff,0x83fffe80,0xf300ffff,0xfd009fff,0x3a00dfff,0x4b86ffff,
    0xfffff008,0x0056f654,0x05fffff8,0x3a003ea0,0xc806ffff,0xd007ffff,
    0x970dffff,0xfb800620,0x006fffff,0x3ffffa00,0x3ee00006,0x006fffff,
    0x3ffffa00,0xfffd0006,0x360000df,0x7ffffcc6,0x7dc08783,0x7ec01fff,
    0x0002ffff,0x02fff980,0x800bfff2,0x6ffffffb,0x3fffa000,0x3fe2006f,
    0x41ff34ff,0x01ffffff,0x7f000000,0x03fffffb,0x237ffcc0,0xf303fffa,
    0xfffa8dff,0x3fffe603,0xffffe804,0xffffd006,0x7c009b0d,0xfff97fff,
    0x3fe00dff,0x2a005fff,0xfffe800f,0xfffc806f,0xfffd007f,0x320930df,
    0x3f6fe002,0x0001ffff,0x0dffffd0,0x7edfc000,0x0001ffff,0x0dffffd0,
    0x3ffffa00,0x1fa80006,0x1fffffcc,0x3fea01ea,0x7ffc01ff,0x00001fff,
    0x01ffff98,0xf8007ffa,0x1fffffdb,0xffffd000,0x7ffc400d,0x221ff33f,
    0x007fffff,0x1f500000,0x0bfffff5,0x8cffe980,0x4c01fffb,0xffb8cffe,
    0x7ffcc01f,0xfffe804f,0xfffd006f,0x004f98df,0x3b7ffffe,0x04ffffdb,
    0x05fffff8,0x3a003ea0,0xc806ffff,0xd007ffff,0x400dffff,0x1f5000f8,
    0x0bfffff5,0x3fffa000,0xf500006f,0xbfffff51,0x3ffa0000,0xfd0006ff,
    0x0000dfff,0xffff309d,0x9807e87f,0x2201ffff,0x007fffff,0x3fffe000,
    0x00ff902f,0x7ffd47d4,0xfd0005ff,0x4c00dfff,0xff32ffff,0x3ffffea1,
    0x00000007,0x7ffff49d,0xffc8000f,0x2000bdff,0x0bdffffc,0x4ffff980,
    0x6ffffe80,0xdffffd00,0xf0027fd4,0xfe8dffff,0xfff807ff,0x3ea005ff,
    0xffffe800,0xffffc806,0xffffd007,0x003e400d,0x7ffff49d,0xfe80000f,
    0x00006fff,0x7ffff49d,0xfe80000f,0xd0006fff,0x000dffff,0xff980fc8,
    0xffd73fff,0x3ffff100,0x7ffffd40,0x2a000007,0xd84fffff,0xe93a004f,
    0x000fffff,0x06ffffe8,0x43fffe60,0xfff70ff9,0x00000dff,0x7dc1f300,
    0x4004ffff,0x640000dc,0x3e60000d,0xfe804fff,0xfd006fff,0xfffdffff,
    0x7ffc009f,0x7ffec0ff,0x7fffc00f,0x03ea005f,0x3fffffa0,0xffffffff,
    0x007fffff,0x00dfffff,0x7cc01bee,0x3ffffee0,0xffe80004,0x980006ff,
    0x3fffee0f,0xfe80004f,0xd0007fff,0x000fffff,0xff9817cc,0xffffefff,
    0x5ffff007,0x7ffffdc0,0x64000006,0x30efffff,0x07cc00bf,0x09fffff7,
    0xdffffd00,0x3fffcc00,0x3fe61ff3,0x00007fff,0x7c45d800,0x1007ffff,
    0x440005fd,0x4c0002fe,0xe804ffff,0xd006ffff,0xfd9fffff,0x7fc009ff,
    0xfffd87ff,0x7fffc01f,0x03ea005f,0x3fffffa0,0xcccccccc,0x007ffffe,
    0x80ffffff,0xb005ffc8,0xfffff88b,0xffe80007,0xd80006ff,0x7ffffc45,
    0xfff80007,0xff0007ff,0x4000ffff,0xccccccfe,0xbdfffffd,0xfd007ffe,
    0x7fcc07ff,0x00007fff,0xfffffa80,0x6c005eaf,0x7ffffc45,0xfffe8007,
    0x3fea006f,0xf83fe66f,0x400fffff,0xffffffdb,0x7c403eff,0xfffffc81,
    0x04ffb803,0x013fee00,0x9ffff300,0xdffffd00,0x3ffffa00,0x8013fe26,
    0xfc87ffff,0x7fc01fff,0x2a005fff,0xffffd007,0xffff900d,0xffff500f,
    0x95557bff,0x009ffffb,0xfff903f1,0xe80007ff,0x0006ffff,0x7fe40fc4,
    0x20003fff,0x2ffffffa,0x7fffd400,0xfb8002ff,0xeeeeeeee,0x2e3fffff,
    0xfff5007f,0xfffff809,0x7fedc00f,0x3effffff,0xffffff30,0x81f8800d,
    0x03fffffc,0x37ffff40,0x47fff900,0x3ffa0ff9,0xf3001fff,0x005fffff,
    0x7ffcc1b2,0xffe806ff,0xeeeeeeff,0xfffe80ac,0xceeeeeef,0xffff300a,
    0xffffd009,0x3fffa00d,0x0027cc6f,0xf90fffff,0xff803fff,0x2e005fff,
    0xffffd007,0xffff900d,0x3ffb220f,0xffffffff,0xffffffff,0xf306c803,
    0x000dffff,0x06ffffe8,0xf9836400,0x4006ffff,0xfffffec8,0x100cefff,
    0xffffffd9,0x10019dff,0xfff9807f,0x003ec3ff,0xfe80bfff,0x3001ffff,
    0x05ffffff,0xfffffd10,0x98364005,0x006fffff,0x037ffff4,0x4c1fffb0,
    0x3fff20ff,0x3fe002ff,0xf1007fff,0xd3333337,0x805fffff,0xfffffffe,
    0x40efffff,0xfffffffe,0x80efffff,0x804ffff9,0x006ffffe,0xb0dffffd,
    0x7fffc009,0x1ffffc87,0x2fffffc0,0x3a00f700,0xc806ffff,0x0007ffff,
    0x4003fa80,0x99999bf8,0x2fffffe9,0x3fffa000,0x3e20006f,0xe999999b,
    0x002fffff,0x36000000,0x1b60002f,0x3ffffe60,0xf7003d43,0xfffc80ff,
    0x3fe002ff,0x6c007fff,0x801fffff,0x99999bf8,0x2fffffe9,0x3ffffa00,
    0x13ffa006,0x7fd41ff3,0x3a003fff,0x7007ffff,0xffffffff,0x0bffffff,
    0xffffffb8,0x6fffffff,0x7fffffdc,0x6fffffff,0x04ffff98,0x06ffffe8,
    0x0dffffd0,0xff062097,0xfff90fff,0xffff803f,0x01b2005f,0x037ffff4,
    0x03ffffe4,0x01bee000,0x3ffffee0,0xffffffff,0x3fa0005f,0x20006fff,
    0xfffffffb,0x5fffffff,0x00544000,0x0017fa00,0xf9801fa8,0x0783ffff,
    0x2fff8831,0x3ffffea0,0x3fffa003,0xffa8007f,0xffb806ff,0xffffffff,
    0x2005ffff,0x006ffffe,0xf981fff3,0x7fffec0f,0x3fffa005,0x337f006f,
    0xfd333333,0xb803ffff,0xffffffff,0x5c0fffff,0xffffffff,0x4c0fffff,
    0xe804ffff,0xd006ffff,0x930dffff,0xffff0b20,0x3ffff90f,0x6ffffe80,
    0x74017a00,0xc806ffff,0x0007ffff,0x4002ffc0,0x999999bf,0xfffffe99,
    0xfffd0001,0x5fc000df,0x99999999,0x01fffffe,0x07fff100,0x00ffea00,
    0xf3004e80,0x0b07ffff,0x1bfee0b2,0x0bffffb0,0x37ffff40,0xfd102ea0,
    0x337f00ff,0xfd333333,0x2003ffff,0x006ffffe,0xff309ffb,0xffffe881,
    0xffffd001,0x200f700d,0x04fffffa,0x2af37f22,0xffffcbaa,0x2f37f222,
    0xfffcbaaa,0x7fffcc2f,0xffffe804,0xffffd006,0x207c400d,0xfc87ffff,
    0x7e401fff,0xf1007fff,0x3fffa007,0xfffc806f,0x2a00007f,0x3dc007ff,
    0xfffffa80,0xfffd0004,0x1ee000df,0x7ffffd40,0xfff50004,0x3ff2000f,
    0x01d90006,0x3ffffe60,0x203f1003,0x3a201ffc,0xd001ffff,0x5c0dffff,
    0xfffa85ff,0x5401ee01,0x004fffff,0x00dffffd,0x3e60bff1,0xffff980f,
    0xffffd005,0x4009f00d,0x80ffffff,0xfb005ff9,0x802ffccf,0xfff987fd,
    0xfffe804f,0xfffd006f,0x43e400df,0xfc87ffff,0x7cc01fff,0x4402ffff,
    0xffd000fe,0xff900dff,0x40000fff,0x2003fff9,0x3ffe004f,0xe8000fff,
    0x0006ffff,0x7ffc009f,0x88000fff,0x8000fffe,0x4002fffc,0x3e6002f9,
    0x7003ffff,0x405fd80f,0x005ffff9,0x40dffffd,0xfff07ffe,0x3e004f80,
    0x800fffff,0x806ffffe,0x3fe605fc,0xbfffd300,0xdffffd00,0x2002fb80,
    0x84fffffc,0xf9003ffb,0x801ffdcb,0xfff985fc,0xffff805f,0xffff006f,
    0x1bee00df,0x361ffffe,0xc801ffff,0x201fffff,0x3fe002fd,0xfd807fff,
    0x0000ffff,0x033fffe0,0x64005f70,0x004fffff,0x07ffffe8,0x2002fb80,
    0x04fffffc,0x80035400,0x002ffffa,0xff3001ba,0xf7007fff,0x805fb00f,
    0x805fffe9,0x206ffffe,0xff886ffd,0x800bee05,0x04fffffc,0x06fffff8,
    0x3e6037d4,0x7ffdc00f,0x7f4c0acf,0x3e204fff,0x3fe6000f,0x7c40ffff,
    0x77d400ff,0x003ffe20,0xff501df5,0xfff00dff,0x3fe00fff,0x64407fff,
    0xffff85ff,0x7ffff40f,0xffff9002,0xffb737bf,0xffff8005,0xfffe807f,
    0x200001ff,0x4efffff9,0x2000ff88,0x0ffffff9,0x7ffffc00,0x07fc4007,
    0xfffff300,0x1ec0001f,0xffff9000,0x27e403df,0x3fffea00,0x2ffe404f,
    0xb804fb80,0x40acffff,0x04ffffe9,0x3f21bfe6,0x01ff101f,0x7ffffcc0,
    0x7fffc00f,0x033ee07f,0x1001ff30,0xddfffffb,0x8039ffff,0x2004ffe9,
    0xeffffff9,0x66ffed40,0x04ffecbb,0x779bffb5,0x6409ffd9,0x200fffff,
    0x2ffffffa,0x7ffffd40,0xdcaaabdf,0x7cc4ffff,0x3e22ffff,0x2004ffff,
    0xffffffe9,0x54000cff,0x02ffffff,0x3fffffe6,0x6c400004,0x74c1dfff,
    0x3e6004ff,0x00efffff,0xffffff50,0x3ffa6005,0x3ffe6004,0x4000efff,
    0x880003d8,0x2e02dfeb,0x36000eff,0xacffffff,0xffffdbaa,0x00f22004,
    0x3fffff62,0x1cffffee,0x97dff500,0x3a601dff,0x3e6004ff,0x00efffff,
    0x5ffffff5,0x26001970,0x54c000ff,0x009aabca,0xdfffff90,0x3ffb201b,
    0x3fffffff,0xbdecca98,0x9953001a,0x440357bd,0xfffffffe,0x3fffb223,
    0x0cefffff,0xfffffd91,0xffffffff,0x647fffff,0xbfffffff,0xfffffff9,
    0x65544006,0x220009ab,0xffffffec,0xfd90ceff,0xdfffffff,0x0800003b,
    0xdfffff90,0x3ffb201b,0x3fffffff,0xffffd910,0x019dffff,0x3bfffff2,
    0xfffd900d,0x07ffffff,0x000005c0,0x3fffe600,0xeca81eff,0xffffffff,
    0xffffffff,0x000003ff,0xaabcaa98,0x97100009,0x7e40379b,0x00deffff,
    0xffffffd9,0x3b227fff,0xffffffff,0xd10000ce,0x0000001d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000044,0x102a00a6,
    0x00000015,0x2a600000,0x00028801,0x001bffee,0x7cc00000,0x0007e201,
    0x0deeed80,0x8807e600,0xaaa8801f,0x00001aaa,0x10000000,0x00335553,
    0x00150000,0x00000c00,0x80000000,0x3fae0002,0x0002dc1d,0xd910ef54,
    0x01b50007,0x20000e44,0x001ffffd,0xffffa800,0x27c40004,0xb0007f50,
    0xff301fff,0x27fec47f,0x3fe60000,0xa80004ff,0x7e402efe,0x7c4001ff,
    0x0003ffff,0x00bfffe6,0x74c0ffc0,0xf300000f,0xf0003fff,0x01fd303f,
    0x3ffffae0,0xfe980004,0x000f7e44,0x3bfff660,0x01cffedd,0x7ffcc000,
    0x1db00003,0x0001ba20,0x01dffff1,0x000b7000,0x3ffffff2,0x40003fbc,
    0x3ee6fff8,0xef8002ff,0x000fe981,0x07fffe20,0x7fec0000,0xf900004f,
    0x000df90b,0xb09ffff3,0xe981ffff,0x900000ef,0x0000bfff,0xf1005ff9,
    0xc8009fff,0x007fffff,0x1bffffa0,0x6fffe400,0x0005fffe,0x00bfff20,
    0x76fffe40,0x64005fff,0x0004ffff,0xf31fffe8,0x71000dff,0x22015bfd,
    0x0000efb9,0x01ffff90,0x83ff3000,0x40001ff9,0x000efffa,0x8005f980,
    0xfffffff8,0x40000fff,0xfd0ffffa,0xf70009ff,0x01ffd45f,0x0bffea00,
    0x7fc40000,0x2200004f,0xffd88eff,0xfffa8002,0xffffe85f,0x006ffb81,
    0x00bffd00,0x00bff700,0x01bfffe6,0xfdafff98,0xffa8003f,0x8002ffff,
    0xffffffe8,0x3e00000f,0x220002ff,0xfffffffe,0x7ffd4000,0xff80004f,
    0xffff52ff,0x0cfe9800,0x017e4400,0x7fffec00,0xffb00000,0x0017fea5,
    0x003bff60,0x002ff400,0x7ff5dfdc,0x80005fff,0x3ee5fff8,0xfd0001ff,
    0x00dff97f,0x005ffb00,0x2ffd4000,0x7fe40000,0x0005ffee,0x2e0bfffe,
    0xff106fff,0xf980005f,0xf880005f,0x3fa002ff,0x3f6003ff,0x003ff61e,
    0xfabfff88,0xfd30006f,0x0003dfff,0x0017fcc0,0x7ffff4c0,0xffa8001e,
    0xc80004ff,0x27ffc7ff,0x003df700,0x0003fa80,0x002fffd4,0xfbfff300,
    0x880001ff,0x00000eff,0x9000bffb,0x01deb989,0x02f22000,0x54000395,
    0x02ffffff,0x017fc400,0x17f60000,0x7fc40000,0x0001ffff,0xeb80bb66,
    0xbfff100c,0x06fc8000,0x5fff5000,0x01764400,0xf901bf50,0x0ffe4009,
    0x40005ff3,0x0000bcca,0x0001fe40,0x002f32a0,0x27fffd40,0x50298000,
    0x06fec003,0x01fa8000,0x00164c00,0x7fffe400,0xfa80004f,0xd880000f,
    0x00005fff,0x00000000,0xfffd0000,0xf50000bf,0x88000007,0x4000005f,
    0x004ffffb,0x26000000,0x40006fff,0x700000ee,0x00007fff,0x5b809b00,
    0x301df100,0x000000dd,0x00154000,0x50000000,0x0009ffff,0xfb800000,
    0x6c800005,0x00000000,0x3ffffe20,0x1fd80000,0xffe88000,0x01aaaeff,
    0x00003300,0x00006600,0x03ffff50,0x00000000,0x00000000,0x00199991,
    0x54000000,0x00004fff,0x7fd40000,0x0000004f,0x04a80000,0x30000e44,
    0x00000003,0x00000000,0x013fffea,0x98000000,0x800000ff,0x310001f8,
    0x00180355,0x002cccb8,0x44000000,0xffffffff,0xdc8804ff,0xcdeffffe,
    0x6e440001,0xcdeffffe,0x00000001,0x00000000,0x00000000,0x2aaa2000,
    0x2aa61aaa,0xff702aaa,0x0000007f,0x6fff8800,0xaaaaaa80,0x00000001,
    0x32200000,0xdeffffed,0xaaa9801c,0x5542aaaa,0xffd11aaa,0xdfffffff,
    0xffffc81d,0x7fd42eff,0x7db714ff,0x2aaaa601,0x55542aaa,0x17f441aa,
    0x446f6cc0,0x04b82aaa,0x7fffed40,0x3e0bceff,0x00000000,0x4c400000,
    0x99effffa,0x7ffdc009,0xfff930ad,0xff700019,0x3f2615bf,0x2e000cff,
    0x0fb220ce,0xffffffd0,0xffffffff,0xffc8bfff,0xefffffff,0x3fffee04,
    0xfffd34ff,0xdfffffff,0x00159bdd,0x27ffff5c,0x1fffff93,0x305fff90,
    0xfffffffd,0x9bdddfff,0x3fe00015,0xffea807f,0xffff95ff,0x09dfffff,
    0x7fffffdc,0xfffffd34,0x01dfffff,0x0adfffb8,0x019fff93,0x7fffff4c,
    0x6ffe4c2e,0xfffffc81,0xeff9801f,0x9ffff500,0xbffffff3,0xfffffd30,
    0xdffc985d,0x5c027dc1,0xffbcbcff,0x5007986f,0x37dfffff,0xffdffb53,
    0x3ffffaa1,0xeeefffff,0xfd3001bc,0xffffffff,0xf10005df,0x2600bfff,
    0x2204fffe,0x3002ffff,0x4409fffd,0x9802ffff,0x3ff25fff,0x3fffe01f,
    0xdaaaaabe,0x80ffffff,0xffffffd8,0x37fea004,0xfffff900,0xfff9755b,
    0x7dc005ff,0xfff84fff,0xfffe80ff,0x7fffe400,0xffcbaadf,0xe8002fff,
    0xff5007ff,0x7fec4bff,0x2004ffff,0xf700dffa,0x005fffff,0x409fffd3,
    0x202ffff8,0x04fffff8,0x7fc403fe,0x32006fff,0x3ffea02f,0xffd9cfef,
    0xfff882ff,0x03fe04ff,0xffb007fa,0x1fffef47,0x7fe400f8,0x3a600cff,
    0xffd80fff,0xeccbdfff,0x2003efff,0x2ffffffb,0x7ffc4000,0xfff9805f,
    0xfff9805f,0x7ffcc03f,0xfff9805f,0x7ffdc03f,0x80ffffa7,0x3e201eff,
    0x403fffff,0x04fffffe,0x8803be20,0x884fffff,0x00dffffd,0x84ffffa8,
    0xc80ffffd,0xff8807ff,0xfd884fff,0x2000dfff,0xf1006ffd,0xffd0bfff,
    0x44009fff,0x7ffc00ef,0xff9807ff,0xff9805ff,0x3fee03ff,0x80fe06ff,
    0x05fffff8,0xfa807ee0,0x7e43ffff,0xffb80fff,0x20fe06ff,0x7fe406f9,
    0x0ffffec7,0x3ffa01e8,0xfd1005ff,0xffff301f,0xffff709f,0xfff1003d,
    0x10000fff,0xd00bffff,0x2001ffff,0x201ffffd,0x000ffffe,0x403ffffb,
    0x3f24fff8,0x1df101ff,0xfffffc80,0xffff9806,0x3f7000ff,0x9fffff00,
    0x27ffff40,0x27fffcc0,0x407fffec,0xff007ffa,0x7f409fff,0x36004fff,
    0xff1004ff,0xfff30bff,0x2e001fff,0xffff801f,0xfffe806f,0xfffb000f,
    0x7fffc03f,0x400f981f,0x005fffff,0xffa803ea,0xfff985ff,0xfffff05f,
    0xf901f303,0x17ffd407,0xd81ffff6,0xdffff902,0x07fc4001,0x27ffffcc,
    0x1fffff98,0x6fffff80,0xfff88000,0x7ffe405f,0x3fea005f,0xfff906ff,
    0x7fd400bf,0x164c06ff,0x1f300e54,0xfffff980,0xfffb001f,0x13e009ff,
    0x27ffffc0,0x0fffff70,0x09ffff30,0x201ffffb,0xff802ffd,0x3ee04fff,
    0xf1007fff,0x3e2001df,0xffb05fff,0x3e009fff,0xffffd004,0xffffc80d,
    0x3ffea005,0x3ffee06f,0xf804c84f,0x2005ffff,0x3fea00fa,0xffff04ff,
    0x3fffee0f,0x1fd04c84,0x21bffe20,0x3a04ffff,0xfffffa81,0x80fb8000,
    0x04fffff8,0x03ffffee,0x0bfffff0,0xffff1000,0x7fffcc0b,0x3fe2003f,
    0x7fcc3fff,0x22003fff,0x003fffff,0x2016a000,0x05fffffe,0x3ffffe20,
    0x007dc00f,0x04fffff8,0x07ffffe6,0x09ffff30,0x401ffffb,0x7fc00dfd,
    0x3e604fff,0xc801ffff,0x3e2000ef,0xff105fff,0xb801ffff,0xfffd000f,
    0x7ffcc0df,0x3e2003ff,0xf103ffff,0x1f81ffff,0x5fffff80,0xa803ea00,
    0xfd04ffff,0xff101fff,0x01f81fff,0x7ffe40df,0x17fffc43,0xffff01f0,
    0x3e2000bf,0xfffff880,0x3fffe204,0x7fffc06f,0xf880005f,0x3f605fff,
    0x4000ffff,0x6c7fffff,0x000fffff,0x53fffffc,0x4c555555,0xb82aaaaa,
    0x7fffdc02,0x7e4000ff,0x2205ffff,0x3ffe003f,0x3fe204ff,0x7cc04fff,
    0xffd84fff,0x7f5400ff,0xfffff00c,0x7fffc409,0x2ffaa04f,0x7ffc4000,
    0x3fff205f,0x0fe205ff,0x6ffffe80,0x3fffff60,0x7fffc000,0x3fff207f,
    0x7c01aa3f,0x2005ffff,0x3fea00fa,0xfffb04ff,0x3fff203f,0x7c41aa3f,
    0x1ffff105,0x00ffffa8,0xffff50f3,0x0640009f,0x27ffffc4,0x3fffff60,
    0x3ffffe01,0xff880005,0x3ffe05ff,0xfd8007ff,0x3fe0ffff,0xd8007fff,
    0xd30fffff,0x644dffff,0x000fffff,0x7fffffc4,0xfff88003,0x0db01fff,
    0x4fffff80,0x3ffffe60,0x7fffcc03,0x0ffffd84,0x3e05f900,0x2604ffff,
    0x103fffff,0x220001df,0x2205ffff,0x01ffffff,0xffe800db,0x3ffe06ff,
    0xfd8007ff,0xf300ffff,0x01ecffff,0x05fffff8,0xfa803ea0,0xffb04fff,
    0x3fe607ff,0x4c0f67ff,0xdfff704f,0x40bfffd0,0xffffe85b,0x8800002f,
    0x404fffff,0x04fffffa,0x017ffffe,0x3fffe200,0xfffff105,0xfffb000f,
    0x3ffe25ff,0xfd8007ff,0x3e62ffff,0xfff86fff,0x7ec000ff,0x0006ffff,
    0x17ffffee,0xff0007e6,0x7dc09fff,0x4c02ffff,0xfd84ffff,0x32200fff,
    0x3ffe02ef,0x3fee04ff,0x36602fff,0x7c4001df,0x7dc05fff,0xf985ffff,
    0x7fff4001,0xffff106f,0xffb000ff,0x7ec05fff,0x00f8afff,0x0bfffff0,
    0xf5007d40,0x3f609fff,0x3f602fff,0x00f8afff,0x3ffa07f5,0x7fffcc3f,
    0xff10b603,0x0003ffff,0xfffff100,0xffff8809,0xffff00ff,0xf10000bf,
    0x3e60bfff,0x8006ffff,0x33fffffc,0x00dfffff,0x7fffff90,0x437fffc4,
    0x000ffffe,0x3fffffea,0x7ff40001,0x02742fff,0x27ffffc0,0x0dffffb0,
    0x09ffff30,0x201ffffb,0xff805fe8,0x3f604fff,0xf7006fff,0x7fc4003f,
    0xffe805ff,0x02742fff,0x37ffff40,0x6fffff98,0xffffc800,0x3ffea03f,
    0x3e005bef,0x2005ffff,0x3fea00fa,0xfffb04ff,0x7ffd403f,0x3e205bef,
    0x85ffff04,0x101ffffd,0xfffff30d,0x2200000f,0x804fffff,0x01ffffff,
    0x00bfffff,0xbffff100,0x3ffffee0,0xfffc8006,0xffff75ff,0xff9000df,
    0x7fc4bfff,0xfffd86ff,0xfff1000f,0x00009fff,0x4dfffff5,0xff8000fb,
    0xff904fff,0xf3003fff,0xffb09fff,0x3ffa01ff,0xfffff802,0xfffff904,
    0x0fffc003,0x5ffff880,0xfffffa80,0x20003ee6,0x706ffffe,0x00dfffff,
    0xbfffff90,0xfffffe80,0x3fffe002,0x03ea005f,0x04ffffa8,0xd00ffffd,
    0x805fffff,0xffff885f,0x1bfffea1,0xfffa83e8,0x000006ff,0x09fffff1,
    0x5ffffff0,0x17ffffe0,0x3ffe2000,0xfffb8c6f,0xfc8006ff,0xff75ffff,
    0x9000dfff,0x44bfffff,0xfd86ffff,0xf9000fff,0x000dffff,0x7fffff40,
    0xf0003f8a,0x533bffff,0x39ffffb7,0x3fffe600,0x0ffffd84,0xf007ff98,
    0x533bffff,0x39ffffb7,0x04ffd800,0x0bffff10,0x3fffffa0,0xd0003f8a,
    0x2e0dffff,0x006fffff,0x5fffffc8,0x3ffffdc0,0x3ffffe00,0x803ea005,
    0xd04ffffa,0xf700dfff,0xdd00ffff,0x23ffff50,0x05fffce9,0x3ffee0d9,
    0x000006ff,0x09fffff1,0x7fffffd0,0x17ffffe0,0x7fff4000,0x3fea390f,
    0xc8006fff,0xf54fffff,0x000dffff,0x49fffff9,0xd86ffff8,0x9800ffff,
    0x02ffffff,0x3ffe6000,0x0006deff,0x3ffffffe,0x0dffffff,0x7fffcc00,
    0x0ffffd84,0xf007ffc8,0xffffffff,0x001bffff,0x401fff60,0x005ffff8,
    0xbdfffff3,0x7ff4000d,0xfff506ff,0xf9000dff,0x8809ffff,0x4004ffff,
    0x005fffff,0xffa803ea,0xfff985ff,0xfff8803f,0x40fc804f,0xfadffff9,
    0xb83fffd9,0xffff700f,0x200000ff,0x04fffff8,0x3fffffe8,0x0bfffff0,
    0x3ffe6000,0x3fe63fff,0xd8007fff,0xf32fffff,0x000fffff,0x45fffffb,
    0xd86ffff8,0xe800ffff,0x005fffff,0xffffd800,0x3e0001ff,0xfc9dffff,
    0x8006ffff,0xd86ffffa,0xfd80ffff,0xfff800ff,0xfffc9dff,0x3a0006ff,
    0xf8800fff,0x36005fff,0x01ffffff,0x3ffffa00,0xfffff306,0xfffb000f,
    0xff9005ff,0xfff8003f,0x1ea005ff,0x7fffff50,0x005fffc8,0x2007fff2,
    0xffff81fb,0x5fff93ff,0xaa5c1eb8,0x00ffffff,0xfff88000,0xfff804ff,
    0xfff02fff,0x40000bff,0xf83dffda,0x000fffff,0x0fffffec,0x01ffffff,
    0xfffffd80,0x1bfffe21,0x003ffff6,0x1ffffff7,0xff300000,0x8000dfff,
    0x3a4fffff,0x004fffff,0x07ffffe4,0x203ffff6,0xf802fffc,0x3fa4ffff,
    0x0004ffff,0x2200ffff,0x2005ffff,0x06fffff9,0x7ffff400,0x3ffffe06,
    0x7fec000f,0xf8801fff,0xfff8006f,0x1ee005ff,0xfbffff50,0x1ffffb7b,
    0x037fc400,0xffd83f98,0x3ffe23ff,0x440debae,0xfffff10e,0x1000003f,
    0x009fffff,0x01ffffff,0x017ffffe,0xe8022000,0x001fffff,0x23fffff4,
    0x01fffffe,0x3fffff40,0x21bfffe2,0x200ffffd,0x3ffffff8,0xe8003300,
    0x0006ffff,0x127ffffc,0x05ffffff,0xffffff10,0x7ffec7ff,0x3fffb80f,
    0x4fffff80,0x3fffffe2,0x7ffcc002,0xffff1005,0xfffe800b,0x7f40006f,
    0x3fa06fff,0x4001ffff,0x007ffffe,0x3e000ff6,0x2005ffff,0x7ffd407b,
    0xffffe8cf,0x3fd8001d,0x7103f200,0xdd9305bf,0xd0f2017d,0x005fffff,
    0xffff1000,0xfff8809f,0x3ffe07ff,0x018005ff,0xfff300a6,0x7c4005ff,
    0x7cc3ffff,0x2002ffff,0x43fffff8,0xd86ffff8,0x3600ffff,0x006fffff,
    0xffd000b2,0xf8000dff,0x7dc4ffff,0x000fffff,0x7fffec00,0x04fffa80,
    0x44fffff8,0x0ffffffb,0x13ffea00,0x2ffffc40,0x3ffffa00,0x7ff40006,
    0x3fe606ff,0x22002fff,0x003fffff,0x3e0003ea,0x2005ffff,0x7ffd406c,
    0x000aa24f,0xe8001f50,0x44000005,0xfffffa86,0xf8800004,0x4c04ffff,
    0x206fffff,0x005fffff,0xeffb82cc,0x3ffff600,0x3ffea005,0xffffb06f,
    0x7ffd400b,0xffff886f,0x0ffffd86,0xffffff50,0x000f4003,0x01bffffa,
    0x9fffff00,0xbfffffb0,0xffd80000,0xbfff307f,0x9fffff00,0xbfffffb0,
    0x1fffdc00,0x4ffff880,0x7ffff400,0x7ff40006,0x7fec06ff,0x3ea005ff,
    0x5c006fff,0xfffd0004,0x02f400df,0x013fffea,0x0012e000,0x00000be6,
    0xfff80f44,0x020007ff,0x27ffffc4,0x3ffffee0,0x3ffffe02,0xe826c005,
    0x3e203fff,0xb001ffff,0x2205ffff,0x001fffff,0x205ffffb,0xfd86ffff,
    0xffd00fff,0x54009fff,0x7ff4000f,0x7c0006ff,0xf884ffff,0x003fffff,
    0x1ffff200,0xf804fff8,0xf884ffff,0x003fffff,0x4005fff5,0x4004ffff,
    0x006ffffe,0x37ffff40,0x3ffffe20,0xffffb001,0x07a06205,0x7fffe400,
    0x807f1007,0x004ffffa,0x007a0620,0x00007e40,0xf980ba20,0x8003ffff,
    0xffff1049,0xfffe809f,0x7fffc05f,0x0fe2005f,0x202fffd4,0x804ffffa,
    0x403ffff9,0x804ffffa,0x203ffff9,0x7d47ffff,0xfc80ffff,0x000fffff,
    0xfd000ff1,0x8000dfff,0x504fffff,0x03ffffff,0x323fd100,0xff106fff,
    0xffff003f,0x3ffea09f,0xff001fff,0xf9bea07f,0x74003fff,0x0006ffff,
    0x037ffff4,0x027fffd4,0x81ffffcc,0x01aa5ffa,0xfffff980,0x007f4402,
    0x013fffea,0xd52ffd40,0x02ed8000,0x003d3000,0x03fffff7,0xf8827d40,
    0x2a04ffff,0x400fffff,0x006fffff,0x0ba00bee,0x0bfffa60,0x01fffe88,
    0x05fffd30,0x00ffff44,0x54bffff6,0x41ffffff,0x2ffffff9,0x00dfd500,
    0x0dffffd0,0xfffff800,0x3ffff204,0xffb8006f,0x209fff74,0xff005ffb,
    0x7e409fff,0x7006ffff,0x3ffa0dff,0x003fffd1,0x06ffffe8,0x7ffffc00,
    0xfffd3006,0x7fff4405,0xd9fffa01,0x7fe40002,0x3f601fff,0xffffa802,
    0xfffd0004,0x5400016c,0x910000cf,0x7fdc003f,0xfc801fff,0x3fffe203,
    0x3fffa04f,0xffff802f,0x3ff5006f,0x22007880,0x220bfffd,0x000effeb,
    0x05fffec4,0x01dffd71,0xffffff10,0x7ffffb5f,0x5fffffe8,0x5fffd880,
    0xfffff800,0x3fe20007,0x7f405fff,0x4005ffff,0xdff74ff9,0x4017fea0,
    0x05fffff8,0x2ffffff4,0x40cffb80,0x7ffd1ffc,0xfffff000,0xfff8000f,
    0x362007ff,0x2e20bfff,0x6c00effe,0x005cafff,0xfffff900,0x5ffb737b,
    0x3fffee00,0xfffb0005,0x40000b95,0x22002fd8,0x98000cfc,0x9adffffe,
    0x01efeca9,0x2fffffcc,0x077fff44,0x7ffffc40,0x1fffa807,0x20007aa0,
    0xfeeffeca,0x40003def,0xfeeffeca,0x54003def,0xfb1ffffe,0x3eabffff,
    0xaacfffff,0xffcbaaaa,0x54005fff,0x02ffffff,0xfffff700,0x7ffcc01f,
    0x74003fff,0x41ffebff,0x2002efe9,0x0ffffffb,0x3ffffe60,0xffb3003f,
    0x7deffc47,0xffa8005f,0x0002ffff,0x5ffffff5,0xffeca800,0x03deffee,
    0x1dffff30,0x7f4c0000,0xcfffffff,0xfffb1000,0xf30001ff,0x0001dfff,
    0x7bdfd500,0x7fd97535,0xfb500001,0xdfffffff,0x3fff2007,0xfdbabfff,
    0x2e003eff,0xadffffff,0xffecbaaa,0x005500ff,0x04dd4c00,0x75300000,
    0x53000013,0x7ffc4001,0xffffffff,0xffffffff,0xeca804ff,0xffffffff,
    0x774c02ce,0xffffffff,0xffff704e,0x5c003fff,0x03101bdc,0x7fff74c0,
    0x04efffff,0xfffffff7,0x220c4003,0x2000bddc,0xfffffeca,0x402cefff,
    0xfffffec8,0x000cefff,0x0009ba98,0x0017b710,0x32aa2000,0x260009ab,
    0xeeeeeeee,0xbdb88005,0x88000000,0x1abcdcba,0x53100000,0x2a001575,
    0xffffffed,0x0bdeffff,0xfffd9300,0xffffffff,0xffffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0c01aa98,0x0c804880,0x0ceb8000,0x0000fb22,0x0fc403f1,0x00198000,
    0x1cfeb800,0x5100025c,0x00030155,0x00d554c4,0x3b72a005,0xffffffee,
    0x080603ff,0x03551000,0x8807e600,0x3ffff61f,0x3000006f,0x55555555,
    0xfd900355,0x3a63ffff,0xffffffff,0xacdeeeff,0xfffd1000,0x9fffffff,
    0x3fffffa0,0x3fea1fff,0x02ffffff,0x7fffff5c,0x10675c1f,0xd70007d9,
    0x0176cc19,0x7fffff4c,0x02efffff,0x3ffffe60,0x7fffcc4f,0xda8005ff,
    0xceffffff,0x22003e0b,0x003f605f,0x4bfff300,0x0001fffc,0x7f4c0ffc,
    0xffd80000,0x3f600006,0xfbceffff,0xfffa8002,0x0d0aefff,0xfffedb80,
    0x30adffff,0xffffb80d,0xfdaacfff,0x3bff600e,0x4c016e0b,0xffffffec,
    0x3be002de,0x540fe981,0x0006ffff,0xfffff900,0x00bfffff,0x40ffffc4,
    0xadfffffc,0xfffffcba,0x7ffd4002,0xfb003fff,0x7d401bff,0x00ffffff,
    0x981eff98,0x3ff65fff,0x3fea001f,0x03fffa3f,0xfffffb80,0x7ec0002f,
    0x7fcc4fff,0xfa8000ff,0x99beffff,0x0ffeffda,0x779dfd00,0x0000dfdb,
    0x7f4ffff7,0x640003ff,0xfffedfff,0xff980005,0x980002ff,0xffffffff,
    0x7ec4007f,0x3ff661cf,0xffd3007f,0x2e62159f,0x206fefff,0xfffffffc,
    0xd80bee1f,0xceffffff,0xfffb802f,0xfff730ad,0xfff9001b,0x10bfffdb,
    0x000dffff,0x3ffff200,0x05ffffff,0x40fffec0,0x84fffff8,0x0dffffd8,
    0x3ffffe00,0x7ff7000f,0x3fffea00,0x5f7006ff,0xf9fffee0,0x36003fff,
    0xfff15fff,0x7fc4005f,0x80007fff,0x4c4ffffb,0xc8006fff,0x200cffff,
    0x000fffe9,0xfffffff3,0xf100003f,0x7ffe49ff,0x7f440001,0x00ffffff,
    0xffffa800,0xbec80003,0x4fffffeb,0x017fec00,0xf900fff5,0xc8803fff,
    0xff706fff,0x3fffffff,0xff980fdc,0x7fffffff,0x27fff4c0,0x05ffff30,
    0xffffff88,0xffff00ff,0x2600000d,0xaaaaaaaa,0x7e4001aa,0xffff01ff,
    0x7fff409f,0x3ffa004f,0xff3007ff,0xffff8003,0xf9805fff,0x49fff101,
    0x2000fffc,0x3f62fffa,0xfff8007f,0x980006ff,0x7cc4ffff,0x7f4005ff,
    0xd1005fff,0x7dc001ff,0x003fffff,0x2a0b2600,0xd100001c,0x003dffff,
    0x07fffc00,0x261e4000,0x54001dec,0x7fb806ff,0x0fffff40,0x10dff700,
    0xffffffff,0x80fdc3ff,0xfffc99eb,0x3fe603ff,0xffa805ff,0x7f4c03ff,
    0x3e01efff,0x00006fff,0xc8000000,0xfff01fff,0x7fdc09ff,0x3fa007ff,
    0xfa807fff,0xfff8000e,0x403fffff,0x0b2600f9,0x2600072a,0x0065c42c,
    0x2fffffc0,0x7ffcc000,0x2fffcc4f,0xdffff900,0x07fc4001,0x37ff6600,
    0x00000001,0xcca80000,0x4400000b,0x000000bb,0x3ff60000,0x640fb006,
    0x8003ffff,0xfffc86fc,0x1fffffff,0x41dc07ee,0x7f400bc9,0xfb000fff,
    0x95003fff,0xfff80179,0x0000006f,0x32000066,0xfff01fff,0x7fcc09ff,
    0xfd001fff,0xfb80ffff,0x3abe0004,0x01ffffff,0x000003e6,0x80000000,
    0x005fffff,0x4ffff980,0x802fffcc,0x00fffffa,0x0000fb80,0x00000000,
    0x00000000,0x00000000,0x7fc00000,0x0f9801ff,0x0fffff98,0xfb0dd000,
    0xffffffff,0x000fdc3f,0xffffc800,0x3ffee005,0xf800006f,0x00006fff,
    0xfffdb910,0x80039bdf,0xff01fffc,0x7c409fff,0xd004ffff,0x6c0fffff,
    0x57c0003f,0xfffffff9,0x0001f300,0x00000000,0x2fffffc0,0x7ffcc000,
    0x2fffcc4f,0x5fffff80,0x001f1000,0xe8800040,0xffffffff,0x7fe40eef,
    0x002effff,0x00000000,0xfffff500,0xeb805fff,0x21ffffff,0x801fffff,
    0xffffe80e,0x21ae0005,0xfffffffe,0x07ee1fff,0x3fe60000,0x22003fff,
    0x003fffff,0x37fffc00,0x2aaaaaa2,0xbfff7002,0x3fff2615,0xfff9000c,
    0x3ffffe03,0x3fffe604,0xfffd003f,0x03fd10ff,0x3ea5f000,0x306fffff,
    0xfffd301f,0xdfffffff,0x3fffff21,0x204effff,0x4ffffffb,0x0bfffff0,
    0xffff3000,0x05fff989,0x4fffffa8,0x00032000,0x640002d4,0x01ffffff,
    0x4c0eff98,0xfffffffe,0xffffffff,0x7f4c5fff,0xffffffff,0xffffffff,
    0xffff505f,0xf3001fff,0xfffd03df,0x40a807ff,0x02fffffc,0x7ff43400,
    0xffffffff,0x3a607ee1,0xffffffff,0x3ff60eff,0x74000fff,0x3a67ffff,
    0xffffffff,0x7ffc0eff,0x7ff5c46f,0x7f4c01cf,0x3fe204ff,0xffc802ff,
    0xfffff01f,0x7fffdc09,0xfffd002f,0x00ef98ff,0x7dc5f000,0x984fffff,
    0x7ffdc00f,0xfb102fff,0x009fffff,0xf006ffd4,0x000bffff,0x89ffff30,
    0xe805fff9,0x002fffff,0x1fd00000,0xfff88000,0x3f2006ff,0x7fffdc02,
    0xdcbaaaef,0x2e05ffff,0xaaefffff,0xffffdcba,0x3fffea05,0x5f7006ff,
    0x3fffff20,0x3f6002ef,0x0001ffff,0xfffffc80,0x2e1fffff,0x7ffdc01f,
    0xfff02fff,0xfb000fff,0xf701ffff,0x405fffff,0xf906ffff,0xfff3003d,
    0xfff300bf,0xfffc807f,0x9fffff01,0x37fffec0,0xfffffd00,0x0000ffdc,
    0xfffd85f0,0x07cc3fff,0x3fffffc0,0x7fffff40,0x03be2004,0x0bfffff0,
    0xffff3000,0x05fff989,0x7fffffc4,0x80000001,0x40004ff9,0x05fffff8,
    0x3e007ee0,0x2206ffff,0x7fc05ffd,0x36206fff,0x7ffc05ff,0x9805ffff,
    0xffff301f,0x003dffff,0x01ffffff,0xfff50000,0x3fffffff,0x7fc00fdc,
    0xff107fff,0xb000ffff,0x205fffff,0x407fffff,0xdd06ffff,0x3fffa001,
    0xfffb000f,0x7ffe403f,0x9fffff01,0x3fffff20,0x3fffa001,0x1ffff97f,
    0x10be0000,0x3ffffffd,0x7fc007cc,0xf9806fff,0x000fffff,0xfff003f7,
    0x30000bff,0xf989ffff,0x7fcc05ff,0x00007fff,0x1fffb000,0xffff8000,
    0x03ea005f,0x1bffffe0,0xff017ee0,0xf700dfff,0xfffff80b,0x7cc03fff,
    0x3fffee00,0x00dfffff,0x0ffffff1,0x3fe20000,0xffffffff,0x3e007ee1,
    0xf306ffff,0x000dffff,0x07fffff9,0x01bffffe,0xdb0dffff,0x3fff2001,
    0x3fea005f,0x3ff206ff,0xfffff01f,0xffb7533b,0xe80039ff,0xffefffff,
    0x00006fff,0xffff105f,0x03e61fff,0x1bffffa0,0x7ffffec0,0x2009f004,
    0x005fffff,0x4ffff980,0x202fffcc,0x06fffffa,0xf8800000,0x40003fff,
    0x005fffff,0x3fa003ea,0xbb006fff,0x6ffffe80,0xaf80bb00,0x1ffffffe,
    0xf9003e60,0xffffffff,0xffff507f,0x400000df,0xfffffffd,0x007ee1ff,
    0x41bffffa,0x06fffffb,0xfffffc80,0xdffffd05,0x46ffff80,0xff3000ed,
    0x44007fff,0x903fffff,0x3fe03fff,0xffffffff,0x0000dfff,0xfdfffffd,
    0x009fffff,0x3e605f00,0xf35fffff,0xffffd001,0x3ffe200d,0x7dc00fff,
    0xfffff000,0xff30000b,0xfff989ff,0x7fffdc05,0x0000006f,0x06ffffc8,
    0x7ffffc00,0x003ea005,0x41bffffa,0x3fa02d41,0xa8306fff,0x7fcd7c05,
    0x300fffff,0xfff7001f,0x9fffffff,0x6fffffb8,0x7ec00000,0x1fffffff,
    0x3fa007ee,0xff706fff,0x7000dfff,0x20bfffff,0x406ffffe,0x3f66ffff,
    0x3fff6003,0x7fc000ff,0xff907fff,0x3fffe03f,0xffffc9df,0x3fa0006f,
    0xfff77fff,0x80007fff,0x3ffee02f,0x00f9cfff,0x06ffffe8,0x3fffff20,
    0x800fe205,0x005fffff,0x4ffff980,0x202fffcc,0x07fffffb,0x7c400000,
    0x002fffff,0x17ffffe0,0xe800fa80,0x4986ffff,0x3ffa02c4,0x444986ff,
    0xffa97c05,0xf306ffff,0x3ff22001,0x3fffffff,0x1fffffea,0x3f600000,
    0x21ffffff,0xffe801fb,0xfff506ff,0xf9000dff,0x3a09ffff,0x7c06ffff,
    0xfffb6fff,0x3fffe001,0xffd8007f,0xffc80fff,0xfffff01f,0x7fffff49,
    0xfffd0004,0x7fffecff,0x3e0001ff,0x7fffec02,0xe800fcff,0x2006ffff,
    0x1ffffff8,0xff800db0,0x80005fff,0x4c4ffff9,0x7d405fff,0x000fffff,
    0x3fee0000,0x0006ffff,0x017ffffe,0xfe800fa8,0x84b86fff,0x7ffff400,
    0x40084b86,0x3fffee2f,0x00f984ff,0x7fffecc0,0x3fe27fff,0xeb807fff,
    0xffffffff,0xfffb703e,0x00fdc3ff,0x837ffff4,0x07fffff9,0xfffffd80,
    0xdffffd02,0xdfffff80,0x8806ffff,0x007fffff,0x2fffffd8,0xf01fffc8,
    0x7c49ffff,0x002fffff,0x27ffffe8,0xffffffe8,0x005f0000,0xfffffffd,
    0xffffd001,0xfffb800d,0x01f985ff,0x2fffffc0,0x3fe60c00,0x7ffcc4ff,
    0x7fffc405,0x000001ff,0x3fff6fe0,0xff0001ff,0x5400bfff,0xfffe800f,
    0x8004d86f,0xd86ffffe,0x6c2f8004,0x43ffffff,0x980300f9,0x2ffffffd,
    0x03fffffe,0x7ffffcc0,0xb531002f,0x400fdc3f,0x206ffffe,0x00ffffff,
    0x7fffff40,0xdffffd01,0xefffff80,0x403ffffe,0x06fffff9,0xfffffc80,
    0x01fffc83,0xb89fffff,0x00ffffff,0x3fffff40,0x3fffffe2,0x005f0005,
    0xfffffff1,0xffffd001,0xfffd000d,0x004e85ff,0x05fffff8,0x3fe62cc0,
    0x7ffcc4ff,0xffffe805,0x0000002f,0xffff51f5,0x3fe000bf,0x2a005fff,
    0xfffe800f,0x0027cc6f,0x237ffff4,0x2f8004f9,0x7fffff44,0x2203e61f,
    0xffff7006,0x7fffec7f,0x3ffa001f,0xf70007ff,0x7400fdc3,0x3a06ffff,
    0x001fffff,0x07fffffc,0x06ffffe8,0x4c7ffffc,0x201fffff,0x06fffffb,
    0xfffffc80,0x01fffc85,0xb09fffff,0x00bfffff,0x87ffffe8,0x4ffffffa,
    0x3002f800,0x01ffffff,0x0dffffd0,0xfffff500,0x40007dcd,0x005fffff,
    0x3ffe626c,0x2fffcc4f,0x7ffffd40,0xd0000004,0x7fffff49,0xffff8000,
    0x03ea005f,0x9bffffa0,0xe8004ffa,0x3ea6ffff,0x82f8004f,0xfffffff8,
    0x1f101f30,0x3fffea00,0x3ffffea4,0x3fffa003,0x3f70007f,0x7f400fdc,
    0x3e606fff,0x2002ffff,0x03fffff8,0x01bffffa,0x7e4dffff,0x3ee06fff,
    0x8006ffff,0x85fffffc,0xff01fffc,0xff109fff,0x4007ffff,0x907ffffe,
    0x05ffffff,0x2a002f80,0x800fffff,0x006ffffe,0x5fffffd0,0x3e0007f1,
    0x2005ffff,0x7ffcc3f8,0x2fffcc4f,0x7fffff80,0x4c002000,0x3fffee0f,
    0xfff8004f,0x3ea005ff,0xffffe800,0x04ffffef,0xfffffe80,0x004ffffe,
    0xfff302f8,0x03e6bfff,0xfd800fe2,0x7ffe42ff,0x3ffa006f,0xf70006ff,
    0x7400fdc3,0x6c06ffff,0x2005ffff,0x406ffffb,0x406ffffe,0x7f46ffff,
    0xff504fff,0x9000dfff,0x909fffff,0x3fe03fff,0xff504fff,0x2003ffff,
    0x207ffffe,0x1ffffffd,0x9000be00,0xd001ffff,0x000dffff,0x3bffffe6,
    0x3fe0006d,0x2e006fff,0x7fffcc2f,0x02fffcc4,0x3fffff98,0xb0049800,
    0xfffff88b,0xffff8007,0x03ea005f,0x3fffffa0,0x004fffec,0xcfffffe8,
    0x8004fffe,0x3ffee02f,0x80f9cfff,0xf7000ff8,0xfffd01ff,0x3ffa005f,
    0xf70006ff,0x7400fdc3,0x4c06ffff,0x001fffff,0x805ffffd,0x406ffffe,
    0x7cc7ffff,0xf981ffff,0x8007ffff,0x82fffffd,0xff01fffc,0x7e409fff,
    0xd006ffff,0x440fffff,0x0fffffff,0x8002f880,0xe800fffd,0x0006ffff,
    0x3ffffff6,0x3ffe0001,0xff5006ff,0x5ffff983,0x002fffcc,0x03fffff7,
    0x44027d40,0xffffc81f,0x7ffc003f,0x1ea005ff,0x37ffff40,0xd0009ff1,
    0x7c4dffff,0x02f8004f,0x7fffffec,0x6ff880fc,0x20bffb00,0x006ffff9,
    0x00dffffd,0x1fb87ee0,0x6ffffe80,0x4ffffa80,0x4ffffa80,0x6ffffe80,
    0x1ffffe20,0x03bffff2,0x03fffffe,0xfffffb00,0x03fff903,0x0bfffff1,
    0x5fffffe8,0x7fffff80,0x7ffffd40,0x27d400ef,0x07ff4400,0x37ffff40,
    0xffff3000,0x7c4000df,0xa807ffff,0x7fd41fff,0x7ffcc6ff,0x7ffdc005,
    0x3fc801ff,0x3e60d900,0x4006ffff,0x005fffff,0x7ff401ee,0x027cc6ff,
    0x37ffff40,0x3e0013e6,0xffffe802,0xff880fff,0x3fe600df,0x3ffa600e,
    0x7ff400ef,0xf70006ff,0x7400fdc3,0x3006ffff,0x4405ffff,0xd003fffe,
    0x540dffff,0x441fffff,0x40dfffff,0x01fffffe,0x3fffff40,0xb81fffc8,
    0x00ffffff,0x3fffffe6,0x3fffea03,0x3fe602ff,0x01ffffff,0x0005ffb1,
    0xfd001ff3,0x8000dfff,0x006ffffe,0x3ffffee0,0xcbaaaadf,0x640ffffe,
    0x260fffff,0x98005fff,0x9adffffe,0x01efeca9,0x33337f10,0xfffffd33,
    0x7fffc005,0x01ee005f,0x437ffff4,0xffe8004d,0x004d86ff,0xff8802f8,
    0x880fffff,0x442fffff,0x7001efeb,0x8835dfff,0x04ffffea,0x7dc3f700,
    0xffffe801,0x3ffa2006,0x3fea20bf,0x3fa002ff,0xff906fff,0x747fffff,
    0x1fffffff,0x0bffffe6,0xfffff880,0x23fff903,0xfffffee9,0xf704efff,
    0x23ffffff,0xfffffec8,0x7ec4efff,0xffffffff,0xfffd32ff,0xa8009fff,
    0xfffe800f,0x7f40006f,0x4c006fff,0xffffffec,0xffffffff,0x3a27ffff,
    0x3fffffff,0x000bfff3,0x7ffffed4,0x4003efff,0xfffffffb,0x5fffffff,
    0x3ffffe00,0x401b2005,0xb86ffffe,0x3fa03104,0x04b86fff,0x400be031,
    0x0ffffff9,0xfdb9bf88,0x03fffdef,0xfffec880,0xcfffffef,0x0fdc0001,
    0xffd003f7,0x93000dff,0xfffddfff,0xffd0005b,0x00000dff,0xbffffb00,
    0x7fffd400,0x07fff206,0x00000000,0x00000000,0x7400e000,0x0006ffff,
    0x037ffff4,0x00000000,0x0bfff300,0xdb531000,0x5fc00015,0x99999999,
    0x01fffffe,0x0dffffd0,0xfe802f40,0x04986fff,0x3fffa059,0x5904986f,
    0xfa800be0,0x2880ffff,0x01aeca88,0x2ff26000,0x0000099a,0x01fb87ee,
    0x06ffffe8,0x7fffec00,0x3fa0003f,0xf8006fff,0xf88002df,0xb001ffff,
    0x6405ffff,0xc8001fff,0x00000bef,0x002dff80,0x5bff0000,0xfffd0000,
    0xfe8000df,0x00006fff,0x0005bff0,0x3e60b7fe,0x200005ff,0x20002ef8,
    0xfff5007b,0x3f2009ff,0xf1007fff,0x3fffa007,0x03e2006f,0x037ffff4,
    0x0be01f10,0x1ffff900,0x02ee8800,0x03fe8000,0x87ee0000,0xffe801fb,
    0x4c0006ff,0x006fffff,0x1bffffa0,0x03fffa00,0x3fffea00,0xffff9804,
    0x0fffe403,0x1fffe400,0x7f400000,0x000000ff,0x000fffe8,0x37ffff40,
    0x3fffa000,0xd000006f,0xd0001fff,0xff981fff,0x3200005f,0xf0001fff,
    0x7fffc009,0xff9800ff,0x74402fff,0xfffd000f,0x03e400df,0x00dffffd,
    0x02f883e4,0x00fffd80,0x017ffe40,0x7fff7000,0x3ee00000,0x3a007ee1,
    0x0006ffff,0x3fffffc8,0xffffd000,0x3ff2000d,0xffd30003,0x7ff4405f,
    0xfffd801f,0xdff30001,0x32000000,0x000003ff,0x0007ff90,0x06fffff8,
    0x7ffff400,0x32000006,0xf90003ff,0x5fff987f,0x7fe40000,0x02fb8003,
    0x3fffff20,0xffff9004,0x017ec03f,0x0dfffff0,0xff81bee0,0xf7006fff,
    0x0013ea0d,0x0003ffa2,0x00013fee,0x000bff50,0xfb87ee00,0xfffff801,
    0xff900006,0xf0007fff,0x000dffff,0x8000bff2,0x20bfffd8,0x00effeb8,
    0x003fffd0,0x0017fea0,0x17fe4000,0xfc800000,0x7fc0002f,0x40007fff,
    0x007fffff,0x0bff2000,0x217fec00,0x0005fff9,0x0017fe40,0x98003fe2,
    0x00ffffff,0xbfffff90,0x05ffb737,0x7fffff80,0x02ffe440,0x80ffffff,
    0xd885ffc8,0xf98002ff,0xffb8000f,0x7dc00002,0x7000004f,0x400fdc3f,
    0x007fffff,0x3fffee00,0x00889bff,0x01fffffe,0x00bff730,0x3ffb2a00,
    0x03deffee,0x3ffff510,0xffea8800,0x4c000001,0x00005ffb,0x05ffb980,
    0x7fffd400,0xf50002ff,0x005fffff,0x5ffb9800,0x5ffb9800,0x0affff98,
    0x7fdcc000,0x7ff4c005,0x3ffe6004,0x3000efff,0xfffffffd,0xfa80019f,
    0xabdfffff,0xffffdcaa,0xfffff504,0xb95557bf,0x74c9ffff,0x04ffffff,
    0x30007d40,0x0001bff7,0x03bfee60,0x0fdc0000,0xffa803f7,0x0002ffff,
    0x3ffff220,0xf503ffff,0x005fffff,0x000b37aa,0x09ba9800,0x66665c00,
    0x3a2000cc,0x00000bcd,0x0166f540,0x6f540000,0xd910002c,0xffffffff,
    0xeca8019d,0xffffffff,0x540002ce,0xa8002cde,0x99101cde,0x00079999,
    0x000b37a6,0xbdfffff9,0x3fffb201,0x03ffffff,0x2af2aa20,0x3b220009,
    0xffffffff,0xffffffff,0x3fb223ff,0xffffffff,0xffffffff,0x4000003f,
    0x337a6003,0x3a200002,0x000002cd,0x01d50f54,0xfffffd91,0x0019dfff,
    0x2aea6200,0xffec8809,0xceffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19d50000,0x0001f644,0x2a001d10,0xaaaaaaaa,
    0x800001aa,0x2a000018,0x2e0001dd,0x0fb220ce,0xceeb8000,0x80001dc1,
    0x001ffffd,0x002fb220,0x2ffffcc0,0x00000000,0x2a606644,0xaaaaaaaa,
    0x5553001a,0x35555555,0x5554c000,0x1aaaaaaa,0x99999500,0x00599999,
    0x00000000,0x00288000,0x0540012a,0x80154400,0x2a0000a8,0x0002201a,
    0x00199980,0x2fffcc00,0x0005fff9,0xfe801aa0,0xffffffff,0x2200003f,
    0x0003effc,0x007fffc4,0x92fffcc0,0x00003fff,0x7dfffff9,0x100005f7,
    0x0005ffff,0x004fffc8,0x03fffea0,0x00000000,0xffc8dffb,0xffffffff,
    0xffff9004,0x0bffffff,0x7fffe400,0x05ffffff,0xffffff90,0x0009ffff,
    0x004d54c4,0x000000b6,0x2602ffcc,0x401bcfeb,0x8001ffc8,0x7f5404fd,
    0x54000dff,0x07f200ff,0x7cc00fd8,0x00002fff,0xfe9fffee,0xd00004ff,
    0x7fff4007,0x3fffffff,0x27b60000,0x20001fb8,0x003ffffb,0x3a7fffb8,
    0x40003fff,0xfffffff9,0x500007ff,0x00005fff,0x000fffff,0x003fffa8,
    0x6c000000,0x3ff20fff,0xffffffff,0xffff9004,0x0bffffff,0x7fffe400,
    0x05ffffff,0xffffff90,0x8009ffff,0xffffffc8,0x0fe41dff,0x20033000,
    0xfa81fffb,0xfffdfddf,0x3fff660b,0x37dc001f,0x3ffb7e60,0x3fe2004f,
    0x217fc402,0xfe803fe8,0x00006fff,0xfb93ffe2,0x880001ff,0x2aaa000f,
    0xaaaaaaaa,0x3f100001,0x260004d8,0x8001ffff,0x3f24fff8,0x5c0001ff,
    0xfffffbbe,0xfb00004f,0x3600005f,0x80005fff,0x00005ffa,0x7fcc0000,
    0x555554c7,0x001aaaaa,0x55555553,0x40003555,0xaaaaaaa9,0x31001aaa,
    0x33333333,0x3f620013,0xfb511cff,0x03f73bff,0x7ff65c40,0x980bdeff,
    0x7fec1fff,0x3ff62f91,0x0fffcc27,0x803ff100,0x01fff20d,0xf7005fd8,
    0x01bfe67f,0x3fffffea,0x32600003,0x0001ca82,0x00000b90,0x0f500000,
    0xfc8000d7,0x3260004f,0x0001ca82,0x6f6543c8,0xff100001,0x74c00007,
    0x700001ef,0x000001ff,0x076c4000,0x00000000,0x00000000,0x26000000,
    0x2603fffe,0x002fffff,0x9873ffee,0x541dfffc,0x927fe45f,0xf987fd8f,
    0x3f6001ff,0x4ffa8004,0x001ff500,0x3ff7ffe2,0xafff802f,0x0000fff9,
    0x80000000,0x0000002f,0xe85f0000,0x00080003,0x00000000,0x50000000,
    0x2000007f,0xfb800000,0xfffe8803,0xeeffffff,0x7ffffe40,0x000acdef,
    0x00400000,0x00000000,0x3220ceb8,0xfff9803e,0xfffa804f,0xffe9802f,
    0x3ffe203f,0x444eeeff,0x21f21fff,0x1fff887e,0x000df700,0x7c4017f6,
    0x7fdc002f,0xfb805fff,0x00ffa61f,0x00000000,0x3fa20d50,0xffffffff,
    0x7ffe40ee,0x4002efff,0x00febcfc,0x00000000,0x80000002,0x18800000,
    0x00000000,0x40009800,0x2ffffffc,0x00effa80,0xfffffe98,0x00efffff,
    0x2000b500,0xffffffe9,0xffffffff,0x2605ffff,0x3ff25fff,0x3ffe201f,
    0xffd001ff,0x7fcc01ff,0xff9804ff,0x3fea03ff,0x1ea1f23f,0x2007ffe2,
    0x5c001ff8,0xd803fffe,0xffd0005f,0xef8803ff,0x000fe880,0xffffffd3,
    0xffffffff,0x880bffff,0x805eeeca,0x1ffffffc,0x00eff980,0x02ffa600,
    0xffffd300,0x1dffffff,0x0016a000,0x002d4000,0x220ceb80,0xffe803ec,
    0xffffffff,0x5fffffff,0x910675c0,0xfff3007d,0x7e400dff,0xfffb8002,
    0x80002fff,0x5c0000fe,0xaaefffff,0xffffdcba,0x9fffee05,0x3603fffe,
    0x1006ffff,0x40bffffd,0x000ffffe,0x201ffffd,0xf91ffffc,0x3ffe21e0,
    0x004fd801,0x1ffffea8,0x0003fea0,0x401e6654,0x001c8029,0xefffffb8,
    0xffdcbaaa,0x3fe605ff,0x00efffad,0x1bffffe2,0x0002fc80,0x40000fe8,
    0x2ffffffb,0x00fe8000,0x0fe80000,0x7ffcc000,0x007fff25,0x557dffff,
    0xffffb555,0x7fcc01ff,0x07fff25f,0xbfffff10,0x000fdc00,0x07fffff8,
    0x04ff9800,0xfffff800,0x17ff6206,0x324fff88,0xff301fff,0x36005fff,
    0x83ffffff,0x005ffffc,0x41bfffea,0xcafffffb,0xfff10107,0x006fb803,
    0x827ffd40,0x00002ff8,0x00000000,0x06fffff8,0x5417ff62,0x3ffee5ff,
    0x3fffe207,0x07ee005f,0x09ff3000,0xfffff000,0xff30000f,0x98000009,
    0x5c0004ff,0x3ffa7fff,0x0f7fc03f,0xffffff10,0x7fffb807,0x200ffffa,
    0x005fffff,0x7c0003ea,0x0006ffff,0x000fffd8,0x37ffffc0,0x2602fdc0,
    0x201ca82c,0x01fffffc,0xffff8fc8,0x7fffcc7f,0x3fe2002f,0xff983fff,
    0x007fffff,0x8807ffe2,0xc80001ff,0x0bfb04ff,0x776dc400,0xd973001c,
    0x80005bdf,0x806fffff,0xfff885fb,0x0bffffa2,0x05fffff8,0x00003ea0,
    0x0001fffb,0x06fffff8,0x0fffd800,0x3f600000,0x220000ff,0x3ff24fff,
    0x03be201f,0xdfffff90,0x49fff100,0xf801fffc,0x2005ffff,0xfd0000fa,
    0x8000dfff,0x003ffff8,0x37ffff40,0x00005d80,0x3ffffe20,0xe8fdc00f,
    0x360fffff,0x000fffff,0x83fffffc,0xfffffffc,0x3fff1002,0x00027ec0,
    0xfa82ff88,0xfd30000f,0x807ff93d,0xffebbefc,0x3fa0004f,0xbb006fff,
    0x261fff90,0x203fffff,0x005fffff,0x880003ea,0x0003ffff,0x037ffff4,
    0x3fffe200,0xf1000003,0x80007fff,0x01ca82c9,0x3e6007cc,0x001fffff,
    0x03950593,0x17ffffe0,0x0000fa80,0x00dffffd,0x6ffffc80,0x7fff4000,
    0x45a8306f,0x22aaaaaa,0x42aaaaa9,0x07fffff9,0xfffb17d4,0x7fffc3ff,
    0x7ec000ff,0xe880ffff,0xdfffffff,0x17ffcc00,0xb8006fa8,0x213ea1ef,
    0x50002ff8,0x2ffe8dff,0x7c46fe88,0xd0002fff,0x060dffff,0x7fff88b5,
    0x03ffeb32,0x05fffff8,0x80003ea0,0x006ffffc,0x37ffff40,0x3fff2000,
    0x9000006f,0x000dffff,0x0b500000,0xbfffffd0,0x20000000,0x005fffff,
    0x740003ea,0x0006ffff,0x3fffffe2,0x3ffa0002,0x444986ff,0x7ffff4c5,
    0x3ffff226,0x3fffea0f,0x90fe607f,0x227fffff,0x007fffff,0x2fffffd8,
    0x3fffff60,0xda882fff,0x220adfff,0xfb8001ff,0x903eceff,0x3e2000bf,
    0x3ffd43ff,0x360fffdc,0xd0007fff,0x930dffff,0x7ffd4588,0x400c47e7,
    0x005fffff,0x440003ea,0x02ffffff,0x3ffffa00,0x3fe20006,0x0002ffff,
    0x7ffffc40,0x2aaa002f,0x2aa62aaa,0x05702aaa,0xffffffb8,0x2aaaaa00,
    0x2aaaa62a,0x7fffc02a,0x03ea005f,0x7ffff400,0x3fee0006,0x0006ffff,
    0x21bffffa,0xff98084b,0xffff86ff,0x3fffee0f,0x909f106f,0x2a9fffff,
    0x006fffff,0x3fffffc8,0x7ffffdc0,0x4cc43fff,0x36099999,0x0bdc984f,
    0x01357510,0xfd003fea,0x983fff90,0x7ff43fff,0x7fffec4f,0xfffe8000,
    0x4084b86f,0x6a8ffffb,0xfffff800,0x003ea005,0x7ffffdc0,0x3fa0006f,
    0x20006fff,0x6ffffffb,0x7fdc0000,0x2006ffff,0x26ffffe9,0x0fffffc8,
    0xffff8800,0x7f4c03ff,0x3f226fff,0x3e00ffff,0x2005ffff,0xfd0000fa,
    0x4000dfff,0xfffffdbf,0xfffd0001,0x2009b0df,0xe86ffff8,0x3ee0ffff,
    0xe886ffff,0xfffff905,0x3ffffeeb,0xfffc8006,0xfe8805ff,0x03ffffff,
    0x6c0efa80,0x004fffff,0xb00bfe20,0x1ffff0ff,0x6c5fff98,0x7fe44fff,
    0xfe8001ff,0x04d86fff,0xdaffffc8,0xffff8003,0x03ea005f,0x7fedfc00,
    0xd0001fff,0x000dffff,0x7fffedfc,0x3e00001f,0x1fffffdb,0x3fffe600,
    0x0fffff86,0xffffd800,0xfff3006f,0xfffff0df,0x7ffffc01,0x003ea005,
    0x37ffff40,0xfa8fa800,0x0005ffff,0x98dffffd,0xfff1004f,0xffffb0df,
    0x7ffffcc1,0xf900ee87,0x3ee9ffff,0x8006ffff,0x05fffffc,0x3fffff60,
    0x3e2000ff,0x7ee7d41f,0x90000fff,0x7ffc80bf,0x443fffcc,0x7ec46fff,
    0x3fff620d,0xffe8001f,0x027cc6ff,0x7e7fffe4,0xffff8000,0x03ea005f,
    0x3ea3ea00,0x0005ffff,0x00dffffd,0x3fea3ea0,0x00005fff,0xffff51f5,
    0x7fc400bf,0xfffe86ff,0x7fd4000f,0x1001ffff,0xfd0dffff,0x7fc01fff,
    0x2a005fff,0xffd0000f,0x3a000dff,0x3fffffa4,0xfffe8000,0x013fea6f,
    0x437fffc4,0x220ffffd,0x6c7fffff,0x3fff600f,0xffff53ff,0xff9000df,
    0x64009fff,0x3fffffef,0x3613f600,0x00bffea0,0xa803fea0,0x7fd47fff,
    0xffffffff,0xff7007ff,0x0003ffff,0x54dffffd,0xffb804ff,0xf0005fff,
    0x400bffff,0x4e8000fa,0x03fffffa,0x3ffffa00,0x749d0006,0x000fffff,
    0x3ffa4e80,0xf1000fff,0xffb0dfff,0x7c4001ff,0x004fffff,0x21bfffe2,
    0x200ffffd,0x005fffff,0x740003ea,0x8006ffff,0x3ffee0f9,0xfe8004ff,
    0xfffeffff,0xfff1004f,0xffffb0df,0xfffffe81,0xfd803f90,0xff32ffff,
    0xb000ffff,0x005fffff,0x7fff47e4,0x1df5005f,0x003ffe00,0x4c05fd10,
    0x7dc7ffaf,0x9999afff,0x7dc01999,0x1ffffcbf,0xffffe800,0x04ffffef,
    0x2fffff98,0xfffff000,0x007d400b,0xffb83e60,0xe8004fff,0x8006ffff,
    0x3ffee0f9,0x4c0004ff,0x3fffee0f,0xfff1004f,0xffffb0df,0x7ffe4001,
    0x7c4006ff,0xffd86fff,0x3ffe00ff,0x3ea005ff,0xfffd0000,0x8bb000df,
    0x07fffff8,0xfffffe80,0x004fffec,0xb0dffff1,0xfd81ffff,0x2fb9ffff,
    0x6fffff80,0x07fffffc,0x3ffff600,0x7c81441f,0x00dfffd1,0x22005ff1,
    0xfc8005ff,0x3e2be205,0x7fffdc7f,0xffd30002,0x07ffff23,0x3ffffa00,
    0x04fffecf,0x5fffff88,0xffff8020,0x03ea005f,0xff88bb00,0xe8007fff,
    0x8006ffff,0x7fffc45d,0x2ec0007f,0x1fffffe2,0x37fffc40,0x007fffec,
    0xffffff98,0x7ffc4002,0xffffd86f,0x3ffffe00,0x001ea005,0x06ffffe8,
    0x7e40fc40,0x4003ffff,0x226ffffe,0xff1004ff,0xfffb0dff,0xffff981f,
    0xf8803fcf,0x7f43ffff,0x4001ffff,0x887ffffe,0x7fdcf906,0x04fd805f,
    0x0003fee0,0x3a201ff5,0xfa8fff13,0xc8003fff,0x3ff21fff,0xfe8001ff,
    0x3fe26fff,0xffff7004,0x7c0b507f,0x2005ffff,0x0fc4007a,0x1fffffe4,
    0x3ffffa00,0x40fc4006,0x03fffffc,0xf903f100,0x1007ffff,0xfb0dffff,
    0x3a001fff,0x005fffff,0x86ffff88,0x200ffffd,0x005fffff,0xfe8001ee,
    0x64006fff,0xfffff306,0xfffe800d,0x8027cc6f,0xd86ffff8,0xfc80ffff,
    0x7004ffff,0x981fffff,0x002fffff,0x0fffffe2,0x99f207e2,0x7d404fff,
    0x3fd1000e,0x02fe8800,0x47ff8936,0x006ffff9,0x322fffdc,0x8001ffff,
    0x4c6ffffe,0x3ff6004f,0x6dbbefff,0x2fffffc0,0xc800f700,0xfffff306,
    0xfffe800d,0x8364006f,0x06fffff9,0x3e60d900,0x8806ffff,0xfd86ffff,
    0xfb800fff,0x000fffff,0x86ffff88,0x200ffffd,0x005fffff,0xfe8001ee,
    0x22006fff,0x999999bf,0x02fffffe,0x1bffffa0,0x7fc40136,0xfffd86ff,
    0xffffd00f,0x3fffa001,0xffffb02f,0x7ffd400b,0x909f106f,0x00fffccf,
    0x6c005ff1,0x5fc8001f,0x3bbbbea0,0xff11efff,0x22405fff,0x7e44ffff,
    0xe8001fff,0x4d86ffff,0x3fffe200,0x400effff,0x005fffff,0xbf8801ee,
    0xfe999999,0x2002ffff,0x006ffffe,0x26666fe2,0xfffffe99,0x4dfc4002,
    0xffe99999,0x7c402fff,0xffd86fff,0x7fc400ff,0x3003ffff,0x37fffc43,
    0x007fffec,0x00bfffff,0xfd000364,0x5c00dfff,0xffffffff,0x05ffffff,
    0x1bffffa0,0xf10c412e,0xffb0dfff,0x3fe601ff,0xffa805ff,0x3fe204ff,
    0xfd001fff,0x3e205fff,0xff93e44f,0x004fd807,0x00e887f2,0xf5007fd4,
    0xffffffff,0x7ffffe45,0x3fe64c80,0xffd50eff,0xfd0003ff,0x0970dfff,
    0x3ffba062,0xf800ceff,0x2005ffff,0x3fee006c,0xffffffff,0x2005ffff,
    0x006ffffe,0x3fffffee,0xffffffff,0x7ffdc005,0xffffffff,0x7c405fff,
    0xffd86fff,0x7fec00ff,0x32006fff,0x1bfffe22,0x803ffff6,0x006ffffe,
    0xfe80017a,0x3e006fff,0x9999999b,0x1fffffe9,0xdffffd00,0xf0b20930,
    0xffb0dfff,0x7ff401ff,0x3fe203ff,0xffa803ff,0xffb804ff,0x3fe203ff,
    0xc8fc8adf,0x7fd404ff,0xdddf7000,0xfe880dfd,0x7ff88002,0xffffff88,
    0x7c46da9b,0xefefffff,0x00abffff,0x1bffffa0,0x26164126,0x8001530f,
    0x006ffffe,0x9bf8017a,0xe9999999,0x001fffff,0x00dffffd,0x4ccccdfc,
    0xffffe999,0x26fe001f,0xe9999999,0x201fffff,0xd86ffff8,0x2a00ffff,
    0x01ffffff,0xfff887a0,0xffffd86f,0x3ffff200,0x007f1007,0x37ffff40,
    0xf5007b80,0x2009ffff,0x006ffffe,0xffff03e2,0xfffffa8f,0xffb5f900,
    0x7f64c37f,0x3a6001ef,0x3e602fff,0xda801fff,0xffffffff,0x17fc401d,
    0xfffffa80,0x2fe404ff,0x07ff8800,0xfffffff3,0xfffb01ff,0xfff31dff,
    0xfe800bff,0x22006fff,0x0002e40f,0x03ffffe4,0xf7003f88,0x3fffea00,
    0xfffd004f,0x01ee00df,0x27ffffd4,0xf5007b80,0xf809ffff,0xffd86fff,
    0x3ffa00ff,0x2a004fff,0x37fffc0f,0x007fffec,0x05fffff3,0x40001fd0,
    0x006ffffe,0x7ffc009f,0xfe800fff,0x32006fff,0x2ffffd87,0x3ffffff5,
    0x7e4c3f70,0xdfffefff,0xffb10002,0x7fe4c17f,0xa98000ef,0x36001fda,
    0xddd1004f,0x405ddddd,0x10000ff9,0x7f440ddd,0x300cefff,0xfc87dffb,
    0xfe8004ff,0x32006fff,0x80001f87,0x02fffff9,0xf8007f44,0x3fffe004,
    0xffe800ff,0x09f006ff,0x7fffffc0,0x2004f800,0x00ffffff,0xf51ffffe,
    0x3201ffff,0x00ffffff,0xfff0ff10,0xffffa8ff,0x7ffe400f,0x0bf601ff,
    0xfffff000,0x005f700d,0x27ffffe4,0x37ffffc0,0xf886fb80,0xdaffffff,
    0x7c43ffff,0x2aea6202,0x95000009,0xdffddffd,0x3200007b,0x00000007,
    0x00000000,0x000a9880,0x00010022,0x037ffffc,0x03546fb8,0xffff9000,
    0x017ec03f,0x32002fb8,0x804fffff,0x806fffff,0x3f2002fb,0x5c04ffff,
    0x3ff2002f,0x3f604fff,0xfff52fff,0xff303fff,0x2005ffff,0xffd86fea,
    0xffff52ff,0xff9003ff,0xb737bfff,0xf00005ff,0x880fffff,0x3e6000ff,
    0x400fffff,0x407fffff,0xd505ffc8,0x3f63ffff,0x0045ffff,0x20000000,
    0x00009ba9,0x00002980,0x00000000,0x00000000,0x3e000000,0x4407ffff,
    0x01ec5ffc,0x3fff2000,0xfdb9bdff,0x1ff1002f,0x7fffcc00,0x7ffc00ff,
    0x7fc407ff,0x3ffe6000,0xff100fff,0x7ffcc001,0xff100fff,0xfb5fffff,
    0xffd07fff,0xb100bfff,0xff10bfff,0xfb5fffff,0x26007fff,0xfffffffe,
    0xa80000cf,0x02ffffff,0x4009ffd3,0xeffffff9,0xfffff500,0xb95557bf,
    0x9809ffff,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0x7bffffff,0xfffb9555,0x0007c49f,0x7fff4c00,0x00cfffff,
    0x009ffd30,0x7fffffcc,0xffff500e,0x3fa605ff,0x3fe6004f,0x4c0effff,
    0x26004ffe,0x0effffff,0x3ffffd50,0x97fffff6,0xcffffffa,0xcbaaaaaa,
    0x505fffff,0x363ffffd,0x005fffff,0x26af2aa2,0x76440000,0xffffffff,
    0xffff90ce,0x3b201bdf,0xffffffff,0xfffd913f,0xffffffff,0x7fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0xffffffd9,0xffffffff,0x1cc7ffff,0x2a200000,0x0009abca,0x3bfffff2,
    0xfffd900d,0x27ffffff,0xfffffec8,0xf90cefff,0x01bdffff,0x3fffffb2,
    0xff93ffff,0x201bdfff,0xffffffec,0x2a603fff,0x7ffc4000,0xffffffff,
    0xffffffff,0x054c04ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002200,0x2a000150,0x2666001a,0x3ba60001,0x880004ee,0x00008829,
    0x015002a0,0x39ddb710,0x30000000,0x54400033,0x32e6001a,0x0002defe,
    0x00000151,0x05554400,0x0002aa0c,0x00000088,0x11003333,0x00022000,
    0x06662000,0x06662000,0x10002200,0x26200001,0x54c40019,0x0d540001,
    0x00022000,0x80099988,0x0bee03fa,0x001ffc88,0x3000ffa8,0x0005ffff,
    0x003bfff2,0x0efff540,0x7f5027c4,0x7d40bf00,0x4f7f4c01,0xb1003ffc,
    0x7dc001bf,0x01effeff,0xdffffd50,0xbbefc805,0x1004fffe,0x39dfdfb7,
    0x067ecc00,0xfffff500,0xf91a15df,0x17d40009,0x54003f70,0x5402ffff,
    0x307f202f,0x01fd407f,0x3ffff980,0x3ffe6000,0xffb3003f,0x13e2003b,
    0x3e603fa8,0xf9003fff,0x0007ff9d,0x20001ff3,0x001dffd9,0x02ffffc4,
    0x5fc84fd8,0x3ffffb30,0x02ff8800,0x1bffffa0,0x077ffc00,0x3bff2200,
    0x42fe400b,0xdfb006fb,0x1ffb7357,0x3a37fd40,0xffc802ff,0xffe9805f,
    0x09ffd50c,0xffffffd8,0x6fe883ff,0x017fffc4,0xffb8ffec,0xfffd001f,
    0x9ffb1007,0x3fffecc3,0xd0001bea,0x00bfb07f,0x06ffffe8,0x7ec43fe8,
    0xf909fb04,0x7ff4000d,0x3a0007ff,0xd007ffff,0x400fb33b,0x06fb85fc,
    0x07ffffec,0x7e4bff60,0x1ff4005f,0xb33bd000,0xfffc800f,0xff9801ff,
    0x203ffd15,0x003fff30,0x2e005fd8,0x03ffffff,0x0077fd40,0x00fffea0,
    0xfb0eff88,0x3fe2005f,0x04ffffff,0xf50fffe2,0xffff00ff,0x6fff880f,
    0x903fffa8,0xffffffff,0xfffb83ff,0x03fffec1,0xffd13ff6,0xfff8801f,
    0x2ffd806f,0x3e1ffea0,0x3e60000f,0x01ffd15f,0x7ffffdc0,0xa7fd402f,
    0xf100ffe8,0x3ffb11bf,0x3ffea000,0xa8003fff,0x03ffffff,0x8017c3d4,
    0xffb0eff8,0x7fffd405,0x3fee03ff,0x05fff30f,0x80017f20,0x8017c0fa,
    0x5ffffff8,0xfddffb00,0xfff3009f,0x07fd4003,0x9afff880,0x7e4007ff,
    0x7fe4000e,0xffc8003f,0x4005ffee,0x6ffffffa,0x20fffe40,0x6403fff9,
    0x7ec05fff,0xffff03ff,0xf9359f50,0xe89fffff,0x7fec4fff,0xfff900ff,
    0x0efffa85,0x01ffff40,0x2e01bfea,0x003fd87f,0x7ff7fec0,0x3fe2004f,
    0x806ffaaf,0x3fffdffe,0x7f77fe40,0x3fa0005f,0x00fff9bf,0x7cdfff40,
    0x21b200ff,0x3ff2004d,0x7405ffee,0x0fff9bff,0x227fff88,0xf9807fff,
    0x1ae0000f,0x7fec0136,0x801ffe8c,0x0ffffff9,0x01fff880,0x4005ff10,
    0x3fa61ffc,0x003fe003,0x009fffb0,0x3ffffe20,0xfe98001f,0xfff803ff,
    0x2fffcc0f,0x0033f220,0x3a09ffff,0x81741fff,0x6c5ffffe,0x7fe44fff,
    0xffff01ff,0x5ffff983,0x0067ecc0,0x6c01bff6,0x0006fa87,0x7fffffcc,
    0x87bf2000,0x7d403ff9,0x8806ffff,0x00ffffff,0x443ff700,0x3ee004fe,
    0x813fa21f,0x007e20f9,0xffffff88,0x887fee01,0xfff984fe,0x03fffe27,
    0x80007fd0,0x007e20f9,0xfd88ffe6,0xffff9006,0x3ffe2007,0x00bfb001,
    0x744077c4,0x00a8800f,0x02fffdc0,0x3fffee00,0x00080004,0xf10ffff3,
    0x40000dff,0xb07ffff9,0x014c3fff,0x889ffff7,0x3f620dfd,0xff981fff,
    0x7ffc41ff,0x7c00006f,0xf9801fff,0x0007fc40,0x0fffff60,0x880ef880,
    0x7fec00fe,0xff9002ff,0x220009ff,0x0fe880ef,0x880ef880,0x2ff600fe,
    0xfb8006fb,0x3e204fff,0x40fd880e,0x3e27fffa,0x3f201fff,0x7fb00005,
    0x3fa00df7,0x1005f901,0x44009999,0xfa801fff,0x00a6000f,0x40000072,
    0x002ffff9,0x06666440,0xf5000000,0xffffffff,0x0000ffff,0x17ffffc4,
    0x2003fff4,0x001ffff8,0x3ffffff7,0x03ffff70,0x001fffff,0x7ffffc00,
    0xfd80e801,0x66440002,0x014c004c,0x99300722,0x66440079,0x530000cc,
    0x53005700,0xea805700,0x3320003e,0x02a200cc,0xfffa8570,0x07fffe27,
    0x00007fcc,0x2007dd50,0x01dc00a8,0x3fe20000,0x17fc401f,0x10000000,
    0x019dfd95,0x003ffff4,0x73000000,0x405bdfd9,0x99affffb,0x20199999,
    0x0cefeca8,0x5fffffd0,0x0027ffc4,0x2017ffe2,0xfffcbffb,0xffffd81f,
    0x2ffffe82,0x39ddb710,0x7fffff40,0x7dc05403,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffcc00,0x201ffff1,0x000003fe,
    0x40000000,0x2defecb9,0x01fff880,0x10002fec,0x0037ddb7,0x3fabbfa2,
    0xfff982ff,0xaa80264f,0x32a2aaaa,0xfc800bde,0x4fffebbe,0x05ffff70,
    0x2bbfa200,0xfc82fffe,0xf73fffff,0xfb8001df,0x7ff4c04f,0x03ffff91,
    0xb05ffffb,0xd307ffff,0x07ff93df,0x3ffffff2,0x7fc4002e,0xaaaaa800,
    0x2aaaa62a,0x5555542a,0x2aaaa62a,0xbfd9102a,0x5c409537,0x2601beed,
    0x1aaaaaaa,0x55555555,0x06aaaa23,0x537bfd91,0x7f65cc09,0x2a2002de,
    0x800cefec,0x01ceedb8,0x261ffff1,0xbf906fff,0x2aaaa000,0x2aaa62aa,
    0x654402aa,0x6400cefe,0xfffebbef,0x0fffc404,0x0001ff50,0x3aafffe6,
    0x3fe602ff,0x07fffe66,0xfd9ffff9,0xfb307dff,0x3ff2ffff,0x3a206fff,
    0x7fffc46f,0x3ffffa82,0x26ff9800,0x441ffff9,0xdfffffff,0xf98004ff,
    0x3ff200ff,0x3ffff21f,0x3ffffc81,0x45ffffc8,0x7ff46ffa,0xfffff982,
    0x2001efff,0xfe9802fe,0x3f226fff,0x3a60ffff,0x3226ffff,0x440fffff,
    0xfffcbefe,0x57fff305,0xfd305ffd,0x2619ffff,0x0bfffffe,0xe8877faa,
    0x5fffcbef,0xfd77df90,0xfd1009ff,0x05fffd5d,0x7e4f7f4c,0x1fff703f,
    0x2607ffe6,0xd30000ff,0x644dffff,0x100fffff,0xfffd5dfd,0x88dfd105,
    0x2602ffff,0xff102fff,0x3fea0005,0x07ffe61f,0xff0fffe2,0x7ffc47ff,
    0xffffdfff,0xffff885f,0xfffdbedf,0x3fff704f,0x987fffd8,0x4006ffff,
    0x7fc3fff8,0xfff983ff,0x004fffff,0x7ffff5c4,0x45fffb81,0xb81ffffc,
    0xfc85ffff,0x3fe24fff,0x83ffd43f,0xfffffffb,0xfb800dff,0xffff3005,
    0x1fffff0d,0x86ffff98,0x640fffff,0x17f621ff,0xf987ffea,0xfff881ff,
    0x7ffcc1ff,0xc87c80ff,0x17f621ff,0xff88dfd1,0x3fe602ff,0x07fffe66,
    0xffd1bfea,0x64bffa05,0x07fd04ff,0xffff9800,0x0fffff86,0x3e66ff98,
    0x7fdc1fff,0x3fffec1f,0x6fffed44,0x002fe40a,0xd86fff88,0x7fdc0fff,
    0x27ffe41f,0x44dffff3,0xf84ffffd,0x7f46ffff,0xfffd07ff,0x0ffffd89,
    0x17ffffc4,0x1fffb890,0x8827ffe4,0xfffffffe,0xffff7003,0xff87ffff,
    0x7ffe44ff,0xffff881f,0x7fffec0f,0x307fff23,0x3f207fff,0xffffffff,
    0x03fcc03f,0x86ffff88,0x440ffffe,0xfe86ffff,0x7ffc0fff,0x7fc45e81,
    0x0fffd86f,0x84ffffb8,0xd83ffffd,0xe81fff83,0x20fffdc5,0xf107fffd,
    0xffff87ff,0x21fffc43,0x3ee07ffa,0xf902ffcf,0xff10000b,0xfffd0dff,
    0x3fff881f,0x3a1ffffc,0x7fec4fff,0x4ccc40ff,0x3ea09999,0x643f400f,
    0xffc85fff,0x0ffffc6f,0xfa87ffe6,0x7fc45fff,0x7ffc0fff,0x7ffec0ff,
    0x4fffd80f,0x40ffffe4,0x80fffffc,0x0ffffc4c,0x9807ffe6,0xffffffff,
    0xffeb8804,0xf30fffff,0x3aa1dfff,0xf901ffff,0x7ec1bfff,0x3ffe2fff,
    0x2fffcc0f,0xffffff70,0xe809ffff,0xfff8801f,0xffffd86f,0x37fffc40,
    0x507fffec,0x6981dfff,0x642fffe4,0xff886fff,0xfffe87ff,0x2a07c46f,
    0x34c0efff,0xfb13fffa,0xff701fff,0x4fffc83f,0x260fffe4,0x4cc03fff,
    0x403fe600,0x100bceca,0xfb0dffff,0xffb81fff,0x27ffe41f,0xf913fff6,
    0x20003fff,0x7ec02ff8,0x27fffc47,0x987fffdc,0x0300ffff,0xb0bffff7,
    0xff87ffff,0xfffd87ff,0x0dfd881f,0x07ffff62,0x3fffffe2,0x7cc6da9b,
    0x40300fff,0xfffcffc8,0x2002ffff,0x2ffffffa,0xdffffff1,0x57ffffdf,
    0xffffd881,0xfffffecf,0x10ffff30,0xc880dfff,0xffffffff,0x013f203f,
    0x21bfffe2,0x440ffffd,0xfd86ffff,0x3fea0fff,0xf11c2fff,0xff709fff,
    0xfffb01ff,0x7ff7c45f,0x2a1aa0ff,0x1c2fffff,0xf913fff6,0xfff03fff,
    0x1fff983f,0x2607fffc,0x80005fff,0xffd883fe,0xf882ffc9,0xffd86fff,
    0x7fffc0ff,0x20fffcc1,0x3620dfd8,0x0001ffff,0xffc80bf9,0x1ffffd47,
    0xa8ffffdc,0x2002ffff,0xa85ffffc,0x7fc5ffff,0xfffd87ff,0x3fee001f,
    0xf301ffff,0xffffffff,0x2ffffa81,0xa7ff4400,0x7ffffff9,0x7fff4c00,
    0x3ffff64f,0xffff98ef,0x3ffee05f,0x5ffffcff,0x3fffffea,0x07ffffff,
    0xfffffb30,0x3fcc0fff,0x37fffc40,0x207fffec,0xd86ffff8,0x7fc0ffff,
    0xf505ffff,0xff707fff,0xfff503ff,0x7fde5cbf,0x7c0f63ff,0x205fffff,
    0x3620dfd8,0x7cc1ffff,0x30300fff,0xff10ffff,0xfc8000df,0x227ffd05,
    0x7fc41fff,0xfffd86ff,0x3fffe60f,0xfb800300,0x001fffff,0x2a00ffa8,
    0x7fdc7fff,0xfffa83ff,0x7ffff73f,0x7fffdc00,0x6ffffa85,0x6c3ffffc,
    0xb801ffff,0xffffcbff,0x3fffa201,0xffb80cef,0x7ec003ff,0x3ffe61ff,
    0x4c001fff,0x3666ffff,0x7fe43eff,0x2351004f,0x2e2ffffb,0x999affff,
    0x00c19999,0x3fffff66,0x007fe02f,0xb0dffff1,0xf881ffff,0xffd86fff,
    0x7ffe40ff,0x7dc1efff,0xffa83fff,0xffff03ff,0x3fe27a1f,0x201f16ff,
    0xeffffffc,0x3ffee001,0x7fd41fff,0x3ea002ff,0xffffffff,0x20007fff,
    0xffb80ff9,0x11bffe2f,0xfb0dffff,0x7fd41fff,0x5c0002ff,0xffffcbff,
    0x17f44001,0x8fff5f30,0xa83ffffc,0xff75ffff,0x7cc009ff,0xff986fff,
    0x7fffc6ff,0x1ffffd87,0x647ffa60,0x8801ffff,0x7fdc01fe,0x3e2004ff,
    0xfff987ff,0xfd8003ff,0x500885ff,0xfe80009f,0x7ffdc7ff,0x01a2002f,
    0x1fffffdc,0xf8809f90,0xffd86fff,0x7ffc40ff,0xffffd86f,0x7ffff440,
    0x3ff21fff,0xfffa83ff,0xffff905f,0x7ffecd37,0x3a205b9f,0x1fffffff,
    0x7e5ffdc0,0x7fdc1fff,0x3ee003ff,0x9999afff,0x20001999,0xfffd03fe,
    0x10ffff43,0xfb0dffff,0x7fdc1fff,0xd30003ff,0x3fff23ff,0x2fe4001f,
    0xfff15f10,0x83ffffc8,0xf54ffffb,0x4400dfff,0xf987ffff,0x7ffc4fff,
    0xffffd87f,0x43fff901,0x401ffffc,0xfa803fe8,0x2a006fff,0xffb06fff,
    0xf5000bff,0x7dc009ff,0x7fcc0007,0x7ffd42ff,0x03e2003f,0x27fffd40,
    0xf880df50,0xffd86fff,0x7ffc40ff,0xffffd86f,0xffffe880,0x3fff27ff,
    0xffffb83f,0xdffff304,0x7fffd499,0x7f4402ec,0x307fffff,0x3ff23ffd,
    0x7ffdc1ff,0x3fee004f,0x000002ff,0x7ffc0bf9,0x8ffffa1f,0xd86ffff8,
    0x3ee0ffff,0xc8004fff,0x3ff21fff,0x3ea001ff,0x227d100f,0x7ffdc7ff,
    0xffffb83f,0x5fffff33,0x3ffff400,0x217fffc4,0xfd87ffff,0xffb81fff,
    0x7fffe45f,0x00ffd401,0x17ffffcc,0x05fffc80,0x009ffff5,0x005fff10,
    0x20002ffc,0xf984fffc,0x22006fff,0x3ff6003f,0x007fc02f,0xb0dffff1,
    0xf881ffff,0xffd86fff,0x3ff200ff,0xff71ffff,0xfff707ff,0x7fff407f,
    0x3ffe21ff,0xf9000fff,0xc83fffff,0x3ff21fff,0x7ffd41ff,0x3fea006f,
    0x800003ff,0xff300ff9,0x7fff43ff,0x1bfffe24,0xa83ffff6,0x4006ffff,
    0x7e45fffb,0xd1001fff,0xf126c05f,0xffff98ff,0x2ffffb84,0x03bffffe,
    0x3ffff204,0x07fffc40,0x361ffffe,0xff81ffff,0x7ffe44ff,0x27fec01f,
    0xefffff80,0x7ffdc100,0x5ffff106,0x6ff88008,0x03ffe600,0x37ffd400,
    0x2fffff88,0x00ff8920,0x801fff70,0x3fe203fd,0xfffd86ff,0x7fffc40f,
    0x0ffffd86,0xffff5022,0x3fffe69f,0x2ffffb84,0x1bfffee0,0x817ffff6,
    0x7fffd408,0x17ffee4f,0x983ffff9,0x002fffff,0x00dffff3,0x407fd000,
    0x3a1ffff8,0x3fe23fff,0xfffd86ff,0x3fffe60f,0x3ffe002f,0x7fffe44f,
    0x40bf9001,0xffeeeefa,0x3fffa1ef,0x0ffffc84,0x13ffffee,0xfffd11a6,
    0x85fff987,0xfd87ffff,0x7fcc1fff,0xffd50eff,0xffd803ff,0xfffb801f,
    0x266984ff,0xff107fff,0x17ff41ff,0x4003ff70,0x8004fff9,0x200dfffa,
    0x80fffffc,0x01bfe24c,0x5402ffec,0x7fffc06f,0x0ffffd86,0xd86ffff8,
    0x1a60ffff,0xe93fffa2,0xffc84fff,0x3fe200ff,0xfff983ff,0x221a602f,
    0x3fe4fffe,0x7ffe44ff,0xfffff81f,0x7fc4100e,0x01202fff,0xfd00df90,
    0x7fffc3ff,0x437fffc1,0x7c0ffffd,0x100effff,0x877fffcc,0x01ffffea,
    0x2a00ffa8,0xffffffff,0x17ffea2f,0x3a13fff6,0xabefffff,0xfff980ec,
    0x4077fdc6,0xfd87ffff,0x7fc41fff,0xfefeffff,0x500abfff,0xd005ffff,
    0x57dfffff,0xfffd81d9,0x22fffb82,0xb03ffff9,0xffd0007f,0x3ea0019f,
    0xff8803ff,0xda9bffff,0x06fffc46,0x001dff30,0x7fc01ff1,0x7ffd47ff,
    0xffff80ff,0x7ffffd47,0x3ea0fe60,0x3ffea2ff,0x04fffd85,0xf00fffd8,
    0x3f980fff,0xf32fffa8,0x3aa1dfff,0xfb81ffff,0x6984ffff,0x07ffffe4,
    0xff300264,0x5fff9001,0x7fc37ffc,0x7ffd47ff,0x7ffdc0ff,0x226984ff,
    0xfeffffff,0x0abffffe,0x0005fd10,0x3fa0fff1,0x7fff40ff,0xffffe880,
    0x2a01ffff,0xdfd12fff,0x3ffffe01,0x0fffff40,0x77ffffec,0x5fffff98,
    0x7ffffec0,0xfffd101e,0x103fffff,0x74c1fffd,0xfffe83ff,0x2fea8aef,
    0xffff3000,0x3f6a09df,0x3e6001df,0xffffffff,0x7ffffc40,0x0f7f5c42,
    0x6c05fb00,0xff52ffff,0xfb03ffff,0x3fea5fff,0x3e61ffff,0x07ffc40f,
    0xfd03fffa,0xff5001ff,0x027fe40b,0xff103fe6,0x3fffe21f,0xfffefeff,
    0x7ff40abf,0xecabefff,0x7ffffc40,0x006da9bf,0xfd001ff4,0x07ffe27f,
    0x54bffff6,0x81ffffff,0xbefffffe,0x7fec0eca,0xff98efff,0x3f205fff,
    0xfff10005,0xb93ffa20,0x36200eff,0x01dfffff,0xefeffc98,0xffff300c,
    0x7fffc43f,0xeffd983f,0x027ffe43,0x03effea8,0x7ffffec4,0x7ffdc01d,
    0x500dffed,0xfffffffd,0xd8800019,0x3221dfff,0x0000beff,0x9dffffd1,
    0xb737f101,0x7fffbdff,0x40bf7000,0xfffffff8,0x83ffffda,0xfffffff8,
    0x23ffffda,0xf90bfff8,0x9ffd105f,0x00077fdc,0x7fcc05ff,0x5fffc401,
    0xfd85ff90,0xf98effff,0xe885ffff,0xffffffff,0xfffff301,0x4001ffff,
    0x74c006fb,0x03ffc8ef,0xfffffff1,0x07ffffb5,0xffffffd1,0xffb303ff,
    0x4fffc87d,0x0003fe60,0x32037744,0x04ffefff,0x0000d4c0,0xffc80153,
    0xf9bfffff,0x06ffffff,0x00008011,0x00d4c000,0x04d554c0,0x09aaa980,
    0x20100000,0x4000009a,0x14400a98,0x00d65d44,0xa8099100,0xfb1ffffe,
    0xd50bffff,0x3f63ffff,0xbf15ffff,0x05fffffd,0xffefffc8,0x807c8004,
    0xedf8807e,0x982fffff,0x7e43effd,0x3f6204ff,0x401dffff,0xceffffe8,
    0x03fe6000,0x677edc00,0x7fff5400,0xfffffb1f,0xffffb10b,0x008803bf,
    0x00000004,0x01553000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000054c0,0x1400054c,0x530006a6,
    0x14400015,0x42800cc0,0x008801a9,0x06a60004,0x002a6200,0x00000000,
    0x000054c0,0x00001a98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xed880000,0x288005ee,0xdd000a80,0x037baa5d,
    0x03100000,0xddb00022,0x3b6201bd,0x000006ee,0x98003550,0x20000400,
    0x00000998,0x00199880,0x00d54c40,0x9aa98806,0x06600000,0x40000000,
    0xeed80028,0xddd300de,0x550000bd,0x2aa62000,0x0a80a01a,0x00000d40,
    0x00080600,0x0deeee88,0xdeeed800,0x3bbb6200,0xa880000e,0x4c00019a,
    0x4001ffff,0x03f204f8,0xfd9bfea0,0x43df903f,0x6c404fe9,0x1320beff,
    0x1ffffa80,0x17fffcc0,0x7ffff440,0x7ed46fff,0x5001efff,0x05e9819f,
    0x7ffedd40,0xffffffff,0xffffffff,0x3fe604ff,0xda8003ff,0xceffffff,
    0xfb103e0b,0x03dffffd,0xffedc880,0x001cdeff,0xfffffd00,0x1fffe45f,
    0x1ffff980,0x07fffd40,0x00df5000,0x7ffff6dc,0xd30adfff,0x5f502f40,
    0xb30f7e40,0xffb1009f,0x0026417d,0x00ffffd4,0x0ffffd40,0x17fffcc0,
    0xeffd8800,0x0003ffff,0x0013ffea,0x2eaaf7fa,0xffb007fd,0x4c17fe21,
    0x3ff65fff,0x3fffa02f,0x01fdefff,0x007fff20,0x002fffcc,0x9bffffee,
    0xffc99bfc,0x7ff3004f,0x44007fb1,0xb9bdfffd,0xeffffffe,0xfffedccc,
    0x3fffa04f,0x3fea007f,0xa99befff,0x20ffeffd,0xffb30ef9,0x3ee007ff,
    0xf930adff,0x000019ff,0x25fffff1,0x03fffff8,0x002fffc8,0x0007fff7,
    0x74c01fec,0x3109cfff,0x0dfdfff7,0x5cd677e4,0xff300ffd,0x17ffecdf,
    0x3fffffa0,0x8001fdef,0x0001fffd,0x4003fff9,0x8005fff9,0xf913fff9,
    0x54000dff,0xf98007ff,0x2fffffff,0x7d47ff00,0xffff700f,0xa81ffff4,
    0xffffffff,0x7ffc007f,0x3ffcc002,0x7ffffc00,0xff701d56,0x3fa2007f,
    0x3a6000df,0xffb04fff,0x3a209fff,0xfff504ff,0xf9007fff,0x4c019fff,
    0xff10fffe,0x3ffffd09,0x27fff4c0,0x05ffff10,0xffffb000,0x3ffffee5,
    0x02fff806,0x0037fdc0,0xfc803ff0,0x64401eff,0x3e206fff,0x4fffffff,
    0xe9fffee0,0x3ea04fff,0xffffffff,0xfff88007,0x3ffe0001,0xfff98002,
    0x3ffe6000,0x04fffe86,0x007fea00,0x3fffff20,0x8bf5005f,0x3fe202fd,
    0x03ffee3f,0x7feccf5c,0x2a003fff,0xf50002ff,0xffe8005f,0x200f9eff,
    0xb802fffe,0x5000ffff,0x4c09ffff,0x404fffff,0x7ffd04fc,0x7401fff3,
    0x1005ffff,0x3fee1ffd,0x5ffffb87,0x0bffff30,0x07ffff30,0xffffc800,
    0xffffff12,0x002ff980,0x0001ff70,0xffe80df5,0x3ee001ff,0x7ffd406f,
    0x7c406fff,0x3ffea4ff,0x3667ae00,0x003fffff,0x0002ffa8,0x8000bfea,
    0x32002ffa,0xffd85fff,0x7dc0007f,0xffd50004,0x07ec007d,0x06a2013e,
    0x42b802e6,0x4000bca8,0x540002fc,0x7ff4005f,0x6402ffff,0x3aa06fff,
    0x01fff9ae,0x07ffffcc,0x9fffff10,0xff709f00,0xc827f443,0x000effff,
    0x7fec3fe2,0x7fffd42f,0x1ffffd06,0x3ffff600,0x3ff20001,0x3bfee2ff,
    0x01fe407f,0x000ff200,0xffc813f2,0xfc8003ff,0xfffd9806,0x2606a003,
    0x5415c00b,0xfb0000bc,0x2fc80005,0x05fa8000,0x213fffa0,0x001ffffc,
    0x20001540,0x41a80008,0x000000a8,0x35000000,0x00a60000,0xbfffffd0,
    0x7ffff500,0xffc85f70,0x3fff601f,0x7ffc405f,0x264184ff,0x3a203be2,
    0x7fffd40f,0x0fb8000f,0xfa87fff7,0xffc86fff,0x3ea005ff,0x20006fff,
    0x102ffffc,0x002a80df,0xf0003500,0x3ffe603f,0xdd0000ff,0x00000800,
    0x00000000,0x540000d4,0x0a600001,0x84ffff80,0x000ffffc,0x00000000,
    0x00000000,0x00000000,0x74000000,0x801fffff,0x006ffff9,0x541bffe2,
    0x402fffff,0x84fffff8,0x02a224c6,0xffff8570,0x1f10005f,0xf703bfa2,
    0xff989fff,0x22003fff,0x003fffff,0x05ffff90,0x000013ee,0xff300000,
    0x3ffffa20,0x01ae0004,0x00000000,0x00000000,0x00000000,0x3fffe200,
    0x07fffc84,0x15555554,0x05555553,0x1beedb88,0x3bb6e200,0x36e2001b,
    0x22001bee,0x001beedb,0x06fbb6e2,0xbeedb880,0x3fffa001,0xfff3006f,
    0x54c403ff,0xe84fffc8,0x400fffff,0x44fffff8,0x00000878,0x09fffff5,
    0x40606400,0x6c2ffffc,0x000fffff,0x03fffffc,0x325bfb51,0xfb02ffff,
    0x776dc401,0xdb71001c,0x7e40039d,0xfffff904,0x80680007,0x01ceedb8,
    0xbdfd9730,0x765cc005,0x2aa02def,0x2a62aaaa,0x4c02aaaa,0x02defecb,
    0x3bfb2e60,0x7ffcc02d,0x2fffe84f,0x7ffff4c0,0x3ffff226,0x7fff300f,
    0x9805ffd5,0xffeabfff,0x5fffcc02,0x4c02ffea,0xffeabfff,0x5fffcc02,
    0x4c02ffea,0xffeabfff,0xffffe802,0xffff1006,0xfffd307f,0x43ffffff,
    0x07fffff8,0x4fffff88,0xaa8803d4,0xfd01aaaa,0x0005ffff,0x3fffa000,
    0x7fffff86,0xffffd800,0xffffb80f,0xffffccfe,0x2602fa82,0x3ffc9efe,
    0x64f7f4c0,0x5fd003ff,0x3fffff60,0x4c000002,0x3ffc9efe,0x75df7e40,
    0xfc804fff,0x4fffebbe,0xdffffd30,0x7ffffe44,0xd77df900,0xf9009fff,
    0x9fffd77d,0x27fffcc0,0x003bff71,0x21bfffe6,0xa80fffff,0x3fe61fff,
    0x3fff501f,0xa80fffcc,0x3fe61fff,0x3fff501f,0xa80fffcc,0x3fe61fff,
    0x3fff501f,0x200fffcc,0x006ffffe,0x8bfffff1,0x3ee4fff9,0x3fe64fff,
    0xf8807fff,0x3f44ffff,0xffffd700,0xfffff109,0x0000003f,0x881dfff5,
    0x007fffff,0x2fffffd8,0xd337ffcc,0xc85fffff,0x1bfea02f,0x3ea05ffd,
    0x017ff46f,0xfff81fe6,0x00001fff,0xfd1bfea0,0x8dfd105f,0x102ffff8,
    0xfff88dfd,0xffff302f,0x1fffff0d,0x7c46fe88,0xfd102fff,0x2ffff88d,
    0x49ffff30,0x2000cffe,0xe86ffff8,0x7c40ffff,0xfffd86ff,0x437ffc40,
    0x7c40fffd,0xfffd86ff,0x437ffc40,0x7c40fffd,0xfffd86ff,0x437ffc40,
    0x3a00fffd,0x1006ffff,0x4cdfffff,0xffe86fff,0x3fffee7f,0xfff8806f,
    0x0ffb14ff,0x4ffffb80,0x7fffff98,0xfb000000,0x3ffe609f,0xfc8006ff,
    0x3a23ffff,0x7fcc2fff,0x03362fff,0x543fff88,0xfff887ff,0x203ffd43,
    0xfff105fb,0x00000fff,0x2a1fffc4,0xfffb87ff,0x83fffec1,0x7ec1fffb,
    0xfff107ff,0xffffd0df,0x41fffb81,0xf707fffd,0xfffd83ff,0x9ffff307,
    0x06fff544,0x37fffc40,0x207fffec,0xfc85fffc,0x7ffe46ff,0x46fffc85,
    0xfc85fffc,0x7ffe46ff,0x46fffc85,0xfc85fffc,0x7ffe46ff,0x06fffc85,
    0x01bffffa,0x37ffffc4,0xfb0bfffb,0x3ff25fff,0xf8805fff,0xffefffff,
    0x7fd4007f,0xfffa84ff,0x000006ff,0x2e02ff98,0x006fffff,0x5fffffc8,
    0x641ffff2,0x0022ffff,0xf307fff2,0xfffc87ff,0x01fffcc1,0x3fea05fd,
    0x00007fff,0x307fff20,0xffe87fff,0x7fffec4f,0x44fffe80,0x880ffffd,
    0xfd86ffff,0x7ff40fff,0x7fffec4f,0x44fffe80,0x980ffffd,0xf984ffff,
    0xff8804ff,0xfffd86ff,0x3fffe20f,0x0ffffb84,0x709ffff1,0x3e21ffff,
    0xffb84fff,0xffff10ff,0x1ffff709,0x213fffe2,0xf10ffffb,0xff709fff,
    0x3ffa01ff,0xff1006ff,0x3fe2ffff,0xfffc83ff,0xfffff93f,0xffff100b,
    0x0ffffbdf,0x4ffff980,0x6fffffb8,0xfc800000,0x7fffdc02,0xffc8006f,
    0x3ffa5fff,0xffff905f,0xffff8005,0x22fffcc0,0x7cc0ffff,0x1ff105ff,
    0x3ffffee0,0x3e000006,0x7fcc0fff,0x27ffec5f,0x207ffff2,0x7e44fffd,
    0xff881fff,0xfffd86ff,0x27ffec0f,0x207ffff2,0x7e44fffd,0xff981fff,
    0xffff04ff,0xffff8805,0x0ffffd86,0x20ffffea,0xf51ffffb,0xff707fff,
    0x3ffea3ff,0xffffb83f,0x07ffff51,0x2a3ffff7,0xfb83ffff,0xfff51fff,
    0xffff707f,0x3ffffa03,0xffff1006,0x3fffeadf,0x4ffffb83,0x0bfffff7,
    0x9fffff10,0x3001ff22,0xf709ffff,0x000fffff,0x5003f000,0x00dfffff,
    0x9fffff90,0xc82ffffc,0x2002ffff,0xf887fff9,0x3ffe66ff,0x06fff887,
    0x7fcc0bf7,0x00007fff,0x10ffff30,0xfd88dfff,0x3fff620d,0x0dfd881f,
    0x07ffff62,0x21bfffe2,0x440ffffd,0x3f620dfd,0xfd881fff,0x3fff620d,
    0xffff981f,0x0bffff04,0x86ffff88,0x2e0ffffd,0xfa83ffff,0xfff73fff,
    0xffff507f,0x0ffffee7,0x5cffffea,0xfa83ffff,0xfff73fff,0xffff507f,
    0x0ffffee7,0x40ffffea,0x006ffffe,0x2bfffff1,0xb83ffffb,0xff55ffff,
    0xf100dfff,0x7e89ffff,0x7fffcc00,0xfffffa84,0x4000000f,0xffff3007,
    0xffb000ff,0x3fe65fff,0xfff904ff,0x7fd4005f,0xffffffff,0x3ffea7ff,
    0xffffffff,0x807fb07f,0x00ffffff,0x7ffffedc,0xff53efff,0xffffffff,
    0x3ee00fff,0x001fffff,0x3fffffee,0x6ffff881,0x00ffffd8,0xffffff70,
    0x7ffdc003,0xff981fff,0xfffd04ff,0xffff880f,0x0ffffd86,0x20fffff2,
    0xf95ffffa,0xff507fff,0x3fff2bff,0xffffa83f,0x07ffff95,0x32bffff5,
    0xfa83ffff,0xfff95fff,0xffff507f,0x3ffffa0b,0xffff1006,0x3ffff29f,
    0x4ffffb83,0x0dfffff3,0x9fffff10,0x7cc007a8,0xff884fff,0x0001ffff,
    0xf8016200,0x000fffff,0x8fffffec,0x904ffffa,0x4005ffff,0x99affffb,
    0x2e199999,0x999affff,0xf8819999,0x7fff400f,0xff3001ff,0xfb85ffff,
    0x9999afff,0x7dc01999,0x1ffffcbf,0xfcbffb80,0xff881fff,0xfffd86ff,
    0x5ffdc00f,0x801ffffc,0xfffcbffb,0xffff981f,0x1ffffd04,0x37fffc40,
    0x907fffec,0xf707ffff,0x3ff29fff,0xfffb83ff,0x7ffff94f,0x29ffff70,
    0xb83ffffc,0xff94ffff,0xfff707ff,0x3ffff29f,0x4ffffb83,0x0dffffd0,
    0x3ffffe20,0x07ffff93,0x747ffff7,0x8807ffff,0x444fffff,0xff303307,
    0x3ffa09ff,0x00002fff,0xffd00040,0xe8003fff,0x3ee7ffff,0xff905fff,
    0x7dc005ff,0x2e002fff,0x8002ffff,0xffc806fa,0x3e002fff,0xfb87ffff,
    0x30002fff,0x3ff23ffd,0x3fa601ff,0x3ffff91f,0x0dffff10,0x201ffffb,
    0xff91ffe9,0x7f4c03ff,0x3ffff91f,0x09ffff30,0x807ffffa,0xd86ffff8,
    0x3ee0ffff,0xffb83fff,0xffff73ff,0x7ffff707,0x20ffffee,0xf73ffffb,
    0xff707fff,0x3ffee7ff,0xffffb83f,0x07ffff73,0x207ffff7,0x006ffffe,
    0x21fffff1,0xb83ffffa,0x3ee1ffff,0x4400ffff,0x684fffff,0xfff303b0,
    0x3ffea09f,0x000004ff,0x3ffe6000,0x3e2002ff,0x3ea3ffff,0xff905fff,
    0x7d4005ff,0x2a003fff,0x8003ffff,0xffa803fd,0x3a003fff,0xfa87ffff,
    0xc8003fff,0x3ff21fff,0xfff901ff,0x0ffffe43,0x437fffc4,0xc80ffffd,
    0x3ff21fff,0xfff901ff,0x0ffffe43,0x827fffcc,0x200ffffe,0xd86ffff8,
    0x3e60ffff,0xffb84fff,0xffff32ff,0x5ffff709,0x213fffe6,0xf32ffffb,
    0xff709fff,0x3ffe65ff,0xffffb84f,0x09ffff32,0x205ffff7,0x306ffffe,
    0x24ffff88,0xb83ffff8,0x3a20ffff,0x4403ffff,0x004fffff,0xfff301f1,
    0x7fffc09f,0x0020007f,0xfffb0002,0x7fd400bf,0x7ffcc6ff,0xffff906f,
    0x7ffcc005,0x3fe6006f,0xff8006ff,0xffffb001,0x7fff400b,0xffff986f,
    0x7ffdc006,0x0ffffe45,0x322fffdc,0xf881ffff,0xffd86fff,0x7ffdc0ff,
    0x0ffffe45,0x322fffdc,0xf981ffff,0xffb04fff,0xffff00ff,0x1ffffb0d,
    0xc84fffe8,0x3fa0ffff,0xfffc84ff,0x13fffa0f,0xe83ffff2,0xffc84fff,
    0x3fffa0ff,0x0ffffc84,0x3213fffa,0xfd00ffff,0xffd0dfff,0x07fffe23,
    0xf909ffff,0xfff30fff,0xfff880ff,0x0f9004ff,0x813fffe6,0x03fffff9,
    0x3aa04980,0xff1001df,0x36003fff,0xff82ffff,0xfff907ff,0x7fc4005f,
    0x89202fff,0x202fffff,0x10037d44,0x003ffffd,0x21bffffa,0x02fffff8,
    0x89ffff12,0xf81ffffc,0x7fe44fff,0xffff01ff,0x1ffffb0d,0x644ffff8,
    0xff81ffff,0x7ffe44ff,0xffff981f,0x7ffdc264,0x7ffff805,0x07ffffd4,
    0x3617ffea,0x7fd44fff,0x4fffd85f,0x6c2fffd4,0x7fd44fff,0x4fffd85f,
    0x6c2fffd4,0x7fd44fff,0x4fffd85f,0x1fffffa0,0x3e2bfff5,0xfffb85ff,
    0x03fffd85,0x405ffff7,0x04fffff9,0xff306fb8,0xffb809ff,0x2a001fff,
    0x3fffe04f,0x3ffea005,0xfff9804f,0xffff903f,0xfffff887,0x7ffe4002,
    0x644c80ff,0xc80fffff,0x20027e44,0x005ffff9,0x20dffffd,0x80fffffc,
    0x3fffe64c,0xffffd50e,0xeffff983,0x3ffffd50,0x51ffffe0,0x4c1fffff,
    0xd50effff,0xf983ffff,0xfd50efff,0xff303fff,0x27ff29ff,0xd803fff8,
    0xff52ffff,0xfd03ffff,0xfffe81ff,0x40fffe80,0xfe80fffe,0x7fff40ff,
    0x40fffe80,0xfe80fffe,0x7fff40ff,0x40fffe80,0x3e00fffe,0x7cc7ffff,
    0x1dff37ff,0x3e1bff20,0x7fdc06ff,0xfff901ff,0x7e440bff,0xffff304f,
    0xffff7009,0x07f9003f,0x07ffffd4,0x5fffd300,0x0ffff440,0x1fffff10,
    0x3fffffa2,0x7ffc4003,0x6da9bfff,0xffffff88,0xff86da9b,0xffe98001,
    0xfffe805f,0xffff106f,0x8db537ff,0xeffffff8,0xabffffef,0xffffff10,
    0x7ffffdfd,0xffffd815,0xffffff52,0x7ffffc43,0xffffefef,0xffff10ab,
    0xfffdfdff,0x7fd4157f,0x25ffd4ff,0xff1006fe,0xfb5fffff,0xfd107fff,
    0x077fdc9f,0x2e4ffe88,0xfd100eff,0x077fdc9f,0x2e4ffe88,0xfd100eff,
    0x077fdc9f,0x2e4ffe88,0x3ea00eff,0x742fffff,0x0efb9fff,0xf71ffec0,
    0xfd3001df,0xfb5159ff,0x59ffffff,0xffffb755,0x3fffea07,0xfffd3006,
    0xd95335bf,0xff8803df,0xd88006ff,0x2e20bfff,0x9800effe,0xdfdeffff,
    0x0cfffffc,0x3fffe600,0x300fffff,0xffffffff,0x007f981f,0x67fffdc0,
    0x7fff4c0a,0x3ffe604f,0x80ffffff,0x8efffffd,0x45fffff9,0x8efffffd,
    0x85fffff9,0xfffffff8,0x43ffffda,0x8efffffd,0x45fffff9,0x8efffffd,
    0x45fffff9,0xf54ffffc,0x001ff17f,0x8fffff54,0x05fffffd,0x9ffdfff9,
    0x3bfff200,0xff9004ff,0x2009ffdf,0x4ffefffc,0xfdfff900,0x3ff2009f,
    0x9104ffef,0xfffffffd,0xffd319df,0x2e001bff,0x0befeefd,0x7ffed400,
    0xffffffff,0xffffffff,0xf902ffff,0x4001ffff,0xffffffda,0x32003eff,
    0x20002fff,0xfeeffeca,0x4c003def,0xf94ffffe,0x00137bdf,0xeffffe88,
    0x7ff4400c,0xfc80ceff,0xfd880004,0xffeeffff,0xd1001cff,0x019dffff,
    0x90fbff66,0xfb309fff,0xfffc87df,0x3fffaa04,0xfffffb1f,0x1f7feccb,
    0x2613fff2,0x7e43effd,0x7fff44ff,0x3bfae4ff,0x1530001c,0x2aa60000,
    0x15530000,0x02aa6000,0x00554c00,0x000aa980,0x00015530,0x001b9800,
    0x0002aa20,0x4ccd4c40,0x7c400001,0x3fffffff,0x5d54c400,0x0a20000a,
    0x2ea60000,0xa8800009,0x0002660a,0x000a9880,0x5c00a988,0x4c00001c,
    0x09aabcaa,0x02a62000,0x00400880,0x80020044,0x220000a9,0x04400400,
    0x02000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00018000,
    0x13bbbaa0,0x0002aa20,0x20000000,0x0000000a,0x001aa980,0x2a620180,
    0x02000009,0x2a600008,0x200009aa,0x000a8028,0x05540aa2,0xa9777440,
    0x22000dee,0x2aa00aba,0x2a62aaaa,0x980aaaaa,0x00000c41,0x00009800,
    0xdeeed800,0xeed80000,0x530000de,0xb0001355,0x4001dddd,0x000deeed,
    0x06a60000,0x3bbbb200,0xf7014c01,0x201bd07f,0xffd805e8,0x7fec405f,
    0xf9001dff,0x027f4c3d,0xcfffa800,0x5c4fe980,0xf90002ef,0x005fffff,
    0xfdb89e40,0x2defffff,0x7dff9000,0x26002dc1,0xfffffffd,0x4f88002d,
    0xc8003f20,0x01ff885f,0x3f66ffa8,0x37f6003f,0xd980cffe,0x3226ffff,
    0x221fffff,0x9f10effe,0x91027cc0,0x3f9005df,0x80007ec0,0x001ffffa,
    0x1ffffa80,0x7ffecc00,0x002dffff,0x00ffffe2,0x00ffffcc,0x4002efc8,
    0x4fffdfdb,0x7ffff100,0x40fffd80,0x542ffffa,0x0ffd40ef,0x0077ffc0,
    0x7fe4bff3,0x2fffd401,0x8005fffb,0x4ffffe82,0xf31fffd8,0xe9800dff,
    0xfffea9df,0xfff90003,0xf951137f,0x4001bfff,0xeffffffd,0xfd3002fc,
    0x7533359f,0xe8003dff,0xfdbaabdf,0x41fec007,0xffb007f9,0x4017fe21,
    0x3ffe5fe8,0xdffff306,0x43fffff0,0x2e4ffffb,0x07fdc0df,0x00ffffb0,
    0xfe885ff1,0x3ff20003,0xf900001f,0x74c003ff,0xa999acff,0x3001effb,
    0x3200bfff,0xf5002fff,0x7e400fff,0x05fff94f,0x807fff50,0x6c4ffff9,
    0xfe85ffff,0x009ff71f,0x4c01dff5,0x3fe21fff,0x37ffdc06,0x4007fffd,
    0x7fffcc5c,0x3ffff86f,0x001ffff5,0xff30fff4,0xf90001ff,0x7f4401bf,
    0xf9801eff,0xffffffff,0x2efb800f,0x007fd500,0x7fffffcc,0x7fc002ff,
    0x8806fb82,0x03fea2ff,0xfb1fff40,0xfff107ff,0xffffd0df,0x37ffff43,
    0x3f21dff1,0x3ffe203f,0xffc802ff,0x000dff33,0x0002fff8,0x800bffe0,
    0xd5002efb,0x3fe6007f,0x2fff800f,0x3ffff600,0x3fffb801,0xb007fff9,
    0xff5009ff,0xfffb8bff,0xdfffa83f,0xfd800fff,0x37ff400e,0xf1027ffc,
    0x7ffdc7ff,0xd0bf3000,0xb83fffff,0x3ffa0fff,0x1ffee004,0x0007fffa,
    0x7c4017f2,0x5c01ffff,0xffffc99e,0x0dfb804f,0x004fd800,0x3ffffff2,
    0x07fc4005,0x7d4027e4,0xa8017ec5,0x3ff63fff,0xdffff05f,0x43ffffb0,
    0x5c6ffffe,0x06ffefff,0x00ffffe8,0xffdfff88,0x3ea0002f,0x2a00002f,
    0x3ee002ff,0x4fd8000d,0x807ff300,0x54002ff9,0xff006fff,0x37fa27ff,
    0x027fc400,0x885ffff0,0xfb00ffff,0x2007ffff,0x7fcc00ef,0x2fffe85f,
    0x2a606a20,0x0bfd1000,0x03ffdfd3,0x00350153,0x640fffd8,0xc8000fff,
    0x3fea000e,0x21d406ff,0x9800cca8,0x3333334f,0x017e4033,0x07dffd50,
    0x3a0ff500,0x40fd803f,0x3ffa004f,0x13ffee4f,0x6c37fffc,0x3f61ffff,
    0xffe85fff,0xfa802fff,0x3ee005ff,0x0005ffff,0x000017e4,0xf9800bf2,
    0x41575104,0x2005f918,0x1fe405f9,0x01dfb800,0x03ffff98,0x8009f500,
    0x0aa02ed9,0x0dffff30,0x32002a20,0xffd85fff,0x0000004f,0xe840bffb,
    0x8000000f,0x7d41ffff,0x0790006f,0x7fffff00,0xf8800000,0x33ffff26,
    0xfd83effe,0x00044000,0xff10bf90,0x28835003,0x2ffffc00,0x3e03dfd1,
    0xffd86fff,0x3ffee1ff,0xffffa83f,0x006a2005,0x07ffffe0,0x00035000,
    0x44003500,0xbefe986f,0x363edfda,0x8053000f,0x0000002a,0x00ffffea,
    0x000014c0,0x6665c000,0xfe800001,0xfffd85ff,0x44000006,0x4405fffe,
    0x0000006f,0xfd89ffff,0x0390001f,0xfffff900,0x64000001,0x13ffec0f,
    0x4f889fff,0x6c000000,0x007f983f,0x3fe20000,0x7c0086ff,0xffd86fff,
    0x3ffe61ff,0x1999901f,0x2a000000,0x00003ccc,0x20000000,0xf903f208,
    0x47fb109f,0x000004f8,0x2e000000,0x0003ffff,0x00000000,0xfec88000,
    0x7fc4a9bd,0xfffd85ff,0x2aaaaaa7,0x2aaaaa62,0xffffe882,0x7dc1aaae,
    0x3bb6e202,0xfff8001c,0x05ff70ff,0x98000400,0x2a4fffff,0x262aaaaa,
    0xf82aaaaa,0x647ffc85,0x07e41fff,0x45555555,0x42aaaaa9,0xeffeeee9,
    0xeffeeeee,0x5555551e,0x555554c5,0x3fffe602,0xffff8007,0x1ffffd86,
    0x003fffe2,0x00000000,0xeedb8800,0x3fb220bd,0x971000cd,0x26c19bfd,
    0x06ffa8bf,0x81f90fe2,0x1aaaaaa8,0x55555544,0x55555101,0x55555555,
    0x3ffffb81,0xaaaaa880,0xaaaaaaaa,0x55555510,0x5530ee03,0xeda85555,
    0x65f7f443,0x3fe25fff,0xfffd85ff,0xffffd30f,0x7fffe44d,0x3fffe20f,
    0x24ffffff,0x3fa605e9,0x003ffc9e,0x76ffffec,0x000000cf,0xfffff100,
    0x7ffff4cb,0x3ffff226,0x3207ea0f,0x7ffd47ff,0xfd31fcc2,0x7e44dfff,
    0x3e60ffff,0xffffffff,0x2fffffff,0x4dffffd3,0x0fffffc8,0x1fffff10,
    0x6ffff800,0x41ffffd8,0x55446ffe,0x4001aaaa,0x5554400b,0xaaaaaaaa,
    0x77ec40aa,0xaafffebb,0x2ffeabff,0x55fff440,0x2a6cbffe,0x0bffe21f,
    0x83f98790,0x84ffffeb,0x04ffffeb,0x999bdff5,0x81fffffd,0x803ffffb,
    0xcccdeffa,0x20fffffe,0x04ffffeb,0xfffc8899,0x3ffff67f,0xd887ff20,
    0x3fffe65f,0x1ffffd84,0x21bfffe6,0x220fffff,0x9dffffa9,0x409f5099,
    0x7ff46ffa,0x3ffee002,0xaa880cff,0x0002aaaa,0x7ffffc40,0x37fffcc7,
    0x907ffffc,0x91fff20f,0x8bd03fff,0xf86ffff9,0x3220ffff,0xcccffdcc,
    0x1ccdffcc,0x21bfffe6,0x200fffff,0x001fffff,0x6c37fffc,0x7e41ffff,
    0xfffeb84f,0x0074004f,0x3337bfea,0x0fffffec,0x3f61bfa2,0x7fc4ffff,
    0x7fff302f,0x320ffff8,0x007ffe47,0xfb82f404,0xff704fff,0x13ea09ff,
    0x0fffffe2,0x00ffffee,0x3fe213ea,0xffb83fff,0x20db04ff,0xff97ffff,
    0x7ffc5fff,0x3fea5e81,0xfffd84ff,0x3fffe23f,0x0ffffe86,0x85ffff98,
    0x3fe202db,0x03ffd43f,0xbfffff70,0x3ffff660,0xf800003e,0x220fffff,
    0xfe86ffff,0x41b60fff,0x7ffc7ffc,0xff88db06,0xfffe86ff,0x217f200f,
    0xff101ff8,0xfffd0dff,0x7f774c1f,0xeeeeffff,0x37fffc01,0x20ffffec,
    0xff702ffa,0x3c4009ff,0x7c427d40,0x7e43ffff,0x7ffd40ff,0x06ffc87f,
    0xfd81fffd,0xfb1b62ff,0x36c000ff,0x04ffffa8,0x209ffff5,0xffffb06a,
    0x3fffee0d,0xfb06a803,0x3ea0dfff,0x0fd04fff,0x3efffffa,0xf50fffec,
    0x26981dff,0xd84ffffc,0x3e24ffff,0xffd86fff,0xfff980ff,0xfc80085f,
    0x7ffcc1ff,0x7f7f5403,0x3602ffff,0xfffc84ff,0xffffffff,0xffffffff,
    0x3e21ffff,0xffd86fff,0x6417a0ff,0xfffb9fff,0xf88f900c,0xffd86fff,
    0x0ff600ff,0xff881fe6,0xfffd86ff,0x3fffe60f,0xffffffff,0x3ffffc01,
    0x20ffffec,0xff500ff8,0x362009ff,0xfb06a806,0xffd0dfff,0xffff989f,
    0x42fffa86,0xfb87fffb,0xff17a6ff,0x3e4000ff,0x04ffff98,0x209ffff3,
    0xffffa83a,0xffff702f,0xf5075007,0x2605ffff,0xff04ffff,0xfffffd01,
    0xff516dc3,0x32385fff,0xfd84ffff,0x3fe24fff,0xfffd86ff,0xffff980f,
    0xffff0005,0x05fff981,0xff11bfd1,0x2e01ffff,0xffff706f,0x999999df,
    0xfff99999,0x7fc45fff,0xfffd86ff,0x7e413a0f,0x03fffcff,0x3ffe23e4,
    0xffffd86f,0x2e0bfe00,0x3ffe206f,0xffffd86f,0x3fbbba60,0x1eeeffff,
    0x07ffff40,0x03fffff3,0x7ffcc0ff,0x2fe8804f,0xffa83a80,0xffd82fff,
    0x7fffcc5f,0x44fffa85,0x7c46ffff,0x89d2ffff,0x20007fff,0xffff307c,
    0x3fffe609,0xffd01104,0x7fdc0bff,0x808803ff,0x205ffffe,0x984ffff9,
    0xfffe82ff,0xffff005f,0x3fee0bff,0xfffd84ff,0x3fffe23f,0x0ffffd86,
    0x05ffff98,0x87fff980,0xf986fff8,0x3fff20ff,0x03fb05ff,0x1bffffea,
    0xffffff00,0x37fffc41,0xb07fffec,0x6dfff20b,0x1b600fff,0xb0dffff1,
    0x2201ffff,0x04fc80ff,0x21bfffe2,0x200ffffd,0x004ffff9,0x99ffffe4,
    0x82ffffff,0x3ffe606e,0x3ffcc04f,0xffe80880,0xbfb305ff,0x3ffffa81,
    0x225fff98,0x3a25ffff,0xbb4ffffe,0x0007ffe8,0x7ffcc1b6,0xffff304f,
    0x7ffdc009,0x3fee00ff,0xf70003ff,0x4c01ffff,0xfb84ffff,0xffffe84f,
    0xffff9003,0xffa83dff,0xfffd84ff,0x3fffe22f,0x0ffffd86,0x05ffff98,
    0xfffffa80,0x7fffffff,0x742fffc4,0x444fffff,0x3ffe604f,0x7fc006ff,
    0x7fc47fff,0xfffd86ff,0x7e41f20f,0x09fff37f,0x3ffe22f4,0xffffd86f,
    0x3ff2aa20,0xcfeaaaaa,0x3fe20aaa,0xfffd86ff,0x7fff400f,0x7ffcc004,
    0xffdbffff,0x205c84ff,0x204ffff9,0x0003fffb,0x03ffffee,0xffffb300,
    0xffffffff,0x7ffccfff,0x3fe7765f,0xfc8f95ff,0xbd0000ff,0x13fffe60,
    0x027fffcc,0x3fffff88,0x1ffffdc0,0x7fffc400,0x7ffcc03f,0x86ffd84f,
    0x002ffffe,0xffffffd1,0x7fffcc3f,0x1ffffd84,0x21bfffe2,0x980ffffd,
    0x8005ffff,0x99affffb,0x6c199999,0xffa84fff,0x1b63ffff,0xdfffff10,
    0x7fffc400,0x7fffc46f,0x0ffffd86,0x3ff207ea,0x203fff27,0x7ffc43f8,
    0xffffd86f,0x3ffffe60,0xffffffff,0x3fe22fff,0xfffd86ff,0x7ffe400f,
    0xfffa8003,0xffffb2ff,0x2603b8df,0xf704ffff,0x20001fff,0x03fffff8,
    0x3e73f660,0x9999dfff,0x3ee19999,0x26d95fff,0x3f56ffff,0x001fffcc,
    0xff981fc4,0xfff304ff,0x3ff6009f,0xffb806ff,0xfd8003ff,0xf9806fff,
    0xfff84fff,0x0ffffe87,0x3fffa200,0x3fe27fff,0xfffd85ff,0x3fffe20f,
    0x0ffffd86,0x05ffff98,0x2ffffb80,0x3fffe200,0xfffffb06,0xf001f75f,
    0x400fffff,0x44fffff9,0xd86ffff8,0x27c0ffff,0xff13ffe4,0x881f909f,
    0xfd86ffff,0x3fe60fff,0xffffffff,0x22ffffff,0xd86ffff8,0x4c00ffff,
    0x20001fff,0x02fd40a9,0xfff98022,0xffff884f,0x3ff60005,0x3f2006ff,
    0xbffff12f,0xffffa800,0xfff30ebd,0x3f227cbf,0x321200ff,0xffff300f,
    0x3fffe609,0xffffa804,0xfffb802f,0x7fd4003f,0xf9802fff,0x7fc44fff,
    0x7fff41ff,0xffc8000f,0x3fe1ffff,0xfffd85ff,0x37fffc47,0x407fffec,
    0x005ffff9,0x03ffffa8,0x3ffffea0,0xfffffd00,0x3f2007ff,0x2a007fff,
    0x441fffff,0xfd86ffff,0x07e40fff,0xfb87fffa,0x217e22ff,0xd86ffff8,
    0xff00ffff,0x880df705,0xfd86ffff,0x7c400fff,0x400000ff,0x40000ffb,
    0xb84ffff9,0xec83ffff,0xffff500c,0xffd3005f,0x07ffff85,0x7ffffcc0,
    0x3fffe60f,0xfd883f23,0x21ec40ef,0x3fe605f8,0xfff304ff,0xfffd009f,
    0x3fee00bf,0x7f4003ff,0xf3005fff,0xffa89fff,0x7fff43ff,0xfa811007,
    0x3f64ffff,0xfffd85ff,0x37fffc45,0x407fffec,0x005ffff8,0x06ffff98,
    0x3ffffee0,0xffffd104,0x3e2005ff,0xb001ffff,0xf109ffff,0xffb0dfff,
    0x35f881ff,0x4bfffffd,0x3fb2fffe,0x0dffff10,0x101ffffb,0x09fb01ff,
    0x86ffff88,0x300ffffd,0xe80fff79,0x02ffc001,0xfff30044,0xffffb09f,
    0x03fffa87,0x00bffffd,0xfd0dfff3,0x44003fff,0x541fffff,0x3e21ffff,
    0xdefffa85,0x01fd80df,0x413fffe6,0x404ffff9,0x80fffffb,0x7fffdc09,
    0x3ffee003,0x4c0980ff,0x7e44ffff,0x7ff44fff,0x10d3007f,0x7cc9fffd,
    0xfffd86ff,0x86ffff82,0x880ffffd,0x8005ffff,0x02fffff8,0xfffffa92,
    0xffff303f,0x83509fff,0x803ffffb,0x206ffff8,0xfd86ffff,0x4fa80fff,
    0x01fdc000,0xfb0dffff,0xff501fff,0x3e00bfa0,0xffd86fff,0x7ffd40ff,
    0x999bffff,0x2000feba,0x7e407ffa,0xffff304f,0x5ffffd09,0xb85fffa8,
    0x980fffff,0x213fffa0,0x405ffffc,0x437ffec4,0x540ffffa,0x0353104f,
    0x3e601fdc,0xff304fff,0x7fc409ff,0x81b03fff,0x003ffffb,0x07fffff1,
    0xffff3036,0x6ffffd89,0x803ffff4,0xfffa83f9,0x7c3fff42,0xffff06ff,
    0xfffffa8f,0x6ffff880,0xfffc800c,0x224c80ff,0x2fffffff,0xffffff70,
    0x20d715bf,0x400ffffe,0x202ffffb,0x7d47ffff,0xf900ffff,0x17f2000b,
    0xa8fffff0,0xc80fffff,0x01ff885f,0x547ffff8,0x740fffff,0xffffebad,
    0x07ffffff,0x81fffcc0,0x983ffffa,0xfd84ffff,0x7fc43fff,0x7fffc44f,
    0x3e61b03f,0xffa86fff,0x85b03fff,0xfb86fff9,0x0bf905ff,0x2017f200,
    0x304ffff9,0x6c09ffff,0xf306ffff,0x07ffff70,0x1bffff60,0x7ffcc3cc,
    0x7ffff44f,0x03ffff46,0x7c40ff98,0x7ffcc0ff,0x407ffe60,0xf52ffffd,
    0x203fffff,0x390ffffe,0x3fffe200,0x86da9bff,0xfffffffb,0xfffda9be,
    0xffffffff,0xfffb102f,0x7fffd409,0x7fffec02,0xffffff52,0x0177dc03,
    0xd804fe98,0xff52ffff,0xfb03ffff,0x200ff507,0xf52ffffd,0x4c3fffff,
    0x3fffea0f,0x03ffffff,0x67fffc40,0x2ffffec0,0x427fffcc,0xd86ffffa,
    0x7ffec2ff,0x7ccf306f,0xda9dffff,0xdfffffef,0xff05eb9a,0x6ffe81ff,
    0x80177dc0,0xf5004fe9,0x3ea0dfff,0xff506fff,0xff305fff,0x09ffff90,
    0x5fffff50,0xff50ff30,0xfffc8dff,0x7ffff45f,0xbfff8800,0x2605ff90,
    0x0bff24ff,0xffffff88,0x3ffffdaf,0xffffff30,0xfff98007,0x00ffffff,
    0xfffffffb,0x3a67ffff,0x4fffffff,0x1cfffb80,0x037ffea2,0x3ffffe20,
    0xffffdaff,0x5f7fcc03,0xffd73119,0x3ffe2005,0xffdaffff,0x81ff83ff,
    0xff1006fb,0xfb5fffff,0x33f87fff,0xfffff9ff,0x26000dff,0x74efffff,
    0xf507ffff,0x3f20dfff,0x27e43fff,0x0bffffea,0xfffd1fe6,0x361bffff,
    0xffffffff,0xffddd80d,0x01dff50d,0x337dff30,0x0bffae62,0xfffffc80,
    0xfffffc80,0xeffffe80,0x6ffdb999,0x06ffffe8,0x9effffe8,0x86ffdb99,
    0x20fffffc,0x222ffff9,0x802fffff,0xffffedf8,0x7fecc02f,0xea801eff,
    0xffb1ffff,0x36a0bfff,0x10003dff,0x19dffffd,0xffffea80,0xfc80bfff,
    0x2003ffff,0xfefffed9,0x54002dff,0xfb1ffffe,0x500bffff,0xfffffffb,
    0xfd50005d,0x3ff63fff,0x3fe25fff,0x2004fd80,0xb1ffffea,0x54bfffff,
    0xfd32ffff,0x0001bfff,0x85efed44,0xc80effe8,0x700fffff,0xfb7dffff,
    0xdffffd07,0xdffb7333,0xeffffe98,0xfffffc82,0x7d4d703d,0x00cefeff,
    0x7fffed40,0x2002efff,0xfffffff8,0xfffff13f,0x7fdc7fff,0xffffffff,
    0x3ff25fff,0x04ffffff,0xfffffff7,0x4bffffff,0xfffffff8,0xb873223f,
    0xdfffffff,0x06a61400,0x00155100,0x00001530,0x44000022,0xa98000a9,
    0xa88009ab,0x4c40001b,0x800009bb,0x800000a9,0x009aba98,0x000a9800,
    0x35502a88,0x00153000,0xaa981540,0x20000000,0xffff8819,0x7103ffff,
    0x70179bb9,0xffffffff,0x20bfffff,0x351001a9,0x55301100,0x53100001,
    0x00001357,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x2a000000,0xeee98000,0x0088004e,0x3ffa6011,
    0xffffffff,0x3ffba20e,0xefffffff,0x01500513,0x55530802,0x7764c555,
    0xfff8000b,0x1001ffff,0x401bdddd,0x0000000a,0x01880000,0x206aaaa2,
    0x8002aaaa,0x800001a9,0x7fe400aa,0xffffffff,0x3ffffe23,0xffffffff,
    0x0020000f,0xfffed800,0x5effffff,0xfffffff5,0xffeb805f,0xfd11ffff,
    0xffffffff,0xfffc81dd,0xff92efff,0xdfffffff,0x3fffa209,0x55534fff,
    0xaa855555,0xffd31aaa,0x80009fff,0x4ffffff9,0x9833ffe6,0xfffffffe,
    0x3ea2efff,0x32000cff,0x2000efff,0x20beffd8,0xfffb803d,0xf9802fff,
    0x885fffff,0x883f204f,0x320beffd,0xfffffb34,0x3ffffff2,0xfff88000,
    0xff5001ff,0x3fea03ff,0x000000cf,0xfd887bf2,0x2fe4400d,0x09ffff50,
    0x400dffff,0x0dfffffb,0x2ffa8000,0x7fffffc0,0x2a0fffff,0xffffffff,
    0x005fffff,0x000016a0,0x3fffffa2,0xffff500f,0xf3001fff,0x7fe403df,
    0x9801ffff,0xfe980eff,0x000fffff,0xe98ffff2,0x42efffff,0x641dffc9,
    0x0004ffff,0x49ffffb0,0x706ffffe,0x05ffffff,0x013ffffa,0x000efff8,
    0x7ffffff4,0xff001fdd,0x6c00ffff,0xd02fffff,0xfb7557bf,0xfffffe8f,
    0x3e21fcdf,0xdbedffff,0x0005ffff,0x003ffffb,0xe807fff6,0x0003ffff,
    0x4dfff300,0xb303fffc,0x7d40bfff,0xfff84fff,0xffe8806f,0x00efffff,
    0x0bffe200,0xffffffa8,0x7e45ffff,0xffffffff,0x0002ffff,0x000003fa,
    0x13ffffea,0xffffff50,0x00bee00d,0x0dfffff1,0xf3017e40,0x800fffff,
    0xff880ff8,0x3fe04fff,0x4ffffa80,0xfff70000,0x3fffe29f,0xfff881ff,
    0xfff107ff,0x3ea00dff,0x7d4000ef,0xffffffff,0x3fffe006,0x3ff2006f,
    0xff501fff,0x45ffffff,0xfffffffa,0xffff87ff,0x3fffa0ef,0x3bbae00f,
    0xefffffee,0x3ffe201e,0x3fffe601,0x5000006f,0x7fecffff,0x7fff544f,
    0x3fea05ff,0xffff84ff,0xffffe806,0x00efffff,0x05fffd00,0x7fffffec,
    0x7f42ffff,0xffffffff,0x0000ffff,0x00009ff3,0x7fffff50,0xffffff00,
    0x03f300bf,0x5fffff88,0xb007ee00,0x003fffff,0xff701fc4,0x81fc0dff,
    0x004ffff9,0x9ffff300,0x17fffff4,0x06fffff8,0x07fffffa,0x0003bf20,
    0x3ff667b2,0x3a002fff,0x2006ffff,0x01fffffb,0x3ffffff2,0x7eccf5c5,
    0xfe83ffff,0x7fec0fff,0x332a01ff,0xffffeccc,0x3fea00cd,0xffffe801,
    0xf000001f,0x7ffd49ff,0xfffdbd31,0x7fd40bff,0xffff84ff,0x77ffe406,
    0x4fffffff,0xffffc800,0x999bf102,0x88999999,0xeeeeffff,0x005ffeee,
    0x003fff60,0xffff3000,0xffff007f,0x9807ffff,0xffff800f,0x03ea005f,
    0xbfffff50,0x2007dc00,0x981fffff,0xffff300f,0x3e600009,0x3fa64fff,
    0xfff02ffe,0x7f4c0bff,0xef801ffe,0x88570000,0xfe8003ca,0x2e006fff,
    0x401fffff,0xb82effea,0x805e5442,0xfc87fffe,0xd8001fff,0xd801ffff,
    0xdfd3002f,0x000003ff,0x105c40d4,0x05ffffd8,0x213fffea,0x7c06ffff,
    0x3fff6a1d,0x7d4006ff,0xf502ffff,0x39f30001,0x002ffa80,0x07ffff10,
    0xfff98000,0xeaf803ff,0x01ffffff,0x3fe003e6,0x2a005fff,0xfffe800f,
    0x09d000ff,0x09ffff70,0x7ffcc099,0xf300004f,0x36109fff,0xfffff01f,
    0x03fa100b,0x00001510,0xffe80000,0x3ee006ff,0x1001ffff,0x3a000001,
    0xffc87fff,0xfd8001ff,0x1a801fff,0x01fd0800,0x00000000,0x817fffee,
    0xf84ffffa,0x16a06fff,0x0fffffe8,0xfffff100,0x001b605f,0xffc802dc,
    0xfff90000,0x980000df,0x803fffff,0xfffff9af,0x01f300ff,0x0bfffff0,
    0x54007d40,0x804fffff,0xff8800fa,0x00fc0fff,0x009ffff3,0x3fffe600,
    0x7c0df104,0x1005ffff,0x000000df,0x7f400000,0x2e006fff,0x001fffff,
    0xfe800000,0xfffc87ff,0xbfb7102f,0x07ffff65,0xdf100000,0x00000000,
    0x2ffffd40,0x09ffff50,0x4c0dffff,0x3fffee00,0x3efba006,0xff882fff,
    0x2801abde,0x0017fe00,0x7fffffc4,0x3e600002,0xf803ffff,0xffffff52,
    0x2003e60d,0x005fffff,0x7fc003ea,0x4d807fff,0x3ffff200,0xff301aa3,
    0x3bb269ff,0x3fe6001b,0x05f504ff,0x02fffffc,0x2aaa2fb8,0x3b2a2aaa,
    0x555500bd,0x6f654555,0xfffd000b,0x7fdc00df,0x55101fff,0x22035555,
    0x01aaaaaa,0x321ffffa,0xfb82ffff,0xfdcfefff,0x554c1fff,0x76d42aaa,
    0x544bee03,0x711aaaaa,0x544039fb,0x801aaaaa,0x205ffffa,0xf84ffffa,
    0x20006fff,0x004ffff8,0xffff71f9,0xfffff705,0x00003dff,0x20007ff5,
    0x6ffffffb,0x3fe60000,0x2f803fff,0x3fffffee,0xf800f984,0x2005ffff,
    0xff9000fa,0x7cc05fff,0x3ffe6000,0xf300f67f,0xfff79fff,0x2600bfff,
    0xe884ffff,0x7ffffc05,0x4c5e8805,0xf97ffffd,0x260dffff,0xf97ffffd,
    0x200dffff,0x006ffffe,0x07ffffee,0x4ffffeb8,0x3ffffae0,0x1ffffa04,
    0x30bffff2,0x7fccdfff,0x6441ffff,0x3f67ffff,0x5e980fff,0x5fffffdc,
    0x3fffffe9,0x3ffffae0,0xffffa804,0x3fffea05,0x06ffff84,0x17fffc00,
    0xffb97cc0,0xfffe82ff,0x1dffffff,0x03ff2000,0x7fedfc00,0x00001fff,
    0x07fffff3,0xfffd85f0,0x07cc3fff,0x2fffffc0,0x2001f500,0x06fffff8,
    0x3f600176,0x00f8afff,0x77ffffcc,0x4ffffc8a,0x4ffff980,0x7fc02fd4,
    0x7d405fff,0xfffff104,0xffffb7db,0x3fffe209,0xfffdbedf,0xfffe804f,
    0x3fee006f,0x7dc01fff,0x7dc04fff,0x3fa04fff,0xfffc87ff,0x3fffe22f,
    0x7ffffcc1,0x2fffff01,0x42fffffc,0xfff904fa,0xffd7bfbf,0x7fdc01ff,
    0xffa804ff,0x3fea05ff,0xffff84ff,0x3fe60006,0x27c400ff,0x885ffff7,
    0xffffffff,0x0002ffff,0x2a000bff,0xfffffa8f,0xff300005,0x5f007fff,
    0xfffffe88,0x2003e61f,0x005fffff,0xfd8003ea,0xf881ffff,0xfffa8001,
    0xf9805bef,0x7dc0efff,0x7cc02fff,0x0b6e4fff,0x2fffffc0,0xff805b70,
    0x7ff46fff,0x3fffe07f,0x3ffff46f,0x37ffff40,0xfffff700,0xffffa803,
    0x7fffd404,0x1ffffa04,0xd8bffff2,0xffb06fff,0x3ffa03ff,0xffecfbff,
    0xb8076e0f,0x2a2fffff,0x2a04ffff,0xa804ffff,0x2a05ffff,0xff84ffff,
    0x2e0006ff,0x6d805fff,0x217fffdc,0xfffffffb,0x00ffffff,0x001ffcc0,
    0x3fffa4e8,0x980000ff,0x803fffff,0xffff882f,0x01f30fff,0x0bfffff0,
    0x30007d40,0x90bfffff,0x7ff4000d,0xf9802fff,0xff884fff,0x7fcc06ff,
    0xf00024ff,0x040bffff,0x0fffff80,0x807fffec,0x6c0fffff,0x7400ffff,
    0x2006ffff,0x01fffffb,0x027fffcc,0x813fffe6,0xfc87fffe,0x3ffe2fff,
    0xffffb05f,0x3ffffa03,0x010b6e1f,0x89ffff70,0x205ffff9,0x804ffff9,
    0x205ffffa,0xf84ffffa,0x002e6fff,0x400effd8,0x7ffdc1fb,0x554cc42f,
    0xffffffec,0x7fe4006f,0x20f98000,0x04fffffb,0xffff9800,0x302f803f,
    0x2bffffff,0xfff800f9,0x3ea005ff,0x7fff4000,0x0017c0ff,0x0fffff70,
    0x13fffe60,0x203ffff4,0x004ffff9,0x17ffffe0,0x3fffe000,0x1ffffd87,
    0xb0fffff0,0xe803ffff,0x2006ffff,0x01fffffb,0x027fffcc,0x813fffe6,
    0xfc87fffe,0xfff12fff,0x3fff609f,0xffffd01f,0x7dc0000b,0x7fc43fff,
    0x3fe605ff,0xffa804ff,0x3fea05ff,0x7ffdc5ff,0xf800d0ff,0x1fcc01ff,
    0x017fffdc,0xfffff930,0x37fc001f,0x7c45d800,0x0007ffff,0x3fffff98,
    0x3ee02f80,0xf9cfffff,0xfffff800,0x003ea005,0x7fffff50,0x2200035c,
    0x3004ffff,0x3a09ffff,0x2601ffff,0x0004ffff,0x017ffffe,0x1ffffe00,
    0x407ffff6,0xfd87ffff,0x7f401fff,0x2e006fff,0x401fffff,0x404ffff9,
    0x204ffff9,0x641fffff,0xff32ffff,0x3ff609ff,0xfffd01ff,0x5c00007f,
    0x7c43ffff,0x3e605fff,0xfa804fff,0x3ea05fff,0xfb88ffff,0x5bbfffff,
    0x00ffea00,0x3fee0bd1,0xe88002ff,0x3002ffff,0xf10007ff,0xfffff903,
    0xff980007,0x2f803fff,0x7ffffec0,0xff800fcf,0x2a005fff,0xffff0007,
    0x0001f4ff,0x800fffe4,0xb04ffff9,0x4c05ffff,0x0004ffff,0x017ffffe,
    0x1ffffe00,0x407ffff6,0xfd87ffff,0x7f401fff,0x2e006fff,0x401fffff,
    0x404ffff9,0x304ffff9,0xc85fffff,0xff72ffff,0x3ff609ff,0xfffd01ff,
    0x5c00005f,0x7c43ffff,0x3e605fff,0xfa804fff,0x3ea05fff,0x9fffffff,
    0x1ffffffa,0x00bff100,0x3fee01db,0xd10002ff,0x32009fff,0x6c8000ff,
    0xdfffff30,0xfff98000,0x02f803ff,0xffffffe8,0xffff800f,0x01ee005f,
    0x7ffffdc0,0x80000faa,0x26006ff8,0xfb04ffff,0x7cc07fff,0x20004fff,
    0x005fffff,0x3ffffc18,0x80ffffec,0xfd87ffff,0x7f401fff,0x70086fff,
    0x801fffff,0x404ffff9,0xb84ffff9,0x3fffffff,0x5cbffff2,0xfb04ffff,
    0x3fa03fff,0x00000fff,0x10ffffee,0x4c0bffff,0xa804ffff,0x2e05ffff,
    0x0effffef,0x00bffff6,0xf8805fd8,0xffffffff,0x04ffffff,0x03fff880,
    0x1000dfd0,0x3333337f,0x05fffffd,0xfff30110,0x05f007ff,0xffffff10,
    0xffff001f,0x03dc00bf,0xfffff880,0x200004de,0x3e6003fd,0xffb04fff,
    0x7fcc03ff,0x3e0004ff,0x4005ffff,0x3ffffc59,0x80ffffec,0xfd87ffff,
    0x7f401fff,0x3fa26fff,0x7fffdc3f,0x7ffcc00f,0x7ffcc04f,0x7e40004f,
    0xfff72fff,0x3fff609f,0xffffd01f,0x7dc00001,0x7fc43fff,0x3fe605ff,
    0xffa804ff,0x2bf205ff,0x55100aa8,0x037d4001,0xffffff88,0xffffffff,
    0xffd0004f,0x07ff3001,0xfffff700,0xffffffff,0x5ffc80bf,0x17ffffcc,
    0xf98017c0,0x800fffff,0x005fffff,0xfd8001b2,0x000fffff,0x8003ea00,
    0xb04ffff9,0xf980ffff,0x20004fff,0x005fffff,0x3fffe26c,0x1ffffd87,
    0xb0fffff0,0xe803ffff,0x3ee6ffff,0x7ffe47ff,0xfff9807f,0x7ffcc04f,
    0x7e40004f,0xfff51fff,0x3fff60bf,0xffffd01f,0xffb80000,0x7ffc43ff,
    0x3ffe605f,0xfffa804f,0x00ffa05f,0x0ef98000,0x7ffc4720,0xffffffff,
    0x0004ffff,0x3f200df9,0x9bf8000f,0xe9999999,0x301fffff,0x7cc3ffff,
    0xf802ffff,0x3ffea002,0xffe800ff,0x17a006ff,0xffff9800,0x5c00005f,
    0x7ffcc004,0xbfffb04f,0x4ffff980,0x3fffe000,0x0fe2005f,0xfb0fffff,
    0x3fe03fff,0xfffd87ff,0x7fff401f,0x3ffffa6f,0x1bffff21,0x13fffe60,
    0x09ffff30,0xffffc800,0x0fffff10,0x407ffff6,0x0007fffe,0x1ffffdc0,
    0x817fffe2,0x804ffff9,0x205ffffa,0x000005ff,0x3cc01dd1,0x33333332,
    0xcdffffdc,0x4fc800c2,0x000dfd00,0x3fea00f7,0xff704fff,0x7ffcc7ff,
    0x02f800ff,0x07fffe40,0x3ffffe40,0x0003f880,0x00fffff4,0x01e81880,
    0x27fffcc0,0x404ffff8,0x004ffff9,0x1bffffe0,0x7fc2fb80,0xfffd87ff,
    0xfffff01f,0x03ffffb0,0x26fffff8,0x7e45fffc,0xf9804fff,0x7cc04fff,
    0x26004fff,0xffff90fe,0x42ffffc8,0x01fffff8,0x000ffffd,0x3ffffb80,
    0x02ffffc4,0x009ffff3,0x20bffff5,0x00007ff9,0x9999bfb0,0x800dfdb9,
    0x4c2ffffb,0x77c03fff,0x03ff9800,0x3e004f80,0xa80fffff,0x3ea0ffff,
    0xf8806fff,0xfffd8002,0xffff9800,0x07f4402f,0x3ffea000,0xbff50005,
    0x7cc00354,0xff884fff,0x7fcc00ef,0x3e0004ff,0x5006ffff,0xffff83ff,
    0x1ffffd87,0xb0fffff0,0xf803ffff,0x3e67ffff,0x7ffec1ff,0xfff9800e,
    0x7ffcc04f,0x3ff2004f,0x98dfff92,0x3a26ffff,0xd03fffff,0x0000ffff,
    0x43ffffb8,0x206ffff8,0x804ffff9,0x505ffffa,0x00003fff,0xffffffb8,
    0x004fffff,0x217fffdc,0x81effffc,0xff9000eb,0x02fb8001,0x3fffff20,
    0x43ffe884,0x801ffffb,0xe88004fa,0xff9000ff,0x7ec03fff,0xfff00002,
    0x3ffa0005,0x26000b67,0xfb87ffff,0xffa801ff,0xf10006ff,0x500fffff,
    0xfff83fff,0x7fff40ff,0xfffff01f,0x1ffffe81,0x3ffffea0,0x433fea2f,
    0x000efffa,0x80dffff5,0x006ffffa,0x7fe4ffea,0xffff980f,0xfffdcfde,
    0x7ff40cff,0x200000ff,0x4c4ffffb,0x2a06ffff,0xb806ffff,0xf706ffff,
    0x400005ff,0xfffffffa,0x003fffff,0x217fffdc,0xdffffff8,0x74005eba,
    0x7fc4006f,0x3ffe6000,0xff880fff,0x3ffff10d,0x05ffb100,0x001ff300,
    0x6fffffe4,0x02ffdb9b,0x01bee000,0xcafffd80,0xfff30005,0x7ffc49ff,
    0xffff9002,0xff70001f,0x555bffff,0xffffd975,0x7ffffcc1,0x3ffffe21,
    0xfffff983,0x3ffffe21,0x7fff6443,0x8cefffff,0xefffffe9,0x3ff2000c,
    0x3f200fff,0x2000ffff,0x2fffbefe,0x3ffffa60,0x37bdffb4,0x2fffff88,
    0x3ff60000,0x7ffdc6ff,0xfff900ff,0x7f4401ff,0xfa82ffff,0x300000ff,
    0xffffffff,0x003fffff,0x82ffffb8,0xefffffea,0x7fcc003d,0x3ffa6003,
    0x3ffe6004,0xc880efff,0x2dffffff,0x7ffff4c0,0x7d4004ff,0x7ff4c000,
    0x0cffffff,0x1fc40000,0xffff3000,0x3e60001d,0xfeffd88d,0xff8801cf,
    0x03ffffff,0xffffec98,0xffffffff,0x27ffffff,0xfffffffc,0xffffff9b,
    0x3ffff26f,0xfff9bfff,0x0006ffff,0x002aea60,0xffffff10,0xfff887ff,
    0x003fffff,0x8006f6e6,0x02660aa8,0xffffffb8,0x220000df,0xefffffff,
    0xffffffc8,0x3fffe22f,0x3623ffff,0xfffffffe,0x076e0def,0xfffe8000,
    0xffffffff,0x7dc000ff,0x2a602fff,0x220000aa,0xff9000aa,0x201bdfff,
    0xffffffec,0x75103fff,0x00000037,0x22000380,0x009abcaa,0x000e0000,
    0x002f6e20,0xaa881880,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fe00000,0x001fffff,0x3f206aa6,0xffffffff,0x3fffffa4,0xa83effff,
    0x205fffff,0x20cdfda8,0x555441e9,0xdb711aaa,0x3b6e0017,0x9999acdf,
    0xfdb00009,0xffffffff,0xffffffff,0xffe98bff,0xefffffff,0xfffd3004,
    0xddffffff,0x3e00379d,0x4fffffff,0x03ffffc4,0x19dfd951,0xfffffe80,
    0xffffffff,0x74c5ffff,0xffffffff,0xfffb8004,0x42efffff,0x99999998,
    0xbb500999,0xfffffc85,0x204effff,0x4ffffffb,0xffffffd3,0x3a3dffff,
    0xfffffffe,0xffd32eff,0xffffffff,0x2605001d,0xfffffffe,0x2002efff,
    0xffffffe9,0x002effff,0x3fffffaa,0xceeeffff,0xfff3001b,0x00009fff,
    0x07ffffe2,0x3ff3fea0,0x7fffcc4f,0xffd106ff,0x7003ffff,0x7fec05ff,
    0xfbaffbae,0xfffeb81f,0xfffff9cf,0x3ffa605f,0xfffffb9e,0x440002ff,
    0xfffffeff,0xffdccbad,0x3fee05ff,0x0000ffff,0x3bfffff2,0xffffecca,
    0x7ffec404,0x3bf200ff,0xd5dfd101,0x7fc05fff,0xaaaabeff,0xffffffda,
    0x3fffee00,0x74000fff,0x04ffffff,0x3ffffff2,0xfa85ffff,0x7ec42fff,
    0x004fffff,0x5c037fea,0x03ffffff,0x3fffffe6,0x7fffdc04,0x16e002ff,
    0xfffff910,0xb800017f,0x02ffffff,0xffffd800,0xffeccbdf,0xffb003ef,
    0x400009ff,0x401ffffd,0xfff74ffd,0xfffffb85,0x3fffe205,0x5f8800ff,
    0xf717ff20,0x3203ffff,0x9cfeffff,0x982ffffd,0x7fdc6fff,0x0001ccdf,
    0xffffafe8,0x17ff203f,0x09fffff0,0xffff8800,0xffffa85f,0x3ffe201e,
    0x03f200ff,0xff337fcc,0x3bfe03ff,0x3fffe201,0xfef803ff,0x2003ffff,
    0xfffffef9,0x3ffff201,0x85ffffff,0xd05ffffd,0x009fffff,0x3e0077c4,
    0xe807ffff,0x801fffff,0x007fffff,0x3e2017e6,0x0006ffff,0xffffff10,
    0x3fe60000,0xffb84fff,0x7dc01eff,0x00004fff,0x807ffff6,0xff92fffb,
    0xffff887f,0x7ffe407f,0x1f9803ff,0xf05fff70,0x2a03ffff,0x643fffff,
    0x7f40ffff,0x7ffc44ff,0x3e600006,0x3fffff9b,0x3e02fdc0,0x0004ffff,
    0x05fffff8,0x05fffff1,0x01ffffec,0x3ffe20bd,0x41ffffc3,0x7e400ef8,
    0xf006ffff,0x0dfffff7,0x7ffe6ec0,0x3bae00ff,0xeeeeeeee,0x5ffffd84,
    0xffffff30,0x007ee001,0x01fffffe,0x03fffff6,0x1bffffe0,0xf005fe80,
    0x000bffff,0x37ffffc0,0xfff98000,0xfff304ff,0x7fcc03ff,0x200004ff,
    0x101ffffd,0x3a25ffff,0xfffc80df,0x3fe602ff,0x6b806fff,0x20ffff50,
    0x501ffffe,0xf30bffff,0x7fd4bfff,0xffff83ff,0x2bd00003,0x03fffff9,
    0x7ffc05e8,0xf80004ff,0x2a05ffff,0x501fffff,0x220dffff,0x3fff702f,
    0x984fffc8,0x7ffcc00f,0x5f001fff,0x05fffff9,0xfff95f10,0x800000ff,
    0x201ffff9,0x04fffffd,0x3fa009f0,0xfc806fff,0xe800ffff,0xb006ffff,
    0x3fe00bff,0x00005fff,0x017ffffe,0x7fffc400,0x3ffee04f,0xfff300ff,
    0x6c00009f,0xf301ffff,0x4c007fff,0x405fffff,0x01fffffe,0xfffd81f4,
    0x3ffffb05,0x13fffea0,0xf73ffffc,0xfff05fff,0xf700009f,0x3ffffe61,
    0x202dc183,0xccefffff,0x3e000abc,0x7405ffff,0xf00effff,0xf503ffff,
    0x20ffffc0,0x5a81fff9,0xfffffe80,0x3e6be005,0xb805ffff,0x0fffff96,
    0x99300000,0xffff8803,0x07dc00ff,0x6ffffe80,0x7ffffc80,0xdffffd00,
    0x5fffd880,0xbfffff00,0x7ffc0000,0x100005ff,0x409fffff,0x06fffff8,
    0x009ffff3,0x7fffec00,0x7ffff501,0xffffe800,0x3ffea00f,0x03e604ff,
    0xd82ffffc,0xf501ffff,0x3fa09fff,0xfff70fff,0xbfffd05f,0x23f88000,
    0x83fffff9,0x3fe02c46,0xfffeefff,0xff800dff,0x7e405fff,0xf903ffff,
    0x09b09fff,0x403fffe6,0xf700ae01,0x001fffff,0xffffe97c,0xfc9f401f,
    0x71007fff,0x00037ddb,0xfffff900,0x001fc40b,0x00dffffd,0x00fffff9,
    0x81bffffa,0xaeffffe8,0xffff01aa,0x000244bf,0x00bfffff,0x3fffe200,
    0x7ffec04f,0xfff981ff,0x6dc4004f,0xffffb2df,0x3fffee03,0x7ffd4003,
    0x3fe603ff,0x17207fff,0x827fffc4,0x501ffffd,0x3609ffff,0xff11ffff,
    0xffff05ff,0x46d80005,0x83fffff9,0x7ffc0087,0x3ffa24ff,0x7ffc03ff,
    0x7fcc05ff,0xff306fff,0x02f88dff,0x005ffff5,0xffff1000,0x2f8007ff,
    0x09fffff5,0xfffc87d4,0xfff9807f,0x002ffeab,0x3fffe200,0x00db01ff,
    0x06ffffe8,0x07ffffc8,0x0dffffd0,0x3fffffe2,0xff04ffff,0x17e6bfff,
    0xfffff800,0xff100005,0xfa809fff,0xf984ffff,0x2e004fff,0xdcfeffff,
    0x5541ffff,0x2acffffc,0x3ffffe00,0x3fffee07,0x205f02ff,0xb04ffffa,
    0x2a03ffff,0xfb04ffff,0x7ff47fff,0x0ffff83f,0x307ea000,0xa87fffff,
    0xffff8007,0x7fff444f,0x3fffe05f,0xffff805f,0xfffd01ff,0xf703d43f,
    0x00007fff,0xdfffffb0,0x7f45f000,0x9b00ffff,0x03ffffe4,0xf987ffea,
    0x200001ff,0x85fffffb,0x7f4001f9,0xfc806fff,0xfd007fff,0x2620dfff,
    0x99effffa,0xfffff009,0x80009f7b,0x005fffff,0xfffff100,0xffff8809,
    0x7ffcc0ff,0xfff3004f,0x7ffffccd,0x7ffff41f,0x2006ffff,0x02fffffc,
    0xbfffffbf,0x7fe40f50,0xfffb03ff,0x3ffea03f,0xffffb04f,0x237ffcc5,
    0x0003fffa,0x7ffcc274,0x003f43ff,0x427ffffc,0x01fffffb,0x00bfffff,
    0x05fffffd,0xd93fffee,0x3fffee04,0x7d400004,0x001fffff,0x3ffee2f8,
    0x21f883ff,0x207ffffc,0xfd86fff8,0x200000ff,0x42fffffe,0xffe8004e,
    0xffc806ff,0xffd007ff,0xff880dff,0xfff005ff,0x0005ffff,0x0bfffff0,
    0x3ffe2000,0xfff804ff,0x7fcc1fff,0x7c4084ff,0x7fcc1fff,0x5cc41fff,
    0x009bffff,0x3ffffe60,0xffe8fa85,0x026c0fff,0x209ffff7,0x501ffffd,
    0x3609ffff,0x74c1ffff,0xfffb8cff,0x07e40001,0x9fffffcc,0xf8007feb,
    0xfa84ffff,0x3314ffff,0x3dfffff3,0xffe83333,0xff303fff,0x807e2fff,
    0x006ffffa,0x3fffe200,0x5f0004ff,0x37ffffc4,0x3fff2364,0x3fff207f,
    0x06fffc85,0x3ffea000,0x003ee6ff,0x1bffffa0,0x1fffff20,0x37ffff40,
    0x17fffe20,0x7fffffc0,0xfff00001,0x7db10bff,0x3fffe200,0xffff804f,
    0x7ffcc2ff,0xd97fa64f,0xffb06fff,0x3fee03ff,0xfd0003ff,0x4d81ffff,
    0x47fffff7,0x3fea01f8,0xfffb05ff,0x3ffea03f,0xffffd04f,0x6ffffe40,
    0x7cc0000b,0xfffff302,0x00fffffd,0x09fffff0,0x2bfffff1,0xfffffffa,
    0x47ffffff,0x04fffffd,0x2ebffffa,0x7fffcc07,0xf900002f,0x000dffff,
    0x3fff217c,0x3217c2ff,0xf107ffff,0xff709fff,0x001301ff,0x5fffffd0,
    0x3a0007f1,0xffffffff,0xffffffff,0xffd007ff,0xff880dff,0xfff005ff,
    0x40000bff,0xd85fffff,0xf8801fff,0xe804ffff,0x4c3fffff,0x3f64ffff,
    0xbffff3ff,0x07ffff60,0x01ffffdc,0xfffffa80,0x7fc47e63,0x01ae6fff,
    0x20dffff1,0x501ffffd,0x3a09ffff,0x1b906fff,0x3fa00000,0xfdcccccc,
    0xfebdffff,0xfff8007f,0xfff884ff,0xffff04ff,0xfffb00bf,0x7fdc09ff,
    0xf804ddff,0x100effff,0x3fffe600,0x3e0002ff,0x7ffffcc2,0x3ff21ea5,
    0xfff507ff,0xffff707f,0x067ff543,0xfffff300,0x74000dbd,0xcccfffff,
    0xffeccccc,0xffd007ff,0xff880dff,0xfff005ff,0x40000bff,0xf85fffff,
    0xf8803fff,0xe804ffff,0x4c3fffff,0x3f64ffff,0xffff8bff,0x3ffffb04,
    0x0ffffee0,0xfffff800,0xfffb1b27,0x200fa3ff,0xd80ffffd,0xf501ffff,
    0xff30bfff,0x2fe887ff,0xdf700000,0xfddddddd,0x7dc7ffff,0xffff8007,
    0xffffa84f,0xfffff02f,0xffffb00b,0x3bbbba7f,0xeffffffe,0x7dc6eeee,
    0x6984ffff,0xfffffd00,0x82f8000b,0xb1fffffd,0xfffff909,0x0ffffee0,
    0xe8ffffea,0x4003ffff,0x1ffffffd,0x3fffa000,0xfffc806f,0xfffd007f,
    0xfff880df,0xfff8805f,0x200005ff,0xc85fffff,0xf8800fff,0xf804ffff,
    0x4c2fffff,0x3ea4ffff,0xffff98ef,0x3ffffb04,0x0ffffee0,0xffffc800,
    0xff985f2f,0x00f9cfff,0x45ffff98,0x01fffffc,0x87fffff5,0xfb85fffc,
    0x8800004f,0x7ffcc03f,0x003ec3ff,0x427ffffc,0x00fffffb,0x00bfffff,
    0x23fffffd,0xfeaaaaaa,0xaaaaefff,0xffffe82a,0x00ecabef,0xffffffb8,
    0x417c0000,0x9cfffffa,0xffffc80f,0x7ffff907,0x2bffff50,0x06fffff9,
    0x7ffffcc0,0x7ff40006,0xffc806ff,0xffd007ff,0xff880dff,0x7f4c05ff,
    0x0005ffff,0x17ffffe0,0xf88005d4,0xf804ffff,0x4c0fffff,0x0c44ffff,
    0x209ffff7,0x701ffffd,0x0007ffff,0x6fffffcc,0xffffd07a,0x7d400bbf,
    0xeeecffff,0xf501ffff,0xb7bfbfff,0xfd01ffff,0xdddddfff,0x6c00159d,
    0xffff9806,0x4003d43f,0xe84fffff,0x3e04ffff,0xf805ffff,0x400fffff,
    0x004ffffb,0x3fffffa2,0xf8801fff,0x003fffff,0x740be033,0x05dfffff,
    0x20fffff9,0xb83ffffc,0x3fa4ffff,0x4001ffff,0x006ffffe,0x37ffff40,
    0x3ffffe40,0x6ffffe80,0x2ffffc40,0xffffbf50,0x203000bf,0x005fffff,
    0xffff8818,0x7ffc404f,0xfff987ff,0x7ffdc04f,0xffffb04f,0x3fffee03,
    0x7ff40003,0xf703efff,0x005fffff,0x4fffffa8,0x203ffffb,0xe8cffffa,
    0xd01dffff,0xffffffff,0x001dffff,0xff3003f5,0x20f07fff,0xfffff018,
    0x7fffec49,0x7ffffc03,0x7fffc405,0xfffb807f,0x7ec4004f,0x001dffff,
    0x0dfffffb,0x02f81640,0x3ffffff7,0x1fffff20,0x41ffffdc,0x2a3ffffb,
    0x001ffffe,0x037ffff4,0x3ffffa00,0xffffc806,0xffffd007,0xffff880d,
    0x3fe7f305,0x44005fff,0xbfffff04,0xf8859800,0x4c04ffff,0x986fffff,
    0x5c04ffff,0xfb04ffff,0x3ee03fff,0x40003fff,0x0ffffffa,0xffffff10,
    0x20d4c000,0x501ffffd,0x5449ffff,0xffffb802,0xffffffff,0x004e806f,
    0x07fffff3,0x7fc0b20b,0xffeeefff,0xff802eff,0x7d405fff,0x2aa3ffff,
    0xfffdaaaa,0x2aaaaadf,0x4001fa80,0x1ffffffa,0x17c07a00,0x6fffff88,
    0x1fffff20,0x427fffcc,0x082ffffb,0xfe8001fd,0x40006fff,0x806ffffe,
    0x007ffffc,0x80dffffd,0x305ffff8,0x2fffffc5,0x7fc12e00,0x6c005fff,
    0xfffff884,0x7fffdc04,0xffff982f,0x7fffd404,0x3ffffb05,0x0ffffee0,
    0x3fffe000,0x7ffec05f,0xd800004f,0xf501ffff,0x40009fff,0xfffffffb,
    0x00ffffff,0x7cc003b2,0x1003ffff,0x3fffe03f,0x0aabccef,0x3ffffe00,
    0x7fffec05,0x7fffffc6,0xffffffff,0xfd807fff,0x3ffa000b,0x2a004fff,
    0x6405f00f,0x3203ffff,0x3a07ffff,0xffc84fff,0x0df100ff,0xdffffd00,
    0xfffe8000,0xfffc806f,0xfffd007f,0xfff880df,0xffff005f,0x03e800bf,
    0x00bfffff,0x7fc41fc4,0x7f404fff,0xff305fff,0xff8809ff,0xfffb07ff,
    0x3ffee03f,0xfc80003f,0x7d401fff,0x00001fff,0x01ffffd8,0x009ffff5,
    0x2f37f220,0xfffcbaaa,0x005f302f,0x1fffffcc,0x3fe07b80,0x80004fff,
    0x205fffff,0x01fffff9,0x09ffff70,0x13ffea00,0x7ffffe40,0x0ff1000f,
    0xfff3017c,0x7ffe401f,0x3ffea07f,0x04fffd85,0x3a000bee,0x0006ffff,
    0x037ffff4,0x03ffffe4,0x06ffffe8,0x237fffc4,0xbfffff01,0xf817dc00,
    0x2006ffff,0xfff882fb,0x3fea04ff,0xff300fff,0xff9009ff,0xfff885ff,
    0xfff701ff,0xf300007f,0x3fe00dff,0xb000006f,0x2a03ffff,0x8004ffff,
    0xfb005ff9,0x2003740f,0x03fffff9,0x3fe07fb8,0x80004fff,0x205fffff,
    0x003ffffd,0x017ffff2,0x806ff980,0x2ffffff9,0x40dfd500,0x27fec03f,
    0x3fffff60,0x03fffa00,0x2201fffd,0xffd0005e,0xf8000dff,0xd807ffff,
    0x800fffff,0x806fffff,0x390ffffe,0x1bffffe0,0xf80ffcc0,0x5006ffff,
    0xfff103ff,0x7ff409ff,0x3fe602ff,0xff9805ff,0x3ffa26ff,0xff703fff,
    0x200007ff,0xf9003ffe,0x2000007f,0x501ffffd,0x0009ffff,0x32007ff7,
    0x009f905f,0x4fffffa8,0xf02ffe40,0x0009ffff,0x0dfffff0,0x03dfffb1,
    0x5ffffd80,0x17fe6000,0x3fffffa0,0xfffd8805,0xa809f105,0x7ff401ff,
    0x3a201fff,0x3bfee4ff,0x0009f500,0x03fffffc,0x3ffffe00,0xffffe807,
    0xffff801f,0xfff9807f,0x3fe03fff,0xfa807fff,0xfff880ff,0xffa807ff,
    0xffff981f,0xfffe885f,0x7ffd400e,0xfff3006f,0xffb9fbdf,0xfb819fff,
    0x00004fff,0x7cc00ff5,0xd000000f,0x2e05ffff,0x8005ffff,0x5400fff8,
    0xeffb80ef,0x3fff6000,0xbaaacfff,0x704ffffd,0x01dfffff,0x7fffdc00,
    0xfecbacff,0x4c000cef,0x01ffffff,0x0f7f5440,0x3ffffea0,0xaaaaaacf,
    0x5fffffcb,0xe805ffb0,0x7fffcc05,0xffc804ff,0x2e04ffef,0x3ea0002e,
    0x002fffff,0xffffff50,0x7fffcc05,0x7fd404ff,0xa802ffff,0x2a03dffd,
    0xadffffff,0xffecaaaa,0xffff707f,0x75555bff,0x01ffffd9,0x7ffffff9,
    0x7dfffb75,0x3ffff200,0xffd3000f,0x3bff69ff,0xfffd81bd,0x3e00005f,
    0x002f4004,0xffffa800,0x7ff4c1df,0xa8001fff,0xcbbcdffd,0xff984ffe,
    0xa81effff,0xffffffec,0xffffffff,0x3223ffff,0xfffffffe,0xd93003df,
    0xffffffff,0x0037ddff,0xffffed98,0x00ceffff,0x400bcee8,0xfffffff8,
    0xffffffff,0x24ffffff,0xfffffed8,0x3b205705,0xffffffff,0x554c01de,
    0x50000800,0xffffffd9,0x88059dff,0xffffffec,0xfd90ceff,0xdfffffff,
    0x3ffb223b,0xceffffff,0xc8804400,0xfffffffe,0xffffffff,0x3b267fff,
    0xffffffff,0xffffffff,0x3fb6a7ff,0xffffffff,0x1000bdef,0xfffffffd,
    0x05544007,0x7f640133,0x04ffffff,0x4000a800,0x4400001a,0xeeeeeeee,
    0xddddd31e,0x0001dddd,0x57bd9953,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffd10,0x9bddffff,0x3ffa2017,0xffffffff,0xfffffd04,
    0x7f4c3fff,0xffffffff,0x01bdeeef,0x3fffffe6,0x7ffffec4,0x33100006,
    0x33333333,0xfb028001,0x000fffff,0x3fffffa6,0x02efffff,0x3ffffe60,
    0x7fffec4f,0xffb0007f,0xffffffff,0xffffffff,0xfec88bff,0x9884a9bd,
    0x99999999,0xfffe9809,0xefffffff,0xffffffd1,0x265dffff,0x542aaaaa,
    0x3ffa63ed,0xefffffff,0x1001bcee,0xfffffffd,0xffffffff,0x3fa6ffff,
    0xffffffff,0x0acdeeef,0x26666200,0x40999999,0xffffffe9,0xffffffff,
    0x5545ffff,0x32a2aaaa,0xff300bde,0xffffffff,0xfffec87d,0xffb0efff,
    0xffffffff,0xffffffff,0x16ed4bff,0x7ffffd40,0xffffecbe,0x3ffea00c,
    0xfb003fff,0xfb801bff,0xdcadffff,0x00dfffff,0x213ffff6,0x006ffffa,
    0xfffff900,0x00bfffff,0xfff502dc,0xf70000ff,0x005fffff,0x7fffec40,
    0x7ffffa84,0xdfffb000,0xffffd579,0xfffb955f,0x65f7f44b,0xffd85fff,
    0xffffffff,0x7fffdc04,0x3fea03ff,0x440dffff,0x367ffffc,0xfc80ffff,
    0xccaeffff,0x004ffffe,0x3fffffea,0xffccbaaa,0xfffc87ff,0xfcbaadff,
    0x9002ffff,0xffffffff,0x7fdc09ff,0xbaaaefff,0x45ffffdc,0x97ffffd9,
    0x80dfffff,0xfffffffb,0x27ffdc02,0x566fffec,0xafffffea,0x35fffdca,
    0xd005ffff,0xfa8bffff,0x3e01ffff,0x000fffff,0x7c007ff7,0x7444ffff,
    0x701effff,0xf109ffff,0x0000dfff,0x3ffffff2,0x3005ffff,0xffff80bf,
    0xff880007,0x80007fff,0x884ffffb,0x0007ffff,0xffd03ffb,0xbfd10dff,
    0xfb10ffe4,0xfffffb0b,0x809fffff,0x0ffffff8,0x7fffff40,0x5ffffe01,
    0x82fffffc,0x85fffff8,0x01effffa,0x0ffffff0,0xf887ffb8,0xd884ffff,
    0x400dffff,0xfffffffc,0x7fc04fff,0x36206fff,0xfff885ff,0xffdbedff,
    0x7fe404ff,0x4402ffff,0x1dfb03ff,0x0dffffd0,0x3ff6bfd3,0xffd805ff,
    0xfffc85ff,0xfffd00ef,0x3fe600ff,0x7fffc001,0xfffe884f,0xffff306f,
    0x1bfffe09,0x7775c000,0x4eeeeeee,0xf80bfd00,0x00007fff,0x00dfffff,
    0x9ffff500,0xfffffec8,0xd804eeee,0xffffd01f,0xff97e20d,0xec85e81f,
    0xeeeeeeee,0xffddd03e,0xddddffff,0xffffdddd,0xe81dddff,0xecfbffff,
    0xfff00fff,0x3fe20bff,0xfe802fff,0xe8807fff,0x9fffff07,0x27ffff40,
    0x3bbbbae0,0x403eeeee,0x806fffff,0xffff05fb,0x7fffe8df,0xfffffe80,
    0xb027d406,0x3fffa03f,0x32bf106f,0xd805ffff,0xf885ffff,0xfd03ffff,
    0xf500ffff,0xfff0001d,0x3ff209ff,0xff981fff,0xffff04ff,0x0000000d,
    0x017ff600,0x000fffff,0x17ffffe0,0x3ffe6000,0x7ffe5c4f,0x03ccccff,
    0x3ffa04d8,0x557206ff,0x34c0efff,0xccc80000,0xccffffff,0xfecccccc,
    0x0cccffff,0x0ffffff4,0x7ffc05b7,0x3fea05ff,0x7f401fff,0xf5007fff,
    0x13ffffe0,0x07ffffb8,0x3fa00000,0xbb006fff,0x03ffffe0,0x801ffffb,
    0x4ffffff9,0x4d80bf10,0x1bffffa0,0xffff35c8,0xffffb005,0x3ffffe0b,
    0xfffffd05,0x0004fb80,0x413ffffe,0x83fffffa,0xf04ffff9,0x0000dfff,
    0xfd880000,0x7ffc05ff,0xff00007f,0x0000bfff,0x209ffff3,0x0007ffff,
    0x7fff405b,0x7d56606f,0x01c2ffff,0x7ff40000,0xffc806ff,0x7ff407ff,
    0xff8005ff,0x7f405fff,0x3a00efff,0x2007ffff,0x9fffff07,0x7ffffcc0,
    0xd0000001,0x060dffff,0x3fffe0b5,0x1ffffd87,0xfffffc80,0x400ed81f,
    0x3fffa01d,0xd996606f,0xfffb001d,0x3fffe0bf,0xffffd06f,0x001fec0f,
    0x13ffffe0,0x27ffffcc,0x827fffcc,0x0006ffff,0x8aaaaaaa,0x82aaaaa9,
    0xaeffffe8,0x7fffc1aa,0xfff00007,0x30000bff,0x3e09ffff,0x50007fff,
    0x6ffffe80,0xfffff1c0,0x32e600bf,0x2002defe,0x806ffffe,0x407ffffc,
    0x003ffffe,0x05fffff8,0x1fffffe4,0x0fffffd0,0x3fe0d0a6,0x3e204fff,
    0x1004ffff,0x0039ddb7,0x21bffffa,0xff82c449,0xfffd87ff,0xfffd001f,
    0x00fb8dff,0x7fff4028,0x0001c06f,0x417ffff6,0xd06fffff,0xd10fffff,
    0xff00003f,0x3ee09fff,0xf980ffff,0xfff04fff,0xaaaa88df,0x7ff4c2aa,
    0x3ff226ff,0x3fe20fff,0xffffffff,0x53ffffc4,0x20015bd9,0x005fffff,
    0x4ffff980,0x54fffff0,0x20002dec,0x006ffffe,0x3ffffff2,0x2fbf201e,
    0x004fffeb,0x00dffffd,0x80fffff9,0x002ffffe,0x05fffff8,0x37ffffcc,
    0x0fffffd0,0x7ffc00f2,0x3fe604ff,0xe9803fff,0x03ffc9ef,0x86ffffe8,
    0xfff0084b,0xffffb0ff,0x3ffe6003,0x05f54fff,0x3fffa000,0x4000006f,
    0x885ffffd,0xd04fffff,0xf98fffff,0xff00000e,0x3fa09fff,0xff305fff,
    0x3ffe09ff,0x7ff5c46f,0xfff981cf,0xfffff86f,0x3ffea620,0x7c0999df,
    0xfff97fff,0x3fe00dff,0x80005fff,0x3bcffff9,0xfcbffffc,0x0006ffff,
    0x00dffffd,0x7fffff44,0x37f441ff,0x00bfffe2,0x01bffffa,0x01fffff2,
    0x001ffffd,0x0bfffff0,0x3ffffff0,0x1fffffa0,0xfff801f4,0x3fee04ff,
    0x7d402fff,0x017ff46f,0x21bffffa,0x3ffe004d,0xffffd87f,0x3ffee001,
    0x003fafff,0x3ffffa00,0x6c000006,0xfb85ffff,0xfd00ffff,0x7fdcffff,
    0x3fe00001,0xffd84fff,0xff300eff,0x3ffe09ff,0x03df906f,0x437fffc4,
    0x980ffffe,0x7c05ffff,0xdbedffff,0xf804ffff,0x0005ffff,0xefffff98,
    0x6fffffc1,0x3ffffebe,0xffffe800,0x7ff44006,0x7dc7ffff,0x7ffec1ff,
    0xffffe807,0xffffc806,0x7ffff407,0xffff8000,0xfffe805f,0xfffd02ff,
    0x007f50ff,0x813ffffe,0x406ffffd,0x7d43fff8,0x7fff407f,0x0027cc6f,
    0xfb0fffff,0xe8003fff,0x04ffffff,0x7fff4000,0x4000006f,0x445ffffd,
    0x203fffff,0xf97ffffe,0x00001fff,0x277ffffe,0x3efffeb9,0x27fffcc0,
    0xd06ffff8,0xfff8801d,0xffffd86f,0x5ffff980,0x37ffffc0,0x201ffffa,
    0x005fffff,0xeffff980,0x6fffff80,0x103ffff4,0xffd55555,0x55555fff,
    0xffffc801,0x3fffa1ff,0x07fffec4,0x1bffffa0,0x1fffff20,0x00ffffd0,
    0x3ffe6662,0x19999eff,0x1ffffff4,0x47ffffe8,0xff003ffb,0x3f209fff,
    0x6401ffff,0x7fcc1fff,0x3fffa03f,0x013fea6f,0xd87ffff8,0x4001ffff,
    0x4ffffff9,0x7ff40000,0x000006ff,0x4f7fffec,0x2fffffba,0x7fffff40,
    0x06fffffe,0xfffff000,0xbfffffff,0xffff3003,0x1bfffe09,0x3e2003b6,
    0xffd86fff,0xfff980ff,0x7fffc05f,0x7fffec0f,0x7ffffc00,0xff980005,
    0xffff04ff,0xffffd81f,0xfffff100,0xffffffff,0x40883fff,0x24fffffa,
    0x7e44fffd,0x7f401fff,0xffffffff,0xffffffff,0x7fff407f,0xffff5007,
    0xffffffff,0xffffd8ff,0xffffd04f,0x7ffffddf,0x3ffffe00,0xffdba99d,
    0xff801cff,0x7ffcc0ff,0x3ffffa05,0x04ffffef,0x21ffffe0,0x001ffffd,
    0xffffffb8,0x3fa00001,0x4c006fff,0x3fff6001,0xdeffffff,0xffffd002,
    0xffffffdf,0xfff00009,0xfb753bff,0x4c07ffff,0xff04ffff,0x00ed8dff,
    0x0dffff10,0x4c1ffffb,0xefffffee,0x7fffc3ee,0x1ffffd87,0x2fffffc0,
    0x7ffcc000,0xfffff04f,0x03ffffb0,0x7f4ccccc,0x9999efff,0xfe886981,
    0x37f624ff,0x3ffff620,0x7ffff401,0xcccccccf,0x07ffffec,0x003ffff4,
    0x05fffff8,0x4fffffd8,0x9fffffd0,0x007ffffd,0x3ffffffe,0x0dffffff,
    0x0ffff300,0x740dfff1,0xfecfffff,0x3fe004ff,0xfffd87ff,0xffd0001f,
    0x0000dfff,0x037ffff4,0x00effe88,0x9effffd8,0x3ffa0001,0xffff77ff,
    0xf80007ff,0xfa84ffff,0x980effff,0xff04ffff,0x01fecdff,0x0dffff10,
    0x4c1ffffb,0xefffffee,0x7fffc3ee,0x1ffffc87,0x2fffffc0,0x7ffec000,
    0xfffff04f,0x03ffff90,0x6ffffe80,0xf507f300,0xff7005ff,0xe803ffff,
    0xc806ffff,0x7407ffff,0xf0007fff,0xb00bffff,0x207fffff,0x267ffffe,
    0xff003ffb,0xff93bfff,0x5400dfff,0xffffffff,0x3a07ffff,0x3e26ffff,
    0x3ffe004f,0xffffd87f,0xfff70001,0x00009fff,0x01bffffa,0x01ffffdc,
    0x02ffffec,0x7ffff400,0x3fffff67,0x3fe0001f,0xff504fff,0xff30dfff,
    0x3ffe09ff,0x01fffb6f,0x1bfffe20,0x203ffff6,0x405ffff9,0xfc87ffff,
    0x7fc01fff,0x20005fff,0x4fffffe8,0x90fffff0,0x8003ffff,0x006ffffe,
    0xff881ff3,0x2ffee00f,0x401ffffc,0x806ffffe,0x407ffffc,0x000ffffe,
    0x05fffff8,0x1fffffe8,0x0fffffd0,0x3fe007f5,0x3ffa4fff,0xf7004fff,
    0x33335fff,0x7f403333,0x27cc6fff,0x1fffff00,0x01ffffe8,0xfffdf980,
    0x80001fff,0x006ffffe,0x00dffffd,0x00bffffb,0xfffffd00,0x7fffff44,
    0xfff0000f,0x7ffc09ff,0x7fcc2fff,0xffff04ff,0x0dffffbf,0x1bfffe20,
    0x203ffff6,0x405ffff9,0xfc87ffff,0x7fc01fff,0x18005fff,0x9ffff595,
    0x21ffffe0,0x001ffffc,0x037ffff4,0x90bfff88,0x3fa605ff,0x3ffff91f,
    0x6ffffe80,0x7ffffc80,0x3ffffe20,0xffff8002,0xffff805f,0xfffd00ff,
    0x400fa0ff,0x224fffff,0x02ffffff,0x02ffffb8,0x3ffffa00,0xf3004d86,
    0x7c43ffff,0x4003ffff,0xffffb4e8,0xe80001df,0x7006ffff,0xb007ffff,
    0x000bffff,0x8fffffd0,0x5ffffff8,0xfffff000,0x7fffe409,0x7fffcc4f,
    0xdfffff04,0x007ffffd,0xb0dffff1,0xf301ffff,0xff80bfff,0xfffc87ff,
    0x7fffc01f,0x22cc005f,0xf04ffff9,0xff90ffff,0xfe8003ff,0xf1006fff,
    0x5fffffdb,0xc87fff20,0x7401ffff,0xc806ffff,0xf707ffff,0x1bffffff,
    0x7ffffc00,0x7fffc405,0x3fffa07f,0x2007707f,0x5c4fffff,0x00ffffff,
    0x01ffffd4,0xdffffd00,0x64620970,0xbfffffff,0xfffffff9,0xf89b6006,
    0x004fffff,0x37ffff40,0x0effe880,0x5ffffd80,0xfffe8000,0xffffa87f,
    0xff8004ff,0x3ee04fff,0x7cc5ffff,0xfff04fff,0xffff31ff,0xfff8803f,
    0xffffd86f,0x5ffff880,0x43ffffc0,0x401ffffc,0x005fffff,0x3ffe626c,
    0xfffff04f,0x03ffff90,0x6ffffe80,0x03bb0a00,0x322fffdc,0x7401ffff,
    0xc806ffff,0x0007ffff,0xfffff000,0xffffa80b,0x3fffa03f,0x2007507f,
    0xd84fffff,0x405fffff,0x006ffff9,0x1bffffa0,0x00164126,0x07e40000,
    0x3fffffea,0x3ffa0002,0x0cc006ff,0xbffffb00,0xfffd0000,0x3fff20ff,
    0x7c002fff,0x3204ffff,0x4c4fffff,0xff04ffff,0x7ffe4dff,0xffff806f,
    0x0ffffd86,0x05ffff88,0x643ffffc,0x7c01ffff,0x2005ffff,0x7ffcc3f8,
    0xfffff04f,0x03ffff90,0x6ffffe80,0x03df3000,0x3227fffc,0x7401ffff,
    0xc806ffff,0x2007ffff,0x7c002dff,0x6c05ffff,0x7406ffff,0x0207ffff,
    0x27ffffc0,0x7fffffc4,0x3fffe203,0xfe81202f,0x22006fff,0x2dff800f,
    0x80fdc000,0x0efffffd,0xffffd000,0xd800000d,0x0005ffff,0x07ffffe8,
    0x3ffffff6,0x3fffe001,0x3fffa04f,0x7ffcc2ff,0xdffff04f,0x04ffffe8,
    0x2a3ffffc,0x880fffff,0x20c6ffff,0xfc87ffff,0x7fc01fff,0x2e006fff,
    0x7fffcc2f,0x0fffff04,0x003ffff9,0x06ffffe8,0x01fffd00,0x21dffff3,
    0x01ffffea,0x037ffff4,0x03ffffe4,0x001fffd0,0x02fffffc,0x03fffff3,
    0x07ffffe8,0xfffff800,0xfffff504,0x7ffe403f,0x204c80ff,0x006ffffe,
    0x7ff401f2,0x7f50000f,0x7ffffc40,0xffd0004f,0x00000dff,0x05ffffd8,
    0xffffe800,0x3fffe207,0xff000fff,0x3e609fff,0xf985ffff,0xfff05fff,
    0xffff98ff,0x3fff601f,0xfffff52f,0x3fffe03f,0xfff8390f,0xffffd87f,
    0x7ffffc01,0x83ff5006,0xf04ffff9,0xffb0ffff,0xfe8003ff,0x20007fff,
    0xff882ffd,0xfefeffff,0xd00abfff,0xb00dffff,0x001fffff,0xf001ffe4,
    0x6c0bffff,0xe803ffff,0x0007ffff,0x04fffff8,0x1bfffff2,0xffffff88,
    0x7c06da9b,0x7006ffff,0x7fe400df,0x05f98003,0xffffffa8,0xfffe8002,
    0x4000007f,0x006ffffe,0x7fffff80,0x7ffffd40,0xfff800ef,0xfff986ff,
    0xffa80eff,0xfff886ff,0xffffc87f,0xffff100e,0xfffb5fff,0x3ffea07f,
    0xfff82fff,0x7fff40ff,0x3ffe202f,0xffa807ff,0x7fffd41f,0xfffff884,
    0x17ffff40,0x3ffffe00,0x3ff60007,0xfffffb00,0xfffff31d,0x7ffffc0b,
    0xffffe807,0x3ff6000f,0x3fffe002,0xfffd886f,0xffff001e,0xf88000ff,
    0x7405ffff,0x205fffff,0xfffffff9,0x7ffc00ff,0x7e4407ff,0x3ff2005f,
    0x17fcc002,0xfffffe80,0x7ffc000f,0x000007ff,0x3fffffe6,0x3fea0001,
    0x2602ffff,0xffffffff,0x3fffee01,0xffdbacff,0x3f202eff,0x7d40ffff,
    0x7c41ffff,0x500dffff,0x363ffffd,0x505fffff,0xf307bffb,0x7c45ffff,
    0x2e04ffff,0xadffffff,0xffecbaaa,0x7ffe40ff,0xffffa86f,0x3fffe21f,
    0x3fea004f,0x2003ffff,0x204ffc98,0x643effd9,0x3ea04fff,0x202fffff,
    0x4ffffff9,0x05ffb980,0x3ffffee0,0xffecbacf,0xff5000ce,0x0007ffff,
    0x7fffffdc,0x3fffe600,0x3fa203ff,0x400cefff,0xdffffffa,0xffdcaaab,
    0xfb9804ff,0x3ee2005f,0xffd005ff,0x001dffff,0x3fffffea,0x76c00002,
    0xffffffff,0xfd91005e,0xdfffffff,0xfffffd89,0x12ffffff,0xffffffdb,
    0x9bdfffff,0x7fff4405,0xff93ffff,0x747fffff,0x1fffffff,0x00002a60,
    0xfffc8044,0xff9bffff,0x266fffff,0xffffffec,0xffffffff,0x3a27ffff,
    0x2fffffff,0xfffffff9,0xffffff37,0x7f6440df,0xefffffff,0x5e75400c,
    0x08011001,0xffffd910,0x219dffff,0xffffffec,0xea81dfff,0xec9801cd,
    0xffffffff,0x001beeff,0xfffffd91,0x0039dfff,0xfffffdd3,0x2e09dfff,
    0x1fffffff,0x1002a620,0xffffffd9,0xffffffff,0xa807ffff,0x32002cde,
    0xdfffffff,0xfffffc81,0x104fffff,0xffffffd9,0x00019dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333332,0xcccccccc,0x266624cc,
    0x09999999,0x00020000,0x80000e5c,0x000004c8,0x00000088,0xefeca880,
    0xedb8800c,0xb71001ce,0x64417bdd,0x0000cdfe,0x97301800,0x4005bdfd,
    0x01beedb8,0x9bdfec88,0x2aaaaa4a,0x2aaaa62a,0x55554c2a,0x554c2aaa,
    0x000221aa,0x3bae600c,0xceeca83d,0x55555301,0x2aaaa355,0x5511aaaa,
    0x00062355,0x14405100,0xaaaaa980,0x073bb262,0x402f7b2a,0x22aaaaaa,
    0x000bdeca,0x98540150,0x542aaaaa,0x2aaa23ed,0x00241aaa,0xffff91c0,
    0x09ffffff,0x03bf6000,0x0007fd00,0x8001fe60,0x0cdfecb8,0x55555536,
    0x2aaaa62a,0x205db12a,0xffeaefe8,0x3bfa602f,0x2203ffc9,0xffebbefd,
    0xeabffaaf,0x800002ff,0xefc87eb8,0x04fffebb,0xeabfff98,0xdfd102ff,
    0x4cbfff97,0x226ffffe,0x20fffffc,0xefffffe9,0x8effdc42,0x32e60ee8,
    0x40fec1bc,0xfeabfff9,0xfb5df90e,0xfffd307f,0x3fa619ff,0x2a0bffff,
    0x5bf31dfe,0x02f40000,0xffb300bf,0x3ffeefff,0x3ff61fff,0xd980ffff,
    0xff97ffff,0xb000dfff,0xc89f201f,0x3f67ffff,0x3fae0fff,0x00244fff,
    0xffff91c0,0x09ffffff,0x06fbb6e2,0x0013ffe6,0x200007fd,0xd10007f9,
    0x7ffd57ff,0x7fff4cd9,0x3fff226f,0x0fffc8ff,0xff337fcc,0xdff503ff,
    0xe882ffe8,0xffffd86f,0x017ffc4f,0xfffc9800,0xf11bfa27,0x7d405fff,
    0x3ffe61ff,0x221ffc81,0x7ffcc5fd,0xfffff86f,0x7ffffc40,0xf983be04,
    0xffffd9ef,0x1ffd9dff,0xf11fffc4,0x6c3ffbff,0xfff882ff,0x7ffcc1ff,
    0x4c7c80ff,0x000cffff,0xfb82fd40,0xfffff004,0xffff77db,0xff97dd3f,
    0x3fe20bff,0xfdbedfff,0x32004fff,0xf07f903f,0x3ff2ffff,0x7fdc2fff,
    0x000244ff,0xddddd71c,0x307ddddd,0xffd59fff,0x004ffe87,0x80001ff4,
    0xf98007f9,0x7fffc3ff,0x37fffd40,0x5c7ffffc,0x3fe22fff,0x1ffffc3f,
    0xf50fffe2,0x1fff90ff,0x87ffffa8,0x40006ffc,0x0bffffea,0xfb07ffee,
    0x3fe20fff,0x0fffd86f,0x2f40fffc,0x21bfffe2,0xb80ffffe,0x3e06ffff,
    0xfffff983,0xffffedde,0x37ff441f,0x22ffffe4,0xff706ffa,0xfffb09ff,
    0xb307b07f,0x005bffff,0xff827f40,0xffffe804,0x3fffee0e,0x7ffff45f,
    0xdfffff00,0x007fffe8,0x1bee0ff7,0x7dfffff4,0x540fffec,0x0244ffff,
    0x80001c00,0x3e62fffa,0x07fe23ff,0x0007fd00,0x2001fe60,0x7ec0fffe,
    0x7ffcc2ff,0xffffe86f,0x7dc1ffb0,0x7ffe41ff,0x20fffe44,0x7f43fff9,
    0x7ffcc4ff,0x2fffa86f,0x7ffe4400,0xfffd02ef,0x0ffffd89,0xc85fffc8,
    0x3fea6fff,0x2234c0ef,0xfd86ffff,0xfff00fff,0x01f503ff,0x2607bfea,
    0xffd83ffe,0xffffb85f,0x41fffd44,0xe87ffff8,0x7c46ffff,0x3ffae200,
    0x54000bff,0x3ffb83ff,0x0fffff40,0x21bfffe6,0xf01ffffc,0xfd81ffff,
    0x7dc00fff,0x02ffa83f,0x43fffffd,0xfff982db,0x4000244f,0xff880003,
    0xefffd87f,0xe8002fdc,0xf300003f,0xfffb800f,0x46fffb87,0xd86ffff8,
    0xfd99ffff,0x20ffffc1,0x7fc1fff9,0x7ffcc0ff,0x22fffec5,0xa85ffff9,
    0xb5004fff,0x8039ffff,0x7e44fffd,0x7fc41fff,0xfffb84ff,0xfffff50f,
    0x7ffc4385,0xffffd86f,0x9ffff700,0x37ec09b0,0x3e17fa20,0xffa84fff,
    0x7ffcc3ff,0x5ffffb05,0x7ffff7c4,0xda801aa0,0x001dffff,0x3fa0bffa,
    0x3fffa02f,0x5ffff987,0x02ffffc8,0xfb0fffff,0x7d403fff,0x06ffa86f,
    0x017ffffa,0x44ffff98,0x44380004,0x01aaaaaa,0xf90bfff9,0x00013dff,
    0x80001ff4,0x7fc007f9,0x7ffc46ff,0x3ffe22ff,0xffffd86f,0x7fcc09ac,
    0xf30300ff,0xfff10fff,0x40dfd98d,0x983ffffa,0x2e205fff,0x00beffff,
    0x441bfb10,0x541ffffd,0xfb83ffff,0x3ffe1fff,0x3e205fff,0xffd86fff,
    0xfff100ff,0x807c41ff,0xf9801ff9,0x3fffe61f,0x2ffff983,0xa837ffcc,
    0x32e5ffff,0x363ffffb,0xffc88003,0x5400beff,0x7fdc2fff,0xffffd02f,
    0x0bffff30,0x205ffff9,0xfd87ffff,0xff501fff,0x2fff985f,0x0fffffa0,
    0x4ffff980,0x41c00024,0x84ffffeb,0xb84ffff8,0x0000ffff,0x80001ff4,
    0x3e2007f9,0x3ba25fff,0x3e24ffff,0xffd86fff,0x3fea00ff,0x3ea002ff,
    0xffffffff,0xb3007fff,0xffffffff,0x0fffffff,0x3bffffb3,0x7fdc0000,
    0x7dc1ffff,0xffa83fff,0x3fff23ff,0xf881efff,0xffd86fff,0x3ff600ff,
    0xb816e3ff,0x8ff6005f,0x983ffffb,0xffffffff,0x3e07ffff,0x13d0ffff,
    0x3e2dffff,0x7f540000,0x3a01cfff,0x7ff41fff,0x7fffe81f,0x85ffff98,
    0xf02ffffc,0xffb0ffff,0xfff303ff,0x06fff98d,0x017ffff4,0x89ffff30,
    0x70380004,0xf509ffff,0xff709fff,0x999803ff,0xcfe99999,0x19999999,
    0x33333331,0x33333ff5,0x3fe61333,0x3e7765ff,0x3fe25fff,0xfffd86ff,
    0x3ffee00f,0x3fee003f,0x99999aff,0x7ecc0199,0x9dffff9c,0x19999999,
    0x33ffffa2,0x3ee00000,0x1ffffcbf,0x41ffffe4,0x225ffffa,0xfffffffe,
    0x37fffc41,0x007fffec,0x74dffff3,0x8013f201,0x3fff25fc,0xffff982f,
    0x9999999c,0x3ffff201,0x3fff669b,0x00005b9f,0x1bffff26,0x507fffd4,
    0xfe81ffff,0xfff987ff,0xffffc85f,0x0fffff02,0x883ffffb,0x3e22ffff,
    0x7f402fff,0x26000fff,0x0244ffff,0xffa81c00,0xfffb84ff,0xffffa83f,
    0x3fffe603,0xffffffff,0xb7ffffff,0xffffffff,0xffffffff,0x3ffee9ff,
    0x3fe6d95f,0x3ffe26ff,0xffffd86f,0x3fffee00,0x3ffee004,0x3f20002f,
    0xbffff12f,0xffff9800,0xd300001d,0x3fff23ff,0x7fffe41f,0x4ffffb83,
    0x7fffff44,0x7fffc47f,0x0ffffd86,0x57ffff40,0x01fec06a,0x7fecbf90,
    0xfff982ff,0x3e60004f,0x2a4cefff,0x02ecffff,0x3fae2000,0xfff907ff,
    0x85fffb8b,0xf987fffe,0xffc85fff,0xffff02ff,0x3ffffb0f,0xc8bfff90,
    0x7f404fff,0x26000fff,0x0244ffff,0xff981c00,0xfffc84ff,0xffffa83f,
    0x3fffe605,0xffffffff,0xb7ffffff,0xffffffff,0xffffffff,0x3ffea9ff,
    0xff30ebdf,0x7ffc4bff,0xffffd86f,0x3fffea00,0x3ffea006,0xfe98003f,
    0x3ffffc2f,0x7ffe4c00,0x90000bef,0x7fe43fff,0x7ffdc1ff,0xffffb83f,
    0xfffff903,0x7fffc43f,0x0ffffd86,0x6ffffd40,0x02fe403d,0x7fdc9fb0,
    0xfff982ff,0x7f40006f,0x3e21ffff,0x000fffff,0xffffc980,0xbfff102e,
    0xd06fff88,0xff30ffff,0xfff90bff,0x3fffe05f,0x1ffffd87,0xd83fffb0,
    0x3fa00fff,0x7cc007ff,0x00244fff,0xfff981c0,0xffffc84f,0x4ffffb83,
    0x4cccccc0,0x999cfe99,0x33119999,0xff533333,0x33333333,0x3ffffe61,
    0x3fffe60f,0x1bfffe23,0x803ffff6,0x02fffff9,0x0dffff30,0x86fff980,
    0x001ffffe,0x3ffffaa0,0x3fee001c,0x7fffe45f,0x27fffcc1,0x897fffdc,
    0x7ffffd40,0x1bfffe24,0x003ffff6,0x03fffffe,0x1001ff50,0x7ffd45ff,
    0xffffa83f,0x3ee0000f,0xffd86fff,0x540005ff,0x01cffffd,0x32077fe4,
    0xffd00eff,0xffff30ff,0x5ffff90b,0x21ffffe0,0x201ffffd,0xffd85ffd,
    0x1ffffa04,0x9ffff300,0x03800048,0x709ffff3,0xf707ffff,0x80007fff,
    0x300003fe,0x7fc400ff,0x7fd41fff,0x3ffe21ff,0xffffd86f,0x7ffffc00,
    0x7fc4100e,0xd1202fff,0xff909fff,0x80480bff,0x2effffc9,0x44ffff80,
    0xe81ffffc,0xffc84fff,0xd10d30ff,0xfff89fff,0xffffd86f,0xffffb800,
    0x00bfd004,0xfff88dfb,0xffffb83f,0xf101204f,0xff307fff,0x710005ff,
    0x017dffff,0x881dff10,0x3fa00eff,0xfff987ff,0xffffc85f,0x0fffff02,
    0x403ffffb,0x7441ffe8,0xfffd00ff,0xfff9800f,0x4000244f,0x9ffff303,
    0x09ffff30,0x005ffff7,0x0003fe80,0xd800ff30,0xffa86fff,0x7fffc0ff,
    0x0ffffd86,0x7ffffdc0,0x7fe46984,0x24c80fff,0xa86ffff9,0xb03fffff,
    0x7f5c4005,0xf980cfff,0xfd50efff,0xff503fff,0x9fffb0bf,0x7fd41fcc,
    0x3ffffc2f,0x03ffffea,0x03fffe20,0x406ffd40,0xfc83ffd8,0xfffc84ff,
    0x03c81fff,0xf00fffd8,0xd9800fff,0x001dffff,0x7e4077e4,0x7fff400f,
    0x7fffcc0f,0x2ffffc85,0xb0fffff0,0x8803ffff,0x5fe885fe,0x00ffffd0,
    0x44ffff98,0x30380004,0x3e09ffff,0xffc84fff,0x740000ff,0xf300003f,
    0xfff9800f,0x85fffb86,0x7d47ffff,0xe800ffff,0xabefffff,0x7ffc40ec,
    0x6da9bfff,0x6fffffcc,0xfffefda9,0x5eb9adff,0x3ff66000,0x3fe22dff,
    0xfefeffff,0x740abfff,0x7ff40fff,0x103fe60f,0xffd81fff,0xffff52ff,
    0x3f6003ff,0xffd1005f,0xff9779ff,0xfe881dff,0xffffe87f,0x6da9bfff,
    0x40bff500,0xb8804ffc,0x00bffffe,0x880ff880,0xfff801ff,0x7ffcc1ff,
    0xffffd86f,0x1fffff02,0x01ffffe8,0xf881ff88,0xffffe81f,0x3ffea000,
    0x4000246f,0x9ffff303,0x217ffee0,0x0004fffd,0x00003fe8,0xff000ff3,
    0x6ffe81ff,0x25ffffb0,0x1ffffffa,0xffffe880,0xf301ffff,0xffffffff,
    0xfffffd01,0x3ff61bff,0x0dffffff,0xfeb88000,0x3fff66ff,0xfff98eff,
    0xffe885ff,0x103bfee4,0x3f217fff,0xffff882f,0xfffdafff,0x5ff3003f,
    0xd7ffd100,0x7dffffff,0xfe881dff,0x377fea4f,0xefffffff,0x80bfe000,
    0x7cc01ff9,0x0002dfff,0x1fc80fe4,0xfffff980,0x7ffffdc3,0x3ffffa20,
    0xfffff984,0x3ffffe21,0x20bf3003,0x7ffc45f9,0x3f2002ff,0x0120ffff,
    0x7fcc0e00,0x3ffa04ff,0x00fffe87,0x003fe800,0x800ff300,0x50dffddd,
    0x3e201dff,0xdaffffff,0x1003ffff,0x3bfffffb,0xffffe880,0xffd300ce,
    0xff905dff,0x0007bfff,0x99ff6a00,0x7e43effd,0x7fe404ff,0xf104ffef,
    0x5fffffdb,0x7ffff540,0xbfffffb1,0x4401ba00,0x3bb2e1ff,0x403be62c,
    0x3ffeeffc,0x33bfffee,0x403e4000,0xcff9807e,0x1d880001,0xf7005d10,
    0x2bffffff,0xfffffffd,0xffffff9a,0xffff90ef,0xfff37fff,0x200dffff,
    0x21d301e9,0xfffffffb,0x3ffe200d,0x093fffff,0x3e607000,0x36204fff,
    0x3bfee3ff,0x7fd00000,0x3bbbb200,0xeeffeeee,0x73eeeeee,0x7f7ffd4d,
    0x7f5400ce,0xfffb1eff,0xa9800bff,0x0a988001,0x4006a600,0x000001a8,
    0x00220e20,0x0aa98001,0x00d4c280,0x00001530,0x06200198,0x22002600,
    0xa98809aa,0x00a20001,0x00a60066,0x00000000,0x00000000,0x00000000,
    0x80000000,0x30380004,0x9009ffff,0x09ffdfff,0x03fe8000,0xffffffb0,
    0xffffffff,0x0229ffff,0x20002aa6,0x000000a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00048000,0xffff3038,0x05544009,
    0x1cb80000,0x99999700,0x99999999,0x00599999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02400000,0xffa81c00,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00009000,0x3ffff207,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xccccce80,0xcccccccc,0x7fc46ccc,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53000000,0x25555555,0x2aaaaaa8,0x55555544,0x555552aa,0xaaaaa885,
    0xaaaaaaaa,0x00771000,0x80280050,0x01500019,0x15100188,0x000a8800,
    0x014c0062,0x40a200a8,0x05544019,0x7cc03500,0xffffffff,0xffffffff,
    0x3fffe67f,0xffffffff,0x07ffffff,0x2eeeec06,0x50177772,0x402fae20,
    0x2000aba8,0x44400038,0x08888888,0x44444444,0x88888888,0x2eee2088,
    0xbbbbbbbb,0x1bbbbbbb,0x00000000,0x00000000,0x00000000,0xffffd980,
    0xffd511df,0xffd7059f,0x3aa3bfff,0x7fd41cff,0xffecccde,0xf9000fff,
    0x1fec007f,0x2a03fd80,0xf71003ff,0x3ffae03f,0xffea80cf,0xbf9000df,
    0x0bbff600,0x37ffff62,0x84fff981,0x3f60effc,0x5fec40ef,0x79700dfc,
    0xff309ff7,0xffffffff,0xffffffff,0x7ffffccf,0xffffffff,0x707fffff,
    0x3ffff30b,0x82ffff98,0x7ec3fffb,0xfffa86ff,0x5c00bdff,0xd987bf25,
    0x3fffe24f,0x30ffffff,0xffffffff,0xffffffff,0x3ffe65ff,0xffffffff,
    0x2fffffff,0x00000000,0x00000000,0x00000000,0xfffff100,0x803df703,
    0x44fffff8,0x09f501fd,0x07fffff1,0x0027fec0,0xfd807ffb,0x1bff603f,
    0x3ffffb30,0xffffff30,0xffedf989,0xfff9805f,0x7fffd402,0x7ffff447,
    0x7fe41fff,0x3ffe20ff,0x5ffff34f,0x1bf25fe8,0x2ffc97ea,0x55555544,
    0xaaaaaaaa,0x2a22aaaa,0xaaaaaaaa,0xcaaaaaaa,0x42ef887f,0xf301fffc,
    0xffff0bff,0x7ffffc4f,0x3ffffe61,0xd01cffff,0xd97ffe67,0xfff12fff,
    0x1fffffff,0x3fffffe6,0xffffffff,0xdd32ffff,0xdddddddd,0xdddddddd,
    0x00000003,0x00000000,0x00000000,0x7fffc000,0x000ee80f,0x21fffff5,
    0x41aa02f8,0x006ffffd,0x20006ec4,0xffb03ffd,0x04ffb807,0x81fff984,
    0x1fffd32e,0x0fff906c,0x80dfffd0,0x12fffffd,0xd7119ffd,0x7fff43ff,
    0x3fffea1f,0x49ffff75,0x3fea3ffb,0xfb87ff43,0x0000003f,0x1fe60000,
    0xff83fff6,0x3ffcc01f,0x4bffffe6,0x21fffff9,0xfda88bfd,0xcabeffff,
    0xdfff70ff,0xf89ffff4,0xffffffff,0x2666660f,0x99999999,0x00099999,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0x00ed87ff,0xa7ffff40,
    0x541d403d,0x002fffff,0x7fec0000,0x221ffec3,0x887fe21a,0x1fff880b,
    0x07ffd418,0xa809ff30,0x203ffcff,0x55fffffb,0x93fe03ff,0x220ffffd,
    0xff54ffff,0x17fec7ff,0x3d98dff5,0x0009ffb1,0x40000000,0x7ffb07f9,
    0x4c00bfe6,0x7fffc2ff,0x1bfffa0f,0x3fae207f,0x23ffffff,0x3ee3fff8,
    0x777710ff,0x01777777,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff0000,0x8000ec8f,0x6cfffff9,0xffe80880,0x000005ff,0x367ffb00,
    0xdffd83ff,0x2ffe4db0,0x400fffc4,0x7ec05ff9,0xfd5fe805,0x3ff2201f,
    0x40df95ff,0x3ffee6fc,0x12ffff86,0x7fc3ffff,0x41ffea2f,0x84ffdec8,
    0x99999999,0x99999999,0x40000199,0x3ff907f9,0xf5000bf2,0x43fffb89,
    0x3e20cec8,0xfffc9800,0x981b882f,0x0000000b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9ffffe00,0x360004fc,0x001fffff,0x1fffff70,
    0x33333310,0x33333333,0x6c013333,0xd03ffeff,0x1971dfff,0xf10dfffb,
    0xff9003ff,0x3fffae03,0x4c3fee03,0xfa8404ff,0x7c407fd4,0x09fff30f,
    0x7f41fffb,0x517ff47f,0x1bf50fff,0xff989ff7,0xffffffff,0xffffffff,
    0x7cc00007,0x52ffdcc7,0x40a60003,0x0008000a,0x00000088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xff97ffff,0x3e60003f,
    0x8001ffff,0x03fffff8,0xfffffffb,0xffffffff,0xfd809fff,0x3fa603ff,
    0xfffedfff,0xfff881ef,0x203fe801,0x82ffffea,0x7fec3ff8,0xfd2fc800,
    0xf07fd40b,0xdff705ff,0x7ec5ffc8,0x717fea2f,0x13fee1ff,0xfffffff3,
    0xffffffff,0x0000ffff,0x37aa7f98,0x0000002c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff8000,0x06ffffcf,
    0x3ffff200,0xfffd8006,0x3fff606f,0xffffffff,0x4fffffff,0x01fffec0,
    0x40037620,0x6401fff8,0xfff3003f,0xf10ff909,0x64df00bf,0x8dfd00ff,
    0xff980ffd,0x2a1ffd44,0x0bfee3ff,0xffb11fff,0x33333309,0x33333333,
    0x00033333,0x00003300,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfeefffff,0x10004fff,0x005fffff,
    0x17ffffd4,0x33333310,0x33333333,0x6c013333,0x003ffeff,0x003d57d5,
    0x5403fff1,0x3ee0142f,0x817fcc4f,0x3ee01ffc,0x8877fe61,0x37dc3ffb,
    0xff885ff0,0x3f65fc81,0xceffff84,0x00003eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffc00,0x1fffff98,0xffffd000,0x7fff400d,0x0000005f,0xfb3ffd80,
    0x8ffc807f,0x7c404ff8,0x5bf301ff,0xf880b955,0x1037f42f,0x3fb10dff,
    0xfbdfff70,0x09f30bff,0x03f407ec,0x205dddd5,0x33b23dda,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x3ee7ffff,0x4000efff,0x2fffffdc,0xfffffb80,
    0x00000980,0xd87ffb00,0xdff903ff,0xf302fff4,0xfff305ff,0x3ea7ffff,
    0xf513e61e,0x2ffb803f,0xfb8033a2,0x00cfffff,0xb835c05f,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e000000,0x7ff47fff,0x3e6004ff,0x06ffffb8,
    0x1fffffc4,0xbd3000d8,0x3ffd8001,0xfd07ffb0,0x43ffdc7f,0xadfffca8,
    0xffffff30,0x3ffea5ff,0x5fe83ece,0x008dfd00,0x037bb710,0x11008008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0x7ffcc7ff,0x2e8802ff,
    0x80fffffa,0x306ffffd,0x27fec00f,0x807ffb00,0x77dc3ffd,0x220ffa20,
    0x09999999,0x33333331,0x0aab9883,0x22001330,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1fffff00,0x0fffffb8,0x3fee36c0,
    0xffa80fff,0x7f982fff,0x00fff200,0xfb003fd8,0x00008007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff500,
    0xfffff885,0x45fd880e,0x86fffff9,0x99effffe,0x006ffdb9,0x0a000ae2,
    0x00000500,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff2000,0x3fe4ffff,0x12ffffff,0x71bffffd,0xfffffffd,
    0x3ffffee5,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_40_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,0,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_40_latin_ext_y[560]={ 32,7,7,7,7,7,7,7,7,7,7,10,26,21,
26,7,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,8,7,8,7,37,7,15,8,15,8,15,7,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,19,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,14,8,7,11,8,
7,7,7,7,7,15,16,21,7,3,7,10,7,7,7,15,8,17,31,7,7,15,7,7,7,14,-1,-1,-1,1,
1,1,8,7,-1,-1,-1,1,-1,-1,-1,1,8,1,-1,-1,-1,1,1,12,6,-1,-1,-1,1,-1,8,7,7,7,
6,7,7,6,15,15,7,7,6,7,7,7,6,7,7,7,7,7,6,7,7,12,14,7,7,6,7,7,7,7,
2,9,0,7,7,15,-1,7,-1,6,0,7,-1,6,-1,7,8,8,2,9,0,7,0,7,8,15,-1,6,-1,6,
0,7,0,7,7,6,-1,-1,8,8,0,7,2,9,0,7,8,7,1,15,8,7,-1,6,8,8,15,-1,-1,8,
8,7,7,8,8,8,8,-1,7,8,15,-1,6,7,7,15,2,9,0,7,-1,7,7,15,-1,7,8,15,-1,6,
-1,7,-1,6,7,15,-1,6,8,9,-1,7,8,9,0,7,2,9,0,7,-1,6,-1,7,8,15,-1,6,-1,6,
1,-1,7,1,7,-1,6,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,13,9,9,9,9,9,9,9,9,9,9,9,9,9,3,14,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,2,-1,1,-1,2,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-6,-1,-1,7,-1,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_bold_40_latin_ext_w[560]={ 0,6,14,18,16,32,28,6,11,11,15,20,7,12,
7,11,16,14,17,16,17,16,16,17,16,16,6,8,20,21,20,15,32,26,23,24,25,23,21,27,28,14,18,29,
23,34,26,26,21,26,27,18,22,26,26,36,26,26,24,8,11,8,17,20,9,17,19,15,19,15,14,17,19,10,
11,20,10,29,19,16,19,19,15,12,12,18,18,26,18,18,16,11,4,11,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,15,18,18,19,
4,16,12,26,12,18,21,12,26,20,13,20,10,10,8,20,20,7,7,9,12,18,26,26,27,14,26,26,26,26,
26,26,36,24,23,23,23,23,14,14,14,14,25,26,26,26,26,26,26,16,26,26,26,26,26,26,21,18,17,17,
17,17,17,17,25,15,15,15,15,15,11,11,12,12,16,19,16,16,16,16,16,20,16,18,18,18,18,18,19,18,
26,17,26,17,26,18,24,15,24,15,24,15,24,15,25,26,25,19,23,15,23,15,23,15,23,15,23,15,27,17,
27,17,27,17,27,17,28,19,28,19,14,12,14,12,14,12,14,10,14,10,30,18,18,14,29,20,20,23,11,23,
10,23,17,23,15,23,10,26,19,26,19,26,19,27,26,17,26,16,26,16,26,16,34,25,27,15,27,15,27,15,
18,12,18,12,18,12,18,12,22,12,22,19,22,12,26,18,26,18,26,18,26,18,26,18,26,18,36,26,26,18,
26,24,16,24,16,24,16,14,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,28,21,19,19,19,19,19,19,19,19,19,19,19,19,19,31,22,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,17,14,12,26,
16,26,18,26,18,26,18,26,18,26,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,26,17,36,25,26,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_bold_40_latin_ext_h[560]={ 0,26,13,26,28,27,26,13,33,33,15,20,13,5,
7,26,26,25,25,26,25,25,26,25,26,26,18,24,18,9,18,26,33,25,24,26,24,24,24,26,24,24,25,24,
24,24,25,26,24,32,24,26,24,25,25,25,24,24,24,31,26,31,14,3,7,18,25,18,25,18,25,25,24,25,
33,24,24,17,17,18,25,25,17,18,24,18,18,18,17,25,17,33,33,33,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,31,26,18,24,
33,33,6,26,11,17,9,5,26,4,13,20,14,14,7,25,32,7,8,14,12,17,27,27,27,26,33,33,33,31,
31,31,24,32,33,33,33,31,33,33,33,31,24,32,34,34,34,32,32,16,28,34,34,34,32,33,24,26,26,26,
27,26,26,27,18,24,26,26,27,26,25,25,26,25,26,25,26,26,27,26,26,16,19,26,26,27,26,33,33,33,
30,24,32,26,34,26,34,26,34,27,33,26,34,27,33,26,24,25,30,24,32,26,32,26,33,26,33,27,34,34,
33,33,33,33,32,34,33,33,24,24,32,25,30,23,32,25,33,34,31,17,25,33,34,34,31,31,17,33,33,31,
31,25,25,24,24,24,24,34,25,31,24,34,26,25,26,25,31,24,33,26,34,26,26,18,33,25,31,24,33,26,
34,26,34,27,32,24,34,27,33,32,33,26,24,24,33,26,31,24,33,26,34,27,34,26,33,26,34,27,33,34,
31,33,25,31,25,33,26,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,26,23,23,33,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,20,23,23,23,23,23,23,23,23,23,23,23,23,23,30,19,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,33,27,33,26,34,
27,34,27,34,29,34,31,34,32,34,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,38,34,33,26,35,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_bold_40_latin_ext_s[560]={ 511,305,184,229,400,159,109,199,395,494,96,
56,162,353,303,341,37,235,271,409,289,307,305,324,392,445,501,329,196,232,375,
239,318,342,53,214,470,407,341,353,365,394,369,23,161,277,388,255,1,238,363,
478,478,415,442,36,451,338,252,499,497,328,144,387,293,217,488,138,1,154,21,
113,141,500,152,88,77,415,445,235,93,73,484,252,409,265,284,348,22,469,41,
140,506,100,319,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,511,1,25,
267,303,216,434,435,340,400,219,465,254,353,183,366,170,77,122,133,284,250,202,
311,276,112,206,396,245,417,444,325,452,293,243,137,110,68,131,1,487,371,395,
1,419,479,191,422,190,128,55,109,1,439,466,79,344,432,308,324,53,26,168,
488,470,452,488,415,397,109,170,236,325,309,143,93,427,439,201,222,149,63,105,
88,272,71,54,58,98,1,433,20,54,233,279,299,274,252,26,342,378,426,486,
289,163,211,351,376,181,127,376,282,315,158,301,391,80,381,104,462,219,360,119,
472,55,225,1,74,407,56,174,233,190,143,270,196,223,127,259,21,265,114,343,
335,95,500,83,81,243,83,365,280,1,402,92,464,488,19,1,446,496,422,185,
82,43,395,431,459,322,194,122,140,301,312,206,20,262,37,166,322,112,178,337,
299,53,8,135,24,116,96,155,239,278,39,320,426,270,73,216,128,163,164,41,
109,252,210,28,192,136,248,460,286,188,69,164,289,437,1,483,183,451,346,340,
468,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,138,1,1,439,
1,1,1,1,1,1,1,1,1,1,1,1,1,371,34,1,1,1,1,1,
1,1,1,1,1,1,1,1,227,115,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,29,227,
104,312,405,52,351,1,297,325,251,164,206,493,154,208,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,98,358,357,28,383,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__times_bold_40_latin_ext_t[560]={ 1,263,391,263,176,208,263,391,75,75,391,
367,391,391,391,236,263,290,290,207,290,290,207,290,207,207,342,316,367,391,367,
236,109,290,342,236,316,342,342,236,316,316,290,342,342,316,290,236,342,143,342,
207,342,290,290,316,342,316,316,143,207,143,391,391,391,367,290,367,316,367,316,
316,342,263,109,342,342,367,367,367,316,316,367,367,316,367,367,367,391,290,391,
109,75,109,391,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,1,263,176,
263,367,316,36,75,391,263,391,367,391,391,263,391,391,367,391,391,391,290,143,
391,391,391,391,367,207,176,176,263,75,75,75,176,176,176,316,143,36,36,36,
176,36,75,109,143,316,143,36,36,40,109,109,391,176,1,36,1,143,109,316,
236,236,236,176,236,236,208,367,316,236,236,208,263,263,263,236,290,236,290,236,
236,207,236,236,391,367,236,236,208,263,109,109,109,176,342,143,207,1,207,1,
207,36,208,109,207,1,208,109,236,342,290,176,342,143,236,143,207,75,207,75,
176,1,36,75,75,75,75,143,1,75,75,342,342,143,290,176,367,143,290,75,
36,176,367,290,109,36,1,143,143,391,109,75,143,143,290,290,316,316,316,342,
36,290,143,342,1,207,290,236,290,143,316,109,236,36,236,236,367,109,290,143,
342,109,263,1,263,1,208,143,342,1,208,75,109,75,263,342,342,75,263,176,
342,109,263,37,208,36,263,36,263,36,208,109,36,143,109,263,176,263,36,263,
263,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,263,367,367,36,
367,367,367,367,367,367,367,367,367,367,367,367,367,176,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,176,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,75,207,
75,263,1,208,1,208,1,176,1,176,1,109,1,176,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,1,1,75,263,1,263,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367, };
static unsigned short stb__times_bold_40_latin_ext_a[560]={ 144,192,321,289,289,578,481,161,
192,192,289,329,144,192,144,161,289,289,289,289,289,289,289,289,
289,289,192,192,329,329,329,289,538,417,385,417,417,385,353,450,
450,225,289,450,385,545,417,450,353,450,417,321,385,417,417,578,
417,417,385,192,161,192,336,289,192,289,321,257,321,257,192,289,
321,161,192,321,161,481,321,289,321,321,257,225,192,321,289,417,
289,289,257,228,127,228,301,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,144,192,289,289,289,289,127,289,
192,432,173,289,329,192,432,289,231,317,173,173,192,333,312,144,
192,173,191,289,433,433,433,289,417,417,417,417,417,417,578,417,
385,385,385,385,225,225,225,225,417,417,450,450,450,450,450,329,
450,417,417,417,417,417,353,321,289,289,289,289,289,289,417,257,
257,257,257,257,161,161,161,161,289,321,289,289,289,289,289,317,
289,321,321,321,321,289,321,289,417,289,417,289,417,289,417,257,
417,257,417,257,417,257,417,424,417,321,385,257,385,257,385,257,
385,257,385,257,450,289,450,289,450,289,450,289,450,321,450,321,
225,161,225,161,225,161,225,161,225,161,475,319,289,192,450,321,
321,385,161,385,161,385,271,385,229,385,161,417,321,417,321,417,
321,421,444,321,450,289,450,289,450,289,578,417,417,257,417,257,
417,257,321,225,321,225,321,225,321,225,385,192,385,301,385,192,
417,321,417,321,417,321,417,321,417,321,417,321,578,417,417,289,
417,385,257,385,257,385,257,161,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,427,450,450,289,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,320,450,450,450,450,450,450,
450,450,450,450,450,450,450,460,347,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,417,289,225,161,450,289,417,321,417,321,417,
321,417,321,417,321,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,417,289,578,417,450,289,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_40_latin_ext(stb_fontchar font[STB_FONT_times_bold_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_40_latin_ext_s[i] + stb__times_bold_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_40_latin_ext_t[i] + stb__times_bold_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_40_latin_ext_x[i];
            font[i].y0 = stb__times_bold_40_latin_ext_y[i];
            font[i].x1 = stb__times_bold_40_latin_ext_x[i] + stb__times_bold_40_latin_ext_w[i];
            font[i].y1 = stb__times_bold_40_latin_ext_y[i] + stb__times_bold_40_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_40_latin_ext_s[i] + stb__times_bold_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_40_latin_ext_t[i] + stb__times_bold_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_40_latin_ext_x[i] + stb__times_bold_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_40_latin_ext_y[i] + stb__times_bold_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_40_latin_ext_LINE_SPACING
#endif

