// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT        546
#define STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_47_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_47_latin_ext_LINE_SPACING          30

static unsigned int stb__times_bold_47_latin_ext_pixels[]={
    0xccca8000,0x000001cc,0x00000001,0x99700000,0x00000199,0x99700000,
    0xc9800199,0x00002ccc,0x00000000,0x00000000,0x99950000,0x00000039,
    0x01e66644,0x44000000,0x0004cccc,0x0006a000,0x99999988,0x99999999,
    0x99999999,0x99700099,0x00000199,0x0004ccc4,0x77764000,0x02eeeeee,
    0x22018800,0xff800000,0x00004fff,0x0000ee44,0x7fffe400,0xf980001f,
    0x0004ffff,0x1fffffb0,0xfffa8000,0x7f4004ff,0x0000ffff,0x6e8801dd,
    0xff300000,0x20009fff,0x2fc802fb,0x3ffe2000,0x000006ff,0x3fffff60,
    0x00000001,0x17ffffe4,0xf9100000,0x70005dff,0xffffffff,0xffffffff,
    0xffffffff,0xffff300b,0x2000009f,0x01fffff9,0x7ff40000,0x2fffffff,
    0x77fdc000,0x002ffec1,0x9ffff300,0x3e980000,0x3e000000,0x0002ffff,
    0xffffffb0,0xff880001,0x80001fff,0x0ffffffe,0xfffff500,0x3ea0007f,
    0x05ff301f,0x3ff20000,0x740004ff,0x0bfb104f,0xffffd800,0x000002ff,
    0xffffff98,0x00000006,0x3fffffe6,0x32000006,0x00fea9cf,0x77fffdc0,
    0xffffdccc,0xfeccceff,0xfd805fff,0x000fffff,0xffffe800,0x4000005f,
    0xeeeeeeec,0x220002ee,0x3ea4ffff,0x00002fff,0x000bfff9,0x0000bd00,
    0x7fffcc00,0xff500002,0x009fffff,0x1ffffb80,0xfffb8000,0xd005ffff,
    0x1fffffff,0x0bffa000,0x0000dff7,0x02ffffc0,0x22ffd400,0x0001ffe9,
    0x3fffffe6,0x8000006f,0xfffffffe,0x00000002,0xfffffffb,0x3e000005,
    0x20027c44,0xf981effb,0x883fffff,0x7d405ffe,0x05ffffff,0x7ffd4000,
    0x0001ffff,0x00000000,0x93ffffd4,0x000bffff,0x0017ffe0,0x002be600,
    0x7fe40000,0x3a00002f,0xfffdafff,0x3ff60001,0xf880001f,0xfffc9eff,
    0x5fffdc01,0x0004fffb,0x3f27fff3,0x000001ff,0x000bfff3,0x5477ff40,
    0x40004fff,0xffb9fffe,0x2000003f,0xfe9cfffa,0x0000006f,0xe8dfffa8,
    0x800006ff,0x007c80fa,0xf9807fdc,0x203fffff,0x7ff405fd,0x01fffdaf,
    0x3fffa000,0x0005fffc,0x5440cc00,0xfff80000,0x3fffe64f,0xff980002,
    0xf7000005,0x00005fff,0x003fff80,0x83bfee00,0x10005ffc,0x00003fff,
    0xfb837ff2,0x3ffe205f,0x007ffe62,0x7ffffec0,0x000004ff,0x00017ff2,
    0xffffff50,0x540001ff,0x3fea0eff,0x3a000007,0x3ff623ff,0x40000002,
    0x7fec3ffe,0x7cc00003,0x5c006d81,0x3ffe602f,0x3e203fff,0x83bfee05,
    0x00005ffc,0x3e63fff7,0x000002ff,0xffe85ff7,0x7f540000,0x01ff5c0c,
    0x006fc800,0x3ffe6000,0x2000007f,0x00003ff9,0x7dc17fe2,0xffb8001f,
    0xff100002,0x407fea09,0xfe881ffc,0xfff30005,0x0001ffff,0x002ffc00,
    0xffffe800,0x740003ff,0x3ff980df,0xffb80000,0x000dfb01,0x17fdc000,
    0x00007fc8,0x017cc5e8,0xff301ae0,0xc807ffff,0x20bff105,0x40001ffb,
    0x74c0eff8,0xb000006f,0x1fff89ff,0x00000000,0x000cb800,0x7fff4000,
    0x32000005,0x6400003f,0x02fd403f,0x00017ec0,0xf9805fb0,0x200ef886,
    0xb0001fd8,0x007fffff,0x077cc000,0xffa80000,0x40006fff,0x7f4404fb,
    0x3e200000,0x01fe400e,0x77c40000,0x001fdc01,0x373fee00,0x04b8007f,
    0x7fffffcc,0xfc82cc03,0x0037d404,0xe8817f20,0x9800002f,0x02fdc1ee,
    0x00000000,0x00039300,0x06764400,0x03100000,0x00130000,0x026000a6,
    0x00130000,0x80062062,0xdd100009,0x00000bdd,0x00000988,0x17777640,
    0x80022000,0x22000009,0x00022001,0x00262000,0x40000044,0x000befc9,
    0x7fcc0198,0x3803ffff,0x2a600130,0x07910000,0x00001760,0x00000000,
    0xe9800000,0x0002efff,0x00000000,0x00020000,0x36a00000,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00400000,0x7fcc0000,0x0003ffff,0x00000000,0x26600000,0x99999999,
    0x98809999,0x19999999,0x55555553,0xaaa98355,0xee8002aa,0x0000fb32,
    0x20000000,0xabcdcba8,0x5403ec01,0x99aceedc,0x40099999,0x03ffffea,
    0x26666600,0x99999999,0x55555019,0x00001555,0x0006aaa6,0xaaaaaa98,
    0x554c1aaa,0x26662aaa,0x99999999,0x99880999,0x01999999,0x2b332ea2,
    0x4ccc4480,0x99999999,0x26666620,0x09999999,0x26666660,0x32a60001,
    0x0dc01bcc,0x33333333,0x01333333,0x33333331,0x7fcc0033,0x2003ffff,
    0xaaaaaaa9,0x5554c1aa,0x310002aa,0x05799d95,0xffed80dc,0xffffffff,
    0xffec81de,0xf54effff,0xbfffffff,0xffffda85,0x20fcc003,0x300003f8,
    0x3379ddb9,0x00133333,0x3ffffae2,0x0bffffff,0xfd301fe4,0xffff7bff,
    0x805fffff,0x01fb31ee,0x3fff7200,0xffffffff,0xfffd504d,0x20003fff,
    0xfefffedb,0x000befff,0xfffffff5,0xffda85bf,0x3ffb63ff,0xffffffff,
    0xffec81de,0x704effff,0xfffdffff,0xff71e239,0xffffffff,0x7fff645d,
    0xefffffff,0xffffd104,0xfc8800df,0xffffffff,0xd8be22ce,0xfffffffe,
    0xc81defff,0xeffffffe,0x3ffe6004,0x2a003fff,0xffffffff,0x7ffed42d,
    0x3b66003f,0xffffffff,0x07e62dff,0xfffffd10,0x3a2001df,0xfe880fff,
    0x6406ffff,0x7c8000ff,0x98000db0,0xfdbbfffd,0x2fffffff,0xdffffb80,
    0x3fff260a,0x5409f73f,0x7f43ffff,0x02ffffff,0x07f107e6,0xffff7000,
    0x6c00bfff,0x001fffff,0x5effff4c,0xffffb510,0x3ffa2005,0x7e406fff,
    0xfffd100f,0x2001dfff,0x300fffe8,0x4c419ffd,0x887ffffd,0xfffffffd,
    0x3fffea02,0x1000ffff,0x44005ffd,0xadfffffd,0xfffdb999,0xfe882ffe,
    0x00efffff,0x01fffd10,0xfffff300,0xfe88007f,0x6406ffff,0x3f2000ff,
    0x220aefff,0xfeffffb9,0xfffb801f,0x44003fff,0x3fea02ff,0x7d407fff,
    0x81f50003,0x2a0004f8,0x7f42ffff,0x02ffffff,0x13ffff62,0xffffff30,
    0x7fffc40b,0x9ffffa86,0x41f20099,0xfd00006d,0x001fffff,0x0fffffe4,
    0x9ffff900,0xdffff980,0xffffa800,0x01fd407f,0x3fffffee,0x17fc4003,
    0xa809ffd0,0xff307fff,0x801fffff,0x7ffffffa,0x002fdc00,0x3bfffff3,
    0xffffe980,0xfffff702,0xff88007f,0xfff30002,0x50007fff,0x80ffffff,
    0xfd3003fa,0x2e005fff,0x801fffff,0x3ffffffa,0x400ff800,0x02fffffe,
    0xf80003f2,0x0003f20d,0x43ffffcc,0x999ffffa,0xfffff100,0x3ffea009,
    0x3ffa01ff,0xfff884ff,0x83f5005f,0xb00003f8,0x00ffffff,0x1fffffb8,
    0xffffe880,0xffff3006,0xfffd003f,0x07e405ff,0x3ffffea0,0x0ff8003f,
    0x001fff90,0x7ec0fff3,0x802fffff,0x1ffffffe,0x4007f200,0x05fffffb,
    0x817ffe40,0x3ffffffa,0x000ff800,0xffffff30,0x3ffa0007,0x3f202fff,
    0xffffc800,0x7fcc002f,0xffa801ff,0x8002ffff,0xfffa807e,0x013a05ff,
    0xffbff700,0x7ff40009,0xfff884ff,0xfffe805f,0x3fa000ff,0x3fe06fff,
    0xfff03fff,0x37e003ff,0x0001f910,0x3fffff60,0x7ffdc007,0xffd801ff,
    0x36000eff,0x400fffff,0x05fffffa,0x3fea013a,0x8002ffff,0xbfff307e,
    0x303fdc00,0x0bffffff,0xffffff70,0x80374009,0x05fffffa,0x205ffb00,
    0x2ffffffa,0x0007e800,0x3fffffe6,0xfff50003,0x02740bff,0x1fffffdc,
    0x1fff9800,0xfffffa80,0x07d8002f,0x1fffffd0,0x00003f30,0x0003bfb1,
    0x03fffff8,0x403fffff,0x05fffffc,0x7ffffd40,0xfffff984,0x5fffff03,
    0x3fbfee00,0x3600004f,0x007fffff,0x0fffffdc,0x3ffffee0,0x7ffcc003,
    0xffe805ff,0x1f980fff,0xfffffa80,0x07d8002f,0x800ffff5,0x7fff407d,
    0x7c400fff,0x007fffff,0xff3007f1,0x0001ffff,0xffa817f4,0x8002ffff,
    0x3e60007d,0x003fffff,0x3fffffa0,0x4401f980,0x006fffff,0x400ffd40,
    0x2ffffffa,0x7007d800,0x909fffff,0x7ec0000d,0x7fcc0004,0xfff03fff,
    0x3fea05ff,0x4001ffff,0x1ffffffd,0x1fffffcc,0x03fffff8,0x002f6e20,
    0xffffb000,0xffb800ff,0x3e201fff,0x001fffff,0x2fffffe8,0x7ffffdc0,
    0xf5006c84,0x005fffff,0x3ff20fb0,0x3ea003ff,0x3fffee00,0xffd803ff,
    0xb802ffff,0x7ff4400f,0x40003fff,0xfff502fb,0xb0005fff,0x7fcc000f,
    0x0003ffff,0x13ffffee,0x3ff601b2,0x80003fff,0xffa801fd,0x8002ffff,
    0xfff1007d,0x03f81fff,0x1fff1000,0x7ffd4000,0xffff03ff,0x3fffa07f,
    0x7e4006ff,0x86fffffe,0xf03fffff,0x0003ffff,0x7ec00000,0x4007ffff,
    0x01fffffb,0x1ffffffa,0x7fffe400,0x3fe200ff,0x1fc0ffff,0xfffffa80,
    0x07d8002f,0x05fffffb,0xf8803e20,0x807fffff,0x5ffffffa,0xfb805e80,
    0x000fffff,0xfa817c40,0x002fffff,0x260007d8,0x03ffffff,0x3fffe200,
    0x201fc0ff,0x0ffffffb,0x01f98000,0xffffffa8,0x007d8002,0x8ffffff2,
    0x900000fa,0x40007fff,0x03fffff8,0x305fffff,0x0bffffff,0x7fde7dc0,
    0x7e43ffff,0xff884fff,0x751006ff,0x0039dfdb,0x3ffff600,0x7fdc007f,
    0xff501fff,0x0009ffff,0x3fffffee,0x7fffe403,0x4003ea3f,0x2ffffffa,
    0xf707d800,0x019fffff,0xfff90070,0xff005fff,0x401fffff,0xffe802f9,
    0x00006fff,0x3ffea059,0xd8002fff,0x3fe60007,0x0003ffff,0x1fffffe4,
    0x7fc401f5,0x0007ffff,0x3ea007a0,0x002fffff,0x3e2007d8,0x1766ffff,
    0x7ffc4000,0x7f40006f,0xff883fff,0xffc80fff,0x5004ffff,0x3fffeabf,
    0x7ffcc4ff,0xffff985f,0xdeffa804,0x005ffffe,0xfffffd80,0x7ffdc007,
    0xfff701ff,0x20007fff,0x5ffffff9,0x7ffffc40,0xfa801766,0x002fffff,
    0xfff307d8,0x007fffff,0xfffff300,0xfffa80bf,0x3203ffff,0xffffa807,
    0x000004ff,0xffffffa8,0x007d8002,0x3ffffe60,0x7c40003f,0x1766ffff,
    0xffffff50,0x0040000d,0xffffffa8,0x007d8002,0x57ffffec,0x700002f8,
    0x005fffff,0x2ffffd40,0x827fffcc,0x3ffffffe,0x3e26f980,0xb86fffff,
    0x7e40ffff,0x7ec404ff,0x7fffe41f,0x7fec0004,0x5c007fff,0xb01fffff,
    0x05ffffff,0x3fffe200,0xffd806ff,0x02f8afff,0x3ffffea0,0x07d8002f,
    0x3ffffffe,0x40003fff,0x0ffffffe,0x3fffff60,0x09f106ff,0xffffffb0,
    0x50000005,0x05ffffff,0x4000fb00,0x3ffffff9,0xfffd8000,0x402f8aff,
    0x5ffffffc,0xa8000000,0x02ffffff,0x4c007d80,0x7bdfffff,0x3ffa0000,
    0x40006fff,0x640ffffc,0x3fe05fff,0x402fffff,0x3fe20ef8,0xd507ffff,
    0xffb37fff,0xdffb005f,0x0bffffe0,0xffffd800,0x7fdc007f,0xffd01fff,
    0x0005ffff,0x3fffffe2,0xffff9807,0x54007bdf,0x02ffffff,0x3ea07d80,
    0xffffffff,0xf70002ef,0x207fffff,0xffffdbf9,0x01fa81ff,0xfffffff8,
    0xa8000002,0x02ffffff,0x20007d80,0x3ffffff9,0xfff98000,0xd807bdff,
    0x03ffffff,0xfa800000,0x002fffff,0xfe8007d8,0x004fffff,0xfffff500,
    0xa80003ff,0xfe99effe,0x3fe204ff,0x202fffff,0x7fc40fe8,0x200fffff,
    0xbdfffffc,0xffff9800,0x5fffff83,0x3fff6000,0x7dc007ff,0xf881ffff,
    0x01ffffff,0xfffff100,0xffd003ff,0x8009ffff,0x2ffffffa,0x5c07d800,
    0xffffffff,0x4001dfff,0x7ffffff8,0xfff51f90,0x0dd09fff,0x3fffffe0,
    0x8000001f,0x2ffffffa,0x0007d800,0x3fffffe6,0xffd00003,0xf009ffff,
    0x05ffffff,0xf5000000,0x005fffff,0xf5000fb0,0x001fffff,0x3ffffa00,
    0x00005fff,0x9dfffff9,0xffff9801,0x3fa01fff,0xffffff01,0x44bae05f,
    0xfffc8001,0xffffe86f,0x3ff60006,0x5c007fff,0x981fffff,0x1fffffff,
    0x3fffe000,0xfa802fff,0x000fffff,0x7fffffd4,0x807d8002,0xfffffffc,
    0x002fffff,0x7fffffe4,0x3ffe4f82,0x1fc47fff,0x7ffffc40,0x000000ff,
    0xffffffa8,0x007d8002,0x3ffffe60,0xf500003f,0x801fffff,0xfffffff8,
    0x80000001,0x2ffffffa,0x0007d800,0x00dfffff,0x3fafe600,0x000fffff,
    0x018975c0,0x7ffffcc0,0x05fb01ff,0x7ffffffc,0x0017f4c2,0x37fffd40,
    0x037ffff4,0xfffffb00,0xfffb800f,0xfff981ff,0x0000ffff,0x3ffffffe,
    0xfffff002,0xfff5000d,0xb0005fff,0x3ffee00f,0xffffffff,0x3fe6003f,
    0x7d45ffff,0x3fffff21,0x2003ee2f,0xfffffff9,0xa8000001,0x02ffffff,
    0x20007d80,0x3ffffff9,0x3ffe0000,0xff9806ff,0x001fffff,0xffa80000,
    0x8002ffff,0xff90007d,0x200005ff,0xfffff77d,0x3a60009f,0xff80002f,
    0xc81fffff,0x3ffe203f,0x7f41ffff,0xf900001f,0xfffd05ff,0x7ec000df,
    0x4007ffff,0x81fffffb,0xfffffff8,0x3ffe0001,0x9001ffff,0x0005ffff,
    0x5ffffff5,0x400fb000,0xffffffd8,0x002fffff,0x3ffffffa,0xfff31ba0,
    0x02f4bfff,0xffffff98,0x8000002f,0x2ffffffa,0x0007d800,0x3fffffea,
    0x3f200004,0xf8802fff,0x02ffffff,0xfa800000,0x002fffff,0xf10007d8,
    0x00001fff,0x3ffe29f1,0xd0007fff,0xd00003ff,0x85ffffff,0x7fc404fb,
    0x260fffff,0x999befff,0x81800199,0x6fffffea,0x3fff6000,0x7dc007ff,
    0xff01ffff,0x005fffff,0x3ffffe20,0xff1000ff,0xf50001ff,0x005fffff,
    0xb3000fb0,0xffffffff,0x7fdc00df,0x5f33ffff,0xffffffd0,0x7c005f31,
    0x03ffffff,0xffa80000,0x8002ffff,0xff30007d,0x05ffffff,0x3ffe2000,
    0xffff000f,0xd1007fff,0xdddddddd,0x2a07dddd,0x02ffffff,0x20006e80,
    0x00004ffd,0x7ffe41f9,0x4c003fff,0x999befff,0xfc800999,0x2a3fffff,
    0xfff8805f,0x7fe47fff,0xffffffff,0x4003dfff,0xfffecfea,0x3f60006f,
    0x4007ffff,0x01fffffb,0x7ffffffb,0x3ffe2000,0x6c007fff,0xf50004ff,
    0x005fffff,0x4c000dd0,0xfffffffe,0xfff1003f,0x41f2ffff,0xbffffffb,
    0x7ffc007d,0x0004ffff,0xffffa800,0x6e8002ff,0x3fffa200,0xffffffff,
    0x6c0002ef,0x3fe004ff,0x004fffff,0x3fffff22,0x2a01bfff,0x02ffffff,
    0x20006e80,0x80001ff9,0x7ffcc4f8,0x64006fff,0xffffffff,0x02efffff,
    0x9ffffff7,0x26003be6,0x45ffffff,0xfffffffb,0xffffffff,0x7ff5400e,
    0x0dffffd3,0x7fffec00,0x7fdc007f,0xff901fff,0x0009ffff,0x3fffffe6,
    0x0ffcc005,0xffffa800,0x6e8002ff,0x3aa001b0,0x04ffffff,0x3fffff20,
    0xff103fbf,0x09ffffff,0xfffffd80,0x8000006f,0x2ffffffa,0x0006e800,
    0x30000000,0x7e4003ff,0x005fffff,0xffffffd8,0xffff9803,0x6f8002ff,
    0x00374000,0xfd81fb80,0x002fffff,0x3fffffee,0xffffffff,0x7ffcc0df,
    0x0fe8dfff,0xfffff700,0xffff885f,0xffffffff,0xb106ffff,0x7ff45fff,
    0x06e206ff,0x3fffffec,0x3fffea00,0xffff301f,0x2e0009ff,0x02ffffff,
    0x20006e80,0x2ffffff9,0x7b06f800,0xffffd800,0x3fe6006f,0x00ffffff,
    0x3ffffff2,0x7fcc001f,0x0007ffff,0xffff9800,0x6f8002ff,0x00010000,
    0x800dd000,0x6ffffff9,0xffffc800,0xff9802ff,0x8003ffff,0x17c0005f,
    0x505e8000,0x0bffffff,0x7ffffc40,0xffffffff,0xffd84fff,0x01feefff,
    0x3fffff60,0xffffd306,0xffffffff,0xfe981fff,0x7fff42ff,0xbfff906f,
    0xdfffffb0,0xffffa800,0x3fff601f,0xfb0006ff,0x000dffff,0xf98000be,
    0x003fffff,0x00bb05f8,0x6ffffe88,0x7ffff400,0x7fcc05ff,0x0006ffff,
    0x1ffffffd,0xf9800000,0x003fffff,0x440005f8,0x00002efd,0x3a000be0,
    0x007fffff,0xffffffb8,0xffff8801,0x7cc003ff,0x01ea0003,0xd017d400,
    0x03ffffff,0x7ffff4c0,0xffffffff,0xfff887ff,0x4002ffff,0x03ffffff,
    0x3bbbffee,0xfffffffe,0x3fffa22f,0x6ffffe87,0x1fffff88,0x37ffffec,
    0x3fffea00,0x3ffe200f,0xe8001fff,0x002fffff,0x440007a8,0x03ffffff,
    0xfd81fcc0,0x7ffcc000,0x7fdc004f,0xe801ffff,0x003fffff,0xffffff70,
    0x40100009,0x3ffffff8,0x001fcc00,0x03ffff20,0x01ea0000,0x7ffffcc0,
    0x7fdc001f,0xd001ffff,0x00bfffff,0x75c02fc8,0x00026c0c,0x7fdc06e8,
    0x4004ffff,0xfeeffffb,0xffffffff,0xfffffa82,0x7ffd4004,0xffd505ff,
    0xfffd3003,0x2ffffe43,0x437ffff4,0x43fffffb,0x04fffffd,0xffff31dc,
    0xffff900f,0xffa800bf,0x3ae05fff,0x00026c0c,0x2ffffff4,0x6c0bf200,
    0xfff8005f,0x7fc4002f,0xf7006fff,0x0001ffff,0x3fffffec,0xd0162000,
    0x00bfffff,0x40002fc8,0x003ffffc,0x4d819d70,0x3ffee000,0x7dc005ff,
    0x001fffff,0x0dfffff7,0x2a037cc0,0x03e24fff,0x33be6000,0xfdcccccc,
    0x00ffffff,0x009effa8,0x07fff662,0x07ffffe4,0xdffffd00,0x05fff101,
    0x7f46ff80,0x7fc47fff,0xffa87fff,0x7ff40fff,0x3f602fff,0xdffff32f,
    0xffffd100,0x7ff4001f,0xff500fff,0x0007c49f,0x7ffffdc0,0x81be6006,
    0x7c002ffd,0xc8000fff,0x1003ffff,0x000bffff,0xffffff88,0x0df10004,
    0x6fffffb8,0x001be600,0x13fbf620,0x93ffea00,0x640000f8,0x001fffff,
    0x3fffffee,0xffff1001,0xff100bff,0x7fffd805,0x6c000172,0xffffffff,
    0xffffffff,0x2fff803f,0x103ffc00,0x009fffff,0x07ffffee,0x0017ffcc,
    0xfff89ff1,0xffcadfff,0xf887ffff,0xfff84fff,0xff100eff,0x3fffe29f,
    0xfffd1004,0x3fea009f,0x3f601fff,0x001727ff,0x7ffffc40,0x2ff8805f,
    0x007fff60,0x0017ffcc,0x00ffff98,0x00bfff60,0x3fffe600,0x7d4003ff,
    0x7ffc401e,0xf8805fff,0x4c00002f,0xffd8001f,0x0001727f,0x077ffff4,
    0xfffffb80,0x3fe6001f,0x880cffff,0xfb803fea,0x00fb9fff,0x003f8800,
    0xfffffff1,0x03fff980,0x9813fe20,0x03ffffff,0x06ffffd4,0x003fffa0,
    0x3f217fa2,0xcfffffff,0xecfffffd,0x307ffea1,0x803fffff,0xfff14ffd,
    0xffe8800d,0x7fd404ff,0x7dc01eff,0x00fb9fff,0x3ffe6000,0xa880cfff,
    0x7fec03fe,0xffe803ff,0x7ff40004,0x3ffd4004,0xffb10000,0x44019fff,
    0x26005fd9,0x0cffffff,0x003fea88,0x0006b800,0xf73ffff7,0x7dc00001,
    0xb801efff,0x01ffffff,0x7ffff540,0xffebceff,0xfff1003f,0x00007fff,
    0xfd8003f2,0x402fffff,0x8800ffff,0x3be205fe,0xbefffea8,0x3ffff261,
    0xfffb1003,0xb755355b,0x3fe605ff,0xf31effff,0x905fffff,0xfd315dff,
    0xf3003fff,0x3fff93df,0x3ffee000,0xfb710adf,0x22009fff,0x03ffffff,
    0xffea8000,0xebceffff,0xfd803fff,0x40aeffff,0x0003ffe9,0x8001ffb8,
    0x800004ff,0xdffffffb,0xfffecaac,0xffea8002,0xebceffff,0x00003fff,
    0x10001eb8,0x07ffffff,0xffb10000,0xb8813bff,0x0beffffe,0xffff9000,
    0x19ffffff,0xeffc9800,0x9f100002,0xffff9800,0x7f4406ff,0xba9aadff,
    0x2204ffed,0x7fecc0ee,0xdfffffff,0xdd910002,0x579dffff,0xeffda801,
    0x77ff5c0b,0x3fffa602,0x001dffff,0x33ffffaa,0x75c40000,0xffffffff,
    0x4c001cef,0x0002effc,0x7fffe400,0x0cffffff,0x9511db00,0xfffddfff,
    0x2200001b,0x3f90005f,0x2a200000,0xfffffffd,0x0000dfff,0x7fffffe4,
    0x000cffff,0x005ecc00,0x3bff2600,0x4c000002,0xfffffffd,0x0bdfffff,
    0x32a60000,0x0009abcc,0xc8000000,0xffe8002f,0xa802ffff,0xffffffec,
    0x1fd802de,0x5665d4c0,0x10000009,0x80088000,0x2ea60008,0x40000abc,
    0x22000000,0x1abcccaa,0x00000000,0x99953000,0xb8001357,0x37997500,
    0x37000001,0x000e6000,0x5d4c4000,0x0001abcc,0xbccca980,0x0000009a,
    0x00000001,0x54c00000,0x19abcccb,0x00000000,0x00000000,0x20003fe2,
    0x6ffffffb,0x00031000,0x00000062,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffa0000,0xfff88001,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x75400000,0x4000dfff,0xfffffffb,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff900,0x75407dff,0xffffffff,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0005eeea,0x6664c000,0x200002cc,0x0005eee9,
    0x00000000,0x30336000,0x0000007b,0x9980001c,0x99999999,0x99999999,
    0x00099999,0x41cc9800,0x5d4405ec,0x40002bcd,0x000001ca,0x65c006e4,
    0x05d50000,0x00003930,0x02cccca8,0x40174400,0x333300e9,0x33333333,
    0x90000133,0x00099999,0xcccc9800,0xddd10002,0x000bdddd,0x0005dc40,
    0x01dffb00,0xfc800000,0x0000efff,0x00fffd40,0x07f60000,0x0001fd10,
    0xb3bff300,0x000000df,0x200007cc,0xfffffec8,0xffffffff,0xffffffff,
    0x3f200002,0x3f64ffbc,0x37ffee07,0x8002effe,0x7c45ffff,0x82fcc00d,
    0xfb101ff9,0x3fe80009,0x0001fee0,0xffffff10,0x01ff0000,0xfd903fc4,
    0xffffffff,0x80005bff,0x01fffff9,0x7ff40000,0x30000fff,0x0ffffffb,
    0x3ffea000,0xff00002f,0x0000000b,0x003bfffe,0x27fcc000,0x3e600000,
    0x07ff302f,0x7fdc0000,0x00000fff,0x0013f600,0xffffe880,0xccccceff,
    0x2fffffec,0x2bf90000,0xffb0fffb,0x982fffa0,0x2a002fff,0x5c0fffff,
    0x1ff700ef,0x2217fec0,0x40000ffe,0xffc84ffa,0x7e400002,0x003fffff,
    0x4d67fec0,0x806ffca9,0xffffffe8,0x3200002f,0x0002ffff,0x7fffdc00,
    0x7c0004ff,0x0007ffff,0x0dffffb0,0x009d3000,0x3e600000,0x00000eff,
    0x00026c40,0x21ffec00,0x00006ffa,0x01eeec80,0x3e200000,0x200000ff,
    0x4ffffffa,0x17fff540,0x9ffd4000,0x1ff67ffd,0x7ec17ff6,0xffb001ff,
    0xff887fff,0x027fe41f,0x7ccfffe6,0xd00003ff,0x3ffa2bff,0x7c400006,
    0x0fffffff,0x3ffe6000,0x2fffffff,0xfffff300,0xe80000bf,0x00002fff,
    0x7ffffc40,0x20000fff,0x007fffff,0xffffff00,0x20660001,0x000000a8,
    0x001dff90,0x22066000,0x3000000a,0x3ff29fff,0x2000002f,0x000a8819,
    0xfffc8000,0x3e600003,0x004fffff,0x00005ff9,0x3fea5ffd,0xff31ff63,
    0x3fff603f,0xffff5003,0x5fff701f,0x001fffb1,0xfffbfffb,0x7d40000d,
    0x1ffffeff,0x7fec0000,0x03fffaaf,0x7fffe400,0x2004ffff,0x5ffffff8,
    0x3fe60000,0x8000002f,0xff9bfffc,0x3fa0004f,0x00007fff,0x00dffffb,
    0xfd0bfee0,0x0000001f,0x00001fff,0xfd0bfee0,0x2000001f,0xfffffffc,
    0x2e000005,0x07ff42ff,0xff100000,0x40000dff,0x4ffffff9,0x000bf600,
    0x445fff30,0x3ee3fec0,0xfffd02ff,0x7fff4009,0x3ffffa04,0xf1003fff,
    0x05ffffff,0xfffe8000,0x00005fff,0xf30f7fcc,0xb80001ff,0x04ffffff,
    0x7ffffc40,0x3200004f,0x000003ff,0x221fff88,0xd0001ffe,0x000fffff,
    0x0bfffe60,0x227fec00,0x00001fff,0x000ffcc0,0x89ffb000,0x00001fff,
    0xffffff10,0x4000003f,0x7ffc4ffd,0x2e000001,0x002fffff,0xfffff100,
    0x17cc009f,0x3fff6000,0x363fec02,0xff905fff,0x0b98003f,0x7ffffd40,
    0x7fe4006f,0x00006fff,0xffffff98,0x7f400000,0x04fe880e,0xcedc9800,
    0xfff88001,0x00004fff,0x00000ffa,0x44077ec0,0xfd0005fe,0x0000ffff,
    0x20000ba8,0x2fdc1ee9,0x54c00000,0x4c000000,0x02fdc1ee,0x3ff20000,
    0x00004fff,0x2e0f74c0,0x4000005f,0x06fffffe,0xffff1000,0x206a09ff,
    0x3e60002e,0x7ec03fff,0x17fffe47,0x00002db8,0x7fffff40,0x7ffc4002,
    0x000001ff,0x009ffffb,0x404fa800,0x00000fe8,0xfff10000,0x00009fff,
    0x00000154,0x6c00df98,0xffe8001f,0x000007ff,0x00000000,0x00000000,
    0x00000000,0xdddd1000,0x0000001b,0x80000000,0xfffffffa,0xff880001,
    0x5b04ffff,0x6c000590,0x6c02ffff,0x7fffd47f,0x0000002f,0x13bbbaa0,
    0x00000000,0x00000000,0x00004c00,0xff880000,0x0004ffff,0x00000000,
    0x004c0031,0x3fffff40,0x26000000,0x99999999,0x88099999,0x99999999,
    0x99530001,0x21b80379,0x99999999,0x80999999,0x99999998,0x00000019,
    0x26666600,0x99999999,0x99998809,0x80019999,0xfffffffe,0xff880005,
    0x5d04ffff,0xa8800110,0x01fffffd,0x3fa23fec,0x000dffff,0x55555550,
    0x80000015,0x0acccba8,0x54c00048,0x5c01bccc,0x26666661,0x99999999,
    0x99999880,0x32a01999,0x999aceed,0xf1009999,0x209fffff,0x99999998,
    0x33100099,0x01333333,0x00000000,0x44fffffd,0x2203dedb,0x2aaaaaaa,
    0xfffffed8,0x1defffff,0xfffffec8,0x322004ef,0xffffffff,0x8be22cef,
    0xffffffed,0x81deffff,0xffffffec,0x0380004e,0xfffdb000,0xdfffffff,
    0xfffd903b,0x8009dfff,0xffffebf9,0x440000ff,0x84ffffff,0xb80002f8,
    0xffffffff,0x7fd81eee,0xffffff98,0xfea8002f,0x261fffff,0x99999999,
    0x70099999,0xfffdffff,0x2001e239,0xffffffc8,0x222cefff,0x3fffb62f,
    0xefffffff,0xfffec81d,0xe984efff,0xfffbdfff,0x02ffffff,0x9ffffff1,
    0x3ffffa60,0x800fffff,0xffffffeb,0x3333313f,0x13333333,0x99999880,
    0xfffd0199,0x3fffeeff,0xfc881fff,0x207fffff,0xffffffe8,0xffd1000e,
    0x7ec4001f,0x99adffff,0xfefffdb9,0xfffe882f,0x1000efff,0x0001fffd,
    0x00003e60,0xfffffe88,0xfd1000ef,0x360001ff,0xffffff77,0xff880009,
    0xfc84ffff,0xffe80002,0xffffffff,0x507fd80f,0x9fffffff,0x3fffa000,
    0xffd911ff,0xffffffff,0xffe985bd,0x3ff6620c,0x362007ff,0x9adfffff,
    0xefffdb99,0xffe882ff,0x000effff,0x201fffd1,0x743ffffa,0x2fffffff,
    0xffffff10,0xfffe8809,0x2006ffff,0x5c1fffd8,0xffffffff,0x4c03efff,
    0xeffffffe,0xfffffe80,0xffffdefa,0xfff100ef,0xffb80fff,0x4003ffff,
    0x26002ff8,0x01dfffff,0x17ffff4c,0xffffffb8,0x17fc4003,0x09fb0000,
    0xfffb8000,0x44003fff,0xf10002ff,0x3ffffe29,0x7c40007f,0x544fffff,
    0xd80002ff,0xffffffee,0x0ffb05ee,0x3fffffa2,0x64000eff,0x881fffff,
    0xfffffffe,0x013ffa02,0x200ffff5,0x1dfffff9,0x7ffff4c0,0xfffff702,
    0xff88007f,0xdffff102,0x33ffff50,0x3ffe2013,0xe8804fff,0x4fffffff,
    0x5017fc00,0xffffffff,0xffd88003,0x3fffa01e,0x3fa63fff,0x3fe05fff,
    0x7d407fff,0x003fffff,0xf7000ff8,0x800bffff,0xf502fffc,0x007fffff,
    0x00001ff0,0x0003ffe2,0xfffffa80,0x0ff8003f,0x641f9000,0x03ffffff,
    0x3fffe200,0xffc98cff,0x2600002f,0x804fffff,0xafe887fd,0xeffffffe,
    0x3ffee000,0xfff501ff,0x7e40bfff,0xff9800ff,0xffffb807,0x7fe4005f,
    0xffff502f,0xff0007ff,0x3ffffa01,0x5ffff884,0xfffff880,0xfff3004f,
    0x005fffff,0x3ee007ec,0x01ffffff,0x401ffa80,0x84fffffe,0x02fffff9,
    0x80fffffd,0x2ffffffa,0x5007e800,0x00bfffff,0x540bff60,0x02ffffff,
    0x00007e80,0x000ffff2,0xfffffa80,0x07e8002f,0xf989f100,0x006fffff,
    0x3ffffe20,0xffffffff,0x3ee00002,0xd802ffff,0x897f447f,0xfffffffd,
    0xffff7000,0x3ffe603f,0xff304fff,0x3fdc00bf,0x3ffffea0,0x5ffb0005,
    0x3ffffea0,0x07e8002f,0x40fffffe,0x401fffff,0x4ffffff8,0xfffff300,
    0x2003ffff,0xfffd007c,0x90009fff,0xfffd007f,0x3ffe01ff,0xfffd06ff,
    0xfffa80ff,0xd8002fff,0xffff9807,0x3a0000ff,0xffff502f,0xfb0005ff,
    0x3fe20000,0x200006ff,0x2ffffffa,0x0007d800,0xfffb03f7,0x20005fff,
    0xeffffff8,0x02ffffec,0x3fff2000,0x2a9800ff,0x7fd437ec,0x7006ffff,
    0x203fffff,0x4ffffff9,0x00ffff50,0x3fe607d8,0x0000ffff,0x7fd40bfa,
    0x8002ffff,0xffff307d,0x3fffe07f,0x7ffc402f,0xf3004fff,0xfffffffb,
    0x00f9001d,0x3fffffe6,0x1be2000f,0x3fffff40,0x1fffff90,0x0fffffd0,
    0xffffffa8,0x407d8002,0x3fffffe8,0x817dc000,0x2ffffffa,0x0007d800,
    0x5fffff70,0x3fea0000,0x8002ffff,0x0bd0007d,0x3fffffea,0xfff10005,
    0x7f449fff,0x3a00002f,0x0007ffff,0x74c13fe6,0x803fffff,0x01fffffb,
    0x9ffffff1,0x0fffff20,0xe880fa80,0x003fffff,0xfa817dc0,0x002fffff,
    0xfff307d8,0x3ffe07ff,0x7fc403ff,0x3004ffff,0xfffffb3f,0x0f900bff,
    0x7ffffec0,0x07f6005f,0x3fffff40,0x3fffff70,0x0fffffd0,0xffffffa8,
    0x407d8002,0x0ffffffb,0x817c4000,0x2ffffffa,0x0007d800,0xdfffffd0,
    0x3fea0000,0x8002ffff,0x2fa8007d,0x3fffffa0,0xff88001f,0x7c44ffff,
    0xf100002f,0x000bffff,0x3602ffdc,0xb806ffff,0x101fffff,0x09ffffff,
    0x0bfffff6,0x7dc07c40,0x000fffff,0xfa817c40,0x002fffff,0x3ffe07d8,
    0xffff03ff,0xfff8803f,0xf3004fff,0x3fffffa3,0x03e404ff,0xffffff10,
    0x09f3003f,0x3fffff40,0x7fffff70,0x0fffffd0,0xffffffa8,0x407d8002,
    0x06fffffe,0x2a059000,0x02ffffff,0x80007d80,0xfffffffa,0xffa80001,
    0x8002ffff,0x06e8007d,0x7fffffdc,0xfff88004,0x2fa84fff,0xfff30000,
    0x740009ff,0xffe807ff,0x7fdc00ff,0xff101fff,0x2e09ffff,0x0cffffff,
    0xfffd0380,0x20000dff,0xffff502c,0xfb0005ff,0x27fffe40,0x037fffc4,
    0x7fffffc4,0x223f3004,0xffffffff,0x9001f202,0x0bffffff,0x74001fd0,
    0x2a07ffff,0xe84fffff,0x5407ffff,0x02ffffff,0x3ea07d80,0x004fffff,
    0xfffa8000,0xd8002fff,0xffe80007,0x005fffff,0xfffffa80,0x07d8002f,
    0x66677cc0,0xfffdcccc,0x4000ffff,0x4ffffff8,0x00002f88,0x05fffff7,
    0x2ffffc00,0x07fffa20,0x3fffff70,0x3ffffe20,0xffff304f,0x0007ffff,
    0x9ffffff5,0xf5000000,0x005fffff,0x7fcc0fb0,0xfff985ff,0xfff8804f,
    0xf3004fff,0x7ffffcc3,0x0f901fff,0xfffff880,0x0bee02ff,0xfffffd00,
    0x7ffffd40,0x7ffffe85,0x7ffffd40,0x07d8002f,0x3ffffff6,0xa8000002,
    0x02ffffff,0x40007d80,0xffffebf9,0x540000ff,0x02ffffff,0x6c007d80,
    0xffffffff,0xffffffff,0x7fc4003f,0x5d04ffff,0xfc8015c0,0x0000ffff,
    0x013ffffa,0xf700fff7,0x2203ffff,0x04ffffff,0x3ffffffe,0x36003fff,
    0x02ffffff,0xffa80000,0x8002ffff,0x7ffdc07d,0x27ffe40f,0xfffff880,
    0x83f3004f,0xfffffffb,0x8007c80e,0x6ffffffb,0xd000df10,0x540fffff,
    0xe83fffff,0x5407ffff,0x02ffffff,0x3fe07d80,0x002fffff,0xfffa8000,
    0xd8002fff,0xbbec0007,0x04ffffff,0x7fffd400,0x7d8002ff,0x400fe200,
    0x7ffffff8,0x7fffc400,0x405904ff,0xfffd001f,0xfb8000ff,0x2605ffff,
    0xffb805ff,0xff101fff,0x5409ffff,0xffffffff,0xff802eff,0x002fffff,
    0xfffa8000,0xd8002fff,0xfffea807,0x02fffd9b,0x3ffffe20,0x03f3004f,
    0xfffffff9,0x2000f90b,0x2ffffffe,0xe8001fc8,0x2e07ffff,0xe82fffff,
    0x5407ffff,0x02ffffff,0x3fe07d80,0x001fffff,0xfffa8000,0xd8002fff,
    0x53e20007,0x7ffffff8,0x7ffd4000,0xd8002fff,0x003f2007,0xffffffd8,
    0x3ffe2002,0xa8004fff,0xffff1007,0xfd0000bf,0x503dffff,0xff7007ff,
    0x3e203fff,0x404fffff,0xfffffffb,0x201dffff,0x1fffffff,0xfa800000,
    0x002fffff,0x3f2007d8,0x00bdffff,0x7ffffc40,0x03f3004f,0x3ffffffa,
    0x8003e43f,0x6ffffffa,0xe80027cc,0x2e07ffff,0xe80fffff,0x5407ffff,
    0x02ffffff,0xff107d80,0x001fffff,0xfff50000,0xb0005fff,0x07e4000f,
    0x7ffffff9,0x7ffd4000,0xd8002fff,0x009f1007,0xffffff98,0x3ffe2006,
    0xe8004fff,0xffff3007,0x3fec007f,0x3fffffe6,0x802fec3f,0x01fffffb,
    0x9ffffff1,0xfffff900,0x5fffffff,0xffffff10,0x0000001f,0x5ffffff5,
    0x200fb000,0x000312eb,0xffffff88,0x203f3004,0xfffffff8,0x8001f22f,
    0x3ffffffe,0x740003fa,0x3207ffff,0xfd07ffff,0xfa80ffff,0x002fffff,
    0xfff307d8,0x0003ffff,0xffff5000,0xfb0005ff,0x313e2000,0x0dffffff,
    0x7fffd400,0x7d8002ff,0x0005f900,0x5ffffffd,0x3fffe600,0x7ec004ff,
    0xffff7005,0x3fec005f,0x7fffffcc,0x00dfb8df,0x3fffff70,0x3ffffe20,
    0xfff7004f,0xffffffff,0xffff987f,0x00001fff,0xfffffa80,0x07d8002f,
    0x00017f4c,0x3ffffe20,0x03f3004f,0x7fffffcc,0x000f90ff,0x7fffffd4,
    0x0002fa8f,0x81fffffa,0xd06ffffe,0xa80fffff,0x02ffffff,0xff307d80,
    0x005fffff,0xfff50000,0xb0005fff,0x07ee000f,0x3ffffff6,0xfff50002,
    0xb0005fff,0x01ff100f,0xfffff700,0x3fe600df,0x1004ffff,0x36009ffb,
    0x000fffff,0x7fcc1ff6,0x4fffffff,0x7fffdc00,0xffff101f,0x6c4009ff,
    0xffffffff,0x3fe62fff,0x002fffff,0xfffa8000,0xd8002fff,0x00fff407,
    0x3ffe6000,0xf3005fff,0xffffa803,0x00f96fff,0xfffffd80,0x40006fcf,
    0x83fffffe,0x02fffff8,0x80fffffd,0x2ffffffa,0x3e07d800,0x03ffffff,
    0xffa80000,0x8002ffff,0x0bd0007d,0x3fffffea,0xfff50005,0xb0005fff,
    0x03ffd00f,0xfffff100,0xff5007ff,0x401dffff,0x03ffffb8,0x0dffffd0,
    0x2607fd80,0xfffffffe,0x7ffdc001,0xfff101ff,0x30009fff,0xfffffffb,
    0xffff8dff,0x00003fff,0xfffffa80,0x07d8002f,0x26fbffe6,0x80019999,
    0x5ffffff9,0x9003f300,0xbfffffff,0xf98000f9,0x1fffffff,0x7fff4000,
    0x3f623fff,0x3fe05fff,0x7d407fff,0x002fffff,0x3ffe06e8,0x0004ffff,
    0xffffa800,0x6e8002ff,0x202fa800,0x1ffffffe,0xffffa800,0x6e8002ff,
    0x37fffaa0,0x7ffdc000,0x202fffff,0xffffffe8,0xedcccdef,0x02ffffff,
    0x09fffff0,0xc807fd80,0x0effffff,0x3fffee00,0xffff101f,0x4c0009ff,
    0xfffffffe,0x3ffffe3f,0x000004ff,0xffffffa8,0x206e8002,0xfffffffc,
    0x3dffffff,0x7ffff440,0xf9803fff,0xffffb001,0x000fffff,0xffffffb0,
    0xffd0000b,0xf9ff7fff,0x201dffff,0xbffffffb,0xfffff500,0x0dd0005f,
    0x7fffffec,0xa8000006,0x02ffffff,0xe8006e80,0x7fffdc06,0xfa8004ff,
    0x002fffff,0xfff906e8,0x407dffff,0xffffffea,0x10ffffff,0xfffffffd,
    0xffffffff,0xffffffff,0xffff1003,0x7fd8005f,0xffffd300,0x7fdc00bf,
    0xff101fff,0x3609ffff,0xfffd5000,0x7fec9fff,0x0006ffff,0xffffa800,
    0x6e8002ff,0x3ffffee0,0xffffffff,0x3ba20eff,0xffffffff,0xf303efff,
    0x3ffa2003,0x007fffff,0xfffff880,0xfe80004f,0xfff57fff,0xf1017dff,
    0xffffffff,0xffff303f,0xdf0005ff,0x7ffffcc0,0x8000007f,0x2ffffff9,
    0x4006f800,0xcccccef9,0xfffffdcc,0x7cc000ff,0x002fffff,0x000006f8,
    0x00027dc0,0x005fb800,0x1fffff10,0x007fd800,0x17ffffe4,0xfffffb80,
    0xfffff101,0x000f609f,0x4dfffffb,0x7ffffff9,0xf9800000,0x002fffff,
    0x3fe206f8,0xffffffff,0x06ffffff,0x98003fc8,0x3fe6001f,0x007fffff,
    0xfffff880,0xfe80004f,0x5dcc7fff,0x0bfa2000,0x7ffffcc0,0x05f8003f,
    0x7ffffff4,0x4c000000,0x03ffffff,0x6c005f80,0xffffffff,0xffffffff,
    0x7fcc003f,0x8003ffff,0x0000005f,0x0000dfb1,0x001ff600,0x06ffff98,
    0x1107fd80,0x13fffea0,0x7ffffdc0,0xfffff101,0x0017609f,0x8dffffd1,
    0x0ffffffe,0x7cc00000,0x003fffff,0x7f4c05f8,0xffffffff,0x00ffffff,
    0x2000bfb1,0x7d4001f9,0x007fffff,0xfffff880,0xfe80004f,0x80007fff,
    0x22004fe9,0x03ffffff,0x2e01fcc0,0x04ffffff,0x3e200800,0x003fffff,
    0xf1001fcc,0x3ffe2007,0x44007fff,0x03ffffff,0x0001fcc0,0x03ffb800,
    0xffa80000,0x3fe20004,0xfd8003ff,0x705ffc87,0x2a00dfff,0x101fffff,
    0x09ffffff,0xf30003f6,0xffb89fff,0x0004ffff,0x3ffe2008,0x4c003fff,
    0xfffb803f,0xffffeeee,0xf902ffff,0x3e60007f,0xfffc8001,0x880007ff,
    0x04ffffff,0xffffe800,0xffe80007,0x7fff4001,0x7e4005ff,0xffffd802,
    0x2c40007f,0x3fffffa0,0x017e4005,0x6c001f90,0x02ffffff,0x7fffff40,
    0x017e4005,0xffe80000,0xd8000005,0x220006ff,0x8000ffff,0x7ffc47fd,
    0x6fff881f,0x7ffcc570,0xfff100ff,0x3f609fff,0xffff8005,0xfffffd82,
    0x02c40007,0x17fffffa,0x5405f900,0xe9801ffe,0xffd01fff,0x07e60009,
    0x7fffec00,0xff880007,0x0004ffff,0x07ffffe8,0x17ffc400,0x3fffee00,
    0x1be6006f,0x7ffffc40,0xdf10004f,0xfffffb80,0x01be6006,0x4c004f88,
    0x06ffffff,0x7ffffdc0,0x01be6006,0x7fc40000,0x8000007f,0x1000ffff,
    0x01fffc41,0x7d47fd80,0xffd01fff,0x265ffb07,0x2207ffff,0x04ffffff,
    0xf8005ffb,0xff880fff,0x0004ffff,0xffb80df1,0x26006fff,0x3ffe206f,
    0x837fc002,0x0006fff8,0x220003f3,0x0007fffe,0xffffff88,0xffe80004,
    0x540007ff,0x44005fff,0x05ffffff,0x2002ff88,0x3ffffff9,0x00f7d400,
    0x3fffffe2,0x02ff8805,0x2000bf20,0x2ffffffe,0x3fffe200,0xff8805ff,
    0x20000002,0x0004ffff,0x6ffff400,0x8a7fd400,0x360005ff,0x3fffc47f,
    0x441fff88,0xfff14fff,0x7ffcc07f,0xffb04fff,0x3fe6003f,0x3ffe602f,
    0x54003fff,0x7fc401ef,0x8805ffff,0x3fe602ff,0x3fe2002f,0x13fffe04,
    0x000fea00,0x007fff88,0xfffff880,0xfe80005f,0x40007fff,0x002ffff9,
    0x7fffffcc,0x3fea880c,0xfffd8800,0x26200cff,0x3e6005fd,0x80cfffff,
    0x2003fea8,0xb8000ff8,0x06ffffff,0x7ffffcc0,0xfea880cf,0x40000003,
    0x00dffffc,0xfff70000,0x7ff401df,0x0001df57,0x7fe43fec,0x04ffc80f,
    0x3fe29ffb,0x7ffcc06f,0xffb04fff,0xffd007ff,0xfffb1009,0x4c4019ff,
    0x3e6005fd,0x80cfffff,0xe803fea8,0xe8800fff,0x7ffe405f,0x3f6000df,
    0x7fd40005,0xff880007,0x0005ffff,0x07fffff8,0xffffe800,0x7ff54004,
    0xebceffff,0x40003fff,0xdffffffb,0xfffecaac,0xffea8002,0xebceffff,
    0x74003fff,0xf88001ff,0x03ffffff,0x7ffff540,0xffebceff,0x0000003f,
    0xdfffffd0,0xd800003b,0x1dffffff,0x7f4f7fe4,0x3fec0001,0xcabeffd8,
    0x3e603fff,0x1fffc9ef,0x7ffffd40,0xffffb05f,0xfe9815df,0x7fdc003f,
    0xaacdffff,0x002fffec,0xfffffea8,0xfffebcef,0xfffb1003,0xb755355b,
    0xfd1005ff,0x03bdffff,0x00e7ffdc,0x000ff700,0xffffff30,0xffa8000d,
    0x0002ffff,0x7fffffc4,0xff9000ce,0xffffffff,0x22000019,0xffffffda,
    0x000dffff,0x7ffffe40,0x00cfffff,0x37fffaa0,0x7ffdc000,0x002fffff,
    0xffffffc8,0x000cffff,0x32200000,0x01efffff,0xfffc8000,0x7e441eff,
    0x80000cff,0x3f6607fd,0x801bdfff,0x0cffffea,0x7ffff440,0x8ed82fff,
    0xeefffca8,0x0000dfff,0xfffffb51,0x01bfffff,0xffffc800,0x0cffffff,
    0xfeec8800,0x0abcefff,0x3fff2200,0x7f541eff,0x3effffff,0x000fb000,
    0xfffffe88,0xe88003ff,0xffffffff,0x3660004e,0x00cfffff,0x5e6654c0,
    0x0000009a,0x2f32ea62,0x9800001a,0x09abccca,0x7fffe400,0x2a03efff,
    0xfffffffe,0x000fffff,0xabccca98,0x00000009,0x06b2a200,0x75100000,
    0x00010035,0x20019880,0x40040000,0xffffffe8,0x2effffff,0x332ea017,
    0x2000009b,0xabccba98,0xa9800001,0x009abccc,0x00008000,0x006b2a20,
    0x04800000,0xfffeeb80,0xffffffff,0x333000ee,0x13333333,0x59530000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x664c0000,0x00002ccc,
    0x99999980,0x33333199,0x33333333,0x33331013,0x40033333,0x04b800dc,
    0x99930000,0x006665c5,0x00000000,0x32600000,0x0002cccc,0x20057000,
    0x2200002b,0x003ccccc,0xb882f640,0x0e5c400c,0x00000c00,0x00260018,
    0xcccca800,0xa8000001,0x001ccccc,0x66664000,0x0000000c,0xddcaa988,
    0x00000abc,0x333332a0,0x3f200001,0x0000efff,0x7fff6dc4,0xffffffff,
    0xfffdb5ff,0xdfffffff,0xfffd705b,0x4009dfff,0xfb100efa,0x36000009,
    0xfff10fff,0x0000000b,0x2fffffb8,0x7e400000,0x00006fff,0xc803fb00,
    0x5400002f,0x000fffff,0x3e61ff60,0xff103fff,0x3aa007ff,0x400003ff,
    0x01fb805f,0xffff1000,0x000000df,0x00bffffb,0xfffa8000,0x000004ff,
    0x3ffff6a0,0xefffdcce,0x7400000b,0x0004ffff,0x077fff40,0xfffb1000,
    0x557fffff,0x2201dff5,0xfffffffe,0xdffb1000,0x3ffa0001,0x007ff4c1,
    0x7ffc4000,0x003ffee2,0xfb000000,0x00007fff,0x3ffff200,0xb8000001,
    0x32a21bff,0x800000ff,0x003ffffa,0x3f61ff60,0xff906fff,0x3fa00fff,
    0x00000fff,0xffa813f6,0xff900000,0x0005ffff,0x7fffc400,0xe8000005,
    0x00ffffff,0x3ee20000,0x4c401cff,0x00003feb,0x00bffff1,0xefff9800,
    0x3fa20000,0xffffffff,0x2e00ffc1,0x04ffffff,0x0017fc40,0x2a5fff30,
    0x00003fff,0xfd8bff50,0x0000002f,0x1ffffc40,0x36000000,0x00004fff,
    0xfffff880,0x005fffff,0x3ffee000,0x1ff60006,0x07fffffe,0x07fffffa,
    0x9fffff30,0x7fdc0000,0xfffdccef,0xff300006,0x00dfffff,0x7ffdc000,
    0xb8000005,0x4fffffff,0xff500000,0x3220005d,0x5c0000df,0x00005fff,
    0x000effc8,0x3ffffe20,0x41ffffff,0x7fd400ff,0x8003ffff,0x6c0000fe,
    0x6fffdfff,0x3f600000,0x013fe20f,0x2e000000,0x00004fff,0x0dffb000,
    0x3ea00000,0xffffffff,0x5c000000,0xb0000fff,0xffff90ff,0x3fffee0d,
    0xffff8806,0x7400002f,0xffffffff,0xfb00001f,0x7fff75ff,0x3f600000,
    0x8000005f,0xfd8efff8,0x400000ff,0x00003ffc,0x40001fd3,0x00005ffe,
    0x0001ffd0,0xffffffc8,0x7c1fffff,0x7ffd400f,0xd8003fff,0x7cc0000f,
    0x02ffffff,0x3ff10000,0x00006fa8,0x9ffb0000,0x80000000,0x00001ffd,
    0xfffff700,0x000005ff,0x000ffee0,0x7fcc3fec,0xffd102ff,0x3ff2007f,
    0x9800006f,0xffffffff,0xff500003,0x03ffd41d,0x77fc4000,0xc8000000,
    0x2ffe45ff,0xffe88000,0x6e800001,0x0dff1000,0x3fe60000,0x7fcc0001,
    0xffffffff,0x403fc1ff,0x3ffffff9,0x0007d800,0xbfffffb0,0x7d400000,
    0x0001fd84,0xff880000,0x00000004,0x00007fb0,0x77fecc00,0x0000000c,
    0xd80037e4,0x002ea07f,0x930002e6,0x44000005,0x01effffd,0x037fa000,
    0x0000ffe6,0x0001df70,0x07ff3000,0x00007fea,0x0001bfd1,0x0013e600,
    0x00003bee,0x0000d4c0,0x7fffffe4,0x41ffffff,0xfff9807f,0xd8003fff,
    0xff100007,0x00003fff,0x01a814c0,0x50000000,0x000000bf,0x00154400,
    0x00000000,0x02a80000,0x000ffb00,0x00000000,0x0d544000,0x13ee0000,
    0x0001fd10,0x000054c0,0x402fd800,0x6c0005f9,0x000000ef,0x26000fdc,
    0x0000000a,0xfffb0000,0xffffffff,0x9807f83f,0x03ffffff,0x00007d80,
    0x00000000,0x00000000,0x00001880,0x00000000,0x00000000,0x00000000,
    0x00001ff6,0x00000000,0x40000000,0x00260008,0x00000000,0x00c40000,
    0x003ff700,0x013a0000,0x4ccc0000,0x99999999,0x99880999,0xd1999999,
    0xffffffff,0x7f83ffff,0xfffff980,0x07d8003f,0x33333331,0x26200133,
    0x09999999,0x26666666,0x09999999,0x99999988,0x00000199,0x00000000,
    0x00355530,0x99999980,0x99999999,0x99999880,0x26661999,0x99999999,
    0x99880999,0xb1999999,0x555554ff,0x555542aa,0x65402aaa,0x999aceed,
    0x00009999,0x799d9531,0x0000dc05,0x4c000000,0x00001aaa,0x0d554c00,
    0x3ff98000,0x477b2600,0x980a9998,0x99751007,0xed890159,0xffffffff,
    0xec81deff,0x4effffff,0xfffffffd,0xf83fffff,0xffff9807,0x7d8003ff,
    0xfffffd30,0x7001ffff,0xfffffffd,0x7ffff6c7,0xdeffffff,0xffffec81,
    0x40004eff,0x99999999,0x99999999,0x99999999,0xedb80009,0xffffefff,
    0x3b6000be,0xffffffff,0xec81deff,0x4effffff,0x3fffffb6,0x1defffff,
    0xfffffec8,0x64ffb4ef,0x47ffffff,0xffffffeb,0xdfffe980,0xfffffffb,
    0x366002ff,0xfffffffe,0x3e62dfff,0x99999881,0x00000099,0x77fff6dc,
    0x00beffff,0x3fb6e000,0xeffffeff,0x6fd8000b,0x37ffee00,0x03ffffb7,
    0xffb805f1,0x1cfffeff,0x3ffa20f1,0x000effff,0xd81fffd1,0xffffffff,
    0x3fc1ffff,0x7ffffcc0,0x07d8003f,0x7fffff44,0x362006ff,0x3a201fff,
    0x0effffff,0x1fffd100,0x3bb20000,0xffffffff,0xffffffff,0x03ffffff,
    0x37fffa60,0xfffb510b,0xfe88005f,0x00efffff,0x01fffd10,0x7fffff44,
    0xfd1000ef,0x47fd81ff,0x07fffff8,0x81ffffff,0x743ffffa,0x2fffffff,
    0xdffff900,0x7fdcc415,0xa81ffeff,0x2fffffff,0xfd300000,0x2a217bff,
    0x002ffffd,0x6ffff4c0,0xfffb510b,0x7fc4005f,0x5ffd8801,0x1ffffef2,
    0xffd303e8,0x7fecc419,0x3fee07ff,0x4003ffff,0xffb82ff8,0xffffffff,
    0x403fc1ff,0x3ffffff9,0x8807d800,0xfffffffe,0x017fc004,0x7fffffdc,
    0x17fc4003,0xffc80000,0xdfffffff,0xffeccccc,0xf9003fff,0xf9809fff,
    0x2000dfff,0x3ffffffb,0x017fc400,0x7fffffdc,0x17fc4003,0x7ff43fec,
    0xfffb07ff,0x7ffc41ff,0xffffa86f,0x74c00999,0x7002ffff,0x203fffff,
    0x2fffffe8,0xffc80000,0x7fcc04ff,0xc8000dff,0x4c04ffff,0x800dffff,
    0xfe8806fb,0x3ffea0ff,0x413604ff,0x7d404ffe,0x3fea07ff,0x8003ffff,
    0xfff980ff,0xffffffff,0x4c03fc1f,0x03ffffff,0xf3007d80,0x5fffffff,
    0x4007ec00,0x3ffffffa,0x000ff800,0xf7ff3000,0x405fffff,0x403fffd8,
    0x06ffffe8,0x3fffff30,0x3fffea00,0xff8003ff,0xffffa800,0xff8003ff,
    0xfe87fd80,0xff907fff,0x7ff41fff,0xfff884ff,0xfff9005f,0xf98005ff,
    0x3f201fff,0x0002ffff,0x3ffffa20,0xffff3006,0x3fa2003f,0xf3006fff,
    0xf803ffff,0xfffd803f,0x7ffffcc2,0x3f216e02,0xff9800ff,0x3fffea07,
    0x7e8002ff,0x3fffffe0,0x41ffffff,0xfff9807f,0xd8003fff,0xffff3007,
    0x003fffff,0x7fd401f2,0x8002ffff,0x2000007e,0xffffaafc,0xffc802ff,
    0x7fffec03,0x3ff6000e,0xfa800fff,0x002fffff,0xff5007e8,0x0005ffff,
    0x21ff60fd,0x907ffffe,0x7c1fffff,0xff03ffff,0xfb803fff,0x0003ffff,
    0x5c03fff3,0x002fffff,0x3ffff600,0x3ff6000e,0xfd800fff,0x2000efff,
    0x00fffffd,0xfb801ff5,0xfffb86ff,0x31aa00ff,0x5c00bfff,0x3ffea07f,
    0xd8002fff,0x3ffff207,0x1fffffff,0x7fcc03fc,0x8003ffff,0xfbf3007d,
    0x1dffffff,0x2a00f900,0x02ffffff,0x00007d80,0x3feabf30,0x9002ffff,
    0x7ffdc07f,0x7cc003ff,0xa805ffff,0x02ffffff,0xf5007d80,0x005fffff,
    0x1ff60fb0,0x41fffffa,0x30fffffc,0x207fffff,0x202fffff,0x06fffff8,
    0x00ffd400,0x05fffff7,0x3ffee000,0x7cc003ff,0x5c05ffff,0x003fffff,
    0x2fffffcc,0x7cc05fb8,0xffc83fff,0x22d405ff,0x4007fffa,0x3ffea07d,
    0xd8002fff,0x7ffff407,0x41ffffff,0xfff9807f,0xd8003fff,0xfb3f3007,
    0x0bffffff,0x3ea00f90,0x002fffff,0x000007d8,0x3ffea1fb,0xf1002fff,
    0x3fffe207,0xfe8001ff,0x5402ffff,0x02ffffff,0xf5007d80,0x005fffff,
    0x1ff60fb0,0x41fffffa,0x30fffffc,0x207fffff,0x203fffff,0x03fffffd,
    0x201fd800,0x02fffffb,0xffff8800,0xfe8001ff,0xf102ffff,0x003fffff,
    0x5fffffd0,0xfd809f90,0xffd80fff,0x225c03ff,0x003ffffc,0x7fd403ea,
    0x8002ffff,0x7ff4407d,0x1fffffff,0x7fcc03fc,0x8003ffff,0x23f3007d,
    0xfffffffe,0xa803e404,0x02ffffff,0x00007d80,0x3fea3fa8,0x0702ffff,
    0x3fffa07b,0xf90007ff,0x401fffff,0x2ffffffa,0x5007d800,0x05ffffff,
    0x3f60fb00,0x7ffffe87,0x1fffff90,0x81fffffc,0x701fffff,0x01ffffff,
    0x403f3000,0x02fffffb,0xffffe800,0xff90007f,0xfd01ffff,0x000fffff,
    0x3ffffff2,0xf301fec0,0x3fe0bfff,0x1e401fff,0x0bfffff6,0xfa807c40,
    0x002fffff,0xff7007d8,0x83ffffff,0xfff9807f,0xd8003fff,0x223f3007,
    0xffffffff,0x5401f202,0x02ffffff,0x00007d80,0x3fea37c4,0x6882ffff,
    0xfffa83b8,0x70004fff,0x07ffffff,0x7fffffd4,0x007d8002,0x5ffffff5,
    0x360fb000,0xffffe87f,0xfffff907,0x27fffe41,0x837fffc4,0x7ffffff8,
    0x807a0000,0x02fffffb,0x7fffd400,0xf70004ff,0xa87fffff,0x04ffffff,
    0xfffff700,0x202fe87f,0xa82ffffc,0xe807ffff,0x7ffffdc1,0x203800cf,
    0x2ffffffa,0x4007d800,0x1ffffeca,0x7fcc03fc,0x8003ffff,0x43f3007e,
    0xfffffff9,0x200f901f,0x2ffffffa,0x0007d800,0x3ea0fe40,0xa82fffff,
    0xfff70106,0x20007fff,0x5ffffff9,0x3ffffea0,0x07d8002f,0xffffff50,
    0x20fb0005,0xfffe87fd,0xffff907f,0x7fffcc1f,0x4ffff985,0xffffff50,
    0x0040000d,0x8bffffee,0x400beec9,0x3ffffffb,0xffff3000,0xfffb8bff,
    0x30003fff,0x8bffffff,0xfff101ff,0xfffd01ff,0x9879809f,0xffffffff,
    0x3fea0003,0x8002ffff,0xfe80007d,0x7c403fc1,0x003fffff,0x3f3006e8,
    0xffffffb8,0x007c80ef,0x5ffffff5,0x000fb000,0x7d427cc0,0xc82fffff,
    0x3fff6006,0x10002fff,0x0dffffff,0x7fffffd4,0x007d8002,0x5ffffff5,
    0x360fb000,0xffffe87f,0xfffff907,0x0ffffb81,0x9027ffe4,0x0bffffff,
    0x7dc00000,0xff92ffff,0x6c05ffff,0x02ffffff,0xfffff100,0xffffd8df,
    0xf10002ff,0xf8dfffff,0xffff500f,0xfffff30d,0xff04c805,0xffffffff,
    0xfff50007,0xb0005fff,0x3fd0000f,0xfff007f8,0xf0007fff,0x207e600b,
    0xfffffffc,0xf5007c85,0x005fffff,0x40000fb0,0xffff506e,0x06f885ff,
    0x3fffffa0,0xff10002f,0x540fffff,0x02ffffff,0xf5007d80,0x005fffff,
    0x1ff60fb0,0x41fffffa,0x80fffffc,0xd9bfffea,0x7ec02fff,0x003fffff,
    0x3fee0000,0xfffdbfff,0xd00fffff,0x05ffffff,0x3fffe200,0x7fff47ff,
    0x10002fff,0x8fffffff,0xfff701ff,0xffffb0bf,0x80fc401f,0xfffffffa,
    0x2002efff,0x2ffffffa,0x0007d800,0x03fc1fe8,0x4fffffe8,0x8027c400,
    0xfffd01f9,0x7c87ffff,0xfffff500,0x0fb0005f,0x40bee000,0x2ffffffa,
    0xf88037e4,0x01ffffff,0xfffff100,0x3fea03ff,0x8002ffff,0xfff5007d,
    0xb0005fff,0x3a1ff60f,0xf907ffff,0x6401ffff,0x0bdfffff,0xffffff80,
    0x0000002f,0x3fffffee,0xfffff31e,0xfffff10b,0x220003ff,0x1fffffff,
    0xfffffff1,0x3fe20003,0x3a1fffff,0xffff902f,0xfffffb87,0x2e02e405,
    0xffffffff,0xa801dfff,0x02ffffff,0x80007d80,0x803fc1fe,0x05fffffd,
    0x98017dc0,0xffff101f,0x3e45ffff,0xfffffa80,0x07d8002f,0x205f8800,
    0xaffffffa,0x006ffea8,0xfffffff3,0x7ffc0003,0xf502ffff,0x005fffff,
    0x3ea00fb0,0x002fffff,0x0ffb07d8,0x20fffffd,0x00fffffc,0x000625d7,
    0xfffffff1,0x40000003,0x0ffffffb,0x43ffffe4,0xfffffff9,0x3ffe0001,
    0xff32ffff,0x003fffff,0x7fffffc0,0x6c13f62f,0x3e63ffff,0x203ffffc,
    0xffc800f9,0xffffffff,0x7fd402ff,0x8002ffff,0xfe80007d,0xfb803fc1,
    0x000fffff,0x7cc00ff3,0x3fffe601,0x0f90ffff,0x3ffffea0,0x07d8002f,
    0x200fd800,0xfffffffa,0x006fffff,0xfffffff3,0x7ffc0001,0xf502ffff,
    0x005fffff,0x3ea00fb0,0x002fffff,0x0ffb07d8,0x20fffffd,0x40fffffc,
    0x40002fe9,0xfffffff9,0x20000001,0x82fffffb,0x40fffffc,0xfffffff9,
    0x3ffe0000,0xff32ffff,0x001fffff,0x7fffffc0,0x7417f22f,0x5f35ffff,
    0x205ffff9,0x3ee002f9,0xffffffff,0x3ea03fff,0x002fffff,0xe80007d8,
    0xb003fc1f,0x00bfffff,0x4c007fd1,0x7ffd401f,0x0f96ffff,0x3ffffea0,
    0x07d8002f,0x6677d400,0xffdccccc,0xfdbcffff,0xff1006ff,0x003fffff,
    0x7fffffc0,0xffff501f,0xfb0005ff,0x3fffea00,0x7d8002ff,0xffd0ffb0,
    0x3ff20fff,0x7ff40fff,0x7fc40001,0x002fffff,0x3fee0000,0xffb82fff,
    0x7fc41fff,0x001fffff,0x3fffffe0,0xfffff11f,0x7c0003ff,0x21ffffff,
    0xfffb06f9,0x3f6bffff,0x3f980fff,0x3f6200a8,0xffffffff,0xfff502ff,
    0xb0005fff,0x3fd0000f,0x3e2007f8,0x01cfffff,0x98009fd3,0xfffc801f,
    0x07cdffff,0xffffff50,0x00fb0005,0x7ffffc40,0xffffffff,0x3e62ffff,
    0x3ffe006f,0x0002ffff,0xfffffff1,0x3fffea01,0x7d8002ff,0xfffff500,
    0x0fb0005f,0x3ffa1ff6,0xffc80fff,0x3fe60fff,0x99999bef,0xfffff001,
    0xdd1007ff,0xdddddddd,0xffb87ddd,0xffb82fff,0xfff81fff,0x0002ffff,
    0xfffffff1,0x7fffffc1,0xff10002f,0xf81fffff,0xffffc80f,0xfff50eff,
    0x982fc83f,0xffd9800f,0x6fffffff,0xffffff50,0x00dd0005,0x7f83fd00,
    0x7fff4c00,0xecbcefff,0xf98003ff,0xffffb001,0x200fffff,0x2ffffffa,
    0x0006e800,0x3ea007f2,0x4c2fffff,0x3ff6006f,0x0003ffff,0xfffffff1,
    0x7ffffd40,0x06e8002f,0xffffff50,0x20dd0005,0x7ffd47fd,0xffc84fff,
    0x3ff20fff,0xffffffff,0xff03dfff,0x009fffff,0x7ffffe44,0xfb81bfff,
    0xfb82ffff,0xfd81ffff,0x003fffff,0xffffff10,0xfffffd8f,0xff10003f,
    0xf90fffff,0xfffff105,0x9ffffd0b,0x0f603bfb,0xffffd300,0xf507ffff,
    0x005fffff,0xd0000dd0,0x0007f83f,0xffffffd5,0x0001bfff,0x744007e6,
    0x7fffffff,0xfffff500,0x0dd0005f,0x4013e600,0x2ffffffa,0x3f2006d8,
    0x004fffff,0xffffff30,0x7fffd40b,0x6e8002ff,0xfffff500,0x0dd0005f,
    0x7ffc5ff6,0x1fffffff,0x83fffff2,0xfffffffb,0xffffffff,0x7fffe40e,
    0xfd8005ff,0x203fffff,0x82fffffb,0x81fffffb,0x4ffffffc,0xffff3000,
    0xfffc8bff,0x30004fff,0x0bffffff,0xf7101ff1,0x3fb2207b,0x1aa00bde,
    0x3faa001b,0x984fffff,0x02ffffff,0x80006f80,0x003fc1fe,0x3ff2a660,
    0xf980001d,0x3ffe6001,0x3007ffff,0x05ffffff,0x2000df00,0x3fea006e,
    0x6b82ffff,0x3fffe600,0xf70004ff,0x405fffff,0x2ffffff9,0x3006f800,
    0x05ffffff,0x3f60df00,0x7fe40007,0x3fe20fff,0xffffffff,0x46ffffff,
    0x6ffffff9,0xffffc800,0x3fee02ff,0xffb82fff,0xff981fff,0x0004ffff,
    0x5ffffff7,0xffffff98,0xfff70004,0x3f205fff,0x80000005,0x2001ec2e,
    0x86fffffd,0x3ffffff9,0x0005f800,0x03fc1fe8,0x03ff9000,0x007e6000,
    0xffffff50,0x3ffe600f,0xf8003fff,0x01fb8005,0x3ffffea0,0x2a06982f,
    0x7ffffec2,0xfffb0006,0xff980dff,0x8003ffff,0xfff3005f,0xf0007fff,
    0x001ff60b,0x1fffff90,0xfffffe98,0xffffffff,0x7fff40ff,0xfb8007ff,
    0x201fffff,0x82fffffb,0x01fffffb,0x0dfffffb,0x3ffff600,0xffffb06f,
    0x3f6000df,0x2206ffff,0x000002fe,0x01761720,0xdffffd10,0xffffff10,
    0x03f98007,0x7c1fe800,0xff500007,0x7cc0000d,0xfffc8001,0xff1007ff,
    0x8007ffff,0x7c4003f9,0x7ffd4005,0x40d02fff,0x7fffc42e,0xfe8001ff,
    0x4402ffff,0x03ffffff,0x8801fcc0,0x03ffffff,0xfd81fcc0,0x7fdc0007,
    0xfff707ff,0xffffdddd,0xf985ffff,0x001fffff,0x7fffffdc,0x3fffee01,
    0xffffb82f,0xffff101f,0xfd0003ff,0x2205ffff,0x01ffffff,0xfffffe80,
    0x007fcc02,0x07640000,0x260007ec,0xfd04ffff,0x800bffff,0xe80002fc,
    0x0003fc1f,0x0006ffd8,0x40007e60,0x007ffffd,0x17fffffa,0x8005f900,
    0x7d4000fd,0x002fffff,0x7fe40fd4,0x54005fff,0x005fffff,0x0bfffffd,
    0x2002fc80,0x05fffffe,0xfd817e40,0xb8ae2007,0x7547ffff,0xfe9801ff,
    0xfffb81ff,0x7dc005ff,0x201fffff,0x82fffffb,0x01fffffb,0x17fffff2,
    0xfffff500,0xffffc80b,0x7fd4005f,0xf5005fff,0x4000001b,0x0bfb00dd,
    0x05ffff00,0x1bffffee,0x0006f980,0x07f83fd0,0x3fffd000,0x07e60000,
    0x7fff4400,0x3ffee007,0x3e6006ff,0x01fd4006,0x7ffffd40,0x83ec002f,
    0x0fffffe8,0x3ffffa00,0xfff7000f,0x7cc00dff,0x7ffdc006,0x3e6006ff,
    0x801ff606,0xfff51ffe,0x17ffc4df,0xc81bfe00,0x001fffff,0x3fffffee,
    0x3fffee01,0xffffb82f,0x3ffa201f,0x3a000fff,0x400fffff,0x0fffffe8,
    0x3ffffa00,0x3fea000f,0x6c400002,0x017fec05,0x403fffe0,0x5ffffff8,
    0x002ff880,0x7f83fd00,0xfffb0000,0x3ea0000d,0x3fe20003,0x3fe2007f,
    0x8805ffff,0x3e2002ff,0xfff50006,0x5c005fff,0x3ffa206f,0xff5004ff,
    0x44003fff,0x05ffffff,0x4002ff88,0x5ffffff8,0x202ff880,0xff3007fd,
    0x3fffe67f,0x00bffe62,0x7404ff88,0x000effff,0x3ffffff7,0x7ffffdc0,
    0xfffffb82,0x7fff4401,0xfff5004f,0x3a2003ff,0x5004ffff,0x003fffff,
    0x001bfd30,0x805fb880,0x3001fffd,0xf9805fff,0x80cfffff,0x0003fea8,
    0x0ff07fa0,0x3ffea000,0x6c0001ef,0x7d40005f,0x7fcc007f,0x880cffff,
    0x6c003fea,0xff50003f,0x2007ffff,0x74405ffd,0x5404ffff,0x001effff,
    0xffffff98,0x3fea880c,0xffff3000,0xd51019ff,0x07fd807f,0x7d4fffa0,
    0xfffe85ff,0x05fe8800,0x3dffff70,0xfffff700,0x7ffdc03f,0xfffb82ff,
    0xfe8802ff,0x7d404fff,0x4001efff,0x04ffffe8,0x0f7fffd4,0x5ff91000,
    0x3bf91000,0x3ffff600,0x04ffe803,0xfffffd50,0xfffd79df,0xfe800007,
    0x00003fc1,0xbdfffff9,0xfffb8005,0x3ee0001c,0xffea8007,0xebceffff,
    0x5c003fff,0xf70003ff,0x40bfffff,0x04fffea8,0x5bffff70,0x3fff6e21,
    0x7540004f,0xceffffff,0x003fffeb,0x7ffff540,0xffebceff,0x07fd803f,
    0x367bfee0,0xfd880fff,0xaa9aadff,0x4002ffdb,0x9dffffd8,0x7fff5c40,
    0x3f200bef,0xfc83ffff,0x2002ffff,0x0adffffb,0x9ffffb71,0xfffb8000,
    0xfb710adf,0x00009fff,0x5e77fe44,0xfb97530a,0xffd8003b,0x4c0aefff,
    0xc8003ffe,0xffffffff,0x00000cff,0x03fc1fe8,0x3ffee000,0xea802eff,
    0xefffffff,0x00fb0003,0x7ffffe40,0x00cfffff,0x3bfff220,0x7ffcc001,
    0xcdefffff,0xfffffecc,0x3ae2003f,0xffffffff,0x00001cef,0x3ffffff2,
    0x000cffff,0x3ffff200,0x0cffffff,0x800ffb00,0x0cffffeb,0x7ff76440,
    0x00abceff,0x3fff6600,0xffffffff,0xe9800bdf,0x20efffff,0xdffffff9,
    0x3fae2000,0xffffffff,0x100001ce,0xffffffd7,0x0039dfff,0x7f64c000,
    0xacdeffff,0x11db0001,0xfddfff95,0x80001bff,0x9abccca9,0x22000000,
    0x00001981,0x001bba88,0x24000000,0x6654c000,0x40009abc,0xfffffffa,
    0xffdd503f,0xffffffff,0xffffffff,0x0005ffff,0x2f332aa2,0x4000001a,
    0x9abccca9,0x26000000,0x09abccca,0x000cc400,0x02000010,0x75300000,
    0x03357999,0xfffffb80,0xffa9ffff,0x1fffffff,0xccaa8800,0x00001abc,
    0x66655440,0x000001ab,0x00002200,0x32ea0170,0x000009bc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00333332,0x00750000,0x000000ee,
    0x32219997,0x260003cc,0x02c9803e,0x0004dec4,0x10000180,0x06e01797,
    0x33220000,0x000003cc,0x99999700,0x4d800001,0x0003c880,0x3200a200,
    0x004b800d,0x004ca880,0x4ccccc80,0x00c00000,0xc8000031,0x001c8801,
    0x02eda800,0x00130000,0x32e00022,0x0000cccc,0xffffa800,0x4000004f,
    0x27d402fb,0xff100000,0x17ffdcbf,0x813fa000,0xfb800ffa,0x20000dff,
    0x4c0000f9,0x22dfffff,0x800002f9,0x01fffffd,0x7c400000,0x0002ffff,
    0x300dfb80,0x000005fd,0xf5003f91,0x13f6203d,0xeffd9800,0x7fcc0002,
    0x00001fff,0xc83fff70,0x00000eff,0x1fd801fd,0x7fcc0000,0x800003ff,
    0x02fa806e,0xffffe880,0xe8000003,0x00ffffff,0x3fe60000,0x3fee621b,
    0x2e000002,0x3ffa0fff,0xff980004,0x004ffc85,0x00077fdc,0x20000fe8,
    0xfffffff8,0x000ffeff,0x7fffcc00,0x000006ff,0x1ffffdc0,0xff880000,
    0x037fd40e,0x0ffdc000,0x983ffb00,0x50000ffe,0x00005fff,0x00bfffee,
    0xffff8000,0x13fffe66,0x577e4000,0x01ff2a21,0x3fff6000,0xc800006f,
    0x03fe605f,0x7fff4400,0x5c000006,0x4fffffff,0x7f400000,0xffffffff,
    0x2000000e,0x3fe21ffe,0x3f600006,0x1fffb0ef,0x3fffb000,0x00ffc800,
    0x3fffee00,0x6fffffff,0xffe80000,0x002fffff,0x3ff60000,0x4000003f,
    0xff71fffb,0xc800003f,0x7cc000ef,0x7fff52ff,0x3ffe6000,0x3fa00003,
    0x000002ff,0x43ffffe6,0x006ffffb,0xfffff300,0x009fffff,0xffffb000,
    0xf500000f,0xffb99dff,0xf88000df,0x00000fff,0xb1dfff10,0x00001fff,
    0x7ffffcc0,0x0001ffff,0x713fe200,0x400003ff,0xffeefff9,0xff50002f,
    0x7fd400bf,0x3b60000f,0xfffffdaa,0x400001ff,0xfe8cfffa,0x0000006f,
    0x0007fff1,0x3fffa000,0x0005fffd,0x000ffdc0,0xffdfffd8,0x3fa0006f,
    0x300000ff,0x00005fff,0x4bfffd00,0x003ffff8,0x3ffff200,0x000effff,
    0xffffa800,0xfb000004,0xffffffff,0xff300003,0x2000007f,0x7fe45ffc,
    0x54000005,0x3fffffff,0x7dc00000,0x0003fe86,0xfffffd80,0x3e20006f,
    0xff3007ff,0x740001ff,0x77fedc43,0xfe800001,0x0bff623f,0x3ea00000,
    0x0000004f,0x3fffffea,0x2e00000f,0x260005ff,0x2fffffff,0xffff3000,
    0x7fdc0000,0x30000003,0xfea819fb,0x6400000c,0x1effffff,0x3ae00000,
    0x000000bf,0xffffffd1,0x4c00009f,0x800006ff,0xff703ff9,0x88000003,
    0x001dffed,0x41fe8000,0x000006f8,0x3ffffff1,0x7ffcc000,0x7ffd402f,
    0x020000ff,0xb8000000,0x0dfb01ff,0x9fb00000,0xd0000000,0x009fffff,
    0x0fffd400,0x3fff6000,0x2e0005ff,0x0000ffff,0x00007fd0,0x00000000,
    0xeffda800,0x00000004,0x64400000,0x002fffff,0x00ff9800,0x017ec000,
    0x000017ea,0x00000000,0x00a881a8,0x3ff20000,0x5c0005ff,0x2e02ffff,
    0xabffffff,0x000001aa,0xef880000,0x001fe400,0x000aa000,0x7fd40000,
    0x00000fff,0x000dfff1,0x3fffff10,0x7ffdc000,0x5500001f,0x00000000,
    0x00000000,0x00000000,0xa8800000,0x4000001a,0x400000a9,0x00310009,
    0x00000000,0x00000000,0x00000000,0x807fffe4,0xfffffffc,0x2665ffff,
    0x99999999,0x98809999,0x19999999,0x01100000,0x00000000,0x00000000,
    0x17ffdc00,0x00000000,0x02ffffa8,0x00000000,0x26666666,0x09999999,
    0x99999988,0x00000199,0x95300000,0x1b803799,0x00000000,0x00000000,
    0x00000000,0x001aaa98,0x554c0000,0x2620001a,0x99999999,0x99999999,
    0x09999999,0x20ffffb0,0xffffecc8,0x362ccccf,0xfffffffe,0xc81defff,
    0xeffffffe,0x00380004,0x01c00000,0x99999800,0x09999999,0x3fe00000,
    0x4ccc00ff,0x99999999,0x99999999,0x22009999,0x3303ffff,0x33333333,
    0x00000133,0xffffffdb,0x03bdffff,0xffffffd9,0x4ccccc9d,0x99999999,
    0x99999999,0xc8800099,0xffffffff,0x0be22cef,0x0000e000,0x4ccccccc,
    0x09999999,0x33333330,0x13333333,0x26666662,0x19999999,0x7ff6dc00,
    0xbeffffef,0x36e00000,0xfffefffe,0xf7000bef,0xffffffff,0xffffffff,
    0xbfffffff,0x01bfffa0,0x03fffff2,0x3ffffa20,0xd1000eff,0x00001fff,
    0x000003e6,0x0007cc00,0x3fffba20,0xffffffff,0x1bdeffff,0xffff7000,
    0xfffec880,0xffffffff,0xffffffff,0x7ffc02ff,0xffee884f,0xffffffff,
    0xbdefffff,0x3fa20001,0x00efffff,0x81fffd10,0xfffffec8,0xffffffff,
    0xffffffff,0x3ff62002,0x999adfff,0xffefffdb,0x07cc0002,0x3fb22000,
    0xffffffff,0xfd902def,0xffffffff,0x3b665bff,0xffffffff,0x9800ceff,
    0x10bdfffe,0x05ffffb5,0xfffe9800,0xffb510bd,0xff7005ff,0xfb999dff,
    0x99dfffff,0x0bffffd9,0x2017fffe,0x00fffffc,0xffffff70,0x2ff88007,
    0x13f60000,0x6c000000,0x2200004f,0xcffffffe,0xfffeccaa,0x74001eff,
    0x22005fff,0xeffffffe,0xfecccccc,0x7402ffff,0x74405fff,0xacffffff,
    0xffffecca,0xf70001ef,0x007fffff,0x4402ff88,0xeffffffe,0xfecccccc,
    0x3002ffff,0x03bfffff,0x2ffffe98,0x027ec000,0xfffd1000,0x4005ffff,
    0xffffffe8,0x7ffcc02f,0x000effff,0x013ffff2,0x01bffff3,0x9ffff900,
    0xdffff980,0x07bfee00,0x3fffffe6,0x05ffe883,0x9007ffff,0x001fffff,
    0x3fffffea,0x00ff8003,0x1fff1000,0x88000000,0x00000fff,0x3fffffee,
    0xfffff701,0x3fea005f,0x7d4004ff,0x404fffff,0x402fffea,0xb805fffd,
    0x01ffffff,0x5ffffff7,0xffff5000,0xff0007ff,0xffff5001,0xfea809ff,
    0xffb802ff,0x64005fff,0x20002fff,0x0000fff8,0x3ffffea0,0xff98005f,
    0x9005ffff,0x07ffffff,0x3ffffa20,0xffff3006,0x3fa2003f,0xf3006fff,
    0x2e03ffff,0xfff300ff,0x7ec07fff,0x05fffb05,0x1fffff90,0x3fffea00,
    0x7e8002ff,0x3ff20000,0x0000003f,0x001fffe4,0xfffff500,0x7ffd403f,
    0xfc801fff,0x4c003fff,0x04ffffff,0xc805ff90,0xfa803fff,0x201fffff,
    0x1ffffffa,0x7fffd400,0x7e8002ff,0xfffff300,0x3ff2009f,0x7fffd402,
    0xffb0005f,0x7fe40005,0x2600003f,0x04ffffff,0xfffff980,0xfff7004f,
    0x36005fff,0x000effff,0x03fffff6,0x3bffff60,0x3fff6000,0x02fb80ff,
    0x3fffffe6,0x5c17e203,0xfc803fff,0x5000ffff,0x05ffffff,0x0000fb00,
    0x01bfffe2,0xff880000,0x200006ff,0x1ffffffa,0x7ffffec0,0xffffd806,
    0x7ffcc003,0x36004fff,0x7ffec02f,0xffffa800,0x7fec01ff,0x54006fff,
    0x02ffffff,0xf3007d80,0x009fffff,0xff3017ec,0x0001ffff,0x880017f4,
    0x0006ffff,0x3ffffe60,0xff88004f,0x7004ffff,0x03ffffff,0x7fffff70,
    0xffff9800,0x7ffdc05f,0x7cc003ff,0x6b85ffff,0x7ffffcc0,0xb02e403f,
    0xff900dff,0x2a001fff,0x02ffffff,0x00007d80,0x05fffff7,0x3ee00000,
    0x0002ffff,0xffffff50,0xffffb803,0x7ff401ff,0x7c4002ff,0x004fffff,
    0xff880be6,0xfff5003f,0xfb803fff,0x001fffff,0x3fffffea,0x007d8002,
    0x9ffffff1,0x8817cc00,0x03fffffe,0x0017dc00,0x2fffffb8,0xfff10000,
    0x10009fff,0x09ffffff,0x3ffffee0,0x7ffc401f,0xe8001fff,0x102fffff,
    0x03ffffff,0xfffffd00,0x7cc04b85,0x403fffff,0x0ffec059,0x3fffff20,
    0xffff5000,0xfb0005ff,0x3ffa0000,0x00006fff,0xfffffd00,0x3ea0000d,
    0x401fffff,0x3ffffffa,0x17ffffc0,0x3fffe200,0xd03504ff,0x027fdc05,
    0xffffff50,0xffffa803,0x3ea003ff,0x002fffff,0xff1007d8,0x2a09ffff,
    0xff702e81,0x0001ffff,0xd0002f88,0x00dfffff,0x3fffe200,0xf88004ff,
    0x004fffff,0x3ffffff7,0xfffffe80,0xfff90007,0xffd01fff,0x2000ffff,
    0x0ffffffc,0xfff30066,0x07007fff,0x00cffc88,0x01fffff9,0x3ffffea0,
    0x07d8002f,0xffffa800,0x00001fff,0x7ffffd40,0xa80001ff,0x01ffffff,
    0x7fffffcc,0x3fffe204,0x7fc4002f,0x5b04ffff,0xffb30590,0xfffa8007,
    0x7cc01fff,0x004fffff,0x3fffffea,0x007d8002,0x9ffffff1,0x40b20b60,
    0x06fffffe,0x00059000,0xfffffff5,0xff100003,0x0009ffff,0x9ffffff1,
    0x3fffee00,0x3fea01ff,0x0004ffff,0x7ffffff7,0xffffffa8,0xfff70004,
    0x98007fff,0x03ffffff,0x3fae2000,0xfffffc81,0xffff5000,0xfb0005ff,
    0xfffd0000,0x000bffff,0xffffe800,0x80005fff,0x1ffffffa,0x7ffffd40,
    0x3ffe603f,0x7c4001ff,0xd04fffff,0xdfb81105,0xfff50002,0xfa803fff,
    0x003fffff,0x3fffffea,0x007d8002,0x9ffffff1,0x20220ba0,0x4ffffffa,
    0x40000000,0xfffffffe,0xff880005,0x8004ffff,0x4ffffff8,0xfffff700,
    0x7ffdc03f,0x30003fff,0x8bffffff,0x3ffffffb,0xffff3000,0xf9800bff,
    0x003fffff,0x07ff2600,0x03fffff2,0x7ffffd40,0x07d8002f,0x7f5fcc00,
    0x000fffff,0xfd7f3000,0x001fffff,0xfffffa80,0x7ffe401f,0x3e601fff,
    0x4001ffff,0x4ffffff8,0xf5002f88,0xf500039f,0x803fffff,0x1ffffffc,
    0x3fffea00,0x7d8002ff,0xfffff100,0x005f109f,0x7fffffec,0x00000002,
    0x3fffafe6,0x40000fff,0x4ffffff8,0xffff8800,0xff7004ff,0x6c03ffff,
    0x02ffffff,0xfffff100,0xffffd8df,0xf10002ff,0x00dfffff,0xffffff98,
    0xfe880003,0x3fff203f,0xff5000ff,0x0005ffff,0x7d8000fb,0x9ffffff7,
    0x5f600000,0x4ffffffb,0x7ffd4000,0x7f401fff,0x400fffff,0x002fffff,
    0x7fffffc4,0x2002fc84,0x4005ffc8,0x1ffffffa,0x7fffff40,0x3fea000f,
    0x8002ffff,0xfff1007d,0x5f909fff,0x7ffffc00,0x000002ff,0x7fddf600,
    0x0004ffff,0x7fffffc4,0xfff88004,0xf7004fff,0x403fffff,0x2ffffffe,
    0xffff1000,0xfffe8fff,0x10002fff,0x0fffffff,0xfffff980,0x7440003f,
    0x7fe401ff,0xf5000fff,0x005fffff,0x44000fb0,0xfffff14f,0x100000ff,
    0x3fffe29f,0x540007ff,0x01ffffff,0x3fffffe6,0xfffff802,0x7ffc4002,
    0x7fd44fff,0x5ffa8002,0x3fffea00,0x3fe601ff,0x4002ffff,0x2ffffffa,
    0x1007d800,0x89ffffff,0x3e002ffa,0x01ffffff,0xf1000000,0x3ffffe29,
    0x7c40007f,0x004fffff,0xffffff88,0xffff7004,0x3fe203ff,0x001fffff,
    0xffffff10,0x3fffe23f,0x10001fff,0x3fffffff,0x7fffcc00,0x220003ff,
    0xfc806ffe,0x5000ffff,0x05ffffff,0x4000fb00,0x3fff20fc,0x00003fff,
    0xfff907e4,0x40007fff,0x1ffffffa,0xffffff50,0x3fffa009,0x7fc4002f,
    0xc98cffff,0xf0002fff,0x3ea00bff,0x501fffff,0x09ffffff,0xfffff500,
    0x0fb0005f,0x3ffffe20,0xfffc98cf,0xffff1002,0x00001fff,0xc83f2000,
    0x03ffffff,0x3fffe200,0xf88004ff,0xaadfffff,0xdaaaaaaa,0x01ffffff,
    0xfffffff3,0x7ffc0003,0xff32ffff,0x003fffff,0x7fffffc0,0x3fe6002f,
    0x0003ffff,0x200fffea,0x21fffffb,0xffff503b,0xfb0005ff,0x313e2000,
    0x0dffffff,0x227c4000,0x6ffffff9,0x3ffea000,0xbaa9afff,0x1dfffffd,
    0x3ffff200,0x7ffc4003,0xffffffff,0xf90002ff,0xff5003ff,0x5535ffff,
    0xbfffffb7,0x3fea0003,0x8002ffff,0xfff1007d,0xffffffff,0x3e6005ff,
    0x01ffffff,0xf8800000,0x7ffffcc4,0x3e20006f,0x004fffff,0xffffff88,
    0xffffffff,0xffffffff,0xffff301f,0x40001fff,0x2fffffff,0xfffffff3,
    0x7ffc0001,0x2002ffff,0x3ffffff9,0x3fff6000,0xffff8802,0x2a05b9df,
    0x02ffffff,0x70007d80,0xffffb03f,0x200005ff,0xfffd81fb,0x50002fff,
    0xffffffff,0xbfffffff,0xfff70003,0xff88007f,0xfeceffff,0x90002fff,
    0xf5009fff,0xffffffff,0x3bffffff,0xfffa8000,0xd8002fff,0xffff1007,
    0xfffd9dff,0x3fe6005f,0x002fffff,0x1fb80000,0xffffffd8,0xfff10002,
    0x10009fff,0x5bffffff,0x55555555,0x3ffffffb,0x3ffffe20,0x3e0001ff,
    0x11ffffff,0x3fffffff,0x7fffc000,0x26001fff,0x03ffffff,0x0ffffe00,
    0x7ffffd40,0x3fea00ff,0x8002ffff,0x0bd0007d,0x3fffffea,0x0bd00005,
    0x3fffffea,0xfff50005,0xffb35fff,0x001dffff,0x0bffff30,0xfffff880,
    0x0bffa24f,0x37ffec00,0x7ffffd40,0xffffd9af,0x40000eff,0x2ffffffa,
    0x1007d800,0x49ffffff,0x2002ffe8,0x3fffffff,0xe8000000,0xfffff505,
    0x3e2000bf,0x004fffff,0xffffff88,0xffff7004,0x7ffc03ff,0x0002ffff,
    0xfffffff1,0x7fffffc1,0xff10002f,0x001fffff,0x7fffffcc,0x3ffe0003,
    0x3f6a005f,0x7d401cef,0x002fffff,0xfa8006e8,0x3ffffa02,0x540001ff,
    0x3fffa02f,0xa8001fff,0x11ffffff,0x9ffffffd,0x3fff6000,0x7ffc4006,
    0x7fc44fff,0xfffd0002,0xffff500b,0x3ffa23ff,0x0004ffff,0x7fffffd4,
    0x006e8002,0x9ffffff1,0x2002ff88,0x4fffffff,0x54000000,0x3fffa02f,
    0x88001fff,0x04ffffff,0xfffff880,0xfff7004f,0x7ec03fff,0x003fffff,
    0xffffff10,0xfffffd8f,0xff10003f,0x800fffff,0x3ffffff9,0x3fffa000,
    0x40010006,0x2ffffffa,0x8006e800,0x7ffdc06e,0x40004fff,0x7ffdc06e,
    0xa8004fff,0x21ffffff,0xfffffff9,0xfffa8002,0x7ffc4007,0x2fa84fff,
    0x9ffff000,0xfffff500,0x7fffcc3f,0x20002fff,0x2ffffffa,0x1006e800,
    0x09ffffff,0x7ec005f5,0x006fffff,0x03740000,0x3fffffee,0xfff88004,
    0x88004fff,0x04ffffff,0xffffff70,0x7fffe403,0xf30004ff,0xc8bfffff,
    0x04ffffff,0xfffff300,0xff9800bf,0x0003ffff,0x001ffff6,0xfff30002,
    0xf0005fff,0xcef9800d,0xfdcccccc,0x00ffffff,0x999df300,0xfffb9999,
    0x8001ffff,0x1ffffffa,0x7fffffe4,0xffe8000f,0x3fe2001f,0xf884ffff,
    0xfff98002,0xfffa803f,0x7fe41fff,0x000fffff,0xffffff30,0x00df0005,
    0x3fffffe2,0x2002f884,0x7ffffff9,0x26000000,0xccccccef,0xffffffdc,
    0x7fc4000f,0x8004ffff,0x4ffffff8,0xfffff700,0x7ffcc03f,0x70004fff,
    0x85ffffff,0x4ffffff9,0xffff7000,0xf98005ff,0x003fffff,0x03fffee0,
    0x0067f540,0xffffff98,0x005f8003,0x7fffffec,0xffffffff,0xb0003fff,
    0xffffffff,0xffffffff,0xffa8007f,0xfe81ffff,0x005fffff,0x003fffa8,
    0x3fffffe2,0x15c05d04,0x017fffd4,0x7fffffd4,0xfffffe81,0xff30005f,
    0x0007ffff,0x3fe200bf,0x5d04ffff,0x3ffa15c0,0x0000ffff,0xffffb000,
    0xffffffff,0x007fffff,0xffffff88,0xfff88004,0xf7004fff,0x803fffff,
    0x06fffffd,0xfffffb00,0x3ffff60d,0xffb0006f,0x3000dfff,0x07ffffff,
    0x7fffd400,0xffff8802,0xffff1005,0xf98007ff,0x00fe2003,0x7fffffc4,
    0x03f88007,0xffffff10,0xfffa800f,0xff881fff,0x003fffff,0x2006ffe8,
    0x4ffffff8,0x40fc0590,0x800ffffb,0x1ffffffa,0xffffff88,0xff88003f,
    0x4003ffff,0xff1003f9,0x3209ffff,0xff707e02,0x0009ffff,0x03f88010,
    0xffffff10,0xfff8800f,0x88004fff,0x04ffffff,0xffffff70,0xffff8803,
    0xfe8001ff,0xf102ffff,0x003fffff,0x5fffffd0,0xffff3000,0x4c0007ff,
    0x8801ffff,0x000fffff,0x0bfffffd,0x2002fc80,0x3f6000fc,0x002fffff,
    0xfb0007e4,0x005fffff,0x7fffffd4,0xfffff701,0xf88003ff,0xff1001ff,
    0x0009ffff,0x3ffee0f5,0xffff5007,0x3fee03ff,0x001fffff,0x5fffffe8,
    0x8017e400,0x4ffffff8,0xfb07a800,0x000fffff,0x07e40588,0xfffffb00,
    0x7fc4005f,0x8004ffff,0x4ffffff8,0xfffff700,0xfff9003f,0xfa800bff,
    0x6405ffff,0x005fffff,0x2fffffd4,0xffff9800,0x220003ff,0x2a007fff,
    0x7001feee,0x00dfffff,0xf10037cc,0xfff98009,0x22006fff,0x7fcc004f,
    0x2006ffff,0x1ffffffa,0x3fffff60,0xff98006f,0xffff1006,0xfd0009ff,
    0x01fffe20,0x7fffffd4,0x3ffff601,0xfb8006ff,0x2006ffff,0x3e2006f9,
    0x004fffff,0xfff107e8,0x20009fff,0x13e206f8,0xfffff300,0x7fc400df,
    0x8004ffff,0x4ffffff8,0xfffff700,0xffd1003f,0x74001fff,0x400fffff,
    0x0fffffe8,0x3ffffa00,0xff30000f,0x0007ffff,0x0027ffd4,0x3e2006c8,
    0x805fffff,0x32002ff8,0xffe8002f,0x9002ffff,0xffd0005f,0x2005ffff,
    0x1ffffffa,0x3ffffe20,0xf98004ff,0xfff9802f,0x6c004fff,0x3fffa05f,
    0xffffa801,0x3fe201ff,0x004fffff,0x7fffffc4,0x02ff8805,0x3ffffe60,
    0x2fec004f,0xffffff30,0x1efa8007,0x2000bf20,0x2ffffffe,0xfffff300,
    0xff10009f,0x2009ffff,0x1ffffffb,0xffffd100,0x3ffea009,0xfd1001ff,
    0x2a009fff,0x001fffff,0x3ffffe60,0x3f60003f,0x0fe0006f,0xfffff300,
    0xfd51019f,0x07fc4007,0x7fffdc00,0xff8806ff,0xfffb8000,0xf5006fff,
    0x805fffff,0xfffffffa,0x2ffa8002,0x7ffffcc0,0xffb1004f,0x27ffcc09,
    0x7ffffd40,0x7ffd402f,0x4002ffff,0xcffffff9,0x03fea880,0x7ffffcc0,
    0xffb1004f,0xfffd8809,0x26200cff,0x7fc405fd,0xfffb8000,0xf3006fff,
    0x009fffff,0xffffff30,0x3ffee009,0x22002fff,0x404ffffe,0x01effffa,
    0x7ffff440,0x7fffd404,0x7d40001e,0x004fffff,0x00effc88,0x0005d880,
    0xffffffd5,0x7fffd79d,0x01ffe800,0xfffff880,0x7ff403ff,0xfff88001,
    0xb803ffff,0x03ffffff,0xffffffc8,0xfd98000f,0x3fffea03,0x2e200eff,
    0x4403ffff,0x2e00cffe,0x03ffffff,0xffffffc8,0x7f54000f,0xbcefffff,
    0x8003fffe,0xeffffffa,0x3ffee200,0xfff7003f,0x9559bfff,0xd005fffd,
    0xf10003ff,0x07ffffff,0xffffff50,0xfff5000b,0x3200bfff,0x03ffffff,
    0xdffffb80,0xfffb710a,0xfb80009f,0x710adfff,0x009ffffb,0xfffff300,
    0x64005fff,0x70002eff,0xf900005b,0xffffffff,0x7540019f,0x4000dfff,
    0xfffffffb,0xfffea82f,0x7fdc000d,0x02ffffff,0x3fffffe6,0xffe801ff,
    0x002effff,0xfd107d50,0xbdffffff,0xfffdb999,0xb1005fff,0xff309fff,
    0x03ffffff,0xffffffd0,0xff90005d,0xffffffff,0xfd100019,0xbdffffff,
    0xfffdb999,0x44005fff,0xffffffda,0x400dffff,0x00dfffea,0x7ffffdc0,
    0x3a202fff,0x2fffffff,0x3fffa200,0x5403ffff,0xffffffff,0xfeb88001,
    0xffffffff,0x100001ce,0xffffffd7,0x0039dfff,0x7ffff440,0xffffffff,
    0x00d5c02e,0x00000200,0x2af332a6,0x7fe40009,0x03efffff,0x3fffffaa,
    0x0fffffff,0xfffffff9,0x7ff5407d,0xffffffff,0xfffd10ff,0xffffffff,
    0x3fe601df,0x07ffffff,0x7ff44600,0xffffffff,0xffffffff,0x001fffff,
    0xffe89d44,0xffffffff,0xff300eff,0x0fffffff,0x3332a600,0x440009ab,
    0xfffffffe,0xffffffff,0xffffffff,0x75310001,0x20035799,0xfffffffc,
    0x3ffaa03e,0xffffffff,0xfffd10ff,0xffffffff,0xffd105df,0xffffffff,
    0x3faa7dff,0xffffffff,0x8001efff,0xabcccaa8,0x44000001,0x1abcccaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3332e000,
    0x000000cc,0x0733332a,0xc8000000,0x0004cccc,0x33332600,0x4c00001c,
    0x0003cccc,0x2600ba60,0xcb80002c,0x0000cccc,0x000e75c4,0x66664c00,
    0x2e000003,0x000ccccc,0x11000033,0x20000000,0x005100a9,0x0c013000,
    0xcca80000,0x00001ccc,0x03999993,0x2e003720,0x9800000c,0x0002a00a,
    0x30720059,0x03333333,0xfffd1000,0x4000007f,0x04ffffe8,0xf3000000,
    0x0003ffff,0x7fffec00,0xfd800005,0x0001ffff,0xfa813fa0,0x7c40000f,
    0x0002ffff,0x00ffffd8,0x7ffec000,0x800001ff,0x02fffff8,0x00033e60,
    0x6c402fb8,0x7d40000f,0x3641cfff,0xffd30000,0x02fffa87,0x7fff4000,
    0x3600004f,0x2005ffff,0x3f601ff9,0x74c00005,0x7d42efff,0x00fec000,
    0xfffd0bf2,0x0000ffff,0x01bfffa2,0xffd10000,0x000000df,0x0bfffee0,
    0xff880000,0x800005ff,0x5ffffffa,0x3fe60000,0x003ffc85,0x2ffffb80,
    0xfff88000,0x200003ff,0x5ffffffa,0xffb80000,0xe88002ff,0xff10003f,
    0x013fa609,0xfffff500,0x0bf99dff,0x7ffe4000,0x1bfffa0f,0xfff88000,
    0x2200005f,0x8005ffff,0x7f442ffd,0x2200000f,0xffffffff,0xc8007fbc,
    0x32a21bef,0xfffa80ff,0x200007ff,0x000ffff8,0x7ff44000,0x0000001f,
    0x002fffe8,0x7ffd4000,0xfd000005,0x03ffffff,0x77fec000,0x006ffd88,
    0x05fffd00,0x3ffe2000,0x200004ff,0xfffffffe,0x7f400001,0x220002ff,
    0xf70005fe,0x0fffa8bf,0x7fff4000,0xffffffff,0x3fa00003,0xfff12fff,
    0x200001ff,0x0005fffb,0x02fffd40,0x33fff980,0x00007fff,0xffffffc8,
    0x005fffff,0xffffff88,0x3a05ffff,0x0007ffff,0x01fffcc0,0x7f440000,
    0x0000004f,0x001fffcc,0x77fec000,0xfb800000,0x5ffe9bff,0x3fe60000,
    0x02fffeef,0x3fff8800,0x7fec0000,0x700000ff,0xffd39fff,0x7c40000d,
    0x880003ff,0xff0004ff,0x7fff71bf,0xcef98000,0xfffffffd,0x7e400006,
    0x7fff47ff,0x3fa00005,0xd800005f,0x20000eff,0xfffdfffc,0xff800007,
    0xffffffcc,0xf70001ff,0xffffffff,0x7ffff401,0xf9800007,0x0000006f,
    0x0000dff1,0x03ffb800,0xff880000,0x8800000e,0x3fa22fff,0x3600001f,
    0x06ffffff,0x07ff7000,0xbf910000,0x3e200005,0x3ffa22ff,0xff700002,
    0x7dc00007,0xffb8003f,0x006fffff,0x2e20fa80,0x000efffe,0x177e4400,
    0x00077f66,0x002ffc40,0x077fc400,0x3ffe2000,0x0002ffff,0x36e22f80,
    0x0002ffff,0x7fffffe4,0x7ffec01f,0x3000007f,0x000001ff,0x0007fe60,
    0x03fe8000,0xdf500000,0x32000001,0x6fd881ef,0x3fe60000,0x0001ffff,
    0x00009fd0,0xc8000000,0x0dfb01ff,0x013fa000,0x0bffe000,0x3ffffa00,
    0x880001ff,0x0006a202,0x00000000,0x001df700,0x01df5000,0x3fff2000,
    0x000006ff,0x0009a805,0x9dffb300,0xffffb001,0x4c00000f,0x0000000a,
    0x000006a6,0x00002a80,0x0002a600,0x0077cc00,0x80000bf2,0x005ffffc,
    0x0000aa00,0x10000000,0x2fc801df,0x002a8000,0x1fff9000,0xffffa800,
    0x0000005f,0x00000000,0x54c00000,0x53000000,0x7c400001,0x0001ffff,
    0x00000000,0xffd80000,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x98000000,0x00000000,0x00000000,0x99d95310,0x000dc057,0x00000980,
    0x7d400000,0xed8004ff,0x31000eee,0x33333333,0x26662001,0x00099999,
    0x006aaa60,0x00000000,0x00000000,0x98000000,0x00001aaa,0x3ff60000,
    0x333007ff,0x33333333,0x33333333,0x00013333,0x980001c0,0x99999999,
    0x99999999,0x00999999,0x4ccccccc,0x99999999,0x80999999,0x99999999,
    0x99999999,0x09999999,0x4cccccc0,0x99999999,0x09999999,0x99999998,
    0x09999999,0x3ffb6600,0xffffffff,0x4c07e62d,0x99999999,0x31099999,
    0x33333333,0x98801333,0x01999999,0x000ffff8,0x3fa60000,0xffffffff,
    0xfffeb800,0x2003ffff,0xfefffedb,0x000befff,0x26666666,0x09999999,
    0x33333000,0x33310333,0x33333333,0x40000003,0xfefffedb,0x000befff,
    0x26666666,0x09999999,0x07ffffd8,0xffffec88,0xffffffff,0xffffffff,
    0xf300002f,0xec880001,0xffffffff,0xffffffff,0x202fffff,0xfffffffa,
    0xffffffff,0x43ffffff,0xfffffec8,0xffffffff,0xffffffff,0x3fffea02,
    0xffffffff,0xffffffff,0x7ff6443f,0xffffffff,0xff9002de,0x4c415dff,
    0xffeffffb,0xfffec881,0xefffffff,0xfffff72d,0x7dffffff,0xffffe980,
    0x7f400eff,0xdea804ff,0x00675c41,0x7fffff44,0x362006ff,0x26001fff,
    0x10bdfffe,0x05ffffb5,0xffffd910,0xbdffffff,0x3ffa0007,0xd987ffff,
    0xfffffffe,0xdeffffff,0xd300001b,0x2217bfff,0x02ffffda,0xffffec88,
    0xdeffffff,0x7ffffd82,0x7fff4400,0xccccefff,0xfffffecc,0x9fb00002,
    0x7f440000,0xccefffff,0xfffecccc,0x3fee02ff,0xaaabdfff,0xfffffaaa,
    0x7f4406ff,0xccefffff,0xfffecccc,0x3fee02ff,0xaaabdfff,0xfffffaaa,
    0x7f4406ff,0x02ffffff,0x3ffffa60,0xffff7002,0xffe8803f,0x202fffff,
    0xfffffffa,0x7ec4001f,0xff9001ef,0x7fd401ff,0x3fff20ff,0xfffd1006,
    0x8009ffff,0x3f2002ff,0x7cc04fff,0x1000dfff,0xfffffffd,0x3ea00003,
    0x4c07ffff,0xdfffffff,0xfffffdcc,0x3f20004f,0x7cc04fff,0x1000dfff,
    0xfffffffd,0xffffd805,0xfffa8007,0x75404fff,0x80002fff,0x0000fff8,
    0x3ffffea0,0x7ff5404f,0x3ffee02f,0x7ffdc00b,0xa801ffff,0x04ffffff,
    0x017fff54,0x8017fff7,0xfffffffb,0xffffa801,0x3f2005ff,0x4002ffff,
    0x801ffff9,0x5ffffffa,0xfffffb80,0xfa8001ff,0x3fee001f,0x3ff603ff,
    0x3fffe3ff,0xfff3001f,0x005fffff,0x744007ec,0x3006ffff,0x003fffff,
    0x3fffffea,0x7f400004,0xfc807fff,0xa81fffff,0x01effffe,0x3ffffa20,
    0xffff3006,0x3fea003f,0xd805ffff,0x8007ffff,0x4ffffff9,0x005ff900,
    0x07fff900,0x7ffcc000,0xf9004fff,0x0ffe405f,0x7ffffc40,0xff3004ff,
    0x2009ffff,0x3f202ffc,0xfff8801f,0x3004ffff,0x09ffffff,0x3ffffee0,
    0xfff30003,0xffff3003,0x3fa009ff,0x004fffff,0x54003fc8,0x3205ffff,
    0x3fa2ffff,0xf3000fff,0xffffffff,0x401f2003,0x00effffd,0x3fffff60,
    0xffff9800,0x400003ff,0x807ffffe,0x1ffffffb,0xfffffb10,0x3fff6009,
    0x3f6000ef,0x9800ffff,0x04ffffff,0x07ffffd8,0xfffff980,0x0bf6004f,
    0xffff1000,0x7cc0000d,0x004fffff,0x2fd80bf6,0xfffffb00,0x3e6001ff,
    0x004fffff,0x2fd80bf6,0xfffffb00,0x3e6001ff,0x804fffff,0x06fffff8,
    0x00ffd400,0x7fffffcc,0xffff3004,0x44001fff,0xff98006f,0x3fe206ff,
    0x27ffd46f,0xfffbf300,0x001dffff,0xfff700f9,0xf98007ff,0x9805ffff,
    0x03ffffff,0x7ffec000,0xfffb807f,0x3e201fff,0x403fffff,0x03fffffb,
    0x7ffffcc0,0xffff9805,0xffd804ff,0xf88007ff,0x004fffff,0x70000be6,
    0x005fffff,0x3fffe200,0x3e6004ff,0x4c017a02,0x2fffffff,0x3fffe200,
    0x3e6004ff,0x4c017a02,0x2fffffff,0x3fffe200,0xffd804ff,0x80003fff,
    0xff8801fd,0x2004ffff,0x5ffffffd,0x0007f600,0x01ffffe6,0x0054406a,
    0x3ff67e60,0x805fffff,0x7ffc407c,0xe8001fff,0x402fffff,0x3ffffff9,
    0x7fec0000,0xffb807ff,0x5401ffff,0x01ffffff,0x3ffffff1,0xffffd000,
    0xfff8805f,0xfd804fff,0x88007fff,0x04ffffff,0x0005d035,0x6fffffe8,
    0xfff10000,0x06a09fff,0x002e80ba,0xdffffffd,0xffff8800,0xd03504ff,
    0xe8017405,0x06ffffff,0x7ffffc40,0x7ffdc04f,0x80000fff,0xff8801f9,
    0x2004ffff,0xfffffff8,0x004f9801,0x1fffff30,0x30000000,0x3ffffa3f,
    0x3e404fff,0x3fffffa0,0xfff90007,0x7cc01fff,0x003fffff,0x7fffec00,
    0xffffb807,0xfff801ff,0xffd06fff,0x2000ffff,0x0ffffffc,0x3ffffe20,
    0xfffd804f,0xff88007f,0x5b04ffff,0x54000590,0x1fffffff,0xfff88000,
    0x05b04fff,0xb8034059,0x1fffffff,0x7fffc400,0x905b04ff,0xfb803405,
    0x01ffffff,0x7ffffc40,0x3ffe204f,0x00007fff,0x3fe2007a,0x4004ffff,
    0x5ffffffc,0x0000fe80,0x23fffff1,0xaaaaaaa9,0x2aaaaa60,0x11f9802a,
    0xffffffff,0xf503e405,0x009fffff,0x3ffffee0,0x3ffe603f,0x00003fff,
    0x03ffffec,0x7fffffdc,0xffffc801,0x7ffd42ff,0x70004fff,0x07ffffff,
    0x7fffffc4,0xffffd804,0xfff88007,0x05d04fff,0x7f400011,0x05ffffff,
    0xffff8800,0x105d04ff,0x7c400401,0x04ffffff,0xfffff880,0x1105d04f,
    0x7fc40040,0x004fffff,0xffffff88,0x3fffea04,0x200006ff,0xffff1000,
    0xf88009ff,0x02ffffff,0x88000bee,0xd52fffff,0x43ffffff,0xffffffea,
    0xf30fcc00,0x3fffffff,0xffb81f20,0x0003ffff,0xbffffff3,0x7ffffcc0,
    0x6c00003f,0xb807ffff,0x01ffffff,0xffffffa8,0x7ffffdc5,0xff30003f,
    0x440bffff,0x04ffffff,0x07ffffd8,0xfffff880,0x002f884f,0x7f5fcc00,
    0x000fffff,0x7ffffc40,0x002f884f,0xffffb000,0x22000dff,0x84ffffff,
    0x000002f8,0xdffffffb,0x3ffe2000,0x3f204fff,0x005fffff,0xff880000,
    0x8004ffff,0x6ffffffb,0x8000df10,0x42fffff8,0x81fffffe,0x00ffffff,
    0x3fee0fcc,0x80efffff,0x3fff607c,0x10002fff,0x0dffffff,0x7fffffcc,
    0x7ec00003,0xfb807fff,0x001fffff,0x1fffffff,0x7fffffec,0xfff10002,
    0x7c40dfff,0x804fffff,0x007ffffd,0xffffff88,0x0002fc84,0xfffbbec0,
    0x40004fff,0x4ffffff8,0x00002fc8,0xffffffa8,0xff10002f,0xf909ffff,
    0xf5000005,0x05ffffff,0x3fffe200,0x3ff604ff,0x0003ffff,0xfff88000,
    0xd0004fff,0x05ffffff,0x880003f9,0x6c1fffff,0xd81fffff,0x400fffff,
    0xfffc81f9,0x7c85ffff,0x3fffffa0,0xff10002f,0x4c0fffff,0x03ffffff,
    0x7ffec000,0xfffb807f,0xff001fff,0x747fffff,0x02ffffff,0xfffff100,
    0x7ffc40ff,0xfd804fff,0x88007fff,0x44ffffff,0x00002ffa,0x7ffc53e2,
    0x40007fff,0x4ffffff8,0x00017fd4,0x3ffffe20,0x220005ff,0x44ffffff,
    0x00002ffa,0x7fffffc4,0x3e20005f,0x204fffff,0x2fffffff,0x88000000,
    0x04ffffff,0xfffff500,0x004f98df,0xfffff980,0x7ffffe40,0xfffffd81,
    0xe80fcc00,0x3fffffff,0xfff883e4,0x0001ffff,0xfffffff1,0x3fffe603,
    0x400003ff,0x807ffffd,0x1ffffffb,0xfffffd00,0x3fffe29f,0x10001fff,
    0x3fffffff,0x3ffffe20,0xfffd804f,0xff88007f,0xc98cffff,0x00002fff,
    0xfffc83f2,0x20003fff,0xcffffff8,0x02fffc98,0x7ffe4000,0x0000ffff,
    0x3fffffe2,0x2fffc98c,0x7fe40000,0x000fffff,0x3ffffe20,0xffff104f,
    0x00003fff,0xffff1000,0x740009ff,0x23ffffff,0x980000fe,0xfc87ffff,
    0xfc81ffff,0x4c00ffff,0xffff101f,0x3e45ffff,0xffffff98,0x3fe0001f,
    0x302fffff,0x07ffffff,0xfffd8000,0xfffb807f,0xfb001fff,0x269fffff,
    0x1fffffff,0x3fffe000,0xff102fff,0xb009ffff,0x000fffff,0xfffffff1,
    0x05ffffff,0x313e2000,0x0dffffff,0x7fffc400,0xffffffff,0x2600002f,
    0x3fffffff,0x7ffc4000,0xffffffff,0x200002ff,0xfffffff9,0x7fc40003,
    0xf304ffff,0x03ffffff,0xf1000000,0x009fffff,0x7ffffd40,0x002fa8ff,
    0xdffff300,0x3fffff90,0x1fffff90,0x2601f980,0xffffffff,0x3fe60f90,
    0x000fffff,0x3fffffe0,0xffff302f,0x800007ff,0x807ffffd,0x1ffffffb,
    0xfffffb00,0x3fffe6bf,0x20000fff,0x2fffffff,0xffffff10,0xffffb009,
    0xfff1000f,0xffd9dfff,0x200005ff,0xfffd81fb,0x10002fff,0x9dffffff,
    0x005ffffd,0x7ffff400,0x880006ff,0xceffffff,0x002ffffe,0x3ffffa00,
    0x880006ff,0x04ffffff,0xfffffff1,0x00000005,0x9ffffff1,0xfffd8000,
    0x006fcfff,0x3fffea00,0xfffffc85,0xfffffc81,0x200fcc00,0xfffffffa,
    0x3fe20f96,0x001fffff,0x3fffffe0,0xffff301f,0x800007ff,0x807ffffd,
    0x1ffffffb,0xfffff900,0x3fffe2bf,0x20001fff,0x1fffffff,0xffffff10,
    0xffffb009,0xfff1000f,0x7f449fff,0xbd00002f,0x3ffffea0,0xff10005f,
    0x7449ffff,0x700002ff,0x3fffffff,0xfff10000,0x7f449fff,0xf700002f,
    0x03ffffff,0xffff1000,0x7ffc09ff,0x8803ffff,0xeeeeeeee,0x103eeeee,
    0x09ffffff,0xffff9800,0x0001ffff,0x0ffffee0,0x07fffff2,0x03fffff2,
    0xf9003f30,0x9bffffff,0x7ffffc0f,0xf10002ff,0x01ffffff,0x3fffffe6,
    0x7ec00003,0xfb807fff,0x001fffff,0x9ffffffb,0x7ffffffc,0xfff10002,
    0x2201ffff,0x04ffffff,0x07ffffe8,0xfffff880,0x017fc44f,0xd017d400,
    0x03ffffff,0xfffff100,0x02ff889f,0xffff8800,0x00004fff,0x9ffffff1,
    0x0002ff88,0xffffff88,0xf100004f,0x409fffff,0x4fffffff,0x3fff2200,
    0x01bfffff,0x3fffffe2,0xffd80004,0x0005ffff,0x83fffec0,0x81fffffc,
    0x00fffffc,0xfd800fcc,0x7fffffff,0x3fffff60,0xff10003f,0x4c0fffff,
    0x03ffffff,0x7ffec000,0xfffb807f,0xfd001fff,0x6c7fffff,0x03ffffff,
    0xfffff100,0x7ffc40ff,0xfe804fff,0x4000ffff,0x4ffffff8,0x80002fa8,
    0x7ffdc06e,0x88004fff,0x84ffffff,0xd80002fa,0x0fffffff,0xff880400,
    0xfa84ffff,0xffd80002,0x000fffff,0xffff8804,0x3ff204ff,0x8005ffff,
    0x3ffffffd,0xfffff880,0xf880004f,0x004fffff,0x1ffff400,0x1fffffc8,
    0x0fffffc8,0x8800fcc0,0xfffffffe,0x3ffff207,0xf30004ff,0x40bfffff,
    0x3ffffff9,0x7fec0000,0xffb807ff,0xf001ffff,0x43ffffff,0x4ffffffc,
    0xffff3000,0x7fc40bff,0x5404ffff,0x0cffffff,0x3fffe200,0x02f884ff,
    0x6677cc00,0xffdccccc,0x000fffff,0x7fffffc4,0x0002f884,0x7fffffd4,
    0x81dc002f,0x4ffffff8,0x40002f88,0xfffffffa,0x881dc002,0x04ffffff,
    0x3fffffe6,0xfffc8006,0xf8802fff,0x004fffff,0xfffff880,0x7c00004f,
    0xff900fff,0xff903fff,0xf9801fff,0x3ffe6001,0x2607ffff,0x04ffffff,
    0xfffff700,0x7ffcc05f,0x10003fff,0xfffffb09,0xfffff700,0x3ffe003f,
    0x3e60ffff,0x004fffff,0xffffff70,0x7fffc405,0xfff104ff,0x3fffffff,
    0x3fffe200,0x405d04ff,0x7ffec02b,0xffffffff,0x03ffffff,0x7ffffc40,
    0x5c05d04f,0x3fffa202,0xd8005fff,0xfffff102,0xb80ba09f,0x3fffa202,
    0xd8005fff,0xfffff102,0xfffe809f,0xfb8007ff,0x801fffff,0x4ffffff8,
    0xfff88000,0x00004fff,0xc813ffea,0xc81fffff,0x400fffff,0x7d4001f9,
    0x407fffff,0x06fffffd,0xfffffb00,0xffff980d,0x970003ff,0x0fffffb0,
    0xffffff70,0xffff1003,0xfffb0dff,0x36000dff,0x406fffff,0x4ffffff8,
    0x22000000,0x04ffffff,0x100fc059,0x3fe2007f,0x4007ffff,0x4ffffff8,
    0x00fc0590,0xfffffff9,0x01f88001,0x9ffffff1,0x01f80b20,0x3ffffff2,
    0x0fc4000f,0xffffff88,0x7fffcc04,0x7dc001ff,0x801fffff,0x4ffffff8,
    0xfff88000,0x00004fff,0xc803fffa,0xc81fffff,0x400fffff,0xfc8001f9,
    0x4407ffff,0x01ffffff,0xfffffe80,0x7fffcc02,0x9d0003ff,0x0fffffb0,
    0xffffff70,0xffff7003,0xfff105ff,0xd0003fff,0x805fffff,0x4ffffff8,
    0x01bdea80,0xfffff100,0x0f50009f,0x36000fc8,0x02ffffff,0x3ffffe20,
    0x07a8004f,0x3fffffe6,0x0fc8003f,0xffffff10,0x40f50009,0xfffffff9,
    0x00fc8003,0x9ffffff1,0xfffff700,0xfffb800b,0xf8801fff,0x004fffff,
    0xfffff880,0xf300004f,0xffb803ff,0xffc81fff,0x7cc00fff,0xfffb0001,
    0xfff900ff,0xfa800bff,0x9805ffff,0x03ffffff,0xfd83f980,0xfb807fff,
    0x801fffff,0x05fffffe,0x17fffff2,0xfffff500,0xffff100b,0xff7009ff,
    0xf10001ff,0x009fffff,0x27c40fd0,0x3fffe600,0x3e2006ff,0x004fffff,
    0x3ffa07e8,0x8006ffff,0x3fe207f9,0x8004ffff,0x3fffa07e,0x98006fff,
    0x3ffe207f,0xf9004fff,0x4003ffff,0x1ffffffb,0xfffff880,0xf880004f,
    0x004fffff,0x005ffb00,0x83fffff7,0x0fffffe8,0x8000fcc0,0x807fffe8,
    0x0fffffe8,0x3ffffa00,0xfff9800f,0xd8003fff,0xffffd82f,0xffffb807,
    0x7fd401ff,0x2200ffff,0x00fffffe,0x3fffffa0,0xffff8800,0xfb8804ff,
    0xf98004ff,0x004fffff,0x5f902fec,0xffffd000,0x3e6005ff,0x004fffff,
    0xffb82fec,0x001fffff,0xf303ff44,0x009fffff,0xff705fd8,0x003fffff,
    0x2607fe88,0x04ffffff,0x3bffffa0,0xffff7000,0xff3003ff,0x0009ffff,
    0xffffff10,0xff30000b,0x3ffe6007,0x7fff43ff,0x7d400fff,0x3fe20003,
    0xffd1007f,0x3ea009ff,0x3001ffff,0x07ffffff,0xd81ffb80,0xb807ffff,
    0x01ffffff,0x1ffffff4,0x7ffff440,0xffff5004,0x3fe6003f,0x2004ffff,
    0x98005ffd,0x04ffffff,0x209ffb10,0xb8000ff8,0x06ffffff,0xffffff30,
    0x3ff62009,0xfffff884,0x7cc004ff,0x3fe606ff,0x1004ffff,0xff109ffb,
    0x009fffff,0x206fff98,0x4ffffff9,0x7fffdc00,0xfffb801e,0xf9801fff,
    0x004fffff,0xfffff880,0x7cc0005f,0x7ff4004f,0xefeaafff,0x401fffff,
    0x540005fd,0x3a2007ff,0x5404ffff,0x001effff,0x3fffffe6,0x3ffee004,
    0x7ffffe80,0xfffffb80,0x3fff202f,0x3a2002ff,0x5404ffff,0x001effff,
    0x3fffffe6,0x9fff1004,0xffff5000,0x5c401dff,0xfd03ffff,0xff10003f,
    0x007fffff,0xdffffff5,0x7ffdc401,0xffffd83f,0xb3000fff,0x540bffff,
    0x0effffff,0x3fffee20,0xfffffd83,0xfb3000ff,0x7d40bfff,0x005fffff,
    0xdffffd88,0x7ff5c409,0xa800beff,0x05ffffff,0xffff9800,0x2a0006ff,
    0xf98001ef,0x9effffff,0x0cfffffc,0x039fff70,0x003fdc00,0x56ffffdc,
    0xffffb710,0xfff50009,0x9801dfff,0xfd07fffc,0xc801ffff,0x83ffffff,
    0x0effffd8,0xffff7000,0x3f6e215b,0xa8004fff,0x05ffffff,0x077fed44,
    0x3fffa200,0xccdeffff,0xfffffedc,0x7fff542f,0x7fdc000d,0x02ffffff,
    0x3fffffa2,0xdcccdeff,0x2ffffffe,0x7fffffd4,0xccccccef,0xfffffecc,
    0xffd104ff,0x9bdfffff,0xffffdb99,0xfffa85ff,0xccceffff,0xffeccccc,
    0x104fffff,0xfffffffd,0x3f660005,0xffffffff,0x000bdfff,0x3fffffa2,
    0x220002ff,0xfffffffe,0x02ea8003,0x7fff5400,0xffff90df,0x3faa3fff,
    0x3effffff,0x000fb000,0x3ffffae2,0x1cefffff,0xffff9800,0xccceffff,
    0xfffffdcc,0xffffa87f,0xff500cff,0x9bffffff,0x5bffffdb,0xfd710000,
    0xffffffff,0xd100039d,0x5fffffff,0x0b7bfe20,0xffffe880,0xffffffff,
    0xffffffff,0x3ff21fff,0x03efffff,0x3fffffaa,0x0fffffff,0xffffffd1,
    0xffffffff,0xffffffff,0xffffe83f,0xffffffff,0xffffffff,0x3a23ffff,
    0xffffffff,0xffffffff,0x1fffffff,0x7ffffff4,0xffffffff,0xffffffff,
    0x3ffa23ff,0xffffffff,0x30002eff,0x35799975,0xffe88003,0xffffffff,
    0xeb802eff,0xfffffffe,0x00eeffff,0x4c000008,0x000000ab,0x00120000,
    0x3332aa20,0xe88001ab,0xffffffff,0xffffffff,0x6fffffff,0x3fffffe2,
    0xfd51ffff,0xffffffff,0x59dfffff,0x54400000,0x01abccca,0xffffe880,
    0xffffffff,0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,
    0x33333333,0x00000133,0x0c403100,0x100c0000,0x33310003,0x01333333,
    0x26666620,0x26660999,0x99999999,0x26620199,0x19999999,0x4ccccc40,
    0x33330000,0x33333333,0x00000133,0x09999988,0x332ea200,0x000480ac,
    0x028804cc,0x00031000,0x59b95300,0x20000003,0x10006201,0x13333333,
    0x40c40310,0x19999998,0x20000000,0x26620001,0x30099999,0x01220597,
    0xbccca980,0x4400dc01,0xffffffee,0xffffffff,0x0001bdef,0x20f7fdc0,
    0x0000effd,0x641fffb8,0x26000eff,0xfffffffe,0xfeb800ff,0x23ffffff,
    0xffffffec,0x205fffff,0xffffffec,0x7fcc06ff,0x88003fff,0xffffffec,
    0x03deffff,0x7ffc0000,0x3ee005ff,0xcfffefff,0x2a000f11,0x641cffff,
    0xffc80006,0x7640001e,0xfffeffff,0x00000cef,0x320fffdc,0xf9000eff,
    0x89dfffff,0x7ec1effb,0x3ffee0ef,0x0001ffff,0x7ff54000,0xffeb8003,
    0xfc85ffff,0x360cffff,0x7fe44006,0xefffffff,0x000be22c,0xffffffd1,
    0xffd99559,0x0003dfff,0x4bffff10,0x003ffffa,0x26ffff80,0x004ffff9,
    0xfffffe88,0x362006ff,0x7ec01fff,0x02ffffff,0x3ffffe60,0x3ffea002,
    0x7440006f,0x1fffffff,0xf5000000,0x2600dfff,0x2620cffe,0x007ffffd,
    0xffffffa8,0x005fcbef,0x2ffffd40,0xfffe9800,0xff9510bd,0x400005ff,
    0x3e65ffff,0xf9003fff,0x3e209fff,0x3fe65fff,0x7ff443ff,0x00001fff,
    0x7ffff400,0x3fea0000,0x7ffdc5ff,0xfeefffff,0xfffb1005,0x73335bff,
    0x5ffdfffb,0xffff7000,0x3fee03ff,0x0002ffff,0x93ffffd4,0x000bffff,
    0x0fffff98,0x00dffff7,0x3ffffa20,0x7c004fff,0xfff9802f,0xe8006fff,
    0xa8000dff,0x0001ffff,0x7fffffd4,0x20000004,0x000efffc,0xfa809ffd,
    0xfe8007ff,0xffffffff,0x6c0003ff,0x000fffff,0x02ffffe4,0x037fffea,
    0xffff3000,0x2ffffdcf,0x0ffffc80,0x4fffff30,0xc85ffffb,0x001fffff,
    0x3fe60000,0x40004fff,0x7fc5ffff,0xffffffff,0xff9803ff,0x4c01dfff,
    0x002ffffe,0xffffffa8,0x3fffea01,0x7c0001ff,0x3fe64fff,0xe80002ff,
    0x3fe25fff,0x260003ff,0xffffffff,0x003f6002,0x3fffffe2,0x27fd4005,
    0x3ffea000,0x7fcc0003,0x0003ffff,0x3bffe000,0x1fff9000,0x00fff300,
    0xffecef98,0x006fffff,0x6ffffb80,0x3fffa200,0xfff7006f,0xe80003ff,
    0x3fe25fff,0xff9002ff,0x7ff401ff,0x3fffe24f,0xfffffb82,0x20000001,
    0x02fffff8,0x2ffff400,0xffd73bf1,0x700dffff,0x00bfffff,0x002fffc8,
    0xffffffa8,0x7fffec01,0x6cc0006f,0x1ff5c0cf,0xcfd98000,0x0067f540,
    0xfffff300,0x2003ffff,0xfff1007c,0x5400bfff,0x700002ff,0x98000dff,
    0x03ffffff,0xff500000,0x3fe6001d,0x1fee005f,0x64c1f500,0x000efffe,
    0x3ffff880,0x3ffffa00,0x3ff6000f,0x20000fff,0x7540cfd9,0x3ff2004f,
    0x67ecc07f,0xb81ff5c0,0x001fffff,0x7fe40000,0xfe80006f,0x303e65ff,
    0x5009ffd7,0x00bfffff,0x000bff60,0x3fffffea,0x7fffdc01,0x000001ff,
    0x00000000,0x37e60000,0xefffffff,0x1007c800,0x09ffffff,0x0007bee0,
    0x003ff700,0x7ffffcc0,0x0000003f,0x54001df9,0x6c007fff,0x10144007,
    0x88000035,0x3ee000cb,0x4004ffff,0x05fffff9,0x80000000,0x0007fffc,
    0xffffb800,0x0000001f,0x00002c98,0x044bfffd,0x7fcc0020,0x0000ffff,
    0x2a000bfa,0x01ffffff,0x7fffffd4,0x00000003,0x00000000,0x3f67e600,
    0x05ffffff,0xff1007c8,0xb009ffff,0x000001bf,0x98000fee,0x03ffffff,
    0x1ff00000,0xffffc800,0x003ea003,0x00000000,0x7ffcc000,0xf8001fff,
    0x002fffff,0x64000000,0x00007fff,0xfffffb80,0x00000001,0xffe80000,
    0x8800005f,0x03fffffe,0x0017dc00,0x7fffffd4,0x7fffcc01,0x4ccc04ff,
    0x99999999,0x99999999,0x00009999,0x200000e0,0xffffd1f9,0x7c809fff,
    0xfffff100,0x27f4409f,0x00000000,0x7ffffcc0,0x0000003f,0x7ffec000,
    0x1f1002ff,0x000e0000,0x4cccccc0,0x99999999,0x7fffff40,0xfffb0007,
    0x4cc41fff,0x99999999,0x4cc40099,0x32199999,0x26607fff,0x99999999,
    0x7dc09999,0x0001ffff,0x4cccccc0,0x99999999,0x09999999,0x32ffff40,
    0x33333333,0xb8133333,0x00ffffff,0x0017c400,0x7fffffd4,0x7fffd401,
    0x3b2203ff,0xffffffff,0xffffffff,0x002fffff,0x0001f300,0xff11f980,
    0x05ffffff,0xff8803e4,0xf304ffff,0xa800005f,0x675c41de,0x3ffe6000,
    0x00003fff,0xb883bd50,0x3fee00ce,0x800cffff,0x1f300003,0xfec88000,
    0xffffffff,0x3fea2def,0x0004ffff,0x7ffffff5,0x7fffffdc,0x03efffff,
    0x7fffff4c,0xffff90ef,0x3fffb220,0xefffffff,0x7fffdc2d,0x5555441f,
    0xf500aaaa,0xffffffff,0xffffffff,0xe807ffff,0xfd915fff,0xffffffff,
    0xffe85bdf,0x00006fff,0xff500059,0xc803ffff,0x01ffffff,0xfffffd10,
    0x999999df,0x05fffffd,0x013f6000,0x4c3f3000,0xffffffff,0x2200f901,
    0x84ffffff,0x00001efb,0x907fffd4,0x4c00dfff,0x03ffffff,0xfffa8000,
    0x1bfff20f,0xffffff98,0x000003ff,0x00009fb0,0x7fffff44,0xfff702ff,
    0x20007fff,0x5ffffff9,0xffffffa8,0x6c4001ff,0x7fe41eff,0xffe8807f,
    0x202fffff,0x41fffffb,0xefffffc8,0xffff700c,0x555557bf,0xfffffff5,
    0xbfffd00d,0xfffffd10,0x3fea05ff,0x0004ffff,0x7fd40000,0x7401ffff,
    0x00ffffff,0x3ffffea0,0x7ff5404f,0xf880002f,0x200000ff,0x7ffdc1f9,
    0xc80effff,0xffff1007,0x0efc89ff,0xffd80000,0x3fffe3ff,0xfff3001f,
    0x00007fff,0x47ffffb0,0x201fffff,0xffffffff,0x000003ff,0x0003ffe2,
    0xfffffa80,0x3fff605f,0x30002fff,0x0dffffff,0x3fffffee,0xffa8001f,
    0x07fffc81,0xffffff50,0xffffb80b,0x7fff301f,0x17fff700,0xfffffb80,
    0xffe801ff,0xffff505f,0x7fec0bff,0x0002ffff,0x7fd40000,0x2601ffff,
    0x02ffffff,0x7ffffcc0,0x5ff9004f,0xfff90000,0x7cc00007,0xfffffc81,
    0x007c85ff,0x9ffffff1,0x00bfffa2,0x3fff2000,0x3ffffa2f,0xffff3000,
    0x000007ff,0x745ffff9,0x2a00ffff,0xffffffff,0x00002eff,0x003fffc8,
    0x3fffe600,0x3ffa04ff,0x0002ffff,0xfffffff1,0x3ffffa01,0xfc8004ff,
    0x0ffff903,0x3ffffe60,0x7ffdc04f,0x3ff501ff,0x007ff200,0x3fffffe2,
    0xfffd004f,0x3fffe60b,0x3ffe04ff,0x0002ffff,0x7fd40000,0xf501ffff,
    0x009fffff,0xffffff30,0x017ec009,0x3fffe200,0x3e600006,0xfffffd01,
    0x007c87ff,0x9ffffff1,0x1fffffd3,0xff880000,0x27ffd46f,0xfffff300,
    0x1000007f,0xffa8dfff,0xfffb804f,0xffffffff,0xf100001d,0x0000dfff,
    0x7fffffcc,0xfffff104,0x220003ff,0x1fffffff,0xffffff30,0x37c4001f,
    0x00ffff90,0x3fffffe6,0x7fffdc04,0x003fd01f,0xfd8017ec,0x00ffffff,
    0x20bfffd0,0x4ffffff9,0x3fffffe0,0x0000001f,0x7ffffd40,0xfdbaa9af,
    0x001dffff,0xffffff10,0x017cc009,0x3fffee00,0xf300002f,0x3fffe203,
    0x1f22ffff,0x7ffffc40,0xffffffef,0x800000ef,0x0015101a,0xffffff98,
    0x2a000003,0x40015101,0xfffffffc,0x002fffff,0xfffffb80,0xff100002,
    0x2609ffff,0x0fffffff,0x3fffe000,0x3f602fff,0x005fffff,0xffc807f6,
    0xfff1007f,0xfb809fff,0xfd81ffff,0x802f4001,0xfffffff9,0x3fffa002,
    0xfffff105,0x3ffe209f,0x0000ffff,0x7fd40000,0xffffffff,0x01dfffff,
    0x7fffc400,0xd03504ff,0xffe80005,0x00006fff,0x7fcc03f3,0x90ffffff,
    0x3ffe200f,0xfffeffff,0x0005ffff,0x30000000,0x07ffffff,0x00000000,
    0xfffffb80,0x3fffffff,0x7fff4000,0x100006ff,0x09ffffff,0x3fffffe6,
    0x3fe0000f,0x202fffff,0xfffffff8,0x404f9801,0x1007fffc,0x09ffffff,
    0x1fffffb8,0x74000fec,0xffffd002,0xfe800dff,0xfff105ff,0x3e609fff,
    0x01ffffff,0x54000000,0x9affffff,0xeffffffd,0x7fc40000,0x5b04ffff,
    0x54000590,0x1fffffff,0x01f98000,0x7fffffd4,0x2200f96f,0x95ffffff,
    0x7fffffff,0x2aaa6000,0x2a60aaaa,0x802aaaaa,0x3ffffff9,0xaaa98000,
    0x2a60aaaa,0x002aaaaa,0xffffffb1,0x005fffff,0x3ffffea0,0x880001ff,
    0x04ffffff,0xfffffff1,0x7ffc0003,0x6401ffff,0x05ffffff,0x7e400fe8,
    0xff1007ff,0xb809ffff,0x361fffff,0x00d0004f,0x3fffffee,0x7ff4001f,
    0xffff105f,0x3fe609ff,0x002fffff,0x7d400000,0xd11fffff,0x09ffffff,
    0xffff8800,0x105d04ff,0x7ff40001,0x005fffff,0xc801f980,0xdfffffff,
    0xfff1007c,0x7ff49fff,0x002fffff,0xfffffea8,0x3fffaa1f,0x7cc00fff,
    0x003fffff,0xffffea80,0x3ffaa1ff,0x2000ffff,0xffffffd9,0xd0006fff,
    0xbfffffff,0xfff10000,0x7fc09fff,0x002fffff,0xffffff10,0xfff8801f,
    0x2e02ffff,0xfffc802f,0xffff1007,0xffb809ff,0xfffb1fff,0x10010003,
    0x9fffffff,0xbfffd000,0x3ffffe20,0x3fffe04f,0x00003fff,0x7ffd4000,
    0x3fe61fff,0x002fffff,0x3ffffe20,0x002f884f,0x7f5fcc00,0x000fffff,
    0xd800fcc0,0xffffffff,0xffff1007,0x7ffc49ff,0x000fffff,0x3fffffd0,
    0x1ffffff0,0xfffff980,0x3a00003f,0xf81fffff,0x000fffff,0xfffffe98,
    0x4c003fff,0xfffffebf,0x7c40000f,0x204fffff,0x3ffffffd,0xffff3000,
    0x3ee00fff,0x106fffff,0x3ff200df,0xfff1007f,0xfb809fff,0xffdaffff,
    0x000006ff,0xdffffffb,0x3fffa000,0xfffff105,0x7fffc09f,0x00004fff,
    0x7ffd4000,0x7fe41fff,0x000fffff,0xffffff10,0x0005f909,0xfff77d80,
    0x80009fff,0xfd1001f9,0x0fffffff,0x3ffffe20,0x7fffcc4f,0x8000efff,
    0x81fffffd,0x00fffffd,0x7fffffcc,0xd8910003,0xd81fffff,0x6c0fffff,
    0xfffd5000,0xd8009fff,0xffffff77,0xff880009,0x3204ffff,0x04ffffff,
    0xfffff500,0x7ff400df,0xfc82ffff,0xffff9001,0x3fffe200,0x7fdc04ff,
    0xffffffff,0x400004ff,0xfffffffa,0xfffd0002,0x3fffe20b,0x3ff604ff,
    0x0006ffff,0x7fd40000,0xfe81ffff,0x005fffff,0xffffff10,0x002ffa89,
    0x7c53e200,0x007fffff,0x3000fcc0,0xffffffff,0x3fffe200,0xfffb84ff,
    0x8005ffff,0x81fffffc,0x00fffffd,0x7fffffcc,0xc8970003,0xd81fffff,
    0x6c0fffff,0x7ffec003,0x3e2006ff,0xffffff14,0xff88000f,0x2604ffff,
    0x04ffffff,0xfffff700,0x7fd4005f,0x7cc6ffff,0x3fff2004,0xffff1007,
    0xffb809ff,0xfffaffff,0x00001fff,0xfffffff1,0x7ff4000b,0xffff105f,
    0x7fcc09ff,0x0007ffff,0x7fd40000,0xf881ffff,0x03ffffff,0xfffff880,
    0xfffc98cf,0x3f200002,0x3fffff20,0x3e60003f,0x7ffd4001,0xf1007fff,
    0x209fffff,0xfffffffc,0x7ffe4003,0xfffc81ff,0x7fcc00ff,0x0003ffff,
    0xffffc89d,0xffffc81f,0x2002ec0f,0x06ffffe8,0xffc83f20,0x0003ffff,
    0x3fffffe2,0x7fffec04,0xff90006f,0xd000dfff,0x47ffffff,0x3f2000fe,
    0xff1007ff,0xb809ffff,0xf72fffff,0x000dffff,0x3fffff20,0x3a0000ff,
    0xff105fff,0xe809ffff,0x00ffffff,0x2a000000,0x01ffffff,0xfffffff7,
    0xfff88003,0xffffffff,0x100002ff,0xffff989f,0x260006ff,0xffc8001f,
    0xf1007fff,0x409fffff,0xfffffffe,0x3fff2001,0xfffc81ff,0x7fcc00ff,
    0x8003ffff,0x7ffe43f9,0xfffc81ff,0x007ec0ff,0x13fffe60,0x3e627c40,
    0x006fffff,0x3ffffe20,0x7ffcc04f,0x44001fff,0x01ffffff,0xfffffa80,
    0x002fa8ff,0x803fffe4,0x4ffffff8,0x7ffffdc0,0x3fffff61,0x7fcc0004,
    0x003fffff,0x82ffff40,0x4ffffff8,0x7ffffdc0,0x0080004f,0xfffff500,
    0x7ffec03f,0x44006fff,0xceffffff,0x002ffffe,0xfb03f700,0x005fffff,
    0x40007e60,0x007ffffd,0x9ffffff1,0x7ffffc40,0xf9000fff,0xf903ffff,
    0x9801ffff,0x03ffffff,0x7e42fd80,0xfc81ffff,0x7ec0ffff,0xffff8005,
    0xb03f7002,0x05ffffff,0x3fffe200,0xffc804ff,0x5c005fff,0x005fffff,
    0x3fffff60,0xc8006fcf,0xf1007fff,0x809fffff,0x21fffffb,0x2ffffff8,
    0x3fffa000,0x80006fff,0xf105fffe,0x009fffff,0x0ffffffb,0x00058800,
    0x3ffffff5,0x7ffffc40,0x3e2004ff,0x224fffff,0x00002ffe,0x3ffea0bd,
    0x30005fff,0x3a20003f,0xf1007fff,0x80bfffff,0xfffffffa,0xfffc800e,
    0xfffc81ff,0x7fcc00ff,0x4003ffff,0x7fe41ffb,0xffc81fff,0x7fec0fff,
    0x7fffc002,0x2a0bd000,0x05ffffff,0xfffff100,0xffd1009f,0x74001fff,
    0x000fffff,0x3ffffe60,0xc8001fff,0xf1007fff,0x809fffff,0x41fffffb,
    0x0ffffffb,0xffffb800,0x80001fff,0xf105fffe,0x009fffff,0x9ffffff1,
    0x01be2000,0x7ffffd40,0x7ffd402f,0x1002ffff,0x89ffffff,0x80002ff8,
    0x3ffa02fa,0x8001ffff,0x220003fa,0xf1007fff,0x00bfffff,0xfffffff9,
    0xffff900d,0xffff903f,0xfff9801f,0x2e004fff,0x7fe40fff,0xffc81fff,
    0x7fec0fff,0xfff3001f,0x80bea005,0x1ffffffe,0xffff8800,0xfb1004ff,
    0x2a009fff,0x000effff,0xfffffd80,0xff90005f,0x3fe200ff,0x5c04ffff,
    0xd82fffff,0x005fffff,0x7fffffc4,0xfd00004f,0x3fe20bff,0x3004ffff,
    0x07ffffff,0x001efa80,0xffffff70,0xffff9007,0xf1001fff,0x509fffff,
    0xdd00005f,0xfffffb80,0x5fd8004f,0x3ffd4000,0xfffff980,0xfff8806f,
    0x00dfffff,0x07fffff2,0x03fffff2,0xffffff50,0xffc9801d,0xffffc87f,
    0xffffc81f,0x7fffec0f,0x04ffe803,0xff701ba0,0x0009ffff,0x9ffffff1,
    0xffffc800,0x7fffd404,0xf100000e,0x009fffff,0x01ffff20,0x7fffffc4,
    0x7fffe404,0xffff982f,0x3f6003ff,0x00ffffff,0xfffe8040,0xfffff105,
    0x7ec4009f,0x200cffff,0x0005fd98,0x3fffffe6,0xffe801ff,0x402effff,
    0x4ffffff8,0x40002f88,0xcccccef9,0xfffffdcc,0x3ee000ff,0x20001cff,
    0xfe8807fb,0x03ffffff,0x7fffffcc,0xc80aefff,0xc81fffff,0x200fffff,
    0xfffffff9,0xdcccccef,0x87ffffff,0x81fffffc,0x40fffffc,0xaefffffd,
    0x01fff4c0,0x9999df30,0xffffb999,0x88001fff,0x04ffffff,0xdfffeb80,
    0xfff9510a,0x8800009f,0x04ffffff,0x0ffff900,0x3ffffe20,0x3ffa604f,
    0xfe80dfff,0x802fffff,0xfffffffa,0xe81dc002,0xff105fff,0x0009ffff,
    0xbffffff7,0xfffd9559,0xffd10005,0xffffffff,0x3e601dff,0x7fffffff,
    0x3ffffe20,0x5c05d04f,0x7fffec02,0xffffffff,0x403fffff,0xffffffea,
    0xfb0003ef,0x7ffff740,0xefffffff,0x3ffffe20,0xffffffff,0x7fffe42f,
    0xffffc81f,0x7fff440f,0xffffffff,0xffffffff,0xfc86ffff,0xfc81ffff,
    0x76c0ffff,0xefffca88,0x000dfffe,0x7fffffec,0xffffffff,0x44003fff,
    0x04ffffff,0x3fff2600,0xaeffffff,0xf8800000,0x004fffff,0x00ffff90,
    0x3fffffe2,0xfffff704,0x7f45ffff,0x6fffffff,0x3ffffa20,0x2d8005ff,
    0x20bfffd0,0x4ffffff8,0xffb51000,0xffffffff,0x0000001b,0x44000000,
    0x04ffffff,0x100fc059,0x3fe2007f,0x0007ffff,0x00480000,0x00000000,
    0x07fffff2,0x03fffff2,0x40000000,0x81fffffc,0x40fffffc,0x7dd7500b,
    0x7f100013,0x3fffe200,0x7c4007ff,0x004fffff,0xffffe880,0x000003ff,
    0x7fffffc4,0xfff90004,0x3ffe200f,0x00004fff,0x3ff20000,0x000fffff,
    0xffe80fc4,0xffff105f,0x100009ff,0x357bf753,0x20000000,0x0000adec,
    0x7ffffc40,0x07a8004f,0xfb0007e4,0x005fffff,0x16774400,0x6c000000,
    0x00000ace,0x07ffffee,0x03fffff2,0x1bde9800,0x3ffee000,0xfffc81ff,
    0x7cc000ff,0x3f20000d,0x3fff6000,0x22002fff,0x04ffffff,0xffff3000,
    0x00000dff,0xffffff88,0xfff90004,0x3ffe200f,0x70004fff,0x800017bd,
    0xfffffff9,0x00fc8003,0x220bfffd,0x04ffffff,0x01fe4000,0x6c000000,
    0x00007fff,0x7fffffc4,0x207e8004,0x7cc004f8,0x006fffff,0x3fffe200,
    0x40000004,0x0005fffe,0x3ffffee0,0x7ffff441,0x3e60000f,0x70002fff,
    0x883fffff,0x00fffffe,0x00ffff40,0x20027c40,0x6ffffff9,0x3fffe200,
    0x200004ff,0x3ffffffc,0x3e200000,0x004fffff,0x00ffff90,0x3fffffe2,
    0xfff90004,0x7f40001f,0x006fffff,0x3fa07f98,0xfff105ff,0x00009fff,
    0x0037ffd4,0x32600000,0x00002fff,0x3fffffe6,0x02fec004,0xfd0005f9,
    0x005fffff,0x3fff5400,0x2a000000,0x0000fffd,0x7fffff30,0xffffffe8,
    0x3ae20000,0xf30006ff,0xfe87ffff,0x000fffff,0x017ffee2,0x2000bf20,
    0x2ffffffe,0xfffff300,0x4400009f,0x2ffffffe,0xff100000,0x000bffff,
    0x401ffff2,0x4ffffff9,0xfff93000,0x3fee0007,0x001fffff,0xfd03ff44,
    0x3fe60bff,0x0004ffff,0x07fff660,0x20000000,0x00004fff,0x3fffffe6,
    0x9ffb1004,0x0003fe20,0x3fffffee,0x7d400006,0x000001ff,0x017ffc40,
    0xffffd000,0xffdfd55f,0x00003fff,0x4000fff7,0xaafffffe,0xfffffefe,
    0x6ffd8001,0x007fc400,0x7ffffdc0,0xfff3006f,0x00009fff,0xfffffe88,
    0x400000bf,0x5ffffff8,0xffff9000,0xffff3001,0xe80009ff,0xf88005ff,
    0x04ffffff,0x037ffcc0,0x260bffff,0x04ffffff,0x7ffc4000,0x00000002,
    0x0017ffcc,0xfffff500,0x7dc401df,0xffd03fff,0xfff10003,0x0007ffff,
    0x003ffe40,0x7fd40000,0x2600001f,0xefffffff,0xcfffffc9,0x7fec0000,
    0x3fe60006,0xc9efffff,0x00cfffff,0x001fff40,0x20007ffa,0xfffffff8,
    0xffffa803,0x000005ff,0xfffffffb,0x00053559,0x7fffffcc,0xfff90006,
    0xfff5001f,0x4000bfff,0x8003fff8,0xfffffffd,0xfffb3000,0x3ffe20bf,
    0xffff505f,0x80000bff,0x0000fffa,0xfd710000,0x440000bf,0xfffffffe,
    0xfedcccde,0x542fffff,0x000dfffe,0x7fffffdc,0x4c0002ff,0x0002fffb,
    0x3fee6000,0xa800003f,0x90dffffe,0x3fffffff,0xffca8800,0x7540001f,
    0xf90dffff,0x03ffffff,0x01dff930,0x37fffaa0,0x7ffdc000,0x202fffff,
    0xffffffe8,0x3000002f,0xfffffff9,0x22000fff,0xfffffffe,0xfffc8003,
    0x3fa201df,0x02ffffff,0x2fff5440,0x7fffd400,0xccccefff,0xfffecccc,
    0xd984ffff,0xe885ffff,0x2fffffff,0xfea88000,0x0000003f,0x05bdff50,
    0xfffd1000,0xffffffff,0xffffffff,0x7e43ffff,0x3effffff,0x3ffffaa0,
    0xffffffff,0xeefd8000,0x0000000c,0x0073bbf2,0x15730000,0xff800000,
    0x00000bde,0x00002ae6,0x03deff88,0x3fffff20,0x3aa03eff,0xffffffff,
    0xfd10ffff,0xffffffff,0x0005dfff,0x79953100,0xeb800135,0xfffffffe,
    0x00eeffff,0xeeeeeeb8,0xffffd14e,0xffffffff,0xeff9805d,0xffd0002d,
    0xffffffff,0xffffffff,0x47ffffff,0xeeeeeeeb,0xfffffd14,0xdfffffff,
    0xddf70005,0x00000039,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000bb660,0x32a62000,0x2e01cccd,0x1b200001,0x00726000,0x00000000,
    0x32200000,0xcccccccc,0x0000cccc,0x99999950,0x05999999,0x33326000,
    0xcccccccc,0x664c004c,0xcccccccc,0x993003cc,0x99999999,0xaa800799,
    0xaaaaaaaa,0x00000aaa,0x00000000,0x00040000,0x00000274,0xccb98000,
    0xea80001b,0x01c9801e,0x32201a88,0x00003ccc,0xff980000,0x800004ff,
    0xfffffed9,0x22dfffff,0x200001f9,0x3a60003f,0x0002efff,0x80000000,
    0x22000cc9,0xffffffff,0x000fffff,0xfffff900,0xbfffffff,0x3fea0000,
    0xffffffff,0x7d4007ff,0xffffffff,0xf7006fff,0xffffffff,0xe800dfff,
    0xffffffff,0x0002ffff,0xdd700000,0x2ea20001,0x401abcdc,0xfb73007d,
    0x000159bf,0x7c4bfff6,0x7ec406ff,0x004ffcbf,0x4017fe20,0x3a601ff8,
    0x3fff201f,0x7cc001ff,0x0004ffff,0x0fffff90,0xfffc8000,0x2e621bdf,
    0x1ffeffff,0x01f50000,0xd9977400,0x00000007,0x7ffc4000,0xfff1000f,
    0xffffffff,0x200001ff,0xfffffffc,0x005fffff,0xfffff500,0xffffffff,
    0xffffa800,0xffffffff,0xffff7006,0xffffffff,0xfffe800d,0xffffffff,
    0x0000002f,0x0ffff980,0xfffd7100,0x7fffffff,0x5c03fc81,0xfeefdfff,
    0x22001dff,0x3fee4fff,0x3ffa201f,0x001bffa5,0x70007fec,0x9ff505ff,
    0x7ffffc40,0x7fe4006f,0x200004ff,0x00fffffd,0xfffe9800,0xffc8803f,
    0x00001fff,0x7cc000bb,0x0001fc41,0x30000000,0x2005ffff,0xeeeeeee8,
    0x00eeeeee,0xdddd7000,0xdddddddd,0x3a600009,0xeeeeeeee,0x54005eee,
    0xeeeeeeee,0x5005eeee,0xdddddddd,0x8009dddd,0xfffffffe,0x002fffff,
    0x06aaa600,0x0ffffcc0,0x6ffffdc0,0x3fff260a,0x4409f73f,0x557e2ffe,
    0x5005fffe,0x3ffd8dff,0x917ffec0,0xa8009fff,0xfe8003ff,0x03ffee3f,
    0xffffffd8,0x3ffe002f,0x4c00004f,0x0004ffff,0x3fffffc8,0x7fffcc00,
    0x2f880001,0x6c1f2000,0x00000006,0x7fff4000,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd970000,0xbdfffdff,0x0fffec05,
    0x9ffffb10,0xfffff980,0x1fff405f,0x0dffb17e,0xf887ff60,0x7ffd406f,
    0x3fffee1f,0x0bff1001,0x37ffea00,0x2603fffd,0xffe9dfff,0xbfff3006,
    0x3aa00000,0x5c0000cf,0x003fffff,0x003fff30,0x8000d900,0x027c40fa,
    0x00000000,0x003ffa20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5bfffd30,0x3fff6a21,0x04fe80be,0x13ffffe2,0x7ffffd40,
    0x03ffee01,0x00dfd0bf,0xffa87ff1,0x7fffe400,0x0ffffea0,0x0007fec0,
    0xffffffd0,0x24ffe80d,0xc802ffe8,0x000005ff,0xff100000,0x8000ffff,
    0x80001ffa,0xdf80004e,0x40003f20,0x99999999,0x80999999,0x99999998,
    0x01efb999,0x0d554c00,0x26666000,0x99999999,0x99988099,0x00199999,
    0x30000380,0x33333333,0x4c133333,0x99999999,0x99999999,0x00999999,
    0x5c41dea8,0xfc8000ce,0x7cc04fff,0xdcceffff,0x7fff404f,0x3fa000ff,
    0x3fe06fff,0x4c2fc1ff,0x86fa806f,0xffe803fd,0x3ffea0ff,0x3ffa804f,
    0x7ffd4000,0x3ea02fff,0x00dfb03f,0x00000bff,0x7ec00000,0x0004ffff,
    0x40001fd8,0xb80000fa,0x004ffdff,0x3ffffb60,0xdeffffff,0xffffec81,
    0x01acceff,0xfffdb700,0x17dffffd,0x7fff6c00,0xefffffff,0xfffec81d,
    0x0004efff,0x200007cc,0xfffffec8,0x2defffff,0xfffffd91,0xffffffff,
    0xffffffff,0xffffa805,0x01bfff20,0x4ffffe88,0xfffff300,0xfc80155b,
    0x4005ffff,0x84fffffa,0x7c4ffff8,0xfb00db05,0xf005f881,0x7d41ffff,
    0x7c406fff,0xfd00005f,0xfe80bfff,0x301fe401,0x266000df,0x99999999,
    0x99999999,0x70099999,0x03ffffff,0x003f3000,0x377765cc,0xbfb10000,
    0x3a200003,0x1fffffff,0x1fffd100,0xffd30000,0x36a217bf,0x4002ffff,
    0xffffffe8,0xffd1000e,0x3600001f,0x2200004f,0xfffffffe,0x7fff4402,
    0xccccefff,0xfffffecc,0x7fffec02,0x07ffffe3,0x37fffec0,0x3ffff600,
    0xfffa800f,0x6c001fff,0x41ffffff,0x22fffffa,0x000d505f,0x7fffc000,
    0x3fffea0f,0x007fe405,0xaaaa9800,0x40026200,0x0006202a,0x7ffff644,
    0xffffffff,0xffffffff,0xffff882f,0x200006ff,0xbffb001e,0x001dfffd,
    0x0013f600,0xfffff700,0xff88009f,0xffc80002,0x7fcc04ff,0x2e000dff,
    0x03ffffff,0x0017fc40,0x00fff880,0x3ffea000,0xf5005fff,0x809fffff,
    0x402fffea,0x3a2ffffc,0xb800ffff,0x003fffff,0x27ffffcc,0x7fffff40,
    0x7f7e4006,0x7c46ffff,0xbf3fffff,0x00000040,0x43ffffd0,0x204ffffa,
    0x00003ffa,0x00000000,0xfe880000,0xccefffff,0xfffecccc,0xfffa82ff,
    0x00004fff,0x3ffa2002,0x0bffff63,0x1fff1000,0x7fd40000,0x8003ffff,
    0x220000ff,0x006ffffe,0x03fffff3,0x3ffffea0,0x0ff8003f,0xfff90000,
    0x7cc00007,0x004fffff,0x9ffffff3,0x00bff200,0xfa8dfff1,0xff8804ff,
    0x8001ffff,0x02fffffe,0x3fffffe6,0x2f3ee005,0x43ffffff,0xdfffffff,
    0x5553005f,0x54c15555,0x902aaaaa,0x7dc3ffff,0xff102fff,0x6440000b,
    0x0b51bded,0x8def6e44,0x3b72205a,0x400b51bd,0x4ffffffa,0x17fff540,
    0x7fffffdc,0x20000004,0x7f46fff8,0x40005fff,0x0003fffc,0x3ffffea0,
    0x07e8002f,0x7fffec00,0x3ff6000e,0xfa800fff,0x002fffff,0x100007e8,
    0x000dffff,0x7ffffcc0,0xfff3004f,0x6c009fff,0x2035002f,0xffd000a8,
    0x2000dfff,0x0ffffffc,0xffffff90,0x557ea009,0x44ffffff,0xfffffffb,
    0xffd5005f,0x7543ffff,0x80ffffff,0x322ffff9,0x3f206fff,0xf500000f,
    0xffffdbff,0x37ffea0b,0x505ffffe,0xfffdbfff,0x7fcc00bf,0x9004ffff,
    0xfffb05ff,0x00007fff,0x1fffe400,0x1ffffff3,0x3ffe2000,0x2a00006f,
    0x02ffffff,0x20007d80,0x03fffffb,0x7ffffcc0,0xffffa805,0x7d8002ff,
    0xfff70000,0x200005ff,0x4ffffff8,0xfffff100,0x17cc009f,0x2a000000,
    0x04ffffff,0xfffff700,0x3fffa07f,0xf9803fff,0x3ffffe26,0xffffe86f,
    0x000dffff,0x03fffffd,0x01ffffff,0xfd8ffff2,0x7ff501ff,0x3fe20000,
    0x17ff262f,0xc98bffe2,0xfff885ff,0x017ff262,0xffffff98,0x20bf6004,
    0x2ffffffe,0xf1000000,0x77645fff,0x0000ffff,0x05fffff7,0x3ffea000,
    0xd8002fff,0xfff10007,0xd0003fff,0x805fffff,0x2ffffffa,0x0007d800,
    0xdfffffd0,0x3fe20000,0x1004ffff,0x09ffffff,0x530ba06a,0x41555555,
    0x2aaaaaa9,0xffffff70,0x3fe60007,0xff05ffff,0x805fffff,0x3fe20ef8,
    0xe887ffff,0xffffffff,0xfffd802f,0xfffd81ff,0x3ff600ff,0x207fff16,
    0x00005fe8,0x7e41fff6,0x907ffd86,0x0fffb0df,0xf8801bf2,0x004fffff,
    0xfff10be6,0x0003ffff,0x3fff2000,0x3feafe1f,0x3fa0005f,0x0006ffff,
    0xffffff50,0x00fb0005,0x3fffffa0,0xfff90007,0x7d401fff,0x002fffff,
    0xa80007d8,0x1fffffff,0xfff88000,0xf1004fff,0x209fffff,0x7542c82d,
    0x21ffffff,0xffffffea,0xfffffd80,0xff10002f,0xf10dffff,0x05ffffff,
    0x3e207f44,0x00ffffff,0xfffffffb,0x7e401bff,0xfd81ffff,0x5400ffff,
    0x00dffefe,0x00003ff2,0xd02ffff8,0x05ffff0d,0x3fffe1ba,0x4400dd02,
    0x04ffffff,0xf985d035,0x01ffffff,0xffd00000,0x443ea3ff,0x3ea0001b,
    0x01ffffff,0xffffa800,0x7d8002ff,0xffffa800,0xf70004ff,0x407fffff,
    0x2ffffffa,0x0007d800,0xffffffe8,0xf880005f,0x004fffff,0x9ffffff1,
    0x40220ba0,0x81fffffe,0x80ffffff,0x2ffffffe,0xffff1000,0xfff30fff,
    0x7403ffff,0xfffff01f,0x7fdc05ff,0xefffffff,0xfffff900,0xfffff903,
    0x4004c001,0x2e603ffa,0xf301bded,0xd505ffff,0x2fffff98,0x7ffcc6a8,
    0x006a82ff,0x3fffffe2,0x05905b04,0x5fffffff,0x3e000000,0x0bb2ffff,
    0xfffe8000,0x0005ffff,0xffffffa8,0x007d8002,0xffffffb8,0xfff30003,
    0x7d40bfff,0x002fffff,0x4c0007d8,0xfffffebf,0x7c40000f,0x004fffff,
    0x9ffffff1,0xd8005f10,0xd81fffff,0x440fffff,0x1fffffff,0xffff1000,
    0xff983fff,0xb01fffff,0x7fffc05f,0x74402fff,0xffffffff,0xffffc80f,
    0xffffc81f,0x4400000f,0x3fee05fe,0x983ffd9e,0x84ffffff,0x7ffffcc3,
    0x7fcc384f,0x0384ffff,0x3ffffe20,0x1105d04f,0xffffffd0,0xdddd1007,
    0xdddddddd,0x3fffe27d,0x0002f8bf,0x3ffafe60,0x0000ffff,0x7fffffd4,
    0x007d8002,0xffffffd8,0xfff10002,0x7d40dfff,0x002fffff,0x6c0007d8,
    0xffffff77,0xff880009,0x1004ffff,0x09ffffff,0xfc8005f9,0xfd81ffff,
    0x7cc0ffff,0x01ffffff,0x3ffffe00,0xffff82ff,0x3fc81fff,0x3ffffe20,
    0xff7001ff,0x09ffffff,0x03fffff9,0x01fffff9,0x0ffc8000,0x263fff90,
    0xfff84fff,0x401effff,0xefffffff,0x7ffffc01,0x10001eff,0x09ffffff,
    0x7e4005f1,0x003fffff,0x3fffff22,0x3e61bfff,0x07bcffff,0xfbbec000,
    0x004fffff,0x7ffffd40,0x07d8002f,0xfffffe80,0xff10002f,0x540fffff,
    0x02ffffff,0x20007d80,0xffff14f8,0x88000fff,0x04ffffff,0xffffff10,
    0x002ffa89,0x0fffffe4,0x07ffffe4,0x3fffffe6,0x3fe0000f,0xe82fffff,
    0x42ffffff,0x7fc404fb,0x000fffff,0x3ffffffe,0x7ffe41ff,0xfffc81ff,
    0x200000ff,0xff303ffa,0x2ffff8ff,0x7fffffe4,0x3ff202ff,0x02ffffff,
    0x3ffffff2,0xf88002ff,0xc84fffff,0x3fee002f,0x8004ffff,0x3ffffffd,
    0xefffff88,0x2200004e,0xfffff14f,0xfa8000ff,0x002fffff,0x7c4007d8,
    0x01ffffff,0xfffff100,0x3fea03ff,0x8002ffff,0x3f20007d,0x3fffff20,
    0x3e20003f,0x004fffff,0x9ffffff1,0x05fff931,0xfffffc80,0xfffffc81,
    0x7ffffc40,0x3e0001ff,0x81ffffff,0x3ffffffc,0x3e2017ea,0x007fffff,
    0x7fffeefc,0x7ffe43ff,0xfffc81ff,0x100000ff,0x7ff40dfd,0x37fff46f,
    0x3fffffe2,0xff104fff,0x9fffffff,0x3ffffe20,0x4004ffff,0x4ffffff8,
    0x30017fd4,0x0bffffff,0xfffff700,0x3fffe05f,0x00001fff,0xfffc83f2,
    0x20003fff,0x2ffffffa,0x4007d800,0xfffffff9,0x3ffe0001,0xf502ffff,
    0x005fffff,0x22000fb0,0x7fffcc4f,0x220006ff,0x04ffffff,0xffffff10,
    0x5fffffff,0xffffc800,0xffffc81f,0xfffff80f,0xf10002ff,0x01ffffff,
    0x9ffffff7,0x26003be6,0x05ffffff,0xfffdafc0,0x7ffe45ff,0xfffc81ff,
    0x900000ff,0x3fe201ff,0x7ffec6ff,0x7fff440f,0x104fffff,0xfffffffd,
    0x3ffa209f,0x04ffffff,0x3ffffe20,0xfffc98cf,0x7ffec002,0x5c000fff,
    0x01ffffff,0x0dfffffb,0x227c4000,0x6ffffff9,0x3ffea000,0xd8002fff,
    0x7ffcc007,0x0000ffff,0x3ffffffe,0xfffff502,0x0fb0005f,0x3607ee00,
    0x02ffffff,0xfffff100,0x3fe2009f,0xfeceffff,0x64002fff,0xc81fffff,
    0xd80fffff,0x03ffffff,0xfffff100,0x3ffe60ff,0x0fe8dfff,0xfffff700,
    0x3e00b85f,0x1bffff65,0x03fffff9,0x01fffff9,0x07ff3000,0x22ffffcc,
    0x882ffffd,0xfffffffd,0xfffb100f,0x201fffff,0xffffffd8,0xff1000ff,
    0xffffffff,0x88005fff,0x03ffffff,0x7ffffdc0,0xffff901f,0x200001ff,
    0xfffd81fb,0x50002fff,0x05ffffff,0x8800fb00,0x1fffffff,0x3fffe000,
    0xff501fff,0x0005ffff,0x17a000fb,0x7fffffd4,0xfff10005,0x22009fff,
    0x24ffffff,0x4002ffe8,0x81fffffc,0x80fffffc,0x4ffffffc,0xffff3000,
    0x7fec0bff,0x01feefff,0x3fffff60,0x97e02e86,0x645ffffa,0xc81fffff,
    0x000fffff,0x2037f440,0x6c5ffffa,0x2e03ffff,0x3fffffff,0x7ffffdc0,
    0x7fdc03ff,0x003fffff,0xdffffff1,0x05ffffd9,0xfffff500,0xfffb800d,
    0xff301fff,0x540dffff,0x2a0bd004,0x05ffffff,0xfffff500,0x0fb0005f,
    0xffffff00,0x3e20005f,0x00ffffff,0x5ffffff5,0x000fb000,0x7ff405f5,
    0x8001ffff,0x4ffffff8,0xfffff100,0x02ff889f,0x7ffffe40,0xfffffc81,
    0xfffff980,0xff70004f,0x4405ffff,0x2fffffff,0x7ffffc00,0x3e05e83f,
    0x21ffffc5,0x81fffffc,0x00fffffc,0x007fe400,0xb1bfffe6,0x40c5ffff,
    0x5fffffe9,0x7fff4c0c,0x74c0c5ff,0x005fffff,0x9ffffff1,0x0017ff44,
    0x2fffffc8,0x3fffee00,0x3fee01ff,0x221dffff,0x2fa800fb,0x3fffffa0,
    0xffa8001f,0x8002ffff,0xffd8006e,0x0003ffff,0xfffffff1,0x7ffffd40,
    0x06e8002f,0x7dc06e80,0x004fffff,0xffffff88,0xffff1004,0x05f509ff,
    0xfffffc80,0xfffffc81,0xfffffb00,0x3ff6000d,0xfa806fff,0x4004ffff,
    0x05fffffa,0xf17e01fd,0xffb83fff,0xffc81fff,0x20000fff,0xf8803ff9,
    0x7fec6fff,0x2203e0ff,0x7c6ffffd,0xffffd880,0x7ec407c6,0xf1006fff,
    0x889fffff,0x360002ff,0x001fffff,0x3ffffff7,0xfffffd80,0x03ffefff,
    0xffb80dd0,0x8004ffff,0x2ffffffa,0x8006e800,0x4ffffffc,0xffff3000,
    0x7fd40bff,0x8002ffff,0x77cc006e,0xdccccccc,0x0fffffff,0x7fffc400,
    0xff1004ff,0xf109ffff,0xfffc8005,0xfffc81ff,0xfff100ff,0xd0003fff,
    0x005fffff,0x03fffff2,0xeffffe80,0x3e0bfd00,0x213ffe65,0x41fffffb,
    0x0fffffe8,0x01bfa000,0x6c6fffe8,0x01fc7fff,0x3f89ffff,0xf13fffe0,
    0x27fffc07,0xfffff880,0x002fa84f,0x7ffffd40,0xffffb802,0x7fc401ff,
    0xffffffff,0x99df3003,0xffb99999,0x001fffff,0xffffff98,0x006f8002,
    0xffffff98,0xfff70004,0x7cc05fff,0x002fffff,0x7ec006f8,0xffffffff,
    0xffffffff,0x7ffc4003,0xf1004fff,0x209fffff,0xf90ae02e,0xf903ffff,
    0x6401ffff,0x005fffff,0x2fffffd4,0xfffff100,0x3ffee009,0x3ffa01ff,
    0x3ff65f85,0xffff980e,0x7ffff43f,0xf90000ff,0x7fd4001f,0x17fffc7f,
    0x7fe407fe,0xc80ffc2f,0x0ffc2fff,0x002fffc8,0x9ffffff1,0x00005f10,
    0x7bffffb1,0x3fb2a213,0x800befff,0xffffffef,0x3ff6001d,0xffffffff,
    0x3fffffff,0x7fffcc00,0x5f8003ff,0xffffb000,0x3f6000df,0x4c06ffff,
    0x03ffffff,0x22005f80,0xfff1003f,0x8800ffff,0x04ffffff,0xffffff10,
    0x1f80b209,0x0fffffdc,0x07ffffe4,0xfffffd10,0x7ffec001,0x3e6000ff,
    0x403fffff,0x00dffffa,0x5677fff4,0xdffeadf8,0x3ffffa00,0xffefeaaf,
    0x98001fff,0xfd8003ff,0xbfff11ff,0xfb03ffd0,0x1ffe81df,0x740effd8,
    0xeffd81ff,0xffff1000,0x80ba09ff,0x3b26002b,0xffffffff,0x000befff,
    0x55dcc3ea,0x01fc4000,0xffffff88,0x7ffc4007,0x4c003fff,0xff10003f,
    0x0003ffff,0x05fffffd,0xffffff88,0x01fcc003,0x6c001f90,0x02ffffff,
    0x3ffffe20,0xfff1004f,0x50009fff,0xfffff70f,0xffffe883,0x7ff4400f,
    0xff5004ff,0x44003fff,0xfffea8ef,0x3ff261be,0xb71003ff,0xffffffff,
    0xff3005bf,0x93dfffff,0x019fffff,0x0006fe80,0xfb1bffb1,0xfffd01bf,
    0x1fff715b,0x15bfffd0,0xfd01fff7,0xff715bff,0x7fc4001f,0x5904ffff,
    0x30000fc0,0x33559bf7,0x002ec000,0x4001f900,0x2ffffffd,0x7ffff400,
    0x17dc005f,0xffff9000,0xffa800bf,0xfd005fff,0x800bffff,0x9f1002fc,
    0xffff9800,0x3e2006ff,0x004fffff,0x9ffffff1,0xf30fd000,0xfe87ffff,
    0x800fffff,0x04ffffe8,0x0f7fffd4,0x981dd100,0xfffffffd,0x20002dff,
    0x1efcaa98,0xfffea800,0xffff90df,0x32003fff,0x540001ff,0x202dfffd,
    0xffffeced,0xd9db01ef,0x03dfffff,0x3fffb3b6,0x44001eff,0x04ffffff,
    0x80007a80,0x00000cfa,0x200005f1,0x7cc004f8,0x006fffff,0x3fffffdc,
    0x000df300,0xfffffe88,0x3fffa000,0xff7000ff,0x4c00dfff,0x0bf2006f,
    0x3ffffa00,0xff3002ff,0x2009ffff,0x4ffffff9,0xe82fec00,0xeaafffff,
    0x1fffffef,0x3fffee00,0x3ff660ad,0xfd8004ff,0x665d4c01,0x0000009a,
    0xb98000bf,0x3000000a,0x08000013,0x5d441700,0x5105c00a,0x20b80157,
    0x0000aba8,0x9ffffff1,0x000fd000,0x00ffff88,0x0007b800,0x2000bf20,
    0x2ffffffe,0x3fffe200,0xff8805ff,0xfe880002,0xf5004fff,0x4003ffff,
    0x5ffffff8,0x002ff880,0x70001ff1,0x0dffffff,0x3ffffe60,0xfff3004f,
    0x22009fff,0xff304ffd,0x93dfffff,0x019fffff,0x7fff5c40,0xceffffff,
    0x00310001,0x20000000,0x0000004e,0x00000000,0x00000000,0x00000000,
    0x3ffffe60,0x2fec004f,0x3ff26000,0x4e80003f,0x1ff10000,0xffff7000,
    0xf9800dff,0x00cfffff,0x00007fd3,0x27ffff44,0x3bfffea0,0xfff98001,
    0xa880cfff,0x3fa003fe,0xff88001f,0x803fffff,0x5ffffffa,0xfffff500,
    0x7dc401df,0x3aa03fff,0xf90dffff,0x03ffffff,0x99955100,0x00000357,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff98,
    0x9ffb1004,0x3ffa0000,0x0fcc0004,0x1ffe8000,0xffff8800,0x4c003fff,
    0xeffffffe,0x03fffdbc,0xfff70000,0x36e215bf,0x0004ffff,0x7fffff54,
    0xfffebcef,0xfffd5003,0xffb8001b,0x02ffffff,0x3fffffa2,0x7f4402ff,
    0xdeffffff,0xfffedccc,0xb9802fff,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xeffffffa,0x3ffee200,
    0xf980003f,0x640003ff,0xfea80006,0x5c000dff,0xffffffff,0xfffc8002,
    0xcfffffff,0x44000000,0xffffffeb,0x001cefff,0x3ffff200,0x0cffffff,
    0xfffff900,0x75407dff,0xffffffff,0xfd10ffff,0xffffffff,0x3a25dfff,
    0xffffffff,0xffffffff,0x1fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffff44,0xdcccdeff,
    0x2ffffffe,0x3fae2000,0x2d80005f,0x7ffe4000,0x203effff,0xffffffea,
    0x00ffffff,0xbccca980,0x0000009a,0xcccaa880,0x000001ab,0x55e6654c,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xffffffe8,0xffffffff,
    0xffffffff,0xff50001f,0x000005bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0153003b,0x005e4c00,0x00000000,0x54c00ee0,0x33320000,
    0x0000003c,0x001c8800,0x99950035,0x32e00019,0x00000ccc,0x00000000,
    0x0015c400,0x000132e0,0x00000000,0x00000000,0x00000000,0x880005b5,
    0x6440002b,0x332e002c,0x0000004c,0x2a801e40,0x53003b80,0x00dfa801,
    0x4c0017ee,0x004ffffe,0x7fff4000,0xfa8000ff,0x01bee00e,0xfffffb80,
    0xfe800002,0xbfff31ff,0xe880bfa0,0x7ffc402f,0xf98005ff,0x0004ffff,
    0x0effffe8,0x0067fdc4,0x3ffffee0,0x1ffed402,0x07ff5000,0xbfffff30,
    0x3ffe6000,0x800005ff,0x02fffffb,0x01dfda80,0x7fffff50,0x7ff54000,
    0x6d4003ff,0x740003ff,0xff5000ef,0x00007fff,0x05fffff7,0x7e405fb8,
    0x00dfa805,0x7f401bee,0x01ffd80e,0x3225db00,0x1000001f,0x003fffff,
    0x64077f40,0xf10001ff,0x00dfffff,0x3fff9800,0x5403fff2,0x5ff983ff,
    0xfffffd80,0x7ff4001f,0x0000ffff,0x03bfffe6,0x017ffff2,0x05ffffd0,
    0x3fffff22,0xdff10003,0x7fffcc00,0x3fe60007,0x00000fff,0x017ffff4,
    0x3ffffcc0,0xbffff700,0x98f74000,0x7e4400fd,0x0003ffff,0xe800bfee,
    0x00ffffff,0x7ffff400,0x81bff002,0xd000ffd8,0x3ffb01df,0x47ffea00,
    0x0004ffe8,0x00bd07f1,0x3ffee000,0x7cc0001f,0xbffb11ff,0x7ffe4000,
    0x0002ffff,0xff17ff20,0x5ffd805f,0x3007ffea,0xbfffffff,0x7fffd400,
    0x20004fff,0xf00ffffc,0x001fffff,0x80ffffe6,0x3fffd8a8,0x01ff9000,
    0x2ffff980,0x3ffe6000,0x2600002f,0x0003ffff,0x05fffffb,0x07fffdc0,
    0x220fcc00,0x6c54403f,0x10003fff,0x7dc009ff,0x03ffffff,0x3fffe200,
    0x3bfee003,0x007ffd30,0xe88fffd4,0x7f4004ff,0x0ffffbff,0x901f7000,
    0x3a00000f,0x00001fff,0xffd7fffb,0x3e60001f,0x6ffe9eff,0x3ffa0000,
    0x2017fe60,0xffcdfff9,0xfffe804f,0x801fffca,0xfd9efff8,0xfd0000ff,
    0x3fe203ff,0x7001ffff,0x5c007fff,0xa8003fff,0xf50003ff,0xa8000bff,
    0x00005fff,0x000fffee,0x4fffffe8,0x1fffe400,0x6d83e400,0x0fffee00,
    0x0077f400,0xe9efff88,0x70000fff,0xd0007fff,0xffff7fff,0x7fffd000,
    0x8001ffff,0xfffffff9,0x0be20003,0x2000017a,0x0001fff8,0x3ffffe60,
    0x360004ff,0x3ffa24ff,0xff980002,0x80077e42,0xfffffffd,0x0f7fd400,
    0xf900dff7,0x27fe41df,0x0fffcc00,0x1bffff60,0x003ffe80,0x001fffdc,
    0x0001bfa2,0x0000fff5,0x0001fff5,0x000fffa0,0x1fffff70,0x0bff9000,
    0xf883f500,0x3ffee003,0x2ffb8003,0x837ff200,0xd0004ffd,0x2a0009ff,
    0x2fffffff,0xffff9800,0xb0003fff,0x00dfffff,0x7dc3db00,0xfb800001,
    0xd800002f,0x00ffffff,0x207ff500,0xc80006fd,0x001fe84f,0x3fffffe6,
    0x80dfe803,0x3e202ffa,0x03ff704f,0x801ffc80,0x002ffff9,0x70009ff3,
    0xc8007fff,0xa80000ff,0xa80002ff,0x980002ff,0x880004ff,0x0004fffd,
    0x20003ff2,0x01f910df,0x01fffdc0,0x8013fe20,0xff904ff9,0x4ff88001,
    0x7fff4000,0x360006ff,0x006fffff,0x3ffffe60,0xff980002,0x00005ffe,
    0x00005fd0,0x3ffffe20,0x07fa0003,0x80007f90,0x027cc0ee,0x37fffec0,
    0x26027dc0,0x00ff606f,0xfe800bf5,0x00154001,0x5c0013ee,0x2a003fff,
    0x200003ff,0x700005fb,0xf70000bf,0xa8800009,0x3fd80000,0xfeffb800,
    0x7fdc004f,0x7ff4003f,0x00bf6000,0xfb8009f7,0xffa80004,0x20001fff,
    0x02fffff9,0x15555400,0x336a0000,0x26000001,0x54000000,0x40002aaa,
    0x00550009,0x10000000,0x10035555,0x402a2003,0x00530009,0x00000098,
    0x5c000310,0xd1003fff,0x100000df,0x0c400001,0x000c4000,0x40000000,
    0xb7100009,0xff700017,0x7fdc007f,0x8004c002,0x00c40029,0x55555000,
    0x55550000,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fff700,0x0007ff20,0x00000000,
    0x00000000,0x00000000,0x2e000000,0xf1003fff,0x0000009f,0x00400000,
    0x00000000,0x2aaaaa60,0x2aaa60aa,0xaa982aaa,0x260aaaaa,0x02aaaaaa,
    0x337fb2e0,0x77edc40a,0xdb98002c,0xa980bdee,0x2aaaaaaa,0x2aaaaaaa,
    0x2aaa62aa,0x6dd400aa,0x50000ade,0x0017bdb7,0xbdeedb98,0x3b6ea000,
    0x730000ad,0x8017bddb,0x36ea0018,0x2e000ade,0xf9803fff,0x7500003f,
    0x00015bdb,0x9dfdb751,0xb7510003,0x00039dfd,0x5d400050,0x2000bded,
    0xcefedba8,0x3ffee001,0x01ffb003,0xbdb75000,0xb7300017,0x74417bdd,
    0x3b6ea204,0x50001cef,0x8015bdb7,0xffffffea,0x3ffffaa1,0x7ff540ff,
    0x3aa1ffff,0x00ffffff,0x7fefffdc,0xdff51fff,0x001bfff9,0xffbbffb1,
    0xfffa85ff,0x323effff,0xdfffffff,0x37fff662,0x9fffd100,0x2007dffb,
    0xffbdffd8,0xffd8801f,0x02ffffdd,0x6e7fff44,0xb1003eff,0xffffbbff,
    0x4402dc05,0xffdcfffe,0xfffb803e,0x037f4403,0x7fff4400,0x003effdc,
    0xffdbdff5,0x7d400bff,0xffffedef,0x01e20005,0x2f7ff620,0xfa801fff,
    0xffffedef,0x7fff7005,0x005ff700,0xbdffd880,0xb1001fff,0xfffb9fff,
    0x7d40dd17,0xffffedef,0x3ffa2005,0x03effdcf,0x0ffffff4,0x07fffffc,
    0x1fffffe8,0x0ffffff8,0xb83ffd10,0x5ffdffff,0x803fff62,0x3f63ffe8,
    0x7fc42fff,0xfa83ffff,0xb00fffff,0x7ffcc07f,0x13fff20d,0x4c5fff30,
    0x3a203fff,0x3fff63ff,0xbfff302f,0x027ffe41,0xfd8fffa2,0x0db02fff,
    0x20dfff98,0x6404fffc,0x7e404fff,0x7cc0001f,0x3ff20dff,0x3ff6204f,
    0x27fffe41,0x907ff620,0x0009ffff,0xff3001aa,0x1fffcc5f,0x641ffd88,
    0xc804ffff,0x7c404fff,0x7cc0005f,0x3ffe62ff,0x7fff4403,0x3bfffea0,
    0x41ffd880,0x804ffffc,0x320dfff9,0x3f604fff,0xfd81ffff,0xfb00ffff,
    0xfb03ffff,0x3a01ffff,0xfff905ff,0xff981fff,0xdffd105f,0x87ffffa8,
    0x05fffffa,0x05fffffd,0xfff981b6,0x7fffc41f,0x0dfff103,0xd101fffb,
    0xfffa8dff,0xffff987f,0x1ffffc41,0x546ffe88,0xfd07ffff,0x0ffffcc0,
    0x80ffffe2,0x2604fffc,0x4c0003ff,0x7c41ffff,0xffb03fff,0x3ffffe0d,
    0x41bff602,0x002fffff,0x3e2006c8,0xfffd86ff,0xf06ffd80,0xc805ffff,
    0x7ec04fff,0x3e20000f,0xfffd86ff,0x7ffff100,0x20bfffb0,0xfff06ffd,
    0x7fcc05ff,0x7ffc41ff,0xffff903f,0xffffb03f,0x3fff201f,0xfffd81ff,
    0xfffa80ff,0xffffb82f,0x3fffd05f,0x887fff90,0xe80fffff,0xb80fffff,
    0xf04fffff,0x3fffec07,0x81ffffd8,0xfb83fffc,0xfffc84ff,0x7ffffc43,
    0x83fffec0,0xc81ffffd,0x7fc43fff,0x0ff80fff,0x20ffffb0,0x221ffffd,
    0xcfffffca,0x0006fe82,0xb07fffd8,0xf983ffff,0xfff83fff,0xfff305ff,
    0xfffff07f,0x04f9800b,0x20ffff20,0x7cc4fffb,0xfff83fff,0xfca885ff,
    0xb82cffff,0x640002ff,0xffb83fff,0xffff904f,0x3ffff703,0x83ffff98,
    0x205fffff,0xfb07fffd,0xff903fff,0xff903fff,0x3f201fff,0xfc81ffff,
    0xfc80ffff,0xffa86fff,0xffb04fff,0xffff88bf,0x0ffffd82,0x3fffffb8,
    0x7fffffd8,0xff300f98,0x3fee0dff,0x7ffcc4ff,0xffffa82f,0x0bfffe20,
    0x983ffff6,0xf706ffff,0xff889fff,0xfffd82ff,0x417fc40f,0x706ffff9,
    0x9989ffff,0x41999999,0xda881ffc,0xfff302de,0x3ffee0df,0x7fffe44f,
    0x6ffffe86,0x0dffff90,0x00dffffd,0x98007fd4,0xfa82ffff,0x3ff20fff,
    0xfffe86ff,0x3333306f,0xff883333,0x987fd005,0xfa82ffff,0x7fc40fff,
    0xffb80fff,0x7ffe46ff,0xffffe86f,0xdffff306,0x13fffee0,0x07fffff2,
    0x03fffff2,0x0fffffe4,0x07ffffe4,0x437fffcc,0x03fffffa,0xfc8ffffb,
    0xffa81fff,0xffff104f,0xffef88df,0x02e42fff,0x20bffffd,0x6c6ffffb,
    0xfa81ffff,0x3ff22fff,0xfffa81ff,0x2fffff44,0x46ffffb8,0xa81ffffc,
    0xff984fff,0x5ffffe83,0x0dffff70,0x41ffcc00,0x5ffffffa,0x05ffffe8,
    0xa8dffff7,0xfe86ffff,0xff506fff,0xfffd0dff,0x3ff200df,0x3fff6005,
    0xffffa81f,0x1bfffea2,0x01bffffa,0x007fec00,0x3f61ffec,0xffa81fff,
    0x7ffe42ff,0xffff987f,0x3ffea1ff,0xffffe86f,0xbffffd06,0x1bfffee0,
    0x07fffff2,0x03fffff2,0x0fffffe4,0x07ffffe4,0xa81effd8,0x901fffff,
    0x7fc1ffff,0x35101fff,0xfffffd80,0x3ffe7ae0,0xf01fc5ff,0x2a0bffff,
    0x3a0fffff,0xf980ffff,0x3ffe3fff,0x035101ff,0x20bfffff,0x20fffffa,
    0x101fffff,0x17fee035,0x417ffffe,0x00fffffa,0xf10dfd00,0x3fffffdf,
    0x05fffff8,0x81fffff5,0xfe82fffc,0x3f206fff,0xfffe82ff,0x7ff4406f,
    0x3ffa001f,0xfff980ff,0x17ffe43f,0x037ffff4,0x017fdc00,0x3a1fffdc,
    0xf980ffff,0x7fec3fff,0x7f7c47ff,0x7e43ffff,0xfffe82ff,0xfffff06f,
    0x3fffea0b,0x7fffe40f,0xffffc81f,0xffff900f,0xffff903f,0x440c401f,
    0xeffffffc,0xfffeeeee,0xffff11ff,0xfa80005f,0x53a3ffff,0x50fffffe,
    0x3ffe201f,0xfff504ff,0x7fffc3ff,0xfeeeeeef,0xfff14fff,0xf88005ff,
    0xf504ffff,0x3e23ffff,0x0002ffff,0xff88fffb,0xff504fff,0x90003fff,
    0x219b03ff,0x225fffe9,0x504fffff,0x203fffff,0xffffea81,0xea81806f,
    0x206fffff,0x006ffff9,0x777ffffc,0xffffeeee,0xffd50304,0x8000dfff,
    0xfa805ff8,0x7ffc3fff,0xeeeeeeff,0x7fc4ffff,0x4f747fff,0x304fffff,
    0xfffffd50,0xfffff10d,0x3fffea09,0x7fffe41f,0xffffc81f,0xffff900f,
    0xffff903f,0x7e44001f,0xdfffffbe,0xcccccccc,0xffff31cc,0xff00007f,
    0x47e6dfff,0xb3fffffb,0x7fffd40b,0xffff504f,0x3fffe27f,0xccccccdf,
    0xfff33ccc,0xfa8007ff,0xf504ffff,0x3e67ffff,0x0003ffff,0x7d43ffff,
    0xf504ffff,0x8007ffff,0x50503ff9,0x7fd4bfff,0xff504fff,0xd5007fff,
    0xdffffd9f,0xecfea800,0xf306ffff,0x4005ffff,0xcdfffff8,0xcccccccc,
    0xecfea803,0x0006ffff,0x26007fec,0x223fffdf,0xccdfffff,0x3ccccccc,
    0x9fffffe2,0xffff98ed,0xcfea805f,0xa86ffffe,0x504fffff,0xc87fffff,
    0xc81fffff,0x900fffff,0x903fffff,0x001fffff,0xf31bff91,0x0005ffff,
    0x0bfffff5,0xffff9000,0x7fc4d73f,0x02f8efff,0x13ffffea,0xa7ffffd4,
    0x02fffffa,0x7ffffd40,0x7ffd4005,0xfff504ff,0x3ffea9ff,0xf98005ff,
    0x3fea3fff,0xff504fff,0xe8009fff,0x7fc4006f,0x3fffea2f,0xffff504f,
    0x7ff5409f,0x0dffffd3,0x74fffaa0,0xfb06ffff,0xa800ffff,0x002fffff,
    0xd3ffea80,0x000dffff,0x22017fdc,0x23fff9cf,0x02fffffa,0xfffff980,
    0x3fe63f97,0x3aa05fff,0xffffd3ff,0xfffff50d,0x3fffea09,0x7fffe44f,
    0xffffc81f,0xffff900f,0xffff903f,0xfffa801f,0x3ffffe23,0xfff98004,
    0x980006ff,0x3edfffff,0x67ffffec,0x7fffcc07,0xffff704f,0x3fffe67f,
    0x7fcc003f,0x4c006fff,0x704fffff,0x267fffff,0x006fffff,0x25ffffb8,
    0x04fffff9,0x07fffff7,0x000ffe40,0xff31ffea,0x3ee09fff,0xd883ffff,
    0x3ffa2fff,0x7ec406ff,0x3fffa2ff,0xfffff06f,0x9877ae0d,0x003fffff,
    0x8bfff620,0x006ffffe,0x880bff10,0x47fff35e,0x03fffff9,0xfffff880,
    0x3fe61faf,0xfd884fff,0x3fffa2ff,0xffff986f,0xffff704f,0xffffc87f,
    0xffffc81f,0xffff900f,0xffff903f,0x7ffec01f,0x7ffffc43,0xfff88006,
    0xd00007ff,0x81ffffff,0x4ffffffa,0x7ffffc40,0xfffff704,0x3ffffe25,
    0x7ffc4005,0x7c4007ff,0xf704ffff,0x3e25ffff,0x8007ffff,0x226ffffd,
    0x704fffff,0x005fffff,0x2000ffe6,0x7fc42ffc,0xff704fff,0xfe985fff,
    0x7fff42ff,0x3ffa606f,0x7ffff42f,0xfffff986,0x0ffff885,0x0bfffff1,
    0x3fffa600,0x37ffff42,0x00ffd800,0xfff9876c,0x3ffffe23,0xffff0005,
    0xff985fff,0x7f4c2fff,0x7fff42ff,0xffff886f,0xffff704f,0xffffc85f,
    0xffffc81f,0xffff900f,0xffff903f,0x3fff601f,0xfffff80f,0xfff8000f,
    0x80003fff,0x05fffffb,0x05ffffff,0x0bfffff0,0x87ffffee,0x00ffffff,
    0x7fffffc0,0x7fffc003,0xffff705f,0x7ffffc3f,0x7ff4003f,0x3ffe0fff,
    0xfff705ff,0x3fa003ff,0x3ff88006,0x0bfffff0,0x87ffffee,0xe87fffe8,
    0xd106ffff,0xffd0ffff,0xfff70dff,0xfff70bff,0x7ffffc7f,0x7f44000f,
    0xfffe87ff,0xffb8006f,0xf307e402,0xffff87ff,0xfe8000ff,0xf984ffff,
    0x3a20ffff,0xffe87fff,0xffff06ff,0x3ffee0bf,0x7ffdc1ff,0xfffc81ff,
    0xfff700ff,0xfff903ff,0xfff501ff,0x3fff20bf,0x20a804ff,0x06fffffd,
    0xffff8800,0xffff902f,0x3fff600f,0xffff905f,0xfffffe8f,0xffb1c404,
    0xd800dfff,0xf905ffff,0xffd8ffff,0x22006fff,0x21ffffff,0x905ffffd,
    0x200fffff,0xe8001ffc,0x3fff603f,0xffff905f,0x5ffffc8f,0x06ffffe8,
    0xd0bffff9,0xf50dffff,0xf10bffff,0x7ff47fff,0x1c404fff,0xd0bffff9,
    0x800dffff,0x7d405ff8,0xfffdccce,0x3ffffa4d,0x2e1c404f,0xf507ffff,
    0xffc8ffff,0xfffe85ff,0xffffb06f,0x3ffff20b,0xfffffb87,0x7ffff441,
    0xffff700f,0xfffe883f,0xfffe80ff,0xffff506f,0x235403ff,0x4ffffff9,
    0x3fa012a0,0x3fe607ff,0xff3004ff,0x3ff20dff,0x7ffd43ff,0x5d100fff,
    0x7fffffcc,0xff992a04,0xfff906ff,0xffff987f,0x4d2a04ff,0x22ffffff,
    0x906ffff9,0x3007ffff,0xf90007ff,0x3fe61887,0xfff906ff,0xffffe87f,
    0x7ffffc47,0xfffffd07,0x7fffff88,0x6fffff98,0x543fffd0,0x00ffffff,
    0x7fff45d1,0x7fffc47f,0x7fec007f,0x7fffd400,0x27ffffff,0x0ffffffa,
    0xfff05d10,0xfff701ff,0xffffe8bf,0x7ffffc47,0xdffff307,0x0fffff20,
    0x0fffffe6,0x1ffffffd,0x3ffffe60,0x7fffff43,0xfffff80f,0x7ffecc2f,
    0xfa82ffff,0xfffffd81,0x00fdc1cf,0x2027ffdc,0x2001fffe,0xe80ffffc,
    0xffd07fff,0xd883ffff,0xfffffd85,0x20fdc1cf,0xe80ffffc,0xffb07fff,
    0xb839ffff,0xfffff51f,0xffffc87f,0x07fffe80,0x9000dfd0,0x2274c45f,
    0xe80ffffc,0xfff87fff,0xffcadfff,0xff07ffff,0xf95bffff,0x20ffffff,
    0x81fffffd,0xffe86ffb,0x6c41ffff,0x7fffffc5,0xfffffcad,0x3fea007f,
    0xeeeea802,0x45efffee,0x1ffffffe,0xffb82ec4,0xfffc81ff,0x7ffffc0f,
    0xffffcadf,0x3ff207ff,0xfffe80ff,0x3ffffa07,0xffefeaaf,0x3fa01fff,
    0xfeaaffff,0x81fffffe,0xeffffffe,0xfffbefec,0xfdceffff,0xffff104f,
    0xffdfffff,0x3ffe2007,0x037fdc01,0x0ffffa20,0x203ffff3,0xfffffffa,
    0x880ffece,0xffffffff,0xe883ffef,0x7fcc3fff,0xfff101ff,0xfdffffff,
    0x7fffc47f,0x7ff441ff,0x7fffcc3f,0x01ffc801,0x7ffffdc0,0x7f442fff,
    0x7ffcc3ff,0xffffc81f,0xffdcffff,0x321ecfff,0xffffffff,0xcfffffdc,
    0x3fffe21e,0x0ffdc1ef,0x7fffffd4,0x40ffecef,0xfffffffc,0xfffffdcf,
    0x3fe201ec,0x7fcc0005,0xffffa83f,0xffecefff,0x9ffffb00,0x83ffff88,
    0xfffffffc,0xfffffdcf,0x7ff441ec,0x7fffcc3f,0x3fffe601,0xffc9efff,
    0xf300cfff,0x3dffffff,0x19fffff9,0xffffffa8,0x3fe62fff,0xffffffff,
    0x7fff4404,0x03ffffff,0x4403fec0,0xd88004ff,0xffd12eff,0xfff9803d,
    0x1fffffff,0x3ffffa20,0x203fffff,0xd12effd8,0xe8803dff,0xffffffff,
    0xffffc83f,0x5dffb106,0x007bffa2,0x5000ffe6,0xffffffff,0xdffb101f,
    0x07bffa25,0x7fffffcc,0xfffff31e,0xffff985f,0xfff31eff,0xfd305fff,
    0xfb5bffff,0x7ffcc03d,0x1fffffff,0xffffff98,0xfffff31e,0x0ffd805f,
    0x7ffcc000,0xfffff303,0x203fffff,0xcfffc9fc,0x03fffd88,0xdffffff3,
    0x3ffffe63,0xdffb102f,0x07bffa25,0x3ffffaa0,0xfffff90d,0x3faa03ff,
    0xff90dfff,0xc83fffff,0x0cefffff,0xfffffd98,0x3f6002ef,0x01ceffff,
    0xb004fa80,0x7e40003f,0x0dffffff,0xffffd300,0x360019ff,0x1cefffff,
    0xfffff900,0x6c001bff,0x1cefffff,0x019fd710,0xffffffc8,0xdfd000df,
    0xffff9800,0x407fffff,0xfffffffc,0x7fed400d,0x7ff5c0be,0xdffb502e,
    0xeffeb817,0x7ff6d402,0xd3002eef,0x19ffffff,0x5f7fed40,0x177ff5c0,
    0x000bfea0,0x80fffe60,0xffffffe9,0x4c5f500c,0xcefffffe,0x77fed401,
    0x77ff5c0b,0xffffc802,0x4000dfff,0x00000ab9,0x000055cc,0x2000ab98,
    0x0001abb9,0x00002ee6,0x024c0032,0x0aca8800,0x55dcc000,0x17730000,
    0x56544000,0x5dcc0000,0x44000000,0x44000aca,0x00000099,0x05654400,
    0x44004400,0x10011000,0x00020001,0x002aee60,0x00880088,0x00003310,
    0xabb98000,0x75101800,0x01100015,0x51000110,0x00000159,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x0000cccc,
    0x00cccca8,0x00000000,0x00000000,0x00595100,0x00599100,0x0003004c,
    0x01500d4c,0x579b9750,0x79710001,0x54c40005,0x20009abb,0x2002801b,
    0x98006009,0x0001cccc,0x31000000,0x1b7004c0,0x2a009900,0x000bdedb,
    0x00000130,0x03799953,0x310001b8,0x05799d95,0x260000dc,0x09999999,
    0x9800bca8,0x4c000600,0x004fffff,0x7ffffc40,0x7d400005,0x2003ffff,
    0x05fffff8,0xfffc8000,0xffd101ff,0x40007fff,0xd8800efe,0x7ff4c4ff,
    0x3ffa6003,0x03ea0bef,0xfffefea8,0xc8803fff,0x3efffefe,0x3fff2200,
    0x003ffffe,0xfd305df5,0x4ffe8803,0x4017ffd4,0x006ffffe,0x17ffffe2,
    0x01fffffb,0x883bff20,0xbf505ffd,0x4404fb80,0xfffbdffd,0x3ffa6001,
    0xfc880004,0xffffffff,0x00be22ce,0xffffed98,0x2dffffff,0x980007e6,
    0xfffffffe,0x3bfffe62,0x89ffd101,0x4002fffa,0x0ffffffe,0x3fff6000,
    0x00001fff,0x00fffff6,0x3ffffe60,0x7fc00000,0x3fa02fff,0x00fffffe,
    0x002ffb80,0x6c3ffff7,0xf1007fff,0xbfffffff,0x77e40ff9,0x3ffffee0,
    0x5fff500e,0x402fffec,0x2e1dfffb,0x9801ffff,0xdfd88dff,0xffffc800,
    0x01bfffa0,0x7ffffff7,0x3fffee00,0x7ffffb05,0x9ffff300,0x40ffffdc,
    0x99abeff8,0x2603ffdb,0x3fe62fff,0xfffb003f,0x3620005f,0x9adfffff,
    0xefffdb99,0xff9002ff,0x4c415dff,0xffeffffb,0xfe880001,0x3f62ffff,
    0xf906ffff,0x7ff41fff,0x3fea006f,0x004fffff,0xffffff30,0x220000bf,
    0x0004ffff,0x00ffffe6,0xffff9800,0xfd893602,0x7c4004ff,0x3ff6004f,
    0x3fffe3ff,0xfffc801f,0xffffffff,0x309ff505,0x50bfffff,0xff98dfff,
    0x3fea06ff,0xfffa80ff,0xffe8800e,0x3fa001df,0xfff12fff,0x3fe201ff,
    0x007fffff,0x440bfffd,0xb805fffe,0x3f66ffff,0xff904fff,0xdfffffff,
    0x437ffc40,0x4400fffd,0x005fffff,0xdfffff98,0x7fff4c01,0x7ff4c02f,
    0xff7002ff,0x00003fff,0x4bffffee,0xfffffff8,0x2ffffe82,0x01fffff1,
    0x36bfffe0,0xe8000fff,0xfffcafff,0xffa80001,0xf980004f,0x200005ff,
    0x0c02fffc,0x0017ffd4,0xa8003bfa,0x3f21ffff,0x7fd006ff,0xfffffff9,
    0x1bffe03f,0x17fffff4,0x907ffff1,0xf107ffff,0x7fc0bfff,0xff9005ff,
    0xffb8009f,0x3fff60ff,0x2ffff206,0x4403fffb,0x4400efff,0x4400fffe,
    0x3ea3ffff,0x3fa01fff,0x1fffffff,0x20ffff20,0xe804fffb,0x4003ffff,
    0x05fffffb,0x017ffe40,0x05fffff9,0x1ffff980,0xfff70000,0x7fff45ff,
    0xffb83fff,0x3fff60ff,0x1dff7006,0x2002ffe4,0x3ee1effa,0xfd80006f,
    0x2a00004f,0x00000fff,0x20007fff,0x5c004ffc,0xfc8002ff,0x0efe443e,
    0x7ed42f80,0xff301fff,0xfff903ff,0x7ffdc9ff,0xffffa82f,0x7fffe41f,
    0x1ffff604,0xfff7ff50,0x77e44009,0x80efecc2,0x3ea2fff9,0x3fee00ff,
    0xffd1000e,0x19fd5007,0x4403efc8,0x2ffffffd,0x0bfffe60,0x003fffea,
    0x001ffff7,0x2fffffd4,0x02ffd800,0x07fffff7,0x07ffe600,0x7ffdc000,
    0x3ffee2ff,0xfc884fff,0x0efecc2e,0xb82ffc40,0xff1001ff,0x05ff501b,
    0x02ffc400,0x1ffd4000,0x1ffcc000,0x0eff9800,0x013fe200,0x28000000,
    0x3ea00cc0,0xffb84fff,0x3ff65fff,0xfff982ff,0x7fff44ff,0x3fff207f,
    0x0cfe980f,0x000bfff7,0x1efd8000,0x3a04ff98,0x744000ef,0x0000005f,
    0x017bd950,0x81ffffd8,0x802ffffa,0x26000bc9,0x00ffffff,0x220bfa00,
    0x006fffff,0x000ffd40,0xfffffb80,0x7fdeecc2,0x90000003,0x05fa807f,
    0xf9809f70,0x17ea0006,0x5fa80000,0x03fc8000,0xffffe980,0x1ffd001f,
    0x00000000,0xfff00000,0xffff707f,0x7ffffc9f,0xfffff882,0x7fffffc7,
    0x1ffff901,0xffd01bd0,0x0000009f,0xe88037ea,0x00ef880f,0x001fd100,
    0x00000000,0x203ffffa,0x003ffff9,0xfffd1000,0xb80007ff,0xffffd82f,
    0xfd80003f,0xff700001,0xff805fff,0x30000002,0x400a6001,0x01510008,
    0x00006200,0x00006200,0xc9800062,0xb807ffff,0x000002ff,0x00000000,
    0xf901dff7,0x3e65ffff,0xff02ffff,0x7ec3ffff,0xfd05ffff,0xa8020bff,
    0x0002ffff,0x10018800,0x00131035,0x00001880,0x3e000000,0xeeeeffff,
    0x04ffffee,0xfff70000,0x80001fff,0x7ffdc2f8,0x80000fff,0x700001f9,
    0x405fffff,0x00000ffa,0x00000000,0x00000000,0x00000000,0xf9800000,
    0x3e201fff,0x2aa6004f,0x260aaaaa,0x02aaaaaa,0x2b7b6ea0,0x6c031000,
    0x3ee7ffff,0xfd03ffff,0x7dc7ffff,0xf84fffff,0x31002fff,0x03ffffa1,
    0x56f6dd40,0x00000000,0xa8000000,0x000bdedb,0x05ef6dd4,0xdfffff88,
    0xcccccccc,0x76dd403c,0x7ff400bd,0x00006fff,0x7fffc459,0x200007ff,
    0x3ae6001e,0xffff71ce,0x01fec05f,0x3bfb6ea2,0xba88001c,0x401cefed,
    0xaaaaaaa9,0x2aaaaa60,0xaaaa982a,0x2aa60aaa,0xa982aaaa,0x20aaaaaa,
    0x2aaaaaa9,0x37b6ea00,0xffc8000b,0x03ff602f,0xffffea80,0x3ffaa1ff,
    0x4400ffff,0xffdcfffe,0x7fc0003e,0x3ff24fff,0xffb03fff,0x7fcc9fff,
    0x50dfffff,0x4401dfff,0xffefffec,0x74405fff,0xeffdcfff,0x55555403,
    0x2aaa02aa,0x5402aaaa,0x02aaaaaa,0xfbdffd88,0xfd8801ff,0x81fffbdf,
    0x02fffffa,0x6ffec400,0xf501fffb,0x009fffff,0x3ffea000,0x00006fff,
    0x7ffdc002,0xffbaffff,0xdf102fff,0xedeffa80,0x2005ffff,0xffedeffa,
    0x3faa05ff,0x2a1fffff,0x0ffffffe,0x7fffff54,0x3fffaa1f,0x7f540fff,
    0x2a1fffff,0x0ffffffe,0x5effec40,0x44001fff,0xff700fff,0x3ffa0005,
    0xfff81fff,0x3e600fff,0x3ff20dff,0xff70004f,0xfffb8bff,0xfff904ff,
    0xfffe89ff,0xfe9effff,0x7ffcc04f,0xfffea9bf,0xfff300ff,0x27ffe41b,
    0xffffff90,0x7fffe40f,0x7fe407ff,0x4c07ffff,0x3fe62fff,0x3ffe603f,
    0x30fffe62,0x007fffff,0x317ffcc0,0xffb07fff,0x0005ffff,0x3ffff200,
    0x000005ff,0x67fffdc0,0xfffefda9,0x0ee882ff,0xc83ffb10,0x4404ffff,
    0x7fe41ffd,0x7ff404ff,0xfff81fff,0xffd00fff,0xfff03fff,0x3fa01fff,
    0xff81ffff,0x2600ffff,0x3fe62fff,0xf81dc43f,0x0bff104f,0x7fffec00,
    0xffffd81f,0xffff300f,0x3ffff883,0xdfffe800,0x7ffffcc0,0xfffff905,
    0xfffff889,0x02ffffff,0x21ffffcc,0x84fffffa,0x441ffff9,0x2203ffff,
    0x407fffff,0x07fffff8,0x7fffff88,0x21bffe20,0xf880fffd,0xfffd86ff,
    0x3ffffe20,0xfff10005,0x81fffb0d,0x2fffffff,0xffb00000,0x0007ffff,
    0x7ffcc000,0xffffc87f,0x02fd42ff,0x7fc1bff6,0x3f602fff,0xfffff06f,
    0x7fffec05,0xffffd81f,0xffffb00f,0xffffb03f,0x3fff601f,0xfffd81ff,
    0xfff100ff,0x41fffb0d,0x3ea2effc,0x003ff606,0xfffffc80,0xfffffd81,
    0x0ffffb00,0x007ffff6,0x103fffa8,0x01ffffff,0x07fffff9,0xffffffd3,
    0xfe801dff,0xfffd07ff,0xffffb0ff,0x07ffff60,0x07ffffe8,0x07ffffe8,
    0x0fffffd0,0x5c1fffe4,0xffc84fff,0x4fffb83f,0x07fffffc,0x1fffe400,
    0x3e27ffdc,0x01ffffff,0xffff0000,0x00005fff,0x7ffff400,0xfffffd02,
    0x260065c5,0xff83ffff,0xff305fff,0xffff07ff,0x7ffe40bf,0xfffd81ff,
    0xfff900ff,0xfffb03ff,0x3ff201ff,0xffd81fff,0xff900fff,0x9fff707f,
    0x77ffffcc,0x0bfee03f,0xffff9000,0xffff903f,0xffff301f,0x3fffee0d,
    0x07bf6004,0x5fffffb0,0x5fffffb0,0x3ffffa20,0x501effff,0x320dffff,
    0x261fffff,0xf706ffff,0x7f409fff,0xfe807fff,0xfd007fff,0x3e60ffff,
    0xffa82fff,0x3ffe60ff,0xffffa82f,0x3fffffa0,0xff31c404,0xfff505ff,
    0x3fffe21f,0x00000fff,0xffffff88,0x0000001f,0x01fffff3,0x0bffffee,
    0x3ffff200,0x6ffffe86,0x0dffff90,0x40dffffd,0x81fffffc,0x00fffffc,
    0x03fffff9,0x01fffff9,0x07fffff2,0x03fffff2,0x20bfffe6,0x220ffffa,
    0x2009abba,0xfd005ff8,0xfffff907,0xfffff903,0xbffffd01,0x1bfffee0,
    0x4006fc40,0x0efffff8,0x0fffffec,0xffffff30,0xfd03ffff,0x3f20bfff,
    0x3fa2ffff,0xff705fff,0x7ff40dff,0xffe807ff,0xffd007ff,0x3ff60fff,
    0xfffa81ff,0x3ffff62f,0x2ffffa81,0x3fffffea,0x7ec5d100,0xffa81fff,
    0xffff32ff,0x00003fff,0xffffff30,0x0000003f,0x81ffffee,0x02fffffb,
    0x6ffffa80,0x06ffffe8,0xd0dffff5,0x640dffff,0xc81fffff,0x900fffff,
    0x903fffff,0x201fffff,0x81fffffc,0x80fffffc,0xa81ffffd,0x0002ffff,
    0x6c007fec,0xfffc83ff,0xfffc81ff,0xffff80ff,0xffff505f,0x01d7001f,
    0x7ffffdc0,0xffffebbe,0xffc880ff,0xfffffffd,0x3ffe20ef,0xfff704ff,
    0x7fffc7ff,0xffff505f,0x3fffa01f,0xfffe807f,0xfffd007f,0x3fffa0ff,
    0xffff980f,0x03ffffa3,0xd0ffffe6,0x83ffffff,0x7fff45d8,0xffff980f,
    0xffffff33,0x1000005f,0x5fffffff,0x32000000,0x2e06ffff,0x002fffff,
    0xd05fff90,0x640dffff,0xffe82fff,0x3ff206ff,0xffc81fff,0xff900fff,
    0xff903fff,0x3f201fff,0xfc81ffff,0xfe80ffff,0xff980fff,0x2e0003ff,
    0xffb802ff,0xffffc83f,0xffffc81f,0x7fffc40f,0xffff504f,0x0099003f,
    0xffffff30,0xbfffffdf,0x26dffd10,0xfffffffe,0x3ffffe64,0xfffff704,
    0x3ffffe29,0xfffff504,0x3ffffa03,0xffffe807,0xffffd007,0x3ffffe0f,
    0xffeeeeee,0x3fffe4ff,0xfeeeeeef,0x7fd44fff,0xecefffff,0x7fffc0ff,
    0xfeeeeeef,0x3ffe4fff,0x0003ffff,0xffffff00,0xddd1007f,0xdddddddd,
    0x7fff47dd,0x3ffee06f,0x0c0002ff,0x7fffff54,0xfea81806,0x3206ffff,
    0xc81fffff,0x900fffff,0x903fffff,0x201fffff,0x81fffffc,0x80fffffc,
    0xeeefffff,0x4ffffeee,0x0bff1000,0x07ffff50,0x03fffff9,0x81fffff9,
    0x04fffffa,0x07fffff5,0x220005b0,0xfa9ceeca,0x7c42ffff,0x3fa23fff,
    0x2a6fffff,0x704fffff,0x2a9fffff,0x504fffff,0x207fffff,0x807ffffe,
    0x007ffffe,0x10fffffd,0x99bfffff,0x79999999,0x37ffffe2,0xcccccccc,
    0xffff983c,0x41ffffff,0xcdfffff8,0xcccccccc,0x3fffffe3,0xf000004f,
    0x09ffffff,0x7fffe440,0x7c1bffff,0x2e06ffff,0x002fffff,0x3b3faa00,
    0x4006ffff,0xfffecfea,0x3fff206f,0xfffc81ff,0xfff900ff,0xfff903ff,
    0x3ff201ff,0xffc81fff,0x7fc40fff,0xccccdfff,0x003ccccc,0x9801ffb0,
    0xc83fffdf,0xc81fffff,0x540fffff,0x504fffff,0x009fffff,0xb0000019,
    0xfb0dffff,0xfe881fff,0xf50fffff,0x2e09ffff,0xf53fffff,0x2a09ffff,
    0xd04fffff,0xd00fffff,0x200fffff,0xa87ffffe,0x002fffff,0x17ffffd4,
    0x3ffa6000,0xa80cffff,0x002fffff,0xffffffd8,0xf9000006,0x00bfffff,
    0xffffffb0,0xfffff307,0x7fffdc0d,0xea80002f,0xffffd3ff,0x3ffaa00d,
    0x0dffffd3,0x0fffffe4,0x07ffffe4,0x1fffffc8,0x0fffffc8,0x3fffff90,
    0x1fffff90,0x2fffffa8,0x3ee00000,0x4e7c402f,0xffc83fff,0xffc81fff,
    0x7fcc0fff,0xff704fff,0x00007fff,0x3ffe2000,0x7ffc43ff,0xffff107f,
    0x3ffe67ff,0xfff704ff,0x3ffe63ff,0xfff704ff,0x3ffa07ff,0xffe807ff,
    0xffd007ff,0xfff30fff,0xf98007ff,0x0003ffff,0x802b7f20,0x03fffff9,
    0xfffff980,0x3000007f,0x0dffffff,0xfffff900,0xffff105f,0x7ffdc0df,
    0x220002ff,0x3fa2fffd,0x6c406fff,0x3ffa2fff,0x3ff206ff,0xffc81fff,
    0xff900fff,0xff903fff,0x3f201fff,0xfc81ffff,0x7cc0ffff,0x0003ffff,
    0x80bff100,0x7fff35e8,0x3fffff90,0x1fffff90,0x4fffff88,0x5fffff70,
    0x20000000,0xa85ffffb,0x3606ffff,0x3e4fffff,0xf704ffff,0x3e21ffff,
    0xf704ffff,0x3a05ffff,0xe807ffff,0xd007ffff,0xf10fffff,0x800bffff,
    0x05fffff8,0x01ff9000,0xbfffff10,0x3fffa000,0x00000fff,0xffffffd0,
    0xffff7000,0x3ffe03ff,0x3fee06ff,0x30002fff,0xfe85fffd,0x3a606fff,
    0x7ff42fff,0x3ff206ff,0xffc81fff,0xff900fff,0xff903fff,0x3f201fff,
    0xfc81ffff,0x7c40ffff,0x0005ffff,0x801ffb00,0x7fff30ed,0x3fffff90,
    0x1fffff90,0x0bfffff0,0x07ffffee,0x74000000,0xfb80ffff,0x3ea05fff,
    0x3fa3ffff,0xff705fff,0xffff8fff,0xffff705f,0x3fffa03f,0xfffe807f,
    0xfffd007f,0x3fffe0ff,0x7fc000ff,0x0000ffff,0xf002ffcc,0x001fffff,
    0xffffff70,0x30100009,0x03ffffff,0xfffffb80,0xfffff01f,0x7fffdc0f,
    0xfe88002f,0xfffe87ff,0xfffd106f,0xdffffd0f,0x7ffffe40,0xfffffc81,
    0xfffff900,0xfffff903,0x3ffff201,0xffffc81f,0xfffff80f,0x5c00000f,
    0x07e402ff,0xf707fff3,0xf903ffff,0xfb01ffff,0x3f20bfff,0x64407fff,
    0x900003ef,0x2605ffff,0x2206ffff,0x322fffff,0xf905ffff,0xffd8bfff,
    0xfff905ff,0x7fff40ff,0xfffe807f,0xfffd007f,0x3fffa0ff,0xd1c404ff,
    0x809fffff,0x1bff2038,0xfffffe80,0x7ec1c404,0x0007ffff,0xfffb82c4,
    0x7dc005ff,0xb01fffff,0x203fffff,0x02fffffb,0x5ffffc80,0x06ffffe8,
    0xd0bffff9,0x5c0dffff,0xc81fffff,0x700fffff,0x903fffff,0x201fffff,
    0x81fffffb,0x80fffffc,0x04fffffe,0xff8801c4,0x6677d405,0x44dfffdc,
    0x41fffffb,0x0fffffe8,0x06ffff98,0x807ffff9,0x003ffffd,0x17fffe40,
    0x0fffff10,0x20fffff8,0xb06ffffa,0xf987ffff,0xff906fff,0x7ff407ff,
    0xffe807ff,0xffd007ff,0x3fea0fff,0xd100ffff,0x7ffffd45,0x405d100f,
    0x5001fffe,0x01ffffff,0x3fe20ba2,0x0004ffff,0x7fe40df1,0x2e001fff,
    0x01ffffff,0x07fffff3,0x0bfffff6,0x3ffffa00,0x7ffffc47,0xfffffd07,
    0x7fffff88,0x3ffffee0,0x7ffff441,0xffff700f,0xfffe883f,0xfff700ff,
    0xffe883ff,0xffa80fff,0xd100ffff,0x03ff6005,0xffffff50,0xf98fffff,
    0x7f43ffff,0x900fffff,0xfd01ffff,0xff980fff,0x20006fff,0x801efffc,
    0x501ffffd,0xfb07ffff,0x3ffa0fff,0xffff906f,0x0ffffd01,0x07ffffe8,
    0x07ffffe8,0x0fffffd0,0x7ffffff4,0x7f42ec41,0x441fffff,0x7ffec05d,
    0xfffd000e,0x5d883fff,0x3ffffe60,0x77d4003f,0x7ffff401,0xfff7000e,
    0x7f403fff,0x7dc0ffff,0x003fffff,0xdffffff8,0xffffffca,0xffffff07,
    0xfffff95b,0x7ffcc0ff,0x7fff43ff,0xff300fff,0xffe87fff,0xf300ffff,
    0xfe87ffff,0xd00fffff,0x83ffffff,0xff5005d8,0xdddd5005,0x0bdfffdd,
    0x55fffffd,0xfffffdfd,0x3fffa203,0x0ffffcc3,0x3ffffea0,0xffc88007,
    0xfd1000df,0x3ff20bff,0xffff105f,0x1ffff985,0x87fffd10,0x401ffff9,
    0x807ffffe,0x007ffffe,0x40fffffd,0xfffffffa,0xa80ffece,0xefffffff,
    0x5400ffec,0x801effff,0xfffffffa,0x400ffece,0xcfffffd8,0x17f66200,
    0xeffffb80,0xffffb801,0x3fe601ff,0xfb88dfff,0x06fffffe,0xfffffc80,
    0xfffdcfff,0x3f21ecff,0xcfffffff,0xecfffffd,0xfffffe81,0xfffefeaa,
    0x3ffa01ff,0xefeaafff,0x201fffff,0xaafffffe,0xfffffefe,0xfffff501,
    0x1ffd9dff,0x00bff100,0x03fff980,0xfffffff3,0xfffff93d,0x3ff62019,
    0x3dffd12e,0x3ffffe00,0x3ff26004,0xe98001cf,0xf910cfff,0xfe8809ff,
    0xfffd11ef,0xeffd8803,0x03dffd12,0x1fffffd0,0xfffffe80,0xffffe800,
    0x3ffe600f,0x1fffffff,0x3ffffe60,0x001fffff,0xbffffffb,0x7fffcc05,
    0x01ffffff,0x3ffffee0,0xfecaacdf,0xd88002ff,0x409dffff,0xeffffeb8,
    0x7ffcc00b,0xfbbfffff,0x04ffffff,0x3ffffe60,0xffff31ef,0xfff985ff,
    0xff31efff,0x2605ffff,0xefffffff,0xcfffffc9,0xfffff300,0xfff93dff,
    0x3e6019ff,0x9effffff,0x0cfffffc,0xffffff30,0x2003ffff,0x40000ffd,
    0x2a03fff9,0x90dffffe,0x3fffffff,0x7ffffe40,0x2a000dff,0x4401efff,
    0x00beffeb,0xffffb800,0x001efffe,0x3fffffee,0x3f2000cf,0x0dffffff,
    0xfffffa80,0x3ffea04f,0x7d404fff,0x404fffff,0xffffffe9,0xffe9800c,
    0x000cffff,0x77ffffdc,0x7fff4c02,0x8000cfff,0xfffffda8,0x00dfffff,
    0x7ffecc00,0xffffffff,0x4c000bdf,0x72fffffe,0x0359dfff,0x7dffb500,
    0x2effeb81,0x17dffb50,0x02effeb8,0x6fffff54,0xffffff90,0x3ffaa03f,
    0xfff90dff,0x2a03ffff,0x90dffffe,0x3fffffff,0x3ffffa60,0xf5000cff,
    0xf300005f,0x573007ff,0x51000001,0xa8000159,0x01355001,0x5d4c0000,
    0x200009ac,0x000abca9,0x002b2a20,0x7fffffc4,0x3e21ffff,0xffffffff,
    0x7fffc41f,0x01ffffff,0x000abb98,0x00157730,0x00ddd440,0x0055dcc0,
    0xcba98800,0x00001abc,0x79997530,0x20000335,0x0d4c1ba8,0x00220000,
    0x00440022,0x2e600044,0x4c00000a,0x400000ab,0x00000ab9,0x000abb98,
    0x00000cc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x10054035,
    0x33333333,0x33333333,0x2e0036a0,0x4cc40005,0x00199999,0x56665cc4,
    0xdba88002,0x0001cefe,0x00000088,0x2012ea62,0x006601a8,0x99999988,
    0x20999999,0x99999999,0x80999999,0x99999999,0x00999999,0x01599750,
    0x33333300,0x33333333,0x2aaaaa63,0x54c1aaaa,0x2002aaaa,0x00bcecb8,
    0x2a200726,0x776dc401,0x80f4c0bd,0x02c00cb8,0x0379b751,0x55555100,
    0x76dc4555,0x0000003d,0x2bcb9800,0x800ca800,0x6ecc00a8,0xfffd3002,
    0x00fd417d,0xfffffff9,0xffffffff,0x501be60f,0xe98000bf,0x1fffffff,
    0xdfffe880,0x002efffe,0xffdbdff5,0x22000bff,0x0000dffd,0x5bffd710,
    0xffffd801,0x800fe20b,0xfffffffd,0x912fffff,0xfffffffd,0x885bdfff,
    0xffffffdc,0x03dfffff,0x7fffffdc,0x7ee4003f,0xffffffff,0xfff54dff,
    0x85bfffff,0x03ffffda,0xffd9ff90,0x017f405f,0x7e403fd1,0x1ffdbdff,
    0xff703ff7,0x8a7c09ff,0xffffffdb,0x1004efff,0xfffffff9,0x3fffffee,
    0x3f60001f,0x4001ffff,0xeffeffe9,0x03be2002,0x3200ffa8,0x4404ffff,
    0xffffffff,0x7f407fcd,0xffffffff,0x05ffffff,0x266b3bfe,0x0004ffcb,
    0xffffff10,0xefffa803,0x13fffea0,0x641ffd88,0x8004ffff,0x004ffffb,
    0x5fffecc0,0xffffb000,0x5fd7bfff,0x3fffe200,0xffffffff,0xffffd107,
    0x6c005fff,0x3fffffff,0xffffe880,0x006fffff,0xffffff70,0x3ffa20bf,
    0x7e406fff,0x3ffb000f,0x40bfffe2,0xffa83ffa,0x5fffb105,0xfffeffd8,
    0x7ffffe81,0x3bffffe0,0xffd7309b,0x22003dff,0xfaffffff,0xefffffde,
    0xfff88000,0x7d4001ff,0x9ffd10ff,0x40ffe400,0x7fc03ffb,0x3200ffff,
    0xffffffff,0x3e206fff,0xffffffff,0x2fffffff,0x3ffffee0,0x000fffff,
    0x3ffff200,0x3ffee01f,0xffffe81f,0x20dffb02,0x002fffff,0x03fffff4,
    0x1bfff900,0x7fffcc00,0xffffffff,0xffff7000,0xffffffff,0x7fffd409,
    0x7c4005ff,0x807fffff,0xffffffe8,0x004fffff,0xffffffd0,0x7fffd401,
    0x01fd407f,0x7f47ffd8,0xffd00fff,0x807ffdc9,0xf886fffe,0x4c1fffff,
    0x02ffffff,0x7007ffff,0x007fffff,0x3ffffffe,0x3ffffa63,0xfffa8005,
    0x7fd4001f,0x27ffd44f,0x22fff880,0x7cc06ffd,0x202fffff,0xffffcbfe,
    0x2a01ffff,0xffffffff,0x7fffffff,0xfffffd80,0x98002fff,0xfdaaaaaa,
    0x81acffff,0xc80fffff,0xf986ffff,0xfff83fff,0x7ec005ff,0x88005fff,
    0x8005fffe,0xfffeccfc,0x2004ffff,0xfffffffe,0x201fffff,0x4ffffff9,
    0xfffff800,0xdffd806f,0xffffffec,0xfd8000ff,0xe807ffff,0x202fffff,
    0xff9800fc,0x7ffff46f,0xbbfff503,0x3ee09fff,0xffb03fff,0xff983fff,
    0xff03ffff,0x7fdc003f,0xfe805fff,0xf984ffff,0x4002ffff,0x4001fffd,
    0xf81ffff8,0xf9001fff,0x5fffd9ff,0xffffff00,0x36a1fc01,0x6402ffff,
    0xffffffff,0x5fffffff,0xffffd880,0xf70003ff,0xffffffff,0xa89fffff,
    0xf707ffff,0xfc81ffff,0xffe86fff,0x7cc006ff,0x4c001fff,0x0005ffff,
    0xfffca8bb,0x3fe2004f,0xffffffff,0x7fcc06ff,0x8004ffff,0x06ffffff,
    0x7ecc1fcc,0x001fffff,0x7fffffd8,0xfffffa80,0x74013a05,0x7fec7fff,
    0x3ffa03ff,0x880fffff,0x900fffff,0x983fffff,0x02ffffff,0xf90007ff,
    0xe807ffff,0xf00fffff,0x400dffff,0x8002fff8,0xff07fffb,0x3e200bff,
    0x05ffffff,0x09ffff90,0x006600a8,0x56677ff4,0xffaaaaaa,0x3b2a002f,
    0x260000bd,0xfdaaaaaa,0x41acffff,0x707ffffc,0xa83fffff,0xfe86ffff,
    0x88006fff,0x7c4000bb,0x20005fff,0x002a601a,0x33337f70,0x01333333,
    0xffffff88,0xffff8004,0x01f405ff,0x5ffffff1,0xffffb000,0x3ffa00ff,
    0x1f980fff,0xfffff880,0x07fffea0,0xffffff98,0xfffff503,0x7ffffe40,
    0xffffff81,0x2000df00,0x0ffffff8,0x1fffffa0,0x0fffffc8,0x005ff500,
    0x41ffffe0,0x001ffffe,0x3ffffff7,0x016ecc00,0x3be00000,0x0fff3001,
    0x00000000,0x0fffffdc,0x07ffffc8,0x01fffff7,0xfd05fff9,0x0000dfff,
    0xffffe800,0x00000000,0x00007e80,0x7fffffc4,0xffff8004,0x00a205ff,
    0x03fffff6,0x3ffff600,0xfff7007f,0x00d909ff,0x07ffffea,0xfb007df9,
    0x7e40dfff,0x3f206fff,0xfe81ffff,0x0fe07fff,0xffffd800,0x3fffa05f,
    0x3ffee07f,0x5fb001ff,0x3ffea000,0xffffb07f,0x3ffe2007,0x000004ff,
    0x3f300000,0x02ffdc00,0x00000000,0x03fffff7,0x41fffff6,0x406ffffb,
    0xffffea81,0x0000006f,0x017ffff2,0x20000000,0x400004f9,0x4ffffff8,
    0xfffff800,0xfa80005f,0xb0005fff,0x00ffffff,0x3fffffe2,0xfb801fc0,
    0x0002ffff,0x00d55544,0x40dffffb,0x81fffffc,0x205ffffc,0x3ea0000e,
    0xd02fffff,0x5c0fffff,0x003fffff,0x7e400013,0xffb06fff,0x54c00bff,
    0x00000aaa,0xfdb75100,0x0198039d,0x8017ff40,0xcefedba8,0xbd930001,
    0x3fffee19,0xffffb01f,0x3ffff20f,0x33faa002,0x006ffffe,0x5ef76dcc,
    0x3fffe600,0x554c002f,0x260aaaaa,0x02aaaaaa,0x26f3bff2,0x3fe20000,
    0x8004ffff,0x05ffffff,0xffffb800,0xfffb0001,0x7e400fff,0x3ea3ffff,
    0xffff9000,0x0000007f,0x05fffff8,0x07fffff2,0x80ffffea,0xfff80000,
    0xffd06fff,0x7fd40fff,0x00004fff,0xdffffd00,0x1fffff60,0x00000000,
    0x3b7bfea0,0x0005ffff,0x003ffe20,0x3fb7bfea,0x2e005fff,0xafffffff,
    0x01fffffb,0x10fffffb,0x2007ffff,0xffd3ffea,0x36200dff,0xffffddff,
    0xfffff902,0xfffd5000,0x7f543fff,0xd00fffff,0xffffffff,0xfff10007,
    0xf0009fff,0x00bfffff,0x03fffb00,0x7fffec00,0x3fe2007f,0x01766fff,
    0x5fffffb8,0x55555000,0x3fe60555,0x3f205fff,0xf981ffff,0x00001fff,
    0x7fffffc0,0xffffe80f,0x3fffea07,0x5555535f,0x76dcc155,0x7fffc00b,
    0xffffb06f,0x2aaaa63f,0x36e60aaa,0x400000be,0x7e41ffd8,0x00004fff,
    0xd880bff7,0x7ffe41ff,0xfffc804f,0xfefda9cf,0xfb01ffff,0xffe8ffff,
    0xfd8800ae,0x3fffa2ff,0xffe8806f,0x0bffff63,0x59fffff1,0x8037bdb9,
    0x81fffffe,0x80ffffff,0xfffffff9,0x2002ffff,0x4ffffff8,0xfffff800,
    0x7cc0005f,0x6c0001ff,0x007fffff,0x57ffffec,0x3ea002f8,0x0006ffff,
    0xfffffff9,0x3ffffea0,0x3ffff205,0x0ffff01f,0xffd00000,0xfd03ffff,
    0x7d40ffff,0xfd33ffff,0x325fffff,0x03ffffff,0x0dfffff1,0x4bfffff6,
    0xffffffe9,0xffffff92,0x7ec00007,0xfffff06f,0xffd00005,0x06ffd805,
    0x405fffff,0xd86ffffa,0x01ffffff,0xd8fffffb,0x200befff,0x742fffe9,
    0x4406ffff,0x7fd46ffe,0x7ffdc7ff,0xffffffff,0x3ff603ff,0xffd81fff,
    0xffc80fff,0xffffffff,0xf8801eff,0x004fffff,0x5ffffff8,0x3ffe2000,
    0x7ec0004f,0x4007ffff,0xbdfffff9,0xfb999807,0x999fffff,0xfff10009,
    0x3fe60fff,0x3f205fff,0xfb01ffff,0x000000df,0x5ffffffb,0x0fffffd0,
    0x17ffffdc,0x2ffffff6,0xfffffffd,0xffff980f,0xffffb06f,0xffffd87f,
    0xfffffdbf,0x80000fff,0xf83ffff9,0x0005ffff,0x3007ffc4,0xff07ffff,
    0x7f40bfff,0xfe882fff,0xfb01ffff,0x3f20ffff,0xfe880fff,0xfffe87ff,
    0x7ffe406f,0x7ffffc43,0x3fffffa0,0xffffdabe,0xffff905f,0xffffb03f,
    0xfffff01f,0xffffffff,0xff8801ff,0x8004ffff,0x05ffffff,0xffffc980,
    0xb0000eff,0x00ffffff,0xffffffd0,0xffff8809,0xffffffff,0x3fa004ff,
    0xff107fff,0x7e40dfff,0xf701ffff,0xaaaa889f,0xaaaaaaaa,0xaaaaaaaa,
    0x4ffffffd,0x07ffffe8,0x03ffffee,0xdffffff7,0x3ffffe63,0xfffffa85,
    0xfffffb06,0xfffffb87,0xffff31ef,0x401980bf,0xe86ffffc,0x0006ffff,
    0x3202ffdc,0xfe86ffff,0xff506fff,0x7fdc0fff,0xffb01fff,0x7ff40fff,
    0xffffc85f,0x6ffffe85,0x0bfffe20,0xf83ffff6,0xfc87ffff,0xfc82ffff,
    0xfc81ffff,0x7d40ffff,0xffffffff,0x06ffffff,0x7fffffc4,0xffff8004,
    0x7e4005ff,0xffffffff,0xffd8001f,0xa8007fff,0x00ffffff,0x7fffffc4,
    0xffffffff,0x3fffa004,0x3fffa07f,0x3fff207f,0x5ff301ff,0xffffffa8,
    0xffffffff,0xffffffff,0xe85fffff,0x3207ffff,0xfb87ffff,0x6c0fffff,
    0xfa87ffff,0xfb06ffff,0xfb89ffff,0x6c0fffff,0xd507ffff,0x3ea01dff,
    0xffe86fff,0x740006ff,0x7fd402ff,0xfffe86ff,0xffff906f,0x7fffdc0d,
    0xffffb01f,0x7fffec0f,0x3fffff42,0x1fffffe2,0x81ffffc8,0x3e24fffa,
    0xf887ffff,0x640fffff,0xc81fffff,0x100fffff,0xfffb9553,0x09ffffff,
    0x7fffffc4,0xffff8004,0xda8005ff,0xffffffff,0xfffd8006,0xff0007ff,
    0xf100dfff,0xffffffff,0x009fffff,0x03fffff4,0x03fffff7,0x07fffff2,
    0x3e607fc4,0xabffffff,0xaaaaaaaa,0xffffdaaa,0xfffe85ff,0x3fffa07f,
    0xffffb86f,0xffffc82f,0x7fffd40f,0xffffb06f,0xffffb89f,0xffffc82f,
    0x7fffc40f,0xfff900ff,0xdffffd05,0x7ffc4000,0x2fffc800,0x06ffffe8,
    0x40dffffb,0x01fffffb,0x40fffffb,0x7c6ffffc,0xcadfffff,0x07ffffff,
    0x407ffffe,0x7ffcc1a8,0xfffd06ff,0xfffc85ff,0xfffc81ff,0x644000ff,
    0x7fffffff,0x3ffffe20,0xfff8004f,0x20005fff,0xffffffe8,0x7fec002f,
    0x90007fff,0x0005ffff,0x0bffffee,0xffffe800,0x3fffe207,0xfffe884f,
    0x21fe01ff,0xfffffff8,0xfffc8000,0xffe84fff,0xff883fff,0xffb82fff,
    0xffb82fff,0x7fcc1fff,0xffb06fff,0xffb87fff,0xffb82fff,0x7fe41fff,
    0x0c04ffff,0x7fffff54,0x3fee0006,0x7540c005,0xf06fffff,0x5c0bffff,
    0xb01fffff,0x640fffff,0x7e47ffff,0xcfffffff,0xecfffffd,0x3ffffe21,
    0x7ffd4002,0xfff706ff,0xfffc87ff,0xfffc81ff,0x2e0000ff,0x00ffffff,
    0x9ffffff1,0xfffff000,0xfb0000bf,0x009fffff,0x7fffffd8,0xffff1000,
    0x3fe20001,0x20002fff,0x407ffffe,0x0cfffffb,0xfffffff3,0xff836c03,
    0x001fffff,0xffffffd8,0xfffffe82,0x3fff623f,0xffff705f,0xffff705f,
    0xffff883f,0xffffb06f,0xffffb83f,0xffffb82f,0x7fffe41f,0x3aa006ff,
    0x6ffffecf,0x0fff6000,0xecfea800,0xf886ffff,0x2e05ffff,0xb01fffff,
    0x640fffff,0x260fffff,0x1effffff,0x5ffffff3,0x3fffff98,0x7fffd400,
    0xffff506f,0xffffc8bf,0xffffc81f,0x7dc0000f,0xf102ffff,0x009fffff,
    0xbffffff0,0x3ff60000,0x6c005fff,0x007fffff,0x0013ff60,0x03ffffd0,
    0x7ffff400,0xffffb807,0xffcdffff,0x17201fff,0x7ffffff4,0xfffd8001,
    0xffe81fff,0xfcffbfff,0x700effff,0x705fffff,0xf03fffff,0x360dffff,
    0x5c0fffff,0xb82fffff,0x4c1fffff,0x07ffffff,0xfd3ffea8,0x2000dfff,
    0x8000fff8,0xffd3ffea,0xfff30dff,0x7fdc0bff,0xffb01fff,0x7fe40fff,
    0x7ed42fff,0x7f5c0bef,0xfffa82ef,0x7c4005ff,0xf307ffff,0xfc8dffff,
    0xfc81ffff,0x0000ffff,0x03ffffb8,0x9ffffff1,0xfffff000,0x220000bf,
    0x005fffff,0x3fffffec,0x03ff3000,0x7fffb800,0x7fff4000,0xfff7007f,
    0x3ff27fff,0x0ea01fff,0x7fffffe4,0xfffe8001,0xffe80fff,0xffff57ff,
    0x7dc017df,0xfb82ffff,0xfe81ffff,0xffb06fff,0xfff70fff,0xfff705ff,
    0xfff703ff,0x7ec40dff,0x3fffa2ff,0xff70006f,0xffd8800b,0x3ffffa2f,
    0xfffff986,0x3fffee05,0xffffb01f,0x7fffe40f,0x4c01102f,0x3fe600ee,
    0xf8006fff,0xf307ffff,0xfc8bffff,0xfc81ffff,0x0000ffff,0x205fffd0,
    0x4ffffff8,0xfff00b98,0x0000bfff,0x21ffffdc,0xfffb01b8,0xe8000fff,
    0xff980006,0x7f40006f,0x4c007fff,0x7ffe41bb,0xf70001ff,0x005fffff,
    0xdffffff0,0x1fffffa0,0x2e001773,0xb82fffff,0xd81fffff,0xfb06ffff,
    0xff70dfff,0xff705fff,0xc8403fff,0xfffd305f,0x6ffffe85,0x07ffb000,
    0x17fff4c0,0x21bffffa,0x06fffff8,0x07ffffee,0x03ffffec,0x03fffff9,
    0x803ff500,0x07fffff8,0xfffffd80,0xfffff880,0x7ffffe43,0xfffffc81,
    0xff700000,0x3ffe203f,0x7ff44fff,0xfffff83f,0x2600005f,0x3f21ffff,
    0xfffd85ff,0x7c0006ff,0xfff00002,0x3a01100b,0x0007ffff,0x3fffff20,
    0xfff10001,0x88007fff,0x02ffffff,0x00fffffd,0xfffff700,0xfffff705,
    0xdffff903,0x17ffff60,0x0bffffee,0x07ffffee,0x3a20ffa0,0xffe87fff,
    0xf88006ff,0xfd1000ff,0xfffd0fff,0x3fffe0df,0x3ffee07f,0xfffb01ff,
    0x7ffdc0ff,0x7c4000ff,0xffff007f,0xfb8007ff,0xff01ffff,0xffc83fff,
    0xffc81fff,0x00000fff,0x7c40fff3,0x2a4fffff,0xff87ffff,0x0004ffff,
    0x43fffe20,0x41fffff8,0x06fffffd,0x8001ea00,0x3ffeacba,0xfe80f440,
    0x00007fff,0x07fffff2,0xffffb800,0x7fdc004f,0x3fa05fff,0x80007fff,
    0x82fffffb,0x81fffffb,0xb06ffff9,0xf707ffff,0xf705ffff,0x8803ffff,
    0xfffc80ff,0xffffe85f,0x6ffa8006,0x3ffff200,0x6ffffe85,0x1fffffd0,
    0x3ffffee0,0xfffffb01,0x37fffc40,0x07ffd400,0x7ffffec0,0x7ffcc006,
    0xfff882ff,0xffffb87f,0xffffc81f,0xf100000f,0x7ffc407f,0x3ff24fff,
    0x7ffc1fff,0x00003fff,0xff72fffc,0xffd87fff,0x75c04fff,0x40026c0c,
    0xffffffe8,0xfea981cf,0xfffffd00,0x7fe40000,0xfd701fff,0x3fffa019,
    0x7ff4006f,0x3fa00fff,0x80007fff,0x82fffffb,0x01fffffb,0x360ffffd,
    0xfb80ffff,0xfb82ffff,0x5c01ffff,0xffffd03f,0xfffff88f,0x3ffd8007,
    0x3ffffa00,0x7ffffc47,0xfffff507,0x3ffff607,0xffffb01f,0xfe877e4f,
    0xfc8005ff,0xff9803ff,0x2a04ffff,0x27ffff44,0x42ffffc4,0x41fffffb,
    0x0fffffe8,0x800ceeb8,0x3e600ffb,0x2e4fffff,0xff86ffff,0x2a01ffff,
    0xff9803ee,0x3fffea0f,0x7ffff40f,0x3ffea02f,0x20003e24,0xfffedffb,
    0xffffffff,0x3ffa07ff,0x200007ff,0x81fffffc,0x505ffffb,0x005fffff,
    0x0fffffe2,0x0fffffd0,0xffff7000,0xffff705f,0x3ffee03f,0x4fffe80f,
    0x5fffff70,0x3fffff70,0xff02fcc0,0xf95bffff,0x00ffffff,0x000fff88,
    0x37fffffe,0xffffffca,0x3ffffe07,0x7fffdc0f,0xfffb02ff,0x53ffe2ff,
    0x8001fffc,0x801ffffb,0xcffffffd,0x3e60fdc1,0xff986fff,0xfff981ff,
    0x7fff43ff,0x7fc40fff,0x7f403fff,0x7fffcc01,0x3ffe64ff,0x7fffc42f,
    0x7fffc06f,0x0bff200d,0xf09ffff1,0x401dffff,0x1727fffd,0x3ee2fc00,
    0xffffffff,0x3fa04fff,0x00007fff,0x07fffff2,0x03fffffe,0x07ffffec,
    0x2fffff40,0x3fffff40,0x7ffdc000,0xfffb82ff,0x3ffa01ff,0x0ffff81f,
    0x5fffff70,0x3fffff70,0xf9013ea0,0x9fffffff,0xd9fffffb,0x0dff5003,
    0xfffffc80,0xfffdcfff,0x7d41ecff,0xb88cffff,0x5fffffef,0x2fffffd0,
    0xff74fff8,0x3fe60007,0x7c402fff,0xffffffff,0xff903ffe,0xfffc85ff,
    0x3ffffa03,0xffefeaaf,0x7fcc1fff,0x4c1effff,0xffa802fd,0x7e45ffff,
    0x7ffdc0ff,0x3fe200ef,0xf982efff,0x3fff503f,0x1fffff98,0x4ffffdc0,
    0xf88000fb,0x7ffffec3,0x0fffffff,0x1fffffa0,0xfffd8000,0x7ffc42ff,
    0x3ee02fff,0x7ec04fff,0xff002fff,0x0000ffff,0x05fffff7,0x03fffff9,
    0x2a27ffc4,0x3ee03fff,0xfc82ffff,0xde81ffff,0xffff9801,0xfff31eff,
    0x36005fff,0x7cc003ff,0x31efffff,0x05ffffff,0x3fffffea,0xffffbaff,
    0x3fea3fff,0x3ff27fff,0x0005fe9d,0x7fffffdc,0xfffd103e,0x07ffffff,
    0x51efffb8,0xf9807fff,0x9effffff,0x0cfffffc,0x7fffffec,0x01efdcdf,
    0xfffffe88,0x6ffec2ff,0xeffffa8a,0xffffc800,0xefdabdff,0x577fe401,
    0x1ffffe98,0xfffff880,0x3f60003f,0xfdbffc9a,0x3fffffff,0x7fffff40,
    0xff880000,0x6c0dffff,0x8806ffff,0x30befffe,0x01bfffb7,0x3ffffea0,
    0x7e40002f,0xfc83ffff,0x4402ffff,0xffd32fff,0xffffc805,0xffffc83f,
    0x5400082f,0x5c0beffd,0x1002effe,0x50001fff,0xb817dffb,0x5402effe,
    0x72fffffe,0x4359dfff,0x7ffffffd,0x0b7ffae2,0x7ffd4000,0x7ec03fff,
    0x01ceffff,0xfdfffb30,0x3aa0039d,0xf90dffff,0x43ffffff,0xffffffc8,
    0x74402dff,0xffffffff,0xd52effff,0x9fffffff,0x3ff62001,0x3effffff,
    0x3fffa600,0x001dffff,0x00bbff26,0xffffd300,0x7ffffd45,0x7ffd401f,
    0x20004fff,0xffffffea,0x3fa64fff,0x36e002ff,0xffffffff,0xff1002df,
    0xdfffffff,0xffd30009,0x7cc1dfff,0x00dfffff,0x7ffffecc,0x7ff4c01e,
    0x3e60efff,0x00dfffff,0x10011000,0x3cc98001,0x40044000,0x5d440008,
    0x0000d4c1,0x80000040,0x000abba8,0x80002ee6,0x0000bba8,0x00002ae6,
    0x05565d54,0x4c000000,0x000abcca,0x35795510,0xcba98000,0x000000ab,
    0x80dcc000,0x2009bb98,0xfffffff8,0x00001fff,0x0002a800,0x04de5cc4,
    0x00000000,0x3fffffee,0xfffa9fff,0x01ffffff,0x70015730,0xffffffff,
    0xfffff53f,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3372a600,0x330001ac,0x33333333,0x2f372a01,0x55551001,0x6dcc1555,
    0xd90001ce,0x9001b709,0x55100009,0x33333555,0x33333333,0x81333333,
    0x99999998,0x33100099,0x01333333,0x06540000,0x00005440,0x0de6e54c,
    0x50000000,0x75100179,0x09015999,0xa80e64c0,0x2aaa60cc,0x2a60aaaa,
    0x00aaaaaa,0x0d400722,0x02aaaaa8,0x20555555,0x99999998,0x40099999,
    0x99999999,0x26666621,0x20999999,0x99999998,0x20099999,0x01999999,
    0x0d554c00,0x16ecc000,0xffff9100,0x17dfffff,0x7fff6400,0x544fffff,
    0xdffffffe,0x7fff4c00,0xfff93fff,0x88009fff,0x05fa83ff,0x4c0027dc,
    0xfffffedb,0xffffffff,0xffffffff,0x74c2ffff,0xffffffff,0xffeb800f,
    0x003fffff,0x01fffffb,0xf50077cc,0x6c40001f,0xcfffffff,0x20000000,
    0x01effff9,0x3fbfffee,0x00f11cff,0xfc80ffdc,0x7ffff547,0x3ffaa1ff,
    0x7401ffff,0x0bfa202f,0x837ffff4,0x706ffffe,0xffffffff,0xd807dfff,
    0xfffffffe,0xffffff70,0x645dffff,0xfffffffe,0xd104efff,0x00dfffff,
    0xefffedb8,0x00beffff,0x17fffee0,0x59fff910,0xffb55333,0xfe88009f,
    0x2e4fffff,0xffca9bef,0xffc801ff,0xfffdbfff,0x002fffff,0x3e207fea,
    0xdb99abdf,0x7dc002ff,0xdaacefff,0xffffffff,0xffedccce,0xd102ffff,
    0xdfffffff,0x7ffec400,0x3ffe2001,0xffc801ff,0x002ffb81,0x22bbfea0,
    0x005ffffc,0xffb01800,0xfd30dfff,0x7ecc419f,0x36007fff,0x41bfa07f,
    0x81fffffe,0x01fffffe,0x7cc1ffd4,0x3fffa05f,0xffffd06f,0x7ffe440d,
    0x8005ffff,0x40dfffe8,0xffffffd8,0x3ffea02f,0x000fffff,0x4005ffd1,
    0x0bdfffe9,0x5ffffb51,0x3ffffa00,0x5dfd300f,0x3bfae200,0x3ffe6000,
    0x09f74fff,0x007fffea,0xdffffff5,0x3ffffe63,0x81bf6007,0xfffffffc,
    0x362006ff,0xf104ffff,0x09ffffff,0x017fff4c,0xffffffd1,0x2ff8009f,
    0x7fffdc00,0x5fff1001,0x00037fec,0xfa87fff1,0x00003fff,0xfff103e6,
    0xfe83ffff,0x7ffd404f,0x41bfa007,0xff904ff8,0xff903fff,0xfd003fff,
    0x0fffdc9f,0x0dffffd0,0x01bffffa,0x3ffffffa,0x5ff70003,0x7ffffcc0,
    0x7fd400ff,0x4007ffff,0x3f2005fb,0x7cc04fff,0x2600dfff,0x82ffffff,
    0x10004ffa,0x22003ffb,0x9cffffff,0x7ffec03f,0x3ffea00f,0x7fe41fff,
    0xff000fff,0x7fff4409,0x001fffff,0x09ffffd1,0xffffffb8,0x17ff4404,
    0x3ffffe60,0x36002fff,0x7fec000f,0x7fe4001f,0x01fffecf,0x03fff600,
    0x0017fffa,0x7c07f440,0x23ffffff,0x9800fffc,0xff1007ff,0x40ffe609,
    0x81fffffb,0x01fffffc,0xfcdfff98,0x7ff404ff,0xfffd06ff,0xfff500df,
    0x2000bfff,0xffd805fb,0xe802ffff,0x01ffffff,0x22007f20,0x006ffffe,
    0x03fffff3,0x07fffffc,0x00007fe6,0x22003fea,0xecffffff,0xffffa805,
    0x3fffea05,0xffffb83f,0x1ffa801f,0x7fffec40,0xff3002ff,0xf300ffff,
    0x009fffff,0xff300bfa,0x3fffffff,0x1001f200,0x10005fff,0xbfffffff,
    0x7ffcc000,0x6fffc80f,0x1ff90000,0xffffff70,0x017ffe67,0xf3007fb8,
    0x07fee07f,0x0fffffdc,0x0fffffe4,0xfffffd80,0x7ff400ff,0xfffd06ff,
    0x3ffa00df,0x8000ffff,0xff9800fd,0xb805ffff,0x04ffffff,0x7ec01ba0,
    0x2000efff,0x00fffffd,0x88bffff7,0xd97302fe,0xb9a2379d,0xfff8805f,
    0x000fffff,0x205fffff,0x83fffffa,0x01fffffb,0x2a007fc8,0x2000bdec,
    0x04fffffd,0xffffff88,0x805f7004,0xfffffdf9,0x7c800eff,0x017fdc00,
    0xfffff900,0x7d40001f,0xffb81fff,0xfa80004f,0x7bb500ff,0x3ffea5ff,
    0x803ec007,0xff901ffb,0x7ffffdc0,0xfffffc81,0xffff3001,0xffd007ff,
    0x3ffa0dff,0xff7006ff,0x8009ffff,0x3fa005f8,0x400fffff,0x7ffffff8,
    0x7007f100,0x007fffff,0x5fffff98,0x360b7660,0xeffc884f,0x6fffc98a,
    0x3e201fec,0x03ffffff,0x1bffffa0,0x1fffffd4,0x17ffffdc,0x00027fc0,
    0xffffa800,0xff8801ff,0x8704ffff,0x4fcc02f8,0xfffffffd,0x4007c805,
    0x440002fd,0x004fffff,0x1ffffe40,0x000fffe4,0x03fffea0,0x7e47fe20,
    0x2a003fff,0x07fd800f,0xffb81bfa,0xffc81fff,0x36001fff,0xd006ffff,
    0x3a0dffff,0x1006ffff,0x1fffffff,0x000fdc00,0x7ffffff7,0xfffffb00,
    0x01f7005f,0xffffff88,0xfffe8001,0xf88002ff,0x04fff986,0x0ff11bf2,
    0xffffff88,0x7fff4007,0xfffa81ff,0xfffb83ff,0x7fcc02ff,0xd0000002,
    0x00dfffff,0x3fffffe2,0x02d86884,0xfffe8fcc,0x6404ffff,0x0004c007,
    0x0aaaa980,0x7ffe4000,0x04ffe86f,0x7fffdc00,0x27fa800f,0x02fffffd,
    0xfd001f10,0x7027fc0d,0x903fffff,0x003fffff,0x00d55544,0x06ffffe8,
    0x00dffffd,0x7fffffe4,0x0017a003,0xfffffff1,0xfffff500,0x00bd00bf,
    0x0ffffffd,0x3ffff200,0x7e4000ff,0x037ffc42,0x0bf21be2,0xffffff88,
    0x7ffec004,0xfffa84ff,0xfffb83ff,0x3fe402ff,0x5bdb7500,0xffff7001,
    0x3e2007ff,0xa84fffff,0x7cc00886,0xffffff11,0x03e405ff,0x00000000,
    0x3fff2000,0x13fee1ff,0xffff9000,0x035557ff,0x7ffdc7fb,0x3800cfff,
    0x7f777744,0xeeeeeeff,0x5c1eeeff,0xc81fffff,0x001fffff,0xfffd0000,
    0x3fffa0df,0x3fe2006f,0x5006ffff,0xff90003f,0xf005ffff,0x01ffffff,
    0x3ea017cc,0x004fffff,0xffffff70,0xd87f8007,0x6b802fff,0x3e206f88,
    0x004fffff,0x37ffffec,0x1fffffd4,0x17ffffdc,0x22017fa0,0xffdcfffe,
    0x3fff603e,0xf1003fff,0x909fffff,0x87e6000d,0xfffffff9,0x220f901f,
    0x0aaaaaaa,0x510675cc,0x81555555,0x2000ceb9,0xadfffffa,0x40002efd,
    0xfffffffd,0x7c45ffff,0x7ffffcc6,0x44003fff,0xffffffff,0xffffffff,
    0x7fdc2fff,0xffc81fff,0x55501fff,0x55555555,0xfd055555,0x3fa0dfff,
    0x6c006fff,0x01ffffff,0xf30006e8,0x80bfffff,0xfffffffa,0x2e01f203,
    0x03ffffff,0xfffff300,0x27d400bf,0x801fffe6,0x2201fb03,0x04ffffff,
    0x7ffffe40,0x7fffd40f,0xffffb83f,0x0bfe602f,0x41bfff30,0xfd04fffc,
    0x005fffff,0x3fffffe2,0x80037c44,0x7ffdc1f9,0xc80effff,0xffff9107,
    0x7ffe47ff,0x3fff225f,0x3ff23fff,0x3e2005ff,0x2effffff,0xecc88000,
    0xcccfffff,0x203ba22c,0xffffffff,0xff1003ff,0xffffffff,0xffffffff,
    0xffffb85f,0xffffc81f,0xffff881f,0xfffeeeff,0xffe86fff,0xfffd06ff,
    0xff9800df,0x4c05ffff,0x3fa0002f,0x200fffff,0xfffffffd,0xb009f106,
    0x05ffffff,0x3fffe200,0x3ee006ff,0x037ffe42,0x880fe400,0x04ffffff,
    0x7ffffe40,0x7fffd41f,0xffffb83f,0x03fee02f,0x41ffff98,0xf83ffff8,
    0x01ffffff,0xffffff10,0x0006fc89,0xfff903f3,0xf90bffff,0xfffffc80,
    0xffffff93,0xfffffc81,0xffffff93,0x7fff4001,0x776406ff,0xb04eeeee,
    0x201fffff,0x3fea05fa,0xffffffff,0x7fd8002e,0xf701bfa0,0xf903ffff,
    0xf103ffff,0xff9813bf,0xfe82ffff,0xffd06fff,0xfd000dff,0x401fffff,
    0x7dc0006d,0x303fffff,0xfffffb7f,0x003f503f,0x5ffffffd,0x3ffe2000,
    0x32007fff,0x2fffec1f,0x817d4000,0x4ffffff8,0x7fffe400,0x7ffd42ff,
    0xfffb83ff,0x17fa02ff,0x20ffffb0,0x261ffffd,0x1fffffff,0xfffff100,
    0xdffb519f,0x407e6000,0xfffffffe,0x3ea03e43,0xffabffff,0xfa87ffff,
    0xffabffff,0x2007ffff,0xfffffffb,0x3fff2203,0xffb00bef,0x19701fff,
    0xfffff700,0x3bffffff,0x8837f400,0x7fdc04ff,0xffc81fff,0x5f881fff,
    0x3fffffa0,0xdffffd05,0x1bffffa0,0x3fffee00,0x07f104ff,0xffff8800,
    0x51f907ff,0x09ffffff,0xfff100dd,0x0003ffff,0x3fffffe2,0x7ec1881f,
    0x027fff40,0x8827cc00,0x04ffffff,0x7ffffe40,0x7fffd43f,0xffffb83f,
    0x07ff102f,0x837fffcc,0x2a4ffffb,0x0fffffff,0xfffff100,0xdfffffff,
    0x407e6000,0xfffffff8,0xf301f22f,0x19f9ffff,0xf309fff9,0x19f9ffff,
    0x7009fff9,0xfffffbff,0xffd801ff,0x7ffec00e,0xc80000ff,0xffffffff,
    0x8802ffff,0x7ff304ff,0xfffffb80,0xfffffc82,0xf701f881,0x201fffff,
    0xd06ffffe,0x144dffff,0xffffff80,0x0001f907,0xffffff90,0x7ffc9f05,
    0x1fc47fff,0x7ffffcc0,0x3e0001ff,0x22ffffff,0xfb1dffd8,0x05ffff81,
    0x104f9800,0x09ffffff,0xfffffc80,0x7fffd43f,0xffffb83f,0x01ff702f,
    0x82fffff4,0x2a6ffffb,0x07ffffff,0x3ffffe20,0x6fffecef,0x403f3000,
    0xfffffff9,0xf980f90f,0x445fffff,0xffff302b,0x02b88bff,0xfa97ff4c,
    0x406fffff,0xfd801ffc,0x0000ffff,0xffffff70,0x07ffffff,0xf703ff98,
    0xfffa803f,0xfffe82ff,0x106881ff,0x09ffffff,0x43fffff4,0x27fffff8,
    0xfff9003b,0x4f885fff,0xfff30000,0x1fa8bfff,0x3ffffff2,0x26003ee2,
    0x0fffffff,0x3fffe000,0x3ff62fff,0xe83f96ff,0x80006fff,0xfff102fa,
    0xc8009fff,0x42ffffff,0x83fffffa,0x02fffffb,0xfff80dfb,0xfff505ff,
    0x3ffe61ff,0x22007fff,0x24ffffff,0x30006ffa,0xfffa803f,0x0f96ffff,
    0xffffff98,0x7ffcc001,0xa8001fff,0x7ff42fff,0x3a03ffff,0xfffb004f,
    0x400001ff,0xffffffd8,0x202fffff,0xff901ffb,0xfffff300,0xfffffd87,
    0x3f60101f,0x7406ffff,0x221fffff,0x0ffffffe,0x3fe2005b,0x7dc6ffff,
    0x3fa00000,0x3a0fffff,0x7ffffcc6,0x44017a5f,0x1fffffff,0x3fffe000,
    0xfff11fff,0x85f73fff,0x0006fffc,0xff101fc8,0x8009ffff,0x1ffffffc,
    0x27ffffdc,0x17ffffdc,0xf101ffc4,0x2a09ffff,0xf11fffff,0x01ffffff,
    0x3ffffe20,0x0037dc4f,0xfc801f98,0xcdffffff,0x7fffcc07,0xff98007f,
    0xa8007fff,0xff987fff,0x882fffff,0x3ff6006f,0x00000fff,0xfffffd98,
    0x3606ffff,0x0dfd00ff,0x3fffffe0,0xfffefdac,0x3e6002ff,0x402fffff,
    0xadfffffe,0xffffdeeb,0x2000fdef,0x1ffffffd,0x7000017a,0x27ffffff,
    0xfffe82f9,0x02f98fff,0x3fffffe0,0xff10002f,0x261fffff,0x9affffff,
    0x7fffd44f,0x07ec0000,0xffffff88,0x7ffe4004,0x3fa20fff,0x5c1effff,
    0xa82fffff,0x3fea01ff,0xff504fff,0x7ffc7fff,0x1001ffff,0x09ffffff,
    0x3e6000dd,0xffffb001,0x980fffff,0x006fffff,0x6fffff98,0x7fffc400,
    0xfffff905,0x01fc83ff,0x3fffff60,0x26000000,0xfffffffe,0xfffff13f,
    0xffffffff,0x05ffffff,0xfffffff3,0xfffff93f,0x3ffa001b,0xff805fff,
    0xdfffffff,0xffffff88,0x7fcc002f,0x3f55ffff,0xff880000,0x0f97ffff,
    0x3fffffee,0x7ec007db,0x003fffff,0xffffff10,0x6ffffd8f,0x3fff61fe,
    0xdf101004,0x7ffffc40,0x7fe4004f,0x3fea7fff,0x1fffffff,0x0bffffee,
    0xff501bf6,0x3ea09fff,0x3f64ffff,0x002fffff,0x9ffffff1,0x26000d90,
    0xffd1001f,0x80ffffff,0x05fffff9,0xfffff980,0x7ffe4005,0xffff106f,
    0x3ea1ffff,0x7ffec003,0x1b0000ff,0x3fffaa00,0xfff14fff,0xffffffff,
    0xffffffff,0x3fffea05,0xffff90ef,0xfb803fff,0x800fffff,0xfffffdff,
    0x7ffffd44,0xfffd0002,0x00bd1fff,0x3fff2000,0x103fbfff,0xffffffff,
    0xfffc8009,0x30004fff,0x8bffffff,0x322fffe9,0x7fffc42f,0x32076200,
    0x3ffe202f,0x64004fff,0x006fffff,0x7ffffdc0,0x4c04ff82,0x704fffff,
    0x547fffff,0x03ffffff,0xffffff10,0x0dc0d509,0x26001f98,0x7fffffff,
    0x7ffffcc0,0xfff98003,0x7f4003ff,0xf301ffff,0x3dffffff,0xffb000df,
    0x20001fff,0x7fec003d,0xddd16fff,0xddddddff,0xdddddfff,0x40ab9803,
    0x44001fe9,0x04ffffff,0xbb98ff88,0x0055d401,0xfffff700,0x00005fbf,
    0x3ffffe60,0x3f200fff,0x01ffffff,0x7ffffcc0,0xff70004f,0x2605ffff,
    0xe986f882,0x3e982fff,0x7c407f88,0x004fffff,0x1fffffe4,0x3ffee000,
    0x0ffd41ff,0x3ffffe20,0xfffff704,0xfffffe85,0xffff1004,0x40d109ff,
    0x003f301e,0xffffffa8,0x7fffcc07,0xff98003f,0x22003fff,0x03ffffff,
    0x3fffffea,0xd8000fff,0x000fffff,0xe8800bb0,0xfb86ffff,0x00ffb01f,
    0x02ffa800,0xfffffd80,0x03ff5006,0x7c000000,0x06ffffff,0x7ff40000,
    0x4c05ffff,0x06ffffff,0xfffffb00,0x3ff6000d,0x90006fff,0x3fff209f,
    0xb00efddf,0xfff8807f,0x20204fff,0x007ffffc,0xfffffb80,0xf803fe40,
    0xf705ffff,0xfb83ffff,0x1007ffff,0x09ffffff,0xf300f980,0xfff90003,
    0xff980fff,0x98003fff,0x003fffff,0x3fffffe6,0x7fffe406,0x8000efff,
    0x00fffffd,0x8001fb00,0xd84ffff9,0x01bfa07f,0x01fff000,0xfffff980,
    0x7ff9002f,0x40000000,0x3ffffffc,0x7dc00000,0x801fffff,0x03fffffe,
    0xfffff100,0xffd0003f,0x0c405fff,0x54c05fd0,0x3ee009bc,0xffff8805,
    0xefea84ff,0x0fffff21,0x7dc37100,0x7fc0ffff,0xffffb004,0x3ffff20b,
    0xfffffb07,0xffff3005,0x7e8009ff,0x40007e60,0x407ffffd,0x03fffff9,
    0xfffff980,0x3ffe2003,0x6c05ffff,0xefffffff,0xffb01501,0x20001fff,
    0xff8005fd,0x06fe82ff,0x00009ff1,0x000fffcc,0x17fffffa,0x02ffec28,
    0xf1000000,0x000fffff,0xffff1000,0x3fee00df,0x20000fff,0x05fffffc,
    0x7ffffd40,0x5dff9105,0x0005ff10,0x1001df70,0x09ffffff,0x7ec9fffd,
    0x22000fff,0xfff70fff,0x02ff98ff,0x0dffff30,0x40fffff2,0x06fffff8,
    0xffffffa8,0x817f6004,0xd10001f9,0xf980ffff,0x8003ffff,0x03fffff9,
    0x7fffff40,0x7ff404ff,0x43ffffff,0xfffc80fa,0xfb0000ff,0xfff8005f,
    0x827fc40f,0x00003ff9,0x800fffee,0x0ffffffb,0x7fff8b10,0x40000000,
    0x003ffffd,0xfff90000,0x3fe2007f,0x440005ff,0x00fffffe,0x3fffffa0,
    0xfffff700,0x009ff501,0x007bf620,0x7fffffcc,0x27ffff85,0x4003fffd,
    0xff71fffa,0x07fc89ff,0x07fffe40,0x203ffff4,0x03fffff9,0x7fffffdc,
    0x09ff9004,0x10001fd4,0xf980ffff,0x8003ffff,0x03fffff9,0x7ffffdc0,
    0xea81dfff,0xffffffff,0x703fedff,0x5c3fffff,0x3fffb003,0x0bffe600,
    0x7dc0bfe6,0x2a00001f,0x8801ffff,0x03ffffff,0xffff8972,0x00000000,
    0x003fffe6,0x7fcc0000,0x3f6000ff,0x880002ff,0x004ffffe,0x03fffff5,
    0x1ffffff4,0x00befe88,0x00dffc88,0x3ffffe60,0xffffd85f,0x0007ffd0,
    0x3ee3fff5,0x05fe86ff,0x1ffff440,0x007fffe6,0x0fffff62,0xffffffe8,
    0x7fff5406,0x0017f603,0xa80fff50,0x003fffff,0x3fffffa8,0xffffd800,
    0xdcffffff,0xfffdcfff,0x6fffffff,0x3ffffe20,0x36005b9d,0xe803ffff,
    0x3ff704ff,0x0001ff60,0x7fffff10,0xfffffd80,0xf993ea06,0x00001fff,
    0x27ff4000,0x3a000000,0x7d4004ff,0x2200007f,0x404ffffe,0x01effffa,
    0x27fffffc,0x2f7fff20,0xffdca99a,0x7f44003f,0x43ffffff,0xfaaffff9,
    0x3f60003f,0x1fffe9df,0x40017fcc,0xd12effd8,0xb8003dff,0xaaceffff,
    0xffffffeb,0xedccdeff,0x02ffffff,0x0039fff7,0x2e03fdc0,0x004fffff,
    0x4fffffb8,0xfffd8800,0xffffffff,0x3ffee0cf,0x00efffff,0x7fffffd4,
    0x3ff6000f,0x4c0aefff,0x3f603ffe,0x001bfa07,0x3fffea00,0x7fcc4dff,
    0xb882ffff,0x3ffe23ff,0x00000007,0x0001ffa8,0x0ffdc000,0x0027fc00,
    0x7fffdc00,0xffb710ad,0x3f2009ff,0x8800ffff,0xffffffeb,0x22002eff,
    0xffffffee,0x93efffff,0x05dfffff,0xffff7000,0x1ff70159,0x7ffe4000,
    0x000dffff,0xffffb510,0xffffffff,0xffffffff,0x3fffffff,0x7fffff54,
    0xb0003eff,0x7ffec40f,0x22000eff,0x0efffffd,0xfffd5000,0x019fffff,
    0x3fffffe6,0xffb5000d,0xed80039d,0xefffca88,0x400dfffe,0x9ff105fe,
    0x3a600000,0x744fffff,0xaaffffff,0x3ffffdca,0x000177e4,0x05f80000,
    0xf8800000,0x03f90005,0x3ae20000,0xffffffff,0x22001cef,0x8004fffd,
    0x0aaccba9,0x20000000,0x0000acb9,0x79700100,0x32a20000,0x8800000a,
    0x09999aa9,0x00000000,0x3ea09000,0xffffffff,0xffffa806,0x006fffff,
    0x26f2ea60,0x0b2a6000,0x40001000,0x7997500b,0x0b320013,0x0000e644,
    0x02aee600,0xfffffff7,0xffffffff,0x0000005f,0x00350000,0x06e00000,
    0x0001cc00,0xccaa8800,0x40001abc,0x000000a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00da8000,0x880005b8,0x19999999,0x33333330,0x13333333,
    0x33333310,0x6e540333,0x9999acee,0x26660999,0x00019999,0x000013b6,
    0x5666e54c,0x00000001,0x99999988,0x99999999,0x99999999,0x4c000099,
    0x99999999,0x99999999,0x99999999,0x20030000,0x0ea801e9,0x26666666,
    0x00099999,0x00e64c00,0x26600000,0x00199999,0x4ccccccc,0x33333301,
    0x33333333,0xa8800001,0x3300accc,0x10333333,0x33330597,0x20333333,
    0x4c199998,0x99999999,0x88099999,0x440002cb,0x1bea00ef,0x3ffa6000,
    0xd81fffff,0xfffffffe,0xc81defff,0xeffffffe,0xdfffe984,0xfffffffb,
    0x3fffa2ff,0x20007fff,0x200007fc,0xffffffc8,0x000befff,0x3fffea00,
    0xffffb83f,0xffffffff,0xffffffff,0x0005ffff,0x7ffff764,0xffffffff,
    0xffffffff,0x7e4003ff,0x77c401ef,0xc89be600,0xfffffffe,0xeeffffff,
    0xffe8001c,0x000003ff,0x3fffffa0,0x3fe2007f,0x887fffff,0xfffffffe,
    0x04efffff,0xbff91000,0x441dfff9,0x7ffffffe,0x22ffffdc,0xffffffff,
    0xfffe80ff,0xffd910ff,0xffffffff,0xfffb87bd,0x7fc0005f,0xfcb99ace,
    0x2200004f,0x01ffffff,0x3fffffa2,0xfd1000ef,0x3fea01ff,0x7fff43ff,
    0x7cc2ffff,0x0007ffff,0x0000bfe6,0x359fff91,0xfffb5533,0x3f600009,
    0xff704fff,0xfb99bdff,0x99dfffff,0x0bffffd9,0x7ffe4000,0xcdffffff,
    0xfffecccc,0x3e6003ff,0xfe806fff,0xfcb99ace,0xfffd105f,0xd999bfff,
    0x019fffff,0xffffff50,0x40000003,0x07fffffa,0x7fffdc40,0x7ffcc07f,
    0x002fffff,0x3fff4400,0xf509fffd,0xff8fffff,0x3224ffff,0x02ffffff,
    0x880f7fc4,0xfffffffe,0x3ffffe01,0x3ee0003f,0xffffffff,0x6400000f,
    0x401fffff,0x3ffffffb,0x817fc400,0xa86ffff8,0x0999ffff,0x07ffffe8,
    0x0027fc00,0x005dfd30,0x003bfae2,0x09ffff00,0x4c07ffdc,0x83ffffff,
    0x0005ffd8,0x3feffe60,0x2202ffff,0x2003fffd,0x01fffffc,0x7fffffd4,
    0x2e01ffff,0x83ffffff,0x2fffffe9,0x7ffffec0,0x0000005f,0x03fffff4,
    0x7fffff80,0xfffffa80,0xe800004f,0x3ffe5fff,0xfffff07f,0x7ffffd4f,
    0xffffe87f,0x00ff802f,0x7fffffd4,0x3fffea04,0x6c0007ff,0xffffffff,
    0xfc800003,0x5401ffff,0x03ffffff,0xfd00ff80,0xff109fff,0xffe80bff,
    0x640007ff,0xff50007f,0x3f620009,0xff50001f,0x0ffb809f,0xffffff30,
    0x002fec07,0xff55f900,0x9005ffff,0x7d4007ff,0xfb007fff,0x7fffffff,
    0xfffffa80,0x3fff203f,0x3fee05ff,0x0006ffff,0x7fff4000,0xffd0007f,
    0xff300fff,0x0007ffff,0x5ffffb80,0x740ffff6,0x3e67ffff,0x40ffffff,
    0x04fffffb,0x7cc027c4,0x203fffff,0xfffffff9,0x3f620000,0x003fffff,
    0xffff7000,0xfffa803f,0xe8002fff,0x3ffffe07,0x3fffff03,0x3fffff40,
    0x07fea000,0x003ff300,0x001ff500,0x700bffb0,0x7ffcc05f,0x3e203fff,
    0xbf300005,0x3fffffea,0x007f9002,0x004ffff8,0x3ffffff2,0xffff9803,
    0x7ff403ff,0xff104fff,0x000fffff,0xfffd8000,0xffd0007f,0xff300fff,
    0x0007ffff,0x5ffffc80,0xffd00dd4,0xfffe8fff,0x7fc41fff,0x7dc07fff,
    0xffff9801,0x7ff403ff,0x0001ffff,0x00bdeca8,0x3fee0000,0x7d401fff,
    0x002fffff,0xfff307d8,0x3ffe07ff,0x3ffa02ff,0xf80007ff,0x3fa2004f,
    0x99999992,0x2e015599,0x5ff8005f,0xf980f700,0x403fffff,0xfb00005c,
    0x3ffffea1,0x07f1002f,0x00039500,0x0039bd93,0x3fffffe6,0x7fffcc03,
    0x9d9102ff,0x00000dfd,0x7ffffd80,0xffffd000,0xffff300f,0x800007ff,
    0x005ffffd,0x87ffffe8,0x80ffccdb,0x02fffffd,0x7fcc01b6,0xb803ffff,
    0x000ffccd,0x00000000,0x1fffffb8,0x7ffffd40,0x07d8002f,0x07fffff3,
    0x80fffffe,0x007ffffe,0x2006fd80,0x3ff664fd,0xfffebaff,0x003fd80d,
    0x4b8017ea,0x7ffffcc0,0x002cc03f,0xff51fd40,0x0e05ffff,0x000000f6,
    0xff980000,0xe803ffff,0x00ffffff,0x00004fc8,0x7fffec00,0xfffd0007,
    0xfff300ff,0x00007fff,0x05ffffe8,0x7ffffe80,0xfa83fd40,0xf105ffff,
    0x3ffe6007,0x54003fff,0x0000007f,0xff700000,0xfa803fff,0x002fffff,
    0x3ffe07d8,0xffff03ff,0x7fff403f,0xfa80007f,0x86f8801f,0x7d47fffa,
    0x3fc40eff,0x98003100,0x7fffcc01,0x003803ff,0x3ea37c40,0x882fffff,
    0x00003b86,0x26000000,0x03ffffff,0xffffffb8,0x002ff804,0x7fec0000,
    0xfd0007ff,0xf300ffff,0xc87fffff,0x3ffe0001,0xfe8005ff,0x7e407fff,
    0x3ffffe05,0x001fb80f,0x7ffffff3,0x005fc800,0x55555553,0x555554c1,
    0x3b26002a,0xffff70cd,0xfffa803f,0xd8002fff,0x3ffff207,0x6ffff884,
    0x3fffff40,0x0039db73,0xf9007ff1,0x0ffff105,0xf907ffff,0x00000005,
    0xffffff98,0xc8000003,0x7fffd41f,0x106a82ff,0x2aaaaaa0,0xaaaaaaaa,
    0xaaaaa82a,0xff3002aa,0x1007ffff,0x0fffffff,0x2aa26f98,0x261aaaaa,
    0xb001cedb,0x000fffff,0x01fffffa,0x3fffffe6,0x0003fd13,0x02fffffc,
    0x3fffff40,0xfc803fe0,0x6d83ffff,0x3fffe600,0x7fc003ff,0xfffd5000,
    0x7f543fff,0x400fffff,0xfffffffb,0x1fffffba,0x7ffffd40,0x07d8002f,
    0x217fffe6,0x404ffff9,0xf97ffffe,0x03ffffff,0x7f806fd8,0x90ffff10,
    0xdf10bfff,0x55555550,0x55555555,0xfff98005,0x00003fff,0x7d427cc0,
    0xc82fffff,0x3ffe2006,0xffeeefff,0xfc86ffff,0x007fffff,0x7ffffff3,
    0x3ffffa00,0x87f602ff,0xffffffd8,0xffffff74,0xffffb00b,0x3ffa000f,
    0x260397ff,0x9bffffff,0x7c0001ff,0x8005ffff,0x207ffffe,0x7fcc04fa,
    0x1fc46fff,0xfffff300,0x27d4007f,0x7ffff400,0xfffff81f,0x3fff200f,
    0xfefda9cf,0x5401ffff,0x02ffffff,0x7dc07d80,0x7fe40fff,0xfffe804f,
    0xffbcfeff,0x2e00ffff,0x13ea00ff,0x6c3fffc4,0x1fb05fff,0x7fffffc4,
    0xfffffeee,0x7fcc006f,0x0003ffff,0xfa837400,0x442fffff,0x3fe2006f,
    0x7ffcc09d,0xff102fff,0x2600ffff,0x03ffffff,0xffffffb0,0x5c0bf209,
    0xfccfffff,0x2fffffff,0x3ffffec0,0xffffe800,0xff300fdf,0x1dfdffff,
    0xffff0000,0xffd000bf,0x13e60fff,0x7fffffc0,0x98003ee0,0x03ffffff,
    0x20009f30,0x81fffffd,0x00fffffd,0xb0dffff5,0x03ffffff,0xffffffa8,
    0x807d8002,0xd9bfffea,0xfd002fff,0x441dffff,0x00effffd,0x7dc07ff1,
    0x8ffff102,0x902ffff8,0x4effc43f,0x7ffffcc0,0x7fcc002f,0x0003ffff,
    0x540bee00,0x42ffffff,0x3e2006fc,0x3ffffa05,0x7fff405f,0xfff3007f,
    0x36007fff,0x45ffffff,0x3ea01ed9,0x12ffffff,0x01fffffd,0x43ffffec,
    0x3ffa02ca,0x2600efff,0x4fffffff,0x3ffe0000,0xfe8005ff,0x7e447fff,
    0x3fff2003,0x001ba3ff,0x7ffffff3,0x003fc880,0x3fffff20,0xfffffd81,
    0x5ffffd00,0xfffffd10,0xffffa803,0x7d8002ff,0x3ffff200,0x3a000bdf,
    0x880fffff,0x205fffff,0x07f205fe,0x323fffc4,0x3ea06fff,0xfe817e22,
    0x2a05ffff,0xffeeeeee,0xeeeeffff,0x440005ee,0x3ffea05f,0xfea8afff,
    0x07e2006f,0x7fffffdc,0x7ffff400,0xfb999107,0x99bfffff,0xffc85999,
    0x3626ffff,0xffff9802,0x7ffdc2ff,0x3ff601ff,0x7ffe47ff,0xfffffd04,
    0xffff9801,0x400004ff,0x005fffff,0x47ffffe8,0x7cc000bd,0x7f16ffff,
    0xffff9800,0x05ec03ff,0x3fff2000,0xfffc81ff,0xfffa80ff,0x3ffee07f,
    0x7fd401ff,0x8002ffff,0x25d7007d,0x3fa00018,0x3fa07fff,0x3ee07fff,
    0x201fb00f,0xfbaffff8,0x7cc03fff,0x7dc07e24,0x200fffff,0xfffffffb,
    0xffffffff,0x40006fff,0x3fea00fd,0xffffffff,0x1a2006ff,0x7fffffc4,
    0xffffe804,0xfffff307,0xffffffff,0xffb89fff,0x0007ffff,0x09fffff3,
    0x05fffff5,0x13ffffec,0xd01fffff,0x300fffff,0x07ffffff,0xffff8000,
    0xffe8005f,0x200007ff,0xb9fffffe,0x7fcc000f,0x0003ffff,0xffff9000,
    0xffff903f,0xffff901f,0x7fffdc0d,0x7ffd401f,0xd8002fff,0x017f4c07,
    0xffffd000,0x7fffe40f,0x05ff300f,0x7fc403f6,0x2ffffcff,0x1a24f980,
    0x7fffffc4,0xfff30004,0x00007fff,0x9999df50,0xffffb999,0xfffb79ff,
    0xfb00800d,0x200dffff,0x007ffffe,0x7ffffff3,0x3fffee00,0xf30007ff,
    0xf509ffff,0x6c05ffff,0x7fc7ffff,0xfffd07ff,0xfff300ff,0x00007fff,
    0x05fffff8,0x7ffffe80,0x3fee0000,0x006ecfff,0xffffff98,0x90000003,
    0x903fffff,0xb01fffff,0x5c0dffff,0x401fffff,0x2ffffffa,0x7407d800,
    0x200001ff,0x207ffffe,0x02fffffb,0x0fe417fa,0xf77fff88,0x5f500dff,
    0xffffb008,0x7cc000df,0x003fffff,0x7fffc400,0xffffffff,0x262fffff,
    0x980006ff,0x02ffffff,0x0fffffd0,0x3ffffe60,0xfff9003f,0x2000bfff,
    0x84fffff9,0x03fffffa,0x91fffff6,0xff309fff,0xf300ffff,0x007fffff,
    0xfffff800,0xfffe8005,0xeee8007f,0xffffeeee,0xeeeeffff,0xfff300ee,
    0x00007fff,0x3ffff200,0xffffc81f,0xfffff80f,0x3fffee05,0x7ffd401f,
    0xd8002fff,0x3bffe607,0x0199999b,0x3fffff40,0x9fffff70,0xfb83fe40,
    0x4ffff102,0x6403fffe,0xfff9801f,0x20002fff,0x3ffffff9,0x0fe40000,
    0x7ffffd40,0x0037cc2f,0x7fffff40,0x3fffa005,0xfff3007f,0x36007fff,
    0x04ffffff,0xfffff300,0xfffff509,0x7fffec07,0xfa81c987,0x407fffff,
    0xffffffe9,0x7fc00003,0xe8005fff,0x8007ffff,0xfeeeeeee,0xeeffffff,
    0x300eeeee,0x07ffffff,0x3f200000,0xfc81ffff,0x7c40ffff,0x2e05ffff,
    0x401fffff,0x2ffffffa,0x3206e800,0xffffffff,0x03dfffff,0x03fffff4,
    0x0bfffff5,0x7cc17fcc,0x4ffff104,0x6c07fffa,0xfffe800f,0x4c0005ff,
    0x03ffffff,0x013e6000,0x7fffffd4,0x40006d82,0x0ffffffb,0x3ffffa00,
    0xffff3007,0x3f6007ff,0x003fffff,0x9fffff30,0x7fffff50,0x3ffffec0,
    0xffd9f100,0x7fd40fff,0x03ffffff,0x7fffc000,0xffe8005f,0x400007ff,
    0x05fffffb,0xfffff300,0x0000007f,0x07fffff2,0x03fffff2,0x0bfffff3,
    0x0fffffdc,0x3ffffea0,0x06e8002f,0x3fffffee,0xffffffff,0xfffd00ef,
    0x7ffd40ff,0x27fc04ff,0xfff107f8,0x03fffe8f,0xff700df1,0x0001ffff,
    0xffffff98,0x1ba00003,0xfffffa80,0x0006b82f,0x3fffffe2,0x7fff4004,
    0xfff3007f,0x3a007fff,0x01ffffff,0xfffff300,0xfffff509,0x7fffec07,
    0x7f4a2007,0xbf907fff,0x7ffffff3,0x3e122000,0x8005ffff,0x007ffffe,
    0x7fffd400,0xff30005f,0x0007ffff,0xffc80122,0xffc81fff,0x7fcc0fff,
    0x3ee05fff,0x4c01ffff,0x02ffffff,0x3e206f80,0xffffffff,0x6fffffff,
    0x0fffffd0,0x17ffffd4,0x7e41ff20,0x0ffff982,0x203fffe6,0x7fc402fc,
    0x0004ffff,0xffffff98,0x3f700003,0x7fffd400,0x206982ff,0x3fff602a,
    0xfe8006ff,0xf3007fff,0x007fffff,0x3ffffffe,0xfff30000,0xfff509ff,
    0x7fec07ff,0xfd0007ff,0x9f10ffff,0x3fffffe6,0xf0970003,0x000bffff,
    0x00fffffd,0xffffa800,0xff30005f,0x0007ffff,0xffc8012e,0xffc81fff,
    0x7fc40fff,0x3ee06fff,0x4c01ffff,0x03ffffff,0x74c05f80,0xffffffff,
    0x0fffffff,0x07ffffe8,0x03ffffea,0xf103ff50,0x5ffff70d,0x446fffd8,
    0xfffd807f,0x300006ff,0x07ffffff,0x00bf1000,0xffffffa8,0x81740d02,
    0x2ffffff9,0xffffe800,0xffff3007,0xff3007ff,0x0007ffff,0x27ffffcc,
    0x1fffffd4,0x0fffffb0,0x3ffffa00,0x3fe62887,0x0003ffff,0xfffff07d,
    0xfffd000b,0x999000ff,0xfffb9999,0x99999dff,0x3fe60199,0x0003ffff,
    0x7fe4009d,0xffc81fff,0xfff80fff,0x3fee07ff,0x7c401fff,0x003fffff,
    0x7dc01fcc,0xffeeeeff,0x82ffffff,0x207ffffe,0x007ffffb,0x53f209ff,
    0xffffffd8,0xdffff11e,0xf300ff61,0x005fffff,0x3fffe600,0xd80003ff,
    0x7fd4000f,0x4002ffff,0xfffd01fa,0xd0140bff,0x200fffff,0x3ffffff9,
    0xfffffd80,0x7fcc0006,0xffa84fff,0x3f603fff,0xd0007fff,0x300fffff,
    0x07ffffff,0xff05f100,0xd000bfff,0x000fffff,0xffffffff,0xffffffff,
    0x201fffff,0x3ffffff9,0x003f9800,0x07ffffee,0x03fffff2,0x03fffffa,
    0x0fffffdc,0x7fffff40,0x017e4005,0x3003ffd5,0xfd03fffd,0x7e40ffff,
    0xfb005fff,0x9997f40d,0x20999999,0xbf719998,0xfffffd00,0x2600140b,
    0x03ffffff,0x001fd400,0x7fffffd4,0xb83ec002,0x00ffffff,0x7fff40b1,
    0xfff3007f,0xf8807fff,0x001fffff,0x7ffffcc0,0xfffffa84,0x3ffff603,
    0xfffd0007,0xfff300ff,0xb0007fff,0xfffff03f,0xfffd000b,0xa80000ff,
    0x005fffff,0xffffff30,0x05fb0007,0x7ffffdc0,0x7ffff441,0xffffa80f,
    0xffffb03f,0xfff7003f,0x7cc00dff,0x0bffe206,0x3a0dff00,0x3607ffff,
    0x5002ffff,0x3fe203ff,0xefb80002,0x7fffdc00,0x00b100ff,0xffffff98,
    0x1be20003,0x7fffd400,0x3ee002ff,0xfffff886,0xe817203f,0x3007ffff,
    0x07ffffff,0x4fffffc8,0xfff98000,0xfffa84ff,0x3ff603ff,0xfd0007ff,
    0xf300ffff,0x007fffff,0xff81ffb8,0xe8005fff,0x0007ffff,0x7ffffd40,
    0xfff30005,0xb8007fff,0x3e6001ff,0x7f43ffff,0xf00fffff,0xb81fffff,
    0x02ffffff,0xffffff88,0x02ff8805,0x800bffe6,0xffd04ff8,0xff101fff,
    0x7c400bff,0x13fea03f,0x0f7ec400,0x3ffffe20,0x0017203f,0x9ffffff5,
    0x01fec000,0xfffffa80,0xbffb003f,0xdfffffb0,0xfd027d40,0x2a00ffff,
    0x03ffffff,0x0fffffee,0x7ffcc000,0xfffa84ff,0x3ffa03ff,0xfd0007ff,
    0xf300ffff,0x009fffff,0x7c07ffcc,0x8005ffff,0x007ffffe,0x7fffdc00,
    0xff30006f,0x4009ffff,0x4000fffb,0xaafffffe,0xfffffefe,0xfffff501,
    0xffdf7119,0x2600bfff,0x0cffffff,0x803fea88,0x8800fffe,0x3ffa05fe,
    0xffc84fff,0x7ec000ef,0x5f7f4406,0xdffc8800,0xffffd800,0x013ea06f,
    0xffffff50,0x3fee000b,0xfff70003,0x5440bfff,0x7cc4fffe,0x882fffff,
    0x3fa03ffb,0xb800ffff,0x05ffffff,0x03dffff9,0x7ffd4000,0xfffb84ff,
    0x3ffa04ff,0xf8000fff,0xa807ffff,0x0effffff,0x3fffe440,0x37ffffc4,
    0x7ffff400,0x3200000f,0x007fffff,0xffffff50,0xffc9801d,0xff98007f,
    0xc9efffff,0x00cfffff,0xfffffff5,0xfffff75f,0xfd5007ff,0x79dfffff,
    0x2007fffd,0xaadfffd8,0x2ffdbaa9,0x7ef7ff40,0xdfff50bf,0x1ff70001,
    0x7bfff900,0xffb95335,0x3fe6007f,0xb882ffff,0x3e6003ff,0x2fffffff,
    0x3fff2200,0x7fcc001e,0xdeffffff,0xffffeccc,0x7fff43ff,0xdcaaafff,
    0xf503ffff,0x809fffff,0xfffffff9,0xfffedcef,0x400003df,0xffffffd8,
    0x3ffffa21,0xfffa80ef,0x2000cfff,0x3ffffffa,0x3ffffa20,0xccccefff,
    0xfffffedc,0x7fffe446,0x3ea001ff,0x004fffff,0xfffff700,0x4c0019ff,
    0xffffffff,0xfdccccce,0x007fffff,0xbffffd50,0x3fffff21,0xffd501ff,
    0x3fee5fff,0x4001acef,0xfffffffc,0x8000cfff,0xffffeec8,0xe800abce,
    0x3fffea3f,0x20003fff,0x71003ff8,0xfffffffd,0xfe8005df,0xaaafffff,
    0x03ffffdc,0x7fffff44,0xefffffff,0x3fffea02,0xd503ffff,0xfffffffd,
    0xffffffff,0x5fffffff,0x7fffffdc,0xffffffff,0x7ffc42ff,0x1fffffff,
    0x3fffffa6,0xffffffff,0x0000adef,0xfffff980,0xff8affff,0x3fffffff,
    0xfffffff1,0xf8803fff,0xffffffff,0xfffdd10f,0xffffffff,0xffffffff,
    0x7fecbfff,0xefffffff,0x3fffe203,0x01ffffff,0xffffed80,0xefffffff,
    0xffffd104,0xffffffff,0xffffffff,0x8000dfff,0x00000ab9,0x2a60dd44,
    0x2a600001,0x009abccc,0x00008000,0x32e6202e,0x9700001a,0x97530007,
    0x70001559,0xffffffff,0xffffffff,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05530000,
    0x33330054,0x33333333,0x26662133,0x99999999,0x4cccc199,0x99999999,
    0x26600000,0x99999999,0x20001999,0x446601a8,0x09999999,0x4cccc000,
    0x99999999,0x22000099,0x26602601,0x99999999,0x4cc00009,0x99999999,
    0x26666661,0x00999999,0x33333300,0x01333333,0x33330000,0x40003333,
    0x6544003a,0x998800ac,0x00019999,0x09970000,0x26666666,0x80999999,
    0x99999998,0x26662099,0x99999999,0x4ccc4009,0x26019999,0x99999999,
    0x99999999,0x44009999,0x266600cb,0x99999999,0xfd100999,0x7cc17dff,
    0x3fffb201,0xffffffff,0xffffb32d,0xffffffff,0x3ffb2219,0xffffffff,
    0x01ceefff,0x7ffee440,0xdfffffff,0xfffb0004,0xa9fc417f,0x2fffffff,
    0x3fb22000,0xffffffff,0x90003def,0x7f441dff,0x3ffb224f,0x4fffffff,
    0x3ffea000,0xceffffff,0xfffffdb0,0xdfffffff,0x7440179d,0xfffffffe,
    0xffffffff,0xe8001bde,0x07ffffff,0x037fdc40,0xfffffd88,0x3fee01ef,
    0x001fffff,0x7fdc0000,0xfffffd07,0x7dffffff,0xfffffd90,0x7fdc5dff,
    0xffffffff,0x7f4c03ef,0x80efffff,0xfffffffa,0xffffffff,0x03ffffff,
    0x20ffffe6,0xfffffec8,0x2defffff,0xfffffff0,0x001fd9bf,0xffffffd1,
    0xfffa807f,0x401fffff,0xffffffe8,0xfffecccd,0xe8000cff,0x06ffffff,
    0x7fffec00,0x2febdfff,0x3fffffa2,0xfd100002,0x03ffffff,0xffff9800,
    0x07fffee3,0x3fffffa2,0x3a0007ff,0xffffffff,0x7fffec00,0xffedcdff,
    0x4400cfff,0xcffffffe,0xfffeccaa,0x54001eff,0x007fffff,0x0dffff91,
    0xffffff30,0x4403ffff,0x01fffffe,0x3e600000,0x3fe607ff,0x1fffffff,
    0xcffffa80,0x3fffea00,0x4001ffff,0x201effd8,0xbdfffffb,0xffaaaaaa,
    0x406fffff,0x406ffffd,0xffffffe8,0x7ffdc02f,0xffffffff,0x3ffee006,
    0xfd007fff,0x009fffff,0x3fffffee,0xffffe983,0x7fd4002f,0x0002ffff,
    0x3fffffe6,0x40ffffff,0x02fffffc,0x3ffea000,0x80004fff,0x365ffffb,
    0xf503ffff,0x5fffffff,0xffdf3000,0x3007ffff,0x87ffffff,0x2ffffffa,
    0x7ffffdc0,0xffff701f,0xfe8005ff,0x64c07fff,0x06ffffff,0x7fffffc4,
    0x02ffffff,0x07fffff2,0x74400000,0x7cc07fff,0x0fffffff,0x007ffd00,
    0x3fffffee,0xffa8001f,0x5fffdc01,0x7fffdc00,0x7fc01fff,0x5401ffff,
    0x05ffffff,0xfffccfd8,0x402fffff,0xffffbaaa,0xaaaaaeff,0xfffdaaaa,
    0x02aacfff,0x3fffffea,0x3ffff203,0x3fe6005f,0x0001ffff,0x3ffb37f2,
    0x264fffff,0xcfffffda,0x0002aaaa,0x7ffffff3,0xfff10000,0x7fffd45f,
    0xfff9f300,0x9000dfff,0xffffff7f,0xffff1005,0xfff507ff,0x7d403fff,
    0x201fffff,0x1ffffffa,0x3ffffa00,0xffffb307,0xe80dffff,0xffffffff,
    0x2e07ffff,0x001fffff,0xfffb0000,0xfff700ff,0x2009ffff,0x7f4004ff,
    0x004fffff,0xfc803fc8,0xfff8801f,0xc804ffff,0x9806ffff,0x04ffffff,
    0x7fed43e8,0xffe802ff,0xffffffff,0xffffffff,0xffffffff,0x3e607fff,
    0x403fffff,0x04fffffe,0xffffff30,0x22ec0003,0x44ffffca,0xfffffffc,
    0x007fffff,0xffffff30,0x3ae00007,0x03efc84f,0x3fffabe6,0x22001fff,
    0xfffffadf,0xffff002f,0x3ff607ff,0x3ea06fff,0x401fffff,0x06fffffd,
    0x1fffff60,0x7ffd4dec,0x3ea06fff,0xffeb9adf,0x701fffff,0x003fffff,
    0xfff50000,0x3fa00fff,0x01ffffff,0x4c002fdc,0x0fffffff,0x401be200,
    0xffb002fd,0x001fffff,0x005ffff3,0x9ffffff3,0x0cc01500,0xff755500,
    0x555bffff,0xfb555555,0x559fffff,0x7fffcc05,0x7fcc03ff,0x9802ffff,
    0x01ffffff,0xa9806600,0xfffda980,0x2aaaacff,0xffff3000,0x000007ff,
    0xaaf98000,0x05ffffff,0x3fea7ee0,0xf002ffff,0x207fffff,0x1ffffffb,
    0xffffff50,0xffffb803,0xffb001ff,0x3ea00fff,0x3a06ffff,0xffff900e,
    0x3fee09ff,0x00001fff,0x7ffffc40,0xfff1007f,0x4c0dffff,0xfb0000ef,
    0x00bfffff,0x5e800fec,0xfffff300,0xba8005ff,0xffff1000,0x000009ff,
    0xffff8800,0xff7004ff,0x2003ffff,0x3ffffff9,0xfffffe80,0x7ffcc00f,
    0xeeeeefff,0x000002bc,0x2fffffb8,0x3fe60000,0x0003ffff,0x7cc00000,
    0xffffffd2,0x7d5ba001,0x002fffff,0x07ffffff,0x3fffffea,0xfffff502,
    0xfffa803f,0xfb003fff,0x2600ffff,0x306fffff,0xfffe801f,0xfff705ff,
    0x000003ff,0xffffefe8,0x3ffee007,0xfd04ffff,0x7fc40001,0x801fffff,
    0x0ba004f9,0x7fffff40,0x8000006f,0x4ffffff8,0x40000000,0x4ffffff8,
    0xfffff700,0x3fe6003f,0xb803ffff,0x04ffffff,0x7fffffcc,0xffffffee,
    0x2000003f,0x02fffffb,0x3ffe6000,0x00003fff,0x97cc0000,0x4ffffffb,
    0xff52f980,0x2005ffff,0x03ffffff,0x9ffffff3,0x3ffffea0,0x7ffcc01f,
    0xfb004fff,0x2600ffff,0x106fffff,0xffff5001,0x3ffee09f,0x000001ff,
    0x3fff6bf2,0x7fec007f,0x6c1fffff,0xfc80001f,0x805fffff,0x01a000fe,
    0x7fffffdc,0x8000001f,0x4ffffff8,0xaaaaaa98,0x2fb6e60a,0x3ffe2000,
    0xf7004fff,0x003fffff,0x3fffffe6,0xffff8803,0x7fcc07ff,0x3621ffff,
    0x00efffff,0x55555555,0xfffffb80,0x077bae62,0xfffff980,0x2a00003f,
    0x02aaaaaa,0x3fe25f30,0xc807ffff,0x3ffffea7,0xffff002f,0x3fea07ff,
    0xf503ffff,0x803fffff,0x3ffffffa,0xfffffb00,0x3fffe600,0x7cc0006f,
    0xf703ffff,0xa883ffff,0x0aaaaaaa,0xffb4fa80,0xf8800fff,0x26ffffff,
    0x100003fb,0x5fffffff,0x20017dc0,0xffff8800,0x55004fff,0x00555555,
    0x9ffffff1,0xfffffd30,0x3ffff25f,0xff1003ff,0x2009ffff,0x1ffffffb,
    0xfffff300,0x3ffa007f,0x2602ffff,0x81ffffff,0x0efffffd,0xffffffc8,
    0x7fffdc07,0xfffff92f,0x3fe6007f,0x0003ffff,0x3fffff20,0x45f3007f,
    0x2ffffffc,0xffa93e20,0xf002ffff,0x207fffff,0x1ffffffb,0xffffff50,
    0xffffc803,0xffb001ff,0x3e600fff,0x0006ffff,0x0fffffc4,0x1fffffb8,
    0x7ffffe44,0x37c400ce,0x00fffffb,0xffffff50,0x0009f57f,0xfffffb80,
    0x00df106f,0x3fff6000,0x32006fff,0x07ffffff,0xffffff88,0x3ffff604,
    0xfffffdbf,0xf8800fff,0x004fffff,0x3ffffff7,0x3fffe600,0xffb003ff,
    0x4c09ffff,0x81ffffff,0x4ffffff8,0xffffff10,0xfffffb80,0xffffffdb,
    0xff9800ff,0x0003ffff,0x7ffffc40,0x4c5f3007,0x06ffffff,0xfffa83ee,
    0xff002fff,0x3607ffff,0x206fffff,0x1ffffffa,0x7fffff40,0xfffb000f,
    0x3fe600ff,0x40006fff,0x206ffff9,0x01fffffb,0x4007fff3,0x3fff61fe,
    0xffb0007f,0x0bffffff,0x3ffa0000,0xfc82ffff,0xfa800001,0x02ffffff,
    0x7ffffc40,0xffff8807,0x3fee04ff,0xf31effff,0x100bffff,0x09ffffff,
    0x3ffffee0,0xfff3001f,0x36007fff,0x05ffffff,0x3fffffe6,0xfffffd01,
    0x3fffa01f,0x7ffdc07f,0xff51efff,0xf300bfff,0x407fffff,0xffe80019,
    0x5f3007ff,0xffffffd8,0xffa8bd01,0xf002ffff,0x307fffff,0x05ffffff,
    0x7fffffd4,0x3fffe601,0x3f6002ff,0xf3007fff,0x000dffff,0x03ffffa8,
    0x07ffffee,0x9000ffd4,0xffffd87f,0xfff10007,0x001fffff,0x3ffea000,
    0x27cc6fff,0x7fc40000,0x005fffff,0x0fffffd0,0xffffff10,0x7fffdc09,
    0x7ffec0ff,0xfff8807f,0xaaaadfff,0xffdaaaaa,0x9101ffff,0xfffffb99,
    0x599999bf,0xffffffc8,0x3fffe606,0xfffb01ff,0x3fa03fff,0x7dc07fff,
    0x6c0fffff,0x9807ffff,0x03ffffff,0x4001dffb,0x007ffffe,0xfffa85f3,
    0x2fa85fff,0x7fffffd4,0xfffff002,0xfffe987f,0x7fd403ff,0xf501ffff,
    0x009fffff,0x07ffffd8,0xdfffff30,0xfffc8000,0x7fffdc06,0x003fd01f,
    0x7fec2fd4,0x2a0007ff,0x4fffffff,0x3fa00000,0x3a3fffff,0xc800000f,
    0x0fffffff,0xffffd000,0xffff100f,0x7fdc09ff,0xffc82fff,0x7c400fff,
    0xffffffff,0xffffffff,0x01ffffff,0xfffffff3,0xffffffff,0xffffb89f,
    0x3fe607ff,0xf701ffff,0x205fffff,0x407ffffe,0x82fffffb,0x00fffffc,
    0x7fffffcc,0x3ffff983,0x3ffffa00,0xd05f3007,0x81ffffff,0xffffa86d,
    0xfff002ff,0xf975bfff,0x003dffff,0x5ffffff5,0xfffb7553,0xb0003bff,
    0x200fffff,0x06fffff9,0x0ffffc00,0x3ffffee0,0x2001fd81,0xffd80ef8,
    0x6c0007ff,0x1fffffff,0xff500000,0xf51fffff,0xf3000005,0x07ffffff,
    0x7ffff400,0xffff8807,0x3fee04ff,0xffb82fff,0x7c401fff,0xaadfffff,
    0xdaaaaaaa,0x01ffffff,0xffffff30,0x3ffee007,0x3e607fff,0x701fffff,
    0x03ffffff,0x01fffffa,0x05fffff7,0x03fffff7,0xffffff98,0x5ffffb83,
    0x3ffffa00,0x705f3007,0x47ffffff,0xfffa83f8,0xff002fff,0xffffffff,
    0x4003bdff,0xfffffffa,0xffffffff,0x3f60001d,0xf3007fff,0x000dffff,
    0x401fffd4,0x41fffffb,0x7ec001fd,0xfffffb01,0xfff88000,0x0006ffff,
    0x3ffff600,0x0006fcff,0xfffffd00,0xfe8000df,0xf8807fff,0x204fffff,
    0x82fffffb,0x01fffffb,0x7fffffc4,0xffff7004,0x3e6003ff,0x003fffff,
    0xbffffff9,0x7ffffcc0,0xffffb01f,0x7fff40ff,0x7ffdc07f,0xfffb82ff,
    0x7fcc01ff,0xf883ffff,0x3a002fff,0x3007ffff,0xffff105f,0x407dcfff,
    0x2ffffffa,0xffffff00,0x00033339,0x7fffffd4,0xfffffd9a,0x360000ef,
    0x3007ffff,0x00dfffff,0x802fff40,0x21fffffb,0x7dc004fd,0x3ffff603,
    0xffb80007,0x004fffff,0xffff3000,0x0003ffff,0xfffff700,0xe80003ff,
    0x8807ffff,0x04ffffff,0x0bffffee,0x07ffffee,0xffffff10,0x3ffee009,
    0xf3001fff,0x007fffff,0x3ffffff6,0x3fffe604,0xfffd01ff,0x7ff40bff,
    0x7fdc07ff,0xffb82fff,0x7cc01fff,0x503fffff,0xfe8005db,0xf3007fff,
    0x3ffff205,0x2a09f2ff,0x02ffffff,0x7ffffff0,0x7fd40000,0xfd11ffff,
    0x009fffff,0x3ffffec0,0xfffff980,0xdff70006,0x3ffee001,0x3fffb1ff,
    0xb017e600,0x000fffff,0xffffff98,0x00001fff,0xffffffb0,0xf100000b,
    0x09ffffff,0xffffd000,0xffff100f,0x7fdc09ff,0xffb82fff,0x7c401fff,
    0x004fffff,0x3ffffff7,0x3fffe600,0xffb003ff,0x4c07ffff,0x81ffffff,
    0x2ffffff8,0x1fffffa0,0x5fffff70,0x3fffff70,0xfffff980,0xe800003f,
    0x3007ffff,0x3ffe605f,0x01faefff,0x5ffffff5,0x3ffffe00,0x2a00003f,
    0x21ffffff,0xfffffff9,0xfffb0002,0x3fe600ff,0x88006fff,0x2e000eff,
    0xfdafffff,0xfd006fff,0x9999999b,0x99fffffd,0x8ee88003,0x6ffffffe,
    0xff100000,0x0009ffff,0xfffffb00,0x808001ff,0x807ffffe,0x4ffffff8,
    0x3ffffee0,0xfffffb82,0x7fffc401,0xff7004ff,0x2003ffff,0x3ffffff9,
    0xfffffd00,0x7ffcc03f,0xffd81fff,0x7f405fff,0x7dc07fff,0xfb82ffff,
    0x4c01ffff,0x03ffffff,0x3fa09100,0xf3007fff,0x7fffec05,0x3ea06eff,
    0x002fffff,0x07ffffff,0x7ffd4000,0x7fe41fff,0x000fffff,0x07ffffd8,
    0xdfffff30,0x03ffb000,0xfffffb80,0x4fffffff,0xffffff80,0xffffffff,
    0x4003ffff,0xffff30fe,0x00009fff,0xffffff10,0xfa800009,0x02ffffff,
    0x7ff41dc0,0xff8807ff,0x2e04ffff,0xb82fffff,0x401fffff,0x4ffffff8,
    0xfffff700,0x3fe6003f,0xf003ffff,0x01ffffff,0x7fffffcc,0xffffb511,
    0xffe801bf,0x7fdc07ff,0xffb82fff,0x7cc01fff,0x003fffff,0x3ffa0970,
    0x5f3007ff,0x7ffffd40,0x3fea02ff,0xf002ffff,0x007fffff,0x7fffd400,
    0xfffe81ff,0xd8005fff,0x3007ffff,0x00dfffff,0x0401ffb8,0x7fffffdc,
    0x1ffffffa,0x7fffffc0,0xffffffff,0x2003ffff,0x7ffe42fc,0x0001ffff,
    0x7ffffc40,0x2200004f,0x5ffffffe,0xfe82d800,0xf8807fff,0x204fffff,
    0x82fffffb,0x01fffffb,0x7fffffc4,0xffff7004,0x3e6003ff,0x803fffff,
    0x3ffffff9,0x7ffffcc0,0xffffffff,0xffd002ef,0xffb80fff,0xffb82fff,
    0x7cc01fff,0x003fffff,0x3ffa09d0,0x5f3007ff,0xfffffe80,0x7fffd407,
    0xfff002ff,0x00007fff,0x7fffffd4,0xfffff881,0x7ec003ff,0xf3007fff,
    0x400dffff,0x86801ff9,0x72fffffb,0x80dfffff,0xffffffff,0xffffffff,
    0x7f7003ff,0x3fffffa0,0x200000ef,0x4ffffff8,0x3ff20000,0x000fffff,
    0x7ff40fc4,0xff8807ff,0x2e04ffff,0xb82fffff,0x401fffff,0x4ffffff8,
    0xfffff700,0x3fe6003f,0xd803ffff,0x806fffff,0xdffffff9,0x001abccc,
    0x07ffffe8,0x17ffffdc,0x0fffffdc,0x3ffffe60,0x3f98003f,0x0fffffd0,
    0xf700be60,0xa807ffff,0x02ffffff,0x7ffffff0,0x7fd40000,0xf701ffff,
    0x03ffffff,0x3ffffec0,0xfffff980,0x03ff1006,0xfff70d90,0x7ffec3ff,
    0x3bb604ff,0xfeeeeeee,0x2eefffff,0x2605f980,0x4fffffff,0x3fe20000,
    0x0004ffff,0xffffff30,0x1f90007f,0x0fffffd0,0xffffff10,0x7fffdc09,
    0xffffb82f,0x7ffc401f,0xf7004fff,0x003fffff,0x3fffffe6,0x7fffc403,
    0xff9801ff,0x0001ffff,0x1fffffa0,0x5fffff70,0x3fffff70,0xfffff980,
    0x2fd8003f,0x0fffffd0,0xf100be60,0xa801ffff,0x02ffffff,0x7ffffff0,
    0x7fd40000,0x3601ffff,0x06ffffff,0x1fffff60,0x7ffffcc0,0x559fd006,
    0xfd755555,0xfffff709,0x7ffffc43,0x7ec0002f,0x26007fff,0xfffc806f,
    0x0002ffff,0xffffff10,0x3fa00009,0x006fffff,0xffd07f98,0xff100fff,
    0x5c09ffff,0xb82fffff,0x401fffff,0x4ffffff8,0xfffff700,0x3fe6003f,
    0x6403ffff,0x004fffff,0x3ffffff3,0x7ff40000,0x7fdc07ff,0xffb82fff,
    0x7cc01fff,0x003fffff,0xfe80ffdc,0xf3007fff,0xbfff9005,0xfffff500,
    0x3ffe005f,0x00003fff,0x3fffffea,0x3fffe201,0xfb004fff,0x2600ffff,
    0x806fffff,0xfffffffc,0x83ffffff,0x41fffffb,0x0ffffffb,0x3fff6000,
    0x3fd1007f,0x3ffffa00,0x80000fff,0x5ffffff8,0xfffb8000,0x4001ffff,
    0xffd07fe8,0xff300fff,0x5c09ffff,0xc82fffff,0x401fffff,0x5ffffff9,
    0xfffff900,0x3fea005f,0x2e03ffff,0x003fffff,0x3fffffe6,0x3fa00001,
    0x7dc07fff,0xfb82ffff,0x4c02ffff,0x04ffffff,0x403ffee0,0x007ffffe,
    0xff3005f3,0xfff7003f,0xf1005fff,0x007fffff,0x7fffd400,0x7fd402ff,
    0x802fffff,0x007ffffe,0x0dfffff3,0xffffffb8,0xffffffff,0xfffffb81,
    0xfffffd82,0x3ff60005,0xfe8807ff,0x3ffea004,0x0005ffff,0xffffff88,
    0x7fc40005,0x004fffff,0xe837ffcc,0x9807ffff,0x04ffffff,0x0ffffff2,
    0x0bfffff2,0xffffff50,0x3fff200b,0xf7003fff,0x20bfffff,0x01effffc,
    0x7ffffd40,0x3a00002f,0x200fffff,0x83fffffc,0x02fffffc,0x7fffffd4,
    0x7fe4c00e,0x3fffa07f,0x6fc800ff,0x200dfb00,0x3ffffffc,0xfffff980,
    0x2e00004f,0x03ffffff,0xffffffc8,0x7fff400f,0xffb800ff,0xf300ffff,
    0xffffffff,0x01ffffff,0x05fffff9,0x7ffffff3,0x3fff6000,0x7ff4407f,
    0x7fff4003,0x0003ffff,0x7fffffcc,0x7fec0006,0x000fffff,0x0bffffb3,
    0x03fffffa,0xffffff50,0x3fffa60b,0x3fe60eff,0x100dffff,0xfffffffd,
    0xffffa807,0x4c01ffff,0xffffffff,0xffffedce,0xfe98003d,0x01efffff,
    0xffffa800,0xffd104ff,0x7cc1bfff,0x00dfffff,0xfffffff3,0xb99999df,
    0x0fffffff,0x3fffffea,0x67ffdc04,0x401fd401,0xfffffffa,0x3ffa201f,
    0x002fffff,0xfffff980,0xfe801fff,0x02efffff,0x9ffffff5,0x7fffd401,
    0x7c40dfff,0xffffffff,0x86ffffff,0xdfffffe9,0xfffffe80,0xffd8002f,
    0xff7107ff,0x26003dff,0xffffffff,0xe88000bf,0x3fffffff,0xffff5000,
    0x9999dfff,0xfffd9999,0xf509ffff,0x409fffff,0xffffffe8,0x7fffdc2f,
    0xfa9fffff,0xffffffff,0xffffdd11,0xdfffffff,0x3ffffaa7,0xffffffff,
    0xffffd31e,0xffffffff,0x0015bdff,0xfffffe88,0x6fffffff,0xffff8800,
    0x21ffffff,0xfffffffb,0xffffa9ff,0xd11fffff,0xffffffff,0xffffffff,
    0xdfffffff,0xffffff88,0x3a21ffff,0xffffffff,0xfe981a02,0xffffffff,
    0xffb1efff,0xffffffff,0x44003dff,0xfffffffe,0x00efffff,0xfffffff3,
    0x7fffc4ff,0x21ffffff,0xffffffec,0xd5ffffff,0xffffffff,0xbfffffff,
    0xffffffb8,0x3ffa2fff,0x06ffffff,0x3ffffec0,0x7fffffe4,0xf980eeff,
    0xffffffff,0xb801ffff,0xffffffee,0x0eefffff,0xfffffd00,0xffffffff,
    0xffffffff,0x7fc47fff,0xffffffff,0xfffffd11,0xdfffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999998,0x09999999,0x1c000000,
    0x99998000,0x99999999,0x26662019,0x41999999,0x99999998,0x99999999,
    0x99999999,0x26666609,0x99999999,0x33310000,0x33333333,0x26200003,
    0x00999999,0x4ccccc00,0x99999999,0x99999999,0x2a200099,0x980bcdcb,
    0x99999999,0x31099999,0x33333333,0x99833333,0x99999999,0x99999999,
    0x00099999,0x55554c03,0x36e60aaa,0x2aa200be,0x4c0aaaaa,0xb9800ceb,
    0x400bdeed,0x51bdedc8,0x6401800b,0xcccccccc,0xcccccccc,0xff884ccc,
    0xffffffff,0xfe800fff,0xffffffff,0x3e603fff,0xffffffff,0x79107fff,
    0xfffec881,0xefffffff,0x0000003d,0x200003e6,0xffffffec,0x205fffff,
    0xffffffec,0x7ffdc6ff,0xffffffff,0xffffffff,0x365fffff,0xfffffffe,
    0xffffffff,0x36600ace,0xfffffffe,0xdeffffff,0x3fea001b,0x002fffff,
    0x3fffb220,0xffffffff,0xffffffff,0xff5002ff,0x83ffff7d,0xffffffec,
    0x32dfffff,0xffffffdb,0x419dffff,0xffffffec,0xffffffff,0x4fffffff,
    0xd300f980,0x25ffffff,0x3ffffffc,0xfffff910,0x7fffe47f,0x37ff6205,
    0x502ffffd,0xfffdbfff,0x07cc00bf,0x99999c88,0x99999999,0x0c999999,
    0x7fffffc4,0x0fffffff,0xfffffe80,0x3fffffff,0x3ffffe60,0x7fffffff,
    0x01ffffa8,0xffffffd1,0x0000003f,0x00013f60,0xffffffb0,0x7fcc005f,
    0xff702fff,0xfb999dff,0x99dfffff,0x0bffffd9,0xffffffd1,0xffffb999,
    0xf3003dff,0x9bffffff,0xffffffb9,0x3ffa2009,0x00002fff,0xffffffd1,
    0xd999999d,0x005fffff,0x3f61fffb,0xffd105ff,0x805fffff,0xfffffff9,
    0xfffd800e,0xccccefff,0xfffffecc,0x400fe804,0xdbfffffd,0xffffffff,
    0x3ffff200,0xfffff93f,0x7ffd101f,0x217fffec,0x3262fff8,0xfd1005ff,
    0x0000e201,0xfff88190,0xffffffff,0xffe800ff,0xffffffff,0x3fe603ff,
    0xffffffff,0xfffd87ff,0x3ffea05f,0x00004fff,0x1fff1000,0x7fcc0000,
    0x8006ffff,0x2e00dffe,0xff981eff,0xe883ffff,0xfff505ff,0xffb05fff,
    0x9005ffff,0x03ffffff,0x3dffffd5,0xfffff900,0x7d400005,0x404fffff,
    0x402fffea,0x3f67fffc,0xff300fff,0x200bffff,0x3ffffffc,0xfffff300,
    0xffd8809f,0x07fe404f,0x3ffffee0,0xffff31ef,0x7ffd40bf,0xffffabff,
    0xffe887ff,0x3ffffd46,0x7e41fff6,0x01ff9006,0x900000e2,0xaaaaa881,
    0x2aaaaaaa,0x55555500,0x15555555,0x55555440,0x2aaaaaaa,0x07fffff8,
    0x3fffffe6,0x00000003,0x0007fff9,0x7ffffc40,0x7fd4005f,0x00ffb804,
    0x7ffffff3,0xf982fec0,0x902fffff,0x05ffffff,0xffffffb8,0xffffb101,
    0xfffb809f,0x200002ff,0x4ffffff9,0x405ff900,0x2e6ffff9,0x3e605fff,
    0x004fffff,0x5ffffff7,0x3fffe200,0xfd3004ff,0x07ffd409,0x3ffffee0,
    0x7fffec0f,0x3fffe607,0xffc8cfcf,0x3fffc84f,0x07ffffc4,0x3a05ffff,
    0x0fffa806,0x80000710,0x0000000c,0x00000000,0x6fffff80,0x3ffffe60,
    0x0000003f,0x06ffff88,0x3ffe2000,0x2a005fff,0x5f7002ff,0x7ffffcc0,
    0x417e203f,0x2ffffff9,0x3fffffe0,0x7fffdc05,0x3fe201ff,0x2e03ffff,
    0x002fffff,0x3fffe600,0x3f6004ff,0x3fffee02,0x2200e4c6,0x04ffffff,
    0xffffff70,0x3ffe2003,0x26004fff,0xffff304f,0xffffb801,0xffffc82f,
    0xffff300f,0x82b88bff,0xd82ffff8,0xff30ffff,0x0d505fff,0x00ffff98,
    0xc8000071,0x00000000,0x00000000,0x04ffffd8,0x3fffffe6,0x80000003,
    0x02fffffb,0xffff1000,0x3ee009ff,0x01ae001e,0x7ffffff3,0xff305c80,
    0x6c05ffff,0x00ffffff,0x3fffffee,0x7fffd401,0xfff701ff,0x400005ff,
    0x4ffffff8,0xc80be600,0x0006ffff,0x9ffffff1,0x3fffee00,0xff1001ff,
    0x8009ffff,0xffffa84d,0x7ffdc00f,0xfffb82ff,0xfff301ff,0x64003fff,
    0xfa81ffff,0x3ffe64ff,0x20384fff,0x00fffffa,0xc8000071,0x3b6ea200,
    0x54c01cef,0x20aaaaaa,0x2aaaaaa9,0x37b6ea00,0x3fff200b,0x3ffe603f,
    0x00003fff,0xffffe800,0xf100006f,0x009fffff,0xb8001bfb,0x7fffcc04,
    0x82cc03ff,0x2ffffff9,0x3ffffee0,0x3ffee02f,0xff801fff,0xf706ffff,
    0x0005ffff,0x7ffffc40,0x5d03504f,0x3fffff40,0xffff8800,0xff7004ff,
    0x2003ffff,0x4ffffff8,0x3ee25c00,0xaabfffff,0x7fffdc1a,0xffffb82f,
    0xffff301f,0xfff800ff,0x035101ff,0xdfffffff,0xffff7003,0x235557ff,
    0x64000038,0xdbdff500,0x540bffff,0x1ffffffe,0x3fffffaa,0x7fec400f,
    0x301fffbd,0x4c01ffff,0x03ffffff,0x7d400000,0x01ffffff,0xffff8800,
    0x3fa204ff,0x80330004,0x3ffffff9,0xfff30380,0x7e405fff,0x202fffff,
    0x1ffffffb,0xfffffc80,0xffffb82f,0x2200002f,0x04ffffff,0x7405905b,
    0x0007ffff,0x9ffffff1,0x3fffee00,0xff1001ff,0x6409ffff,0xfff924c1,
    0xffffffff,0xfffffb8b,0xfffffb82,0xfffff301,0x7ffc400d,0xfc8002ff,
    0x2fffffff,0x3fffff20,0x15ffffff,0x0c800007,0x320ffec4,0x7404ffff,
    0xf81fffff,0x200fffff,0x3e62fff9,0xffff03ff,0xfffff980,0x0000003f,
    0x7ffffff4,0xf880005f,0x304fffff,0x000005ff,0xffffff98,0x3fe60003,
    0x3a02ffff,0x01ffffff,0x3fffffee,0xffffa801,0xfffb85ff,0x3bb262ff,
    0x3fe2000b,0x5d04ffff,0xeaa98110,0x2aafffff,0x3fffe200,0xff7004ff,
    0x2003ffff,0x4ffffff8,0xcc8807a0,0xccfffffe,0x7ffdc2cc,0xfffb82ff,
    0xfff301ff,0x7cc00bff,0x8003ffff,0xfffffff8,0xecc884ff,0xcccfffff,
    0x0000712c,0x37fec0c8,0x02fffff8,0x07fffff6,0x03fffff6,0x6c37ffc4,
    0xffd80fff,0x7fffcc04,0x000003ff,0x3ffafe60,0x0000ffff,0x7fffffc4,
    0x001efb84,0xfff98000,0x20003fff,0x2ffffff9,0x3fffffe0,0x7fffdc05,
    0xfff001ff,0xfb81ffff,0xff92ffff,0x2005ffff,0x4ffffff8,0xf9002f88,
    0xffffffff,0x7fc400bf,0x7004ffff,0x03ffffff,0x3ffffe20,0x003f104f,
    0x03fffff2,0x5fffff70,0x3fffff70,0x3ffffe60,0x3ffea003,0xd10005ff,
    0xffffffff,0x7fffec09,0x0007100f,0x3fe60c80,0xffff83ff,0x3fff205f,
    0xfffd81ff,0xfff900ff,0x09fff707,0xf9805ff7,0x003fffff,0x5df60000,
    0x04ffffff,0x7fffc400,0x077e44ff,0xf9800000,0x003fffff,0x3ffffe60,
    0xffffb02f,0xffb801df,0xf001ffff,0x87ffffff,0xdbfffffb,0xffffffff,
    0xffff8800,0x02fc84ff,0xffff9950,0x400799ff,0x4ffffff8,0xfffff700,
    0x3fe2003f,0xf704ffff,0x3fff2003,0x7fdc00ff,0xffb82fff,0xff301fff,
    0x4c007fff,0x006fffff,0x3ffff620,0xfb00ffff,0x2201ffff,0x06400003,
    0xd0dffff9,0x640dffff,0xc81fffff,0x980fffff,0xfa82ffff,0x7fcc0fff,
    0x7fffcc00,0x000003ff,0x3fe29f10,0x0007ffff,0x7fffffc4,0x05fffd14,
    0x3e600000,0x003fffff,0x3ffffe60,0x7fff442f,0xfb800dff,0x001fffff,
    0x9ffffffd,0xffffffb8,0xfffff31e,0xffff100b,0x2ffa89ff,0xffffe800,
    0xfff10007,0x2e009fff,0x01ffffff,0xffffff10,0x003ff509,0x03fffff2,
    0x5fffff70,0x3fffff70,0x3ffffe60,0x3ffe2003,0xb80007ff,0x3fffffff,
    0x1fffffb0,0x00000e20,0x7fffd419,0x6ffffe86,0x3fffff20,0xfffffc81,
    0x1ffffd80,0x82ffffa8,0xfff9806f,0x00003fff,0x7e41f900,0x003fffff,
    0x3ffffe20,0xffffe9cf,0x8000000f,0x3ffffff9,0x3ffe6000,0xfdcccfff,
    0x001befff,0x3fffffee,0xffffb001,0xfffb89ff,0x7fe40fff,0xff8807ff,
    0xc98cffff,0xe8002fff,0x0007ffff,0xbffffff1,0x55555555,0xffffffb5,
    0x3ffe2003,0xf9514fff,0x3f2003ff,0x5c00ffff,0xb82fffff,0x301fffff,
    0x007fffff,0x3ffffff8,0x7f4c0c00,0xfb05ffff,0x2201ffff,0x06400003,
    0x3a0bfff2,0x3206ffff,0xc81fffff,0xe80fffff,0xf980ffff,0x04c83fff,
    0xffffff98,0x88000003,0x7fffcc4f,0x220006ff,0xfeffffff,0x0effffff,
    0x7cc00000,0x003fffff,0x3ffffe60,0xffffffff,0x2e000adf,0x01ffffff,
    0xffffffb0,0xfffffb8b,0xfffffc82,0x7fffc400,0xffffffff,0xffe8002f,
    0xf10007ff,0xffffffff,0xffffffff,0x03ffffff,0x3ffffe20,0xffffffff,
    0xfff9001f,0xffb801ff,0xffb82fff,0xff301fff,0xd8007fff,0x006fffff,
    0x7fec407c,0x3b3226ff,0xcccfffff,0x0000712c,0xd50300c8,0x40dfffff,
    0x81fffffc,0x80fffffc,0xeeefffff,0x4ffffeee,0x3ffe6000,0x00003fff,
    0xfd81fb80,0x002fffff,0xffffff10,0xffffffdf,0x800000bf,0x3ffffff9,
    0x3ffe6000,0xca99bfff,0x1dffffff,0xfffffb80,0xfff9001f,0xffb8bfff,
    0xffb82fff,0x7c401fff,0xecefffff,0x8002ffff,0x007ffffe,0xffffff10,
    0x5555555b,0xfffffb55,0x3fe2003f,0xffceffff,0x9001ffff,0x801fffff,
    0x82fffffb,0x01fffffb,0x07fffff3,0xfffff980,0x3f92a04f,0x993fffe0,
    0xffffffff,0x0715ffff,0x800c8000,0xfffecfea,0x3fff206f,0xfffc81ff,
    0x7ffc40ff,0xcccccdff,0x0003cccc,0x3fffffe6,0xe8000003,0xfffff505,
    0x3e2000bf,0xf95fffff,0x07ffffff,0x7fcc0000,0x0003ffff,0x3fffffe6,
    0xffffe882,0x7fdc03ff,0xb001ffff,0x89ffffff,0x82fffffb,0x01fffffb,
    0x7fffffc4,0x00bffa24,0x1fffffa0,0x7fffc400,0xff7004ff,0x2003ffff,
    0x4ffffff8,0x007ffb26,0x07ffffe4,0x3ffffee0,0xfffffc82,0xfffff501,
    0xfffb0007,0xfb839fff,0x7e407fe1,0xfffb02ff,0x00e201ff,0x54019000,
    0xfffd3ffe,0x7ffe40df,0xfffc81ff,0x7ffd40ff,0x4c0002ff,0x7fffcc00,
    0x000003ff,0xffd017d4,0x0003ffff,0x9ffffff1,0x7ffffff4,0x3000002f,
    0x07ffffff,0x7fffcc00,0xffd102ff,0x5c05ffff,0x01ffffff,0xffffffd0,
    0xfffffb87,0xfffffb82,0x7fffc401,0x17fc44ff,0x7ffff400,0xfff10007,
    0x2e009fff,0x01ffffff,0xffffff10,0x003ff109,0x03fffff2,0x7fffff90,
    0x5fffff90,0x3ffffee0,0xfff88004,0xfeffffff,0x40fff43f,0xfb00effd,
    0x2201ffff,0x06400003,0xd17ffec4,0x640dffff,0xc81fffff,0x4c0fffff,
    0x003fffff,0xf3003ea0,0x007fffff,0x406e8000,0x4ffffffb,0xffff8800,
    0x3ffe24ff,0x000fffff,0xffff9800,0x260003ff,0x02ffffff,0x3fffffe6,
    0xffff700f,0x3fe003ff,0x5c1fffff,0xb82fffff,0x401fffff,0x4ffffff8,
    0xe8002fa8,0x0007ffff,0x9ffffff1,0x3fffee00,0xff1001ff,0x2a09ffff,
    0xfff9001f,0x7f4c01ff,0x260effff,0x0dffffff,0x7ffffec4,0xfe88000e,
    0xffffffff,0xadfffe83,0x200fffb8,0x00fffffd,0xc8000071,0x17fff4c0,
    0x81bffffa,0x81fffffc,0x40fffffc,0x05fffff8,0x803df100,0x3ffffff9,
    0x98091000,0xccccccef,0xffffffdc,0x7fc4000f,0x7cc4ffff,0x0effffff,
    0x7fcc0000,0x0003ffff,0x3fffffe6,0x7ffffc02,0xfff703ff,0x3e003fff,
    0x40ffffff,0x82fffffb,0x01fffffb,0x7fffffc4,0x8002f884,0x007ffffe,
    0xffffff10,0x3ffee009,0xf1001fff,0x409fffff,0xfff9001f,0x3fee01ff,
    0x9fffffff,0xfffffffa,0xffff51ff,0x00dfffff,0x3fffff60,0xd9db01ce,
    0x03dfffff,0x0fffffd8,0x80000710,0x3fffa20c,0x6ffffe87,0x3fffff20,
    0xfffffc81,0xffffff80,0xfffd8000,0x3fffe602,0x970003ff,0xfffffd80,
    0xffffffff,0x4003ffff,0x4ffffff8,0xffffffb8,0x4c00005f,0x03ffffff,
    0x3fffe600,0x7fec02ff,0xf704ffff,0x003fffff,0xdffffff1,0x5fffff70,
    0x3fffff70,0xfffff880,0x5c05d04f,0x7ffffe82,0xffff1000,0x3ee009ff,
    0x001fffff,0x9ffffff1,0xfc800ec0,0x0000ffff,0x00000000,0x003ba600,
    0x0afc882e,0xfffffb00,0x0000e201,0x7ffe4190,0xffffe85f,0x3fffee06,
    0xffffc81f,0xffffe80f,0x711c404f,0x7cc0bfff,0x003fffff,0x1fc409d0,
    0xfffff880,0x7fc4007f,0xf904ffff,0x07ffffff,0x7ffcc000,0x20003fff,
    0x2ffffff9,0x7ffffdc0,0xffff705f,0xff7003ff,0xf705ffff,0xf705ffff,
    0x8803ffff,0x04ffffff,0x740fc059,0x0007ffff,0x9ffffff1,0x3fffee00,
    0xff1001ff,0x6409ffff,0xffff9001,0x3ae0001f,0xd80000bd,0x40000ace,
    0x88000df9,0x3f2001ef,0x7100ffff,0x20c80000,0x447ffffe,0x207fffff,
    0x41fffffb,0x0fffffe8,0xffffffa8,0xf905d100,0x7ffcc0ff,0x98003fff,
    0x003f203f,0xffffffd8,0x3ffe2002,0x3fa04fff,0x01ffffff,0xffff3000,
    0x4c0007ff,0x02ffffff,0x7fffffec,0xfffff703,0xfffd003f,0x3fee0bff,
    0xffb82fff,0x7c401fff,0x004fffff,0xfffd07a8,0x3e2000ff,0x004fffff,
    0x3ffffff7,0x3fffe200,0x800204ff,0x00fffffc,0x1ffff900,0xffff8000,
    0x3fa20004,0x7ec001ff,0xff9003ff,0x0e203fff,0x7c190000,0xcadfffff,
    0x07ffffff,0x0fffffe6,0x1ffffffd,0x3fffffa0,0xe82ec41f,0x3fe604ff,
    0x8003ffff,0x09f102fd,0xfffff980,0x3fe2006f,0x2204ffff,0xffffffff,
    0xff980000,0x0003ffff,0x3fffffe6,0x7ffffc02,0xfff702ff,0xfa803fff,
    0x700fffff,0x705fffff,0x803fffff,0x4ffffff8,0xfd07e800,0x2000ffff,
    0x4ffffff8,0xfffff700,0x3fe2003f,0x0004ffff,0x3fffff70,0xfc9801dc,
    0x540003ff,0x0000fffe,0x009fff91,0x006fffb8,0x45fffff7,0x0000713b,
    0x3fff20c8,0xfdcfffff,0x81ecffff,0xaafffffe,0xfffffefe,0xfffff501,
    0x1ffd9dff,0x00effc98,0x3fffffe6,0x0ffdc003,0xe8002fc8,0x02ffffff,
    0xffffff10,0xffffa80b,0x0000efff,0x7fffffcc,0x3fe60003,0x2602ffff,
    0x06ffffff,0x3fffffee,0x7ffff401,0x3ffee03f,0xfffb82ff,0x7fcc01ff,
    0x4004ffff,0xfffd05fd,0x3e2000ff,0x004fffff,0x3ffffff7,0x3fffe200,
    0x100005ff,0x73bfffff,0xbffd000b,0xfff30000,0xffd80005,0x7ffb8005,
    0xfffff300,0x01c4b73d,0xf9832000,0x31efffff,0x05ffffff,0x3fffffe6,
    0xffffc9ef,0xfff300cf,0x3fffffff,0x803deff8,0x4ffffff9,0x03ffee00,
    0x20003fe2,0x6ffffffb,0xfffff100,0xfff900bf,0x000dffff,0xffffff98,
    0x3fe60003,0xf302ffff,0x01ffffff,0x7fffffdc,0x3ffff202,0x7ffdc02f,
    0xfffb82ff,0x7fcc02ff,0x1004ffff,0x3fa09ffb,0x30007fff,0x09ffffff,
    0x3ffffee0,0xfff1002f,0x0000bfff,0x7fffffd4,0x7fc4000f,0xfb80003f,
    0x7c0000ff,0xfd8003ff,0x3fee005f,0x220fffff,0x06400003,0x02fbff6a,
    0x805dffd7,0x0dffffea,0xfffffff9,0x3fffa603,0x0000cfff,0xffffff50,
    0xffc9801d,0x03ffd07f,0xfffff100,0xff3007ff,0x100dffff,0xffffffff,
    0x3ea0001b,0x004fffff,0x3ffffea0,0xffff985f,0x7e401eff,0x883fffff,
    0x00effffd,0x3fffffc8,0x2fffffc8,0x7ffffd40,0x3ee200ef,0xfff03fff,
    0x2a000fff,0x05ffffff,0xffffff90,0x3ffe6007,0x00006fff,0x0e77fed4,
    0xbffd5100,0xffb98000,0x3260003f,0x26000dff,0x4001effb,0x41ceffda,
    0xcccccce8,0xcccccccc,0x00eccccc,0x00110011,0x0000ab98,0x00abb980,
    0x3ffe6000,0xccefffff,0xffffdccc,0x7ff547ff,0x7dc000df,0x2fffffff,
    0x3ffffa20,0x7cc03fff,0xffffffff,0x3e6000ae,0x2fffffff,0xfffe9800,
    0xfdceffff,0x02efffff,0xffffffa8,0xffedcdff,0xd3002dff,0x41dfffff,
    0xdffffff9,0xffffd100,0x999bdfff,0xffffffdb,0xfffff505,0x7440017f,
    0x3fffffff,0x7ffffd40,0x74401fff,0x3fffffff,0x00100000,0x05bdff30,
    0xceefc800,0xdff10001,0xeef8007b,0x040000bd,0x00000000,0x00000000,
    0x00000000,0xfffffe88,0xffffffff,0xffffffff,0x3fff26ff,0x203effff,
    0xffffffea,0x20ffffff,0xffffffee,0x20efffff,0xfffffff8,0x2fffffff,
    0x3ffffa20,0xffffffff,0x3ffa202e,0xffffffff,0xbcdeffff,0x7fff5402,
    0xffffffff,0x002cefff,0x7fffffdc,0xfffa9fff,0x11ffffff,0xfffffffd,
    0xffffffff,0xffffffff,0x7ffffdc3,0x205fffff,0xffffffe8,0x3effffff,
    0xffffffd5,0x3dffffff,0x7fffff74,0x3effffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff80000,0xffffffff,0x7ffec1ff,0xffffffff,
    0x154c003f,0xaa880000,0x00000001,0x00000662,0x04000000,0x00000000,
    0x00000000,0x55554c00,0x4c1aaaaa,0x532aaaaa,0x55555555,0x55555554,
    0x2aaa62aa,0xedc880aa,0x400b51bd,0x302cdeca,0x4c079dd7,0x0aaaaaaa,
    0x2aaaaaa6,0xdb751002,0x200039df,0x00adedba,0x9bfd9700,0xefdb8815,
    0xdb98002c,0x2000bdee,0x00bdedba,0x55555554,0xaaaaaaaa,0x022004c2,
    0x7c00cc00,0xffffffff,0x7ec1ffff,0xffffffff,0x6c003fff,0x3000007f,
    0x000007ff,0x01ffec00,0x0f660000,0x7bddb730,0xaa9a7441,0x260aaaaa,
    0x22aaaaaa,0x074c0dda,0x224c8010,0x2000002e,0xfffffffa,0x7fecc2df,
    0xffff53ff,0x7e47dfff,0x2dffffff,0x037fff66,0xffdbfff5,0xfd980bff,
    0x0effdcef,0x3ffb7ff2,0xfffea80e,0x3faa1fff,0x400fffff,0xffedeffa,
    0x3a2005ff,0xeffdcfff,0xbfff7003,0x2a3fffff,0xdfffceff,0xdffd8800,
    0x402ffffd,0xffbdffd8,0xffff101f,0xfffdddff,0x0ee8dfff,0x9800bee0,
    0x3e02fffd,0xffffffff,0x7ec1ffff,0xffffffff,0x6c003fff,0x3000007f,
    0x200007ff,0x03defdba,0x003ffff3,0xffeb8800,0x9fffb103,0xdd17fffb,
    0x7fffff54,0x3fffaa1f,0xfff98fff,0x443bfe67,0x0cefffeb,0x7fc4fff2,
    0x000001cf,0x0ffffffd,0x7c40ffc8,0xa83fffff,0x00ffffff,0xfff107fb,
    0x02ffe4c5,0xfb8ffff5,0x23ffdaff,0xfd01fffc,0xff03ffff,0x2201ffff,
    0x7fe41ffd,0xff9804ff,0x3fff20df,0x07ffa204,0xffbffff7,0x07ffec4b,
    0x6c7ffd10,0xf302ffff,0x7ffcc5ff,0x09dff883,0x7fffffcc,0x88077d42,
    0xfff001ff,0x2aa03fff,0xaaaaaaaa,0x55540aaa,0xaaaaaaaa,0x7ec001aa,
    0xf3000007,0xe880007f,0xfffdcfff,0x0ffffc43,0xffc98000,0xfe882fff,
    0x3ffea0ff,0xfffe80ef,0xffff81ff,0xffffa8ff,0xf7dffd11,0xffffffff,
    0x221dff99,0x02efffff,0x7ffd4000,0x1fdc07ff,0x5fffffa8,0x5fffffd0,
    0x7fec1b60,0x260df907,0xfe83ffff,0xff86ffff,0xffffb06f,0xffffb03f,
    0x1bff601f,0x017ffffc,0x883ffff3,0xfd03ffff,0x3fff20bf,0x7fcc0fff,
    0xdffd105f,0x87ffffa8,0xfd86fff8,0x02fc40ff,0x0bfffffd,0xffb817fa,
    0x7fffd401,0x000005ff,0x6c000000,0x3000007f,0x540007ff,0x3f20efff,
    0x7ffcc4ff,0x7f540000,0x880cffff,0xfd83ffff,0xfffb05ff,0xfffb03ff,
    0xfffd11ff,0x7ffff443,0xfffdcdff,0x5c40efff,0x0cfffffe,0xfffd0000,
    0x07ec05ff,0x1fffffd0,0x9fffff70,0x7ffc0fe0,0x3a0dd02f,0xff707fff,
    0xffb09fff,0xffff905f,0xffffb03f,0xffff301f,0xbfffff07,0x83fffec0,
    0x541ffffd,0xfb82ffff,0xfd05ffff,0xfff903ff,0xfffff887,0x41fffe40,
    0x7c44fffb,0xfffff701,0x17fea01f,0x7007ffc4,0x0fffffff,0x00000000,
    0x007fd800,0x07ff3000,0x3fffe600,0x6ffffc43,0x0005fd11,0x3fffff22,
    0x7ffe402e,0xffffb81f,0xfffffc81,0xfffffd81,0xd10dff10,0x3ea05fff,
    0x6cc00fff,0x02dfffff,0x7fffd400,0x809f105f,0x83fffffb,0x87fffffd,
    0xfff980f9,0xb86a82ff,0xf506ffff,0xfb07ffff,0xfff90dff,0xfff903ff,
    0xfff901ff,0xffffd0df,0x3fffe60d,0x9ffff706,0x86ffffc8,0x04fffffa,
    0xf88bfffb,0xffd82fff,0x3ffe60ff,0xffffa82f,0x7fc41a20,0x7404ffff,
    0xdff704ff,0x3fffe201,0x5d400fff,0x5000aded,0x05555555,0x007fd800,
    0x07ff3000,0x3ffffa00,0xfffffd80,0xa8002dff,0x1cfffffd,0xfffff880,
    0x6ffffb80,0x1fffffc8,0xafffffc8,0xf980dfca,0x7f4400ef,0xff71002f,
    0x0017ffff,0x3fffffa0,0x4400fa80,0x446fffff,0x2fffffef,0xfff982e4,
    0xc8384fff,0xf305ffff,0xf905ffff,0xfff90fff,0xfff903ff,0xfff501ff,
    0xffffd0df,0x3ffffa0d,0xdffff705,0x86ffff98,0x03fffffa,0xfc8ffffb,
    0xffa81fff,0x7fffec4f,0x2ffffa81,0xffffd804,0xfffa806f,0x01dfff03,
    0x3ffbffaa,0x9fffd100,0xc807dffb,0x07ffffff,0x003fec00,0x03ff9800,
    0x6ffffa80,0x09ffff70,0x3ffae200,0x2000bfff,0x987ffffc,0x41ffffff,
    0x81fffffc,0xacfffffc,0x07ff6009,0x0037fc40,0x7ffffed4,0x7fdc002d,
    0x05e84fff,0x1fffffb0,0x7fffcf5c,0xff01fc5f,0x03dfffff,0x04ffffe8,
    0x03fffff3,0xc81ffff9,0xc81fffff,0x900fffff,0xffd05fff,0x3ffe0dff,
    0xfff505ff,0xeffd81ff,0xfffffa81,0x1ffff901,0x80fffffc,0xfffe81a8,
    0xffff980f,0xffff9803,0xffd002ff,0xdfff707f,0x20ff5180,0x320dfff9,
    0x7c404fff,0x0007ffff,0x00003fec,0x8003ff98,0x705ffffe,0x800dffff,
    0xdfffffc9,0xfffb0002,0xffef88ff,0x7fe43fff,0xffc81fff,0xf8800fff,
    0x7fdc004f,0xff910002,0x0017dfff,0x8ffffff1,0xff5001f9,0xea747fff,
    0xf50fffff,0x7fffe401,0xf102ffff,0x2609ffff,0xccdfffff,0x1ffffecc,
    0x0fffffe4,0x07ffffe4,0x3ffaa060,0xff886fff,0xff504fff,0x03103fff,
    0xffffff91,0xffdddddd,0x3fe23fff,0xf8002fff,0xeeeeffff,0x04ffffee,
    0x5fffffe8,0x3fffea00,0x05ffff82,0xff985fc8,0x7ffc41ff,0x7fff403f,
    0x7ec0007f,0xf3000007,0xfff0007f,0x3fea0bff,0xea800fff,0x00cfffff,
    0x7ffffc00,0x7ffcf747,0x7ffe44ff,0xfffc81ff,0xffa800ff,0x1ffcc002,
    0x7ff54000,0x6401dfff,0x322fffff,0x7fffc006,0x3ee3f36f,0x0bb3ffff,
    0xffffff88,0xffa84fff,0xff304fff,0xdddddfff,0xc85ddddd,0xc81fffff,
    0x000fffff,0x3ffb3faa,0xfffa86ff,0xfff504ff,0xf91007ff,0xbfffff7d,
    0x99999999,0x3ffe6399,0x7c4003ff,0xcccdffff,0x03cccccc,0x7fffffdc,
    0x7fff4000,0x7fffdc1f,0x6c0ffc04,0xffb07fff,0x7ff403ff,0x555307ff,
    0xfd555555,0x5555555f,0x2aaa2555,0xfbaaaaaa,0xaaaaaadf,0xfff11aaa,
    0x3fea09ff,0x3e201fff,0x003effff,0xfffff100,0x7fcc76cf,0x7fe45fff,
    0xffc81fff,0xfb800fff,0x4ff8000f,0x3f260000,0x2603ffff,0x3e6fffff,
    0x7ffe4002,0x3e26b9ff,0x2f8effff,0xffffe880,0x7dc4ffff,0xf303ffff,
    0x0005ffff,0x07fffff2,0x03fffff2,0x74fffaa0,0xfa86ffff,0xf504ffff,
    0x4409ffff,0xff98dffc,0xa8002fff,0x005fffff,0x17ffffd4,0x7ffc4000,
    0xb8004fff,0x7c45ffff,0xf301ffff,0xdffff30b,0x13fffee0,0x07ffffe8,
    0xfffffff9,0xffffffff,0x2fffffff,0xfffffff8,0xffffffff,0x3fffffff,
    0x09fffff5,0x0fffffea,0xdfffff88,0xff300001,0x47f2ffff,0x45fffff9,
    0x81fffffc,0x00fffffc,0x8000ffb8,0x200004ff,0x3fffffc9,0x7ffffec0,
    0xf98007a9,0x43edffff,0x7cfffffd,0x3fff6200,0x2a0fffff,0x303fffff,
    0x009fffff,0x3fffff20,0xfffffc81,0x3fff6200,0x1bffffa2,0x13ffffe6,
    0x1fffffdc,0x223fffa8,0x004fffff,0x6fffff98,0x7fffcc00,0xfd80003f,
    0x0006ffff,0xb81dfffd,0xd102ffff,0xffffd01d,0x3fffee0b,0x3ffffa06,
    0xfffff907,0xffffffff,0xffffffff,0x3ffffe2f,0xffffffff,0xffffffff,
    0xfffff53f,0x3fffea09,0x7fe4c04f,0x000befff,0x3ffffe20,0x3fe61faf,
    0x7fe44fff,0xffc81fff,0xfa800fff,0x7fcc002f,0xfea80003,0x801cffff,
    0xedfffffa,0xfffd0004,0xffa81fff,0x8004ffff,0xfffffffb,0x3ffffe63,
    0xfffff304,0x3ff2000b,0xffc81fff,0xfd300fff,0xfffe85ff,0xffff886f,
    0xffff704f,0x7fffb05f,0x6fffff88,0xffff8800,0x7fc4007f,0x40005fff,
    0x2ffffff9,0xefffb800,0x1ffffc40,0x3fe05e98,0xff505fff,0x3fa01fff,
    0x55307fff,0xd5555555,0x555555ff,0x2aa25555,0xbaaaaaaa,0xaaaaadff,
    0xff31aaaa,0x3ee09fff,0x2003ffff,0xcfffffea,0xffff0001,0xff985fff,
    0x7fe42fff,0xffc81fff,0xf9800fff,0x7fdc004f,0xff910002,0x0017dfff,
    0xffffffe8,0xfff70000,0x3ffe0bff,0x81802fff,0x5fffffe9,0x13ffffe2,
    0x7fffffcc,0xfffc8000,0xfffc81ff,0xffe880ff,0xffffe87f,0xbfffff06,
    0x3ffffee0,0x07fffec1,0x07fffffc,0x7ffffc00,0x7ffc003f,0x20000fff,
    0x05fffffe,0x1ffff80a,0x904fffc8,0x7ffc405d,0xfff504ff,0x3ffa03ff,
    0x6c0007ff,0x3000007f,0xf88007ff,0xf704ffff,0x0005ffff,0xdfffff93,
    0xfffe8005,0xfff984ff,0x7ffe40ff,0xfffc81ff,0xffd000ff,0x1bfe2003,
    0x3fff6a00,0x20001dff,0x05fffffb,0x3fffe200,0xffff902f,0x2203e00f,
    0x746ffffd,0xf504ffff,0x807fffff,0x7fffdc0a,0xffffc81f,0xffffc80f,
    0x6ffffe85,0x0bffffb0,0x51fffff2,0x320bffff,0x804fffff,0x3ffff60a,
    0x7ff4006f,0x1c404fff,0x7fffffdc,0x3ee0b100,0xfff881ff,0x3ea00604,
    0xf504ffff,0x3a07ffff,0x0007ffff,0x00003fec,0x8003ff98,0x705fffff,
    0x003fffff,0x7fff5c40,0xfb800cff,0xff507fff,0xfff70fff,0xfff903ff,
    0x3e6001ff,0xffd800ef,0xffd71003,0x00017fff,0x3fffff10,0xfffe8000,
    0x3fffe607,0x7c07f004,0x7fd44fff,0xfff705ff,0x2601ffff,0x7fffdc0e,
    0x7fff441f,0xfffe80ff,0x7fffc47f,0xffff307f,0x3ffff20d,0x37ffff43,
    0xffffffa8,0xff31aa01,0x5409ffff,0x3ffffea4,0x885d100f,0x03ffffff,
    0x0fffc172,0x0005ffc8,0x4fffffa8,0x9fffff50,0x1fffffa0,0x00ffb000,
    0x0ffe6000,0x3ffff600,0xfffff905,0x7ecc0000,0x402dffff,0xb80fffff,
    0xfb85ffff,0x7442ffff,0x000fffff,0x4c0bfffa,0x4c00fffe,0x2dfffffc,
    0xffc80000,0xfb80006f,0x7ff404ff,0x03ff001f,0x3a0bfff2,0xffb07fff,
    0x81dfffff,0xfff982f9,0x7fff43ff,0xfff80fff,0xffcadfff,0x3207ffff,
    0xfe80ffff,0xffff87ff,0x7fecc2ff,0xa82fffff,0xffffd81f,0x0fdc1cff,
    0x3ffffffa,0x7ec2ec41,0x2a06ffff,0x02ffb84f,0x0000bff1,0x13ffffe6,
    0x1fffffdc,0x07ffffe8,0x003fec00,0x03ff9800,0x6ffff980,0x07ffff90,
    0xfd710000,0x7017ffff,0xf903ffff,0xff301fff,0xffd87fff,0xb000ffff,
    0x9bdfffff,0xdfffffdb,0xffffd501,0x0000039f,0x001fffcc,0x00fffc40,
    0xe801bfee,0xeffd81ff,0x3fffe880,0x7fffffc4,0xfecdffff,0x3ffffa05,
    0xffefeaaf,0xffc81fff,0xdcffffff,0x1ecfffff,0x21ffff44,0xe81ffff9,
    0xceffffff,0xffffbefe,0xffdcefff,0xfffff104,0x7ffdffff,0xffffff50,
    0x81ffd9df,0x2ffffff9,0xf83ffb88,0x03bf203f,0x7ffc4000,0xfff704ff,
    0x3ffa05ff,0x6c0007ff,0x3000007f,0x320007ff,0xffb07fff,0x000000ff,
    0x5fffffb5,0x44ffffd8,0x103ffff8,0x75fffffd,0xfffffdfd,0x9dffb003,
    0xffffffff,0x21dffb9f,0x2efffff8,0x36000000,0xb00000ff,0x9ff100ff,
    0x6ffff400,0x00fffb8a,0x447fffa2,0xffe9dffd,0x05ffffff,0x7fffffcc,
    0xffffc9ef,0x7ffcc0cf,0xff31efff,0x2205ffff,0xfd12effd,0x3fea03df,
    0x2fffffff,0x3fffffe6,0x4404ffff,0xfffffffe,0x3fe603ff,0xffffffff,
    0xfffffe81,0xffdcaaaf,0x01fdc3ff,0x00001df3,0x05fffff8,0x03fffff7,
    0x01fffffa,0x000ffb00,0x00ffe600,0x17fff440,0x007fffe6,0xfb880000,
    0x327f23ff,0xfd88cfff,0x7fcc03ff,0xc8efffff,0x00cfffff,0x6443bfe2,
    0x20cefffe,0xfff11ffd,0x00000039,0x00009f50,0xfd8027d4,0x3b3b6001,
    0x01efffff,0xfffffd90,0xffffc87f,0xfd5003ff,0x3f21bfff,0x41ffffff,
    0x40beffda,0x802effeb,0xfffffffc,0x7ffe400d,0xd980ceff,0x2effffff,
    0x3ffff600,0xe9801cef,0x0cffffff,0xffffffb8,0xffffffff,0x201ec2ff,
    0x800000db,0x905ffffd,0x740fffff,0x9507ffff,0x99999999,0x99999ffd,
    0x80099999,0x20003ff9,0xb11effd8,0x00003dff,0xa9ed4000,0x3fffa62f,
    0x5001ceff,0x21bffffd,0xfffffffc,0x08036601,0x17d10ec0,0x80000000,
    0x6400000c,0x80093000,0x02aea20b,0x4ddd4400,0x15775100,0x01573000,
    0x20022000,0xca880008,0xab98000a,0x2aee6000,0x2ee60001,0x2ee60000,
    0x0000000a,0x00000000,0x837fffcc,0x203ffffc,0xb07ffffe,0xffffffff,
    0xffffffff,0x00ffffff,0x0003ff98,0xffffffb8,0x000000df,0x51018000,
    0x4c000157,0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ffffc80,0x407fffe8,0x907ffffe,0xffffffff,0xffffffff,0x00ffffff,
    0x0003ff98,0x002b2a20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x7cc3fffe,0x7f401fff,0x9880ffff,
    0x99999999,0x99999999,0x80019999,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x12effd88,
    0xa803dffd,0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffc,
    0x3ffe200d,0x1fffffff,0x2aaaaaa6,0x2fb6e60a,0x00c40000,0xaaaa884c,
    0x36e60aaa,0xca880ace,0x2a200bde,0x40aaaaaa,0x5540ceb9,0x982aaaaa,
    0xaaaaaaaa,0x5555511a,0x55501555,0x35555555,0x06aaaaaa,0x00000000,
    0x164c0000,0x802b8800,0x50002ca8,0x2e200039,0x0b2600bc,0x71005930,
    0x5d400159,0xa8800abc,0xcc880acc,0xcccccccc,0xcccccccc,0xdd12cccc,
    0xdddddddd,0xdddddddd,0x0005dddd,0x00544000,0x000b332a,0x88062064,
    0x77777740,0x806eeeee,0x0000aca8,0x7fff4c00,0xfff92fff,0x20007fff,
    0x87ec05f9,0xffffffd9,0xffffff73,0x7fff4c1d,0xf9102fff,0x647fffff,
    0x7e45ffff,0x987fffff,0xfffffffe,0xffff911e,0xff9019df,0x39ffffff,
    0x0bbffff2,0x003bf200,0xb5000950,0x0bffe200,0x04ffda80,0x3fffffa2,
    0x1bfe2003,0xffffd300,0xffff907f,0x1ffff901,0xfffffd50,0x56f5403d,
    0x2a01fffb,0x43ffaaff,0xfffffff8,0xffffffff,0x3fffffff,0xfffffff1,
    0xffffffff,0x7fffffff,0x0fffffe4,0x5fffff88,0x427ffec4,0xffffffd8,
    0x41f3002d,0x7ec0effb,0x3ffffe5f,0x07ffffff,0x00000000,0x2ffffff6,
    0xfffffffd,0x7fc4000f,0x3213f201,0xfcbfffff,0x5fffffee,0xffffdff3,
    0x7fe401ff,0xfff93fff,0xff881fff,0x3f207fff,0xf304ffff,0xfd1007ff,
    0xf90fffff,0x3e60001d,0x3ea004ff,0x3fea004f,0x5fffb805,0x7fffe440,
    0x3fbf604f,0xb000ffff,0x74007fff,0x0fffffff,0x21fffffc,0x43fffff8,
    0xfffffffa,0x1ff881ff,0x7dc1ffee,0x893fea3f,0xffffffff,0xffffffff,
    0x13ffffff,0xffffffff,0xffffffff,0x87ffffff,0x503ffffd,0xb81dffff,
    0x740fffff,0xffffffff,0x9f600bef,0x2a4ffff8,0xfff2ffff,0xffffffff,
    0x0000000f,0x7fffdc00,0xfff31eff,0x74400bff,0x03fee05f,0x3fffffea,
    0x3ffff21f,0xff30cfdf,0x7d40bfff,0xffabffff,0xfd07ffff,0x7dc0ffff,
    0xf303ffff,0x7fcc005f,0x7ec2ffff,0x3fe60000,0x3fe6004f,0xfffa804f,
    0x3fff9803,0x7fec5440,0x6c49904f,0xf9804fff,0xc800ffff,0xffffb8ad,
    0x3ffffe64,0x7ffffd45,0x46fffea5,0x641fffc9,0x3ffee6ff,0x10fffc40,
    0x00003fff,0x000ffe20,0x7fec0000,0xdfffb06f,0xffffff01,0x556ffd49,
    0xfffffffc,0xa97f662d,0x3f26ffff,0xffff4fff,0xffffffff,0x00000000,
    0x7ffffdc0,0x7fffec0f,0x3ffd1007,0x540ffee0,0x41ffffff,0x4ffffff8,
    0x06ffffe8,0x33ffffe6,0x4fffc8cf,0x0fffffd0,0x17ffffd4,0xc8002fe8,
    0x2a6fffff,0xfc80001f,0x7fcc000d,0x3ffea04f,0x07ffe003,0x04fffb80,
    0x05fff303,0x9ffdffd0,0xffb81900,0x3fffe25f,0x7fffc44f,0x407ffe4f,
    0x7fd45ffa,0x707ffea4,0xfff81fff,0xf1000004,0x0000007f,0x20fffec0,
    0xd00efff8,0x6c9fffff,0xfffb500f,0xffffffff,0x1ffffc41,0x2a3ffff5,
    0xaaaaaaaa,0x000002aa,0x3fee0000,0xffc82fff,0xfd800fff,0x1fff504f,
    0x3ffffea0,0xdfffff03,0x1fffff60,0xffffff98,0xfd015c45,0x7d40ffff,
    0xfd82ffff,0xfff10001,0x09d15fff,0x20000000,0xfa84fff9,0xcfd883ff,
    0xdf71bee0,0x09fff703,0x4027fdc0,0xfff9dffa,0xfff98000,0x17ffffc2,
    0x997ffffc,0x3fe405ff,0xfffc8844,0x07ffe42f,0x0001bffe,0x001ffc40,
    0xfd100000,0x0effa87f,0x3ffffee0,0x2e2017e0,0xffffffff,0x40cfea82,
    0x00003efb,0x00000000,0x2fffffb8,0x1fffffb8,0x407ffec0,0x2a03fffa,
    0xf03fffff,0x320dffff,0x300fffff,0x03ffffff,0xfffffd00,0x7ffffd40,
    0x0000fe42,0x3bffffee,0x0000006c,0x27ffcc00,0x2e07fff5,0x5f13ffff,
    0x217fffa2,0x3004fffb,0xfd001fff,0x017ff61f,0xd03ffea0,0xfb01ffff,
    0x3fee1fff,0x40ffd402,0xfffbcfc8,0x207ffec2,0x00007fff,0x0007ff10,
    0xfe880000,0x2007fec6,0x223fffd8,0x764c001f,0x00000cef,0x00000000,
    0xff700000,0xff705fff,0x7e403fff,0xfff984ff,0x3ffea00f,0xffff03ff,
    0x3fff20df,0xfff300ff,0x3a000fff,0x2a07ffff,0x322fffff,0xfd00005f,
    0x003fffff,0x30000000,0xfff59fff,0x7fffd407,0xfff33d3f,0xfff709ff,
    0xfffe9809,0x3fee02ff,0x007ffe24,0xf707ff90,0x3fee0fff,0x201ff66f,
    0x7fd43ff9,0xd85fff53,0x7ffc0fff,0xf1000006,0x3fffe27f,0xffffffff,
    0xffffffff,0x7f4403ff,0x4003ff11,0x00000028,0x00000000,0x00000000,
    0x3ffffee0,0xfffffb82,0x1ffff901,0x03ffff98,0x1fffffd4,0x06fffff8,
    0x01fffff9,0x1bffffe6,0x7ffff400,0x3fffea07,0x05fff92f,0xffff5000,
    0x553001ff,0x55555555,0x55555555,0x7cc05555,0x803fffff,0xfefffffc,
    0x0cfffffe,0x804fffb8,0x07ffffc9,0xfb81fff1,0x3fe2006f,0x0bfff305,
    0xfc93ffe6,0x17fd400f,0x7fd4dff5,0x07ffdc2f,0x00013ffe,0xf89ffc40,
    0xffffffff,0xffffffff,0x803fffff,0x00026098,0x00000000,0x00000000,
    0x00000000,0x05fffff7,0x03fffff7,0x887ffff7,0xa807ffff,0xf03fffff,
    0x320dffff,0x300fffff,0x00bfffff,0x1fffffa0,0xafffffa8,0x00fffffd,
    0xffffe800,0xfffc804f,0xffffffff,0xffffffff,0x7fcc07ff,0x20c003ff,
    0x2e0045eb,0x26004fff,0xfd81ffff,0x05ffd03f,0xff017f60,0x17ffc05f,
    0xfd807ff5,0xb9bff60f,0x7fc42fff,0x07ffe21f,0x77440000,0xdddddd12,
    0xdddddddd,0xdddddddd,0x00000005,0x00000000,0x00000000,0x40000000,
    0x82fffffb,0x41fffffb,0x42ffffe8,0x805ffffb,0x03fffffa,0x20dfffff,
    0x00fffffc,0x07fffff3,0x3ffffa00,0x3fffea07,0xffffffef,0xff980004,
    0x6400ffff,0xffffffff,0xffffffff,0x407fffff,0x004ffffa,0x013a3ee0,
    0x004fffb8,0x2617ffdc,0x3fea06ff,0x084fb807,0xfb007fec,0x0fffc41f,
    0x7f46ffb8,0xfffeeeff,0x51ffdc2c,0x000009ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e000000,0xb82fffff,0x981fffff,0xfd86ffff,
    0x7d401fff,0xff03ffff,0x3f20dfff,0xf300ffff,0x0007ffff,0x81fffffa,
    0xaffffffa,0x02ffffff,0xffffd800,0x5554c04f,0xaaaaaaaa,0xaaaaaaaa,
    0x3fea02aa,0x4004ffff,0x5df75fe9,0x09fff700,0x40fff880,0x7f402ffe,
    0x213ea03f,0x2037dc4d,0xfffa86fb,0xfffd989c,0x8f7ffdc1,0xfa81fffe,
    0x4c3feabf,0xbbbbbbbb,0xbbbbbbbb,0x002bbbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb800,0xffffb82f,0xffff301f,0x0bfffb05,
    0x3fffffa8,0x0dfffff0,0x03fffff2,0x1fffffcc,0xffffe800,0x3fffea07,
    0xfffff52f,0xfd80001f,0x000fffff,0x2a000000,0xfff9bfff,0x7fff7004,
    0x7013ffe6,0x0ee09fff,0x3fea2ff4,0x0fff9805,0xeeeeffa8,0x027cc2ff,
    0x7fe413e6,0x2fffffff,0xaa883510,0x2b32a200,0xfffffa80,0xffffffff,
    0xffffffff,0xffffff54,0xffffffff,0x9fffffff,0x00000000,0x00000000,
    0x00000000,0x70000000,0x705fffff,0x403fffff,0xe886fffa,0x3ea01fff,
    0xff03ffff,0x3f20dfff,0xf300ffff,0x0007ffff,0x81fffffa,0x22fffffa,
    0x05fffffd,0x3ff7ea00,0x00005fff,0xfff50000,0x027ffcc7,0xff07fffc,
    0x7fe403ff,0x2effb85f,0x3ffa1bea,0x89ffb001,0xfffffff9,0x802f80ff,
    0x3ffea02f,0x0001efff,0xffa80000,0xffffffff,0xffffffff,0xfff54fff,
    0xffffffff,0xffffffff,0x000009ff,0x00000000,0x00000000,0x00000000,
    0xfffff700,0xfffff705,0x2fffa803,0x205ffe88,0x03fffffa,0x20dfffff,
    0x00fffffc,0x07fffff3,0x3ffffa00,0x3fffea07,0x3fffe22f,0xf88003ff,
    0xffffff8b,0x00980001,0x07fff500,0x4409fff3,0x7fe45fff,0x7fe5442f,
    0x3e62cfff,0x83feffff,0x22004ffb,0xfff31fff,0x0dffffff,0x73100000,
    0x00000379,0x88888000,0x88888888,0x88888888,0xbbbbb308,0xbbbbbbbb,
    0xbbbbbbbb,0x00000007,0x00000000,0x00000000,0x00000000,0x05fffff7,
    0x03fffff7,0x220dff70,0xff501fff,0x3fe07fff,0xff906fff,0x3e601fff,
    0x0003ffff,0x40fffffd,0x42fffffa,0x0ffffffa,0xff92f400,0x8000dfff,
    0x54001ffe,0x3e603fff,0x3bf204ff,0x9837f441,0x19999999,0x04d5dd44,
    0x40009988,0x33310998,0x01333333,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb80,0xfffffc82,
    0x07ff9001,0x7d417fe6,0xff03ffff,0x3f60dfff,0xf501ffff,0x0007ffff,
    0x81fffffa,0x82fffffa,0x06fffffd,0xff883f20,0x0002ffff,0x4009fff5,
    0x9803fff9,0x00204fff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff9000,
    0xffff907f,0x37e4005f,0xf703ff30,0xf109ffff,0x360dffff,0x701fffff,
    0x009fffff,0x3fffffa0,0xfffff900,0xfffff107,0x09f7009f,0x1ffffffb,
    0x7fff1000,0x01ffcc00,0x0009ff30,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fff4c00,0x3fe60eff,0x000dffff,0x5fa80ff6,0x7ffffec4,0x7fffdc1e,
    0x7ffd43ff,0x6c40cfff,0x00efffff,0x7ffffd40,0xfffe984f,0xffd81eff,
    0x9303ffff,0xfff70bff,0x0001bfff,0x730007b5,0x00093000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0xfa9fffff,0xffffffff,0x70176001,
    0x3fffea1d,0xfd3fffff,0xffffffff,0x3ffffff6,0xfff51fff,0x0dffffff,
    0xffffff10,0x3ee3ffff,0xffffffff,0x3fffffa3,0x3fa0ffff,0xe9beffff,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_47_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,3,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_47_latin_ext_y[560]={ 37,8,8,8,8,8,8,8,8,8,8,11,30,25,
30,8,8,8,8,8,8,8,8,8,8,8,17,17,12,18,12,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,43,7,17,8,17,8,17,8,17,8,8,
8,8,8,17,17,17,17,17,17,17,10,17,17,17,17,17,17,8,8,8,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,37,16,9,8,12,8,
8,8,8,8,8,17,18,25,8,3,8,11,8,8,7,17,8,19,36,8,8,17,8,8,8,16,-1,-1,-1,0,
0,1,8,8,-1,-1,-1,0,-1,-1,-1,0,8,0,-1,-1,-1,0,0,13,7,-1,-1,-1,0,-1,8,8,7,7,
7,8,8,7,17,17,7,7,7,8,7,7,7,8,8,8,7,7,7,8,8,13,16,7,7,7,8,7,8,8,
2,11,-1,8,8,17,-1,7,-2,7,0,8,-1,7,-1,8,8,8,2,11,-1,8,0,8,8,17,-1,7,-2,7,
-1,8,0,8,8,6,-2,-2,8,8,0,8,2,11,-1,8,8,8,0,17,8,8,-2,7,8,8,17,-1,-1,8,
8,8,8,8,8,8,8,-1,7,8,17,-1,7,8,8,17,2,11,-1,8,-1,7,8,17,-1,7,8,17,-1,7,
-1,7,-2,7,8,17,-1,7,8,10,-1,8,8,10,0,8,2,11,-1,8,-2,7,-1,7,8,17,-2,7,-2,7,
0,-1,7,0,8,-1,7,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,5,15,10,10,10,10,10,10,10,10,10,10,10,10,10,2,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-2,7,-2,7,-2,
7,-2,7,-1,4,-1,1,-1,0,-1,1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-7,-2,-2,7,-2,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_47_latin_ext_w[560]={ 0,8,17,21,19,38,33,8,13,13,17,24,9,13,
8,12,19,16,19,19,19,19,19,20,19,19,8,9,24,24,24,17,38,31,27,28,29,27,25,32,33,16,21,34,
27,40,30,31,24,31,32,20,26,30,31,43,31,31,28,9,12,9,19,23,10,20,22,17,22,17,17,20,22,12,
13,23,12,34,22,19,22,22,18,15,14,22,21,31,21,21,19,12,3,13,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,17,21,21,22,
3,19,14,30,14,21,24,13,30,23,15,23,12,12,10,23,23,8,8,11,12,21,30,30,31,17,31,31,31,31,
31,31,42,28,27,27,27,27,16,16,16,16,30,30,31,31,31,31,31,19,31,30,30,30,30,31,25,21,20,20,
20,20,20,20,29,17,17,17,17,17,13,13,14,14,19,22,19,19,19,19,19,23,19,22,22,22,22,21,22,21,
31,20,31,20,31,21,28,17,28,17,28,17,28,17,29,30,30,22,27,17,27,17,27,17,27,17,27,17,32,20,
32,20,32,20,32,20,33,22,33,22,16,14,16,14,16,14,16,12,16,12,35,21,21,16,34,23,24,27,12,27,
12,27,20,27,18,27,12,30,22,30,22,30,22,31,31,20,31,19,31,19,31,19,40,29,32,18,32,18,32,18,
20,15,20,15,20,15,20,15,26,14,26,22,26,14,30,22,30,22,30,22,30,22,30,22,29,22,43,31,31,21,
31,28,19,28,19,28,19,17,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,29,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,33,24,23,23,23,23,23,23,23,23,23,23,23,23,23,36,26,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,20,16,14,31,
19,30,22,30,22,30,22,30,22,30,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,31,20,42,29,31,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_bold_47_latin_ext_h[560]={ 0,30,15,30,32,31,30,15,38,38,17,24,15,5,
8,30,30,29,29,30,29,30,30,30,30,30,21,28,22,10,22,30,39,29,29,30,29,29,29,30,29,29,30,29,
29,29,30,30,29,37,29,30,29,30,30,30,29,29,29,37,30,37,16,4,9,21,30,21,30,21,29,30,29,29,
39,29,29,20,20,21,30,30,20,21,28,21,21,21,20,30,20,38,39,38,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,36,30,22,29,
39,39,7,30,13,20,10,5,30,4,15,24,16,16,9,30,39,8,9,16,13,20,31,31,31,31,38,38,38,37,
37,36,29,37,38,38,38,37,38,38,38,37,29,38,39,39,39,38,38,19,32,39,39,39,38,38,29,30,31,31,
31,30,30,31,21,28,31,31,31,30,30,30,30,29,30,29,31,31,31,30,30,19,22,31,31,31,30,40,39,39,
35,27,38,30,39,30,39,31,40,31,38,30,39,31,38,30,29,30,35,27,38,30,37,30,39,30,38,31,40,40,
39,39,38,39,37,41,39,39,29,29,37,29,35,26,38,29,39,39,37,20,30,39,40,40,37,37,20,38,38,37,
37,29,29,29,29,29,29,39,30,37,28,39,30,29,30,30,36,27,39,30,39,31,30,21,38,30,37,28,38,30,
39,31,40,31,37,28,39,31,40,38,38,30,29,28,38,30,36,27,39,30,40,31,39,31,39,30,40,31,39,40,
37,38,30,37,29,38,30,29,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,30,27,27,39,27,27,27,
27,27,27,27,27,27,27,27,27,27,33,23,27,27,27,27,27,27,27,27,27,27,27,27,27,36,22,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,39,31,39,30,40,
31,40,31,39,34,39,37,39,38,39,37,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,44,40,39,31,41,31,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__times_bold_47_latin_ext_s[560]={ 459,372,315,306,378,421,228,502,283,274,239,
60,501,498,503,85,457,308,325,248,369,192,149,22,222,202,503,500,110,402,204,
184,452,29,123,397,151,204,284,426,250,495,268,61,1,196,159,471,237,304,262,
285,96,47,395,427,389,421,453,368,122,448,282,377,427,352,99,423,24,441,232,
78,181,482,263,345,295,81,36,373,411,349,116,283,310,329,229,251,173,290,459,
325,285,126,458,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,459,282,62,
312,182,453,239,243,483,1,349,59,377,498,135,401,333,36,302,269,438,371,32,
449,502,257,364,479,461,311,109,404,29,218,186,255,62,80,213,475,1,61,118,
34,491,175,225,378,291,311,191,388,420,445,342,219,346,254,1,344,371,242,89,
87,362,383,1,1,490,440,393,367,422,91,492,325,311,297,282,181,242,1,342,
291,244,164,262,195,135,68,45,22,141,199,476,490,212,440,459,43,155,109,32,
264,317,226,430,131,315,138,415,459,58,64,261,484,402,343,1,379,187,361,297,
208,426,86,332,375,192,311,29,33,1,365,24,130,458,115,244,21,477,276,396,
499,287,135,212,289,128,150,125,395,148,374,402,183,494,476,432,153,354,386,373,
413,434,94,325,86,477,322,32,64,149,1,35,98,67,188,118,299,338,190,1,
348,250,209,491,492,252,476,234,385,294,460,377,140,99,262,186,401,155,169,181,
461,223,1,346,85,117,398,56,328,273,156,444,404,336,89,166,419,256,146,351,
414,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,381,416,416,215,
416,416,416,416,416,416,416,416,416,416,416,416,416,312,85,416,416,416,416,416,
416,416,416,416,416,416,416,416,112,155,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,92,21,
277,334,167,42,221,62,459,289,1,211,124,288,61,160,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,1,107,148,108,54,1,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416, };
static unsigned short stb__times_bold_47_latin_ext_t[560]={ 41,345,523,376,243,243,376,468,126,166,523,
498,498,523,398,376,345,438,438,345,438,345,345,345,313,313,376,345,498,523,498,
313,86,468,468,313,468,468,468,313,468,438,345,468,468,438,376,376,438,205,438,
376,468,407,376,376,438,438,438,205,407,205,523,534,523,498,407,498,407,498,468,
407,468,438,46,438,438,523,523,498,345,345,523,498,468,498,498,498,523,345,498,
126,86,126,523,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,41,280,243,
345,498,407,46,46,523,376,523,523,523,523,407,534,523,498,523,523,523,376,86,
523,484,523,523,498,280,280,313,280,166,126,126,205,205,243,407,205,166,166,166,
205,126,166,166,205,407,166,86,86,86,166,166,523,243,86,86,46,126,166,438,
345,280,280,313,345,313,280,498,468,280,313,280,313,313,313,313,438,313,438,280,
280,280,313,313,523,498,313,313,313,313,1,46,1,243,468,126,345,46,345,46,
280,1,280,126,345,46,280,166,313,438,345,243,468,126,313,243,313,46,313,126,
280,1,1,86,46,166,86,243,1,126,86,438,438,205,438,243,498,166,407,46,
46,205,523,345,86,1,1,205,205,523,166,166,205,166,407,407,438,407,407,407,
46,345,205,468,86,345,407,376,376,243,498,126,376,126,280,376,498,126,376,205,
468,126,376,86,243,1,243,205,468,46,243,1,126,126,376,407,468,126,345,243,
468,86,407,1,280,86,243,86,376,1,280,46,1,205,166,407,205,407,166,376,
407,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,345,468,468,46,
468,468,468,468,468,468,468,468,468,468,468,468,468,243,498,468,468,468,468,468,
468,468,468,468,468,468,468,468,243,498,468,468,468,468,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,46,281,
46,345,1,281,1,280,1,243,46,205,46,166,46,205,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,
468,468,468,1,1,86,280,1,281,468,468,468,468,468,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,468,
468,468,468,468,468,468,468,468,468, };
static unsigned short stb__times_bold_47_latin_ext_a[560]={ 170,226,377,340,340,679,566,189,
226,226,340,387,170,226,170,189,340,340,340,340,340,340,340,340,
340,340,226,226,387,387,387,340,632,490,453,490,490,453,415,528,
528,264,340,528,453,641,490,528,415,528,490,378,453,490,490,679,
490,490,453,226,189,226,395,340,226,340,378,301,378,301,226,340,
378,189,226,378,189,566,378,340,378,378,301,264,226,378,340,490,
340,340,301,268,150,268,353,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,170,226,340,340,340,340,150,340,
226,507,204,340,387,226,507,340,272,373,204,204,226,391,367,170,
226,204,224,340,509,509,509,340,490,490,490,490,490,490,679,490,
453,453,453,453,264,264,264,264,490,490,528,528,528,528,528,387,
528,490,490,490,490,490,415,378,340,340,340,340,340,340,490,301,
301,301,301,301,189,189,189,189,340,378,340,340,340,340,340,373,
340,378,378,378,378,340,378,340,490,340,490,340,490,340,490,301,
490,301,490,301,490,301,490,498,490,378,453,301,453,301,453,301,
453,301,453,301,528,340,528,340,528,340,528,340,528,378,528,378,
264,189,264,189,264,189,264,189,264,189,559,375,340,226,528,378,
378,453,189,453,189,453,318,453,269,453,189,490,378,490,378,490,
378,495,522,378,528,340,528,340,528,340,679,490,490,301,490,301,
490,301,378,264,378,264,378,264,378,264,453,226,453,354,453,226,
490,378,490,378,490,378,490,378,490,378,490,378,679,490,490,340,
490,453,301,453,301,453,301,189,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,502,528,528,340,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,376,528,528,528,528,528,528,
528,528,528,528,528,528,528,540,407,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,490,340,264,189,528,340,490,378,490,378,490,
378,490,378,490,378,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,490,340,679,490,528,340,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_47_latin_ext(stb_fontchar font[STB_FONT_times_bold_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_47_latin_ext_s[i] + stb__times_bold_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_47_latin_ext_t[i] + stb__times_bold_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_47_latin_ext_x[i];
            font[i].y0 = stb__times_bold_47_latin_ext_y[i];
            font[i].x1 = stb__times_bold_47_latin_ext_x[i] + stb__times_bold_47_latin_ext_w[i];
            font[i].y1 = stb__times_bold_47_latin_ext_y[i] + stb__times_bold_47_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_47_latin_ext_s[i] + stb__times_bold_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_47_latin_ext_t[i] + stb__times_bold_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_47_latin_ext_x[i] + stb__times_bold_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_47_latin_ext_y[i] + stb__times_bold_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_47_latin_ext_LINE_SPACING
#endif

