// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT        573
#define STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_48_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_48_latin_ext_LINE_SPACING          31

static unsigned int stb__times_bold_48_latin_ext_pixels[]={
    0xaaa88000,0x000002aa,0x26660000,0x98000009,0x44000001,0x00009999,
    0x02cccc98,0x99998800,0x44000000,0x004eeeee,0x32e00000,0x00000ccc,
    0x00000000,0xccca8000,0x5c00001c,0x0000cccc,0x2aaaa000,0x8000002a,
    0x001aaaa9,0x55544000,0x000002aa,0x25405dc0,0x1f4c0000,0x9802ec40,
    0x000c402a,0xffffc800,0x4400001f,0x7e40004b,0x0000ffff,0x07ffff50,
    0x3ffa0000,0xe80005ff,0x000fffff,0x2fffff40,0x3ee00000,0x0000efff,
    0xfff30000,0x00000bff,0x3fffa000,0x8000003f,0x06fffff8,0x3ffe6000,
    0x000004ff,0x5fffff50,0xff000000,0x0000dfff,0xfffff900,0x40000001,
    0xfe98cff9,0xfd000003,0x017fcc09,0xd880ffc8,0x00001eff,0x00fffffc,
    0x00bae000,0xfffff100,0xf500007f,0x009fd79f,0xffffa800,0x2a0001ff,
    0x04ffffff,0x3fffea00,0x000001ff,0x003bfffa,0xfd800000,0x001fffff,
    0x7d400000,0x000fffff,0x7ffe4000,0x00002fff,0x3ffffffb,0xfb000000,
    0x00005fff,0xfffff700,0x0000005f,0x007ffff9,0xffa80000,0x00004fff,
    0x2a17fea0,0x3f2005ff,0xffffb80f,0x3e600006,0x00001fff,0x400007dc,
    0xfffffffc,0x43fc0000,0x200001fd,0x5ffffffe,0x3fffa000,0x0000ffff,
    0xbfffffff,0x3e600000,0x00000eff,0x3ffea000,0x0005ffff,0x7ff40000,
    0x0004ffff,0x3fffe200,0x80006fff,0xfffffffa,0x44000005,0x0003ffff,
    0xffff8800,0x00006fff,0x0dfff900,0xf9000000,0x00000dff,0x321dffd0,
    0x32001fff,0xfffe80ff,0x900001ff,0x00005fff,0x30000bf0,0xfffbffff,
    0x27cc0009,0x800017d4,0xffeefffb,0xffb8001f,0x04fffbdf,0xeefffb80,
    0x00001fff,0x000fffb8,0x7f400000,0x1fffdbff,0x70000000,0xffffffff,
    0x36000001,0xfffccfff,0x7ff40003,0x01fffebf,0x3fea0000,0x0000003f,
    0xff99fffb,0x0000007f,0x0003fff6,0x00008000,0xfff30000,0x009fffbd,
    0xfe80ffc8,0x0000ffff,0x0005fff0,0x399bf300,0x3bff6000,0x003fff90,
    0x3e60fe20,0xff880003,0x0dffb15f,0x24fff880,0x2000fffa,0xfd15fff8,
    0xd00000df,0x000003ff,0x1fffb800,0x0001bff6,0x3ffe2000,0x04fff98e,
    0xfff98000,0x001ffee2,0x361fffb8,0x000005ff,0x00013ff6,0x1fffcc00,
    0x0000fff7,0x01ffec00,0x7f440000,0x0017fcc3,0xffffb000,0xc8001fff,
    0xfffb80ff,0xf300005f,0x2000005f,0x00fffff9,0x206ffd40,0x20005ffb,
    0x001fc86d,0xd84ffc80,0x3f2002ff,0x05ff982f,0x360fff60,0x200002ff,
    0x00001ff9,0x77fc4000,0x002ffc80,0x7fe40000,0x007ff444,0x07ffa000,
    0x2000ffea,0xfc80eff8,0xf000001f,0x0000009f,0x7d40fff4,0x0000003f,
    0x00001bf6,0xfb1bfee0,0x400000bf,0x3ffffff9,0x00ffc800,0x00019fd7,
    0x0000bae0,0x3ffffd00,0x204fe800,0x50001ff9,0x0bf935bf,0x05ff3000,
    0xf98037e4,0x07fa201e,0xc80bfe60,0x2200006f,0x0000001a,0x5405fc80,
    0x0000006f,0x6c40ffe6,0x2a00005f,0x3fe600ef,0x02fe4000,0x00001bee,
    0x000013a6,0x200efa80,0x00000ff9,0x0003b600,0x89ff3000,0x00003ffb,
    0x37fffec0,0x00ffc800,0xa8800000,0x5000000a,0x9800bfff,0x04d8803e,
    0x3fffae00,0xdc80000d,0x801eb801,0x2c8800a9,0xb801dc80,0x0000001e,
    0xa8000000,0x00193002,0x07f60000,0x00007f60,0x1c880154,0xa8015400,
    0x0000000c,0x2a800000,0x00039100,0x00000000,0x0cc06200,0x4c400000,
    0x90000999,0x000001ff,0x3ffffc80,0x06a00000,0x00000000,0x0001b980,
    0x00000000,0x00000000,0x26660000,0x000b6000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x000000ff,0x3aeb7f20,0x0000003f,0x00000000,0x00000000,
    0x98800000,0x8002201a,0x00000998,0xfffffda8,0xf902deff,0x00000007,
    0x00000000,0x4004d544,0x00000002,0x02a62000,0x2ea00140,0xcdefffdc,
    0x5000001a,0xbdfffb97,0x00000359,0x3fff72ea,0x4001acde,0xcccccccc,
    0x83cccccc,0xccccccc9,0x999992cc,0x99999999,0x99993079,0x32599999,
    0xdddd10ff,0x0001dddd,0x03f42fcc,0x02662000,0xeeeec800,0x99902eee,
    0x99999999,0x99307999,0x59999999,0x3bbbbbae,0x774c5eee,0x9101eeee,
    0x5bfffffd,0x7ec402c8,0xccdeffff,0x7003cccc,0x559dffff,0x45dfffd9,
    0xccca84fb,0xcccccccc,0x33333263,0xcccccccc,0x99999301,0xcb980099,
    0xfffffffe,0x003540bd,0x3333332e,0xcccccccc,0x7f5c4001,0xabdfffff,
    0xea803cc0,0xdaadffff,0x001effff,0xffffd500,0xffffb55b,0x2a00003d,
    0xaadffffe,0x01effffd,0xffff7310,0x035bffff,0x77ffed4c,0x3fee621b,
    0xadffffff,0x3ff6a601,0x3ff21bef,0x3ffff260,0x2e0000ff,0x001fb81f,
    0x7fffe440,0xcccccdef,0xffd7103c,0x26207fff,0xfffffffb,0x2a601adf,
    0x21befffd,0xffffffd8,0xffc980bf,0x9fff502e,0x9fff9735,0x7fdc05f7,
    0xfffb8bff,0x406fffff,0x03ffffe9,0x2f7fffea,0xfff9105f,0x15dfffff,
    0x7fffdcc4,0x09aeffff,0xbfff9510,0x3ff22003,0xcaabceff,0xebbdfffd,
    0xfda88006,0xcfffffff,0x3f260009,0xccdeffff,0xeabdfffe,0x7ffec407,
    0x3ffea02f,0x3620004f,0x2a02ffff,0x0004ffff,0x0bffff62,0x04ffffa8,
    0x7ffffe40,0xffe8006f,0x7fffe401,0xfe8006ff,0x80ffc81f,0x00ffffff,
    0x2e0bea00,0x3ee0001f,0xfff31eff,0x80dfffff,0x03fffffc,0xffffffc8,
    0x1ffe8006,0x3fffff60,0x80ffc407,0x9100fffb,0x3205ffff,0x7d42ffff,
    0x04eeefff,0x0bffffee,0x3ffffea0,0xffffa806,0x7d402fff,0x03ffffff,
    0x5002ff40,0x807fffff,0x6fffffd8,0x7fff4000,0xb8005fff,0x02efffff,
    0x1fffffea,0x3fffffa8,0xeffff980,0x7ffd4002,0xff9803ff,0x54002eff,
    0x803fffff,0x02effff9,0xffffff50,0x0bf7000b,0xffffff50,0x0bf7000b,
    0x3fa03ff2,0x0000ffff,0x003f42f4,0x83ffff90,0xeeeffffa,0x7fffd404,
    0xfffa803f,0xb8005fff,0x7ffc405f,0x3e201fff,0x09fff305,0x505fff50,
    0xf10fffff,0xf5009fff,0x4007ffff,0x00fffffc,0xffffffe8,0xffffd803,
    0x7ec004ff,0xfffd8801,0x3e6000ef,0x40006fff,0x3ffffffc,0x3fff6200,
    0x3f2003ff,0xfff507ff,0x7dc009ff,0x5001ffff,0x009fffff,0x0fffffdc,
    0xfffffa80,0x3ffee004,0xff9801ff,0x8004ffff,0xff9804fa,0x8004ffff,
    0x1ff904fa,0x1fffffd0,0xaefb8000,0x50003feb,0x3e0fffff,0x2a004fff,
    0x803fffff,0x4ffffff9,0x804fa800,0x04fffffc,0x7ff407ea,0x7ff7000f,
    0x0bffffd0,0x80bffffa,0x0ffffff9,0x3fffe200,0xfffa806f,0xf9806fff,
    0x007fffff,0x7f440374,0x8000ffff,0x0006fff9,0x7fffffdc,0x3fffa002,
    0xfc8002ff,0xffff887f,0xfff8007f,0xff8806ff,0xf8007fff,0x8806ffff,
    0x007fffff,0x06fffff8,0xffffff98,0x03f98004,0xffffff98,0x03f98004,
    0xffd01ff9,0x00001fff,0x007fffd7,0x2fffff40,0x01ffffe8,0x7fffff50,
    0xfffff300,0x7f30009f,0xfffff100,0x4c1b201f,0x6c007fff,0x7fffc43f,
    0xffffb05f,0x3fffa209,0xfe8005ff,0xf803ffff,0x00ffffff,0xffffffe8,
    0x007f3002,0x05fffff9,0x037fcc00,0x3fffee00,0xffb002ff,0x40009fff,
    0xfffd87fd,0xfb8004ff,0x6c04ffff,0x004fffff,0x4fffffb8,0x7ffffec0,
    0xfffb8004,0x7fcc04ff,0x8004ffff,0xff9803f9,0x8004ffff,0xfd0003f9,
    0x0001ffff,0x0003be60,0x5fffff88,0x09ffffb0,0x3ffffea0,0xffff9803,
    0xf98004ff,0xffffb003,0x5c0fe07f,0x2001ffff,0x7ffcc3f8,0xfffb04ff,
    0x3ffee0df,0x6c001fff,0x1fffffff,0x7ffffe40,0xfffb804f,0xf9005fff,
    0xffffa801,0xfb80007f,0x7fdc0006,0xb802ffff,0x00ffffff,0xf51fe200,
    0x005fffff,0xffffff30,0x3fffea03,0xf98002ff,0x501fffff,0x05ffffff,
    0xfffff300,0x7ffcc03f,0x98004fff,0xfff9803f,0x98004fff,0xffd0003f,
    0x00001fff,0x80007ff2,0x04fffff9,0x00dffffb,0x0fffffea,0x3ffffe60,
    0x3f98004f,0xfffff300,0x3201f50d,0x000effff,0xffff10fa,0x3fff209f,
    0xffffd06f,0xcfc800ff,0x06ffffff,0x7fffffc4,0xffff8807,0x5f800fff,
    0x7ffffc40,0xdf00004f,0xfffb8000,0x7c402fff,0x004fffff,0x3fe27d80,
    0x0007ffff,0xdffffff1,0xffffff10,0x3fe2000f,0xf886ffff,0x007fffff,
    0xffffff10,0x7fffcc0d,0xf98004ff,0xffff9803,0xf98004ff,0xfffd0003,
    0x100001ff,0x40009fff,0x04fffff9,0x00dffffb,0x0fffffea,0x3ffffe60,
    0x3f98004f,0x3ffffa00,0xf902ec2f,0x001dffff,0x3fffa0ee,0xffffb04f,
    0xfffff507,0xafdc00df,0x0ffffffe,0x7ffffec0,0xfffd802f,0x7d403fff,
    0x7fffec02,0x700001ff,0xffb8000d,0x6402ffff,0x01ffffff,0x3ea7a800,
    0x005fffff,0x3fffffa0,0x7fffd41f,0x3a0005ff,0x41ffffff,0x5ffffffa,
    0x3fffa000,0xff301fff,0x0009ffff,0xff3007f3,0x0009ffff,0x3a0007f3,
    0x000fffff,0x0ffffb80,0xffff1000,0x3fff609f,0xfff5004f,0xff3007ff,
    0x0009ffff,0x7d4007f3,0x3e26ffff,0x3fffea02,0x4400cfff,0x5ffffb80,
    0x03ffffd0,0xbffffffb,0xfd97ea00,0x402fffff,0x5ffffffa,0xfffffd80,
    0x203ec06f,0xfffffff8,0x01600000,0xfffff700,0x7ffc405f,0x00007fff,
    0xfffffb8e,0x3f60004f,0x5c2fffff,0x04ffffff,0x3ffff600,0x7ffdc2ff,
    0x20004fff,0x2ffffffd,0xffffff30,0x07f30009,0xffffff30,0x07f30009,
    0x3ffffa00,0xff80000f,0x20003fff,0xd05ffffd,0x2005ffff,0x03fffffa,
    0xffffff98,0x03f98004,0x7fffffc0,0xff880f71,0x3fffffff,0xffff8800,
    0x6ffff887,0xffffffd0,0x41df3009,0x3ffffffc,0xffffff80,0x3ffe200f,
    0x101fffff,0xfffa809f,0x00007fff,0x7fdc0000,0x2e02ffff,0x05ffffff,
    0xfffb0000,0x40009fff,0x4ffffffc,0x7fffffec,0x3ff20004,0x7ec4ffff,
    0x004fffff,0x3fffff20,0xffff304f,0xf30009ff,0xffff3007,0xf30009ff,
    0x3ffa0007,0x40000fff,0x07fffffa,0x3fffe600,0x5ffff887,0x3fffea00,
    0xfff9803f,0x98004fff,0x7fdc003f,0x009d5fff,0xfffffffb,0x98007fff,
    0x7dc2ffff,0xfff00dff,0x8809ffff,0x7ffe40fe,0xfc805fff,0x204fffff,
    0xfffffdfb,0x803f704f,0x6ffffffc,0x00000000,0x7fffffdc,0x3ffff602,
    0x000004ff,0x7ffffffd,0x7ffe4000,0x7ff45fff,0x0003ffff,0x3ffffff2,
    0x7fffff45,0x3f20003f,0x305fffff,0x09ffffff,0x3007f300,0x09ffffff,
    0x0007f300,0x03fffffa,0xffffd000,0x540005ff,0x7dc2ffff,0x2a000eff,
    0x803fffff,0x4ffffff9,0x003f9800,0x7fffffc4,0xfe8801fa,0xffffffff,
    0x362001ef,0xffeadfff,0x3ffe203f,0x2203ffff,0xfffc81fe,0xf8806fff,
    0x207fffff,0xfffff8ee,0xb00dd07f,0x0bffffff,0x80000000,0x2ffffffb,
    0x3fffffe0,0x8800003f,0x3fffffff,0x3fff2000,0x3fe27fff,0x003fffff,
    0x3fffff20,0x3fffe27f,0x20003fff,0x7ffffffc,0xffffff30,0x07f30009,
    0xffffff30,0x07f30009,0x7ff40662,0x20000fff,0xfffffff9,0x7ecc0006,
    0xfffe9bff,0x7fd4000c,0xf9803fff,0x004fffff,0xc8003f98,0x06ffffff,
    0x3ffffe60,0xdfffffff,0x3ffea000,0x4c00bdff,0x2fffffff,0x7dc0bf60,
    0x00ffffff,0xffffffd8,0xffb2fa82,0xf985ffff,0xfffff803,0x000004ff,
    0x7ffdc000,0x3fe02fff,0x002fffff,0xffff9800,0x20002fff,0xfffffffb,
    0xffffff30,0x7dc0005f,0x30ffffff,0x5fffffff,0x7ffdc000,0xf980ffff,
    0x004fffff,0xf9803f98,0x004fffff,0xff903f98,0xfffffd01,0x77ec0001,
    0x01ffffff,0xffffb800,0x50000cdf,0x007fffff,0x9ffffff3,0x007f3000,
    0xffffff30,0xfff98007,0xffffffff,0x2ec801ef,0x3ffe2000,0xf902ffff,
    0x7fffdc07,0xff5007ff,0xfb0bffff,0x7fffffd4,0x22007e45,0x3fffffff,
    0x00000000,0x7fffffdc,0xfffff102,0x000005ff,0xfffffff1,0x7fdc0005,
    0x3e27ffff,0x02ffffff,0x3fffee00,0x3ffe27ff,0x0002ffff,0x3fffffee,
    0xfffff307,0x7f30009f,0xfffff300,0x7f30009f,0x3a03ff20,0x000fffff,
    0xfff77f30,0x8000bfff,0x800002fc,0x03fffffa,0xffffff98,0x03f98004,
    0xfffffb00,0xffb10001,0xffffffff,0x3fa603ff,0xffe80003,0xfb83ffff,
    0x7fffe404,0x3fe006ff,0x220fffff,0x7ffffc3f,0x2017e0ff,0xfffffff8,
    0x00000003,0x7ffffdc0,0xffff302f,0x00007fff,0x3fffffe0,0x3f20003f,
    0x7c6fffff,0x03ffffff,0x3ffff200,0x7fffc6ff,0x20003fff,0x6ffffffc,
    0xffffff30,0x07f30009,0xffffff30,0x07f30009,0x3fa03ff2,0x0000ffff,
    0xffff11f9,0x30001fff,0x000007fd,0x0fffffea,0x3ffffe60,0x3f98004f,
    0xffff5000,0xfea80009,0xffffffff,0x07ffd07f,0xffffb000,0x05fa89ff,
    0xffffffc8,0x3fff2005,0x03f24fff,0x7ffffff9,0x3e200bea,0x03ffffff,
    0x40000000,0x2ffffffb,0xffffff10,0x2000009f,0x4ffffffe,0x3fff2000,
    0x7ff45fff,0x0004ffff,0x3ffffff2,0x7fffff45,0x3f20004f,0x305fffff,
    0x09ffffff,0x3007f300,0x09ffffff,0x3207f300,0xffff80ff,0xf88001ff,
    0x3fffff24,0xffe8004f,0xf5000003,0x3007ffff,0x09ffffff,0x0007f300,
    0x000ffff4,0xffffea80,0x4c3fffff,0x999befff,0xfb800999,0x265fffff,
    0xffd800ef,0x2004ffff,0x7ffffff8,0x3ffe617e,0x00fb6fff,0x7ffffffc,
    0xfffd7003,0xffffffff,0xffb8003d,0x3e02ffff,0x05ffffff,0xfffb0000,
    0x4000bfff,0x4ffffffd,0x7fffffec,0x3ff60005,0x7ec4ffff,0x005fffff,
    0x3fffff60,0xffff304f,0xf50009ff,0xffff3007,0xf50009ff,0x883ff207,
    0xdffffffb,0x30fdc000,0x1fffffff,0x77ffcc00,0x1999999b,0xffff5000,
    0xfff3007f,0x50009fff,0x7dc0007f,0x4002006f,0xfffffffb,0x7fffe47f,
    0xffffffff,0xffa81cef,0xdf16ffff,0x3fffa001,0x6c002fff,0xaaffffff,
    0xffffd01f,0x4009f5ff,0x4ffffffe,0x7ffec400,0x000dffff,0xffffff70,
    0x7ffff405,0x000006ff,0xbffffff7,0x7ffec000,0x7fdc2fff,0x0005ffff,
    0x3ffffff6,0x7ffffdc2,0x3f60005f,0x302fffff,0x09ffffff,0x3005f500,
    0x09ffffff,0x3205f500,0xffff10ff,0x07ffffff,0x7fec2fc0,0x2003ffff,
    0xfffffffc,0x4fffffff,0x3fffea00,0xfff9803f,0xa8004fff,0x3e20002f,
    0x0076003f,0xffffffc8,0x3fffea0f,0xffffffff,0x7c42ffff,0xe8ffffff,
    0x3ffe001f,0xa8006fff,0xedffffff,0x3fffee06,0x2001ffff,0x6ffffffb,
    0xffff8800,0x20000fff,0x2ffffffb,0x3fffff20,0x1000007f,0x0dffffff,
    0x7ffffc00,0xffff886f,0x3e0006ff,0x886fffff,0x06ffffff,0x3ffffe00,
    0x3ffe206f,0xa8005fff,0xfff8802f,0xa8005fff,0x01ff902f,0x40007fb1,
    0xfffa82fa,0x2a006fff,0xffffffff,0xffffffff,0xffffa802,0xfff8803f,
    0xa8005fff,0x7e40002f,0x00136000,0x3ffffff5,0x7fffffc4,0xffffffff,
    0x7fdc1fff,0x02feffff,0x3ffffe60,0xfff0003f,0x407fffff,0xfffffff8,
    0x7ffc4006,0xf0007fff,0x80ffffff,0xffb80bda,0x2201ffff,0x0fffffff,
    0xff900000,0x0001ffff,0x5ffffff3,0x3fffff20,0xff98000f,0xf902ffff,
    0x001fffff,0xffffff30,0x7fffc405,0xfc8005ff,0xffff8801,0xfc8005ff,
    0x881ff901,0x740005fe,0x3ffffa06,0xff1002ff,0xffffffff,0x1fffffff,
    0xfffff980,0xffff8802,0xfc8005ff,0x02ec0001,0x2a001b60,0x4c1fffff,
    0xfffffffe,0xffffffff,0xfffffe83,0x7fe4003f,0x0000ffff,0xfffffff9,
    0xfffffb00,0xffb0007f,0x0003ffff,0x0dffffff,0x5c3fffec,0x01ffffff,
    0x7fffffec,0xf1000002,0x009fffff,0xdfffff70,0x7ffffc40,0xffb8004f,
    0x3e206fff,0x004fffff,0x6fffffb8,0xffffff80,0x007e8005,0x17fffffe,
    0xfc81fa00,0x017fec0f,0x5c05f300,0x06ffffff,0x3ffffa60,0xffffffff,
    0x7cc02fff,0xf002ffff,0x00bfffff,0x88000fd0,0x0fec001f,0x3ffff400,
    0xffffffa8,0xffffffff,0xffff885f,0xfff8006f,0x20001fff,0x4ffffff8,
    0xfffff980,0xff88000f,0x8004ffff,0x06ffffff,0x85fffff1,0x1ffffffb,
    0x7ffffd40,0x0100006f,0x0ffffff7,0xfffffd00,0xffffb805,0xffe8007f,
    0x7dc02fff,0x8007ffff,0x02fffffe,0x7fffffd8,0x0037c400,0x0ffffffb,
    0x3206f880,0x1fffc0ff,0x880fb000,0x1fffffff,0x3fffea00,0xffffffff,
    0x31545fff,0x003fffff,0x1ffffff6,0x500df100,0x006b819b,0xc8006fd8,
    0x7f4c6fff,0xffd9802f,0xffff705f,0x7fd4005f,0x80003fff,0x00fffffd,
    0x0bffffd0,0x7fffcc00,0x7fc000ff,0xf706ffff,0xfc89ffff,0x9007ffff,
    0x03ffffff,0xfd03c800,0x4005ffff,0x04fffffa,0x5fffffd0,0x7fffd400,
    0xfffd004f,0x7d4005ff,0x5004ffff,0x03ffffff,0x50017f40,0x03ffffff,
    0xf9017f40,0x2fffd41f,0xeeff9800,0xffeeeeee,0x805fffff,0x201affe9,
    0x25fffc98,0xfff12ffd,0x3ea001ff,0x001fffff,0xff300bfa,0x8003e8bf,
    0x64004ffd,0x7ffc3fff,0x17fec004,0x1dffffd0,0xfffff100,0x3ea00009,
    0x2e005fff,0x0002ffff,0x1fffffdc,0x3ffffe00,0xffff306f,0xffffc83f,
    0x3ffa005f,0x0000efff,0x7fec05f9,0xfd1006ff,0xd8009fff,0x1006ffff,
    0x009ffffd,0x06ffffd8,0x9ffffd10,0xffffe800,0x6fd800ef,0xffffe800,
    0x6fd800ef,0xf307fe40,0x90007fff,0xdddddddf,0xfffffddd,0xffe801ff,
    0x9ffec003,0x3fe4fff8,0x7f4006ff,0x800effff,0xffc806fd,0x000d50ff,
    0x800bfff6,0x7fcc5ffe,0x3fec003f,0xffffff30,0xfffe880b,0x7c00002f,
    0x22002fff,0x00007fff,0x05fffff9,0x7fffffc0,0x13fffe06,0x0bfffff6,
    0xffffe880,0x7ec4006f,0xffffd803,0x3ffa200e,0xfb0004ff,0x4401dfff,
    0x004ffffe,0x1dffffb0,0x7ffff440,0xfff88004,0x9301efff,0xf10001df,
    0x03dfffff,0x9003bf26,0xfffe81ff,0x13e2003f,0xfffffd80,0x3ffe604f,
    0x0ffec003,0x7ffc9ffd,0x7fc4001f,0x301effff,0xf7001df9,0x05f33fff,
    0x3ffff600,0x0effc804,0x000fffe8,0x3e205ff7,0xffffd98e,0x3ffee22c,
    0x800000df,0xd8006ffc,0x200004ff,0x03ffffe9,0xdffffff0,0x217ffd40,
    0x05fffff8,0xfffff900,0xffb9805d,0x3ffaa001,0xfb511bef,0x0003dfff,
    0xbefffea8,0xffffb511,0xea80003d,0x511befff,0x03dffffb,0x7fff4400,
    0xfdcdffff,0x20000eff,0xffffffe8,0xefffdcdf,0x40ffc800,0xdefffff9,
    0x003f200b,0xffffff98,0x07fffc07,0x542ffb80,0xfffa8eff,0xffd10003,
    0xb9bfffff,0x2001dfff,0x5ffffff8,0x3fff6000,0x6cc0aeff,0xfd300dff,
    0x333359ff,0x201dfd73,0x7e441fe8,0xffffffff,0x000001cf,0x2000ffe2,
    0x00001ffa,0xbfffffb8,0x3ff2a209,0x5c01cfff,0xfd98beff,0x40005fff,
    0xeffffffa,0xfffdbabc,0xfb70000d,0xffffffff,0x800005bf,0xffffffdb,
    0x002dffff,0x7ffedc00,0xdfffffff,0x3ae00002,0xffffffff,0x200001df,
    0xffffffeb,0x2001dfff,0xfe980ffc,0x102fffff,0xffd000bf,0x4c07ffff,
    0x99acfffe,0x2efecba9,0xdfffff70,0xfd700005,0xffffffff,0xfb50003b,
    0xd80009ff,0xffff931e,0x005dfffd,0x3fffff66,0x402cdeff,0x54c401fc,
    0x0001abcc,0x003f6000,0x000037c0,0xfffff910,0xffffffff,0xfd980039,
    0x2effffff,0x3f260000,0xffffffff,0x100003ef,0x55799755,0x88000001,
    0xaabccbaa,0x44000000,0xaabccbaa,0x26000000,0x0aacccca,0x2a600000,
    0x00aacccc,0x5402a980,0x7e402cdc,0xfffa8003,0xdb807fff,0xffffffff,
    0xa98802df,0x98000009,0x0aacccca,0x00188000,0x2e601700,0x0001abcc,
    0x4000d4c4,0x00000028,0x00e60000,0x00002a80,0x99975300,0x00013559,
    0x35997510,0xa9800000,0x00aacccb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xff0001ff,0x007fffff,0x00cd4ccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2ffd8000,0xffffb000,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f540000,0x4c000eff,0xffffffff,0x0000001e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffc80,0x7f405fff,0xffffffff,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,
    0x00001ccc,0x00009988,0x99999950,0x00007999,0x5ddddd50,0x55554000,
    0x440000aa,0x2aaaaaaa,0x20000000,0x00000000,0x0aaaaaa8,0xaaa80000,
    0x00000aaa,0x00018800,0x0aa00591,0x33322000,0x8000001c,0x2ea800dc,
    0x4002a000,0xa880001a,0x00002aaa,0x66665400,0x00000001,0x00135310,
    0x00060000,0x0fffea00,0xffc88000,0x000cffff,0x3fffff20,0x0006ffff,
    0x4ffffe80,0x7ffd4000,0x440002ff,0xfffffffd,0x00000000,0x0000005b,
    0x7ffffc40,0xf9800004,0x0003ffff,0x376e2000,0xfe8004ff,0x0027ec03,
    0x04fffa80,0xff980000,0x001fee01,0xfb801df0,0xffc80003,0x00001fff,
    0xfffff100,0x0000000d,0xffffdd71,0x0039ffff,0x3ffeb800,0x3ff20000,
    0x3ea00002,0xffb99cff,0xff90002f,0xdfffffff,0xff880000,0x500005ff,
    0x000bffff,0x3ffffe20,0x0000000f,0x00005f98,0x3ffee000,0x7000004f,
    0x0009ffff,0x97f44000,0x4c001ffe,0xffe884ff,0x3e600000,0x0000006f,
    0xffb05ffb,0xdfd80005,0x01ffa881,0x7fffcc00,0x000005ff,0xffffff90,
    0x20000005,0x9abdffda,0xdfb95310,0xff100007,0x00003fff,0x800007fa,
    0xfc80fff9,0x000001ff,0x3ee00000,0x400005ff,0x000ffffa,0xfffffd00,
    0x00000001,0x00003ff9,0x3fffa000,0x3a000004,0x00004fff,0xf9bff400,
    0xfd8004ff,0x0fffe65f,0x3fa20000,0x88000000,0xffd13fff,0xff50000d,
    0xffffbbff,0xffb0000d,0x003fffff,0xfff88000,0x0006ffff,0x67ffdc00,
    0x6fec4000,0x3fee0000,0x40004fff,0xd1000000,0x3fee09ff,0x0020005f,
    0xffd00000,0x2e00000b,0x00002fff,0x01fffffd,0xf8800000,0x000004ff,
    0x05fff880,0x3fe60000,0x0000005f,0xff9affd4,0xff98001f,0x06fffbef,
    0x00004000,0xfff90000,0x003ffffb,0x3ffff600,0x001fffff,0x5f7ffd40,
    0x00006fff,0x667ffec0,0x00003fff,0x002ffd88,0x002ffa80,0x7fffff70,
    0x0ffa2000,0x20005ff3,0xf902fffa,0xd1000fff,0x02ff987f,0x1bfe2000,
    0xff700000,0x3fa0000b,0x0000ffff,0x7ffdc000,0x0000000f,0x0002ffdc,
    0x017fee00,0x3fa00000,0x00072a4f,0xffffffd8,0xd100002f,0x02ff987f,
    0x3fe20000,0x005fffff,0x3fffa200,0x0004ffff,0xf30dffe8,0x000005ff,
    0xfb8fffe6,0x200000ff,0x0000efe9,0x0007f620,0x03ffffe2,0x237fdc00,
    0x90005ffd,0x3ee0bfff,0xfb8006ff,0x02ffec6f,0x01df7000,0xff900000,
    0xffd00001,0x00001fff,0xfffff800,0x40000003,0x000005fe,0x00005fe8,
    0x5fff9800,0x7fcc0000,0x0005ffff,0xfb1bfee0,0x800000bf,0x0ffffffc,
    0xffc80000,0x80002fff,0xfe884ffb,0xfd000006,0x07ff503f,0x17fea000,
    0x06e80000,0x03bfb300,0x227fcc00,0x90003ffb,0xd101ffff,0xf30005ff,
    0x03ffb89f,0x002a6000,0x1ec80000,0xfffe8000,0x000000ff,0x3ffffea0,
    0x20000007,0x000005e8,0x00005e88,0xbfffb000,0xff900000,0x00003fff,
    0x3ee27fcc,0x4000003f,0x04fffff8,0x054c0000,0x2ff88000,0x000bf620,
    0x401df500,0x40000ff9,0x00004ff8,0x00027cc0,0x80c40000,0x3ea00019,
    0x0300efff,0x33018800,0x35100000,0x00000001,0xfffe8000,0x000000ff,
    0x3fffffa0,0x0000002f,0x00000000,0x4c000000,0x0005ffff,0x2aaaa880,
    0x01880000,0x00000033,0x00066662,0x00000000,0x1dc006a2,0x00aa0000,
    0x20000e44,0x000006fe,0x00001f70,0x00000000,0x7ffffc40,0x0000001e,
    0x6c400000,0x0003ffff,0x20000000,0x40fffffe,0x400001a8,0xfffffff9,
    0x20000006,0x05000a98,0x00000000,0x5ffffe80,0x53100000,0x0000a001,
    0x00000000,0x22000000,0x00000099,0x00000000,0x64000000,0x0cc000ff,
    0x0003e800,0x99999900,0x99999999,0x99999307,0xf9059999,0x009fffff,
    0x33333332,0x3ccccccc,0xcccccc98,0x7ec02ccc,0x402febad,0xcccccccc,
    0x83cccccc,0xccccccc9,0xfffe82cc,0xfffb70ff,0xb000019f,0xffffffdf,
    0x22000003,0xffffffeb,0xcbcc0abd,0xcccccccc,0x983ccccc,0xcccccccc,
    0xfdb8802c,0x99cfffff,0x3ae20000,0xbdffffff,0xcccbcc0a,0xcccccccc,
    0xcc983ccc,0x2ccccccc,0x7ee5d400,0x01acdeff,0x7ffec400,0xccccdeff,
    0x999993cc,0x99999999,0x99993079,0x00599999,0x40000000,0x2a002ffa,
    0xcc88efff,0x00d505ec,0xddddddd9,0xfff73105,0x35bfffff,0x7ffed4c0,
    0x3ff601be,0x401effff,0xfffffb98,0x201adfff,0xbefffda9,0x7c27cc01,
    0x7fdcc407,0xadffffff,0x3ff6a601,0xffd01bef,0xfff91fff,0x000dffff,
    0xfffbbf98,0x00005fff,0x7ffffe4c,0xfffeccde,0x7317eabd,0xffffffff,
    0x6d4c035b,0x001befff,0xfffffff9,0x0009ffff,0xdfffff93,0xbfffd99b,
    0x2e62fd57,0xffffffff,0x36a601ad,0x001befff,0x37ffffaa,0xeffffdaa,
    0xfffb8001,0xffffb8bf,0x7316ffff,0xffffffff,0x6d4c035b,0x641befff,
    0xcccccccc,0x323ccccc,0xcccccccc,0xe84ccccc,0x3ff2005f,0xfffaccae,
    0x803f305f,0xffffffb8,0x7fffe403,0xfe8006ff,0xfffd001f,0x2007ffff,
    0x6ffffffc,0x01ffe800,0x1f903f70,0x3ffff200,0xfe8006ff,0x7fff401f,
    0xfdacfcff,0x0004ffff,0x3ffe23f2,0x0000ffff,0xdfffff70,0x7fffd405,
    0xffffc87f,0xfe8006ff,0x7fec001f,0xffffffff,0x7fdc003f,0x2a02efff,
    0xc87fffff,0x06ffffff,0x001ffe80,0x0bffff62,0x04ffffa8,0x0bffff20,
    0xdddffff5,0xfffff909,0xffd000df,0x7ffdcc03,0x0aefffff,0xfffffb98,
    0x981aefff,0xfe8801ff,0x3ff7e26f,0x05f103ff,0x3fffff20,0x7fffd403,
    0xfb8005ff,0xffff3005,0x00bfffff,0xbffffff5,0x00bf7000,0x07e40fd4,
    0xfffffa80,0x5fb8005f,0xfffffe80,0x7fffd42f,0x4f88002f,0x3ffffff2,
    0x7ec40004,0x2003ffff,0xfa87fffc,0x005fffff,0xa8005fb8,0xffffffaa,
    0xb1000aaa,0x007fffff,0x543fffe4,0x05ffffff,0x2005fb80,0x03fffffa,
    0x2effff98,0x3ffffd40,0x027fffc4,0x3fffffea,0x05fb8005,0xffffff50,
    0xfff5001f,0x6403ffff,0xffe8806f,0x7ffff41f,0x400fa00f,0x03fffffa,
    0x7fffffcc,0x04fa8004,0xffb8ff98,0x405fffff,0x4ffffff9,0x004fa800,
    0x003fc27c,0x9ffffff3,0x009f5000,0x09fffffd,0x03fffffa,0x7cc3f700,
    0x00ffffff,0x3ffffa00,0xffc8002f,0xfffff987,0x4fa8004f,0x3ffe2000,
    0xfd0006ff,0x0005ffff,0xff30fff9,0x0009ffff,0x3ea009f5,0x2004ffff,
    0x01fffffb,0x417ffffa,0x202ffffe,0x4ffffff9,0x004fa800,0xfffffff1,
    0x3fffe200,0x1ffc07ff,0x427ffec0,0x406ffffe,0xfff5004d,0xff9807ff,
    0x8004ffff,0x7fc403f9,0x3ffffa61,0x3fe605ff,0x8004ffff,0x7e4003f9,
    0x002febad,0x3fffffe6,0x03f98004,0x0fffffe8,0x5fffff70,0xfd85f800,
    0x003fffff,0x9fffffb0,0x43fec000,0x4ffffff9,0x003f9800,0x3ffffea0,
    0xfffd8004,0x360004ff,0xffff987f,0xf98004ff,0xffff8803,0xfff8007f,
    0xfff106ff,0x3ff60bff,0x3fe604ff,0x8004ffff,0xff1003f9,0x400dffff,
    0x06ffffff,0xf7003fea,0xfff01fff,0x04c809ff,0x7fffff50,0xfffff980,
    0x3f98004f,0x6c437f40,0x02ffffff,0x9ffffff3,0x007f3000,0x3fffeb88,
    0x7fffcc00,0xf98004ff,0xffffe803,0xffff300f,0x17d4009f,0x7fffffd4,
    0xfffb8006,0x20000fff,0xfff987f8,0x98004fff,0x3f20003f,0x4002ffff,
    0x0ffffffb,0x21fe2000,0x4ffffff9,0x803f9800,0x04fffffd,0xfffffb80,
    0xfffff984,0xdffffb04,0x7ffffcc0,0x3f98004f,0x3ffffe00,0x3ffe006f,
    0x3ee06fff,0x7fffc405,0xfffff985,0xa801ec01,0x403fffff,0x4ffffff9,
    0x203f9800,0x3ee04ff9,0x980fffff,0x04ffffff,0x0003f980,0x260002aa,
    0x04ffffff,0xe803f980,0x300fffff,0x00bfffff,0xfffd0374,0x44005fff,
    0x04ffffff,0xf987d800,0x004fffff,0x20003f98,0x01fffffd,0x3ffffe20,
    0x7d80004f,0xffffff98,0x03f98004,0x7fffffd4,0xfff98002,0x7fc41fff,
    0xff904fff,0x7fcc0dff,0x8004ffff,0x3fe003f9,0x2006ffff,0x06ffffff,
    0xff9013f2,0xfff505ff,0x005d00ff,0x0fffffea,0xffffff30,0x07f30009,
    0x26037fe4,0x982fffff,0x04ffffff,0x0003f980,0x300026a6,0x09ffffff,
    0xd007f300,0x201fffff,0x07fffff8,0x7dc05f30,0x006fffff,0x3ffffff2,
    0x87a80001,0x4ffffff9,0x003f9800,0x1fffffe0,0xfffff900,0xf500003f,
    0xffffff30,0x07f30009,0x7fffffc4,0xfff10007,0xffd0dfff,0x3ff609ff,
    0x3fe603ff,0x8004ffff,0x3fe003f9,0x2006ffff,0x06ffffff,0xff880ff6,
    0xffc80fff,0x01f805ff,0x7fffff50,0xfffff980,0x3f98004f,0x007fffa0,
    0x309ffff5,0x09ffffff,0x4007f300,0xfffffeda,0xfff3002e,0x30009fff,
    0xfffd007f,0x3fe201ff,0xd800ffff,0x7fffc407,0xf8801fff,0x007fffff,
    0x3fe60e00,0x8004ffff,0xf10003f9,0x400dffff,0x7ffffff8,0x260e0000,
    0x04ffffff,0x2a03f980,0x05ffffff,0x3ffffa00,0x7ffdc1ff,0xffffd05f,
    0x7fffcc03,0xf98004ff,0x3fffe003,0x3fe006ff,0x3a06ffff,0x3ffee02f,
    0xffff885f,0x003cc03f,0x07fffff5,0xffffff98,0x03f98004,0x003bfffe,
    0xf309fff7,0x009fffff,0xb1007f30,0xffd737df,0xff3005ff,0x0009ffff,
    0xffd007f3,0x7fc01fff,0x4c00ffff,0xeeeeeeff,0xffffffee,0xfffb805f,
    0x00005fff,0x7ffffcc0,0x3f98004f,0xffff5000,0x7fdc009f,0x0005ffff,
    0x7fffcc00,0xf98004ff,0x3fffee03,0x360004ff,0x42ffffff,0x887ffff8,
    0x4c06ffff,0x04ffffff,0x2003f980,0x06ffffff,0x3fffffe0,0xf807fe06,
    0xfb82ffff,0x6400ffff,0x3ffea004,0x7fcc03ff,0x8004ffff,0x3ff603f9,
    0x3e200eff,0xfff982ff,0x98004fff,0x7ffd403f,0x7ffffc40,0x7fffcc01,
    0xf98004ff,0xffffe803,0x3fffe00f,0xeefc807f,0xeeeeeeee,0x0fffffff,
    0x7ffffec0,0x4000004f,0x4ffffff9,0x003f9800,0x5fffff90,0x7fffec00,
    0x000004ff,0x7fffffcc,0x03f98004,0x3ffffff6,0x3ff20004,0xf984ffff,
    0x7fdc2fff,0x7fcc00df,0x8004ffff,0x3fe003f9,0x2006ffff,0x06ffffff,
    0x7fc407fe,0xfff80fff,0x01e806ff,0x3ffffea0,0x7fffcc03,0xf98004ff,
    0x3fffea03,0x3ffa01ef,0xfffff980,0x3f98004f,0x40ffff40,0x407ffffd,
    0x4ffffff9,0x803f9800,0x00fffffe,0x0bfffff1,0x36004f88,0x04ffffff,
    0x7ffffffc,0x4c000003,0x04ffffff,0x0003f980,0x03fffffb,0x7fffffc0,
    0x4000003f,0x4ffffff9,0x203f9800,0x3ffffffe,0x3fff2000,0xfb105fff,
    0xfffd5bff,0x3ffe6007,0x98004fff,0x3ffe003f,0x3e006fff,0x206fffff,
    0xfff302fe,0xffff50ff,0x006a809f,0x1fffffd4,0x3ffffe60,0x3f98004f,
    0x7ffffec0,0x05ff883f,0x9ffffff3,0x407f3000,0xc85ffff9,0x200fffff,
    0x4ffffff9,0x803f9800,0x00fffffe,0x09fffff3,0x26000fc8,0x07ffffff,
    0x7ffffffc,0x4c000002,0x04ffffff,0x0003f980,0x00ffffff,0xfffffff8,
    0x4c000002,0x04ffffff,0xf103f980,0x07ffffff,0x7fffe400,0x7fd407ff,
    0x000bdfff,0x3fffffe6,0x03f98004,0x3fffffe0,0x3fffe006,0x0ffa06ff,
    0x237fffdc,0x1fffffe9,0x5000be20,0x807fffff,0x4ffffff9,0x403f9800,
    0xfffffff8,0x403fee0d,0x4ffffff9,0x203f9800,0x40fffffb,0x01fffffc,
    0x3fffffe6,0x03f98004,0x0fffffe8,0x5fffff30,0x4002fc40,0x3ffffffe,
    0xffffff10,0x8000005f,0x4ffffff9,0x003f9800,0x5fffff88,0x3fffe200,
    0x00002fff,0x7ffffcc0,0x3f98004f,0xffffff30,0x7dc0005f,0x00ffffff,
    0x200005d9,0x4ffffff9,0x003f9800,0x3ffffffe,0xcccccccc,0xffffffcc,
    0x6417f606,0x3a26ffff,0x407ffffb,0xffa8004c,0x7cc03fff,0x004fffff,
    0xe8803f98,0x9effffff,0x3e601efa,0x004fffff,0x3e203f98,0xffc86fff,
    0x3e601fff,0x004fffff,0xfe803f98,0xf700ffff,0x6403ffff,0xffa8003f,
    0xf307ffff,0x07ffffff,0xff980000,0x8004ffff,0xfa8003f9,0x2004ffff,
    0xfffffff9,0x4c000003,0x04ffffff,0xf103f980,0x05ffffff,0x7fffdc00,
    0x3fe987ff,0x3fe60000,0x8004ffff,0x3fe003f9,0xffffffff,0xffffffff,
    0x206fffff,0xfff906fb,0xf3bb13ff,0x7640dfff,0xfffa8000,0x7fcc03ff,
    0x8004ffff,0xfd1003f9,0xbfffffff,0xffff9801,0xf98004ff,0x0efed403,
    0x3fffff62,0x3fffe601,0xf98004ff,0xffffe803,0xffffd05f,0x00ffc40b,
    0xffffff80,0xffff883f,0x00004fff,0x7ffffcc0,0x3f98004f,0xffffc800,
    0x3fe2002f,0x004fffff,0x7ffcc000,0x98004fff,0x3fffe03f,0x20003fff,
    0x6ffffffc,0x0003ffe8,0x3ffffe60,0x3f98004f,0x3ffffe00,0x999999ef,
    0xffff9999,0x1fe606ff,0x7fffffe4,0xffff98ff,0x1503d904,0xfffffa80,
    0x7fffcc03,0xf98004ff,0x3ff62003,0x803fffff,0x4ffffff9,0x003f9800,
    0xfffff910,0x7fcc03ff,0x8004ffff,0xffe803f9,0x2e0dffff,0x200fffff,
    0xb0002ffd,0x1fffffff,0xfffffff0,0x9800000b,0x04ffffff,0x8003f980,
    0x00fffffd,0x7fffffc0,0x4000005f,0x4ffffff9,0x203f9800,0x4ffffffe,
    0x3fff2000,0x7fcc5fff,0x99999bef,0x3fe60009,0x8004ffff,0x3fe003f9,
    0x2006ffff,0x06ffffff,0x7fd40ff4,0x3a1fffff,0x774c6fff,0xfa805b80,
    0x4c03ffff,0x04ffffff,0x8003fa80,0xfffffffb,0x7fffcc02,0xfa8004ff,
    0x7fe44003,0x1fffffcc,0x3ffffe60,0x3fa8004f,0xfffffe80,0xfffedffb,
    0xffd501ff,0xf98001df,0xefffffff,0x7fffff41,0x4000006f,0x4ffffff9,
    0x003fa800,0x06ffffe8,0xfffffe80,0x4000006f,0x4ffffff9,0x203fa800,
    0x5ffffffd,0x3fff6000,0x7fe44fff,0xffffffff,0x201cefff,0x4ffffff9,
    0x003fa800,0x1bfffffe,0xffffff80,0xe81fdc06,0x5c0effff,0xfeceffff,
    0x5003f103,0x807fffff,0x4ffffff9,0x002fa800,0xfffffd10,0x7ffcc01f,
    0xa8004fff,0x3fee002f,0xfffff93f,0x7fffcc03,0xfa8004ff,0xffffe802,
    0xffffe98f,0xfff901cf,0x80bfffff,0xfffffffe,0x325fffff,0x07ffffff,
    0x7fcc0000,0x8004ffff,0xff8002fa,0xc8004fff,0x07ffffff,0x7fcc0000,
    0x8004ffff,0x3fee02fa,0x0005ffff,0x3ffffff6,0x7ffffd42,0xffffffff,
    0xff302fff,0x0009ffff,0x7fc005f5,0x2006ffff,0x06ffffff,0xea80ffc4,
    0xffd500ce,0x04c8059d,0x7fffff50,0xfffff880,0x2fa8005f,0x7ffdc000,
    0x3fe205ff,0x8005ffff,0xfd8802fa,0x3fff22ff,0x3fe201ff,0x8005ffff,
    0xffe802fa,0x2ea20fff,0x00000001,0xf1007fa6,0x01ffffff,0x7fc40000,
    0x8005ffff,0xff8002fa,0x88002fff,0x0fffffff,0x3e200000,0x005fffff,
    0x3e202fa8,0x006fffff,0x3fffffe0,0xfffff886,0xffffffff,0xf881ffff,
    0x005fffff,0x3e002fa8,0x006fffff,0x1bfffffe,0x0001bee0,0x003e2000,
    0x1fffffd4,0x3ffffe20,0x1fc8005f,0x3e601100,0x3e207fff,0x005fffff,
    0x7cc01fc8,0x7fe43fff,0x3e201fff,0x005fffff,0xfe801fc8,0x0000ffff,
    0x7d400000,0xfffb002f,0x00005fff,0x7ffffc40,0x1fc8005f,0x7fffc400,
    0xffb0000f,0x0005ffff,0x7fffc400,0xfc8005ff,0x7fffe401,0xf98000ff,
    0x302fffff,0xfffffffd,0xffffffff,0xfffff107,0x3f9000bf,0x7ffffc00,
    0x3ffe006f,0xfd006fff,0x40000007,0x3ea003d8,0xf803ffff,0x005fffff,
    0xff7007e8,0x3fffe60b,0x3ffffe01,0x07e8005f,0x07ffff44,0x07fffff2,
    0xbffffff0,0x200fd000,0x00fffffe,0x20000000,0x2a007ff8,0x06ffffff,
    0x3fe01000,0x8005ffff,0xfff0007e,0x7d4000bf,0x006fffff,0x3ffe0100,
    0xe8005fff,0xffff8807,0xfb8004ff,0x5406ffff,0xffffffff,0x5fffffff,
    0xbffffff0,0x800fd000,0x06ffffff,0x3fffffe0,0x01ff1006,0xbd100000,
    0xffff9800,0xfffd802f,0x7c4007ff,0x5ffff006,0x807fffa0,0x07fffffd,
    0x32037c40,0xfc86ffff,0x6c01ffff,0x007fffff,0xfe8037c4,0x0000ffff,
    0x3ea00000,0x3f2000ff,0x001fffff,0xffd81e40,0x44007fff,0xfff0006f,
    0xfc80005f,0x001fffff,0xffd81e40,0x44007fff,0xfff7006f,0xfd000fff,
    0x2605ffff,0xd9802ffe,0xffb05fff,0x8800ffff,0x7ffc006f,0x3e006fff,
    0x006fffff,0x00003be6,0xa804e880,0x3ffffe62,0xffffa802,0x3fa001ff,
    0xffff9802,0x80fff902,0x1ffffffa,0xd00bfa00,0x441fffff,0x01fffffd,
    0x7fffffd4,0x00bfa001,0x07fffff4,0x00000000,0x8007fffb,0x0efffffe,
    0x205f9000,0x1ffffffa,0x400bfa00,0x002fffc0,0xfffffe80,0x5f90000e,
    0x3ffffea0,0x0bfa001f,0xfffffe80,0x3ffea002,0x3ffe04ff,0x17fec004,
    0xffffffa8,0x00bfa001,0xdffffff0,0x7ffffc00,0x7fd4006f,0xe8800002,
    0x12ffd804,0x003fffff,0x3bfffffa,0x006fd800,0x6c03fffe,0xffe804ff,
    0xd800efff,0xffff806f,0xfffcbeff,0xe802ffff,0x00efffff,0x3a006fd8,
    0x000fffff,0x32000000,0x2001efff,0x6fffffe8,0x01fec400,0x3bfffffa,
    0x806fd800,0x3bfe4fe9,0xfd100000,0x800dffff,0x7f403fd8,0x800effff,
    0xfd8006fd,0xd1006fff,0x4c09ffff,0x6c003fff,0x7fff407f,0xfd800eff,
    0xffff8006,0x3fe006ff,0x8006ffff,0x0000dfe8,0x8803fc88,0x3ffe4fff,
    0x3fe2005f,0x301effff,0x64001df9,0xff980fff,0xfff8801e,0x9301efff,
    0xff9001df,0x7bffffff,0x99dfffff,0x7ffffc40,0xdf9301ef,0x7fff4001,
    0x000001ff,0x3ffe6000,0x7e4001ff,0x402effff,0x8801ffb9,0x1effffff,
    0x001df930,0x3fe2fffd,0xfc800001,0x402effff,0x8801ffb9,0x1effffff,
    0x001df930,0x3bffff60,0x3fffa200,0xfffe804f,0x05ff7000,0xffffff88,
    0x1df9301e,0xffff8800,0x3fe006ff,0x0007ffff,0x0005ff91,0x80077f22,
    0x3ffe4ffe,0x7f44000f,0xcdffffff,0x000efffd,0xa9aeffd8,0x2000effd,
    0xffffffe8,0xefffdcdf,0xffff3000,0x7ff45fff,0xe8805fff,0xdfffffff,
    0x00efffdc,0x3ffffe20,0x0000003f,0x7fffe400,0xf5003def,0x79dfffff,
    0x1bfffb75,0x7fff4400,0xfdcdffff,0xfb000eff,0x000ff2ff,0xffffa800,
    0xdbabceff,0x2000dfff,0xffffffe8,0xefffdcdf,0x7f540000,0xb511beff,
    0x003dffff,0x2b3fffa6,0xfeb99999,0xffd1000e,0xb9bfffff,0x0001dfff,
    0xfffffff3,0x3fffe600,0x20000fff,0x1acdffc8,0x6fedd4c4,0xeffa8001,
    0x003fffb8,0x3ffffae0,0x01dfffff,0x7fff5400,0x20004dff,0xffffffeb,
    0x8001dfff,0x40ceffda,0x004effda,0x7fffff5c,0x001dffff,0x3fffff62,
    0x0003cfff,0x3ee00000,0x00dfffff,0x3ffff260,0x3effffff,0x3ffae000,
    0xdfffffff,0x7ff4c001,0x000001ef,0xfffff930,0x07dfffff,0x7fff5c00,
    0x1dffffff,0x7edc0000,0xffffffff,0xb30002df,0xdfffffff,0x2e00059b,
    0xfffffffe,0x10001dff,0xfffffffd,0x7ff4401b,0x00dfffff,0x7fed4400,
    0xdefffeff,0x7dc0000c,0x002effff,0x99995300,0x80000155,0x00000a98,
    0x5666654c,0x0880000a,0x40000880,0xaacccca9,0xaaa88000,0x2aaaaaaa,
    0x00000000,0x015ee5c4,0x332ea600,0x00000aac,0x2b3332a6,0x4c40000a,
    0x00000000,0x2b332ea6,0x2600000a,0x0aacccca,0x54400000,0x0aabccba,
    0x54c40000,0xa9800001,0x00aacccc,0xffffe880,0xffffffff,0x3ffffa5e,
    0xffffffff,0x3100005e,0x00001353,0x0004d4c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0b333260,0x66640000,0x00000ccc,0x00133332,
    0x220032a0,0x0062001a,0x19500018,0x00035100,0xa88014c0,0x51000000,
    0x55544555,0x4c000002,0x001aaaaa,0x33333326,0xcccccccc,0xcccccccc,
    0x05531ccc,0x28800cc0,0x55440000,0x00002aaa,0x550d554c,0x00000355,
    0xddddb000,0x0000001b,0x0a201551,0x9004d880,0x5500001b,0x00005555,
    0xffb00000,0x00001fff,0x2fffff98,0x3fee0000,0x40002fff,0x3e600ef9,
    0xffc8800f,0x3ffaa02e,0x077cc003,0x0003ff30,0x6c01fd40,0x5000000f,
    0x7fe49fff,0x4000002f,0x00effffe,0x3ffffee0,0xffffffff,0xffffffff,
    0xff92ffff,0x00bf2001,0x80000dd1,0x01fffffb,0x7ffec000,0x003bffe1,
    0xf3000000,0x0003ffff,0xffff9000,0x4006d839,0xfd100dfc,0xff500009,
    0x00005fff,0x2a000076,0x04ffffff,0x7ffe4000,0x2200003f,0x06ffffff,
    0x81ffd800,0xf7004ffb,0x3e20dfff,0x4001ffff,0xffb81ffd,0x7c400004,
    0x6fc880af,0x3f600000,0x027ffc6f,0x3fe60000,0x5c000eff,0x7c09dfff,
    0x446fffff,0xf92fffe9,0x3fea001f,0x009fb301,0xffffe800,0x7c400001,
    0x3ffea3ff,0x00000001,0x02ffffc8,0xffc80000,0xccefffff,0x7fc4005f,
    0x07ff4c0e,0x7ffec000,0xf700002f,0xffd00003,0x001fffff,0x1ffff400,
    0x3ff20000,0x003fffff,0x917ffcc0,0x3a001fff,0xb82fffff,0x004fffff,
    0xf917ffcc,0x000001ff,0xfb9dfffd,0x00009fff,0x987ffe20,0x00000eff,
    0x077ffdc0,0x01ffdc00,0x0dffffff,0xffc97fec,0xffff1000,0x5ffffd9d,
    0x7fc40000,0x800002ff,0x7fe46ffb,0x00000004,0x005fffd0,0xfff30000,
    0xffffffff,0xff70007f,0x0fffea3f,0x7fffc000,0xff100003,0xffb80003,
    0x04fffbdf,0x7fff3000,0xff980000,0x07fffaef,0xbfffd800,0x2003fffd,
    0x81fffffd,0x04fffffa,0xdcfffc80,0x00003fff,0xffffff30,0x0000dfff,
    0x321ffd40,0x000001ff,0x000effe8,0xff80bf70,0x6c06ffff,0x001ff92f,
    0x7fffffd4,0x00005fff,0x0017ffdc,0x40ffd800,0x000006ff,0x5fff3000,
    0x2e000000,0xffffecdf,0x10006fff,0xfffbffff,0x3ea0000d,0x200003ff,
    0x20001ffe,0x3ea4fff8,0xc80001ff,0x800004ff,0xfd10effd,0xf880007f,
    0x06ffffff,0x37fffd40,0x01fffff0,0xfffff100,0x00000dff,0xffffffb8,
    0x000001ff,0x13fe17f6,0x3e200000,0x2e0000ff,0x7fffc00f,0x97cc06ff,
    0x64000ffc,0xefffffff,0x7f400000,0x1000002f,0x1ffa87ff,0x00000000,
    0x00007ff7,0x36a36400,0x000effff,0x3ffffee0,0xb00002ff,0x400009ff,
    0x0001fffc,0x3e60bff2,0xfe80005f,0xfa800004,0x0ffd884f,0x7ffe4000,
    0xb8002fff,0x32600cfe,0x320002df,0x02ffffff,0xfe980000,0x0000dfff,
    0x303fe200,0x000000df,0x00007fee,0xffff00d7,0x25d00dff,0xa8000ffc,
    0x004fffff,0x03ff8800,0x17ee0000,0x00000ff2,0x03fe8000,0x0cc00000,
    0x00003530,0x17fffffa,0x04ff8000,0x3fff2000,0xff30001f,0x00ff4403,
    0x00079100,0xb00ffa00,0xf880007f,0x0005ffff,0x40000000,0x05fffff8,
    0x54400000,0x8000000a,0x00eb82e9,0x3d900000,0x00770000,0x0dffffff,
    0x03ff2590,0x009a9800,0x07d50000,0x0dc80000,0x000005d8,0x00154000,
    0x00000000,0x7ffdc000,0x300001ff,0x2200009d,0x01fffffd,0x10015300,
    0x00000059,0x006a2000,0x4c00025c,0x0000aaaa,0x80000000,0x000aaaa9,
    0x00000000,0x00000000,0x00000000,0x7fffc000,0x7e4006ff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99998000,0x00000000,
    0xffffd100,0x0dddddff,0x00000000,0x00000000,0x4c400000,0x0002201a,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,0x800dffff,
    0x00000ffc,0x4c400000,0x0002201a,0x00000000,0x00000000,0x33333320,
    0xcccccccc,0xccccc983,0x0002cccc,0x00000000,0xfffffe88,0x07ffffff,
    0xeb800000,0xeeeeeeee,0x777774c5,0x0000001e,0xffd91000,0x2c85bfff,
    0x77777744,0x3bbb20ee,0x9933eeee,0x99999999,0x99991001,0x00199999,
    0xfffdcba8,0x4001acde,0xcccccccc,0x83cccccc,0xccccccc9,0x999932cc,
    0x01999999,0x99999910,0xf8001999,0x006fffff,0xccc87fe4,0xcccccccc,
    0xcc983ccc,0x2ccccccc,0xffffd910,0x002c85bf,0xfffb9750,0x000359bd,
    0x3332a000,0xcccccccc,0xcccccccc,0x41cccccc,0xfffffb98,0x201adfff,
    0xbefffda9,0x33333221,0xcccccccc,0xcccc883c,0xcccccccc,0xcccccccc,
    0x6d5440cc,0xaacfffff,0x9999502a,0x40005999,0xffffffd8,0xffc980bf,
    0x33332a2e,0xcccccccc,0x6666400c,0xfa83cccc,0xfcb9acff,0x982fbcff,
    0x0ffffffc,0x3ffffaa2,0x3ffee64f,0x005fffff,0x7dfffb53,0x7ff54003,
    0xffdaadff,0x31001eff,0xfffffff7,0x54c035bf,0x41befffd,0xffffffb9,
    0xb53005ff,0x0037dfff,0xdffffff0,0x10ffc800,0xffffff73,0x4c035bff,
    0x1befffda,0x359fff50,0xf79fff97,0xffea8005,0xffdaadff,0x00001eff,
    0xfffd9980,0xffffffff,0xffffffff,0x3f202fff,0x006fffff,0x2601ffe8,
    0xfffffffb,0xff500aef,0xdddfffff,0xffffdddd,0xfc80bfff,0x1001ffff,
    0x7ffffff7,0xfffb0000,0xff880fff,0x7ffedc41,0x09dfffff,0xfffdb980,
    0x7ffdc1cf,0xffff9100,0x7ffffc05,0xffffc80f,0xffffa84f,0x4003ffff,
    0x22001ffd,0x202ffffd,0x004ffffa,0x7fffffe4,0x1ffe8006,0x7ffffd40,
    0x6c003fff,0x3e0001ff,0x006fffff,0x7e407fe4,0x006fffff,0x2e01ffe8,
    0xf9100fff,0x22005fff,0x202ffffd,0x004ffffa,0x37fe0000,0x07ffffff,
    0x5ffffb53,0x7ffffd40,0x5fb8005f,0xfffff500,0xffa801ff,0x7ec01cff,
    0x00ffffff,0x0fffffe4,0x3ffff200,0xf880003f,0x201fffff,0x7fec05f8,
    0x002fffff,0xf301ffd0,0xff5009ff,0x7fff405f,0xfffa80ff,0xfff504ff,
    0x005fffff,0xf5002fcc,0x3007ffff,0x005dffff,0x3fffffea,0x05fb8005,
    0xffffff50,0x7cc005ff,0x7ffc0005,0x64006fff,0xfffa80ff,0xb8005fff,
    0x3ffe605f,0x2fffa804,0xfffffa80,0xffff9803,0x4000002e,0xffff8ff8,
    0xffb807ff,0x3ffe602f,0xa8004fff,0xfff1004f,0xf700dfff,0xff5001df,
    0x007fffff,0x03fffff9,0xfffffb80,0xff900003,0x7d409fff,0x7fffc401,
    0xf0005fff,0x3fffa05f,0x07ff7000,0x07ffffec,0x27ffffd4,0xffffff88,
    0xf1000fff,0x3ffea009,0x3ee004ff,0x9801ffff,0x04ffffff,0x1004fa80,
    0xffffffff,0x13e2001f,0xfffff000,0xffc800df,0xfffff980,0x4fa8004f,
    0x003fffa0,0x2a01ffdc,0x004fffff,0x07ffffee,0x3fc80000,0x0fffffff,
    0x980bfe60,0x04ffffff,0x1003f980,0x0dffffff,0x1001df90,0xdfffffff,
    0x3ffff200,0x7fd4001f,0x00003fff,0x1ffffff1,0x7dc01b20,0x00ffffff,
    0xf982fd40,0x7ec007ff,0x3ffff603,0xffffa80f,0xffff104f,0x00dfffff,
    0x3e200fe2,0x8007ffff,0x806fffff,0x4ffffff9,0x003f9800,0xfffffff1,
    0x3e200dff,0x7ffc0003,0x64006fff,0xfff980ff,0x98004fff,0xffff303f,
    0x203fd800,0x07fffff8,0x6fffff80,0xdf100000,0x3ffffffc,0x4c05f900,
    0x04ffffff,0x1003f980,0x0dffffff,0x32001fb0,0x1fffffff,0xfffff900,
    0xfffa8003,0x200003ff,0x03fffffd,0x7ff4007f,0x4005ffff,0xfff700fe,
    0x1fc4003f,0x1fffffb0,0x9fffff50,0x3ffafe20,0x005fffff,0xfffb007f,
    0xf70009ff,0x9809ffff,0x04ffffff,0x1003f980,0xfffffd7f,0x0fe00bff,
    0xfffff000,0xffc800df,0xfffff980,0x3f98004f,0x03ffff70,0xfb01fc40,
    0x0009ffff,0x09fffff7,0x43fb0000,0x07ffffff,0x4c05f102,0x04ffffff,
    0x1003f980,0x0dffffff,0x3e6009b0,0x04ffffff,0x3fffff20,0x7ffd4001,
    0x200003ff,0x86fffff9,0x3ea000fa,0x01ffffff,0x7e407f70,0x2000efff,
    0x3fff603e,0xfffa80ff,0x35f104ff,0xffffffff,0xa807f007,0x02ffffff,
    0xfffff980,0x3ffe601f,0x98004fff,0x35f1003f,0xffffffff,0x0007f007,
    0x6ffffff8,0x407fe400,0x4ffffff9,0x903f9800,0x001dffff,0xfffa81f4,
    0x98002fff,0x01ffffff,0xf0fea000,0x20ffffff,0x2602e849,0x04ffffff,
    0x1003f980,0x0dffffff,0x3fa003d0,0x00ffffff,0x3fffff20,0x7ffd4001,
    0x400003ff,0x42fffffe,0xffd8005d,0x8805ffff,0x7ffe406f,0x77000eff,
    0x7ffffec0,0xfffffa80,0x3ea5f104,0x1fffffff,0xff101fc0,0x000fffff,
    0x3fffffe2,0x3fffe606,0xf98004ff,0x2a5f1003,0xffffffff,0x0001fc01,
    0x1bfffffe,0x301ff900,0x09ffffff,0x3207f300,0x00efffff,0xfff10770,
    0x2000ffff,0x6ffffff8,0x0df10000,0x0fffffff,0x9806e12e,0x04ffffff,
    0x1003f980,0x0dffffff,0x3fee00b0,0x002fffff,0x0fffffe4,0x3fffea00,
    0x0002883f,0x4dfffff5,0xf98002f8,0x01ffffff,0x3ea00fe4,0x0cffffff,
    0xffb00440,0xff501fff,0x3e209fff,0x3fffff22,0x0fe00fff,0xffffffa8,
    0x3ffa0005,0xf301ffff,0x009fffff,0x22007f30,0x3ffff22f,0x3e00ffff,
    0x7ffc0003,0x64006fff,0xfff980ff,0x98004fff,0xffff503f,0x88019fff,
    0xfffffa80,0x3fa0005f,0x001fffff,0xff81fc80,0x9b07ffff,0xffff3000,
    0xf30009ff,0x3ffe2007,0x00006fff,0xfffffff1,0xfff9000b,0xfa8003ff,
    0x3b23ffff,0x4001dfff,0x71ffffff,0x7fec000f,0x2606ffff,0xfff8804f,
    0x03ffffff,0x3ffff600,0xffffa80f,0xd85f104f,0x6fffffff,0xffb80fe0,
    0x0004ffff,0x3ffffff6,0xfffff302,0x7f30009f,0xfb0be200,0x0dffffff,
    0x3e0001fc,0x006fffff,0x7cc07fe4,0x004fffff,0xff103f98,0x7fffffff,
    0xffff7000,0x6c0009ff,0x02ffffff,0xf827cc00,0x887fffff,0xff98004f,
    0x8004ffff,0xff1003f9,0x000dffff,0x3fffff60,0xfc8000ff,0x4001ffff,
    0x8bfffffa,0xfffffffe,0x3ffee000,0x0009d5ff,0x7fffffc4,0x001fd02f,
    0x3ffffff6,0x8003ffff,0x80fffffd,0x04fffffa,0xffe885f1,0xf04fffff,
    0x7fffec07,0x320004ff,0x04ffffff,0x9ffffff3,0x007f3000,0xffd10be2,
    0x209fffff,0x7fc0003f,0x4006ffff,0xff980ffc,0x8004ffff,0x3ff603f9,
    0xffffffff,0x3fff6003,0x20004fff,0x4ffffffc,0x807f4000,0x87ffffff,
    0xf98004fc,0x004fffff,0xf1003f98,0x00dfffff,0xfffff500,0x320007ff,
    0x001fffff,0x6fffffd4,0xffffdcfe,0x3fe2005f,0x01faffff,0x7fffe400,
    0x03fa86ff,0x3ffffa20,0x1effffff,0x3ffff600,0xffffa80f,0x105f104f,
    0xffffffff,0x7f407f07,0x003fffff,0x3fffff20,0xffff305f,0xf30009ff,
    0x20be2007,0xfffffff8,0x0003f83f,0x37fffffc,0x203ff200,0x4ffffff9,
    0x203f9800,0xffffffe8,0x801effff,0x3ffffffe,0x3fff2000,0x20005fff,
    0x3ffe02fb,0x7fdc7fff,0xfff98004,0x98004fff,0xfff1003f,0x8000dfff,
    0xfffffff8,0x3ff20006,0x54002fff,0x0effffff,0x0bfffff2,0xfffffc80,
    0xf880006f,0x23ffffff,0xf98006f8,0xffffffff,0xd800dfff,0xa80fffff,
    0x104fffff,0x3ffea05f,0x7c1fffff,0xfffff103,0x640007ff,0x07ffffff,
    0x9ffffff3,0x007f3000,0x7fd40be2,0x41ffffff,0x7fc0003f,0x4006ffff,
    0xff980ffc,0x8004ffff,0x7fcc03f9,0xffffffff,0xff100dff,0x007fffff,
    0x7ffffe40,0xbf10007f,0xffffff80,0x4fffecaf,0xffff9800,0xf98004ff,
    0xffff1003,0xc8000dff,0x1fffffff,0x3ffee000,0x2a0042ff,0x40ffffff,
    0x03fffff9,0x3ffffe60,0xf700003f,0x21ffffff,0xf30001fc,0xffffffff,
    0xd803dfff,0xa80fffff,0x104fffff,0x7ffdc05f,0x3e0fffff,0xfffff303,
    0x5c0005ff,0x0fffffff,0xffffff98,0x03f98004,0x7dc05f10,0x0fffffff,
    0xff0000fe,0x800dffff,0xff980ffc,0x8004ffff,0xff9803f9,0xffffffff,
    0xff981eff,0x002fffff,0x3ffffee0,0xfd8000ff,0x7ffffc00,0xffffffff,
    0xfff98004,0x98004fff,0xfff1003f,0x4000dfff,0xfffffff9,0x7fdc0004,
    0x01663fff,0x07fffff5,0x09fffff3,0xfffffd80,0x3fa00000,0xf9cfffff,
    0x7ec40004,0xffffffff,0x3f601fff,0xfa80ffff,0xf104ffff,0xffffd805,
    0x40fe5fff,0xfffffff8,0x3fee0002,0xf307ffff,0x009fffff,0x22007f30,
    0x7ffec02f,0x0fe5ffff,0xfffff000,0xffc800df,0xfffff980,0x3f98004f,
    0xffffb100,0xffffffff,0xfffff883,0x2e0002ff,0x07ffffff,0xfffffa80,
    0xffffffff,0xff957fff,0xff30009f,0x0009ffff,0x3e2007f3,0x006fffff,
    0x3fffffa0,0x440000ff,0xb9effffe,0x7ffd400e,0xfff983ff,0x7d4004ff,
    0x00004fff,0x7fffffd4,0x00000fef,0xffffffd5,0x6c0fffff,0xa81fffff,
    0x104fffff,0xfffd005f,0x0fe9ffff,0xfffffff8,0x3ff20003,0xf306ffff,
    0x009fffff,0x22007f30,0xfffe802f,0x07f4ffff,0x7fffcc00,0x7e4007ff,
    0xffff980f,0xf98004ff,0x7ff54003,0xffffffff,0xffffff87,0x3f20003f,
    0x006fffff,0x666677c4,0xfffccccc,0x7fd47fff,0xfff98004,0x98004fff,
    0xfff1003f,0x2000dfff,0xfffffffb,0xff300002,0x005fffff,0x07fffff5,
    0x0bfffff3,0x03fffd00,0xfffd0000,0x0007ffff,0xffffd500,0x207fffff,
    0x82fffffe,0x04fffffa,0xff1005f1,0xf7ffffff,0x7ffff407,0x320004ff,
    0x05ffffff,0x9ffffff3,0x007f3000,0x3e200be2,0xbfffffff,0xfd10003f,
    0x1bffffff,0x203ff200,0x4ffffff9,0x003f9800,0xfffffd50,0xfe87ffff,
    0x004fffff,0x3fffff20,0x0fe4005f,0xffffff80,0x8004fb87,0x4ffffff9,
    0x003fa800,0xdffffff1,0xffff1000,0x0000bfff,0x1cfffc98,0xfffff500,
    0xfffff307,0xdff7000b,0x3e600000,0x00ffffff,0xff700080,0x0fffffff,
    0xbffffff5,0xfffffa81,0x2005f104,0xfffffff9,0x3ff603ff,0x0005ffff,
    0x3ffffff6,0xfffff304,0x7f50009f,0x400be200,0xfffffff9,0x3a2003ff,
    0xffffffff,0x405effff,0xff980ffc,0x8004ffff,0x200103fa,0xfffffffb,
    0x7fffec7f,0x360005ff,0x04ffffff,0xf8013e60,0x887fffff,0xff98004f,
    0x8004ffff,0xff1002fa,0x000dffff,0xfffffffb,0x20018001,0xfffa8001,
    0xfff983ff,0xf88005ff,0x2000003f,0x07fffffe,0x64003b00,0x0fffffff,
    0xfffffff1,0x7fd47fff,0x5f104fff,0x7fffdc00,0x2e03ffff,0x05ffffff,
    0x3ffff600,0xfff302ff,0x50009fff,0x0be2005f,0xfffffb80,0x00003fff,
    0x1ff90000,0xffffff30,0x05f50009,0xffc80076,0x2e0fffff,0x05ffffff,
    0x3ffff600,0x3fa002ff,0x3fffe000,0x009b07ff,0xffffff10,0x05f5000b,
    0x3ffffe20,0x7fd4006f,0x003fffff,0x40000078,0x83fffffa,0x05fffff9,
    0x0001f900,0x7ffff400,0x09b0007f,0xfffffa80,0x7d40001f,0xf103ffff,
    0xfffc8005,0x2203ffff,0x06ffffff,0x3ffffe00,0x3ffe206f,0xa8005fff,
    0x05f1002f,0xfffffc80,0x000003ff,0x01ff9000,0xbffffff1,0x205f5000,
    0x7fd4004d,0x3e21ffff,0x006fffff,0x3fffffe0,0x00bee006,0xfffffff0,
    0x82c812e0,0x5ffffff8,0x001fc800,0xdffffff1,0xffffe800,0x798006ff,
    0x00eff4c0,0x3ffffea0,0xfffff983,0x00bb0005,0xfffe8000,0xdb0007ff,
    0xffff5000,0xf980003f,0xf103ffff,0xfffd0005,0xfc807fff,0x000fffff,
    0xffffff98,0x3fffe202,0xfc8005ff,0x005f1001,0xffffffd0,0xdf900007,
    0x3ff20007,0xfffff880,0x1fc8005f,0xf5000db0,0xfc83ffff,0x000fffff,
    0xffffff98,0x00bf1002,0xfffffff0,0x07c40e60,0x5ffffff8,0x2007e800,
    0x6ffffff8,0x3ffff200,0xc8001fff,0x37fff406,0x3fffea00,0xffff983f,
    0x1f88005f,0x7f400000,0x0007ffff,0xfd0003fb,0x30000fff,0x207fffff,
    0xf88002f8,0x403fffff,0x4ffffff8,0xffffb800,0xffff806f,0x7e8005ff,
    0x000be200,0x3fffffe2,0x7fd40003,0xfc8003ff,0xfffff00f,0x0fd000bf,
    0x74000fec,0xff887fff,0x8004ffff,0x06fffffb,0x20003f60,0x07ffffff,
    0x3f607c80,0x4007ffff,0x3e2006f8,0x006fffff,0xfffffff3,0x0bf1000b,
    0x01fffff8,0x3ffffea0,0xfffff983,0xb819b505,0xe8000006,0x007fffff,
    0x9000dfb0,0x5000dfff,0x7ffffc45,0x0005f102,0x0fffffe6,0x3ffffee0,
    0xfffe8007,0xffd802ff,0x44007fff,0x0be2006f,0x7fffcc00,0x7dc0003f,
    0xc8006fff,0xfffb00ff,0xf8800fff,0x001bf606,0x5c1bfff2,0x007fffff,
    0x2fffffe8,0x0007f500,0x1ffffffe,0xfa81be00,0x001fffff,0xf8800bfa,
    0x006fffff,0xfffffffd,0x09fb0001,0x03feffa8,0x3ffffea0,0xfffff983,
    0x45fff985,0x8000003e,0x07fffffe,0x009ffb00,0x003fffc8,0xff89ffe4,
    0x7f301fff,0x7ffd4000,0xfffd003f,0x7d4005ff,0x5004ffff,0x03ffffff,
    0x30017f40,0x7d40007f,0x40003fff,0x007fffd8,0xf500ffc8,0x003fffff,
    0xffb017f4,0xfffc8009,0x3ffffa03,0x3fea002f,0xf1004fff,0x7ffc000d,
    0x22007fff,0x7ff405fd,0xd800efff,0x7fc4006f,0xb806ffff,0x3fffffff,
    0x03ffc800,0xa8003ea0,0x983fffff,0xc85fffff,0x0d50ffff,0x3fa00000,
    0x000fffff,0x002fffd8,0x20017ffa,0x3ffe5fff,0x013ea06f,0x07fff900,
    0x37fffec0,0xffffe880,0x7fff4004,0xfd800eff,0x027d4006,0x0ffff200,
    0x009d0000,0x7401ff90,0x00efffff,0x7ec06fd8,0x3fa002ff,0xfffd805f,
    0xffd1006f,0x7ec009ff,0x3ffe0003,0xd1007fff,0xff8809ff,0x301effff,
    0x88001df9,0x06ffffff,0x7fffffc4,0x7ec4006f,0x176002ff,0xfffff500,
    0xfffff309,0x3ffff70b,0x000005f3,0x3fffffa0,0xffd8000f,0xffc804ff,
    0xffd8000e,0x803fffe5,0xd80006fd,0x7ec003ff,0x2200efff,0x004ffffe,
    0xffffff88,0x1df9301e,0x006fd800,0x003ffd80,0x0007e200,0xf8803ff2,
    0x01efffff,0xd801df93,0xc804ffff,0xfb000eff,0x4401dfff,0x004ffffe,
    0x40013fee,0xfffffff8,0x3ffee602,0xffe8803f,0xdcdfffff,0x8000efff,
    0x7ffffff9,0x7ffffec0,0xf91001ff,0x2003ffff,0x7dc001ea,0xfa84ffff,
    0xf886ffff,0x005fffff,0x3ffe0000,0x8001ffff,0xaefffffd,0x06ffecc0,
    0x8fff9800,0x2e03fffa,0x0002dfff,0x2000ffa2,0x1befffea,0xdffffb51,
    0x7f440003,0xcdffffff,0x000efffd,0x016fffdc,0x007fd100,0x00176200,
    0x22007fe4,0xfffffffe,0x0efffdcd,0xfffffd80,0x7fecc0ae,0x7f54000d,
    0xb511beff,0x003dffff,0x2bffff22,0x3ff62000,0xceffffff,0xfffffdcc,
    0x3ae002ff,0xffffffff,0xd10001df,0x9fffffff,0xfffff301,0x99999dff,
    0xffffdb99,0x9803ffff,0x74c000ce,0x22ffffff,0xffffffd8,0x4fffda82,
    0xb1000000,0xdfffffff,0x31ed8001,0xffdffff9,0x700005df,0x05dfffff,
    0xffffffd3,0x260009ff,0x36e0003f,0xffffffff,0x00002dff,0x3fffffae,
    0x001dffff,0x3fffffa6,0x30004fff,0xd700007f,0x7fe40005,0xfffd7000,
    0x3bffffff,0xc98f6c00,0xfffeffff,0x6dc0002e,0xffffffff,0x2a002dff,
    0xffffffff,0xfffdd105,0xffffffff,0xffffffff,0x0001ffff,0x55999953,
    0xffd10001,0xffffffff,0x7ff4bdff,0xffffffff,0xffffffff,0x0fffffff,
    0xfb8000c0,0xffffffff,0xffffff8b,0x03105fff,0xdd500000,0xffffffff,
    0x007ddfff,0x332e6017,0x800001ab,0x000009a9,0x00154000,0x665d5440,
    0x00000aab,0x33332a60,0x000000aa,0x00550000,0x80001880,0xa98002a9,
    0x00aacccc,0x97300b80,0x00003579,0xbccbaa88,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20059100,0xb700002a,0x007d3003,0x3333332e,0x3ccccccc,
    0xcccccc88,0xc8802ccc,0x00055002,0x33551000,0x31000500,0x54044035,
    0x2aa00000,0xcccccccc,0x01cccccc,0x2aaaaa60,0x00000001,0x0d55554c,
    0x2aa00000,0x00000aaa,0x54c00ee0,0x00000000,0x00350000,0x999990a6,
    0x99999999,0x53000099,0x00035555,0x001dea80,0x054c4000,0x4c400280,
    0x809fb000,0x100005fc,0x7fdc05ff,0xff731000,0x5bffffff,0x7fedc403,
    0x36001aef,0x027ec03f,0x3b2e6000,0xdfffffff,0x8803540a,0xdfffffec,
    0x7ff41642,0xfd98002d,0xffffffff,0x9befffff,0x3ffa2000,0x000006ff,
    0x7fffec00,0x2000000e,0x04fffffa,0x37ee0000,0x001bea00,0x41ffdc00,
    0xb0003efc,0x84f9801f,0xffffffb9,0x0000aeff,0x1dffffd0,0x7fe40000,
    0x200001ff,0xfffffeb8,0x3cc0abdf,0x07ffe4c0,0x885ff980,0x00000ffe,
    0x3f20fff2,0xff70003f,0x001fffff,0x8000ffe8,0xfe884ff9,0x9100000f,
    0x57bfffff,0x7bfffd97,0xff500df7,0xff97359f,0x2a05f79f,0x2a005ffe,
    0xffffffff,0x0037e43f,0x3ffffa20,0x00000000,0x01fffff1,0xffe80000,
    0x0000ffff,0x203bfa00,0x00002ffc,0x22ffffa8,0x001ffffa,0xf301efc8,
    0x7ffd407f,0x0001ffff,0x3bfffe20,0x7fc00000,0x80005fff,0xefffffc9,
    0xdfffeccd,0x7e407eab,0xfd8002ef,0x7ffd30df,0xff880000,0x0dffd14f,
    0x7fffcc00,0xfa8005ff,0x3ff60006,0x07fff30d,0x3ffea000,0x7ec402ff,
    0x5c06ffff,0xf9100fff,0xfe805fff,0x7fe400df,0xffffffff,0x00027e43,
    0x01ffff44,0xfa800000,0x00001fff,0x7ffffdc0,0x000004ff,0x6c47ffea,
    0x000006ff,0x6cbffffb,0x8004ffff,0xecdffff9,0x2200ffff,0x07ffffff,
    0x7ffdc000,0x4400000e,0x006fffff,0x7ffffdc0,0x3ffea02e,0x3ff207ff,
    0x3fe20007,0x07fffbef,0xfff90000,0x005fffdb,0x7ffffcc0,0x4f98005f,
    0x3ffe6000,0x006fffbe,0xffffc880,0x3fe6001f,0x3fe606ff,0xfffa804f,
    0x2fffdc02,0xffffff30,0xc87fffff,0xd100003f,0x00000dff,0x07fff600,
    0xff100000,0x1fffd7ff,0x7f400000,0x1fffebff,0xff700000,0x7ffe47ff,
    0xff90002f,0x7fffffff,0xffffff00,0xfe80000f,0x000000ff,0x005ffffb,
    0x3ffff620,0x3ff2003f,0x7fff707f,0xfffc8000,0x0002ffff,0xfffff100,
    0x98000bff,0x05ffffff,0x0004f980,0x7fffffe4,0x7440002f,0x001fffff,
    0x206fff98,0x7000fffe,0xff8807ff,0xfffd00ff,0xffffffff,0x0003fc87,
    0x003ffe20,0x3fe00000,0x8000001f,0xfb11effc,0x4000009f,0xfffffffa,
    0x22000005,0x3a20effe,0x740006ff,0x5fffffff,0xffffff00,0x7c40000d,
    0x000001ff,0x0013ff62,0x2fffffe8,0x07ffc800,0x0001fffd,0xffffff88,
    0x5c000006,0x01ffffff,0x7fffcc00,0xf98005ff,0x7fc40004,0x0006ffff,
    0x3fffffc8,0x1bfe6000,0x003fffcc,0xff100ff6,0xfff705ff,0xffffffff,
    0x003fc87f,0x01ffcc00,0x3ea00000,0x8000001f,0xfd80dff8,0x2000001f,
    0x0ffffffe,0x19800000,0x40000660,0x03fffffb,0x3fffffe0,0x3ee00006,
    0x0000001f,0xffd80001,0x20004fff,0xfff987fd,0xfc80001f,0x0001ffff,
    0xfffff800,0xff980004,0x8005ffff,0xc80004f9,0x001fffff,0x7ffffd40,
    0x7dc0000f,0x3ffff706,0x201fc400,0xc84ffff9,0xffffffff,0x7e43ffff,
    0xe9800003,0x40000004,0x000002eb,0xfc809fb0,0x26000005,0x004fffff,
    0x00000000,0x03531000,0xffffff00,0x7640000d,0x00000001,0xffff7000,
    0x440001ff,0xffffa87f,0xaa880002,0x000002aa,0x00333310,0x3fffe600,
    0xf98005ff,0xaa880004,0x440002aa,0x04ffffff,0x320df000,0x000effff,
    0xfff500fa,0xffffb07f,0xffffffff,0x0003fc87,0x00000000,0x00000000,
    0x065400aa,0x55500000,0x00000155,0x00000000,0x3ffe0000,0x00006fff,
    0x10000000,0xf1000133,0x009fffff,0xff30fb00,0x000007ff,0x20000000,
    0x7cc00000,0x005fffff,0x00004f98,0xffb00000,0x0003ffff,0x7fe41ae0,
    0x7000efff,0xffffb807,0xfffffe82,0x3fffffff,0x00001fe4,0x00000004,
    0x00000020,0x00000100,0x00000000,0xffdcba80,0x001acdef,0xff000000,
    0x000dffff,0x40000000,0xefffffd8,0x3ccccccd,0x7fffffe4,0x87a80001,
    0x204ffff8,0xccccccc9,0xcccccccc,0xcccccccc,0xd80001cc,0x3e600002,
    0x005fffff,0xc8804f98,0xcccccccc,0xcccccccc,0x880ccccc,0x07ffffff,
    0xfa82c000,0x0cffffff,0x3f600440,0xffe80fff,0xffffffff,0x01fe43ff,
    0x0016c000,0x05b00000,0x6c000000,0x66440002,0xcccccccc,0xcccccccc,
    0xa800001a,0xaadffffe,0x01effffd,0x99999910,0x99999999,0x7ffffc07,
    0x9999106f,0x99999999,0x35999999,0xfffb8000,0xffffb8bf,0x3e26ffff,
    0x007fffff,0x7ffc0e00,0x3ffee06f,0xffffffff,0xffffffff,0x02ffffff,
    0x002fcc00,0xfffff300,0x9f3000bf,0xfffff500,0xddddddff,0xfffffffd,
    0x3fffea0b,0x000006ff,0xffffff10,0x80007fff,0xf907fffe,0xffffffff,
    0x3fc87fff,0x2fcc0000,0x98000000,0x0000005f,0x0000bf30,0xfffff753,
    0xfffdddff,0x019fffff,0xfffd8800,0x3ffea02f,0x3ee6004f,0xefffffff,
    0x7fffc00a,0x2ea606ff,0xefffffff,0xffffffee,0x64000cff,0x7d42ffff,
    0x24eeefff,0x5ffffffb,0xfd800000,0x3fee07ff,0x7ffc09df,0x74c46fff,
    0x40002fff,0x00001ffc,0xbffffff3,0x009f3000,0x039ffff5,0xffffffd8,
    0xffff900f,0x00000bff,0x7ffffec0,0x003fffff,0x20dffff0,0xfffffffa,
    0x643fffff,0x6400003f,0x000001ff,0x001ffc80,0xffc80000,0x3f200001,
    0x443fffff,0xffffffd9,0xfff50002,0xff3007ff,0x54005dff,0x0fffffff,
    0xffffff00,0x3fff200d,0x6cc43fff,0x02ffffff,0x0fffff50,0x209ffff1,
    0x4ffffffd,0xfc800000,0xff700fff,0x7ffffc07,0x0bff606f,0x4fff8800,
    0xfff30000,0x3000bfff,0xdff7009f,0xffff5001,0x7ec07fff,0x004fffff,
    0x3fa20000,0xffffffff,0x7f4001ef,0xfff105ff,0xffffffff,0x003fc87f,
    0x13ffe200,0xf1000000,0x000009ff,0x04fff880,0x3ffe6000,0x3ea03fff,
    0x003fffff,0x27ffffd4,0xfffff700,0x3ffe2003,0x3e006fff,0x006fffff,
    0x7ffffff3,0x7ffffd40,0xfffe803f,0xffffd05f,0xffffff05,0x0000007f,
    0x5c0dfff7,0x7fffc05f,0x17ec06ff,0xffff7000,0xff300001,0x000bffff,
    0xdf9009f3,0xffff1001,0xff80dfff,0x004fffff,0x7fcc0000,0xffffffff,
    0xf7000dff,0x7ff409ff,0xffffffff,0x001fe43f,0x1ffff700,0x5c000000,
    0x0000ffff,0x3ffee000,0xf300000f,0x807fffff,0x0ffffffc,0xfffff100,
    0xffff000f,0x3fe200df,0x2006ffff,0x06ffffff,0xffffff30,0xffffc807,
    0x3fe200ff,0xffb05fff,0xffff09ff,0x00005fff,0x09fff500,0x3fe007dc,
    0x4c06ffff,0x3fe0002f,0x80003fff,0x5ffffff9,0x804f9800,0xff9000fd,
    0x403fffff,0xfffffff8,0x80000003,0xfffffff9,0x01efffff,0x206fff98,
    0xfffffffa,0x7e43ffff,0x3fe00003,0x00003fff,0x3ffffe00,0x20000003,
    0x003fffff,0xfffff300,0xfff8807f,0xfb004fff,0x0009ffff,0x09fffff7,
    0xffffff10,0x7fffc00d,0xff3006ff,0x8807ffff,0x04ffffff,0x13ffffe6,
    0x237fffec,0xfffffff8,0xd8000002,0x1ae01fff,0x3fffffe0,0x0002e806,
    0x0ffffff5,0xffff3000,0xf3000bff,0x2009b009,0xfffffff9,0x7fffc404,
    0x00003fff,0xfffb1000,0xffffffff,0xfff5003f,0x7fffe401,0x43ffffff,
    0x500003fc,0x00ffffff,0x3fea0000,0x00007fff,0xfffff500,0x3e60000f,
    0x803fffff,0x07ffffff,0xffffffa8,0xfff98002,0x7c401fff,0x006fffff,
    0x1bfffffe,0x7ffffcc0,0xffff803f,0x3fe207ff,0xff904fff,0xfff98dff,
    0x0003ffff,0x1fffc400,0x3fe00ee0,0xc806ffff,0xfffd0002,0x80005fff,
    0x5ffffff9,0x803f9800,0xfffd001e,0xf001ffff,0x09ffffff,0xa8000000,
    0xfffffffe,0xf7007fff,0xfffc809f,0x43ffffff,0xd00003fc,0x05ffffff,
    0xffd00000,0x0005ffff,0xffffd000,0x300005ff,0x07ffffff,0xffffffd0,
    0x7fffc401,0xf10007ff,0x80dfffff,0x6ffffff8,0x3ffffe00,0xfff3006f,
    0xfd007fff,0x401fffff,0xb04ffffe,0xf887ffff,0x04ffffff,0x7fe40000,
    0x3fe00003,0x0006ffff,0x3fffe600,0x40006fff,0x5ffffff9,0x803f9800,
    0xffff7005,0x36005fff,0x04ffffff,0xfffffd70,0x3dffffff,0x3fffaa00,
    0x03ffffff,0x017ffd30,0x3fffff66,0x01fe43ff,0x7fffcc00,0x00006fff,
    0x7ffffcc0,0x000006ff,0x7fffffcc,0xf980006f,0x803fffff,0x0ffffffe,
    0x3ffffea0,0x3fa0005f,0x201fffff,0x6ffffff8,0x3ffffe00,0xfff3006f,
    0xfd007fff,0x401fffff,0xd05ffffb,0xff03ffff,0x00bfffff,0x37fee000,
    0x7fc00002,0x0006ffff,0x3ffbf600,0x0001ffff,0x3fffffe2,0x03f98005,
    0xffff1000,0x6400bfff,0x05ffffff,0x7fffec40,0x0040dfff,0xffffffb8,
    0x64c007ff,0x6e54404f,0x1fe43ffe,0x7f7ec000,0x001fffff,0x3fbf6000,
    0x001fffff,0x3fbf6000,0x001fffff,0x7ffffcc0,0xffff803f,0x7fdc07ff,
    0x0004ffff,0x3ffffff6,0x3fffe202,0x3fe006ff,0x3006ffff,0x07ffffff,
    0xfffffff0,0x7ffff880,0x06ffff88,0xdffffffd,0xbf700000,0x3e000001,
    0x006fffff,0xf77f3000,0x00bfffff,0xffffff80,0x02fa8005,0xffffb000,
    0x54001fff,0x06ffffff,0xfffff880,0x001d80ff,0x3ffffff2,0xdfb5000f,
    0x87f90005,0x4c0003fc,0xfffffbbf,0x3000005f,0xfffff77f,0x200000bf,
    0xffffbbf9,0x4c0005ff,0x03ffffff,0x7fffffcc,0x7fffec05,0x320004ff,
    0x04ffffff,0x3fffffe2,0x3fffe006,0xff3006ff,0x9807ffff,0x05ffffff,
    0x42ffff98,0x900dfffb,0x0fffffff,0xdfd30000,0xff000007,0x000dffff,
    0x3e23f200,0x00ffffff,0x3ffffa00,0x1fb8005f,0xfffa8000,0x4003ffff,
    0x7ffffff8,0xfffff000,0x001360ff,0x3ffffff5,0x03ffe880,0xf90ff200,
    0x8fc80007,0xfffffff8,0xfc800000,0xffffff88,0xc800000f,0xfffff88f,
    0x260000ff,0x03ffffff,0x7fffffdc,0x7ffff402,0x320003ff,0x05ffffff,
    0x3fffffe2,0x3fffe006,0xff3006ff,0xb807ffff,0x02ffffff,0x5bfffb10,
    0x8807fffd,0x0fffffff,0xfd500000,0x7c00003f,0x006fffff,0x324f8800,
    0x04ffffff,0x3ffff600,0x0fd8006f,0x7ffc4000,0x0006ffff,0x5ffffff9,
    0xfffff000,0x001b60df,0x07ffffea,0x002ffe88,0x3f21fe40,0x93e20003,
    0x4ffffffc,0x27c40000,0x9ffffff9,0x4f880000,0x3ffffff2,0x3fe60004,
    0x2603ffff,0x04ffffff,0x7fffffc4,0x3f20003f,0x207fffff,0x6ffffff8,
    0x3ffffe00,0xfff3006f,0x7cc07fff,0x004fffff,0xdfffffa8,0xfffb000b,
    0x00005fff,0x00fffc40,0xfffff800,0xb800006f,0x3fffe61f,0x90000fff,
    0x00ffffff,0x80006f88,0xfffffffc,0x3ffa0001,0xf8005fff,0xb06fffff,
    0xffd0003f,0x7ffe80ff,0x43fc8000,0x2e0003fc,0x3fffe61f,0x00000fff,
    0xfff987ee,0x0000ffff,0xff987ee0,0x000fffff,0xffffff30,0x3fffee07,
    0xff9804ff,0x002fffff,0x3ffffee0,0xfff100ff,0x7c00dfff,0x006fffff,
    0x7ffffff3,0x3ffffee0,0x2ec8004f,0xfffa8000,0x00006fff,0x03fffa01,
    0x3fffe000,0x800006ff,0xffffd85f,0xf30003ff,0x005fffff,0x20001ff4,
    0xfffffff9,0x7fcc0004,0x4000ffff,0x06ffffff,0xf9000dfb,0x7fd40dff,
    0xfc80004f,0x0001fe43,0xffffb0bf,0x400007ff,0xffffd85f,0x200003ff,
    0xffffd85f,0xf30003ff,0x99dfffff,0xffffffd9,0x3fe20019,0x002fffff,
    0x3ffffee0,0x3ffe207f,0x3e006fff,0x006fffff,0xdffffff3,0xffffd999,
    0x980019ff,0x200003fe,0x1ffffffc,0xb81e4000,0x80004fff,0x06ffffff,
    0x417d4000,0x6ffffffa,0x3fff2000,0xfc800fff,0xffe80006,0x000fffff,
    0xfffffb80,0x7fffc004,0x9ffb06ff,0x3fffc800,0x013fff20,0xf90ff200,
    0x0bea0007,0x3fffffea,0x5f500006,0xffffff50,0x3ea0000d,0xfffffa82,
    0xff30006f,0xffffffff,0x01ffffff,0xffffff00,0x7e40007f,0x206fffff,
    0x6ffffff8,0xfffff100,0x3fe600df,0xffffffff,0x00ffffff,0x007ffd00,
    0xffffe800,0xf90000ef,0x1bffee05,0x3fffe000,0x400006ff,0x3fffa06e,
    0x20002fff,0xaefffffe,0x00efc880,0x7fffdc00,0x00002fff,0x13fffff2,
    0xffffff80,0x05fffb06,0x202fff40,0x0005fffe,0x1fe43fc8,0x3a06e800,
    0x02ffffff,0x3a06e800,0x02ffffff,0x3a06e800,0x02ffffff,0xfffff980,
    0xfffff33f,0xfd0009ff,0x009fffff,0x7ffffe40,0x3ffe205f,0xf3006fff,
    0x00ffffff,0x3fffffe6,0xffffff33,0xff30009f,0x333337df,0xfe880013,
    0x4006ffff,0x3f203fd8,0x40000fff,0x06ffffff,0x80be6000,0x6ffffffb,
    0x3ff62000,0xccdfffff,0x0000dffd,0x7fffffc4,0x9800005f,0x005ffffe,
    0x0dffffff,0x013ffff6,0xd003bff2,0x0000dfff,0x03fc87f9,0x2e02f980,
    0x06ffffff,0x7017cc00,0x0dffffff,0x202f9800,0x6ffffffb,0xffff9800,
    0x3ffee3ff,0x4001ffff,0x5ffffffd,0x3fff6000,0x3e204fff,0x806fffff,
    0xffffffe8,0x7fcc00df,0x3ee3ffff,0x01ffffff,0x7ffffe40,0xffffffff,
    0xff9001ce,0x9805dfff,0x7ec01ffb,0xf80007ff,0x006fffff,0xf101f600,
    0x03ffffff,0xfffd9800,0x2effffff,0xfffb0000,0x8001ffff,0x3ffee001,
    0x7310acef,0x3bfffffb,0x3fffff60,0x7fecc0ae,0xfffd800d,0x3fc80007,
    0x6c001fe4,0x7fffc407,0x20001fff,0x7ffc407d,0x0001ffff,0xfff101f6,
    0x8003ffff,0x3ffffff9,0x7fffffec,0x3fee000f,0x0005ffff,0x3ffffff6,
    0x3fffe202,0x3ffa06ff,0xffffffff,0xff305eff,0xfd87ffff,0x00ffffff,
    0x3ffffea0,0xffffffff,0xf5002fff,0x79dfffff,0x1bfffb75,0x0dfffd00,
    0xfffff000,0x260000df,0xeeeeeeff,0xffffffee,0x3100005f,0x015ffd75,
    0x7ffd4000,0x8003ffff,0x7ee44007,0xffffffff,0xd802cfff,0xffff931e,
    0x005dfffd,0x00ffffe4,0xf90ff200,0xeff98007,0xfeeeeeee,0x05ffffff,
    0xdddff300,0xfffddddd,0x000bffff,0x3bbbbfe6,0xffffeeee,0x4c005fff,
    0x43ffffff,0xfffffff8,0x3ffe2005,0x20006fff,0x06ffffff,0x7fffffc4,
    0x02fdc006,0x7ffffcc0,0x7fffc43f,0x22005fff,0xffffffff,0xffffffff,
    0x3f26001f,0xffffffff,0xff1003ef,0xf0000bff,0x00dfffff,0x3bbbf200,
    0xfeeeeeee,0x00ffffff,0x27fcc000,0x7ff40000,0x8006ffff,0x54c00079,
    0x09aabcfe,0xb9805c00,0x8001abfd,0x002ffffa,0x3f21fe40,0x777e4003,
    0xeeeeeeee,0x0fffffff,0xeeefc800,0xfeeeeeee,0x00ffffff,0xeeeefc80,
    0xffeeeeee,0x000fffff,0x3fffffe6,0xfffffa83,0x3f2002ff,0x000fffff,
    0xffffff98,0x7fffc402,0x3f6006ff,0xfff30007,0xff507fff,0x005fffff,
    0x7fffff4c,0xffffffff,0x530003ff,0x01559df7,0x4ffff980,0xffff8000,
    0x880006ff,0x3ff6004f,0x0004ffff,0x007ffe20,0xffff9000,0x90003fff,
    0xdf10000d,0x10000003,0x4c0003dd,0x0003ffff,0x0ff21fe4,0x2004f880,
    0x4ffffffd,0x0027c400,0x9ffffffb,0x004f8800,0x3ffffff6,0x3ffe6004,
    0xffb03fff,0x001fffff,0x3fffffe2,0xfffb8004,0xff8806ff,0x7006ffff,
    0x26000bff,0x03ffffff,0xfffffffb,0x7ffd4001,0xffffffff,0x0005ffff,
    0x00006fcc,0x005ffff5,0xffffff00,0x1f90000d,0x7fffcc00,0x200007ff,
    0x0001fffa,0x3ffffe60,0xf88005ff,0xffd80005,0x4000003f,0x0003fffc,
    0x007ffff1,0x7e43fc80,0x003f2003,0xffffff98,0x007e4007,0xffffff30,
    0x00fc800f,0x3ffffe60,0x3fe6007f,0xd103ffff,0x0dffffff,0x7ffffdc0,
    0xfffe8007,0xff8802ff,0xb006ffff,0x26000bff,0x03ffffff,0xffffffd1,
    0x5ffd300d,0xbfffb300,0x7ff44000,0xff50001f,0xf00003ff,0x00dfffff,
    0x8005f880,0x3ffffffe,0xfff90000,0x7f400007,0x00ffffff,0x0004fd80,
    0x037ffdc4,0x3fee0000,0x3fe0007f,0x640000ff,0x801fe43f,0xfe8005f8,
    0x003fffff,0xfd000bf1,0x007fffff,0x3a0017e2,0x03ffffff,0xffffff30,
    0x7fffcc07,0x3a003fff,0x002fffff,0x13ffffea,0x7ffffc40,0xffff006f,
    0xfff30001,0x7cc07fff,0x03ffffff,0x20027ffc,0x20002ffd,0x004fffc9,
    0x003fffe0,0x3ffffe00,0x7e40006f,0xfffa8003,0x00007fff,0x003ffff7,
    0xfffff700,0xf90007ff,0x3200007f,0x00000fff,0x007ffdc0,0x037ffcc0,
    0x321fe400,0x07f9003f,0xfffff500,0x0ff200ff,0x3fffea00,0x7f9007ff,
    0xffff5000,0x3e600fff,0x403fffff,0xfffffffc,0x3fff6001,0xffd1006f,
    0x7c4009ff,0x006fffff,0x000bffff,0x7ffffff3,0xfffffc80,0xfff301ff,
    0x07fd8007,0x0dffd000,0x17ffec00,0x7fffc000,0x220006ff,0xff0001ff,
    0x007fffff,0xfffff300,0x7fc40005,0x006fffff,0x017ffec4,0x06ffd800,
    0xffc80000,0xfff90006,0x7f900003,0xf8803fc8,0xfff0001f,0x8807ffff,
    0xff0001ff,0x807fffff,0xf0001ff8,0x07ffffff,0xffffff30,0xffffd009,
    0x6c001dff,0x200effff,0x04ffffe8,0x7ffffc40,0xfff9006f,0x7cc001bf,
    0x804fffff,0xeffffffe,0x01fffd00,0x000bfee0,0x0027ffc0,0x00bfff30,
    0xfffff980,0x3f60007f,0xffb0002f,0x001fffff,0xfffff700,0xfd80079d,
    0x01ffffff,0xfffff910,0xfb980003,0x000002ff,0x0017ffd4,0x000fffdc,
    0x7e43fc80,0x02ffd803,0xfffffb00,0x7fec01ff,0xfffb0002,0x6c01ffff,
    0xfb0002ff,0x01ffffff,0xffffffa8,0xffff8805,0x54005fff,0x11befffe,
    0x3dffffb5,0xffff3000,0x3a200fff,0x1cdfffff,0x7ffffd40,0xfff8805f,
    0xd305ffff,0x33359fff,0x01dfd733,0xdff91000,0xfe880001,0xe88000bf,
    0xdfffffff,0x3ffaa000,0x7cc000ef,0xefffffff,0xffb80001,0x000effff,
    0xfffffff3,0x9999999d,0xffffffdb,0x7c0003ff,0x0001cfff,0x37fffa00,
    0x7ffdc001,0x3200001c,0x501fe43f,0x001dfffd,0xffffff98,0x7f541eff,
    0x4c000eff,0xffffffff,0x7fff541e,0x7fcc000e,0x1effffff,0xffffff30,
    0xff7007ff,0x03bfffff,0xffffdb80,0x2dffffff,0xfffd1000,0x0019ffff,
    0xffffffb1,0x7fffcc07,0xb803ffff,0xdfffffff,0xffffb301,0x059bdfff,
    0xdfff3000,0x22000019,0x400cfffd,0xffffffe8,0x5effffff,0x7ffffe40,
    0x7f405fff,0xffffffff,0x80005fff,0x002cdcb8,0x7ffffff4,0xffffffff,
    0xffffffff,0x20000fff,0x00000009,0x33600006,0x9800000a,0xc80d4c1a,
    0xffffffff,0x7ffff405,0xffffffff,0xffffff95,0xffe80bff,0xffffffff,
    0xffff95ff,0xe80bffff,0xffffffff,0xfd15ffff,0xffffffff,0x6c05ffff,
    0xffffffff,0xbaa88004,0x000aabcc,0xfffffe88,0xefffffff,0xbcdc9805,
    0xffffe880,0xffffffff,0x3fff602f,0x804fffff,0x00001a98,0x00000020,
    0x0000edcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x001aaaaa,
    0x554c0000,0x00001aaa,0x00155554,0x0aaaaaa8,0x01b60000,0x2000036c,
    0x01aaaaa9,0x002aaaa8,0x00cb8800,0x06540000,0x2200d440,0xcccccccc,
    0xcccccccc,0x3ccccccc,0x44008000,0x00000000,0x0ca80000,0x0001a880,
    0x0a600350,0x00010000,0x2aaaaa60,0x02000001,0x00400110,0x17d91000,
    0x000bec88,0x0aaaaaa2,0x7ffff440,0x40000005,0x00effffe,0x3ffee000,
    0xf98003ff,0x0004ffff,0xf9013f20,0xfe800009,0xfb805fff,0x0002ffff,
    0x0bfffe60,0xef980000,0x003fe600,0x7ffffdcc,0xffffffff,0x6fffffff,
    0xfffb1000,0x002f8819,0x85dfb100,0x0001dfd9,0x9807fe20,0xb00001fe,
    0x05f9801f,0x00d91000,0x3ffff600,0xb800000e,0x4d81dfff,0x0007aa00,
    0xd17fffa0,0x64009fff,0x001fffff,0x03ffffe2,0x7c400000,0x0000efff,
    0x3ffffe20,0xff30006f,0x40000fff,0xb9aceffa,0x0002ffec,0x1bfffe60,
    0x3ffffe20,0x3600006f,0x0006ffff,0x40ffec00,0xa8004ffb,0x06ffffff,
    0x1bfffee6,0x3fffa200,0xfd9adfff,0xff900001,0x6fffd8ff,0x7fe40000,
    0x005ffa82,0x407bee00,0x80003fe9,0x80000efb,0x00effff8,0xfffc8000,
    0xfb9befff,0x06fdc003,0xffff9800,0xfffff30f,0x7ffff400,0xfff98001,
    0x0000002f,0x001dfff7,0xffffc800,0x30003fff,0x0003ffff,0x7ffffec0,
    0x0006ffff,0x077ffe40,0x7ffffe40,0xf00002ff,0x000fffff,0x2fff9800,
    0x0003fff2,0x3fffffe2,0x6ffd8806,0xffffc800,0x7fffffff,0x3ffe0000,
    0xffff12ff,0x4400003f,0x3ff23fff,0x2600000f,0xfecdffff,0x20001fff,
    0x00005fe8,0x003fffea,0x3ffe6000,0xffffffff,0xffa8002f,0xfff88003,
    0x3fffe27f,0xffff3006,0x7fcc0003,0x0000005f,0x0001dffd,0xbffff880,
    0x0000ffff,0x0009fff3,0x7ffffc40,0x0001ffff,0x0077ff40,0x7df7ffcc,
    0x900006ff,0x000bffff,0x7fffb000,0x0007fffb,0x3fffffe2,0x01bf2006,
    0x3fffbfe0,0x03ffffff,0x3fffa000,0x3ffffa0f,0x7e400000,0x3fffdcff,
    0xffc80000,0x4fffffff,0x17fa2000,0xfffb0000,0x32000003,0xfffffeff,
    0x20006fff,0xc8002ffa,0x7fec3fff,0xfff9003f,0xff300005,0x8000001f,
    0x0000fff8,0x10effd80,0x40007ffd,0x00007ffa,0x7fffff44,0x4c00001e,
    0xfb000eff,0x3ffa61bf,0xfe880003,0x000001ef,0xffffff88,0x3e20006f,
    0x006fffff,0xf1001be2,0x7fffed47,0x5400005f,0x7fd44fff,0x8800003f,
    0x7fffffff,0x3f600000,0x05ffffff,0x00fff400,0x3fff1000,0x2ec00000,
    0xdfffff93,0xffd80003,0x01c98001,0x7f400173,0x2600002f,0x000002ff,
    0x0000ffdc,0x442ffcc0,0x20000ffd,0x00001ffa,0x003ceca8,0x01df9000,
    0x2213fea0,0x200007fe,0x00000019,0x7fffffe4,0x3fe20002,0x0206ffff,
    0x1d1001ae,0x0059b510,0x50054000,0x5c000001,0x02ffffff,0x7fdc0000,
    0x40003fff,0x00005ffd,0x0000ffd4,0x5cc0b600,0x880000bd,0x00000fff,
    0x17fcc000,0x1f540000,0x3b200000,0xfd000001,0x004fc807,0x0001f540,
    0x00000000,0x7f4001bb,0x001fec03,0x00000000,0xbfffff10,0xfff88000,
    0x0b306fff,0x000000d3,0x00000000,0x3e200000,0x0006ffff,0x006a6000,
    0x07fff200,0x03d90000,0x00000000,0x3ff60000,0x0000000e,0x0000faa0,
    0x00000000,0xa8800000,0x00097001,0x88000000,0x028009aa,0x0d440000,
    0x00003b80,0x50013551,0x55530000,0xf8800015,0x506fffff,0x0000160b,
    0x00000000,0x98000000,0x0000aaaa,0x80000000,0x0006fff8,0x00000000,
    0x80000000,0x0004fffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f65cc00,0xbdffffff,0x00003540,0x80000000,0xffffecb9,0x540bdfff,
    0x00000006,0xfffff100,0x401720df,0xccccccc9,0xc8800ccc,0xcccccccc,
    0x99999990,0x79999999,0x99999930,0x00005999,0x00000000,0xfffc8000,
    0x00000003,0xcba80000,0xacdefffd,0xff880001,0x7775c0ff,0x45eeeeee,
    0x1eeeeee9,0x33322000,0xcccccccc,0xcccccccc,0x6443cccc,0xcccccccc,
    0xcccccccc,0x43cccccc,0xccccccc8,0xcccccccc,0xcccccccc,0x66666443,
    0xcccccccc,0xff91003c,0x95579dff,0xd77bfffb,0x3333220d,0xcccccccc,
    0x999913cc,0x99999999,0x32200799,0xabceffff,0xbdfffdca,0x999106eb,
    0x99999999,0x99999999,0x88079999,0x06ffffff,0x7dcc00bf,0x5fffffff,
    0xfffb5300,0x7dcc437d,0xdfffffff,0x3f6a601a,0x3261beff,0xcccccccc,
    0xaacccccc,0xccc88001,0xcccccccc,0xcccccccc,0xf103cccc,0x65403fff,
    0xcccccccc,0x6400cccc,0x3ccccccc,0xffffd500,0xffffb55b,0xfe80003d,
    0x7fec43ff,0x80bfffff,0x642effc9,0x0ccccccc,0xfffff730,0xffffffff,
    0xdfffffff,0x3fffee60,0xffffffff,0xffffffff,0xffff7306,0xffffffff,
    0xffffffff,0x3ffee60d,0x0aefffff,0xfffff500,0xfffd8807,0x7dcc06ff,
    0xefffffff,0xfffb980a,0x0aefffff,0xfffff500,0xfffd8807,0x7dcc06ff,
    0xffffffff,0xffffffff,0x7c406fff,0xb86fffff,0xffa8005f,0x03ffffff,
    0x200ffec0,0x6ffffffc,0x01ffe800,0xfffff931,0xffffffff,0x80059fff,
    0xffffffb9,0xffffffff,0x06ffffff,0x401ffff9,0xfffffdb8,0x8009dfff,
    0xcffffdb9,0x7ffec401,0x3ffea02f,0x3f20004f,0xfffb07ff,0xff880fff,
    0xffffd981,0x7fd401ff,0x2606ffff,0x406ffffb,0x6ffffffa,0x3fffee60,
    0x7fffd406,0x3ee606ff,0x7d406fff,0x00ffffff,0xdffffb10,0x7ffcc001,
    0xfff5006f,0x5001ffff,0x1fffffff,0x3fff6200,0x3e6000ef,0xf5006fff,
    0x40dfffff,0x06ffffb9,0x7fffffc4,0x002ffd46,0xffffffa8,0x3e6002ff,
    0xffffa805,0xfb8005ff,0xffffb005,0x7e5447ff,0x000dffff,0x7fffffd4,
    0x3ffee606,0xffff886f,0x3fff6006,0x0002ffff,0xf5001ffd,0x3007ffff,
    0x005dffff,0x07ffff70,0x3ffffff1,0x3e02fc40,0x401fffff,0x6ffffff8,
    0x06ffd880,0x7fffffc4,0x6ffd8806,0x7ffffc40,0xffd8806f,0x7fffc406,
    0xfd1006ff,0x0001ffff,0x200dfff3,0x6ffffff8,0xfffff100,0x3fa200df,
    0x8000ffff,0x1006fff9,0x0dffffff,0x80dffb10,0xeffffff8,0x05fffdca,
    0xfffff100,0x2001ffff,0xff9804f8,0x8004ffff,0xff7004fa,0x2607ffff,
    0x03fffffe,0x3ffffe20,0xffd8806f,0x5ffffa86,0x3fffe200,0xf0005fff,
    0xfff5005f,0x7dc009ff,0x4001ffff,0x906ffff9,0x409fffff,0x7fec01fa,
    0x7c401fff,0x006fffff,0xff101bf2,0x400dffff,0x7fc406fc,0x2006ffff,
    0x7fc406fc,0x9006ffff,0x005fffff,0x8037fcc0,0x6ffffff8,0xfffff100,
    0x3ff200df,0x20002fff,0xf1006ff9,0x00dfffff,0x3e2037e4,0xffffffff,
    0x0005ffff,0xfffffff1,0x3e200dff,0xffff9803,0xf98004ff,0xffff5003,
    0x7fc407ff,0x1004ffff,0x0dffffff,0x7e437e40,0x5c004fff,0x0fffffff,
    0x402fd400,0x07fffff8,0x6fffff80,0x7fffc400,0xfffff107,0x201b201f,
    0x01fffffd,0x7fffffc4,0x01be2006,0xdffffff1,0x2037c400,0x6ffffff8,
    0x101be200,0x0dffffff,0xffffff50,0x0df70000,0x3ffffe20,0xfff1006f,
    0xf500dfff,0x000fffff,0x2200df70,0x06ffffff,0xf101be20,0x75dfffff,
    0x000bfffb,0x3fffafe2,0xf005ffff,0xffff3007,0xf30009ff,0x3ffea007,
    0x7d403fff,0x802fffff,0x6ffffff8,0x361be200,0x8004ffff,0x5ffffffe,
    0x4007f400,0x04fffffd,0xfffffb80,0x3ffe2004,0xfffb00ff,0x00fe07ff,
    0x07fffff6,0xffffff10,0x035c040d,0x3fffffe2,0x01ae0206,0xdffffff1,
    0x2035c040,0x6ffffff8,0x7ffffc40,0xdf00004f,0x3fffe200,0xff1006ff,
    0x880dffff,0x04ffffff,0x200df000,0x6ffffff8,0x101ae020,0x8dffffff,
    0x10005ffa,0xfffff35f,0x7f007fff,0xfffff300,0x7f30009f,0x3fffea00,
    0xffd803ff,0x4401ffff,0x06ffffff,0x3fa1ae02,0xa8004fff,0x1fffffff,
    0x5007f700,0x05ffffff,0xfffff300,0x3fe2003f,0xff301fff,0x1f50dfff,
    0xfffffb00,0xffff8803,0x30b306ff,0xffff880d,0x30b306ff,0xffff880d,
    0x30b306ff,0xffff880d,0x7fec06ff,0x0001ffff,0x3e200d70,0x006fffff,
    0xdffffff1,0xfffffd80,0xd700001f,0x3fffe200,0x30b306ff,0xffff880d,
    0x05fb86ff,0x3ea5f100,0x1fffffff,0x7cc01fc0,0x004fffff,0xf5003f98,
    0x007fffff,0xbffffff5,0xfffff880,0xd30b306f,0x07fffff0,0x3ffff600,
    0x6f8805ff,0xfffff880,0xff10007f,0x200dffff,0x02fffff8,0x0bfffffa,
    0x3ff600bb,0x7c401fff,0x506fffff,0xff10160b,0x2a0dffff,0xff880b05,
    0xb506ffff,0xfff10160,0x7c40dfff,0x00ffffff,0x44016000,0x06ffffff,
    0xffffff10,0x7fffc40d,0x00000fff,0x7ffc4016,0x0b506fff,0xffff1016,
    0x017e0dff,0xff917c40,0x01ffffff,0x7fcc01fc,0x8004ffff,0xff5003f9,
    0x1007ffff,0x1fffffff,0x7ffffc40,0x160b506f,0x07fffff1,0x3fffe600,
    0x7e401fff,0xffffa801,0x3a0005ff,0x01ffffff,0x07fffff0,0x37ffffd4,
    0x3f6005f1,0x4401ffff,0x06ffffff,0x3e2000b9,0x906fffff,0x3fe2000b,
    0xb906ffff,0x3ffe2000,0x3ea06fff,0x007fffff,0xff100000,0x200dffff,
    0x6ffffff8,0x3ffffea0,0x0000007f,0xffffff10,0x4001720d,0x6ffffff8,
    0x10080bb0,0xffffd85f,0x0fe06fff,0x3ffffe60,0x3f98004f,0xfffff500,
    0x3ff6007f,0x2203ffff,0x06ffffff,0x3fe600b9,0x20003fff,0x6ffffffd,
    0x5c013e60,0x04ffffff,0x3ffff600,0xfff002ff,0xfff809ff,0x00f71fff,
    0x0fffffec,0x3ffffe20,0x000bf06f,0x3fffffe2,0x2000bf06,0x6ffffff8,
    0x22000bf0,0x06ffffff,0x3ffffff2,0x00000006,0xdffffff1,0x3fffe200,
    0x3ff206ff,0x0006ffff,0xfff10000,0x17e0dfff,0x7fffc400,0x40b706ff,
    0x885f1068,0xfffffffe,0xf3007f04,0x009fffff,0x2a007f30,0x03ffffff,
    0xffffff70,0x7fffc40d,0x00bf06ff,0x0fffffe2,0xffff8800,0x1fd02fff,
    0x3ffff600,0x320004ff,0x04ffffff,0x09fffff0,0x5fffffb8,0x7fec009d,
    0x7c401fff,0xb86fffff,0xff10005f,0xf70dffff,0x3fe2000b,0xfb86ffff,
    0xfff10005,0x7ec0dfff,0x005fffff,0xff100000,0x200dffff,0x6ffffff8,
    0x3fffff60,0x0000005f,0xffffff10,0x000bf70d,0x3fffffe2,0x2dc09306,
    0xff882f88,0x83ffffff,0xfff9803f,0x98004fff,0xfff5003f,0x2e007fff,
    0x0fffffff,0xffffff10,0x400bf70d,0x003fffff,0x7ffffe40,0x003fa86f,
    0x3ffffffa,0x3ff20003,0xf005ffff,0x8807ffff,0xfaffffff,0x3fff6001,
    0x7fc401ff,0x7d46ffff,0xff10005f,0xfa8dffff,0xff10005f,0xfa8dffff,
    0xff10005f,0x7c0dffff,0x04ffffff,0xf1000000,0x00dfffff,0x3fffffe2,
    0x3ffffe06,0x000004ff,0xfffff100,0x05ffa8df,0xfffff100,0x13a000df,
    0xffa817c4,0x41ffffff,0xfff9803f,0x98004fff,0xfff5003f,0x2a007fff,
    0x1fffffff,0xffffff10,0x005ffa8d,0x00fffffa,0xfffff100,0x037c47ff,
    0xffffff10,0x7e40007f,0x807fffff,0x02fffff8,0xffffffc8,0x7ffec006,
    0x7fc401ff,0xdcaeffff,0x10005fff,0x5dffffff,0x00bfffb9,0x3ffffe20,
    0xfffdcaef,0xfff10005,0x3e20dfff,0x03ffffff,0xf1000000,0x00dfffff,
    0x3fffffe2,0xfffff106,0x000007ff,0x3fffe200,0xffdcaeff,0xff10005f,
    0x000dffff,0x0be207f7,0xffffffb8,0x200fe0ff,0x4ffffff9,0x003f9800,
    0x7ffffff5,0x3fffe600,0xff102fff,0xb95dffff,0x6c00bfff,0x0004ffff,
    0xffffffb8,0x4003f90f,0xfffffff9,0x3fee0002,0x400fffff,0x01fffff8,
    0xffffff98,0x7ffec003,0x7fc401ff,0xffffffff,0x10005fff,0xffffffff,
    0x00bfffff,0x3ffffe20,0xffffffff,0xfff10005,0x3e20dfff,0x03ffffff,
    0xf1000000,0x00dfffff,0x3fffffe2,0xfffff106,0x000007ff,0x3fffe200,
    0xffffffff,0xff10005f,0x800dffff,0x5f102ffa,0xfffffd80,0x200fe5ff,
    0x4ffffff9,0x003f9800,0x7ffffff5,0x3fffe600,0xff103fff,0xffffffff,
    0x6400bfff,0x0004ffff,0xffffffd0,0x88009f39,0x2fffffff,0x3ffee000,
    0xf8807fff,0xb000ffff,0x001fffff,0x1fffffd8,0x7ffffc40,0xfffdbaef,
    0xfff10005,0xfb75dfff,0x22000bff,0xaeffffff,0x005fffdb,0xffffff10,
    0x3fffe20d,0x00003fff,0xffff1000,0x3e200dff,0x106fffff,0x7fffffff,
    0x20000000,0xeffffff8,0x05fffdba,0xfffff100,0x7fd400df,0x005f101f,
    0xfffffffd,0x3e600fe9,0x004fffff,0xf5003f98,0x007fffff,0x3fffffe6,
    0xffff102f,0xffb75dff,0x7fdc00bf,0x500005ff,0xdfffffff,0xfff0001f,
    0x0007ffff,0x7fffffe4,0xffff9806,0x3ffea007,0xffd8004f,0x7c401fff,
    0x546fffff,0xf10005ff,0xa8dfffff,0xf10005ff,0xa8dfffff,0xf10005ff,
    0x40dfffff,0x3fffffff,0xffffd700,0xdfffffff,0x3fffe203,0xff1006ff,
    0x7c0dffff,0x03ffffff,0xfffffd70,0x3dffffff,0x3ffffe20,0x02ffd46f,
    0xfffff980,0x7f5401ff,0x0be207ff,0x3ffffe20,0x803fbfff,0x4ffffff9,
    0x003f9800,0x7ffffff5,0x3fffea00,0xff100fff,0xfa8dffff,0x3fe2005f,
    0x200006ff,0xfffffffe,0xfffd0003,0x40009fff,0x5ffffffc,0x4ffffa80,
    0x0ffff400,0x7fffec00,0x7ffc401f,0x5fb86fff,0xffff1000,0x0bf70dff,
    0x3fffe200,0x05fb86ff,0xfffff100,0x7fff40df,0x44004fff,0xfffffffd,
    0x7ffc400d,0xf1006fff,0x40dfffff,0x4ffffffe,0x7ffec400,0x400dffff,
    0x6ffffff8,0x88005fb8,0xfffffffe,0xfedcccdf,0x206fffff,0xff3002f8,
    0x7fffffff,0xfffff300,0x7f50009f,0x3fffea00,0xff5003ff,0x440fffff,
    0x86ffffff,0x7ec005fb,0x200007ff,0xfffffff9,0xfffb0000,0x4000bfff,
    0x4ffffffd,0x0ffffc80,0x037fdc00,0xfffffd80,0x7fffc401,0x00bf06ff,
    0x3ffffe20,0x000bf06f,0x3fffffe2,0x2000bf06,0x6ffffff8,0x3ffffee0,
    0xff88006f,0x800fffff,0x6ffffff8,0xfffff100,0x7ffdc0df,0x88006fff,
    0x0fffffff,0xfffff880,0x200bf06f,0xffffffe8,0xffffffff,0xffffffff,
    0x00be205f,0xffffffb8,0xff9803ff,0x8004ffff,0xff5002fa,0x2007ffff,
    0x6ffffffb,0x3ffffe20,0x800bf06f,0x000ffff9,0x3ffffa00,0x3ee0007f,
    0x005fffff,0x3fffff60,0xfffd802f,0x3ff88005,0xffffb000,0xfff8803f,
    0x0bb06fff,0xffff1008,0x01760dff,0x3fffe201,0x80bb06ff,0xfffff100,
    0x7ffc40df,0xf0007fff,0x00ffffff,0x3fffffe2,0xffff1006,0x7fc40dff,
    0x0007ffff,0x0fffffff,0x3ffffe20,0x080bb06f,0x7f440000,0x00be2001,
    0xffffff90,0xfff1007f,0x5000bfff,0x3fea005f,0x9003ffff,0x09ffffff,
    0x7fffffc4,0x8080bb06,0x0002fffd,0x3fffffa0,0x3fe20007,0x0006ffff,
    0x1bfffffe,0x00ffff40,0x0000fc80,0x03fffffb,0xffffff88,0x3440b706,
    0xffffff88,0x3440b706,0xffffff88,0x3440b706,0xffffff88,0x7fffec06,
    0xff8001ff,0x1006ffff,0x0dffffff,0x3ffffe20,0x7ffec06f,0xf8001fff,
    0x006fffff,0xdffffff1,0x068816e0,0x0bfea000,0x0005f100,0x7ffffffd,
    0xfffff100,0x3f9000bf,0x3fffea00,0xffb003ff,0x4405ffff,0x06ffffff,
    0x4c3440b7,0x00005fff,0x1ffffffa,0xffff9000,0xf30001ff,0x005fffff,
    0x000bfff3,0xfb0002ec,0x8803ffff,0x06ffffff,0x882dc093,0x06ffffff,
    0x882dc093,0x06ffffff,0x882dc093,0x06ffffff,0x7fffffc4,0xffff8004,
    0xff1006ff,0x200dffff,0x6ffffff8,0x7ffffc40,0xfff8004f,0xf1006fff,
    0x20dfffff,0x0016e049,0x000fff80,0x440017c4,0x03ffffff,0xbffffff0,
    0x400fd000,0x3ffffffa,0xfffff880,0x7ffc406f,0x09306fff,0xfffe82dc,
    0xffd00000,0x8000ffff,0x4ffffff8,0xffffb800,0xfff9006f,0x07e20003,
    0xffffd800,0x7ffc401f,0xd0006fff,0x3fffe209,0x9d0006ff,0x3ffffe20,
    0x09d0006f,0x3fffffe2,0xffff9806,0x7fc000ff,0x1006ffff,0x0dffffff,
    0x3ffffe20,0xfff9806f,0x7c000fff,0x006fffff,0xdffffff1,0x0013a000,
    0x00fffd40,0x4000be20,0x03fffff9,0xffffffb0,0x006f8800,0x3fffffea,
    0xffffb803,0x7fc401ff,0x0006ffff,0x3ffa209d,0xffd00002,0x0000ffff,
    0x0ffffff7,0xfffffd00,0x7fff1005,0x5c0cda80,0x7fec0006,0x7c401fff,
    0x006fffff,0xff103fb8,0x000dffff,0x3fe207f7,0x8006ffff,0xfff103fb,
    0x2e00dfff,0x003fffff,0x37fffffc,0xfffff880,0xfff1006f,0x2e00dfff,
    0x003fffff,0x37fffffc,0xfffff880,0x3fb8006f,0xfff90000,0x03f98007,
    0x3fffea00,0xffff5003,0x7f4003ff,0x3ffea002,0xff803fff,0x8804ffff,
    0x06ffffff,0x2203fb80,0xd00007ff,0x00ffffff,0x3ffffa00,0x3fea002f,
    0xf9004fff,0xfff9809f,0x20001f45,0x01fffffd,0x7fffffc4,0x17fd4006,
    0xffffff88,0x17fd4006,0xffffff88,0x17fd4006,0xffffff88,0x3fff2006,
    0x3fe002ff,0x1006ffff,0x0dffffff,0x3ffffe20,0x3ff2006f,0x3e002fff,
    0x006fffff,0xdffffff1,0x02ffa800,0xffff7000,0x027d4003,0x0ffff200,
    0xfffffe80,0x06fd800e,0x7ffffd40,0x7ffdc03f,0xf8800eff,0x006fffff,
    0x26017fd4,0xe80003ff,0x00ffffff,0xffffb000,0x3ffa200d,0xff1004ff,
    0xffff9009,0x20001aa1,0x01fffffd,0x7fffffc4,0x3ffea006,0xfffff101,
    0x7fd400df,0xffff101f,0x7d400dff,0xfff101ff,0x9800dfff,0x003ffffe,
    0x0dffffff,0x3ffffe20,0xfff1006f,0x9800dfff,0x003ffffe,0x0dffffff,
    0x3ffffe20,0x3fea006f,0xf300001f,0x2003ffff,0xd80006fd,0x3e2003ff,
    0x01efffff,0x8001df93,0x4ffffffa,0x3ffffea0,0x3ffe2004,0x2a006fff,
    0xfa801fff,0x7f40002f,0x000fffff,0x3ffff600,0x3ffa200e,0xfd1004ff,
    0x3ffee00b,0x0002f99f,0x1fffffd8,0x7ffffcc0,0x7f5401ff,0x3fe607ff,
    0x401fffff,0x207fffea,0xfffffff9,0x7fff5401,0x3fffe607,0xf70007ff,
    0x4137ffff,0xfffffca8,0xfff3001c,0x2600ffff,0x07ffffff,0xfffff700,
    0x7e544137,0x001cffff,0xfffffff3,0xfffea803,0x7dc00007,0x03deffff,
    0x005bfff7,0x001ff440,0x3fffffa2,0xfffdcdff,0xffc8000e,0xb885ffff,
    0x002fffff,0x7fffffcc,0x7ff5401f,0x3f66007f,0x3ffe0004,0x0001ffff,
    0x77fff540,0xfffb511b,0x3a6003df,0x3fe2003f,0x0005ffff,0x5fffffd0,
    0x7ffff440,0xcccdffff,0xffffffed,0xffffd106,0x999bffff,0xffffffdb,
    0x3fffa20d,0xccdfffff,0xfffffedc,0xfffd106f,0x0019ffff,0xfffff910,
    0xffffffff,0xfe880039,0x0cffffff,0x3ffffa20,0x8000cfff,0xffffffc8,
    0xcfffffff,0x7ff44001,0xcdffffff,0xffffedcc,0x800006ff,0xeffffffb,
    0xfffffd30,0x20009fff,0xd70003f9,0xffffffff,0x2a0003bf,0xffffffff,
    0xffffedce,0x744000be,0xffffffff,0xffedcccd,0x8006ffff,0x6c4005ea,
    0xefffffff,0xdb800000,0xffffffff,0x26002dff,0xda8000cf,0x00004fff,
    0xbffffff5,0x7ffff441,0xffffffff,0xffffffff,0x3fa25fff,0xffffffff,
    0xffffffff,0x25ffffff,0xffffffe8,0xffffffff,0xffffffff,0x3fffa25f,
    0xffffffff,0x530005ef,0x35599997,0xffe88001,0xffffffff,0xffd15eff,
    0xffffffff,0x2000bdff,0xaccccba9,0x7440009a,0xffffffff,0xffffffff,
    0x5fffffff,0x97100000,0x0000057b,0x80005500,0xaacccca9,0xffea8000,
    0xffffffff,0x0bdeffff,0x7fff4400,0xffffffff,0xffffffff,0x0005ffff,
    0x3fbaa00a,0xffffffff,0x0003eeff,0x665d5440,0x98000aab,0x01880000,
    0xffff1000,0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55555510,0xa8000000,0xea80002c,0x003e9802,0x10000000,0x99999999,
    0x99999999,0x50003599,0x39999999,0x33320000,0xcccccccc,0x99300ccc,
    0x99999999,0x32000007,0x0ccccccc,0x800ed800,0x3326006d,0xcccccccc,
    0xcccc8800,0x000ccccc,0x00000000,0x00000000,0x99880000,0x66440000,
    0xcccccccc,0x0004cccc,0x00000000,0x0a806a60,0x99999995,0x33333269,
    0x7e4004cc,0x0001ffff,0x3fffa000,0x7fc40005,0x003fee03,0x42efd880,
    0x4001dfd9,0xfffffba9,0xfffeeeff,0x00cfffff,0xfffff710,0x4c00007f,
    0xfffffffb,0x26201aef,0xcffffffa,0x3bfb300a,0x4c0dfea8,0x1ffffffd,
    0x405fb800,0x5cc005fc,0xffffffff,0xffb53005,0x200037df,0x440bfffc,
    0x6d40002f,0x260001cf,0x7ecc1dfd,0xa880001d,0xefffffdc,0x730002cd,
    0xffffffff,0x0000015d,0x985dfb10,0x98001dfd,0x4c2effff,0xffb5311f,
    0x3ffeefff,0x40019bff,0x001ffffe,0x3fe60000,0x40001fff,0xffc84ffb,
    0x7fe40003,0x37ffec7f,0xffff9000,0xfd9887ff,0x002fffff,0x0ffffff2,
    0x3fe60000,0x001fffff,0x00f7ffd4,0x3e2ffff4,0xfff05fff,0x30003fff,
    0x97379dff,0x20007ffd,0xfffffffa,0x7fec003f,0xffd10001,0xb35bffff,
    0x7c40003f,0x20006fff,0x7f46fffd,0x540005ff,0xaadfffff,0x01effffd,
    0xfffff700,0x000001ff,0x23fffe40,0x4006fffd,0xfffffff9,0xf00ffccf,
    0x3feeffff,0xf30003ff,0x00003fff,0xffffb800,0xff80003f,0x0dffd15f,
    0xfffff000,0x3ffffe25,0xfff30001,0x7d407fff,0x003fffff,0x07fffff7,
    0x3ffe0000,0xc8007fff,0xf9800dff,0xff50ffff,0xffb01fff,0x20003fff,
    0xfffffffd,0x540006ff,0xffffffff,0x017e6002,0xfffffb80,0x0fffffff,
    0x3ffee000,0xf88001ff,0xff31ffff,0x10001fff,0x405ffffb,0x00cffffa,
    0x7ffffcc0,0x0000006f,0x897ffffc,0x001fffff,0x3ffffff6,0x206fffff,
    0xff77fffe,0x320003ff,0x00002fff,0xffff9800,0xfb80000f,0x2fffeeff,
    0xfffe8000,0x3ffffa0f,0xfff30000,0xfc807fff,0x800fffff,0x03fffffb,
    0xffff0000,0xfa800fff,0x7ffc003f,0x3fffe26f,0xfffffb06,0x3fe20003,
    0x1fffffff,0x7ffc4000,0x00ffffff,0x40009f10,0xfffffeff,0x0004ffff,
    0x0fffffdc,0x7fffe800,0x0037fffc,0x1fffffd4,0x7ffffdc0,0x3ffe2002,
    0x00005fff,0x7ffff400,0x03ffffa0,0x7ee77c40,0x2fffffff,0x5dffffa0,
    0x0001ffff,0x00005ffd,0x7ffe4000,0x3fa00003,0x006fffff,0x89fff500,
    0x0003fffa,0x3fffffe6,0x7fffc403,0xffa804ff,0x00003fff,0xdffffff0,
    0x017fd400,0x217ffdc0,0xfb02fffc,0x0003ffff,0x7ffffec4,0xf880001e,
    0xffffffff,0x007f1006,0xfea8fe20,0x000dffff,0x37fffc40,0x7fff5000,
    0x002fffb8,0x27ffffd4,0xfffff900,0x3ffe2003,0x00005fff,0x27ffd400,
    0x800fffea,0x3fae21f9,0x7ec02fff,0xffff77ff,0x5ff30003,0x00000000,
    0x80000151,0x1ffffffa,0x00540000,0xf9800015,0x803fffff,0x07ffffff,
    0x3fffffa8,0xfff00000,0x3200dfff,0x220000ef,0xd805100a,0x001fffff,
    0x0bceca80,0xd7f10000,0xbfffffff,0x4000fe00,0xdda880e8,0x36600003,
    0x440000cf,0x0015100a,0x7fffff88,0xfffff800,0xffff1006,0x00000bff,
    0x0a802a00,0x51014400,0xfffb0015,0x07fffeef,0x000faa00,0x00000000,
    0x3fffa000,0x0000005f,0xff300000,0xd007ffff,0x01ffffff,0x3fffffa8,
    0xfff00000,0xd880dfff,0x0000005f,0xfffffb00,0x00000003,0xf9af8800,
    0x3fffffff,0x00003f80,0x00000000,0x00000000,0x9fffffb0,0xffff9000,
    0xfff1009f,0x0000bfff,0x00000000,0x7ec00000,0xffff77ff,0x00000003,
    0x53100000,0x4400a001,0x00009999,0x00000800,0xffffff98,0xffffe803,
    0x7fd400ff,0x00003fff,0xdffffff0,0x001ff4c0,0xfb000000,0x0003ffff,
    0x40000040,0xffff52f8,0xf803ffff,0x00800003,0x00000000,0x54000000,
    0x02ffffff,0xfffffa80,0x7ffc401f,0x00005fff,0x00000000,0x3f600000,
    0xffff77ff,0x00000003,0xfd710000,0x57bfffff,0x15407981,0x00000550,
    0x2000016c,0x3ffffff9,0xffffff80,0xffffa807,0xeeeee83f,0xff804eee,
    0xf506ffff,0xc880005f,0xcccccccc,0xd83ccccc,0x001fffff,0x0000b600,
    0x7fe45f10,0x00ffffff,0x200000fe,0x6440002d,0xcccccccc,0x913ccccc,
    0x99999999,0x99999999,0x07999999,0xfffffff1,0x3ffe2000,0x7c406fff,
    0x005fffff,0x99999500,0x99999999,0xccccc801,0x99913ccc,0x99999999,
    0x3f607999,0xffff77ff,0x33332203,0xcccccccc,0x000004cc,0xdfffff93,
    0xbfffd99b,0x7f40fd57,0x3ffe20ff,0x4c00000e,0x4c00005f,0x03ffffff,
    0x7fffffcc,0xffffa805,0xfffb883f,0xff800adf,0xfc86ffff,0x2600000e,
    0xfffffffb,0xffb00aef,0x00003fff,0x000017e6,0xfffd85f1,0x3e06ffff,
    0x7cc00003,0xf7300005,0xdfffffff,0xfff73015,0xffffffff,0xffffffff,
    0xffff50df,0x74000bff,0x01ffffff,0x3fffffe2,0xb7100005,0xffffffff,
    0xb730013b,0x9839ffff,0xfffffffb,0x3f600aef,0xffff77ff,0xfffb9803,
    0x0aefffff,0xff700000,0x5405dfff,0x507fffff,0x7dc9ffff,0x00003fff,
    0x0000ffe4,0xffffff30,0xffffb807,0xffa802ff,0x3fa03fff,0x7ffc002f,
    0x3f626fff,0x5000001f,0x1fffffff,0xfffffd80,0xff900001,0x7c400003,
    0x7ffff442,0x07f04fff,0x1ffc8000,0x3fea0000,0x800fffff,0x6ffffffa,
    0x3fffee60,0xfffffb86,0x3f60004f,0x203fffff,0x5ffffff8,0xffd80000,
    0x002fffff,0xa801ffd0,0x0fffffff,0x77fffd80,0x2003ffff,0xfffffffb,
    0xb1000000,0x007fffff,0xc83fffe4,0x3f65ffff,0x00004fff,0x0013ffe2,
    0xfffff980,0x3ffe603f,0xf5004fff,0x2207ffff,0xff8002ff,0xfd16ffff,
    0x00001dff,0xffffff10,0xffffb00d,0xf100003f,0x400009ff,0xfff882f8,
    0xf83fffff,0x3e200003,0x200004ff,0x6ffffff8,0xfffff100,0xffb100df,
    0xfffffb0d,0x7ec0009f,0x204fffff,0x5ffffff8,0xff880000,0x005fffff,
    0xf1005ff0,0x00dfffff,0x7ddffff6,0xf3001fff,0x00dfffff,0x7fff4000,
    0xfc8002ff,0xffff307f,0x0ffffd45,0xfff70000,0x2600001f,0x03ffffff,
    0x9ffffff7,0x7fffd400,0x003fd03f,0x3fffffe0,0xffffffae,0xf8800005,
    0x806fffff,0x01fffffd,0xffffb800,0x5f100000,0x3ffffea0,0x01fc1fff,
    0xffff7000,0x3e200001,0x006fffff,0xdffffff1,0x7437e400,0x03ffffff,
    0x3ffff200,0x3fe205ff,0x0005ffff,0xfffff700,0xfa8001ff,0xffff1005,
    0x3f600dff,0xffff77ff,0x3ffe2003,0x00005fff,0x9fffffb0,0x03fec000,
    0xdd707dd5,0xff800007,0x00003fff,0xdffffff3,0xffffd999,0xa80019ff,
    0xd83fffff,0x3fe0001f,0xffffffff,0x004fffff,0x7fffc400,0xffd806ff,
    0x80001fff,0x003fffff,0x5c05f100,0xffffffff,0x80000fe0,0x003fffff,
    0xfffff100,0x3fe200df,0x2006ffff,0x7ffc46f8,0x0002ffff,0x3fffffee,
    0x3fffe207,0x000005ff,0x3ffffffa,0x007f4005,0xffffff88,0xffffb006,
    0x007fffee,0x7fffffc4,0xfb800005,0x000fffff,0x0001fe20,0x3ea00000,
    0x0007ffff,0xffffff30,0xffffffff,0x2a0001ff,0x6c3fffff,0x7fc0001f,
    0xfedfffff,0x02ffffff,0x3ffe2000,0xfd806fff,0x0001ffff,0x3fffffd4,
    0x02f88000,0x7fffffec,0x0000fe5f,0x3fffffd4,0xfff88000,0xf1006fff,
    0x40dfffff,0x7fcc6b80,0x002fffff,0x3ffffee0,0xfff100ff,0x0000bfff,
    0x7ffffd40,0x7f7001ff,0x7fffc400,0xffb006ff,0x3fffeeff,0xffff1001,
    0x80000bff,0x4ffffff8,0x007d8000,0xe8000000,0x02ffffff,0xffff9800,
    0xffff33ff,0x20009fff,0x23fffffa,0x40000ffd,0x17ffffff,0xffffffff,
    0x3e200003,0x806fffff,0x01fffffd,0x7ffff400,0x880002ff,0xfffe802f,
    0x07f4ffff,0x3fffa000,0x80002fff,0x6ffffff8,0xfffff100,0x261660df,
    0x7ffffc46,0x2e0002ff,0x07ffffff,0x3fffffe2,0x6c000005,0x05ffffff,
    0x44006f88,0x06ffffff,0x2effffb0,0x1001ffff,0x0bffffff,0xfffc8000,
    0x80001fff,0xddddd77a,0x777545dd,0x0003eeee,0x3fffffe6,0xf980006f,
    0x2e3fffff,0x1fffffff,0xffffa800,0x0bfffb3f,0xfffff800,0x3fffea6f,
    0x0000efff,0xffffff88,0xffffd806,0x3e60001f,0x06ffffff,0x802f8800,
    0xfffffff8,0x80003fbf,0xfffffff9,0xff880006,0x1006ffff,0x0dffffff,
    0x7fc2c16a,0x003fffff,0x3fffff20,0x3ffe206f,0x00005fff,0x7ffffcc0,
    0x0fe401ff,0x3fffe200,0xffb006ff,0x3fffeeff,0xffff1001,0x40000bff,
    0x7ffffff8,0x5c4e0000,0x42ffffff,0x4fffffea,0x3fbf6000,0x001fffff,
    0x7ffffcc0,0x7fffec3f,0x54000fff,0xfdbfffff,0x0002ffff,0x1bfffffe,
    0xfffffff7,0xff10000b,0xb00dffff,0x003fffff,0x7fff7ec0,0x40001fff,
    0xff3002f8,0x7fffffff,0xfdfb0000,0x003fffff,0xfffff880,0xfff1006f,
    0x1720dfff,0xfffffe80,0x3f20004f,0x205fffff,0x5ffffff8,0xfd800000,
    0x206fffff,0xf88004f9,0x006fffff,0x3eeffffb,0xf1001fff,0x00bfffff,
    0x7fffdc00,0x000005ff,0x0bfffff6,0x13ffffee,0x7ddfcc00,0x005fffff,
    0x7ffffcc0,0x7fffc43f,0x54005fff,0xffffffff,0x000fffff,0xdffffff0,
    0xffffffb0,0xf880009f,0x806fffff,0x01fffffd,0xff77f300,0x000bffff,
    0x2e002f88,0xffffffff,0x5fcc0003,0x5ffffffb,0x7ffc4000,0xf1006fff,
    0x20dfffff,0x3ff6005f,0x0005ffff,0x3ffffff6,0x3fffe204,0x360005ff,
    0xffff8801,0x1fd02fff,0xffff1000,0x3f600dff,0xffff77ff,0x3ffe2003,
    0x00005fff,0x3ffffff6,0x32000004,0xa82fffff,0x004fffff,0xfff11f90,
    0x0001ffff,0x7fffffcc,0xfffffa83,0x3ea002ff,0xfd9fffff,0x0005ffff,
    0x0dffffff,0xffffffd1,0x7c40005f,0x806fffff,0x01fffffd,0xff11f900,
    0x001fffff,0x20017c40,0xfffffffc,0x47e40003,0xfffffff8,0x3fe20000,
    0x1006ffff,0x0dffffff,0x7dc00bf7,0x006fffff,0x3fffffa0,0x3ffe202f,
    0x10005fff,0x3ff2003f,0xfa86ffff,0xfff10003,0x3600dfff,0xfff77fff,
    0x3fe2003f,0x0005ffff,0x3fffffe0,0x2000003f,0x82fffffb,0x04fffffa,
    0x3f24f880,0x004fffff,0x3ffffe60,0xffffb03f,0x2a001fff,0xf13fffff,
    0x007fffff,0xdffffff0,0x3ffffe60,0x10001fff,0x0dffffff,0x3fffffb0,
    0x649f1000,0x04ffffff,0x000be200,0x3ffffffa,0x93e20003,0x4ffffffc,
    0x3ffe2000,0xf1006fff,0xa8dfffff,0x3e2005ff,0x006fffff,0x3fffffe0,
    0x7fffc406,0xf50005ff,0x3ffe2001,0x3e23ffff,0x3fe20006,0xb006ffff,
    0x3feeffff,0xff1001ff,0x000bffff,0x7fffffc0,0x2000002f,0x82fffffb,
    0x04fffffa,0x3e61fb80,0x00ffffff,0xfffff300,0x3ffa207f,0x5006ffff,
    0x5c7fffff,0x00ffffff,0x7fffffc0,0x3fffea06,0x8000efff,0x6ffffff8,
    0xfffffd80,0x21fb8001,0xfffffff9,0x05f10000,0xfffff100,0x7dc0007f,
    0x3ffffe61,0xf10000ff,0x00dfffff,0x3fffffe2,0x5fffdcae,0x7fffe400,
    0xf88000ff,0x402fffff,0x5ffffff8,0x800fd000,0xfffffffb,0x40003f90,
    0x6ffffff8,0x2ffffb00,0x001ffffb,0xbffffff1,0x3fe20000,0x002fffff,
    0x3ffee000,0xfffa82ff,0x5f8004ff,0xffffffd8,0xfff30003,0x7cc07fff,
    0x03ffffff,0x3fffffa8,0x37ffffec,0x3ffffe00,0x7ffe406f,0x8005ffff,
    0x6ffffff8,0xfffffd80,0xd85f8001,0x03ffffff,0x0005f100,0x0fffffe6,
    0xfd85f800,0x003fffff,0xffffff10,0x3ffe200d,0xffffffff,0x7c4005ff,
    0x004fffff,0x6fffffc8,0xfffff880,0x6fa8005f,0xffffe800,0x004f9cff,
    0x7ffffc40,0xfffb006f,0x07fffeef,0x7ffffc40,0xf300005f,0x07ffffff,
    0x7fdc0000,0xffa82fff,0x54004fff,0xffffa82f,0xf30006ff,0x807fffff,
    0xfffffffc,0x7fffd401,0x7fffc43f,0x3fe003ff,0xe807ffff,0x4fffffff,
    0x7fffc400,0xffd806ff,0x54001fff,0xffffa82f,0xf30006ff,0x7fd40007,
    0xf50003ff,0xfffff505,0x3e2000df,0x006fffff,0xdffffff1,0x0bfffb75,
    0xfffff700,0xfff8800f,0xf8801fff,0x005fffff,0x4002ff44,0xfffffffa,
    0x440000fe,0x06ffffff,0x2effffb0,0x1001ffff,0x0bffffff,0x3ffe2000,
    0x0004ffff,0x3fffee00,0xffffa82f,0x0374004f,0x5ffffffd,0xffff3000,
    0xffd009ff,0x401dffff,0x83fffffb,0x1ffffffa,0xffffff00,0xffff100f,
    0x4007ffff,0x6ffffff8,0xfffffd80,0xd0374001,0x05ffffff,0x0009f500,
    0x003fffc8,0x7ff40dd0,0x8002ffff,0x6ffffff8,0xfffff100,0x05ffa8df,
    0xfffffb00,0x7ffdc007,0xff3004ff,0x400dffff,0x0005fff9,0xfffffffd,
    0xff100007,0x200dffff,0xff77fffd,0x3e2003ff,0x005fffff,0x3ffffe00,
    0x000005ff,0x0bffffee,0x13ffffea,0x2e02f980,0x06ffffff,0xfffffa80,
    0xfff8805f,0x2e05ffff,0xd04fffff,0x01dfffff,0xffffff88,0xfffd800f,
    0x003fffff,0xdffffff1,0xfffffd00,0x017cc005,0xdffffff7,0x00dfb000,
    0x007ffb00,0x7dc05f30,0x006fffff,0xffffff88,0xffff1006,0x0bf70dff,
    0x7fffe400,0xfff8800e,0x3ea003ff,0x01ffffff,0x27fffd44,0xffff9800,
    0x80000fff,0x6ffffff8,0x2ffffb00,0x001ffffb,0xbffffff1,0x7ff40000,
    0x0006ffff,0x3fffee00,0xffffa82f,0x01f6004f,0xfffffff1,0x7ffcc003,
    0x803fffff,0xfffffffb,0x7fff4c1d,0xffc81eff,0x101dffff,0xfffffffd,
    0x7fec401b,0xdfffffff,0x7fffc401,0x7fd406ff,0x000dffff,0xfff880fb,
    0x2001ffff,0x002dfffb,0x000ffa20,0xfff101f6,0x8003ffff,0x6ffffff8,
    0xfffff100,0x0017e0df,0x1dffff70,0x7ffff440,0x3ffa6002,0xcdffffff,
    0xffffdccc,0x20003fff,0x07fffffe,0xffff1000,0x3f600dff,0xffff77ff,
    0x3ffe2003,0x00005fff,0x3ffffff2,0x2e000007,0xa82fffff,0x004fffff,
    0xdddddff3,0xfffffddd,0xfe880bff,0xffffffff,0x3602ffff,0xffffffff,
    0xffffff74,0x7fe49fff,0x3fffffff,0x3fffffba,0x2fffffff,0x7fffffe4,
    0xffffffff,0xfffff100,0x3ffe20df,0x3fffffff,0x7777fcc0,0xfffeeeee,
    0x4c05ffff,0xfffffffe,0x7f30004f,0xeeff9800,0xffeeeeee,0x005fffff,
    0x7fffffc4,0xffff1006,0x01760dff,0xfffb5001,0x7fdcc37f,0xe8801eff,
    0xffffffff,0xffffffff,0xffffffff,0x3ffa0002,0x00007fff,0xdffffff1,
    0x5ffff600,0x001ffffb,0xbffffff1,0xf10ec000,0x01ffffff,0x3fee0000,
    0xffa82fff,0xf9004fff,0xdddddddd,0xffffffdd,0x0000001f,0x00000000,
    0x00000000,0xfff10000,0x0000dfff,0xddddf900,0xffdddddd,0x001fffff,
    0x2a800000,0x7777e400,0xfeeeeeee,0x00ffffff,0x3ffffe20,0xfff1006f,
    0x16e0dfff,0x32200688,0xffffffff,0x00001cff,0x00000000,0x3ffffff4,
    0xfff88000,0xfb006fff,0x3ffeefff,0xfff1001f,0x2000bfff,0x7ffec1f8,
    0x00002fff,0x5fffff70,0x9fffff50,0x4009f100,0x4ffffffd,0x6f540000,
    0x4000001b,0x0001bdea,0x2f7ae000,0xf1000000,0x00dfffff,0x40037bd5,
    0x3f6004f8,0x004fffff,0x05676400,0x13e20000,0xfffffd80,0x3fe2004f,
    0x1006ffff,0x0dffffff,0x005b8126,0xffffff90,0x2000000d,0x00002cee,
    0xfffffd00,0x3e20000f,0x006fffff,0x3eeffffb,0xf1001fff,0x00bfffff,
    0xff503ea0,0x000dffff,0xffff7020,0xffff505f,0x01f9009f,0x7ffffcc0,
    0x5400007f,0x0002ffff,0x3fffea00,0x90000002,0x0001ffff,0xfffff100,
    0xfff700df,0x03f2003f,0xfffff980,0x7400007f,0x00006fff,0xf30007e4,
    0x00ffffff,0x7fffffc4,0xffff1006,0x3a000dff,0xfff10004,0x0005ffff,
    0xbffff000,0xfd000000,0x000fffff,0x3ffffe20,0xfffb006f,0x07fffeef,
    0x7ffffc40,0x0fd0005f,0x3ffffff2,0x21e40001,0x83fffffa,0x04fffffd,
    0x74002fc4,0x03ffffff,0x3fee2000,0x2000005f,0x005fffb8,0xff930000,
    0x1000007f,0x0dffffff,0x0bfff910,0xd000bf10,0x07ffffff,0x7fed4000,
    0xf100002f,0xfffd000b,0x22007fff,0x06ffffff,0xffffff10,0x07f7000d,
    0x7fffd400,0x000006ff,0x00fffeb8,0x7ff40000,0x00007fff,0xdffffff1,
    0x5ffffa00,0x001ffffb,0xbffffff1,0x40df5000,0x0efffffe,0x985f9000,
    0x644fffff,0x04ffffff,0x54001fe4,0x07ffffff,0x7ffc8000,0xfc800000,
    0x0000007f,0x00037ff4,0x7ffffc40,0x3ff2006f,0x003fc807,0xffffffa8,
    0x7c400007,0x900004ff,0xff50007f,0x200fffff,0x6ffffff8,0xfffff100,
    0xffa800df,0x7fec0002,0x0005ffff,0x2fff9800,0x7f400000,0x000fffff,
    0xfffff880,0xfffd006f,0x07fffeef,0x7ffffc40,0x7f44005f,0x3fffa205,
    0x6c4006ff,0xffffd03f,0xffbfb57f,0x7c40bfff,0xfff0001f,0x0007ffff,
    0x006ffe80,0x6ffe8000,0x22000000,0x00004fff,0xffffff88,0x1bffa006,
    0x0003ff10,0x3ffffffe,0x3e600003,0x880002ff,0xff0001ff,0x007fffff,
    0xdffffff1,0x3fffe200,0x3ea006ff,0xc80001ff,0x0dffffff,0x3ee00000,
    0x000001ff,0x7ffffff4,0xff880000,0xf006ffff,0x3feeffff,0xff3002ff,
    0x400dffff,0xc805fff9,0x02efffff,0x100ffdcc,0xffffffff,0xffffff55,
    0x00bff603,0x7ffffec0,0x980000ff,0x0001fffc,0x3fff2600,0x30000001,
    0x0001dff9,0xfffff300,0xff9300ff,0x2ffd803f,0xffffb000,0x80001fff,
    0x006ffe98,0x005ffb00,0x3fffff60,0x7fcc00ff,0x3007ffff,0x3fffffff,
    0x7fffea80,0x3fee0000,0x9adfffff,0x22000098,0x0004fffa,0xfffff800,
    0x980001ff,0x07ffffff,0x77ffffb8,0x001dffff,0xfffffff5,0xfffa8803,
    0xfff5004f,0x7579dfff,0x001bfffb,0x3dffffd5,0x3fffffea,0x3fffaa4f,
    0x7fcc000e,0x1effffff,0xffff1000,0x20000039,0x01cffff8,0xff980000,
    0x00000bef,0xfffffe88,0xff880cff,0x3aa01cff,0x4000efff,0xfffffff9,
    0xf70001ef,0x00007dff,0x01dfffd5,0xfffff980,0xd101efff,0x9fffffff,
    0x7fff4401,0xccdfffff,0xfffffedc,0x4400006f,0xfffffffc,0x90005fff,
    0x0005bfff,0xfffd8800,0x000effff,0x3ffffa20,0x75c0cfff,0x77ffffff,
    0xdfffffff,0x3ffffa60,0xcccdffff,0xffffffdc,0x7e4c003f,0xffffffff,
    0xb98003ef,0xff90000a,0x0bffffff,0xffffffe8,0x05ffffff,0x00001300,
    0x00004c00,0x00098000,0xfffd1000,0xffffffff,0x00098bdf,0xfffffff9,
    0xfffe80bf,0xffffffff,0x0188005f,0x7ffe4000,0x405fffff,0xfffffffe,
    0xd15fffff,0xffffffff,0x22bdffff,0xfffffffe,0xffffffff,0xffffffff,
    0x51000005,0x3579bd97,0x000c4000,0x7f754000,0xffffffff,0x8803eeff,
    0xfffffffe,0x05efffff,0x3fa20000,0xffffffff,0xffffffff,0x2fffffff,
    0x32ea6000,0x0000aacc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffff90,0x0c880000,0x3ffffea0,0x55000005,0x55555555,0x00003555,
    0x2aaaaaa2,0x0aaaaaaa,0x54400000,0x5440000a,0xaaaaaaaa,0x0000aaaa,
    0x1a880000,0x2aaaa200,0xaaaaaaaa,0x5540000a,0xaaaaaaaa,0x10000aaa,
    0x33333333,0x00013333,0x00000154,0x0b2a0000,0x00000000,0x00000130,
    0x00004d44,0x00266662,0x2ca80000,0x00000000,0xfff00000,0x000007ff,
    0xfff700f7,0x200000ff,0xffffffff,0x004fffff,0xfffff500,0xffffffff,
    0x64000001,0x0003ffff,0x3fffffea,0x1fffffff,0x40000000,0x5004fff9,
    0xffffffff,0x003fffff,0x7ffffc40,0xffffffff,0xfffb0003,0xffffffff,
    0xf51000bf,0x0000035f,0xfff50000,0x33300007,0xf016c001,0x06f9801d,
    0x7ffffb10,0x7ffec000,0x0000005f,0x000bfffd,0x3efb8800,0x7d400000,
    0x00003fff,0x3ee009d0,0x00002fff,0xfffffff8,0x04ffffff,0xffff5000,
    0xffffffff,0x2000001f,0x3febadfc,0xffff5000,0xffffffff,0x0000003f,
    0x07fffc80,0xffffff50,0x3fffffff,0x7ffc4000,0xffffffff,0xfb0003ff,
    0xffffffff,0x5c00bfff,0xfffffffe,0x0000002d,0x0dfff900,0xffffb500,
    0x205bdfff,0x3fee03fc,0x005ff501,0x3faeb7f6,0xfffa8002,0x00002fff,
    0x7ffffcc0,0x32000001,0x0003ffff,0x13fff200,0x0fcc0000,0x0bfff700,
    0xffff0000,0xffffffff,0x2a00009f,0xffffffff,0x000fffff,0xe85f9800,
    0xfff50007,0xffffffff,0x000003ff,0xffffb800,0xffffa801,0xffffffff,
    0x3e20001f,0xffffffff,0x0003ffff,0xfffffffb,0x00bfffff,0xfd17dfd3,
    0x19ffff93,0xdb953000,0x0159bdff,0x003fffd4,0x59dffff7,0x5dfffd95,
    0x7f4027dc,0x02ffe42f,0x07f84f98,0xfffffe80,0x4000006f,0x03fffffb,
    0x3ffe0000,0x000006ff,0x00013ffe,0xc8006c80,0x000007ff,0x00000000,
    0x00000000,0x07ee07ee,0x00000000,0xf9000000,0x000000ff,0x00000000,
    0x55555400,0xaaaaaaaa,0x077fdc02,0x7fff44fd,0x3ffa6001,0xffdaacef,
    0xff701dff,0xfffd300d,0x7ffd407f,0x5005fbdf,0xffb17fff,0x07ee003f,
    0xfb8003f2,0x2fffeeff,0x3e200000,0x0000ffff,0x3ffffe00,0xf5000006,
    0x4000009f,0xf90003f8,0x0000005f,0x00000000,0x20000000,0x01fb82fa,
    0x00000000,0x7cc00000,0x0000002f,0x00000000,0x20000000,0x3f42fff8,
    0x2007ffa2,0x01ffffc8,0x2fbfffea,0x803ff731,0x02fffffb,0x6fffffa8,
    0x7ffff400,0x2a004fff,0x000fc81f,0xb11bfff1,0x00000dff,0x003fffc8,
    0x7ffdc000,0x9000002f,0x800000bf,0x320000fa,0x0000005f,0x00000000,
    0x20000000,0x0007e85e,0x99990000,0x99999999,0x99930799,0xdb999999,
    0x0000039d,0x04000000,0x05500000,0x7fec0154,0x7c43f41f,0x7ffd401f,
    0xff9802ff,0xbdeeffff,0x7fffd400,0x3ff2003f,0x2a000fff,0x0fffffff,
    0x3fc27c00,0x909ff900,0x000005ff,0x00000a88,0x007dd700,0x00154000,
    0x002f4000,0x00001540,0x7ffee5d4,0x4001acde,0xcccccccc,0x83cccccc,
    0xccccccc9,0xf70002cc,0x007fd75d,0x99999910,0x99999999,0x3ffee627,
    0x1aefffff,0x3fffaa60,0xcc8801be,0xcccccccc,0xcccccccc,0x003ccccc,
    0x0000b600,0x883fffa0,0x3e00efff,0x83f43fff,0x3fea01fc,0x2e002fff,
    0x001fffff,0x3fffffe6,0x3ffe2000,0x7f4006ff,0x8003ffff,0x2febadfc,
    0x405ff100,0x000006fb,0x00000000,0x0aa00000,0x980002a8,0x54002fa9,
    0x0000aa02,0x5bffffd5,0x3dffffb5,0x3fee6200,0xadffffff,0x3ff6a601,
    0x40001bef,0x003fffeb,0x7fffdcc0,0x00aeffff,0xdffffff9,0x1ffe8800,
    0xfffb9800,0xffffffff,0xffffffff,0xf300006f,0xfa80000b,0x3fee4fff,
    0xfff303ff,0x983f41df,0xffff101f,0xfff000ff,0x3a200dff,0x005fffff,
    0x3fffffe8,0x3bbba600,0xfd710005,0x6dc007ff,0x002ea801,0x00000000,
    0x80000000,0x3e20fffe,0x22000eff,0x3fffffec,0x83fffa00,0x000efff8,
    0x17fffec4,0x09ffff50,0xfffffc80,0xffe8006f,0x3e600001,0x2a00000e,
    0x0fffffff,0x7ffffd40,0x5fb8005f,0x7ffd4000,0x2e606fff,0x0006ffff,
    0x0003ff90,0x2ffffe40,0x209ffffb,0x0efffff9,0xd80640fd,0x004fffff,
    0x4fffffc8,0xfffffb80,0x7fec001f,0x001fffff,0x55400000,0x00000000,
    0x33333220,0xcccccccc,0xcccccccc,0x332203cc,0xcccccccc,0xcccccccc,
    0x5400cccc,0x3ee4ffff,0xd3003fff,0xffff57ff,0xfffa801b,0x3fffee4f,
    0x3ffea003,0xff9803ff,0xf5002eff,0x00bfffff,0x0000bf70,0x0001ffc8,
    0x3ffffe20,0xfff9806f,0xa8004fff,0x7c40004f,0x806fffff,0x0006ffd8,
    0x004fff88,0x3fffe600,0x07fffea2,0x7fffffc4,0xa8007e9f,0x01ffffff,
    0xfffff980,0x7fff401f,0x7e4007ff,0x6ffffffc,0x00054400,0x0009a980,
    0x00035300,0xfffffb98,0xffffffff,0x6fffffff,0x3ffffea0,0xeeeeeeff,
    0xfffffffe,0xffffc805,0x13ffff65,0xa8bffea0,0x6406ffff,0x3f65ffff,
    0xf5004fff,0x4009ffff,0x01fffffb,0xffffff98,0x04fa8004,0x3ffe2000,
    0x3e200004,0x806fffff,0x4ffffff9,0x003f9800,0x7ffffc40,0x1bf2006f,
    0x3ffee000,0x2a00000f,0x3eeb83ee,0x7fffff40,0x44007fff,0x07ffffff,
    0xfffff100,0x7ffd40df,0x2e006fff,0xfffffd5f,0xffd8801f,0x54004fff,
    0xefffffed,0x7f644002,0x000cffff,0x3ffffea0,0x3fee606f,0x3fea06ff,
    0x7ec01cff,0x00ffffff,0x22ffff98,0x401ffffa,0x7ec6fff8,0x2601ffff,
    0x3ea2ffff,0xf8801fff,0x8007ffff,0x806fffff,0x4ffffff9,0x003f9800,
    0x3fffee00,0xff100000,0x300dffff,0x09ffffff,0x0007f300,0xffffff88,
    0x01be2006,0x3ffffe00,0x00000003,0xfffff300,0x4005ffff,0x5ffffffa,
    0x3fffa000,0xffb01fff,0x200bffff,0x3fff65fa,0x3ea02fff,0xeffb8bff,
    0x5f7ec400,0x2ffffeb9,0x37fff300,0x001ffffd,0x3ffffe20,0xffd8806f,
    0x03bfee06,0x3ffffea0,0x3aa003ff,0x03eeb83e,0x224fffc8,0x04ffffff,
    0x75c1f754,0xfffb003e,0xf70009ff,0x9809ffff,0x04ffffff,0x0003f980,
    0x0fffffe0,0x7ffc4000,0xf9806fff,0x004fffff,0x40003f98,0x6ffffff8,
    0x001ae020,0xffffff50,0x00000000,0x7ffffe40,0x7004ffff,0x0bffffff,
    0x7fffec00,0xfffd02ff,0xf3009fff,0x7fffe41d,0xfff703ff,0x00fffe85,
    0xf881fff5,0x4c01ffff,0x3fea2fff,0x88000eff,0x06ffffff,0xfc81bf20,
    0xfff8800e,0x0006ffff,0x3fe60000,0x3efee3ff,0x00002fff,0x7fffd400,
    0xf98002ff,0x201fffff,0x4ffffff9,0x003f9800,0xfffff500,0x3e20000f,
    0x806fffff,0x4ffffff9,0x003f9800,0x7ffffc40,0xd30b306f,0xfffe8000,
    0xb8002fff,0x2eeeeeee,0x3bbbbbaa,0x3ffee03e,0x1effffff,0x7ffffec0,
    0x3f20004f,0xf04fffff,0x09ffffff,0x7e40fe88,0x985fffff,0xffa86fff,
    0x3fffd04f,0x0fffffb0,0x7c3fffcc,0x8002ffff,0x6ffffff8,0xd81be200,
    0xfff9000f,0x0003ffff,0x7fe40000,0x7ed3a2ff,0x0000005f,0x7fffffc4,
    0xfff10007,0x7cc0dfff,0x004fffff,0x00003f98,0x5ffffffd,0xfff10000,
    0xf300dfff,0x009fffff,0x80007f30,0x6ffffff8,0x00160b50,0xffffff98,
    0xfb88006f,0x542fffff,0x04fffffe,0x7fffffd4,0x3e03ffff,0x03ffffff,
    0x3ffff200,0xfff885ff,0x2203ffff,0xfffc81fe,0xffd86fff,0xffff884f,
    0x2ffffcc0,0x07ffffe4,0xe84fffd8,0x8004ffff,0x6ffffff8,0xd81ae020,
    0xffff3004,0xeb809fff,0x22eeeeee,0xeeeeeeea,0x3ffffe83,0x5c0443f3,
    0x2eeeeeee,0x3bbbbbaa,0xffffa83e,0x3a0005ff,0x01ffffff,0x9ffffff3,
    0x007f3000,0xfffff300,0x10000dff,0x0dffffff,0xffffff30,0x07f30009,
    0xffff8800,0x00b906ff,0xffdfb000,0x0003ffff,0x0bfffff6,0x13ffffee,
    0x3ffff620,0x884fffff,0x3fffffff,0x3ffee000,0xff987fff,0x202fffff,
    0xfff702fd,0x7d41ffff,0xfff03fff,0xffffb89f,0x7fffe40f,0xffff981f,
    0x2ffffc83,0xffff8800,0x30b306ff,0xe800f40d,0x0fffffff,0x7fffdc40,
    0x7ff542ff,0xfff84fff,0x200d94ff,0xffffffb8,0x7ffff542,0xffffb84f,
    0x360004ff,0x02ffffff,0x9ffffff3,0x007f3000,0xfffdfb00,0x80003fff,
    0x6ffffff8,0xfffff980,0x3f98004f,0x7ffc4000,0x0bf06fff,0xbbf98000,
    0x05ffffff,0xfffff900,0xfffff505,0x7ffdc009,0x44ffffff,0xfffffff9,
    0x3fee0002,0x440fffff,0x2fffffff,0x7dc07f90,0x6c7fffff,0xff02ffff,
    0xfff88bff,0xffffc86f,0xffffd81f,0x05ffc882,0xfffff100,0x2c16a0df,
    0x3fee00b0,0x002fffff,0x0bfffff6,0x13ffffee,0x2bfffff1,0x7fec003f,
    0xffb82fff,0xffd84fff,0x0004ffff,0x3ffffff2,0xfffff304,0x7f30009f,
    0xbbf98000,0x05ffffff,0x7fffc400,0xff9806ff,0x8004ffff,0x440003f9,
    0x86ffffff,0x400005fb,0xffff88fc,0xb8000fff,0xa82fffff,0x004fffff,
    0x7fffffc4,0x3fe21fff,0x002fffff,0x3ffffee0,0xffffd07f,0x09f707ff,
    0xffffffc8,0x0fffff46,0xa86ffff8,0x7ec41dfd,0xff81ffff,0x02202fff,
    0xffff8800,0x00b906ff,0x3ffe2000,0x4005ffff,0x82fffffc,0x44fffffa,
    0xaefffff9,0x7fe4000f,0xffa82fff,0xffe84fff,0x0003ffff,0x3ffffff2,
    0xfffff305,0x7f30009f,0x88fc8000,0x0fffffff,0x3ffe2000,0xf9806fff,
    0x004fffff,0x40003f98,0x6ffffff8,0x0002ffd4,0x7fe49f10,0x8004ffff,
    0x82fffffb,0x04fffffa,0xfffffe80,0x7ffc5fff,0x0003ffff,0x3ffffff2,
    0xfffffb06,0x805fa89f,0x5ffffffc,0x7ffffffc,0xffffffff,0x3ff22007,
    0x441fffff,0x004fffff,0x3ffe2000,0x0bf06fff,0x3ff60000,0x000fffff,
    0x17ffffdc,0x27ffffd4,0x3fffffe2,0xffb8005d,0xffa82fff,0x7fc44fff,
    0x003fffff,0x3fffff20,0xffff307f,0xf30009ff,0x27c40007,0x9ffffff9,
    0x7ffc4000,0xf9806fff,0x004fffff,0x40003f98,0xeffffff8,0x05fffdca,
    0x987ee000,0x0fffffff,0x7fffdc00,0xffffa82f,0xafe8004f,0x47ffffff,
    0x4ffffffe,0x3fff2000,0xff705fff,0x7ccbffff,0xfffd800e,0x3fe24fff,
    0xaaaacfff,0x00aaaaaa,0x7e67fe44,0x7cc1ffff,0x0005ffff,0x3fffe200,
    0x05fb86ff,0xfffa8000,0x8003ffff,0x82fffffb,0x84fffffa,0x2ffffffe,
    0xffffb800,0xffffa82f,0x7fffcc4f,0x20002fff,0xfffffffb,0xfffff980,
    0x3f98004f,0x987ee000,0x0fffffff,0xffff1000,0xff300dff,0x0009ffff,
    0x880007f3,0xffffffff,0x005fffff,0x3f617e00,0x003fffff,0x17ffffdc,
    0x27ffffd4,0xffabf400,0x3f60ffff,0x005fffff,0x3fffff60,0xffff504f,
    0x03be2dff,0x7fffff40,0x3fffe62f,0xf700003f,0x3fff27ff,0x7ffcc1ff,
    0x000006ff,0x3fffffe2,0x002ffd46,0x3fffe200,0x70006fff,0x505fffff,
    0xb09fffff,0x00ffffff,0x3ffffee0,0xfffffa82,0x7ffffc44,0x2e0002ff,
    0x07ffffff,0x9ffffff3,0x007f3000,0x7fec2fc0,0x0003ffff,0xdffffff1,
    0xfffff300,0x7f30009f,0xfff88000,0xfdbaefff,0x500005ff,0xffff505f,
    0xfb800dff,0xfa82ffff,0x0c84ffff,0xfffa9fa0,0x3ffee1ff,0x20005fff,
    0x2ffffffd,0xffffff10,0x4003fd1f,0x46ffffff,0x05fffff9,0x7ffec400,
    0x3fffff22,0x7ffffc41,0x22000007,0xaeffffff,0x005fffdc,0x7fffe400,
    0x70001fff,0x505fffff,0x709fffff,0x05ffffff,0xfffff700,0xfffff505,
    0xffffff09,0x7e40007f,0x306fffff,0x09ffffff,0x0007f300,0x3fea0bea,
    0x0006ffff,0xdffffff1,0xfffff300,0x7f30009f,0xfff88000,0x7fd46fff,
    0x0dd00005,0x7ffffff4,0x3ffee002,0xfffa82ff,0x203e84ff,0x7ffffc7e,
    0x3ffffe20,0x3fe0006f,0x5c06ffff,0xfeffffff,0x3ffe6002,0x7fc43fff,
    0x20006fff,0x643ffff9,0xf81fffff,0x001fffff,0xffff1000,0xffffffff,
    0x4c0000bf,0x4fffffff,0x3ffee000,0xfffa82ff,0xfff884ff,0xd300ffff,
    0xfffffb81,0xfffffa82,0xfffffe84,0x3f20004f,0x305fffff,0x09ffffff,
    0x0007f300,0xfffe81ba,0x88002fff,0x06ffffff,0xffffff98,0x03fa8004,
    0x7fffc400,0x05fb86ff,0x202f9800,0x6ffffffb,0x3fffee00,0xffffa82f,
    0x3a06e84f,0x437ffe47,0x0ffffffc,0xffff9800,0xffe802ff,0x4003ffff,
    0x0ffffffc,0x1ffffff8,0xfffe8800,0x7fffe40f,0xffffe81f,0x1000005f,
    0x5dffffff,0x00bfffb7,0x7ffff400,0x20000fff,0x82fffffb,0x04fffffa,
    0xdffffff5,0x20fea215,0x82fffffb,0x84fffffa,0x5ffffffd,0x3fff6000,
    0xff304fff,0x0009ffff,0xf30007f5,0x7fffdc05,0xf88006ff,0x806fffff,
    0x4ffffff9,0x002fa800,0x7ffffc40,0x000bf06f,0xff880fb0,0x001fffff,
    0x05fffff7,0x09fffff5,0x91fa03fd,0xff109fff,0x0009ffff,0x0dfffff7,
    0x3ffffe20,0xffff8006,0xfffb01ff,0xc8900dff,0xfc86ffff,0xfc81ffff,
    0x001fffff,0xffff8800,0x2ffd46ff,0xfffb8000,0x0002ffff,0x17ffffdc,
    0x27ffffd4,0xffffff90,0x20bffdff,0x82fffffb,0x84fffffa,0x5ffffffb,
    0x3fff6000,0xff302fff,0x0009ffff,0xfb0005f5,0xfffff880,0x7c4001ff,
    0x806fffff,0x5ffffff8,0x002fa800,0x7ffffc40,0x080bb06f,0x7777fcc0,
    0xfffeeeee,0x7005ffff,0x505fffff,0xd09fffff,0xf8fd01df,0xff700eff,
    0xd000ffff,0x005fffff,0x17ffffdc,0xfffff500,0x7fffcc07,0xd13603ff,
    0x441fffff,0x81fffffd,0xeffffff8,0x8001d300,0x6ffffff8,0x80005fb8,
    0xfffffff8,0xffb80005,0xffa82fff,0x7f404fff,0xffffffff,0x3fffee05,
    0xffffa82f,0xffff884f,0x3e0006ff,0x206fffff,0x5ffffff8,0x002fa800,
    0x77777fcc,0xffffeeee,0x44005fff,0x06ffffff,0xffffff88,0x01fc8005,
    0x7fffc400,0x40b706ff,0x777e4068,0xeeeeeeee,0x0fffffff,0xfffffb80,
    0xfffffa82,0x40effe84,0x0bffee7e,0x5fffffd0,0x7fffd400,0xffe8004f,
    0xf8800eff,0xe804ffff,0x43ffffff,0x7ffc0fc8,0xffcbefff,0x902fffff,
    0x5dffffff,0x4001fd41,0x6ffffff8,0xb0000bf0,0x1fffffff,0xffb81800,
    0xffa82fff,0x77404fff,0x3efffffe,0x7ffffdc0,0xfffffa82,0xfffff904,
    0xff30001f,0x4405ffff,0x05ffffff,0x4001fc80,0xeeeeeefc,0xffffeeee,
    0x22000fff,0x06ffffff,0xbffffff0,0x000fb000,0xffffff10,0x5b81260d,
    0xd8013e20,0x04ffffff,0x2fffffb8,0x4fffffa8,0xacffffe8,0xeffe9fe8,
    0xffffb001,0x3ffa200d,0xf98004ff,0x405fffff,0x02ffffe8,0xffffff30,
    0x05ffbbff,0xfffffff9,0xfffff7bf,0xffe8899d,0xfeffffff,0xff10005f,
    0x360dffff,0x3ea00405,0x03ffffff,0xfffb8780,0xfffa82ff,0x4be604ff,
    0x7001aca8,0x505fffff,0x209fffff,0x4ffffff8,0xffffb800,0xffff806f,
    0x7e8005ff,0x0027c400,0x9ffffffb,0x7fffc400,0xffb006ff,0x8800ffff,
    0xf880006f,0x006fffff,0x07e409d0,0xfffff300,0xfff500ff,0xfffb07ff,
    0xfb7109ff,0xffffffff,0xffb0009d,0x74401dff,0x8004ffff,0xffd98ef8,
    0x3ee22cff,0x4000dfff,0xffffffe8,0xff302fff,0x745fffff,0x105fffff,
    0xfffffffb,0x44000bff,0x06ffffff,0x203440b7,0x6ffffffe,0xfb879800,
    0xfa82ffff,0x3204ffff,0xffb80006,0xffa82fff,0x3ee04fff,0x8007ffff,
    0x02fffffe,0x7fffffd8,0x0037c400,0xf98003f2,0x007fffff,0x3fffffe2,
    0xffff5006,0x7f4003ff,0xff880002,0x8006ffff,0x0bf103fb,0xfffffd00,
    0xfff9807f,0x7ffe44ff,0xa9804fff,0x000affca,0x77fff540,0x3ffee61b,
    0xe88001ef,0x7ffe441f,0xcfffffff,0x3f620001,0x01efffff,0x0677fed4,
    0x013bff6a,0x3ffffff2,0x7c40002d,0x306fffff,0xf902dc09,0x03ffffff,
    0xff50d900,0xffb07fff,0x27c09fff,0x7ffd4000,0xfffd83ff,0x7ff404ff,
    0x2a002fff,0x004fffff,0x3ffffff5,0x0017f400,0xfd000bf1,0x007fffff,
    0x3fffffe2,0x3fffa006,0xfc800eff,0xff100006,0x800dffff,0x7f902ffa,
    0xffff5000,0xffd00fff,0xbfb57fff,0x00bfffff,0x80000fd0,0xffffffdb,
    0x002dffff,0x31007f20,0x00357995,0x35973000,0x88008800,0x1ba98000,
    0x3fe20000,0x0006ffff,0x3ffe609d,0x8005ffff,0xfff985f8,0x7ffe44ff,
    0x1f504fff,0xfff30000,0xfffc89ff,0xfd804fff,0xd1006fff,0x8009ffff,
    0x0efffffe,0x4006fd80,0xfa8003fc,0x007fffff,0xdffffff1,0x7fffc400,
    0xf9301eff,0x2200001d,0x06ffffff,0x207ffea0,0xf0001ff8,0x07ffffff,
    0xffffff88,0xffffaaff,0x3f4001ff,0xaa880000,0x00aabccb,0x00028800,
    0x00000000,0x00000000,0x3e200000,0x006fffff,0xffd03fb8,0x001fffff,
    0x3fa09fb0,0xfdabffff,0x05fffffd,0x740000bb,0xdabfffff,0x5fffffdf,
    0xdffffb00,0x7fff4401,0xff88004f,0x301effff,0x44001df9,0xff0001ff,
    0x007fffff,0xfffffff3,0xfffe8800,0xfdcdffff,0x00000eff,0x3fffffe6,
    0x7ff5401f,0x05ffb07f,0x3ffff600,0x75400fff,0xf51effff,0x09ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x06ffffff,
    0x5c17fd40,0x3fffffff,0x03ffc800,0xfffffff1,0xfffff55f,0x002f883f,
    0x3fffe200,0xffaaffff,0x5001ffff,0x237dfffd,0xeffffda8,0x3fa20001,
    0xcdffffff,0x000efffd,0x80017fec,0xfffffffd,0x3fffa200,0x000cffff,
    0x7fffff5c,0x001dffff,0x7fff4400,0xccdfffff,0xfffffedc,0x7fff546f,
    0x7fcc000e,0x1effffff,0x000ab980,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffffc4,0x3ffea006,0x7ffffc41,0x6c4006ff,
    0x3aa02fff,0xf51effff,0x49ffffff,0xa800007b,0x51effffe,0x9fffffff,
    0x7ffedc00,0xdfffffff,0x3ae00002,0xffffffff,0x754001df,0x4000efff,
    0xfffffff9,0x3ffa21ef,0xffffffff,0x4c005eff,0x0aacccca,0x3fa20000,
    0xffffffff,0xffffffff,0x25ffffff,0xfffffffc,0x7fff405f,0xffffffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xfffffff9,0x7fff5401,0xfffffd87,0xf91001ff,0x3003ffff,0x74000157,
    0x26000004,0x000000ab,0xbccbaa88,0x000000aa,0x2b3332a6,0xffc8000a,
    0x05ffffff,0x7ffffff4,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffff44,0xdcccdfff,0x6ffffffe,0x7fffffcc,0xccccccef,0xfffffedc,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a200000,0xffffffff,0xffffffff,0x5fffffff,
    0x7ffffff4,0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x00009999,0x0002aa20,
    0x20000220,0x00980099,0x33310000,0x0000c403,0x00000088,0x03333100,
    0x00022000,0x00000880,0x09999880,0x00022000,0x30006620,0x4c000013,
    0x060000aa,0x01988000,0x00cccc40,0x26666200,0x30028000,0x00000013,
    0x80198000,0x002a0028,0xb98154c0,0x00006200,0x00dffffb,0x3fffee00,
    0xbfb30004,0x2ffb8000,0x4402fc80,0xff9801fd,0xbf101fff,0x705fa801,
    0x05fb007f,0xffff1000,0xf700007f,0x407f9009,0x2fc804fb,0xffffe800,
    0x5fd98004,0x37fc4000,0x7f7ff4c0,0x7c40002e,0xfda8005f,0x20001dff,
    0x22006ff8,0x003fffff,0x13ffffa0,0xb730ba00,0x7bfffffd,0x32000005,
    0x3ccccccc,0x00fffed4,0x3f900bf3,0x31bf6000,0xd887fffd,0x98002eff,
    0x02ffffff,0x55f7dc00,0xd71004fe,0x4000bfff,0xf1004ff9,0x17fa609f,
    0x7fffff40,0x403bf206,0x3fe00ffc,0x00dfd104,0x3ffff200,0xe80000ff,
    0x0dfb105f,0x3a20bfd0,0xffb8006f,0x8800ffff,0x005fffeb,0x2007fec0,
    0xffd0fffb,0x7fec000b,0x7ffdc000,0x0000ffff,0x64001ffb,0x00ffffff,
    0xfffffb80,0x6ff4001f,0xcacdfffd,0x0efffffe,0x7d4c0000,0x7c5fffff,
    0x201fffff,0xfb880cff,0x9ff10007,0x0fffffc8,0x03fffff2,0xfffffd00,
    0x7c4000df,0x4c00fe86,0x05fffecd,0x003ffa00,0x7d45ffc8,0xffa800ff,
    0x102fffff,0x7ec43fff,0x6ffdc04f,0x007ffe60,0x3fffe200,0x80004fff,
    0x3a60effa,0xffa802ff,0x07ffa60d,0xfffff100,0xcd980bff,0x0005fffe,
    0xf500ffea,0x7ffdc9ff,0x2ffb8004,0x5cdf4c00,0x8004fffe,0x22003ffa,
    0x4fffffff,0x7fffc400,0x74005fff,0x2203ffff,0x03fffffc,0xfffa8000,
    0x3ffee5ff,0x3f206fff,0xfffddfff,0xff50005f,0x7ffffc43,0x3ffffe3f,
    0x3fee003f,0x02fffeef,0xf507f300,0x7ffdc005,0x5ff70005,0xdfff8800,
    0x004fffb8,0xfffbfffd,0x57ffe40d,0x800fffe8,0xffa8effe,0xfb00005f,
    0x1ffffbff,0xdffd0000,0x00bfff51,0x7d477ff4,0xfc8005ff,0x1fffeeff,
    0x0bfff700,0x01bfe200,0xf98ffffa,0x22001fff,0x0c8005ff,0x002fffd4,
    0xb001bfe2,0xffffbfff,0x7ffe4001,0x001fffee,0x4003bffa,0x0dfffffc,
    0x3fe60000,0x3ff25fff,0x100fffff,0xffffffff,0x360001ff,0xfffff87f,
    0xfffff32f,0x3fe200bf,0x0dffb0df,0x2a0be600,0x3fea002f,0xff98005f,
    0xfff70004,0x001fffff,0x3ea5fff7,0xfff102ff,0x007fffff,0x3fffffea,
    0x980000ff,0xffd34fff,0xff500009,0x03ffffff,0x7ffffd40,0x44000fff,
    0xffd14fff,0x3ffea00b,0x3ffb0005,0x2ffffb80,0x017fffe2,0x0000ffd8,
    0x005fff30,0x2001ffd8,0xfd14fff9,0x3fe2009f,0x0bffd15f,0x0007ff40,
    0x17fffff2,0xfff88000,0x3ffe25ff,0x2601ffff,0xffffffff,0x13fe0002,
    0x89bffff2,0x04ffffff,0xf909ff90,0x1b60007f,0xfa8003f6,0xfe8005ff,
    0x3fe0000f,0x802fffff,0x7cc1fff8,0x3ffee06f,0x74006fff,0x03ffffff,
    0x85ffd000,0x0000ffe8,0xffffffe8,0xfffe8004,0xd8004fff,0x7fec43ff,
    0x5fffa801,0x03ffa800,0x22ffffc8,0x007ffff8,0x00005ff7,0x2000ffec,
    0x74003ffa,0x7ff442ff,0x83ffd800,0xfd001ffd,0x3ffa0003,0x00002fff,
    0x8bfffff1,0x1ffffffb,0x7fffec40,0x3ea0000e,0xdffc882f,0x7fffffc1,
    0x03ff8803,0x54001bee,0x04fdaaef,0x02fffd40,0x000bfee0,0xdfffff70,
    0x403bf200,0xff103fe8,0x8005ffff,0x0ffffffa,0x1efb8000,0x00013f60,
    0x3fffffe6,0xfffa8000,0x4c000fff,0x1bf201ff,0x017ffea0,0x200dff10,
    0x222ffffe,0x400fffff,0x00005ff8,0x00bfffb5,0x20037fc4,0x3f601ffa,
    0x017fcc05,0x17a00df9,0xffffb800,0x880000ff,0x885fffff,0x2007fa8a,
    0x80000aa8,0xd00807fc,0x003fffff,0x5d5003d7,0x3ffaa000,0xffa8004f,
    0x3fe6005f,0xddb00004,0x9d1003dd,0x540bb100,0x0004eeee,0x005ddddb,
    0x20037600,0xc80000ec,0x0003eeee,0x00bbbbb6,0x2e003720,0x7ffd401e,
    0x0ffec005,0x1fffff80,0x07ffffe2,0x0001ffb0,0xfffffd30,0x07ff600d,
    0x9001bb00,0x006e401d,0x17400f5c,0xffff1000,0x100009ff,0x80bfffff,
    0x000006fc,0x0017fe00,0x0fffffc8,0x00000000,0x20001530,0x2005fffa,
    0x00000ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017ffea0,0x2003ffa8,0x222ffffe,0x5c07ffff,0x400002ff,0x01ffffd8,
    0x0001ffd4,0x00000000,0x80001900,0x1ffffffd,0xff106600,0xfe80bfff,
    0x04d4c003,0x05ff3000,0x7fffdc00,0x00000006,0x2a000000,0xf7005fff,
    0x3000005f,0x22000135,0xa880281a,0x54400281,0x00000000,0x54c00000,
    0x00000001,0x0002a200,0x802fffd4,0x64006ff8,0x3e62ffff,0x3e206fff,
    0x2000005f,0x2204fffd,0x400006ff,0x300000a8,0x00000135,0x3fffee00,
    0x764c04ff,0xff88dfff,0x3e605fff,0xffeda806,0x8002efff,0x1c400ffc,
    0x04ffff98,0xddddddd7,0x77777545,0x7775c3ee,0x3aa2eeee,0x03eeeeee,
    0x2017ffea,0x00005ff9,0xfffffdb5,0x3fea005d,0x07cadfff,0x37ffffea,
    0xed9807ca,0x00acefff,0x3bbbbbae,0xdddb1eee,0x43dddddd,0x205eeeee,
    0xfffffec8,0xeeeeb80c,0x3baa2eee,0x803eeeee,0xcefffed9,0xfff5000a,
    0x07ff600b,0x5ffff700,0x027fffcc,0x00001ffb,0x01fffcc0,0x00003ffb,
    0x9fffffb1,0xffeda800,0x0002efff,0x7ffd4000,0x3f605fff,0xaefeefff,
    0x205fffff,0x3f6201fd,0xfffeb9be,0x2ff4002f,0xfff03540,0x3fee205f,
    0x7542ffff,0x444fffff,0x2ffffffb,0x7fffff54,0x17ffea04,0x0003ffa0,
    0x737dfb10,0x805ffffd,0xfdabeffc,0xdff907ff,0x0ffffb57,0xa9dfffa8,
    0xb101fffd,0x1dffffff,0x7ffffe44,0x7fe440df,0x7fff300c,0x81ffffd3,
    0xffffffb8,0x7ffff542,0x7ffd404f,0x1fffda9d,0x05fffa80,0x0003ffa8,
    0x7d47fffd,0xff700fff,0xd0000005,0x3fea03ff,0xffa80003,0x0effb8bf,
    0x4df7ec40,0x02ffffeb,0x3e600000,0xb07fffff,0x74c7ffff,0x85ffffff,
    0x3ea01ed8,0x7ffc40ff,0xff3001ff,0x6c0f9007,0x7ec00fff,0xfb82ffff,
    0xfb04ffff,0xf705ffff,0x5c09ffff,0x7dc05fff,0x7d40002f,0x7ffc40ff,
    0xfff501ff,0x40ffe885,0x7442fffa,0xfff900ff,0x2ffff88b,0x3fffff60,
    0xfffffd05,0x981be209,0x3fea2fff,0xffd80eff,0xffb82fff,0x3f204fff,
    0x7ffc45ff,0x7ffdc02f,0x037fc405,0x4bfff300,0xf102fffb,0x260000bf,
    0x04fe81dd,0x0000dff1,0xfe85fff7,0xfff500ff,0xfffff881,0x30000001,
    0x1fffffff,0x87ffffa8,0x5ffffff8,0x3a0067dc,0xffd81fff,0xff7007ff,
    0x203fb001,0xfc806ffb,0xfa82ffff,0xf904ffff,0xf505ffff,0x6409ffff,
    0x3e606fff,0xfe80005f,0xfffd81ff,0x1fffd07f,0xfe81ff10,0x0ff880ff,
    0x82ffffa8,0x100ffffc,0x20ffffff,0x06fffffa,0x3fe605f3,0xfffff87f,
    0xfffffc82,0xfffffa82,0x5ffff504,0x01ffff90,0x2037ffe4,0x40001ffc,
    0xff8affe9,0x03ff602f,0x7ffe4000,0x205fb8ad,0x40001ffc,0xfa86fff9,
    0xfffd04ff,0xfffffb03,0x99999910,0x99999999,0xf9999999,0x83ffffff,
    0x503fffff,0xb8bfffff,0xffff9800,0xfffffc85,0x006fe800,0x3fe605fd,
    0xffffb804,0xffffa82f,0xffff704f,0xffff505f,0xffee889f,0x740eefff,
    0x002200ff,0x90bffff3,0x881fffff,0xf505ffff,0x2ffffc41,0xffe80fa8,
    0xfffa80ff,0x3fff605f,0xfff982ff,0x07b81fff,0x3a13fff6,0xfb84ffff,
    0xfa82ffff,0xfd04ffff,0xff501fff,0xfee88bff,0x40eeffff,0x33003ffa,
    0x6ff6dc40,0x0bfea00b,0x36200220,0x01dfffff,0x4c00ffea,0x09fffb01,
    0x981ffff1,0xfc85ffff,0x7cc0ffff,0xffffffff,0xffffffff,0xffffffff,
    0x3fe62fff,0xff101fff,0x2000bfff,0x40fffffb,0x01fffffc,0xf801ffc4,
    0x07ff103f,0x5fffff70,0x9fffff50,0x3ffffee0,0xfffffa82,0xffb80004,
    0xfffeb882,0xfffff703,0xfffffc81,0x7ffffcc1,0x3e61e80d,0xe80dffff,
    0x3ffffd41,0x0fffff98,0xbfffff50,0xffffff70,0x3e609d09,0xffc83fff,
    0xfffb82ff,0xfffa82ff,0xfffa84ff,0xffff307f,0xf880001f,0x0ff7006f,
    0x5ff88000,0x3fffb220,0x04cc401d,0x8037fc40,0xfffa87fb,0x9ffff03f,
    0x0fffffb8,0x0fffffe4,0x3fffffe2,0x999999bf,0xf9999999,0x22ffffff,
    0x00fffffb,0x0bfffff1,0x3fffe200,0xfffffc86,0x00ffdc01,0xff02ffcc,
    0xffff7005,0xffff505f,0x3ffee09f,0xfffa82ff,0x4c0004ff,0xfff885ff,
    0xf883ffff,0xffc86fff,0x7fc41fff,0x4c2fffff,0x3ffffe20,0x3a04c2ff,
    0xf106ffff,0x7405ffff,0x740fffff,0x47fffffc,0xfffb01f9,0xbff9105f,
    0x3ffffee0,0xfffffa82,0x6ffffe84,0x5fffff10,0x1ffc8000,0x007ffa80,
    0x807fec00,0xffd2fffa,0x7e400009,0x7ffa801f,0x02ffffd8,0xf88bffff,
    0xffc86fff,0xfff81fff,0x8002ffff,0xfffffff8,0x1fffff20,0x5fffff88,
    0x37f6a000,0x7fffec41,0x037ec01f,0x3607ffb8,0xfffb800f,0xfffa82ff,
    0xfff704ff,0xfff505ff,0xe80009ff,0xddfd80ff,0xa80fffff,0x7ec41dfd,
    0xff81ffff,0x04ffffff,0x7ffffffc,0x7fffc04f,0xffff106f,0x7ffe407f,
    0x3a3e63ff,0x321fffff,0x3ffffe06,0xfb802202,0xfa82ffff,0xff84ffff,
    0xff106fff,0x40007fff,0xf9803ffa,0x200007ff,0xff302ffa,0x27ffd4df,
    0x1ffd4000,0x43fffcc0,0xf01ffffe,0xfb50dfff,0xfffd883b,0xfffe81ff,
    0x98002fff,0x47ffffff,0x207ffffe,0x05fffff8,0xffc88000,0x201fffff,
    0xfb004ff8,0x01f203ff,0x17ffffdc,0x27ffffd4,0x2fffffb8,0x4fffffa8,
    0x0bfee000,0xfff983aa,0x3f22003f,0x81ffffff,0xfffffffa,0xfff500ef,
    0x01dfffff,0x0dfffff1,0x17ffffe2,0x6fffff98,0x7fffdd72,0x7c40fa4f,
    0x0004ffff,0x0bffffee,0x13ffffea,0x0dfffff1,0x17ffffe2,0x037fc400,
    0x03ffffc4,0x05ff8800,0xf893fffa,0x20001fff,0xf8806ff8,0xfff87fff,
    0xffffffff,0x2007ffff,0xffffffc8,0xffffd81f,0xfa8003ff,0x7c6fffff,
    0x2207ffff,0x005fffff,0x33ff2200,0x01fffffc,0x74007fea,0x0d503fff,
    0x3ffffee0,0xfffffa82,0xfffff704,0xfffff505,0x3fe20009,0xffb01105,
    0xff91003f,0x3fffff99,0x3fffff60,0xfb01ffff,0xffffffff,0xfffffa83,
    0xfffff106,0xffffe80f,0x3fe25f1f,0x03f37fff,0x17ffffe6,0xffffb800,
    0xffffa82f,0x7fffd44f,0xffff106f,0x3f2000ff,0xfdee801f,0xfb00007f,
    0x3ffea01f,0x37fffc3f,0x03ff9000,0x8fffbdd0,0xacfffff8,0xaaaaaaaa,
    0x7fe4400a,0x1fffffcc,0xffffffc8,0xfffa8003,0x3fe64fff,0x3e207fff,
    0x0005ffff,0x327fff70,0x201fffff,0xff1007fd,0x00e209ff,0x17ffffdc,
    0x27ffffd4,0x2fffffb8,0x4fffffa8,0x01ffd000,0x807ffc80,0xff93fffb,
    0x7ec03fff,0xefffffff,0xfffffb00,0x7d41dfff,0xf105ffff,0xb80fffff,
    0xfacfffff,0x3fffff60,0x3fe606ca,0x20006fff,0x82fffffb,0x44fffffa,
    0x05fffffa,0x0ffffff1,0x007ff500,0x0fffb1db,0x07ff5000,0x21ffffe4,
    0x0007ffff,0xdb007ff5,0xf98fffb1,0x0003ffff,0x327fff70,0xa81fffff,
    0x04ffffff,0xfffffb80,0x3fffe23f,0x3ffe207f,0x440005ff,0x3f22fffd,
    0x3e01ffff,0xfff5004f,0xf70000df,0xf505ffff,0x2e09ffff,0xa82fffff,
    0x004fffff,0x8002ffb8,0x36204ffe,0x3ff22fff,0x7dc01fff,0x3fffffff,
    0x3ffffee0,0x3fe63fff,0xff105fff,0xf880ffff,0x45dfffff,0xfdfffffa,
    0x3fffe203,0x3ee0007f,0xfa82ffff,0x7cc4ffff,0xf105ffff,0x800fffff,
    0xfc806fe8,0x000fffb1,0x6c05ff88,0x7fc3ffff,0x44000fff,0x1fc806fe,
    0xff98fffb,0x40005fff,0x322fffd8,0xd01fffff,0x00bfffff,0xdfffffb0,
    0x1ffffff0,0x3ffffe20,0x3fe60005,0x7ffe43ff,0x5ff501ff,0x3ffff200,
    0x7dc0000f,0xfa82ffff,0xf704ffff,0xf505ffff,0x8009ffff,0x88005ff8,
    0x3fe606ff,0x7ffe43ff,0xff9801ff,0x406fffff,0xfffffff9,0x3ffffe26,
    0xfffff106,0xffffb00d,0xffff05ff,0xff801fff,0x0001ffff,0x05fffff7,
    0x89fffff5,0x06fffff8,0x0dfffff1,0x401ffc80,0x1fff62fa,0x01ffb000,
    0x43ffffe8,0x001fffff,0x2a00ffe4,0x11fff62f,0x00dfffff,0x1ffffcc0,
    0x07fffff2,0x37ffffd4,0x3fffe200,0xfffe81ff,0xfff101ff,0x22000bff,
    0x640ffffe,0x901fffff,0x7ff400ff,0x00102fff,0x0bffffee,0x13ffffea,
    0x17ffffdc,0x27ffffd4,0x003ffa00,0x4403bf60,0x640ffffe,0x381fffff,
    0xfffffd88,0x3f620e0f,0x3e0fffff,0xf306ffff,0x5009ffff,0x20ffffff,
    0x05fffffc,0x5fffffe8,0xffff7000,0xffff505f,0xfffff09f,0x3fffe60d,
    0x3fea004f,0x361fcc04,0x2a0007ff,0xffd803ff,0x7fffc3ff,0x3fea000f,
    0x361fcc04,0xffff87ff,0xe88001ff,0x7e40ffff,0x3601ffff,0x000fffff,
    0x13ffffea,0x17ffffe4,0x5fffff88,0xffff9000,0xfffff90d,0x8017fe03,
    0x23ffffff,0x402dffc8,0x82fffffb,0x04fffffa,0x05fffff7,0x09fffff5,
    0x0017fdc0,0xf90077dc,0xff90dfff,0x03f03fff,0x87ffffee,0xffff701f,
    0x7fffe43f,0xfffff307,0x3fffe005,0xffff304f,0xfff9007f,0x70003fff,
    0x505fffff,0x909fffff,0x260fffff,0x002fffff,0xff00dfd1,0xfffd9999,
    0xff880059,0xffff7005,0x07ffff87,0x201bfa20,0xfeccccff,0x3ff62cff,
    0x44806fff,0xc86ffffc,0x201fffff,0x04fffff9,0x3fffff60,0xfffff300,
    0x3fffea0b,0xffd0006f,0x7ec41fff,0xf981ffff,0xfff1002f,0x7fdc9fff,
    0x7fd407ff,0xffd83fff,0xff504fff,0xffb07fff,0x22009fff,0xf98005ff,
    0xffd0d40e,0x7ec41fff,0x4e81ffff,0xd1ffff60,0x3fffec09,0x41ffffe2,
    0x006ffffa,0x807ffff2,0x800ffffe,0xeffffff8,0xfa81d300,0xfd83ffff,
    0xf884ffff,0xff507fff,0x7e400dff,0xffff801f,0x4fffffff,0x007fec00,
    0x23ffffa8,0x005ffff8,0x3e007ff2,0xffffffff,0x3ffe64ff,0x13603fff,
    0x41fffffd,0x1fffffd8,0x7ffffdc0,0xffffb801,0x7ffec01f,0x7ffcc2ff,
    0xf0006fff,0x97dfffff,0x5fffffff,0x2001ff90,0x5ffffff9,0x0bfffffa,
    0x4fffff98,0x7fffffe4,0xfffff304,0xfffffc89,0x1ffd004f,0x99ef9800,
    0x3fe1fa99,0xfcbeffff,0x82ffffff,0xfff502fe,0xf502fe8b,0xfff70bff,
    0xffff703f,0x7ffcc005,0x2fffdc06,0xfffff900,0x1fd415df,0x27ffffcc,
    0x3ffffff2,0x3ffff704,0x05ffff70,0x4013fe60,0xffeeeeee,0x2a003eff,
    0x7ec003ff,0x3ffe64ff,0x9ff3001f,0x3bbbba00,0x43effffe,0x3ffffffe,
    0x3fe07e44,0xfcbeffff,0x02ffffff,0x06fffe98,0x06ffffdc,0x7ffffcc0,
    0xfffdd51e,0x90005fff,0xffffffff,0xdfffff7b,0x002ff499,0x8ffffffe,
    0x03ffffff,0x5ffffff4,0xffffdfda,0x3fffa05f,0xfdfdabff,0xb805ffff,
    0x7c4002ff,0x7fffffff,0x7fffffe4,0xffffbdff,0x3ffa4cef,0x41fffb81,
    0xffb81ffe,0xfffe881f,0x27fffc45,0x01fff400,0x800bffe2,0xffffffe8,
    0x205ffeff,0xabfffffe,0xfffffdfd,0xbfffd105,0x04ffff88,0x000dfd10,
    0x800fffb0,0x88005ff8,0x3fee6fff,0xdfd1004f,0xfffb0000,0x3ffffe60,
    0x2ffddfff,0xffffffc8,0xffffbdff,0x6c404cef,0x512cffff,0x005ffff9,
    0xffffff98,0xffff8dff,0x2000efff,0xfffffff9,0x3fffffa2,0x000ffe65,
    0x41fffff9,0x00fffffc,0x7fffffc4,0xffffaaff,0xfff101ff,0xf55fffff,
    0x403fffff,0x44005ff8,0xfffffffe,0x7fffcc5f,0x3ffa2fff,0x7fec5fff,
    0x5fff51cf,0x239fffb0,0x6c02fffa,0xff913fff,0x3ee0005f,0x07fd800f,
    0xffffd880,0x405fffff,0xfffffff8,0xfffffaaf,0x3fff601f,0x05fff913,
    0x000ffe40,0x003ffec0,0x40003ff6,0xff8bffe9,0x3ff2003f,0xffd80001,
    0x3fffa207,0x02ffffff,0xfffffff3,0x7fffff45,0x3fb6a005,0xefffffff,
    0xfd30000c,0x3e29ffff,0x009bdeff,0xceffda80,0x277fed40,0x10003fee,
    0xe885dff9,0xd5003fff,0x2a3dffff,0x4fffffff,0xdffffd50,0x3ffffea3,
    0x1ffb04ff,0xffffe800,0xa84fffff,0x540ceffd,0xfd84effd,0xefffffec,
    0xffd9fb02,0x2005dfff,0xfffffffb,0x3e20001e,0x00bf5006,0x7ffffe40,
    0xfd5002df,0x3ea3dfff,0x04ffffff,0x3fffffee,0x3e6001ef,0xfb00004f,
    0x7fd400ff,0x76440003,0x2001dfff,0x00004ff9,0xd880fffb,0x1effffff,
    0x677fed40,0x277fed40,0x79731000,0x88000015,0x26e20aca,0x04400000,
    0x3cb80440,0x30062000,0x57300017,0xb9800001,0x3300000a,0x00000001,
    0x80220022,0x005dcc0a,0x0177302a,0x06eea200,0x002b8000,0x26000072,
    0x260001ba,0x800000ab,0x0001bba8,0x00000331,0x00331000,0x20001000,
    0x00000198,0x1acb9800,0x44004400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000004c0,
    0x65c79993,0x005301cc,0x035502a2,0x00a88000,0x66664000,0x3322004c,
    0x00004ccc,0x39999950,0x00066000,0x33004cc0,0x00000001,0x00013530,
    0x66666440,0xcccc8803,0x8800003c,0x003ccccc,0x00000001,0x0004cc40,
    0x004cccc0,0x00151000,0x01331000,0x22000000,0x000001a9,0x40000000,
    0x7f540018,0x0000dfff,0xff0fffec,0x01fd40df,0x1ff607ec,0x3ff62000,
    0x80004fff,0x01fffffa,0x7ffffd40,0xfe800001,0x5c005fff,0x02effffe,
    0x207ff300,0x75403ff9,0x04e80bff,0xffffdb50,0x700005df,0x003fffff,
    0x03ffffee,0xfff70000,0x3f2003ff,0x407d300b,0xcccccccc,0xffea83cc,
    0x90004fff,0x2a0dffff,0x3eeeeeee,0x0bbfffae,0xfffb1000,0x00007fff,
    0xfffeb880,0x001cffff,0xfb975000,0x0359bdff,0x5dff9100,0x9cffd880,
    0x0003ffeb,0x7cc7fff1,0x3fe201ff,0x86fd980b,0x20001ffa,0xfb8bfffa,
    0x360000ef,0x0002ffff,0x009ffff7,0xffff9800,0x3ffea005,0x05ffffff,
    0x702ffb80,0x7fe405ff,0xb8adffff,0x77ec403f,0xffffeb9b,0x7ff40002,
    0x7dc001ff,0x00003fff,0x00fffff4,0xd88bff20,0x7dcc00df,0x46ffffff,
    0xfffddffd,0x3e6002ff,0x503fffff,0x19fffffd,0xfffffffb,0x3fee0003,
    0xeffffecf,0x64400000,0xdccdefff,0x003efffe,0xffffd500,0xffffb55b,
    0x7fe4003d,0x3f600fff,0x1fffcc7f,0x22ffd400,0xfe803ffc,0xfffedfff,
    0x04ff884f,0x85fff700,0x0000fffe,0x0005ffff,0x006fffb8,0x2fffe400,
    0xfffff500,0x09ffffff,0x900ffc80,0x3fe601ff,0xffffffff,0x3fea01ff,
    0x7fffc40f,0xff10001f,0x320003ff,0x00006fff,0x007fffe2,0x7e6ffd40,
    0x7fd4001e,0x3f66ffff,0x2ffffa83,0xfffffb00,0x7ffdc0ff,0xfddfedff,
    0x000fffff,0x3ee37fe4,0x00005fff,0x002fffea,0x001bffb5,0x3ffff620,
    0x3fffea02,0xffff8804,0xfff903ff,0x05fffd09,0x7c0ffd80,0xfff1006f,
    0x0dffffff,0x4c0037ec,0xffa86fff,0xffa8004f,0xf700002f,0x400003ff,
    0x3000effe,0xffffffff,0x003fffff,0xffd03ff4,0x7ffffec0,0x06ffffff,
    0x6c0ffff4,0x0007ffff,0x0003fff7,0x000fffc8,0x03fff700,0x5fffa800,
    0xffff1000,0x807f6dff,0x402ffffb,0xffeffffa,0xffff503f,0x7fe41dff,
    0x26002fff,0xffd84fff,0xc80000ff,0xd88003ff,0x7d4001ff,0x9803ffff,
    0x202effff,0x3ffffff8,0x81ffff98,0x2006fffd,0x7fcc2ff8,0x3ffea000,
    0x201fffff,0x6c001ffb,0xff884fff,0x7ec000ff,0x6400003f,0x300004ff,
    0x74001dff,0xfff511bf,0x4007ffff,0x17fe05ff,0xffd50de8,0x4c03ffff,
    0xfc85ffff,0x8000ffff,0x00002ffe,0x00007ffb,0x0000bffa,0x05fffff5,
    0x3ffffe00,0xf803faef,0x3a00ffff,0xfff90eff,0xfffff301,0xffff981f,
    0x3ffa004f,0xffff982f,0x77ec0002,0x7fdc0001,0xffff5001,0x7fdc009f,
    0x3f601fff,0xfd80ffff,0xffc80fff,0xbf5002ff,0x30007f90,0x01bffffd,
    0x2003ff88,0xf03ffffa,0xf8009fff,0x9000003f,0x2e0000df,0x3ee000ef,
    0xfffff100,0x3fe600bf,0x407ff303,0xcedb881d,0x7fffdc00,0x7fffe40f,
    0x7fc4001f,0x7ec00002,0xff880006,0x3fa60002,0x03fffc8c,0xffffff80,
    0xffb004ff,0x3fee09ff,0x984ffb85,0x884fffff,0x005fffff,0x107ffff1,
    0x0003ffff,0x000037dc,0xf8801df5,0x8007ffff,0x206fffff,0x884ffff9,
    0xb80fffff,0x5005ffff,0x00077019,0x20009a88,0x3f6006fe,0xfff02fff,
    0x1e4400bf,0x32e00000,0x0cb80000,0x36007400,0x004fffff,0x3ea05ff7,
    0x0000002f,0x90dffff1,0x003fffff,0x00002c98,0x30000990,0x7ec00059,
    0x1ffff41d,0x3ffffe00,0xf7000fff,0xf883ffff,0x03fea03f,0x09fffff3,
    0x0bfffff1,0x13fffea0,0x0003fffc,0x3ff21ff3,0xefffefff,0x80bf902d,
    0x04fffffd,0xfffffb80,0xa805d404,0xb80fffff,0x0007ffff,0x00000000,
    0xe8007fdc,0xff01ffff,0x00000dff,0x00000000,0x4c000000,0x002fffff,
    0x3f201ff9,0x0000000f,0xb1077f6a,0x003fffff,0x00000000,0x40000000,
    0xffff502a,0x7fffc003,0x2a003fff,0x545fffff,0x43e9802e,0x84fffff9,
    0x05fffff8,0x0fffff70,0x0007fff5,0x3fe617f4,0xfff951ff,0x205fd01d,
    0x2ffffffa,0xffff9800,0x320001ff,0xf707ffff,0x0003ffff,0x2a200000,
    0x0ffe2000,0x7fffffc0,0xffffffff,0x0000007f,0x00000000,0x80000353,
    0x3307ffff,0x33ffd333,0x3ffd3333,0x02a20013,0xffc88000,0x001fffff,
    0x00000a88,0x000002a2,0x00001353,0x00ffffe8,0xfffffff0,0x7ffcc001,
    0x800007ff,0x84fffff9,0x05fffff8,0x5fffff50,0x0005ffc8,0x7ffc17e6,
    0x37fff41f,0x7fc437cc,0x0007ffff,0xdffffff1,0x7fff4000,0xffff707f,
    0x77775c7f,0x3baa2eee,0x803eeeee,0x4fffffd8,0x100bfd00,0x559fffff,
    0x55555555,0x3bbbbae1,0x3bbaa2ee,0x75c3eeee,0x22eeeeee,0xeeeeeeea,
    0xffec8803,0x0000cfff,0x40ffffcc,0xfffffff8,0xffffffff,0x2605ffff,
    0xacefffed,0xffc88000,0x1fffffcc,0xfffdb300,0x9800159d,0xacefffed,
    0x7f6d4000,0x002effff,0xfcabcb98,0xff005fff,0x800dffff,0x2ffffff9,
    0x7fcc0000,0xff884fff,0xf3005fff,0x7e4bffff,0x7ec0003f,0x83fffd02,
    0xe80ffffb,0x7fffd41f,0x3a0005ff,0x01ffffff,0xfffff880,0xfffff707,
    0x7fffdc4b,0x7ff542ff,0x7d404fff,0xeffb8bff,0x007fe400,0x0fffffe6,
    0x3ffee200,0x7f542fff,0x5c44ffff,0x42ffffff,0x4fffffea,0x4dfffcc0,
    0x000ffffe,0x407bff20,0xfffffff8,0xffffffff,0xf505ffff,0xffb53bff,
    0x7fdc003f,0xfffff93f,0xbfff5003,0x03fffb53,0x277ffea0,0x801fffda,
    0xeb9befd8,0x5002ffff,0xfffdffff,0xf005ffff,0x00dfffff,0xffffff88,
    0x77777445,0x3e600eee,0xf884ffff,0x1005ffff,0xf9ffffff,0x880003bf,
    0x3fffa06f,0x17fffcc1,0x3fee27d4,0x0004ffff,0x3ffffff6,0xfff88002,
    0xfff707ff,0xfffb0dff,0xfff705ff,0x7fdc09ff,0x07fff42f,0x9805ff30,
    0x005fffff,0x3fffff60,0xfffffb82,0xfffffb04,0xfffff705,0x17ffcc09,
    0x01dffff5,0x05fff500,0x7f666644,0xecccccdf,0xc83ccdff,0x7fc45fff,
    0x7ec402ff,0x3fff22ff,0x7fe401ff,0x7fffc45f,0x2fffe402,0x80bfffe2,
    0x7c40fffa,0x5401ffff,0x3ee1ffff,0xf805ffff,0x006fffff,0x7fffffc4,
    0xffffc986,0x3fe600ff,0xff884fff,0x3a005fff,0x0cffffff,0x33333310,
    0x027d4133,0xfb83fffd,0x8df00fff,0x4ffffffd,0x3fff2000,0x98004fff,
    0x707fffff,0x90dfffff,0x505fffff,0x209fffff,0xfa86fff9,0x2ffc04ff,
    0x3ffffe20,0x3ff20006,0xffa82fff,0xff904fff,0xff505fff,0x3e609fff,
    0xffff87ff,0x7fd4002f,0x32003fff,0x1ff900ff,0x17fffd40,0x807fffe4,
    0x643ffff9,0x201fffff,0xc82ffffa,0xf500ffff,0xff905fff,0x3ffa01ff,
    0xffffd81f,0x3fffea07,0xfffffe83,0x7ffffc00,0x7fc4006f,0x3e07ffff,
    0x200fffff,0x84fffff9,0x05fffff8,0x3fffff20,0x3ffe602f,0x2e2fffff,
    0x3fffa02f,0x02ffff41,0xffffe8fd,0x320003ff,0x05ffffff,0xfffff980,
    0xfffff707,0xfffff70f,0xfffff505,0x13fff609,0x803fffe2,0xfff807fc,
    0x70001fff,0x505fffff,0x209fffff,0x82fffffb,0x04fffffa,0xfd09fffb,
    0x71009fff,0xfffffffd,0x81ffa009,0x7ff407fe,0xfffa80ff,0xfffe885f,
    0x7fffe40f,0x3fffa01f,0xffffa80f,0x1ffffd05,0x0bffff50,0x90bffff3,
    0x201fffff,0xb80fffff,0x403fffff,0x06ffffff,0x7ffffc40,0x3fffa07f,
    0x3fe600ff,0xff884fff,0xd9805fff,0xffffffff,0x7fffe400,0xd00fe40a,
    0x3f223fff,0x3f601eff,0xffffff10,0x7e40007f,0x507fffff,0xffff5015,
    0x3ffee0ff,0xfffb87ff,0xfffa82ff,0xfffa84ff,0x9ffff03f,0x2017fd40,
    0x06fffffd,0xffffb848,0xffffa82f,0xffff704f,0xffff505f,0xffff309f,
    0x5ffff907,0xfffff500,0x00dfffff,0x2ffc0bff,0x0fffff50,0x03ffffe6,
    0x90dffff9,0x203fffff,0x307ffffa,0xa81fffff,0xf307ffff,0xfb81ffff,
    0x7e40ffff,0xfb81ffff,0xff507fff,0xff80bfff,0x4006ffff,0xfffffff8,
    0xfffffb00,0x7fffcc01,0xffff884f,0x3ff6205f,0xffffffcb,0x17ffc405,
    0x3fa00fd8,0xffffeeff,0xf31fc802,0x05ffffff,0x7fffdc00,0x3fee0fff,
    0x7ffd42ff,0xfff707ff,0xfff70fff,0xfff505ff,0xfffb09ff,0x3fffe05f,
    0x2027fc05,0x3ffffff9,0x3fee1360,0xffa82fff,0xff704fff,0xff505fff,
    0xffb09fff,0xff9105ff,0xffda800b,0x02ffffff,0x7cc13fe6,0x3fffa03f,
    0xffff106f,0xffffe85f,0x3fff620f,0xfffd01ff,0x3ffe20df,0x7fff42ff,
    0xffff106f,0xffff885f,0xfffffc86,0x6ffffe81,0xdfffff30,0xffffff80,
    0x7ffc4006,0xfb00ffff,0x4c01ffff,0x884fffff,0x505fffff,0x3fe23dff,
    0x202fffff,0x3f204ff8,0x2ffffa01,0xb006fffc,0x3fffe21f,0x20002fff,
    0x7ffffffb,0x3fffffe2,0x3ffffe61,0xfffff707,0xfffff70d,0xfffff505,
    0x3ffffd09,0x01bfffe0,0xffd00ffb,0xc887ffff,0xffffb80f,0xffffa82f,
    0xffff704f,0xffff505f,0xfffff09f,0x00004405,0xfffffff7,0x817fdc0d,
    0x3fe01ffa,0xff106fff,0xfff87fff,0xffcbefff,0xf02fffff,0x220dffff,
    0x7c3fffff,0xf106ffff,0xb507ffff,0xffd883bf,0x7fc41fff,0xff306fff,
    0xff80ffff,0x4006ffff,0x7ffffff8,0x3fffff60,0x3fffea00,0xffff885f,
    0x3fffc85f,0x7fffffd4,0x01ff501f,0xffd017dc,0x7ffff13f,0xfff8fd00,
    0x0003ffff,0x3ffffff2,0x3fffff26,0x3fffe26f,0xffff707f,0xffff709f,
    0xffff505f,0xfffff09f,0xffffffff,0xffa80fff,0x7fffcc01,0xffddffff,
    0xfffff702,0xfffff505,0x3fffee09,0xffffa82f,0x7fffc44f,0x4000004f,
    0x7ffffff9,0x57fecccc,0xffd99999,0xff109999,0x3e20dfff,0x7e45ffff,
    0xdfffffff,0xcefffffb,0x3ffffe24,0xfffff106,0x7ffffc4b,0xfffff106,
    0x7fe4400b,0x4c1fffff,0x305fffff,0x80ffffff,0x06ffffff,0x7ffffc40,
    0x3fff606f,0x3fea00ff,0xff885fff,0x7fdc5fff,0xfffe80ff,0xfc80efff,
    0xd01fd402,0x3fee3fff,0x237c00ff,0x4ffffffe,0x3fff2000,0x3ff25fff,
    0x7fc7ffff,0xff707fff,0xff707fff,0xff505fff,0xff889fff,0xaaaacfff,
    0x00aaaaaa,0x22013fe2,0xfffffffe,0x3fee02ff,0xffa82fff,0xff704fff,
    0xff505fff,0xff989fff,0x00005fff,0xfffffa80,0xfffff10f,0xffffffff,
    0x2bffffff,0x06fffffa,0x8ffffff1,0xfffffff9,0x3fffffa2,0x7ffffd45,
    0xfffff106,0x7ffffd4f,0xfffff106,0x9ff9100f,0x83fffff9,0x05fffffa,
    0x0ffffff1,0x6ffffff8,0x7fffc400,0x3ff605ff,0xfb100fff,0x885fffff,
    0x225fffff,0xf306ffff,0x8dffffff,0x5f9804f9,0xe87fffa0,0x3e604fff,
    0x7ffffec5,0x3f60005f,0x264fffff,0x1fffffff,0x41fffffa,0x82fffffb,
    0x82fffffb,0x44fffffa,0x03fffff9,0x01bf6000,0x7ffffec4,0x7fdc01ef,
    0xffa82fff,0xff704fff,0xff505fff,0xff989fff,0x00006fff,0xfffffb00,
    0x7fffffc4,0xffffffff,0xf55fffff,0x220bffff,0xa87fffff,0x540ceffd,
    0xfa84effd,0xf105ffff,0x7d4fffff,0xf105ffff,0xb80fffff,0xfff93fff,
    0xfffa83ff,0xfff305ff,0xfff80dff,0x44006fff,0x04ffffff,0x03fffff6,
    0x3fffffea,0x3fe23fff,0x3ff65fff,0xff900fff,0x22bfffff,0x03fa006e,
    0xf517fff4,0x3f201fff,0x7ffffdc2,0x3f60005f,0x5c2fffff,0x20ffeffe,
    0x707ffffd,0x703fffff,0x505fffff,0x989fffff,0x005fffff,0x007fee00,
    0x0035df70,0x0bffffee,0x13ffffea,0x17ffffdc,0x27ffffd4,0x1fffffe2,
    0x7c400000,0x33226fff,0xcccceffd,0xcccdffdc,0xfffff33c,0x3fffe20b,
    0x8802207f,0x3fe602fd,0xff105fff,0x7fccffff,0xff105fff,0x3620ffff,
    0x3ff22fff,0x7fc41fff,0xff306fff,0xff809fff,0x4006ffff,0x3ffffff8,
    0x3fffff60,0xff100000,0x7ff4bfff,0x3f602fff,0xdcffffff,0x13ea001f,
    0xd0ffffe2,0xff10bfff,0xffffff10,0x7ffc000d,0x54606fff,0x7fffdc7f,
    0xfffff707,0xfffff701,0xfffff505,0xfffff889,0x3e200006,0x3fee003f,
    0x7ffdc001,0xfffa82ff,0xfff704ff,0xfff505ff,0xffff09ff,0x000003ff,
    0x413fffe0,0xff702ffb,0x7fffc405,0xffff106f,0x3a6000df,0x7ffc404f,
    0xfff106ff,0x7ffc4dff,0xfff106ff,0xfff30dff,0xffffc87f,0xfffff81f,
    0xfffff306,0xfffff807,0x7fc4006f,0x3600ffff,0x000fffff,0xfffff100,
    0x3ffffe2b,0x3ffa205f,0x04ffffff,0x7d40ff80,0x7fcc5fff,0x81fe43ff,
    0x0ffffffc,0xffff9800,0x5fc802ff,0x07ffffc4,0x837fffdc,0x82fffffb,
    0x84fffffa,0x01ffffff,0x01bfa000,0x4003ffc4,0x82fffffb,0x04fffffa,
    0x05fffff7,0x09fffff5,0x0bfffffd,0x3f600000,0x1ff903ff,0xf003ff20,
    0x260dffff,0x004fffff,0xf005ffb0,0x260dffff,0x7c4fffff,0xf306ffff,
    0xe889ffff,0x7e40ffff,0xfd81ffff,0xff306fff,0xff805fff,0x2606ffff,
    0x7ffffc40,0x7fffec03,0xf100000f,0x3e69ffff,0x01ffffff,0x3fffffe2,
    0xfb8004ff,0x3fffffa6,0x3fff64ff,0x201df54f,0x4ffffff8,0xffffb800,
    0x03ff006f,0x701ffffb,0x2e07ffff,0xa82fffff,0xd84fffff,0x806fffff,
    0x01ff7004,0x001fff70,0x2fffffb8,0x4fffffa8,0x5fffff70,0x9fffff50,
    0xffffff90,0xb0000003,0x3fa01fff,0x201ffa07,0x307ffffc,0x005fffff,
    0x007fff10,0x20fffff9,0x42fffff9,0x307ffffc,0xc85fffff,0xfc86ffff,
    0xfb81ffff,0xff507fff,0xff801fff,0xe886ffff,0x3ffe24ff,0x7fec00ff,
    0x50000fff,0x7ffffc45,0x3fffffe3,0x3fe600ff,0x0dffffff,0x013f6070,
    0x01ff8800,0x3fffffdc,0x7ffff400,0x05fa802f,0x903ffff5,0x7d40dfff,
    0xfd83ffff,0xf984ffff,0x203fffff,0x7ff1004d,0x05fffb00,0xfffffa80,
    0xfffffd83,0xfffff504,0xfffffb07,0xfffff109,0x83a601df,0xf800cfea,
    0x17fe01ff,0x4402ffc4,0xf507ffff,0x2000dfff,0x8805fffa,0xf507ffff,
    0xff10dfff,0x3fea0fff,0xfffe86ff,0x3ff620ff,0xff981fff,0xfff707ff,
    0xffff00df,0xfff70dff,0x3fffe61f,0xffffd804,0xffe8000f,0x5fffff11,
    0x7ffffff4,0x3fea00ef,0x2effffff,0x4fe882ec,0x3fe98000,0xfffffd00,
    0x7ffd4005,0xee8804ff,0x0ffffa00,0x980bfff6,0x644fffff,0x04ffffff,
    0x7ffffffd,0x2000fc88,0xffc805fe,0x3e6000ef,0x7e44ffff,0x304fffff,
    0xc89fffff,0x04ffffff,0xdffffff9,0x3e1fd415,0x2a00efff,0x3fe604ff,
    0x007ff303,0x207fffee,0x002ffffb,0x05ffff30,0x03ffff70,0x205ffff7,
    0xb81ffffb,0xff82ffff,0xfcbeffff,0x02ffffff,0x901ffff9,0x8803ffff,
    0x86ffffff,0xf33ffffd,0xfb001dff,0x8001ffff,0xff13fff9,0x7fd41fff,
    0xbeffffff,0x7fffed40,0xdfffffff,0x3fa600ff,0xff70000e,0xfffd8009,
    0xffd1006f,0xdd3009ff,0x6ffe8801,0x402fffc4,0xabfffffe,0xfffffdfd,
    0xfffff305,0x5ffbbfff,0x00ffc800,0x0fffffd4,0xfffffd00,0xfffbfb57,
    0x7ff40bff,0xdfdabfff,0x105fffff,0xfffffffd,0xf88bffdf,0x883fffff,
    0x7fdc05fe,0x005ff701,0x117fffa2,0x0009ffff,0x1fffffc4,0x17fffa20,
    0x409ffff1,0x445fffe8,0xf904ffff,0xbfffffff,0x9dfffff7,0x4fffe889,
    0x027fffc4,0x7fffffcc,0x3ffffa87,0x2001dff5,0x01fffffd,0x99fffc40,
    0xfc82ffff,0xffffffff,0xbdffeddf,0xffffffff,0xd8803fff,0xb8801cff,
    0xb0002ffe,0x401dffff,0x04ffffe8,0x22003ec8,0xfd98bffe,0xfff1004f,
    0xf55fffff,0x203fffff,0xffffffe8,0x98002fff,0xffc802ff,0x402cefff,
    0xfffffff8,0xfffffaaf,0xffff101f,0xff55ffff,0x2203ffff,0xfffffffd,
    0xfff905ff,0xfb57dfff,0x1ff9005f,0x0003ff20,0x3227fffb,0x80002fff,
    0xdffffffa,0x7fffb00b,0x00bfff22,0xc89fffec,0x3e602fff,0x22ffffff,
    0x05fffffe,0x225fffb1,0x8803fffc,0xfffffffe,0x6ffff40d,0x2000efd8,
    0x02fffffe,0xc8effd80,0x3f604fff,0xffffffff,0x3a61dfff,0xffffffff,
    0x7ffdc004,0xcba9abce,0x0000dfff,0x5f7fff54,0xffffb511,0x000a003d,
    0x7ffffe44,0x7f54003e,0xff51efff,0x209fffff,0xffffffd8,0x3fe0001e,
    0xffff9005,0xea801bff,0xf51effff,0x09ffffff,0x3bffffaa,0xffffff51,
    0x7ffe409f,0x2202dfff,0xfffffffc,0x3fa004ff,0x001ffa06,0x7fffffdc,
    0x200001ef,0xeffffffa,0x3fffee01,0x4001efff,0xfffffffb,0xffda801e,
    0x7fed40ce,0xffeb804e,0x402dffff,0xfffffffe,0x35efffff,0x1bffffff,
    0x7fffd400,0xc8000dff,0x03ffffff,0xfffffe98,0x3201dfff,0x03efffff,
    0x3fff6a00,0x0cffffff,0x7edc0000,0xffffffff,0x000002df,0x000bb980,
    0x00055cc0,0x0d65cc00,0x02654000,0x037bb730,0x000ab980,0x0055cc00,
    0x0dd4c000,0x332aa200,0xcc80009a,0x000f3202,0x00377510,0x6e5c4000,
    0x2ea2002c,0xa880001b,0x110001bb,0x30001100,0x00015795,0x5e544000,
    0x7ffc4001,0x3fffffff,0x19a98800,0xbcba9800,0x2e62001a,0x2200001b,
    0x01abcca9,0xaa880000,0x00aabccb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc9800000,0x5403cccc,0x002ccccc,0x9aa88000,0x00002800,
    0x1666664c,0x1a988000,0x31000220,0x000c4015,0x54c00000,0x10000009,
    0xcc880035,0x00003ccc,0x00013530,0x000aa980,0x01531000,0x008800a0,
    0x00000620,0x20000130,0x004ccccc,0x00009800,0x10004c00,0x00799999,
    0x054002a2,0x00000980,0x00006e20,0x077fffe4,0x37fffec0,0x32e60000,
    0xfffffffe,0x003540bd,0x3ffff600,0x3220000e,0x2dfffffe,0xfea80164,
    0x7d44ffff,0x7ffd5004,0xd5009b01,0x3bffffff,0x3bbbba20,0xffb70eee,
    0x2e0019ff,0x000fffff,0xfffeca80,0x0000cfff,0xdfffffb1,0xeb880003,
    0xbdffffff,0x9103cc0a,0x3bdffffd,0x20077c40,0x6dc405fa,0x000cffff,
    0x5fffff50,0x7f5c0000,0xa80000ef,0x000cefed,0x07ffffee,0x6402fc40,
    0x01df001f,0x32006f98,0x0000efff,0x0077fffc,0x03ffffb0,0xfff91000,
    0xb95579df,0xdd77bfff,0xfff80000,0x2a0000ef,0xcb9acfff,0x02fbcfff,
    0x457fff44,0xffc9efe9,0xffffc804,0x3fb8adff,0x2a73fa60,0x0dfffffe,
    0xfffffc98,0xfffffc8f,0x3ee006ff,0x40003fff,0xc99cfffc,0x4004ffff,
    0xff98dff9,0xc98002ff,0xcdefffff,0xabdfffec,0xfffc887e,0xdfffdaae,
    0x201df900,0x3f201ffc,0xfffeaaef,0xfffd8004,0x2600002f,0x00ffffff,
    0xcfffc880,0xfffd0001,0xcff8003f,0x00ffb880,0x2e03ff70,0xff3002ff,
    0x40007fff,0x000ffff9,0x003fffe8,0x7ffffd40,0x7ffec403,0x200006ff,
    0x000efffa,0x403ffee0,0x02ffffc8,0x307fffe6,0x09ffffff,0xffffff98,
    0x02ffffff,0xff50bfd1,0x7fc0bfff,0xacfcffff,0x04fffffd,0x01bfff20,
    0x2fffec40,0x01ffffec,0x321fff98,0x2001ffff,0x2efffffb,0x3ffffea0,
    0x1ffff447,0x407fffd4,0x3621fff8,0x3ff604ff,0x3fffe60f,0x7fffc005,
    0xb03b0002,0x09ffffff,0x6fffec40,0x3fe20000,0xfc8001ff,0xfffddfff,
    0x7ff4005f,0x002ffe42,0x0dfffff9,0x0fffe400,0x6ffe8800,0xfffb1000,
    0x7cc001df,0x00006fff,0x0003fff6,0x804fff98,0x3a02fffa,0xff906fff,
    0xfd809fff,0xffffffff,0x3ff606ff,0xfffffb06,0x3ffffa07,0x7ffd42ff,
    0x3f2002ff,0xfd8000ff,0xffa82fff,0xfe800fff,0x3ffee0ff,0xffd8805f,
    0x32003fff,0x7fec7fff,0xfffd00ff,0x2bfff20b,0x900fffe8,0xff90bfff,
    0x3ea009ff,0xf70003ff,0xfffffd03,0x3fa600df,0xb80003ff,0x10002fff,
    0xfffffffd,0xfa8001ff,0xfffd8bff,0x3ffee001,0x3e0005ff,0x440001ff,
    0x44001ffe,0x00fffffe,0x06fff980,0x07ffe000,0x1fffd000,0x40ffee00,
    0x703ffffc,0x809fffff,0xfffd50de,0x7fc03fff,0xfffa81ff,0xfffd06ff,
    0x3ffa09ff,0x32000fff,0x7c4003ff,0xf981ffff,0x5c02ffff,0x3ee0ffff,
    0xfe807fff,0x8002ffff,0x3fea7ffc,0x3fee05ff,0xfff881ff,0x303fffff,
    0xf309ffff,0x9003ffff,0x260007ff,0xfffb81ff,0xfb807fff,0x00004fff,
    0x80005ffd,0xfffffff9,0xffd0002f,0x009fffff,0x2fffff88,0x03ff3000,
    0x0ffa2000,0xfffff900,0x7fcc0005,0xff500006,0xff980003,0x1fec007f,
    0x0fffffc4,0x4fffffa8,0x6dc416c0,0x3fe600ce,0xfff984ff,0xfffd07ff,
    0x3fee01ff,0x6c002fff,0x7fdc006f,0xff981fff,0x7fc04fff,0x3fe61fff,
    0x7fec05ff,0x20004fff,0x3fff27fd,0x3ffea07f,0xffff703f,0x7fe40dff,
    0xffff03ff,0x07ff00df,0x40fff400,0x7fffffd8,0x27fffe40,0x2ff88000,
    0xffb10000,0x40003dff,0xfffffffa,0xefda8000,0x072a0003,0x07910000,
    0x7ffffd40,0x6fb80007,0x03950000,0xffff7000,0x41fc4003,0x00fffffa,
    0x09fffff3,0x3e200000,0xff986fff,0xfe80ffff,0xf300ffff,0x0009ffff,
    0xffb80097,0xff880fff,0x3e204fff,0x7f42ffff,0x3fee02ff,0x0000ffff,
    0xfffe9fe2,0xfff501ff,0x7fffc09f,0x3ffa02ff,0xffff03ff,0x1e4403ff,
    0x3fff9000,0x37e45440,0x09ffff50,0x0164c000,0x054c4000,0xfffe8000,
    0x040003ff,0x00000000,0xfff10000,0x00009fff,0x000001be,0x3fff2000,
    0x0fa000ef,0x81fffff2,0x04fffff9,0x3f600000,0xfff983ff,0xfffd06ff,
    0x3fe601ff,0x00005fff,0xfffff900,0xfffff101,0x7fffcc07,0x201ba83f,
    0x4ffffff8,0x3a7d8000,0x504fffff,0x5405ffff,0x7c04eeee,0xfd03ffff,
    0x0007ffff,0x7fffe400,0x209fd001,0x00fffff8,0x00000000,0x26000000,
    0x0005eeee,0x54400000,0x0a880000,0x3ffff600,0x700001ff,0x06a6000d,
    0x640054c0,0x00efffff,0xfffb0770,0x7ffcc0ff,0x530004ff,0x3b220013,
    0xffffa80b,0xffffd04f,0x3ffe201f,0x54c007ff,0x3ff20009,0xff980fff,
    0x3ee00fff,0x0005ffff,0x3ffffff9,0x64f50000,0x82ffffff,0x0007fffc,
    0x7ffffcc0,0xfffffb04,0x281a880d,0xfffffb10,0x03ff1003,0x017ffff6,
    0x8054c000,0x00000048,0x00000000,0x3ff62000,0x44004fff,0x04fffffd,
    0x7fffffc4,0x1600000f,0xffffda80,0x3fa60cef,0x2a04ffff,0xcfffffff,
    0x7fc04400,0x3e606fff,0x5004ffff,0xdfffffdb,0xff700005,0x3fa03fff,
    0xf100ffff,0x401fffff,0xfffffeda,0xfffc802e,0xfffb80ff,0x7ffdc03f,
    0xf88006ff,0x007fffff,0xfffa8e00,0x7ec1ffff,0x400004ff,0x04fffffb,
    0x0dfffff9,0x37ffffea,0xffe887ca,0xeeeeffff,0xf504fb85,0x0005ffff,
    0x3fffb220,0x4bd10cff,0xeeeeeeeb,0x3bbbbaa2,0x000003ee,0x0000a800,
    0xf717fff5,0xff5001df,0x1dff717f,0x3ffffea0,0x0000007f,0xbacefe98,
    0xfb9efffe,0xeffea9df,0xfffff880,0x4003ffff,0x06fffff9,0x13ffffe6,
    0x737dfb10,0x005ffffd,0x5ffffe80,0x3fffffa0,0x3ffffe00,0xbefd880f,
    0x2ffffeb9,0x7ffffe40,0x3bffea20,0xffffa802,0xffb8007f,0x0005ffff,
    0xfffff100,0x3fe67fff,0xeee880df,0x700eeeee,0x20bfffff,0x87fffffb,
    0xfdabeffc,0x7ffc47ff,0xffffffff,0x8077447f,0x227ffffd,0xff980009,
    0xfffd99ef,0x3ee20eeb,0x542fffff,0x84fffffe,0xeeeeeee8,0xeeeeeeee,
    0x003a002e,0xd0bffee0,0x7dc01fff,0x7fff42ff,0xfffffc80,0x0000006f,
    0x7407ffcc,0x0effffff,0x6c1bffe2,0xffffffff,0xff3003ff,0x7cc0dfff,
    0x2a04ffff,0x7fc40fff,0x50001fff,0xe80bffff,0x200fffff,0xa87fffff,
    0x7fc40fff,0x3f201fff,0x3f60ffff,0x3e6003ff,0x000fffff,0x7fffffec,
    0x2e000004,0xffffffff,0x4c03ffdd,0x0ffffffc,0xbfffff50,0x3ffffea0,
    0x0bffea0f,0x5441ffd1,0xcfffffda,0x3ba22aaa,0xfffff100,0xbfffff9b,
    0xffff5001,0x0ffffd81,0x5fffffb0,0x9fffff70,0x9bdfff10,0xfffff999,
    0x3e2001ff,0x7ffcc000,0x04fffa86,0xf50dfff3,0xfffb09ff,0x0000bfff,
    0x7fffc400,0xfffff980,0x3fffc82f,0xfffffe88,0x01efffff,0x3fffffc4,
    0x9fffff30,0x40ffff40,0x007ffffd,0x009fffb0,0x01fffffd,0x17ffffe2,
    0x3607fffa,0x3207ffff,0x260fffff,0x80bfffec,0xffffdccc,0x04cccdff,
    0x7ffffffc,0x6c000003,0xffffffff,0x3fe001ff,0xf300ffff,0x2a0fffff,
    0x747fffff,0xff880fff,0xfffff900,0x700ff203,0xffffffff,0x05ffffff,
    0x427fffc4,0x901ffffa,0x505fffff,0x109fffff,0x3fe607ff,0x2003ffff,
    0xffd8007a,0xffff884f,0x84fffd80,0x7c0ffff8,0x04ffffff,0x3ea00000,
    0xff985fff,0xfa80ffff,0xff980fff,0xffffffff,0x3fe00dff,0x3e607fff,
    0xf304ffff,0xff90bfff,0x98001fff,0xfd002fff,0x2601ffff,0x4c4fffff,
    0xfc85ffff,0xf900ffff,0xf101ffff,0xff889fff,0xffffffff,0x7c07ffff,
    0x02ffffff,0xffc80000,0x4fffffff,0x3ffffa00,0x3fffe00f,0xfffa82ff,
    0x3ffe26ff,0x201f505f,0x81fffffc,0xfffd0028,0x3fa639ff,0xf902ffff,
    0xff305fff,0x3fee0dff,0xffa82fff,0x4f884fff,0x3fffffa0,0x017e6006,
    0x07ffff50,0xf513fffe,0x3fe07fff,0x3ffe24ff,0x0003ffff,0x3ffee000,
    0x7ffc40ff,0xfff307ff,0x3ffe605f,0xffffffff,0xfffd01ef,0x3fe601ff,
    0xff704fff,0xffc81fff,0x64001fff,0x3fa000ef,0xf300ffff,0xfb85ffff,
    0x7e40ffff,0xf901ffff,0x2e01ffff,0x3e22ffff,0xffffffff,0x207fffff,
    0xfffffff8,0x70000002,0xffffffff,0xffb001bf,0x7dc01fff,0xfb85ffff,
    0x3e65ffff,0xe80dffff,0xfffff901,0xfff80003,0x7fc40fff,0xff986fff,
    0xffa81fff,0xffb82fff,0xffa82fff,0x1f884fff,0xffffff70,0x0bfea003,
    0x5ffffb00,0xb17fffe0,0x3e05ffff,0x3fe25fff,0x003fffff,0x3fe20000,
    0xffff06ff,0x3ffe20df,0x3ff6204f,0xffffffff,0xfffa81ff,0xfff303ff,
    0x3fe209ff,0xfffc86ff,0x3e2001ff,0xfffe8005,0xfff700ff,0xfff883ff,
    0xffffc86f,0xffff901f,0x3ffea01f,0x333320ff,0xcefffffd,0x3fe604cc,
    0x003fffff,0xfff50000,0xbfffffff,0xfffffb00,0xffffe801,0x7fffe43f,
    0x3fffe24f,0x804c2fff,0x01fffffc,0x3fffe200,0xfffd80ff,0x7ffe43ff,
    0x7ffcc0ff,0xffb85fff,0xffa82fff,0x06884fff,0xbffffff1,0x01bff200,
    0x07ffffa0,0x3a37fffc,0xff01ffff,0x7ffc4dff,0x0003ffff,0x6ff54000,
    0xfffff981,0xbffff104,0xffffd500,0x0fffffff,0x41bffffe,0x04fffffd,
    0xb1077f6a,0x003fffff,0x740007d4,0xd05fffff,0x2a0bffff,0x7ec41dfd,
    0xf901ffff,0x2a01ffff,0x201fffff,0x04fffff9,0x3ffffe20,0x000004ff,
    0x7ee7ff4c,0x4fffffff,0x7ffffec0,0x7fff4c00,0xffffdeff,0x7ffc2fff,
    0x004fffff,0x03fffff9,0x7fffcc00,0xffff707f,0xffffd8df,0x3ff7a20f,
    0xffb86fff,0xffa82fff,0x64004fff,0x00ffffff,0x01ffff44,0x7fffffc0,
    0xffffffff,0x7ffffc7f,0xffffffff,0x7fffc7ff,0xd7003fff,0xffffffff,
    0x0203dfff,0x3fffff66,0xffffffff,0x2006ffff,0xffffffea,0xffa83fff,
    0xfd31dfff,0x009fffff,0xfffff910,0x35c003ff,0xffffe800,0x3fee0dff,
    0x44000fff,0xfffffffc,0xfffff901,0x3fffe601,0x7fffc03f,0x7ffc004f,
    0x0005ffff,0x9bffe600,0xfffffffc,0x3fff600f,0xfd8800ff,0xffdfffff,
    0xffa87fff,0x0effffff,0x7ffffe40,0x3fea0001,0xff107fff,0xfff8ffff,
    0x23ba0fff,0xb87fffff,0xa82fffff,0x004fffff,0x3fffffe6,0x7fffcc03,
    0xfff88007,0xaaaaacff,0xf10aaaaa,0x5559ffff,0x15555555,0x7ffffff4,
    0x7fec4004,0x00dfffff,0x3e7bf660,0xaaaeffff,0x2aaaaaaa,0x7ffdc002,
    0x507fffff,0xfdffffff,0x9fffff5d,0x67fe4400,0x01fffffc,0x740012e0,
    0xffbfffff,0x1fffffed,0x33ff2200,0x01fffffc,0x01fffff9,0x13ffffe6,
    0x05ffff90,0xfffffe80,0x3000006f,0xfb89ffff,0x02ffffff,0x03fffff6,
    0x8bcca880,0x04fffff9,0xfffffffb,0x7fe403ff,0x20001fff,0x07fffff9,
    0x43fffffe,0x0ffffff8,0x3fffe1fb,0x7ffdc0ff,0xfffa82ff,0x3fa004ff,
    0x4406ffff,0x004fffff,0x3fffff98,0xffff9800,0xff70003f,0x000dffff,
    0xfffffff1,0x3ff62001,0x1bffffe4,0x9000ec00,0x1fffffff,0x3ffffaa0,
    0xfffff34f,0x3ffee009,0x3fffff93,0x8000d400,0x98fffffe,0x1cfffffe,
    0x4fffee00,0x01fffffc,0x01fffff9,0x1bffffe6,0x03ffff50,0xfffffc80,
    0xb000007f,0xf703ffff,0x409fffff,0x00fffffd,0xffffc800,0x3fff601f,
    0x00efffff,0x03fffff9,0xfffff800,0xfffff00f,0x3fffe23f,0x3a1fb8ff,
    0x5c0fffff,0xa82fffff,0x004fffff,0x3ffffff7,0xfffffc80,0xfff98000,
    0xf98005ff,0x0005ffff,0xfffffff1,0x3fffe000,0xff7007ff,0xffffe87f,
    0x009b0007,0xffffffa8,0x20dd4401,0x04fffff9,0x917ffec4,0x003fffff,
    0x3ffa0000,0x2ea20fff,0x7fec4001,0x3ffff22f,0xffff901f,0x3ffe601f,
    0xfff806ff,0x7fc4000f,0x000fffff,0x7fffc400,0xffffb00f,0x7ffec0df,
    0xf80000ff,0xb805ffff,0xffffffff,0xfffff903,0xffe80003,0xffd01fff,
    0xffff8fff,0x7f42fbff,0xffb87fff,0xffa82fff,0xf8804fff,0x805fffff,
    0x307fffff,0xfff107db,0xf1000dff,0x000dffff,0x7fffffec,0xffff8001,
    0x7ec406ff,0xfffe84ff,0x6d8001ff,0xffffa800,0x3e60001f,0x2604ffff,
    0x7e43ffff,0x0001ffff,0xffffd000,0xf300001f,0xffc87fff,0xff901fff,
    0x3e601fff,0xe804ffff,0x418806ff,0x2ffffffd,0x7fd40000,0x3fea07ff,
    0xfb00ffff,0x0001ffff,0x0fffffa8,0xfffff300,0x3ff20dff,0x40001fff,
    0x02fffffc,0xe8dffffd,0x83ffffff,0xb85fffff,0xa82fffff,0x804fffff,
    0x0ffffffd,0x7ffffcc0,0x07fffd07,0x03ffffff,0xffffff00,0x3fe20003,
    0x8004ffff,0x06ffffff,0x40ffffec,0x04fffffc,0x8001fd80,0x0007fffe,
    0x27ffffcc,0x0ffffe88,0x0fffffe4,0x20001100,0x00fffffe,0x7fff4400,
    0x7fffe40f,0xffff901f,0x3ffe201f,0xbcca83ff,0x4d805ffe,0x7fffffd4,
    0x2a100006,0x2207ffff,0x206fffff,0x00fffffd,0x7fffec00,0x3f620e01,
    0xc80fffff,0x001fffff,0x7ffffdc0,0x9ffffb03,0x4fffffd8,0x07fffff0,
    0x05fffff7,0x09fffff5,0xffffff98,0xffffb803,0xffff886f,0xfffffd86,
    0x7fec4806,0x04806fff,0x1ffffff3,0xfffff800,0x3ffea06f,0xffff506f,
    0x248801ff,0xfc8006fd,0x4c0006ff,0x904fffff,0xf90dffff,0x1003ffff,
    0x80019ff9,0x00fffffe,0x7fffe400,0xfffffc86,0xfffff901,0x3fffa081,
    0x3fffa22f,0x41adffff,0xfc83fdb9,0x001fffff,0xfff99e40,0x7ffec07f,
    0x3fff605f,0x320000ff,0x7c04ffff,0xfffff701,0xfffff903,0xff980003,
    0xffd04fff,0xfffa85ff,0xffff00ff,0xffff705f,0xffff505f,0xfffe809f,
    0x542a06ff,0xd07fffff,0xff30ffff,0x6c07ffff,0x7ffffcc4,0xb813603f,
    0x003fffff,0x37fffffc,0x1fffffd0,0x3fffffe0,0xffb1ec05,0xfffc8009,
    0x7fcc0003,0xffd04fff,0x7ec41fff,0xc801ffff,0x4005ffff,0x00fffffe,
    0x7ffff400,0x3fff620f,0xfff901ff,0x4bfee1ff,0x2e0ffffb,0xffffdcef,
    0xffffffff,0xfffd02ff,0x20001dff,0x3fffe2fc,0x3fff601f,0x3fff603f,
    0xf90000ff,0x9d007fff,0x83fffec0,0x42fffffc,0xfffd8000,0xffffd06f,
    0x3ffffd01,0x1fffff10,0x7fffff50,0x9fffffb0,0x7ffffdc0,0x7c43a01f,
    0xc80fffff,0xffd05fff,0xc887ffff,0xffffe80f,0x07e443ff,0x3fffff20,
    0x3fffe002,0x3ffe06ff,0x7e444fff,0x0dffffff,0x3ff636c4,0x3ffa002f,
    0xff980005,0xfff05fff,0xff97dfff,0x805fffff,0x0ffffff8,0x3ffffa00,
    0x7fc0000f,0xfcbeffff,0x02ffffff,0x21fffffb,0xfff37fff,0x7fcc5f89,
    0xffffffff,0xfd100fff,0x800dffff,0x7fe43fd8,0xfff102ff,0xfffd80bf,
    0xfc8000ff,0xfd002fff,0x17ffea05,0x1fffffdc,0xff1000b3,0xfff01fff,
    0x3ffea09f,0xffffa82f,0xfffff303,0xfffffc89,0xffff104f,0x07cc0bff,
    0x07fffffb,0x2605fff3,0xffffffff,0xf302ffdd,0xbfffffff,0x26005ffb,
    0x003ffffe,0x0dffffff,0x7fffffec,0xfeaefedf,0xcdffffff,0x7fec1ffe,
    0xffc804ff,0xfa80000e,0xf905ffff,0xbfffffff,0x9dfffff7,0x3fffe609,
    0x3fa001ff,0x0001ffff,0x7fffffe4,0xffffbdff,0x7ff44cef,0xdffd0fff,
    0x9f11bfe2,0xffffffc8,0x03ffffff,0xefffffc8,0x0ffdcc02,0x80efffe8,
    0x400ffffa,0x01fffffd,0x3bfff220,0x07ffa000,0x4407ffee,0xb9effffe,
    0xff70000e,0xfff989ff,0x3ffff606,0x06fffe86,0x5ffffff4,0xffffdfda,
    0xffffb05f,0x1fe201ff,0x1dfffff1,0x4404ff88,0xfffffffe,0x7f4402ff,
    0xffffffff,0xfffb8002,0x2a209bff,0x1cfffffc,0x3ffffe60,0x3623ffff,
    0xffffffff,0xfffd81ff,0x6cc0aeff,0x00000dff,0x1ffffff9,0xffffff30,
    0x7ffff45f,0x7fff405f,0x3fe6006f,0x0003ffff,0x7fffffcc,0x3ffffa2f,
    0x7fffd45f,0x5fff50ff,0x5f901ff9,0xff79ff93,0x0bffffff,0x7ffffd40,
    0xfdbabcef,0x3a200dff,0xf710dfff,0xfd003dff,0x3005ffff,0x003bfff9,
    0x239fffb0,0x4c02fffa,0x1fffffff,0x7ffd4000,0x1bffd32f,0x3fee7f20,
    0xfffb88df,0x7ffc400d,0xfaafffff,0x4c1fffff,0x03ffffff,0xfd30dfd5,
    0xd739ffff,0x3f62009f,0x01efffff,0xfffffb10,0x440003df,0xfffffffc,
    0x1cffffff,0x3ffff200,0xfd900dff,0x019fffff,0x7fe4c7b6,0x2efffeff,
    0xfec88000,0xdfffffff,0x677fed40,0x277fed40,0x17fffcc0,0x7fffec40,
    0x004dffff,0x33bff6a0,0x277fed40,0x3ffffff6,0x37ff6a0f,0xfffd100b,
    0x7fff4c7f,0x930004ff,0xffffffff,0x54007dff,0xfffeffff,0xfff5002f,
    0x7101bfff,0x0017dffd,0x7ff67ec0,0x3002efff,0x0039fff9,0x3fff2600,
    0x2602dffe,0x3fffa22f,0x2002dfff,0x1effffea,0xfffffff5,0x7fffff49,
    0xffccbabf,0x3fae06ff,0x01dfffff,0x03597300,0x0d65cc00,0x2ea60000,
    0x09aacccc,0x2b2e6000,0x2b2a2000,0x9805c00a,0x001abccb,0x4ccccc00,
    0x20199999,0x00088008,0x4cc002a8,0x99999999,0x00880001,0x40000088,
    0x02ae2000,0x00055dcc,0xcccba980,0x260000aa,0x0009acba,0xfffffff1,
    0x9aa87fff,0x02a00000,0x40001773,0x22000001,0x0a001bba,0x000ddd44,
    0x0002ae60,0x7fffffdc,0xffffffff,0x353005ff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x31000000,0x22000035,0x22000001,0x22000099,
    0x00000001,0x00000000,0x054400a6,0x8b332a00,0x0001cccb,0x36a00130,
    0x02dda82d,0x00144000,0x99999300,0xa9880005,0x99950009,0x99999999,
    0x77775c79,0x3baa2eee,0x003eeeee,0x1666664c,0x00130000,0x640000c0,
    0x0004cccc,0x40026000,0xdea81dea,0x206a2001,0x66666442,0xcccccccc,
    0xccccb83c,0xcccccccc,0x2e2001cc,0xfffffffe,0xbf50001c,0x8809f700,
    0xdefffffd,0x03cccccc,0x9f700bf3,0x76dc4000,0xeeefffff,0xccccccde,
    0xcccccccc,0x00fea00c,0xff0003fa,0x3ffe21ff,0xcccccc85,0x3ff220cc,
    0x7ffc404f,0x3fffe62f,0xddddd501,0x7ff645dd,0x6c0001df,0x000effff,
    0xfffffc88,0x7ff400df,0xffffffff,0x3fee24ff,0x7543ffff,0x004fffff,
    0x837fffec,0xeeeeeeea,0x02fff5c3,0x0003faa0,0x1fffffa8,0xcccccc88,
    0xcccccccc,0x0dfffb84,0x83fffea0,0x400ffffb,0xadfffffa,0xfff7307c,
    0x15dfffff,0x7ffed440,0x0acfffff,0xdfff9100,0xfffdb99b,0xbfd0007d,
    0x803ff601,0xb8bffffb,0xffffffff,0x403bf606,0x88000ffc,0xdefffffd,
    0xffffffff,0xffffffff,0x00ffffff,0x2602ffe2,0x7cc006fd,0x3ffee2ff,
    0xffffd980,0x3fff20ff,0x3ff205ff,0x3fff65ff,0x3ffaa04f,0xffd8bfff,
    0x001fffff,0x03bfffe0,0x4bffee00,0x100efffd,0xffffffff,0x901fffff,
    0x707fffff,0x009fffff,0x077fffc4,0xfffffd30,0x7ffffec9,0x7ffdc401,
    0x3f60000f,0x5cc02fff,0xffffffff,0xfffa80ae,0x3ff606ff,0x3fffa3ff,
    0x3bff203f,0x07fffdab,0x7fffffd4,0x7fec000f,0x4005ffff,0x400bfffa,
    0x000dffda,0xe883bfe6,0x3ff202ff,0x7ffd42ff,0x2604eeef,0x3fa21eff,
    0xffb8003f,0x7540bfff,0x0fffffff,0x7fff654c,0x7fff400f,0x3ffffedf,
    0x227fe400,0x7fc02ffe,0x3fe0ffff,0x701fffff,0x7e49ffff,0x7e403fff,
    0xcfedffff,0x06fffffd,0x1dfff500,0xffff7000,0x817fffe4,0xfffffffb,
    0x705fffff,0x507fffff,0x009fffff,0x0077ffdc,0xa7ffffd4,0x3ffffffd,
    0xfffff910,0x7fc0001f,0x3ee002ff,0x00ffffff,0x3ffffffa,0x7ffff902,
    0x817fffec,0x7442fffa,0x3fe200ff,0x8006ffff,0x3ffffffb,0x00fff200,
    0x007ff620,0xf99fffd8,0x3fea06ff,0xfff887ff,0x3ff2004f,0x06ffe99f,
    0xfffffc80,0x3fffea02,0x7ec00fff,0x7fc400ff,0x6fffffff,0x446ff800,
    0xffe804ff,0xfff10fff,0x2207ffff,0x3e21ffff,0x7dc00fff,0x646fffff,
    0x002fffff,0x000fffd8,0x26ffff88,0xd00ffffc,0xffffffff,0x2e05ffff,
    0x983fffff,0x004fffff,0x4003bff6,0xbcfffff9,0x1fffffef,0x7ffffe4c,
    0x50000fff,0x98005fff,0x06ffffff,0x7ffffffc,0x1ffff304,0xd037ffcc,
    0xff101fff,0x7fffc401,0xfb8006ff,0x003fffff,0x80003dfb,0xf3001ffb,
    0x3fffffff,0x2fffff40,0x02ffffe8,0xffffff10,0xfc8005ff,0xe803ffff,
    0x00ffffff,0xa800ffb8,0xffffffff,0x0ffcc001,0x36003bee,0x360fffff,
    0x05ffffff,0x5dc405d4,0xffffa800,0x7ffd40ef,0xff8003ff,0xff70001f,
    0x77ec4fff,0xddddf302,0xbddddddd,0x7ffffdc0,0xfffff983,0x1dff1004,
    0x7fffcc00,0xffb13fef,0xffedfd8b,0x000fffff,0x0007ffb0,0xbffffff1,
    0xfffffc80,0x40ae206f,0x3fe202b8,0x01f505ff,0x7fffffc4,0xfffb8006,
    0xfb803fff,0x40d4c406,0x001df509,0x3ffffff6,0x3fffe205,0xffffb05f,
    0x7ffe4009,0x54006fff,0x00ffffff,0xffffffd8,0x001fd000,0x37ffffa6,
    0x83fc8000,0xffb001fe,0x7f4c1fff,0x0004ffff,0x3ffea000,0xfff983ff,
    0x7d4004ff,0x3f20001f,0xc8007fff,0xf700002f,0xf307ffff,0x2009ffff,
    0x4c000ffb,0x86ffffff,0x7fdc0818,0x0000ffff,0x220007ff,0x05ffffff,
    0x7ffffec4,0x4c000005,0x80dfffff,0x3ffe201e,0xb8006fff,0x03ffffff,
    0xec807fcc,0xacefddff,0x4017f22e,0x0ffffff8,0x3ffffe60,0xdffffb04,
    0x7fffc400,0x7f4001ff,0xb004ffff,0x01ffffff,0x10003ee0,0x5c000135,
    0x6c005903,0x980fffff,0x00007ff1,0x7fffd400,0xffff983f,0x0e54004f,
    0x3fff6000,0x07e8007f,0x3ffee000,0xfff983ff,0x395004ff,0xffff3000,
    0x440005ff,0x00ffffff,0x0003c880,0x3fffffe2,0x3f633005,0x44000004,
    0x2fffffff,0xfff1004c,0x7000dfff,0x07ffffff,0xfe982fe8,0x7ff5444f,
    0xb8017f42,0x4403eeee,0x904fffff,0x800dffff,0x004eeeeb,0x7fffffdc,
    0xffffb001,0x887501ff,0x0000000f,0xfd800000,0x2200ffff,0x000002ff,
    0x3ffffea0,0xfffff983,0x00000005,0x00ffffff,0x0001df98,0x7fffff70,
    0x9fffff30,0xf3000000,0x001fffff,0xffffff80,0x00000000,0xbffffff1,
    0x007ff000,0x3e000544,0x4fffffff,0x3fffe200,0xfb8006ff,0x203fffff,
    0xfffa85f9,0x2617f403,0x4000006f,0xb04ffffe,0x0007ffff,0xfff88000,
    0x36006fff,0x80ffffff,0x4000c83c,0x200000a8,0xfb0000a8,0x5c01ffff,
    0x3bbbae6f,0x3baa2eee,0x503eeeee,0x307fffff,0x00bfffff,0xf8005100,
    0x4007ffff,0xcdeffffc,0x7fdc000a,0xff983fff,0x00004fff,0x3ffe6013,
    0xf80007ff,0x000fffff,0xff100000,0x800bffff,0x6cc00ff9,0x0acefffe,
    0x7ffffd40,0x8800efff,0x06ffffff,0xfffffb80,0x10bf603f,0xf500dfff,
    0x0003fd05,0xfff70130,0x3fffa0bf,0x2880001f,0xfffff900,0x7fec00bf,
    0x3d80ffff,0x3fb66000,0x000aceff,0x77fff6cc,0xffb000ac,0x7ec01fff,
    0x3fffee22,0x7ff542ff,0xff504fff,0xff307fff,0xeea8bfff,0x322eeeee,
    0x801dfffe,0x007fffff,0x7ffffffc,0x2e003fff,0x983fffff,0x544fffff,
    0x3eeeeeee,0x4c2fff5c,0x006fffff,0xffffff80,0x3bbba200,0xeeeeeeee,
    0xf102eeee,0x00bfffff,0x7d403fc8,0xffda9dff,0x7ffec01f,0x01ffffff,
    0x7fffffc4,0xfffb8006,0xdf103fff,0x007fffb0,0xa93ea0ba,0x3eeeeeee,
    0x222fff5c,0xf887ffff,0xeea86fff,0x322eeeee,0x201dfffe,0x4ffffffd,
    0x3ffff600,0x01fc40ff,0x9dfffa80,0x001fffda,0xb53bfff5,0xfb003fff,
    0x2a01ffff,0xffffb04f,0xffff705f,0x3ffea09f,0xfff983ff,0xffea85ff,
    0xffd8bfff,0x401fffff,0x007fffff,0x3fffffea,0x02ffffff,0x3fffffb8,
    0x4fffff98,0xfffffe98,0x3fffff64,0x7ffffcc1,0xfff80005,0x3e200fff,
    0xccccdeff,0x0fffffff,0xffffff10,0x02fcc00b,0xf117fff2,0xfd805fff,
    0xefffffff,0x3fffe200,0xfb8006ff,0x503fffff,0xffff989f,0x3e011000,
    0x7ffff4c6,0x3ffff64f,0x7fffcc1f,0x06fffdc2,0xfffffea8,0xfffffd8b,
    0xffff01ff,0x6c007fff,0x40ffffff,0xfc8003fc,0x7ffc45ff,0x7ffe402f,
    0x17fffc45,0x3fffff60,0x3204fa80,0xa82fffff,0x504fffff,0x307fffff,
    0x20bfffff,0xedfffffc,0xfffffdcf,0x7ffffc06,0x3fff6007,0xffffffff,
    0x3ea00eff,0xf983ffff,0xf504ffff,0x3f69ffff,0x4c3fffff,0x004fffff,
    0xffffff80,0x40ffe200,0x3ffffff9,0x3ffffe20,0x0bf3005f,0x82ffffa8,
    0x400ffffc,0xfffffffb,0x3ffe203f,0xb8006fff,0x03ffffff,0xfffb85f7,
    0x7e80000f,0x4fffffa8,0x7ffffffb,0x5bfffb10,0x9007fffd,0xfdbfffff,
    0xdfffffb9,0xffffff10,0x7fec007f,0x3ea0ffff,0x7fd4003f,0xfffc82ff,
    0xffff500f,0x1ffff905,0x7ffffec0,0x700bb620,0x505fffff,0x209fffff,
    0x83fffffa,0x05fffff9,0xdffffff7,0x2fffffc8,0x1fffffe0,0xffffff80,
    0xffffffff,0x3ffea05f,0xfff983ff,0xfff304ff,0xffdf79ff,0xff983fff,
    0x80004fff,0x00ffffff,0xffe813e2,0x7c406fff,0x405fffff,0xfe803ed8,
    0xffa80fff,0xff9805ff,0x206fffff,0x6ffffff8,0xffffb800,0x83f903ff,
    0x0007fffc,0xff981fb0,0xfefbcfff,0x2a01ffff,0x0bdfffff,0xfffff700,
    0xffffc8df,0x7fffcc2f,0x36002fff,0xbbffffff,0x4003fffd,0xa80ffffe,
    0xfd05ffff,0xff501fff,0x7fec0bff,0x006a0fff,0x17ffffdc,0x27ffffd4,
    0x3fffffa8,0x5fffff98,0xdfffff50,0xfffffa81,0x3ffffe03,0xfddd3007,
    0xffffffff,0x2a07ffff,0x983fffff,0x304fffff,0x7fdfffff,0x2617ff62,
    0x004fffff,0xffffff80,0x5c07e200,0x01ffffff,0x7fffffc4,0xa8014c05,
    0xf307ffff,0x8381ffff,0xffffffd8,0xfffff100,0xff7000df,0x3607ffff,
    0x37fff40f,0x41fc8000,0xfefffff9,0x40bffb13,0xa80002ec,0x40efffff,
    0x43fffffa,0xfffffffa,0x3fff6001,0xffffffff,0x3fea003f,0xfff307ff,
    0xfffa81ff,0xffff307f,0x3fff601f,0xf70000ff,0xf505ffff,0x2a09ffff,
    0x983fffff,0x505fffff,0x307fffff,0x409fffff,0x007fffff,0x3ffae620,
    0x0fffffff,0x4fffff98,0x4fffffc8,0xffffff30,0x3e60310d,0x0004ffff,
    0x0ffffff8,0x7fc41a20,0x8805ffff,0x05ffffff,0x3fffa000,0xffff106f,
    0xf701f85f,0x2203ffff,0x06ffffff,0xfffffb80,0xd83f903f,0x00007fff,
    0xfff981fb,0x01886fff,0x00007fd3,0x0fffffea,0x13ffffe6,0xfffffff5,
    0x7ffec003,0xffdaafff,0x3ffa003f,0xfff106ff,0xfffe85ff,0xffff106f,
    0x3fff605f,0xf70000ff,0xf505ffff,0x2a09ffff,0x983fffff,0x505fffff,
    0x307fffff,0x409fffff,0x007fffff,0x3fff2600,0xf882ffff,0x7dc5ffff,
    0x305fffff,0x05ffffff,0xfffff980,0xfff80004,0x90000fff,0x01ffffff,
    0xffffff10,0x7fc0000b,0xff106fff,0x04e87fff,0x881ffff6,0x06ffffff,
    0xfffffb80,0xc85f703f,0x0000ffff,0xfff987e8,0x74002fff,0x500003ff,
    0x307fffff,0x989fffff,0x1fffffff,0x3ffff600,0x0ffea0ff,0x6fffff80,
    0x7fffff10,0x06fffff8,0x07fffff1,0x03fffff6,0x7fffdc00,0xffffa82f,
    0xffff504f,0xffff309f,0x3ffea0bf,0xfff983ff,0x3ffe05ff,0x800007ff,
    0x4fffffe8,0xbfffffd0,0xffffbfb5,0x3ffe60bf,0x4c000fff,0x005fffff,
    0xffffff80,0xfff98000,0xf1003fff,0x00bfffff,0x3fffe200,0xffff106f,
    0x502fe8bf,0x7c40bfff,0x006fffff,0xffffffb8,0xfa87f503,0x80001fff,
    0xffff986f,0x3e6000ff,0x9999beff,0xff500099,0xff307fff,0xff88bfff,
    0x002fffff,0x3ffffff6,0x8801fec0,0x106fffff,0x44bfffff,0x106fffff,
    0x20bfffff,0x00fffffd,0xfffff700,0xfffff505,0x3fffee09,0xffffa84f,
    0xffff506f,0xffff307f,0x7fffc0bf,0x1000007f,0x20dffffd,0xfffffff8,
    0xfffff9af,0xffff982f,0xffa8007f,0x80005fff,0x00ffffff,0xfffffe80,
    0x3ffe2006,0x00005fff,0x0dfffff5,0x1fffffe2,0xff703ffd,0x7ffc403f,
    0xb8006fff,0x03ffffff,0xfff88bf3,0x7cc0003f,0xfffff985,0x7ffe4007,
    0xffffffff,0xf501ceff,0xf307ffff,0xff0bffff,0x007fffff,0x7fffffec,
    0xa801fc40,0x106fffff,0x54ffffff,0x106fffff,0x20ffffff,0x00fffffd,
    0xfffff700,0xfffff505,0xffffd309,0x7fec43ff,0xfa82ffff,0xf983ffff,
    0x3e05ffff,0x0007ffff,0x3fffa200,0x3fffaa07,0xffff31ef,0xff98bfff,
    0x44006fff,0x1ffffffd,0x7fffc000,0x7dc000ff,0x001fffff,0x3fffffe2,
    0xff500005,0x3e20bfff,0x7ec7ffff,0xfff51cff,0xffff8805,0xfb8006ff,
    0x202fffff,0x7ffdc0fe,0x3f203007,0xfffff982,0x7ffd4006,0xffffffff,
    0xa82fffff,0x983fffff,0xc85fffff,0x04ffffff,0x3fffff60,0x5003e80f,
    0x20bfffff,0x27fffff8,0x05fffffa,0x0ffffff1,0x03fffff6,0x7fffdc00,
    0xffffa82f,0x7fffdc4f,0xf8bfffff,0xffffffff,0x7ffffd45,0xfffff983,
    0x3ffffe05,0x54000007,0xb9806fff,0x803fd80a,0x05fffff9,0x3ffffea0,
    0x001effff,0x1ffffff0,0x7fffc400,0x7c4005ff,0x005fffff,0x7ffcc760,
    0xfff105ff,0xecfd8fff,0x02efffff,0xffffff88,0xb80bd986,0x02ffffff,
    0x3ffa13ea,0x442e404f,0xffff307f,0xff8800bf,0xffffffff,0x1fffffff,
    0x1fffffd4,0x2fffffcc,0x7fffffc4,0x3fff6004,0x03c80fff,0x7fffcc36,
    0xffff105f,0x7fffccff,0xffff105f,0x3fff60ff,0xf70000ff,0xf505ffff,
    0x0009ffff,0xfff50000,0xfff307ff,0x7ffc0bff,0x000007ff,0x0027ffc4,
    0x200bfd10,0x04fffff9,0x40000000,0x00ffffff,0x3fffff60,0x7fc4000f,
    0x0005ffff,0x3ffe23f1,0xfff106ff,0x5c0a8dff,0x3e2000bf,0x646fffff,
    0x7dc0ffff,0x402fffff,0x7fec40ff,0x136a20df,0xff981fe4,0x98004fff,
    0xfffffffe,0xffffffff,0x7ffffd43,0xfffff983,0xfffffd05,0x7ffec00d,
    0x03a80fff,0x7fffc4f1,0xffff106f,0x7fffc4df,0xffff106f,0x3fff60df,
    0xf70000ff,0xf505ffff,0x8009ffff,0x8001bdea,0x83fffffa,0x05fffff9,
    0x01fffffe,0x3ffa0000,0x3ff60001,0xffff3003,0xdb00009f,0x7c000159,
    0x000fffff,0x7ffffff3,0xffff1000,0x2a000bff,0x3ffffe0f,0xfffff306,
    0x005fd009,0xffffff88,0x3ffffe26,0x7ffffdc3,0x837dc01f,0xfeffffe9,
    0x01df502e,0x13ffffe6,0x7fffd400,0xffffffff,0x7fd45fff,0xff983fff,
    0xff505fff,0x2003ffff,0x0ffffffd,0x3fe35c00,0xff306fff,0xfff89fff,
    0xfff306ff,0x3ff609ff,0x70000fff,0x505fffff,0x009fffff,0x02ffffa8,
    0x7ffffd40,0xfffff983,0x3ffffe05,0xe8000007,0x7fc0006f,0xfff3003f,
    0xd00009ff,0x4000dfff,0x00ffffff,0xdfffffd0,0xff880540,0x0005ffff,
    0xffffc8fd,0xfffff307,0x4fffc805,0x3fffe200,0x3ffea6ff,0x7ffdc4ff,
    0xfd800fff,0x00d54c04,0xf9807fe2,0x4004ffff,0x9802ffe9,0x7d45fffd,
    0xf983ffff,0x3205ffff,0x005fffff,0x1ffffffd,0x322fc400,0xf307ffff,
    0xfc85ffff,0xff307fff,0x3f605fff,0x0000ffff,0x07fffff5,0x09fffffb,
    0x5fffb880,0x7fffd400,0xffff983f,0x3fffe05f,0x3fee007f,0x2ff9801d,
    0x3ffe6000,0xffff3006,0xb500009f,0x20003fff,0x00ffffff,0xffffffb8,
    0x7c403a01,0x005fffff,0x7fc46fa8,0xfff507ff,0xffd700df,0x3fe2001f,
    0x3e66ffff,0x7dc2ffff,0x1006ffff,0x300009fd,0xff9807fd,0x7c004fff,
    0x7ec004ff,0x7fffd42f,0xffff983f,0x7fff405f,0xffe800ff,0x1000ffff,
    0xfff889fd,0xffff507f,0xfffff10d,0x1bfffea0,0x0fffffd8,0xffff3000,
    0xffffc89f,0xf90004ff,0xffa800ff,0xff983fff,0x3fe05fff,0xf1007fff,
    0xc809ffff,0x7c40004f,0xf9803fff,0x0004ffff,0x009fff10,0xffffff10,
    0xffff8801,0x03e605ff,0x7fffffc4,0x2ff44005,0x40ffffdc,0x002ffffb,
    0x2003fff5,0x6ffffff8,0x642ffffc,0x003fffff,0x0003bfa6,0x4c027fdc,
    0x004fffff,0x000fffe6,0xfff50ffb,0xfff307ff,0xfe880bff,0x7c405fff,
    0x01ffffff,0xb83ffe88,0xfb81ffff,0xff702fff,0xfff703ff,0x7ffec05f,
    0x3a0001ff,0xdabfffff,0x5fffffdf,0x0dffd000,0xfffffa80,0xfffff984,
    0x3ffffe05,0xffff3007,0xfc885fff,0xffd00005,0xff9809ff,0x00005fff,
    0x0005fff3,0x3ffffff1,0xfffffd80,0x40ff100f,0x6ffffff9,0x17ffe600,
    0x117fffa2,0x4009ffff,0x26007ffc,0x47ffffff,0xfe83fff9,0x88005fff,
    0x8801cffd,0x3002ffeb,0x00bfffff,0x000fffe8,0xff505ff7,0xff309fff,
    0x3200bfff,0x900dffff,0x7fffffff,0x7fffe440,0x5fffe882,0x027fffc4,
    0x88bfffd1,0x7404ffff,0x002fffff,0x3ffffe20,0xfffaafff,0x26001fff,
    0x4001fffc,0x84fffffb,0x06fffffa,0x1ffffff1,0x3ffff200,0xffdcefff,
    0x3e200002,0x0bdfffff,0x2fffffd4,0x3faa2000,0xff50005f,0x4c05ffff,
    0x03ffffff,0x7d40dfd5,0x01ffffff,0x27fffd44,0x227fffb0,0x2002fffc,
    0x1003fffa,0xfffffffd,0x5f7fd419,0xdffffc98,0x3fee0000,0xba9abcef,
    0x000dfffc,0x17ffffea,0x9fffd300,0xd7333335,0x3fee01df,0xffa84fff,
    0x2a006fff,0xabdfffff,0xffffffdb,0xdcccefff,0x1fffffff,0x44ffff60,
    0xb002fffc,0x3f227fff,0x7fd402ff,0x000dffff,0x3ffffaa0,0xfffff51e,
    0xff8809ff,0x4c001cff,0x1ffffffe,0x3fffff62,0xffffb82f,0x3f2003ff,
    0xefffffff,0x9800000b,0x2ffffffe,0x3fffff62,0xff70001f,0x260007df,
    0xffffffff,0xfffffd01,0xff99757f,0x3fa60dff,0xdfffffff,0xfffdcccc,
    0x5c03ffff,0xefffffff,0xbdffb001,0xfffe8803,0xffffffff,0xfffb15ef,
    0x007dffff,0x7ffed400,0x0cffffff,0x7ffec400,0x98001fff,0xfffffffd,
    0x3a602cde,0x21ffffff,0xffffffd8,0x7fed4002,0xffffffff,0xffffffff,
    0xffffffff,0xfffb807f,0x001effff,0x7fffffdc,0x3fe201ef,0xffffffff,
    0x55cc0003,0x09800000,0x3ffee000,0x8bffffff,0xffffffff,0xffffdb5f,
    0x00bdffff,0x05565d4c,0xca800000,0x3fea0bcd,0xefffffff,0x000c4001,
    0xfffffd90,0xdfffffff,0x3ffffee3,0xffffffff,0x3fa25fff,0xffffffff,
    0xffffffff,0x2fffffff,0x03775100,0x00000100,0xccba8800,0x2000001a,
    0x1abcca98,0xffff5000,0x03dfffff,0x00d4c400,0xffffff70,0xfff17fff,
    0x0bffffff,0x2aaa6200,0x00001999,0x1bba8800,0xbba88000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x654005d9,0xcccccccc,0x1ccccccc,0x0e7f6cc0,
    0x1880035c,0x0d4c0000,0x00003300,0x40051000,0x7777640a,0xeeeeb80e,
    0x0800001e,0x764c0000,0x01f64c0b,0xb8000000,0xcccccccc,0x31cccccc,
    0x99999999,0x99100199,0x19999999,0x0666665c,0x06620000,0x99999000,
    0x64005999,0x990ccccc,0x99999999,0x93079999,0x99999999,0x2077aa05,
    0x99501dea,0x99999999,0xcca80999,0x03cccccc,0x0002dda8,0x40026a60,
    0xff980018,0xffb004ff,0xffffffff,0x03ffffff,0x7fffffcc,0x006f98ae,
    0x37ffff66,0x7644000b,0x00cfffff,0x003fffd5,0x2fc40000,0x3f60fe40,
    0xfc80ffff,0x0001ffff,0x00002d80,0xf893fffe,0xb5003fff,0x0b9019ff,
    0xfffb5100,0x139fffff,0xfffffb98,0x53005fff,0x837dfffb,0x03fffff9,
    0x0fff4000,0xfff73000,0x2600bfff,0x222fffff,0xffffffb9,0x2601adff,
    0x1befffda,0x41ffff50,0x880ffffa,0xfffffffc,0x44009bff,0xeffffea9,
    0x7fffd401,0x3fae0003,0x101dffff,0x4005dff9,0x00fffffc,0xfffffff8,
    0xffffffff,0x7fff406f,0xffffffff,0xffff9004,0x003fffff,0x3a6fffe6,
    0x7c40ffff,0x001fffff,0x33fe0000,0xd87fb880,0xc80fffff,0x001fffff,
    0x002fcc00,0x7ffffa80,0x01bfffea,0x3fffffee,0x004fa8ad,0x7fffff40,
    0xfffa805f,0x003fffff,0xf300ffec,0x0000bfff,0x000fffe4,0x7ffffdc0,
    0xffff9005,0x7fffe407,0xfe8006ff,0x7ffec01f,0x3ffffa4f,0x3fffe203,
    0x10005fff,0x3a007fff,0x8006ffff,0xff74ffe9,0x3ffee0df,0x3ff6006f,
    0x7cc00fff,0xffffffff,0x4fffffff,0x3ffffea0,0x1fffffff,0xfffffc80,
    0x01ffffff,0xf517ffcc,0x7dc1dfff,0x005fffff,0x3ff20000,0xffffddff,
    0xfffffd85,0xfffffc80,0x7e400001,0xf980001f,0x3fea6fff,0x7fc405ff,
    0xffffffff,0x640003ff,0x03ffffff,0xffffff50,0x7cc005ff,0xffffa805,
    0xffa80000,0x980001ff,0x005fffff,0xa807fffd,0x05ffffff,0xc805fb80,
    0x3f63ffff,0x7dc02fff,0x006fffff,0xe8013fa0,0x4007ffff,0xf71ffff8,
    0xffd07fff,0x2a005fff,0xa805ffff,0xffffffff,0xffffffff,0x6d47ee01,
    0x03ffffff,0xffffffb8,0x0fffffff,0xf0ffff30,0x7e45ffff,0x007fffff,
    0x3fa20000,0xffffffff,0xfffffd80,0xfffffc80,0x3e200001,0xd00004ff,
    0xffe85fff,0x7ffe402f,0xffffffff,0x7dc0000f,0x002fffff,0xfffffff1,
    0x3e2001ff,0x7fff5004,0xfff88000,0xff5001ff,0xffffffff,0x201fffff,
    0x9803fff9,0x04ffffff,0x9804fa80,0x3e60ffff,0xff8806ff,0x001fffff,
    0x5c001ff0,0x4004ffff,0xf70ffffe,0xffb03fff,0x64003fff,0xfc801dff,
    0xffffffff,0x06ffffff,0x76d4425c,0xfff8802d,0xfffffedf,0xffb03fff,
    0xffffd09f,0x7ffffcc9,0x000000ff,0x3ffffe60,0xffb02fff,0xff901fff,
    0x00003fff,0x007fffdc,0x500ba800,0x21db0017,0xffffffda,0xffb80002,
    0x1002ffff,0xffffffff,0x0fe200df,0x005ffa80,0x7fffff40,0xdddd3001,
    0xfffffddd,0x3f201ddf,0xfff3004f,0x30009fff,0x0ae2007f,0xf90015c4,
    0x009fffff,0x88007f50,0x2000cffc,0x20fffff9,0xff503efd,0x02000dff,
    0x01bdfe80,0x0004ffd8,0x0e7dc000,0x3fffffa6,0xffff986f,0x2ffffc83,
    0x7fffffe4,0x40000000,0x0effffd8,0x3fffff60,0xfffffc80,0x3fe00001,
    0x00003fff,0x82c80000,0x000ceda8,0xfffff700,0x2fe2005f,0xfffffffe,
    0x8007f005,0x90000ffb,0x03ffffff,0xffff3000,0x09fd00bf,0x7ffffcc0,
    0x3f98004f,0x20000000,0xfffffff8,0x003ec000,0xf7000110,0x0001ffff,
    0x00019fd7,0x005f8800,0x0000fffc,0x8813e000,0x0fffffff,0x417fffec,
    0x5105ffc8,0x0000ff51,0x054c4000,0x7ffffec0,0xfffffc80,0xff500001,
    0x0000ffff,0x00000000,0x3fee0000,0x1002ffff,0xfffff35f,0x7f007fff,
    0x00395000,0xffffff30,0xf300003f,0x880bffff,0x7fcc003c,0x8004ffff,
    0x000003f9,0x7fffec00,0x3e6003ff,0x80000003,0x00fffffd,0x26000000,
    0x0035401a,0x0001ffea,0x50093000,0x81ffffff,0x202fffff,0x0df90008,
    0x00000000,0x7ffffec0,0xfffffc80,0xffd00001,0x0005ffff,0x00015100,
    0x20000000,0x2ffffffb,0x3ea5f100,0x1fffffff,0x00001fc0,0xff9df100,
    0x98003fff,0x7ffffcc1,0xf3000005,0x009fffff,0x40007f30,0x300009a9,
    0x0dffffff,0x00007e40,0xfd800151,0x0000ffff,0x3fb22000,0x880cffff,
    0x27fec000,0x7777775c,0x3bbbaa2e,0x10003eee,0x88ffffff,0x004fffff,
    0x0005ff00,0x00000098,0x1fffffb0,0x3fffff90,0xfff30000,0x000dffff,
    0x3ffff620,0x4400004f,0x3ee00002,0x002fffff,0x7ffe45f1,0x200fffff,
    0x0000003f,0x3ffee7f6,0xfca801ff,0xff98dfff,0x00005fff,0xffffff30,
    0x07f30009,0x7fff6d40,0xe8002eff,0x02ffffff,0x88004f88,0x04fffffd,
    0x1fffffb0,0x26000000,0xffe9bfff,0xf80000ff,0xffb881ff,0x7542ffff,
    0x004fffff,0x1bffffa0,0x0bfffff3,0xe8df3000,0x25eeeeee,0x0befffd9,
    0x3bbbba20,0x3f600eee,0xfc80ffff,0x0001ffff,0xffffefd8,0x540001ff,
    0xffb8bfff,0xeeeea80e,0x3fb22eee,0x40001dff,0x2ffffffb,0xfd85f100,
    0x06ffffff,0xeee880fe,0x000eeeee,0x3ffee7f7,0x3f6201ff,0xaefeefff,
    0x885fffff,0xeeeeeeee,0x7fffcc00,0xf98004ff,0xbefd8803,0x2ffffeb9,
    0x7fffd400,0x0fb805ff,0x5fffd400,0xb80effb8,0xffffffee,0x3ba206ee,
    0x00eeeeee,0xfa8bffe6,0x0000efff,0xfb01ffea,0xf705ffff,0x0009ffff,
    0x21fffffc,0x06fffff9,0x4c1fe800,0x77fffffd,0x9fffffff,0xffffc980,
    0x3ff600ff,0xffc80fff,0x40001fff,0xffffbbf9,0x2e0005ff,0x7ff42fff,
    0xfffea80f,0xfffd8bff,0x0001ffff,0x3fffffee,0x885f1002,0xfffffffe,
    0xc9807f04,0x00ffffff,0x3fee5f98,0x3fa01fff,0x3fa63fff,0x305fffff,
    0x1ffffff9,0xfffff980,0x3f98004f,0x207ffd40,0x01fffff8,0x7fffffc0,
    0x002fc00f,0xfd0bffee,0xfffc81ff,0x7fffffff,0x7fffe4c0,0xfff300ff,
    0x5fffff0f,0x27fe4000,0x3fffff20,0xfffffa82,0x3ffe0004,0x7ffc40ff,
    0x220007ff,0xfff100ed,0xf9df9fff,0x003fffff,0x01ffffff,0x07ffffec,
    0x0fffffe4,0x223f2000,0x0fffffff,0x6fff9800,0x904fffa8,0xfdbfffff,
    0xdfffffb9,0x7ffdc000,0xf1002fff,0xfffff105,0x07f07fff,0x3fffffe0,
    0x707f4400,0x203fffff,0x986ffffb,0x05ffffff,0x07fffffc,0x3ffffe60,
    0x3f98004f,0x40ffff40,0x007ffffd,0x7fffffe4,0x8007ea04,0xfa86fff9,
    0x6ccc44ff,0x199fffff,0xffffff00,0x13fff601,0x013ffffa,0x402fff80,
    0x82fffffb,0x04fffffa,0x9ffff300,0x3fffffe0,0x0cfb8001,0x7fffffc0,
    0x3fffe62f,0xfffe806f,0x3ff600ff,0xffc80fff,0x20001fff,0x3fff24f8,
    0xd8004fff,0xff884fff,0xfffb80ff,0x7fe46fff,0x70002fff,0x05ffffff,
    0x7d40be20,0x1fffffff,0xffe801fc,0x7ec00fff,0x7ffffdc2,0xfffff881,
    0xfffff502,0xffffe80b,0x7ffcc00f,0x98004fff,0x3ffe603f,0xffffc85f,
    0x3fe2000f,0xd00fffff,0xfffd800d,0x0ffff884,0x1fffffb0,0xffffe800,
    0xffff980f,0x2ffffc83,0x0fff5000,0x5fffff70,0x9fffff50,0x3ffee000,
    0xffffd00f,0x017000bf,0x3fffffe0,0x7ffffe83,0xfffffd80,0x3ffff600,
    0xffffc80f,0xb8002e1f,0x3fffe61f,0x2a000fff,0xff03ffff,0xfff509ff,
    0xffa81dff,0x70003fff,0x05ffffff,0xfb80be20,0x0fffffff,0x7fec00fe,
    0x3ee00fff,0xfffffb84,0xfffffa81,0xfffff300,0xffffd80b,0x7ffcc00f,
    0x98004fff,0x3ffee03f,0x7ffe40ff,0x7ec001ff,0x983fffff,0x3fea002f,
    0xffff03ff,0x3ffff609,0x7fec000f,0xffd80fff,0xffc882ff,0x3ff20005,
    0xffffb804,0xffffa82f,0xffd0004f,0x7ffe405f,0x00001fff,0x1fffffe0,
    0x07fffff4,0x3fffff60,0x3ffff600,0x7fff441f,0xf001e3ff,0xfffffb0b,
    0x7fec007f,0xffff02ff,0xfffff50b,0xfffff307,0x3fee0009,0x1002ffff,
    0xfffd805f,0x0fe5ffff,0x7ffffec0,0x2e0df300,0xc81fffff,0x2607ffff,
    0x405fffff,0x00fffffd,0x7fffffcc,0x03f98004,0x21bfffe2,0x01fffffc,
    0x7ffffcc0,0x4006d86f,0xf02ffffd,0x3f60bfff,0x4000ffff,0x80fffffd,
    0x202fffff,0x7fc00008,0xfffb802f,0xfffa82ff,0xf98004ff,0x7fc404ff,
    0x300effff,0x3fe0001d,0xffb07fff,0xfd801fff,0x3a00ffff,0x6c2fffff,
    0x34ffffff,0x417d400d,0x6ffffffa,0x3ffffa00,0x0dffff01,0x07fffff5,
    0x09fffff3,0x3fffee00,0x5f1002ff,0xfffffd00,0x400fe9ff,0x00fffffd,
    0x3fee01fd,0xffd81fff,0x3fe607ff,0x7ec05fff,0x4c00ffff,0x04ffffff,
    0x5403f980,0x7ec41dfd,0x8001ffff,0x1ffffffe,0xfd000fe2,0x3fe03fff,
    0xfffb06ff,0xfd8001ff,0x7c40ffff,0x0004ffff,0x01ffe600,0x17ffffdc,
    0x27ffffd4,0x037fec00,0xffffffc8,0x00fea0ae,0x7fffff80,0x1fffffb0,
    0xfffffd80,0x3ffffa00,0xfcfebbef,0x3fdfffff,0xfe81ba00,0x002fffff,
    0xffffffff,0xffffffff,0x7fffff50,0xbfffff30,0x3ffee000,0xf1002fff,
    0xffff1005,0x07f7ffff,0x3fffff60,0x2e02fc80,0xf81fffff,0x2606ffff,
    0x405fffff,0x00fffffd,0x7fffffcc,0x03f98004,0xffff9100,0x50003fff,
    0x4bffffff,0x7fc000fc,0xffffffff,0xb07fffff,0x001fffff,0x0fffffd8,
    0x2fffffcc,0xff900000,0x3ffee00b,0xfffa82ff,0x7d4004ff,0xfd1000ef,
    0xdfffffff,0xf8000bff,0xfb07ffff,0xd801ffff,0x200fffff,0xfffffffe,
    0xffffb0ef,0x7cc00dff,0x3fffee02,0xff8806ff,0xaaaacfff,0x40aaaaaa,
    0x83fffffa,0x05fffff9,0xfffff700,0x0be2005f,0x7ffffcc0,0xb003ffff,
    0xa81fffff,0x7ffdc05f,0x7ffc41ff,0x3fe606ff,0x7ec05fff,0x4c00ffff,
    0x04ffffff,0x4003fa80,0xffccffc8,0xf0001fff,0x11ffffff,0xff88009f,
    0xaaaacfff,0x80aaaaaa,0x00fffffd,0x7ffffec0,0x7ffffcc0,0x3e000006,
    0xff7002ff,0xff505fff,0x44009fff,0x44000fff,0xfffffffd,0xf80005ff,
    0xfb07ffff,0xd801ffff,0x200fffff,0xfffffdff,0x3fffa20d,0x1f6000df,
    0xffffff10,0xfff9803f,0x2a0003ff,0x983fffff,0x005fffff,0xffffff70,
    0x00be2005,0xffffffb8,0xffb003ff,0xefe81fff,0xeeeeeeee,0x5eefffff,
    0x0dfffff3,0x2fffffcc,0x3fffff60,0x7fffcc00,0xfa8004ff,0x3ffee002,
    0x3fffff93,0x3fff2000,0x00fbcfff,0x7ffffcc0,0x7fec0003,0x6c000fff,
    0x440fffff,0x007fffff,0x0fff3000,0x7ffffdc0,0xfffffa82,0x07ff6004,
    0xffffc800,0x00002dff,0x20ffffff,0x00fffffd,0x07ffffec,0xcb89ff88,
    0x06ee600a,0xdddff300,0xfffddddd,0x980bffff,0x005fffff,0x3ffffea0,
    0xfffff983,0x7017b505,0x03ffffff,0x9000be20,0x7fffffff,0x3ffff600,
    0x7ffff40f,0xffffffff,0xf36fffff,0x4c0fffff,0x405fffff,0x00fffffd,
    0x7fffffc4,0x02fa8005,0x22fffd88,0x01fffffc,0xfffff100,0x3000bfff,
    0x00bfffff,0xfffffd80,0x7ffec000,0xffff80ff,0x800001ff,0x2e005ffc,
    0xa82fffff,0x004fffff,0x08803ff7,0x001fd980,0xfffff800,0xfffffb07,
    0xffffd801,0x05ff500f,0x7e400000,0xeeeeeeee,0xffffffee,0x3ffe200f,
    0x2a0006ff,0x983fffff,0xd85fffff,0xffb87fff,0x1001ffff,0xffd0005f,
    0x2007ffff,0x40fffffd,0xfffffffe,0xffffffff,0xffff16ff,0x7ffcc0ff,
    0x7fec05ff,0x7c400fff,0x005fffff,0x7cc01fc8,0x7fe43fff,0x20001fff,
    0xfffffffd,0xfff88001,0x6c0006ff,0x000fffff,0x07ffffec,0x2ffffff4,
    0x7ffc0000,0x3ffee002,0xfffa82ff,0xff9804ff,0x8802d801,0x800001ef,
    0xb07fffff,0x801fffff,0x00fffffd,0x00009ff7,0x8013e200,0x4ffffffd,
    0x7fffffc0,0xfff50001,0xfff307ff,0xfff88bff,0x7ffdc2ff,0xf1001fff,
    0xfff10005,0x36007fff,0x740fffff,0xffffffff,0xffffffff,0x3ffffe6f,
    0xffff300f,0xfffd80bf,0xfff800ff,0xe8005fff,0x7fff4407,0x7fffe40f,
    0x3e60001f,0x005fffff,0x3fffffe0,0x3ff60001,0x6c000fff,0xc80fffff,
    0x01ffffff,0x1ffe6000,0xfffff700,0xfffff505,0x01ff8809,0xfd801fa8,
    0x400003ff,0xb07fffff,0x801fffff,0x00fffffd,0x0000dffb,0x8003f200,
    0x7ffffff9,0x7ffffec0,0xffa84806,0xff983fff,0x7fdc5fff,0x7fe44fff,
    0x22007fff,0xff30002f,0x36007fff,0x5c0fffff,0xcccccccc,0xdfffffec,
    0x3ffff63c,0xffff302f,0xfffd80bf,0xffd800ff,0x44007fff,0x7ffe406f,
    0xffffc86f,0x7f40001f,0x0002ffff,0x1bfffff6,0x7ffec120,0x7ec000ff,
    0xf880ffff,0x00efffff,0x3f2001d3,0x7fd4005f,0xffd83fff,0x7ec04fff,
    0xccccccce,0xc8807fec,0x00006fff,0x83fffffc,0x00fffffd,0x07ffffec,
    0x000fffe8,0x02fc4000,0x7fffff40,0x3ffe603f,0x13603fff,0x0fffffea,
    0x17ffffe6,0x83fffff3,0x05fffffc,0x8000fe60,0x003ffffa,0x01fffffb,
    0x3fffee00,0xffff981f,0xffff705f,0xfffd80bf,0xffa800ff,0x2001ffff,
    0x7ff402fe,0x3f620fff,0x0001ffff,0x037fffd4,0x3fffe600,0x413603ff,
    0x00fffffd,0x7ffffec0,0xfffff900,0x1fd415df,0x005ffd00,0x4fffff98,
    0x7fffffe4,0x3ffff204,0xffffffff,0x3ff2006f,0x3e00000f,0xfb07ffff,
    0xd801ffff,0x880fffff,0x0001ffff,0x001fe400,0x7fffffd4,0x7ffff407,
    0x07e443ff,0x1fffffd4,0x2fffffcc,0x6c27fffc,0x002fffff,0x900013ea,
    0x36007fff,0x000fffff,0x3fffff70,0x3fffffa0,0x7ffffcc1,0x7ffec06f,
    0xffd000ff,0xb001dfff,0xffff00df,0xfff97dff,0x0005ffff,0x005ffff0,
    0xfffffd00,0x00fc887f,0x01fffffb,0xfffffd80,0xffffd100,0xbffdffff,
    0x07ffcc00,0x7ffff400,0xffdfdabf,0xff505fff,0xffffffff,0x4009ffff,
    0x00005ffd,0x83fffffc,0x00fffffe,0x0fffffec,0x017fffcc,0x3ff10000,
    0x3fffe000,0x3e603fff,0xdfffffff,0xff502ffd,0xff309fff,0xff50bfff,
    0xffff885f,0x37ec005f,0x1ffec000,0xfffffd80,0xfff70001,0x3fe603ff,
    0xfb88efff,0x1ffffffe,0x3fffff60,0xffff1001,0x32603dff,0xffc800ef,
    0xbdffffff,0x4cefffff,0x1fff2000,0x7ffcc000,0xfddfffff,0x3fff602f,
    0x7ec000ff,0x2201ffff,0xfffffffd,0x7e4005ff,0xff10005f,0x55ffffff,
    0x83ffffff,0xfffffff9,0xffffffff,0x3fff5003,0xfff80000,0xffe80fff,
    0x7f401fff,0xf882ffff,0x00000fff,0x000bff60,0x7fffffec,0x3ffa200f,
    0x2fffffff,0x3ffffee0,0xfffffa84,0x17dff706,0x0bffffb3,0x2dfffb80,
    0x0ffa2000,0x7fffff40,0xfff70002,0x7fcc03ff,0x9cffffff,0xefffffff,
    0xfffffe80,0x3ffa2002,0xdcdfffff,0x3000efff,0x5fffffff,0x2ffffff4,
    0x0ffe2000,0xffe88000,0x2fffffff,0x7fffff40,0x7fff4001,0xffc802ff,
    0x002dffff,0x0002ffe8,0x3bffffaa,0xffffff51,0x3fffe29f,0xffffffff,
    0x7c01ffff,0x0000deff,0x3fffee20,0x7ffdc4ff,0xf500dfff,0x01bfffff,
    0x00009ffb,0x3bfffaa0,0x7ffcc000,0x01efffff,0x3fffff62,0x3fa601ef,
    0x221fffff,0x2ffffffd,0xfffffb30,0x26005dff,0xfffffffe,0x7f30004f,
    0xfffff500,0xf70001bf,0x9803ffff,0x34fffffe,0x1379dfff,0xffffff50,
    0xfeb8001b,0xffffffff,0xfda8001d,0x7ed40cef,0xb00004ef,0x8800001f,
    0xeffffffd,0x7fffcc01,0x3ea004ff,0x00dfffff,0x00037530,0x00066644,
    0x00055cc0,0xffffffe8,0xffffffff,0x000c00ff,0x3fffe000,0xfb6fffff,
    0xffffffff,0x7ffffc43,0x883fffff,0xf9000000,0xbfffffff,0xfffffe80,
    0x5fffffff,0x01acb980,0x7fffffdc,0xfff8bfff,0x05ffffff,0x06b32ea2,
    0x00000000,0xfff880aa,0x3fffffff,0x7fffdc00,0x5951001f,0x4400dc41,
    0xffffffff,0xa98003ff,0x00aacccc,0x88008800,0x1cc00000,0x2e600000,
    0x7fdc01ac,0xffffffff,0x3fffe206,0x03ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333320,0xccca82cc,0xcccccccc,0x33333263,
    0xcccccccc,0x99999301,0x66666499,0x20000ccc,0xeeeeeeeb,0x7774c5ee,
    0x99911eee,0x99999999,0x03579999,0x99999500,0xc8000599,0xcccccccc,
    0x323ccccc,0xcccccccc,0x914ccccc,0x99999999,0x00399999,0x99950000,
    0x99999999,0x99999999,0x03999999,0x99999999,0xcccccc81,0xca81cccc,
    0x9912cccc,0x99999999,0x35799999,0x99991000,0x99999999,0x98000999,
    0x5c80cefd,0x99999993,0x99999999,0x99999999,0x40000399,0xcccccccc,
    0x00000000,0x800beb88,0xcccccccc,0x0ccccccc,0x2e600000,0x85ffffff,
    0xffffffc8,0x2620aeff,0xfffffffb,0x51009aef,0x4c3bfff9,0x0ffffffc,
    0x3ff62000,0x80bfffff,0x982effc9,0xfffffffb,0xffffffff,0xf71002df,
    0x007fffff,0xffff9300,0x037dffff,0xffffff93,0x73037dff,0xffffffff,
    0x00000039,0xffffd998,0xffffffff,0xffffffff,0xffeb82ff,0x75c0ffff,
    0xaeffffff,0xefffb880,0x7fffdcc1,0xffffffff,0x002dffff,0x7ffffdcc,
    0x000aefff,0x7ffffd40,0x75f98adf,0xffffffff,0xffffffff,0xffffffff,
    0x0076005f,0xffffffb3,0x07600003,0x37fff400,0x7ffe54c0,0x9befffff,
    0x70000001,0x40bfffff,0xfffffffa,0x7fffd402,0x74003fff,0x3fffa05f,
    0xd80000ff,0x407fffff,0x7dc01ff8,0x4c5fffff,0x1efffffb,0xfffff900,
    0x7dc00007,0x02ffffff,0xffffffb8,0xfffa802f,0x00005fff,0xfdff8000,
    0x307fffff,0x05ffffb5,0x07fffffc,0x7fffffcc,0x406fc803,0x5ffffffb,
    0x7ffffdcc,0x7fdc001e,0x000fffff,0xfffff880,0x3fffffff,0x835bfff7,
    0x46ffffff,0x02fffda9,0xff001fb8,0x0003ffff,0x50003f70,0x005fffff,
    0x7fffffdc,0x0000000f,0x5fffff98,0x7fffff40,0xfffd803f,0x6c004fff,
    0x3fffa01f,0x880000ff,0x01ffffff,0x3e6017e2,0x105fffff,0x09fffffb,
    0x7fffff70,0x7fcc0000,0x3007ffff,0x1fffffff,0xfffff300,0x0000007f,
    0xff8ff880,0xb807ffff,0x3fa02fff,0xf900ffff,0xb00bffff,0xfff9803f,
    0xfb105fff,0x4009ffff,0x6ffffff9,0xfff70000,0xffffffff,0x813fee1f,
    0x06ffffff,0xf100bff6,0x3ff6003f,0x40001fff,0xb8001ff9,0x003fffff,
    0x3fffffe6,0x00000005,0x0bfffff3,0xffffffa8,0xffff9806,0x374007ff,
    0x3fffff60,0xff900000,0x7d409fff,0xffff9801,0x7ff405ff,0xff705fff,
    0xffffffff,0x3a003fff,0xffffffff,0xffffffff,0xffffffff,0x04ffffff,
    0x7ffffff1,0x80000000,0xfffff3fc,0x3fe600ff,0x3ffff602,0xffff300f,
    0x00df00ff,0xbffffff3,0xfffffe80,0xffff1005,0x20000bff,0xfffb50fc,
    0x2fdc5fff,0x3fffffe0,0x2017ec06,0xfb001ffe,0x0003ffff,0x8001ffe8,
    0x00fffff8,0x3ffffe20,0x0000005f,0xbfffff30,0xffffff00,0xfffd001f,
    0x26005fff,0x7ffec03f,0x100000ff,0x01ffffff,0x7fcc01b2,0x4405ffff,
    0x84ffffff,0xfffffeea,0x01eeeeee,0xfffddd90,0xddddffff,0xffdddddd,
    0xdddfffff,0x3fffe207,0x000003ff,0xff9be200,0x2007ffff,0x3ff602fc,
    0x3fa00fff,0x2602ffff,0xfff9803f,0x7c405fff,0x804fffff,0x5ffffff8,
    0x10790000,0xfb83bdb5,0x7ffffc01,0x017cc06f,0x2003fff9,0x01fffffd,
    0x07fff200,0x177f5400,0x3fffe200,0x000005ff,0xfffff300,0xffff900b,
    0xff7009ff,0x200bffff,0x7fec00fc,0x00000fff,0x0ffffff6,0xff9801fc,
    0xc805ffff,0x02ffffff,0x07fffff5,0xffff8000,0x3fe006ff,0x1006ffff,
    0x5bffffff,0x00003333,0xff87f600,0x0207ffff,0x7fec05f1,0x3ee00fff,
    0x3205ffff,0xfff9800f,0xfc805fff,0x402fffff,0x5ffffff8,0x80000000,
    0xffff806b,0x02e806ff,0x003ffff9,0x07fffff6,0x7fffe400,0x00040001,
    0xffffff88,0x00000005,0x0bfffff3,0xffffff10,0xffff100f,0xbf001fff,
    0xfffffb00,0x7cc00001,0xfa86ffff,0xffff3000,0xff300bff,0x2a0dffff,
    0x003fffff,0x7ffffc00,0x3ffe006f,0xf1006fff,0xffffffff,0x019dffff,
    0x87f50000,0x07ffffff,0x6c05d093,0x200fffff,0x0ffffff8,0x3e600bd0,
    0x805fffff,0x6ffffff9,0x7ffffc40,0x0000005f,0xff804b80,0xc806ffff,
    0x7fffec42,0xfffb001f,0xd88003ff,0x001fffff,0xff100000,0x050bffff,
    0x4c198000,0x005fffff,0x5ffffffb,0xfffffb00,0x02fa807f,0x0fffffd8,
    0xe8000544,0x6c2fffff,0x3ffe6005,0xfd005fff,0x505fffff,0x107fffff,
    0xfff00035,0x7c00dfff,0x006fffff,0xbffffff1,0xfffff955,0x440000bf,
    0xfffff86f,0x3709707f,0x7ffffec0,0x7fffec00,0x002f983f,0xbffffff3,
    0x3ffffa00,0x3fe202ff,0x0005ffff,0x20000000,0x06ffffff,0xffffe880,
    0x06eeeeff,0x03fffffb,0x7ffff440,0x05eeeeff,0xff100000,0x744bffff,
    0xfca80004,0xff98dfff,0xf5005fff,0x00bfffff,0xdffffffb,0xfb007d80,
    0x3ae1ffff,0x000bdfff,0x9bffffea,0x3e6002f8,0x005fffff,0xbffffff9,
    0x7fffff50,0x0f7fff64,0xffffff00,0x7fffc00d,0xff1006ff,0xf887ffff,
    0x00efffff,0xf81fc800,0xb07fffff,0xfffb0009,0x7d4061ff,0xfc86ffff,
    0xffff3000,0x3f200bff,0x205fffff,0x5ffffff8,0x3ba20000,0x00eeeeee,
    0x3ffffe00,0x7f44006f,0xffffffff,0xfffb07ff,0x3a2003ff,0xffffffff,
    0x3ba27fff,0xeeeeeeee,0x02eeeeee,0xbffffff1,0x80007fe6,0xeeffffd8,
    0xfffffaef,0x3fffe005,0x3e200fff,0x1fffffff,0x36009f10,0xfd9fffff,
    0x0effffff,0x3ffffe00,0x9800f71f,0x05ffffff,0xffffff50,0xffffa81f,
    0xffffe8bf,0xff000fff,0x400dffff,0x06ffffff,0xffffff10,0xfffff307,
    0xf98000bf,0xffffff04,0x0009f10f,0xb3fffffb,0x3fffe207,0x002fc0ff,
    0xbffffff3,0x3fffea00,0xff100fff,0x000bffff,0xffffc980,0x3e0000ff,
    0x006fffff,0x7ffed544,0x02aaacff,0x03fffffb,0x3ff6aa20,0x2aaacfff,
    0x337bffe2,0xfffffccc,0xfff100ff,0x1df7bfff,0xfffe8000,0x3fffa63f,
    0x32005fff,0x04ffffff,0x3ffff7ee,0x03f704ff,0x3fffff60,0xfffb8aef,
    0x3ee005ff,0x09d5ffff,0xfffff980,0xfff3005f,0xfa83ffff,0xcfedffff,
    0x05fffffe,0xdffffff0,0x7ffffc00,0xfff1006f,0x3f207fff,0x001fffff,
    0x7fc03fa0,0xfc87ffff,0xfffd8004,0x3600efff,0x263fffff,0x3fe6002f,
    0x3005ffff,0x3fffffff,0x3ffffe20,0xf000005f,0x001fffff,0x7fffffc0,
    0x3ff20006,0xfb001fff,0x0003ffff,0x03fffff9,0xf981ffc4,0x203fffff,
    0xfffffff8,0xfb80005f,0xff986fff,0x2005ffff,0x7ffffff8,0x3ffe3ba0,
    0x0dd07fff,0x7ffffec0,0xfffff885,0xffff1004,0x8003f5ff,0x5ffffff9,
    0xfffff300,0xfffa85ff,0x7fe46fff,0xff801fff,0x2006ffff,0x06ffffff,
    0xffffff10,0x3fffee07,0xf70004ff,0x7ffffc05,0x027fdc7f,0x7ffffec0,
    0x7ffd400d,0x003f26ff,0xffffff98,0xffff3005,0x3e205fff,0x205fffff,
    0xfe8002da,0x0000ffff,0x1bfffffe,0xffffc800,0xfffb001f,0x77e443ff,
    0xfffff902,0xd027c403,0x80dfffff,0xfffffff8,0xff880003,0xff502fff,
    0xd800bfff,0x82ffffff,0xffffb2fa,0x03f985ff,0x3fffff60,0xfffffb00,
    0x3fff2003,0xf9806fff,0xffffffff,0x7fffffff,0x7fffffc4,0x7fffd43f,
    0x7ffd40ff,0xfff803ff,0xccccffff,0xffcccccc,0x1006ffff,0x07ffffff,
    0x3fffffe6,0x05f88006,0x7ffffffc,0x04fffeca,0xfffffd80,0xfffff000,
    0xf3017e3f,0xffffffff,0xffffffff,0xffffff88,0xffff103f,0x3ff20bff,
    0x7fec005f,0x7d400fff,0xffffffff,0xffffffff,0x7fe402ff,0xfb001fff,
    0x7dc3ffff,0xffc80fff,0x3e201fff,0xfffff701,0xfff8803f,0x00005fff,
    0x01fffff5,0x17ffffe6,0xfffff500,0x7d4fb0bf,0x645fffff,0x3ff6000f,
    0xff500fff,0x26007fff,0x03ffffff,0xffdccc88,0xccceffff,0xffff84cc,
    0x7fd44fff,0xff983fff,0xff804fff,0xffffffff,0xffffffff,0x006fffff,
    0x7ffffff1,0x3ffffe20,0x0fd8007f,0x7fffffc0,0x4fffffff,0xffffd800,
    0xfff9000f,0x805f39ff,0xfffdccc8,0xccccefff,0xfffff84c,0xfff104ff,
    0xff10bfff,0x6c001fff,0x400fffff,0xfeeeeeea,0xeeffffff,0x6401eeee,
    0x001fffff,0x43fffffb,0xc83ffffe,0x201fffff,0xffff1068,0xff100bff,
    0x000bffff,0x1fffff20,0x5fffff98,0xfffff800,0xf0fe20ff,0x41ffffff,
    0x7fec005f,0xff300fff,0x6c009fff,0x000fffff,0xffffff98,0x3fffe004,
    0x7fd43fff,0xff983fff,0xff804fff,0x999effff,0xf9999999,0x006fffff,
    0x7ffffff1,0x3ffffe60,0x7fd4005f,0xffffffff,0x57ffffff,0x0009fff9,
    0x01fffffb,0x3ffffe60,0xf98007df,0x004fffff,0x3ffffffe,0xfffff103,
    0xffff10bf,0x7fec001f,0x20000fff,0x06ffffff,0x3ffff200,0xfffb001f,
    0x7ffe43ff,0xfffdd11f,0xbddddfff,0x3ffff200,0xff8800ff,0x0005ffff,
    0x0fffffb0,0x2fffffcc,0x7fffe400,0x903f24ff,0x27ffffff,0x7ec002fa,
    0xf100ffff,0x400dffff,0x004ffffa,0xffffff30,0x3ffe2009,0x7d42ffff,
    0xf983ffff,0xf805ffff,0x006fffff,0x1bfffffe,0x7ffffc40,0xffff503f,
    0x7c4007ff,0xccccccce,0xffffffcc,0x0027fd47,0x3fffffea,0x7fffffc0,
    0xffffffff,0x4fffffff,0xffffff30,0x3ffe2009,0xf102ffff,0x20bfffff,
    0x4004fffc,0x00fffffd,0x3ffffe00,0x3f20006f,0xb001ffff,0x4c3fffff,
    0x3ba25ffe,0xeeffffff,0xff9805ee,0x3003ffff,0x0bffffff,0x3fffe000,
    0x3ffe606f,0xf88005ff,0x3e7fffff,0xfffff985,0xb000fb6f,0x201fffff,
    0x0ffffff8,0x07fffa00,0x7fffcc00,0xff3004ff,0xa81fffff,0x983fffff,
    0x805fffff,0x06ffffff,0x3fffffe0,0xffff1006,0x3ff207ff,0x2000ffff,
    0xfff001fc,0x9f70ffff,0x7fffe400,0x66640fff,0xfffdcccc,0xccccdfff,
    0xfff302cc,0x26009fff,0x0fffffff,0xffffff10,0x0016540b,0x07ffffec,
    0xfffff000,0x7e4000df,0xb001ffff,0x503fffff,0x7fffe401,0xffe8001f,
    0xf5006fff,0x0bffffff,0xffff1000,0x7ffcc0df,0xfb0005ff,0xf55fffff,
    0x3ffffa03,0x8004faff,0x00fffffd,0x07fffffe,0x006ffb80,0x3ffffe60,
    0xfff5004f,0xff50ffff,0xff307fff,0xff00bfff,0x400dffff,0x06ffffff,
    0xffffff10,0x3ffffa07,0x13e6006f,0xffffff80,0x3004f887,0xfffffb5f,
    0x7ffcc001,0xf30007ff,0x009fffff,0x3fffffea,0x3fffe207,0x000005ff,
    0x01fffffb,0x7ffffc00,0x3f20006f,0xb001ffff,0x003fffff,0x3fffff90,
    0xffffb800,0xefc801ff,0x05ffffff,0xffff9800,0x3ffe606f,0xf50005ff,
    0xddbfffff,0x7ffffdc0,0xd8001fff,0x200fffff,0x00ffffff,0x000ffe20,
    0xffffff98,0xffff7004,0xfff50dff,0xfff307ff,0xfff00bff,0x7c00dfff,
    0x006fffff,0x7ffffff1,0xffffff90,0x007f4001,0xfffffff0,0x8c401360,
    0x00fffffd,0x3ffffe60,0xfff30007,0x2e009fff,0x06ffffff,0x3fffffe2,
    0x40760005,0x00fffffd,0x3ffffe00,0x3f20006f,0xb001ffff,0x003fffff,
    0x3fffff90,0x7fffc400,0xcfd805ff,0x5ffffff8,0x3e672000,0x2607ffff,
    0x005fffff,0x3fffffe0,0x3fe203ff,0x006fffff,0x1fffffb0,0x3ffffe20,
    0x00fc8007,0x3fffe600,0xff9004ff,0xf509ffff,0xf307ffff,0xf00bffff,
    0x00dfffff,0x37fffffc,0xfffff880,0xffdb99cf,0x2001efff,0x7fc002fb,
    0x9707ffff,0x7fec1640,0x26000fff,0x007fffff,0xffffff30,0x3fff2009,
    0x3e204fff,0x005fffff,0x3f603f10,0x0000ffff,0x1bfffffe,0xffffc800,
    0xfffb001f,0xf90003ff,0x4003ffff,0x0ffffffd,0xff897c40,0x0005ffff,
    0x3fffe23e,0x3ffe607f,0x320005ff,0x07ffffff,0xffffffd8,0xfffb0003,
    0x3fe201ff,0xd8006fff,0x7fcc0005,0xd004ffff,0x20dfffff,0x83fffffa,
    0x05fffff9,0x6ffffff8,0x3ffffe00,0xfff1006f,0xffffffff,0x8007bfff,
    0xff8005f8,0x7307ffff,0x3f603e20,0x7740ffff,0xffeeeeee,0xeeeeffff,
    0xff303eee,0x2009ffff,0x06fffffe,0x7fffffc4,0x01f50005,0x03fffff6,
    0xfffff800,0x3f20006f,0xb001ffff,0x003fffff,0x3fffff90,0x3fffe600,
    0x218803ff,0x5ffffff8,0x7fcf5000,0xf300ffff,0x000bffff,0x7fffffc4,
    0xffff9804,0xfb0000ff,0x2201ffff,0x003fffff,0x20000fc4,0x4ffffff9,
    0xfffffa80,0xffff502f,0xffff307f,0xffff00bf,0x7fc00dff,0x1006ffff,
    0x9bffffff,0x00035555,0x7c0007ec,0x007fffff,0xfffb07c8,0xeeee81ff,
    0xffffeeee,0xeeeeeeff,0xffff303e,0xff5009ff,0x8805ffff,0x05ffffff,
    0x7ec0fd00,0x0000ffff,0x1bfffffe,0xffffc800,0xfffb002f,0xf90003ff,
    0x2003ffff,0x06fffffe,0x7ffc402a,0xb0005fff,0x7ffffecf,0xfffff302,
    0xffd8000b,0xfd000fff,0x4000bfff,0x00fffffd,0x01fffff3,0x06b819b5,
    0xffff9800,0xffe804ff,0x3ea05fff,0xf983ffff,0xf805ffff,0x006fffff,
    0x1bfffffe,0x7ffffc40,0x5400003f,0xfff0003f,0xf000ffff,0x3ffff60d,
    0x3fe6000f,0x30007fff,0x09ffffff,0xbfffffd0,0xfffff100,0xdf5000bf,
    0x7ffffec0,0x3ffe0000,0x20006fff,0x42fffffb,0xfffffb00,0xfff90003,
    0xfb8085ff,0x201fffff,0xffff100e,0xf3000bff,0x7ffffccd,0xfffff705,
    0xffa8000b,0x3ee005ff,0x20002fff,0x00fffffd,0x30bffff7,0x03e8bfff,
    0xffff9800,0x7fcc05ff,0x2a00ffff,0x983fffff,0x405fffff,0x6ffffff8,
    0x3ffffe00,0xfff1006f,0x00007fff,0xf00037c4,0x00ffffff,0xfd82fec4,
    0x2000ffff,0x07fffff9,0xfffff300,0xfff980bf,0xf8800fff,0x005fffff,
    0xfb02ff44,0x0001ffff,0x37fffffc,0xffff7000,0xfd82cc7f,0x8001ffff,
    0x24fffffb,0x7fffc459,0x03e605ff,0x7fffffc4,0x2ffc4005,0x07fffffa,
    0xdffffff3,0xffff0000,0x7ffc4005,0x7fec0007,0xffb02fff,0xfff901ff,
    0x0001aa1f,0x7fffffcc,0x3fffa605,0x7fd400df,0xff984fff,0x7c405fff,
    0x006fffff,0xfffffff1,0x3fffe200,0x200003ff,0x3e0003fd,0x007fffff,
    0x3a09ffd1,0x000fffff,0x3fffffe6,0xfff98000,0x3a605fff,0x000dffff,
    0xdffffff3,0x2fffcc00,0x3fffffb0,0x3ffe2000,0x20007fff,0x9effffe8,
    0xfffb00eb,0xf10003ff,0xd75dffff,0xfffffd81,0x40ff100f,0x6ffffff8,
    0x13ff6200,0x1dfffff3,0xffffdf71,0xc80003ff,0xfd8006ff,0x7ec0004f,
    0xf986ffff,0xff702fff,0x005f33ff,0x3fffea00,0xfff506ff,0x3ee007ff,
    0xfa84ffff,0x4c06ffff,0x07ffffff,0xffffff30,0x3ffea00f,0x00004fff,
    0x20009ff7,0xfffffff8,0x3ffee602,0xffffd03f,0x7fdc003f,0x8001ffff,
    0x6ffffffa,0x7fffff50,0xffffa800,0x54401fff,0x3a04ffff,0x002fffff,
    0xffffff30,0x7cc0001f,0x02ffffff,0x0bfffffa,0x7fffd400,0x7fcc1fff,
    0xd503ffff,0x7ffcc0df,0xb801ffff,0xf983ffff,0xcfffffff,0xfffffff9,
    0xff10000e,0x3ff50007,0xeffd8000,0xfd31cffc,0x7fc405ff,0x0005ffff,
    0xffffff30,0xffd9bdff,0x20037dff,0xffffffe8,0x3ffff621,0xffd102ff,
    0x01bfffff,0x7fffff44,0x3a600dff,0x2fffffff,0x3ff22000,0x22000aff,
    0xfffffffd,0xffdcccef,0xa82fffff,0x0dffffff,0xfffffa80,0x26001eff,
    0xffffffff,0xffffecde,0x74c001be,0xffffffff,0xffdccccd,0x503fffff,
    0x1bffffff,0xfffe8800,0x000dffff,0x33fff260,0x3fffea01,0x50000dff,
    0xd039fffb,0x57ffffff,0xdffff997,0x3ffffa20,0xccccffff,0xfffffedc,
    0xfffd303f,0x3ffe69ff,0x00009bce,0xf80007ec,0x4fd80006,0x3fffffa6,
    0xfda801cf,0x4c0004ff,0xfffffffe,0xefffffff,0x7dc000bd,0xffffffff,
    0xffffff8b,0xffd15fff,0xffffffff,0x7ff4bdff,0xffffffff,0xffd15eff,
    0xffffffff,0x54003dff,0xffffffff,0xfffdd105,0xffffffff,0xffffffff,
    0xff81ffff,0xffffffff,0xffffed82,0xffffffff,0xfffe980e,0xffffffff,
    0x00bdefff,0x7ffff440,0xffffffff,0xffffffff,0x7c42ffff,0xffffffff,
    0x7ff4403f,0xffffffff,0x40005eff,0x7fffc401,0x03ffffff,0xff700c00,
    0xffffffff,0x4bffffff,0xffffffe8,0xffffffff,0xffffffff,0x654402ff,
    0x0006e20a,0x0001cc00,0x37000055,0x02af2a60,0x00006200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05db3000,0xccc85db3,0xcccccccc,
    0xabcccccc,0x99999000,0xcca81999,0x001ccccc,0xccccc980,0xcccccccc,
    0x8001aacc,0xccccccc8,0xcccccccc,0xcccccccc,0x66666543,0x640002cc,
    0xcccccccc,0xcccccccc,0x0ccccccc,0x33333332,0x3ccccccc,0x33333332,
    0x4ccccccc,0x99999991,0x79999999,0x99999910,0x99999999,0x99999999,
    0xccccc881,0xcccccccc,0x9910004c,0x99999999,0xca800079,0xcccccccc,
    0x999970cc,0x99999999,0x10033579,0x99999999,0x99999999,0x30003599,
    0x99999999,0x99999999,0x99999999,0x66666439,0xcccccccc,0x66664c0c,
    0x20cccccc,0xccccccca,0x00cccccc,0x66666664,0x9999973c,0x79999999,
    0x88bfffe2,0x2662ffff,0xfffffffb,0xffffffff,0x6cc00eff,0x41ffffff,
    0xffffffb8,0x93100003,0xffffffff,0xffffffff,0xfb980059,0xffffffff,
    0xffffffff,0x7dc46fff,0x003fffff,0xffffb980,0xffffffff,0xffffffff,
    0x7ffdcc0f,0x0aefffff,0xfffffb98,0x981aefff,0xfffffffb,0xff500aef,
    0xdddfffff,0xffffdddd,0x5cc0bfff,0xffffffff,0x980000ae,0xfffffffb,
    0xf10000ff,0xffffffff,0xffb98837,0xffffffff,0x02efffff,0x7fffdd4c,
    0xffeeefff,0x0cffffff,0xfffff700,0xffffffff,0xffffffff,0x64c5ffff,
    0xffffffff,0xb98809df,0x1aefffff,0x7fffedc4,0x009dffff,0xffffdb98,
    0xfffffb1c,0xbfffffff,0xc9bfffee,0xf705ffff,0x449fffff,0xffffffea,
    0xfffff801,0xffff901f,0xb000007f,0x47ffffff,0xfffffca8,0x7fd4000d,
    0x2606ffff,0x906ffffb,0x007fffff,0x7fffcc00,0x3aa606ff,0xf500ffff,
    0x01ffffff,0xffffff50,0xfff5003f,0xa801ffff,0x401cffff,0xfffffffd,
    0xffffb800,0x00000fff,0xffffffa8,0xf70003ff,0x5fffffff,0xfffff300,
    0x3ff262bf,0xc802ffff,0x43ffffff,0xfffffd98,0xfffb802f,0x7fffc09d,
    0x7f4c46ff,0xfffb82ff,0x002fffff,0x2007fff7,0xfffffffd,0x1ffd0002,
    0xffffffd8,0x55ffffff,0x7dcbffff,0xff304fff,0xb109ffff,0x07ffffff,
    0x1fffffd8,0x7fffff70,0xff700000,0x2607ffff,0x03fffffe,0x3ffffe20,
    0xffd8806f,0xfffff706,0xff800007,0x7006ffff,0x3e201fff,0x007fffff,
    0xfffffff1,0x3fffe200,0xffb806ff,0xfffa800e,0x3003ffff,0x0dffffff,
    0x37e20000,0x07ffffff,0xfffddd00,0x3e001fff,0xa85fffff,0x01ffffff,
    0x7fffffcc,0x3fffea03,0x7fdc03ff,0x3ffffe03,0x0bff606f,0x7fffffec,
    0x7ff5003f,0x7fffc400,0xf0005fff,0xffffb05f,0xffffffff,0x10ffff4b,
    0x2203ffff,0x04ffffff,0x3ffffffa,0x3ffff600,0xffff701f,0x5000007f,
    0x07ffffff,0x7fffffc4,0xffff1004,0x7e400dff,0xfffff506,0xff800007,
    0x2006ffff,0xff100ff8,0x400dffff,0x06ffffff,0xffffff10,0x01df900d,
    0xffffff10,0x7fc400df,0x0005ffff,0xffd7f100,0x8005ffff,0xffffebf9,
    0xfff000ff,0x3f20bfff,0x200fffff,0x3ffffff9,0x7ffffe40,0x017ee00f,
    0x0dffffff,0xff102fd8,0x03ffffff,0x7000bfb0,0x1fffffff,0x005fa800,
    0x402ea000,0x3fe200ba,0x2e04ffff,0x02ffffff,0x07fffff6,0x1fffffd4,
    0x7fd40000,0x5403ffff,0x02ffffff,0xffffff88,0x41be2006,0x03fffffa,
    0x7fffc000,0x7dc006ff,0x3ffffe00,0x3ffe006f,0xf1006fff,0x00dfffff,
    0x3f2001fb,0x01ffffff,0x3ffffe20,0x1000005f,0xfffff57f,0x8fd800df,
    0x0ffffffe,0xfffffd00,0x3fffe60b,0x3fe604ff,0x4403ffff,0x04ffffff,
    0xfff003ee,0xf980dfff,0x3fffea02,0x7d406fff,0x3ffa0006,0x4005ffff,
    0x000000fe,0x7fc40000,0x2604ffff,0x05ffffff,0x07fffff6,0x1fffffd4,
    0x7fd40000,0xd803ffff,0x01ffffff,0x7fffffc4,0x41ae0206,0x03fffffa,
    0x7fffc000,0x7c4006ff,0x3ffffe00,0x3ffe006f,0xf1006fff,0x00dfffff,
    0x3fe6009b,0x004fffff,0x7fffffc4,0xf1000005,0x3fffffe7,0x29f1001f,
    0x0ffffffe,0xfffffd00,0x3fffe20b,0x3fe606ff,0xf803ffff,0x207fffff,
    0xffff806b,0x02e806ff,0x7fffffec,0x01df103f,0x7fffd400,0xf7001fff,
    0x00000007,0xffff1000,0x7fc409ff,0x3607ffff,0x501fffff,0x007fffff,
    0xffff5000,0xff5007ff,0x880bffff,0x06ffffff,0x2a0d30b3,0x003fffff,
    0x7ffffc00,0x0740c06f,0xdffffff0,0x7ffffc00,0xfff1006f,0x3d00dfff,
    0x3ffffa00,0x44000fff,0x05ffffff,0x27f10000,0x4ffffffc,0x3fa3f700,
    0x000fffff,0x0bfffffd,0x3ffffffc,0xffffff30,0xffffd007,0x00ee01ff,
    0x1bfffffe,0xff100b20,0x03ffffff,0xb00003fd,0x0bffffff,0xd100df10,
    0x1ddddddd,0xf8800000,0x204fffff,0x6ffffff9,0x3fffff60,0xfffff501,
    0xf5000007,0x007fffff,0xfffffff1,0x7fffc401,0x20b506ff,0xfffff505,
    0x20005107,0x06ffffff,0xf802e166,0x006fffff,0x1bfffffe,0x7ffffc40,
    0x7005806f,0x5fffffff,0xffff1000,0x00000bff,0x7ffc4fe2,0xe800ffff,
    0x3fffffa6,0xfffd000f,0x7ff40bff,0xf300ffff,0x007fffff,0x1ffffffd,
    0xffff8000,0x200006ff,0xfffffffa,0x00017e46,0xffffff98,0x00fe401f,
    0xfffffc98,0xdddd100f,0x1001dddd,0x09ffffff,0x7fffffdc,0x3ffff604,
    0xffff501f,0xddddd07f,0xfa809ddd,0x003fffff,0x7ffffffb,0x7ffffc40,
    0x800b906f,0x23fffffa,0x01dfffec,0x3fffffe0,0x20017206,0x06ffffff,
    0x3fffffe0,0xffff1006,0x20000dff,0xfffffff8,0xfff10005,0x0000bfff,
    0xffd8fe20,0x5403ffff,0x3ffffa2f,0xffd000ff,0x7fc0bfff,0x2606ffff,
    0x03ffffff,0x7ffffff8,0xffff8000,0x400006ff,0xfffffffc,0x00007f73,
    0xffffffd8,0x0013e606,0x03fffffe,0xfffffc98,0xfff8800f,0x3fa04fff,
    0x200fffff,0x01fffffd,0x07fffff5,0x5bffff71,0xffffa801,0xff7003ff,
    0x440dffff,0x06ffffff,0xffa800bf,0xffe8bfff,0x000fffff,0x0dffffff,
    0x7fc002f4,0x2006ffff,0x06ffffff,0xffffff10,0x3f60000d,0x00ffffff,
    0xfffff100,0x200000bf,0x3ffe63f8,0x3ec06fff,0x3ffffffa,0xffffd000,
    0x3ffe20bf,0x3e605fff,0x403fffff,0x5ffffff9,0xffff8000,0x400006ff,
    0xffffffe8,0x00005fbf,0xffffff88,0x001fd02f,0x1fffffd0,0xffffff00,
    0xffff1001,0x3ff609ff,0x6c01efff,0x501fffff,0x407fffff,0x2a002ffe,
    0x03ffffff,0xffffff70,0x3ffe201f,0x5fb86fff,0x7fffd400,0xffdcfedf,
    0xff005fff,0x2a0dffff,0xfff8005f,0x3e006fff,0x006fffff,0xdffffff1,
    0xfff50000,0x0007ffff,0x7fffffc4,0xf1000005,0xfffffe87,0xe87f102f,
    0x00ffffff,0xbfffffd0,0x3ffffee0,0x3ffe601f,0x7dc03fff,0x002fffff,
    0xffffff80,0xf9800006,0x6fffffff,0x3f200000,0xa86fffff,0xffb0003f,
    0xfd001fff,0x1001ffff,0x89ffffff,0xcfffffea,0xffffd800,0xffff501f,
    0x0bfe207f,0xfffff500,0x3fea007f,0x101fffff,0x8dffffff,0x54005ffa,
    0x0effffff,0x0bfffff2,0x3fffffe0,0x005ffb86,0x6ffffff8,0x3ffffe00,
    0xfff1006f,0x8000dfff,0xfffffff8,0x7fc40006,0x0005ffff,0xfa87f100,
    0x905fffff,0xffffe81f,0xffd000ff,0xff10bfff,0x9809ffff,0x03ffffff,
    0x3fffffe6,0xfff00004,0x0000dfff,0x3fffff20,0x000003ff,0x3fffffe2,
    0x001be23f,0x0fffffd8,0xfffffd80,0xffff8800,0xffffefff,0x6c002eff,
    0x501fffff,0x207fffff,0xfa8001fe,0x003fffff,0xfffffff3,0x3fffe205,
    0xffdcaeff,0x7fd4005f,0x7cc0ffff,0xf803ffff,0xa9ffffff,0x005fffdc,
    0xfffffff8,0xcccccccc,0xffffffcc,0xffff1006,0xc8000dff,0x1fffffff,
    0x7ffc4000,0x00005fff,0xfff07f10,0xbf03ffff,0xffffffd0,0x3fffa001,
    0x7ff4c5ff,0xf9803fff,0x703fffff,0x09ffffff,0x7fffc000,0x000006ff,
    0x3ffffffa,0x2000001f,0xfffffffb,0x40003f90,0x00fffffd,0x0fffffd8,
    0xfffff880,0xffffffff,0xb001beff,0x203fffff,0x83fffffa,0xf50001fd,
    0x007fffff,0x3fffffe6,0xffff103f,0xffffffff,0xffa800bf,0xff983fff,
    0xff804fff,0xffffffff,0x8005ffff,0xffffffff,0xffffffff,0x6fffffff,
    0xfffff100,0x7cc000df,0x04ffffff,0xffff8800,0x000005ff,0xfff907f1,
    0x1fa89fff,0xffffffe8,0xffffd000,0xfffdb9df,0x26005bff,0xceffffff,
    0xfffffecc,0x400000cf,0x06ffffff,0x3fe60000,0x006fffff,0x7fff4000,
    0x04f9cfff,0x7fffec00,0xfffd800f,0xff8800ff,0x64c4ffff,0x1dffffff,
    0x7ffffec0,0xfffff501,0x0001fd87,0x3fffffea,0xffff3003,0x3e205fff,
    0xbaefffff,0x4005fffd,0x83fffffa,0x04fffff9,0xfffffff8,0x5ffffeba,
    0xfffff800,0x999999ef,0xffff9999,0xff1006ff,0x000dffff,0x7ffffff4,
    0xf880000f,0x005fffff,0x107f1000,0x1fffffff,0xfffe836c,0xfd000fff,
    0xffffffff,0x800179dd,0xfffffff9,0xffffffff,0xf000000f,0x00dfffff,
    0xfffc8000,0x0003ffff,0x3fffea00,0x000fefff,0x7ffffec0,0xffffd800,
    0xfff8800f,0xff504fff,0x405fffff,0x01fffffd,0x47fffff5,0x20000ffd,
    0x3ffffffa,0xfffff500,0x3fe201ff,0x7d46ffff,0x7fd4005f,0xff983fff,
    0xff805fff,0x64c6ffff,0xff8005ff,0x2006ffff,0x06ffffff,0xffffff10,
    0x3fee000d,0x002fffff,0xfffff100,0x200000bf,0xfffb03f8,0x0fe67fff,
    0x7ffffff4,0xffffd000,0x980000bf,0x33ffffff,0x9fffffff,0x3fe00000,
    0x0006ffff,0x7fffd400,0x0001ffff,0x3ffffa00,0x80003fff,0x00fffffd,
    0x0fffffd8,0xfffff880,0x3ffe604f,0xfb00ffff,0x2a03ffff,0xfb3fffff,
    0x54000bff,0x03ffffff,0xffffff50,0x7fffc40f,0x05fb86ff,0x7ffffd40,
    0xfffff983,0xfffff805,0x00bf906f,0xdffffff0,0x7ffffc00,0xfff1006f,
    0x1000dfff,0xbfffffff,0x7fc40000,0x0005ffff,0x2607f100,0x96ffffff,
    0x7ffff40f,0xffd000ff,0x0000bfff,0xffffff98,0x3ffffee3,0x800001ff,
    0x06ffffff,0x3be60000,0x6fffffff,0x3e600000,0x00ffffff,0xffffd800,
    0xfffd800f,0xff8800ff,0x6c04ffff,0x06ffffff,0x03fffffb,0x2fffffea,
    0x02fffffd,0xfffff500,0x3fee007f,0x2206ffff,0x06ffffff,0xffa800bf,
    0xff983fff,0xff805fff,0x3a06ffff,0xffff8005,0x3fe006ff,0x1006ffff,
    0x0dffffff,0xfffffb00,0x018001ff,0x3fffffe2,0xf1000005,0x7ffff407,
    0x3a04faff,0x00ffffff,0xbfffffd0,0xff980000,0x7ec3ffff,0x00ffffff,
    0x7fffc000,0x000006ff,0xfff71fd1,0x0009ffff,0x7ffff400,0xfb00007f,
    0xb001ffff,0x001fffff,0x9ffffff1,0xfffffb80,0xffffb07f,0x3ffea03f,
    0xffffffff,0xfa8000ff,0x003fffff,0x9ffffff9,0x7ffffc40,0x080bb06f,
    0x1fffffd4,0x2fffffcc,0x7fffffc0,0x20017206,0x06ffffff,0x3fffffe0,
    0xffff1006,0xfa800dff,0x03ffffff,0x3fe20780,0x0005ffff,0x01fc4076,
    0xfffffff5,0x7fff401f,0xfd000fff,0x000bffff,0xfffff980,0x7fffc43f,
    0x00005fff,0x37fffffc,0x1fd80000,0x3ffffffa,0xd000001f,0x00ffffff,
    0x3ffff600,0xfffd800f,0xff8800ff,0x4c04ffff,0x1fffffff,0x1fffffd8,
    0xffffff50,0xbfffffb3,0xffff5000,0x3f6007ff,0x202fffff,0x6ffffff8,
    0x23440b70,0x83fffffa,0x05fffff9,0x6ffffff8,0x3e0016a0,0x006fffff,
    0x1bfffffe,0x7ffffc40,0x7ff4006f,0x8006ffff,0x3ffe2079,0x10005fff,
    0x00fe203f,0xbfffffff,0xfffffe80,0xfffd000f,0x80000bff,0x3ffffff9,
    0xffffffa8,0x3e00002f,0x006fffff,0x442fc800,0x6fffffff,0xffd00000,
    0x0000ffff,0x03fffff6,0x3fffff60,0xffff8800,0x7fc404ff,0xd81fffff,
    0x501fffff,0x227fffff,0x03ffffff,0x7ffffd40,0xfff8803f,0x7c406fff,
    0x306fffff,0x3ea2dc09,0xf983ffff,0xf805ffff,0x206fffff,0xfff80058,
    0x3e006fff,0x006fffff,0xdffffff1,0x7fffe400,0xc8001fff,0x3fffe206,
    0xf50005ff,0x900fe201,0x05ffffff,0xffffffe8,0xffffd000,0x980000bf,
    0x03ffffff,0xfffffffb,0x3fe00001,0x0006ffff,0xfb827d40,0x04ffffff,
    0xfffe8000,0xb00007ff,0x001fffff,0x01fffffb,0xffffff10,0xffffa809,
    0xffd80fff,0xff501fff,0x7fdc7fff,0x2000ffff,0x3ffffffa,0xfffffb80,
    0x7ffc401f,0xd0006fff,0xfffffa89,0xfffff983,0xfffff805,0xf800006f,
    0x006fffff,0x1bfffffe,0x7ffffc40,0xfff3006f,0x000bffff,0x7fc40bf1,
    0x0005ffff,0x01fc40fd,0x1bffffe2,0x3fffffa0,0xfffd000f,0x80000bff,
    0x3ffffff9,0xfffffd10,0x3e0000df,0x006fffff,0xb017e600,0x3fffffff,
    0xffe80000,0x00007fff,0x01fffffb,0x1fffffb0,0xfffff100,0xfffc809f,
    0xffb06fff,0x3ea03fff,0x7ec3ffff,0x2006ffff,0x3ffffffa,0xffffff80,
    0xffff8804,0xfb8006ff,0x7ffffd43,0xfffff983,0xfffff805,0xf800006f,
    0x006fffff,0x1bfffffe,0x7ffffc40,0xfffd006f,0x0001ffff,0x7fc409fb,
    0x8005ffff,0x0fe206fa,0x0fffff60,0x3fffffa0,0xfffd000f,0x80000bff,
    0x3ffffff9,0x3ffffe60,0xf80003ff,0x006fffff,0x801ff100,0xfffffff8,
    0x7f400006,0x0007ffff,0x3fffffb0,0xfffffb00,0xffff1001,0xffe809ff,
    0xfb02ffff,0x2a03ffff,0x443fffff,0x03ffffff,0xffffff50,0xffffb807,
    0xff8800ef,0x4006ffff,0x7fd42ffa,0xff983fff,0xff805fff,0x0007ffff,
    0xffffff80,0x3fffe006,0xff1006ff,0x700dffff,0x7fffffff,0x07ff9000,
    0x7fffffc4,0x2ff44005,0xf3007f10,0xfd001fff,0x001fffff,0x17fffffe,
    0xfff30000,0xfc807fff,0x01ffffff,0x7ffffc00,0xe880006f,0xfff7001f,
    0x0009ffff,0x7fffff40,0xfe80000f,0xd802ffff,0x801fffff,0x5ffffff8,
    0x3fffff60,0x3fff603f,0xfff701ff,0xfff507ff,0xf5003fff,0x409fffff,
    0x04fffffa,0x3ffffe20,0x3fea006f,0x7fffd41f,0xffff984f,0xffff805f,
    0x400007ff,0x6ffffff8,0x3ffffe00,0xfff1007f,0xf880dfff,0x06ffffff,
    0x17ffec40,0xffffff30,0x7ffcc00d,0x4013e605,0xfd004ffe,0x001fffff,
    0x17fffffe,0xfff30000,0xfd009fff,0x01dfffff,0x7ffffc00,0xfe80006f,
    0x7fff4005,0x0002ffff,0xffffffd0,0xffa80001,0x400dffff,0x02fffffe,
    0xffffffa8,0xffffd987,0x7ff404ff,0xff702fff,0x3fa09fff,0x400effff,
    0x5ffffffc,0xfffffb88,0x7ffcc002,0x5401ffff,0xfb87fffe,0xfa84ffff,
    0x4406ffff,0x0fffffff,0x3fe60000,0x3007ffff,0x1fffffff,0xfffff300,
    0xfffd80ff,0x1001ffff,0x03fffff9,0x7fffffd4,0x7fd4401f,0x3ff204ff,
    0x01ffa800,0xfffffff0,0xffff1003,0x80000dff,0x5ffffffa,0xfffff880,
    0xf30005ff,0x00ffffff,0x027ff440,0x3ffffea0,0x80000fff,0x1fffffff,
    0xffff1000,0x07ffffff,0x3fffffea,0x3ffa600d,0xddffffff,0xcfffffff,
    0x7fffd400,0x7f4c0dff,0xc81effff,0x1dffffff,0xffffff50,0xffdb9dff,
    0x80017dff,0xffffffe8,0xedcccdff,0x46ffffff,0xffffffe9,0x3ffff622,
    0xffd102ff,0x01bfffff,0xfffd1000,0x401bffff,0xffffffe8,0x3fa200df,
    0x0cffffff,0xffffff98,0xccccccef,0xfffffedc,0xfd301fff,0xbfffffff,
    0xfffb9999,0x2e07ffff,0xf801dfff,0xfffc8806,0x200effff,0xffffffd8,
    0x980000cf,0xffffffff,0xffffb803,0x2001dfff,0xffffffe8,0x2e6000df,
    0x002fffff,0xffffffb1,0x20005dff,0xffffffd8,0x000000ef,0x7ffffc40,
    0x223fffff,0xfffffffe,0xefffffff,0x4400abce,0xffffffff,0xffff73ff,
    0x649fffff,0xffffffff,0xffffd53f,0xffffffff,0x0017bdff,0xfffffe88,
    0xffffffff,0xffffffff,0x3ffee5ff,0x8bffffff,0xffffffff,0x3fffba5f,
    0xffffffff,0x7f44005e,0xffffffff,0x3fa5efff,0xffffffff,0xfd15efff,
    0xffffffff,0x7f4bdfff,0xffffffff,0xffffffff,0xffffffff,0x3ffffa20,
    0xffffffff,0xffffffff,0x3a22ffff,0xffffffff,0xed80ae04,0xffffffff,
    0xfb0effff,0xffffffff,0x8007ffff,0xffffffe8,0x2fffffff,0x3fffff60,
    0x3a204fff,0xffffffff,0x405effff,0xfffffffc,0xffd01eff,0xffffffff,
    0x3aa00fff,0xfffffffe,0x03eeffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33320000,0xcccccccc,0x99300ccc,0x99999999,0xccccb807,
    0xcccccccc,0x00000003,0x66666664,0x02cccccc,0x66666664,0x01cccccc,
    0x99999991,0x03999999,0x007fee00,0x00000000,0x0017fe00,0x0c400000,
    0x4006a600,0x300000a9,0x05100135,0x98000000,0x0151001a,0x0a06a200,
    0x4402a600,0x00d4c004,0x0002a200,0x544000c4,0x00000000,0xeeeeeb94,
    0x3bbaa2ee,0x9803eeee,0xfffffffb,0x26201aef,0xcffffffa,0x7ffec00a,
    0xffffffff,0x9999d06f,0x99999999,0x99999999,0xffffff09,0x9fffffff,
    0x7ffffc40,0xffffffff,0xfffff103,0xffffffff,0x3fee0005,0x00000001,
    0x8000bb22,0x75c005ff,0x22eeeeee,0xeeeeeeea,0x401dff53,0xefffffda,
    0x3fffa60c,0x6d4004ff,0x2efffffe,0x002ffe20,0x7e440000,0xb83effff,
    0x004ffffe,0x5bfffff5,0xfd9100f9,0x2219ffff,0x7f64405e,0x000cffff,
    0x9dfffdb3,0xffc88015,0x7fec402e,0x00004fff,0x45ff2200,0x2ffffffb,
    0x7fffff54,0x3ffe6004,0x4001ffff,0x001efffa,0x3ffffff6,0x06ffffff,
    0x09000009,0xffffffff,0x409fffff,0xfffffff8,0x03ffffff,0xfffffff1,
    0x05ffffff,0x007fee00,0x03351000,0x003fffd8,0x8800bff0,0x2ffffffb,
    0x7fffff54,0x309ffff4,0xfd759dfd,0xbff73dff,0x01dffd53,0xb9befd88,
    0x102ffffe,0x005bffff,0x7ffdc000,0x25ffd99d,0xffd9bffc,0x3bff200e,
    0x07fffdab,0x4cf7ffcc,0x0eebfffd,0x26fffe60,0x400ffffe,0xda9dfffa,
    0x3f201fff,0xf500ffff,0xdff717ff,0x54000001,0x7ec7fffd,0xfb82ffff,
    0x4004ffff,0x07ffffff,0x00dffc80,0x7ffffec0,0x6fffffff,0x90000090,
    0xfffffff0,0x09ffffff,0x7fffffc4,0x3fffffff,0xffffff10,0x5fffffff,
    0x07fee000,0x3fb66000,0xe80cffff,0xf0005fff,0x3f6000bf,0xfb82ffff,
    0xffd4ffff,0x0fff98df,0xffffffe8,0x1bffe20e,0x440fffa8,0x901fffff,
    0x17dfffff,0x7fe40000,0x77ffc47f,0x7fec5ffd,0x2fffa80f,0xa807ff44,
    0x7ec0ffff,0x3e600fff,0x3ffea2ff,0xfff900ef,0x2ffff88b,0x7ffffff0,
    0xe85fff70,0x00000fff,0x3ffffee2,0x7fffe43e,0xffffa82f,0x7ffc004f,
    0x54007fff,0x000003ff,0x00004800,0x00000048,0x00000000,0x1ffb8000,
    0x7ffd4000,0x1fffdaae,0x002fffdc,0x90005ff8,0x505fffff,0x269fffff,
    0x3fe25fff,0xfff980ff,0xffc82fff,0x3fffd03f,0x0fffffb0,0xfffffeb8,
    0x7d40001d,0xffb83fff,0x7d40ffff,0xfffe84ff,0x880ff880,0xfa84ffff,
    0xff301fff,0xfffff0ff,0x5ffff505,0x81ffff90,0x4ffffff8,0x5437ffcc,
    0x80004fff,0xdfffffd9,0xfffff702,0xfffff505,0xffff8009,0x3ea006ff,
    0x0000002f,0x00000900,0x00000009,0x00000000,0x03ff7000,0x37ffe400,
    0x70bfffe2,0x3e0005ff,0xff70005f,0xff505fff,0x7fdc9fff,0x17fffea1,
    0x3fffffe6,0x0ffffa80,0x42ffffcc,0x00fffffc,0xfffffc98,0x7c4000be,
    0xf980ffff,0xf987ffff,0x3fe20fff,0x01f505ff,0x305ffff9,0x360dffff,
    0xffe84fff,0xfffe84ff,0xffffa80f,0xfffffd85,0x427ffec1,0x000ffff8,
    0xffffeb88,0x7fdc00cf,0xffa82fff,0x7c004fff,0x006fffff,0x00001df9,
    0x00240000,0xa8802400,0x54c00000,0xa8800009,0x3ee00000,0xff50001f,
    0xfff907ff,0x07fd53bf,0x002ffc00,0x2fffffb8,0xdfffffa8,0x7dc1deec,
    0x7c40ffff,0xf307ffff,0xffb85fff,0x7fe40fff,0x22001fff,0xcfffffeb,
    0xffff7001,0x7ffffc0f,0x3ffff886,0x37ffffe6,0x7fcc1e80,0xffa81fff,
    0x7fcc2fff,0xfffc83ff,0x7fffd42f,0xfffff307,0x4ffff981,0x81ffffd4,
    0x2004ffff,0xefffffc9,0x3ffee003,0xfffa82ff,0x7fc004ff,0x4406ffff,
    0xd70005fd,0x45dddddd,0xeeeeeeea,0x40000243,0x3ffb6604,0x4000acef,
    0xfffffeda,0x7ec4002e,0x0004ffff,0x0001ffb8,0x503ffffd,0x99bfffff,
    0x5ff80003,0xffff7000,0xffff505f,0xff8803bf,0xffff06ff,0x3ffe20df,
    0x7fffc44f,0xfffffc86,0xffb50001,0xd805dfff,0x3e06ffff,0xf885ffff,
    0x3fe25fff,0x4c2fffff,0x7ffffe40,0x7ffffcc0,0x7fffec5f,0x85ffc882,
    0x106ffffe,0x205fffff,0xfffd80ba,0xbffff02f,0xffffd500,0xf70003bf,
    0xf505ffff,0x8009ffff,0x06ffffff,0x8000ffa6,0xffffffb8,0x7ffff542,
    0x0000244f,0xdfffa824,0x01fffda9,0xb9befd88,0x002ffffe,0xf717fff5,
    0x5c0001df,0xfb8001ff,0xff307fff,0x00001fff,0xb8002ffc,0xa82fffff,
    0x004fffff,0xf303bfd5,0x2209ffff,0xda85ffff,0x7fec41df,0x40001fff,
    0xffffffb8,0xffffe81c,0x3ffffe05,0x6ffff885,0x7ffffffc,0x7ffec04f,
    0x3f7a20ff,0x7fc6ffff,0x02202fff,0x837ffffc,0x03fffff8,0x1ffffe80,
    0x20dffff0,0xffffffc8,0x3ee0000b,0xfa82ffff,0x4004ffff,0x06ffffff,
    0x00005ff5,0x0bfffff6,0x13ffffee,0x09000009,0xf88bfff9,0x3ea02fff,
    0x7ffc40ff,0x7fdc01ff,0x07fff42f,0x01ffb800,0x7ffffe80,0x5fffff10,
    0x2ffc0000,0xffffb800,0xffffa82f,0x4c04004f,0xfffffffd,0xffffffff,
    0x322006ff,0x1fffffff,0x3f6a0000,0xf12dffff,0x7c0bffff,0xffffffff,
    0x47ffffff,0xfffffffa,0xffff00ef,0x7c7741ff,0x3e27ffff,0x8004ffff,
    0x06fffff8,0x0bfffff1,0xffffff00,0xffffffff,0xfffda8ff,0x00002dff,
    0x05fffff7,0x09fffff5,0xffffff80,0x000efc86,0x3ffff200,0xffffa82f,
    0x0000244f,0x3fffea24,0x0ffffc82,0xb03fffd0,0x4c0fffff,0xffa86fff,
    0x77775c4f,0xffeeeeee,0xeeeeeeee,0x3fffe2ee,0xffff106f,0xeee8809f,
    0xfeeeeeee,0xeeeeeeff,0x7fdc5eee,0xffa82fff,0x20004fff,0xfff9efd9,
    0xaaaaaeff,0x802aaaaa,0xffccffc8,0x00001fff,0x7ffffd98,0x0bfffff5,
    0x677ffff4,0xcccccccc,0xfffffd84,0x7c41ffff,0xfb0fffff,0x3fffffe1,
    0xbfffff30,0xffff5000,0x3ffe20df,0x7c4007ff,0xaaacffff,0x0aaaaaaa,
    0x3bfffff1,0xffb80000,0xffa82fff,0x7c004fff,0x226fffff,0x00001ffd,
    0x17ffffdc,0x27ffffd4,0x12000012,0x501ffffd,0xf30bffff,0xff90bfff,
    0x3f601fff,0xfff884ff,0x3ffff20f,0xffffffff,0xffffffff,0xffff13ff,
    0x3ffe20df,0x7fc405ff,0xffffffff,0xffffffff,0x7dc7ffff,0xfa82ffff,
    0x8004ffff,0x3fe4ffd8,0x00006fff,0x7e4fffee,0x0001ffff,0x7fffed40,
    0xfffff75f,0x7ffffc0b,0x7fec0006,0x0effffff,0x3fffffe2,0x3ffa1fb8,
    0xfff30fff,0xf5000dff,0x220bffff,0x007fffff,0x1fffffcc,0x7fff4400,
    0x00001cff,0x0bffffee,0x13ffffea,0xffffff00,0x3bfffa2d,0x3ee00000,
    0xfa82ffff,0x0244ffff,0xff524000,0x3fe60fff,0x7fdc0fff,0x7fe40fff,
    0xffa81fff,0xffff03ff,0x7ffffe49,0xffffffff,0xffffffff,0xfffff53f,
    0x3fffe20d,0x7ffc407f,0xffffffff,0xffffffff,0x7fdc7fff,0xffa82fff,
    0x5c004fff,0x7ff43fff,0x880007ff,0x3f22fffd,0x0001ffff,0xfffffb88,
    0x3ffea0cf,0x3ffe05ff,0xb80007ff,0xffffffff,0x7fffffc3,0x7fff42fb,
    0x3fffe27f,0xff98007f,0xff105fff,0x9800ffff,0x005fffff,0x3ffff6a0,
    0xb80002ef,0xa82fffff,0x004fffff,0x77fffffc,0x5ffffffa,0x3fee0000,
    0xffa82fff,0x00244fff,0xfffd2400,0x3ffe20df,0x7ffc42ff,0xffffc86f,
    0xffffd81f,0x0bffff02,0x003ff700,0x5fffffa8,0xffffff10,0x2ffc0000,
    0xffffb800,0xffffa82f,0xffb1004f,0xffffd09f,0x7cc0003f,0x7fe43fff,
    0x20001fff,0xefffffd9,0xfffff302,0x7ffffc0b,0xf980001f,0x46ffffff,
    0x3ffffffe,0x45fffff8,0x01ffffff,0x7ffffc40,0xfffff106,0xfff8800d,
    0x880006ff,0xcffffffb,0xfff70000,0xfff505ff,0xff8009ff,0xffffffff,
    0x004fffff,0xfffff700,0xfffff505,0x80000489,0x1bffffe4,0x1fffffc4,
    0x220efed4,0x81fffffd,0xf01ffffe,0x7000dfff,0xf98003ff,0xf105ffff,
    0x000fffff,0x8002ffc0,0x82fffffb,0x04fffffa,0x03ffffb0,0x09fffff9,
    0x3fffa200,0x7fffe40f,0x75c4001f,0x01cfffff,0x2fffffc4,0x7ffffff0,
    0xfb107000,0x6c1fffff,0xf04fffff,0xfe87ffff,0x8005ffff,0x306fffff,
    0x209fffff,0xfffff029,0x5400003f,0x2dfffffd,0x7fffdc00,0xffffa82f,
    0x7ffc004f,0xffedffff,0x002fffff,0xfffffb80,0xfffffa82,0x40000244,
    0xdfffff14,0x3ffffe20,0x3ff22005,0xf81fffff,0xffffffff,0x07ffffff,
    0x001ffb80,0x37ffffc4,0x6fffff88,0x17fe0000,0x7fffdc00,0xffffa83f,
    0xfffa804f,0xffff506f,0x448801ff,0xc86ffffc,0x001fffff,0xdfffff93,
    0x7fec0017,0xfff106ff,0x4801ffff,0xfffb80fc,0x3ffea1ff,0xffff00ff,
    0xffffc85f,0x7e4001ff,0xff307fff,0xfe985fff,0x7ffec3ff,0x004806ff,
    0x7ffffe44,0xffa800bf,0xffd83fff,0x7c004fff,0xf17fffff,0x3fffffff,
    0xfffb8000,0xfffa82ff,0x000244ff,0xffffaa40,0xffff106f,0xff9100ff,
    0x3fffff99,0xcfffff88,0xaaaaaaaa,0x7dc000aa,0xfff8001f,0xfff306ff,
    0x400009ff,0xf50005ff,0xfb07ffff,0xd009ffff,0x201fffff,0x05ffffff,
    0x3fffa1ec,0x3ff620ff,0x6d401fff,0x01dfffff,0xfffff300,0x3ffffe60,
    0xd13604ff,0x3fffec09,0x40fffff4,0x40fffff8,0xeffffff8,0x7c41d300,
    0xff507fff,0xfff90dff,0x7ffcc1ff,0x13603fff,0xfffea800,0x3e601dff,
    0x7e44ffff,0x004fffff,0x37fffffc,0xfffffff5,0x7dc0001d,0xfa82ffff,
    0x0244ffff,0xffaa4000,0xff105fff,0xfb80ffff,0xffff93ff,0xffff983f,
    0x2000003f,0xc8001ffb,0xf307ffff,0x0005ffff,0x8002ffc0,0x45fffff9,
    0x4ffffffc,0xffffff80,0x7fffe444,0x6c40dfff,0xffffff86,0xfffffcbe,
    0xffb882ff,0x000bffff,0x0ffffd80,0xffffffb8,0x436444ff,0xfff502fe,
    0x5ffff50b,0x07ffff50,0x3ffffff2,0x20fea0ae,0xb81ffffb,0x7c42ffff,
    0x743fffff,0x43ffffff,0x80000fc8,0xefffffc9,0xffffe80b,0xffdfdabf,
    0x7c005fff,0x5c6fffff,0x5fffffff,0x3ffee000,0xfffa82ff,0x000244ff,
    0xffff9a40,0xffff105f,0x3ff620ff,0x3ffff22f,0x7fffcc1f,0x2000005f,
    0x88001ffb,0xf507ffff,0x0000dfff,0x20005ff8,0xacfffffe,0xfffffdfe,
    0xffffd805,0xaefedfff,0xfffffffe,0xc81ffecd,0xffffffff,0xefffffbd,
    0xfffff14c,0x8800005b,0xfe84fffe,0xffffffff,0xe81ffdcf,0xfffb81ff,
    0x6ffffd81,0x206fffe8,0xffffffe8,0x105ffeff,0xf88bfffd,0xff884fff,
    0x7cc3ffff,0xdfffffff,0x00002ffd,0x7ffff5c4,0xfffff887,0xfffaafff,
    0x3e001fff,0xd86fffff,0x4fffffff,0xffff7000,0xffff505f,0x0000489f,
    0xfffff148,0x3fffe20d,0xffff986f,0x7ffffe43,0x7ffffc41,0x2e000006,
    0xf70001ff,0xff703fff,0x800005ff,0x220005ff,0xffffffff,0xffffffaa,
    0x7fffcc01,0x223fffff,0xfffffffd,0xff301fff,0x745fffff,0x225fffff,
    0x0000cfff,0x97ffec00,0xfb9effc8,0xffffffff,0x39fffb02,0x320bffea,
    0x8dfffb9f,0x00dfffb8,0x7ffffec4,0xd805ffff,0xff913fff,0x7ffec05f,
    0xffe880ff,0x2fffffff,0x64c00000,0xffd507ff,0x3fea3dff,0x004fffff,
    0x0dffffff,0xffffffd1,0xff70005f,0xff505fff,0x00489fff,0x3ffe4800,
    0xfff306ff,0xffe889ff,0x7ffe40ff,0xffff81ff,0x654001ff,0xcccccccc,
    0xccccdffd,0x441ccccc,0xff84fffe,0x800004ff,0x540005ff,0x51effffe,
    0x9fffffff,0xfffffc80,0xffd900df,0x8019ffff,0x40ceffda,0x444effda,
    0x0000002e,0x7fffff5c,0x3ffea0df,0x3601dfff,0xfffffecf,0x222f982e,
    0xdffffffe,0x7ffe4002,0x2002dfff,0xfffffffb,0x7ff4c01e,0x3ff6203f,
    0x001effff,0x1ae20000,0x00015730,0x3ffffe00,0xffff306f,0x8003ffff,
    0x82fffffb,0x44fffffa,0x24800004,0x307ffffc,0xc85fffff,0xfc86ffff,
    0xfd81ffff,0x4806ffff,0x3ffffff2,0xffffffff,0xffffffff,0x25fff903,
    0x002fffc8,0x00bff000,0x002ae600,0x2b2e6000,0x2b2a2000,0x0044000a,
    0x00000044,0xbb988000,0x2b2e600a,0x5cc0a801,0xa881400b,0x980001bb,
    0x440001ba,0x98001bba,0x565cc002,0x00000001,0x00000000,0x37fffffc,
    0xffffff50,0x7d4001df,0xfd83ffff,0x0244ffff,0xff124000,0x3fea0fff,
    0xfffe86ff,0x3ff620ff,0xff981fff,0x3603ffff,0x3fffff24,0xffffffff,
    0xffffffff,0x3ffae03f,0x001effff,0x017fe000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff000,0xfffc80df,0x2005ffff,0x44fffff9,0x4ffffffc,
    0x24000024,0x207fffee,0xf82ffffb,0xcbefffff,0x2fffffff,0xffffffd0,
    0x220fc887,0x99999999,0x99999999,0x00999999,0x001bba88,0x01330000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8000,0xffe807ff,0x004fffff,
    0x2ffffffa,0xffffdfda,0x0000245f,0x3fffa224,0x27fffc45,0xffffffc8,
    0xffffbdff,0x7fcc4cef,0xddffffff,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffffc,0x7ffffc40,0xf1003fff,
    0x5fffffff,0x3ffffff5,0x24000024,0x913fffd8,0x7cc05fff,0x22ffffff,
    0x05fffffe,0xffffffd1,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffff880,0xffd800ff,0x03ffffff,0xdffffd50,
    0x3ffffea3,0x000094ff,0x7ffdc090,0x801effff,0x40ceffda,0x404effda,
    0xffffffd8,0x0000001e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xffffffe8,0x3f6200df,0xffffffff,0x1573001d,0x3333a000,
    0xcccccccc,0xcccccccc,0xbba8804c,0x00110001,0x97300011,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xffffffee,
    0x42ffffff,0xfffffffc,0x0fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd7000000,0xdddddddd,0x3bbbbb63,
    0x3ba1eeee,0x40005eee,0x77775c09,0x445eeeee,0x41eeeeee,0x00280002,
    0x1000a880,0x10000015,0x3bba2005,0xeeeeeeee,0x3a2eeeee,0xeeeeeeee,
    0xddddd95e,0x3bbba21d,0x8000eeee,0xa9dc00ca,0xeeeeeeee,0x3bbbb64e,
    0x03c85eee,0x00000654,0x0300015c,0x11000600,0x00018000,0x00440003,
    0x40000980,0x0a980098,0x02600440,0x0c400220,0x0004c400,0x6c400000,
    0x0effffff,0x3fffff22,0x7fe440df,0xddddd50c,0xffeb87dd,0x3ffff225,
    0xc880cfff,0x1fe42eff,0x4055e54c,0x3bba63fd,0x3ae3eeee,0xc884efff,
    0x502dfffe,0x5ddddddd,0x0effff64,0x9bdfff10,0xfffff999,0x7fe4c1ff,
    0x222fffff,0x4c1bfffc,0x0ffffffc,0x202fd400,0x3ffaa2fc,0x220bffff,
    0x0adffffb,0x3e203fc8,0x3600000e,0xfd8005ff,0x027d4001,0x4002ffc8,
    0x02dfffda,0x37fff6e2,0x5fd9800b,0x007fc800,0x3dfffb50,0x07fffd50,
    0x983bffb1,0xd880cffd,0xdf901dff,0xfb803dfb,0x880dffed,0xffffffff,
    0xffffffff,0x47ffffff,0x05fffffd,0x09fffffd,0x3fa61be2,0x3f64ffff,
    0x7e41ffff,0x200fffff,0x7fcc1ff8,0xffffd53f,0x3ff63bff,0x3fffaa0e,
    0xffffb4ff,0x7f449fff,0x02ffffff,0x7fffffd5,0xffffffb1,0x0ffe203f,
    0x7fffffcc,0xfffff903,0x00ef983f,0x07fffffc,0x403ff300,0xfffb86fc,
    0x3ffa05ff,0x017fc403,0x00001df9,0x800ffff1,0x5001fffb,0xf8803fff,
    0x3ea006ff,0x80ffffff,0xffffffe8,0xfeb880ef,0x7cc005ff,0x7e4003ff,
    0x40ffffff,0x43ffffff,0x6c5ffffb,0xfc83ffff,0x7f445fff,0x6c0ffea6,
    0x03bfee2f,0xfffffff1,0xffffffff,0xffffffff,0x7fffff88,0xdfffff50,
    0x7d40be60,0xffb4ffff,0xf887ffff,0x201fffff,0xfff505f9,0xfffffffd,
    0x1dffdfff,0xbfffff50,0xfffd79fd,0x99ff35ff,0x01ffffff,0x37fffff2,
    0xffffdcfe,0x409f106f,0x06fffffe,0x2ffffff4,0x3fa003f2,0x3000ffff,
    0x7fdc0bff,0xfffffa81,0x005ff104,0x7c407ff2,0xfd00005f,0xff9000bf,
    0xfffa803f,0x7fff9803,0xd737f300,0xfe88bfff,0xffecbcff,0x3fb3660e,
    0x7ec005ff,0xf3000fff,0x9ffffd9b,0x7fffffd4,0x7fffff47,0xdfffff10,
    0x1ffffff0,0x3fe1ffec,0x52ffd41f,0xcc885fff,0xcccccccc,0xcccccccc,
    0xfd87fecc,0xf982ffff,0xb81fffff,0x3fffe607,0xfffefbcf,0xfffc81ff,
    0x07ee04ff,0xcfffffa8,0xfffdb99a,0xfff500ef,0x7c43ffff,0x45ffffff,
    0x03fffffb,0xdffffff7,0x2fffffc8,0xff701f88,0x9803ffff,0x31ffffff,
    0x3ff6005f,0xf8800fff,0xbff701ff,0x3ffffea0,0x4005fb04,0xf901fff8,
    0x710000bf,0x3f200017,0xfff501ff,0x27ff4007,0x7fd41c80,0x06ffec5f,
    0xfb837fe4,0x3ea005ff,0xd004ffff,0x27fffc85,0xfffffffa,0x3fffffe1,
    0xdfffff10,0x1ffffff0,0xfd0bffea,0x27ffc8bf,0x0003fff9,0xa87fd800,
    0xb85fffff,0x84ffffff,0x3ffe604e,0xfb13feff,0x3ffe20bf,0x0dd00fff,
    0x401bffd0,0x2603fffa,0x81ffffff,0x85fffffe,0x04fffff9,0x1dfffff5,
    0x3fffffa8,0xfff10688,0x3600bfff,0xbd5fffff,0x7fffec00,0x7ff4400f,
    0x03fff505,0x13ffffea,0x320007f2,0xff880eff,0x0000004f,0x83fff900,
    0x9303fffa,0x221ffb83,0xff8800bb,0x01bfe22f,0xff503ffb,0x7ff400bf,
    0x0801fffb,0x7c6fff88,0x22ffffff,0x7c6ffffd,0xfd85ffff,0x3fee6fff,
    0x23fff41f,0x3fee1db8,0x8000004f,0xfffd07fd,0xffce81ff,0x0fcc7fff,
    0xffffff30,0xfd80310d,0xf883ffff,0x02ffd402,0x2607ff98,0xb04fffff,
    0x103fffff,0x20bfffff,0x83fffffa,0x04fffff9,0x7ffffe40,0xfff1000f,
    0x001fbfff,0x07ffffec,0x01fffd10,0x540bfff3,0x644fffff,0xff10001f,
    0xfff901df,0x00000009,0x547fff20,0xff303fff,0x99be21bf,0xfc806fff,
    0x017fd42f,0x3ea0ffe2,0xff7005ff,0x0017ff69,0x2a1fffc4,0x21ffeffe,
    0x745ffffc,0xfc83ffff,0x3ff64fff,0x07fff41f,0xfffdfb88,0xd8000004,
    0xffff907f,0x7f47cc7f,0x1b21ffff,0xffffff30,0x3fe60005,0x07c86fff,
    0x2000ffe8,0xff303ffb,0x3f609fff,0xf881ffff,0xf505ffff,0xf307ffff,
    0x4009ffff,0x3ffffff9,0x7fffe400,0x7ec002ff,0x3a00ffff,0xff984fff,
    0x3fea01ff,0x3ff24fff,0x3ff20000,0xffff886f,0x00000003,0xff9fffb0,
    0x7ffdc07f,0x3ea7b0ff,0xb300ffff,0x7e41bfff,0x85ff800f,0x8805fffa,
    0xfff10fff,0xfff50005,0x07fcc201,0xc87ffff5,0xfa81ffff,0x3ff62fff,
    0x07fff41f,0x7fccffdc,0x8000004f,0xfff307fd,0xfbae4dff,0x0fa4ffff,
    0xffffff30,0x7ff40001,0x01fc2fff,0x20013fe2,0xfff306ff,0x3ff609ff,
    0xff881fff,0xff506fff,0xff307fff,0x7400bfff,0x006fffff,0xffffff88,
    0x7ffec003,0xfffb00ff,0xffff881f,0x7fffd405,0x0bfff94f,0x7fffc400,
    0x2ffffc85,0x3bbbbbae,0xeeeeeeee,0xeeeeeeee,0x7fffec02,0x7ffc403f,
    0xfcbdbfff,0xd105ffff,0x64dfffff,0x6ff800ff,0x805fffa8,0x7fdc3ffc,
    0x2ffc8006,0x7c47fb80,0x7fd41fff,0xffff107f,0x20fffe41,0x7ec47ffe,
    0x09fff31f,0xffb00000,0x7fffff40,0x3ffe25f1,0x803f37ff,0x07fffff9,
    0x7fffdc00,0x5003ea5f,0xfd0005ff,0x3fffe60f,0xffff904f,0xffff103f,
    0x3ffea0df,0xfff983ff,0xff7005ff,0x0003ffff,0x3fffffee,0x3fff6000,
    0xfffd80ff,0x7fff444f,0x7ffd401f,0xffffdcff,0x3f20003f,0x7fc44fff,
    0xfff92fff,0xffffffff,0xffffffff,0xfb007fff,0x2e2009ff,0xcefccccd,
    0x8802cccc,0xf72ffffd,0x4ff8805f,0x405fffa8,0xfff07ff9,0x1ffcc007,
    0xfe83fe80,0x5fff887f,0xf51bffa0,0x5ffe83ff,0xff337fdc,0x0000009f,
    0x7fdc0ffb,0x20facfff,0xcafffffd,0xffff9806,0xff80006f,0x09d1ffff,
    0x0003ff70,0xff301ff9,0x3f209fff,0xf881ffff,0xf506ffff,0xf307ffff,
    0x100bffff,0x0bffffff,0x7fffc400,0x3f6003ff,0xfe80ffff,0x7fcc4fff,
    0x7d400fff,0xffffffff,0x0000ffff,0x81dffff7,0xf94ffffe,0xffffffff,
    0xffffffff,0x807fffff,0x01fffffa,0x007b7200,0x29fff900,0x7ec06ff9,
    0x5fffa82f,0xa817fec0,0xe8800fff,0x0df1003f,0x7f417ff2,0x13ff203f,
    0xfff0bff6,0x99fffe83,0x0004fffd,0x204ca800,0xdffffff8,0x7ffffd45,
    0xff9803fd,0x80005fff,0x9cfffffc,0x2ffa801f,0x307fd800,0x209fffff,
    0x81fffffc,0x06fffff8,0x07fffff5,0x0bfffff3,0xffffffb0,0xffb80001,
    0xb000ffff,0x101fffff,0xa81ffffd,0x5404ffff,0xd9ffffff,0x006fffff,
    0x81dfffd0,0x004ffff9,0xfa800000,0x01fffeff,0x7d47f4c0,0x3fe60003,
    0x037ff63f,0x7d41bff2,0x3fea05ff,0x027ff406,0x40e217ec,0x7ff301fd,
    0xa807fee0,0x5fe882ff,0x3f60ffea,0xfffaffff,0x000000ce,0xffffd800,
    0xffff82ff,0xf9800fff,0x0004ffff,0xffffff88,0x7ff3006d,0x20dff000,
    0x04fffff9,0x03fffff9,0x0dfffff1,0x0fffffea,0x17ffffe6,0xffffff30,
    0xffb00007,0x2009ffff,0x00fffffd,0x509fffd1,0x5401ffff,0xf14fffff,
    0x007fffff,0x80ffffb8,0x0005fffe,0xffa80000,0x03fff93f,0x7c5bfee0,
    0xfb0001ef,0x7fffc43f,0x1fffecbc,0x40bfff50,0x7cc01ffe,0x2ff200ff,
    0x445e9999,0x0ffc00ed,0x7c407f98,0xbff9100f,0x3f6603df,0x1bfd70ce,
    0x00000000,0x1fffffea,0x2fffffe4,0xfffff980,0xffb00004,0x2005ffff,
    0x4c006ff8,0xfff305ff,0x3ff209ff,0xff881fff,0xff506fff,0xff307fff,
    0xfe80bfff,0x2a06ffff,0xffcfa800,0xd800ffff,0x200fffff,0xb80ffff8,
    0x3ea04fff,0x3ea4ffff,0x001fffff,0x2a07fffa,0x00005fff,0xfffa8000,
    0x00fffe43,0xfe93fff2,0x2ed982ff,0xfe984fe8,0x2fffffff,0x41bffee0,
    0xfb005ffb,0x3fff20bf,0x2e3fffff,0x07d800ce,0x03f402fc,0x00000988,
    0x00000000,0x09fffff0,0x0fffffe6,0x7ffffcc0,0xff300004,0xc800ffff,
    0x3fa003ff,0xffff301f,0x3fff209f,0xfff881ff,0xfff506ff,0xfff307ff,
    0x7fdc0bff,0x3a01ffff,0xfea7c400,0xd804ffff,0x400fffff,0xf904fff9,
    0x3fea01ff,0x7fec4fff,0xf7006fff,0x3ffa03ff,0x15c0000e,0x7fff5000,
    0x807fff20,0x3f21ffff,0xfffb85ff,0x405fb8ad,0x0dfffffc,0x437ffe40,
    0x1000fff8,0xffb83fff,0x1fffffff,0x8095000a,0x004b802c,0x00000000,
    0xf9000000,0x7f403fff,0xf3000fff,0x0009ffff,0x1fffff40,0x0bffe200,
    0x9817ff60,0x904fffff,0x103fffff,0x20dfffff,0x83fffffa,0x05fffff9,
    0xbffffff1,0x36007cc0,0x3ffffe66,0x7ffec01f,0xff9800ff,0x09ff900f,
    0x13ffffea,0x9ffffff1,0x205fff00,0x0000effa,0x40027ff4,0x6403fffa,
    0xffd01fff,0x84fff98d,0xdfffffd8,0x002a2001,0xfffffdd1,0x13ff23dd,
    0x54dff700,0xffffffff,0x000000ff,0x00000000,0x00000000,0xfff98000,
    0x2fffdc06,0xfffff300,0x7dc00009,0x44000fff,0x980cfffe,0x2604fffe,
    0xb04fffff,0x103fffff,0x20dfffff,0x83fffffa,0x05fffff9,0x1ffffffb,
    0xf701fe20,0xfffffe83,0x7fffec05,0x9ff5001f,0x5407fec0,0xa84fffff,
    0x02ffffff,0xfe80bfee,0x7c40000e,0x7d4007ff,0xffb003ff,0x03bb303f,
    0x4c401bd7,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffd0000,0x02fff880,0x3ffffe60,0x7fc00005,0x7f44005f,0xedefffff,
    0x3fffffff,0xbfffff30,0x3fffff60,0xfffff881,0xfffff506,0xfffff309,
    0xfffff30b,0x1bfaa07f,0xffa85fa8,0x3a03ffff,0x002fffff,0xfe807fee,
    0xfffffb85,0xfffffb05,0x80ffe01f,0x00001ffb,0x8800bffd,0x7ec003fe,
    0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007fdc00,0x2a003fec,0x005fffff,0x00ffe400,0xd5dffd10,0xffffffff,
    0x507fff79,0x20dfffff,0x82fffffe,0x07fffff9,0x09fffff7,0x0dfffff5,
    0x7ffffffd,0xffff9975,0x0dff930d,0xfffffff3,0xfffff505,0x7dc001bf,
    0x987fa205,0x2ffffffe,0xffffffb8,0x2027dc1e,0x200001ff,0x88000bc8,
    0x00170003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x17ea00df,0xffffd880,0x200001ff,0x744006f8,0x3fb6a0ef,
    0x3fea0cef,0x7fffec44,0x7ffcc2ff,0x3621efff,0x43ffffff,0xffffffe9,
    0x3ffff621,0x3ffee2ff,0xffffffff,0x745fffff,0xd4efffff,0xffffffff,
    0x3fffe2df,0x03ffffff,0xd8803b20,0xffffff53,0x7fdcbfff,0x3fffffff,
    0x03d50136,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0ae00000,0xf5001c80,0xffffffff,0x2e00003d,
    0x00d88001,0xff512a00,0xbfffffff,0x3ffffff6,0xfff9afff,0x77ffffff,
    0xffffffff,0xfffff17f,0x000bffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33300000,0x33333333,0x33333333,0x02203333,0xccb80a88,0xb7100ccc,
    0x3332e017,0x000000cc,0x22222220,0x4c088888,0x2ec983ec,0x55555544,
    0xaaaaaaaa,0x2aaaaaaa,0x37777766,0xdddddddd,0x5ddddddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff1000,0xffffffff,0xffffffff,
    0x01f30fff,0x889fffb1,0x984fffff,0x440fffff,0x103fffff,0x015bdfd9,
    0xffff5b80,0xffffffff,0x11ffffc5,0x7d45ffff,0xffffffff,0xffffffff,
    0x3ea7ffff,0xffffffff,0xffffffff,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff1,0xffffffff,0xffffffff,0xfb81ee88,
    0x7cc2ffff,0xffc86fff,0x7fdc3fff,0xfff304ff,0x03bfffff,0x7fffd3e0,
    0xffffffff,0x4dffff52,0x2a6ffffa,0xffffffff,0xffffffff,0x2a7fffff,
    0xffffffff,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999910,0x99999999,0x99999999,0x44fffc89,0x85fffffe,
    0x7c1ffff9,0x6c6fffff,0x3fa04fff,0xffffffff,0x7f500bef,0x3ffffffe,
    0xf32fffff,0x7fd4dfff,0x2aaa25ff,0xaaaaaaaa,0xaaaaaaaa,0x444442aa,
    0x88888888,0x88888888,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb8000,0x7fffff47,0x89fff305,0x24fffffd,0x2e04fff8,
    0xfda88bef,0xadffffff,0xff0ffda9,0xffffffff,0x7fff45ff,0x00ffff42,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee00000,0x3ffee0ff,0x3fe602ff,0x7ffffd46,0xb017fee1,0x3faa201f,
    0xffffffff,0x2666663f,0x09999999,0x0ba80654,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x7fec46ff,
    0x1ffa805f,0x3616ff54,0x004f805f,0xffffff93,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999980,
    0x99999999,0x99999999,0x817ffd41,0x32a000a8,0x01320101,0x2a0007a2,
    0x0001cddc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc40000,0xffffffff,0xffffffff,0xffd7ffff,0x000003bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff8800,0xffffffff,0xffffffff,0x000037ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99100000,0x99999999,0x99999999,0x00099999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_48_latin_ext_x[560]={ 0,3,3,0,1,3,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,3,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,6,6,-1,6,6,6,
6,6,6,6,6,6,6,6,6,6,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,1,1,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,1,0,-1,1,
1,1,1,1,1,1,1,1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,0,1,-1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static signed short stb__times_bold_48_latin_ext_y[560]={ 38,8,8,8,8,8,8,8,8,8,8,12,31,25,
31,8,8,8,8,8,8,9,8,9,8,8,17,17,13,18,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,44,8,17,9,17,9,17,8,17,9,8,
8,9,9,17,17,17,17,17,17,17,10,18,18,18,18,18,18,8,8,8,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,38,17,9,8,13,9,
8,8,9,8,8,18,18,25,8,4,8,12,8,8,8,18,9,20,37,8,8,18,8,8,8,17,-1,-1,-1,0,
0,1,9,8,-1,-1,-1,0,-1,-1,-1,0,9,0,-1,-1,-1,0,0,14,7,-1,-1,-1,0,-1,9,8,8,8,
7,8,9,7,17,17,8,8,7,9,8,8,7,9,8,8,8,8,7,8,9,14,17,8,8,7,9,8,8,9,
2,11,0,8,8,17,-1,8,-2,7,0,9,-1,7,-1,8,9,9,2,11,-1,8,0,9,9,17,-1,7,-2,7,
0,8,0,9,8,6,-2,-2,9,9,0,9,2,11,-1,8,9,8,0,18,9,8,-2,7,9,9,18,-1,-1,9,
9,8,8,9,9,9,9,-1,8,9,17,-1,7,8,8,17,2,11,-1,8,-1,8,8,17,-1,8,9,17,-1,7,
-1,8,-2,7,8,17,-1,7,9,10,-1,8,9,10,0,9,2,11,-1,8,-2,7,-1,8,9,18,-2,7,-2,7,
0,-1,8,0,9,-1,7,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,15,10,10,10,10,10,10,10,10,10,10,10,10,10,3,17,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,7,-1,7,-1,
7,-1,7,-1,4,-1,2,-1,1,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-7,-1,-1,8,-1,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_48_latin_ext_w[560]={ 0,8,18,21,20,38,34,8,13,13,18,24,9,13,
8,13,20,17,19,20,19,20,20,20,20,20,8,9,24,24,24,18,39,31,28,28,30,27,26,33,33,16,22,35,
28,41,31,32,25,32,32,21,27,30,31,43,32,31,29,10,13,9,20,24,10,20,23,18,23,18,17,20,22,12,
13,24,12,34,22,20,23,23,18,15,15,22,22,31,21,22,19,13,4,13,24,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,18,21,22,22,
4,19,15,31,14,21,25,13,31,24,15,24,12,12,10,24,24,8,8,11,13,21,31,31,32,18,31,31,31,31,
31,31,43,28,27,27,27,27,16,16,16,16,30,31,32,32,32,32,32,19,32,30,30,30,30,31,25,21,20,20,
20,20,20,20,30,18,18,18,18,18,13,13,14,14,20,22,20,20,20,20,20,24,20,22,22,22,22,22,23,22,
31,20,31,20,31,21,28,18,28,18,28,18,28,18,30,31,30,23,27,18,27,18,27,18,27,18,27,18,33,20,
33,20,33,20,33,20,33,22,33,22,16,14,16,14,16,14,16,12,16,12,36,21,22,17,35,24,24,28,13,28,
12,28,20,28,18,28,12,31,22,31,22,31,22,32,32,20,32,20,32,20,32,20,41,30,32,18,32,18,32,18,
21,15,21,15,21,15,21,15,27,15,27,23,27,14,30,22,30,22,30,22,30,22,30,22,30,22,43,31,31,22,
31,29,19,29,19,29,19,17,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,30,22,22,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,34,25,22,22,22,22,22,22,22,22,22,22,22,22,22,36,26,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,20,16,15,32,
20,30,22,30,22,30,22,30,22,30,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,31,20,43,30,32,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__times_bold_48_latin_ext_h[560]={ 0,31,15,31,33,32,31,15,39,39,18,24,15,6,
8,31,31,30,30,31,30,30,31,30,31,31,22,29,22,11,22,31,40,30,29,31,29,29,29,31,29,29,30,29,
29,29,30,31,29,38,29,31,29,30,30,30,29,29,29,37,31,37,16,4,8,22,30,22,30,22,30,31,29,30,
40,29,29,21,21,22,31,31,21,22,29,21,21,21,20,30,20,39,40,39,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,37,31,21,29,
40,40,6,31,14,20,11,6,31,4,16,24,16,17,8,30,39,8,10,16,14,20,32,32,32,31,39,39,39,38,
38,37,29,39,39,39,39,38,39,39,39,38,29,39,40,40,40,39,39,19,33,40,40,40,39,39,29,31,31,31,
32,31,30,32,22,30,31,31,32,30,30,30,31,29,31,30,31,31,32,31,30,19,22,31,31,32,30,40,40,39,
36,28,38,31,40,31,40,31,41,32,39,30,40,32,39,31,29,30,36,28,39,31,38,30,39,31,39,32,41,41,
39,40,39,39,39,42,40,40,29,29,38,29,36,27,39,30,39,40,38,20,30,40,41,41,38,38,20,39,39,38,
38,30,30,29,29,29,29,40,30,38,30,40,31,30,31,31,37,28,40,31,40,31,31,22,39,30,38,30,39,31,
40,31,41,32,39,30,40,32,40,39,39,31,29,29,39,30,37,28,40,31,41,32,40,31,39,30,41,32,40,41,
38,39,30,38,29,39,31,30,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,31,28,28,40,28,28,28,
28,28,28,28,28,28,28,28,28,28,33,24,28,28,28,28,28,28,28,28,28,28,28,28,28,36,22,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,39,32,39,31,40,
32,40,32,40,35,40,37,40,38,40,37,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,45,40,39,31,41,31,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__times_bold_48_latin_ext_s[560]={ 511,499,438,183,357,280,401,429,382,461,325,
195,419,255,190,476,1,370,64,162,319,288,406,20,308,345,432,501,460,156,299,
171,454,176,16,279,83,114,165,39,192,226,250,1,273,302,273,468,344,379,370,
104,403,377,429,25,431,464,243,500,64,490,385,285,199,278,69,392,1,441,480,
52,142,498,494,58,45,98,133,411,190,126,33,355,413,485,52,1,176,93,156,
496,279,178,230,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,511,490,82,
257,75,287,493,32,269,1,471,211,486,255,436,310,357,144,406,344,219,151,192,
210,181,373,457,258,248,47,319,491,217,249,281,302,82,188,230,467,1,29,57,
351,85,136,153,208,310,260,398,332,365,428,346,305,413,104,220,389,292,396,204,
235,214,290,371,150,408,465,247,84,20,1,352,208,305,363,365,1,311,227,269,
248,227,205,437,280,371,120,97,1,201,24,135,475,302,104,238,455,159,226,191,
143,303,486,30,1,275,185,323,423,116,339,274,125,354,45,1,461,232,78,204,
446,246,148,102,368,170,446,122,33,420,1,170,147,473,370,220,496,379,136,396,
498,334,198,474,101,280,54,172,147,233,1,498,412,225,408,180,341,429,483,274,
219,247,270,224,123,73,103,332,380,124,83,155,138,337,159,96,324,413,332,114,
351,313,33,315,366,126,100,156,458,79,116,251,492,1,382,385,448,414,41,157,
37,284,448,72,24,188,22,61,309,202,153,47,103,441,462,388,29,463,92,471,
270,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,392,60,60,251,
60,60,60,60,60,60,60,60,60,60,60,60,60,378,169,60,60,60,60,60,
60,60,60,60,60,60,60,60,237,220,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,29,79,
445,329,335,132,462,204,52,334,1,59,431,59,304,101,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,1,83,370,73,169,427,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60, };
static unsigned short stb__times_bold_48_latin_ext_t[560]={ 1,288,539,321,248,288,321,539,169,169,539,
509,539,560,560,288,321,385,417,321,417,385,353,417,353,353,509,321,509,560,509,
353,47,417,479,353,479,479,479,353,479,479,417,509,479,479,417,321,479,209,479,
353,479,417,417,448,479,479,479,209,321,209,539,560,560,509,448,509,448,509,417,
385,479,417,47,479,479,539,539,509,353,353,539,509,448,509,539,539,539,448,539,
129,88,129,560,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,1,288,248,
353,539,448,1,47,560,385,539,539,539,560,321,560,539,509,539,539,560,417,129,
560,560,539,539,539,288,288,288,353,129,129,129,209,209,248,448,129,169,169,169,
209,169,169,169,209,448,169,1,1,1,169,129,539,248,47,47,47,169,169,448,
353,353,321,288,353,417,248,509,417,353,353,288,417,417,417,321,479,321,417,321,
321,288,321,385,539,509,321,321,288,385,88,47,169,248,509,209,288,47,321,47,
321,1,248,209,417,47,288,169,288,448,417,248,509,169,321,249,417,169,321,169,
248,1,1,169,47,169,129,129,1,47,88,448,448,209,448,248,479,129,417,129,
1,209,539,385,88,1,1,209,209,539,209,169,209,209,385,385,448,448,448,448,
88,385,209,385,88,385,417,321,321,248,509,88,385,88,385,385,509,129,385,209,
385,129,385,88,353,1,288,129,385,88,288,88,88,129,353,448,448,88,417,248,
509,88,353,1,288,88,321,129,385,1,288,88,1,209,88,385,249,448,129,353,
385,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,288,509,509,47,
509,509,509,509,509,509,509,509,509,509,509,509,509,248,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,248,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,129,288,
88,353,47,288,1,288,47,248,47,248,1,209,47,248,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,1,47,88,353,1,353,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,509,
509,509,509,509,509,509,509,509,509, };
static unsigned short stb__times_bold_48_latin_ext_a[560]={ 173,231,385,347,347,694,578,193,
231,231,347,395,173,231,173,193,347,347,347,347,347,347,347,347,
347,347,231,231,395,395,395,347,645,501,463,501,501,463,424,539,
539,270,347,539,463,655,501,539,424,539,501,386,463,501,501,694,
501,501,463,231,193,231,403,347,231,347,386,308,386,308,231,347,
386,193,231,386,193,578,386,347,386,386,308,270,231,386,347,501,
347,347,308,273,153,273,361,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,173,231,347,347,347,347,153,347,
231,518,208,347,395,231,518,347,277,381,208,208,231,400,375,173,
231,208,229,347,520,520,520,347,501,501,501,501,501,501,694,501,
463,463,463,463,270,270,270,270,501,501,539,539,539,539,539,395,
539,501,501,501,501,501,424,386,347,347,347,347,347,347,501,308,
308,308,308,308,193,193,193,193,347,386,347,347,347,347,347,381,
347,386,386,386,386,347,386,347,501,347,501,347,501,347,501,308,
501,308,501,308,501,308,501,509,501,386,463,308,463,308,463,308,
463,308,463,308,539,347,539,347,539,347,539,347,539,386,539,386,
270,193,270,193,270,193,270,193,270,193,571,383,347,231,539,386,
386,463,193,463,193,463,325,463,274,463,193,501,386,501,386,501,
386,506,533,386,539,347,539,347,539,347,694,501,501,308,501,308,
501,308,386,270,386,270,386,270,386,270,463,231,463,361,463,231,
501,386,501,386,501,386,501,386,501,386,501,386,694,501,501,347,
501,463,308,463,308,463,308,193,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,512,539,539,347,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,384,539,539,539,539,539,539,
539,539,539,539,539,539,539,552,416,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,501,347,270,193,539,347,501,386,501,386,501,
386,501,386,501,386,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,501,347,694,501,539,347,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_48_latin_ext(stb_fontchar font[STB_FONT_times_bold_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_48_latin_ext_s[i] + stb__times_bold_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_48_latin_ext_t[i] + stb__times_bold_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_48_latin_ext_x[i];
            font[i].y0 = stb__times_bold_48_latin_ext_y[i];
            font[i].x1 = stb__times_bold_48_latin_ext_x[i] + stb__times_bold_48_latin_ext_w[i];
            font[i].y1 = stb__times_bold_48_latin_ext_y[i] + stb__times_bold_48_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_48_latin_ext_s[i] + stb__times_bold_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_48_latin_ext_t[i] + stb__times_bold_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_48_latin_ext_x[i] + stb__times_bold_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_48_latin_ext_y[i] + stb__times_bold_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_48_latin_ext_LINE_SPACING
#endif

