// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT        595
#define STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_49_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_49_latin_ext_LINE_SPACING          32

static unsigned int stb__times_bold_49_latin_ext_pixels[]={
    0x55550000,0x00000155,0x01aaaa88,0x76400000,0x0002eeee,0x00aaaaa0,
    0x2aaa2000,0x0000002a,0x00355551,0x08000000,0x22000000,0x2600000b,
    0x00deeeee,0x1aaaa800,0x26000000,0x001a880a,0x4006a000,0x80000098,
    0x002aaaa8,0xaaa88000,0x0aaaaaaa,0x44000000,0x00099999,0xa8016440,
    0x2a00001c,0x00002aaa,0x3fffe600,0x8000004f,0x007ffffe,0x3fe20000,
    0x00004fff,0x07ffffee,0xfff90000,0x000001ff,0x1fffffb0,0x80000000,
    0x004fffc8,0x00f64000,0x3fff2000,0x300001ff,0x0000dfff,0x867fc400,
    0x00000efa,0xd300ff60,0x9000003f,0x003fffff,0xfffa8000,0x1fffffff,
    0x6c000000,0x001fffff,0x5c04fd80,0x2e00006f,0x001fffff,0xfff90000,
    0x000000bf,0x7ffffff5,0x2e000000,0x0004ffff,0x3ffffe20,0x2600006f,
    0x04ffffff,0x7fcc0000,0x0004ffff,0x3fa20000,0x0006ffce,0x0004e880,
    0x3ffffd00,0xfe980000,0x0000000f,0x3ffbffea,0x44000001,0x9ff504ff,
    0xff100000,0x000bffff,0xffffa800,0x01ffffff,0x3e200000,0x0001ffff,
    0x360bff30,0x100002ff,0x0dffffff,0x3fa00000,0x000005ff,0xffffffd0,
    0x0000001f,0x000bfffb,0xfffffc80,0xb00002ff,0x3fffffff,0x7f400000,
    0x00ffffff,0xf9000000,0x0003fc87,0x00007e40,0x0ffffcc0,0xfe880000,
    0x40000003,0x003ffffc,0xbff90000,0x007ffdc1,0x7ffec000,0x0001ffff,
    0x2aaaa200,0x00aaaaaa,0x3ea00000,0x00002fff,0xe8877fec,0x200005ff,
    0xfffffffc,0x4c000002,0x00005fff,0xbdfff700,0x00007fff,0x05fff880,
    0x7ffcc000,0x006fffdf,0xdffffa80,0x00005fff,0xfbffff50,0x00000bff,
    0x3e21fa00,0x77c00006,0x5c000018,0x00002fff,0x0000d440,0x15554000,
    0xf1000000,0xfffb1dff,0xf3000007,0xbfffbfff,0x00000000,0xb0000000,
    0x00005fff,0xf5dfff10,0x00003fff,0x3f7fffe6,0x000006ff,0x00077fe4,
    0x7ffc4000,0x01fff90d,0x7fdc0000,0xfd800005,0x5fff51ff,0xeffe8000,
    0x003fff70,0x1dffd000,0x0007ffee,0x417e0000,0x2200006d,0x000effff,
    0x005ffd00,0x707d7000,0x4000005d,0x02eb83eb,0xffc80000,0x006fffff,
    0x3dffd000,0x000bffee,0xb83eb800,0x0000002e,0x000bffe2,0xffffc800,
    0x00004fff,0x7d47fff6,0x000002ff,0x00003bfa,0x427fe400,0x00004ffb,
    0x0001bf60,0x303bfea0,0x5c000dff,0x7fd40dff,0x7dc00005,0x05ffa85f,
    0xfe800000,0x0002fc40,0x0fffffa0,0x0bfe6000,0x3fe60000,0x03ffe60f,
    0x3fe60000,0x03ffe60f,0xff100000,0x005fffff,0x1bff5000,0x0006ffa8,
    0x41fff300,0x0000fff9,0x07ff5000,0xff880000,0x000fffff,0x81dff500,
    0x00006ff9,0x0001df30,0x0bfe6000,0x0000ffa8,0x000de880,0x205fe800,
    0x88003fe8,0x3fe604ff,0xff100001,0x00ffcc07,0x3ee00000,0x005fb30c,
    0xffffb800,0x3ea80002,0xff100000,0x07ffcc1f,0x7fc40000,0x03ffe60f,
    0x3ee00000,0x0006ffff,0x4c09ff00,0x800002ff,0x3e60fff8,0x000000ff,
    0x00007fb0,0x3ffff200,0x3a00003f,0x0ffa205f,0x22620000,0x90000000,
    0x09f3003b,0x00000000,0x8803ea80,0x2eb8007e,0x0006e880,0xd3005d70,
    0x0000000d,0x09ffdffb,0xdd710000,0x00000007,0x416d4000,0x000002da,
    0x0b6a0b6a,0x6c400000,0x0001eeee,0x8803ea80,0x5000006e,0x005b505b,
    0x00cc0000,0x99100000,0x40000999,0x7e8803ea,0xfe980000,0x000003ff,
    0x00000000,0x00500000,0x00000000,0x00000000,0x00000000,0x0016f6d4,
    0x00000000,0x0077ff66,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7e6ffcc0,0x0000005f,
    0x20000000,0xcefedcb9,0x07f600ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x802ffeef,0x99999999,0x01999999,0x33333333,
    0x4ccccc33,0x99999999,0x33333019,0x00033333,0x677f6654,0x000ee01a,
    0x26000000,0x99999999,0x30199999,0x33333333,0x66540003,0x201acefe,
    0x3333333b,0x33333333,0x26666603,0x00019999,0x74000000,0x0017ec1f,
    0x76654000,0x2e01acef,0xffd51003,0xfffdddff,0x04fc81bf,0xdefecb88,
    0x3100580b,0x33333333,0x22133333,0x99999999,0x4ccc1999,0x99999999,
    0x26620199,0x33309999,0x33333333,0x26603333,0x19999999,0xacdcba80,
    0x0ff40000,0xdc801fd3,0xfffffffe,0xc80cceff,0xdffffffd,0xfffdb90c,
    0x9dffffff,0xfffb9019,0x0019bfff,0x7ffffe44,0xbdffffff,0x4ccc7d11,
    0x99999999,0x26621999,0x99999999,0xdb909999,0xffffffff,0xb90199df,
    0x9bffffff,0x7fe44001,0xffffffff,0x27d11bdf,0xfffffedc,0x0cceffff,
    0xfffffdc8,0x33310cdf,0x00013333,0x85f88000,0x000004f9,0xffffff91,
    0x37bfffff,0x3ea00fa2,0x440affff,0xb8cffffc,0xfffb805f,0x2dfffede,
    0x372a00d7,0xffffffff,0xff53ceff,0xffffffff,0xfffec89d,0xcfffffff,
    0x3fffae04,0xffdb94ff,0xdfffffff,0xffb90199,0x019bffff,0x373bffea,
    0xffffffff,0x213e601f,0x3f6002fb,0x03ffffff,0x007ffec0,0x3ffffff6,
    0x7fec003f,0xffc8000f,0x309befff,0xffffff95,0x7fff6647,0xdeffffff,
    0xfffb950c,0xbfffffff,0xffffb059,0xd8007fff,0xc8000fff,0x9befffff,
    0xffff9530,0xfffb07ff,0x8007ffff,0xe980fffd,0x05ffffff,0x7cc00000,
    0x0000bf03,0xdfffff90,0x3f2a6137,0x403fffff,0x01effffc,0x7fffffcc,
    0x6fff4406,0xffffe980,0xffe88006,0x202fffff,0xfffffffc,0x7fffd405,
    0x2001ffff,0xfb00eff9,0x07ffffff,0x00fffd80,0x83bfffa2,0xfffffffb,
    0x207ea01f,0x3ea003f9,0x007fffff,0xa802ff88,0x07ffffff,0x002ff880,
    0x7fffff44,0xfffd8803,0xffff903f,0xf300bfff,0x3fffffff,0xfffffa80,
    0xff88007f,0x7ff44002,0xd8803fff,0xfa83ffff,0x007fffff,0x6c02ff88,
    0x005fffff,0x37c40000,0x00001fd4,0x7fffffd1,0xffffb100,0x7ffff407,
    0xfff7000f,0xffe807ff,0x6fffb806,0xffff7000,0xff880dff,0x804fffff,
    0xfffffffc,0x017f4000,0xfffffff5,0x05ff1000,0x82ffffd8,0xaaadffff,
    0x2e13e600,0x3fe6002f,0x0007ffff,0xff3003ff,0x000fffff,0xfa8007fe,
    0x001fffff,0x881fffdc,0x1fffffff,0xfffffb00,0xfff3009f,0x2000ffff,
    0x3ea001ff,0x001fffff,0x4c1fffdc,0x07ffffff,0xa803ff00,0x005fffff,
    0xcfc80000,0x0001fd50,0x3ffffea0,0x7fdc001f,0xffffb03f,0xffe8009f,
    0xff700fff,0x3fee007f,0xfff50006,0xf900bfff,0x00dfffff,0xfffffff1,
    0x406f8005,0x7ffffff9,0x403ff000,0x80fffffc,0x001ffffd,0x0fe98bfa,
    0x3fffe200,0xfd0006ff,0xffff1001,0x3a000dff,0xfff3000f,0x20003fff,
    0x3fe03ffc,0x000fffff,0x7ffffff9,0xfffff100,0x3fa000df,0xffff3000,
    0x320003ff,0xfff883ff,0xd0006fff,0xfffa801f,0x000005ff,0xffffe880,
    0xf300002f,0x003fffff,0x2e0fff20,0x00ffffff,0x7ffffd40,0x0ffff885,
    0x001bf600,0x7fffffd4,0xffff8805,0xfc801fff,0x005fffff,0xff100fe6,
    0x000dffff,0xffe803fa,0xfff706ff,0x7fcc00df,0x4002ffee,0x6ffffff8,
    0x200fb000,0x6ffffff8,0x200fb000,0x4fffffe8,0x01ff4000,0x1fffffff,
    0x3ffff200,0xff8803ff,0x0006ffff,0x3fa200fb,0x0004ffff,0x7fc41ff4,
    0x0006ffff,0xfff300fb,0x00000bff,0x067fdc00,0xffe88000,0x40004fff,
    0x7ffcc3fe,0xd8005fff,0x43ffffff,0x001ffff9,0x4c001be2,0x05ffffff,
    0xffffffb0,0xffff3009,0x32001fff,0x7ffc400f,0xb0006fff,0x7fffc40f,
    0xffff706f,0x76c4001f,0xf88001df,0x006fffff,0x3e200fb0,0x006fffff,
    0x3f600fb0,0x000fffff,0xff01fd40,0x001fffff,0x3ffffff2,0xffff8803,
    0xfb0006ff,0x3ffff600,0x540000ff,0xffff883f,0xfb0006ff,0xfffff300,
    0x0000000b,0x00017fc4,0xffffffb0,0x3fa80001,0x7fffffe4,0x7ffe4002,
    0x2e0fffff,0x4004ffff,0xff30007c,0x200bffff,0x7ffffff9,0xfffffd00,
    0x017e007f,0x3fffffe2,0x40fb0006,0x05fffff9,0x03fffff5,0xf1000000,
    0x00dfffff,0x7c401f60,0x006fffff,0xff300fb0,0x0009ffff,0xfff80fe0,
    0x9000ffff,0x07ffffff,0xffffff10,0x01f6000d,0x3fffffe6,0x07f00004,
    0xdffffff1,0x201f6000,0x05fffff9,0x32000000,0x300006ff,0x09ffffff,
    0xff0fe000,0x001fffff,0x7ffde7dc,0x3ff25fff,0x26004fff,0xfff30007,
    0x7400bfff,0x02ffffff,0xffffffb8,0x802fa806,0x6ffffff8,0x440fb000,
    0x505fffff,0x003fffff,0x337b2e62,0x7ffc4002,0xb0006fff,0x3ffe200f,
    0xb0006fff,0xffffb00f,0x200005ff,0x3fffe03c,0xf9000fff,0x007fffff,
    0xdffffff1,0x201f6000,0x2ffffffd,0x10790000,0x0dffffff,0x2601f600,
    0x005fffff,0xff100000,0xb00003ff,0x05ffffff,0xfa8f2000,0x007fffff,
    0x7ffd57ea,0x3fee6fff,0x000dffff,0x3fe6000b,0x2005ffff,0x6ffffffb,
    0xfffff880,0x03ec01ff,0xffffff88,0x80fb0006,0x706fffff,0x100fffff,
    0xfffffffb,0x3e2003df,0x006fffff,0x3e200fb0,0x006fffff,0xff880fb0,
    0x000fffff,0x7fc01100,0x000fffff,0x7ffffff9,0xfffff100,0x1f6000df,
    0xffffff10,0x2200001f,0xfffff880,0x0fb0006f,0xbfffff30,0x001bdb98,
    0xffff7000,0xff88000b,0x000fffff,0x7fec1100,0x3007ffff,0x3ffe61df,
    0xff10ffff,0x17ffffff,0x3e600000,0x005fffff,0x3fffffe2,0x7ffd401f,
    0x2204ffff,0xfff1004f,0x2000dfff,0x7ffe407d,0xffff907f,0x1cffa80b,
    0x03ffffea,0x3ffffe20,0x0fb0006f,0x3ffffe20,0x0fb0006f,0xffffffc8,
    0x20000006,0x0fffffff,0xfffff900,0xfff1007f,0x2000dfff,0x7ffe407d,
    0x00006fff,0xfffff880,0x0fb0006f,0xbfffff30,0x3fffffa2,0x7400000e,
    0x000fffff,0x3fffff20,0x2000006f,0x6ffffffe,0x220ff880,0x1fffffff,
    0x3ffffffe,0x00003fff,0xffffff98,0x7ffec005,0x7f404fff,0x07ffffff,
    0x7c4007ee,0x006fffff,0xff880fb0,0xffe81fff,0x3fee00ef,0xffffc80f,
    0xffff8806,0xfb0006ff,0x3fffe200,0xfb0006ff,0xfffffd80,0x0000005f,
    0x3ffffffe,0xffff9000,0xff1007ff,0x000dffff,0xfffb01f6,0x0000bfff,
    0xfffff100,0x1f6000df,0x3ffffe60,0xfffffe9d,0x200005ff,0x4ffffffa,
    0x3fff6000,0x00005fff,0x3fffffe0,0x0ff4405f,0x3fffffe2,0x3fffee3f,
    0x2fffffff,0x3fe60000,0x4005ffff,0x7ffffff9,0x3ffafe60,0xdd02ffff,
    0x7fffc400,0xfb0006ff,0x9fffd100,0x01ffffa8,0x5427fff4,0x402fffff,
    0x6ffffff8,0x200fb000,0x6ffffff8,0xf80fb000,0x04ffffff,0x3fe00000,
    0x000fffff,0x7ffffff9,0xfffff100,0x1f6000df,0xfffffff0,0x10000009,
    0x0dffffff,0x2601f600,0xdfffffff,0xfffffd9a,0xffd00003,0x001fffff,
    0x3fffffe0,0x1000004f,0x9fffffff,0xff02fd80,0xc89fffff,0xffffffff,
    0x0001efff,0xffffff98,0xfffe8005,0x1f902fff,0xbffffff7,0x44007f30,
    0x06ffffff,0x2200fb00,0xfcadfffb,0x7d400cff,0x7d40ffff,0x4404ffff,
    0x06ffffff,0x2200fb00,0x06ffffff,0xff80fb00,0x004fffff,0x3ffe0000,
    0x9000ffff,0x07ffffff,0xffffff10,0x01f6000d,0x9fffffff,0xf1000000,
    0x00dfffff,0x3e601f60,0x446fffff,0x006fffff,0xfffff980,0xf0003fff,
    0x09ffffff,0x3fe60000,0x204fffff,0x3ffe03fd,0xfd85ffff,0xffffffff,
    0x40004fff,0x5ffffff9,0xffffb800,0x15f886ff,0x1fffffff,0x22000fc8,
    0x06ffffff,0xa800fb00,0x0bdeeeef,0xfffff500,0xfffffa85,0x7fffc404,
    0xfb0006ff,0x3fffe200,0xfb0006ff,0x7ffffcc0,0x000004ff,0x3fffffe0,
    0xffffffff,0xffffffff,0xff8803ff,0x0006ffff,0x7ffcc0fb,0x0004ffff,
    0xffff8800,0xfb0006ff,0xfffff300,0xfffff01d,0x7fb0000f,0x0dffffff,
    0xfffff300,0x000009ff,0x7ffffffc,0xf809f904,0x04ffffff,0xfffffffb,
    0x01bfffff,0x3fffe600,0xf88005ff,0x41ffffff,0x3fff61fb,0x02fc3fff,
    0x3ffffe20,0x0fb0006f,0x0007f220,0x437fff40,0x04fffffa,0x7fffffc4,
    0x00fb0006,0x3fffffe2,0x40fb0006,0xfffffff8,0x20000005,0xffffffff,
    0xffffffff,0xffffffff,0xffff8803,0xfb0006ff,0x7ffffc40,0x000005ff,
    0xffffff88,0x00fb0006,0x0bfffff3,0x01fffffe,0xff19f100,0x005fffff,
    0xffffff88,0x2000005f,0x5ffffffe,0x7c405fa8,0x03ffffff,0x3fffffea,
    0x0effffff,0xffff9800,0xfb0005ff,0xe89fffff,0x7ffffd46,0x000bea6f,
    0xdffffff1,0x201f6000,0x00004fe9,0xb302f6e2,0x809fffff,0x6ffffff8,
    0x200fb000,0x6ffffff8,0xf80fb000,0x06ffffff,0x3fe00000,0x000fffff,
    0x7ffffff9,0xfffff100,0x1f6000df,0xfffffff0,0x1000000d,0x0dffffff,
    0x2601f600,0xd05fffff,0x001fffff,0xffc87e40,0x8005ffff,0x6fffffff,
    0x3f200000,0x4c6fffff,0xfff8806f,0xb802ffff,0xffffffff,0x98004fff,
    0x05ffffff,0xfffff300,0x7c17ccff,0xb1ffffff,0xfff1000f,0x2000dfff,
    0x4ffd807d,0xd9800000,0x4fffffff,0x7ffffc40,0x0fb0006f,0x3ffffe20,
    0x0fb0006f,0xffffffe8,0x20000007,0x0fffffff,0xfffff900,0xfff1007f,
    0x2000dfff,0x7fff407d,0x00007fff,0xfffff880,0x0fb0006f,0xbfffff30,
    0x3fffffa0,0x4bf10000,0xfffffff8,0x7fff4001,0x00007fff,0x3ffffee0,
    0x003be67f,0x3fffffe6,0xff91001f,0xffffffff,0xfff98001,0x20005fff,
    0x2ffffffe,0x3fff20fb,0x04f8cfff,0xfffff880,0x0fb0006f,0xacffff88,
    0x00999a99,0x59ffb100,0x809fffff,0x6ffffff8,0x200fd000,0x6ffffff8,
    0xd80fd000,0x0fffffff,0xff000000,0x001fffff,0x3ffffff2,0xffff8803,
    0xfd0006ff,0xfffffd80,0x000000ff,0x7fffffc4,0x00fd0006,0x0bfffff3,
    0x03fffffa,0x360fdc00,0x04ffffff,0x7ffffec0,0x000000ff,0xfffffff3,
    0x54007fa2,0x26ffffff,0xfff91001,0x007fffff,0xffffff98,0x3fee0005,
    0x4f8effff,0xffffff30,0x10003f7f,0x0dffffff,0xf701fa00,0xffffffff,
    0x03dfffff,0x54ffff20,0x404fffff,0x6ffffff8,0x200fd000,0x6ffffff8,
    0xb80fd000,0x1fffffff,0xff000000,0x001fffff,0x3ffffff2,0xffff8803,
    0xfd0006ff,0xfffffb80,0x000001ff,0x7fffffc4,0x00fd0006,0x0bfffff3,
    0x03fffffa,0x7d437400,0x00ffffff,0x3ffffee0,0x000001ff,0x3ffffffe,
    0x32002fe9,0x23ffffff,0x3fa6002d,0x004fffff,0x7fffffcc,0x3fe20005,
    0x0fdfffff,0x3fffffa0,0xf10006ff,0x00dfffff,0xff501fa0,0xffffffff,
    0x19ffffff,0x8bfffa60,0x04fffffa,0x7ffffff8,0x400dd000,0x07ffffff,
    0xf880dd00,0x02ffffff,0xfff00000,0x2001ffff,0x3ffffffc,0xffffff00,
    0x01ba000f,0xfffffff1,0xf0000005,0x00ffffff,0x3e601ba0,0xfd05ffff,
    0x0001ffff,0x3ffa05f5,0x2003ffff,0xfffffff8,0x2e000002,0xfeffffff,
    0x7ffec003,0x01760fff,0x3fffff60,0x2073ae25,0x4ffffff9,0x7ffec000,
    0x5c05ffff,0x3fffffff,0x3fffe000,0xdd0007ff,0xffffff00,0xffffffff,
    0xff307fff,0xfffa89ff,0xfff804ff,0x88007fff,0x3ffe005f,0x88007fff,
    0xfffc805f,0x00005fff,0xffffff00,0x3ff2001f,0xf003ffff,0x00ffffff,
    0xf900bf10,0x00bfffff,0xffff0000,0xf1000fff,0xffff300b,0x3fffa0bf,
    0x7e8000ff,0x3ffffee0,0x7fe4007f,0x0005ffff,0x7ffffc00,0x7c4004ff,
    0x6c4fffff,0x7f44000f,0x3ff64fff,0x7ffd40ff,0x40004fff,0xfffffff9,
    0x7fffc402,0x20000fff,0x07ffffff,0x8805f880,0xfffffffe,0xffffffff,
    0x7ffffc46,0x7ffffd41,0xffffe804,0x4fa8007f,0x3ffffa00,0x4fa8007f,
    0xfffff980,0x180000ff,0x7fffffc0,0xfff9000f,0x3a007fff,0x007fffff,
    0xf9804fa8,0x00ffffff,0x3fa01800,0x8007ffff,0xff9804fa,0xffd05fff,
    0x98001fff,0x3ffe203f,0x2002ffff,0xfffffff9,0x50180000,0x01ffffff,
    0xfffffc80,0x8002fd85,0xf13ffffb,0xfa89ffff,0x003fffff,0xfffffe80,
    0xffffb006,0xfe8000bf,0x8007ffff,0xff3004fa,0xffffffff,0x41ffffff,
    0xa87ffffc,0x804fffff,0x1ffffffc,0x0017e400,0x3ffffff9,0x002fc800,
    0x9ffffff5,0x40798000,0x0fffffff,0xfffff900,0x3ff2007f,0x4001ffff,
    0xff5002fc,0x0009ffff,0x3ff20798,0x4001ffff,0xff9802fc,0xffd05fff,
    0xd8001fff,0x7ffe400f,0x54006fff,0x04ffffff,0xf703cc00,0x8009ffff,
    0x80ffffff,0x4c000ffd,0xff71ffff,0xffa8bfff,0x0002ffff,0x3fffffb8,
    0xfffff500,0xffc80005,0x4001ffff,0x7ecc02fc,0x733009bf,0x7f41ffff,
    0x7e42ffff,0x9805ffff,0x03ffffff,0x3001bee0,0x07ffffff,0x20037dc0,
    0x1ffffffc,0x80ff3000,0x0fffffff,0xfffff900,0x3fe6007f,0x2003ffff,
    0x7e4006fb,0x001fffff,0x7cc0ff30,0x003fffff,0x7cc01bee,0xfd05ffff,
    0x4001ffff,0xfffffff8,0xffffffff,0x64001fff,0x01ffffff,0xd80ff300,
    0x001fffff,0x03fffffb,0x30017ff6,0x7fccdfff,0x7fd42fff,0x0000ffff,
    0x0fffff88,0x1ffffe00,0x3ffe6000,0x2e003fff,0x4ffe806f,0x23ffd400,
    0xcffffffe,0xfffffffb,0xfffd8015,0xf9802fff,0xffd8002f,0x9802ffff,
    0xfd8002ff,0x001fffff,0x3e00ffdc,0x00ffffff,0xffffff90,0x7ffec007,
    0xf9802fff,0xffd8002f,0x4001ffff,0x7ec01ffb,0x802fffff,0xf3002ff9,
    0x3a0bffff,0x000fffff,0x333333f2,0xffeccccc,0x8005ffff,0x1ffffffd,
    0x00ffdc00,0xfffffff1,0xffffb803,0x3fff600d,0x3fff2004,0x42ffffc0,
    0x05fffffb,0x3fff6000,0x7ffe4004,0xffb00004,0x3005ffff,0xff9805ff,
    0x7fd4003f,0x7ffffdc4,0xfff9efff,0x400ecfff,0xaffffffe,0x02ffb980,
    0x3ffffa00,0xfb980aff,0x3ee0002f,0x00cfffff,0x007bfaa2,0x3ffffffe,
    0xffff9000,0xfe8007ff,0x80afffff,0x0002ffb9,0x3fffffee,0x3faa200c,
    0xfffd001e,0x73015fff,0x7d4005ff,0xff05ffff,0x2003ffff,0x3e6005f8,
    0x00ffffff,0xfffffb80,0x3aa200cf,0x3fa201ef,0xdffffc89,0xfffd510b,
    0xfffb007f,0xff9801bf,0x3fff982f,0x0fffffe8,0x3fe60000,0x7fc4001f,
    0x3a00001f,0x0affffff,0x002ffb98,0x2003ffff,0xff885fe8,0x323fffff,
    0x01ffffff,0xfffffd88,0xfffdceff,0x6c40002f,0xefffffff,0x02ffffdc,
    0xfffe9800,0xdbacdfff,0x800cffff,0xfffffff8,0xffffb001,0xd8800bff,
    0xefffffff,0x02ffffdc,0xfffe9800,0xdbacdfff,0x000cffff,0x3fffff62,
    0xfffdceff,0x7fd4002f,0xfff06fff,0x2e003fff,0x7ff4001f,0x0004ffff,
    0xffffffd3,0xfffb759b,0x1fe8019f,0x7ffffdc4,0x02dfffff,0x3fffff60,
    0x7fe441bf,0x3ffea02e,0xffffc99b,0xe800000e,0xdfb0006f,0xfd880000,
    0xceffffff,0x002ffffd,0x06fbffea,0x1bff9731,0x33bff660,0x6fffec41,
    0x7ff54001,0xffffffff,0x2a00000b,0xfffffffe,0x0000bfff,0x7fffe4c0,
    0xcfffffff,0xfffd1000,0x403dffff,0xffffffb8,0xea8003ff,0xffffffff,
    0x00000bff,0x7ffffe4c,0x0cffffff,0x3ffaa000,0xffffffff,0x7f4c000b,
    0x643fffff,0x0dffffff,0x40037c40,0xfffffffa,0x3f260000,0xffffffff,
    0xfc800cff,0x65d4c402,0xd80009ac,0xfffd731e,0x009ffffd,0x3fffff62,
    0x00004fff,0x4000bee0,0x000003fa,0xffffffd5,0x0017ffff,0xffffd910,
    0x39ffffff,0x0c002200,0x65d44000,0x0001abcc,0x665d4400,0x00001abc,
    0x99955300,0x7f400357,0xffffffff,0xd71effff,0xffffffff,0x007dffff,
    0xbcccba88,0x0000001a,0x57999553,0xa8800003,0x01abcccb,0xfffff500,
    0x3fabffff,0xffffffff,0x0013f201,0x7ffffffc,0x55300004,0x00357999,
    0x00000050,0x654c06a0,0x10001acc,0x00579975,0x00910000,0x00000c80,
    0x6665d440,0x200001ab,0x9abcaaa8,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x90002ff8,0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0009ffb0,
    0x3fffffea,0x3100005f,0x00000333,0x05555300,0x98800000,0x00009999,
    0x0bdddd30,0x33333000,0x98000013,0x0cccc199,0x8800a600,0x75400001,
    0x20005eee,0x99999998,0x99999999,0x99999999,0x06200099,0x00000880,
    0x04ccccc4,0x40000000,0x00999998,0x0054c000,0xa8000188,0x0004eeee,
    0x33333100,0x4ccc0001,0x00000199,0x501ceb88,0x003ffffd,0xfffffc88,
    0x0000cfff,0x0fffffe6,0xff000000,0x000003ff,0xfffffe80,0xffd00001,
    0x40007fff,0x05fffff9,0x7ffd4000,0x013ffee5,0xc801df30,0x7400004f,
    0x002fffff,0xffffff50,0xffffffff,0xffffffff,0x4c00dfff,0x04f9804f,
    0x7ffd4000,0x000005ff,0xfffff800,0x4400000e,0x2fdc00ef,0x3ffe2000,
    0x00001fff,0x1fffffe8,0x3ffee000,0x000003ff,0x20fffff4,0xfffffffc,
    0x3ff200ef,0xffffffff,0xb0002fff,0x01ffffff,0x3e600000,0x000000ef,
    0x7ffffc40,0xff500001,0x001fffff,0x17fffee0,0x3ff60000,0x03bffa0f,
    0x207bf600,0x0000ffd8,0x3ffffee0,0xff50006f,0xd5579bff,0x57ffffff,
    0xdfffd995,0x202ff800,0x00002fe8,0x07ffffa8,0x4c000000,0x000fffff,
    0x03ff9000,0x00007ff6,0xdffffff9,0xff980000,0x80001fff,0x005ffffc,
    0x3ffe6000,0x000004ff,0x54000000,0x4fffffff,0xf7000000,0x0000001b,
    0x03ffff70,0x7fff4000,0x0004ffff,0x001dfffd,0x2fff8800,0x0007ffe2,
    0xd117ffcc,0x400007ff,0xfffffff8,0xffa8003f,0xffffb01e,0xffb103ff,
    0xeffd800d,0xfffcbabd,0xf5000000,0x00005fff,0x7ffe4000,0x2000001f,
    0x3a22fff8,0x440004ff,0xffffffff,0x3ee00002,0x00001fff,0x003ffff2,
    0x7ffdc000,0xca8006ff,0x00097001,0x37fffa00,0x0000ffff,0x00029800,
    0x3ffa0000,0x2e00002f,0xffe8dfff,0x7fcc001f,0x800000ef,0x7fdc4ffa,
    0x7fe40004,0x06fffabf,0x7ffe4000,0x006ffe9c,0x3601ffa8,0x01ffffff,
    0xf1001bf2,0xffffffff,0x8000009f,0x0005fffb,0x3ffe0000,0x8000001f,
    0xff9bfffc,0x6c0000ff,0xfff9bfff,0x3fa00006,0x800002ff,0x0003fffc,
    0xfffff100,0x3ff10007,0x0027ec40,0x9fffdc00,0x0004fff9,0xd707d700,
    0x10000005,0x00005fff,0xb11fffc4,0xfb800bff,0x000000ef,0x6fe81dfb,
    0xfff88000,0x002fffff,0x8bffe600,0x4003ffe8,0x7fec03fa,0x7c01ffff,
    0xfffb8006,0x006fffff,0xfff70000,0x20000000,0x0001fff9,0xffff1000,
    0x0007ffff,0x222fff98,0x80002ffe,0x0002fff8,0x017ff600,0xfffc8000,
    0xff90000e,0x01ffd305,0xfff88000,0x007ff441,0x3ffe6000,0x003ffe60,
    0x5ff70000,0xffc80000,0x003ff902,0x000077f4,0x441ff880,0x900001ff,
    0x0dffffff,0x1ffd8000,0x000ffd88,0x3ff601ea,0x5c01ffff,0xfff50006,
    0x0001bfff,0x17fe4000,0x64000000,0x000001ff,0x7ffffdc0,0xfe80006f,
    0x06fe881e,0x02ffb800,0xffd80000,0x22000000,0x7c40002b,0x3ffea4ff,
    0xfc800003,0x0bfb100e,0xfff88000,0x003ffe60,0x07fd0000,0x1ff88000,
    0x98037dc0,0x000000ff,0x0fee13ea,0xfff88000,0x00001fff,0xf9003bea,
    0x402d4007,0x1ffffffd,0x100034c0,0x00059b97,0x13f20000,0x3e000000,
    0x0000002f,0x5ffffff0,0x0dfa8000,0x0001fec0,0x00000ffa,0x0003fd80,
    0x70000000,0xfff7bfff,0xb100000d,0x03f9001b,0x82da8000,0x000002da,
    0x80000098,0x03100098,0x00002620,0x06203100,0x3bae0000,0x400004ee,
    0x00aa0018,0xffd80298,0x3801ffff,0x00000000,0x00260000,0x02600000,
    0xa8000000,0x0005eeee,0x0aa00188,0x00013000,0x00130000,0x00000000,
    0x7ffffffc,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x1ffffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x99999998,
    0x7fdc0000,0x0005ffff,0x33333333,0x03333333,0x26666666,0x26666199,
    0x99999999,0x33330199,0x4c333333,0x99999999,0x30199999,0x33333333,
    0x4cccc403,0x22000999,0x0bdefecb,0x54c00058,0x009abccb,0xfd971000,
    0x00b017bd,0xfedba880,0x7700bdee,0x7ffec000,0x00001fff,0x2f32ea60,
    0x9980009a,0x99999999,0x33019999,0x33333333,0x65d4c000,0x80009abc,
    0x99999998,0x26200199,0x09999999,0x3376ea20,0x3331000a,0x03333333,
    0x01333333,0x332ea600,0x800009ab,0xfffffffb,0xffe80005,0x90000fff,
    0xffffffdb,0x0199dfff,0xffffffb9,0x3fb7219b,0xffffffff,0xfdc80cce,
    0x0cdfffff,0xfffffdb9,0x199dffff,0xfffffb90,0x3ee019bf,0x05ffffff,
    0xdbdfff70,0x1ae5bfff,0x3fffaa00,0xfffffdff,0xff70000d,0xbfffdbdf,
    0x22001ae5,0xeffffffd,0x0beffffe,0x6c0007f3,0x01ffffff,0x7ff54000,
    0xffffdfff,0xdb9000df,0xffffffff,0xb90199df,0x9bffffff,0x7ff54001,
    0xffffdfff,0xdb3000df,0xffffffff,0x3fb2e009,0x704effff,0xffdbffff,
    0x3fffffff,0x3fffffee,0xffd85fff,0x2a003fff,0xfdfffffe,0x000dffff,
    0x7ffffec0,0xcca80005,0xb00003cc,0x7fffffff,0x0fffd800,0x7ffffec0,
    0x7ec003ff,0x7fec00ff,0x003fffff,0x0007ffec,0x0bfffffb,0x80dffe88,
    0x06ffffe9,0x3bfff620,0x7ffe541b,0x3fa2003f,0xffe980df,0x7d4006ff,
    0x880bffff,0xffffffea,0x3ff60003,0x0001ffff,0x7dfffb10,0xffffca83,
    0x7ffec003,0x4003ffff,0x4000fffd,0x1befffd8,0x1ffffe54,0x3ffff200,
    0x4003ffff,0xd100fffc,0x7e43dfff,0x1fffffff,0x3fffffea,0x3ffe202f,
    0xfffb1001,0xffca837d,0x2e0003ff,0x005fffff,0x40000000,0x7ffffffa,
    0x02ff8800,0xffffffa8,0x2ff88007,0xfffffa80,0xff88007f,0x7ffdc002,
    0x7ff405ff,0x6fffb806,0xfffff700,0xffff9801,0x6ffe801e,0x06fffb80,
    0xbffffb10,0x3ffee001,0x360003ff,0x01ffffff,0xffffb800,0x7ffcc00f,
    0xff5001ef,0x000fffff,0xb8005ff1,0x400fffff,0x01effff9,0x3fffff20,
    0x7c001fff,0x3fff603f,0xdffff82f,0x7fd40aaa,0x6c02ffff,0xfff7003f,
    0xff9801ff,0x98001eff,0x005fffff,0x5e65d4c0,0x4c00009a,0x07ffffff,
    0x3003ff00,0x0fffffff,0x2007fe00,0x7ffffff9,0x003ff000,0x5fffff98,
    0x00fffee0,0x6c037fdc,0x002fffff,0x07fffff5,0x801fffdc,0xfa806ffb,
    0x8005ffff,0x003ffff8,0x3fffff60,0x7ec0001f,0x5002ffff,0x007fffff,
    0xfffffff3,0x007fe000,0x2fffffd8,0xfffff500,0x3ffe2007,0x00efffff,
    0x7dc07f60,0xff907fff,0xffe803ff,0x3f404fff,0xfffffd80,0xffff5002,
    0xff98007f,0xa8005fff,0xfdfffffe,0x000dffff,0xffffff88,0x01fd0006,
    0xffffff10,0x03fa000d,0x3ffffe20,0x1fd0006f,0xffff9800,0xffff105f,
    0x037ec001,0x0ffffff2,0xfffffb00,0x1ffff103,0x2037ec00,0x0efffff9,
    0x7fff3000,0x7ffec000,0x20001fff,0x03fffffc,0x7ffffec0,0x7fffc401,
    0xfd0006ff,0x3fff2001,0x7ec003ff,0xf001ffff,0xffffffff,0x807e400b,
    0x706ffffe,0xa80dffff,0x207fffff,0xffc803f8,0x6c003fff,0x001fffff,
    0x17ffffe6,0xefffd880,0x7ffe541b,0x7fc4003f,0x0006ffff,0x3fe200fb,
    0x0006ffff,0x3fe200fb,0x0006ffff,0xff3000fb,0x3e60bfff,0x22001fff,
    0x3ffe606f,0xf98007ff,0xf986ffff,0x22001fff,0x7fff406f,0x4c0002ff,
    0x360003ff,0x01ffffff,0xfffff300,0xfff3000f,0xff880dff,0x0006ffff,
    0x3fe600fb,0x98007fff,0x006fffff,0xffffffbf,0x3ee009ff,0xfffff880,
    0xfffff706,0xffffe801,0x801f502f,0x07fffff9,0xfffff980,0x3ffe6006,
    0xff7005ff,0xf9801fff,0x1001efff,0x0dffffff,0x4401f600,0x06ffffff,
    0x2200fb00,0x06ffffff,0x3000fb00,0x20bfffff,0x004ffffb,0xfffd03e4,
    0x3a000bff,0x5c3fffff,0x4004ffff,0x3fff207c,0x900007ff,0x7ec0007f,
    0x001fffff,0xbfffffd0,0x3fffa000,0x3fe203ff,0x0006ffff,0x3ffa00fb,
    0xd0005fff,0x007fffff,0xfffff77f,0xf7005fff,0x3ffffe60,0xfffff505,
    0xffffb803,0xd00bb06f,0x00bfffff,0x3fffffa0,0xffff3003,0xfffb00bf,
    0x3ea005ff,0x8803ffff,0x06ffffff,0x2200fb00,0x06ffffff,0x2200fb00,
    0x06ffffff,0x3000fb00,0x20bfffff,0x04fffffc,0x7fe41e60,0x0002ffff,
    0x3ffffffb,0x27ffffe4,0x3e60f300,0x004fffff,0x0007f100,0x7fffffec,
    0xfffc8001,0xb0002fff,0x03ffffff,0x3fffffe2,0x00fb0006,0x5ffffff9,
    0x3fff6000,0x9fc01fff,0xfffffffc,0x883dc01f,0x505fffff,0x801fffff,
    0x1ffffff8,0x3f2017c4,0x002fffff,0xffffffb0,0xffff3003,0xfffc80bf,
    0x7ec003ff,0x4401ffff,0x06ffffff,0x2200fb00,0x06ffffff,0x2200fb00,
    0x06ffffff,0x3000fb00,0x20bfffff,0xdffffffb,0xff10b000,0x001fffff,
    0x3ffffee0,0x3fffee5f,0x0b000dff,0x3ffffffa,0x0f600002,0xffffd800,
    0x7c4001ff,0x00ffffff,0xfffff700,0x3ffe20bf,0xb0006fff,0xffff880f,
    0x70000fff,0x0bffffff,0x3fffa3f8,0x200effff,0x3fffe07b,0xffff706f,
    0x3fff200d,0x203dc5ff,0xfffffff8,0xfff70000,0xf300bfff,0x4c0bffff,
    0x007fffff,0x6fffff98,0x7ffffc40,0x0fb0006f,0x3ffffe20,0x0fb0006f,
    0x3ffffe20,0x0fb0006f,0xfffff300,0x3fffe20b,0x000bffff,0xffffffa8,
    0x3fe60006,0x3e27ffff,0xbfffffff,0xfff98000,0x0001ffff,0xd8000620,
    0x01ffffff,0x7ffffd40,0x3e60006f,0x107fffff,0x0dffffff,0xf501f600,
    0x00dfffff,0x7ffffcc0,0xf11fc07f,0xbfffffff,0xff903dc0,0x3ff20fff,
    0xff1003ff,0x2741ffff,0x3ffffea0,0x3e60006f,0x807fffff,0x05fffff9,
    0x17fffffa,0x7ffff400,0x3ffe203f,0xb0006fff,0x3ffe200f,0xb0006fff,
    0x3ffe200f,0xb0006fff,0xfff3000f,0x7ffc0bff,0x3fffffff,0x7fffe400,
    0x220006ff,0x0fffffff,0x3ffffffe,0x54003fff,0x0fffffff,0x00000000,
    0x3ffffff6,0x7ffe4001,0x20006fff,0xfffffff8,0xfffff880,0x0fb0006f,
    0xffffffc8,0x3fe20006,0x200fffff,0x7fffcc3f,0xf704ffff,0x7ffff440,
    0x0ffffe81,0x3ffff600,0xc803f34f,0x06ffffff,0x3fffe200,0x7cc00fff,
    0xf905ffff,0x005fffff,0x3fffff60,0xffff101f,0x36000dff,0xffff1007,
    0x36000dff,0xffff1007,0x36000dff,0xfff98007,0x3fee05ff,0xffffffff,
    0xfffb002f,0x4000bfff,0xfffffff8,0x3ffffee2,0x02ffffff,0xffffff90,
    0x0000000f,0xfffffd80,0x7fec001f,0x0005ffff,0x3fffffe2,0xffff882f,
    0xfb0006ff,0xfffffd80,0x3e20005f,0x02ffffff,0x3ffea0fe,0xb82fffff,
    0x7fff4407,0x37ffee0d,0x7ffcc000,0x806c8fff,0x5ffffffd,0x3ffe2000,
    0x4c02ffff,0x885fffff,0x0fffffff,0xffff7000,0x3fe20bff,0x0006ffff,
    0x3fe200fb,0x0006ffff,0x3fe200fb,0x0006ffff,0xff3000fb,0xfc80bfff,
    0xffffffff,0x7fc01eff,0x005fffff,0x3ffffe20,0x7ffe43ff,0xffffffff,
    0x7ffec01e,0x00006fff,0x7fec0000,0x4001ffff,0x5fffffff,0x3ffe2000,
    0xf883ffff,0x006fffff,0xfff80fb0,0x0005ffff,0x3fffffe2,0x640fe03f,
    0xffffffff,0xfb803dc0,0xfffebfff,0x3ffa0004,0x803fbfff,0x5fffffff,
    0x3ffe2000,0x4c03ffff,0xa85fffff,0x06ffffff,0x3fffe600,0xfff107ff,
    0x2000dfff,0xfff1007d,0x2000dfff,0xfff1007d,0x2000dfff,0xff98007d,
    0xfd805fff,0xffffffff,0xff104fff,0x009fffff,0xffffff80,0xffffd85f,
    0xffffffff,0x3ffffe04,0x000005ff,0x7ffec000,0x22001fff,0x4fffffff,
    0x7fffc000,0xff885fff,0x0006ffff,0x7ffc40fb,0x0004ffff,0x7ffffffc,
    0xfd80fe05,0x0effffff,0xefa801ee,0x000aceee,0x7ffffdc0,0x7fc400ff,
    0x004fffff,0x7fffffc0,0x7ffcc05f,0xfffc85ff,0x20006fff,0xfffffff8,
    0xfffff880,0x0fb0006f,0x3ffffe20,0x0fb0006f,0x3ffffe20,0x0fb0006f,
    0xfffff300,0x3fff600b,0xffffffff,0x7ffcc0df,0x0004ffff,0x7ffffffc,
    0xfffffb05,0xbfffffff,0xfffff881,0x000004ff,0x7fff4000,0x26001fff,
    0x4fffffff,0x7fffc000,0xff885fff,0x0006ffff,0x7ffcc0fb,0x0004ffff,
    0x7ffffffc,0xe880fe05,0x5fffffff,0x0fe401ee,0x3fe00000,0x9805ffff,
    0x4fffffff,0x7fffc000,0x7cc05fff,0xfd85ffff,0x005fffff,0x3ffffe20,
    0xfff882ff,0xb0006fff,0x3ffe200f,0xb0006fff,0x3ffe200f,0xb0006fff,
    0xfff3000f,0x7d400bff,0xffffffff,0x3e20efff,0x04ffffff,0x7ffffc00,
    0x3fea04ff,0xffffffff,0x3fe20eff,0x004fffff,0x74000000,0x01ffffff,
    0x3ffffe20,0x7c0004ff,0x84ffffff,0x6ffffff8,0x440fb000,0x4fffffff,
    0x7fffc000,0x0fe04fff,0xffffff30,0x301ee7ff,0x000009fd,0x5fffff90,
    0xfffff100,0xf80009ff,0x04ffffff,0x2fffffcc,0x7ffffffc,0x3fe20005,
    0x883fffff,0x06ffffff,0x2200fb00,0x06ffffff,0x2200fb00,0x06ffffff,
    0x3000fb00,0x00bfffff,0xffffff70,0xf89fffff,0x05ffffff,0x7ffffc00,
    0xffb803ff,0xffffffff,0x7ffffc4f,0x266005ff,0x99999999,0x7c001999,
    0x03ffffff,0x7fffffc0,0x7fc0005f,0x883fffff,0x06ffffff,0xff80fb00,
    0x005fffff,0x7fffffc0,0x200fe03f,0xfffffffa,0x7ec07b9f,0x8000004f,
    0x007ffff8,0x3ffffffe,0x7ffc0005,0x4c03ffff,0x445fffff,0x4fffffff,
    0x7fffc000,0xff885fff,0x0006ffff,0x3fe200fb,0x0006ffff,0x3fe200fb,
    0x0006ffff,0xff3000fb,0x2000bfff,0xffffffc8,0x3f60ffff,0x006fffff,
    0x3ffffe20,0xf91002ff,0xffffffff,0x7ffff41f,0xb91005ff,0xffffffff,
    0x22009dff,0xfffffffd,0x3ff6001f,0x0006ffff,0x3fffffe2,0xffff882f,
    0xfb0006ff,0xfffffd80,0x3e20006f,0x02ffffff,0x7fe400fe,0x7dffffff,
    0x33fffe20,0x099a999a,0xfffd8000,0x3fff6004,0x20006fff,0xfffffff8,
    0x7fffcc02,0x7fffcc5f,0x40004fff,0x5fffffff,0xffffff88,0x00fd0006,
    0x3fffffe2,0x00fd0006,0x3fffffe2,0x00fd0006,0xbfffff30,0x7e440060,
    0x3fffffff,0x3ffffff2,0x3fe20007,0x030fffff,0x3ffff220,0x3f63ffff,
    0x006fffff,0xffffff98,0xfdb001ff,0xffffffff,0xc805dfff,0x07ffffff,
    0x3fffe200,0xff880fff,0x0006ffff,0xfffc80fd,0x20007fff,0xfffffff8,
    0xd800fe00,0xffffffff,0x3fffee07,0xffffffff,0x30003dff,0x64001fff,
    0x07ffffff,0x3fffe200,0x7cc00fff,0x7c45ffff,0x04ffffff,0x7ffffc00,
    0xfff884ff,0xd0006fff,0x3ffe200f,0xd0006fff,0x3ffe200f,0xd0006fff,
    0xfff3000f,0x00b60bff,0xfffffe98,0x3fffea4f,0x2a0007ff,0x27ffffff,
    0x3fa6002d,0x2a4fffff,0x0fffffff,0xffffc800,0x000004ff,0xffff5000,
    0x54000fff,0x07ffffff,0xdffffff1,0x501fa000,0x0fffffff,0x7fffd400,
    0x01fc07ff,0xfffffd10,0x7fd40fff,0xffffffff,0x05ffffff,0x800bfd00,
    0x7ffffffa,0x3ffea000,0xf9807fff,0xff85ffff,0x005fffff,0x7fffffc0,
    0xfffff03f,0x1ba000ff,0xffffff80,0x00dd0007,0x3ffffffc,0x8006e800,
    0x05fffff9,0xffb000bb,0xffe8bfff,0x0000ffff,0x7ffffff7,0x7ec002ec,
    0x7fc5ffff,0x001fffff,0xffffffc8,0x00000004,0x3fffffa0,0xff70000f,
    0x7c07ffff,0x007fffff,0xffd00dd0,0x0001ffff,0x3fffffee,0x2001fc03,
    0xfffffff8,0x7ffffc07,0xffffffff,0x8004ffff,0xfe8002fa,0x000fffff,
    0xffffff70,0xffff3007,0xffffb0bf,0x44000dff,0x2fffffff,0xfffffff0,
    0x00bf1000,0x3ffffffc,0x002fc400,0x0fffffff,0x000bf100,0x09fffff3,
    0xd10003f6,0xfa89ffff,0x002fffff,0xdfffffb0,0x44000fd8,0x644ffffe,
    0x03ffffff,0xfffffb80,0x7540003f,0x2a0000cf,0x02ffffff,0xfffffb00,
    0xfffff80d,0x5f88007f,0xfffffa80,0xffb0002f,0x7f00dfff,0xffff5000,
    0xfe880fff,0xffffffff,0x07ffffff,0x50006b80,0x05ffffff,0x3ffff600,
    0xfff3006f,0xfff909ff,0x4000ffff,0xfffffff8,0xfffffd00,0x09f5000f,
    0x7fffff40,0x04fa8007,0x3fffffa0,0x04fa8007,0xfffff880,0x0005fb03,
    0xd07ffff7,0x00dfffff,0x3fffffe0,0x40017ec2,0xe83ffffb,0x006fffff,
    0xffffffb8,0x3fe20003,0x740005ff,0x006fffff,0x5ffffff0,0xfffffe80,
    0x04fa8007,0xdfffffd0,0x3fffe000,0x03f802ff,0xfffff700,0xffff300f,
    0xffffffff,0x8003ffff,0x3fa0003e,0x0006ffff,0x05ffffff,0xffff8866,
    0xffffa84f,0x2a0007ff,0x07ffffff,0x3ffffff2,0x017e4001,0xffffff90,
    0x02fc8003,0x3fffff20,0x17e4001f,0xfff10cc0,0x3ff607ff,0x7ffcc000,
    0xffff981f,0x7dc001ff,0xfd86ffff,0x7fcc000f,0xfff881ff,0x5c002fff,
    0x03ffffff,0x3fffe600,0x3e60000f,0x001fffff,0x37ffffdc,0x7ffffe40,
    0x17e4001f,0xfffff980,0x7fdc001f,0x7f006fff,0x7ffec000,0x3ff6607f,
    0x3f26200b,0x664c0fff,0x00007cc0,0x3ffffff3,0xffffb800,0x45ff906f,
    0xd03fffff,0x01ffffff,0x3fffee00,0x3fe603ff,0x2003ffff,0x7cc006fb,
    0x003fffff,0xf3001bee,0x007fffff,0x7e4037dc,0x3ffffe3f,0x00bffb02,
    0x206fff98,0x05fffffc,0x7fffff40,0x005ffd81,0x3037ffcc,0x00dfffff,
    0xffffffb8,0x7fe40003,0x640002ff,0x005fffff,0x0ffffff4,0x7ffffcc0,
    0x1bee003f,0xfffff900,0xfffe800b,0x4f8801ff,0x7fff4000,0x017ffa07,
    0xf98dff50,0x002ec6ff,0x7ffffe40,0x7fff4005,0xfff881ff,0x03ffffe5,
    0x7fffffd4,0xfffb0002,0xffb00dff,0x3005ffff,0xfb0005ff,0x005fffff,
    0xb0005ff3,0x05ffffff,0x8805ff30,0x3ffe5fff,0xfffb00ff,0x7ffe4009,
    0x7fffe400,0xfff9001f,0x3ff603ff,0x3ff2004f,0x7ffd400f,0x3ee005ff,
    0x003fffff,0x007b8880,0xfffff900,0x3fff2003,0x3f6001ff,0x802fffff,
    0xc8002ff9,0x001fffff,0x03fffff9,0x00017e60,0x260ffff1,0x54003fff,
    0x7ffe43ff,0x0003f10f,0x3fffff20,0xffff9001,0x2fff403f,0xe805fffd,
    0x006fffff,0x5ffffff0,0x3ffffa00,0xfb980aff,0x3fa0002f,0x80afffff,
    0x0002ffb9,0x3ffffffa,0x2ffb980a,0x74bffd00,0x3f603fff,0x4c00dfff,
    0xf9002fff,0xb805ffff,0x201effff,0x00dffffd,0x8017ffcc,0x0dffffd8,
    0xfffffb80,0x3a00003f,0x3f200004,0x5c02ffff,0x001effff,0xffffffe8,
    0x2ffb980a,0x3fff2000,0x7fdc02ff,0x32001eff,0x4c0000ff,0x3ffa07ff,
    0xbfd1000f,0xaffffc81,0x400005d8,0x02fffffc,0x0f7fffdc,0x7cdffee0,
    0xff9805ff,0x4001ffff,0x06fffffb,0x3ffff620,0xffdcefff,0x440002ff,
    0xfffffffd,0x2ffffdce,0x7fec4000,0xdcefffff,0x2002ffff,0xfff16ffb,
    0xffffd80b,0x7e441bff,0x74c002ef,0x30acffff,0x09ffffd9,0xffffffb0,
    0xeffc8837,0xfffa8002,0x26209cff,0xbeffffeb,0x3f300000,0xfe980000,
    0x930acfff,0x009ffffd,0x7fffec40,0xffdcefff,0x980002ff,0x0acffffe,
    0x9ffffd93,0xefffb800,0x3ee0000a,0x3bffea07,0xffc9881b,0xfffff103,
    0x000001ff,0x59ffffd3,0x3fffb261,0x3ff6004f,0x000cffff,0x0bfffff9,
    0xfffffe80,0xffea8001,0xffffffff,0x2a00000b,0xfffffffe,0x0000bfff,
    0x3ffffaa0,0x0bffffff,0xffffd800,0x76c00cff,0xdfffd731,0x0009ffff,
    0xfffffda8,0x0befffff,0x2e63db00,0xfffefffe,0x5c40004f,0xfffffffe,
    0x0befffff,0x37220000,0x2a000000,0xfffffffd,0x000befff,0xffffd500,
    0x17ffffff,0xfda80000,0xffffffff,0xf3000bef,0xffffffff,0x03e4000d,
    0x7fffff54,0x01ceffff,0x077fffdc,0x36a00000,0xffffffff,0x8000beff,
    0x000abba8,0x1fffffc8,0xfffff900,0xba880003,0x001abccc,0x65d44000,
    0x0001abcc,0x665d4400,0x80001abc,0x000abba8,0x332a6035,0x800001ac,
    0xabcccba9,0x301a8000,0x00359995,0x99751000,0x01335799,0x002e0000,
    0x75300000,0x00157999,0x65d44000,0x0001abcc,0x99753000,0x00001579,
    0x02400000,0x35755310,0x06e60001,0x26000000,0x0abcccba,0x00000000,
    0x0bfffff2,0x3dffff70,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4c00,
    0xfd930acf,0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xffffffda,
    0x00beffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32ea6000,0x0000abcc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01100044,0x4cc00000,0x00001999,0x00999980,0x3baa0000,
    0x000005ee,0x0055554c,0x99880000,0x02666609,0x33100000,0x00001333,
    0x5bfd9100,0x1001a800,0x26660013,0x99999999,0x99999999,0x00099999,
    0x1880054c,0x00000000,0x17bbbba6,0x400f2000,0x07ff21c9,0x000e6000,
    0x4ccc4000,0x99999999,0x31000199,0x00000880,0x000ffe40,0x3ea00bea,
    0x70000002,0x007fffff,0xfffc8000,0x800001ff,0x2ffffff8,0xff100000,
    0x0000bfff,0x1ffff100,0x003bffe2,0xffff0000,0x000001df,0xffbaefa8,
    0x00ff6003,0x32003fd3,0xfffffffd,0xffffffff,0x2fffffff,0x00f7c400,
    0x00001bee,0xfffd8000,0xc80000ff,0x07fd404f,0x00003ff9,0x200000db,
    0xfffffeb9,0xffffffff,0x74c004df,0x7c40cfff,0x2afbe002,0x01ffc800,
    0x300ffcc0,0x000001ff,0x13ffffa0,0xff100000,0x000bffff,0xfffff900,
    0x200000df,0x1ffffffc,0x7d400000,0x3ffee2ff,0x54000001,0x000effff,
    0x97fcc000,0x22007ffd,0x9ff504ff,0x3fff2000,0xaaaaffff,0xffffecaa,
    0xffc8002f,0x003ff902,0x7c000000,0x0000ffff,0x901bff10,0x1ffc87ff,
    0x17fc4000,0xffb10000,0x5dffffff,0x00bff955,0x3ffffe60,0x1fd9adff,
    0x3ffee600,0x00ffe402,0x5e77ffc0,0x007ffdba,0xfff10000,0x0000009f,
    0xfffffffb,0x7c400003,0x2fffffff,0x7fcc0000,0x005fffff,0x2ffec000,
    0x00013ffa,0x3ffff200,0xe8000000,0x0dfff0ff,0x20dffc80,0x0000fffb,
    0xfffffff1,0x5fffd500,0x7fff1000,0x002fff44,0xf5000000,0x00003fff,
    0xb10effc8,0x3ff90dff,0x6ffc8000,0xffd10000,0xdfffffff,0x20007f98,
    0xfffffffe,0x0007ffff,0x6407ffd1,0xfa8001ff,0xffffffff,0x0000002f,
    0x0009fff7,0xffff3000,0x000bfffb,0x4e7ffec0,0x00006fff,0x7f6ffff4,
    0x000001ff,0x7c41fff1,0x0000006f,0x0003ffff,0x4fff5000,0x44002ffb,
    0xffd8efff,0x7fc0003f,0x2007ffff,0x70002ffc,0xffd39fff,0x0000001f,
    0x0fffe400,0x7fc40000,0x2fffeaff,0x0001ffc8,0x007fffe2,0x3ffffa00,
    0x46ffffff,0xf30007f9,0xffffffdf,0x40007fff,0xf904fffb,0x3f60003f,
    0x5fffffff,0x3a000000,0x000005ff,0x2e3dffd0,0x80001fff,0x3a22fff9,
    0x500003ff,0x3fa29fff,0x5000006f,0x1ffb83ff,0xfa800000,0x000001ff,
    0x008fffd0,0x3ffff200,0x80006fff,0x07ffffff,0x00017ec0,0xffffffff,
    0x00000007,0x001fff80,0x3fff2000,0xf905ffff,0x7dc0003f,0x40005fff,
    0xfffffffc,0x7cc6ffff,0x23f50006,0xfffffeb8,0x7fc40005,0x1ffc80ff,
    0x3ffee000,0x00003fff,0x017fe200,0x7fd40000,0x037fd40e,0x40f7f400,
    0x00007fd8,0xfd885ffd,0xd800002f,0x003fe84f,0x3ff90000,0x26000000,
    0x0000ffff,0xffffff10,0xff00005f,0x800fffff,0x2e0002f9,0x0fffffff,
    0x00000000,0x0000bfea,0xfffff100,0x3ff203ff,0x3ffa0001,0x30000fff,
    0xffffffff,0xf98dffff,0x20b50006,0x0003ddb8,0x907fffd0,0x980003ff,
    0x0001bddb,0x02fdc000,0x9fd00000,0x0017fcc0,0xd801df50,0x7dc0003f,
    0x01bf201e,0x10df1000,0x000000bf,0x000017fc,0x1ffffb00,0x7fdc0000,
    0x00006fff,0x0fffffff,0x0002f81c,0x17fffff4,0x00000000,0x00000bae,
    0x7ffffdc0,0x007ff204,0x7ffffd40,0xff70004f,0xffffffff,0x06f98dff,
    0x00000000,0x217fffe0,0x00001ffc,0x80000000,0x00000018,0x3a200faa,
    0x00620006,0x6c0002a8,0x02fb800d,0x4404c000,0x00000009,0x00000026,
    0x0fffff98,0x3b620000,0x00001eee,0x0fffffff,0x0016407c,0x17bbbaa0,
    0x00000000,0x40000000,0x200ccccc,0xd0001ffc,0x1fffffff,0xffffb000,
    0xffffffff,0x0006f98d,0x10000000,0xf90bffff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8800,
    0x000007ff,0x7fc00000,0xf107ffff,0x00001301,0x00000000,0x00000000,
    0x7fe40000,0xfff98001,0x003fffff,0xffffffe8,0x46ffffff,0x333306f9,
    0x33333333,0x26660333,0x01999999,0x213fffea,0x4ccc1ffc,0x99999999,
    0x33301999,0x43333333,0x99999998,0x26200199,0x09999999,0x99753000,
    0x10001357,0x33333333,0x33333033,0x00000013,0x4ccccc00,0x99999999,
    0x33333019,0x4c033333,0x99999999,0x99999999,0x00099999,0x3fffff66,
    0x00cccfff,0x99999998,0x99999999,0x09999999,0xffffff80,0x2001f507,
    0x99999998,0x19999999,0x20000000,0x99999998,0x99999999,0x99999999,
    0x33330199,0x33333333,0x0ffe4333,0x7fdfec00,0x8006ffff,0xffffffff,
    0x4c6fffff,0xffdb906f,0xdfffffff,0xffb90199,0x019bffff,0x20ffffee,
    0x76e41ffc,0xffffffff,0xdc80ccef,0xcdffffff,0xffffdb30,0x2009ffff,
    0xfffffecb,0x3faa004e,0xfffdffff,0xf7000dff,0xffffffff,0xfffffb0b,
    0x26666627,0x99999999,0x4cccc400,0xdb909999,0xffffffff,0xb90199df,
    0x9bffffff,0xfffff301,0xffffffff,0xffffffff,0x7fdc007f,0xffffffff,
    0xfff9807f,0xffffffff,0xffffffff,0xff803fff,0xfd07ffff,0x3f726001,
    0xffffffff,0xcfffffff,0x8000000a,0xffffecc9,0xffffffff,0xffffffff,
    0xecc80fff,0xffffffff,0xff90ccef,0x8cf88003,0x2fffffff,0x7ffff400,
    0xffffffff,0x6c037cc6,0x3fffffff,0x07ffec00,0x0ffffe40,0xfb00ffe4,
    0x07ffffff,0x00fffd80,0x7fffffe4,0x7e4003ff,0x362000ff,0x541befff,
    0x003ffffc,0xfffffff5,0x0fffc405,0xffffffd5,0x039bffff,0xfffffd98,
    0xfffd81ef,0x4003ffff,0x4c00fffd,0xabdfffff,0xffcaaaaa,0x006fffff,
    0x7fffffec,0x805fffff,0xbdfffff9,0xfcaaaaaa,0x06ffffff,0xfffffff0,
    0x0001ff50,0xffffffd1,0xffdb755d,0x00019fff,0x77ff4000,0xadffffff,
    0xffedcbaa,0x7e400fff,0x05ffffff,0xc8003ff9,0xfffff90f,0xffd800bf,
    0xffffffff,0x037cc6ff,0x7fffffd4,0x2ff88007,0x1ffffb00,0x5403ff90,
    0x07ffffff,0x002ff880,0xfffffff9,0x3ff8003f,0x3fffee00,0x7ffcc00f,
    0xffa801ef,0x6c02ffff,0xffff303f,0x0009ffff,0xa807fff2,0x07ffffff,
    0x802ff880,0x800cfffa,0xfffffffd,0x3ffa0001,0x54001fff,0xd800cfff,
    0x1fffffff,0xffffff00,0x00fffb8f,0xfffff500,0x3ffea0bf,0x00002fff,
    0xff7bf900,0xa807ffff,0x4400ffff,0x1fffffff,0x4003ff90,0x3ffe25f8,
    0x2001ffff,0xfffffffc,0x4c6fffff,0xfff9806f,0xf0007fff,0x3ffa003f,
    0x03ff907f,0x7fffffcc,0x03ff0007,0x3ffffe20,0x2000efff,0xffb001fd,
    0x2a005fff,0x803fffff,0x04fffffe,0x3fea03f4,0x005fffff,0x9803ff50,
    0x07ffffff,0x7003ff00,0x3ea007ff,0x04ffffff,0x7ffffc00,0x7fdc000f,
    0xffff5003,0x7c009fff,0xedffffff,0x000fffff,0xffffff50,0x7fff440b,
    0x000004ff,0xfffb8fe8,0xe9803fff,0xfff800ff,0xf900ffff,0x0fdc003f,
    0x3ffffff6,0x3ffe6004,0xffffffff,0x4037cc6f,0x6ffffff8,0x001fd000,
    0x641bfff2,0x3fe201ff,0x0006ffff,0x7fc001fd,0x5fffffff,0x2003f200,
    0x03fffffc,0x7ffffec0,0x7fffd401,0x00fe207f,0x3ffffff6,0x3fc8001f,
    0xfffff880,0x1fd0006f,0x2007f900,0xfffffff8,0x3e60000f,0x8006ffff,
    0xff1003fc,0x01ffffff,0x7fffffc0,0xffffffff,0xfff30000,0xf980bfff,
    0x003fffff,0x5cfee000,0x03ffffff,0xf001ff10,0x40ffffff,0x3a001eeb,
    0xfffffa86,0x3fa000ff,0xffffffff,0x037cc6ff,0x7fffffc4,0x00fb0006,
    0xc837ffd4,0x3fe201ff,0x0006ffff,0xfdf800fb,0x4fffffff,0x9801f700,
    0x007fffff,0x6fffff98,0xfffffe80,0x1001f502,0xbfffffff,0x006f8800,
    0xdffffff1,0x401f6000,0x3ff2007c,0x002fffff,0x7ffffdc0,0x007c8004,
    0x3ffffff2,0x7ffc002f,0xfb537fff,0x260001ff,0x05ffffff,0xffffffc8,
    0xf8800002,0x3ffffee6,0x03f2003f,0x3fffffe0,0x7d400007,0xfffffd02,
    0x7fcc007f,0xffffffff,0x4037cc6f,0x6ffffff8,0x800fb000,0xfc80fffe,
    0x3ffe201f,0xb0006fff,0xfbbf800f,0x2fffffff,0xfe807b80,0x0005ffff,
    0x07fffffd,0x6fffffb8,0x7dc00bb0,0x01ffffff,0x44007f60,0x06ffffff,
    0x3600fb00,0xffff3004,0x0000bfff,0x07fffff9,0x26009b00,0x5fffffff,
    0xfffff800,0x00ffe87f,0xfffff300,0xfff100bf,0x0001ffff,0x3ee1fd80,
    0x503fffff,0xf800f881,0x007fffff,0xf703f400,0x00ffffff,0xffffffa8,
    0x7cc6ffff,0xffff8806,0xfb0006ff,0x3ffe8800,0x2201ffc8,0x06ffffff,
    0xf800fb00,0xffffff93,0x07b803ff,0x7fffffe4,0xfffb0002,0x7c403fff,
    0x441fffff,0x7ff4002f,0x3005ffff,0x7fc400bf,0x0006ffff,0x003a00fb,
    0x7ffffff4,0xfe80000f,0x8001ffff,0xfffd000e,0x0001ffff,0x0fffffff,
    0x20001fd1,0x5ffffff9,0xfffffd00,0x5400007f,0x7fffdc4f,0xd03b03ff,
    0xfffff001,0x4c0000ff,0x3ffe203f,0x4002ffff,0xffffffe9,0x037cc6ff,
    0x7fffffc4,0x00fb0006,0xc85dfd10,0x3fe201ff,0x0006ffff,0x23f800fb,
    0xfffffffe,0x881ee00e,0x0fffffff,0xffff7000,0xffc80bff,0x03dc5fff,
    0x7ffffd40,0x0fe801ff,0x3fffe200,0xfb0006ff,0x7dc00200,0x03ffffff,
    0xfffff000,0x0010001f,0x3fffffee,0xfff0003f,0x3f20ffff,0xfff30000,
    0x2e00bfff,0x06ffffff,0x81dd1000,0x3ffffffb,0x001303f0,0x0fffffff,
    0x007ec000,0x3ffffff2,0xfeb88006,0x4c6fffff,0xfff8806f,0xb0006fff,
    0x7f5c000f,0x403ff92e,0x6ffffff8,0x800fb000,0x3fffe23f,0x2e05ffff,
    0x3fffea07,0x260006ff,0x07ffffff,0x7fffffc4,0x740013a0,0x06ffffff,
    0x22001fd4,0x06ffffff,0x0000fb00,0x7fffffc4,0xf300006f,0x000dffff,
    0x7fffc400,0x20006fff,0x07ffffff,0x80c401f5,0x5ffffff9,0xfffff100,
    0x900003ff,0xffff705f,0x03f107ff,0x7ffffc00,0xf100007f,0xffffffff,
    0xffffffff,0x5440003f,0x7cc6fecb,0xffff8806,0xfb0006ff,0x2ff70000,
    0x3e201ffc,0x006fffff,0x3f800fb0,0x7fffffcc,0x40f704ff,0x6ffffffc,
    0x3ffe2000,0x6c00ffff,0xf34fffff,0x3fe60003,0x102fffff,0xff1000df,
    0x000dffff,0xd80001f6,0x1fffffff,0xfff70000,0x000009ff,0x7fffffec,
    0x3fe0001f,0xf107ffff,0xf9816401,0x005fffff,0x3ffffffe,0x2fcc0004,
    0xffffffb8,0x0001fc83,0x1ffffffe,0x667e4000,0xcccccccc,0x5ffffffe,
    0x1bea0000,0xff100df3,0x000dffff,0x5c4001f6,0x3ff92efe,0x7ffffc40,
    0x0fb0006f,0xffa83f80,0x82ffffff,0x3fff607b,0x20005fff,0xfffffff8,
    0x7fffcc02,0x0006c8ff,0x7fffffec,0x0003f906,0xdffffff1,0x001f6000,
    0x7ffffd40,0x200005ff,0x03fffffc,0xfff50000,0x000bffff,0x7ffffff8,
    0x0fc40320,0xffffff98,0x3fffe005,0x40005fff,0xfff700fe,0xff887fff,
    0x3ffe0001,0x80007fff,0x3e6005f8,0x00ffffff,0x98df5000,0xfff8806f,
    0xb0006fff,0xffd1000f,0x201ffc85,0x6ffffff8,0x800fb000,0xffff903f,
    0x7b81ffff,0x3fffffe0,0x3e20005f,0x03ffffff,0xbfffffe8,0x7cc0003f,
    0x43ffffff,0xf10005f9,0x00dfffff,0x20001f60,0xfffffff8,0x3a00000f,
    0x001fffff,0xffff8800,0x0000ffff,0x3ffffffc,0x300fb800,0x0bffffff,
    0x7fffff40,0x3ee0006f,0x3fffee03,0x3ffea3ff,0x3ffe0001,0x26207fff,
    0x000fdc01,0x3ffffffa,0xdf500004,0xf8806f98,0x006fffff,0xe8800fb0,
    0x1ffc83ff,0x3ffffe20,0x0fb0006f,0x3f603f80,0x0effffff,0x7ffc41ee,
    0x0004ffff,0x7ffffffc,0xffffb805,0x80000fff,0xfffffffc,0x40003fa0,
    0x6ffffff8,0x000fb000,0xffffff90,0x4400007f,0x007fffff,0xffff9000,
    0x00007fff,0x0fffffff,0x4c0ff100,0x05ffffff,0x3fffffa0,0xbf10007f,
    0xfffffb80,0xfffffeef,0x3ffe0001,0x3f207fff,0x00df101f,0xffffff50,
    0xf500001f,0x8806f98d,0x06ffffff,0xe800fb00,0xffc80fff,0x3fffe201,
    0xfb0006ff,0x2203f800,0xfffffffe,0x7fcc1ee5,0x004fffff,0x7fffffc0,
    0xffff005f,0x20000bff,0xfffffff8,0x40007f53,0x6ffffff8,0x000fb000,
    0xffffff98,0x4c00006f,0x006fffff,0xffff9800,0x00006fff,0x1fffffff,
    0x037f4400,0xbffffff3,0x7fffec00,0xfb0007ff,0x33333335,0xdffffff9,
    0x03fffffd,0x7ffffc00,0x07ff207f,0xf80027e4,0x04ffffff,0x4c6fa800,
    0xfff8806f,0xb0006fff,0x7ffcc00f,0x403ff906,0x6ffffff8,0x800fb000,
    0x7ffcc03f,0xf73fffff,0x3ffffe20,0x7c0004ff,0x04ffffff,0x5fffff90,
    0x7fe40000,0x6f9fffff,0x7ffc4000,0xb0006fff,0xffe8000f,0x001fffff,
    0x7fffdc00,0xe800004f,0x1fffffff,0xffff0000,0x26001fff,0x3e605ffe,
    0x005fffff,0x3ffffff6,0xfffa8006,0xffffffff,0x13ffffff,0x0003fff7,
    0x3ffffffc,0xf103ff90,0x3f20005f,0x00ffffff,0x2637d400,0xfff8806f,
    0xb0006fff,0x7ffdc00f,0x403ff906,0x6ffffff8,0x800fb000,0xfffa803f,
    0x7b9fffff,0x3fffffe0,0x7fc0005f,0x003fffff,0x00fffff1,0xffff8800,
    0x002fffff,0x7ffffc40,0x0fb0006f,0x7fffdc00,0x00004fff,0x2fffffc8,
    0x7fdc0000,0x004fffff,0xfffff300,0xfd9809ff,0x3e604fff,0x005fffff,
    0x3ffffffa,0x57744005,0xaaaaaaaa,0x3ffffffd,0x0000ffdc,0x0fffffff,
    0x7ec0ffe4,0xff50004f,0x00bfffff,0x7cc6fa80,0xffff8806,0xfb0006ff,
    0x3fffec00,0x2201ffc8,0x06ffffff,0xf800fb00,0xffff9003,0x40fbffff,
    0x6ffffffd,0x3ffe2000,0x2002ffff,0x0004fffd,0xfffffb80,0x880005ff,
    0x06ffffff,0x2000fb00,0xfffffff8,0xfb000006,0x0001ffff,0x7ffffc40,
    0x100006ff,0xfffffffd,0xfdb99bdf,0x07ffffff,0x7fffffcc,0x3fffe005,
    0x64004fff,0xfff7001f,0x3f907fff,0x7fffc000,0x3ff207ff,0x3ffffaa1,
    0x7fe44001,0x0cffffff,0x98df5000,0xfff8806f,0xd0006fff,0x7ffec00f,
    0x01ffc80f,0x3fffffe2,0x00fd0006,0x3f6003f8,0x7fffffff,0x3fffff20,
    0x3e20007f,0x00ffffff,0x003ffe60,0x7fff4000,0x80003fff,0x6ffffff8,
    0x000fd000,0x3ffffff6,0x0144002f,0x037ffff4,0x3fff6000,0x4002ffff,
    0xffffd128,0xffffffff,0xffffffff,0x4c05ffff,0x05ffffff,0xffffff10,
    0x2fcc005f,0xfffff700,0x003f507f,0x7fffffc0,0x647ff207,0xffffffff,
    0x3fff200e,0xffffffff,0xfa8002ff,0x44037cc6,0x06ffffff,0x6400fd00,
    0xfc81ffff,0x3ffe201f,0xd0006fff,0x003f800f,0x3fffffa2,0x3fea07ff,
    0x0007ffff,0x3fffffea,0x05fe8007,0x3ff20000,0x0003ffff,0xffffff88,
    0x00fd0006,0xffffff50,0x097000bf,0x09ffffd0,0x7ffd4000,0x8005ffff,
    0xc800004b,0x7fcc004f,0x3005ffff,0x3fffffff,0x0007f400,0x7ffffff7,
    0x00403f10,0x1ffffffe,0x0001ffc8,0x004fb800,0xf31bea00,0x3fffe00d,
    0xdd0007ff,0x7fffdc00,0x401ffc82,0x07ffffff,0xf800dd00,0x7ffc4003,
    0x7407ffff,0x00ffffff,0xfffff700,0x5f50007f,0x7e400000,0x003fffff,
    0xffffff00,0x01ba000f,0x3fffffa0,0x3d8000ff,0x1fffff80,0x3ffa0000,
    0x000fffff,0x200003d8,0x98006fe8,0x05ffffff,0xffffff50,0x01fdc00d,
    0x3ffffee0,0x7403d03f,0x3ffffe00,0x07ff207f,0xfd880000,0x7d400006,
    0xf8037cc6,0x007fffff,0x2a005f88,0xfc84ffff,0x7fffc01f,0xf88007ff,
    0x001fc005,0x7fffffd4,0x7fffd407,0xfb0002ff,0x000dffff,0x000001ae,
    0x7ffffff9,0x3ffe0000,0x88007fff,0x7fe4005f,0x003fffff,0xff802f88,
    0x200007ff,0xfffffffc,0x02f88003,0x0fff2000,0x3fffe600,0xffb005ff,
    0x2003ffff,0xfb8006f8,0x703fffff,0xff01ea03,0x640fffff,0x000001ff,
    0x0000fff2,0x6f98df50,0xfffffd00,0x09f5000f,0x2ffffc40,0x3a00ffe4,
    0x007fffff,0x7c004fa8,0xfff70003,0xffd00fff,0x2000dfff,0x02ffffff,
    0x00007d00,0xfffffc80,0xfd00003f,0x000fffff,0x7cc009f5,0x06ffffff,
    0xd003fb00,0x00009fff,0x3fffffe6,0x3fb0006f,0x7ffc0000,0xfff98004,
    0xf8805fff,0x005fffff,0x2e0007f6,0x03ffffff,0x7fc06e80,0x3207ffff,
    0x000001ff,0x00013ffe,0x6f98df50,0xfffff900,0x2fc8003f,0x2ffffc00,
    0x3200ffe4,0x01ffffff,0x20017e40,0x3f60003f,0xf9807fff,0x001fffff,
    0x37ffffdc,0xf9819930,0x64000000,0x03ffffff,0xffff9000,0xfc8003ff,
    0x3fffa002,0x8001ffff,0xfe800ffa,0xd00000ef,0x3fffffff,0x01ff5000,
    0x3ffe6000,0xfff98006,0xfc805fff,0x000fffff,0x2e0009f5,0x03ffffff,
    0x3e02fcc0,0x207fffff,0x00001ffc,0x00ffff30,0x4c6fa800,0xfff3006f,
    0x5c007fff,0xffe8006f,0x01ffc82f,0x7fffffcc,0x01bee003,0x80009f10,
    0x9007fffe,0x00bfffff,0x1fffffe8,0xd8dfff30,0xc8000005,0x03ffffff,
    0xffff3000,0x7dc007ff,0x3ffea006,0x8004ffff,0x3a60fff9,0x007ffa4f,
    0x7fffd400,0x98004fff,0x00000fff,0x007ffff3,0xffffff98,0x7fffc405,
    0xff1002ff,0x3fee0001,0x2003ffff,0x7fc04fe9,0x3207ffff,0x000001ff,
    0x007ffff1,0x2637d400,0x3ff6006f,0x9802ffff,0x7c4002ff,0xffc80fff,
    0xffffd801,0xff9802ff,0x02fcc002,0x1fffe200,0xfffffc80,0xffff9001,
    0x7ffe403f,0x0003f10f,0xffff9000,0x400007ff,0x2ffffffd,0x002ff980,
    0xfffffff1,0xffb8001f,0x87ffec7f,0x100003ff,0xffffffff,0xfffb8001,
    0x7fc00007,0x2a004fff,0x05ffffff,0x3bffffa2,0x013f6001,0xfffffb80,
    0xfff5004f,0xfffff807,0x3ff900ff,0x7f400000,0x00004fff,0x06f98df5,
    0x7fffff40,0xffb980af,0xfffb8002,0x003ff903,0x3ffffffa,0x2ffb980a,
    0x00ffc800,0x03ffcc00,0x3fffff20,0x7fffdc02,0x7ffe401e,0x0005d8af,
    0xffff9000,0x800007ff,0xaffffffe,0x02ffb980,0x3fffff20,0xd51002ff,
    0xfd8dffff,0x000bf77f,0x7ffffe40,0xd51002ff,0x000dffff,0xfffff980,
    0x3ee00bce,0x80ffffff,0x0dfffffa,0x017fee00,0xfffffd80,0xf95100ef,
    0x7cc03fff,0x01ffffff,0x00003ff9,0x7ffffcc0,0x50000bce,0x006f98df,
    0x7ffffec4,0xfffdceff,0xfe98002f,0x07ff204f,0x7fffec40,0xffdcefff,
    0xfb8002ff,0x0000aeff,0x26001fee,0x0acffffe,0x9ffffd93,0x3fffe200,
    0x00000fff,0xfffffb00,0x8800009f,0xfffffffd,0x2ffffdce,0x3fffe600,
    0xccccffff,0xffeeeccc,0x4c5fffff,0x003fefff,0x3fffe600,0xccccffff,
    0xffeeeccc,0x005fffff,0xffffa800,0xff504fff,0xbfffffff,0x9dffffd9,
    0x7fe4c003,0x22000bff,0xfffffffb,0xfeccceff,0x00ffffff,0xffffffd1,
    0x3ff903df,0xfa800000,0x04ffffff,0xf98df500,0xffd50006,0xffffffff,
    0xfd980017,0x7fe402ef,0x7ff54001,0xffffffff,0x3fe6000b,0x6fffffff,
    0x001f2000,0xfffffda8,0x0befffff,0x7fffdc00,0x8000000e,0xffffffb8,
    0x800002ff,0xffffffea,0x000bffff,0x7ffffff4,0xffffffff,0xffffffff,
    0x57304fff,0xfe800001,0xffffffff,0xffffffff,0xffffffff,0x91000004,
    0xea839dfd,0xffffffff,0xeeffffff,0xffb8001b,0x07ffffff,0x3fffffb2,
    0xffffffff,0xffffffff,0x7ff447ff,0xffffffff,0x9950efff,0x10000001,
    0x0059dfd9,0x3221e4c0,0x5d440003,0x001abccc,0x400b37a0,0x10000cca,
    0x35799975,0x00000000,0x30000480,0x15799975,0x03730000,0xee980000,
    0xffffffff,0x00eeffff,0x32ea2000,0x0001abcc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80054c00,0x80000018,0xeefedcaa,0x00000acd,0x26666620,0xa8000000,
    0x00131001,0x5c406e20,0x00220001,0x93000018,0x8012e003,0x99999998,
    0x01999999,0x33333331,0x7fffc433,0x0001ffff,0xefedb880,0xb700002c,
    0x003d3001,0x4ccc0000,0x00000199,0x00999988,0x014c0000,0x00000130,
    0x33333300,0x99999800,0x99999999,0x01540019,0x26666620,0xef980199,
    0x002fe400,0xfffc9800,0xfdcabcde,0x00002dff,0xfffffe88,0x6c000000,
    0x0ff4403f,0x27ffdc00,0x0017ffea,0x7e400fe4,0xff880000,0x013f6202,
    0xffffedb8,0xcdefffff,0xffffdb80,0x2e20cdff,0x01ffffff,0x7ffdc000,
    0x01effecd,0x202fd400,0x00000fe8,0xfffff500,0xd0000009,0x000dffff,
    0x00dfa800,0x00001fec,0x3fffea00,0x7664004f,0xffffffff,0x8800cdef,
    0x5001fffe,0x9bdfffff,0x03ffb001,0x0001ffb1,0x2dffeb80,0x1dfb3100,
    0xfe880000,0x00002fff,0xa827fc40,0xfd0004ff,0x7ff41fff,0xfa8001ff,
    0x01fee00e,0x83ffb800,0x0000ffe8,0xfffffffb,0x7fe44009,0x7fff400f,
    0x200001ff,0x7e40cffd,0x220001ff,0x2a21bdff,0x000007fe,0x17ffff20,
    0x3ee00000,0x002fffff,0x077f4000,0x0007ff44,0x3ff60000,0x640005ff,
    0x5fffffff,0xffffc800,0xffff5005,0xff88001d,0x13ffa22f,0xffe88000,
    0x3ea0000c,0x4400002f,0x0005fffe,0x0dffc800,0x0003ffee,0x4bffffe2,
    0x03fffff8,0xcefff880,0x05ffebaa,0x3ffe2000,0x00fffe64,0xfffff980,
    0x7c4000ff,0xfffd803f,0x900001ff,0x3fe20fff,0x7ec0007f,0xffffffff,
    0x0000003f,0x0017fffe,0x3ffe2000,0x0006ffff,0x0fffd400,0x0005fff3,
    0xffff0000,0x3fe0000b,0x001fffff,0x0ffffff8,0x3ffffa80,0x7fff9000,
    0x001ffff3,0x03bfea00,0x1fec4000,0x3fa20000,0x000000ff,0x6c77ffc4,
    0x20003fff,0x7ec7fffd,0x90000fff,0xffffffff,0x800001ff,0xffbdfffb,
    0x7c40006f,0x007fffff,0xfb003fd0,0x0003ffff,0x207fff10,0x001ffff9,
    0x3ffffe20,0x0006ffff,0x3ffea000,0x90000005,0xfffddfff,0xd8000005,
    0xfffaafff,0x80000006,0x0005fffa,0x3fffffe0,0xffd8000f,0xff5006ff,
    0x220007ff,0xffffffff,0xff900002,0x2e000009,0x4400001f,0x00002fff,
    0xfffffc80,0x4c0006ff,0x7ec42efd,0x7f40002e,0x3fffffff,0xffd00000,
    0x005fffff,0xfffff880,0x1fb0007f,0xfffffb00,0xff500003,0x3ffe609f,
    0x74c0002f,0x0effffff,0x32000000,0x00000eff,0x15fff980,0x0000dffb,
    0xfffff980,0x00001fff,0x05ffc800,0x7fffc000,0x98000fff,0x5003ffff,
    0x0007ffff,0x7fffffe4,0xff900006,0xe8000005,0x4c00000f,0x000005ff,
    0xffffff88,0x0100002f,0xb1000008,0x05ffffff,0x7fd40000,0x0005ffff,
    0xffffff88,0x01f90007,0x3fffffb0,0xfff90000,0x07fffc0f,0x7f644000,
    0x000003ef,0x000eff80,0x7ffb0000,0x0007ffb0,0xffffd800,0x000005ff,
    0x001dff00,0xfffff800,0x910000ff,0x7fd40039,0x220003ff,0x01ffffff,
    0x02ffa800,0x4f980000,0xff980000,0xb8000000,0x006fffff,0x00000000,
    0x02f36e60,0x3fa00000,0x0001ffff,0xffffff88,0x01f90007,0x3fffffb0,
    0xfff70000,0x0776609f,0x00220000,0x7d400000,0x0000000e,0x7dc05ff5,
    0x4c000007,0x00ffffff,0xfa800000,0xf800000e,0x00ffffff,0x7d400000,
    0x40003fff,0x004eeeeb,0x005ff880,0x03ee0000,0x00620000,0xeed80000,
    0x000001ee,0x00000000,0xc9800000,0x00003ccc,0xfffffff1,0x003f2000,
    0x07fffff6,0x3ffe6000,0x000004ff,0x00000000,0x00004c40,0x003b9000,
    0x000007f5,0x03eeeec8,0x31000000,0x3e000001,0x00ffffff,0x7d400000,
    0x00003fff,0xdfd00000,0x5edcc001,0x7d009880,0x00000000,0x00000000,
    0x26666662,0x99981999,0x00000999,0x00000000,0x3fe20000,0x0007ffff,
    0xffb001f9,0x6d443fff,0xffd001cd,0x0001dfff,0x76dd4400,0x700bdeef,
    0x00000007,0x00000000,0x00000000,0x00000000,0x7ffc0000,0x2000ffff,
    0x0acddba8,0x7ffff500,0x26666660,0x99999999,0x99999999,0x3fee0099,
    0x3ffee001,0x7ffff96e,0x00001b20,0x31000073,0x33333333,0x33333333,
    0x33333333,0x3ffffee1,0xfd85ffff,0x2663ffff,0x99999999,0x99999999,
    0x00999999,0x000e6000,0xfffff100,0x3f2000ff,0xffffd800,0xfffffb1f,
    0xfff3009f,0x0007ffff,0x7fffec40,0xffffeeff,0x007f30be,0x00039800,
    0x01cc0000,0x99999800,0x99999999,0x00019999,0x4cccccc4,0x09999999,
    0x4ccccc40,0x3fe00999,0x000fffff,0xfdbffff7,0xffffffff,0x0ffffea3,
    0x7ffffee4,0xffffffff,0xffffffff,0x013fa02f,0xe86ffec4,0x01fffff9,
    0xd80000f7,0xffa80006,0xffffffff,0xffffffff,0x6fffffff,0x3fffffea,
    0x3ffe202f,0x7fffee41,0xffffffff,0xffffffff,0x200002ff,0x4400006d,
    0x07ffffff,0xb001f900,0xfb5fffff,0x9fffffff,0xfffff500,0x80001bff,
    0x0bfffffa,0xffffea88,0x400003ff,0x0000006d,0x400036c0,0xffffedc8,
    0xffffffff,0x02deffff,0x7ffff540,0xcdffffff,0x7ffecc01,0x3e01efff,
    0x00ffffff,0x0f7fff44,0xfffffff9,0x3fffea3f,0xffffc803,0xaaaaafff,
    0xfffffeca,0x003ff302,0x5c1fffd1,0x207ffffe,0x100000f9,0xa80005ff,
    0xabcdffff,0xffffffea,0xffeccaab,0x7fffd46f,0x1fec02ff,0x3fffff20,
    0xaaaaaaff,0x2fffffec,0x5ff10000,0x7fc40000,0x0007ffff,0xffb001f9,
    0x225ddfff,0x01fffffd,0xffffffc8,0xd88002ff,0x000dffff,0x07fffff7,
    0x17fc4000,0x88000000,0x400002ff,0xeffffffd,0xffecba99,0x4002ffff,
    0xfffffff9,0xff90004f,0xffff003f,0xfd801fff,0xfff82fff,0xf50aaadf,
    0xf1007fff,0x00ffffff,0x205fffd5,0xffd006fc,0xffffa85f,0x007e204f,
    0x037fe400,0x07bfea00,0x7fffffec,0x86ffd881,0x04fffffe,0x7fc403f4,
    0xa807ffff,0x0002fffe,0x000dff90,0x7ffffc40,0x1f90007f,0xfffffb00,
    0xffffb05f,0x7f7d401f,0x2fffffff,0x3fffea00,0xff88005f,0x200003ff,
    0x00006ffc,0x0dff9000,0xfff98000,0x3ee05fff,0x003fffff,0x7fffffd4,
    0xff50005f,0x3fffe003,0x3ee00fff,0xff907fff,0xfff503ff,0x3ffe007f,
    0x32007fff,0x3ff882ff,0x86fffc80,0x02fffffa,0x44000174,0x0001ffff,
    0xfd807fea,0x201fffff,0xfffa86fc,0x0fe207ff,0x7fffffc0,0x0bff2007,
    0x3ffe2000,0xf100001f,0x00ffffff,0x36003f20,0x504fffff,0x209fffff,
    0xffd88efb,0x802fffff,0x0efffff9,0x7fff3000,0x3fe20000,0x000001ff,
    0x0ffffc40,0xfff10000,0xfb80bfff,0x002fffff,0x7fffffec,0x3fc8001f,
    0x3ffffe00,0x3ffa00ff,0xfff706ff,0xffff50df,0x3fffe007,0x7ec007ff,
    0x400ffa82,0xc82ffffa,0x400fffff,0xfb80001e,0x20005fff,0x7fec03fa,
    0x7c01ffff,0xfffffd06,0x4003ea05,0x07ffffff,0x00017ec0,0x02ffffdc,
    0xffff8800,0xf90007ff,0xffffb001,0x3ffe203f,0x1ff986ff,0x7fffffdc,
    0x7fff402f,0x4c0002ff,0x700003ff,0x000bffff,0xfffb8000,0x2200005f,
    0x05ffffff,0x6fffffe8,0x7fffc400,0x44005fff,0x7ffc006f,0xf100ffff,
    0x2e0dffff,0x540fffff,0xf003ffff,0x00ffffff,0x6fb82f98,0x3ffffc40,
    0x06ffffd8,0xe80001f8,0x000fffff,0xffb00f50,0xb803ffff,0xfffff706,
    0xf801760d,0x007fffff,0x400017cc,0x00fffffe,0xffff8800,0xf90007ff,
    0xffffb001,0x7fffc03f,0x83ffc0ff,0x6fffffe9,0x3fffff20,0x7f900007,
    0x3ffa0000,0x00000fff,0x3ffffa00,0xf100000f,0x00bfffff,0x5ffffff9,
    0xffffb800,0x36001fff,0x7ffc001f,0xf300ffff,0x2a0bffff,0x541fffff,
    0xf003ffff,0x40ffffff,0xbf905f03,0x4ffffb80,0x07fffff0,0x40000f88,
    0x4ffffffa,0xb00b5000,0x03ffffff,0xfff10698,0x2f883fff,0x3ffffe00,
    0x17c0e07f,0x3ffea000,0x80004fff,0x7ffffff8,0x001f9000,0x03fffffb,
    0x0ffffff4,0x6c40dff3,0x983fffff,0x04ffffff,0x007f1000,0xfffff500,
    0x0000009f,0x3fffffea,0xff100004,0x700bffff,0x09ffffff,0xfffffd00,
    0x17e600bf,0x3ffffe00,0xfff100ff,0x3fea0bff,0x7fd40fff,0xfff003ff,
    0x07c0ffff,0x027ec164,0x20bffffa,0x01fffff9,0x740003cc,0x0fffffff,
    0xd8029800,0x01ffffff,0x3fff2038,0x003dc5ff,0x1ffffffe,0x002c80f8,
    0x7fffff40,0x440000ff,0x07ffffff,0xb001fb00,0x403fffff,0x23fffffd,
    0x6c00fffc,0xfe86ffff,0x002fffff,0x0000f600,0x3ffffffa,0x8000000f,
    0xfffffffe,0xff880000,0xa805ffff,0x05ffffff,0xfffffa80,0x0fe801ff,
    0xfffff800,0x3ffe00ff,0xfff706ff,0xffff50df,0x3fffe007,0x01f107ff,
    0x407fd013,0xb07ffffa,0x700fffff,0xff98000b,0x03ffffff,0x3ff60000,
    0x0001ffff,0x7fffffc4,0xff0013a0,0x220fffff,0x0000980f,0x3fffffe6,
    0x440003ff,0x07ffffff,0x3600fb00,0x201fffff,0x24fffffd,0xe803fffe,
    0x7fcc7fff,0x001fffff,0x00006200,0xfffffff3,0x8000007f,0xfffffff9,
    0xf880003f,0x805fffff,0x4ffffffb,0xffffd000,0x3fa80dff,0xfffff000,
    0x7fe401ff,0xfff907ff,0xffff507f,0x3fffe007,0x01f507ff,0xfb017fc0,
    0xff109fff,0x5d009fff,0xfbfd8000,0x006fffff,0x3fff6000,0x80001fff,
    0x34fffffd,0xfff8003f,0x1f507fff,0x7fb00000,0x0dffffff,0xfffff000,
    0x1f6000ff,0x7ffffec0,0x3ffff601,0x3ffffa4f,0x3fffc402,0x3fffffea,
    0x0000000f,0x7fdfec00,0x0006ffff,0x7fdfec00,0x0006ffff,0xffffff88,
    0xffffd805,0xf30003ff,0x05ffffff,0xf8001be2,0x00ffffff,0x07ffffa2,
    0x203ffffa,0x003ffffa,0x0fffffff,0xff8003fa,0x3ffffe01,0xfffffc83,
    0x0003cc02,0x3ffe33e2,0x0002ffff,0xfffffb00,0xf300003f,0xd91fffff,
    0xfffff000,0x003fa0ff,0xf19f1000,0x05ffffff,0xffffe800,0x0fd0007f,
    0x3fffff60,0x3ffff601,0x3ffff62f,0x2ffec02f,0x3ffffff2,0x00000007,
    0x7fc67c40,0x002fffff,0xf19f1000,0x05ffffff,0xffff8800,0xfff805ff,
    0x0001ffff,0x3ffffff6,0x0003f906,0x7ffffffc,0x7fff4400,0x37ffee0d,
    0x7ffff500,0x3ffffe00,0x00ffa87f,0x7c40ffa0,0x7c42ffff,0x400fffff,
    0x7e40004d,0xffffff90,0x3600000b,0x01ffffff,0xffffd000,0xf0007f7f,
    0x50ffffff,0x800001ff,0xffff90fc,0xd8000bff,0x007fffff,0x3f600df0,
    0x3a01ffff,0x261fffff,0x03ffffff,0xffb0fff2,0x000dffff,0xfc800000,
    0xffffff90,0x3200000b,0xfffff90f,0xf88000bf,0x405fffff,0x4ffffff9,
    0x7ffcc000,0x7cc3ffff,0x7ffc0005,0x7000ffff,0xffd7ffff,0xfffa809f,
    0xffff003f,0xfffb8fff,0x413f6000,0x40fffff9,0x05ffffee,0x10000754,
    0x7fffc4bf,0x00001fff,0xffffffd8,0xff700001,0x001fffff,0xfffffff0,
    0x000fffb8,0xf897e200,0x01ffffff,0x3ffff200,0x7cc000ff,0xffffb004,
    0x7fff403f,0xffffc87f,0xffe80dff,0x7fffffc0,0x0000005f,0xf897e200,
    0x01ffffff,0x12fc4000,0x3fffffff,0x7ffc4000,0x3e605fff,0x006fffff,
    0xfffff900,0x007f41ff,0x3ffffe00,0x3ea000ff,0x00aceeee,0x03ffffa8,
    0xfffffff0,0x1fffffdb,0xa82fe400,0x361fffff,0x04ffffcd,0x700007e2,
    0xffffd83f,0x800004ff,0x1ffffffd,0x3ffe0000,0xf0005fff,0xdbffffff,
    0x001fffff,0x360fdc00,0x04ffffff,0x3fffee00,0x7e4001ff,0xffffb002,
    0x7fffc03f,0xfffe886f,0x3e61ffff,0x7fffc42f,0x00004fff,0x07ee0000,
    0x9ffffffb,0x1fb80000,0x7fffffec,0x3fe20004,0xb985ffff,0x0cffffff,
    0xfff10000,0x3ea7ffff,0xfff80003,0x9000ffff,0xfa80003f,0xff003fff,
    0xffffffff,0x4001ffff,0xfff707fa,0xd1f919ff,0x2205ffff,0x6e80004e,
    0xffffffa8,0x6c00000f,0x01ffffff,0x3fff2000,0xff0002ff,0xffffffff,
    0x0001ffff,0x7fd43740,0x000fffff,0xffffff10,0x03fd4009,0x5fffffb0,
    0x3ffffe60,0xffffd104,0x5ff17fff,0xffffff10,0x0000009f,0x7d437400,
    0x00ffffff,0x2a1ba000,0x0fffffff,0xffff1000,0xffffdfff,0x019fffff,
    0xfff90000,0x0df3ffff,0x3fffe000,0x74c00fff,0xfa80004f,0xff003fff,
    0x2a6fffff,0x2000fffd,0xffa80ff8,0xd2ffffff,0xd103ffff,0x5400910b,
    0xffffd02f,0x800007ff,0x1ffffffd,0x3fe20000,0x3e0007ff,0x537fffff,
    0x0001fffb,0x7f40bea0,0x003fffff,0x3ffffea0,0x2ff9803f,0x3ffff600,
    0xfffc80ef,0x3fa200ff,0xefffffff,0x3ffffe01,0x266005ff,0x99999999,
    0xf5001999,0x3ffffa05,0x500003ff,0x3fffa05f,0x10003fff,0x9dffffff,
    0xfffffffb,0x44000007,0xffffffff,0xff00002f,0x801fffff,0x80004ffd,
    0x003ffffa,0x0fffffff,0xe8001ffd,0xffff881f,0x3fea3fff,0x81fdc2ff,
    0x81fa004d,0x7ffffffb,0x7fec0000,0x0001ffff,0x027ffec0,0xffffff00,
    0x001ffd0f,0xfb81fa00,0x007fffff,0x7ffffec0,0x7fd500bf,0xffffd800,
    0x3fea0eff,0xf9003fff,0x0dffffff,0xffffffe8,0xffb91005,0xffffffff,
    0x81fa009d,0x7ffffffb,0x40fd0000,0x7ffffffb,0xffff1000,0x7ffecbff,
    0x0001ffff,0x3fffee00,0x00005fff,0xfffffff1,0x7fffc405,0x99a999ac,
    0x7fffd400,0xfffff003,0x01fd10ff,0xf905fb80,0xff05ffff,0x3bfbbfff,
    0x4c003e60,0x3ffe203f,0x0002ffff,0x3fffff60,0x4c00001f,0x20000fff,
    0x87ffffff,0x80000fe8,0x3fe203f9,0x002fffff,0x3ffff220,0xedccefff,
    0xfd8002ff,0xefebffff,0x04fffffd,0x7ffff4c0,0x3ff605ff,0x8006ffff,
    0xfffffff9,0x0fe6001f,0xffffff88,0x7cc0002f,0x3fffe203,0x88002fff,
    0x25ffffff,0xfffffff8,0x74000006,0x03ffffff,0xfffd8800,0x701effff,
    0xffffffff,0x7bffffff,0x07ffff50,0x3fffffe0,0x0001f907,0x3b6605fd,
    0xdfd9101d,0x03e8039b,0xf9003f60,0x00dfffff,0x7fffec00,0x800001ff,
    0x7c0005fe,0x907fffff,0xfb00001f,0xffffc801,0x880006ff,0xfffffffc,
    0x0000cfff,0x13fffffb,0x5bfffffb,0x3ff62000,0xf503ffff,0x01ffffff,
    0xfffff900,0x0fd8009f,0x7ffffe40,0x7ec0006f,0x7fffe400,0xf88006ff,
    0x545fffff,0x4fffffff,0x3f200000,0x003fffff,0x3fffffa0,0xffffffff,
    0x3fffea1e,0xffffffff,0x7d45ffff,0xff003fff,0x2a0fffff,0x2a06200f,
    0x000000ef,0x22006a80,0xffffffff,0xffffffff,0xb00001ff,0x03ffffff,
    0x05f50000,0xfffff800,0x401f507f,0x7ffc4018,0xffffffff,0x1fffffff,
    0x75310000,0x00039ffb,0x3fffffb0,0x00016544,0xffffff50,0x3ffffe01,
    0xfc8001ff,0x004fffff,0x3fffffe2,0xffffffff,0x0001ffff,0xfffffff1,
    0xffffffff,0x88003fff,0x85ffffff,0xfffffffc,0xf9000002,0x007fffff,
    0x00efa800,0x3fffffe0,0xffffffff,0x3fea4fff,0xfff003ff,0x3e20ffff,
    0x7ec0b200,0x40000004,0x3f2002f8,0xcccccccc,0xfffffecc,0xfb00005f,
    0x003fffff,0x000d7000,0xfffffff0,0x2c803e20,0x66667e40,0xfecccccc,
    0x005fffff,0x0ffe8800,0xfffb0000,0x800003ff,0xffffd100,0x3ffff205,
    0xfb8003ff,0x003fffff,0x333333f2,0xffeccccc,0x0005ffff,0x999999f9,
    0xfffd9999,0x8800bfff,0x05ffffff,0xfffffffd,0xf9000001,0x007fffff,
    0x007fe400,0x3ffffa20,0xffffffff,0x3fea7fff,0xfff003ff,0x0640ffff,
    0xfd101f88,0x20000003,0x3e2003f9,0x3ffe6005,0x0000ffff,0xffffffd8,
    0x3e800001,0xffff8000,0x403207ff,0x17e201f8,0xfffff980,0x400000ff,
    0x00004ffd,0x07fffff6,0x77fd4000,0x4fffe880,0x3fffffa0,0xfffb8006,
    0xf1003fff,0x7ffcc00b,0x4000ffff,0x3e6005f8,0x00ffffff,0x3ffffe20,
    0xffff305f,0x0000bfff,0xffffff90,0x3ea00007,0xff30006f,0xffffffff,
    0x23ffffff,0x003ffffa,0x0fffffff,0x9803ee00,0x000000ef,0x2e001fcc,
    0x7ff4001f,0x0004ffff,0xffffffd8,0x0cc98001,0x400007cc,0x07ffffff,
    0x5c01f700,0x7ff4001f,0x0004ffff,0x013ffe20,0xffffd800,0xfd00001f,
    0x3ff207ff,0x3ffe204f,0x5c002fff,0x03ffffff,0xe8003f70,0x04ffffff,
    0x2000fdc0,0x4ffffffe,0x3fffe200,0x3fee05ff,0x003fffff,0x7fffe400,
    0x900003ff,0xd9800dff,0x26200bff,0xf50ffffc,0x3e007fff,0x007fffff,
    0xf9807f88,0x5000003f,0x6f88005f,0xffffa800,0x40000fff,0x1ffffffd,
    0x37ffcc00,0x7c000176,0x007fffff,0x3e207f88,0xfffa8006,0x0000ffff,
    0x00dfff50,0x7fffec00,0xf880001f,0xff304fff,0xfff9805f,0x7dc006ff,
    0x803fffff,0xfa8006f8,0x00ffffff,0x5000df10,0x1fffffff,0x3fffe200,
    0x7fec05ff,0x001fffff,0x3ffff200,0xf00003ff,0x74001fff,0x7d4005ff,
    0x3fffea6f,0xfffff003,0x744001ff,0xbfd1006f,0x32600001,0x4fc8002f,
    0xfffff000,0xe80009ff,0x01ffffff,0x87fffe40,0xf00001f8,0x01ffffff,
    0x9037f440,0x3fe0009f,0x004fffff,0x7ffff300,0x3ff60000,0x00002fff,
    0x2e05ffff,0xfa800fff,0x2005ffff,0x3ffffffb,0x0004fc80,0x9fffffff,
    0x0013f200,0x7ffffffc,0xffff1004,0xff880bff,0x006fffff,0x3ffff200,
    0xd00003ff,0x2600dfff,0x54003fff,0x3ffea3ff,0xffff003f,0x26001fff,
    0x64005ffe,0x260003ff,0x88001dfd,0xf90002ff,0x01ffffff,0x7ffff400,
    0x7e4001ff,0x05d8afff,0x3fffe000,0xd3000fff,0x3fe20bff,0xfff90002,
    0x0001ffff,0x0fffffe0,0x3fffa000,0x900002ff,0x3fa03fff,0x3f62004f,
    0xb800dfff,0x03ffffff,0x80017fc4,0xfffffffc,0x017fc400,0xfffffc80,
    0xff8800ff,0xa806ffff,0x4fffffff,0xfff90000,0x00007fff,0x037ffff2,
    0x003fffa0,0xf506ff44,0xf300dfff,0x09ffffff,0x4ffffd98,0xcefd8800,
    0xb53100ab,0x6c00019f,0xf50004ff,0x0bffffff,0x7ffffc00,0x7c4003ff,
    0x00ffffff,0xffff3000,0xd9809fff,0xfb04ffff,0x3ea0009f,0x05ffffff,
    0xffff3000,0x000159df,0x09ffffff,0x77fec000,0x07ffd711,0x3fffea00,
    0x2e6209cf,0x0beffffe,0x0027fec0,0xffffffa8,0x27fec05f,0xffffa800,
    0xfa805fff,0x007fffff,0xfffffffb,0xffb00005,0x0009ffff,0x3ffffa20,
    0xff501bcf,0x931037df,0xfff507ff,0x8819dfff,0xfffffffe,0xfedccdef,
    0x03ffffff,0x3ff6e200,0xfffeddff,0x2a0000ce,0x001ffffe,0x7ffffe44,
    0x2000cfff,0xffffffd8,0x7dc001ff,0x0000efff,0xfffffd10,0xb99bdfff,
    0xfffffffd,0xffffea87,0x7fe44001,0x0cffffff,0xfffa8000,0x2004ffff,
    0xffffffeb,0x80000abf,0xfffffffb,0x5c40002e,0xfffffffe,0x0befffff,
    0xffffea80,0x7fe44001,0x0cffffff,0x0fffff54,0x3fff2200,0x00cfffff,
    0xfffffff3,0xfe8801bf,0x0bffffff,0xfffb8800,0x002fffff,0xffffd100,
    0x75401dff,0xffffffff,0x40001cef,0xffffffe8,0xffffffff,0xffffffff,
    0x200002ff,0x09abbaa9,0xfff90000,0x01dfffff,0x7fffffe4,0x2fffffff,
    0x7ffff6c0,0xffffffff,0x06e6002e,0x3ffa2000,0xffffffff,0xffffffff,
    0x22ffffff,0xfffffffc,0x3ff200ef,0xffffffff,0x80002fff,0x01cefec8,
    0x33333220,0x01cccccc,0x2aea6000,0x51000001,0x35799997,0x7fe40013,
    0x0effffff,0x3fffff20,0xffffffff,0xffffff92,0x7e401dff,0xffffffff,
    0xfd12ffff,0xffffffff,0x4c09ffff,0xffffffff,0xfee9801f,0xffffffff,
    0x000eefff,0x1ef76dc0,0x57553100,0x00000013,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666600,0x40000001,0x9300001a,0x0bf0017d,
    0x44001b60,0x00099999,0x04ccccc4,0x4cc00000,0x40001999,0x00999998,
    0x030004c0,0x4cccc000,0x88000019,0x00009999,0x2005f64c,0x33002dda,
    0x00000333,0x000005c4,0x03333330,0x00072200,0x77f6dd44,0x07700bde,
    0x99803300,0x99999999,0x19999999,0x2a000000,0x4b80bded,0x3b2e2000,
    0x0580bdef,0xffff5000,0x0000009f,0x003bffea,0x6ffff980,0x6404fd80,
    0xffb0005f,0x88005fff,0x007ffffe,0x7ffcc000,0x4c0005ff,0x005fffff,
    0x3ec0076c,0xfffb8000,0x400003ff,0x05fffff8,0x3fffe600,0x3ffff206,
    0x7fffcc03,0xd800003f,0x00004fff,0x4fffffa8,0x004fb800,0x7ffffec4,
    0xeffffeef,0x8007f30b,0x372203e8,0xfffffffe,0xffffffff,0x00002def,
    0xffffff70,0x0017e639,0x76f7ffdc,0x0d72dfff,0x3fff6000,0x0000004f,
    0x00fffffa,0xfffffc80,0x677fdc01,0x3ffdba9a,0xfffff000,0x3fe20005,
    0x00001fff,0x17ffff20,0x7ffd4000,0x3f2000ff,0x0037e405,0x4ffffd80,
    0xffc80000,0x0001ffff,0x05fffff9,0x01bffffe,0x0ffffffd,0xfff98000,
    0x400000ff,0x004ffffd,0x2001ff54,0x9beffffb,0x7fff5440,0x64003fff,
    0x3ff6003f,0xa99effff,0xfffffecb,0x2600002f,0xffffffff,0x4004ffff,
    0x980dffe8,0x006ffffe,0x4ffff880,0x26000000,0x006fffff,0x3fffffe0,
    0xffffe803,0x00efffff,0x2ffffa80,0x7ffcc000,0x2000004f,0x0005ffff,
    0x17fffd40,0x9bfff500,0x09ffd955,0xffff1000,0xf3000009,0x0bffffff,
    0x3ffffa00,0xffff984f,0xfff500ff,0x0007ffff,0x7ffffe40,0x3e200003,
    0x54005fff,0x362002ff,0x000effff,0x07fffff7,0x001ffd40,0xbffffff3,
    0x7ffffdc0,0xfb00003f,0xffffffff,0xe8001fff,0xffb806ff,0xfa80006f,
    0x000005ff,0x7ffffc40,0x3ff20004,0xf9800fff,0xffffffff,0xfffb0001,
    0x3e600007,0x000007ff,0x000bfff3,0x17ffee00,0xfffffb00,0x001fffff,
    0x09fff700,0x3ff60000,0x01ffffdf,0xfffffb80,0xbffffd01,0x37fffe20,
    0x0000ffff,0x3fffff50,0x7fd40000,0x7fcc005f,0x3ffea004,0x44000eff,
    0x1003ffff,0x44007fff,0x05ffffff,0x7fffffdc,0x9ee80002,0xffffffc9,
    0x7fdc003f,0xdff7003f,0xbffb0000,0x20000000,0x001ffffc,0x13fffe20,
    0xfffffa80,0x3e0002ff,0x400003ff,0x0001fff9,0x00effc80,0x3fee0000,
    0x7ffc4007,0x02ffffff,0x0bffb000,0x3fea0000,0x0bffd14f,0xbfffd100,
    0x0ffffd40,0xf32fffc8,0x400009ff,0x0006ffff,0x002ffec0,0x4003ffe6,
    0x0efffff9,0x7fff3000,0x7fffd100,0x7fffc400,0xffe805ff,0x80006fff,
    0xefeca82f,0x7ffc4002,0x1bf6000f,0x0bff1000,0x98000000,0x500000bd,
    0xb7100037,0x400017bd,0x00004ffa,0x0009ff30,0x001dff00,0x5ff70000,
    0xfffd8800,0x00001eff,0x0000bff1,0x2217ff40,0x50002ffd,0x05710039,
    0x220fffc4,0x00000ffe,0x00000b6e,0x8800dff1,0x3a005fff,0x003fffff,
    0x201ffcc0,0x03ffffe9,0x3ffffe20,0xfffc805f,0x00002fff,0x3e600000,
    0x22001fff,0x7d40006f,0x00000006,0x00000000,0xb0000000,0x8000009f,
    0x400007fa,0x00000ef9,0x0017f200,0x005e6e54,0x00bf7000,0x0ffdc000,
    0x0000df90,0x3bf60000,0x009fd100,0x00000000,0xe8001df5,0xf9001fff,
    0x001fffff,0x4c07f900,0x9cffffff,0x3fe20199,0xb805ffff,0x04ffffff,
    0x00000000,0x013fffee,0x88000f90,0x00000001,0x00000000,0x20000000,
    0x00000018,0x88000031,0x00000009,0x00000098,0x00310000,0x00dd8000,
    0x00002fb8,0x02744000,0x00000fd8,0x4c400000,0x7ffcc000,0xffff3006,
    0x20000bff,0xfff503f8,0xffffffff,0x3ffe203f,0xfa805fff,0x205fffff,
    0x99999998,0x26200199,0x09999999,0x09fffff9,0x00003cc0,0x40000000,
    0xacefecca,0x9998ee01,0x10019999,0x0159bb75,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33330000,0x4c413333,0x01999999,
    0x88000000,0xdeefedba,0x0007700b,0x0ffff600,0x7fffff40,0x3600002f,
    0xfffff883,0xffffffff,0xfffff101,0xfff700bf,0x6cc09fff,0xfffffffe,
    0xfd97004f,0x2e9dffff,0x0dffffff,0x99998b00,0x99999999,0x00199999,
    0xffc88000,0xffffffff,0x27d11bdf,0xffffffe8,0x7ffdc01f,0xfffffedf,
    0x2661ffff,0x99999999,0x4cc19999,0x99999999,0x99999999,0x80999999,
    0x99999999,0x09999999,0x33333000,0x33333333,0x99999833,0x99999999,
    0x4ccccc19,0x99999999,0x99999999,0x99980999,0x99999999,0x99999999,
    0xe8099999,0x2fffffff,0x3fffffe6,0x4ccccc7f,0x99999999,0x7ec40019,
    0xfeefffff,0xf30befff,0x26666607,0x3e600999,0xf9802fff,0x00ffffff,
    0x70062000,0x007fffff,0x7fffffc4,0xffffd805,0xff9003ff,0x07ffffff,
    0x40fffc80,0xfffffff8,0x322000bf,0xffffffed,0xffffffff,0x0002deff,
    0x7ffffe40,0xf95309be,0x987fffff,0x01ffffff,0x43dfffd1,0xfffffffc,
    0x3ffb321f,0xefffffff,0x3ff720cc,0xffffffff,0xffffffff,0x6442ffff,
    0xffffffec,0x01ccefff,0xfffd9900,0x9dffffff,0x7ff66419,0xefffffff,
    0x3ff720cc,0xffffffff,0xffffffff,0xdc82ffff,0xffffffff,0xffffffff,
    0x02ffffff,0x5ffffff3,0xffffff70,0xffffecc8,0xccefffff,0xffff5000,
    0xfd51017f,0x207fffff,0xfffffffd,0x3ffff602,0xffffa800,0x000007ff,
    0xfffffb80,0x3ffe2003,0xff805fff,0x001fffff,0x3ffffff2,0x7fc001ff,
    0xffffff03,0x0007ffff,0x3ffffff6,0xfecba99e,0x002fffff,0x7ffff440,
    0xffd8803f,0xfffe83ff,0xfffb01ff,0xbffff05f,0x3f201555,0x05ffffff,
    0xffffff90,0x9555555f,0x05fffffd,0xffffffd8,0xc800004f,0x5fffffff,
    0xfffff900,0x3f200bff,0xaaffffff,0xffecaaaa,0x7e402fff,0xaaffffff,
    0xffecaaaa,0x3f602fff,0xf882ffff,0x3207ffff,0x5fffffff,0x7ffec400,
    0xff7000df,0x7c407fff,0x102fffff,0x200fffff,0x6ffffffc,0xb8000000,
    0x003fffff,0x3fffffe2,0x7fffcc05,0x7c4004ff,0xefffffff,0x407f6000,
    0xfffffffb,0x4002ffff,0x5ffffff9,0x3ffffee0,0xff50003f,0x8003ffff,
    0xfd83fffb,0xfb81ffff,0xff907fff,0xff1003ff,0x003fffff,0x3fffffe2,
    0xfffea807,0x7fffc402,0x00000fff,0xffffff88,0xfff1001f,0x2003ffff,
    0x7ffffff8,0x2fffea80,0x7ffffc40,0xffea807f,0x3fff602f,0xffff02ff,
    0x7ffc40ff,0x2001ffff,0x05fffffa,0x3ffff880,0x7ffffec0,0xdffff502,
    0x3ffff600,0x000006ff,0xfffffb80,0x3ffe2003,0x3e605fff,0x006fffff,
    0xfffffff0,0x7e400bff,0x3ffff200,0xefffffff,0xffff1001,0xffb80bff,
    0x4002ffff,0x1ffffff9,0x07ff9000,0x03fffffb,0x20dffffd,0x006ffffb,
    0x1fffffff,0x7ffffc00,0x3ff2007f,0x7fffc402,0x000007ff,0x3ffffffe,
    0x3fffe000,0x3e000fff,0x007fffff,0x3e00bff2,0x007fffff,0xfc80bff2,
    0xff02ffff,0xff80ffff,0x000fffff,0x1dfffff3,0x3ffe6000,0x7fffec03,
    0xffff902f,0x3fffe00b,0x00005fff,0xffffb800,0x3fe2003f,0xb985ffff,
    0x0cffffff,0xfffbf000,0x009fffff,0xffb003ee,0xffffffff,0xff1009ff,
    0xd00bffff,0x00dfffff,0x7fffff44,0x1ff40004,0x0fffffec,0x1bffffe2,
    0x07ffffdc,0x7fffffc0,0x7fffc007,0x7ec007ff,0xfffff802,0x2000007f,
    0x07ffffff,0x7fffffc0,0x7fffc007,0x7ec007ff,0xfffff802,0x17ec007f,
    0x5fffff90,0x1fffffe0,0xfffffff0,0x7ffff400,0x7cc0002f,0x7ffe403f,
    0xfffb02ff,0xfff100bf,0x0009ffff,0xfff70000,0x7c4007ff,0xfeffffff,
    0xffffffff,0x5fc0000c,0xfffffffb,0x007b802f,0xfffffffb,0x01bfffff,
    0x7fffffc4,0xffffc805,0xffb002ff,0x0001ffff,0xffd83fa8,0x7fcc1fff,
    0xff505fff,0xff003fff,0x800fffff,0x07ffffff,0x7c017cc0,0x007fffff,
    0x3fffe000,0x7fc007ff,0x4007ffff,0x07ffffff,0x7c017cc0,0x007fffff,
    0xff9017cc,0x3fe05fff,0x7fc07fff,0x9007ffff,0x00ffffff,0x900ff200,
    0x205fffff,0x805ffffe,0xfffffff8,0x80000005,0x03fffffb,0x3ffffe20,
    0xffffdcef,0x00003fff,0x3ffff27f,0x5c01ffff,0x3ffea007,0xffffffff,
    0xfff100ef,0xf700bfff,0x009fffff,0x9ffffff3,0x20fe0000,0x41fffffd,
    0x05fffff8,0x01fffff5,0xfffffff0,0xfffff800,0x17c0e07f,0x7fffffc0,
    0x3e000007,0x007fffff,0x3ffffffc,0x3ffffe00,0x17c0e07f,0x7fffffc0,
    0x017c0e07,0x05fffff9,0x01fffffe,0x0fffffff,0xffffff30,0x3e200009,
    0x7fffe403,0xfffff02f,0x3fffa00b,0x26005fff,0x99999999,0xfb819999,
    0x2003ffff,0x5ffffff8,0x3ffffff6,0x3f80001f,0x3ffffffa,0x01ee00ef,
    0x3ffffee0,0x04ffffff,0xbffffff1,0xfffff500,0xfffb00bf,0x00005fff,
    0x3fff60f2,0xffff81ff,0xffff706f,0x3fffe00d,0x7fc007ff,0x3e07ffff,
    0xff802c80,0x0007ffff,0x3ffffe00,0x7ffc007f,0x7c007fff,0x207fffff,
    0xf802c80f,0x207fffff,0x3202c80f,0xf02fffff,0xf80fffff,0x807fffff,
    0x2ffffffe,0x00f60000,0x05fffff9,0x09fffff1,0x3fffff20,0xfb91006f,
    0xffffffff,0xfff709bf,0x7c4007ff,0x225fffff,0x6fffffff,0x223f8000,
    0xffffffff,0x4001ee05,0xffffffc8,0xf880ffff,0x805fffff,0x4ffffffb,
    0x7ffffc40,0x100000ff,0xfffffb01,0xfffff903,0x0fffff20,0x7fffffc0,
    0x7fffc007,0x01f107ff,0xffff0013,0x00000fff,0x3ffffffc,0x3ffffe00,
    0x7ffc007f,0x1f107fff,0xfff00130,0x3e20ffff,0x3f200980,0xff02ffff,
    0xff80ffff,0x4c07ffff,0x1fffffff,0x00620000,0x05fffff9,0x09fffff1,
    0x3ffffee0,0xff98007f,0x01ffffff,0x0fffffee,0xfffff880,0x7fffd45f,
    0x40004fff,0x7fffcc3f,0xf704ffff,0x7e440060,0x3fffffff,0xffffff88,
    0xffffd805,0x7fe403ff,0x0006ffff,0xffffd800,0xfffe881f,0xffffe81f,
    0xfffff000,0xfff800ff,0x1f507fff,0x7fffc000,0x000007ff,0x1ffffffe,
    0xffffff00,0xffff800f,0x01f507ff,0x7ffffc00,0x001f507f,0x5fffff90,
    0x1fffffe0,0xfffffff0,0xfffffa80,0x000000ff,0x7ffffe40,0xfffff882,
    0xffff3004,0x90001fff,0x0bffffff,0x3fffffb8,0x3fffe200,0xfffc85ff,
    0x0002ffff,0x3ffea0fe,0xb82fffff,0x4c005b07,0x4ffffffe,0xffffff88,
    0xfffff805,0x7fec01ff,0x0005ffff,0xffffd800,0xfffd101f,0x6fffdc1b,
    0x3fffe000,0x7fc007ff,0xfd07ffff,0x7ffc0001,0x00007fff,0x3fffffe0,
    0x7fffc007,0x7fc007ff,0xfd07ffff,0x7ffc0001,0x1fd07fff,0xffff9000,
    0x3fffe05f,0x7fffc07f,0x7fe407ff,0x0007ffff,0xfffc8000,0xffff02ff,
    0x3fe2009f,0x001fffff,0xffffffb8,0x7fffdc04,0x3fe2003f,0xfd05ffff,
    0x01ffffff,0x7e40fe00,0x0fffffff,0x005d83dc,0x5fffffd8,0xffffff88,
    0x7fffcc05,0xfff804ff,0x0004ffff,0xffffd800,0x7ffdc01f,0x04fffebf,
    0xffffff80,0x7fffc007,0x0ffa87ff,0x3fffe000,0x000007ff,0x1ffffffe,
    0xffffff00,0xffff800f,0x0ffa87ff,0x3fffe000,0x0ffa87ff,0xffffc800,
    0xfffff02f,0xfffff80f,0x7ffec07f,0x00006fff,0xffffc800,0xffffd02f,
    0x7ffd400b,0xb8004fff,0x03ffffff,0x1fffffdc,0xfffff100,0x3ffe60bf,
    0x0005ffff,0x7ffec07f,0x2e0effff,0x8001fb07,0x84ffffe8,0x5ffffff8,
    0x3ffffe60,0xffff006f,0x00009fff,0xfffffb00,0xdddf5003,0x2000159d,
    0x07ffffff,0x7fffffc0,0x007ffdc7,0xffffff00,0x7c00000f,0x007fffff,
    0x3ffffffc,0x3ffffe00,0x07ffdc7f,0xfffff000,0x0fffb8ff,0xffffc800,
    0xfffff02f,0xfffff80f,0x7fffc07f,0x00005fff,0xffffc800,0xffff902f,
    0xfffd800b,0x5c000fff,0x03ffffff,0x27ffffdc,0xffff8802,0x3fee05ff,
    0x003fffff,0x3fa203f8,0x25ffffff,0x005fb07b,0x07ffff70,0xbffffff1,
    0xfffff730,0xff30019f,0x009fffff,0xfffb0000,0x1fc803ff,0xfff80000,
    0x7c007fff,0xedffffff,0x000fffff,0x3fffffe0,0x3e000007,0x007fffff,
    0x3ffffffc,0x3ffffe00,0xffffedff,0x3fe0000f,0xfedfffff,0x8000ffff,
    0x02fffffc,0x80ffffff,0x07ffffff,0x3fffffe2,0x0000004f,0x2fffffc8,
    0x0bffff70,0xffffe880,0x7fdc003f,0x5403ffff,0x224fffff,0xffff100e,
    0xffd80bff,0x001fffff,0x3fe601fc,0x73ffffff,0x003ff60f,0x03ffff30,
    0xfffffff1,0xfffffffd,0x440019ff,0x5fffffff,0xfd800000,0xd301ffff,
    0x2000009f,0x07ffffff,0x7fffffc0,0xffffffff,0x3ffe0000,0x00007fff,
    0x3fffffe0,0x7fffc007,0x7fc007ff,0xffffffff,0x0000ffff,0x3ffffffe,
    0x0fffffff,0xffffc800,0xfffff02f,0xfffff80f,0x3ffe207f,0x0004ffff,
    0xfffc8000,0xfff502ff,0xff3000df,0xb800dfff,0x03ffffff,0xafffffe8,
    0x3fe201ea,0x4405ffff,0x6fffffff,0x5401fc00,0xffffffff,0xbffb07b9,
    0x6fff9800,0xffffff10,0xfffffb9d,0x3e0007ff,0x06ffffff,0xffd80000,
    0xffb02fff,0x3e000009,0x007fffff,0xbffffffc,0x00fffda9,0x3ffffe00,
    0x2000007f,0x07ffffff,0x7fffffc0,0x7fffc007,0xffb537ff,0x7fc0001f,
    0xb537ffff,0xb0001fff,0x205fffff,0x407fffff,0x07ffffff,0x7ffffffc,
    0x26666005,0x99999999,0xffffc819,0xffff102f,0x3fea000f,0x7000efff,
    0x07ffffff,0xffffff10,0xfff8807f,0xfa806fff,0x04ffffff,0x7e400fe0,
    0xdfffffff,0x09fffb07,0x807ffe40,0x5ffffff8,0x3ffffff6,0xffe8001f,
    0x0007ffff,0xffffe800,0xffff883f,0x99a999ac,0xffff8000,0x7fc007ff,
    0xfe87ffff,0x3fe0000f,0x0007ffff,0x3ffffe00,0x7ffc007f,0x7c007fff,
    0xe87fffff,0x3e0000ff,0xe87fffff,0xfe8000ff,0xff03ffff,0xff80ffff,
    0x7407ffff,0x05ffffff,0xffffb910,0x9dffffff,0x5fffff90,0x0ffffe40,
    0xfffd8800,0xffb801ef,0x3003ffff,0x005bffd9,0xfffffff5,0x3ffff600,
    0x7f002fff,0x7fffec00,0xfb07ffff,0x9801bfff,0x3e202fff,0x225fffff,
    0x6fffffff,0xffffd800,0x00000fff,0xfffff710,0xfffb83df,0xffffffff,
    0xf003dfff,0x00ffffff,0x7ffffff8,0x0000fe88,0x1ffffffe,0xfff80000,
    0x7c007fff,0x007fffff,0x3ffffffc,0x00007f44,0x0fffffff,0xa8001fd1,
    0x1effffff,0x07fffff8,0x3ffffffc,0x3fffff60,0xff98006f,0x01ffffff,
    0x0bfffff2,0x02ffff88,0x7fffd400,0x97309bdf,0x17dffffd,0x4c003000,
    0xffffffff,0x7ff4400d,0x00bfffff,0xfd1001fc,0x0fffffff,0x3ffffff6,
    0x77fe441b,0x7fffc402,0x7ffd45ff,0x4004ffff,0xfffffffb,0xf8800001,
    0xffffffff,0x3fffea5f,0xffffffff,0xf805ffff,0x007fffff,0x3ffffffc,
    0x20000fc8,0x07ffffff,0xfff00400,0xf800ffff,0x007fffff,0x3ffffffc,
    0x20000fc8,0x07ffffff,0x3e2001f9,0xffffffff,0x7ffffc5f,0x7ffffc07,
    0x7ffd407f,0x8000ffff,0x4ffffffc,0x7ffffe40,0x27ffe402,0x7edc4000,
    0xffffffff,0x000befff,0x7ff44000,0xffffffff,0x3e604fff,0xffffffff,
    0x1000fe01,0xffffffff,0x75cc7b60,0xffffefff,0xffff1004,0xfff90bff,
    0x4005ffff,0xfffffff8,0xd8000002,0xffff804f,0xffffffff,0x404fffff,
    0x07ffffff,0x7fffffc0,0x4401f507,0x3ffffe01,0x1a60007f,0x7ffffff8,
    0x7ffffc00,0x7ffc007f,0x1f507fff,0xfff00c40,0x3ea0ffff,0x00006200,
    0x01fffffe,0x0fffffff,0xfffffff0,0xfff90003,0xfc809fff,0x4c02ffff,
    0x00006fff,0xacdfca88,0x9800019a,0x00001dfd,0xf0000000,0xfff50007,
    0x06a0ffff,0x0d6fed4c,0x3fffe200,0xfffd05ff,0x4001ffff,0x5ffffffc,
    0x36200000,0xffd1006f,0xffffffff,0x80ffffff,0x07ffffff,0x7fffffc0,
    0x6401f107,0x3ffffe02,0x1720007f,0x7ffffff8,0x7ffffc00,0x7ffc007f,
    0x1f107fff,0xfff01640,0x3e20ffff,0x0000b200,0x01fffffe,0x0fffffff,
    0xffffff90,0xfff70007,0xfc807fff,0xd802ffff,0x00001fff,0x00005fb0,
    0x03ffff60,0xbde88000,0x7f000001,0x3ffee000,0x360007ff,0xff10002f,
    0x260bffff,0x5fffffff,0x3fffe600,0x80000fff,0x003ffd81,0x3fffffe6,
    0xffffffff,0x3ffe01ff,0x7c007fff,0x207fffff,0x403f100c,0x07ffffff,
    0xff813a00,0x4007ffff,0x07ffffff,0x7fffffc0,0x7c403207,0x3ffffe01,
    0x4403207f,0xff80001f,0x7fc06fff,0xd007ffff,0x00dfffff,0xffffff70,
    0xffffc807,0xffe8802f,0xfa800004,0x800006ff,0x003ffffe,0x3fffe200,
    0x3f800005,0x3fff6000,0xff50007f,0xff1000df,0x5c0bffff,0x3fffffff,
    0x3fffea00,0x4c0004ff,0x804fff87,0x200bffd9,0x0ffffc98,0x3fffffe0,
    0x7fffc007,0xf70007ff,0x7ffffc01,0x7f50007f,0x7fffffc0,0x7fffc007,
    0x7fc007ff,0x0007ffff,0x7ffc01f7,0x70007fff,0x4288001f,0x406ffffe,
    0x07ffffff,0xffffff10,0xfffb8005,0x7e403fff,0x1002ffff,0x00001ffd,
    0x01fffeb8,0x7ffd4000,0x5c00005f,0x0000fffe,0x00013e20,0x000ffffd,
    0x007fffae,0xffffff10,0xffffd80b,0x32001fff,0x01ffffff,0xf98ff300,
    0xffe806ff,0x37fd4005,0x3fffffe0,0x7fffc007,0xf88007ff,0x7ffffc07,
    0x7fd0007f,0x7fffffc0,0x7fffc007,0x7fc007ff,0x8007ffff,0x7ffc07f8,
    0x88007fff,0x7fd4007f,0x17ffff65,0xfffffff0,0x7fffcc00,0x7fdc006f,
    0x6403ffff,0x002fffff,0x00017fe2,0x00fffe60,0x17ccc000,0x7fd40000,
    0x2600002f,0x7c40005f,0x260007ff,0x44003fff,0x05ffffff,0x7fffffc4,
    0x7fec006f,0x4001ffff,0x7fc41ffb,0x3fe603ff,0x7fd4003f,0x7ffffc03,
    0x7ffc007f,0x2000ffff,0x7fc06fe8,0x8007ffff,0x3fe02ffc,0x4007ffff,
    0x07ffffff,0x7fffffc0,0x3fa2000f,0x7ffffc06,0x3a2000ff,0x7ff4006f,
    0x0bffff67,0xfffffff0,0xffffa800,0x3fee005f,0x6403ffff,0x002fffff,
    0x0001ffcc,0x00bffea0,0x007b8000,0x3fff7000,0x7fe40000,0x7fcc0000,
    0x3fea0007,0x7fc4001f,0xa806ffff,0x4fffffff,0x7fffdc00,0x2a200cff,
    0xfff01efe,0x7ff407ff,0xbfd1000f,0xfffff801,0x3fe000ff,0x000fffff,
    0x440bffd3,0x0fffffff,0x07fff600,0xfffffff8,0x3fffe000,0x3e000fff,
    0x00ffffff,0x80bffd30,0x0fffffff,0x0bffd300,0x327ffc80,0xff804fff,
    0x000fffff,0x6ffffec4,0xffffb800,0x7fec03ff,0x98003fff,0x300005fe,
    0x0000dffd,0x0001f440,0x02fffcc0,0xdfff7000,0x7dc00015,0xffd10007,
    0xfff5000b,0x3600ffff,0x2fffffff,0x7fff4c00,0xdbacdfff,0x200cffff,
    0xcefffff9,0x3bffea0a,0xffc9881b,0xffff9803,0xf3001fff,0x09ffffff,
    0x4ffffd98,0x3ffffe60,0x6d4403ff,0xf300ffff,0x03ffffff,0x3ffffe60,
    0xff3001ff,0x809fffff,0x04ffffd9,0x3fffffe6,0x7fecc04f,0x7c4004ff,
    0x1fffd1ff,0xfffff980,0xf50001ff,0x4139ffff,0xffffeb98,0x7fec00be,
    0x20003fff,0x90000dea,0x0019ffff,0x00bae000,0xdfffb000,0xff300007,
    0xdfffffff,0x003e4000,0x013fffb2,0x3ffffe60,0x4400dfff,0xfffffffe,
    0x7e4c000b,0xffffffff,0xf5000cff,0x09ffffff,0xffffffd5,0x0039dfff,
    0xffffffd1,0xfe8803df,0xefffffff,0xfffedccd,0xd303ffff,0xffffffff,
    0xfdb9999d,0x20ffffff,0xffffffe8,0x7f4401ef,0x1effffff,0x7ffff440,
    0xccdeffff,0xffffffed,0xfffd103f,0x9bdfffff,0xfffffdb9,0xf70007ff,
    0x03bfffff,0xfffffe88,0x10001eff,0xffffffd7,0x7dffffff,0x3ffea001,
    0x0001efff,0xaa80005c,0x40000009,0x5000001a,0x00000135,0x09000000,
    0x00099980,0x7fffff44,0xffffffff,0x3fffe604,0x001fffff,0x79995530,
    0x2e200035,0x4401defd,0x009abaa9,0xfffffd10,0xffffffff,0x3fffa21d,
    0xffffffff,0xffffffff,0x222fffff,0xfffffffe,0xffffffff,0xffffffff,
    0x3fffa27f,0xffffffff,0xffd10eff,0xffffffff,0x3a21dfff,0xffffffff,
    0xffffffff,0xffffffff,0x3ffffa22,0xffffffff,0xffffffff,0x0002ffff,
    0x40357751,0xffffffe8,0xefffffff,0x97510000,0x13357999,0xfffff800,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1c980000,0x00009700,0x2073bb22,
    0x266000e9,0x80999999,0x99999999,0x09999999,0xca800000,0x01acefec,
    0x4cccc4ee,0x00199999,0x26666662,0x00055099,0x33333331,0x4cc00001,
    0x99999999,0x26009999,0x99999999,0x26662099,0x00019999,0x000001a8,
    0x98000880,0xbec882ec,0x6d400000,0x02dda81d,0x76e44000,0x0036e003,
    0x200007a2,0x20022009,0x1000beb8,0xeb8817d7,0xcea8000c,0x001cda81,
    0x33333331,0x01333333,0x2202ff88,0x980004fd,0xadffffff,0x2000fd88,
    0xfffffffd,0x7ff66442,0xefffffff,0x000001cc,0xffffff91,0x37bfffff,
    0x7f6ccfa2,0x4fffffff,0xfffd9700,0x3ba29dff,0x3ffea002,0x0005ffff,
    0x3fffb320,0xdeffffff,0x3ffb3202,0x21dfffff,0xfffffdca,0xff50000f,
    0x000001df,0x7c001fc0,0x7ff43fff,0x2a00004f,0x3e60ffff,0x80001fff,
    0x00bfffc8,0xd1017ea0,0x3620001f,0x4e81cfff,0x07fffe80,0xc8dfffb0,
    0x5c006fff,0x3ee0ffff,0xfa800fff,0xffffffff,0xb803ffff,0xffe883ff,
    0xffe80000,0xffffffff,0xff88007f,0x6c02ffff,0x4fffffff,0xfc800000,
    0x09beffff,0xfffff953,0xffff907f,0x8007ffff,0xd880fffc,0x3f6000df,
    0x0005ffff,0xfffff700,0xf8800bff,0x8802ffff,0x000fffff,0x07ffffd0,
    0x3ea00000,0x7ffd4000,0x3fffea7f,0x3f600007,0x3ff64fff,0x440004ff,
    0x10004fff,0x54437bff,0xd10007fe,0x7dffffff,0xfa807f93,0x4402ffff,
    0xf11fffff,0x4003ffff,0x3a3ffffe,0xa803ffff,0xffffffff,0x003fffff,
    0x7fcc9fff,0xfa80003f,0xffffffff,0xb0003fff,0x805fffff,0xfffffff8,
    0x22000000,0x03fffffe,0x3ffffd88,0xffffff90,0xff8003ff,0x007fe403,
    0x5fffffb8,0x3fe00000,0x001fffff,0x000effe8,0x003ffff6,0x3ffffe60,
    0xb0000006,0xfff5000b,0x7fffccdf,0x3f600007,0x3ff23fff,0x220004ff,
    0x40007ffe,0xfffffffd,0x90004fff,0xffffffff,0xb803ffff,0x404fffff,
    0x20fffff8,0x001fffff,0xe8bffffa,0xa803ffff,0xffffffff,0x003fffff,
    0xff7bfff7,0x2e0000df,0xfffeb8af,0x20006fff,0x02fffffd,0x7fffffc4,
    0x2a000007,0x01ffffff,0x81fffdc0,0xfffffff8,0x3f6000ef,0x00efe801,
    0x5fffffa8,0x3fe00000,0x001fffff,0x40027fd4,0x000ffffd,0x4fffff88,
    0xf8800000,0xffff0002,0x04fffe87,0x3ffea000,0x3fffe60f,0x3ff20001,
    0x7c40004f,0xffffffff,0x3bfe0006,0xffffffff,0xfff8806f,0xffd801ff,
    0x37ffe45f,0x1fffee00,0x001ffff5,0x55555551,0x03555555,0x7fffff40,
    0x900002ff,0x9ffd730b,0xfffc8000,0xfff802ff,0x00007fff,0xffffff30,
    0x3ff20003,0x3ffffe03,0x2005ffff,0xffa800fc,0xffffa805,0x2000005f,
    0x0ffffffe,0x00ffea00,0x07fffec0,0xffffc800,0xb8000000,0x36e20007,
    0x002db881,0x80cc9800,0x40000cc9,0x0002fffe,0xfffffe98,0xf10000ef,
    0x7ffff547,0xff7000ef,0x16d4009f,0x8000bda8,0xbc980bd9,0x00000000,
    0x3ffffea0,0x0000005f,0xff900000,0xff005fff,0x000fffff,0xffffd100,
    0xfe80009f,0x3fff7e03,0x004fffff,0x3fa001f7,0x7ffd405f,0x000005ff,
    0x3ffffffa,0x03ff7000,0x7fffe400,0x2f660000,0xd0000000,0x00000009,
    0x00000000,0xffff3000,0x76400007,0x40004eff,0xdda880e8,0x00a8000b,
    0x00000000,0x00000000,0x3fffa000,0x000001ff,0xf9000000,0xf005ffff,
    0x00ffffff,0xffffb000,0xa80001ff,0x3eefe03f,0x2fffffff,0x2e007b80,
    0x3ea03fff,0x0005ffff,0x3ffffa00,0xefd800ff,0x7fe40000,0x000000ff,
    0x3e600000,0x00000001,0x00000000,0xffff9800,0x08800005,0x00000000,
    0x00000000,0x00000000,0x99999998,0x19999999,0x66664c00,0x26000003,
    0x09abccba,0x7ffe4000,0xfff802ff,0x00007fff,0x7fffffcc,0x07f00004,
    0xffffc9fc,0x5c01ffff,0x3ffe2007,0x3fffea07,0x2000005f,0x0ffffffe,
    0x0013fa20,0x07fffe40,0x00000000,0x0000db00,0x2af32ea6,0x99980009,
    0x99999999,0x33301999,0x03333333,0x01bfffe2,0x00000000,0x4ccc0000,
    0x99999999,0x4ccc1999,0x99999999,0x4ccc1999,0x99999999,0x99999999,
    0xc8099999,0xffffffec,0x00ccefff,0x40000000,0xdfffffea,0x00dfffff,
    0xfffffc80,0xfffff802,0x6c00007f,0x02ffffff,0x7c079000,0x3fffffa3,
    0x1ee00eff,0x07fffb00,0x17ffffea,0x26666662,0xfffd0019,0x3e601fff,
    0x3200003f,0x2660ffff,0x99999999,0x99999999,0x00999999,0x3f372a20,
    0x3faa0003,0xfffdffff,0xb9000dff,0xfffffffd,0x90199dff,0xbffffffb,
    0x3fffe019,0x39800007,0x33330000,0x33333333,0xfecc8333,0xffffffff,
    0x3b320cce,0xffffffff,0x3720ccef,0xffffffff,0xffffffff,0x02ffffff,
    0x7fffffe4,0x7f54005f,0x067ed40c,0xfffd8800,0x7fe541be,0x7e4003ff,
    0xf802ffff,0x007fffff,0x3fffe200,0x00000fff,0xf11fc011,0xbfffffff,
    0x32003dc0,0xff506fff,0xff70bfff,0x01dfffff,0xffffffd0,0x003ff701,
    0xffffc800,0x3ffff720,0xffffffff,0xffffffff,0xff9802ff,0x02ffffef,
    0x77ffec40,0x7ffe541b,0x7fec003f,0x003fffff,0x4007ffec,0x000ffffd,
    0x00036c00,0xffffecc8,0xccefffff,0xfffff900,0x3f200bff,0x05ffffff,
    0xffffff90,0x9555555f,0x05fffffd,0xffffff88,0x3fe2001f,0x3ffe24ff,
    0xffb8004f,0x7cc00fff,0x9001efff,0x005fffff,0x0fffffff,0x7ffe4000,
    0x00006fff,0xff30fe00,0x09ffffff,0xff7001ee,0xfff505ff,0x7fec0bff,
    0x3fa000cf,0x640fffff,0x800000ef,0x900ffffc,0x5fffffff,0xfd955555,
    0xb805ffff,0xfff71eff,0xff7001bf,0xf9801fff,0x5001efff,0x0fffffff,
    0x005ff100,0x007ffff2,0x02ff8800,0x7ffe4000,0x1005ffff,0x3fffffff,
    0x3fffe200,0xf1001fff,0x00ffffff,0x005fffd5,0x1fffffff,0x7fffdc00,
    0x3ffffea7,0x3fff6000,0xff5002ff,0xf9007fff,0xf005ffff,0x00ffffff,
    0x7fffec00,0x000005ff,0x3fea0fe0,0x82ffffff,0x7fcc007b,0xfffa86ff,
    0x3ff205ff,0xfffe8002,0xffd10fff,0x3200000d,0xf100ffff,0x00ffffff,
    0x405fffd5,0x3e62fffc,0x6c03ffff,0x002fffff,0x07fffff5,0xffffff30,
    0x07fe000f,0x17fffdc0,0xdff90000,0xff880000,0x001fffff,0x3ffffffe,
    0x3fffe000,0x3e000fff,0x007fffff,0x3e00bff2,0x007fffff,0x32ffffd4,
    0x400dffff,0x03fffffc,0x7ffffec0,0x7fffe401,0xffff802f,0x200007ff,
    0x4fffffff,0x3e000000,0xfffff903,0x07b81fff,0x7ffffc40,0x7ffffd40,
    0x005fd105,0x3fffffa0,0xfffff98f,0xfc800005,0x3fe00fff,0x2007ffff,
    0xff302ffc,0xffffc8ff,0x3fff205f,0x7ec003ff,0x4401ffff,0x06ffffff,
    0x2001fd00,0x000ffff9,0x3ffff100,0xfff80000,0x2000ffff,0x07ffffff,
    0x7fffffc0,0x7fffc007,0x7ec007ff,0xfffff802,0xffe8007f,0x17ffec2f,
    0xfffff980,0xfff98007,0x7fe406ff,0xff802fff,0x0007ffff,0x3fffffe0,
    0x0000004f,0xfffd80fe,0x2e0effff,0xffff8007,0x7fffd41f,0x003fb05f,
    0x7fffff40,0xffffffcf,0x6400003f,0x3e00ffff,0x007fffff,0xffd817ec,
    0x7ffffc5f,0xffff307f,0xff3000ff,0xf880dfff,0x006fffff,0x7d400fb0,
    0x200005ff,0x005ffffb,0x7ffffc00,0x7ffc007f,0x7c007fff,0x007fffff,
    0x3ffffffc,0x200be600,0x07ffffff,0x26017500,0x3ffa000b,0xd0005fff,
    0x407fffff,0x02fffffc,0x7ffffff8,0xfff30000,0x0009ffff,0x101fc000,
    0xfffffffd,0x7c003dcb,0x7d42ffff,0xfd85ffff,0x7ff40001,0xffffffff,
    0x001fffff,0x3ffff200,0x3ffffe00,0x17cc007f,0x527fffcc,0x09ffff3f,
    0x17fffffa,0x7ffff400,0x3ffe203f,0xb0006fff,0x7ffe400f,0x3fa00002,
    0x0000ffff,0x3fffffe0,0x7fffc007,0x7fc007ff,0x4007ffff,0x07ffffff,
    0x7c017c0e,0x007fffff,0xf9000000,0x005fffff,0x3fffff60,0xffff901f,
    0xffff005f,0x20000fff,0xfffffff8,0x20000005,0x7ffcc03f,0xf73fffff,
    0xfffff000,0xfffffa89,0x0000fec5,0x7ffffff4,0xffffffbd,0x900000ff,
    0x7c01ffff,0x207fffff,0xff905f03,0xd9b6c9ff,0xfffc80cf,0xb0002fff,
    0x03ffffff,0x3fffffe2,0x00fb0006,0x0001fffc,0xffffff50,0x7fc00009,
    0x4007ffff,0x07ffffff,0x7fffffc0,0x7fffc007,0x203e07ff,0xffff802c,
    0x4cc407ff,0x4c099999,0x01999999,0xfffffff1,0x3fee0001,0xf905ffff,
    0xf005ffff,0x00ffffff,0x7ffffc00,0x000006ff,0x3ea00fe0,0x9fffffff,
    0xffe8007b,0x7ffd45ff,0x0fff65ff,0x3fffa000,0xfff90fff,0x000dffff,
    0x03ffff20,0x7ffffff8,0x20b203e0,0xf15ffffe,0x3ffe2007,0x0000ffff,
    0xbffffff7,0x3ffffe20,0x0fb0006f,0x007ffb10,0xffffe800,0x00000fff,
    0x0fffffff,0xffffff80,0x7fffc007,0x7fc007ff,0xf107ffff,0xff001301,
    0xb80fffff,0x4fffffff,0x3fffffa2,0xffff507f,0x4c000dff,0x07ffffff,
    0x05fffff9,0xfffffff0,0x7ff40000,0x0007ffff,0x400fe000,0xfffffffc,
    0xfe8007df,0x7fd46fff,0xfffb5fff,0xfe80003f,0x3a0fffff,0x4fffffff,
    0xfffc8000,0x3fffe00f,0x01f107ff,0xfffff013,0x54003eed,0x06ffffff,
    0x3fffe600,0xfff107ff,0x2000dfff,0x3ff2207d,0x4c00001c,0xffffffff,
    0xfff00003,0xf800ffff,0x007fffff,0x3ffffffc,0x3ffffe00,0x001f507f,
    0x7fffffc0,0xfffe8807,0xfffb84ff,0xfff907ff,0x4000dfff,0xfffffff8,
    0xfffffc80,0xfffff802,0xb040007f,0x1fffffff,0x3e000000,0x3fff6003,
    0x007fffff,0x47ffffe8,0xddfffffa,0x006fffff,0x7fffff40,0x3fffe20f,
    0x0003ffff,0x007fffe4,0x0fffffff,0x7c4003ea,0x0bd7ffff,0x7ffffe40,
    0x3e20006f,0x80ffffff,0x6ffffff8,0x5c0fb000,0x000000ef,0xfffff7fb,
    0x3e0000df,0x007fffff,0x3ffffffc,0x3ffffe00,0x7ffc007f,0x1fd07fff,
    0x7fffc000,0xff9007ff,0xff109fff,0x3f60ffff,0x005fffff,0x3ffffe20,
    0xfffc82ff,0xfff802ff,0x20007fff,0x3fffee69,0x00001fff,0x44007f00,
    0xfffffffe,0xfffe8007,0x7fffd46f,0xffffffff,0x3fa0004f,0x4c0fffff,
    0xffffffff,0x3ff20001,0x3ffe00ff,0x1fd07fff,0x3fffe200,0x2001faff,
    0x5ffffffd,0x3ffe2000,0xf882ffff,0x006fffff,0x7e440fb0,0x200001df,
    0xffff8cf8,0x80002fff,0x07ffffff,0x7fffffc0,0x7fffc007,0x7fc007ff,
    0xfa87ffff,0x3fe0000f,0x7007ffff,0x109fffff,0x20ffffff,0x5fffffff,
    0x3ffe2000,0xfc83ffff,0xf802ffff,0x007fffff,0xfff89720,0x0002ffff,
    0x8007f000,0xfffffff8,0xfffe8007,0x7fffd45f,0xffffb9ff,0xfd0001ff,
    0x701fffff,0xffffffff,0x3ff20001,0x3ffe00ff,0xffa87fff,0x3fffe000,
    0x7c006eff,0x05ffffff,0x3fffe200,0xff883fff,0x0006ffff,0xff9100fb,
    0x3f200009,0xffffff90,0xfff0000b,0xf800ffff,0x007fffff,0x3ffffffc,
    0x3ffffe00,0x07ffdc7f,0xfffff000,0x3fee00ff,0xfff04fff,0xfff10fff,
    0x0009ffff,0xfffffff8,0xfffffc85,0xfffff802,0x13a0007f,0xbffffff9,
    0x3e000000,0xfffa8003,0xf8007fff,0x7d44ffff,0x3f65ffff,0x0006ffff,
    0x1ffffffd,0x3fffff60,0xf90006ff,0x7fc01fff,0x7dc7ffff,0x3f6000ff,
    0x004fffff,0x3fffffe2,0x7fc0004f,0x885fffff,0x06ffffff,0x7c00fb00,
    0x440003ff,0x3fffe25f,0x40001fff,0x07ffffff,0x7fffffc0,0x7fffc007,
    0x7fc007ff,0xfedfffff,0x0000ffff,0x1ffffffe,0x7ffffdc0,0xffffff04,
    0xffffff30,0xff80009f,0xc85fffff,0x802fffff,0x07ffffff,0xf987f500,
    0x00ffffff,0x1fc01800,0xffffb800,0xfff8007f,0x7ffd43ff,0x3ffe25ff,
    0xe8004fff,0x00ffffff,0x3ffffffa,0xffc8004f,0x3ffe00ff,0xffedffff,
    0x32000fff,0x01ffffff,0x3ffffe60,0x7c0004ff,0x85ffffff,0x6ffffff8,
    0x400fb000,0x0002fffc,0xfffb07ee,0x80009fff,0x07ffffff,0x7fffffc0,
    0x7fffc007,0x7fc007ff,0xffffffff,0x0000ffff,0x1ffffffe,0x7ffffdc0,
    0xffffff04,0xffffff10,0xff80009f,0xc84fffff,0x802fffff,0x07ffffff,
    0xf507fd00,0x009fffff,0x1fc07980,0xffffb000,0xffff000f,0xffffa83f,
    0x7fffd45f,0x7f4002ff,0x200fffff,0xfffffff8,0x7fe4003f,0x3ffe00ff,
    0xffffffff,0x2a000fff,0x04ffffff,0x3ffffe20,0x7c0004ff,0x84ffffff,
    0x6ffffff8,0x400fb000,0x0006fff9,0x3ffea1ba,0x0000ffff,0x1ffffffe,
    0xffffff00,0xffff800f,0x7fc007ff,0xb537ffff,0x40001fff,0x07ffffff,
    0x9fffff70,0x1fffffe0,0x7ffffffc,0x7ffc0005,0xfc83ffff,0xf802ffff,
    0x007fffff,0xf902ffc8,0x003fffff,0xf881fe60,0x7ff40004,0x7fc4007f,
    0x7fd40fff,0xffd85fff,0x2000ffff,0x0ffffffe,0x7ffffd40,0x32002fff,
    0x3e00ffff,0x537fffff,0x8001fffb,0x3ffffffe,0x7ffc7b10,0x0005ffff,
    0x7ffffffc,0xfffff883,0x0fb0006f,0x07fffd40,0xe817d400,0x03ffffff,
    0x3ffffe00,0x7ffc007f,0x7c007fff,0x007fffff,0x3ffffffc,0x00007ff4,
    0x0fffffff,0x3ffffee0,0xffffff04,0x3fffff60,0x3e20006f,0x82ffffff,
    0x03fffffd,0x7fffffc4,0x3ff6000f,0x3fff601f,0x5c001fff,0x17e601ff,
    0xffff1000,0xffff9800,0xfffffa86,0xfffff885,0x3ffe005f,0xc801ffff,
    0xffffffff,0xffff9001,0x7ffffc01,0x00ffe87f,0x7ffffcc0,0xdd511bff,
    0xffffffd8,0x3fe20006,0x882fffff,0x06ffffff,0x5c00fb00,0x8002ffff,
    0x3ffee07e,0x20007fff,0x07ffffff,0x7fffffc0,0x7fffc007,0x7fc007ff,
    0xe887ffff,0x3fe0000f,0x7007ffff,0x209fffff,0x907fffff,0x0fffffff,
    0x7fffc400,0xffd80fff,0x7cc03fff,0x03ffffff,0x7fffed44,0x7fffdc00,
    0x2a200cff,0x7e401efe,0x7cc0000f,0x7fdc007f,0xfffb82ff,0xfff706ff,
    0xf1007fff,0x05ffffff,0xffffff30,0xf9003fff,0x7fc01fff,0xe887ffff,
    0xffb8000f,0xffffffff,0x7ffe40ff,0x20007fff,0xfffffff8,0xfffff880,
    0x0fd0006f,0x0ffffe40,0x880fe600,0x2fffffff,0xfffff000,0xfff800ff,
    0x7c007fff,0x007fffff,0x3ffffffc,0x20000fc8,0x07ffffff,0x9fffff70,
    0x1fffffe0,0x7fffffd4,0x3fea0007,0xfa87ffff,0x01efffff,0xffffffd3,
    0xb9999dff,0xfffffffd,0x3fffa600,0xdbacdfff,0x400cffff,0x00aefffb,
    0x001fee00,0xd30dfff9,0x05ffffff,0xfffffff3,0x7ffec407,0x401fffff,
    0xfffffffb,0x3201bfff,0x3e00ffff,0x907fffff,0x3f60001f,0xffffffff,
    0xffffa80e,0x2a0007ff,0x07ffffff,0xdffffff1,0x801fa000,0x000ffffd,
    0x3f2007ec,0x006fffff,0xfffffff0,0xfffff800,0x7ffc007f,0x7c007fff,
    0x507fffff,0xf00c401f,0x00ffffff,0x13ffffee,0x03fffffc,0x1ffffffd,
    0x3ffee000,0x7ffc3fff,0x5fffffff,0xffffffd1,0xffffffff,0xffffffff,
    0xc9800fff,0xffffffff,0x2600cfff,0xffffffff,0x1f20006f,0x87fffb00,
    0xfffffffb,0x3ffea6ff,0x47ffffff,0xfffffffe,0x44ffffff,0xfffffff9,
    0x6fffffff,0x01ffff90,0x3ffffffc,0x06200fa8,0x7ffff7ec,0x3fa00cff,
    0x000fffff,0xffffff70,0x7ffffc07,0x0dd0007f,0x03ffffc0,0x3ffffe20,
    0xffffffff,0x001fffff,0x7ffffff8,0x7ffffc00,0x7ffc007f,0x7c007fff,
    0x107fffff,0xf016401f,0x00ffffff,0x13ffffee,0x03fffffc,0x5ffffff5,
    0x3fff6000,0x000006ff,0x00000000,0x79fb5530,0x00000035,0x22004800,
    0x00007fff,0x00000000,0x3f200000,0x3fe00fff,0xf107ffff,0x7c416401,
    0x01579513,0xffffff50,0x3ff60005,0x7fc06fff,0x8007ffff,0xff1005f8,
    0xfc800dff,0xcccccccc,0xfffffecc,0xfff8005f,0x7c007fff,0x007fffff,
    0x3ffffffc,0x3ffffe00,0x4403207f,0x3fffe01f,0xff5007ff,0x3fe09fff,
    0x7f407fff,0x0006ffff,0x05ffffff,0x000def4c,0x00acec80,0x77400000,
    0x50000001,0x000017bd,0x003fffb8,0x001bde88,0x6f4c0000,0x9000001b,
    0x7c01ffff,0x207fffff,0x703f100c,0xfd00001f,0x000dffff,0x0bfffffe,
    0xffffffd0,0x009f5000,0x013fffe6,0x26005f88,0x0fffffff,0x7ffffc00,
    0x7ffc007f,0x7c007fff,0x007fffff,0x3ffffffc,0x200fb800,0x07ffffff,
    0x9fffff50,0x1fffffe0,0xffffff30,0xfffb8003,0x7fd406ff,0xd80003ff,
    0x0000ffff,0x9fff9000,0xf7000000,0x00003fff,0x8002fffc,0x004ffff9,
    0x3fe60000,0x800003ff,0x200ffffc,0x07ffffff,0xbd01f700,0x3fe60000,
    0x4001ffff,0x06fffffb,0xffffffc8,0x017e4001,0x03ffff98,0xd0007ee0,
    0x09ffffff,0xffffff80,0x7fffc007,0x7fc007ff,0x4007ffff,0x07ffffff,
    0x7c07f880,0x007fffff,0x09fffff3,0x0ffffff7,0xbfffff90,0xffffe800,
    0x7fe4401f,0xda80006f,0x00003fff,0x0ffff900,0xfb300000,0x20000bff,
    0x20005ffb,0x007fffc8,0x3f220000,0x800006ff,0x200ffffd,0x07ffffff,
    0xf987f880,0x3f200002,0x4005ffff,0x01fffffe,0xffffff98,0x01bee003,
    0x005fffd0,0x2a001be2,0x0fffffff,0x3ffffe00,0x7ffc007f,0x7c007fff,
    0x007fffff,0x7ffffffc,0x1bfa2000,0xfffffff0,0xffff1001,0xffffa8df,
    0xff9007ff,0x32003fff,0x001fffff,0x0003fff2,0x002fffc0,0xfff70000,
    0x20000003,0x00007ffd,0x00001dfd,0x0005fff5,0xfffb8000,0x7ec00001,
    0x3fe00fff,0x000fffff,0x1b21bfa2,0x3ff20000,0xf9001fff,0x4003ffff,
    0x2ffffffd,0x002ff980,0x8027ffe4,0xff0004fc,0x009fffff,0x3ffffffc,
    0x3ffffe00,0x3fe000ff,0x000fffff,0x3ffffffe,0xbffd3000,0x7ffffcc0,
    0xffb001ff,0xbf95bfff,0x01ffffff,0x3fffff20,0x7fffdc02,0x7fec001e,
    0xff100007,0x0000009f,0x0003ffe4,0x0dffd000,0x01dfb000,0x3ffee000,
    0x40000000,0x0000fffc,0x07ffff40,0xfffffff0,0x3ffa6001,0x00004f85,
    0x5fffff90,0xeffffb80,0xfffe8001,0xb980afff,0xe88002ff,0xff8807ff,
    0xfff90002,0x2001ffff,0x0fffffff,0xfffff300,0x3e6003ff,0x01ffffff,
    0xffffff30,0xffd9809f,0xffd104ff,0x03dfffff,0xfffffd10,0x3fffe9ff,
    0xd3000cff,0x2159ffff,0x4ffffec9,0x7ffd4400,0xfd880003,0x000000ff,
    0x009fff30,0xff710000,0x7440005f,0x300000df,0x00009fff,0x4fffa800,
    0x7fcc0000,0xff300fff,0x809fffff,0x44ffffd9,0x000000fa,0x33ffffa6,
    0xfffd930a,0x6c40009f,0xefffffff,0x02ffffdc,0x0fffa200,0x0009ffb0,
    0x3fffffea,0xfff9805f,0x8801ffff,0xfffffffe,0x7ff4401e,0x01efffff,
    0x7fffff44,0xdccdefff,0xfffffffe,0x3ffffa23,0xffffffff,0x3fa600ef,
    0x3fe3ffff,0x00ffffff,0x3ffff6a0,0xbeffffff,0x3ffa2000,0x540002ef,
    0x001cffff,0xffed8000,0x4000002e,0x02dfffe9,0x0077a200,0x77ffec00,
    0x20000003,0x003efffe,0xfffdd700,0xfd101fff,0xdfffffff,0xfffdb99b,
    0x5d87ffff,0xb5000000,0xffffffff,0x00017dff,0x3ffffaa0,0x0bffffff,
    0xffd88000,0x3ffaa0ad,0x644001ff,0xffffffff,0xfffd100c,0x103dffff,
    0xfffffffd,0x1dffffff,0x3fffffa2,0xffffffff,0xffffd10e,0xffffffff,
    0xffffffff,0x0005ffff,0x1bb88000,0x26000000,0x0abcccba,0x0266a000,
    0x0cd4c000,0x26000000,0x00000099,0x00133510,0x00005500,0x000099a8,
    0x099a8000,0x20000000,0xffffffe8,0xffffffff,0xffffffff,0x0004c2ff,
    0x5d4c0000,0x000abccc,0x32ea2000,0x0001abcc,0x29d95100,0xfffffffc,
    0x3ff200ef,0xffffffff,0xffd12fff,0xffffffff,0x0001dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99998000,
    0x99999999,0xa8000009,0x2dda81dd,0x26200000,0x1acdfecb,0x93000000,
    0x0000005b,0x2e05bd93,0x93000004,0x00079999,0x99999988,0x01999999,
    0x33332600,0x8000004c,0xdda81dda,0x10000002,0x00000001,0x00200000,
    0x26666660,0x09999999,0x99998000,0x99999999,0x3ae00009,0xeeeeeeee,
    0x0000eeee,0x0c400000,0x00000000,0xff980000,0xffffffff,0x00004fff,
    0x307fffd4,0x0003ffff,0xfffffb80,0xefffffde,0xf3000001,0x0000bfff,
    0x7ffffdc0,0x00bf11cf,0x3fff2000,0x6c0000ff,0xffffffff,0x000fffff,
    0x3fffff20,0x2a000000,0x3e61ffff,0x00001fff,0x0ffffa60,0x00000000,
    0x077fcc00,0xfffff880,0xffffffff,0xfff80005,0xffffffff,0x320006ff,
    0xffffffff,0x000fffff,0x2e000000,0xfc8005ff,0xfd980001,0x4c0001df,
    0xffffffff,0x004fffff,0x7fffec00,0x13ffff64,0x7fec4000,0x7e4c1bef,
    0x00003fff,0x0fffffc8,0xff980000,0xffffffff,0x000004ff,0x003fffff,
    0xfffffb00,0xffffffff,0xffc80001,0x000003ff,0xd93ffff6,0x0005ffff,
    0xf9bff300,0x000000bf,0xfff00000,0x3fe200bf,0xffffffff,0x80005fff,
    0xffffffff,0x006fffff,0x3fffff20,0xffffffff,0x00000000,0x09ffff10,
    0xfffeca88,0x4c000bce,0x02ffeeff,0x3fffe600,0xffffffff,0x6c00004f,
    0x3f23ffff,0x80004fff,0x01fffffb,0x0f7fffd4,0xfffb0000,0x000003ff,
    0xfffffffb,0x003fffff,0xffff3000,0x3f600003,0xffffffff,0x0000ffff,
    0x006fffc8,0x3fff6000,0x3ffff24f,0xfd000004,0x0002fd83,0x40000000,
    0x1007fffe,0xffffffff,0x00bfffff,0xffffff00,0xdfffffff,0x7775c000,
    0xeeeeeeee,0x100000ee,0x03579973,0x813fffe0,0xdfdcfffb,0x001dffff,
    0x07f4c3fd,0xaaaa8800,0xaaaaaaaa,0x5400001a,0x3e60ffff,0x40001fff,
    0x02fffffe,0x7fffff90,0x3fea0000,0x000006ff,0xfff933dd,0x0009ffff,
    0x07fff200,0xaaa98000,0xaaaaaaaa,0x3600002a,0x00000fff,0x41ffff30,
    0x001ffff9,0x985f8800,0x0000004f,0x7fd40000,0x5551006f,0x55555555,
    0x50000355,0x55555555,0x00055555,0x80000000,0xdeffffda,0x00beffff,
    0xb109fff5,0xa8fe49ff,0x4c04ffff,0x002fb84f,0x00000000,0x980cc980,
    0x640000cc,0x003fffff,0x0fffffec,0xeffd8000,0x7f000002,0x3effca88,
    0x3fe00000,0x0000002f,0xd8000000,0x000003ff,0x32603326,0x3000001c,
    0x0017e07f,0x00000000,0x0000bfee,0x00000000,0x00000000,0xffb10000,
    0xfca815df,0xfc81cfff,0x45ffd81f,0x3ffe61fc,0x4c0fd404,0x0000003f,
    0x00000000,0x3fe60000,0xa8007fff,0x006fffff,0x0000a200,0x00100300,
    0x2ff98000,0x00000000,0x3f600000,0x00000006,0x44000000,0x003fa86f,
    0x99999998,0x19999999,0x33333330,0x5ff95333,0x00000000,0x00000000,
    0x2067f540,0x8000cfda,0x00effffb,0x7fffffcc,0xb81efdcd,0x0fe43fff,
    0xf3013fe6,0x4c05f709,0x99999999,0x30199999,0x33333333,0x00000003,
    0x7ffff400,0xfff0005f,0x00007fff,0x00000000,0xb8000000,0x8000002e,
    0x9abccba9,0x6c000000,0x0000000e,0x40000000,0x1fd50cfc,0xffdb9000,
    0xdfffffff,0xffb90199,0x579bffff,0x4ccccc03,0x99999999,0x99999999,
    0x00000999,0x200000e6,0x224ffff8,0x4004ffff,0x00fffffe,0xbfffff30,
    0x7ff40155,0x5c0fe43f,0x22fe804f,0x37200fe9,0xfffffffe,0xc80cceff,
    0xdffffffd,0x3980000c,0x3ff20000,0x0002ffff,0x3ffffffb,0x4cccccc0,
    0x99999999,0x99999999,0x0e600000,0x00000000,0x7ff54000,0xffffdfff,
    0x000000df,0x33331000,0x33333333,0x99988013,0x00099999,0xfffffd10,
    0xffb00005,0x007fffff,0x000fffd8,0x7ffffee4,0xffffffff,0xffffffff,
    0x3600002f,0xfb800006,0x3fea7fff,0xf9000fff,0x8005ffff,0x01fffffd,
    0x237fffc4,0x04f881fc,0xffeeff98,0x3fff6002,0x4003ffff,0x0000fffd,
    0x800036c0,0xfffffff8,0xfff70000,0x3e60bfff,0xffffffff,0xffffffff,
    0x003fffff,0x0001b600,0x2067f540,0x0000cfda,0x37dfffb1,0x3ffffca8,
    0x19fd5000,0x200cfda8,0xffffffea,0x01cdffff,0x7ffffecc,0x5c0001ef,
    0x00000cff,0xfffffff5,0x05ff1000,0xffffc800,0xaaaaafff,0xfffffeca,
    0xff100002,0xfa800005,0x3fe65fff,0xff3006ff,0x5000ffff,0x80dfffff,
    0x23fffff9,0x009901fc,0x0077fb62,0xffffff50,0x5ff1000f,0xff880000,
    0xffa80002,0x0006ffff,0x3fffffe6,0xfffff307,0x5555557b,0xfffffff9,
    0x7c40000d,0x4400002f,0x3e24ffff,0xb8004fff,0x400fffff,0x01effff9,
    0x93fffe20,0x804ffff8,0xfffffff9,0xff90004f,0x2200003f,0x200002ff,
    0x7ffffff9,0x003ff000,0xfffff880,0xffea807f,0xf900002f,0xd00000df,
    0xffd85fff,0xfffd002f,0x3a000bff,0x203fffff,0x4ffffff8,0x006203f9,
    0xff980000,0x0007ffff,0x800003ff,0x80006ffc,0x6ffffffc,0x3ffe6000,
    0xfa80ffff,0xfd800cff,0x01ffffff,0x1bff2000,0xfff70000,0x7fffd4ff,
    0x3ff6000f,0xf5002fff,0x2007ffff,0x2a7ffffb,0x800fffff,0xfffffffa,
    0x3ff50005,0x7fe40000,0x3e200006,0x006fffff,0x00001fd0,0x0fffffff,
    0x0017fe40,0x0ffffc40,0x05d40000,0xf9000b98,0x005fffff,0x3fffff60,
    0x3fffe01f,0x01fdefff,0x765cc400,0x3e2002cd,0x006fffff,0x00001fd0,
    0x00ffffc4,0x3ffff600,0x220005ff,0x2fffffff,0x5003ffb8,0x9fffffff,
    0x7fc40000,0x200001ff,0x265ffffa,0x2006ffff,0x03fffffc,0x7ffffec0,
    0xffffa801,0x1bfffe65,0xfffffd80,0xfc8001ff,0x3e200003,0x00001fff,
    0xdffffff1,0x001f6000,0x7fffffc0,0x017ec007,0x7fffdc00,0x00000005,
    0x7fffc400,0x2e0007ff,0x05ffffff,0x3ffffff2,0x10001fff,0xfffffffb,
    0xff1003df,0x000dffff,0x700001f6,0x000bffff,0xfffffff8,0x3fe20005,
    0xc83fffff,0xfff1003f,0x001fffff,0x7fffdc00,0x7f400005,0x7ffec2ff,
    0xffff3002,0xff3000ff,0x3a00dfff,0x7fec2fff,0x3fe2002f,0x005fffff,
    0x000037c4,0x017fffee,0x7fffc400,0xfb0006ff,0x3ffe0000,0x4c007fff,
    0xfe80002f,0x0000ffff,0x33333331,0x99999981,0xffff5019,0x54000fff,
    0x07ffffff,0x7ffffff4,0x54001eff,0x3fea1cff,0x7c400fff,0x006fffff,
    0x80000fb0,0x00fffffe,0xfffff100,0xf80009ff,0x85ffffff,0x3ff2007c,
    0x002fffff,0x7ffff400,0x5400000f,0x0017300b,0x2ffffff4,0xffffe800,
    0x0175003f,0x2e0002e6,0x1fffffff,0x0007f600,0xfffffd00,0xff100001,
    0x000dffff,0x7c0001f6,0x207fffff,0x80005f03,0x4ffffffa,0xffff7000,
    0x7f449fff,0x907fffff,0x0dffffff,0x7fffc400,0x3e600fff,0xffffffff,
    0xfff7003f,0xdffff901,0xfffff880,0x0fb0006f,0x7ffd4000,0x30004fff,
    0x7fffffff,0xffff8000,0x04d86fff,0xffffff30,0xa80000bf,0x04ffffff,
    0x00000000,0x7fffffe4,0xfffb0002,0x00003fff,0xfffd0000,0x2600bfff,
    0x5400005f,0x04ffffff,0xffff8800,0xfb0006ff,0x3ffe0000,0x03e07fff,
    0xfd0000b2,0x01ffffff,0x3fffa200,0xfffb84ff,0xfffb07ff,0x4000bfff,
    0xfffffff8,0x7fff4402,0x0effffff,0x427fff40,0x02fffffa,0x3fffffe2,
    0x00fb0006,0x7ffff400,0x88000fff,0x4fffffff,0x7fffc000,0x00e84fff,
    0xffffffd0,0xe800001f,0x0fffffff,0x99998800,0x4ccc0999,0xf1019999,
    0x01ffffff,0x3fffee00,0x266625ff,0x4cc09999,0x00199999,0x3fffffea,
    0x00fe801f,0x7fff4000,0x0000ffff,0x7fffffc4,0x00fb0006,0x3ffffe00,
    0x301f107f,0x7fcc0001,0x03ffffff,0x3ffff200,0xffff884f,0xfffff07f,
    0x44000bff,0x3fffffff,0xffffd880,0x01ffffff,0x81fffff5,0x04fffffa,
    0x3fffffe2,0x00fb0006,0x3fffe600,0x0003ffff,0xbfffffff,0x7ffc4000,
    0x0083ffff,0xffffff70,0x9800007f,0xffffffff,0xfffb8003,0x3a24ffff,
    0x07ffffff,0xdffffff5,0x7ffcc000,0x3fee7fff,0x224fffff,0x7ffffffe,
    0x7ffff400,0x1fd406ff,0x3fe60000,0x03ffffff,0x7fffc400,0xfb0006ff,
    0x3ffe0000,0x1f507fff,0x7fb00000,0x0dffffff,0x7fffdc00,0xffff884f,
    0xffff887f,0x40004fff,0x5fffffff,0x3fffea00,0x82ffffff,0x42fffffa,
    0x04fffffa,0x3fffffe2,0x00fb0006,0x3feff600,0x0006ffff,0xdffffffb,
    0x7ffc4000,0x0002ffff,0xfffffff1,0xfb00000d,0xdffffff7,0x3ffa2000,
    0xffb84fff,0xff907fff,0x000dffff,0x7fffffc4,0x3fffa20f,0xfffb84ff,
    0x7cc007ff,0x02ffffff,0x00000df1,0xfffff7fb,0xf88000df,0x006fffff,
    0x20000fb0,0x07ffffff,0x800001fd,0xffff8cf8,0x70002fff,0x209fffff,
    0x987fffff,0x4fffffff,0x7fffc000,0x44005fff,0xfffffffd,0xfffe80ff,
    0xfffffa86,0x3fffe204,0xfb0006ff,0x19f10000,0x5fffffff,0xffff9000,
    0x4c000fff,0x1fffffff,0xffffb000,0x00003fff,0xfff8cf88,0x0002ffff,
    0x09fffff9,0x0ffffff1,0x3ffffff6,0x3fe20005,0x642fffff,0x884fffff,
    0x007fffff,0xffffffd8,0x0003f906,0xff8cf880,0x002fffff,0x3ffffe20,
    0x0fb0006f,0x3fffe000,0x0ffa87ff,0x87e40000,0x5ffffffc,0xffff7000,
    0x3fffe09f,0xffff887f,0x40004fff,0x4fffffff,0xffffb000,0x710bffff,
    0xffd9817b,0x3e204fff,0x006fffff,0x90000fb0,0x3ffff21f,0xfb8005ff,
    0x007fffff,0x3ffffea0,0xff50007f,0x00bfffff,0x321f9000,0x05ffffff,
    0xfffff700,0xfffff109,0x3ffffe0f,0x220005ff,0x3fffffff,0x27ffffdc,
    0x3fffffc4,0x7fffcc00,0x2fcc3fff,0x87e40000,0x5ffffffc,0x3ffe2000,
    0xb0006fff,0x3fe0000f,0x7dc7ffff,0x200000ff,0x3ffe25f8,0x8001ffff,
    0x04fffffb,0x20ffffff,0x5fffffff,0x7fffc000,0x90003fff,0xffffffff,
    0x3f66003f,0x04ffffff,0x3fffffe2,0x00fb0006,0x3e25f880,0x01ffffff,
    0xfffffe80,0xff70000f,0x0007ffff,0xfffffff1,0x8800001f,0x3fffe25f,
    0xb8001fff,0xf04fffff,0xf10fffff,0x09ffffff,0xfffff800,0x7ffdc5ff,
    0xffff04ff,0x3f2000ff,0x20ffffff,0x400000fe,0x3ffe25f8,0x0001ffff,
    0xdffffff1,0x001f6000,0x7fffffc0,0xfffffedf,0x3ee00000,0x7ffffec1,
    0xffb8004f,0xfff04fff,0x3ff60fff,0x0006ffff,0x3fffffe2,0x3f90002f,
    0x7ffffffd,0xacffd880,0x204fffff,0x6ffffff8,0x000fb000,0x7fec1fb8,
    0x8004ffff,0x3ffffffa,0xffffb000,0x3f2000df,0x03ffffff,0x41fb8000,
    0x4ffffffd,0xffffb800,0xfffff04f,0xfffff30f,0xf80009ff,0x45ffffff,
    0x04fffffb,0x00ffffff,0x3ffffe20,0x007f53ff,0xd83f7000,0x04ffffff,
    0xfffff100,0x1f6000df,0x7fffc000,0xffffffff,0x200000ff,0xffffa86e,
    0x5c000fff,0xf04fffff,0x320fffff,0x07ffffff,0x3fffe200,0x90000fff,
    0xffffb13f,0x7ffe409f,0x9fffff53,0x7ffffc40,0x0fb0006f,0xfa86e800,
    0x00ffffff,0xfffffe80,0xfff98006,0x98002fff,0x6fffffff,0x0dd00000,
    0xfffffff5,0xfffb8001,0xffff04ff,0xffff10ff,0x80009fff,0x4fffffff,
    0x27ffffdc,0x07fffff8,0x3ffff200,0x006f9fff,0xf50dd000,0x01ffffff,
    0xfffff100,0x1f6000df,0x7fffc000,0xffb537ff,0x2a00001f,0xffffd02f,
    0xfb8007ff,0xff04ffff,0x3ea0ffff,0x007fffff,0x3ffffea0,0xc807607f,
    0x3ffffa1f,0x2fffe984,0x13ffffea,0xffffff88,0x00fb0006,0xfe817d40,
    0x003fffff,0xffffffa8,0x7ffe4001,0xfd0006ff,0x03ffffff,0x05f50000,
    0x3ffffffa,0x7ffdc003,0xffff04ff,0x3fffe0ff,0x40005fff,0x3fffffff,
    0x27ffffdc,0x07fffff8,0x3fffe200,0x002fffff,0xd02fa800,0x07ffffff,
    0xfffff100,0x1f6000df,0x7fffc000,0x0ffe87ff,0x40fd0000,0x7ffffffb,
    0x7fffdc00,0xfffff04f,0x7ffff40f,0xf70000ff,0x407fffff,0xc87f204d,
    0x7cc3ffff,0x7fd44fff,0x3e204fff,0x006fffff,0x74000fb0,0x3fffee07,
    0xf70007ff,0x400bffff,0x1efffff8,0xffffb800,0x00004fff,0x7fdc0fd0,
    0x4007ffff,0x04fffffb,0x20ffffff,0x6ffffffd,0x3ffe2000,0x7dc2ffff,
    0xff04ffff,0x8000ffff,0xfffffffb,0xfd000005,0x7ffffdc0,0xff88007f,
    0x0006ffff,0x3e0000fd,0x887fffff,0x980000fe,0x3ffe203f,0x2002ffff,
    0x04fffffb,0x40ffffff,0x2ffffffa,0xffffb000,0x207d80df,0x3ffe61fc,
    0x3fffe21f,0x7fffd41f,0x3ffe204f,0xd0006fff,0x0fe6000f,0xffffff88,
    0xff50002f,0x32003fff,0x000effff,0xffffff88,0x3000006f,0x7ffc407f,
    0x2002ffff,0x04fffffb,0x20ffffff,0x7ffffffc,0x3ffe2000,0x7dc0ffff,
    0xff04ffff,0x0000ffff,0x7ffffffd,0x7f300000,0x7ffffc40,0x7c4002ff,
    0x006fffff,0x20000fd0,0x07ffffff,0xb00001f9,0xfffc801f,0x2e006fff,
    0xf04fffff,0xe80fffff,0x006fffff,0x5ffffff0,0xf902fd80,0x23fffd43,
    0xa87ffffc,0x204fffff,0x6ffffff8,0x000fd000,0xff9003f6,0x000dffff,
    0x17ffffcc,0x37ffff20,0xfffb0000,0x8005ffff,0x00fd8028,0x7fffffe4,
    0x3ffee006,0xffff04ff,0x3ffea0ff,0x20007fff,0x7ffffffa,0x4fffffb8,
    0x0ffffff0,0xffff9000,0x000007ff,0xffc801fb,0x8006ffff,0x07ffffff,
    0x0000dd00,0x1ffffffe,0x031007d4,0xffffff88,0xffffffff,0x5001ffff,
    0x209fffff,0x407fffff,0x1ffffff9,0x7fffdc00,0x1ffd806f,0x3ff61fc8,
    0x7ffff42f,0x7fffe42f,0x7fffc05f,0xdd0007ff,0xffff1000,0xffffffff,
    0x03ffffff,0x7ffecc00,0xfd530acf,0x40009fff,0xfffffffa,0x404b8005,
    0xfffffff8,0xffffffff,0xf7001fff,0x3e09ffff,0x3a07ffff,0x00ffffff,
    0xfffff700,0xffff707f,0x3fffe09f,0xfc80007f,0x003fffff,0x7fffc400,
    0xffffffff,0x01ffffff,0x7fffffc0,0x05f88007,0xfffff000,0x803e20ff,
    0x667e402c,0xcccccccc,0x5ffffffe,0xfffff500,0x3ffffe09,0xffffc807,
    0x7ff4005f,0xfd801fff,0x98fe41ff,0xffe84fff,0xffbcffff,0x015fffff,
    0x1ffffffe,0x0017e200,0x333333f2,0xffeccccc,0x0005ffff,0xffffeb88,
    0x02dfffff,0xffffe800,0xd8000fff,0x6667e403,0xeccccccc,0x05ffffff,
    0x9fffff70,0x1fffffe0,0xffffffa8,0xfffb0002,0x3fee0dff,0xfff04fff,
    0x90000fff,0x07ffffff,0xccfc8000,0xcccccccc,0x5ffffffe,0x7ffff400,
    0x4fa8007f,0xffff0000,0x80640fff,0x17e201f8,0xfffff980,0xff9800ff,
    0xffb84fff,0xf9007fff,0x2003ffff,0x01fffffc,0x7bffffb0,0xfffb5f93,
    0x3fffee07,0xff9effff,0x80ecffff,0x07fffffe,0x4004fa80,0x3e6005f8,
    0x00ffffff,0x3ffea000,0x0002ffff,0xffffff90,0x5f10007f,0x3002fc40,
    0x1fffffff,0xfffff500,0x3ffffe09,0x7ffff407,0xfff0006f,0x3ea05fff,
    0xff04ffff,0x0000ffff,0x7ffffff9,0x2fc40000,0xfffff300,0x7e4001ff,
    0x001fffff,0x800017e4,0x07ffffff,0x5c01f700,0x7ff4001f,0x8804ffff,
    0x546fffff,0x07ffffff,0x3fffff20,0x7fffdc02,0x36a2001e,0xffffffff,
    0x3e200dff,0x23ffffff,0x1ffffffc,0xffffff90,0x02fc8003,0x2000fdc0,
    0x4ffffffe,0x7fec0000,0x0005ffff,0xffffff98,0x3fb0006f,0x2000fdc0,
    0x4ffffffe,0xfffffa80,0xffffff04,0xfffff980,0x7fdc001f,0x3ea06fff,
    0xff04ffff,0x0000ffff,0x7ffffff9,0x0fdc0000,0x3ffffa00,0x3e6004ff,
    0x003fffff,0x80001bea,0x07ffffff,0x2207f880,0xffa8006f,0x800fffff,
    0xadfffffd,0xfffffdfc,0x3fa6000f,0x510acfff,0x009ffffd,0xfd955300,
    0x7ecc0017,0x7ec41cef,0x3e601dff,0x003fffff,0xf1001bee,0xfff5000d,
    0x0001ffff,0x7ffffc40,0x740001ff,0x1fffffff,0x00ffa800,0xf5000df1,
    0x01ffffff,0x4fffff98,0x7fffffb8,0xfffffc80,0x7fff4005,0x3fe601ff,
    0xffb84fff,0x80007fff,0x3ffffffc,0x0df10000,0xfffff500,0x7ec001ff,
    0x802fffff,0x00002ff9,0x3ffffffe,0x1bfa2000,0xf0004fc8,0x09ffffff,
    0xfffffd10,0x3fffe9ff,0x54000cff,0xfffffffd,0x000befff,0x003f9000,
    0x00c00220,0xffffffb0,0x05ff3005,0x0004fc80,0x9fffffff,0xffb80000,
    0x001fffff,0xffffff50,0xff30009f,0x013f201f,0x7fffffc0,0x7ffc404f,
    0x7ffd46ff,0xf9007fff,0x2003ffff,0x01fffffc,0x37ffffc4,0x3fffffea,
    0xffc80007,0x0003ffff,0x20009f90,0x4fffffff,0x7ffff400,0xfa880aff,
    0x7c00002f,0x00ffffff,0x20bffd30,0x90002ff8,0x1fffffff,0xffffd300,
    0x7ffffc7f,0x30000fff,0x15799975,0xf9000000,0x00000003,0xfffffd00,
    0xff73015f,0x2ff88005,0xffff9000,0x00001fff,0xffffffb8,0x7fc4002f,
    0x00ffffff,0x83fffdc0,0x90002ff8,0x1fffffff,0xfffffd80,0xfffdfcad,
    0xf9000fff,0xb805ffff,0x001effff,0x5bfffffb,0xfffffbf9,0xfc80001f,
    0x003fffff,0x002ff880,0xffffff90,0x7ec4001f,0xceffffff,0x002ffffd,
    0x7fffcc00,0x6cc04fff,0xfb04ffff,0x3ea0009f,0x05ffffff,0x0006ee20,
    0x00000000,0x00000000,0xd8800000,0xefffffff,0x02ffffdc,0x004ffd80,
    0xffffff50,0x500000bf,0xdfffffff,0x7e404135,0x02ffffff,0xffffd510,
    0x013ff60d,0x7ffffd40,0x7f4405ff,0xf4ffffff,0x019fffff,0x3ffffa60,
    0xffd930ac,0xe88009ff,0x4fffffff,0x19ffffff,0x7ffec000,0x80004fff,
    0x50004ffd,0xbfffffff,0xfffd5000,0x7fffffff,0xe8800001,0xffffffff,
    0xffedccde,0x543fffff,0x001ffffe,0x7ffffe44,0x0000cfff,0x00000000,
    0x00000000,0x00000000,0xfffffea8,0x00bfffff,0x7ffff540,0x7fe44001,
    0x0cffffff,0x7e440000,0xffffffff,0x7ffcc2ff,0xcccfffff,0xfeeecccc,
    0x45ffffff,0x01ffffea,0x7fffe440,0x200cffff,0x3fffffe9,0x3ffffffe,
    0x3f6a000f,0xffffffff,0x30000bef,0x47fffffd,0xffffffff,0x7fdc4000,
    0x02ffffff,0xffffd500,0xffc88003,0x0cffffff,0xccba8800,0x00001abc,
    0x7fffff44,0xffffffff,0xffffffff,0x3ff22fff,0x0effffff,0x3fffff20,
    0xffffffff,0x00000002,0x00000000,0x00000000,0x75100000,0x00357999,
    0x3fffff20,0x3200efff,0xffffffff,0x002fffff,0xfdb95000,0xe81359bd,
    0xffffffff,0xffffffff,0xffffffff,0x3ffff24f,0x200effff,0xfffffffc,
    0x02ffffff,0x0000ddc4,0x99753000,0x00001579,0x0000ddc4,0xfffee980,
    0xffffffff,0xfc800eef,0xefffffff,0x3ffff200,0xffffffff,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000a000,0xfd950000,
    0x3000037b,0x400009ff,0x26621999,0x003e9819,0x331001d9,0x80001333,
    0x004eeeeb,0x1003b700,0x03d7009b,0xd500bb10,0x00bb1003,0x02eeeed8,
    0xd8802ea8,0x33300005,0x00001333,0x09999998,0x0cccc400,0x50013331,
    0x400bdddd,0x05d5004d,0x99999880,0x26666201,0x00000019,0x5cc00000,
    0x980002ce,0x000005ff,0x9dfdb973,0x0fec0157,0x5dfd9100,0x9ffb1000,
    0x0007ffd3,0x0000ffe8,0x5cbfff50,0x9fd04fff,0x402fec40,0x0efffff8,
    0x3ffe2000,0x80001fff,0x3ea01ff9,0x2ff8801f,0x200bfa60,0x3a603ff8,
    0x3fee003f,0xf8806fff,0x0ffa603f,0x3ffe6000,0x400005ff,0x0efffff8,
    0x27ffe400,0xd005fffb,0x005fffff,0xfc803bf2,0xfffb8006,0x7fec03ff,
    0x00001fff,0x677fedcc,0x0bfc9800,0xffffff88,0x3fa0000f,0x2200000f,
    0xeeffffea,0x40dffffe,0x3e2004fc,0x004ffdff,0x543fffa2,0x90004fff,
    0x400005ff,0x3fa0fffd,0x37fe606f,0x007ff4c0,0x077fffd4,0x3fff6000,
    0x00005fff,0xff705ffb,0x1ffe400b,0x70037fd4,0xdff509ff,0x7fffc400,
    0xfb802fff,0x06ffa84f,0xffff9000,0xf700000b,0x0001dfff,0x7fc4dfff,
    0xfffb805f,0xf1006fff,0xffd881df,0xfffe8002,0xfffb003f,0x5c00009f,
    0xffffbcff,0x3fffea02,0xffecee87,0xf90004ff,0x5400005f,0x40afffff,
    0x8cffffc8,0x7ec005fb,0x4007f622,0x3e25fffc,0x4c001fff,0x200005ff,
    0x3e22fff8,0x7fec01ff,0x07fff50e,0x03bfff60,0xffff3000,0x0003ffff,
    0x6c9fff10,0x22000fff,0x3ff24fff,0x7ffc001f,0x007ffee5,0xffffffc8,
    0xbffd006f,0x0017ffdc,0x0efffe80,0xffe80000,0xf98000ef,0x3ffea0ff,
    0x7fffc400,0x7003ffff,0x3fa63fff,0xff98005f,0x7f4004ff,0x900006ff,
    0x7ffdc9ff,0xffffb01f,0x3ee26c5f,0xf98007ff,0x3200005f,0x401effff,
    0x6ffffff9,0xf986f800,0xffff9804,0x037fffc4,0x0003ffa0,0x5c4ffa80,
    0xff9803ff,0x07fffcff,0x01ffff10,0x7fffd000,0x000bfff5,0x3b7fff20,
    0xb8004fff,0xfffddfff,0xfffb8005,0x005fffde,0x327bffe2,0xfb803fff,
    0x5fffdeff,0xfff30000,0x1000001d,0x0001dfff,0xffb0fff2,0x9fff9005,
    0x400dffd3,0xfffcffff,0xffb8001f,0xfe88004f,0x640001ff,0x3fe62fff,
    0xffff07ff,0xff804bff,0xffe8005f,0xffd00000,0x2e001fff,0x003fffff,
    0x05f81fcc,0x43ffffb8,0x001ffffe,0x00005ff9,0x7f40efd8,0x3fff6006,
    0x5002ffff,0x00003fff,0x7cc3fff5,0x880002ff,0xffffffff,0xffff0000,
    0x0001ffff,0x3ffffffa,0x3ff6000f,0x01ffee0d,0x7ffffff4,0xf900001f,
    0x000001df,0x0003bfee,0x4ff85ff8,0x22fff980,0x7003ffe8,0x9fffffff,
    0x13ffa000,0x4ffe8800,0x3ffe2000,0x3fffe61f,0xffffd81f,0x77fcc02f,
    0x17fe4000,0xfffd8000,0x7f4004ff,0x4000ffff,0x804f986f,0x743ffffd,
    0x9802ffff,0x400005ff,0x7fc41ff8,0x3ffe2000,0x36006fff,0xd00001ff,
    0xdfd101df,0x3ff20000,0x0003ffff,0x3fffffee,0x3fea0004,0x2004ffff,
    0xff504ff9,0xffff5007,0x400009ff,0x00000efe,0x0003ff60,0x7d40ff98,
    0x03ffb006,0x2001ffb1,0x0ffffffe,0x05ff9800,0x06fe8800,0x3ffff200,
    0x3ffffe22,0x7ffffa82,0x017ff440,0x0017fe60,0x7ffffdc0,0x7fd4000f,
    0x6c005fff,0x007f623f,0xd0fffffa,0xd007ffff,0x800001ff,0x03fb83fa,
    0xfffffc80,0x03ff1001,0x017ee000,0x00005fb1,0x0dfffff1,0xffffd000,
    0xfe80001f,0x2000ffff,0x7fcc03fe,0xffffe800,0xf300000f,0x4000001d,
    0x40001ff8,0x01fd82fc,0x6400efa8,0xfff5003f,0x2e0007ff,0x2200005f,
    0xff0001fe,0xffe87fff,0x2fb2607f,0xffffb100,0x7ff4007f,0xff980000,
    0x8005ffff,0x3ffffffd,0x3bffa200,0xffd004ff,0xfffe87ff,0x17fdc03f,
    0x80c40000,0x55100018,0x09800555,0x00620000,0x300001a8,0x00035555,
    0x03555530,0x55553000,0x00098003,0x55300151,0x40000355,0x00000098,
    0x400004c4,0x20011008,0x00aa0018,0x002aaaa8,0x00000620,0x22000262,
    0x4c4fffff,0x00002efe,0x5fffffb5,0x005ff900,0x3ffff200,0x7e4002ff,
    0x0fffffff,0x37fb2200,0x3fff6002,0x7ffff43f,0x017fe602,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01000000,0x00000000,0x00000000,0x00000000,0x3ffffe60,0x00000106,
    0x017fffa6,0x0000bff3,0x7ffffffc,0x2f3ee000,0x05ffffff,0x3ee00000,
    0x7ffc3fff,0x3ffa00ff,0x4cc40000,0x4c099999,0x01999999,0x20bddba8,
    0x376ea01c,0x9988720b,0x09999999,0x33333331,0x4ccc4133,0x5cc40099,
    0x0002cdec,0x2f376e62,0x4cccc400,0x4ccc0999,0xa8019999,0x0720bddb,
    0x5e765440,0x6e544000,0xca8809bd,0x30001bcd,0x88379b97,0x6dcc402f,
    0x20000bcd,0x00bceca8,0x5e6dcc40,0xd9510000,0x98800179,0x000bcddb,
    0x3fffffd4,0x54000000,0x7f406fff,0xf500000f,0x00ffffff,0xfffaafd4,
    0x26626fff,0x4c099999,0x81999999,0x7c4ffff9,0x3ee05fff,0xfb80002f,
    0x24ffffff,0xffffffe8,0x3fff6207,0x82feefff,0xffffffd8,0x3fee2fee,
    0x2effffff,0xfffffff5,0x7ff547df,0xffb102ff,0x3dffffff,0xffffb800,
    0x700cfffe,0x9fffffff,0x7fffff44,0x3ff6207f,0x2feeffff,0x7f7ffd40,
    0x4c00cfff,0xfffffffc,0x3bffea4f,0x2a004fff,0xfffeffff,0x5c06e88c,
    0xfffeffff,0x3fea000c,0x0cffffef,0xedfffa80,0x3ea004ff,0xcffffeff,
    0xffffb800,0x000cfffe,0x1ffffff5,0x003c4000,0xf9027ff4,0x6c00005f,
    0x07ffffff,0x3e61df30,0x70ffffff,0x9fffffff,0x7fffff44,0xbfff907f,
    0x807fffc4,0x00005ff9,0x3fffffa2,0xfffffb84,0x437ffa07,0xe82fffd9,
    0xffb30dff,0xffff985f,0xffe886ff,0x3f607fff,0x39ff500e,0x07ffffd4,
    0x23fffd80,0x100efff9,0x09fffffd,0x0ffffff7,0xd986fff4,0x3ee02fff,
    0xffff51ef,0x8effdc0b,0xcdffffa8,0x3ffa66ff,0x7ffdc00e,0x3bfffa65,
    0x3fff600e,0x03bffe63,0x547bfee0,0x6405ffff,0x3ffa1eff,0x77fdc00d,
    0x0bffff51,0x263fffd8,0x9800efff,0x01ffffff,0x2203ea00,0x203ff900,
    0x00005ff9,0x7ffffff4,0x20ff8806,0xfffffff8,0x3ffffa21,0xffffb84f,
    0x3fffa07f,0x407fff70,0x00000ffe,0x27ffffe4,0x3fffffc4,0xa81fffb8,
    0x7ffdc2ff,0xb82ffa81,0x507fffff,0x01ffffff,0x7fdc07ee,0xffffc80f,
    0x5fffe806,0x00ffffc8,0x09fffff9,0x0ffffff1,0x2a07ffee,0xfff902ff,
    0x3fffff85,0xa80fffb8,0x0fffffff,0x902fffd4,0xfa81ffff,0x3fa02fff,
    0xfffc85ff,0x3fff200f,0x1fffffc2,0x542fffd8,0x3f204fff,0x7fffc2ff,
    0xbfffd03f,0x01ffff90,0xffffff88,0x07ee0003,0xfe81bff5,0x003ffa04,
    0xfffff000,0xfe880bff,0x7ffffc41,0x7ffe43ff,0xfff884ff,0x7fe407ff,
    0x201effbd,0x00002ffb,0x4fffffb8,0x7fffff88,0x205ffff0,0x7fffc3fc,
    0x3a07f902,0xd02fffff,0x205fffff,0x3fffa06d,0xfffffa84,0x3fffee02,
    0x5ffff882,0x9fffff70,0xffffff10,0x40bfffe0,0xfffa83fc,0x6ffffd87,
    0x81ffffc4,0x04ffffff,0xf303ffff,0x3fe0bfff,0xfff706ff,0xffff105f,
    0x1fffea0b,0x21bffff6,0xff06fffa,0xfff501ff,0xdffffb0f,0x05ffff70,
    0x88bffff1,0xffffffff,0x1fffffff,0xfb85f900,0x3fdadfff,0x000bfee0,
    0xfffff100,0x2fd809ff,0xfffffff0,0xfffffb89,0xfffff884,0xbcca8807,
    0x02ffcc01,0xb800d54c,0xf04fffff,0xf10fffff,0x3e03ffff,0x3ffffe23,
    0x3ee07f01,0xff05ffff,0xf10bffff,0x3fffea07,0x7fffd40f,0x3fffe04f,
    0xfffff01f,0xfffff705,0x3ffffe09,0xfffff887,0xffd07f01,0xffff70bf,
    0x7ffffa8f,0x7fffffd0,0x21bfff60,0xd03ffffd,0xff05ffff,0x3fe03fff,
    0xffe82fff,0xffffb85f,0x04fffe87,0xfd0bfffd,0xfff70bff,0xfffff0ff,
    0x3ffffe03,0x3ffffe22,0xffffffff,0x9fb001ff,0x7bdfdb70,0x02ffcc01,
    0xf9802c98,0x04ffffff,0xfff80ff6,0x7dc5ffff,0xff04ffff,0x0000ffff,
    0xc803ffa0,0x02ffedff,0x27ffffdc,0x87fffff8,0x3ffffff9,0x3ffe63b8,
    0x03b83fff,0x1ffffff1,0xffffffa8,0xa807d40f,0x542fffff,0x704fffff,
    0x201fffff,0xb84ffffe,0xf04fffff,0xf30fffff,0x707fffff,0x4ffffa87,
    0x44ffff88,0x81fffffa,0x01fffffd,0x4c1ffffb,0xa82fffff,0x5c7fffff,
    0xd00fffff,0xfa89ffff,0xff884fff,0x7ffdc4ff,0xffffb04f,0x84ffffa8,
    0x5c4ffff8,0xd00fffff,0x7c49ffff,0xffffffff,0x01ffffff,0x0000bfd0,
    0x4c007ff4,0xfff005ff,0x3209ffff,0x7fffc04f,0x7fdc4fff,0xfff04fff,
    0x00000fff,0x3a205ff7,0xbfff16ff,0x7ffffdc0,0xffffff04,0x3fffffe0,
    0x3fe040df,0x40dfffff,0x3ffff600,0x7feeec3f,0x02ec3fff,0x2a1bfffa,
    0xd04fffff,0x740fffff,0xfb86ffff,0xff04ffff,0x3fe0ffff,0x40dfffff,
    0x27fffec0,0xe80bec98,0xffb06fff,0x3f201fff,0x3ff21fff,0x7fcc2fff,
    0x3a1fffff,0x3a07ffff,0x7ec6ffff,0xd9304fff,0xffffd817,0x1ffffb03,
    0x827fffec,0x7f40bec9,0x3fa07fff,0x55546fff,0xefffffca,0x8800aaaa,
    0x700007ff,0xfd1005ff,0x3ffa00bf,0xfa85ffff,0x7fffc405,0x7fdc3fff,
    0xfff04fff,0x80000fff,0x3f605ff9,0x3fff22ff,0xfffff704,0x3ffffe09,
    0xfffffb07,0x7ec03dff,0x1effffff,0xfffff500,0x7fd57c4d,0x0be26fff,
    0x9817b710,0x04fffffd,0x40ffffff,0xb87ffffe,0xf04fffff,0x360fffff,
    0xefffffff,0x3ffffe01,0x3b220004,0xfffea80b,0x999999ff,0x362ffffd,
    0x222fffff,0xfffffdee,0x1fffffe2,0x47ffffe8,0x004fffff,0x37ffffd0,
    0xfffb3333,0x7ffffc5f,0xffff0004,0x7fff40ff,0xffff807f,0xff50006f,
    0xf980001f,0xfffd005f,0x3fff200b,0x37cc6fff,0x7ffffc40,0x7ffdc2ff,
    0xffff04ff,0xe80000ff,0xfff500ff,0x7fffd43f,0xfffffb81,0xffffff04,
    0x3ffffe60,0xf303ffff,0xffffffff,0x3fffe007,0x7fcf70ff,0x0f71ffff,
    0x7ffecc00,0xf884ffff,0x3a07ffff,0x5c1fffff,0xf04fffff,0x260fffff,
    0xffffffff,0xfffff03f,0x2a00000b,0xfffffffe,0xffffffff,0x3ffe3fff,
    0x23b61fff,0x13fffffc,0x40ffffff,0x21fffffe,0x005fffff,0xfffffff0,
    0xffffffff,0x7ffffc7f,0xfff88005,0x3ffa07ff,0x7ec01fff,0x90005fff,
    0x80005fff,0xfd800ffe,0xf7005fff,0x4cffffff,0xff9800ef,0x5c1fffff,
    0xf04fffff,0x000fffff,0xd017fdc0,0x7d41ffff,0xffb85fff,0xfff04fff,
    0x7fdc0fff,0x4fffffff,0xffffff70,0xf9009fff,0x93a9ffff,0xd4fffffc,
    0xffb10009,0x9fffff59,0xffffff50,0x7fffff40,0x7ffffdc3,0xffffff04,
    0x7ffffdc0,0x7cc4ffff,0x0007ffff,0x6cf7f540,0x999fffff,0x99999999,
    0xffffff10,0x7fe43f23,0xfff54fff,0x7ff40fff,0xfff33fff,0xf1000fff,
    0x3339ffff,0x13333333,0x1fffffe6,0x3fffea00,0x3fffa07f,0x7fd403ff,
    0xfd0004ff,0x5c0009ff,0xbfc802ff,0xf3005fff,0x22ffffff,0xff5001fe,
    0xf70dffff,0x3e09ffff,0x0007ffff,0xf80bff30,0x3e60ffff,0xffb86fff,
    0xfff04fff,0xffb80fff,0x3fffffff,0xffffff70,0xf9807fff,0x1f8effff,
    0x3fffffe6,0x7e4002f9,0xffff53ff,0xffff509f,0x7fff40ff,0x7ffdc3ff,
    0xffff04ff,0xfffb80ff,0x23ffffff,0x0ffffff9,0xffe98000,0x3fffff24,
    0xfff88001,0x21fb9fff,0x53fffffc,0x40ffffff,0x33fffffe,0x01ffffff,
    0xfffff980,0xfff98005,0x54000fff,0x207fffff,0x03fffffe,0x01ffffc4,
    0x06ffff80,0x00bff300,0xbfff15f5,0x7ffffc00,0x002fe9ff,0x3ffffff2,
    0xfffffb83,0xffffff04,0x3ffa0000,0x3fffe600,0x3fffe60f,0xfffffb87,
    0xffffff04,0xfffff300,0x7cc0dfff,0x6fffffff,0xfffffe80,0xffffe86e,
    0x3a6007ef,0x3fea2fff,0xff884fff,0x3fa07fff,0x7dc2ffff,0xff04ffff,
    0xf300ffff,0xdfffffff,0x7fffffc4,0x7fe40001,0x7fffe43f,0xfff0003f,
    0xc85f9fff,0xf12fffff,0x740fffff,0xf12fffff,0x003fffff,0x6fffff88,
    0xffff8800,0x7c4001ff,0x3a07ffff,0x802fffff,0x8001fffe,0x00fffff9,
    0x400ffe80,0xbfff13f9,0x7fffdc00,0x4003feff,0x0ffffffd,0x4fffffb8,
    0x0ffffff0,0x05ff7000,0x0fffff98,0x03ffffe6,0x09fffff7,0x01fffffe,
    0x7ffffec4,0x3f6201ff,0x01ffffff,0x7fffffdc,0xfffffb84,0xfff3004f,
    0xffffa89f,0xfffff04f,0x7ffff40f,0x7fffdc0f,0xfffff04f,0x3ff6200f,
    0x3e1fffff,0x003fffff,0x0bfffd10,0x09fffff7,0x3ffffa00,0xfffc84ff,
    0x3fffe0ff,0x3fffa07f,0x3fffe0ff,0xff8003ff,0x8000ffff,0x03ffffff,
    0x7fffff80,0x3fffffa0,0x0fffd800,0x3fee0a80,0x5c002fff,0x2fc402ff,
    0x800bfff1,0x4fffffff,0x7fffc400,0xfff704ff,0x3ffe09ff,0x4c0007ff,
    0xff8805ff,0x3fe60fff,0xfffa87ff,0xffff04ff,0x7dc160ff,0x163fffff,
    0x7fffffdc,0x7fffc403,0xfff881ff,0xf8801fff,0x7d41ffff,0xfd04ffff,
    0x7fc0ffff,0xffa87fff,0xfff04fff,0x5c160fff,0x23ffffff,0x07fffffe,
    0x5ffffb00,0xffffff50,0xfff90001,0x3ff60bff,0x7fff46ff,0x3fffe07f,
    0x7ffff47f,0xffe8007f,0xe8003fff,0x007fffff,0x07ffffe8,0x21fffffe,
    0xffededb8,0x360fa807,0x003fffff,0xd1017fe6,0x05fff88d,0x7ffffd40,
    0x7fe4000f,0x3ea05fff,0xff04ffff,0x8000ffff,0xff000ffe,0x7fcc1fff,
    0xfffa86ff,0xffff04ff,0x4c0ba0ff,0x3a3fffff,0xfffff302,0xffffd007,
    0x7fffec0d,0xffff9006,0xfffff50f,0x3fffee09,0xfffff00f,0xfffff509,
    0x3ffffe09,0x3e605d07,0x3ee3ffff,0x003fffff,0x03ffffd4,0x09ffffff,
    0x7ffcc550,0xfffb02ff,0xffffb8bf,0xfffff00f,0xfffffb89,0x7fe4003f,
    0x6400ffff,0x3ffffee2,0x7fdc003f,0xfff00fff,0xfff889ff,0xabffffff,
    0x7fdb9999,0x2ffffffc,0x801ffd00,0xfeeeeefb,0x2001efff,0x04fffffb,
    0x7fffffc0,0x3fffea00,0xfffff04f,0x7fdc000f,0x3fff6002,0x3fffea1f,
    0xfffff984,0xfffffb84,0x7dc0bd07,0x817a1fff,0x801ffffb,0x203ffffb,
    0x004ffffa,0x85fffffd,0x05fffffc,0x207ffffa,0x80fffff8,0x84fffff9,
    0x07fffffb,0x7ffdc0bd,0x3fffe21f,0x5b101fff,0x0fffffec,0xffffffd8,
    0xfb03ea01,0x3fa07fff,0xffe82fff,0xfff881ff,0x7ffc40ff,0xb101ffff,
    0x7ffffc45,0x883ae05f,0x1fffffff,0xffe85b10,0xfff881ff,0x5f7e40ff,
    0xfffffffc,0x6fffffff,0x37fffffc,0x802ffb80,0xfffffffc,0x4001ffff,
    0x01fffffd,0x3fffffb0,0xfffff980,0xfffffb84,0xbff10007,0xffff9800,
    0x03fffee2,0x1bffffe2,0xfffffff5,0x7c40ffa0,0x81ff47ff,0x1007fff8,
    0xf801ffff,0xfd001fff,0xf79fffff,0x2bffffff,0x3ffffa80,0x04ffff98,
    0x8dfffff1,0x7ffffffa,0x3e207fd0,0xfffb87ff,0x261cffff,0x7ffffc6e,
    0x3ff220df,0x42ffffff,0xffa82fa8,0xfff884ff,0xffff506f,0x9ffff307,
    0x3ffffee0,0x1ba61cff,0x3ffffff6,0x20bea20d,0xfffffffb,0x2a1ba61c,
    0xf983ffff,0x45f84fff,0xfffffff8,0x22ffffff,0x7ffffff8,0x005ff980,
    0xfb999995,0x40019dff,0xfffffff8,0x7fffdc01,0xfff8800d,0x7ffd46ff,
    0xd0007fff,0xf90001ff,0x7ffec9ff,0x3ffff602,0xffdfcadf,0xfd80ffff,
    0x3fff983f,0x7cc1ffec,0x3f6003ff,0x6ffc805f,0x3fffee00,0xff9effff,
    0x80ecffff,0xfd86fffd,0x3f600dff,0xfcadffff,0x0ffffffd,0xf983ffd8,
    0xfffd03ff,0xffdfffff,0xffffd81f,0xbffeefff,0xfffffffb,0xb05ffddf,
    0xf90fffff,0x7ec03fff,0xfffd86ff,0x3fffa00d,0xffefffff,0xfffe880f,
    0xffdeffff,0x3ffffa05,0xfffeffff,0x0dfffb00,0x881bfffb,0x7fffdc4f,
    0xffffffff,0xffffff86,0x00ffe805,0x2fffc400,0x227fa200,0x0bdffffc,
    0x7ffffd51,0xffffd800,0xffdfcadf,0x4000ffff,0x20002ffb,0xffa8fffb,
    0x7ff4402f,0xff4fffff,0xd819ffff,0xea89dfff,0xfffd84ff,0x4ffea89d,
    0x017fd400,0x1001ffcc,0x7fffffff,0x7fffffe4,0x33fff201,0x04fffb88,
    0xfffffe88,0xfffff4ff,0xfffd819f,0x4ffea89d,0x7ffffec0,0x980effff,
    0xffffffff,0x3ffee0cf,0x4fffffff,0xfff55f70,0x3bffea5d,0xcfffc801,
    0x04fffb88,0xffffffb0,0x4401dfff,0xfffffffe,0xffd805ff,0xefffffff,
    0x67ffe400,0x04fffb88,0x3ff26ff2,0xffffffac,0xffc81fff,0x7dc02fff,
    0xf880002f,0x7f4005ff,0x7fffdc41,0x2dffffff,0xfffd1000,0x3fe9ffff,
    0x000cffff,0x0000bff1,0x1bdfffb3,0x3fffa600,0x3fffe3ff,0x3f60ffff,
    0xffffffdc,0xffb9fb04,0x0009ffff,0x0fe801fe,0x77fecc00,0x7ffec41c,
    0xffea801d,0x003effff,0x3fffffa6,0x3fffffe3,0x373f60ff,0x04ffffff,
    0xffffff70,0x7fe4017b,0x501dffff,0xdffffffb,0xd88fe607,0xbdffffff,
    0x3ffaa000,0x003effff,0x7fffffdc,0xfd8800bd,0x03efffff,0x3ffffee0,
    0xd5000bdf,0x7dffffff,0xffffd880,0x3ffff624,0xffd100ef,0x5ff980bf,
    0xfff10000,0x017e400b,0x2b32ea62,0xe9800009,0x3e3fffff,0x0fffffff,
    0x00099880,0x00004400,0x80003771,0x00ddcc1a,0x0377306a,0x2003a800,
    0x0220003a,0x988000c0,0x200009bb,0x40001bb8,0x00ddcc1a,0x00aca880,
    0x006b2a60,0x00357730,0x06ee6205,0x2ee62000,0x54400009,0x260000ac,
    0x20002aca,0x0000aca8,0x0026ee62,0x26015710,0x73001aca,0x01331001,
    0x20000000,0x00000002,0x000ddc40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00d93000,0x001ffb00,0x03333331,
    0x4ccc0000,0xb8000999,0x0004eeee,0x4cccccc0,0x80000000,0x980006c9,
    0xd50005ff,0x0000bddd,0x26666620,0x4cccc000,0x98800019,0x00009999,
    0x01f77764,0x4ccccc00,0x7775c001,0x2662004e,0x99999999,0x01999999,
    0x9301cca8,0x2a80aa00,0x300b9800,0x20000017,0x403dcba9,0xabcecba8,
    0x3bbaa000,0x9988005e,0x26660999,0xb8000199,0x7f5c41ff,0x7dc0006f,
    0x3ff6003f,0x00001fff,0x6fffff88,0xffff8800,0x100001ff,0x00dfffff,
    0x005bd710,0x01bffae2,0x003ffa00,0x7fffff40,0xff800003,0x4000efff,
    0x02fffffc,0x7fff4400,0x3e60007f,0x000fffff,0x3ffffe60,0x3ffe2005,
    0xf9001fff,0xffffffff,0xdfffffff,0x7ffff4c0,0x22036c2e,0x7f40ffff,
    0xffd001ff,0x2fffd85f,0xfd710000,0x644017bf,0xfffdefff,0xfffd003f,
    0xff8005ff,0x3f20efff,0x0003ffff,0xff913fec,0x4000dfff,0xd8006ff8,
    0x0004ffff,0xeffffb80,0xfffc8000,0x00005fff,0x01dffff7,0x7ffffd00,
    0x7fffe440,0x7e40006f,0xff70002f,0x000dffff,0xeffffa80,0xfffb0000,
    0xf10000bf,0x0003ffff,0x3ffffff6,0x3ff20004,0x7e4005ff,0x005fffff,
    0xfffffffd,0xffffffff,0x7fff407f,0xfedfffff,0x7fffdc05,0x13fffea4,
    0x97fffe60,0x006ffff9,0x6fffe440,0xefffa801,0x3bfff222,0x3fffee00,
    0x3e6006ff,0xfc80ffff,0x20005fff,0x5c624ff8,0x20006fff,0xb0001ffd,
    0x0000dfff,0x01dfffd0,0xfffff300,0x00005fff,0x001dfffd,0xdfffff30,
    0xfffb8c40,0x3fe60006,0xfff10005,0x007fffff,0x7fffe400,0x7fec0000,
    0xf300007f,0x50009fff,0xffffffff,0x3ffe0001,0x7fcc005f,0x01ffffff,
    0xfffffff8,0xffffffff,0xfff700ff,0xffffffff,0xfffd807f,0x3ffff26f,
    0xffffb806,0x3ffffee7,0xfff50000,0x3fe6005f,0xfffb03ff,0x3fffe20d,
    0x9003ffff,0x6403ffff,0x0000ffff,0x3ea05ff5,0xf50006ff,0x7440007f,
    0x00001fff,0x003bffe2,0x4dfffec0,0x40006fff,0x000efff8,0xffffff70,
    0xdfff5003,0x07ff4000,0xcfffc800,0x000fffe9,0x03ffff00,0x3fff6000,
    0xff300002,0xffd000ff,0x0bfff55f,0x0dfff300,0x37fffb00,0xf980dfff,
    0xffffffff,0x6fffffff,0x3faf3f60,0x06ffffff,0x22ffffa8,0x803ffff9,
    0x224ffff8,0x0005ffff,0x005ffff9,0x03ffffe2,0x41ffffd4,0xfe9cfffc,
    0xfff800ff,0xfffd801f,0x0ffb0003,0x0037ffd4,0x00037fc4,0x0027ff44,
    0x01dff700,0x8bffea00,0x0002ffe9,0x0003bfee,0x6fffff98,0x0dfff500,
    0x00bff200,0x11fffc40,0x00007ffd,0x0003fff5,0x005ffd80,0x07ffe600,
    0x21effb80,0x4001fff9,0x4000effc,0x3a61fffa,0x3fee02ff,0xffffffff,
    0x03ffffff,0xffd9313a,0x3ee001bf,0x0cfeb84f,0x819fd500,0x4000dfea,
    0x02ffffe8,0x1ffffee0,0x45ffff88,0x3a23fff8,0x7fcc03ff,0x3ff6001f,
    0x0bff0005,0x0037ffd4,0x0000ffec,0x0006fe88,0x0003ffa0,0xe880efe8,
    0x3fa0006f,0xfe80000f,0xf5003fff,0xf3000dff,0x7ec000bf,0x01ffb01f,
    0x01ffc800,0x7fe88000,0x7fcc0000,0x1dff1004,0x800bfd30,0xe8000eff,
    0x6fe880ef,0x337fff60,0xcaaaaaac,0x02a00fff,0x00000a88,0x20040000,
    0xfffb0000,0xffd8005f,0x3fe01fff,0x0ffec7ff,0x3200ffd8,0xfd8001ff,
    0x7fd4000f,0x1bffea02,0x007ff500,0x01fe8800,0x01ff8800,0x0037ee00,
    0xf10005fb,0x5400003f,0x3ea001de,0xfe8006ff,0xdf30000f,0x004fc801,
    0x00017fc0,0x005fd100,0x007fa800,0xfe8809f9,0x01df3001,0x801bf700,
    0x05ff02fd,0x0037fdc0,0x00000000,0x00000000,0x009ffff7,0x9fffffd0,
    0x337fffc0,0x4fc801df,0x8000bfe0,0x7e4002fe,0x3ffea00f,0x1bfe2006,
    0x04c40000,0x004c4000,0xa8006200,0x00988002,0x50000000,0xc800dfff,
    0x220002ff,0x000aa001,0x00000130,0x00001310,0x06600310,0x31001a80,
    0x00620001,0x02f882a8,0x001fff40,0x00000000,0x80000000,0x01fffff9,
    0xfffffd80,0xffff880f,0x2a800624,0x20000260,0x2ffc0009,0x01bffea0,
    0x0001ffd8,0x00000000,0x00000000,0x00000000,0x6fffa800,0x017fe600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0x7ffcc003,
    0x36e62000,0x10000bcd,0x0179bb73,0x99999988,0x4ccccc09,0x7ffc0199,
    0xf70006ff,0x81dfffff,0x001ffffa,0x00000000,0x03ff9800,0x8037ffd4,
    0x00003ffa,0x337b2e62,0x2e620002,0x0002cdec,0x337b2e62,0x2e620002,
    0x0000bcdd,0xfff50000,0x07ff400d,0x26666200,0x4ccc0999,0x98819999,
    0x40999999,0x19999999,0x99999988,0x4ccccc09,0x26200199,0x8000bcdb,
    0x00bcdb98,0xbcdb9880,0xdb988000,0x00000bcd,0x2006ffb8,0xffeffffb,
    0x3ee000cf,0xcfffefff,0xfffff700,0x7ff449ff,0x2a07ffff,0x003fffff,
    0xffffff30,0x7ffe41df,0x33333306,0x4ccc0133,0x20099999,0x99999999,
    0x01ff9000,0x806fffa8,0x00006ff8,0xffffffb1,0x44003dff,0xfffffffd,
    0x362001ef,0xffffffff,0x7fdc001e,0x0cfffeff,0x000aa000,0x200dfff5,
    0xb8002ffc,0x4fffffff,0x3fffffa2,0xffffb87f,0x3fa24fff,0xb87fffff,
    0x4fffffff,0x3fffffa2,0xfff5007f,0x4009ffdb,0xffedfffa,0x3ffea004,
    0x2004ffed,0xffeffffb,0x200000cf,0xfb003ffe,0x7ffcc7ff,0xfffd800e,
    0x03bffe63,0x7fffff44,0xfffffb84,0x3ffffa07,0x0acca98f,0xfffffe80,
    0xfff8afff,0x3ffffa04,0x3fa02fff,0x02ffffff,0x3ffffffa,0x0dfd002f,
    0x00dfff50,0x00003ffb,0x7d439ff5,0xa800ffff,0x3fea1cff,0xfa800fff,
    0x3ffea1cf,0xffb000ff,0x77ffcc7f,0x005b0000,0x806fffa8,0x20005ff9,
    0x4fffffe8,0x7fffffb8,0xfffffd10,0xfffff709,0x3fffa20f,0xfffb84ff,
    0xffc807ff,0x037ffa1e,0x743dff90,0x7e400dff,0x37ffa1ef,0x1fffec00,
    0x001dfff3,0x03fff100,0x90bfffd0,0x7401ffff,0xffc85fff,0xfff900ff,
    0xfff109ff,0x3fe60fff,0xfffeefff,0x2600dfff,0xffffffff,0x9802ffef,
    0x02ffffff,0x7fffffcc,0x7fffcc02,0xff9802ff,0x7fffb803,0x001ffd40,
    0x407ffdc0,0x406ffffc,0xfc80fffb,0x7dc06fff,0xfffc80ff,0xfffe806f,
    0x0ffffc85,0x4002f800,0xe807fffb,0x640000ff,0x884fffff,0x207fffff,
    0x84fffffc,0x07fffff8,0x13fffff2,0x1fffffe2,0xa85fffb0,0x3f604fff,
    0x7ffd42ff,0x0bfff604,0x7409fff5,0xffc85fff,0x5c0000ff,0xffb806ff,
    0xfff882ff,0xffff705f,0xbffff105,0x3ffffee0,0xfffff884,0xfffff907,
    0xffffdbff,0x7fcc03df,0xffffffff,0x3fff6002,0xffd802ff,0xfd802fff,
    0xb802ffff,0x7ecc01ff,0xf880afff,0xfd00006f,0xfff509ff,0x7ff405ff,
    0xffffa84f,0x3fffa02f,0xfffffa84,0x3fffee02,0x5ffff882,0x000fcc00,
    0x15ffffb3,0x000bfee0,0x3ffffee0,0xfffff884,0x3fffee07,0xffff884f,
    0x3ffee07f,0xfff884ff,0x3fea07ff,0x1ffff06f,0x20dfff50,0xfa80ffff,
    0xffff06ff,0x5ffff701,0x0bffff10,0x03ffe800,0x01fffff8,0xf05fffff,
    0x3e03ffff,0xfb82ffff,0xff04ffff,0x3fa0ffff,0x7dc3ffff,0x4c06ffff,
    0xfffffffe,0xffb002ff,0xfb005fff,0xb005ffff,0x005fffff,0x66440dfd,
    0x1ccccccc,0x7300ffec,0x7ffd4015,0x7ffd40ff,0xfff504ff,0xfffa81ff,
    0xfff504ff,0xfffa81ff,0x3ffe04ff,0xffff01ff,0x1be2005f,0x66666440,
    0x7cc1cccc,0x0593005f,0x13ffffee,0x03fffffc,0x09fffff7,0x81fffffe,
    0x04fffffb,0x40ffffff,0xfd04fffe,0xfffd0bff,0x17fffa09,0x7413fffa,
    0xfff85fff,0xffff01ff,0x3e20005f,0x7fdc01ff,0xffd00fff,0xfffb89ff,
    0xfffd00ff,0xffff709f,0x3fffe09f,0xfffff07f,0xffffb03f,0xffe8809f,
    0x3fffffff,0xfffffc80,0xffffc802,0xfffc802f,0x7fc402ff,0x7d400004,
    0xfffc883f,0xfff503ff,0xfffa85ff,0xfff504ff,0xfffa85ff,0xfff504ff,
    0xfffa85ff,0xfff704ff,0x3ffa01ff,0xffa804ff,0x74000003,0xff9800ff,
    0xfffff705,0x3ffffe09,0x3fffee07,0xfffff04f,0x7fffdc0f,0xfffff04f,
    0x3fffee0f,0x8ffffb04,0xb04ffffb,0xffb8ffff,0xfffb04ff,0xfffffb8f,
    0x9ffffd00,0x1bfee000,0x1fffffa0,0x46ffffe8,0x207ffffe,0xb86ffffe,
    0xf04fffff,0xf10fffff,0x503fffff,0x01ffffff,0x3fffff22,0x02ffffff,
    0x17ffffe4,0x7ffffe40,0xffffc802,0x0ffdc02f,0xdff10000,0x3fffff60,
    0xfffd03ff,0xfffff50d,0x37fff409,0x27ffffd4,0x50dfffd0,0x209fffff,
    0x207ffffe,0x406ffffe,0x0000fffc,0x00bfee00,0x5c17ffa2,0xf04fffff,
    0x5c0fffff,0xf04fffff,0x5c0fffff,0xf04fffff,0x360fffff,0xfb03ffff,
    0x7fec1fff,0xfffb03ff,0x7fffec1f,0x1ffffb03,0x03fffff4,0x00dffffd,
    0x2013ffa0,0x207fffff,0x7c7ffffe,0x3a07ffff,0xfb87ffff,0xff04ffff,
    0xff30ffff,0xf103ffff,0x503fffff,0xffd39fff,0x03ffffff,0x17ffffe4,
    0x7ffffe40,0xffffc802,0x03fec02f,0x07ff6000,0x3ff6b3ee,0x7b7107ff,
    0xffffd981,0x2f6e204f,0x7fffecc0,0x2f6e204f,0x7fffecc0,0xfffff04f,
    0x7ffff40f,0x9fffd107,0x7cc00000,0xfffd005f,0x3fffee0b,0xfffff04f,
    0x7fffdc0f,0xfffff04f,0x7fffdc0f,0xfffff04f,0x3ffffa0f,0xfd99999b,
    0x3ffa2fff,0x99999bff,0x3a2ffffd,0x999bffff,0x2ffffd99,0x81fffffe,
    0x007ffffe,0x401fff88,0x07fffff8,0x47fffffa,0x07fffff8,0x07fffffa,
    0x09fffff7,0x21fffffe,0x1ffffffa,0x7fffffd0,0x227fffa8,0xfffffffd,
    0x3ffff204,0xfffc802f,0xffc802ff,0x3e202fff,0x2a00004f,0x41e883ff,
    0x000ffffb,0x3fffff66,0xd98004ff,0x4fffffff,0xfffd9800,0xf884ffff,
    0x3a07ffff,0x441fffff,0x000fffff,0x03ffa000,0x17ffff60,0x27ffffdc,
    0x07fffff8,0x13ffffee,0x03fffffc,0x09fffff7,0x41fffffe,0xffffffff,
    0xffffffff,0x3fffffe3,0xffffffff,0x3fffe3ff,0xffffffff,0xff13ffff,
    0x7f40ffff,0x4001ffff,0xfa806ffb,0x3a07ffff,0xf53fffff,0x740fffff,
    0x5c3fffff,0xf04fffff,0xf10fffff,0x203fffff,0x24fffffd,0xd84ffff9,
    0x06ffffff,0x0bfffff2,0x3fffff20,0xffffc802,0x0bfea02f,0x37fc4000,
    0x1bffe200,0x567fec40,0x004fffff,0x3eb3ff62,0x2004ffff,0xffacffd8,
    0xffa84fff,0x3fa07fff,0x3a23ffff,0x0005ffff,0x00bfee00,0x17ffeff2,
    0x27ffffdc,0x07fffff8,0x13ffffee,0x03fffffc,0x09fffff7,0x21fffffe,
    0x9cfffff8,0x99999999,0xfffff109,0x33333339,0x3fe21333,0x9999cfff,
    0x50999999,0x40ffffff,0x03fffffe,0x4027fec0,0x07fffffa,0x4ffffffa,
    0x07fffffa,0x0ffffffa,0x09fffff7,0x41fffffe,0x02ffffff,0x49fffff9,
    0x882ffffe,0x0ffffffe,0x5fffff90,0xfffff900,0xffff9005,0x03fec05f,
    0x03ffb000,0x03fff880,0xf53fffc8,0x2009ffff,0xff53fffc,0x32009fff,
    0xfff53fff,0xfff509ff,0x7ff40fff,0x3ff23fff,0x00002fff,0x500bff30,
    0x0bfff15f,0x13ffffee,0x03fffffc,0x09fffff7,0x81fffffe,0x04fffffb,
    0x30ffffff,0x00bfffff,0xbfffff30,0xffff3000,0xff5000bf,0x7f40ffff,
    0x2003ffff,0x8801fff8,0x207fffff,0x12fffffe,0x40ffffff,0x42fffffe,
    0x04fffffb,0x20ffffff,0x03fffffd,0x27fffff9,0x01fffff8,0x5ffffff3,
    0x3fffff20,0xffffc802,0xfffc802f,0x17fe02ff,0x1ffd4000,0x07ffd400,
    0x45fffd30,0x04fffffa,0x517fff4c,0x809fffff,0x2a2fffe9,0x884fffff,
    0x207fffff,0x22fffffe,0x81fffffe,0x8000cec8,0x7cc00ffe,0x20bfff13,
    0x04fffffb,0x40ffffff,0x04fffffb,0x40ffffff,0x04fffffb,0x10ffffff,
    0x00dfffff,0xdfffff10,0xffff1000,0xff1000df,0x7f40ffff,0x2002ffff,
    0x3e006ffb,0x3a07ffff,0x3e0fffff,0x3a07ffff,0x5c0fffff,0xf04fffff,
    0x320fffff,0x703fffff,0x2a3fffff,0x200fffff,0x03fffffd,0x05fffff9,
    0x5fffff90,0xfffff900,0x00bfea05,0x01bfe200,0x3017fe40,0xfa89ffff,
    0x2604ffff,0x7d44ffff,0x2604ffff,0x7d44ffff,0xff04ffff,0x7f40ffff,
    0xff10ffff,0xf901ffff,0xfb800dff,0x12fc402f,0x3ee0bfff,0xff04ffff,
    0x7dc0ffff,0xff04ffff,0x7dc0ffff,0xff04ffff,0x3fe0ffff,0x8000ffff,
    0x00ffffff,0xffffff80,0xffff8000,0x3fffa07f,0x3f6000ff,0x3ffa004f,
    0x3ffe07ff,0x7fff47ff,0x3fffe07f,0xffffa87f,0xfffff04f,0x3fffea0f,
    0xffff704f,0x7ffffd4f,0x3fffee00,0xffff901f,0xfff9005f,0xff9005ff,
    0x3f205fff,0xfd80000f,0xff98001f,0x3fffe203,0x7fffd41f,0xffff104f,
    0xffffa83f,0xffff104f,0xffffa83f,0xffffd04f,0x7ffffc0f,0x3ffffea7,
    0x1ffffd07,0x017fe600,0xfff88dd1,0xfffff505,0x3ffffe09,0x3fffea07,
    0xfffff04f,0x7fffd40f,0xfffff04f,0x3ffffa0f,0xffe8003f,0xe8003fff,
    0x003fffff,0x07ffffe8,0x01fffffe,0x001fff88,0x03ffffee,0x227ffffc,
    0x00fffffb,0x509fffff,0x209fffff,0x107fffff,0x20bfffff,0x225ffffb,
    0x201fffff,0x00fffffa,0x05fffff9,0x5fffff90,0xfffff900,0x0017fe05,
    0x0013fea0,0xf900ffa2,0xff50ffff,0x3f209fff,0xffa87fff,0xff904fff,
    0xfff50fff,0x3fee09ff,0xfff00fff,0x7ffd49ff,0xffc80fff,0xffd002ff,
    0xeeefb801,0x1effffee,0x27ffffd4,0x07fffff8,0x13ffffea,0x03fffffc,
    0x09fffff5,0x41fffffe,0x0ffffffc,0xfff91640,0x2c801fff,0x3ffffff2,
    0xff716400,0x3fe01fff,0x2a004fff,0xfe8007ff,0xff881fff,0xffe80fff,
    0xfff881ff,0xfff980ff,0xfffb84ff,0x3ff207ff,0xfff907ff,0xfffff87f,
    0x3fffee02,0x3ffff206,0xfffc802f,0xffc802ff,0xff982fff,0x7fc40003,
    0x85fb0006,0x7ffff448,0x7fffe42f,0xffffd05f,0xffffc85f,0xffffd05f,
    0xffffc85f,0x3fffa05f,0xffff881f,0x3fffe20f,0xfff981ff,0x2ffb800f,
    0xfffffc80,0x41ffffff,0x84fffff9,0x07fffffb,0x13ffffe6,0x1fffffee,
    0x4fffff98,0x7fffffb8,0xffffff10,0xf1075c0b,0x40bfffff,0x3ffe20eb,
    0x3ae05fff,0x0fffff40,0x07ffffc4,0x009ffb00,0x07ffff50,0x209ffff3,
    0x983ffffa,0xf104ffff,0xfa8dffff,0x207fffff,0x82fffff8,0xfb86fffd,
    0x3f604fff,0x3f200fff,0xc802ffff,0x802fffff,0x82fffffc,0x40000ffc,
    0xd8001ffd,0x6d9999bf,0x7ffffff4,0xffffffbc,0xfffe815f,0xfffbcfff,
    0xe815ffff,0xbcffffff,0x5fffffff,0x7ffff501,0x09ffff30,0x09fffffd,
    0x2601bffe,0x995005ff,0xdfffb999,0xffff8819,0x7fffd46f,0x3fe207ff,
    0x7fd46fff,0x2207ffff,0x546fffff,0x07ffffff,0x3ffffff6,0x20bea20d,
    0xdffffffd,0x360bea20,0x0dffffff,0x3ea0bea2,0xff983fff,0x3e2004ff,
    0xfb0001ff,0xfffb0dff,0x7ffec01b,0x0dfffd86,0x3fffff60,0xfffdfcad,
    0x3ea00fff,0xfff85fff,0xffffb01f,0x5ffff103,0xfffffd80,0xffffd802,
    0xfffd802f,0x06fe82ff,0x027fd400,0x7ffffe40,0x7fdc4fff,0x9effffff,
    0xecffffff,0x3ffffee0,0xfff9efff,0x2e0ecfff,0xffffffff,0xffffff9e,
    0xfffd80ec,0x0dfffd86,0xffffff88,0x800ffd80,0x40000ffe,0x3605fff8,
    0xcadfffff,0xffffffdf,0x3ffff600,0xffdfcadf,0x3600ffff,0xcadfffff,
    0xffffffdf,0xffffd100,0xbffbdfff,0x3ffffa20,0x5ffdefff,0xfffffd10,
    0x0bffbdff,0x6c37ffec,0x2000dfff,0x40007ffa,0xb88cfffc,0xf9004fff,
    0xff7119ff,0xffd1009f,0x3e9fffff,0x00cfffff,0x233fffe6,0x201effd8,
    0x21efffd8,0x802fffea,0x03fffffe,0x3fffffe8,0xfffffe80,0x001ffcc3,
    0x000dff10,0xfffffff9,0xfff885ff,0x3f23ffff,0x441fffff,0x3fffffff,
    0x3ffffff2,0x7ffffc41,0x3fff23ff,0x3f201fff,0xffb88cff,0x7ffd404f,
    0xff712eff,0x05ff7003,0xbfff1000,0x7ffff440,0xffff4fff,0x3a2019ff,
    0x4fffffff,0x19ffffff,0x3ffffa20,0xffff4fff,0x3a2019ff,0xffffffff,
    0x7ff4405f,0x5fffffff,0x7ffff440,0x805fffff,0xb88cfffc,0xd8004fff,
    0xa80004ff,0xeffffffe,0x7ff54003,0x003effff,0x3fffffa6,0x3fffffe3,
    0x3f2200ff,0x0bdfffff,0xffffd500,0x2009ffff,0xeffffffa,0x3fffea01,
    0x3ea01eff,0x21efffff,0x20001ffb,0x54001ffd,0xffffffff,0xffd981ff,
    0x7fec41ce,0xffb301df,0xffd8839d,0xffb301df,0xffd8839d,0xfea801df,
    0x03efffff,0xfffff910,0x30019fff,0x20000bff,0x4c05fff8,0x23fffffe,
    0xffffffff,0xffffd300,0x7ffffc7f,0xfd300fff,0x7fc7ffff,0x00ffffff,
    0xffffffb1,0x3f62007d,0x03efffff,0xfffffb10,0x754007df,0x3effffff,
    0x03999000,0x5dcc4000,0x4c400009,0x200009bb,0x00001bb8,0x00597510,
    0xabcaa980,0xffff1001,0x8bffffff,0xfffffff8,0x7fc45fff,0xffffffff,
    0x80009975,0x00000099,0x0c002200,0x06001100,0x03000880,0x26ee6200,
    0x2ea60000,0x220009ab,0x00000099,0x00ddc400,0x0ddc4000,0x5dc40000,
    0x53000001,0x4c000559,0x20002aca,0x0002aca9,0x0026ee62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x017100b9,0x7bdd9700,0x005f5001,
    0x262007f3,0x0000bcdb,0x300002a6,0x00059dd7,0x1bcecb88,0x2a800d98,
    0x54000aa0,0x009301cc,0x4cccccc4,0x09999999,0x99998800,0x7c401999,
    0x005e8803,0xdefdca98,0x7310002c,0x00059bd9,0x33333100,0xbd910333,
    0x400cb805,0x17100039,0xeeca8000,0x03e9802c,0x65401d90,0x00bceeed,
    0x26666666,0x19999999,0x99999988,0x99999999,0x4cccccc1,0x66ed4419,
    0x0bec9801,0x4ccccccc,0x0ffff201,0x2009fff7,0xfffffffb,0x07fc403f,
    0x5003fd10,0x9ffdbfff,0xfffe8800,0x7fec4002,0x02efffde,0x6fffecc0,
    0x3fee4ffe,0x3fffa200,0x00ffff40,0xeffffe88,0xf70036c2,0xffffffff,
    0x0001ffff,0xffffffd7,0x02ff801f,0xd1001ff4,0xffd9bfff,0x362005df,
    0xffffffff,0x2e00001e,0xfffffffe,0x3ffffea1,0x037fa203,0xb000bfb1,
    0x30009fff,0xdffdbffd,0x204fe805,0xfd504fd8,0xfffffd9b,0x3ffb3207,
    0xefffffff,0x7664c0cc,0xffffffff,0xfd10cdef,0x23ffffff,0x4ffffffd,
    0x3ffffea0,0x3fffffa0,0xfff881ff,0x7ffffc7f,0x7fffec00,0x04ffffff,
    0x4d5efff4,0x400ffeca,0x3fa1effc,0xff7000df,0x7cc00fff,0x3ffe64ff,
    0xfff5004f,0x6effd41d,0x3ee00fff,0x3fea4fff,0xffd005ff,0xdbffffff,
    0x7ff400bf,0xffffffff,0x540005ff,0x00ffffff,0x4d66ffec,0x001ffeba,
    0xd83ffff3,0x5403ffff,0x3fea1cff,0x00000fff,0x7fffffd4,0x3fffff61,
    0x5ffec01f,0x8002efc8,0x00fffff9,0x98bffe60,0x3e602fff,0x7ff4c0df,
    0x5c0ffb80,0x405fffff,0xfffffffc,0x7ffe4005,0x4c05ffff,0xdaffffff,
    0xffffffff,0xfffffb04,0xfffff987,0xffffa81f,0xfffff31f,0x7fffec03,
    0xffffffff,0x3fffea02,0x03ffffff,0x2a17ffec,0xfd004fff,0x3003ffff,
    0xfc81ffff,0x7d404fff,0xffd81fff,0x3600ffff,0x3f26ffff,0xfb806fff,
    0xffffffff,0xf3003fff,0xffffffff,0x0005ffff,0x1ffffff0,0xfffff980,
    0x005fffff,0x109ffff5,0x203fffff,0xfc80fffb,0x00006fff,0x1ffffff8,
    0xfffffff1,0xffff9009,0x7fe40007,0xf3003fff,0xfffb0fff,0x877fec05,
    0xfa83fffa,0xffffb06f,0x7ffc407f,0x4001ffff,0xfffffff8,0xffffe801,
    0xffb12eef,0xff883fff,0xfe86ffff,0xfd01ffff,0xfffe8dff,0x2f7ff206,
    0xffffffdc,0x7ffec06f,0x406fffff,0xff06fffa,0xff9001ff,0xfd001fff,
    0xfff10dff,0x3fe205ff,0xfff307ff,0x7d401fff,0x3fe63fff,0xcfd803ff,
    0xffffffeb,0x3ff2006f,0xffffffff,0x551007ff,0xfff55555,0x40357fff,
    0xfffffffb,0xffd000ff,0x3ffe07ff,0xfffd05ff,0xfffff509,0xfe800005,
    0x3fa1ffff,0x806fffff,0x001ffffa,0x3ffffea0,0x7fffd001,0x01ffff70,
    0x3f3fffe6,0xfffd06ff,0xfffff303,0x7fffc01f,0xf8000fff,0x00ffffff,
    0xffffffd8,0xfffffd82,0x3ffffe20,0xffffd86f,0x3bfb301f,0x101dfd98,
    0xfff5019f,0xf900ffff,0x01bfffff,0xd04fffe8,0xf100bfff,0xf7009fff,
    0x3fa0bfff,0xffb06fff,0x3fe209ff,0x5c00ffff,0xcfeb84ff,0x64c4e800,
    0x000dfffe,0x3ffffffe,0x04ffffff,0xffffff10,0xffffffff,0xfffb809f,
    0x3000efff,0x205fffff,0xa87fffff,0x540fffff,0x004fffff,0x7ffff400,
    0x3fffee1f,0x3fa606ff,0x001fffdd,0x01bfffe0,0x417fffd4,0x203ffffa,
    0xfffffffd,0x4ffff882,0xffffff88,0x3ffffe02,0xfff0007f,0xb001ffff,
    0x209fffff,0x44fffffa,0x85ffffff,0x01fffffd,0x9b002004,0xfffffb80,
    0xeec9800f,0xfffb802c,0xffffb04f,0x0076e200,0x827fffec,0x42fffffd,
    0x02fffff8,0x03fffffe,0x50004000,0x00054401,0x266677e6,0x09999999,
    0x55555100,0xffffff55,0xb9100357,0xfa8007bd,0xfd02ffff,0xfa81ffff,
    0x7d42ffff,0x0004ffff,0x7fffff40,0x7f5f6d41,0x11efd885,0x0003ffff,
    0xfd0016d4,0xff303fff,0x7fc40fff,0xf306ffff,0x3fe0dfff,0x3e03ffff,
    0x007fffff,0xfffffff0,0xffffb001,0x3ffe203f,0x7fff46ff,0xfffd84ff,
    0x000001ff,0xffff801c,0x4000006f,0xb03ffffd,0x0001ffff,0x3ffffa00,
    0xfffff904,0xfffffa8b,0x3ffffe01,0x0000000f,0x32000000,0x0000001f,
    0x1fffffd0,0xb8000000,0xd02fffff,0x3a0fffff,0xffa86fff,0x00004fff,
    0x0ffffff4,0x3b613fa0,0x1ffffa82,0xf3000000,0xf303ffff,0x6403ffff,
    0x201fffff,0xff06fffe,0x7c07ffff,0x007fffff,0xfffffff0,0xffffb001,
    0x7fffc03f,0x3fff60ff,0xfffd82ff,0x000001ff,0xffffb000,0xe8000007,
    0x999bffff,0x2ffffd99,0xff880000,0xff705fff,0x7e41ffff,0x3e01ffff,
    0x000fffff,0x00000000,0x0001be00,0xfffe8000,0x000000ff,0x7ffffe40,
    0xdffffd02,0x302f6e20,0x09fffffb,0xfffe8000,0x3fe201ff,0x7ff40082,
    0x000000ef,0x1fffffb8,0x4fffff88,0x0aaaaa20,0x207fff70,0x00ffffff,
    0x1ffffffe,0x7ffffc00,0xffd800ff,0x3fa01fff,0x3ee1ffff,0xfd80ffff,
    0x8801ffff,0x000bcdb9,0x3ffffa00,0x9b731000,0xffff8017,0xffffffff,
    0x4403ffff,0x200bcdb9,0x05fffffa,0x3ffffff5,0x07ffffec,0x1ffffff0,
    0x3b2e6200,0x220002cd,0x02cdecb9,0x2af3fea0,0x64c00001,0x3fffa1bd,
    0x731000ff,0x40059bd9,0x02fffffc,0x003fffff,0xfffffd98,0xc98004ff,
    0x3fffa1bd,0x1bee01ff,0x7fffdc00,0x76544004,0x3ff600bc,0xff881fff,
    0x00006fff,0xff100b88,0xff80dfff,0x0007ffff,0x1fffffff,0xfffffb00,
    0x7fffec03,0x3fffe63f,0xfffffb07,0xdfffa803,0x80004ffe,0x001efff8,
    0xffdbfff5,0x3fffe209,0x999999cf,0x2a009999,0x4ffedfff,0xdfffff70,
    0x3ffffe60,0x3ffffe2f,0x7ffffc07,0x7fec400f,0x1effffff,0x3fff6200,
    0x01efffff,0xffffffd8,0x88000cef,0x4ffffffd,0x01fffffd,0xfffffd88,
    0xc801efff,0xa82fffff,0x2003ffff,0xffacffd8,0x91004fff,0x29ffffff,
    0x01fffffe,0xd95007fa,0xffff9bff,0xfff5005f,0x019ffffd,0x03fffffd,
    0x1ffffff1,0x99999998,0x7d400009,0x7c03ffff,0x007fffff,0xfffffff0,
    0xffffb001,0x7ffec03f,0x7fffc4ff,0xfffffb05,0xdff90713,0x006fff43,
    0x01dff900,0xe87bff20,0x7fcc0dff,0x80005fff,0x3fa1effc,0x7ffd40df,
    0xfff106ff,0x3fe67fff,0x7fc07fff,0x2a00ffff,0x3fea1cff,0xfa800fff,
    0x3ffea1cf,0x3fe200ff,0xffffffff,0x3fe6003f,0xdfebbfff,0x00ffffff,
    0xfa873fea,0x6400ffff,0x262fffff,0x001beffd,0x7d4ffff2,0x8804ffff,
    0xdbcffffe,0xfffffedf,0xc805f901,0xfebbefff,0x5c06ffff,0xfff51eff,
    0xffff88bf,0xfff880ff,0x7ff41fff,0x002fffff,0x2fffff40,0x7fffffc0,
    0xffff0007,0xfb001fff,0x6c03ffff,0x744fffff,0xffb03fff,0xd8bd7fff,
    0x7fd42fff,0xff50004f,0xffb001df,0x4fffa85f,0x37ffffc4,0x3fff6000,
    0x227ffd42,0x07fffff9,0x4ffffffe,0x0ffffff9,0x3fffffe0,0x01fff700,
    0x80dffff9,0xfc80fffb,0x3ea06fff,0xffffffff,0x4402ffff,0x543fffff,
    0x0fffffff,0x901fff70,0xc80dffff,0x2e2fffff,0x800befff,0x2a2fffe9,
    0x804fffff,0x4c3ffffe,0x1fffffff,0x32017ec4,0x7f40ffff,0xf901ffff,
    0xffff85ff,0x3fffe23f,0xfff880ff,0xff981fff,0x0002ffff,0x017fffe6,
    0x3ffffffc,0xfffff800,0xffd800ff,0x3f601fff,0x7e42ffff,0xfffb01ff,
    0x7d41bfff,0xffff06ff,0x7fe44001,0x2a01ffff,0xfff06fff,0xfffff81f,
    0xff50000f,0x3fffe0df,0x3ffffe20,0xffff882f,0xffff12ff,0x7ffc01ff,
    0xffd00fff,0xffff509f,0x7fff405f,0xfffffa84,0xfffffb02,0xffffffff,
    0x7ffe409f,0xffff906f,0x3ffa01ff,0xffffa84f,0x3fff202f,0x7fdc42ff,
    0x3fe603ff,0x7ffd44ff,0x7fdc04ff,0xfff706ff,0x5f543fff,0x7fffe400,
    0xfffffa83,0x87fffa84,0x266ffffd,0x80ffffff,0x2ffffff8,0x5fffffb0,
    0x7ffec000,0x3fffe003,0xff0007ff,0x001fffff,0x03fffffb,0x0ffffff4,
    0xfd81ffea,0xfe84ffff,0xfffd04ff,0xfffb300b,0x07ffffff,0x7413fffa,
    0x7ff45fff,0xd0003fff,0x3fa09fff,0x7fff45ff,0xfff884ff,0x3ffe1fff,
    0x3fe01fff,0xfa80ffff,0x7d40ffff,0xf504ffff,0xfa81ffff,0xf884ffff,
    0xffffffff,0x2fffffff,0x3fffff88,0x3fffffe0,0xfffffa80,0x7ffffd40,
    0x3ffff204,0xffff702f,0xfffff103,0xfffffa83,0x3fffe204,0x3fffa04f,
    0x440021ff,0x881fffff,0xe87fffff,0xffb85fff,0x3ffe67ff,0xff880fff,
    0xfb02ffff,0x0005ffff,0x0007bfe2,0x0fffffff,0x3ffffe00,0xffd800ff,
    0x3fa01fff,0xff887fff,0x3ffff605,0x7fffdc1f,0x0ffffb04,0xfffffb10,
    0xb85fffff,0xfb04ffff,0xfffc8fff,0x16400fff,0x209ffff7,0x7cc7fffd,
    0x440fffff,0x20ffffff,0x02fffffd,0x03fffffe,0x0bffffea,0x09fffff5,
    0x0bffffea,0x09fffff5,0xffdb9751,0xffffffff,0xfffa81ff,0x3ffa01ff,
    0xffa80fff,0x7fd42fff,0x3f204fff,0xf102ffff,0xfc81dfff,0xffa87fff,
    0x3e604fff,0x3a02ffff,0x001fffff,0x07ffffb8,0x83fffffe,0x884ffffa,
    0x3ea4ffff,0x880fffff,0x03ffffff,0x05fffff9,0x0037f200,0x3fffffe0,
    0xffff0007,0xfb001fff,0x7c03ffff,0xfd06ffff,0x7fffec09,0x7fffec1f,
    0x1ffffb03,0x3ffae200,0x6c6fffff,0xfb03ffff,0x7fc41fff,0x2e05ffff,
    0x3ffff60e,0x1ffffb03,0xefffffd8,0xfffff931,0xfffffa8f,0x3ffffe05,
    0xdfffd00f,0x9fffff50,0x437fff40,0x04fffffa,0x7fff5c40,0x644fffff,
    0x200fffff,0x00fffffe,0xf50dfffd,0x6409ffff,0x202fffff,0x744fffff,
    0x642fffff,0x205fffff,0x01fffffb,0x07fffffa,0x3ffffe00,0x3ffffe07,
    0x3ffff61f,0x417d9304,0x0ffffff9,0xffffff88,0xfffff902,0x017e0005,
    0xffffff80,0xffff0007,0xfb001fff,0x2605ffff,0xb04fffff,0x7ffec07f,
    0x7fff41ff,0xd99999bf,0x4002ffff,0xffffffe8,0x3ffffa1f,0xfd99999b,
    0x7fec2fff,0x220dffff,0x7fff42fa,0xd99999bf,0xfc82ffff,0xffffffff,
    0xe85fffff,0xc80fffff,0x00ffffff,0xd9817b71,0x204fffff,0x6cc0bdb8,
    0x004fffff,0x3ffff660,0x7ffec6ff,0x3ffa00ff,0xb7100fff,0xfffd9817,
    0x3ff204ff,0x3fe02fff,0x7ff45fff,0xffbcffff,0x015fffff,0x03fffff9,
    0x0ffffff4,0x3fffe200,0x3fffe07f,0x3fffe2ff,0xff88004f,0xf880ffff,
    0x900fffff,0x005fffff,0x40003f30,0x07ffffff,0xffffff00,0xfffb001f,
    0xff901dff,0x3f201fff,0xfffff901,0xfffff83f,0xffffffff,0xb0003fff,
    0x45ffffff,0xffffffff,0xffffffff,0x7ffff443,0x5ffdefff,0xfffffff8,
    0xffffffff,0xfffd503f,0xffffd9ff,0xffff303f,0x3ff625df,0x000fffff,
    0x7ffffecc,0xd98004ff,0x4fffffff,0xfffb8000,0x3ffe0fff,0x3fa00fff,
    0x4000ffff,0xffffffd9,0x3fff204f,0x3ffe02ff,0x7ffdc7ff,0xf9efffff,
    0x0ecfffff,0x07fffff4,0x3fffffd0,0xffff9800,0x3fffa07f,0x3fffe3ff,
    0xfff0005f,0xff101fff,0x7e40ffff,0x8002ffff,0x7fc00079,0x0007ffff,
    0x1fffffff,0xfffffb00,0x7ffd41df,0x03ea03ff,0x3ffffbf6,0x3fffe21f,
    0x999999cf,0x00009999,0x4ffffffa,0x9cfffff8,0x99999999,0xfffe8809,
    0x85ffffff,0x9cfffff8,0x99999999,0x4d4c4009,0x6fffff88,0x3ffffe60,
    0xfffaffff,0xb1000fff,0xffff59ff,0x7ec4009f,0xfffffacf,0xff700004,
    0x3fe23fff,0x7f407fff,0x1000ffff,0xfff59ffb,0x7fe409ff,0x3fe02fff,
    0x3e20ffff,0x23ffffff,0x1ffffffc,0x0ffffff8,0x3fffffa0,0x7ffd4001,
    0x3ffa07ff,0xfff32fff,0x3a000fff,0x880fffff,0x206fffff,0x02fffffc,
    0x40005a80,0x07ffffff,0xffffff00,0xfffb001f,0xfbdfd7ff,0x9809ffff,
    0xffd9e887,0x3fe61fff,0x00005fff,0xfffff500,0x3ffffe65,0xfd880005,
    0x03efffff,0x0bfffff3,0xffa80000,0x74c03fff,0xf0efffff,0x001fffff,
    0x3ea7fff9,0x9004ffff,0x3fea7fff,0x00004fff,0x4cbfffee,0x00ffffff,
    0x03fffffa,0x54ffff20,0x204fffff,0x02fffffc,0x0bfffffe,0x839dffb3,
    0x81dfffd8,0x0ffffff8,0x3fffffa0,0x7ffcc001,0x3ffa07ff,0xfff31fff,
    0xb0001fff,0x101fffff,0x40bfffff,0x02fffffc,0x40001880,0x07ffffff,
    0xffffff00,0xfffb001f,0xfffb13ff,0x0a005bff,0x7fffec22,0x3fffe21f,
    0x0000006f,0x447ffffa,0x006fffff,0x15ffd400,0x3ffffe20,0x74000006,
    0x000effff,0xff815951,0x2600ffff,0x3ea2fffe,0x4c04ffff,0x3ea2fffe,
    0x0004ffff,0x47fffe20,0x0ffffff8,0x3fffffa0,0x3fffa600,0x3ffffea2,
    0x3ffff204,0x3fffe02f,0x801101ff,0xfff805fb,0x3fa01fff,0x4001ffff,
    0x07fffff8,0x89fffffe,0x01ffffff,0xfffffc80,0xfffff881,0x3ffff204,
    0x0000002f,0xfffffff0,0x3e05bb50,0x007fffff,0x43fffffb,0x00002ca8,
    0x1fffffd8,0x07fffffc,0xfc800000,0x7fffc7ff,0x500000ff,0x7fc007ff,
    0x0000ffff,0xfffff100,0x7fc00003,0xf300ffff,0xffa89fff,0x3e604fff,
    0x7fd44fff,0x00004fff,0x3fe3ffec,0x3a00ffff,0x300fffff,0xfa89ffff,
    0x3204ffff,0x202fffff,0x00fffffe,0x007fd880,0x03ffffff,0x0ffffff4,
    0x7ffff400,0x3ffffe07,0x7fffffc6,0xfffb8003,0xfff881ff,0x3ff203ff,
    0x00002fff,0xfffff000,0xffffa8ff,0xffffff83,0xffffb007,0x0000003f,
    0x0fffffec,0x0ffffffa,0x7dc00000,0x7fff46ff,0xf00003ff,0x7f4001ff,
    0x0003ffff,0x7ffff900,0xfff80000,0xff880fff,0x7fd41fff,0xff104fff,
    0xffa83fff,0x00004fff,0x3fa27fdc,0x3a02ffff,0x880fffff,0x541fffff,
    0x204fffff,0x02fffffc,0x01bffff6,0x8027fdc0,0x02fffffe,0x07fffffa,
    0x3ffff200,0x3ffffe07,0x7fffff45,0xfff88007,0xfff881ff,0x3ff201ff,
    0x88002fff,0x7ffc0001,0x7fec7fff,0xffff86ff,0xffb006ff,0x00003fff,
    0xfffb00a2,0xfffc83ff,0x16400fff,0xfff50004,0xfffffc83,0x3016400f,
    0x64003fff,0x00ffffff,0xff700164,0x00000dff,0x01ffffff,0x50fffff9,
    0x209fffff,0xa87ffffc,0x204fffff,0x7fe40008,0x7ffffe41,0x3ffffa03,
    0xffffc80f,0xfffffa87,0x3ffff204,0xfff50c2f,0x3fa000bf,0xfff7005f,
    0x7ff409ff,0xb8001fff,0xf00fffff,0xfb87ffff,0x003fffff,0x82ffffc8,
    0x405ffff9,0x02fffffc,0x0bbff220,0x7ffffc00,0x3fffe27f,0x7fffc0ff,
    0xffb005ff,0x00003fff,0x3607fff9,0x441fffff,0x05ffffff,0xeffa83ae,
    0x84ffd800,0x5ffffff8,0xfc803ae0,0x3e2004ff,0x205fffff,0xff7000eb,
    0x00000bff,0x03fffffe,0x0bfffffa,0x0bfffff9,0x0bfffffa,0x0bfffff9,
    0x400ffff2,0xfff984ff,0xfff306ff,0xffd01fff,0xffc85fff,0x3f205fff,
    0xff52ffff,0x13fffe2b,0x3fffe200,0xffff8800,0xfff980ff,0x88001fff,
    0x881fffff,0x440fffff,0x1fffffff,0xff985b10,0xfffa83ff,0x7ffe401f,
    0x3f2002ff,0x8000ffff,0x47ffffff,0xf85ffffe,0x003fffff,0x03fffffb,
    0xffffb800,0xffffd81f,0xffffd81f,0x3ea20dff,0x0fffffc2,0x6c0dff10,
    0x0dffffff,0xf700bea2,0x6c003fff,0x0dffffff,0x5c00bea2,0x0003ffff,
    0x3ffffe00,0xffffe80f,0xffffbcff,0xfe815fff,0xfbcfffff,0x15ffffff,
    0x77ffffc4,0xd81bea00,0x443fffff,0x1fffffff,0xffffffe8,0xffffffbc,
    0xfff9015f,0x3fff65ff,0x001dffd1,0x09ffff10,0x3fffff20,0x7ffff444,
    0xf70002ff,0xff505fff,0x3fee09ff,0x21cfffff,0xfffb06e9,0x0bfff709,
    0x5fffff90,0x7ffffc00,0xfff8003f,0x3f20ffff,0x7fc40fff,0xb000ffff,
    0x005fffff,0xfffffe80,0xfffffd84,0xffffe882,0x5ffdefff,0x7fffffc4,
    0x0f7e440c,0xfffffd10,0x0bffbdff,0x3fffff30,0x3fffa200,0xffdeffff,
    0xfffb8805,0x4000001e,0x80ffffff,0xfffffffb,0xfffff9ef,0x3fee0ecf,
    0x9effffff,0xecffffff,0xffffff10,0x0ee9819f,0x3ffffe60,0xffeea89f,
    0x5c0dffff,0xffffffff,0xffffff9e,0x7ffec0ec,0x1fff92ff,0x80007ff6,
    0x805ffffe,0xafffffe8,0xfffeeea8,0xd0000eff,0xffb0bfff,0x7ff401df,
    0xfeffffff,0x3ff600ff,0x077ff40f,0x7ffffec0,0xffff1002,0xf98009ff,
    0x41ffffff,0xffb86ffe,0x3a002fff,0x002fffff,0x7fffff40,0xfffffe85,
    0xffffd103,0x20bfffff,0xfffffffb,0x003ffcac,0xffffffd1,0x6400bfff,
    0x2cdfffff,0x7ffff440,0x405fffff,0x02dfffc9,0xff980000,0xf882ffff,
    0x23ffffff,0x1ffffffc,0x7fffffc4,0x3ffff23f,0x7ffdc1ff,0xecdfffff,
    0xfff1004f,0xd1dfffff,0x7fffffff,0x7fffffc4,0x3ffff23f,0x7ffd41ff,
    0xfff12fff,0x0007ff57,0xefffff98,0xffd100bc,0xd1dfffff,0x9fffffff,
    0x3fff6000,0xdfffb88b,0xffffd800,0x00efffff,0xc88cffd8,0xfd000eff,
    0x4007ffff,0x00fffffc,0x3ffffa20,0x3a21efff,0xffa8adff,0x7c002fff,
    0x004fffff,0x7ffffdc0,0x7ffffd42,0xffb101ef,0x407dffff,0xffffffc8,
    0x4000dfff,0xffffffd8,0xffc8003e,0x401fffff,0xffffffd8,0xffd7103e,
    0x0000019d,0xfffff950,0xd985bfff,0x6c41ceff,0xb301dfff,0xd8839dff,
    0xf701dfff,0xffffffff,0xfe880039,0x3fa5ffff,0x980acdff,0x441ceffd,
    0x6c1dfffd,0x2fffffff,0x073bff26,0x7ffd4000,0x2205ffff,0x0efffffd,
    0x159bfffd,0xffea8000,0x003effff,0x7fffffdc,0x3b2000bd,0x004fffff,
    0x3fffffea,0xffd3001e,0xffd1009f,0xffffffff,0x3ee1dfff,0xdfffffff,
    0xfff91001,0x159fffff,0xfffd1000,0xffffff8b,0x4c04ffff,0x22002aca,
    0x009bccaa,0x55953000,0xfec98000,0x54c000cd,0x4d5402ac,0x80000000,
    0xaaaaaaaa,0x01101aaa,0x00880060,0x5d4c0030,0x80001abc,0x55c0aca8,
    0x80044000,0x00800001,0xfb710000,0x5cc0059d,0x00055c0a,0x59753000,
    0xca880003,0x5c40000a,0x3fe2001b,0xffffffff,0x002e6005,0x26200000,
    0x000abcca,0x55555544,0x000aaaaa,0x00002e60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x76dd4400,0x700bdeef,0x99500007,0x40359dfd,
    0x0dff003b,0x26623ff4,0x19999999,0x09999998,0x99998800,0x40001999,
    0x00199999,0x75c01362,0x400fa602,0x266600ec,0x00019999,0x99999998,
    0xd9301999,0x220059df,0x09999999,0x40166dc4,0x3f9802fa,0x6654c000,
    0xaaaabccc,0x99999999,0x19999999,0x76e54000,0x000acdef,0xecb88000,
    0x00002cef,0x0cccccc0,0x33333100,0x33333333,0x002ea813,0x4ccc41b9,
    0x01999999,0x26666620,0x40000999,0xffffffd8,0xbeffffee,0x20007f30,
    0xffffffc8,0x1bdfffff,0xff3007d1,0x2e37fc09,0xffffffff,0xffffd85f,
    0xfeb8003f,0x00ffffff,0xfffff500,0x0efc8009,0x3a01bf20,0x17f6204f,
    0xfffffd90,0xcc80003f,0xfffffffe,0x3fff620f,0x401effff,0xfffffff9,
    0xfffffb16,0x0ffc403f,0x0003fd10,0xffffff93,0xffffffff,0xffffffff,
    0x0fffffff,0xffff7100,0x9fffffff,0x2e000003,0xffffffff,0xb800000d,
    0x004fffff,0x3ffff72a,0xceffffff,0x2203fe83,0x7f6cc4fe,0x4fffffff,
    0xfffd9700,0x40009dff,0x0bfffffa,0xffffea88,0xfc8003ff,0x09beffff,
    0xfffff953,0x7ff5007f,0x2a13fe60,0x2fffffff,0x007ffe20,0xfffff500,
    0x3f20001f,0x88005fff,0x7ec40eff,0xdff9802f,0x007ff4c0,0x7fffffc4,
    0x3f200001,0x10ffffff,0xf73139fd,0xf9007fff,0xfd1dffff,0x1dffffff,
    0x55efff40,0x00ffeba9,0x3ffff220,0xffda9acf,0xaeffffff,0xfffedbaa,
    0x7dc007ff,0x2609adff,0x00dfffca,0x9ffd1000,0xdffff911,0xffb00000,
    0x440009ff,0xfffffffe,0x427fd402,0x3200fff9,0xffffffff,0x7ffe4003,
    0x3f620000,0x7000dfff,0x007fffff,0x7fffff44,0xfffd8803,0x1ffc803f,
    0x2a07ff50,0x02ffffff,0x80001fec,0x00ffffff,0x0bffff00,0x8fffdc00,
    0x2005ffe9,0xff50effd,0x7fec007f,0x00001fff,0x7ffffffc,0xf501ee88,
    0xf9807fff,0xaeffffff,0x4fffffe9,0x3ffffea0,0x003fffff,0x3fffffa2,
    0xfffff301,0xffc80bff,0xffd1007f,0x7f540017,0xfd80001e,0x7ffe40ff,
    0x2200003f,0x0004ffff,0xffffffb8,0x1bffd006,0x200bffee,0xfffffffc,
    0x1ffc001f,0xffff5000,0xff1000bf,0x3ea007ff,0x001fffff,0x401fffdc,
    0x3ff207fd,0x3ffffa01,0x003f404f,0xffffff00,0xfff50001,0xfff0000b,
    0x03ffff9f,0x67fffcc0,0x6c007fff,0x001fffff,0x7ffffc00,0x400fd8ff,
    0x202ffffd,0x6ffffff9,0x37ffffc4,0x3fffff60,0x22006fff,0x00effffe,
    0x7fffffe4,0x07ffa805,0x000dff98,0x000bff20,0x885fffa8,0x0005ffff,
    0x017ffee0,0x7fffd400,0xff5005ff,0x0dfff9df,0x3ffffe20,0x2000efff,
    0xf30001fd,0x001dffff,0x00fffe60,0x3fffffe6,0x7ff90001,0x6c0dff00,
    0x7ffd407f,0x0fe207ff,0xffff8000,0xfc8000ff,0xf700006f,0x09ffffff,
    0xfffffb00,0xfc8005ff,0x0001ffff,0x7fffffc0,0xfa802fcf,0x3e606fff,
    0xe80fffff,0x400fffff,0xdffffffc,0xfffd1000,0xff5007ff,0x200bffff,
    0x7fc407fa,0xff500003,0x3ffa0003,0xdfffd05f,0x7fec0000,0x3ea00005,
    0x005fffff,0x3ffffffa,0x3ffe001f,0x05ffffff,0x40003f20,0x02fffffe,
    0x01ffcc00,0x3fffffa2,0x1ff40004,0xf813fe60,0xfffe806f,0x01f502ff,
    0x7fff4000,0xff8000ff,0x3a00000e,0x00ffffff,0xfffff880,0xffc8006f,
    0x00001fff,0x7ffffffc,0xfff1004f,0x3fe607ff,0xffd06fff,0x93001fff,
    0xc80059dd,0x00ffffff,0xffffffa8,0xb01fa005,0x76dd409f,0x54910acd,
    0xff8000ef,0xfff906ff,0x3e200009,0x4c00005f,0x05ffffff,0x3ffffe60,
    0x7efc005f,0x4fffffff,0x0001f700,0x0ffffff9,0x00ff2000,0x1ffffffb,
    0x03fa8000,0xf881ffd4,0xfffb804f,0x00bb06ff,0xffffe800,0x77d4000f,
    0x7d400000,0x0003ffff,0x07fffff2,0x3ffff200,0x7c00001f,0x0fffffff,
    0x3ffffa00,0xffff980f,0xffffd06f,0x0000001f,0xbffffff1,0x3fffea00,
    0xb81505ff,0x4c1bee07,0xeb9adffe,0x2fe46fff,0x3fffe600,0x2fffd80f,
    0x0bf70000,0xfff30000,0xd800bfff,0x000fffff,0x7fffddfc,0xb802ffff,
    0xfff98007,0x00004fff,0x7fcc07f1,0x0004ffff,0xffc807f0,0x005ff501,
    0x3ffffff1,0x00002f88,0x07fffff4,0x00026200,0x15555400,0x2aaa2000,
    0xff90002a,0x00003fff,0xfffffff8,0x7fff4004,0xfff983ff,0xfffd06ff,
    0x000003ff,0xffffffb0,0x3ffea003,0x83b05fff,0x203fe079,0xb102fffc,
    0x003fd0df,0x1fffffcc,0x0013ffe2,0x00001880,0xffffff30,0xaaa8800b,
    0x93f8001a,0xffffffff,0x8007b803,0x2ffffffe,0x80f60000,0x2ffffffd,
    0x22790000,0xffeccccc,0xfecccccc,0x3200ccdf,0x5c5fffff,0x7b930007,
    0x7fffff43,0x00000000,0x00000000,0x3fff2000,0x336e61ff,0xffff8001,
    0x6c000fff,0x985fffff,0xd06fffff,0x803fffff,0x0bcddb98,0xfffff980,
    0x3fea007f,0x3f05ffff,0x213ea050,0x4403fffb,0x004fb86e,0x1bffffe2,
    0x0001bff9,0x20000000,0x5ffffff9,0xf0000000,0x7fffff47,0x1ee00eff,
    0xfffff300,0x400003ff,0xffff1018,0x00001fff,0x7fffc422,0xffffffff,
    0xffffffff,0x3fffe201,0x8013a0ff,0xffffffd8,0x1fffffd4,0x99999988,
    0x0e6dcc09,0x99999980,0x99999999,0x33331199,0xdb981333,0x3ff2001c,
    0xffd89fff,0x2004ffff,0x0fffffff,0x7fffec00,0x7ffcc0ff,0xfffd06ff,
    0x7fdc03ff,0x0cfffeff,0x3fffff20,0x3fea006f,0xf885ffff,0x307fa001,
    0x2e00ffff,0x4007f886,0x99ffffff,0x20002ffd,0x99999998,0x002db880,
    0xffffff98,0x33333105,0x5b710133,0x3fe23f80,0x05ffffff,0xff5001ee,
    0x001fffff,0x3ff20000,0x0006ffff,0xfffff100,0xffffffff,0x3fffffff,
    0xfffffd80,0x26003f34,0xebbfffff,0xffffffdf,0x7ffffd40,0xfffd15ff,
    0xff803dff,0xffffffff,0x56ffffff,0xbfffffff,0x3fffffa2,0xfffc801e,
    0xffdffcff,0xf005ffff,0x01ffffff,0xfffffc80,0x7fffcc2f,0xffffd06f,
    0x3fff603f,0x03bffe63,0x7fffffec,0x3ffea005,0x1fc85fff,0xfd0df100,
    0x122009ff,0xfb0017e4,0x7fffffff,0xfe980001,0x226fffff,0x002ffffd,
    0x7fffffcc,0xffffd305,0x7fec4dff,0x30fe02ff,0xffffffff,0x9001ee09,
    0x0fffffff,0x7ec00000,0x005fffff,0x26666000,0x9999bffb,0x199dffa9,
    0xfffff980,0xf1006c8f,0xfa87ffff,0x00ffffff,0x3bfffffb,0xfffffffd,
    0xabfff80d,0xfffd9999,0x7fec1fff,0xffe9dfff,0x806fffff,0xcffffffc,
    0xfffff910,0xfffff007,0xfc8001ff,0x4c3fffff,0xd06fffff,0xd03fffff,
    0xff90bfff,0xffff01ff,0x5400bfff,0x45ffffff,0xf5001ff8,0x2ffff889,
    0x03fa8000,0x3ffffee0,0x6665c04f,0x640ccccc,0xd16fffff,0x00bfffff,
    0xffffff98,0x7fffe405,0xffffd16f,0x541fc0bf,0xffffffff,0x6c007b82,
    0x06ffffff,0x3fe00000,0x004fffff,0x3ff20000,0x005ff501,0x7fffffd0,
    0x3ff2007f,0xfff906ff,0x3ea01fff,0xadfeffff,0x3fffffd9,0x7cc07fe0,
    0xa84fffff,0xdfefffff,0xfffffd9a,0x7fffe403,0xffff904f,0xffff805f,
    0x64000fff,0x44ffffff,0x06fffff9,0x83fffffd,0x882ffffb,0x7c45ffff,
    0x04ffffff,0x3ffffea0,0x07ffe65f,0x3ea1fdc0,0x80001fff,0x3ee005f9,
    0x00ffffff,0x3fffffaa,0x7ffcc0cf,0xffffb6ff,0xf9800dff,0x405fffff,
    0xb6fffff9,0x0dffffff,0xfffc81fc,0x5c0fffff,0x7fffc007,0x00005fff,
    0x3ffffe00,0x000004ff,0xfc81ffa0,0xffb8001f,0x800fffff,0x03fffff8,
    0x03fffffe,0x7fffffd4,0x7ffffc45,0xfe80fe06,0xa80fffff,0x45ffffff,
    0x06fffff8,0x0fffffe4,0x5fffff98,0x7fffffc0,0x7fe4000f,0x7cc5ffff,
    0xfd06ffff,0xff83ffff,0xfff01fff,0x7ffcc5ff,0x2003ffff,0xeffffffa,
    0x01fffffd,0xffb85f90,0x880000ff,0xffea806f,0x04ffffff,0x204fffe8,
    0xbefffff8,0x3ffffccf,0x7fffcc00,0x7fc405ff,0xccfbefff,0x3e03ffff,
    0x3ffff603,0x1ee0efff,0xfffff880,0x000004ff,0xffffff30,0x0000009f,
    0xffb037fc,0x7fffc000,0xff5005ff,0x7f403fff,0xf300ffff,0xf01dffff,
    0x7c0fffff,0xfffff700,0x3ffe607f,0xfff80eff,0x7fe407ff,0x3fe01fff,
    0x7fc07fff,0x000fffff,0x7fffffe4,0x7ffffcc6,0xfffffd06,0x7ffffdc3,
    0x9ffffd00,0x7fffffd4,0x3fea003f,0xffffffff,0xfb001fff,0x0ffffd83,
    0x40df0000,0xff9affea,0x402fffff,0x7c405ffb,0x23ffffff,0x4000cfd9,
    0x5ffffff9,0x7ffffc40,0x33f663ff,0xe880fe00,0x5fffffff,0xff8801ee,
    0x004fffff,0xfff10000,0x000bffff,0x13fe6000,0x20006ff8,0x02fffffc,
    0x1fffff90,0x7fffff40,0xfffff300,0x3ffffe0b,0x7fc40e07,0x2606ffff,
    0xf05fffff,0xc80fffff,0x201fffff,0x00fffffe,0x3ffffffe,0x7ffe4000,
    0x7fcc5fff,0xffd06fff,0x7ff43fff,0x3ffa07ff,0x3ffe66ff,0x2002ffff,
    0x5ffffffa,0x003fff93,0xfff90bf2,0xf100003f,0x83bfee0b,0xfffffffc,
    0x003ff200,0xdffffff1,0xff980000,0x4405ffff,0x06ffffff,0xf300fe00,
    0x7fffffff,0xfff001ee,0x400bffff,0x99999999,0x3e199999,0x06ffffff,
    0xff500000,0x013fe207,0x7ffff880,0x3ffff600,0x3fffa00f,0xfff300ff,
    0x3ffe0bff,0x64000fff,0x01ffffff,0x17ffffe6,0x07fffffc,0x3fffff90,
    0x7fffff40,0x3ffffe02,0x7e4000ff,0x4c4fffff,0xd06fffff,0x7c3fffff,
    0x3a07ffff,0x3e27ffff,0x03ffffff,0x3ffffea0,0x00ffdc5f,0x7fd43fb8,
    0x980002ff,0x3fffd84f,0x7fffffc4,0x00ffa05f,0x3fffffe2,0x7cc00003,
    0x405fffff,0x3ffffff8,0x200fe000,0xfffffffa,0x74007b9f,0x05ffffff,
    0xffffb910,0x9dffffff,0x7ffffff4,0x2a000007,0xaacffdaa,0xacffcaaa,
    0x36000aaa,0x3e004fff,0x200fffff,0x00fffffe,0x0bfffff3,0x03fffffa,
    0xfffff980,0x7ffcc04f,0xfffd05ff,0x7fe401ff,0x3f601fff,0x3e04ffff,
    0x00ffffff,0x7ffffe40,0x7fffd43f,0xffffd07f,0x3fffe23f,0x3fffa07f,
    0x3fffe1ff,0x2a004fff,0x85ffffff,0x9f5001fe,0x03ffff98,0x5c3fa800,
    0xfa80ffff,0x84ffffff,0xff1005f9,0x0005ffff,0xfffff980,0x7ffc405f,
    0x20002fff,0xfff9003f,0x0fbfffff,0xfffffd80,0xff98006f,0x81ffffff,
    0xfffffffd,0xf8800000,0xffffffff,0xffffffff,0x26001fff,0xf1000fff,
    0xe80fffff,0x300fffff,0x20bfffff,0x00fffffe,0x3fffffa0,0x7ffcc00f,
    0xfffd05ff,0x7fe401ff,0x3f601fff,0x3e04ffff,0x00ffffff,0x7ffffe40,
    0x3fff622f,0xffe83fff,0xfff51fff,0x7ff40fff,0x3ffa3fff,0x2005ffff,
    0x5ffffffa,0xf1001fa8,0x0dfffd0d,0x4c5fb000,0xb00fffff,0x7fffffff,
    0xf1000fe8,0x001fffff,0xffff9800,0x7fc405ff,0x0000ffff,0xffd800fe,
    0x07ffffff,0x7ffffd40,0xfc8000ff,0x704fffff,0x3fffffff,0xff100000,
    0xffffffff,0xffffffff,0xfe8003ff,0x3ffe6005,0x3fa00fff,0xf300ffff,
    0x3a0bffff,0x000fffff,0x7ffffff7,0xfffff300,0x3ffffa0b,0x3fff200f,
    0x3ff601ff,0x3fe04fff,0x000fffff,0x7fffffe4,0xffffff51,0xffe8bfff,
    0xfff51fff,0x7ff40fff,0x3fee3fff,0x2005ffff,0x5ffffffa,0xb0201f88,
    0xffff985f,0xf8809802,0x7ffffec6,0xfffff302,0x0bf25fff,0xfffff880,
    0xf9800007,0x405fffff,0x07fffff8,0x1001fc00,0xfffffffd,0xffff000f,
    0x90003fff,0x09ffffff,0x3fffffe2,0x5000002f,0x555bff75,0x55dff755,
    0xa8001555,0x3fe2002f,0x3a00ffff,0x300fffff,0x20bfffff,0x00fffffe,
    0xffffff88,0xffff3006,0x3fffa0bf,0x3ff200ff,0x3f601fff,0x3e03ffff,
    0x00ffffff,0x7ffffe40,0xffe80007,0xfff11fff,0x7ff40fff,0x3fe22fff,
    0x2006ffff,0x5ffffffa,0x263c03d0,0xefffb85f,0x3203ea00,0x7ffff43f,
    0x3ffea04f,0x4fcfffff,0x7fffc400,0x75c4006f,0xffff981c,0x7fc404ff,
    0x40006fff,0x7fc4003f,0x007fffff,0xffffffc8,0xfffb8003,0x3f203fff,
    0x005fffff,0x1ffd4000,0x0004ff98,0xff000d70,0x7401ffff,0x300fffff,
    0x20bfffff,0x00fffffe,0xffffffc8,0xffff3001,0x3fffa0bf,0x3ff200ff,
    0x3f601fff,0x3e01ffff,0x00ffffff,0x7ffffe40,0xffe80004,0x3ffe0fff,
    0x3ffa07ff,0x7fe40fff,0x5000ffff,0x0bffffff,0x7435402e,0xffffa82f,
    0x01bb510a,0x7fc41ff1,0x5c07ffff,0xffffffff,0x7fc4000e,0x6c006fff,
    0x7d40ffff,0x404fffff,0x06fffff8,0x4001fc00,0x7ffffffa,0xffffd000,
    0xff7000df,0x4c07ffff,0x0fffffff,0xf9018000,0x0bfee03f,0x001f4000,
    0x17fffff4,0x1fffffd0,0x3ffffe60,0xfffffd05,0xffff9801,0x3e6004ff,
    0xfd05ffff,0x6401ffff,0x202fffff,0x407ffffe,0x0fffffff,0xfff90530,
    0xd00001ff,0xfe8fffff,0x3fe07fff,0xff887fff,0x5003ffff,0x0bffffff,
    0xff30bb00,0xfffd9101,0x7f407dff,0x7ffffc43,0x7fe403ff,0x02ffffff,
    0x7ffffc40,0x3ffe2006,0x7ffd44ff,0x7c403fff,0x0006ffff,0xfb8001fc,
    0x0007ffff,0x5ffffff1,0xffffb800,0x7fd403ff,0x0004ffff,0x07fe83cc,
    0x4c007ff2,0x007cc0cc,0x7ffffe40,0x3ffffa03,0xffff300f,0x3fffa0bf,
    0x7ff400ff,0x9100ffff,0x5fffff98,0x1fffffd0,0x7ffffe40,0x3ffffe02,
    0x7ffffc04,0xfffd80ff,0x13ffff61,0xffd0a600,0xfffb8fff,0xffff00ff,
    0x3ffea09f,0xff5007ff,0x800bffff,0x0df904fa,0xf9001530,0x3ffffe0b,
    0x7ec02fff,0x3fffffff,0xfff88730,0x3ee006ff,0x7d45ffff,0x402fffff,
    0x06fffff8,0x0001fc00,0x00fffffb,0x7ffffcc0,0x7ffdc006,0xfc803fff,
    0x001fffff,0x3fe0ff30,0x401ffa06,0x2ec6fff9,0xffff9800,0xffff306f,
    0x3fe601ff,0xffd05fff,0x7dc01fff,0x203fffff,0x7fffcc3c,0xffffd05f,
    0x7ffe401f,0xfff102ff,0xfff801ff,0x7cc0ffff,0x3ff64fff,0x7e4000ff,
    0x3ffffa3f,0x1ffffe86,0x0fffff88,0x3fffff20,0xffffb802,0x3e6005ff,
    0x03bf603f,0x1ffb1000,0x3fffff60,0x3a202fff,0xffffffff,0xf10be61d,
    0x400dffff,0x42fffff9,0x0ffffffa,0x7ffffc40,0x13e20006,0xffffd000,
    0xfffa8000,0x3ee005ff,0x003fffff,0x3ffffffb,0x81ffb800,0x3fe04ff9,
    0xffff9006,0x80007e21,0x43fffffd,0xfffffff8,0xfffff301,0x3ffffa0b,
    0xffff100f,0x1fc40dff,0x17ffffe6,0x07fffff4,0x9fffff90,0x0ffffee0,
    0x3fffffe0,0x7fffd40f,0x00ffff66,0xfe97ffe0,0xffa84fff,0xfff983ff,
    0xfffd804f,0x7fec00ef,0x5006ffff,0x6c403fff,0xd30002ff,0x7fcc03df,
    0xcfffffff,0x7fffecc1,0xffffffff,0xfff885fe,0x7fc006ff,0xfffb85ff,
    0xff8805ff,0x20006fff,0x440005f9,0x80007fff,0x0dffffd8,0xfffffb80,
    0x3fee003f,0x200cffff,0x501efea8,0x3fe605ff,0xffff9004,0x8000bb15,
    0x9ffffff9,0xffffeea8,0xffa80dff,0xfff05fff,0x3f201fff,0x201fffff,
    0x7ffd42fd,0xffff05ff,0x7fe401ff,0x7c40ffff,0xf8805fff,0x42ffffff,
    0x3a7ffff9,0xff0003ff,0x77fff4bf,0x0dfffb00,0x001bfffb,0x07ffffee,
    0x7fffffcc,0x3fa600ff,0xfb800fff,0xfb5002ef,0xff7001bf,0xffffffff,
    0xd5dffdbf,0xffffffff,0xff301fff,0x9800dfff,0xffe83fff,0xf9800fff,
    0x0006ffff,0x00003ff2,0x0000fff3,0x67ffffd4,0x3fae6209,0x000befff,
    0x7fffff4c,0xffdbacdf,0x3f200cff,0x05ff701f,0x3ffffe20,0x880000ff,
    0xffffffff,0xfffffe8e,0x7ffd43ff,0xffff06ff,0xfff303ff,0x36609fff,
    0x7ffd41ff,0xffff06ff,0x7fe403ff,0xb31dffcf,0xb1009fff,0xdfffffff,
    0x9ffffd83,0x20003ffb,0xff88fffc,0x7fe401ff,0xfffb88cf,0xffe98004,
    0xfcaacdff,0xffffffff,0xffedccef,0x2007ffff,0xabcfffe9,0xfffecba9,
    0x7ffe4003,0xffffffff,0x7ffec2ef,0x01ffffff,0x0ffffff3,0x37fff500,
    0x1dffff93,0x3fffe600,0xff70007f,0x400015df,0x400007fb,0xfffffeb8,
    0xefffffff,0xc980000b,0xffffffff,0xe800cfff,0x07ff207f,0xeffffb80,
    0x3a200000,0x3a5fffff,0x40acdfff,0xffffffe9,0x3ffff222,0x7ff40dff,
    0xcbabffff,0x21ffffec,0xffffffe9,0x3ffff222,0x9f900dff,0x3ffff621,
    0x7f402eff,0xffffffff,0xd89effff,0x02efffff,0xffffc800,0xd5002eff,
    0x7dffffff,0xffc98000,0xffffffff,0xffffffff,0xffffffff,0xd98006ff,
    0xffffffff,0x260002df,0xfffffffe,0x3fea03ef,0x101dffff,0x7ffffffb,
    0xfffb1000,0x009fffff,0x7ffffec4,0xfff3003f,0x0dffffff,0x0003e400,
    0x99975100,0x00133579,0x6554c000,0x4001abcc,0x132e03cc,0x000dcc00,
    0x15951000,0x7d400ab8,0xffffffff,0xffffffd5,0x3fea3fff,0xffffffff,
    0x0fffffff,0xfffffff5,0x3fffabff,0x81ffffff,0x5795301a,0x80000003,
    0x0000acba,0x0d5dd440,0x9bb98800,0x98800000,0x09999aa9,0x80000000,
    0x9accba98,0x2a600000,0x4001accb,0x2a00aca8,0xffffffff,0xa88002ff,
    0x4002bccb,0xfffffffa,0x00002fff,0x00090000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19db5000,0x0165cc00,0x99988019,0x26666019,
    0x53000009,0x01357997,0x4cc40000,0x4cc40999,0x4c099999,0x01999999,
    0xca9882d8,0x001acdfe,0x9bb75100,0x1bfa0015,0x009f1000,0xb8800bd1,
    0x80bdefec,0x4ccccc45,0x41999999,0x99999999,0x20199999,0x09999998,
    0xfedca800,0x4000acde,0x99999998,0x00999999,0x4ccccccc,0x33333099,
    0x33333333,0x26666033,0x20199999,0x320bddba,0x26666621,0x2db88099,
    0x99988000,0x99999999,0x99999999,0x81999999,0x99999998,0x00000000,
    0x07fffff6,0x3bffff20,0xb007ea0b,0x303fffff,0x009fffff,0x7ffff540,
    0xdfffffdf,0x7fc00000,0x7d40efff,0x24ffffff,0xffffffe8,0x4cf6c00f,
    0xffefffdb,0x00dfffff,0xbffff700,0xfffffffd,0x07fee3ff,0x805fd000,
    0x3ee003fd,0xfffedeff,0xffa8d72d,0xffffffff,0x7fff644e,0xcfffffff,
    0x3fffae04,0xf71004ff,0xffffffff,0x2a0039ff,0xffffffff,0x401cdfff,
    0xffffffdc,0xfffdb92f,0x9dffffff,0xfffb9019,0x8819bfff,0xeffffffd,
    0x3ffa62fe,0x3626ffff,0x0002ffff,0x7fff664c,0xffffffff,0xffffffff,
    0x74c0ffff,0x05ffffff,0x40cc0000,0x5ffffff8,0x7ffffe40,0x0ffcdfff,
    0x7ffffec0,0xfffff981,0xffd88004,0x7e541bef,0x00003fff,0x01dffff5,
    0x3fffff62,0xfffffb84,0x7ffec00f,0x6dcc1bff,0x002fffff,0x87bfffa2,
    0xfffffffc,0x007ff11f,0xacdffc80,0x01ffeba9,0x80dffe88,0x06ffffe9,
    0xfffffff9,0xffffa80b,0x2001ffff,0x7000eff9,0x4135bfff,0x0dfffca9,
    0xfffff700,0x10001fff,0x201bfffd,0xfffffffd,0x7ffec003,0x437ffa00,
    0xc82fffd9,0xd16fffff,0x00bfffff,0xfeffe800,0xaadfffff,0xfffedcba,
    0xfffb00ff,0x00000bff,0x7fe41f44,0x101fffff,0xffffffff,0xb00dffff,
    0x303fffff,0x009fffff,0x0fffffb8,0x77fffcc0,0x7fec0001,0x7fdc00ff,
    0xff884fff,0x6c00ffff,0xc800cfff,0x004fffff,0xf05ffffb,0x1555bfff,
    0x200037f4,0xfffffff8,0xfd005fff,0xfff700df,0x3fffe20d,0xfc804fff,
    0x00ffffff,0x44017f40,0x2000bffe,0xb001efea,0x0fffffff,0x01ffd400,
    0x3fffffea,0x2ff88007,0x207ffee0,0xff982ffa,0xfffb6fff,0x0000dfff,
    0xfffbdfc8,0x7d403fff,0xff700fff,0x0000bfff,0x7d41fec0,0x02ffffff,
    0xfffb7bf5,0x003fffff,0x03fffffb,0x09fffff3,0x7ffffec0,0xffff5002,
    0x7fc0007f,0xffa801ff,0xfff04fff,0xfd801fff,0x7fe4004f,0x2e00efff,
    0xf907ffff,0x3f203fff,0x7dc0000f,0xffffffff,0x3fffb800,0x40dff700,
    0x6ffffffc,0xfffff880,0x37c002ff,0x006ffcc0,0x005ff900,0xfffffff3,
    0x1bea0003,0x3ffffe60,0x3ff0007f,0x817fffc0,0xfff883fc,0xfccfbeff,
    0x00003fff,0x7ffdc7f4,0xe9803fff,0x7e54c0ff,0xaaaeffff,0x540001aa,
    0xfffd03ff,0x1ee07fff,0x5ffffd71,0x3ffff600,0xffff981f,0xfff9004f,
    0xfd8007ff,0x8001ffff,0x5001fffa,0x209fffff,0x00ffffff,0xd80037ec,
    0x205fffff,0x706ffffe,0x260dffff,0xb80003ff,0x1effffff,0x0ffff880,
    0x881bf600,0x1fffffff,0xfffffc80,0x0fe6005f,0x0007ff10,0x2007fea0,
    0x4ffffffd,0x003f9000,0xdffffff1,0x403fa000,0x01fffff8,0xffff107f,
    0x7ecc7fff,0x2e00000c,0xfffff73f,0x3fe2007f,0x7ffffdc0,0xffffffff,
    0x3fe20004,0x9bd7103f,0x806605ff,0x360009a8,0x981fffff,0x804fffff,
    0x07fffff9,0xfffff980,0x1ffd8006,0x3fffea00,0xfffff04f,0x00fd801f,
    0xfffff300,0xffff103f,0x3ffee0df,0x0bff00ff,0x3b722000,0x3fe6003d,
    0x3e2001ff,0x7fffec06,0xff9804ff,0x000fffff,0x4fd801f9,0x99999995,
    0x7d405559,0x7ffcc00e,0x4000ffff,0xff1006f8,0x000dffff,0xfff981f6,
    0x83b83fff,0x6ffffff8,0xf1000000,0x7ffffdcd,0x03f2003f,0xfffff953,
    0x0355555d,0x3fffa200,0x01ff3003,0xfd800000,0xf981ffff,0xe804ffff,
    0x005fffff,0x7fffffd0,0x001ff800,0x27ffffd4,0x0ffffff8,0x20002ec0,
    0x86fffffe,0x05fffff9,0x03fffff5,0x00003ff2,0x3fee0000,0x3e4004ff,
    0x3ffffe60,0xfffd007f,0x3e007fff,0x9137dc05,0xfb7bffff,0x3f209fff,
    0xffffe805,0x7dc003ff,0xffff1002,0x36000dff,0x7ffffc07,0x44040dff,
    0x03ffffff,0x3fb00000,0x7fffffdc,0x0f881503,0xbfffff30,0x7f4c0000,
    0xf9003fff,0x0000000d,0x03fffffb,0x09fffff3,0xffffffc8,0xfffb0002,
    0x4c003fff,0xfffa8000,0xffff04ff,0x02d801ff,0x7fffdc00,0x7ffc43ff,
    0xfff505ff,0x3fe601ff,0x00000002,0x4fffffc8,0x3a01e600,0x02ffffff,
    0xffffffb8,0x402fa806,0xffff80ff,0x17fff624,0x3ea00ff4,0x006fffff,
    0xff100374,0x000dffff,0xfffb01f6,0x803dffff,0x2ffffff8,0xfa800000,
    0x7ffffdc4,0x1d03b03f,0x3ffffe60,0xff300005,0x3339ffff,0x988bfa03,
    0x40999999,0x19999999,0x3fffff60,0xfffff981,0x3fffe204,0x70000fff,
    0x0bffffff,0xff500000,0x3fe09fff,0x0c00ffff,0x7ffc4000,0x7fc0ffff,
    0xff706fff,0x5ff80dff,0x99999880,0x4cccc099,0xffb81999,0x000dffff,
    0xffff700b,0xff100dff,0x803fffff,0x827d407d,0x7cc4fffd,0x4fb83fff,
    0xffffff80,0x05f5002f,0x7ffffc40,0x0fb0006f,0xffffff98,0x3e203fff,
    0x000fffff,0x07744000,0x3fffffee,0x01303f03,0x17ffffe6,0x50079b73,
    0xffffffff,0xf983ffff,0x7ffffdc6,0x3ffa24ff,0x3607ffff,0x981fffff,
    0x204fffff,0x6ffffffa,0x3ffe6000,0x99987fff,0x99999999,0x54199999,
    0xf04fffff,0x001fffff,0x3ffe0000,0x7e41ffff,0xff907fff,0x7fd807ff,
    0xfffffb80,0x3ffa24ff,0xf887ffff,0xbfffffff,0xff880000,0x401fffff,
    0xfffffffa,0xd013e204,0x3fff203f,0x85ffff84,0xffc807f8,0xb005ffff,
    0xfff8800f,0xb0006fff,0xffff700f,0x209fffff,0x07fffff8,0x2fc80000,
    0xffffffb8,0x4001f883,0x15fffff9,0x1dfffffd,0x3ffffe20,0xffffffff,
    0x2203ba21,0x84fffffe,0x07fffffb,0x07fffff6,0x13ffffe6,0xffffffc8,
    0x3fe20006,0x7c0fffff,0xffffffff,0x6fffffff,0x27ffffd4,0x0ffffff8,
    0xfd000000,0x887fffff,0xe81ffffe,0x5400ffff,0xfe8802ff,0xfb84ffff,
    0xff07ffff,0xffffffff,0xffb00007,0xe809ffff,0x7fffffff,0xf8807ee0,
    0x13fff206,0x6417fffa,0x7ffc402f,0x4c01ffff,0x7fc4003f,0x0006ffff,
    0x3fee00fb,0x3fffffff,0x6fffff88,0x7cc00000,0xfffff705,0x003f907f,
    0xdfffff98,0xfffffff9,0xfffc805f,0x37aa03ff,0x3ffff200,0xffff884f,
    0x3fff607f,0xfff981ff,0x3ff604ff,0x0005ffff,0x3fffffe2,0x55fffc2f,
    0xfffd9999,0x7fd41fff,0xfff04fff,0x00001fff,0x3ffff600,0xffe884ff,
    0x3ffee0df,0x4ff8800d,0xfffff900,0xfffff109,0x3fffee0f,0x2fffffff,
    0x3ffe6000,0x3e607fff,0xffffffeb,0xfa80dd02,0x13fff204,0x205ffff3,
    0xffd803fa,0x6404ffff,0x7fc4000f,0x0006ffff,0x7fcc00fb,0x86ffffff,
    0x06fffff8,0x07f40000,0xffffffb8,0x000ffc43,0x3fffffe6,0xfffeaadf,
    0x7fe402ff,0x5db03fff,0xfffff700,0xfffff109,0x7fffec0f,0xffff981f,
    0x3fffe04f,0x20005fff,0xfffffff8,0xf980ffc3,0xa84fffff,0xf04fffff,
    0x001fffff,0x3ff60000,0x2e05ffff,0xffebffff,0x3fec004f,0xfffffb80,
    0xfffff884,0x3ffff207,0xefffffff,0xfffd0001,0x3f205fff,0xffffffb8,
    0x5c03f985,0x3fff203f,0x07fffe44,0xf9805f98,0x00ffffff,0xf10009f1,
    0x00dfffff,0xb1001f60,0x3fffffff,0x6fffff88,0x3ee00000,0x3fffee03,
    0x3ffea3ff,0x7ffcc001,0x7fc45fff,0x7e406fff,0x0303ffff,0x7ffffdc0,
    0xffffff04,0x7ffffec0,0xfffff981,0xfffff104,0xf80009ff,0x45ffffff,
    0x3fffa03f,0xffa80fff,0xfff05fff,0xff981fff,0xffffffff,0xffffffff,
    0xffffffff,0x77d407ff,0x000aceee,0xb801ffb8,0xf04fffff,0xd80fffff,
    0xffffffff,0x8004ffff,0x6ffffffb,0xfff15f88,0xfc81ffff,0x9017e400,
    0x3f6a9fff,0x3e201dff,0xffffd006,0x03f207ff,0x3fffe200,0xfb0006ff,
    0xfff70580,0xff887fff,0x00006fff,0xfb80bf10,0xfeefffff,0x4001ffff,
    0x0efffff9,0x07fffff8,0x1fffffe4,0x7ffdc000,0xffff04ff,0x7ffec0ff,
    0xfff981ff,0x7cce65ff,0x04ffffff,0x7ffffc00,0xb807c5ff,0x03ffffff,
    0x0bfffff3,0x03fffffe,0xfffffff3,0xffffffff,0xffffffff,0x40ffffff,
    0x400001fc,0xfb804ff8,0xff04ffff,0xfb00ffff,0xffffffff,0x4001bfff,
    0xfffffff8,0xffb0fdc1,0x5f87ffff,0x3201fd80,0xffffffff,0x00df002f,
    0x3fffffea,0x2000bf06,0x6ffffff8,0xe80fb000,0xfffff302,0xfffff887,
    0xfb000006,0x33333335,0xdffffff9,0x03fffffd,0xfffff980,0xffffff05,
    0x7fffe401,0xfb80003f,0xff04ffff,0x7ec0ffff,0xfd83ffff,0x4f26ffff,
    0xfffffff8,0x7ffc0004,0x81c4ffff,0x6ffffff8,0x3ffffe60,0xfffffa85,
    0x7fffc40f,0x90003fff,0x0dffffff,0x00009fd3,0x2e01bfa0,0xf04fffff,
    0x200fffff,0xfffffffa,0x00efffff,0x3fffff60,0x3ea3744f,0x2a6fffff,
    0x02fc802f,0x3e33fff2,0xf8803fff,0x3fffe005,0x0fdc2fff,0xffff8800,
    0xfb0006ff,0x3ee05e80,0x7fc41fff,0x00006fff,0xffffffa8,0xffffffff,
    0xff713fff,0xff98003f,0xffd05fff,0x7e401fff,0x0003ffff,0x4fffffb8,
    0x0ffffff0,0x27ffffec,0x3ffffff2,0x7ffc5d0f,0x0005ffff,0x7ffffffc,
    0xffff9003,0xfff803ff,0x7ffcc7ff,0xff80ffff,0x004fffff,0xffffffb0,
    0x009ffb0b,0x07fee000,0x9fffff70,0x1fffffe0,0xfffff700,0x09ffffff,
    0x7ffffcc0,0x3e0be67f,0xb1ffffff,0x80fee00f,0xff74fffc,0x4f9801ff,
    0x3fffee00,0x003745ff,0xffffff10,0x01f6000d,0x3fe207fd,0xffff987f,
    0x4400006f,0xaaaaaaee,0xffffdaaa,0x0ffdc3ff,0x3fffe600,0xffffd05f,
    0x7ffe401f,0xb80003ff,0xf04fffff,0x6c0fffff,0xbcffffff,0xffffebfe,
    0x7fec6eff,0x0006ffff,0x3fffffe2,0xfff9802f,0xfd804fff,0xfcbeffff,
    0x1ffffffd,0xffffffd8,0xfffd0004,0xff889fff,0xa999acff,0xf8800099,
    0x7ffdc03f,0xffff04ff,0xf91000ff,0xffffffff,0x7ff4001f,0x0fb2ffff,
    0x3ffffff2,0xf5004f8c,0xa7ffe409,0x404ffff8,0x3e2003fa,0x50ffffff,
    0x7c40005f,0x006fffff,0xffd80fb0,0x83fff983,0x07fffff9,0x00fe4000,
    0xffffffb8,0x4001fc83,0x05fffff9,0x01fffffd,0x1fffffe4,0x7ffdc000,
    0xffff04ff,0x7fff40ff,0x52ffffff,0x5fffffff,0xffffffc8,0x3fe20007,
    0x800fffff,0x0ffffffe,0xffffe880,0xffff4fff,0xffc81bff,0x0004ffff,
    0x5ffffffd,0xffffffb8,0xffffffff,0x1bfa003d,0x9fffff70,0x1fffffe0,
    0x7fe44006,0x03ffffff,0x3ffffee0,0xf304f8ef,0xf7ffffff,0x81be2003,
    0x3ee4fffc,0x3f600fff,0x7ffec002,0x00db4fff,0xfffff880,0x0fd0006f,
    0x89dfffd8,0xd884ffea,0x03ffffff,0x00bf3000,0x7fffffdc,0x4001fa83,
    0x05fffff9,0x01fffffd,0x1fffffe4,0x7ffdc000,0xffff04ff,0x7eff40ff,
    0x641effff,0xa82fffff,0x07ffffff,0x3fffea00,0xffb807ff,0x2003ffff,
    0x3fffffe9,0x3ffffffe,0x3fffee1f,0xff0005ff,0xa83fffff,0xffffffff,
    0xffffffff,0x01ff9005,0x27ffffdc,0x87fffff8,0x3fa6002d,0x004fffff,
    0x3fffffe2,0x3fa00fdf,0x06ffffff,0xfd817ec0,0x7fff44ff,0x000df104,
    0xfffffff3,0x880007f3,0x06ffffff,0xfd80fd00,0xffffffdc,0xfffffa84,
    0x002fffff,0x70007f40,0x07ffffff,0x4c0403f1,0xd05fffff,0x401fffff,
    0x03fffffc,0xffffb800,0xfffff04f,0x5c57fc0f,0x2ea200ac,0x3fffa00a,
    0x70000fff,0x07ffffff,0xffffff88,0x37710006,0x9801df50,0x05ffffff,
    0xffffff00,0x3ffffe0f,0xffffffff,0x9804ffff,0x3fee03ff,0xfff04fff,
    0x00bb0fff,0xbfffffb0,0xffffd800,0x7dc05fff,0x03ffffff,0xff82fcc0,
    0x7ffd45ff,0x003fc82f,0xffffffd0,0x3e0000ff,0x007fffff,0x41a80dd0,
    0x00001cfa,0x03fb8000,0x7ffffdc0,0x7403d03f,0x7ffffcc0,0xfffffd05,
    0x7fffe401,0xfb80003f,0xff04ffff,0x3e60ffff,0x2000003f,0x2ffffffa,
    0xffffb000,0xfff900df,0x00003fff,0x2001ff90,0x07fffffd,0xfffffa80,
    0xfffd102f,0xffffffff,0x200fffff,0x3fee05ff,0xfff04fff,0x01fb0fff,
    0xffffe880,0x7ffcc004,0x4402ffff,0x0fffffff,0x4c2fe800,0x6c1fffff,
    0x3e20ffff,0xff50000f,0x009fffff,0x3ffffe00,0x5f88007f,0x002fd800,
    0x00159d90,0x40037c40,0x3ffffffb,0x21ea0370,0x05fffff9,0x01fffffd,
    0x1fffffdc,0x7ffd4000,0xffff04ff,0x17fee0ff,0xffd00000,0x2000dfff,
    0x02ffffff,0x7fffffcc,0xfa800004,0x3fe6006f,0x4000ffff,0x05fffffd,
    0x7fffffcc,0xffffffff,0xffc801ff,0xfffff500,0x3ffffe09,0x8002fd87,
    0x003ffffb,0x6fffffe8,0xfffffb00,0x3fe6000b,0xffffffd0,0x3ffe61ff,
    0x007fd1ff,0xffffff80,0xfd00000f,0x000fffff,0xfa8009f5,0xfd8006ff,
    0xb0000fff,0xff70003f,0x0007ffff,0xffff30dd,0x3fffa0bf,0x3fee00ff,
    0x80003fff,0x04fffffa,0x20ffffff,0x00007ffc,0x7ffffcc0,0x7fdc001f,
    0xfe806fff,0x100fffff,0x3ff60009,0x7ffe4006,0x7fc002ff,0xb300ffff,
    0x4c4017ff,0x800ffffc,0xff502ff9,0x3fe09fff,0xffd87fff,0x7ffcc000,
    0xffb8001f,0xf5003fff,0x0005ffff,0x000037e4,0x200017f2,0x04fffffb,
    0x3fff2000,0x64001fff,0x7f5c002f,0x6d4001ff,0xa8003fff,0xff70004f,
    0x8007ffff,0xfff985f9,0xfffd05ff,0x7fdc01ff,0x00043fff,0x27ffffcc,
    0x3fffffdc,0x000fffe8,0x7ffe4000,0x7f4005ff,0x5c01ffff,0x03ffffff,
    0x7fc000f2,0x3e2000ff,0x2006ffff,0x03fffffa,0x50017ffa,0x7fc00dff,
    0xfffff305,0xfffff709,0x00bffb0f,0x006fff98,0x1fffff10,0x3ffffc00,
    0x077ec000,0x3ff62000,0xff880000,0x00001fff,0x3fffffe6,0x01bee003,
    0x01fffcc0,0x006ffe80,0x80007fc4,0x3ffffffb,0x213fa600,0x05fffff9,
    0x01fffffd,0x27ffffd4,0xf88001d1,0x7d46ffff,0xf07fffff,0x00005fff,
    0xfffff900,0x3fff2003,0x7fc401ff,0x2206ffff,0xffd0003f,0xffa800bf,
    0xf9803fff,0x2604ffff,0x54003fff,0x3f6003ff,0xfffff107,0xfffffa8d,
    0x4fffd87f,0x03fff200,0x4fffd800,0x27ffe400,0x7fec4000,0xdfd30002,
    0x7ec00003,0x800005ff,0x2ffffffd,0x002ff980,0x003fff50,0x00bfff10,
    0x20004fd8,0x4ffffffb,0x07fff500,0x0bfffff5,0x03fffffe,0x5fffffd0,
    0x360003d5,0xcadfffff,0xffffffdf,0x1ffffcc0,0xfc800000,0x5c02ffff,
    0x801effff,0x1ffffffc,0x4000bf60,0x00dffffc,0x3ffffa20,0x3fffe201,
    0xfffe802f,0x1bfd1000,0x817fd400,0xadfffffd,0xfffffdfc,0x7fffec0f,
    0x7ffcc00d,0x7fcc0002,0x7fc4001f,0x2e00001f,0xb5002eff,0x00001bff,
    0x002fff98,0xffffd000,0xf73015ff,0x3a20005f,0xc88005ff,0x2e001fff,
    0x360005ff,0x0effffff,0xffff9510,0xfffff703,0x3ffffe0d,0x7ffcc01f,
    0x0003ffff,0x3fffffa2,0xfffff4ff,0x7ffc419f,0x0000002f,0x33ffffa6,
    0xfffd930a,0x3fe6009f,0xb304ffff,0x220003ff,0xacfffffe,0xffff7001,
    0xff95117b,0x2a001bff,0x881befff,0x8003ffc9,0xfd104ff8,0x29ffffff,
    0x0cffffff,0x3ffffff6,0x77fe441b,0xdfd00002,0x01bf6000,0x3ffa6000,
    0xcba9abcf,0x0003fffe,0x001bfa00,0xfffd8800,0xfdceffff,0xc8002fff,
    0x4003fffe,0x01dfffea,0x7ffff930,0x7fdc4001,0xefffffff,0xffffeccc,
    0x7f4c0fff,0x642fffff,0x0dffffff,0x6fffe4c0,0xfe980002,0x3fe3ffff,
    0x20ffffff,0x00006ffd,0xfffb5000,0xdfffffff,0x7ff40017,0xcbabffff,
    0x01ffffec,0x3fffa600,0x26006fff,0xffffffed,0x0002deff,0xffffffd5,
    0x0039dfff,0xd303fec0,0x7c7fffff,0x0fffffff,0x3fae63db,0x4ffffeff,
    0x17dc0000,0x003fa800,0x3ff66000,0xdfffffff,0xa8000002,0x8000002f,
    0xffffffea,0x000bffff,0x00013310,0x700066a2,0xffffffff,0x7fff640f,
    0xffffffff,0xffffffff,0x7d47ffff,0xffffffff,0xffffffd5,0x06003fff,
    0x5dc40000,0x02a80001,0x30000000,0x15799975,0xffff5000,0xffffffff,
    0x001fffff,0x7bddb700,0xcca98000,0x4400001a,0x009abaa9,0x03326000,
    0x00037710,0xcca980d4,0x000001ac,0x0c800091,0x98800000,0x009accba,
    0x02400000,0x2a200000,0x01abcccb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9db50000,0x00000001,
    0x33333333,0x01333333,0x33333300,0x33333333,0x4ccccc43,0x99999999,
    0x33333109,0xcdb98133,0x1a880001,0x33333300,0x33333333,0x99800013,
    0x99999999,0x33333300,0x7c4017cc,0x01cca804,0x2e200091,0x982defed,
    0x99999999,0x00999999,0x99999800,0x26000999,0x99999999,0x00999999,
    0x33333300,0xdeb88133,0x33333303,0x33333333,0x19db5013,0x67654400,
    0x1bba800b,0x4ccc4910,0x99999999,0x99999999,0x20999999,0x99999999,
    0x09999999,0x402e6000,0x999980b9,0x99999999,0x7ffec199,0x000000ef,
    0x7fff6540,0xbdffffff,0xffdc8001,0xffffffff,0xfd950cce,0xffffffff,
    0x3fea599f,0xd15fffff,0x03dfffff,0x3bffee00,0x3fb72200,0xffffffff,
    0xadffffff,0x3fffa000,0x83efffff,0x47ffffe8,0x3fa201ff,0x3fff6202,
    0x01f20bef,0x36bbff20,0xb910efff,0xfffffffd,0xffffffff,0xfd80015b,
    0x02ffffff,0xfffd9910,0x9dffffff,0x3f600039,0x22ffffff,0x45fffff8,
    0xffffecc8,0xccefffff,0x77ffff41,0x77ffd400,0x880cffff,0x42effffd,
    0x3fffea7c,0xffffffff,0xffffffff,0x326fffff,0xfffffffd,0x01cdffff,
    0x85fffd00,0x6642fffd,0xfffffffe,0xf30cceff,0x00bfffff,0x7e400000,
    0x01ffffff,0x3fff2000,0x9805ffff,0xffffffff,0x3ffff600,0xffffe9df,
    0xf0006fff,0x4007ffff,0xfffffffd,0xfffecbaa,0xf7000dff,0x009fffff,
    0xfe819ff5,0xeba9abdf,0x3ff600ff,0xddffffff,0x3fa2006f,0xffff52ff,
    0x3ffff609,0xecbaafff,0x00dfffff,0x3ffffe20,0xffb0002f,0x009fffff,
    0x7fffc400,0x3ffee2ff,0x3f602fff,0x04ffffff,0x3fffffe6,0x47bfee05,
    0xe85ffffa,0xffffffff,0x3fea6fdd,0xeaabceff,0xabffffff,0x6ffffdca,
    0xffffffb0,0xf30000bf,0x7fccbfff,0x3ff206ff,0x905fffff,0x1fffffff,
    0x20000000,0x6ffffff8,0x7fcc0000,0x002fffff,0xdffffffd,0xfffffa80,
    0xffd9adfe,0x54003fff,0x005fffff,0x3fffffe6,0xffffd307,0x3ffa007f,
    0xf9805fff,0xfffff306,0x409fffff,0xfffffff9,0x004fffff,0x5c3ffff6,
    0xf304ffff,0x20ffffff,0x3fffffe9,0x3ffff600,0xff10002f,0x001fffff,
    0xffffd800,0x3ffffa2f,0x3fe206ff,0x200fffff,0xfffffffc,0x42fffc80,
    0x2a3fffff,0xffffffff,0x3ea4ffff,0xfffb01ff,0x3f603fff,0xffff306f,
    0x00001fff,0x5cfffff7,0x100fffff,0x3fffffff,0x3ffffea0,0x000002ff,
    0xfffff100,0x550000bf,0xffffff55,0x5555557f,0xffffb555,0x81555bff,
    0x5ffffffa,0x37ffffc4,0x3fffe200,0x3fe2003f,0x2207ffff,0x06fffffe,
    0x7fffffa8,0x3202fb80,0xffffffff,0x6de7e406,0xffffffff,0xffff5000,
    0x3fffe21f,0xfffff100,0x7ff440ff,0xfb006fff,0x0005ffff,0x3fffffe2,
    0xfd800007,0x3f22ffff,0x207fffff,0x7ffffff8,0x7ffffd40,0x7ffd41ff,
    0x6ffffd87,0x3ffaf3f2,0x20ffffff,0x3f601ffa,0x201fffff,0xfff106fc,
    0x0000ffff,0x893fffe2,0x7c05ffff,0x00ffffff,0x3ffffffe,0x00000002,
    0xbffffff1,0xfffd0000,0xffffffff,0xffffffff,0xffffffff,0xf985ffff,
    0xf80effff,0x8007ffff,0x000ffffc,0x3fffffe2,0x7fffc407,0xfff805ff,
    0x3ec02fff,0x7ffffdc0,0x236400df,0x1efffeb8,0x3fffee00,0x802ee20f,
    0x7ffffff8,0x7ffffc40,0xfffc805f,0x3e0002ff,0x007fffff,0xffffc800,
    0x3fffe62f,0x3fe00fff,0xf807ffff,0x42ffffff,0xfb85fffe,0x31767fff,
    0x83dfffd9,0x7fec03fa,0x7c01ffff,0x3ffffe06,0x2a00007f,0x7f540cfe,
    0x7fffc00c,0x75c407ff,0x0001ffcd,0x3ffe0000,0x80005fff,0xffffaaaa,
    0xaaaabfff,0xffdaaaaa,0xaaadffff,0x7ffffcc0,0xffffff05,0x02f66000,
    0xfffff100,0xfff500ff,0xfc807fff,0x2205ffff,0xdd93004f,0x8066007b,
    0xfc8001a8,0x8000ffff,0x7ffffff8,0xfffffa80,0x7ffe403f,0x3e0002ff,
    0x007fffff,0xffffc800,0x6e764c2f,0x7fffc07f,0xeb8807ff,0x3ea1ffcd,
    0xff884fff,0x8806a4ff,0x801f501a,0x1ffffffd,0xfff035c0,0x0000ffff,
    0xf0008010,0x00ffffff,0x0000ff98,0x3ffe0000,0xceeeffff,0xf8000abc,
    0x00ffffff,0xffffff90,0xffff9807,0xfffff05f,0x0000001f,0xffffff88,
    0xfffff007,0x7fcc03ff,0xf500ffff,0x00000005,0xffd80000,0x88000fff,
    0x07ffffff,0xfffffff0,0x7fffe403,0x3fe0002f,0x0007ffff,0xfffffc80,
    0x2037e402,0x07ffffff,0x360ffa80,0x9304ffff,0x4000017d,0xfffd806a,
    0x34c01fff,0xfffffff0,0x00000000,0x7fffffc0,0x037e4007,0x3e000000,
    0xffffffff,0x2dffffff,0x3ffffe00,0xff9000ff,0x9807ffff,0xd05fffff,
    0x001fffff,0xff880000,0x9007ffff,0x0bffffff,0x3fffffe8,0x00000fb0,
    0xd0000000,0x001fffff,0xffffff10,0x3fff200f,0x3f205fff,0x0002ffff,
    0x1ffffffe,0x3ff20000,0x7fc02fff,0x7ffffc04,0x6fc8007f,0x027ffffc,
    0x14c00000,0x7ffffec0,0x3e03801f,0x447fffff,0x00000005,0xfffffff0,
    0x222fe800,0x09999999,0x0005edcc,0x2ffffffc,0xffffff71,0x3fffe009,
    0xf9000fff,0x807fffff,0x05fffff9,0x01fffffd,0x26666666,0x99999999,
    0xffff1019,0x3ea00fff,0x00ffffff,0x1bffffee,0x266013e2,0x80999999,
    0x99999998,0x00e6dcc0,0x1fffffd0,0xffff1000,0x3ea00fff,0x00ffffff,
    0x05fffff9,0x7ffffc00,0xc800007f,0x202fffff,0x7fc00ff9,0x8007ffff,
    0x7fffc2ff,0x2660005f,0x00999999,0x7fffec00,0x7c0001ff,0x267fffff,
    0x2660007e,0x00999999,0x3fffffe0,0x91be6007,0x7fffffff,0x3fffffe6,
    0x7fffc005,0xfffa85ff,0xff805fff,0x000fffff,0x7ffffff9,0xfffff980,
    0xfffffd05,0x3ffffe01,0xffffffff,0xff106fff,0x400fffff,0x3fffffff,
    0x3ffffe20,0x400fd40f,0xfffffffe,0xfffffa82,0xfffd15ff,0xfd003dff,
    0x0001ffff,0xfffffff1,0x7ffffc00,0xfff903ff,0x7c0005ff,0x007fffff,
    0xffffc800,0x00ff202f,0x1ffffffe,0xf98bf300,0x0007ffff,0x3ffffffa,
    0x7ec0002f,0x001fffff,0x7fffffc0,0x0003df77,0x7ffffff4,0x3ffe002f,
    0xf1007fff,0xffff101d,0xffff77ff,0x4007ffff,0x05ffffff,0x5ffffff7,
    0xffffff80,0xfff9000f,0xf9807fff,0xfd05ffff,0x3e01ffff,0x9999abff,
    0x1ffffffd,0xffffff10,0x7fff400f,0x7f405fff,0x3ec3ffff,0xfffff300,
    0x7ffec05f,0xfffe9dff,0xe806ffff,0x000fffff,0xffffff88,0x3fffa007,
    0xff905fff,0x40005fff,0x07ffffff,0xfffc8000,0x09f502ff,0x3fffffe0,
    0x03be2007,0x1ffffff3,0x7ffcc000,0x40002fff,0x1ffffffd,0x7fffc000,
    0x00dfcfff,0xffff9800,0x3fe002ff,0xa807ffff,0x7ffec05e,0xfa9cfeff,
    0x000fffff,0x0bffffff,0x3fffffe6,0x7ffffc07,0xff9000ff,0x9807ffff,
    0xd05fffff,0x201fffff,0xfff301ff,0x7c409fff,0x007fffff,0x3ffffffa,
    0x7fffdc06,0x0013e26f,0x05fffffb,0x77ffffd4,0xfffd9adf,0x7ff403ff,
    0x88000fff,0x07ffffff,0x3fffffa0,0xffff906f,0xf005305f,0x00ffffff,
    0xffff9000,0x007f705f,0x3ffffffc,0xf105fa80,0x003fffff,0xfffffd80,
    0x7fec0002,0x0001ffff,0x7ffffffc,0x6c00004f,0x002fffff,0x1ffffffe,
    0xf9005bb0,0xb87fffff,0x003fffff,0x0bffffff,0x7ffffffc,0x3ffffe01,
    0xff9000ff,0x9807ffff,0xd05fffff,0x201fffff,0x3fffa03f,0x4ccc0fff,
    0xfffffff9,0x40999999,0x7ffffffd,0x7ffffc40,0x8003f71f,0x02fffffd,
    0x3fffffea,0x7ffffc45,0x7ffff406,0x3333000f,0x3fffffff,0xd8133333,
    0x07ffffff,0x85fffff9,0x3e00effe,0x207fffff,0x32003efc,0x222fffff,
    0x7fc001ce,0xd807ffff,0x7fffc02d,0x6c0003ff,0x802fffff,0xeaaaaaa8,
    0xabffffff,0xf002aaaa,0x05ffffff,0xfffb0000,0x7fc005ff,0x0c07ffff,
    0xfffff900,0xfffff30b,0x3fffe00b,0x3ffa05ff,0x3e02ffff,0xffffffff,
    0xffffffff,0x3fffffff,0x7ffffcc0,0xfffffd05,0x7dc03e01,0x4c3fffff,
    0xffffffff,0xffffffff,0x7fffe42f,0x7ec00fff,0x0fb4ffff,0xfffff900,
    0x7fffcc05,0xffff80ef,0x7fff407f,0xff9800ff,0xffffffff,0x2fffffff,
    0x7fffffe4,0xffffc80f,0x3fffea2f,0x3ffffe04,0xffff707f,0x3fff2003,
    0x000222ff,0x3ffffffc,0xffe800c0,0x40007fff,0x02fffffc,0xffffffa8,
    0xffffffff,0x006fffff,0x0fffffff,0x3ff20000,0x3e002fff,0x007fffff,
    0x3ffff200,0xffff983f,0xffff005f,0x7fec0bff,0x3e02ffff,0xffffffff,
    0xffffffff,0x3fffffff,0x7ffffcc0,0xfffffd05,0x7fc40e01,0xa886ffff,
    0xfffffbaa,0xaaaaaaff,0x7ffffe40,0x7fd401ff,0x04f8ffff,0xfffffc80,
    0x3fffe602,0xfffff05f,0xffffe80f,0xaaa8800f,0xfffffffb,0x40aaaaaa,
    0xfffffffc,0xfffffc81,0x1bffff22,0x7ffffff8,0x09ffffd0,0x3fffff20,
    0xfff00002,0x0000ffff,0x7fffffdc,0x3ff20003,0xa8802fff,0xffeaaaaa,
    0xaaabffff,0xfff002aa,0x0000ffff,0x3fffff20,0x3fffe002,0x200007ff,
    0x83fffffc,0x05fffff9,0xbffffff0,0x7fffff40,0x3fffe00f,0xf9000fff,
    0x807fffff,0x05fffff9,0x01fffffd,0xfffffc80,0xfff8801f,0x32007fff,
    0x0fffffff,0xf7555555,0x9fdfffff,0x40555555,0x02fffffc,0x17ffffe6,
    0x07fffffc,0x1fffffd0,0xffff1000,0x7e400fff,0x80ffffff,0x22fffffc,
    0x203ffff9,0x07ffffff,0x005ffff9,0x0bfffff2,0x7fffc000,0x200007ff,
    0xfffffff8,0x3205b101,0x002fffff,0x7ffffec0,0x7fc0001f,0x0007ffff,
    0xfffff900,0x7fffc005,0x200007ff,0x83fffffc,0x06fffff9,0xbffffff0,
    0x3ffffe20,0x7fffc06f,0xf9000fff,0x807fffff,0x05fffffa,0x01ffffff,
    0x7ffffcc0,0xfff1004f,0x6c00ffff,0x26ffffff,0xffffffff,0xffffffff,
    0x00ffffff,0x05fffff9,0x2fffffcc,0x0fffffe8,0x3fffffa0,0xfff88000,
    0x36007fff,0x06ffffff,0x85fffff9,0x3e00cffb,0x307fffff,0x6400dfff,
    0x002fffff,0xffffff00,0xfb80000f,0x1cffffff,0xffc81ba6,0x40002fff,
    0x1ffffffd,0x3ffea000,0x00007fff,0x5fffff90,0x7ffffc00,0x3200007f,
    0x983fffff,0x006fffff,0x0bffffff,0x3fffffe6,0x7ffffc04,0xff9000ff,
    0xa807ffff,0xf06fffff,0x003fffff,0x7ffffff4,0xffff1000,0x7f400fff,
    0x2a5fffff,0xfbaaaaaa,0xaacfffff,0x3202aaaa,0x202fffff,0x05fffff9,
    0x01fffffd,0x07fffff4,0x7fffc400,0x3fa007ff,0x905fffff,0x205fffff,
    0xfffff800,0x000d407f,0x0bfffff2,0x7fffc000,0x800007ff,0xfffffffe,
    0x200fffef,0x02fffffc,0x7fffec00,0xf90001ff,0x0fffffff,0x3ff20000,
    0x3e002fff,0x007fffff,0x3ffff200,0xffff983f,0xffff006f,0x3ff20bff,
    0x7c01ffff,0x00ffffff,0xffffff90,0x7fff4c07,0x3f222fff,0x00dfffff,
    0xffffffb8,0x3ffe2003,0x3e007fff,0x04ffffff,0x3fffffe0,0xfff90001,
    0x7fcc05ff,0xffd05fff,0x7f401fff,0x8000ffff,0x7ffffff8,0x3ffffe00,
    0xfff904ff,0x7c0005ff,0x007fffff,0x7ffe4040,0xf00002ff,0x00ffffff,
    0xfffb0080,0x1dffffff,0xfffffc80,0x7fec0002,0x4001ffff,0xffffdfd8,
    0x040007ff,0x2fffffc8,0x3ffffe00,0x3200007f,0x983fffff,0x006fffff,
    0x0bffffff,0x5ffffff7,0xffffff00,0x3ff2001f,0xf503ffff,0xffffffff,
    0x3fffffab,0x2201ffff,0x06ffffff,0x7ffffc40,0x3ffe007f,0x2002ffff,
    0x01ffffff,0xfffff900,0x7fffcc05,0xffffd05f,0x7fff401f,0xf88000ff,
    0x007fffff,0x3ffffffe,0xfffff902,0x7ffc0005,0x20007fff,0xffffc869,
    0xff00002f,0x000fffff,0xfff7034c,0x0017bfff,0x05fffff9,0xffffd800,
    0x7f4001ff,0xfffffff3,0xc8344000,0x002fffff,0x1ffffffe,0xfffc8000,
    0xfff983ff,0xfff006ff,0xb755dfff,0x05dfffff,0x3fffffe0,0xfff9000f,
    0x00007fff,0x7fe40000,0x4001ffff,0x7ffffff8,0xfffff100,0x7fc001ff,
    0x0001ffff,0x05fffff9,0x2fffffcc,0x0fffffe8,0x3fffffa0,0xfff88000,
    0xf1007fff,0x01ffffff,0x0bfffff2,0xfffff800,0x1720007f,0x0bfffff2,
    0x7fffc000,0x320007ff,0x0bfc8805,0x7fffe400,0x7ec0002f,0x001fffff,
    0xffff87e2,0x2e0007ff,0xfffff905,0x7fffc005,0x200007ff,0x83fffffc,
    0x06fffff9,0xfffffff0,0xbfffffff,0xffff8007,0xf9000fff,0x007fffff,
    0x006f7a20,0xfffff300,0xff10009f,0x200fffff,0x3ffffffb,0x77777774,
    0xeffffffe,0x0eeeeeee,0x5fffff90,0x7ffffcc0,0xfffffd05,0x7ffff401,
    0xff88000f,0x7007ffff,0x07ffffff,0x17ffffe4,0xfffff000,0x274000ff,
    0x17ffffe4,0xffff8000,0x3a0007ff,0x003fd004,0x5fffff90,0xfffd8000,
    0x04001fff,0x1ffffffe,0xf904e800,0x4005ffff,0x07ffffff,0x3fff2000,
    0xfff983ff,0xfff006ff,0x3355dfff,0x7fc00013,0x000fffff,0x7ffffff9,
    0x3ffe6000,0x3fa0004f,0x100fffff,0x3fffe209,0xfff007ff,0xddd0dfff,
    0xfffddddd,0xdddddfff,0x3f201ddd,0x2602ffff,0xd05fffff,0x401fffff,
    0x00fffffe,0xfffff880,0xffff007f,0xffc80dff,0x20002fff,0x07ffffff,
    0xf907f500,0x0005ffff,0x3fffffe0,0x07f50007,0x009fff70,0x2fffffc8,
    0x7ffec000,0x40001fff,0x07ffffff,0x3207f300,0x002fffff,0x1ffffffe,
    0xfffc8000,0xfff983ff,0xfff006ff,0x0000bfff,0xfffffff0,0x3fff2001,
    0x10003fff,0x000ffff9,0x3fffffee,0x7c40f203,0x807fffff,0x1ffffffb,
    0xfffff800,0xff90001f,0x7cc05fff,0xfd05ffff,0x7401ffff,0x000fffff,
    0xffffff88,0xffffb807,0x7fe401ff,0x20002fff,0x07ffffff,0xf907fd00,
    0x0005ffff,0x3fffffe0,0x07fd0007,0x01ffff90,0x7ffffe40,0x7fec0002,
    0x0001ffff,0x3ffffffc,0x902fe800,0x005fffff,0x3ffffffc,0xfff90000,
    0xfff307ff,0x3fe00dff,0x0005ffff,0xffffff80,0xfff9000f,0x80007fff,
    0x4002fffa,0x6ffffff8,0x7c40fe20,0x807fffff,0x03fffffe,0xfffff880,
    0xff90002f,0x7cc05fff,0xfd05ffff,0x7401ffff,0x000fffff,0xffffff88,
    0xffffe807,0xfffc803f,0x3e0002ff,0x007fffff,0xfc82ffc8,0x0002ffff,
    0xfffffff0,0x05ff9000,0x00bffea0,0x2fffffc8,0x7fff4000,0x40001fff,
    0x07ffffff,0x901ffc80,0x005fffff,0x3ffffffc,0xfff90000,0xfff307ff,
    0xff100dff,0x000bffff,0xffffff00,0x3ff2001f,0x0003ffff,0x0007ffdc,
    0x3ffffff2,0x440bf601,0x07ffffff,0x3fffff62,0xfff10002,0x20005fff,
    0x02fffffd,0x17ffffea,0x07fffffc,0x1ffffff0,0xffff1000,0x7ec40fff,
    0xb002ffff,0x007fffff,0x3ffffe20,0x3f6000ff,0xfffd81ff,0x880002ff,
    0x0fffffff,0x07fff600,0x007ffdc0,0x5fffffb0,0xfffe8000,0x20002fff,
    0xfffffff8,0x3ffee000,0xfffffb01,0x7fffc005,0x00000fff,0x09fffffb,
    0x0ffffff5,0xffffff30,0xf880000d,0x01ffffff,0xffffffb0,0x7fcc000b,
    0x7fcc004f,0xb304ffff,0x3fe603ff,0x981fffff,0x00effffe,0x3fffea00,
    0xfd0004ff,0x5407ffff,0xf06fffff,0x403fffff,0x01ffffff,0xfffff980,
    0xffe981ff,0x36000eff,0x003fffff,0xffffff30,0xfda8807f,0xffe80fff,
    0x80003fff,0xfffffff9,0x7fed4403,0xfe8800ff,0x7ff4004f,0x40003fff,
    0x3fffffff,0x3ffe6000,0x9803ffff,0xd00ffffe,0x007fffff,0x3fffffe6,
    0xfa80001f,0x21efffff,0xffffffe9,0x3fffa603,0x000cffff,0xffffd880,
    0x2201efff,0xfffffffb,0x3f6000bf,0xe8003eff,0xabffffff,0xffffeccb,
    0xffffe981,0xfecdffff,0x002cffff,0x7ffffd40,0x2000afff,0xeffffffa,
    0xffffe981,0x3ff222ff,0xb80dffff,0x05ffffff,0x7ffff4c0,0xfecdffff,
    0x002cffff,0x7fffffd4,0x7f4c001e,0xefffffff,0xffedcccc,0xfa87ffff,
    0x01efffff,0x3fffa600,0xccefffff,0xffffedcc,0x7f6c07ff,0x7d4003ef,
    0x01efffff,0xffffc880,0x8001ffff,0xffffffe8,0xcccccdff,0x7ffffffe,
    0xffffff50,0xffe8803d,0x01efffff,0x3ffff600,0xf8afffff,0xffffffff,
    0x3ffffa27,0xffffffff,0xffe8003e,0xffffffff,0xfd71efff,0xffffffff,
    0x5007dfff,0x2a000133,0xffffffff,0xffffffff,0xffffd30f,0xffffffff,
    0x0039dfff,0xffffec80,0xffffffff,0x3ffe203e,0x5fffffff,0x3fffffea,
    0xfffd5fff,0x23ffffff,0xfffffffd,0xd300efff,0xffffffff,0xdfffffff,
    0x3fe00039,0xffffffff,0x7fff4405,0xffffffff,0xffffffff,0x227fffff,
    0xffffffff,0x3a2005ff,0xffffffff,0xffffffff,0xffffffff,0x004ccc07,
    0x3ffffe20,0x005fffff,0xffffffdb,0x5dffffff,0x7ffff440,0xffffffff,
    0xffffffff,0x7c46ffff,0xffffffff,0x7fff445f,0xffffffff,0x00000eff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99998000,0x99999999,0x26660099,
    0x99999999,0x26666620,0x99999999,0x99998000,0x99999999,0x99999999,
    0x26609999,0x99999999,0x00099999,0xefecb800,0x999980be,0x99999999,
    0x00099999,0x4ccccccc,0x00019999,0x99999998,0x26619999,0x99999999,
    0x19999999,0x99998000,0x99999999,0x99999999,0x99809999,0x40999999,
    0x99999998,0x33100000,0x33333333,0x00033333,0x017d9300,0x33333331,
    0x99880001,0x99999999,0x4c400999,0x09999999,0x00398000,0x33333300,
    0x33333333,0x4ccccc43,0x99999999,0x76dcc009,0x36a000bd,0xfffd9902,
    0xbdffffff,0x7ff66405,0x21dfffff,0xfffffedb,0xffffffff,0x66400cef,
    0xfffffffe,0xffffffff,0x15ffffff,0xfffffd99,0x399dffff,0x7fd40000,
    0x0ffffcaf,0x7ffff6e4,0xffffffff,0x00bdffff,0x7ffff664,0x001fffff,
    0x3ffffe60,0x14ceffff,0xfffffdb9,0xffffffff,0x005bdfff,0xfffffb90,
    0xffffffff,0xffffffff,0xffffb05f,0xffa85fff,0x005fffff,0xfffb9300,
    0xffffffff,0x159fffff,0x3ffe6000,0xfffe986f,0x40005fff,0xffffffea,
    0x01cdffff,0x7ffffecc,0xd80001ef,0xd9900006,0xffffffff,0x32a19bdf,
    0xfffffffd,0x102cdfff,0xfffffffb,0x7ffcc01d,0x7ffdc06f,0x4005ffff,
    0x02fffff8,0xffffffb8,0xfffecbaf,0xfb801dff,0xabffffff,0xffdcaaaa,
    0xffb05fff,0x009fffff,0x3fff2000,0x09ffff13,0x7fffffe4,0xfffdbaae,
    0x9001ffff,0xffffffff,0x7fec0009,0x03ffffff,0xffffffd8,0xfecba99e,
    0x002fffff,0xffffff90,0x9555555f,0x05fffffd,0x3fffffe2,0xfffffb02,
    0xd100000b,0x5dffffff,0xffffdb75,0xfc80019f,0xfb02ffff,0x000bffff,
    0x3ffffe60,0x90004fff,0x00003fff,0x0000bfe2,0xffffff90,0xfff300bf,
    0x803fffff,0xfffffff9,0xfb00efff,0xf805ffff,0x01ffffff,0x00effe80,
    0x3fffffe0,0xfffffb87,0xffff802f,0xfa800fff,0xfff105ff,0x0001ffff,
    0x5ffff500,0x81bfffe6,0x6ffffff8,0xfffffe88,0xfff8803f,0x00ffffff,
    0xfffef880,0xf3007fff,0x40bfffff,0x3ffffffb,0xffff8800,0xfea807ff,
    0x3ff602ff,0xff702fff,0x0000bfff,0x3ffffea0,0xffff505f,0x7f4005ff,
    0xf504ffff,0x000bffff,0x7ffffd40,0xf50005ff,0x6400003f,0x400006ff,
    0xfffffff8,0xffffb001,0xfe8809ff,0xffffffff,0x7fc40eff,0x7c05ffff,
    0x01ffffff,0x0027fd40,0x3ffffff4,0xffffffc8,0x7ffffc01,0xfd1000ff,
    0x3fffe20b,0x800007ff,0x22fffff8,0x7c02ffff,0x106fffff,0x7ffffffb,
    0xfffd9f00,0x70007fff,0xffffff7f,0x3ffe200d,0x7dc05fff,0x002fffff,
    0x7ffffff8,0x80bff200,0x02fffffd,0x0bfffff5,0x3fea0000,0x2205ffff,
    0x04fffffe,0x3fffff70,0x3ffffea0,0x7ec00005,0x01ffffff,0x0003fc80,
    0x07fffe20,0xffff0000,0x32001fff,0x03ffffff,0x7ffffff4,0x5fffffff,
    0x4fffffe8,0x7fffff40,0x3fea000f,0xfffd0003,0x3fe20fff,0x7406ffff,
    0x00ffffff,0xff817e60,0x0007ffff,0xfffff980,0x2002ee22,0x06ffffff,
    0x3fffffe6,0xffbcf805,0x8006ffff,0xfffff9ee,0xfff1006f,0xfd00bfff,
    0x000dffff,0x0fffffff,0x3202fd80,0x502fffff,0x00bfffff,0x3ffe6000,
    0x7cc05fff,0x803fffff,0x205fffe8,0x05fffff9,0x7ffc4000,0x4005ffff,
    0x400006f8,0x005ffffb,0x7ffffc00,0xff9000ff,0x4c07ffff,0xfca9bdff,
    0x87ffffff,0x01fffffb,0x7ffffff4,0x03ff7000,0x7ffff400,0x3fff607f,
    0x3fa01fff,0x000fffff,0xffff02ec,0x00000fff,0x05fffff7,0x7ffffc00,
    0x7fffc06f,0x67c00fff,0xfffffff8,0x26fea002,0x06ffffff,0xffffff10,
    0xffff900b,0xff8005ff,0x4007ffff,0x3ff202f9,0xff502fff,0x0000bfff,
    0x3ffffe60,0xfffc805f,0x95002fff,0xffff9803,0xb800005f,0x1fffffff,
    0x0007f600,0xfffffd00,0x7fc00001,0x000fffff,0x7ffffff9,0xfa80fec0,
    0x42ffffff,0x803effc8,0x0ffffffe,0x000efd80,0x7fffff40,0x3ffff207,
    0x3ffa03ff,0x4000ffff,0x3fffe05b,0x800007ff,0x02fffffc,0x3ffffe00,
    0x7ffec06f,0xa7c02fff,0x5ffffffc,0x7fcdf600,0x1006ffff,0x0bffffff,
    0xffffff70,0xffff8009,0x7c0e07ff,0x3ffff202,0xffff502f,0x200000bf,
    0x5ffffff9,0xfffff880,0x200000ff,0x05fffff9,0xfffd0000,0x2600bfff,
    0x5400005f,0x04ffffff,0x3fffe000,0xf9000fff,0x207fffff,0x7fdc01f8,
    0x0603ffff,0xfffffe80,0x13fa200f,0x7fff4000,0x3fee07ff,0x3a04ffff,
    0x00ffffff,0x7c0b3032,0x007fffff,0xffffc800,0x3fe0002f,0x6c06ffff,
    0x03ffffff,0xffff9a7c,0xf8800fff,0xffffff34,0x3ffe200d,0xfa805fff,
    0x005fffff,0x3ffffffc,0x405901f0,0x02fffffc,0x0bfffff5,0x3fe60000,
    0xd005ffff,0x07ffffff,0x7ffcc000,0x000005ff,0xfffffff5,0x001fd003,
    0xffffe800,0x00000fff,0x1fffffff,0x3ffff200,0x003103ff,0x0ffffffe,
    0x7fff4000,0xff300fff,0x7f400007,0x3207ffff,0x03ffffff,0x3ffffffa,
    0x80203e00,0x07ffffff,0xfb331000,0x1337ffff,0xfffff800,0x7fffc06f,
    0x27c02fff,0x9ffffffb,0x3e61f900,0x006fffff,0xbffffff1,0xfffff700,
    0xfff8009f,0x1f107fff,0x7fe40130,0xff502fff,0x3310bfff,0x00333333,
    0xbffffff3,0x3fffee00,0x999986ff,0xf3009999,0xb98bffff,0x3a0001bd,
    0x06ffffff,0x00001fd4,0x3fffffe6,0xf00003ff,0x01ffffff,0x3fffff20,
    0xfd80003f,0x0001ffff,0xffffffd0,0x003ff701,0xffffe800,0x3fff607f,
    0x3fa02fff,0x500fffff,0xfff8001f,0x00007fff,0xfffffff9,0x8005ffff,
    0x06ffffff,0x3fffffe6,0x3ea4f806,0x807fffff,0x3fffe65f,0xff1006ff,
    0xb00bffff,0x07ffffff,0xffffff80,0x0001f507,0x05fffff9,0x17ffffea,
    0x3fffffee,0x7fcc00ef,0x1005ffff,0x3fffffff,0xffffffe8,0xffff302f,
    0x3fffa2bf,0x98000eff,0x2fffffff,0x0000df10,0xffff7fb0,0x20000dff,
    0x0fffffff,0xfffff900,0xf900007f,0x0001ffff,0x3fffffa0,0x0077e40f,
    0x7fff4000,0x3ffa07ff,0x3a00ffff,0x00ffffff,0xff8001f9,0x0007ffff,
    0xffffff90,0x005fffff,0x6ffffff8,0x3fffff60,0x744f801f,0x03ffffff,
    0xfff98bea,0xf1006fff,0x00bfffff,0x3fffffff,0xfffff800,0x001fd07f,
    0x5fffff90,0x3ffffea0,0x33fff605,0xffff3000,0x7fc00bff,0x984fffff,
    0x02ffffff,0x3bfffff3,0xfffffffd,0x3ff6000b,0xf906ffff,0xf8800003,
    0xffffff8c,0xff80002f,0x000fffff,0x7ffffff9,0xfffb0000,0x740000bf,
    0x10ffffff,0x0000dffd,0x3fffffa0,0xfffff507,0xfffe807f,0xffa80fff,
    0x7fffc000,0x800007ff,0x02fffffc,0x3ffffe00,0xfffd886f,0x9f001eff,
    0xffffffb8,0xff31ba06,0x200dffff,0x5ffffff8,0x7ffffcc0,0xfff8004f,
    0xffa87fff,0xfffc8000,0xfff502ff,0x7fe40bff,0x7ffcc002,0x3e005fff,
    0x05ffffff,0x05fffffb,0x3fffffe6,0xfffd9adf,0xf98003ff,0x43ffffff,
    0x800005f9,0xffff90fc,0xf0000bff,0x01ffffff,0x3fffff20,0xfe80003f,
    0x00001fff,0x3ffffffa,0x5fffff98,0xffe80000,0xfe887fff,0xe805ffff,
    0x40ffffff,0x4000fffb,0x07ffffff,0xfffc8000,0x3e0002ff,0x99efffff,
    0xeffffec9,0x2227c003,0x1fffffff,0x7fcc3f98,0x1006ffff,0x0bffffff,
    0x7fffffcc,0xffff0006,0xfffb8fff,0xfffc8000,0xfff502ff,0x3fa20bff,
    0xfff98002,0x3a005fff,0x06ffffff,0x05fffffb,0x3fffffe6,0x7ffffc46,
    0xfff90006,0x7f41ffff,0x7c400000,0x3ffffe25,0x7c0001ff,0x00ffffff,
    0xffffff90,0xfff00007,0xe80000bf,0xfcffffff,0x03ffffff,0x7fff4000,
    0x3fea27ff,0xd004ffff,0x99ffffff,0x01fffffd,0xffffff80,0xfc800007,
    0x0002ffff,0x3ffffffe,0xffffffff,0x909f0003,0x0bffffff,0xfff981f9,
    0xf1006fff,0x30bfffff,0x9ffffff7,0x3ffe0001,0xffedffff,0xc8000fff,
    0x502fffff,0x20bfffff,0xf30001fd,0x00bfffff,0x7ffffff4,0xfffff907,
    0x3fffe605,0xffff80ef,0xff10007f,0x2a7fffff,0xb800003f,0x7fffec1f,
    0x7c0004ff,0xffffffff,0xffffffff,0x3fffffff,0x7ffd4000,0x00ddc00f,
    0xffffffe8,0xffffffff,0x3a00001f,0xffffffff,0x1cffffff,0x3ffffa00,
    0xffffffff,0x7fc000ff,0x0007ffff,0xfffffc80,0x3ffe0002,0xedccffff,
    0x1dffffff,0x3e613e00,0x20ffffff,0xfff984f8,0xf1006fff,0xfdffffff,
    0xffffffff,0xff800019,0xffffffff,0x8000ffff,0x02fffffc,0x0bfffff5,
    0x4c0003fb,0x05ffffff,0x3fffff60,0xffff907f,0x3ffe605f,0xffff05ff,
    0x7e4000ff,0xf9ffffff,0xdd000006,0xffffff50,0x7fc0001f,0xffffffff,
    0xffffffff,0x03ffffff,0x1fffec00,0x0bffff70,0xffffffd0,0xffffff7b,
    0x200001ff,0xeffffffe,0x009acccc,0xfffffe80,0xfffb988f,0x7ffc000f,
    0x00007fff,0x2fffffc8,0x3fffe000,0xffd886ff,0x800dffff,0xffffb04f,
    0x40fdc9ff,0x6ffffff9,0xfffff100,0xffffb9df,0x00007fff,0x5ffffffe,
    0x00fffda9,0xfffffc80,0xfffff502,0x0001fd8b,0x7fffffcc,0x3fff6005,
    0xff906fff,0x3e605fff,0xfd05ffff,0x0001ffff,0x3fffffe2,0x00002fff,
    0xffd02fa8,0x0007ffff,0x7ffffffc,0xffff9000,0x440007ff,0x3e205fff,
    0x403fffff,0x0ffffffe,0xfffffff9,0x3fa0000d,0x0007ffff,0xfffffe80,
    0x07fec40f,0x3ffffe00,0xc800007f,0x002fffff,0x3fffffe0,0x3ffff606,
    0x27c00fff,0xffffffa8,0x7fcc1ba7,0x1006ffff,0x4bffffff,0xfffffffd,
    0xfff80001,0xffe87fff,0xfffc8000,0xfff502ff,0x1ffecbff,0x3ffe6000,
    0x3a005fff,0x05ffffff,0x05fffff9,0x17ffffe6,0x07fffff4,0xffff7000,
    0x0000bfff,0xffb81fa0,0x0007ffff,0x3ffffffe,0xffff9000,0x6c0007ff,
    0x7fdc06ff,0x200fffff,0x0ffffffe,0x3ffffffa,0xfe80004f,0x0007ffff,
    0xfffffe80,0x00ff880f,0x7fffffc0,0xfc800007,0x0002ffff,0x1bfffffe,
    0xffffffb0,0x3a04f80d,0x9affffff,0xffff302f,0x3e200dff,0x225fffff,
    0x6fffffff,0xffff8000,0x0fe887ff,0xffffc800,0xffff502f,0x3ffff6bf,
    0x3fe60001,0x2005ffff,0x4fffffff,0x5fffff90,0x3ffffe60,0xfffffd05,
    0xffe80001,0x0003ffff,0x2203f980,0x2fffffff,0xfffff000,0x3f2001ff,
    0x003fffff,0x801dff50,0xfffffffb,0x3ffffa01,0x3ffe20ff,0x003fffff,
    0x7fffff40,0xfe800007,0x500fffff,0xfff8001f,0x40007fff,0xfffffc80,
    0x3ffe0002,0x7d406fff,0x03ffffff,0xfffb813e,0x207cefff,0x6ffffff9,
    0xfffff100,0xffffa8bf,0x40004fff,0x07ffffff,0xf90001f9,0x2a05ffff,
    0xfddfffff,0x0006ffff,0x3fffffe6,0xffff1005,0x3f205fff,0xf302ffff,
    0x3a0bffff,0x000fffff,0x7ffffe40,0xd800003f,0x7ffe400f,0xf0006fff,
    0x01ffffff,0x3fffff20,0xff88003f,0xfff8801f,0x3a02ffff,0x40ffffff,
    0xfffffff9,0x3fa0001f,0x0007ffff,0xfffffe80,0x001f100f,0x7ffffff8,
    0x321a6000,0x002fffff,0x3fffffe0,0x7fffc406,0x13e04fff,0xffffff88,
    0x3fe604ff,0x1006ffff,0x0bffffff,0xfffffff9,0x7ffc0005,0x1f507fff,
    0x7fe40c40,0xff502fff,0xffffffff,0x20009fff,0x5ffffff9,0xfffff300,
    0x3ff203ff,0xff302fff,0x3fa0bfff,0x0000ffff,0x7fffffe4,0x7c400003,
    0xffffffff,0xffffffff,0xfff8001f,0x9000ffff,0x07ffffff,0x003ffb00,
    0x7ff7ff54,0x3ffffa02,0xfffb80ff,0x000fffff,0xffffffd0,0xffd00000,
    0x7c01ffff,0x7fffc000,0x320007ff,0xfffffc85,0x3ffe0002,0xfe806fff,
    0x206fffff,0x7ffe404f,0x2600ffff,0x06ffffff,0xffffff10,0x3ffffa0b,
    0xf0000fff,0x20ffffff,0x20b200f8,0x02fffffc,0x3ffffff5,0x3ffffff7,
    0xffff3000,0x3ea00bff,0x206fffff,0x02fffffc,0x0bfffff3,0x03fffffa,
    0xffff9000,0x800007ff,0xccccccfc,0xfffecccc,0xf8005fff,0x00ffffff,
    0xffffff90,0x1ffb8007,0xff318280,0x7ffff403,0xfffb00ff,0x000dffff,
    0x1ffffffa,0x3ffa0000,0x3200ffff,0x7fffc000,0x3a0007ff,0xfffffc84,
    0x3ffe0002,0xfd806fff,0x206fffff,0x7ffc404f,0x7cc05fff,0x006fffff,
    0xbffffff1,0x3ffffe60,0xff0005ff,0x640fffff,0xf903f100,0x2a05ffff,
    0x365fffff,0x006fffff,0xffffff98,0xffffb005,0x7fe403ff,0xff302fff,
    0x3fa0bfff,0x0000ffff,0x7fffffe4,0x3e200003,0x3ffe6005,0x4000ffff,
    0x0fffffff,0xfffff900,0x7fcc007f,0x2e05a802,0x7fff407f,0x3fa00fff,
    0x04ffffff,0xfffffe80,0xfe800007,0x000fffff,0x7ffffc00,0x7f50007f,
    0x5fffff90,0x7fffc000,0xfff806ff,0x3e04ffff,0xffffd804,0x7ffcc01f,
    0xf1006fff,0x40bfffff,0xfffffffb,0xffff8003,0xf70007ff,0xfffff901,
    0x3fffea05,0x3fffe25f,0x7cc004ff,0x805fffff,0x5ffffff8,0x7ffffe40,
    0xfffff302,0x3ffffa0b,0x7e40000f,0x003fffff,0x0007ee00,0x9ffffffd,
    0xfffff800,0xff9000ff,0x2007ffff,0xf9802fe8,0xd00ffa04,0x01ffffff,
    0x7fffffc4,0x7f4003ff,0x0007ffff,0xfffffe80,0x7c00000f,0x007fffff,
    0xff907fd0,0x40005fff,0x06ffffff,0x7fffffcc,0x2013e02f,0x806ffffa,
    0x6ffffff9,0xfffff100,0xfffd80bf,0x4001ffff,0x07ffffff,0xf907f880,
    0x2a05ffff,0x545fffff,0x02ffffff,0x3ffffe60,0xfffc805f,0x7e400fff,
    0xf302ffff,0x3a0bffff,0x000fffff,0x7ffffe40,0xf100003f,0xfff5000d,
    0x4001ffff,0x0fffffff,0xfffff900,0x3bf6007f,0xdccccccc,0xff102ffe,
    0xffffe801,0x7fd400ff,0x02ffffff,0x3fffffa0,0xfe800007,0x000fffff,
    0x7ffffc00,0xffc8007f,0xfffffc82,0x3ffe0002,0x7e406fff,0x406fffff,
    0xfffd004f,0xffff3007,0x3e200dff,0x405fffff,0xfffffff8,0x7fffc006,
    0x22000fff,0xfff906fe,0x3fea05ff,0xffd85fff,0x3000ffff,0x0bffffff,
    0xffffff88,0xffffc802,0xffff302f,0x3fffa0bf,0x640000ff,0x03ffffff,
    0x009f9000,0x3fffffe0,0x3ffe004f,0x9000ffff,0x07ffffff,0xffffff90,
    0xffffffff,0x200bf603,0x1fffffff,0xfffffc80,0xfd001fff,0x000fffff,
    0xffffff00,0x4400003f,0x0fffffff,0x07fff600,0x0bfffff6,0x7fffc400,
    0x3fee07ff,0x200effff,0xff7005f8,0xfff3001f,0x2200dfff,0x06ffffff,
    0xffffffa8,0x3ffe004f,0x3000ffff,0x3f60bffd,0xf503ffff,0xf10bffff,
    0x00bfffff,0x3fffffea,0x3fffa205,0xffb001ef,0x3ea05fff,0xff05ffff,
    0x0003ffff,0xffffffc8,0xff880003,0xfff90002,0x2001ffff,0x0fffffff,
    0xfffff900,0xfffa807f,0xffffffff,0xfd887fff,0xffff8801,0xf9802fff,
    0xffffffff,0xfffff801,0x200000ff,0xfffffff8,0x3e600002,0x03ffffff,
    0x7fffed44,0xfffffd80,0xfff30003,0xc885ffff,0x1dffffff,0x400ffdc0,
    0xf5004ff8,0x00ffffff,0x3fffffea,0xffffb007,0xf3005fff,0x09ffffff,
    0x4ffffd98,0x7fffffb0,0x3ffffee0,0xfffff706,0xfff7007f,0xf501ffff,
    0x001bffff,0x1ffffff4,0x6fffffa8,0x3ffffff0,0xfffd8000,0x80004fff,
    0x50004ffd,0xbfffffff,0xfffff100,0x3f6003ff,0x205fffff,0xfffffff9,
    0xffffffff,0x40067d46,0xffffffd8,0x7fdc01ff,0xffffffff,0xfffd881b,
    0x000effff,0xffffd880,0x0001ffff,0xfffffe98,0xccccefff,0xffffffed,
    0xfffff987,0x74c000ef,0xffffffff,0xffffffde,0xffb801df,0x7e400aef,
    0xffff9801,0x200dffff,0xfffffff9,0x7f4400df,0x0bffffff,0xfffffd10,
    0xb99bdfff,0xfffffffd,0xfffff507,0xffe983df,0xf982ffff,0x03ffffff,
    0x3fffffea,0xffecdfff,0x4001ceff,0xeffffffa,0x7ffff4c1,0x7ffe43ff,
    0x8000dfff,0xffffffb8,0xd50002ff,0x8003ffff,0xffffffc8,0xfd100cff,
    0x3dffffff,0x7fffdc40,0xf883ffff,0xffffffff,0x4fffffff,0x7ff4005c,
    0xffffffff,0x7fcc4fff,0xffffffff,0xffb6ffff,0xffffffff,0xd000dfff,
    0xffffffff,0x03dfffff,0x7ffff440,0xffffffff,0xffffffff,0x3ee7ffff,
    0xffffffff,0x7ff401ef,0xffffffff,0xccefffff,0x7ff4401a,0x06ffffff,
    0xffe98162,0xffffffff,0xffd15eff,0xffffffff,0x7cc09fff,0xffffffff,
    0xfffffd11,0xffffffff,0xffffffff,0xfff85fff,0x5fffffff,0xfffffff7,
    0x7ffd4dff,0x27ffffff,0xffffffea,0xffffffff,0x88001bee,0xffffffff,
    0xffff55ff,0x3abfffff,0xffffffff,0xfee9801f,0xffffffff,0x800eefff,
    0xfffffffc,0x3ff200ef,0xffffffff,0x3ffa2fff,0xffffffff,0xfd71efff,
    0xffffffff,0x3f67dfff,0xffffffff,0x3fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7cc00000,0x9999804f,0x99999999,0x99999999,
    0xd5000099,0x26666205,0x99999999,0x99999999,0x26099999,0x99999999,
    0x98099999,0x99999999,0x00660009,0x00000000,0x00000000,0x0000cc00,
    0xccccb800,0xcccccccc,0xcccccccc,0x0000000c,0x00002a98,0x0006aa20,
    0x02600000,0x00000000,0x00000000,0x5cc40040,0x10000bcd,0x00179d95,
    0xda800000,0xff100002,0xfff9809f,0xffffffff,0xffffffff,0x5c003fff,
    0xff502ffe,0xffffffff,0xffffffff,0xdfffffff,0x7fffffec,0x1cdfffff,
    0xfffffdc8,0xd1003dff,0x3fffa007,0xffffffff,0x7fffc07f,0xffffffff,
    0xfff9006f,0xffffffff,0xd10003ff,0xffff8807,0xffffffff,0x00002c5f,
    0xffffd8dc,0xffffffff,0x1ffb0007,0x3e600000,0x0000004f,0x0017ff40,
    0x89ed4000,0x000000be,0x79b97300,0x2a02f883,0x4ffedfff,0x3bffea00,
    0x980cffff,0x16c0000e,0x01bfffe6,0x13fff600,0xbfffff30,0x95555557,
    0xdfffffff,0x3ffee200,0xfff502ff,0xfd5579bf,0x557fffff,0x8dfffd99,
    0xffffffe8,0xff3005ff,0xfb0009ff,0x3fffa007,0xffffffff,0x7fffc07f,
    0xffffffff,0xfff9006f,0xffffffff,0xf90003ff,0xffff8807,0xffffffff,
    0x00002c5f,0xffffd8dc,0xffffffff,0x1ffb0007,0x3e600000,0x3100004f,
    0x20179bb7,0x001ffffb,0xffeb8800,0x039fff13,0x3ea00000,0xcfffefff,
    0x3f206e88,0x37ffa1ef,0x8f7fdc00,0x4c5ffffa,0x3b6a0eff,0x7ec2deff,
    0x3ffff22f,0x3ee0002f,0x7d404fff,0xfd800cff,0x01ffffff,0x7ffffe44,
    0xdff502ff,0x3ffff603,0xffd881ff,0xffffe886,0x3a004fff,0xfa8003ff,
    0xfffd003f,0xffffffff,0xffff80ff,0xffffffff,0xfff9006f,0xffffffff,
    0xfa8003ff,0x7ffc403f,0xffffffff,0x0002c5ff,0xfffd8dc0,0xffffffff,
    0xffb0007f,0x26000001,0xb80004ff,0xfffeffff,0x7fffd40c,0x32600001,
    0xf13fffff,0x005dffff,0x7ffdc000,0x3bfffa65,0x5fffb00e,0x204fffa8,
    0x7fc2fffc,0x3fa23fff,0xffffeaef,0xfdaeffff,0xffff10ef,0x26000dff,
    0x404fffff,0xf5003ffb,0x09ffffff,0x7ffffecc,0xf502ffff,0x7ffec03f,
    0x3f201fff,0xfffff306,0xf1001fff,0xff10009f,0x2aaa007f,0xaaaaaaaa,
    0x555402aa,0xaaaaaaaa,0x553002aa,0x55555555,0x44001555,0xaa803fff,
    0xaaaaaaaa,0x002c1aaa,0xaaa8dc00,0xaaaaaaaa,0xfb0002aa,0x2000001f,
    0x40004ff9,0xf30cfffd,0xffc81dff,0xea80001f,0x41dfffff,0xffffffc8,
    0x3200001c,0x7d40ffff,0xff502fff,0x3fffe0df,0x87fffa80,0x446ffffd,
    0xfffffffe,0xffffffdd,0x7fff40ef,0xe88005ff,0x404fffff,0xff1003fc,
    0x01ffffff,0x7feccde4,0xf502ffff,0xffffd807,0x037c01ff,0xfffffff9,
    0x00bf900b,0x07fffd10,0x00000000,0x00000000,0x3fffa200,0xb0000003,
    0x03700000,0xfb000000,0x2000001f,0x20004ff9,0xfc86fffe,0x37f41eff,
    0xfff91000,0x50017fff,0x5dfffffd,0xfff98000,0xdffff05f,0x413fffa0,
    0xfe85fffe,0xfffb85ff,0xfffe887f,0xfffd981d,0xffffb80e,0xffd8001f,
    0x6404ffff,0x3fff2007,0x4002ffff,0x2ffffff8,0xffb00f50,0xb803ffff,
    0x7ffff406,0x3e603fff,0x7f4c000e,0x00003fff,0x00000000,0x98000000,
    0x003ffffe,0x000b0000,0x00003700,0x01ffb000,0x3fe60000,0xfff70004,
    0xffff109f,0x01bfd9df,0xffffb500,0x260005bf,0xcffffffc,0xfffd8000,
    0xffffd03f,0x4ffffb85,0xa8ffffb0,0xf884ffff,0xfff04fff,0x1fff7007,
    0x07fff910,0xfffdf700,0x04d809ff,0xffffff30,0x3fe000bf,0xb502ffff,
    0xfffffb00,0x4069803f,0xfffffff9,0x00fe880f,0x7ffffcc0,0x801999cf,
    0x0bcddb98,0xd9731000,0x3310059b,0x98133333,0x01999999,0x3fffffe6,
    0x8801999c,0x200bcdb9,0x1b800005,0x4ccccccc,0xfd800009,0x3000000f,
    0xf10009ff,0x3e03ffff,0x0aacffff,0x7ffdc400,0x0001cfff,0xffffd710,
    0x3e6005bf,0xfa82ffff,0x7ec7ffff,0xffb03fff,0x7ffec1ff,0x17d9304f,
    0x4009ff70,0x06204ffc,0x7d77cc00,0x7404ffff,0xffffd000,0x20001fff,
    0x02fffffe,0xfffb0053,0x07003fff,0xffffff90,0x003fb0bf,0xffffffa8,
    0x01ffffff,0x3fbfffee,0xb1000cff,0xffffffff,0x7ffdc03d,0x3a24ffff,
    0x07ffffff,0xfffffff5,0x403fffff,0xffedfffa,0x00000b04,0xffffe837,
    0x80002fff,0x00000ffd,0x0009ff30,0x01fffff9,0x013ffffa,0x3ffff660,
    0x00000bef,0x3ffff660,0x3f200bff,0x7cc2ffff,0x21ffffff,0x99bffffe,
    0xffffd999,0x13ffffe2,0x00eff800,0x0007ff40,0x7ccff400,0x0404ffff,
    0xfffffb80,0x3a0003ff,0x002fffff,0x7ffffec0,0x3a00001f,0x2fffffff,
    0xf1000ff2,0xffffffff,0x3603ffff,0x3fe63fff,0x7fd400ef,0x3fffea1c,
    0x3ffa200f,0xffb84fff,0xff887fff,0xffffffff,0xff901fff,0x06fff43d,
    0x2e000016,0xfffff981,0xfd80002f,0x3000000f,0xfd0009ff,0x3a01ffff,
    0x1006ffff,0xbfffffd7,0x80000003,0xfffffeb8,0xffffd82d,0x3f7ba22f,
    0x3fe2ffff,0xffffffff,0x23ffffff,0x005fffff,0x0009ff30,0x00003ff9,
    0xfff33fc8,0x100009ff,0xdfffffff,0xfffe8000,0x6c0002ff,0x01ffffff,
    0x3ffe6000,0xfa8fffff,0x7fe40004,0xfd003fff,0xfff90bff,0x3ffee01f,
    0x6ffffc80,0x7ffffe40,0xfffff884,0x7fffdc07,0xfffb003f,0x44fffa85,
    0x1b800005,0x5fffffb0,0x1ffb0000,0x3e600000,0xfff8004f,0x3ffa07ff,
    0xffc807ff,0x000bffff,0xda800000,0x21efffff,0x21ffffff,0xffffc8ed,
    0xfffff13f,0x33333339,0x3fe61333,0x50007fff,0xf50007ff,0x5400007f,
    0x3fffe65f,0xfd80004f,0x01ffffff,0x7ffff400,0x7ec0002f,0x001fffff,
    0x7fffdc00,0x005fefff,0xfffffc80,0xffffb803,0x5ffff882,0x509fffd0,
    0x405fffff,0x84fffffb,0x07fffff8,0x1fffffdc,0x837ffd40,0x0160ffff,
    0x6c06e000,0x102fffff,0xffffffff,0xffffffff,0x7fffffff,0x3ffffff2,
    0xffffffff,0xffffffff,0xffffff17,0x7fffff40,0x3fffe201,0x000000df,
    0xfffb8000,0xffff13ff,0x643f23ff,0xf34fffff,0x000bffff,0x1ffffff3,
    0x03ff7000,0x007ff300,0x983be200,0x004fffff,0x7ffffd40,0xe80005ff,
    0x002fffff,0x7ffffec0,0xe800001f,0xefffffff,0xffc80000,0xff803fff,
    0xfff01fff,0xfffa85ff,0x7ffd40ff,0x3fee04ff,0xfff04fff,0xffb80fff,
    0xfe803fff,0xfffd04ff,0x400002cb,0xffff901b,0x3ffe205f,0xffffffff,
    0xffffffff,0xff93ffff,0xffffffff,0xffffffff,0x3e6fffff,0x3a07ffff,
    0x403fffff,0xcffffffc,0x00000000,0x7ffff5c4,0xffff10cf,0x643f73ff,
    0xf13fffff,0x000dffff,0x3ffffff1,0x07ff5000,0x005ff500,0xf307fa00,
    0x0009ffff,0x7fffffc4,0xe80000ff,0x002fffff,0x7ffffec0,0x8800001f,
    0xffffffff,0xffc80000,0x7dc03fff,0xfd00ffff,0xffa89fff,0x7fd42fff,
    0x3ee04fff,0xff04ffff,0xfb80ffff,0x5c03ffff,0xfb04ffff,0x0002cfff,
    0xffc80dc0,0xdd102fff,0xdddddddd,0xdddddfff,0x2e5ddddd,0xeeeeeeee,
    0xeeeeffee,0x55eeeeee,0x40ffffff,0x03fffffe,0xffffeb88,0x000002df,
    0x7fffe4c0,0xfff80bef,0x642fcfff,0x3e2fffff,0x000fffff,0x3ffffff8,
    0x04ff9800,0x001ffc80,0xf983fc80,0x0004ffff,0x3ffffff2,0xfd00003f,
    0x0005ffff,0xffffffd8,0xf7000001,0x0bffffff,0x7fe4cc00,0x1999cfff,
    0x03fffff4,0xd0dffffd,0xff50dfff,0x7dc09fff,0xff04ffff,0xfb80ffff,
    0x6c03ffff,0xfb03ffff,0x00161fff,0x7e406e00,0x0002ffff,0x0000ffd8,
    0x009ff300,0x7fffff88,0x3fffffa0,0x7fe4c002,0x000bffff,0x3ffaa000,
    0x7402dfff,0x84ffffff,0x20fffffc,0x03fffffe,0xfffffe80,0x1fff0007,
    0x03ffc400,0x5fa80173,0x9fffff30,0x3ffe6000,0x0006ffff,0x3fffffa0,
    0x7fec0002,0x0001ffff,0x3ffff600,0x98003fff,0xffffffff,0x3e1fffff,
    0x3a07ffff,0xb887ffff,0x7fecc0bd,0x3ee04fff,0xff04ffff,0xfb80ffff,
    0x7403ffff,0x999bffff,0x2ffffd99,0x3700000b,0x3fffff20,0xffd80002,
    0xf3000000,0xfff0009f,0x7ff40fff,0x10000fff,0xbfffffd7,0x32200003,
    0x0cffffff,0xfffff900,0x3ffff60b,0x7ffffe46,0xf716400f,0x007fffff,
    0x400bff70,0xfe883ffd,0x1ff105ff,0x3ffffe60,0xfffd0004,0x0003ffff,
    0x7fffff40,0x7fec0002,0x0001ffff,0x3fffe200,0x4000ffff,0xffffecc8,
    0x10ccccdf,0x40ffffff,0x01fffffe,0xfffffb30,0x7fdc09ff,0xfff04fff,
    0xffb80fff,0x7fc03fff,0xffffffff,0xb3ffffff,0x03700000,0x0bfffff2,
    0x03ff6000,0x7fcc0000,0xfffe8004,0x3fffe07f,0xb300007f,0x17dfffff,
    0xfffb5000,0x30005dff,0x205fffff,0x445ffffd,0x05ffffff,0xfff883ae,
    0xb101ffff,0x009ffd05,0xf901fff9,0xfb05ffff,0x7fffcc03,0xffb8004f,
    0x004fffff,0x7ffff400,0x7ec0002f,0x001fffff,0x3ffe6000,0x006fffff,
    0x3fffff20,0x3fffea03,0x3fffa07f,0x7ec403ff,0xfffffacf,0x3fffee04,
    0xfffff04f,0xffffb80f,0x3ffe203f,0x99999cff,0x0b099999,0x20370000,
    0x02fffffc,0x00ffd800,0x9ff30000,0xffff7000,0x3fffe01f,0x4400004f,
    0xcffffffb,0x7ff5c401,0x0001cfff,0x81ffffec,0xd82ffffe,0x0dffffff,
    0x3ee0bea2,0x1cffffff,0x3fa21ba6,0x2a20aeff,0xf80ffffe,0x5c5fffff,
    0x7ffcc04f,0x7c4004ff,0x06ffffff,0xfffe8000,0x6c0002ff,0x01ffffff,
    0xbdf10000,0x7fffffff,0x3fff2000,0x3fea03ff,0x3fa07fff,0x3203ffff,
    0xfff53fff,0x7fdc09ff,0xfff04fff,0xffb80fff,0x3e603fff,0x8005ffff,
    0x1b800005,0x5fffff90,0x1ffb0000,0x3e600000,0xfff0004f,0xfff103ff,
    0x000001ff,0x7ffffed4,0x7ffe4c2e,0x0000beff,0x09ffff50,0x20dffff1,
    0xffffffe8,0x205ffdef,0xfffffffe,0x440fffef,0xfffffffe,0xffffffef,
    0x7fffc0ef,0x7fff45ff,0xffffffff,0x2fffffff,0xfffffd80,0x144002ff,
    0x3fffffa0,0x7fec0002,0x0001ffff,0xf88fe880,0x1fffffff,0xffffc800,
    0x3ffe203f,0x3ffa07ff,0xfe982fff,0x3ffea2ff,0x3fee04ff,0xfff04fff,
    0xffb80fff,0x3e203fff,0x8006ffff,0x1b800005,0x5fffff90,0x1ffb0000,
    0x3e600000,0xff70004f,0xfff307ff,0x0000009f,0x3fffff22,0xbfffff13,
    0xfb000003,0xff90ffff,0x7f4403ff,0xffffffff,0xffffd805,0x40efffff,
    0xfd9effe8,0xdfffffff,0x320effe9,0x742fffff,0xffffffff,0xffffffff,
    0x7fd402ff,0x005fffff,0x7ff404b8,0x40002fff,0x1ffffffd,0x2fd80000,
    0x3fffffea,0xffc8006f,0x7fc03fff,0x3fa07fff,0x7cc0ffff,0x7fd44fff,
    0x3ee04fff,0xff04ffff,0xfb80ffff,0x7c03ffff,0x000fffff,0x5c00002c,
    0xfffff901,0xffb00005,0x26000001,0x360004ff,0xffd86fff,0x000000df,
    0x13ffea80,0x00017fff,0x3eabee00,0xfff52eff,0xffb1003d,0x007dffff,
    0x7fffffdc,0x1dfd00bd,0x66f76e4c,0x883bfa20,0xfe84fffd,0xffffffff,
    0xffffffff,0x7fff402f,0x8000ffff,0x7fff403d,0x6c0002ff,0x01ffffff,
    0x41fdc000,0xfffffffd,0x7ffdc003,0x7ff403ff,0x3ffe07ff,0x7ffc47ff,
    0x7ffd41ff,0x3fea04ff,0xfff04fff,0xffb80fff,0x7f403fff,0x4003ffff,
    0x1b800005,0x5fffff90,0x1ffb0000,0xeeeeb800,0xffeeeeee,0xeeeeeeee,
    0xfff705ee,0x9fff7119,0x00000000,0x00b62793,0x47f30000,0xffffffd8,
    0xa98000bd,0x220002ac,0x48800aca,0x80644000,0xfffd00b9,0xffffffff,
    0x5fffffff,0x7ffffe40,0xf88003ff,0x7ffff402,0x7ec0002f,0x001fffff,
    0x4417ea00,0xffffffff,0x3ffee001,0x7fdc03ff,0xfff00fff,0xfffc89ff,
    0xffffa87f,0x3ffea04f,0xffff04ff,0xfffb80ff,0x7fe403ff,0x6400ffff,
    0x700000b2,0x3ffff203,0xfd80002f,0x7fe4000f,0xffffffff,0xffffffff,
    0x2a07ffff,0xeffffffe,0x00000003,0x00000000,0x37731028,0x00000000,
    0x00000000,0x2aaa0000,0xcaaaaaaa,0xaadfffff,0xfffff300,0x36000dff,
    0x7fff401f,0x6c0002ff,0x01ffffff,0x80df3000,0xfffffffa,0x3ffee006,
    0x7f4044ff,0xff881fff,0x7ff40fff,0x7fe42fff,0x3e605fff,0xfb84ffff,
    0x5c07ffff,0x044fffff,0x3fffffe2,0x02c3ae05,0xc80dc000,0x002fffff,
    0x000ffd80,0x7fffffe4,0xffffffff,0xffffffff,0x9bb98807,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9800,0xfffe804f,
    0x8001ffff,0x7f400ffa,0x0002ffff,0x7fffffec,0xff880001,0xffffd800,
    0xf5004fff,0x744bffff,0x1ffffd40,0x427fffcc,0xcffffffe,0xfffffffb,
    0xffff1015,0xffffa8df,0x7fd407ff,0x03a24fff,0xbffffffb,0x0b17d441,
    0x20370000,0x02fffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff300,0xffffa809,0x98004fff,
    0x7f400fff,0x0003ffff,0x7ffffff4,0x7f440001,0xffff1002,0x1003ffff,
    0x57fffffd,0x3fff603d,0x0dfffd86,0xffffffb8,0xffff9eff,0xfd80ecff,
    0xfcadffff,0x0ffffffd,0x7fffff40,0xfe881eaa,0xdeffffff,0x0002c5ff,
    0xffe80dc0,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x409fffff,0xfffffff8,0x7fdc000f,
    0xffff807f,0x740003ff,0x01ffffff,0x0037ec00,0x3fffffea,0xff9800ef,
    0x403fffff,0xb88cfffc,0x3e204fff,0x23ffffff,0x1ffffffc,0xfffffd10,
    0x3fffe9ff,0x3e200cff,0x03ffffff,0x3fffffa2,0x0585ffff,0xa81b8000,
    0x1effffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff9800,0x3fff204f,0x1002ffff,0x0dffffd5,
    0xffffff98,0x7ffc0005,0x0003ffff,0x000dffd1,0xffffffff,0x3ff2600b,
    0xfd5002df,0x07dfffff,0x39dffb30,0x1dfffd88,0x7ffff4c0,0x3ffffe3f,
    0x32600fff,0x8802dffe,0xeffffffd,0x99999d03,0x99999999,0xb9999999,
    0x7ffffc43,0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x27ffffcc,0xffffff98,0xccccccff,
    0xffffeeec,0x3a605fff,0xbfffffff,0x7fec4000,0x01ffffff,0x3fffee60,
    0xfb8800cf,0xffffffff,0x0006001d,0x009bb988,0x03000880,0x00377100,
    0x0000c000,0x00055953,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9800,0xffffd04f,
    0xffffffff,0xffffffff,0xc89fffff,0xfffffffe,0x04efffff,0x7fffff6c,
    0xefffffff,0x3ffff202,0x03efffff,0xfffffff7,0x09ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x2cdecb98,0x99999880,0x98819999,
    0x75009999,0x10e417bb,0x13333333,0x99999998,0x36e62001,0x4c400bcd,
    0x99999999,0x33333310,0x4cc41333,0x54400999,0x8809bddc,0x201bcdca,
    0x99999998,0x4cccccc0,0x800f2619,0x00abddca,0x4037b971,0x99999998,
    0x982db880,0x99999999,0x19999999,0x33333333,0x26662333,0x00000999,
    0x33333100,0xcdb98133,0x00000001,0x4ccccccc,0x4cccc409,0x22199999,
    0x99999999,0x4ccccc40,0x6edcc099,0x336e200a,0x0000000a,0x00000000,
    0x2000eec4,0xfd8802ca,0xefffffff,0x3fffee01,0x40dfffff,0x44fffffc,
    0xffffffd8,0x3fee2fee,0x224fffff,0x7ffffffe,0xdffff700,0x2e019fff,
    0xffffffff,0xfffff52e,0x7547dfff,0x9302ffff,0xffffffff,0x7f7ffd49,
    0xfff704ff,0x7449ffff,0x37ffffff,0xfb80dfff,0x2fffefff,0x7fff7fe4,
    0xfffe980d,0x3f626fff,0x7ffc2fff,0xffffffff,0xfd6fffff,0xffffffff,
    0xfffff51b,0x200ee85f,0x3ea005f9,0x15ffffff,0x3dfffffd,0x017e4000,
    0xfffe83f6,0x7cc2ffff,0xffffffff,0x3ffffae5,0x7fcc1eff,0x366fffff,
    0x44ffffff,0xffffffd8,0x7f4c0003,0x00598003,0x7ec00770,0xfff5007f,
    0x3fea01bf,0x3fffea1c,0x3ffe200f,0x7c03ffff,0xdffe80ff,0x85fffb30,
    0x4fffffe8,0x7fffffb8,0x23fffd80,0x300efff9,0x0dffffff,0xffffffd1,
    0xb8077ec0,0xff511dff,0x4dff9bff,0x880effe9,0x84fffffe,0x77fffffb,
    0xb103ffff,0x7fc47fff,0x227ffb4f,0xf901effd,0x3a2dffff,0x7c5fffff,
    0x9999abff,0x1ffffffd,0x3fffffe6,0x01eff82f,0x4fd80df5,0x7fffec00,
    0xffffe9df,0x70006fff,0x83fc80df,0x2ffffff9,0xffffffb0,0x33fff603,
    0x7fffe400,0xffffe8ef,0xfd12ffff,0x3fffffff,0x7ffec000,0x17fe6000,
    0x007ff700,0x003ffff1,0x0bfffffd,0xf901fff7,0xfa80dfff,0x402fffff,
    0xfffb82fd,0xc82ffa81,0x884fffff,0x407fffff,0xfc85fffe,0xff700fff,
    0x3ea0ffff,0x700fffff,0x3ffee03f,0xfffffa80,0x7ffd40ff,0xfffff905,
    0xfffff109,0x0bfffe6f,0x2e1ffffa,0x46ffffff,0xf306fff8,0x3f6dffff,
    0x7c6fffff,0xffff301f,0xfff309ff,0xef889fff,0x302ff400,0x7d4007ff,
    0xadfeffff,0x3fffffd9,0x00ffd400,0x3f601ff9,0xf502ffff,0x5c0dffff,
    0xff3003ff,0x15dfffff,0x5ffffff5,0xfff715df,0x74000dff,0x26001fff,
    0xf7005fff,0x3fa007ff,0x7fd400ff,0x741fffff,0xffa84fff,0x7f402fff,
    0x7404ffff,0x05ffff06,0x3fee0ff2,0xff884fff,0x3ee07fff,0xff882fff,
    0x3ffa05ff,0xffd02fff,0x1b605fff,0x81ffffc4,0x04ffffff,0xf703ffff,
    0xf109ffff,0x7d4fffff,0x7ffe40ff,0xfffff03f,0x5fffb07f,0xdfffff10,
    0xffff99f7,0x3fa03f87,0x900fffff,0x41ffffff,0xffa801fb,0x00fff604,
    0x7fffffd4,0x7ffffc45,0x17fea006,0x3603ffb8,0x302fffff,0x40dfffff,
    0x3e6002fe,0x40efffff,0x6ffffffc,0x1fffffd8,0x0bff5000,0x0bfff300,
    0x103fffb8,0x810bff70,0xfffffffa,0x3ffffea2,0x7ffffd40,0x7fffd404,
    0x20fe607f,0x01fffff8,0xffff707f,0x3fffe09f,0x3fffe07f,0xfffff01f,
    0x3fffee05,0xfffff05f,0x207f10bf,0xd07ffffa,0x207fffff,0xfb86fffd,
    0xff04ffff,0x7fccffff,0x7ffffcc3,0xfffffd01,0x0dfff905,0xfffffff1,
    0x2067ecc7,0xffff700f,0x7fc407ff,0x7f14ffff,0x827ff400,0x9802fff8,
    0x80efffff,0x007fffff,0x2a03fff3,0x7fe407ff,0xff302fff,0x3f60bfff,
    0x7ffc4002,0xffb80fff,0xfc80efff,0x0002ffff,0xff300004,0x3ffee0bf,
    0x443dfb03,0x37fea2ff,0x3fffffe0,0x3fffea4f,0x7fffd42f,0xffff804f,
    0x01f902ff,0x7ffffff3,0xfff70770,0x3ffe09ff,0xfff707ff,0x3ffa01ff,
    0xfff104ff,0xffa81fff,0x540fffff,0xffff500f,0xffffb03f,0x3fff603f,
    0x7fffdc0f,0xfffff04f,0x7039bddf,0x201fffff,0x81fffffd,0x441ffffc,
    0x06ffffff,0xfff881c0,0xfa806fff,0x6e9fffff,0x1fffd400,0x401fffc8,
    0x05fffff9,0x00ffffff,0x2a0bfff3,0x7e403fff,0xf302ffff,0xf90bffff,
    0xfff10005,0x3fea0dff,0xff705fff,0x00007fff,0xfff98000,0x81fffdc5,
    0x365ffffa,0x8ffffee6,0x3ffeffe9,0x5437fff4,0x804fffff,0x06fffffb,
    0x7fffc09f,0x4040dfff,0x04fffffb,0x20ffffff,0x207ffffe,0x206ffffe,
    0x43fffffd,0xfffffddd,0x3fa02ec3,0xfffb06ff,0x3ff201ff,0x7ffdc1ff,
    0xffff04ff,0x3ff600ff,0x3ff607ff,0xffc80fff,0x7ffc42ff,0x00003fff,
    0x3ffffff9,0x3ffffa00,0xe8001fff,0xff882fff,0x3fe601ff,0xfff05fff,
    0x7c401fff,0xff980fff,0xfffc807f,0xfff302ff,0x02fc8bff,0xfffff100,
    0x3fffea0d,0xffff705f,0x0000007f,0x2bfff300,0x2603fffb,0xb8dfffff,
    0x5fffff75,0x85ff1110,0x6cc0bdb8,0x804fffff,0x1ffffff8,0xffb00fd4,
    0x03dfffff,0x4fffffb8,0x0ffffff0,0x81fffffe,0x207ffffe,0x26fffffa,
    0xffffaaf8,0x100be26f,0xfd5017d9,0x3333ffff,0x5ffffb33,0x4fffffb8,
    0x0ffffff0,0x1fffffa0,0x9fffffc8,0xfffc9999,0x7fffc43f,0x980002ff,
    0x04ffffff,0x3ffffea0,0xff50004f,0xfff903ff,0x3ffe601f,0xfffd05ff,
    0x3fa201ff,0xfff984ff,0xfffc803f,0xfff302ff,0x27fe4bff,0xffff8800,
    0xffff506f,0x3ffee0bf,0x000003ff,0xdfff3000,0xf9007fff,0xddbfffff,
    0x809fffff,0xb3000ffa,0x9fffffff,0x3ffff200,0x2602ec4f,0xffffffff,
    0x3ffee03f,0xffff04ff,0xffff10ff,0x7fff40ff,0x3ffe01ff,0x7cf70fff,
    0xf71fffff,0xffea8000,0xffffffff,0xffffffff,0x7ffffdc3,0xffffff04,
    0xfffff100,0x7fffe40d,0xffffffff,0x7fc44fff,0x0000ffff,0xffffffe8,
    0x7fff4000,0x3a0006ff,0x7c41ffff,0xf980efff,0xfd05ffff,0xd101ffff,
    0xf881ffff,0xf9006fff,0x2605ffff,0xfb5fffff,0x10003fff,0x20dfffff,
    0x05fffffa,0x87fffff7,0xfffffffc,0xffffffff,0x7fffffff,0x7ffffcc0,
    0x26662003,0x9999ee99,0x05fc8009,0xfacffd88,0x3004ffff,0x21ffffff,
    0xffb802f8,0x4fffffff,0x9fffff70,0x1fffffe0,0x1fffffea,0x3fffffe8,
    0x3fffff20,0x7ffe49d4,0x0009d4ff,0x3f67bfaa,0x9999ffff,0x09999999,
    0x27ffffdc,0x07fffff8,0x6fffffa8,0x3fffff20,0xaaaaaaab,0x7ffc41aa,
    0xb80007ff,0x03ffffff,0xfffff980,0xff50002f,0xffc81fff,0x7fcc0eff,
    0xffd05fff,0xffd01fff,0xffe889ff,0xff9003ff,0x3e605fff,0xffdeffff,
    0x4000efff,0x06fffff8,0x0bfffff5,0x0fffffee,0xfffffff9,0xffffffff,
    0xffffffff,0x1dfff900,0x5e6c4000,0x0ff8000e,0xa9fffe40,0x004fffff,
    0x4ffffffa,0x3fee006c,0x3fffffff,0x4fffffb8,0x0ffffff0,0x0ffffff5,
    0x1ffffff4,0xdfffff30,0x7ffcc3f1,0x002f9fff,0xf927ff4c,0x0003ffff,
    0x27ffffdc,0x07fffff8,0x6fffffa8,0x3fffff20,0xfff10001,0x88000dff,
    0x06ffffff,0x3ffff600,0xff50006f,0xffc81dff,0xfff985ff,0xfffd05ff,
    0xfff901ff,0xffffb0df,0x3fff2009,0xfff302ff,0xffffffff,0xf88009ff,
    0xf506ffff,0x2e0bffff,0x5c3fffff,0xeeeeeeee,0xeeeeeeee,0x05eeeeee,
    0x2fffffdc,0xf0ffb800,0x17e4007f,0x45fffd30,0x04fffffa,0x3ffffea0,
    0x4c003f8f,0xffffffff,0xfffffb86,0xffffff04,0xffffff10,0x7fffff40,
    0x7ffff402,0xfffe86ef,0x64007eff,0x7fe43fff,0x20003fff,0x04fffffb,
    0x00ffffff,0x0dfffff3,0x1fffffe4,0xffff8800,0x7e40006f,0x001fffff,
    0x3ffffe60,0xffe8003f,0x7ffc40ff,0xfff980ef,0xfffd05ff,0x3ff601ff,
    0x7ff442ff,0xffc800ff,0xff302fff,0xff53ffff,0x4005ffff,0x06fffff8,
    0x0bfffff5,0x0fffffee,0x40000000,0xfffcfffb,0x3ff62005,0x0037ffa6,
    0x7fcc05f9,0x7ffd44ff,0x7fc004ff,0x00fdffff,0xffffd880,0x7fdc1fff,
    0xfff04fff,0x3ffe0fff,0x3ffa07ff,0x7dc00fff,0xb84fffff,0x04ffffff,
    0x0bfffd10,0x09fffff7,0x7fffdc00,0xfffff04f,0xffff100f,0x7ffec0df,
    0xf10004ff,0x000dffff,0x7fffffcc,0x7fe40004,0x4007ffff,0xc81ffffa,
    0xf300efff,0x3a0bffff,0x200fffff,0xe886fffd,0xfc804fff,0xf302ffff,
    0x7ecbffff,0x000fffff,0x0dfffff1,0x17ffffea,0x1fffffdc,0x40000000,
    0xff33fffb,0x3ff600bf,0x1bffee4f,0xf100ef54,0xfa83ffff,0x4004ffff,
    0x4ffffffb,0x3fee0b00,0x7d43ffff,0xff04ffff,0x3fa0ffff,0x3fe07fff,
    0xf8807fff,0x881fffff,0x01ffffff,0x05ffffb0,0x1ffffff5,0x3ffea000,
    0xffff04ff,0x3ffe00ff,0x3ff607ff,0x8000ffff,0x06fffff8,0x3ffffa00,
    0x809100ff,0xfffffbf9,0x3ffa003f,0xffff881f,0x3fffe600,0xffffd05f,
    0x7ff4401f,0xffff882f,0x7fffe400,0xffff302f,0x7fffc4bf,0xff1005ff,
    0x3ea0dfff,0xf705ffff,0x0007ffff,0xffb80000,0x2fffcc3f,0x10ffffc0,
    0x1701ffff,0xfffff900,0x9fffff50,0xffff8800,0x05d001ff,0x0fffffe6,
    0x09fffff5,0x41fffffe,0x00fffffb,0x009fffff,0x81bffffa,0x006ffffd,
    0x40fffff5,0x04ffffff,0x7ffd42a8,0xffff04ff,0x3ff200ff,0x3ffa07ff,
    0x5403ffff,0x7ffffc43,0xfff70006,0x1e407fff,0x3ff29d10,0xb800ffff,
    0xff902fff,0xfff9803f,0xfffd05ff,0xfe8801ff,0x9fff306f,0xfffffc80,
    0xfffff302,0xfffffa8b,0xfff8802f,0xfff506ff,0x3fee0bff,0x10003fff,
    0x2e000397,0xff303fff,0x6ffd80bf,0x0006ffe8,0x17fffff4,0x17fffff2,
    0x3ffff200,0xb817a005,0x7cc1ffff,0xfb84ffff,0x3a07ffff,0xf881ffff,
    0x7000ffff,0x5407ffff,0xb004ffff,0x203fffff,0x1ffffffd,0xff303ea0,
    0xff70bfff,0x2200ffff,0xf00fffff,0x1fffffff,0xff103e60,0x1000dfff,
    0x0dffffff,0x1db01fc4,0x3fffffe2,0x02ffe804,0x3003fff3,0x20bfffff,
    0x00fffffe,0x302fff88,0x7e401fff,0xf302ffff,0xf90bffff,0x801fffff,
    0x06fffff8,0x0bfffff5,0x0fffffee,0x03ffec00,0x01fffdc0,0x8817ffe6,
    0x0cb880bb,0x7fff4000,0xfffbcfff,0x0015ffff,0x017fffcc,0x3e207fd0,
    0xfff887ff,0x7ffd46ff,0x3ea07fff,0xff983fff,0x3e2004ff,0x7fc00fff,
    0xfff001ff,0x6441bfff,0xffffffff,0x4417d442,0x20ffffff,0x7ffffffa,
    0x3ffff200,0xfffff982,0x7cc1ffff,0xfffff983,0xfffc8006,0x3f601fff,
    0xfb85f702,0x201fffff,0x3f603ffb,0xfff5002f,0x3ffe0bff,0xf3000fff,
    0x27fd40df,0x5fffffb0,0x3ffffe60,0xfffff886,0x7ffcc05f,0xfff507ff,
    0x3ff20bff,0xf0004fff,0x54003fff,0xf3003fff,0x00000bff,0xffff7000,
    0xff3dffff,0x01d9ffff,0x0037ff40,0x3e60fff6,0xfffb03ff,0xfbf95bff,
    0x401fffff,0xfd86fffd,0x6c000dff,0xffc805ff,0x3fff6006,0xffeeffff,
    0xffffffbb,0x05ffddff,0x37fffff6,0xffffdfda,0x3f6000ff,0xfffc86ff,
    0xefffffff,0xff305ffc,0x9800ffff,0x04ffffff,0xf503ffb3,0xfffff10d,
    0x01ffc0df,0x54005ff3,0xf06fffff,0x003fffff,0xf7017fcc,0x3fffa01f,
    0xfff703ff,0x3fee0fff,0x2604ffff,0x707fffff,0x20dfffff,0x04fffffd,
    0x00dff900,0x98007fb0,0x000001ff,0xffff8800,0x3ff23fff,0x4001ffff,
    0x6c003ffa,0xea89dfff,0x3fa204ff,0xf4ffffff,0x019fffff,0x4467ffe4,
    0x0004fffb,0xf3005ff5,0x7fcc007f,0xcfffffff,0x3ffffee0,0x404fffff,
    0xffffffe8,0xffffff3f,0x7fe40019,0xfffa88bf,0xfffffe9b,0xfb105fff,
    0x007fffff,0x7ffffff4,0xffeccbab,0x3fee61ff,0x7fffc40f,0x7dc0cfff,
    0x001fec04,0xffffffd3,0x7fffe445,0x2a000dff,0x427dc06f,0xeffffffa,
    0x7ffff4c1,0xfff883ff,0x440bffff,0xcffffffd,0x3ffffa20,0x7ffd43ff,
    0x0001ffff,0x0a000175,0x0000cc00,0xfb300000,0xfd8839df,0xd0001dff,
    0xcfd8001f,0x4ffffffd,0xffffe980,0x3ffffe3f,0x3aa00fff,0x3effffff,
    0x003fc000,0xfc8001fd,0x01dfffff,0xffffffb5,0x3fa6007d,0x3fe2efff,
    0x00ffffff,0x3ffffaa0,0x3f621eff,0x504fffff,0xffffffff,0xffa805ff,
    0xffffffff,0x0fffffff,0xbffffffd,0x3ffffff6,0x1362ffff,0x54007d10,
    0xffffffff,0xfffffd5f,0x4003ffff,0x86e402ea,0xfffffff8,0xfff55fff,
    0x4fffffff,0xfffffff9,0xfff30fff,0x2fffffff,0xfffffffa,0xffff96ff,
    0x009fffff,0x00000000,0x00000000,0x06001100,0x000ea000,0x0377306a,
    0x00377100,0x2ee62000,0x75000009,0x8001d400,0x4001aca9,0x0001abb9,
    0x00001771,0x0d65cc00,0x01579510,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x3002cdb9,0x40017bd9,
    0x2003dec9,0xf88006c9,0x6ed4000f,0x02fb2202,0x64405d93,0xb8803ded,
    0x2a02ceed,0xaaaaaaaa,0xaaaaaaaa,0x11aaaaaa,0x99999999,0x99999999,
    0x39999999,0x99880220,0x26660999,0x2e600999,0x00331001,0x80100a80,
    0x817100b9,0xaaaaaaaa,0x5511aaaa,0x55555555,0x55555555,0x26235555,
    0x99999999,0x99999999,0x00099999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffff44,0xffff500f,0xf980bfff,0x00efffff,
    0x00fffd71,0x4009ffb0,0x883ffffb,0x3e67ffff,0xffb85fff,0x501efc8a,
    0xbffb13bf,0xfffff881,0xffffffff,0xffffffff,0xffff13ff,0xffffffff,
    0xffffffff,0x5f107fff,0x7fffff40,0x3ffffea1,0xefffe884,0xfffff300,
    0x7cc0017b,0x41f7f541,0x7e42fffc,0x3fffa3ff,0xffffffff,0xffffff54,
    0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0xffffffff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x67740000,0xa84ffffe,
    0xffffffff,0xfffd00df,0xc88dffff,0x007fffff,0x007fffd4,0x86ffffe8,
    0x92fffffb,0x541fffff,0x07ffc5ff,0xff98ffe2,0x7fffc43f,0xffffffff,
    0xffffffff,0xfff13fff,0xffffffff,0xffffffff,0xfb07ffff,0x3fffe205,
    0xffffb81f,0xfffffb86,0xfffffa83,0x801dffff,0x7fffcc7c,0x3fffe22f,
    0x9bfffe26,0xfffffffe,0xff54ffff,0xffffffff,0xffffffff,0x3ea7ffff,
    0xffffffff,0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff7132,0x05fffd41,0xd90dffd3,0x3ffffaa3,
    0x7fffb8c1,0x7ffff400,0xffff8805,0x7ffec0ff,0xfffff4ff,0x0fffe25f,
    0xffc8bffb,0x09fff10f,0x33333333,0x33333333,0x7ff53333,0x4ccccccc,
    0x99999999,0x99999999,0x42fffdc0,0x201ffffb,0x741ffffb,0x447fffff,
    0xfffeefff,0x80beffff,0x7ffec6f9,0x3ffea5ff,0xffff30ff,0x3ffffa1f,
    0x4fffffff,0x55555551,0x55555555,0x35555555,0x2eeeeee6,0xbbbbbbbb,
    0xbbbbbbbb,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc02000,0x017ff46f,0x40c85ffb,0x301ffff9,0x5c00ffff,0x01fffeff,
    0x87fffff8,0xb2fffffc,0x2e1fffff,0x7fe42fff,0x89bfe60f,0x00005fff,
    0x003ff980,0xff900000,0xfffe81ff,0x4fffc802,0x37fffff4,0xfb5077f2,
    0x7bffffff,0xff85ffd7,0x7fc7ffff,0x7fff45ff,0x3fffffa5,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x7fc43dff,0x027fc404,0x2606ffe8,0xf1007fff,0x0dffb3ff,
    0x0bffffd0,0x21fffff5,0x327ffffc,0x7fe42fff,0x3faa082f,0x000006ff,
    0x0003ff98,0x3fea0000,0x0bffe22f,0x546ffc80,0x6c3fffff,0x3fae200f,
    0xffffffff,0xfffffc86,0x206ff545,0x4441dfe9,0x88888888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa85ffb10,0x6fe801ff,0x03fff880,0x401fffe6,0xfff14ffc,0xffffc805,
    0x7ffff884,0xd9bfffee,0x7fe42fff,0xf3df703f,0x00000dff,0x0007ff30,
    0x7fdc0000,0x00bfee0f,0xfb07ff20,0x04f81bff,0x3ffff6a0,0xfff305ff,
    0x100203ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd88000,0x3ff24fff,0x00ffc800,0x30077fd4,
    0xf100ffff,0x3ffe41ff,0x0bfffea0,0xf12ffffc,0x7fe47fff,0x17ffe42f,
    0x7fc57fa6,0x8000006f,0x2aaa3ff9,0xaaaaaaaa,0xaaaaaaaa,0x7441aaaa,
    0x01ff45ff,0x7109fb00,0x20003201,0x401bcba8,0x0000ceb8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ed40000,0xff92ffff,0x00ffb003,0xf9803ffb,0xffd807ff,0x01fffc43,
    0x201ffff1,0x7f43fffc,0x3ffee1ff,0x30fffe42,0x3fe21fff,0x8000006f,
    0xfff13ff9,0xffffffff,0xffffffff,0x3b67ffff,0x00983fff,0x00009800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2abfffd3,0x7fc404ff,0x00ffd406,
    0x203fffcc,0xff506ffa,0x37ff401f,0xc83fff50,0x7ffc47ff,0x3237fec2,
    0x3ffe27ff,0x98000006,0xffff13ff,0xffffffff,0xffffffff,0x26667fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6fff9800,0x6c03fff1,
    0x3fe204ff,0xffff3001,0x202ffe80,0x3f204ffe,0x1ffe204f,0x3ee17fea,
    0x20fff44f,0xfebdfffe,0x000016ff,0x550d5440,0x55555555,0x55555555,
    0x00355555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf727ff40,
    0xffd987ff,0x107ba206,0xffff301f,0x2037fdc0,0xf501fff9,0x85fe805f,
    0xff903ff8,0x2e0bfee5,0xfd8dffff,0x00000eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb804400,0x7fffec2f,0x01fffffe,
    0x9999bfd1,0x3ffe60dd,0x03fff107,0x7c0bffb0,0x81fe400f,0x3b2601fe,
    0x36a00cdf,0x02f6e21b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf5000000,0x04fd81bf,0xfffffff9,0x7ffec03d,0x505fffff,
    0x3f20ffff,0xfff1005f,0x2a01b605,0x000f701f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd4000,0x403fdadf,
    0x03defec9,0x7fffffec,0xfd983fff,0x3e20afff,0x3f2000ff,0x1003306f,
    0x00014405,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fb6e000,0x00000bde,0x99999930,0x64419999,0xcccccccc,
    0x80059951,0x0001ccc8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_49_latin_ext_x[560]={ 0,3,3,0,1,3,1,3,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,1,0,0,3,3,1,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,3,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,1,6,6,-1,6,6,6,
6,6,6,6,6,6,6,6,6,6,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,1,1,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,1,0,-1,1,
1,1,1,1,1,1,1,1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,0,1,-1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static signed short stb__times_bold_49_latin_ext_y[560]={ 39,9,9,9,8,9,9,9,9,9,9,12,32,26,
32,9,9,9,9,9,9,9,9,9,9,9,18,18,13,19,13,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,45,8,18,9,18,9,18,9,18,9,9,
9,9,9,18,18,18,18,18,18,18,11,18,18,18,18,18,18,9,9,8,23,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,17,9,8,13,9,
9,9,9,9,9,18,19,26,9,4,9,12,9,9,8,18,9,20,38,9,9,18,9,9,9,17,-1,-1,-1,1,
1,1,9,9,-1,-1,-1,1,-1,-1,-1,1,9,1,-1,-1,-1,1,1,14,8,-1,-1,-1,1,-1,9,9,8,8,
8,9,9,7,18,18,8,8,8,9,8,8,8,9,9,9,8,8,8,9,9,14,17,8,8,8,9,8,9,9,
2,11,0,9,9,18,-1,8,-2,8,0,9,-1,8,-1,9,9,9,2,11,-1,9,0,9,9,18,-1,8,-1,8,
0,9,0,9,9,7,-2,-2,9,9,0,9,2,11,-1,9,9,9,1,18,9,9,-2,8,9,9,18,-1,-1,9,
9,9,9,9,9,9,9,-1,8,9,18,-1,8,9,9,18,2,11,-1,9,-1,8,9,18,-1,8,9,18,-1,8,
-1,8,-2,8,9,18,-1,8,9,11,-1,9,9,11,0,9,2,11,-1,9,-2,7,-1,8,9,18,-2,8,-2,8,
1,-1,8,1,9,-1,8,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,9,11,11,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,6,16,11,11,11,11,11,11,11,11,11,11,11,11,11,3,18,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,8,-1,8,-1,
8,-1,8,-1,5,-1,2,-1,1,-1,2,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-7,-1,-1,8,-1,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_49_latin_ext_w[560]={ 0,8,18,22,20,39,34,7,14,13,18,25,9,13,
9,13,20,17,19,20,20,20,20,21,20,20,8,9,25,25,25,18,40,32,28,29,31,28,26,33,34,17,22,35,
28,41,31,32,25,32,33,21,27,31,32,44,32,32,29,10,13,10,20,24,10,21,23,18,23,18,18,21,23,12,
13,25,12,35,23,20,23,23,18,15,15,23,22,32,21,22,19,13,4,13,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,18,22,22,23,
4,20,15,31,14,22,25,13,31,24,16,24,13,12,10,24,24,9,8,11,13,22,32,32,33,18,32,32,32,32,
32,32,44,29,28,28,28,28,17,17,17,17,31,31,32,32,32,32,32,20,32,31,31,31,31,32,26,22,21,21,
21,21,21,21,30,18,18,18,18,18,13,13,15,15,20,23,20,20,20,20,20,24,20,23,23,23,23,22,23,22,
32,21,32,21,32,22,29,18,29,18,29,18,29,18,31,31,31,23,28,18,28,18,28,18,28,18,28,18,33,21,
33,21,33,21,33,21,34,23,34,23,17,15,17,15,17,14,17,12,17,12,37,22,22,17,35,25,25,28,13,28,
12,28,21,28,18,28,12,31,23,31,23,31,23,33,32,21,32,20,32,20,32,20,42,30,33,18,33,18,33,18,
21,15,21,15,21,15,21,15,27,15,27,23,27,15,31,23,31,23,31,23,31,23,31,23,31,23,44,32,32,22,
32,29,19,29,19,29,19,17,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,35,25,23,23,23,23,23,23,23,23,23,23,23,23,23,37,27,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,32,21,17,15,32,
20,31,23,31,23,31,23,31,23,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,32,21,44,30,32,20,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_bold_49_latin_ext_h[560]={ 0,31,15,31,34,32,31,15,39,39,17,25,15,6,
8,31,31,30,30,31,30,31,31,31,31,31,22,29,23,11,23,31,40,30,30,31,30,30,30,31,30,30,31,30,
30,30,31,31,30,38,30,31,30,31,31,31,30,30,30,39,31,39,16,4,9,22,31,22,31,22,30,31,30,30,
40,30,30,21,21,22,31,31,21,22,29,22,22,22,21,31,21,39,40,40,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,39,32,22,30,
40,40,7,31,13,21,11,6,31,4,16,25,16,16,9,31,40,8,10,16,13,21,32,32,32,32,40,40,40,38,
38,38,30,39,40,40,40,38,40,40,40,38,30,39,41,41,41,39,39,20,33,41,41,41,39,40,30,31,32,32,
32,31,31,33,22,30,32,32,32,31,31,31,31,30,31,30,32,32,32,31,31,20,23,32,32,32,31,41,40,40,
37,29,39,31,40,31,41,32,42,32,40,31,41,32,40,31,30,31,37,29,40,31,39,31,40,31,40,32,41,41,
40,40,40,40,39,42,41,41,30,30,39,30,37,28,40,30,40,40,38,21,31,40,42,41,39,39,21,40,40,39,
39,30,30,30,30,30,30,41,31,39,30,41,31,30,31,31,38,29,41,31,41,32,31,22,40,31,39,30,40,31,
41,32,42,32,39,30,41,32,41,39,40,31,30,29,40,31,38,29,41,31,42,33,41,32,40,31,42,32,41,41,
38,40,31,38,30,40,31,30,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,31,28,28,40,28,28,28,
28,28,28,28,28,28,28,28,28,28,34,24,28,28,28,28,28,28,28,28,28,28,28,28,28,37,22,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,40,32,40,31,41,
32,41,32,41,35,41,38,41,39,41,38,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,46,41,40,32,42,32,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__times_bold_49_latin_ext_s[560]={ 510,490,78,65,469,58,378,97,359,162,482,
289,501,279,217,497,372,52,481,20,1,187,411,323,432,98,500,501,366,160,392,
409,30,413,138,35,311,243,63,1,446,493,432,1,90,167,474,74,37,66,209,
243,70,375,342,265,98,380,22,501,205,238,57,318,206,1,203,458,111,439,119,
183,356,343,495,285,272,400,314,86,466,119,230,46,214,62,23,107,269,88,249,
362,504,490,227,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,510,463,278,
440,477,173,395,273,263,346,119,338,134,279,310,293,14,315,31,1,195,49,433,
253,186,45,105,291,140,1,472,121,71,328,361,129,33,276,442,100,118,212,241,
463,176,100,293,445,141,458,462,352,65,25,297,461,1,320,98,34,330,428,35,
254,34,56,78,165,143,490,140,385,245,283,264,1,483,469,453,477,332,212,419,
100,302,345,366,436,418,221,197,173,387,439,249,132,376,168,376,232,400,277,424,
400,34,362,35,353,327,270,300,300,254,208,347,230,155,41,249,79,271,60,1,
381,225,417,294,78,311,479,374,219,357,486,62,487,409,404,492,273,194,197,461,
65,427,361,428,270,119,130,202,176,374,147,345,71,58,356,334,305,286,448,499,
33,135,130,97,385,179,1,227,260,186,147,287,282,170,341,303,199,1,413,424,
423,394,455,148,138,97,254,490,407,203,122,259,408,104,1,420,131,458,25,1,
190,1,219,187,34,154,98,217,127,142,154,121,98,243,186,107,99,121,241,159,
236,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,151,249,249,216,
249,249,249,249,249,249,249,249,249,249,249,249,249,433,340,249,249,249,249,249,
249,249,249,249,249,249,249,249,309,171,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,184,187,
377,393,1,209,454,230,392,409,66,162,295,1,263,219,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,1,241,332,289,64,320,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249, };
static unsigned short stb__times_bold_49_latin_ext_t[560]={ 1,360,572,392,254,293,392,572,173,214,549,
518,549,572,572,327,360,518,487,360,518,360,327,327,327,360,518,487,518,572,518,
360,132,487,487,392,487,487,487,392,487,456,392,487,487,487,392,424,487,254,487,
424,518,424,424,424,518,487,518,132,424,214,572,572,572,549,392,518,392,518,487,
424,487,487,44,487,487,549,549,549,360,360,549,549,518,549,549,549,549,392,549,
214,90,90,572,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,1,293,214,
293,518,456,90,132,572,392,572,549,572,572,424,572,572,518,572,572,572,424,90,
572,572,572,572,549,327,327,293,327,132,132,132,254,254,254,424,214,173,173,173,
214,173,173,173,214,456,173,44,44,90,214,214,549,293,44,44,44,214,132,456,
360,327,327,327,360,360,254,549,456,327,327,327,360,327,327,327,456,360,456,293,
327,327,327,327,549,518,327,327,327,327,44,132,132,254,518,214,360,90,360,1,
293,1,293,173,360,1,293,90,360,456,360,254,518,132,360,214,360,90,360,132,
293,44,44,132,173,173,132,173,1,1,1,456,424,214,456,214,518,173,456,132,
173,214,549,360,173,1,44,214,214,549,173,173,214,214,456,456,456,456,456,360,
90,392,214,456,44,392,456,392,392,254,518,44,392,44,293,392,549,173,392,173,
424,132,392,44,293,1,293,173,424,44,293,44,173,132,424,456,518,90,424,254,
518,90,424,1,293,90,293,132,424,1,293,90,90,254,90,424,254,456,90,392,
456,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,424,518,518,90,
518,518,518,518,518,518,518,518,518,518,518,518,518,254,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,254,549,518,518,518,518,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,132,293,
90,360,48,293,1,293,1,254,44,254,1,214,1,254,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,
518,518,518,1,1,90,293,1,293,518,518,518,518,518,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,
518,518,518,518,518,518,518,518,518, };
static unsigned short stb__times_bold_49_latin_ext_a[560]={ 177,236,393,354,354,708,590,197,
236,236,354,403,177,236,177,197,354,354,354,354,354,354,354,354,
354,354,236,236,403,403,403,354,659,511,472,511,511,472,432,551,
551,276,354,551,472,668,511,551,432,551,511,394,472,511,511,708,
511,511,472,236,197,236,411,354,236,354,394,314,394,314,236,354,
394,197,236,394,197,590,394,354,394,394,314,276,236,394,354,511,
354,354,314,279,156,279,368,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,177,236,354,354,354,354,156,354,
236,529,212,354,403,236,529,354,283,389,212,212,236,408,382,177,
236,212,234,354,531,531,531,354,511,511,511,511,511,511,708,511,
472,472,472,472,276,276,276,276,511,511,551,551,551,551,551,403,
551,511,511,511,511,511,432,394,354,354,354,354,354,354,511,314,
314,314,314,314,197,197,197,197,354,394,354,354,354,354,354,389,
354,394,394,394,394,354,394,354,511,354,511,354,511,354,511,314,
511,314,511,314,511,314,511,519,511,394,472,314,472,314,472,314,
472,314,472,314,551,354,551,354,551,354,551,354,551,394,551,394,
276,197,276,197,276,197,276,197,276,197,582,391,354,236,551,394,
394,472,197,472,197,472,332,472,280,472,197,511,394,511,394,511,
394,516,544,394,551,354,551,354,551,354,708,511,511,314,511,314,
511,314,394,276,394,276,394,276,394,276,472,236,472,369,472,236,
511,394,511,394,511,394,511,394,511,394,511,394,708,511,511,354,
511,472,314,472,314,472,314,197,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,523,551,551,354,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,392,551,551,551,551,551,551,
551,551,551,551,551,551,551,563,425,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,511,354,276,197,551,354,511,394,511,394,511,
394,511,394,511,394,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,511,354,708,511,551,354,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_49_latin_ext(stb_fontchar font[STB_FONT_times_bold_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_49_latin_ext_s[i] + stb__times_bold_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_49_latin_ext_t[i] + stb__times_bold_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_49_latin_ext_x[i];
            font[i].y0 = stb__times_bold_49_latin_ext_y[i];
            font[i].x1 = stb__times_bold_49_latin_ext_x[i] + stb__times_bold_49_latin_ext_w[i];
            font[i].y1 = stb__times_bold_49_latin_ext_y[i] + stb__times_bold_49_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_49_latin_ext_s[i] + stb__times_bold_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_49_latin_ext_t[i] + stb__times_bold_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_49_latin_ext_x[i] + stb__times_bold_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_49_latin_ext_y[i] + stb__times_bold_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_49_latin_ext_LINE_SPACING
#endif

