// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_46_latin1_BITMAP_HEIGHT        505
#define STB_FONT_arial_46_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_46_latin1_FIRST_CHAR            32
#define STB_FONT_arial_46_latin1_NUM_CHARS            224

#define STB_FONT_arial_46_latin1_LINE_SPACING          30

static unsigned int stb__arial_46_latin1_pixels[]={
    0x00000000,0x0b332000,0x22019995,0x00000aaa,0x16666400,0x266fd800,
    0x260002ff,0x02ceefdc,0xaaaaaa88,0x00fff32a,0x777f664c,0x000000bc,
    0x55544062,0x5102aaaa,0x6f7fc155,0x07ff9801,0xedcaa800,0x01cceeff,
    0x3ffe2000,0x807ffe44,0x0002fff9,0x3ffea000,0xffa8000e,0x0007fec2,
    0x3fffff22,0x2602efff,0x5fffffff,0xd700fff3,0xffffffff,0x000019ff,
    0xff30ff50,0x20bfffff,0x3fe1fff9,0x7cc03fff,0xf910007f,0xffffffff,
    0x017dffff,0x4fff8800,0x9807ffe4,0x00002fff,0x07fffa00,0x21bfa200,
    0x74005ff8,0xffffffff,0xff301fff,0x26bfffff,0x3fa607ff,0xffffffff,
    0x004fffff,0x4c2fe400,0x5fffffff,0x7c3fff30,0x202fffff,0x4c007ff9,
    0xfffffffd,0xffffffff,0x0000dfff,0xfc89fff1,0xfff300ff,0x20000005,
    0x0002fffa,0x3f203ff9,0xfff9002f,0xffb7139d,0xfff301ff,0x3e67999b,
    0xffff507f,0xb95599df,0x007fffff,0x441ffc00,0x5fffcccc,0x4c3fff30,
    0x205fffca,0x2e007ff9,0xabefffff,0x3f2a6209,0x001effff,0xa9835550,
    0xfff300aa,0x20000005,0x30004ffe,0x7fc40bff,0x7fff800f,0x213fff20,
    0xf302fff9,0xffff50ff,0xffd9805d,0x980003ff,0xffd000ff,0x07bba60b,
    0x9807ffdc,0xff9007ff,0x30003bff,0x007ffffb,0x3e600000,0x000002ff,
    0x0006ffa8,0xf9007ffa,0xfff9809f,0x437ffc03,0xf302fff9,0xffff88ff,
    0x7ffe4004,0x7dc0000f,0x17ffa006,0x3fff1000,0x201ffe60,0x000dfffd,
    0x2ffffa80,0x98000000,0x00002fff,0xf3000000,0xfff100df,0x01fffa80,
    0x2607ffec,0xff302fff,0x04fffe8f,0x09fffb00,0x004fe800,0x00017ffa,
    0x7cc0bffe,0x7ffec07f,0x6c400004,0x00000fff,0x17ffcc00,0x00000000,
    0x003ffd80,0x7c407ffd,0x4ccc04ff,0x02fff980,0x7fd4fff3,0x3e20006f,
    0x10000fff,0x7f4003ff,0xff80005f,0x0fff302f,0x0017ffdc,0x0dffd000,
    0x0006aaa2,0x3e615551,0x3b6e62ff,0x554400bc,0x5544001a,0x07ffcc0a,
    0x406ffb80,0x0001ffff,0x4c0bffe6,0x3fff67ff,0x7fec0003,0xdb73001e,
    0xfe800ffd,0x1555105f,0x9817ffc0,0xfff107ff,0xbdcb8805,0x22099981,
    0xfff03fff,0x6ffd800d,0x362bffe6,0xcfffffff,0x01bffe00,0xf90dffb0,
    0x7fc400df,0x3ffea02f,0xff30003f,0x5ffe605f,0x0007fff8,0xd9800a88,
    0xffffffff,0x17ffa004,0xf00fffcc,0x3fe605ff,0x40bffb07,0xffffffc8,
    0x87fff10e,0xff906ffa,0x3fe2003f,0x33ffe63f,0xfffffffe,0xff900eff,
    0x3fe2003f,0x03fff83f,0x202fff40,0x00dffffb,0x817ffcc0,0xfff57ff9,
    0x4000000d,0xfffffffb,0x800dffff,0xff305ffe,0x1fffc03f,0xf987ff98,
    0xfff300ff,0x1dffffff,0xfd05fff3,0x9fff305f,0x83ffee00,0xdffffff9,
    0xfffea88a,0x4fff980e,0x81fff700,0x4000fff9,0x7cc07ffb,0x002fffff,
    0x4c0bffe6,0x9fff97ff,0x2e000000,0x98bdffff,0x807fffff,0xff305ffe,
    0x1fff403f,0xfe87ff98,0xffff302f,0xdffb537b,0xf701fff9,0x1fffa0bf,
    0x262fff40,0x203fffff,0xfd04fffd,0x3ffa00ff,0x007ffc85,0x701fff98,
    0xffffffff,0xfff3001b,0x65ffe605,0x00003fff,0x2ffff880,0x7ffef7e4,
    0x82fff402,0x3a01fff9,0xfff303ff,0xf107ff88,0x3ea07fff,0xf106ffff,
    0x3ffee0ff,0x17ffc401,0x013fffe6,0x2e03fffa,0x7c401fff,0x6ffe82ff,
    0x3fff8800,0x4c77ff44,0x03fffffe,0x9817ffcc,0x5fffb7ff,0xfb000000,
    0x37fd09ff,0xfe80dfff,0x3fff305f,0x9827fec0,0x27fdc7ff,0x403fffd8,
    0x205ffffc,0xfff107ff,0x0fffb809,0x007fffcc,0x4417ffd4,0x7dc04fff,
    0x7ffc40ff,0xbfff0005,0xfb85ffb8,0x300effff,0x3e605fff,0x01fffd7f,
    0xff880000,0x91ff885f,0x7f403fff,0x3fff305f,0x982ffe40,0x0fff47ff,
    0x402fffd4,0x203ffff8,0xffb00ffe,0x85ffe80f,0x2004fff9,0xffb03fff,
    0x85ffe80f,0x0004fff8,0xffe8dfff,0xffffd301,0x5fff305f,0x7f5ffe60,
    0x000000ff,0x5c1fffd4,0x2006a27f,0xff305ffe,0x7ffcc03f,0x227ff981,
    0xfffd06ff,0x3fffe003,0x407ff601,0xf302fffa,0xfff303ff,0x2ffec005,
    0x302fffa8,0xff303fff,0x3fa0007f,0x01ffe27f,0x07ffffee,0x2605fff3,
    0x1fffd7ff,0xfc800000,0x04fd81ff,0x20bffd00,0x7401fff9,0x3ea006ff,
    0x5fff884f,0x01fffa00,0x7fc01ffd,0x0fff905f,0x8007ffe6,0x3fe06ffc,
    0x0fff905f,0x000fffea,0xff33ffec,0xffd3003f,0x7ffcc1df,0x36fff302,
    0x00001fff,0x407ffe40,0xfd0002ff,0x3ffe60bf,0x7fffcc01,0x1ffdc01d,
    0x000fffe4,0x7c40dffd,0x7ffe407f,0x304fff80,0x5c001fff,0xff900fff,
    0x09fff01f,0x000bffea,0xff07ffe4,0x3fa2009f,0x3ffe63ff,0x32fff302,
    0x00002fff,0x4c3ffec0,0xfd0000ff,0x3ffe60bf,0xfffe9801,0x417fdc04,
    0x2000fffd,0x3ea04fff,0x7ffcc05f,0x80fffd42,0x5c007ff9,0xff300fff,
    0x1fffa85f,0x003fff70,0xd83ffee0,0xf3002fff,0x7ffccbff,0x2efff302,
    0x00004fff,0x21bffa03,0x3a0006fc,0xfff305ff,0x3ffe2003,0x40ffe404,
    0x26006ffe,0x3f202fff,0x5ffe804f,0xf3037fec,0x7e4001ff,0x2fff407f,
    0xfa81bff6,0xf90001ff,0x7ffcc1ff,0xfffb003f,0x9817ffcc,0xdfff17ff,
    0xbff10000,0x743ffec7,0x3fa0003f,0x3fff305f,0x9ffff500,0xf81ffd80,
    0x3ea005ff,0x3ffa01ff,0x0fffb802,0x4c07fff1,0x36001fff,0x7fdc05ff,
    0x07fff10f,0x0017ffcc,0xfb87ffc8,0x5c01efff,0x3ffe66ff,0x74fff302,
    0x40000fff,0x3f25fffb,0x07fe20ff,0x05ffe800,0xb803fff3,0xc802dfff,
    0x4fff82ff,0x81fff600,0x8800fff9,0xfff53fff,0x17ffcc01,0x809ffd00,
    0xff53fff8,0x7ffcc01f,0xdffb0003,0x3fffff20,0x997ffa03,0xff302fff,
    0x027ffdcf,0x8bfffa00,0x3ee2fffb,0x40399b07,0xff305ffe,0x4ffe803f,
    0x7fe43330,0x005ffd83,0x740bfff3,0x3f6003ff,0x80bffb5f,0x1004fff9,
    0xfb005fff,0x017ff6bf,0x0007fff1,0xfa81bffa,0x541effff,0x3fe61fff,
    0x4fff302f,0x001ffff8,0x98ffff50,0x13f63fff,0xe80fffe2,0xfff305ff,
    0x07ffcc03,0xff73ffcc,0x00dff909,0x5c0ffffa,0x7d4006ff,0x02fff8ff,
    0x007fffcc,0x4007ffec,0xfff8fffa,0x04fff802,0x80bfff00,0xcfffffd8,
    0x4c3fffc8,0xff302fff,0x1efffb8f,0x7fffcc00,0xf0fffe83,0x1fff705f,
    0x982fff40,0x3f201fff,0x4fff305f,0xffa85ffa,0x7ffdc02f,0x1fffb82f,
    0xfdfff800,0xfff9807f,0x7ffcc05f,0x37ffe005,0xffb007ff,0xfff1000d,
    0x3ffaa007,0x82efffff,0xf302fff9,0xffffd0ff,0x3ffea005,0xbfff706f,
    0xff981ff5,0x2fff406f,0x201fff98,0xff304ffe,0x443ffc4f,0xf900efff,
    0x6443ffff,0x90004fff,0x009fffff,0x1bfffff3,0x03ffff70,0x7ffffe40,
    0x1fff7004,0x0fffa800,0x3fff2200,0x3fe605ff,0x0fff302f,0x5dfffff3,
    0xfffe9881,0x3ffa00ef,0x7f4c5fef,0x7ff401ff,0x03fff305,0xf981fff4,
    0x417ff47f,0x511efffb,0xdffffffb,0x09ffff95,0x7fffcc00,0xfff9801f,
    0xedcdffff,0x4003ffff,0x01fffff9,0x005fff10,0x0006ffc8,0x05ffffd3,
    0x4c0bffe6,0xffd107ff,0xffdfffff,0x01ffffff,0xefffff98,0x2ffffdba,
    0x305ffe80,0x7fc03fff,0x8fff303f,0xff906ffb,0x5fffffff,0xfffffff7,
    0xd00005ff,0x2600dfff,0xfffdafff,0x02ffffff,0x0dfffd00,0x004ffe80,
    0x0001fff4,0x20bffff6,0xf302fff9,0x7fec40ff,0xffffffff,0x3000cfff,
    0xfffffffd,0x3a007fff,0xfff305ff,0x81fffc03,0x7fc47ff9,0xffffb01f,
    0x3fe23fff,0x01efffff,0x7fff7000,0x4bffe600,0xcffffffb,0x3fee0000,
    0x7fdc003f,0x3ffe2006,0xffc80001,0x2fff987f,0x100fff30,0xfffffff9,
    0x200019ff,0xfffffffe,0x3ffa000d,0x03fff305,0xf9817ffc,0x0effc87f,
    0x15bfd730,0x1bdffd98,0x00155530,0x4003ffea,0x5442fff9,0xa800009a,
    0x44000fff,0xf9001fff,0x640000df,0x7fcc1fff,0x0fff302f,0x9aefe880,
    0xdfe80000,0x80009bba,0xff305ffe,0x17ffc03f,0xf887ff98,0x000005ff,
    0x017ffe60,0x2004ffd8,0x0002fff9,0x04ffd800,0x009ff900,0xed80bffe,
    0xfff9805f,0x817ffcc3,0x44007ff9,0x200005ff,0x00002ff8,0x3ea0bffd,
    0x3ffe01ff,0x20fff302,0x0004fffa,0xffff8800,0x3fff1000,0x17ffcc00,
    0x3e200000,0xf10001ff,0xffa801ff,0x03fff406,0x261fffc4,0xff302fff,
    0xfffa800f,0xfb80003e,0x3fa00007,0x3fff505f,0x9817ffc0,0x3ff207ff,
    0x000001ef,0x003ffff7,0x20037fe4,0x0002fff9,0x037fe400,0x00fff200,
    0xfb805ffb,0x7fe403ff,0x17ffcc1f,0x4007ff98,0x03ffea98,0x002fec00,
    0x20bffd00,0xf100fffb,0x3fe603ff,0x7fffe407,0xd100000c,0x0403ffff,
    0x005fff91,0x002fff98,0xffc88200,0x7c40002f,0x1bfe606f,0x2bfffe20,
    0x86fffa80,0xf302fff9,0x7dc000ff,0x7fc0006f,0x3fa00003,0x0fffb05f,
    0xf303ffe4,0xfff700ff,0x80015bff,0xdffffeb8,0x7ff7ec00,0xf98005ff,
    0x200002ff,0x5ffffefd,0x7ff70000,0x4007ff60,0xbdfffffa,0x83fffffd,
    0xeeeefff9,0x200fff34,0xbfff7310,0x07fcc000,0xeeee8800,0xf9b35fff,
    0xdcb8bfff,0x3e605fff,0xffd1007f,0x799dffff,0xfd997555,0x003dffff,
    0x3bfffff2,0xfff98000,0x3f200002,0x000effff,0x503ffa00,0xfc8007ff,
    0xffffffff,0xfff302ff,0x3e6bffff,0xfff9007f,0x0003ffff,0x300037e4,
    0xbfffffff,0x3fffffee,0x7fffffc1,0x01ffe601,0xfffffb50,0xffffffff,
    0x07ffffff,0xfffffb80,0xfff30001,0x7dc00005,0x0001ffff,0x3a27fc40,
    0xfd30006f,0x3dffffff,0x7ffffcc0,0x0fff35ff,0x3fffff20,0x7e40001e,
    0x3fe60004,0xfb5fffff,0xff05ffff,0xf9805fff,0xb710007f,0xfffffffd,
    0x17bfffff,0x37951000,0x13330000,0x65440000,0x2000001b,0x073224ca,
    0x79753000,0x26660013,0x99109999,0x2aaa2009,0x0400000a,0x26666000,
    0x99750999,0x0b332015,0x00266440,0x99753100,0x00003559,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0xaaaaaaaa,0x00aaaaaa,0x005feea8,0x05fffe80,
    0xffff1000,0xd8000009,0x00006fff,0x0dfff900,0x01310000,0xfff10000,
    0x5000007f,0x0003ffff,0xffff9800,0xfea80002,0xffffffff,0x1fffffff,
    0x2fffff40,0x3ffea000,0x2600000e,0x0000ffff,0x3fffa200,0x54000002,
    0x005fffff,0x0017ec00,0x27ffe400,0x7fc40000,0x0000efff,0x13fff600,
    0xfffb3000,0xffffffff,0x3fffffff,0x7ffffe40,0x7ff40005,0xa800000f,
    0x00004fff,0x037ffcc0,0xfff10000,0x0007fffb,0x039fd310,0x7ffc4000,
    0xfd000006,0x00bffddf,0x3ffe2000,0x7fc40006,0xffffffff,0xffffffff,
    0xfff101ff,0x4000137d,0x0002fffa,0x03fff200,0xff500000,0x2000005f,
    0xffa8fffe,0xfd70002f,0x19ffffff,0xfffc8000,0xfc800000,0x4fff99ff,
    0xffc80000,0x7ec0000f,0xffffffff,0x802fff83,0x0000fffa,0x0009ffd0,
    0x09ffb000,0xff700000,0xf900000d,0x7ffec5ff,0x3ffa2000,0xffffffff,
    0xff10002f,0x5000005f,0x7fdc9fff,0x2200002f,0x40001fff,0xfffffff9,
    0xfff83fff,0x06ffb802,0x0bdd1000,0x36200000,0x0000005e,0x00003dd9,
    0x2227774c,0x3a004eee,0xefeeffff,0x001fffff,0x0003eea8,0x85eed880,
    0x0000deed,0x0007dd70,0xffffff70,0xff07ffff,0xbff9005f,0x00000000,
    0x00000000,0x00000000,0xfc800000,0x35fb3fff,0x001ffffb,0x00000000,
    0x00000000,0x7ffec000,0x3fffffff,0xc802fff8,0x440005ff,0xcdefedba,
    0x1554c001,0x2aaa6000,0x6dd44000,0x001cdefe,0x0001554c,0xf982aaa6,
    0xb17ec6ff,0x554c7fff,0x554c0002,0x5d44000a,0x01cdefed,0x555554c0,
    0xaaaaaaaa,0x1aaaaaaa,0x3fffffa0,0xf83fffff,0xffc802ff,0xffd30005,
    0xffffffff,0xffb0017d,0x7dc0001f,0xfd3002ff,0xffffffff,0xfb0017df,
    0x5c0001ff,0x3fee2fff,0xf317ec3f,0x7ffecdff,0x3fee0000,0xffd3002f,
    0xffffffff,0xffb0017d,0xffffffff,0xffffffff,0x7ff409ff,0xffffffff,
    0x802fff83,0xc8005ffc,0xffffffff,0x1effffff,0x007ffec0,0x05fff700,
    0xffffff90,0xffffffff,0xfffd803d,0x3fee0000,0x03fff22f,0xfffe85fb,
    0x001fffb0,0x017ffdc0,0x7fffffe4,0xffffffff,0x7ffec01e,0xffffffff,
    0xffffffff,0x3fff604f,0x3fffffff,0xd802fff8,0x3a6004ff,0xbcefffff,
    0xfffffdca,0x3fff602f,0x3fee0000,0x3ffa602f,0xcabcefff,0x2ffffffd,
    0x003fff60,0x22fffb80,0x2fd85ffe,0x7ffec0cc,0x3fee0000,0x3ffa602f,
    0xcabcefff,0x2ffffffd,0x3fffff60,0xffffffff,0x4fffffff,0x3ffffee0,
    0xf83fffff,0xffd802ff,0xffff3004,0xffd7009f,0x3ff607ff,0x3ee0000f,
    0xfff302ff,0xfd7009ff,0x3f607fff,0x2e0000ff,0x3ff62fff,0xb002fd87,
    0x40001fff,0xf302fffb,0x7009ffff,0x207ffffd,0x0000fffd,0x7fffcc00,
    0x83ffffff,0xfd802fff,0xfffd004f,0x7ec4003d,0xffd80fff,0x3ee0000f,
    0xfffd02ff,0x7ec4003d,0xffd80fff,0x3ee0000f,0x3ffee2ff,0xd8017ec2,
    0x20000fff,0xfd02fffb,0x44003dff,0xd80ffffd,0x00000fff,0xfffffc80,
    0xff83ffff,0x3ffe802f,0x06fffb80,0x1bfff600,0x0003fff6,0xb82fffb8,
    0x20006fff,0xfd86fffd,0x2e0000ff,0x3fe62fff,0x8017ec5f,0x0000fffd,
    0x2e0bffee,0x20006fff,0xfd86fffd,0x000000ff,0xffffffd0,0x5fff07ff,
    0x803fff00,0x001ffff8,0x0ffffe20,0x0001fffb,0x2217ffdc,0x0001ffff,
    0xb0ffffe2,0x40001fff,0x7fc2fffb,0x05fb0dff,0x003fff60,0x42fffb80,
    0x001ffff8,0x0ffffe20,0x0001fffb,0x7ffe4000,0xff83ffff,0x37fdc02f,
    0x027ffe40,0x37ffd400,0x0003fff6,0x642fffb8,0x80004fff,0x7ec6fffa,
    0x2e0000ff,0x7fcc2fff,0x02fedfff,0x001fffb0,0x217ffdc0,0x0004fffc,
    0x6c6fffa8,0x00000fff,0x7ff64c00,0x2fff83ff,0x00fffe20,0x001ffff1,
    0x83fffa00,0x0000fffd,0xf88bffee,0x00000fff,0x7ec1fffd,0x2e0000ff,
    0xff982fff,0xadffffff,0x03fff600,0x2fffb800,0x003fffe2,0x07fff400,
    0x0001fffb,0xffe80000,0xa82fff83,0x400efffd,0x0005fff9,0xd8ffff20,
    0x20000fff,0x3e62fffb,0x200005ff,0x3f63fffc,0x2e0000ff,0xf9102fff,
    0xffffffff,0x03fff609,0x2fffb800,0x0017ffe6,0x23fffc80,0x0000fffd,
    0x7ff40000,0xe82fff83,0xf5004fff,0x400009ff,0x3f65fff9,0x2e0000ff,
    0x3fea2fff,0x2600004f,0x3ff65fff,0x3ee0000f,0xfda802ff,0x1effffff,
    0x0007ffec,0x545fff70,0x00004fff,0xfd97ffe6,0x000000ff,0x41fff400,
    0xffe82fff,0xfff7000e,0x7c400007,0x3fff66ff,0x3fee0000,0x0fffee2f,
    0xfff88000,0x003fff66,0x02fffb80,0x3fffbf60,0x3ff60fff,0x3ee0000f,
    0x3ffee2ff,0x3e200003,0x3fff66ff,0x00000000,0x7fc1fff4,0xffffe82f,
    0x1fffc802,0x7ffc0000,0x003fff67,0x22fffb80,0x0001fffc,0xfb3fffc0,
    0x5c0001ff,0x36002fff,0xbffff52f,0x0007ffec,0x645fff70,0x00001fff,
    0xffb3fffc,0xffffffff,0xffffffff,0xfe80007f,0x82fff83f,0x01fffeb8,
    0x0007fff4,0x43fffe00,0x0000fffd,0xfe8bffee,0x400000ff,0xffb0ffff,
    0x7dc0001f,0x3f6002ff,0x4bfffa22,0x0000fffd,0xfe8bffee,0x400000ff,
    0xffb0ffff,0xffffffff,0xffffffff,0xfe80007f,0x02fff83f,0x3e02fff4,
    0x800007ff,0xffb0fffe,0x7dc0001f,0x1fffe2ff,0x3ffa0000,0x01fffb0f,
    0x17ffdc00,0xfb85fb00,0x1fffb4ff,0x7ffdc000,0x001fffe2,0x43fffa00,
    0xfffffffd,0xffffffff,0x0003ffff,0x7fc1fff4,0x7ffd402f,0x03fffa00,
    0xffff0000,0x0007ffec,0x745fff70,0x00000fff,0xffb3fffc,0x7dc0001f,
    0x3f6002ff,0xdafffc42,0x20000fff,0x3fa2fffb,0x400000ff,0x3ff67fff,
    0xaaaaaabf,0xaaaaaaaa,0x7f40000a,0x02fff83f,0x3a02fff8,0x00001fff,
    0xfd9fffe2,0x2e0000ff,0x3ffa2fff,0x2200001f,0x3ff67fff,0x3ee0000f,
    0x1b9512ff,0xffd05fb0,0x003fff6d,0x22fffb80,0x0001fffe,0xd9fffe20,
    0x00000fff,0x1fff4000,0x74017ffc,0x3ff603ff,0x2600002f,0x3ff66fff,
    0x3f20000f,0x3fff62ff,0x3e600002,0x3fff66ff,0x3ff20000,0x05fff52f,
    0xdffd05fb,0x0003fff6,0x362fffc8,0x00002fff,0xfd9bffe6,0x000000ff,
    0x41fff400,0xfd802fff,0x3ffee04f,0x3ea00004,0x3fff25ff,0x3ff20001,
    0x13ffee1f,0xfffa8000,0x007fff25,0x21fffc80,0x2fd84fff,0xff94fff8,
    0x7e40003f,0x3ffee1ff,0x3ea00004,0x3fff65ff,0x00000000,0x7fc1fff4,
    0x4ffd802f,0x017ffe60,0x2fffc800,0x0007fff2,0x261fffd8,0x00005fff,
    0xfc8bfff2,0x360001ff,0x3ff61fff,0x2a17ec0f,0xfff93fff,0x7fec0003,
    0x17ffe61f,0xfffc8000,0x003fff62,0xfd000000,0x05fff07f,0xe80bffb0,
    0x80002fff,0x7dc7fff9,0x3a0003ff,0x7ff40fff,0xf980002f,0x7ffdc7ff,
    0x3ffa0003,0x17ffee0f,0x7ffc45fb,0x07fff70f,0x07fff400,0x000bfffa,
    0xb1fffe60,0x00001fff,0x3ffe8000,0xd802fff8,0x7fdc05ff,0xfd80006f,
    0x7ffcc4ff,0xfff10005,0x0dfff70f,0x9fffb000,0x005fff98,0x88ffff10,
    0x3f65ffff,0x47fffd32,0x0005fff9,0xf70ffff1,0xb0000dff,0xffd89fff,
    0x0000000f,0x7c1fff40,0xffc802ff,0x7fff4405,0x3fea0003,0xffff81ff,
    0xfffc8000,0x3fffe885,0x3ffea000,0x0ffff81f,0x5fffc800,0xdfffff98,
    0xffffddfe,0x00ffff86,0x85fffc80,0x003fffe8,0x07fffea0,0x0001fffb,
    0xffe80000,0x802fff83,0xfa805ffc,0xa8003fff,0xfb03ffff,0x44001dff,
    0xf502ffff,0x50007fff,0x3607ffff,0x2000efff,0x302ffff8,0xffffffff,
    0x3609ffff,0x2000efff,0x502ffff8,0x0007ffff,0xb07ffff5,0x00001fff,
    0x3ffe8000,0xc802fff8,0xff9005ff,0x32001bff,0x2606ffff,0x3006ffff,
    0xc80dfffd,0x000dffff,0x40dffff9,0x006ffff9,0x80dfffd3,0xfffffec8,
    0x3e602eff,0xd3006fff,0xfc80dfff,0x9000dfff,0x360dffff,0x00000fff,
    0x1fff4000,0x5c017ffc,0x3f6007ff,0x20abffff,0xffffeb98,0x7ffe400e,
    0x5311bdff,0x03fffff9,0x7fffffb0,0x7f5cc415,0x6400efff,0x1bdfffff,
    0xffff9531,0x7544003f,0xf9000adf,0x237bffff,0xffffca98,0xfffd801f,
    0x2620abff,0x0effffeb,0x557fffb0,0x55555555,0x15555555,0x0fffa000,
    0x2600bffe,0x2e002fff,0xffffffff,0xffffffff,0xffd8800d,0xffffffff,
    0x02ffffff,0x3ffffee0,0xffffffff,0x8800dfff,0xfffffffd,0xffffffff,
    0x5fb0002f,0xfffd8800,0xffffffff,0x002fffff,0x3fffffee,0xffffffff,
    0x3f600dff,0xffffffff,0xffffffff,0x0001ffff,0xfff07ffd,0x3fffa005,
    0xfea802ce,0xffffffff,0x8003ffff,0xfffffffc,0x1fffffff,0xfffea800,
    0xffffffff,0xfc8003ff,0xffffffff,0x001fffff,0x4000bf60,0xfffffffc,
    0x1fffffff,0xfffea800,0xffffffff,0xffd803ff,0xffffffff,0xffffffff,
    0xd0001fff,0x5fff07ff,0x3fffee00,0x3f66005f,0xdfffffff,0x764c0002,
    0xffffffff,0xd980002d,0xffffffff,0x64c0002d,0xfffffffe,0xd80002df,
    0x3260002f,0xfffffffe,0x980002df,0xfffffffd,0x3f6002df,0xffffffff,
    0xffffffff,0x0001ffff,0xfff07ffd,0x7ffdc005,0x5330005f,0x00001355,
    0x35555330,0x26000001,0x0009aaa9,0xaaa99800,0x2000009a,0x30000098,
    0x01355553,0x2a660000,0x000009aa,0x80000000,0x99980998,0x66544000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55055530,0x50000035,0xbff05bdb,
    0xfc800000,0xb0000eff,0x3201dfff,0x00006fff,0x007ffff1,0x03ffff20,
    0x7fffe400,0xf8800000,0x00004fff,0x3ffff500,0x21555400,0x8000aaa8,
    0x3e20fffc,0x400004ff,0xcefffffb,0x0004ffb9,0x3fffe200,0xfff10001,
    0x3ffea01f,0xd80005ff,0x001fffff,0x009fffb0,0x01ffff40,0xfffa8000,
    0x8000000f,0x4003fffe,0x7fd46ffe,0xffc8002f,0x13ffe20f,0xfff88000,
    0xfffffffe,0x2000001f,0x0002fffc,0x440bfff2,0x3fffdfff,0x3fff2000,
    0x8000fffd,0x000fffe8,0x00fffd10,0x7ffdc000,0x4c000003,0xe8005fff,
    0x7ffd46ff,0xfffc8002,0x013ffe20,0x13ffb800,0x07ffffd7,0x7fc40000,
    0x3e20004f,0x3ffa04ff,0x01fffb8e,0xd3fffa80,0x22000dff,0x20004fff,
    0x0003fff9,0x01fff200,0xdffb0000,0x1bffa000,0x0005fff5,0x7441ddd7,
    0x200003ee,0x2b980eeb,0xfb800000,0x7e40006f,0x3fff605f,0x003fff61,
    0x266fff88,0x30004fff,0x40001fff,0x00007ffa,0x001fff40,0x0fff9800,
    0x8bddb000,0x0001eeea,0x00000000,0x00000000,0x80001bdb,0xdd300ded,
    0x4eee889d,0x07bbb200,0x0005ddd7,0x0000bbae,0x00005dd7,0x002f6c40,
    0x02eeb800,0x00000000,0x77f6dd44,0x000001cd,0xbdfdb751,0x00000039,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01aaa880,
    0x7fff4c00,0xefffffff,0xe980000b,0xffffffff,0x0000beff,0x01aaaa80,
    0x06aaa200,0x006aaa20,0x1aaaa800,0x55544000,0x2aaa0001,0x5530001a,
    0x55555555,0x55555555,0x5554c355,0x55300002,0x3ffe2055,0x3ff20005,
    0xffffffff,0x001effff,0x3fffff20,0xffffffff,0x200001ef,0x006ffff8,
    0x017ffe20,0x0017ffe2,0x37fffc40,0x3ffe2000,0xfff10005,0x3f6000df,
    0xffffffff,0xffffffff,0x3fe64fff,0x440003ff,0xf103ffff,0xd3000bff,
    0x79dfffff,0xfffffb95,0xfe98005f,0xabceffff,0xffffffdc,0xff700002,
    0x20003fff,0x8805fff8,0x00005fff,0x03fffff7,0x2fffc400,0xffffb800,
    0xffd8001f,0xffffffff,0xffffffff,0x7ffe44ff,0x3f60000f,0x3fe205ff,
    0x7fcc005f,0xeb804fff,0x3003ffff,0x009fffff,0x07ffffd7,0xffffd000,
    0x3e20009f,0xff8805ff,0xfd00005f,0x0009ffff,0x002fffc4,0x4fffffe8,
    0xffffd800,0xffffffff,0xffffffff,0x05fffe84,0x1ffff500,0x02fffc40,
    0x07bfffa0,0xffffd880,0xefffe800,0x3ff62001,0x260000ff,0x0fffbfff,
    0x5fff8800,0x05fff880,0xbfff9800,0x10000fff,0x3000bfff,0x1fff7fff,
    0x0fffd800,0xff300000,0xf88007ff,0x7c402fff,0x3ee005ff,0x360006ff,
    0x7dc06fff,0x360006ff,0x20006fff,0xfff8dffc,0xfff88003,0x5fff8805,
    0xdffc8000,0x0003fff8,0x000bfff1,0xfff1bff9,0xfffd8007,0x32000000,
    0x2000ffff,0x8805fffc,0xf1005fff,0x40003fff,0x103ffff8,0x0003ffff,
    0x01ffffc4,0xfd3fff80,0xff1000df,0xfff100bf,0xfff0000b,0x001bffa7,
    0x002fffc4,0xffe9fffc,0x7ffec006,0x74000000,0xf3005fff,0xf1001fff,
    0x3f200bff,0xa80004ff,0xff906fff,0xf500009f,0xf5000dff,0x3ffee1ff,
    0x7ffc4001,0x5fff8805,0x7ffd4000,0x003fff70,0x00bfff10,0xf70fffa8,
    0x7ec003ff,0x000000ff,0x017fffcc,0x8017fff4,0x8805fff8,0x0000ffff,
    0x881fffd0,0x0000ffff,0x001fffd0,0x3e26ffd8,0x7c4005ff,0xff8805ff,
    0x7ec0005f,0x17ffe26f,0x17ffe200,0x44dffb00,0x36005fff,0x00000fff,
    0x0ffffc80,0x013fff20,0x805fff88,0x0005fff9,0x30ffff20,0x0000bfff,
    0x001fffe4,0xfd89fff1,0x3e2000ff,0xff8805ff,0x3e20005f,0x7ffec4ff,
    0x7ffc4000,0x3ffe2005,0x007ffec4,0x000fffd8,0xfffd0000,0x3bffe60b,
    0x3ffe2000,0x4fffa805,0x3fe60000,0x27ffd45f,0xfff30000,0x7ffdc00b,
    0x01fffd41,0x00bfff10,0x000bfff1,0x2a0fffdc,0x44003fff,0x2e005fff,
    0x7fd41fff,0xfffb003f,0x20000001,0xe82ffff9,0x44001fff,0xfb805fff,
    0x200003ff,0x7dc6fff8,0x200003ff,0x2006fff8,0xfff06ffe,0x7ffc400d,
    0x5fff8805,0x1bffa000,0x20037ffc,0x2005fff8,0xfff06ffe,0x3fff600d,
    0x20000000,0x7dc6fffc,0xf88004ff,0xffc805ff,0x7c00001f,0x7ffe47ff,
    0x7fc00001,0xfff3007f,0x07fff207,0x02fffc40,0x002fffc4,0x903fff98,
    0x44003fff,0xf3005fff,0x3ff207ff,0xfffd801f,0x40000000,0xff13fffe,
    0x3e2000df,0xffe805ff,0x7c00000f,0x3ffa0fff,0x7c00000f,0xfd800fff,
    0xfff300ff,0x3ffe200b,0x5fff8805,0x1fffb000,0x017ffe60,0x005fff88,
    0x2601fffb,0xfd805fff,0xffffffff,0xffffffff,0x7cc003ff,0xfffd8fff,
    0xfff10001,0x0ffff00b,0xfffd0000,0x003fffc1,0x07fff400,0x017ffe20,
    0x1001fffd,0xf100bfff,0xf1000bff,0xffe80bff,0xfff1000f,0xbfff100b,
    0x00fffe80,0x7fffffec,0xffffffff,0x003fffff,0xffefffc8,0x3e20003f,
    0xffe805ff,0x7c00000f,0x7fff47ff,0x7fc00000,0xfffb807f,0x1fffdc02,
    0x02fffc40,0x002fffc4,0x2017ffdc,0x1003fffb,0xf700bfff,0xffb805ff,
    0x7ffec03f,0xffffffff,0xffffffff,0xfffd0003,0x88000dff,0xfe805fff,
    0x200001ff,0x7f47fff8,0x200001ff,0xe807fff8,0xff8807ff,0xfff8806f,
    0x5fff8805,0x07ffe800,0x006fff88,0xd00bfff1,0xff100fff,0xfffd80df,
    0xaaaaaaab,0xaaaaaaaa,0xfff30000,0x880001ff,0xfd805fff,0x200002ff,
    0x7ec6fff9,0x200002ff,0x4c06fff9,0x9999dfff,0xffe99999,0x7ffc402f,
    0x5fff8805,0x6fffcc00,0x99999999,0x802fffe9,0x4c05fff8,0x9999dfff,
    0xffe99999,0x3fff602f,0x00000000,0x000ffff2,0x017ffe20,0x0013ffee,
    0x45fffa80,0x0004fffb,0x017ffea0,0xfffffff9,0xffffffff,0xff880bff,
    0xfff8805f,0x7ffe4005,0xffffffff,0x05ffffff,0x405fff88,0xfffffffc,
    0xffffffff,0x3ff605ff,0x0000000f,0x00bffee0,0x17ffe200,0x017ffe60,
    0x2fffc800,0x002fffcc,0x05fff900,0xfffffff8,0xffffffff,0x2200ffff,
    0xf8805fff,0x7fc005ff,0xffffffff,0xffffffff,0x7ffc400f,0x7ffffc05,
    0xffffffff,0x00ffffff,0x0001fffb,0x7fdc0000,0xf880002f,0xffd005ff,
    0xf300005f,0x3ffa0fff,0xf980002f,0x7fd407ff,0xffffffff,0xffffffff,
    0x3ffe204f,0x5fff8805,0x3fffea00,0xffffffff,0x4fffffff,0x02fffc40,
    0xfffffff5,0xffffffff,0x3609ffff,0x00000fff,0x3ffee000,0xff880002,
    0xfff7005f,0xffb0000d,0x3ffee09f,0xffd80006,0x7ffec04f,0x7ffcc000,
    0x17ffe207,0x017ffe20,0x000fffd8,0x203fffcc,0x3605fff8,0x4c000fff,
    0xffb07fff,0x0000001f,0x017ffdc0,0x2fffc400,0x3fffe880,0x3ffea000,
    0xfffd101f,0x7fd40007,0x3fe201ff,0xffd0006f,0x3ffe205f,0x5fff8805,
    0x0dfff100,0x0bfffa00,0x105fff88,0x2000dfff,0xfd82fffe,0x000000ff,
    0x0bffee00,0x3ffe2000,0x3ffea005,0xffa8003f,0x7fd403ff,0xfa8003ff,
    0x7dc03fff,0xf50003ff,0x3fe20bff,0xfff8805f,0x7fff7005,0x3ffea000,
    0x17ffe205,0x001fffdc,0xd85fffa8,0x00000fff,0x3ffee000,0xff880002,
    0x7fe4005f,0xf9000dff,0x3200dfff,0x000dffff,0x00dffff9,0x0001fffd,
    0x203fffe2,0x8805fff8,0xfd005fff,0x220001ff,0xf100ffff,0x3ffa0bff,
    0xff10000f,0xfffd81ff,0x00000000,0x000bffee,0x017ffe20,0x3fffff60,
    0x3ae620ab,0x000effff,0x2ffffff6,0x3fae620a,0x4c00efff,0x40005fff,
    0xf884fffc,0xff8805ff,0xfff9805f,0x7fe40005,0xbfff104f,0x00bfff30,
    0x44fffc80,0x0000fffd,0x3fee0000,0xf880002f,0xf70005ff,0xffffffff,
    0xbfffffff,0xfff70001,0xffffffff,0x01bfffff,0x005fff90,0x87fff980,
    0x8805fff8,0xfc805fff,0x4c0002ff,0xff107fff,0x5fff90bf,0xfff98000,
    0x55fffec7,0xaaaaaaaa,0xaaaaaaaa,0xfffb8000,0xff880002,0x3aa0005f,
    0xffffffff,0x003fffff,0x7ffff540,0xffffffff,0x3ffe003f,0xffd00007,
    0x5fff885f,0x05fff880,0x0007fff8,0x105fffd0,0xfff0bfff,0x3fa0000f,
    0x3fff62ff,0xffffffff,0xffffffff,0xfb8001ff,0x880002ff,0x80005fff,
    0xffffffd9,0x00002dff,0x7ffffecc,0x4002dfff,0x0004fffa,0x88bfff70,
    0xf8805fff,0x7fd405ff,0xf700004f,0xfff10bff,0x04fffa8b,0xbfff7000,
    0x7fffffec,0xffffffff,0x1fffffff,0x2fffb800,0xfff88000,0x4cc00005,
    0x00009aaa,0xaaa99800,0xffb00009,0x2200003f,0x3e21ffff,0xff8805ff,
    0x7ffec05f,0xff100001,0xfff883ff,0x00fffec5,0xffff8800,0xffffffb1,
    0xffffffff,0x3fffffff,0x5fff7000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa885555,0x7cc0000a,0x00002fff,0xc817bd91,0x2200007f,0x000001db,
    0x5502aaa2,0x70000055,0xff9839db,0x55510002,0x002aaa81,0xffdb9500,
    0x0000399d,0x01400000,0x546ffe80,0x20002fff,0x0fffffe8,0x7ffcc000,
    0xffaadfff,0xff500006,0x00000dfd,0xfd0bffea,0xe80000df,0x9bdfffff,
    0x70001ffd,0xfff85fff,0x3ae20006,0xffffffff,0x00002dff,0x6f7f664c,
    0x17ee01bc,0x51bffa00,0x40005fff,0xeffdfffd,0x3ffa0000,0xffffffff,
    0xbb00003f,0x0000be61,0xd0bffea0,0x40000dff,0xfffefffb,0x0006ffff,
    0xff0bffee,0x3e6000df,0xffffffff,0x0effffff,0x7ff5c000,0xffffffff,
    0x0fffd41e,0x51bffa00,0x20005fff,0xff8afffb,0xff10005f,0x3fff6a2b,
    0xf100005f,0x00005d85,0x742fffa8,0x200006ff,0xff930ffe,0x40003dff,
    0x7fc2fffb,0xffb8006f,0xabceffff,0xefffffdc,0xffe88001,0xffffffff,
    0xf98dffff,0xed8001ff,0x17774c5e,0x2fffcc00,0x0007fff5,0x77105dd3,
    0x7c400001,0x00002743,0x3617774c,0x200005ee,0x039504ed,0x3ddd5000,
    0x4004eed8,0x02fffffb,0x7ffffe44,0x3ffea001,0xcabcefff,0xfffffffd,
    0x000002ff,0xbddb0000,0x01eeec81,0x00000000,0x0fdc7b20,0x00000000,
    0x00000000,0x00000000,0x037fffe6,0x6fffe980,0xfffff500,0xffff9007,
    0x553007ff,0xaa980005,0x0000000a,0x00015555,0x00055544,0x02ffffcc,
    0xaaa80000,0x0000001a,0x00035555,0x2aaaaaa6,0xaaaaaaaa,0x01aaaaaa,
    0x0009fffd,0x013fffa2,0x03dffff1,0x7ffff4c0,0x0fffd800,0x3ffee000,
    0x55555532,0x55555555,0x43555555,0x0005fffe,0x000bffea,0x01bfffe2,
    0x3fe20000,0x000006ff,0x06ffff88,0xfffffb00,0xffffffff,0x9fffffff,
    0x01ffff70,0x7fffcc00,0x17fff601,0x7fffec00,0x0fffd805,0x3ffee000,
    0xffffffb2,0xffffffff,0x49ffffff,0x003ffffe,0x005fff50,0x3fffff70,
    0xfb800000,0x0001ffff,0x7fffdc00,0xffd8001f,0xffffffff,0xffffffff,
    0xfffe84ff,0xffc80002,0xffff504f,0xfff90001,0xfd803fff,0x2e0000ff,
    0xfffb2fff,0xffffffff,0xffffffff,0x7ffff49f,0xffa8000f,0xffe8002f,
    0x00004fff,0x7fffff40,0x74000004,0x004fffff,0xffffffd8,0xffffffff,
    0x44ffffff,0x0006fff9,0x20ffff10,0x8004fffd,0xfffbeffc,0x07ffec05,
    0x5fff7000,0x3ffffff6,0xffffffff,0x24ffffff,0x05fffffe,0x02fffa80,
    0x7dfffcc0,0x000000ff,0xfff7fff3,0x26000001,0x0fffbfff,0x07ffec00,
    0x7fe40000,0x3a00003f,0x7fc41fff,0x7dc000ff,0xffff88ef,0x03fff601,
    0x2fffb800,0x0001fffb,0xfffffe80,0x7fd4003f,0x7fe4002f,0x003fff8d,
    0x1bff9000,0x00007fff,0x3e37ff20,0x7ec003ff,0x800000ff,0x0001fffe,
    0x713ffee0,0xa8009fff,0x3ff61fff,0x3fff602f,0x3fee0000,0x01fffb2f,
    0xfffe8000,0x2000ffff,0x4002fffa,0xdffd3fff,0x3fe00000,0x00dffd3f,
    0x4fffe000,0x6c006ffe,0x00000fff,0x000ffff8,0x13ffea00,0x4007fffb,
    0x7d41fff9,0x3ff604ff,0x3ee0000f,0x1fffb2ff,0xffe80000,0x005fffde,
    0x800bffea,0xff70fffa,0xa800003f,0xfff70fff,0xfa800003,0x3fff70ff,
    0x07ffec00,0x7ffc0000,0x7cc00007,0x7ffec5ff,0x5fff1002,0x40bfff30,
    0x0000fffd,0x7ecbffee,0x400000ff,0xfff8effe,0xfff5003f,0x37fec005,
    0x000bfff1,0x226ffd80,0x00005fff,0xff137fec,0x7fec00bf,0x4400000f,
    0x00006fff,0x3a37ffc4,0xe8800fff,0xfff103ff,0x07ffec0d,0x5fff7000,
    0x0003fff6,0x2adffd00,0xa800ffff,0xf1002fff,0xfffd89ff,0xff100000,
    0x0fffd89f,0xfff10000,0x00fffd89,0x001fffb0,0x6fff9800,0x7fc40000,
    0x03fffc6f,0x7c04ffe8,0x3ff607ff,0x3ee0000f,0x1fffb2ff,0xffe80000,
    0x017fff66,0x400bffea,0x7d41fffb,0x700003ff,0xffa83fff,0xf700003f,
    0xfffa83ff,0x1fffb003,0xff880000,0x4c00007f,0x7ffc5fff,0x05ffd807,
    0x3607fff8,0x20000fff,0xffb2fffb,0xe800001f,0x3ffe26ff,0x7ffd403f,
    0x0dffd002,0x0001bffe,0xff837ff4,0xfd00006f,0x1bffe0df,0x007ffec0,
    0x7fffc000,0x3ea00000,0x3fffc4ff,0x2017ff20,0x3607fff8,0x20000fff,
    0xffb2fffb,0xe800001f,0x7ffd46ff,0x3ffea00f,0x3fff9802,0x003fff90,
    0x03fff980,0x0003fff9,0x903fff98,0xfb003fff,0x000001ff,0x0003fffd,
    0x217ffe40,0xf900fffe,0xff3001df,0x7ffec0df,0x3fee0000,0x01fffb2f,
    0x6ffe8000,0x205fffd8,0xd802fffa,0xff300fff,0xfd8000bf,0xfff300ff,
    0xffd8000b,0xbfff300f,0xfffffb00,0xffffffff,0x07ffffff,0x0005fffb,
    0x20fffec0,0xfb81fffd,0xff5000ef,0x7ffec0bf,0x3fee0000,0xfffffb2f,
    0xffffffff,0x87ffffff,0xff886ffe,0xfff503ff,0x5fff8805,0x007fff40,
    0x05fff880,0x0007fff4,0x405fff88,0x6c00fffe,0xffffffff,0xffffffff,
    0xffa83fff,0x3a00004f,0x7fe40fff,0x0fffd42f,0x09fff700,0x0007ffec,
    0x365fff70,0xffffffff,0xffffffff,0x7ff43fff,0x1ffff506,0x805fff50,
    0x5c02fffb,0x70003fff,0xfb805fff,0xf70003ff,0xffb805ff,0x7ffec03f,
    0xffffffff,0xffffffff,0x0ffff883,0xfffa8000,0x26fffa86,0x4001fff9,
    0x3601fffd,0x20000fff,0xffb2fffb,0xffffffff,0xffffffff,0x06ffe87f,
    0x2a1bfff6,0x7f402fff,0xfff8807f,0xfffd0006,0x0dfff100,0x01fffa00,
    0xb01bffe2,0x55557fff,0x55555555,0x3f601555,0xbe9805ff,0x17fffc40,
    0xf89ffff8,0x7cc002ff,0x7fec07ff,0x3ee0000f,0x7fffb2ff,0x55555555,
    0x15555555,0x2206ffe8,0x7d43ffff,0x3fe602ff,0x999999df,0x2fffe999,
    0x6fffcc00,0x99999999,0x002fffe9,0x4cefffcc,0xe9999999,0x3f602fff,
    0x000000ff,0x803ffff3,0xfb0cfffc,0x7fdc0bff,0x003ffedf,0x404fffe8,
    0x0000fffd,0x7ecbfff2,0x400000ff,0x7d406ffe,0x3fea0fff,0x3fff202f,
    0xffffffff,0x05ffffff,0x7ffffe40,0xffffffff,0x4005ffff,0xfffffffc,
    0xffffffff,0x3ff605ff,0x2000000f,0x201efffb,0xfceffffe,0x3e200fff,
    0x004fffff,0x00ffffb8,0x000fffe4,0x363fff90,0x00000fff,0x6c037ff4,
    0x3fea6fff,0x3fffe02f,0xffffffff,0x0fffffff,0x3ffffe00,0xffffffff,
    0x00ffffff,0x3fffffe0,0xffffffff,0xb00fffff,0x00001fff,0x4ffffe80,
    0x3ffffaa0,0xfa802fff,0xa8005fff,0xc803ffff,0x20001fff,0xffb1fffd,
    0xe800001f,0xff8806ff,0x5fff53ff,0x3ffffea0,0xffffffff,0x04ffffff,
    0xffffff50,0xffffffff,0x009fffff,0x3fffffea,0xffffffff,0xb04fffff,
    0x00001fff,0xffffe880,0x36a209be,0x005fffff,0x013ffffe,0x2ffffec4,
    0x03fffb80,0x43fffa00,0x0000fffd,0x8037ff40,0xfa8ffffa,0xfffb02ff,
    0xfff98001,0x1fffb007,0x7fff9800,0x01fffb00,0x07fff980,0x0001fffb,
    0x3fff6000,0xfffeffff,0xcfffffff,0x7fffe400,0x2209bfff,0xeffffeba,
    0xbfff3000,0x3ffe2000,0x003fff67,0x0dffd000,0x577ffec0,0xff882fff,
    0xffd0006f,0xfff8805f,0xfffd0006,0x6fff8805,0x5fffd000,0x001fffb0,
    0x7fdc0000,0xffffffff,0xfffeefff,0x9dff703f,0xffffffff,0xffffffff,
    0xffff0009,0xfff90001,0x007ffecb,0x1bffa000,0xeffff880,0xffb82fff,
    0xff50003f,0xfffb80bf,0xfff50003,0x3fffb80b,0xbfff5000,0x001fffb0,
    0xfd500000,0xbfffffff,0x7ffffdc3,0x4c3bfea1,0xfffffffe,0x02ffffff,
    0x1dfffb00,0x7fffc400,0x003fff62,0x0dffd000,0xfffffa80,0xfffe82ff,
    0xfff10000,0x7fff401f,0xfff10000,0x7fff401f,0xfff10000,0x0fffd81f,
    0x20000000,0x019aaa98,0x443fff22,0xfea81fff,0xdfffffff,0x7fcc0002,
    0xfd3006ff,0xfffd8dff,0x7f400000,0xffd8006f,0x7cc2ffff,0x640005ff,
    0xff304fff,0xfc8000bf,0xfff304ff,0xffc8000b,0x07ffec4f,0x00000000,
    0x4c5e9800,0xaa98801e,0x2000009a,0xbdfffffc,0xfff95311,0xfffd83ff,
    0x7f400000,0xff88006f,0x7e42ffff,0x4c0002ff,0xff907fff,0xf980005f,
    0xfff907ff,0xff980005,0x5fffec7f,0xaaaaaaaa,0xaaaaaaaa,0x0000000a,
    0x00000010,0xffd88000,0xffffffff,0x82ffffff,0xaaabfffd,0xaaaaaaaa,
    0xd0aaaaaa,0x2a000dff,0x7c2fffff,0xd00007ff,0xfff05fff,0x3fa0000f,
    0x7fff82ff,0xfffd0000,0x7ffffec5,0xffffffff,0xffffffff,0x00000001,
    0x00000000,0x7fffe400,0xffffffff,0xfffb01ff,0xffffffff,0xffffffff,
    0x1bffa3ff,0xffffd800,0x013ffea2,0x2fffdc00,0x0013ffea,0x22fffdc0,
    0x0004fffa,0x6cbfff70,0xffffffff,0xffffffff,0x001fffff,0x00000000,
    0x80000000,0xfffffec9,0x6c02dfff,0xffffffff,0xffffffff,0xfd1fffff,
    0x7c4000df,0x3ff62fff,0xf100001f,0x7fec3fff,0xf100001f,0x7fec3fff,
    0xf100001f,0x3ff63fff,0xffffffff,0xffffffff,0x00001fff,0x00000000,
    0x4c000000,0x009aaaa9,0xffffffb0,0xffffffff,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7db10000,0x7ff90000,0x9ddb7100,0xff100007,0x7db1001f,
    0xfff10000,0xefdb8801,0xffa8001c,0x05100003,0xcccb8000,0x99910001,
    0x004ccb83,0x00198800,0x2bceca88,0x01555440,0x0027ff44,0x201bfea0,
    0xfffffff9,0x3fa0001f,0xffe8801f,0xffe80004,0x7fffcc01,0x74003fff,
    0xd880007f,0x80004fff,0x00fffffc,0x43fff980,0x54007ffe,0x7ec1cffe,
    0xffd91007,0x05dfffff,0x501fffe2,0x0009fffd,0x2007ffc4,0xecbdffe8,
    0xf70006ff,0xffd5009f,0xfb80009f,0x7ffc404f,0x03fffecf,0x0007ff70,
    0x3f715d90,0x7ffd4000,0x98006ffe,0x7ff43fff,0x3ffee007,0xffcbefff,
    0xfffe8805,0xffffffff,0x07fff883,0x9fffffb3,0x17fec000,0x261ffe40,
    0x4c000fff,0x7ecc06ff,0x0004ffff,0x3201bfe6,0x3fee0dff,0x07ff800f,
    0x6c3f8800,0xfff10004,0x009fff1b,0x743fff98,0xff1007ff,0xfffffdbf,
    0xff8805ff,0xeb9abeff,0x7c42ffff,0xbffd07ff,0x20009ff7,0x26005ffb,
    0x00fff882,0x007ffa20,0x9ff7bffd,0x0fff4000,0x203ffe20,0x7dc03ffd,
    0xf880003f,0xe8002e42,0xfff50fff,0x55544007,0x80155540,0x3ae64ff9,
    0xfd803eff,0xff500dff,0x5eee88ff,0x3fea3bd0,0xeff88004,0x7e440000,
    0x7fe4005f,0xf51de803,0x3f20009f,0x5ffa803f,0xf809ff50,0x3600006f,
    0x2000be25,0x7ec3fffc,0x000001ff,0x402aa200,0xfff30019,0x5fffb00d,
    0xffa81000,0x1ffe8004,0x3ffa2000,0x7fd4003f,0xffa81005,0x5ffa8004,
    0x209ff700,0x3ee06ff9,0x2600003f,0x0006fdff,0x00000000,0x80000000,
    0x9802fffc,0x80005fff,0x64004ffa,0x4c0004ff,0x2001efff,0x0000fff8,
    0x88009ff5,0xf9000fff,0x1ffe209f,0x00037fc4,0x0016dc40,0x00000000,
    0x00000000,0x2006ffe8,0x5000009a,0x7cc009ff,0xa880006f,0x800dffec,
    0x20002ffd,0x6c004ffa,0x3ee002ff,0x0dff304f,0x0000bff2,0x22000000,
    0x9acdecba,0xcba88000,0x0009acde,0xcdecba88,0x3fe2009a,0xf500004f,
    0x3fea001f,0x1ffd1004,0xff900000,0x04ffb807,0x027fd400,0x8009ff70,
    0xff305ffa,0x00dff10b,0xecba8800,0x20009acd,0xffffffd8,0x1002efff,
    0xfffffffb,0x22005dff,0xfffffffd,0xff302eff,0x2a00007f,0xff5000ff,
    0x0fff6009,0x7fcc0000,0x01bfe606,0x013fea00,0x40037fcc,0xff706ff9,
    0x005ff909,0x3fff6200,0x2effffff,0xfffffb80,0xffffffff,0x7fffdc04,
    0xffffffff,0x7ffdc04f,0xffffffff,0xfff984ff,0xff700002,0x13fea003,
    0x0017fea0,0xfc837744,0x07ffa06f,0x13fea000,0x000fff40,0xfe81ffe8,
    0x037fc42f,0xffffb800,0xffffffff,0x3ffee04f,0xeba99acf,0xf700ffff,
    0x53359fff,0x01ffffd7,0x2b3fffee,0xfffeba99,0x17ffd40f,0x1ffb8000,
    0x809ff500,0x0000fff8,0xfa833ffa,0x7ff904ff,0x3fea0000,0x03ffc804,
    0x4fffea00,0xfc85ffea,0xfb80002f,0xa99acfff,0x00ffffeb,0xc801fffd,
    0xffd04fff,0xfffc801f,0x01fffd04,0x4c4fffc8,0x00003fff,0x2a005ff9,
    0x7ff404ff,0x7fd40002,0xeffffeff,0x005ffa80,0x013fea00,0x0000bff5,
    0xfffffffd,0x06ff883f,0x1fffd000,0x84fffc80,0xf002fffa,0xfff50dff,
    0x1bffe005,0x400bffea,0x7fc46fff,0xf900004f,0x3fea005f,0x013fee04,
    0x7fffd400,0xf880dfff,0x200000ff,0x3e204ffa,0x900000ff,0x01bfffff,
    0x00005ff9,0x2005fff5,0xffc86fff,0x1fff6006,0xd801bff2,0x6ffc87ff,
    0x21fff600,0x2a004fff,0x1ffec2cd,0x30099880,0x554c0dff,0xcba8009a,
    0x3ff601ac,0x80355002,0x3f600998,0x0355002f,0x101bca88,0x554c0dff,
    0x037fe400,0x080fffb0,0x01fff200,0x3ffe4001,0xffc80020,0x007ffe87,
    0xffb1fff6,0x7f400007,0xfffea81f,0x0000cfff,0x200bff70,0x80004ffc,
    0xf9005ffb,0x3600009f,0xfffb82ff,0x00800dff,0x001fff20,0x1fffaa20,
    0x3faa2000,0xa880007f,0xffb87ffe,0xfff8803f,0x0027ff44,0x983ffc80,
    0xffffffff,0xf980005f,0xffb800ef,0x7c40004f,0xffb800ef,0xf980004f,
    0xffffc86f,0x0001ffff,0x07ffea88,0x3b72a620,0x007fffff,0x3fb72a62,
    0x2007ffff,0xffedca98,0xffd07fff,0xfffc801d,0x002fff41,0xe82ffd40,
    0xff910cff,0xfe80003f,0xfffa801f,0x7f40004f,0xfffa801f,0xfd80004f,
    0x67ffd41f,0x006ffea8,0x3fb72a62,0x4c07ffff,0xffffffec,0x407fffff,
    0xfffffec9,0x07ffffff,0x7ffff64c,0x7fffffff,0x03ffff50,0x3e17fff2,
    0x440005ff,0xff980fff,0x007ffd06,0x4027fe40,0x04fffff9,0x013ff200,
    0x13ffffe6,0x0bff3000,0xffd05ffd,0x7ff64c05,0xffffffff,0xfffb107f,
    0x7dffffff,0x3620fffb,0xffffffff,0x07ffdbef,0xffffffb1,0xffb7dfff,
    0x7fffec0f,0xffffdcce,0x06fff80e,0x017fec00,0x0ffec022,0x06ff9800,
    0xffcfff88,0xdff30004,0xf9ffd100,0xfd80009f,0x83ffcc1f,0xfd885ffa,
    0xffffffff,0x887ffdbe,0xcefffffe,0x1fff209b,0x3fffffa2,0x3f209bce,
    0xfffe887f,0x209bceff,0x7dc07ffc,0xffffffff,0xfff880ef,0x3fee0006,
    0x3fe60004,0xffd10006,0x37ffd001,0xd10009ff,0xffd001ff,0x0009ff37,
    0x7d42ffcc,0x8dff305f,0xefffffe8,0x3ff209bc,0xaefffd87,0x43ffec00,
    0x00aefffd,0x7ec3ffec,0x6c00aeff,0xfd9807ff,0x02ffffff,0x001fffe2,
    0x00077fcc,0x003fff98,0xb007ffb0,0x13fe69ff,0x00fff600,0x7fcd3ff6,
    0x3ffa0004,0x105ffb81,0xfffd8fff,0x7fec00ae,0x00efff87,0xff0ffff0,
    0x3fe001df,0x0efff87f,0x00ffff00,0x004effc4,0x003fffcc,0x0001ffe8,
    0x0009fff7,0x32017fea,0x13fe65ff,0x00bff500,0x7fccbff9,0xbff50004,
    0x4413fee0,0x77ffc7ff,0x8ffff000,0x1004fff9,0xff98ffff,0xfff1004f,
    0x04fff98f,0x00ffff10,0x800effd4,0x000ffff9,0x8001ffe4,0x0003fffd,
    0xb801fff1,0x27fcc6ff,0x01fff100,0x7cc6ffa8,0xffd0004f,0x417fea03,
    0x3fe66ff8,0xfff1004f,0x03fffb8f,0xb8ffff70,0xf7003fff,0xfffb8fff,
    0xffff7003,0x7fff5c00,0xffffa806,0x1bfea000,0x3fffa200,0x3ffa0001,
    0xcdfff802,0x3ceffdcc,0x802ffd80,0xdcccdfff,0x2003ceff,0x3e605ffa,
    0x4bff305f,0x7003fffb,0xff98ffff,0xfffb806f,0x3ffe60ff,0xffffb806,
    0x1bffe60f,0x3ffffee0,0x7ff44000,0x7fffd402,0x1fff1000,0xefff9800,
    0x3fee0000,0xfffff004,0xbfffffff,0x004ffb80,0xffffffff,0x400bffff,
    0x3e201ffe,0x4ffc80ff,0x201bffe6,0x20fffffb,0x203ffff8,0x0ffffffb,
    0x80ffffe2,0x0ffffffb,0x80ffffe2,0x0ffffffb,0x05ffe800,0x007fffd4,
    0x4002ffd8,0x0004fff9,0x90037fcc,0xfb999999,0x7cc079df,0x3332006f,
    0xeffdcccc,0x9ff5003c,0x41bff900,0x3e20fffa,0x3ee03fff,0x5c0fffff,
    0xbbdfffff,0xffcffffe,0x7fffdc1f,0xfffebbdf,0x5c1fffcf,0xbbdfffff,
    0xffcffffe,0x6dd5c01f,0x5402fffe,0xb800ffff,0xff8005ff,0xeeeeeeff,
    0x7ff4403e,0xff300001,0x03ffd009,0x13fe6000,0x001ffd00,0xfd9ffff1,
    0xfff707ff,0xffd77bff,0x03fff9ff,0xfffffffb,0x3fe1bfff,0xffffd84f,
    0x0dffffff,0xffb09fff,0xffffffff,0x013ffe1b,0xbffffffd,0x1ffff500,
    0x00fff880,0x7ffffd40,0x04ffffff,0x0001ffe4,0xc809ff30,0x200003ff,
    0x2a004ff9,0x3e6004ff,0x04ffffff,0x3ffffff6,0xff0dffff,0x3ffaa09f,
    0x6c2effff,0xffd507ff,0xd85dffff,0xffd507ff,0xd85dffff,0x7fec07ff,
    0xf5001def,0xfe801fff,0xccb8001f,0xcccccccc,0x17fea02c,0x59910000,
    0x002ffd40,0x00b32200,0x4000ffe8,0x02dffec8,0xfffffea8,0x3ffec2ef,
    0x006aaa60,0x0d554c00,0xaaa98000,0x00000001,0x00333310,0x00000133,
    0x01331000,0x22000000,0x00000099,0x00000000,0x35553000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32200000,0x4c001ccc,
    0x00cdefdb,0x66644000,0x554c001c,0x4003102a,0x000cccc9,0x0cccc980,
    0x665c0000,0x4000001c,0x99100198,0x04ccb839,0x403ffa00,0x22004ffb,
    0x32001aaa,0x40002ccc,0x2006fffb,0xfffffffb,0x200004ff,0x0006fffc,
    0x644bfff9,0x7fec005f,0xfd00004f,0x400009ff,0x00fffffb,0x3bffd500,
    0xf3007fd8,0x7ffd87ff,0x81ffe000,0x2a002ffc,0x2a005fff,0x0000ffff,
    0x4003fffe,0xfffffffd,0x0005ffff,0x00ffff88,0x3bffea00,0x000ffffc,
    0x003fffa2,0x3fffa200,0xff980000,0x8006ffef,0xeffffffa,0x3006ffcc,
    0xffd87fff,0xbff30007,0x0007ff40,0x800bfff5,0x0004fffb,0x2005fff7,
    0x31bffffb,0x007ffff9,0x01fffb80,0xffff9800,0xf30002ef,0x200009ff,
    0x0004fff9,0x746fffc4,0x7fc005ff,0xfffffedf,0xff3002ff,0x07ffd87f,
    0x209ff700,0x54007ff8,0xd8005fff,0xe8000fff,0xff1003ff,0x3fe601ff,
    0x7fc0006f,0xda80003f,0x000fffff,0x007ffd40,0x0fffa800,0x3fff6000,
    0x007fff50,0xeb993fe6,0x22003eff,0x55541aaa,0x5ff90002,0x0017fe60,
    0x0009ddd3,0x5000fffa,0x7d400bff,0x7fec03ff,0x3fee0007,0x7f540005,
    0x05fffdff,0x04ffb800,0x0ffee000,0x1fffe400,0x200bfff6,0x03300aa8,
    0x00000000,0x7dc03ffa,0x0000004f,0x000fff10,0x3fff2000,0x03ffdc00,
    0x4c000000,0xff31dfff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x3f607ff8,0x0000002f,0x00000000,0x3601fff6,0x000006ff,0x7019d000,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x817fe600,0x00000ffe,
    0x22000000,0x09bcecb9,0x2037ff40,0x8003fff8,0xacdecba8,0x2a200009,
    0x00dffd09,0xbcedba88,0x73100009,0x001379d9,0x33b6ea20,0x5100009b,
    0x01379db7,0x3b6ea200,0x54c009bc,0xdffcaaaa,0xffaaaaaa,0xf000aaaf,
    0x2a0007ff,0xffa801aa,0x1fffffff,0x9017ffa0,0xd8800fff,0xffffffff,
    0x366002ef,0xfcdfffff,0xff7003ff,0x5fffffff,0xffffa800,0x001fffff,
    0x7fffffdc,0x5c002fff,0xffffffff,0x7fdc002f,0x2fffffff,0x3fffff20,
    0xffffffff,0xffffffff,0x2fff8802,0x09fff000,0x7ffffec4,0x04ffffff,
    0x7c40bfff,0x3ee003ff,0xffffffff,0xb804ffff,0xffffffff,0x4c06ffff,
    0xfffffffe,0x400dffff,0xffffffd8,0x804fffff,0xffffffe9,0x00dfffff,
    0x7fffff4c,0x0dffffff,0x7ffff4c0,0xdfffffff,0xfffffc80,0xffffffff,
    0xffffffff,0x1fff9802,0x09fff000,0x55fffff4,0x5ffffca9,0x3205fff8,
    0xf7000fff,0x53359fff,0x01ffffd7,0x66ffffec,0xfffffedb,0xdfffd103,
    0xfff95357,0xfffe80df,0xffca9abf,0x3fa205ff,0xca9abeff,0x2206ffff,
    0x9abefffe,0x06ffffca,0x2fbfffa2,0xffffca9a,0xccccca86,0xcccccfff,
    0xcccdffec,0x0fffb801,0x09fff000,0x4037ffee,0x7c1fffe8,0xfff105ff,
    0x7fff4007,0x27ffe400,0x01efffb8,0x20dffff9,0x300dfffc,0x2e07fffd,
    0xd100dfff,0x3f203fff,0xfd300dff,0x3ff207ff,0xffd300df,0x3fff207f,
    0xfffd300d,0x0bff3007,0x40007ff4,0x20007ffe,0xff884fff,0xdffd006f,
    0xf705fff8,0x3ea001ff,0xfff002ff,0x1dfff10d,0x0ffffa80,0x402fffd4,
    0x440ffff8,0xfd006fff,0xbfff50df,0x1ffff100,0x805fffa8,0x540ffff8,
    0xf8805fff,0x7dc00fff,0x0dff104f,0x05fffb00,0x427ffc00,0x5001fffc,
    0x7ffc5fff,0x03fff905,0x801bff20,0xffc87ffd,0xfffb002f,0x01fffe87,
    0xc89fff70,0xf5001fff,0xfffe85ff,0x9fff7001,0x001fffe8,0xfe89fff7,
    0xff7001ff,0x2ffc809f,0x800bff50,0x0006fffd,0x7f427ffc,0x7ffc006f,
    0x5417ffe4,0x08005fff,0x21fff200,0x26006fff,0x7ffc5fff,0x37ff4005,
    0xf001bffa,0x5fff89ff,0x237ff400,0x74005fff,0x2fffc6ff,0x01bffa00,
    0x3ee01ffd,0x3ff6003f,0x7c0000ef,0x4fff84ff,0xf2ffec00,0x7ffc0bff,
    0x400000ef,0x447ffea8,0x74003fff,0x3ffe27ff,0x3ffec003,0xb0013ffe,
    0x7ffc4bff,0x3ffec003,0x8007fff1,0x3fe27ffd,0x7fec003f,0x81ffe207,
    0xfb001ffd,0x00001dff,0xff889fff,0xeeeeeeef,0xfffeeeee,0x9817ffe7,
    0x002fffff,0xfedca988,0x7cc7ffff,0x7ec002ff,0x0bffea7f,0x21fff900,
    0xeeeefff8,0xeeeeeeee,0x3fea7fff,0x7fe4002f,0x05fff50f,0x50fffc80,
    0xc8005fff,0xff300fff,0x007ffc0b,0x0077ffec,0x44fff800,0xfffffffa,
    0xffffffff,0x3ffe7fff,0x7fffcc05,0x764c00df,0xffffffff,0x7fd47fff,
    0x7fe4002f,0x03fff70f,0x51fffb80,0xffffffff,0xffffffff,0x7ffdcfff,
    0x7ffdc001,0x003fff71,0xf71fffb8,0xfb8003ff,0x9ff701ff,0x201bfe20,
    0x000efffb,0x713ffe00,0xffffffff,0xffffffff,0x3ffe1fff,0xfffd8805,
    0xffd880ef,0xefffffff,0x7dc7ffdb,0x7dc001ff,0x1fff91ff,0x2fffa800,
    0xfffffff7,0xffffffff,0x3f21ffff,0x7d4000ff,0x1fff92ff,0x2fffa800,
    0x8001fff9,0xff92fffa,0xffffffff,0xffffffff,0x7ffc5fff,0x7c00000e,
    0x7ffd44ff,0x9999999b,0x19999999,0xb8017ffe,0x7446ffff,0xbcefffff,
    0x51fff209,0xc8003fff,0xfff70fff,0xfffb8003,0x337fff51,0x33333333,
    0x7dc33333,0x7dc001ff,0x3fff71ff,0x1fffb800,0x8003fff7,0xff91fffb,
    0xffffffff,0xffffffff,0x3fe65fff,0xf800002f,0x7ffcc4ff,0xfff00003,
    0xfff9800b,0x3bfff62f,0x3ffec00a,0x000bffe6,0x7fd4fffb,0x7fe4002f,
    0x07fff30f,0x3ffea000,0x7ffe4002,0x005fff50,0xf50fffc8,0xfc8005ff,
    0xffff90ff,0xffffffff,0xffffffff,0x03ffee5f,0xff801880,0x04fff84f,
    0x0bfff000,0x49fff500,0xf000efff,0xfff98fff,0x2fff4003,0x8007fff1,
    0x3fe0fffd,0xf100004f,0xfd8007ff,0x7fff10ff,0x0fffd800,0x8007fff1,
    0xf980fffd,0x03ffe05f,0x800fffb0,0x3fe07ffd,0x06ffe84f,0xff1e6ec0,
    0x3fe000bf,0x09fff36f,0x21fffe20,0x26006fff,0x7ffc4fff,0x3ffe2006,
    0x0037ff45,0xfff0f376,0x7ffc400d,0x0037ffc5,0xff8bfff1,0x3fe2006f,
    0x07ff705f,0x3201bfe2,0x3e000fff,0x3ffe05ff,0x03fffc84,0x7c9fff90,
    0x203a85ff,0xff75fff8,0x3fee007f,0x2fffc87f,0x83fffd00,0x9002fffd,
    0xffc87fff,0xfff9003f,0x02fffd89,0xd87fff90,0xf9002fff,0xfffd87ff,
    0x7fff9002,0x540bff60,0xffa804ff,0xfff5003f,0x427ffc07,0x401ffff8,
    0x3e1ffff9,0x3ffaa5ff,0x27fff702,0xb806fff9,0x440fffff,0x5400efff,
    0xff885fff,0x7fcc00ef,0x7ffc40ff,0x7ffcc01f,0x77ffc41f,0x7fffcc00,
    0x077ffc40,0x03fffe60,0x801dfff1,0xd00ffff9,0x3ff201ff,0xffff9803,
    0x7fffc400,0x413ffe01,0x883ffffa,0x7c5fffea,0x3ffe25ff,0x7fff4c1f,
    0x07ffff11,0x7fffffdc,0x1efffc80,0x01ffff90,0x407fffee,0x502ffffb,
    0x5107ffff,0x2e0bfffd,0xf701ffff,0x3ee05fff,0xff701fff,0x3fee05ff,
    0xfff701ff,0x1bfe205f,0x9001ffd8,0x2605dfff,0x7c04fffe,0x3ff604ff,
    0xffdcdeff,0xfff86fff,0x77fffcc5,0x43ffffec,0xbdfffffb,0xfcffffeb,
    0xfff901ff,0xfffb79df,0xffe805ff,0xffdcdeff,0x7ec04fff,0xfdcdefff,
    0x7406ffff,0xdcdeffff,0x404fffff,0xcdeffffe,0x04fffffd,0x6f7ffff4,
    0x4fffffdc,0xf817fe60,0x3fa000ff,0xdbacdfff,0xf806ffff,0x7fdc04ff,
    0xffffffff,0x5fff80ef,0xffffffb8,0xffb05fff,0xffffffff,0x813ffe1b,
    0xfffffffb,0x7001efff,0xffffffff,0x2e007fff,0xffffffff,0xb800efff,
    0xffffffff,0xf7003fff,0xffffffff,0x3ee007ff,0xffffffff,0x7fdc03ff,
    0x00dff103,0xfffffd88,0x0effffff,0x804fff80,0xffffffd8,0x3ffe02ef,
    0xffffd505,0xfea805df,0x42efffff,0x6cc07ffd,0x4ffffffe,0xfffd9800,
    0x000bdfff,0x7ffffec4,0x4c002eff,0xdffffffd,0x7ecc000b,0x0bdfffff,
    0x7ffecc00,0x800bdfff,0xff502ffd,0x3fa60009,0x2effffff,0x013ffe00,
    0x01355310,0xaaa98000,0x5554c000,0xa8800001,0x1000009a,0x40000355,
    0x0009aa98,0x001aa880,0x006aa200,0x01aa8800,0x500ccb80,0x88000399,
    0x001abcb9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6665c000,0x65c00003,0x910001cc,
    0x4ccb8399,0x3f726000,0x500003de,0x00009999,0x0066664c,0x400ffe40,
    0x0001cccc,0x05999910,0x50015554,0x75100155,0x20000157,0xdefedca8,
    0x4c0000ab,0x0001ffff,0x1fffff70,0x7fff3000,0x0007ffd8,0xfffffff9,
    0xe880003d,0x00003fff,0x0009fffb,0x3f201ffa,0x0000ffff,0x406fffb8,
    0xf1005ffd,0x7ec407ff,0x03efffff,0xffff9300,0xffffffff,0x7fd40005,
    0xf980005f,0x006ffeff,0x6c3fff98,0xfe8007ff,0xffffffff,0x7cc0000f,
    0x980006ff,0x10006fff,0xffa80bff,0x0006ffef,0x400ffff8,0xf1005ffd,
    0x3fea07ff,0xffffffff,0x7ffe4004,0xffffffff,0x0004ffff,0x0003fff2,
    0xf8dfff88,0x7cc005ff,0x3ffec3ff,0x3bfff200,0x6fffda8a,0xfffa8000,
    0x7fec0002,0xff50000f,0x6fffc407,0x0004fff8,0x200bffee,0xf1005ffd,
    0xfff307ff,0xfffb79df,0xffd100bf,0x779dffff,0xdfffffd9,0x3ff60003,
    0x3ffa0004,0x07fff50f,0x20d55440,0x22002aaa,0xffd06fff,0xf700003f,
    0x7c4000df,0x360001ff,0x3ffa01ff,0x07fff50f,0x013ffa00,0x8802ffec,
    0xfff83fff,0xfffd882f,0x3fffe204,0xffb801df,0x88000fff,0xc8000ffe,
    0x7fec3fff,0x0000001f,0x81fffcc0,0x0003fffa,0x0005ffb0,0x0000fff2,
    0x7fe40dff,0x0fffec2f,0x017fea00,0x1005ffd8,0xffb87fff,0x3ffec02f,
    0x07ffffb0,0x3fffe980,0x00000000,0x00000000,0x03fff700,0x0013ffe2,
    0x00000000,0x013fe600,0x00000000,0x4017ff60,0x7fc3fff8,0xfff9807f,
    0x0ffffa82,0xdfff1000,0x00000000,0x00000000,0x0fffea00,0x001fffd4,
    0x00000000,0x017fdc00,0x00000000,0x802ffec0,0x3ea3fff8,0xffd004ff,
    0x3ffff88d,0x7ffdc000,0xecba8802,0x80009acd,0x9bcecb98,0x97310000,
    0x8001379d,0xd80ffff8,0xa8800fff,0x553000aa,0x002aaa25,0x3a01554c,
    0x555440ff,0x05553000,0xbcedba88,0x2ffec009,0x23fff880,0x7001fffb,
    0x7fd43fff,0xf880005f,0x3f6205ff,0xffffffff,0x3fea002e,0x1fffffff,
    0x7fffd400,0x001fffff,0x2e2fffec,0xf5004fff,0x3f2003ff,0x03fff57f,
    0x881fff20,0xfffa86ff,0x0fff9001,0x7fffffdc,0x3f602fff,0xfff1005f,
    0x0037fec7,0x7ec5fff3,0x700001ff,0x7ffdc017,0xffffffff,0x7ec404ff,
    0xffffffff,0xfd8804ff,0xffffffff,0x3e2004ff,0xffd8cfff,0xff5000ef,
    0x3ff2003f,0x003fff57,0xfa81fff2,0x1fffa83f,0x30fff900,0xfffffffd,
    0xb01bffff,0x3e200dff,0x1bffe3ff,0x14fff880,0x0001ffff,0x3ffee000,
    0xeba99acf,0x3a00ffff,0xa9abffff,0x405ffffc,0x9abffffe,0x05ffffca,
    0x3ffffee0,0x2000efff,0x9001fffa,0x3ffeafff,0x0fff9001,0x7d40ffe4,
    0xff9001ff,0xefffe88f,0xfffca9ab,0x06ffd86f,0x7c7fff10,0x3e2005ff,
    0xdfff55ff,0x74000000,0x7e400fff,0xfff704ff,0x3ffa201b,0xbfff701f,
    0x3fffa201,0x3fff2001,0xa8004fff,0xf9001fff,0x07ffeaff,0xf03ffe40,
    0x3ffea0ff,0x8fff9001,0x300dfffc,0xfd87fffd,0xfff1006f,0x013ffe27,
    0x3eedfff0,0x000005ff,0x005fff50,0x3e21bffe,0xffd006ff,0x0dfff10d,
    0x401bffa0,0x2fffffd8,0x3fff5000,0x55fff200,0xf9001fff,0x17fe60ff,
    0x800fffd4,0x3fea7ffc,0xfff8805f,0x01bff60f,0xf89fffcc,0x7fc004ff,
    0x07fff96f,0x3f200000,0x3ff6006f,0x01fffc87,0xc85fff50,0xf5001fff,
    0xffc805ff,0x006fffff,0x003fff50,0x7fd5fff2,0xfff9001f,0x540bfee0,
    0xf9001fff,0x0ffff4ff,0x24fffb80,0xf5007ffd,0x3ffe67ff,0xb7ff4003,
    0x0002fffd,0x20008000,0xffe87ffc,0x27ffc006,0xf001bffa,0x3fa209ff,
    0xffffcfff,0xfffa8004,0x2fff9001,0x9001fffa,0x3ff60fff,0x03fff500,
    0xff9fff20,0x7ff4005f,0x007fff66,0x7ccfffee,0x7f4003ff,0x03fffb6f,
    0x7fffffc0,0x03ffffff,0x3ffaa200,0x004fff87,0x3fe2ffec,0x7fec004f,
    0xefffe885,0x85ffff71,0x7d409bda,0xff9001ff,0x007ffeaf,0xff83ffe4,
    0x07ffea06,0xf8bffe40,0x7ec003ff,0x13fff67f,0x27fffd10,0x4003fff8,
    0xfffb6ffe,0x7fffc005,0xffffffff,0xdca98803,0x47fffffe,0xeeeefff8,
    0xeeeeeeee,0x3fe27fff,0xeeeeeeef,0xfffeeeee,0x85fffd87,0x361ffffd,
    0x7fd42fff,0xfff9001f,0x4007ffea,0xffa87ffc,0x07ffea04,0xfabffe40,
    0x7e4002ff,0xffffb0ff,0x7fffec05,0x009fff13,0xff96fff8,0x7ffc005f,
    0xffffffff,0xffd9303f,0xffffffff,0xffffa8ff,0xffffffff,0x27ffffff,
    0xfffffffa,0xffffffff,0x7fd47fff,0xfffd00ef,0x0ffff11d,0x2003fff5,
    0xfff57ffc,0x1fff2003,0xfa807ff2,0xff9001ff,0x007ffeef,0x363fff70,
    0x20bfffff,0x3fffffda,0xf0013ffe,0x3ffeebff,0x2aaaa003,0xfffcaaaa,
    0x7fffec43,0xdbefffff,0x7ffdc7ff,0xffffffff,0xffffffff,0xffffff70,
    0xffffffff,0x741fffff,0x3e202fff,0xfffadfff,0x01fffa85,0x3eafff90,
    0xff9001ff,0xa80ffd0f,0xf9001fff,0x03fff2ff,0x25fff500,0xfffffffd,
    0xfefffffe,0x017ffa3f,0x3eabfff0,0x200005ff,0x3a23fffa,0xbcefffff,
    0x51fff209,0x33337fff,0x33333333,0x7ffd4333,0x9999999b,0x19999999,
    0x2007fffc,0xfffffff9,0x1fffa82f,0x2afffb00,0xfb001fff,0x05ff88ff,
    0x800fffd4,0xfff77ffd,0xfffb8003,0xff7bffb1,0xb3ffffff,0x2ffec7ff,
    0x49fff100,0x0000ffff,0x6c7fff50,0x400aefff,0x7fcc7ffd,0xf300003f,
    0x200007ff,0x7005fff8,0x0dffffff,0x4007ffea,0xfff57ffd,0x1fff6003,
    0xfa807ff5,0xffb001ff,0x00bffeaf,0x361fff90,0xffff75ff,0x8fff65df,
    0x26006ffd,0x3ff22fff,0xf500003f,0x77ffc7ff,0x0ffff000,0x00009fff,
    0x00027ffc,0x006fff88,0x0bfffff2,0x800fffd4,0xfff57ffe,0x1fffa003,
    0xfa801ffb,0xffd001ff,0x00fffe2f,0x361fffb0,0x0554c5ff,0x00fffc80,
    0x4c1fff90,0x0000ffff,0xf33fffa8,0x3e2009ff,0x6ffe87ff,0x21e6ec00,
    0x6c006ffe,0x7fffc3cd,0x3fffa000,0x5fff301f,0x2ffff100,0x8802fff9,
    0x37fc7fff,0x017ffcc0,0xff3fffc4,0x7fc400df,0x017ff65f,0x0fffe200,
    0x743fff40,0x80005fff,0xff73fffa,0x3fee007f,0x3fffc87f,0x89fff900,
    0x9003fffc,0xffd89fff,0xfff9004f,0xff303fff,0xfff7009f,0x013ffe6f,
    0xf99fffee,0xfff9804f,0x7fffb804,0x400bfff6,0x3f63fffc,0xfb00005f,
    0xfff300df,0xbffff109,0x3fea0001,0xdfff33ff,0xfffff700,0x1ffff881,
    0x0ffffcc0,0x007fffe2,0x983ffff3,0x6401ffff,0xffffffff,0x0ffffc41,
    0x2fffff50,0x201ffff8,0x2e7ffffa,0xff8802ff,0x3fea01ff,0x3ffe27ff,
    0x7ffcc00e,0x017ff60f,0x1fffcc00,0x01fffd10,0x2bffffea,0xfffd3000,
    0x3ffe27ff,0x3ffee03f,0xffa80fff,0xfea883ff,0xfff505ff,0xffd5107f,
    0x3fff20bf,0x7fed443f,0xfffffdff,0x0f7ffe41,0x3ffffee2,0x07bfff27,
    0xffffff71,0xc8007ff4,0x5c41efff,0x5c7fffff,0xf701ffff,0xffd85fff,
    0x3fa00005,0xffe884ff,0x7ffdc04f,0x88acefff,0xffffedb9,0x7ffdc3ff,
    0xffebbdff,0x01fffcff,0x9bdffffb,0x0dfffffb,0xdeffffd8,0x6fffffdc,
    0x3ffffa20,0xfffffeef,0xfffff52f,0x7ffffcc3,0xaefffedf,0x3ffe67ff,
    0xfffedfff,0xff17ffae,0x7ffcc00b,0xfffedfff,0xfe87ffae,0xfdcdefff,
    0xfd84ffff,0x2600005f,0xdcdfffff,0x3005ffff,0xffffffff,0xffffffff,
    0x3f6019ff,0xffffffff,0x09fff0df,0x7fffffdc,0x00efffff,0xffffffb8,
    0x00efffff,0xffffffc8,0x540effff,0x7d40efff,0xffffffff,0x547ff98e,
    0xffffffff,0x57ff98ef,0xfa8007ff,0xffffffff,0x707ff98e,0xffffffff,
    0x3f607fff,0x4400005f,0xfffffffe,0x22000eff,0xfffffffd,0xdfffffff,
    0xfffea801,0x7ec2efff,0x7fec407f,0x02efffff,0x7fffec40,0x4002efff,
    0xffffffea,0x03fe603d,0x7ffffec4,0x0fff30ce,0xdfffffb1,0x65ffe619,
    0xd88001ff,0x0cefffff,0x6cc0fff3,0xbdffffff,0x017ff600,0x3ff22000,
    0x002effff,0x3fffae20,0x2bdeffff,0x1aaa9800,0xa9880000,0x8800009a,
    0x00009aa9,0x2001aa98,0x15530019,0x0aa98000,0x00099700,0x00015530,
    0x8006aa20,0x00000998,0x00d55440,0x2aa62000,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x26001bba,0x4c0002aa,0x00000aaa,0x5dcc4000,0x2200001a,
    0xcdefedcb,0x93000001,0x179ddfd9,0x97510000,0x88000135,0x0001abba,
    0x7f6e5c40,0x00001cde,0x6ff65cc4,0x540001ac,0xdffffffe,0x07ffec02,
    0x5fff7000,0x3fffffa0,0xffffffff,0xfffd5006,0x0005ffff,0x7ffffecc,
    0x0befffff,0xffeb8000,0xffffffff,0xfe98000c,0x04ffffff,0xfffffa80,
    0x40002eff,0xffffffd9,0x00beffff,0x3fff6200,0xffffffff,0x3fa2000d,
    0xffffffff,0x3fff603f,0x3fee0000,0xffff882f,0xffffffff,0xffc806ff,
    0xffffffff,0x7fec4006,0xedcceeff,0x002fffff,0xfffffd30,0xffffffff,
    0x7fe4009f,0xffffffff,0xfff9001e,0xbfffffff,0xffd88001,0xedcceeff,
    0x002fffff,0xffffffa8,0xffffffff,0xfffb002f,0xfff9779f,0x3fff609f,
    0x3fee0000,0xffff982f,0xffffffff,0x3fa206ff,0xfdbbefff,0xf5005fff,
    0xa8019fff,0x4005fffe,0xcefffffa,0xfffdcaac,0xffb803ff,0xfecabdff,
    0x7f400fff,0xecacefff,0x5000efff,0x8019ffff,0x005fffea,0x3bffffea,
    0xffedcbcc,0x7dc02fff,0xfd880dff,0xfffd83ff,0x3fee0000,0xafffb82f,
    0xaaaaaaaa,0x3ff602aa,0xffe980df,0x7ffdc02f,0xffe98004,0xfffa800e,
    0x7ecc02ef,0x3e603fff,0xff902fff,0x7ffdc0df,0xbfff702f,0x09fff700,
    0x1dffd300,0x3bfffd00,0xffffea80,0x1dfff100,0xd86ffe80,0x20000fff,
    0xfc82fffb,0xf500006f,0x7cc01fff,0x3fea06ff,0x3620001f,0x7fc405ff,
    0x7e4004ff,0xff900fff,0xfffd805f,0x1ffff882,0x017ffdc0,0x0003fff5,
    0x202ffec4,0x4005fff9,0xf502fffe,0xff5005ff,0x0fffd81f,0x3ffee000,
    0x004ffe82,0x03fffd00,0x101fffb0,0x00001fff,0xfe80fff2,0xfb0004ff,
    0x3ffa09ff,0x4fff8806,0x003fffc8,0x3e20dffd,0x0cc400ff,0xb80fff20,
    0x44000fff,0xffb05fff,0x3ffe600f,0x007ffec2,0x05fff700,0x00007fff,
    0x2007fff1,0xfd81eefa,0x3bbbaa2f,0x200bccee,0xffa81ffe,0x3e20006f,
    0xfff80fff,0x0bfff004,0x5400fffd,0xffd80fff,0xfffd9502,0x3ffa03bf,
    0x00dffd01,0x441fff60,0xff3003b9,0x0fffd87f,0x3ffee000,0x00fffcc2,
    0x03ffdc00,0x89ff3000,0xfffffffa,0xff102fff,0x07fffb0b,0x1effd800,
    0xd004fff8,0xbfff0bff,0x17ffc400,0x7e413fe6,0xffffffff,0xf05ff882,
    0x2e000fff,0x00001eff,0xfd81fff7,0x2e0000ff,0x7fd42fff,0xfd80000f,
    0x3200005f,0xabffa87f,0x2fffdcba,0x7c41ff90,0x880007ff,0x1bff600a,
    0x10fffe20,0xf8009fff,0x83fe44ff,0x7309effc,0xff905fff,0x07fff901,
    0x20000000,0xfd86ffe8,0x2e0000ff,0x7fe42fff,0x026ee626,0x001fffc0,
    0xa84ff880,0xbff301ff,0xfa8ffe20,0x000006ff,0x805fff50,0x7cc0fffc,
    0x7fc003ff,0x213fe26f,0x3e604ffb,0x83ff886f,0x000efffa,0x6c400000,
    0xffd83fff,0x3ee0000f,0x67fec2ff,0xffffffd9,0x3ffe201e,0x3bff6e22,
    0x0ffd403d,0xfb00ffd4,0xc9bf601f,0x00004fff,0x5ffff100,0x21bffee0,
    0x2004fff8,0x3ea6fff8,0x00ffe81f,0x7ec0675c,0xfffff886,0x0000001c,
    0xffffd931,0x03fff605,0x2fffb800,0x7ffffffc,0x4fffffff,0x2a3fff30,
    0xffffffff,0x20ff900e,0x3fa01ffa,0xfc9fee06,0x000003ff,0x37fff620,
    0x4fffecab,0x8017ffe0,0x3f27fff9,0x003ff887,0xf307fb80,0x7bffffff,
    0x3a000003,0x01ffffff,0x0003fff6,0x222fffb8,0xefffffff,0x6fffffed,
    0xfb9fffa8,0xffffffff,0x06fd82ff,0x3ea03ff5,0x43fea02f,0x0002fffd,
    0xfffb8000,0x02ffffff,0x8007ffec,0x3f67fffc,0x001ff986,0x100ffa80,
    0xfffffffd,0x00017bff,0x3fffffe0,0xfffb00cf,0x7fdc0001,0x3fffe62f,
    0x7fe440ae,0x7ffd43ff,0x989bfffc,0x40ffffeb,0xbff504fe,0xfffdb999,
    0xfd1ff980,0x000001ff,0xffffc980,0x00bfffff,0x2017ffee,0x3a7ffff9,
    0x00ffb84f,0x01ff9800,0x3fffff62,0x2dffffff,0x7677c000,0xd82fffff,
    0x20000fff,0x3ee2fffb,0xffa805ff,0x3ffea0ff,0xfb100dff,0x04fe89ff,
    0xfffffff5,0xf8801bff,0x01fffd2f,0x7e400000,0xfecdefff,0x3a01ffff,
    0xd300dfff,0x7f4fffff,0x0007fc84,0x1005ff10,0xffffffb7,0x001bffff,
    0x7fffe400,0x007ffec3,0x45fff700,0x36002a98,0x3fea4fff,0xfe800fff,
    0x417f61ff,0xffecdffa,0x3ff3001e,0x0003fffa,0x7ffe4000,0xffff702e,
    0x3fffe603,0xffca9abe,0x3f67ffde,0x000ffb85,0x001ff980,0xffffeca8,
    0x0001ffff,0x83fffea0,0x0000fffd,0x000bffee,0x99bffe20,0x5002ffff,
    0x37e47fff,0x3a21ffa8,0xffa800ff,0x003fffb0,0xfff30000,0xfff9801d,
    0x3fffee07,0x8effffff,0x1bf27ffc,0x0c007fea,0x0001ff50,0xffffca88,
    0x200000ff,0x3f64fffc,0x320000ff,0x00002fff,0x7fccfffd,0x7ffc007f,
    0x7d41fee5,0x037f441f,0xfff93fe4,0xb0000005,0x2e003fff,0x3a603fff,
    0xefffffff,0x7dcdffb0,0x804ff987,0x7fc82ffa,0x7ec40000,0x00002fff,
    0xfc97ffe2,0x320001ff,0x00001fff,0x3e21fffb,0x7f4006ff,0x20bfe66f,
    0xffa81ffa,0xf72ffc04,0x200009ff,0x017ffe01,0x700bfff0,0xe837bfd9,
    0x0bfe66ff,0xf8803ff6,0x05ff80ff,0xfff70000,0xff800009,0x07fff26f,
    0x1fffd800,0xfff90000,0x002fffc1,0xdfd1fff6,0x3603ff50,0x3ff502ff,
    0x0037ffc4,0x31effc40,0xe8009fff,0x200007ff,0x37f44fff,0x4c0f7fc4,
    0xffa84ffd,0x001ee641,0x881fffe0,0x3fff4000,0x0007fff7,0x0007fff4,
    0x747ffd80,0x7f4007ff,0x20ffdc5f,0xff101ffa,0xd0dfd01f,0x80001fff,
    0x3e65fffb,0x7e4003ff,0xf100007f,0x1ffb85ff,0xccdfffb8,0xfd05fffe,
    0x00ffff0d,0x21fffc80,0x4004ffe8,0x3fe65fff,0xff10005f,0x27f744ff,
    0xb1bffa00,0x7c001fff,0x77fc43ff,0xb807fea0,0x1ffdc4ff,0x0027ffdc,
    0x88bfffa0,0x6c004fff,0x800206ff,0x7c40fffb,0xffe980ef,0x80cfffff,
    0xffe83ffb,0x3f20001f,0x37ffc0ff,0x89fff300,0x8000ffff,0x7fc5fffc,
    0x3fe6007f,0x17ffd45f,0x81fff880,0x33265ffa,0x98666400,0xfff106ff,
    0x3ea0003f,0x6fff87ff,0x22fffc00,0x3a006ffb,0xbff506ff,0x66f6e540,
    0x20dff300,0x0004fffc,0x3f217ffe,0xffb001ff,0xefffd85f,0x3ffe2000,
    0x0fffec2f,0x81fffd80,0xf9006ffe,0x3ff201ff,0xff980004,0x3ffee00f,
    0x7fcc001e,0xfffd83ff,0x7fff5001,0x801fffa8,0x3202fffa,0x980004ff,
    0xff100fff,0xf50009ff,0xfff507ff,0xfffa801d,0x6ffff986,0xdfffd300,
    0x01dfff50,0x505fffb8,0xf980bfff,0x7ff406ff,0xff70000e,0xfffd005f,
    0x3fea005f,0xfff506ff,0xfff8801f,0x2fffc40f,0x01bffe60,0x0003bffa,
    0x2017ffdc,0x00dffffd,0x01ffff90,0x407bfff2,0x901ffffc,0x37bfffff,
    0x3fff2a62,0xfffb01ff,0x3fff203d,0x3fffa00f,0xffffa80c,0x7ffec401,
    0xffd5001c,0x3fe6005f,0x440aefff,0x0effffe9,0x07bfff20,0x817fffd4,
    0xa81cfffd,0x8802ffff,0x001cfffd,0x005fffd5,0xbfffffd1,0x3b2a6157,
    0x7404ffff,0xdbcdffff,0x203fffff,0xffffffd8,0xffffffff,0x3fa202ff,
    0xfdbcdfff,0x4c01ffff,0xcceffffe,0x003ffffe,0x2f7fffee,0xffcaa99a,
    0x44000eff,0xfffffffe,0xfffffffe,0xfffe800f,0xffecbdff,0x3fa205ff,
    0xffdcefff,0x5c003fff,0x9abdffff,0xffffcaa9,0x3fa2000e,0xffffffff,
    0x5fffffff,0xffffd880,0x1effffff,0xfffff900,0xffffffff,0xffb1003f,
    0xffffffff,0x3f62001d,0xffffffff,0xfd98002f,0xffffffff,0x0003efff,
    0x3fffff62,0xffffffff,0xff91000c,0xffffffff,0xffd3007f,0xffffffff,
    0x3f660007,0xffffffff,0x0003efff,0xffffff91,0xffffffff,0xffea8007,
    0x004fffff,0xffffec98,0x002dffff,0xfffffea8,0xd70004ef,0x37bfffff,
    0xfeb88000,0x1dffffff,0x3f220000,0xffffffff,0xfd30000c,0x1bffffff,
    0xffffb800,0x0000cfff,0xffffeb88,0x0001dfff,0xffffd930,0x017bdfff,
    0x4dd4c400,0x53300000,0x00013555,0x00355310,0x002a9800,0x0d4c4000,
    0x98800000,0x00009aaa,0x005554c0,0x4d554c00,0x22000000,0x000001a9,
    0x09aaa988,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d440000,0x01cdefed,0x1003ff40,
    0x88003555,0x30000aaa,0x2a001555,0x02cdfedc,0x00055544,0x07332600,
    0x00009997,0x4c02aa98,0x220acedc,0x0aaa22aa,0x0179db73,0x5675cc00,
    0x554aaa20,0xaaaaaaaa,0x00009aaa,0x3ffffa60,0xbeffffff,0x02ffc800,
    0x001bffe0,0x4000dffb,0x5402fffb,0xfffffffe,0xfff301ef,0xfa800003,
    0x3fff42ff,0x3ff20000,0xffffd307,0x3fe29fff,0x22fff30f,0xfffffffe,
    0xffb3000c,0x267fffff,0xfffff7ff,0xffffffff,0x80007dff,0xfffffffc,
    0xefffffff,0x027fcc01,0x003fff90,0x000fffe2,0x202fffb8,0xfffffffb,
    0x983fffff,0x00001fff,0x3a17ffd4,0x400007ff,0xffa87ffc,0xffffffff,
    0xf30fff9e,0xffffd1ff,0x01dfffff,0xffffffa8,0xff9cffff,0xfffffff7,
    0xffffffff,0xd3000bff,0x79dfffff,0xfffffb95,0x06ff805f,0x013ffe60,
    0x0007ffdc,0x205fff70,0x89cffff9,0x1ffffd98,0x000fffcc,0x0bffea00,
    0x0000fffd,0x7d47ffc8,0xba9bdfff,0x0ffffffe,0xbffdfff3,0xfffd5115,
    0x3ffe601d,0xfeb88acf,0xfff7ffef,0xffffffff,0xbfffffff,0x3ffe6001,
    0xfeb804ff,0x3f603fff,0x3ffa000f,0x0bffd007,0x2fffb800,0x02ffff88,
    0xf31fffea,0x800003ff,0x5540aaa8,0x6400002a,0x7fff47ff,0xffffb103,
    0x3fffe61f,0x3fff603f,0x07fffd04,0x5fffff62,0x98806fff,0x005ffffc,
    0x003dfffd,0x07fffec4,0x2003ffb8,0x4401fffb,0x40002fff,0xfb82fffb,
    0xffc803ff,0x07ffe62f,0x00000000,0x7ffc8000,0x200fffee,0xf30ffffd,
    0xfd009fff,0xfffb81ff,0x7fffe804,0xa800dfff,0x5c00ffff,0x20006fff,
    0xf306fffd,0x7fc400bf,0x7ffdc04f,0x7fdc0000,0x0fffc82f,0x24fff880,
    0x0001fff9,0x00000000,0xfd9fff20,0xff9800ff,0xffff30ff,0x5fff5001,
    0x800fffc8,0xfff7fffa,0xfff7000d,0x7fffc405,0x3fe20001,0x0ffd03ff,
    0x407ffd80,0x80005ffe,0xfe82fffb,0x3bfa006f,0x007ffe64,0x00000000,
    0x27ffc800,0x36003fff,0xfff30fff,0x1fffc009,0xe8013ffa,0x0dfff7ff,
    0x09fff300,0x0027ffe4,0x837ffd40,0x2a001ffc,0xff302fff,0xf700003f,
    0xdfff05ff,0xff980400,0x2f76e61f,0x5554400a,0x05553000,0x0acedc98,
    0x7fc5fff2,0x3ff2002f,0x05fff30f,0x3e2ffec0,0x3f6003ff,0x00dfff7f,
    0x20bfff10,0x000ffff8,0x01fffd00,0xf8007ff5,0xfff905ff,0x3fee0000,
    0x07fff82f,0x9fff9800,0xffffffd8,0x3ffea03f,0x0fff9001,0x3fffffa6,
    0x2fff93ff,0x2001fffa,0xff30fffa,0x7fe4003f,0x00bffe66,0xfff7ffc8,
    0xfff3000d,0x17ffe605,0xfffc8000,0x006ff883,0x7c07ffe4,0x700004ff,
    0xffd05fff,0xf980001f,0xffffebff,0x80dfffff,0x9001fffa,0xfff50fff,
    0x9fffffff,0x3feefffb,0x3fe6000f,0x01fff30f,0xa87ffdc0,0x2e001fff,
    0x0dfff7ff,0x01fff900,0x0013ffea,0x05fff980,0x4c001ffd,0x7fd42fff,
    0xf700001f,0xfff905ff,0xff980005,0x99bdffff,0xa86fffeb,0xf9001fff,
    0xffffa8ff,0xfffba9bd,0xfff97fff,0x7ffcc001,0x800fff30,0xff70fffb,
    0x7fd4003f,0x800dfff7,0x2e05fffa,0x00003fff,0x5c1bffe2,0x7f4002ff,
    0x037fec5f,0x5fff7000,0x009fff50,0xfffff980,0x7fffd104,0x001fffa8,
    0xffe8fff9,0xfffd103f,0x07ffeeff,0x30fffa80,0x64001fff,0x3ffea7ff,
    0x5ffea001,0x26206fff,0x05fffda9,0x000fffe4,0x41fffe00,0x5c004ff9,
    0xfff10fff,0x7dc00007,0x3e6662ff,0x99999eff,0xffff3001,0x8dfff009,
    0x9001fffa,0x7ffdcfff,0x7fffe804,0x4005fff5,0xff30fffb,0x7fec003f,
    0x00bffe65,0xfff7ffb8,0xffffffff,0x09ffffff,0x001fffd0,0x0ffff800,
    0x8800fff0,0xfff53fff,0x7dc00001,0xffff12ff,0xffffffff,0xfff3003f,
    0xfff7001f,0x00fffd47,0x3f67ffc8,0xffb800ff,0x07fff37f,0x987ffe40,
    0x3a002fff,0x3ffe24ff,0x5fff2003,0xffffffff,0xffffffff,0x7fff802f,
    0xffe80000,0x03ffb00f,0xfb5ffd80,0xb80000bf,0xfff12fff,0xffffffff,
    0xff3003ff,0x7ffc009f,0x007ffea5,0xffd3ffe4,0x3fffc009,0x2200dfff,
    0xff30ffff,0x3fe2009f,0x037ffc2f,0x3fefffd0,0xffffffff,0xffffffff,
    0x3fffa01e,0x7fc00000,0x0ffea07f,0xf1fff500,0x800005ff,0xdd12fffb,
    0xddffffdd,0xf3003ddd,0x7f4005ff,0x07ffea6f,0xff3ffe40,0x7fec007f,
    0x00bffee7,0x4c3ffff2,0xd800ffff,0x7fdc0fff,0xfffb802f,0x555ffff7,
    0xb9555555,0x205fffff,0x0001fffe,0x81fffe20,0xf8005ff8,0x007ffdff,
    0x2fffb800,0x0017ffe0,0x001fff98,0xffa9fff6,0xfff9001f,0x800bffe6,
    0x7ff47ffc,0x3ffee02f,0xffff30ff,0x5fff980b,0x401dffd0,0xff7fffe8,
    0xfe9800df,0xffd80fff,0x2600002f,0x7f406fff,0xfffc8007,0x800004ff,
    0x3e02fffb,0x260006ff,0x32000fff,0xfff50fff,0x5fff2003,0x2001fffa,
    0x7fd47ffb,0xda889cff,0x30ffffff,0x01bfffff,0x203ffff7,0x981ffffa,
    0xff7ffffe,0xfb1000df,0xfff709ff,0x7d400009,0x7fe405ff,0x7ffcc002,
    0x800001ff,0x3a02fffb,0x260005ff,0x7dc007ff,0x3fff50ff,0x5dfff200,
    0x2a000fff,0xfffb87ff,0xefffffff,0xff30fffd,0xb9bfffff,0x807ffffd,
    0xcceffffc,0x7ffffffe,0x2000dfff,0xf987fffa,0x200005ff,0x4c02fffc,
    0xfe8004ff,0x000006ff,0x7c05fff7,0x260003ff,0x32000fff,0x3ffea7ff,
    0x2fffb001,0x2001fffa,0xff307ffb,0x1bffffff,0x7fccfff7,0xfffffdaf,
    0x7002ffff,0xffffffff,0x3efff95f,0x3e0006ff,0xffe80fff,0xf980002f,
    0xdff007ff,0x7fff7000,0x01372a00,0x440bffee,0x20001fff,0x2001fff9,
    0x3fea6ffd,0xfffb001f,0x800bffe2,0x2a207ffc,0x322cefdc,0x3ffe67ff,
    0xfffffd72,0xfd980019,0xf91effff,0x01bffeff,0x81fffe80,0x0006fffb,
    0x004fffd8,0xa8001ffb,0xfb000fff,0xfff900df,0x01bfee03,0x03fff300,
    0xf52fff40,0x3fa003ff,0x00fffe7f,0x0007ffd8,0x3e67ffc8,0x4d5442ff,
    0x1a980000,0xfff7ffc8,0x7ffc000d,0x7fffd107,0x7ffd4000,0x7ff7001f,
    0x04ffd800,0x201fff20,0xfd01fffd,0xf980003f,0xff3004ff,0x17ffcc9f,
    0xb3fffc40,0x7fc00dff,0x6c00027f,0x3ffe66ff,0x00000002,0xfffbffe4,
    0xfff30006,0x7fffd40d,0xfffa8003,0x3fe2003f,0x3ffe2005,0x3ffee001,
    0x83fff402,0x80003ffc,0xb007fff9,0x7fcc1fff,0xfffb804f,0x00bfff27,
    0xfe9fffee,0xfff3004e,0x017ffcc9,0x32000000,0x0dfff7ff,0x13fffa00,
    0x1bffff90,0x3ffff200,0x07fe8006,0x001bff20,0x6c0dfff5,0xffd85fff,
    0x20001316,0x405ffff9,0x7c44fffa,0x3ea01fff,0x3fe67fff,0x3fe200ef,
    0x3fff27ff,0x2fffe801,0x000bffe6,0xff900000,0x001bffef,0x03ffffb3,
    0x7fffffb0,0x7f5cc415,0x8000efff,0x22081ffc,0x8002fffc,0x889efffe,
    0x42ffffda,0xfffffffd,0x109bdeff,0x7ffccb93,0xffb80dff,0xfffc80ff,
    0x7ffdc41e,0x7ffe47ff,0xffff981e,0x17ffee7f,0x98dfff90,0x00002fff,
    0xbffe4000,0xaaaaffff,0xfeccbaaa,0x2003ffff,0xfffffffb,0xffffffff,
    0xf50000df,0xffdfb09f,0x26000bff,0xffffffff,0x7cc5ffff,0xffffffff,
    0xffffffff,0xfff30fff,0xdb9dfffb,0x2605ffff,0xedffffff,0x7ffaefff,
    0xceffffe8,0xffdfffec,0x67ffff47,0xffffcaaa,0x17ffcc1f,0x20000000,
    0xffff7ffc,0xffffffff,0x9fffffff,0xfffd5000,0xffffffff,0x880007ff,
    0xfffc86ff,0x20000eff,0xfffffffb,0xfe80dfff,0xfeddffff,0xffffffff,
    0x2fff33ff,0xfffffffc,0x7fd401ef,0xefffffff,0xfb07ff98,0xffffffff,
    0xf88fff75,0xffffffff,0xf981ffff,0x000002ff,0xfbffe400,0xffffffff,
    0xffffffff,0x6cc0002e,0xffffffff,0x3600002d,0x7ffdc0ff,0x880001ff,
    0xdffffffe,0x02bbee03,0x7ffff64c,0xfff31dff,0x7fffff64,0xffb1000d,
    0x2619dfff,0x3faa07ff,0xf71effff,0xfff710ff,0x19ffffff,0x00bffe60,
    0xf9000000,0x3ffffeff,0xefffffff,0x00001cce,0x09aaa998,0xcca80000,
    0x00de5441,0x554c4000,0x80031000,0x000aaaa8,0x00005544,0x00002aa6,
    0x00006aa6,0x05599953,0x00026660,0x33100000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0002aaa8,0xa86aaaa6,0x260002aa,0x64c01aaa,0x01bcefed,0x54799950,
    0x000002aa,0x2aaaa000,0xaaaaaaaa,0xaaaaaaaa,0x8800aaaa,0x0009acb9,
    0x02aa8800,0x55555550,0x35555555,0xaa800000,0x510001aa,0x1bffe355,
    0x7fffd400,0x01fffdc5,0x0ffffc40,0xfffffd98,0x200cffff,0x3a2ffff8,
    0x000007ff,0xffff3000,0xffffffff,0xffffffff,0x5405ffff,0xfffffffe,
    0x3600001e,0xffd007ff,0xffffffff,0x019fffff,0xfff88000,0xff10006f,
    0x01bffebf,0x17fffea0,0x0007fff4,0x5413fff2,0xffffffff,0x702fffff,
    0xffe87fff,0x00000007,0xffffffb0,0xffffffff,0xffffffff,0xffb105ff,
    0xffffffff,0xa80001bf,0xfd007fff,0xffffffff,0xffffffff,0x2e000019,
    0x001fffff,0xff5fff88,0xffa800df,0x3fea05ff,0x3fe2004f,0xfff880ff,
    0xfd730aef,0xfff01fff,0x00fffd0b,0xf3000000,0xffffffff,0xffffffff,
    0xffffffff,0xbffffd05,0xffffb959,0x7fc4000b,0xffd007ff,0xffffffff,
    0xffffffff,0xfd00003f,0x0009ffff,0x3febfff1,0x3fea006f,0xffe805ff,
    0xfff9001f,0x13fffa07,0xb8dfffb0,0xffe80eff,0x00000007,0x2a3fffd8,
    0x00004fff,0x4037fff2,0x003fffea,0x0fffffd0,0x201fffa0,0xffffea98,
    0x3e60001f,0x00fffbff,0xfafffc40,0xff5006ff,0x3e6009ff,0xff9805ff,
    0xdfff506f,0x87fffa00,0xffd01fff,0x0000000f,0x547fff88,0x00004fff,
    0x100dfff3,0x8001ffff,0x07fffffb,0x000fffd0,0x01fffff7,0x237ff200,
    0x44003fff,0xdfff5fff,0x9ffff500,0x2fffc800,0x817ffec0,0x3001fffc,
    0xe8007fff,0xaaaabfff,0x019aaaaa,0x7ffe4000,0x027ffd43,0x1fffb800,
    0x03fff700,0x7f7ffcc0,0xfffd007f,0x3ffe2000,0xfff0003f,0x001bffa7,
    0x3febfff1,0x7ffd406f,0xff88004f,0x3ffe606f,0x01fffa06,0x005fff88,
    0x7ffffff4,0xffffffff,0x40000bff,0x540ffff8,0x00004fff,0x4c00fffb,
    0x3a003fff,0x07ffdbff,0x000fffd0,0x007fffdc,0x5c3ffea0,0x22001fff,
    0xdfff5fff,0x27fffd40,0x7fff7000,0x407fffa0,0x4004edc8,0x2aaa5fff,
    0xfffffd01,0xffffffff,0x009fffff,0x427ffe40,0x0004fffa,0x400bfff0,
    0x9004fff8,0x1fff6bff,0x003fff40,0x00ffffa0,0x7c4dffb0,0x3e2005ff,
    0x0dfff5ff,0x00ffffea,0x03fffe00,0x000bfff5,0x8fffe600,0xffd04fff,
    0xffffffff,0xffffffff,0xff10007f,0xfff501ff,0x4c400009,0x3ffe6000,
    0x0fffa803,0x3a00fffb,0x540007ff,0x22005fff,0x7fec4fff,0xfff1000f,
    0x2a1bffeb,0x0003ffff,0xe89fff50,0x00000fff,0x7c3fff70,0xfffd04ff,
    0x7ffdc400,0x7e4002ff,0xfff504ff,0x00000009,0x401fffb8,0x3f62fff8,
    0xfffd007f,0xffff0000,0x0fffdc00,0x400fffea,0xfff5fff8,0x3ffffa8d,
    0x7ff40000,0x09fff50f,0x3fe60000,0x827ffc6f,0x88007ffe,0x2006fffe,
    0x500ffff8,0x00009fff,0xfffe8000,0x22ffec00,0xfd007ffd,0xfb0000ff,
    0x3fa003ff,0x0dfff06f,0x7d7ffe20,0x3ffea6ff,0x9800005f,0xfffd4fff,
    0xf3000001,0xfff83fff,0x00fffd04,0x03fffe20,0x027ffdc0,0x0009fff5,
    0x7fdc0000,0x7ffdc04f,0x803ffec0,0x80007ffe,0x9802fffc,0xff903fff,
    0xfff1003f,0x7d5bffeb,0x001fffff,0xbfffd800,0x00002fff,0x83ffffa8,
    0xffd04fff,0x7ff4000f,0xffff002f,0x7fffd401,0xffffffff,0x002fffff,
    0x07fffcc0,0xb05fff10,0x3fa00fff,0xfc80007f,0xffd802ff,0xbfff300f,
    0x2bfff100,0xfffbefff,0x000effff,0x53333310,0x3fffffff,0x00133333,
    0x0ffffea0,0xfe827ffc,0x3ee0007f,0xffb803ff,0x7ffd404f,0xffffffff,
    0x02ffffff,0x3fffe600,0x827ff402,0x3fe07ffd,0xffffffff,0x401fffff,
    0x4403fffb,0x7f405fff,0x7fc400ff,0xffffff5f,0xbfffd5ff,0x3fff6000,
    0xffffffff,0xffffffff,0xfffa8003,0x13ffe03f,0x0003fff4,0xf009fff5,
    0xfa801fff,0xffffffff,0xffffffff,0xfff30002,0x6ffc809f,0xf81fff60,
    0xffffffff,0x01ffffff,0x201fffdc,0x5c02fffb,0x7c403fff,0xfffff5ff,
    0x3ffe65ff,0xffd8002f,0xffffffff,0xffffffff,0x7fc4003f,0x7ffc02ff,
    0x00fffd04,0x017ffe40,0x2017ffee,0xcccefffa,0xcccccccc,0xf98001cc,
    0x7cc05fff,0x3ff601ff,0x3ff33207,0xccccccff,0x7fe400cc,0x3fff402f,
    0x037ffc40,0x7fd7ffe2,0x7e41ffff,0x64000fff,0xeeeeeeee,0xeeeeefff,
    0x64002eee,0xff802fff,0x0fffd04f,0x0ffff400,0x007fffa0,0x0013ffea,
    0x7ffd4000,0x7ff4405f,0x03ffec04,0x0007ffe8,0x202fffe8,0x999dfff9,
    0xfe999999,0x3fe202ff,0x3fffff5f,0x01bfffa0,0x3fff5000,0xfff80000,
    0x09fff005,0x4001fffa,0x200ffffb,0xfffffffa,0xffffffff,0x000004ff,
    0x04ffffb8,0xd806ffc8,0xffd007ff,0xfff0000f,0x7ffe403f,0xffffffff,
    0x05ffffff,0x7fd7ffe2,0x3fe201ff,0x200004ff,0x0001fffa,0x00bffe20,
    0xfe827ffc,0x7e44007f,0x7f403fff,0xffffffff,0xffffffff,0x64000004,
    0xa803ffff,0xaaaacfff,0xfffeaaaa,0xffd02aaa,0xff88000f,0x3ffe00ff,
    0xffffffff,0xffffffff,0x2bfff100,0xfb806fff,0x53002fff,0xf9555555,
    0x555557ff,0x7d400355,0xfff000ff,0x2ffffa09,0xcaaaaaaa,0x6fffffec,
    0x7ffffd40,0xffffffff,0x004fffff,0xfffb1000,0x3fee005f,0xffffffff,
    0xffffffff,0x0fffd06f,0x6fff9800,0x3ffffea0,0xffffffff,0x04ffffff,
    0x3febfff1,0xfffb006f,0xfffb001f,0xffffffff,0xffffffff,0x7ffdc007,
    0x09fff000,0x3ffffffa,0xffffffff,0x401effff,0xaaabfffe,0xcaaaaaaa,
    0x00004fff,0x1ffffe88,0x3fffee00,0xffffffff,0x6fffffff,0x000fffd0,
    0x203fffd8,0x4000fffd,0xf107fff9,0x1bffebff,0x2ffffc40,0x7ffffec0,
    0xffffffff,0x03ffffff,0x801bbaa0,0xffd04fff,0xffffffff,0x7fffffff,
    0x0bfff500,0x04fffa80,0x7ff44000,0x7dc000ef,0xffffffff,0xffffffff,
    0xfffd06ff,0x7ffcc000,0xdfff101f,0x3fffa000,0xf5fff882,0x7d400dff,
    0x54c03fff,0xfcaaaaaa,0xaaaaabff,0x000001aa,0xfd04fff8,0xffffffff,
    0x1599ddff,0x0bfff600,0x09fff500,0xfffe8000,0x0000000e,0x3a00fffb,
    0x3a0007ff,0x3ee05fff,0xf50003ff,0xfff10bff,0x001bffeb,0x003ffff9,
    0x00fffd40,0x7c000000,0xfffd04ff,0x7cc00000,0xfa8006ff,0x200004ff,
    0x000efffb,0x3ff60000,0x0fffd007,0x3ffff200,0x03fffa01,0x7fffc400,
    0xfafffc40,0xfe8006ff,0x50000fff,0x00003fff,0x8004ccc4,0xffd04fff,
    0x6c00000f,0xa8002fff,0x00004fff,0x001ffff1,0xffd80000,0x0fffd007,
    0xffffea80,0x17ffe604,0x9fff9000,0xff5fff88,0xff3000df,0x2a000bff,
    0x00001fff,0x400bfff6,0xffd04fff,0x2600000f,0x50006fff,0x5555bfff,
    0x55555555,0x7ffec555,0xaaaaaaac,0x01aaaaaa,0x01fff600,0x555ffff4,
    0xfedcbaaa,0x405fffff,0x0002fffc,0x223fffcc,0xdfff5fff,0x3ffee000,
    0xffa8003f,0x3600001f,0xff002fff,0x1fffa09f,0x7fec0000,0xff50003f,
    0xffffffff,0xffffffff,0x3ffffe6f,0xffffffff,0x005fffff,0x401fff60,
    0xfffffffe,0xffffffff,0xff804fff,0xfd00007f,0x7ffc45ff,0x000dfff5,
    0x00fffff4,0x007ffea0,0x2fffd800,0x209fff00,0x00007ffe,0x007fff88,
    0x3ffffea0,0xffffffff,0xf77fffff,0xffffffff,0xffffffff,0x7ec000bf,
    0xfffd007f,0xffffffff,0x019fffff,0x009fff50,0x97ffee00,0xfff5fff8,
    0x7fc4000d,0x2a000eff,0x00001fff,0x400bfff6,0xffd04fff,0xf900000f,
    0x540007ff,0xffffffff,0xffffffff,0xffff97ff,0xffffffff,0x0bffffff,
    0x03ffec00,0xffffffe8,0xdeffffff,0x3ff6000b,0xf100001f,0x3fe23fff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xaaaaaaa9,0xaaaaaaaa,0x2aa20009,
    0x0155510a,0xccc88000,0x1555100c,0x0002aaa2,0x00000000,0x27ddfb73,
    0x00002aaa,0xaaaa80e0,0x5500002a,0x2aa61555,0xaaaaaaaa,0xaaaaaaaa,
    0x2aaaa1aa,0x2aa20000,0x0555510a,0x7fffffec,0xffffffff,0xa803efff,
    0xfff31fff,0xfe800005,0xff305fff,0x0bffe65f,0x3fffe000,0xffffffff,
    0x07ffffff,0x7fffffec,0x000dfff4,0x7c0fd500,0x001fffff,0x7ffffd40,
    0xffffffb0,0xffffffff,0x49ffffff,0x0005fffe,0x7dcbffea,0x3ff607ff,
    0xffffffff,0xffffffff,0x3fea01ef,0x05fff31f,0x7ffe4000,0xff984ffe,
    0x05fff32f,0xfffff000,0xffffffff,0x40ffffff,0xfffffffb,0x000dfff3,
    0x207ffb80,0x04ffffff,0x7fffec00,0xfffffb0f,0xffffffff,0x9fffffff,
    0x01fffff4,0x72fffa80,0x7ec0ffff,0xeeeeeeff,0xfffeeeee,0xf500ffff,
    0x3ffe63ff,0xff500002,0x85fff57f,0xff32fff9,0xff00005f,0xffffffff,
    0xffffffff,0x3fffe20f,0xfff1aabe,0xfc80000d,0x3fffe07f,0x220006ff,
    0xb0ffffff,0xffffffff,0xffffffff,0x7f49ffff,0x8000ffff,0xff72fffa,
    0x7ffec0ff,0x7fecc000,0xfff504ff,0x00bffe63,0x97ffe600,0x3221fffd,
    0x5fff31cc,0x55550000,0x55555555,0x05fffd55,0xf813ffe6,0x400006ff,
    0x3fe07ffc,0x001fffff,0xffffff50,0x003fff61,0xffffd000,0xff5000bf,
    0x1fffee5f,0x000fffd8,0x20ffff70,0xff31fffa,0xe880005f,0x3fe20fff,
    0x7fcc00ef,0x0000002f,0x409fff70,0x3e01fff9,0x400006ff,0x3fe07ffc,
    0x004fffef,0xffffffb0,0x003fff61,0xffffd000,0xfa8007ff,0xffff72ff,
    0x007ffec0,0x03fffb00,0x3e63fff5,0x000002ff,0xfff98000,0x80000002,
    0x5405fff9,0x3fe01fff,0x6400006f,0x3ffe07ff,0x8006ffce,0xfffcfff8,
    0x001fffb0,0xffffe800,0x2a000fff,0xfff72fff,0x07ffec0f,0x7fff7000,
    0x263fff50,0x00002fff,0xff980000,0x0000002f,0x007fff44,0xf803ffea,
    0x880006ff,0xaafffdaa,0x27bffe1a,0x5c001fff,0x0fffccff,0x0001fffb,
    0xfdeffe80,0x3ea005ff,0xffff52ff,0x007ffec0,0x0bfff300,0x3e63fff5,
    0x554402ff,0x555400aa,0x42aaa201,0x2a22fff9,0x0001bcdc,0x40bfff20,
    0xbfffcaa9,0x3ffe0aaa,0xff980006,0x4fffffff,0x7ffdbffe,0x57fec004,
    0xffb0fffc,0xe800001f,0xffff8eff,0x5fff5003,0xd81fffea,0x20000fff,
    0xfa84fffb,0x5fff31ff,0x2ffff440,0x3027ffc0,0x3fe65fff,0xfffff92f,
    0x80003fff,0x3205fff9,0xffffffff,0x1bffe2ff,0x3ffe6000,0x24ffffff,
    0xdff96fff,0xcbffc400,0xfffb0fff,0xfe800001,0x1ffff56f,0x25fff500,
    0x3606fff9,0x20000fff,0xfa83fffd,0x5fff31ff,0x13fffa20,0x3027ffc0,
    0x3fe65fff,0xfffffdaf,0x001fffff,0x807fffa0,0xfffffffc,0x3ffe2fff,
    0xaa880006,0x1aaafffd,0x7fcdbffe,0x9ff7001f,0x7ec3fff2,0x400000ff,
    0x3ff66ffe,0xfffa805f,0x40dfff32,0x0000fffd,0x503ffff5,0x3fe63fff,
    0xfffe882f,0x13ffe004,0xf32fff98,0x5bffffff,0x1fffff75,0x9fff7000,
    0xffcaa980,0x3e0aaabf,0x400006ff,0x3fe07ffc,0x013ffe6f,0xffc8fff4,
    0x01fffb0f,0x6ffe8000,0x00ffffe2,0x3e25fff5,0x3ff605ff,0xffc8000f,
    0xfff504ff,0x10bffe63,0x8009fffd,0x3e604fff,0xffff32ff,0x3ff6209f,
    0xfff8004f,0x3fea000f,0x1bffe00f,0xfff90000,0xf937ffc0,0xfff100df,
    0xfd87ffe4,0x400000ff,0x7fd46ffe,0x3fea00ff,0x09fff12f,0x555fffec,
    0xdcbaaaaa,0x0efffffe,0x263fff50,0x7fec2fff,0xfff8004f,0x4bffe604,
    0x405ffff9,0x4006fff8,0x4005fffa,0x3e00fffa,0x400006ff,0x3fe07ffc,
    0x07ffe66f,0x7e49ff70,0xffffb0ff,0xffffffff,0x7fffffff,0xfd86ffe8,
    0x3fea05ff,0x813ffe2f,0xfffffffd,0xffffffff,0x200dffff,0xff31fffa,
    0x27ffec5f,0x04fff800,0x7ccbffe6,0xffb007ff,0xfffd800f,0x7ffd4001,
    0x01bffe00,0x0fff9000,0x3fe37ffc,0x0fff404f,0x3f61fff9,0xffffffff,
    0xffffffff,0x37ff43ff,0x81ffffc4,0x3fe2fffa,0x3fff603f,0xffffffff,
    0x2effffff,0x31fffa80,0x3ff65fff,0x3fe0003f,0x3ffe604f,0x00bfff32,
    0x8801fff2,0xa8006fff,0x3fe00fff,0x6400006f,0x3ffe07ff,0x1037fe46,
    0xfffc8dff,0xffffffb0,0xffffffff,0xe87fffff,0xfff506ff,0x5fff501f,
    0xfb01fff4,0xffffffff,0x15dfffff,0x8fffd400,0xffdafff9,0x7fc0004f,
    0x3ffe604f,0x009fff32,0x4003ffee,0x8003fffb,0x3e00fffa,0x400006ff,
    0x3fe07ffc,0x0fffcc6f,0x7e43ffb8,0x7fffb0ff,0x55555555,0x15555555,
    0x3606ffe8,0xffa86fff,0x80bffa2f,0x2a00fffd,0x000dfffe,0x7cc7ffea,
    0xffffffff,0x3ffe0000,0x4bffe604,0x7003fff9,0x3a001fff,0xf50007ff,
    0x7ffc01ff,0x7e400006,0x1bffe07f,0x7f413ffe,0x87ffe41f,0x0000fffd,
    0x1037ff40,0xfa87ffff,0x0bff62ff,0x800fffd8,0x001ffffd,0x3e63fff5,
    0xffffffff,0x3ffe0005,0x4bffe604,0x7002fff9,0xf5001fff,0x2a0009ff,
    0x3fe00fff,0x6400006f,0x3ffe07ff,0x986ffc86,0xfffc86ff,0x001fffb0,
    0x06ffe800,0x507fffd4,0x7fec5fff,0x03fff601,0x07fffec0,0x98fffd40,
    0xfebfffff,0xff0002ff,0x7ffcc09f,0x005fff32,0x2003ffee,0x0001fffd,
    0x7c01fff5,0x400006ff,0x3fe07ffc,0x1fff986f,0x7e41ffdc,0x1fffb0ff,
    0xffe80000,0x6fffd806,0xfc8bffea,0x3fff601f,0x3fffa000,0x1fffa806,
    0x265ffff3,0x8000ffff,0x3e604fff,0x5fff32ff,0x03ffee00,0x00bfff10,
    0x007ffd40,0x0000dfff,0x3e07ffc8,0x9ffd06ff,0xfc80ffe8,0x1fffb0ff,
    0xffe80000,0xffff8806,0x5c5fff53,0x3ff600ff,0x3fe6000f,0x7fd405ff,
    0x87fff31f,0x8005fffb,0x3e604fff,0x5fff32ff,0x03ffee00,0x005fff70,
    0x007ffd40,0x0000dfff,0x3e07ffc8,0xdff906ff,0xfc837fcc,0x1fffb0ff,
    0xffe80000,0xffff5006,0x5c5fff51,0x3ff600ff,0x7fe4000f,0x3fea02ff,
    0x05fff31f,0x8005fffd,0x3e604fff,0x5fff32ff,0x03ffee00,0x001fffb0,
    0x007ffd40,0x0000dfff,0x3e07ffc8,0xfff306ff,0x640fff23,0xfffb0fff,
    0xfe800001,0x3ff6006f,0x22fffaef,0x7fec04c9,0xffe8000f,0xfff500ff,
    0x20bffe63,0x000ffff9,0xf9813ffe,0x5fff32ff,0x03ffee00,0x000dfff0,
    0x200fffa8,0x00006fff,0xff03ffe4,0xa7ff40df,0xff900fff,0x03fff61f,
    0xdffd0000,0x7fffc400,0x8002fffe,0x8000fffd,0x505ffff9,0x3fe63fff,
    0xbfff902f,0x027ffc00,0x3e65fff3,0xff7002ff,0x7ffc401f,0x7fd40005,
    0x1bffe00f,0xfff70000,0x81bffe01,0x5ff9effc,0x6c3fff20,0x00000fff,
    0x20037ff4,0xfffffffa,0xfffd8002,0xfff70000,0x3fff505f,0xe80bffe6,
    0xff002fff,0x7ffcc09f,0x005fff32,0xa803ffee,0x40004fff,0x3e00fffa,
    0x400006ff,0x099dfffb,0xf981bffe,0x202ffeff,0xffb0fffc,0xe800001f,
    0xfd8006ff,0x262fffff,0x3ff60099,0x3fa0000f,0xfffa86ff,0x405fff31,
    0x800ffff9,0x3e604fff,0x5fff32ff,0x03ffee00,0x002fffc8,0x007ffd40,
    0x5555ffff,0x55555555,0xfff30155,0x7ffcbfff,0x7ffff406,0x3fff200f,
    0x557fffb0,0x55555555,0x15555555,0x2001bffa,0x2ffffff8,0x6c0dfff3,
    0x20000fff,0x544ffff9,0xfff31fff,0x5fffc805,0x204fff80,0xff32fff9,
    0x3fee005f,0x3fff200f,0x7fd40001,0x3fffe00f,0xffffffff,0x03ffffff,
    0x4dfffffb,0x7e406fff,0x7e405fff,0xffffb0ff,0xffffffff,0xffffffff,
    0x01bffa3f,0x7ffffd40,0x40dfff32,0x0000fffd,0x50ffffe4,0x3fe63fff,
    0x7ffc402f,0x27ffc02f,0x265fff30,0xf7002fff,0x7fec01ff,0xffa80007,
    0x3fffe00f,0xffffffff,0x03ffffff,0xf9ffffb2,0x7fcc06ff,0x7fe402ff,
    0xfffffb0f,0xffffffff,0xffffffff,0x001bffa3,0x32ffffd8,0x7ec0dfff,
    0x440000ff,0x3ea6ffff,0x5fff31ff,0x1ffff500,0x3027ffc0,0x3fe65fff,
    0xfff7002f,0x037ff401,0x07ffd400,0xfffffff0,0xffffffff,0x31007fff,
    0x806fff83,0x6400fffe,0xfffb0fff,0xffffffff,0xffffffff,0x1bffa3ff,
    0xffff8800,0x00dfff32,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x55555555,0x00355555,
    0xaaaaaaa8,0xaaaaaaaa,0x44ccb801,0x0001ccc9,0x2aa604c4,0xaaaaaaaa,
    0xaaaaaaaa,0x5555440a,0xaaaaaaaa,0xaaaaaaaa,0x00aaaa61,0x15554c00,
    0x002aaaa2,0x41555500,0x8001aaa8,0x8002aaaa,0x1000aaa9,0x2aaa2399,
    0x3a555512,0xffffffff,0xcfffffff,0xffffe800,0xffffffff,0xd00befff,
    0xfffa8fff,0x2fbff203,0xf913fe20,0xffffffff,0xffffffff,0xfffb83ff,
    0xffffffff,0xffffffff,0x3fffe64f,0x7fc40003,0xfffd83ff,0x3ff20006,
    0x2fffcc4f,0x3fffe200,0x7fec000f,0x5ffd000f,0x7cd7ffea,0xffffd6ff,
    0xffffffff,0x019fffff,0x7ffffff4,0xffffffff,0xfe84ffff,0x1fffd47f,
    0xffffffd8,0x643ffdbd,0xffffffff,0xffffffff,0x7fdc1fff,0xffffffff,
    0xffffffff,0x7ffe44ff,0x3f60000f,0xfff105ff,0xff50009f,0x1fffe0df,
    0xfffff500,0x6fff8005,0x25fffb00,0xff35fffa,0x3ffffadf,0xffffffff,
    0x1fffffff,0xffffffd0,0xffffffff,0xe87fffff,0x7ffd47ff,0xfdfffa83,
    0x0fffffff,0x7fffffe4,0xffffffff,0x5c1fffff,0xffffffff,0xffffffff,
    0xfe84ffff,0xf50005ff,0x7d401fff,0x22001fff,0xfb01ffff,0x7e4001ff,
    0x2005ffff,0xb804fff9,0xff52ffff,0x5bffe6bf,0x98807ffe,0x1fffffdb,
    0x2007ffe8,0x2fffffb9,0x5510aaaa,0x43ff9015,0x81dfffda,0x0001fffc,
    0x7dc00000,0xff981fff,0x7c4003ff,0xfc802fff,0xfd000eff,0x7fdc07ff,
    0x3ffe002f,0x2e007ffd,0x7dc01fff,0xdd32ffff,0x53bba69d,0xa8007ffe,
    0x740fffff,0xe88007ff,0x00006fff,0x00a80aa6,0x0007fff2,0xfa800000,
    0x3f203fff,0x32000fff,0x3a005fff,0xfc804fff,0x7fc405ff,0xfff3004f,
    0x2003fff3,0x3a207ffd,0x02ffffff,0x00fffd00,0x0ffffe60,0x2000fffd,
    0x000ffff8,0x32000000,0x00001fff,0xfff30000,0xfffd009f,0x3ffe600b,
    0x3fe6000f,0x3fea02ff,0xffe800ef,0x2dff7006,0xff003fff,0x3ffee0bf,
    0x002fffff,0x000fffd0,0xd07fffd4,0x74000fff,0x00002fff,0x3ff20000,
    0x0000001f,0x5ffff880,0x5ffff300,0x05fffd00,0x1ffff700,0x03ffff10,
    0x003fff20,0x7fe53ff6,0x3fff9806,0x77ffff44,0x0002fffa,0x8000fffd,
    0x3fa3fffd,0x3f20007f,0x355503ff,0x510aaa20,0x20137bb7,0x0001fffc,
    0xffe80000,0x3f2000ef,0x3f200fff,0x3a0004ff,0xffe85fff,0x3fea003f,
    0x1fff802f,0xb801fff5,0x7fdc1fff,0x5fff33ff,0x1fffa000,0xbfff5000,
    0x0003fff4,0x3e09fff5,0xfff304ff,0x7fffffe4,0xfffc81ef,0x00000001,
    0x00ffffe4,0x82ffff40,0x000efff9,0x8ffffe20,0x4005fffc,0x5404fff8,
    0x3ffe27ff,0x43ffec02,0x3e61effb,0xfd0002ff,0xf88000ff,0x1fffa7ff,
    0x2fffc800,0x2609fff0,0xffffb7ff,0x87ffffff,0x0001fffc,0x3fee0000,
    0xf30002ff,0xffd05fff,0xf500003f,0xfff31fff,0xffd0001d,0x45ffc80b,
    0x7fc04ffe,0x982eb84f,0xd0002fff,0xd0000fff,0x3ffa3fff,0x3ffa0007,
    0x09fff01f,0x3ff7ffe6,0xfffdbace,0x3fff20ff,0x00000001,0x009ffff3,
    0x46fffc80,0x0004fffb,0x3b7fff60,0x90001fff,0xffe80fff,0x303ffe43,
    0x40105fff,0x0002fff9,0x0000fffd,0x3fa5fffb,0xff70007f,0x3ffe01ff,
    0xfffff304,0x3fffa207,0x007fff23,0x3e200000,0x00005fff,0x3e27fffd,
    0x400006ff,0xffffffe8,0x3fea0003,0x1fff101f,0x701fff98,0x98001fff,
    0xd0002fff,0x90000fff,0x3ffa5fff,0x7fe44007,0x3ffe03ff,0x9ffff304,
    0x26fff980,0xeeeefffc,0xeeeeeeee,0x3a0000ee,0x0000efff,0xb1ffff30,
    0x00003fff,0xbfffff30,0xfff88000,0x20dff703,0xffb03fff,0xfff3000d,
    0x3ffa0005,0xffb80007,0x57fffd3f,0x99555555,0x0dfffffd,0xf304fff8,
    0xfd001fff,0x7fffe4ff,0xffffffff,0x000fffff,0x03ffff90,0xfffc8000,
    0x0003fffe,0x3ffff200,0xffe80001,0x209ffb05,0xfff05ffd,0xfff30009,
    0x3ffa0005,0xffb80007,0xfffffd3f,0xffffffff,0x03dfffff,0xf304fff8,
    0x3f600bff,0x3ffff27f,0xffffffff,0x000fffff,0x02ffffb8,0xfffd0000,
    0x00000dff,0x2fffffc4,0x3ffdc000,0xf702fff8,0xfff881ff,0xfff98001,
    0xfffd0002,0xfff90000,0x3fffffa5,0xffffffff,0xf003ffff,0x3fe609ff,
    0xfff9004f,0x666fffe4,0xcccccccc,0xf98004cc,0x00004fff,0x3ffffe60,
    0x36000000,0x03ffffff,0x07ffcc00,0x4c03ffe6,0x7fd42fff,0xfff30007,
    0x3ffa0005,0xffe80007,0xfffffd1f,0xdfffffff,0x7c001599,0xfff304ff,
    0x9fff2007,0x0001fffc,0xffff8800,0xc8000005,0x00003fff,0x3fbffee0,
    0x40001fff,0x7fe42fff,0x21fffc05,0x30005ffc,0x26625fff,0x74266609,
    0xf80007ff,0xfffd0fff,0xff000000,0x3ffe609f,0x4fff9002,0x0001fffc,
    0xefffe800,0xb8000000,0x00002fff,0xb1ffff30,0x0001dfff,0x3fa27fec,
    0x2ffe403f,0x4000fffa,0xff52fff9,0x5bffe6bf,0x40007ffe,0x3fa7fff8,
    0x8000007f,0xff304fff,0x3ff2005f,0x007fff27,0xfff90000,0x0000003f,
    0x000bffee,0x3fffa200,0x09ffff12,0x137fdc00,0xfa803fff,0x07ffe27f,
    0x97ffcc00,0xff35fffa,0x01fffadf,0x4dfff300,0x00007ffe,0x304fff80,
    0x32005fff,0x3fff27ff,0x2a000001,0x0002ffff,0x3ffee000,0xfd800002,
    0x7ffd45ff,0xff30002f,0x01ffea1f,0x7d43ffe2,0x3e60007f,0xbfff52ff,
    0x7f5bffe6,0x7ec0007f,0x1fffa3ff,0x3fe00000,0x5fff304f,0xc9fff200,
    0x00001fff,0x07ffff30,0xfb800000,0x400002ff,0xc80efffb,0x0000ffff,
    0x3ff65fff,0x25ffd004,0x20004ffc,0xff52fff9,0x5bffe6bf,0x20007ffe,
    0x3a0ffff9,0x000007ff,0xf304fff8,0x3f2005ff,0x07fff27f,0x3fa20000,
    0x000005ff,0x02fffb80,0x3ffe6000,0x3fffa01f,0x7ffb0005,0x6400bffe,
    0x05ffd4ff,0x17ffcc00,0xffd013ea,0x7ff4000f,0x03fff44f,0x7ffc0000,
    0x05fff304,0xfc9fff20,0x800001ff,0x000efffd,0xffb80000,0xd100002f,
    0xf9807fff,0xb8003fff,0x0fff9dff,0x3edff300,0x260000ff,0x9fe42fff,
    0xffd3bbb8,0x3ff2000f,0x3fff40ff,0x7fc00000,0x5fff304f,0xc9fff200,
    0x00001fff,0x007fffe4,0xfb800000,0xb00002ff,0x2e00dfff,0x4001ffff,
    0x6ffbfff8,0x7d7ffc00,0x7cc0006f,0x98ff42ff,0xfffd6fff,0xfffea800,
    0x07ffe84f,0xfff80000,0x05fff304,0xfc9fff20,0x200001ff,0x001ffffa,
    0x3ee00000,0xa80002ff,0x2000ffff,0x8006fffd,0x04ffeffe,0x7feffec0,
    0x7fcc0004,0xf99ff22f,0x7fffd6ff,0xb9755555,0x9ffffffd,0x001fffa0,
    0x13ffe000,0x8017ffcc,0x3ff27ffc,0xf100001f,0x5555bfff,0x55555555,
    0x00555555,0x00bffee0,0x5ffff100,0xffff8800,0x7ffe4004,0x7dc001ff,
    0x0001ffff,0xfa97ffcc,0x5bffe60e,0xfffffffe,0xffffffff,0x3fa04fff,
    0x8000007f,0xff304fff,0x3ff2005f,0x007fff27,0x7fffc400,0xffffffff,
    0xffffffff,0xb8000fff,0x40002fff,0x0005fffe,0x005ffff5,0x03ffffd4,
    0x3ffffcc0,0x7ffcc000,0x77710322,0x3fffffa7,0xffffffff,0x7401dfff,
    0x000007ff,0xf304fff8,0x3f2005ff,0x07fff27f,0x7ffc4000,0xffffffff,
    0xffffffff,0x8000ffff,0x0002fffb,0x003bfff2,0x0ffffd80,0xbffff100,
    0x3fffa000,0xff980005,0xffd0002f,0xffffffff,0x00179bdf,0x0001fffa,
    0x413ffe00,0x9002fff9,0x7ffe4fff,0xff100001,0xffffffff,0xffffffff,
    0x001fffff,0x005fff70,0x07fffea0,0xfffd1000,0x7fff400b,0xfff90003,
    0xff300007,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaa980000,0x2a00001a,0x555542aa,
    0xaaaaaaaa,0xaaaaaaaa,0x55530aaa,0x554c0001,0xdddddb0a,0xdddddddd,
    0x09dddddd,0x001bbaa0,0x400a0000,0xbcdedca9,0xbd973100,0x2a200059,
    0x09acdecb,0x9d951000,0x26200057,0x009bcecb,0x7ddf6c40,0x300005ff,
    0xfff8bfff,0xffffffff,0xffffffff,0xffb2ffff,0x7dc0003f,0x000092ff,
    0xfff50048,0x97310000,0xefa859bd,0xffffd300,0x41dfffff,0xfffffffa,
    0xfb1002ef,0xffffffff,0x3b22005d,0xefffffff,0x3ffea002,0x01ffffff,
    0xf19ffd10,0x00001fff,0xff85fff9,0xffffffff,0xffffffff,0xfb2fffff,
    0x5c0003ff,0x00092fff,0xff500480,0xffa8000f,0xbfffffff,0xff705ff9,
    0xffffffff,0xfff91dff,0xffffffff,0xffffb809,0xffffffff,0x7ff4404f,
    0xffffffff,0x7fec403f,0xffffffff,0x7ff5404f,0x07fff94f,0x0ffff000,
    0xffffffff,0xffffffff,0x5fffffff,0x0007fff6,0x092fffb8,0x50048000,
    0x22000fff,0xfffffffd,0x0fffffff,0xacffffc8,0xffffba99,0x9abeffff,
    0x04ffffba,0x359ffff7,0xffffd753,0x3fffe201,0xffeb9abe,0x3ffa02ff,
    0xfca9abff,0xfd985fff,0xff34ffff,0xfa8000df,0xf50004ff,0xfd8009ff,
    0x2e0001ff,0x00092fff,0xff500480,0x3ffa000f,0xfba9acff,0xf882ffff,
    0x3e200dff,0x204fffff,0xe80fffd8,0x7e400fff,0xfffb04ff,0x3ffea01b,
    0x1bfff707,0x07fffa20,0x9ff7bffd,0x0007fff4,0x003fffb0,0x013ffea0,
    0x003fffb0,0x497ffdc0,0x80240000,0xb8007ffa,0xd101efff,0xff70bfff,
    0xfff7001f,0xfff100bf,0x02fffa8b,0xf30dfff0,0xffb00dff,0x6fff885f,
    0xe8dffd00,0x5c9ff51d,0x10003fff,0x4000dfff,0x4004fffa,0x0001fffd,
    0x024bffee,0x54012000,0x7c4007ff,0x3e600fff,0x7ec2ffff,0xfff3005f,
    0x3fea001f,0x01bff20f,0xfc87ffd8,0xff9802ff,0x0fffe45f,0x22fffa80,
    0xf127fd40,0x2a000dff,0x20002fff,0x4004fffa,0x0001fffd,0x024bffee,
    0x54012000,0x7e4007ff,0x3fe203ff,0x1106fffe,0x1bffe200,0x01fff880,
    0x3ffe4001,0x50037ff4,0x0dffd013,0x204fff80,0x7fec4ffa,0xffd8001f,
    0x7fd40007,0x7fec004f,0x3ee0001f,0x000092ff,0x99999348,0x99fffb99,
    0xe8999999,0x7fec06ff,0x000fffd9,0x13ffee20,0x007fff00,0x3fff5440,
    0x0013ffe2,0x0027ffc0,0xfa817ff6,0x27ffd44f,0x13ffe200,0x9fff5000,
    0x1fffd800,0x3ffee000,0x48000092,0xfffffff7,0xffffffff,0xfff8ffff,
    0x54bff204,0x98801fff,0xfffffeca,0xeeeeeeef,0xfffeeeee,0xdca98804,
    0x47fffffe,0x0003fff9,0xeeefff88,0xeeeeeeee,0x2a07fffe,0x7fff84ff,
    0x0fffdc00,0x3ffea000,0x7ffec004,0x3fee0001,0x8000092f,0xffffff74,
    0xffffffff,0x7c4fffff,0x9ff503ff,0x9817ffcc,0xffffffec,0xffffffff,
    0xffffffff,0x9306ffff,0xfffffffd,0xf98fffff,0xa80002ff,0xffffffff,
    0xffffffff,0x3fea07ff,0x02fffc84,0x001bffa0,0x013ffea0,0x003fffb0,
    0x497ffdc0,0xc9a40000,0xfdcccccc,0xccccccff,0x0bffe64c,0xff11bfe2,
    0xffff907f,0xf7bfffff,0xffffffff,0xffffffff,0xfffd88ff,0xbeffffff,
    0x7fd47ffd,0xfb80002f,0xffffffff,0xffffffff,0x9ff500ff,0x009fff30,
    0x000fffe6,0x013ffea0,0x557fffb0,0x55555555,0xfffb5555,0x90000125,
    0x01ffea00,0xe82fffa8,0x7ffc40ff,0x3ffff623,0x3e21acdf,0x99999cff,
    0x99999999,0x3fffa209,0x209bceff,0x7fcc7ffc,0xfa80003f,0x99999bff,
    0x99999999,0x13fea019,0xc803fff4,0x80000fff,0x4004fffa,0xfffffffd,
    0xffffffff,0x2fffffff,0x04800009,0x400fff50,0x7e42fff9,0x2fff982f,
    0x02b7fff6,0x004fff88,0x5dfffb00,0x47ffd801,0x0004fff8,0x003fff98,
    0x09ff5000,0x200bffea,0x00004fff,0x8009fff5,0xfffffffd,0xffffffff,
    0x2fffffff,0x04800009,0x400fff50,0x3ea3fff8,0x3fff504f,0x003fffe2,
    0x0013ffe6,0x0077ffc0,0xff87fff8,0x336a004f,0x0027ffc2,0x04ffa800,
    0xa80bfff1,0x00001fff,0x8009fff5,0xfffffffd,0xffffffff,0x2fffffff,
    0x04800009,0x800fff50,0xdff35fff,0xa87ffdc0,0xf5004fff,0x7cc00dff,
    0x9fff33de,0x1fffe200,0xd801fffa,0x37ff47ff,0x80f37600,0x3f200998,
    0x3ff600ff,0x3ea00006,0x7ec004ff,0x99999aff,0x99999999,0x092fffc9,
    0x50048000,0xfd800fff,0x00ffe8ff,0xffc9fffa,0xfff8802f,0xffd001ff,
    0x0fffee5f,0x43fffdc0,0x8803fffb,0x7fe44fff,0xfff9003f,0xff300009,
    0x3ffe207f,0x3ea00003,0x7ec004ff,0x2e0001ff,0x00092fff,0xff500480,
    0xfffc800f,0x3ea01ffe,0x3ffea5ff,0xffffe805,0x7fd401ff,0x1bffe66f,
    0x3ffffee0,0x00effe80,0x220fffe4,0x4c01ffff,0x9901ffff,0xffe80599,
    0x01fff706,0x7ffd4000,0x7ffec004,0x3fee0001,0x8000092f,0x0fff5004,
    0xfffff880,0x3fffa203,0x0bfffe20,0x7efffecc,0xfb882fff,0x3fe22fff,
    0x3fee03ff,0xfa80ffff,0xff901fff,0x3ffea0bf,0xffea883f,0xdfff505f,
    0x0fffb801,0x0005ffe8,0x027ffd40,0x007fff60,0x92fffb80,0x00480000,
    0x5000ddd5,0x5039ffff,0xf905ffff,0xfb79ffff,0x3ea3dfff,0xfecdffff,
    0xfb83ffff,0xebbdffff,0xfffcffff,0xdffffb01,0xdffffb99,0x7fffec01,
    0xffffdcde,0x3fffa06f,0x3fff8801,0x0017ffcc,0x13ffea00,0x03fffb00,
    0x97ffdc00,0x02400004,0xff880000,0xedceffff,0x3a05ffff,0xffffffff,
    0xfff984ff,0xffffffff,0x3ffff603,0x0dffffff,0x7dc09fff,0xffffffff,
    0xffb800ef,0xffffffff,0xfff500ef,0x37fec005,0x0001fff2,0x013ffea0,
    0x003fffb0,0x497ffdc0,0xa8a40000,0xaaaaaaaa,0xaaaaaaaa,0xffffd82a,
    0xffffffff,0x7fd400cf,0x02deffff,0x3ffffb22,0xea800cff,0x2effffff,
    0x2603ffec,0xfffffffd,0x7fec4002,0x02efffff,0x20027fec,0x3fe1fffa,
    0xa800004f,0x6c004fff,0x20001fff,0x0092fffb,0xfff74800,0xffffffff,
    0xffffffff,0xfc8affc8,0x0dffffff,0x05554c00,0x0d54c400,0x1aaa9800,
    0xaa880000,0x98800009,0xf98009aa,0xfff0006f,0x003ffe69,0x3ffea000,
    0x7ffec004,0x3fee0001,0x8000092f,0xffffff74,0xffffffff,0xfc8fffff,
    0x01aaa984,0x00000000,0x00000000,0x00000000,0x32000000,0x0bff96ff,
    0x3fea0000,0x7fec004f,0x3ee0001f,0x000092ff,0xfffff748,0xffffffff,
    0x50ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0xf3fff100,
    0x000005ff,0x0013ffea,0x0003fffb,0xcd97ffdc,0xcccccccc,0xcccccccc,
    0x000005cc,0x00000000,0x00000000,0x00000000,0x00000000,0x6ffec000,
    0x000007ff,0x0013ffea,0x0003fffb,0x0017ffdc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffa8000,0x000004ff,0x0013ffea,
    0x0003fffb,0x0017ffdc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff0000,0x4000003f,0x4004fffa,0x0001fffd,0x000bffee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffc8000,
    0x54000006,0x6c004fff,0x20001fff,0x0002fffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20015551,
    0x2ea02aa9,0x001acdec,0xbcedba88,0x15544009,0x55037b73,0x2a600355,
    0x0aaa21aa,0x8037b951,0x80bcddb8,0x4000aaa8,0x2aaa2aa9,0x05555002,
    0x5442aaa0,0x6edd442a,0x2aa2009b,0xaaaaaaaa,0x82aaaaaa,0x10220000,
    0x26625555,0x01fffa89,0xd50fff90,0xffffffff,0x3fee001d,0x2fffffff,
    0x7d5ffea0,0x2e0effff,0xf9806fff,0x3fe60fff,0x3fffff67,0x7ff443ff,
    0x442effff,0x74004fff,0x3fff25ff,0x3fffcc00,0x987ffd40,0x3fff27ff,
    0x501effff,0xffffffff,0xffffffff,0x8005f88f,0x7ffc45e8,0xf5bfff57,
    0x3f2003ff,0x7fffdc7f,0xffffffff,0x3fffa603,0xffffffff,0x9fffa80d,
    0x86ffffff,0x7404fffd,0x7fcc2fff,0xffffffb7,0x3fa25fff,0xffffffff,
    0x003ffec1,0x7d45fff3,0x7fdc02ff,0x7fe401ff,0x7edffe66,0xffffffff,
    0xffffa83f,0xffffffff,0x3a27ffff,0xffd915ff,0x3ffa25bf,0x55fffe25,
    0xfffadfff,0x4fff9001,0x99bffff9,0x0ffffec9,0xbefffe88,0xffffca9a,
    0xfefffa86,0x883fffff,0xf901ffff,0xfff309ff,0xb759dffd,0xfff5ffff,
    0xffff9579,0x02fffa8d,0xff0fff90,0xfffd809f,0x1fffc03f,0xdffbfff3,
    0xffffb759,0xcccc981f,0xbccccccc,0x3a24fffe,0xffffefff,0xffefffff,
    0x5fffe24f,0xffadfffa,0xfff9001f,0x7007ffec,0xff909fff,0x3fa601bf,
    0x7ffd43ff,0x01731cff,0x2a1bffea,0xff306fff,0x3f207fff,0x880effff,
    0x7fc1ffff,0x9fff005f,0xf80dffb0,0x2605ffff,0x3fe61fff,0xfd103fff,
    0xb80007ff,0xfe885fff,0xffffffff,0x44ffffff,0xff57fff8,0x03fff5bf,
    0xff9fff20,0x7ffe804f,0x402fffd4,0x2a0ffff8,0x8004ffff,0x3e24fffd,
    0xff301fff,0x7fc409ff,0x3ea00fff,0x7ffe42ff,0x0fffd400,0x9807ffd4,
    0x207fffff,0x7fcc6ffb,0x7fcc04ff,0x3ea0006f,0xfd100eff,0xb5359fff,
    0xf10bffff,0xacfa8dff,0xf9001fff,0x027ffcff,0x3fa0d5d4,0xff7001ff,
    0x7fffd49f,0xffe88000,0x07fffb1f,0x4037ffcc,0x4c03fffd,0x7fcc3fff,
    0x37fec02f,0x703fff88,0x03fff9ff,0xff313ffa,0xffd001ff,0x3fe6000f,
    0x3fe200ff,0xfff500ef,0x917ffe0d,0x03fff57f,0xfe9fff20,0x3e0002ff,
    0x7f4005ff,0x17ffea6f,0xefff9800,0x4c05fffb,0xfc804fff,0x7fc401ff,
    0x05ffe84f,0xe80fffe2,0x3ffd05ff,0xff107ffd,0x5fff983f,0x00fffb00,
    0x03ffff10,0x400fffc8,0xfe81fffb,0x7d4ff44f,0xff9001ff,0x6ffffdcf,
    0x3fe2001b,0x7fec003f,0x013ffea7,0xfffff900,0xff9801df,0xfffc803f,
    0x84fff800,0xf700fffb,0x7fdc01ff,0xf97ff887,0x0fff50bf,0x2009fff3,
    0x44007ffc,0xe802fffe,0xffd003ff,0x645ffb09,0x03fff57f,0xe89fff20,
    0xceffffff,0x3ffea00a,0x7ffe4002,0x007fff50,0xfffffd00,0x5fff3003,
    0x00fff900,0x3e213ffe,0xbffd03ff,0x41fff980,0xfff55ffa,0xf309ffb0,
    0x3f2007ff,0x7ff4007f,0x3fff004f,0x217ff200,0x1df51ffb,0x4007ffea,
    0x7ec47ffc,0xffffffff,0x1fffb82d,0x8fffdc00,0x0002fffa,0x04ffff98,
    0x005fff30,0x3e00fff9,0xdffb04ff,0x005fff10,0xffc87ffd,0xf83fff13,
    0xfff982ff,0x0fff9002,0x02fffec0,0x000fff88,0xff50dff7,0x3ffea0c8,
    0x0fff9001,0x3fffff6a,0x7e44ffff,0x7d4000ff,0x3fff52ff,0xfff50000,
    0x3fe600df,0x7ffc802f,0x209fff00,0x7dc1fffa,0xdff9007f,0x3fa1ffe8,
    0x41ffe63f,0x9002fff9,0x3f200fff,0x7fc006ff,0xbff9002f,0x7ffd4000,
    0x0fffb001,0xffffda88,0xff70efff,0xffb8003f,0x03fff51f,0xffff8800,
    0xff9804ff,0x7ffc802f,0x409fff00,0x7ff44fff,0x1fff3004,0xff71ffe2,
    0x982ffe4b,0xf9002fff,0xfff700ff,0xffe8001d,0x09ffd004,0x2a079999,
    0xfb001fff,0xeb9800ff,0xff52ffff,0xffc8005f,0x03fff50f,0xefffd800,
    0x7cc01fff,0xffc802ff,0x09fff007,0xff337fe4,0x7ffc003f,0xf98bff72,
    0x05ffd0ff,0x400bffe6,0x7d407ffc,0xb8001fff,0x7e401fff,0xfff981ff,
    0x1fffa80f,0x00fffd00,0x8a7ffe40,0x6c003fff,0xfff50fff,0x7fd40003,
    0x0efff8df,0x00bffe60,0x7c01fff2,0x3fe604ff,0x00dff91f,0xffb4ffd8,
    0xf35fff07,0x3fe601ff,0xfff9002f,0x17fffcc0,0xffff8800,0x0bfff702,
    0x4c27ffdc,0xf8802fff,0x0db937ff,0xf9bffe20,0x3e2006ff,0x3ffea5ff,
    0xfff10001,0x17ffee1f,0x802fff98,0xff007ffc,0x4ffe809f,0xa8007fff,
    0x01fff7ff,0xbff79ffb,0x017ffcc0,0xf107ffc8,0x40007fff,0xbdfffff8,
    0x5ffffeca,0x207ffe40,0xb804fff9,0xfff77fff,0x97ffa003,0x9002fffd,
    0x7fd47fff,0xffb0001f,0x2fffd85f,0x005fff30,0x3e00fff9,0x7fdc04ff,
    0x000fff9e,0x7fd7ffc4,0xfbdff707,0x7ffcc07f,0x0fff9002,0x009fffd1,
    0x7ffffc40,0xffffffff,0x7ec05fff,0x7fffc43f,0x3fffea01,0x00dfff17,
    0x7c47fff5,0x7cc00eff,0x3fea0fff,0xffb8001f,0xffff885f,0x02fff980,
    0xf007ffc8,0xff8809ff,0x0005ffef,0x09ffdffb,0x3fffffe6,0x0bffe600,
    0x6c3ffe40,0x20004fff,0xfedffff9,0xddffffff,0x3a205fff,0x7ffe40ff,
    0x7ffdc41e,0x3fff67ff,0xfffd300d,0x1ffffb81,0x85ffff70,0x4001fffa,
    0x700ffff9,0xff30bfff,0xfff9005f,0x013ffe00,0x0bfffff6,0x7fffdc00,
    0x3fffe02f,0x7ffcc06f,0x8fff9002,0x4c45fffc,0x99999999,0x549ffd10,
    0x361cdeec,0x260004ff,0xedffffff,0x7ffaefff,0x37ffffa2,0xffffeccc,
    0xdffffd03,0xfffffb9b,0x03fff509,0x02fffe80,0x261ffff4,0xfc802fff,
    0x9fff007f,0xfffff500,0x7ffc4000,0x3ff600ff,0x7fcc03ff,0xfff9002f,
    0x7fffffcc,0xffffffff,0x3a25ffff,0x009b0004,0xfffff500,0xf31dffff,
    0xffff98ff,0xffffffff,0x7fffdc02,0x3fffffff,0x003fff50,0x402fffe4,
    0x261ffff8,0xfc802fff,0x9fff007f,0x13fffe00,0xdfffd000,0x1ffffb80,
    0x017ffcc0,0x3e67ffc8,0xffffffff,0xffffffff,0x0000045f,0xffd88000,
    0xf30cefff,0x3ffee0ff,0x00deffff,0xfffffb30,0x7d4017bf,0xff3001ff,
    0x3ee001ff,0x3ffe66ff,0x07ffc802,0x2009fff0,0x0001fffc,0x2027ffe4,
    0x9806fff8,0xf9002fff,0x7fffccff,0xffffffff,0x05ffffff,0x00000000,
    0x0000aa98,0x004d54c4,0x006aa200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000018,
    0x8800c000,0x44000099,0x4eea85ed,0x6c040004,0x2f6c40de,0x6665c000,
    0x7fc40001,0xeda8001f,0x4400ceef,0x00cceecb,0x1cdfdc98,0xceedb880,
    0x05ff7003,0x0b7bb260,0x00019fb0,0x32200000,0xbffb005f,0x2ffd8000,
    0xf10fffc4,0x207dc007,0xffc85ffb,0x7fec0003,0x7dc0002f,0x3a2005ff,
    0xffffffff,0xfffff502,0x7dc09fff,0x03ffffff,0x3fffffe6,0x7fdc01ff,
    0xffffb801,0xffb00dff,0x000003bf,0x3fff6600,0x0bffb005,0x42ffdc00,
    0x3fe24ffd,0xfffb803f,0x2217ff40,0x20001fff,0x0002fffd,0x007ffff4,
    0xcadfffe8,0x7cc0fffe,0xfffdceff,0xffffb82f,0x883ffffe,0xfecbdffe,
    0x07fd406f,0x2afbfea0,0xffb04ffd,0x0017dfff,0xffd70000,0x3600bfff,
    0xf30005ff,0xfffa83ff,0x0ffffea0,0x42ffffb8,0x7dc0fff9,0x3f60006f,
    0x2a0002ff,0x804fffff,0xffb07ff9,0xd85ffc85,0x7ffc45ff,0x1fff910c,
    0x7cc3ffc8,0x4c2b60ff,0xff12e27f,0x303ff509,0xfffffff9,0x88000019,
    0xfffffffc,0xbffb001c,0x13ffa000,0xf507fff1,0xff707fff,0x3ff605ff,
    0x004ffe85,0x00155550,0x7feffec0,0x16dc400f,0x6644ffa8,0x46ffa80e,
    0xff903ffc,0xff105309,0x33ffe61f,0xfffc9ffa,0x3a03ff30,0x7ff5403f,
    0x002dffff,0x7fffed40,0x4000beff,0xc8005ffd,0x7fec0fff,0x3fffea06,
    0x0bfffee3,0x543fff88,0x00002fff,0x3ffe6000,0x0003ffe8,0x013ff262,
    0xfd87ff70,0x0bff100f,0xc97ff220,0xffffffff,0xdf52ffff,0x9802fe40,
    0xeffffffc,0xfd71000b,0x039fffff,0x02ffec00,0x50fffe60,0xfa803fff,
    0xfffbbfff,0xfffc802f,0x207ffec1,0x99999998,0x99999999,0x3f201999,
    0x00dff54f,0x3fffb2a2,0x22004fff,0x3ffc0fff,0xd101ffe0,0xb7307fff,
    0x59dffffd,0xe807fcc1,0x75c4004f,0x1cffffff,0xfffff930,0x000017df,
    0x4400bffb,0x7fc46ffe,0xfff5005f,0x005fffff,0xf31bffe2,0xfffb8bff,
    0xffffffff,0x7fffffff,0x7c3fff10,0x7fdc02ff,0xffefffff,0x9fff3004,
    0xfe80dff0,0x77ffcc07,0x77ffcc01,0x307ff100,0x540005ff,0xeffffffd,
    0xfffffb52,0x988005bf,0xfd999999,0x999999df,0x0bfff209,0x4001fffb,
    0x2ffffffa,0x27ffd400,0xfb8bfff2,0xffffffff,0xffffffff,0x8dff707f,
    0x3ea06ffc,0xa89acfff,0xffb804ff,0x80fff04f,0x654407ff,0xf980dffe,
    0x700efedf,0xff913bff,0x2e20000b,0xfb5fffff,0x0017ffff,0x3fffff60,
    0xffffffff,0xf15fffff,0xfff98fff,0xfffd8005,0xfff0005f,0x26fff98f,
    0xfffffffb,0xffffffff,0xfff07fff,0x01fff887,0x3ea07ffd,0x3ff6204f,
    0x03ffa03f,0x20037fc4,0x7f443ffc,0x206ffa8f,0xeffffffd,0x74400000,
    0xfffb5fff,0xfd80001b,0xffffffff,0xffffffff,0x0fffee5f,0x4003fff9,
    0x3ffffffb,0x17ffdc00,0x9887fff6,0x99999999,0x99999999,0x0fffa819,
    0xff05ffd8,0x827ff40f,0x401effe8,0xff703ffc,0x6ff98009,0xffb1ffec,
    0x7fff5c0b,0x64c00004,0xfb5fffff,0x0039ffff,0x3fffff60,0xffffffff,
    0x745fffff,0x3fa20fff,0xfff7006f,0x007fffff,0xf317ffe2,0x000009ff,
    0x504ffe80,0xffd01fff,0x09fff905,0x001bfff3,0xfa85fff3,0x1bba21ff,
    0x3ea37fe4,0x800f7c46,0x75400000,0x1cffffff,0xffffff93,0x9988005d,
    0xffd99999,0x9999999d,0x227ffc40,0x5c02fff9,0xffaaffff,0xffc803ff,
    0x037ff40f,0x00e665c0,0x403fff30,0xffc84ffe,0xffffdbdf,0x77ffc45f,
    0x81999999,0xffcffffc,0xcffe84ff,0x213ffea0,0x00001818,0xfffc8800,
    0x100bffff,0xffffffd7,0xfb000019,0xff5000bf,0x0fffc81f,0x45ffff70,
    0x203ffffa,0x7d42fff9,0xfd8000ff,0x3f6002ff,0x3ffdc06f,0xffffffe8,
    0x7ec6fe9e,0xffffffff,0xffffb07f,0x3ea09fff,0xffffefff,0x0000000e,
    0xfffb5000,0x8005bfff,0xffffffda,0x3f60002d,0xffb0005f,0x709ffd0b,
    0xf505ffff,0x3fa07fff,0x1fffc44f,0x2fffd800,0x07fff100,0x703fff88,
    0x65459dfd,0xfffff10c,0x0fffffff,0x16fffed4,0x3ffffea0,0x00000dff,
    0x75c40000,0x1cffffff,0x7fe4c000,0x00beffff,0x002ffec0,0x4c1fff88,
    0x3fea0fff,0x3fea02ff,0x37fd43ff,0x0002ffe4,0x2005fffb,0xd800fffc,
    0x200006ff,0x99999998,0x00019999,0x2b32ea00,0x00000001,0x7fffe4c0,
    0x0000bfff,0x7fff5c40,0xb001cfff,0x54000bff,0x5ffc86ff,0x200bffa2,
    0x7fc0effa,0x07ffc41f,0x39997000,0x00266200,0x0000ccc4,0x00000000,
    0x00000000,0xfffb0000,0x00005bff,0x3fff6a00,0xffb005ff,0xffc8000b,
    0x221ffe82,0x03aa002e,0xffb09ff9,0x00000005,0x00000000,0x00000000,
    0x00000000,0xfffb0000,0x00000039,0x17fff260,0x002ffec0,0x64c1e640,
    0x9000003c,0x07991099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x002fb600,0x44000000,0xffb005eb,0x0000000b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00003000,0x01800000,0x00013310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0xeeeeeeee,0xeeeeeeee,0xdddd94ee,0xdddddddd,
    0x49dddddd,0x2aa22aaa,0x402a981a,0x00acdca8,0x2665c620,0x888b3322,
    0x77777308,0x26377777,0xaaaaaaaa,0xaaaaaaaa,0x0aaaaaaa,0x22222222,
    0x88888888,0x08888888,0x00000000,0x00000000,0xffd80000,0xffffffff,
    0xffffffff,0xffffffb5,0xffffffff,0x3e2bffff,0x3ffee7ff,0x3205fe84,
    0xdfffffff,0xfd8fd402,0x9fffcc7f,0xff96fff9,0xffffffff,0x3fffff25,
    0xffffffff,0xffffffff,0xffff92ff,0xffffffff,0xffffffff,0x00005fff,
    0x00000000,0x00000000,0xffffffd8,0xffffffff,0xffb5ffff,0xffffffff,
    0xffffffff,0xb9fffe2b,0x7fc44fff,0xffffe884,0xcfffffff,0x1ffda889,
    0xff98fffb,0x2dfff33f,0xfffffffc,0xfff92fff,0xffffffff,0xffffffff,
    0x3f25ffff,0xffffffff,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x66654000,0xcccccccc,0x5ffecccc,0x99999995,0x99999999,0x3fe27999,
    0x13ffee7f,0x4c7dfff7,0xffffffff,0xffffffff,0xffb1ffff,0x33fff98f,
    0x3ff2dfff,0xffffffff,0x33333312,0x33333333,0x33333333,0x2eeeea13,
    0xbbbbbbbb,0xbbbbbbbb,0x00001bbb,0x00000000,0x00000000,0x7fe40000,
    0x22000005,0x3fee7fff,0x7fd4c44f,0x15bff32f,0xfffffb73,0x1fffffff,
    0x7710eeea,0x5bffe637,0x88888888,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0005ffc8,0x9fffe200,0x3204fffa,0x807f35ff,
    0xffffffda,0x000000cf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0005ffc8,0x337ff400,0x4c427fff,0x0314fffb,0x5e6e5c40,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00005ffc,0x3e27fec0,0xffffb2ff,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x00005ffc,0x3a1ffdc0,
    0xffffb0ff,0x000003bf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8000000,0xdddd95ff,0xdddddddd,0x49dddddd,0x3fec2ffa,
    0x00135551,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6d7ff200,0xffffffff,0xffffffff,0x03fe65ff,0x00000df7,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ed7ff20,0xffffffff,0xffffffff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x23553000,0xccccccca,
    0xcccccccc,0x00003ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_46_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,3,1,3,
3,3,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,1,1,1,1,1,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_46_latin1_y[224]={ 37,7,7,7,4,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,7,7,7,7,7,15,15,12,16,12,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,42,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,15,15,15,15,15,15,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,15,7,7,12,7,
7,7,7,7,7,17,16,24,7,2,7,12,7,7,7,15,7,20,36,7,7,17,7,7,7,15,0,0,0,1,
1,1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,13,6,0,0,0,1,0,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,14,14,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_46_latin1_w[224]={ 0,6,12,23,20,33,26,5,11,11,14,20,5,12,
5,12,20,12,20,21,21,21,21,21,21,21,5,5,20,20,20,20,39,29,23,27,25,23,21,28,24,5,17,25,
19,29,24,30,23,30,27,25,25,24,28,39,28,28,25,9,12,9,18,25,9,21,20,20,19,21,13,20,19,5,
9,19,5,30,19,21,20,19,13,18,12,18,21,30,21,21,20,12,4,13,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,19,22,21,24,
4,21,12,31,15,18,20,12,31,25,12,21,14,13,8,18,23,5,9,8,15,19,32,32,34,20,29,29,29,29,
29,29,39,27,23,23,23,23,8,9,14,12,29,24,30,30,30,30,30,18,30,24,24,24,24,28,23,21,21,21,
21,21,21,21,34,20,21,21,21,21,9,9,14,12,21,19,21,21,21,21,21,21,21,18,18,18,18,21,20,21,
 };
static unsigned short stb__arial_46_latin1_h[224]={ 0,30,11,31,38,32,31,11,39,39,13,21,11,5,
5,31,31,30,30,31,30,31,31,30,31,31,22,28,21,13,21,30,40,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,33,30,31,30,31,30,30,30,30,30,39,31,39,17,4,6,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,39,39,39,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,31,39,31,21,30,
39,39,5,31,16,19,13,5,31,4,12,25,16,16,6,31,39,5,10,16,16,19,32,32,32,31,37,37,37,36,
36,36,30,39,37,37,37,36,37,37,37,36,30,36,38,38,38,37,37,19,33,38,38,38,37,37,30,31,31,31,
31,31,31,32,23,31,31,31,31,31,30,30,30,30,31,30,31,31,31,31,31,17,25,31,31,31,31,39,39,39,
 };
static unsigned short stb__arial_46_latin1_s[224]={ 254,244,43,199,150,102,67,244,106,118,224,
43,250,108,102,132,205,230,121,1,142,48,70,96,152,174,249,243,22,22,1,
26,1,194,230,124,1,195,84,226,56,224,67,230,132,165,219,1,27,189,1,
228,30,23,1,190,161,132,106,152,32,215,144,121,244,182,108,204,148,225,118,
168,76,70,225,35,29,97,181,39,189,210,61,20,152,1,128,150,75,45,201,
25,162,235,66,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,254,245,195,
85,222,1,249,130,89,196,163,64,1,108,92,147,239,103,179,210,247,186,1,
249,56,247,194,102,69,1,34,223,157,63,118,135,105,75,81,167,187,227,26,
165,148,93,103,240,164,50,94,38,196,32,1,83,220,69,171,125,1,211,57,
23,1,45,158,202,180,136,147,224,111,1,23,45,244,47,55,51,67,64,89,
164,133,155,177,122,125,94,113,145,129,84,63,41, };
static unsigned short stb__arial_46_latin1_t[224]={ 1,350,489,191,42,158,223,443,1,1,467,
467,443,489,489,223,223,381,319,255,319,255,255,350,255,255,381,381,467,489,467,
319,1,319,287,255,381,350,381,223,412,319,287,318,350,350,350,287,381,120,350,
255,412,255,412,381,381,381,381,1,287,1,467,489,455,412,287,412,287,412,350,
287,350,350,1,350,350,443,443,443,287,287,443,443,350,443,443,443,443,287,443,
42,1,1,489,412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,
412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,1,158,1,
287,443,319,1,1,489,255,467,467,489,489,255,489,467,412,467,467,429,223,42,
404,489,412,467,467,158,158,158,191,82,82,82,120,120,120,319,1,82,42,120,
120,82,82,82,82,319,120,42,42,42,82,82,467,120,42,42,42,120,82,319,
191,223,191,158,158,158,158,412,158,191,191,223,223,191,319,350,381,191,381,191,
223,191,191,191,467,412,223,223,223,287,1,1,1, };
static unsigned short stb__arial_46_latin1_a[224]={ 183,183,234,366,366,586,439,126,
219,219,256,385,183,219,183,183,366,366,366,366,366,366,366,366,
366,366,183,183,385,385,385,366,669,439,439,476,476,439,402,512,
476,183,329,439,366,549,476,512,439,512,476,439,402,476,439,622,
439,439,402,183,183,183,309,366,219,366,366,329,366,366,183,366,
366,146,146,329,146,549,366,366,366,366,219,329,183,366,329,476,
329,329,329,220,171,220,385,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,183,219,366,366,366,366,171,366,
219,485,244,366,385,219,485,364,263,362,219,219,219,380,354,183,
219,219,241,366,549,549,549,402,439,439,439,439,439,439,659,476,
439,439,439,439,183,183,183,183,476,476,512,512,512,512,512,385,
512,476,476,476,476,439,439,402,366,366,366,366,366,366,586,329,
366,366,366,366,183,183,183,183,366,366,366,366,366,366,366,362,
402,366,366,366,366,329,366,329, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_46_latin1_BITMAP_HEIGHT or STB_FONT_arial_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_46_latin1(stb_fontchar font[STB_FONT_arial_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_46_latin1_BITMAP_HEIGHT][STB_FONT_arial_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_46_latin1_s[i] + stb__arial_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_46_latin1_t[i] + stb__arial_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_46_latin1_x[i];
            font[i].y0 = stb__arial_46_latin1_y[i];
            font[i].x1 = stb__arial_46_latin1_x[i] + stb__arial_46_latin1_w[i];
            font[i].y1 = stb__arial_46_latin1_y[i] + stb__arial_46_latin1_h[i];
            font[i].advance_int = (stb__arial_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_46_latin1_s[i] + stb__arial_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_46_latin1_t[i] + stb__arial_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_46_latin1_x[i] + stb__arial_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_46_latin1_y[i] + stb__arial_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_46_latin1_LINE_SPACING
#endif

