// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT        416
#define STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_40_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_40_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_40_latin1_LINE_SPACING          26

static unsigned int stb__arial_bold_40_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32600000,
    0x1ccccccc,0x99999993,0xccca8019,0xcccccccc,0x999503cc,0x05400039,
    0xb87fffe0,0xff905fff,0xff70000d,0x4c000bff,0xbcdffecb,0x7ffd0000,
    0x3fffb220,0x3ffe00ce,0x7ff64407,0x372a0007,0xbdeffffe,0x77fcc000,
    0x7ffc00ce,0xffffff57,0x3ffee5ff,0x881fffff,0xfffffffc,0xffffffff,
    0x5ffff705,0x03fe6000,0x2e1ffff8,0xff105fff,0xff80003f,0xd30005ff,
    0xffffffff,0xfa8005ff,0xfffb80ff,0x04ffffff,0x7dc0ffff,0x4007ffff,
    0xffffffc9,0xefffffff,0xffff3003,0x7ffc03ff,0xffffff57,0x3ffee5ff,
    0x441fffff,0xfffffffe,0xffffffff,0xffff705f,0x1bee0005,0x5c3ffff0,
    0x3f605fff,0x3ee0006f,0xf70006ff,0xffffffff,0x001bffff,0x3ea17ffa,
    0xffffffff,0x7fff85ff,0xffffff10,0x3ff6200f,0xffffffff,0xefffffff,
    0x7fffcc01,0x3ffe06ff,0xffffff57,0x3ffee5ff,0x6c1fffff,0xffffffff,
    0xffffffff,0xffff705f,0x0ffa0005,0x5c3ffff0,0x3ea05fff,0xfd0002ff,
    0xe88001df,0xffffffff,0x6fffffff,0x81fffb80,0xfdffffff,0x7c3fffff,
    0xfffb07ff,0xf300ffff,0x579fffff,0xfd975333,0x4c07ffff,0x3fffffff,
    0x262ffff0,0x2ffffb99,0x335ffff7,0xfffffa83,0xffffffff,0x705fffff,
    0x0005ffff,0x99803ff1,0x04ccc419,0x001bffe0,0x0003bfea,0x3ffffff2,
    0xffffdbbd,0x7fc04fff,0xffff986f,0x37fffd46,0x7f41fffe,0x4019bfff,
    0x0aeffffb,0x3fffa600,0x3ee6603f,0xfff05fff,0x3fffe60f,0x03ffff72,
    0x7fffffe4,0xff50ffff,0x000000bf,0x00001fea,0x05fff900,0x00099880,
    0xefffff88,0xffffa880,0xfff700ff,0x9ffff707,0x41dfffd0,0xfff07fff,
    0x3fee009f,0x540002ff,0xe801ffff,0xfff06fff,0x3fffe60f,0x03ffff72,
    0x7fffffec,0xff50ffff,0x000000bf,0x000013f6,0x0dfff300,0xfd800000,
    0xfb805fff,0xf884ffff,0xff981fff,0x009987ff,0x3fe0ffff,0xff9803ff,
    0x100001ef,0xd801ffff,0xfff06fff,0x3fffe60f,0x03ffff72,0x7ffffffc,
    0xff50ffff,0xccca80bf,0x3b2e601c,0xca83ffff,0xcb802ccc,0xfff80ccc,
    0x6666542f,0xccccb802,0x3ffffea0,0xbfffd001,0x0dfff707,0x3bffffe2,
    0x1fffe000,0x00bfffe2,0x4c03bffa,0x32e2cedb,0x7fff52cc,0x06fffc80,
    0x3e60ffff,0xfff72fff,0x7fff403f,0x0fffffff,0xb80bfff5,0xf702ffff,
    0xffffffff,0x6ffffa87,0x3ffffc40,0x545fffd8,0x4406ffff,0x7e47ffff,
    0x26005fff,0x7ffec01b,0x3fffea04,0xfff003ff,0x5ffff10f,0x81fffc80,
    0xfffffffa,0x23ffff8d,0x7e406ffc,0xffff07ff,0x4bfffe60,0x201ffffb,
    0xfffffffd,0xfff50fff,0xffffb80b,0x7ffff442,0x5fffffff,0x007ffffc,
    0x209ffff5,0xff87fffb,0x3ea00fff,0x7fec4fff,0x800002ff,0x7402ffff,
    0x0dffffff,0x443fffc0,0x2202ffff,0xffa84fff,0xefffffff,0x7fc2ffff,
    0x3fff201f,0x20ffff07,0xf72ffff9,0x7dc03fff,0xffffffff,0x0bfff50f,
    0x42ffffb8,0xeffffffc,0x23ffffff,0x203ffffc,0x501ffffd,0xfc83ffff,
    0x3f603fff,0x7ff41fff,0x400002ff,0x201ffffa,0xfffffffd,0x3ffe03ff,
    0x1ffff987,0x2a1bfee0,0xc9cfffff,0x0fffffff,0xf701fff4,0x3ffe0fff,
    0x5ffff307,0x007fffee,0xfffffffd,0x3ffea1ff,0x7fffdc05,0x3ffffe62,
    0xfffff98b,0x3fffe67f,0xdffff106,0x1ffffcc0,0x41bfffe6,0xf86ffff8,
    0x0001ffff,0x07fffe40,0xffffffd8,0x80dfffff,0xffa87fff,0x3ffa00ff,
    0x6ffffcc4,0x7ffffc40,0x204ffc87,0xf80ffffa,0xfff307ff,0x3fffee5f,
    0x7fffcc01,0xf50fffff,0xffb80bff,0x3fffa2ff,0x3f7bee2f,0x3ffa3fff,
    0xfffa80ff,0x3ffe203f,0xffffe85f,0x3ffffa80,0x07ffffc4,0x3ff60000,
    0xffff507f,0xfffffd13,0x7fff81ff,0x207fffc8,0x7ec1fff9,0xffb00fff,
    0xbff70bff,0x1ffffcc0,0xf983fffc,0xfff72fff,0xffb1003f,0x2a1fffff,
    0x7dc05fff,0x3ffe2fff,0x6cdff46f,0x7ffdc0ab,0xffffd83f,0x37fffc00,
    0x41ffffdc,0x4c0ffffd,0x0007ffff,0x07fffe80,0xfb8bfff9,0x20efffff,
    0x7fcc7fff,0x3fee05ff,0x1ffffc46,0x07ffff70,0xfe80dff5,0x776c0fff,
    0x5ffff305,0x007fffee,0xffffdb98,0x80bfff50,0xf32ffffb,0x7fc4bfff,
    0xffff8801,0x2ffffc46,0x437fff40,0x446ffff8,0xf885ffff,0x0000ffff,
    0x837fffc0,0xf984fffe,0x3e5fffff,0xfff977ff,0x7fdc03ff,0x037ffe44,
    0x207fffe6,0x7dc05ffc,0x002dffff,0x5cbfffe6,0x8001ffff,0xf50ffff8,
    0xffb80bff,0xffff52ff,0xb0037d49,0x7d41ffff,0xfe802fff,0xfffb07ff,
    0x7fffd41f,0x3fffff02,0xfff80000,0xffffd05f,0x3ffff620,0x3effff0f,
    0x404fffff,0x7ff43ffd,0x7ffdc04f,0x03ffe80f,0x5fffffd8,0x3fffe600,
    0x03ffff72,0x1ffff100,0x7017ffea,0x3ee5ffff,0x13f63fff,0x3ffffa80,
    0x401ffff6,0xf507fffd,0x7fec7fff,0x3fffa07f,0x100c002f,0x2e09ffff,
    0x3205ffff,0xfff2ffff,0x0fffffef,0xff0bffa0,0xffc807ff,0x05fff06f,
    0x17ffff60,0x2ffff980,0x003ffff7,0x21ffff10,0x5c05fffa,0xff72ffff,
    0x017fc9ff,0x45bfffe0,0xb004ffff,0x7fc0dfff,0xffff16ff,0x7fffec09,
    0x33fea004,0x04ffff82,0x1dfffff3,0x7d3fffa0,0xfffff7ff,0x1ffe801d,
    0x00bfffe2,0xf309fffd,0xff5001ff,0x4c00bfff,0xff72ffff,0xf10003ff,
    0x3fea1fff,0x7ffdc05f,0xbffff52f,0x32001fe6,0xffa8ffff,0xffb001ff,
    0x7ffe40bf,0x1ffffa8f,0x3ffffee0,0xffff9000,0x05ffff8d,0x3ffffffa,
    0xf2fffd82,0x3fffafff,0x3fa00fff,0x3fffea2f,0x3fffe201,0x805ffe83,
    0x4ffffff9,0x3fffe600,0x03ffff72,0x1ffff100,0x7017ffea,0x3e65ffff,
    0x4bf96fff,0x982cdef8,0xffdbffff,0x3ffa006f,0x3ffe604f,0x06fffdbf,
    0x27ffffc4,0x7ffffcc0,0x037fff43,0xfffffff1,0x3fffe21b,0x6ccffff0,
    0x3603ffff,0x3ffe63ff,0x3fff201f,0x07ffec1f,0x5ffffec0,0x4c066660,
    0xff72ffff,0xf10003ff,0x3fea1fff,0x7ffdc05f,0x3ffffa2f,0x3ff22fea,
    0xfffd05ff,0x007ffffd,0x201ffff4,0xfffefffe,0xfffb803f,0x3fa203ff,
    0x7f40ffff,0x7f4406ff,0xdaffffff,0x3ffe6fff,0x37fffc47,0x7c49ff90,
    0xff103fff,0xfffb8fff,0xffff8804,0x307fff84,0x3ee5ffff,0x88001fff,
    0xff50ffff,0xfffb80bf,0x3fffee2f,0xfff30fff,0x3fee03ff,0x00ffffff,
    0x00bfffe0,0xfffffff7,0x3ffa001f,0x730adfff,0x09ffffff,0x100ffff9,
    0xfffffffb,0x7fc1dfff,0x7fffb87f,0xfd1bfee0,0xfd881dff,0x3fee7fff,
    0xff9800ef,0x7fff81ff,0x25ffff30,0x001ffffb,0x50ffff88,0xfb80bfff,
    0x3fe22fff,0xfecfffff,0x2206ffff,0x6fffffff,0x3fffe600,0x7fffc400,
    0x26006fff,0xffffffff,0xffffffff,0x1ffff506,0x3fffea00,0x7c0effff,
    0xfff987ff,0x3fff101f,0x67ffffd4,0xfffffeb9,0x0effffdf,0x0ffff500,
    0x7cc1fffe,0xfff72fff,0xff10003f,0x3ffea1ff,0x7fffdc05,0x7ffffcc2,
    0xffffffff,0x7fffec00,0x3ea003ff,0xffb007ff,0x8007ffff,0xfffffffa,
    0xefffffff,0x3ffff100,0x7ffec400,0xfff86fff,0x1ffff887,0xfb13ff60,
    0xffffffff,0xffffffff,0xffb800bf,0x0ffff07f,0x5cbfffe6,0x8001ffff,
    0xf50ffff8,0xffb80bff,0xfffa82ff,0xffffffff,0xffffa801,0x3f2000ff,
    0xff5006ff,0x0001ffff,0xffffffb1,0x01bfffff,0x003fffe8,0xffffffa8,
    0x443fffc4,0x2a02ffff,0x3f220fff,0xbbffffff,0x4fffffff,0x7fffb800,
    0x260ffff0,0xff72ffff,0xf10003ff,0x3fea1fff,0x7ffdc05f,0xfffb102f,
    0x0017ffff,0x02fffffc,0x00ffffa0,0x05fffff8,0x7ff6d400,0x001dffff,
    0x000dfff9,0x3fffff62,0x221fffe0,0x7c02ffff,0x76540eff,0x3fb20cdf,
    0x355501bd,0x41bfff20,0xff307fff,0x3ffee5ff,0xff88001f,0xbfff50ff,
    0x2ffffc80,0x26ab7f60,0xfffd0000,0x7fc4005f,0x3fa000ff,0x00002fff,
    0x007dfd93,0x01ffff10,0xffd814c4,0x1fffe2ff,0x00bfffe2,0x000bfff5,
    0x0fffec00,0xf06fffc8,0x3fe60fff,0xffff72ff,0xfff10003,0x17ffea1f,
    0x03ffff90,0x40000ffc,0x007ffffa,0x002fffd4,0x00fffff5,0x7ffffc00,
    0xffc8004f,0xffffd82f,0x3ffffa81,0x7fc1fffe,0xffc803ff,0x200000df,
    0x203fffd8,0xff06fffd,0x3ffe60ff,0x3ffff72f,0xffff1000,0x217ffea1,
    0x3fffff50,0x0001fea0,0x13ffffa2,0x05fff900,0x3ffffa20,0x22a00004,
    0x000fffb8,0x6427ffc4,0xfc85ffff,0x3ffe2fff,0x1dffff07,0x9ffffd00,
    0xfff70000,0x7ffc40bf,0x2ffff05f,0xfffdccc9,0xbffff72f,0xf1001999,
    0x3fea1fff,0xfffff85f,0x9f900fff,0xfb775000,0x001fffff,0x5037ffc4,
    0xfffffb77,0x4000001f,0xc8003ffe,0xfff987ff,0xffcabeff,0x3ffe0fff,
    0xdffffd07,0x7fec40bd,0x800bdfff,0xfffffca8,0xfffed884,0xffff04ff,
    0x3fffffea,0xffff72ff,0x1003ffff,0x3ea1ffff,0x7ffc45ff,0x3e05ffff,
    0xffb8002f,0x04ffffff,0x00fffdc0,0xfffffff7,0x2000009f,0x000fffa8,
    0xc82fff88,0xffffffff,0x7fc4ffff,0xffff507f,0xff500fff,0xddffffff,
    0xffffddbb,0x2605ffff,0x1fffffff,0x3eaffff0,0x2fffffff,0xfffffff7,
    0xfff1003f,0x17ffea1f,0xfffffff5,0x003fe601,0x3ffffea0,0x74000eff,
    0x7fd405ff,0x00efffff,0xfddfd000,0x40009fff,0xffb06ffc,0xffffffff,
    0x40ffff0d,0x07fffffe,0xfffff910,0xffffffff,0x019fffff,0x7fffffcc,
    0x55fffe05,0xffffffff,0xffffff72,0xff1003ff,0x3ffea1ff,0x7ffffdc5,
    0x0176601e,0x7ffffcc0,0x7d4000cf,0x7fcc00ff,0x000cffff,0x3ffffa00,
    0x440003ef,0xfd501fff,0x05ffffff,0xc881fffe,0x8007ffff,0xfffffec9,
    0x2dffffff,0xfffff300,0x17fff807,0x33333333,0x26666621,0x00000199,
    0x00157530,0x2eaa0000,0x950000aa,0x2eaa0079,0x000000aa,0x00013333,
    0x201665c0,0x401abba9,0x98804ccc,0x440004ba,0x9aabaa99,0xaac88000,
    0x09999001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaa200,
    0x2a000002,0x0000aaaa,0x0d555540,0x1cccca80,0x98800000,0x80000199,
    0x000aaaaa,0x33331000,0x98800001,0x00000199,0x01aaaaa8,0x2aaa6000,
    0x6664c02a,0xfffc802c,0xa800003f,0x0005ffff,0x77fffc40,0xffff9000,
    0x88000005,0x004ffffe,0x7fffdc00,0xfd000004,0x0000bfff,0x1fffffc4,
    0xff300000,0x80000dff,0x402ffffd,0x003ffffa,0x000dfffb,0x0dfffd00,
    0xfff90000,0x7fe4001d,0x000002ff,0x7fffffec,0x7dc00001,0x00000fff,
    0x7fffffdc,0xffd00003,0x0003ffff,0x3bfff600,0x3e600000,0xfa802fff,
    0x36003fff,0x00002fff,0x003bffe6,0xffff1000,0xfffc8001,0x2000002f,
    0xfffdfffa,0x6400000f,0x00004fff,0x3fb7ffe6,0x5c0000ff,0x6fffcfff,
    0xff980000,0x400000ef,0x5003fffd,0x8007ffff,0x00006ffe,0x0003bff6,
    0x07ffee00,0x3ffff200,0xf1000002,0x3ffeadff,0xfd800005,0x880000ff,
    0xff98fffe,0x3e60006f,0x9fff75ff,0xffc80000,0x4400000f,0x2a004fff,
    0x4003ffff,0x0001ffe8,0x000fff88,0x03fff000,0x3ffff200,0xfd000002,
    0x7ffe41ff,0xfd800002,0xfc80003f,0x3ffea1ff,0xfffd0004,0x00fffec1,
    0x1fff8800,0xffc80000,0x55544004,0x0000001a,0x00000000,0x7fe40000,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x1003cccc,0x64c99999,0x91003ccc,0x4c009999,0xbceffeca,0xffff9001,
    0x33bf6e25,0x32a60002,0x01bceffe,0xfd953000,0x200379df,0x003cccc9,
    0x00999991,0x2ccccc88,0xcc880000,0x4c002ccc,0xcccccccc,0xcccccccc,
    0x1774c2cc,0x017fffea,0x53ffffc4,0x200bffff,0x807ffff8,0xfffffffa,
    0x401effff,0xf9affffc,0x0dffffff,0x3fffea00,0xefffffff,0xfff50001,
    0xffffffff,0xfffa803d,0xfff1005f,0xffb800ff,0x00006fff,0x6fffffb8,
    0x7fffd400,0xffffffff,0x44ffffff,0x7fd44ffb,0xff1005ff,0x7ffd4fff,
    0xfff1005f,0x7fec40ff,0xffffffff,0x3203ffff,0xfffdffff,0x1fffffff,
    0x7fffec40,0xffffffff,0x362003ff,0xffffffff,0x03ffffff,0x017fffea,
    0x03ffffc4,0x3fffffa0,0x7400001f,0x01ffffff,0x3ffffea0,0xffffffff,
    0x5c4fffff,0x7ffd44ff,0xfff1005f,0x7fffd4ff,0xffff1005,0x3fffe20f,
    0xffffffff,0x80efffff,0xfffffffc,0xffffffef,0x3fffe206,0xffffffff,
    0x00efffff,0x7fffffc4,0xffffffff,0xfa80efff,0xf1005fff,0x4c00ffff,
    0x5fffffff,0x3fe60000,0x005fffff,0x3fffffea,0xffffffff,0x7e44ffff,
    0x7fffd45f,0xffff1005,0x2ffffd4f,0x7ffff880,0xffffffb0,0xffd9779d,
    0xf909ffff,0xb85fffff,0xb02fffff,0x9dffffff,0xffffd977,0xffd809ff,
    0xbbceffff,0xffffffec,0x5ffffa84,0xfffff100,0x7fffe400,0x0000ffff,
    0xffffff90,0x3ea001ff,0xeeeeffff,0xeeeeeeee,0x237fec3e,0x005ffffa,
    0x54fffff1,0x1005ffff,0xf50fffff,0x405fffff,0x1ffffffa,0x17ffffe4,
    0x86ffffb8,0x2ffffffa,0x3ffffea0,0xffff501f,0x7fd405ff,0x7d41ffff,
    0xf1005fff,0x7c00ffff,0xffffffff,0xfff00003,0x07ffffff,0x17fffea0,
    0x3fff4000,0x017fffea,0x53ffffc4,0x200bffff,0x447ffff8,0x00efffff,
    0x6ffffe88,0x02ffffe4,0x883ffffe,0x00efffff,0x6ffffe88,0xefffff88,
    0xfffe8800,0x7fffd46f,0xffff1005,0x3ffea00f,0x06ffffef,0xffffa800,
    0x006ffffe,0x00bffff5,0x51fffe00,0x200bffff,0x2a7ffff8,0x1005ffff,
    0xfb8fffff,0x2002ffff,0x23fffffa,0x403ffffc,0x2e1ffffd,0x002fffff,
    0x0fffffea,0x05fffff7,0x7ffffd40,0x17fffea3,0x3ffffc40,0x9ffffd80,
    0x001ffffe,0x4ffffec0,0x801ffffe,0x005ffffa,0x41ffff00,0x005ffffa,
    0x54fffff1,0x1005ffff,0xfd8fffff,0xe8006fff,0x3f25ffff,0x7e402fff,
    0x3ff62fff,0xfe8006ff,0x7fec5fff,0xfe8006ff,0x3fea5fff,0xff1005ff,
    0xff100fff,0x3ffeedff,0x3e20005f,0xfff76fff,0xfff500bf,0xf10000bf,
    0x7fd43fff,0xff1005ff,0x7ffd4fff,0xfff1005f,0x7fffc4ff,0xffa8002f,
    0x3fff26ff,0x7ffdc02f,0xfffff13f,0xfff50005,0x7fffc4df,0xffa8002f,
    0x3ffea6ff,0xfff1005f,0xfff700ff,0x3fffe27f,0xff70000f,0x3ffe27ff,
    0x7fd400ff,0x980005ff,0x3ea2ffff,0xf1005fff,0x7fd4ffff,0xff1005ff,
    0x7ffccfff,0xf98001ff,0x3ff27fff,0x7fe402ff,0xffff32ff,0xff30003f,
    0x7ffccfff,0xf98001ff,0x3fea7fff,0xff1005ff,0xffd00fff,0x7fff41ff,
    0xffd0003f,0x7fff41ff,0x7ffd403f,0xccccccef,0x42cccccc,0x2a3ffffa,
    0x1005ffff,0x7d4fffff,0xf1005fff,0x7fccffff,0x88000fff,0xf90fffff,
    0xfc807fff,0xfff31fff,0xf10001ff,0x3e61ffff,0x8000ffff,0x50fffff8,
    0x200bffff,0x407ffff8,0x545ffff9,0x8006ffff,0x545ffff9,0x5406ffff,
    0xffffffff,0xffffffff,0x7fffd44f,0x17fffea4,0x3ffffc40,0x00bffff5,
    0xa9ffffe2,0x0007ffff,0x647ffffe,0x7405ffff,0xff50ffff,0x7c000fff,
    0xff51ffff,0x7c000fff,0xff51ffff,0x3e200bff,0x7ec07fff,0x7fc42fff,
    0x6c001fff,0x7c42ffff,0x2a01ffff,0xffffffff,0xffffffff,0x7fffdc4f,
    0x17fffea4,0x3ffffc40,0x00bffff5,0xa9ffffe2,0x0007ffff,0x64bffffe,
    0x301fffff,0x7d4fffff,0x20007fff,0xf52fffff,0x4000ffff,0xf52fffff,
    0x2200bfff,0x2207ffff,0xd80fffff,0x2005ffff,0x80fffff8,0x205ffffd,
    0xfffffffa,0xffffffff,0x7ffe44ff,0x3fffea5f,0xffff1005,0x2ffffd4f,
    0x7ffff880,0x01ffffe6,0x7ffffc40,0xffffff91,0xffffe883,0x1ffffe64,
    0x7fffc400,0xfffff31f,0x3ffe2000,0xffff51ff,0x3ffe200b,0x3ffee07f,
    0xffff505f,0x3fee001f,0xfff505ff,0x3fea01ff,0xeeeeefff,0x3eeeeeee,
    0x52ffffe4,0x200bffff,0x2a7ffff8,0x1005ffff,0x7c4fffff,0x8000ffff,
    0x90fffff9,0xbfffffff,0xffffffb7,0x7ffffc41,0xfff98000,0xffff10ff,
    0xff30001f,0x3fea1fff,0xff1005ff,0x7ff40fff,0x99999bff,0x03fffff9,
    0x37ffffd0,0xfff33333,0x3fea07ff,0xc80005ff,0x3ea5ffff,0xf3005fff,
    0x7fd4ffff,0xff3005ff,0xffff8fff,0xffa8001f,0x3fff26ff,0xffffffff,
    0xff83ffff,0xa8001fff,0x7fc6ffff,0xa8001fff,0x3ea6ffff,0xf3005fff,
    0x3e60ffff,0xffffffff,0xffffffff,0xffff9806,0xffffffff,0x506fffff,
    0x000bffff,0x4bffff90,0x006ffffa,0x54dffff3,0x3006ffff,0xfe8dffff,
    0xd8004fff,0x3f25ffff,0xfffcafff,0xd03fffff,0x0009ffff,0xe8bffffb,
    0x8004ffff,0x2a5ffffd,0x3006ffff,0x320dffff,0xffffffff,0xffffffff,
    0x7fe401ff,0xffffffff,0xffffffff,0x5ffffa81,0xfffc8000,0x3fffe65f,
    0xffff5007,0x3ffffccd,0x6ffffa80,0x0fffffe4,0xfffff300,0x97fffe49,
    0x1efffffb,0x3fffff20,0x3ffe6001,0x7ffe44ff,0x3e6001ff,0x3e64ffff,
    0xf5007fff,0x3fe0dfff,0xffffffff,0xffffffff,0x7fffc05f,0xffffffff,
    0x5fffffff,0x05ffffa8,0xffffc800,0x3ffffe25,0xffffd803,0x3ffffe25,
    0xffffd803,0x7ffffcc5,0x3fff6005,0x3fff20ff,0x800d442f,0x05fffff9,
    0x3fffff60,0x7ffffcc0,0x3fff6005,0x3ffe20ff,0xffd803ff,0xfffa85ff,
    0xffffffff,0xffffffff,0xffff500f,0xffffffff,0xffffffff,0x5ffffa81,
    0x99988000,0x7ffff409,0x3ffea00f,0x7fff43ff,0x3fea00ff,0xffc83fff,
    0x2200dfff,0x43fffffd,0x002ffffc,0xfffffc80,0x3ff6200d,0xff903fff,
    0x4401bfff,0x83fffffd,0x00fffffe,0x0fffffea,0x273ffff6,0x99999999,
    0x03fffff9,0x339ffffb,0x33333333,0xa87fffff,0x0005ffff,0xffff7000,
    0x2e6159ff,0x40ffffff,0xcffffffb,0xffff730a,0x3ffa01ff,0x889bffff,
    0xffffffb9,0x2ffffc86,0xfffd0000,0x31137fff,0xdffffff7,0xfffffe80,
    0xfb9889bf,0x706fffff,0x59ffffff,0x3fffee61,0x7ffc40ff,0x3f2000ff,
    0xff886fff,0x32000fff,0x7d46ffff,0xaaaaefff,0xaaaaaaaa,0x3fffea2a,
    0xfffffe83,0xffffffff,0xffd03fff,0xffffffff,0x07ffffff,0x7fffffd4,
    0xffffffff,0xfc82ffff,0x00002fff,0xfffffff5,0xffffffff,0xfa805fff,
    0xffffffff,0xffffffff,0x3fffa02f,0xffffffff,0xc83fffff,0x4005ffff,
    0x42fffff9,0x005ffffc,0x17ffffcc,0xfffffff5,0xffffffff,0x3ea1ffff,
    0xff983fff,0xffffffff,0x00efffff,0xfffffff3,0xffffffff,0xfffa801d,
    0xffffffff,0x901effff,0x0005ffff,0x7ffffd40,0xffffffff,0xf5001eff,
    0xffffffff,0x3dffffff,0xfffff980,0xffffffff,0xfff80eff,0xfe8002ff,
    0x7ffc5fff,0xfe8002ff,0x3fea5fff,0xffffffff,0xffffffff,0x7ffff50f,
    0x3ffffa20,0xffffffff,0xfffe8804,0xffffffff,0x3f22004f,0xffffffff,
    0x7e404fff,0x00002fff,0x7ffffe44,0x4fffffff,0xfffc8800,0xffffffff,
    0x3fa2004f,0xffffffff,0xff504fff,0x70001fff,0x2a1fffff,0x000fffff,
    0x0fffffb8,0xfffffff5,0xffffffff,0x3ea1ffff,0x75c03fff,0xefffffff,
    0x7f5c002d,0xdeffffff,0xfd950002,0x39dfffff,0x5ffff900,0x32a00000,
    0xeffffffe,0x6540001c,0xeffffffe,0xfd70001c,0xbdffffff,0x7fffec05,
    0xfff10005,0x3fff67ff,0xff10005f,0x3fea7fff,0xffffffff,0xffffffff,
    0x7ffff50f,0x2aaa6200,0x53100001,0x00000355,0x00006aa6,0x30000000,
    0x00000355,0x0001aa98,0x0d554c40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00066662,0x55555440,0x2aaa0000,0xaa9800aa,
    0x4c0001aa,0xaa800999,0x54401aaa,0x5554c2aa,0x15500001,0x20005970,
    0x2a60aaaa,0x200001aa,0x000aaaaa,0x220aaaa8,0x30002aaa,0x00793035,
    0x3ffffa20,0xff900004,0x540007ff,0x8805ffff,0x000fffff,0x1fffff90,
    0x77fffc40,0x3fffc400,0x0013fff2,0x5bffff50,0x0007ff31,0xfb83fffe,
    0x300005ff,0x000bffff,0xf98bfffa,0x74c007ff,0xd89befff,0xffb0006f,
    0x0005ffff,0x01ffff20,0x1ffff700,0x7ffff300,0xffff3000,0x7fe40bff,
    0xff8800ff,0x27ffe47f,0x3fffa000,0x2fffffff,0x1ffff000,0x002fffdc,
    0x0efffd80,0x5fffd000,0x003fffcc,0x3ffffff2,0x8004ffff,0xfffdfffa,
    0xfb00000f,0xc80007ff,0xf3004fff,0xf8800dff,0x2fffdeff,0x01ffff88,
    0xc8ffff10,0x20004fff,0xffeccff9,0x20006fff,0x3ee0ffff,0x980005ff,
    0x0000efff,0xf98bfffa,0x7f4007ff,0xfffffdbe,0x7fc4001f,0x0bfff56f,
    0x37fec000,0x7ffe4000,0x5fff5000,0x4fffec00,0x5c0fffe8,0x22001fff,
    0x7fe47fff,0x3ee0004f,0x016edc46,0x83fffe00,0x0005fffb,0x000effd8,
    0x317fff40,0x4400ffff,0x676d41ff,0xfffd8000,0x00bffee0,0x17ff4400,
    0x1ffec000,0x00dff500,0xf98fffea,0x17ff45ff,0x00000000,0x00000000,
    0x22000000,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0xbceffeca,0x95300001,0x0379dffd,0x0f333260,0x26666440,
    0x4c000000,0xcccccccc,0xcccccccc,0x333262cc,0x332e003c,0x66664c4c,
    0xcccccccc,0x02cccccc,0x66666440,0x332a0002,0x999932cc,0x99999999,
    0x05999999,0x80b3332a,0x002cccca,0xfffffff5,0x003dffff,0x3ffffea0,
    0x1effffff,0x2ffffd40,0x7ffff880,0x0666665c,0x99999100,0x3ffffea5,
    0xffffffff,0x2a4fffff,0x002fffff,0xfa8ffffd,0xffffffff,0xffffffff,
    0x7fdc004f,0x20006fff,0xf54ffffc,0xffffffff,0xffffffff,0x3fff209f,
    0x3fff204f,0x7fec404f,0xffffffff,0x2003ffff,0xffffffd8,0xffffffff,
    0x3fffea03,0xffff1005,0xfffffa8f,0x3fff6004,0xffff51ff,0xffffffff,
    0x49ffffff,0x0ffffffa,0x47fffe80,0xfffffffa,0xffffffff,0x74004fff,
    0x01ffffff,0x9ffff900,0x3fffffea,0xffffffff,0xf904ffff,0x7e409fff,
    0x3e204fff,0xffffffff,0xffffffff,0x7ffc400e,0xffffffff,0x0effffff,
    0x05ffffa8,0x0fffff10,0x03fffffb,0x9fffff30,0x7fffffd4,0xffffffff,
    0x3ea4ffff,0x804fffff,0x7d47fffe,0xffffffff,0xffffffff,0x3fe6004f,
    0x005fffff,0x29ffff90,0xfffffffa,0xffffffff,0xff904fff,0x7fe409ff,
    0x3ff604ff,0xbbceffff,0xffffffec,0x7fffec04,0xecbbceff,0x84ffffff,
    0x005ffffa,0x10fffff1,0x00dfffff,0xa8dffffd,0xeeefffff,0xeeeeeeee,
    0x3ffea3ee,0x7401ffff,0x7fd47fff,0xeeeeefff,0xeeeeeeee,0x3fff2003,
    0x000fffff,0x54ffffc8,0xdddfffff,0xdddddddd,0x3ff207dd,0x3ff204ff,
    0xfff504ff,0x7d405fff,0x501fffff,0x05ffffff,0x7fffffd4,0x2ffffd41,
    0x7ffff880,0x7fffff70,0x7ffffdc0,0x2ffffd42,0x7ffd4000,0x7406ffff,
    0x7fd47fff,0x000005ff,0xfffffff8,0xfc8003ff,0xfff54fff,0xc80000bf,
    0x3204ffff,0xf884ffff,0x800effff,0x86ffffe8,0x0efffff8,0xffffe880,
    0x2ffffd46,0x7ffff880,0x3fffffa0,0xfffff880,0x5ffffa85,0xfffa8000,
    0x202fffff,0x7d47fffe,0x00005fff,0x77fffd40,0x8006ffff,0xf54ffffc,
    0x0000bfff,0x04ffffc8,0x213ffff2,0x02fffffb,0x3ffffea0,0x7ffffdc3,
    0x3ffea002,0x3ffea3ff,0xfff1005f,0x7ffcc0ff,0xfffc84ff,0xfffa80ff,
    0xfa80005f,0xffffffff,0x8ffffd00,0x005ffffa,0x7ffec000,0x1ffffe9f,
    0x7fffe400,0x0bffff54,0xfffc8000,0x3fff204f,0xffffd84f,0xfffe8006,
    0x7fffec5f,0xfffe8006,0x3fffea5f,0xffff1005,0xffffc80f,0x3fffe61f,
    0xffff502f,0xff50000b,0x9fffffff,0x51ffffa0,0x000bffff,0x7fffc400,
    0x0bffff76,0x4ffffc80,0x00bffff5,0xffffc800,0x3ffff204,0x7ffffc44,
    0xfffa8002,0x3fffe26f,0xffa8002f,0x3ffea6ff,0xfff1005f,0xfffd00ff,
    0x7fffecdf,0x3fffea05,0xffa80005,0xfffffeff,0x47fffe81,0x005ffffa,
    0x3ffee000,0xfffff13f,0x7ffe4001,0xbffff54f,0xffc80000,0x3ff204ff,
    0x7ffcc4ff,0xf98001ff,0x3fe67fff,0x98001fff,0x3ea7ffff,0xf1005fff,
    0xf300ffff,0xff55ffff,0x7d401fff,0xccccefff,0xcccccccc,0x5ffffd42,
    0xe86ffffd,0x7fd47fff,0xccccceff,0x2ccccccc,0x1ffffd00,0x01fffff4,
    0x29ffff90,0xcceffffa,0xcccccccc,0x3ff202cc,0x3ff204ff,0x7ffcc4ff,
    0xf88000ff,0xff30ffff,0x10001fff,0x2a1fffff,0x1005ffff,0x200fffff,
    0xfefffffc,0x7d403fff,0xffffffff,0xffffffff,0x5ffffd44,0x43fffff8,
    0x7d47fffe,0xffffffff,0xffffffff,0xffff9804,0x37fffd45,0x9ffff900,
    0x3fffffea,0xffffffff,0x3f204fff,0x3f204fff,0x7fd44fff,0x3e0007ff,
    0xff51ffff,0x7c000fff,0xff51ffff,0x3e200bff,0xf1007fff,0xffffffff,
    0xffff500d,0xffffffff,0xa89fffff,0xff93ffff,0x7ff41fff,0x7fffd47f,
    0xffffffff,0x804fffff,0x442ffffd,0x001fffff,0x2a9ffff9,0xffffffff,
    0xffffffff,0x3fff204f,0x3fff204f,0x7fffd44f,0x3ffe0007,0xffff52ff,
    0x7ffc000f,0xffff52ff,0x3ffe200b,0x3fea007f,0x01ffffff,0xffffffa8,
    0xffffffff,0x7fd44fff,0x3fffa3ff,0x1ffffa5f,0xfffffff5,0xffffffff,
    0xff8809ff,0xffd80fff,0xff9005ff,0x3ffea9ff,0xffffffff,0x04ffffff,
    0x813ffff2,0x4c4ffffc,0x0007ffff,0x23fffff1,0x007ffff9,0x3fffff10,
    0x017fffea,0x03ffffc4,0x3fffff60,0xfff5004f,0xddddddff,0x87dddddd,
    0x2a3ffffa,0xfd2fffff,0xfffa8fff,0xeeeeeeff,0x03eeeeee,0x82ffffdc,
    0x00fffffa,0x54ffffc8,0xdddfffff,0xdddddddd,0x7ffe407d,0x3fff204f,
    0x7fffc44f,0xff98000f,0xfff10fff,0xf30001ff,0x3ea1ffff,0xf1005fff,
    0x8800ffff,0x00ffffff,0x0bffff50,0xffff5000,0x6ffffd87,0xfa8ffffd,
    0x00005fff,0x9bffffe8,0xfff99999,0xffc803ff,0xffff54ff,0xfc80000b,
    0x3f204fff,0xfff84fff,0xfa8001ff,0x7ffc6fff,0xfa8001ff,0x3fea6fff,
    0xff3005ff,0xfb000fff,0x54007fff,0x0005ffff,0x43ffffa8,0xebfffff8,
    0x7fd47fff,0x400005ff,0xfffffff9,0xffffffff,0xffc806ff,0xffff54ff,
    0xfc80000b,0x3f204fff,0xffe84fff,0xfd8004ff,0x7ff45fff,0xfd8004ff,
    0x3fea5fff,0xff3006ff,0xf9000dff,0x54007fff,0x0005ffff,0x83ffffa8,
    0xfffffffb,0x7ffd47ff,0x6400005f,0xffffffff,0xffffffff,0x7fe401ff,
    0xffff54ff,0xfc80000b,0x3f204fff,0xffc84fff,0x26001fff,0x644fffff,
    0x001fffff,0x93ffffe6,0x007ffff9,0x00dffff5,0x07ffff90,0x2ffffd40,
    0x7ffd4000,0xffffd03f,0xfa8fffff,0x00005fff,0x7ffffffc,0xffffffff,
    0x6405ffff,0xff54ffff,0x80000bff,0x204ffffc,0x984ffffc,0x005fffff,
    0x03fffff6,0x0bfffff3,0x7ffffec0,0x3ffffe20,0xffffd803,0xfffc8005,
    0x3fea003f,0xa80005ff,0xf303ffff,0xffffffff,0x05ffffa8,0x3ffea000,
    0xffffffff,0xffffffff,0x3fff200f,0xbffff54f,0xffc80000,0x3ff204ff,
    0xfff904ff,0x6c401bff,0x903fffff,0x01bfffff,0x7ffffec4,0xfffffe83,
    0x3fffea00,0xffc8003f,0x3ea003ff,0x80005fff,0x203ffffa,0xfffffffc,
    0x2ffffd47,0xfffb0000,0x3333339f,0xffff3333,0x7ffe407f,0xbffff54f,
    0xffc80000,0x3ff204ff,0x3ffa04ff,0x889bffff,0xffffffb9,0x7ffff406,
    0xb9889bff,0x06ffffff,0x9ffffff7,0x3ffee615,0xc8000fff,0x2003ffff,
    0xaaeffffa,0xaaaaaaaa,0x3fea2aaa,0x3fe203ff,0x547fffff,0xaaaeffff,
    0xaaaaaaaa,0x7ffc42aa,0x3f2000ff,0x3f206fff,0xfff54fff,0x555555df,
    0x55555555,0x13ffff20,0x04ffffc8,0x3fffffea,0xffffffff,0x5402ffff,
    0xffffffff,0xffffffff,0x3ffa02ff,0xffffffff,0x03ffffff,0x7ffff900,
    0x7fffd400,0xffffffff,0x0fffffff,0x807ffff5,0x7ffffffa,0x7fffffd4,
    0xffffffff,0x320fffff,0x4005ffff,0x02fffff9,0x2a9ffff9,0xffffffff,
    0xffffffff,0xffc80fff,0x3ff204ff,0x7fd404ff,0xffffffff,0x01efffff,
    0xffffff50,0xffffffff,0xff9803df,0xffffffff,0x00efffff,0x7ffff900,
    0x7fffd400,0xffffffff,0x0fffffff,0x007ffff5,0x8ffffffb,0xfffffffa,
    0xffffffff,0x3fe0ffff,0xe8002fff,0xf905ffff,0x3fea9fff,0xffffffff,
    0xffffffff,0xffffc80f,0x3ffff204,0xfffc8804,0xffffffff,0xfc88004f,
    0xffffffff,0x22004fff,0xfffffffe,0x004fffff,0x1ffffe40,0xfffff500,
    0xffffffff,0x21ffffff,0x803ffffa,0x47fffff8,0xfffffffa,0xffffffff,
    0xff50ffff,0x70001fff,0x901fffff,0x3ea9ffff,0xffffffff,0xffffffff,
    0xfffc80ff,0x3fff204f,0x3b2a004f,0xceffffff,0x76540001,0xceffffff,
    0xffd70001,0x5bdfffff,0xfff90000,0x7fd4007f,0xffffffff,0xffffffff,
    0x7ffff50f,0x3ffff200,0x7ffffd47,0xffffffff,0xb0ffffff,0x000bffff,
    0x0fffffe2,0x553ffff2,0xffffffff,0xffffffff,0xffc80fff,0x3ff204ff,
    0x260004ff,0x000001aa,0x0000d54c,0x06aaa620,0x3ff20000,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5c055400,0xaaaa801c,0x00aaaa20,
    0xaa855551,0x4c0000aa,0x9800004c,0x0000002c,0x00000000,0x00000000,
    0x00000640,0x00000000,0x7ffdc000,0x2ff98acf,0x22fffd80,0x4c07fff9,
    0x7fec6fff,0x7dc0003f,0x3600000f,0x0000ffff,0x7ff65cc0,0x50001bce,
    0x0019dffb,0x0003ffea,0xdffd9730,0x1dfb059b,0x4ffffd80,0x7ff6d400,
    0x20000bee,0xf8006ffe,0xffffffff,0xffd801ff,0x1fffe62f,0xd8dfff30,
    0x88003fff,0x1cefffdb,0x4efcc000,0x300004fb,0xfffffffd,0x4003dfff,
    0xeffffffd,0x04ffe801,0x3fffa600,0xefffffff,0x409fff92,0x1ffffffb,
    0xfffffd00,0x0005ffff,0x8009fff1,0xffeccffa,0xfb005fff,0x7ffcc5ff,
    0x37ffcc07,0x000ffff6,0xffffffd3,0x20001bff,0x001fa1fc,0x3fffff20,
    0xffffffff,0xfffa804f,0x406fffef,0x0000fffa,0xfffffff9,0xffffffff,
    0x7c40bfff,0x0ffffeff,0x7ffffec0,0x01ffffff,0x017ffd40,0xd7117f20,
    0x7fec005b,0x1fffe62f,0xd8dfff30,0x2a003fff,0xffffffff,0x50006fff,
    0x0017e27f,0xfffffe88,0xffffffff,0x3a00efff,0xfff90eff,0x027ff405,
    0x7ffff440,0xffffffff,0x06ffffff,0x7d47fff4,0x3fee05ff,0xffffffff,
    0x7e4006ff,0x000000ff,0x00000000,0xff100000,0xffffffff,0x10009fff,
    0x007ffdff,0x7ffffec0,0xfecbbcef,0x105fffff,0x7fcc9fff,0x1fff504f,
    0xffffb000,0xb9559dff,0x1fffffff,0x917ffe40,0x3fe05fff,0x3fee2fff,
    0x7ec007ff,0x6440006f,0x0002cccc,0x00b3332a,0x66666440,0xfffc8002,
    0xfeaffbcf,0x5c000fff,0x006fffff,0xffffff50,0x7fffd405,0xfff981ff,
    0x417ffe23,0xa8005ffe,0x02ffffff,0x3fffffaa,0x26000002,0xff85ffff,
    0x3e000fff,0x5c0004ff,0x006fffff,0x13ffff20,0x7fffdc00,0xffe8006f,
    0xf51ff75f,0xe8005fff,0x01ffffff,0xeffffe80,0xfffe8800,0x2fffa86f,
    0x2a1bffe2,0xe8000fff,0x400effff,0x6ffffff9,0x3ea00000,0xfff83fff,
    0x3fe6006f,0x7f40002f,0x001fffff,0x09ffff90,0x3ffffa00,0x7fc001ff,
    0x21ff72ff,0x20009abc,0xfffffff9,0x7ffdc005,0x3ea002ff,0x7d43ffff,
    0x3ffe23ff,0x005ffe85,0x2fffffb8,0x7ffff440,0x332a1fff,0x332a01cc,
    0xffff71cc,0x3ffffa85,0x03ffee00,0xffff9800,0x90005fff,0x0009ffff,
    0xfffffff3,0xffff800b,0x0001ff73,0xffffff90,0x7ec001ff,0xe8006fff,
    0x7cc5ffff,0x3ffe23ff,0x007ffd44,0x2ffffec0,0x3bfffa20,0x3ee5ffff,
    0x3f202fff,0xfff72fff,0xffffe85f,0x1fff6001,0xffff9000,0x0001ffff,
    0x009ffff9,0xffffff90,0x7f4001ff,0x01ff76ff,0xfffff000,0x4007ffff,
    0x002ffffe,0x46ffffa8,0x3ea5fff8,0x2fff43ff,0xffffe800,0x5fffec02,
    0x2e6ffffb,0x3202ffff,0xff92ffff,0x7ffcc5ff,0x7ffc005f,0x7ffc0005,
    0x03ffffff,0x4ffffc80,0xfffff800,0x2003ffff,0xfceffffd,0x7d40000f,
    0xffffefff,0x3fffe006,0xff98001f,0xfffc87ff,0x20ffffbd,0x0001fffa,
    0x403fffff,0xff54fffd,0x7ffdcfff,0x3fff202f,0x5ffff92f,0x00ffffec,
    0x007fff30,0x77fffd40,0x8006ffff,0x004ffffc,0x7f7fffd4,0x26006fff,
    0xffffffff,0x7fec0000,0xffffe9ff,0xffff8801,0xff88000f,0x7fc40fff,
    0x43ffffff,0x30005ffe,0x201fffff,0x3e65fffc,0xff70ffff,0x7fe405ff,
    0xffff92ff,0x07ffffc5,0x03fff700,0x7fffec00,0x01ffffe9,0x27fffe40,
    0x3ffff600,0x01ffffe9,0x3fffff60,0x8002dfff,0xf76ffff8,0xf500bfff,
    0x4000ffff,0x881fffff,0x42fffffd,0x0001fffa,0x20fffff5,0x7c46fffb,
    0xff71ffff,0x7fe405ff,0xffff92ff,0x3ffffe25,0x1fff6003,0xffff8800,
    0x0bffff76,0x4ffffc80,0x3fffe200,0x0bffff76,0x7fffec40,0x01ffffff,
    0x4ffffee0,0x00fffff8,0x03ffffd4,0x5fffff00,0xe80d5440,0xaba885ff,
    0xfffff500,0x01dfff50,0x2e5fffff,0x3202ffff,0xff92ffff,0x7ffec5ff,
    0xfff002ff,0x7fdc000b,0xffff13ff,0x7fe4001f,0x3ee004ff,0xfff13fff,
    0xfc8001ff,0xffffffff,0xfffd003f,0x7ffff41f,0x7fffcc03,0xfff10007,
    0x540001ff,0x7fe41fff,0xff984fff,0x3fe60fff,0xfff880ff,0xffff71ff,
    0x7fffe405,0x45ffff92,0x2ffffff9,0x01fffc40,0x1ffffd00,0x01fffff4,
    0x09ffff90,0x07ffff40,0x007ffffd,0xffffd710,0x9803ffff,0x7d45ffff,
    0x7c406fff,0x8000ffff,0x007ffff9,0x3a2fff40,0x6fffffff,0x8fffffc4,
    0x301ffff9,0x7dcfffff,0x3f202fff,0xfff92fff,0xffffa85f,0x3fea00ff,
    0xff30001f,0xfffa8bff,0x3ff2006f,0xff3004ff,0xfffa8bff,0x3ee0006f,
    0x5fffffef,0x17fffec0,0x07ffffe2,0x03fffff0,0xdffff500,0x7ffd4000,
    0x2b7ffea1,0x7fc2fffd,0xffe8afff,0x3ffea02f,0x3fffee6f,0x3ffff202,
    0x05ffff92,0x1dfffff7,0x001fff20,0x42ffffd8,0x01fffff8,0x09ffff90,
    0x0bffff60,0x03fffff1,0x2e3fee00,0x2207ffff,0xd80fffff,0x7405ffff,
    0x3204ffff,0x5ffffd80,0x17ffa000,0x7fc4fffb,0x7ffff45f,0x402fffec,
    0x2e5ffffc,0x3202ffff,0xff92ffff,0x3fee05ff,0xffd05fff,0x3fe2000b,
    0xffd80fff,0xff9005ff,0xff1009ff,0xffb01fff,0x2e000bff,0xffff70ff,
    0x3fffee03,0xfffff505,0x7fffe401,0x0cffb80f,0x09fffff3,0x07ffea00,
    0xffe8bfff,0x7ffffe47,0x7c403fff,0x3ee4ffff,0x3f202fff,0xfff92fff,
    0x7ffdc05f,0x7ffc40ff,0xfff70003,0x3ffea0bf,0xffc800ff,0xffb804ff,
    0xfff505ff,0x2aa201ff,0x443fee4c,0xfd01ffff,0x33337fff,0x7fffff33,
    0x7ffffcc0,0xbffffe84,0x01fffffd,0xf0bffd00,0x7ffe8bff,0x7fffffc4,
    0xfffd804f,0x3ffee0ff,0x3fff603f,0x5ffff92f,0x2ffffd80,0x000fffd4,
    0x9bffffe8,0xfff99999,0xffc803ff,0xffe804ff,0x99999bff,0x03fffff9,
    0x2e3ffff9,0xffff10ff,0xfffff301,0xffffffff,0xc80dffff,0x5c4fffff,
    0xffffffff,0xf50004ff,0xfff883ff,0x207ffec5,0x06fffffc,0x3fffffc8,
    0x827fffd4,0x92fffff8,0xa805ffff,0x7e44ffff,0xff30007f,0xffffffff,
    0xdfffffff,0x9ffff900,0xfffff980,0xffffffff,0xf306ffff,0x3feebfff,
    0x20ffff70,0xfffffffc,0xffffffff,0x3e201fff,0x0aefffff,0xffffffb1,
    0x3a0001ff,0xbfff05ff,0xf887ffe8,0x41dfffff,0xfffffe98,0xfffff886,
    0xfffffe80,0x85ffff92,0x3ffff23b,0x0037ff42,0xffffffc8,0xffffffff,
    0x6401ffff,0x6404ffff,0xffffffff,0xffffffff,0xffff01ff,0xf51ff7bf,
    0x3fe09fff,0xffffffff,0xffffffff,0x7ffd405f,0xffffffff,0x3fffffff,
    0x3fff5000,0xff1bffa0,0xffff70df,0xfddfffff,0x3fffffff,0x3fffffe0,
    0xfffffcac,0xffff92ff,0x377ffaa5,0x221fffff,0xf0004fff,0xffffffff,
    0xffffffff,0xffc80bff,0x7ffc04ff,0xffffffff,0xffffffff,0xfffff705,
    0xffffdfff,0xffff501f,0xffffffff,0xffffffff,0xffffa801,0xffffffff,
    0x0cffffff,0x02fff400,0x3ee5fff9,0x7ffd44ff,0xffffffff,0xefffffff,
    0x3ffff201,0xfcffffff,0xfff92fff,0x3ffffa5f,0x545fffff,0xa8002fff,
    0xffffffff,0xffffffff,0x3200ffff,0x2a04ffff,0xffffffff,0xffffffff,
    0xfb00ffff,0xffffffff,0x3f607fff,0x9999cfff,0xff999999,0xc8803fff,
    0xffffffff,0xffffffff,0xfa800bff,0x3fe201ff,0x0ffffeff,0x36bfffe6,
    0xffffffff,0xb004ffff,0xffffffff,0x25ffff35,0xd12ffffc,0xdfffffff,
    0x00fffc81,0xcffffd80,0x99999999,0x3fffff99,0x13ffff20,0x9cffffd8,
    0x99999999,0x03fffff9,0xffffffb1,0x2205ffff,0x000fffff,0x01bffff2,
    0xffffeca8,0xffeacdff,0xe800ffff,0xffa805ff,0x642fffff,0x3f662fff,
    0xceffffff,0x7ff64001,0xfff31dff,0x3ffff25f,0x3fffb222,0x0dffd04f,
    0xfffff100,0x7ffe4001,0x3fff206f,0xffff104f,0x7fe4001f,0x7f5406ff,
    0x00ceffff,0x017ffff2,0x5fffff30,0x02aa2000,0x01ffffdc,0x800fffdc,
    0x01defed8,0x54c405f7,0x5100001a,0x44000003,0x0d55401a,0x7fffe400,
    0x7ffcc005,0xfff902ff,0x3fff209f,0x7fcc005f,0xc8802fff,0xfff001ff,
    0xfd0005ff,0x0000bfff,0x00ffd880,0x40000000,0x00000001,0x00000000,
    0xfff80000,0xfe8002ff,0xff905fff,0x3ffe09ff,0xfe8002ff,0xf7005fff,
    0xfff5001f,0xf70001ff,0x0001ffff,0x00051000,0x00000000,0x00000000,
    0x00000000,0xfffff500,0xfff70001,0xfff901ff,0xffff509f,0xff70001f,
    0xf7001fff,0xfffb001f,0x3e2000bf,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x017ffff6,0x7ffffc40,0x4ffffc83,0x05ffffd8,
    0xfffff100,0x00993007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07366000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd100000,
    0x00003fff,0x03bfffea,0x5ffffc80,0x7ffd4000,0xfffe805f,0x01bffea2,
    0x03ffffc8,0x3ffffa20,0xffd10001,0x3e0005ff,0x3fee1fff,0xffb8005f,
    0x7f4005ff,0x3e003fff,0x3ff20fff,0x3fee004f,0x17ffec3f,0x5fffe880,
    0xfffd0000,0x7fd4001d,0x0002ffff,0x003bfffa,0xfa8bfffa,0x3be006ff,
    0x44007e98,0x0005ffff,0x017fffa2,0x70ffffc0,0xf000bfff,0xb800bfff,
    0x01ffffff,0x641ffff0,0x32004fff,0x7ff41fff,0x3fe2000f,0x4c0001ff,
    0x2000efff,0xfffefff8,0xffa8000f,0xffd000ef,0x37ffd45f,0x3f23fa80,
    0x7ffcc001,0x3e20000f,0xf8001fff,0x3fee1fff,0x7fdc005f,0x7fcc006f,
    0x006fffef,0x7e41ffff,0x3fa004ff,0x3ffe20ff,0xfff98007,0x7fec0005,
    0x7fec001f,0x05fff99f,0x00fffe80,0xa8bfffa0,0xf1006fff,0x000fd11d,
    0x0013ffe6,0x00bfff30,0x5c3ffff0,0x74005fff,0x22000eff,0xffb8fffe,
    0xffff804f,0x013fff20,0x7cc6fff8,0xf30005ff,0x220001ff,0x5c001fff,
    0x3fee3fff,0x3fe6003f,0x4cc4001f,0x02666209,0x4ffffc80,0x3ffea000,
    0x7fcc0000,0x4ccc000f,0x004ccc41,0x001dff50,0x321fffc8,0x4cc01fff,
    0x04ccc419,0x44fff980,0x0003fffb,0x40002662,0x00000998,0x26620000,
    0x00000000,0x0016ed40,0x0004cc40,0x0004cc40,0x98800000,0x00000009,
    0xb8000000,0x7fe43fff,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99880000,0x9bfffd99,0x9afffe99,
    0xfeeb8800,0x1001beef,0x7ddffdd7,0x3bae2003,0x501beeff,0x54039999,
    0x7101cccc,0x37ddffdd,0x3fbae200,0x9501beef,0x65403999,0x54401ccc,
    0x402bdeec,0x201cccca,0x201cccca,0x1bcefdca,0x77ee5400,0x654001bc,
    0x201bcefd,0xfffffffc,0xffffffff,0x7ec03fff,0xffffffff,0x7ffec03f,
    0x3fffffff,0x7ffffec0,0xb83fffff,0x3202ffff,0xfd82ffff,0xffffffff,
    0x7ffec03f,0x3fffffff,0x02ffffb8,0x40bffff2,0xffffffea,0xff701eff,
    0x7fe405ff,0xffd882ff,0x03ffffff,0xfffffd88,0xd8803fff,0xffffffff,
    0xfffff903,0xffffffff,0x407fffff,0xfffffffd,0xb04fffff,0xffffffff,
    0x3609ffff,0xffffffff,0x7dc4ffff,0x3f202fff,0x7fec2fff,0xffffffff,
    0xfffb04ff,0xffffffff,0xffffb89f,0x3ffff202,0xfffffc82,0x3fffffff,
    0x02ffffb8,0x30bffff2,0xffffffff,0x2601bfff,0xffffffff,0xf300dfff,
    0xffffffff,0xffc81bff,0xffffffff,0xffffffff,0xfffff503,0xffffffdf,
    0xffffa81f,0xfffffeff,0x7ffd40ff,0xffffefff,0x3fee0fff,0x3ff202ff,
    0x3ffea2ff,0xffffefff,0x7fd40fff,0xfffeffff,0x3ee0ffff,0x3f202fff,
    0x7fdc2fff,0xffffffff,0x7dc2ffff,0x3f202fff,0x7ff42fff,0xffffffff,
    0xfffd04ff,0xffffffff,0x3fffa09f,0xffffffff,0x7666544f,0xecccdfff,
    0x01ccdfff,0x985ffffd,0x743ffffe,0x74c2ffff,0x7f43ffff,0x7f4c2fff,
    0x3fee3fff,0x3ff202ff,0x3fffa2ff,0x7fff4c2f,0x7ffff43f,0x7ffff4c2,
    0x0bfffee3,0x22ffffc8,0xaefffff9,0xffffea88,0x3fffee0f,0x3ffff202,
    0x3bfffee2,0x3ffffae2,0x77fffdc0,0x3ffffae2,0x77fffdc0,0x3ffffae2,
    0x07fff200,0x5001fffd,0x3ee09fd9,0x76543fff,0xffff704f,0x04feca87,
    0x5c7ffff7,0x3202ffff,0x32a2ffff,0xfff704fe,0x4feca87f,0x47ffff70,
    0x202ffffb,0x322ffffc,0x3606ffff,0x3ee5ffff,0x3f202fff,0xfff12fff,
    0xfff101ff,0x7fffc49f,0xffff880f,0x3ffffe24,0x4ffff880,0x883fffa0,
    0x00006fff,0x027fffcc,0x4ffff980,0xffff3000,0x17fffdc9,0x05ffff90,
    0x9ffff300,0x3ffe6000,0x3fffee4f,0x3ffff202,0x07ffffa2,0x27ffff98,
    0x202ffffb,0xf52ffffc,0x7e40bfff,0x3ffea7ff,0x3fff205f,0x17fffea7,
    0x107fffc8,0xff98dfff,0xb980005f,0x04fffffd,0x3fff6e60,0x2e6004ff,
    0x24fffffd,0x202ffffb,0x002ffffc,0xfffffb73,0x7edcc009,0x3ee4ffff,
    0x3f202fff,0xfff12fff,0xfffb00bf,0x3fffee3f,0x3ffff202,0x07ffff72,
    0xb87fffdc,0x2e03ffff,0xff70ffff,0x7fdc07ff,0xfff980ff,0x01fffdc4,
    0x7ffedc40,0x04ffffff,0x3ffff6e2,0x204fffff,0xfffffdb8,0x3ee4ffff,
    0x3f202fff,0xb7102fff,0xffffffff,0x7edc409f,0xffffffff,0x0bfffee4,
    0x52ffffc8,0x9009ffff,0x3ee5ffff,0x3f202fff,0xfff92fff,0xdddddddf,
    0x321ffffd,0xeeeeffff,0xffffeeee,0xddffff90,0xffdddddd,0x2e6621ff,
    0xd999cfff,0x0999bfff,0x3ffffa60,0xffffffff,0xffffe984,0xffffffff,
    0xffffe984,0xffffffff,0x0bfffee4,0x42ffffc8,0xffffffe9,0x84ffffff,
    0xffffffe9,0x24ffffff,0x202ffffb,0xf72ffffc,0xf7007fff,0x3fee7fff,
    0x3ff202ff,0xffffd2ff,0xffffffff,0x3fa3ffff,0xffffffff,0x1fffffff,
    0xfffffffd,0xffffffff,0x3ffff23f,0xffffffff,0x03ffffff,0xfffffff3,
    0x9ffff55b,0xffffff98,0xffffaadf,0x7ffffcc4,0xfffaadff,0x3fffee4f,
    0x3ffff202,0x3ffffe62,0xfffaadff,0x7fffcc4f,0xffaadfff,0x3ffee4ff,
    0x3fff202f,0x9ffff72f,0x7ffff900,0x80bfffee,0xfb2ffffc,0xffffffff,
    0x5fffffff,0x3ffffff6,0xffffffff,0xffffb2ff,0xffffffff,0x3f25ffff,
    0xffffffff,0xffffffff,0xffff883f,0x7ffcc0cf,0x3fffe24f,0x7ffcc0cf,
    0x3fffe24f,0x7ffcc0cf,0x3fffee4f,0x3ffff202,0x9fffff12,0x4ffff981,
    0x33ffffe2,0x27fffcc0,0x405ffff7,0xf52ffffc,0xfb00bfff,0x3fee3fff,
    0x3ff202ff,0xffff92ff,0x33333335,0x3f213333,0x9999afff,0x09999999,
    0x335ffff9,0x33333333,0x3ffff213,0xffffffff,0x83ffffff,0x305ffffa,
    0x7d49ffff,0xff305fff,0x7ffd49ff,0xffff305f,0x1ffffdc9,0x25ffffb0,
    0x305ffffa,0x7d49ffff,0xff305fff,0x7ffdc9ff,0x3fff603f,0xfffff32f,
    0x1fffff00,0x80ffffee,0xf72ffffd,0x20005fff,0x002ffffb,0x05ffff70,
    0x3ff72a00,0xffecccef,0x81ccccdf,0x702ffffc,0x7e49ffff,0xff702fff,
    0x7ffe49ff,0xffff702f,0x27fffd49,0x2fffff88,0x205ffff9,0x324ffffb,
    0xf702ffff,0x7fd49fff,0xfff104ff,0x7fff45ff,0x3ffee03f,0x3fffea6f,
    0xfffff104,0x17fffea5,0x2a1acdd8,0x3605ffff,0x3fea1acd,0x337605ff,
    0x3fffb81a,0x800fffe4,0x884ffffc,0x325fffff,0xf884ffff,0x3f25ffff,
    0xff884fff,0x3fe25fff,0xffe80fff,0xfff92fff,0xffff109f,0x7fffe4bf,
    0xfffff884,0x3ffffe25,0xfffffe80,0x3ffffee2,0xfffffb83,0x3ffffe21,
    0xfffffe80,0x0fffffa2,0xd1bfffee,0xf707ffff,0xffe8dfff,0xfffb83ff,
    0x1fffc86f,0x8007fff4,0x9cfffffa,0xffffffc9,0x3ffffea5,0xffffc99c,
    0x3ffea5ff,0xffc99cff,0x7fc5ffff,0xfcacffff,0x52ffffff,0x339fffff,
    0xbffffff9,0x67ffffd4,0xfffffc99,0x7ffffc5f,0xffffcacf,0x7ff42fff,
    0xfeddefff,0xff84ffff,0xfcacffff,0x22ffffff,0xbffffffa,0x2fffffda,
    0x7fffffd4,0xfffffdab,0x7ffffd42,0xffffdabf,0x0fffe82f,0x10037ffc,
    0xffffffff,0xdfffffff,0x7fffffc4,0xffffffff,0x3fffe26f,0xffffffff,
    0x7fe46fff,0xffffffff,0xf12ffffc,0xffffffff,0x4dffffff,0xfffffff8,
    0xffffffff,0x7ffffe46,0xffcfffff,0x7ffc42ff,0xffffffff,0xffc80eff,
    0xffffffff,0x6c2ffffc,0xffffffff,0xfb05ffff,0xffffffff,0x3f60bfff,
    0xffffffff,0xff885fff,0x27ffcc6f,0x3fffea00,0xfcbfffff,0x3fea0fff,
    0xbfffffff,0x2a0ffffc,0xffffffff,0x0ffffcbf,0x7fffffec,0xffff9aff,
    0x3ffffea2,0xffcbffff,0x3ffea0ff,0xcbffffff,0x7ec0ffff,0xafffffff,
    0x882ffff9,0xfffffffd,0x7ec04fff,0xafffffff,0xb82ffff9,0xffffffff,
    0x7fdc05ff,0xffffffff,0x7fffdc05,0x05ffffff,0xfa89fff3,0xe98003ff,
    0x50dfffff,0xe987ffff,0x50dfffff,0xe987ffff,0x50dfffff,0xd907ffff,
    0x263bffff,0x74c2ffff,0x50dfffff,0xe987ffff,0x50dfffff,0xd907ffff,
    0x263bffff,0x2a02ffff,0xdfffffec,0xfffd9001,0x3ffe63bf,0xfffb302f,
    0x2005dfff,0xffffffd9,0xffb3002e,0x405dffff,0x7e43fffb,0x220001ff,
    0x440001a9,0x440001a9,0x880001a9,0x4c40001a,0x4c40001a,0xa880001a,
    0x4c400001,0x2a20000a,0x26200001,0x2200009a,0x200009a9,0x98009a98,
    0x554c0aaa,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000020,0x80000000,0x00000000,0x00000000,0xfff00000,
    0x2fffdc1f,0x7fffe400,0xff500005,0xf1001dff,0x0001ffff,0x3ffb2e60,
    0x80000bcd,0xeffffec8,0xb500002d,0x005bdffd,0xffd91000,0x0005bdff,
    0xdffd9730,0x54c00017,0x1bceffec,0x017ffa00,0x20ffff80,0x4005fffb,
    0x2ffffffa,0xfffd8000,0x3fe6000e,0x4c0004ff,0xfffffffe,0x30002fff,
    0xfffffffb,0x0009ffff,0x3fffffa6,0x0000dfff,0xfffffd98,0x04ffffff,
    0xfffff700,0x8007ffff,0xfffffffa,0x801effff,0x20007ffd,0x3ee0ffff,
    0x3e2005ff,0x0ffffeff,0x3ffe6000,0xff98000f,0xf70000ff,0xffffffff,
    0x001bffff,0x7fffffe4,0xfffffdcd,0x3fe2001e,0xffffffff,0x7e40005f,
    0xecdfffff,0x01efffff,0x3fffff20,0x03ffffff,0xfffffd88,0xffffffff,
    0x7ffdc03f,0xffff0000,0x02fffdc1,0xf33fffb0,0x6c000bff,0x20001fff,
    0x4003fffa,0xffffffe8,0xffffffff,0xffe8806f,0xca880bdf,0xb002fffe,
    0xd79dffff,0x0007ffff,0x37bfffd1,0xfffd9510,0xffff9005,0xffffffff,
    0x7ffc403f,0xffffffff,0x0effffff,0x005fff30,0x31066660,0x3ee00133,
    0x3ffee3ff,0xfff88003,0xffa80001,0x7ffe4007,0xfdbbdfff,0x04ffffff,
    0x000f7ff4,0x2007ffee,0xfe87ffff,0xfd8005ff,0x7e4001ef,0x7ffc01ff,
    0xffd50cff,0x7fec0bff,0xbbceffff,0xffffffec,0x013ffe04,0x00000000,
    0x99880000,0x26200000,0x3ffe2001,0xfa880eff,0x900fffff,0x4c000bff,
    0x3e200fff,0xffa85fff,0x7fe4007f,0xff500405,0x3ffe601f,0xffff884f,
    0xfffff507,0x7ffd405f,0xffb01fff,0x0000000d,0x00000000,0x00000000,
    0x017ffff6,0x13ffffee,0x7643bfe6,0x1bdeeeee,0x7c05ffb8,0x7e40ffff,
    0x3e6005ff,0x7edc40ef,0xffb81cef,0x3ffff905,0x03bfff60,0x1dfffff1,
    0xffffd100,0x03ffee0d,0xeeca8800,0x510002bd,0x0057bdd9,0x37bb2a20,
    0xdca8002b,0x5401bcef,0x001fffff,0xb07bfffd,0x7fff43ff,0x83ffffff,
    0x3f601ffd,0x3fea5fff,0x3f6003ff,0xffffd81f,0xffd83fff,0x07fffc81,
    0xffb80262,0x2a002fff,0x983fffff,0xa8002fff,0xfffffffe,0xfd5001ef,
    0xdfffffff,0x3ffaa003,0x1effffff,0xffffd880,0x3203ffff,0x2005ffff,
    0x3fe201b9,0x555fff44,0x441fffdc,0x3fea04ff,0xfffbbfff,0xff1000ff,
    0x5bfffb09,0xf983fffb,0xffffb84f,0x3ff60000,0xfe8006ff,0xfff05fff,
    0xfffc8009,0xffffffff,0x7ffe403f,0xffffffff,0x7ffe403f,0xffffffff,
    0x3ffe603f,0xffffffff,0xffffd80d,0x7e400002,0xd83ff41f,0x07fd83ff,
    0x7fffffe4,0x2002ffff,0x7fdc1ffc,0x437fd40e,0x7fd40ffd,0xf10002ff,
    0x0005ffff,0x20dffff5,0x2e006ffd,0xffffffff,0x02ffffff,0xfffffff7,
    0x5fffffff,0x3ffffee0,0xffffffff,0xffffd02f,0xffffffff,0x5ffffd09,
    0x6fd80000,0xff707fe8,0x403ff509,0xfffffff8,0x7ec002ff,0x701ffd86,
    0x83ff5037,0x004ffff8,0x3fffff30,0xffff3000,0x03ffee0f,0x3ffffe60,
    0xffea88ae,0x7fcc0fff,0xa88aefff,0x40fffffe,0xaefffff9,0xffffea88,
    0x7fffdc0f,0x3fffae2e,0x7ffffc0f,0x7fc00001,0xd887fe85,0x2ff981ff,
    0x3ffffa60,0xf8000dff,0x007ff85f,0x3b25ff30,0xeefffffe,0x7cc01eee,
    0x8000ffff,0x80fffff8,0xc802fff9,0x3606ffff,0x7e45ffff,0x3f606fff,
    0x7fe45fff,0x3ff606ff,0x3ffe25ff,0xfff880ff,0x3fffe24f,0x7c00000f,
    0xccffe84f,0x106fffed,0xffb107ff,0x0bffffff,0xf113fe00,0x3e2000df,
    0xfffffb3f,0x5fffffff,0x7ffffa80,0x3fffe000,0x09fff01f,0x03ffffd0,
    0x23ffffcc,0x201ffffe,0x747ffff9,0x2601ffff,0x3ea7ffff,0x3f205fff,
    0x3ffe67ff,0x4400007f,0xfffe83ff,0x402effff,0x7ff444ff,0xffffffff,
    0x3fe200c4,0x002ffcc3,0x3ff69ff0,0xffffffff,0x7fd402ff,0x3e0007ff,
    0xfd02ffff,0xfff880df,0xfffd805f,0xbffff11f,0x3ffffb00,0x017fffe2,
    0x5c7ffff6,0x2e03ffff,0xff10ffff,0x00001fff,0xffe84ff8,0x403fffdc,
    0x7ff43ff8,0xfffecfff,0x7bff32ff,0xf889ff01,0xff10006f,0x3fffff67,
    0x2fffffff,0x3ffffcc0,0xffff8800,0x0fff901f,0x04ffffa8,0x52ffffc8,
    0x9009ffff,0x3ea5ffff,0xfc804fff,0xfff92fff,0xdddddddf,0x7c1ffffd,
    0x0001ffff,0x7f42ff40,0x80fffa27,0x3fee2ff9,0xffd13fff,0xfff91fff,
    0xf0bfd01f,0x405dc0ff,0x33312ff9,0x333bffff,0xfff88013,0xf98000ff,
    0xf500ffff,0x7fdc03ff,0xffb803ff,0xffff73ff,0xffff7007,0x0ffffee7,
    0x4ffffee0,0xfffffffe,0xffffffff,0x3ffffa1f,0x3600c002,0x23ff40ff,
    0xf701fff8,0x7ffffc3f,0x7ffffcc3,0xb06ffffe,0x3ffd81ff,0x640fff98,
    0xfff881ff,0xfff0004f,0xf50003ff,0x7c40dfff,0x3fee03ff,0xffc804ff,
    0xffff73ff,0xffff9009,0x13fffee7,0x4fffff20,0xfffffffd,0xffffffff,
    0x3ffff62f,0x33fea004,0x743ffa82,0x06ffb87f,0x7ffccdff,0xfffa80ff,
    0x03ffffff,0xff987ff5,0x7ffd30cf,0x3ee0dff0,0xd0002fff,0x0009ffff,
    0x80bffffb,0x3ea05ffe,0xfd805fff,0xfff51fff,0xfffb00bf,0x3fffea3f,
    0xffffd805,0x35ffff91,0x33333333,0x7ffdc133,0xff9000ff,0x8dff0dff,
    0x7fff07fe,0x3ea2ffa8,0x3f205fff,0x0fffffff,0x3f21bfe0,0x5fffefff,
    0xfb02ffb8,0x20001fff,0x01fffffc,0x3ffffe60,0x03ffe404,0x00fffff3,
    0x261fffff,0xf807ffff,0xff30ffff,0xfff00fff,0x3ffee1ff,0x3e20002f,
    0x9804ffff,0xc83fffff,0x41ffa4ff,0xff10fffb,0x6ffffa8f,0x7ffffec0,
    0x27fe403f,0x7fffffd4,0x83ffc40d,0x003ffff9,0x3ffffe60,0x3fff6005,
    0x7fd400ff,0x3fffa01f,0x3ffee03f,0x7ffff46f,0x3fffee03,0x1fffff46,
    0x4dffff70,0x205ffffa,0xfb81acdd,0x2203ffff,0x80fffffe,0x5552ffe8,
    0xfe855540,0x7fffc42f,0x3ffea01f,0x2200dfff,0xca882ffe,0x5ffd00ac,
    0x0bffff30,0xffff9000,0x7ec401bf,0x8803ffff,0x3ee03fff,0xfb83ffff,
    0x7dc1ffff,0xfb83ffff,0x7dc1ffff,0xfb83ffff,0x7f41ffff,0xffb83fff,
    0xfffd06ff,0x2e615bff,0x04ffffff,0x000fffe6,0x7413ffa2,0xc81effff,
    0xffffffff,0x3ffe601e,0xffe88003,0xfffff884,0x11bcefdd,0x7ff409b7,
    0x889bffff,0xffffffb9,0x17ffa006,0xdfffffd0,0xfffffdbb,0x3ffffa09,
    0xfffeddef,0xfffd04ff,0xffdbbdff,0xff509fff,0xfb57ffff,0x2605ffff,
    0xffffffff,0xffffffff,0xdfffa806,0xdfff5000,0x7ffffd40,0xffffecff,
    0xffffffff,0x37ffea04,0xdfff5000,0x3fffff20,0xffffffff,0xf500ffff,
    0xffffffff,0xffffffff,0x7fe4005f,0x7fffc407,0xffffffff,0xfff100ef,
    0xffffffff,0x3e201dff,0xffffffff,0xb00effff,0xffffffff,0xa80bffff,
    0xffffffff,0x0effffff,0xbffff300,0x7fdcc435,0xffd804ff,0xffffffff,
    0xffffffff,0x7fcc05ff,0x3309bdff,0x409ffff9,0xfffffff9,0xffffffff,
    0x3fea04ff,0xffffffff,0x01efffff,0x00fffd40,0x3fffff62,0x804fffff,
    0xffffffd8,0x8804ffff,0xfffffffd,0xfb804fff,0xffffffff,0xffb1005f,
    0xffffffff,0xd88001bf,0xffffffff,0x002fffff,0x3fffffee,0x88dfffff,
    0x800efffd,0xffffffd8,0x2fffffff,0xfffffd80,0xffffffff,0x2200ffff,
    0xfffffffc,0x004fffff,0x007fff10,0x3ffffb2a,0x654001df,0x1dfffffe,
    0x7ff65400,0x2001dfff,0xffffffd9,0xeda8002e,0x1dffffff,0x7fe4c000,
    0xbeffffff,0xffd88000,0x82efffff,0x4c001ffa,0xfffffffc,0xf5000bef,
    0x76dcc13b,0x0befffff,0xfffeca80,0x001cefff,0x002fffc0,0x000054c4,
    0x0000a988,0x00015310,0x00135310,0x026a6200,0x2a620000,0x0000abcc,
    0x002aa620,0x988000a2,0x000abcca,0x4d4c0030,0x554c0000,0x54c00001,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x01accb98,0x0027fd40,
    0x20013fe2,0x01acdb98,0x33332a00,0x4ffa8001,0x027fc400,0x99999988,
    0x40999999,0x2203cccc,0x9803cccc,0x0002bccb,0x80000000,0xefffeeb9,
    0xa88000cd,0xcdeffedb,0x7ffcc000,0x800dffff,0x4004fff9,0x6c000ffc,
    0xdfffffff,0xfffc8000,0x7fcc002f,0x7fe4004f,0xffff7000,0xffffffff,
    0x06ffff8b,0x81bfffe2,0xfffffffb,0x2fffe81d,0x501bffea,0xfe980009,
    0xffffffff,0xf5001dff,0xffffffff,0xf70019ff,0xffffffff,0x3ff2203d,
    0x3e6004ff,0x3fa2003f,0xffffffff,0x7fe4001f,0xf91002ff,0x4c009fff,
    0x3f2003ff,0xffffffff,0x7ffc5fff,0x3ffe206f,0xffffb06f,0x83ffffff,
    0x3ea2fffe,0xbfd306ff,0x7ffdc000,0xffffffff,0x5c02ffff,0xffffffff,
    0x01ffffff,0x3fffffe6,0x986fffff,0x04ffffff,0xd001ff60,0xffffffff,
    0x4001ffff,0x802ffffc,0x4ffffff9,0x001ff600,0xfffffffd,0xf8bfffff,
    0x3e206fff,0xffe86fff,0xffffffff,0x3fffa0ef,0x11bffea2,0x000bfff9,
    0x3ffffff6,0xffffffff,0xff902fff,0xffffffff,0x40dfffff,0xcbeffffd,
    0x542fffff,0x04ffddff,0x4005ff50,0xadfffffa,0x04fffffd,0x0bffff20,
    0x3f77fea0,0x5ff5004f,0xfffff800,0xffffffff,0x037fffc5,0xa8dffff1,
    0xcacfffff,0x3a3fffff,0x3fea2fff,0x7fffcc6f,0xfffb8005,0xdabdefff,
    0xffffffff,0xffffff80,0xfffba9bd,0xff884fff,0x7ffcc6ff,0xfc86545f,
    0x0dfd004f,0x1ffffd80,0x03ffffd4,0x01555530,0x3ff21950,0x00dfd004,
    0xacffff88,0x1aaaaaaa,0x1037fffc,0xfe8dffff,0x7fcc1fff,0x266625ff,
    0x30266620,0x800bffff,0x3ffffff9,0x3ffffa60,0x7fffcc4f,0x7ffffc06,
    0x2ffffc86,0x01ffffd8,0x2e013ff2,0x3e2001ff,0xfff05fff,0x000001ff,
    0x804ffc80,0x54001ffb,0x8001ffff,0x2206ffff,0x3ea6ffff,0xffd04fff,
    0x260000bd,0x4005ffff,0x01fffffe,0x7fffff88,0x017fffe4,0x03ffffee,
    0x2a0ffffd,0x3203ffff,0x7fc404ff,0xca988005,0x0ffffd01,0x17fffc40,
    0x027fe400,0x20017fe2,0x0007fffc,0x440dffff,0x3f66ffff,0x00101fff,
    0xffdc9800,0x404cceff,0x03fffff8,0x33bffee0,0x0fffff60,0x07bbbba0,
    0x260fffff,0x3204ffff,0x7fe404ff,0xf3000000,0x4c00bfff,0x8002ffff,
    0x7e404ffc,0xffd8000f,0xfff0006f,0x7ffc40df,0x1ffffe6f,0x33326000,
    0xffffb81c,0x00ffffff,0x01bffff2,0xffb806a0,0x40002fff,0x105ffff8,
    0x640bffff,0x3fe204ff,0xb3000004,0x4005ffff,0x000ffffa,0x2204ffc8,
    0xff0004ff,0xdffb7dff,0x7fffc039,0x3fffe206,0x45bfffe6,0x5000acb9,
    0xf707ffff,0xffffffff,0x7fff401f,0x9800003f,0xceffffff,0x7fcc000a,
    0xfff105ff,0x27fe40df,0x0001ffb0,0xfffffc80,0x3fa2003f,0xf90006ff,
    0x07fec09f,0x7fffc400,0xffffffff,0x0dffff03,0x8b7fffcc,0xfe9dffff,
    0x400dffff,0xb83ffffa,0xffffffff,0x3ffe00ff,0x000002ff,0xfffffffb,
    0x30037bff,0x7c0bffff,0x3f207fff,0x07ff304f,0xffff0000,0x744005ff,
    0x0004ffff,0x3e609ff9,0xff30003f,0xffffffff,0xfff0bfff,0x7ffcc0ff,
    0xdffff36f,0xffffffff,0x7ffd403d,0xffba883f,0x202aaeff,0x01fffff8,
    0xffd10000,0xffffffff,0x3ea017df,0x3fe05fff,0x3ff207ff,0x000dfd04,
    0xfffff100,0x3fa2005d,0x0000ffff,0x3fa09ff9,0x3fee0006,0xfffeffff,
    0x7fc2ffff,0xff700fff,0x3ffeadff,0xffffffff,0x3ea06fff,0x3e603fff,
    0xf3005fff,0x5401ffff,0xeeeeeeee,0xffd883ee,0xffffffff,0xffb80eff,
    0x3ffe04ff,0x133100ff,0x8805ff50,0xff3002cc,0x03dfffff,0x7fffff44,
    0x26620002,0x882ffa80,0xfc809aa9,0x3aa0cfff,0x7fc6ffff,0xffd03fff,
    0x3ffeedff,0xfb8aefff,0xf503ffff,0x7cc07fff,0xf3005fff,0x5c01ffff,
    0xffffffff,0x3faa04ff,0xffffffff,0x7fd40eff,0x3ffe04ff,0x3fa0007f,
    0x04ffe806,0xffb51510,0xff301fff,0x0003ffff,0xb86fe800,0x42ffffff,
    0x3e02ca98,0x3fe2ffff,0x7e41ffff,0xff56ffff,0x3fe0bfff,0xffa80fff,
    0x3fe603ff,0xff1005ff,0x7dc03fff,0xffffffff,0xfdb8804f,0xffffffff,
    0x3fffe60f,0x1ffffe05,0x00ffdc00,0x0013fff6,0x85ffffc8,0x01effffe,
    0x7fdc0000,0x7ffffd41,0x70000fff,0x7fc7ffff,0xecdfffff,0x36ffffff,
    0x205fffff,0xa81ffffb,0x2603ffff,0x2005ffff,0x202fffff,0xfffffffb,
    0x44004fff,0xfffffeca,0x3fffe62f,0xdffff105,0x0bff1000,0x04ffffb8,
    0x3fffe600,0x3ffff20f,0x4000000e,0xffd85ff8,0x04ffe88c,0x9ffff500,
    0x7ffffffc,0xffffffff,0xfffff16f,0x3fffea01,0x3ffffa82,0x17fffe60,
    0x3ffffe80,0x33333260,0x004ffffe,0x7ffffdc0,0x1bfffe24,0x02ffffc4,
    0x5007fe40,0x009fffff,0x1ffffe80,0x003ffffe,0x3ff20000,0x707f7440,
    0x26000dff,0x3fe5ffff,0xffffceff,0x26fffddf,0x2607ffff,0xfa84ffff,
    0x3e603fff,0x32005fff,0x8006ffff,0x534ffffb,0x2a005d99,0x7fc6ffff,
    0xfff307ff,0xff98009f,0x2fbfe204,0x02a604ff,0x12ffffd8,0x500bffff,
    0x98003579,0x7f4004ff,0xff50005f,0x7fffc9ff,0xb1bfffb6,0x7ffcdfff,
    0xfff300ff,0xffff507f,0x7fffcc07,0x3ffe6005,0x7dc002ff,0xfff74fff,
    0x3fe200bf,0x7fff47ff,0xffffb80f,0x07fec003,0xfb8ffe88,0x7fffd44f,
    0xfffff103,0x17fffe21,0x01ffffe0,0x4001ffb0,0xdb31fffc,0x7fdc0bfd,
    0x3fffe3ff,0x74006a26,0xf502ffff,0xff505fff,0x7fcc07ff,0x7fc005ff,
    0x64006fff,0xff34ffff,0xf7001fff,0xffb8dfff,0xfffe84ff,0x3fea000f,
    0x5c7ff602,0x7ffcc4ff,0xffff706f,0x0ffffe8f,0x13fffee0,0x002ffa80,
    0x447fffd1,0xd01fffff,0x7fc3ffff,0x2a0006ff,0xfb06ffff,0xff503fff,
    0x7fc407ff,0x7d4005ff,0x401effff,0x4fffffc8,0x01bffffe,0x89fffff1,
    0x20fffff8,0x004ffffb,0xff7037f4,0x5bffb55b,0x67ffffc3,0x3ffffea0,
    0x6ffffe44,0xfffffa80,0x01bfa001,0x41ffff4c,0x20dffffd,0x45ffffc8,
    0x0006ffff,0x8efffff4,0x06ffffb8,0x407ffff5,0x006ffff8,0xffffffd8,
    0xff9530ac,0x649fffff,0x0aefffff,0x3ffffaa2,0xffffc81f,0xfffffedf,
    0x07fee001,0xffffffd8,0x3ee3ffff,0xffdfffff,0x440fffff,0xbeffffff,
    0x6ffffffc,0x007fee00,0x407fffe6,0xdffffffa,0x1ffffffd,0x0037fffc,
    0x3ffffea0,0xffffffdf,0x7ffff501,0x7ffffc40,0xe8800fde,0xffffffff,
    0xffffffff,0x7ff43fff,0xffffffff,0x06ffffff,0xfffffff3,0x400bffff,
    0x7ec05ff8,0xffffffff,0x7fffec3f,0xffffffff,0xfffff301,0xffffffff,
    0x2ffc400b,0x077ffcc0,0x3fffff20,0x3fffffff,0x006ffff8,0xfffffd80,
    0x05ffffff,0x00ffffea,0xfffffffd,0x3ff62003,0xffffffff,0x2fffffff,
    0xffffff88,0xffffffff,0x3fa201ff,0x5fffffff,0x00ffe400,0x32666662,
    0x6c409dff,0xffffffff,0x7f4c02ef,0xffffffff,0x7fe4004f,0xffffe801,
    0xfc87ffff,0xffffffff,0xdffff02f,0x3ff20000,0x4fffffff,0x1ffffd40,
    0x3ffffee0,0x7e4002ff,0xffffffff,0x00bfffff,0x3fffffa6,0xefffffff,
    0xfffd8801,0x44003eff,0x2e0004ff,0x7f5404ff,0x004fffff,0x7fffff54,
    0x7c4002ce,0xfff9804f,0x07ffffff,0xdfffffb3,0x7fffc03b,0x3aa00006,
    0x01efffff,0x03ffffa8,0xefffffb8,0xfeb88002,0xbdefffff,0x7ff54002,
    0x3dffffff,0x01351000,0x003ff600,0x003eea80,0x00015531,0x80003310,
    0xea800ffd,0xeeeeeeee,0x00aa9805,0x00133330,0x006a6000,0x07ffff50,
    0x0000d4c0,0x0026a660,0xaaa98800,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0abcdca9,0x3bddb700,0x01ffb000,0x9bcca980,0x81a98000,0x971004c9,
    0x4019bdfd,0x000cccca,0x0f333260,0x26666440,0x03530000,0x00000991,
    0x3f72a000,0x3332e1bd,0x33332e02,0xcca80541,0xffb102cc,0x05ffffff,
    0xffffffe8,0x0ffe6002,0xffffd880,0xd1003fff,0xb137dfff,0xfff700ff,
    0x1bffffff,0x03ffff90,0x7fffd400,0xffff1005,0x2ffffe8f,0x77ffec40,
    0x407fd89b,0x904ffffc,0x880bffff,0xfffffffd,0x409fffd2,0xaaffffd8,
    0xfff903fe,0xffff109f,0xbfffffff,0x3b3ffee0,0x3fa006ff,0x3ffea006,
    0x5fffffff,0xfffffb80,0x205fffff,0xffffffd8,0xc85fffff,0x0001ffff,
    0x017fffea,0x23ffffc4,0x406fffe8,0xfffffffb,0x3e205fff,0xff504fff,
    0x2205ffff,0xfffffffe,0x4fffeaff,0xfffffb80,0xfff901df,0xffffd09f,
    0xffffffff,0x745ffd05,0xffa802ff,0xffff1002,0xffffffff,0xdbefd80d,
    0x01ffffff,0x3ffffff2,0x4fffffff,0x00ffffe4,0xbffff500,0x3fffe200,
    0x1fffe887,0x3f6fbf60,0x202fffff,0xf105fffc,0x1ffffdff,0xffffffb0,
    0xffffffff,0xffb1009f,0xffc809ff,0x7ffd44ff,0xffea9cff,0xf98607ff,
    0x6fe801ff,0x3ffff600,0xfffffbcf,0x30bfe02f,0x7cc019d9,0x710bffff,
    0x641fffff,0x0001ffff,0x017fffea,0x83ffffc4,0x3e05fff8,0x06764c2f,
    0x40dfff10,0xff99fffd,0x7fffcc5f,0x3ffea0df,0x32204fff,0x2fffffff,
    0x13ffff20,0xb05ffff9,0x4c03ffff,0xb803ffff,0xff3001ff,0x7e441dff,
    0x00005fff,0x1ffffec0,0x24ffffd8,0x001ffffc,0x17fffea0,0x3ffffc40,
    0x003fff30,0x77fdc000,0x47fff700,0x3f63fffb,0xff305fff,0x7fc09fff,
    0xffffc8bf,0x9ffff901,0x507fffe8,0x5405ffff,0x4402ffff,0x3ee005ff,
    0xffd02fff,0x000003ff,0x303ffffc,0xffc8157b,0x2a0001ff,0x1005ffff,
    0x880fffff,0x00000099,0x00002662,0x07ffffe0,0x04ffffd8,0x3fffa0f2,
    0xffffc80e,0x837ffec4,0x201ffff9,0x03fffcba,0xc8003ff2,0xf700ffff,
    0x5c409fff,0x1beeffee,0x0bffff10,0x7fffe400,0x59dfb711,0x2ffffd40,
    0x7ffff880,0x32a20000,0x0002bdee,0x3fe20000,0x7fd406ff,0x5d4404ff,
    0x4ffff99a,0x44ffffc8,0xc81ffffb,0x2e007fff,0x9ff307ff,0x7fffd800,
    0x17fffea0,0x7fffffec,0xfa83ffff,0x20004fff,0xfa9ffffc,0x0effffff,
    0x05ffffa8,0x0fffff10,0x40733326,0xffffffea,0x99301eff,0xcc980399,
    0xfff981cc,0x7ffcc05f,0xfffb104f,0xffffddff,0x4ffffc83,0x06ffffc4,
    0x88bffff3,0x3fea0edc,0x00ffd80f,0x03fffec0,0xb0dffff3,0xffffffff,
    0xfb89ffff,0x20004fff,0xffdffffc,0xffffffff,0x2ffffd41,0x7ffff880,
    0x07ffff50,0xfffffff9,0x507fffff,0xa807ffff,0xfa83ffff,0x7c404fff,
    0xffa84fff,0xffffffff,0x7fe45fff,0xfffa84ff,0xffffedff,0x8cffd80e,
    0xf986ffe9,0xffc8003f,0xfff500ff,0xffffa8ff,0xfffffeff,0x3ffea0ff,
    0x3f20004f,0xefffffff,0x46ffffff,0x005ffffa,0x20fffff1,0x5c3ffffa,
    0xffffffff,0x42ffffff,0x403ffffa,0x983ffffa,0x4c05ffff,0x7cc4ffff,
    0xffffffff,0x21ffffff,0x304ffffc,0xfffffffd,0x7ffcc0bf,0xe82fffff,
    0xff70006f,0x3ff205ff,0x7fff47ff,0x7fff4c2f,0x3fffe63f,0x3ff20005,
    0x7dc2ffff,0x3ea2ffff,0xf1005fff,0x3ea0ffff,0x3fe63fff,0xa88aefff,
    0x20fffffe,0x403ffffa,0x883ffffa,0x5405ffff,0x7f44ffff,0xdbacffff,
    0x24ffffff,0x104ffffc,0xfffffffb,0xfffb805f,0xffa82eff,0xfff30002,
    0xfff981df,0x3b2a0fff,0xffff704f,0x3ffffc47,0x459bdf10,0x01fffffc,
    0x54dffff9,0x1005ffff,0x2a0fffff,0x3f23ffff,0x3f606fff,0x3fea5fff,
    0x7fd403ff,0xffff03ff,0xffffc80f,0x3fffff24,0xfffffa81,0x13ffff26,
    0x3fffffea,0x404fffff,0xf101aaa8,0x2cc880bf,0xcfffffc8,0xffffffda,
    0xff98001f,0x7fffc4ff,0xffff702f,0x2ffffe4b,0x4fffff10,0x005ffffa,
    0x20fffff1,0x3a3ffffa,0x2601ffff,0x3ea7ffff,0x7d403fff,0xffd03fff,
    0x3fe205ff,0x3ffe4fff,0x3fee02ff,0xfff90fff,0xffff989f,0xffffbacf,
    0x5c0000ef,0x7ff401ff,0xfffff884,0xffffffff,0xb73000ff,0xb89fffff,
    0x4c1fffff,0x322fffff,0x6c03ffff,0xff51ffff,0x3e200bff,0xff507fff,
    0x3ffe27ff,0xfffd805f,0x7ffff51f,0x3ffffa80,0x3fffff50,0xfffffe88,
    0x0dffff14,0x23fffff0,0x6c4ffffc,0xfc81ffff,0x20002fff,0x7ec04ff8,
    0xffd104ff,0xfdbfffff,0x6dc40fff,0xffffffff,0xffffe84f,0xffffecef,
    0x7fffe46f,0x7fffe402,0x0bffff52,0x1ffffe20,0xa9ffffd4,0xc804ffff,
    0xff52ffff,0xffa807ff,0x3ffa03ff,0xffdbdfff,0xf54fffff,0xfb00bfff,
    0x3ff25fff,0x7fffc4ff,0xbffff106,0x07fec000,0x09ffff70,0x3fffffc8,
    0xd30dffff,0xffffffff,0xf309ffff,0xffffffff,0xfc83ffff,0x7e401fff,
    0xfff53fff,0x3fe600bf,0xfff507ff,0x3fffee7f,0xffffb803,0x07ffff53,
    0x03ffffa8,0x3fffffe6,0xffffffff,0x9ffff74f,0x7ffff900,0x993ffff2,
    0x3a03ffff,0x30007fff,0x7fd407ff,0x31004fff,0x2ffffc41,0x3fffffe6,
    0xffffaadf,0xffffd304,0x05ffffff,0x805ffff9,0xf52ffffc,0x2600dfff,
    0xf506ffff,0x3fee7fff,0xffc804ff,0xffff53ff,0xffffa807,0x7fffd403,
    0xffadffff,0xffff54ff,0xffff9009,0x93ffff25,0x202ffffb,0x001ffffc,
    0x3e606fd8,0x004ffbef,0x97fffe60,0x0cfffff8,0x027fffcc,0x3fffffb2,
    0xfff900cf,0xfffd807f,0xfffff31f,0x3fffea00,0x7ffff506,0x017fffea,
    0x547ffff6,0x5403ffff,0x9803ffff,0x33effffe,0x3e69ffff,0xfd805fff,
    0xfff91fff,0x7fffd49f,0x3ffffe05,0x17fd4000,0xfb8ffe88,0x0353104f,
    0xa8fffff2,0xf305ffff,0x71009fff,0xc801bdfd,0x7405ffff,0xff10ffff,
    0xfb007fff,0x3ea0bfff,0xfff33fff,0xffff00ff,0x3fffea1f,0x7fffd403,
    0x02a62003,0x229ffff3,0x200fffff,0x327ffff8,0x3e24ffff,0xff307fff,
    0xfd000fff,0xb8ffec0d,0x7ffcc4ff,0xfffff05f,0x02ffffc8,0x009ffff7,
    0x1ffffff7,0x7ffffe40,0xfffff500,0x0fffffe8,0x3ffffea0,0x7ffff503,
    0x01fffff4,0x54dffff7,0x5403ffff,0x0003ffff,0x49ffff30,0x204ffffe,
    0x326ffffc,0x7fc4ffff,0x3620cfff,0x4005ffff,0xff901ffb,0x5bffb55b,
    0x0fffffc3,0x90fffff6,0xf109ffff,0x300bffff,0x09ffd513,0x77ffffe4,
    0x7ffff4c0,0x7ffffdc3,0xff730acf,0x2a01ffff,0x3ee3ffff,0xfb83ffff,
    0x3ea1ffff,0x7d403fff,0x00003fff,0x549ffff3,0xc83fffff,0x321fffff,
    0x7dc4ffff,0xfddfffff,0x001fffff,0xfd817fe2,0xffffffff,0x3ffff23f,
    0xffffedef,0x7fffd40f,0xfffc99cf,0xa8005fff,0x3ff207ff,0xdbdfffff,
    0xd06fffff,0xffffffff,0xffffffff,0x7fffd407,0x7fffff43,0xffffedde,
    0x7fffd44f,0x7fffd403,0xff300003,0xfffd89ff,0xffedceff,0x7fe44fff,
    0xfffd84ff,0xffffffff,0x7fe4003f,0x3ffff600,0x23ffffff,0xfffffff8,
    0x882fffff,0xffffffff,0x6fffffff,0x27ff4c00,0xfbffff90,0xffffffff,
    0x3ffe605f,0xffffffff,0x200effff,0x443ffffa,0xffffffff,0x40efffff,
    0x403ffffa,0x003ffffa,0x9ffff300,0xfffffe88,0xefffffff,0x27fffe40,
    0xffffffd8,0x4004ffff,0x4c404ff8,0xdffc9999,0x7fffcc09,0x01efffff,
    0x3fffffea,0xfffcbfff,0xfddf700f,0x6401ffff,0xfff97fff,0x805fffff,
    0xffffffe8,0x04ffffff,0x83ffffa8,0xffffffd8,0xf504ffff,0xfa807fff,
    0x00003fff,0x109ffff3,0xfffffff9,0x3f209fff,0x3a604fff,0x1effffff,
    0x00ffd800,0x409ff700,0xefffffd8,0xffe9800d,0xff50dfff,0x3fee07ff,
    0x400cffff,0x3ae7fffc,0x001dffff,0x3fffffae,0x5002deff,0x5407ffff,
    0xdfffffec,0x3fffea01,0x7fffd403,0xff300003,0x7f5409ff,0x01dfffff,
    0x013ffff2,0x0006aa62,0x0003ff98,0x2200fbaa,0x10000aa9,0x10000353,
    0x00001333,0x40001a88,0x001aaa98,0x07ffff50,0x4002a620,0x403ffffa,
    0x003ffffa,0xa9800000,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65400000,0x3b2a24cc,
    0x332a02ce,0xccb802cc,0x800000cc,0x20bdfeca,0x8002cccc,0x004cccc8,
    0x966664c0,0x003cccc9,0x2ccccb80,0x2ccccb80,0x5e65d440,0xd500000a,
    0xba800bdd,0x402bceec,0xccccccc9,0x2acccccc,0x1cccc980,0x26ffff90,
    0xdfffffff,0x6ffffa80,0x3ffffc40,0x3bff7260,0xfffe883c,0xfff1ffff,
    0xff10009f,0xa8000fff,0xff54ffff,0x50000bff,0x880dffff,0x100fffff,
    0xfffffff9,0xf880007f,0xd3006fff,0xffffffff,0x3ffea05d,0xffffffff,
    0x00bfffff,0x207ffff5,0xffaffffc,0xffffffff,0x0fffff81,0x13fffea0,
    0xffffffa8,0x7fffcc5f,0xfaffffff,0x88004fff,0x0007ffff,0xaa7fffd4,
    0x0005ffff,0x05ffffd0,0x827fffe4,0xfffffff8,0x000effff,0x0dffffb0,
    0xffffff90,0x0bffffff,0xfffffff5,0xffffffff,0x3fea0bff,0xfff903ff,
    0xffffffff,0xf90dffff,0x7ec07fff,0xff301fff,0x89ffffff,0xeffffffe,
    0xffffffff,0xfff88004,0x7d40007f,0xfff54fff,0x2e0000bf,0xf106ffff,
    0xd101ffff,0xffffffff,0x000bffff,0x0dfffff5,0xffffffb8,0xffffffff,
    0x7ffffd44,0xffffffff,0xa85fffff,0xf903ffff,0x217fffff,0x2fffffc8,
    0x837fffcc,0x206ffff8,0xeefffffb,0x3fffea2e,0x7fffd43f,0xf88004ff,
    0x40007fff,0xf54ffffa,0x0000bfff,0x417ffffc,0x904ffffc,0x97dfffff,
    0x07ffffff,0x7ffffc40,0x3ffe606f,0xf930bdff,0x7d45ffff,0xccccffff,
    0xffffeccc,0x7ffd41ff,0xffff903f,0x3fff205f,0xffffe86f,0x3ffffa80,
    0x0fffff20,0x03ffffe8,0x09fffff3,0xfffff100,0xfffa8000,0xfffff54f,
    0x9bdddddd,0xfff70037,0xffff88df,0xffffd00f,0xbffff905,0x7fffec00,
    0x3ff206ff,0x3fea05ff,0x3ffea5ff,0xfffa805f,0x7ffd43ff,0xffff903f,
    0x7fffc40d,0x7fffdc0f,0x0ffffd83,0x07ffff60,0x03ffffc4,0x013ffff6,
    0x1ffffe20,0xffff5000,0x3ffffea9,0xffffffff,0x7fc00dff,0x3ff21fff,
    0xfff105ff,0x3ffe60bf,0xfff7007f,0x740dffff,0x7401ffff,0x3fea7fff,
    0xff9005ff,0xfffa8bff,0xffff903f,0xffffd807,0x37fffc41,0x017fffe2,
    0x4c0ffffd,0x5c05ffff,0x8004ffff,0x407ffff8,0x50bdfeca,0x3ea9ffff,
    0xffffffff,0xffffffff,0x3fffee01,0x1fffff15,0x0ffffea0,0x807ffff8,
    0xfffffff8,0x3ffb606f,0xffffc805,0x0bffff50,0x13fffe60,0x207ffff5,
    0x402ffffc,0xd82ffffc,0x3ea0ffff,0xcca82fff,0xcccfffff,0x13fffea3,
    0x09ffff50,0xfffff100,0x3ffffa20,0xfffaafff,0xfffff54f,0xffffffff,
    0xf80dffff,0xffb8ffff,0x133005ff,0x1bfffe20,0x3b3fff60,0x02006fff,
    0xa9ffffe0,0x9005ffff,0xfa85ffff,0xff903fff,0xffb805ff,0xfffa83ff,
    0x1ffff63f,0x7fffffe4,0x3ee5ffff,0x7cc03fff,0x88004fff,0xf987ffff,
    0xffffffff,0x54ffffdf,0x999dffff,0xffffd999,0x7fdc07ff,0xffffebff,
    0xff500000,0xffb80bff,0x6fffe8ef,0x3fee0000,0x3ffea4ff,0xfff9805f,
    0xffffa87f,0x5ffff903,0x2ffffb80,0x22dffff0,0xf904ffff,0xffffffff,
    0x7fffd4bf,0x7fffd404,0xfff88004,0xffffe87f,0xfffffeff,0xfff54fff,
    0xfffa80bf,0x3fe206ff,0x5fffffff,0x3ff60000,0x3fe203ff,0xdfffd2ff,
    0x3fee0000,0x3fea1fff,0xaaaaaeff,0xfffffdba,0x3ffffa82,0x07ffff90,
    0x01ffffc8,0xf51ffff9,0x3f203fff,0xffffffff,0x3fffe65f,0x7fffdc05,
    0xfff88004,0x7fffd47f,0x7fffd43f,0xffff54ff,0xffff900b,0xfecccc8f,
    0xdfffffff,0x70003ccc,0x401fffff,0x3fa4fffe,0xd80006ff,0x543fffff,
    0xffffffff,0xffffffff,0xffff501f,0x3ffff207,0x7ffff405,0x7ffff300,
    0x440dfffb,0x9ffffe99,0x3ffe2099,0x3ffa00ff,0xf88004ff,0x7ffc7fff,
    0xfff503ff,0x3ffea9ff,0xfff9805f,0xffff10ff,0xffffffff,0x00dfffff,
    0x5fffff50,0x077ffdc0,0x000dfffd,0x4fffffd8,0xffffffa8,0xffffffff,
    0xff500cff,0x3ff207ff,0xff301fff,0xffe80fff,0x03ffffef,0x80ffffd0,
    0x704ffffe,0x009fffff,0x4fffff10,0x407ffff8,0xf54ffffe,0xf300bfff,
    0x3e21ffff,0xffffffff,0xffffffff,0x7ffd4006,0x3fe606ff,0x7fff42ff,
    0x3ff60006,0xff503fff,0xffffffff,0xffffffff,0x7ffff507,0x3fffff20,
    0x7fff441e,0x7ffdc04f,0x000fffff,0xa80ffffd,0x10cfffff,0x9ffffff9,
    0xffff1000,0x2ffffccf,0x53fffee0,0x805ffffa,0x227ffffb,0xffffffff,
    0xffffffff,0x3fee006f,0x3a00efff,0xffe84fff,0xff70006f,0x7d405fff,
    0xeeeeffff,0xffffffee,0x7ffd44ff,0xffff903f,0xffb9bfff,0x8801ffff,
    0x6fffffff,0x1ffffa00,0x3fffffe0,0xffffffff,0xf88004ff,0x3fea7fff,
    0x7fdc04ff,0xffff54ff,0xfffe880b,0x4ccccc5f,0x9affffd9,0x70009999,
    0x03ffffff,0x4077ffe4,0x0006fffe,0x807ffffb,0x805ffffa,0x0fffffe9,
    0x40ffffea,0xfffffffc,0xffffffff,0xffffb003,0x7f4007ff,0xfe9807ff,
    0xefffffff,0x004ffffb,0x27ffff88,0x403ffffb,0xf54ffffa,0x3333dfff,
    0xfffff733,0x3ff2007f,0x2e0001ff,0x00efffff,0x2b3fffe6,0xfffeaaaa,
    0x3e002aaf,0xfa804fff,0x3a005fff,0x3ea2ffff,0xff903fff,0xffff95ff,
    0x4007ffff,0x0ffffffa,0x1ffffa00,0x7ffff440,0xfffa8eff,0x80d4c44f,
    0x2a7ffff8,0x5404ffff,0xff54ffff,0xffffffff,0xdfffffff,0xcccccc81,
    0xccdffffe,0x7dc03ccc,0x400effff,0xfffffffa,0xffffffff,0xf9800fff,
    0xfa802fff,0x2e005fff,0x3ea5ffff,0xff903fff,0x3ffee5ff,0xf8001eff,
    0x4005ffff,0x2007fffe,0x0aceeca8,0x2a7ffff5,0xf305ffff,0x7fccdfff,
    0x7fdc04ff,0xffff54ff,0xffffffff,0x881fffff,0xffffffff,0xffffffff,
    0x3ffea06f,0xfa800eff,0xffffffff,0xffffffff,0xfffa800f,0xfffa801f,
    0x3fea005f,0x3ffea7ff,0xffff903f,0x0001a885,0x017ffff4,0x01ffffa0,
    0xffff5000,0x1bfffe27,0x137fffd4,0xd80dffff,0xff54ffff,0xffffffff,
    0x03dfffff,0xfffffff1,0xffffffff,0x3fe60dff,0x5000efff,0xffffffff,
    0xffffffff,0x551001ff,0x3fea0055,0x3f2005ff,0x3fea6fff,0xfff903ff,
    0x5000005f,0x000fffff,0xc80ffffd,0x2e009abc,0x3fe2ffff,0xffc80fff,
    0x7fffc4ff,0xffff101f,0x3fffea9f,0xffffffff,0x3fe202df,0xffffffff,
    0x6fffffff,0xfffffe88,0x3bba6000,0xfeeeeeee,0x0eeeffff,0x3ea00000,
    0xf3005fff,0x7d49ffff,0xff903fff,0x800005ff,0x04ffffe8,0x07fffe80,
    0x83ffffec,0x20ffffe8,0x11effffe,0x85fffff7,0x41fffffb,0x4fffffe8,
    0x33dffff5,0x98001333,0xffd99999,0x99999aff,0xfffffc80,0xccccccce,
    0xffd0004c,0xff5000df,0xff5009ff,0x55555dff,0xffff9555,0x7ffd45ff,
    0xffff903f,0xbba80005,0x0ffffffd,0x7fffe800,0x7ffffdc0,0xffeca9bd,
    0x7ffd45ff,0xffffffff,0xfff886ff,0xffcbdfff,0xf54fffff,0x0000bfff,
    0x1ffffc80,0x3ffffa00,0xffffffff,0xe8000fff,0xa8006fff,0xa804ffff,
    0xffffffff,0xffffffff,0x7fd45fff,0xfff903ff,0xfb80005f,0x4fffffff,
    0xffffd000,0xfffff880,0xffffffff,0xfffe80ff,0xffffffff,0xffff702f,
    0xfbffffff,0x3fea9fff,0x000005ff,0x00ffffe4,0xffffff98,0xffffffff,
    0xfe8000ff,0xfa8006ff,0xfa804fff,0xffffffff,0xffffffff,0x7ffd40ef,
    0xffff903f,0xffa80005,0x00efffff,0x0ffffd00,0xffffff30,0x7fffffff,
    0x3ffffa20,0x02ffffff,0x7fffffd4,0x9ffff4ff,0x017fffea,0xfff90000,
    0x3ff2003f,0xffffffff,0x00ffffff,0x06fffe80,0x4ffffa80,0xfffffa80,
    0xffffffff,0xa81effff,0xf903ffff,0x80005fff,0xcffffff9,0x3ffa0000,
    0xff91007f,0x9fffffff,0xffff7001,0x20039fff,0x3effffe9,0x7d53fffe,
    0x00005fff,0x0ffffe40,0xffffff80,0xffffffff,0xe8000fff,0xa8006fff,
    0xa804ffff,0xffffffff,0xbdefffff,0x3fffea00,0x40000003,0x000aabaa,
    0x07fffe80,0x55d54c40,0x5310001a,0x4c000135,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xccccccc9,
    0x01accccc,0x01999950,0x40d4c000,0xccc984c9,0x3999931c,0x64400000,
    0x0002cccc,0x43bbb620,0x003cccc9,0x8f333332,0x003cccc9,0xa8933332,
    0x20002aaa,0xccccccc9,0xcccccccc,0x33262ccc,0x801ccccc,0xccccccca,
    0xffff5000,0xffffffff,0xfc801bff,0x80001fff,0x9befffe8,0xffa87fd8,
    0xffff73ff,0x5c000007,0x006fffff,0x3ffff200,0x0dffff50,0x3fffff60,
    0x3fffea1f,0x3fffe005,0xdffff30f,0x7ffd4000,0xffffffff,0x4fffffff,
    0x3fffffee,0xfffd804f,0x5001ffff,0xffffffff,0xffffffff,0x7fffe407,
    0xffb80001,0xffffffff,0x3ffffa85,0x007ffff7,0x7fff4000,0x80001fff,
    0x50fffff9,0x900dffff,0x83ffffff,0x005ffffa,0x4c3ffffe,0x0006ffff,
    0x3fffffea,0xffffffff,0x3ee4ffff,0x06ffffff,0xfffffff8,0xfff5001f,
    0xffffffff,0x0dffffff,0x007ffff2,0x36fbf600,0x81ffffff,0xf73ffffa,
    0x00007fff,0x3ffffe60,0x440005ff,0x50ffffff,0xc80dffff,0x81ffffff,
    0x005ffffa,0x4c3ffffe,0x0006ffff,0x3fffffea,0xffffffff,0x3ee4ffff,
    0x0fffffff,0x3ffffe60,0xf5001fff,0xddddffff,0xffffffdd,0xffff907f,
    0x5ff00003,0x500cec98,0x3ee7ffff,0x00003fff,0xffffff90,0x2a0001ff,
    0x0fffffff,0x40dffff5,0x1ffffffb,0x0bffff50,0x87ffffc0,0x006ffff9,
    0x3ffffea0,0xeeeeeeee,0x2e3eeeee,0xffffffff,0x3fffee02,0x5001ffff,
    0xb80bffff,0x40ffffff,0x001ffffc,0x40000000,0x003ffffb,0xfffff000,
    0x8007ffff,0xffffffd9,0xffff50ff,0x3fffea0d,0x3fea02ff,0x3fe005ff,
    0xfff30fff,0x7d4000df,0x80005fff,0xfffffffb,0x3fffa04f,0x001fffff,
    0x00bffff5,0x8bfffff1,0x001ffffc,0x40000000,0x003ffffb,0xffffa800,
    0x006ffffe,0x3ffffff2,0xff50ffff,0xfff50dff,0xfa805fff,0x3e005fff,
    0xff30ffff,0x54000dff,0x0005ffff,0xfeffffb8,0xfff106ff,0x03ffffdf,
    0x17fffea0,0x7ffffdc0,0x07ffff21,0x8f333322,0x6544ccc9,0xc980bdfe,
    0xfff71ccc,0x6f76547f,0x7fec000b,0xffffe9ff,0xffff8801,0x0fffffef,
    0x98dffff5,0x02ffffff,0x05ffffa8,0x43ffffe0,0x006ffff9,0x17fffea0,
    0x3ffee000,0x80ffffcf,0xffcffffa,0xff5001ff,0x7f400bff,0x3ff23fff,
    0xfffe81ff,0x3ffee0ff,0xffffe88f,0x7fd42fff,0xffff73ff,0xfffffd17,
    0x3e2005ff,0xfff76fff,0xfff100bf,0xffffd1bf,0x9bfffea1,0x3ffffff9,
    0xbffff500,0x7ffffc00,0x0dffff30,0x7fffd400,0xffb80005,0x2ffffaff,
    0xfbefffc8,0xf5001fff,0x6400bfff,0x3f25ffff,0x7fec1fff,0x7fdc1fff,
    0xffffe9ff,0x2a2fffff,0xff73ffff,0xffffdbff,0x005fffff,0x227ffff7,
    0x400fffff,0x3fa3fff8,0xfff50fff,0x3fffe2df,0x3ea003ff,0x3e005fff,
    0xff30ffff,0x54000dff,0x0005ffff,0xdaffffb8,0xffe85fff,0x1ffffbcf,
    0xbffff500,0x7fffd400,0x87ffff26,0x81fffffc,0xfffffffb,0xffffffef,
    0x4ffffea6,0xfffffffb,0xffffffef,0xffffe805,0x0fffffa0,0xffd07d10,
    0x3ffea1ff,0xffffe8ef,0x7fd4006f,0xcccccfff,0xfffccccc,0xffff30ff,
    0x7fd4000d,0xccccceff,0x2ccccccc,0x5d7fffdc,0x7fc47fff,0xffffbaff,
    0x7fe55401,0xaaaaaeff,0x7ffffa80,0x5c7ffff2,0x702fffff,0x15ffffff,
    0x3fffff22,0x27ffff51,0x2ffffffb,0x07ffffe4,0x8bffff30,0x006ffffa,
    0x43ffffa0,0xfeeffffa,0x02ffffff,0x3ffffea0,0xffffffff,0x0fffffff,
    0x00dffff3,0x7ffffd40,0xffffffff,0x7dc4ffff,0xfff9afff,0x3fffea1f,
    0x01ffffb8,0x7ffffffc,0x81ffffff,0x327ffff9,0xffa9ffff,0x3ee02fff,
    0xfd03ffff,0x3fea3fff,0xffff73ff,0x3fffa05f,0x3fff601f,0x7fffc42f,
    0xffd0001f,0x3ffea1ff,0xffffffff,0xf5000fff,0xffffffff,0xffffffff,
    0x3fe61fff,0x2a0006ff,0xffffffff,0xffffffff,0x7fffdc4f,0x647ffff2,
    0xfff76fff,0xffff803f,0xffffffff,0xffff981f,0x33ffff27,0x403fffff,
    0x206ffffb,0xf52ffffc,0x3fee7fff,0x3ff206ff,0xfff102ff,0xfffb01ff,
    0x3fa000bf,0xfff50fff,0xffffffff,0x2a009fff,0xffffffff,0xffffffff,
    0xff30ffff,0x54000dff,0xffffffff,0xffffffff,0x7fffdc4f,0x74bfffb2,
    0xfff74fff,0xfeee803f,0xeeeeffff,0xffffa81e,0x3fffff27,0xb807ffff,
    0x2e04ffff,0xff53ffff,0x3ffee7ff,0x3ffee05f,0xffff702f,0x3fffea0b,
    0xffe8000f,0xffff50ff,0xff97ffff,0xf5003fff,0xddddffff,0xffdddddd,
    0x3fe61fff,0x2a0006ff,0xeeefffff,0xeeeeeeee,0x7fffdc3e,0x22ffff72,
    0xff72ffff,0x3ea003ff,0x2a005fff,0x3f25ffff,0xffffffff,0x7ffdc03f,
    0x3ffee03f,0x7ffff53f,0x813fffee,0xd03ffffb,0x3337ffff,0xfffff333,
    0xfffd0007,0x3fffea1f,0xfff14fff,0xff500dff,0x7fc00bff,0xfff30fff,
    0x7d4000df,0x80005fff,0xf32ffffb,0xfff53fff,0x3fffee1f,0xffff5001,
    0x7ffdc00b,0x3ffff24f,0x0fffffff,0x0ffffee0,0x53ffffb8,0x3ee7ffff,
    0x3ee03fff,0xff983fff,0xffffffff,0x6fffffff,0xffffe800,0xffffff50,
    0xfffffb89,0x7fffd404,0x3fffe005,0xdffff30f,0x7ffd4000,0xfb80005f,
    0x3ffe2fff,0x26fffcbf,0x001ffffb,0x00bffff5,0x91ffffec,0xfdffffff,
    0x7dc09fff,0x3ee03fff,0xfff53fff,0x3fffee7f,0x3fffee03,0xfffffc83,
    0xffffffff,0x001fffff,0xa87ffff4,0xd04fffff,0x403fffff,0x005ffffa,
    0x4c3ffffe,0x0006ffff,0x017fffea,0x3fffee00,0x3bbfff62,0x3fee4fff,
    0xff5001ff,0x3e200bff,0x3f21ffff,0xfe8dffff,0xff701fff,0x7fdc07ff,
    0xffff53ff,0x0ffffee7,0x83ffffb8,0xffffffff,0xffffffff,0x74005fff,
    0xff50ffff,0x7fd40dff,0x3ea06fff,0x3e005fff,0xff30ffff,0x54000dff,
    0x0005ffff,0x22ffffb8,0xfffffffb,0x3fffee2f,0xffff5001,0x3fff200b,
    0x3fff20ff,0x3fffea5f,0x7ffff706,0x9ffffdc0,0xf73ffffa,0x7dc07fff,
    0x7fd43fff,0xffffffff,0xffffffff,0x3fa000ff,0xfff50fff,0xfffd80df,
    0xfff503ff,0x7ffc00bf,0xffff30ff,0x7fd4000d,0xb80005ff,0x3e62ffff,
    0x0fffffff,0x007fffee,0x02ffffd4,0x17ffffec,0xd07ffff2,0xf705ffff,
    0x7dc07fff,0xfff53fff,0x3fffee7f,0x3fffee03,0x67fffec3,0x99999999,
    0x3fffff99,0x3ffffa00,0x0dffff50,0xffffff88,0x5ffffa81,0x3ffffe00,
    0x0dffff30,0x7fffd400,0xffb80005,0x7fffc2ff,0x7fdc6fff,0xff5001ff,
    0x55555dff,0xfffffd95,0x3ffff90b,0x86ffff98,0x203ffffb,0xf53ffffb,
    0x3fee7fff,0x3fee03ff,0x3ffe23ff,0x3f2000ff,0x3a006fff,0xff50ffff,
    0xff900dff,0xff50dfff,0x7fc00bff,0xfff30fff,0x555555ff,0x25555555,
    0xaaeffffa,0xaaaaaaaa,0x3fee2aaa,0x7ffec2ff,0x7fdc4fff,0xff5001ff,
    0xffffffff,0xffffffff,0x3ffff901,0x87ffffb0,0x203ffffb,0xf53ffffb,
    0x3fee7fff,0x3fee03ff,0x3fff23ff,0x7fcc005f,0xfd002fff,0x3fea1fff,
    0xff8806ff,0x7d43ffff,0x3e005fff,0xff30ffff,0xffffffff,0xbfffffff,
    0x3fffffea,0xffffffff,0xf70fffff,0xffb85fff,0x7dc2ffff,0xf5001fff,
    0xffffffff,0xffffffff,0x3ffff205,0xfffff881,0x0ffffee0,0x53ffffb8,
    0x3ee7ffff,0x3ee03fff,0x3ffe3fff,0xfe8002ff,0xfd005fff,0x3fea1fff,
    0xff5006ff,0x7d41ffff,0x3e005fff,0xff30ffff,0xffffffff,0xbfffffff,
    0x3fffffea,0xffffffff,0xf70fffff,0xff985fff,0x7dc0ffff,0xf5001fff,
    0xffffffff,0x19ffffff,0x0ffffe40,0x25ffffc8,0x203ffffb,0xf53ffffb,
    0x3fee7fff,0x3fee03ff,0xffff53ff,0xff70001f,0xfd001fff,0x3fea1fff,
    0x3fa006ff,0x3ea5ffff,0x3e005fff,0xff30ffff,0xffffffff,0xbfffffff,
    0x3fffffea,0xffffffff,0xf70fffff,0xfff05fff,0xfff70dff,0x3fea003f,
    0xffffffff,0xc800bcde,0xf101ffff,0x3ee3ffff,0x3ee03fff,0xfff53fff,
    0x3fffee7f,0x3fffee03,0x0bffffb3,0x3fffe200,0xfffe803f,0xdffff50f,
    0x7fffcc00,0xffff53ff,0x7fffc00b,0xfffff30f,0xffffffff,0x3eabffff,
    0xffffffff,0xffffffff,0xffff70ff,0x9ffffb05,0x03ffff70,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00799993,0x0026665c,0xcccccca8,0xcccccccc,0xcccccccc,
    0x33333262,0xaccccccc,0x2666200a,0x99999999,0x93099999,0x99999999,
    0x99999999,0x0b3332e1,0x99999999,0x99999999,0xcccb8599,0x322000cc,
    0x3322cccc,0x91004ccc,0x65c79999,0x64401ccc,0x400ccccc,0x2a2cccca,
    0x9930cccc,0xfffa8399,0xffd002ff,0xff1000ff,0xffffffff,0xffffffff,
    0x549fffff,0xffffffff,0xcfffffff,0xfffffb80,0xffffffff,0xfff52fff,
    0xffffffff,0x23ffffff,0x223ffffd,0xffffffff,0xffffffff,0x7ffd44ff,
    0x3f6004ff,0x3ee1ffff,0xc804ffff,0x322fffff,0x5404ffff,0x02ffffff,
    0x91ffffec,0x3ee3ffff,0x7fd42fff,0xe800ffff,0xb8007fff,0xffffffff,
    0xffffffff,0x4fffffff,0x3fffffea,0xffffffff,0x7fdc0eff,0xffffffff,
    0x52ffffff,0xffffffff,0xffffffff,0x3ffff63f,0x3ffffe23,0xffffffff,
    0xd84fffff,0x801fffff,0x84fffff9,0x01fffffd,0x17ffffe6,0x80dffff5,
    0x4ffffffc,0x0fffff40,0x2e3ffff9,0x7d42ffff,0x804fffff,0x8007fffe,
    0xffffffff,0xffffffff,0xffffffff,0x3ffffea4,0xffffffff,0x7dc6ffff,
    0xffffffff,0x2fffffff,0xfffffff5,0xffffffff,0x3fff63ff,0x3fffe23f,
    0xffffffff,0x84ffffff,0x06fffff8,0x06ffffe8,0x0dfffff1,0x07fffff4,
    0x03ffffe2,0xffffffe8,0x3fffe206,0x8ffffe47,0x542ffffb,0x1fffffff,
    0x03ffff40,0x37fffee0,0xefffffa9,0xeeeeeeee,0x3fea3eee,0xeeeeefff,
    0xfffffffe,0x3ffffee2,0xffffffff,0xfff50fff,0xddddddff,0x21dddddd,
    0x223ffffd,0xeeeeeeee,0xffffeeee,0xfff703ff,0x7fdc07ff,0x3ee02fff,
    0xfb82ffff,0xfd02ffff,0x3e203fff,0x0fffffff,0x8bffff50,0xf71ffffc,
    0xffa85fff,0x406fffff,0x4007fffe,0xf31ffffe,0x8000dfff,0x205ffffa,
    0x6fffffd8,0x26666662,0xfffc9999,0x3fffea1f,0x3ff60006,0x360003ff,
    0x405fffff,0x80fffffe,0x05fffff8,0x0fffffe8,0x17ffffe2,0x03ffffc8,
    0xfffffff5,0x3ffee05f,0x55554c3f,0x81555530,0xfffffffa,0x3fffa02f,
    0x3ffea007,0x3fffe65f,0x7fd40006,0xffd805ff,0xf88007ff,0x7fd43fff,
    0x360006ff,0x0003ffff,0x1dfffff9,0xfffff980,0xfffffc84,0xffff9800,
    0x3ffff64f,0x3ffee00f,0xffff905f,0x3609ffff,0x0001ffff,0x7ffffd40,
    0xfd00ffff,0x7f400fff,0x3fe62fff,0x540006ff,0xa805ffff,0x000fffff,
    0x542fffec,0x0006ffff,0x00bffff2,0x3ffffea0,0xfff9000f,0x7ffcc3ff,
    0x3f2002ff,0xff99ffff,0x7cc03fff,0xffd07fff,0x0dfffdbf,0x001ffffe,
    0x3fffea00,0xd04fffff,0x2a00ffff,0x7cc6ffff,0x40006fff,0x805ffffa,
    0x00fffff8,0x03fffee0,0x01bfffea,0x2ffffc80,0x7fffcc00,0x7f4002ff,
    0x3ff66fff,0xfe8005ff,0xfffeefff,0xffff006f,0xffff881f,0x40ffffcb,
    0x006ffff9,0xffffa800,0x81fffffe,0xb007fffe,0xf987ffff,0x40006fff,
    0x805ffffa,0x007ffffb,0x40ffffe2,0x006ffffa,0x07fffee0,0xffffe880,
    0xff98003f,0xfffaafff,0xf98000ff,0xffffffff,0xfffb001f,0xffffb85f,
    0x42ffffa9,0x004ffffa,0xffffa800,0x86ffffdb,0x9807fffe,0xf987ffff,
    0xccccffff,0x2ccccccc,0x02ffffd4,0x17ffffa2,0x07fffd80,0x27bfffea,
    0x99999999,0x7fffd409,0x3fff6000,0x320005ff,0xffefffff,0x320003ff,
    0xffffffff,0x3ffee004,0xbfffec4f,0x644ffff8,0x0002ffff,0xbffffa80,
    0x43fffff8,0xd807fffe,0xf983ffff,0xffffffff,0x4fffffff,0x42ffffd4,
    0xfffffa98,0xfff1003f,0x7ffd409f,0xffffffff,0x7cc3ffff,0x3f2007ff,
    0x0006ffff,0x7fffffc4,0x40006fff,0xfffffff8,0x7ffcc006,0x2ffffc6f,
    0xfe8dfffd,0x00000fff,0x93ffffa8,0x741fffff,0x7c407fff,0xf980ffff,
    0xffffffff,0x4fffffff,0x7fffffd4,0xffffffff,0x9000ffff,0x5401ffff,
    0xffffffff,0x3fffffff,0x803fffc4,0x0ffffffa,0xfffa8000,0x001fffff,
    0xfffffa80,0xfff8001f,0x3fffe67f,0x83ffff23,0x0006ffff,0x7ffff500,
    0xd2fffff4,0xfc80ffff,0xff304fff,0xffffffff,0x89ffffff,0xfffffffa,
    0xffffffff,0xff1001ff,0xffa80bff,0xffffffff,0x443fffff,0xf9806fff,
    0x001fffff,0x3ffff600,0xd00004ff,0x07ffffff,0x3ffffd00,0x983fffee,
    0xff32ffff,0x000009ff,0xa8ffffea,0xfd2fffff,0x7fc40fff,0xff301fff,
    0xdddddfff,0x87dddddd,0xfffffffa,0xffffffff,0x3fee002f,0x7fd402ff,
    0xffffffff,0xf83fffff,0x7fc405ff,0x0003ffff,0x7ffffc40,0xfb80000f,
    0x1fffffff,0x7fffe400,0xf0dfffb3,0x3fee9fff,0xfff902ff,0x3fffee3f,
    0x1ffffd42,0x75bffff6,0x3f207fff,0xccccffff,0x6ffffdcc,0x7ffd4000,
    0xffffffff,0x4000bfff,0xa807ffff,0x999effff,0x09999999,0x7405ffe8,
    0x004fffff,0xffffb000,0xff100007,0xdfffffff,0xffffa800,0xb09ffff4,
    0x3ff6dfff,0xfff900ff,0x3fffee3f,0x1ffffd42,0x2fffffe2,0xf107fffe,
    0xffffffff,0xffffffff,0xffa8000d,0x9aaaaeff,0xf3000099,0xf5007fff,
    0x8000dfff,0x3f204ffd,0x0006ffff,0x3ffff200,0xffd80003,0xffffffff,
    0x3ffe2003,0x2ffff9ef,0xe8ffffb8,0x3f206fff,0xfff71fff,0xffffa85f,
    0xfffffb83,0xf707ffff,0xffffffff,0xffffffff,0xffa8000d,0x000005ff,
    0x001ffff7,0x00dffff5,0x703ffd80,0x01ffffff,0x7fe40000,0x540003ff,
    0xfedfffff,0x2001ffff,0xffcffffe,0xfff980ff,0x04ffffbf,0x5c7ffff2,
    0x7d42ffff,0xffd03fff,0x0fffffff,0x3ffffffe,0xffffffff,0x40006fff,
    0x005ffffa,0xbfffd000,0x3fffea00,0x7fe40006,0xfffff982,0x4000001f,
    0x003ffffc,0x3ffffe20,0xfffff98f,0x3fff2006,0x206fffff,0xffffffff,
    0x3fff202f,0x5ffff70f,0x03ffffa8,0xfffffff3,0xffff50ff,0xffffffff,
    0x0dffffff,0xffffa800,0xf8800005,0xf5004fff,0x8000dfff,0x7fc40aa9,
    0x0002ffff,0xffffc800,0x3ff60003,0x3ff22fff,0xf5003fff,0x9fffffff,
    0x7ffffec0,0xfa800fff,0x3fea000f,0x3ff203ff,0xe87fffff,0x9804ffff,
    0x0006ffff,0x02ffffd4,0x7ffd4000,0xfff5002f,0x400000df,0x04fffffe,
    0xff900000,0x2a0007ff,0xe85fffff,0x800fffff,0xfffffff8,0x3ffee02f,
    0x9007ffff,0x7fffd4ff,0x1ffffd43,0xffffff10,0xffffa8ff,0xfff9800f,
    0xaaaaaaff,0x22aaaaaa,0x005ffffa,0xffffb800,0xffff5000,0x7fe4000d,
    0xffff72ff,0x555555ff,0x55555555,0xfffc8001,0xff88003f,0xf980ffff,
    0xf006ffff,0x1fffffff,0x7ffffcc0,0xff9805ff,0x0ffffea4,0x807ffff5,
    0x7ffffffa,0x02fffff4,0xffffff98,0xffffffff,0x3fea7fff,0x800005ff,
    0x2007fffc,0x006ffffa,0x4bffff20,0xfffffffc,0xffffffff,0x001fffff,
    0x01ffffe4,0x7ffffec0,0x3ffff203,0xfffd803f,0xff806fff,0x403fffff,
    0x7fd46ffc,0x7ffd43ff,0xfffd803f,0x3ffe67ff,0xff3002ff,0xffffffff,
    0xffffffff,0x02ffffd4,0x7ffec000,0x3ffea006,0x3f20006f,0xfff92fff,
    0xffffffff,0xffffffff,0xffc8003f,0x7d4003ff,0x4406ffff,0x00ffffff,
    0x7fffffdc,0xffffc803,0x6fe401ff,0x1ffffd40,0x00ffffea,0x9fffffe2,
    0x006ffffd,0x3fffffe6,0xffffffff,0x3fea7fff,0x800005ff,0x2006fffe,
    0x006ffffa,0x4bffff20,0xfffffffc,0xffffffff,0x001fffff,0x01ffffe4,
    0xffffff10,0xffff5003,0xfff980df,0xfa801fff,0x8807ffff,0x7ffff502,
    0x03ffffa8,0x2fffff90,0x03fffff9,0x3ffffe60,0xffffffff,0x3ea7ffff,
    0x00005fff,0x005ffff8,0x01bfffea,0x2ffffc80,0xfffffff9,0xffffffff,
    0x003fffff,0x03ffffc8,0x3fffff20,0x3fff6003,0x7ffc03ff,0xff1007ff,
    0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2ccccb80,0xccccb800,0x99999933,
    0x35999999,0x33332600,0xcccccccc,0xc8800aac,0xcccccccc,0xcccccccc,
    0x98800ccc,0xaa980199,0xaaaaaaaa,0x0aaaaaaa,0x010a0000,0x00000000,
    0x00000011,0x6f7f65c4,0x3332a00c,0x20b3bae4,0x007ffffc,0x53fffff8,
    0xffffffff,0x1bffffff,0xfffffa80,0xffffffff,0x2600efff,0xffffffff,
    0xffffffff,0xa800ffff,0x9b807fff,0x99999999,0xa9999999,0x7f6dd402,
    0xa93f22ce,0x000000cf,0x00fe4c00,0x00ffffe4,0x3ffffee0,0xc80dffff,
    0xfffb7fff,0xfff981ff,0x3ea002ff,0xff50ffff,0xffffffff,0x09ffffff,
    0x7fffffd4,0xffffffff,0xf301ffff,0xffffffff,0xffffffff,0xf5001fff,
    0x00700fff,0x36205100,0xffffffff,0xf50effcf,0x00003bff,0xfffda800,
    0xffffc801,0xfffb1001,0xffffffff,0x9ffff90b,0x20dfffff,0x004ffffe,
    0xa97ffff2,0xffffffff,0xffffffff,0xffff506f,0xffffffff,0x5fffffff,
    0xffffff30,0xffffffff,0x01ffffff,0x00ffff50,0x05100007,0xfffffff7,
    0x1dffffff,0x77ffffd4,0x22000002,0x1fffffeb,0x1ffffc80,0xfffff900,
    0xffffffff,0xfffffc89,0x703fffff,0x400fffff,0x2a2fffff,0xeeefffff,
    0xfffffeee,0xfffa83ff,0xeeeeeeff,0xffffffee,0xeeeee885,0xefffffee,
    0x0eeeeeee,0x07fffa80,0x28800038,0x7fffffcc,0xffffffee,0x7ffffd44,
    0x0000bfff,0xfffff910,0xf9003fff,0xf3003fff,0x2217ffff,0x20fffffb,
    0xdffffffc,0xff100fdb,0xf5005fff,0xffa8ffff,0x3ee205ff,0x540fffff,
    0x9805ffff,0x007ffffe,0x03ffffc8,0x7fffa800,0x88000380,0x6fffff42,
    0x3ffff660,0x3fffa60f,0x1cffffff,0xfffb5000,0x1dffffff,0x3dddd700,
    0x7ffffb00,0x93ffff60,0x43fffffc,0x7ffff400,0xffffc805,0x2ffffd44,
    0x7ffffc40,0x2ffffd45,0xfffff980,0x7ffe4001,0xfa80003f,0x003807ff,
    0x3ff22880,0xfffd04ff,0xff930bff,0xdfffffff,0x3ffae005,0xcfffffff,
    0xf8000001,0x36607fff,0x7ffe40ab,0xffb8007f,0xfff807ff,0x7ffd41ff,
    0xfff7005f,0x7ffd43ff,0x3ffa005f,0x7e4003ff,0x2a003fff,0xffcaaaaa,
    0xaaaaabff,0x51000072,0x407ffffc,0xfffffffd,0xfffd7100,0x17ffffff,
    0xfffffc88,0x002dffff,0x3fe20000,0x320005ff,0x8004ffff,0x02fffff8,
    0x21ffffe6,0x005ffffa,0xa8fffffa,0x2005ffff,0x003ffffe,0x01ffffe4,
    0xffffff88,0xffffffff,0x00075fff,0x3ffe2510,0xcdffc85f,0x9801ffff,
    0xfffffffc,0xffff31ff,0x017fffff,0xffffff10,0xffffffff,0x3feabfff,
    0x320004ff,0x0003ffff,0x40bffffb,0xa84ffffc,0x2005ffff,0x2a5ffffc,
    0x3005ffff,0x003fffff,0x03ffffc8,0xffffff10,0xffffffff,0x000ebfff,
    0x7ffcca20,0xbb7fdc3f,0x4003ffff,0xffffffda,0xffffff51,0xff88005b,
    0xffffffff,0x5fffffff,0x009ffff7,0x17fffe40,0xffffa800,0xfffff00f,
    0xbffff503,0x7fffd400,0x17fffea6,0x3ffffe60,0xfffc8006,0xfff1003f,
    0xffffffff,0x2bffffff,0x52880003,0x7d47ffff,0xffff30ef,0xff910009,
    0x3fea3fff,0x8000cfff,0xfffffff8,0xffffffff,0xffff55ff,0x7fe40009,
    0xf10002ff,0xf305ffff,0x3ea0dfff,0x2a005fff,0x3ea7ffff,0xeeeeffff,
    0xfffffeee,0xfc8002ff,0xf1003fff,0xffffffff,0xffffffff,0x220000eb,
    0x27ffff52,0x3e60fff9,0x2a003fff,0xfffffffd,0xffffff51,0x7c4005bf,
    0xffffffff,0xffffffff,0x0bffff35,0x7fffe400,0x3ff60002,0xfffc85ff,
    0xffff503f,0x7ffcc00b,0x3fffea7f,0xffffffff,0x04ffffff,0x7ffff900,
    0x4ccccc00,0x99ffffb9,0x00709999,0x3fe25100,0x1fff8dff,0x017fffd4,
    0x3ffffee2,0xd10dffff,0xffffffff,0xcc88017f,0xcccccccc,0x3ccccccc,
    0x40fffff1,0x322cdef8,0x0001ffff,0x03ffffea,0x201fffff,0x005ffffa,
    0xa9ffffe6,0xffffffff,0xffffffff,0x3f20002f,0x80003fff,0x3807fffa,
    0x3e288000,0x2ffeefff,0x01ffffc8,0xffffffb5,0x26039fff,0xfffffffc,
    0x00002dff,0x3ffffe00,0xbffff702,0x00ffffe4,0x3ffffe00,0x1bfffe62,
    0x05ffffa8,0x9bfffea0,0xfffffffa,0xbfffffff,0xffc80001,0xa80003ff,
    0x03807fff,0x3f628800,0x983fffff,0x6447ffff,0xffffffff,0x91000bff,
    0xffffffff,0x220017ff,0xf7001999,0xf983ffff,0x3f22ffff,0x40001fff,
    0x325ffffc,0x2a03ffff,0x2005ffff,0x2a5ffffb,0xbaaeffff,0x0dfffffd,
    0xfffc8000,0xfa80003f,0x003807ff,0x3fe62880,0xfe985fff,0x3fe62fff,
    0xefffffff,0x7f540002,0xffffffff,0xffffc801,0xffffd001,0xffffd9df,
    0xffffc8df,0x7fcc0001,0xfffd0fff,0x7ffd401f,0x3ff2005f,0x3ffea4ff,
    0xffffa85f,0x640001ef,0x0003ffff,0x807fffa8,0x42880003,0xcefffffc,
    0x5fffffdb,0x7fffffd4,0x400001df,0xffffffd9,0xfffc801f,0xfff3001f,
    0xffffffff,0xfffc83ff,0xfe80001f,0xfff9bfff,0x7ffd405f,0x3ff6005f,
    0x3ffea3ff,0xffff505f,0x640001ff,0x0003ffff,0x807fffa8,0x42880003,
    0xfffffffb,0x0effffff,0x67ffffd4,0x44000000,0x01fffffc,0x01ffffc8,
    0x3ffffa60,0x82ffffff,0x001ffffc,0xdffffb80,0x402ffffc,0x005ffffa,
    0x45fffff1,0x205ffffa,0x06fffffc,0x3ffff200,0xeea80003,0x0003806e,
    0x3ffe6288,0xffffffff,0xdff504ff,0x00000005,0x003ffd71,0x003ffff9,
    0xfffffd90,0x3ff2019f,0x980001ff,0xffffffff,0xfffa807f,0xfffb005f,
    0xffffa8df,0x7ffff405,0xff90003f,0x000007ff,0x20000e00,0x2a7ffe28,
    0xdffffffd,0x00076a01,0x6d400000,0xeeeeb801,0x2a620001,0x00000009,
    0x7fffff40,0xfa804fff,0xfb805fff,0x7d41ffff,0x7cc05fff,0x001fffff,
    0x03ffffc8,0x99999910,0x99999999,0x000e7999,0x42f98a20,0x0000aa98,
    0x00000000,0x00000000,0x00000000,0xffffffb8,0xffa802ff,0xaaaaaeff,
    0xfffffeca,0x5ffffa85,0xfffffb80,0xfffc8006,0xfff1003f,0xffffffff,
    0x2bffffff,0x42880003,0x00000000,0x00000000,0x00000000,0x10000000,
    0xffffffff,0x3fffea00,0xffffffff,0x80ffffff,0x005ffffa,0x07fffffd,
    0x3ffffc80,0xfffff100,0xffffffff,0x32ebffff,0xcccccccc,0xdccccccc,
    0x00000002,0x00000000,0x00000000,0x00000000,0x3ffffff6,0xffff5004,
    0xffffffff,0x205fffff,0x005ffffa,0x1ffffff3,0x7fffe400,0xffff1003,
    0xffffffff,0x00bfffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffd400,0xff5001ff,0xffffffff,0x019fffff,0x02ffffd4,0xbfffff70,
    0x7fffe400,0xffff1003,0xffffffff,0x00bfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffc400,0x3fea006f,0xffffffff,0xa800bcde,
    0x4005ffff,0x02fffffe,0x07ffff90,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x79dfb950,0x775c4003,
    0x001beeff,0x37bfbb6a,0x77f6dc0c,0x9510002d,0xa8057bdd,0x2a01cccc,
    0x2a01cccc,0x2deefeec,0x51333260,0x5017bfd9,0x50039999,0x32e39999,
    0x3f6e63cc,0xfdb981bd,0xccc981bd,0x333202cc,0x666543cc,0xcccccccc,
    0x00002ccc,0xfffffb10,0xfb007fff,0xffffffff,0xfffa807f,0xcfffffff,
    0xfffffffb,0xfd5002ff,0xdfffffff,0x3fffee03,0x3ffff202,0xffffea82,
    0x81ffffff,0xe88ffffb,0x2fffffff,0x02ffffd4,0xd87ffffc,0xfff75fff,
    0x7dc5ffff,0x83ffffff,0x80fffffd,0x41fffffb,0xfffffffd,0x4fffffff,
    0x9ffffd70,0xffff9801,0xdfffffff,0xfffffb00,0x9fffffff,0x3ffffea0,
    0xffffffff,0xffffffff,0x7fe403ff,0xffffffff,0xfffb83ff,0x3fff202f,
    0x7fffcc2f,0xffffffff,0x7fffdc1f,0xffffffe9,0x7ffc2fff,0x3fea00ff,
    0x3fff64ff,0xffffffcd,0xfffcafff,0x42ffffff,0x45fffff8,0x83fffff8,
    0xfffffffd,0x4fffffff,0xffffffc8,0x3ffa00ff,0xffffffff,0xfffa84ff,
    0xffffefff,0x7fc40fff,0xfffeffff,0xffffffff,0x1ffffffe,0xffffff70,
    0xffffffff,0x2ffffb85,0x0bffff20,0x9bfffffd,0x8dfffffd,0xfffffffb,
    0xffffffef,0x1ffffe46,0x43ffffb0,0xfffffffd,0xfffffffe,0xffffffff,
    0xfffa87ff,0x3fffa3ff,0xffffb05f,0xffffffff,0xfff989ff,0x04ffffde,
    0x45dffff7,0x40ffffeb,0x4c2ffffe,0x643ffffe,0x260cffff,0x3ffffffe,
    0x437fffd4,0xaefffff9,0xffffea88,0x3fffee0f,0x3ffff202,0x0bfffe62,
    0x8bffffa2,0xaffffffb,0xfffff910,0x37fffc43,0x46ffff88,0x0dfffffd,
    0x3fffffee,0xffff711e,0xffff903f,0xfffff71f,0x2aaaea01,0xffffbaaa,
    0x37ed40ff,0x3e217ffa,0xf880ffff,0x76544fff,0xffff704f,0x06edb987,
    0x09fffff5,0x907fffee,0x6c0dffff,0x3ee5ffff,0x3f202fff,0x3fea2fff,
    0x57b301ff,0xfffffb81,0x3ffffd03,0x81ffffd8,0x6c3ffffb,0xe80effff,
    0xd81fffff,0xfd02ffff,0xffffdfff,0x3a20005f,0x001fffff,0x2a1bffa6,
    0x3205ffff,0x30007fff,0x0009ffff,0x00fffffc,0xfe89ffff,0x3e601fff,
    0x3fee7fff,0x3ff202ff,0x3ffe62ff,0x2000acff,0x206ffffb,0x542ffffc,
    0xfe84ffff,0x7fec0fff,0xfff903ff,0x3ffee0bf,0xffff303f,0x00bfffff,
    0x7ffffec0,0x7fedcc02,0xffb86fff,0x3fee03ff,0xb73000ff,0x009fffff,
    0x7fffed44,0x7fff407f,0x17fffe26,0x47ffff60,0x202ffffb,0x222ffffc,
    0xffffffff,0x7fdc01be,0x3fee04ff,0xffff83ff,0x27fffcc7,0x80ffffec,
    0x703ffffc,0x5c07ffff,0xefffffff,0xfffb0000,0x7ec407ff,0x6fffffff,
    0xeeffffc8,0xffeeeeee,0xfb7100ff,0xffffffff,0x7fedc409,0xffffffff,
    0xffffffff,0x3fea7fff,0xffc804ff,0xffff72ff,0x7fffe405,0x7ffffe42,
    0x0cffffff,0x03ffffb8,0x20ffffee,0x321ffffc,0xfd81ffff,0xff900fff,
    0x3fea05ff,0x7fec03ff,0x0001ffff,0x09fffff9,0x8acfffe8,0xffe86ffd,
    0xffffffff,0x41ffffff,0xffffffe9,0x84ffffff,0xffffffd9,0xffffffff,
    0xffffffff,0x3ffee7ff,0xfffb803f,0x5ffff73f,0x17fffe40,0x7fffffe4,
    0x43ffffff,0x203ffffb,0x883ffffb,0x3fe4ffff,0xfffb06ff,0x3fff201f,
    0xffff502f,0xffff9807,0xff70006f,0xf880bfff,0x37ffc3ff,0x7fffffec,
    0xffffffff,0x3ffe62ff,0xfaadffff,0x7fc44fff,0x9bdfffff,0xffffffff,
    0xffffffff,0x9ffff70f,0x7ffff900,0x80bfffee,0x302ffffc,0xfffffff9,
    0x7dc5ffff,0x3ee03fff,0xffb03fff,0x3fffe6ff,0x1ffffb03,0x0bffff20,
    0x01ffffd4,0x3ffffffa,0x7ffd4004,0x7cc00eff,0x3ffea3ff,0xaffffc86,
    0x99999999,0xfff10999,0xff9819ff,0x7fff44ff,0x7ffc42ef,0x999999ff,
    0x2a199999,0xd805ffff,0xff71ffff,0x7fe405ff,0x654402ff,0xfffffffe,
    0x0ffffee6,0x03ffffb8,0xf95ffff5,0x3f601fff,0xff900fff,0x3fea05ff,
    0x3fee03ff,0x01ffffff,0xffffff30,0x3fffa001,0x86ffffed,0x002ffffb,
    0x0bffff50,0x893fffe6,0xf106ffff,0x0001ffff,0x01ffffe6,0x5c3ffffe,
    0x3603ffff,0x4002ffff,0x7ffffda8,0x80ffffee,0x203ffffb,0xfffdffff,
    0x3fff605f,0xffff900f,0x3fffea05,0xfffff303,0x801dffff,0x1ffffff8,
    0x3fffea00,0xa87ffdff,0x3605ffff,0x3ff21acd,0xfff702ff,0x7fffd49f,
    0xfffff503,0x2af7a607,0x1fffff40,0x4dffff70,0x104ffffa,0x545fffff,
    0x3a00fedc,0xff70ffff,0x7fdc07ff,0x3ff203ff,0x01ffffff,0x403ffff6,
    0x502ffffc,0x3a07ffff,0xfffdffff,0x3fa205ff,0x8001ffff,0x991deeb9,
    0xffffd019,0xdffff707,0x427fffe4,0x25fffff8,0xd06ffffa,0x03ffffff,
    0xb89ffffd,0xb83fffff,0x221fffff,0xe80fffff,0x3a2fffff,0xf104ffff,
    0x7fdcdfff,0x3fee03ff,0x3fe203ff,0x406fffff,0x900ffffd,0x2a05ffff,
    0xfc83ffff,0xfff56fff,0x3ff605ff,0xaaa9bfff,0x000aaaaa,0x3fffea00,
    0xfffdabff,0x3ffea2ff,0xffc99cff,0x3e25ffff,0xb89dffff,0xfffffffe,
    0xfffecbef,0xfffe80ff,0xffeddeff,0xfff84fff,0xffcacfff,0x2a2fffff,
    0x9bdfffff,0x4ffffeba,0x80ffffee,0x403ffffb,0x3ffffffd,0x07fffec0,
    0x02ffffc8,0xa87ffff5,0x361fffff,0x540fffff,0xffffffff,0xffffffff,
    0x7ec00000,0xffffffff,0x7fc45fff,0xffffffff,0x6c6fffff,0xffffffff,
    0xffffffff,0xffffffff,0xffff103f,0xffffffff,0xfff901df,0x9fffffff,
    0xfc85ffff,0xffffffff,0x7dc6ffff,0x3ee03fff,0x7d403fff,0x400fffff,
    0x900ffffd,0x2a05ffff,0x3e23ffff,0x7c44ffff,0x7d45ffff,0xffffffff,
    0x0fffffff,0xffb80000,0xffffffff,0xfffff505,0xff97ffff,0x7ffc41ff,
    0xdfffffff,0xfffffd89,0x403fffff,0xffffffd8,0x6c04ffff,0xffffffff,
    0x82ffff9a,0xfffffffc,0x5c0effff,0x2e03ffff,0xf803ffff,0xd805ffff,
    0xf900ffff,0x3ea05fff,0x3ff63fff,0xffb80eff,0x3fea3fff,0xffffffff,
    0x00ffffff,0xffb30000,0x805dffff,0xdfffffe9,0x87ffff50,0xffffffc8,
    0xfffea82d,0x2001cfff,0xfffffeca,0xffd9001d,0x3fe63bff,0xff9302ff,
    0x05dfffff,0x80ffffee,0x803ffffb,0x802ffffc,0x900ffffd,0x2a05ffff,
    0xff53ffff,0x7ec03fff,0xff51ffff,0xffffffff,0x01ffffff,0x53100000,
    0xa9880013,0x54c40001,0x2aa60009,0x4c400009,0x2a20000a,0x26600001,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6665c000,0x33332604,0x0f333201,0x00b332e0,0x14c00190,0x88000000,
    0x04ccc199,0x99981333,0x00000000,0x20000000,0xedb84ffa,0x76dc03de,
    0xeeea81de,0xeeeeeeee,0x52eeeeee,0xdddddddd,0xdddddddd,0x3ffff25d,
    0x01ffffba,0x209ffff9,0x803ffffa,0x2004fffd,0x55310efc,0x7017fcc3,
    0x005d100b,0x7d49fff3,0x3fff63ff,0x003fffa1,0x017fff60,0x1defed98,
    0x003ffb00,0xfd13ffe6,0x20dfffff,0x2ffffffe,0x7fffffdc,0xffffffff,
    0xfff72fff,0xffffffff,0x25ffffff,0xf9affffc,0xffd03fff,0x3ff20dff,
    0xffd800ff,0xfff7004f,0xffffff9d,0x705ffff9,0x7f440bff,0x3ffa202f,
    0x8dfff10f,0x3ea6fff9,0x7c4005ff,0xc801ffff,0x4fffffff,0x401ffc80,
    0x24ffffc8,0xffddfffa,0x67ffdc2f,0x7fdc6ffe,0xffffffff,0x2fffffff,
    0xfffffff7,0xffffffff,0x3fff25ff,0x0bfffd2f,0x1ffffff1,0x00dfffd0,
    0x4013fff6,0xfffffffe,0xffffffff,0x7fffdc4f,0xffffe885,0x47fff902,
    0xfc82fffd,0x3fff64ff,0x3fff2002,0x7fd404ff,0x2fffffff,0x803ff20c,
    0x4ffffffa,0xffb8fffa,0xfd17ff46,0x7fffdc5f,0xffffffff,0xf72fffff,
    0xffffffff,0xffffffff,0x4bffff25,0x5c0ffffc,0x42ffffff,0x003ffff8,
    0x2009fffb,0xffffffe8,0xffffffff,0xfffffc84,0x3ffffa25,0x6fffa83f,
    0x441bffee,0xff31ffff,0xff1001ff,0x401fffff,0xfb8bffff,0x4ff60fff,
    0x47f917fb,0x4ffedffa,0xffb82eaa,0x7ffcc306,0x3bbbbaa1,0xeeeeeeee,
    0xdd52eeee,0xdddddddd,0x5ffffddd,0x4c7ffff2,0x7ec2ffff,0x5c4fffff,
    0xb001ffff,0x44009fff,0xfeffffff,0x206fffff,0x8dfffffc,0x83fffffe,
    0xf32ffff8,0x7dc03fff,0x3fff26ff,0xffffc805,0xff304fff,0x1fffd89f,
    0xffbffff1,0x654bfffb,0x8809ff90,0x3e604ffe,0x00003fff,0xff880000,
    0x07fd42ff,0xff89ffff,0x6c6fffff,0x36006fff,0x26004fff,0x2a2dffff,
    0x200ffffe,0xfffffffc,0xfb03ffff,0x7fff4bff,0x4fffe804,0x407ffff1,
    0xffeffff8,0x5fff507f,0xd32fffb8,0xffffffff,0x7fe40fff,0x3bffa604,
    0x3fffea00,0x00000002,0x2ffff880,0x3ff23fe4,0x3bffe67f,0x3fe0ffff,
    0x7ffdc4ff,0xffffffff,0x42ffffff,0x980ffffc,0x6402ffff,0xffffffff,
    0xffff703f,0x03ffff23,0x47fffea0,0x700ffffb,0xfff1ffff,0x3fff707f,
    0x443fff98,0xacffffda,0x827fe401,0x401ffffa,0x03fffcba,0x40000000,
    0x262ffff8,0x7ffd44ff,0x99fff71f,0x3fea5fff,0x7ffdc1ff,0xffffffff,
    0x42ffffff,0x3a05fffd,0xfc803fff,0x03ffffff,0x26bffff1,0x2004ffff,
    0xff0efffe,0x3ffe0dff,0x0dfffb4f,0xfa85fff5,0xfffb03ff,0x3ff2005f,
    0x0efffb84,0x73ffdc00,0xffffffff,0xffffffff,0x7c40005f,0xfff92fff,
    0x27ffff01,0xffaafffd,0x0ffff94f,0xfffffff7,0xffffffff,0xfffe85ff,
    0x13fff603,0x3ffffe20,0x7ffec06f,0x01bfffa6,0xf15fffe8,0xff509fff,
    0x3ffe61ff,0x27ffcc2f,0x3607fff2,0x01fffcff,0x7e44ffc8,0xb9100dff,
    0x87ffd41d,0xfffffffb,0xffffffff,0x220002ff,0xdf92ffff,0x57fff603,
    0xff88ffff,0x09fffd6f,0xfffffff7,0xffffffff,0xfffd85ff,0x7ffff106,
    0xffffe880,0x3e205fff,0xfff33fff,0xfff7005f,0x3bfff21f,0x45fffe80,
    0xff86fffe,0xffff52ef,0xf76ffd81,0xffc801ff,0x2bbffee4,0x7fec2aaa,
    0x26ffe98c,0xfffffffb,0xffffffff,0x220002ff,0x0512ffff,0xfaffffa8,
    0x3fffa6ff,0xa82ffffa,0xffcccccc,0xccccceff,0x7fffdc1c,0x1ffffb82,
    0x3ffffa20,0x205fffff,0xf90ffffa,0xff880dff,0xffff32ff,0x5ffff503,
    0x41ffffb8,0xfffffffa,0x7fec42ff,0x900bffa1,0x7fff49ff,0x4c7fffff,
    0xffffffff,0x3ffffee2,0xffffffff,0x0002ffff,0x00bfffe2,0xfeffff88,
    0x3fff23ff,0x8007fffe,0x2004fffd,0xadfffff8,0x06ffffeb,0x3fffffa2,
    0x05fffffe,0xfe93fff6,0x3ff203ff,0x13fffa5f,0x443ffff4,0xfc85ffff,
    0x04ffffff,0x001b316e,0x3fe69ff9,0x7fffffff,0xefffffb8,0x555554c2,
    0xaaaaaaaa,0x0000aaaa,0x00055554,0x3ffffff6,0x3fffea1f,0xd8005fff,
    0x26004fff,0xffffffff,0x80efffff,0x3fffffe8,0x0bfffff9,0x4c7fffe2,
    0xf980ffff,0xfff50fff,0x3fffe60d,0x1ffffb04,0x3bdfdb30,0x98800000,
    0x33333109,0x22033333,0x00001aaa,0x00000000,0x7ffffdc0,0x7fffc47f,
    0xd8002fff,0xf3004fff,0xffffffff,0x1dffffff,0x3fffffd8,0x2fffffe4,
    0x2e5fffa8,0xffe84fff,0x03fffa1f,0x807fffec,0x004ffff9,0x00000000,
    0x00000000,0x00000000,0x7fffc400,0xfffe85ff,0xd8000fff,0xfd004fff,
    0xffffffff,0xbfffffff,0x03ffff98,0x401ffff9,0x3f62fffc,0x3ffea0ff,
    0x00fffee4,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffd0,
    0xbfffff90,0x3fff6000,0x9ffd1004,0x17dffd93,0xf301dffb,0x1ffc807f,
    0x12776c40,0x776c7ddd,0x013bb625,0x33326000,0x3333324c,0x19999910,
    0x0cddca88,0x22000000,0x44440888,0xddddc808,0x2224dddd,0x00008880,
    0x7fffdc00,0xffff981f,0xffb0002f,0x2744009f,0x4c01db00,0x00039003,
    0x80000000,0xa83effda,0x3fe7ffff,0xfff11fff,0xfffa81ff,0xec981fff,
    0x4c00bdef,0x27fffdc4,0xd0fffff6,0xffffffff,0xa87fffab,0x00006fff,
    0x1ffffe60,0x00fffff8,0x03555500,0x00800080,0x00000000,0x36000000,
    0x45ffffff,0x3e7ffffa,0xff11ffff,0x89981fff,0x7e45ffd9,0xdfffffff,
    0x3e25fb82,0xffb05fff,0xffffe8df,0xffd5ffff,0x37ffd43f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffdc000,0x2a4fffff,0x3fe7ffff,
    0xfff11fff,0xff9801ff,0xfffffb0f,0xbfffffff,0x7dcbfffb,0x7ff405ff,
    0x3ffffa2f,0xffd5ffff,0x37ffd43f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe2000,0x23fff50b,0x3e7ffffa,0xff11ffff,0x6cc01fff,
    0x3fffa5ff,0xffffffff,0x25ffffff,0x4400effe,0x3ffa6ffe,0xd5ffffff,
    0x7fd43fff,0x0000006f,0x00000000,0x00000000,0x00000000,0x7cc00000,
    0x33ffc86f,0x7f4dffff,0x3ffe0fff,0x3fbfea7f,0x3fa1ffff,0xfffdccef,
    0xffffffff,0x001dff54,0x4447ffa2,0x08888888,0x11101111,0x00000001,
    0x00000000,0x00000000,0x00000000,0xffb80000,0x3e4ffa83,0x3ff64fff,
    0x37fff47f,0xbffffff5,0xa880ee83,0xfffffffd,0x00022223,0x00001111,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,0x23ffc86f,
    0x3ee3fffe,0x7ffe46ff,0x00cccc45,0x3b6e2007,0x000000ac,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x17fff100,0xfc87ffea,
    0x3ffea2ff,0x027ffdc4,0x20000000,0x88888888,0x88888888,0x2aa20888,
    0xaaaaaaaa,0xaaaaaaaa,0x0000002a,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x4fffffff,0x5105554c,0xaaa88355,0x00000000,0x3ffffe60,
    0xffffffff,0x27ffffff,0xfffffff9,0xffffffff,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffd8,0x0000000d,0x00000000,
    0xfffffff3,0xffffffff,0x7ccfffff,0xffffffff,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x50000000,0x0007dffd,0x00000000,
    0xfff98000,0xffffffff,0xffffffff,0x3bbbba67,0xeeeeeeee,0x06eeeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44444000,0x88888888,0x08888888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_40_latin1_x[224]={ 0,3,1,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_40_latin1_y[224]={ 32,6,6,5,4,5,5,6,5,5,5,10,27,20,
27,5,6,6,6,6,6,6,6,6,6,6,13,13,9,13,9,6,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,35,5,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,13,13,13,13,13,13,5,5,5,15,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,13,6,5,10,6,
5,5,5,5,5,14,13,20,5,1,5,7,6,6,5,13,6,17,32,6,5,14,6,6,6,13,-1,-1,-1,0,
0,1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,5,13,13,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,9,12,5,5,5,5,5,6,5,
 };
static unsigned short stb__arial_bold_40_latin1_w[224]={ 0,6,15,20,18,30,25,6,10,10,14,19,6,10,
6,11,18,13,19,18,20,18,18,18,18,18,6,7,19,19,19,20,34,26,23,24,23,21,19,25,22,6,18,24,
19,26,21,26,21,27,24,22,22,22,25,34,24,25,22,10,11,10,17,22,9,18,19,19,19,18,13,19,18,6,
10,18,6,28,18,20,19,19,13,19,12,18,20,28,20,20,18,13,4,13,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,18,20,20,20,
4,18,12,28,13,17,19,10,28,22,12,19,12,12,9,18,21,6,11,8,13,18,29,28,30,20,26,26,26,26,
26,26,37,24,21,21,21,21,9,9,13,12,26,21,26,26,26,26,26,18,26,22,22,22,22,25,21,19,18,18,
18,18,18,18,30,19,18,18,18,18,9,9,12,12,20,18,20,20,20,20,20,19,20,18,18,18,18,20,19,20,
 };
static unsigned short stb__arial_bold_40_latin1_h[224]={ 0,26,10,28,32,29,28,10,35,35,14,19,11,6,
5,28,27,26,26,27,26,27,27,26,27,27,19,25,21,13,21,26,35,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,30,26,28,26,27,26,26,26,26,26,34,28,34,15,5,7,20,27,20,27,20,27,27,26,26,
34,26,26,19,19,20,27,27,19,20,27,20,19,19,19,27,19,35,35,35,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,27,34,28,19,26,
35,35,6,28,15,17,13,6,28,4,13,25,14,14,7,27,34,5,8,14,15,17,27,27,27,27,33,33,33,32,
32,31,26,35,33,33,33,32,33,33,33,32,26,32,34,34,34,33,33,18,29,34,34,34,33,33,26,28,28,28,
28,27,28,28,20,27,28,28,28,28,27,27,27,27,27,26,28,28,28,27,28,20,22,28,28,28,28,35,34,35,
 };
static unsigned short stb__arial_bold_40_latin1_s[224]={ 182,122,147,231,68,142,137,140,79,22,159,
30,249,215,247,239,50,119,158,99,178,168,206,83,1,51,246,238,180,209,160,
199,128,92,220,83,27,201,102,1,158,247,76,133,181,223,1,213,61,114,51,
27,76,129,1,203,178,152,129,193,240,182,127,195,205,20,109,220,95,1,42,
56,73,66,226,28,244,170,130,70,1,206,240,110,238,91,149,1,199,21,220,
114,109,163,175,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,182,247,237,
192,50,137,177,90,226,163,239,90,229,215,108,218,127,99,183,196,195,187,204,
246,163,174,145,108,69,139,20,118,23,198,171,1,41,87,23,54,60,225,1,
209,50,96,82,28,1,231,121,47,94,133,106,71,173,1,24,148,160,183,115,
219,1,20,39,70,77,96,39,89,64,174,193,212,152,183,193,225,226,47,134,
43,22,162,1,200,139,115,58,200,155,33,74,1, };
static unsigned short stb__arial_bold_40_latin1_t[224]={ 36,309,400,139,106,106,168,400,1,1,384,
384,384,400,65,106,197,282,254,197,254,197,197,309,226,226,309,309,336,384,336,
254,1,282,254,168,336,282,309,197,282,226,254,282,282,282,309,168,309,106,336,
197,336,226,336,309,309,309,309,1,168,1,384,408,400,363,226,336,254,363,254,
254,282,282,1,282,254,363,363,363,254,226,336,363,197,363,363,384,363,254,363,
1,1,1,400,336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,
336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,36,37,1,
168,384,254,1,1,400,168,363,384,384,400,168,408,400,336,384,384,400,197,1,
329,400,384,384,384,197,197,226,197,72,37,37,106,106,106,309,1,72,37,72,
72,72,72,72,106,282,72,37,37,37,72,72,384,106,37,37,37,72,72,254,
106,139,139,139,226,139,139,363,226,168,139,139,139,226,226,226,197,226,282,139,
168,168,226,168,336,336,139,139,106,139,1,37,1, };
static unsigned short stb__arial_bold_40_latin1_a[224]={ 159,191,272,319,319,509,414,136,
191,191,223,335,159,191,159,159,319,319,319,319,319,319,319,319,
319,319,191,191,335,335,335,350,559,414,414,414,414,382,350,446,
414,159,319,414,350,477,414,446,382,446,414,382,350,414,382,541,
382,382,350,191,159,191,335,319,191,319,350,319,350,319,191,350,
350,159,159,319,159,509,350,350,350,350,223,319,191,350,319,446,
319,319,286,223,160,223,335,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,159,191,319,319,319,319,160,319,
191,422,212,319,335,191,422,316,229,314,191,191,191,330,319,159,
191,191,209,319,478,478,478,350,414,414,414,414,414,414,573,414,
382,382,382,382,159,159,159,159,414,414,446,446,446,446,446,335,
446,414,414,414,414,382,382,350,319,319,319,319,319,319,509,319,
319,319,319,319,159,159,159,159,350,350,350,350,350,350,350,314,
350,350,350,350,350,319,350,319, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_40_latin1(stb_fontchar font[STB_FONT_arial_bold_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_40_latin1_s[i] + stb__arial_bold_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_40_latin1_t[i] + stb__arial_bold_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_40_latin1_x[i];
            font[i].y0 = stb__arial_bold_40_latin1_y[i];
            font[i].x1 = stb__arial_bold_40_latin1_x[i] + stb__arial_bold_40_latin1_w[i];
            font[i].y1 = stb__arial_bold_40_latin1_y[i] + stb__arial_bold_40_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_40_latin1_s[i] + stb__arial_bold_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_40_latin1_t[i] + stb__arial_bold_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_40_latin1_x[i] + stb__arial_bold_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_40_latin1_y[i] + stb__arial_bold_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_40_latin1_LINE_SPACING
#endif

