// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT        450
#define STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_42_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_42_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_42_latin1_LINE_SPACING          27

static unsigned int stb__arial_bold_42_latin1_pixels[]={
    0xa8355550,0x55301aaa,0x2aa00005,0x00002aaa,0x400006a6,0x9800aaa8,
    0x55500199,0x54cc0015,0x53100001,0x88000135,0x2a00099a,0xfff30aaa,
    0x2adfffff,0xffffffff,0x3bbb2206,0xffffffff,0xff505fff,0x2aaa2bff,
    0x9fffb02a,0x504fffe8,0x80001fff,0x01fffff9,0x3ffb2e00,0x001defff,
    0x440fff90,0xdffffffd,0x0bfff601,0x9ffffb10,0x3fb6a000,0xefffffff,
    0x7fc4000b,0xfd803fff,0xffff32ff,0x3eadffff,0x6fffffff,0xfffffd88,
    0xffffffff,0xff505fff,0x3ffe6bff,0x9fffb07f,0x204fffe8,0x40005fff,
    0x001ffffc,0xfffffd30,0x19ffffff,0x1fffcc00,0xffffffb8,0xfb05ffff,
    0x7fd405ff,0x2004ffff,0xffffffc9,0xffffffff,0xff1002ef,0xd80dffff,
    0xfff32fff,0x2adfffff,0xffffffff,0x7ffff446,0xffffffff,0x505fffff,
    0x3e6bffff,0xffb07fff,0x4fffe89f,0x007fff20,0x17fffc40,0xffffb800,
    0xffffffff,0xfb001fff,0xfff501ff,0xffffffff,0x5fffb09f,0x7fffffc0,
    0xfff9004f,0xffffffff,0xffffffff,0xfff88019,0x3603ffff,0xfff32fff,
    0x2adfffff,0xffffffff,0x7ffffec6,0xffffffff,0x505fffff,0x3e6bffff,
    0xffb07fff,0x4fffe89f,0x017ffe20,0x017ffe40,0xfffffd80,0xffffffff,
    0x4c00ffff,0xfff05fff,0xfffbbfff,0xffd85fff,0xffff702f,0xe8809fff,
    0xabefffff,0xf9753109,0x403dffff,0xfffffff8,0x8bfff607,0xffff9999,
    0x39ffff56,0x7ffd4133,0xffffffff,0xefffffee,0x9dddd504,0x01ffffe6,
    0x7fec0000,0x7fc4001f,0xff50003f,0x559dffff,0xfffffffb,0x1fffd80d,
    0x1fffff88,0x22ffffec,0xf902fffd,0x5001bfff,0x039fffff,0xffffc880,
    0x7fd4400f,0xffb00fff,0x7fffc05f,0x09ffff56,0x7fffffe4,0x3f64ffff,
    0x220004ff,0x0004cccc,0xbfff5000,0x00333000,0x3ffffe20,0xfff5103f,
    0x3e605fff,0xfff507ff,0xffff30ff,0x02fffd8d,0x001ffffb,0x01bffff3,
    0xfffd8800,0xffff9006,0x0bfff603,0xf56ffff8,0x7ec09fff,0xffffffff,
    0x13fff64f,0x00000000,0x7fffc400,0x40000001,0x01fffffc,0x5fffffc8,
    0x209fffd0,0x82fffff8,0xfffb0099,0x1ffffa05,0x027fff40,0x3fff6000,
    0xffffb804,0x05fffb01,0xfab7fffc,0x3fe04fff,0xffffffff,0x13fff64f,
    0x83555510,0x2aaa62aa,0x5555002a,0xbfffd015,0x02aaaa98,0x41555550,
    0x05fffff8,0x9dffff10,0x05ffff30,0x17fffff4,0x0bfff600,0x4037fff4,
    0x2602fffc,0x2aa2cddb,0xfffd12aa,0xffffa801,0x05fffb02,0xfab7fffc,
    0x3fa04fff,0xffffffff,0x13fff64f,0x4bffff50,0x3fea6ff8,0x7d400fff,
    0xff707fff,0x7ffd41ff,0x7fd400ff,0x7ffdc7ff,0x32a001ff,0x3fff200a,
    0x7fffd407,0xfb000cff,0x3ffa05ff,0x7ffd406f,0xfffff705,0x3fffe9ff,
    0x00fffe66,0x205ffff5,0x3e02fffd,0xfff56fff,0x7ffec09f,0x4fffffff,
    0x5013fff6,0x7ccbffff,0x7ffffc7f,0x7fffec02,0x5ffff304,0x02fffff8,
    0x227fffec,0x006ffffc,0xbfffd000,0xfffffb00,0xffb005ff,0x3fffe05f,
    0x07fff406,0x7fffffe4,0xffffdfff,0x2037fe45,0xb02ffffa,0x7fc05fff,
    0xffff56ff,0x7fffe409,0x24ffffff,0x5404fffd,0x3ea5ffff,0x3fff20ff,
    0x7fffc05f,0xffff101f,0x5ffffc89,0x0fffffc0,0x017ffff6,0x3ffe2000,
    0x7ffd405f,0x0dffffff,0x40bfff60,0x2605ffff,0xffc82fff,0xffebdfff,
    0x543fffff,0x3e600fff,0xffb02fff,0x7fffc05f,0x09ffff56,0x7fffffc4,
    0x3f64ffff,0x7fd404ff,0x3ffee5ff,0x3ffffe61,0xdffff500,0x47ffff80,
    0x00fffff9,0xd0dffff5,0x0009ffff,0x9ffff500,0x7ffffd40,0x1fffffff,
    0x205fffb0,0x3204ffff,0xfffb87ff,0x7ffd41df,0x7fc41fff,0x3ffe601f,
    0x5fffb03f,0xab7fffc0,0x5c04ffff,0xffffffff,0x13fff64f,0x4bffff50,
    0x7f41fffc,0xff902fff,0xfff807ff,0x7fff40ff,0xffff902f,0x7fffff07,
    0xff900000,0x3fe207ff,0xfffe9dff,0xfd83ffff,0xfffa82ff,0x13ffe03f,
    0x40dffff1,0x80fffffe,0x3e202fff,0xffb06fff,0x7fffc05f,0x09ffff56,
    0xffffff50,0x7ffec9ff,0x7fffd404,0x70bfff25,0x3e0bffff,0x7400ffff,
    0x7dc1ffff,0xfff05fff,0xfff881ff,0x800002ff,0x502ffffd,0x7e41ffff,
    0x43ffffff,0xfd82fffd,0xff302fff,0xffffc83f,0x3ffff202,0x807ffd06,
    0xd82ffffd,0x3fe02fff,0xffff56ff,0x3fb22009,0x3f64ffff,0x7fd404ff,
    0x3fff65ff,0x7ffffc43,0x2ffffd40,0x17fffec0,0x03ffffe2,0x10bffff5,
    0x007fffff,0xffffb000,0x1bfff203,0x3fffffea,0x8bfff62f,0x06ffffd9,
    0xff11bfea,0xff980dff,0x7fff04ff,0xeffffa80,0x0266620b,0xf56ffff8,
    0x20009fff,0x3f64fffe,0x7fd404ff,0x3fffa5ff,0x2ffffd84,0x017fffe4,
    0x41ffffe4,0x642ffffd,0xff02ffff,0x00009fff,0x01ffffd0,0x203ffffa,
    0x7fffffd8,0x7f4bfff6,0x202fffff,0x7fd45ffb,0x7fd402ff,0xfff983ff,
    0xffffe801,0xff8002ff,0xffff56ff,0x3ffa0009,0x13fff64f,0x4bffff50,
    0xfa85ffff,0x7ffc5fff,0xfff7007f,0xffff507f,0x07ffff8b,0x017ffffa,
    0x3fffe000,0x3ffff207,0x3ffff204,0x25fffb1f,0x02fffffe,0x3f227fec,
    0x7dc01fff,0xffa81fff,0xffd8800f,0xf8002fff,0xfff56fff,0x3fa0009f,
    0x3fff64ff,0x7fffd404,0x417fffe5,0xf30fffff,0x2a009fff,0xff03ffff,
    0x3fe61fff,0x3ff204ff,0x6c4006ff,0xfffff00a,0x7ffffcc0,0x3fffee04,
    0x3a5fffb3,0xe805ffff,0x7ffec4ff,0x7fffd807,0x400fff90,0x02fffffa,
    0x56ffff80,0x0009ffff,0xfd93fffa,0x7fd404ff,0xffff15ff,0x3ffff20d,
    0x03ffff92,0x0bfffee0,0xc97fffe4,0x2e01ffff,0x001fffff,0xf0f7ffee,
    0xff80ffff,0x880dffff,0xffb3ffff,0x3ffffa5f,0x3ffa00ef,0x037fff43,
    0x4437fff4,0xf7004fff,0x005fffff,0x2adffff0,0x0004ffff,0x7ec9fffd,
    0x7fd404ff,0xffff35ff,0x3fffe60f,0x00dffff5,0x80ffffdc,0xff5ffff9,
    0xff980dff,0x3a004fff,0x7f46ffff,0x3ee00fff,0x42ffffff,0xfb1ffff8,
    0x3ffae5ff,0x3f604fff,0x37fffc4f,0x13fffea0,0x2003fff6,0xcefffff8,
    0xffff8001,0x09ffff56,0x93fffa00,0x5404fffd,0xff55ffff,0x3fa01fff,
    0xffffafff,0x3fff2003,0x7ffff407,0x803ffffa,0x01fffffd,0x3fffffc8,
    0x007fffec,0x3ffffff2,0xffff90df,0x2617ffec,0x900fffff,0xfffd8bff,
    0x7ffff407,0x027ffe42,0x85ffffc8,0x3e01cccb,0xfff56fff,0x3fa0009f,
    0x3fff64ff,0x7fffd404,0x1fffff55,0x3ffffee0,0x2000ffff,0x5c06fffc,
    0xffffffff,0xfff8800f,0x3ee02fff,0x640fffff,0xc801ffff,0xffffffff,
    0x363ffffc,0xffc82fff,0xdff702ff,0x01ffffc8,0x43fffff5,0x000ffffa,
    0x360ffffd,0x3fe02fff,0xffff56ff,0x3ffa0009,0x13fff64f,0x2bffff50,
    0x00fffffa,0xfffffff1,0xffe800df,0x7ffc405f,0x006fffff,0x3fffffee,
    0xffeb99bd,0xfb84ffff,0xd3002fff,0xffffffff,0xfffd89ff,0x3ffff882,
    0x541fff50,0x4c0dffff,0x88ffffff,0x002ffffc,0x6c13fffe,0x3fe02fff,
    0xffff56ff,0x3ffa0009,0x13fff64f,0x2bffff50,0x00fffffa,0x3ffffff6,
    0x7ffc003f,0xfffd804f,0x4003ffff,0xfffffffe,0xffffffff,0xffff305f,
    0x7fec4007,0x84ffffff,0xff02fffd,0x7ffc0bff,0x7fffff44,0xfffffdbc,
    0xfffffeff,0x3ffe6001,0x5fffb03f,0xab7fffc0,0x0004ffff,0x7ec9fffd,
    0x7fd404ff,0xffff55ff,0x7ffd401f,0x2000ffff,0x803ffff8,0xfffffffa,
    0x7fec4000,0xffffffff,0x200effff,0x8005ffff,0xfffffffa,0x02fffd85,
    0x640bffff,0x7ffcc7ff,0xffffffff,0xffffffff,0x7fcc000e,0xfffb03ff,
    0xb7fffc05,0x004ffffa,0x6c9fffd0,0x7d404fff,0xfff55fff,0xfff801ff,
    0x54005fff,0xf001ffff,0x00bfffff,0x7ffffd40,0xcfffffff,0x3fffec00,
    0xfffd8800,0x7fec3fff,0xdfffd02f,0x21fffcc0,0xffffffe9,0xfffffb9e,
    0xa8000dff,0xfb02ffff,0x7ffc05ff,0x9ffff56f,0x3fffa000,0x013fff64,
    0x2abffff5,0x400fffff,0x02fffffc,0x037ffe40,0x5fffff90,0xfec88000,
    0x0cffffff,0x3ffff500,0x7ffd4000,0x7ffec7ff,0x0dfffd02,0xb82fffe8,
    0x6e43dfed,0x55301bdf,0x3ffea015,0x5fffb02f,0xab7fffc0,0x0004ffff,
    0x7ec9fffd,0x7fdc04ff,0x555515ff,0xfffb8015,0xffe8007f,0x3fee003f,
    0x200007ff,0x02effda8,0x07fffd00,0xff301330,0x7fec3fff,0xdfffd02f,
    0x1ffff980,0x3e600000,0x3fea06ff,0xfffb02ff,0xb7fffc05,0x004ffffa,
    0x6c9fffd0,0x7dc04fff,0x20004fff,0x04fffff8,0x07fffc40,0xfffff880,
    0x3ea00004,0x003fffff,0x905fffa8,0x3609ffff,0x3f62ffff,0xfffd02ff,
    0xffff700f,0xf5000005,0x7dc03fff,0xffb01fff,0x7fffc05f,0x09ffff56,
    0x93fffa00,0x2204fffd,0x224ffffe,0x7dc00888,0x4001ffff,0x2005fffb,
    0x01fffffb,0x2a6a6000,0xd0007ffd,0x3fee0fff,0xffe80fff,0x3fff61ff,
    0x3ffffb02,0xbffff900,0xfb300001,0xfd807fff,0xffb01fff,0x2eaaa25f,
    0xff56ffff,0x05555bff,0xd93fffa0,0xfff84fff,0xf33fffff,0x4d4cdfff,
    0x5fffffca,0x1fffe800,0xff953530,0x0000bfff,0x02fff880,0x82fffb80,
    0xbefffff8,0xfffffd98,0x40bfff60,0xcdfffffc,0x3ffff602,0x22000bdf,
    0x3fffffda,0xfffecc88,0xfffb00ff,0x3ffffe65,0xfff56fff,0x00dfffff,
    0xfd93fffa,0x7ffc44ff,0xf31fffff,0x7fd4dfff,0x1fffffff,0x2fffcc00,
    0xffffff50,0x00003fff,0x02fffa80,0x20bffd00,0xfffffffc,0x44ffffff,
    0xf302fffd,0x09ffffff,0xffffffa8,0xcbbcceef,0xfffffedc,0xfff101ff,
    0x6c0bffff,0xfff32fff,0x2adfffff,0xffffffff,0x9fffd006,0x2a27ffec,
    0x4fffffff,0x99bfffe6,0xffffffff,0xfffc8004,0x3fffe601,0x0004ffff,
    0x3f7336a0,0x20006fff,0xfb00fffb,0xffffffff,0xfffb0dff,0x7fffec05,
    0xfc8804ff,0xffffffff,0xffffffff,0x2200cfff,0x1fffffff,0x4cbfff60,
    0xffffffff,0xffffff56,0x3fa00dff,0x3fff64ff,0x7ffffdc4,0x7fffcc5f,
    0x3ffffe26,0xf88004ff,0x7fc404ff,0x004fffff,0x7fffdc00,0x0000cfff,
    0xf7027ffc,0xffffffff,0x5fffb019,0x7fffec40,0x36a2004f,0xffffffff,
    0x2dffffff,0xfffff100,0xfffd805f,0x99999912,0x33326799,0x003ccccc,
    0x54c35555,0x7764c1aa,0xfff981bd,0x6f77646f,0xff70000b,0xddd9001f,
    0x0000017b,0x15999971,0x3fee0000,0x372e200f,0x3600bcee,0xc9802fff,
    0x10004eed,0xdddd9975,0x80015799,0x003ceef8,0x0005fffb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0x000005ff,0x0fffffd4,0x3f200000,
    0x0000efff,0x40000000,0x01eeeed8,0x06e60000,0xeeee8800,0x4000000e,
    0x01fffffa,0x7fffe400,0x00000006,0xffff7000,0x7000000b,0x0009ffff,
    0x7fffc400,0xd980000f,0x3fe20bef,0xffd80003,0x0000efff,0x000df900,
    0x37fffff4,0x3f600000,0x00002fff,0x005ffffb,0xaefea800,0x400bfe60,
    0x005ffffb,0xfff70000,0x2000001f,0x001ffffb,0xfffffa80,0x02ffecef,
    0x7fffdc00,0x00004fff,0x20009fd0,0xfffffffc,0xf3000003,0x00005fff,
    0x006fffd8,0x3fffee00,0x1ffecdff,0xbffff700,0x64000000,0x00004fff,
    0x003fffd0,0x3ffff200,0x0fffffff,0x3ffe2000,0x02fffe8f,0x0ffc4000,
    0x77ffcc00,0x001ffff8,0x3fffd800,0xffd00000,0x3a00005f,0xffffffff,
    0x3ee006ff,0x00005fff,0x07ffec00,0x3fea0000,0x3e00002f,0xffeb98cf,
    0x740003ff,0xfff31fff,0x5c00001f,0xfe88007f,0xdfff31ff,0xff880000,
    0x2000004f,0x0005ffe8,0xc98bff88,0x002efffe,0x017fffee,0x32e00000,
    0x5c00001c,0x400002cc,0x03a981cc,0x3ccc9800,0x00166654,0x0009fb00,
    0xca859995,0x200001cc,0x00003cca,0x00ccc880,0x40664400,0xfb8002a9,
    0x00005fff,0x000d4400,0x00000000,0x0001a880,0x00000000,0x0002ff88,
    0x00003510,0x0006a200,0x00000000,0xfb800000,0x36e65fff,0x10001bde,
    0xfffffd95,0xf30017bd,0x2001ffff,0x00fffff9,0xfffeca88,0x800bdeff,
    0x00fffff9,0x1fffff30,0xeeedba80,0xa88000ff,0xefffffec,0x440000bd,
    0xfffffeca,0xf9800bde,0x3000ffff,0x001fffff,0x2fffffc8,0xffffb800,
    0xffffff95,0xffa8009f,0xffffffff,0x7cc03fff,0x3000ffff,0x801fffff,
    0xfffffffa,0x03ffffff,0x07ffffcc,0xfffff980,0xffffd300,0x003dffff,
    0x7fffffd4,0x3fffffff,0xffff5000,0xffffffff,0xfff9807f,0xff3000ff,
    0x44001fff,0x05ffffff,0xeffffb80,0xfffffffd,0x64400dff,0xffffffff,
    0xdfffffff,0xfffff300,0x3ffe6001,0xff9100ff,0xffffffff,0x01bfffff,
    0x03ffffe6,0x7ffffcc0,0xfffffb80,0x3fffffff,0x7fffe440,0xffffffff,
    0x1000dfff,0xfffffff9,0xffffffff,0x3ffe601b,0xff3000ff,0x5c001fff,
    0x0fffffff,0x7fffdc00,0xffffffff,0x7404ffff,0xffffffff,0xffffffff,
    0xfff981ff,0xff3000ff,0x3fa01fff,0xffffffff,0xffffffff,0xffff981f,
    0xfff3000f,0xfffa81ff,0xffffffff,0x3fa01fff,0xffffffff,0xffffffff,
    0xfffe801f,0xffffffff,0x1fffffff,0x0fffff98,0xfffff300,0x7fff4001,
    0x4004ffff,0xeffffffb,0xfffea88a,0xfff901ff,0x557bffff,0xffffffd9,
    0xfffff30d,0x3ffe6001,0xfffc80ff,0xaabdffff,0xffffffec,0xfffff986,
    0xffff3000,0xffffe81f,0xffffd9bf,0xfff905ff,0x557bffff,0xffffffd9,
    0xffffc80d,0xcaabdfff,0x6ffffffe,0x0fffff98,0xfffff300,0x3ffe6001,
    0x007fffff,0x77ffffdc,0xffffe880,0xfffff985,0x3fea00df,0x7cc3ffff,
    0x3000ffff,0x981fffff,0x0dffffff,0x3ffffea0,0x7fffcc3f,0xfff3000f,
    0x7ffdc1ff,0x3f7fa0ef,0x7cc1ffff,0x00dfffff,0x3fffffea,0xfffff303,
    0x7fd401bf,0x7cc3ffff,0x3000ffff,0x001fffff,0x3ffffff2,0x2e002fff,
    0x202fffff,0xe87ffffb,0x003fffff,0x1fffffd1,0x07ffffcc,0xfffff980,
    0x7fffff40,0xfffd1003,0x7ffcc1ff,0xff3000ff,0x7ff41fff,0x27fe23ff,
    0x741bcefd,0x003fffff,0x1fffffd1,0x7fffffd0,0x3fffa200,0x3ffe60ff,
    0xff3000ff,0x3e001fff,0xfffeffff,0x3fee005f,0xfff807ff,0x3ffea1ff,
    0x7d4006ff,0x3e64ffff,0x3000ffff,0x541fffff,0x006fffff,0x27ffffd4,
    0x01fffff3,0x3ffffe60,0x83ffffe0,0xfa8017fb,0x4006ffff,0x44fffffa,
    0x06fffffa,0x7ffffd40,0x3ffffe64,0xffff3000,0xfff5001f,0xfffff3df,
    0x3ffee001,0xfffe806f,0x3ffff22f,0xffe8001f,0x3ffe67ff,0xff3000ff,
    0x7fe41fff,0xe8001fff,0x3e67ffff,0x3000ffff,0x221fffff,0x7ec7ffff,
    0xffff9004,0xffd0003f,0xfffc8fff,0xfe8001ff,0x3fe67fff,0xf3000fff,
    0xb001ffff,0x3fa7ffff,0xf7004fff,0xfb00bfff,0x7ffc7fff,0xf50005ff,
    0x3e61ffff,0x3000ffff,0x7c1fffff,0x0005ffff,0x21fffff5,0x00fffff9,
    0x1fffff30,0x89bfffea,0xfff002ff,0x2a000bff,0x3e0fffff,0x0005ffff,
    0x21fffff5,0x00fffff9,0x1fffff30,0xfffff880,0x0fffff70,0x17fffee0,
    0x4fffff60,0x04fffff8,0xfffff300,0x3ffffe63,0xffff3000,0x3fffe21f,
    0xff30004f,0x3fe63fff,0xf3000fff,0x3ea1ffff,0x1fea6fff,0x7ffffc40,
    0xfff30004,0x3ffe23ff,0xf30004ff,0x3e63ffff,0x3000ffff,0x801fffff,
    0x225ffffb,0x802fffff,0x806ffffb,0xf12ffffe,0x0007ffff,0x4bffffe2,
    0x00fffff9,0x1fffff30,0x0fffffe2,0x7fffc400,0xfffff32f,0x3ffe6001,
    0xffff50ff,0x8802fe4f,0x003fffff,0x5fffff10,0x0fffffe2,0x7fffc400,
    0xfffff32f,0x3ffe6001,0x7ff400ff,0x7fff42ff,0xfffb805f,0xffff807f,
    0xfffff31f,0x7ffc0005,0xffff34ff,0x3fe6001f,0xfff30fff,0x7c0005ff,
    0xff34ffff,0x26001fff,0xf30fffff,0x3fe1ffff,0x3e606a23,0x0002ffff,
    0x4d3ffffe,0x002fffff,0x53ffffe0,0x00fffff9,0x1fffff30,0x7ffffcc0,
    0x7ffffd40,0x7fffdc01,0x3ffe601f,0xffff50ff,0x7f40003f,0xfff35fff,
    0x3e6001ff,0xff50ffff,0x40003fff,0xf35ffffe,0x2001ffff,0x10fffff9,
    0xf37fffff,0x77ffe41f,0x3fffff54,0x7fff4000,0xfffff55f,0x7ff40003,
    0xffff35ff,0x3fe6001f,0x3f600fff,0xff885fff,0x7dc04fff,0x3605ffff,
    0x3e66ffff,0x0002ffff,0x4d3ffffe,0x000fffff,0x21fffff3,0x02fffff9,
    0x3ffffe00,0x1fffff34,0x3fffe600,0x3ffff60f,0x3fe26fce,0xfff33fff,
    0x7c0005ff,0xff34ffff,0x40005fff,0xf34fffff,0x2001ffff,0x00fffff9,
    0x05fffff1,0x01fffff6,0xbffffff7,0xfffffc81,0x3ffffe22,0xfff10003,
    0x3ffe67ff,0xff3000ff,0x3fe21fff,0x10003fff,0x267fffff,0x000fffff,
    0x41fffff3,0xfffffffa,0xfffffb34,0x3ffffe21,0xfff10003,0x3ffe27ff,
    0xf10003ff,0x3e67ffff,0x3000ffff,0x201fffff,0x207ffffb,0x02fffffa,
    0x3fffffee,0xffffdeff,0xffff86ff,0xff30004f,0x3fe63fff,0xf3000fff,
    0x7fc1ffff,0x30004fff,0x263fffff,0x000fffff,0x81fffff3,0xeffffffd,
    0x5ffffffe,0x027ffffc,0xfffff980,0x13ffffe1,0x7fffcc00,0xfffff31f,
    0x3ffe6001,0xfffd00ff,0x999999df,0x0bfffff9,0x7fffffdc,0xffffffff,
    0xfffd81ff,0xff70005f,0x3fe61fff,0xf5000fff,0x7ec1ffff,0x70005fff,
    0x261fffff,0x000fffff,0x81fffff5,0xfffffff8,0x86ffffff,0x005ffffd,
    0x1fffff70,0x02ffffec,0xfffffb80,0x1fffff30,0x3fffea00,0xffff980f,
    0xffffffff,0x1fffffff,0x3bffff70,0xfffffffd,0x3fff203f,0xfe8001ff,
    0x3fe27fff,0xf5001fff,0xffc8ffff,0xe8001fff,0x3e27ffff,0x5001ffff,
    0x260fffff,0xfffffffe,0xfc80efff,0x8001ffff,0x647ffffe,0x001fffff,
    0x27ffffe8,0x01fffff8,0x0fffff50,0x3ffffff2,0xffffffff,0x704fffff,
    0x362bffff,0x00dfffff,0x1bffffea,0xfffff700,0x3fffff8b,0xdffff900,
    0x6fffffa8,0x7fffdc00,0x7ffffc5f,0xffff9003,0xffffc80d,0x2a02efff,
    0x006fffff,0x2fffffdc,0x1bffffea,0xfffff700,0x3fffff8b,0xdffff900,
    0x3fffffe0,0xffffffff,0x07ffffff,0x30bffff7,0x7ff40035,0xf1003fff,
    0xe83fffff,0x400fffff,0x85fffff8,0x03fffffe,0xffffff10,0xfffffe83,
    0x7fffc400,0x57fd405f,0xfd0009aa,0x2007ffff,0x1ffffff8,0x3fffffe8,
    0xfffff100,0xffffe83f,0x7ffc400f,0xfffa85ff,0xeeeeeeff,0xfffeeeee,
    0xfffb82ff,0xf300005f,0x80bfffff,0x4ffffffa,0x5fffffc8,0x7ffffec0,
    0xfffff983,0x7ffd405f,0xffc84fff,0x7ec05fff,0x6c03ffff,0x3e60005f,
    0x405fffff,0x4ffffffa,0xffffff30,0xffffa80b,0xfffc84ff,0x7fec05ff,
    0xffd83fff,0x7fc005ff,0xffb85fff,0x200005ff,0xeffffffc,0xffdba9ac,
    0x880fffff,0xdfffffff,0xfffeb99b,0xff900fff,0x359dffff,0xfffffb75,
    0xfff101ff,0x337bffff,0xffffffd7,0x002ff801,0x7ffffe40,0xdba9acef,
    0x0fffffff,0x3fffff20,0xdba9acef,0x0fffffff,0xffffff88,0xfeb99bdf,
    0x440fffff,0x002fffff,0x0fffffe4,0x017fffee,0xffff8800,0xffffffff,
    0x2fffffff,0x3fffff20,0xffffffff,0x2203ffff,0xffffffff,0xffffffff,
    0x3f202fff,0xffffffff,0xffffffff,0x007fd403,0x3fffe200,0xffffffff,
    0x2fffffff,0x7ffffc40,0xffffffff,0x02ffffff,0x3ffffff2,0xffffffff,
    0xffb83fff,0x4c000fff,0x5c4fffff,0x0005ffff,0x7fffec40,0xffffffff,
    0x4401efff,0xfffffffd,0xffffffff,0x7fec400e,0xffffffff,0x01efffff,
    0x7ffffec4,0xffffffff,0x7e400eff,0xfb100005,0xffffffff,0x3dffffff,
    0x3fff6200,0xffffffff,0x401effff,0xffffffd8,0xffffffff,0xfffe80ef,
    0xffd0005f,0xfffb8fff,0x5000005f,0xffffffff,0x009fffff,0xffffffb8,
    0x3fffffff,0x7fffd400,0xffffffff,0x7fdc004f,0xffffffff,0xfd003fff,
    0xfa800007,0xffffffff,0x0004ffff,0xfffffff5,0x09ffffff,0xfffffb80,
    0xffffffff,0xfffff503,0x3fee0005,0x3fee2fff,0x000005ff,0x3ffff722,
    0x001cefff,0xfffffb30,0x003bffff,0x3fff7220,0x01ceffff,0xffffb300,
    0x03bfffff,0x0003fe20,0x3ff72200,0x1cefffff,0x7ee44000,0xceffffff,
    0xffb30001,0xbfffffff,0x7fffec03,0x3fe20007,0x2aa25fff,0x000001aa,
    0x002aa620,0x2aaa6000,0x800001aa,0x0000aa98,0xaaaaa980,0x00060001,
    0x554c4000,0x44000000,0x00000aa9,0x1aaaaa98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77774c00,0x5400000d,0x000deeee,0x0dffffb0,0xffff7000,
    0x3a60001f,0x8000eeee,0x00fffffb,0x7ffc4000,0x000003ff,0xf8800000,
    0x0003ffff,0x77fffe40,0x00000000,0xfffffd00,0x7c40000b,0x004fffff,
    0x07ffffa0,0xfffff000,0x7ff40003,0x90005fff,0x0007ffff,0xdffff300,
    0x3f220000,0x037ec1cf,0x3fffee00,0x7c400004,0x0000ffff,0x00013fe0,
    0x3ffffff2,0xfb00003f,0x05ffffff,0x3fffa200,0x3fea0005,0x320001ff,
    0x3fffffff,0xdfffb000,0x3e600000,0x80002fff,0xceffffff,0x40005ffd,
    0x0005fffe,0x1ffffb80,0x3fe20000,0x7fd40005,0x0ffff9ef,0x7ffdc000,
    0x00ffff9d,0x1fffd100,0x3fffa000,0x3fe60002,0x1ffff8ef,0x5fffb000,
    0x3ea00000,0x540006ff,0xffffffff,0x20002fff,0x0005fffa,0x03ffff00,
    0xffd91000,0x8005bfff,0xf50ffff8,0x44000dff,0xff70ffff,0x7c4000bf,
    0xfa8004ff,0x220002ff,0xff30ffff,0x7f4000df,0x2000006f,0x0002fffa,
    0x36e23bf2,0x0004ffff,0x00037ff4,0x02fffa80,0xffffa800,0x0dffffff,
    0x85999500,0x0001cccb,0xcb839995,0x260001cc,0xca8004cc,0x6540002c,
    0x666542cc,0x99910001,0x54000001,0x2e0002cc,0x00ba882c,0x06664400,
    0xccb80000,0xffa80002,0xffffffff,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xe8000000,0xffffffff,
    0x984fffff,0xffffffff,0xffffffff,0xc8005fff,0x002fffff,0x3ffffd40,
    0x7fffe400,0x7d40002f,0x40007fff,0x02fffffc,0xfffff980,0xffffffff,
    0x25ffffff,0x02fffff9,0x43ffffa0,0xfffffff9,0xffffffff,0x7ec5ffff,
    0x4004ffff,0x46fffffa,0xf8dffffb,0x7ffffbcf,0xffffff98,0xffffffff,
    0x005fffff,0x7fffffc4,0x7fd40005,0x7c4007ff,0x005fffff,0x3ffffd40,
    0xffff1000,0xf3000bff,0xffffffff,0xffffffff,0x7ffccbff,0x3fa006ff,
    0xfff30fff,0xffffffff,0xffffffff,0xfffff88b,0x3ffa000f,0x7fec1fff,
    0x369ff0ff,0x7cc1ffff,0xffffffff,0xffffffff,0x7dc005ff,0x00ffffff,
    0x3fffea00,0x7ffdc007,0x0000ffff,0x01ffffea,0xfffffb80,0x7cc000ff,
    0xffffffff,0xffffffff,0x3ffe65ff,0xfd003fff,0x3fe61fff,0xffffffff,
    0xffffffff,0xffffb85f,0xfff7005f,0xfffd09ff,0xbc9a7fcb,0x7ffcc09a,
    0xffffffff,0xffffffff,0x7fff4005,0x0004ffff,0x01ffffea,0xffffffd0,
    0x7d40009f,0x20007fff,0xfffffffe,0x7ffcc004,0xffffffff,0xffffffff,
    0x3ffffe65,0xffe800ff,0xffff30ff,0xffffffff,0xbfffffff,0x3fffffa0,
    0x7fffc402,0xbfffd06f,0xf30027fc,0x9999ffff,0x99999999,0x7cc00599,
    0x7fffffff,0x3ffea000,0x3fe6007f,0x07ffffff,0x3fffea00,0xfff30007,
    0x00ffffff,0xcfffff98,0xcccccccc,0x262ccccc,0x5fffffff,0x0ffffe80,
    0x99fffff3,0x99999999,0x26059999,0x406fffff,0x02fffffd,0x3e1ffffb,
    0x3fe6004f,0x00000fff,0xfffffc80,0x0002ffff,0x00fffff5,0x7fffffe4,
    0x50002fff,0x000fffff,0x3ffffff2,0x26002fff,0x000fffff,0xfffff980,
    0x7f402fff,0xfff30fff,0x000001ff,0x07fffff9,0x17ffffe6,0x9effffc8,
    0x3e6004ff,0x0000ffff,0xfffff800,0x005ffffe,0x0fffff50,0x77ffffc0,
    0x0005ffff,0x00fffff5,0x3bffffe0,0x2005ffff,0x00fffff9,0xffff9800,
    0x200fffff,0xf30ffffe,0x0001ffff,0xfffff100,0xffffd01f,0x7ffcc01f,
    0x004fffff,0x03ffffe6,0xff500000,0xffff3dff,0xff50001f,0x3ea00fff,
    0xfff9efff,0xfa8000ff,0xa8007fff,0xff9effff,0xf3000fff,0x0001ffff,
    0xffffff30,0x7f409fff,0xfff30fff,0x000001ff,0x17ffffea,0x07fffff7,
    0xffffffb0,0xf3005bff,0x0001ffff,0xffffd800,0x09ffffd3,0xfffff500,
    0x3ffff600,0x09ffffd3,0xfffff500,0xffffb000,0x13ffffa7,0x7ffffcc0,
    0xff980000,0xffffffff,0x1ffffd01,0x03ffffe6,0xffd80000,0xfff11fff,
    0x3a200dff,0xffffffff,0x3fe603ff,0x00000fff,0x3ffffe20,0x0fffff70,
    0xfffff500,0xfffff100,0x1ffffee1,0x3fffea00,0x7ffc4007,0xffff70ff,
    0x3ffe600f,0x980000ff,0xffffffff,0xfffd06ff,0x3fffe61f,0x2000000f,
    0x96fffff8,0x003fffff,0xffffffd8,0x980dffff,0xaabfffff,0xaaaaaaaa,
    0xff7001aa,0x7ffc4bff,0x7d4002ff,0xfb807fff,0x3fe25fff,0x54002fff,
    0x4007ffff,0x225ffffb,0x802fffff,0xabfffff9,0xaaaaaaaa,0x7fcc1aaa,
    0xffffbeff,0xffffe82f,0x7fffff30,0x55555555,0x40035555,0xfcfffffb,
    0x0003ffff,0xffffffb3,0xff30dfff,0xffffffff,0xffffffff,0x3fffa009,
    0x7ffff42f,0x7ffd4005,0xfffe807f,0x7ffff42f,0x7ffd4005,0x7ff4007f,
    0x7fff42ff,0xfff9805f,0xffffffff,0x4fffffff,0xeb7fffcc,0x740fffff,
    0xff30ffff,0xffffffff,0xffffffff,0xfffe8009,0x06ffffff,0xffff8800,
    0x4c2fffff,0xffffffff,0xffffffff,0xff9804ff,0x7fd40fff,0x2a001fff,
    0x4c07ffff,0x540fffff,0x001fffff,0x01ffffea,0x0fffff98,0x0fffffd4,
    0x3ffffe60,0xffffffff,0x4c4fffff,0xff36ffff,0xffe89fff,0xffff30ff,
    0xffffffff,0x09ffffff,0xfffff980,0x0001ffff,0xfff9bff0,0xfff98dff,
    0xffffffff,0x4fffffff,0x5ffffd80,0x4fffff88,0x3fffea00,0x7fffec07,
    0xfffff885,0x3ffea004,0x3ff6007f,0xfff885ff,0x7fcc04ff,0xffffffff,
    0xffffffff,0x37fffcc4,0x43fffff9,0xf30ffffe,0xffffffff,0xffffffff,
    0xff90009f,0x009fffff,0xf9a7fc00,0x7fcc7fff,0xffffffff,0xffffffff,
    0x7fffc404,0xffffb02f,0x7ffd400f,0x3ffe207f,0xfffb02ff,0x7fd400ff,
    0xff1007ff,0x3f605fff,0x7cc07fff,0xffffffff,0xffffffff,0x7fffcc4f,
    0x3ffffe26,0x43ffffa6,0xfffffff9,0xffffffff,0x88004fff,0x0ffffffe,
    0x93fe0000,0x260ffffc,0x99afffff,0x99999999,0x7fdc0099,0x3fea07ff,
    0xf5002fff,0x7dc0ffff,0x3ea07fff,0x5002ffff,0x200fffff,0x207ffffb,
    0x02fffffa,0x2bffffe6,0x99999999,0x7cc09999,0x7fdc6fff,0xfffd3fff,
    0x3fffe61f,0x999999af,0x00999999,0xfffff500,0xeeca8005,0xfa93fe2f,
    0x3fe60fff,0x00000fff,0xceffffe8,0xffcccccc,0xf5005fff,0x7f40ffff,
    0xccccefff,0xfffffccc,0xffff5005,0x3fffa00f,0xccccccef,0x05fffffc,
    0x03ffffe6,0x3ffe6000,0xffffe86f,0x0ffffe8f,0x01fffff3,0x7cc00000,
    0x4001ffff,0x3e5ffffa,0x1ffff24f,0x01fffff3,0xfff98000,0xffffffff,
    0xffffffff,0xffffa801,0xfffff307,0xffffffff,0x03ffffff,0x0fffff50,
    0xffffff30,0xffffffff,0x203fffff,0x00fffff9,0xffff9800,0xfffff986,
    0x30ffffed,0x001fffff,0x7fcc0000,0x44001fff,0xff1fffff,0x237fffc9,
    0x00fffff9,0x7ffe4000,0xffffffff,0xffffffff,0xffffa804,0xfffff907,
    0xffffffff,0x09ffffff,0x0fffff50,0xffffff90,0xffffffff,0x209fffff,
    0x00fffff9,0xffff9800,0xfffff906,0x261fffff,0x000fffff,0x3fe60000,
    0xe8001fff,0xffafffff,0x3ffffd9c,0x07ffffcc,0x3ffe0000,0xffffffff,
    0xffffffff,0xfffa807f,0xfffff07f,0xffffffff,0xffffffff,0xfffff500,
    0xffffff00,0xffffffff,0x0fffffff,0x03ffffe6,0x3ffe6000,0xfffd106f,
    0x21ffffff,0x00fffff9,0x3e600000,0x8001ffff,0xfffffff9,0x6fffffff,
    0x0fffff98,0x3fea0000,0xeeeeefff,0xffeeeeee,0x7d402fff,0xffa87fff,
    0xeeeeefff,0xffeeeeee,0x7d402fff,0x7d407fff,0xeeeeffff,0xfeeeeeee,
    0xf982ffff,0x0000ffff,0x06ffff98,0x3fffffea,0xfff30fff,0x000001ff,
    0x7ffffcc0,0xfff90001,0xffffffff,0xfff303ff,0x400001ff,0x005ffffd,
    0x02fffffc,0x21ffffea,0x005ffffd,0x02fffffc,0x01ffffea,0x00bffffb,
    0x85fffff8,0x00fffff9,0xffff9800,0x7fffec06,0xff30ffff,0x00001fff,
    0x7fffcc00,0x3ee0001f,0xffffffff,0xfff300ef,0x999999ff,0x99999999,
    0x7fffc419,0x7fe4002f,0x3ea01fff,0x7fc47fff,0x64002fff,0x201fffff,
    0x207ffffa,0x02fffff8,0x7ffffe40,0x7ffffcc1,0xcccccccc,0x0ccccccc,
    0x80dffff3,0xfffffff8,0xfffff30f,0x99999999,0x19999999,0xffff9800,
    0x6cc0001f,0x3dffffff,0x7ffffcc0,0xffffffff,0x1fffffff,0x03ffffee,
    0xfffff300,0x7fffd409,0x7ffffdc7,0x7ffcc000,0x3fea04ff,0x3fee07ff,
    0x4c000fff,0x4c4fffff,0xffffffff,0xffffffff,0xff31ffff,0xff700dff,
    0x261fffff,0xffffffff,0xffffffff,0x4001ffff,0x01fffff9,0x37fea000,
    0xffff3000,0xffffffff,0xffffffff,0x2fffff43,0xffffe800,0x3fffea07,
    0x2fffff47,0xffffe800,0x3fffea07,0x3ffffa07,0xfffd0005,0xffff98ff,
    0xffffffff,0xffffffff,0x0dffff31,0x3fffffa0,0xfffff30f,0xffffffff,
    0x3fffffff,0xffff9800,0x7c00001f,0x3fe6004f,0xffffffff,0xffffffff,
    0xffff51ff,0x3ee0005f,0xf502ffff,0x7fd4ffff,0x70002fff,0x205fffff,
    0x507ffffa,0x005fffff,0x3ffffee0,0x3ffffe62,0xffffffff,0x1fffffff,
    0x00dffff3,0x3fffffe6,0xffffff30,0xffffffff,0x03ffffff,0xfffff980,
    0x7fc00001,0x3ffe6004,0xffffffff,0xffffffff,0xfffffb1f,0x7ffc4000,
    0xfff505ff,0x7fffecff,0x3fe20007,0xff505fff,0x3ff60fff,0x220007ff,
    0x265fffff,0xffffffff,0xffffffff,0xff31ffff,0x7e400dff,0xff30ffff,
    0xffffffff,0xffffffff,0xf98003ff,0x0001ffff,0x0001f740,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x7644eeeb,0xffb003ee,0x3b200dff,0x7776c3ee,0x3eeec802,
    0x0017776c,0x40000010,0x7742eeed,0xd50001ee,0xeeeb8bdd,0x00000004,
    0x0d440000,0x06a60000,0x00d55400,0x41bfffe6,0x7ec5fffc,0xff8804ff,
    0xfb000eff,0xfffe89ff,0x4fffe803,0x001ffffc,0x0016ffdc,0x1ffffc00,
    0x000bfffe,0x323fffdc,0x00006fff,0xd10026a6,0xfecb8007,0x0cdeffff,
    0xffffb800,0x3fee004f,0x7ffcc01f,0xbfff906f,0x804fffd8,0x000efffc,
    0xfd13fff6,0xffd007ff,0x3ffff89f,0x7f7fdc00,0x7c00000f,0x7ffc3fff,
    0xff70002f,0x6fffc8ff,0x3fb2e000,0x0cefffff,0x4c027ff4,0xfffffffe,
    0x003fffff,0x3ffffff6,0xbfff006f,0xdffff300,0xb17fff20,0xf8809fff,
    0x6c000fff,0x7ff44fff,0xfffe803f,0x01ffffc4,0x1fd43fa0,0x3ffe0000,
    0x17fffc3f,0x7fffb800,0x0037ffe4,0x7fffff4c,0xcfffffff,0x405fffd8,
    0xfffffffc,0xffffffff,0x7ffd400e,0x03ffffcf,0x400fffdc,0x506ffff9,
    0xccb87999,0x7ffe402c,0xcccb8001,0x016665c2,0x3216665c,0x22001ccc,
    0x0017e25f,0x83999900,0x0001cccc,0xca899993,0x7e4003cc,0xffffffff,
    0xffffffff,0x3fa00eff,0xffffffff,0xffffffff,0x3fffa01f,0x01ffff10,
    0x9802fffc,0x0006ffff,0x03999000,0x00d44000,0x80000000,0x02fd8afe,
    0x00000000,0x80000000,0xfffffffe,0xffffffff,0x200effff,0xfffffffc,
    0xffecbabd,0xf106ffff,0xfffd8dff,0x03fff701,0x3bfffe60,0x00fffff9,
    0x1fffff30,0xca880000,0xdefffffe,0x7fd4000b,0x6c0007ff,0x002fffff,
    0x3fff2000,0xf98002ff,0xffffffff,0xffffffff,0xfff905ff,0x5379dfff,
    0xffffffb7,0x7ffc403f,0x2e00dfff,0x83ffffff,0x7ec5fff9,0xbfff02ff,
    0x7fffcc00,0x0fffff9e,0xfffff300,0x3ffffd41,0xfffff500,0xffffffff,
    0x7ffd4007,0x3e20007f,0x005fffff,0xffff1000,0xf3000bff,0xffffffff,
    0xffffffff,0xfff10bff,0xea80bfff,0x204fffff,0x03fffffd,0xffffff30,
    0x44fffa81,0xfb83fffc,0x3e6001ff,0xfff9efff,0xff3000ff,0x7fd41fff,
    0xfc8807ff,0xffffffff,0x0dffffff,0x7ffffa80,0x3ffee000,0x0000ffff,
    0xfffffb80,0x7cc000ff,0xffffffff,0xffffffff,0xfffd85ff,0xff9803ff,
    0xa80fffff,0x006fffff,0x2fffffdc,0xf917ffe6,0xbfff05ff,0xffff9800,
    0x0fffff9e,0xfffff300,0x3ffffd41,0x7fffff40,0xffffffff,0x401fffff,
    0x007ffffa,0x3fffffa0,0x800004ff,0xfffffffe,0x7ffcc004,0xffffffff,
    0xffffffff,0x7ffffd45,0xffff8805,0xfc83ffff,0x8001ffff,0x447ffffe,
    0x7fec5fff,0x0fffdc1f,0x3fffe600,0x0fffff9e,0xfffff300,0x3ffffd41,
    0x3fffff20,0xecaabdff,0x06ffffff,0x03ffffd4,0xfffff980,0x00007fff,
    0x7fffffcc,0x7cc007ff,0xccccffff,0xcccccccc,0x7ffe42cc,0x7f4401ff,
    0x7fffffff,0x05ffffd8,0xfffff700,0x7c7fff81,0x7ffc0fff,0xfff98005,
    0xfffff9ef,0xffff3000,0x7fffd41f,0x3fffe607,0x3ea00dff,0x203fffff,
    0x007ffffa,0xffffff90,0x00005fff,0x7fffffe4,0x26002fff,0x000fffff,
    0xbffffb00,0x79fffd00,0xe81fffff,0x0004ffff,0x83fffff3,0xfc9dfffc,
    0x7ffdc5ff,0xfff98001,0xfffff9ef,0xffff3000,0x7fffd41f,0x3ffffa07,
    0xffd1003f,0x3ea01fff,0xf0007fff,0xfffdffff,0x7c0000bf,0xfffeffff,
    0x3fe6005f,0x00000fff,0x809fffff,0xff55fffd,0xfff83fff,0xf10003ff,
    0xf885ffff,0xffffffff,0x002fffc1,0x9effff98,0x000fffff,0x41fffff3,
    0x507ffffa,0x00dfffff,0x4fffffa8,0x0fffff50,0xdffff500,0x01fffff3,
    0xffff5000,0x1fffff3d,0x3fffe600,0xf880000f,0x3203ffff,0x3fe66fff,
    0x3fe22fff,0x20002fff,0x983fffff,0x2ffffffe,0x000fffdc,0x9effff98,
    0x000fffff,0x41fffff3,0x907ffffa,0x003fffff,0x0fffffd0,0x01ffffea,
    0x4fffff60,0x004ffffe,0x3ffffd80,0x009ffffd,0x03ffffe6,0x3ffe6000,
    0xfff902ff,0x7fffc41d,0x3fffea4f,0x3fe0001f,0x97104fff,0xfff017bd,
    0x3e60040b,0xfff9efff,0xff3000ff,0x7fd41fff,0xffff07ff,0x3ea000bf,
    0xfa80ffff,0x44007fff,0xf70fffff,0x8000ffff,0x70fffff8,0x200fffff,
    0x00fffff9,0xffffa800,0xffffb81f,0x5fffff80,0x0bffffe6,0xfffff800,
    0x7fdc0004,0x7ffecc1f,0xffff983e,0x0fffff9e,0xfffff300,0x3ffffd41,
    0x27ffffc4,0xffff9800,0xffffa81f,0x7ffdc007,0x3fffe25f,0x3ee0002f,
    0x3fe25fff,0xf9802fff,0xaaabffff,0xaaaaaaaa,0x7fffcc1a,0x7fffd42f,
    0x9fffff01,0x1fffffc4,0xffff8800,0x7fc0002f,0x7fffdc5f,0x3e60dfff,
    0xfff9efff,0xff3000ff,0x7fd41fff,0xfff887ff,0xf10003ff,0xf505ffff,
    0xe800ffff,0x7f42ffff,0x20005fff,0x742ffffe,0x9805ffff,0xffffffff,
    0xffffffff,0x7ffc44ff,0x3ffe63ff,0xffff102f,0xfffff87f,0xfff30004,
    0x5c0003ff,0x3fe21fff,0x3ffffeff,0x27bfffe6,0x000fffff,0x41fffff3,
    0x987ffffa,0x002fffff,0x13ffffe0,0x01ffffea,0x0fffff98,0x0fffffd4,
    0x7fffcc00,0x7fffd40f,0x7ffcc01f,0xffffffff,0x4fffffff,0x15fffff8,
    0x4c07ffff,0x6c1fffff,0x0005ffff,0x01fffff7,0x17ffe200,0x3e27fff9,
    0xfff30fff,0xfffff3df,0x3ffe6001,0x3ffea0ff,0xffffa87f,0x3fa0001f,
    0xffa85fff,0x3f6007ff,0xff885fff,0xd8004fff,0xf885ffff,0x4c04ffff,
    0xffffffff,0xffffffff,0xfffe84ff,0x4fffe8ef,0x7ffffd40,0x7ffffe40,
    0xfd05d700,0x4000ffff,0x7f41fffb,0x3fff60ff,0x3dffff32,0x001fffff,
    0x83ffffe6,0x987ffffa,0x002fffff,0x13ffffe0,0x01ffffea,0x17ffffc4,
    0x07ffffd8,0x7ffffc40,0xfffffb02,0xfffff980,0xffffffff,0xd84fffff,
    0xffefffff,0xfffe804f,0xffffa87f,0x3dffd05f,0x17ffffea,0x2fffc400,
    0x3ee37ffc,0xffff33ff,0x1fffff3d,0x3fffe600,0x3fffea0f,0xfffff887,
    0xfff10003,0xfff507ff,0x3fee00ff,0x3fea07ff,0x2e002fff,0x2a07ffff,
    0x202fffff,0x9afffff9,0x99999999,0xff980999,0x05ffffff,0x5fffffa8,
    0x3fffffd0,0xdfffffa8,0x01fffffe,0x83fff700,0x7dc6fff8,0xffff34ff,
    0x1fffff3d,0x3fffe600,0x3fffea0f,0x9fffff07,0x3ffe6000,0xfffa81ff,
    0xfffd007f,0x999999df,0x0bfffff9,0x77ffff40,0xfccccccc,0x2605ffff,
    0x000fffff,0x3ffff600,0xfe8806ff,0xf301ffff,0xa87fffff,0xfffffffe,
    0xf10004ff,0xfff10bff,0x34fffb8d,0xff3dffff,0x2a001fff,0x2a0fffff,
    0xfb07ffff,0x2000bfff,0x80fffffb,0x807ffffa,0xfffffff9,0xffffffff,
    0x9801ffff,0xffffffff,0xffffffff,0xff301fff,0x00001fff,0x7fffffcc,
    0x7fff4c03,0x7fe404ff,0x89bdffff,0xffffffe9,0xf70000ff,0x3ffe03ff,
    0x99fffdc6,0xff8effff,0xf5001fff,0xffa8ffff,0xfff907ff,0xfd0003ff,
    0x3ea0ffff,0xfc807fff,0xffffffff,0xffffffff,0xffc804ff,0xffffffff,
    0xffffffff,0xffff304f,0xe800001f,0x9dffffff,0xffff9510,0xff100dff,
    0xffffffff,0xffffffff,0x3e20009f,0x3ffa05ff,0x4bfff60f,0xff6ffff9,
    0x32007fff,0x7d46ffff,0xff507fff,0xb800dfff,0x505fffff,0xf00fffff,
    0xffffffff,0xffffffff,0xff00ffff,0xffffffff,0xffffffff,0x3fe60fff,
    0x00000fff,0x3fffffea,0xffffffff,0x02ffffff,0xfffffb10,0xffffffff,
    0x05dfffff,0x01fffb80,0x7cd3fff2,0xfff30fff,0x3ffffadf,0x7ffc400f,
    0x7ffd45ff,0x3fffa07f,0xff1003ff,0x2a03ffff,0x5407ffff,0xeeefffff,
    0xeeeeeeee,0x202fffff,0xeefffffa,0xeeeeeeee,0x82fffffe,0x00fffff9,
    0xffff5000,0xffffffff,0xdfffffff,0xfff50003,0xffffffff,0xffffffff,
    0xfff1003b,0xffff880b,0x263fffff,0xff96ffff,0xfd80bfff,0x7d43ffff,
    0x3e607fff,0x405fffff,0x4ffffffa,0x1ffffea0,0x0bffffb0,0x5fffff80,
    0x17ffff60,0xbfffff00,0x1fffff30,0xfff30000,0xfffff77f,0xffffffff,
    0xdb880009,0xdffffffe,0xfffffeab,0xfffb802f,0xffffa801,0x22005fff,
    0xdfffffff,0xfffeb99b,0x7fd40fff,0x7fe407ff,0x9aceffff,0xfffffdba,
    0x3fea00ff,0x3fe207ff,0x64002fff,0x881fffff,0x002fffff,0x0fffffe4,
    0x33ffffe6,0xcccccccc,0x70cccccc,0x7dc47fff,0xefffffff,0x3000001c,
    0x3fee0155,0xff8806ff,0x3b62005f,0xc8002dff,0xffffffff,0xffffffff,
    0xffffa83f,0x7fffc407,0xffffffff,0x2fffffff,0x3ffffd40,0x1fffff70,
    0xffff9800,0xffffb84f,0x7fcc000f,0x7fcc4fff,0xffffffff,0xffffffff,
    0x013ea1ff,0x00015533,0xd8800000,0x000002ff,0x36200000,0xffffffff,
    0xefffffff,0x7ffffa80,0xffffd880,0xffffffff,0xa801efff,0x3a07ffff,
    0x0005ffff,0xd0fffffd,0x000bffff,0x31fffffa,0xffffffff,0xffffffff,
    0x0183ffff,0x00000000,0x000e2000,0x00000000,0x7fffffdc,0x3fffffff,
    0x1ffffea0,0xfffffa80,0xffffffff,0x3ffea004,0xffff507f,0x3ee0005f,
    0x3ea2ffff,0x0002ffff,0x45fffff7,0xfffffff9,0xffffffff,0x001fffff,
    0x00000000,0x00000000,0x20000000,0xffffffd9,0x5401dfff,0x4007ffff,
    0xfffffdc8,0x4001ceff,0xb07ffffa,0x000fffff,0x2fffffc4,0x00fffffb,
    0x7ffffc40,0x3ffffe65,0xffffffff,0x1fffffff,0x00000000,0x00000000,
    0x00000000,0x55555300,0x7ffd4003,0x4c40007f,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x55540000,0x540001aa,0x0001aaaa,0x0009a988,0x05555500,
    0x41aaa980,0x0001aaaa,0x00555553,0x006aaaaa,0x15555400,0xaaaa8000,
    0xaaa9802a,0x00d55541,0x2aaaa980,0x15555510,0x2efea800,0xffff5000,
    0xffa8000f,0x710006ff,0x9ffffffd,0x3fee0001,0x32003fff,0x7fec5fff,
    0xfff0004f,0x3ee005ff,0x80006fff,0x03fffffb,0x7fffc400,0xfffd801f,
    0x027fff45,0x2fffff80,0x17ffff20,0xffeffa80,0xfff70001,0xfb80007f,
    0x44002fff,0xfffffffe,0x4c002fff,0x1fffffff,0x8bfff900,0x8004fffd,
    0x003ffffb,0x017fffdc,0xfffff300,0x640003ff,0xb001ffff,0xffe8bfff,
    0xffb8004f,0xffd803ff,0x3fb001ff,0xb80017e6,0x80006fff,0x2006fffc,
    0xfffffff8,0x01ffffff,0x3f3fffa0,0xff9006ff,0x4fffd8bf,0x3fffe800,
    0xdfff9000,0x7fff4000,0x0006fffc,0x005ffff1,0x3a2fffec,0xe8004fff,
    0x36003fff,0xff004fff,0x640007f8,0x80002fff,0x9002fffc,0xfbffffff,
    0x00bfffff,0x7e4ffff2,0xffc804ff,0x27ffec5f,0x13ffea00,0x3fff9000,
    0x9fff9000,0x0013fff2,0x000fffee,0xfe8bfffb,0x7d4004ff,0xfe8004ff,
    0xbfc800ff,0x80004fb8,0x00006ffc,0x3a00bffb,0x7ec5ffff,0xfa806fff,
    0x7fff45ff,0x00000001,0x0002fff4,0x4005ffd8,0x7f46fffa,0x7fc001ff,
    0x0000003f,0x05ffe800,0x09ffd100,0x3fffff30,0x06660000,0x01998000,
    0x0fffff88,0x03ffffd4,0x00000000,0x00ccc000,0x00666000,0x30000000,
    0x00000033,0x00666000,0x00133100,0x0002fb22,0x00000000,0x6ffff980,
    0x04ffffa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66f6dc40,0xeca8000a,0x00adeefe,0xb0bffff5,0x2205ffff,
    0x5401aaaa,0x2a00aaaa,0xadeefeec,0x3bb2a000,0x100adeef,0xa8035555,
    0x2a00aaaa,0xadeefeec,0x3b2a2000,0x54402bde,0x55401aaa,0x55510aaa,
    0xaaaa8035,0xaaaa880a,0x7f765402,0x1000adee,0xfffffffb,0x3ea009ff,
    0xffffffff,0xfffa81ff,0x7fffcc5f,0xffff500f,0xffffe80b,0xfffffa82,
    0x01ffffff,0x7fffffd4,0xa81fffff,0x7405ffff,0xfa82ffff,0xffffffff,
    0xffb801ff,0x0effffff,0x0bffff50,0x52ffffe8,0xe80bffff,0xf982ffff,
    0xff506fff,0xffffffff,0xfff9803f,0xffffffff,0x3fea01ef,0xffffffff,
    0x7fdc2fff,0x7ffe45ff,0x3ffea04f,0x7fff405f,0x7fffd42f,0xffffffff,
    0xffff502f,0xffffffff,0xffffa85f,0x7ffff405,0x7ffffd42,0xffffffff,
    0xffffb102,0x5fffffff,0x0bffff50,0x52ffffe8,0xe80bffff,0xf982ffff,
    0xffa86fff,0xffffffff,0xff102fff,0xffffffff,0x301fffff,0xffffffff,
    0x8fffffff,0x225ffffb,0x200fffff,0x405ffffa,0x262ffffe,0xffffffff,
    0x87ffffff,0xfffffff9,0x7fffffff,0x02ffffd4,0x98bffffa,0xffffffff,
    0x07ffffff,0xfffffff9,0x83ffffff,0x405ffffa,0xf52ffffe,0xfe80bfff,
    0xff982fff,0x7ffcc6ff,0xffffffff,0xffd07fff,0xb757dfff,0x90bfffff,
    0x215dffff,0x1fffffc9,0xb97fffee,0x5406ffff,0x7405ffff,0x3f22ffff,
    0x930aefff,0xc83fffff,0x30aeffff,0x43fffff9,0x405ffffa,0x322ffffe,
    0x30aeffff,0x83fffff9,0xaefffff9,0x5ffffeb8,0x02ffffd4,0x54bffffa,
    0x7405ffff,0xf982ffff,0x7fe46fff,0xf930aeff,0xfa83ffff,0xf704ffff,
    0xed87ffff,0xfff01fff,0x7ffdc5ff,0x3ffff25f,0x3ffea00f,0x7fff405f,
    0x3fffb62f,0x5fffff01,0x01fffed8,0x545fffff,0x7405ffff,0x3b62ffff,
    0xfff01fff,0xfffe85ff,0xffffb03f,0x2ffffd43,0x4bffffa0,0x405ffffa,
    0x982ffffe,0x76c6ffff,0xfff01fff,0xfffc85ff,0x7ffec05f,0x4033107f,
    0x2e3ffffc,0x3ea5ffff,0x2a05ffff,0x7405ffff,0x9882ffff,0x3ffff201,
    0x64033103,0x3ea3ffff,0x7f405fff,0x19882fff,0x8fffff20,0x207ffff9,
    0x2a5ffff8,0x7405ffff,0xff52ffff,0xffe80bff,0xfff982ff,0x4033106f,
    0x743ffffc,0x4401ffff,0x000fffff,0x7ffff544,0x17fffee3,0x0bffffff,
    0x017fffea,0x005ffffd,0xffffea88,0xfea88003,0x3fea3fff,0x7ff405ff,
    0x544002ff,0x2a3ffffe,0x7405ffff,0x3fea7fff,0x7ff405ff,0xffff52ff,
    0xffffe80b,0x6ffff982,0xffea8800,0x3ffe23ff,0xfffd007f,0xedb8805f,
    0x3fffffff,0x317fffee,0x09ffffff,0x80bffff5,0x402ffffe,0xffffedb8,
    0xb8803fff,0xffffffed,0x3fffea3f,0x7ffff405,0x7f6dc402,0x23ffffff,
    0xaadffffb,0xffeaaaaa,0x3fffea7f,0x7ffff405,0x0bffff52,0x82ffffe8,
    0x806ffff9,0xffffedb8,0x3fea3fff,0xffb006ff,0xfd9307ff,0xffffffff,
    0x7ffdc7ff,0xffffa85f,0x7ffd43ff,0x7fff405f,0xffec982f,0xffffffff,
    0xffd9303f,0xffffffff,0x7fffd47f,0x7ffff405,0xfffec982,0xffffffff,
    0x3fffff23,0xffffffff,0xff50ffff,0xffe80bff,0xffff52ff,0xffffe80b,
    0x6ffff982,0xffffd930,0x7fffffff,0x037fffdc,0x44ffffd8,0xfffffffb,
    0x3ffffeef,0x417fffee,0x1ffffffa,0x017fffea,0xb85ffffd,0xffffffff,
    0x83ffffee,0xfffffffb,0x3ffffeef,0x017fffea,0xb85ffffd,0xffffffff,
    0x23ffffee,0xfffffffd,0xffffffff,0xffff51ff,0xffffe80b,0x0bffff52,
    0x82ffffe8,0xb86ffff9,0xffffffff,0x23ffffee,0x007ffffa,0x645ffffd,
    0xacefffff,0x47ffff70,0x205ffffb,0x26fffffa,0x405ffffa,0x322ffffe,
    0xacefffff,0x87ffff70,0xcefffffc,0x7ffff70a,0x02ffffd4,0xc8bffffa,
    0xacefffff,0x47ffff70,0xeeeffffc,0xeeeeeeee,0xffff51ee,0xffffe80b,
    0x0bffff52,0x82ffffe8,0x646ffff9,0xacefffff,0x47ffff70,0x00fffff9,
    0x11fffff8,0x207fffff,0x2e3ffffc,0x5405ffff,0xf51fffff,0xff80dfff,
    0xfff12fff,0x3ff207ff,0x3ffe23ff,0xfff903ff,0x7fffd47f,0x7ffffc06,
    0x7fffff12,0x8fffff20,0x004ffffb,0x1bfffea0,0x25fffff0,0x406ffffa,
    0x982fffff,0x3e26ffff,0xf903ffff,0xfff87fff,0x7fd403ff,0x3ffea7ff,
    0x3fff606f,0x3fffee3f,0xffffe805,0x0dffff33,0x97ffffc4,0x206ffffa,
    0x2a3ffffd,0x3606ffff,0x3e63ffff,0x3e206fff,0xff52ffff,0x7fec0dff,
    0x3ffea3ff,0xf300405f,0x7c40dfff,0xff32ffff,0x7fc40dff,0xff982fff,
    0x3ffea6ff,0x3fff606f,0x7fffe43f,0xfffd100f,0x7fffe4bf,0xffffd104,
    0x2ffffdc7,0xa7fffe40,0x00fffff8,0x25fffff9,0x104ffffc,0x647ffffd,
    0xd104ffff,0x7c47ffff,0xf900ffff,0x3f25ffff,0xfd104fff,0x7fc47fff,
    0xff501fff,0x7ffc479d,0xfff900ff,0x3ffe25ff,0xfff900ff,0xfff305ff,
    0x7fffe4df,0xffffd104,0xfffff987,0x7fff4c2f,0x3ffee0ff,0xfffd80ff,
    0x3ffee4ff,0xe88f545f,0x3fe2ffff,0xffb85fff,0xff72ffff,0xffb01fff,
    0x7fdc9fff,0xffd80fff,0x7ffc4fff,0xfffb85ff,0xfff72fff,0xfffb01ff,
    0xfffc89ff,0x7ffc42ef,0x7fffc5ff,0xffffb85f,0x3fffe2ff,0xffffb85f,
    0xfff982ff,0x3fffee6f,0xffffd80f,0xffffc84f,0xffffefff,0x7fd43fff,
    0xfc9befff,0x24ffffff,0xd35ffffb,0xffffdfff,0x7fff41ff,0xfffcceff,
    0xf52fffff,0x937dffff,0x9fffffff,0x77ffffd4,0xfffffc9b,0x7fff44ff,
    0xfffcceff,0xf52fffff,0x937dffff,0x9fffffff,0xffffff88,0xfffffdbe,
    0x7ffff40f,0xffffccef,0x3fa2ffff,0xfcceffff,0x2fffffff,0x26ffff98,
    0xbefffffa,0xffffffc9,0xffffd04f,0xffffffff,0x3fffa0bf,0xffffffff,
    0x3ee5ffff,0xfff55fff,0x9fffffff,0xffffffa8,0xffceffff,0x3fffa2ff,
    0xffffffff,0x7f45ffff,0xffffffff,0x45ffffff,0xfffffffa,0xfffcefff,
    0x3ffffa2f,0xffffffff,0xffa85fff,0xffffffff,0xffa83fff,0xffffffff,
    0x22ffffce,0xfffffffa,0xfffcefff,0xffff982f,0x7fffff46,0xffffffff,
    0x3fee05ff,0xffffffff,0x3ffe202f,0x8dffffff,0xf70fffff,0x7fd4bfff,
    0x06ffffff,0xfffffff7,0xffff71df,0x7ffffc45,0xff8dffff,0x3fe20fff,
    0xdfffffff,0x40fffff8,0xfffffffb,0xffffb8ef,0x3ffffe22,0xff8dffff,
    0xff980fff,0xffffffff,0x3ffee03f,0xb8efffff,0x7dc2ffff,0xefffffff,
    0x82ffffb8,0x446ffff9,0xffffffff,0xfffff8df,0x3ff6e600,0x800defff,
    0xefffffc8,0x4fffff23,0x545ffffb,0x03fffffd,0x77ffff5c,0x0bfffee4,
    0xdfffff91,0x1ffffe47,0x3fffff22,0x3ffff23e,0xffffeb83,0x3fffee4e,
    0x7fffe442,0x3fff23ef,0xffd9103f,0x0039ffff,0x9dffffd7,0x417fffdc,
    0x4effffeb,0x20bfffee,0x886ffff9,0x3efffffc,0x00fffff2,0x00009a88,
    0x00013531,0x001a9800,0x000054c4,0x00026a62,0x00135310,0x00153100,
    0x009a9880,0x4d54c000,0x0a988000,0x0a988000,0x22000000,0x000009a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0x55541aaa,0x5554000a,0x00aaaa82,0x5506aaaa,
    0x2a000355,0x00002aaa,0x0155554c,0x0aaaaa88,0x000c4000,0x00026620,
    0x22000331,0x19880019,0x00331000,0x00555440,0x00555551,0x7c4fffe8,
    0x22003fff,0xfff87fff,0x3fffa01f,0x01ffff44,0x7ffffd40,0x3fa00004,
    0x32003fff,0x8005ffff,0x1dffffd8,0x00ffd800,0x003ffe60,0x800bff30,
    0x4000fff9,0x20005ff9,0x3201fffc,0x002fffff,0xff13fffa,0x7d4007ff,
    0x7ffcc5ff,0x27fff407,0x000ffffa,0xfffffff1,0xff500003,0xf90009ff,
    0xe8003fff,0x0fffffff,0x00ffea00,0x00ffff98,0x0007fec0,0x001ffff3,
    0x0000ffd8,0xfa81fffa,0x00ffffff,0xf89fffd0,0x32003fff,0x7fd43fff,
    0x7fff406f,0x01ffff44,0x3f3fffa0,0x40000eff,0x0004fffe,0x8017fff6,
    0xffbcfffb,0x3ffa003f,0xfffd9800,0x3ea000ff,0xffb3004f,0x54001fff,
    0x220004ff,0xff105fff,0x0bfffbff,0xf13fffa0,0x6c007fff,0x7fe42fff,
    0x7fff404f,0x01ffff44,0x329fff70,0x20004fff,0x0005fff9,0x000fffd8,
    0x7fe47ffb,0x05ff7007,0xffffff30,0x7ff4001f,0xffff9800,0x3a000fff,
    0x2a0000ff,0xffb03fff,0x0bfffa5f,0xf0000000,0xffe81fff,0x0000002f,
    0xd8dfff30,0xb0002fff,0x20000bff,0x4004ffe8,0x017ffa60,0x4c01bfe2,
    0x0fffcdff,0x007ff700,0x3ff37fe6,0x7ff7000f,0xfffb8000,0x24fffb82,
    0x000ffff8,0xff100000,0x3ffff0ff,0x00000000,0x99800000,0x4c400001,
    0xfff00009,0xff9001df,0x54726003,0xf8800fff,0x4726006f,0x8800fffa,
    0xd80006ff,0x00000fff,0x31000000,0xdfff7333,0xffff5333,0x00000133,
    0x00000000,0x00000000,0xdffff880,0x02ffc400,0x01fff500,0x0005ff90,
    0x4007ffd4,0x80002ffc,0x00006fff,0x77654400,0x7fe402bd,0xffffffff,
    0xffffffff,0xedb8803f,0x20000acd,0x0acdedb8,0x3b6e2000,0x88000acd,
    0x02bdeeca,0x7ff5e4c0,0x07ff600e,0x0fffa800,0x002ffc40,0x003ffea0,
    0x0000bff1,0x8809fff3,0x02bdeeca,0x7ffffdc0,0xf900efff,0xffffffff,
    0xffffffff,0x3f6207ff,0xffffffff,0x3ff62004,0x4fffffff,0x3fff6200,
    0x04ffffff,0x3ffffee0,0x8000efff,0xf303fff8,0xfa80009f,0x7fec00ff,
    0x7fd40001,0x0ffec00f,0x7ffdc000,0x3fffee02,0x400effff,0xffffffd8,
    0xc82fffff,0xffffffff,0xffffffff,0xff983fff,0xffffffff,0x7cc01eff,
    0xffffffff,0x4c01efff,0xffffffff,0x201effff,0xffffffd8,0x882fffff,
    0x7ffc1cca,0x001ffd05,0x00fffa80,0x00013fe6,0x9803ffea,0xb00004ff,
    0xfb101fff,0xffffffff,0x7fe405ff,0xffffffff,0x775c1fff,0xeeffffee,
    0xeeffffee,0x7fffc42e,0xffffffff,0xff100fff,0xffffffff,0x201fffff,
    0xfffffff8,0xffffffff,0xfffff900,0xffffffff,0x54bffb03,0xffa83fff,
    0xffa80003,0x03ffa00f,0x3ffea000,0x003ffa00,0x837ffc00,0xfffffffc,
    0x81ffffff,0xaefffff9,0x5ffffeb8,0x22fffd40,0x7407fff9,0xabefffff,
    0x5fffffdb,0xdfffffd0,0xffffb757,0x3fffa0bf,0xfdbabeff,0xf985ffff,
    0xb8aeffff,0x985ffffe,0xfffeffff,0x006fe80f,0x01fff500,0x0000ffea,
    0xa807ffd4,0x300003ff,0xff309fff,0xd715dfff,0xfd0bffff,0x3f607fff,
    0x3f201fff,0x7ffd43ff,0x3fffea05,0xffff704f,0xffffa87f,0xffff704f,
    0xffffa87f,0xffff704f,0xffffe87f,0x3ffffb03,0xffffff90,0x05ff703d,
    0x3ffea000,0x000dfd00,0x807ffd40,0x200006fe,0xfe82fffb,0xffb03fff,
    0x7ffcc3ff,0x3ffe207f,0x3fff605f,0x027ffe42,0x80bffff9,0x647ffffd,
    0x6c05ffff,0x7e47ffff,0x7ec05fff,0x3fe67fff,0x3fe207ff,0xdd9305ff,
    0x1bfe207b,0x93006620,0x0bfee099,0x664c0010,0x005ff704,0xffd80331,
    0x7fffcc0f,0x3fffe207,0x17fffea5,0x40ffffd0,0x7ec0ffff,0x3ffa02ff,
    0x7fc401ff,0x3ffa0fff,0x7fc401ff,0x3ffa0fff,0x7fc401ff,0xfff50fff,
    0xfffe80bf,0xffc80007,0x03ffd401,0x21bfe200,0x1dfffec8,0x37fc4000,
    0x203ffd40,0xffa87fff,0x7ff405ff,0x3fffee7f,0xaaaaaaad,0xf307fffe,
    0xffff0fff,0x3fffe201,0xffffd007,0x1ffffe25,0x97ffff40,0x007ffff8,
    0x2e5ffffd,0xaaadffff,0xfffeaaaa,0x7fcc0007,0x3fffcc05,0x07ff2000,
    0xfffffff3,0x7e40005f,0x7ffcc01f,0x17ffe207,0x2b7fffee,0xfeaaaaaa,
    0x3fff27ff,0xffffffff,0x70ffffff,0xdffffddd,0xdffffddd,0x3fea5ddd,
    0xffb006ff,0x3ffea7ff,0xfffb006f,0x3fffea7f,0xffffb006,0x3fffff27,
    0xffffffff,0x0000ffff,0xe8803ff6,0x20007fff,0xffe85ff9,0x0fffecdf,
    0x05ff9800,0x03ffff44,0xf907fff5,0xffffffff,0xffffffff,0x3fffff61,
    0xffffffff,0xff91ffff,0xffffffff,0xffffffff,0x3fffee7f,0xffffb006,
    0x1bfffee9,0xa7fffec0,0x006ffffb,0x369ffffb,0xffffffff,0xffffffff,
    0xff50001f,0xffffd809,0x3ff60007,0x31fffc40,0xb0005fff,0xffd801ff,
    0x3ff207ff,0xffffd81f,0xffffffff,0xf91fffff,0xdddddfff,0xdddddddd,
    0x3fffff23,0xffffffff,0x53ffffff,0x200fffff,0xf52ffffe,0x3a00ffff,
    0xff52ffff,0x3fa00fff,0xfff92fff,0xdddddddf,0x03dddddd,0x803ffa00,
    0x07ffeffc,0x109ff500,0x7fcc1975,0x7fd4001f,0x7effe404,0x1fffa07f,
    0x777fffe4,0xeeeeeeee,0xfff71eee,0x7e40009f,0xffffffff,0xffffffff,
    0xffff33ff,0xffff001f,0x3fffe63f,0xffff800f,0xfffff31f,0xfffff001,
    0x13fffee3,0x7dc00000,0x37fea03f,0xd0007ff9,0xfd8001ff,0xffe8007f,
    0x277fea00,0xfff107ff,0x3fffee0b,0x3fea0004,0x100405ff,0x33ffff53,
    0x33ffff33,0x7ffc1333,0x7fd403ff,0x7fffc7ff,0x7ffd403f,0x7ffffc7f,
    0x7fffd403,0x17fffea7,0xf1000010,0x77fcc0df,0x8007ff98,0x22003ffb,
    0x4002fffd,0x3e603ffb,0x07ff98ef,0x2a07fff5,0x0405ffff,0x3fffff10,
    0x0f3bfea0,0xf117ffea,0xff900fff,0x3a201fff,0x7e45ffff,0xd100ffff,
    0xfc8bffff,0xd100ffff,0x7c4bffff,0xf501ffff,0x900079df,0x3fe205ff,
    0x00fff31f,0x2006ff88,0x004fffe9,0xd1037fc4,0x1ffe63ff,0x880fffe4,
    0x501fffff,0xfc879dff,0x7c42efff,0xfc85ffff,0x7ffd43ff,0xffff9805,
    0x7ff4c2ff,0x7fcc0fff,0x74c2ffff,0x4c0fffff,0x42ffffff,0x0fffffe9,
    0x177fffe4,0x17ffffe2,0x40bff100,0xfdcceffd,0xf9004cff,0x3fe6005f,
    0xfc8003ff,0x3bff602f,0x4cfffdcc,0x3203fff4,0x442effff,0x445fffff,
    0xbeffffff,0x0ffffffd,0x642fffe8,0xf9003fff,0xfdffffff,0x07ffffff,
    0x3ffffff2,0xffffffef,0xffff903f,0xffffdfff,0xff107fff,0xfb7dffff,
    0x001fffff,0x3a01ffd8,0xffffffff,0xff8807ff,0xffff5005,0xbff10005,
    0xfffffe80,0x227fffff,0x7c405fff,0xdbefffff,0x80ffffff,0xfffffffa,
    0x03ffffff,0xfd81ffff,0x3fa002ff,0xffffffff,0x7405ffff,0xffffffff,
    0x405fffff,0xfffffffe,0x05ffffff,0x3fffffea,0x3fffffff,0x027fcc00,
    0x3ffffffa,0xd807ffff,0xffa801ff,0x09999aff,0x401ffd80,0xfffffffe,
    0x3fea7fff,0xfffa803f,0xffffffff,0x3fe603ff,0xffffffff,0xffff303f,
    0x001ffff0,0xffffffb8,0x002fffff,0xfffffff7,0x2005ffff,0xfffffffb,
    0x9802ffff,0xffffffff,0xe8003fff,0xf30000ff,0x3fe600ff,0xffffd004,
    0x805fffff,0x20004ff9,0xffc87ff9,0xfff3001f,0xffffffff,0xffd91007,
    0x4039ffff,0x7c45fffa,0x730007ff,0xbdfffffb,0xfdb98001,0x00deffff,
    0x7ffedcc0,0x2000deff,0xfffffec8,0xfa8001cf,0x3e60003f,0x1ffd007f,
    0xfffff300,0x805fffff,0x20000ffe,0xffe87ff9,0x7f644007,0x01cfffff,
    0x01355300,0x88355530,0x00002aaa,0x00001351,0x00004d44,0x00013510,
    0x0026aa60,0x0006fe80,0x5403774c,0xdd7003ff,0xdddddddd,0x01ffd405,
    0x21bba600,0x40002aaa,0x00009aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09a98800,0x26200000,0xaaa8001a,0x00000002,0x001a8800,0xaa988000,
    0x98000009,0x30000009,0x00013553,0x00353000,0x00000000,0xfffb8000,
    0x0003ffff,0xfffedc88,0xe802dfff,0x710007ff,0x0059bfd9,0x7ff65440,
    0x00bdefff,0xfffc9800,0x02efffff,0xfffd9300,0x80003bff,0xffffffc9,
    0x00000cff,0xfffffd97,0x730003bd,0x0059bfdb,0x05fffc80,0xfffffd10,
    0x001dffff,0x3ffffea0,0xefffffff,0x03fff201,0xfffff300,0x8001bfff,
    0xfffffffa,0x03ffffff,0xffffd100,0xffffffff,0x7fdc007f,0xffffffff,
    0xffe98004,0xffffffff,0x30000dff,0xfffffffd,0x0019ffff,0x3ffffff6,
    0x98000dff,0x8805ffff,0xfffffffe,0x8005ffff,0xfffffffb,0xffffffff,
    0x05fff501,0x7ffffdc0,0x00efffff,0xfffffc88,0xffffffff,0x2e000dff,
    0xffffffff,0xffffffff,0xffffc805,0xffffffff,0x3fff2003,0xcbaabcef,
    0x002fffff,0x7fffffdc,0xffffffff,0x3ffa201f,0xffffffff,0x7ff4001f,
    0xffb805ff,0xfebacfff,0x2e003fff,0xffffffff,0xffffffff,0x4fff880e,
    0xfffff100,0xbfffffff,0xfffffd00,0xffffffff,0x003fffff,0xfffffff9,
    0xffffffff,0x7dc09fff,0xffefffff,0x401fffff,0x01dfffd8,0x04fffea8,
    0xffffffb0,0xffffffff,0x3fa01fff,0xffffffff,0x36006fff,0x805fffff,
    0x443ffffd,0x2005ffff,0xacfffffe,0xffffc999,0xdffd05ff,0x3ffff200,
    0xffffdabf,0x3fff201f,0xaabdffff,0xffffffec,0x7fffd406,0xbaacdfff,
    0xfffffffd,0xbffffd02,0x7ffffd43,0x17ffec04,0x1fffdc00,0x3ffffea0,
    0xffdaacef,0x986fffff,0xaaefffff,0x03fffffe,0x7fffff4c,0xfffe805f,
    0x6fffc81f,0xfffff100,0x7fffc401,0x1fff907f,0xfffff880,0x27fffec1,
    0xffffff98,0x3ffea00d,0xff103fff,0x401dffff,0x6fffffe8,0x07ffff88,
    0x40fffff7,0x0400effb,0x203fff30,0x3ffffff8,0xfffff510,0xffffc85f,
    0x5ffffd83,0xfffff910,0xfb00bfff,0xffd09fff,0x3fee00bf,0xffb805ff,
    0xffa80fff,0x7ffdc02f,0xffff985f,0xffffe80f,0xffd1003f,0xff901fff,
    0x26009fff,0x41ffffff,0x104ffffb,0x301dffff,0xb7303fff,0xf5037bff,
    0x3fff20df,0xffc801ff,0x7ffc5fff,0xfffa80ff,0xffffb87f,0x05ffffff,
    0x1fffffb8,0x00bffff2,0x037fffe4,0x0f77ffc4,0x2027ffc4,0xb03ffffd,
    0xfa85ffff,0x4006ffff,0x84fffffa,0x006fffff,0x16ffffdc,0x80bffff2,
    0x7fe4009a,0xfffff983,0xffc83fff,0x7ffffc43,0xffff1005,0x4cb9889d,
    0x0dffff30,0xfdffffff,0xf100bfff,0xfb1dffff,0x2001ffff,0x0cfffffa,
    0x3ffe0000,0x7ffff406,0x7ffff901,0x1fffffc8,0xffffe800,0x7ffffd47,
    0x00ab8002,0x00ffffea,0x30dff100,0xfd97dfff,0x6ff885ff,0x0fffffdc,
    0x00159500,0x4ffffc80,0xaafffff8,0x7005ffff,0xffffffff,0x44005fff,
    0xcfffffff,0xffd80002,0x3fffe00f,0xffff700f,0x5fffff89,0xffff5000,
    0x7fffec1f,0x26000006,0x0005ffff,0x3e21ffdc,0x6ffd84ff,0x3f21ffd8,
    0x00006fff,0xffff1000,0x1dfff03f,0x017fffea,0xffffffd8,0xd8002fff,
    0xffffffff,0xb8001bdf,0xff102fff,0x3ee01fff,0x3fe25fff,0x30004fff,
    0x743fffff,0x0005ffff,0x3ffffc00,0x03ff6000,0x3a20dff5,0x1ffcc0bd,
    0x00bffffb,0x65440000,0xf04fffff,0xffffa85b,0x3fff2005,0x000effff,
    0xfffffd10,0x7dffffff,0x3ffe6001,0xfffff104,0x37fffd40,0x07fffff1,
    0x3fffe200,0x3ffffe2f,0xa9800004,0xabfffffa,0xfd002aaa,0x007ff70d,
    0xfe93fe20,0x00004fff,0x3fffee00,0x540603ff,0x9805ffff,0xfffffffe,
    0x74c0002f,0xffffffff,0x003fffff,0x3e60dfff,0x3ea07fff,0x3fe66fff,
    0x20002fff,0xf14fffff,0x9807ffff,0xaaaaaaaa,0xffffb2aa,0xffffffff,
    0x217fe00f,0x20002ffd,0x3fffe6ff,0x0000003f,0x13fffff2,0x7fffd400,
    0x7fffd405,0x0fffffff,0xfffc8000,0xffffffff,0xffd804ff,0xffffa80f,
    0x3fffea07,0x3ffffea7,0x3ffa0001,0xffff15ff,0xfffd807f,0x7fffffff,
    0xfffffffb,0x00ffffff,0xfff09ff1,0xbff40003,0x02fffff8,0x3f600000,
    0x03ffffff,0x2ffffd40,0xffffff50,0x4bfffffd,0x2000ace9,0xfffffda8,
    0x05ffffff,0x540fffdc,0x2a07ffff,0x3e67ffff,0x0002ffff,0x453ffffe,
    0x403fffff,0xfffffffd,0xfffb7fff,0xffffffff,0x17fe00ff,0x8000bffa,
    0xffff16ff,0x0000007f,0x7fffe66c,0x3ea004ff,0xff105fff,0x3fa7ffff,
    0xff94ffff,0x510007ff,0xffffffd9,0x7fcc03ff,0xffff983f,0x3fffea07,
    0x3ffffe26,0xfff10003,0x7fffc7ff,0x7ffec04f,0x7fffffff,0xffff9997,
    0x0099999f,0x3ff61bfe,0xbff00203,0x027ffffc,0xf5000000,0x2003ffff,
    0x905ffffa,0x443fffff,0xfaffffff,0x0000ffff,0xfffffb88,0x2fffc04f,
    0x03ffffc4,0xf8bffff5,0x0004ffff,0x43fffff3,0x405ffffe,0xfffffffd,
    0xffd07fff,0x360001ff,0x05ffc87f,0xf9819df1,0x3ffffa4f,0x00000005,
    0x037fffec,0x05ffffa8,0x309fffff,0xffffffff,0x01300dff,0x3ffffa20,
    0x43ffec06,0x00fffff8,0xd89ffff7,0x0005ffff,0x41fffff7,0x407ffffd,
    0xfc999998,0xff887fff,0x320007ff,0x7ffcc2ff,0xc86ffd82,0x3fff22ff,
    0x56c4006f,0xffa80000,0xfa800fff,0xff885fff,0xff701fff,0x7fffffff,
    0x0dfffd70,0x3ffffd40,0x207ffee0,0x901fffff,0xfc89ffff,0x8001ffff,
    0x547ffffe,0x003fffff,0x87ffffb8,0x005ffffa,0x3217fe20,0xfdaaefff,
    0x47ff82ff,0x01fffffb,0x0f7ffee0,0xffff8800,0xfffa801f,0xffff985f,
    0x7fffe407,0xff306fff,0x2a001fff,0x200fffff,0xfe83fff9,0xffb02fff,
    0xfffa87ff,0x7dc006ff,0xff85ffff,0x4000ffff,0xd87ffffb,0x0002ffff,
    0x7ec0ffec,0x4fffffff,0x7cc3ffb8,0x2004ffff,0x226ffffe,0x2603cba9,
    0x800fffff,0x885ffffa,0x402fffff,0x3ffffffe,0x17ffffe0,0x37ffff40,
    0x217ffe20,0xd04ffffd,0xfd03ffff,0x2007ffff,0x1ffffff8,0x4fffffc8,
    0x7fffec00,0x27fffd47,0x7ffd4000,0xfffffb80,0x0fff982d,0x1fffffd8,
    0xfffffc80,0x1ffffea3,0x07ffffc8,0x0bffff50,0x817ffffe,0xffffffd8,
    0xffffb02f,0xfffa807f,0xffe804ff,0xfffff987,0x37fffd40,0xffffff98,
    0x7fffd405,0xfff104ff,0xa801dfff,0x27fffffe,0x316ffffa,0x7fe40100,
    0x880aa205,0xff102fff,0x5c05ffff,0x20ffffff,0x02fffff8,0x00bfffff,
    0x417fffea,0x1cfffffd,0x3ffffea2,0xa84fffff,0xbeffffff,0xfffda999,
    0xfc801fff,0xfffe81ff,0xfffd30df,0x7ffe405f,0xa9acefff,0xffffffdb,
    0x3ffea00f,0x99bdffff,0xfffffecb,0xffff37ff,0x9bfffddf,0x809fb735,
    0x8001effe,0x5c04fffa,0xbdffffff,0xffffeb99,0xfffe84ff,0xffd50bff,
    0x2a005fff,0xf105ffff,0xdfffffff,0xffffffff,0x83dfffff,0xfffffffc,
    0xffffffff,0xff5006ff,0xffff507f,0xfffffdff,0xffff880f,0xffffffff,
    0x2fffffff,0xfffffc80,0xffffffff,0x4fffffff,0xfffffff7,0xffffffff,
    0x74401fff,0x9800bfff,0xd006fffc,0xffffffff,0xffffffff,0x3fffe60b,
    0xffffffff,0x3ea005ff,0x3ea05fff,0xffffffff,0xfeefffff,0xe80effff,
    0xffffffff,0xffffffff,0xbfff1000,0x3fffffa0,0x03ffffff,0xfffffd88,
    0xffffffff,0x2e001eff,0xffffffff,0xffffffff,0x3ffe22ff,0xffffffff,
    0x4fffffff,0x7fffec40,0xdba999ad,0x2004ffff,0xffffffd8,0xffffffff,
    0x3ffee00e,0xffffffff,0x3ea000ff,0x74c05fff,0xffffffff,0x3ff24fff,
    0xff9100ff,0xffffffff,0x8001bfff,0x3f607ffe,0xffffffff,0x7ffd4002,
    0xffffffff,0xd30004ff,0xffffffff,0x17ffffff,0xfdffff90,0xffffffff,
    0x2e00ffff,0xffffffff,0x02ffffff,0xfffff500,0x9fffffff,0xffff7001,
    0x1bffffff,0xffffa800,0xfffd9005,0x503bffff,0xf91005ff,0xffffffff,
    0x3f20005b,0x3fae00ff,0x001effff,0xffffb910,0x0039dfff,0xffff9300,
    0x057bdfff,0x2209df98,0xfffffdca,0x2e2003ef,0xfffffffe,0x880002df,
    0xffffffec,0x6c4000cf,0x2effffff,0xffff5000,0x3553000b,0x00051001,
    0x03555531,0x15551000,0x00353100,0x15531000,0x98800000,0x180009aa,
    0x026a6200,0x99753000,0x00000157,0x0004d544,0x001aa980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99800000,0x000009aa,0x55550000,
    0x55544015,0x9999902a,0x99999999,0x82cda805,0x2ea004ec,0x002ceeec,
    0x04000000,0x41555510,0x01bdedb8,0x806aaaa2,0x0bcefdca,0xfeeca800,
    0x88000bde,0x02defeca,0x7ffe4c00,0x00cfffff,0x7f6e4c00,0x3fe01cde,
    0x3ee00fff,0xff985fff,0xffffffff,0x3fa04fff,0xfaacefff,0xffe8805f,
    0x2fffffff,0x7ff44000,0x07dc005f,0x92ffffb8,0x9fffffff,0x17fffee0,
    0x3fffff62,0xb1003fff,0xffffffff,0x7fdc007f,0x1effffff,0x7fff4c00,
    0xffffffff,0x6cc000df,0xffffffff,0xffff80cf,0x3ffee00f,0xffffb85f,
    0xffffffff,0xffff304f,0x7fffffff,0xfffffb80,0x3fffffff,0x3fff2000,
    0xffd3005f,0x3fffee01,0xffffffda,0x7dc0dfff,0x7fd45fff,0xffffffff,
    0x7ffc404f,0xffffffff,0xfffc804f,0xffffffff,0xffff9000,0xf975579d,
    0x2005ffff,0xfffffff8,0x40efffff,0x200fffff,0xc85ffffb,0xffffffff,
    0x904fffff,0xfffb75ff,0x7d401dff,0xffffffff,0x002fffff,0x5fffffa8,
    0x0ffffd80,0xffffff70,0xffffffff,0xfffb89ff,0x3fffe25f,0xffffffff,
    0x3fff605f,0xffffffff,0x3ff602ff,0xffffffff,0x7f4406ff,0xda801dff,
    0xfe804fff,0xffffffff,0x7fc5ffff,0x3ee00fff,0xffe85fff,0xffffffff,
    0x7d904fff,0xd005bb50,0x337fffff,0x0dffffd9,0xfffff880,0xffff805f,
    0xffff700f,0xf7337fff,0x5c3fffff,0x3f25ffff,0xebadffff,0xa80fffff,
    0x8adfffff,0x06ffffeb,0x5bfffff3,0x5fffffb5,0x017ffec0,0x01fffdc0,
    0x9ffffff7,0xffffffb5,0x07ffffc5,0x0bffff70,0x333dffff,0x01333333,
    0xffb80000,0xff980fff,0x36002fff,0x05ffffff,0x00fffff8,0x1ffffff7,
    0xbfffff30,0x8966664c,0x441fffff,0xb84ffffe,0xf885ffff,0xfd80ffff,
    0xffc84fff,0xdff705ff,0x7fcc0001,0xffffd01f,0xfffff109,0x07ffffc9,
    0x8bffff70,0x004ffff8,0xfd000000,0x7ec07fff,0xf5001bce,0x0bffffff,
    0x01fffff0,0x0fffffee,0x07ffffb8,0x09ffff50,0x03ffffea,0x205ffffb,
    0x4c1ffffd,0xf307ffff,0xff30bdff,0x3bbbaa3f,0xa80bdeee,0xfff887ff,
    0xfff900ff,0x7ffffcdf,0x3fffee00,0x1ffffd45,0xeeca8000,0x200adeef,
    0x200fffff,0xfff10000,0x20bfffff,0xfffffba8,0x3fee1aab,0xfff807ff,
    0xffb801ff,0x3ffa02ff,0x7ffe43ff,0xffff900f,0x4ffffc81,0x3ff20060,
    0x3ffffee3,0xc82fffff,0x7ffd43ff,0x3ffe606f,0x3ffffe7f,0x3fffee00,
    0x0ffffe45,0x3ffea000,0xffffffff,0x7ffff881,0xffb00000,0x0bffffff,
    0x3fffffee,0x3ee4ffff,0xfe806fff,0xfd802fff,0x3f602fff,0x7fd44fff,
    0xffff03ff,0x5ffffd0d,0x37fc4000,0x3333bfee,0x440ffffd,0x353106ff,
    0x37fffd40,0x401fffff,0x6c5ffffb,0xfdbaffff,0xffa802ce,0xffffffff,
    0x7fd42fff,0x800006ff,0xffbffffa,0xfff705ff,0x9fffffff,0x02ffffdc,
    0x01ffffec,0x00ffffec,0x88bffff9,0x540effff,0xff84ffff,0x2aa61fff,
    0x43ffb800,0xff884ffb,0x01ffc82f,0x3ffff600,0x07ffffe4,0x45ffffb8,
    0xffffffff,0x300effff,0xffffffff,0x8fffffff,0x007ffffa,0x7fffc400,
    0x05ffff9c,0xfffffff7,0x7fdc9fff,0xffd805ff,0xffc803ff,0x3ff602ff,
    0xfffb86ff,0xfffebdff,0xffff80ef,0xfffffb8f,0x03ff601e,0x3f209ff7,
    0x03ff983f,0xfffff100,0x0fffffc7,0x4bffff70,0xfffffff8,0x2fffffff,
    0xaeffffc8,0xfffff930,0x3ffffcc3,0x3ff60000,0xbffff36f,0x3fff3260,
    0x2e2cccff,0xe806ffff,0xa802ffff,0x3a04ffff,0xf307ffff,0xffffffff,
    0xfff101bf,0xfffff9ff,0x3fa09fff,0xd04ffb86,0x13fe03ff,0x7fffe400,
    0x3ffffe0f,0x3ffff202,0x3ffffe65,0xffffffff,0x7ff6c0ff,0xfffff01f,
    0x7ffffc45,0x2006a200,0xf31ffffb,0xff00bfff,0x3ee01fff,0xfe807fff,
    0xf9801fff,0xfa80ffff,0x2a07ffff,0xffffffff,0x3fffe606,0xffffffff,
    0x5ff84fff,0xaaadffb8,0x3e06ffeb,0xffb8006f,0x7ffc2fff,0x3ffa04ff,
    0x3ffee5ff,0xfd99acff,0x3104ffff,0x7fffe403,0x1fffffc3,0x09dfff70,
    0x4c9ffff1,0xf805ffff,0xf700ffff,0x4c05ffff,0x000fffff,0x17fffffb,
    0xffffff91,0xffff901f,0x1dffffff,0xffffff50,0xffff97ff,0x27fc43ff,
    0x7fffffdc,0x3a01dfff,0x7fdc007f,0xfff86fff,0xffa80eff,0x3b2a5fff,
    0xfff901ff,0xa88001ff,0x6c3ffffe,0x3e06ffff,0xfd83ffff,0x7ffcc6ff,
    0xffff805f,0xffff700f,0x7ffec0df,0x2666626f,0x3ffffe20,0xffffffff,
    0xfffd87ff,0xffffeeff,0x7ffd41ff,0x7ec43fff,0x2ffc5fff,0x7fffffdc,
    0x6fe801ff,0x3ffff200,0xffff81ff,0x7ffcc5ff,0x10005fff,0x805fffff,
    0xffffedb8,0x7fcc3fff,0x3260dfff,0x5c0fffff,0x7cc1ffff,0xff805fff,
    0xff700fff,0xc81bffff,0x2e2fffff,0x7d45ffff,0xffffffff,0x547fffff,
    0x221effff,0x20fffffc,0x06fffff9,0x41fffff1,0x4ffb86ff,0x801dffb5,
    0xff9005ff,0x3e03ffff,0xdfffffff,0xffffffff,0x3ff60005,0xfec983ff,
    0xffffffff,0xfffc83ff,0xfffeefff,0x7fc45fff,0xfff984ff,0xffff805f,
    0xffff700f,0xffbbffff,0xfb8dffff,0xfe985fff,0xfadfffff,0x7fec6fff,
    0xfffb02ff,0x7fffc47f,0x3fff604f,0x2e1ff61f,0x2ffec4ff,0x9009ff10,
    0x03ffffff,0x7ffffffc,0xffffffff,0x320005ff,0x7dc5ffff,0xefffffff,
    0x883ffffe,0xffffffff,0x40efffff,0xf306fffe,0xff00bfff,0x3ee01fff,
    0xffffffff,0x1fffffff,0x02ffffdc,0x2a59dd95,0x7fc5ffff,0x3fea07ff,
    0x7fffc5ff,0x3fff202f,0x70bff22f,0xfff889ff,0x805ff902,0x1ffffffc,
    0x57ffffc0,0xfaffffff,0x20005fff,0x325ffffc,0xacefffff,0x07ffff70,
    0x3fffff62,0x40efffff,0xfffffff9,0xffffffff,0xfff07fff,0x3fee01ff,
    0xfffe9dff,0xb81fffff,0x0005ffff,0x4c9ffff7,0x7c05ffff,0x7ffc7fff,
    0x3fee03ff,0x1bfe23ff,0xff909ff7,0x80fff01f,0x1ffffffc,0x8fffff80,
    0xff3ffffa,0x2a988bff,0x9ffffec0,0x03fffff8,0x807ffff9,0xffffffea,
    0xffff302e,0xffffffff,0x0fffffff,0x403ffffe,0xb15ffffb,0x01bfffff,
    0x013fffee,0x1ffffec0,0x80bffff5,0x3a0fffff,0x3204ffff,0x7ec2ffff,
    0x213fee2f,0x7dc4fff8,0x3ffee03f,0xff001fff,0x054c1fff,0x7ffffcc0,
    0x3ffffa01,0x0dffff52,0x01ffffec,0x03effda8,0x7fffffcc,0xffffffff,
    0xff07ffff,0x3ee01fff,0x1a985fff,0xa8ffe200,0xff105cca,0x7fcc3fff,
    0x3fe206ff,0x7ffe47ff,0x3fff606f,0x87ffd41f,0xff704ffb,0x03ffe61f,
    0x7fffffcc,0x3fffe000,0x3fa0000f,0xff505fff,0x3ff21fff,0xffd104ff,
    0xff1007ff,0x4c0bffff,0xffffffff,0xffffffff,0xffff07ff,0x3ffee01f,
    0xf500005f,0x3fffe25f,0xffffb81f,0x2fffff85,0x8bffff70,0x82fffff8,
    0x907ffff8,0x02662dff,0xfe889998,0xfffd102f,0xff8003ff,0x20000fff,
    0x0bfffffc,0x9fffff91,0x07ffffdc,0x27ffffec,0x7e4cd440,0x999101ff,
    0xb9999999,0x999dffff,0x4bffffe0,0x3fffee08,0xfd880005,0x3ffff60f,
    0x3fffee1d,0xffffe81f,0xfff910bf,0xfff907ff,0x3fae1bff,0x3fa05fff,
    0xf98001ef,0x3fee04ff,0xeeeeffff,0x3e6eeeee,0x0000ffff,0x3fffffe2,
    0xffffffdf,0x3fffea0f,0xfffc9bef,0x0004ffff,0x0000bffd,0x00bffff3,
    0xfdfffffd,0x2ffffdcb,0x3ffea000,0x7ffffdc2,0xffffffef,0xfffff305,
    0xfffffbff,0x3ffe20df,0xffffffff,0x3a200fff,0x8800bfff,0x7406fffc,
    0xffffffff,0x7fffffff,0x003ffffe,0xfffff300,0xffffffff,0xfffffd03,
    0xffffffff,0xf1000bff,0x300009ff,0x900bffff,0xdfffffff,0x02ffffdc,
    0x413ff200,0xfffffffd,0x200effff,0xfffffffb,0x01ffffff,0x3fffffee,
    0x02ffffff,0xcffffd88,0xfda9889a,0x7cc04fff,0xffffffff,0x7fffffff,
    0x003ffffe,0x3fffea00,0x0effffff,0xffffff10,0xfff1bfff,0x33a201ff,
    0x1ffffecc,0xfff98000,0xfff9805f,0x3ee7ffff,0x40005fff,0x3fa201d8,
    0xffffffff,0xffff7005,0x5fffffff,0xfffff500,0x005fffff,0xffffffb8,
    0xffffffff,0xffffb802,0xffffffff,0x3fe7ffff,0x00000fff,0xffffff91,
    0xff91009d,0x7e47dfff,0xff303fff,0x03bfffff,0x3ffe6000,0xffd3005f,
    0x7fdcbfff,0x000005ff,0x3ffffee0,0x644003ef,0xcfffffff,0x3ff62000,
    0x000dffff,0xffffd710,0x005bffff,0x7ffffff4,0xffffffff,0x2aaaa7ff,
    0x8800000a,0x310001a9,0x88000135,0x01acccca,0x7ffcc000,0x5544005f,
    0x1aaaa880,0x98000000,0x300001aa,0x00001555,0x00001551,0xabccba98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0c000000,0xaaaa8800,0xaaaa881a,0x83555502,0x2a00aaaa,
    0x260effff,0x3fffe605,0xfff3000f,0x2aaa61ff,0x5555002a,0x2cda8015,
    0x00005eb8,0xba7fffe4,0x0004ffff,0xbeecb880,0x3555510a,0x5ef6dcc0,
    0x06aaaa21,0x0000d4c0,0x3bfffb6e,0xffb800bd,0xfffb05ff,0xfffd03ff,
    0x03ffff87,0x5fffffcc,0xff303ffd,0x26001fff,0xf50fffff,0xa801ffff,
    0x7407ffff,0xaacfffff,0x400005ff,0xf74ffffc,0x00009fff,0xffffffa8,
    0xffff88ef,0xfffff704,0x3ffe6bff,0x3ff6a04f,0x2003efff,0xffffffea,
    0x7c03ffff,0xfa80efff,0x40efffff,0x7fc3fffe,0xfe8803ff,0x202effff,
    0x00fffff9,0x1fffff30,0x017ffffc,0x813ffff6,0xfffffff9,0x0004ffff,
    0xa7fffe40,0x004ffffb,0x3ffff200,0xf9efffff,0x7ec44fff,0xffffffff,
    0x04ffffae,0xfffffff5,0x3ff2005f,0xffffffff,0xff706fff,0xfff101df,
    0xe8bfffbf,0x7ffc3fff,0xfff7003f,0xff9803ff,0xf3000fff,0x7e41ffff,
    0x7fc05fff,0x3ee01fff,0xffffdbbf,0x400000ff,0xf74ffffc,0x00009fff,
    0x3fffffea,0xffffffff,0x7ffe44ff,0xffffffff,0x884fffff,0xffffffff,
    0xfffa801f,0xfffeffff,0xfe85ffff,0xfffd00ff,0xe8bfffa5,0x7ffc3fff,
    0x7ff5c03f,0x201fffff,0x00fffff9,0x1fffff30,0x07ffffcc,0x06ffffa8,
    0x6ed42764,0xf9000002,0x3fee9fff,0xd00004ff,0x339fffff,0xffffffd5,
    0x7ffffc49,0xffea88af,0xfa84ffff,0x6dcfffff,0xfffff880,0x3ff2a0be,
    0x3fea3fff,0x9fff701f,0x007fffc4,0x6ffec000,0x0efffe89,0x1fffff30,
    0x3fffe600,0x7ffff40f,0x7ffff902,0x00000000,0x4ffffc80,0x009ffff7,
    0xfffff700,0x3ffff605,0x3ffff24f,0xffffb00f,0xffff709f,0xfff7000d,
    0x7fe401df,0x026625ff,0x00000000,0xff983950,0xfff306ff,0x3e6001ff,
    0x7dc0ffff,0xfff05fff,0x000001ff,0xffc80000,0xffff74ff,0xffd00009,
    0x7fc40bff,0x3ffe4fff,0x3fe603ff,0xffc84fff,0xfd8004ff,0x7cc02fff,
    0x00007fff,0x40000000,0xfff91aa8,0xffff307f,0x3fe6001f,0x7fc40fff,
    0x7fd40fff,0x5c4005ff,0x000acded,0x2bdedb98,0x5d3ffff2,0x2e64ffff,
    0x7c01bded,0x6c01ffff,0xff14ffff,0xfe801fff,0xffd84fff,0xed8003ff,
    0xffd007ff,0x2aaa21ff,0x5554402a,0xaaa8802a,0x3fee002a,0xfffcffff,
    0x7ffcc0ff,0xff3000ff,0xffb01fff,0xfffc85ff,0xffd8802f,0x4fffffff,
    0x3fffee00,0xfff95fff,0x3fffee9f,0xffffff94,0x3ffe209f,0x7fe400ff,
    0xffff34ff,0xffffb00f,0x3ffaaa69,0x00aaadff,0x7c400440,0x3fe67fff,
    0x7fcc06ff,0xff9806ff,0xfd8806ff,0xffffffff,0x7cc4ffff,0x3000ffff,
    0x501fffff,0xff8bffff,0xff9807ff,0xffffffff,0x36201eff,0xffffffff,
    0x4ffffdef,0xfdbffff7,0xffffffff,0xffff981d,0xffffb807,0x0dffff54,
    0x29ffff90,0xfffffffc,0x0002ffff,0x9ffff900,0x037fffcc,0x01bfffe6,
    0x01bfffe6,0x3ffffffa,0xffffffff,0x3fffe60f,0xfff3000f,0x3ffe01ff,
    0xffff30ff,0xffff8809,0xffffffff,0xff900fff,0xffffffff,0x29ffffff,
    0xfffffffb,0xffffffff,0x7fffcc4f,0xffffb807,0x0dffff54,0x29ffff90,
    0xfffffffc,0x0002ffff,0xfffffc80,0x1bfffe62,0x0dffff30,0x0dffff30,
    0xffffffc8,0xfffffdcd,0x3ffe63ff,0xff3000ff,0x3f201fff,0xfff92fff,
    0xfffe803f,0xfdbabeff,0xf885ffff,0x88afffff,0xffffffea,0xffffff74,
    0xfff5115d,0x7fc43fff,0xffc807ff,0xffff34ff,0xffffb00f,0x3fffff29,
    0x02ffffff,0x3ff62000,0x7fcc4fff,0x7fcc06ff,0xff9806ff,0x3fe606ff,
    0x7440efff,0x265fffff,0x000fffff,0x01fffff3,0x7d7fffe6,0x7d406fff,
    0xf704ffff,0xfd87ffff,0xfd00ffff,0x3ee9ffff,0xf106ffff,0xff8bffff,
    0x7ec00fff,0xfff14fff,0xffe801ff,0xfd9954ff,0x3999bfff,0x3fa20000,
    0xf985ffff,0x7cc06fff,0xf9806fff,0x3f606fff,0x3e207fff,0xf30fffff,
    0x2001ffff,0x00fffff9,0x3ebffffa,0x7e403fff,0x7ec05fff,0x7ffc7fff,
    0x3fe603ff,0xfff74fff,0x7fdc03ff,0x7fff47ff,0x3ffe203f,0x3fffe4ff,
    0x3ffea04f,0xfffd84ff,0x8800003f,0x05fffffe,0x80dffff3,0x806ffff9,
    0x206ffff9,0x403fffff,0x31fffffa,0x001fffff,0x03ffffe6,0xffffffb8,
    0x7f400fff,0x7c401fff,0xff10ffff,0xfe801fff,0xfff74fff,0xfff880df,
    0x3fff20ff,0x3fff206f,0x3fff24ff,0xffe881ff,0xffd84fff,0x800003ff,
    0x04fffffd,0x01bfffe6,0x00dffff3,0x20dffff3,0x00fffff8,0x97ffffc4,
    0x00fffff9,0x1fffff30,0x7ffffc40,0x7c406fff,0xfd007fff,0x3fe65fff,
    0xffd807ff,0xffff74ff,0xfffff00b,0x7ffffc43,0x7fffe40d,0x3ffe64ff,
    0xfb99bfff,0x84ffffff,0x003ffffd,0x7fffcc00,0x7ffcc04f,0x7ffcc06f,
    0xfff9806f,0xffff506f,0x3fffe00f,0xfffff33f,0x3ffe6001,0x7fec00ff,
    0x403fffff,0x006ffffa,0x2a7ffffb,0xc806ffff,0xff74ffff,0xffd009ff,
    0xfffc85ff,0xfffddfff,0x6c4fffff,0xffffffff,0xffffffff,0x3ffffd84,
    0x7fdc0000,0xff9805ff,0x7fcc06ff,0xff9806ff,0xfff506ff,0x3ffa00ff,
    0xffff33ff,0x3fea001f,0x7d400fff,0x00ffffff,0x037fffdc,0x54ffffd8,
    0x900dffff,0x3ee9ffff,0xfe804fff,0x7fc43fff,0xffffffff,0x84ffffef,
    0xfffffffd,0xffffccff,0x3ffffd84,0x7fe40000,0xff9800ff,0x7fcc06ff,
    0xff9806ff,0xfff306ff,0x3ffe00ff,0xffff12ff,0x3fea003f,0xfff007ff,
    0xf500bfff,0x3a00ffff,0xff32ffff,0xffb00fff,0x3ffee9ff,0xfffe805f,
    0xfffe982f,0xfcafffff,0xff904fff,0x329fffff,0xfd83ffff,0x00003fff,
    0x803ffff4,0x406ffff9,0x806ffff9,0x106ffff9,0x801fffff,0x20fffff8,
    0x003fffff,0x00dffff9,0x0bfffff2,0x3ffffe60,0xfffff800,0x0fffff11,
    0x29ffffd0,0x806ffffb,0x201fffff,0x1dfffffc,0x409ffff9,0x21bdfdb9,
    0xd83ffffc,0x0003ffff,0x037fff40,0x06ffff98,0x037fffcc,0x037fffcc,
    0x809fffff,0x747ffffb,0x400fffff,0x05fffff8,0x0fffff70,0x1fffffc0,
    0x1ffffea0,0x405fffff,0x74fffff8,0x403fffff,0x007ffff9,0xfff90353,
    0xfc80009f,0xffd83fff,0x000003ff,0xffff3000,0xffff980d,0xffff9806,
    0x3ffff206,0xffff100f,0xffffc8bf,0x7ffec05f,0xff8803ff,0x32004fff,
    0x100fffff,0xe8bffffd,0x3206ffff,0xf74fffff,0x6c0bffff,0x0006ffff,
    0x24ffffc8,0xd801aacb,0xfd82ffff,0x00003fff,0x800cccc4,0x406ffff9,
    0x806ffff9,0x206ffff9,0x1ffffff8,0x7fffffcc,0x7ffffc40,0xeb99bdff,
    0x00ffffff,0x1fffffb8,0x3fffe600,0x7ff4c2ff,0x7fcc0fff,0x7e40dfff,
    0xf74fffff,0x90bfffff,0x005fffff,0x9ffff900,0x17ffffe4,0x0fffff98,
    0x03ffffd8,0x7fff4000,0xfff9801f,0x7ffcc06f,0xfff9806f,0x7ffd406f,
    0xfffeffff,0xf903ffff,0xffffffff,0xffffffff,0xf9535307,0x000bffff,
    0xfffffff9,0xfffffffd,0x3ffff607,0xffffdeff,0xff74ffff,0xbbffffff,
    0x0dffffff,0x3fff2000,0x3fffee4f,0xeba88aef,0xfb05ffff,0x00007fff,
    0x01ffffe8,0x06ffff98,0x037fffcc,0x037fffcc,0x7fffffec,0x5fffffff,
    0x3ffff620,0xffffffff,0xfa80efff,0xffffffff,0xfffd0001,0xffffffff,
    0x7fcc0bff,0xffffffff,0x74ffffcf,0xfff9ffff,0xffffffff,0x3f200003,
    0x3fe24fff,0xffffffff,0x01ffffff,0x007ffffb,0xffffe800,0xffff9801,
    0x7fffcc06,0xffff9806,0xffff5006,0x5fffffff,0x3fffee00,0xffffffff,
    0x3ffe603f,0x004fffff,0x7ffffdc0,0x02ffffff,0xfffffe98,0xfff99fff,
    0x3ffff74f,0xfffffff3,0x400003df,0x544ffffc,0xffffffff,0x04ffffff,
    0x00fffff6,0xffffd000,0xffff3003,0xffff980d,0xffff9806,0x3ff62006,
    0x00dfffff,0x7fffecc0,0x01dfffff,0x7fffffc4,0x7300004f,0xbdfffffb,
    0x7fe44001,0xff31dfff,0x3ffee9ff,0xffffb11f,0x800001bf,0x984ffffc,
    0xfffffffd,0x6c02efff,0x0003ffff,0x0fffff40,0x37fffcc0,0x1bfffe60,
    0x1bfffe60,0x04d4c400,0xaaa98000,0x764001aa,0x0000bdee,0x0026a200,
    0x0006a200,0x000d4c00,0x55553000,0x76e64c03,0xb002bcee,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00aaaaa0,0x7ffe4000,0xfffff36f,0xffffffff,
    0x4bffffff,0xfffffff9,0x2ceeefff,0xfffff300,0xffffffff,0x263fffff,
    0xcccccccc,0xcccccccc,0x9ffff70c,0x7ffcc000,0xdffff56f,0x7ffcc000,
    0xffffffff,0x000bdeee,0xfffff900,0xfffb0005,0xfff100df,0x3e2007ff,
    0x00007fff,0x2dffff90,0xfffffff9,0xffffffff,0x3e65ffff,0xffffffff,
    0x2effffff,0x7ffffcc0,0xffffffff,0xf51fffff,0xffffffff,0xffffffff,
    0x13fffee3,0xffff9800,0x0dffff56,0x7fffcc00,0xffffffff,0x00dfffff,
    0x3fffe200,0xf98005ff,0x6402ffff,0x000fffff,0x00fffff1,0x3fff2000,
    0xfffff36f,0xffffffff,0x4bffffff,0xfffffff9,0xffffffff,0xff300dff,
    0xffffffff,0xffffffff,0x3ffffea3,0xffffffff,0xff71ffff,0x4c0009ff,
    0xff56ffff,0x4c000dff,0xffffffff,0xffffffff,0x70000eff,0x1fffffff,
    0xffffd000,0x7fffc40d,0x3fe2003f,0x000007ff,0x26dffff9,0xffffffff,
    0xffffffff,0x3fe65fff,0xffffffff,0xffffffff,0xffff980f,0xffffffff,
    0x51ffffff,0xffffffff,0xffffffff,0x3fffee3f,0x3fe60004,0xffff56ff,
    0x7fcc000d,0xffffffff,0xffffffff,0xffd0006f,0x009fffff,0x3fffff50,
    0x3fffff20,0x3ffe2000,0x9000007f,0x3e6dffff,0xccccffff,0xcccccccc,
    0x3ffe62cc,0xdcccccff,0xfffffffe,0xfffff984,0xcccccccd,0xf50ccccc,
    0xffffffff,0xdfffffff,0x13fffee1,0xeeee9800,0x0dffff55,0x7fffcc00,
    0xccccccdf,0xffffffec,0x7ffcc002,0x007fffff,0x0bffffd0,0x07fffff1,
    0x4cccc880,0xff900000,0x3ffe6dff,0x980000ff,0x200fffff,0xffffffc8,
    0x7ffffcc1,0x26620001,0x99999999,0x21ffffe9,0x004ffffb,0xffff5000,
    0x7fcc000d,0xfa800fff,0x4004ffff,0xfffffffc,0xfa8002ff,0x7dc1ffff,
    0x0000ffff,0x32000000,0xff36ffff,0x00001fff,0x01fffff3,0xdfffff30,
    0x1fffff98,0xf7000000,0xffb85fff,0x000004ff,0x00dffff5,0x7ffffcc0,
    0xffffb000,0xffff800d,0x05ffffef,0x9ffffd00,0x03fffff8,0x09999500,
    0x3ff20000,0xffff36ff,0xf300001f,0x2001ffff,0x22fffffc,0x01fffff9,
    0xff980000,0xfffb84ff,0x5555304f,0x55554455,0x4dffff52,0x02cdeca8,
    0x01fffff3,0x17fffea0,0xeffffa80,0x00fffff9,0xfffffa80,0x1fffff70,
    0x3fff6000,0xf9000007,0x3fe6dfff,0x80000fff,0x00fffff9,0x9fffff10,
    0x0fffffcc,0x7f400000,0xffb80eff,0xfff984ff,0x3fe61fff,0xffff56ff,
    0x3ffffead,0x7fcc0eff,0xf9000fff,0x6c007fff,0xffd3ffff,0x3a0009ff,
    0xffd4ffff,0x740007ff,0x00006fff,0x2dffff90,0x00fffff9,0xffff9800,
    0x3ff6000f,0x3ffe66ff,0x000001ff,0x817fffdc,0x444ffffb,0x41fffffe,
    0xf56ffff9,0xfff7dfff,0x1fffffff,0x07ffffcc,0x7ffffc40,0xffff1001,
    0x3fffee1f,0xfff50007,0xfffff3ff,0x3fe20001,0x000004ff,0x26dffff9,
    0xaabfffff,0xaaaaaaaa,0x7ffcc1aa,0x3ee000ff,0x3fe67fff,0x00001fff,
    0x17fffe20,0x24ffffb8,0x1fffffe8,0x56ffff98,0xffffffff,0xffffffff,
    0x7ffffcc9,0x9999999a,0x05fffffc,0x97fffee0,0x02fffff8,0xdffffd00,
    0x0007ffff,0x0fffffa2,0x7fe40000,0xffff36ff,0xffffffff,0x89ffffff,
    0x00fffff9,0x3ffffee0,0xffffff30,0xffffffff,0xfc8007ff,0x3ee02fff,
    0x3ff64fff,0xff302fff,0x3ffeadff,0xa88befff,0x30ffffff,0xffffffff,
    0xffffffff,0xfe8009ff,0x7ff42fff,0x555005ff,0xffffffb5,0x55557fff,
    0xffffd100,0x2000001f,0xf36ffffc,0xffffffff,0xffffffff,0xffff989f,
    0x3fea000f,0xfff30fff,0xffffffff,0x007fffff,0x037fffc4,0x653fffee,
    0x202fffff,0xf56ffff9,0x301fffff,0x263fffff,0xffffffff,0xffffffff,
    0x7fcc004f,0x7fd40fff,0xff801fff,0xffffffff,0xffffffff,0x7fff4406,
    0x000003ff,0x4dbffff2,0xffffffff,0xffffffff,0x7ffcc4ff,0x3ea000ff,
    0xff31ffff,0xffffffff,0x07ffffff,0x1ffffdc0,0x33fffee0,0x03fffffc,
    0xab7fffcc,0x202fffff,0xf32ffffe,0xffffffff,0xffffffff,0x3f6003bf,
    0xff885fff,0xff804fff,0xffffffff,0xffffffff,0x3fffe606,0x000004ff,
    0x9b7fffe4,0xffffffff,0xffffffff,0x7ffcc4ff,0x3ea000ff,0xff30ffff,
    0xffffffff,0x07ffffff,0x07ffff40,0x3ffffee0,0x804fffff,0xf56ffff9,
    0x6c01ffff,0xff32ffff,0xffffffff,0xffffffff,0xff8803ff,0xffb02fff,
    0xfff00fff,0xffffffff,0xdfffffff,0x3ffffe60,0x8000003f,0xf36ffffc,
    0x3335ffff,0x33333333,0xffff9813,0x3fee000f,0x3ffe67ff,0xcccccdff,
    0x001ccccc,0x00bffff5,0xfffffff7,0xf300dfff,0x3feadfff,0x7fec07ff,
    0xffff32ff,0x5333335f,0xfffffb75,0x7ffdc01f,0x3ffea07f,0x777402ff,
    0xffffeeee,0x4eeeeeef,0x5fffffd0,0x32000000,0xff36ffff,0x00001fff,
    0x01fffff3,0x37fffdc0,0x03fffff3,0xfffb0000,0xfff7005f,0xffffffff,
    0xffff9807,0x0fffff56,0x32ffffd8,0x001fffff,0x17ffffee,0xceffffe8,
    0xffcccccc,0x30005fff,0x800dffff,0x01fffffb,0x3f200000,0xfff36fff,
    0x300001ff,0x001fffff,0x32ffffec,0x003fffff,0xdffff000,0x3fffee00,
    0xffffffff,0x3fffe600,0x0dffff56,0x32ffffd8,0x001fffff,0x83ffffec,
    0xfffffff9,0xffffffff,0x8001ffff,0x006ffff9,0x017ffff4,0x3b32a200,
    0x3ffff204,0x1fffff35,0xfff30000,0x7f4001ff,0x3fe64fff,0x00001fff,
    0x01ffffd4,0xffffffb8,0x04ffffdd,0x55bfffe6,0x6c06ffff,0xff32ffff,
    0x5c001fff,0xc80fffff,0xffffffff,0xffffffff,0x3fe04fff,0xffffffff,
    0xffffffff,0x0fffff86,0x21abcb80,0x206ffff9,0xf35ffffd,0x0001ffff,
    0x1fffff30,0x3fffee00,0x3fffe62f,0x6400001f,0x7001ffff,0x31dfffff,
    0x203fffff,0xf56ffff9,0xfd80dfff,0xfff32fff,0x7dc001ff,0xff81ffff,
    0xffffffff,0xffffffff,0x3ffe07ff,0xffffffff,0x6fffffff,0x00fffff8,
    0x227ffff8,0xd00fffff,0x3e69ffff,0x0000ffff,0x0fffff98,0xffffff00,
    0x1fffff98,0x7ff40000,0x3fee007f,0x3ff20eff,0xfff305ff,0x3fffeadf,
    0x7fffec06,0x1fffff32,0x7ffff400,0xfffffa87,0xeeeeeeee,0xfffffeee,
    0xffffff02,0xffffffff,0xfd0dffff,0xfb807fff,0x7ffc4fff,0xfff984ff,
    0xffff32ff,0xf300001f,0xa801ffff,0x43fffffe,0x01fffff9,0x3ffe2000,
    0x3fee006f,0x7ffc44ff,0xfff982ff,0xdffff56f,0x2ffffd80,0x01fffff3,
    0xfffff710,0xbffffb0b,0xfffff800,0xffffff05,0xffffffff,0xf90dffff,
    0x2a01ffff,0x6c1fffff,0x9acfffff,0x0ffffffb,0x99fffff3,0x99999999,
    0x26199999,0xcccfffff,0xfffedccc,0x7cc0efff,0x0001ffff,0x13fffe60,
    0x4ffffb80,0x86ffffb8,0xf56ffff9,0xfd80dfff,0xfff32fff,0x99999bff,
    0xfffff999,0xfff887ff,0x7e4002ff,0x2001ffff,0x006ffff9,0x7fffff44,
    0xffffcabe,0xfff986ff,0xffffffff,0x3fe64fff,0xffffffff,0xffffffff,
    0xffff31ff,0xffffffff,0x3fffffff,0x3fffff30,0x7fd40000,0x3ee003ff,
    0xff884fff,0x7fcc3fff,0xffff56ff,0xffffd80d,0xffffff32,0xffffffff,
    0x0bffffff,0x01fffff7,0xfffff980,0x3ffe6004,0xff98006f,0xffffffff,
    0x900effff,0xffffffff,0x4c1dffff,0xffffffff,0xffffffff,0xff31ffff,
    0xffffffff,0xdfffffff,0x3fffe603,0x2e00001f,0x2002ffff,0x704ffffb,
    0x4c1fffff,0xff56ffff,0xffd80dff,0xffff32ff,0xffffffff,0xdfffffff,
    0xbffffd01,0x3fffa000,0x3fe6007f,0xf50006ff,0xffffffff,0xd880bfff,
    0xffffffff,0x7fcc0eff,0xffffffff,0xffffffff,0xffff31ff,0xffffffff,
    0x9807ffff,0x001fffff,0x3ffff200,0x3ffee001,0x3fffa04f,0x3fffe64f,
    0x0dffff56,0x32ffffd8,0xffffffff,0xffffffff,0xff501bff,0x20005fff,
    0x02fffffb,0x0dffff30,0xffffb800,0x004effff,0x3fffffaa,0xfff303ef,
    0xffffffff,0xffffffff,0x3fffe63f,0xefffffff,0xf9800bcd,0x0001ffff,
    0x07ffff60,0x4ffffb80,0x3ffffea0,0x2dffff31,0x406ffffa,0xf32ffffd,
    0xffffffff,0x7bdfffff,0x7fffec01,0x3fe20007,0xf3005fff,0x0000dfff,
    0x13799531,0x554c4000,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07ffffe2,
    0x7ffffcc0,0x333221ff,0x2a0001cc,0x3ea7ffff,0x06ffffff,0xffffff90,
    0x3fffe69f,0x3ffa002f,0xffff30ff,0xf300001f,0xffffffff,0x039bdddd,
    0x07ffffcc,0xfffff880,0xfffff981,0xeeefffff,0xfff9002c,0xfffff8ff,
    0xffffffff,0x25ffffff,0x930aaaa9,0xff1017bd,0xf1003fff,0x83ffffff,
    0x02fffff8,0x3fffea00,0x3ffffea7,0xfe800fff,0x34ffffff,0x00dfffff,
    0x987ffff4,0x000fffff,0xfffff980,0xffffffff,0xf980dfff,0x1000ffff,
    0x303fffff,0xffffffff,0xdfffffff,0xffffc805,0x7fffffc7,0xffffffff,
    0x2e5fffff,0xff99ffff,0xff887fff,0x74401fff,0x81ffffff,0x02fffff8,
    0x3fffea00,0x3ffffea7,0x7c402fff,0x4fffffff,0x7ffffff3,0x3ffffa00,
    0x1fffff30,0xfff30000,0xffffffff,0x3fffffff,0x0fffff98,0xfffff100,
    0xfffff303,0xffffffff,0x201bffff,0x7c7ffffc,0xffffffff,0xffffffff,
    0x3ffee5ff,0xffffffaf,0xfffff884,0x3fffa201,0xff101fff,0x40005fff,
    0x2a7ffffa,0xffffffff,0x7fffd405,0xff34ffff,0x001fffff,0x261ffffd,
    0x000fffff,0xfffff980,0xffffffff,0x4c7fffff,0x000fffff,0x03fffff1,
    0xfffffff3,0xffffffff,0xf901ffff,0xfff8ffff,0xffffffff,0xffffffff,
    0x3ffffee5,0x81ffffff,0x01fffff8,0x3ffffff6,0x3fffe201,0x3ea0002f,
    0x3fea7fff,0x07ffffff,0x7fffffe4,0xffff34ff,0xfd00bfff,0x3fe61fff,
    0x80000fff,0xccfffff9,0xfffedccc,0x3e63ffff,0x1000ffff,0x303fffff,
    0x999fffff,0xffffdd99,0xff909fff,0xcccc8fff,0xcccccccc,0x3ffffffe,
    0x3fffffee,0xf106feef,0x3603ffff,0x02ffffff,0x17ffffc4,0xffff5000,
    0x7ffffd4f,0x3a01ffff,0xffffffff,0xffffff34,0xffe805ff,0xffff30ff,
    0xdddddddf,0x7cc0179b,0x2600ffff,0x27fffffe,0x00fffff9,0x3fffff10,
    0x1fffff30,0x7fffe440,0x7ffe41ff,0x3e60007f,0x5c5fffff,0x21ffffff,
    0xffff1018,0xffff903f,0xff1005ff,0x40005fff,0x2a7ffffa,0xfffeffff,
    0xffff103f,0x269ffffd,0xffffffff,0x3fffa00f,0xfffff30f,0xffffffff,
    0xf301bfff,0xf001ffff,0x261fffff,0x000fffff,0x03fffff1,0x01fffff3,
    0xdfffff30,0x07ffffc8,0xffffd100,0xfffb81df,0x3e2004ff,0x7e41ffff,
    0x002fffff,0x05fffff1,0x7fffd400,0x37fffea7,0xf505fffe,0xffff9fff,
    0x3ffffe69,0x3a04ffff,0xff30ffff,0xffffffff,0xdfffffff,0xfffff981,
    0xffffc800,0xfffff31f,0x3ffe2001,0xfff981ff,0xff9000ff,0x7fdc5fff,
    0xfb0006ff,0x701fffff,0x001fffff,0x0fffffc4,0x5ffffff7,0x7fffc400,
    0x3ea0002f,0x3fea7fff,0x7fffcdff,0xf5ffff90,0x3fe69fff,0xffffffff,
    0x1ffffd01,0x3fffffe6,0xffffffff,0x7cc6ffff,0xa800ffff,0xf31fffff,
    0x2001ffff,0x81fffff8,0x00fffff9,0x9fffff10,0x02ffffd4,0x7ffffe40,
    0xffff701f,0xfff8800f,0xffff51ff,0xf88007ff,0x0002ffff,0xa9ffffea,
    0xffadffff,0xffff81ff,0x34ffffad,0xffffffff,0x3ffa0dff,0xffff30ff,
    0xdddddddf,0x5fffffff,0x07ffffcc,0x7ffffe40,0x1fffff30,0x3fffe200,
    0xffff981f,0x3ff6000f,0x3ffea6ff,0x7fd4004f,0x2e03ffff,0x4005ffff,
    0xa9fffff8,0x04ffffff,0xfffff880,0x3fea0002,0x3ffea7ff,0x3ffff8df,
    0x55ffffc4,0xff34ffff,0xffff7dff,0xffffd05f,0x3ffffe61,0x3fff6200,
    0x3ffe66ff,0x7f4400ff,0x3fe66fff,0xaaaabfff,0xffbaaaaa,0xff981fff,
    0x2e000fff,0x3e67ffff,0x26004fff,0x05ffffff,0x02ffffdc,0x3ffffe20,
    0xfffffffb,0x7fc4000f,0x20002fff,0x2a7ffffa,0xffd5ffff,0xffffb8df,
    0x34ffffa8,0x3fadffff,0x7f40ffff,0xfff30fff,0xffd001ff,0x3fe61fff,
    0x3a600fff,0x264fffff,0xffffffff,0xffffffff,0x261fffff,0xafffffa9,
    0xf5009999,0x3e21ffff,0xd1003fff,0x00dfffff,0x00bffff7,0xffffff88,
    0xffffffff,0x7ffc4004,0x2a0002ff,0x3ea7ffff,0xfff95fff,0xbfffec1f,
    0xf34ffffa,0x3fe6dfff,0x7ff44fff,0xffff30ff,0xfff7001f,0x3ffe63ff,
    0xeeeeeeff,0xffffffff,0x3ffffe62,0xffffffff,0xffffffff,0x3fffffe1,
    0x6fffffff,0x3fffff50,0x8017fffc,0x0ffffffd,0x5ffffb80,0x7fffc400,
    0xffffffff,0x22001fff,0x002fffff,0x9ffffea0,0xf55ffffa,0x7ffc5fff,
    0x9ffff55f,0xc9bfffe6,0x3a1fffff,0xff30ffff,0xf5001fff,0x3e63ffff,
    0xffffffff,0xffffffff,0x7fffcc4f,0xffffffff,0xffffffff,0x3ffffe1f,
    0xffffffff,0xfffff506,0x00ffffc3,0x7fffffe4,0xffff7001,0xfff88009,
    0xfdffffff,0x2006ffff,0x02fffff8,0x3fffea00,0x57fffea7,0xf34ffff8,
    0x3fea7fff,0xffff34ff,0x7ffffc4d,0x43ffffa6,0x00fffff9,0x0fffffc8,
    0xfffffff3,0xffffffff,0xfff30bff,0xffffffff,0xffffffff,0x7fffc3ff,
    0xffffffff,0xffff506f,0x0ffff43f,0x3ffffea0,0x3fee003f,0x7c4004ff,
    0x3fffffff,0x09fffffb,0x3ffffe20,0x3fea0002,0x3ffea7ff,0x5bfffa5f,
    0xf50ffffb,0x3fe69fff,0x7ffdc6ff,0xffffd3ff,0x3ffffe61,0xffffe800,
    0x3ffffe66,0xffffffff,0xff303fff,0x33335fff,0xff533333,0x54cc3fff,
    0x99afffff,0xfff70099,0x0fffd8ff,0x3ffffe60,0x7fdc004f,0x7c4004ff,
    0x24ffffff,0x1ffffff8,0xfffff880,0x3fea0002,0x3ffea7ff,0x3ffff25f,
    0x2a7fffd8,0xff34ffff,0xfffd0dff,0xffffd1ff,0x3ffffe61,0x3fff6200,
    0x3ffe65ff,0xeeeeeeff,0x7cc02cde,0x1000ffff,0x303fffff,0x001fffff,
    0x237fffdc,0x3a207ffc,0x005fffff,0x04ffffb8,0x7ffffc40,0xffffb84f,
    0xfff8806f,0x2a0002ff,0x3ea7ffff,0x3fea5fff,0x5ffffaff,0x4d3fffea,
    0xf986ffff,0xffedffff,0xffff30ff,0xd999999f,0x5fffffff,0x07ffffcc,
    0x7ffcc000,0xff1000ff,0xff303fff,0x64001fff,0x7dc5ffff,0x3fff607f,
    0xb8000eff,0x4004ffff,0x04fffff8,0x0ffffffa,0x5fffff10,0x7ffd4000,
    0x3fffea7f,0x3bfffe25,0x3ea3ffff,0xfff34fff,0x3fff20df,0x0fffffff,
    0xfffffff3,0xffffffff,0xff989fff,0x80000fff,0x00fffff9,0x3fffff10,
    0x1fffff30,0x7ffffc00,0xc837fdc4,0x01ffffff,0x9ffff700,0xffff8800,
    0x3ffea01f,0x3e201fff,0x0002ffff,0xa9ffffea,0x7f45ffff,0x1fffffff,
    0x4d3fffea,0xd106ffff,0xffffffff,0x3fffe61f,0xffffffff,0x985fffff,
    0x000fffff,0xfffff980,0xffff1000,0xffff303f,0x3fe6001f,0x7fd42fff,
    0xfffffa85,0x3ee0002f,0x44004fff,0x401fffff,0x06fffffd,0x0bffffe2,
    0xffffa800,0x17fffea7,0xfffffff9,0x4ffffa8f,0x40dffff3,0xfffffffa,
    0xffff30ff,0xffffffff,0x3019ffff,0x001fffff,0xfffff300,0x3ffe2001,
    0xfff981ff,0xfe8800ff,0x4c006fff,0x04ffffff,0x88000000,0x401fffff,
    0x3ffffff9,0x5fffff10,0x7ffd4000,0x3fffea7f,0x7ffffd45,0x7ffd45ff,
    0xdffff34f,0xfffffd80,0xfff30fff,0xdfffffff,0xf98079dd,0x0000ffff,
    0x0fffff98,0xfffff100,0xfffff303,0xffff9801,0x4ccc42ff,0xfffff109,
    0x930000bf,0x88009999,0x801fffff,0x0ffffffc,0xdfffff88,0xcccccccc,
    0xff53cccc,0x7ffd4fff,0x7fffc45f,0x7fd43fff,0xffff34ff,0xffff880d,
    0xff30ffff,0x00001fff,0x01fffff3,0xffff3000,0x3fe2001f,0xff981fff,
    0xcccccfff,0xfffffecc,0xffffa85f,0xffffff95,0x9999999b,0x19999999,
    0x01bfffe6,0x3fffff10,0xfffff100,0xffff10bf,0xffffffff,0x2dffffff,
    0x2a7ffffa,0xfe85ffff,0x541fffff,0xff34ffff,0xff700dff,0x261fffff,
    0x000fffff,0xfffff980,0xff980000,0xf1000fff,0xf303ffff,0xffffffff,
    0xffffffff,0xfff501ff,0x3ffff2bf,0xffffffff,0xffffffff,0xdffff31f,
    0xffff8800,0xfff7001f,0xff887fff,0xffffffff,0xffffffff,0x4fffff56,
    0xc85ffffa,0xa87fffff,0xff34ffff,0x3fa00dff,0xf30fffff,0x0001ffff,
    0x1fffff30,0xfff30000,0x3e2001ff,0xf981ffff,0xffffffff,0xffffffff,
    0xffff502e,0x3fffff2b,0xffffffff,0xffffffff,0x0dffff31,0xfffff880,
    0x3fffa001,0x3fe20fff,0xffffffff,0xffffffff,0x4fffff56,0xa85ffffa,
    0xa85fffff,0xff34ffff,0x3e600dff,0xf30fffff,0x0001ffff,0x1fffff30,
    0xfff30000,0x3e2001ff,0xf981ffff,0xffffffff,0x3fffffff,0xaffffd40,
    0xfffffffc,0xffffffff,0x31ffffff,0x800dffff,0x01fffff8,0x3ffffe60,
    0x3fffe25f,0xffffffff,0x56ffffff,0x7d4fffff,0xff885fff,0xffa83fff,
    0xffff34ff,0x7ffe400d,0xffff30ff,0xf300001f,0x0001ffff,0x1fffff30,
    0x3fffe200,0xffff981f,0xefffffff,0xfa800bcd,0xfff95fff,0xffffffff,
    0xffffffff,0x2eee23ff,0x0000002b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff60000,0x54004fff,
    0x746fffff,0x003fffff,0x8dfffff5,0x805ffffd,0x1ffffffb,0x7ffffc40,
    0x1fffffa2,0x7ffff400,0x4166d406,0xfff985eb,0xffffffff,0x00aceeee,
    0x7fffffc4,0xffffffff,0x0fffffff,0xffff3000,0xffffffff,0xffffffff,
    0x2003ffff,0x0001aaaa,0x1ffffff1,0x7ffff400,0x7fffcc1f,0xffe800ff,
    0x7fdc1fff,0xffd807ff,0x5403ffff,0x2e0fffff,0x002fffff,0x1fffffc4,
    0x9fffffd0,0xf30bff55,0xffffffff,0xffffffff,0x7ffc405f,0xffffffff,
    0xffffffff,0xfb0000ff,0xffffffff,0xffffffff,0x3fffffff,0x13fffe00,
    0xffffb800,0xfff7005f,0x3ff209ff,0x7e405fff,0xf984ffff,0x7c01ffff,
    0x05ffffff,0x237fffdc,0x05fffff8,0x7ffffdc0,0xfffff300,0x07ffffff,
    0xfffffff3,0xffffffff,0x2207ffff,0xffffffff,0xffffffff,0x000fffff,
    0xffffff88,0xffffffff,0xffffffff,0xff001fff,0xe80009ff,0x402fffff,
    0x06fffff8,0x17fffff4,0xffffff98,0xfffff880,0x3fffe602,0x7ec07fff,
    0xffe84fff,0x7f4007ff,0x3f206fff,0xffffdbbf,0xfff980ff,0xffffffff,
    0xffffffff,0xffff883f,0xffffffff,0xffffffff,0xffc8000f,0xffffffff,
    0xffffffff,0x1fffffff,0x09ffff00,0xffff9800,0x7ffec06f,0x7fcc02ff,
    0xffb06fff,0x7f405fff,0x3ee04fff,0x1fffffff,0x0bffffe0,0x0bffffee,
    0x7ffffc40,0x2a13b203,0x3fe602dd,0xccccdfff,0xffffeccc,0xccc886ff,
    0xfffdcccc,0xcccccdff,0x7c4000cc,0xfb9affff,0xccccffff,0xcccccccc,
    0xffff000c,0xff900009,0x3e607fff,0x9005ffff,0xa89fffff,0x405fffff,
    0x206ffffc,0xfffffffd,0xffff303f,0xffff101f,0x3fee00bf,0x00000fff,
    0x7ffffcc0,0xfffea800,0x7cc000ff,0x0001ffff,0x37fffdc0,0x00fffff5,
    0xffff8000,0xff880004,0xfe80ffff,0x1000ffff,0x23ffffff,0x0ffffff8,
    0x7ffffd40,0xffffff00,0x3ea0bfff,0x3f606fff,0xe800ffff,0x0005ffff,
    0xffff9800,0xfff5000f,0xf98007ff,0x0001ffff,0x17ffffc0,0x00fffff5,
    0xffff8000,0xff500004,0xffb8bfff,0x54003fff,0xf95fffff,0x1007ffff,
    0x303fffff,0xfffbffff,0x3fff20ff,0x3ffea04f,0x7fc402ff,0xaa882fff,
    0x3b2a20aa,0xfff302ce,0x7fc001ff,0x4c005fff,0x001fffff,0x3fffee00,
    0x3ffffd47,0x55554000,0xdffffaaa,0x01aaaaaa,0x7ffffec0,0xdfffff11,
    0x3fff6000,0xfffffcff,0x3fffa006,0xffffb83f,0x81ffffda,0x402ffffe,
    0x405fffff,0x80fffffb,0xf53ffffa,0x3dffffff,0x0fffff98,0x3ffffe00,
    0x7ffcc004,0x200001ff,0x543ffffe,0x0007ffff,0x7fffffc4,0xffffffff,
    0x4005ffff,0x96fffff8,0x003fffff,0x3ffffe20,0x00ffffff,0x17ffff20,
    0x2e3ffffa,0x7c43ffff,0x6401ffff,0x200fffff,0x505ffffe,0xff77ffff,
    0xffffffff,0x7ffffcc3,0xffff3000,0xff98007f,0x00001fff,0x81fffff5,
    0x007ffffa,0x7ffffc40,0xffffffff,0x005fffff,0xcfffffb8,0x003fffff,
    0x7ffffd40,0x4003ffff,0x447ffffa,0xff36ffff,0xfff98bff,0xfff9807f,
    0xfff102ff,0x3fea05ff,0xffffffff,0x25ffffff,0x00fffff9,0xfffffe98,
    0x7ffcc001,0xd00001ff,0xf509ffff,0x5555ffff,0x55555555,0x7ffffc41,
    0xffffffff,0x005fffff,0xffffffd0,0x0000dfff,0x3ffffff6,0xff98006f,
    0x3fea0fff,0x3fffe4ff,0x2ffffdc7,0x5fffff80,0x0fffff70,0x7fffffd4,
    0xfffb88be,0xfff30fff,0x99999bff,0xfffffd99,0xff30009f,0x00003fff,
    0x03fffff5,0xfffffff5,0xffffffff,0x7ffc43ff,0xffffffff,0x5fffffff,
    0xffff3000,0x003fffff,0x3fffe200,0xf0001fff,0x7e45ffff,0x3ff61fff,
    0x3fff61ff,0xfff9003f,0xfffb01ff,0x7ffd409f,0xffa80fff,0xfff31fff,
    0xffffffff,0xffffffff,0xff30001d,0x00003fff,0x20bffffb,0xfffffffa,
    0xffffffff,0x555541ff,0xdffffaaa,0x01aaaaaa,0x3ffff200,0x00004fff,
    0x3fffffe2,0xffb0000f,0x7fff49ff,0x1ffffdc7,0x003fffff,0x0fffffe6,
    0x03fffff1,0x17ffffd4,0x23fffff0,0xfffffff9,0xffffffff,0x0000dfff,
    0x03fffff3,0xffff9800,0xffff502f,0xffffffff,0x003fffff,0x0027fffc,
    0xfffe8800,0x00000fff,0x3ffffffa,0xff70005f,0x3ffe2bff,0x7fffcc5f,
    0x0fffff15,0x5ffffe80,0x037fffdc,0x01ffffea,0x265ffffd,0xffffffff,
    0xefffffff,0x7cc0002c,0x0001ffff,0x037fffec,0xfffffff5,0xffffffff,
    0x7fc003ff,0x000004ff,0x0bffffea,0xfffb8000,0x02ffffff,0x7ffff980,
    0xf07ffff5,0x3feaffff,0x7dc005ff,0x3f60ffff,0x7d403fff,0x7ec07fff,
    0xfff32fff,0xfffdddff,0x0003ffff,0x3ffffe60,0x3fe20001,0x3ea02fff,
    0x9999ffff,0x19999999,0x27fffc00,0xff300000,0x00003fff,0x3fffffe2,
    0x000fffff,0xc9fffff8,0xfc81ffff,0xfffc9fff,0x7fc4003f,0xfff13fff,
    0xffa801ff,0x7fec06ff,0xffff32ff,0xffffa81f,0x980003ff,0x001fffff,
    0x3fffff20,0xffffffff,0x0007ffff,0x27fffc00,0xff300000,0x00003fff,
    0x3ffffff6,0x005fffff,0xeaffffd8,0xff507fff,0xffffd7ff,0xfffd0003,
    0x3fffeadf,0xffffa806,0x7fffec06,0x1fffff32,0xffffff10,0xff980009,
    0x10001fff,0xffffffff,0xffffffff,0x00000fff,0x004ffff8,0x3ffe6000,
    0xa80001ff,0xe8efffff,0x002fffff,0x7f7fffdc,0xff105fff,0xfffffbff,
    0x3ffee000,0xffffd8ff,0xffffa803,0x7fffec06,0x1fffff32,0x3ffffea0,
    0x3e60003f,0x0001ffff,0xfffffff9,0xffffffff,0x0000ffff,0x04ffff80,
    0x3fe60000,0x40001fff,0x2ffffff8,0x1ffffff5,0x7fffd400,0x203fffff,
    0xfffffffe,0xff10006f,0xffff9fff,0xfff5001f,0xfffd80df,0xfffff32f,
    0x7fffe401,0xf30001ff,0x0003ffff,0xfffffff1,0xffffffff,0x000fffff,
    0x1aaaa800,0x3e600000,0x0001ffff,0x2fffffec,0x17fffff6,0xfffff880,
    0x3201ffff,0xffffffff,0x3ff60004,0x5fffffff,0xdffff500,0x2ffffd80,
    0x01fffff3,0x6fffffe8,0xffff3000,0xff70003f,0x99999fff,0xfffb9999,
    0x000000ff,0x4c000000,0x001fffff,0x3ffffea0,0x7fffc40f,0x3fa002ff,
    0x07ffffff,0x7fffffd4,0x2a0002ff,0xffffffff,0xfff5002f,0xfffd80df,
    0xfffff32f,0xffff9801,0xf98003ff,0x8001ffff,0x006ffffe,0x00fffff7,
    0xeeeee880,0xeeeeeeee,0x004eeeee,0x7ffffcc0,0xfff10001,0x3ea05fff,
    0x000fffff,0xfffffff9,0xffff8809,0x0000ffff,0x7ffffffc,0xff5000ff,
    0xffd80dff,0xffff32ff,0xfff9001f,0x98001fff,0x001fffff,0x17ffffd4,
    0xfffffb80,0xcccccccc,0xf13ccccc,0xffffffff,0xffffffff,0xf98000bf,
    0x0001ffff,0x0bfffffb,0x5fffffd8,0xfffff500,0xffd005ff,0x000dffff,
    0xffffff90,0x7fd400bf,0x7fec06ff,0xffff32ff,0x3ffa001f,0x4c005fff,
    0x001fffff,0x03fffff4,0xffffff70,0xffffffff,0x3e2bffff,0xffffffff,
    0xffffffff,0x7cc0005f,0x8001ffff,0x0ffffffa,0x7ffffc40,0xfff8802f,
    0xc800ffff,0x04ffffff,0xffffa800,0x2a002fff,0x6c06ffff,0xff32ffff,
    0x26001fff,0x02ffffff,0x3ffffe60,0x3ffea001,0x3ee003ff,0xffffffff,
    0xffffffff,0xfffff15f,0xffffffff,0x00bfffff,0xfffff980,0x7ffc4001,
    0xf7003fff,0x001fffff,0x0dfffffd,0x3ffffe60,0xff00002f,0x800fffff,
    0x406ffffa,0xf32ffffd,0x4001ffff,0x0ffffffc,0xfffff300,0x7fff4003,
    0x3ee000ff,0xffffffff,0xffffffff,0xfffff15f,0xffffffff,0x00bfffff,
    0xfffff980,0x7ffe4001,0x7f4006ff,0xd805ffff,0x004fffff,0x03fffffe,
    0x7ffe4000,0x7d4004ff,0x7ec06fff,0xfff32fff,0xfe8001ff,0x3004ffff,
    0x003fffff,0x13ffffe6,0xfffff700,0xffffffff,0x00bfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55510000,0x55555555,0x35555555,0x00180000,0x0004cccc,
    0xeefeeca8,0x5d4000ad,0x002ceeec,0x5ef76544,0x36e20002,0x4400acde,
    0x5401aaaa,0x0000aaaa,0xb71004c0,0x7059bddd,0x807bddd9,0x44000008,
    0x3312aaaa,0x00066133,0x95100e20,0x6419bddb,0xfff3003f,0xffa800df,
    0xffffffff,0xffe8801f,0x2fffffff,0xfffffb80,0x1000efff,0xfffffffb,
    0x7fd409ff,0x7ff405ff,0x500002ff,0xffb101fb,0xdfffffff,0xfffffd55,
    0x3e607fff,0xf300001d,0x3feadfff,0x000335ff,0x7fdc0710,0xdfffffff,
    0x9800effc,0x2006ffff,0xfffffffa,0x02ffffff,0x3fffffee,0x03ffffff,
    0xffffffb1,0x805fffff,0xfffffff9,0x81efffff,0x405ffffa,0x002ffffe,
    0x3fffae20,0x7ffff440,0xffffffff,0xffffffff,0xff984fff,0x4c0002ef,
    0xff56ffff,0x00066bff,0x3fa20e20,0xffffffff,0x001fffff,0x00dffff3,
    0x3fffffe6,0xffffffff,0xfffff507,0xffffffff,0xffff905f,0xffffffff,
    0x3ffe203f,0xffffffff,0x7d40ffff,0x7f405fff,0x88002fff,0x0ffffffc,
    0x7ffffff4,0xffffffff,0xffffffff,0x7fcc3fff,0x000cffff,0x56ffff98,
    0x066bffff,0xd10e2000,0xffffffff,0x07ffffff,0x37fffcc0,0xeffffc80,
    0xffff930a,0xffffd03f,0xffd9337f,0xfff98dff,0xfeb8aeff,0xffd05fff,
    0xb757dfff,0xa8bfffff,0x7405ffff,0x2002ffff,0xffffffda,0x3ffea0ff,
    0xfca89bff,0x9dffffff,0xfffffc98,0x3ffffe61,0x2001dfff,0xf56ffff9,
    0x0066bfff,0xff90e200,0x32639fff,0x006fffff,0x01bfffe6,0x80ffff6c,
    0x5c2fffff,0x980fffff,0x3a2fffff,0xfb03ffff,0xffa83fff,0xff704fff,
    0x7fd47fff,0x7ff405ff,0x75c402ff,0xffffffff,0x3ffae0ff,0xffffd03f,
    0x3ffee0bf,0x3fffe64f,0x2effffff,0x3cccc880,0x269ffff5,0x23880001,
    0x82fffff9,0x3fffffe8,0x22000000,0x3fff2019,0x7ffff43f,0x2f3bf603,
    0x0fffff31,0x22ffffc4,0x405ffffc,0x2a7ffffd,0x7405ffff,0x9102ffff,
    0xffffffff,0x29805bff,0x3ffffee0,0x1ffffa01,0x3fffff6a,0x00bfffff,
    0x4cffe200,0x23880001,0xb04ffffd,0x0fffffff,0x20000000,0x3ffffea8,
    0x007ffffc,0x7fffd401,0x3ffff405,0x007ffffa,0x21fffff1,0x405ffffa,
    0x4c2ffffe,0xfffffffd,0x0000beff,0x7fffed44,0x7fffe407,0xfffd7101,
    0x39ffffff,0x25ff5000,0x38800019,0x203ffffe,0xfffedffd,0x3333321f,
    0xcccccccc,0x402ccccc,0xffffedb8,0x3fe23fff,0x2e0007ff,0xaaadffff,
    0xfffeaaaa,0x1ffffe27,0x97ffff40,0x405ffffa,0xd12ffffe,0xffffffff,
    0x4c00039f,0xfffffecb,0xaaaaaeff,0x2ffffdaa,0xffffd980,0x00dfffff,
    0x261ffb10,0x13880001,0xf90fffff,0xffffb1df,0x3ffffe25,0xffffffff,
    0x985fffff,0xffffffec,0x2a3fffff,0x0006ffff,0x3ffffff2,0xffffffff,
    0xfff50fff,0x3ff600df,0xffff53ff,0xffffe80b,0xffffff32,0x200015df,
    0xffffffc8,0xffffffff,0xffffffff,0x22003fff,0xffffffeb,0xfffa801f,
    0x20000663,0xdffff338,0xf90fffa8,0x3fe29fff,0xffffffff,0xffffffff,
    0x7ffffdc5,0xfffeefff,0x3fffea3f,0x3ff60007,0xffffffff,0x1fffffff,
    0x00dffff7,0x553ffff6,0x7405ffff,0xff32ffff,0x0003dfff,0xffffffb8,
    0xffffefff,0xffffffff,0x003fffff,0xfffffd30,0x89ff9003,0x38800019,
    0x4cbffff5,0x3fee1fff,0xffff14ff,0xffffffff,0x4bffffff,0xcefffffc,
    0x7ffff70a,0x03ffffcc,0xdffff900,0xdddddddd,0x3ea3dddd,0xfd007fff,
    0x3fea5fff,0x7ff405ff,0xffff32ff,0x00017dff,0xbffffff5,0x3fffee37,
    0xeeeeeeef,0x003eeeee,0x7ffff5c4,0x1d8801ff,0x88000198,0x2fffff13,
    0x7dc2fff9,0xfff13fff,0xffffffff,0xbfffffff,0x0fffffe2,0x11ffffe4,
    0x401fffff,0xfffb81a8,0x3e60004f,0xf800ffff,0xff51ffff,0xfff80dff,
    0xffff32ff,0x03bfffff,0x6fffff40,0x6ffffb81,0x36600000,0xffffffff,
    0x0cc0001f,0xff1c4000,0x7ffd3fff,0x45ffffb0,0x99999999,0x99999999,
    0xffff5099,0x7fffec0d,0x1fffffc3,0x29dfff70,0x405ffffa,0x7ffffc00,
    0x7fffd403,0x1bfffe67,0x2fffff88,0x3fffff26,0x00beffff,0x81ffffe2,
    0x00fffffc,0xfd710002,0xffffffff,0x33000039,0x74710000,0x4fffffff,
    0x0fffff88,0x3f200000,0xfd104fff,0xffd87fff,0x3ffe06ff,0xffff13ff,
    0x3bfea03f,0x7fffe43c,0xfffd100f,0x7fffc4bf,0xffff900f,0xfff9105f,
    0xbfffffff,0xdffff305,0x7fffff40,0x79dff103,0xffffb501,0x17ffffff,
    0x00266660,0x22000066,0x3ffffee3,0xffff905f,0x3332200d,0xfffb803c,
    0xfffd80ff,0x7ffcc4ff,0x3f260dff,0x3f20ffff,0x7c42efff,0x7cc5ffff,
    0x4c2fffff,0x40fffffe,0xb85fffff,0x02ffffff,0x7fffff54,0x263fffff,
    0xb82fffff,0x3fffffff,0x27ffffd8,0xfffffeb8,0x402effff,0x806ffff9,
    0x38800019,0x17fffff4,0x0fffffe4,0x6ffff980,0xfffffa80,0xffffc9be,
    0xffc84fff,0xffeeffff,0x7c45ffff,0xdbefffff,0x80ffffff,0xfffffffc,
    0xfffffffe,0xfffffe83,0xfffffcce,0xb3002fff,0xffffffff,0x7ffffc1f,
    0xfffeb9cf,0xcfffffff,0x3ffffffd,0x3fffffe6,0x3001dfff,0x300dffff,
    0x87100003,0xeffffffa,0xffffffdc,0x3ffe6003,0xfffd006f,0xffffffff,
    0xf10bffff,0xffffffff,0x501dffff,0xffffffff,0x407fffff,0xfffffffe,
    0x05ffffff,0xfffffff5,0xfff9dfff,0xfc88005f,0x20ffffff,0xfffffffc,
    0xffffffff,0xffffffff,0x7fcc5fff,0x00cfffff,0x37fffcc0,0x40000cc0,
    0x7fffd438,0xffffffff,0x7cc005ff,0xf1006fff,0xffffffff,0x1fffff1b,
    0xfffffb10,0x01dfffff,0x7fffffcc,0x803fffff,0xfffffffb,0x5c02ffff,
    0xffffffff,0x2ffffb8e,0xffd71000,0xfffe81ff,0x3fffffff,0xffffffd3,
    0xf30bffff,0x0007dfff,0x037fffcc,0x440000cc,0x3ffffe63,0xffffffff,
    0xff98003f,0x322006ff,0x23efffff,0x203ffffc,0xffffffea,0xfd91002e,
    0x039fffff,0x7ffedcc0,0x7000deff,0x49dffffd,0x002ffffb,0x80ffda80,
    0xeffffffb,0xfffeb80c,0xf302dfff,0x300005bf,0x300dffff,0x47100003,
    0xffc8bffe,0x00dfffff,0x79999100,0x13531000,0xaa980000,0x54c00009,
    0x8800009a,0x2200009a,0x000000a9,0x2600c980,0x54c001aa,0x0e4c009a,
    0x40000000,0x38800019,0x2a6613a6,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000198,0x00000043,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99b30000,0x99999999,0x79999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x5d42aaa9,
    0xb880aced,0xa881bded,0x32a20aaa,0x55102cee,0x54405555,0x54c1aaaa,
    0xaaaaaaaa,0x20aaaaaa,0x001aaaa9,0x26155555,0x2a00aaaa,0x2a00aaaa,
    0x93002aaa,0xb8001999,0x000dc002,0x80000000,0x01fffff9,0x3bbbb322,
    0x3ff600bc,0xffffd17f,0x7fd41dff,0x545fffff,0xff53ffff,0x03dfffff,
    0x07fffffb,0x07fffff6,0xfffffff9,0xffffffff,0x3ffffd47,0x7ffffcc0,
    0x07ffff70,0x0bffffe2,0x037fffc4,0x01ffffa8,0xa98bfee0,0x07fee0aa,
    0x3e6007ea,0x3fffb001,0xf99fffe4,0xc881ffff,0xffffffff,0xffd80dff,
    0xffffe9ff,0xfb8effff,0xffffffff,0x2ffffea4,0xfffffffb,0x7fc41fff,
    0x7dc0ffff,0xfc83ffff,0xffffffff,0x43ffffff,0x402fffff,0x264ffffc,
    0xf505ffff,0x2e09ffff,0x5004ffff,0x2003ffff,0xfecffffa,0xffceffff,
    0x3ffea1ff,0x07ffe601,0x54bfff70,0x3fe66fff,0x7f441fff,0xffffffff,
    0x7ec0efff,0xffffffff,0xffffffff,0xffffffff,0xffff52ff,0xffffffff,
    0xf50bffff,0x7c4bffff,0xf905ffff,0xffffffff,0x87ffffff,0x405ffffc,
    0x741fffff,0xff907fff,0x3f60dfff,0xf5001fff,0x3a003fff,0xffffffff,
    0xffffffff,0xfffff54f,0xfffff303,0x3fffe603,0x45ffff10,0x41fffff9,
    0xeffffffd,0x4fffffff,0x7fffffec,0xfffe989c,0xd99bffff,0xf55fffff,
    0x17dfffff,0xffffff71,0xfffff901,0x3fffff65,0xddddd700,0xffffdbdd,
    0xfff983ff,0xfff500ff,0xffff90df,0xfffffd03,0xfffff01f,0x7fffd400,
    0xfffd1001,0xffffffff,0x7e49ffff,0x261fffff,0x03ffffff,0x7ec9fffd,
    0x7ffcc5ff,0x3ffe21ff,0x7fe441ef,0x3ff60fff,0xffa84fff,0xfc83ffff,
    0xfff56fff,0xff501fff,0x3fa03fff,0xfffbffff,0x260002ff,0x01ffffff,
    0x207ffffb,0x983ffffd,0x7c44ffff,0x42ffffff,0x004ffff9,0x007fffea,
    0xfffffe88,0xffffffff,0xfffffc85,0xfffff99f,0xffff903f,0x07fffea1,
    0x41fffff1,0x203ffff9,0x360acdfe,0x3e06ffff,0xf505ffff,0x3feaffff,
    0x3fe02fff,0xff301fff,0xffffffff,0x7fc4000b,0x2a02ffff,0xf886ffff,
    0xff00ffff,0xfffa8dff,0x7e45ffff,0x2a002fff,0x2001ffff,0x1dfffff8,
    0x0dffffd5,0x3ffffff2,0x03ffffff,0x225ffff3,0xff04ffff,0xfff98fff,
    0xd8000bff,0x3e05ffff,0xf303ffff,0x3feaffff,0x7ff407ff,0x3fee02ff,
    0x0effffff,0xfffd1000,0xfff009ff,0xfffb81ff,0x3fff204f,0x3ffff20f,
    0x7ff47fff,0xcccc987f,0xdffffdcc,0x41cccccc,0xb04ffffb,0x3203ffff,
    0xffffffff,0xfff103ff,0x7fffecdf,0x8dfffb00,0xfffffff8,0xffb001bd,
    0x7ffc07ff,0xfff302ff,0x3fffeaff,0x7fffec07,0x7ffff402,0x20001fff,
    0x05fffffe,0x87ffff90,0x201ffffe,0x3a3ffffa,0xffffbfff,0x0bffff11,
    0xfffffff7,0xffffffff,0xffc85fff,0xfff500ff,0x7ffe405f,0x203fffff,
    0xf71ffffd,0x7e407fff,0xfffd84ff,0xdfffffff,0xffffb00a,0x7ffff407,
    0xfffff101,0x01bfffea,0x805ffffb,0x4ffffff8,0x3fff6000,0x3e6006ff,
    0x3fe66fff,0xfff806ff,0x1ffff15f,0x3ee7fffd,0xffb82fff,0xffffffff,
    0xffffffff,0x02fffec2,0xb00ffffe,0x09ffffff,0x87ffffc4,0x201ffffe,
    0xe882ccc9,0xffffffff,0xfd83ffff,0x3fa03fff,0xff101fff,0x3ffeafff,
    0x7ffec06f,0x7ffc402f,0x90006fff,0x01dfffff,0x1ffffd80,0x007ffff9,
    0x3eaffffb,0xbfff76ff,0x203ffff6,0xfffffffb,0xffffffff,0x7fe42fff,
    0xfff300ff,0x7ffcc05f,0x201fffff,0xf33ffffa,0x0000bfff,0xffffffb1,
    0x8bffffff,0x203ffffd,0x101ffffe,0x3eafffff,0x7ec06fff,0x7f402fff,
    0x04ffffff,0x7ffffdc0,0xffa8000f,0xffffd4ff,0xffff5001,0x269fff93,
    0xffff7fff,0x3fffee0b,0xffffffff,0x42ffffff,0x903ffffb,0x2603ffff,
    0xffffffff,0x3ff601ff,0xffff70ff,0x2e200005,0xfffffffe,0x3ff63fff,
    0x3ffa03ff,0xfff101ff,0x3fffeaff,0x7fffec06,0x3fffee02,0x001fffff,
    0x3ffffff5,0x7fffc000,0x05ffff9f,0xd9ffff10,0x7ffc5fff,0x02ffffbf,
    0x73333331,0x3337ffff,0xff881333,0x3ee23eff,0xff307fff,0xffffffff,
    0x3fe203ff,0x3fff65ff,0xa8800006,0xffffffec,0x0fffff66,0x01ffffe8,
    0x2afffff1,0x6c06ffff,0xf302ffff,0xffffffff,0xff9801df,0x0002ffff,
    0x7effffe4,0x36001fff,0xffffffff,0x3fffff60,0xa8000fff,0x4001ffff,
    0xdffffffe,0x84ffffff,0xbffffff9,0x1ffffffc,0x23ffff50,0x002ffff8,
    0xfb300c40,0x7fecffff,0x3ffa03ff,0xfff101ff,0x3fffeaff,0x7fffec06,
    0xdffffd02,0x09fffff5,0x7fffffc4,0xff880002,0x06ffffff,0x7ffffdc0,
    0x7ffdc6ff,0x0005ffff,0x003ffff5,0x7fffffdc,0xffffffff,0x3fffe62f,
    0x3fff23ff,0xff901fff,0x3fffdcbf,0x7fff6400,0x3fffe603,0x0fffff67,
    0x01ffffe8,0x2afffff1,0x6c06ffff,0xfc82ffff,0xffb1ffff,0xfd105fff,
    0x995dffff,0x09999999,0xffffffb0,0xff88007f,0x4c4fffff,0x3fffffff,
    0xffff5000,0x3ffee003,0xffffffff,0x92ffffff,0xb07fffff,0x409fffff,
    0x3f62fffe,0x7e4003ff,0xf700ffff,0x7fecbfff,0x3ffa03ff,0xfff101ff,
    0x3fffeaff,0x7fffec06,0x7ffffd42,0x3ffffe24,0x7fffd40f,0xffffffff,
    0xa807ffff,0x0fffffff,0xffffe800,0xffff81ff,0x50000fff,0x2003ffff,
    0xffeffffc,0xffefffff,0x3fff63ff,0x17fff603,0x44dfff30,0x2000ffff,
    0xdffffff9,0xffffecab,0x3ffff62f,0x3ffffa03,0xfffff101,0x01bfffea,
    0x445ffffb,0xa86fffff,0x545fffff,0xffffffff,0xffffffff,0xfffff007,
    0x3ee000bf,0xfb07ffff,0x000dffff,0x00ffffd4,0x2e29ff90,0xffb0bcdc,
    0xb007fb09,0x3bae00bf,0x0fbbaa2e,0xfffff500,0xffffffff,0xffffd89f,
    0x3ffffa03,0xfffff101,0x01bfffea,0x6c5ffffb,0xb01fffff,0x547fffff,
    0xffffffff,0xffffffff,0xffff9007,0x3e60005f,0xf705ffff,0x0007ffff,
    0x00ffffd4,0x9b001320,0x00700140,0x54000000,0xffffffff,0xfd85ffff,
    0x3fa03fff,0xff101fff,0x3ffeafff,0x7ffec06f,0xfffff52f,0x7fffc409,
    0xffff50ff,0xffffffff,0x200fffff,0x006ffff8,0x1fffff40,0x1fffff88,
    0x26662000,0x00000001,0x00000000,0xfb880000,0xdfffffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31000000,0x00003355,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x44000aaa,0x10009aa9,0x01988003,0x20004d44,0xddd50098,0xdddddddd,
    0x3ddddddd,0x3bbbbbaa,0xeeeeeeee,0x2601eeee,0x54c001aa,0x3ffffe00,
    0x1fffff24,0x407376ea,0x02cddca8,0x55554710,0x5555401a,0x5555531a,
    0x3f615555,0x3ffee2ff,0xfffa8004,0xffb1003f,0x101bffff,0x03bffffb,
    0xa80fffa8,0x01efffff,0x3fffff22,0x7ffffdc3,0xffffffff,0xf72fffff,
    0xffffffff,0xffffffff,0x27fdc05f,0xfffffb80,0x4fffff82,0x31fffff2,
    0x89ffffff,0xffffffe9,0x4bf301cf,0x206ffffa,0xb0effffa,0xffffffff,
    0x3fffe63f,0x03ffff10,0x7ffffe80,0xfffffb00,0xffd0bfff,0x201fffff,
    0x6c0ffff9,0xffffffff,0xfffff882,0x3fee5fff,0xffffffff,0xffffffff,
    0xffffff72,0xffffffff,0x5405ffff,0xffd804ff,0x7c4fffff,0x3f24ffff,
    0x4d4c7fff,0xf70fffda,0xffffffff,0xfb759dff,0xffffb8bf,0x1dfffd02,
    0x7fffffec,0x3ff21fff,0x1bffea5f,0xfffffa80,0x7ffcc02f,0x1ffffdce,
    0x3ef3ffee,0x7fecc3ff,0x3fea0fff,0xffffffff,0x5e7ffec0,0xff71fffd,
    0xffffffff,0xffffffff,0x3ffffee5,0xffffffff,0x262fffff,0x830ffe60,
    0xffdffffb,0x3fffe2ff,0x3ffff24f,0xb4fff807,0xffffffff,0xffffffff,
    0xfff90bff,0x1ffff50d,0xffffffd8,0x3fe21fff,0x3fffa2ff,0xffffd004,
    0xdc980dff,0x87ffee0e,0x3ff23ffd,0x3ffffe67,0x3fffe0ff,0x89fffb33,
    0x3fe24fff,0xfffff73f,0xffffffff,0x2e5fffff,0xffffffff,0xffffffff,
    0x237f62ff,0xfeb8aff9,0x4433ffe0,0x3ffe6ffd,0x3fff24ff,0x7ffcc07f,
    0xffffffb3,0xffffffff,0x320bffff,0x7fec1fff,0xffffd81f,0x5c1fffff,
    0xff30ffff,0xff9803ff,0x02ffffff,0x2fffc980,0x97ffa608,0xfffcdffa,
    0x98dfff30,0x554c6fff,0x00bffe20,0x20000000,0xf12ffffa,0xfbffbfff,
    0x3fe65fff,0x87ffc40f,0x2e3ffffd,0x9b36ffff,0x1ffffd99,0x5442b7f6,
    0xfffffffd,0x3f600eff,0x0bffe65f,0x77777764,0xffe81eee,0x3bfff65f,
    0x3bfff600,0x9805ffff,0xffffffdb,0x3bfffe03,0x7fd472a0,0x09fff50f,
    0x3600ffff,0x00000fff,0xffa80000,0xfffd32ff,0xffffffff,0x7417fea9,
    0xffff91ff,0xa7fffcc5,0xfffffff9,0x7100f61d,0x07dffffd,0x88882220,
    0xf5000000,0x3fe67fff,0xfff304ff,0x3ffff77f,0x7ffffec0,0xf103ffff,
    0x5401bfff,0xfff70fff,0x01fffd05,0x01fffec4,0x80000000,0x442ffffa,
    0xbdffffca,0x03ffe60a,0x3ea1fff1,0x3fe21fff,0x999513ff,0x80010359,
    0x00000aa8,0x3a000000,0xff90ffff,0xfff905ff,0xbffff11f,0x2fbfff60,
    0x303fffa9,0x01dffd79,0x7d43ffea,0xffff84ff,0xbfffd100,0xcccccc98,
    0xcccccccc,0x0001cccc,0x817fffd4,0x205ffffb,0xfb10cfff,0x3fffccdf,
    0x000ffffc,0x00000000,0x20000000,0xf34ffffa,0xff88dfff,0x3fff65ff,
    0x37ffc40f,0x200ffff2,0xf503fff8,0x3ffe61ff,0x83fffcc6,0xb84ffff9,
    0xffffffff,0xffffffff,0x540002ff,0xfb82ffff,0x704ffdef,0xfffdffff,
    0x83ccc85f,0x5550cccb,0x0aaaa835,0xfffffff3,0xffffffff,0x4cffffff,
    0xeeeeeeee,0xeeeeeeee,0x2006eeee,0xfb0ffffe,0xffc83fff,0x3ffea1ff,
    0x27ffcc4f,0x544ffffa,0x2fffc1cc,0x3e0fffa8,0xff912fff,0xffff50bf,
    0x3fffee05,0xffffffff,0x02ffffff,0x7fffd400,0x44fffdc2,0xffb03fff,
    0x009fffff,0x1ffff400,0x7ccbfffe,0xffffffff,0xffffffff,0x3fe67fff,
    0xffffffff,0xffffffff,0xff7007ff,0x3ffe65ff,0x7fffc43f,0x0fffff86,
    0x75e7fff4,0x3f63ffff,0x0fffea5f,0xf707ffd4,0xffffdfff,0xffff981f,
    0xf709999a,0xffffffff,0xffffffff,0xfa80005f,0x3fa22fff,0x03fff25f,
    0x17ffffdc,0x3ffa0000,0x97fffc3f,0xfffffff9,0xffffffff,0x267fffff,
    0xffffffff,0xffffffff,0x8807ffff,0x3fa4ffff,0xfffb86ff,0xffffb83f,
    0x7ffffdc3,0x263fffff,0xfffeffff,0x1fff500f,0xffffffd8,0xfffd83ff,
    0x74ffffff,0xffffffff,0xffffffff,0xa80005ff,0xfd82ffff,0x44006f40,
    0xd0000009,0xfff87fff,0x7777712f,0x77777777,0x77777777,0x5dddddc4,
    0xbbbbbbbb,0x03bbbbbb,0x2a6fffc8,0x7c40ffff,0xf880ffff,0xffc86fff,
    0x6ffc8dff,0x7fffffe4,0x3ffea01e,0xfffffb80,0xffff881e,0x14ffffff,
    0x33333333,0x33333333,0x00000133,0x000040c0,0xffd00000,0x2ffff87f,
    0x00000000,0x3e600000,0xfff11fff,0xffff707f,0x7fffec0b,0x00099882,
    0x00f7bb26,0x53013326,0x6664c013,0x2ccccccc,0x00000000,0x00000000,
    0x88800000,0x00088880,0x00000000,0x7ffec000,0x417fff24,0x20099998,
    0x00099998,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fea0000,0x3fffe26f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdd900000,0x17775c1d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_42_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_42_latin1_y[224]={ 34,7,7,6,4,6,6,7,6,6,6,11,28,21,
28,6,6,6,6,6,6,7,6,7,6,6,14,14,10,14,10,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,38,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,34,14,7,6,11,7,
6,6,6,6,6,15,14,21,6,2,6,8,6,6,6,14,7,18,34,6,6,15,6,6,6,14,0,0,0,0,
1,1,7,6,0,0,0,1,0,0,0,1,7,0,0,0,0,0,1,11,5,0,0,0,1,0,7,6,6,6,
6,7,6,5,14,14,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,10,13,6,6,6,6,6,7,6,
 };
static unsigned short stb__arial_bold_42_latin1_w[224]={ 0,6,14,21,19,31,26,7,11,10,14,20,6,11,
6,12,19,13,20,19,21,19,19,19,19,19,6,6,20,20,20,21,36,28,24,25,24,22,20,26,23,7,18,26,
20,27,23,27,22,28,25,23,23,23,27,36,26,27,23,10,12,10,18,23,10,19,20,19,20,19,14,20,19,6,
10,19,6,29,19,21,20,20,14,20,13,19,21,30,21,21,19,13,5,14,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,19,21,20,21,
5,19,13,29,13,18,20,11,29,23,13,20,12,12,9,18,22,6,11,9,14,18,30,30,31,21,28,28,28,28,
28,28,38,25,22,22,22,22,10,10,13,13,27,23,27,27,27,27,27,18,28,23,23,23,23,27,22,20,19,19,
19,19,19,19,31,19,19,19,19,19,9,9,13,13,21,19,21,21,21,21,21,20,21,19,19,19,19,21,20,21,
 };
static unsigned short stb__arial_bold_42_latin1_h[224]={ 0,27,10,29,34,30,29,10,36,36,14,20,13,6,
6,29,29,28,28,29,28,28,29,27,29,29,20,27,21,14,21,28,36,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,31,27,29,27,28,27,27,27,27,27,35,29,35,16,4,7,21,28,21,28,21,28,28,27,27,
35,27,27,20,20,21,28,28,20,21,28,21,20,20,20,28,20,36,36,36,8,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,35,29,20,27,
36,36,6,29,15,18,14,6,29,4,13,26,15,15,7,28,35,6,8,15,15,18,29,29,29,28,34,34,34,34,
33,33,27,36,34,34,34,33,34,34,34,33,27,34,35,35,35,35,34,19,31,35,35,35,34,34,27,29,29,29,
29,28,29,30,21,28,29,29,29,29,28,28,28,28,28,27,29,29,29,28,29,21,23,29,29,29,29,36,35,36,
 };
static unsigned short stb__arial_bold_42_latin1_s[224]={ 255,207,175,41,234,217,1,247,82,23,146,
167,248,244,248,243,65,238,91,218,191,131,41,111,21,1,241,248,167,104,220,
1,134,203,178,192,65,42,90,113,155,49,23,1,28,57,85,85,132,188,141,
28,167,83,93,56,29,1,214,203,52,192,20,204,223,65,172,85,151,105,235,
214,158,151,237,131,249,22,52,125,227,193,238,1,213,147,114,136,72,107,94,
120,114,171,202,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,255,248,126,
140,188,232,186,94,190,162,39,228,125,244,61,228,161,230,91,53,234,112,214,
238,190,66,76,1,212,181,149,1,107,64,24,226,107,78,191,56,136,183,1,
136,53,25,93,64,179,159,22,174,146,74,36,209,159,202,50,102,1,206,109,
63,43,124,164,151,104,1,188,171,129,184,1,21,244,23,33,47,61,121,21,
107,85,129,63,44,22,144,224,84,204,34,1,1, };
static unsigned short stb__arial_bold_42_latin1_t[224]={ 30,323,426,174,74,109,205,403,1,1,426,
403,379,426,30,174,205,205,235,205,235,235,235,294,235,235,379,235,379,426,379,
265,1,294,294,205,294,294,294,205,323,323,294,323,323,323,323,205,323,109,351,
205,351,265,351,351,351,351,323,1,205,1,426,435,426,379,265,379,265,379,265,
265,294,294,1,294,109,403,403,379,235,265,323,404,235,379,403,403,403,265,403,
1,1,1,426,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,30,1,38,
205,403,294,1,1,435,205,426,403,426,426,235,435,426,351,426,426,426,235,1,
344,426,426,426,426,174,174,174,294,74,74,74,38,109,109,351,1,74,74,74,
109,74,109,74,109,323,74,38,38,38,38,109,403,109,38,38,38,109,74,323,
144,144,144,144,235,144,144,379,235,174,144,175,174,144,265,265,265,265,351,144,
174,174,265,174,379,379,144,144,144,144,1,38,1, };
static unsigned short stb__arial_bold_42_latin1_a[224]={ 167,200,285,335,335,535,434,143,
200,200,234,351,167,200,167,167,335,335,335,335,335,335,335,335,
335,335,200,200,351,351,351,367,587,434,434,434,434,401,367,468,
434,167,335,434,367,501,434,468,401,468,434,401,367,434,401,568,
401,401,367,200,167,200,351,335,200,335,367,335,367,335,200,367,
367,167,167,335,167,535,367,367,367,367,234,335,200,367,335,468,
335,335,301,234,168,234,351,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,167,200,335,335,335,335,168,335,
200,443,223,335,351,200,443,332,241,330,200,200,200,347,335,167,
200,200,220,335,502,502,502,367,434,434,434,434,434,434,602,434,
401,401,401,401,167,167,167,167,434,434,468,468,468,468,468,351,
468,434,434,434,434,401,401,367,335,335,335,335,335,335,535,335,
335,335,335,335,167,167,167,167,367,367,367,367,367,367,367,330,
367,367,367,367,367,335,367,335, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_42_latin1(stb_fontchar font[STB_FONT_arial_bold_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_42_latin1_s[i] + stb__arial_bold_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_42_latin1_t[i] + stb__arial_bold_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_42_latin1_x[i];
            font[i].y0 = stb__arial_bold_42_latin1_y[i];
            font[i].x1 = stb__arial_bold_42_latin1_x[i] + stb__arial_bold_42_latin1_w[i];
            font[i].y1 = stb__arial_bold_42_latin1_y[i] + stb__arial_bold_42_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_42_latin1_s[i] + stb__arial_bold_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_42_latin1_t[i] + stb__arial_bold_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_42_latin1_x[i] + stb__arial_bold_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_42_latin1_y[i] + stb__arial_bold_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_42_latin1_LINE_SPACING
#endif

