// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT        535
#define STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_46_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_46_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_46_latin1_LINE_SPACING          30

static unsigned int stb__arial_bold_46_latin1_pixels[]={
    0x87ffff50,0x100ffffd,0x00155555,0x7fc40000,0x2e00ffff,0x70003fff,
    0x079ddfd9,0xaaaa9800,0xaaaaaaaa,0x7ec01aaa,0x2aaaa0ff,0xf72aaaaa,
    0x53000fff,0x157bdfb9,0x00800000,0x4cccc400,0x54400009,0xaaaaaaaa,
    0x7ffff502,0x00ffffd8,0x07fffff3,0x7dc00000,0x4401ffff,0x2000ffff,
    0xffffffea,0x22002fff,0xffffffeb,0xffffffff,0x3fe605ff,0x7ffffc5f,
    0xff77ffff,0x7fdc00ff,0xffffffff,0x000000cf,0x260005df,0x005fffff,
    0x7ffffcc0,0xf505ffff,0xffd87fff,0xfff300ff,0x000007ff,0x0fffffc0,
    0x04fffc80,0xffffff70,0x09ffffff,0xffffff30,0xffffffff,0x40bfffff,
    0x7fc2fffd,0x7fffffff,0x100ffff7,0xfffffffb,0x5fffffff,0xffa80000,
    0x3fea0002,0x20001fff,0xfffffff9,0xfff505ff,0xffffd87f,0xfffff300,
    0x20000007,0x002ffffa,0x007fffe6,0xfffffff3,0x7fffffff,0x7ffffc40,
    0xffffffff,0x5fffffff,0xf0ffff30,0xffffffff,0x01fffeef,0xfffffff5,
    0xffffffff,0x40000bff,0xb80007fc,0x0004ffff,0x3fffffe6,0xdd305fff,
    0xeeec85dd,0xffff300e,0x0000007f,0x000bfffa,0xb01bfffa,0x77dfffff,
    0x1ffffffb,0x3fffffa0,0xffffffff,0x5fffffff,0xf07fffd0,0xffffffff,
    0x81fffeef,0xfffffffb,0xffffffff,0x0003ffff,0x0000bff0,0x003fffee,
    0x7ffffcc0,0x0005ffff,0xffff3000,0x0000007f,0x0007fff5,0x80bfffea,
    0xb86ffffe,0xa82fffff,0xffffffff,0xfeeeffff,0xa84eefff,0xff80ffff,
    0xff701fff,0x3ffe20ff,0x99bdffff,0xfffffeb9,0x4c0001ff,0x200003ff,
    0x0004fffc,0x17ffff20,0x7cc00000,0x0003ffff,0x20000000,0x105ffff8,
    0x10bfffff,0x707fffff,0xffffffff,0x7fd4bfff,0x3ffa02ff,0xfffff05f,
    0x1fffee03,0x7fffffe4,0x7fffdc02,0x5c0004ff,0x400000ff,0x00005eec,
    0x017ffff2,0x7fcc0000,0x00003fff,0x6c000000,0xfd00ffff,0x3501ffff,
    0xffffd803,0x5fffffff,0x40bfffea,0xf03ffffa,0x2e03ffff,0xff987fff,
    0x9001ffff,0x01ffffff,0x0037f400,0x00000000,0x26bffff9,0x000aaaaa,
    0x21555553,0x23fffff9,0x01bcdca8,0x0555554c,0xaaaaa980,0x4ffffb80,
    0xdfffffb0,0x3ffe0001,0xffffffff,0x3fffea5f,0x1ffffd02,0x07ffffe0,
    0x743fffdc,0x004fffff,0x0f7ffffc,0x776e54c0,0x440003ff,0xcdefeeca,
    0xfc80001a,0xfff55fff,0x3fa009ff,0x3fe66fff,0xfff53fff,0x201dffff,
    0x04fffffa,0x0dffffd0,0x41ffffe2,0xfffffff8,0xffff8003,0xffffffff,
    0x0bfffea5,0x81bfffe2,0x701fffff,0xff88ffff,0x4000ffff,0x9800acec,
    0xfffffffe,0xc88002ff,0xffffffff,0x0004ffff,0xf97ffff2,0x9806ffff,
    0x263fffff,0xfcbfffff,0xffffffff,0xfffff02f,0xffff300d,0x7fff407f,
    0xffff701f,0x4001bfff,0xfffffffd,0x3ea5ffff,0xffb82fff,0x3ffe04ff,
    0xfff701ff,0xfffffa8f,0xc8000004,0xffffffff,0x2004ffff,0xffffffe9,
    0xffffffff,0xffc8001e,0x3fff25ff,0x7fdc01ff,0x3fe61fff,0xffffffff,
    0xffffffff,0xfffffc81,0x7fffdc01,0x3fff601f,0xffff903f,0x007fffff,
    0x3ffffff2,0x2a5fffff,0xfd82ffff,0x3fe03fff,0xff701fff,0xffffb8ff,
    0x4000003f,0xfffffffd,0x5fffffff,0xfffffc80,0xffffffff,0x004fffff,
    0x32ffffe4,0x809fffff,0x4c6ffffe,0xffffffff,0xffffdcce,0xfff986ff,
    0x7ff404ff,0x7fe406ff,0xfffc85ff,0xffffffff,0x7ffcc00d,0xffffffff,
    0x0bfffea5,0x80bffffe,0x701fffff,0xffc8ffff,0x00002fff,0x3ffffea0,
    0xffffddff,0x3f201fff,0xffffffff,0xffffffff,0x32005fff,0x7f45ffff,
    0x3e606fff,0x7cc3ffff,0x83ffffff,0x2ffffff9,0x06ffffe8,0x0fffffe6,
    0x8fffff70,0xfefffffc,0x2fffffff,0x7ffffe40,0x2a5fffff,0x7cc2ffff,
    0x3e01ffff,0xf701ffff,0xfffd8fff,0x000001ff,0x8ffffffa,0xfffffffc,
    0xfffff305,0x53359dff,0xffffffd9,0x3ff2005f,0x7ffdc5ff,0xfff701ff,
    0xfff981ff,0x3e603fff,0xfb86ffff,0xf701ffff,0xa801ffff,0xf11fffff,
    0x3f21ffff,0x3fffffff,0x3ffffa20,0x2a5fffff,0x7d42ffff,0x3e00ffff,
    0xf701ffff,0xfffe8fff,0x000000ff,0x87fffff7,0xffffddff,0xffffe81f,
    0xffb805ff,0x9006ffff,0xf88bffff,0xfd04ffff,0xff30bfff,0xe801ffff,
    0x440fffff,0xd04fffff,0x300bffff,0x2a3fffff,0x7d44ffff,0x2fffffff,
    0x7ffffe40,0x3fea5fff,0x7ffdc2ff,0x7fffc07f,0xffff701f,0x0ffffff8,
    0xffb00000,0x7fcc1fff,0x80abde9a,0x2ffffffc,0x3fffe600,0xffc803ff,
    0xfffd85ff,0xffff886f,0xffff982f,0xfffb805f,0xfffd81ff,0xffff886f,
    0xfff8802f,0xffff92ff,0xffffd105,0xb9803fff,0x25fffffd,0x642ffffa,
    0x7c06ffff,0x0001ffff,0x03fffffd,0x3ffa0000,0x07fdc5ff,0xffffff00,
    0xfff7000b,0xfc801fff,0xffa85fff,0x7fdc1fff,0xfff307ff,0xff5009ff,
    0xff505fff,0xffb83fff,0xff1007ff,0x3ff67fff,0x3ff205ff,0x2006ffff,
    0x2a5ffff8,0x7ec2ffff,0x7fc05fff,0xb0001fff,0x005fffff,0x3fffe000,
    0x0037f44f,0x1ffffff5,0x3fffe000,0x7fe403ff,0xffff05ff,0xffffe89f,
    0xfffff304,0xffff3007,0x3fffe07f,0x7ffff44f,0x3fffe004,0xfffff93f,
    0x7fffd403,0x3fe2007f,0x3ffea5ff,0x7fffec2f,0x7ffffc04,0xfff90001,
    0x000007ff,0x47fffff1,0x32003ff8,0x004fffff,0x3ffffee0,0x7fffe404,
    0xdffff905,0x0fffffc4,0x3fffff98,0xfffff880,0xdffff904,0x0fffffc4,
    0x7ffffd00,0x3fffffee,0x3fffe602,0xfff1001f,0x7fffd4bf,0x27ffff42,
    0x07ffffe0,0x7fffdc00,0x2c98003f,0x7fffff30,0xd000ffdc,0x005fffff,
    0x7ffffcc0,0x7fffe405,0xfffff305,0x1bfffee3,0x3fffff98,0xfffff980,
    0xfffff303,0x1bfffee3,0x7ffffd00,0x3fffffe2,0x3fff603f,0xfff1002f,
    0x7fffd4bf,0x27fffec2,0x07ffffe0,0x7fffcc00,0xffc8006f,0xfff10adf,
    0x03fec9ff,0x3fffffe0,0x3fe20001,0x7e407fff,0x3fa05fff,0xfffd4fff,
    0x7ffcc07f,0xffa804ff,0x3fa01fff,0xfffd4fff,0xfff8007f,0x3ffee2ff,
    0xc80dffff,0x1000ffff,0x7d4bffff,0x7fe42fff,0x7ffc05ff,0xf10001ff,
    0x005fffff,0x2ffffff8,0x4bfffff1,0x3e0044ff,0x000fffff,0x7fffffc0,
    0x3ffff200,0x3fffee05,0x0fffff8e,0x3ffffe60,0xffffc807,0x3ffee00f,
    0xfffff8ef,0x7fffc000,0x7fffe42f,0x7f43ffff,0x3e2006ff,0x3fea5fff,
    0x7ffe42ff,0x7fffc06f,0x3333101f,0xdfffff90,0x7fffdc00,0x7ffffc7f,
    0xfe85ff57,0xfff11bce,0xd0000fff,0x403fffff,0x205ffffc,0xfdfffff8,
    0x7cc05fff,0x202fffff,0x07fffff8,0x6fffffc4,0x4005ffff,0x81fffff8,
    0xfffffffc,0xffffd8df,0x3ffe2004,0x3fffea5f,0x37fffdc2,0x07ffffe0,
    0x443fffdc,0x04ffffff,0xffffff98,0x7ffffe44,0x7fcc7fcb,0xfff14fff,
    0xd0000fff,0x405fffff,0x405ffffc,0xfffffffd,0x7fcc02ff,0x901fffff,
    0x009fffff,0xfffffffb,0xf98005ff,0x3ee07fff,0xffffffff,0x4005ffff,
    0x2a5ffff8,0x7d42ffff,0x7fc07fff,0xff701fff,0x3ffee0ff,0xf701efff,
    0x81ffffff,0xfefffff9,0x7ffff45f,0x3ffffe0f,0x7fc0000f,0x3201ffff,
    0x5405ffff,0xffffffff,0x7ffcc00f,0x31bfffff,0x1ffffffb,0xfffff500,
    0x8001ffff,0x406ffffa,0xffffffe9,0x8005ffff,0x2a5ffff8,0x7c42ffff,
    0x3e00ffff,0xf701ffff,0x7ff40fff,0xcdffffff,0xfffffffe,0xffffd04f,
    0xfd939fff,0xfe8dffff,0x0001ffff,0x1fffffe2,0x0bffff90,0xfffffff0,
    0xfff300bf,0xffffffff,0x9fffffff,0x7ffffc00,0xc8005fff,0x9004ffff,
    0xffffffff,0xff10001f,0x7ffd4bff,0xffffe82f,0x3ffffe01,0x0ffff701,
    0x7fffffcc,0xffffffff,0x2605ffff,0xffffffff,0xffffffff,0x7ffffec1,
    0x3fe60002,0x7e406fff,0xfc805fff,0x02ffffff,0xdfffff98,0xffffffff,
    0x2000efff,0xfffffffc,0xfffd8002,0x3fa6002f,0x03ffffff,0x5ffff880,
    0x20bfffea,0x203ffffc,0x701fffff,0xd880ffff,0xffffffff,0x5fffffff,
    0xfffffb80,0xffffffff,0xffffc82f,0x3ea0003f,0x6405ffff,0x9805ffff,
    0x07ffffff,0x7fffff30,0xffffffd3,0xf3000bff,0x00ffffff,0x03ffffe0,
    0x3fffee00,0x44001fff,0x3ea5ffff,0xffa82fff,0x3ffe05ff,0xfff701ff,
    0x3ffee00f,0xffffffff,0x3ea003ff,0xffffffff,0xff703fff,0x4000dfff,
    0x04fffffd,0x02ffffe4,0x4fffffe8,0xfffff300,0x3ffff627,0x3a0003ef,
    0x004fffff,0x05ffff98,0x3fffa600,0x7c4005ff,0x3fea5fff,0xfff882ff,
    0x3fffe07f,0xffff701f,0x7fee4400,0x0bffffff,0xfffd8800,0x00cfffff,
    0x3fffffe6,0xfffa8003,0x7e402fff,0xfd005fff,0x2003ffff,0x83fffff9,
    0x800009a9,0x01fffffe,0x2ffffb80,0xff100880,0x8800ffff,0x3ea5ffff,
    0xff902fff,0x3ffe03ff,0xfff701ff,0x3f2a000f,0x80000cff,0x09aaaefd,
    0x3ffff600,0x7f4000ff,0xc806ffff,0x9805ffff,0x006fffff,0x0fffffe6,
    0xff300000,0x2000dfff,0xd507fffd,0x2e03fffd,0x000fffff,0xa97fffe2,
    0xf302ffff,0x3fe07fff,0xff701fff,0xff5000ff,0x001dffff,0x0027fc40,
    0x3ffffe20,0xfd8801ef,0x801fffff,0x805ffffc,0x03fffffd,0x3ffffe60,
    0x6c000003,0x003fffff,0x209ffff0,0x05fffffa,0x01fffff9,0x2ffffc40,
    0x405ffff5,0xff05fffe,0x3ee03fff,0xcb8007ff,0x04fffeba,0x007fea00,
    0x3ffff200,0xf500bfff,0x0bffffff,0x17ffff20,0xfffffc88,0x3fe6000f,
    0x00003fff,0xfffff910,0xff50001f,0x7ffc01ff,0x3e60bfff,0x4006ffff,
    0x2a5ffff8,0x2e02ffff,0xff80ffff,0x1999bfff,0x000ffff7,0x003fffa0,
    0x0003fe40,0xffffffd0,0xffd9bdff,0x1fffffff,0x3f666660,0x3be65fff,
    0xffffffff,0x7ffcc004,0x300003ff,0xffffffdf,0x360009ff,0x7e404fff,
    0xedffffff,0x04ffffff,0x2ffffc40,0x805ffff5,0xff83fffe,0x7fffffff,
    0x000ffff7,0x007fff60,0x00027fc0,0xffffff30,0xffffffff,0x05ffffff,
    0x3fffffe6,0x3fe25fff,0xffffffff,0x7ffcc000,0x100003ff,0xffffffff,
    0xf30001ff,0xfb001fff,0xffffffff,0x000dffff,0x54bffff1,0x5402ffff,
    0xfff86fff,0x77ffffff,0x4400ffff,0xfff95119,0x3fe6000f,0x6c400002,
    0xffffffff,0xffffffff,0x3ffe600e,0x45ffffff,0xffffffff,0xff98001f,
    0x00003fff,0x3ffffffe,0xf90001ff,0x3a2007ff,0xffffffff,0x8000efff,
    0x2a5ffff8,0xd802ffff,0x7ffc2fff,0x77ffffff,0x6400ffff,0xffffffff,
    0xff90001f,0x2a000001,0xffffffff,0x03ffffff,0xffffff98,0x7ffc5fff,
    0x001dffff,0x7fffff30,0x7ffc0000,0x001dffff,0x00dfff10,0xfffffd50,
    0x40007fff,0x2a5ffff8,0x9802ffff,0x7ffc5fff,0x77ffffff,0x6400ffff,
    0xcfffffff,0x17aa0000,0xb9100000,0xfffffffd,0x3e60019b,0xffffffff,
    0x55e65d45,0x99980001,0x20000099,0x01abccba,0x0e664c00,0x99753000,
    0x30000135,0x4cc41333,0x99700099,0x55555419,0x9932aaaa,0x4cc40099,
    0x000019aa,0x80000000,0x00009aa9,0x55555551,0x00000555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x00099999,0xcba88000,0xbcdeffed,0x33000001,0x00003333,
    0x06aaaaa2,0xbfff6d40,0x3e27fffb,0x0002cdef,0x33333300,0x00000000,
    0x00000000,0x00cccccc,0x00666666,0x3fffe200,0x000000ef,0x3fffff6a,
    0xffffffff,0x200000be,0x02fffffc,0xffff8800,0x7fecc03f,0xfff77fff,
    0x7ffffc4f,0x200000df,0x03fffffb,0xffff1000,0x200000df,0x06fffff8,
    0x3ffff200,0xffff503f,0xf900009f,0x0001dfff,0xffff9100,0xffffffff,
    0x9fffffff,0x7fec0000,0x880006ff,0x203fffff,0xfffffff8,0x44ffff77,
    0x6fffffff,0x3ffa0000,0x200004ff,0x4ffffffe,0xffe80000,0x0004ffff,
    0x41bffff2,0x005ffffe,0xfffff880,0xf9800000,0xffffffff,0xffffeeef,
    0x01efffff,0xffffb000,0xff880003,0x3f203fff,0x77ffffff,0x7fc4ffff,
    0x02ffffff,0xffffa800,0x3ee00005,0x2fffffff,0x3ff20000,0x01ffffff,
    0x3ffff600,0x2ffffd42,0xfffb8000,0xb800001f,0xadffffff,0x3f2a6201,
    0x002fffff,0x0bfffd00,0xffff8800,0x3fffe03f,0xff75efff,0x7ff744ff,
    0x0006ffff,0x005fffe8,0x3fffe600,0x00ffffca,0xffff9800,0x00ffffd9,
    0x1bfff600,0x000dfffb,0x00ffff40,0x7ffec000,0x10000bff,0x03fffffb,
    0xfffd1000,0x77440003,0xff102eee,0xff709fff,0x7ffec0ff,0x7cc0007f,
    0x400006ff,0x3fa4fffe,0x440005ff,0xfd14fffe,0x44000bff,0xff31fffe,
    0x200001df,0x0002eee9,0xdffffc80,0xfd500000,0x00001dff,0x0007ddb1,
    0x7ffcc000,0xffff707f,0x7ffffc40,0x3bb20000,0x2e00000d,0x77445eee,
    0x2e0001ee,0x77445eee,0x220001ee,0xbdd73eed,0x00000001,0x7ffd4000,
    0xd000003f,0x0000bfff,0x80000000,0x706ffffa,0xff80ffff,0x00001fff,
    0x00000000,0x00000000,0x00000000,0xfeeca880,0x0001acde,0x00bfffe2,
    0x44159b73,0xff309999,0x2aaa03ff,0x54c002aa,0x5100aaaa,0x2a035555,
    0xf706ffff,0xfff80fff,0x2aaa01ff,0x54c002aa,0x2aa0aaaa,0x4c002aaa,
    0x000aaaaa,0x3bfbb2a2,0x20001acd,0x12aaaaa8,0x00555555,0xfffff910,
    0x9fffffff,0x9fffd000,0x3ffff620,0xfffb3fff,0x27ffdc9f,0x06fffff8,
    0x7ffffdc0,0xfffff103,0x3fffea07,0x0ffff706,0x01fffff8,0x01bffffe,
    0x7fffff70,0x037ffffc,0x3ffffee0,0xfffc8803,0xffffffff,0xff88004f,
    0xfff15fff,0xe9800bff,0xffffffff,0x1effffff,0x0dfff500,0x3fffffa2,
    0xfffbffff,0x7ffec2ff,0x6fffff80,0x7fffdc00,0xffff103f,0x3ffea07f,
    0xffff705f,0x1ffffe80,0x1bffffe0,0xfffff700,0x37ffffc7,0x3fffee00,
    0x7ff4c03f,0xffffffff,0x001effff,0x57ffffe2,0x05fffff8,0x3fffff20,
    0xffffffff,0x804fffff,0xe881fffd,0xffffffff,0xffffffff,0x417ffd41,
    0x006fffff,0x1fffffdc,0x3fffff88,0x0bffff50,0xd01fffee,0x7c03ffff,
    0x4006ffff,0x23fffffb,0x006fffff,0x1fffffdc,0xffffff90,0xffffffff,
    0x2009ffff,0x15fffff8,0x00bfffff,0x3ffffff2,0xffffffff,0x05ffffff,
    0x2217ffe2,0x0bfffffe,0xffffffd7,0x07fff30f,0x00dfffff,0x3fffffb8,
    0x7fffff10,0x13fffee0,0x203fffdc,0x202ffffe,0x006fffff,0x1fffffdc,
    0x00dfffff,0x3fffffb8,0xffffff90,0xffffffff,0x0bffffff,0xbfffff10,
    0x17ffffe2,0x3ffffe60,0xa99aceff,0xffffffec,0x5fff902f,0x0bffffd0,
    0x2ffffff4,0xff85fff8,0x5c006fff,0x103fffff,0x207fffff,0x703ffffd,
    0xfd80ffff,0x3fe03fff,0x5c006fff,0x3e3fffff,0x4006ffff,0x83fffffb,
    0xfffffff9,0xeca99ace,0x2fffffff,0x7ffffc40,0xbfffff15,0xfffffd00,
    0xfff700bf,0x3fe0dfff,0xffff987f,0x3ffee00f,0xdffd04ff,0x0dfffff0,
    0xfffffb80,0xfffff103,0x3ffffe07,0x0ffff702,0x06ffffb8,0x01bffffe,
    0x7fffff70,0x037ffffc,0x3ffffee0,0xfffffe83,0xfffb805f,0x7c406fff,
    0xff15ffff,0xfc80bfff,0x002fffff,0x3fffffe6,0x427ffc43,0x404ffffd,
    0x02fffff9,0xfff0dffb,0xfb800dff,0xf103ffff,0xf707ffff,0x2e01ffff,
    0x7c407fff,0xff03ffff,0xb800dfff,0x3e3fffff,0x4006ffff,0x43fffffb,
    0x2ffffffc,0x3fffe600,0x3fe203ff,0xfff15fff,0xfff80bff,0xb8005fff,
    0x20ffffff,0x7cc2fff9,0x4400ffff,0xf00fffff,0xffff0bff,0xffb800df,
    0xff103fff,0x32a27fff,0x205fffff,0xd807fffb,0x0adfffff,0x01bffffe,
    0x7fffff70,0x037ffffc,0x3ffffee0,0x7fffffc3,0xfffb8005,0xff100fff,
    0x3fe2bfff,0x3ea05fff,0x000fffff,0x7ffffff0,0x320fffd4,0x9804ffff,
    0xf107ffff,0xffff09ff,0xffb800df,0xff103fff,0x3ff67fff,0x200fffff,
    0x9807fffb,0x4fffffff,0x01bffffe,0x7fffff70,0x037ffffc,0x3ffffee0,
    0x3ffffea3,0xfff0000f,0x3e207fff,0xff15ffff,0x7e40bfff,0x0004ffff,
    0x93ffffee,0x7ec0fffb,0xfb803fff,0xff505fff,0xfffff07f,0xfffb800d,
    0xfff103ff,0x3fff67ff,0x7dc01eff,0xff3007ff,0x7fc9ffff,0x5c006fff,
    0x3e3fffff,0x4006ffff,0x23fffffb,0x04fffffc,0x3fffee00,0xffff104f,
    0x3fffe2bf,0x3fffa05f,0x260002ff,0x325fffff,0xfffe87ff,0xfffc802f,
    0x3fff903f,0x0dfffff0,0xfffffb80,0xfffff103,0x3fffff67,0x7fffb802,
    0x3fffee00,0x3ffffe4f,0x7ffdc006,0x3fffe3ff,0x7fdc006f,0x3ffa3fff,
    0x20002fff,0x05fffff9,0x2bfffff1,0x05fffff8,0x07fffffe,0xffff8800,
    0x21fff67f,0x800fffff,0xd01ffffe,0xfff01fff,0xfb800dff,0xf103ffff,
    0x3f67ffff,0x403fffff,0x9007fffb,0x49ffffff,0x006fffff,0x1fffffdc,
    0x00dfffff,0x3fffffb8,0x07fffffe,0xffff8800,0xffff107f,0x3fffe2bf,
    0x3fffe05f,0x7c0000ff,0xf90fffff,0xffff88ff,0xffff9807,0x3fffc80f,
    0x0dfffff0,0xfffffb80,0xfffff103,0x3fffff67,0x3fee01ff,0xfffb807f,
    0x3fe3ffff,0x5c006fff,0x3e3fffff,0x4006ffff,0x23fffffb,0x00ffffff,
    0x7ffffc00,0xffff880f,0xfffff15f,0x3fffe20b,0xfe80007f,0xff71ffff,
    0xfffff81f,0x7fffec00,0x0ffffb86,0x0dfffff0,0xfffffb80,0xfffff103,
    0x7fffdc47,0x3ffee06f,0xfffff807,0xfffff81f,0x7ffdc006,0x3fffe3ff,
    0x7fdc006f,0xfff13fff,0xd0000fff,0x103fffff,0x22bfffff,0x105fffff,
    0x00ffffff,0xfffffd00,0xd07ffea5,0x4c03ffff,0x4c5fffff,0x3e03ffff,
    0x4006ffff,0x03fffffb,0x07fffff1,0x03fffff7,0x501fffee,0x203fffff,
    0x006fffff,0x1fffffdc,0x00dfffff,0x3fffffb8,0x0ffffff1,0xffffd000,
    0xffff105f,0x3fffe2bf,0x3fffe05f,0x7c0000ff,0xf31fffff,0xfffd85ff,
    0x3fff605f,0x3ffe23ff,0x7fffc06f,0x7fdc006f,0xff103fff,0x3fa07fff,
    0xff702fff,0xfffb80ff,0x3fffe05f,0x7fdc006f,0x3ffe3fff,0x7dc006ff,
    0x3fe3ffff,0x0000ffff,0x0ffffffc,0xafffffc4,0x05fffff8,0x07fffffa,
    0xffff8800,0x17ffe27f,0x39fffff5,0x7fffff4c,0xffffd9df,0x7fffc00f,
    0x7fdc006f,0xff102fff,0x3f207fff,0xff703fff,0xfffc80ff,0x3fffe03f,
    0x7fdc006f,0x3ffe2fff,0x7dc006ff,0x3fa2ffff,0x0001ffff,0x1fffffe2,
    0xafffffc4,0x05fffff8,0x0bfffff6,0xffff9800,0x0fffec6f,0x3ffffff6,
    0xffffffed,0xffffffff,0xffff801f,0x7fdc007f,0xff102fff,0x3ee07fff,
    0xff704fff,0xfffe80ff,0x3fffe02f,0x7fdc007f,0x3ffe2fff,0x7dc007ff,
    0x3f62ffff,0x0002ffff,0x1bffffe6,0xafffffc4,0x05fffff8,0x0ffffff2,
    0xffffa800,0x27ffd45f,0x3fffffe2,0xffffffff,0xefffffff,0xfffff001,
    0xfffb800f,0xfff102ff,0x3fee07ff,0xfff705ff,0xffffe80f,0x3ffffe01,
    0x7ffdc007,0x3fffe2ff,0x7fdc007f,0x3ff22fff,0x20003fff,0x05fffffa,
    0x2bfffff1,0x05fffff8,0x1bffffee,0xffffd800,0x1ffff84f,0x7ffffec4,
    0xfffb8dff,0x003fffff,0x03fffff4,0x3fffff20,0xfffff102,0x3fffea07,
    0x0ffff705,0x01ffffe8,0x01fffffa,0x5fffff90,0x03fffff4,0x3fffff20,
    0x3ffffee2,0x3ff60006,0xff104fff,0x3fe2bfff,0x3e605fff,0x003fffff,
    0xffffffa8,0x0ffffb82,0x2cefeca8,0x16777edc,0x6c2aaa88,0x001fffff,
    0x07fffff6,0x1fffffc4,0x05ffffa8,0xf80ffff7,0x3601ffff,0x001fffff,
    0x87fffff6,0x01fffffd,0x3fffff60,0x3ffffe61,0xffa8003f,0xf102ffff,
    0x3e2bffff,0x6c05ffff,0x00ffffff,0x7fffff40,0x1bfffa06,0x7cc00000,
    0x7fe42fff,0xf1005fff,0x201fffff,0x03fffff9,0x20dffff5,0x7c07fffb,
    0x3201ffff,0x005fffff,0x1ffffff1,0x2fffffe4,0xfffff880,0x7fffec0f,
    0x7f4000ff,0x2206ffff,0xf15fffff,0x880bffff,0x1effffff,0xffffd880,
    0x3fe201ff,0x00000dff,0x17fffe60,0x3fffffee,0xffffd802,0x3ffe607f,
    0xfff502ff,0x3ffee0ff,0x3fffe207,0x3ffee00f,0xfd802fff,0x7dc7ffff,
    0x802fffff,0x87fffffd,0xeffffff8,0xfffd8801,0x3e201fff,0xff15ffff,
    0xf900bfff,0x17ffffff,0x3ffffea0,0xffa805ff,0x00003fff,0x77fffe44,
    0xfffff880,0xff9102ff,0x6407ffff,0x302fffff,0x701fffff,0x7cc0ffff,
    0x2200ffff,0x2fffffff,0xfffff910,0xffff887f,0xf9102fff,0x207fffff,
    0xfffffffc,0xffff500b,0xf880bfff,0xff15ffff,0x3a00bfff,0xffffffff,
    0xffffecde,0x000fffff,0x7dfffff7,0x7e440003,0x201effff,0xfffffffc,
    0xfffeccde,0xcc87ffff,0x1ffffffe,0xdfffff10,0x3ffee335,0x7ffd4cc7,
    0xffc807ff,0xcdefffff,0xffffffec,0xffff907f,0xd99bdfff,0xffffffff,
    0xfffffe80,0xfecdefff,0xffffffff,0x7fffc400,0xfffff15f,0x3ffe600b,
    0xffffffff,0xffffffff,0x7f4c002f,0xacefffff,0x2a66619a,0xfffffffd,
    0x7ffc400d,0xffffffff,0xffffffff,0x7ffffc43,0x7f407fff,0x77ffffff,
    0x7fc4ffff,0x05ffffff,0xffffff88,0xffffffff,0x103fffff,0xffffffff,
    0xffffffff,0xf9807fff,0xffffffff,0xffffffff,0xf8802fff,0xff15ffff,
    0x4400bfff,0xfffffffd,0xffffffff,0x320000ef,0xffffffff,0xffffffff,
    0xffffffff,0x3ffa6003,0xffffffff,0x85ffffff,0xfffffffa,0x7ffd404f,
    0xff77ffff,0x7fffc4ff,0x3001ffff,0xfffffffd,0xffffffff,0xffe980bf,
    0xffffffff,0x05ffffff,0xfffffb10,0xffffffff,0x2001dfff,0x15fffff8,
    0x00bfffff,0xffffff50,0xffffffff,0x36600007,0xffffffff,0xffffffff,
    0x000befff,0xfffffd88,0xffffffff,0xffff902f,0x3a00dfff,0x77ffffff,
    0x7fc4ffff,0x005fffff,0x7ffffec4,0xffffffff,0xffb1002f,0xffffffff,
    0x0005ffff,0xfffffff5,0x7fffffff,0xffff8800,0xfffff15f,0x3722000b,
    0xfffffffe,0x000000cd,0xffffff93,0xffffffff,0x2a000039,0xfffffffd,
    0x3600cfff,0x0effffff,0x3fffee00,0x4ffff77f,0x2efffff8,0x3ff6a000,
    0xffffffff,0xfda8000c,0xffffffff,0x220000cf,0xfffffedc,0x8000cdff,
    0x15fffff8,0x00bfffff,0x04d54c00,0x4c000000,0xacccbaa9,0x0000009a,
    0x5555554c,0x79951000,0x2a200013,0x99934cba,0x02bccc89,0x5554c000,
    0x00000aaa,0x2aaaaaa6,0x26000000,0x000009aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x00019999,0x26660000,0x00000199,0x88000000,
    0x00099999,0x00000000,0x00000000,0x98030000,0x2aaa0009,0xfff002aa,
    0xffffa8df,0x3f200003,0x0003ffff,0xfffa8000,0x000004ff,0x13ffffee,
    0xfff30000,0x40000dff,0x7d46ffff,0x20003fff,0x04fffffa,0xfffff100,
    0x3aa0001f,0x7fd41dff,0x3fffa003,0xffff006f,0x3ffffa8d,0x7fe40000,
    0x000006ff,0x5ffffe80,0x3e200000,0x02ffffff,0x7ffcc000,0xf00002ff,
    0xffa8dfff,0xf10003ff,0x05ffffff,0xfffffb00,0xff9000bf,0xf9bfffff,
    0x7f4005ff,0xff006fff,0xfffa8dff,0xd800003f,0x0002ffff,0x3ffea000,
    0x4000005f,0xfffffffe,0x5400000f,0x0005ffff,0xa8dffff0,0x0003ffff,
    0xfffffffd,0x7fdc001f,0x02ffffff,0x3ffffe20,0xffffffff,0x3fffa000,
    0xffff006f,0x3ffffa8d,0xffb00000,0x000000df,0x0037ffec,0x3fff2000,
    0x05fffe8f,0xfffa8000,0xff80001f,0x7ffd46ff,0xffb8003f,0x5fffe8ff,
    0x5ffff300,0x001ffff9,0x32a77fe6,0x03fffffe,0x37ffff40,0x44eeee80,
    0x002eeee9,0x3fffa000,0x98000001,0x0000efff,0x3fffe600,0x05ffff31,
    0xfff70000,0xddb0000b,0xeeee98bd,0x7ffcc002,0x5ffff31f,0x4bfffd00,
    0x3005fffd,0x9d9303dd,0xfffd0001,0x000000df,0x36200000,0x000004ee,
    0x000deeb8,0x7776c000,0x06f77543,0x775c0000,0x0000000e,0xeeed8000,
    0x06f77543,0x41bddd50,0x002eeed8,0x31000000,0x44001333,0xcdefeeca,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x2aaaaa00,0x5554c002,
    0x000000aa,0x20000000,0xdefeeca8,0x000001ac,0x3ffff220,0xffffffff,
    0xa9800004,0x0002aaaa,0xaaaa9800,0x8000002a,0x02aaaaa9,0x2aaaaa00,
    0xaaaaaaaa,0xaaaaaaaa,0x37ffffc2,0x3fffee00,0x2aaaaa3f,0xaaaaaaaa,
    0xaaaaaaaa,0x55555102,0xff910005,0xffffffff,0xca8009ff,0xffe9802c,
    0xffffffff,0x001effff,0x3ffffa00,0x000000ff,0x7ffffff4,0x74000000,
    0x00ffffff,0xffffff00,0xffffffff,0xdfffffff,0x06fffff8,0x7ffffdc0,
    0x3fffffe3,0xffffffff,0x6fffffff,0xbfffff10,0xfffe9800,0xffffffff,
    0xb001efff,0xffc809ff,0xffffffff,0xffffffff,0xff980004,0x004fffff,
    0x3ffe6000,0x0004ffff,0x3fffe600,0xf0004fff,0xffffffff,0xffffffff,
    0xff8dffff,0x5c006fff,0x3e3fffff,0xffffffff,0xffffffff,0xf106ffff,
    0x400bffff,0xfffffffc,0xffffffff,0xfe804fff,0x3fff205f,0xffffffff,
    0xffffffff,0x7e40005f,0x07ffffff,0x3ff20000,0x007fffff,0x3fff2000,
    0x0007ffff,0xffffffff,0xffffffff,0xf8dfffff,0x4006ffff,0x23fffffb,
    0xffffffff,0xffffffff,0x106fffff,0x00bfffff,0x3ffffff2,0xffffffff,
    0x05ffffff,0xf9837ff4,0xceffffff,0xffeca99a,0x002fffff,0xffffff10,
    0x00005fff,0xffffff10,0x00005fff,0xffffff10,0xf0005fff,0xffffffff,
    0xffffffff,0xff8dffff,0x5c006fff,0x3e3fffff,0xffffffff,0xffffffff,
    0xf106ffff,0x300bffff,0xdfffffff,0xfd953359,0x05ffffff,0xfe83fffc,
    0x805fffff,0x6ffffffb,0xffff7000,0x00bfffff,0xffff7000,0x00bfffff,
    0xffff7000,0x00bfffff,0x9ffffff0,0x99999999,0x87999999,0x006fffff,
    0x1fffffdc,0x99ffffff,0x99999999,0x20799999,0x05fffff8,0xffffffe8,
    0xffffb805,0xfff106ff,0xfffff90f,0x7fcc005f,0x8003ffff,0xfffffffe,
    0x00000fff,0x7ffffff4,0x0000ffff,0x7fffff40,0x000fffff,0x03fffffc,
    0x3fffe000,0x7fdc006f,0x3ffe3fff,0x000007ff,0x0bfffff1,0xffffffc8,
    0x3ffe6002,0xff983fff,0x7fffc0ff,0xfb8005ff,0x000fffff,0x3bffffe6,
    0x004fffff,0x3fffe600,0x4fffffef,0x3fe60000,0xffffefff,0x7ffc004f,
    0x400007ff,0x006fffff,0x1fffffdc,0x00ffffff,0x3ffe2000,0x7ffc05ff,
    0xb8005fff,0x40ffffff,0x2a1ffff9,0x00ffffff,0xffffff00,0x7ffe4007,
    0xfffff9ff,0x3f200007,0xfff9ffff,0x200007ff,0xf9fffffc,0x4007ffff,
    0x007fffff,0x7ffffc00,0x7ffdc006,0x3fffe3ff,0x1000007f,0x40bfffff,
    0x0ffffffa,0xfffff000,0xffffa87f,0x3fffff22,0x3fee0004,0x3e004fff,
    0xff95ffff,0x00005fff,0x657ffffe,0x002fffff,0xbfffff00,0x0bfffff2,
    0x7fffff80,0x7ffc0000,0x7dc006ff,0x3fe3ffff,0x00007fff,0xbfffff10,
    0x7ffffe40,0x3fee0004,0x7fdc4fff,0x3fffa3ff,0x260002ff,0x005fffff,
    0x25fffff5,0x05fffff9,0xffffa800,0xfffff32f,0xff50000b,0x3fe65fff,
    0x3e005fff,0x0007ffff,0x37ffffc0,0x3fffee00,0x3ffffe3f,0xf1000007,
    0x740bffff,0x002fffff,0x3ffffe60,0x27fffe45,0x03ffffff,0x7fffc400,
    0xfffb007f,0x7fff41ff,0x6c0000ff,0x3a0fffff,0x000fffff,0x7ffffec0,
    0x3fffffa0,0xfffff000,0xff80000f,0x5c006fff,0x3e3fffff,0x0007ffff,
    0xfffff100,0x7ffffc0b,0x3e20001f,0x7ec7ffff,0x3ffe4fff,0x40000fff,
    0x00ffffff,0x2fffffc4,0x13ffffee,0xffff8800,0x7fffdc5f,0x3e20004f,
    0x7dc5ffff,0xf004ffff,0xffffffff,0xffffffff,0xfff0bfff,0xfb800dff,
    0x3fe3ffff,0xffffffff,0xffffffff,0x3fe205ff,0x3fe05fff,0x0000ffff,
    0x07fffffc,0x22bffffb,0x007fffff,0xfffffe80,0x7fffdc01,0x7fffc42f,
    0x3ee0007f,0x7c42ffff,0x0007ffff,0x0bffffee,0x0ffffff1,0x3fffffe0,
    0xffffffff,0x85ffffff,0x006fffff,0x1fffffdc,0xffffffff,0xffffffff,
    0x440bffff,0x105fffff,0x00ffffff,0xfffffd00,0xb7ffff43,0x07fffff8,
    0xffffe800,0x7fff402f,0xffffd07f,0x3fa0005f,0xffd07fff,0x20005fff,
    0xd07ffffe,0x005fffff,0xffffffff,0xffffffff,0xff0bffff,0xb800dfff,
    0x3e3fffff,0xffffffff,0xffffffff,0x3e205fff,0xf105ffff,0x000fffff,
    0x5fffffd0,0xf3fffffc,0x001fffff,0xffffff80,0x3fffe601,0xffff704f,
    0xff3000bf,0x3ee09fff,0x8005ffff,0x04fffff9,0x0bfffff7,0xfffffff0,
    0xffffffff,0xf0bfffff,0x800dffff,0x23fffffb,0xffffffff,0xffffffff,
    0x2205ffff,0x205fffff,0x00ffffff,0x7ffffc00,0xfffff11f,0x7fffff4f,
    0x3fe20001,0x7e407fff,0xf101ffff,0x001fffff,0x1fffffc8,0xffffff10,
    0xfffc8001,0xfff101ff,0xff801fff,0xffffffff,0xffffffff,0xffff85ff,
    0x7fdc006f,0x3ffe2fff,0xffffffff,0xffffffff,0x3ffe205f,0x3ffa05ff,
    0x20001fff,0x27fffff8,0x27fffff8,0x02fffffd,0x3fffe600,0x3ffe206f,
    0x7fec06ff,0x22004fff,0x406fffff,0x04fffffd,0x3ffffe20,0x7fffec06,
    0x7fffc04f,0x7c00007f,0x4007ffff,0x22fffffb,0x007fffff,0xffff1000,
    0x7ffec0bf,0x260002ff,0x226fffff,0x327fffff,0x003fffff,0x3ffffea0,
    0x3fffee05,0xccccccef,0x7fffffdc,0x3fffee00,0xccccccef,0x7fffffdc,
    0x3fffee00,0xccccccef,0x7fffffdc,0x3fffffc0,0x3ffe0000,0x7dc007ff,
    0x3fe2ffff,0x00007fff,0xbfffff10,0x7ffffe40,0x3fea0003,0x3fe25fff,
    0x3fee7fff,0x20006fff,0x04fffffd,0x3ffffffa,0xffffffff,0x02ffffff,
    0xffffffd0,0xffffffff,0x05ffffff,0x3fffffa0,0xffffffff,0x2fffffff,
    0x1fffffe0,0xfffd0000,0xffc800ff,0x3ffe2fff,0x000007ff,0x0bfffff1,
    0x37ffffdc,0xffffb000,0x7fffc49f,0x3fffe67f,0xfa8003ff,0x302fffff,
    0xffffffff,0xffffffff,0x00bfffff,0xfffffff3,0xffffffff,0x0bffffff,
    0xffffff30,0xffffffff,0xbfffffff,0x3fffffc0,0x3ff60000,0x36001fff,
    0x3e1fffff,0x0007ffff,0xfffff100,0x7fffcc0b,0xfa8003ff,0x222fffff,
    0x6c7fffff,0x00ffffff,0x7fffff40,0x3ffff206,0xffffffff,0xffffffff,
    0x7fe400ff,0xffffffff,0xffffffff,0x6400ffff,0xffffffff,0xffffffff,
    0x00ffffff,0x00ffffff,0xffffc800,0xfff1005f,0x7ffc1fff,0x000007ff,
    0x0bfffff1,0xffffffd8,0x7fff4000,0x7ffc46ff,0x7ffc47ff,0x8801efff,
    0x1ffffffd,0x3fffffe0,0xffffffff,0xffffffff,0x7fffc04f,0xffffffff,
    0xffffffff,0x7fc04fff,0xffffffff,0xffffffff,0xf04fffff,0x000fffff,
    0xfffffb80,0xfffd802f,0x7fffc7ff,0x1000007f,0x80bfffff,0xeffffff8,
    0xfffd8801,0x99981fff,0xfffc8199,0x500bffff,0xbfffffff,0x7ffffd40,
    0xaaaaaaad,0xfffcaaaa,0x3fea07ff,0xaaaadfff,0xcaaaaaaa,0x207fffff,
    0xadfffffa,0xaaaaaaaa,0xfffffcaa,0xffffff07,0xff880000,0x102fffff,
    0x7ffffff9,0x07fffff8,0xfff10000,0xff900bff,0x017fffff,0x3fffffea,
    0xfe80005f,0xefffffff,0xfffffecd,0x3600ffff,0x001fffff,0x2ffffff8,
    0x3fffffb0,0xfffff000,0x3fff605f,0xff8001ff,0xff82ffff,0x00007fff,
    0xffffffc8,0xffeccdef,0xf87fffff,0x0007ffff,0xfffff100,0x3fffa00b,
    0xcdefffff,0xfffffffe,0x999900ff,0x3ffe6059,0xffffffff,0xffffffff,
    0x3ffe202f,0xf90007ff,0xf10bffff,0x000fffff,0x17fffff2,0x1fffffe2,
    0x7fffe400,0xfffff85f,0xffffffff,0xffffffff,0x7fffc42f,0xffffffff,
    0x3fffffff,0xfffffff8,0xffffffff,0x2fffffff,0x5fffff88,0xfffff300,
    0xffffffff,0x5fffffff,0x27ffffc0,0xfffffb10,0xffffffff,0xb801dfff,
    0x004fffff,0xffffff30,0xfffffb81,0xfff30004,0xffb81fff,0x30004fff,
    0x81ffffff,0xffffffff,0xffffffff,0x82ffffff,0xffffffe9,0xffffffff,
    0xffff05ff,0xffffffff,0xffffffff,0xfff105ff,0x6c400bff,0xffffffff,
    0xffffffff,0x7fffc00e,0xfffa804f,0xffffffff,0xfd003fff,0x0003ffff,
    0x27fffff4,0x07fffffa,0xffffe800,0x7ffff44f,0x3fa0001f,0x7fc4ffff,
    0xffffffff,0xffffffff,0xb102ffff,0xffffffff,0x05ffffff,0x7ffffffc,
    0xffffffff,0x2fffffff,0x5fffff88,0xffffa800,0xffffffff,0xfff003ff,
    0x322009ff,0xffffffed,0xf3000cdf,0x000dffff,0x7fffffb8,0x1bffffe6,
    0xffff7000,0x7fffccff,0x7dc0006f,0x7fc7ffff,0xffffffff,0xffffffff,
    0x5402ffff,0xfffffffd,0x7c00cfff,0xffffffff,0xffffffff,0x882fffff,
    0x005fffff,0xfffdb910,0x019bffff,0x27ffffc0,0x13553000,0x3fff6000,
    0x440003ff,0xb2ffffff,0x007fffff,0xfffff880,0xfffffb2f,0xff880007,
    0x3fe2ffff,0xffffffff,0xffffffff,0x2002ffff,0x0aaaaaa9,0x3ffffe00,
    0xffffffff,0xffffffff,0xffff882f,0x2600005f,0x200009aa,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03333330,0x26620000,0x00000999,0x00000000,
    0x19880200,0x00000000,0x9dd10000,0x00440000,0x00000131,0xd0000003,
    0x00005fff,0x3fffffc8,0xfff00000,0xfe801dff,0x7ffcc7ff,0x3fffa04f,
    0x27fffcc7,0xfff91000,0x00ffc839,0xffff9800,0x0ffffe43,0x5ff88000,
    0xffda8000,0x17fe20ad,0xffeb8000,0x8800000b,0x0000ffff,0x3ffffe20,
    0xf7000003,0xd001ffff,0xff98ffff,0x3ffa04ff,0x7fffcc7f,0x3ffa0004,
    0xfcceffff,0x980000ff,0x7e43ffff,0x40001fff,0xacfffdb9,0xfffa8000,
    0xfecdffff,0xf700004f,0x0009ffdf,0x0dfff500,0xfffb8000,0x2000004f,
    0x001ffffe,0xf98ffffd,0x3fa04fff,0x7ffcc7ff,0xff50004f,0xffffffff,
    0x20000dff,0x643ffff9,0x0001ffff,0xffffffd1,0xe8007fff,0xffffffff,
    0x0001ffff,0x3fe65fd0,0x7e400000,0x400004ff,0x0005ffff,0x3fffea00,
    0x3fffa001,0x27fffcc7,0x98ffffd0,0x0004ffff,0xfb739ff7,0x003fffff,
    0x3fffe600,0x0ffffe43,0x7fffd400,0xffffffff,0x3dff000e,0xfffffd95,
    0x3e60000b,0x00017ec6,0x00bfffa0,0x5fffa800,0x7f400000,0x76c002ff,
    0x7774c5ee,0x3bbb603e,0x1f7774c5,0x80eeb800,0x00003dda,0x2177774c,
    0x000eeeeb,0x7fffffcc,0xffffffff,0x83ee8805,0x0001cdb9,0xff887fc0,
    0x3e200000,0x00000fff,0x00017bb2,0x07ddd100,0x00000000,0x00000000,
    0x00000000,0xfffd0000,0xfffffdff,0x0005ffff,0xc8000000,0x006ffdff,
    0x3fffcc00,0x00000000,0x00000000,0x05555551,0x55555554,0xaaaaaaaa,
    0x02aaaaaa,0x55555300,0x30000005,0x00555555,0x7ffffcc0,0xfe9dff8b,
    0x55545fff,0xaa8002aa,0xe8000aaa,0x00ffffff,0x3ffee000,0x55555005,
    0x2a600055,0x2a0aaaaa,0xaaaaaaaa,0xaaaaaaaa,0xf102aaaa,0x7c0bffff,
    0xffffffff,0xffffffff,0x0006ffff,0x1ffffffd,0xfe800000,0x000fffff,
    0x2bffff70,0xfff55ff8,0xfffff8ff,0x3fe2003f,0x4c003fff,0x4fffffff,
    0x3ff60000,0xfff7003f,0xd0007fff,0xf8dfffff,0xffffffff,0xffffffff,
    0xf106ffff,0x7c0bffff,0xffffffff,0xffffffff,0x8006ffff,0xfffffff9,
    0x26000004,0x4fffffff,0xffff9000,0xcd97fe25,0x7fffc1ab,0xf1000fff,
    0x8007ffff,0xfffffffc,0x3fe00007,0x3fa001ff,0x000fffff,0x3fffffee,
    0x7fffffc1,0xffffffff,0x6fffffff,0xbfffff10,0x7fffffc0,0xffffffff,
    0x6fffffff,0xffffc800,0x00007fff,0x3fffff20,0xfb0007ff,0x3fe25fff,
    0x3fffe005,0xf1004fff,0x4007ffff,0xfffffff8,0x980002ff,0x4c007fff,
    0x04ffffff,0xffffff10,0xffffff09,0xffffffff,0xdfffffff,0x3ffffe20,
    0x3ffffe05,0xffffffff,0xffffffff,0x7ffc4006,0x02ffffff,0xfff88000,
    0x02ffffff,0x5ffffc80,0x7c00bff1,0x1fffffff,0xfffff880,0x3ffee003,
    0x05ffffff,0x5fffb800,0xffffc800,0xffc801ff,0xff80ffff,0xffffffff,
    0xffffffff,0xff106fff,0x7fc0bfff,0xccccffff,0xcccccccc,0x5c003ccc,
    0xffffffff,0xb800005f,0xffffffff,0xffb8005f,0x5ff8bfff,0x3ffffe00,
    0xf8806fff,0x2003ffff,0xfffffffe,0x40000fff,0x0003fffd,0x0dfffffd,
    0xffffff98,0xffffff02,0x99999999,0x79999999,0x3ffffe20,0x3ffffe05,
    0x40000007,0xfffffffe,0x00000fff,0x7ffffff4,0x4000ffff,0xeffffff9,
    0x3fe005ff,0x3fffffff,0x7ffffc40,0xffff3003,0x9fffffdf,0xffff8000,
    0xfff30001,0x7f407fff,0x3e05ffff,0x0007ffff,0xfffff100,0x7ffffc0b,
    0x20000007,0xfefffff9,0x0004ffff,0x3ffffe60,0x04fffffe,0xfffffd80,
    0xf001efff,0xffffffff,0x7ffc401f,0xff9003ff,0xffff3fff,0x7cc000ff,
    0x640007ff,0x80ffffff,0x0ffffffa,0x1fffffe0,0x7fc40000,0x3fe05fff,
    0x00007fff,0x3ffff200,0x7fffff9f,0x3ff20000,0xffff9fff,0xff88007f,
    0xffffffff,0x3ffe00be,0x5fffffff,0x3ffffe20,0xfffff003,0x3fffff2b,
    0xfff70002,0xff88000b,0x7c44ffff,0x403fffff,0x007fffff,0xffff1000,
    0x7fffc0bf,0x0000007f,0x657ffffe,0x002fffff,0xbfffff00,0x0bfffff2,
    0x3fffe600,0xffffffff,0xffffff03,0x205fffff,0x03fffff8,0x2fffffa8,
    0x0bfffff3,0x0ffff600,0x3ffea000,0x3ff21fff,0xff806fff,0x00007fff,
    0xbfffff10,0x3fffffc0,0xfa800000,0xff32ffff,0x0000bfff,0x25fffff5,
    0x05fffff9,0xffffd100,0xbfffffff,0xffffff81,0x106fffff,0x007fffff,
    0x41fffffb,0x00fffffe,0x01ffff80,0xffffb000,0x3fffe2df,0xfff801ff,
    0x000007ff,0x0bfffff1,0x03fffffc,0xffd80000,0x3ffa0fff,0x40000fff,
    0x20fffffd,0x00fffffe,0x3fff2600,0x5fffffff,0x767ffffc,0x883fffff,
    0x403fffff,0x45fffff8,0x04fffffb,0x03fffc40,0xffff1000,0xffffb5ff,
    0x3ffe009f,0x000007ff,0x0bfffff1,0x7ffffffc,0xffffffff,0x005fffff,
    0x8bfffff1,0x04fffffb,0x3fffe200,0x7fffdc5f,0xf980004f,0xffffffff,
    0x3ffffe1f,0xffffffac,0x7ffffc40,0x7fffdc03,0x7fffc42f,0x7fd4007f,
    0x5c00006f,0xffffffff,0x3e006fff,0xffffffff,0xffffffff,0x3e205fff,
    0x3e05ffff,0xffffffff,0xffffffff,0xf7005fff,0xf885ffff,0x0007ffff,
    0x0bffffee,0x0ffffff1,0x7bff1000,0x49ffffff,0xfb4fffff,0xf88bffff,
    0x7403ffff,0xfd07ffff,0x4005ffff,0x0004fffc,0xfffffe80,0x002fffff,
    0x3ffffffe,0xffffffff,0x205fffff,0x05fffff8,0x3ffffffe,0xffffffff,
    0x005fffff,0x20fffffd,0x02fffffe,0xfffffd00,0x3fffffa0,0x7fc40002,
    0xdffffd15,0x8a7ffffc,0x22ffffff,0x03fffff8,0x13ffffe6,0x2fffffdc,
    0x05fffd00,0xfff30000,0x0bffffff,0xffffff80,0xffffffff,0x05ffffff,
    0x17ffffe2,0xfffffff8,0xffffffff,0x805fffff,0x04fffff9,0x0bfffff7,
    0xfffff300,0x3fffee09,0x7c40005f,0x3fffea5f,0x93ffffe7,0x0ffffffb,
    0x07fffff1,0x0fffffe4,0xffffff88,0xffff8800,0xf9000000,0x1fffffff,
    0xfffff800,0xffffffff,0x5fffffff,0x3ffffe20,0x3ffffe05,0xffffffff,
    0x5fffffff,0xfffffc80,0xfffff101,0xffc8001f,0xff101fff,0x4401ffff,
    0x3e24dcba,0x3ffffc5f,0xe89fffff,0xf14fffff,0x2207ffff,0x406fffff,
    0x04fffffd,0x006fffa8,0x3ffe2000,0x8003ffff,0xffffffff,0xffffffff,
    0x2205ffff,0x205fffff,0x007fffff,0x3ffe2000,0x7fec06ff,0x22004fff,
    0x406fffff,0x04fffffd,0x47ffffea,0x3fe25ff8,0x3fffe6ff,0x7fffcc4f,
    0xffff89ff,0xffff703f,0x999999df,0xffffffb9,0x09fff900,0xffa80000,
    0xf0006fff,0x000fffff,0x3fffe200,0x3fffe05f,0x2000007f,0xcefffffb,
    0xfdcccccc,0x2007ffff,0xcefffffb,0xfdcccccc,0x2207ffff,0xf14fffff,
    0x7fffd4bf,0x13ffffe5,0x3bfffff2,0x03fffff8,0xfffffffd,0xffffffff,
    0x805fffff,0x0002fffe,0x7fffcc00,0xfff0004f,0x00000fff,0x17ffffe2,
    0x07fffff8,0x3ffa0000,0xffffffff,0xffffffff,0xffd002ff,0xffffffff,
    0xffffffff,0x7ff405ff,0x5ff8bfff,0x47ffffd1,0x884fffff,0xfbffffff,
    0xf983ffff,0xffffffff,0xffffffff,0x2205ffff,0x0000ffff,0x7fffcc00,
    0xfff0004f,0x00000fff,0x17ffffe2,0x07fffff8,0xfff30000,0xffffffff,
    0xffffffff,0xff300bff,0xffffffff,0xffffffff,0x7d40bfff,0xffdfffff,
    0x6fffffbd,0x827ffffc,0xfffffffa,0xfc83ffff,0xffffffff,0xffffffff,
    0x500fffff,0x0000dfff,0xfffff300,0x3ffe0009,0x000007ff,0x0bfffff1,
    0x03fffffc,0xfffc8000,0xffffffff,0xffffffff,0x7e400fff,0xffffffff,
    0xffffffff,0x200fffff,0xfffffffd,0xffffffff,0x27ffffc2,0xffffffd0,
    0xff07ffff,0xffffffff,0xffffffff,0x209fffff,0x0004fffc,0xffff9800,
    0xfff0004f,0x00000fff,0x17ffffe2,0x07fffff8,0xffff0000,0xffffffff,
    0xffffffff,0xff809fff,0xffffffff,0xffffffff,0x204fffff,0xfffffff8,
    0x4fffffff,0x04fffff8,0x3fffffe6,0x7d43ffff,0xaaadffff,0xaaaaaaaa,
    0x07fffffc,0x0005fffd,0xffff3000,0x3fe0009f,0x00007fff,0xbfffff10,
    0x3fffffc0,0x7fd40000,0xaaaadfff,0xcaaaaaaa,0x207fffff,0xadfffffa,
    0xaaaaaaaa,0xfffffcaa,0x7ffec407,0xffffffff,0x9fffff02,0xfffffc80,
    0x7ec3ffff,0x8001ffff,0x82ffffff,0x0000cccc,0xffff9800,0xfff0004f,
    0x00000fff,0x17ffffe2,0x07fffff8,0xfffd8000,0xff8001ff,0xfb02ffff,
    0x0003ffff,0x05ffffff,0xfffffd70,0x7fc017df,0xfe804fff,0x3fffffff,
    0x1fffffe2,0x7fffe400,0x0000005f,0xfffff300,0x3ffe0009,0x000007ff,
    0x0bfffff1,0x7ffffffc,0xffffffff,0x2fffffff,0x1fffffe2,0x7fffe400,
    0xffff885f,0xff90007f,0x4400bfff,0xf000effb,0x5009ffff,0xffffffff,
    0x7ffffdc7,0xfff30004,0x00001fff,0xfff30000,0x3e0009ff,0xffffffff,
    0xffffffff,0x882fffff,0x205fffff,0xffffffff,0xffffffff,0x22ffffff,
    0x04fffffb,0xfffff300,0xffffb81f,0xff30004f,0x4001ffff,0x3e005ff8,
    0xb004ffff,0x7fffffff,0x0ffffff4,0xffffd000,0x0000009f,0xfffff300,
    0x3ffe0009,0xffffffff,0xffffffff,0xff882fff,0x3fe05fff,0xffffffff,
    0xffffffff,0x3fa2ffff,0x0001ffff,0x13fffffa,0x03fffffd,0x7ffff400,
    0x3fe2004f,0x3fffe005,0xfff1004f,0x3e67ffff,0x0006ffff,0x3fffffdc,
    0x40000000,0x04fffff9,0xffffff00,0xffffffff,0xffffffff,0xfffff105,
    0x7ffffc0b,0xffffffff,0xffffffff,0xfffff32f,0xffb8000d,0x3fe67fff,
    0x40006fff,0x07fffffb,0x8017fe20,0x004fffff,0x3fffffee,0x7fffffb3,
    0xfff88000,0x00002fff,0x7ffcc000,0xff0004ff,0xffffffff,0xffffffff,
    0xf105ffff,0x7c0bffff,0xffffffff,0xffffffff,0xfb2fffff,0x0007ffff,
    0xffffff88,0x7fffffb2,0xfff88000,0x26002fff,0x3ffe0009,0x7f4004ff,
    0x0003ffff,0x00000000,0x3fe60000,0xf0004fff,0xffffffff,0xffffffff,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x73000000,0x36ea6000,0x001acdfe,
    0x00000000,0x9bfd9500,0xfff88001,0xbdd50006,0x0f76c000,0x02f75400,
    0x003ddb00,0x00beb880,0x00000000,0xdba98000,0x80abceee,0x2e004ff9,
    0xffffffff,0x0004ffff,0xffdb9300,0x400059df,0xffffffd8,0x3ff2003f,
    0xff98002f,0xff70007f,0xfff3000b,0x3fee000f,0x7fd40005,0x00002fff,
    0x7fff6e4c,0x800002ce,0xfffffffb,0x10bfffff,0x9809fffd,0xfffffffe,
    0xefffffff,0xeb880001,0xffffffff,0x4001cfff,0xfffffffd,0xff8802ff,
    0xfea8006f,0xf88007ff,0x754001ff,0x88007fff,0x40001fff,0x05fdacfe,
    0xffeb8800,0xffffffff,0x440001cf,0xfffffffe,0xffffffff,0x00ffffeb,
    0x3fffffee,0xffffffff,0x0004ffff,0x3fffffa6,0xffffffff,0xff5004ff,
    0xfffd59ff,0x5fffb00d,0x7fff5400,0xfc8007ff,0x3faa004f,0x8007ffff,
    0x40004ffc,0x00ffc6f9,0xffffd300,0xffffffff,0x20009fff,0xfffffffb,
    0xffffffff,0x1fffffff,0x3fffff20,0xffffffff,0x5fffffff,0xffffb800,
    0x2e6219cf,0x00effffe,0xf127ffec,0x7c405fff,0x3e2006ff,0x07ffffff,
    0x007ffc40,0xffffff88,0x7fc4007f,0x7cc0000f,0x8000ff46,0xacfffffb,
    0x3ffae621,0x32000eff,0xffffffff,0xffffffff,0x01ffffff,0x3fffffe6,
    0xca99acff,0xfffffffe,0x3fff6002,0x3f26002e,0x3fa01fff,0x7fff42ff,
    0x0bfff603,0xeaeff880,0x7ec007ff,0x3fe2003f,0x007ffeae,0x0001ffec,
    0x6fc9cfe8,0xdfffb000,0x7fecc005,0xff9801ff,0xacefffff,0xfffeba89,
    0x7404ffff,0x0dffffff,0x7ffffe40,0xffb800ef,0xf50000df,0x3fe01dff,
    0x7ffec1ff,0x0dfff304,0x3fa1d880,0x3fe6007f,0xd0ec4006,0x7cc00fff,
    0x2a00006f,0x002fffff,0x00dfffb8,0x1dfff500,0xfffffe80,0xfffa804f,
    0xf500ffff,0x005fffff,0x7fffffcc,0x27ffcc04,0x7ffc4000,0x1ffff885,
    0xd82fffec,0x80002fff,0x3a007ffe,0xe80002ff,0x3fa007ff,0x4400002f,
    0x98000bec,0x01804fff,0x502fffcc,0x05ffffff,0x3ffffea0,0xfff883ff,
    0xc8005fff,0x00ffffff,0x764bfff1,0xbdeeeeee,0x85fff301,0x6c1ffff8,
    0xff985fff,0xfd00006f,0x3fea00ff,0xffd00006,0x1bfea00f,0x00000000,
    0x4417ffe2,0x0cffffdb,0x882fff98,0x05ffffff,0xffffff30,0xfff50fff,
    0x10001fff,0x07ffffff,0xfd83bfee,0xffffffff,0x6ffb80ef,0x741ffff8,
    0xffd84fff,0xfd00002f,0x3ffa00ff,0xffd00001,0x07ffa00f,0xecca8000,
    0x800accee,0xf980effb,0xffffffff,0xa86ffb80,0x00ffffff,0xffffff98,
    0x7dc3ffff,0x0004ffff,0x13ffffee,0x3f617ff4,0xfffeeeff,0x5ffd06ff,
    0x7c3fffe8,0x7fcc3fff,0x3a00006f,0xffb807ff,0x3fa00005,0x5ffb807f,
    0xfff90000,0xffffffff,0x82ffe805,0xfdeffff9,0xfe80ffff,0x7fffdc2f,
    0xfff8804f,0xfffffcef,0x7ffffe45,0x3fe60002,0xff985fff,0x884ffd87,
    0xfb80fffd,0x77ffe45f,0x83ffff50,0x0002fffd,0x101fffa0,0x00001fff,
    0x2203fff4,0x80000fff,0xfffffffd,0x03ffffff,0xfd10fff3,0xfffb81df,
    0x645ffb84,0x402fffff,0xa8efffe8,0x6c6fffff,0x001fffff,0x3ffffe20,
    0xd83ffc87,0xfff104ff,0x41fff105,0xfefffff8,0x7fcc5fff,0x7400006f,
    0x7fe407ff,0x7f400004,0x27fe407f,0x7ffe4000,0xffffffff,0xfc83ffff,
    0x0fffb83f,0xf10dffb0,0x7fff41ff,0x7fec01ff,0xffff31ff,0xfffff8ff,
    0x7fc0000f,0x7f40ffff,0x04ffd81f,0x3603fff1,0x7ffdc1ff,0x40ffffff,
    0x0002fffd,0x303fff40,0x00001fff,0x2607ffe8,0x40000fff,0xeffffff8,
    0xfffffccc,0x81ffe86f,0x2a204ffd,0xf87ff600,0x200fffff,0x221ffffd,
    0x10ffffff,0x00ffffff,0xfffffd00,0xd80fff83,0xdffb04ff,0x5417fe40,
    0x0dffffff,0x0037ffcc,0x03fff400,0x00007ffb,0x6c0fffd0,0xc80003ff,
    0xf01fffff,0xf81fffff,0x2ffe80ff,0x97fe4000,0x07fffff8,0x20bffff2,
    0x11ffffff,0x00ffffff,0xfffffd00,0xfb07ff85,0xffddddff,0x7fdc07ff,
    0x35973103,0x40bfff60,0x54000a98,0xdff302aa,0x00aaa600,0x7cc0aaaa,
    0x26a6206f,0x3fb6e600,0x3ffff204,0x443ffc0f,0x40001fff,0xfff13ffb,
    0x3fee0fff,0xfffd03ff,0x7fffc5ff,0x7c0000ff,0x221fffff,0xfffb06ff,
    0x3bffffff,0x004ffa80,0x437ffcc0,0x3fffffe9,0x3ffa0000,0x5fff8802,
    0x5ffd0000,0xfffffb30,0xf300003b,0x7c43ffff,0x1fff986f,0x27fdc000,
    0x81ffffff,0x204ffffa,0x20ffffff,0x01fffffe,0x7ffffc00,0xd83ffc1f,
    0xffffefff,0x07ff7004,0x2fffd800,0x7fffffdc,0xa80005ff,0xffd005ff,
    0xf50000bf,0xffff30bf,0x003fffff,0x3fffae60,0x43ffc1ff,0x0002fff8,
    0xfff1ffe4,0x7fcc3fff,0x7ffc05ff,0x7ffec7ff,0x260002ff,0x40ffffff,
    0xffd80ffe,0x09fff714,0x0005ff90,0x2237ffcc,0xffffffff,0x7c0003ff,
    0xffd801ff,0xf80005ff,0xfffe81ff,0x07fffece,0xffffd950,0xe83fffff,
    0x3fff80ff,0x3ff600c0,0x3fffff62,0x0bffff33,0x6fffff98,0x1fffffe4,
    0xffff5000,0x03ffb0ff,0xffb89ffb,0x0fff403f,0x5fffb000,0x90efffc8,
    0x4000ffff,0xfb804ffb,0x0005ffff,0x7cc27fdc,0x7ffec5ff,0xfffdb880,
    0xffffffff,0x0ffec1ff,0xf702fff4,0x87ffa07d,0x8cfffffc,0x400efffe,
    0x45fffffa,0x06fffffb,0xfffe81f4,0x5ffc84ff,0xfd84ffd8,0xfff300ff,
    0x7ffcc000,0x22ffff86,0x001ffff8,0x400fff88,0x5ffefff9,0x3ffe2000,
    0x42ecc980,0x7440fffd,0xffffffff,0x1fffffef,0x7dc27fe4,0xfff881ff,
    0x5c7ff986,0xfeefffff,0xfd800eff,0x7cc4ffff,0x702fffff,0x7fd45dff,
    0xf882ffff,0x27fec0ff,0xc82fffcc,0x360004ff,0x7fc42fff,0x7fffc1ff,
    0x3ffc8002,0x6d7ffc40,0x320005ff,0xf88003ff,0x7ffcc7ff,0x8abeffff,
    0x41fffff9,0xfe80fff8,0xfea88aff,0x4ffc82ff,0x7fffffc4,0x9801ffff,
    0x82ffffff,0x06fffffd,0xd5dffffd,0x01dfffff,0xffb0fff6,0x07fff209,
    0x0001fff1,0x261bffe6,0x7f40ffff,0x7cc003ff,0x7ff4406f,0x000bffb4,
    0x2001bfe6,0x743fffe8,0x80bfffff,0x81fffff9,0xff983ffd,0xffffffff,
    0x80fff884,0xfffffffc,0xfffb001f,0x3fe20dff,0x220dffff,0xfffffffd,
    0x202fffff,0x3f61fffa,0xdfff104f,0x0005ffd8,0x260ffff6,0x7f40ffff,
    0x7ec004ff,0x2ffec02f,0x2000bffb,0x4c002ffd,0x7c45ffff,0x2a05ffff,
    0xa81fffff,0xfd881fff,0x04ffffff,0x3e20bffd,0x02ffffff,0xffffff90,
    0x7fffe403,0x7ecc1eff,0xffffffff,0x0effd805,0x65c05997,0x3fff71cc,
    0x3ffe6000,0x1ffff306,0x003fffe8,0xf701bfea,0x2ffec1df,0x037fd400,
    0x37fffee0,0x7ffffd40,0x3fffee01,0x1dffb01f,0x33bb72a0,0x03fff901,
    0x7fffffec,0x3ffa201e,0x4405ffff,0xffffffff,0xfffdcbdf,0x01ffffff,
    0x00efff88,0x1fffdc00,0x7fffb000,0x07fffe20,0x4005ffff,0x7fc01ffe,
    0xffffffff,0x3fa007ff,0x3ff2001f,0xfff704ff,0x3fe207ff,0xf101ffff,
    0x80001dff,0x5c03fffb,0xffffffff,0xffecaacd,0x00ffffff,0xffffffa8,
    0xffffffff,0x2fffffff,0x5ffff300,0xfffb1000,0x7fcc000b,0x7fffc06f,
    0x07fffe63,0x402ffdc0,0xffffffff,0x7007ffff,0x7e400bff,0x3e602fff,
    0x4c0effff,0x1ffffffe,0x0bfffe60,0x3fff6200,0x7fffd405,0xffffffff,
    0xffffffff,0x362002ff,0xffffffff,0xffffffff,0x801effff,0x02dffffa,
    0x5ffffc88,0x7ffec000,0x7fffdc03,0x06fffe9a,0x001fff10,0xffffffff,
    0x100fffff,0x2e001fff,0xaaadffff,0xffff10aa,0xfff9bfff,0x05ffffff,
    0x2dffffa8,0xffffc880,0x7fffcc05,0xffffffff,0xffffffff,0xf50000ef,
    0xffffffff,0xffffffff,0x801bffff,0xceffffe8,0xffdcaaab,0x40003fff,
    0x8806fff9,0xffffffff,0xff9002ff,0xffb00009,0x27fe400b,0xfffff880,
    0x21ffffff,0xfffffffb,0xffffffff,0xfe8804ff,0xaaccffff,0xfffffdcb,
    0x7fffcc03,0xfffffb8e,0xffffffff,0xc880003f,0xffffffed,0xfffdacef,
    0x9000ffff,0xffffffff,0x3dffffff,0xfffb0000,0x3ffe6007,0x004fffff,
    0x0001fff1,0x200bffb0,0x5000fff8,0xffffffff,0xffd83fff,0xefffffff,
    0x07ffffc8,0x3fffff20,0xffffffff,0xffa801ef,0x3fae20ef,0xdfffffff,
    0x2000000c,0xb819aaa9,0x004fffff,0x7ffff5c4,0x01cfffff,0xdfff3000,
    0xffec8800,0x3f6001df,0xd900003f,0x3ff6009d,0x3bbb2003,0xeeeeeeee,
    0xffffea81,0x3ffe63ef,0x2e2002ff,0xfffffffe,0x4c001cff,0x54cc01ff,
    0x0000009a,0xffb10000,0x54c0001f,0x009acdcb,0x4ccc4000,0x00040000,
    0x00000000,0x00000000,0x004d54c0,0x5d4c0000,0x0009acdc,0x00000620,
    0x00000000,0x00001e4c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32e20000,0x20001cde,0x40004eea,
    0x04fffff9,0xfffc8000,0xf90003ff,0x0003ffff,0x7fffff40,0x3b6e2001,
    0x8002cdef,0x742ffffb,0x26007fff,0x006fffff,0xffff1000,0xaa8001ff,
    0x01882aaa,0x3fffffa2,0x3fffea00,0xd0004fff,0x440003ff,0x2ffffffe,
    0x3fe20000,0x50004fff,0x1dffffff,0xfff30000,0x362005ff,0xffffffff,
    0x3ee002ef,0x7ff42fff,0x7fcc007f,0x00002fff,0x1fffffb8,0xfffe9800,
    0x80df715f,0x03fffff8,0x3ffffffe,0x7dc003ff,0x7ec0004f,0x0fffffff,
    0xfff70000,0x3e20009f,0x4fffffff,0xfffd8000,0xffd1003f,0xffffffff,
    0x3ee003ff,0x7ff42fff,0xffa8007f,0x800006ff,0x001ffffe,0x3ffff620,
    0x400efffe,0x707ffff9,0xff517fff,0x7fc400df,0x3ea0000f,0xfffe9fff,
    0xfff00005,0x7ec000bf,0xffffaeff,0x3fe60002,0x3fa003ff,0xffffffff,
    0x800fffff,0x742ffffb,0x50007fff,0x0005ffff,0x17fffd40,0xfffc8000,
    0x26002eff,0xdb83ffff,0x03fff46e,0x0007ff90,0x99ffffc4,0x0002ffff,
    0x002fffdc,0x21ffff70,0x000ffffc,0x009fff90,0x7fffffd4,0xfffffdbd,
    0xeeea802f,0x3777641e,0xbfff7000,0x7ff40000,0x9300002f,0x01dfffff,
    0x06fffa80,0x0bfff730,0x001bfe60,0xb8bfffb0,0x0000ffff,0x0003bffa,
    0x217fffcc,0x8005fffd,0x4005fff8,0x42fffffc,0x04fffffb,0x00000000,
    0x0003fff7,0x007fff50,0xdfffb300,0x000bffff,0xb805fff5,0x2005ffff,
    0x00002ffd,0x00000000,0x00000000,0x7f400000,0xff886fff,0x00004fff,
    0x00000000,0x20000000,0xfb0cfff8,0x00009fff,0x4ffffd80,0x00dff500,
    0x00000000,0x00000000,0x00000000,0x109fffff,0x005fffff,0x00000000,
    0x00000000,0x7c40cd80,0x0003ffff,0x3ffb3600,0x7ff400ef,0x2a200001,
    0x00abdedc,0x76e54400,0x20000abd,0x1acddba8,0x3b32a000,0x200accee,
    0x83fffff8,0x00fffffb,0x66edd440,0x5440001a,0x00abdedc,0x376ea200,
    0x300001ac,0x3fffea13,0xaaaa800f,0x3fee001a,0x17fee03f,0x7fe44000,
    0xdfffffff,0x7fe44000,0xdfffffff,0x7ffdc000,0x01efffff,0x3fffff20,
    0x02ffffff,0x07fffff1,0x00bfffff,0xffffffb8,0x44001eff,0xfffffffc,
    0x5c000dff,0xffffffff,0xfeb8001e,0xffebefff,0xfff805ff,0x0d4c44ff,
    0x4417ffe2,0x80000fff,0xfffffffa,0x02ffffff,0xffffff50,0x5fffffff,
    0xffffd100,0x7fffffff,0xfffffb00,0xffffffff,0xfffff107,0xfffffb87,
    0xfffd1002,0xffffffff,0x3ffea007,0xffffffff,0xfe8802ff,0xffffffff,
    0xfb1003ff,0xffffffff,0x803fffff,0x7c4fffff,0x7ffd46ff,0x009ff905,
    0xfffff700,0xffffffff,0xffb809ff,0xffffffff,0x204fffff,0xfffffff8,
    0x4fffffff,0x3fffff20,0xffffffff,0x7ffcc3ff,0x7fff43ff,0xfff1005f,
    0xffffffff,0xfb809fff,0xffffffff,0x04ffffff,0x3fffffe2,0xffffffff,
    0x7fffcc04,0xffffffff,0x7c06ffff,0x7ec4ffff,0xfffbadff,0x0fff882f,
    0x7ffcc000,0xffefffff,0x02ffffff,0xfffffff3,0xffffffdf,0x3ff605ff,
    0xffcdffff,0x881fffff,0xceffffff,0xffffffcc,0x7ffffcc6,0x3ffffe63,
    0xffffb002,0xffff9bff,0x3e603fff,0xefffffff,0xffffffff,0xfffffb02,
    0xfffff9bf,0x7ff403ff,0xffffffff,0x1fffffff,0x13ffffe0,0xfffffff1,
    0x3ff60bff,0xffe80003,0x6c42ffff,0x80ffffff,0x2ffffffe,0x7ffffec4,
    0x7fffcc0f,0x7ff540df,0xfffc85ff,0xffff01ff,0x7ffcc1ff,0x3fff23ff,
    0xff9802ff,0x7540dfff,0xfd05ffff,0x885fffff,0x0ffffffd,0x6fffffcc,
    0x7ffff540,0xfffff905,0xff93159f,0x407fffff,0x984fffff,0x4ffffffe,
    0x000dff30,0xdfffff30,0x7fffe401,0x7fffcc4f,0x3ff200ef,0x7ff44fff,
    0xff300fff,0xdb983fff,0x3ff204fe,0x3fe60fff,0x3ff23fff,0xfe806fff,
    0xf300ffff,0xf983ffff,0x200effff,0x44fffffc,0x00fffffe,0x83fffff3,
    0x2ffffff9,0xffffff30,0x7ffffc0d,0x2af2e604,0x00bffa00,0x3ee0aaa6,
    0x4402ffff,0x5c7fffff,0x402fffff,0x27fffff8,0x03fffff8,0x027fffec,
    0x3fffe600,0x3fffe61f,0x3fffe63f,0x3fe204ff,0x7ec03fff,0x7fdc4fff,
    0x7c402fff,0x3e27ffff,0x6c03ffff,0x7e44ffff,0x5404ffff,0x00ffffff,
    0x009fffff,0x017fea00,0x3617ffe2,0x9006ffff,0x6c3fffff,0x9006ffff,
    0x263fffff,0x402fffff,0x005ffffb,0xffffd730,0x7fffcc3f,0x7ffff43f,
    0xfff304ff,0xffb805ff,0x7ffec5ff,0xfff9006f,0x3ffe63ff,0x7fdc02ff,
    0x7fff45ff,0xffe800ff,0xfff02fff,0x200009ff,0xfe801ffe,0xffff85ff,
    0xfff5005f,0x7fffc5ff,0xfff5005f,0x3ffea5ff,0xcccccdff,0x6ffffdcc,
    0xfffd9500,0x43ffffff,0x43fffff9,0xffffffe8,0xfffffa84,0xcccccccd,
    0x7c6ffffd,0x5005ffff,0x2a5fffff,0xccdfffff,0xffdccccc,0x7fffc6ff,
    0xfff7006f,0x3ffe07ff,0xb80004ff,0xffd804ff,0x7ffcc5ff,0xff3003ff,
    0x3fe67fff,0xf3003fff,0x3ee7ffff,0xffffffff,0xffffffff,0xffb7107f,
    0xffffffff,0x7fcc3fff,0xff883fff,0x5c3fffff,0xffffffff,0xffffffff,
    0x3ffe67ff,0xff3003ff,0x3fee7fff,0xffffffff,0xffffffff,0x3ffffe27,
    0xffff5004,0x3fffe09f,0x7c40004f,0x7fdc00ff,0x7fcc5fff,0xf1003fff,
    0x3e69ffff,0x1003ffff,0x329fffff,0xffffffff,0xffffffff,0x7f440fff,
    0xffffffff,0x21fffffe,0x03fffff9,0xfffffff3,0x7ffffe43,0xffffffff,
    0x30ffffff,0x007fffff,0x53ffffe2,0xfffffffc,0xffffffff,0xff30ffff,
    0x26009fff,0xf03fffff,0x0009ffff,0x5403ffc8,0x45ffffff,0x04fffff9,
    0x7fffff30,0x13ffffe6,0x7ffffcc0,0xffffff93,0xffffffff,0x4c1fffff,
    0xefffffff,0xffff98ab,0x3fffe61f,0x3ffe603f,0x3ff26fff,0xffffffff,
    0xffffffff,0xfffff30f,0x3ffe6009,0xffff93ff,0xffffffff,0x1fffffff,
    0x17ffffe2,0x7ffffd40,0x9fffff02,0x3ffcc000,0x3abffe20,0x7ffc45ff,
    0xff5005ff,0x3fe23fff,0xf5005fff,0x3ee3ffff,0x0000ffff,0xbfffffe8,
    0xfffff980,0x3ffffe61,0x7fffcc03,0xffff70ff,0xf880001f,0x5005ffff,
    0x2e3fffff,0x000fffff,0x6fffff80,0xfffff700,0x3ffffe03,0x3ff60004,
    0x4fffa202,0xfff85ffe,0xfd800fff,0x3fe0ffff,0xd800ffff,0xf30fffff,
    0x0005ffff,0x5fffff88,0x3ffffea0,0x3ffffe61,0xffffb803,0xfffff32f,
    0xfff00005,0xfb001fff,0x3e61ffff,0x0002ffff,0x0fffffd8,0x7ffffe80,
    0x13ffffe0,0x037fd400,0xffe97ff6,0xfffffc85,0x7fffcc04,0x7fffe46f,
    0x7ffcc04f,0x3ffe26ff,0x566c04ff,0x7fffd409,0x3ffee01f,0x3ffe61ff,
    0xff8803ff,0xfff14fff,0xacd809ff,0xffffc809,0x7ffcc04f,0x3ffe26ff,
    0x566c04ff,0xffffc809,0x7ffd404f,0x3ffe06ff,0xfd0004ff,0x77fe403f,
    0x2617ffa0,0x02ffffff,0x5fffffd1,0xffffff98,0xffffd102,0xffffd85f,
    0xffff701f,0x7fffdcbf,0xffff103f,0x7ffcc3ff,0x220a83ff,0x363fffff,
    0x701fffff,0x98bfffff,0x02ffffff,0x5fffffd1,0x1fffffd8,0xbfffff70,
    0xffffff88,0xffffd302,0x7fffc05f,0xffb8004f,0x7ffffc05,0x7fffffff,
    0x7fffffec,0xfffb99ad,0xffb05fff,0x335bffff,0xbffffff7,0xffffff30,
    0xfffffa85,0x3fffe61f,0x7ff4c0ef,0x3e61ffff,0x3623ffff,0xfffd99ef,
    0x3ffe62ff,0x7fd42fff,0xfd81ffff,0x9adfffff,0xffffffb9,0xfffff985,
    0x7fffd42f,0xfffb81ff,0xb99acfff,0x05ffffff,0x027ffffc,0x003ffe20,
    0xffffffff,0xf88fffff,0xffffffff,0xffffffff,0xfffff100,0xffffffff,
    0x3601ffff,0xefffffff,0x5fffffff,0x7fffffc4,0xfffffcdf,0x3e62ffff,
    0xff73ffff,0xffffffff,0xfffd81ff,0xfffeffff,0xf105ffff,0xffffffff,
    0xffffffff,0x3ffff601,0xffffefff,0x3fa05fff,0xffffffff,0x0fffffff,
    0x27ffffc0,0x013ff200,0x3ffffffe,0x987fffff,0xffffffff,0x1fffffff,
    0x7ffffcc0,0xffffffff,0x7fec01ff,0xffffffff,0xfb80efff,0xffffffff,
    0xffffffff,0x3ffffe64,0xffffff33,0x205fffff,0xfffffffd,0x0effffff,
    0x3ffffe60,0xffffffff,0x7fec01ff,0xffffffff,0x2200efff,0xfffffffe,
    0x2fffffff,0x4fffff80,0x03ffe200,0x0bffd000,0xfffffd88,0x0dffffff,
    0xffffb100,0xbfffffff,0x3ffee001,0xffffffff,0x3fff600e,0x8effffff,
    0x267ffffc,0x263fffff,0xffffffff,0x7ffdc04f,0xffffffff,0xffd8800e,
    0xffffffff,0xff7000df,0xffffffff,0x3f2001df,0xffffffff,0xff000dff,
    0x6c009fff,0xe80003ff,0xb73005ff,0x5bffffff,0x3f6e6000,0x02dfffff,
    0xfffeda80,0x5002efff,0x7dfffffd,0x97ffffcc,0x43fffff9,0xeffffec9,
    0xffdb5001,0x005dffff,0xffffb730,0x50005bff,0xffffffdb,0xfb30005d,
    0x5dffffff,0xfffff800,0x0dff3004,0x13bb2000,0x00554c00,0x0554c000,
    0x55310000,0x2a600013,0x0000009a,0x00015510,0x004d54c4,0x01553000,
    0x554c4000,0x51000009,0x00000155,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a201310,0x7ffcc00a,0x7fffe44f,0x7ffd4001,0x440003ff,
    0x000aaaaa,0x87ffff30,0x001ffffc,0x0d540130,0x7fffd400,0x07fffdc0,
    0xdfd99100,0x2000039b,0x06fffff9,0x7fffd400,0xfff8005f,0x9100001f,
    0x5c15bfff,0x7fcc02ff,0x7ffe44ff,0x3fe2001f,0x000fffff,0x3ffffe60,
    0xfff30002,0xffffc87f,0x3fee2001,0x3fea0bef,0xfffc8003,0x07fffd86,
    0xfffff910,0x001bffff,0xfffff500,0xffa80003,0x6c001fff,0x00003fff,
    0xfffffffd,0x803fffbd,0x644ffff9,0x2001ffff,0xfffffffe,0x3fe60006,
    0x30002fff,0xfc87ffff,0x32001fff,0xefffffff,0x8002fffd,0xfe85fffe,
    0xffd005ff,0xffffffff,0x500001ff,0x000bffff,0x0bffff70,0x05fffb80,
    0xffff9800,0xffffffff,0xffff9806,0x0ffffe44,0x9ffffb80,0x0004ffff,
    0x05fffff3,0x3fffe600,0x0ffffe43,0xfffff880,0xffffffff,0xffff8000,
    0x1ffffc43,0x7ffffe40,0xffffffff,0xff700006,0x900003ff,0x4001ffff,
    0x0007fff9,0xb98cffa8,0x02fffffe,0x43eeee98,0x801eeeeb,0xf51ffff9,
    0x30003fff,0x005fffff,0x0bbbba60,0x001dddd7,0x2e637fe6,0x03fffffd,
    0x1ffff980,0x017fffcc,0x3bffffe2,0xffffc98b,0xf900002f,0x20000bff,
    0x4004fffc,0x0000ffff,0x5cc0f754,0x0000002c,0x4fffe880,0x0077ffe4,
    0x3ffffe60,0x00000002,0x105dd300,0x20001797,0x5c0ffffa,0x4c00ffff,
    0xc82fffff,0x0004ffff,0x003fff20,0x07ffec00,0x05fffb00,0x00000000,
    0x00000000,0x4ccc0000,0x00000099,0x00000000,0x37ffe400,0x403fffe4,
    0x80fffffa,0x005ffff9,0x00000000,0x7ffdc000,0x00000004,0x00000000,
    0x00000000,0x00000000,0x31000000,0xfffd3333,0xffd3333b,0x260133bf,
    0xa84fffff,0x0004ffff,0x00000000,0x37ffcc00,0xd9950000,0x001599dd,
    0x9ddd9950,0x95000159,0x1599ddd9,0x77764000,0xa880001e,0x00abdedc,
    0x76e54400,0xfc800abd,0xffffffff,0xffffffff,0x3e02ffff,0x220fffff,
    0x002fffff,0x03555551,0x0aaaaa88,0x77766540,0xff000acc,0xc80001ff,
    0xffffffff,0xf9002fff,0xffffffff,0x3f2005ff,0xffffffff,0xfd0002ff,
    0x40005fff,0xffffffc8,0x4000dfff,0xffffffc8,0x3200dfff,0xffffffff,
    0xffffffff,0x202fffff,0x8efffffd,0x07ffffe9,0x3ffffe20,0x7fffd403,
    0xffff901f,0x5fffffff,0x05fffb00,0x7fffec00,0xffffffff,0x7ffec03f,
    0xffffffff,0x7fec03ff,0xffffffff,0xf8003fff,0x0001ffff,0xfffffff5,
    0x05ffffff,0x3ffffea0,0xffffffff,0xfffff902,0xffffffff,0xffffffff,
    0x7fffc405,0xfffffeff,0x3fe2003f,0x7d403fff,0xfd81ffff,0xffffffff,
    0x5c03ffff,0x90004fff,0xffffffff,0x7fffffff,0x3fffff20,0xffffffff,
    0xfff903ff,0xffffffff,0x4007ffff,0x007ffff9,0xffffff70,0xffffffff,
    0xfffb809f,0xffffffff,0xfc84ffff,0xffffffff,0xffffffff,0x5402ffff,
    0xffffffff,0x44003fff,0x403fffff,0x41fffffa,0xfffffffc,0xffffffff,
    0x1bffea03,0x3fffe200,0xffccceff,0xf886ffff,0xccefffff,0x6ffffffc,
    0xffffff88,0xffffccce,0xfd1006ff,0x3000bfff,0xffffffff,0xfffffffd,
    0x3ffe605f,0xffefffff,0x42ffffff,0xfffaaaa9,0xffaaaadf,0x00aaadff,
    0xffffffd8,0x88002fff,0x403fffff,0x21fffffa,0xeffffff8,0xfffffccc,
    0x3ffe206f,0x7fe4000f,0xfff01fff,0xffc81fff,0xfff01fff,0xffc81fff,
    0xfff01fff,0xe8801fff,0x003fffff,0xffffffe8,0x7fffec42,0xfffe80ff,
    0x7ec42fff,0x400fffff,0x7c43ffff,0x5c003fff,0xffffffff,0xff10000e,
    0xfa807fff,0x3f21ffff,0xff01ffff,0x7401ffff,0x4c002fff,0x3204fedb,
    0x4c0fffff,0x3204fedb,0x4c0fffff,0x3204fedb,0x200fffff,0x6fffffe8,
    0xffff9800,0x3ff200ef,0x7fcc4fff,0x3200efff,0x204fffff,0x4c1ffff9,
    0x3001ffff,0xfffffffd,0x20001fff,0x03fffff8,0x0fffffd4,0x409fdb73,
    0x00fffffc,0x0013fff2,0xffff3000,0xf980003f,0x0001ffff,0x0fffffcc,
    0xffffff98,0xffb8001f,0x7c402fff,0x7dc7ffff,0x4402ffff,0x207fffff,
    0x5c0ffffb,0x9800ffff,0xffffffff,0x0005ffff,0x07fffff1,0x1fffffa8,
    0x3ffe6000,0x3fea01ff,0x3000006f,0x3fffffd7,0x3fae6000,0x0001ffff,
    0xfffffd73,0xfffff303,0x360003df,0x9006ffff,0x6c3fffff,0x9006ffff,
    0x203fffff,0xfc86fffc,0xff9806ff,0xffdfffff,0x3ea4ffff,0xff880ace,
    0x7d403fff,0x8001ffff,0xfffffeb9,0x1fffe201,0x7f654000,0xffffffff,
    0xffd95001,0x3fffffff,0x3ffb2a00,0x1fffffff,0x7fffffc4,0x3fe0000e,
    0xf5005fff,0x7fc5ffff,0xf5005fff,0x3a05ffff,0xffe85fff,0xfffe805f,
    0xfffb1fff,0x3ff65fff,0xfff886ff,0x7fd403ff,0xca801fff,0xfffffffe,
    0x7ff401ff,0xdb88001f,0xffffffff,0x101fffff,0xffffffb7,0x3fffffff,
    0x3fff6e20,0xffffffff,0x7ffec1ff,0x20000dff,0x03fffff9,0x7fffff30,
    0x0fffffe6,0x7ffffcc0,0xfffddd73,0xffddddff,0x5ddddfff,0x77ffffd4,
    0x7fffff40,0x3fffff9f,0x3fffff88,0x7ffffd40,0xfffdb881,0xffffffff,
    0x7fe401ff,0x7f44003f,0xffffffff,0x81fffffe,0xffffffe8,0xffffefff,
    0xfffe881f,0xfeffffff,0x3ea1ffff,0x0005ffff,0x3fffff98,0xfffff100,
    0x3ffffe69,0xffff1003,0x3ffff29f,0xffffffff,0xffffffff,0x3ffff62f,
    0xffff882f,0xffffffff,0xfffff880,0x7fffdc03,0x7fff441f,0xfeffffff,
    0x5401ffff,0x26005fff,0xefffffff,0xffff98ab,0x7fffcc1f,0x98abefff,
    0x4c1fffff,0xefffffff,0xffff98ab,0x3ffff21f,0xf980000f,0x3004ffff,
    0x267fffff,0x004fffff,0x27fffff3,0xfffffffc,0xffffffff,0x22ffffff,
    0x207fffff,0xfffffff9,0xff106fff,0xfb807fff,0x3e61ffff,0xbeffffff,
    0xfffff98a,0x3fffc401,0xfffffd00,0xffff3017,0xffffe83f,0xfff980bf,
    0x7fff41ff,0xff980bff,0x3ffa1fff,0x9d1005ff,0x7ffc4357,0xff5005ff,
    0x3fe23fff,0xf5005fff,0x3f23ffff,0xffffffff,0xffffffff,0xff12ffff,
    0xfb80bfff,0xffffffff,0xfffff102,0xffffb807,0x3ffffa1f,0xfff980bf,
    0xfff801ff,0xfff8801f,0x3fea05ff,0x3fe21fff,0x3ea05fff,0x3e21ffff,
    0x2a05ffff,0x3a1fffff,0x7005ffff,0xff8fffff,0xd800ffff,0x3e0fffff,
    0x800fffff,0x50fffffd,0x9dffff99,0xdffff999,0x22399999,0x806fffff,
    0xfffffffd,0x3fffe205,0x7ffe404f,0xffff11ff,0x7ffd40bf,0xffd801ff,
    0xfffa803f,0x3fee01ff,0x3fea1fff,0x3ee01fff,0x3ea1ffff,0x2e01ffff,
    0x321fffff,0x800fffff,0x644ffffe,0x404fffff,0x46fffff9,0x04fffffc,
    0x37ffffcc,0x21ffffc4,0x803ffff8,0x01fffffe,0x7fffffc4,0xfff100ef,
    0xffe80bff,0xfff51fff,0x7fdc03ff,0xfb801fff,0xffb805ff,0xff103fff,
    0x7dc3ffff,0xf103ffff,0x5c3fffff,0x103fffff,0x43ffffff,0x04fffffa,
    0x0fffffe4,0x3fffffe6,0xffffd102,0xffff985f,0xffd102ff,0xff305fff,
    0xfff983ff,0xfffd801f,0x3fa605ff,0xffffffff,0xffffff01,0x3ffff201,
    0xffff71ff,0x3ffe207f,0xf9801fff,0xff9807ff,0x74c0efff,0x21ffffff,
    0x0efffff9,0x7fffff4c,0x3fffe61f,0x7ff4c0ef,0x3a21ffff,0x21dfffff,
    0xfffffec9,0xfffffb07,0xff7335bf,0x360bffff,0xadffffff,0xfffffb99,
    0xffff705f,0x07fffb81,0xffffff30,0xffb735bf,0xffffffff,0xfffb09ff,
    0x7e4c3dff,0x31ffffff,0x81dfffff,0xffffffe9,0x3ffff001,0xfffff880,
    0xffffcdff,0x222fffff,0xdfffffff,0xfffffffc,0x3ffe22ff,0xffcdffff,
    0x2fffffff,0x7fffffcc,0xffffffff,0xff102fff,0xffffffff,0x1fffffff,
    0x3ffffe20,0xffffffff,0xf900ffff,0xfff90dff,0x7ffe400d,0xffffffff,
    0xffffffff,0x5c6fffff,0xffffffff,0xffffffff,0xffff11ff,0xfff9bfff,
    0x05ffffff,0x00ffff60,0x3fffffee,0xffffffff,0x7fdc4fff,0xffffffff,
    0x4fffffff,0x7fffffdc,0xffffffff,0xffa84fff,0xffffffff,0x403fffff,
    0xfffffff9,0xffffffff,0x7fffcc01,0xffffffff,0x3fa01fff,0xfffe84ff,
    0x3ff62004,0xffffffff,0xfecfffff,0xd81fffff,0xffffffff,0xffff9fff,
    0x3fffee1f,0xffffffff,0x004fffff,0x2009fff7,0xfffffffd,0xfffc8eff,
    0xffffd87f,0xc8efffff,0xfd87ffff,0xffffffff,0x7ffffc8e,0xfffffd30,
    0x5dffffff,0x3fff6200,0xffffffff,0xffb1000d,0xffffffff,0x7fc401bf,
    0xffff83ff,0xfffb8003,0xffffffff,0x3ffee1ef,0xfffd102f,0x21dfffff,
    0x6c1fffff,0xffffffff,0xffffc8ef,0xdfff3007,0x7fff5400,0x3fe63eff,
    0xfea82fff,0x263effff,0xa82fffff,0x3efffffe,0x0bffffe6,0xfffffea8,
    0x30003cef,0xffffffb7,0x2e60005b,0xdffffffd,0xffff9802,0x0ffffcc1,
    0xfffd8800,0x03efffff,0xc8809fd3,0x0ceffffe,0x207ffffe,0xefffffea,
    0x3ffffe63,0x1ffff002,0x09aa9800,0x35530000,0x2a600001,0x8000009a,
    0x00001a98,0x00015530,0x00155300,0x984ccc98,0x00004ccc,0x00157531,
    0x2aa20024,0x55300000,0x70000013,0x00003999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,
    0x7fe44fff,0x360001ff,0x502fffff,0x50055555,0x50035555,0x007fffff,
    0xcedca980,0x5cc0002c,0xf70000ab,0x0009ffff,0x00acb980,0x00000000,
    0xbdffdb73,0x20000359,0x0009bca8,0x07fffffa,0xc89ffff3,0x0001ffff,
    0x07fffff3,0x037fffec,0x027ffffc,0x3fffffe2,0xfe98001f,0xffffffff,
    0x3ffae003,0x003fffff,0x0fffffc8,0x7fec4000,0x003fffff,0x3ffffff6,
    0xffffffff,0x7fff5402,0xffffffff,0xfd98000c,0x0cffffff,0x7ffffd40,
    0x4ffff981,0x00ffffe4,0x3ffffc80,0x37fffec0,0x27ffffc0,0x3fffff60,
    0x7dc006ff,0xffffffff,0xfd806fff,0xffffffff,0x7ec000df,0x20003fff,
    0xfffffff9,0xfd005fff,0xffffffff,0x405fffff,0xfffffffd,0xffffffff,
    0x3ffea004,0xffffffff,0x3ffffa01,0x9ffff302,0x01ffffc8,0x4ffff880,
    0x6ffffd80,0x4fffff80,0x27fffee0,0xb004ffff,0xffffffff,0x0bffffff,
    0x3fffffa2,0xffffffff,0x7ffec000,0xfff50006,0xffffffff,0xfff880df,
    0xffffffff,0xfb02ffff,0xffffffff,0xffffffff,0xffff9005,0xffffffff,
    0xffff301f,0x77774407,0x0f7775c3,0x2fffe400,0x6ffffd80,0x4fffff80,
    0x25ffff30,0x402ffffa,0xfffffff9,0xffffffdd,0xffffc83f,0xffffffff,
    0xfd8005ff,0xfe8002ff,0xffffffff,0x2603ffff,0xffffffff,0x2fffffff,
    0xffffffa8,0xffffffff,0x201fffff,0xfffffffb,0x5fffffff,0x003fffd8,
    0xf1000000,0x7ec00bff,0xff806fff,0xffd04fff,0xffffb89f,0x3ffffa00,
    0x7ffdc43f,0xffff86ff,0xffc99cff,0x4001ffff,0x4006ffe8,0xaefffff9,
    0x6fffffb9,0x3ffffee0,0xffffffff,0xfffc82ff,0x2621aeff,0x6ffffffd,
    0x3fffffe0,0xffffb89b,0x3ffe60ff,0x00000004,0xffb00000,0xfff00dff,
    0x000009ff,0x9fffff70,0x7ffffec0,0x3ffffea2,0xfffffb81,0x40000003,
    0x40fffffd,0x02fffffb,0x33bffff9,0x33333333,0xdffffd01,0xfffff900,
    0x3fffee0f,0xffffa82f,0x0000003f,0x80000000,0x806ffffd,0x004fffff,
    0xfffd8000,0x37a600ff,0x7ffec0ab,0xffff106f,0x000000bf,0x1fffffcc,
    0x05fffff8,0x007ffffd,0x7ffffcc0,0xffffd002,0xffffd03f,0x77fff40d,
    0xaaa88004,0x554401aa,0x55510aaa,0xaa880355,0xfffb0aaa,0xffff00df,
    0x2aaaa29f,0x5554401a,0x3fffa0aa,0xa980005f,0x3fe02edb,0x51004fff,
    0x00359bb7,0x03fffff2,0x07ffffe4,0x00fffffc,0xfffff500,0x3fff2009,
    0x7ffd43ff,0x026602ff,0x41aaaaa8,0x03fffff8,0x8fffffd4,0x03fffff8,
    0x8fffffd4,0x806ffffd,0xf14fffff,0xa807ffff,0x3e1fffff,0x0004ffff,
    0x7ffd4000,0xffb802ff,0x1effffff,0x3ffffe40,0x3fffff50,0x0fffff88,
    0x3ffe2000,0x98801fff,0x7fffe401,0x7fc0000f,0x7fc44fff,0x7d403fff,
    0xff11ffff,0xfa807fff,0xffb1ffff,0xfff00dff,0x3ffe29ff,0x7fd403ff,
    0xfff11fff,0x000009ff,0x7ffffe80,0x7ffff440,0x3fffffff,0x1bffff60,
    0x2fffff98,0x9bffffd4,0xf000accb,0x39ffffff,0xfffb0000,0xf80010ff,
    0x7c44ffff,0x5403ffff,0xf11fffff,0xa807ffff,0xfb1fffff,0xf880dfff,
    0xff14ffff,0xfa807fff,0xff31ffff,0x00009fff,0x3fff2200,0x3fe204ff,
    0xffffffff,0xfd04ffff,0x7c40bfff,0x7e43ffff,0xffffffff,0x6c00dfff,
    0xffffffff,0xe8000bdf,0xd916ffff,0xf8039dff,0x7c44ffff,0x5403ffff,
    0xf11fffff,0xa807ffff,0xfb1fffff,0xf880ffff,0xff14ffff,0xfa807fff,
    0xff11ffff,0x00009fff,0xfffffc80,0x7fec03ff,0xffcdffff,0xf81fffff,
    0x2205ffff,0x6c4fffff,0xffffffff,0x02ffffff,0x3fffffa2,0xceffffff,
    0xffffd001,0xffffff5b,0x7ffc07ff,0x7ffc44ff,0x7fd403ff,0xfff11fff,
    0xffa807ff,0xfffb1fff,0xfff980ff,0xffff14ff,0xfffa807f,0x3fffe1ff,
    0x0000805f,0x3ffffff6,0x7fffcc02,0x7ff540df,0xffff85ff,0x3ffe205f,
    0x7fffc4ff,0xffffffff,0x2602ffff,0xffffffff,0x3effffff,0x7fffffc0,
    0xffffffff,0xffff05ff,0xffff889f,0x7ffd403f,0xffff11ff,0xfffa807f,
    0xffffb1ff,0x7ffd403f,0xffff14ff,0xfffa807f,0x3fffa1ff,0xcefe807f,
    0xfffd001b,0x74017dff,0x300fffff,0x443fffff,0x205fffff,0x25fffff8,
    0xfffffff8,0xffffffef,0x7ff4c06f,0xffffffff,0xf105ffff,0xffffffff,
    0xffffffff,0x9fffff07,0x3fffff88,0x7ffffd40,0x7fffff11,0xfffffa80,
    0x7fffffb1,0x7ffffec0,0x7fffff14,0xfffffa80,0x3fffff61,0x3fffe602,
    0xffff004f,0x105fffff,0x807fffff,0x264ffffd,0x404fffff,0x266fffff,
    0x41efffff,0x4ffffffa,0xfffffb80,0xffffffff,0x7ffcc0ef,0x89dfffff,
    0x0ffffffa,0x227ffffc,0x03fffff8,0x8fffffd4,0x03fffff8,0x8fffffd4,
    0x0ffffffd,0xffffffb8,0x7fffff14,0xfffffa80,0x3ffffe61,0xffffb00e,
    0x5591003f,0x7ffffffb,0x2fffff98,0x2ffffdc0,0x09fffff3,0x2fffffc4,
    0x409db951,0x07fffff9,0x3ffff260,0xffffffff,0x3fffe20e,0xff981fff,
    0x7ffc5fff,0x7ffc44ff,0x7fd403ff,0xfff11fff,0xffa807ff,0xfffb1fff,
    0x9315dfff,0x9fffffff,0x0fffffe2,0x3fffff50,0xffffffd8,0xfffec99b,
    0x260006ff,0x20fffffe,0xcdfffffa,0xfdcccccc,0x3fe26fff,0x3e205fff,
    0x0004ffff,0x0fffffe4,0x7fedcc00,0x4fffffff,0x27fffffc,0x8fffff90,
    0x444fffff,0x403fffff,0x11fffffa,0x807fffff,0xb1fffffa,0xffffffff,
    0xffffffff,0x3ffe29ff,0x7fd403ff,0x7fc41fff,0xffffffff,0x01ffffff,
    0x7fffcc00,0x3fffee4f,0xffffffff,0x27ffffff,0x05fffff8,0x13ffffe2,
    0xffff5000,0xd500005f,0x8fffffff,0x01ffffff,0x83ffffea,0x444fffff,
    0x403fffff,0x11fffffb,0x807fffff,0xb1fffffb,0xffffffff,0xffdfffff,
    0x3ffe29ff,0x7fdc03ff,0xffb81fff,0xffffffff,0x0002ffff,0x4dffffd0,
    0xfffffffc,0xffffffff,0xff10ffff,0x7c40bfff,0x0003ffff,0x1fffffcc,
    0xfff70000,0x7ff43fff,0x3e600fff,0x3fe1ffff,0x7fc44fff,0x7dc03fff,
    0xff11ffff,0xfb807fff,0xffb1ffff,0xffff5dff,0xffff99ff,0x3ffffe29,
    0x7fffdc03,0xfffd301f,0xffffffff,0x7ec00007,0x3ff27fff,0xffffffff,
    0xffffffff,0x3ffffe0f,0x3fffe606,0x7cc0002f,0xdb34ffff,0xe8007ffd,
    0x362fffff,0x200fffff,0x22fffff8,0x444fffff,0x403fffff,0x11fffffb,
    0x807fffff,0xb1fffffb,0x3eedffff,0xfff94fff,0x3fffe29f,0x7ffdc03f,
    0x7f6401ff,0x0cffffff,0xd8029980,0x3ee7ffff,0x0000ffff,0x07ffffd8,
    0x07ffffea,0xfff98010,0xffff33ff,0xffc800bf,0x3ff22fff,0x3e601fff,
    0x3fe1ffff,0x7fc44fff,0x7e404fff,0xff11ffff,0xfc809fff,0xffb1ffff,
    0x00ba8dff,0x9fffff10,0xfffffc80,0xdffb5001,0xffff3009,0xfffe807f,
    0x3fffe66f,0xfc80002f,0xf900ffff,0x7641ffff,0x7dc05ffe,0x3fe1ffff,
    0x2001ffff,0x21fffffd,0x03fffffb,0x83ffffe6,0x444fffff,0x405fffff,
    0x11fffffe,0x80bfffff,0xb1fffffe,0x000dffff,0x5fffff88,0x7fffff40,
    0xffffa801,0x3e200eff,0x2606ffff,0x224fffff,0x404fffff,0xfa809acd,
    0xff04ffff,0xffe8bfff,0x3fa01fff,0x3f60ffff,0x5006ffff,0x41ffffff,
    0x06fffff8,0xf1fffff2,0xff09ffff,0x3201ffff,0x21ffffff,0x00ffffff,
    0x3ffffff9,0x01bffff6,0x3ffffe00,0xffff900f,0x597003ff,0x809fffd7,
    0x82fffffd,0x3fffffe8,0x0fffffec,0x5fffffb8,0x0ffffff8,0x17ffffdc,
    0x17ffffee,0x27ffffdc,0x3fffffea,0x3ffee01e,0xffc86fff,0xff984fff,
    0x7ffc5fff,0xfffd84ff,0x3f261eff,0x21ffffff,0x1efffffd,0x3fffff26,
    0xffffb1ff,0xffb0000d,0x64c3dfff,0x1fffffff,0x1fffd000,0x7ffffdc0,
    0xfffb9bef,0xff986fff,0x7d42ffff,0xc81fffff,0x9befffff,0x86fffffc,
    0xeffffff9,0xffffc98b,0xfffd80ff,0xccceffff,0xfffffffd,0xffff882f,
    0xffdaadff,0x7fc1ffff,0xffb84fff,0xffffffff,0xffffffff,0x3ffffee1,
    0xffffffff,0xfb1fffff,0x0000dfff,0xfffffff7,0xffffffff,0x20003fff,
    0x6c01fffd,0xffffffff,0x1fffffff,0xffffffb0,0xffffffdf,0x3ffe20bf,
    0xffffffff,0xff703fff,0xffffffff,0x207fffff,0xfffffff8,0xffffffff,
    0x3205ffff,0xffffffff,0x84ffffff,0xb04fffff,0xffffffff,0xffff3fff,
    0xffffd83f,0x9fffffff,0xfb1fffff,0x0000dfff,0x3ffffff6,0xff9fffff,
    0x26201fff,0xffff9511,0xffffd100,0xffffffff,0xfffd807f,0xffffffff,
    0x3e600eff,0xffffffff,0x7ec06fff,0xffffffff,0x4c03ffff,0xffffffff,
    0xffffffff,0x7fec406f,0xffffffff,0xffff06ff,0x3ffa209f,0x0effffff,
    0x883fffff,0xfffffffe,0xfffff0ef,0x1bffff63,0x7ff44000,0x0effffff,
    0x403fffff,0xfffffffc,0xfb1001ff,0xffffffff,0x3ee003df,0xffffffff,
    0xe8800eff,0xffffffff,0xffc8804f,0xffffffff,0xffb1002f,0xffffffff,
    0x0019ffff,0x3fffffee,0x3e04ffff,0x2204ffff,0xceffffec,0x07ffffe0,
    0x3ffffb22,0x3fffe0ce,0xdffffb1f,0x76440000,0x20ceffff,0x201fffff,
    0xfffffffc,0xfe98000c,0x04ffffff,0xfffeda80,0x4002efff,0xfffffec8,
    0x7ecc003e,0x1cefffff,0xfffd9800,0xceffffff,0xffda8001,0x402effff,
    0x004fffff,0x00001551,0x40005544,0x00099998,0x01551000,0x2a662000,
    0x1000019a,0x00013553,0x026aa620,0x26aa2000,0xaa980000,0x22000009,
    0x00aaaba9,0x06aa6000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5554c000,0x553000aa,
    0x53001555,0x00013597,0x77ee54c0,0x40000abd,0x0001bca9,0x3fbb2a20,
    0x0001acde,0x55554000,0x2aaaaa1a,0x5554c002,0x973000aa,0x10079bdd,
    0x00155555,0x2a200000,0x5511aaaa,0xff505555,0x3a009fff,0x5c06ffff,
    0xffffffff,0x3ee0000d,0xffffffff,0x64000cff,0xdfffffff,0xff910001,
    0xffffffff,0x000009ff,0x7fffff10,0x037ffffc,0x3ffffee0,0x7fffd403,
    0x02efffff,0x0bffffe6,0x54000000,0xf14fffff,0x3e0bffff,0x9806ffff,
    0x303fffff,0xfffffffd,0x8009ffff,0xffffffd8,0xffffffff,0xfffe9802,
    0x2fffffff,0x7fff4c00,0xffffffff,0x0001efff,0x3fffe200,0x3ffffe3f,
    0x7ffdc006,0x3fea03ff,0xffffffff,0xfff304ff,0x000005ff,0x3fffea00,
    0xfffff14f,0x3ffff20b,0x7ffdc01f,0xffe881ff,0xffffffff,0xf5003fff,
    0xffffffff,0xffffffff,0x7fffcc0b,0xffffffff,0xfff9004f,0xffffffff,
    0x9fffffff,0x3e200000,0x3fe3ffff,0x5c006fff,0x703fffff,0xffffffff,
    0x05ffffff,0x05fffff3,0x2a000000,0xf14fffff,0x260bffff,0x404fffff,
    0x906ffffe,0xffffffff,0x1fffffff,0xfffffb80,0xffffffff,0x03ffffff,
    0xfffffffd,0x5fffffff,0xfffffc80,0xffffffff,0x5fffffff,0xff880000,
    0x3ffe3fff,0x7dc006ff,0xfa83ffff,0xddffffff,0x0fffffff,0x17ffffcc,
    0xa8000000,0xf14fffff,0x740bffff,0x2606ffff,0x883fffff,0x1cffffff,
    0x9fffffb5,0x7ffffc40,0xb999bdff,0xfffffffe,0x7ffffdc1,0xfffea9cf,
    0x3fe606ff,0xacefffff,0xfffeca99,0x0002ffff,0x7ffffc40,0x1bffffe3,
    0xfffff700,0xfffff907,0x7ffec417,0x7ffcc3ff,0x000002ff,0xfffff500,
    0x3ffffe29,0x3fffee05,0xffff701f,0xffff301f,0x3fffa07f,0x3fff206f,
    0x7dc02fff,0x7c4fffff,0xd80effff,0xd02fffff,0x0bffffff,0xffffff70,
    0xf880000d,0x3fe3ffff,0x5c006fff,0xe83fffff,0xf305ffff,0xf98bffff,
    0x0002ffff,0xfff50000,0x3ffe29ff,0x3fe205ff,0xffd04fff,0x3fee0bff,
    0xff700fff,0x3fe60fff,0x9001ffff,0x21ffffff,0x02fffff9,0x0dfffff1,
    0x5ffffff9,0x7fffcc00,0x200003ff,0x23fffff8,0x006fffff,0x1fffffdc,
    0x0bffffe2,0x46ffffd8,0x02fffff9,0xf5000000,0x3e29ffff,0x6c05ffff,
    0xf886ffff,0xf702ffff,0x7cc0dfff,0xffd07fff,0xf8009fff,0xf51effff,
    0xfd80ffff,0x7fc1ffff,0x8005ffff,0x0ffffffb,0xbceca880,0x3ffffe21,
    0x1bffffe3,0xfffff700,0xfffffa87,0x4026e600,0x22fffff9,0x01bceca8,
    0xfffa8000,0xffff14ff,0xfffa80bf,0x7ffdc1ff,0x3ffe207f,0xfff900ff,
    0xffff109f,0xec8001ff,0x7ffdc0ac,0x7ffdc07f,0x3ffea2ff,0xf0000fff,
    0x807fffff,0xfffffffc,0xfffff88d,0x1bffffe3,0xfffff700,0xfffff987,
    0x7fcc0001,0xfff72fff,0x001dffff,0x7fffd400,0xfffff14f,0xfffff00b,
    0x4ffffe89,0x1fffff40,0x82fffff8,0x04fffffa,0xfffc8000,0x7ffd406f,
    0x3fff23ff,0x2e0004ff,0x304fffff,0xfffffffd,0xffff3dff,0x7ffffc7f,
    0x7ffdc006,0xffff83ff,0x7cc0002f,0xffdbffff,0xffffffff,0xff500002,
    0x3fe29fff,0xfc805fff,0x3fe26fff,0x7dc01fff,0xb89cffff,0x80fffffe,
    0x03fffffb,0xfffb8000,0x7ffd407f,0x3fffa4ff,0x260002ff,0x885fffff,
    0xffffffff,0xffffffff,0x3fffe3ff,0x7fdc006f,0xffe83fff,0x4c0004ff,
    0xffffffff,0xffffffff,0xa80001ff,0xf14fffff,0x300bffff,0x2e3fffff,
    0x7006ffff,0xffffffff,0x201dffff,0x02fffffc,0xfffa8000,0x3fee00ff,
    0x3ffe5fff,0x20001fff,0x87fffff8,0xeffffffc,0xfffffdcc,0x3ffe3fff,
    0x7dc006ff,0xfd83ffff,0x40006fff,0xfffffff9,0xfffeccef,0x80006fff,
    0x14fffffa,0x00bfffff,0x753ffffa,0x2003ffff,0xffffffe9,0x7ec05fff,
    0x0001ffff,0xfffff980,0x3ffffa03,0x3ffffe5f,0x7fc0000f,0x3e20ffff,
    0x983fffff,0x3fffffff,0x01bffffe,0x7fffff70,0x3ffffff6,0xffffffff,
    0xffff9802,0xffa82fff,0x0002ffff,0xa7ffffd4,0x05fffff8,0x1dffff70,
    0x001fffff,0x7fffff4c,0x200cffff,0x00fffffe,0xfffd0000,0xfff701df,
    0x3fe2dfff,0x80007fff,0x21fffffe,0x04fffffc,0x3fffffe6,0x1bffffe3,
    0xfffff700,0x3fffff67,0xffffffff,0xfff9802f,0x3ea03fff,0x0006ffff,
    0xa7ffffd4,0x05fffff8,0xbfffff10,0x400bffff,0xfffffffc,0x02ffffff,
    0x01ffffff,0x3fea0000,0xea9aefff,0x7fffffff,0x0ffffff1,0xffffd000,
    0x7ffff45f,0x7ffec00f,0x3fffe3ff,0x7fdc006f,0xfffb3fff,0xffffffff,
    0xf3005fff,0xd00dffff,0x000fffff,0x4fffffa8,0x0bfffff1,0x7ffffec0,
    0x7002ffff,0x9bdfffff,0x5ffffffb,0x3fffffd0,0x7ec00000,0xffffffff,
    0x6fffffff,0x03fffffe,0xfffff000,0x7ffffc3f,0xffffa805,0x3ffffe3f,
    0x7ffdc006,0xffffb3ff,0xffffffff,0xff3005ff,0xf7009fff,0x0003ffff,
    0xa7ffffd4,0x05fffff8,0x3ffffea0,0x9800ffff,0x985fffff,0xd87ffffe,
    0x002fffff,0x3ffa2000,0xffffffff,0x3a5fffff,0x001fffff,0x3ffffe20,
    0x3ffffe27,0xffff9804,0x3ffffe3f,0x7ffdc006,0xd99972ff,0x999fffff,
    0xff300399,0xf5007fff,0x0005ffff,0xa7ffffd4,0x05fffff8,0x7fffffc0,
    0xff7005ff,0x3e601fff,0x7e43ffff,0x0003ffff,0xffffc800,0xfff8efff,
    0x3fff64ff,0x260002ff,0x266fffff,0x803fffff,0x23fffff8,0x007fffff,
    0x17ffffdc,0x07ffffb8,0x3fffe600,0xfffa802f,0x2a0003ff,0xf14fffff,
    0x800bffff,0xfffffffc,0xffffb002,0xffffe80b,0x7ffffdc5,0x02c98003,
    0x37bf7260,0x7fffff13,0x1fffffe4,0xffff5000,0x7fffccbf,0xfff8803f,
    0x3fffe3ff,0x7fdc007f,0xffb02fff,0x4c000dff,0x802fffff,0x03fffff9,
    0x3fffea00,0xfffff13f,0xfff9800b,0x3e007fff,0x6402ffff,0x7cc7ffff,
    0x8006ffff,0x00adfffc,0x3fffe600,0x3fffee2f,0x3f60006f,0x3e24ffff,
    0x9804ffff,0x3a3fffff,0x4007ffff,0x02fffffc,0x009fffff,0x7ffffcc0,
    0xffffa803,0x332aa62f,0x3fffea01,0xfffff13f,0xfffd000b,0x3e6009ff,
    0x6401ffff,0x7c47ffff,0x002fffff,0x17fffffc,0xffff5000,0x7fffcc5f,
    0xfa8003ff,0x7c2fffff,0xa804ffff,0x363fffff,0x001fffff,0x07fffff6,
    0x0bffffe6,0xffff9800,0xfffb804f,0xffff31ff,0x7ffdc07f,0xffff13ff,
    0xffd000bf,0x22003fff,0x403fffff,0xc86ffffd,0x006fffff,0x1fffffee,
    0xfb0054c4,0xfd81ffff,0x000fffff,0x37fffff4,0x03fffff4,0x1fffffdc,
    0x0bfffff9,0x3ffffe20,0xffffd80f,0x7fcc0005,0xfc806fff,0x3fe0ffff,
    0x3f204fff,0xff12ffff,0x9800bfff,0x006fffff,0x02fffffc,0x09fffff1,
    0x9ffffff1,0xfffff300,0xffffe89f,0xfffff105,0xfffff109,0xfb1003df,
    0xb03fffff,0x403fffff,0x3ffffff8,0x3fffffee,0xffffd802,0xffffd87f,
    0x7cc0000f,0x201fffff,0x47fffff8,0x207fffff,0x10fffffe,0x00bfffff,
    0x3fffffd8,0x7fffec00,0xffff902f,0x3ffee07f,0xf701efff,0x81ffffff,
    0x80fffffd,0x00fffffd,0xfffffff9,0x3ffea017,0xf505ffff,0x201fffff,
    0x3ffffffc,0x3fffffe2,0xfff9102f,0xffc87fff,0xbccbbfff,0xf9817101,
    0x00ffffff,0x89fffff9,0x85fffffd,0x27fffffb,0x05fffff8,0xfffff910,
    0xffb8001f,0xb89cffff,0x0ffffffe,0x3fffffa0,0xffecdfff,0x84ffffff,
    0xbefffffa,0xfffffda9,0x7ffff405,0xecdeffff,0xffffffff,0x3fffa00f,
    0xfb30aeff,0x87ffffff,0xfffffffc,0xfffeccde,0x7dc7ffff,0xffffffff,
    0xedceffff,0x7ffcc4ff,0x30bfffff,0x1ffffffb,0xffffffa8,0xffffecdf,
    0x3ffe24ff,0xfdf305ff,0x9fffffff,0x3fff6000,0xffffffff,0x4c02ffff,
    0xffffffff,0xffffffff,0xfff105ff,0xffffffff,0x9803ffff,0xffffffff,
    0xffffffff,0x4c02ffff,0xffffffff,0xffffffff,0x7ffc43ff,0xffffffff,
    0xffffffff,0x7ffffd43,0xffffffff,0x0fffffff,0x3fffffe6,0xffffffff,
    0xfd03ffff,0xffffffff,0x41ffffff,0x05fffff8,0xfffffff1,0x40001fff,
    0xfffffffe,0x05ffffff,0xfffffb10,0xffffffff,0xff980bff,0xffffffff,
    0xb1002fff,0xffffffff,0xffffffff,0x3ff2001d,0xffffffff,0x3ffffdcf,
    0xfffffe98,0xffffffff,0xffd05fff,0xffffffff,0xffffffff,0x7fffcc7f,
    0xffffffaf,0x206fffff,0xfffffff9,0x2fffffff,0x2fffffc4,0xfffffff0,
    0x880003ff,0xfffffffd,0x8004ffff,0xfffffffb,0x03ffffff,0xffffff70,
    0x001dffff,0xffffff50,0xffffffff,0xfff70007,0x27ffffff,0x103ffffd,
    0xfffffffb,0x5fffffff,0x7ffffdc0,0xffffffee,0x27ffffff,0xf37ffff9,
    0xffffffff,0xfffd5009,0xffffffff,0xfffff103,0x7ffffc0b,0x00001dff,
    0x3fffffa6,0x20001eff,0xfffffdc8,0x4000bfff,0xffffffd9,0x6440004e,
    0xffffffed,0x20000cdf,0xdfffffd9,0x0fffff62,0xfffffb50,0x019fffff,
    0x980aef88,0xffffffdb,0x3ffe62df,0x3fff627f,0x22002eff,0xfffffffc,
    0xfff100bf,0x65d40bff,0x00001abc,0x06aea620,0x55440000,0x8800009a,
    0x00001ba9,0x004d54c0,0x01a98000,0x55530000,0x18001555,0x4d554c00,
    0x4d4c0000,0x54c40000,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x73055555,
    0x2000379b,0x40aceca8,0x001aaaaa,0x77f765c4,0x40002bcd,0x41bddba8,
    0x001aaaa9,0x2aaaaa98,0xfff10000,0x55540bff,0x000002aa,0x033332a0,
    0x55555000,0x55555555,0x55555555,0x54355555,0xaaaaaaaa,0xaaaaaaaa,
    0xff980aaa,0x3ffee7ff,0x000effff,0x3ffffff2,0xffffb0df,0x3ffae007,
    0xffffffff,0xfb8003ef,0x0effffff,0x009ffff9,0xffffffd0,0xffd00001,
    0x3e07ffff,0x0007ffff,0x3fffe000,0x3ea0001f,0xffffffff,0xffffffff,
    0xffffffff,0x3ffffe4f,0xffffffff,0x1fffffff,0x97ffff98,0xffffffff,
    0xfe9805ff,0xffffffff,0x3ffffd8e,0x7fffec40,0xffffffff,0x8802ffff,
    0xfffffffd,0xfffc8eff,0x7fcc004f,0x004fffff,0x7ffffdc0,0xfff80fff,
    0x000007ff,0x3fffff70,0x7fff4000,0xffffffff,0xffffffff,0x4fffffff,
    0x3ffffffe,0xffffffff,0x981fffff,0xffcfffff,0xffffffff,0xfff101ff,
    0xffffffff,0x7ffffddf,0x7ffffd40,0xffffffff,0x01ffffff,0x7ffffff4,
    0xfdefffff,0x64004fff,0x7fffffff,0x3ffe6000,0x86fffeaf,0x007fffff,
    0xfffa8000,0x50001fff,0xffffffff,0xffffffff,0xffffffff,0x7ffc9fff,
    0xffffffff,0xffffffff,0xffff981f,0xfddfffff,0x06ffffff,0xdffffff9,
    0xfffffb99,0x3e607fff,0xffffffff,0xffffffff,0xf501ffff,0x9bffffff,
    0xfffffffd,0x7fc4009f,0x2fffffff,0xfffe8800,0x87ffff14,0x007fffff,
    0x7ffd4000,0x0001ffff,0xfffffffd,0xffffffff,0xffffffff,0x7fc9ffff,
    0xffffffff,0xffffffff,0xfff981ff,0xfa84ffff,0x442fffff,0x83ffffff,
    0xffffffe9,0xffffe883,0x99abcfff,0xffffffda,0xffffd06f,0xffe981bf,
    0x2004ffff,0xfffffffb,0xfd8005ff,0x7ffd46ff,0x3ffffe1f,0x2e000007,
    0xffffffff,0xfff98001,0x3fffa4ff,0xccccccff,0xcccccccc,0x3fffffe2,
    0xcccccccc,0x80cccccc,0x4ffffff9,0x3ffffea0,0x7ffffe46,0x3fffe604,
    0xfffd83ff,0x4c00efff,0x1ffffffe,0x37ffffdc,0xffffff10,0x7fff4009,
    0x0fffffff,0x7c000000,0xffffffff,0xbcdeeeef,0xffffa800,0x01ffffff,
    0xfffffd80,0x1fffffa0,0x7fffc000,0x4c00007f,0x00ffffff,0x07fffff4,
    0x01fffffd,0x3fffffd8,0x7fffffcc,0x3ffa2004,0x7fe44fff,0x7e402fff,
    0x3004ffff,0xffdfffff,0x00009fff,0xfffff800,0xffffffff,0x80cfffff,
    0xffffffe9,0x001fffff,0x2fffffcc,0x01fffffa,0x7ffffc00,0x7cc00007,
    0xb805ffff,0x3e1fffff,0xa805ffff,0x643fffff,0x006fffff,0x5fffffa8,
    0x03fffff4,0x27ffffcc,0xfffffc80,0x07fffff9,0x55555400,0x3ffffe01,
    0xffffffff,0x0effffff,0x7fffffec,0x01ffffff,0x7ffffe40,0x3fffff41,
    0xffff8000,0x4c00007f,0x804fffff,0x22fffffa,0x804fffff,0x23fffff9,
    0x2ffffff8,0x0359b000,0x01bffffe,0x13ffffe2,0xafffffc0,0x02fffffc,
    0x3ffffe00,0x3ffffe04,0xffffffff,0x6fffffff,0x5fffffec,0x01fffffb,
    0x3ffffe20,0x7ffffe86,0xffff0000,0x980000ff,0x803fffff,0x33fffff9,
    0x007fffff,0x47fffff1,0x05fffffa,0x3fe20000,0xff005fff,0xf5009fff,
    0x3e65ffff,0x0005ffff,0x813ffffe,0xffffffff,0xffffffff,0x362fffff,
    0xff71efff,0x64003fff,0xe82fffff,0x0007ffff,0x0ffffff0,0xfff98000,
    0xff8803ff,0xfff34fff,0xff1007ff,0x7fe47fff,0x00004fff,0x3ffffe20,
    0xfffff004,0xffffb009,0x7ffff41f,0xfff0000f,0x7ffc09ff,0xa99887ff,
    0x6ffffffd,0xfb82fff6,0x1001ffff,0x20dfffff,0x007ffffe,0xffffff00,
    0xff980000,0xf9804fff,0xff13ffff,0xf3009fff,0x7ec7ffff,0x0002ffff,
    0x7ffffc00,0xffff8805,0x7ffc404f,0x7ffdc5ff,0xff0004ff,0x7fc09fff,
    0xf9007fff,0x323fffff,0xfffff703,0x3ffee003,0xfffd03ff,0xffffffff,
    0x7fffffff,0xcffffff8,0xcccccccc,0x3e600ccc,0xa804ffff,0x3e1fffff,
    0xa805ffff,0x3a3fffff,0x001fffff,0x7fff4000,0xfff9806f,0x7fdc04ff,
    0x7fc42fff,0xf0007fff,0x7c09ffff,0x1007ffff,0x05ffffff,0x3fffff70,
    0x3ffffe00,0xffffd00f,0xffffffff,0x87ffffff,0xffffffff,0xffffffff,
    0x3fe601ff,0xfb806fff,0x3fa0ffff,0x6c00ffff,0x3e3fffff,0x400fffff,
    0xeeeeeee9,0x362eeeee,0xb807ffff,0x404fffff,0xd07ffffe,0x005fffff,
    0x09fffff0,0x03fffffc,0x7fffffb0,0xfffff700,0xffff7003,0x7fff409f,
    0xffffffff,0x3fffffff,0x7ffffffc,0xffffffff,0x3e601fff,0x402fffff,
    0x647fffff,0x204fffff,0x3ffffff9,0x03fffffe,0xffffff30,0x47ffffff,
    0x03fffffc,0x27fffffc,0x9fffff30,0x3ffffee0,0xffff8005,0x3fffe04f,
    0x3ff2007f,0xfb803fff,0xe801ffff,0x200fffff,0xfffffffe,0xffffffff,
    0x7ffc3fff,0xffffffff,0x1fffffff,0x3ffffe60,0xfff901ef,0xfff989ff,
    0xffa84fff,0x3a3fffff,0x401fffff,0xfffffff9,0x263fffff,0x00efffff,
    0x9ffffff9,0x7ffffe40,0xfffff101,0xfff8001f,0x3ffe04ff,0x3fe007ff,
    0xb801ffff,0x401fffff,0x05fffffa,0x7ffffff4,0xffffffff,0x7fc3ffff,
    0xffffffff,0xffffffff,0x3fffe601,0xb30bffff,0x01ffffff,0xdffffffb,
    0xfffffd9b,0x7fec7fff,0x7cc02fff,0xffffffff,0x7fe43fff,0xb30affff,
    0x9fffffff,0x3ffffe20,0x7fffec06,0x7ffc004f,0x3ffe04ff,0xff3007ff,
    0x7001ffff,0x803fffff,0x01fffffe,0x03fffff4,0xfffff800,0xaaaaaaaf,
    0x200aaaaa,0xfffffff9,0xffffffff,0xff304fff,0xffffffff,0xfffffdff,
    0x7ffffec7,0x7fffcc03,0xffffffff,0x7ffffc43,0xffffffff,0x704fffff,
    0x99dfffff,0xffb99999,0xf800ffff,0x3e04ffff,0xb807ffff,0x06ffffff,
    0x3fffff70,0x7ffffd40,0xffffffff,0x07ffffff,0xfffff000,0xf980000f,
    0xfffdffff,0xffffffff,0x3ffa600e,0xdfffffff,0x23fffff8,0x05fffffb,
    0xc9999998,0xb83fffff,0xffffffff,0xffffdfff,0xffffd04f,0xffffffff,
    0xffffffff,0x7fffc005,0x3fffe04f,0xccccccff,0xffffffec,0xfff7004f,
    0x7fec03ff,0xffffffff,0xffffffff,0xff00007f,0x0000ffff,0xbfffff98,
    0xffffffe9,0xfd1005ff,0x2bffffff,0x23fffff8,0x1ffffff8,0xffff7000,
    0x3ffee07f,0x8bffffff,0x984fffff,0xffffffff,0xffffffff,0x005fffff,
    0x813ffffe,0xffffffff,0xffffffff,0x2006ffff,0x01fffffb,0xfffffff3,
    0xffffffff,0x00ffffff,0x3ffffe00,0x7cc00007,0xfb13ffff,0x007dffff,
    0xbdfdb988,0x3ffffe21,0x7fffff43,0xfff70005,0x7f4c07ff,0xf12effff,
    0xf909ffff,0xffffffff,0xffffffff,0x001fffff,0x813ffffe,0xffffffff,
    0xffffffff,0x2000efff,0x01fffffb,0xfffffffb,0xffffffff,0x00ffffff,
    0x3ffffe00,0x7cc00007,0xa983ffff,0x40000009,0x42fffff9,0x1ffffffb,
    0xffffb800,0x0353003f,0x09fffff1,0xffffffff,0xffffffff,0x9fffffff,
    0x3ffffe00,0x3ffffe04,0xffffffff,0x01efffff,0x7ffffdc0,0xfffff881,
    0xffffffff,0xffffffff,0xfff00007,0x80000fff,0x03fffff9,0x13575000,
    0x3fffe600,0x7fff441f,0x2e002fff,0x03ffffff,0xffff8800,0x7fffd44f,
    0xaaaaaadf,0xffcaaaaa,0xff007fff,0x7fc09fff,0xffffffff,0x2dffffff,
    0xffff7000,0xffff903f,0x7ff400bf,0xf00007ff,0x000fffff,0xfffff980,
    0xff700003,0x6401dfff,0x980fffff,0xdfffffff,0xffff5100,0x0007ffff,
    0x9fffff10,0x1fffffd8,0xfffff800,0xffff802f,0x3fffe04f,0xaaaaaaff,
    0xb80001aa,0x441fffff,0x01ffffff,0x1fffffa0,0x7fffc000,0x4c00007f,
    0x003fffff,0xfffff300,0xfff7109f,0x7fe40dff,0xdfffffff,0xffffffdc,
    0x003fffff,0xfffff880,0x3ffffe24,0xfff90007,0xfff00bff,0x7ffc09ff,
    0x000007ff,0x3fffff70,0x6fffffc8,0x7ffff400,0xffffffff,0xffffffff,
    0x0ffffff0,0xfff98000,0x200003ff,0xffffffff,0xffffffde,0x7fec01ff,
    0xffffffff,0xffffffff,0x0000dfff,0x4fffff88,0x13ffffee,0x7fffcc00,
    0x7ffc00ff,0x3ffe04ff,0x000007ff,0x3fffff70,0x7fffffc4,0x7fff4002,
    0xffffffff,0xffffffff,0xffffff0f,0xff980000,0x00003fff,0x3fffffea,
    0xffffffff,0xff7004ff,0xffffffff,0xffffffff,0x4400007f,0x3a4fffff,
    0x001fffff,0x3fffffa0,0x7ffffc04,0x3ffffe04,0x70000007,0x5c3fffff,
    0x007fffff,0xffffffe8,0xffffffff,0xf0ffffff,0x000fffff,0xfffff980,
    0x7dc00003,0xffffffff,0x00dfffff,0x3ffffa60,0xffffffff,0x00003fff,
    0x4fffff88,0x0dfffff3,0xffffb800,0x7fffc07f,0x3fffe04f,0x0000007f,
    0x43fffff7,0x03fffffe,0xfffffe80,0xffffffff,0x0fffffff,0x00ffffff,
    0xffff9800,0x9800003f,0xfffffffc,0x0001efff,0x3fffff26,0x01bcefff,
    0x3fe20000,0xfffb4fff,0x880007ff,0x02ffffff,0x813ffffe,0x007fffff,
    0xfff70000,0x3ffea3ff,0xe8000fff,0xffffffff,0xffffffff,0xfff0ffff,
    0x00000fff,0x00133333,0x5d4c4000,0x0009abcc,0x5554c400,0x80000001,
    0x00099999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98800000,0x01abcdcb,0xaaaaaa80,0xaaaaaaaa,0x2aaa0009,
    0x53000aaa,0x00035555,0x00666654,0x2aa00000,0x55511aaa,0xf8000155,
    0x7fd46fff,0x2aaaa3ff,0x2aaaaa1a,0x26000001,0x0009acba,0x9dfd9510,
    0x00910037,0xffffc880,0x01efffff,0x3fffffe0,0xffffffff,0xfb803eff,
    0xf004ffff,0x003fffff,0x3ffffe60,0xfffff981,0xffffffff,0x7c7fffff,
    0xff34ffff,0x80005fff,0x7d46ffff,0x3ffe3fff,0x3fffe4ff,0xa800004f,
    0xfffffffe,0x3fea002e,0x05ffffff,0x500037dc,0xffffffff,0x01bfffff,
    0xfffffff0,0xffffffff,0xf805ffff,0x400fffff,0x05fffffb,0x3ffffa00,
    0xffff981f,0xffffffff,0x47ffffff,0xf34fffff,0x0005ffff,0x546ffff8,
    0x3fe3ffff,0x3ffe4fff,0x200004ff,0xffffffe9,0x00dfffff,0x7fffffd4,
    0xfd504fff,0x3ea000df,0xffffffff,0x0effffff,0x7fffffc0,0xffffffff,
    0x03ffffff,0x13ffffee,0x3fffffd0,0x3ffee000,0xff981fff,0xffffffff,
    0xffffffff,0xa7ffffc7,0x02fffff9,0x37fffc00,0xf8ffffea,0x3fe4ffff,
    0x00004fff,0xffffffd1,0xdfffffff,0xffffff80,0xfc82ffff,0x98006fff,
    0xdfffffff,0xfffffdcc,0x7fffc05f,0xffffffff,0xffffffff,0xffff102f,
    0x3fea01ff,0x30005fff,0x3fffffff,0xffffff30,0xffffffff,0xff8fffff,
    0xfff34fff,0xd80005ff,0x774c5eee,0x3fffe2ee,0x3ffffe4f,0xffb00004,
    0xffffffff,0x209fffff,0xdffffff8,0xffd80cbb,0xfe8006ff,0x880cffff,
    0x03fffffd,0x33fffffe,0xfecccccc,0x06ffffff,0x0ffffff2,0x0ffffff4,
    0xffffe800,0xff981fff,0xffffffff,0xffffffff,0xa7ffffc4,0x02fffff9,
    0x74000000,0x3fe3eeee,0x80004fff,0xdffffffa,0xffffeb9a,0xfff980ff,
    0xffb004ff,0xf9800dff,0x4405ffff,0x205ffffe,0x807fffff,0xffffffe9,
    0xfffff103,0xfffff50f,0x3ff2000b,0x01ffffff,0x33333333,0xfffb3333,
    0xfffff0df,0x3ffffe69,0x00000002,0x7ffffc00,0xffc80004,0xffb02fff,
    0xff505fff,0x36005fff,0x4006ffff,0x00fffffb,0x07ffffb8,0x01fffffe,
    0xffffffc8,0xfffff900,0xfffffe87,0xfff98001,0x01ffffff,0xffff9800,
    0xfffff80e,0x5fffff34,0x00000000,0x4fffff80,0xfffe8000,0x3ffea05f,
    0xfffa84ff,0x2aa201ff,0xaafffffe,0x7ffec01a,0xfff3004f,0x3ffe03ff,
    0x7f4007ff,0xf104ffff,0x7ccdffff,0x0005ffff,0xfffffffd,0xd00003ff,
    0x3e03ffff,0xff34ffff,0x55405fff,0x2a02aaaa,0x2a01aaaa,0x3fe1aaaa,
    0x6dcc4fff,0xff100abd,0xff807fff,0x95535fff,0x559fffff,0x7fffd435,
    0x5fffffff,0x00153100,0x81fffff2,0x007fffff,0x3fffffd4,0x5fffff90,
    0x07fffff6,0x3ffff200,0x01fffffc,0x7fffe400,0x3ffffe04,0x5fffff34,
    0x3fffff60,0x3fffe01f,0x3fffe04f,0x3ffffe4f,0xfffffd34,0x2aa605ff,
    0x7ffc01cb,0xffff74ff,0xffffffff,0x7ffffd47,0x05ffffff,0x3ffa0000,
    0x3ffe05ff,0xff8007ff,0xf100ffff,0xff1bffff,0x3000bfff,0xff1dffff,
    0x40003fff,0x00fffff9,0x4d3ffffe,0xc82fffff,0x01ffffff,0x027ffffc,
    0x7c9fffff,0xffacffff,0xffffffff,0xffa80004,0xfff73fff,0xffffffff,
    0x7fffd47f,0x5fffffff,0xffb00000,0x7fc07fff,0xd8007fff,0x202fffff,
    0xfcfffffc,0x4001ffff,0x89ffffe8,0x001fffff,0x0bffffa0,0x29fffff0,
    0x42fffff9,0x2ffffffb,0x4fffff80,0x93ffffe0,0xffefffff,0xffffffff,
    0x6c0002ff,0xf71fffff,0xffffffff,0x7fd47fff,0xffffffff,0x4400005f,
    0x0efffffe,0x1fffffe0,0x3ffff200,0x3ffe203f,0x5fffffff,0xffffc800,
    0x3fffff13,0x3ffee000,0xffff806f,0xfffff34f,0x7ffffd45,0xffff002f,
    0x7fffc09f,0x3ffffe4f,0xfecdffff,0x005fffff,0x3ffffe20,0xfffff70f,
    0x7fffffff,0x7fff4cc4,0x000999ef,0x3fffa600,0xccc81fff,0xccffffff,
    0xf700cccc,0x76c9ffff,0xfffffeee,0xeeefffff,0x3fea04ee,0x3ffe26ff,
    0xfd0001ff,0xff007fff,0x3fe69fff,0xfff32fff,0x7c007fff,0x3e04ffff,
    0x3fe4ffff,0xa83fffff,0x00ffffff,0xfffffd00,0x3fffea07,0xfffb001f,
    0x200000df,0xfffffff9,0xffffff01,0xffffffff,0x3ffee03f,0x3fffe4ff,
    0xffffffff,0xffffffff,0xfffff105,0x7ffffc41,0xfffa8001,0xfff800ff,
    0xffff34ff,0xfffff15f,0xfff8007f,0x3ffe04ff,0x3fffe4ff,0x3ff204ff,
    0xd8001fff,0x206fffff,0x01fffffa,0x0dffffb0,0xfff30000,0x7c03dfff,
    0xffffffff,0x01ffffff,0x49fffff7,0xffffffff,0xffffffff,0xfb05ffff,
    0xff887fff,0xe8001fff,0xf005ffff,0x3e69ffff,0xffebffff,0xf8004fff,
    0x3e04ffff,0x3fe4ffff,0x7d407fff,0x4002ffff,0x1ffffffd,0x3ffffea0,
    0xffffb001,0xfd00000d,0x801dffff,0xffffffff,0x1fffffff,0x9fffff70,
    0x7ffffffc,0xffffffff,0xa85fffff,0xf886ffff,0x4001ffff,0x02fffff9,
    0x29fffff0,0xfffffff9,0x0006ffff,0x409fffff,0x3e4fffff,0x5406ffff,
    0x002fffff,0xffffffd1,0xffffa807,0xfffb001f,0xa80000df,0x00efffff,
    0xffff9998,0x199999ff,0x3fffff20,0x33333322,0xcfffffec,0x42cccccc,
    0x80fffff8,0x01fffff8,0x37fffec0,0x9fffff00,0x3fffffe6,0x01ffffff,
    0x4fffff80,0x93ffffe0,0x405fffff,0x02fffff9,0xfffffe88,0xfffa804f,
    0xffb001ff,0x80000dff,0x00effffb,0x7fffff80,0xffffc800,0xfff7001f,
    0x7ec001ff,0xff103fff,0xf8003fff,0x2003ffff,0xf34fffff,0xffffffff,
    0xf000dfff,0x7c09ffff,0x3fe4ffff,0x7cc04fff,0x4402ffff,0x4ffffffe,
    0xfffff500,0x3fff6003,0x6c00006f,0x0002ffff,0x00ffffff,0x1fffffb0,
    0x3fffee00,0xfff3000f,0xddddddff,0xddfffffd,0xfffa80bd,0x3fe000ff,
    0xfff34fff,0xffffffff,0xff8005ff,0x3fe04fff,0x3ffe4fff,0x7fcc04ff,
    0x3a202fff,0x04ffffff,0x3ffffea0,0xffffb001,0xff80000d,0xf0001fff,
    0x800fffff,0x47fffff8,0xffffffff,0xffffffff,0x3e65ffff,0xffffffff,
    0xffffffff,0x7e407fff,0x7c005fff,0xff34ffff,0xfddfffff,0x4001ffff,
    0x204fffff,0x3e4fffff,0x4c04ffff,0x102fffff,0x7ffffffd,0xffffa800,
    0xfffb001f,0xf80000df,0x0000ffff,0x00ffffff,0x5fffffa8,0x7ffffffc,
    0xffffffff,0x265fffff,0xffffffff,0xffffffff,0x7407ffff,0x4002ffff,
    0xf34fffff,0x51dfffff,0x009fffff,0x027ffffc,0x7c9fffff,0x4c04ffff,
    0xb02fffff,0x07ffffff,0xfffff500,0x3fff6003,0x5400006f,0x20002aaa,
    0x007fffff,0x3fffffa2,0x7fffffc3,0xffffffff,0x25ffffff,0xfffffff9,
    0xffffffff,0x207fffff,0x00fffff9,0xa7ffffc0,0x0efffff9,0x03fffff6,
    0x27ffffc0,0x49fffff0,0x404fffff,0x82fffff9,0x3ffffffc,0xffff5000,
    0x3ff6003f,0x000006ff,0x3ffe0000,0xfd3007ff,0xff0dffff,0xffffffff,
    0xffffffff,0x7ffccbff,0xffffffff,0xffffffff,0x3ffee07f,0xfff8007f,
    0xffff34ff,0xffff985f,0xffff005f,0x7fffc09f,0x3ffffe4f,0x7fffcc04,
    0x7fffd42f,0x2a0003ff,0x001fffff,0x00fffffb,0xccccc800,0xffff0002,
    0xffb980ff,0xc81fffff,0xfecccccc,0xccccffff,0x20002ccc,0x01fffff8,
    0x0bffff90,0x9fffff00,0x0bffffe6,0x0bfffff6,0x13ffffe0,0x24fffff8,
    0x404fffff,0x22fffff9,0xeffffff8,0x99999999,0xfffa8099,0xffb001ff,
    0x07739fff,0xfffff800,0xffff0004,0xffffffff,0xffffffff,0xff70009f,
    0x00001fff,0x3ffffe20,0xffffb001,0xffff0007,0x3fffe69f,0xffff882f,
    0xffff806f,0x3fffe04f,0x3ffffe4f,0x7fffcc04,0x3fffea2f,0xffffffff,
    0xa86fffff,0x001fffff,0xfffffff9,0xff8000df,0xf0004fff,0xffffffff,
    0xffffffff,0x0001ffff,0x01fffff7,0x3fe20000,0xfd001fff,0xf0005fff,
    0x3e69ffff,0xf902ffff,0xf807ffff,0x3e04ffff,0x3fe4ffff,0x7cc04fff,
    0x3f62ffff,0xffffffff,0xffffffff,0xfffffa86,0xffff3001,0x000fffff,
    0x04fffff8,0xffffff00,0xffffffff,0x01bfffff,0x3fffee00,0x1000000f,
    0x003fffff,0x00bffffe,0x53ffffe0,0x02fffff9,0x1ffffff1,0x27ffffc0,
    0x49fffff0,0x404fffff,0x12fffff9,0xffffffff,0xffffffff,0xfff50dff,
    0x7f4003ff,0x07ffffff,0x7ffffc00,0xffff0004,0xffffffff,0x03dfffff,
    0xffffb800,0x1000000f,0x003fffff,0x03fffff1,0x9fffff00,0x0bffffe6,
    0x4fffffb8,0x13ffffe0,0x24fffff8,0x404fffff,0x72fffff9,0xffffffff,
    0xffffffff,0xfff50dff,0xfc8003ff,0x00dfffff,0x3ffffe00,0xffff0004,
    0xffffffff,0x00059bdf,0x3ffffee0,0xf1000000,0x3003ffff,0x003fffff,
    0x29fffff0,0x02fffff9,0x0ffffff4,0x04fffff8,0xf93ffffe,0x4c04ffff,
    0xfb2fffff,0xffffffff,0xffffffff,0xffff50df,0x5310003f,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaa8000,0x5544002a,0x222aaaaa,0x00019999,0xaaaaaaa8,
    0xaaaaaaaa,0x2aaa001a,0x002aaaaa,0x2aaaaaa6,0x555550aa,0x55550005,
    0x55555415,0xaaaaaaaa,0x5540009a,0xaaaaaaaa,0x0019aaaa,0x355004c0,
    0x2aaaaaa0,0xaaaaaaaa,0x2aaaaaaa,0x8aaaaaa2,0x551aaaaa,0x3ffe3555,
    0x7f4007ff,0x20ffffff,0x00fffffe,0x7ffffc00,0xffffffff,0x01cfffff,
    0x3fffffe2,0xfb000fff,0x5fffffff,0x0ffffffe,0xfffff880,0x3fffffe3,
    0xffffffff,0xff003eff,0xffffffff,0x9fffffff,0x3fee2001,0x3fea0bef,
    0xffffff03,0xffffffff,0xdfffffff,0xb7ffffcc,0xf3fffff8,0x3febffff,
    0x36007fff,0x1fffffff,0x07fffff4,0x3fffe000,0xffffffff,0xffffffff,
    0xfffff103,0x2005ffff,0xffffffff,0xffffff2f,0x3fe2001f,0x3ffe3fff,
    0xffffffff,0xffffffff,0x7ffffc02,0xffffffff,0x03ffffff,0xffffffc8,
    0x02fffdef,0xffffffff,0xffffffff,0x4cdfffff,0xf16fffff,0x3fe7ffff,
    0xffff5fff,0x3ff200ff,0xe81fffff,0x000fffff,0x7fffffc0,0xffffffff,
    0x2fffffff,0xffffff88,0xf9804fff,0xffffffff,0xfffffff2,0x3ffe2009,
    0x3fffe3ff,0xffffffff,0xffffffff,0x3ffffe03,0xffffffff,0x3fffffff,
    0x3ffffe20,0xffffffff,0xffffff00,0xffffffff,0xdfffffff,0xb7ffffcc,
    0xf3fffff8,0x3febffff,0xfc807fff,0x01ffffff,0x01fffffd,0xfffff800,
    0xffffffff,0xffffffff,0x7fffc41f,0x806fffff,0xfffffffc,0xfffff2ff,
    0xf1003fff,0x7fc7ffff,0xffffffff,0xffffffff,0xfff01fff,0xffffffff,
    0xffffffff,0x3fe601ff,0xfffdb98d,0x3ffe03ff,0xffffffff,0xffffffff,
    0x3ffe66ff,0xffff16ff,0x3ffffe7f,0x0ffffff5,0xffffffb8,0x3fffa01f,
    0x7c0000ff,0xaaafffff,0xffcbaaaa,0x444fffff,0xffffffff,0x7ff400ff,
    0x2fffffff,0xffffffff,0xffff100d,0x7ffffc7f,0xcccccccf,0xfffffffe,
    0xffffff06,0xd9999999,0xbfffffff,0x220bba60,0x7fc00bcb,0xccccffff,
    0xcccccccc,0x3fe63ccc,0xfff16fff,0x3fffe7ff,0xffffff5f,0x7ffffd40,
    0x7ff402ff,0x40000fff,0x007fffff,0xdfffff91,0xffffff88,0x2202ffff,
    0xffffffff,0xfffff2ff,0x8807ffff,0x3e3fffff,0x9807ffff,0x3ffffffe,
    0x07fffff8,0xffffffb8,0x8000000f,0x007fffff,0x3fffe600,0x2666666f,
    0x21333330,0x507fffff,0x5fffffff,0xfffffd00,0xfff80001,0x7fc007ff,
    0x3e20ffff,0xfffeffff,0x3ffea04f,0x2fffffef,0xffffffff,0x7fc401ff,
    0x3ffe3fff,0x3f2007ff,0x7c0fffff,0x5007ffff,0x03ffffff,0xfff00000,
    0x40000fff,0x06fffff9,0xfffff800,0xfffff987,0xffd002ff,0x80001fff,
    0x007fffff,0x07ffffe4,0xf9fffff1,0x7e40dfff,0xffffcfff,0xffffff2f,
    0x440bffff,0x3e3fffff,0x2007ffff,0x4fffffe8,0x03fffffc,0x5ffffff0,
    0x20555554,0x00acddb9,0x01fffffe,0xffff9800,0xff80005f,0x7fcc7fff,
    0x002fffff,0x03fffffa,0xfffff000,0xfffe800f,0x7fffc45f,0x0ffffebf,
    0xf5ffffd0,0x3fe5ffff,0xffffffff,0xffff102f,0x7ffffc7f,0x7ffd4007,
    0x7fffc7ff,0x3ff2007f,0xfff13fff,0x3ffe61ff,0xf03fffff,0x000fffff,
    0x7ffffc40,0xfff80004,0x3ffe27ff,0x4003ffff,0x00fffffe,0x7ffffc00,
    0x3ffe2007,0x7ffc43ff,0xffffcbff,0xfffff883,0xf2fffff8,0xffffffff,
    0x3fe20dff,0x3ffe3fff,0xff8007ff,0x3fe0ffff,0x3a007fff,0xf12fffff,
    0xff51ffff,0xffffffff,0xffffff0b,0xfff80000,0xf80003ff,0xfd17ffff,
    0x007fffff,0x1fffffd0,0xffff8000,0xffd5007f,0xff881fff,0xfffabfff,
    0xffffa85f,0x2fffff8d,0xfd9fffff,0xf107ffff,0x7fc7ffff,0xd8007fff,
    0x3e2fffff,0x1007ffff,0x21ffffff,0xfcfffff8,0xffffffff,0x7ffc2fff,
    0x400007ff,0x003ffffe,0xffffff80,0xffffffe8,0xffe8001f,0x40000fff,
    0xeeffffff,0xffeeeeee,0x881fffff,0xf8bfffff,0xffc87fff,0xffff8bff,
    0x9fffff2f,0x1ffffff5,0x3fffff88,0x01fffffe,0x3fffff20,0x1fffffe3,
    0x3ffffa20,0x3fffe27f,0xecdfffff,0x46ffffff,0xffffffff,0xffffffff,
    0xfe85ffff,0x80002fff,0xfeffffff,0x6fffffff,0xffffe800,0x7fc0000f,
    0xffffffff,0xffffffff,0xfff101ef,0x3fffa7ff,0x7ffff41f,0x2fffff88,
    0x369fffff,0x445fffff,0x3e3fffff,0x8007ffff,0x23fffffb,0x99ffffff,
    0xffba9999,0x225fffff,0x3fffffff,0xffffffb8,0x3fffffe0,0xffffffff,
    0x85ffffff,0x001ffffd,0xffffff80,0xffffffff,0x7f4004ff,0x0000ffff,
    0x7ffffffc,0xffffffff,0x100cffff,0x327fffff,0x3e23ffff,0xfff17fff,
    0x3fffe5ff,0xfffff14f,0x7fffc45f,0x3ffffe3f,0xfffb8007,0x3fffe4ff,
    0xffffffff,0xffffffff,0x3fffe21f,0x3ff605ff,0x3ffe0fff,0xffffffff,
    0xffffffff,0xffffc85f,0xfff80000,0xffffffff,0x01ffffff,0x3fffffa0,
    0x7ffc0000,0xffffffff,0xffffffff,0xfff883ff,0xffff53ff,0xaffffd4b,
    0xf2fffff8,0x7dc9ffff,0xf10fffff,0x7fc7ffff,0xb8007fff,0x3e4fffff,
    0xffffffff,0xffffffff,0x7fc42fff,0x2e00ffff,0x3e1fffff,0xffffffff,
    0xffffffff,0xffb85fff,0xff00007f,0xffffffff,0xdfffffd7,0x7ffff400,
    0x7fc0000f,0xffffffff,0xffffffff,0x7c44ffff,0xff13ffff,0x7ffe4fff,
    0xfffff13f,0x13ffffe5,0x29fffffd,0x23fffff8,0x007fffff,0x3fffffb8,
    0x3ffffffe,0xffffffff,0xf884ffff,0x5406ffff,0x3e2fffff,0xffffffff,
    0xffffffff,0xffa85fff,0x3333227f,0x5999992c,0x3ffffffe,0xffff54ff,
    0x3fa007ff,0x0000ffff,0x4ffffffc,0xa9999999,0xffffffeb,0x3ffffe23,
    0x47ffffa3,0xf10fffff,0x3fe5ffff,0x7fcc4fff,0xff89ffff,0x3ffe3fff,
    0xfc8007ff,0x3fe2ffff,0xffffffff,0xdfffffff,0xfffff102,0xffffa809,
    0x3ffffe2f,0x7d400007,0x3ffe26ff,0xfffff3ff,0x3fffffeb,0x7ffec4ff,
    0xfe800fff,0x0000ffff,0x03fffffc,0x3fffff20,0xfffff10f,0x67fffe47,
    0x227ffff9,0xff2fffff,0xff909fff,0xfff1dfff,0x7fffc7ff,0xffc8007f,
    0x3ffe1fff,0xeeeeefff,0x401bceee,0x04fffff8,0x17ffffcc,0x00ffffff,
    0x5fff9800,0x4fffffe2,0xff5fffff,0x309fffff,0x0dffffff,0x1fffffd0,
    0xffff8000,0xfff8007f,0xfff12fff,0x7ffd47ff,0x5ffffbef,0x4bffffe2,
    0x884fffff,0xfbffffff,0x3fe3ffff,0xe8007fff,0x3e0fffff,0x0007ffff,
    0x3ffffe20,0x7fffcc04,0x3ffffe2f,0x7c400007,0x3ffe25ff,0xfffff3ff,
    0x3fffffeb,0x3ffff204,0x7ff403ff,0x40000fff,0x007fffff,0x4fffffc8,
    0x47fffff1,0xfefffff8,0x3fe23fff,0xffff2fff,0x3ffea09f,0xffffffff,
    0x1fffffe3,0x3ffffe00,0x3fffffc7,0xfff10000,0xff9809ff,0x3ffe2fff,
    0x800007ff,0x3fe24fff,0xffff3fff,0x3ffffebf,0x7fffc407,0x3fa00fff,
    0x0000ffff,0x03fffffc,0x7ffffe40,0x7fffff14,0xffffffe8,0x3fe20fff,
    0xffff2fff,0x7fff409f,0x3fffffff,0x01fffffe,0xdfffff70,0x07fffff8,
    0x3ffe2000,0x7fcc04ff,0x3ffe2fff,0x800007ff,0x3fe23fff,0xffff2fff,
    0x3ffffebf,0xffffb807,0x3ffa05ff,0x40000fff,0x007fffff,0x3fffffe8,
    0x87fffff1,0xfffffffc,0x7fffc47f,0x9fffff2f,0x7ffffcc0,0x3e3fffff,
    0x2007ffff,0x3ffffff8,0x03fffffc,0xffff1000,0xfff9809f,0x3fffe2ff,
    0xa800007f,0x3ff700aa,0xffffff00,0x3ffffa00,0xfffd02ff,0xf80001ff,
    0x4007ffff,0x1ffffff9,0x87fffff1,0xfffffffa,0x7fffc45f,0x9fffff2f,
    0xfffffc80,0x3fe3ffff,0xb1007fff,0xf0ffffff,0x000fffff,0x7ffffc40,
    0x7fffcc04,0x3ffffe2f,0x00000007,0xff003ffd,0x2600ffff,0x0fffffff,
    0x0fffffe8,0x7fffc000,0xff93007f,0x7c4fffff,0x7c43ffff,0x3fffffff,
    0x97ffffc4,0x804fffff,0xfffffffe,0x3ffffe3f,0x7ffdcc07,0xff83ffff,
    0x00007fff,0x13ffffe2,0x5fffff30,0x03fffffc,0x33332000,0x037fc42c,
    0x07fffff8,0x3fffff60,0xffffe85f,0xffffffff,0x6fffffff,0xffffffff,
    0xffffffff,0x9fffffff,0x1fffffc4,0x7ffffff4,0x7fffc41f,0x9fffff2f,
    0xfffff500,0x7ffc7fff,0xffffffff,0xffffffff,0xffff06ff,0x440000ff,
    0x404fffff,0x22fffff9,0xffffffff,0xffffffff,0x22ffffff,0x2e4fffff,
    0xff002fff,0x4400ffff,0x2fffffff,0x7ffffff4,0xffffffff,0xff6fffff,
    0xffffffff,0xffffffff,0xf88bffff,0xfc83ffff,0x887fffff,0xff2fffff,
    0x36009fff,0x3fffffff,0x3ffffffe,0xffffffff,0x00ffffff,0x00ffffff,
    0x7fffc400,0x7ffcc04f,0x3fffe2ff,0xffffffff,0xffffffff,0x3fffe2ff,
    0x09fff54f,0x3fffffc0,0x3ffff200,0x3ffa0fff,0xffffffff,0xffffffff,
    0xffffff6f,0xffffffff,0xdfffffff,0xfffff881,0xfffffa83,0xffff885f,
    0x9fffff2f,0x3fffe200,0x3ffe3fff,0xffffffff,0xffffffff,0x3fffe00c,
    0x2200007f,0x404fffff,0x22fffff9,0xffffffff,0xffffffff,0x22ffffff,
    0x3e4fffff,0x7ffc002f,0xff8007ff,0x3a4fffff,0xffffffff,0xffffffff,
    0xffff6fff,0xffffffff,0xffffffff,0xffff1019,0xffff107f,0xfff107ff,
    0x3fffe5ff,0x3fee004f,0x3fe3ffff,0xffffffff,0xdfffffff,0xfffff801,
    0x3e200007,0x4c04ffff,0x3e2fffff,0xffffffff,0xffffffff,0x3e2fffff,
    0x0264ffff,0x3ffffe00,0xfffa8007,0xffd2ffff,0xffffffff,0xffffffff,
    0x3ffffedf,0xffffffff,0x402deeff,0x03fffff8,0x03fffffd,0x25fffff1,
    0x004fffff,0x1ffffff4,0xffffffff,0x9bdfffff,0x7fffc003,0x2200007f,
    0x404fffff,0x22fffff9,0xffffffff,0xffffffff,0x22ffffff,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaaaaa80,0xaaaaaaaa,0x1aaaaaaa,0x15555554,
    0xaaaa9800,0x2aaaa0aa,0x54c002aa,0x2a0aaaaa,0x000aaaaa,0x15555555,
    0x55555100,0x55555543,0x2aaa0001,0x55550aaa,0xaa880055,0x55551aaa,
    0x55555555,0x00135555,0xaaaaaaa8,0xaaaaaaaa,0xaaaaaaaa,0x2aaaaa60,
    0xaaaaaaaa,0x7ff42aaa,0xffffffff,0xffffffff,0x7ffdc5ff,0xe8003fff,
    0x546fffff,0x03ffffff,0xffffff10,0xfffffc8d,0xffff9803,0xfa802fff,
    0x3f24ffff,0x0005ffff,0x1ffffff3,0x01fffffe,0x9fffff50,0x3ffffffe,
    0xffffffff,0x400cefff,0xfffffff8,0xffffffff,0xffffffff,0x3ffffee1,
    0xffffffff,0x3fa0ffff,0xffffffff,0xffffffff,0xffe85fff,0x2000ffff,
    0x1ffffffb,0xffffffd8,0xffffc800,0x7ffd41ff,0xffb804ff,0x804fffff,
    0x22fffffc,0x0ffffffa,0xffffb800,0x3ffffe5f,0x7ffd4007,0xfffff4ff,
    0xffffffff,0xffffffff,0x7fffc405,0xffffffff,0xffffffff,0x3fee1fff,
    0xffffffff,0x0fffffff,0x3ffffffa,0xffffffff,0x85ffffff,0x4ffffff9,
    0xfffff100,0x3ffe209f,0x7cc05fff,0x884fffff,0x806fffff,0xfffffffd,
    0xffffe806,0x7ffffc0f,0xffe8003f,0x3ffe2fff,0x7d4007ff,0xfff4ffff,
    0xffffffff,0xffffffff,0x3e203fff,0xffffffff,0xffffffff,0x21ffffff,
    0xfffffffb,0xffffffff,0x3fffa0ff,0xffffffff,0xffffffff,0xffff905f,
    0xff9003ff,0x5c01ffff,0x02ffffff,0x1bfffffa,0x0ffffff8,0x7fffffc0,
    0x7fc00fff,0xffc86fff,0x4c005fff,0x7c7fffff,0x4007ffff,0xf4fffffa,
    0xffffffff,0xffffffff,0x20ffffff,0xfffffff8,0xffffffff,0xffffffff,
    0x3ffffee1,0xffffffff,0x32e0ffff,0xcccccccc,0xffffdccc,0x3fa03fff,
    0x4c06ffff,0x02ffffff,0xefffffe8,0xfffffa80,0x3fff602f,0x3fe601ff,
    0x2fffffff,0x3ffffe60,0xfffff984,0x3fee000f,0x7ffc4fff,0x7d4007ff,
    0xfff4ffff,0x99999fff,0xfffd9999,0x3205ffff,0xdccccccc,0xccefffff,
    0x20cccccc,0x9aaaaaa9,0xfffffe99,0xfe80002f,0x404fffff,0x3ffffff9,
    0x3fffffa0,0xffff3005,0xfff889ff,0x7dc04fff,0x2e03ffff,0xffffffff,
    0x3ffee04f,0xfffd02ff,0x7f4007ff,0x7fc1ffff,0x54007fff,0xff4fffff,
    0x5400ffff,0x06ffffff,0xfffff500,0xf9000009,0x007fffff,0xfffffb00,
    0x3ff200df,0xfa80ffff,0x000fffff,0x3ffffff2,0x3fffff21,0x7ffcc00f,
    0x3ff605ff,0x6fffffff,0x3fffff20,0xfffff700,0x3ffe200d,0xffff87ff,
    0x7fd4007f,0xffff4fff,0xffc800ff,0x50007fff,0x009fffff,0xffffb800,
    0xb80004ff,0x0fffffff,0xfffff100,0xffff889f,0xfe8003ff,0xff36ffff,
    0x2005ffff,0x207fffff,0xffdfffff,0xffd00fff,0x7fc40dff,0xb800ffff,
    0xf84fffff,0x4007ffff,0xf4fffffa,0x800fffff,0x0ffffff9,0xffffa800,
    0x2a00004f,0x05ffffff,0xffff9800,0x54001fff,0x21ffffff,0x06fffffc,
    0xfffff300,0xfffffd7f,0x7ffec00b,0xfff980ff,0xfffff8ff,0xfffff882,
    0x7ffff404,0xfffe803f,0xffff81ff,0x7fd4007f,0xffff4fff,0xff8800ff,
    0x50007fff,0x009fffff,0x3fffe600,0x40000eff,0xfffffff8,0xfffb0002,
    0x3ffe2dff,0x20001fff,0xfffffffc,0x000fffff,0x0bffffee,0x75bffff2,
    0xf984ffff,0x5c03ffff,0x406fffff,0x06fffff8,0x00ffffff,0x4fffffa8,
    0x00ffffff,0x6fffffa8,0xffff5000,0xf100009f,0x01ffffff,0xffffd000,
    0x440009ff,0xdaffffff,0x004fffff,0x7ffff440,0x03ffffff,0x7ffffcc0,
    0x3ffffe84,0x70dffff9,0x803fffff,0x0ffffff8,0x3ffffee0,0xffffff03,
    0xffffa800,0xffffff4f,0x7ffec400,0xf50005ff,0x0009ffff,0xfffffe88,
    0xfd80001f,0x005fffff,0xfffffb80,0x06ffffff,0xffff5000,0x00dfffff,
    0x1bffffe0,0x23fffff1,0x40fffffa,0x007ffffd,0x07fffffb,0x07fffff4,
    0xeffffff8,0xeeeeeeee,0xfffffeee,0x0ffffff4,0xffffd530,0x2a0003ff,
    0x004fffff,0x7fffff40,0xfb80002f,0x00efffff,0xffffd000,0x05ffffff,
    0x7ffec000,0x001fffff,0x8fffffd0,0x7c7ffffa,0x7fc2ffff,0xf5005fff,
    0x220dffff,0x205fffff,0xffffffff,0xffffffff,0x4fffffff,0xffffffff,
    0xffffffff,0x09ffffff,0x7fffd400,0x3f60004f,0x003fffff,0xfffffa80,
    0x200001ff,0xfffffff9,0x400005ff,0xfffffff8,0x3ff20004,0x3ff21fff,
    0x7ffec5ff,0x3fffe24f,0x3ffe003f,0xffb81fff,0x3fe03fff,0xffffffff,
    0xffffffff,0xff4fffff,0xffffffff,0xffffffff,0x0001bfff,0x27ffffd4,
    0xffffc800,0x880003ff,0x2fffffff,0xffc80000,0x00ffffff,0x7ffdc000,
    0x0005ffff,0x8fffffea,0x5c3ffffe,0x3ea6ffff,0x2001ffff,0x83fffffd,
    0x00fffffd,0x3ffffffe,0xffffffff,0xffffffff,0xfffffff4,0xffffffff,
    0x007fffff,0xfffff500,0xfff70009,0x00009fff,0xffffffd1,0x22000009,
    0x3fffffff,0x7fc40000,0x2fffffff,0xffff1000,0x3fffe29f,0x7fffcc1f,
    0xfffff90f,0xffffa800,0x7fffc46f,0x7fffc05f,0xffffffff,0xffffffff,
    0xffff4fff,0xffffffff,0x15bfffff,0x3fea0000,0x54004fff,0x05ffffff,
    0xffffb000,0x00000bff,0x6fffffa8,0xffe80000,0xffffffff,0xfffd0000,
    0x3fffeadf,0x5fffff07,0x017ffffa,0x3fffffe0,0x3ffffee1,0x7ffffc02,
    0x9999999f,0xfffb9999,0xfffff4ff,0xffffdb9f,0x0001dfff,0xfffffa80,
    0x3ffe2004,0xffeeffff,0x5fffffff,0xffffff70,0x8000001d,0x04fffff9,
    0x7ffdc000,0xffffffff,0xfff90005,0xffff91ff,0x3ffff60b,0x07fffff4,
    0xfffff900,0x3ffffec9,0x3fffffc0,0x3fffea00,0xffffff4f,0xfffffd30,
    0x5400005f,0x004fffff,0x3fffffea,0xffffffff,0xfa85ffff,0x00ffffff,
    0xff980000,0x00004fff,0x3fffffe2,0x2fffffff,0xffffa800,0x3fffffaf,
    0x3dffff70,0x003fffff,0xdfffff30,0x13ffffe2,0x1fffffe0,0xfffff500,
    0x1fffffe9,0xffffffe8,0xff500003,0x54009fff,0xffffffff,0xffffffff,
    0x7ffcc5ff,0x0002ffff,0xffff3000,0x6c00009f,0xe9ffffff,0x00ffffff,
    0x7ffffc40,0x00fffffd,0xf9fffff3,0x4000ffff,0xa9fffffe,0x801fffff,
    0x007fffff,0xa7ffffd4,0x207fffff,0xfffffff8,0xffa80002,0x2a004fff,
    0xffffffff,0xffffffff,0x3ffa25ff,0x0003ffff,0x3ffe6000,0x500004ff,
    0x29ffffff,0x5ffffff9,0xfffff800,0x406fffff,0xffffffff,0x2e0006ff,
    0xfdcfffff,0xff007fff,0xa800ffff,0xff4fffff,0xfa80ffff,0x00ffffff,
    0x7fffd400,0x3fea004f,0xffffffff,0xffffffff,0x3fffff65,0x0000005f,
    0x27ffffcc,0x7ffc4000,0x7fe46fff,0x4002ffff,0xfffffffd,0x7fec04ff,
    0x4fffffff,0x3ffe2000,0xffffffff,0xfffff004,0xfffa800f,0xfffff4ff,
    0xffff900f,0xa8000bff,0x004fffff,0x7e400000,0x006fffff,0xff980000,
    0x80004fff,0x2ffffffd,0xffffffe8,0x3ffee000,0x02ffffff,0x7fffffd4,
    0x40002fff,0xfffffffe,0xff001fff,0xa800ffff,0xff4fffff,0xd100ffff,
    0x05ffffff,0x7fffd400,0xff90004f,0x4ccc5fff,0x3ffea099,0x0000ffff,
    0xfff98000,0x540004ff,0x05ffffff,0xbffffff3,0x7fffcc00,0x400fffff,
    0xfffffff8,0x5c0000ff,0xffffffff,0x3ffe006f,0x7d4007ff,0xfff4ffff,
    0x3e600fff,0x00ffffff,0xfffff500,0xfff10009,0xffff87ff,0x3ffff24f,
    0xffffffff,0xffffffff,0x98002fff,0x004fffff,0x3ffffe20,0x3ff200ff,
    0x2002ffff,0xffffffff,0xffffd006,0x0000dfff,0xfffffff1,0x7fc007ff,
    0x54007fff,0xff4fffff,0x6400ffff,0x05ffffff,0xfffff500,0xfff90009,
    0xfffff09f,0x7ffffe49,0xffffffff,0xffffffff,0xf98002ff,0x0004ffff,
    0x3ffffff6,0x7fffc402,0xfb000fff,0x09ffffff,0x3fffff20,0xb00004ff,
    0xffffffff,0x7fffc001,0x7fd4007f,0xffff4fff,0xffe800ff,0x8002ffff,
    0x04fffffa,0x2ffffc40,0x24fffff8,0xfffffffc,0xffffffff,0xffffffff,
    0xfff98002,0xf50004ff,0x00bfffff,0x3fffffea,0xffff7005,0x2a005fff,
    0x2fffffff,0xfff50000,0x800dffff,0x007fffff,0xa7ffffd4,0x007fffff,
    0x7fffffcc,0xfffa8006,0x7dc004ff,0x3ffe05ff,0x3fff24ff,0xffffffff,
    0xffffffff,0x8002ffff,0x04fffff9,0xfffff880,0x3f6000ff,0x802fffff,
    0xfffffff9,0xffff1000,0x00001fff,0x3fffffe2,0x7ffc003f,0x7d4007ff,
    0xfff4ffff,0xf9000fff,0x009fffff,0x4fffffa8,0x037ff400,0xc93ffffe,
    0xffffffff,0xffffffff,0x2fffffff,0xffff9800,0xffc8004f,0x4003ffff,
    0xfffffff8,0x7fffc400,0x7f4006ff,0x0006ffff,0x7ffffec0,0x7ffc000f,
    0x7d4007ff,0xfff4ffff,0x3a000fff,0x01ffffff,0x3ffffea0,0x00444004,
    0x00dddddc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x017bbba6,0x7777776c,0xeeeeeeee,
    0x004eeeee,0x98003000,0x0002aaaa,0x67776654,0x530000ac,0x00599db9,
    0x3376ea20,0x5440001a,0x00abdedc,0x1aaaaa88,0x55555440,0xb8800000,
    0x000002e0,0x3ffe6000,0x0009006f,0xa9880480,0x6c1bcdec,0x3fee002f,
    0xc8000fff,0xffffffff,0x26002fff,0xfffffffe,0x3ee003ff,0xefffffff,
    0x7fe44001,0xdfffffff,0x3fffe200,0x7ffd403f,0x200001ff,0xff10ffc9,
    0x00000019,0x37fffcc0,0x40000480,0x7fffdc04,0xcadfffff,0xf7000fff,
    0x8001ffff,0xfffffffd,0x03ffffff,0xffffffb8,0x06ffffff,0x7fffff44,
    0x03ffffff,0xffffff50,0x5fffffff,0x3ffffe20,0x7fffd403,0xda80001f,
    0xff10ffff,0x00003bff,0xffff3000,0x0001200d,0x3ffa2090,0xffffffff,
    0x002fffff,0x03ffffee,0xfffffc80,0xffffffff,0x3ff603ff,0xffffffff,
    0xf105ffff,0xffffffff,0x809fffff,0xfffffffb,0xffffffff,0xfffff884,
    0x7fffd403,0xd710001f,0x21ffffff,0xeffffff8,0x20000002,0x006ffff9,
    0x84800009,0xfffffff9,0xffffffff,0x7fdc003f,0xf1000fff,0x99dfffff,
    0xdffffff9,0x3ffffe60,0xffffddff,0xffd83fff,0xffcdffff,0x301fffff,
    0xffffffff,0xfffffffd,0xffff885f,0x7ffd403f,0x644001ff,0xffffffff,
    0xfffff10f,0x0019ffff,0xfff98000,0x0009006f,0xfffe8480,0xffdcdfff,
    0x003fffff,0x07ffffdc,0xfffffc80,0xffffff01,0xfffffd01,0xffffb887,
    0x7fffcc6f,0x7ff540df,0xfffd05ff,0xfd885fff,0x220fffff,0x403fffff,
    0x01fffffa,0xfffffb30,0x21ffffff,0xfffffff8,0x001dffff,0xffff3000,
    0x0001200d,0xffffc890,0x7fe440df,0x2000ffff,0x00199998,0x813fb6e6,
    0x40fffffc,0x04fffffb,0x8bfffff6,0x00fffffe,0x83fffff3,0x0efffff9,
    0x3fffff20,0x3ffffe24,0x7fffd403,0x7ff5401f,0xffffffff,0x7fe441cf,
    0xffffffff,0x998002ef,0xffa99999,0x99999eff,0x00009099,0x3fffe648,
    0xfffd105f,0x00009fff,0x7cc00000,0x7ec1ffff,0x2600ffff,0x3e20abde,
    0x6c03ffff,0x7dc4ffff,0x4402ffff,0x227fffff,0x403fffff,0x81fffffa,
    0xffffffc8,0x02dfffff,0xfffffb50,0x17ffffff,0x3ffffe00,0xffffffff,
    0x4fffffff,0x24800009,0x01fffffc,0xfffffffb,0x4ccccc1f,0x99999999,
    0x09999999,0xffeb9800,0x7ff41fff,0x4c0005ff,0x402fffff,0x6c5ffffb,
    0x9006ffff,0x223fffff,0x403fffff,0x21fffffa,0xffffffd9,0x00beffff,
    0xfffd7100,0x9fffffff,0xfffff803,0xffffffff,0x4fffffff,0x24800009,
    0xb05ffffd,0xffff7fff,0x7ffffc3f,0xffffffff,0x4fffffff,0xfffeca80,
    0x41ffffff,0x004fffff,0x7ffffd40,0xcccccccd,0x7c6ffffd,0x5005ffff,
    0x225fffff,0x403fffff,0x11fffffa,0xffffffff,0x000039ff,0xfffffc98,
    0x200fffff,0xffffffff,0xffffffff,0x0094ffff,0x3ffe4800,0xfffb84ff,
    0x3fffff89,0x3ffffffe,0xffffffff,0x884fffff,0xffffffdb,0x1fffffff,
    0x13ffffe2,0xffff7000,0xffffffff,0x4fffffff,0x03fffff9,0x7fffff30,
    0x0fffffe2,0x3fffff50,0x3fffffe2,0x00000aef,0x7fff5c40,0x3e00ffff,
    0xffffffff,0xffffffff,0x00094fff,0xffff1480,0x2fffa87f,0xf93ffffe,
    0xffffffff,0xffffffff,0x7f444fff,0xffffffff,0x21fffffe,0x04fffff9,
    0x7fffe400,0xffffffff,0x0fffffff,0x07fffff3,0x3ffffe20,0x7fffff14,
    0xfffffb80,0xffffff11,0x00000019,0xffffff90,0x7ffffc01,0xffffffff,
    0x4fffffff,0x34800009,0x4c5fffff,0x7ff44fff,0x3fffe5ff,0xffffffff,
    0xffffffff,0x3ffffe64,0xf98abeff,0x3e21ffff,0x0004ffff,0x7fffffe4,
    0xffffffff,0xf30fffff,0x2009ffff,0x13fffff9,0x807fffff,0x11fffffb,
    0xffffffff,0x80000039,0xffffffc9,0x266600ff,0xfffa9999,0x999999ef,
    0x80000909,0x53ffffe4,0xff85fff9,0x3ffe4fff,0xffffffff,0xffffffff,
    0x3ffffa4f,0xfff980bf,0x7fffc1ff,0x2e00805f,0x000fffff,0x7ffffc40,
    0xffff5005,0x3fffe23f,0x7ffdc03f,0xffff11ff,0x7dffffff,0x6d400001,
    0xffffffff,0xf30000ff,0x1200dfff,0x7f490000,0xffe8dfff,0xfffff886,
    0x88000002,0x205fffff,0x41fffffa,0x807ffffe,0xf31bcefe,0x0005ffff,
    0x1ffffff0,0xfffffb00,0x3ffffe21,0x7fffe404,0x3fff221f,0xffffffff,
    0xf930001c,0xffffffff,0x400019ff,0x006ffff9,0x24800009,0xfeeffffd,
    0xfffa80ef,0x000001ff,0x1fffffa8,0x3ffffee0,0x7ffffec1,0x3fffe602,
    0xfffff14f,0x09acd809,0x4fffffc8,0x7ffffcc0,0x3ffffe26,0x7ffff405,
    0xfffd501f,0xdfffffff,0xfeb88017,0xffffffff,0x300003ef,0x200dffff,
    0x72400004,0xffffffff,0x3ffffa01,0x2aaa6007,0xfff7002a,0x3fe207ff,
    0x7cc1ffff,0xb00effff,0x6c3fffff,0x701fffff,0x98bfffff,0x02ffffff,
    0x5fffffd1,0x0ffffff8,0xffffff90,0xfffd9803,0xffffffff,0x7ffe4c1d,
    0xffffffff,0x4c00002d,0x9006ffff,0x74480000,0x01ffffff,0x07fffff9,
    0x7ffffdc0,0xffff9800,0x7ff4c0ef,0xfd81ffff,0x99bfffff,0x6fffffec,
    0x7fffffcc,0x7ffffd42,0xffffd81f,0xfb99adff,0xd85fffff,0x21efffff,
    0xffffffc9,0xff91001f,0xffffffff,0x3fffe21f,0xcfffffff,0xf3000000,
    0x1200dfff,0xfa890000,0x21cfffff,0x6fffffd9,0x7fffdc00,0xfff8800f,
    0xffcdffff,0x2fffffff,0xffffff88,0xffffffff,0xfffd81ff,0xfffeffff,
    0xf105ffff,0xffffffff,0xffffffff,0xfffff701,0xffffffff,0x003fffff,
    0xffffeb88,0xff10ffff,0x7dffffff,0x98000001,0x9006ffff,0xe8480000,
    0xffffffff,0xffffffff,0x7ffdc000,0xff7000ff,0xffffffff,0x9fffffff,
    0x3ffffee0,0xffffffff,0x3fff602f,0xffffffff,0x3e600eff,0xffffffff,
    0x01ffffff,0x3ffffff6,0xff9fffff,0x20001fff,0xffffffda,0xffffff10,
    0x0000005d,0x02f7774c,0x24000048,0x3fffffe6,0xffffffff,0xfb8002ff,
    0x2000ffff,0xfffffffd,0xfffc8eff,0x3ffa607f,0xffffffff,0xfffb803f,
    0xffffffff,0xffd8800e,0xffffffff,0x7f4400df,0xefffffff,0x03fffff0,
    0xfff93000,0x3fffe21f,0x0000001c,0x00240000,0xfff89200,0xffffffff,
    0x000dffff,0x1fffff70,0xfffea800,0x3fe63eff,0x76402fff,0xcfffffff,
    0x3fb6a000,0x02efffff,0xfffdb980,0x2002dfff,0xeffffec8,0x3ffffe0c,
    0x2e200001,0x17ff10ff,0x99800000,0x99999999,0x99999999,0x00009099,
    0x23bff648,0xffffffc9,0x440002ef,0x00019999,0x00026aa6,0x04d54c00,
    0x554c4000,0x26000009,0x880000aa,0x000000aa,0x00142800,0xffff0000,
    0xffffffff,0xffffffff,0x90000129,0x54c07f44,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff8000,0xffffffff,
    0xffffffff,0x48000094,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe00000,0xffffffff,0xffffffff,0x9999b4ff,
    0x99999999,0xb9999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff80000,0xffffffff,0xffffffff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff0000,0xffffffff,0xffffffff,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32e20000,0x502bceec,0x0179bdb7,0x3b72a600,0x2200bcce,0x5441aaaa,
    0x2600acdc,0x2a01bddb,0x5cc0aaaa,0x5100acdd,0x80355555,0x21aaaaaa,
    0x00aaaaa9,0x15555530,0x88aaaaa2,0x2a60acdb,0x54c01aaa,0x54c02aaa,
    0x00002aaa,0x08000800,0xffffd980,0x53ffffff,0xfffffffd,0x3660019f,
    0xffffffff,0xffb80dff,0x3fff65ff,0x74c2ffff,0x1fffffff,0x87ffffc4,
    0xfffffff9,0xffffd03f,0x3fea01ff,0x3ee1ffff,0xb003ffff,0x261fffff,
    0xff57ffff,0x3ee5ffff,0x7f406fff,0x7f407fff,0x1d505fff,0x100e9800,
    0x076c00bd,0xffffff50,0xffffffff,0xffffffff,0xa801dfff,0xffffffff,
    0x41ffffff,0xe8dffffb,0xffffffff,0xfffff52f,0x441fffff,0xfa8fffff,
    0xffffffff,0xffff885f,0xfff884ff,0x7fc43fff,0xf8806fff,0x3e64ffff,
    0xfff9ffff,0xff30ffff,0x3e201fff,0x101fffff,0x305fffff,0x5d541dff,
    0x03bfe61a,0xb00bffd1,0xff301dff,0xffffffff,0xffffffff,0xffffffff,
    0x3fe601ff,0xffffffff,0x20ffffff,0xffeffffb,0xffffffff,0xfffffcff,
    0x0effffff,0xf9fffff1,0xffffffff,0xff505fff,0xfd83ffff,0xf906ffff,
    0xb803ffff,0x261fffff,0xffefffff,0x7f45ffff,0xff503fff,0x2a07ffff,
    0x4c0fffff,0xffcdffff,0xffbeffff,0xffd10eff,0x7fec0bff,0x7ff40eff,
    0xfecdffff,0xffffffff,0xffffdcef,0xfffb05ff,0xd95357ff,0x5c9fffff,
    0xffffffff,0xfffffdcd,0xdcdfffff,0x13ffffff,0xffffffff,0xffffd9bf,
    0x3ff60dff,0x3fea6fff,0xf300ffff,0xe809ffff,0x7cc6ffff,0xffffffff,
    0x7fe42fff,0xfff905ff,0x3f20bfff,0xffe85fff,0xffffffff,0xffffffff,
    0xfffff73f,0xffffb0bf,0x7ffcc7ff,0xffe884ff,0xc81fffff,0xf82fffff,
    0xf101ffff,0x7dcdffff,0x40efffff,0xfffffffa,0x7fffdc0e,0xfffff15f,
    0xfff707ff,0xfd101fff,0xff19ffff,0xe805ffff,0x2606ffff,0x4c3fffff,
    0xdfffffff,0x7cc0fdab,0xffd07fff,0x3e0fffff,0xe883ffff,0xffffffff,
    0xffffffff,0x7fffec4f,0x3fff65ff,0x65444fff,0x3fee06fd,0x3602ffff,
    0x7c44ffff,0x2a01ffff,0x7fdc0abd,0xfd00ffff,0x101fffff,0x22dfffff,
    0x05ffffff,0x03fffff6,0x7fffffcc,0x05fffffe,0x1fffffb8,0x1fffff90,
    0xffffff98,0x3fffe005,0x7fffc42f,0x7cc1ffff,0xd100ffff,0xffffffff,
    0x9fffffff,0x3fffff60,0xfffffcdf,0x4401004f,0x407fffff,0x447ffff9,
    0x1cffffff,0xffffb800,0x3fff604f,0x3ffa03ff,0xffff16ff,0x7fdc01ff,
    0x3f201fff,0xffffffff,0xff8800ef,0xfff04fff,0xfff30bff,0x64003fff,
    0x7d44ffff,0x3fffffff,0x037fffdc,0x3ffffff2,0xfffffdbc,0x3fff602f,
    0xffffffff,0x5cc0004f,0x05fffffd,0x0fffffc4,0x3ffffffa,0xb800bdff,
    0x202fffff,0x02fffffc,0x45fffff6,0x406fffff,0x02fffffa,0x7ffffff4,
    0x32001fff,0xfa87ffff,0xf981ffff,0x4006ffff,0x6c6ffffa,0xfffeffff,
    0x1fffff45,0x33ffffe0,0x7fffec40,0x7fffec05,0x04ffffff,0x7fee5440,
    0xefffffff,0xcccccccc,0x5c2fffff,0xffffffff,0x701cefff,0x403fffff,
    0x01fffffc,0x45fffff6,0x404fffff,0x02fffffa,0x7fffffcc,0x7cc003ff,
    0x7ec2ffff,0xff306fff,0x88009fff,0x3e0fffff,0xfffcdfff,0x3ffffe27,
    0x3fffe601,0xffff500f,0xffffb00f,0x4009ffff,0xffffffda,0xffffffff,
    0xffffffff,0xc83fffff,0xffffffff,0x41dfffff,0x01fffffb,0x03fffff2,
    0x17ffffd8,0x809fffff,0x02fffff9,0xffffffb8,0xfffd0006,0x7fffc4bf,
    0xffff303f,0xffb0007f,0x3ffe67ff,0x1ffffabf,0x80dffff5,0x404ffffa,
    0x800ffffe,0x6ffffffe,0xffffd100,0xffffffff,0xffffffff,0xffffffff,
    0x3fff207f,0xffffffff,0x3fee2fff,0x3f201fff,0x3600ffff,0xff17ffff,
    0xf9809fff,0xa802ffff,0x0fffffff,0xffffb800,0xfffff70f,0x3fffe601,
    0xffa8003f,0xffff75ff,0x27ffff13,0x404ffffd,0x402ffffb,0x401ffffc,
    0xfffffffd,0xfffe805f,0x88bdffff,0xffffffff,0xffffffff,0x2e204fff,
    0xfffffffe,0xf70fffff,0x6401ffff,0x200fffff,0xf17ffffd,0x9809ffff,
    0x402fffff,0xfffffff8,0xfff0006f,0x3fff67ff,0x3ffe605f,0xf88003ff,
    0xfffb7fff,0xfb7fff4f,0x5401ffff,0x7c05ffff,0x3600ffff,0xffffffff,
    0x3ff205ff,0xf882efff,0x0004ffff,0x7f654400,0x4fffffff,0x01fffff7,
    0x07ffffe4,0x2fffffb0,0x04fffff8,0x17ffffcc,0x3fffff60,0x8003ffff,
    0xf8dffffc,0x2601ffff,0x002fffff,0xf5ffffd0,0x7fe4bfff,0x6ffffaff,
    0xfffff980,0xfffff701,0x7ffffec0,0x5fffffff,0x0dffffd0,0x37ffffcc,
    0x22000000,0x5fffffeb,0x01fffff7,0x07ffffe4,0x2fffffb0,0x04fffff8,
    0x17ffffcc,0xffffff70,0x003fffff,0xbfffff98,0x4c06ffff,0x002fffff,
    0xfdffff70,0x7fcc5fff,0x4ffffeff,0xdffffd00,0x7fff5c45,0xffffb04f,
    0xffffb9ff,0xffff0bff,0x7ffd407f,0x36a00fff,0xcba980ab,0xffff806e,
    0xfffff76f,0x7fffe401,0x3fff600f,0xfffff17f,0xffff9809,0xffff302f,
    0xfffffbff,0xfffd000d,0x07ffffff,0x2fffff98,0xffff1000,0xf81fffff,
    0xffffffff,0xffff7001,0xffffbfff,0xffb03fff,0x7ec9ffff,0x225fffff,
    0x205fffff,0x5ffffffe,0xffffff10,0x7ffffec1,0x7ffffc03,0x1fffff74,
    0x7ffffe40,0x3ffff600,0x9fffff17,0xfffff980,0xfffffd02,0xffffff17,
    0xfffa8009,0x00ffffff,0x17ffffcc,0xffffd000,0xffb0dfff,0x00ffffff,
    0x3fffffe6,0xffffffff,0x3fee0eff,0xfd84ffff,0x3e3fffff,0x442fffff,
    0xfffffffc,0x3ff662ef,0x7fd45fff,0x440affff,0x72fffffc,0x401fffff,
    0x00fffffc,0x45fffff6,0x404fffff,0x82fffff9,0x26fffffc,0x2ffffffa,
    0x7ffffc00,0xf9805fff,0x0002ffff,0x3fffffee,0xffffb84f,0xf8804fff,
    0xffffffff,0xffffffff,0x3fff60ef,0x3fff604f,0x7fffec5f,0xfffeceff,
    0xffffffff,0xffffffff,0xfffe81ff,0xfeddffff,0x70efffff,0x401fffff,
    0x00fffffc,0x45fffff6,0x404fffff,0x42fffff9,0x1ffffff9,0x7fffffec,
    0x3fff2000,0x9802ffff,0x002fffff,0x3ffffe60,0xfff982ff,0xd802ffff,
    0xffffffff,0xffffffff,0x7fec4fff,0x85ffd804,0xfffffff9,0xdfffffff,
    0xffffffff,0x02ffffff,0xffffffd1,0xffffffff,0x7fffdc1f,0x3fff200f,
    0x3ff600ff,0xffff17ff,0xfff9809f,0x3ffa22ff,0xff883fff,0x2005ffff,
    0x6ffffff9,0xfffff300,0xffe80005,0xff00ffff,0x200fffff,0xdacfffe8,
    0xe9cfffff,0x09b05fff,0xfb806ec0,0xffffffff,0xffd30cff,0xffffffff,
    0xffd8805f,0xffffffff,0x7fdc1eff,0x3f200fff,0x3600ffff,0xff17ffff,
    0xf9809fff,0x3f62ffff,0x2a06ffff,0x02ffffff,0x3fffffa0,0xffff3003,
    0xfc80005f,0x3606ffff,0x005fffff,0x26617fa2,0x002ff440,0x3f660000,
    0x0cefffff,0xfffffd90,0x4c0017ff,0xfffffffd,0xfff702ef,0x7fe401ff,
    0x3f600fff,0xfff17fff,0xff9809ff,0xfff52fff,0xfd803fff,0x000fffff,
    0x01fffff5,0x3ffffe60,0x7fcc0002,0x3ee04fff,0x4002ffff,0x04880038,
    0x22000000,0x98001aa9,0x800019aa,0x001aaa99,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77775c00,0xeed80003,0x3bbb622e,0xc89ddd72,0x20004eee,0x004ffffa,
    0x777f75c4,0x765c401c,0xeca801cd,0x2a002cef,0xecb885ee,0xccc883ce,
    0xcccccccc,0xcccccccc,0x9999911c,0x99999999,0x39999999,0x403fff80,
    0x01ccccc8,0x407bdd95,0x002aaaaa,0x13ffff20,0xffff9000,0x137ffec1,
    0x7cc7ffff,0xd0002fff,0x001fffff,0x3fffffe2,0xff502fff,0x209fffff,
    0xffffffd8,0x7fcc00df,0x7fffd47f,0x3e61efff,0xffffffff,0xffffffff,
    0xfff32fff,0xffffffff,0xffffffff,0x3ffe805f,0x7ffffc40,0x7fffec43,
    0x7fc41eff,0x20007fff,0x004ffffc,0x8bfffe60,0x641ffffa,0x3f60ffff,
    0x4c000fff,0x03ffffff,0xffffffb0,0xff03ffff,0x7fffffff,0xffffffd0,
    0x7d40dfff,0x3fe67fff,0xffffffff,0xffffff30,0xffffffff,0x25ffffff,
    0xfffffff9,0xffffffff,0x402fffff,0x7c402ffe,0x7ec3ffff,0xffffffff,
    0x3ffffe20,0x3ff20007,0xd10004ff,0x7fc4dfff,0xfff885ff,0x3fffe25f,
    0x7ffec005,0xfa806fff,0xffb9aeff,0x7ffdc3ff,0x46fffa8b,0xfcfffffb,
    0x7543ffff,0x367fffff,0xfd98cfff,0xffff33ff,0xffffffff,0xffffffff,
    0x3ffffe65,0xffffffff,0x2fffffff,0x1ffd832a,0xfff882e2,0x3ffee3ff,
    0x5fffebcf,0x1fffffe2,0xffffc800,0xfffb0004,0x7fffec3f,0x7ffff700,
    0x017fffe4,0xffffff98,0x5cc402ff,0x27ffe41d,0xffd1bb6e,0x24ffff8f,
    0x227fffd8,0x7fffffff,0xff31fffe,0x3fffe69f,0xffffffff,0xffffffff,
    0xffffff32,0xffffffff,0x45ffffff,0xffc8cffd,0x223ffd98,0x3a3fffff,
    0x7fe40eff,0xfffff10f,0x7fe4000f,0xfa8004ff,0x3fee5fff,0x7ff404ff,
    0xffff10ff,0xfffb001f,0x00dfffff,0x3fff6a20,0xfffb9804,0x03fffe25,
    0x221ffff1,0x7ffeaeff,0x3fee0ccc,0x9999913f,0x99999999,0x39999999,
    0x33333322,0xcccccccc,0x12fffffc,0xffdfffff,0x44bffffd,0xf12fffff,
    0xfff107ff,0x3ffffe25,0x3ff20007,0x7c4004ff,0xff30ffff,0xfa801fff,
    0x3fee6fff,0x7fc405ff,0xffffeeff,0xfedb8801,0x404fffff,0x4c5ffffb,
    0xfff06fff,0xfe87623f,0xffe8807f,0x0000001f,0xfffe8000,0xffffd32f,
    0xffffffff,0x4c7ff20f,0xffd00fff,0x37ffffc7,0x26666660,0x9cffffc9,
    0x40999999,0x3a3ffffd,0xb003ffff,0x7f47ffff,0x3f202fff,0xfffbbfff,
    0x7ffdc05f,0x4fffffff,0x27fffec0,0x7417ffea,0x3fa02fff,0x7ff4c07f,
    0x0000004f,0xfffd0000,0xfeca885f,0x00acdfff,0x7fc43ffa,0x2fff983f,
    0x813ffff6,0xfffffff9,0xffffffff,0x2e2fffff,0x3f26ffff,0x26006fff,
    0xf51fffff,0xf101ffff,0xff11ffff,0x3f203fff,0xfbacefff,0x766c04ff,
    0xff50efff,0x3fffe0df,0x81fffa02,0x005ffffa,0x00000000,0x40bffffa,
    0x04ffffe8,0x7f46ff98,0x3ff620ef,0x3ffff20f,0x3fffe603,0xffffffff,
    0xffffffff,0x93ffffa2,0x004fffff,0xd2ffffec,0xf909ffff,0x7fe4bfff,
    0xffff04ff,0x04fffd87,0x4cfffee0,0xff887fff,0x3ffa00ff,0x9ffff707,
    0x99999910,0x99999999,0x03999999,0x3fffa000,0xeffe882f,0x3ee03fff,
    0x7ffd41ff,0x4ffffcdf,0x017fffd4,0xfffffff3,0xffffffff,0x4c5fffff,
    0xf50fffff,0x2001ffff,0x51fffff9,0x881fffff,0x262fffff,0x440fffff,
    0xfff87fff,0x20d4c44f,0x3fe5fff8,0x7ffdc2ff,0x43fff407,0x303ffffd,
    0xffffffff,0xffffffff,0x0005ffff,0x0bffffa0,0xf91fffd1,0xfff705ff,
    0x3ffff609,0x4c0effff,0x2600ffff,0xffffffff,0xffffffff,0x7e42ffff,
    0x3ff65fff,0xffb004ff,0x7fff47ff,0xffffb82f,0x4ffffe86,0x467fffc4,
    0x44ffffd9,0x7fd46fff,0x3ffff25f,0x3ffffead,0x323fff40,0x2601ffff,
    0xffffffff,0xffffffff,0x0002ffff,0x85ffffd0,0xff13fffd,0x2ef883ff,
    0x7ffffe40,0x980000df,0xffffffff,0xffffffff,0xfe82ffff,0xfff11fff,
    0xffa801ff,0x3ffee6ff,0xfffff05f,0xfffff707,0xfffffe81,0x45ffffff,
    0xfbadfffd,0x7ff42fff,0x6fffffff,0x2e7ffe80,0xeeeeffff,0xffff34ee,
    0xffffffff,0xffffffff,0x3fa00005,0x7f4c2fff,0x1827fd46,0x3376e600,
    0x20000002,0x004ffffc,0x26ffff98,0x405ffffa,0xf10ffffe,0xf701ffff,
    0xf101ffff,0xf987ffff,0xfcffffff,0x7ffc46ff,0x85ffffff,0xffffffe9,
    0xffe800ef,0x3fffffa7,0xf35fffff,0xffffffff,0xffffffff,0x00005fff,
    0x20bffffa,0x001d81d8,0x00000000,0x9ffff900,0x3ffee000,0x3ffff22f,
    0x7ffff701,0x817fffe4,0x205ffffe,0x886ffffc,0xd71defed,0xffe981dd,
    0x5c04ffff,0x003dfffd,0x7fc5fffa,0xffffffff,0x9999915f,0x99999999,
    0x39999999,0x2aaa0000,0x000000aa,0x00000000,0x3ffff200,0x3ffa0004,
    0x37fff47f,0x32ffffc4,0x2a09ffff,0x202fffff,0x02fffff9,0x79730000,
    0x00000015,0x5544aaaa,0xaaaaaaaa,0x0000001a,0x00000000,0x00000000,
    0xffc80000,0x220004ff,0x3e63ffff,0x7fe42fff,0x3fff60ff,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffc8000,
    0x7dc0004f,0x3ff20fff,0x3fffe66f,0x07fffea2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff200,0xccb80004,
    0x8e66642c,0x65c3ccca,0x000002cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9000000,0x00009fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7dddd700,
    0x2aaaa600,0x2aaaa60a,0xcdca981a,0x09a9800b,0x77751800,0x37777777,
    0x17ffffec,0xf31ffffa,0x2ee69fff,0xbbbbbbbb,0xbbbbbbbb,0x3aa3bbbb,
    0xeeeeeeee,0xeeeeeeee,0x006eeeee,0x00000000,0x00000000,0x00000000,
    0xfffffd80,0x3fffff22,0xffffff83,0xfffe982f,0xc800beff,0xffffff95,
    0xfd85ffff,0x7ff46fff,0x7fffcc7f,0xffffff54,0xffffffff,0xffffffff,
    0x7ffffd4f,0xffffffff,0xffffffff,0x0000007f,0x00000000,0x00000000,
    0xfd800000,0x3f22ffff,0x6443ffff,0x47fffdbb,0xfffffffb,0x4c0adfff,
    0xffff95fe,0x05ffffff,0x743ffffb,0x7fcc7fff,0xffff54ff,0xffffffff,
    0xffffffff,0x7ffd4fff,0xffffffff,0xffffffff,0x00007fff,0x00000000,
    0x00000000,0x80000000,0x22fffffd,0x03fffffc,0xf93fffa8,0xffffffff,
    0xfbdfffff,0x3ff2bfff,0xffffffff,0x5fffe882,0xf31ffffa,0x3fea9fff,
    0xffffffff,0xffffffff,0x3a67ffff,0xeeeeeeee,0xeeeeeeee,0x006eeeee,
    0x00000000,0x00000000,0x00000000,0xfffffd80,0x3fffff22,0x4fffa803,
    0xfffffff9,0xffffffff,0x32bfffff,0xffffffff,0xffd102ff,0x1bbbb63f,
    0x447dddd3,0x88888888,0x88888888,0x00088888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8bfffff6,0x23fffffc,0xffd73099,0x3ffff25f,
    0xffffffee,0xffffffff,0xffffff95,0x4405ffff,0x00004fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x87fffff2,0x31fffffb,
    0xffffffff,0x0577e49f,0x3fffff6a,0x10dfffff,0x11111111,0x00220011,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff5000,
    0x7fffcc1f,0xfffff30f,0x05c83bff,0xffffea88,0x000002ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8800000,0x7fc46fff,
    0x554cc7ff,0x0003009a,0x00013551,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe85ffff8,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfd84fffd,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_46_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,1,2,2,3,1,3,2,0,3,
3,2,3,1,2,1,3,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,1,0,0,3,2,-1,2,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_46_latin1_y[224]={ 37,7,7,7,5,7,7,7,7,7,7,12,31,23,
31,7,7,7,7,7,7,7,7,7,7,7,15,15,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,41,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,15,15,15,15,15,15,7,7,7,18,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,15,7,7,11,7,
7,7,7,6,7,17,15,23,6,2,7,9,7,7,7,15,7,19,37,7,7,17,7,7,7,15,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,6,-1,-1,-1,0,-1,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,11,14,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_bold_46_latin1_w[224]={ 0,7,16,23,21,34,29,8,11,11,16,22,7,12,
7,13,20,14,20,21,22,21,21,21,21,20,6,7,22,22,22,22,40,30,25,27,26,24,21,29,24,7,20,27,
21,30,24,30,24,31,27,25,25,25,29,39,28,29,25,11,13,11,20,25,10,21,22,21,22,21,15,22,21,7,
11,21,7,32,21,23,22,22,15,21,14,21,23,33,23,23,20,14,6,15,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,21,23,22,23,
6,21,14,32,15,20,22,12,32,25,14,21,13,13,10,20,24,7,12,9,15,19,33,33,34,22,30,30,30,30,
30,30,42,27,24,24,24,24,10,10,14,14,29,24,30,30,30,30,30,20,30,25,25,25,25,29,24,22,21,21,
21,21,21,21,34,21,21,21,21,21,10,10,15,14,23,21,23,23,23,23,23,22,23,21,21,21,21,23,22,23,
 };
static unsigned short stb__arial_bold_46_latin1_h[224]={ 0,30,12,31,37,32,31,12,39,39,15,21,13,7,
6,31,31,30,30,31,30,31,31,30,31,31,22,29,23,15,23,30,39,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,33,30,31,30,31,30,30,30,30,30,39,31,39,17,5,7,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,39,39,39,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,31,39,31,22,30,
39,39,5,32,16,19,15,7,32,4,13,28,16,16,7,31,39,7,9,16,16,19,32,32,32,31,38,38,38,37,
37,36,30,39,38,38,38,37,38,38,38,37,30,37,39,39,39,38,38,21,33,39,39,39,38,38,30,31,31,31,
31,31,31,32,23,31,31,31,31,31,30,30,30,30,31,30,31,31,31,31,31,23,25,31,31,31,31,39,39,39,
 };
static unsigned short stb__arial_bold_46_latin1_s[224]={ 255,232,24,138,158,97,162,242,131,72,202,
1,219,77,247,236,154,172,198,110,78,175,223,101,25,75,248,240,204,156,227,
1,32,100,51,47,133,207,230,47,156,244,223,1,29,77,108,96,160,32,181,
197,209,150,126,86,57,27,1,143,236,243,65,116,90,92,200,114,127,136,219,
24,176,168,99,131,123,58,91,158,1,77,161,36,235,182,137,177,113,1,235,
111,126,133,54,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,255,247,190,
176,211,54,155,84,101,222,86,24,179,77,64,142,227,1,142,102,235,45,106,
246,41,132,116,45,132,166,1,67,32,63,94,96,127,205,187,162,125,31,176,
71,232,243,201,56,24,180,212,1,201,216,1,234,1,73,149,175,150,1,147,
128,214,106,45,1,23,200,1,88,132,197,84,151,243,245,131,153,219,185,173,
60,36,114,90,69,45,192,23,66,1,48,25,1, };
static unsigned short stb__arial_bold_46_latin1_t[224]={ 1,385,520,226,120,159,226,500,1,1,500,
500,500,520,113,120,258,322,354,258,354,258,258,354,290,290,385,385,447,500,447,
354,41,322,385,290,385,385,322,322,416,290,290,385,385,385,385,290,385,159,416,
258,416,290,416,416,416,416,416,1,226,1,500,520,520,447,290,447,290,447,354,
322,354,354,41,354,354,476,476,447,322,322,476,476,354,447,476,476,476,290,416,
41,41,41,520,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,1,81,1,
290,476,354,1,1,520,159,500,500,500,520,159,520,500,447,500,500,439,258,1,
439,520,500,500,500,159,159,193,226,81,81,81,120,120,120,322,1,81,120,81,
120,41,41,81,120,354,120,1,41,41,81,81,476,159,41,41,41,81,120,322,
193,226,193,226,226,226,159,476,258,258,193,193,193,193,258,322,354,193,385,193,
193,193,226,226,447,447,226,258,258,258,1,1,1, };
static unsigned short stb__arial_bold_46_latin1_a[224]={ 183,219,312,366,366,586,476,157,
219,219,256,385,183,219,183,183,366,366,366,366,366,366,366,366,
366,366,219,219,385,385,385,402,642,476,476,476,476,439,402,512,
476,183,366,476,402,549,476,512,439,512,476,439,402,476,439,622,
439,439,402,219,183,219,385,366,219,366,402,366,402,366,219,402,
402,183,183,366,183,586,402,402,402,402,256,366,219,402,366,512,
366,366,329,256,184,256,385,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,183,219,366,366,366,366,184,366,
219,485,244,366,385,219,485,364,263,362,219,219,219,380,366,183,
219,219,241,366,549,549,549,402,476,476,476,476,476,476,659,476,
439,439,439,439,183,183,183,183,476,476,512,512,512,512,512,385,
512,476,476,476,476,439,439,402,366,366,366,366,366,366,586,366,
366,366,366,366,183,183,183,183,402,402,402,402,402,402,402,362,
402,402,402,402,402,366,402,366, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_46_latin1(stb_fontchar font[STB_FONT_arial_bold_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_46_latin1_s[i] + stb__arial_bold_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_46_latin1_t[i] + stb__arial_bold_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_46_latin1_x[i];
            font[i].y0 = stb__arial_bold_46_latin1_y[i];
            font[i].x1 = stb__arial_bold_46_latin1_x[i] + stb__arial_bold_46_latin1_w[i];
            font[i].y1 = stb__arial_bold_46_latin1_y[i] + stb__arial_bold_46_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_46_latin1_s[i] + stb__arial_bold_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_46_latin1_t[i] + stb__arial_bold_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_46_latin1_x[i] + stb__arial_bold_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_46_latin1_y[i] + stb__arial_bold_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_46_latin1_LINE_SPACING
#endif

