// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT        657
#define STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_50_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_50_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_50_latin1_LINE_SPACING          33

static unsigned int stb__consolas_bold_50_latin1_pixels[]={
    0x3e7fffff,0x0003ffff,0x00002001,0x00000000,0x50155100,0x99999999,
    0x32a19999,0xcccccccc,0x64400ccc,0x37b201de,0x50000002,0x05555555,
    0x00335995,0x75300000,0x2aaa6199,0x200000aa,0xff3fffff,0x30007fff,
    0x00ed807f,0x32a20000,0x001bcefd,0x3ffea000,0x7fffe44f,0xffffffff,
    0xffffff91,0x03ffffff,0x0fffffc4,0x01ffffec,0x3ff60000,0xd80dffff,
    0x04ffffff,0x7f4c0000,0xf90fffff,0x0005ffff,0x9fffffc0,0x003fffff,
    0xd81fffcc,0x00000eff,0xffffffb8,0x0001ffff,0x7ffffcc0,0x3ffff23f,
    0xffffffff,0xffffff91,0x03ffffff,0x2fffffdc,0x1fffffe6,0xffd80000,
    0x3603ffff,0xffffffff,0x64400002,0xffffffff,0x5fffff90,0x7ffc0000,
    0xfffff3ff,0x7ffcc007,0x7ffec3ff,0x100000ef,0xfffffffb,0x003fffff,
    0x7fffe400,0x3fff26ff,0xffffffff,0xfffff91f,0x3fffffff,0x7ffffe40,
    0x7ffffdc7,0xd800000f,0x01ffffff,0x7fffffec,0x00001fff,0x3ffffffa,
    0xfff90fff,0x400005ff,0xff3fffff,0x2a007fff,0x24ffffff,0xeffffff8,
    0x7fcc0000,0xffffffff,0x002fffff,0xfffffb00,0x7fffe4ff,0xffffffff,
    0xffffff91,0x03ffffff,0x2fffffdc,0x1fffffe6,0x3ff60000,0xd800dfff,
    0xffffffff,0xf500006f,0xffffffff,0x3ffff21f,0x3e00002f,0xfff3ffff,
    0xff3007ff,0xf309ffff,0x01dfffff,0x3fffe200,0xfdbabeff,0x001fffff,
    0xfffffb80,0xfff3006f,0x3fff23ff,0x7f40007f,0xffd81fff,0x400002ff,
    0x03fffffd,0xffff9300,0xd00007ff,0x15dfffff,0x5fffff90,0x7ffc0000,
    0xfffff3ff,0xfffe8807,0x3fe605ff,0x0005ffff,0x05fffffd,0x17ffffa2,
    0x3ffe2000,0xf3002fff,0x3f23ffff,0x80007fff,0x36e00cdb,0x6400001c,
    0x001eeeee,0xfffff980,0x7fd40006,0x7e405fff,0x0002ffff,0x4fffffe0,
    0x403fffff,0x05fffffd,0xffffff98,0x7ffe4003,0x7fc401ff,0x80000fff,
    0x003fffe9,0x47ffffe6,0x007ffffc,0x00000000,0x00000000,0x00fffff9,
    0xfffffb80,0x7fffe400,0x3e00002f,0xfff3ffff,0x7fd407ff,0x2a006fff,
    0x00ffffff,0x3fffff50,0x3fffea00,0x06200003,0x3fffe600,0xfffff91f,
    0x00000000,0x00000000,0x3fffe600,0x3f20000f,0xfc805fff,0x0002ffff,
    0x4fffffe0,0x103fffff,0x03ffffff,0xfffffd80,0xffffd005,0xfffe8007,
    0x00000006,0x1fffff98,0x00fffff9,0x00000000,0x00000000,0x07ffffe2,
    0xffffd800,0xffffc804,0x0013101f,0xf9fffffc,0xfb03ffff,0x0009ffff,
    0x5ffffff1,0x6ffff980,0xffffc800,0x00000001,0x8fffffcc,0x007ffffc,
    0x3dddddd3,0xdddd7000,0x77774c9d,0xeb8001ee,0xf004eeee,0x0005ffff,
    0x01fffff4,0x0fffffe4,0xbdfffd95,0xfffff805,0x07fffff3,0x1dfffff3,
    0x3ffee000,0x3f600fff,0xa8002fff,0x74c4ffff,0xeeeeeeee,0xeeeeeeee,
    0xffff3003,0x3ffff23f,0x3fffa007,0xfe8005ff,0x7f43ffff,0x8005ffff,
    0x03fffffe,0x05fffff0,0x7ffff400,0xffffc803,0xfffff91f,0x7c07ffff,
    0xfff3ffff,0xfff907ff,0xe80005ff,0x102fffff,0x040dffff,0x4ffff898,
    0x7fffffcc,0xffffffff,0xf3004fff,0x3f23ffff,0x2e007fff,0x00ffffff,
    0x3ffffe60,0x7fffdc0f,0x3e6000ff,0x000fffff,0x005fffff,0x1fffff40,
    0x7ffffe40,0xffffffd9,0xf04fffff,0x3fe7ffff,0x7fc43fff,0x80006fff,
    0x06fffff9,0xa87ffff9,0xfecefffd,0x98bfffd6,0xffffffff,0xffffffff,
    0xfff3004f,0x3fff23ff,0x3fe2007f,0x2002ffff,0x85fffffc,0x2ffffff8,
    0x3ffff200,0x3ffe005f,0x3a0002ff,0xc803ffff,0xffefffff,0xffffffff,
    0xfff83fff,0xfffff3ff,0xfffffb87,0xffd00003,0xffd01fff,0x7ffe41ff,
    0xb6ffffff,0xff98dfff,0xffffffff,0x4fffffff,0xfffff300,0x1fffff23,
    0xfffffb00,0x7fffc00b,0xfffb02ff,0x7fc00bff,0x2002ffff,0x002fffff,
    0x0fffffa0,0x3fffff20,0xfeffffff,0x87ffffff,0xff3fffff,0xffe87fff,
    0x00000fff,0x87fffff7,0x325ffff8,0xffffffff,0xffffb5ff,0xeeeeee98,
    0xffeeeeee,0xf3004fff,0x3f23ffff,0x54007fff,0x00ffffff,0x6fffff98,
    0x3ffffea0,0xfff9800f,0x7f4006ff,0x20003fff,0x802fffff,0xfffffffc,
    0xffb10bef,0xff85ffff,0xffff3fff,0x7fffcc7f,0x2600005f,0x546fffff,
    0xff12ffff,0xffffffff,0x1ffff29f,0xffff7000,0x3fe6009f,0xfff91fff,
    0xfff000ff,0xf9007fff,0xf807ffff,0x803fffff,0x03fffffc,0x27fffec0,
    0xffff8800,0xfffc802f,0x3605ffff,0x7c6fffff,0xfff3ffff,0x7ffdc7ff,
    0x400002ff,0x21fffffe,0xfb1ffffc,0xffb7ffff,0x3fff27ff,0x3ee0000f,
    0x3004ffff,0x323fffff,0x8007ffff,0x06fffffb,0x0ffffff8,0x7ffffdc0,
    0xfffff806,0x7fec000f,0xa8000fff,0x801fffff,0xeffffffc,0x3fffea00,
    0x3fffe0ff,0x7fffff3f,0x07ffffe4,0x3fee0000,0x3ffa2fff,0x3ffffe7f,
    0x27ffff90,0x001ffffb,0x3ffffee0,0xffff3004,0x3ffff23f,0xfff88007,
    0x3ea01fff,0x8805ffff,0x01ffffff,0x17ffffea,0x3fffea00,0x7f44004f,
    0xf9006fff,0x001dffff,0x43ffffff,0xff3fffff,0x7fec7fff,0x800007ff,
    0x13fffffa,0x3e6dffff,0x3ff25fff,0xffff72ff,0x7fdc0003,0xf3004fff,
    0x3f23ffff,0xb0007fff,0x409fffff,0x02fffffd,0x9fffffb0,0x7ffffec0,
    0xfffd0002,0x25559dff,0xfffcbaa8,0xf9003fff,0x2005ffff,0x22fffffd,
    0x333fffff,0x7ff41333,0x800006ff,0x34fffff9,0x3f29ffff,0x3ff62fff,
    0xffff71ff,0x7fdc0001,0xf3004fff,0x3f23ffff,0x50007fff,0x20ffffff,
    0x07fffff8,0x3ffffea0,0xfffff107,0x7f4c000f,0x5fffffff,0xfffffff3,
    0x7e4009ff,0xb002ffff,0x7c7fffff,0xf003ffff,0x000bffff,0xfffff100,
    0x4bfffeab,0x3a1ffffd,0xff90ffff,0xfb8000ff,0x3004ffff,0x323fffff,
    0x0007ffff,0x0bfffffe,0x13ffffee,0xffffff00,0xfffff705,0xeb880009,
    0x35ffffff,0xbfffffff,0xfffc8005,0xff9002ff,0x7ffc9fff,0xff8803ff,
    0x00004fff,0x2bfffff0,0xfd2ffffa,0x7ff41fff,0xffff90ff,0xfffb8000,
    0xff3004ff,0x3ff23fff,0x320007ff,0xe85fffff,0x000fffff,0x2fffffe4,
    0x07fffff4,0x3fae2000,0xf35fffff,0x59ffffff,0xffffc800,0xfff9002f,
    0x7fffc9ff,0xfff9803f,0x000003ff,0x2edfffff,0xfff1ffff,0x7ffff8ff,
    0x001ffff2,0x9fffff70,0x3fffe600,0xfffff91f,0x7ffc4000,0x3fe60fff,
    0x88006fff,0x20ffffff,0x06fffff9,0x7fffcc00,0xf35fffff,0xffffffff,
    0x7ffe4009,0xffb002ff,0x7ffc7fff,0xff9803ff,0x00004fff,0x2dffffd0,
    0xff1ffffb,0xffff8dff,0x01bfff66,0xfffff700,0x3ffe6009,0xffff91ff,
    0xffd8000f,0x3ff22fff,0xb0002fff,0x645fffff,0x002fffff,0x7fffffc0,
    0x5512aace,0xffffffb7,0x3fff2005,0xffb002ff,0x7ffc5fff,0xff9803ff,
    0x00005fff,0x2bfffff0,0xf88ffffc,0x3fe26fff,0x3fffa6ff,0x7fdc0006,
    0xf3004fff,0x3f23ffff,0x40007fff,0x25fffffa,0x007fffff,0x3ffffea0,
    0x1fffffe5,0xffff5000,0xff98009f,0xf9006fff,0x2005ffff,0x20ffffff,
    0x803fffff,0x06fffff8,0xfff88000,0xffffb4ff,0x4dffff11,0x3e4ffff9,
    0x40004fff,0x04fffffb,0x3fffff30,0x01fffff2,0x3ffffe00,0xfffff98f,
    0x7ffc0004,0xfff98fff,0x6c0004ff,0x0006ffff,0x03fffff7,0x5fffff90,
    0xfffff300,0x3fffff8f,0xdfffff00,0xff300000,0x3ff67fff,0xdffff17f,
    0x8a7fffd4,0x0002ffff,0x27ffffdc,0xfffff980,0x0fffff91,0xffff9000,
    0xfffff97f,0xffc80003,0xfffcbfff,0x740001ff,0x0004ffff,0x03fffff1,
    0x5fffff90,0xfffffb00,0x3fffff8d,0xfffffd00,0xff300000,0x3ff25fff,
    0xdffff0ff,0xba7fffec,0x0000ffff,0x27ffffdc,0xfffff980,0x0fffff91,
    0xffff3000,0xdfffffdf,0xfff30000,0xfffffdff,0xffd0000d,0x7c0007ff,
    0xc802ffff,0x402fffff,0x3ffffffa,0xd9fffffc,0x3f62eeee,0x0001ffff,
    0x7ffffdc0,0x21ffff91,0xfa8ffffe,0xffd4ffff,0xf70000bf,0x2009ffff,
    0x91fffff9,0x000fffff,0x3fffffa0,0x003fffff,0xfffffd00,0x007fffff,
    0x5fffff00,0x7fff4000,0xfffc803f,0x3fee02ff,0xff85ffff,0xffff3fff,
    0x7fffe47f,0x6c00004f,0xf70fffff,0x3ff63fff,0xfffffeff,0x3ffffeff,
    0xfffb8000,0xff3004ff,0x3ff23fff,0x500007ff,0xffffffff,0x200001ff,
    0xfffffffa,0x80000fff,0x002fffff,0x0fffffa0,0x3fffff20,0xfdbaaace,
    0x80ffffff,0xff3fffff,0x7fcc7fff,0x00006fff,0x97ffffe2,0xf72ffffa,
    0xffffffff,0xdfffffff,0xff700001,0x26009fff,0xf91fffff,0x0000ffff,
    0x7ffffffc,0x400004ff,0xffffffff,0xff00004f,0x40005fff,0x803ffffe,
    0xfffffffc,0xffffffff,0xfff03fff,0x3fffe7ff,0x7ffff43f,0xf700001f,
    0x7cc5ffff,0xfff13fff,0xffd7ffff,0x001fffff,0x3fffee00,0xfff3004f,
    0x3fff23ff,0x3200007f,0xffffffff,0x7e400001,0x1fffffff,0xffff0000,
    0x7f40005f,0xfc803fff,0xffffffff,0xffffffff,0x3ffffe03,0x87fffff3,
    0x04fffffb,0xffffd000,0x3ffff88f,0x53ffffea,0x1ffffff9,0x3fee0000,
    0xf3004fff,0x3f23ffff,0x00007fff,0x3fffffe6,0x9800005f,0x5fffffff,
    0x3ffe0000,0x3a0002ff,0xc803ffff,0xffffffff,0xdfffffff,0x7ffffc00,
    0x87fffff3,0x0ffffff8,0x7ffcc000,0x7ffc44ff,0x0e764c6f,0x000b36e6,
    0x3fffee00,0xfff3004f,0x3fff23ff,0x7400007f,0x01ffffff,0xfffd0000,
    0x00003fff,0x017ffffc,0x7ffffd00,0xfffff900,0xdfffffff,0x3ffe005b,
    0xfffff3ff,0xfffffb07,0xffd80009,0xfff81fff,0x000001ff,0x7ffdc000,
    0xff3003ff,0x3ff23fff,0x400007ff,0x05fffffe,0x3ffa0000,0x00005fff,
    0x017ffffc,0x7ffffd00,0xfffff900,0x00355535,0x4fffffe0,0xa83fffff,
    0x01ffffff,0xfffff500,0x3ffff20d,0x00000003,0x7ffffe40,0xffff3002,
    0x3ffff23f,0x3ea00007,0x002fffff,0xffff5000,0x400005ff,0x01fffff8,
    0x3ffff600,0xffffc804,0x3e00002f,0xfff3ffff,0x3ff607ff,0x88006fff,
    0x01ffffff,0x00dffff3,0xd8000000,0x001fffff,0x23fffff3,0x007ffffc,
    0xffffd100,0x200000df,0x6fffffe8,0x7fcc0000,0x20000fff,0x805ffffc,
    0x02fffffc,0x3fffe000,0x7fffff3f,0x3ffffe20,0x7fe4003f,0x7f404fff,
    0x00002fff,0xfff10000,0x7cc00fff,0xff91ffff,0x20000fff,0x1ffffffd,
    0xffb00000,0x0003ffff,0x7ffffb80,0x7ffdc000,0x7fe400ff,0x00002fff,
    0x7cfffffe,0x2a03ffff,0x01ffffff,0xdfffff50,0xfffff700,0x80088005,
    0x3fff2000,0x3e6006ff,0xff91ffff,0x98000fff,0x2ffffffe,0xfe980000,
    0x002fffff,0x7fffc400,0x7d40006f,0x6404ffff,0x002fffff,0x3ffffe00,
    0x07fffff3,0xffffffd8,0x7fffcc00,0xff8801ff,0x8801ffff,0x6fc400fc,
    0x7fffe402,0x3e6003ff,0xff91ffff,0x76400fff,0xffffffee,0xc80004ff,
    0xfffffeee,0x00004fff,0x3ffffee2,0x7c40003f,0x01dfffff,0x05fffff9,
    0x7fffc000,0x7fffff3f,0xfffff880,0xfff300ef,0x64007fff,0xbdffffff,
    0xfffb7331,0xffff8801,0xffedccce,0xfc85ffff,0xffffffff,0xfff91fff,
    0xffffffff,0x7fffe43f,0x06ffffff,0xffff9000,0x0dffffff,0xfffd9000,
    0x00dfffff,0x3fffee00,0x90efffff,0x005fffff,0x7ffffc00,0x07fffff3,
    0xffffff30,0xffff881d,0xfe8005ff,0xffffffff,0x0fffffff,0x7ffffc40,
    0xffffffff,0xffc80fff,0xffffffff,0xffff91ff,0xffffffff,0x7ffffe43,
    0x000dffff,0xfffff900,0x001bffff,0xfffffb00,0x0005ffff,0x7fffff40,
    0xff90ffff,0x00005fff,0xf9fffffc,0x3003ffff,0x4bffffff,0x5fffffe8,
    0xfffd1000,0xffffffff,0x8801ffff,0xffffffff,0x2fffffff,0xffffff90,
    0x23ffffff,0xfffffffc,0x321fffff,0xefffffff,0x7e400002,0x2effffff,
    0x3ff60000,0x03ffffff,0x7ff44000,0x90ffffff,0x005fffff,0x7ffffc00,
    0x07fffff3,0x7ffffcc0,0x2ffffec1,0x7ffe4000,0xffffffff,0xff8803ef,
    0xffffffff,0x3200cfff,0xffffffff,0xff91ffff,0xffffffff,0x7ffe43ff,
    0x00003cef,0x9dffff90,0xfb000007,0x01bfffff,0x7f540000,0x950fffff,
    0x00039999,0x9fffffc0,0x003fffff,0xd80fffcc,0x200005ff,0xfffffeb8,
    0x44001cef,0xffffffdb,0xca800cee,0xcccccccc,0x99950ccc,0x99999999,
    0x00199819,0x06660000,0x32a00000,0x00009abc,0x32ea6000,0x000000cc,
    0x4fffffe0,0x003fffff,0x2ec01f98,0x26200000,0x31000001,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff800,0x07fffff3,
    0x00000200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff0000,0x3ffffe7f,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,0x3fffe7ff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0005ddd9,0x0d554c00,0x99980000,0x51000009,0x40000015,0x000001a8,
    0x008800c4,0x55544000,0x18800001,0x40001100,0x00110018,0x80003310,
    0x0002fffe,0x0bfffa00,0x3fe20000,0x910004ff,0xbffffffb,0xc8800039,
    0x80cffffe,0xfc8000d9,0xffb102ff,0xf900003d,0x003dffff,0x0bfff200,
    0x00f7fec4,0x40bfff20,0x001effd8,0x001dfff7,0x007fffe0,0xffff8000,
    0xfb800001,0xa8002fff,0xffffffff,0x0004ffff,0x3ffffffa,0xdfd30bff,
    0x7ffdc001,0xfffd81ff,0x360000ff,0xffffffff,0x7fdc0001,0xffd81fff,
    0xf7000fff,0xfb03ffff,0xb801ffff,0x006fffff,0x00ffff98,0xfff10000,
    0xb000001f,0xb000ffff,0xffffffff,0x1bffffff,0xffffc800,0xffffffff,
    0x2005ffff,0x44fffffe,0x2ffffff8,0xdfff5000,0x00bfffb7,0xfffffe80,
    0x7ffffc44,0xfffd002f,0xfff889ff,0x7f402fff,0x002fffff,0x003fffd4,
    0xffff3000,0xff100000,0x74400bff,0xffffffff,0xffffffff,0xfff3001e,
    0xfffffdff,0x01ffffff,0x7fffffc0,0x7ffffc44,0xff90002f,0x007ffb8f,
    0x7fffffc0,0x7ffffc44,0xffff002f,0xfff889ff,0x7fc02fff,0x403fffff,
    0xfffecba8,0x00009acf,0x01bffea0,0x2eaaa200,0x2002ffff,0xfffffffd,
    0xffffffff,0x2a005fff,0xffb30bff,0x03ffffff,0xfffffc80,0xfffffe82,
    0xbffb0000,0x000fff98,0x3fffff20,0xfffffe82,0xffff9000,0xffffd05f,
    0xfffe801f,0xff502fff,0xffffffff,0x000bffff,0x017ffee0,0x3fff7260,
    0x0fffffff,0xfffff300,0x951137df,0x3fffffff,0xd9825400,0x001cffff,
    0x04fffe88,0x005fffd3,0x907ffdc0,0x88000fff,0xd304fffe,0x44005fff,
    0xd304fffe,0xf5005fff,0xd30dffff,0xffffffff,0xbfffffff,0x3ff20000,
    0x7fdc004f,0xffffffff,0xfd000eff,0x401fffff,0x5ffffffb,0x01980000,
    0x00153000,0x98000155,0xffedffff,0x5300005f,0x00155001,0x2a002a60,
    0x3fee000a,0x7ffd40df,0xffffffff,0x05ffffff,0x7ff54c00,0xfd8800df,
    0xffffffff,0x00efffff,0x7fffffd4,0xffffb801,0x000001ff,0x00000000,
    0xfffc8000,0x000fffff,0x00000000,0x20000000,0xffff8809,0xffffffff,
    0x05ffffff,0x7fff6cc0,0x2fffffff,0xfffffd30,0xffffffff,0x7401dfff,
    0x004fffff,0x13fffffe,0x01551000,0x55100000,0x54000001,0x00cfffff,
    0x00000000,0x00000000,0xfffffd00,0xffff55bf,0x00bfb953,0x7fffffe4,
    0x2fffffff,0xffffffd0,0xffffddff,0x260bffff,0x01ffffff,0x3fffff60,
    0x7ee4c006,0x1cdfffff,0xfdc98000,0x1cdfffff,0x9a880000,0x7ff40000,
    0x32000fff,0x002fffff,0x3ffffff2,0x400000ff,0x3ffffff9,0x0c1bffea,
    0x7ffff540,0xffffffff,0xfffa82ff,0xf50adfff,0xffffffff,0xfffff705,
    0xfffa800d,0x3ee007ff,0xffffffff,0x20004fff,0xfffffffb,0x004fffff,
    0xfffffc80,0xe8000fff,0x000fffff,0x0bfffff2,0xfffffe80,0xc8002fff,
    0xff71eeee,0xffb8ffff,0xff30005f,0xffffffff,0x05ffffff,0x0bfffffd,
    0xfffffff9,0xfff90dff,0xf88009ff,0x400fffff,0xffffffd8,0xffffffff,
    0x3f62000d,0xffffffff,0x00dfffff,0x3ffffa00,0x8002ffff,0x00fffffe,
    0x3fffff20,0xffff1002,0x009fffff,0x25ffffd0,0x45fffffc,0x0004fffd,
    0xfffffffd,0xffffffbd,0xffffa85f,0xdffff06f,0x83ffffff,0x03fffffe,
    0xffffff80,0x3fffe601,0xffffffff,0x01efffff,0xffffff98,0xffffffff,
    0x8001efff,0xfffffff8,0xfe8004ff,0x2000ffff,0x02fffffc,0xffffff70,
    0xd000ffff,0x3f25ffff,0x3a0fffff,0xb8003fff,0x0dffffff,0x326bfff7,
    0x7fffff42,0xbffff982,0x44fffffe,0x03fffffe,0xffffff80,0x3ffffa02,
    0xffffffff,0x05ffffff,0xffffffe8,0xffffffff,0x8005ffff,0xfffffffb,
    0xfe8007ff,0x2000ffff,0x02fffffc,0xffffffb0,0x8003ffff,0xf72ffffe,
    0x219fffff,0x4002ffff,0x5ffffff8,0x3027ffe4,0x20ffffff,0xfb9ffffc,
    0x7fc6ffff,0x8002ffff,0x03fffffe,0xdffffff5,0x3ff2a237,0x201fffff,
    0xeffffffa,0xfff9511b,0x8003ffff,0xfffffffd,0x74001fff,0x000fffff,
    0x0bfffff2,0x7fffffc0,0x003fffff,0x99fffffc,0xffffffff,0x001ffffb,
    0x7fffffdc,0x01ffff40,0x0bfffff7,0x7c5bfffa,0x3e0fffff,0x001fffff,
    0x3fffffe8,0xdfffffd0,0x7fffdc01,0x3ffa05ff,0x2e00efff,0x05ffffff,
    0x7fffffc0,0x003fffff,0x07fffff4,0xfffff900,0xffff5005,0xdfffffbf,
    0xfffff800,0x3fffffe3,0x07ffffff,0xfffffc80,0x02ffff84,0x0bfffff2,
    0xe93fffe6,0xf11fffff,0x003fffff,0x7fffffb0,0xffffff70,0xffff7001,
    0xfff701ff,0xf7001fff,0x001fffff,0x37ffffea,0x006fffff,0x07fffff4,
    0xfffff900,0xffff9005,0xffffff1f,0x7fffc001,0x3fffe63f,0xffffffff,
    0x3ffa001c,0xfff81fff,0x3fffa01f,0xfffb82ff,0x3ffffa1f,0x3ffffe2f,
    0xffe8002f,0xfff82fff,0x3e003fff,0xf84fffff,0x003fffff,0x13fffffe,
    0x7ffffe40,0x0ffffff8,0x3ffffa00,0x3ff2000f,0xfe802fff,0xfffb5fff,
    0x7fc005ff,0x7fdc4fff,0xffffffff,0xf802efff,0x4c0fffff,0x7f407fff,
    0xfe81ffff,0x7ffec7ff,0x3fffa2ff,0xff8003ff,0x7cc1ffff,0x001fffff,
    0x1bfffff6,0x3ffffff3,0x7fffec00,0xfffd006f,0x3ffff6bf,0x3ffa002f,
    0x32000fff,0x402fffff,0x73fffff9,0x00bfffff,0x13ffffe2,0x3fffffaa,
    0xffffffff,0xffff101e,0xdfff50ff,0xffffff80,0x27fffc40,0x8ffffff6,
    0x03fffffe,0xffffff80,0x7ffffdc0,0x7ffd4006,0x7ffdc7ff,0x7d4006ff,
    0x9807ffff,0xf73fffff,0x400bffff,0x00fffffe,0x3fffff20,0x7fffdc02,
    0xfffff31f,0x3ffe200f,0x3ff204ff,0xffffffff,0xf883ffff,0x5c0fffff,
    0x7fc05fff,0x7dc0ffff,0x7fe42fff,0x3ff64fff,0x44004fff,0xd87fffff,
    0x004fffff,0x7fffffc4,0x3fffff60,0x7ffc4004,0x7dc00fff,0xff31ffff,
    0x7400ffff,0x000fffff,0x0bfffff2,0x8fffffb0,0x01ffffff,0x4fffff88,
    0x7fff5440,0xffffffff,0xfffff82f,0x27ffe42f,0xffffff10,0x87fffd81,
    0x23fffffc,0x06fffffc,0x7ffffd40,0xfffffe87,0xffff8003,0x3fffa1ff,
    0xff8003ff,0x6c01ffff,0x7fc7ffff,0xd001ffff,0x001fffff,0x17ffffe4,
    0x9fffff10,0x4fffffc8,0xfffff880,0xffff1005,0xffffffff,0xfffff83f,
    0x1fffec4f,0x3fffffe0,0x17fffe20,0x8ffffff2,0x0ffffffb,0x3ffff200,
    0xfffff85f,0xfff8003f,0x3ffe1fff,0xf8003fff,0x201fffff,0x44fffff8,
    0x04fffffc,0x1fffffd0,0x7fffe400,0x3ffea02f,0x7ffd42ff,0xff9806ff,
    0xf5005fff,0xffff9fff,0xfe89ffff,0x7f46ffff,0x7ffc02ff,0x3fea1fff,
    0xfffd82ff,0x3ffe22ff,0x3e003fff,0xf81fffff,0x002fffff,0x2fffffe8,
    0x0bfffffe,0x3ffffa00,0x3ffea02f,0x7ffd42ff,0xffd006ff,0x64001fff,
    0x202fffff,0x40fffffc,0x0ffffff8,0x7ffffcc0,0xdfff7005,0x3fffff62,
    0x7fffe46f,0x3fffe2ff,0x7ffff401,0x3ffff61f,0xfffffe80,0x7ffffec2,
    0xfffb800e,0xffff06ff,0xfd0003ff,0x7fc7ffff,0x8001ffff,0x03fffffe,
    0x03fffff2,0x1ffffff1,0xfffffd00,0x7ffe4001,0x3ffe02ff,0xfffd06ff,
    0xff9807ff,0xf9006fff,0xfffe89ff,0x7ffcc7ff,0xff89ffff,0xfb0c40ff,
    0x7fc5ffff,0xfffd05ff,0xfffa81ff,0x2a00efff,0x03ffffff,0x03ffffff,
    0xfffffb00,0x7fffffc7,0xfffd8001,0x3ffe03ff,0xfffd06ff,0xffd007ff,
    0x64001fff,0x302fffff,0x209fffff,0x05fffffc,0x37ffffd4,0x43fffd80,
    0x0ffffffb,0x7fffffec,0xa8ffffef,0x3ff23fdb,0xfff54fff,0xffff107f,
    0x3fffe0ff,0x260aefff,0x7ffffffb,0x3fffffe0,0xfffe8002,0x3fffe3ff,
    0xfe8002ff,0xf303ffff,0x3209ffff,0x805fffff,0x00fffffe,0x3fffff20,
    0xfffff902,0x3fffe603,0x7ffd407f,0xffd006ff,0xffffa85f,0xffff886f,
    0xffffffff,0x2a3fffff,0xf96fffff,0xff701fff,0x3ee0bfff,0xffffffff,
    0xffffffff,0x3ffa02ff,0xf8003fff,0x3a2fffff,0x003fffff,0x2ffffff8,
    0x3fffff90,0x3ffffe60,0xffffe807,0x3ff2000f,0xffd02fff,0xfff80fff,
    0x3ea02fff,0xf006ffff,0xffc83fff,0xff505fff,0xffffffff,0x47ffffff,
    0x9ffffff8,0xfb06ffff,0x6405ffff,0xffffffff,0xffffffff,0x7ffec03f,
    0xff8003ff,0x3f62ffff,0x8003ffff,0x02ffffff,0x80fffffd,0x02ffffff,
    0x07fffff4,0xfffff900,0xfffff105,0xffffd80b,0x3ffea04f,0x103797ff,
    0x7dc1ffff,0x203fffff,0xfffffff9,0xffffffff,0x7fffff43,0x983ffffe,
    0x806fffff,0xfffffffc,0xffffffff,0xffffc803,0x7fc4004f,0x3f21ffff,
    0x4004ffff,0x1ffffff8,0x5fffff88,0x7ffffec0,0x7ffff404,0x3ff2000f,
    0xffb82fff,0x9999cfff,0xffffc999,0x3ffee07f,0xbfffb7ff,0x3ffff759,
    0xffffffd7,0xffd8801f,0xffffffff,0x7fdc2fff,0xffffffff,0x7ffffc41,
    0xfff9002f,0xffffffff,0x3ee005df,0x4006ffff,0x47fffffa,0x06fffffb,
    0x7ffffd40,0xfffff707,0x33333339,0x0ffffff9,0x0fffffe8,0x3ffff600,
    0xffffd80f,0xffffffff,0xffffffff,0xfffff701,0x3fffff6f,0xffffffff,
    0x1fffffff,0x7ffed400,0x202ceeff,0xfffffffe,0x3ffaa26f,0xa8006fff,
    0xfffffffe,0x7fd4002d,0x2000ffff,0x45fffffc,0x0ffffffa,0x3ffff200,
    0xffffb05f,0xffffffff,0xffffffff,0x7fffec03,0x3ffa001f,0xffff07ff,
    0xffffffff,0xffffffff,0x3ffee07f,0xffffb7ff,0xffffffff,0x5fffffff,
    0x7fffc000,0x3ffea001,0xecffffff,0xffffffff,0x3fea0002,0x10003fff,
    0x07ffffff,0x7fffffc0,0x7ffffc43,0x3ffe003f,0xfff03fff,0xffffffff,
    0xffffffff,0x7fe407ff,0x3e002fff,0xf986ffff,0xffffffff,0xffffffff,
    0xf905ffff,0xfb1fffff,0xffffffff,0xffffffff,0x7c40005d,0xfd8007ff,
    0xffffffff,0xffffffff,0x7fc40005,0x20005fff,0x0efffffd,0xfffffb80,
    0xfffffb07,0xfff7001d,0x3fe60fff,0xffffffff,0xffffffff,0x3ee05fff,
    0x3005ffff,0x90bfffff,0xffffffff,0xffffffff,0x01ffffff,0x1ffffff9,
    0xfffffffb,0xffffffff,0xf300005d,0x32000fff,0xffffffff,0x3fffffff,
    0xfffd0000,0x300c03ff,0x0dffffff,0xffffffa8,0xfffff303,0xfffa80df,
    0xff903fff,0xffffffff,0xffffffff,0x2a01ffff,0x01ffffff,0x3fffffd8,
    0xefffffe8,0xeeeeeeee,0xffffffee,0xccccca82,0x3b6ea60c,0xacdeffff,
    0x3ee00001,0x320005ff,0xffffffff,0x001effff,0x3ffff600,0x27e443ff,
    0xffffffd0,0x7fdcc15d,0x7406ffff,0xaeffffff,0x3fffee60,0x3ffa06ff,
    0xeeeeefff,0xffeeeeee,0x3a02ffff,0x01ffffff,0x3ffffff2,0x7ffffc40,
    0x7ffec004,0x200004ff,0x000ffff9,0x3fff2000,0x3fee0004,0xffffffff,
    0x400000ce,0xfffffffa,0x1fffffef,0xffffff50,0xffffffff,0x805fffff,
    0xfffffffa,0xffffffff,0xf102ffff,0x8009ffff,0x04fffffd,0x3fffffea,
    0xfecbacef,0xb82fffff,0x002fffff,0x3fffffdc,0xfff50000,0xd800000f,
    0x20003fff,0xcbaffffe,0x8000001a,0xfffffffd,0x06ffffff,0x3ffffff6,
    0xffffffff,0xfb005fff,0xffffffff,0xffffffff,0x7fffdc0b,0x7fdc002f,
    0x7f407fff,0xffffffff,0xffffffff,0xfffffb05,0xfff98001,0x00001fff,
    0x000bfff7,0x2fffe800,0xffff1000,0x00000009,0x3fffffa2,0xffffffff,
    0x3fffee02,0xffffffff,0x5c003fff,0xffffffff,0x3fffffff,0x7ffffec0,
    0x7ffcc000,0x3e601fff,0xffffffff,0xefffffff,0xfffff880,0xffff0005,
    0x200009ff,0x0004fffc,0x0ffffc00,0xffffb800,0x00000002,0x3fffff22,
    0x01efffff,0xffffff98,0x1effffff,0xffff3000,0xffffffff,0xfff8803d,
    0xff0005ff,0x8809ffff,0xfffffffc,0x03ffffff,0x0fffffea,0x7fffe400,
    0xfd00006f,0x000007ff,0x007fffc4,0x07fffd80,0x10000000,0xbdffffdb,
    0xfec88007,0xceffffff,0x76440000,0xefffffff,0xfffa800c,0xf90003ff,
    0x200dffff,0xffffffd9,0x6400dfff,0x001fffff,0xffffff50,0xfff00001,
    0x4000005f,0x0007fff9,0x00bffff1,0x20000000,0x20000098,0x0001aba8,
    0x0d5d4400,0x7fffe400,0xff50001f,0x8001ffff,0x009aca98,0x00000000,
    0x00000000,0x33331000,0x4cccc000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40062000,
    0x01880008,0x00000110,0xddddddb1,0xd8800007,0x03eeeeee,0x0001a880,
    0x3bbbb660,0x000004ee,0x3bbbb620,0xd8800004,0x0004eeee,0x0001a880,
    0x2aaaaa60,0x7ffe400a,0x3dffb102,0x0bfff200,0x00f7fec4,0xfffe8800,
    0x00003fff,0x7fffff44,0x3b22003f,0x980cffff,0xffd1000d,0x0009ffff,
    0xfffd1000,0x00009fff,0x7fffff44,0xc880004f,0x80cffffe,0xffc800d9,
    0x2e00ffff,0xd81fffff,0x400fffff,0x81fffffb,0x00fffffd,0x7fff4400,
    0x00001eff,0x7fffff44,0x7ff4001e,0x0bffffff,0x4001dfd3,0x4ffffffc,
    0x3e600000,0xffffffff,0xff980005,0x5fffffff,0x7fff4000,0x30bfffff,
    0xfc801dfd,0x200fffff,0x44fffffe,0x2ffffff8,0x7fffff40,0x7ffffc44,
    0x3a20002f,0x004fffff,0xfffe8800,0xfc8004ff,0xffffffff,0x5fffffff,
    0x7fffcc00,0x800004ff,0xecfffff9,0x0005ffff,0x33ffffe6,0x005ffffe,
    0xffffff90,0xffffffff,0xffc80bff,0x3e00ffff,0x444fffff,0x02ffffff,
    0x27fffffc,0x3fffffe2,0xffd10002,0x00005fff,0xfffffd10,0xfff30005,
    0xfffffdff,0x01ffffff,0xffffb100,0x4c00007f,0xb12fffff,0x000bffff,
    0x25fffff3,0x05ffffd8,0x7ffffcc0,0xfffffffe,0x6400ffff,0x00ffffff,
    0x0bfffff2,0x03fffffa,0x5fffff90,0x1fffffd0,0x3332e000,0x000000cc,
    0x01999997,0x85ffd400,0xffffffd9,0x5c0001ff,0x001ccccc,0xccccc880,
    0x2ccccb80,0x33332200,0xccccb80c,0x5ffd4002,0xfffffb30,0xf7003fff,
    0x880fffff,0xd304fffe,0xd1005fff,0x3a609fff,0x00002fff,0x00000000,
    0x304a8000,0x039ffffb,0x00000000,0x00000000,0xa8000000,0xffffb304,
    0x3fee0039,0x53007fff,0x00155001,0xaa800a98,0x00000000,0x00000000,
    0x000cc000,0x00000000,0x00000000,0x00000000,0x7dc000cc,0x0007ffff,
    0x00000000,0xaa880000,0x00000000,0x00000000,0x2aa20000,0x00000000,
    0x54400000,0x0000000a,0x3fea0000,0x00007fff,0x00000000,0xffdc9800,
    0x01cdffff,0x3fffffa0,0x3fff2000,0x000002ff,0xfdc98000,0x1cdfffff,
    0x3ffffa00,0x3ff2000f,0x93002fff,0xbffffffb,0x00000039,0x7ffd4000,
    0x3fee06ff,0xffffffff,0xffffffff,0xfffffa85,0xffffffff,0x06ffffff,
    0xffffffb8,0x04ffffff,0x1fffffd0,0x7fffe400,0x7fffec2f,0x3fe006ff,
    0xfb802fff,0xffffffff,0xfd004fff,0x4001ffff,0x02fffffc,0xffffffb8,
    0x04ffffff,0xffffc800,0x4000ffff,0x06fffffa,0x3fffffee,0xffffffff,
    0xfa85ffff,0xffffffff,0xffffffff,0x3f6206ff,0xffffffff,0x00dfffff,
    0x07fffff4,0xfffff900,0xfffffd85,0xfff001ff,0x7ec405ff,0xffffffff,
    0x00dfffff,0x07fffff4,0xfffff900,0x7ffec405,0xffffffff,0x0000dfff,
    0x3ffffffa,0x7d4002ff,0x2e06ffff,0xffffffff,0xffffffff,0xfffa85ff,
    0xffffffff,0xffffffff,0xfffff306,0xffffffff,0x403dffff,0x00fffffe,
    0x3fffff20,0x7ffffec2,0xfff005ff,0x3fe605ff,0xffffffff,0xefffffff,
    0x3ffffa01,0x3ff2000f,0xff302fff,0xffffffff,0xdfffffff,0xfff10003,
    0x09ffffff,0xfffff980,0x3fffee06,0xffffffff,0x85ffffff,0xfffffffa,
    0xffffffff,0xfd06ffff,0xffffffff,0xffffffff,0x7fff40bf,0x3f2000ff,
    0x7ec2ffff,0x1fffffff,0x2fffff80,0xffffffd0,0xffffffff,0x740bffff,
    0x000fffff,0x0bfffff2,0x7ffffff4,0xffffffff,0x8005ffff,0xfffffffb,
    0x7cc007ff,0x2e05ffff,0xffffffff,0xffffffff,0xfffa85ff,0xffffffff,
    0xffffffff,0xfffffa86,0xf9511bef,0x03ffffff,0x03fffffa,0xfffffc80,
    0x7ffffec2,0xff804fff,0xffa82fff,0x11beffff,0xffffff95,0x3fffa03f,
    0x3f2000ff,0xfa82ffff,0x1befffff,0xfffff951,0xfd8003ff,0xffffffff,
    0x3fe6001f,0x3ee05fff,0x999dffff,0x99999999,0x7fcc0009,0x74005fff,
    0x00efffff,0x3fffffee,0xfffffd05,0x7ffe4001,0x7ffec2ff,0x00ffffff,
    0x417ffffc,0x0efffffe,0x3ffffee0,0xffffd05f,0x7fe4001f,0xffe82fff,
    0x2e00efff,0x05ffffff,0x7fffffc0,0x003fffff,0x17ffffe2,0x4fffffb8,
    0xf9800000,0x2005ffff,0x0ffffffb,0xfffffb80,0xffffe80f,0x3ff2000f,
    0x7fec2fff,0x4fffffff,0x17ffffc0,0x3fffffee,0xffffb800,0xfffe80ff,
    0x3f2000ff,0x7dc2ffff,0x800fffff,0x0ffffffb,0xfffff500,0x0dfffffb,
    0x7ffffc40,0x3fffee04,0x8000004f,0x05fffff9,0x3fffffe0,0x3fffe003,
    0xfffe84ff,0x3f2000ff,0x7ec2ffff,0xffffffff,0x3fffe00f,0x7ffffc2f,
    0x3ffe003f,0xffe84fff,0x32000fff,0x7c2fffff,0x003fffff,0x13fffffe,
    0x7ffffe40,0x0ffffff8,0xfffff100,0x7fffdc09,0x8000004f,0x05fffff9,
    0xffffff30,0x7ffec003,0xfffe86ff,0x3f2000ff,0x7ec2ffff,0xffffffff,
    0x3fffe03f,0x3fffe62f,0x3f6001ff,0xfe86ffff,0x2000ffff,0x22fffffc,
    0x1ffffff9,0x3ffff600,0xfffd006f,0x3ffff6bf,0xfff1002f,0x7fdc09ff,
    0x00004fff,0xfffff980,0xffff7005,0xffa800df,0xffe87fff,0x32000fff,
    0x6c2fffff,0xfffdffff,0x3ffe06ff,0x3ffee2ff,0x7d4006ff,0xfe87ffff,
    0x2000ffff,0x22fffffc,0x06fffffb,0x7ffffd40,0xffff9807,0xfffff73f,
    0x7fffc00b,0x3ffee04f,0x000004ff,0x5fffff98,0xfffffb00,0xfff88009,
    0x7ff40fff,0x32000fff,0x6c2fffff,0xffbdffff,0xfff02fff,0x7ffec5ff,
    0x7c4004ff,0x740fffff,0x000fffff,0x8bfffff2,0x04fffffd,0x7ffffc40,
    0x7ffdc00f,0xffff31ff,0x7ffc00ff,0x3fee03ff,0x00004fff,0xfffff980,
    0xffffd005,0xfff0007f,0xffe83fff,0x32000fff,0x6c2fffff,0xff8dffff,
    0xfff06fff,0x7fff45ff,0xff8003ff,0x7f41ffff,0x2000ffff,0x22fffffc,
    0x03fffffe,0xffffff80,0x7fffec01,0x7fffffc7,0xfffff001,0x7fffdc07,
    0x8000004f,0x05fffff9,0x7ffffff0,0xfffff000,0xffffe83f,0x3ff2000f,
    0x7fec2fff,0xffffb5ff,0xfffff03f,0x7fffffc5,0xffff8003,0x7fff41ff,
    0x3f2000ff,0x3fe2ffff,0x8003ffff,0x01ffffff,0x13ffffe2,0x09fffff9,
    0x0fffffe0,0xffffffb8,0xeeeeeeee,0x4000eeee,0x05fffff9,0x5ffffff0,
    0xffffd000,0xffffe85f,0x3ff2000f,0x7fec2fff,0xffff35ff,0xfffff0bf,
    0x7fffffc5,0xfffe8002,0x7fff42ff,0x3f2000ff,0x3fe2ffff,0x8002ffff,
    0x02fffffe,0x0bffffea,0x0dfffff5,0x0bffffa0,0xffffffb8,0xffffffff,
    0x4000ffff,0x05fffff9,0x3ffffff0,0xffffd000,0xffffe87f,0x3ff2000f,
    0x7fec2fff,0x3fff65ff,0x7fffc1ff,0x3ffffe2f,0xffe8001f,0x7ff43fff,
    0x32000fff,0x3e2fffff,0x001fffff,0x3fffffe8,0x3fffff20,0x7ffffc40,
    0xfffe800f,0x3ffee02f,0xffffffff,0x0fffffff,0x7fffcc00,0xffff005f,
    0xfb0003ff,0xfe87ffff,0x2000ffff,0x42fffffc,0x2a5ffffd,0x7c4fffff,
    0x3fe2ffff,0x8001ffff,0x43fffffd,0x00fffffe,0x3fffff20,0x3fffffe2,
    0xfffd8001,0x3ffe03ff,0xfffd06ff,0x000007ff,0xfffffff7,0xffffffff,
    0x98001fff,0x005fffff,0x05ffffff,0xfffffd00,0xfffffe87,0x3fff2000,
    0x7ffec2ff,0x7ffff45f,0x3ffffe0f,0x3fffffe2,0xfffe8002,0x7fff43ff,
    0x3f2000ff,0x3fe2ffff,0x8002ffff,0x03fffffe,0x09fffff3,0x17fffff2,
    0x3fee0000,0xffffffff,0xffffffff,0x7ffcc000,0xffd005ff,0xf0007fff,
    0xe85fffff,0x000fffff,0x0bfffff2,0xb8bffffb,0x3e4fffff,0x3fa2ffff,
    0x8003ffff,0x42ffffff,0x00fffffe,0x3fffff20,0x3fffffa2,0xffff8003,
    0xfff902ff,0x3fe603ff,0x00007fff,0x4fffffb8,0xf9800000,0xb005ffff,
    0x007fffff,0x5ffffff0,0x0fffffe8,0x3ffff200,0x7fffec2f,0xffffff85,
    0x45fffff0,0x03fffffd,0xffffff80,0x7fffff42,0x3fff2000,0x3fff62ff,
    0xff8003ff,0xfd02ffff,0xff80ffff,0x4c02ffff,0x7dc04efd,0x0004ffff,
    0xffff9800,0xfff9005f,0xf88009ff,0x741fffff,0x000fffff,0x0bfffff2,
    0x90bffffb,0x3e7fffff,0x3f22ffff,0x4004ffff,0x1ffffff8,0x07fffff4,
    0xfffff900,0x7ffffe45,0x7ffc4004,0xff881fff,0x7ec05fff,0x2604ffff,
    0x205fffff,0x04fffffb,0xff980000,0xf7005fff,0x800dffff,0x87fffffa,
    0x00fffffe,0x3fffff60,0x2ffffec0,0x77ffffc4,0x22fffff8,0x06fffffb,
    0x7ffffd40,0xfffffe87,0x3fff6000,0x3ffee0ff,0x7d4006ff,0xf707ffff,
    0x3339ffff,0xfff93333,0x7fec0fff,0xf701ffff,0x0009ffff,0xffff3000,
    0x3fea00bf,0x2000ffff,0x85fffffc,0x01fffffd,0x1fffffa0,0x417ffff6,
    0xfafffffd,0x3ea2ffff,0x000fffff,0x17fffff2,0x07fffff6,0x7ffffe80,
    0x7fffffd4,0x3fff2000,0xfffb05ff,0xffffffff,0xffffffff,0x3fffe03f,
    0xff703fff,0x00009fff,0xfffff300,0x3ffe200b,0x3e003fff,0xc83fffff,
    0x002fffff,0x21bffffe,0x305ffffd,0xffbfffff,0x7fc45fff,0x2003ffff,
    0x83ffffff,0x02fffffc,0x1bffffe0,0x7ffffff1,0x7ffffc00,0xfffff03f,
    0xffffffff,0xffffffff,0x3ffffa07,0xfff702ff,0x000009ff,0xbfffff30,
    0x7fffec00,0xffb800ef,0xff707fff,0x2600bfff,0xd85fffff,0x3605ffff,
    0xffffffff,0x7ffec2ff,0xfb800eff,0xf707ffff,0x200bffff,0x85fffff9,
    0x0efffffd,0xfffffb80,0xfffff307,0xffffffff,0xffffffff,0x3ffff20b,
    0xfff700ff,0x000009ff,0xbfffff30,0x7fffcc00,0x7fd406ff,0xf503ffff,
    0x003fffff,0x07fffffb,0x40bffffb,0xfffffffa,0x7fcc2fff,0x5406ffff,
    0x03ffffff,0x3ffffff5,0xfffffb00,0xfffff307,0xfffa80df,0xff903fff,
    0xffffffff,0xffffffff,0x3601ffff,0x2e02ffff,0x004fffff,0xfff98000,
    0x7f4005ff,0x0aefffff,0x3ffffee6,0x7fff406f,0x3f201fff,0xd80fffff,
    0x7405ffff,0xffffffff,0xffffe82f,0x2e60aeff,0x06ffffff,0x7ffffff4,
    0x3ffff201,0xfffd00ff,0x4c15dfff,0x6ffffffb,0x3fffffa0,0xeeeeeeee,
    0xfffffeee,0x02aea02f,0x9fffff70,0xf3000000,0x800bffff,0xfffffffa,
    0xffffffff,0x5402ffff,0xefffffff,0xfffecbac,0xffb02fff,0xffb80bff,
    0x2fffffff,0xffffffa8,0xffffffff,0x402fffff,0xfffffffa,0xffecbace,
    0x2a02ffff,0xffffffff,0xffffffff,0xff102fff,0xd8009fff,0x004fffff,
    0xfffff700,0xffffffff,0x50bfffff,0xffffffff,0xffffffff,0x3f60dfff,
    0xffffffff,0xffffffff,0xffffd005,0xffffffff,0x40bfffff,0x805ffffd,
    0xffffffff,0xffffb02f,0xffffffff,0x00bfffff,0x3ffffffa,0xffffffff,
    0xfd805fff,0xffffffff,0xffffffff,0x3fffee05,0x7fdc002f,0x00007fff,
    0xfffffff7,0xffffffff,0xff50bfff,0xffffffff,0xffffffff,0x7ffdc0df,
    0xffffffff,0x2003ffff,0xfffffff9,0xffffffff,0x3ff600ef,0xffc805ff,
    0x02ffffff,0x3fffffee,0xffffffff,0x3fe6003f,0xffffffff,0x0effffff,
    0xfffff700,0xffffffff,0xffd807ff,0x4c000fff,0x01ffffff,0xffffb800,
    0xffffffff,0x85ffffff,0xfffffffa,0xffffffff,0x4c06ffff,0xffffffff,
    0x001effff,0xfffffc88,0xffffffff,0xffffd803,0xffff8805,0x4c02ffff,
    0xffffffff,0x001effff,0xfffffc88,0xffffffff,0xfff98003,0xffffffff,
    0x7fc401ef,0xf0005fff,0x009fffff,0xfffff700,0xffffffff,0x50bfffff,
    0xffffffff,0xffffffff,0x9100dfff,0xfffffffd,0x9800019d,0xfffffffd,
    0xfb000dff,0x3600bfff,0x2fffffff,0xfffec880,0x00ceffff,0x7ffecc00,
    0x0dffffff,0x3fb22000,0xceffffff,0xffffa800,0xff90003f,0x0000dfff,
    0xfffffff7,0xffffffff,0xff50bfff,0xffffffff,0xffffffff,0x751000df,
    0x40000035,0x009aca98,0x5ffffd80,0xfffff300,0x510005ff,0x00000357,
    0x04d654c4,0xba880000,0xffc8001a,0x50001fff,0x01ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddddb300,0x500009dd,0x00055555,0xa8800000,0x0001aaaa,
    0xeeeeed88,0x2ea0003e,0xceeefeec,0x4400001b,0x3eeeeeed,0x2aa20000,
    0xed98009a,0x004eeeee,0x55530000,0x55555555,0x01310003,0x3ffffa20,
    0x640004ff,0x000fffff,0x32000000,0x000fffff,0x7ffff440,0xd50003ff,
    0xffffffff,0x0003ffff,0x3ffffa20,0x220003ff,0xfffffdca,0x100bdfff,
    0x9ffffffd,0xec880000,0xffffffff,0x03ffffff,0x37fff620,0xffff9000,
    0x4c0009ff,0x003fffff,0xf1000000,0x000bffff,0xfffffe88,0xfe88001e,
    0xffffffff,0x001fffff,0xffffe880,0x2e0001ef,0xffffffff,0x03ffffff,
    0x7fffffe4,0xfb880004,0xffffffff,0xffffffff,0x3fff6003,0x3e6006ff,
    0x004fffff,0x1fffffa0,0x40000000,0x02fffffb,0x3fffa200,0xd10004ff,
    0xffffffff,0x3fffffff,0xffe88000,0x20004fff,0xffffffd8,0xffffffff,
    0xfff9803f,0x20004fff,0xfffffffb,0xffffffff,0x3003ffff,0x5fffffff,
    0x7ffec400,0xf50003ff,0x0005ffff,0xffd00000,0x44000dff,0x02fffffe,
    0x3ffff600,0xedccefff,0x0001fffe,0x3fffffa2,0x3fa60002,0xffffffff,
    0x3fffffff,0xffffb100,0xff50007f,0xffffffff,0xffffffff,0x3ea007ff,
    0x03ffffff,0xcccccb80,0xffff0001,0x000000df,0xfffffa80,0x332e0003,
    0x20000ccc,0x5ffffff8,0x000e5440,0x19999970,0x7ffcc000,0xffffffff,
    0x3fffffff,0x66665c00,0x3fe2001c,0xffffffff,0xffb99cff,0xf3003fff,
    0x05ffffff,0x70000000,0x003fffff,0x7ec00000,0x0000ffff,0x7d400000,
    0x000fffff,0x00000000,0x3fffffa0,0x3109bdff,0x0007ffb5,0xfffd0000,
    0xffffffff,0x7fffd47f,0x3ffa003f,0x00006fff,0xfff10000,0x000009ff,
    0x3fffe200,0x0000004f,0xffffb800,0x0000006f,0x3ea00000,0x02ffffff,
    0x00005510,0xffffa800,0xffffffff,0x3fffea3f,0x3fa2003f,0x00000eff,
    0x3ff60000,0x00000fff,0xffffc800,0x0000001f,0xffffa800,0x000002ff,
    0xfd000000,0x003fffff,0x00000000,0xfffffff9,0x47ffffff,0x03fffffa,
    0x7401a980,0x000fffff,0x0bfffff2,0x1fffffcc,0x7c000000,0xf905ffff,
    0x001fffff,0xffffff50,0x3ffffe60,0x000003ff,0x3ffffff2,0x7dc000ff,
    0x002fffff,0x7fffdc00,0xffffffff,0x25ffffff,0xfffffffd,0x23ffffff,
    0x03fffffa,0x3ffa0000,0x32000fff,0x202fffff,0x006ffffe,0x7fdc0000,
    0xff102fff,0x0009ffff,0x07fffffd,0x7fffffec,0x800001ef,0xfffffffe,
    0x7ffc002f,0x00007fff,0xffffffb8,0xffffffff,0x3fe5ffff,0xffffffff,
    0x3ea3ffff,0x0003ffff,0x3ffffa00,0x3ff2000f,0x3ea02fff,0x0002ffff,
    0x3fffa000,0x7ffe406f,0x2a000fff,0x407fffff,0xfffffffd,0x00000cff,
    0xfffffff1,0x7c4009ff,0x003fffff,0xffffb800,0xffffffff,0x15ffffff,
    0xffffffff,0x47ffffff,0x03fffffa,0x077776c0,0x0fffffe8,0x3ffff200,
    0x7fffc02f,0x0000005f,0x07fffff3,0xffffff88,0x3fffa003,0xffd103ff,
    0xffffffff,0x700007ff,0xffffffff,0x7fcc00ff,0x0000ffff,0xfffffb80,
    0xffffffff,0x3e5fffff,0xffffffff,0x2a3fffff,0x003fffff,0x80fffffc,
    0x00fffffe,0x3fffff20,0x7fffe402,0x8000001f,0x00fffffd,0x7fffffc8,
    0xfffff500,0x7ffff40d,0xffffffff,0x20000eff,0xfffffffd,0xf5001fff,
    0x000fffff,0x3fffee00,0xffffffff,0x25ffffff,0xfffffffe,0x23ffffff,
    0x03fffffa,0x0fffffc0,0x0fffffe8,0x3ffff200,0x7ffc402f,0x000004ff,
    0x27ffffc4,0xfffff880,0xfffe803f,0xfff903ff,0xffffdfff,0x05ffffff,
    0x3ffffe00,0x03ffffff,0xdfffff70,0x3ee00000,0x999dffff,0x99999999,
    0x3ffff209,0xffffffff,0x3fffea3f,0x3fe2003f,0xffd01fff,0x64001fff,
    0x802fffff,0x00fffffd,0x3ff20000,0x32001fff,0x406fffff,0x06fffffa,
    0x9ffffff1,0x3fffffea,0x4003ffff,0xfdfffffa,0xb006ffff,0x00bfffff,
    0x3ffee000,0x5c0004ff,0xffffffff,0x2a3fffff,0x003fffff,0x0bffffea,
    0x07fffff4,0xfffff900,0xffff3005,0x4000007f,0x006fffff,0x7fffffc4,
    0x3ffffa02,0xffff702f,0xfffc88df,0x03ffffff,0x3fffff20,0x0ffffff8,
    0xfffffe80,0xf7000004,0x0009ffff,0xffffff88,0x3fffffff,0x0fffffea,
    0xfffffb50,0x3ffa05ff,0x32000fff,0x002fffff,0x00dffffd,0x3ffea000,
    0xfc8002ff,0xf506ffff,0x640dffff,0x304fffff,0xfffffffd,0x3ffa001f,
    0xffffb5ff,0xffff005f,0x000009ff,0x13ffffee,0x3ffea000,0xffffffff,
    0x3fffea3f,0xfffd103f,0x07ffffff,0x03fffffa,0xfffffc80,0xffff7002,
    0xd000005f,0x000fffff,0x3fffffe2,0xfffffe82,0x3ffff602,0x7ffe405f,
    0x9805ffff,0xf73fffff,0xd00bffff,0x00bfffff,0x3ffee000,0x900004ff,
    0xffffffff,0x7fd47fff,0xffb83fff,0xffffffff,0xffffd03f,0x7fe4001f,
    0x3e002fff,0x0005ffff,0x7ffffcc0,0x3ff20003,0x7fd46fff,0x7e406fff,
    0x400fffff,0xfffffffb,0x7fffdc00,0xfffff31f,0xffffb00f,0x200000df,
    0x04fffffb,0x3fff6000,0x3fffffff,0x0fffffea,0xfffffff3,0x207fffff,
    0x00fffffe,0x3fffff20,0x3fff2002,0x200000ff,0x00fffffd,0x3fffe200,
    0x3fffa1ff,0x7fdc02ff,0xb804ffff,0x02ffffff,0x23ffffec,0x01ffffff,
    0x3fffffe4,0xffb80000,0x00004fff,0x7ffffecc,0x3fea3fff,0x7ff43fff,
    0xaaceffff,0xfffd01aa,0x7e4001ff,0x2002ffff,0x04fffff8,0xffff1000,
    0xf90000bf,0x3e6bffff,0x9806ffff,0x5fffffff,0x7ffffc40,0x3ffe203f,
    0x7ffe44ff,0x7fdc04ff,0x00007fff,0x9fffff70,0x32200000,0x23ffffff,
    0x23fffffa,0x5ffffffa,0xffffe800,0x3ff2000f,0x6c002fff,0x000fffff,
    0xfffffb80,0xff880001,0xffd8ffff,0xfb002fff,0x3dffffff,0x7fffff40,
    0x3fffea03,0x7fffd42f,0x7ffd406f,0x00003fff,0xffffffb8,0xeeeeeeee,
    0x8000eeee,0x3ea1ba98,0x3f23ffff,0x000fffff,0x0fffffe8,0x3ffff200,
    0x7fd4002f,0x80003fff,0x006fffff,0x3ffff200,0x6fffffdf,0x3fffe200,
    0x80dfffff,0x02ffffff,0x03fffff2,0x1ffffff1,0x7ffffcc0,0xb800006f,
    0xffffffff,0xffffffff,0x400000ff,0x23fffffa,0x04fffffd,0xfffffd00,
    0x7ffe4001,0xfe8002ff,0x40006fff,0x02fffffa,0x3ffe2000,0xffffffff,
    0x7ffd4002,0x3fffffff,0x3fffffea,0x3ffffe00,0xfffffd06,0xfffff807,
    0x400002ff,0xfffffffb,0xffffffff,0x00000fff,0x1fffffd4,0x07ffffff,
    0x3ffffa00,0x3ff2000f,0xb8002fff,0x001fffff,0x1fffffa0,0x3ff20000,
    0x6fffffff,0xffff3000,0x5dffffff,0x0bffffff,0x27ffffcc,0x5fffffc8,
    0x7ffffdc0,0x200001ef,0xfffffffb,0xffffffff,0x00000fff,0x1fffffd4,
    0x0bffffff,0x3ffffa00,0x3ff2000f,0x88002fff,0x005fffff,0x9fffff30,
    0xff100000,0x5fffffff,0x7fec4000,0xffffffff,0x01ffffff,0x07fffff2,
    0x3fffffcc,0x7fffff40,0x571002ff,0x3ffffee0,0xffffffff,0x000fffff,
    0x7fffd400,0x3ffff63f,0xffd0007f,0x64001fff,0x002fffff,0x1fffff90,
    0xffff9000,0x2000001f,0xfffffffc,0xff700006,0xffffffff,0xe805ffff,
    0x7c07ffff,0x402fffff,0xfffffffa,0x2e609bdf,0xff703ffd,0x00009fff,
    0xfff50000,0x7ffdc7ff,0xe8004fff,0x000fffff,0x0bfffff2,0x7fffcc00,
    0x7fc4004f,0x00005fff,0x3ffffe20,0x200002ff,0xffffffc8,0x403fffff,
    0x05fffff8,0x27ffffec,0x7fffff40,0xffffffff,0x703fffff,0x009fffff,
    0xf5000000,0x7cc7ffff,0x0cffffff,0x3ffffa00,0x3ff2000f,0x20002fff,
    0x007ffffd,0x0fffffdc,0x3f200000,0x0006ffff,0xffffd300,0x7007ffff,
    0x339fffff,0xff933333,0xd100ffff,0xffffffff,0xffffffff,0x3ffee07f,
    0x000004ff,0xffffa800,0x7fffec3f,0x019cffff,0x07fffff4,0xfffffb00,
    0x7fd40001,0x3a002fff,0x0006ffff,0xffffa800,0x4000005f,0xfffffffb,
    0xffffd806,0xffffffff,0xffffffff,0xfffd8801,0xffffffff,0x703fffff,
    0x009fffff,0xf5000000,0xe885ffff,0xffffffff,0x6c3effff,0x001fffff,
    0x01fffffa,0x3ffffa00,0xffff5006,0x0000007f,0x0bfffff5,0xff300000,
    0x801fffff,0xffffffff,0xffffffff,0x003fffff,0x3fffffee,0xffffffff,
    0xffff702f,0x0000009f,0xfffff700,0xfffff103,0xffffffff,0xfffffc89,
    0x3fffe002,0xfb80006f,0xd801ffff,0x0007ffff,0xffff5000,0x000000bf,
    0x3fffffea,0x3fffe601,0xffffffff,0xffffffff,0x6d44005f,0xffffffff,
    0x3ee00adf,0x0004ffff,0xffd80000,0x3fa607ff,0xffffffff,0x7ffdc4ff,
    0xff3005ff,0x0000bfff,0x0bfffff1,0x4fffff98,0xf5000000,0x000bffff,
    0x3ffe2000,0x3f200fff,0xffffffff,0xffffffff,0x000fffff,0x3bffffd0,
    0x7ffdc001,0x000004ff,0x3ffe6001,0xfea806ff,0xffffffff,0x7ffffd44,
    0xfffd801f,0x900003ff,0x401fffff,0x00fffffc,0xff500000,0x1000bfff,
    0xfffc8003,0x7ff407ff,0xeeeeefff,0xffeeeeee,0x8002ffff,0x00fffff8,
    0xfffffb80,0xfa800004,0x7fff4404,0x36a005ff,0x4fffffff,0xffffffe8,
    0x3ffff201,0x300000ff,0x209fffff,0x05fffff8,0x3ea00000,0x8005ffff,
    0x301acff9,0xbffffff7,0x7ffffc40,0x7ffec004,0xfa8004ff,0x70006fff,
    0x009fffff,0xefff8800,0xfff730ac,0x0001ffff,0x0b32ea62,0x3fffffea,
    0xfecbacef,0x002fffff,0x7ffff400,0xfffff707,0x40000005,0x05fffffa,
    0xfffff980,0xffffeeff,0x202fffff,0x02fffffb,0x7ffffdc0,0xfffb8007,
    0xff70002f,0xffffffff,0xffffffff,0x7fffec0b,0xffffffff,0x0003ffff,
    0x3fffa000,0xffffffff,0x05ffffff,0xfffa8000,0xfffe82ff,0x0000006f,
    0x2fffffd4,0x7fffcc00,0xffffffff,0x402fffff,0x00fffffd,0x7ffffcc0,
    0x7fec001f,0xf70000ff,0xffffffff,0xffffffff,0x3ffe60bf,0xffffffff,
    0x005fffff,0x7fcc0000,0xffffffff,0x0effffff,0xfff00000,0xfffa8dff,
    0x000003ff,0x7ffffd40,0xfff98005,0xffffffff,0x402fffff,0x05fffff8,
    0xffffff00,0xffff8009,0x3fee0005,0xffffffff,0xffffffff,0x3fffaa05,
    0xffffffff,0x00000cff,0xfffc8800,0xffffffff,0x000003ff,0x0fffffdc,
    0x01fffffb,0xfa800000,0x8005ffff,0xffffffe9,0xbfffffff,0xffffa800,
    0xff90003f,0x4400dfff,0x0001ffff,0x3fffffee,0xffffffff,0xb805ffff,
    0xffffffff,0x00000dff,0xffd98000,0xdfffffff,0x30000000,0x4cc13333,
    0x00000999,0xffffa800,0x2620005f,0xccedcccb,0x7fe4002a,0x50001fff,
    0x01ffffff,0x000cccc0,0x3ffffee0,0xffffffff,0x005fffff,0x2b376ea6,
    0x00000009,0x59531000,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x777776c4,0xed88003e,0x00004eee,0x13bbbb62,0xdddb3000,0x00009ddd,
    0xdddb1000,0x36607ddd,0x04eeeeee,0x6c400000,0x0004eeee,0x066f65c0,
    0x4ccc0000,0x00000000,0x3ffa2000,0x8003ffff,0xffffffe8,0xfe880004,
    0x004fffff,0x7ffff440,0x000004ff,0x3ffffa20,0x7f4403ff,0x004fffff,
    0xffd10000,0x0009ffff,0xfffffd30,0xd980007f,0xeffffffe,0x5eeeeeee,
    0x0677f540,0xffd10000,0x0003dfff,0xfffffff3,0x4c000bff,0xffffffff,
    0xfc80005f,0x004fffff,0xffe88000,0x2001efff,0x4ffffffc,0x7cc00000,
    0xffffffff,0x3fa20005,0x3fffffff,0xfffd8800,0xffffffff,0x06ffffff,
    0x3bffffee,0xfe880000,0x0004ffff,0xd9fffff3,0x000bffff,0xd9fffff3,
    0x000bffff,0xffffff30,0x44000009,0x04fffffe,0xfffff300,0x2000009f,
    0xecfffff9,0x0005ffff,0xfb7dfff9,0x44001fff,0xffffffff,0xffffffff,
    0xff306fff,0x009fffff,0xffffe880,0xff30002f,0x3f625fff,0x26005fff,
    0xb12fffff,0x000bffff,0xfffffb10,0xd1000007,0x005fffff,0xffffd880,
    0x4c00003f,0xb12fffff,0x000bffff,0xffb8dffd,0x3ffa002f,0xffefffff,
    0xffffffff,0xffff706f,0x8000ffff,0x00cccccb,0x99999100,0x59999701,
    0x99999100,0x59999701,0x332e0000,0x00001ccc,0x0666665c,0x99970000,
    0x20000399,0x80ccccc8,0x002ccccb,0x3e227ffc,0xff9003ff,0xfa83dfff,
    0xcccfffff,0xfffff903,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff00000,0x02fff98b,0x0dfffff0,0x1fffffc4,
    0x7ffffd40,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb0000,0x3fffd517,0xfffff100,0xffffc805,0xffff8807,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff300000,0xbfffffff,0x3fffea00,0x7ffd400f,0xff9800ff,0xf7005fff,
    0xffffffff,0xffffffff,0x7ffdc0bf,0xffffffff,0x5fffffff,0x3ffff200,
    0x0000ffff,0xfffffff5,0xffffffff,0xf50dffff,0xffffffff,0xffffffff,
    0xfc800dff,0x0fffffff,0xffff5000,0xffffffff,0xdfffffff,0x7fffdc00,
    0x7000efff,0x500fffff,0x001fffff,0x800b36e2,0xfffffffb,0xffffffff,
    0x3ee05fff,0xffffffff,0xffffffff,0x3ffa005f,0x02ffffff,0xfffff500,
    0xffffffff,0x0dffffff,0xfffffff5,0xffffffff,0x800dffff,0xfffffffe,
    0xff50002f,0xffffffff,0xffffffff,0xfd9800df,0x54003fff,0x400fffff,
    0x007ffffb,0xfff70000,0xffffffff,0xbfffffff,0x7ffffdc0,0xffffffff,
    0x005fffff,0xfffffff1,0x2a0009ff,0xffffffff,0xffffffff,0xffa86fff,
    0xffffffff,0xffffffff,0x3fe2006f,0x4fffffff,0xffff5000,0xffffffff,
    0xdfffffff,0x0004c000,0x3fffff88,0x2fffff40,0xfb800000,0xffffffff,
    0xffffffff,0x3ffee05f,0xffffffff,0x5fffffff,0xfffff700,0x000fffff,
    0x3fffffea,0xffffffff,0xa86fffff,0xffffffff,0xffffffff,0x2e006fff,
    0xffffffff,0xff50007f,0xffffffff,0xffffffff,0x533000df,0x3fe00013,
    0xf901ffff,0x0009ffff,0x3ffee000,0xffffffff,0x5fffffff,0x3ffffee0,
    0xffffffff,0x005fffff,0xfffffffb,0x50003fff,0xffffffff,0xffffffff,
    0xff50dfff,0xffffffff,0xffffffff,0x7fec00df,0xffffffff,0xfffa8001,
    0xffffffff,0xffffffff,0x7ff5cc06,0xdeffffff,0xffff5001,0xfd7559ff,
    0x001fffff,0x3fee0000,0x9999dfff,0x99999999,0x3fffee00,0x999999df,
    0x00999999,0xfffffff0,0x0007ffff,0xfffff980,0x3e600005,0x0005ffff,
    0xfffffff0,0x0007ffff,0xfffff980,0xfffa8005,0xffffffff,0x801dffff,
    0xfffffffd,0xffffffff,0x20000001,0x04fffffb,0x7ffdc000,0x000004ff,
    0xfbfffff5,0x000dffff,0xfffff980,0x3e600005,0x0005ffff,0xdfffffa8,
    0x006fffff,0x7fffcc00,0xffa8005f,0xffffffff,0x0fffffff,0x3ffffe20,
    0xffffffff,0x000003ff,0x7ffffdc0,0x7dc00004,0x0004ffff,0xfffff900,
    0x1ffffff1,0x7fcc0000,0x00005fff,0x17ffffe6,0x3fff2000,0xfffff8ff,
    0x2600000f,0x005fffff,0xffffffa8,0xffffffff,0x3f605fff,0xffffffff,
    0x000cffff,0xffb80000,0x00004fff,0x27ffffdc,0xffe80000,0xffffb5ff,
    0x4c00005f,0x005fffff,0x3fffe600,0xfe80005f,0xfffb5fff,0x400005ff,
    0x05fffff9,0xcdfffa80,0xffba99aa,0xa82fffff,0x9956ffff,0x0001579b,
    0x004efeb8,0x13ffffee,0xfff70000,0x000009ff,0x27fffff3,0x05fffffb,
    0x3ffe6000,0x200005ff,0x05fffff9,0x7fffcc00,0xfffff73f,0x7cc0000b,
    0x8005ffff,0xe8800ada,0xd84fffff,0x0002ffff,0x7fffe400,0xffb800df,
    0x00004fff,0x27ffffdc,0x7fdc0000,0xfff31fff,0x40000fff,0x05fffff9,
    0x3ffe6000,0x5c0005ff,0xf31fffff,0x000fffff,0x7ffffcc0,0x30000005,
    0xf0bfffff,0x0007ffff,0x7fffc400,0xfb804fff,0x0004ffff,0x7ffffdc0,
    0xfd800004,0x7ffc7fff,0x00001fff,0x0bfffff3,0x7ffcc000,0x6c0005ff,
    0x7fc7ffff,0x0001ffff,0xbfffff30,0x7c000000,0xff87ffff,0x0002ffff,
    0xfffff500,0xfb801fff,0x0004ffff,0x7ffffdc0,0x7c400004,0x7e44ffff,
    0x0004ffff,0xbfffff30,0x7fcc0000,0x20005fff,0x44fffff8,0x04fffffc,
    0xffff3000,0x000000bf,0x43fffff4,0xfffffffd,0xaccdeeee,0x3fea0009,
    0x02ffffff,0x7fffffdc,0xeeeeeeee,0x2e00eeee,0xeeffffff,0xeeeeeeee,
    0x3fea00ee,0x7fd42fff,0x00006fff,0x0bfffff3,0x7ffcc000,0x2a0005ff,
    0x542fffff,0x006fffff,0xfffff300,0x4c00000b,0xfffff999,0xfffffa87,
    0xffffffff,0x801dffff,0xfffffff8,0x7ffdc03f,0xffffffff,0x0fffffff,
    0x3ffffee0,0xffffffff,0x200fffff,0x40fffffc,0x0ffffff8,0xfff98000,
    0x200005ff,0x05fffff9,0x3ffff200,0x7fffc40f,0x980000ff,0x005fffff,
    0xffedc880,0xffffffff,0xffff507f,0xffffffff,0x09ffffff,0xffffff50,
    0xfffb809f,0xffffffff,0x0fffffff,0x3ffffee0,0xffffffff,0x200fffff,
    0xd06fffff,0x007fffff,0xfffff300,0x7cc0000b,0x0005ffff,0x41bffffe,
    0x03fffffe,0xffff9800,0x3660005f,0xffffffff,0x7fffffff,0xfffffd10,
    0xffffffff,0x007fffff,0x7ffffff9,0xfffffb80,0xffffffff,0x200fffff,
    0xfffffffb,0xffffffff,0xff300fff,0x3f209fff,0x0005ffff,0x5fffff98,
    0x3fe60000,0x30005fff,0x209fffff,0x05fffffc,0xffff9800,0xffb0005f,
    0xffffffff,0xffffffff,0xfffffd30,0xffdddddd,0x1fffffff,0xfffffd00,
    0xffffb805,0xffffffff,0x00ffffff,0x3fffffee,0xffffffff,0xf900ffff,
    0x2603ffff,0x007fffff,0xfffff980,0x3e600005,0x0005ffff,0x03fffff9,
    0x1fffffe6,0x3ffe6000,0xfc8005ff,0xffffffff,0xffffffff,0x7fff447f,
    0x7e4401ff,0x802fffff,0x00fffffc,0x27ffffdc,0x3fee0000,0x00004fff,
    0x01fffffa,0x05ffffff,0xffff9800,0x2600005f,0x005fffff,0x0fffffd0,
    0x2ffffff8,0x7ffcc000,0x7d4005ff,0x9bffffff,0x7ffffe80,0x17ffffe4,
    0xfffff900,0xffffb009,0xffff700f,0xb800009f,0x004fffff,0xfffff100,
    0xffffd80b,0x7cc0004f,0x0005ffff,0x3ffffe60,0xfff88005,0x7fec05ff,
    0x40004fff,0x05fffff9,0x7ffffec0,0xffffe806,0x3fffffc7,0x3fffee00,
    0x7ffc404f,0xffb802ff,0x00004fff,0x27ffffdc,0xfffb8000,0x99999cff,
    0xfffffc99,0x7fcc0007,0x00005fff,0x17ffffe6,0x3fffee00,0x999999cf,
    0x7fffffc9,0x7ffcc000,0x7fc005ff,0xe801ffff,0x3e27ffff,0x4007ffff,
    0x02fffffc,0x17ffffe6,0x7ffffdc0,0x7dc00004,0x0004ffff,0xffffffb0,
    0xffffffff,0x03ffffff,0x7fffcc00,0x2600005f,0x005fffff,0xffffffd8,
    0xffffffff,0x01ffffff,0x3fffe600,0x3fe6005f,0xf8807fff,0x7fc7ffff,
    0x5002ffff,0x21ffffff,0xfffebaa8,0xf7000eff,0x0009ffff,0xfffffb80,
    0xfff00004,0xffffffff,0xffffffff,0x4c0007ff,0x005fffff,0x3fffe600,
    0xfff8005f,0xffffffff,0xffffffff,0x260003ff,0x005fffff,0x3fffffe6,
    0x3fffe601,0x7ffec7ff,0x441acfff,0xffffffd9,0x3fffff24,0x2001efff,
    0x04fffffb,0x7ffdc000,0x980004ff,0xffffffff,0xffffffff,0x005fffff,
    0x3ffffe60,0x3e600005,0x4005ffff,0xfffffff9,0xffffffff,0x05ffffff,
    0x3fffe600,0x3fe2005f,0xf504ffff,0x8fffffff,0xfffffffa,0xffffffff,
    0x645fffff,0x3fffffff,0xffffb800,0x5c00004f,0x004fffff,0xfffffc80,
    0xffffffff,0xffffffff,0xff30000f,0x0000bfff,0x2fffffcc,0x3ffff200,
    0xffffffff,0xffffffff,0xf30000ff,0x800bffff,0xdfffffff,0xffffeb9b,
    0xfa87ffff,0xffffffff,0xffffffff,0xffffc86f,0xf70000ce,0x0009ffff,
    0xfffffb80,0xffe80004,0xeeeeefff,0xffeeeeee,0x0002ffff,0x0bfffff3,
    0x7ffcc000,0x7f4005ff,0xeeeeffff,0xfeeeeeee,0x002fffff,0xbfffff30,
    0xffffb800,0xffffffff,0x7fffffff,0xfffffd50,0xffffffff,0x26aa05bf,
    0xff700000,0x00009fff,0x4fffffb8,0x7ffc4000,0x7ec004ff,0x0004ffff,
    0x0bfffff3,0x7ffcc000,0x3e2005ff,0x4004ffff,0x04fffffd,0xfffff300,
    0xfffd000b,0xffffffff,0xfffff3df,0xfffec980,0x1cdeffff,0xb8000000,
    0xffffffff,0xffffffff,0x3fee05ff,0xffffffff,0xffffffff,0x3ffffee5,
    0x7ffdc002,0x3fea07ff,0xffffffff,0xffffffff,0xffffa86f,0xffffffff,
    0x6fffffff,0x17ffffdc,0x3fffee00,0x3ffea07f,0xffffffff,0xffffffff,
    0xfffff306,0x1bffffff,0x00fffff1,0x00013310,0x3ee00000,0xffffffff,
    0xffffffff,0x3ffee05f,0xffffffff,0x5fffffff,0x03fffff6,0xfffff300,
    0x3ffea03f,0xffffffff,0xffffffff,0xfffffa86,0xffffffff,0x46ffffff,
    0x00fffffd,0x7ffffcc0,0xffff501f,0xffffffff,0xdfffffff,0x7fffe440,
    0x3e22dfff,0x00007fff,0x00000000,0xfffffff7,0xffffffff,0x7dc0bfff,
    0xffffffff,0xffffffff,0xfffff15f,0x3ffe000b,0xff504fff,0xffffffff,
    0xffffffff,0xffff50df,0xffffffff,0xdfffffff,0x2fffffc4,0xfffff800,
    0xffff504f,0xffffffff,0xdfffffff,0x55953100,0x00000001,0x80000000,
    0xfffffffb,0xffffffff,0x3ee05fff,0xffffffff,0xffffffff,0xfffff55f,
    0x3ff20007,0xff506fff,0xffffffff,0xffffffff,0xffff50df,0xffffffff,
    0xdfffffff,0x1fffffd4,0xffffc800,0xffff506f,0xffffffff,0xdfffffff,
    0x00000000,0x00000000,0x7fffdc00,0xffffffff,0x05ffffff,0x3fffffee,
    0xffffffff,0xff95ffff,0x20003fff,0x0ffffffa,0xffffffa8,0xffffffff,
    0xa86fffff,0xffffffff,0xffffffff,0x3ff26fff,0x50001fff,0x01ffffff,
    0xfffffff5,0xffffffff,0x000dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x91000000,0x6f6403bd,0x6f644002,0x00b7b201,0x337f6e60,
    0x00000600,0xaaaaaaa8,0x55530002,0x2e600015,0x4002cefd,0x000aaaa9,
    0x2aaaaa00,0xaaa882aa,0x0001aaaa,0x00000000,0x003ffff6,0x0fffffc4,
    0x01ffffec,0x1fffff88,0x03ffffd8,0x3ffffee0,0x17dc0cff,0x7fec0000,
    0x000dffff,0xefffffa8,0x7ffdc000,0x800dffff,0x006ffff8,0x3ffff600,
    0xff700dff,0x005fffff,0x19dfd500,0x7c400000,0x2e005fff,0x4c5fffff,
    0x007fffff,0x8bfffff7,0x07fffff9,0xffffff50,0xfb57ffff,0x400005ff,
    0x3ffffffd,0xffff5000,0x2001dfff,0xfffffffc,0xffc805ff,0xb00001ff,
    0x07ffffff,0xfffffd30,0x7dc0005f,0x000effff,0xffff7000,0x7ffe4005,
    0x7ffdc7ff,0xfc800fff,0x7dc7ffff,0x400fffff,0xfffffff8,0xffffffff,
    0xb00004ff,0x03ffffff,0x3fffe600,0x806fffff,0xfefffff8,0x2601ffff,
    0x0003ffff,0xffffffb0,0x7fec4003,0x8001ffff,0xfffffff9,0xfb000004,
    0xfb800fff,0x7cc5ffff,0x7007ffff,0x98bfffff,0x007fffff,0xfb77dffb,
    0xffffffff,0x3f60000d,0x000dffff,0x3fffff30,0x80bffff9,0xf51efffc,
    0x7f40bfff,0xb00006ff,0x01bfffff,0x3fffee00,0x7dc001ff,0x07ffffff,
    0xf3531000,0xd000bfff,0xfb03ffff,0x74005fff,0xfd81ffff,0x36002fff,
    0x7fff540f,0x0000efff,0x3fffffd8,0x3ffe6000,0x3fff21ff,0x3fffa05f,
    0x837ffe44,0x001ffffc,0xfffffd80,0xfe980003,0x2001ffff,0xfffffffc,
    0xdb98000f,0xfffffffe,0x9b70002f,0x00e6dc01,0x70066dc0,0x0300039b,
    0x056776d4,0x77764000,0x220001ee,0xc81deeed,0xff03eeee,0xfffb85ff,
    0x4ffff987,0xeeec8000,0x200001ee,0x0deeeec8,0xfffff500,0xf7000dff,
    0xffffffff,0x0000bfff,0x00000000,0x00000000,0x00000000,0x22000000,
    0x7cc1ffff,0xfffe87ff,0x00000006,0x40000000,0xfffffff8,0x3ff62003,
    0xffffffff,0x001effff,0x00000000,0x00000000,0x00000000,0x40000000,
    0x5c2ffff8,0x7fe47fff,0x000001ff,0x00000000,0xfffff980,0x3ffe6005,
    0xffffffff,0x0effffff,0x00998000,0x35330000,0x26000001,0x000009a9,
    0x00004cc0,0x01353300,0x44ffff80,0x3e65fffc,0x00004fff,0x00026a66,
    0x09a99800,0x2cdb8800,0x7fffec00,0xfffcdfff,0x05ffffff,0xfffeca80,
    0x8000cdff,0xfffffeb9,0x001defff,0xffffeb98,0x01deffff,0x7ff65400,
    0x000cdfff,0xffffd730,0x03bdffff,0x51efffe8,0x7f49ffff,0x260006ff,
    0xffffffeb,0x0001deff,0xfffffd73,0x003bdfff,0xfffa8000,0x3fe64fff,
    0xffffffff,0xfffb1002,0xffffffff,0x3ffea005,0xffffffff,0x801dffff,
    0xfffffffa,0xffffffff,0x7ec4001d,0xffffffff,0x3ea002ff,0xffffffff,
    0x1dffffff,0xdfffff50,0x2e1fffff,0x8001ffff,0xfffffffa,0xffffffff,
    0xfff5001d,0xffffffff,0x003bffff,0x3fffa000,0x7ffe43ff,0x5fffffef,
    0xffffe980,0xffffffff,0x7fd400df,0xffffffff,0x0fffffff,0x7ffffd40,
    0xffffffff,0x3000ffff,0xfffffffd,0x1bffffff,0xfffff500,0xffffffff,
    0x3a01ffff,0xffffffff,0x9ffff33f,0x3ffea000,0xffffffff,0x00ffffff,
    0xffffffa8,0xffffffff,0x00000fff,0x37ffffd4,0x7cf7fff4,0x5407ffff,
    0xffffffff,0xffffffff,0x7fffd404,0xffffffff,0x405fffff,0xfffffffa,
    0xffffffff,0xffa805ff,0xffffffff,0x04ffffff,0xffffffa8,0xffffffff,
    0xfb105fff,0x45ffffff,0x000efffe,0xffffff50,0xffffffff,0xf500bfff,
    0xffffffff,0xffffffff,0xfc80000b,0x7cc2ffff,0xfffb3fff,0x7ff405ff,
    0xa99aefff,0x1ffffffe,0x337ffea0,0xffba99aa,0x202fffff,0xaacdfffa,
    0xffffba99,0x7f402fff,0x99aeffff,0xffffffea,0x6fffd401,0xfba99aac,
    0x02ffffff,0x82f7fb2a,0x002ffffb,0x337ffea0,0xffba99aa,0x402fffff,
    0xaacdfffa,0xffffba99,0x00002fff,0x21fffff6,0xf71ffffc,0x2e07ffff,
    0x204fffff,0x06fffffc,0x22002b6a,0x04fffffe,0x22002b6a,0x04fffffe,
    0x13ffffee,0x6fffffc8,0x40056d40,0x4fffffe8,0x3ffe2000,0x6d40004f,
    0xffe8800a,0x6d404fff,0xffe8800a,0x00004fff,0x21bffffa,0x3ea6ffff,
    0xf884ffff,0xe805ffff,0x002fffff,0x3fffe600,0x4c00005f,0x105fffff,
    0x00bfffff,0x05fffffd,0xfff98000,0x3a0005ff,0x0000ffff,0xfff98000,
    0x800005ff,0x05fffff9,0x3fffe000,0x7fffcc5f,0x3ffffe63,0xfffffc84,
    0xffffa801,0x7c00003f,0x0007ffff,0x7fffff80,0x3fffff90,0xfffff500,
    0xff000007,0x2000ffff,0x002ffffb,0x3fe00000,0x00007fff,0x0ffffff0,
    0xff880044,0x7fe44fff,0x3ffe20ff,0xfffe85ff,0xfff3007f,0x800009ff,
    0x007ffffe,0xffffe800,0xfffffd07,0x3fffe600,0xe800004f,0x8007ffff,
    0x005ffff8,0x7f400000,0x00007fff,0x0fffffd0,0x803dfff7,0x45fffff8,
    0x7cc6ffff,0xff84ffff,0x9999efff,0xff999999,0x40005fff,0xffff9999,
    0x9980007f,0x7fffff99,0x3dfffff0,0x33333333,0x0bfffff3,0xf3333000,
    0x000fffff,0x001ffffb,0x99980000,0x07fffff9,0xf3333000,0xfd8fffff,
    0x201fffff,0x26fffff8,0x543ffff9,0x443fffff,0xffffffff,0xffffffff,
    0x007fffff,0xffffdb91,0xffffffff,0x7f6e4400,0xffffffff,0xfff887ff,
    0xffffffff,0xffffffff,0x322007ff,0xffffffed,0x007fffff,0x217fffd4,
    0x00009aa8,0x3fffb722,0xffffffff,0x76e44007,0xffffffff,0x3fe67fff,
    0x405fffff,0x327fffff,0x7dc0ffff,0x7cc2ffff,0xffffffff,0xffffffff,
    0x4c07ffff,0xfffffffd,0xffffffff,0xfffd9807,0xffffffff,0xf987ffff,
    0xffffffff,0xffffffff,0x9807ffff,0xfffffffd,0xffffffff,0x3ffe2007,
    0x3fffea5f,0x6cc004ff,0xffffffff,0x7fffffff,0xffffb300,0xffffffff,
    0x7fdcffff,0x407fffff,0xf0fffffe,0xffd0dfff,0xffa81fff,0xffffffff,
    0xffffffff,0x3f607fff,0xffffffff,0xffffffff,0x7fffec07,0xffffffff,
    0xa87fffff,0xffffffff,0xffffffff,0x407fffff,0xfffffffd,0xffffffff,
    0x3f6007ff,0xfff90fff,0x01dfffff,0xffffffb0,0xffffffff,0xfb00ffff,
    0xffffffff,0xffffffff,0x7ffffe4f,0x7fe407ff,0xfffacfff,0x7fffcc3f,
    0xffffb87f,0xffffffff,0xffffffff,0xffff906f,0xffffffff,0x0fffffff,
    0x7fffffe4,0xffffffff,0xfb87ffff,0xffffffff,0xffffffff,0x3206ffff,
    0xffffffff,0xffffffff,0xff5007ff,0x3ffe67ff,0x4fffffff,0x7ffffe40,
    0xffffffff,0x407fffff,0xfffffffc,0xffffffff,0x3fea7fff,0x406fffff,
    0xdffffff9,0x7ec0ffff,0xf983ffff,0x999dffff,0x99999999,0xfa809999,
    0x9bffffff,0x7ffffe80,0xffffff50,0xffd0137f,0xfff30fff,0x33333bff,
    0x33333333,0x3fea0133,0x09bfffff,0x07ffffe8,0x25ffff88,0xfbbffffe,
    0xf500ffff,0x37ffffff,0xfffffd01,0x7ffffd40,0xfe809bff,0x7ff47fff,
    0xf802ffff,0xffffffff,0x3fffa25f,0xfff106ff,0x00000bff,0x0dfffffb,
    0x0fffffd0,0x1bfffff6,0x1fffffa0,0x17ffffe2,0x7fec0000,0xfe806fff,
    0xfd807fff,0xfff30fff,0x7fffc43f,0xfffffb02,0xffffd00d,0x7fffec0f,
    0xfffe806f,0x7fff447f,0xfff5003f,0x79ffffff,0xfffffffb,0x7ffffc05,
    0xff800007,0xe801ffff,0xff07ffff,0xd003ffff,0x3e0fffff,0x0007ffff,
    0xffffff00,0xffffd003,0xffffa80f,0x21fffea3,0xff03ffff,0xd003ffff,
    0x7c0fffff,0x801fffff,0x507ffffe,0xfd800157,0xffffffff,0xffffffff,
    0x7ffff406,0x2600002f,0x807fffff,0x87fffff8,0x07fffff9,0x7fffff88,
    0x5fffffd0,0xff980000,0xf8807fff,0x2207ffff,0x7dc6ffff,0xfffd86ff,
    0xfffff984,0xffff8807,0xffff307f,0xfff100ff,0x00000fff,0xffffffb1,
    0xffffffff,0xfff9009f,0x00001fff,0x3fffffe6,0x3fffe601,0xfff987ff,
    0x3e601fff,0x907fffff,0x01ffffff,0x7ffcc000,0x3e601fff,0x207fffff,
    0x5c1ffffc,0xffd86fff,0xffff984f,0x3fe601ff,0xf307ffff,0x403fffff,
    0x7ffffff9,0x07ffffd4,0x7fffe400,0xffffffff,0xfff1002f,0x4003dfff,
    0xffff8818,0xfff504ff,0xf10fffff,0x209fffff,0xfffffffa,0xfffff107,
    0x0c4003df,0xffffff88,0xfffff504,0x3fea0fff,0xfffa83ff,0x83ffff87,
    0x4ffffff8,0xffffff50,0x3ffe20ff,0xff504fff,0xc8ffffff,0x0005ffff,
    0x3ffffff6,0x000cefff,0x7fffffdc,0xaa99abdf,0xff04ffdb,0x37bfffff,
    0xffffffd7,0x3ffe0fff,0xb9bdffff,0xfffffffe,0x3ffee07f,0x9abdffff,
    0x4ffdbaa9,0x3fffffe0,0xffeb9bdf,0x87ffffff,0x306fffe8,0x7c43ffff,
    0xfff02fff,0x737bffff,0xfffffffd,0x7fffc0ff,0xeb9bdfff,0xffffffff,
    0x17fffec7,0xffff8800,0x0001acbd,0xffffffe8,0xffffffff,0xff704fff,
    0xffffffff,0xffffffff,0x3ffee0ff,0xffffffff,0xffffffff,0x7ffff407,
    0xffffffff,0x204fffff,0xfffffffb,0xffffffff,0xfc87ffff,0xff101fff,
    0xfff79fff,0x7ffdc0df,0xffffffff,0xffffffff,0x3fffee07,0xffffffff,
    0x7fffffff,0x003ffffc,0x05ffff70,0xffd10000,0xffffffff,0x09ffffff,
    0x7ffffff4,0x9effffff,0x3a07ffff,0xffffffff,0xff9effff,0x7f4407ff,
    0xffffffff,0x4fffffff,0x7fffff40,0xefffffff,0x4c7ffff9,0x5c03ffff,
    0xffffffff,0x7ff402ff,0xffffffff,0xffff9eff,0x7ffff407,0xffffffff,
    0x27ffff9e,0x004ffff8,0x01ffff60,0xfff70000,0xffffffff,0x4c09ffff,
    0xffffffff,0xff88dfff,0x3fe607ff,0xffffffff,0xffff88df,0xffff7007,
    0xffffffff,0xf9809fff,0xffffffff,0xfff88dff,0x37fff47f,0xfffffe80,
    0xf9804fff,0xffffffff,0xfff88dff,0x7ffcc07f,0xffffffff,0x7ffff88d,
    0x007fffea,0x27fffc40,0x6c400000,0xffffffff,0x401cefff,0xffffffc8,
    0x3ffe22df,0x7fe4407f,0x22dfffff,0x007ffff8,0x3fffff62,0xceffffff,
    0xfffc8801,0x222dffff,0x3f27ffff,0x2e001fff,0x02ffffff,0x3ffff220,
    0x3e22dfff,0xc8807fff,0xdfffffff,0x9ffffe22,0x0006fffc,0x00bfffee,
    0x2a600000,0x001aabcc,0x15595310,0xa9880000,0x00000aac,0xabcca980,
    0x2620001a,0x0000aaca,0x2aa60000,0x2a620000,0x00000aac,0x0aaca988,
    0x09998800,0x26662000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x73000000,0x379dddb9,
    0xaaaa8800,0x00001aaa,0x55555551,0x44000003,0x3b201dec,0x9880002d,
    0x2000000a,0x00020099,0x0055554c,0x55500000,0x80055555,0x20000aa8,
    0xaaaaaaa8,0x64400c01,0xffffffff,0x2e001dff,0x2fffffff,0xfff70000,
    0x0005ffff,0xfffff100,0x7ffffb03,0x87dddd70,0xdeffffea,0x36ea0002,
    0xbdfffffe,0x4000ffdb,0x0efffffa,0xfd800000,0x00dfffff,0x13fffee0,
    0xffffc800,0xd9510fff,0xfffb80ff,0xffffffff,0x26003fff,0x2ffffffe,
    0xffd30000,0x0005ffff,0xfffffb80,0x7ffffcc5,0x4ffffc87,0xffffffb1,
    0x98007fff,0xfffffffe,0xffffffff,0x3ffea000,0x000effff,0x3fff6000,
    0x4c003fff,0x02ffffff,0x3ffff600,0xffffffff,0x3ffe607f,0xffffffff,
    0x002fffff,0x3fffff62,0xb100001f,0x03ffffff,0x7ffe4000,0x7ffdc7ff,
    0x7fe40fff,0xffff8cff,0xffffffff,0xffff7004,0xffffffff,0x001fffff,
    0x3fffffe6,0x00006fff,0xffffffb0,0xfff90003,0x4000dfff,0xfffffff9,
    0x07ffffff,0xffffffd1,0xffffdb9d,0xf7000fff,0x003fffff,0x7fffdc00,
    0x700001ff,0x98bfffff,0xc87fffff,0xffedffff,0xffffffff,0x7f403fff,
    0xffffffff,0xffffffff,0xfff9800f,0xffffc9ff,0x7ec00005,0x000dffff,
    0xffffffb0,0xffec800f,0xffffffff,0x907fffff,0x03dfffff,0x3ffffff5,
    0xfffd3000,0x400003ff,0x1fffffe9,0xfffd0000,0xffffb03f,0xfffff905,
    0xfdffffff,0x0fffffff,0x7fffffdc,0xfeccacef,0x400fffff,0x21fffff9,
    0x005ffffc,0xfffffb00,0xffc80007,0x4005ffff,0xfffffffe,0xceffffff,
    0xfffff01b,0x7ffe401f,0x910003ff,0x001bdddd,0x77764400,0x700000de,
    0x66dc019b,0xfffff901,0x2217dfff,0x2ffffffd,0xffffff88,0x3fffa01f,
    0x3b6200ff,0xeec81dee,0x640003ee,0x001eeeee,0xfffff880,0x7ff4002f,
    0xffffffff,0x7c400fff,0x5405ffff,0x004fffff,0x00000000,0x00000000,
    0x7fffe400,0x3f605fff,0xfd86ffff,0x400effff,0x00fffffe,0x00000000,
    0x26000000,0x8002fffe,0xcceffffe,0x04ffffff,0x1fffffcc,0x3ffffee0,
    0x00000003,0x00000000,0x7e400000,0x00efffff,0x3fffffea,0x3ffffe60,
    0xfffe802f,0x000000ff,0x00000000,0x00018800,0x3fa06f36,0x202fffff,
    0x02fffffb,0x17fffff4,0x00998000,0x04cc0000,0x00000000,0xefffffc8,
    0xfffff800,0x3fffee1f,0xfffd006f,0x000001ff,0x00000000,0x00000000,
    0xffffff50,0x3fff201d,0x3ff602ff,0x20006fff,0xfffffeca,0x220000cd,
    0xfffffedb,0x3ae000cd,0xd801eeee,0xf90eeeee,0x2005ffff,0x22fffffd,
    0x03fffffc,0x1fffffd0,0x3ddddd70,0xdddddb00,0xddddd701,0xddddb003,
    0x0000001d,0xfffd9700,0x09ffffff,0x0bfffff2,0x7fffffe4,0xffd88001,
    0xffffffff,0xffb8002f,0xffffffff,0xff9003ff,0xfd003fff,0x3f21ffff,
    0xb002ffff,0x6c7fffff,0x002fffff,0x01fffffd,0x03fffff9,0x1fffffd0,
    0x3fffff90,0xfffffd00,0xeeeeeb81,0x2eeeeeee,0xfffd5000,0xffffffff,
    0xfff901ff,0xfff905ff,0x30005fff,0xfffffffd,0x1bffffff,0xffffb100,
    0xffffffff,0xfc803dff,0xe801ffff,0xf90fffff,0x2005ffff,0x24fffffc,
    0x01fffffe,0x1fffffd0,0x3fffff90,0xfffffd00,0xfffff901,0xffffd003,
    0xffffc81f,0xffffffff,0x7fec4003,0xffffffff,0xc84fffff,0x5c2fffff,
    0x02ffffff,0xfffffa80,0xffffffff,0x7c404fff,0xffffffff,0xffffffff,
    0x7fffe406,0xfffe801f,0xffff90ff,0x3ff2005f,0x3ffe4fff,0xfd000fff,
    0xf901ffff,0xd003ffff,0x901fffff,0x003fffff,0x81fffffd,0xfffffffc,
    0x003fffff,0x7ffffff4,0xffffffff,0x7fe40fff,0x3fe22fff,0x0002ffff,
    0x5dfffffd,0xffffd533,0x7fec03ff,0xfeffffff,0xffffffff,0x3ffff203,
    0xfffe801f,0xffff90ff,0x3ff6005f,0xfff13fff,0x3a001fff,0xc80fffff,
    0x801fffff,0x80fffffe,0x01fffffc,0x0fffffe8,0x7fffffe4,0x03ffffff,
    0x3ffffee0,0xfdcaceff,0x644fffff,0x2a2fffff,0x005fffff,0x9fffff70,
    0x7ffffe40,0xfffff306,0x7dc415df,0x00ffffff,0x03fffff9,0x1fffffd0,
    0x0bfffff2,0x7ffffec0,0x3fffffe2,0xffffd001,0xffff901f,0xfffd003f,
    0xfff901ff,0xffd003ff,0xeeb81fff,0xffffeeee,0xff1003ff,0x203fffff,
    0x47fffffe,0x22fffffc,0x03fffffc,0xfffff880,0xffffe805,0xffffe82f,
    0x3fe600ef,0xf905ffff,0xd003ffff,0x321fffff,0x002fffff,0x41ffffff,
    0x01fffffe,0x1fffffd0,0x3fffff90,0xfffffd00,0xfffff901,0xffffd003,
    0x7fe4001f,0xfb003fff,0x401dffff,0x1ffffffb,0x8bfffff2,0x05fffffc,
    0xfffffc80,0xffffa801,0x7fffd43f,0xffc800ff,0xff907fff,0xfd003fff,
    0x3f21ffff,0x9802ffff,0x6c7fffff,0x803fffff,0x0ffffffa,0x1fffffc8,
    0xfffffe80,0xfffffc80,0xffffe801,0x3ff2000f,0xf9803fff,0x402fffff,
    0x3ffffff8,0x8bfffff2,0x1ffffffa,0x7ffff400,0xffff3007,0xffffc89f,
    0xfff1005f,0xff901fff,0xfd003fff,0x3f21ffff,0xd802ffff,0x646fffff,
    0x405fffff,0xfffffff9,0xfffffc80,0xffffe801,0xffffc80f,0xfffe801f,
    0x3f2000ff,0xa803ffff,0x006fffff,0x4bfffffb,0x22fffffc,0xfffffff9,
    0x3fffe002,0x999999ef,0xffff9999,0x7fffec5f,0x3ffa002f,0xffc81fff,
    0xfe801fff,0xff90ffff,0xfa805fff,0x543fffff,0x00ffffff,0xfffffff1,
    0xffff901f,0xfffd003f,0xfff901ff,0xffd003ff,0x64001fff,0x803fffff,
    0x03fffffb,0xdfffff70,0x17ffffe4,0x3ffffff6,0xfff8804f,0xffffffff,
    0xffffffff,0x7fff47ff,0x3f6000ff,0xfc83ffff,0xe801ffff,0xf90fffff,
    0x5c05ffff,0x05ffffff,0x1dffffff,0xfffffeb8,0xffc80fff,0xfe801fff,
    0xfc80ffff,0xe801ffff,0x000fffff,0x0ffffff2,0x3fffff60,0xffff5002,
    0x7fffe4ff,0x7fffc42f,0x200dffff,0xfffffff9,0xffffffff,0x47ffffff,
    0x00ffffff,0x3fffff20,0xfffffc84,0xffffe801,0xfffff90f,0xfb75559d,
    0x01ffffff,0x3fffffee,0xfffffcdf,0x80ffffff,0x01fffffc,0x0fffffe8,
    0x1fffffc8,0xfffffe80,0x3fff2000,0xffe803ff,0xf5001fff,0x7e4fffff,
    0xf982ffff,0xefffffff,0xfffff500,0xffffffff,0xffffffff,0x7ffffc4f,
    0x7ffdc007,0xfffc85ff,0xffe801ff,0xfff90fff,0xffffffff,0x7fffffff,
    0x7ffffc40,0xffffffff,0x0fffffff,0x1fffffc8,0xfffffe80,0xfffffc80,
    0xffffe801,0x3ff2000f,0xff803fff,0x3000ffff,0x21ffffff,0x02fffffc,
    0xffffffd3,0x3ffee0bf,0xffffffff,0xffffffff,0x3ffe26ff,0x7e4007ff,
    0xfc84ffff,0xe801ffff,0xf90fffff,0xffffffff,0xffffffff,0xffff5007,
    0xffffffff,0x1fffff9b,0x3fffff90,0xfffffd00,0xfffff901,0xffffd003,
    0x7fe4001f,0x7c403fff,0x000fffff,0x4ffffff3,0x02fffffc,0x3fffff62,
    0xfff982ff,0x99999dff,0x99999999,0x7fffc099,0x3f2000ff,0xfc82ffff,
    0xe801ffff,0xf90fffff,0xffffffff,0x1bffffff,0x7fffcc00,0x94ffffff,
    0x901fffff,0x003fffff,0x01fffffd,0x03fffff9,0x1fffffd0,0x7fffe400,
    0xffff803f,0xff5001ff,0x7fe4ffff,0xfd802fff,0x885fffff,0x005fffff,
    0x7ffff400,0x3ffa001f,0xffc81fff,0xfe801fff,0xff90ffff,0xffffffff,
    0x0005bdff,0x3fffff66,0x3fff62ef,0xfffc80ff,0xffe801ff,0xffc80fff,
    0xfe801fff,0x2000ffff,0x03fffffc,0x2fffffe8,0xfffff700,0x7ffffe4d,
    0xffffb002,0x3fffe0ff,0x6c00007f,0x004fffff,0x1ffffff1,0x5fffff90,
    0xfffffa80,0xfffff90f,0x00355535,0x35773000,0x1fffffb0,0x5fffff90,
    0xfffffa80,0xffffc80f,0x7ffd402f,0x32000fff,0x803fffff,0x03fffffd,
    0x9fffffb0,0x17ffffe4,0xfffffa80,0xffffe80f,0x3200002f,0x00ffffff,
    0x7fffffc8,0x9fffff90,0x7ffffcc0,0xffff90ff,0x0000005f,0x7fffec00,
    0xffffc80f,0x3ffe604f,0xfc80ffff,0x2604ffff,0x0fffffff,0x3ffff200,
    0xfffc803f,0xff9806ff,0x3f22ffff,0x1002ffff,0x20ffffff,0x0ffffffc,
    0xfff50000,0xf9809fff,0x703fffff,0x20dfffff,0xfffffff8,0xfffff90f,
    0x00000005,0x7fffff40,0xfffffb80,0xfffff106,0xff701fff,0x3e20dfff,
    0x0fffffff,0x3ffff200,0xfffa803f,0x7ec02fff,0x320fffff,0x002fffff,
    0x0dfffff5,0x3fffffe2,0x4062001e,0xdffffffd,0xfffffa80,0x3ffea06f,
    0x3ee22fff,0xffffffff,0x5fffff90,0x00000000,0x07fffff4,0x7fffffd4,
    0x3fffee22,0xa80fffff,0x22ffffff,0xffffffb8,0x32000fff,0x003fffff,
    0x7ffffffd,0xfffffb10,0xffffc89f,0x26ab322f,0xffffffca,0x3fffee04,
    0x99abdfff,0x04ffdbaa,0xfffffff3,0xffffb9df,0x4405ffff,0xefffffff,
    0xfffffffc,0xff90ffff,0x00005fff,0x7ff40000,0xff880fff,0xfcefffff,
    0xffffffff,0xfff880ff,0xffceffff,0xffffffff,0x3ff2000f,0xf5003fff,
    0xbfffffff,0xffffffb9,0xfffc81ff,0x3fff62ff,0xffffffff,0x7fff400f,
    0xffffffff,0x04ffffff,0x3ffffff2,0xffffffff,0xfc805fff,0xffffffff,
    0xfffdffff,0xffff90ff,0x0000005f,0x7ffff400,0xffff900f,0xffffffff,
    0x1fffffbf,0x3fffff20,0xffffffff,0x20fffffd,0xccccccc9,0xcefffffe,
    0x742ccccc,0xffffffff,0xffffffff,0xffffc83f,0x3ffff62f,0x1fffffff,
    0xffffe880,0xffffffff,0x2204ffff,0xfffffffd,0xffffffff,0xffff1004,
    0xffffffff,0x1fffff1b,0x0bfffff2,0x80000000,0x00fffffe,0xfffffff1,
    0xf1bfffff,0x2201ffff,0xffffffff,0xff8dffff,0x3fee0fff,0xffffffff,
    0xffffffff,0x7ff4c4ff,0xffffffff,0x903fffff,0x6c5fffff,0xffffffff,
    0x7dc002ef,0xffffffff,0x04ffffff,0xffffffa8,0x2fffffff,0x7fffd400,
    0x14ffffff,0x321fffff,0x002fffff,0x3a000000,0x200fffff,0xfffffffa,
    0xfff14fff,0x7fd401ff,0xffffffff,0x1fffff14,0x7fffffdc,0xffffffff,
    0x04ffffff,0xfffffff9,0x07ffffff,0x17ffffe4,0xfffffffb,0x6c40007d,
    0xffffffff,0x001cefff,0xfffffd91,0x00019dff,0x3fffffa2,0x3ffe22ef,
    0xffff90ff,0x0000005f,0x7ffff400,0x7ff4400f,0x222effff,0x400fffff,
    0xffffffe8,0x3fffe22e,0x3fffee0f,0xffffffff,0xffffffff,0x3fffaa04,
    0x0bffffff,0x55330000,0x20000033,0x1aabcca9,0xba988000,0x4400001a,
    0x8001abb9,0x01ccccca,0x20000000,0x00cccccb,0x03577310,0x77310000,
    0x3ee00035,0xffffffff,0xffffffff,0x31004fff,0x00013577,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00098800,0x554c0000,0x000000aa,0x0aaaaaa0,
    0x2aaaaaa2,0x74c0001a,0x001eeeee,0x4eeeeeb8,0x02aaaaa6,0x2e600000,
    0x0600cdfd,0x077b2200,0x0002dec8,0x55555400,0x2aaa62aa,0x2e0002aa,
    0x3efffffd,0x7d400000,0x000effff,0xfffd0000,0xfff701ff,0x0005ffff,
    0x5fffffe8,0xffffe800,0x3ffff23f,0x4000002f,0xfffffffb,0x0017dc0c,
    0x03fffff1,0x007ffffb,0x3fff6000,0x3ee0dfff,0x8007ffff,0xffffffe9,
    0x0002efff,0xfffffa80,0x00000eff,0xfffffe80,0xffffd300,0x5c0005ff,
    0x00ffffff,0x3ffffe60,0x3ffff20f,0x2000002f,0xfffffffa,0xffdabfff,
    0xfff7002f,0xfff98bff,0x800007ff,0x3ffffffd,0x7fffffb8,0x7fffdc00,
    0xffffffff,0x2600002f,0xffffffff,0x8000006f,0x00fffffe,0x3fffff62,
    0xff10001f,0x4005ffff,0x45fffffc,0x02fffffc,0xfff10000,0xffffffff,
    0x09ffffff,0x3fffff20,0x7ffffdc7,0x3600000f,0x01ffffff,0x0dfffff5,
    0x7ffffcc0,0xffffffff,0x980000ff,0xfc9fffff,0x00005fff,0x7fffff40,
    0xffffb800,0xfb0001ff,0x400bffff,0x42ffffff,0x02fffffc,0x3ff60000,
    0xffffdbbe,0x006fffff,0x17ffffee,0x0ffffff3,0x7ffec000,0x3ea00dff,
    0x2006ffff,0xbefffffe,0xffffffca,0x7fcc0005,0x3ff21fff,0x000005ff,
    0x03fffffa,0x7ffff4c0,0xffa8001f,0x9800ffff,0xc86fffff,0x002fffff,
    0x207ec000,0xffffffea,0x7ff4000e,0xfffd81ff,0xfb00002f,0x3007ffff,
    0x00bfffff,0x13ffffea,0x1fffffe6,0xeeed8800,0xeeeec81d,0xfd000003,
    0x4001ffff,0x0deeeec8,0xfffff800,0xfffc803f,0xfffc83ff,0x000002ff,
    0x3bb6a018,0xb70000ac,0x0e6dc019,0xeeec8000,0xff3001ee,0x2e00bfff,
    0x900fffff,0x001fffff,0x00000000,0xffffe800,0x0000000f,0x3ffffee0,
    0xfffff806,0xffffc80f,0x0000002f,0x00000000,0x00000000,0x3fffe200,
    0xfffb004f,0x7ffd40df,0x000001ff,0x40000000,0x00fffffe,0x22000000,
    0x01ffffff,0x17ffffea,0x17ffffe4,0x00000000,0x00000000,0x00000000,
    0x09fffff1,0x1bffffa0,0x0fffffb8,0x13300000,0x99800000,0x1fffffd0,
    0x80000000,0x04fffffd,0x0bfffff6,0x0fffffe4,0x00000988,0x00002660,
    0x00026600,0x00266000,0x0fffffe0,0x7ffffe40,0xdffffb00,0x76540000,
    0x0cdfffff,0x3b72a000,0xffffffff,0xeeb80fff,0xed801eee,0xf500eeee,
    0x220fffff,0x207fffff,0x21fffffc,0xdefffeca,0x36e20002,0xcdfffffe,
    0x6dc40000,0xcdfffffe,0x6dc40000,0xcdfffffe,0xfffff800,0xffff7003,
    0xffff505f,0xb100009f,0xffffffff,0x98005fff,0xfffffffe,0xffffffff,
    0xfffffc80,0xffffe801,0x3fffe00f,0xfffb82ff,0x3ff204ff,0xfff91fff,
    0x07ffffff,0xfffff700,0x7fffffff,0x3ffee000,0xffffffff,0xff70003f,
    0xffffffff,0xffe807ff,0xff3002ff,0x7d41ffff,0x000fffff,0x7ffff4c0,
    0xffffffff,0x7e4400df,0xffffffff,0xffffffff,0xfffffc80,0xffffe801,
    0x3fff200f,0xfffe85ff,0x3ff200ff,0xfffd9fff,0xffffffff,0xfffb1004,
    0xffffffff,0x2003dfff,0xffffffd8,0xffffffff,0xffb1001e,0xffffffff,
    0x203dffff,0x001ccccb,0x37fffff6,0xffffffc8,0x7fd40002,0xffffffff,
    0x04ffffff,0x7ffffff4,0xffffffff,0xfc80ffff,0xe801ffff,0x200fffff,
    0x0ffffff8,0x1bffffe6,0xdfffff90,0xffffffff,0x807fffff,0xfffffff8,
    0xffffffff,0xff8806ff,0xffffffff,0x6fffffff,0xfffff880,0xffffffff,
    0x0006ffff,0xfffff300,0xffffffff,0xffd00007,0x5335dfff,0x3ffffffd,
    0x3ffffee0,0xeccaceff,0x80ffffff,0x01fffffc,0x0fffffe8,0x7ffffec0,
    0x3fffff22,0x7fffe402,0xefffffff,0x7fffffff,0x7ffffec0,0xffffefff,
    0x403fffff,0xfffffffd,0xffffffef,0x7ec03fff,0xefffffff,0xffffffff,
    0x9000003f,0xffffffff,0x00003fff,0x09fffff7,0x37ffffe4,0x7fffffc4,
    0x3fffa01f,0xfffc80ff,0xffe801ff,0x7d400fff,0x3fe5ffff,0xfc807fff,
    0xefffffff,0xffffb10b,0x3fe605ff,0x20aeffff,0xffffffb8,0xffff300f,
    0x5c415dff,0x0fffffff,0xffffff30,0x7fdc415d,0x500fffff,0xe8007dfb,
    0xffffffff,0xf880000c,0xe805ffff,0x6c2fffff,0x00efffff,0x07fffff4,
    0x0fffffe4,0x7fffff40,0xfffff800,0xfffff98f,0xffffc804,0x3f605fff,
    0xfd06ffff,0x401dffff,0x5ffffff9,0xdfffffd0,0x7fffcc01,0xfffd05ff,
    0x7cc01dff,0xd85fffff,0x00efffff,0xffffff98,0x200001ff,0x01fffffc,
    0x3fffffa8,0x3fffffe6,0xffffe802,0xffffc80f,0xfffe801f,0xffc800ff,
    0xfffcbfff,0xffc801ff,0x200effff,0x0ffffffa,0x7fffffd4,0xffffc800,
    0xffffa87f,0xffc800ff,0xffa87fff,0xc800ffff,0x5c7fffff,0x5fffffff,
    0x7ffffdc0,0x9904ffff,0xfe803999,0xf3007fff,0x7d49ffff,0xd006ffff,
    0x901fffff,0x003fffff,0x01fffffd,0xdfffff30,0x00dfffff,0x3bfffff2,
    0xfffff800,0x7fffe41f,0xfff1005f,0xffc81fff,0xf1005fff,0xc81fffff,
    0x005fffff,0x1ffffff1,0x7ffffff4,0xfff700ff,0xffffffff,0xfffff887,
    0x7ffffc02,0x9999999e,0xfffff999,0x3fffff25,0xffffd003,0xffff901f,
    0xfffd003f,0x3fa001ff,0xffffffff,0xfff9003f,0x3f6005ff,0x7ec2ffff,
    0x2002ffff,0x41fffffe,0x02fffffd,0x3fffffa0,0x7ffffec1,0x3fffa002,
    0x3fffe1ff,0xa82fffff,0xfeffffff,0x221fffff,0x201fffff,0xfffffff8,
    0xffffffff,0x27ffffff,0x02fffffd,0x1fffffd0,0x3fffff90,0xfffffd00,
    0x3ffea001,0x0fffffff,0xfffff900,0x3fff6005,0x7fff43ff,0x3f6000ff,
    0x7f43ffff,0x2000ffff,0x43fffffd,0x00fffffe,0x3fffff60,0x3fffffe3,
    0xffe81fff,0xfffd3fff,0x3fe21fff,0x3e600fff,0xffffffff,0xffffffff,
    0x3fa7ffff,0xd001ffff,0x901fffff,0x003fffff,0x01fffffd,0x7fffffc0,
    0x32004fff,0x002fffff,0x89fffff9,0x00ffffff,0x3fffff20,0x7fffffc4,
    0x3fff2000,0x7fffc4ff,0x3f2000ff,0x3f64ffff,0x87ffffff,0x24fffffa,
    0xeffffff8,0x07ffffa8,0x7fffffd4,0xffffffff,0x7fffffff,0x03fffffe,
    0x7fffff40,0xfffffc80,0xffffe801,0x3ff2000f,0x01ffffff,0x3fffff20,
    0xffff9002,0x7fffc49f,0x7fdc007f,0x3fe25fff,0x5c007fff,0x225fffff,
    0x007fffff,0x2fffffdc,0xfffffff1,0xfffffd07,0xfffff983,0x7ffffbdf,
    0x7ffffdc0,0xffffffff,0xffffffff,0xffffff16,0x3fffa001,0xfffc80ff,
    0xffe801ff,0x26000fff,0x5fffffff,0x7fffe400,0xfffb002f,0x7ffc47ff,
    0x7e4007ff,0x3e24ffff,0x4007ffff,0x24fffffc,0x07fffff8,0x7ffffe40,
    0x7ffffd44,0xffffff03,0x3ffffee0,0x04ffffff,0x6fffffcc,0x99999999,
    0x09999999,0x07fffffe,0x7fffff40,0xfffffc80,0xffffe801,0x7ff4000f,
    0x4001ffff,0x02fffffc,0x5fffffb0,0x0ffffff8,0x3ffff200,0x7ffffc2f,
    0x3ff2000f,0x7ffc2fff,0x32000fff,0x882fffff,0xff100aba,0x7e40bfff,
    0xffffffff,0x7ffc401f,0x200005ff,0x01fffffe,0x1fffffd0,0x3fffff90,
    0xfffffd00,0xfffe8001,0xfc8005ff,0xf002ffff,0xe81fffff,0x001fffff,
    0x07fffffa,0x03fffffd,0x7fffff40,0x7fffff41,0x3fffa001,0x220001ff,
    0x405fffff,0xfffffffd,0xffff006f,0x6c0000ff,0x803fffff,0x0ffffffa,
    0x2fffffc8,0x7ffffd40,0x3fea000f,0x8002ffff,0x02fffffc,0x7fffff98,
    0x4fffffd8,0xfffff100,0xffffd81f,0xfff1004f,0xffd81fff,0xf1004fff,
    0x001fffff,0x7fffff80,0x7ffff440,0xfd003fff,0x0005ffff,0x3fffff20,
    0x7fffcc05,0xffc80fff,0x3e604fff,0x00ffffff,0xfffffd10,0x3ff2000d,
    0xfd802fff,0xfc86ffff,0x800fffff,0x87fffffc,0x0ffffffc,0xfffffc80,
    0xfffffc87,0xfffc800f,0xe80007ff,0x402fffff,0xfffffff9,0xffff9000,
    0x500001ff,0x01ffffff,0x3fffffe2,0xfffb80ff,0xfff106ff,0x001fffff,
    0x3ffffff6,0xfff90001,0xffa805ff,0xfa83ffff,0x404fffff,0x3ffffff9,
    0xffffffa8,0x7fffcc04,0xfffa83ff,0x7cc04fff,0x003fffff,0xfffffc80,
    0x3ffea01f,0x1004ffff,0x3dffffff,0x7fc0c400,0x5c0effff,0xfffffffe,
    0xffffa80f,0x3fee22ff,0x0fffffff,0x7ffff4c0,0x320002ff,0x202fffff,
    0x5ffffffb,0x3fffff60,0xfffa80df,0x3f606fff,0x80dfffff,0x6ffffffa,
    0x3fffff60,0xfffa80df,0x00006fff,0xfffffff3,0xffb7537b,0x7fffffff,
    0x3fffee00,0x99abdfff,0x84ffdbaa,0xfffffffb,0xffffffcd,0x880fffff,
    0xefffffff,0xfffffffc,0x3b20ffff,0xffffffee,0x640004ff,0xacefffff,
    0xffffdbaa,0x3e600fff,0xefffffff,0xffffffdc,0x3fe602ff,0xceffffff,
    0xfffffffd,0x3ffe602f,0xdcefffff,0xffffffff,0x3f200002,0xffffffff,
    0xffffffff,0x002fffff,0xfffffffd,0xffffffff,0xfff109ff,0xffffffff,
    0xffffbfff,0x3fff201f,0xffffffff,0xfffffdff,0x3fffff20,0x006fffff,
    0xfffffc80,0xffffffff,0x803fffff,0xfffffffc,0xffffffff,0xffc805ff,
    0xffffffff,0x5fffffff,0xfffffc80,0xffffffff,0x0005ffff,0xfffffe80,
    0xffffffff,0xffffffff,0xffe8800f,0xffffffff,0x04ffffff,0xfffffff5,
    0xf1bfffff,0x2201ffff,0xffffffff,0xff8dffff,0x3ff20fff,0xdfffffff,
    0xffc80000,0xffffffff,0x3fffffff,0xffffb100,0xffffffff,0x22009fff,
    0xfffffffd,0xffffffff,0xfffb1004,0xffffffff,0x0009ffff,0x3fff2200,
    0xffffffff,0xffff8aef,0xf7000eff,0xffffffff,0x09ffffff,0x7fffffcc,
    0x3fe4ffff,0x3ea00fff,0xffffffff,0xfffff14f,0x7ffffe41,0x00002eff,
    0x3ffffff2,0xffffffff,0xfa8000df,0xffffffff,0x8002ffff,0xfffffffa,
    0x02ffffff,0xfffffa80,0xffffffff,0x88000002,0xfffffffd,0x7ffcc3ff,
    0x22005fff,0xfffffffd,0x01ceffff,0x7ffffecc,0x7fffc2ef,0x7ff4400f,
    0x222effff,0x320fffff,0x03ceffff,0xfb730000,0xffffffff,0x880005bd,
    0xffffffec,0x20000cef,0xfffffec8,0x0000ceff,0x3ffffb22,0x000cefff,
    0xa9880000,0x000009ac,0x5e654c00,0x260001aa,0x00001abb,0x01abb988,
    0x00066600,0x4cc40000,0x00001aaa,0x06aea620,0x54c40000,0x000001ab,
    0x00357531,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x4000aaaa,0x00009aaa,
    0x203eda80,0xec80ced9,0x4401eeee,0x004eeeee,0x066fedcc,0x53000030,
    0x50001555,0x05555555,0x30000000,0x15555555,0x77ff6dcc,0xaa98002d,
    0x555530aa,0x00000015,0x77ffffd4,0xffff1000,0x00059dff,0x85ffffb8,
    0x40effff9,0x01fffffd,0x2fffffc4,0xfffff700,0x2fb819ff,0x3ffea000,
    0x44000eff,0x5ffffffe,0x20000000,0xfffffffa,0x7ffffdc2,0x1000efff,
    0x7e4dffff,0x0002ffff,0xffff5000,0x1001dfff,0xffffffff,0x3e0005df,
    0x741fffff,0x6c3fffff,0x401fffff,0x05fffff8,0xffffff50,0xfb57ffff,
    0xf50005ff,0x1dffffff,0xffff9000,0x00000bff,0xfffff500,0xfff701df,
    0x0bffffff,0x87ffff20,0x02fffffc,0xff980000,0x6fffffff,0xfffff880,
    0x2effffff,0x3fffe200,0x7fffc2ff,0x7ffec4ff,0x7fc401ff,0xf8805fff,
    0xffffffff,0xffffffff,0x7ffcc004,0x06ffffff,0xfffff500,0x000000bf,
    0x7fffffd4,0x2ab36e04,0x807ffffb,0x643ffff9,0x002fffff,0x7ffcc000,
    0xffffc9ff,0x7fffc405,0xffffffff,0x3ffe002f,0x7fec1fff,0x7fec3fff,
    0x7c401fff,0xb005ffff,0xffb77dff,0xdfffffff,0xffff9800,0x5ffffc9f,
    0xfffd1000,0x00000bff,0xffffff50,0x3ff60005,0xfffe805f,0xfffffc86,
    0x26000002,0x321fffff,0x2205ffff,0xffffffff,0x01ffffff,0x0bffff70,
    0xb0dffff3,0x803fffff,0x05fffff8,0xfd503f60,0x01dfffff,0x7ffffcc0,
    0x17ffff21,0xffffc800,0x2000005f,0x0efffffa,0x3f2a6600,0x7e403fff,
    0xffc81fff,0x00002fff,0x3bdddb10,0x07dddd90,0xfff95330,0x01ffffff,
    0x980f76a0,0xfffb03dc,0xff8803ff,0x0c005fff,0x159ddb50,0x7776c400,
    0xeeeec81d,0x3baa0003,0x00003eee,0x4eeeed98,0xfffff800,0x7fcc02ff,
    0xfff904ff,0x000005ff,0x40000000,0xffffffb8,0x0000005f,0x1fffffd8,
    0x7ffffc40,0x00000005,0x00000000,0x00000000,0xfff80000,0x200cffff,
    0x3206fffe,0x002fffff,0x00000000,0xffffa800,0x000007ff,0xfffffd80,
    0x7fffc401,0x0000005f,0x00000000,0x00000000,0xff800000,0x1fffffff,
    0x01ffffc8,0x0bfffff2,0x4c000000,0x90000009,0x01ffffff,0xfd800000,
    0x4401ffff,0x005fffff,0x002a6200,0x00000000,0x00000000,0x5cc00000,
    0x7cc4ffff,0x7e404fff,0x9882ffff,0xb880000a,0xdfffffed,0xf300000c,
    0x205fffff,0xeeeeeeeb,0x802eeeee,0x01fffffd,0x2fffffc4,0x0fbbbae0,
    0xbfffffd5,0x3bbae003,0xeeeeeeee,0xeeb8002e,0xeeeeeeee,0xeb8002ee,
    0xeeeeeeee,0x00002eee,0xfe8dffff,0xffc806ff,0x3faa1fff,0x001dffff,
    0xffffffb8,0x03ffffff,0xfffff000,0x3fff207f,0xffffffff,0xfffd803f,
    0x7fc401ff,0x7e405fff,0xffb14fff,0x7fffffff,0xfffff900,0x7fffffff,
    0xffff9000,0xffffffff,0xfff90007,0xffffffff,0x55e4007f,0xffffdbaa,
    0x07fffee4,0x3fffff20,0xfffffd89,0x1003ffff,0xfffffffb,0xdfffffff,
    0x7fc40003,0xf902ffff,0xffffffff,0xfb007fff,0x8803ffff,0x405fffff,
    0xf8cffffc,0xffffffff,0x7e403fff,0xffffffff,0xc8003fff,0xffffffff,
    0x8003ffff,0xfffffffc,0x003fffff,0x3ffffffe,0xff30ffff,0x3f2009ff,
    0xffe9ffff,0xffffffff,0x7ffc403f,0xffffffff,0x06ffffff,0x3fffea00,
    0xfff900ff,0xffffffff,0xfffb007f,0xff8803ff,0x7e405fff,0xfffedfff,
    0xffffffff,0x7ffe407f,0xffffffff,0xffc8003f,0xffffffff,0xfc8003ff,
    0xffffffff,0x3e003fff,0xffffffff,0x3bfffa1e,0xffff9000,0xffffffdf,
    0x0fffffff,0xffffffd8,0xfffffeff,0x8003ffff,0x7ffffff8,0x3bbbbae0,
    0x3ffffffe,0xfffffd80,0x7fffc401,0x7ffe405f,0xffffffff,0xfffffffe,
    0x3bbbae03,0xffffffee,0xeeeb8003,0xfffffeee,0xeeb8003f,0xffffeeee,
    0x3b6003ff,0x41cdefff,0x002ffffb,0x3ffffff2,0xffefffff,0x303fffff,
    0x5dffffff,0x7fffdc41,0x98800fff,0xfffffffb,0xfff90003,0xffb007ff,
    0xf9803fff,0x6405ffff,0xffffffff,0xfffd50be,0x32000bff,0x003fffff,
    0x7fffe400,0x6400003f,0x003fffff,0xffff1000,0xfffc8009,0x0befffff,
    0xbfffffd5,0x3fffffa0,0x3ffe600e,0xfff05fff,0xffffffff,0x7e4000df,
    0xd803ffff,0x401fffff,0x05fffffe,0x7fffffe4,0xffff505f,0x3f2000df,
    0x0003ffff,0x7ffffe40,0x7e400003,0x0003ffff,0x1ffffd00,0xffffc800,
    0xff505fff,0xff50dfff,0x9001ffff,0x20ffffff,0xffffffff,0x0001ffff,
    0x0ffffff2,0x3fffff60,0x3ffff603,0x7fe406ff,0x100effff,0x00ffffff,
    0x3fffff20,0x7e400003,0x0003ffff,0x7ffffe40,0xfb800003,0xc8002fff,
    0x0effffff,0xffffff10,0xbfffff90,0x3fffe200,0xffff80ff,0x0dffffff,
    0x7ffe4000,0xffd803ff,0xff705fff,0x80dfffff,0x0efffffc,0x7fffff40,
    0xfffc8000,0x400003ff,0x03fffffc,0x7ffe4000,0x400003ff,0x005ffff8,
    0xdfffff90,0xffffe801,0x7fffec0f,0x3ffa002f,0xfff81fff,0x02dfffff,
    0xffff9000,0xfffb007f,0x7e445fff,0xffffffff,0x3ffff200,0xfffe802f,
    0xfc8000ff,0x0003ffff,0x7ffffe40,0x7e400003,0x0003ffff,0x07fffec0,
    0xffffc800,0xfffe802f,0x7fff40ff,0x3f6000ff,0xfe83ffff,0x0001efff,
    0xfffffc80,0xffffd803,0xfffdefff,0xffffffff,0xfffc81cf,0xffe802ff,
    0xc8000fff,0x003fffff,0x7fffe400,0x6400003f,0x003fffff,0x3fffea00,
    0x3ff20002,0xfe802fff,0x7fc0ffff,0x2000ffff,0x84fffffc,0x004ffffe,
    0xffff9000,0xfffb007f,0xffffffff,0xffffbfff,0xff907fff,0xfd005fff,
    0x0001ffff,0x07fffff9,0xfffc8000,0x400003ff,0x03fffffc,0xffff1000,
    0xfffff88b,0xffffc82f,0xfffe802f,0x3ffe20ff,0x7dc007ff,0xfd85ffff,
    0x00004fff,0x7fffff90,0xfffffb00,0xffffffff,0xffffff35,0xffff907f,
    0xfffd005f,0xf90001ff,0x0007ffff,0xfffffc80,0x7e400003,0x0003ffff,
    0x81ffffb0,0x2ffffffd,0x2fffffc8,0xfffffe80,0x3ffffe20,0x7ffe4007,
    0xfffd84ff,0x9000003f,0x007fffff,0xfffffffb,0x745fffff,0x83ffffff,
    0x02fffffc,0x0fffffe8,0xffffc800,0x6400003f,0x003fffff,0x7fffe400,
    0xfa80003f,0x7fd43fff,0xc82fffff,0x802fffff,0x40fffffe,0x00ffffff,
    0x3fffff20,0x3ffffd82,0xff900000,0xfb007fff,0xfffdffff,0xffe885bf,
    0xffc83fff,0xfe802fff,0x8000ffff,0x03fffffc,0x7ffe4000,0x400003ff,
    0x03fffffc,0x7fffc400,0x77fff445,0xffc82fff,0xfe802fff,0x7f40ffff,
    0x2001ffff,0x01fffffe,0x64000000,0x803fffff,0x757ffffd,0xaaa98015,
    0xfffff901,0xffffd005,0xff90001f,0x00007fff,0x3fffffc8,0x7fe40000,
    0x40003fff,0x640ffffd,0xfffdafff,0xfffffc82,0xffffe802,0x7fffec0f,
    0xfff1004f,0x00001fff,0xfffc8000,0xffd803ff,0x000007ff,0x0bfffff2,
    0x3fffffa0,0xfffc8000,0x400003ff,0x03fffffc,0x7ffe4000,0x2a0003ff,
    0x7cc3ffff,0x5fffb5ff,0x5fffff90,0xfffffd00,0xfffffc81,0xfffc800f,
    0x004407ff,0x3ff20000,0xfd803fff,0x0000ffff,0xfffff900,0xffffd005,
    0xff90001f,0x00007fff,0x3fffffc8,0x7fe40000,0x10003fff,0xfd0dffff,
    0x3fff61ff,0xfffffc82,0xffffe802,0x7fffd40f,0x7fcc04ff,0xf503ffff,
    0x00003dff,0x3fffff20,0xffffd803,0x9000000f,0x005fffff,0x01fffffd,
    0xfffff900,0xfc800007,0x0003ffff,0x7ffffe40,0xfff90003,0x3fffc83f,
    0x320bfff6,0x802fffff,0x80fffffe,0xdffffffd,0xfffffa80,0xffff306f,
    0x000003ff,0x07fffff9,0x3fffffb0,0x3f200000,0xe802ffff,0x000fffff,
    0x3fffffc8,0x7fe40000,0x00003fff,0x1fffffe4,0x7fffd400,0x77fffc43,
    0xeeffffee,0x3fffff21,0xffffe802,0xffff980f,0xfdceffff,0x2fffffff,
    0xffffffb0,0x9993000b,0xfffd9999,0x99999dff,0x3ffff659,0x9000001f,
    0x005fffff,0x01fffffd,0x99999993,0x9dfffffd,0x30599999,0xd9999999,
    0x99dfffff,0x93059999,0xfd999999,0x999dffff,0xfd105999,0xfff10dff,
    0xffffffff,0x7ffe45ff,0xffe802ff,0xff900fff,0xffffffff,0xbfffffff,
    0x7fffffc0,0xffb8006f,0xffffffff,0xffffffff,0xffffb4ff,0x2000003f,
    0x02fffffc,0x0fffffe8,0xffffffb8,0xffffffff,0x84ffffff,0xfffffffb,
    0xffffffff,0xb84fffff,0xffffffff,0xffffffff,0xfc84ffff,0xff881fff,
    0xffffffff,0x3ff22fff,0xfe802fff,0xb100ffff,0xffffffff,0x9fffffff,
    0xfffffe80,0xffb8005f,0xffffffff,0xffffffff,0xffffb4ff,0x2000003f,
    0x02fffffc,0x0fffffe8,0xffffffb8,0xffffffff,0x84ffffff,0xfffffffb,
    0xffffffff,0xb84fffff,0xffffffff,0xffffffff,0x7cc4ffff,0x33203fff,
    0xffeccccc,0x3ff21cdf,0xfe802fff,0x5400ffff,0xffffffff,0x802fffff,
    0x2ffffffb,0xffffb800,0xffffffff,0xffffffff,0x3fffffb4,0x3f200000,
    0xe802ffff,0xb80fffff,0xffffffff,0xffffffff,0xfb84ffff,0xffffffff,
    0xffffffff,0xffb84fff,0xffffffff,0xffffffff,0x7fff44ff,0x3ff60006,
    0xffffc82f,0xfffe802f,0xec8800ff,0xefffffff,0x3ff2000c,0xf70004ff,
    0xffffffff,0xffffffff,0x332a9fff,0x00000ccc,0x5fffff90,0xfffffd00,
    0xfffff701,0xffffffff,0x9fffffff,0xffffff70,0xffffffff,0x09ffffff,
    0xfffffff7,0xffffffff,0x649fffff,0x0001ffff,0x320bfff6,0x802fffff,
    0x00fffffe,0x0d5d4c40,0x06ee6000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,
    0x98004ccc,0x2a00aaaa,0x98004ccc,0x2a60aaaa,0xaaaaaaaa,0xa8801aaa,
    0x0001aaaa,0x97500000,0x379ddffd,0x2aa66000,0x0000099a,0x004d5544,
    0x4d554c00,0x88000000,0x000000aa,0xffffd500,0x7fc4001f,0xffd506ff,
    0x44001fff,0x7e46ffff,0xffffffff,0xfa803fff,0x0004ffff,0x7f540000,
    0xffffffff,0x3f6a004f,0xffffffff,0x22001bdf,0xfffffdca,0x000bdfff,
    0xffffff93,0x000017df,0x3ffff726,0x0001cdff,0x505bff91,0xfffffffd,
    0x7ffe4001,0x7fff541f,0x2000ffff,0x641ffffc,0xffffffff,0xa803ffff,
    0x004fffff,0xfd100000,0xffffffff,0xd3009fff,0xffffffff,0x1fffffff,
    0xfffff700,0xffffffff,0xfff7007f,0xffffffff,0xfb80001d,0xffffffff,
    0xe8004fff,0x6c4fffff,0xffffffff,0xffff3000,0xfffffb07,0x26001fff,
    0xfc83ffff,0xffffffff,0xfa803fff,0x0004ffff,0xfffb0000,0xffffffff,
    0xffb809ff,0xffffffff,0x0fffffff,0x3ffff620,0xffffffff,0x7ec03fff,
    0xffffffff,0x001fffff,0xfffffd88,0xffffffff,0xff5000df,0x545fffff,
    0xffffefff,0xdfffd000,0x3fbffea0,0xfd000fff,0x3ff20dff,0xffffffff,
    0xffa803ff,0x00004fff,0xffffa800,0xfeeeffff,0xffd104ff,0xffffffff,
    0xffffffff,0x3fffa601,0xffffffff,0x103fffff,0xbffffffd,0xfffffd77,
    0x7fcc007f,0xffffffff,0xefffffff,0xffffc801,0x45f45fff,0x800ffffc,
    0x201ffffc,0xffffc8be,0xffffc800,0x33333101,0x7fffffb3,0xfffff500,
    0x80000009,0xfffffff8,0xf1053102,0xffffffff,0xffffffff,0xff301fff,
    0xffffffff,0xffffffff,0xffffd107,0x3fea2039,0xfd003fff,0xffffffff,
    0xffffffff,0xfff900bf,0x201fffff,0x400ffffc,0x004ffff9,0x003ffff2,
    0x009ffff3,0x3fffff20,0xffffa803,0x0000004f,0x7fffffcc,0xfff90001,
    0x159dffff,0x7ffe54c4,0xfffffe80,0x3109bdff,0xf907ffb5,0x26009fff,
    0x400fffff,0xeffffffa,0xfff9511b,0xa803ffff,0xffffffff,0x1ffff901,
    0x06fffe80,0x07fffe40,0x01bfffa0,0xfffffc80,0xffffa803,0x0000004f,
    0x27ffffd4,0xffff9800,0x4c005fff,0x7fffd40c,0x51002fff,0x3ffff885,
    0x7fff4400,0x7ffff404,0x3fee00ef,0xd805ffff,0x2fffffff,0x01ffff90,
    0x00ffffe4,0x03ffff20,0x01ffffc8,0x3ffff200,0xfffa803f,0x000004ff,
    0x7ffffe40,0xfffb0002,0x00007fff,0x7ffffff4,0xffc80001,0x4d54c05f,
    0x01ffff30,0x3fffffee,0xffffb800,0xffe800ff,0xf901ffff,0x3e601fff,
    0xc8004fff,0xf300ffff,0x80009fff,0x03fffffc,0x4fffffa8,0x6c000000,
    0x001fffff,0xffffffa8,0x3ee00004,0x002fffff,0x1ffff880,0xfffffe98,
    0x413fffa3,0x03ffffff,0x3fffffe0,0xffff9804,0x3fff207f,0xdfffd00f,
    0x3fff2000,0xdfffd00f,0xfff90000,0xff5007ff,0xd8809fff,0x01eeeeee,
    0x7fffff40,0xfffe8000,0x00000fff,0x1ffffffe,0x7ffe4000,0xfffffb86,
    0x3ffea3ff,0x7fffcc0f,0x3f6001ff,0xf006ffff,0x640dffff,0xfb80ffff,
    0x90001fff,0xf701ffff,0x00003fff,0x07fffff9,0x9fffff50,0xfffffd80,
    0xffe8003f,0xf8000fff,0x004fffff,0x3fffe200,0xb00003ff,0xffb85fff,
    0x43ffffff,0x7dc1ffff,0x4006ffff,0x07fffffa,0x4fffff88,0x03ffff20,
    0x009ffff3,0x07fffe40,0x013fffe6,0x7fffe400,0xfffa803f,0x3ff204ff,
    0x0004ffff,0x01fffffd,0xfffff880,0x2600000f,0x00ffffff,0x1ffff000,
    0x7fffffc4,0x7fe43edd,0x7fffec3f,0x7fc4004f,0x5c00ffff,0x200fffff,
    0x740ffffc,0x0000efff,0xd03ffff2,0x0001dfff,0x3fffff20,0xffffa803,
    0xffff704f,0x99980bff,0xfffe9999,0x99999aff,0x3fe60999,0x00007fff,
    0x3fffffd4,0xfff88000,0x77fffdc7,0x27ffdc00,0x0ffffffa,0x3ffffe00,
    0x3ffee01f,0x554c02ff,0x7fffdc2a,0x554c0002,0x7fffdc2a,0x3f200002,
    0xa803ffff,0x984fffff,0x06ffffff,0xfffffff8,0xffffffff,0x6fffffff,
    0x1bffffea,0xaaaaaaa8,0xff70aaaa,0x0000dfff,0xfd1bffe6,0xf5003fff,
    0xffff8bff,0xff8003ff,0x5531ffff,0xbffffff9,0xfff88000,0x4000004f,
    0x004ffff8,0x7fffe400,0xfffa803f,0x7ffc44ff,0xf800efff,0xffffffff,
    0xffffffff,0x2e6fffff,0x105fffff,0xffffffff,0x3ff63fff,0x00005fff,
    0xff8bfff5,0xff3007ff,0xfffff8df,0xffe8002f,0xfffd2fff,0x01bfffff,
    0xffffe800,0x74000000,0x0000ffff,0x7ffffe40,0xffffa803,0x3fffa24f,
    0xff000fff,0xffffffff,0xffffffff,0x7ecdffff,0xf104ffff,0xffffffff,
    0x3fffa3ff,0x700004ff,0x7fc49fff,0xff1006ff,0xfffff8ff,0xffe8001f,
    0xfffd3fff,0x0003dfff,0x05ffff70,0xffb80000,0x800002ff,0x03fffffc,
    0x4fffffa8,0x3ffffff6,0x3fffe001,0xffffffff,0xffffffff,0x3fffa6ff,
    0xfff104ff,0xffffffff,0x3fffffe3,0xff700004,0x7fffcc9f,0xffff1006,
    0x1ffffff8,0xffffd800,0xdffffd3f,0x3e200005,0x00005fff,0x2ffffc40,
    0xffc80000,0xfa803fff,0xff94ffff,0x8005ffff,0xeaaaaaaa,0xaabfffff,
    0x22aaaaaa,0x04fffffd,0xfffffff1,0x3fa3ffff,0x0005ffff,0x44bfff50,
    0x800fffff,0x7fc6fff9,0x8002ffff,0x73fffffe,0x00000135,0x001ffffb,
    0xfffd8000,0x9000000f,0x007fffff,0x59fffff5,0x07ffffff,0xfffe8000,
    0x7e4000ff,0x2a05ffff,0xfffeaaaa,0xffffb1ff,0x260000df,0x7ffc6fff,
    0xffa802ff,0x7ffff45f,0xfff8003f,0x00002fff,0x2ffffa80,0x7d400000,
    0x54c42fff,0x3f20001a,0xa803ffff,0xffefffff,0x0003ffff,0xfffffe80,
    0x7ffdc000,0x7ec006ff,0xff91ffff,0x0000ffff,0xfd1fffe2,0xb803bfff,
    0x7fec4fff,0xf8003fff,0x982fffff,0x440000aa,0x7c45ffff,0x002fffff,
    0x25ffff88,0xefffffea,0xfffc8002,0xffa803ff,0xffffffff,0xd000006f,
    0x001fffff,0x7fffff98,0x7fffec00,0xfffff71f,0x7fc0000f,0x7fffd47f,
    0x643edeff,0x7fe43fff,0x44004fff,0x21ffffff,0x03ffffe8,0x3ffff600,
    0x7ffffec0,0xffd8002f,0xffffd0ff,0x005fffff,0x3fffffc8,0xfffffa80,
    0x3fffffff,0xffe80000,0x44000fff,0x01ffffff,0x3fffff60,0xffffff51,
    0x3fa00007,0x7fff42ff,0x743fffff,0x7fdc2fff,0x54006fff,0x747fffff,
    0x04ffffff,0x3ffffa80,0x7fffffd4,0x7fd4002f,0x3ffee3ff,0x06ffffff,
    0x7ffffe40,0xffffa803,0xfffffdcf,0x7400001f,0x000fffff,0x5ffffff8,
    0x3ffff600,0xfffff31f,0x360000df,0x7f4c5fff,0x23ffffff,0x540ffff9,
    0x00ffffff,0x3fffff20,0x3ffffee5,0x22000fff,0x7445ffff,0x2fffefff,
    0x3fffe200,0xe889de85,0x2000ffff,0x03fffffc,0xcfffffa8,0xffffffe8,
    0x3fa00000,0x8000ffff,0x0ffffffe,0xfffffb00,0x7fffffc3,0xfa80002f,
    0x7ec41fff,0x363fffff,0xff884fff,0x2003ffff,0x23ffffff,0xfffffffd,
    0x3ff6002f,0x7ffe40ff,0x002fffda,0x203ffff6,0x07fffb80,0x7ffffe40,
    0xffffa803,0xfffff34f,0x740000df,0x000fffff,0xffffff98,0xffffb005,
    0x7fffdc3f,0x80001eff,0x3104fffe,0x3e215597,0xffb00fff,0x7001dfff,
    0xe8ffffff,0xffffffff,0xffff5003,0xb5fff987,0x2a005fff,0x2003ffff,
    0x4005fffe,0x03fffffc,0x4fffffa8,0x3fffffee,0xffd00005,0x20001fff,
    0xeffffffd,0x7fffec00,0x7ffff41f,0x71002fff,0x2ffffa85,0x7fff4400,
    0x3fffe604,0x7fd406ff,0x7ec3ffff,0x2fffffff,0x6ffff880,0xfb0fffe8,
    0xff1005ff,0x7ec00dff,0x64002fff,0x803fffff,0x44fffffa,0x3ffffffd,
    0xfffe8000,0xf10000ff,0x7fffffff,0xfffd8815,0x7ffd41ff,0x9bdfffff,
    0x0fff6e60,0x00bffffa,0x07ffff44,0x3fffffa0,0x3ee60aef,0xa86fffff,
    0x6fffffff,0x3ffff900,0x363fffc8,0xfc802fff,0xe8801fff,0x8004ffff,
    0x03fffffc,0x4fffffa8,0x7fffffc4,0x7f40001f,0x0000ffff,0x3ffffff2,
    0xfeefffff,0x81ffffff,0xfffffffe,0xffffffff,0xffa83fff,0x2600bfff,
    0x804ffffe,0xfffffffa,0xffffffff,0xf902ffff,0x003fffff,0x887ffff5,
    0xfeeeffff,0x501eefff,0x3007ffff,0x009ffffd,0x3fffff20,0xffffa803,
    0xffffa84f,0x20000fff,0x00fffffe,0x3fffa200,0xffffffff,0xffffffff,
    0xffffe981,0xffffffff,0x703fffff,0x7dffffff,0xfffffb75,0x7fec009f,
    0xffffffff,0x5fffffff,0x06f7ed40,0x37fff440,0x7fffffc4,0x2fffffff,
    0x06fffe88,0x3fffffa8,0x33333260,0xfffffecc,0x2cccccce,0x09fffff5,
    0x3ffffff2,0x3ffa0006,0x80000fff,0xfffffffb,0xffffffff,0x3f201fff,
    0xffffffff,0x3fffffff,0x3ffffe60,0xffffffff,0xfb8002ff,0xffffffff,
    0x03ffffff,0x3ff20000,0xfff881ff,0xffffffff,0xfffc82ff,0x7ffe401f,
    0x2ccccdff,0x3fffffee,0xffffffff,0x54ffffff,0x409fffff,0x5ffffffe,
    0xffffd000,0x2600001f,0xfffffffe,0xffffffff,0x7ff5400e,0xffffffff,
    0x4402ffff,0xfffffffe,0x001fffff,0x3ffffe60,0xefffffff,0x26000001,
    0x3203ffff,0xfecccccc,0x7cc1cdff,0xff803fff,0xffffffff,0x3fffee4f,
    0xffffffff,0xffffffff,0x9fffff54,0x7ffffc40,0xfe8003ff,0x0000ffff,
    0x7fff6dc0,0xbeffffff,0x3b2e2000,0xffffffff,0x3ae000ad,0xffffffff,
    0xc880000c,0xfffffffe,0x000000ce,0x0037fff4,0x205fffb0,0xf006fffe,
    0xffffffff,0x7ffdc9ff,0xffffffff,0xffffffff,0xfffff54f,0xffffa809,
    0x74002fff,0x000fffff,0x5654c000,0x0000099a,0x0026aaa2,0x2f2aa200,
    0x4000001a,0x0001aba8,0x3fff2000,0x3f60001f,0xfffc82ff,0xffff001f,
    0x9fffffff,0x7fffffdc,0xffffffff,0x54ffffff,0x009fffff,0xfffffff9,
    0x7fff4001,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98800000,0x00019aaa,0x009aa988,0x00260000,0x2aaaa620,
    0x10000009,0x00000355,0x3a000b98,0x000fffff,0x0bfffff2,0x01353100,
    0xaa880000,0x53100001,0x00000013,0xffffed98,0x1cefffff,0xffffd500,
    0x005dffff,0x3fb6ea20,0x0bdeffff,0x3ffff6e2,0x1dffffff,0x3b6e2000,
    0x0cefffff,0x7edcc000,0x3fa001ff,0x2000ffff,0x02fffffc,0xfffffeb8,
    0x00002eff,0xffffffd7,0x2e2005bd,0xffffffec,0x2000002d,0xffffffd9,
    0xffffffff,0x7fff5404,0xffffffff,0x3ea002ef,0xffffffff,0x3f62ffff,
    0xffffffff,0x01dfffff,0x7ffffd40,0x2fffffff,0x3fffa000,0x3fa001ff,
    0x2000ffff,0x02fffffc,0x3fffffaa,0x0dffffff,0xfffd5000,0xffffffff,
    0x7ffdc01b,0xffffffff,0x400001df,0xfffffffb,0xffffffff,0x3ffee04f,
    0xffffffff,0x402fffff,0xffffffd8,0xffffffff,0x3fffff62,0xffffffff,
    0xf7000fff,0xffffffff,0x009fffff,0x3fffffa0,0x3fffa001,0x3f2000ff,
    0xd882ffff,0xffffffff,0x2fffffff,0x7fffe400,0xffffffff,0x7f4c2fff,
    0xffffffff,0x01ffffff,0xffff5000,0xffffffff,0x209fffff,0xfffffff9,
    0xffffffff,0xff301fff,0xffffffff,0x45ffffff,0xfffffffd,0xffffffff,
    0xfffd806f,0xffffffff,0x005fffff,0x1fffffe8,0x3ffffa00,0x3ff2000f,
    0xffd82fff,0xffffffff,0x0fffffff,0xfffff300,0xffffffff,0x7fdcbfff,
    0xffffffff,0x6fffffff,0xfff88000,0xeeffffff,0x4ffffeee,0xffffff88,
    0xfdba9bdf,0xd05fffff,0xffffffff,0xffffffff,0x777ffec5,0xffffdccd,
    0x3203ffff,0xdfffffff,0xffffffdb,0x7f4002ff,0x2001ffff,0x00fffffe,
    0x3fffff20,0x7ffffd42,0xffecceff,0x004fffff,0xbffffffd,0xffffb557,
    0x7fffdc1d,0xfffeffff,0x04ffffff,0x7fffe400,0x5cc01dff,0xffffa83d,
    0x7ffcc05f,0xfffb87ff,0x20acffff,0x322feb98,0x7fdc00ac,0xf105ffff,
    0x10bfffff,0xdffffff5,0xffffe800,0x3ffa001f,0x32000fff,0x222fffff,
    0x1effffff,0xfffffe88,0x7ffdc00f,0xf9102fff,0xffff901f,0x7fecc159,
    0x0007ffff,0x2ffffff4,0xfffc8000,0xffc800ff,0x3fe61fff,0x002fffff,
    0x7dc00013,0xf907ffff,0x401dffff,0x1ffffffa,0x3ffffa00,0x3ffa001f,
    0x32000fff,0x2e2fffff,0x00ffffff,0x3fffffa2,0x7fffec05,0x201a803f,
    0x7ec01efe,0x001fffff,0x3fffffe0,0xffb00002,0x3ee00fff,0x3f61ffff,
    0x001fffff,0x3fe20000,0x7c40ffff,0x800fffff,0x46fffffd,0xfeeeeeeb,
    0xeeefffff,0xd5eeeeee,0x001fffff,0x17ffffe4,0x07fffffb,0xffffff50,
    0x7ffff401,0x09100006,0x3ffffe20,0xff30002f,0x0005ffff,0x3fffff60,
    0xffffc800,0x3ffffe0f,0x0000004f,0x0ffffff8,0x2fffffdc,0xfffff880,
    0x3ffff21f,0xffffffff,0xffffffff,0xfffffd6f,0x7ffe4001,0x3fffa2ff,
    0xff8801ff,0x3e02ffff,0x0005ffff,0xffff0000,0x220009ff,0x04ffffff,
    0xffff9000,0xfff8809f,0x3ffe27ff,0x00000fff,0x7fffc400,0xffffe87f,
    0xfff3001f,0x7fe47fff,0xffffffff,0xffffffff,0xfffd6fff,0x7e4001ff,
    0xff12ffff,0x6c00ffff,0x103fffff,0x009fffff,0x3fa00000,0x0004ffff,
    0x3ffffffe,0xffa80003,0x3203ffff,0x2a3fffff,0x007fffff,0xffa80000,
    0xfff85fff,0xff7006ff,0x64bfffff,0xffffffff,0xffffffff,0xfd6fffff,
    0x4001ffff,0x12fffffc,0x00ffffff,0x2fffffe4,0x3fffff98,0xd0000000,
    0x005fffff,0x7ffffec0,0x40002eff,0xdffffffe,0x7ffffe40,0x7ffffdc7,
    0x40000006,0x1ffffff8,0x2fffffc4,0x3ffff620,0x3ae6ffff,0xfffeeeee,
    0xeeeeefff,0xffd5eeee,0x64001fff,0x3e2fffff,0x000fffff,0x0bfffff7,
    0x0fffffe6,0x22000000,0x01ffffff,0x3fffee00,0x0bffffff,0xffffa800,
    0xfeacffff,0x6c1fffff,0x005fffff,0xff910000,0xf307ffff,0x5409ffff,
    0xffffffff,0xffd007ff,0x74003fff,0x000fffff,0x8bfffff2,0x03fffffe,
    0xdfffff70,0x3ffffe60,0x80000003,0x0ffffffb,0x7ffec000,0xffffffff,
    0x7fdc002d,0xffffffff,0xd81fffff,0x005fffff,0x77776400,0xefffffff,
    0xfffff501,0x3ffff207,0x7fffffff,0xfffffd00,0x7fff4003,0x3f2000ff,
    0x3f62ffff,0x800fffff,0x06fffffc,0x07fffff3,0xfd000000,0x0009ffff,
    0xffffff10,0xdfffffff,0x7ffdc007,0xffffffff,0xfff700df,0x80000fff,
    0xfffffffd,0x2e00dfff,0x4c3fffff,0xeffffffe,0x00ffffff,0x1fffffe8,
    0x3ffffa00,0x3ff2000f,0x3fee2fff,0x21bfffff,0xfffffc98,0xffff16ff,
    0xffffffff,0x7fffffff,0x3fee0000,0x0001ffff,0xfffffb10,0xffffffff,
    0x3fa2001d,0xffffffff,0x3ffea04f,0x00000fff,0x3ffffff6,0x01ceffff,
    0x45fffff9,0xfffffffb,0x1fffffd4,0xfffffd00,0x7fff4003,0x3f2000ff,
    0x7f42ffff,0xffffffff,0xffffffff,0xfff16fff,0xffffffff,0xffffffff,
    0xff300007,0x000bffff,0xfffff700,0xffffffff,0xfff7005f,0xffffffff,
    0xfff303df,0x00009fff,0x7fffffec,0xdfffffff,0x7ffffec0,0xfffffd89,
    0x3fffa2ff,0xffe800ff,0x3a001fff,0x000fffff,0x0bfffff2,0xfffffff3,
    0xffffffff,0x22bfffff,0xffffffff,0xffffffff,0x40003fff,0xefffffe8,
    0x2a000000,0xfffffffe,0x100fffff,0xfffffffd,0xffffffff,0xfffff883,
    0x900000ff,0xffffdddd,0x1dffffff,0x67ffffe4,0xdfffffff,0x3fffffc0,
    0xfffffe80,0x3fffa001,0x3f2000ff,0xfb82ffff,0xffffffff,0xffffffff,
    0xffff14ff,0xffffffff,0x7fffffff,0x7ff44000,0x0001ffff,0xfff93000,
    0xdfffffff,0xfffffd10,0xffffd59f,0xfd83ffff,0x01efffff,0x32600020,
    0x5fffffff,0x3ffffff2,0x03ffffff,0x00dfffff,0x07fffffa,0xfffffe80,
    0x3fff2000,0xffb302ff,0xffffffff,0x7fffffdd,0x7ffe5554,0xaaaaadff,
    0x0000aaaa,0x3ffffffa,0x00000003,0xffffffd5,0xfffe85ff,0x7fdc1eff,
    0x4c6fffff,0xffffffff,0x07d7300b,0xffffd800,0xffff72ff,0x3dffffff,
    0x3ffffe20,0xffffd005,0x7ff4003f,0x32000fff,0x402fffff,0xdefeecb9,
    0xfffff91c,0x3fffe607,0x4000003f,0x3ffffffd,0x80000000,0xfffffffb,
    0x3ffffea3,0xfffd300e,0xffd85fff,0xffffffff,0x3ffffeee,0x7ff44000,
    0xfff54fff,0x1bffffff,0x7ffffcc0,0xffffd004,0x7ff4003f,0x36000fff,
    0x000fffff,0x3ffffa00,0xffff302f,0x4000007f,0x4ffffffd,0x00000000,
    0x3fffffea,0x3fffffe5,0x7fffc401,0x7ff444ff,0xffffffff,0x03ffffff,
    0xffffc800,0xfffff35f,0xf5005fff,0x2007ffff,0x01fffffe,0x3fffff60,
    0x3fffa001,0x2200007f,0x207fffff,0x03fffff9,0xfffb0000,0x00009fff,
    0xfff00000,0x3fe2dfff,0xf5005fff,0xb10bffff,0xffffffff,0x7fffffff,
    0xfff70000,0x7fffcdff,0xfb000eff,0x2005ffff,0x01fffffe,0x3fffff20,
    0x3fffe002,0x2a00006f,0x204fffff,0x03fffff9,0xfffd8000,0x00004fff,
    0xffb00000,0x3fea9fff,0xf1004fff,0x640fffff,0xffffffff,0x03ffffff,
    0xffffc800,0x3ffffa4f,0xfff1003f,0x3a001fff,0x001fffff,0x17ffffee,
    0x7ffffcc0,0xff100005,0x4c03ffff,0x003fffff,0x7fffec00,0x000003ff,
    0x3ffe0000,0xfff73fff,0x3e2009ff,0x4406ffff,0xffffffeb,0x0002dfff,
    0x7fffffd0,0x7fffffd4,0xffffb800,0x3ffa004f,0x2a002fff,0x01ffffff,
    0x3fffffd8,0xfffb0000,0xff980dff,0x00003fff,0x3ffffff6,0x54000003,
    0xfff70001,0x3fe63fff,0xf5006fff,0x2009ffff,0x9bfffff9,0x7e400000,
    0x741fffff,0x405fffff,0x0ffffff9,0x3ffff600,0x7ff4003f,0x3201ffff,
    0x00ffffff,0x7fff5400,0x7cc03fff,0x0003ffff,0xffffffb0,0x90000005,
    0x40137bff,0xffffffd9,0x3ffffe27,0x7ffcc04f,0xf5002fff,0x0100dfff,
    0xffffda80,0xfffa87ff,0xf980bfff,0x004fffff,0x7fffffdc,0x3ffea000,
    0xbaceffff,0xffffffec,0x33333102,0xfffd9553,0x2609ffff,0xfffffb99,
    0x9999999c,0x6c099999,0xadffffff,0xaaaaaaaa,0xc8002aaa,0xefffffff,
    0xffffffee,0x7f42ffff,0xbdffffff,0xffffca99,0xf9000fff,0xf9007fff,
    0x999999bd,0xffffffdd,0x3ffa03ff,0xbadfffff,0xfffffffd,0x7ffd4000,
    0x99abffff,0x7ff45dba,0xffffffff,0x5fffffff,0x3ffffea0,0xffffffff,
    0xff105fff,0xffffffff,0xffffffff,0x7e4bffff,0xffffffff,0xffffffff,
    0xc8006fff,0xffffffff,0xffffffff,0xff984fff,0xffffffff,0xffffffff,
    0x3ffa001f,0xffc800ff,0xffffffff,0xffffffff,0x3fffea02,0xffffffff,
    0x003fffff,0xffffffd0,0xdfffffff,0xffffff98,0xffffffff,0x3ea00eff,
    0xffffffff,0x0effffff,0xffffff10,0xffffffff,0xffffffff,0x7fffff4b,
    0xffffffff,0x6fffffff,0xffffc800,0xffffffff,0x05ffffff,0x3fffffea,
    0xffffffff,0x7c002fff,0xf9005fff,0xffffffff,0xffffffff,0xffff5007,
    0xffffffff,0x40003fff,0xfffffff9,0x86ffffff,0xffffffc8,0x3fffffff,
    0xfffffa80,0xffffffff,0x7ffc402f,0xffffffff,0xffffffff,0x3ffa5fff,
    0xffffffff,0xffffffff,0xfc8006ff,0xffffffff,0xefffffff,0xfffea802,
    0xffffffff,0x4c002eff,0x9002ffff,0xffffffff,0x9fffffff,0x7ff44001,
    0xffffffff,0xb80000ef,0xffffffff,0x2606ffff,0xfffffffd,0xf5000dff,
    0xffffffff,0x22007dff,0xffffffff,0xffffffff,0x25ffffff,0xfffffffe,
    0xffffffff,0x006fffff,0xffffdb98,0xffffffff,0xfea8002d,0xffffffff,
    0xff70002d,0x7fe400ff,0xffffffff,0x40003dff,0xffffffeb,0x400003df,
    0xffffffc8,0x1005ffff,0x00135953,0xdfffff50,0x800159dd,0xfffffff8,
    0xffffffff,0x5fffffff,0x3ffffffa,0xffffffff,0x06ffffff,0xaaa98800,
    0x00009abc,0x55955310,0x33100003,0xa9880013,0x009aaaaa,0x2ea60000,
    0x0000000a,0x35579553,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0xfc801999,0xffffffff,0xffffffff,0x3fffff20,
    0xffffffff,0x0005ffff,0x3fb72ea6,0xfffd87ff,0x000002ff,0x3ffffe00,
    0xffffffff,0x7ffd41ff,0xceffffff,0xfe8001ab,0x4006ffff,0x2ffffff8,
    0x54000150,0xfffff100,0xffffffff,0xffffffff,0x3aa009ff,0xc807ffff,
    0xffffffff,0xffffffff,0x3ffff20f,0xffffffff,0x005fffff,0x7ffffdc4,
    0xd87fffff,0x002fffff,0xff500000,0xffffffff,0xa83fffff,0xffffffff,
    0xcfffffff,0xffff3000,0x7e4005ff,0xd986ffff,0xff30006f,0xffff8819,
    0xffffffff,0xffffffff,0x74c04fff,0x07ffffff,0xffffffc8,0xffffffff,
    0x3ff20fff,0xffffffff,0x5fffffff,0xffffb300,0xffffffff,0xfffffb0f,
    0x00000005,0x3ffffff6,0xffffffff,0x7fffd41f,0xffffffff,0x002fffff,
    0x0dfffff9,0x3ffffe20,0x3fff621f,0xffe8003f,0x3ffe23ff,0xffffffff,
    0xffffffff,0xb304ffff,0xffffffff,0xffff900f,0xffffffff,0x641fffff,
    0xffffffff,0xffffffff,0xfff9805f,0xffffffff,0xffd87fff,0x00002fff,
    0xffff8800,0xffffffff,0x7d41ffff,0xffffffff,0xffffffff,0x7fc400ef,
    0xc803ffff,0x6c4fffff,0x01ffffff,0x3fffff20,0x59fff11f,0x55555555,
    0xf5555555,0xffd889ff,0xffffffff,0xffffc807,0xffffffff,0x320fffff,
    0xffffffff,0xffffffff,0x7ffd405f,0xffffffff,0xfd87ffff,0xcccdffff,
    0x0000019a,0x3fffffee,0xffffffff,0x7ffd41ff,0xffffffff,0xffffffff,
    0xffffb806,0x3fe600ff,0x7440ffff,0x006fffff,0x5ffffff3,0x5517ffc4,
    0x7ffc0013,0xfffff914,0xffffffff,0xfff00000,0x7fe41fff,0xeeeeefff,
    0x4eeeeeee,0x3ffffea0,0x99accfff,0xffd81999,0xffffffff,0x000cefff,
    0x3ffffa00,0x005ffffd,0x37ffffea,0xffdba999,0x03ffffff,0x4fffffe8,
    0x3fffff60,0xfffff303,0x9999719f,0xfffffd35,0x22fff889,0x1ceffffe,
    0x7fd3ffe0,0xffffffff,0x0007ffff,0xffffff80,0x1fffff20,0xfffd0000,
    0x00019fff,0x3ffffff6,0xffffffff,0x40000cff,0xfcdffff9,0x2a005fff,
    0x204fffff,0xffffffe8,0x7ffd400f,0xff980fff,0x7dc06fff,0xffffffff,
    0xffffffff,0xfff886ff,0x3fffffa2,0xfff81dff,0xffffffb4,0xffffff7d,
    0xfff00000,0x7fe41fff,0x200007ff,0x1ffffffb,0x7ffec000,0xffffffff,
    0x2fffffff,0x3fff2000,0x5ffffcaf,0x3fffea00,0xfffc804f,0xfd804fff,
    0xfd85ffff,0xd802ffff,0xffffffff,0xffffffff,0xfff880ff,0x3fffffa2,
    0x7fc1ffff,0xfffff34f,0x3ffffe27,0xff800007,0x3f20ffff,0x00007fff,
    0x7ffffff1,0xfffb0000,0xffffffff,0xffffffff,0x3ffe0003,0xffffc8ff,
    0x3ffea005,0xffd004ff,0x9801ffff,0x21ffffff,0x05fffffa,0xfffffd10,
    0xffffffff,0x3e205fff,0x2ea622ff,0x0efffffd,0xffe93ffe,0x3fffe20c,
    0xf800007f,0x320fffff,0x0007ffff,0xdfffff50,0x3ff60000,0xcbaacfff,
    0xffffffed,0x7d4000ef,0xfff95fff,0x7fd400bf,0xf7004fff,0x007fffff,
    0x4bfffff9,0x01fffffe,0x3ffffee0,0xffffffff,0xff100fff,0xffc8805f,
    0x93ffe4ff,0xfff880db,0x800007ff,0x20ffffff,0x007ffffc,0xfffff900,
    0x3f600007,0x2a02ffff,0x4fffffff,0x7fffec00,0x0bffff92,0x7ffffd40,
    0xffff1004,0xff1009ff,0xff53ffff,0xd8009fff,0x8adfffff,0xffffffb9,
    0x05fff103,0xf9bfff60,0xff1004ff,0x0000ffff,0x1ffffff0,0x03ffffe4,
    0xffffe800,0xfb00001f,0x8805ffff,0x06ffffff,0x9ffffe20,0x005ffffc,
    0x13ffffea,0xfffffd80,0xffff7006,0xfffffdbf,0x7ffcc001,0xfff105ff,
    0x3fe20dff,0xfff5002f,0x8027ffcf,0x07fffff8,0xffff8000,0x3fff20ff,
    0xbcceeeff,0xfff8800a,0xdb9517ff,0xd80359bd,0x802fffff,0x07fffffb,
    0x93fffee0,0x005ffffc,0x13ffffea,0xfffffc80,0x3fffa007,0x3fffffff,
    0x7fffe400,0x3fff200f,0xfff880ff,0xffff5002,0x88027ffc,0x007fffff,
    0xfffff800,0x3ffff20f,0xffffffff,0x3fe602df,0xfffdffff,0xdfffffff,
    0xfffffb00,0xffff1005,0x3fa003ff,0x3ff21fff,0xeeeeefff,0x3fffbba5,
    0xeeeeefff,0xfffffb81,0x3ffea007,0x06ffffff,0x5ffffd80,0x7ffffcc0,
    0x02fff881,0x7cbfffd0,0xff1004ff,0x0000ffff,0x1ffffff0,0x7fffffe4,
    0xffffffff,0xfffa80ef,0xffffffff,0xffffffff,0xfffffd84,0xfffff002,
    0xfff3005f,0xffffc8df,0x26ffffff,0xffffffff,0x81ffffff,0x0ffffffa,
    0x3ffff600,0x8001ffff,0x404ffffe,0x82fffff8,0x4c42fff8,0xffffec99,
    0x4013ffe2,0x07fffff8,0xffff8000,0x3fff20ff,0xffffffff,0x40efffff,
    0xfffffffa,0xffffffff,0x6c3fffff,0x002fffff,0x03ffffff,0x87ffff90,
    0xfffffffc,0x3ffe6fff,0xffffffff,0xff981fff,0x2000ffff,0xfffffff8,
    0xffff0005,0xffff007f,0x5fff107f,0xffffffc8,0x27ffc4ff,0xfffff880,
    0xff800007,0x3f20ffff,0xffffffff,0xffffffff,0x3fffee0e,0xffffffff,
    0xffffffff,0x3ffff60f,0xfff8802f,0x7c400fff,0x7e40ffff,0xffffffff,
    0x3ffffe6f,0xffffffff,0xffff981f,0x7e4000ff,0x000fffff,0x07fffff0,
    0x05fffff0,0xfb85fff1,0x83ffffff,0xf1004fff,0x000fffff,0xffffff00,
    0x2ea62001,0xffffffff,0x3ffffee4,0x9889beff,0xfffffffb,0x3fffff65,
    0xffffa802,0xfffa807f,0xffffc86f,0x26ffffff,0xffffffff,0x81ffffff,
    0x07fffffa,0x53333331,0x33bfffff,0xe8013333,0x4404ffff,0x881fffff,
    0x7fdc2fff,0xff00acef,0x3fe2009f,0x00007fff,0x0ffffff8,0x3ffee000,
    0xff90ffff,0x8803dfff,0x27fffffe,0x02fffffd,0x5fffffe8,0x3ffffe80,
    0x05ffffc8,0x3ffffea0,0x3ffee004,0xfff506ff,0xffffffff,0xffffffff,
    0xffffd80b,0x7fffd406,0x2fff880f,0x4007ffdc,0xf1004fff,0x000fffff,
    0xffffff00,0xffc80001,0xff72ffff,0x2600dfff,0xb1ffffff,0x805fffff,
    0x2ffffffc,0x7ffffc40,0x5ffffc80,0x3fffea00,0x3ff2004f,0xff504fff,
    0xffffffff,0xffffffff,0xfffc80bf,0x3ff601ff,0xfff107ff,0x00fffa85,
    0x1004fff8,0x00ffffff,0xfffff000,0xf880001f,0xf52fffff,0x400dffff,
    0xb2fffffe,0x105fffff,0xffffffd5,0xffff900b,0x3ffff20b,0x3ffea005,
    0x3f6004ff,0xf503ffff,0xffffffff,0xffffffff,0xff980bff,0xfb80efff,
    0xf104ffff,0xfffa85ff,0x04fff800,0xffffff10,0xfff00000,0x00001fff,
    0x27ffffff,0x07fffff9,0x3fffff60,0xdfffffb3,0xfffffddd,0x001fffff,
    0xffffffff,0xffffffff,0x7ffd400b,0xff1004ff,0x2605ffff,0xfdcccccc,
    0xccceffff,0xfe803ccc,0xbacfffff,0x0ffffffd,0x005fff10,0x009fff00,
    0x1fffffe2,0xfff10000,0x20000fff,0x12fffffe,0x00ffffff,0x9fffffe4,
    0xfffffffd,0xffffffff,0xfa802fff,0xffffffff,0x5fffffff,0x3fffea00,
    0xfff9004f,0x30001fff,0x00bfffff,0xfffffb80,0xffffffff,0x3fe206ff,
    0x001ba82f,0x22009fff,0x007fffff,0x7fffcc00,0xf880006f,0x3e0fffff,
    0x002fffff,0x23fffffd,0xfffffffd,0xffffffff,0xffb001ef,0xffffffff,
    0x0bffffff,0x7ffffd40,0xffff8804,0xf30004ff,0x000bffff,0x7fffffc4,
    0xffffffff,0xff104fff,0x2fffc85f,0x004fff80,0x0ffffff1,0xfffb8000,
    0xb80005ff,0x747fffff,0x805fffff,0x0ffffff8,0xfffffffb,0xffffffff,
    0x7ffc4007,0xffffffff,0x05ffffff,0x3ffffea0,0x7ffec404,0x30000fff,
    0x00bfffff,0x7ffffec0,0xffffffff,0x882fffff,0x3fe22fff,0xfff806ff,
    0xffff1004,0x001700ff,0x9ffffff1,0xfff98000,0x7fd45fff,0x6400ffff,
    0x366fffff,0xffffffff,0x00abceff,0x7ffffdc0,0xeccccccc,0x2005ffff,
    0x04fffffa,0x3fffffa6,0x7ffd403f,0xffffffff,0xffffffff,0x3ffff205,
    0xffffffff,0xffffffef,0x117ffc40,0xf00fffff,0x3e2009ff,0xd807ffff,
    0xffd301cf,0x0185ffff,0xfffff910,0xfffd05ff,0x3f203fff,0x364fffff,
    0x99bfffff,0xffd00000,0xffc807ff,0x3ea005ff,0x2a24ffff,0xffffffdb,
    0x7fd400ff,0xffffffff,0xffffffff,0xffff505f,0x2aaa63ff,0x3fffffa1,
    0x217ffc46,0xf803fffd,0x266664ff,0xffffa999,0x999999ff,0x9bffffb1,
    0xffffffb9,0xdeff88bf,0xffedcccc,0x03ffffff,0xfffffff5,0xfffd979b,
    0xffd8dfff,0x00002fff,0x07ffffcc,0x3fffff20,0x42eeeeee,0xfffffffa,
    0xffffffff,0xa802ffff,0xffffffff,0xffffffff,0xff885fff,0x3004ffff,
    0x49ffffff,0xca82fff8,0x29fff001,0xfffffff9,0xffffffff,0xfb7fffff,
    0xffffffff,0x81ffffff,0xfffffff8,0xffffffff,0x7ff404ff,0xffffffff,
    0x0fffffff,0x17ffffec,0x3ff20000,0xffc806ff,0xffffffff,0x7fffd43f,
    0xffffffff,0x02ffffff,0xdddddd30,0xdffffffd,0xb09ddddd,0x00dfffff,
    0xffffffb8,0x337fff11,0x33333333,0xff333333,0x3fffe69f,0xffffffff,
    0xffffffff,0xffffffb7,0xffffffff,0xfffff107,0xffffffff,0xd1009fff,
    0xffffffff,0x5fffffff,0x5fffffb0,0xfff80000,0xffc803ff,0xffffffff,
    0x7fffd43f,0xffffffff,0x001effff,0xfffff300,0xfff7000b,0xffd0003f,
    0x7ffc41bf,0xffffffff,0xffffffff,0xff34ffff,0xffffffff,0xffffffff,
    0x3fff6fff,0xffffffff,0xfff101ef,0xffffffff,0x80019fff,0xfffffffc,
    0x00dfffff,0x05fffffb,0x7ffd4000,0xffc800ff,0xffffffff,0x7fffd43f,
    0xffffffff,0x00002eff,0x2fffffcc,0x04fc8800,0x103df100,0xffffffff,
    0xffffffff,0x9fffffff,0x3fffffe6,0xffffffff,0x27ffffff,0xffffffda,
    0x7c402eff,0xffffffff,0x0000ceff,0x3fffff6a,0x6c01dfff,0x002fffff,
    0x3ffff600,0xffff9005,0x7fffffff,0xffffffa8,0x0aceefff,0xff300000,
    0x8000bfff,0x100c0000,0xffffffff,0xffffffff,0x9fffffff,0x3fffffe6,
    0xffffffff,0x07ffffff,0x00135533,0x55555330,0x20000013,0x0009bba8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffffee,0xffffffff,0xff72ffff,0xffffffff,0xffffffff,
    0x3fffffab,0x3ffe0007,0xfff52fff,0xffffffff,0xffffffff,0x3fffffad,
    0xabceffff,0xe8000001,0x4fffffff,0x3fffffa0,0xffffb801,0x7fff45ff,
    0x3e000fff,0x20ffffff,0xfffffffa,0xffffffff,0x15ffffff,0x00dfffff,
    0x7ffdc000,0xffffffff,0x2fffffff,0xfffffff7,0xffffffff,0x3ff2bfff,
    0x8001ffff,0x0ffffff9,0xfffffff5,0xffffffff,0x3fadffff,0xffffffff,
    0x0cffffff,0xffb80000,0x04ffffff,0x07fffffa,0xffffff10,0xffffa81f,
    0xff7004ff,0xfa87ffff,0xffffffff,0xffffffff,0xff15ffff,0x0000dfff,
    0x7ffffdc0,0xffffffff,0xf72fffff,0xffffffff,0xffffffff,0x3fffe6bf,
    0xfc8003ff,0x3ea5ffff,0xffffffff,0xffffffff,0xffffd6ff,0xffffffff,
    0x005fffff,0x7fffc400,0x204fffff,0x01fffffe,0x7fffffec,0xfffffd02,
    0xffff001f,0xfff50fff,0xffffffff,0xffffffff,0x3ffe2bff,0x000006ff,
    0x3fffffee,0xffffffff,0xff72ffff,0xffffffff,0xffffffff,0x7fffffcb,
    0xfffe8005,0x3ffea3ff,0xffffffff,0xffffffff,0xffffffd6,0xffffffff,
    0x001dffff,0xfffffb00,0x7409ffff,0x201fffff,0x4ffffffa,0x3ffffe60,
    0x7ffdc04f,0xffa82fff,0xffffffff,0xffffffff,0xfff15fff,0x00000dff,
    0x7fffffdc,0xffffffff,0xff72ffff,0xffffffff,0xffffffff,0x7ffffe4b,
    0x7ffc4007,0x3fea0fff,0xffffffff,0xffffffff,0xfffffd6f,0xffffffff,
    0x0dffffff,0xffff9800,0x04ffffff,0x07fffffa,0x7fffffc4,0xffffd806,
    0x3ffe00ff,0xff506fff,0xffffffff,0xffffffff,0x3fe2bfff,0x00006fff,
    0x3ffffee0,0x9999999d,0xf7099999,0x333bffff,0x33333333,0x7fffd413,
    0x3ee002ff,0x2006ffff,0x05fffff9,0x9fffffe8,0xffdba999,0x03ffffff,
    0x3ffffa00,0x04ffffff,0x07fffffa,0x7fffffec,0xffff9801,0xfff704ff,
    0x3aa05fff,0xeeeeeeee,0xffeeeeee,0xff14ffff,0x0000dfff,0x7ffffdc0,
    0x3fee0004,0x40004fff,0x4ffffff8,0x3ffff600,0x3fe6003f,0xfe805fff,
    0x2200ffff,0xfffffffe,0xfffb8000,0xfffffcff,0x3ffffa04,0xffffa81f,
    0x3f2003ff,0xf80fffff,0x005fffff,0xffff5000,0x3ffe21ff,0x000006ff,
    0x13ffffee,0xffffb800,0xfd80004f,0x2006ffff,0x01ffffff,0x3ffffe60,
    0xffffe805,0xfffc800f,0x44004fff,0xf8efffff,0x3a04ffff,0x441fffff,
    0x05ffffff,0x7ffffc40,0x7fffdc5f,0x000001ff,0x4bfffffd,0x06fffff8,
    0x3fee0000,0x20004fff,0x04fffffb,0xffffb800,0xff9800ff,0x4c007fff,
    0x805fffff,0x00fffffe,0xffffffd0,0x7ffec001,0xffff89ff,0x3fffa04f,
    0x7ffec1ff,0xb8000fff,0x21ffffff,0x05ffffff,0xfff50000,0x7fc43fff,
    0x00006fff,0x3ffffee0,0x3fee0004,0x80004fff,0x2ffffff8,0xfffffc80,
    0x7ffcc004,0xffe805ff,0xf7000fff,0x007fffff,0x53ffffea,0x04fffff8,
    0x87fffffa,0x2ffffffa,0xffff1000,0x3ffeebff,0x00000fff,0xbfffffd0,
    0x6fffff88,0x3ee00000,0x0004ffff,0x13ffffee,0x7fff4000,0xffe805ff,
    0x4c002fff,0x805fffff,0x00fffffe,0xffffff10,0x3fffa009,0x3fffe26f,
    0x3fffa04f,0xffff11ff,0xb8000bff,0xf9ffffff,0x004fffff,0xffff5000,
    0xfff883ff,0x000006ff,0x13ffffee,0xffffb800,0xf700004f,0x880fffff,
    0x007fffff,0x5fffff98,0xfffffe80,0x3fff6000,0xffc806ff,0x3fe21fff,
    0x3fa04fff,0xff91ffff,0x0001dfff,0xffffffd0,0x01ffffff,0x3ffa0000,
    0xff885fff,0x00006fff,0x3ffffee0,0x3fee0004,0x00004fff,0x3ffffff3,
    0x7ffffd40,0xfff98005,0xffe805ff,0x32000fff,0x407fffff,0x45fffff8,
    0x04fffff8,0x27fffffa,0x1ffffffa,0xfff50000,0xffffffff,0x2a000007,
    0x81ffffff,0x06fffff8,0x3fee0000,0x20004fff,0xeffffffb,0xeeeeeeee,
    0xfff00eee,0x7ec07fff,0x8002ffff,0x05fffff9,0x0fffffe8,0x3fffee00,
    0x7ffec07f,0x7ffc40ff,0x3ffa04ff,0xfffe9fff,0x400003ff,0xfffffffd,
    0x000006ff,0x1bfffff6,0x37ffffc4,0xff700000,0xffffffff,0x9fffffff,
    0x7fffffdc,0xffffffff,0xf900ffff,0x7c0dffff,0x000fffff,0x5fffff98,
    0xfffffe80,0x3ffea000,0xff500fff,0xff105fff,0x7f409fff,0xfffeffff,
    0x800006ff,0xfffffff9,0x000002ff,0x5ffffff3,0x3ffffe20,0x2e000006,
    0xffffffff,0xffffffff,0x3fffee4f,0xffffffff,0x00ffffff,0x1ffffff5,
    0xdfffff30,0x3ffe6000,0xffe805ff,0x26000fff,0x80ffffff,0x05fffff8,
    0x09fffff1,0x7ffffff4,0x002fffff,0xffffb000,0x0000dfff,0x7ffffec0,
    0x3fffe206,0x2000006f,0xfffffffb,0xffffffff,0x3ffee4ff,0xffffffff,
    0x0fffffff,0x3fffffe0,0xfffffc82,0xfff30003,0xffd00bff,0x4c001fff,
    0x80ffffff,0x00fffffc,0x09fffff1,0x7ffffff4,0x00ffffff,0x7ffc4000,
    0x01ffffff,0xfff98000,0x3e202fff,0x0006ffff,0x3fffee00,0xffffffff,
    0x2e4fffff,0xffffffff,0xffffffff,0x3ff600ff,0xffe84fff,0x30001fff,
    0x00bfffff,0x01fffffd,0x7ffffd40,0xfffff987,0x3fffe203,0x3fffa04f,
    0xfffffaff,0x6400005f,0xffffffff,0xd800006f,0x406fffff,0x06fffff8,
    0x3fee0000,0xffffffff,0x4fffffff,0x13ffffee,0xfff50000,0xfff88fff,
    0x260006ff,0x805fffff,0x00fffffe,0x3ffffee0,0x6ffffe86,0x7ffffc40,
    0x3ffffa04,0xfffffb9f,0xf300002f,0xffffffff,0x400005ff,0x3ffffff9,
    0x7ffffc40,0x2e000006,0x004fffff,0x3ffffee0,0x7c400004,0x2a1fffff,
    0x004fffff,0x3ffffe60,0xffffe805,0x3ff2000f,0x7fdc4fff,0x7c401fff,
    0x3a04ffff,0xfd1fffff,0x001fffff,0xfffffb00,0x1fffffff,0x3ff60000,
    0xf8806fff,0x0006ffff,0x3fffee00,0x3ee0004f,0x0004ffff,0xfffffe80,
    0x3fffff23,0x3fe60001,0xfe805fff,0x2000ffff,0x43fffffd,0xeeffffff,
    0xfeeeeeee,0xeeefffff,0xfffffd2e,0x3ffffe63,0x7d40005f,0xffdfffff,
    0x0004ffff,0xffffff88,0xffff8803,0x2000006f,0x04fffffb,0x3fffee00,
    0xb800004f,0x3e6fffff,0x0007ffff,0x2fffffcc,0x7fffff40,0xffff1000,
    0xffff85ff,0xffffffff,0xffffffff,0xfd3fffff,0x7ec3ffff,0x002fffff,
    0x3fffffa0,0xffffffd6,0xffc80001,0xf1007fff,0x000dffff,0x7fffdc00,
    0x3ee0004f,0x0004ffff,0xfffff980,0xfffff98f,0x7fcc0005,0xfe805fff,
    0x9000ffff,0x81ffffff,0xffffffff,0xffffffff,0xffffffff,0xfffffd3f,
    0x7ffffc43,0xfb8000ff,0xf52fffff,0x00bfffff,0x7ffffc40,0xfff1003f,
    0x00000dff,0x27ffffdc,0xffff7000,0x2000009f,0xbafffffe,0x002fffff,
    0x7ffffcc0,0xffffe805,0xfff8800f,0xfff84fff,0xffffffff,0xffffffff,
    0xd3ffffff,0xb83fffff,0x05ffffff,0x7ffffc40,0x7ffff46f,0xf90002ff,
    0x001fffff,0x1bffffe2,0xffb80000,0x20004fff,0x04fffffb,0xfff90000,
    0xffffb9ff,0xf980001f,0xe805ffff,0x400fffff,0xffffffd8,0xffffff80,
    0xffffffff,0xffffffff,0xfffd3fff,0xfffd03ff,0x64007fff,0x42ffffff,
    0x6ffffff9,0xffff8800,0x3e2004ff,0x0006ffff,0x3fffee00,0x3ee0004f,
    0x0004ffff,0xfffff300,0x0bfffffd,0xffff3000,0xfffd00bf,0x7f4c01ff,
    0x903fffff,0x99999999,0xffb99999,0x9999dfff,0x3fffffa3,0xfffff981,
    0xff8800ff,0xfb06ffff,0x007fffff,0xffffffc8,0x3ffe2000,0x000006ff,
    0x13ffffee,0xffffb800,0x2000004f,0xffffffff,0x80003fff,0x05fffff9,
    0x0fffffe8,0x3fff6ea2,0x000fffff,0x7fffcc00,0x3fffa04f,0xfff901ff,
    0xfb00bfff,0x203fffff,0xfffffff9,0xffff1000,0xf88009ff,0x999fffff,
    0x99999999,0xffb80099,0x20004fff,0xfffffffb,0xffffffff,0xfb005fff,
    0xffffffff,0x3fea001f,0xffffffff,0xffffffff,0xfffffd6f,0xffffffff,
    0x05ffffff,0xfff30000,0x7ff409ff,0x3fa01fff,0x203fffff,0x5ffffff9,
    0x7ffffec0,0xfff9004f,0x88001fff,0xffffffff,0xffffffff,0xfb802fff,
    0x0004ffff,0x3fffffee,0xffffffff,0x5005ffff,0xffffffff,0x7fd400df,
    0xffffffff,0xffffffff,0xfffffd6f,0xffffffff,0x005fffff,0x3ffe6000,
    0x3ffa04ff,0x3ea01fff,0x00ffffff,0x3ffffffd,0xfffff980,0x7fc401ff,
    0x8004ffff,0xfffffff8,0xffffffff,0xb802ffff,0x004fffff,0x3ffffee0,
    0xffffffff,0x005fffff,0xfffffff1,0x7d4009ff,0xffffffff,0xffffffff,
    0xffffd6ff,0xffffffff,0x003dffff,0x7ffcc000,0x3ffa04ff,0x7ec01fff,
    0xa86fffff,0x05ffffff,0xffffff90,0xffffb80b,0xf88000ff,0xffffffff,
    0xffffffff,0xffb802ff,0x20004fff,0xfffffffb,0xffffffff,0x36005fff,
    0xffffffff,0x3ffea001,0xffffffff,0xffffffff,0xffffffd6,0xffffffff,
    0x0000005d,0x09fffff3,0x0ffffff4,0x3ffffe20,0x7fff43ff,0xf1001fff,
    0x05ffffff,0x2ffffffc,0xffff8800,0xffffffff,0x2fffffff,0xfffffb80,
    0x3fee0004,0xffffffff,0xffffffff,0x3ffee005,0x4007ffff,0xfffffffa,
    0xffffffff,0xffd6ffff,0xdfffffff,0x0000159d,0x7fffcc00,0x3fffa04f,
    0xffb801ff,0xf71fffff,0x00bfffff,0xffffffc8,0xfffff706,0x3e20003f,
    0xffffffff,0xffffffff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,0xfff02fff,
    0x7fffc0df,0xffffffff,0xffffffff,0xfffff95f,0xff50001f,0x7fecffff,
    0x2006ffff,0xf12fffff,0x0001ffff,0xcaffffd4,0x002fffff,0x43fffffa,
    0xfffffffe,0x1bcdeeff,0xfffff500,0xfff9809f,0xfff86fff,0xffffffff,
    0xffffffff,0x3004ffff,0x2e000355,0xff01ffff,0x7ffc0bff,0xffffffff,
    0xffffffff,0xffff15ff,0xfd0009ff,0x7ec7ffff,0x01ffffff,0x25fffff0,
    0x00fffff8,0x3fffee00,0x5fffff94,0x7ffff400,0xfffffd0f,0xffffffff,
    0x54017dff,0x06ffffff,0x7fffffdc,0xffffff86,0xffffffff,0xffffffff,
    0x3ffaa04f,0x002effff,0x207ffff2,0x204ffff8,0xffffffff,0xffffffff,
    0x325fffff,0x00ffffff,0x3ffffea0,0x7ffffec7,0xfff005ff,0x7fffc5ff,
    0x3ee0000f,0xfff94fff,0x7f4005ff,0xffd0ffff,0xffffffff,0xdfffffff,
    0x3fffee01,0x3fa00fff,0xf87fffff,0xffffffff,0xffffffff,0x84ffffff,
    0xffffffd8,0x800dffff,0x980ffffc,0x3e03ffff,0xffffffff,0xffffffff,
    0x3e25ffff,0x003fffff,0x0ffffffa,0xfffffffb,0xffff003f,0x7ffffc5f,
    0x3fee0001,0xffff93ff,0x7ff4005f,0xfffd0fff,0xffffffff,0xdfffffff,
    0x3ffffee0,0xfff103ff,0xff0fffff,0xffffffff,0xffffffff,0x889fffff,
    0xffffffff,0x805fffff,0xf507fffd,0x7fc07fff,0xffffffff,0xffffffff,
    0x7fe45fff,0xf5007fff,0xfb0dffff,0x9fffffff,0x5fffff00,0x00fffffc,
    0x7ffff700,0x0bfffff2,0xfffffe80,0xdfffffd0,0xfffffddd,0x709fffff,
    0xdfffffff,0x3ffffee0,0xffff87ff,0xffffffff,0xffffffff,0x7fe44fff,
    0xffeeffff,0x7402ffff,0xff707fff,0x666405ff,0xcccccccc,0xfffffccc,
    0x7ffc42ff,0xfe803fff,0xfd83ffff,0xffffffff,0x7ffffc00,0x07ffffa2,
    0xffffc800,0x5fffff92,0x7ffff400,0xfffffd0f,0x3fff6a01,0xffc86fff,
    0x80ffffff,0xfffffffd,0xfffa8007,0x7cc006ff,0x6c43ffff,0x7c07ffff,
    0xff706fff,0x800003ff,0x5ffffffb,0xdfffff90,0xfffffa80,0xfffffb06,
    0xf809ffff,0x3fa2ffff,0x20002fff,0xf92ffffc,0x4005ffff,0xd0fffffe,
    0x801fffff,0x0ffffffd,0x7fffffe4,0x7ffc42ff,0x00ffffff,0x7ffffd40,
    0x7ffe4006,0xffff104f,0x2666621f,0x999dffff,0xaffffd99,0x20000999,
    0xfffffff8,0xfffff100,0x7fff405f,0xfffb02ff,0x1fffffff,0x17ffffc0,
    0x005ffffb,0x8ffffe40,0x02fffffc,0x3fffffa0,0x1fffffd0,0xfffff880,
    0x77ffec1f,0x7d45fffe,0xffffdfff,0x7ffd4000,0x7ec006ff,0x3f200fff,
    0xfffb2fff,0xffffffff,0xffffffff,0x0007ffff,0x7ffffff4,0x7fffe402,
    0xffff506f,0x7ffec0df,0x3fffffff,0x8bffffe0,0x002ffffd,0x47ffff60,
    0x02fffffc,0x3fffffa0,0x1fffffd0,0xffffff00,0xcefffd83,0x7fec7fff,
    0x1ffffcdf,0x7fffd400,0x7ffc006f,0x7ffdc07f,0xfffffb3f,0xffffffff,
    0xffffffff,0x2e0007ff,0x04ffffff,0xffffff88,0xfffffe82,0x3ffff602,
    0x06fffffd,0xd8bffffe,0x3302ffff,0x3fff6013,0xfffff91f,0x7fff4005,
    0xffffd0ff,0xffff001f,0xfffd81ff,0x12ffffae,0xff95ffff,0xfa8003ff,
    0x4006ffff,0x5406ffff,0xffb3ffff,0xffffffff,0xffffffff,0x007fffff,
    0xffffff10,0x3ff2001f,0x7fd46fff,0x7ec06fff,0xfffbdfff,0xffff02ff,
    0x7fffe45f,0x07fff983,0x321ffffb,0x002fffff,0x43fffffa,0x00fffffe,
    0x37ffffcc,0x7c77fff4,0xfff54fff,0x3ffff91f,0xffffa800,0x7ff4006f,
    0x7ffdc07f,0xfffffb2f,0xffffffff,0xffffffff,0xfd0007ff,0x005fffff,
    0x7fffffc4,0x3fffffa1,0x7fffec02,0x6fffff8d,0x45fffff0,0xb83ffffc,
    0xfd82ffff,0xfff90fff,0x7f4005ff,0xffd0ffff,0xfe801fff,0xfe83ffff,
    0xdfffb6ff,0x7e5bfff2,0x54002fff,0x006fffff,0x00ffffec,0x221ffffb,
    0xffffc999,0xffa9999a,0x09999dff,0x7fffdc00,0xfc8004ff,0xff35ffff,
    0xfb00dfff,0x3ff6bfff,0xfff81fff,0x3ffee2ff,0xffffe83f,0x27fffe84,
    0x02fffffc,0x3fffffa0,0x1fffffd0,0x3ffffa60,0xbffff06f,0x3a3fffee,
    0xfff73fff,0xffa8005f,0x64006fff,0xf505ffff,0x7e40ffff,0xff980fff,
    0x440003ff,0x0effffff,0xffff8800,0xffffd8ff,0xfffd802f,0xfffff35f,
    0x5fffff0b,0x227fffdc,0x87fffff8,0x3f27fffe,0xffffffff,0xffffffff,
    0xfd0fffff,0xddddffff,0xfffffffd,0x3fffe01d,0xf9ffff35,0x3fee1fff,
    0x7d4003ff,0x4006ffff,0xaefffff9,0xfffffb99,0x1ffff602,0x01ffffd4,
    0x3ffffa00,0x320001ff,0xffdfffff,0xfb006fff,0x7fecbfff,0x7ffc1fff,
    0x3ffea2ff,0x7fffd44f,0x7fff41ff,0x3fffff27,0xffffffff,0xffffffff,
    0xfffffd0f,0xffffffff,0xff807fff,0x3fffa5ff,0x3ee6ffff,0x54003fff,
    0x006fffff,0xffffffd8,0x6fffffff,0x837fff40,0x002ffffb,0x3ffffee0,
    0x7c40004f,0xffffffff,0xffb002ff,0x7ffd4bff,0x7fffc4ff,0x3fffea2f,
    0x7ffffec4,0x37fff43f,0xfffffff9,0xffffffff,0x1fffffff,0x3ffffffa,
    0xffffffff,0xff102dff,0x7ffe4bff,0x3ee3ffff,0x54003fff,0x006fffff,
    0xffffff88,0x0effffff,0x837fffc0,0x001ffffb,0xffffff10,0x3f20000d,
    0xffffffff,0x3fff6006,0x7ffff45f,0x3ffffe0f,0x13fffe62,0xdfffffff,
    0x326ffff8,0xffffffff,0xffffffff,0xd0ffffff,0xffffffff,0xffffffff,
    0xff881bff,0x3ffea4ff,0x3ea0ffff,0x54004fff,0x006fffff,0xfffffb10,
    0x2009ffff,0xf905ffff,0x20001fff,0x1ffffffd,0xfff10000,0x05ffffff,
    0x2ffffec0,0x93ffffee,0x262fffff,0x3ea5ffff,0x0fffffff,0xfc97fffe,
    0xffffffff,0xffffffff,0xfd0fffff,0xddddffff,0xffffffff,0xfff88dff,
    0x7ffffc4f,0x7fffd46f,0x7ffd4004,0x4c0006ff,0x1bdeffec,0x9ffff100,
    0x01ffff60,0x7ffffdc0,0x6400004f,0x6fffffff,0x7fffec00,0xffffff85,
    0x45fffff0,0x325ffff9,0xffffefff,0xc97fffe3,0x99bfffff,0x99999999,
    0xd0fffffe,0x201fffff,0xffffffc9,0x3fffe64f,0x7ffffec4,0x2ffffd43,
    0x3fffea00,0x0000006f,0xffddddb0,0xddddddff,0xdddfffff,0xfff8801d,
    0x00006fff,0xffffff88,0x7fec002f,0xfffc85ff,0xfffff3ff,0x2ffffc45,
    0xfff3ffff,0x27fffcbf,0x05fffff9,0x7fffff40,0x1fffffd0,0xfffff880,
    0xffff30ff,0xfffffb89,0x2ffffd41,0x3fffea00,0x0000006f,0xfffffff0,
    0xffffffff,0xffffffff,0xfffd801f,0x00001fff,0xdfffff90,0xffffb000,
    0xfffff10b,0x5fffff1d,0x9b7fffc4,0xfffb7fff,0x9ffff11f,0x17ffffe4,
    0xfffffd00,0x3fffffa1,0xffff9800,0xffff51ff,0x6ffff887,0x05ffff98,
    0x7ffffd40,0x5554c006,0xaaaaaaaa,0xff8aaaaa,0xffffffff,0xffffffff,
    0x00ffffff,0x3fffffee,0x2a000003,0x005fffff,0x05ffffd8,0xf5fffffb,
    0xff85ffff,0x9fff96ff,0x22bfffee,0x3f24ffff,0x2002ffff,0xd0fffffe,
    0x001fffff,0x4ffffffe,0xe83ffffa,0xff984fff,0x7d4006ff,0x4006ffff,
    0xfffffffd,0xffffffff,0xffffff8f,0xffffffff,0xffffffff,0xfff100ff,
    0x0000dfff,0xfffffa80,0xfffd8005,0xffff305f,0x5fffffbf,0xfd7ffff8,
    0x3ffe65ff,0x3ffff9df,0x0bfffff2,0xfffffe80,0x1fffffd0,0x3ffffa00,
    0x7ffff73f,0x30199950,0x800dffff,0x06fffffa,0x7ffffec0,0xffffffff,
    0xcccc8fff,0xcccffffe,0xdffffdcc,0xfb00cccc,0x003fffff,0xfffa8000,
    0xfd8005ff,0x3f605fff,0xffffffff,0x7ffffc2f,0x3a0ffff8,0xfff9ffff,
    0x3ffff23f,0x3ffa002f,0xfffd0fff,0xff1001ff,0x3ee5ffff,0x30003fff,
    0x800fffff,0x06fffffa,0x7ffffec0,0xffffffff,0xffd80fff,0xffff507f,
    0x3ffee005,0x00003fff,0xfffffa80,0xfffd8005,0x3ffea05f,0x2fffffff,
    0x7dfffff4,0x7ffe45ff,0x22ffffbf,0x02fffffc,0x3fffffa0,0x1fffffd0,
    0xfffff700,0x3fffee1f,0xfff10002,0xffa800ff,0x64006fff,0xeeeeeeee,
    0xeeeeeeee,0x06fffe80,0x003ffff7,0xdffffff1,0x2a000000,0x005fffff,
    0x05ffffd8,0x7ffffff4,0x7ff42fff,0x42fffdff,0xffdffff9,0x3fff22ff,
    0x3fa002ff,0xffd0ffff,0xf9801fff,0x327fffff,0x0002ffff,0x00fffff1,
    0x6fffffa8,0x00000000,0x320bffff,0xd801ffff,0xacffffff,0xaaaaaaaa,
    0x4002aaaa,0x05fffffa,0x5ffffd80,0x7ffffdc0,0x7ec2ffff,0x0fffffff,
    0xffffffe8,0x3fff21ff,0x3fa002ff,0xffd0ffff,0x93101fff,0xbfffffff,
    0x017fffe4,0xfffff880,0x3ffea000,0x3f6006ff,0xffffffff,0x201fffff,
    0x905ffff8,0xa801ffff,0xffffffff,0xffffffff,0x007fffff,0x2fffffd4,
    0x7fffec00,0xfffff805,0x7ec2ffff,0x05ffffff,0xfffffff9,0x7fffe43f,
    0x3ffa002f,0xfffd0fff,0xffffffff,0xffffffff,0x7fffec1d,0xfff10002,
    0x7d4001ff,0x2006ffff,0xfffffffe,0x1fffffff,0x13fffe60,0x403fffec,
    0xfffffffb,0xffffffff,0x07ffffff,0x7ffffd40,0xfffd8005,0xfffc805f,
    0x642fffff,0x3fffffff,0xffffff30,0x7ffe41ff,0x3fa002ff,0xffd0ffff,
    0xffffffff,0xffffffff,0xffffd83f,0x3ffe0001,0x3ea000ff,0x2006ffff,
    0xfffffffe,0x1fffffff,0x0ffffe60,0x4037fff4,0xfffffffb,0xffffffff,
    0x07ffffff,0x7ffffd40,0xfffd8005,0xfff8805f,0x642fffff,0x0fffffff,
    0x3fffffe0,0x3fff20ff,0x3fa002ff,0xffd0ffff,0xffffffff,0xffffffff,
    0x3ffffb05,0x7fffc000,0x3fea001f,0x3a006fff,0xffffffff,0x01ffffff,
    0x40bfffea,0xb806ffff,0xffffffff,0xffffffff,0x007fffff,0x2fffffd4,
    0x7fffec00,0xffffb005,0xffc85fff,0x6406ffff,0x0fffffff,0x0bfffff2,
    0xfffffe80,0xffffffd0,0xffffffff,0x7ff405df,0x3e0001ff,0x2001ffff,
    0x06fffffa,0x3fffffa0,0xffffffff,0x3ffee01f,0xffff881f,0xffffb805,
    0xffffffff,0xffffffff,0x7fd4007f,0xd8005fff,0x3005ffff,0x5fffffff,
    0xffffffb8,0x7fffd403,0x7ffe47ff,0x3fa002ff,0xffd0ffff,0xffffffff,
    0xd00379bd,0x0003ffff,0x017ffffc,0xdfffff50,0x55554c00,0xaaaaaaaa,
    0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb000,0x99dfffff,0xffd00135,0xddffffff,
    0x0000579b,0xffffffc8,0x000000ff,0x00000000,0x00000000,0x800004c0,
    0x000999a9,0x00035300,0x026a6600,0x3f600000,0xffffffff,0x0cffffff,
    0x3fffffa0,0xffffffff,0x80000bff,0xfffffffe,0x7c00002f,0x8003ffff,
    0x000002e8,0x0026c400,0x3ffb6ea2,0x00bdefff,0x3ffffb22,0x04efffff,
    0x3dfffb00,0x7f5cc000,0xefffffff,0xd800001d,0xffffffff,0xffffffff,
    0xffffd04f,0xffffffff,0x003fffff,0x7ffffc40,0x0004ffff,0x1fffffc0,
    0x0fffa200,0x44000000,0xf5004ffe,0xffffffff,0x9105ffff,0xffffffff,
    0x00ffffff,0xdfffff90,0xffff5000,0xffffffff,0x0003bfff,0x7ffffec0,
    0xffffffff,0xe85fffff,0xffffffff,0xffffffff,0xf70000ff,0xffffffff,
    0xff80000f,0x22003fff,0x004ffffe,0x7fcc0000,0x36204fff,0xffffffff,
    0x42ffffff,0xffffffe8,0xffffffff,0xffff8007,0x54001fff,0xffffffff,
    0xffffffff,0xfb00000f,0xffffffff,0xffffffff,0xfffe87ff,0xffffffff,
    0xefffffff,0xfffd8000,0x1fffffff,0x3ffe0000,0x3fa003ff,0x00dfffff,
    0xffa80000,0x983fffff,0xffffffff,0xffffffff,0x7fffff42,0xffffffff,
    0xff8007ff,0x002fffff,0x7fffffd4,0xffffffff,0x00005fff,0x85fffffb,
    0xfffffba9,0x3ffa1fff,0x2e660fff,0xfffffffe,0xffff8002,0x3fffffff,
    0x3ffe0000,0x3ea003ff,0x0effffff,0x3f200000,0x05ffffff,0xfffffffd,
    0xffffffff,0x7fffe45f,0x5331bdff,0xd000ffb7,0x01ffffff,0xcdfffa80,
    0xffba99aa,0x002fffff,0xfffffd80,0x3fff2202,0x3ffa5fff,0x3ee00fff,
    0x004fffff,0x6fffffd4,0x006fffff,0x3ffffe00,0x7ff4c003,0x001fffff,
    0xffffd800,0xff704fff,0x159fffff,0xd17f5cc4,0x00dfffff,0x7fcc0004,
    0xa8004fff,0xfe8800ad,0x0004ffff,0x2fffffd8,0xfffffe80,0x3fffffa6,
    0x7fffec00,0x7fe4005f,0xffff8fff,0xf00000ff,0x0007ffff,0xffffffb1,
    0x2200007f,0xfffffffe,0xfffff302,0x826005ff,0x02ffffff,0xec880000,
    0x0000002d,0x17ffffe6,0x3fff6000,0xff9802ff,0xffd0ffff,0xfb801fff,
    0x4007ffff,0xfb5ffffe,0x0005ffff,0x0fffffe0,0xffffc800,0x40004fff,
    0xffffffe9,0x3fff601e,0x10001fff,0x07ffffff,0x00000000,0xfff00000,
    0xb0000fff,0x005fffff,0x3ffffff1,0x03fffffa,0xffffff30,0x7fffcc00,
    0xfffff73f,0x3333100b,0xffff3333,0x3333339f,0xfffb8033,0x000dffff,
    0xffffffa8,0x7ffc00ef,0x40004fff,0xbfffffff,0x00000000,0x3a000000,
    0x0007ffff,0x2fffffd8,0xfffffd00,0x3fffffa5,0x7fffdc00,0x3fee005f,
    0xfff31fff,0xff700fff,0xffffffff,0xffffffff,0xf500ffff,0x1dffffff,
    0x7fffdc00,0xf8804fff,0x000fffff,0x7ffffec0,0x0001cfff,0x00000000,
    0xfff99998,0xd80007ff,0x002fffff,0x23ffffff,0x00fffffe,0x27ffffec,
    0xfffffb00,0x1ffffff8,0x7ffffdc0,0xffffffff,0xffffffff,0xfffd3007,
    0x9003ffff,0x7fffffff,0x3fffea00,0xf980007f,0xffffffff,0x74401cff,
    0xeeeeeeee,0xeeeeeeee,0x03eeeeee,0x7fff6e44,0xffffffff,0xffd80007,
    0xf8802fff,0x3fa7ffff,0x3200ffff,0x01ffffff,0x9fffff10,0x4fffffc8,
    0x7ffffdc0,0xffffffff,0xffffffff,0x3ff62007,0x102fffff,0xfffffffb,
    0x7ffdc005,0x900006ff,0xffffffff,0x017dffff,0xfffffff1,0xffffffff,
    0xffffffff,0x3fff6609,0xffffffff,0x0007ffff,0x2fffffd8,0xfffffb80,
    0x3fffffa6,0x7fff5440,0x2a004fff,0x542fffff,0x406fffff,0xfffffffb,
    0xffffffff,0x07ffffff,0xfffffc80,0x7ff443ff,0x000effff,0x2fffffec,
    0xfff50000,0xffffffff,0xff883dff,0xffffffff,0xffffffff,0xd84fffff,
    0xffffffff,0xffffffff,0xfd80007f,0x4402ffff,0x25ffffff,0xeefffffe,
    0xfffffffe,0x32000eff,0x440fffff,0x00ffffff,0x2aaaaaa2,0xdfffffaa,
    0x2aaaaaaa,0xffff7000,0x3fe69fff,0x00efffff,0xfffffc80,0x64400005,
    0xffffffff,0x222fffff,0xffffffff,0xffffffff,0x4fffffff,0x7fffffe4,
    0xffffffff,0x0007ffff,0x2fffffd8,0x3ffffa60,0x3fffa1ff,0xffffffff,
    0x003fffff,0x06fffff8,0x07fffffd,0xfffff800,0xe8800003,0x0effffff,
    0x3fffffee,0xffb8004f,0x00007fff,0x3ffff260,0x0fffffff,0xfffffff1,
    0xffffffff,0xffffffff,0x7ffffd49,0xfe809bff,0x80007fff,0x9bfffffd,
    0xfffdba99,0x7f43ffff,0xffffffff,0x00adffff,0xfffff980,0xfffff904,
    0xfff8000b,0x400003ff,0xfffffffa,0xffffa80d,0x2000dfff,0x0ffffffa,
    0xc9800000,0xffffffff,0x26666663,0x99999999,0x99999999,0x3ffff609,
    0xfffe806f,0xfd80007f,0xffffffff,0xffffffff,0xffffe86f,0xffffffff,
    0xf90001ef,0x2603ffff,0x007fffff,0x1fffffc0,0xfff70000,0x9809ffff,
    0xefffffff,0xffff1000,0x000009ff,0x7fffec40,0x000004ff,0xffffff80,
    0xffffe801,0xffd80007,0xffffffff,0xefffffff,0xfffffe80,0xffffffee,
    0xfe8002ff,0x7fc07fff,0x0002ffff,0x00fffffe,0x7fffe400,0xd1003fff,
    0x5fffffff,0x3ffffe00,0x000000ff,0x7fffff40,0x40000006,0x07fffff9,
    0x7fffff88,0xfffd8000,0xffffffff,0x203fffff,0x10fffffe,0xfffffff5,
    0x7ffc4001,0x7fec05ff,0x20004fff,0x003fffff,0x7ffff440,0x44002fff,
    0xfffffffd,0xffffd803,0x02001eff,0xffffb000,0x3530009f,0xffff3000,
    0x7fcc03ff,0x0007ffff,0xffffffd8,0xffffffff,0x7fff400c,0x7ffcc0ff,
    0x2e005fff,0x99cfffff,0xffc99999,0x20007fff,0x003fffff,0x3ffffa60,
    0x20001eff,0xfffffffc,0x7fffc404,0x300bffff,0x007227d7,0xffffffa8,
    0x3ff62002,0x3e2001ef,0x504fffff,0xffffffff,0xfffb0000,0x59bdddff,
    0x7ff40013,0xffb80fff,0xb001ffff,0xffffffff,0xffffffff,0x0003ffff,
    0x00fffffe,0x7ffffd40,0x80000eff,0xfffffffb,0x3ffee00d,0xefffffff,
    0x13ffffee,0x1355bfff,0x7ffffdcc,0x3f2000ff,0x4006ffff,0xdfffffff,
    0xffffeb9b,0x0007ffff,0x2fffffd8,0xfffd0000,0x3ffa01ff,0xff005fff,
    0xffffffff,0xffffffff,0x20007fff,0x002eeeed,0xffffffb8,0x4c00005f,
    0xefffffff,0x3ffffa01,0xffffffff,0xff13ffff,0xffffffff,0xffffffff,
    0xffff800b,0x2e002fff,0xffffffff,0xffffffff,0x80007fff,0x02fffffd,
    0xffffd000,0x3ffee01f,0x7cc01fff,0xffffffff,0xffffffff,0x0005ffff,
    0x3ff60000,0x003fffff,0xfffd1000,0x2205ffff,0xfffffffd,0xffffffff,
    0xffffff13,0xffffffff,0xf000bfff,0x05ffffff,0xfffffe80,0xefffffff,
    0x007ffff9,0xfffffd80,0xffd00002,0x3e201fff,0x405fffff,0xfffffffc,
    0xffffffff,0x0fffffff,0xe8000000,0x2fffffff,0x6c400000,0x2fffffff,
    0x3ffffea0,0xffffffff,0xfffff13f,0xffffffff,0x20009fff,0x0ffffffe,
    0x7fffcc00,0xdfffffff,0x07ffff88,0xffffd800,0xfd00002f,0x6401ffff,
    0x00ffffff,0x3bfffffa,0xeeeeeeee,0xffffffee,0x80000002,0x1ffffffb,
    0x32000000,0x00efffff,0xfffffeb8,0x222cefff,0xffffffed,0x0befffff,
    0x3ffe6000,0x910003ff,0xbfffffff,0x3ffffc45,0x7ffec000,0xd00002ff,
    0x401fffff,0x4ffffff8,0x9fffff10,0xffffd800,0xeeeec84f,0xeeeeeeee,
    0xeeeeeeee,0x077ffdc1,0x5c000000,0x8000efff,0x0099aa98,0x79755530,
    0x40000335,0x0002dec8,0x0aaca988,0x36000000,0x002fffff,0xfffffd00,
    0xffffd801,0xfffb80ff,0x7dc002ff,0xfd87ffff,0xffffffff,0xffffffff,
    0xdfb81fff,0x00000000,0x00003bea,0x00000000,0x00000000,0x00000000,
    0x05fffffb,0x3fffa000,0x7fd400ff,0xfd84ffff,0x4000ffff,0x1ffffff9,
    0x7fffffec,0xffffffff,0x01ffffff,0x00000005,0x00000260,0x00000000,
    0x00000000,0x20000000,0x02fffffd,0xffffd000,0xfffd001f,0x7fc41fff,
    0xf0005fff,0xd89fffff,0xffffffff,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffb000,0x3a00005f,0x800fffff,
    0x3ffffffb,0x0fffffea,0x7fffe400,0x7fffec6f,0xffffffff,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0xb0000000,0x005fffff,
    0x3ffffa00,0xffff000f,0x7ffe4fff,0xf50001ff,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeb800000,0xd801eeee,0x000eeeee,0x0000a988,0x22009988,0x31000009,
    0x00000015,0xeeeee800,0xeeeeeeee,0x93eeeeee,0x000bdddd,0x0eeeee88,
    0x00998000,0x02660000,0x02662000,0xf9002620,0xd003ffff,0x2e1fffff,
    0x6d44eeee,0x01dfffff,0x7dcbddd7,0x7ec44fff,0xeeb83fff,0x7ff543ee,
    0x0001dfff,0x7bdfd953,0x3ffe0013,0xffffffff,0xffffffff,0x0fffff94,
    0xffff9800,0xedb88007,0x0cdfffff,0x3fb2a000,0x00cdffff,0xfffffb50,
    0xffec83bf,0xffc80cef,0xfe801fff,0xff90ffff,0x3ff62dff,0x3fffffff,
    0xf96fffc8,0x227fffff,0x4ffffffe,0x8a7fffe4,0xfffffffd,0x362003ff,
    0xffffffff,0xfff802ff,0xffffffff,0xffffffff,0x1fffff74,0x7ffd4000,
    0x7fdc007f,0xffffffff,0x6c4003ff,0xffffffff,0x7fc02fff,0xffffffff,
    0xffffe8cf,0x7e40efff,0xe801ffff,0xf90fffff,0xffd1ffff,0xffffffff,
    0xefffc89f,0xfffffff9,0xffffffb6,0x7ffe41ff,0xfffff8cf,0x3fffffff,
    0xfffffa80,0xffffffff,0x3fffe00d,0xffffffff,0x4fffffff,0x03fffff5,
    0x7fffdc00,0xfffb1005,0xffffffff,0x3003dfff,0xfffffffd,0x1bffffff,
    0x3fffffe0,0xffffffff,0xffffffff,0x3ffff20e,0xfffe801f,0xffff90ff,
    0xffffffbf,0x1fffffff,0x7f7fffe4,0xcfffffff,0xffffffff,0x3ffff23f,
    0xffffffed,0x07ffffff,0x677fffec,0xfffdb99a,0xffff01ff,0xffffffff,
    0x7fffffff,0x0bffffe6,0xffffc800,0xffff8804,0xffffffff,0x406fffff,
    0xfffffffa,0xffffffff,0xfffff04f,0xffffffff,0xffffffff,0x7ffe47ff,
    0xffe801ff,0xfff90fff,0xffffffff,0xffffffdb,0x7ffffe47,0xffffdcff,
    0xffebffff,0x3fff25ff,0xffffffff,0xfffffffe,0x5ffff703,0xefffd880,
    0x99999980,0xffb99999,0x7fc5ffff,0x20003fff,0x803ffffd,0xfffffffd,
    0xffffffef,0x3fa03fff,0x99aeffff,0xffffffea,0x10adff81,0xfffffff5,
    0x3fffee1b,0x3fffff26,0xffffe801,0xfffff90f,0xfd85dfff,0x3f26ffff,
    0x3e2fffff,0x50efffff,0x7e4dffff,0xefffffff,0xffffd50b,0xdfff10bf,
    0xdfffffb1,0x13ffee17,0xffff8800,0x7ff40fff,0x360004ff,0x4c02ffff,
    0xaeffffff,0x3fffee20,0xffb80fff,0x3f204fff,0x0d86ffff,0x3ffffe60,
    0x7fffec0f,0x3fffff91,0xfffffd00,0x3fffff21,0xfff105ff,0x7ffe4fff,
    0x7fff45ff,0x3ffe22ff,0x3ffff27f,0xff505fff,0xffb0dfff,0x3ffff61f,
    0xff90efff,0x3fa0005f,0xd81fffff,0xfc85ffff,0xffe81fff,0x7ff401ff,
    0x2600efff,0x45ffffff,0x05fffff8,0x2fffffe8,0xffffe800,0x3ffffa84,
    0x03fffff9,0x1fffffd0,0x3ffffff2,0x7ffff406,0xfffff90f,0x6ffffe83,
    0x93ffffc4,0x1dffffff,0x3ffffe20,0xb17ffd47,0xfffd9bff,0x0037ff47,
    0x7fffffec,0xdffff903,0x09ffffd0,0x401fffff,0x0ffffffa,0xfffffc80,
    0x7ffffe47,0xffffa801,0xffd8003f,0xffff02ff,0x3fffff29,0xffffe801,
    0xfffff90f,0xfffd801f,0xffff91ff,0x7ffffb0b,0x27ffff88,0x0efffffc,
    0x7fffff40,0xfb1bff20,0x327fec5f,0x5c001fff,0x05ffffff,0x31ffffee,
    0x88ffffff,0x6407ffff,0x005fffff,0x1ffffff1,0x03fffff4,0x4fffff98,
    0xffffc800,0x2bffff01,0x01fffffc,0x0fffffe8,0x07fffff9,0x3ddddd70,
    0x213ffff2,0x441ffffd,0x3f27ffff,0xe802ffff,0x3a0fffff,0x17fec4ff,
    0xfff89ffb,0xffff3002,0x7d401dff,0x3f20ffff,0x261fffff,0x6c06ffff,
    0x002fffff,0x87fffffa,0x99efffff,0x99999999,0x005fffff,0x00ffffc8,
    0x3f2bfffd,0xe801ffff,0xf90fffff,0x0007ffff,0x09ffff90,0x883ffffb,
    0x3f27ffff,0xe802ffff,0x3e0fffff,0x5ffec2ff,0x741fffc9,0xff8803ff,
    0x401fffff,0x21fffff9,0x4ffffffe,0x017fffe6,0x01fffffd,0x7ffffec0,
    0xffffff13,0xffffffff,0xffffffff,0x776e54c0,0xeeefffff,0x6ffffeee,
    0x03fffff9,0x1fffffd0,0x0ffffff2,0x3fff2000,0xffffd84f,0x3ffffc41,
    0x05fffff9,0x1fffffd0,0xfb03ffe6,0x05dfffff,0xfb00bff9,0x005fffff,
    0x4cbffffe,0x7fffffff,0x013fffea,0x01ffffff,0x7ffffe40,0xffffff34,
    0xffffffff,0xffffffff,0xfffffb30,0xffffffff,0xffffffff,0x3fffff2d,
    0xffffe801,0xfffff90f,0xff900007,0xfffb09ff,0xffff883f,0x3fffff27,
    0xffffe802,0x81fff30f,0x3ffffffd,0xc80bff90,0x04ffffff,0x4fffffa0,
    0xfffffffc,0x5ffff72f,0x7ffffc40,0x7ffdc007,0xffff55ff,0xffffffff,
    0xffffffff,0xffffb8ff,0xffffffff,0xffffffff,0xfff96fff,0xffd003ff,
    0x3ff21fff,0x80003fff,0xd84ffffc,0x7c41ffff,0x3ff27fff,0xfe802fff,
    0x3fe0ffff,0x5dffec2f,0xffe81fff,0x3fffea04,0x7ec006ff,0xfffd4fff,
    0x32bffffd,0x2201ffff,0x007fffff,0xa7ffffe4,0xfffffffb,0xffffffff,
    0x26ffffff,0xfffffff9,0xefffffee,0xeeeeeeee,0xfffff94e,0xffffd003,
    0x3ffff21f,0xfc80003f,0xffd84fff,0x7ffc41ff,0x3ffff27f,0xfffe802f,
    0x0fffa0ff,0x3ff25ffb,0x102fff85,0x1fffffff,0xffffc800,0xfaffff9d,
    0xffd8ffff,0x7ffc00ff,0x32000fff,0xf32fffff,0x333bffff,0x33333333,
    0x7f413333,0x7e41efff,0xfc8007ff,0x5402ffff,0x90ffffff,0x007fffff,
    0x9ffff900,0x83ffffb0,0x327ffff8,0x802fffff,0x20fffffe,0x7fec5ffc,
    0x4c3fff32,0xffd00fff,0x0005ffff,0xf7dffff7,0xfffb1fff,0x0ffffd5f,
    0x3fffffd0,0x7ffff400,0xfffff11f,0x3e20000b,0xfc80ffff,0x64000fff,
    0x204fffff,0xfffffff9,0x7fffff90,0xfff90000,0xffffb09f,0x7ffff883,
    0x0bfffff2,0x3fffffa0,0xd8bffea0,0x97ffa2ff,0xff907ffe,0x0007ffff,
    0x37ffffea,0xfff55fff,0x0dffffbf,0x9fffffb0,0x3fffe200,0x3fffe0ff,
    0xf300007f,0x3f20bfff,0x5c001fff,0x106fffff,0xffffffff,0x3fffff21,
    0xffc80003,0xfffd84ff,0x7fffc41f,0x3fffff27,0xffffe802,0x87fff40f,
    0x3fea2ffd,0x82fffb8f,0x5ffffffb,0x3ffe6000,0x13ffffff,0xffffffff,
    0xfff900bf,0xf9001fff,0xfe8fffff,0x0002ffff,0x04ffffb8,0x007ffff9,
    0xffffffa8,0x3fffee22,0xf90fffff,0x0007ffff,0x09ffff90,0x883ffffb,
    0x3f27ffff,0xe802ffff,0x4c0fffff,0xaa98dfff,0x7fdd5540,0xffff985f,
    0x99999fff,0x40999999,0xfffffff8,0x3fff60ff,0x804fffff,0x4ffffffa,
    0x7ffffcc0,0x7fffe43f,0x5c0000ff,0xf885ffff,0x4006ffff,0xfffffff8,
    0xffffffce,0xf90fffff,0x0007ffff,0x09ffff90,0x883ffffb,0x3f27ffff,
    0xe802ffff,0xc80fffff,0xc801efff,0x7440ffff,0xffffffff,0xffffffff,
    0xffff86ff,0x7d46ffff,0x3fffffff,0xfffffb00,0xfff501bf,0xff10dfff,
    0x003dffff,0xffff50c4,0xfffffd0f,0xffc8007f,0xffffffff,0xffffdfff,
    0xfffff90f,0xff900007,0xfffb09ff,0xffff883f,0x3fffff27,0xffffe802,
    0xffffb00f,0xd953137b,0xf505ffff,0xffffffff,0xffffffff,0xfffb0dff,
    0xf887ffff,0x2fffffff,0xfffff300,0xffb9dfff,0x05ffffff,0x3fffffee,
    0xaa99abdf,0x3e64ffdb,0xfb13ffff,0x7fffffff,0x22364c41,0xffffffff,
    0xff8dffff,0xfff90fff,0x900007ff,0xfb09ffff,0xff883fff,0x3fff27ff,
    0xffe802ff,0x3ee00fff,0xffffffff,0x500effff,0xffffffff,0xffffffff,
    0xff90dfff,0xb01fffff,0x3fffffff,0x7fffe400,0xffffffff,0x405fffff,
    0xfffffffe,0xffffffff,0x3ffe24ff,0xffffffff,0xffffffff,0xa87ffffe,
    0xffffffff,0xffff14ff,0x3ffff21f,0xfc80003f,0xffd84fff,0x7ffc41ff,
    0x3ffff27f,0xfffe802f,0x7f4c00ff,0xffffffff,0x7ffd403f,0xffffffff,
    0xffffffff,0xfffffb86,0xffff506f,0xd8800fff,0xffffffff,0x4fffffff,
    0xffffe880,0xffffffff,0x7e44ffff,0xffffffff,0xfffffa9f,0x07ffffff,
    0xffffffd1,0x7fffc45d,0xfffff90f,0xff900007,0xfffb09ff,0xffff883f,
    0x3fffff27,0xffffe802,0xdb73000f,0x00159dff,0xfffffff5,0xffffffff,
    0xf50dffff,0x207fffff,0x7ffffff8,0xffff5000,0xffffffff,0xffb8005f,
    0xffffffff,0x444fffff,0xfffffffe,0x3ffff21f,0x07ffffff,0x00d5dcc4,
    0x7ffffe40,0xffc80003,0xfffd84ff,0x7fffc41f,0x3fffff27,0xffffe802,
    0x0010000f,0x00000000,0x00000000,0x3ffffb22,0x000cefff,0xfffffb10,
    0x9dffffff,0xffffb103,0xfff703df,0x07dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98800000,0x00001aba,0x55799530,
    0x55d44003,0xabcaa800,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x009aaa98,0xdddddd50,
    0x7775c009,0x3bba65ee,0xb8001eee,0x004eeeee,0x00999998,0x00000000,
    0x02aaaa60,0x00002000,0x00000000,0x6cc00022,0x3001eeee,0x17bdfd97,
    0x7ff64400,0x0cffffff,0x7ffffec0,0xfff9802f,0x7ff42fff,0xe8005fff,
    0x003fffff,0x03fffff8,0x0005d100,0xffb000b9,0x880003ff,0x175401df,
    0xfffedb88,0xc8802cee,0x1bf2200f,0xffffb300,0xfea803ff,0xffffffff,
    0xfffa800d,0xffffffff,0x3ffe201f,0x7400ffff,0xb85fffff,0x00ffffff,
    0x3ffffe60,0xfff8000f,0xe88003ff,0x3f2002ff,0x7fe4005f,0x6c0000ff,
    0xf881dfff,0x7fec1eff,0xffffffff,0xfffc882e,0xffffc885,0xfffea803,
    0x101fffff,0xfffffffd,0x00bfffff,0xfffffff5,0x01dfffff,0x7fffffd4,
    0x3ffff205,0xfff880ff,0x32002fff,0x005fffff,0x07fffff0,0xffffe880,
    0xffffc802,0xfff70085,0x7dc0020f,0xfd83ffff,0x3f60ffff,0xffffffff,
    0x7fdc1fff,0xffe82fff,0xfd100fff,0xffffffff,0x7fff403f,0xffffffff,
    0x6fd403ff,0xfea989ab,0x7e402fff,0x983fffff,0x01ffffff,0x17fffff6,
    0xffffff80,0xffff0002,0xffe8007f,0x3202ffff,0x42ffffff,0x7ffdc0ed,
    0x4401fb87,0xb85fffff,0x6c2fffff,0xffffffff,0xfe86ffff,0x7cc0ffff,
    0x3e05ffff,0xffffffff,0x3fe201ff,0xfffedeff,0x04405fff,0x13fffe60,
    0x3fffffa0,0x7ffff40f,0x7ffd404f,0xf9800fff,0x0006ffff,0x00fffffe,
    0xffffff30,0xffff905f,0xfff987ff,0x89bffea2,0x7ec06ffd,0x7c40ffff,
    0xdc85ffff,0xffb999ab,0x7c40ffff,0xfb85ffff,0xf702ffff,0xffffdfff,
    0x82eb803f,0x07fffffc,0xffff8800,0xffff9805,0x3fff26ff,0xfff006ff,
    0xf9007fff,0x0007ffff,0x01fffffc,0x7ffffcc0,0x3fff22ff,0xffe83fff,
    0xbfff34ff,0x0bffffe6,0x17ffffd4,0x077fffec,0x7ffff400,0xffffa80f,
    0xffffe82f,0x73ef880f,0x003fffff,0x7ffffcc0,0x554c4006,0x05ffffaa,
    0xffffff70,0xffffff37,0x3ffee003,0xfff806ff,0x20000fff,0x003fffff,
    0xffffff30,0xfffff95f,0xffff707f,0xbfff5dff,0xdffffff9,0xbfffff10,
    0x3fffff70,0x3fffa000,0x3fff605f,0x7ffcc0ff,0xfb8305ff,0x0001ffff,
    0x17fffff2,0x7fffed40,0x05ffffff,0x3fffff60,0x3fffffef,0x3fffe200,
    0x3fea01ff,0x40005fff,0x003fffff,0x3ffffe60,0xffffffff,0x3fffae03,
    0xffffffff,0x81dfffff,0x40fffffd,0x04fffff9,0x7ffecc40,0x3fe203ff,
    0xffb85fff,0xfb802fff,0x0001ffff,0x5ffffff5,0xffffe880,0xffffffff,
    0x3ffe2005,0xffffffff,0xfffd8006,0x3ff604ff,0x40002fff,0x003fffff,
    0x7ffffcc0,0x03ffffff,0xfffffd50,0x9fffffff,0x3fffea01,0xffffe82f,
    0xffffb006,0x007fffff,0x07fffff5,0x00dffffd,0x03fffff7,0xfffff300,
    0xfffd00bf,0xff5599ff,0xfa800bff,0xffffffff,0xffa8000f,0xff107fff,
    0x7440ffff,0xeeeeeeee,0xeeefffff,0x03eeeeee,0x7fffffcc,0x98003fff,
    0xfffffffd,0x7ff400bf,0xfffb85ff,0xffb001ff,0x39ffffff,0x3ffff600,
    0x7fffcc0f,0x7ffdc03f,0x7d4001ff,0x00efffff,0x077fffcc,0x002ffffc,
    0x7fffffe4,0x3e0003ff,0xb82fffff,0x204fffff,0xfffffff8,0xffffffff,
    0xffffffff,0xffff9804,0x30004fff,0xfffffff9,0xfffb005d,0xfff981ff,
    0xffb003ff,0xffffffff,0x7ffc401b,0xfffc84ff,0x7fdc00ff,0x2e001fff,
    0x0effffff,0x3ffffc80,0x00bffff0,0xffffff10,0xfc8000ff,0xfe85ffff,
    0x2200ffff,0xffffffff,0xffffffff,0x4fffffff,0xfffffc80,0x26002fff,
    0xfffffffd,0x00bfffff,0x0bfffff1,0x03fffff9,0xffdddd90,0x40bfffff,
    0x40effffd,0x03fffff9,0x1fffffb8,0xfffff900,0x7fdc00bf,0x7fec45ff,
    0xfc8005ff,0x3fffffff,0x3ffe2000,0x3fe60fff,0x7c406fff,0xffffffff,
    0xffffffff,0x04ffffff,0x7fffffe4,0x5402ffff,0xfffffffe,0xffffffff,
    0xfffb80cf,0xfffe82ff,0xf510006f,0x701fffff,0x883fffff,0x006ffffe,
    0x03fffff7,0xffffff90,0xfffa8007,0xfffdcdff,0x54005fff,0xffffffff,
    0x360001ff,0x322fffff,0x402fffff,0xfffffff8,0xffffffff,0xffffffff,
    0x3ffff204,0xffffffff,0xfffff702,0xbbfff7ff,0x0fffffff,0x03fffff6,
    0x09fffff3,0x7fffec00,0x7fffcc3f,0xffffc84f,0xfff7001f,0xffd803ff,
    0x999affff,0xfd100999,0xffffffff,0x400bffff,0xfffffff8,0x0006ffff,
    0x97ffffea,0x007fffff,0x33333333,0x39fffff3,0x13333333,0x3fffff20,
    0xffffffcf,0xffffd02f,0x2bfff31b,0x03fffffa,0x0bfffff1,0x05fffff9,
    0x3ffffa00,0x7ffff42f,0xfffffa86,0xddddd903,0xdddfffff,0x7ffff47d,
    0xffffffff,0x3fe604ff,0xabffffff,0x3a005fff,0xffefffff,0x0004ffff,
    0x23fffffe,0x04fffff9,0x3fffe000,0xff90003f,0x3e67ffff,0x82ffffff,
    0x3ea3fffa,0x3ffa26ff,0x7fffdc06,0xffffe82f,0x26aae20f,0xfffda999,
    0x3ff20fff,0x7fc41fff,0x3f606fff,0xffffffff,0xf14fffff,0xffffffff,
    0x09ffffff,0xbcefec88,0x00599910,0x3ffffff2,0xffffffd8,0xfff90002,
    0xffff97ff,0x7c00003f,0x8003ffff,0x3ffffffc,0x7fffffcc,0x541ed82f,
    0x1fc86fff,0xfffffe80,0x7ffffcc0,0x3ffffe65,0xffffffff,0x3fffea5f,
    0xffffc83f,0x3fff601f,0xffffffff,0xfff14fff,0xffffffff,0x0009ffff,
    0x3fea0000,0xff13ffff,0x001fffff,0xdfffff30,0x00dfffff,0xfffff800,
    0x7ffe4003,0xff303fff,0x083fffff,0x20ffff70,0xffff3001,0xffff709f,
    0x3fffe61b,0xffffffff,0x7fff545f,0xffffe886,0x7fffec04,0xffffffff,
    0xffff14ff,0xffffffff,0x00009fff,0xffff1000,0xfffa8bff,0xd0005fff,
    0xffffffff,0x800007ff,0x003fffff,0x1fffffe4,0x3ffffe60,0xfff9000e,
    0xfc80001f,0x3bfa01df,0x7ffffcc1,0x3effffff,0xb803fee0,0xccb806ff,
    0xcccccccc,0x9912cccc,0x99999999,0x20599999,0xaaaaaaa9,0xaaaaaaaa,
    0xffffd00a,0xfffb01ff,0x50007fff,0xffffffff,0x800001ff,0x003fffff,
    0x003fffc8,0x001dfff3,0x00ffffe4,0x20076200,0xffdb1019,0x0379ddff,
    0x0dc00620,0x00000000,0x3fff6000,0xffffffff,0xc80fffff,0x02ffffff,
    0xfffffff1,0xffff0003,0x009fffff,0xfffff000,0x0ff20007,0x001df300,
    0x00ccccb8,0x00000000,0x00000000,0x00000000,0x3fff6000,0xffffffff,
    0x540fffff,0x05ffffff,0x7fffffd4,0x7fe4000e,0x01ffffff,0xffff8000,
    0x00a0003f,0x000004c0,0x00000000,0x00000000,0x00000000,0x7fec0000,
    0xffffffff,0x20ffffff,0xfffffff8,0xffffd800,0x7cc004ff,0x06ffffff,
    0xffff0000,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77776400,0xeeeeeeee,0x3f60eeee,0x002fffff,0xfffffff1,0xfffe8005,
    0x00003fff,0x03999990,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a000000,0x2000ffff,0xcccccccb,
    0xcccccccc,0x510ccccc,0xa8855555,0x0002aaaa,0xccc98000,0xcccccccc,
    0xcccccccc,0x200000cc,0x2aaaaaaa,0xaaaaaa88,0xd910001a,0x16f6403b,
    0x99999900,0x59999999,0x00000000,0x9dffd971,0x7fdc0007,0x36005fff,
    0xffffffff,0xffffffff,0xff51ffff,0xffa8dfff,0xd9506fff,0x00005bdf,
    0xfffffff7,0xffffffff,0x01ffffff,0x3fff6000,0xf700dfff,0x05ffffff,
    0xfffff880,0x3ffffd81,0xffffff00,0x9fffffff,0x80000000,0xfffffffb,
    0x44002eff,0x2fffffff,0xfffffb00,0xffffffff,0x3fffffff,0x1bffffea,
    0x0dfffff5,0xfffffffb,0xaaa9801b,0xfffff70a,0xffffffff,0xffffffff,
    0xffb00001,0x3007ffff,0x5ffffffd,0x7fffdc00,0x7fffcc5f,0xffff007f,
    0xffffffff,0x0000009f,0x3ffffa20,0xffffffff,0x3fff6004,0xb006ffff,
    0xffffffff,0xffffffff,0x3e63ffff,0x7cc5ffff,0x3a25ffff,0xffffffff,
    0x3ff601ff,0xffff71ff,0xffffffff,0xffffffff,0xfd80001f,0x001fffff,
    0x3fffff62,0xfff9001f,0xfffb8fff,0xff800fff,0xffffffff,0x00004fff,
    0xffff9000,0xffffffff,0xff3005ff,0x9ffffdff,0xfffffb00,0xffffffff,
    0x3fffffff,0x17ffffe6,0x4bfffff3,0xfffffffb,0xb02fffff,0x3ee1ffff,
    0xffffffff,0xffffffff,0x0000ffff,0x37fffff6,0xfff70000,0xf7003fff,
    0xf98bffff,0x9007ffff,0x99999999,0x00059999,0xfff30000,0xf7535dff,
    0x801dffff,0xffd6fffe,0x998801ff,0x99999999,0x99999999,0x3fffe219,
    0x7fffc44f,0x3ffffa4f,0xffffffff,0x7fffc42f,0x26666627,0x99999999,
    0xfffff999,0xfffb0000,0x300007ff,0x03fffffd,0x03ffffd0,0x005ffffb,
    0x00000000,0xffffd800,0xfffff305,0x7fffdc05,0x0bffff51,0x44000000,
    0xf84fffff,0xff54ffff,0xff739fff,0x319fffff,0x00dffffd,0xfffff800,
    0xeeec8000,0x200001ee,0x0deeeec8,0x200cdb80,0x00001cdb,0x00000000,
    0x00fffff8,0x40fffffa,0x6c5ffff8,0x0002ffff,0x3ffe0000,0xffff83ff,
    0x9ffff73f,0xfffffe88,0xffffffff,0x7fc00003,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x1bfffe20,0x0bffff90,0x307ffff2,0x001fffff,
    0x3fe00000,0xfff82fff,0xffff93ff,0xffffd103,0xffffffff,0xff800001,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x17fffe60,0x0bffff50,
    0x209ffff3,0x004ffffc,0xffd00000,0xfffd05ff,0x3ffff65f,0xffffb101,
    0x07ffffff,0xffff0000,0x0000001f,0x00000000,0x00000000,0x40000000,
    0x407ffff9,0xe84ffffb,0xf100ffff,0xd903ffff,0xdddddddd,0xdddddddd,
    0x7ff43ddd,0xfffe81ff,0x1555551f,0xfffffc80,0x00002fff,0x01fffff0,
    0x00000000,0x00000000,0x00000000,0xfff80000,0x3ffa02ff,0x7ffd43ff,
    0x7ffdc03f,0xffffd86f,0xffffffff,0xffffffff,0x07ffff61,0x007ffff6,
    0xdfffb300,0x40000039,0x000eeeee,0x00000000,0x00000000,0x00000000,
    0x7fff4000,0xffff305f,0x7fffc43f,0xffffd006,0xfffffd87,0xffffffff,
    0x1fffffff,0x2033332a,0x000cccca,0x00000200,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbfffff70,0xffff7333,0xffffc8df,0xffff5002,
    0x7fffec1f,0xffffffff,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffffd,0x3fffffff,0x037fffcc,
    0x93ffffa0,0xeeeeeeec,0xeeeeeeee,0x001eeeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff300000,0xffffffff,0xcca87fff,
    0x64c001cc,0x0000cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb100,0x03dfffff,0x36000000,0xdddddddd,
    0xdddddddd,0xdddddddd,0x000002dd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffb2a0,0x000003de,0x7ffffc00,0xffffffff,
    0xffffffff,0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02000000,0x00000000,0xffffffff,0xffffffff,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffc0000,0xffffffff,0xffffffff,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffe0,0xffffffff,0xffffffff,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_50_latin1_x[224]={ 0,9,5,1,2,0,0,10,6,5,3,1,5,6,
8,1,1,2,3,3,0,3,2,2,2,1,9,5,2,3,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,2,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,11,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,1,0,
11,2,0,0,5,2,2,6,1,0,4,2,5,5,0,3,1,9,10,5,4,3,0,0,0,3,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_bold_50_latin1_y[224]={ 37,2,2,5,0,2,2,2,0,0,2,11,27,21,
27,2,4,4,4,4,5,5,5,5,4,4,11,11,9,16,9,2,1,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,1,2,1,5,42,2,11,2,11,2,11,2,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,12,12,12,12,12,12,1,-3,1,17,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,37,11,0,4,5,5,
-3,2,2,4,4,13,21,21,1,3,1,6,2,1,2,12,2,18,37,2,4,13,2,2,2,11,-4,-4,-4,-5,
-5,-6,5,4,-4,-4,-4,-5,-4,-4,-4,-5,5,-5,-4,-4,-4,-5,-5,12,-1,-4,-4,-4,-5,-4,5,2,2,2,
2,2,2,-1,11,11,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,6,2,2,2,2,2,2,2,
 };
static unsigned short stb__consolas_bold_50_latin1_w[224]={ 0,9,17,26,24,28,29,8,17,16,22,25,14,16,
11,24,26,23,22,22,27,22,24,23,23,24,10,14,21,22,21,18,28,28,23,23,25,20,20,25,24,21,19,24,
21,26,24,27,23,28,24,23,25,24,28,27,28,28,23,14,24,14,24,28,17,23,23,21,24,23,26,25,22,22,
21,24,22,26,22,25,23,24,22,21,23,22,28,28,27,28,21,20,6,19,26,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,9,21,25,26,27,
6,24,23,28,18,23,23,16,25,21,19,23,17,17,26,24,25,10,8,17,19,22,28,28,28,18,28,28,28,28,
28,28,29,23,24,25,24,24,24,25,24,24,27,26,27,27,27,27,27,23,27,26,26,26,26,28,23,24,25,26,
25,25,25,25,27,21,25,26,25,25,25,26,25,25,25,25,26,26,26,26,26,25,25,25,26,25,25,28,23,28,
 };
static unsigned short stb__consolas_bold_50_latin1_h[224]={ 0,36,13,32,44,36,36,13,48,48,22,25,19,6,
11,41,34,33,33,34,32,33,33,32,34,33,27,35,29,15,29,36,47,32,32,34,32,32,32,34,32,32,33,32,
32,32,32,34,32,43,32,34,32,33,32,32,32,32,32,46,41,46,16,6,11,27,36,27,36,27,35,37,35,36,
47,35,35,26,26,27,36,36,26,27,34,26,25,25,25,36,25,46,51,46,13,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,36,44,33,32,32,
51,41,11,34,25,21,12,6,26,10,19,31,20,21,11,35,41,11,8,20,25,21,35,35,35,36,41,41,41,42,
42,43,32,41,41,41,41,42,41,41,41,42,32,42,42,42,42,43,43,23,44,42,42,42,43,41,32,36,36,36,
36,36,36,39,27,34,36,36,36,36,35,35,35,35,36,35,36,36,36,36,36,27,37,36,36,36,36,46,45,46,
 };
static unsigned short stb__consolas_bold_50_latin1_s[224]={ 254,245,69,1,1,158,1,242,15,33,127,
77,241,236,242,53,94,1,221,71,120,45,68,202,25,170,240,238,125,46,103,
28,50,50,159,160,94,22,1,134,134,72,25,148,226,183,81,213,1,76,25,
1,210,145,43,106,173,52,28,116,28,101,21,46,165,217,137,147,57,27,107,
212,232,233,79,82,59,125,152,1,131,155,102,169,121,79,48,223,20,108,201,
209,1,189,87,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,
230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,254,246,26,
195,203,175,8,107,183,184,1,150,114,236,175,207,1,79,233,174,138,73,210,
241,240,215,236,192,1,30,203,236,132,132,52,216,217,161,117,161,185,1,27,
1,81,106,161,26,147,106,133,51,188,105,133,103,48,1,79,161,190,78,93,
27,214,187,132,79,53,186,51,49,52,105,31,27,150,176,124,47,1,98,78,
215,1,161,188,191,1,82,206,180,105,160,230,131, };
static unsigned short stb__consolas_bold_50_latin1_t[224]={ 1,98,633,513,53,226,301,301,1,1,607,
607,375,539,315,141,411,446,411,411,480,446,446,480,411,411,226,184,546,633,546,
338,1,546,513,375,480,480,480,375,513,480,446,480,480,513,513,375,546,53,546,
411,513,411,480,513,480,513,513,1,141,1,633,649,633,546,301,546,301,579,375,
184,338,263,1,375,375,578,578,579,263,263,578,546,411,578,607,578,607,301,578,
1,1,1,633,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,1,53,53,
411,446,446,1,141,633,375,607,607,633,539,578,633,633,546,607,607,633,338,141,
395,254,607,513,607,375,375,338,141,184,141,184,98,53,53,446,141,141,184,184,
98,184,184,184,98,446,98,98,98,98,53,53,607,53,141,98,98,53,141,446,
263,226,226,226,226,226,184,579,411,263,226,301,226,338,338,338,338,264,338,263,
301,338,301,301,546,226,301,263,263,263,1,1,1, };
static unsigned short stb__consolas_bold_50_latin1_a[224]={ 440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_50_latin1(stb_fontchar font[STB_FONT_consolas_bold_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_50_latin1_s[i] + stb__consolas_bold_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_50_latin1_t[i] + stb__consolas_bold_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_50_latin1_x[i];
            font[i].y0 = stb__consolas_bold_50_latin1_y[i];
            font[i].x1 = stb__consolas_bold_50_latin1_x[i] + stb__consolas_bold_50_latin1_w[i];
            font[i].y1 = stb__consolas_bold_50_latin1_y[i] + stb__consolas_bold_50_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_50_latin1_s[i] + stb__consolas_bold_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_50_latin1_t[i] + stb__consolas_bold_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_50_latin1_x[i] + stb__consolas_bold_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_50_latin1_y[i] + stb__consolas_bold_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_50_latin1_LINE_SPACING
#endif

