// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT        481
#define STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_47_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_47_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_47_latin1_LINE_SPACING          22

static unsigned int stb__courier_bold_47_latin1_pixels[]={
    0x005cc000,0x00000000,0x00033333,0x4ccc4000,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00060000,0x70000100,0x440009ff,0x5dd304fc,
    0x3ffff200,0x000001ff,0x09ffff50,0x01fe4000,0x5fb10000,0x37e60000,
    0x36000000,0x4000003f,0x100004fb,0x80001ffd,0x20006fe8,0x0001fffc,
    0x3a07ffee,0xff9807ff,0x001fffff,0xfff50000,0xd100009f,0x000009ff,
    0x000fffa6,0x00fffd40,0x5ffe8000,0x3f200000,0x5c0000ef,0x40004fff,
    0x4003fffb,0x002fffe8,0x417ffe40,0x4400ffff,0x1fffffff,0xf5000000,
    0x80009fff,0x000efff9,0x6fffa800,0x7fec0000,0x9800003f,0x0000efff,
    0x1fffe880,0x3ffe6000,0x3f20000f,0x3a6003ff,0x80001eff,0xff706ff9,
    0x3fb2a009,0x00001fff,0x9ffff500,0x7ffd4000,0xb800000d,0x00005fff,
    0x009fff90,0xfffd1000,0x36000003,0x20003fff,0x0004fffe,0x800ffff2,
    0x0000dffe,0x002200c0,0x00ffff40,0x99880000,0xf5000099,0x000009ff,
    0x000fffee,0xbfff5000,0xfb100000,0x000003ff,0x000fffee,0x007fffdc,
    0x03fffc80,0x00013fa0,0x20000000,0x0001fffe,0x80000000,0x00002ffe,
    0x000bffe0,0x7ff4c000,0xf9000000,0x400000bf,0x10007ffa,0x0007ffff,
    0x000ffff2,0x00000001,0x3ffa0000,0x0000001f,0x1ca80000,0x65400000,
    0x40000000,0x000003c8,0x00000e4c,0x8000b220,0x0007fffc,0x0007fff9,
    0x2aa20000,0x54400aaa,0x7400aaaa,0xd9711fff,0x440037bd,0xaaaaaaaa,
    0x0002aaaa,0x00000000,0x00000000,0x00000000,0x88000000,0x8003ffff,
    0x5443fffc,0x4400aaaa,0xc80aaaaa,0x4fffffff,0xffffffb0,0x7fff409f,
    0xffffffca,0x3600dfff,0xffffffff,0x00ffffff,0x00000000,0x80000004,
    0x00000000,0x00000000,0x1bfff200,0x8ffff200,0xfffffffc,0xfffffb04,
    0xffff89ff,0x440fffff,0xffffffff,0x3ffffa07,0xffffffff,0xf982ffff,
    0xffffffff,0x20ffffff,0xcccccca8,0x6665440a,0x2000accc,0xbdfffeca,
    0xd9500002,0x0057bfff,0x66666544,0x665440ac,0x400acccc,0xccccccb9,
    0x440003cc,0x4002ffff,0x3fe3fffc,0x0fffffff,0x7fffffc4,0x7fff47ff,
    0xff06ffff,0x0dffffff,0x7ffffff4,0xffffffff,0xfff82fff,0xffffffff,
    0xff10ffff,0xffffffff,0x7fffffc4,0x4400ffff,0xfffffffd,0x10000dff,
    0xfffffffb,0xf8801bff,0xffffffff,0x3ffffe27,0x900fffff,0xffffffff,
    0x80001fff,0x4006fffd,0x3fa3fffc,0x06ffffff,0xffffffff,0xffffc88d,
    0xff7300be,0x74017fff,0xbeffffff,0xffffca9a,0x76dcc1ff,0xfeeeeeee,
    0xfff70fff,0x5fffffff,0x3fffffea,0x2e02ffff,0xffffffff,0x001fffff,
    0x7fffffdc,0x1fffffff,0x3ffffee0,0xf52fffff,0xffffffff,0x3fffe05f,
    0xffffffff,0x7fcc0003,0x3f2002ff,0x3ff223ff,0x7300beff,0x017fffff,
    0x201bfff6,0x804ffff8,0x03fffffe,0x027fffe4,0x21ffff00,0xfffffff8,
    0xfff10fff,0x1fffffff,0x3ffffee0,0xffffffff,0xff7003ff,0xffffffff,
    0x207fffff,0xfffffff8,0xfff10fff,0x1fffffff,0x3fffff20,0x07ffffff,
    0x5fffd800,0x0ffff200,0x201bfff6,0x404ffff8,0x403ffff8,0x800ffffc,
    0x002ffffe,0x000dfff9,0x7107fffc,0x1599ffff,0xfffdca88,0xfff300bf,
    0x2e615bff,0x01fffffe,0x6fffffcc,0xfffd730a,0x3ee203ff,0x40accfff,
    0xffffdca8,0x665cc00b,0xfffffffe,0x7fd40002,0xff9001ff,0xffff107f,
    0xffffc807,0x6fffc800,0x13fffe20,0x02ffff40,0x007fffa0,0x407fffc0,
    0x3000ffff,0xfe80ffff,0x7e403fff,0x7f406fff,0x7e403fff,0x7fc06fff,
    0xff3000ff,0x3fa000ff,0x05ffffff,0x5fffe800,0x07fff900,0x881bfff2,
    0x1004ffff,0x3207ffff,0xd000ffff,0xc8007fff,0xf0003fff,0xfff01fff,
    0x3fe6001f,0x3fff207f,0xfff5002f,0x3fff207f,0xfff5002f,0x7fffc07f,
    0xffff3000,0xffff3000,0x001ffff7,0x0ffffa80,0x03fffc80,0x207ffff1,
    0x000ffffc,0x221ffff2,0x2004ffff,0x4002fffe,0x0005fffb,0xff01ffff,
    0x3e6001ff,0xfff107ff,0xffd8009f,0x7ffc40ff,0x7fec004f,0xffff00ff,
    0x3ffe6001,0xfffd8007,0x007fffd6,0x09fffd00,0x407fff90,0xf887fffc,
    0x44004fff,0x7e43ffff,0x3a000fff,0x6c004fff,0xf0004fff,0xfff01fff,
    0x3fe6001f,0xffff507f,0xfff88001,0x7fffd42f,0x7ffc4000,0x1ffff02f,
    0x1fffe600,0x5ffff100,0x001fffee,0x03fffee0,0x407fff90,0x643ffff8,
    0x8000ffff,0xf10ffffc,0xe8009fff,0x1000efff,0x0005ffff,0x3e03fffe,
    0xf3000fff,0x3ff20fff,0xff90003f,0x3fffc87f,0x7fff9000,0x003fffe0,
    0x003fffcc,0xf89fffee,0x80002fff,0x6404ffff,0x7e403fff,0xfff10fff,
    0x3e20009f,0xfff93fff,0xffe8001f,0xfe8805ff,0xf0000fff,0xfff01fff,
    0x3fe6001f,0x5fffb07f,0x3ffea000,0x017ffec5,0x05fffa80,0x2001ffff,
    0x4007fff9,0x7ec4fffe,0xb80005ff,0x3200ffff,0x7c403fff,0xfff93fff,
    0x7e40001f,0xffff9fff,0xfffe8004,0xfd301eff,0x40009fff,0xff80ffff,
    0xff3000ff,0x3fffe0ff,0xfff30001,0x01ffff8d,0x0dfff300,0x4003fffe,
    0x2007fff9,0x4c1ffff9,0x0000ffff,0x01ffffc4,0x9007fff9,0xfff3ffff,
    0xf880009f,0xffffffff,0xfffe8000,0xecdeffff,0x06ffffff,0x07fffc00,
    0x8007fffc,0xf887fff9,0x220007ff,0x3fe27fff,0x3e20007f,0xffff07ff,
    0x3ffe6001,0x3fff6007,0x09fffd05,0xffff9000,0x01fffe40,0x7fffffc4,
    0x80000fff,0xfffffffc,0xfffd0004,0xffffffff,0x01ffffff,0x0ffff800,
    0x000ffff8,0x3e0ffff3,0x10000fff,0xfff8ffff,0xff10000f,0x3fffe0ff,
    0xffff3000,0x3fffe200,0x0ffff702,0xffff1000,0x0ffff205,0x7ffffe40,
    0x100004ff,0x1fffffff,0x3fffa000,0xfffffffe,0x000dffff,0x80ffff80,
    0x3000ffff,0x3fa0ffff,0xf50001ff,0xfffe8dff,0xfff50001,0x03fffe0d,
    0x03fffcc0,0xeeffffb8,0xfffeeeee,0xfc80002f,0xfff906ff,0x3ffe2007,
    0x0000ffff,0x3fffff20,0x3ffa0004,0xffffd99f,0x0001efff,0x203fffe0,
    0x3000ffff,0x3f20ffff,0xf70002ff,0xfffc89ff,0xfff70002,0x03fffe09,
    0x03fffcc0,0xffffffe8,0xffffffff,0xf980005f,0xffc82fff,0x3ff2003f,
    0x00004fff,0x07ffffc4,0x3fffd000,0x00d5d4c4,0xffff8000,0x00ffff80,
    0x20dfff30,0x0005fffb,0xfb87fffd,0xfd0005ff,0x3ffe07ff,0xfff3000f,
    0xffff300d,0xffffffff,0x001fffff,0x0dfffb00,0x4007fff9,0x00fffff8,
    0x7ffcc000,0x7f40004f,0x000001ff,0x0ffff880,0x002fffd8,0x260bfff5,
    0x4002ffff,0x4c1ffffa,0x4002ffff,0xb01ffffa,0x2a005fff,0xfd805fff,
    0xffffffff,0xffffffff,0xff980004,0x7ffe41ff,0x3ffe6003,0xd800004f,
    0x0000ffff,0x000ffff4,0x7fd40000,0x9fff907f,0x0ffff200,0x00efffe8,
    0x0bffff10,0x003bfffa,0x02ffffc4,0x2009fff9,0x4403fffc,0xaaacffff,
    0xfcaaaaaa,0xd00007ff,0xffc8bfff,0x3ff6003f,0x400000ff,0x004ffff9,
    0x01fffe80,0xfd800000,0xfff505ff,0xfffb803f,0x3ffe602f,0x7f4400ef,
    0xff300fff,0xe8801dff,0x2a00ffff,0x5c01ffff,0x5c02ffff,0x7c007fff,
    0x80002fff,0x321ffffa,0xf3003fff,0x00009fff,0x01ffffb0,0x3fffd000,
    0xa8000000,0xd103ffff,0x7107ffff,0x700dffff,0x205fffff,0x03fffffa,
    0x17ffffdc,0x3fffffa8,0x7ffff440,0xffffb883,0xdfffe806,0xfffb1000,
    0x3fa0000b,0x3fff24ff,0xffffb003,0x55440001,0xdffffbaa,0xd530000a,
    0x03559fff,0x55553000,0xffffffb5,0x7fffcc01,0xfffecdef,0xfb000fff,
    0xb9bfffff,0x0dffffff,0x3fffff60,0xffffdcdf,0xff3006ff,0xfd9bdfff,
    0x201fffff,0xffffffd9,0xffd702ef,0x01dfffff,0x7fffd400,0x887fff70,
    0xfffbaaaa,0xc8000adf,0xffffffff,0x8006ffff,0xfffffffe,0x0000ffff,
    0xffffffff,0x005fffff,0xfffffff7,0x07ffffff,0x7ffff440,0xffffffff,
    0xfd1000df,0xffffffff,0x001bffff,0x7fffffdc,0x3fffffff,0x3fffff60,
    0xf887ffff,0xffffffff,0x7f40004f,0x1fff12ff,0x7fffffe4,0x06ffffff,
    0xffffff80,0xffffffff,0x3ffe6002,0xffffffff,0xffa8003f,0xffffffff,
    0x3ea002ff,0xffffffff,0xf70002ff,0xffffffff,0x2e0007ff,0xffffffff,
    0x50003fff,0xffffffff,0xfd805fff,0xffffffff,0xffffff07,0x0009ffff,
    0x220fffa8,0x7ffffc0a,0xffffffff,0x7fec002f,0xffffffff,0x7c000fff,
    0xffffffff,0x88000fff,0xffffffff,0x88002dff,0xfffffffd,0x6cc0000d,
    0xdfffffff,0x7ecc0001,0x1dffffff,0x7fec4000,0x00dfffff,0xffffec88,
    0xfb502dff,0x19dfffff,0x03950000,0x3fffff60,0xffffffff,0x66544000,
    0xcccccccc,0xcb88000b,0xbccccccc,0x32e20001,0x001bcccc,0x06b2a600,
    0x654c0000,0x3000000a,0x00001595,0x006b2a60,0x00000000,0x88000000,
    0xccccccca,0x0000bccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000b9800,
    0x00000000,0x00000000,0x00000000,0x00071000,0x000b6a00,0x00004000,
    0x00000071,0x26620000,0x00409999,0x33fffa60,0x40000000,0x4c0006ea,
    0x000001ef,0x40001dd3,0x00001ef9,0x007bfea0,0x0fff9800,0x3e200000,
    0xffa8006f,0x8000001e,0xd3000ee9,0x9fffffff,0xe801bfa2,0x003fdbcf,
    0x3fee0000,0x3e60000f,0x400002ff,0x0000fffb,0x000bffe6,0xffffb100,
    0x2e00009f,0x00002fff,0x00bfff60,0x7ffffec4,0x2e000004,0xfb000fff,
    0x9fffffff,0x200fffee,0x003f44f9,0xfffd8000,0xffc80003,0xf900003f,
    0x900007ff,0x00007fff,0x3fbfffea,0x40001eff,0x0003fffc,0x3ffff100,
    0xdffff500,0x0003dfff,0x03fffc80,0x3fffff20,0xfff94fff,0xc85f7007,
    0x2000001f,0x002fffe8,0x17ffee00,0xfffd8800,0x3ee00002,0x5c0005ff,
    0xff51efff,0x950005ff,0x359fffff,0xf9000015,0xff700dff,0x3ffea3df,
    0xd880002f,0x44002fff,0xffffffec,0x007fff94,0x037c4bf1,0xffd10000,
    0x3000001d,0x2000bfff,0x0001effe,0x05fff980,0x09fff100,0x400dffb1,
    0xffffffd8,0x00ffffff,0x3fffe200,0x27ffc403,0x0037fec4,0x00f7ff40,
    0x4fffc800,0x2007fff9,0x02ffdffd,0x3fee0000,0x2000000d,0x4001ffe8,
    0x0000effa,0x07ffa200,0x200edc00,0xfd1003da,0xffffffff,0x0005ffff,
    0x803fffe4,0x1ed401dc,0x3bfea000,0x3f200000,0x7fff94ff,0x37fae200,
    0x44000002,0x0000002c,0x3220012e,0x20000003,0x0000004b,0xffffd800,
    0xffffffff,0xf10004ff,0x00007fff,0x32200000,0xfc800003,0x7fff94ff,
    0x00001000,0x00000000,0x00000000,0x00000000,0x26000080,0x89beffff,
    0x4fffffc9,0xffff7000,0x00000001,0x00000000,0x3f29fff9,0x000003ff,
    0x00000000,0x00000000,0x00000000,0xffeca800,0x2e002bdf,0x2e00ffff,
    0xf0002fff,0x2a209fff,0x0acccccc,0x66666544,0x000000ac,0x9fff9000,
    0x4c0ffff2,0xcccccccb,0x7300003c,0x99999999,0x32a20007,0xcccccccc,
    0x440acccc,0xccccccca,0x0acccccc,0x66666544,0xcccccccc,0x804ccccc,
    0xffffffd8,0xc800dfff,0xff804fff,0xffb8000f,0xfff880ff,0x27ffffff,
    0xfffffff8,0x65cc0fff,0x65401bcc,0xc801bccc,0xfff94fff,0xfffff907,
    0x01ffffff,0xffffc800,0x0fffffff,0x7fffc400,0xffffffff,0xf10fffff,
    0xffffffff,0xffffffff,0x7fffffc1,0xffffffff,0x07ffffff,0x7fffffdc,
    0x1fffffff,0x02fffe40,0x3fa00018,0xfff704ff,0x5fffffff,0x3fffffea,
    0x3f62ffff,0x05ffffff,0xfffffffd,0x4fffc809,0xff07fff9,0xffffffff,
    0xf80007ff,0xffffffff,0x5c003fff,0xffffffff,0xffffffff,0xfffff72f,
    0xffffffff,0x3e65ffff,0xffffffff,0xffffffff,0x3ee07fff,0xffffffff,
    0x03ffffff,0x073fffea,0x7fd40000,0xfff100ff,0x1fffffff,0x3fffffe2,
    0x3fe0ffff,0x0fffffff,0x7fffffcc,0x7fe407ff,0x07fff94f,0xfffffff9,
    0x000fffff,0xffffffc8,0x007fffff,0x7fffffc4,0xffffffff,0xfff10fff,
    0xffffffff,0x41ffffff,0xffffffff,0xffffffff,0xf307ffff,0x215bffff,
    0xfffffeb9,0xffffd101,0x00037bff,0x017fffa0,0x99ffff71,0xfdca8815,
    0x7ec0bfff,0x06ffffff,0xffffffff,0x4fffc80b,0x2607fff7,0xffffeccb,
    0x40002fff,0xfffeccb9,0x4002ffff,0xfeccccb8,0xacccceff,0x66665c40,
    0xcccefffe,0x7e5440ac,0xccccdfff,0xfffccccc,0x7ffffd07,0x6ffffc80,
    0x3ffffea0,0x02dfffff,0x3ffff300,0x03fffe00,0x03fffcc0,0x0dffffb3,
    0x67ffff44,0x4fffc801,0xfe8017fa,0x05ffffff,0x7fff4000,0x0005ffff,
    0x007fff90,0x03fffc80,0x00ffff80,0xc87fff88,0x5002ffff,0x4c07ffff,
    0xffffffff,0x4000dfff,0x2006fffd,0x3000ffff,0xfd00ffff,0x3e601fff,
    0x32005fff,0x20004fff,0xffbffff9,0x300000ff,0xfff7ffff,0xf900001f,
    0xc80007ff,0xf8003fff,0xf8800fff,0x7ffc47ff,0x7fec004f,0x3ae200ff,
    0xffffffff,0xff3000ef,0x7fc005ff,0xff3000ff,0xfff300ff,0x3fffa0df,
    0x3ff2000f,0x3f60004f,0x7fffd6ff,0x3ff60000,0x07fffd6f,0x7fff9000,
    0xfffc8000,0xffff8003,0x7ffc1980,0x07fffd46,0x3fffe200,0xfb751002,
    0x00bfffff,0x001bfff6,0x2001ffff,0x7007fff9,0xfc87ffff,0x64002fff,
    0x10004fff,0x3ee5ffff,0x880007ff,0xff72ffff,0xf90000ff,0xc80007ff,
    0xf8003fff,0x7fe40fff,0xf913ff23,0x320007ff,0x20003fff,0x00ffffe9,
    0x017fffc4,0x003fffe0,0x003fffcc,0x263ffffd,0x8005ffff,0x0004fffc,
    0x7c4ffff7,0x40002fff,0x3e27fffb,0x40002fff,0x0003fffc,0x001fffe4,
    0x3e07fffc,0x6c0d45ff,0x50002fff,0x1b98bfff,0x3ffff100,0x06fffc80,
    0x00ffff80,0x00ffff30,0x477fffc4,0x000ffffe,0x2e4fffc8,0xfffe803e,
    0x02fffec4,0x13fffa00,0x000bfffb,0x003fffc8,0x01fffe40,0x55ffffc0,
    0x007fffba,0x0003ffff,0xf99bffe6,0xffb000ff,0x7ffc407f,0xfff8003f,
    0xfff3000f,0xfffb800f,0x02ffffef,0x29fff900,0x2602fffa,0x7cc1ffff,
    0x30000fff,0xf983ffff,0x20000fff,0x0003fffc,0x001fffe4,0x7ffffffc,
    0x8807ffff,0x20007fff,0x3ee7fff8,0xff8804ff,0x3fee02ff,0xfff0007f,
    0x3fe6001f,0xffd8007f,0x005fffff,0x653fff20,0x3f603fff,0xfffd05ff,
    0x3ff60009,0x9fffd05f,0x7ffe4000,0x7fe40003,0xfff8003f,0xffffffff,
    0x1ffff007,0x3ffe2000,0x0bffff27,0x01ffff90,0x001ffffc,0x000ffff8,
    0x000ffff3,0xfffffff1,0x7fe40001,0x07fff94f,0x40bfffe2,0x8007fffb,
    0x702ffff8,0x4000ffff,0x0003fffc,0x001fffe4,0x7ffffffc,0xd007ffff,
    0x20003fff,0x3f26fffa,0x9abeffff,0x5ffffeba,0x03fffee0,0x07fffc00,
    0x07fff980,0xfffff700,0xffc80005,0x07fff94f,0x3bbfffee,0xfffeeeee,
    0x7fdc002f,0xeeeeeeff,0x002ffffe,0x007fff90,0x03fffc80,0xeeffff80,
    0x007fffee,0x0005fff9,0xfc93ffee,0xffffffff,0x0fffffff,0x013fffa0,
    0x00ffff80,0x00ffff30,0x02fffec0,0xa7ffe400,0xfd03fffc,0xffffffff,
    0x0bffffff,0xfffffe80,0xffffffff,0xf90005ff,0xc80007ff,0xf8003fff,
    0x7ffc0fff,0xfffb8086,0xfffd0005,0x7ffffdc7,0xffffffff,0x3fea02ff,
    0x3e0000ff,0xf3000fff,0x64000dff,0x80003fff,0xff94fffc,0xffff307f,
    0xffffffff,0x001fffff,0x3fffffe6,0xffffffff,0xc8000fff,0x40003fff,
    0x8003fffc,0x7f40ffff,0x30f7dc5f,0x8005ffff,0x221ffffa,0xffffffff,
    0x00efffff,0x002ffff4,0x00bfff60,0x002fffd4,0x007fff90,0x29fff900,
    0xfd83fffc,0xffffffff,0xffffffff,0xffffb004,0xffffffff,0x009fffff,
    0x007fff90,0x03fffc80,0x40ffff80,0x4ffe83c8,0x0077fff4,0x85ffff88,
    0xfff930b8,0xf50039df,0x80003fff,0x9004fffc,0x40007fff,0x0003fffc,
    0xf94fffc8,0xfff887ff,0xaaaaaacf,0x7fffcaaa,0xcffff880,0xaaaaaaaa,
    0x007fffca,0x003fffc8,0x01fffe40,0x007fffc0,0x4c6fff88,0x400effff,
    0x00ffffe8,0x00ffff20,0x005fffd8,0x1ffffa80,0x17fffdc0,0x7fff9000,
    0xfff90000,0x70ffff29,0xf800ffff,0x7dc02fff,0x7fc007ff,0x7e4002ff,
    0x640003ff,0xf8003fff,0xf3000fff,0xfff70fff,0x3fea05ff,0x64003fff,
    0xf3003fff,0x00003fff,0x07ffffd1,0x0dffff71,0x3fffc800,0xeccb9800,
    0xfff94fff,0x0dfffe87,0xbfffb100,0x0dfffe80,0xbfffb100,0xfd999980,
    0x00999cff,0x7feccccc,0x400999cf,0x99affff8,0xa9999999,0xffb07fff,
    0xfb9bffff,0x00dfffff,0x007fff90,0x001bfff6,0xfffff980,0xffffecde,
    0x988000ff,0x99cfffd9,0xffffb800,0xff94ffff,0xffffb37f,0x2e05dfff,
    0xfffffffe,0xffffb30e,0x2e05dfff,0xfffffffe,0x3ffff60e,0xffffffff,
    0x7fec4fff,0xffffffff,0x644fffff,0xfffffffe,0xffffffff,0xd107ffff,
    0xffffffff,0x01bfffff,0x07fff900,0x05ffff10,0xfffb8000,0xffffffff,
    0x754003ff,0xffffffff,0x3602efff,0xffffffff,0xfb7fff74,0xffffffff,
    0xfffff10f,0x369fffff,0xffffffff,0xffff887f,0x54ffffff,0xffffffff,
    0xffffffff,0x3fffea3f,0xffffffff,0xf31fffff,0xffffffff,0xffffffff,
    0xb80fffff,0xffffffff,0x20003fff,0xb801fffa,0x00006fff,0xffffff50,
    0x005fffff,0xfffffff0,0xdfffffff,0x7ffffd40,0xfff14fff,0xffffffb1,
    0x3fe0ffff,0xffffffff,0xffffffb4,0x3fe0ffff,0xffffffff,0xffffff54,
    0xffffffff,0x3fea3fff,0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,
    0x0fffffff,0xfffffb30,0x80003bff,0xf3005fd8,0x000005ff,0x7ffffec4,
    0xd0000dff,0xffffffff,0x80dfffff,0xaaaaaaa8,0x76442a21,0x2dffffff,
    0xfffffb50,0x3b2219df,0x2dffffff,0xfffffb50,0x7f5c19df,0xffffffff,
    0x5c3dffff,0xfffffffe,0x3dffffff,0x7ffffedc,0xffffffff,0x07ffffff,
    0x005654c0,0x20004000,0x000002da,0x006b2a60,0x3fff6a00,0xffffffff,
    0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x14c00001,0x000006a0,
    0x10000071,0x20017710,0xb8000008,0x26000000,0x0000d402,0x000002ea,
    0x26666200,0x5b910099,0x74c00000,0x3660000e,0x0ceffffe,0x3f200371,
    0x07ffd05f,0x3bfea000,0xffc80001,0x01bff62f,0x000fbfee,0x00fffa60,
    0x17ff2000,0x8001fff4,0x71006ffd,0x002207dd,0xfffffff9,0x7fffcc1b,
    0xfb800006,0xe98000ff,0xffffffff,0x02ffedff,0x4c1ffff8,0x40006fff,
    0x4fffffd8,0xfffd1000,0x27fffcdf,0x13ffffe0,0xffffb800,0x200000df,
    0x7cc1ffff,0xfa8006ff,0x7d400fff,0x261effff,0x3ff200ff,0x24ffffff,
    0x01fffffc,0x3fff2000,0xfffb8003,0xffffffff,0x804fffff,0xff887ffd,
    0x3ea0004f,0xefffefff,0x7ffec001,0x3fff65ff,0x3fffa00f,0x74c003ff,
    0xffffefff,0xffb00003,0x09fff10f,0x6ffff880,0x7f7ffc40,0xfffddfff,
    0x3ffff201,0x3fe3ffff,0x0004ffff,0x02fffd88,0xfffffc80,0xffffffff,
    0x8806ffff,0x19b501dc,0x3ffee000,0x5ffff51e,0x3fffe600,0x3ffe60df,
    0x3ffa605f,0x3e6007ff,0xffd32fff,0x9100009f,0x0336a03b,0x7ffff700,
    0x913ffa80,0x09ffffff,0xffffffc8,0x3fffe0be,0xe80004ff,0xa8001eff,
    0x1befffff,0xffffd731,0x000000df,0x13ffe200,0x401bff62,0xd00efffb,
    0x9803ffff,0xd001ffff,0xff701bff,0x0000001f,0xfffe8000,0xd3015007,
    0xf90039ff,0xffe807ff,0x40003fff,0x8000effa,0x04fffff8,0x06ffffc8,
    0x20000000,0x1ed401db,0x04fffc80,0x017fffea,0x400bfffa,0x26cc02da,
    0x00000000,0x0ffffea0,0x00044000,0xd807fff9,0x002fffff,0x0001e440,
    0x009ffff7,0x0037ffe4,0x00000000,0x7ffe4000,0x7ffff403,0x17ffec00,
    0x00000000,0x40000400,0x000ffffe,0xfc800040,0x7fe403ff,0x00001fff,
    0xfffe8000,0x7ffcc005,0x66665444,0x65440acc,0x00accccc,0x32000000,
    0x7d403fff,0x7ec04fff,0x000002ff,0xeca80000,0x002bdfff,0x027fffcc,
    0x7fff6540,0xff9002bd,0xfffc807f,0x000001ff,0x7fffcc00,0x2ffd8002,
    0x3fffffe2,0x3fe27fff,0xffffffff,0x33332a20,0xcccccccc,0x04cccccc,
    0x200ffff2,0x6c06fffe,0x73002fff,0x99999999,0x6c400007,0xffffffff,
    0xffb000df,0x6c4001ff,0xffffffff,0x7fe400df,0x7ffdc03f,0xca8800ff,
    0xcccccccc,0xcccccccc,0x3fffee4c,0x41a88000,0xfffffffb,0xfff52fff,
    0x5fffffff,0x7ffffffc,0xffffffff,0x207fffff,0xb803fffc,0x3601ffff,
    0xfc802fff,0xffffffff,0xb80000ff,0xffffffff,0x801fffff,0x2004ffff,
    0xfffffffb,0x01ffffff,0x500ffff2,0x200fffff,0xffffffff,0xffffffff,
    0x3ee7ffff,0x400006ff,0xfffffff8,0xfff10fff,0x1fffffff,0x3fffffe6,
    0xffffffff,0x07ffffff,0x200ffff2,0x202ffff9,0xf802fffd,0xffffffff,
    0x40003fff,0xfffffffb,0xffffffff,0x3fffe203,0xffff7003,0xffffffff,
    0x3f207fff,0x7fcc03ff,0xff9807ff,0xffffffff,0xffffffff,0x3fff27ff,
    0xb8800003,0x0accffff,0x7ffee544,0x7fffc0bf,0xffffffff,0xffffffff,
    0x0ffff207,0x0ffffe20,0x802fffd8,0xfffffffc,0x0007ffff,0x37ffffe6,
    0xfffd730a,0x3fe603ff,0xff9801ff,0x730adfff,0x03fffffd,0x9807fff9,
    0xf006ffff,0xffffffff,0xffffffff,0x7fecffff,0x2000003f,0x3000ffff,
    0x2a20ffff,0xccdffffc,0xfccccccc,0x3ff607ff,0xffff003f,0x1fffec09,
    0xfeccb980,0x02ffffff,0x7ffffd00,0x6ffffc80,0x01ffff70,0x07ffffd0,
    0x86ffffc8,0x4403fffc,0x1005ffff,0x9bffff95,0x99999999,0x7fecffff,
    0x2000003f,0x3000ffff,0xff00ffff,0xff1001ff,0x3ffea0ff,0xfffd002f,
    0x77ffe40d,0xfffe8002,0x8005ffff,0x002ffffc,0x907ffff5,0xf900ffff,
    0x2a005fff,0x7e43ffff,0xfff803ff,0xfff8005f,0xfff8800f,0x00ffff67,
    0xffff8000,0xffff3000,0x01ffff00,0xa8ffff10,0x00ffffff,0x40ffff90,
    0x1efffffa,0x7ffff300,0x4001ffff,0x004ffff8,0x207fffec,0x4406fffd,
    0x4004ffff,0x320ffffd,0xff803fff,0xff8004ff,0xff8800ff,0x13fff27f,
    0xfff80000,0xfff3000f,0x1ffff00f,0x6fff8330,0x1ffffff4,0x1ffff700,
    0x7ffffec0,0xdfffb004,0x800ffffa,0x000ffffa,0x217fffc4,0x5405ffff,
    0x4000ffff,0x322ffff8,0xfe803fff,0xff8003ff,0x7c1980ff,0x3ffea6ff,
    0x3e000006,0xf3000fff,0xfff00fff,0x23ffc81f,0x7ff44ffc,0x2e004fff,
    0x3a00ffff,0x804fffff,0xf72ffff8,0x7e400fff,0xf90003ff,0xffff87ff,
    0x1fffe405,0x3fffc800,0x200ffff2,0x8002fffd,0x7e40ffff,0x993ff23f,
    0x0001ffff,0x01ffff00,0x01fffe60,0xff03fffe,0xe981a8bf,0x001fffff,
    0x540ffff9,0x00dfffff,0x227fffb8,0xb002ffff,0x20005fff,0x7ec5fffa,
    0x7fec06ff,0xff50002f,0x1fffe4bf,0x0037fcc0,0x7c0ffff8,0x740d45ff,
    0x50006fff,0x3fffe019,0xffff3000,0x57ffff00,0x00ffff75,0x02fffe98,
    0x40dfffd0,0x000efffc,0xfb13fffa,0x3fe00bff,0xf30001ff,0xfffc8dff,
    0x0ffffc07,0x6fff9800,0x400ffff2,0x3fe00028,0xffbaabff,0xfff5007f,
    0x7e4001bf,0xffff80ff,0xffff3000,0xffffff00,0x00ffffff,0x007fff90,
    0xd813fffe,0x26003fff,0x7cc1ffff,0x7c400fff,0x220007ff,0x7fdc7fff,
    0xfff100ff,0x7fc4000f,0x0ffff27f,0x7fc00000,0xffffffff,0x3ff6007f,
    0x74c03fff,0xff82ffff,0xff3000ff,0xffff00ff,0xffffffff,0x7fff9000,
    0x7ffff100,0x017ffec0,0x20bfffb0,0xf804fffe,0x10000fff,0xffa8ffff,
    0x3ffe01ff,0xff10000f,0x1fffe4ff,0xff800000,0xffffffff,0x3fa2007f,
    0xcdefffff,0xffffffed,0x01ffff07,0x01fffe60,0x3ffffffe,0x8007ffff,
    0x9803fffc,0x3602ffff,0xf1002fff,0x3ee05fff,0xffe807ff,0xff50001f,
    0xffff88df,0x07fffa03,0x37ffd400,0x0007fff9,0x3fffe000,0x7fffffff,
    0x7fff4c00,0xffffffff,0xf02fffff,0x26001fff,0xff807fff,0xffeeeeff,
    0xffc8007f,0xfffb803f,0x3fff600f,0xffff7002,0xfddddddd,0xfc805fff,
    0xf70002ff,0xffff09ff,0x17ffe40b,0x4fffb800,0x400ffff2,0xff0001ba,
    0xffddddff,0xfb1000ff,0xffffffff,0x401bffff,0x3000ffff,0xff00dfff,
    0x6fff81ff,0x7ffe4008,0x6ffff803,0x017ffec0,0xffffffe8,0xffffffff,
    0x7ffdc05f,0xfffd0005,0x1ffffb07,0x017ffee0,0x91ffff40,0xfb007fff,
    0xff0005ff,0x6fff81ff,0xff930008,0xbdffffff,0x5fffb007,0x17ffea00,
    0xd03fffe0,0x1efb8bff,0x807fff90,0x402ffffb,0x9802fffd,0xffffffff,
    0xffffffff,0x3ffe600f,0x7fd4002f,0xfffa81ff,0xffff304f,0xfffa8005,
    0x0ffff21f,0x017fffe0,0xd03fffe0,0x1efb8bff,0x2fffa600,0x7fe40009,
    0xfff9004f,0x1ffff007,0xffe83c88,0x07fff904,0x807fffe8,0xd802fffd,
    0xffffffff,0xffffffff,0x7fff404f,0xfff1000e,0x7fff40bf,0xdfffd00f,
    0x3ffe2001,0x1fffe45f,0x017ffec0,0x207fffc0,0x4ffe83c8,0x003fe400,
    0x03ffff50,0x02ffffb8,0x000ffff8,0x320dfff1,0x3ea03fff,0xfd803fff,
    0x7fc402ff,0xaaaaacff,0xfffcaaaa,0x7fffcc07,0x7ff4400e,0x3fee00ff,
    0xfff304ff,0xfe8801df,0x7fe40fff,0x0375003f,0x03fffe00,0x037ffc40,
    0x007bff20,0x3ffffa20,0xffffb883,0x1ffff006,0x1fffe600,0xd02fffdc,
    0xf001ffff,0xfb803fff,0x7fc007ff,0x7fdc02ff,0xff502fff,0xfd007fff,
    0x3ee01fff,0xf502ffff,0xf907ffff,0x000007ff,0x003fffe0,0x003fffcc,
    0x001ffff2,0x77ffffcc,0xfffffecd,0xfff8800f,0x999999af,0x7fffa999,
    0x7dffff30,0x27fffd41,0xfffff910,0xdfffe801,0xfffb1000,0xffffb00b,
    0xfffb9bff,0x2e00dfff,0x3603ffff,0xcdffffff,0x6ffffffd,0x99bfff90,
    0x10000037,0x3335ffff,0xf5333333,0x9b100fff,0x003ff955,0x3ffffee0,
    0xffffffff,0x7fff6403,0xffffffff,0xffffffff,0x3ffffa07,0x3ffff64f,
    0x3ffffa00,0xfffb305f,0x205dffff,0xffffffeb,0xffd100ef,0xffffffff,
    0x4001bfff,0x2207fffe,0xfffffffe,0x0dffffff,0xffffff90,0x200005ff,
    0xffffffec,0xffffffff,0x807fffff,0x7ffffffb,0x7ffd4000,0xffffffff,
    0x7fffcc02,0xffffffff,0xffffffff,0x3ffa207f,0x3fffe6ff,0x3fffe203,
    0xfffb00ff,0x0fffffff,0xfffffff1,0xfb809fff,0xffffffff,0xf98003ff,
    0x7dc00fff,0xffffffff,0x7fe403ff,0x04ffffff,0xffff9800,0xffffffff,
    0xffffffff,0xffe8807f,0x80003fff,0xffffffd8,0xff8800df,0xffffffff,
    0xffffffff,0x74407fff,0x3ff23fff,0xdfffd805,0x3ffff600,0xf07fffff,
    0xffffffff,0xffb3009f,0x03bfffff,0x037fdc00,0xfffffd98,0xfc801dff,
    0x1fffffff,0xfff88000,0xffffffff,0xffffffff,0x2a2007ff,0x800000bd,
    0x8001aca9,0xffffffdb,0xffffffff,0x007fffff,0x00330351,0x64400d4c,
    0xdffffffe,0xffffb502,0x80019dff,0x0000aca9,0x4c000a60,0x4c000aca,
    0x0aaaaaaa,0x3f6e0000,0xffffffff,0xffffffff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x71000000,0x00000000,0x98051000,0x04000001,0x02a20000,
    0x298000cc,0x53000d40,0x00001a80,0x2a200000,0x0001bcec,0x5555554c,
    0x14000aaa,0x3bfea000,0x7ed40001,0x8000100c,0xfc80fffa,0x2a00005f,
    0x1cdfffec,0x17ff4000,0x90013fee,0x3ffa0bff,0x05ffc803,0x10007ffd,
    0x02207dd7,0x3ffff600,0x44003fff,0xfffffffe,0x1000ffff,0xb1000fff,
    0x009fffff,0xfffffd10,0x001fec47,0x885fffb0,0x0000ffff,0x7ffffec4,
    0x000dffff,0x745fff98,0x7fc007ff,0x7ffcc1ff,0x1ffff806,0x0037ffcc,
    0x3bffffea,0x8003fe61,0xfffffffd,0xff3004ff,0xffffffff,0x2a001fff,
    0x2a001fff,0xfffeffff,0x3ffa001e,0xfcefffef,0x2e0004ff,0xffe81fff,
    0x7fdc0006,0xffffffff,0x54002fff,0x3fe26fff,0x7fec007f,0x04fff887,
    0xf887ffd8,0x3e2004ff,0xdffffeff,0xd001fffd,0xf937dfff,0xf9807fff,
    0xeeeeefff,0x000fffee,0x2007fff9,0xf51efffb,0xf1005fff,0x3ffee19f,
    0x40005fff,0xbb302db8,0x7fdc0003,0xffffffff,0x002fffff,0xf897ffea,
    0x644007ff,0x019b501d,0x2a03b910,0x3ea000cd,0xffff913f,0x3ea009ff,
    0xdff703ff,0x01effc80,0xc8007ff4,0xf8803fff,0xffd884ff,0xb1033006,
    0x00005bff,0x4c000000,0x0adfffff,0xfffffd73,0x3ffee001,0x01bffe65,
    0x00000000,0x202a0000,0x001cffe9,0xfb017ffa,0x17ff401f,0x8007ff40,
    0x9003fffc,0x03da803b,0x00011000,0x00000000,0x807ffffd,0x005ffffc,
    0x7cc9fff7,0x000006ff,0x00000000,0x40008800,0x5c00effa,0xfff103ff,
    0x801ff200,0x0004fffc,0x00000000,0x00000000,0x1ffffc80,0x7ffff500,
    0x47fff900,0x0005fffa,0x00000000,0x00000000,0xf5009ffb,0x1fffc0bf,
    0xa8016440,0x9beffffe,0x40000001,0xccccccb9,0x300003cc,0x99999997,
    0x3e200079,0x6c004fff,0x6c00ffff,0x3fea3fff,0x332a205f,0xcccccccc,
    0xcccccccc,0x66665444,0xcccccccc,0xccca80ac,0x32a201cc,0x40accccc,
    0xfa803ffe,0xfffea85f,0xf700002f,0xffffffff,0x32a21dff,0xcccccccc,
    0x200acccc,0xfffffffc,0x0000ffff,0x7fffffe4,0x000fffff,0x00ffffa8,
    0x0ffffc40,0xb8bfff60,0x3fe04fff,0xffffffff,0xffffffff,0x3ffe27ff,
    0xffffffff,0x20ffffff,0x6ffffffe,0x3fffffe0,0x3fe0ffff,0xffd9501f,
    0x7fff44bf,0x000cffff,0x3fffff20,0xffffffff,0xffffff8a,0xffffffff,
    0xfff00fff,0xffffffff,0xff80007f,0xffffffff,0xfc8003ff,0xf90003ff,
    0xd97307ff,0xfd99bfff,0x4c179dff,0xffffffff,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0xffffff32,0xfff307ff,0x7fffffff,0x3621ffe2,
    0x25ffffff,0xfffffffb,0xc8002fff,0xffffffff,0xbcffffff,0xffffffff,
    0xffffffff,0xffff902f,0xffffffff,0xfffc8000,0xffffffff,0xfffd8007,
    0xfff70002,0xfffff989,0xffffffff,0x7fc6ffff,0xffffffff,0xffffffff,
    0x3ffe27ff,0xffffffff,0x20ffffff,0xfffffffe,0xfffff81f,0xf30fffff,
    0xffff88df,0x3fa5ffff,0xfffb10bf,0x3e6003df,0x309cffff,0xf19ffff7,
    0xffffffff,0xffffffff,0x7665cc01,0x2fffffff,0x665cc000,0xfffffffe,
    0x7fffc002,0xfff30000,0xfffffb8d,0xffffffff,0x221fffff,0xcdffffca,
    0xcccccccc,0x65c47fff,0xefffeccc,0x440acccc,0xffffffca,0xffcca886,
    0x3fea0bff,0x5f7ffec5,0x3ff65ffa,0xfffffa82,0x7ffec00d,0x3fff601f,
    0xd9999713,0x9999dfff,0xffe80015,0x005fffff,0x7ffff400,0x22005fff,
    0x20007fff,0x7c47fff8,0xffffffff,0xffffffff,0x03fffe06,0x01fffe20,
    0x001fffe4,0x7ffffff4,0x1fffe203,0xffa97fea,0xa97fe62f,0xfc881fff,
    0xf103ffff,0xf9805fff,0x7fe401ff,0xf980003f,0xffffbfff,0xff300000,
    0x1ffff7ff,0x3fffe200,0xfff30000,0x3ffee60f,0xffffaaaf,0x7ffc01ac,
    0xfff8800f,0x7fff9007,0xffffd000,0x3e201fff,0x5ffa87ff,0xff31bfee,
    0x03fffe8b,0x1dffffb3,0x006fffa8,0xff9007d7,0xfb00007f,0x3fffadff,
    0xffb00003,0x0ffffadf,0x01ffff80,0x0dfff500,0x3e3fffcc,0xff001fff,
    0xf83301ff,0xff9006ff,0xffd0007f,0x20bfffff,0xfa87fff8,0x30bff65f,
    0xffe98bff,0xfff501ef,0x7ffdc1df,0xfc800005,0x440003ff,0xff72ffff,
    0xf10000ff,0x3fee5fff,0x3ffa007f,0xff70002f,0x7ffcc09f,0x007fffc6,
    0x640ffff8,0x13ff23ff,0x01fffe40,0x7f7fff40,0xff882fff,0x25ffa87f,
    0x7fcc4ffc,0xffffd885,0xfffd880c,0x017ffee6,0x3fff2000,0x7fdc0003,
    0x3fffe27f,0x7fdc0002,0x3fffe27f,0xbfffb002,0x3fffa000,0x9bffea03,
    0x000ffff8,0xff81ffff,0x9000d45f,0xd0007fff,0xfffd3fff,0x7fff881f,
    0x3ea5ffa8,0x17fe61ff,0x3fffffb8,0x263fff50,0x00006fff,0x003fffc8,
    0x227fff40,0x0005fffd,0x3627fff4,0xf3005fff,0xb8005fff,0x2a01ffff,
    0x3fe25fff,0x3ffe007f,0xfffbaabf,0x7fe40007,0xffe8003f,0x4ffffa9f,
    0x543fffc4,0x7fff45ff,0x405ffdce,0x1effffe9,0xff14ffb8,0x002007ff,
    0x001fffe4,0x83ffff30,0x000ffff9,0x83ffff30,0x000ffff9,0x400dfffd,
    0xb85ffff8,0xfffffffe,0xdfffffff,0x7ffffc03,0x07ffffff,0x1fffe400,
    0x8ffff400,0x221ffffd,0xff887fff,0x7ffffcc6,0xb801ffff,0x4c3fffff,
    0x3fff66ff,0x3bfaa02f,0x1fffe400,0xbfffb000,0x013fffa0,0x82fffec0,
    0x5004fffe,0x801dffff,0x40ffffe8,0xfffffff9,0xffffffff,0x3fe01fff,
    0xffffffff,0x7e40007f,0xfe8003ff,0xffff11ff,0x83fffc4d,0xffe887ff,
    0x003fffff,0xbdffff91,0x7cc7fffd,0xa9bdffff,0x04ffffeb,0x001fffe4,
    0x02ffff88,0x000ffff7,0x205ffff1,0x2007fffb,0x02fffffd,0x09fffff5,
    0xfffffff5,0xffffffff,0x7fc03fff,0xffffffff,0x7e40007f,0xfe8003ff,
    0x3ffee1ff,0x0ffff13f,0x5cc03ffa,0x8002cccc,0xffffffe9,0x7ffe40ff,
    0xffffffff,0x7e402fff,0xf70003ff,0xdddddfff,0x05ffffdd,0xeffffb80,
    0xffeeeeee,0xfd1002ff,0xb9bfffff,0x0dffffff,0x7fffffec,0xffffffff,
    0x7ffc04ff,0xfffeeeef,0x7fe40007,0xffe8003f,0x7fffec1f,0x907fff88,
    0x000005ff,0x7ffffec0,0xffff900c,0xffffffff,0x7fff900d,0x3fffa000,
    0xffffffff,0x4005ffff,0xfffffffe,0xffffffff,0x3ffa2005,0xffffffff,
    0xd3005fff,0xf9337fff,0x3e001bff,0x7ffc0fff,0x3f200086,0xfe8003ff,
    0x7ffc41ff,0x07fff8df,0x0000bff7,0xffb00173,0xffd5001f,0x7fffffff,
    0x0ffff200,0x3fffe600,0xffffffff,0x000fffff,0xfffffff3,0xffffffff,
    0x644001ff,0xffffffff,0x74003fff,0x3ff22fff,0x3ffe004f,0x22fff40f,
    0xfc801efb,0xfe8003ff,0xfffb81ff,0x307fffcf,0x80003fff,0xff8804ff,
    0x7ff4c007,0x64002cef,0xd8003fff,0xffffffff,0xffffffff,0xfffb004f,
    0xffffffff,0x09ffffff,0xfffff300,0x00039fff,0x7e43fffd,0x3fe003ff,
    0x41e440ff,0xfc804ffe,0xfe8003ff,0xfffd01ff,0x6c0fffff,0x819805ff,
    0xf9806ff8,0xffc8007f,0xff90003f,0xff88007f,0xaaaaacff,0xfffcaaaa,
    0xffff8807,0xaaaaaaac,0x07fffcaa,0xfffffc80,0xf006201d,0x7fec3fff,
    0x3ffe003f,0xfff1000f,0x7fff900d,0x3fffd000,0x3ffffe60,0x3fe607ff,
    0xffd880ef,0x2037fcc1,0x8005ffd8,0x0003fffc,0x8007fff9,0x4007fffb,
    0x5c02ffff,0x7c007fff,0x32002fff,0xffffffff,0xffda8acd,0x83fffe04,
    0x2002fffd,0x3000ffff,0xf900ffff,0xfd0007ff,0x7fe403ff,0x6407ffff,
    0xedceffff,0x7cc1ffff,0xccccccff,0x002ffffd,0x003fffc8,0x007fff90,
    0x00dfffe8,0x0bfffb10,0x00dfffe8,0x0bfffb10,0x3ffffee0,0xffffffff,
    0xf107ffff,0xfffe8fff,0xffff1002,0x33333335,0x0ffff533,0xfffb3333,
    0xd0013339,0x22035fff,0x07ffffff,0xffffffc8,0xf983ffff,0xffffffff,
    0x0004ffff,0x2003fff5,0xfffd9999,0xd980999c,0xefffffff,0xffffd702,
    0x3661dfff,0xefffffff,0xffffd702,0x2201dfff,0xffffffff,0xffffffff,
    0xfff104ff,0x01fffe8f,0x7fffff64,0xffffffff,0x27ffffff,0xfffffffd,
    0xffffffff,0xfffffc84,0xffa84fff,0xd5007fff,0x5bffffff,0x3ffffe60,
    0x3fffffff,0x1bfa2000,0x3fffff60,0xffffffff,0x3fff64ff,0x87ffffff,
    0xfffffff8,0xfffb4fff,0x0fffffff,0xfffffff1,0x7fc09fff,0xffffffff,
    0xefffffff,0x8dfff300,0x2600ffff,0xffffffff,0xffffffff,0xf57fffff,
    0xffffffff,0xffffffff,0x7ffffcc3,0xd82fffff,0x4007ffff,0x4009aaa9,
    0xccccccc8,0x00009acc,0xfff50030,0xffffffff,0x23ffffff,0xfffffffd,
    0xffff07ff,0x29ffffff,0xfffffffd,0xffff07ff,0x09ffffff,0x0d5effd4,
    0x5bfffb73,0xd8bfff00,0x7fc406ff,0xffffffff,0xffffffff,0xfff57fff,
    0xffffffff,0x43ffffff,0xfffffff9,0xff881fff,0x000007ff,0x00000000,
    0x7fffd400,0xffffffff,0x911fffff,0xbffffffd,0x3fff6a05,0x910cefff,
    0xbffffffd,0x3fff6a05,0x000cefff,0x26000400,0x0ee440dd,0x7fffedc0,
    0xffffffff,0x7fffffff,0x3fffffae,0xffffffff,0xfffdb83d,0x2e03efff,
    0x00007fff,0x00000000,0xffeb8000,0xffffffff,0x0003dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999880,0x02000099,0x00880000,0x50000000,
    0x15c40019,0x75000000,0x00100000,0x002b8800,0x01d40000,0x00004000,
    0x00019d93,0xffffb751,0x1dffffff,0x02ff4400,0x3ff66000,0x2000001c,
    0x07ffd401,0x005ffa80,0x7fec4000,0x3f200001,0x3ea00003,0x8000005f,
    0x0001ffd8,0x40013ee0,0x2004fffe,0xffffffd8,0xffffffff,0x3fea002f,
    0xf300001f,0x000ffdbf,0x7fff6540,0x3ffe61de,0xfff1002f,0x3000001d,
    0x0000dffd,0x03bfffa6,0x3ffa2000,0x3000000e,0x0000dffd,0x07bfffa2,
    0x0bffff00,0x3ffffa60,0xffeeffff,0x64003def,0x00003fff,0x017dc3f9,
    0x3fff6200,0xadffffff,0x000fffff,0x007fffa2,0xefffa800,0xffc80000,
    0x003fffff,0x1fffe880,0x7fd40000,0xb80000ef,0x4fffffff,0x07bfee00,
    0x3ffffe60,0xff1ffdae,0x7fe4000f,0xdf00003f,0x20005f88,0xfffffffb,
    0xffffffff,0xd88003ff,0x80002fff,0x0005fffb,0x9dfffe88,0x000efffe,
    0x02fffd80,0xbfff7000,0xffb10000,0xdfffb3df,0x90004003,0x7ec5ffff,
    0x000fff1f,0x001fffe4,0x3ea0fd80,0xfff70003,0xffffffff,0x0bffffff,
    0x0fffc800,0x3ffe6000,0xffd00003,0x5fffb85f,0xfff70000,0xff980001,
    0xfb00003f,0xfffa87ff,0xff000006,0x1ffd89ff,0x64000fff,0x00003fff,
    0x1ff97ff3,0xffff3000,0x3f2637bf,0x00efffff,0x00ffa800,0x007be600,
    0x00dff800,0x0000dfd1,0x00007fd4,0x00007be6,0xb101efd8,0x500000ff,
    0xfd81ffff,0x000fff1f,0x001fffe4,0x5dfff700,0x3fffa000,0x3ffe603f,
    0x00000fff,0x00040000,0x1800c400,0x00000000,0x80000040,0x00013001,
    0x0ffff700,0x1ffe3ffb,0x3fffc800,0x01a80000,0x3ffff200,0x3fffa202,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x5007fb10,
    0xffb0ffff,0x8001ffe3,0x0003fffc,0x7c400000,0x7ec04fff,0x07ffffff,
    0x6f76dc40,0xb880000b,0x000bdeed,0xdeedb880,0x7310000b,0x179ddddb,
    0x36e62000,0x00bceeee,0xddb73100,0x400179dd,0x4c00fffb,0x7ec2ffff,
    0x980fff1f,0xfecccccc,0xccccceff,0xdb98801b,0x00bceeee,0x01ffff50,
    0x7f7fffdc,0x6c403fff,0xffffffff,0x6c4000df,0xffffffff,0x6c4000df,
    0xffffffff,0xfb3000df,0xffffffff,0x260019ff,0xfffffffd,0x000cffff,
    0xffffffb3,0x019fffff,0x007fffb0,0x6c1dffff,0x40fff1ff,0xfffffffe,
    0xffffffff,0xb305ffff,0xffffffff,0xb8019fff,0x3e603fff,0xffd8ffff,
    0x3ffee04f,0xffffffff,0xff7002ff,0xffffffff,0x2e005fff,0xffffffff,
    0x802fffff,0xffffffff,0x05ffffff,0xfffffff0,0xbfffffff,0x3ffffe00,
    0xffffffff,0xfffe805f,0xffffa803,0xf1ffd8cf,0x3ffe60ff,0xffffffff,
    0xffffffff,0xffff80ff,0xffffffff,0x7fec05ff,0xffff102f,0x17fff23f,
    0x7fffffdc,0xffffffff,0x7ffdc03f,0xffffffff,0x5c03ffff,0xffffffff,
    0x3fffffff,0x7fffffc0,0xffffffff,0xffff804f,0xffffffff,0xff804fff,
    0xffffffff,0x404fffff,0x3004ffff,0xffffffff,0xe81ffe3f,0xffffffff,
    0xffffffff,0xfff06fff,0xffffffff,0x7409ffff,0xffd01fff,0x7ffd47ff,
    0xfffff986,0xfeca9ace,0xf301ffff,0x359dffff,0xfffffd95,0x3fffe603,
    0xeca9acef,0x201fffff,0xabcefffb,0x7fffeb99,0xcefffb80,0xffeb99ab,
    0xfffb807f,0xeb99abce,0x3e207fff,0x26005fff,0xffffffff,0x5440fff1,
    0xfecccccc,0xccccceff,0xfff700ac,0xd733579d,0x3e20ffff,0xfff907ff,
    0x7fff88bf,0x03fffff8,0x83ffffe4,0x403fffff,0xf07ffffc,0xc807ffff,
    0x4407ffff,0xffff9800,0x98008800,0x8800ffff,0xffff9800,0xdffff300,
    0xffda8800,0x0fff1fff,0x1fffe400,0x30011000,0x3e01ffff,0x7fd40fff,
    0xfff886ff,0x17fffcc7,0x1ffffa80,0x017fffcc,0x41ffffa8,0x002ffff9,
    0x003ffff5,0x0bfffa00,0xfffd0000,0xfe800005,0xfff302ff,0xe98000ff,
    0x00fff1ff,0x01fffe40,0xffe80000,0x3fffd02f,0x07ffffcc,0x2e2fffd4,
    0x6c005fff,0x7fdc3fff,0x7fec005f,0x2fffdc3f,0x0ffff600,0x3fffb2e0,
    0x2ffffeef,0x3ffb2e00,0xffffeeff,0x3fb2e002,0xfffeefff,0xffff502f,
    0xffb0000f,0x8001ffe3,0x0003fffc,0xffffecb8,0x02ffffee,0x3a25fffb,
    0xf702ffff,0xfffd89ff,0x7ffcc001,0x00fffec5,0xb17ffe60,0x98003fff,
    0x3aa05fff,0xffffffff,0x802fffff,0xffffffea,0x2fffffff,0xffffea80,
    0xffffffff,0xffff702f,0xfd80001f,0x000fff1f,0x001fffe4,0xfffffd50,
    0xffffffff,0x5bfff205,0x204ffffd,0x3e22fffe,0xff0007ff,0x3fffc4ff,
    0x27fff800,0x0007fff8,0x3f60ffff,0xffffffff,0x02ffffff,0x7fffffec,
    0xffffffff,0x7ffec02f,0xffffffff,0xf902ffff,0x0003ffff,0xfff1ffd8,
    0x7ffe4000,0xfffb0003,0xffffffff,0x2605ffff,0xfffdffff,0x3ffea05f,
    0x1fffe21f,0x87fffc00,0x0007fff8,0x3e21ffff,0xff0007ff,0xfffd81ff,
    0xffffffff,0x202fffff,0xfffffffd,0xffffffff,0x3fff602f,0xffffffff,
    0xb02fffff,0x005fffff,0xff1ffd80,0x7fe4000f,0xffd8003f,0xffffffff,
    0x02ffffff,0x3ffffff6,0xfff100ef,0x3fffd0df,0x6fff9800,0x000ffff4,
    0xfd1bffe6,0xf98003ff,0x7ffdc6ff,0x9989adff,0x02ffffba,0x5bfffff7,
    0xff753313,0x3fee05ff,0x989adfff,0x2ffffba9,0x7fffffd0,0x1ffd8000,
    0x64000fff,0x5c003fff,0x9adfffff,0xfffba998,0x3ffe602f,0xd101ffff,
    0xf901ffff,0xfd800bff,0x7ffe44ff,0x7ffec005,0x02fffe44,0xb13fff60,
    0xd003ffff,0x3f605fff,0xfe801fff,0xfffb02ff,0xfffd003f,0x3ffffe05,
    0x7ec0004f,0x000fff1f,0x000fffd4,0x007ffff6,0xb00bfffa,0x01bfffff,
    0x07fffff5,0x00ffffe6,0x20ffffe4,0x003ffff9,0x983ffff9,0x9003ffff,
    0xff83ffff,0xffa802ff,0xffff02ff,0xffff5005,0x0bfffe05,0x0bfffea0,
    0x27fffffc,0x47ff6000,0x220007ff,0xff8006ff,0xffa802ff,0x7fec02ff,
    0xdcefffff,0x05ffffff,0x06fffffc,0x7ffffd88,0x1bfffff0,0x3ffff620,
    0xbfffff07,0x3fff6201,0x7fffc47f,0x3fffaa03,0xfff883ff,0x3ffaa03f,
    0xff883fff,0x3faa03ff,0xfb03ffff,0x0003ffff,0xfff1ffd8,0x00030000,
    0x407ffff1,0x3fffffea,0x3ffffee0,0xffffffff,0x5400efff,0xceffffff,
    0xfffffecc,0xffff502f,0xfd999dff,0x205fffff,0xeffffffa,0xffffeccc,
    0xfffe82ff,0xffecbdff,0xffffffff,0x3ffffa0d,0xfffecbdf,0xdfffffff,
    0x3fffffa0,0xffffecbd,0x0dffffff,0x01ffffea,0x7c7ff600,0x4ccc407f,
    0x99999999,0xd0199999,0x97bfffff,0xfffffffd,0x7cc1bfff,0xffffffff,
    0x3fffffff,0x3fffee00,0xffffffff,0x7dc03fff,0xffffffff,0x03ffffff,
    0x7fffffdc,0xffffffff,0xffff303f,0xffffffff,0xffffffff,0x7ffffcc9,
    0xffffffff,0x4fffffff,0x3fffffe6,0xffffffff,0x44ffffff,0x0003fffd,
    0xfff1ffd8,0x7ffffe40,0xffffffff,0x43ffffff,0xfffffff9,0xffffffff,
    0x3a4fffff,0xfd9affff,0x0dffffff,0xffffa800,0xffffffff,0xfff5001e,
    0xffffffff,0x3ea003df,0xffffffff,0x5c01efff,0xffffffff,0xffffffff,
    0x7fdc4fff,0xffffffff,0xffffffff,0x7fffdc4f,0xffffffff,0x4fffffff,
    0x26000398,0x8affeaaa,0x220abfff,0xffffffff,0xffffffff,0x5c0fffff,
    0xffffffff,0xffffffff,0xfff54fff,0xacba887f,0xdb880001,0xdfffffff,
    0x6dc4000b,0xdfffffff,0x6dc4000b,0xdfffffff,0xffd3000b,0x39ffffff,
    0x19dffffd,0xfffffd30,0xffd39fff,0xd3019dff,0xffffffff,0xdffffd39,
    0xd8000019,0xffffffff,0x1ffffffd,0xfffffff1,0xffffffff,0x20ffffff,
    0xffffffe9,0xfffe9cff,0xfff30cef,0x0000000b,0x0005e5cc,0x02f2e600,
    0x79730000,0xca980001,0x00002acc,0x05599953,0x332a6000,0x000002ac,
    0x3ffff600,0xfffdffff,0x3fee2fff,0xffffffff,0xffffffff,0x6654c02f,
    0xd70002ac,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x39999997,0x05999971,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000e4400,0x05710000,0x000c9800,0x00020000,0x00000800,0x0001d400,
    0x00000000,0x88000000,0x44019999,0x710aaaaa,0x0159bdd9,0xf9000620,
    0x0000009f,0x8000ffd3,0x00002ffe,0x0003fc80,0x0004fb80,0x1ffd8800,
    0x3b6e6000,0x2aaa2cef,0xed9801aa,0x001bd702,0xfffe8800,0x3ff607ff,
    0xffcaffff,0x3fffffff,0x027ffe40,0x00dfff98,0xfff50000,0xffa80009,
    0x3000003f,0x001dfffd,0xdfffd100,0x22000003,0x10006ffe,0xfffffffb,
    0xfffff5df,0x7ff401ff,0x2fffc40f,0x3fee0000,0xf307ffff,0xffffffff,
    0xffffffff,0xff303dff,0x26003fff,0x0000efff,0x027ffdc0,0x5fffb800,
    0x7fe40000,0x003fffff,0x3ffffee0,0x400004ff,0x000efffa,0xffffffa8,
    0xffffffff,0x203fffff,0x7cc0fffe,0x400006ff,0x7ffffffa,0x3fffffe0,
    0xffffffff,0x0fffffff,0x1fffffdc,0x3fffd100,0x3ff60000,0x4c00003f,
    0x0000efff,0x4effff44,0x000efffe,0x277fffa2,0x000efffd,0x05fffb80,
    0xfffff300,0xffffffff,0x3fffffff,0xd82ffdc0,0x800002ff,0x07fffedb,
    0x3ffff6e6,0xb9acefff,0x46fffffd,0x00fffff8,0x006ffd80,0x01fffb80,
    0xffd10000,0xffe8000b,0x2fffdc2f,0x87fffb00,0x0006fffa,0x001fffcc,
    0x7dffffd0,0xffff9533,0x0059dfff,0x00098031,0x7ffc4000,0xffffd007,
    0x7ff401bf,0x6ff5c4ff,0x1bee0002,0x03bee000,0x3f200000,0x6ffc0004,
    0x00dfd100,0xd88077f4,0x7cc0006f,0x3f20002f,0x3a604fff,0x000fffff,
    0x00000000,0x007fff88,0x009ffffd,0x01ffffd1,0x00040000,0x00000100,
    0x88000080,0x30003001,0x00002600,0x3fe00002,0xff9805ff,0x00000fff,
    0x88000000,0xfd007fff,0x22001fff,0x0002ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe6000,0xfff9000f,0xb710001f,0x00017bdd,
    0x6776e544,0x0ffff10b,0x017fffa0,0x007fffb0,0x3bb6ea00,0x200009bc,
    0x9bceedba,0x55551000,0x2aaa2015,0x2a000aaa,0x09bceedb,0x55555100,
    0x2aaaa201,0x555100aa,0x2aa20155,0x7d40aaaa,0x3e6005ff,0xb1000fff,
    0xffffffff,0xfb8001bf,0xffffffff,0x007fff9c,0x8005fffd,0x0005fffb,
    0x7fffff54,0x4003ffff,0xffffffea,0x7f403fff,0xc81fffff,0x1fffffff,
    0xffffea80,0x403fffff,0x1ffffffe,0xffffffc8,0xffffe81f,0xfffc81ff,
    0x7e41ffff,0x3e2004ff,0xfb800fff,0xffffffff,0x8802ffff,0xfffffffd,
    0xffffffff,0x7fffd007,0x3fffc800,0xfffb1000,0xffffffff,0xfd8805df,
    0xffffffff,0xf982efff,0x81ffffff,0xffffffff,0x3fff6201,0xffffffff,
    0xfff982ef,0xff81ffff,0x41ffffff,0xfffffff9,0xffffff81,0x7ffdc1ff,
    0x3ffe2004,0x7ffdc00f,0xffffffff,0x2203ffff,0xffffffff,0xffffffff,
    0xfffd007f,0x3fe2001d,0xe88001ff,0xffffffff,0x1fffffff,0xfffffd10,
    0xffffffff,0xfff883ff,0xfe81ffff,0x01ffffff,0xffffffd1,0xffffffff,
    0xffff883f,0xffe81fff,0x441fffff,0x1fffffff,0xffffffe8,0x37ffd41f,
    0x1ffff500,0x7ffffcc0,0xfeca9ace,0xfb01ffff,0x5359ffff,0xffffffd9,
    0x3fffa00f,0xfffd005f,0xffb0001f,0x7359dfff,0x0dfffffb,0x3bfffff6,
    0xfffdb9ac,0xfdb986ff,0xdb881fff,0xb01ffffe,0x59dfffff,0xfffffb73,
    0xfffb730d,0xfdb7103f,0xb7303fff,0x7103ffff,0x83ffffdb,0x001ffff8,
    0x401ffffb,0x403fffff,0xa87ffffc,0x100dffff,0x0ffffff9,0x3fffffa0,
    0xfffd501e,0xff7000bf,0xfe801fff,0x7fdc3fff,0x7f400fff,0x3fa03fff,
    0xffe801ff,0xffffb81f,0x7fff400f,0x3fffa03f,0x1fffe801,0x00ffff40,
    0x7c0ffff4,0x5c00efff,0x300fffff,0x2005ffff,0x7c1ffffa,0xf9006fff,
    0x3a00ffff,0xefffffff,0xffffedcd,0x0bdb885f,0x01fffff8,0x0ffffe88,
    0x007ffffe,0x03ffffa2,0x400ffff4,0xff81fffe,0xe8801fff,0xfd00ffff,
    0xffd003ff,0xfffe803f,0x1fffe801,0x2effffa8,0xfffffd88,0xbfff700f,
    0x3fffd800,0x007fffe6,0x007fffe8,0xfffffffd,0xffffffff,0xffff01df,
    0xbffff88f,0x99999999,0x2ffff999,0x337ffff1,0x33333333,0x205ffff3,
    0xe801fffe,0x7fc41fff,0x99999bff,0xff999999,0xfffd02ff,0x3fffd003,
    0x01fffe80,0xb01fffe8,0x9bdfffff,0xfffffffb,0x3fff601f,0x7ffcc001,
    0x017ffea5,0x00ffff70,0x3ffbfffa,0xffffffff,0xfffa80df,0x3ffea2ff,
    0xffffffff,0xffffffff,0xfffff54f,0xffffffff,0x9fffffff,0x007fffa0,
    0xf507fffa,0xffffffff,0xffffffff,0x3fa09fff,0xffe801ff,0x7fff401f,
    0x1fffe801,0xfffffd10,0xffffffff,0xff101fff,0x3fe000ff,0x13fff27f,
    0x0ffff500,0x267fffa0,0xfffffffd,0x3ffea01e,0x3fff22ff,0xffffffff,
    0xffffffff,0xfffff95f,0xffffffff,0xbfffffff,0x007fffa0,0xf907fffa,
    0xffffffff,0xffffffff,0x3fa0bfff,0xffe801ff,0x7fff401f,0x1fffe801,
    0x3ffff620,0xffffffff,0xff880fff,0xfff0007f,0x0ffff61f,0x0ffff300,
    0x887fffa0,0x0009aca9,0xfc8fffff,0xffffffff,0xffffffff,0xfff96fff,
    0xffffffff,0xffffffff,0x3fffa0df,0x1fffe801,0x7fffffe4,0xffffffff,
    0x06ffffff,0xd003fffd,0xfe803fff,0xffe801ff,0xfffa801f,0xf8cfffff,
    0xffd00fff,0xff98003f,0x13ffee6f,0x0ffff500,0x007fffa0,0x0aca8800,
    0x7fffffd4,0xffffffff,0x56ffffff,0xffffffff,0xffffffff,0x3a0dffff,
    0xfe801fff,0x7ffd41ff,0xffffffff,0xffffffff,0x3fffd06f,0x03fffd00,
    0x801fffe8,0x2001fffe,0x209acb98,0xf900ffff,0xfd800bff,0x3ffe64ff,
    0x7ffec006,0x3fffd007,0x44000000,0x0002ffff,0x05ffff10,0x3ffa0000,
    0xfffe801f,0x17fffc41,0xffe80000,0xfffe801f,0x0ffff401,0x00ffff40,
    0xffff3000,0x1ffffcc0,0x1ffffc80,0x013fffe2,0x03ffffd4,0x001fffe8,
    0x02f6e200,0x007ffffe,0x7ffffc00,0xfe800001,0x7fdc02ff,0xffff81ff,
    0xe800001f,0x7dc02fff,0x7f401fff,0x7fdc02ff,0x200001ff,0x7c05fffc,
    0x100dffff,0x90fffffb,0x201bffff,0xffffffc8,0x1fffe800,0x3ffe0000,
    0xffffa87f,0xeca9802f,0x3fffea0c,0xeca9802f,0xbfffb00c,0x3ffffee0,
    0xffffa81f,0xeca9802f,0xbfffb00c,0x3ffffee0,0x7ffec01f,0xfffff705,
    0x2a00003f,0x5403ffff,0xceffffff,0xfffffecc,0xffffd02f,0xffb999df,
    0xffffffff,0xfffd5309,0x40003559,0x82fffffa,0xdffffffc,0xfffeccbc,
    0x7fe44fff,0xcbcdffff,0xffffffec,0xdffff704,0xfffffd99,0xc83bffff,
    0xcdffffff,0xffffeccb,0xfff704ff,0xfffd99df,0x3bffffff,0x3bfffee0,
    0xfffffecc,0x401dffff,0xfcaaaaa9,0x801fffff,0xfffffffb,0xffffffff,
    0x3fffe603,0xffffffff,0xffffffff,0x3ffffa1f,0x0fffffff,0xffffa800,
    0xffffd02f,0xffffffff,0xd0bfffff,0xffffffff,0xffffffff,0x3ffe20bf,
    0xffffffff,0x4fffffff,0xffffffe8,0xffffffff,0xff105fff,0xffffffff,
    0xffffffff,0x3fffe209,0xffffffff,0x04ffffff,0x3ffffffa,0x02ffffff,
    0x3ffffea0,0xefffffff,0xfffe9801,0xffffffff,0xffffffff,0xffffff31,
    0x07ffffff,0x1bfffa00,0xffffff90,0xffffffff,0x3ff203ff,0xffffffff,
    0x01ffffff,0x3fffffe6,0xffffffff,0xff904fff,0xffffffff,0x03ffffff,
    0x7fffffcc,0xffffffff,0x3e604fff,0xffffffff,0xffffffff,0xfffff304,
    0x5fffffff,0xffb71000,0x17bfffff,0xffffb800,0xf9cfffff,0x7c3dffff,
    0xffffffff,0x20000fff,0xfb1002ca,0xffffffff,0xb1005bff,0xffffffff,
    0x2005bfff,0xffffffe9,0xefffe9cf,0x3ff6200c,0xffffffff,0xfd3002df,
    0x39ffffff,0x019dfffd,0xfffffe98,0xfffe9cff,0x3ffe00ce,0xdfffffff,
    0x97300002,0x22000017,0x001accba,0x99999710,0x00037999,0x2a620000,
    0x009aaccc,0x99953100,0x40001355,0x001acca8,0x332a6200,0x00009aac,
    0x006b32a2,0x59951000,0x97100003,0x00399999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcb880000,0x00000ace,0x33000000,
    0x65cc0000,0x000acded,0x00000000,0x2aaa2000,0x555100aa,0x4cc01555,
    0x99999999,0x44000099,0x42ceedca,0x99999998,0x99999999,0x2aaaa219,
    0x02ed9802,0x22001bd7,0xfffffffe,0x3b66000d,0x001bd702,0x3ffffaa0,
    0xfb30003e,0xffffffff,0x77edc007,0x6440001d,0x05dd304f,0xffffffd0,
    0xfffff903,0x3fe603ff,0xffffffff,0x4003ffff,0xffffffc8,0x3fffa5ff,
    0xffffffff,0x10ffffff,0xd00fffff,0xff881fff,0xffe8805f,0xefffffff,
    0x1fffd000,0x005fff88,0x7ffffec4,0x2000efff,0xfffffffc,0x406fffff,
    0xffffffe9,0x3fee0004,0x07ffe81f,0x7fffffcc,0x7fffc41f,0xf301ffff,
    0xffffffff,0x01ffffff,0x3ffffea0,0xd1ffffff,0xffffffff,0xffffffff,
    0x37fffc1f,0x207fff40,0x4406fff9,0xfffffffe,0xd005ffff,0xff981fff,
    0x7fec006f,0xffffffff,0xffff7006,0xffffffff,0x7ff409ff,0x03fffedf,
    0x05fff900,0x4401ffff,0x1fffffff,0xffffffe8,0xffff301f,0xffffffff,
    0x3f200fff,0xffffffff,0xfffd0fff,0xffffffff,0x41ffffff,0xb805fffe,
    0x5ffb05ff,0xeffffc80,0xffffebab,0x05ffb802,0x5c005ffb,0xffffffff,
    0xf804ffff,0x9aceffff,0x2fffffca,0x260cffb8,0x98000ffe,0x9ff706ff,
    0xfffb7300,0xfdb7103f,0x3e603fff,0xffffffff,0x802dffff,0xeffffffd,
    0x3a3eca9c,0xffffffff,0xffffffff,0x13fff60f,0x02600c40,0x0bffff10,
    0x401ffff6,0x0004c018,0x42bbfff6,0x00ffffda,0x101fffec,0xfd0bffff,
    0x05ff701f,0x02200c00,0x07fffe00,0x407fffa0,0x0007fff9,0x3ffffee0,
    0xfff9000c,0x1bffee00,0x0007fff9,0xfffb8000,0x3fffe207,0x00000002,
    0x220bfffe,0x4401ffff,0xffb801dc,0x104ff86f,0x000009ff,0xffff0000,
    0x3fffd003,0x01fffe60,0x7fffd400,0x7fcc003f,0x9fffb004,0x002fffb8,
    0x7ff40000,0x7ffe403f,0x00000005,0x6c03fffe,0x00003fff,0x207fffc4,
    0x7ff105ff,0x00000000,0x003ffff0,0x2603fffd,0x00007fff,0x007ffffd,
    0xff880040,0x7ffd41ff,0x3b6ea001,0x44009bce,0xf8807fff,0x26200fff,
    0xbceeeedb,0xffff8000,0x2ffff880,0x7fd40000,0x80ffd86f,0x51002ffc,
    0x22015555,0x00aaaaaa,0x400ffffc,0xf301fffe,0x50000fff,0x0005ffff,
    0x3ffee000,0x00fff986,0xfffffea8,0x2603ffff,0xff006fff,0xffb303ff,
    0xffffffff,0x7fc0019f,0x7fecc0ff,0x200001ff,0xa85fffe8,0xff912eff,
    0x3fffa00d,0xffc81fff,0x401fffff,0xe801ffff,0xff301fff,0x9bb953ff,
    0xfffd0015,0x4000000d,0xf884fffe,0x7fec407f,0xffffffff,0xffb82eff,
    0xfffd005f,0xffffff05,0xffffffff,0x7fffc00b,0xfffffc88,0x4c40006f,
    0x2ffffeb9,0xffffffb0,0x217503ff,0xfffffff9,0xffffff81,0x7ffc01ff,
    0xfffe801f,0xfffff301,0x9fffffff,0x1ffffc40,0x00015773,0x0ffffc40,
    0x3a206ff8,0xffffffff,0x1fffffff,0x8027ffe4,0xff83fffd,0xffffffff,
    0x004fffff,0xff71ffff,0x003fffff,0x3ffff620,0x6405ffff,0x11efffff,
    0x229fffb5,0x1fffffff,0xffffffe8,0x7fffc01f,0x1fffe801,0xffffff30,
    0xdfffffff,0x1ffff303,0xdffffff5,0xff700001,0x02fec0df,0x9dfffffb,
    0xffffb735,0x4fffc8df,0x07fff900,0x579dfff7,0xffffd733,0x23fffe00,
    0xfffffffc,0xffc8001f,0x06ffffff,0x51599730,0x5ffffffb,0x7fffedcc,
    0xffedb881,0x7ffc01ff,0xfffe801f,0xfffff301,0xffffffff,0xdfff50df,
    0xfffffffb,0xe80005ff,0x36604fff,0xfffff701,0xffffe801,0x013fff23,
    0x881fffe4,0xffff9800,0x8ffff800,0xffffffe9,0x7e4002ff,0x5fffffff,
    0x7fedc400,0x402dffff,0xe801fffe,0x7fc01fff,0x7fdc02ff,0x3ffe01ff,
    0xecaacdff,0x7dc4ffff,0xffffffff,0x02ffffff,0x3ffff100,0x7fffc000,
    0xffe8801f,0x9fff90ff,0x0ffff200,0x3fffa000,0x0ffff802,0x3ffff2a2,
    0x362001ff,0xffffffff,0x7fedc404,0x002cffff,0x2007fffa,0x7c01fffe,
    0xff705fff,0x5403ffff,0xfb100cff,0x7fe43fff,0xceffffff,0x006ffffe,
    0x00ffff70,0xfff88151,0x999999bf,0xfff99999,0x09fff92f,0x00ffff20,
    0xdffffd97,0x005ffffd,0x2201ffff,0x006ffffc,0xfffda988,0xffeb84ff,
    0x001cffff,0x003fffd0,0xf803fffd,0xecceffff,0xffffffff,0xe80000df,
    0x3fee3fff,0x5c2effff,0x8004ffff,0xc804fffe,0x7fffd45f,0xffffffff,
    0xffffffff,0x009fff74,0x540ffff6,0xfffffffe,0x02ffffff,0x400ffff8,
    0x000ffffc,0x7ffffd40,0x3fffff21,0x7dffd71c,0x07fffa00,0x007fffa0,
    0xffffffff,0xffffffff,0x00009fff,0x7ccbfff7,0x900fffff,0x8800ffff,
    0xd801ffff,0x7fffe46f,0xffffffff,0xffffffff,0x00bfff75,0x360bfffa,
    0xffffffff,0x2fffffff,0x00ffff80,0x002fffe8,0x3ffff880,0xe8873bee,
    0x0effffff,0x00ffff40,0x200ffff4,0xffffffff,0xffffffff,0x80004fff,
    0x3e26fff9,0x2202ffff,0x2000ffff,0xb007fffb,0x7ffe43ff,0xffffffff,
    0xffffffff,0x0dfff56f,0xb03fffe0,0xffffffff,0xffffffff,0x1ffff005,
    0x09fff700,0x3fff2000,0xfffd8045,0x405fffcc,0xe801fffe,0x7fc01fff,
    0xffffffff,0xefffeadf,0xf880000c,0x7fffc7ff,0x1fffe804,0x13fffa00,
    0xa9fffec0,0xffffffff,0xffffffff,0xff16ffff,0xff9801ff,0x7fffdc7f,
    0xa9989adf,0x802ffffb,0x9800ffff,0x00006fff,0x500ffff3,0x7ec41bff,
    0x3fffa02f,0x1fffe801,0x65ffffc0,0x0000accc,0xdfff3000,0x801fffe8,
    0x1002fffd,0x0803ffff,0x3e2ffffb,0x00002fff,0xb013fff6,0xffd8bfff,
    0xffe801ff,0xffff802f,0x3fe606a0,0xf300007f,0xff900dff,0x409ff103,
    0xe801fffe,0x7fc01fff,0x000001ff,0x2fffdc00,0x1013fff6,0x2003ffff,
    0x5407fffb,0x0ffdacef,0x003fffff,0x3fffea00,0x3ffff300,0x802ffff8,
    0x802ffffa,0xffd0ffff,0x06fffb85,0x7fffb000,0x740dfb00,0x3fffa06f,
    0x7fffdc02,0x0ffffc01,0x00350000,0x21ffff44,0x200ffffb,0x000ffffb,
    0xb809fffd,0x25ffffff,0x02fffffa,0x40ceca98,0x4c0effff,0x7c46ffff,
    0x3aa03fff,0x403fffff,0xf98ffff8,0x7ffec6ff,0x40177545,0x01ffffd9,
    0xff00ffd8,0x2fffec0b,0xffffffb8,0x0ffffc01,0xdffe8000,0x7ffecc01,
    0x7fffc41f,0xfffe981e,0xffff1007,0xfffd7003,0xffffc83b,0xeccbcdff,
    0x44ffffff,0xcdfffffa,0x82fffffd,0xbdfffffe,0xffffffec,0x320dffff,
    0xbfffffff,0xffcdffff,0x7ffc2fff,0xdcccceef,0x06fffffe,0xf507ff70,
    0x7ffdc09f,0xfffeccef,0x1dffffff,0x003ffff0,0xfffff300,0xfdd999dd,
    0x2e09ffff,0xcdffffff,0x02fffffd,0x00ffff70,0x3fa00a88,0xffffffff,
    0xffffffff,0xfffffd85,0x03ffffff,0xfffffff3,0xffffffff,0x269fffff,
    0xffffffff,0xfffffffe,0x7f446fff,0xffffffff,0x1fffffff,0x19fff100,
    0x401fff91,0xfffffff8,0xffffffff,0xfff04fff,0x3e00003f,0xffffffff,
    0x6fffffff,0x3ffffa20,0xffffffff,0x3fff6005,0xf9000004,0xffffffff,
    0x3fffffff,0xfffffb10,0xb807ffff,0xffffffff,0xffffffff,0xfff34fff,
    0xf7bfffff,0xffffffff,0xfffff503,0xffffffff,0xfa8003df,0x3fffffff,
    0xfffff980,0xffffffff,0xfb04ffff,0x200001ff,0xffffffe9,0xdfffffff,
    0x7fff4400,0xefffffff,0x3fff6000,0x22000000,0xfffffffd,0x802dffff,
    0xefffffec,0xfffd3003,0xd39fffff,0x419dffff,0xceffffdb,0xffffff90,
    0x7fe4c01b,0xffffffff,0x3aa0003e,0x002fffff,0x3fffffa6,0xfffe9cff,
    0xbff700ce,0xfb500000,0xffffffff,0x7dc4003d,0x2fffffff,0x02fd9800,
    0x53100000,0x01355999,0x02b2a200,0x66654c00,0x8000002a,0x001acca8,
    0x5666554c,0x5100000a,0x20001577,0x001acca8,0x0000ba80,0x32ea6200,
    0x400009ab,0x001abca9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x51000006,
    0x0059bdb9,0x0000ea00,0x80000175,0x02cdeca8,0x40000800,0x00aaaaa8,
    0x05555544,0x00333330,0xb7510000,0x554179dd,0x30001aaa,0x00013333,
    0x10000010,0x205bdffd,0xffffa800,0x002effff,0x000bff60,0x000f7fc4,
    0xfffffc80,0x88002eff,0xf90002fd,0x09ffffff,0x3ffffff6,0x7fffec4f,
    0x000001ff,0x3fffffea,0xfff9cfff,0x2000efff,0x03fffffa,0x7ff654c0,
    0x0350adff,0xfffff700,0x9ffb57df,0x7ffffec0,0x05ffffff,0x07fff440,
    0x5fff9000,0xfffd8000,0x3fffffff,0x3fffea00,0x7ffc000d,0x40ffffff,
    0xfffffff8,0x3fffe67f,0x00001fff,0xfffffd88,0xffffffff,0x03ffffff,
    0x3fffffa0,0xfffb1003,0xffffffff,0x88007ffd,0xffffffff,0xf705ffff,
    0xffffffff,0x2007ffff,0x000efff9,0x03fffc80,0xfffffb00,0x5fffffff,
    0xffffd880,0x3a002fff,0x6fffffff,0xfffffff0,0x7fffc4df,0x00001fff,
    0xffffffe8,0xffffffff,0x01ffffff,0xffffff70,0xfffd1007,0xffffffff,
    0x000bffff,0x3fffff66,0xf980cfff,0xcaceffff,0x01ffffff,0x006fffd4,
    0xbfff7000,0xffffa800,0xffffcabf,0xfff300ff,0xbfffd39f,0x3fff2200,
    0xf7300bef,0xa817ffff,0x01ffffec,0x7ffe4000,0xfda9bdff,0xefffffff,
    0xfff1001c,0x9807ffff,0xffffffff,0xffffffff,0x7ec4006f,0xffffffff,
    0x3ffff606,0x9ffff501,0x027ffc40,0xfff98000,0x3fffa003,0xffffa80e,
    0x1efff884,0x0027ffe4,0x100dfffb,0xf009ffff,0x00003fff,0x0f7fffd4,
    0xffffff70,0xfffd8001,0x2603ffff,0xacefffff,0xffff7510,0xffc800df,
    0xfffbcfff,0x9fffd02f,0x06fffd80,0x0000bfe2,0x005fd100,0x807fffe6,
    0x440ffffb,0x3fa604ff,0x3ffe2005,0x7ffe403f,0xffff800f,0x3fa00001,
    0xfc800eff,0x2000ffff,0xfffffff9,0x3fffa03f,0xffd8803f,0x7fdc006f,
    0x7fffdc2d,0x07fffc40,0x03fffea0,0x00000008,0xfff50004,0x7ffff00b,
    0x00600110,0x81bfff20,0x004ffff8,0x0003ffff,0x0ffffe20,0x0ffffd80,
    0x3ffffa00,0xf503fffd,0x4c009fff,0x08005fff,0x427ffe40,0x5401ffff,
    0x00007fff,0x20000000,0xc804fffb,0x00004fff,0xffff8800,0x1ffff903,
    0x47fffe00,0xacdeecb8,0x7fffcc00,0x3ffea000,0xfff7000f,0x07fff95f,
    0x0017fffa,0x4000fff6,0x3e21aa98,0x7ff41fff,0x7ffec04f,0x2aaaa605,
    0x30001aaa,0x35555555,0x13fff200,0x817ffea0,0xaaaaaaa9,0x3ff20001,
    0xffff887f,0x3fffe004,0xffffffc9,0x3ee03fff,0x7c4005ff,0xf8800fff,
    0xfff96fff,0x5ffff107,0x00571000,0xfffffc88,0xfffb9dff,0x0ffffe43,
    0x84ffffa8,0xfffffff9,0x7cc003ff,0xffffffff,0xbfff5003,0x0dfffd00,
    0xfffffff3,0x440007ff,0x7e43ffff,0x3e000fff,0xffffffff,0xefffffff,
    0x06fffa80,0x07fffcc0,0x8ffffe40,0xfa83fffc,0x000007ff,0x3ffffee0,
    0xfeffffff,0x7ffc44ff,0xffcacfff,0xfc80ffff,0xffffffff,0x7ffe4003,
    0x03ffffff,0x80dfff30,0xc87ffffc,0xffffffff,0x7e40003f,0xfff10fff,
    0xfff8009f,0xffffffff,0x0fffffff,0x00ffffc4,0x01ffffb0,0x24ffff98,
    0xfb83fffc,0x000005ff,0xffffffb0,0xffffffff,0xfff50dff,0xffffffff,
    0x3fea03ff,0x3fffffff,0x7fffd400,0x003fffff,0x207ffff1,0x0ffffff9,
    0x7fffffd4,0x40003fff,0xf93ffff8,0xf8001fff,0xcfffffff,0xffffca9a,
    0xffffe85f,0xffffb800,0x7fff400f,0x0ffff20f,0x000ffff2,0x3ffea000,
    0xebaabeff,0x07ffffff,0xfffffff9,0xa809ffff,0xffffeeec,0xeeca8003,
    0x003ffffe,0x70bffff2,0x5fffffff,0xffddd950,0x900007ff,0xfff3ffff,
    0xfff0009f,0x2201bfff,0x5c3ffffd,0x103fffff,0x1ffffffb,0x1ffffd40,
    0x320ffff2,0x00003fff,0x7ffffc40,0x3fffee03,0x7ff440ff,0xffffffff,
    0x7e4000ef,0x900003ff,0x44007fff,0xfdefffff,0xffffffff,0x7fff9002,
    0xfff10000,0x01ffffff,0x9fffff00,0x1ffffa00,0x3ffffff2,0xffffedce,
    0xf100ffff,0xff90dfff,0x7fff907f,0x7776dc40,0x902ceeee,0x7009ffff,
    0xe83fffff,0xffffffff,0x005fffff,0x001fffe4,0x03fffc80,0x7ffffd40,
    0xffffffff,0xff9001ff,0x3200007f,0x4fffffff,0xdffff000,0x3ffe2001,
    0xffffd81f,0xffffffff,0x900fffff,0xf903ffff,0xfff907ff,0x7ffff407,
    0x2fffffff,0x006fffd8,0xd8bffff6,0x10aeffff,0x09ffffd5,0x01fffe40,
    0x3fffc800,0xffffa800,0xffcfffff,0x3ff2007f,0xf100003f,0x01ffffff,
    0x13fffe00,0x07fffb00,0x3ffffff2,0xffefffff,0xfff880ff,0x7fff905f,
    0x209fff70,0xfffffff8,0xf84fffff,0x2e004fff,0x3fe1ffff,0x7ff405ff,
    0x3ff2007f,0xf900003f,0x220007ff,0x9efffffe,0x2006fff9,0x0003fffc,
    0x3fffff20,0x3ffe0004,0x7fdc002f,0x3ff2204f,0x8aefffff,0xfd80ffff,
    0xffffffff,0x1dffffff,0xd817ffe6,0xffffffff,0x7fc41fff,0x3ea003ff,
    0xfff30fff,0xfff8801f,0xfff9000f,0x3f200007,0x440003ff,0x3ff21ab9,
    0x3ff2004f,0x2200003f,0x000fffff,0x007fffe0,0x00bfff50,0x81579531,
    0xfe80ffff,0xffffffff,0x6fffffff,0x101fffe2,0xfff75555,0x3fffe01f,
    0x3ffea003,0x017ffee7,0x8017ffec,0x0003fffc,0x007fff90,0x3ffea000,
    0x3ff2002f,0x2600003f,0x0004ffff,0x001ffffc,0x000ffff2,0x80ffff80,
    0xfffffffe,0xffffffff,0x27fff46f,0x1bffe600,0x005fffd8,0xfb97fff2,
    0xffb005ff,0x3ff2005f,0xf900003f,0x000007ff,0x01dffff3,0x01fffe40,
    0xffffb000,0xfff80001,0x7ff4005f,0x3e00002f,0xffe80fff,0xffffffff,
    0x42efffff,0x001ffffc,0xb81bffe6,0x9802ffff,0x3e24ffff,0x7cc01fff,
    0xf9000fff,0x200007ff,0x0003fffc,0x7ffffd40,0x7ffe4001,0xff300003,
    0xf00009ff,0x2005ffff,0x000ffffc,0x03fffe00,0x26666662,0xfffd9999,
    0xffffd104,0x7e54401b,0x3fe206ff,0x3a602fff,0x7f40ffff,0xfd100eff,
    0x7e400dff,0x900003ff,0x08007fff,0xfffffd30,0xfff90005,0x3f600007,
    0x40000fff,0xcffffff8,0xffff9100,0xff800009,0x310000ff,0x4c09fffb,
    0xeeffffff,0xfffffdcc,0x7fd406ff,0xbaacefff,0x82fffffd,0xcefffffc,
    0xfffffecc,0xb3333104,0x33339fff,0x99998801,0x999cfffd,0xdffe8809,
    0xffffffdc,0x9998803f,0x99cfffd9,0x2aa20099,0xdffffbaa,0xfec8000a,
    0xffffffff,0xfffecccd,0x40000eff,0xffffbaa9,0x3fa6001b,0x2effffff,
    0xffffff90,0xffffffff,0xf900dfff,0xffffffff,0x40bfffff,0xfffffffd,
    0x85ffffff,0xffffffec,0xffffffff,0x7ff643ef,0xffffffff,0x23efffff,
    0xfffffffb,0x404fffff,0xffffffec,0xffffffff,0x7ffe43ef,0xffffffff,
    0x7fcc006f,0xffffffff,0xffffffff,0x40001fff,0xfffffffe,0xe800ffff,
    0xffffffff,0x3ffa606f,0xffffffff,0x000cffff,0xfffffff7,0x007fffff,
    0xfffffff9,0xf309ffff,0xffffffff,0xffffffff,0x3ffe61ff,0xffffffff,
    0xffffffff,0xffffff30,0x803dffff,0xfffffff9,0xffffffff,0x3fe0ffff,
    0xffffffff,0x2002ffff,0xfffffff8,0xffffffff,0x001effff,0x7ffffcc0,
    0x3fffffff,0xfffffd80,0xa806ffff,0xffffffed,0x8000beff,0xffffffd8,
    0x2e000dff,0xfffffffd,0xffff102d,0xffffffff,0x4fffffff,0xfffffff8,
    0xffffffff,0x7fe47fff,0x02efffff,0xffffff10,0xffffffff,0xfd8fffff,
    0xffffffff,0x4000ffff,0xafffffdb,0xfffffffb,0x200003ff,0xffffffff,
    0x9801ffff,0xfffffffd,0xca98001d,0x000009ab,0x13799731,0xaca98000,
    0xfffb7000,0xffffffff,0xb85bffff,0xfffffffd,0xffffffff,0xacba882d,
    0xffb70001,0xffffffff,0x85bfffff,0xcccccca8,0x000bcccc,0x332a6000,
    0x800001ab,0xcccccca8,0x00001bcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000400,0x15e76dcc,0x002aa000,0x1e544000,0x00030000,0x00e76540,
    0x0002ae00,0x003b2a20,0x08800000,0x33331000,0x00001333,0x50000000,
    0x57bfffd9,0x3ff62000,0x0effffff,0x3ffee200,0x000cb82f,0x9fffd951,
    0x7f6dc000,0x1512dfff,0x3fffe200,0xffc88007,0x204b82ff,0x0ffffec9,
    0x71000000,0x7bffffdb,0xffffd100,0x8007ffff,0xdd304fc8,0x6c400005,
    0xffffffff,0x3a2000df,0xffffffff,0xfb003fff,0x35dfffff,0x5c405ffb,
    0xfffffffe,0xffe98004,0xefffffff,0xff5007ff,0xe8003fff,0xaeffffff,
    0xfd02ffe9,0x001fffff,0xffd98000,0xffffffff,0x3fff201e,0x03ffffff,
    0x40fffdc0,0x00007ffe,0xfffffff7,0x03ffffff,0xfffffd30,0xffffffff,
    0xafffa803,0xfffffffb,0xffff300e,0x09ffffff,0xfffffb80,0xffffffff,
    0xffd001ff,0xffa800bf,0xfffffbae,0x9b300eff,0x0001ffd5,0x7fffe400,
    0xffffffff,0xfff702ff,0x07ffffff,0x83fffc80,0x0000ffff,0x7fffffdc,
    0xffffffff,0x7fffc03f,0xfebaabef,0x2200ffff,0x3ff620bd,0x3ee00dff,
    0xffffffff,0x3fe6004f,0xffffffff,0x03ffffff,0x20002a20,0x7fec43d8,
    0x3a000dff,0x000000ff,0x3ffffff6,0xffffffff,0xdddb700f,0x8007ffff,
    0xfb80eff9,0x7cc0004f,0x30adffff,0x3fffffd7,0x13fffea0,0x03ffffb8,
    0x002f2600,0x37ffffe6,0x2004fffe,0x09dffffe,0xfffffb53,0x00000007,
    0x0002f260,0x00003ffa,0xdffffd80,0x3fff261b,0x3ff2005f,0x8030003f,
    0xfe800008,0x7e403fff,0xffb06fff,0xfffd00df,0x8000000b,0x3ff21bca,
    0xfff3004f,0xfffb807f,0x0000003f,0xfd000000,0x4000001f,0x6402fffd,
    0x9000ffff,0x00007fff,0x7e400000,0xf5002fff,0xffb07fff,0xfff5003f,
    0x76dc400f,0x40000bde,0x5004fffc,0x3a00dfff,0x00003fff,0x3b6e6200,
    0x000bceee,0x0000ffe8,0x7fdc0373,0x7ffc400f,0xfff9001f,0x00000007,
    0x3fffe200,0x7ffec004,0x01ff4c0f,0x407fff98,0xffffffd8,0x0000dfff,
    0x2009fff9,0x7004fffb,0x64003fff,0x7ecc003e,0xffffffff,0x3a000cff,
    0xfc8000ff,0x1bfe607f,0x01fffec0,0x003fffc8,0x55555530,0xfa800035,
    0x44000fff,0x0102ffff,0x037ffe40,0xfffffff7,0x05ffffff,0x09fff900,
    0x03fffe60,0x30027ec0,0x7c001fff,0xffffffff,0x005fffff,0xa8003ffa,
    0x200ffffe,0xfff10018,0x3ff2005f,0x7fcc003f,0x3fffffff,0x7ffe4000,
    0xfff90003,0xff880007,0xfff704ff,0xffffffff,0x8007ffff,0x2004fffc,
    0x002effff,0x5fff7000,0x7ffffc00,0xffffffff,0xffd004ff,0xfffb1001,
    0x400005ff,0x001ffffc,0x8007fff9,0xfffffffc,0x6c0003ff,0x50002fff,
    0x4000bfff,0x81ffffe8,0xcefffff9,0xfffeca9a,0x3f2001ff,0x3f2004ff,
    0x1bdfffff,0xffe98000,0x3fee003f,0xb99abcef,0x2207fffe,0x199ffe99,
    0xbfffff50,0x3a600001,0x2006ffff,0x4003fffc,0xfffffffa,0x7c0003ff,
    0x30001fff,0x2000dfff,0x04ffffe8,0x807fffff,0x007ffffc,0x0013fff2,
    0xfffffffb,0x40037dff,0x3fffffc8,0x4c004400,0xfd80ffff,0xffffffff,
    0xffffb10f,0x2a00005f,0x2ffffffd,0x0ffff200,0x3bbb2a00,0x0003ffff,
    0x001fffe2,0x007fff88,0x6ffffe98,0x05ffff30,0x07fffea0,0x027ffe40,
    0x7ffffe40,0x0effffff,0x7ffffdc0,0x000003ff,0x2e0bfffa,0xffffffff,
    0xfffff75f,0x5bddb739,0x7fff5400,0x4002ffff,0x0003fffc,0x007fff90,
    0x00ffff80,0x0ffff100,0xfffff980,0xbfff700e,0x3fffd800,0x09fff900,
    0x3fffaa00,0xefffffff,0xfffff901,0x200019ff,0xeffffecb,0x002ffffe,
    0x3ffffa60,0xfffff99e,0xfc800eff,0x01efffff,0x03fffc80,0x7fff9000,
    0xfffe8000,0xfff50001,0x7ffd400d,0x3f600eff,0x7cc001ff,0xff9005ff,
    0xa880009f,0xffffffec,0x7ffdc1ff,0x0000beff,0xffffffd5,0x5fffffff,
    0x3ffee000,0xbfff34ff,0x00bffd97,0x05dffff9,0x1fffe400,0xfffc8000,
    0x7fe40003,0xff70002f,0x3fee009f,0x2200dfff,0xf0007fff,0x3f200fff,
    0x800004ff,0x4fffffb9,0x0fffffe2,0xffffb000,0xffffffff,0x98005fff,
    0x21effffe,0xfff83ffc,0x27ffd400,0x7ffe4000,0xff900003,0xfb80007f,
    0xfd0005ff,0xff9007ff,0xf100bfff,0x3e000fff,0xfc800fff,0x026004ff,
    0x6fffc880,0x00bfffea,0xfffffb00,0xffffffff,0x5c005fff,0xa83fffff,
    0x03ffb04e,0x000fff88,0x03fffc80,0x7fff9000,0xfff98000,0x7fd4002f,
    0x3f6201ff,0x2004ffff,0x4001fffe,0x9006fff9,0x3a009fff,0x7fc001ff,
    0xdfff70ff,0x7fdc0c00,0x989adfff,0x2ffffba9,0xdffff300,0xfff30001,
    0x00072600,0x01fffe40,0x3fffc800,0xfffe8000,0xfff1000e,0x7ff440bf,
    0x64003fff,0x6c005fff,0xf9004fff,0xff1009ff,0xffe800bf,0x0bfff72f,
    0x6c1ffb10,0xe801ffff,0xf1002fff,0x2a0007ff,0x00003fff,0x7fff9000,
    0x3ff20000,0xf980003f,0x4400efff,0x300ffffe,0x05ffffff,0x7ffff300,
    0x3ffff200,0x9fff9001,0x5ffff500,0x3fffee00,0x03ffff30,0x3e2fffa8,
    0xfa802fff,0x26002fff,0xff90000b,0x0000007f,0x01fffe40,0x3fffc800,
    0xfff70000,0x3fea05ff,0xff703fff,0x0003ffff,0x06fffffc,0x7ffffd88,
    0x13fff200,0x3ffffea0,0xfff7100d,0x7fffc4ff,0xfff9300d,0x0ffffe29,
    0xfffffea8,0x88000003,0x0002fffe,0x7fe40000,0xf900003f,0x400007ff,
    0xdffffffd,0xffffffdc,0xfffff706,0x3333335f,0xf5019733,0x99dfffff,
    0xffffffd9,0x64cccc05,0x1999cfff,0xffffffa8,0xffeccdff,0x7e43ffff,
    0xdbbcffff,0x24ffffff,0xbdfffffe,0xffffffec,0x000dffff,0xefffa800,
    0x5e5c4000,0x4ccc4000,0x99cfffd9,0x4cc40099,0x9cfffd99,0x10000999,
    0xfffffffd,0x1bffffff,0x3fffff60,0xffffffff,0xf705ffff,0xffffffff,
    0x07ffffff,0x3ffffff6,0xffffffff,0x3fffea4f,0xffffffff,0xd05fffff,
    0xffffffff,0x49ffffff,0xfffffff9,0xffffffff,0x004fffff,0x27ffe400,
    0x7fffc400,0xfffd9007,0xffffffff,0xc87dffff,0xfffffffe,0xffffffff,
    0xff70003e,0xffffffff,0xfffd807f,0xffffffff,0x07ffffff,0x3fffffea,
    0x1effffff,0xffffff50,0xffffffff,0x3fe25fff,0xffffffff,0x04ffffff,
    0x3fffffa6,0xdfffffff,0x7ffffdc1,0xffffffff,0x04ffffff,0xfffd1000,
    0x0775555b,0x2fffffa8,0x7ffffcc0,0xffffffff,0x30ffffff,0xffffffff,
    0xffffffff,0x20001fff,0xffffffd9,0xffd801df,0xffffffff,0xffffffff,
    0x3ff6e200,0x0bdfffff,0x3ffffea0,0xffffffff,0x3ae1ffff,0xffffda8d,
    0x000dffff,0xfffffff7,0x74c039ff,0xffffffff,0xeffffe9c,0xf300000c,
    0xffffffff,0xfff803ff,0xfff8807f,0xffffffff,0xffffffff,0xffffff10,
    0xffffffff,0x000fffff,0x002b2a60,0xffffffb0,0xffffffff,0x4001ffff,
    0x4000bcb9,0xffffffeb,0xefffffff,0x79551003,0x26200035,0x001abccb,
    0x1566654c,0x4c000000,0xffffffff,0x54402fff,0xfb7000ab,0xffffffff,
    0x5bffffff,0xfffffdb8,0xffffffff,0x00002dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0xbdeeedba,0xedb88060,0x000003ce,0x00000180,0x10009998,0x00001d75,
    0x03333310,0x99980000,0x99880019,0x00000199,0x00002dc8,0x35953100,
    0x00570001,0xffffffb8,0x6fedffff,0xffffffa8,0x000000ef,0x3ffffb66,
    0x003710ce,0xfffffc88,0x75c2deff,0x0000ffff,0x3ffffa20,0x4000007f,
    0x4007ffff,0x0ffffffd,0x3ea00000,0x4000007f,0xffffffea,0xff5002df,
    0xffe8801b,0xffffffff,0x221fffff,0xfeccffff,0x9800004f,0xfffffffe,
    0x2ffedfff,0xfffff700,0x5fffffff,0x3fffffea,0x3ee00000,0x007fffff,
    0x7fffc000,0x3ffea007,0x0000ffff,0x0bfff200,0x3fea0000,0xffffffff,
    0xfe801fff,0xfff100ef,0xffffffff,0x87ffffff,0x0ffe82dc,0x3fee0000,
    0xffffffff,0x04ffffff,0xffffffb8,0x4fffffff,0x1ffd5991,0x7fcc0000,
    0x0007ffff,0x3ffffc00,0xfffff100,0x000001ff,0x0017ffec,0x37fff200,
    0xffb7309b,0xfe8807ff,0xfffd81ff,0xeca9bcff,0x03ffffff,0x0007ffa0,
    0x7ffffe40,0xffffffff,0x4406ffff,0xffffffff,0x02ffffff,0x00001ffd,
    0x7fffedb8,0x7fc00000,0x6d4007ff,0x000ffffe,0x3fff6000,0x3f600002,
    0xfd5002ff,0xfffb009f,0x6ffffdc7,0x7fffe400,0x3f6aa203,0xf500007f,
    0x237dffff,0xffffeb98,0x7ffd406f,0x1ba9982f,0x0003ffa0,0x3fffc400,
    0x26600000,0x3e000199,0x00000fff,0x00bfff60,0x06ffdc00,0x0bff6200,
    0x7c3ffee0,0x3a006fff,0xff102fff,0x0003ffff,0x9fffff10,0xdffff900,
    0x05fffc80,0x00ffe800,0xfff10000,0x0000000f,0x7fffc000,0xaa800000,
    0xaaacfffe,0x9801aaaa,0x999936ff,0x3fa03799,0x8fea800f,0x000ffff8,
    0xc803ffea,0x003fffff,0xfff70173,0x7fe4009f,0x7ffec06f,0xffe80002,
    0x02b88000,0x001fffe2,0x80000000,0x0000ffff,0x3ffffee0,0xffffffff,
    0x3602ffff,0xfffff1ff,0x881bffff,0xfa8004ff,0xdb8005ff,0xfff73002,
    0x37fec405,0x002ffff4,0x2213ffe6,0xacfffeaa,0x001aaaaa,0xb8001ffd,
    0xff101fff,0x555510ff,0x55300155,0x00355555,0x5c3fffe0,0x00acdeec,
    0xffffffd0,0xffffffff,0x3e20bfff,0x33ff6a3f,0xc86fffcc,0x7dc000ff,
    0x000004ff,0x5c13ff20,0x7cc7ffff,0xd8002fff,0x7fff42ff,0xffffffff,
    0x400fffff,0xd1000ffe,0x2205ffff,0x7fe47fff,0x03ffffff,0xfffffff3,
    0x3e0007ff,0xffffcfff,0x801fffff,0xfffffffc,0xffffffff,0x0ff903ff,
    0x3ff50ff3,0xa803ffa8,0x007fff93,0x7fcc0000,0x7fffec45,0x7fffdc1e,
    0x41a88000,0xfffffffa,0xffffffff,0x7ff403ff,0xffffb800,0x3ffe203f,
    0x3ffffe27,0xf906ffff,0xffffffff,0x3ffe0007,0xffffffff,0x4402ffff,
    0xeffffedb,0xceeeeeee,0x261bf602,0x885fd07f,0x3f6205ff,0x05fffa9f,
    0x26f2a000,0x49ffd310,0x04fffffb,0x000dfff7,0xfffff880,0xffffffff,
    0x9881ffff,0x8099ffe9,0x1effffe9,0x23fffc40,0xffffffff,0xffff505f,
    0x007fffff,0x3fffffe0,0xffffffff,0x3f6000ff,0x740002ff,0x447f984f,
    0x6fe80ffc,0x26dffd30,0x00006fff,0x3ffffffa,0xfe98efff,0x3201efff,
    0x00003fff,0xfffedb98,0xeeeeeeef,0xffffd81c,0x323fffff,0x003fffff,
    0x7ccffff1,0xbdefffff,0x3bbb2a00,0x0003ffff,0x9fffffff,0xffffd737,
    0x7ffec007,0x1ffc0002,0x7f667fcc,0x0ff904ff,0x7c1dfff5,0xa8004fff,
    0x3fff662d,0xfc8cffff,0x9973ffff,0x1fffec19,0x7ec00000,0xfc8002ff,
    0xffffffff,0xeffffe9a,0x101ccc99,0x3feeffff,0x0001ffff,0x001fffe4,
    0x0efffff8,0x00bfff90,0x0017ffec,0x3e60ffe0,0x03ffffff,0xfff71fee,
    0xbffffb0b,0xfffd3003,0x19aa9883,0x3dffffd3,0xd83fffe6,0x00003fff,
    0x02fffd80,0xff910000,0x3fe27fff,0xfff102ff,0xdfffff9f,0xff900001,
    0x3fe0007f,0x7fcc05ff,0x3ff6007f,0x7fc0002f,0xeccff984,0x9bf603ff,
    0xd103fff9,0x9bdfffff,0xffffd997,0xf91007ff,0xfe87ffff,0x3ff60fff,
    0x8000003f,0x0002fffd,0xfffffa80,0x3ffff60d,0xfffff102,0x000bffff,
    0x01fffe40,0x00ffff80,0x000ffff8,0x0005fffb,0x7f986fe8,0xff80ffec,
    0x1007be65,0xffffffff,0xffffffff,0xffa801ff,0x7e40dfff,0x3f20ffff,
    0x000004ff,0x002fffd8,0x3fff6200,0x7ffd42ff,0xfff102ff,0x007fffff,
    0x3fffc800,0x1ffff000,0x01ffff00,0x00bfff60,0xf30ff900,0x981ff90f,
    0x300043ff,0xffffffff,0xdfffffff,0xffffc801,0xefffa82f,0x3ffea0ff,
    0xd8000006,0x00002fff,0x1bfffff5,0xffefff88,0xfffff102,0x0000bfff,
    0x003fffc8,0x001ffff0,0x2001ffff,0x0002fffd,0xf931ffc4,0x2efe859f,
    0x00003ff2,0x3fffffaa,0x02dfffff,0x0dffffa8,0xfeaffe88,0x3fffe60f,
    0x6c000001,0x00002fff,0x205dffff,0x2ffccffd,0xffffff10,0x0001dfff,
    0x00ffff20,0x007fffc0,0x8007fffc,0x0002fffd,0xfff1ffd8,0x7fcc1fff,
    0x505ff8af,0xea980059,0x009abcff,0x80bffe60,0x1ffd4ffc,0x006fffe8,
    0xfd801950,0xd00002ff,0x7fd409ff,0x2205ff96,0xfffdffff,0x80000eff,
    0x0003fffc,0xf001ffff,0x36001fff,0x31003fff,0x6ddbfe60,0xcea83dee,
    0xff81ffd8,0xfc8006ff,0x14c0001f,0x743ffea0,0x7ffd40ff,0x3f2000df,
    0x3ff600ff,0x7100002f,0x8fffc401,0xff102ffc,0x3fffa2ff,0x640001ff,
    0xf0003fff,0xff001fff,0x3f2001ff,0x7ed406ff,0x1bff706f,0x3ffd8800,
    0x1fffffa8,0x27ffe400,0xff100000,0x3ffd55bf,0x7fffffb0,0xffffe980,
    0x0bfff602,0xfd800000,0x3ffdaaef,0x44ffff10,0x02fffffe,0x0ffff200,
    0x07fffc00,0x007fffc0,0xcfffffa8,0xffffeccc,0xfffb02ff,0x3ffa6005,
    0xfffff705,0x7fe42005,0x000000ff,0xfffffff7,0xfe887fff,0xcdefffff,
    0xffffffed,0xffd99887,0x099999bf,0x7fcc0000,0xffffffff,0x87fff985,
    0x1bfffffd,0x6ccccc40,0x9999cfff,0x7fffc400,0x7fffc401,0xfffd1001,
    0xffffffff,0x6401ffff,0x109bdfff,0x09ffffb7,0x03ffffc4,0xfcacff98,
    0x7000001f,0xffffffff,0xffd303df,0xffffffff,0x45ffffff,0xffffffe9,
    0xffffffff,0xf300002e,0xffffffff,0x7fffec7f,0xfffff07f,0x7641bfff,
    0xffffffff,0xefffffff,0x7ffffcc3,0x7fcc2fff,0x02ffffff,0xffffff98,
    0xefffffff,0xffffa802,0xffffffff,0xbdb8802f,0xffff5000,0x00000dff,
    0x2ffea880,0x3ffff620,0xffffffff,0x7fff40df,0xffffffff,0x006fffff,
    0x3f6a2000,0x3fffea4f,0xfff987ff,0x34ffffff,0xffffffff,0xffffffff,
    0x7ff41fff,0x47ffffff,0xfffffffd,0xffb1007f,0xbfffffff,0xfeb88005,
    0x2effffff,0xb7000000,0x0003dfff,0x7ffcc000,0x64c03fff,0xffffffff,
    0xfffb03de,0xffffffff,0x00dfffff,0x7fffc000,0xffff55ff,0xfff30fff,
    0x29ffffff,0xfffffff8,0xffffffff,0x7ff47fff,0x47ffffff,0xfffffffd,
    0x5d44007f,0x00009acc,0x15597530,0x20000000,0x000000a8,0xffffd880,
    0x2ea6001e,0xc98009bc,0xffffffff,0x1dffffff,0x3f200000,0x3ae3efff,
    0xb707ffff,0x19dfffff,0x7ffffedc,0xffffffff,0x7ecc2dff,0x42dfffff,
    0xffffffd9,0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x654c4000,
    0x2000009a,0x000000ba,0xeed80010,0xeeeeeeee,0xeeeeeeee,0x3332a26e,
    0x5440accc,0x0acccccc,0x99995100,0x99999999,0xccca8815,0xcccccccc,
    0x4ccccccc,0x66666544,0x009bcccc,0x33332a20,0xcccccccc,0x665440ac,
    0xcccccccc,0x0300009b,0xfffd5000,0x005bffff,0x1ffff5c0,0x88000654,
    0x0cefffec,0x20000240,0xffffff14,0x7fc4ffff,0xffffffff,0x7fffcc00,
    0xffffffff,0x3fe0ffff,0xffffffff,0xffffffff,0x7fffc7ff,0xffffffff,
    0x7c403eff,0xffffffff,0xffffffff,0xffffff10,0xffffffff,0x3f2005ff,
    0xfa8003ef,0xffffffff,0x4001ffff,0xeffffffc,0x003ffd8a,0xffffffa8,
    0x01202fff,0x3fee9000,0xffffffff,0xffffff52,0xc805ffff,0xffffffff,
    0xffffffff,0xffffff32,0xffffffff,0x4fffffff,0xfffffff9,0xffffffff,
    0xfff701ef,0xffffffff,0x25ffffff,0xfffffffa,0xffffffff,0x3ea01eff,
    0x2000ffff,0x09bdfffc,0x7ffffb73,0x2fffe600,0xffffffea,0x7fcc001f,
    0xffffffff,0x0000902f,0xfffff148,0x221fffff,0xffffffff,0x7fcc00ff,
    0xffffffff,0x20ffffff,0xffffffff,0xffffffff,0x7fc7ffff,0xffffffff,
    0xffffffff,0xfffff882,0xffffffff,0xff10ffff,0xffffffff,0xffffffff,
    0x3fff201f,0xffb002ff,0x3faa005f,0x819b004f,0x01effffc,0xfffffe80,
    0x06ffffff,0x24800009,0xccffffb8,0x7ee5440a,0x1000bfff,0xff999997,
    0x81599bff,0xdffffca8,0xcccccccc,0x5447fffc,0xcccdffff,0xffffffdc,
    0xcccb881f,0xccefffec,0x65440acc,0xccccffff,0xfffffedc,0xfffff305,
    0x1bff7001,0x2ffd8800,0x0e5cc000,0xffffa800,0xffff932d,0x90000120,
    0x001ffff0,0x001fffe6,0x01fffe80,0x003fffe0,0x741fffe2,0x32601fff,
    0x2006ffff,0x4003fffc,0x4407fff8,0x902ffffd,0xf3005dff,0xbdb710df,
    0x7ff41517,0x00000000,0xb837ffdc,0x000903ff,0xffff8480,0xffff3000,
    0x7ff40000,0x3ffe001f,0xfff8800f,0x03fffd07,0x07ffff70,0x00ffff20,
    0x00ffff10,0x809ffff1,0x07ff6000,0xfffffff5,0x827fc4bf,0x930aaaa8,
    0x00179ddb,0x203fffd8,0x00012008,0x1ffff090,0x1fffe600,0xfffe8000,
    0x3fffe001,0x7ffc1980,0x03fffd06,0x01bfff60,0x001fffe4,0x401fffe2,
    0x0005fffc,0xfa87ff10,0xfffdbdff,0x3a07fe46,0xfdafffff,0x2fffffff,
    0x0ffff200,0x00004800,0x07fffc24,0x07fff980,0x3fffa000,0x3fffe001,
    0xf91ffe40,0x3fffa09f,0xffff1001,0x7fff9005,0x7fff8800,0x0dfff300,
    0x11ff2000,0xdfd03bff,0x3ea3ffa8,0xffffffff,0xffffffff,0x9fff7004,
    0x00024000,0x3fffe120,0xffff3000,0x7ff40000,0x3ffe001f,0x22fffc0f,
    0x3fffa01a,0x3fffa001,0x3fffc804,0x3fffc400,0x04fffb80,0xb8dfb000,
    0x89f300ff,0x3fe25ff8,0xffffffff,0xffffffff,0x6fff9801,0x00012000,
    0x1ffff090,0x1fffe600,0xfffe8000,0x3fffe001,0x7fffbaab,0x0ffff400,
    0x0bfff900,0x007fff90,0x807fff88,0x002ffff9,0xfc89fd00,0x7f404c06,
    0x7fffe4c6,0xdb9bcfff,0x2605ffff,0xabffffba,0x0012001a,0xffff0900,
    0x3ffe6001,0x3fa00007,0x3fe001ff,0xffffffff,0x7ff4007f,0x3fea001f,
    0xfffc806f,0x7ffc4003,0x7fffdc07,0xff00000f,0x0003fe87,0x3ffa0ff9,
    0xff701fff,0xffff30ff,0xffffffff,0x0009005f,0xffff8480,0xffff3000,
    0x7ff40000,0x3ffe001f,0xffffffff,0x7fff4007,0x3ffe6001,0x3fffc806,
    0x7fffc400,0xffeccccc,0x0003ffff,0x5fd0ffe0,0x41fee000,0x200efffe,
    0x640ffff8,0xffffffff,0x805fffff,0x42400004,0x3000ffff,0x32a0ffff,
    0x3fffa001,0x3fffe001,0x7fffffff,0x0ffff400,0x0dfff300,0x007fff90,
    0xffffff88,0xffffffff,0xffff104f,0x44ff801f,0xfb0004fd,0x07fffa0d,
    0x507fffa0,0xffffffff,0x007fffff,0x84800009,0x3000ffff,0xff50ffff,
    0x7fff400f,0x3fffe001,0x7fffeeee,0x0ffff400,0x0dfff500,0x007fff90,
    0xffffff88,0xffffffff,0x3fffea03,0x646fe802,0xbff0007f,0x007fffa0,
    0x2a07fffa,0xffffeeec,0x09002cee,0xff848000,0xff3000ff,0x3fff90ff,
    0x07fffa00,0x40ffff80,0x20086fff,0x2001fffe,0xc804fffc,0x44003fff,
    0xffffffff,0x400dffff,0x9005fffd,0x03ffa8ff,0x07ff312e,0x2007fffa,
    0xf001fffe,0x90001fff,0xf8480000,0xf3000fff,0xfffb0dff,0x3fffa005,
    0x3fffe001,0x2e2fff40,0xfffe81ef,0x3fff6001,0x3fffc803,0x7fffc400,
    0x01abcccc,0x007fffe0,0x3f21ffc4,0xfea99adf,0xe807fe47,0xfe801fff,
    0xff8801ff,0x048000ff,0x7ec24000,0xff5002ff,0x5fffb0bf,0x03fffe00,
    0x40ffff80,0x4ffe83c8,0x001fffe8,0x2007fffe,0x4003fffc,0x0007fff8,
    0x004fffa8,0x3f60ffec,0x2fffffff,0xfe817fe2,0xffe801ff,0xfff8801f,
    0x00090007,0xfffc8480,0x7fff9004,0x005fffb0,0x800ffff1,0x1000ffff,
    0xffd0dfff,0x3ff6003f,0xffc800ff,0x7fc4003f,0xfc80007f,0xff98006f,
    0xffffda86,0x00ffec1d,0xd003fffd,0xf7003fff,0x12000dff,0xf5090000,
    0xfb803fff,0xffd82fff,0xfffc802f,0x7fffc005,0xffff3000,0x803fffd0,
    0x04ffffe8,0x007fff90,0x007fff88,0x002fff80,0x201bff70,0x07ffb100,
    0x801fffe8,0xe801fffe,0xfb804fff,0x8000091e,0xffffe884,0xffffb883,
    0x7dfffb06,0xffffb101,0x7ffc4009,0x999999af,0x7fffa999,0x99bfffe8,
    0xffeb9999,0x266606ff,0x99cfffd9,0x7ffcc009,0x0009999f,0x00017fe6,
    0x2005fffb,0xf805ffe9,0xff802fff,0x3fa601ff,0x9999bfff,0x4fff9999,
    0x04800009,0xbdfffff3,0xffffffd9,0x3ffff601,0xffecceff,0xc800ffff,
    0xfffffffe,0xffffffff,0x3f27ffff,0xffffffff,0xffffffff,0xffffd80f,
    0xffffffff,0x7fe44fff,0xffffffff,0xffc801ef,0xffc80000,0xb7109bdf,
    0x4c09ffff,0xffffffff,0xfffffc83,0x3ffa60df,0xffffffff,0xffffffff,
    0x48000096,0x3ffffee0,0xffffffff,0x3ffff603,0xffffffff,0xf9801fff,
    0xffffffff,0xffffffff,0xff37ffff,0xffffffff,0xdfffffff,0xfffff503,
    0xffffffff,0x3ea3ffff,0xffffffff,0xd806ffff,0x2a00002f,0xffffffff,
    0x402fffff,0xfffffffd,0x3ffe60ff,0x324fffff,0xffffffff,0xffffffff,
    0x00094fff,0x7fd40480,0xffffffff,0xffda802f,0xffffffff,0xff1001ef,
    0xffffffff,0xffffffff,0x3fe2ffff,0xffffffff,0x0dffffff,0xffffff50,
    0xffffffff,0x3fe63fff,0xffffffff,0x18805fff,0xeb880000,0xefffffff,
    0xffffb002,0x4c1fffff,0xffffffff,0x3fffff24,0xffffffff,0x91efffff,
    0x80480000,0xffffffd8,0x64c000df,0xdfffffff,0xffdb8003,0xffffffff,
    0xffffffff,0x3fff6e7f,0xefffffff,0xfeb800bd,0xffffffff,0x5c3dffff,
    0xfffffffe,0x0001dfff,0x75300000,0x98001559,0xdffffffc,0xffffdb82,
    0x3fb220ce,0xffffffff,0x0cefffff,0x33333336,0xcccccccc,0x006ccccc,
    0x000d654c,0x01bba880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04000000,0x66654400,0x9bcccccc,0x32e60000,0x3ccccccc,
    0x99951000,0x99999999,0x5cc00137,0x5401bccc,0x001bcccc,0x99999995,
    0x99999999,0xca889999,0x00accccc,0x99999951,0x99997305,0x99999999,
    0x39999999,0x666665c4,0x001bcccc,0x333332e6,0x6664c01b,0x4c00bccc,
    0x2cbdfffd,0x7fffffc0,0xffffffff,0x7fe4003e,0xffffffff,0xfff8000f,
    0xffffffff,0x01efffff,0x7fffffec,0xffffd05f,0xfe809fff,0xffffffff,
    0xffffffff,0x7fffc7ff,0x41ffffff,0xfffffff9,0x3ffee6ff,0xffffffff,
    0xffffffff,0xffff12ff,0xffffffff,0xfff7009f,0x0bffffff,0x3ffffffa,
    0xff702fff,0x5fffffff,0x3ffffe60,0xffffffff,0xf001efff,0xffffffff,
    0xa8007fff,0xffffffff,0xffffffff,0x3ffe04ff,0x40ffffff,0xfffffff9,
    0x3ffe607f,0xffffffff,0xffffffff,0x3fffea7f,0x43ffffff,0xfffffffc,
    0xfffd1fff,0xffffffff,0xffffffff,0x3ffee5ff,0xffffffff,0xffe806ff,
    0xffffffff,0x7ffffc40,0xa85fffff,0xffffffff,0x3ffe04ff,0xffffffff,
    0x3fffffff,0xfffffc80,0x07ffffff,0x7ffffc40,0xffffffff,0x03ffffff,
    0xfffffffb,0x3ffffe0d,0x7f405fff,0xffffffff,0xffffffff,0x3ffe27ff,
    0x1fffffff,0x7fffffcc,0x3ff27fff,0xffffffff,0xffffffff,0xfff12fff,
    0xffffffff,0xff5009ff,0xbfffffff,0x3fffffa0,0x7c41ffff,0xffffffff,
    0x3ea201ff,0xccccdfff,0xfffffffd,0xeccb9801,0x2fffffff,0x7fe54400,
    0xccccccff,0x1fffffed,0xdffffb30,0x7ffff440,0xfca8801c,0xdfffdbff,
    0xfffccccc,0x77ffec47,0x97100bcc,0x81bfffd9,0xcefffeb9,0xcccccccc,
    0x222ffffc,0xccffffca,0x2a001bcc,0x2ceffffb,0x3ffb2a20,0xffb82bff,
    0xdfe98bff,0x5fffb000,0x7fffe4c0,0xfffe8006,0x0005ffff,0x3003fffe,
    0xe809ffff,0xf300ffff,0x3000bfff,0xfffb3fff,0x0ffff105,0x000bfff5,
    0xc80bfffa,0x36004fff,0xff882fff,0x999999ff,0x3ff60009,0x7ff4006f,
    0x3fff204f,0x7ec00184,0xffb802ff,0x3e6003ff,0xffffbfff,0xffff0000,
    0xbfff9001,0x6ffff980,0x01ffffd0,0x36fff700,0xff882fff,0x6fff987f,
    0xf81aaa98,0x3f201fff,0x3f6004ff,0xfff882ff,0xffffffff,0x7cc01dff,
    0xf5001fff,0x7ec01fff,0xd80003ff,0xfb002fff,0x7ec00fff,0x7fffd6ff,
    0x3fffe000,0x7fff9800,0x3ffffb80,0x017fffe4,0xfb5ffd80,0xfff105ff,
    0x0ffff10d,0xf88fffff,0x3f200fff,0xc82884ff,0xff880fff,0xffffffff,
    0x404fffff,0xb004fffe,0xfc80bfff,0xd80006ff,0xf1002fff,0xf1005fff,
    0x3fee5fff,0xfff0007f,0xfffb001f,0x3fffa00b,0xbffff31f,0x3ffe2000,
    0x2a5fffb2,0x209ffd1c,0x3ea0ffff,0x3e21ffff,0x7fe407ff,0x237fcc4f,
    0xff106ffa,0xffffffff,0x0dffffff,0x007fffdc,0x00bfffe2,0x007ffff3,
    0x02fffd80,0x013fff60,0xf89fffee,0xf8002fff,0x7dc00fff,0xf1004fff,
    0xffd1dfff,0x2a0001ff,0xfffb0fff,0x3eafff55,0x3ffff01e,0x27ffffe4,
    0xc80dfff3,0x7fe44fff,0x88054c0f,0x9999ffff,0xffffca99,0x3fffe02f,
    0x37ffe403,0x0ffffd80,0x7fdd4400,0x0aaccdff,0x00bfff70,0xfd89fffd,
    0xff8005ff,0xbaaaabff,0x0ffffffc,0x3fffee00,0x002ffffe,0xfd9bff60,
    0x1fffdcff,0x45fffd00,0x27ffffff,0x6405fffa,0xeaaadfff,0x44002fff,
    0xf8807fff,0x3f205fff,0x7ffc06ff,0xfffb003f,0x7fcc00df,0xffffffff,
    0xffa80fff,0x7ffcc06f,0x7fffcc1f,0x7fffc000,0xffffffff,0x8002ffff,
    0xfffffffd,0x7ffc0005,0x3fffff63,0xfb003fff,0x3ffea7ff,0xff71ffff,
    0xfffc809f,0xffffffff,0x7ffc4002,0xdfffb007,0x17fffc40,0x00ffffa8,
    0xffffffc8,0xc8f3ba63,0xffffffff,0x982fffff,0x7ec07fff,0xfffd05ff,
    0xffff8009,0xffffffff,0x8001ffff,0xfffffff8,0x3fe60000,0x3ffff61f,
    0x9003ffff,0x3ff29fff,0xf94fffff,0xffc807ff,0xffffffff,0x7fc4002f,
    0xfff3007f,0x5fffd80d,0x00bfffd0,0xfffffff9,0x3ffff23f,0xffffff31,
    0x1fffffff,0x40ffff30,0x702ffff8,0xf800ffff,0xffffffff,0xffffffff,
    0xfffb8001,0x640002ff,0x7ffec7ff,0x002fffff,0x3febfff7,0xb7fffdff,
    0xfc805fff,0xffffffff,0x7c4002ff,0xff5007ff,0xfffa809f,0x7fffcc0f,
    0x7fffdc01,0xfd6fffff,0x65d49fff,0xcccdffff,0xdfff301c,0x77fffdc0,
    0xffeeeeee,0x3fe002ff,0xeeeeeeff,0xfffffffe,0xfffd8002,0xffe80005,
    0xffffeeef,0x002ffffe,0xff5dfff5,0x3ffff1ff,0xc803fffd,0xfeeeffff,
    0x44002fff,0xfb007fff,0xfff005ff,0x6fffc89f,0x8efffd80,0xffdffffa,
    0xffb01fff,0x7fdc005f,0x3fffa05f,0xffffffff,0x2005ffff,0x4c00ffff,
    0x007ffffd,0x003fffc8,0x7ffffc40,0xbaffffff,0xf3000fff,0xbfffbfff,
    0x3ff3fff6,0x7fe401ff,0x0fffe44f,0x1fffe200,0x3ffffb30,0x4ffff700,
    0x803ffff8,0x3f60ffff,0x0effffff,0x00bfff60,0x303fffd8,0xffffffff,
    0xffffffff,0x3ffe001f,0xfff7000f,0xffc8003f,0x7dc0003f,0xffffffff,
    0x04fd8aff,0x3ffffe20,0xfff52fff,0x801fffff,0x7dc4fffc,0xff88007f,
    0xeeeeeeff,0x06ffffff,0x25ffff10,0x400ffffb,0x7c46fff9,0x03ffffff,
    0x0017ffec,0x3605ffff,0xffffffff,0xffffffff,0xffff004f,0x7ffe4001,
    0x7ffe4003,0x7fec0003,0xffecccce,0x0336a02f,0x7ffffffc,0xfffff10f,
    0xff900fff,0x005b509f,0xffffff10,0xffffffff,0x7ec001df,0x9fffd6ff,
    0x0dfff500,0x1ffffff5,0x02fffd80,0x01ffffb0,0x559ffff1,0x95555555,
    0x3e00ffff,0x2e000fff,0x64005fff,0x20003fff,0xfd83fff8,0x3ffe02ff,
    0xfffffd03,0xffffd8bf,0xffc806ff,0x4400004f,0xffffffff,0x03ffffff,
    0xbffff980,0x8801ffff,0xfd83ffff,0xfd806fff,0xffd802ff,0xfff704ff,
    0xffff800f,0x0ffff802,0x13fffa00,0x07fff900,0x07ffd400,0x9817ffec,
    0xffb05fff,0xfa85ffff,0x805fffff,0x0004fffc,0x67fffc40,0x0acccccc,
    0x7fff4000,0x2005ffff,0xcdfffffe,0xfffffffe,0x2ffffa06,0xeb999999,
    0x3a06ffff,0x1000dfff,0x980bfffb,0x9999ffff,0xfdb99999,0x98802fff,
    0x99cfffd9,0x3ffec000,0x4dfffec4,0xfffb9999,0xfffff906,0xffff881f,
    0x7e4404ff,0x01999dff,0x7fffcc00,0x00009999,0x7ffffdc0,0x3ea002ff,
    0xffffffff,0x3fffffff,0x7fffffe4,0xffffffff,0x6cc1ffff,0xefffffff,
    0xffffd702,0x7e41dfff,0xffffffff,0xffffffff,0x2a00ffff,0xfffffffe,
    0x202effff,0xffffffe8,0xffffffad,0xffffffff,0xfff706ff,0x3ff60bff,
    0xfb303fff,0xffffffff,0xfc800bff,0xffffffff,0x00001eff,0xfffffff1,
    0xffff9000,0xffffffff,0x7fcc7fff,0xffffffff,0xffffffff,0xfffffd81,
    0xf887ffff,0xffffffff,0xfffff34f,0xffffffff,0xffffffff,0xfffff803,
    0xffffffff,0x3fff206f,0xffffffff,0xffffffff,0x06ffffff,0x07fffff5,
    0x0bffffea,0x7fffffec,0x3fffffff,0xfffff500,0xffffffff,0x7e40000d,
    0x0003ffff,0xffffffd3,0x19dffd9f,0x7fffffc4,0xffffffff,0xffb00dff,
    0xffffffff,0x3fffffe0,0xff34ffff,0xffffffff,0xffffffff,0xffd003bf,
    0xffffffff,0x7dc0dfff,0xffffffff,0xffffffff,0xffffffff,0xfffff306,
    0x3fffe201,0xffffb01f,0xffffffff,0x3fe6005f,0xffffffff,0x00005fff,
    0x03ffffe6,0x79753000,0x7edc0015,0xffffffff,0x4401bdef,0xffffffec,
    0xfffb502d,0x5c19dfff,0xfffffffd,0xdeffffff,0x3f6a002c,0xffffffff,
    0x76c01dff,0xe9beffff,0xffffffff,0x6fffffff,0x0dffff10,0x00ffffd8,
    0xffffff93,0x007dffff,0xfffffeb8,0x01dfffff,0x7ffec000,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33332000,0xcccccccc,0xca84cccc,0x2201cccc,0xacccccca,
    0xbcccb980,0x66664c01,0x66664c1b,0xcccccccc,0xcccccccc,0x3332a20c,
    0xbccccccc,0x9730001a,0xb9803999,0x2600bccc,0x40accccb,0x2ccccca8,
    0x99999510,0xccccc800,0x6665440a,0x440acccc,0x01bcccca,0x99999951,
    0x20037999,0xfffffff8,0xffffffff,0x3fffa0ff,0x3fe06fff,0xffffffff,
    0x3fffff60,0xfffd05ff,0x7d49ffff,0xffffffff,0xffffffff,0x3fe0ffff,
    0xffffffff,0x03ffffff,0x3fffff20,0xfffb06ff,0xfd09ffff,0x1fffffff,
    0x7ffffffc,0xfffff86f,0xff5002ff,0x7c1fffff,0xffffffff,0x3fffe67f,
    0x7cc5ffff,0xffffffff,0x8803ffff,0xffffffff,0xffffffff,0xfffff30f,
    0xff307fff,0xffffffff,0x7fffffc7,0x7fcc0fff,0x27ffffff,0xfffffffa,
    0xffffffff,0x30ffffff,0xffffffff,0xffffffff,0xfff005ff,0x83ffffff,
    0xfffffff8,0x7fffc47f,0xf53fffff,0xffffffff,0x7ffffcc3,0xffb006ff,
    0x2a5fffff,0xffffffff,0xfff71fff,0xb8ffffff,0xffffffff,0x806fffff,
    0xfffffff8,0xffffffff,0x3fffa0ff,0xf81fffff,0xffffffff,0x3ffff60f,
    0xffd06fff,0x549fffff,0xffffffff,0xffffffff,0x3e0fffff,0xffffffff,
    0xffffffff,0x7fec01ff,0xf07fffff,0xbfffffff,0xffffffd0,0x7fffc1ff,
    0xff87ffff,0x01ffffff,0x7fffffcc,0xffff10ff,0x4fffffff,0xfffffffa,
    0x7fffcc5f,0xffffffff,0xfff8803f,0xcccccccf,0x447ffffd,0xffffffca,
    0xffcca886,0xfea80bff,0xf100efff,0xa85bffff,0xccccffff,0xcccdfffe,
    0x220ffffc,0xccffffca,0xfffecccc,0x2a200eff,0x00effffd,0x5bffffd1,
    0x3fffea01,0x7e5440ac,0xc880bfff,0x05ffffff,0x7fffffe4,0x7fe5440c,
    0x6c0accff,0x01dfffff,0xfffb9971,0x2003799d,0x2207fff8,0x201ffffe,
    0x3ffffffe,0x01fffe20,0x05ffffd1,0x03bfffee,0x361bffea,0xfff83fff,
    0x1ffff00f,0x7fffe440,0xffffb003,0x3fffe203,0x1ffff006,0x01ffff00,
    0x7fffffcc,0xffff101f,0xff803fff,0xfffb00ff,0xfb8007ff,0xf10005ff,
    0x7fec0fff,0x7ff403ff,0x100fffff,0xf300ffff,0xf983ffff,0xf500ffff,
    0xfffb0dff,0x01ffff07,0x2003fffe,0x1005fffe,0x360dffff,0xf000ffff,
    0xff001fff,0x7fcc01ff,0x704fffff,0x3fffffff,0x40ffff80,0x2fffffe8,
    0x5fffb800,0x1fffe000,0x02ffffdc,0x7ffffff4,0xffff105f,0x3fffea00,
    0xfffff10f,0x37ffd403,0x7c1fffec,0xfff00fff,0xfff5001f,0x7ffdc00d,
    0x7fffdc4f,0x3fffe003,0x0ffff800,0x3ffffe60,0xfff80fff,0x401fffff,
    0x3a60ffff,0x001fffff,0x00bfff70,0x4c37ff40,0x800effff,0xfffefffe,
    0x7fff882f,0x3fffee00,0x3ffffe8e,0x42fffcc0,0xff83fffd,0xffff00ff,
    0xdfff7001,0xffffd800,0x0bffff31,0x00ffff80,0x200ffff8,0xfffffff9,
    0x7fffd43f,0x7c01ffff,0xfff30fff,0x40001dff,0x0005fffb,0xff10ffee,
    0x3a003fff,0xfffe9fff,0x3fffc40f,0x3ffff200,0x804fffff,0xfd83fff8,
    0x6ffd83ff,0x003fffe0,0x007fffd3,0x8effff88,0x000ffffe,0x4007fffc,
    0x2600ffff,0xfffcffff,0x76ffff47,0x7fc01fff,0xffffa8ff,0x5c0000ef,
    0x40005fff,0xffffe808,0x3fffa002,0x44ffffa9,0x8007fff8,0xfffffffd,
    0x07ff6005,0x2a0ffff6,0x3ffe03ff,0xfff9100f,0xf70001ff,0xffffdfff,
    0xffff0007,0x55555557,0x401ffff5,0xff8ffff9,0xffff33ff,0x803fffd3,
    0xfffcffff,0x700005ff,0x0000bfff,0x09ffff90,0xb1fffe80,0x7c43ffff,
    0xe88007ff,0x00efffff,0xfffb0040,0xff002207,0xdb9999ff,0x0bffffff,
    0x7fffec00,0xf0005fff,0xffffffff,0xffffffff,0xbfffcc01,0xffb6fffd,
    0x07fffabf,0xfffffff0,0x00007fff,0x0017ffee,0xdffff500,0x3fffd000,
    0x89bfffe2,0x50007fff,0x005fffff,0x3fffd800,0x3fffe000,0xffffffff,
    0x40004fff,0xfffffff8,0xffff0000,0xffffffff,0x401fffff,0xff37fff9,
    0x5ffff7ff,0xf007fffa,0xffffffff,0x700007ff,0x0000bfff,0x07ffffcc,
    0x0ffff400,0x227ffff7,0x88007fff,0x0effffff,0x3ff60000,0x3fe0003f,
    0xffffffff,0x0002ffff,0xffffddd7,0x07dddfff,0x7fffffc0,0xffffffff,
    0x3e600fff,0x3fff67ff,0x3fa6ffff,0x7ffc01ff,0xffffffff,0x7dc0004f,
    0x100005ff,0x005ffffd,0xb07fffa0,0xff11ffff,0xffd000ff,0x00dfffff,
    0x1fffec00,0xfffff000,0xffffffff,0x775c000b,0xeeffffee,0x3e003eee,
    0xeeeeefff,0xffffeeee,0x9fffe600,0xfffffffa,0x007fffa3,0x93ffffff,
    0x009fffff,0x02fffdc0,0xffb03d98,0x37aa07ff,0x83fffd00,0xf8dffff8,
    0x7ec007ff,0xffffffff,0xffb00004,0x7fc0007f,0xfdccccff,0x0004ffff,
    0x013fff20,0x01ffff00,0x401ffff0,0x7f47fff9,0x7f47ffff,0x7ffc01ff,
    0x3ffa60ef,0xf70002ff,0x3fe00bff,0x7fffdc2f,0x413ffa05,0xfb81fffe,
    0x7fffcfff,0x3fffee00,0x3ffffd8e,0xfffd8000,0x3ffe0003,0xffffb80f,
    0xf900003f,0xf80009ff,0xff800fff,0x3fe600ff,0x7fffdc7f,0x0ffff44f,
    0x203fffe0,0x006ffff8,0x00bfff70,0x7ccbfff3,0xf100efff,0x3ffa0dff,
    0xffffd01f,0x2a00ffff,0xd10fffff,0x0005ffff,0x003fffd8,0x403fffe0,
    0x03fffff9,0x6d555440,0xaaaadfff,0x3fffe000,0x0ffff800,0x21fffe60,
    0x740fffff,0x7fc01fff,0xfff500ff,0xff70005f,0xfff500bf,0x3ffffe2d,
    0x1fffe601,0x980ffff4,0x7fffffff,0xfffff880,0x7ffffcc1,0x3ff60000,
    0x3fe0003f,0x3fe600ff,0x36001fff,0xffffffff,0x005fffff,0x2003fffe,
    0x2600ffff,0xffb87fff,0x1fffe85f,0x007fffc0,0x000dfffb,0x500bfff7,
    0x3ffadfff,0x7fcc03ff,0x3fffd07f,0x7ffffe40,0x7ff4407f,0xfff503ff,
    0x360001df,0x20003fff,0x5400ffff,0x2006ffff,0xffc99998,0x009999cf,
    0x003fffe0,0x9803fffe,0x33307fff,0x03fffd01,0x200ffff8,0x003ffff8,
    0x402fffdc,0xffcefffa,0x99999dff,0x7fffa999,0x035fffd0,0x3fffffe2,
    0x7fffec07,0x7fffe404,0x36662005,0x0099cfff,0x2bfffe20,0x7fffe400,
    0xfc988004,0x80009cff,0x401ffff8,0x201ffff8,0x009ffff9,0x5fffd310,
    0x4ffffcc0,0x3ffff200,0x7dccc009,0x99999dff,0xefffb999,0xffffffff,
    0xffffffff,0x7ffe47ff,0xa84fffff,0xb07fffff,0xbfffffff,0xffffd881,
    0x3ae05fff,0xffffffff,0x3201efff,0xfffffffe,0x3fff604f,0x75c00eff,
    0xffffffff,0xff9803ef,0x44ffffff,0xffffffec,0x3fff622f,0x503effff,
    0xfffffffd,0x7fffe43b,0x884effff,0x2effffff,0x7fffffec,0xffffffff,
    0xfeffffff,0xffffffff,0xffffffff,0x3fffe67f,0x82ffffff,0xa87ffffd,
    0xffffffff,0x7fffdc3f,0x882fffff,0xffffffff,0x06ffffff,0xfffffff3,
    0x2203ffff,0x03ffffff,0x3fffffe2,0x0fffffff,0x7fffff40,0xff32ffff,
    0xdfffffff,0x7fffffe4,0xff80ffff,0xffffffff,0xffffff35,0x903fffff,
    0x4dffffff,0xfffffffb,0xffffffff,0xfeffffff,0xffffffff,0xffffffff,
    0x3fffe67f,0x81ffffff,0x987ffff8,0xffffffff,0x7fffd42f,0xf02fffff,
    0xffffffff,0x20bfffff,0xfffffff8,0x2a01ffff,0x203fffff,0xfffffff8,
    0x00ffffff,0x7ffffff4,0xfff11fff,0x4fffffff,0xfffffffb,0xfffd07ff,
    0x29ffffff,0xfffffff9,0xf880ffff,0x2a6fffff,0xffffffff,0xffffffff,
    0xffefffff,0xffffffff,0xffffffff,0x7fffedc7,0x3ee03eff,0xffd707ff,
    0x3209dfff,0x3efffffe,0x3ffff6a0,0xdfffffff,0x3fff6e01,0x803dffff,
    0x400ceffd,0xffffffda,0x9802dfff,0xeffffffd,0x7fffedc3,0x3b222dff,
    0x2dffffff,0xfffffb30,0x7edc19df,0x3dffffff,0x37ffff20,0x7ffff5c1,
    0xffffffff,0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000b880,0x0dc40000,
    0x00054400,0x15400000,0x000001a8,0x2000ee44,0x65cc03d9,0xec982cee,
    0xaa8801bd,0x55100aaa,0x80015555,0x0bdeedb8,0x76dd4000,0x00009bce,
    0x0fff8800,0x30000000,0x44005fff,0x00000fff,0xbfff5000,0x002effe8,
    0x3fffb000,0xf50d654c,0xfff709ff,0x21dfffff,0x2ffffffb,0x3fffffa0,
    0xffffc81f,0xd8801fff,0xffffffff,0x754000df,0xffffffff,0x4000003f,
    0x0002fffb,0x3bfb7260,0xffff30bd,0x7ffd400b,0x40000003,0x0fffffe9,
    0x3dfffff3,0xfff80000,0xffffecff,0x6ffffcef,0x7fffffc4,0xffdfffff,
    0x83ffffff,0xfffffff9,0xffffff81,0x7fdc01ff,0xffffffff,0xd8802fff,
    0xffffffff,0x002effff,0x7fff9000,0xffd50000,0xbfffffff,0x007fffff,
    0x000fffc4,0xffd98000,0x7fc6ffff,0x00dfffff,0xffff7000,0xffffffff,
    0x987fffff,0xffffffff,0xffffffff,0x442fffff,0x1fffffff,0xffffffe8,
    0x3ffee01f,0xffffffff,0x2203ffff,0xfffffffe,0xffffffff,0xfc800001,
    0x220003ff,0xfffffffc,0xffffffff,0x1c98005f,0xc8800000,0xdfffffff,
    0x7fffec40,0x0000cfff,0xffffffd8,0xffffffff,0x9dffb04f,0xfffffb35,
    0xffff95ff,0xfffb730d,0xfdb7103f,0x3e603fff,0x9aceffff,0xfffffeca,
    0xfffffb01,0xffb7359d,0x0000dfff,0x007fff90,0x7fffff40,0xffffffff,
    0x00005fff,0x7dc00000,0x1effffff,0x7ffff540,0x80003fff,0xdffffffe,
    0x05ffffff,0xffffd004,0x7fffd41f,0x07fffa02,0x407fffa0,0x403fffff,
    0xb87ffffc,0x400fffff,0x003ffffe,0x1fffe400,0xffffc800,0xfca9abdf,
    0x003fffff,0x50000000,0xfffffffd,0xfffb8005,0x002effff,0x8bbfffa0,
    0x05ffffb8,0x3ffff200,0x06fffe83,0x2007fffa,0xf981fffe,0xf5002fff,
    0xfff83fff,0xfe8801ff,0x00000fff,0x000ffff2,0x0bbfffea,0x3fffffa2,
    0x000000ff,0x3ffa6000,0x003fffff,0x3ffff220,0x4001efff,0x702ffff8,
    0xa880ffff,0xfffeffdc,0xb99999ff,0xfd00ffff,0xffd003ff,0xbfff703f,
    0x3fffd800,0x26ffffe2,0x99999999,0x02ffff99,0x3fff2000,0xfffe8003,
    0xfffe880f,0x004fffff,0xd8800000,0xcfffffff,0xf9100000,0x1bffffff,
    0x1fffea00,0x01ffff88,0xfffffff7,0xffffffff,0x3fffffff,0x007fffa0,
    0x3607fffa,0x4c001fff,0x3fea5fff,0xffffffff,0xffffffff,0x200004ff,
    0x4003fffc,0x882ffff9,0xfceffffe,0x000007ff,0x3fff2200,0x001dffff,
    0xfffb3000,0x8019ffff,0x6c04fffc,0x7f4c3fff,0xffffffff,0xffffffff,
    0x02ffffff,0xd003fffd,0xff883fff,0xfff0007f,0x7ffffe4f,0xffffffff,
    0x5fffffff,0x3bbb2600,0xeffffeee,0x1ceeeeee,0xe837ffd4,0xf98effff,
    0x3baa0fff,0xeeeeeeee,0xeeeeeeee,0xffff701d,0x0003dfff,0x3ffaa000,
    0x203fffff,0x7406fffb,0x3fe22fff,0xffffffff,0xffffffff,0x2fffffff,
    0x003fffd0,0xf883fffd,0xff0007ff,0x3fff21ff,0xffffffff,0xffffffff,
    0xfff1006f,0xffffffff,0xffffffff,0x4fffc8df,0x0effffd8,0x7c4bfffa,
    0xffffffff,0xffffffff,0x7f547fff,0x02efffff,0xf7000000,0x5dffffff,
    0x03ffff30,0xb83fffea,0x9aceffff,0xfffffda9,0xffffffff,0x3fffd02f,
    0x03fffd00,0x8003fffd,0x3ea6fff9,0xffffffff,0xffffffff,0xf3006fff,
    0xffffffff,0xffffffff,0x7e41ffff,0x7ffec4ff,0x7fff40ef,0xffffff32,
    0xffffffff,0x1fffffff,0x3fffff62,0x00000cff,0xfffb1000,0xf01bffff,
    0xd881bfff,0x7fec6fff,0xfff900ef,0xfe80001f,0xffe801ff,0x5fffc81f,
    0x27ffec00,0x005ffff1,0x7fe40000,0xffffffff,0xffffffff,0x7fffd44f,
    0x1dffffb0,0x6c7fff88,0xffffffff,0xffffffff,0xfe984fff,0x03ffffff,
    0x7dc00000,0x1effffff,0x3fffff60,0xfffffdac,0x027ffe44,0x007ffffb,
    0x02fffe80,0x40ffffdc,0x003ffff9,0xf83ffff9,0x0001ffff,0x4cccc000,
    0x9cfffd99,0xf1019999,0xfffb7fff,0xfff901ff,0x3333330b,0x33333333,
    0xa8013333,0xefffffff,0x54000002,0xefffffff,0x7fffd402,0xffffffff,
    0x3fea1fff,0x7ff441ff,0x5c40ffff,0x3ff603ed,0xffff705f,0x3ffe03ff,
    0xfb100dff,0xff50ffff,0x53005fff,0x000019d9,0x001fffe4,0x7ffffff4,
    0xffb81fff,0x000003ff,0xffffb800,0x0001efff,0x7ffff540,0xf9803fff,
    0xffffffff,0xffffffff,0x3bffffe1,0xffffffdc,0xffeccfff,0xff700fff,
    0xffd99dff,0xbfffffff,0xfffffa83,0xffecccef,0xf902ffff,0x79bfffff,
    0xfffffd99,0x6400009f,0x98003fff,0xffffffff,0x7fffec41,0x0000000f,
    0xffff9100,0x0001bfff,0xfffffd98,0xfd000cff,0xffffffff,0xffffdfff,
    0x7ffffd4d,0xffffffff,0xffffffff,0xff101fff,0xffffffff,0xffffffff,
    0xfffff709,0xffffffff,0xffe807ff,0xffffffff,0x5fffffff,0x3ff20000,
    0xff90003f,0xb99dffff,0x5ffffffd,0x00000000,0xfffffb30,0x880019ff,
    0xfffffffc,0x7ff4000d,0x9bdb934f,0x51bfff63,0xffffffff,0xffffffff,
    0x0bffffff,0xffffff98,0xffffffff,0xff504fff,0xffffffff,0x32003dff,
    0xffffffff,0xffffffff,0x3f200001,0xf90003ff,0xffffffff,0x9fffffff,
    0x00000000,0xffffe980,0xf7003fff,0x3dffffff,0x0ffea000,0x503ff900,
    0x7ffffffd,0xfffd79f9,0x20039fff,0xffffffe9,0xefffe9cf,0x3f6e200c,
    0xbdffffff,0x7fec4000,0xffffffff,0x800002df,0x8003fffc,0xfffffffc,
    0xffffffff,0x0180002e,0xff500000,0x05dfffff,0x3fffffea,0x100002ef,
    0x22002000,0x5cc02bca,0x220001bc,0x0001acca,0x00bcb980,0x99531000,
    0x00013559,0x3fffc800,0x7fffdc00,0xfffffdcf,0x0000bdef,0x0000ffe8,
    0xffff7000,0xffd89fff,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fee0000,0x7ffc003f,0x565cc1ff,0x7d400000,0x000003ff,
    0x3ffff220,0xffff30ff,0x000019ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fff9800,0x17fff400,0x4c000000,0x00001fff,0xfffd9800,
    0x06ffffc6,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0xdb30009d,0x00000003,0x000016d4,0x07766000,0x000039b5,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x76dd4400,
    0x0060bdee,0x7776dcc4,0x30000bce,0x37bdfd99,0x5554c066,0xb87bdb32,
    0x5401deed,0xaaaaaaaa,0xaaaaaaaa,0x55555540,0x5555100a,0x10001555,
    0x2aaa2000,0x555100aa,0x55440155,0x51000aaa,0x54c05555,0x5cc1aaaa,
    0x4400bded,0xf70005ca,0xffffffff,0x4c0dfdbf,0xfffffffd,0x000cffff,
    0xffffffd3,0x47ffffff,0xcffffff8,0xeadfffff,0x04ffffff,0x3ffffffe,
    0xffffffff,0xffff70ff,0xc87fffff,0xffffffff,0xbfd1003f,0xffffd800,
    0x7fe43fff,0xb84fffff,0x5fffffff,0x7fffff40,0x3ffe62ff,0xfb14ffff,
    0x85ffffff,0x06ffffda,0x7ffff440,0xffffffff,0xfff01fff,0xffffffff,
    0xf900bfff,0xffffffff,0x64dfffff,0xffffffff,0xffffffff,0x02ffffff,
    0xffffffff,0xffffffff,0x3ffffa1f,0x227fffff,0xffffffff,0xff5007ff,
    0x3fe6003f,0x47ffffff,0xffffffff,0x7ffffc0f,0xf501ffff,0xdfffffff,
    0x7fffffec,0xfffffacf,0x3e0fffff,0x006fffff,0x3fffffe2,0xffffffff,
    0xfff03fff,0xffffffff,0x5409ffff,0xffffffff,0x7fffffff,0x3fffffea,
    0xffffffff,0xffffffff,0xffffff07,0xffffffff,0x3ff21fff,0x4fffffff,
    0x7fffffec,0xf9005fff,0x7fc007ff,0x44ffffff,0xfffffffd,0xfffffd86,
    0x3fe207ff,0x24ffffff,0xfffffffb,0xffffffff,0x36a4ffff,0x2006ffab,
    0xbcfffffd,0xffffeca9,0xfff703ff,0xd733579d,0x7f40ffff,0xa9acefff,
    0x47ffffeb,0xefffffda,0xfffffeab,0x0ffffbad,0xeeeffff8,0xfffffeee,
    0x3fb6e24f,0x440cdfff,0xdeffffdc,0xfff9000b,0x7fe4c007,0x7cc0ffff,
    0x80cfffff,0xbeffffb8,0x26155511,0x0bffffec,0x7fff7654,0xacffffff,
    0x3e02fffd,0xfff7006f,0xffc801bf,0x002203ff,0x403fffe6,0x4c01ffff,
    0xff886fff,0x3fee0eff,0x7fff44ff,0x80fffe82,0x04fffff9,0x00bfffe6,
    0x803ffff5,0x83fffc80,0x7fffd400,0xffff30ef,0xff9003ff,0x4fffd89f,
    0x4027ffe4,0xfffffffc,0x20164c0c,0xfff006ff,0x7ff400df,0xfd00002f,
    0x3ffe05ff,0x77d400df,0x0ffff882,0x6c37ffd4,0xffc82fff,0xfffff985,
    0x6fffd804,0x02ffff40,0x3239dfb1,0xff953fff,0xfffe9809,0xfffffbff,
    0xfff5000e,0x3ffffc4d,0x200bfffa,0x2ffffffc,0x037fc000,0x007fffc4,
    0x001fff50,0xdffffd97,0x205ffffd,0xdffffffd,0xf10009ac,0xfff50fff,
    0x05fffb0b,0xff983bb1,0xf3004fff,0x3ea03fff,0x3ee01fff,0xffffffff,
    0xffffffef,0x7fff4401,0x0dffffff,0x3fffe200,0x5fffff70,0x003fffe2,
    0x03bffff2,0x01bfe000,0x0017ffea,0xfd500b6e,0xffffffff,0x2605ffff,
    0xffffffff,0x4403efff,0xffa87fff,0x2fffd85f,0x3fffe600,0x7ff4004f,
    0xbfffd05f,0xfffffa80,0xffffffff,0xb001ffff,0x9fffffff,0x3fffa000,
    0xbfffffd2,0x401bffea,0x0005fffc,0x2e01bfe0,0x00004fff,0xffffffb0,
    0xffffffff,0x7ff5405f,0xffffffff,0xfff101ef,0x0bfff50f,0x2005fffb,
    0x04fffff9,0x1ffffa80,0x00ffffd4,0x7fffffe4,0xffffffff,0x3fe2003f,
    0x0006ffff,0x3e73fff2,0xc8ffffff,0xf9004fff,0x400009ff,0xffc806ff,
    0xd800003f,0xffffffff,0xffffffff,0xfffda802,0xffffffff,0x87fff883,
    0xfd85fffa,0xff9802ff,0x20004fff,0x7f45fffe,0x2e2006ff,0xfffffffd,
    0x2000adff,0xffffffe8,0xff50005f,0xfffff9df,0x5fffd7ff,0x13fff200,
    0x06ff8000,0x005fffa8,0x7fffdc00,0xa9989adf,0x002ffffb,0x7ff65d44,
    0x7c40ffff,0xfffa87ff,0x02fffd85,0x27ffffd4,0x3ffea000,0x5ffff31f,
    0x3ffe6000,0x8000ffff,0xffffffe8,0x4000efff,0xfffffff8,0xffffffef,
    0xff9000ff,0x9980009f,0x0199fff9,0x000dfff3,0x1ffffd80,0x82fffe80,
    0xf5002ed8,0xff887fff,0x5fffa87f,0x202fffd8,0x04fffffa,0x3fa00151,
    0xdfffb5ff,0x7fff4000,0x4004ffff,0xaefffff9,0x01efffff,0x7fffff40,
    0xfffff8ff,0x3f2007ff,0x3a0004ff,0xffffffff,0x9ffff06f,0xf85b5000,
    0xfa802fff,0xffc82fff,0xfff7000f,0x87fff88d,0xfd85fffa,0xfff502ff,
    0x7ffc09ff,0xffffa800,0x002ffffb,0xffffff90,0x2a005fff,0x10dfffff,
    0x05fffffd,0x7ffffe40,0xfffff94f,0x7fe400bf,0x3f60004f,0xffffffff,
    0xbffffb04,0xfffd3003,0x0ffffe23,0xfffffea8,0x2ffffe83,0x2ffff4c0,
    0x2a1fffe2,0xffd85fff,0xffffa83f,0x999999df,0xd002fffb,0xdfffffff,
    0x3ffe6000,0xfffff8ef,0x7fffdc00,0xfffe885f,0xff5003ff,0x3e63ffff,
    0x803fffff,0x9cfffc99,0x00009999,0xfffe8800,0xccbcdeff,0x3ffffffe,
    0x37fffffa,0xfffffecb,0xf0dfffff,0x9bdfffff,0xffffd997,0x3fff627f,
    0x3fea5fff,0x3ff63fff,0xfff31eff,0xffffffff,0x09ffffff,0x3ffffee0,
    0xfb0002ff,0x3fe61fff,0xffd503ff,0xb85fffff,0xefffffff,0x7fffc402,
    0x7ffff46f,0xfffb101f,0xffffffff,0x0007dfff,0xffff8800,0xffffffff,
    0x20ffffff,0xfffffff9,0xffffffff,0xfd4fffff,0xffffffff,0xdfffffff,
    0x7fffffdc,0xffff52ff,0x3fff61ff,0xffff55ff,0xffffffff,0x009fffff,
    0x37fffffc,0x5fffd000,0xf04fffc8,0xffffffff,0xffffff8f,0xff807fff,
    0x7fdc4fff,0x3ff207ff,0xffffffff,0x0fffffff,0x7cc00000,0xffffffff,
    0x0effffff,0xffffffb8,0xffffffff,0xf94fffff,0xffffffff,0x1bffffff,
    0x7fffffdc,0xffff52ff,0x3fff61ff,0xffff55ff,0xffffffff,0x009fffff,
    0x1fffffdc,0x07ff5000,0x7f403bf6,0x6fffffff,0x7ffffff4,0xffd806ff,
    0x7ffc41ff,0x3fff205f,0xffffffff,0x00ffffff,0xfd500000,0xffffffff,
    0xfe9805bf,0xcfffffff,0xceffffe9,0xffb9fb10,0xbfffffff,0xfffd9103,
    0x7ffd47df,0x3fff62df,0xffff50cf,0xffffffff,0x009fffff,0x006ffff8,
    0x40080100,0xffffffd9,0x7ffecc1d,0xb801dfff,0xffb06fff,0x7f64407f,
    0xffffffff,0x002dffff,0xaa980000,0x009abccc,0x566654c0,0x75100002,
    0x00135999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xb930aaaa,0x000179dd,0x18800000,
    0x02e60980,0x4c000570,0x401cdeec,0x00bdedb9,0x30000080,0xeeedb880,
    0xeeeeeeee,0xeeeeeeee,0x3b6e20ee,0xeeeeeeee,0xeeeeeeee,0x000000bd,
    0x40799995,0x01cdeca8,0x3ffffa00,0xfffffdaf,0x36202fff,0x1bf9004f,
    0x00ffcc00,0x0f7ecdf9,0x4004ff98,0xffffffe8,0xffff903f,0x54005fff,
    0xfd50001f,0xff705dff,0xffffffff,0xffffffff,0x743fffff,0xffffffff,
    0xffffffff,0x325fffff,0x7fc4ffff,0xffe81fff,0xfff903ff,0x0019ffff,
    0xffffffa8,0xffffffff,0xff704fff,0xfffd80bf,0x1fff7004,0x549ffb10,
    0xffd01fff,0x3ff2001b,0x2fffdcdf,0x766fffec,0xf9801fff,0x362000ef,
    0x4fffffff,0x7fffffe4,0xffffffff,0xffffffff,0x3ffffe1f,0xffffffff,
    0xffffffff,0x3fffea7f,0x07fffec3,0x41bfffe2,0xffdffffd,0x7c4006ff,
    0xffffffff,0xffffffff,0xffffc81f,0x9ffffb05,0x05fff900,0xc81dffd1,
    0xfe883fff,0xbd9800ef,0xf12ffd40,0x4ffc81df,0x37fffc40,0xfffffb00,
    0x74c7ffff,0xffffffff,0xffffffff,0x21ffffff,0xfffffffc,0xffffffff,
    0x23ffffff,0x642ffff9,0xffa87fff,0xdffd82ff,0x027fed42,0x3ffff260,
    0xdb9bcfff,0xf885ffff,0x7ec5ffff,0x2200ffff,0xf982fffd,0xff900eff,
    0xfffd109f,0x7fd40003,0x7cc0f6c5,0x7fff405f,0xffa805ff,0xfffc9bff,
    0x4cccc41f,0x99999999,0xfff99999,0x5555441f,0xaaaaaaaa,0x81aaaaaa,
    0x5c1ffff8,0xffc86fff,0x40fff06f,0x8000fff8,0x01fffffe,0x260ffff7,
    0xfb5fffff,0x4403ffff,0xfa82fffe,0x7e400eff,0xffe885ff,0x2ea6002f,
    0x36002fff,0x3ff602ff,0x403fffff,0x7cc0fffd,0x000004ff,0x0003ffff,
    0xffff0000,0x85fffa81,0xf982ffff,0x0ffe403f,0x77fff400,0x3fffe200,
    0xfffff300,0x03ffffff,0x41ffffcc,0x000efffc,0x881dfffb,0xb804ffff,
    0x004fffff,0x201dffb1,0xfffffffb,0x3ffa02ff,0x00bffb04,0x3fffe000,
    0x80000001,0xff987ffe,0x37ffcc4f,0x5c02ffa8,0xfe8002ff,0xffe801ff,
    0x3ffe601f,0x01ffffff,0x20ffffea,0x000ffffd,0x20ffffec,0x405ffff9,
    0x0effffe9,0x077ff4c0,0xafffffa8,0xf01fffff,0x3ff207ff,0xff000006,
    0x000003ff,0x10dffb00,0xffb87fff,0x0dff301f,0x8000fff8,0xe801fffe,
    0x7cc01fff,0x01ffffff,0x10ffffee,0x003ffffd,0x0bffff60,0x01dffff3,
    0x06ffea88,0x4037ffee,0x71fffff9,0xb01dffff,0x3ffe0dff,0xff000004,
    0x7fecc3ff,0xffffffff,0xffffffff,0x2ffe41df,0x7ec2fff8,0x6fff405f,
    0x02ffecc1,0x01fffe80,0x801fffe8,0x05fffffd,0x07ffffe6,0x00bffff9,
    0x3ffffa20,0x77fffd44,0x1fff1001,0x04fffd88,0x0bffffa2,0x90bffff9,
    0x32217fff,0x00003fff,0x743ffff0,0xffffffff,0xffffffff,0x5c6fffff,
    0x3ffb04ff,0x200fffc4,0xfdfffff8,0x0000ffff,0xd003fffd,0xfd803fff,
    0x05ffffff,0x07ffffa6,0x00bffff7,0x2ffffe88,0x06ffffd4,0x987ff600,
    0x6c02fffe,0xfb04ffff,0xff889fff,0xffffdfff,0x3e000006,0x3ffe1fff,
    0xffffffff,0xffffffff,0x7fcc7fff,0x541ff902,0xfb3005ff,0x1bffffff,
    0x7fff4000,0x1fffe801,0x3fffff60,0x6c05ffff,0x7cc1ffff,0xd1005fff,
    0xfa81dfff,0xcc883fff,0x9ffee21a,0x99aefffb,0xfff30ba9,0x7ff440bf,
    0x7ffd41ff,0x01ffffff,0x3ffa0000,0x3fffae0f,0xffffffff,0xffffffff,
    0x500ff82e,0x00ffb8bf,0x66f6e540,0xffe80001,0xfffe801f,0xfffffb01,
    0x0bfffff5,0x41ffffb8,0x405fffd8,0xa84fffe8,0xf502ffff,0xffffffff,
    0x7ffff45f,0x75ffffff,0x8801dfff,0xe982ffff,0x00efffff,0x7fe40000,
    0x33333106,0x33333333,0x44013333,0x05c40400,0x00000000,0x2007fffa,
    0xfd81fffe,0xff31ffff,0xe9809fff,0xffc81fff,0xfffd105f,0x1dfff507,
    0xfffffc80,0x7ff42dff,0xffffffff,0x001dfd16,0x7501bfe6,0x00000579,
    0x000bb660,0x00000000,0x00000000,0x02ffff80,0x5c1ffff8,0x4c1fffff,
    0x403fffff,0xa81fffd8,0x3a20efff,0xffa81eff,0x54cc004f,0x8000009a,
    0x00088001,0x00000000,0x00000000,0x00000000,0xfff30000,0x907fffff,
    0x1bffffff,0x407ffff6,0x004ffff9,0xd101fff7,0x6ffe49ff,0x005fff00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffec0,
    0x3e60ffff,0x4fffffff,0x9801dff7,0x2a001ffe,0x93f200ff,0x0f6c03ea,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff6000,
    0x20ffffff,0xfffffff9,0x4002e64f,0x010000a8,0x00000010,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffc980,0xfdb82dff,
    0x000cefff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x1cdedcb9,0x00000000,
    0x6665cc00,0xcccccccc,0xcccccccc,0x221bcccc,0xcccccccc,0xcccccccc,
    0x3332e60c,0xcccccccc,0xcccccccc,0x001bcccc,0x00000000,0x00000000,
    0x00000000,0xffb00000,0x05ffffff,0x039ffb50,0x40bb6600,0xfff30deb,
    0xffffffff,0xffffffff,0xffffffff,0x3ffffe23,0xffffffff,0xff30ffff,
    0xffffffff,0xffffffff,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0xd9bdffd0,0x7ec40dff,0x203fffff,0x3ffec1cb,0xfba7ffc4,
    0xffffffff,0xffffffff,0xffffffff,0xffff14ff,0xffffffff,0x2e1fffff,
    0xffffffff,0xffffffff,0xffffffff,0x00004fff,0x00000000,0x00000000,
    0x00000000,0x3ea01000,0xffffd02f,0xf909ffff,0x7fff41ff,0x8b7ffcc0,
    0xffffffff,0xffffffff,0xffffffff,0xfff11fff,0xffffffff,0x21ffffff,
    0xfffffff8,0xffffffff,0xffffffff,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0xb9510000,0xb09ff99b,0xffffffff,0x7ffe4bff,0x413fee1f,
    0x5dcc2ffd,0xbbbbbbbb,0xbbbbbbbb,0x882bbbbb,0x88888888,0x08888888,
    0xbbbbbb98,0xbbbbbbbb,0xbbbbbbbb,0x0000002b,0x00000000,0x00000000,
    0x00000000,0x3ffffee0,0x7cc4ffff,0xffb9efff,0xfffdefff,0x4c01886f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffc8000,0x4fffeeef,0x3077ffcc,0xffffffff,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x057ffc40,
    0x3f213fe2,0xfffe880e,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffd4000,0x0827fecc,0xdffffc80,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfdb9dffd,0x005dffff,0x0002aa20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff500000,0xffffffff,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x8aceedc8,0x0000aaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_47_latin1_x[224]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,2,0,0,-1,0,0,3,6,10,6,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,8,3,1,2,0,
10,2,5,-1,5,1,-1,3,-1,-2,5,1,6,6,8,0,2,9,8,6,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_47_latin1_y[224]={ 34,7,8,5,5,7,10,8,7,7,7,10,28,20,
29,4,7,7,7,7,7,7,7,7,7,7,15,15,10,16,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,4,7,6,42,6,15,7,15,7,15,7,14,7,7,
7,7,7,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,34,16,5,8,12,9,
7,7,7,9,7,16,20,20,9,2,3,4,7,7,6,15,7,18,32,7,7,16,7,7,7,16,-1,-1,0,1,
1,-1,9,8,-1,-1,0,1,-1,-1,0,1,9,1,-1,-1,0,1,1,13,7,-1,-1,0,1,-1,9,7,6,6,
6,8,7,5,15,15,6,6,6,7,6,6,6,7,7,8,6,6,6,8,7,10,13,6,6,6,7,6,7,7,
 };
static unsigned short stb__courier_bold_47_latin1_w[224]={ 0,8,15,21,19,19,19,7,11,11,19,23,10,19,
7,19,19,19,20,21,19,21,19,19,19,19,7,10,25,25,25,18,18,27,24,23,23,23,23,24,25,19,24,26,
23,27,26,25,22,25,26,21,23,25,27,27,25,25,19,10,19,10,19,29,9,23,25,22,25,22,21,24,25,21,
17,23,21,27,23,23,25,25,22,19,23,24,26,26,25,25,19,12,5,12,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,18,22,20,25,
5,21,14,27,15,23,25,19,27,29,14,23,12,13,9,24,21,7,9,13,15,22,25,29,25,18,27,27,27,27,
27,27,27,23,23,23,23,23,19,19,19,19,24,26,25,25,25,25,25,17,25,25,25,25,25,25,22,23,23,23,
23,23,23,23,27,22,22,22,22,22,21,21,21,21,22,23,23,23,23,23,23,23,24,24,24,24,24,25,25,25,
 };
static unsigned short stb__courier_bold_47_latin1_h[224]={ 0,28,13,33,35,28,25,13,34,34,19,24,13,5,
6,35,28,27,27,28,27,28,28,28,28,28,20,24,24,13,24,27,31,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,33,25,27,25,26,25,25,25,25,25,34,35,34,15,5,8,20,28,20,28,20,27,29,27,27,
36,27,27,19,19,20,28,28,19,20,26,20,19,19,19,28,19,34,34,34,10,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,27,31,26,20,25,
34,31,6,26,12,18,14,5,26,5,14,30,15,15,8,28,31,6,10,15,12,18,27,27,27,27,35,35,34,33,
33,35,25,34,35,35,34,33,35,35,34,33,25,33,36,36,35,34,34,18,30,36,36,35,34,35,25,28,29,29,
29,27,28,30,20,27,29,29,29,28,28,28,28,27,28,26,29,29,29,27,28,24,24,29,29,29,28,37,36,36,
 };
static unsigned short stb__courier_bold_47_latin1_s[224]={ 255,240,204,103,147,114,1,246,191,112,143,
1,220,84,246,167,24,72,27,92,208,184,206,226,24,88,246,240,74,178,100,
187,196,46,74,50,173,149,181,228,151,197,124,205,232,177,21,1,217,77,98,
92,74,98,228,153,48,99,1,229,229,239,117,104,246,24,156,1,194,224,74,
145,168,146,79,122,206,68,1,200,220,182,216,48,194,175,116,189,163,130,96,
99,249,124,17,76,76,76,76,76,76,76,76,76,76,76,76,76,76,76,76,
76,76,76,76,76,76,76,76,76,76,76,76,76,76,76,76,76,255,241,237,
53,126,125,250,215,39,1,1,43,152,84,218,54,137,23,104,90,246,159,1,
246,246,239,231,67,96,157,24,114,201,29,137,21,49,1,125,25,97,1,75,
125,57,77,1,149,21,169,149,123,121,203,165,25,71,175,97,187,49,213,205,
68,169,193,217,133,44,47,147,1,1,24,72,1,66,44,108,228,1,29,97,
121,145,48,170,50,25,47,120,95,134,1,53,27, };
static unsigned short stb__courier_bold_47_latin1_t[224]={ 1,75,447,111,39,208,349,208,75,75,426,
401,447,467,199,39,208,266,266,208,237,208,208,208,237,237,178,322,401,447,401,
266,111,349,349,294,322,322,349,237,375,322,322,375,375,375,375,266,322,111,375,
266,375,322,349,349,375,349,375,75,1,39,447,467,294,426,237,426,178,401,294,
178,294,294,1,294,266,426,447,401,178,237,426,426,294,401,426,426,426,237,426,
75,1,75,467,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,1,146,111,
322,401,375,39,111,467,322,467,447,447,467,294,467,447,146,447,447,303,208,146,
312,222,426,447,447,294,266,294,266,1,39,75,111,111,39,349,75,39,75,75,
111,39,39,111,111,349,111,1,1,39,75,75,447,146,1,1,39,75,39,349,
208,146,146,146,266,208,146,401,294,178,178,178,208,237,237,237,266,237,322,146,
146,146,266,178,401,401,178,178,178,208,1,1,1, };
static unsigned short stb__courier_bold_47_latin1_a[224]={ 398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_47_latin1(stb_fontchar font[STB_FONT_courier_bold_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_47_latin1_s[i] + stb__courier_bold_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_47_latin1_t[i] + stb__courier_bold_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_47_latin1_x[i];
            font[i].y0 = stb__courier_bold_47_latin1_y[i];
            font[i].x1 = stb__courier_bold_47_latin1_x[i] + stb__courier_bold_47_latin1_w[i];
            font[i].y1 = stb__courier_bold_47_latin1_y[i] + stb__courier_bold_47_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_47_latin1_s[i] + stb__courier_bold_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_47_latin1_t[i] + stb__courier_bold_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_47_latin1_x[i] + stb__courier_bold_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_47_latin1_y[i] + stb__courier_bold_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_47_latin1_LINE_SPACING
#endif

