// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT        499
#define STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_48_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_48_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_48_latin1_LINE_SPACING          23

static unsigned int stb__courier_bold_48_latin1_pixels[]={
    0x00008000,0x2e600b88,0xddd73000,0x000005dd,0x2f777440,0x00004000,
    0x0000a800,0x001ecc00,0x00001800,0x00005b50,0x01e44000,0xdf900000,
    0x7ffcc000,0x00fffa81,0xfffffff8,0x20000003,0x007ffff8,0x02fbfae0,
    0x7ff40000,0xf5000001,0x900000ff,0x800003df,0x00004ffd,0x0fffa800,
    0x6c400000,0x320006ff,0xffd84fff,0x7ffcc03f,0x0003ffff,0x3ffe2000,
    0xff70007f,0x0000bffb,0x009fff10,0x7fff9000,0x7f4c0000,0x00003fff,
    0x0037ffe6,0x7fdc0000,0x4000004f,0x001fffe9,0x20fffea0,0xe801fffb,
    0x03ffffff,0x3e200000,0xf0007fff,0x0007ec1d,0x1bffea00,0xffd88000,
    0x3200003f,0xefffffff,0xff500001,0x000001df,0x004fffd8,0x7ffd4000,
    0xdb80000e,0x007b7103,0x1ffff544,0x32000000,0xa8004ccc,0x001fd43f,
    0xdfff9100,0xfd100003,0x200003ff,0xb8dfffe8,0x0003ffff,0x03fffd10,
    0xffd10000,0x8000005f,0x0005fffa,0x20000000,0x0003fffd,0x80000000,
    0x00fe45f8,0x7ffecc00,0xdfdfffff,0x77fec001,0x3f600000,0x7ff4c3ff,
    0xb100001f,0x00000dff,0x0003dff9,0x07ffb000,0x00000000,0x03fffd80,
    0x00000000,0xf95bfb00,0xff50000d,0xffffffff,0xc800bfff,0xe800004f,
    0x3fee00df,0x7dc00001,0xfb800006,0x0000000d,0x000003b3,0xfb000000,
    0x013107ff,0x00000000,0x177fff4c,0x3ffe6000,0xffffffff,0x08007fff,
    0x00600000,0x80000044,0x02000000,0x00000000,0x776dc400,0xb5101bde,
    0x4059dddd,0xfb53fffd,0x017bffff,0xddddb710,0xdddddddd,0x05930005,
    0x3fffa000,0xfffddeff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0xfb000000,0x1fffffff,0xffffff90,0x3ff603ff,0xfffffedf,0x00dfffff,
    0x3ffffffa,0xffffffff,0x00000003,0x06ffffcc,0x1ffff6a2,0x59973100,
    0x98800001,0x0000accb,0x00000000,0x5c400000,0x01bdeeed,0x9ddddb51,
    0xffffff85,0xffe81fff,0x03ffffff,0xfffffffb,0xffffffff,0xfff103ff,
    0xffffffff,0x0007ffff,0xffb80000,0x7ff400ff,0xfffd1005,0x007fffff,
    0xffffe880,0x9003ffff,0xdffffffd,0xffffda89,0x7641dfff,0x4effffff,
    0x7ffffed4,0xffb01dff,0x01ffffff,0xfffffff9,0x7fffe43f,0xff706fff,
    0x03ffffff,0x3ffffff6,0xffffffff,0xfd80ffff,0xffffffff,0x303fffff,
    0xfffffffb,0x20003fff,0xa805fffc,0xffb801de,0xffffffff,0xfb8000df,
    0xffffffff,0x3ea00dff,0xffffffff,0x3ffffe3f,0x2a6fffff,0xffffffff,
    0x3fffe3ff,0x06ffffff,0xffffffff,0xffffd03f,0xf987ffff,0x4401efff,
    0x00cffffc,0x3ffffff6,0x3fee609d,0x55106fff,0xd5555555,0x3f607fff,
    0xffffffff,0xf50004ff,0x00001fff,0x3fffffa2,0xffffffff,0xffd1002f,
    0xffffffff,0x2a05ffff,0xffffffff,0x3fffe3ff,0x26ffffff,0xfffffffa,
    0x3ffe3fff,0x6fffffff,0xffffff90,0x3ffee0df,0xb81fffff,0xe801ffff,
    0xfd806fff,0x4401ffff,0x001ffffd,0x40ffff60,0xfffffffd,0x000fffff,
    0xcfffff98,0x3f60000a,0xdcefffff,0x1fffffff,0xfffffd80,0xffffdcef,
    0xffb01fff,0x1bffffff,0x7fffff54,0x7fec1eff,0x0dffffff,0x3fffffaa,
    0x3e601eff,0x4401efff,0x00cffffc,0x5017fffa,0xb005ffff,0x2005ffff,
    0x003ffff8,0x40ffff60,0xffffffe9,0x003fffff,0xffffff90,0x20015bdf,
    0x03fffffa,0x0dffffd3,0x3fffffa8,0xdffffd30,0x1bffff80,0x7fff4c40,
    0x5ffffc03,0x7ff4c401,0xfff7003f,0xfffd003f,0xffff700d,0x37fff403,
    0x05fffd80,0x02fffd40,0x07fffb00,0xfffc9988,0x0006ffff,0xffffffd1,
    0x405dffff,0x01effff8,0x04ffffc8,0x03dffff1,0x09ffff90,0x0017fff4,
    0xe805fffd,0x3a002fff,0x3a002fff,0x7d405fff,0xfd002fff,0x3fea0bff,
    0xffb002ff,0xff88009f,0x3f60007f,0x3fa003ff,0x1ffffeff,0x3fff2000,
    0xffffffff,0x1ffffd05,0x7fffec00,0x0ffffe81,0x3ffff600,0x05fffd01,
    0x017fff40,0x800bfffa,0x2002fffe,0x201ffffb,0x2006fffe,0xe81ffffb,
    0x36006fff,0x44004fff,0x0001ffff,0x2007fffb,0xfeaffff9,0x440004ff,
    0xffffffdb,0x7fcc4fff,0x7c4003ff,0x7fcc5fff,0x7c4003ff,0xffd05fff,
    0x7ff4005f,0x7fff402f,0x3fffa002,0x7fff4002,0x5ffff505,0x6fffe800,
    0x017fffd4,0x00bfffb0,0x007fffa8,0x00ffff60,0xfbb7ffec,0x00000fff,
    0x3ffff6e6,0x3ffea1ff,0xfff70006,0x06fffa8f,0x0ffff700,0x800bfffa,
    0x7402fffe,0x3a002fff,0x5c002fff,0xfe81ffff,0xfa8006ff,0x3ffa2fff,
    0x7fec006f,0x3f6001ff,0x360006ff,0xf8803fff,0xfff13fff,0x4000007f,
    0x324ffffa,0x10004fff,0x7e41ffff,0xf10004ff,0xffd01fff,0x7ff4005f,
    0x7fff402f,0x3fffa002,0xfffe8002,0x17fffd46,0x6fffe800,0x005ffff5,
    0x0fffffd8,0x4ffffd80,0x3fff6000,0xffffb803,0x01bfff20,0x32003da8,
    0x3ff65fff,0x3fe0002f,0x3fff61ff,0x3ffe0002,0x2fffe81f,0x0bfffa00,
    0x005fffd0,0x0017fff4,0xd17fffd4,0x4000dfff,0xfeaffffa,0xfd8006ff,
    0x883fffff,0x0fffffd9,0x3fff6000,0x5fffe803,0x00ffffcc,0x8017ffc4,
    0x3fe7fffa,0x360001ff,0x3ffe3fff,0x3f60001f,0xfffe83ff,0x3fffa002,
    0x17fff402,0x05fffd00,0x5bfffa00,0x002ffffa,0x7fffff40,0xd8002fff,
    0xffffffff,0xfffffede,0x6c0001ff,0x7cc03fff,0xffe81fff,0xfffa804f,
    0xbfffd006,0x003fffe2,0x14fffc80,0x0001ffff,0x7427ffe4,0x3a002fff,
    0x7f402fff,0x3fa002ff,0xf50002ff,0xfffd5fff,0xff50000d,0x00dfffff,
    0x3fffff60,0xffffffff,0x0003ffff,0x403fffd8,0xf706fffd,0xfc801fff,
    0x2e00dfff,0x3fe4ffff,0x360001ff,0x3ffe3fff,0x3f60001f,0xfffe83ff,
    0x3fffa002,0x17fff402,0x05fffd00,0x7ffff400,0x0002ffff,0xffffffd0,
    0x3ff60005,0xffffffef,0x01efffff,0x7fffb000,0x1ffffc40,0x03ffff88,
    0x7fffffe4,0xffebaabc,0x3ff60fff,0x3fe0002f,0x3fff61ff,0x3ffe0002,
    0x2fffe81f,0x0bfffa00,0x005fffd0,0x0017fff4,0xffffff50,0x540000df,
    0x006fffff,0x22ffff60,0xfffffffc,0x6c00003e,0x3ee03fff,0xffffffff,
    0x06ffffff,0x7fffffdc,0xffffffff,0x7ffe43ff,0xfff10004,0x27ffe41f,
    0xffff8800,0x02fffe80,0x00bfffa0,0x4005fffd,0x0002fffe,0x7ffffff4,
    0x7f400002,0x20002fff,0x2623fffd,0x00001aaa,0x80ffff60,0xfffffffe,
    0xffffffff,0x3ffea01f,0xffffffff,0xfa84ffff,0xb8000fff,0x7fd47fff,
    0xfb8000ff,0xfffd07ff,0x7fff4005,0x17fff402,0x05fffd00,0xffffa800,
    0xf800006f,0x40006fff,0x0003fffd,0x3ff60000,0xffff303f,0xffffffff,
    0x409fffff,0xfffefff8,0x2fffffff,0x09ffff30,0x5ffff880,0x027fffcc,
    0x17fffe20,0x801fffe4,0x400ffff8,0x1003fffc,0x0001ffff,0x05ffffd0,
    0xfffb8000,0x7ec0002f,0x000003ff,0x0bfffe00,0x7fffffec,0xffffffff,
    0x2200ffff,0xfffd710a,0xffb0039f,0x7ec003ff,0xffd80fff,0x3f6001ff,
    0xff700fff,0x3fea00df,0xfffb807f,0xffff5006,0x3ffe0000,0xf800006f,
    0x80006fff,0x0003fffd,0xfff50000,0xffff101f,0x33333337,0x7ffff333,
    0xdfff5000,0x7fffc400,0x7fec402f,0xfff103ff,0xfd8805ff,0x3e603fff,
    0x7cc04fff,0xf9805fff,0x7cc04fff,0x80005fff,0x002ffffb,0x7fffdc00,
    0xffd80002,0x0000003f,0x06fffe98,0x001ffff7,0x0037ffe4,0x0037ffd4,
    0x33ffffea,0xffffe980,0x7fffd406,0xffe980cf,0xffe806ff,0x7d440dff,
    0xd001ffff,0x881bffff,0x01fffffa,0x6ffff800,0x2aaa2000,0x9fffffaa,
    0xfd510000,0x003559ff,0x2aaaa200,0xfffffeba,0xdfffe884,0xfff51001,
    0x7d40015f,0xfc8006ff,0xddefffff,0x1fffffff,0xfffffc80,0xffffddef,
    0xf8801fff,0xecefffff,0x03ffffff,0x3ffffe20,0xffffecef,0xb80003ff,
    0x0002ffff,0xfffffff7,0x01ffffff,0xfffffd80,0x01ffffff,0x3ffff600,
    0xffffffff,0x7ffff4c5,0xd304ffff,0xffffffff,0x3ffea009,0xfffb0005,
    0xffffffff,0x6c003dff,0xffffffff,0x01efffff,0x3ffffea0,0xffffffff,
    0xfffa8006,0xffffffff,0x544006ff,0xffffaaaa,0xff80009f,0xffffffff,
    0x2004ffff,0xfffffff9,0x005fffff,0xffffff30,0x0bffffff,0xfffffffb,
    0xffb03fff,0xffffffff,0x7fff1003,0x7ffd4000,0xffffffff,0xffa8000d,
    0xffffffff,0xe98000df,0xffffffff,0x260004ff,0xfffffffe,0x5c004fff,
    0xffffffff,0x000fffff,0x7fffffec,0x3fffffff,0x3fffe200,0xffffffff,
    0xfff10003,0xffffffff,0x3ffff609,0x80ffffff,0xfffffffd,0xfb000fff,
    0xd880003f,0xefffffff,0x7ec40003,0x3effffff,0xfffb8000,0x001effff,
    0xfffff700,0xf0003dff,0xffffffff,0x009fffff,0xeeeedb88,0x03deeeee,
    0xeeeec980,0x003deeee,0x777764c0,0x64401bde,0xdffffffe,0xfffd9103,
    0x8007bfff,0xa9800000,0x000001bc,0x00037953,0x26f2a600,0x53000000,
    0x40001379,0xfffffffd,0x03ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x776dc400,0xdeeeeeee,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0xcc800000,0x70000000,
    0x04eb803b,0x3d880000,0x00000000,0x0000036e,0x00000004,0x00066d40,
    0x00000199,0x0001db80,0x0077e400,0x77fcc000,0x6c000001,0x3fe604ff,
    0x4000004f,0x0000dffb,0x3f620000,0xb800004f,0x000001ef,0x0bfff100,
    0x007ffe20,0x7fec0000,0xd3000004,0x0007ffff,0x05fffb00,0xffd10000,
    0x7ffd401f,0x2000000f,0x001efff8,0xfe980000,0x200000ff,0x0cffffd8,
    0x64000000,0x36006fff,0x00003fff,0x03fffa20,0x3ff20000,0x00efffff,
    0x7ffec000,0x3e600003,0xff801eff,0x000004ff,0x017fff44,0xff500000,
    0x400001df,0xfffffffb,0x0000002e,0x007ffff1,0x004fffc8,0xefff9800,
    0x74400001,0xffb8dfff,0x400002ff,0x0005fffb,0x00dfffa8,0x01ffff90,
    0xfd880000,0x000003ff,0x00dfffb8,0x3fff6000,0x4ffffa9e,0xfc800000,
    0xb8000fff,0x00005fff,0x0037ffea,0x3fff6000,0x0ffff4c3,0x3fea0000,
    0x3e20002f,0x7c4004ff,0x00003fff,0x03fff700,0x7fc40000,0x6400004f,
    0x7ec44fff,0x000002ff,0x013fffe2,0x03fff980,0x4fff8800,0x3fa00000,
    0x03ff200d,0x3fa60000,0x3fe20002,0xfffb0002,0x4000000f,0x00000ffa,
    0x000bfe20,0x807bf200,0x00002ffa,0x03fffee0,0x05fb1000,0x05ff1000,
    0x00100000,0x00000022,0x00000001,0x07ffff30,0x00000000,0x00000000,
    0x00400300,0x3ffa0000,0x0200005f,0x00000000,0x00000000,0x00000000,
    0xfffd8000,0x00000006,0x00000000,0x00000000,0x3fea0000,0x000001ff,
    0x00000000,0x00000000,0x59973100,0x00000001,0x0bfffe60,0x00000000,
    0x00000000,0x00000000,0x2ffff400,0x00000000,0x32000000,0xeffffffe,
    0x7fffed44,0x1001dfff,0xfffffffd,0x3fb2007f,0xffffffff,0x01dfffff,
    0x000dfffd,0xfffffd98,0x001fffff,0xffffd980,0x01ffffff,0xfffd9800,
    0x1fffffff,0x3ea00000,0xfd701fff,0xffffffff,0xffffffff,0xffeb87ff,
    0xffffffff,0xffffffff,0x3ffea03f,0x3fffffff,0x3ffffffe,0xfb806fff,
    0xffffffff,0x3e600dff,0xffffffff,0xffffffff,0x3ffff505,0x7ffec000,
    0xffffffff,0xffd80004,0xffffffff,0xfd80004f,0xffffffff,0x000004ff,
    0x441bfffa,0xffffffff,0xffffffff,0x223fffff,0xffffffff,0xffffffff,
    0x203fffff,0xfffffffa,0x3ffe3fff,0x6fffffff,0x3ffffa20,0xffffffff,
    0xfff502ff,0xffffffff,0x0bffffff,0x002ffff4,0xffffffb0,0x01ffffff,
    0xffffd800,0xffffffff,0x7fec0000,0xffffffff,0x800000ff,0x102ffff9,
    0xffffffff,0xffffffff,0x447fffff,0xffffffff,0xffffffff,0x403fffff,
    0xfffffffd,0x3ffaa0df,0x01efffff,0x3ffffff6,0xfffffdce,0xfffb01ff,
    0xffffffff,0x403bffff,0x001ffffb,0xfffffd30,0x07ffffff,0xfffe9800,
    0xffffffff,0x7f4c0003,0xffffffff,0x800003ff,0x6406fffd,0xfffffffe,
    0xffffffff,0x7643ffff,0xffffffff,0xffffffff,0xff003fff,0x988037ff,
    0x5403fffe,0x303fffff,0x80dffffd,0xfffb9999,0x0009999e,0x000bffff,
    0xfffc9988,0x0006ffff,0xfff93310,0x000dffff,0x3ff26620,0x006fffff,
    0x7fffcc00,0xfffd1003,0x33333337,0x07fffd33,0x26ffffa2,0x99999999,
    0xd003fffe,0x74005fff,0x3e202fff,0xc801efff,0x2004ffff,0x0006fffa,
    0x003fffee,0x77fff400,0x0001ffff,0x7f7fff40,0x00001fff,0x7ff7fff4,
    0x200001ff,0x4007fffc,0xb002fffe,0x7f407fff,0xffb002ff,0x3ffa007f,
    0x3ffa002f,0x3fffa02f,0x3ff6000f,0xff5001ff,0x7c4000df,0x80004fff,
    0xfeaffff9,0x200004ff,0xfeaffff9,0x200004ff,0xfeaffff9,0x100004ff,
    0x8007ffff,0xb002fffe,0x7f405fff,0xffb002ff,0x3ffa005f,0x3ffa002f,
    0xffff302f,0xfff88007,0xfff5005f,0xffc8000d,0x6c0000ff,0xfff76fff,
    0x3600001f,0xfff76fff,0x3600001f,0xfff76fff,0xf900001f,0xe8001fff,
    0x1db82fff,0xe807ffee,0x1db82fff,0x4007ffee,0x2002fffe,0xf502fffe,
    0x2e000dff,0xf5007fff,0x88000dff,0x0003ffff,0x44ffffe2,0x0003ffff,
    0x13ffff88,0x0007ffff,0x27ffff10,0x003ffff8,0x27fffc40,0x17fff400,
    0xfe89bff2,0x17fff405,0xfe89bff2,0x3fffa005,0x3fffa002,0x09fff902,
    0x3fffe200,0x6fffa800,0xfffc8000,0x3fee0007,0x3fff20ff,0xffb80006,
    0x3fff20ff,0xffb80006,0x3fff20ff,0x7fdc0006,0xfe8000ff,0x7ffec2ff,
    0x7ff40040,0x07ffec2f,0xfffd0002,0x7fff4005,0x05fffb02,0x0ffffc00,
    0x037ffd40,0x7fffcc00,0xfffd0003,0x1ffff98b,0x7fff4000,0x0ffffcc5,
    0x3fffa000,0x0ffffcc5,0x9ffff000,0x3fffa000,0xffffeeee,0xfffe8002,
    0xffffeeee,0x7ff40002,0x3ffa002f,0x3ffff02f,0x7ffec000,0x6fffa803,
    0xfffb0000,0xfff3000d,0x9fffd03f,0x7ffcc000,0x4fffe81f,0x3ffe6000,
    0x4fffe81f,0xffff7000,0x3ffa0003,0xffffffff,0xffe8002f,0xffffffff,
    0x7f40002f,0x3fa002ff,0xfff882ff,0x3f20000f,0xffa804ff,0xf300006f,
    0xd8005fff,0xff706fff,0x360001ff,0xff706fff,0x360001ff,0xff706fff,
    0xfd0001ff,0x74000bff,0xffffffff,0xe8002fff,0xffffffff,0x40002fff,
    0x2002fffe,0xff02fffe,0x6c0003ff,0xfa803fff,0x200006ff,0x2006fffe,
    0x103ffff8,0x0007ffff,0x207ffff1,0x003ffff8,0x03ffff88,0x007ffff1,
    0x01ffffa8,0x3ffffa00,0x2fffffff,0xffffe800,0x2fffffff,0x7fff4000,
    0x3fffa002,0x05fffb02,0x0ffffc00,0x037ffd40,0xffff5000,0x3ffee005,
    0xffffffff,0x8006ffff,0xfffffffb,0xffffffff,0xfffb8006,0xffffffff,
    0x4006ffff,0x0006fffe,0x666ffff4,0x002ffffc,0xccdfffe8,0x002ffffc,
    0x017fff40,0x205fffd0,0x0004fffc,0x001ffff1,0x000dfff5,0x05fffe80,
    0xffffffd0,0xffffffff,0xfe8003ff,0xffffffff,0x1fffffff,0x7ffff400,
    0xffffffff,0x3001ffff,0x0005ffff,0x6c2fffe8,0x00c41fff,0xfb0bfffa,
    0x001883ff,0x800bfffa,0xf502fffe,0x70001fff,0x2a00ffff,0x00006fff,
    0x00ffffd4,0x3fffffe6,0xffffffff,0x26004fff,0xffffffff,0xffffffff,
    0x3fe6004f,0xffffffff,0x4fffffff,0x0dfffb00,0x5fffd000,0x7cc7ffc8,
    0x3fffa05f,0x263ffe42,0xff9005ff,0x3fe2007f,0xfff300ff,0xff88009f,
    0xff5005ff,0xd00000df,0xfd80bfff,0xffffffff,0xffffffff,0xfffb000f,
    0xffffffff,0x1fffffff,0x3ffff600,0xffffffff,0x00ffffff,0x017fffcc,
    0x17fff400,0x7ffe41cc,0x05fffd00,0x1fff9073,0x0dfff700,0x01fffea0,
    0x003ffffb,0x007fffec,0x006fffa8,0xffffb800,0x7ffff100,0x33333333,
    0x07ffff33,0x37ffff10,0x33333333,0x007ffff3,0x337ffff1,0x33333333,
    0xd807ffff,0x00007fff,0x4005fffd,0xfd02fffd,0x7ec005ff,0xff9802ff,
    0x7fcc04ff,0x7fc405ff,0x6c402fff,0x2003ffff,0x0006fffa,0x09ffff00,
    0x003fffee,0x806fffc8,0x000ffffb,0x201bfff2,0x000ffffb,0x881bfff2,
    0x0003ffff,0x005fffd0,0xe817fff4,0x3a002fff,0xfd002fff,0xa881bfff,
    0x801fffff,0x0cfffffa,0x6ffffe98,0x7dccccc0,0x09999eff,0xfffb8000,
    0x7fff440f,0xff51001d,0x3a2015ff,0x1001dfff,0x015ffff5,0x077fffa2,
    0x7fffd440,0xffffc80a,0xfe980000,0x99999bff,0xffe99999,0xfffe982f,
    0x9999999b,0x2fffe999,0xfffff100,0xffffd9df,0x7e4007ff,0xddefffff,
    0x1fffffff,0xffffffb0,0xffffffff,0x440003df,0xfd34ffff,0x9fffffff,
    0x3ffffa60,0x3a64ffff,0xffffffff,0xffffd304,0x74c9ffff,0xffffffff,
    0xffffd304,0x7c49ffff,0x40004fff,0xfffffffc,0xffffffff,0x22ffffff,
    0xfffffffc,0xffffffff,0x02ffffff,0x3ffffea0,0xffffffff,0xfffd8006,
    0xffffffff,0xff501eff,0xffffffff,0xbfffffff,0xfffc8000,0xffffffb6,
    0xfb03ffff,0xffffffff,0x3ffff63f,0x81ffffff,0xfffffffd,0xfffb1fff,
    0x3fffffff,0xffffffb0,0x3ea3ffff,0x20000fff,0xfffffff9,0xffffffff,
    0x2fffffff,0xfffffff3,0xffffffff,0x5fffffff,0xfffe9800,0x4fffffff,
    0x3ffea000,0xffffffff,0x3ffe600d,0xffffffff,0x05ffffff,0xa7ff4400,
    0xfffffffd,0xffd80fff,0xffffffff,0xffffffb0,0xfb01ffff,0xffffffff,
    0x3ffff61f,0x80ffffff,0xfffffffd,0xfff30fff,0xff880007,0xffffffff,
    0xffffffff,0xff12ffff,0xffffffff,0xffffffff,0x0005ffff,0x3fffffee,
    0x880001ef,0xfffffffd,0xffb7003e,0xffffffff,0x0019dfff,0x22179300,
    0xffffffec,0xffd9103d,0x447bffff,0xffffffec,0xffd9103d,0x447bffff,
    0xffffffec,0xffd9103d,0xa87bffff,0xb500004d,0xffffffff,0xffffffff,
    0x6d45ffff,0xffffffff,0xffffffff,0x0002ffff,0x004de54c,0xbca98000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40001db8,0x800000cc,0x00008001,
    0x00008008,0x20020004,0x03000000,0x97510000,0x26003579,0x7776543d,
    0x36e25eee,0xeeea800b,0x4c0bdeee,0xcdb8803d,0xffb00001,0x7fcc0009,
    0x3200001f,0xffa800ef,0x9fd30004,0x000ffaa0,0x3003bf62,0x3faa09fd,
    0x7e400003,0xd980001e,0xffffffff,0x223fe9ae,0xfff54fff,0x64dfffff,
    0x5c02ffff,0xffffffff,0x813ffe25,0x007fffe9,0x07fff440,0x3fff6000,
    0x7f4c0002,0x7f403fff,0xfd8003ff,0xfffe81ff,0x7ffec000,0x0fffec03,
    0x0007fff4,0x7ffff4c0,0x3ff20003,0xffffffff,0x2a7fffff,0xfff96fff,
    0x7cdfffff,0x202fffff,0xfffffffb,0x1bffea7f,0x7fffffc4,0xfff30001,
    0x3200003d,0x90004fff,0xdfffffff,0x3ffff601,0x7ffec000,0x01fffe82,
    0x0ffffea0,0xd05fffb0,0x80003fff,0xfffffffc,0x3fa2001e,0xffffffff,
    0xffffffff,0x26dfff51,0xffffffff,0x3fffff26,0xffff700f,0x7d49ffff,
    0xfffd06ff,0x2a000dff,0x0000dfff,0x02fffdc0,0x1bfffd10,0x505ffff7,
    0x8009ffff,0xff506ff9,0xfffe8009,0x37fcc00f,0x0004ffa8,0x237fffa2,
    0x003ffffb,0xdffffffd,0xfffffb9b,0x3fea5fff,0x32aaa26f,0x7ecc6fff,
    0xff702fff,0xa81555df,0xff886fff,0x10002dff,0x00009fff,0x01fffcc0,
    0x4c3fffd8,0xfe81fffe,0x08000fff,0x2a000440,0x2004ffff,0x00004400,
    0xd30ffff6,0xfc803fff,0x500bffff,0x25fffffd,0x2a06fffa,0xffb06fff,
    0x3ffee09f,0x37ffd405,0x003fffd4,0x000bfe20,0x0bf62000,0x9006ff40,
    0xfff701ff,0x0000009f,0x3ffffa00,0x00000000,0x7006ff40,0x7fcc03ff,
    0xf9002fff,0x3fea5fff,0x3ffea06f,0x0bfff706,0x5017ffee,0xff50dfff,
    0x000000df,0x00200000,0x80220010,0x000fffff,0x7cc00000,0x00005fff,
    0x00300000,0xfff90022,0x7fc4005f,0xdfff51ff,0x837ffd40,0xf705fffb,
    0xffa80bff,0x6fffa86f,0x00000000,0x00000000,0x7fffdc00,0xcb988004,
    0xfd8000ac,0x00001fff,0x00000000,0x04ffff80,0x2a7ffc80,0x3ea06fff,
    0xfff706ff,0x17ffee0b,0x50dfff50,0x0000dfff,0x00000000,0x88000000,
    0x2007ffff,0xffffffe8,0xff3003ff,0x3fb20bff,0x44efffff,0xffffffda,
    0x000001df,0x07fffd40,0x51ff4c00,0x7d40dfff,0xfff706ff,0x17ffee0b,
    0x50dfff50,0xb500dfff,0x07dfffff,0x3fffff66,0x7fff644e,0xffffffff,
    0x3b21dfff,0xffffffff,0x1dffffff,0x02ffffc8,0xffffffb8,0x00dfffff,
    0x40ffffe4,0xfffffffa,0x3ffe3fff,0x6fffffff,0x7fffff5c,0xffffffff,
    0x23ffffff,0x0006fffb,0x1bffea04,0x706fffa8,0x3ee0bfff,0x7fd405ff,
    0x6fffa86f,0xfffffe80,0xffe80fff,0x32ffffff,0xffffffff,0xffffffff,
    0x3fffe6bf,0xffffffff,0x985fffff,0x2203ffff,0xfffffffe,0x2fffffff,
    0x41bfff60,0xfffffffa,0x3ffe3fff,0x6fffffff,0x3fffffe2,0xffffffff,
    0x3fffffff,0x0017fff2,0x0dfff500,0xb837ffd4,0xff705fff,0xfffa80bf,
    0x06fffa86,0xffffffe8,0xfffe81ff,0xf52fffff,0xffffffff,0xffffffff,
    0x3ffffeab,0xffffffff,0xff05ffff,0x7fec0bff,0xfdceffff,0x01ffffff,
    0x6c0bffff,0xffffffff,0x3fffaa0d,0x221effff,0xffffffff,0xffffffff,
    0x323fffff,0x00004fff,0x5037ffd4,0x3ee0dfff,0xfff705ff,0x6fffa80b,
    0x806fffa8,0xffffffea,0xfffff504,0xfffd8bff,0xffffffff,0x361dffff,
    0xffffffff,0xdfffffff,0x0dfffd01,0x0fffffea,0x37ffff4c,0x027fffc4,
    0x00dffffc,0x0ffffa62,0x7fffff64,0xffffffff,0x23ffffff,0x0004fffc,
    0x027ffc40,0x2e0dfff5,0xff706fff,0xfffa80bf,0x05fffb86,0x1ffffe60,
    0x09ffff90,0xffb99998,0x009999ef,0x3fee6666,0x009999ef,0x443fffec,
    0x801effff,0x4c4ffffc,0xe803ffff,0x3a002fff,0x74402fff,0x9999bfff,
    0xffe99999,0x13fff23f,0x336a0000,0x1bffea00,0x16ffffd4,0x5017ffee,
    0x7e44dfff,0x5c004fff,0xf304ffff,0x5000dfff,0x8000dfff,0x8006fffa,
    0x740ffffc,0x2000ffff,0x2a1ffffd,0xe801ffff,0x3a002fff,0xfe802fff,
    0xffb002ff,0x27ffe47f,0x50000000,0x3e20dfff,0x2e5fffff,0x7d405fff,
    0xffff56ff,0xfb0005ff,0xffd03fff,0xf50003ff,0xa8000dff,0xa8006fff,
    0x3e62ffff,0x44003fff,0x3f25ffff,0xfe800fff,0x3fa002ff,0xffe802ff,
    0xfffb002f,0x037ffdc5,0xf5000000,0x7fd40dff,0xff70ffff,0xfffa80bf,
    0xbfffffb6,0x3ffe2000,0x3ffee0ef,0xff50004f,0xfa8000df,0xf98006ff,
    0x3fea3fff,0xff70006f,0x3fffecff,0x02fffe80,0x00bfffa0,0x2e0bfffa,
    0x87ffee1d,0x0007fffa,0x3fea0000,0x3fff606f,0x3ffee6ff,0xb7ffd405,
    0x0ffffffc,0xffff7000,0x1bfffe69,0x6fffa800,0x7ffd4000,0xfffa8006,
    0x13fff22f,0x7fffc400,0x00ffffb0,0x800bfffa,0xe802fffe,0x7fe42fff,
    0xf117fa26,0x00007fff,0x3ffea000,0xfffff306,0x2fffdc3b,0x45bffea0,
    0x04fffffc,0x3ffff600,0x01ffffea,0x1bffea00,0xdfff5000,0xffff7000,
    0x017ffec3,0x23ffff00,0x801ffffb,0x2002fffe,0xe802fffe,0x7fec2fff,
    0xffd8040f,0xd98001ff,0x8037ee0b,0xf506fffa,0xff701fff,0xfffa80bf,
    0x05fffd86,0x3fffe200,0x003fffff,0x037ffd40,0x1bffea00,0x3ffff200,
    0x007fffe0,0x53fffd80,0xd005ffff,0x74005fff,0xfe802fff,0xffeeeeff,
    0xff3002ff,0x54003dff,0xfff34fff,0x37ffd40b,0x705fffb8,0xfa80bfff,
    0xfffa86ff,0x7fd40006,0x006fffff,0x06fffa80,0x37ffd400,0x37fff400,
    0x001ffff1,0x9a7ffe40,0xe803ffff,0x3a002fff,0xfe802fff,0xffffffff,
    0x3f2002ff,0x200dffff,0x56ffffc9,0x7d40dfff,0xfff706ff,0x17ffee0b,
    0x50dfff50,0x0000dfff,0x3ffffffb,0xfff50000,0xffa8000d,0xfff8006f,
    0x0ffffc5f,0x7fffb000,0x4027fffc,0x2002fffe,0xe802fffe,0xffffffff,
    0x74002fff,0xefffffff,0xfffffedd,0xdfff53ff,0x837ffd40,0xf705fffb,
    0xffa80bff,0x6fffa86f,0xfff88000,0x500003ff,0x8000dfff,0x4006fffa,
    0x6c4ffff8,0x20002fff,0x3fa1ffff,0xffe806ff,0x3ffa002f,0xfffe802f,
    0xffffffff,0x7ff44002,0xffffffff,0x24ffffff,0x2a06fffa,0xff706fff,
    0x3ffee0bf,0x37ffd405,0x0037ffd4,0x06fffb80,0x3ffea000,0x7fd40006,
    0x7fd4006f,0x7ffe42ff,0xfff10004,0x7fffec1f,0x17fff400,0x05fffd00,
    0x99bfffd0,0x005ffff9,0x3fffff20,0xffffffff,0x37ffd42f,0x20dfff50,
    0xf705fffb,0xffa80bff,0x6fffa86f,0xfff50000,0x7d40000d,0x540006ff,
    0x74006fff,0x7d40ffff,0xb8000fff,0x7fd47fff,0x7ff403ff,0x3ffa002f,
    0xfffe802f,0x20fffec2,0xfd710018,0xbfffffff,0xdfff5019,0x837ffd40,
    0xf705fffb,0xffa80bff,0x6fffa86f,0xfff50000,0x7d40000d,0x540006ff,
    0x2a006fff,0xf984ffff,0x44004fff,0xff85ffff,0x3f200fff,0xff1003ff,
    0xffd001ff,0x47ffc85f,0x4c005ff9,0x800acffc,0x2a06fffa,0xff706fff,
    0x3ffee0bf,0x37ffd405,0x0037ffd4,0x06fffa80,0x3ffea000,0x7fd40006,
    0x3ff6006f,0xfffb01ff,0x7fec003f,0xfffc80ff,0x3ffee03f,0xffff5006,
    0x0bfffa00,0x3fff20e6,0x17fdc000,0x0dfff500,0xb837ffd4,0xff705fff,
    0xfffa80bf,0x06fffa86,0xdfff5000,0x7fd40000,0x7d40006f,0xff3006ff,
    0x7fc40bff,0x6c402fff,0xf103ffff,0x7cc0ffff,0x7cc04fff,0xfd005fff,
    0x7ec005ff,0x7dc002ff,0xff5003ff,0x7ffd40df,0x09fffb06,0x5017ffee,
    0xff30dfff,0x500001ff,0x0000dfff,0x0037ffd4,0x01bffea0,0x017fffec,
    0x33ffffea,0xffffe980,0x7fffe406,0x3ffffa03,0x7ffd440d,0xffd001ff,
    0x7ff4005f,0x7fdc002f,0xffa801ff,0x3732e26f,0x7f5c6fff,0xff702fff,
    0xa85999ff,0xfff06fff,0x880019ff,0x9efffb99,0x4ccc0019,0x99efffb9,
    0x26660099,0x99efffb9,0x7ffcc099,0xfff9006f,0xffbbdfff,0x803fffff,
    0x206ffff8,0xeffffff8,0xffffffec,0xfffd3003,0x33333337,0x5fffd333,
    0x2eaf3200,0xffa804ff,0xfffff56f,0x7fe4dfff,0xf700ffff,0xbfffffff,
    0xd837ffd4,0x007fffff,0xffffffd5,0x0bffffff,0xffffffd8,0xffffffff,
    0x3fff61ef,0xffffffff,0xf91effff,0x6c005fff,0xffffffff,0x01efffff,
    0x05ffff90,0x7fffffd4,0x6fffffff,0xfffffc80,0xffffffff,0xffffffff,
    0xffff9802,0xfa802ffe,0xffff96ff,0x7fcdffff,0x2e02ffff,0xffffffff,
    0x0dfff50f,0x0ffffff4,0x7fffff40,0xffffffff,0xffff502f,0xffffffff,
    0x2abfffff,0xffffffff,0xffffffff,0x0bfffd5f,0xfffff500,0x1bffffff,
    0x7fffc400,0x7fff4c04,0x4fffffff,0xfffff980,0xffffffff,0xffffffff,
    0xfffd002f,0x3e200dff,0xffff53ff,0x7e4dffff,0x7dc02fff,0x5fffffff,
    0x880fffe2,0xb006fffe,0xffffffff,0x03ffffff,0x3fffffe6,0xffffffff,
    0xfff35fff,0xffffffff,0x2bffffff,0x0000fffc,0xffffffb1,0x260007df,
    0xf7001fff,0x3dffffff,0x3fffe200,0xffffffff,0xffffffff,0x2e6002ff,
    0x22000bed,0x6665cc2b,0x56543ccc,0xcccc9800,0x2b882ccc,0x00177100,
    0x3fffff66,0x3dffffff,0x7fffedc0,0xffffffff,0x3f6e0cef,0xffffffff,
    0x20ceffff,0x300000ba,0x00003795,0x260006e6,0x80009bca,0xffffffda,
    0xffffffff,0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x000001cc,0x00001001,0x00010010,0x00001001,0x65cc0000,
    0x40000002,0x00001cca,0xaccb9880,0x00000000,0x00000008,0xffffd880,
    0x0016d40d,0x26037f62,0x300005fe,0x3faa09fd,0x09fd3003,0xa800ffaa,
    0x27ec41ee,0x3ffff200,0x001ecc1e,0xffffd880,0x0016d40d,0xfffffd10,
    0x00007fff,0x0bff2000,0x000deb80,0xfffffd80,0x5ffd9bff,0x1fffdc00,
    0x0017ffe4,0x40fffec0,0xd800fffe,0xffe81fff,0xdfff000f,0x001fffa8,
    0xfffffff7,0x00fff939,0x3ffff600,0xffd9bfff,0xfff70005,0xffffffff,
    0x9880001b,0xfb81accb,0x3fe006ff,0x7d40003f,0xfffe9aff,0x4002ffff,
    0xfd83fffc,0xd80002ff,0xffe82fff,0xfffd801f,0x01fffe82,0x20ffff88,
    0x8803fffd,0xffd9bfff,0x004fffff,0x9afffa80,0xfffffffe,0x7ff44002,
    0xffffffff,0x8002ffff,0xffffffe8,0xffff33ff,0x3ffe600d,0x66c40005,
    0x77fffdc0,0xefe88002,0x006ff980,0x20dff300,0xf3004ffa,0x13fea0df,
    0x23fffcc0,0x9002fffe,0xffffa819,0xb100003e,0xffffb819,0xffd8002e,
    0xfdceffff,0x00ffffff,0x3ffffee0,0xfeffffff,0x5002ffff,0x0000dfff,
    0x001cb880,0x00080180,0x04400800,0x02200400,0x47fff980,0x0002fffe,
    0x00005970,0x01cb8800,0xfffff500,0x3fffa607,0xffe8806f,0xffffffff,
    0x4fffffff,0x1bffea00,0x00000000,0x00000000,0x00000000,0xfff50000,
    0x01ffff8d,0x00000000,0x44000000,0x801effff,0x404ffffc,0xeffffffd,
    0xffffffdc,0x7d4006ff,0x400006ff,0x00accb98,0x00000000,0x00000000,
    0xff500000,0x1ffff8df,0x00000000,0x40000000,0x000ffffe,0x407ffff6,
    0x83fffffa,0xfffffea8,0x7ffdc001,0x440000bf,0xfffffffe,0x0000003f,
    0x00000000,0x40000000,0x3e25fffb,0xd9800fff,0xffffffff,0xd70001ff,
    0x40bfffff,0xffffffda,0x7ffcc2df,0x7fc4003f,0xfff884ff,0x3fe201ef,
    0x5005ffff,0xfffffffb,0x5c0017bb,0xffffffff,0x2000dfff,0xffffffd9,
    0x0001ffff,0xffffffd7,0xffffffff,0xc87fffff,0xfffffffe,0xdfffffff,
    0x97ffee01,0x800ffff8,0xfffffffd,0x8004ffff,0xfffffff8,0xffffd02f,
    0xa8dfffff,0x70006fff,0xffd0dfff,0x7f4401ff,0x01ffffff,0x3fffff62,
    0x4fffffff,0xffffe880,0xffffffff,0xffb002ff,0xffffffff,0xff10009f,
    0xffffffff,0xffffffff,0x7fcc7fff,0xffffffff,0x5fffffff,0x993fff20,
    0xfb007fff,0xffffffff,0x88001fff,0xffffffff,0xffffe80f,0x646fffff,
    0x10004fff,0xff98ffff,0x7fec04ff,0x05ffffff,0xffffffd1,0xdfffffff,
    0xfffffb00,0xffffb9df,0xfb003fff,0xffffffff,0x88001fff,0xffffffff,
    0xffffffff,0x2a3fffff,0xffffffff,0xffffffff,0x7fff645f,0xffffffff,
    0x300dffff,0xfffffffd,0x0007ffff,0xffffffd7,0xfffd509f,0xd85dffff,
    0x20002fff,0x3ea1ffff,0x7fdc06ff,0x7fffceff,0xdfffffb0,0xfffffd9b,
    0xffffa80f,0xfffd303f,0xffd300df,0xffffffff,0xfd90007f,0xffffffff,
    0xffffffff,0xfffd87ff,0xffffffff,0x2a1dffff,0xffffffff,0xffffffff,
    0x4cc404ff,0xfffffffc,0x3fa20006,0x101fffff,0x207fffd3,0x0001ffff,
    0xfc8bfffa,0x3fe604ff,0xfff99fff,0x7fffd40f,0xffffb02f,0x77fffc40,
    0xffffc801,0xf9331004,0x0dffffff,0x7fff4400,0x9999999b,0x03fffe99,
    0xfff73333,0x5013333d,0xffffffff,0xffffffff,0x7f4009ff,0x1ffffeff,
    0x3fffa000,0x7ec06fff,0xfff883ff,0x3f60000f,0x3fff63ff,0xfffff102,
    0x0bfffe25,0x401ffffd,0x3a06fff8,0x2000ffff,0x001ffffd,0x7ff7fff4,
    0x3a0001ff,0xfb002fff,0x3ea007ff,0x3f6006ff,0xffffffff,0xdfffffff,
    0xffff3000,0x009fffd5,0x7fffff40,0x3ff604ff,0x3ffff03f,0x7fff4000,
    0x407fffe2,0x744ffffe,0x3fe23fff,0xffd802ff,0x7ffff304,0xffff8800,
    0x3ffe6005,0x04fffeaf,0x0bfffa00,0x017ffec0,0x006fffa8,0x9affff98,
    0x01dfffd9,0x76fffd80,0x0001ffff,0x3ffffffa,0xfffb01ff,0x0bfffa07,
    0x1ffff800,0x901ffff1,0xfb0dffff,0x7ffcc9ff,0x40571007,0x0006fffa,
    0x400ffff7,0xff76fffd,0x3a0001ff,0x1db82fff,0x4007ffee,0x8006fffa,
    0x320ffff8,0x88004fff,0xff13ffff,0x3a0007ff,0xffffcfff,0x07fffb06,
    0x0013fff6,0xf07fffc4,0xffa83fff,0xffd80fff,0x1bffee3f,0xfffc8000,
    0xfff10004,0xfff1001f,0x3fffe27f,0xfffd0003,0x226ffc85,0x3ea005fe,
    0xf88006ff,0x3ff60fff,0xffb8003f,0x3fff20ff,0xfffd0006,0x07ffff95,
    0x3207fffb,0x70006fff,0xffe8ffff,0x3fffe62f,0x3ffff01f,0x003fffd4,
    0x05fffb00,0x0ffffc00,0x07fffdc0,0x000dfff9,0xfb0bfffa,0x400081ff,
    0x8006fffa,0x7ec7fff9,0xfe8003ff,0x7ffcc5ff,0xffe8001f,0x1ffffd2f,
    0x103fffd8,0x8009ffff,0x6c5ffff8,0xffd14fff,0x3fe207ff,0x3ffe20ff,
    0xff00000f,0x6c0003ff,0xfe803fff,0x7ffcc5ff,0xffe8001f,0xfffeeeef,
    0x7d40002f,0x54c006ff,0xe999ffff,0x2000bfff,0xe81ffff9,0xe8004fff,
    0xfff52fff,0x3fffd8bf,0x07ffff60,0x0ffffd80,0x6c7fffdc,0x2e05ffff,
    0xfff86fff,0x2033005f,0x000ffff8,0x013fff20,0xd03ffff3,0xd0009fff,
    0xffffffff,0x80005fff,0xb006fffa,0xffffffff,0xffffffff,0xfffb003d,
    0x3fffee0d,0x7fff4000,0x8bffff62,0x2603fffd,0x401fffff,0x83ffffd8,
    0xffeffff9,0x3fe206ff,0xfffc85ff,0xffd500df,0x07fffe0b,0x3fffd800,
    0x837ffec0,0x000ffffb,0x7ffffff4,0x002fffff,0x037ffd40,0x7fffffcc,
    0xffffffff,0x4405ffff,0xf103ffff,0xe8007fff,0x3fe22fff,0xfffb0fff,
    0xffffc807,0xffea80bf,0x3ff206ff,0x00ffffff,0x207ffff6,0xcffffff8,
    0xffffecbb,0x2fffd80f,0x3fffe000,0x3fffe201,0x7ffff103,0xffffe800,
    0x2fffffff,0x7ffd4000,0xffff9806,0xffffffff,0x05ffffff,0x7fffffdc,
    0xffffffff,0x7ff4006f,0x7fffd42f,0x007fffb4,0xdffffffb,0xffffffd9,
    0x7ffc403f,0xb102ffff,0x5407ffff,0xffffffff,0x05ffffff,0x0009fff9,
    0x803fffe2,0xfffffffb,0xffffffff,0x7fff4006,0xffffcccd,0x7fd40002,
    0xffb7006f,0xffffffff,0x019fffff,0xffffffe8,0xffffffff,0x3fa001ff,
    0xfffd82ff,0x03fffd9f,0xffffffd0,0xdfffffff,0xffff9003,0xffd303df,
    0xff300dff,0xffffffff,0x3ea03fff,0xb8000fff,0x7f407fff,0xffffffff,
    0x1fffffff,0x0bfffa00,0x1883fffb,0x1bffea00,0x93fff200,0x2007fff9,
    0xfffffff9,0xffffffff,0x3fa004ff,0xfff882ff,0x03fffdef,0x3ffffee0,
    0x0dffffff,0xfffff900,0xfffbbfff,0x2001ffff,0xffffffd9,0x2600cfff,
    0x4004ffff,0x205ffff8,0xfffffff9,0xffffffff,0x3fa004ff,0x3ffe42ff,
    0x54017fe6,0xd8006fff,0x3fe63fff,0x3ff6007f,0xffffffff,0xffffffff,
    0x5fffd000,0x3ffffee0,0x44003fff,0xfffffffe,0x3fee003d,0xffffffff,
    0x2fffffff,0xfffc8800,0x3f6002cf,0x36001fff,0x3600ffff,0xffffffff,
    0xffffffff,0xffd000ff,0xf907305f,0xff5001ff,0xffb000df,0x37ffd47f,
    0xbffff880,0x99999999,0x03ffff99,0x405fffd0,0xfffffffe,0x7ffd4003,
    0x40c02fff,0xfffffff9,0xffffffff,0x2a0000df,0x88006fff,0x402fffff,
    0x03ffffd8,0x26ffffe2,0x99999999,0x003ffff9,0x4005fffd,0xa802fffd,
    0xe8006fff,0x3fea2fff,0xfff7006f,0x7fe4001f,0xfffd006f,0x7fffcc05,
    0x2a003fff,0xffffffff,0xffc88ace,0x3ffffa0f,0xfffffc8b,0x80002eff,
    0x0006fffa,0x19fffff5,0xdffffd30,0x0ffffb80,0x1bfff200,0x017fff40,
    0x005fffd0,0x000dfff5,0x7dc5fffd,0xfe8805ff,0x51001dff,0x8015ffff,
    0x009bfffe,0x7ffffff9,0x3fffea00,0xffffffff,0x53ffffff,0x9889ffff,
    0x00009bca,0x01bffea0,0xfffffc80,0xffffddef,0x3a201fff,0x1001dfff,
    0x015ffff5,0x4dffff4c,0x99999999,0x982fffe9,0xefffb999,0x7c009999,
    0x3fee1fff,0x3ffa605f,0x04ffffff,0xffffffd3,0xfffb09ff,0x81dfffff,
    0x3fffffe8,0xfffffd00,0xffffffff,0x261fffff,0x00006fff,0x9fff1000,
    0xfffd8000,0xffffffff,0xfd301eff,0x9fffffff,0x3ffffa60,0x7e44ffff,
    0xffffffff,0xffffffff,0x3f62ffff,0xffffffff,0x1effffff,0x643ffff0,
    0x3f604fff,0xffffffff,0xffffd81f,0x21ffffff,0xfffffff9,0xffa84fff,
    0xfd003fff,0xffffffff,0xffffffff,0x000dfc87,0x3f600000,0xfa80001f,
    0xffffffff,0x3f600dff,0xffffffff,0xffffd81f,0x31ffffff,0xffffffff,
    0xffffffff,0x25ffffff,0xfffffffa,0xffffffff,0xfff885ff,0x0ffff60f,
    0xffffffd8,0xfd80ffff,0xffffffff,0x3fffe60f,0x03ffffff,0x007ffffb,
    0x26f7ffea,0xfffdb989,0x000001df,0x000c0000,0x3fff6200,0x803effff,
    0xfffffffd,0xffd80fff,0xffffffff,0xffffff10,0xffffffff,0xffffffff,
    0x3ffffe65,0xffffffff,0xfd05ffff,0x1fffb8ff,0x3fffb220,0x9103dfff,
    0xbffffffd,0xffffb707,0x22019dff,0x4003ffff,0x00022000,0x00000000,
    0x54c00000,0x644001bc,0xdffffffe,0xfffd9103,0xda87bfff,0xffffffff,
    0xffffffff,0x36e2ffff,0xffffffff,0x0cefffff,0xc883db30,0x0000003e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x51000000,
    0x73000013,0xdddddddb,0x3260039d,0xfffffffd,0x200004ff,0x08000000,
    0x00800000,0x00011000,0x00000800,0x00000080,0x88000110,0x3620000a,
    0x02efffff,0x3fffb220,0xffffffff,0xffb806ff,0xffffffff,0x880004ff,
    0x000003fe,0x00007fd1,0x0007fea0,0x0007ff10,0x003bf200,0x17fd4000,
    0xff100000,0x3ff20007,0xff98005f,0x3fffffff,0xfffffa80,0xffffffff,
    0x7e404fff,0xffffffff,0x0004ffff,0x001fffcc,0x1fffcc00,0x7fdc0000,
    0x7c40001f,0x800005ff,0x0001fffc,0x03fffa80,0xfff10000,0xfff9800b,
    0x3e6002ff,0xffedffff,0x3ff203ff,0xdffeffff,0x00adffda,0x4df7ffcc,
    0xffc99999,0x3fee0004,0xb800005f,0x00005fff,0x003fffd8,0x1dfff500,
    0xffd80000,0xc800003f,0x00005fff,0x01dfff50,0x3fffff20,0xffff1005,
    0x7ffec417,0xfffffa80,0xf94ffb8b,0x3ff2007f,0x04ffb805,0x09fff900,
    0xfffb0000,0xe8800009,0x00002fff,0x00ffff4c,0x3fff2000,0xfa800004,
    0x00000eff,0x01ffff98,0x7fffffd8,0x05fff700,0x7ec17fec,0x3fee0fff,
    0x2007ff94,0xfa801ffe,0xffd8003f,0xd800002f,0x00002fff,0x00f7ff44,
    0xffe88000,0x5400000f,0x00005fff,0x006fff98,0xfffd1000,0xffffd801,
    0x9fff006f,0x445ff980,0x7dc3ffff,0x007ff94f,0x2200bffe,0x7c4001ff,
    0x800001ff,0x0001fff8,0x00effb80,0xffc80000,0xf9800004,0x800000ff,
    0x0002ffe8,0x013ff200,0x0bfffff9,0x200fff70,0x7ffd47ff,0xca7fdc0f,
    0xff9803ff,0x008800ef,0x00019700,0x00066400,0x003c8800,0x06540000,
    0x3c880000,0x25c00000,0x65400000,0x7fffdc00,0x5ffd805f,0x541fff00,
    0x7dc0ffff,0x407ff94f,0xefffffd8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x04fffffb,0x4403ffe8,0x3ea0fffa,
    0x7fdc1fff,0x2207ff94,0xffffffff,0x0000003f,0x4cc00000,0x0000009a,
    0x00000133,0x00013533,0x00000000,0x00000998,0x40013530,0x03fffffa,
    0xf902fff8,0x441fffff,0x7dc5ffff,0x207ff94f,0xfccefffb,0x4002efff,
    0x2eeeedb9,0xdddddb50,0xfd971009,0x19ffffff,0x7f6cc000,0x00bdffff,
    0x7ff65c40,0x00cfffff,0xddddb730,0x3bbb6a05,0x366004ee,0xbdfffffe,
    0xfd710000,0x039fffff,0x2fffff98,0x207ffc40,0xffffffe9,0x7fffec0f,
    0x7e53fee3,0x85ffd03f,0x1dffffe9,0xffffff00,0xffff705f,0xfb80bfff,
    0xffffffff,0x4004ffff,0xffffffc8,0x003fffff,0xfffffff7,0x09ffffff,
    0xfffffff0,0xfffff705,0xf9100bff,0xffffffff,0xfa8007ff,0xffffffff,
    0xff100dff,0xf9805fff,0x7fffc46f,0x440fffef,0xcbfffffe,0x07ff94ff,
    0x7e417ff2,0x200cffff,0xfffffff9,0xfffffd82,0x7ffc05ff,0xffffffff,
    0x5003ffff,0xffffffff,0x3dffffff,0xffffff80,0xffffffff,0x3ffe603f,
    0xfd82ffff,0x05ffffff,0x7fffffd4,0xffffffff,0xfffd801e,0xffffffff,
    0xfff02fff,0xff9803ff,0x8efffec6,0xffb00fff,0x29ffffff,0xff103ffc,
    0x3ff6609f,0x3fa02fff,0xa82fffff,0x5fffffff,0x7ffffec0,0xffffffff,
    0x7fc401ff,0xffffffff,0x06ffffff,0x7fffffec,0xffffffff,0x3fffa01f,
    0xffa82fff,0x205fffff,0xfffffff8,0xffffffff,0x7ffec06f,0xffffffff,
    0xf81fffff,0x4c00ffff,0x3ffe26ff,0xb007ffc3,0x9fffffff,0xfd80fff2,
    0xfd501eff,0x54c09fff,0x5102fffe,0x80bfffb5,0x41abced9,0x03ffffb8,
    0x677ffff4,0xfff9510a,0x76cc07ff,0x7dc41abc,0x54c03fff,0x5102fffe,
    0x40bfffb5,0xaceffffe,0xffff9510,0x3ffee07f,0x2e609dff,0x40efffff,
    0x9807fffe,0x1ffea6ff,0x51003ffe,0x329ffffb,0x7fe403ff,0x3ff203ff,
    0x7ff405ff,0xfffb802f,0x7ec00005,0x3ff204ff,0x7cc00eff,0x0000ffff,
    0x009fffb0,0x200bfffa,0xf905fffb,0x9801dfff,0x440fffff,0x402fffff,
    0x43ffffe8,0x9807fffd,0x13fee6ff,0x90003ffe,0x0fff29ff,0x3ffffee0,
    0x5fffd302,0x017fff40,0x002fffdc,0xf709a988,0x7ffc0bff,0xff5000ef,
    0x98800bff,0xbfff709a,0x0bfffa00,0x417ffee0,0x000effff,0xb8bffff5,
    0x2002ffff,0x7ec5fffd,0xff9806ff,0xf03ffea6,0xfb8001ff,0x007ff94f,
    0x3bffffe6,0x40dffb01,0xb802fffe,0x91005fff,0xfffffffd,0x220bffff,
    0xaaacffff,0xaaaaaaaa,0x4406fffd,0xffffffec,0x005fffff,0x7005fffd,
    0xff10bfff,0x555559ff,0xfb555555,0xfffe8dff,0x7ffcc005,0x037ffe47,
    0xff137fcc,0x07ffc39f,0x653fee00,0x322003ff,0x884fffff,0xffd01ffe,
    0xfff7005f,0xfffc880b,0xffffffff,0xff505fff,0xffffffff,0xffffffff,
    0xf9101fff,0xffffffff,0x00bfffff,0x200bfffa,0xfa85fffb,0xffffffff,
    0xffffffff,0x3fe0ffff,0xfd8002ff,0x3ffea2ff,0x46ff9804,0xfdeffffc,
    0x7dc001ff,0x007ff94f,0xdffffb10,0x817ff443,0xb802fffe,0x3a205fff,
    0xffffffff,0x5fffffff,0xffffff90,0xffffffff,0x3fffffff,0xfffffe88,
    0xffffffff,0xffd005ff,0xfff7005f,0xfffff90b,0xffffffff,0xffffffff,
    0x03fffe23,0x13fff200,0x3e001dfd,0xffffe87f,0x4006ffff,0x7ff94ffb,
    0x7ff54000,0x6fffeeff,0x00bfffa0,0xd817ffee,0xffffffff,0xffffffff,
    0xfffff705,0xffffffff,0xffffffff,0xfffffd85,0xffffffff,0xfd005fff,
    0xff7005ff,0xffff70bf,0xffffffff,0xffffffff,0x3fffe25f,0xfffc8000,
    0x7f400084,0xffffb80f,0x5c006fff,0x07ff94ff,0xffff9000,0x7407ffff,
    0xfb802fff,0xfff705ff,0x4c4139ff,0x305fffd9,0xddddffff,0xdddddddd,
    0x5c3ddddd,0x09cfffff,0x3fff6662,0x5fffd005,0x0bfff700,0xdddffff3,
    0xdddddddd,0x43dddddd,0x8002ffff,0x0001fffe,0x5101ffd8,0x00159957,
    0xff94ffb8,0x3ea00007,0x401dffff,0xb802fffe,0xffb05fff,0xff7003ff,
    0x3ffe20bf,0x6c00004f,0xb801ffff,0xfd005fff,0xff7005ff,0xffff10bf,
    0xfe800009,0x2e000eff,0x00007fff,0x00007ff7,0x329ff700,0x05cc03ff,
    0x017ffd40,0x404fffd8,0xf05fffea,0xd3007fff,0x7f40bfff,0x00003fff,
    0x200ffffe,0x005fffe9,0xa809fffb,0xfd05fffe,0x00007fff,0x02ffffd4,
    0x05ffffa8,0x0fff5000,0xff700000,0xd00fff29,0x3ffa00bf,0xffff9003,
    0xffffd501,0x3fffe0bf,0x3fffaa04,0xff301eff,0x98017fff,0x7fc3fecb,
    0x3faa04ff,0x801effff,0xa80ffffc,0x05fffffe,0x17fffff3,0x3fecb980,
    0x2effffe8,0xfffff910,0x00159505,0x000fffe2,0x29ff7000,0x3e203ffc,
    0x5fff007f,0x3fffea00,0xffffecdf,0x44ffffff,0xcefffffd,0xffffffed,
    0xb84fffff,0xdeffffff,0xffffedcc,0x3ff60fff,0xfedcefff,0xffffffff,
    0x3fea04ff,0xffecdfff,0xffffffff,0xfffffb84,0xfedccdef,0x40ffffff,
    0xfffffff9,0xffffedcd,0xfffb85ff,0x3bff2005,0x00054400,0xffca7fdc,
    0x01ffe203,0x4003ffee,0xffffffe8,0xffffffff,0x3e60ffff,0xffffffff,
    0xffffffff,0xfd80ffff,0xffffffff,0xffffffff,0x3fffe61f,0xffffffff,
    0xffffffff,0xfffd100f,0xffffffff,0x1fffffff,0xffffffb0,0xffffffff,
    0xf503ffff,0xffffffff,0x0dffffff,0x003ffffa,0x80f7ffc4,0xa9804ffc,
    0xfb4ffdaa,0xff1035bf,0x9999999f,0x800bffff,0xffffffe8,0xffffffff,
    0x7fd40fff,0xffffffff,0xffffffff,0xfff700ff,0xffffffff,0x509fffff,
    0xffffffff,0xffffffff,0x4401ffff,0xfffffffe,0xffffffff,0xfff700ff,
    0xffffffff,0x409fffff,0xffffffe9,0x03ffffff,0x0017ffee,0x9bdffff7,
    0x80bffffd,0xfffffffc,0xffffffcf,0x7ffffc45,0xffffffff,0xfe88000f,
    0xadffffff,0x02dffffc,0xffffffb3,0xfff75bff,0xd8805bff,0xffffffff,
    0x201bdfff,0xffffffd9,0xfffbadff,0xe8802dff,0xdfffffff,0x2dffffca,
    0x7fffec40,0xdfffffff,0xfdb5001b,0x37bfffff,0x00057300,0x3fffffee,
    0x401effff,0xfffffffd,0xffffffdf,0x7ffffc46,0xdfffffff,0x65440000,
    0x80000abc,0x0abccca9,0xba980000,0x0009abcc,0xabccca98,0xa8800000,
    0x0000abcc,0x5e65d4c0,0x8800009a,0x00001bca,0xfffd5000,0x0017ffff,
    0x99999971,0x2f3332e7,0x66666441,0x01accccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1aaba880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc9800000,0x2000002d,0x00000bd9,0x40000080,
    0x000001c8,0x10000072,0x04000000,0x26620000,0x40000000,0x00000198,
    0x0c000391,0xffffd800,0xf800000f,0x000003ff,0x0000ffa2,0x0027ff54,
    0x13ffa600,0x02ff4000,0x3f620000,0x76d40003,0x91dfffff,0x817bdddd,
    0x2eeeedb9,0xdfffffb5,0xd5000019,0xf98009ff,0x3e6003ff,0x003fc89e,
    0x2fffcc00,0xff980000,0x6440003f,0x01efffff,0xffffc800,0x740001ef,
    0x00000eff,0x004fff98,0xfffff910,0xfdbfffff,0xf8bfffff,0xedffffff,
    0xffffffff,0x910003ff,0x03dfffff,0x01ffff60,0x03f41fd8,0x3ffea000,
    0xfb800006,0x4c0005ff,0xfffdfffe,0xfd30004f,0x9ffffbff,0x3fa20001,
    0x200001ff,0x0006fffa,0xfffffff3,0xffffffff,0x4cffffff,0xffffffff,
    0xffffffff,0x000effff,0x3f7fffa6,0xfc804fff,0x3f6006ff,0x00003f40,
    0x001bffea,0x09fffb00,0xffffa800,0x0bfffb12,0x3ffff980,0x00dfffb1,
    0x1fffec40,0x7ffe4000,0xfff10004,0xffffffff,0xffffffff,0xfffe89ff,
    0xffffffff,0xffffffff,0xfff5006f,0x3fff625f,0x0ef64405,0x2e1bf300,
    0x5400004f,0x00006fff,0x000bfff6,0x2037ffa0,0x2002fffb,0xfa80dffe,
    0x640002ff,0x20002fff,0x0003fffc,0x2ffffffa,0x3fffb261,0x300adfff,
    0xffffffd5,0x3f2a215b,0xe804ffff,0xffb80dff,0x2000002f,0x00fffffe,
    0x7ffd4000,0xff100006,0x2e00003f,0x06ec402d,0x8807d500,0xb80000dc,
    0xf10006ff,0x5c0003ff,0x200effff,0x4fffffe8,0xfffffb00,0xffff9809,
    0x016dc01f,0x00003762,0x017fd500,0xfff50000,0x6640000d,0x00000000,
    0x00000000,0x00593000,0x000065c0,0x401bfffa,0x04ffffe8,0x09ffffb0,
    0x13fffe60,0x00000000,0x00000000,0x0037ffd4,0x00000000,0x000004cc,
    0x00000000,0x80000000,0x003ffff8,0x013fffe6,0x00ffffec,0x00dfff90,
    0x00013530,0xa9980002,0xa8000009,0x00006fff,0x00009a98,0xffffed98,
    0xb9800bdf,0x502eeeed,0x09dddddb,0x00000000,0xffff5000,0xffff8001,
    0xdfffb004,0xffff9800,0x7ff5c400,0x001cffff,0xb8801dfd,0xffffffec,
    0xfb5000cf,0xffffffff,0xffffffff,0xfd71007d,0x039fffff,0xffffc880,
    0x3fffffff,0x7fffffc0,0xffffb82f,0x65405fff,0x4eeeeeee,0xeeeca800,
    0x7004eeee,0xb000dfff,0x36009fff,0xf8003fff,0x3ea01fff,0xffffffff,
    0x3ea00dff,0x3fee03ff,0xffffffff,0xff804fff,0xffffffff,0xffffffff,
    0x3ea03fff,0xffffffff,0xfa800dff,0xffffffff,0x81efffff,0xfffffff9,
    0xfffffd82,0x3fea05ff,0x6fffffff,0x7fffd400,0x006fffff,0x000ffff3,
    0x2009ffff,0x4005fffd,0x3607fff9,0xffffffff,0x02ffffff,0x7c0bfff9,
    0xffffffff,0x03ffffff,0x3fffffe2,0xffffffff,0x4fffffff,0xffffffb0,
    0xffffffff,0x7fffc405,0xffffffff,0xfd06ffff,0x505fffff,0xbfffffff,
    0x7ffffe40,0x4006ffff,0xfffffffc,0x3fe006ff,0x3ee003ff,0xfb004fff,
    0x6c003fff,0xffb05fff,0xffffffff,0x03ffffff,0x6c0dfffb,0xffffffff,
    0x1fffffff,0x3fffff20,0xffffffff,0x0effffff,0xffffffd8,0xffffffff,
    0xfffd01ff,0x2a2159df,0x03fffffc,0x05fffd53,0x3fff6aa2,0x3fffe205,
    0x006fffff,0x7fffffc4,0x36006fff,0xa802ffff,0x004fffff,0x01fffffb,
    0x07ffff90,0x3bfffff7,0x7fffdcc1,0x7fff40ef,0x2f3b6607,0x7ffdc41a,
    0x9999803f,0x9efffb99,0x70099999,0x13bfffff,0x7ffffdcc,0x7fffe40e,
    0x7ffcc00e,0x3ffa00ff,0xfffb802f,0xcaaa9805,0x30006fff,0xdfff9555,
    0x7fffd400,0xffc880df,0xb004ffff,0x07ffffff,0x3fffffa6,0x7ffffc40,
    0x7fff4402,0x3ffff43f,0xfffb0000,0x7fd40009,0x7fc4006f,0x74402fff,
    0x7fc3ffff,0xf5000eff,0x7f40bfff,0xffb802ff,0xffa8005f,0xf500006f,
    0xfb800dff,0xddffffff,0xffffffff,0xfffb004f,0xdbdfffff,0x3fffffff,
    0x05ffff70,0x22fffec0,0x000fffff,0xfb84d4c4,0x2a0005ff,0x5c006fff,
    0x2002ffff,0x3e25fffd,0xaaaacfff,0xdaaaaaaa,0x3fa06fff,0xffb802ff,
    0xffa8005f,0xf500006f,0xf9000dff,0xffffffff,0xffffffff,0x3fff6009,
    0xffffffff,0x02ffffff,0x800bfffd,0x3e27fff9,0x4401ffff,0xffffffec,
    0x005fffff,0x01bffea0,0x00bfffd0,0x2a7fff98,0xffffffff,0xffffffff,
    0xd00fffff,0xf7005fff,0xf5000bff,0x20000dff,0x0006fffa,0xfffffff7,
    0xffffffff,0x3ff6009f,0xffffffef,0x02efffff,0x000bfffe,0x7ccbfff6,
    0x9102ffff,0xffffffff,0x0bffffff,0x37ffd400,0x0bfffe00,0x4bfff600,
    0xfffffffc,0xffffffff,0x01ffffff,0x7005fffd,0x5000bfff,0x0000dfff,
    0x001bffea,0xfffffc88,0xffd8beff,0xfffb004f,0xfffff917,0xf8805fff,
    0xc8000fff,0xfff54fff,0xffd107ff,0xffffffff,0x00bfffff,0x037ffd40,
    0x01ffff10,0x29fff900,0xfffffffb,0xffffffff,0x02ffffff,0x7005fffd,
    0x5000bfff,0x0000dfff,0x001bffea,0x0d5dd4c0,0x4013fff6,0x2623fffd,
    0x10009bba,0x0001ffff,0x3ea9fff9,0xfd84ffff,0xffffffff,0x5fffffff,
    0x3ffea000,0x3ffe2006,0xffc8000f,0xdffff34f,0xdddddddd,0xdddddddd,
    0x0bfffa03,0x017ffee0,0x01bffea0,0x37ffd400,0xfb000000,0x3f6009ff,
    0x400003ff,0x8002ffff,0xff71fffe,0xffb89fff,0x2209cfff,0x05fffd99,
    0x17ffea00,0x05ffff00,0x23fffd00,0x004ffff8,0x3fffa000,0x5fffb802,
    0x6fffa800,0xfff50000,0x4000000d,0xb004fffd,0x00007fff,0x00efffe8,
    0xc9fffee0,0x6c5fffff,0xb801ffff,0x20005fff,0x4003fff8,0x000efffe,
    0xfd1fffee,0x00007fff,0x013fff60,0x00bfffd5,0x00dfff50,0x1bffea00,
    0xfd800000,0xffb004ff,0xa800007f,0x5005ffff,0x7ecbffff,0x7fc6ffff,
    0xfe9803ff,0x640005ff,0x7d4001ef,0xf5005fff,0xff98bfff,0x4c00bfff,
    0x3203fecb,0xea80ffff,0x005fffff,0x006fffa8,0x0dfff500,0x7ec00000,
    0xffb004ff,0xd000007f,0x205dffff,0x2fffffc8,0x1ffffff6,0x5409ffff,
    0x1efffffe,0x00004000,0x05dffffd,0x3fffff22,0xfffffb82,0xfedccdef,
    0x00ffffff,0x9bfffff5,0xfffffffd,0x26609fff,0xefffb999,0x20099999,
    0xffb99999,0x099999ef,0xd5530000,0x2015bfff,0xacfffea8,0xf300001a,
    0x9bffffff,0xffffffdb,0xfffffb8b,0x7ffffec4,0xffffedce,0x4fffffff,
    0x99999988,0x99999999,0xff301999,0xb9bfffff,0xbffffffd,0x7ffffec0,
    0xffffffff,0x101fffff,0xfffffffd,0xffffffff,0x7fe41fff,0xffffffff,
    0xefffffff,0x3fffff20,0xffffffff,0x000effff,0xffffff70,0xd87fffff,
    0xffffffff,0x80001fff,0xfffffffa,0xffffffff,0xfffff886,0x7ffffcc2,
    0xffffffff,0xffffffff,0x3fffff20,0xffffffff,0x0effffff,0xffffffa8,
    0xffffffff,0xfffb806f,0xffffffff,0x404fffff,0xffffffe8,0xffffffff,
    0xfff10fff,0xffffffff,0xffffffff,0x3ffffe29,0xffffffff,0x04ffffff,
    0xfffffd00,0x4fffffff,0xfffffff9,0x005fffff,0xffffd300,0xffffffff,
    0x37ffec07,0xffffffa8,0xffffffff,0x10ffffff,0xffffffff,0xffffffff,
    0x209fffff,0xffffffe9,0x03ffffff,0x3ffff620,0xdfffffff,0xffd1001b,
    0x95bfffff,0x445bffff,0xffffffff,0xffffffff,0xfff13fff,0xffffffff,
    0xffffffff,0x3ff60007,0xffffffff,0x3fffe25f,0xffffffff,0x6d400003,
    0xdffffffe,0x02c9801b,0x7ffffecc,0xffbadfff,0x3e22dfff,0xffffffff,
    0xffffffff,0x5403ffff,0xffffffed,0x260001bd,0x09abccba,0x66544000,
    0xda8000ab,0xffffffff,0xefffffff,0x3fff6a0c,0xffffffff,0x00ceffff,
    0xdddb7100,0x817bdddd,0xeeeeeec9,0x00003dee,0x00de5440,0x654c0000,
    0x0000abcc,0xfffffff5,0xffffffff,0x001bffff,0x000de544,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x00000135,0x00015531,0x09aa9880,0x000d4400,0x000d5440,
    0x00015c00,0x00d54c40,0x00062000,0x8004d4c0,0x2eeeedb9,0xdddddb50,
    0xdddddb09,0xdddddddd,0x4c07dddd,0x322000ac,0x3ffffffe,0x17bdddd7,
    0xfffffa80,0x10000dff,0xffffffd7,0xfffd9809,0x22003dff,0xcfffffec,
    0x7f4c0000,0x4c0000df,0xfffffffd,0xca88001e,0x730006fe,0x9ffffffb,
    0x7ffffc40,0xfffb82ff,0xfe85ffff,0xffffffff,0xffffffff,0x1ffffb04,
    0xffffd500,0xfdffffff,0x20dfffff,0xffffffe8,0x4003ffff,0xfffffffb,
    0xff303fff,0xdfffffff,0xfffe8801,0x03ffffff,0xfffff700,0xfb10005f,
    0xffffffff,0xb98019ff,0x06fffffe,0xfffffa80,0x82efffff,0xfffffff9,
    0xfffffd82,0xfffe85ff,0xffffffff,0x84ffffff,0x04fffff9,0x7fffffe4,
    0xffffffff,0x40ffffff,0xfffffff8,0x03ffffff,0xfffffd88,0x85ffffff,
    0xfffffff9,0x2606ffff,0xffffffff,0x2002ffff,0xffefffe9,0xd1000dff,
    0xffffffff,0x20bfffff,0xfffffffb,0x7dc006ff,0xffffffff,0xfe82ffff,
    0xa82fffff,0x5fffffff,0xffffffe8,0xffffffff,0xffa84fff,0x3ea05fff,
    0xfeffffff,0xffffffff,0xffd84fff,0xffeeffff,0x2201ffff,0xfffffffe,
    0x4c2fffef,0xfeffffff,0xf03fffff,0xffdfffff,0x003fffff,0x227ffff3,
    0x800efffd,0xfffffffd,0xffffffee,0x7ffffcc3,0x006fffff,0x3fffffee,
    0xffffffef,0xffea980f,0xfb55102f,0xfffb0bff,0x55555559,0x07ffff55,
    0x407ffffa,0x1dfffff8,0x7ffffecc,0xffb80adf,0x7e441eff,0xfd106fff,
    0x437bffff,0xfffc81a8,0x7fff4c4f,0x7fffdc0f,0x3fffaa0d,0xeffd806f,
    0x03fffa81,0x0bffffe8,0x47ffffb8,0xfffffffa,0xf1006fff,0x8819ffff,
    0x205ffffd,0xb802fffe,0xffb85fff,0xffff3007,0x0b7ae203,0x03ffffd8,
    0x27ffffdc,0x01ffffb0,0x407fffec,0x02fffffd,0x1ffffc40,0x44ffff88,
    0x3205fffe,0x5401ffff,0x06e4403e,0x0077fd40,0xd07fffee,0xff759dff,
    0x3fea00df,0x7fe402ff,0xfffd00ff,0xbfff7005,0x6400b6e0,0x00006fff,
    0x2009ffff,0x204ffffd,0x4c04fffe,0x7dc2ffff,0x8002ffff,0x5c07fffc,
    0x3fe67fff,0x7ff400ff,0x0000005f,0xfe800a20,0x540983ff,0xfb006fff,
    0x3fe00bff,0xfffd01ff,0xbfff7005,0x3ffa0000,0xf980003f,0xf1000fff,
    0x7fc09fff,0xffe801ff,0x7ffffc3f,0xffff0001,0xffff8807,0x00dfff52,
    0x800ffff7,0x00009a99,0x3fff6000,0xdfff5003,0x03ffee00,0x81fffec0,
    0xb802fffe,0x80005fff,0x001ffff9,0x06fffa80,0x027fff40,0x8807fffd,
    0x3ea2ffff,0x10002fff,0xb001ffff,0x3fee9fff,0xfff8805f,0xfd97100f,
    0x19ffffff,0x7c400000,0xf5001fff,0x6dc00dff,0xffff1002,0x0bfffa05,
    0x017ffee0,0x1bfff200,0x7ffe4000,0x7ffec004,0x1ffff204,0x41ffff90,
    0x0006fffe,0x401fffe6,0xff75fffb,0xfff100bf,0xffff703f,0xffffffff,
    0x1000009f,0x400ffffd,0x0006fffa,0x3fffee00,0x05fffd01,0x00bfff70,
    0x07ffff00,0x3ffee000,0x7fff4005,0x3fffea04,0x7ffdcc2d,0x3fffe26f,
    0x57bdb733,0x037ffd40,0xf36fffa8,0xffb00fff,0xffff05ff,0xffffffff,
    0x40007fff,0xfffdaaa8,0x3ea004ff,0x000006ff,0x40fffff1,0xb802fffe,
    0x40005fff,0x001ffff9,0x0ffff300,0x04ffff80,0x7fffffec,0xffffffed,
    0x27fffe61,0xfffffffc,0x5fffb80d,0x2ffff300,0x201ffff8,0x83fffffb,
    0xfffffffd,0xffffffff,0xfff88001,0x06ffffff,0x037ffd40,0x7ff44000,
    0x3ffa04ff,0xfffb802f,0x7fe40005,0x4ccc406f,0xffff1009,0x3fff2007,
    0x7ff4404f,0xffffffff,0x7ffd43ff,0xffffffef,0x7dc1efff,0xff3005ff,
    0x37fff4ff,0xffffff88,0xabced985,0x7fffdc41,0xfffb8003,0x00ffffff,
    0x037ffd40,0x3ffa2000,0x7ff406ff,0x7ff5404f,0x7fc0005f,0x7ff404ff,
    0x3ffa01ff,0x7fcc01ff,0xfb804fff,0xffffffff,0xfffb86ff,0xffffffff,
    0x7dc6ffff,0xff3005ff,0x7fffd4ff,0xffff911e,0x0000dfff,0x0009fffb,
    0xfffffff3,0xfa8005ff,0x200006ff,0x0efffff9,0x83ffff40,0x5fffffea,
    0x3ffe6000,0x3ffe601f,0x7ffcc05f,0xfff903ff,0xf8809fff,0xffffffff,
    0x7dc4ffff,0xdfffffff,0x4ffffeba,0x4017ffee,0x7ec7fff9,0xffffffff,
    0x07ffffff,0x5c26a620,0x50005fff,0xfffffffb,0x7fd4005f,0xf300006f,
    0x001dffff,0x9bfffffd,0xfffffffd,0x90009fff,0xfb80dfff,0xfc800fff,
    0xecefffff,0xffffffff,0x3fffa204,0xfffedeff,0x3fea3fff,0x441effff,
    0xf70ffffe,0x3e600bff,0x7ffc47ff,0xffffffff,0x2206ffff,0xffffffec,
    0x005fffff,0xfffe9880,0xff5001ff,0xf50000df,0x001dffff,0x3ffffffa,
    0xffffffff,0x000fffff,0x2027fffc,0x2003fffe,0xfffffffe,0xffffffff,
    0x3fff604f,0xfffb81ef,0xffff10ff,0x3fe201ff,0xdfff73ff,0x1bffea00,
    0x3fffff62,0xfffccfff,0xffffc885,0xffffffff,0x400005ff,0x005ffffc,
    0x000dfff5,0xefffffc8,0x3fffa000,0xffffffff,0xffffffff,0x3ffe6000,
    0x3ffe201f,0xfffc8006,0xffffffff,0x3e04ffff,0x7d405fff,0x3ffe3fff,
    0x7fe402ff,0x0ffff54f,0x817ffee0,0x2effffeb,0xe889ffff,0xffffffff,
    0x5fffffff,0xffc80000,0xfff5007f,0x7fec000d,0x4000dfff,0xfffffffe,
    0xffcbefff,0x64002dff,0x7dc06fff,0xd30001ff,0xbfffffff,0x209fff93,
    0x800ffff8,0x3fa4fffc,0xffa805ff,0x1ffff35f,0x09fff900,0xffa82660,
    0x7ffec1ff,0xffffffff,0x005fffff,0xffff9800,0x6fffa801,0xfffe8800,
    0xfd0004ff,0x799979ff,0xff000003,0xffd809ff,0xb9880004,0x3ff20abc,
    0xdfff504f,0x9bffea00,0xa803fffd,0x3ffe6fff,0xfffe802f,0xfff10003,
    0xffffb8df,0x266209cf,0x0005fffd,0x07fffd00,0x00dfff50,0xfffffe98,
    0x3ffa0003,0x0000002f,0x403ffff3,0x0000fff8,0x7fffd000,0x01bffea0,
    0xf937ffdc,0xffb00dff,0x37ffe4bf,0x03fffee0,0x3fffa200,0x7fffec2f,
    0x5fffb801,0xfff00000,0xfff5003f,0x7ffd400d,0x40002fff,0x0002fffe,
    0xdfff9000,0x002ffa80,0xfff30000,0x3ffe203f,0x7ffc403f,0x3fffea3f,
    0x3fffe202,0x0bfffe64,0x004ffff8,0x5ffffea8,0x803ffff8,0x005fffe9,
    0x7fffa800,0x0dfff500,0x3ffffee0,0xfe80001f,0x000002ff,0x809ffff0,
    0x000005fb,0x0ffffb10,0x02ffffe8,0x83ffffb1,0x40bffffe,0x42ffffd8,
    0x442ffffe,0x981ffffe,0xffffd980,0xffff80ff,0x3fffaa04,0xff701eff,
    0xffc98019,0x333304ff,0x333dfff7,0xffffc813,0x99999aff,0x203db999,
    0x0002fffe,0xffffa800,0x00014401,0x75555510,0x0bfffffd,0xefffffb8,
    0xffffedce,0xffffa87f,0xfffeceff,0xfff986ff,0xfffdceff,0xeffe85ff,
    0xffffffec,0xfffb00ef,0xffdb9dff,0xffffffff,0xfffff89f,0xfeedccee,
    0x6c2fffff,0xffffffff,0xefffffff,0xffffffb1,0xffffffff,0x3a03ffff,
    0x00002fff,0x06fffc80,0x7e400000,0xffffffff,0xc800efff,0xffffffff,
    0x02ffffff,0xfffffff9,0x01ffffff,0x3ffffff2,0x40efffff,0xfffffffa,
    0x00efffff,0x3fffffe6,0xffffffff,0x0fffffff,0xfffffff1,0xffffffff,
    0xfffa89ff,0xffffffff,0xb6ffffff,0xffffffff,0xffffffff,0x3ff607ff,
    0x8000001f,0x0002fffb,0x3ffe2000,0xffffffff,0x3ee000ef,0xffffffff,
    0x7ec02fff,0xffffffff,0x7fe402ff,0xefffffff,0xfffff880,0x02efffff,
    0xffffff50,0xffffffff,0x41ffffff,0xfffffffb,0xffffffff,0xfffff984,
    0xffffffff,0xffb5ffff,0xffffffff,0xffffffff,0x01ffee09,0x7e440000,
    0x80000004,0xfffffffe,0x8000dfff,0xffffffda,0xd5000cef,0x9fffffff,
    0x3ff6e001,0x200dffff,0xfffffffb,0xfd98003f,0xdfffffff,0xdfffffba,
    0xffffc982,0xdfffffff,0x3fff6e01,0xffffffff,0xffb0ceff,0xffffffff,
    0xffffffff,0x0076e209,0x00000000,0x75cc0000,0x01beeeee,0x2f2a2000,
    0x5d4c0001,0x200009ac,0x22001bb9,0x0009acba,0xbccca980,0x5300000a,
    0x03579995,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbba200,0xeeeeeeee,0x151002ce,0x00000000,0x0c880000,0xbb988000,
    0x73000009,0x0001d401,0x06f3b72a,0x80000000,0xbdeeedb8,0xdddb5101,
    0x1730059d,0xda801d40,0x7ffffc0b,0x3ffffe22,0xffffffff,0xfd9502ff,
    0x0000003f,0x4033ff62,0xfff70000,0x7fd40007,0x0002ffff,0x6407ffdc,
    0xe98006ff,0x4fffffff,0x3ff62000,0xfd80300d,0x0fffffff,0xffffffc8,
    0x3fee01ff,0x06ffc80f,0xd0fffff4,0x7c43ffff,0xffffffff,0x44ffffff,
    0x1ffffff9,0xfa800000,0x223fffff,0x362004fd,0x00dfffff,0x7ffffdc0,
    0x20002fff,0xff82fffe,0x3e6001ff,0xffffffff,0x7cc000ef,0x223fffff,
    0x3ffe04fd,0x81ffffff,0xfffffffe,0x3fffa03f,0x01ffff82,0x49fffff3,
    0x220ffffd,0xffffffff,0x1fffffff,0x7fffffcc,0x44000001,0xfffeffff,
    0x005fffce,0xffbffff7,0x3e2007ff,0xffc99cff,0xff90000f,0x1fffb01f,
    0x3fffa200,0xffffffff,0x3ffa2004,0xfcefffef,0x3ff205ff,0x706fffff,
    0xffffffff,0x07ffe403,0x9807ffec,0x325fffff,0x7fc47fff,0xaaaaabff,
    0x46201aaa,0x00001ffd,0xb867fcc0,0x0effffff,0x1efffc80,0x009fffd3,
    0xff505ff9,0x37220009,0x005b9102,0x6fffffdc,0x2fffffdb,0x219ff300,
    0xeffffffa,0x7fffcc00,0x7fe4401e,0x64400cff,0x05b9102d,0x21ffffe8,
    0x7c46fffb,0x00000fff,0x00007ff6,0x36202600,0xf1002eff,0x3ff209ff,
    0x03ff400f,0x00000bff,0xfffb0000,0x9ffff10d,0x6c404c00,0x7000beff,
    0xd003ffff,0x0000dfff,0x336e2000,0x22fffd41,0x000ffff8,0x007ff600,
    0x22000000,0x01dc8000,0x7fc026cc,0x001bf605,0x3a000000,0xff902fff,
    0x440000bf,0xfffd0000,0xffffa80b,0x00000002,0x89fff300,0x000ffff8,
    0x007ff600,0x26600000,0x0000009a,0x03ff6000,0x00017fe2,0x40000998,
    0xf702ffff,0x98000dff,0x2e00009a,0x3a01ffff,0x40006fff,0x000009a9,
    0x221fffc4,0x00c0ffff,0x003ffb00,0x8805fb30,0xfffffecb,0x00000cff,
    0x1ffe4000,0x00027fdc,0xfffffdb3,0xff80017b,0xffff02ff,0xfeb8800b,
    0x01cfffff,0x05fffe80,0x005ffff5,0xffffeb88,0x00001cff,0xff885fff,
    0xfffedcff,0x3f6001ce,0x7fe4001f,0x3ffee06f,0xffffffff,0x32a004ff,
    0x4eeeeeee,0x3bffe200,0x00fffeaa,0xffffc880,0x3fffffff,0x8bfffe00,
    0x3ffffeb9,0x3fffea00,0xdfffffff,0x3ffee000,0x6fffe81f,0x7fffd400,
    0xdfffffff,0x7ff40000,0x7ffffc41,0xffffffff,0x03ffb003,0x3ffffa60,
    0x3ffffe04,0xffffffff,0xffa803ff,0x6fffffff,0x7fffd400,0x64c1ffff,
    0xffff505e,0xffffffff,0xff003dff,0xfffd15ff,0x2001dfff,0xfffffffd,
    0x2fffffff,0x1bfffa00,0x005ffff5,0x7fffffec,0xffffffff,0x3ff20002,
    0x7ffffc40,0xffffffff,0x1ffd806f,0x7fffe440,0x7ffec03f,0xffffffff,
    0x6401ffff,0xffffffff,0xfe88006f,0xd930efff,0xf881ffff,0xffffffff,
    0x6fffffff,0xbaffff80,0x5fffffff,0xfffffb00,0xffffffff,0x2a003fff,
    0x3fa2ffff,0x3f6006ff,0xffffffff,0x1fffffff,0x20df5000,0xffffffff,
    0x4fffffff,0x7ff665c4,0x7fd40bcd,0x9801efff,0x441abced,0x403ffffb,
    0xfffffff8,0x220006ff,0xfffc9899,0xfe83efff,0x10acefff,0x7fffff95,
    0xaaffff80,0xffffffff,0x3ffee00e,0x2e609dff,0x00efffff,0x2adfffd0,
    0x7002ffff,0x13bfffff,0x7ffffdcc,0x0350000e,0x2b3ffff6,0xfffff730,
    0x7fffff43,0xfb16ffff,0x0007ffff,0x27ffec00,0xfcaaa980,0x540006ff,
    0xeffffffc,0xffff901b,0xfff9801d,0x3ffe00ff,0xffffd72f,0xf101ffff,
    0x8805ffff,0x003ffffe,0xfd5ffff5,0x3e200dff,0x4402ffff,0x003ffffe,
    0x02dc8800,0x537fffcc,0xdddddddb,0xfffff75b,0x0dfff11b,0x21353100,
    0x0005fffb,0x000dfff5,0xffffffb5,0xfff0017d,0x3ea001df,0x3fe05fff,
    0x7e4c42ff,0xfb85ffff,0x36002fff,0x3a005fff,0xffffffff,0xffff7002,
    0x7ffec005,0x20e6dc45,0x0002deb8,0x007fffb8,0x7ffffec4,0x01bfff63,
    0x3ffffb22,0x5fffffff,0xdfff5000,0x3fff2200,0xa98befff,0x7fffc400,
    0xaaaaaaac,0xfffdaaaa,0x0bfffe06,0x2ffffe88,0x002ffff4,0x801fffe6,
    0xfffffffa,0x3fffa006,0x7ffcc005,0x17ffff47,0x005ffffd,0x03ffff00,
    0x3ffffee0,0x3fffee0d,0x3fff2206,0xffffffff,0x50005fff,0x3200dfff,
    0x70bdffff,0x205fffff,0xfffffffa,0xffffffff,0x00ffffff,0x8805ffff,
    0x7fc4ffff,0xfd8002ff,0x3fa002ff,0x002fffff,0x000bfffe,0x7ccbfff6,
    0xff35ffff,0x0000bfff,0x9805fffd,0x42fffffe,0x06fffff8,0xffffffd1,
    0xffffffff,0x3ea000bf,0xbd3006ff,0xffffe815,0xffc84fff,0xffffffff,
    0xffffffff,0xfff01fff,0xfff5005f,0x07fffc4d,0x27ffe400,0xfffff500,
    0x7ffc400d,0xffc8000f,0xfffff14f,0x3ffffe2b,0xffd80004,0x3ffea03f,
    0xffe80cff,0xffb06ffd,0xffffffff,0x0bffffff,0x1bffea00,0x3fff2000,
    0x42fffdac,0xfffffffb,0xffffffff,0x02ffffff,0x1005ffff,0x3e21ffff,
    0xc8000fff,0x74004fff,0x2002ffff,0x000ffff8,0x364fffc8,0x3f61ffff,
    0x80001fff,0x3e02fffe,0xf701efff,0x70dff1df,0x139fffff,0x7ffeccc4,
    0xfff50005,0xff98000d,0x237fcc0e,0xeeeffff9,0xeeeeeeee,0x01eeeeee,
    0x2005ffff,0x3fe2fffe,0xfe8002ff,0x7fc001ff,0xff8006ff,0xfe8002ff,
    0x05e4c1ff,0x0000564c,0x007fffc4,0x7cc09ffb,0x86ff89ff,0x801ffffd,
    0x0005fffb,0x000dfff5,0xfb03ffa8,0x7fffc41f,0x3e000004,0x17712fff,
    0x745fffd0,0x2000efff,0x4007fffb,0x002ffffb,0x00efffe8,0x01fffee0,
    0x002b8800,0x403fffec,0x9fff400a,0xfff86ff8,0xffe9803f,0xff50005f,
    0xfc8000df,0x83ff500f,0x003ffffe,0x5ffff000,0xff117ff6,0x7ffd43ff,
    0xfff5005f,0xfff800bf,0xff50006f,0x3ea00bff,0x00005fff,0x300bbffa,
    0x009ffffb,0x55fff900,0xff83fff7,0x3faa04ff,0x001effff,0x006fffa8,
    0xc817fdc0,0x7ffcc0ff,0x5cc00bff,0xff303fec,0x3fffe5ff,0x03fffee1,
    0x05dffffd,0x3fffff22,0x3ffee002,0x3fa0002f,0x9102efff,0x985fffff,
    0xf1002dfc,0x9bdfffff,0xfffffddb,0xff00001f,0xffffffff,0x7fffec3f,
    0xfffedcef,0xffffffff,0x73333304,0x3333dfff,0x3fe60013,0x707ff885,
    0xbdffffff,0xffffdb99,0x7fec1fff,0xffcfffff,0xffffceff,0xffff986f,
    0xfedcdfff,0x105fffff,0xfff55555,0x200013ff,0xfffffff9,0xffffedcd,
    0xfffe85ff,0xfffd002f,0xffffffff,0x005fffff,0x3ffffe00,0x20dfffff,
    0xfffffff9,0xffffffff,0x20ffffff,0xfffffffc,0xffffffff,0xfd800eff,
    0xffeb8adf,0x3ffff603,0xffffffff,0x51ffffff,0xffffffff,0xffffffdf,
    0x2a03ffff,0xffffffff,0x6fffffff,0xffffff70,0x1fffffff,0x3ffea000,
    0xffffffff,0xf986ffff,0x1005ffff,0xfffffffd,0x5dffffff,0xb9800000,
    0xffa81fff,0xffffffff,0xffffffff,0xffff10ff,0xffffffff,0x9fffffff,
    0xfffff100,0xf700dfff,0xffffffff,0x9fffffff,0x7fffffcc,0xffff9eff,
    0x404fffff,0xffffffe9,0x03ffffff,0x3ffffffe,0x4fffffff,0x3ffa6000,
    0xffffffff,0xfff103ff,0xd98009ff,0xffffffff,0x000003ff,0xffffffc8,
    0xffffd981,0xfbadffff,0x222dffff,0xffffffff,0xffffffff,0xb1003fff,
    0x009fffff,0x7ffffec4,0xbdffffff,0xffffdb81,0xffff51df,0x54005fff,
    0xffffffed,0x7fec01bd,0xffffffff,0x80003fff,0xfffffeda,0x7e401bdf,
    0x10000fff,0x13599753,0x54000000,0x00dffffe,0x2af332a6,0xffb50000,
    0xffffffff,0x19dfffff,0x0acb9800,0x32ea6000,0x00009abc,0x55e65440,
    0x32a20000,0x6dc4001b,0xeeeeeeee,0x800003de,0x8001bca8,0x000002b8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x100009a9,0x00013553,0xeeeec980,0x0000001e,
    0xeeeeb980,0x05cc002e,0x22000750,0x0000000a,0x2e600b88,0x66d40000,
    0x0800001b,0x00000000,0xfffdb500,0x7915bfff,0xffff9101,0x200009ff,
    0xfffffff8,0x00000002,0xfffffff8,0x3ffee003,0x806ffc80,0x01ffedb9,
    0x7cc00000,0xfffa81ff,0xfff30000,0x2e219fff,0x3fee004c,0xc88000df,
    0x00301dff,0xfffffb10,0xffffffff,0xffffb07f,0x000bffff,0xffffff50,
    0x0000005f,0xfffff980,0x3fa003ff,0xffff82ff,0x3ffff601,0x000001ff,
    0x427ffe40,0x0003fffd,0xfffffff1,0x03ffffdf,0x7fffff10,0xffff8800,
    0x17f624ff,0xfffffa80,0xffffffff,0x7fc46fff,0xffea88be,0xffe80002,
    0x0002ffff,0xffe80000,0x2003ffff,0xfd80fffc,0x3ff600ff,0x0001fffe,
    0x7ffd4000,0x01fffb83,0x3ffb6a00,0x6fffffff,0xfffff100,0xfffe8005,
    0xffcffffe,0xfff3006f,0xffffffff,0x0fffffff,0x0ffee031,0x7fd44000,
    0x000002ff,0xffd51000,0x6e44007f,0x005b9102,0x007ff613,0x36e00000,
    0x007b7103,0xfffdb880,0x001fffff,0x00277f5c,0x7d437fe2,0x01ffffff,
    0x5dffffd0,0x7ff65cc3,0x3a2007ff,0x400002ff,0x0002fffe,0x7ec00000,
    0x000003ff,0x07ff6000,0x00000000,0xff980000,0xffffffff,0x0000003f,
    0xffc88198,0xff7000be,0xff1009ff,0xeeb80fff,0x00006fff,0x002fffe8,
    0x6c000000,0x00003fff,0x3ff60000,0x00000001,0x2e000000,0xf92dffff,
    0x00001fff,0x00300000,0x00dffff0,0x202fffd4,0x01ffffff,0xfffe8000,
    0x00019882,0xd8099880,0x20003fff,0x00009a99,0x0000ffec,0x00000000,
    0x2059b100,0x0005fffd,0x26200000,0x3fe20009,0x7f4000ff,0x7f64c03f,
    0xeb800eff,0x7fff400d,0xfffffb52,0x2a00019d,0xcfffffed,0x007fffb0,
    0x3fffb2e2,0x000cffff,0x0001ffd8,0x5cc01dd5,0x502eeeed,0x09dddddb,
    0xffff0000,0x40008003,0x92eeedb9,0x19ffffff,0x06fffa80,0x4002b880,
    0x2605ffe8,0x7402fffe,0xfffecfff,0x3fffffff,0x3fff6200,0xcfffffff,
    0xb803fffe,0xffffffff,0x004fffff,0x2000ffec,0x204fffd8,0x2fffffff,
    0xffffffb8,0x654c005f,0xff71bcdd,0x77e400df,0xffff8800,0xfffffdff,
    0x202fffff,0x0005fffb,0x3ffcc000,0x1fffffc8,0x7fffff40,0xffffffff,
    0x5400dfff,0xffffffff,0xffffffff,0xffff803f,0xffffffff,0x36003fff,
    0x3ee001ff,0xf302ffff,0x05ffffff,0xfffffffb,0x3ffaa00b,0xaeffffff,
    0xf3007fff,0xff5007ff,0xffffffff,0xffffffff,0x13fff203,0xf1000000,
    0xfffe98ff,0xffe801ef,0xffffffff,0x5fffffff,0x3ffffe60,0xffffffff,
    0x803fffff,0xfffffffd,0xffffffff,0x03ffb001,0xfffffd30,0xffffe805,
    0xfffa82ff,0x4405ffff,0xfffffffd,0xffffffff,0xfffa800f,0xffffd005,
    0xffffffff,0x20dfffff,0x0006fffa,0x55e77e40,0x914ffeba,0x009fffff,
    0x7ffffff4,0x3ff260ae,0xffd03fff,0x5cc15dff,0x3fffffff,0xabced980,
    0x7fffdc41,0xfd997103,0xf70599bf,0x001bffff,0x0bfffaa6,0x7ffed544,
    0x7ffff405,0xffffffff,0x402fffff,0x006fffe9,0x3fffffa6,0xffb510be,
    0xfff105ff,0x6c00003f,0xffffffff,0xfffff56f,0xffe8003d,0x74c03fff,
    0x7e40ffff,0x74404fff,0x003fffff,0x4fffd800,0xffffffd0,0x3a63ffff,
    0x312effff,0x3fffa001,0x5fffb802,0x3ffffee0,0xfff5309d,0x2207ffff,
    0x06fffffd,0x6fffff40,0x0ffffe00,0x0037fff4,0xd710eecc,0x15bfffff,
    0x27fffffb,0x7404fffa,0x3004ffff,0xff89ffff,0xff1006ff,0x40007fff,
    0xff709a98,0x3bb6a0bf,0x8ceeeeee,0x8cfffffc,0x03ffffed,0x4017fff4,
    0xf305fffb,0x4405ffff,0x84fffffd,0xfffffffb,0x7fff4006,0x4fffc805,
    0x5dffff90,0xbfffb100,0x7ffd4080,0xfff10dff,0xfffe809f,0x3ff2000f,
    0x3fffe65f,0x3ffee000,0x3b22003f,0xffffffff,0x40005fff,0x9effffea,
    0xfffffff9,0x3fffa05f,0x5fffb802,0x07ffff90,0x17ffffa0,0xfffffff9,
    0xffe8003b,0xfffb802f,0x3ffff605,0xedccdeff,0x07ffffff,0xfffffb10,
    0x4ffffd87,0x027fff40,0xa9fffe60,0x44006fff,0x8803ffff,0xfffffffc,
    0x5fffffff,0xfffb1000,0x6fffc7ff,0x03fffb9a,0x7005fffd,0x3f60bfff,
    0x3ea007ff,0x3fee6fff,0x000bffff,0x005fffd0,0x440bfff7,0xfffffffe,
    0xffffffff,0xffb803ff,0x7d40dfff,0x7404ffff,0x44003fff,0xff90ffff,
    0xfff0009f,0xffe8807f,0xffffffff,0x005fffff,0xefffffa8,0x2a17fea1,
    0xfffd05ff,0xbfff7005,0x017fffe0,0x14ffff88,0x019fffff,0x2fffe800,
    0x05fffb80,0x7fffff44,0xffffffff,0xffd803ff,0xff882fff,0x7404ffdf,
    0xf8003fff,0xfff91fff,0xfffd0009,0xffffd807,0xffffffff,0x4005ffff,
    0x03fffffc,0xbff30197,0x00bfffa0,0x7c17ffee,0x7c004fff,0xfff33fff,
    0x3a00007f,0xfb802fff,0xfb5005ff,0xffffffff,0xf50017df,0x36019fff,
    0x04ffacff,0x0027fff4,0xfb9fffe6,0x7c4005ff,0x3ee03fff,0x209cffff,
    0x5fffd998,0x3fffe600,0xfe88000d,0x5fffd03f,0x0bfff700,0x8017fffa,
    0xf72ffff8,0x22001fff,0x0bfffa00,0x017ffee0,0x9bff9510,0xf8800355,
    0x3fee01ef,0x404ffa8e,0x000efffe,0xf99bfff2,0x2a000fff,0x3603ffff,
    0xb801ffff,0x7c005fff,0xd30002ff,0x3fa01dff,0xffb802ff,0xffff905f,
    0x7fffd400,0x00dfff51,0x7f40ffee,0xffb802ff,0xff70005f,0x05100009,
    0xf51fff88,0xfffe809f,0xfff3005f,0x6ffff89f,0xfffff100,0x1ffffc07,
    0x2ffff4c0,0x50001400,0x6c01dfff,0x75404fff,0xff705fff,0x3fa009ff,
    0x3ffe67ff,0x6fff802f,0x005fffd0,0x000bfff7,0x003bffee,0xdffb0000,
    0x01bff955,0x3fffffa6,0xfff9101d,0xfffb81ff,0x3fee01ef,0xf00bffff,
    0x75409fff,0x01efffff,0xff900000,0xfff9009f,0xfffd501f,0x7ff40bff,
    0xfb100cff,0xfff85fff,0xff5100ef,0xffe881ff,0x7fe400bf,0xff70005f,
    0x000005ff,0x7fffffc4,0x7e47ffff,0xffffffff,0xffeccdef,0xfb02ffff,
    0x99bdffff,0xfffffffd,0xfd85dfff,0xedceffff,0xffffffff,0x00004fff,
    0x05fffd30,0x3ffffea0,0xfffffecd,0x984fffff,0xcdffffff,0xfffffdca,
    0xfffffb85,0xfffecabc,0xfff30fff,0x70bfffff,0x9fffffff,0x759df100,
    0x000009ff,0x7fffffc4,0x3e64ffff,0xffffffff,0xffffffff,0x2204ffff,
    0xffffffff,0xffffffff,0x4c6fffff,0xffffffff,0xffffffff,0x000fffff,
    0x77ffdc00,0x3ffa2001,0xffffffff,0xffffffff,0xfffffb80,0xffffffff,
    0xfffd00ff,0xffffffff,0x3f61ffff,0xffffffff,0x7fffffc2,0x7cc00fff,
    0x01ffffff,0x54400000,0x3e20dffc,0xffffffff,0xffffffff,0xd8803fff,
    0xffffffff,0xffffffff,0xffa85fff,0xffffffff,0xffffffff,0x200000ff,
    0xaabffffd,0x3a201cba,0xffffffff,0xffffffff,0xffff500f,0xffffffff,
    0x7ff4c01b,0xffffffff,0x3ff64fff,0x1fffffff,0x7ffffff4,0xfeb800ff,
    0x00004fff,0xffffe800,0x7ffedc7f,0xfffebaff,0x00dfffff,0x7ffff540,
    0xfd9dffff,0x300cefff,0xfffffffb,0xffff75bf,0x800005bf,0xffffffff,
    0x74406fff,0xdfffffff,0x2dffffca,0x7fffe440,0x002fffff,0x3ffffff2,
    0x440befff,0xdfffffec,0xffffd983,0x5c4002df,0x0000000b,0x9ffffd70,
    0x32ea6000,0x400009ac,0x0abccb98,0x99530000,0x00001579,0x3fffe000,
    0x7fffffff,0x57995100,0x4c400001,0x001abcca,0x9bdb9730,0x00000037,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05cc0171,0x2aaaaa60,
    0xaaaaaaaa,0x1aaaaaaa,0x77776c00,0x99753005,0x44000157,0x01abccba,
    0x00002a00,0x665d4400,0x000000ab,0x54c40000,0x3260001a,0x0bdefffe,
    0x3b260000,0x00bdefff,0x40fffcc0,0x3200fffa,0x99999999,0x99999999,
    0x2003a999,0x07fffffa,0x3ffffb22,0x000cffff,0x3fffff66,0xfe9aefff,
    0x03ffe203,0x76cc0000,0xffffffff,0x4003fdad,0xffffffec,0xdfffffff,
    0xffffd981,0x3aa002ef,0xffffffff,0x20000cff,0xffffffea,0x000cffff,
    0xfb09fff9,0x002407ff,0x4400e200,0x87ffffff,0xffffffd9,0x2fffffff,
    0xfffffc80,0xffffffff,0x3fea07ff,0xa800002f,0xffffffff,0xffffffff,
    0xffff3000,0xffffffff,0xf98bffff,0xffffffff,0x7ffec402,0xfedcbdef,
    0x44002fff,0xbdeffffd,0x2ffffedc,0x82fffa80,0x1201fffb,0x00710000,
    0x3ffffff2,0xfffffc87,0xffffffff,0xffd101ff,0xffffffff,0x3fffffff,
    0x013ffee0,0xffff7000,0xffffffff,0x005fffff,0x3fffffea,0xffffffff,
    0x6ffdc6ff,0x40fff712,0x00afffe9,0x013fff26,0x057fff4c,0x09fff930,
    0x2e207b70,0x0002403d,0x3e600e20,0x87ffffff,0xeffffffc,0xfffffdcd,
    0xfffffd06,0xfffb9bdf,0x205fffff,0x0004fffc,0x3fffff20,0xffeccdff,
    0x002fffff,0x3ffffff6,0xffffffff,0xfd00981e,0xbffd101f,0x7ffcc001,
    0x6fff4403,0x3ffe6000,0x20000003,0x1c400004,0x7ffffec0,0xfffc87ff,
    0xffd880ae,0x7ffe42ff,0xfd500bff,0x3205ffff,0x00004fff,0x37fffff7,
    0x7ffffd40,0x99998002,0x99dfffc9,0x7ffa8000,0x4c07ffb0,0x03ffd100,
    0x8001ffec,0x0001ffe8,0x00009000,0x7fd40388,0x87fffeff,0x4403fffc,
    0x3e64ffff,0x9002ffff,0x3205ffff,0x00004fff,0x003fffff,0x00bfffe2,
    0x2fffe400,0x3ffb6200,0x5ffb83ff,0xcffffea8,0x41bfe25c,0xfff95ffb,
    0x105bdfff,0x00000dff,0x10000120,0xffffe807,0xfa87fffa,0xffc801ff,
    0x3ffff25f,0x3ffe2002,0xffdb511f,0xdddddfff,0x5c037bdd,0x4002ffff,
    0x0000fffd,0x00bfff90,0x6fffffa8,0xfc81ffd0,0xffffffff,0x3a0bfea0,
    0xffffd0ff,0x50bfffff,0x3b2a05ff,0x04eeeeee,0x88000090,0x3fffee03,
    0x907fff9b,0x3fea009f,0x13fffe7f,0xc9fff200,0xffffffff,0xffffffff,
    0x3fffe07f,0x5ff88004,0x3ff20000,0xfda8005f,0x7fcc5fff,0x45fffdc2,
    0x7c1fffb9,0x117fcc5f,0xb7557ff5,0x0bff05ff,0xfffffff5,0x01200dff,
    0x22071000,0xff36ffff,0x3a0000ff,0xfff56fff,0xfd30001f,0x7fffff47,
    0xffffffff,0x881fffff,0x0002ffff,0xc8000031,0x40005fff,0x3f22fff9,
    0xa82ffc47,0x07fec0ff,0x3ff10ff9,0xffb0bfb0,0xfffffc81,0x9006ffff,
    0x03880000,0x263ffffb,0x80007fff,0xf74ffffc,0x08000dff,0x7fffffdc,
    0xffffffff,0xff506fff,0x000001ff,0x7ffe4000,0xffc80005,0xff51bfa4,
    0x7dc36c03,0x221bfa1f,0x85fd81ff,0x7fc41ffb,0x6fffffff,0x80000900,
    0xffff9838,0x01fffe65,0xffffea80,0x0bfff90f,0xb5510000,0x5555dfff,
    0x5c015555,0x00006fff,0x7fe40000,0xfc80005f,0xf913fe4f,0x3fe6000d,
    0x3e213fe2,0x0bff2a1f,0x54c0bfe6,0x06fffcaa,0x88000090,0x0ffffe83,
    0x001fffe6,0xfffffd71,0x27ffe47f,0x3f200000,0x640004ff,0x00004fff,
    0x7fe40000,0x6ff4405f,0xfffdaaac,0xfd87ff11,0x4ffe0004,0xff883ff8,
    0x05ffffee,0x7d400ffe,0x009006ff,0x7dc38800,0x7fcc3fff,0x3fe6007f,
    0x43ffffff,0x0004fffc,0x27ffe400,0x3fff2000,0x00000004,0x02fffe40,
    0x3fffffe2,0x7fc3ffff,0x80027ec3,0x0ffe3ff8,0x3fffffe2,0x0ffe204f,
    0x037ffd40,0x44000048,0x1bfffe23,0x801fffe6,0xeffffffa,0x04fffc81,
    0x7fe40000,0x7e40004f,0x3f2604ff,0xffffffff,0x00fb221d,0x805fffc8,
    0xefffffc9,0x645fe81c,0xff50006f,0x7c42ff45,0x0effbabf,0x2005ff50,
    0x9006fffa,0x23880000,0x982ffffc,0x2a007fff,0x202effff,0x0004fffc,
    0x27ffe400,0x3fff2000,0x3ffff604,0x6fffffff,0x4003ffea,0x8005fffc,
    0x46fd8008,0xc8001ffa,0x21bf61ff,0x3fe61ff8,0x003ff905,0x401bffea,
    0x9c400004,0x99effff9,0x7fffb999,0x17ffe200,0x01bffee0,0xfff90000,
    0xffa80009,0x3fffa05f,0xffffffff,0x05fff90f,0x017fff20,0x0ffb8000,
    0xeb817fe2,0x3ee37f41,0x20ffc40f,0x6fe84ff9,0x1bffea00,0x20000240,
    0xfffffb38,0xffffffff,0x3a00bfff,0xffa802ff,0x4000007f,0x0004fffc,
    0x5037ffcc,0xfffffffd,0x7fec7fff,0xfff9003f,0x001a800b,0xffa89ff1,
    0xffdbaabf,0xf10ffe22,0x6ffe4c9f,0x477fee0b,0x2a003ff8,0x09006fff,
    0xfd388000,0xffffffff,0xffffffff,0x4006a005,0x003ffff8,0x3fff2000,
    0xfff80004,0x4ccc400f,0x6c3fffe9,0xf9003fff,0x7d4009ff,0x5ffb000f,
    0xffffffb8,0x07fec4ff,0xffe97fec,0x7fec3fff,0x4001ffb6,0x9006fffa,
    0xd3880000,0xffffffff,0xffffffff,0x2000003f,0x001ffffd,0xf900bd98,
    0xb00009ff,0xd000bfff,0xffd85fff,0xfffb003f,0x07fe4005,0x40fff980,
    0x1deffdc8,0xf9827fdc,0xcccc98ff,0x5ce6440b,0x7d4004ff,0x009006ff,
    0xffd38800,0xffffffff,0x09dfffff,0x7fcc0000,0x2a001eff,0xff904fff,
    0x40d400df,0x003ffffb,0x3617fff4,0xfa803fff,0x32000fff,0x3ea003ff,
    0xfb8001ef,0x77fd406f,0x6ffb8001,0x6fffa800,0x80000900,0xff980038,
    0x0000007f,0x1bfffff9,0x7fffe4c0,0x3ffff506,0x1fffe4c0,0x177ffff4,
    0xffff9510,0xcffffd85,0xfffff901,0x5fffc800,0x0ffff200,0x07ffec40,
    0x01fffe40,0x00fffd88,0x7dcccccc,0x99999eff,0x20000240,0x2e620038,
    0x1000ffff,0xe80059b7,0xefffffff,0xfffffedd,0xfff303ff,0xfdb99bff,
    0x10dfffff,0xdfffffff,0xfffffb9d,0xffd85fff,0xecefffff,0x02ffffff,
    0x0ffffe40,0x7dfff700,0x7fed4415,0x3ee000ef,0x220abeff,0x00efffda,
    0x3ffffff2,0xffffffff,0x0090efff,0x88038800,0xfffffffe,0xfffe805f,
    0x3fa2002f,0xffffffff,0x4fffffff,0x7ffffec0,0xffffffff,0xfff704ff,
    0xffffffff,0x5fffffff,0xffffffc8,0xffffffff,0x7df3004f,0x8007ff93,
    0xfffffff9,0x04ffffff,0xfffff300,0xffffffff,0xffff8809,0xffffffff,
    0x4fffffff,0x38800009,0xfffffc80,0x202fffff,0x04fffff8,0xfffffc80,
    0xffffffff,0xffe8802f,0xffffffff,0x2600cfff,0xfffffffd,0xdfffffff,
    0xffffb502,0xffffffff,0x7ffd4007,0x0000ffff,0xffffffb5,0x000017ff,
    0xffffffb5,0xf10017ff,0xffffffff,0xffffffff,0x000127ff,0xff700710,
    0xffffffff,0xffffd803,0xfd710001,0xbfffffff,0x7e440019,0xffffffff,
    0x366000be,0xfffffffe,0x71001cff,0xdfffffff,0xfd900037,0x00007fff,
    0x03579551,0x2aa20000,0xa8001abc,0xfffffffd,0xffffffff,0x9999b0ce,
    0x99999999,0xb9999999,0xffd91007,0x007bffff,0x00002ae6,0x055e554c,
    0x65d44000,0x00001abc,0x06ab2ea6,0x59731000,0x2e200001,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeec80000,0x980000ee,0x002bccca,0x00000000,0xceedca88,
    0xec980abc,0x0001eeee,0xeeeeca80,0x2a004eee,0x00eeeeec,0x73100000,
    0x00001599,0x00000000,0xeee98000,0xffe800ee,0x260001ff,0xfffffffe,
    0x641deacf,0xeffffffe,0x7fffed44,0x2001dfff,0xfffffffb,0x3e23ffff,
    0x02ffffff,0x7ffd4000,0x06ffffff,0xffffff30,0x8000003f,0xffffffe8,
    0xfd9003ff,0xffffffff,0xeb8005bf,0xffffffff,0x001bceff,0x02ffffe4,
    0x01ffffe8,0xfffffb00,0xffffffff,0x7fffd49f,0x23ffffff,0xffffffff,
    0xffd006ff,0xffffffff,0x3fea1fff,0x002fffff,0x7fffdc00,0x006fffff,
    0xfffffff7,0x5c000003,0xffffffff,0x2a00dfff,0xffffffff,0x00ffffff,
    0xffffff10,0xffffffff,0x3a0019ff,0xd001ffff,0x0003ffff,0xfffffffb,
    0xffffffff,0x7ffffd4d,0x3e3fffff,0xffffffff,0xfffc806f,0xffffffff,
    0x7fff47ff,0x00002fff,0x7fffffc4,0xf1006fff,0x03ffffff,0xffd10000,
    0xffffffff,0x2a05ffff,0xffffffff,0x00ffffff,0xffffff30,0xffffffff,
    0x8805ffff,0x2005ffff,0x000ccccb,0x77ffffdc,0xffffedcc,0x7ffec7ff,
    0x20dfffff,0xffffffea,0x7fc401ef,0xccabcfff,0xa883ffee,0x0002ffff,
    0xf9555300,0xa9800dff,0x0001ffff,0xfffffd80,0xffffdcef,0xffb01fff,
    0xffffffff,0xfc8007df,0xffffffff,0xffffffff,0x3ffee01f,0x0000000f,
    0x817ffffc,0x07ffffe8,0x8037ffff,0x03fffe98,0x03ffff50,0x5fffd000,
    0x2a000000,0xf0006fff,0x00003fff,0x3fffffa8,0xdffffd30,0xfffb9980,
    0x4000099f,0x999cfffe,0xffffdb99,0xfffb00ef,0x80000009,0x803ffff9,
    0xfd07fffd,0x7f4005ff,0xff7002ff,0x3a0000bf,0x00002fff,0x0dfff500,
    0x07fffe00,0xfff88000,0xffc801ef,0xff9804ff,0x3600007f,0xfd803fff,
    0xfff04fff,0x0000001f,0x006fffa8,0x3a0dfff5,0x3a002fff,0xf9002fff,
    0x200009ff,0x54c2fffe,0x7d400001,0xff0006ff,0x400003ff,0x000ffffe,
    0x007ffff6,0x000ffff3,0x01fffec0,0x40ffffd8,0xa804fff9,0xeeeeeeec,
    0x3ffea004,0x0fffa007,0x0017fff4,0x2605fffd,0xffffeedb,0xbdeeeeee,
    0xafffe800,0xefffffd9,0xffa80004,0xfff0006f,0x776d443f,0xf301beee,
    0x88007fff,0x4c05ffff,0x00007fff,0x400ffff6,0x644ffff8,0x7d400fff,
    0xffffffff,0x3ffe2006,0x1793003f,0x00bfffa0,0x882fffe8,0xffffffff,
    0xffffffff,0xfffe805f,0xffffffff,0x20000eff,0x0006fffa,0x7e43ffff,
    0xffffffff,0x06fffa80,0x0ffff700,0x007fff98,0x0ffff600,0x47fffc80,
    0xfc803ffe,0xffffffff,0x7ffec006,0x40000adf,0x2002fffe,0xf982fffe,
    0xffffffff,0xffffffff,0xffffe807,0xffffffff,0x50001fff,0x2000dfff,
    0x3fa1ffff,0xffffffff,0x04fffc82,0x1ffff100,0x03fffcc0,0x7fffb000,
    0x7fffd400,0x200fff10,0xfffffff8,0x7d4006ff,0xceffffff,0x7ff4000b,
    0x3ffa002f,0xffffd02f,0xffffffff,0xd007ffff,0xffffffff,0xdfffffff,
    0x3ffea000,0xffff0006,0x7ffffe43,0xffb07fff,0x7fc0005f,0x3fe601ff,
    0x3600007f,0x22003fff,0xff31ffff,0xaaa98007,0x8006fffc,0xfffffffa,
    0x801cffff,0x2002fffe,0x2602fffe,0xaefffdaa,0x00aaaaaa,0xdfffffd0,
    0x3ff6e215,0xfa8001ff,0xff0006ff,0x3ffea3ff,0x201abfff,0x0001ffff,
    0x980ffff6,0x00007fff,0x000ffff6,0x1645fffd,0x7ffd4000,0xfff30006,
    0xffffffff,0xfffe809f,0x3fffa002,0x9fff9002,0x3ffa0000,0x3fe205ff,
    0xfa8003ff,0xff0006ff,0xffff93ff,0xff1003ff,0x640001ff,0x3e604fff,
    0x200007ff,0x4003fffd,0x0002fffe,0x06fffa80,0x3ffae200,0xffffffff,
    0x5fffd00d,0x17fff400,0x04fffc80,0xbfffd000,0x09fffd00,0x0dfff500,
    0x3bfffe00,0x00efffff,0x007fffe0,0x03fffd80,0x001fffe6,0x03fffd80,
    0x017fff40,0x3fea0004,0x5100006f,0xffffffb9,0x3fffa0bf,0x3fffa002,
    0x9fff9002,0x3ffa0000,0xfffc802f,0xfffa8004,0xffff0006,0x00bfffff,
    0x005fffb0,0x00ffffc0,0x200ffff3,0xffb03fd9,0xfff8007f,0x0ffa201f,
    0x06fffa80,0x3f260000,0xfe80ffff,0x3fa002ff,0xff9002ff,0x3a00009f,
    0xfc802fff,0xfa8004ff,0xff0006ff,0x09ffffff,0x13fff200,0x7fffc400,
    0x1fffe600,0xd83ffe40,0x26003fff,0xf300ffff,0x7d4007ff,0x154006ff,
    0x3fffe600,0x02fffe82,0x00bfffa0,0x0027ffe4,0x02fffe80,0x004fffc8,
    0x006fffa8,0xfffffff0,0xf50005ff,0x70001fff,0xf980ffff,0xffd007ff,
    0x7fffb03f,0x37ffd400,0x005fffb8,0x0037ffd4,0xc8005ffd,0xffc85fff,
    0xfff1003f,0x3ff2001f,0xfd00004f,0xff9005ff,0xff50009f,0x3fe000df,
    0xffffffff,0x7ffcc003,0x7fc4004f,0x7fcc05ff,0xfffd007f,0x07fffb05,
    0x42fffec0,0x8004fffd,0x1006fffa,0xc800dfff,0xffb86fff,0xfff5006f,
    0x7ffe400f,0xffd00004,0xfff9005f,0xfff50009,0x3ffe000d,0xfffffddf,
    0x7ffec004,0x3ff6001f,0x7fcc00ff,0xfffd007f,0x07fffb05,0x0fffff20,
    0x0005fffb,0x401bffea,0x004ffffa,0x309ffff1,0x9809ffff,0x2005ffff,
    0x0004fffc,0x005fffd0,0x0009fff9,0x000dfff5,0x7e47fffe,0x2004ffff,
    0x02fffff8,0x1ffffec4,0x03fffcc0,0xd82fffe8,0xfc803fff,0x7fc46fff,
    0x3ea0001f,0xff5006ff,0x2015dfff,0x02fffffb,0x81bffffd,0x1fffffa8,
    0x13fff200,0x7fff4000,0x4fffc802,0x6fffa800,0x3ffff000,0x6fffffdc,
    0xffff5000,0xffd3019f,0xb9980dff,0x9999ffff,0xfff99999,0xcfffe82f,
    0xeba99999,0xc81fffff,0x2666000c,0x9efffb99,0x7d409999,0xefffffff,
    0xfffffedd,0x3ffe206f,0xffecefff,0x8803ffff,0x9dfffc99,0x20019999,
    0x403ffff8,0x00dfffd8,0x3ee66666,0x99999eff,0x3fffe600,0x7ffffd41,
    0xffc8019e,0xfddeffff,0x01ffffff,0xfffffffb,0xffffffff,0x45ffffff,
    0xfffffffc,0xffffffff,0x80003fff,0xfffffffc,0xffffffff,0xfff30eff,
    0xffffffff,0x1fffffff,0xfffffa80,0xffffffff,0x7fff4c06,0xffffffff,
    0x2605ffff,0xffffffff,0xfffffe85,0x7ffe47ff,0xffffffff,0x0effffff,
    0x3ffffff6,0xfffffc81,0x7ec04fff,0xffffffff,0x501effff,0xffffffff,
    0xffffffff,0x25ffffff,0xfffffff9,0xffffffff,0x80003fff,0xfffffff8,
    0xffffffff,0x3fe4ffff,0xffffffff,0x1dffffff,0xffffd300,0x09ffffff,
    0xffffffb0,0xffffffff,0x3fa05fff,0xffffffff,0x3ffffee1,0xff13ffff,
    0xffffffff,0xffffffff,0x3fffea9f,0x7fc41fff,0xffffffff,0x7fffd400,
    0xdfffffff,0x3fffea00,0xffffffff,0xffffffff,0xffff12ff,0xffffffff,
    0x003dffff,0x3fffe200,0xffffffff,0x3fffffff,0x3f6a37aa,0xefffffff,
    0xfff70002,0x003dffff,0x3ffffff2,0xffffffff,0xffb01fff,0x3fffffff,
    0x7fffffdc,0xfff13fff,0xffffffff,0xffffffff,0x3ffffea7,0xfffe81ff,
    0x00ffffff,0xfffffd88,0xd7003eff,0xffffffff,0xffffffff,0x6dc5ffff,
    0xffffffff,0x001ceeff,0xfffda800,0xffffffff,0x00ceffff,0x9acca988,
    0x95300000,0xc8800137,0xfffffffe,0x3dffffff,0x3ffff260,0x76443dff,
    0x0cefffff,0x3fffff6a,0xffffffff,0x3ae0ceff,0xa81fffff,0xdffffffd,
    0xbca98002,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ea20000,
    0x00001acc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffea0,0x7cc00dff,0xffffffff,0xffffffff,
    0x2a04ffff,0xfffffffe,0xffffffff,0x75c3ffff,0xffffffff,0xffffffff,
    0x3f663fff,0xffffffff,0xffffffff,0x3f666fff,0x103effff,0x7dfffff9,
    0x7fffecc0,0x01ffffff,0xffffd700,0xffffffff,0x6d4007bd,0x0dffffff,
    0x3fffff6a,0x7ff640df,0xffffffff,0x801dffff,0xfffffffd,0x3e602fff,
    0xffffffff,0xffffffff,0x3e04ffff,0xffffffff,0xffffffff,0x3e23ffff,
    0xffffffff,0xffffffff,0x3f63ffff,0xffffffff,0xffffffff,0x3fa6ffff,
    0x1fffffff,0xffffffd8,0xfffb02ff,0xffffffff,0xfff30009,0xffffffff,
    0x5dffffff,0xffffff00,0x7ff49fff,0x24ffffff,0xfffffff9,0xffffffff,
    0x7fd405ff,0xffffffff,0xfff300ff,0xffffffff,0xffffffff,0x3fe209ff,
    0xffffffff,0xffffffff,0x3fe23fff,0xffffffff,0xffffffff,0x3ff63fff,
    0xffffffff,0xffffffff,0x3ffe6fff,0x82ffffff,0xfffffffe,0xffffb03f,
    0xffffffff,0xfff98001,0xffffffff,0xffffffff,0x7ffffc03,0x3fe4ffff,
    0x4fffffff,0x3fffffea,0xffffffff,0x3e205fff,0xfdcfffff,0xf303ffff,
    0xffffffff,0xffffffff,0x5c09ffff,0xfcfffffe,0xffffffff,0x7643ffff,
    0xffffffff,0xffffffff,0x3f663fff,0xffffffff,0xffffffff,0x3fee6fff,
    0x80efffff,0xfffffffa,0xfffd300e,0xffffffff,0xfff90007,0xffffffff,
    0xffffffff,0x7fffdc03,0x3aa0dfff,0x1effffff,0x7fffffec,0xffffffff,
    0x3fea01df,0x7fec43ff,0xffff301f,0xfff93333,0xff93333d,0xfff1009f,
    0x33bfff79,0x7fffb333,0x2ffffa20,0x99999999,0x883fffe9,0x999efffb,
    0xb9999999,0xff986fff,0x3ee00fff,0x1000dfff,0xfffff933,0x44000dff,
    0x999bffff,0xfffda999,0xffff806f,0x7ffec403,0x5ccccc04,0x9999efff,
    0x6fffb800,0xf980b720,0xfffb87ff,0x04fffc85,0xfbafff88,0xfffb05ff,
    0x17fff407,0x03fffd80,0x400dfff7,0xf706fffa,0x3e20bfff,0x0000efff,
    0xfffdfffd,0x7fc0003f,0xffc801ff,0x7ffc00ff,0xfffc801f,0x7ffd4004,
    0xfff90006,0xff980009,0x5fffb87f,0x804fffc8,0xffb8fffb,0x7fffb05f,
    0x017fff40,0x702fffd8,0x5400dfff,0x3f606fff,0xffd82fff,0xf30001ff,
    0xfffd5fff,0x7ffc0009,0xfff8801f,0x7fffc02f,0x4fffc801,0x37ffd400,
    0x5fffb800,0x7ffcc000,0x85fffb87,0xd804fffc,0xbfff75ff,0x80bfff20,
    0xdb82fffe,0x407ffee1,0xd986fffb,0x027ffc43,0x41fffff1,0x004ffffb,
    0x5dbfff60,0x0000ffff,0x1003ffff,0xf805ffff,0xfc801fff,0x7d4004ff,
    0xf30006ff,0x98000fff,0xffb86fff,0x4fffb85f,0xb9fffc40,0x1bf75fff,
    0x7401fff5,0x7fe42fff,0xb817fa26,0x7fc46fff,0x00f7e42f,0x457fffea,
    0x0006ffff,0x44ffffe2,0x0003ffff,0x9003ffff,0xf801ffff,0xfc801fff,
    0x7d4004ff,0xf10006ff,0x80003fff,0xffb84fff,0x1fff985f,0xb8fffd40,
    0xfff8dfff,0xfe805b73,0x7ffec2ff,0x3fee0040,0x27ffd46f,0xfffb0004,
    0x3ffffb5f,0x7ffdc000,0x1bfff20f,0x0ffffc00,0xfffff910,0x03ffff00,
    0x009fff90,0x006fffa8,0x3fffb6e6,0x00adeeef,0x2e037aa0,0x9d905fff,
    0x5cdff900,0xfffdefff,0x7fff4005,0xffffeeee,0x7ffdc002,0xfffdcccf,
    0x7fc40005,0x4fffffff,0x7fff4000,0x0ffffcc5,0x6ffffc00,0xffedcccc,
    0xf802ffff,0xccccdfff,0xfffecccc,0x7ffd4004,0xffff5006,0xffffffff,
    0x5c0000df,0x80005fff,0x3fee4fff,0x06ffffff,0x7fffff40,0x02ffffff,
    0x7ffffdc0,0x05ffffff,0xffffa800,0x40006fff,0xe81ffff9,0xf8004fff,
    0xffffffff,0x4fffffff,0xffffff00,0xffffffff,0xa8009fff,0xf9006fff,
    0xffffffff,0x001fffff,0x17ffee00,0x5fff3000,0x7fffffdc,0x7f4006ff,
    0xffffffff,0x7dc002ff,0xffffffff,0xb00005ff,0x03ffffff,0x6fffd800,
    0x01ffff70,0xffffff80,0xffffffff,0xff800eff,0xffffffff,0x4fffffff,
    0x37ffd400,0xfffff980,0xffffffff,0x3ee00005,0x640005ff,0xfc999fff,
    0x6fffffff,0x7ffff400,0x2fffffff,0x7fffdc00,0x5fffffff,0xffff7000,
    0xffffffff,0x7c4001ff,0xff103fff,0xff8007ff,0xffffffff,0xefffffff,
    0x7ffffc00,0xffffffff,0x4004ffff,0x2006fffa,0xfffccca8,0x0001bcdf,
    0x02fffdc0,0x3ffffa00,0xdeffffff,0x74005fff,0xfcccdfff,0x5c002fff,
    0xdcccffff,0x30005fff,0xfffb9999,0x0099999f,0xffffffb8,0xffffffff,
    0x7ffc006f,0xccccccdf,0xefffffee,0x37fffe00,0xcccccccc,0x4004fffe,
    0x0006fffa,0x0017fff4,0xbfff7000,0x7ffc4000,0xffffffff,0x003fff8d,
    0x3617fff4,0x00c41fff,0xfa8dfff7,0x200004ff,0x0006fffa,0xffffffe8,
    0xffffffff,0x3fe001ff,0xfea801ff,0x3fe03fff,0xffc801ff,0x7fd4004f,
    0x7fc0006f,0x000002ff,0x0017ffee,0xffffffb8,0xb55fffff,0xffe80019,
    0x23ffe42f,0xff705ff9,0x2fff88df,0x3fea0000,0x7cc0006f,0xffffffff,
    0xffffffff,0x3fffe004,0x3fffa001,0x07fffe05,0x013fff20,0x00dfff50,
    0x0ffffc40,0xff700000,0x7ec000bf,0xfdaaaaef,0x3f6205ff,0x0bfffa03,
    0x3fff20e6,0x86fffb80,0x260002c8,0xfffdcccc,0x003ccccf,0x3ffffff6,
    0xffffffff,0xf000ffff,0x4c003fff,0xff00ffff,0xff9003ff,0xffa8009f,
    0x3ea0006f,0x01000fff,0x0bfff700,0x427ffc00,0x2e05fffb,0x3ffa07ff,
    0x3ff6002f,0x6fffb82f,0xff900000,0xffffffff,0x1001ffff,0x3337ffff,
    0xf3333333,0x3e007fff,0x7c001fff,0xfff01fff,0xfff9003f,0xfffa8009,
    0x3ffa0006,0x4ff9806f,0x2fffdc00,0x1fffa800,0x205fffb8,0xfd01fffd,
    0x7f4005ff,0xfffb82ff,0x22000006,0xefffb999,0x70009999,0x4001ffff,
    0xf006fffc,0x5c003fff,0x3fe07fff,0xffc801ff,0x7fd4004f,0xfea8006f,
    0x9999cfff,0xfffd9999,0x7e4cc400,0x00199eff,0x983fffb1,0x999dfffc,
    0x2fffe999,0x9bfffe98,0x99999999,0x442fffe9,0x999efffb,0x44000009,
    0x99efffb9,0x3ffa2000,0xf51001df,0x4c015fff,0x999bffff,0xfdaa9999,
    0xff105fff,0x6c4017ff,0x2600dfff,0xefffb999,0xd3009999,0xffffffff,
    0xffffffff,0x3ae03fff,0xffffffff,0xf105ffff,0x5dffffff,0xffffffff,
    0xffffffff,0x7fffe45f,0xffffffff,0xffffffff,0xffffd32f,0xdfffffff,
    0xffb80003,0xffffffff,0x3fa600ef,0x4fffffff,0xfffffd30,0xffc89fff,
    0xffffffff,0xffffffff,0x7fcc3fff,0x0effffff,0x3fffffaa,0x7ffec6ff,
    0xffffffff,0x641effff,0xffffffff,0xffffffff,0x3fe07fff,0xffffffff,
    0xc81fffff,0xffffffff,0xffffffff,0xffffffff,0xffff32ff,0xffffffff,
    0xffffffff,0x3fff65ff,0xffffffff,0x220006ff,0xffffffff,0x204fffff,
    0xfffffffd,0xffd81fff,0xffffffff,0xffffff31,0xffffffff,0xbfffffff,
    0xffffffd0,0x7ffc9fff,0x3fffffff,0xfffffff5,0xffffffff,0xfffb8bff,
    0xffffffff,0xffffffff,0x3ffffa03,0xffffffff,0xfffb81ff,0xffffffff,
    0xffffffff,0x2fffffff,0xfffffff1,0xffffffff,0x5fffffff,0x3ffffff2,
    0x5fffffff,0x7fffc000,0xffffffff,0x3fff603f,0x0fffffff,0xffffffd8,
    0xff10ffff,0xffffffff,0xffffffff,0x3ffa07ff,0x3fffffff,0x3ffffffa,
    0xfff33fff,0xffffffff,0x8bffffff,0xfffffec8,0xffffffff,0x6cc02def,
    0xffffffff,0x3603dfff,0x8ceffffe,0xfffffffd,0xffffffff,0x3fff6a2f,
    0xffffffff,0xffffffff,0xfffd912f,0x9dffffff,0xfda80001,0xffffffff,
    0x3b2200ce,0x3dffffff,0xffffd910,0xfdb87bff,0xffffffff,0xbceeffff,
    0x3fff6600,0x260cefff,0xeffffffd,0x7fffedc4,0xffffffff,0x00000cef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x008acca8,0xffffff90,0x07dfffff,
    0xffffeb80,0xceffffff,0xffd7001b,0x89dfffff,0xefffffeb,0xffffff84,
    0xffffffff,0x7ed43fff,0x303effff,0x9dfffffb,0xfffffda8,0xfffb303e,
    0xfd709dff,0x1bffffff,0xfffffd70,0x7f5c3bff,0x2002ffff,0x1dfffffd,
    0x7fffff64,0xdeffffff,0xffb8000c,0x02ffffff,0x3fffffe6,0xffffffff,
    0xffff1000,0xffffffff,0x4019ffff,0xfffffff9,0xff12ffff,0x5fffffff,
    0xfffffff8,0xffffffff,0x7fff43ff,0xe80fffff,0xffffffff,0x3fffffa2,
    0xffd81fff,0x22ffffff,0xfffffff9,0x7fc44fff,0xffffffff,0xffffff15,
    0x3fe200bf,0x266fffff,0xffffffff,0xffffffff,0x3ff6004f,0x6fffffff,
    0x3ffffe60,0xffffffff,0xfff1000f,0xffffffff,0x5fffffff,0x3ffffe60,
    0x33ffffff,0xffffffff,0xfffff87f,0xffffffff,0x7f43ffff,0x1fffffff,
    0xffffffe8,0x3fffe2ff,0xe81fffff,0xffffffff,0x3ffffe62,0x444fffff,
    0xffffffff,0xffff35ff,0x9003ffff,0xdfffffff,0x7fffffcc,0xffffffff,
    0x400effff,0xfffffffb,0x7e407fff,0xffffffff,0x5c004eff,0xffffffff,
    0xffffffff,0xfff901ff,0x1bffffff,0x7fffffe4,0x7fffc0df,0xffffffff,
    0x543fffff,0x4ffffffe,0xffffff50,0xfffea8bf,0xff305fff,0xb0bfffff,
    0xffffffff,0xfffd903b,0x643dffff,0x5fffffff,0x7ffffc40,0x7fe42eff,
    0xffffffff,0xffffffff,0x3fffe205,0x1ffffddf,0x5ffff100,0x80001333,
    0x999cfffd,0xffffdb99,0x3fe200ef,0xffb01bff,0x7fc09fff,0x99999aff,
    0x1fffffa9,0x0fffff30,0x04ffffc8,0x07ffffdc,0x0dffff90,0x19efffb8,
    0xfff73100,0x3fffe60d,0x3ee00fff,0x406fffff,0x99affff8,0xfffca999,
    0xfff503ff,0x00674c3f,0x337fffe0,0x9bcccccc,0x7fffb000,0x9ffffb00,
    0x81ffff80,0x3fffffe8,0x80ffffc0,0x02ffffe8,0x827fffdc,0x006ffff9,
    0x01dffff9,0x01dffff7,0x007fffa8,0x20bfff70,0xfffffff8,0x3ffffa04,
    0xfff805ff,0x7ffc401f,0xbfff907f,0x7ffc0000,0xffffffff,0xd801efff,
    0xfb003fff,0x7fc01fff,0x7ff4c1ff,0xff802fff,0xfffb01ff,0x3ff6009f,
    0xfffe81ff,0x3ff6001f,0x7ffcc5ff,0xff9801ff,0x7775c0ff,0x27ffe40e,
    0xffffff88,0xfffa80ff,0xf805ffff,0xfb801fff,0xffb80fff,0x3e00006f,
    0xffffffff,0x4fffffff,0x01fffec0,0x04ffff88,0xf987fffe,0x001fffff,
    0xf701ffff,0x4400dfff,0x2e0effff,0x8004ffff,0xf14ffffe,0x2005ffff,
    0x741ffff8,0x7ec2ffff,0xfff103ff,0xd07fffff,0xbfffffff,0x03ffff00,
    0x20bfffe0,0x002ffffa,0xddffff00,0xffffdddd,0x7ec07fff,0x3ee003ff,
    0x3ffe07ff,0xfffff51f,0x7fe4001d,0xfffff986,0x7ffdc000,0xdffff34f,
    0x3ffe2000,0xffffebff,0x7fffc004,0x3ffffe62,0x817fff45,0xffeffff8,
    0x7fffcc6f,0xf805fffe,0xff001fff,0x3ffa05ff,0xf80000ef,0x2e201fff,
    0xb00fffff,0x4c007fff,0xff00ffff,0xffff93ff,0xd98001bf,0x7fffc42e,
    0xffb0002f,0xffffd5ff,0x7fcc0003,0x5fffffff,0x3fffe800,0x3ffffff2,
    0x40bfffe0,0xffaffff8,0x3fff62ff,0x805fffbe,0x9801ffff,0xf500ffff,
    0x00009fff,0x9003ffff,0x6543ffff,0xeeeffffe,0xfff104ee,0x3fffe03f,
    0x05fffffe,0xfffe8000,0x3e20003f,0xffffffff,0xffa80003,0x00efffff,
    0x23fffd80,0x2ffffffe,0x4407fffe,0xffe8ffff,0x7ffff16f,0xf00bfff7,
    0xe8803fff,0x3f606fff,0x0002ffff,0x400ffffc,0xf52ffff8,0xffffffff,
    0x3a07ffff,0xfff02fff,0xdfffffff,0x7e400001,0x80005fff,0xfffffffa,
    0x3f200006,0x000fffff,0x269fff90,0x5fffffff,0x201ffff1,0xfa8ffff8,
    0xfffc9fff,0x05fffb8f,0x101ffff8,0x07fffff9,0x3ffffff6,0x07bffe0f,
    0x003ffff0,0x7e4bfffa,0xffffffff,0xfb05ffff,0x3ffe07ff,0xffffffff,
    0xfa80001f,0x0000efff,0xffffffb0,0x7cc00003,0x0005ffff,0x7e57ffee,
    0x8fffffff,0x2207fff9,0xffd0ffff,0x29ffffbf,0xf805fffb,0xeeeeefff,
    0x5fffffff,0xffffffb0,0x3ffe6bff,0x7fffc06f,0x1ffff001,0x3fffffe2,
    0x2fffffff,0x207fffb0,0xffffffff,0x001fffff,0x3ffffe60,0x3e200001,
    0x0003ffff,0x3ffffe20,0xf50004ff,0x3fffadff,0xfaaffffc,0x3fe206ff,
    0xffff70ff,0x3ee1ffff,0xfff805ff,0xffffffff,0xf706ffff,0xfffdffff,
    0xfffff75f,0x01ffff80,0x446fffb8,0xadfffea9,0x3fe01aaa,0xffff02ff,
    0xfffd33df,0xd10003ff,0x0407ffff,0x6fffb800,0x7ff40000,0x02ffffff,
    0x9ffff980,0xffd9ffff,0x05fffbdf,0x443fffe2,0x5fffffff,0x2017ffee,
    0xffffffff,0x03ffffff,0x223bfff6,0xffefffff,0x7ffc03ff,0xffb3101f,
    0x7fec09ff,0x3fe2003f,0xffff00ff,0xffffb81d,0xfffd8006,0x09fd304f,
    0x0dfff500,0x7ffec000,0x1fffffef,0x7fffc400,0xff56fffd,0x09fffbff,
    0x907fffc4,0x43ffffff,0xf805fffb,0xffffffff,0x7c00dfff,0x3fea1fff,
    0x01ffffff,0xfffffff8,0xffffffff,0x3ff601ff,0x3fea003f,0x3fffe07f,
    0x5ffffb01,0x7fffdc00,0x03ffee06,0x0dfff500,0x3ffee000,0xffffa8ef,
    0x7ffc000e,0xf14fffff,0x7fffffff,0x07fffc40,0x8dfffff1,0xf805fffb,
    0xaaaacfff,0x3ffe6001,0xfffffc87,0xffff006f,0xffffffff,0xd805ffff,
    0x32003fff,0x3fe05fff,0xffd101ff,0x3fe600df,0x3f600fff,0x7d4002ff,
    0xa80006ff,0x321fffff,0x4006ffff,0xffffffff,0x3fffff61,0x3fe202ff,
    0x7ffec0ff,0x2fffdc2f,0x00ffffc0,0x3fffe600,0x7ffff440,0xffff003f,
    0xffffffff,0xfb0019df,0x3f2007ff,0x3fe04fff,0x3fe601ff,0x7fc403ff,
    0x7f402fff,0x7d4002ff,0x440006ff,0xd82fffff,0x2005ffff,0x7ffffffe,
    0x7fffffd4,0x3ffe201f,0x37ffcc0f,0x402fffdc,0x0001ffff,0x40cffff8,
    0x02fffffa,0x99bffff0,0x00155799,0x803fffd8,0x00effffc,0x9007fffe,
    0xfe80ffff,0xfe803fff,0x7d4002ff,0x220006ff,0x103ffffe,0x007ffffd,
    0x3ffffff6,0x7ffffc44,0x3fe201ff,0xfb8000ff,0xfff805ff,0xfd80001f,
    0xfedeffff,0x3fffffff,0x2bfffe60,0x40001999,0x999cfffd,0xfffeba99,
    0x3fe601ff,0xf1009bff,0xc8139fff,0x999effff,0xfe999999,0x998802ff,
    0x199efffb,0x3fff6200,0x7ffcc06f,0xffc802ff,0xfd81ffff,0x200fffff,
    0x019ffff9,0xdfff7310,0xaffff980,0x88001999,0xffffffff,0xffffffff,
    0xfffffd87,0x4fffffff,0x7fffe400,0xffffffff,0x04ffffff,0xfffffff9,
    0xffb01bff,0x3a1bffff,0xffffffff,0xffffffff,0x3faa02ff,0xffffffff,
    0x7ec05fff,0x1effffff,0xffffffc8,0x3fee02ff,0xff507fff,0x3a20ffff,
    0xffffffff,0xffffd304,0xfd89ffff,0xffffffff,0x54004fff,0xffffffff,
    0x7fffffff,0x7fffffcc,0xffffffff,0xffff3001,0xffffffff,0x07ffffff,
    0x3fffffe6,0x983fffff,0x3fffffff,0xfffffffd,0xffffffff,0x7f405fff,
    0xffffffff,0x502fffff,0xffffffff,0xffff88bf,0x206fffff,0x04fffffa,
    0x0dfffff1,0x3ffffff2,0xfc81ffff,0xffffffff,0xfffff31f,0xffffffff,
    0xfd88003f,0xcdffffff,0x7cc1dfff,0xffffffff,0x000fffff,0xfffffff1,
    0xffffffff,0x7fc403df,0xffffffff,0xffffb02f,0x3fffa5ff,0xffffffff,
    0x2fffffff,0x3fffff60,0xffffffff,0xffff301f,0x889fffff,0xffffffff,
    0x3ffe606f,0x3ff602ff,0xfff705ff,0x1fffffff,0xffffff70,0x3e61ffff,
    0xffffffff,0x000fffff,0x35797510,0xfffdb800,0xdfffffff,0x7fed4002,
    0xffffffff,0xb7001cee,0xdfffffff,0x7fffcc07,0x3ffffa3e,0xffffffff,
    0x02ffffff,0x3fffff66,0x3dffffff,0x7fffedc0,0xfda80cef,0x01dfffff,
    0x01ffffe2,0x209ffff5,0xfffffec8,0xfd9103df,0x87bfffff,0xffffffdb,
    0x002dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36200000,0x0000002e,0x00000000,0x001bd500,0x2004c400,
    0x15100018,0xffffeb80,0x3ff6a05f,0x22dfffff,0xffffffd9,0xffb303ef,
    0x87dfffff,0xffffffeb,0xcdefffff,0xfb800001,0x8800000d,0xff9819a9,
    0x2000007f,0x3aa0cfd9,0x0000003e,0x027ffc40,0xfffd9500,0xffeb87df,
    0x36e600df,0x3e201ffe,0x2fffffff,0xffffffd0,0x7fecdfff,0xffffffff,
    0xfffffd80,0xf10fffff,0xffffffff,0xffffffff,0x2200001b,0x00003fff,
    0xffffff71,0xffff13bf,0x8800003f,0x3e3ffffc,0x0002efff,0xfff10000,
    0x3ff6000b,0xcfffffff,0xffffffc8,0xffffd81f,0x3fe201ff,0x0fffffff,
    0xffffffe8,0x3ff66fff,0xffffffff,0xfffffd81,0xf30fffff,0xffffffff,
    0xffffffff,0x500003ff,0x0000bfff,0xfffffff9,0xffffffff,0x440000bf,
    0x4ffffffc,0xdffffff1,0x00000003,0x30005ff9,0xffffffff,0xffffffff,
    0xd85fffff,0x01fffeff,0x7fffff5c,0xffea84ff,0x22efffff,0xfffffff8,
    0xffd304ff,0x87ffffff,0xfffffffc,0xffffffff,0x0000efff,0x0037ffd4,
    0xfffffd30,0xffffffff,0x0000dfff,0x7fffffdc,0x3fff20ef,0x000dffff,
    0x00040000,0xffffff10,0xffffffff,0xffffffff,0x3ffb0981,0x3fffa200,
    0xd3101fff,0x74407fff,0x1000efff,0x805ffff7,0x99bffff8,0xfffba999,
    0x540005ff,0x10006fff,0xffffffff,0xfffffffd,0x500001df,0xfffffffd,
    0x3fffaa09,0x000cffff,0x00000000,0x7d437bd5,0x8aefffff,0x203ffffc,
    0x3a001ffd,0x06ffffff,0x201fffec,0x000ffffb,0x401bfff6,0xe802fffe,
    0x40007fff,0x0006fffa,0x39fffffd,0xffffff98,0x3660000f,0xdfffffff,
    0xffffb800,0x0003ffff,0x00000000,0x1fffffc8,0xb03fffec,0x7f4003ff,
    0x04ffffff,0x100ffff6,0x2009ffff,0x003ffff8,0x3005fffd,0x0003ffff,
    0x0037ffd4,0x077fffdc,0x7fffff44,0xc88005ff,0xefffffff,0xfffb8001,
    0x002effff,0x00000000,0x7ffd4ccc,0xffff985f,0x003ffb03,0x7ffffff4,
    0xfffb01ff,0xffff9007,0x3fffee00,0x5fffd000,0x0bfffa00,0x6fffa800,
    0xffffe800,0xffffe880,0x001fffff,0x3fffffee,0x440002ef,0xfffffffc,
    0x0000001e,0xffd93000,0x9fffffff,0xffd55555,0x07ff609f,0xfcfffe80,
    0xffb06fff,0xfff3007f,0xffff005f,0x7fff4009,0xffff9802,0x3fea0000,
    0x7fcc006f,0xffe881ff,0xffff9eff,0xffffa803,0x0003ffff,0x7fffecc0,
    0x1000dfff,0x33333333,0x33333333,0x3ff62013,0xffffffff,0xffffffff,
    0xfb05ffff,0x7ff4003f,0x3ffffcaf,0x003fffd8,0xa80dfffd,0x2001ffff,
    0x5402fffe,0x1006fffe,0xff733333,0x333333df,0x41fffea0,0xb0fffffd,
    0x75409fff,0xcfffffff,0x2a000000,0xfffffffe,0x3fff200c,0xffffffff,
    0xffffffff,0x3fffea0e,0xffffffff,0xffffffff,0xfb06ffff,0x7ff4003f,
    0x1ffffd2f,0x003fffd8,0x403ffff5,0x4006fffd,0x9882fffe,0x03fffffd,
    0x7fffff5c,0xffffffff,0x20dfffff,0xfd85fffc,0x3ee0ffff,0xffd986ff,
    0x00dfffff,0x3ea00000,0x3fffffff,0xffffff88,0xffffffff,0x4fffffff,
    0xfffffff3,0xffffffff,0xffffffff,0x3ff60fff,0x3fffa001,0x8bffff52,
    0x2003fffd,0xf304ffff,0xe8005fff,0xfeeeefff,0xefffffff,0x3fffe200,
    0xffffffff,0xffffffff,0x1bffee3f,0x83fffffb,0x3226fffb,0xefffffff,
    0x00000001,0x3fffffee,0x3ffe22ef,0xffffffff,0xffffffff,0xffff93ff,
    0x3ee2137d,0xeeeeefff,0x735eeeee,0x99bfff99,0x2fffe805,0xd8bffff6,
    0x2e003fff,0xfc80ffff,0xfe8007ff,0xffffffff,0x804fffff,0xfffffff8,
    0xffffffff,0x23ffffff,0xfb1ffff9,0xfb03ffff,0xfffb8bff,0x002effff,
    0xfb100000,0x3bffffff,0xffffffb8,0xffffffff,0xd0dfffff,0x7d40bfff,
    0x74003fff,0xffffffff,0x3ffa01ff,0x3fffe22f,0x07fffb0f,0x1ffffc40,
    0x0027fffc,0x7ffffff4,0x3fffffff,0x3fffae00,0xffffffff,0xceffffff,
    0x37fffe20,0x81fffffd,0x883ffffa,0xfffffffc,0x0000001e,0xffffff91,
    0x000005df,0x0bfff900,0x037fffe4,0x3bbbb6a0,0x7404eeee,0x7fd42fff,
    0x7fffb4ff,0x6fffd800,0x007fffdc,0x7fffff40,0xffffffff,0x3ea00001,
    0xfd8006ff,0xffffffff,0xfffff981,0x3fff6200,0x001dffff,0x3ffee000,
    0x002fffff,0x3e600000,0x7ec42fff,0x443fffff,0x0001efda,0x417fff40,
    0xfd9ffffd,0x7cc003ff,0x3ffa1fff,0xffd0005f,0xff75559f,0x0003ffff,
    0x01bffea0,0x3ffffe20,0x7e442fff,0x3004ffff,0xfffffffd,0x54000019,
    0xfffffffe,0x00000003,0x9ffffff0,0xfffffffd,0xfffd9dff,0x005ccbff,
    0x7fff4055,0xeffff882,0x8003fffd,0xff35fffe,0x3a0005ff,0xfd882fff,
    0x0001ffff,0x006fffa8,0xffffff70,0xfffdb9bf,0x5000bfff,0xfffffffd,
    0xfe980007,0x0cffffff,0x00000000,0x3fffffea,0xffffffff,0xffffffff,
    0x0fff76ff,0x7f41bff2,0xfff702ff,0x007fffff,0xb1ffff70,0x4000dfff,
    0x3602fffe,0x000effff,0x037ffd40,0xfffffc80,0xffffffff,0x0000efff,
    0x3fffffee,0x6c4002ff,0xdfffffff,0x00000001,0xfffff300,0xffffffff,
    0xffffffff,0x3fffa5ff,0x81ffff82,0x3a02fffe,0x3fffffff,0xffff8800,
    0x003ffffc,0x00bfffa0,0x00bffffb,0x06fffa80,0xfffffb80,0xffffffff,
    0x00004fff,0xffffff91,0xfc8803df,0x2effffff,0x0a800000,0x3ffa6000,
    0xdebcffff,0xffffffeb,0x3fff20bd,0xd07ffd80,0x7cc05fff,0x03ffffff,
    0xfffff900,0x40001fff,0x4402fffe,0x002ffffe,0x01bffea0,0x9fffff50,
    0xfffffffb,0x0000037b,0xffffffb1,0xfff701bf,0x005fffff,0x3ff60000,
    0x65440002,0x332a00ac,0x5b9100ab,0x74077220,0x9009bfff,0x07ffffff,
    0x3fffe600,0x20005fff,0x09bffff9,0x3ffffe20,0xfff50001,0xffff800d,
    0x0de5442f,0xd3000000,0x3fffffff,0x7fffffec,0x0000003f,0x001bffe2,
    0x00000000,0xffffd800,0x440effff,0x03fffffe,0x3ffffa00,0xfc8001ff,
    0xffffffff,0xffff500d,0xf98009ff,0x7ec005ff,0x000003ff,0xffd50000,
    0x3fe29fff,0x000cffff,0xfff80000,0x00000004,0xf3000000,0xffffffff,
    0xffff509f,0x7d40007f,0x8006ffff,0xfffffff9,0x3203ffff,0x00ffffff,
    0x001fffc0,0x0000bfa6,0x2e000000,0x3fa2ffff,0x00001dff,0x02f26000,
    0x00000000,0x7fcc0000,0xffffffff,0x7ffffb03,0xffff8000,0xff88003f,
    0xffffffff,0x7fff403f,0x75c000ff,0x0000000c,0x80000000,0x6ecc3eb8,
    0x00000001,0x00000000,0x20000000,0xffffffdb,0xfff100ce,0xfc80007f,
    0x2e0007ff,0xfffffffd,0xfff9803e,0x0000002d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00180000,0x26000110,
    0x2000009a,0x000019a9,0x00026a66,0x004d4c00,0x004cc000,0x06600000,
    0xddddb730,0x3bbb6a05,0x440004ee,0x40000099,0x02660198,0x7d400440,
    0x7fd4005f,0xffeda804,0xc8adffff,0x7fe4400b,0xaadfffff,0x765c402d,
    0xcfffffff,0x3ae20000,0x1cffffff,0xffdb3000,0x0017bfff,0x3bbbbb2a,
    0x7ffff544,0xfffff80c,0xfffb82ff,0x7305ffff,0x3f25dddb,0x00cfffff,
    0x8eeeeca8,0xb12ffffc,0x405dffff,0x7f403ff8,0xdfdb35ff,0xffff517b,
    0x3fff6201,0xffffffff,0xf9103fff,0xffffffff,0x201fffff,0xfffffffb,
    0x04ffffff,0xfffffa80,0x0dffffff,0xffff9100,0x7fffffff,0xfffffa80,
    0xfffd36ff,0x4c1fffff,0x2fffffff,0xffffffd8,0xffff885f,0xfffffdff,
    0x202fffff,0xeffffffa,0xfdffffff,0x2fffffff,0x40bfff10,0xfffffffe,
    0xffffffff,0xffa81fff,0xffffffff,0x06ffffff,0xfffffffb,0xffffffff,
    0x3ffffe05,0xffffffff,0x3f6003ff,0xffffffff,0x402fffff,0xfffffffa,
    0xefffffff,0xfffff901,0xffff9dff,0x8bffffff,0x2ffffffe,0xffffffa8,
    0xffffa85f,0xffffffff,0x01ffffff,0xfffffff9,0xffffffff,0xffffffff,
    0x3bffea01,0xfffff980,0xffffffff,0xf984ffff,0xffffffff,0xffffffff,
    0xfffffb87,0xffffffff,0xffb03fff,0xffffffff,0x003fffff,0xfffffffb,
    0xffffffff,0x3ffe203f,0xffffffff,0x306fffff,0xffffffff,0xffffffff,
    0xa981ffff,0x5102fffe,0x20bfffb5,0xfffffffe,0xffffffff,0xfff306ff,
    0xffffffff,0xffffffff,0x4c07ffff,0xfa81fffe,0xffffffff,0x05ffffff,
    0x35dffffd,0x7fff65cc,0xefffe87f,0x3faa20ac,0xdb303fff,0xfb883579,
    0x7dc03fff,0x209dffff,0xefffffb9,0xeffffe80,0xff9510ac,0x54c07fff,
    0xfffffffc,0xbffb32ef,0x017fff40,0x302fffdc,0x7dfffffd,0x3fff6a21,
    0x3ffea02f,0xfff90dff,0x3ff61bff,0x7ff4405f,0xffffc81f,0xffffcadf,
    0xfffb80ff,0xfff8804f,0x2ffff87f,0x01fffb80,0x9fffb000,0x7ffffc40,
    0x7fff4402,0x7fffe43f,0x7ffcc00e,0x7fd400ff,0x103fffff,0x2fffe803,
    0x05fffb80,0x06fffff4,0x807ffff0,0x7cc5ffff,0x7fd45fff,0x9ff9006f,
    0x01dfffd0,0xf03ffff7,0x5400dfff,0xffe85fff,0x6e401bff,0x9a988002,
    0x40bfff70,0x002ffffb,0xff17fff6,0x2a001dff,0x5405ffff,0x01efffff,
    0x17fff400,0x02fffdc0,0x2017fffa,0x7c04fffc,0x7fc40fff,0x7ffd40ff,
    0x1032a006,0x7c05ffff,0x7fc43fff,0x7f4000ff,0xffffc83f,0x0acdefff,
    0xffec8800,0xffffffff,0x3fffa05f,0x7ffcc005,0x33fffe27,0xaaaaaaaa,
    0x6fffdaaa,0x77fffd40,0xffe80000,0xfffb802f,0x17fff405,0x02fffdc0,
    0xf103fffe,0xfff50fff,0xff50000d,0xfffc80ff,0x037ffd45,0xfd015c40,
    0xffffffff,0x91005dff,0xffffffff,0x0bffffff,0x0017fffc,0xfa97ffec,
    0xffffffff,0xffffffff,0x2a00ffff,0x00006fff,0x200bfffa,0x7405fffb,
    0xfb802fff,0x7ffc05ff,0x3fffc40f,0x0037ffd4,0x02fffdc0,0xf71fffea,
    0x00000bff,0x3fffff22,0xdfffffff,0xffffd100,0xffffffff,0x3e20bfff,
    0xc8000fff,0xfff94fff,0xffffffff,0xffffffff,0x7fd403ff,0x3a00006f,
    0xfb802fff,0x7ff405ff,0xfffb802f,0x07fffc05,0x2a1fffe2,0x80006fff,
    0x200ffffa,0x7e45fffc,0x000004ff,0x7fffee44,0x1fffffff,0xffffffd8,
    0xffffffff,0xfff105ff,0xff90001f,0x3fffee9f,0xffffffff,0xffffffff,
    0x3ffea02f,0x3fa00006,0xffb802ff,0x7fff405f,0x5fffb802,0x207fffc0,
    0xfa87fff8,0x880006ff,0xf103ffff,0xffa87fff,0x0000006f,0x7fee5cc4,
    0x7fdc4fff,0x2209cfff,0x05fffd99,0x000bfffe,0x7cc7fffa,0xeeeeefff,
    0xeeeeeeee,0x2a01eeee,0x00006fff,0x200bfffa,0x7405fffb,0xfb802fff,
    0x7ffc05ff,0x3fffc40f,0x0037ffd4,0x2ffffd80,0x0ffffecc,0x007fffe2,
    0x03fd8800,0x8ffffb10,0x801ffffd,0x3a05fffb,0x2000efff,0x3e27fffb,
    0x00004fff,0x037ffd40,0x9fffb000,0x5fffea80,0x017fff40,0x202fffdc,
    0x7c40ffff,0xfffa87ff,0xff900006,0xffb9ffff,0xfd01ffff,0xb3000dff,
    0x0fffdc3b,0x2ffff880,0x200ffffe,0x205fffe9,0x005ffffa,0xe8bffff5,
    0x0003ffff,0x1bffea00,0xfffc8000,0xfffea80f,0x7ff405ff,0xfffb802f,
    0x07fffc05,0x2a1fffe2,0x80006fff,0xfffffffa,0xffffffff,0xeffffc85,
    0xfffd8802,0x33ffffa5,0x3fff2200,0x13fffe1f,0xfffffea8,0x3fffa01e,
    0xff9102ef,0xff985fff,0x4c00bfff,0x9883fecb,0x99efffb9,0x40009999,
    0xcdfffffa,0xfffffffe,0xfe884fff,0x7e400bff,0x3fe205ff,0x7ffc41ff,
    0x77ffd40f,0x3fea0000,0xffffffff,0x5fffffff,0xffffffd8,0xffedccde,
    0x3fa7ffff,0xcdefffff,0xfffffedc,0x7ffffec7,0xffffedce,0x4fffffff,
    0xffffff98,0xfffedcdf,0xff705fff,0x99bdffff,0xffffffdb,0x3fffa21f,
    0xffffffff,0x000dffff,0xffffffd1,0xffffffff,0x3e61ffff,0x5fffffff,
    0xffffffb8,0x3fffa24f,0xff10efff,0x3ea1dfff,0x0005ffff,0xffdffffd,
    0xffdfffff,0xfe885fff,0xffffffff,0xffffffff,0x3fffff63,0xffffffff,
    0x7cc1ffff,0xffffffff,0xffffffff,0xfa80ffff,0xffffffff,0x06ffffff,
    0x7fffffec,0xffffffff,0xff91ffff,0xffffffff,0x7fffffff,0x7fff4400,
    0xffffffff,0xb0ffffff,0xffffffff,0xfffff85f,0xff70ffff,0x29ffffff,
    0x3ffffff8,0x5ffffff5,0x9fffb000,0x4737b2e2,0x881ffffa,0xfffffffe,
    0xffffffff,0x7ffffdc3,0xffffffff,0xff502eff,0xffffffff,0xffffffff,
    0x3fa601ff,0xffffffff,0xf7003fff,0xffffffff,0x9fffffff,0x7fffffdc,
    0xffffffff,0x44003fff,0xfffffffe,0xdffffcad,0x3fffff62,0x7f41ffff,
    0x0fffffff,0xfffffff7,0x3fffe27f,0xffff52ff,0xd30003ff,0xff98009f,
    0x7ffed404,0xefffffff,0xdcfc880b,0xffffffff,0xfd9802ef,0xdfffffff,
    0xdfffffba,0xffeda802,0x01bdffff,0x7fffec40,0xdfffffff,0x7ff6441b,
    0xffffffff,0x0004efff,0x02af32a2,0xfffd9100,0xfb307bff,0xc85bffff,
    0x0ceffffe,0x47dffff1,0x03dffffa,0x10000400,0x66554400,0x0001aacc,
    0x35799955,0x99953000,0x00000157,0x0006f2a2,0xbccba980,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeeeedb88,
    0x76dc401b,0xb981beee,0x81bdeeed,0x2ceeeeca,0x77776dc4,0xeda81bde,
    0x41ceeeee,0xeeeeeeed,0xeeeeeeee,0x0b26003e,0x2000a880,0x1930002a,
    0x5d50ca80,0x0001ec80,0xa9800000,0x9999800a,0x99999999,0x99999999,
    0x7ffec009,0x200fffff,0xfffffffe,0x7ffffc0f,0x7fdc7fff,0x22ffffff,
    0xfffffffc,0x7ffdc7ff,0x1fffffff,0x3ffffffa,0xffffffff,0x3fe004ff,
    0xfff8802f,0x05ffd801,0x9027fdc0,0x13ff65ff,0x0002ffe8,0x220006c0,
    0x1dfffffd,0x7ffffec4,0xffffffff,0xffffffff,0x7fffc05f,0x202fffff,
    0xffffffff,0x3fffe62f,0x360fffff,0xffffffff,0x3fffffa4,0x361fffff,
    0xffffffff,0x3fffa3ff,0xffffffff,0x004fffff,0x9009fff3,0x6c03ffff,
    0x9000ffff,0xfb103fff,0x2fffc4df,0x004fffa8,0x001df900,0x3fffffa6,
    0x3ff21fff,0xffffffff,0xffffffff,0x405fffff,0xfffffffc,0x7fffdc07,
    0x7f40ffff,0x44ffffff,0xfffffff9,0x3fffee1f,0x4c5fffff,0xffffffff,
    0x3fffa0ff,0xffffffff,0x004fffff,0x500bfff7,0xb03fffff,0x100dffff,
    0xd105fffb,0xff981fff,0xfffa80ef,0x7fd40005,0xbffd005f,0xc9bff663,
    0xffffffff,0xffffffff,0x5fffffff,0xefffe880,0x993bba61,0x203ffffb,
    0x3fffffe9,0x7fffffc4,0xffca880b,0xa8809bff,0x81affffe,0xaaacfffe,
    0xfffffcaa,0x3ffee005,0xffffb005,0x7fffec3f,0x7ff4401f,0xffff982f,
    0x3ffff301,0x01dfff70,0xfffff300,0x85ff8809,0xfb10fff8,0xffffffff,
    0xffffffff,0x00bfffff,0xf91bffee,0x7fd41fff,0xffd8807f,0xfff34fff,
    0xf1003fff,0xf8809fff,0x3f603fff,0xfff980ff,0x157105ff,0x262fffdc,
    0xffffd82b,0xfffffdaf,0x7fffcc01,0x1ffffa82,0x17fffcc0,0x00f7ffdc,
    0xffffff10,0x80b9805f,0x00007ff8,0x017fff20,0xf07fffcc,0x7e47ffff,
    0x3f2005ff,0xfffeffff,0x32001eff,0x3200ffff,0x2e00ffff,0xfff986ff,
    0xfff105ff,0xdfff77bf,0x07ffff95,0xfffffffb,0xfa803fff,0xffb82fff,
    0xff5001ff,0xfff707ff,0x3ffa005f,0x01ffffff,0x04ffe880,0x3ff20000,
    0x3ffe005f,0xfffff52f,0x01ffff4d,0x3ffffee0,0x000effff,0x827fffc4,
    0x804ffff8,0x7ffcc0ba,0x3fee05ff,0xffffffff,0x6fffffff,0xffffffb0,
    0xffb803ff,0xfffd83ff,0x7fd4001f,0xfffc84ff,0x7ffec03f,0x0fffffef,
    0x3bffa600,0x32000000,0x36005fff,0xfffb4fff,0xfff13fff,0xff50003f,
    0x00bfffff,0x07fffe40,0x007fffe4,0xfffff980,0x7fffcc05,0xffffffff,
    0x204fffff,0x1ffffffd,0x1ffffec0,0x0bffffa2,0x7fffdc00,0x7fffec0d,
    0xdffff704,0x1dffff91,0x1dfff500,0xfc800000,0x3ee005ff,0xffff8eff,
    0xfffacfff,0xfe88000f,0x001fffff,0x13fffe20,0x009ffff1,0x3ffffe60,
    0xfffb3005,0xffffffff,0xfd805dff,0x201fffff,0x43ffffe8,0x02fffffa,
    0xffffe880,0x7ffffcc4,0xfffffa83,0x17ffff60,0x009fff90,0x3ff20000,
    0x3fe6005f,0xfffffcff,0x6fffcfff,0xfffe8800,0x002fffff,0x83ffff20,
    0x000ffffc,0x5fffff98,0xffda8800,0x0befffff,0xfffffd80,0x36201fff,
    0x7444ffff,0x2002ffff,0x42ffffe8,0x81effff9,0x42fffff9,0x84ffffe8,
    0x002fffe9,0x3ff20000,0x7ffc005f,0xffdfffff,0x04ffffff,0x7ffff4c0,
    0x03ffffff,0x9ffff100,0x013fffe2,0x3ffffe60,0x7fc40005,0x003fffff,
    0xfffffffb,0xfb803fff,0xffd84fff,0xfe8802ff,0x7fcc1eff,0xffd00dff,
    0x3fe207ff,0x3fee2fff,0x000001ef,0x02fffe40,0x3fffff60,0xffffd9ff,
    0x26002fff,0xd9ffffff,0x004fffff,0x91ffff90,0x8001ffff,0x05fffffa,
    0x3ffa00aa,0x01ffffff,0x4fffffec,0x01fffffd,0x427fffcc,0x202ffffb,
    0x985fffe8,0x2a03ffff,0x4c04ffff,0xff96ffff,0xd99999ff,0x5c000009,
    0x5c004fff,0x56ffffff,0x1fffffff,0x3fffea00,0x3fff20ef,0x44000dff,
    0xfffcffff,0x7fd4004f,0x3f205fff,0x3fff204f,0x0effffdf,0x3fffffb0,
    0x0fffffec,0x13fff620,0x20bfffa6,0x983fffe8,0x4c01ffff,0xf5005fff,
    0x3fff6bff,0xffffffff,0xf3000000,0xf98005ff,0x3e3fffff,0x006fffff,
    0x0dfffff7,0x3bffffee,0x7ffec001,0x001fffff,0x3bffffea,0xf9999999,
    0xfff306ff,0x3ffff2df,0xfffffb84,0x7ffffd81,0x09fff900,0x445fffb1,
    0xf981effe,0xf7000eff,0x0dea800b,0xddddddd9,0x0001dddd,0x00276400,
    0x0ffffff8,0x13ffffee,0xffffff50,0xfff989ff,0x00dfffff,0xffffff30,
    0x7fcc00bf,0xffffffff,0xffffffff,0x1ffffd80,0x903ffffa,0x6c03ffff,
    0x2a007fff,0xff702fff,0x037fee1f,0x00027fec,0x00000000,0x00000000,
    0x45ffffe8,0x02fffff8,0x7ffffffc,0x3ff61fff,0x3fffffff,0x3ffff600,
    0x3ea001ff,0xffffffff,0xffffffff,0x2fffc80f,0x4c37ffc4,0xfc801fff,
    0x7f44003f,0x4c3fe602,0x0175c03e,0x00000000,0x00000000,0xffff9000,
    0x3ffffb05,0xfffffe80,0x3f20ffff,0xffffffff,0x3ffe6002,0x7d4005ff,
    0xffffffff,0xffffffff,0x03fd880f,0x2a205dd3,0x00026000,0x00010008,
    0x00000000,0x00000000,0x3ea00000,0xfff507ff,0xfffb300f,0xc885bfff,
    0x3efffffe,0xffffd800,0x7ffd4001,0xffffffff,0x0fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x99999999,0x99999999,0xdeca8019,0x5544001b,0x554c4000,0x66664c01,
    0x1e666543,0x00015510,0x5ddddd44,0xbbbbbbbb,0xbbbbbbbb,0x55101bbb,
    0x55555555,0x55555555,0x01355555,0xffffffff,0xffffffff,0x0000009f,
    0x00000000,0x7ffff540,0xffffffff,0xffffffff,0xffffe985,0x7ec403ff,
    0x202fffff,0xffffffe9,0xffff502e,0x4ffffb8b,0xdffffd88,0x7ffc4000,
    0xffffffff,0xffffffff,0xffffffff,0x3ffffa25,0xffffffff,0xffffffff,
    0x44ffffff,0xffffffff,0xffffffff,0x0000004f,0x00000000,0x3fffffe0,
    0xffffffff,0xffffffff,0x3fffe63f,0x304fffff,0xfffffffd,0x3fffa0bf,
    0x80ffffff,0x544ffff9,0x74c3ffff,0x1fffffff,0x3ee1bf70,0xffffffff,
    0xffffffff,0xffffffff,0xfff70fff,0xffffffff,0xffffffff,0xffffffff,
    0x7ffffc1f,0xffffffff,0x0004ffff,0x00000000,0x3ffa0000,0xffffffff,
    0xffffffff,0x3fa2ffff,0xfffedfff,0x77ffcc2f,0x4fffda9b,0x989abc98,
    0xff883ffb,0x7ffcc3ff,0x3fffe22f,0x41ffffff,0xff34fffb,0xffffffff,
    0xffffffff,0xffffffff,0x7fffd4df,0xffffffff,0xffffffff,0x7fffffff,
    0x7ffffffc,0xffffffff,0x000004ff,0x00000000,0x3fff6a00,0xffffffff,
    0xffffffff,0x33ffee4e,0xb1bffea0,0x3fe207ff,0xe8ccc02f,0x5ffff07f,
    0x21ffff88,0xfffffffe,0xff72ffff,0x6edcc9ff,0xdddddddd,0xdddddddd,
    0x0bdddddd,0x777776dc,0xeeeeeeee,0xeeeeeeee,0x0001ceee,0x00000000,
    0x00000000,0x80000000,0xfc80fffc,0x203ffc7f,0xfea84ffb,0x07ffffff,
    0xff03fffd,0x3ffe61ff,0xfffe88ef,0xffffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09ffd000,0x7cc7ffe6,0x25ff803f,
    0xffffffe8,0xff907fff,0x4fffd01f,0x6c0efff8,0xffffffff,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff60000,0x21fff706,
    0x7d405ff9,0x37fff65f,0x07ffbaab,0x3f60fff7,0x806f546f,0xfffffffb,
    0x00000002,0x00000000,0x00000000,0x00000000,0x98800000,0x99999999,
    0x99999999,0x81fffc81,0x7ffc7ffe,0x44fffa02,0x1ffa06ff,0xfb837fd4,
    0xfd30005f,0x00003bff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffea8,0xffffffff,0x5fffffff,0x273fffe6,0x544fffea,0xc98adfff,
    0x3fe26ffe,0xfff7311e,0x5ff9815f,0x0009ff50,0x00000988,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffff0,0xffffffff,0xffffffff,
    0x7ffffe47,0xc80effff,0xffffffff,0x7ffe40ff,0xffffffff,0x13fe20ff,
    0x00017fcc,0x00000000,0x00000000,0x00000000,0x00000000,0x3a000000,
    0xffffffff,0xffffffff,0x42ffffff,0xfffffffd,0x3ffaa01f,0x880cffff,
    0xdffffffd,0xec86ffff,0x0001b600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0xfffffffd,0xffffffff,0x504effff,0x019fffff,
    0x026eea60,0x42af2a20,0x00000998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00006a20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_48_latin1_x[224]={ 0,9,5,2,3,3,4,9,11,5,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,10,6,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,3,1,2,0,
10,2,6,-1,5,1,-1,3,-1,-2,6,1,6,6,8,0,2,9,8,7,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_48_latin1_y[224]={ 35,7,9,5,5,8,11,9,7,7,8,10,29,21,
30,5,7,7,7,7,8,8,7,8,7,7,16,16,10,16,10,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,6,43,6,15,8,15,8,15,8,15,8,8,
8,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,8,8,8,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,35,16,5,9,12,9,
8,8,8,9,7,17,20,21,9,2,4,5,7,7,6,16,8,18,33,7,7,17,7,7,7,16,0,0,0,2,
1,-1,9,9,0,0,0,1,0,0,0,1,9,2,0,0,0,2,1,14,7,0,0,0,1,0,9,8,6,6,
7,8,8,6,15,15,6,6,7,8,6,6,7,8,8,8,6,6,7,8,8,11,14,6,6,7,8,6,8,8,
 };
static unsigned short stb__courier_bold_48_latin1_w[224]={ 0,7,15,21,19,20,20,7,10,10,19,23,10,19,
7,19,19,19,20,21,19,21,19,19,19,19,7,10,25,25,26,18,19,28,25,23,24,24,23,25,25,19,25,26,
24,28,27,25,23,25,27,21,23,26,28,27,26,25,20,11,19,10,19,30,9,24,26,23,26,23,22,25,25,21,
17,24,21,28,24,23,26,26,23,20,23,25,26,27,25,25,20,12,5,13,21,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,19,23,21,25,
5,22,14,27,16,23,25,19,27,30,14,23,13,13,9,25,22,7,9,12,15,23,26,29,26,19,28,28,28,28,
28,28,28,23,24,24,24,24,19,19,19,19,25,27,25,25,25,25,25,18,26,26,26,26,26,25,23,23,24,24,
24,24,24,24,27,23,23,23,23,23,21,21,21,21,22,24,23,23,23,23,23,23,25,25,25,25,25,25,26,25,
 };
static unsigned short stb__courier_bold_48_latin1_h[224]={ 0,29,12,34,36,28,25,13,35,35,19,25,13,4,
6,35,29,28,28,29,27,28,29,28,29,29,20,24,25,14,25,27,32,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,33,26,27,26,27,26,26,26,26,26,34,35,34,15,5,8,21,28,21,28,21,27,29,27,27,
36,27,27,20,20,21,29,29,20,21,27,20,19,19,19,28,19,34,34,34,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,28,32,26,21,26,
34,31,5,27,13,18,15,4,27,5,14,30,15,16,8,28,31,7,10,15,13,17,28,28,28,28,35,35,35,33,
34,36,26,34,35,35,35,34,35,35,35,34,26,33,36,36,36,34,35,18,32,36,36,36,35,35,26,28,30,30,
29,28,28,30,21,28,30,30,29,28,29,29,28,27,28,27,30,30,29,28,28,24,25,30,30,29,28,38,36,36,
 };
static unsigned short stb__courier_bold_48_latin1_s[224]={ 253,241,75,101,127,97,233,248,104,67,103,
86,244,175,248,181,67,154,174,132,102,1,47,221,27,87,240,241,136,1,162,
122,1,153,182,141,219,78,103,189,208,234,215,51,194,180,1,168,209,180,58,
23,25,45,29,152,125,99,78,222,74,197,190,113,245,68,52,23,79,117,72,
1,95,1,80,143,121,216,191,93,195,168,141,47,165,165,55,1,29,190,82,
240,234,208,91,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,
79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,253,246,233,
1,1,127,191,44,241,1,58,142,224,175,29,144,27,26,210,241,244,195,21,
240,241,241,42,166,23,131,25,210,94,123,152,123,27,98,49,167,201,226,142,
56,27,54,47,81,25,152,28,147,173,1,78,123,206,199,226,1,115,1,1,
142,142,93,107,50,106,1,213,1,193,118,74,118,124,146,75,57,187,230,217,
50,222,166,216,189,110,167,67,98,161,1,53,27, };
static unsigned short stb__courier_bold_48_latin1_t[224]={ 1,148,479,113,1,242,383,242,77,77,459,
410,328,479,256,40,212,212,212,212,300,242,212,212,212,212,242,212,410,479,410,
300,148,356,356,300,328,356,356,300,356,356,300,383,328,383,410,328,383,113,410,
328,356,328,410,383,383,383,383,77,40,77,459,479,437,437,271,437,271,437,328,
212,328,328,1,328,328,437,437,437,181,181,437,437,300,437,459,459,459,242,459,
77,77,77,479,300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,
300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,1,181,113,
356,437,356,77,148,426,300,479,459,459,479,300,479,479,181,459,300,342,212,148,
263,317,410,479,459,242,271,271,271,40,40,40,113,113,1,356,77,40,40,77,
113,77,40,77,113,383,113,40,1,1,113,77,459,113,1,1,40,77,77,383,
242,148,148,212,242,271,181,410,271,148,148,181,242,181,181,242,300,271,271,148,
181,181,242,242,410,410,148,148,181,271,1,1,1, };
static unsigned short stb__courier_bold_48_latin1_a[224]={ 407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_48_latin1(stb_fontchar font[STB_FONT_courier_bold_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_48_latin1_s[i] + stb__courier_bold_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_48_latin1_t[i] + stb__courier_bold_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_48_latin1_x[i];
            font[i].y0 = stb__courier_bold_48_latin1_y[i];
            font[i].x1 = stb__courier_bold_48_latin1_x[i] + stb__courier_bold_48_latin1_w[i];
            font[i].y1 = stb__courier_bold_48_latin1_y[i] + stb__courier_bold_48_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_48_latin1_s[i] + stb__courier_bold_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_48_latin1_t[i] + stb__courier_bold_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_48_latin1_x[i] + stb__courier_bold_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_48_latin1_y[i] + stb__courier_bold_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_48_latin1_LINE_SPACING
#endif

