// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT        512
#define STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_49_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_49_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_49_latin1_LINE_SPACING          23

static unsigned int stb__courier_bold_49_latin1_pixels[]={
    0x06644000,0x55550000,0x2aaa2015,0x000001aa,0x00000000,0x00002980,
    0x000002e2,0x00000000,0x40000000,0x22000029,0x55555440,0x440000aa,
    0x00002ffe,0x20bffffa,0x4ffffffd,0xfc800000,0x03df901e,0x7fe40000,
    0xff900003,0x40000007,0x00000dd8,0x00b7ae20,0xeff88000,0x7fe40000,
    0x3ffffe63,0x50006fff,0x0000dfff,0x42ffffe8,0xfffffff9,0x54000004,
    0xff985fff,0x8800005f,0x0000fffd,0x009fff50,0xfff70000,0x3000005f,
    0x00dfffff,0x7fff4000,0xfff10001,0x3fffe61f,0x002fffff,0x0077ffdc,
    0x3fffa000,0x7fffc42f,0x00004fff,0x437ffdc0,0x0006fffa,0x17fff4c0,
    0x3fee0000,0x800000ef,0xffffffd8,0x3600000d,0x02fd98bf,0xffd10000,
    0xff10007f,0x3ffe61ff,0x01ffffff,0x013fff60,0x7fff4000,0xfffda82f,
    0x000004ff,0xfd02ffe8,0x5400005f,0x0001efff,0x3ffff500,0x7fdc0000,
    0xffffdcff,0x6f880002,0x00002fc4,0x013fff60,0x21ffff10,0xfffffff9,
    0x3fee003d,0x2000003f,0x40099998,0x0004fffd,0xa8015000,0x3e600000,
    0x00000dff,0x07fff440,0x7ffd4000,0x3fffea2e,0x37c40002,0x000017e6,
    0x00fffee0,0x30ffff88,0x0001ffff,0x0000ffdc,0x7ec00000,0x000004ff,
    0x00000000,0x00013fee,0x2ffd8800,0xdffe8000,0x05ffd880,0xb13fd800,
    0x0000005f,0x8801bfea,0xff30ffff,0x180001ff,0x00000000,0x013fff60,
    0x00000000,0x00370000,0x0ea00000,0x00e4c000,0x40000e54,0x06fffff9,
    0x5c400000,0x3ffe2001,0x1ffff30f,0x00000000,0x99999988,0x00999999,
    0x5449fffb,0x8000accb,0x20019998,0x00009999,0x00000000,0x00000000,
    0x7e440000,0x0000003e,0xfff10000,0x3fffe61f,0x19998800,0x02666600,
    0x7fffff54,0xffffffff,0x19fffb06,0xfffffff9,0xfea805bd,0x105fffff,
    0xdffffffb,0x00000005,0x00000000,0x00001100,0x00000000,0x88000440,
    0xff30ffff,0x7f5401ff,0x105fffff,0xdffffffb,0xffffff85,0xffffffff,
    0xffffb06f,0xffffffff,0x201bffff,0xfffffffe,0xffffb82f,0x5447ffff,
    0x1bcccccc,0xcccccb98,0x665440ac,0x981bcccc,0xaccccccb,0x3f726000,
    0x001bdfff,0x00000000,0x3fff7260,0xf1001bdf,0x3fe61fff,0x3ffa00ff,
    0x82ffffff,0xfffffffb,0x7ffff47f,0xffffffff,0xfffb06ff,0xffffffff,
    0x1fffffff,0xffffffd0,0xfff705ff,0x44ffffff,0xffffffff,0x3ffee3ff,
    0x0fffffff,0xfffffff1,0x7fdc7fff,0xffffffff,0xffffc800,0x04ffffff,
    0x99997300,0x00399999,0xffffc800,0x04ffffff,0x30ffff88,0x7401ffff,
    0xffffffff,0xfffffb82,0x7f547fff,0xffffffff,0xfb06ffff,0xdfffffff,
    0xfffffd99,0xfffd50df,0x3620bfff,0x2effffff,0x3fffffea,0x3fa6ffff,
    0xffffffff,0xfffff53f,0x74dfffff,0xffffffff,0x3fa603ff,0xffffffff,
    0x2000efff,0xfffffffb,0x0005ffff,0xfffffd30,0xdfffffff,0x7fffc401,
    0x01ffff30,0x7fffff54,0xfffb105f,0x2205dfff,0x99999999,0xfb06fffb,
    0x407fffff,0x03fffffc,0x001ffffb,0x10bffff1,0xffffffff,0x7ffdc7ff,
    0x0fffffff,0xfffffff1,0x7fdc7fff,0xffffffff,0xfffff300,0xffffffff,
    0x36003fff,0xffffffff,0x0001ffff,0x7fffffcc,0xffffffff,0xfff101ff,
    0x3fffe61f,0xffffd800,0xffff8800,0xffb80005,0xffffb06f,0xfff3001f,
    0x3ffe60bf,0xfffc804f,0xfff7301f,0x95059ddf,0x37ffffdd,0xeffffb98,
    0xeeca82ce,0x201bffff,0xacfffffe,0xffffca98,0xffb800ff,0xffffffff,
    0x740004ff,0x8acfffff,0xfffffca9,0xffff880f,0x01ffff30,0x09ffff30,
    0x03ffff90,0xdfff7000,0x0bffff60,0x07fffa80,0x803ffff6,0x805ffff8,
    0x2003fffe,0x7406fffb,0x2e003fff,0x7e406fff,0x2601efff,0x004ffffe,
    0xfffddd95,0x000fffff,0x0f7fffe4,0x9ffffd30,0x21ffff10,0x000ffff9,
    0x401ffffb,0x005ffff8,0x0dfff700,0x001bfff6,0x4c0bfffe,0x3204ffff,
    0xe801ffff,0x2e003fff,0x7f406fff,0x3ee003ff,0x3fea06ff,0xd8800dff,
    0x8001ffff,0xfffffffb,0xffa8002f,0xd8800dff,0x7c41ffff,0xfff30fff,
    0x3fe6001f,0x3ff204ff,0x700001ff,0x3f60dfff,0xfd8005ff,0x3ff604ff,
    0xfff880ff,0xfffd005f,0x7ffdc007,0x1ffff406,0x0dfff700,0x007ffffc,
    0x0dffff10,0xddfffd00,0xf000bfff,0x4001ffff,0x446ffff8,0xff30ffff,
    0x7ec001ff,0xff880fff,0x200005ff,0xfb06fffb,0xfb000bff,0x7fcc0bff,
    0xfffc84ff,0xfffd001f,0x7ffdc007,0x1ffff406,0x0dfff700,0x00ffffe6,
    0x0bfffee0,0xaffff980,0x001ffffb,0x00ffffe6,0x8bfffee0,0xf30ffff8,
    0x4c001fff,0xfc84ffff,0x00001fff,0x6c1bffee,0xf8007fff,0x7ec03fff,
    0x3fe20fff,0x3fa005ff,0x3ee003ff,0x7ff406ff,0x3fee003f,0xdfff506f,
    0x7fff4000,0x3fff2003,0x09ffff17,0x037ffd40,0x47fffd00,0xf30ffff8,
    0xd8001fff,0x3e20ffff,0x00005fff,0xd837ffdc,0x2004ffff,0x401ffffb,
    0x324ffff9,0x2001ffff,0x2003fffe,0x7406fffb,0x2e003fff,0xff906fff,
    0x7e40009f,0xff1004ff,0x7ffe49ff,0x3fff2007,0x3ff20004,0x3fffe24f,
    0x01ffff30,0x4ffff980,0x007ffff2,0xdfff7000,0x3fffff60,0xffffb803,
    0xfffd800f,0x5ffff88f,0x1ffff400,0x0dfff700,0x003fffe8,0x6c1bffee,
    0x20003fff,0x7006fffb,0x7cc3ffff,0xfb002fff,0x5c0007ff,0x3fe26fff,
    0xffff30ff,0xfffb0001,0xbffff11f,0xff700000,0x3fff60df,0x5441dfff,
    0x03fffffc,0xb9ffff30,0x8003ffff,0x2003fffe,0x7406fffb,0x2e003fff,
    0xfff06fff,0x7d40005f,0xffd007ff,0xbfffd0df,0x0bfffe00,0x7fffa800,
    0x4c3fffe2,0x8000ffff,0xfdcffff9,0x00001fff,0xb06fffb8,0xffffffff,
    0xfffffddf,0xfd800bff,0x5fffffff,0x3fffe800,0x1bffee00,0x007fffd0,
    0x4437ffdc,0x0001ffff,0x003fffe6,0x505ffff3,0x8803ffff,0x0001ffff,
    0x443fffe6,0xff30ffff,0x360001ff,0xffffffff,0xf7000005,0x3ff60dff,
    0xffffffff,0xefffffff,0x7ffc4000,0x001fffff,0x003fffe8,0xd01bffee,
    0x5c007fff,0xffd06fff,0x7d40005f,0xffc806ff,0x3fffe07f,0x2fffe804,
    0x3ffea000,0x43fffe26,0x000ffff9,0xffffff10,0x000003ff,0x6c1bffee,
    0xffffefff,0xffffffff,0x3ff20003,0x0005ffff,0x4007fffd,0x7406fffb,
    0x2e003fff,0xffb06fff,0x7e40009f,0x7fc405ff,0x99999dff,0x807fffd9,
    0x0004fffd,0xf897fff2,0xfff30fff,0x7e40001f,0x005fffff,0x3ffee000,
    0x19fffb06,0xfffffff7,0x8800019f,0x01ffffff,0x07fffd00,0x037ffdc0,
    0x800ffffa,0xf706fffb,0x6c000bff,0x7dc04fff,0xffffffff,0x2fffffff,
    0x02fffdc0,0x49fffb00,0xf30ffff8,0x40001fff,0x1ffffff8,0x3ee00000,
    0xfffb06ff,0x09aa9989,0x7fe40000,0x360005ff,0x2e003fff,0x7ec05fff,
    0x3ee003ff,0xfff505ff,0xff30003f,0xffe805ff,0xffffffff,0x05ffffff,
    0x00ffffd4,0x17fffcc0,0x261ffff1,0x0000ffff,0x02ffffe4,0x3fee0000,
    0x9fffb06f,0xb0000000,0x0003ffff,0x002fffe4,0xc809fffb,0x36005fff,
    0xff104fff,0xfd000dff,0x7cc01fff,0xffffffff,0xffffffff,0x3ffe201f,
    0xffe8006f,0x3ffe20ff,0x1ffff30f,0xfffd8000,0x4000001f,0xfb05fffc,
    0x000009ff,0x5ffff980,0x7ffd4000,0xfff8800f,0x7ffd402f,0xfff8800f,
    0x3fff202f,0x3fee003f,0x7fec04ff,0xffffffff,0xffffffff,0x7fffe404,
    0x3ffee003,0x7fffc44f,0x01ffff30,0x7fffcc00,0x44000005,0xfb03ffff,
    0x000009ff,0x0ffffd80,0x7ffc4000,0x7ff4406f,0x7fc400ff,0x7f4406ff,
    0x7f400fff,0xfc804fff,0x7c406fff,0x2e004fff,0xfe807fff,0xfc804fff,
    0xff886fff,0xffff30ff,0x40015999,0x000ffffd,0x7ffe4000,0x9fffb01f,
    0x4c000000,0x0005ffff,0x3dffffb0,0xffffea88,0xffffb004,0xffea883d,
    0xff9804ff,0xd981dfff,0x401fffff,0x000ffffb,0x00bfffe2,0x3bfffff3,
    0xfffffb30,0x1ffff103,0x3fffffe6,0xf9800fff,0x80005fff,0xfda99999,
    0xb307ffff,0x0133bfff,0x4ccc4000,0x02ffffd9,0x3fffa000,0xfffeefff,
    0x74006fff,0xeeffffff,0x06ffffff,0x3ffffee0,0xffffeeff,0x74c04fff,
    0x800aefff,0x9efffea8,0x3fffee00,0xfffeefff,0xf104ffff,0x3fe61fff,
    0x3fffffff,0x7eccccc4,0x20002fff,0xfffffffc,0x42ffffff,0xfffffffc,
    0x0002ffff,0x3fffffea,0x2fffffff,0xfff98000,0xffffffff,0x4c001fff,
    0xffffffff,0x01ffffff,0x7ffffe40,0xffffffff,0x3ffea03f,0x0effffff,
    0xfffffe88,0x3201ffff,0xffffffff,0x03ffffff,0xff337ff4,0x3fffffff,
    0x3fffffea,0x2fffffff,0x7fffc400,0xffffffff,0x7fffc42f,0xffffffff,
    0x3ffa0006,0xffffffff,0x00006fff,0xffffffb1,0x001dffff,0x3ffff620,
    0x0effffff,0xfffd3000,0xdfffffff,0xffffe803,0x83ffffff,0xfffffffb,
    0x74c05fff,0xffffffff,0xc8801eff,0x3bbba20c,0x3fa1bdee,0xffffffff,
    0x8006ffff,0xffffffff,0xf882ffff,0xffffffff,0x20006fff,0xfffffffe,
    0x06ffffff,0x7ffdc000,0x003fffff,0xfffff700,0x00007fff,0x3ffffff2,
    0xfd800cef,0xffffffff,0xffffa82f,0x05ffffff,0xffffff90,0x000019df,
    0xffffe800,0xffffffff,0xfda8006f,0x1bdfffff,0x7fffed40,0x01dfffff,
    0x3fff6600,0xffffffff,0x1000001d,0x00015975,0x2b2ea200,0x51000000,
    0x88001577,0xffffffec,0x3ffae03e,0x00ceffff,0x055dd440,0x30000000,
    0xfffffffb,0x003bffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00aa0000,0x44000000,0x0000001b,0x1a800000,0x30000000,
    0x30000013,0x53000007,0x30000000,0x75400005,0x8800001e,0xff0000de,
    0x0000007f,0x006ff980,0x01ed8800,0x7fd40000,0x88000005,0xefffffec,
    0x0003730b,0x00003dff,0x0000f7fc,0x01ffd800,0x0bffd000,0xfffb8000,
    0x7fd4002f,0x000000ff,0x09fff500,0xfffa8000,0x2000003f,0x000efff8,
    0xfffd8800,0xffffffff,0x4002fffc,0x0002fffd,0x005fffb0,0x7ff44000,
    0xf880000f,0x100007ff,0xbffffffb,0x3ffe2001,0x0000003f,0x005fffc8,
    0x3fff6200,0x0001efff,0x3ffff300,0x7fcc0000,0xffffffff,0x4fffffff,
    0x7ffec400,0xfe880003,0x800003ff,0x001ffff9,0x1ffff100,0xfffb8000,
    0x2ffffdcf,0x0ffffb00,0x6c400000,0x00004fff,0x337fffea,0x0003ffff,
    0x5fffd100,0xfff50000,0xffffffff,0xdfffffff,0x3fff2000,0xff900005,
    0x5c0000bf,0x0000efff,0xffffec98,0x000baace,0x543dfff5,0x9802ffff,
    0x0003ffff,0x5fffb000,0x7fcc0000,0x3ffa63ff,0x1000003f,0x0003fffb,
    0x7fffffc4,0xfdb989bd,0x006fffff,0x013ffee0,0x27ffdc00,0x7ffd4000,
    0xff900005,0xffffffff,0x3fa00fff,0xffd880cf,0xdfffd005,0x3e000000,
    0x400001ef,0xf900dffc,0x800000df,0x20004ffc,0x01fffffe,0x37ffff4c,
    0x1ffe6000,0x7ff98000,0x3ffc8000,0xfffb0000,0xffffffff,0x93003fff,
    0x00395003,0x00bfffea,0x02e60000,0x0b220000,0x00007260,0x0002e600,
    0x0fffffd4,0x0dffff00,0x00371000,0x001b8800,0x0001b880,0xffffff70,
    0xffffffff,0x0000007f,0x0dfffd00,0x00000000,0x00000000,0x00000000,
    0x007ffff6,0x009fff70,0x00000000,0x00000000,0xbfffff10,0xfff75335,
    0x000007ff,0xffff5000,0x00000005,0x00000000,0x00000000,0x3ffff880,
    0x2fff8800,0x00000000,0x88000000,0x3fe60000,0x3fa204ff,0x665441ff,
    0x981bcccc,0xaccccccb,0x1bfffe00,0x665cc000,0x1ccccccc,0x99730000,
    0x39999999,0x32e60000,0xcccccccc,0xfffa8001,0x7b50000f,0x99999510,
    0x99999999,0x89999999,0xcccccca8,0xcccccccc,0x3726000a,0x01bdffff,
    0x03fffee0,0xf88fff50,0xffffffff,0x3fffee3f,0x00ffffff,0x003ffff7,
    0xfffffb80,0x05ffffff,0xffffb800,0x5fffffff,0xfffb8000,0xffffffff,
    0xfffb8005,0xfd000006,0xffffffff,0xffffffff,0xfff8ffff,0xffffffff,
    0x07ffffff,0xffffff90,0x2009ffff,0x800ffffb,0x7ffd40ba,0x6fffffff,
    0x3ffffffa,0xf103ffff,0x8000bfff,0xfffffffd,0x001fffff,0x7ffffec0,
    0x1fffffff,0x7ffec000,0xffffffff,0x7fe4001f,0x9800005f,0xffffffff,
    0xffffffff,0x2a7fffff,0xffffffff,0xffffffff,0x3fa601ff,0xffffffff,
    0x4c00efff,0x000cffff,0xffffff10,0x7dc7ffff,0xffffffff,0x3fff200f,
    0x3ee0001f,0xffffffff,0x40004fff,0xfffffffb,0x004fffff,0x7ffffdc0,
    0x4fffffff,0x2fffe400,0xfff80000,0xffffffff,0xffffffff,0x3ffe27ff,
    0xffffffff,0x07ffffff,0x3fffffe6,0xffffffff,0x7ff401ff,0x009bdfff,
    0x3fffee60,0xeca82cee,0x01bffffe,0x027fffc4,0x3bbb2a00,0x7fffffff,
    0xeeca8000,0xfffffffe,0xeca80007,0xffffffee,0x7fe4007f,0x1000004f,
    0xddffffb7,0xdddddddd,0xb98ffffd,0xfffeeeed,0x0bdeeeef,0x3fffffa0,
    0xffca98ac,0x2a00ffff,0xffffffff,0xfd001bef,0x7dc007ff,0x3f2006ff,
    0x00000fff,0x3fffffee,0x400002ff,0xfffffffb,0x5c00002f,0xffffffff,
    0x3fff2002,0xd8000004,0xf5003fff,0x3e200fff,0x64000fff,0x201effff,
    0x04ffffe9,0x7fffffdc,0x01efffff,0x001ffff4,0x400dfff7,0x004ffff8,
    0x3bfffa00,0x0005fffe,0x777fff40,0x00005fff,0x7f77fff4,0x3f2005ff,
    0x000005ff,0x003fffd8,0x200ffff5,0x000ffff8,0x037fffea,0x3ffff620,
    0x7fff4c01,0xffffffff,0x0ffffa03,0x06fffb80,0x07fffec0,0x7ffcc000,
    0x1ffffbaf,0xfff30000,0x3ffff75f,0x3fe60000,0xffffbaff,0xffff7001,
    0xfb000000,0xf30207ff,0x3e200dff,0x3e000fff,0x2000ffff,0x006ffff8,
    0xfffffb71,0x3a03ffff,0x2e003fff,0x4c006fff,0x0003ffff,0xf17fffc8,
    0x00009fff,0x7c5ffff2,0x00004fff,0x3e2ffff9,0xf5004fff,0x00001fff,
    0x43fffd80,0x3fe0efc8,0xfff1004f,0x3fe6001f,0xfb8003ff,0x88002fff,
    0x6fffffca,0x007fffd0,0x0037ffdc,0x003fffec,0x93fffe20,0x0007fffc,
    0x24ffff88,0x0007fffc,0x24ffff88,0x1007fffc,0x000bffff,0x3fffd800,
    0xb317ffdc,0x3fe20019,0xff5000ff,0x7f4000df,0xd80003ff,0xfe80ffff,
    0x3ee003ff,0xfa8006ff,0x20003fff,0x261ffffb,0x0002ffff,0x30ffffdc,
    0x0005ffff,0x21ffffb8,0x002ffff9,0x005ffff9,0x6c05db10,0x7fe43fff,
    0x7c40004f,0xf9000fff,0x640009ff,0x6fdc4fff,0xffff3000,0x07fffd03,
    0x037ffdc0,0x06fffe80,0x1bfffa00,0x0017fffa,0xd0dfffd0,0x8000bfff,
    0xfe86fffe,0xff1005ff,0x4c007fff,0xfb00fffe,0xffffffff,0x880009ff,
    0xb000ffff,0x40007fff,0x3e26fffb,0xff1004ff,0xfffd05ff,0x7ffdc007,
    0xfff50006,0xff30005f,0xfff505ff,0x3e60003f,0xffa82fff,0xf30001ff,
    0xff505fff,0x3ee003ff,0x00aeffff,0x5fffff73,0x3fffff60,0x04ffffff,
    0x7fffc400,0x5ffff000,0x7ffd4000,0x03fffea7,0x07fffee0,0x800ffffa,
    0x0006fffb,0x001bfffa,0xf81ffff2,0x90004fff,0x7fc0ffff,0xf90004ff,
    0x7ffc0fff,0x3ff6004f,0xdeffffff,0xfffffffe,0x3ffff606,0x4fffffff,
    0x7ffc4000,0xfff8800f,0x3e60001f,0xfff70fff,0x7fd405df,0xfffd07ff,
    0x7ffdc007,0x3fee0006,0x3e2001ff,0x9999dfff,0x07fffd99,0xdffff880,
    0xfd999999,0xf88007ff,0x9999dfff,0x07fffd99,0x7ffffec0,0xffffffff,
    0x3601efff,0xffffffff,0x40004fff,0x000ffff8,0x0005fffd,0xf737ffd4,
    0x79dfffff,0xfffffd97,0x0ffffa07,0x06fffb80,0x2ffffc00,0xfffff700,
    0xffffffff,0xb8005fff,0xffffffff,0xffffffff,0x7ffdc002,0xffffffff,
    0x002fffff,0x7fffffdc,0xffffffff,0xdfffd804,0x4fffdaaa,0x7ffc4000,
    0xfffb000f,0x7fe40009,0x3fffee5f,0xffffffff,0x3a06ffff,0x2e003fff,
    0x40006fff,0x001ffffb,0xfffffffd,0xffffffff,0xffe800bf,0xffffffff,
    0x05ffffff,0x7fffff40,0xffffffff,0x88005fff,0xffffffeb,0xb002ceff,
    0xffb87fff,0x800dc43f,0x000ffff8,0x000bfff7,0xf327ffec,0xffffffff,
    0x1dffffff,0x01fffec0,0x00bfff70,0x5ffff880,0xfffff980,0xffffffff,
    0x001fffff,0xfffffff3,0xffffffff,0x26003fff,0xffffffff,0xffffffff,
    0x220001ff,0x001aeffb,0x987fffb0,0x7ffc1fff,0xffff8802,0xffff5000,
    0xfff30003,0xfefff85f,0xffffffff,0xfffc804f,0x3fff6005,0xffc80004,
    0x7fec00ff,0xffffffff,0xffffffff,0xffffb004,0xffffffff,0x09ffffff,
    0x3fffff60,0xffffffff,0x004fffff,0x0027fc40,0x40ffff60,0x27ffcc0a,
    0x07fffc40,0x6ffff880,0xffffe800,0xfb510a80,0x0015bfff,0x003fffea,
    0x00bfffe2,0x3fffe200,0x3fffe204,0x3ffee004,0xffff8807,0x3ffee004,
    0xffff8807,0x3ffee004,0x7fc40007,0x3f60004f,0x3ea003ff,0xff8806ff,
    0x3f2000ff,0x2e003fff,0x2004ffff,0x000ffff8,0x037fffc4,0x03ffffa2,
    0x7ffec000,0xffff700f,0x7ffc4001,0x7ffdc02f,0x3fe2000f,0x7fdc02ff,
    0x3e2000ff,0x20002fff,0x004ffff8,0x007fffb0,0x4037ffd4,0x000ffff8,
    0x027ffff4,0x037fffe4,0x03fffe20,0x3ffff600,0x7ff5441e,0x200004ff,
    0x983ffff9,0x00aefffe,0xefffea88,0xfffe9809,0xea8800ae,0x9809efff,
    0x00aefffe,0xefffea88,0x26ea0009,0x8007feca,0xaadfffea,0xaaaaaaaa,
    0x5446fffc,0xffffbaaa,0x200aaaab,0x1dfffff9,0xfffffd98,0x7ffc4001,
    0xffd0000f,0xffddffff,0x000dffff,0x4ffffb00,0xfffffffa,0xfe880eff,
    0xffffffff,0xffffff51,0xd101dfff,0xffffffff,0x3fffea3f,0x80efffff,
    0xffffffe8,0xf8801fff,0x05ffefff,0x3fffff20,0xffffffff,0xffffffff,
    0x3fffff66,0xffffffff,0x3ee05fff,0xeeffffff,0x4fffffff,0xffff8800,
    0xfff30000,0xffffffff,0x00003fff,0x25ffff30,0xfffffffe,0xffb83fff,
    0xffffffff,0xffffffd5,0xf707ffff,0xffffffff,0x3ffffabf,0x83ffffff,
    0xfffffffb,0xfb005fff,0x005fffff,0x3fffffe6,0xffffffff,0xffffffff,
    0xffffff36,0xffffffff,0x6403ffff,0xffffffff,0x03ffffff,0x01bffa00,
    0xffffb100,0x1dffffff,0x7e400000,0xffffb0ff,0x05ffffff,0xfffffff5,
    0x3ff6bfff,0xffffffff,0xfffffa82,0xfb5fffff,0xffffffff,0xffff505f,
    0x0bffffff,0x16ff64c0,0xfffff100,0xffffffff,0xffffffff,0x3fffe2df,
    0xffffffff,0x00ffffff,0x7fffff4c,0x01efffff,0x01ffe400,0xffffb800,
    0x0003ffff,0x22dc8800,0xfffffec8,0x3fae03ef,0x0cefffff,0xfffffd91,
    0x7f5c07df,0x0cefffff,0xfffffd91,0x7f5c07df,0x0cefffff,0x54000000,
    0xfffffffd,0xffffffff,0x2e6fffff,0xfffffffd,0xdfffffff,0x3fff2002,
    0x00ceffff,0x00013000,0x15975100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15775100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x2000001b,0x000001b8,0x22000000,0x0000001b,
    0x02980000,0x2e202ee0,0x054c0002,0x7b700000,0xb801edc0,0x0c40001d,
    0x40000018,0x00007fe9,0x000ffd30,0x00376200,0x1ffa6000,0x01bd1000,
    0xff700000,0x0dff900f,0x30007fff,0x2a07fffd,0xfff70001,0x05fff505,
    0x002fffb8,0x30ffffa8,0x0003bfff,0x04fffa80,0xfffa8000,0xfb800004,
    0x00002fff,0x0013ffea,0x02ffffb8,0x3fe20000,0x7ffc01ff,0x1bffe61f,
    0xfffff500,0x3ff623df,0xfffd8000,0x05fffd84,0x007fffec,0x9fffff70,
    0x07fffff6,0x7ffe4000,0x6400000d,0x0000dfff,0x3ffff620,0x40000dff,
    0x000dfffc,0xfffffd88,0x800000df,0x400ffffb,0x3ee1ffff,0x3e2006ff,
    0xffffcdff,0x000ffffe,0xa81fffa8,0x7dc02fff,0xf3004fff,0x327fffff,
    0x00ffffff,0x3fff6200,0x6c400004,0x00004fff,0x6e7fffdc,0x8002ffff,
    0x004fffd8,0xb9ffff70,0x0005ffff,0x05ffff80,0x70ffffc4,0x4400bfff,
    0x3ff623ff,0x0001ffff,0x1c980726,0xfffff880,0xffffd800,0xfffb10cf,
    0x6c0009ff,0x00002fff,0x002fffd8,0x77ffd400,0x0bfffea2,0x05fffb00,
    0x3bffea00,0x0bfffea1,0x7ffdc000,0x7ffc401f,0x17fff20f,0x3aa01100,
    0x000002df,0xfff90000,0xffff009f,0x3ff62019,0x3fe0006f,0xf000001e,
    0x000003df,0xb101bffd,0xff800bff,0x3fa0001e,0xffd880cf,0xffd00005,
    0xfff300df,0x27ffe41f,0x00000000,0x44000000,0x200fffff,0x401ffff8,
    0x0007fffa,0x000002e6,0x00000b98,0x95003930,0x00b98003,0x400e4c00,
    0xa80001ca,0x9802ffff,0x7fec7fff,0x1100004f,0x22000000,0x7fe40000,
    0x3fe204ff,0x7fcc00ff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0xfffe8000,0xffff5006,0x003fffe8,0xffffb930,0x2000037b,0xdffffdc9,
    0x7fcc001b,0x3fe207ff,0x7fcc00ff,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x7ffd4000,0xfff5002f,0x03fffe8f,0xfffffc80,0x004fffff,
    0x7ffffe40,0x004fffff,0x817fffec,0x400ffff8,0x2207fff9,0xccccccca,
    0xcccccccc,0xb984cccc,0x200acccc,0x1bccccb8,0xccccca88,0xcccccccc,
    0x44cccccc,0xcccccca8,0xcccccccc,0x6665440a,0xcccccccc,0x0000accc,
    0x300ffffb,0x55ffffb5,0x159ffff5,0xffffd300,0xffffffff,0xfe98001d,
    0xffffffff,0x3000efff,0x220bffff,0x4c00ffff,0x3fa07fff,0xffffffff,
    0xffffffff,0x7fe47fff,0x80ffffff,0xfffffff9,0x7ffff44f,0xffffffff,
    0xffffffff,0x7fffffc7,0xffffffff,0x7ffc7fff,0xffffffff,0x07ffffff,
    0x3ffff980,0x7fffffc0,0xffffffff,0x2605ffff,0xffffffff,0xffffffff,
    0xffff3001,0xffffffff,0x2003ffff,0xf106ffff,0xf9801fff,0xfff307ff,
    0xffffffff,0xffffffff,0xffff8fff,0xc83fffff,0xffffffff,0x3ffffe67,
    0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0xf51fffff,0xffffffff,
    0xffffffff,0xffd8003f,0x3fea00ff,0xffffffff,0xffffffff,0xffffd00f,
    0xf953159f,0x001fffff,0x59fffffd,0xffff9531,0xffd001ff,0x3ffe20ff,
    0x7ffcc00f,0x3ffffe07,0xffffffff,0xffffffff,0x7ffffec7,0xffa81fff,
    0x45ffffff,0xffffffff,0xffffffff,0x227fffff,0xffffffff,0xffffffff,
    0x3fffe27f,0xffffffff,0x007fffff,0x027fffc4,0x3fffffe2,0xffffffff,
    0xf906ffff,0x4c03dfff,0x404ffffe,0x01effffc,0x13ffffa6,0x03ffff20,
    0x003fffe2,0x440ffff3,0xeeffffdb,0xeeeeeeee,0x5447fffe,0x02fffffd,
    0x37ffffea,0x7fedc40a,0xeeeeeeff,0xfffeeeee,0x7776dcc7,0xeeeffffe,
    0x6dcc0bde,0xffffeeee,0x00bdeeee,0x07fffe40,0x7fff6540,0xfffeeeef,
    0xfa81bdef,0x8800dfff,0x501ffffd,0x001bffff,0x03ffffb1,0x82ffffb8,
    0x9807fffa,0xd801ffff,0xf5003fff,0x7fec0fff,0x3fee02ff,0xffb005ff,
    0x3fea007f,0xfff1007f,0xf880001f,0x80000fff,0x004ffff8,0x2a3fffe8,
    0xff807fff,0x22000fff,0xff06ffff,0x44001fff,0x5406ffff,0x36a3ffff,
    0x8806ffff,0x01dfffff,0x400ffff6,0x2207fffa,0x880fffff,0x000fffff,
    0x2007fffb,0x1007fffa,0x0001ffff,0x00ffff88,0xffffc800,0xffff8000,
    0x01fffea2,0x007ffff3,0x85ffff70,0x003ffff9,0x02ffffb8,0x553fffe2,
    0x03ffffff,0xffffff90,0x0ffff603,0x1bffe604,0x0bffff70,0x005ffffd,
    0x081fffec,0x8037ffcc,0x000ffff8,0x07fffc40,0x3ffe2000,0xfff0005f,
    0x37ffdc5f,0x01bffea0,0x43fffe80,0x0006fffa,0xf00ffffa,0x3ff2bfff,
    0x22007fff,0x03ffffff,0xc887fffb,0x13ffe0ef,0x8fffff60,0x005ffffb,
    0x221fffec,0x3ffe0efc,0xffff1004,0xff880001,0x5c0000ff,0x8001ffff,
    0x2e1ffff8,0x7e406fff,0x320004ff,0x7fe44fff,0x3f20004f,0x3fe204ff,
    0xffff54ff,0x3f2007ff,0xb01fffff,0xffb87fff,0x0033662f,0x23ffffe2,
    0x00fffff8,0x21fffec0,0x3662fffb,0xfff1000c,0xf880001f,0x40000fff,
    0x4005ffff,0xbffffba8,0xaefffdaa,0x07fffb00,0x37ffdc00,0x000ffff6,
    0x206fffb8,0x2a3ffffa,0x806ffffd,0x1dfffff8,0x90ffff60,0x80009fff,
    0xfddffffa,0xd8002fff,0x7fe43fff,0x7c40004f,0x40000fff,0x000ffff8,
    0x0bfffea0,0xfffffe80,0xffffffff,0xff85ffff,0x2a0002ff,0x7ffc7fff,
    0x3ea0002f,0x3fee07ff,0xfffa82ff,0xffff8807,0xffffd801,0x4fffffff,
    0xfffd8000,0x005fffff,0xffffffb0,0x009fffff,0x0ffff880,0x7ffc4000,
    0x3fa0000f,0x3e6006ff,0xffffffff,0xffffffff,0x3ffe21ff,0x3e60001f,
    0xfff10fff,0x7cc0003f,0xff900fff,0xfff101ff,0xfff9801f,0xffffb007,
    0x9fffffff,0xfff10000,0x001fffff,0x3fffff60,0x04ffffff,0x7fffc400,
    0x7fc40000,0xf50000ff,0x44005fff,0xffffffff,0xffffffff,0x7ff40fff,
    0x3ea0002f,0x7fff46ff,0x3fea0002,0x3fff606f,0x1ffff107,0x07fff980,
    0xffffffb0,0x009fffff,0x3fffea00,0x360002ff,0xffffffff,0x40004fff,
    0x000ffff8,0x07fffc40,0x6fffe800,0xfeeca800,0xffeeefff,0xd82ceeff,
    0x20004fff,0x7ec5fffc,0x320004ff,0x3fe05fff,0xfff106ff,0xfff9801f,
    0xffffb007,0x9fffffff,0x7fec0000,0x6c0004ff,0xffffffff,0x40004fff,
    0x000ffff8,0x07fffc40,0x7fffcc00,0x7fdc0003,0x17fffc6f,0x017ffee0,
    0x44fffd80,0x0005fffb,0x4c13fff6,0xf105ffff,0xf9801fff,0xffb007ff,
    0xffb555bf,0x4400009f,0x0000ffff,0x556fffec,0x004fffda,0x07fffc40,
    0x3ffe2000,0xffd8000f,0xfc80007f,0x7fffc5ff,0x7fffd402,0xfff98001,
    0x7fffd42f,0xfff98001,0xffffb02f,0x3fffe205,0x3fffcc00,0x43fffd80,
    0x5c43fffb,0xfff88001,0x7ec0000f,0x7ffdc3ff,0x8800dc43,0x0000ffff,
    0x007fffc4,0x0ffffe60,0x3fff2000,0x00ffffc5,0x01bfffe2,0x03ffffa0,
    0x00dffff1,0x01ffffd0,0x40dffff1,0x400ffff8,0xb007fff9,0xff987fff,
    0x017ffc1f,0x03fffe20,0x7fffb000,0x7c1fff98,0xff8802ff,0x440000ff,
    0x4000ffff,0x000ffffc,0x24fffd80,0x800ffff8,0x003ffffc,0x413fffee,
    0x003ffffc,0x413fffee,0x203ffffc,0x400ffff8,0xb007fff9,0x02a07fff,
    0x8009fff3,0x000ffff8,0x81fffec0,0x27ffcc0a,0x07fffc40,0x3ffe2000,
    0x3fe2000f,0xb00004ff,0x7fcc9fff,0xffd000ff,0xff9009ff,0xffe80dff,
    0xffc804ff,0xfff106ff,0xfff880ff,0x7ffd400f,0x7fffb007,0x37ffd400,
    0x3fffe200,0x7fec0000,0x3fea003f,0xfff8806f,0x7c40000f,0x32000fff,
    0x0000ffff,0x4c7fffd0,0x26007fff,0x81dfffff,0x1fffffd9,0x7ffffcc0,
    0xfffd981d,0xfff901ff,0xffff009f,0x7fffb805,0x07fffb00,0x037ffd40,
    0x03fffe20,0x7fffb000,0x37ffd400,0x07fffc40,0x3ffe2000,0xfff1000f,
    0x740000bf,0x3fea2fff,0x7fdc007f,0xfeefffff,0x04ffffff,0xffffff70,
    0xfffffddf,0x3fe209ff,0xfe800fff,0x6cc1dfff,0xa805ffff,0xaaadfffe,
    0xcaaaaaaa,0xa9806fff,0xabffffba,0x7f54001a,0xaaaaadff,0xffcaaaaa,
    0x5555446f,0xaabffffb,0x555100aa,0x57ffff75,0xff701555,0x400003ff,
    0x3ea2ffff,0xfc8006ff,0xffffffff,0x003fffff,0x7fffffe4,0xffffffff,
    0x3fffee03,0xffff7004,0x3ffee5ff,0x3f202fff,0xffffffff,0xffffffff,
    0x2a06ffff,0xffffffff,0x02ffffff,0x7fffffe4,0xffffffff,0x6fffffff,
    0x3ffffff6,0xffffffff,0x7ffec5ff,0xffffffff,0x7c5fffff,0x00005fff,
    0xf107ffec,0x260009ff,0xfffffffe,0x0001efff,0xffffffd3,0x803dffff,
    0x000ffffd,0x53fffff6,0x05fffffd,0x3fffffe6,0xffffffff,0xffffffff,
    0x3ffffa06,0xffffffff,0x3fe606ff,0xffffffff,0xffffffff,0xff36ffff,
    0xffffffff,0xffffffff,0x3ffffe63,0xffffffff,0xf31fffff,0x00003fff,
    0xfb83fd98,0x7e40000e,0xceffffff,0xffc80000,0x0cefffff,0x02fffb80,
    0x2ffffd80,0x809ffff7,0xfffffff8,0xffffffff,0x6fffffff,0x3fffff20,
    0xffffffff,0x3ffe205f,0xffffffff,0xffffffff,0xfff16fff,0xffffffff,
    0x1fffffff,0x3fffffe2,0xffffffff,0xff10ffff,0x000000bf,0x22000000,
    0x0000abba,0x15775100,0x00397000,0x2a16dcc0,0xfb5001bd,0xffffffff,
    0xffffffff,0x6440dfff,0xfffffffe,0x400cefff,0xffffffda,0xffffffff,
    0x26ffffff,0xffffffdb,0xffffffff,0x7ffedc2d,0xffffffff,0x75c2dfff,
    0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02f22000,0x2aaaaaa2,0x03db800a,0x08800f6e,0xb701edc0,0x0a980007,
    0x44000000,0x51000000,0x20000001,0x0f6e03db,0xa80f6a00,0x000000bd,
    0x79300000,0x5fff8801,0x3fffffa2,0x7dc00fff,0xfffa82ff,0x04ffc802,
    0xf505fff7,0xd30005ff,0x06a07fff,0xffb93000,0x00039bff,0x0cfffe88,
    0xb80002a8,0xffa82fff,0x3fe6002f,0x4fff983f,0xedb88000,0x5c401bdf,
    0xfff982de,0x3fff600f,0x3ffffee7,0x6c00ffff,0xffd84fff,0x7ffc405f,
    0x4fffd80f,0x005fffd8,0x7fffffd4,0x01ffb11e,0x3ffff200,0x03ffffff,
    0xfffff300,0x3ff225ff,0x7fec0002,0x5fffd84f,0x1bfff200,0x001bffee,
    0xffffff70,0x7ff405ff,0x7ffe43ff,0xffff502f,0x7ffffd4b,0x5400ffff,
    0xffa81fff,0x7ffc402f,0x1fffa80f,0x002fffa8,0x3f37ffe2,0xffffefff,
    0x7ff4c000,0xffffffff,0x74001eff,0xffffbeff,0x001ffffe,0x40fffd40,
    0x2002fffa,0xf883fff9,0x2e0003ff,0xffffffff,0xfff982ff,0x7ffcc6ff,
    0xffffd00f,0xffffeb85,0xc9800fff,0x20072601,0x300ffff8,0x00e4c039,
    0xd88ffe20,0x01ffffff,0x7ffffcc0,0xffffffff,0x3a001fff,0x7fffe44f,
    0x300002ff,0x00e4c039,0x930164c0,0x7fe40005,0xfeb9adff,0x7ffdc2ff,
    0x5dcc1fff,0xdffff300,0x1ffff100,0x10000000,0x0001ffff,0x40220000,
    0x0002dfea,0x59fffffd,0xffff9731,0x300800df,0x00017dfb,0x00000000,
    0xf8800000,0xffb00eff,0xfffffc8b,0xffd8001f,0xff8802ff,0x000000ff,
    0x0ffff880,0x00000000,0xff900000,0x74c03dff,0x0004ffff,0x00000000,
    0x00000000,0x3fff9000,0x2e3ffc40,0x00ffffff,0x37fffcc0,0x0ffff880,
    0x88000000,0x0000ffff,0x00000000,0xdffffa80,0xfffd8800,0x0000002f,
    0x00000000,0x40000000,0xe802fff8,0x3ffea1ff,0xfc8007ff,0xf1002fff,
    0x65441fff,0x81bccccc,0xccccccb9,0x3fffe20a,0x33332a20,0xcccccccc,
    0x65440acc,0x4c03cccc,0xaccccccb,0x0fffff80,0x3fffe200,0xcccb9807,
    0x01cccccc,0x99995100,0x99999999,0x99999999,0xccccb980,0x001ccccc,
    0x200fff70,0x3fe63ffc,0x01307fff,0x00dffff1,0x887fffc4,0xffffffff,
    0x3ffee3ff,0x0fffffff,0x7c1ffff1,0xffffffff,0xffffffff,0x7fffff47,
    0xfff501ff,0x1fffffff,0x01ffffcc,0x0ffffdc0,0xffffff70,0x00bfffff,
    0x3fffffa0,0xffffffff,0x7fffffff,0x3ffffee0,0x05ffffff,0x00dffb00,
    0xff993ff2,0xffd86fff,0x1ffffd43,0x1ffff100,0x3fffffea,0x3fa6ffff,
    0xffffffff,0x1ffff13f,0x3fffffea,0xffffffff,0xff31ffff,0x0dffffff,
    0x3ffffff6,0x3ee3ffff,0x3a0006ff,0x3f602fff,0xffffffff,0x4c001fff,
    0xffffffff,0xffffffff,0x207fffff,0xfffffffd,0x001fffff,0x2604ffe8,
    0x224fffdb,0x4c5fffff,0x7fe46fff,0x3e2001ff,0xfff10fff,0x7fffffff,
    0x7fffffdc,0xff10ffff,0x3ffe21ff,0xffffffff,0x47ffffff,0xffffffff,
    0xffffb83f,0x21ffffff,0x0004fffc,0xb813fff2,0xffffffff,0x8004ffff,
    0xffffffff,0xffffffff,0x207fffff,0xfffffffb,0x004fffff,0xd882fff8,
    0x44ffffff,0x545fffff,0x3f60ffff,0x7c4007ff,0x3ee60fff,0x82ceefff,
    0xffffeeca,0x3fffe21b,0x3bbb6e60,0xeeeffffe,0x6dc40bde,0x0fffffff,
    0xfffeeca8,0x7fff41cf,0x3fee0003,0x7765405f,0xfffffffe,0xfdb88007,
    0xeeeeefff,0xffeeeeee,0x7765407f,0xfffffffe,0x7ffc4007,0x7ffffd41,
    0x7ffc4fff,0x7ffdc4ff,0x1bfffa0f,0x1ffff100,0x007fffd0,0x4437ffdc,
    0x8800ffff,0x8000ffff,0x5ffffffd,0x83fffd40,0x0001ffff,0x001fffea,
    0xfffffff7,0x7ec0005f,0xff5003ff,0xffb800ff,0x02ffffff,0xf11ffe60,
    0xffbbffff,0x3ffffe89,0x88ffffe4,0x4005ffff,0xe80ffff8,0x2e003fff,
    0xffb06fff,0x3ffe200b,0xffd8000f,0x202fffff,0xf887fffa,0x20001fff,
    0x4007fff9,0xffeefffe,0x3f60005f,0xff5003ff,0xffe800ff,0x05fffeef,
    0xfb1ffe60,0x3ff217ff,0x1ffffec4,0x4cbffff6,0x4004ffff,0xe80ffff8,
    0x2e003fff,0x77106fff,0x3ffe2001,0xffd8000f,0x00ffffff,0x3e0ffff5,
    0x20002fff,0x2006fffa,0xfbaffff9,0xb0001fff,0x30207fff,0x4c00dfff,
    0xffbaffff,0xff3001ff,0x644fff8f,0x7ffe44ff,0x7ffff42f,0x07ffff53,
    0x0ffff880,0x003fffe8,0x001bffee,0x0ffff880,0xffffd800,0xf505ffff,
    0x3ffa0fff,0x3f20003f,0x3f2005ff,0xffff17ff,0x3ff60009,0x077e443f,
    0x64009fff,0xfff17fff,0x3fe6009f,0x903ffe67,0xfffc89ff,0x7ffff41f,
    0x03ffff74,0x0ffff880,0x003fffe8,0x001bffee,0x0ffff880,0xcfffd800,
    0xa82ffffe,0xffb07fff,0x7ec000bf,0xff1004ff,0x7ffe49ff,0xfffb0007,
    0x22fffb87,0xf1000cd9,0x7fe49fff,0xfff3007f,0x7e43ffcc,0x7fffdc4f,
    0xafffffc0,0x002ffffa,0x407fffc4,0x2003fffe,0x0006fffb,0x03fffe20,
    0x33fff600,0xa86ffff9,0xff707fff,0xf30003ff,0x2e005fff,0x3e61ffff,
    0xd8002fff,0x7fe43fff,0x7dc0004f,0x3fe61fff,0xff9802ff,0x90bffe27,
    0xfffa89ff,0x3fffe20f,0x9ffff35f,0xffff8800,0x03fffe80,0x81bffee0,
    0x3fe20008,0xfd8000ff,0xffff94ff,0x07fffa89,0x00dffff1,0x01ffffd0,
    0x21bfffa0,0x8005fffe,0xfffffffd,0x0004ffff,0x7437fff4,0xf9805fff,
    0x5f7ff47f,0xf889ff90,0x7ffcc5ff,0xffff16ff,0xfff8800b,0x3fffe80f,
    0x1bffee00,0x8801ffdc,0x8000ffff,0x3fa4fffd,0x3fea1fff,0x3fff207f,
    0x3fee003f,0xff3003ff,0xfff505ff,0xffd8003f,0xffffffff,0x3e60004f,
    0xffa82fff,0x7fc401ff,0x3fffe60f,0xb85fffef,0x7ffd41ef,0x3fffe7ff,
    0x7ffc4006,0x3fffe80f,0x1bffee00,0x8803fffc,0x8000ffff,0x3e64fffd,
    0x3fea6fff,0x3ffe207f,0xffc803ff,0x3f2006ff,0x3ffe07ff,0x7fec004f,
    0xffffffff,0x3f20004f,0x3ffe07ff,0x1fff804f,0x7fffffdc,0x2a002fff,
    0xb0ffffff,0x8800ffff,0xfe80ffff,0x3ee003ff,0xfff886ff,0xfff8800f,
    0xffd8000f,0x7fffec4f,0x80ffff53,0x1dfffffb,0xfffffe98,0xffff1002,
    0xb333333b,0xd800ffff,0xffffffff,0x10004fff,0x333bffff,0xffffb333,
    0x305ffb00,0xfffffffd,0x7ffdc003,0xfff91fff,0x7fc4001f,0xfffe80ff,
    0x3ffee003,0x0ffff886,0x0ffff880,0x4fffd800,0x47ffffc4,0xc807fffa,
    0xefffffff,0xfffffffe,0x3ffee004,0xffffffff,0x002fffff,0x2ab7fff6,
    0x004fffda,0xffffff70,0xffffffff,0xffc805ff,0x2aaaa203,0x7fe4000a,
    0xff71ffff,0x7c4007ff,0xffe80fff,0x3fee003f,0xffff886f,0xffff8800,
    0xfffd8000,0xdffffa84,0xb007fffa,0xffffffff,0x07ffffff,0xfffffe80,
    0xffffffff,0x36005fff,0x7fdc3fff,0x200dc43f,0xfffffffe,0xffffffff,
    0x2ffd405f,0x7d400000,0x3e27ffff,0x22006fff,0xfd80ffff,0x3ee003ff,
    0xfff885ff,0xfff8800f,0xffd8000f,0xffffb04f,0x400ffffb,0xfffffffa,
    0x001fffff,0x7fffffcc,0xffffffff,0xb001ffff,0xff987fff,0x817ffc1f,
    0xfffffff9,0xffffffff,0x3e601fff,0xa80000ff,0xffff81cc,0x7fffec5f,
    0xffff1002,0x0bfff901,0x427ffec0,0x800ffff8,0x000ffff8,0x104fffd8,
    0xffffffff,0xffd8800f,0x0befffff,0xffffd800,0xffffffff,0x04ffffff,
    0x207fffb0,0x27ffcc0a,0xffffffd8,0xffffffff,0x7c04ffff,0x540004ff,
    0x7e40ffff,0x7fd41fff,0xff1006ff,0xfff501ff,0xfff1001f,0xffff105f,
    0xffff1001,0xfffb0001,0x7fffdc09,0x4c007fff,0x0bffffff,0xff880220,
    0x3ee004ff,0xffb007ff,0x7fd4007f,0xffff886f,0x3ffee004,0x0fffdc07,
    0x7fe40d40,0x0cd982ff,0x05ffffd0,0x01ffff10,0x80dffff1,0x80ffffe8,
    0x800ffff8,0x000ffff8,0x404fffd8,0x7ffffffe,0x3fffe600,0x0bceffff,
    0x2e07ffb5,0x2000ffff,0x802ffff8,0x2003fffd,0xfb86fffa,0x22000fff,
    0x7c02ffff,0xfd502fff,0xffff981f,0xfff50000,0xfff100df,0x3fff601f,
    0x7f5441ef,0xff104fff,0xaaa881ff,0xabffffba,0x3a200aaa,0x301adfff,
    0x0fffffff,0x3ffffe60,0xffffffff,0x987fffff,0x00aefffe,0xefffea88,
    0xfffd5009,0x5555555b,0xdfff9555,0xaefffe98,0xffea8800,0xff5009ef,
    0xfdb9bfff,0x77101fff,0xffe80001,0x665441ff,0x200ffffc,0xeffffffe,
    0x6ffffffe,0x83fffe20,0xfffffffd,0xffffffff,0xffffd85f,0xc82fffff,
    0x007fffff,0xfffffffb,0xffffffff,0x7fd4bfff,0xefffffff,0xffffe880,
    0x321fffff,0xffffffff,0xffffffff,0xf56fffff,0xffffffff,0xfffd101d,
    0x03ffffff,0x3fffffea,0x003fffff,0xfffa8000,0x3fffe25f,0x200fffff,
    0xfffffff9,0x1fffffff,0x43fffe20,0xfffffff9,0xffffffff,0x3fe61fff,
    0xffffffff,0xfffffd06,0x3ffffa00,0xffffffff,0x20ffffff,0xfffffffe,
    0xffb83fff,0xffffffff,0xffffff35,0xffffffff,0xffffffff,0x3fffffad,
    0xb83fffff,0xffffffff,0x3fa605ff,0x1dffffff,0x36000000,0x3fee7fff,
    0x0fffffff,0x7fffec40,0x0effffff,0x87fffc40,0xfffffff8,0xffffffff,
    0x3fe20fff,0xffffffff,0xfffff505,0x3bffea00,0xfeca9abc,0x6c0bffff,
    0xffffffff,0xfffa82ff,0x5fffffff,0xfffffff1,0xffffffff,0xdfffffff,
    0x3ffffff6,0xfa82ffff,0xffffffff,0xcba9805f,0x000000aa,0x25fff880,
    0xfffffff9,0xff7000ff,0x07ffffff,0x2e37ff40,0xfffffffd,0xdfffffff,
    0xffffdb82,0x3600ceff,0x22007fff,0x03530009,0x7ffff644,0x3ae03eff,
    0xceffffff,0x3ffff6a0,0xffffffff,0xffffffff,0xffffd916,0x75c07dff,
    0xceffffff,0x00000000,0x0bc88000,0x777775cc,0x544000ee,0x88000acb,
    0x000000cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x880076e0,0xccccccb9,0x2a8004cc,
    0x55440000,0x01aaaaaa,0x00006600,0x0000a880,0x0001db80,0x00011000,
    0x003b5000,0x00b66000,0x88000000,0x07ffe401,0x7ffffec0,0x07ffffff,
    0x0027fec0,0xfffdb988,0xffffffff,0x7fe4000f,0x6cc00004,0x0000cfff,
    0x000fffe0,0x05ff5000,0x7fe40000,0xfb800005,0xd710007f,0xc980017d,
    0x0ceffffd,0x80ffffee,0xffffffe8,0x07ffffff,0x003fffc0,0x7fffffe4,
    0xffffffff,0x7fc001ff,0x7400006f,0x004fecef,0x13ffee00,0x3f620000,
    0x0000cfff,0x07fffa20,0xfff90000,0x3ff60007,0x3f2005ff,0xffffffff,
    0xfffffacf,0x3ffffa00,0xfeeeeeee,0x3fe2007f,0xfb1000ff,0xffffffff,
    0x7bdfffdd,0xffff8800,0x9f300000,0x00000fe8,0x0037ffee,0x7fffd400,
    0x0002ffff,0x02ffff98,0x3ffa2000,0xff10003f,0x9801ffff,0xfffffffe,
    0xffffffff,0x3fe603ff,0x3fe200bf,0x3ffe2007,0xffe8800f,0x6ffbcfff,
    0x4000dff3,0x000ffff8,0xfb83f900,0x7d400002,0x40000eff,0xfbaffffd,
    0x20004fff,0x000efffa,0x3fffa600,0x7ff40002,0x7fcc07ff,0xffffffff,
    0xffffffff,0x02ffe405,0x1003ffc4,0x7001ffff,0x2619ffff,0x0dff36ff,
    0x7fffc400,0x9f500000,0x00000fe8,0x006ffe98,0x837fff20,0x003fffd8,
    0x00dfff88,0x77ff4000,0xffb80001,0x7ff403ff,0xb99acfff,0xeffffffe,
    0x017ff400,0x22006fe8,0xe801ffff,0x7fcc7fff,0x000dff36,0x007fffc4,
    0xb7bfd000,0x400000bf,0x20006fd8,0x3ee02ffd,0xff88004f,0xfd000004,
    0x4400001b,0x7fe400bb,0x3ee01eff,0xd806ffff,0x5d5005ff,0x3fff2200,
    0x4c08adff,0x7cc3ffff,0x00dff36f,0x07fffc40,0xffd50000,0x000003bf,
    0xa8800010,0x00028800,0x80000022,0x00000018,0x37fffea0,0x3fffe200,
    0xf9102fff,0x00007fff,0x7ffffec4,0x25ffffff,0x4c1ffffa,0x0dff36ff,
    0x7fffc400,0xc9800000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x801fffff,0xfffffffe,0xfffffb86,0x40000dff,0xfffffff9,0x0fffffff,
    0x983ffff5,0x0dff36ff,0x7fffc400,0x00000000,0x332a6000,0x0001abcd,
    0x159b9530,0x32a60000,0x80000acd,0xabcdcca9,0x4c000001,0x6c03ffff,
    0xffffffff,0x3fffe62f,0x02ffffff,0xfffff300,0xffffffff,0x3ffe27ff,
    0x9b7fcc4f,0x554406ff,0xfffbaaaa,0xaaaaaabf,0x332a6000,0x0001abcd,
    0xffffffb7,0x003bffff,0x3ffffee0,0x000dffff,0xffffffb8,0x2000dfff,
    0xffffffdb,0x001dffff,0xdfff5000,0xfffffb80,0x324ffff8,0xfd99beff,
    0x4001efff,0xacfffffe,0xfffffca9,0x83ffffa3,0xdff36ff9,0x7ffffe40,
    0xffffffff,0x4fffffff,0x3ffff6e0,0x1dffffff,0x3ffff600,0xffffffff,
    0x3aa002ff,0xffffffff,0x5003ffff,0xfffffffd,0x007fffff,0xfffffffb,
    0x5fffffff,0xff900000,0x7ffcc09f,0xbfffd1ff,0x7dc1fff4,0x800dffff,
    0x00dffffb,0x5c7ffff3,0xf30effff,0x41bfe6df,0xfffffff8,0xffffffff,
    0x0fffffff,0xffffffd8,0xffffffff,0xffffd002,0xffffffff,0xf7003fff,
    0xffffffff,0x0dffffff,0xffffffb8,0xffffffff,0x7fff406f,0xffffffff,
    0x0001ffff,0x81fffec0,0x23fffff8,0x3f26fffc,0xffd880ff,0x7fc03fff,
    0x7ec00eff,0x7ffdc1ff,0x36ffcdff,0x7ffc0dff,0xffffffff,0xffffffff,
    0xfffd06ff,0xffffffff,0x9003ffff,0x9dffffff,0xbfffffb9,0xfffff980,
    0xfffdceff,0xf303ffff,0x9dffffff,0xfffffffb,0x7fffe407,0xffdcceff,
    0xa9805fff,0xfff02aaa,0x3fffa05f,0x3fffd45f,0x203dfff1,0x1effffea,
    0x02ffff88,0xf506ff98,0xdfffffff,0xc981bfe6,0xfffffffe,0xffffffff,
    0xff901cef,0xb99dffff,0x00bfffff,0xe8026b2a,0x3e207fff,0x80aeffff,
    0x0fffffc9,0x77ffffc4,0xfffc980a,0x2b2a00ff,0x3fffa009,0xffffd807,
    0x1ffff884,0x0effffc8,0x707fffcc,0x5c09ffff,0x4c2fffff,0x2000ffff,
    0x7ffed401,0xdff36fff,0x7ffc4000,0x32a0000f,0x3ffa009a,0x9800007f,
    0xfb00ffff,0x9001dfff,0xfd8bffff,0xc800efff,0x0005ffff,0x01ffff30,
    0x206ffff8,0x7d42ffff,0xfa81ffff,0xfffa86ff,0xffb102ef,0x7ffd47ff,
    0x51000007,0x3e6dfffb,0x3e20006f,0x00000fff,0x1ffff300,0xcba98800,
    0xffff9aab,0x1dffff01,0x7fffe400,0x03bfffe1,0x1ffffc80,0xbcba9880,
    0x1ffff9aa,0x0bfffea0,0x263fffd8,0x902fffff,0x3a20bfff,0x700dffff,
    0x7fccffff,0x000000ff,0xff9b7fcc,0x3fe20006,0x100000ff,0x35579753,
    0x2003ffff,0xffffffd9,0x1fffffff,0xeeffff88,0xeeeeeeee,0x2ffffeee,
    0xdddffff1,0xdddddddd,0x05ffffdd,0x7ffffecc,0xffffffff,0x17fff201,
    0x22dfff90,0x204ffffe,0x6c03fffd,0x304fffff,0x3fe25fff,0x000003ff,
    0xff9b7fcc,0x3fe20006,0x4c0000ff,0xfffffffd,0x01ffffff,0x7ffffec4,
    0xffffffff,0xfffa81ff,0xffffffff,0xffffffff,0xffff54ff,0xffffffff,
    0xffffffff,0xfffb109f,0xffffffff,0x7c03ffff,0x7dc00fff,0xfffd9fff,
    0x3ffe606f,0xffea802f,0xffb81eff,0x03ffffa5,0x300072a0,0x1bfe6dff,
    0xffff8800,0xffb10000,0xffffffff,0x403fffff,0xffffffe8,0xffffffff,
    0xfffb81ff,0xffffffff,0xffffffff,0xffff75ff,0xffffffff,0xffffffff,
    0xfffe88bf,0xffffffff,0x301fffff,0xf1007fff,0xffffffff,0x7fff401f,
    0x3fee000f,0x3f624fff,0x3fffea5f,0xfffd502f,0xb7fcc003,0x20006ff9,
    0x000ffff8,0xfffffe88,0xffffffff,0x3fa01fff,0xeeffffff,0xfffffffe,
    0xfffffa81,0xffffffff,0xffffffff,0xffffff56,0xffffffff,0xdfffffff,
    0xffffffe8,0xffffeeef,0xff901fff,0x7ffdc00d,0x201fffff,0x004ffffb,
    0xfffffc88,0x742fffff,0xcdefffff,0x3ffffffd,0x4dbfe600,0x220006ff,
    0x8000ffff,0xfffffffe,0xfffffeee,0xfff701ff,0x262019ff,0xf981ffff,
    0xccccdfff,0xcccccccc,0xff33cccc,0x99999bff,0x99999999,0x7fdc7999,
    0x3100cfff,0x3a03ffff,0x7fc001ff,0x203fffff,0x006ffffc,0x7ffff540,
    0xfe886fff,0xffffffff,0x000fffff,0x7fcdbfe6,0x3fe20006,0xffb8007f,
    0x3100cfff,0x3603ffff,0x8801ffff,0xff01ffff,0x80000dff,0x0006ffff,
    0x0ffffec0,0x0ffffc40,0x40027fcc,0xaffffffb,0x7fffecc0,0xe880001f,
    0x202effff,0xffffffe8,0x03ffffff,0xf9b7fcc0,0x7f40006f,0xffd8006f,
    0xff8801ff,0xffff01ff,0xfffb3007,0x3fff603f,0x3600005f,0x0005ffff,
    0x00ffffe0,0x07ffff66,0x20003bea,0xfffffffc,0xfffffeef,0x0e4c03ff,
    0x037ff440,0xfffffb88,0x000cffff,0xff36ff98,0xeea8000d,0xffff8002,
    0xfffd9803,0xdffff01f,0xfffb5101,0xf1017fff,0x803bffff,0x21efecb9,
    0x1dfffff8,0x77f65cc0,0x03bfffe1,0x3ffff6a2,0x00b80bff,0xfffffa80,
    0xffffffff,0xd804ffff,0xdff7006f,0xffff5000,0xf9800059,0x00dff36f,
    0xff800000,0xda880eff,0x0bffffff,0xffffffd8,0xfffffedd,0x1effffff,
    0x7fffffd4,0xffeecdee,0x544fffff,0xeeffffff,0xffffeecd,0x3ff64fff,
    0xfeddffff,0xffffffff,0x40001eff,0xfffffff9,0xffffffff,0xfff001ef,
    0x0bff9001,0x1ffff100,0xdff30000,0x5101bfe6,0x55555555,0x55555555,
    0xffffb015,0xfffdbbff,0xffffffff,0x7fffc43d,0xffffffff,0xffffffff,
    0xffffc84f,0xffffffff,0x84ffffff,0xfffffffc,0xffffffff,0x3fe24fff,
    0xffffffff,0xffffffff,0x40004fff,0xb8cffffe,0xffffffff,0x07ffc004,
    0x013ffe60,0x03fffe20,0x5bfe6000,0x3f206ff9,0xffffffff,0xffffffff,
    0x7fc44fff,0xffffffff,0xffffffff,0x7fcc4fff,0xffffffff,0xffffffff,
    0xffd503ff,0xffffffff,0x03dfffff,0x3fffffaa,0xffffffff,0x7fcc1eff,
    0xffffffff,0xffffffff,0x2a0003ff,0xa985ffff,0xf0000abc,0x999999ff,
    0x01ffffd9,0x1ffff100,0x95551000,0x3ffeafff,0x3ffe20aa,0xffffffff,
    0xffffffff,0x7fcc0fff,0xffffffff,0xffffffff,0xffd883ff,0xbeffffff,
    0xcefffff9,0x7fffe400,0xefffffff,0xfff9002c,0xffffffff,0x7ec4059d,
    0xefffffff,0xefffff9b,0x3e60000c,0x00000eff,0x7fffffc0,0xffffffff,
    0x3ffa0002,0xfffa8006,0xfedfffff,0xf11fffff,0xffffffff,0xffffffff,
    0x220fffff,0xfffffffd,0xffff9bef,0x2a200cef,0x001abccc,0xccba9800,
    0x400019ab,0x9abccba9,0xcca88001,0x00001abc,0x003bf200,0x3ffe0000,
    0xffffffff,0x5c0002ff,0xfc8003ff,0xefffffff,0x2fffffff,0x3fffffea,
    0xffffffff,0x02ffffff,0x55e66544,0x00000001,0x00000000,0x00000000,
    0x00000000,0xc8000000,0xcccccccc,0x00000abc,0x2e200011,0x8ceeeeed,
    0x03deeeda,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000880,0x88000100,0x26001999,0x00000999,
    0x00cd8000,0x01100000,0x99998800,0x4ccccc00,0x03b70001,0x6cc00000,
    0x4c000002,0x4000002d,0x00002ffa,0x000ffa60,0x3fffffaa,0xfffb105f,
    0x1005dfff,0x0159dfb7,0x07ffe600,0xff500000,0xffd90005,0x3f609fff,
    0x00ffffff,0x003fff80,0x7ffb8000,0x3ee00000,0x1000007f,0x01bffffb,
    0xfffc8000,0x3fa000df,0x2fffffff,0xffffffb8,0x7fe407ff,0x05ffffff,
    0x05fffb00,0xffb10000,0x220019ff,0x4fffffff,0xffffffa8,0xfb8000ff,
    0x000004ff,0x000ffff2,0x1fffe400,0x7fd40000,0x02ffffff,0xfffe9800,
    0xd003ffff,0xffffffff,0xfffff705,0x7e40ffff,0xffffffff,0xfd88005f,
    0x200004ff,0xfffffffa,0xfff8802f,0xfa84ffff,0x0fffffff,0xdfff7000,
    0x74400001,0x00003fff,0x03fffd88,0xfffc8000,0x5ffffabf,0x3fff2000,
    0xdffffabf,0x7fff5400,0xfb105fff,0x05dfffff,0x3ffffff2,0x04ffffff,
    0x0bfff900,0xffffb000,0x09ffff75,0xfffffd70,0x3ffff609,0x20000fff,
    0x000efffa,0x2fffe980,0xfe880000,0x800002ff,0x220dfffb,0x8004fffd,
    0x220efffa,0xb005fffd,0x1001ffff,0x540bffff,0xaacfffff,0x01fffffc,
    0x07fff500,0x6fffe400,0x0ffff620,0x27fff440,0x3fffea60,0x7f440000,
    0xfe80006f,0x000001ef,0x0003dffd,0x80fff200,0xc8005ffa,0x3fea03ff,
    0xffff3006,0xffff9009,0x7fffec03,0x6ffff981,0x13fa6000,0x02ffd800,
    0xd8013fee,0xf8804fff,0x80000fff,0x80006fd8,0x00000dfe,0x00037fa0,
    0x10015000,0x02a00015,0xfb000540,0x7c401fff,0x3e605fff,0x3ee03fff,
    0x40001fff,0x05440001,0x36001440,0xf8804fff,0x00000fff,0x0c400002,
    0x0c400000,0x00000000,0x00000000,0x9ffff300,0x0ffffe40,0x00dfffb0,
    0x0009ffff,0x00000000,0x4fffd800,0x0ffff880,0x00000000,0x00000000,
    0x26200000,0x4cc00999,0x4c001999,0x1abcdcca,0x3fff6000,0xffff880f,
    0x1ffffc05,0x03fffdc0,0x159b9530,0x32a20000,0x0000acdd,0x1009fffb,
    0x8001ffff,0x0acddca8,0xb9510000,0x1000159b,0x98013333,0x70019999,
    0x09fffffd,0x3ffffff6,0x7fedc00f,0xffffffff,0xff98001d,0xfffc84ff,
    0x3ffe201f,0xfff9801f,0x7ffdc00f,0x0dffffff,0xfffda800,0x02dfffff,
    0x027ffec0,0x007fffc4,0xfffffda8,0x0002dfff,0xffffffb5,0xd7005bff,
    0x209fffff,0xfffffffd,0x7fffc400,0xffa84fff,0x00ffffff,0x3ffffff6,
    0xffffffff,0xfffd8002,0x3fffe20f,0x7fffcc05,0xffff8800,0xffffd501,
    0xffffffff,0x3ff62007,0xffffffff,0xfb000dff,0xff1009ff,0xfd8801ff,
    0xffffffff,0x1000dfff,0xfffffffb,0x01bfffff,0x3fffffe2,0xffffa84f,
    0x4400ffff,0x4fffffff,0xffffffa8,0x3ffa00ff,0xffffffff,0x001fffff,
    0x927fffcc,0xa803ffff,0x3e007fff,0xffb82fff,0xffffffff,0x406fffff,
    0xffffffe8,0xffffffff,0xfffd800e,0xffff8804,0x3fffa200,0xffffffff,
    0x4400efff,0xfffffffe,0xefffffff,0xfffff880,0xfffa84ff,0x800fffff,
    0x4fffffeb,0xffffffb0,0x7ffe401f,0xfdccefff,0x8005ffff,0xf88ffffd,
    0xfb805fff,0x3fa006ff,0x7ffcc2ff,0xfdceffff,0x03ffffff,0x3ffffffa,
    0xffffedce,0xffd806ff,0xfff8804f,0x3fffa00f,0xfedcefff,0x406fffff,
    0xeffffffe,0xfffffedc,0xfffd706f,0x3ff609ff,0x000fffff,0x013fff62,
    0x01ffff51,0x2009aca8,0x8007fffe,0xfdcffff9,0xfb801fff,0x3fa006ff,
    0x3ffe22ff,0xc980aeff,0xc80fffff,0x104fffff,0x09fffff7,0x406fffd8,
    0x00ffffea,0x09fffff9,0x3ffffee2,0xfffff904,0x3ffee209,0x3f6204ff,
    0x7d4404ff,0x6c000fff,0xf8804fff,0x00000fff,0x003fffe6,0x3fffff60,
    0xf7005fff,0x7f400dff,0x3fff62ff,0xffc800ef,0x7ffc45ff,0xff9801ff,
    0x3f600fff,0xfea81fff,0x882fffff,0x801fffff,0x40fffff9,0x01fffff8,
    0x0fffff98,0x013fff60,0x003fffe2,0x009fffb0,0x001ffff1,0x55e5d4c4,
    0x01ffff9a,0xfffff880,0xf7001fff,0x7f400dff,0x3fffe2ff,0x3ff2000e,
    0x3ffee1ff,0x3fe6002f,0x3ff604ff,0xffedefff,0xffffffff,0x3fffee1f,
    0x3ffe6002,0x7fffdc4f,0x3ffe6002,0x3fff604f,0xffff8804,0x7ffec000,
    0xffff8804,0xfffd9800,0xffffffff,0xf90001ff,0x00bfffff,0x0037ffdc,
    0x3e25ffff,0xeeeeefff,0xeeeeeeee,0x3fa2ffff,0xfc8005ff,0x3ff606ff,
    0xffffffff,0xffffffff,0x17fffa5f,0x1bfff200,0x000bfffd,0x6c0dfff9,
    0xf8804fff,0x6c000fff,0xf8804fff,0x36200fff,0xffffffff,0x1fffffff,
    0xffff1000,0x7d4003ff,0x3fe007ff,0xffff51ff,0xffffffff,0xffffffff,
    0x17fffc9f,0x3fffd400,0xffffffb0,0xffffffff,0x7c7fffff,0xa8002fff,
    0x7ffc7fff,0xffa8002f,0x3fff607f,0xffff8804,0x7ffec000,0xffff8804,
    0xffffd100,0xffffffff,0x0003ffff,0x02ffffe4,0x03fffe60,0x43fffe20,
    0xfffffffb,0xffffffff,0x15ffffff,0x0003ffff,0x201ffff1,0xfffffffd,
    0xffacffff,0xff10ceff,0xf10003ff,0x3fe21fff,0xf88001ff,0xffb00fff,
    0xfff1009f,0xffd8001f,0xfff8804f,0xffffd00f,0xffdddfff,0x003fffff,
    0x0ffffec0,0x3fffe200,0x7fffa801,0x3fffffea,0xffffffff,0x6fffffff,
    0x005ffff1,0x01ffff30,0x32f7fff6,0x44001bcd,0x8002ffff,0xf10ffff9,
    0x30005fff,0x3601ffff,0xf8804fff,0x6c000fff,0xf8804fff,0xffb80fff,
    0x3100cfff,0x0003ffff,0x017fffe6,0x027fff40,0xf337ffe4,0x9999bfff,
    0x99999999,0x7fc79999,0xfb8004ff,0x3ff607ff,0x3e00004f,0xb8004fff,
    0x7ffc7fff,0xffb8004f,0x3fff607f,0xffff8804,0x7ffec000,0xffff8804,
    0x1ffffd80,0x1ffff880,0xffffb000,0x3fee0001,0x3fe200ff,0x7fffc3ff,
    0x7ec00006,0x26001fff,0x3605ffff,0x00004fff,0x007ffff6,0x45ffff98,
    0x001ffffd,0x817fffe6,0x8804fffd,0x4000ffff,0x5406fffd,0xf80ffffe,
    0xd9803fff,0x8001ffff,0x005ffff9,0x17fffe20,0x40ffffd8,0x005ffffd,
    0x3fffe600,0xffe8800f,0x3ff602ff,0x2600004f,0x800fffff,0x42ffffe8,
    0x00fffff9,0x2ffffe88,0x01bfff60,0x01ffffd5,0x1ffffb80,0xfffffea8,
    0xeffff82f,0xfffda880,0x2200bfff,0xfffd9999,0x7e40002f,0xffd84fff,
    0xfff884ff,0x5cc01dff,0x7f41efec,0x2e04ffff,0x406fffff,0x0004fffd,
    0x7fffff40,0x3fffee04,0xffffd06f,0x7ffdc09f,0x7fdc06ff,0xffea81ff,
    0x4002ffff,0xdefffff9,0xfffffffe,0x3f61ffff,0xeddfffff,0xffffffff,
    0x3ea1efff,0xffffffff,0x0002ffff,0xdffffff1,0x1ffffffd,0x3ffffea0,
    0xfeecdeef,0x44ffffff,0xfffffff8,0xffffedde,0x7ec00fff,0x400004ff,
    0xfffffff8,0xffffedde,0xff100fff,0xbbdfffff,0xfffffffd,0xffff9801,
    0xffffedef,0x1fffffff,0x3ffffa00,0xffffffff,0x25ffffff,0xfffffff8,
    0xffffffff,0x24ffffff,0xfffffffe,0x06ffffff,0x3fffea00,0xffffffff,
    0x7fffe401,0xffffffff,0x84ffffff,0xfffffff9,0xffffffff,0xfffc801f,
    0xf9800003,0xffffffff,0x1fffffff,0x7ffffcc0,0xffffffff,0xfd001fff,
    0xffffffff,0xffffffff,0x7f4400bf,0xffffffff,0xffffffff,0x7ffffcc4,
    0xffffffff,0x3fffffff,0x3ffffffa,0x6fffffff,0x7ffdc000,0x1fffffff,
    0xffffd500,0xffffffff,0x2203dfff,0xfffffffd,0x00dfffff,0x003fff50,
    0x3ff62000,0xffffffff,0xb1000dff,0xffffffff,0x001bffff,0x7fffff44,
    0xffffffff,0x4004ffff,0xffffffd8,0xffff9bef,0xffd880ce,0xbeffffff,
    0xcefffff9,0x3ffff660,0xdfffffff,0xfda80001,0x01dfffff,0xfffffc80,
    0xceffffff,0xffd95002,0x059dffff,0x004fc880,0xfeca8000,0x2cefffff,
    0xffd95000,0x059dffff,0x3fff6200,0xf9beffff,0x000cefff,0x15797510,
    0x99510000,0x00003579,0x80000000,0x00001bb9,0x35799753,0x95100003,
    0x00000159,0x22000000,0x0000acca,0x05665440,0x97510000,0x00000157,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x54413333,0x0009bccb,0x98000000,0x0000003d,
    0xca980000,0x2660acdd,0x00000199,0x00000000,0x0d66e54c,0x00066666,
    0x00000000,0x70000800,0x19fffffd,0xfffffff9,0x500001bf,0x05bdffd9,
    0x0077fdc0,0x3b2a2000,0x30002cef,0xfffffffd,0xfffff57f,0xdca801bf,
    0x0002ceff,0x9dffdb91,0xff900017,0x3bffffff,0xbffffff3,0x3bf6e600,
    0x440001cd,0xb8000eca,0x000ceffe,0xfffffff1,0xffffffff,0x007fffff,
    0x3ffffae0,0x1005ffff,0x0003dfff,0x3ffffea0,0x2001efff,0xfffffffc,
    0xffffffff,0xd303ffff,0xffffffff,0x3f66003d,0xffffffff,0xffd3002f,
    0xffffffff,0xffffffdf,0x7ffe405f,0x0dffffff,0x3ffae600,0x362000ff,
    0x1fffffff,0xfffff880,0xffffffff,0xffffffff,0x3ffa2005,0xffffffff,
    0xffd1001f,0xfb80005f,0xffffffff,0xffe802ff,0xffffffff,0xffffffff,
    0xfffb83ff,0xffffffff,0x7ffdc03f,0xffffffff,0x7fdc05ff,0xffffffff,
    0xffffffff,0xffb03fff,0xffffffff,0x7edc05ff,0x0fffffff,0x3bfff600,
    0x800ffffd,0xffffffeb,0xfddeffff,0x03ffffff,0xffffffa8,0x0fffffff,
    0x3fff6200,0xfff70003,0xffffffff,0x7fdc03ff,0xeccdffff,0xffffffff,
    0x7fcc0dff,0xffffffff,0xf502ffff,0xffffffff,0x07ffffff,0x3fffffe6,
    0xffffecdf,0xdfffffff,0x7ffff440,0xffffffff,0x7ffc40ff,0xffffffff,
    0x3dff5000,0x002ffe44,0xffffffb1,0xfff9301b,0x7fd403ff,0x9befffff,
    0x90002edb,0x88003fff,0xbbdfffff,0x07fffffe,0x09fffff3,0x3fffffa6,
    0xffff101f,0xfd7557df,0xfb01ffff,0x5579ffff,0x3fffffd7,0xeffffe88,
    0xffffb981,0x3f601fff,0xaabdffff,0x46fffffc,0xfffffffa,0x9000ffff,
    0x1ffe05ff,0xfffffb00,0xffff9007,0x3fffe60d,0x00000aff,0x8005ff50,
    0x983ffffc,0xe83ffffd,0x4402ffff,0x207ffffe,0x204ffffb,0xc83ffffd,
    0x2e00dfff,0x7e44ffff,0xfa805fff,0x2207ffff,0x101effff,0x445ffffb,
    0xfdffffff,0xfd000fff,0x00ffe40f,0x0bffffb0,0x0ffffe40,0x3fffffa2,
    0x10000001,0xbffff000,0x86fffe80,0x3004ffff,0x6c0fffff,0x2200ffff,
    0xc885ffff,0xfffd004f,0x06fffe8b,0x1ffffea0,0x01ffffb8,0x227fff44,
    0xff11bdda,0x3fa001ff,0x007ff207,0x01ffffd8,0x0bfffe20,0x03fffff9,
    0x00000000,0x00ffffc4,0x987fffea,0x2000ffff,0x3a07fffc,0xfd804fff,
    0x500007ff,0x7fc4ffff,0x7f4003ff,0x3ff607ff,0xfff7004f,0x3ffe200d,
    0x5ff9000f,0xb001ffe0,0xb000dfff,0x7fc49fff,0x80000eff,0x40099998,
    0x98199999,0xff007fff,0x7ffd47ff,0x7ffdc006,0x0ffffe07,0x01fffee0,
    0x37ffe400,0x001ffff5,0x207fffb8,0x7000eff9,0x2200ffff,0x5000ffff,
    0x7e443dff,0x7fec005f,0xffc8005f,0x3fffee5f,0x7f5c0002,0xfb04ffff,
    0x81ffffff,0x9006fffa,0x7fe49fff,0x7fd4005f,0x3fff607f,0x5ffff806,
    0xffe88000,0x1fffea4f,0x1fffea00,0x74001510,0xf1005fff,0x6c001fff,
    0xfffdefff,0xfb01880f,0xfd000fff,0x7fff47ff,0xf1000987,0x09ffffff,
    0xfffffff5,0x7fff981f,0x5ffff880,0x001fffea,0x5c0ffff7,0x2e02ffff,
    0x0003ffff,0x17ffff4c,0x001ffff1,0x007fffc8,0x7fffd400,0xffff1003,
    0x7fec4001,0x221effff,0xfd83ffdb,0x2e003fff,0x3fe1ffff,0xfffd54ff,
    0x7fc405bf,0xa84fffff,0xffffffff,0x0ffffc40,0x9fffff20,0x000ffff9,
    0x881ffff6,0x20bfffff,0x0fffffc9,0x3fbb6600,0xf85fffff,0x26005fff,
    0x0007ffff,0x3ffffa20,0xffff1002,0xffb50001,0xffd7119d,0xffb07fff,
    0xf5005fff,0x7fc4ffff,0xffffdaff,0x2e04ffff,0x04fffffe,0xfffffffb,
    0x09ffff01,0x7fffffd4,0x017fffe0,0x03ffffcc,0x3fffffea,0xffffffff,
    0x3ffe2002,0x0effffff,0x04ffffd8,0x7fffff98,0xffd10000,0x7c400bff,
    0x80000fff,0xfffffeb8,0xfffb02df,0xb303bfff,0x4c7fffff,0xffffffff,
    0x6fffffff,0x27ffec40,0x3fffea20,0x2ffffc80,0xfffffe98,0x3ffff61f,
    0x7fffc403,0xfffc807f,0xffffffff,0x7fcc004f,0x2fffffff,0xdfffff30,
    0xffff9105,0x30000fff,0x01fffffd,0x07fffc40,0xffeb9800,0x00adffff,
    0x7fffffec,0xfffeefff,0x7d44ffff,0xffffffff,0x3fffffff,0x027ffec0,
    0x407fffc4,0x9cfffff8,0xffffffda,0x3ffe22ff,0xffb80dff,0xa807ffff,
    0xffffffff,0x8002ffff,0xffffffff,0xfff500ef,0xffddffff,0xffffffff,
    0xfff98000,0x44001fff,0x2000ffff,0xfffffeb9,0x7ec002df,0xffffffff,
    0xffffffff,0xfffffa85,0xfb98cfff,0x3600ffff,0xf8804fff,0xff500fff,
    0xffffffff,0x85ffffff,0xfffffffb,0xffffffed,0x7fcc07ff,0xffffffff,
    0x8001ffff,0xfffffeca,0xfff500ef,0xffffffff,0x0fffffff,0x7fffd400,
    0xf88001ff,0xe9800fff,0xacffffff,0xb001bca9,0xffffdfff,0xffffffff,
    0x3fffe207,0xff980eff,0x3ff605ff,0xfff8804f,0x3fff200f,0xffffffff,
    0xfd81ffff,0xffffffff,0x7fffffff,0x3ffffe20,0xfffdbbdf,0x40000fff,
    0x06fffffa,0x3fffffaa,0xfeffffff,0xf70007ff,0x003fffff,0x03fffe20,
    0x33ffff20,0x3fffff21,0x7ffec00e,0xffffeb8c,0x7c00cfff,0x201fffff,
    0x3607fffc,0xf8804fff,0x7d400fff,0xdfffffff,0x700ffffa,0xffffffff,
    0xffffffff,0x6ffffec0,0xffffd880,0xfe880005,0x7dc01fff,0xcfffffff,
    0x007fff98,0xefffffc8,0x3fe20000,0xcd8800ff,0xfffffe81,0x3f601fff,
    0x5dd4c4ff,0x3ffa001a,0x7fc403ff,0xfffb00ff,0xffff1009,0xffd91001,
    0x3fff25bf,0x7ffec407,0xf9aeffff,0x3ffe07ff,0xfffe806f,0xff100007,
    0x262007ff,0x7fcc1abb,0x7fec007f,0x0000efff,0x007fffc4,0x33ffee00,
    0x206ffeb9,0x0004fffd,0x037ffec0,0xb01ffff8,0xf1009fff,0x10001fff,
    0x04ffff88,0x86b32a60,0xf107fff9,0xf3003fff,0x00001fff,0x0017fff6,
    0x07fff980,0xfffffd10,0x3e20000b,0x20000fff,0xfd80fff8,0x9fffb02f,
    0xffc80000,0xffff005f,0x13fff605,0x03fffe20,0xfffd1000,0x5c00003f,
    0xff507fff,0x7ffc00ff,0xf700002f,0x40000dff,0x9807fff9,0x04ffffff,
    0x3ffe2000,0x3e60000f,0x09ff504f,0x0013fff6,0x1ffff500,0x1ffff880,
    0x009fffb0,0x001ffff1,0x5ffffd80,0x7ff40000,0xffff305f,0xffff3003,
    0x3f200003,0x200004ff,0x5407fff9,0x03ffffff,0x7ffc4000,0x3ea0000f,
    0x417fe02f,0x0004fffd,0x2ffffc40,0x81ffff20,0x5406fffd,0x000ffffe,
    0xfffffd30,0x7dc00001,0x3fe03fff,0xffd805ff,0x4000887f,0x002ffff9,
    0x1fffe600,0xffffffc8,0xf8800002,0x20000fff,0xff304ff9,0xbfffb309,
    0x20000133,0x81cffffc,0x206ffffc,0xa81ffffb,0x2ffffffe,0xffb30350,
    0x8005ffff,0xfc999998,0x201fffff,0x80bffffd,0x45ffffb8,0x4401dffb,
    0x00fffffb,0x7dccc400,0x7e409fff,0xaacfffff,0xdbaaaaaa,0xaaaa881d,
    0xaabffffb,0xff1000aa,0x45ffb01f,0xfffffffc,0x0002ffff,0x7fffffc4,
    0xfffffedf,0x3ffe601f,0xfffedeff,0xffffffff,0x3b7fffa1,0xffffffff,
    0x3ffee002,0xffffffff,0x7fd403ff,0xedeeffff,0x42ffffff,0xeeffffff,
    0xfffffeed,0x220005ff,0xfffffffe,0xff90efff,0xffffffff,0xffffffff,
    0xfffffd89,0xffffffff,0xf9005fff,0xffd517ff,0x7ffffc4d,0x6fffffff,
    0xfffb8000,0xffffffff,0xffe804ff,0xffffffff,0xffffffff,0xffffff35,
    0x5fffffff,0xffffe800,0xffffffff,0xffffb003,0xffffffff,0xffff0bff,
    0xffffffff,0x01dfffff,0x7fffe400,0xffffffff,0xffffff93,0xffffffff,
    0x7ccfffff,0xffffffff,0xffffffff,0xfffd001f,0x443fffff,0xffffffff,
    0x0006ffff,0xffffff70,0x009fffff,0x3fffffa2,0xffffffff,0xff14ffff,
    0xffffffff,0xfd00019f,0xffffffff,0xfc8007ff,0xffffffff,0xff504fff,
    0xffffffff,0x01dfffff,0xffffb800,0xffffffff,0xffffff92,0xffffffff,
    0x7c4fffff,0xffffffff,0xffffffff,0x3ff2000f,0xda81efff,0xffffffff,
    0x200001df,0xffffffd9,0x6c4001ef,0xefffffff,0xceffff9b,0x3ffffea0,
    0x0000cfff,0x3fffff66,0x20001bef,0xfffffed9,0x5c401def,0xfffffffe,
    0x0002efff,0xffffd910,0x649dffff,0xffffffff,0xffffffff,0x7fed47ff,
    0xffffffff,0x003dffff,0x001bca88,0x40000000,0x01abcba8,0x5e5d4400,
    0x2ea0000a,0x00000abc,0x10000000,0x00015775,0x2f32eaa6,0x000000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x35300000,0x00000000,
    0x55554000,0xaaaaaaaa,0x0b6a001a,0x00000000,0x00000000,0x00000000,
    0x55100001,0x00003555,0x554c0000,0xe98002aa,0x02efffff,0x02edb980,
    0x3fe00000,0xffffffff,0x803fffff,0x00004ffe,0x4406fec4,0x64400dfd,
    0x001deffe,0x37f62000,0x00dfd880,0x001df700,0x3fffffa0,0x0000003f,
    0xfffffb80,0x7fe4006f,0xdfffffff,0x7ffed400,0x000002ff,0x3fffffe0,
    0xffffffff,0xfff9807f,0xf900000e,0xfff707ff,0x7fffd407,0x0004ffff,
    0x07fff900,0x8007fff7,0x03ffffe9,0x7ffffcc0,0x000003ff,0xffffe800,
    0x3ee006ff,0xffffffff,0x7ff404ff,0x0002ffff,0x3fffe000,0xffffffff,
    0xf5006fff,0x00003dff,0xf909fff9,0x3fe209ff,0xfffdbdff,0xfc800002,
    0xfffc84ff,0x3ffee004,0x001effff,0xfffffff1,0x00000007,0xffffffb0,
    0x3ffe600d,0xffffffff,0x336a02ff,0x0002ffda,0x3fffe000,0xffffffff,
    0x26001dff,0x0002fffe,0x4c07ffcc,0x36e01fff,0x005ffb82,0x0fff9800,
    0x801fff98,0xc9efffe8,0x5003ffff,0x07fffffb,0x10000000,0x0dffffd9,
    0x33fffee0,0xdffff931,0x017fec00,0xfff00000,0x4000005f,0x000fffd8,
    0x2a201440,0x3fea0000,0x51000005,0xb000a880,0xfe989fff,0x7f4001ff,
    0x000003ff,0x7ffd4000,0xdfffb006,0x03ffff20,0x0017fec0,0xffff0000,
    0x90000005,0x000001ff,0x5d4c0000,0x00003fff,0x3e000000,0x3ff201ef,
    0x7fff4002,0x00000003,0x037ffd40,0x103fffe8,0x2003ffff,0x00002ffd,
    0x0bfffe00,0x04400000,0x00000000,0xbfffffd0,0x00000000,0x10028800,
    0xfffd0005,0x00000007,0x06fffa80,0x207fffd0,0x001ffffa,0x40005ffb,
    0x3ffe0028,0x0000002f,0x95300000,0x2000159b,0x05fffffd,0x22000a20,
    0x00acddca,0x80000000,0x2a23fffe,0x0009bccb,0x5ee5cc40,0x1bffea0a,
    0x41ffff40,0x00ffffe8,0x0005ffb0,0x7c01bfee,0x79532fff,0x33300013,
    0x00033333,0xffffff70,0x8001bfff,0x04fffca8,0x802ffe44,0xffffffda,
    0x98002dff,0x01999999,0x2ffffa00,0xffffffc8,0x44000dff,0xfffffffd,
    0x6fffa9df,0x27fffd00,0xfffffeb8,0x0bff6005,0xffffd300,0xfffff001,
    0xdfffffff,0xffffb001,0x001fffff,0x3ffffaa0,0xffffffff,0xfff70003,
    0x3fffea01,0x7ffec407,0xffffffff,0xffd800df,0x0fffffff,0xdfffd000,
    0xffffffff,0x2005ffff,0xfffffffa,0xffefffff,0xfffd006f,0x3fffffe7,
    0x3f6000ff,0x3ff2002f,0xff004fff,0xffffffff,0x5407ffff,0xffffffff,
    0xfb8000ff,0xffffffff,0x06ffffff,0x883ffd00,0x02fffffd,0x3fffffa2,
    0xffffffff,0x3fea00ef,0xffffffff,0xfffd0000,0xffffffff,0x0bffffff,
    0xffffffc8,0xffffffff,0xfd006fff,0xffff37ff,0x4007ffff,0xea802ffd,
    0x002effff,0x3ffffffe,0xffffffff,0xfffff504,0x001fffff,0xffffff98,
    0xffffdcef,0x05443fff,0x2a0fff98,0x01efffff,0x7ffffff4,0xffffedce,
    0x3fea06ff,0xffffffff,0xfffd0000,0xb9dfffff,0x7ffffffd,0x3ffffea0,
    0xfffecdef,0x006fffff,0x3fe7fffd,0x5fffffff,0xfffffd50,0x6c43bfff,
    0x004fffff,0xffffffe8,0xfffffeee,0xffff901f,0x001fffff,0x77ffffc4,
    0xfffc980a,0x3fffa0ff,0x5fffedce,0x7fffffb1,0xfffff900,0x3ffee209,
    0x3ff204ff,0x0fffffff,0xffffd000,0xfb101bff,0xf881ffff,0x900dffff,
    0x0dffffff,0x44ffffa0,0xffffffdb,0xffffe85f,0x53ffffff,0x13dfffff,
    0xb8015775,0xf902dfff,0x9880dfff,0x00ffffa9,0x3bffff60,0xffffc800,
    0x3ffffee5,0xfb8dffff,0x988effff,0xffff8819,0xfff9801f,0x4cc400ff,
    0x000ffffa,0x7fffffd0,0xbffff700,0x03ffffd8,0x6fffffa8,0x07fffd00,
    0x3fffff66,0x66665c43,0xfd9acccc,0xfd8bffff,0x403fffff,0xffc800ba,
    0xff3002ff,0x7fc001ff,0x32000eff,0x2e61ffff,0x98cceeed,0x13fffffe,
    0xfb81ffff,0x26002fff,0x2004ffff,0x000ffff9,0x09ffffd0,0x07fffec0,
    0x400bffff,0x006ffffc,0xa807fffd,0x0006ffff,0x3dfffff7,0xffffffd3,
    0x400007ff,0x3003fffe,0x2001ffff,0xeeeffff8,0xeeeeeeee,0x02ffffee,
    0x3ffffee0,0x3ffffa0d,0x02ffff40,0x037ffe40,0x01ffff30,0x3ffffa00,
    0x3ffe2000,0x1ffff32f,0x6fffe800,0x07fffd00,0x01ffff90,0x7ffff440,
    0x477ff63f,0x000fffb8,0x0bfff900,0x03fffe60,0x7ffffd40,0xffffffff,
    0xffffffff,0xfffe9804,0x7ffdc2ff,0x7fffc0ff,0xfffa8002,0x3ffe6007,
    0xffd0000f,0xffd000bf,0x1bffea7f,0x1bfff600,0x01ffff40,0x002fffe8,
    0x1bfffff7,0xffb06ff8,0x3ee00005,0xff3006ff,0x3ee001ff,0xffffffff,
    0xffffffff,0x6405ffff,0x40dfffff,0x0ffffff9,0x007fffe2,0x03fffe20,
    0x07fffcc0,0x4fffe800,0x5fffc800,0x000bfff9,0x200dfff7,0x9003fffe,
    0xfb009fff,0x2605ffff,0x03ffd00a,0x3ffea000,0xffff3006,0x3ffea001,
    0xffffffff,0xffffffff,0x3ffa06ff,0xffd02eff,0x7c41fff9,0x98002fff,
    0x3000ffff,0x0001ffff,0x0013fffa,0x7e53fff2,0xfb8005ff,0xffd006ff,
    0x3fee007f,0x7ffc406f,0xf90000df,0x5c0000ff,0xf3005fff,0x26001fff,
    0xcccdffff,0xcccccccc,0x303ccccc,0x6409ffff,0x81fff6ff,0x8004ffff,
    0x2007fffb,0x000ffff9,0x00dfffd0,0x2a7fffd0,0xd8007fff,0xfd006fff,
    0x0b6e27ff,0x201bffee,0x10002efd,0x0003fffb,0x027ffec0,0x00ffff98,
    0x01bfffe0,0x3dfd0000,0xf8fffcc0,0x7ffec0ff,0x3fe6001f,0x3e6005ff,
    0xd0000fff,0x4003ffff,0xf11ffff9,0x44005fff,0xd006ffff,0x3fee7fff,
    0x2ffff40f,0x26000080,0xc881fffe,0x3fea000c,0xff3002ff,0x7ec001ff,
    0x00005fff,0x7ff40040,0xf303ffe4,0x1001ffff,0x005ffffd,0x007fffcc,
    0xeffffe80,0xfffe8800,0x3ffffe0f,0xffffd000,0xffea880d,0x49fffd4f,
    0x004ffffa,0x7ffdc000,0x9fffd00e,0x7ffe4401,0xff3000ff,0x7c4001ff,
    0x401dffff,0x01efecb9,0x67ffe400,0x40bfffcc,0x04fffffe,0x1bffffee,
    0x1ffff300,0xffea8800,0x2e02ffff,0x543fffff,0x203fffff,0xffffffea,
    0xffffd80a,0xfffdefff,0xfffffedf,0xb1000001,0x7c409fff,0xdeffffff,
    0xffffffee,0x5555302f,0x557ffff7,0x7fd40355,0xcdeeffff,0xffffffee,
    0x7f40004f,0xffffffff,0x7fffc44f,0xfeddefff,0x00ffffff,0x3eeaaaa6,
    0xaaaabfff,0xfffffb01,0xbdffffff,0xffffffdb,0x3ffff60b,0xffeddeff,
    0xffffffff,0x3fffea6f,0xffefffff,0xffffffff,0xf3000004,0xfd005fff,
    0xffffffff,0xbfffffff,0xffffff90,0xffffffff,0x3207ffff,0xffffffff,
    0xffffffff,0x740004ff,0xffffffff,0xfff981df,0xffffffff,0x901fffff,
    0xffffffff,0xffffffff,0x7ffcc7ff,0xffffffff,0xffffffff,0xfd100fff,
    0xffffffff,0xffffffff,0x3e65ffff,0xffffffff,0xffffffe8,0x00000eff,
    0xacffffb8,0x220ccaaa,0xfffffffd,0xcfffffff,0x7ffffc40,0xffffffff,
    0x0fffffff,0xfffffd50,0xffffffff,0x00003dff,0x05fff530,0x7ffffec4,
    0xdfffffff,0xfffff100,0xffffffff,0x1fffffff,0x3fffffe2,0xffffffff,
    0x0dffffff,0x7fffe440,0xffffffff,0xffffffff,0x3ffff6e1,0xfffd32df,
    0x00009fff,0x7ffffe40,0x82ffffff,0xffffffc9,0x200dffff,0xffffffff,
    0xffffffff,0xfc806fff,0xffffffff,0x0002ceff,0xfffff700,0xfeca807f,
    0x2cefffff,0xffffff80,0xffffffff,0x5c6fffff,0xabfffffd,0xfffffffd,
    0x74c001ef,0xffffffff,0xfffffbae,0x5d40003d,0x00000acc,0x7ffffe40,
    0x03ffffff,0x2f32ea62,0xffb5001a,0xffffffff,0x3bffffff,0x665d4c00,
    0x000019ab,0xffffd300,0x6544003d,0x6d4000ac,0xffffffff,0xffffffff,
    0x7510001d,0x00013799,0xabcca988,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd9800000,
    0x00000003,0x000cc000,0x55555550,0x55555555,0x4c005555,0x000001bb,
    0x00000000,0x2cb88000,0x2a600000,0x001accdc,0x000e5cc0,0xa8000000,
    0x440007ff,0xfd880dfd,0xffd0000d,0x011039df,0xfffffffb,0xffffffff,
    0x3f200fff,0x22003fff,0x00002eca,0x203df900,0x70001efc,0x883bffff,
    0x7e44003d,0xffffffff,0x9004fdbe,0x881bffff,0x7fe4403d,0x7e40000c,
    0x640003ff,0xffb83fff,0xff88003f,0xbadfffff,0x7fec4ffe,0xffffffff,
    0x7fffffff,0xdfffff00,0xfffeb880,0x8000002f,0xf985fffa,0xfb8005ff,
    0x8cffffff,0x5001fffa,0xffffffff,0xffffffff,0xffffc801,0xffa8cfff,
    0x3fff600f,0xfb10005f,0x900007ff,0xff909fff,0x3f60009f,0xffffffff,
    0x7fec4fff,0xffffffff,0x7fffffff,0x9ffffb00,0xfffffa80,0x8000002f,
    0xfa86fffb,0x7c4006ff,0xfffe9cff,0x9006ffff,0xffffffff,0xffffffff,
    0x7ffc405f,0xfffffeab,0x3fe206ff,0x4000ffff,0x002fffe8,0x01fff300,
    0x0003fff3,0x7ffffdc4,0x6c0befff,0xffffffff,0xffffffff,0xbb71007f,
    0xb7b90017,0x000005ff,0x740bffa0,0xed8002ff,0x7ffffdc1,0xfffa800d,
    0xfecdefff,0x3fffffff,0x3ee0eec0,0x400dffff,0x006ffffe,0x001effd8,
    0x22014400,0x3ae0000a,0xffffffff,0x5fff704f,0x1bfff600,0xfc800000,
    0x0000002f,0x0015002a,0x17b91000,0x3fffa200,0xff7300ef,0x40007fff,
    0x7000bec8,0x0005ffff,0x00001bfd,0x20000000,0xcffffff9,0x980ffffe,
    0xff1007ff,0x000007ff,0x0017fe40,0x00000000,0x20000000,0x004ffffc,
    0x005ffff7,0x2a200000,0x0060000a,0x00000000,0x5bfff300,0x02ffff44,
    0x7ffd4003,0x0000000f,0x0000bff2,0x00000000,0x66ee5440,0x3ffe000a,
    0x7ff4005f,0x9953001f,0x0003579b,0x00000000,0x3732a600,0x80001abc,
    0x3ffe2019,0xfd80002f,0x088006ff,0x05ff9000,0x31005400,0x99801333,
    0x2a001999,0xfffffffd,0x7fc402df,0x7d4001ff,0x7fedc06f,0xffffffff,
    0x0000001d,0x26666666,0x3f6e0001,0xffffffff,0x100001df,0x0dfff701,
    0xffff8800,0x1ffe4003,0x017fe400,0x207ffd40,0x4fffffeb,0xffffffb0,
    0xffd8801f,0xffffffff,0xff500dff,0x062000ff,0xffffffb0,0xffffffff,
    0xd8000005,0xffffffff,0xffd8000f,0xffffffff,0x8002ffff,0xeffffdc9,
    0x05fffd1d,0x7fffd400,0x3ffe2000,0x2ffc8006,0x3fff6200,0x3fffe22f,
    0xffa84fff,0x00ffffff,0x3fffffa2,0xffffffff,0xfffb80ef,0x3a000006,
    0xffffffff,0x1fffffff,0xff500000,0xffffffff,0xfffd0001,0xffffffff,
    0x4003ffff,0xfffffffc,0xfffdefff,0x3ff60003,0x7fc4006f,0x7e4000ff,
    0xfff5002f,0x7fc41bff,0xa84fffff,0xffffffff,0x3ffffa00,0xffedceff,
    0xfb86ffff,0x000006ff,0x3ffffff2,0xffffdcce,0x5000005f,0xffffffff,
    0xf90001ff,0x99dfffff,0x0bfffffb,0xfffffd30,0xffffffff,0x2000bfff,
    0x003ffff8,0x03ffff66,0x805ff900,0x3fffffd8,0xfffffd70,0x3ffff609,
    0xff900fff,0x2e209fff,0x4c4fffff,0x00007fff,0x004d6540,0x000ffffd,
    0x7fffe400,0x000fffff,0x40135950,0x4407fffe,0xeffffffe,0xffffffed,
    0xf50006ff,0xb3001fff,0x01ffffff,0xfffffda8,0x7fdc3eff,0x8800efff,
    0x4404fffd,0x880ffffa,0x801fffff,0x40fffff9,0x0002ffff,0xff300000,
    0x000001ff,0xfffa9988,0x8000000f,0x200ffff9,0x04fffffc,0xfffffff7,
    0x3fff6000,0xffffb806,0x7400ffff,0xffffffff,0xffffd37f,0x0133317f,
    0x4027ffec,0xb80ffff8,0x2002ffff,0x744ffff9,0x4001ffff,0x31004fd8,
    0xf3557975,0x00003fff,0x7fffcc00,0xa9880000,0xff9aabcb,0xfff501ff,
    0xff9803ff,0x4000ffff,0x403ffff8,0xfffffffc,0xccb8802d,0xb9bccccc,
    0xd0dfffff,0x7ec05fff,0xff8804ff,0xfffe80ff,0xfffc8005,0x7ffffdc6,
    0x7fe4400c,0x3f6602ff,0xffffffff,0x7101ffff,0x800017dd,0x000ffff9,
    0x3ffff660,0xffffffff,0xffff901f,0x3ffea007,0x7d4001ff,0x3ea00fff,
    0x00cfffff,0x7ff4c000,0x3ff22fff,0x3ff602ff,0xfff8804f,0x2ffff80f,
    0x7fffa800,0xffffffc8,0xffedcdef,0x882fffff,0xfffffffd,0xffffffff,
    0xbffff901,0xfff98000,0xfd88000f,0xffffffff,0x01ffffff,0x800ffffb,
    0x001ffffe,0x2037ffec,0x00dfffff,0x7fe44000,0x3e60dfff,0x3602ffff,
    0xf8804fff,0x7fc40fff,0xf88001ff,0xffd80fff,0xffffffff,0xefffffff,
    0x7ffff440,0xffffffff,0xf881ffff,0x000fffff,0x03fffe60,0xffffd100,
    0xffffffff,0x3e03ffff,0x64006fff,0x2000ffff,0x203ffff8,0x005ffff9,
    0xfffea800,0xfffe82ef,0x3ff602ff,0xfff8804f,0x7fffc40f,0xfff98002,
    0xfffd880f,0xffffffff,0xe80effff,0xefffffff,0xffffffee,0xfffff01f,
    0xff98000f,0x7f4000ff,0xeeffffff,0xfffffffe,0x0bffff01,0x07fffc80,
    0x0ffffdc0,0x03ffff50,0x7fdc00c0,0xff904fff,0x6c05ffbd,0xf8804fff,
    0xfff80fff,0xffb8004f,0x7fecc07f,0xffffffff,0xfff701cf,0x262019ff,
    0xf701ffff,0x80009fff,0x000ffff9,0x33ffffee,0xffff3100,0x1bfff603,
    0x0dfffb00,0x06fffd80,0x007fffd4,0x3a037f4c,0xf301efff,0x05ffb3ff,
    0x4027ffec,0xd80ffff8,0x2001ffff,0x005ffff9,0x79dff731,0xffd80135,
    0xff8801ff,0x332601ff,0xff980001,0x3f6000ff,0xf8801fff,0xff901fff,
    0x3e2001ff,0x22005fff,0x4403ffff,0xc803ffff,0x3ee01fff,0x3ffa203f,
    0x6c05ffb3,0xf8804fff,0xff980fff,0xe8800fff,0x4002ffff,0xf8005ff8,
    0xd9803fff,0x0001ffff,0x3ffe6000,0x3ffe000f,0xffd9803f,0xfff501ff,
    0x3ff200df,0x3ee002ff,0xff801fff,0x3a200fff,0x00403fff,0xffb37fe4,
    0x37ffec05,0x3ffffaa0,0xfffffd00,0x7fffdc09,0xff88006f,0x3fe001ef,
    0xda880eff,0x0bffffff,0xf3000000,0x7c001fff,0xa880efff,0xbffffffd,
    0xbffffb00,0x3fff2203,0x7fec005f,0xfff7006f,0xfb7359ff,0x007fffff,
    0xcdfffa80,0x700cffec,0xd503ffff,0x05ffffff,0x3fffffe2,0xfffeddef,
    0x8000ffff,0x005ffff8,0x3ffffff6,0xfffffedd,0x1effffff,0xb101bfb1,
    0xaaa981bf,0xabffffba,0xffb01aaa,0xfdbbffff,0xffffffff,0xff883dff,
    0xccceffff,0x0ffffffd,0x3fffe200,0x3fffa003,0xffffffff,0x0003ffff,
    0x7fffffe4,0xf305ffff,0xfdbdffff,0xffffffff,0xfff303ff,0xffffffff,
    0x003fffff,0xfeabced8,0x3ffe2007,0xffffffff,0xffffffff,0x7fff74ff,
    0x327fff70,0xffffffff,0xffffffff,0x7ffc43ff,0xffffffff,0xffffffff,
    0xfffa84ff,0xffffffff,0x4003ffff,0x000ffffa,0x3fffffe2,0xffffffff,
    0x7e40002f,0xffffffff,0x3fffa02e,0xffffffff,0x5fffffff,0xfffffb10,
    0xbfffffff,0xfff88001,0x4004ffff,0xfffffff9,0xffffffff,0xf93fffff,
    0xfff909ff,0xffffff19,0xffffffff,0x81ffffff,0xfffffff9,0xffffffff,
    0x303fffff,0xfffffffd,0x005dffff,0x009fff30,0xfffff910,0x05dfffff,
    0x754c0000,0x3a200cff,0xffffffff,0xffffffff,0x7f65404f,0x2cefffff,
    0x3ffee000,0x88000fff,0xfffffffd,0xffff9bef,0xfff30cef,0x23fff301,
    0xffffffff,0xffffffff,0xfb106fff,0xdfffffff,0xdfffff37,0xfffb8019,
    0x04ffffff,0x006fdc00,0xffdb9300,0x000037bd,0xfffff980,0x7fec405f,
    0x9befffff,0x00ceffff,0x02b32a20,0x59730000,0x99510000,0x20003579,
    0x50544028,0xfffffffb,0xffffffff,0xca8803bf,0x0001abcc,0xacdca980,
    0x00000009,0x00000000,0x7ffec400,0x751003ef,0x00001579,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000cc00,
    0xaaaaa980,0x00988000,0x00998000,0x00cc0000,0x2aaa6000,0xaa88001a,
    0x00000aaa,0x4d54c400,0x00000009,0x3203bf90,0x666401ef,0xcccccccc,
    0xcccccccc,0xed9806cc,0x31cfffff,0x3fa00017,0xa802ffff,0xdfffffed,
    0xfd910002,0x217dffff,0x2a2001b9,0xdfffffdc,0xc8003712,0x4003ffff,
    0x2ffffffe,0xf7000000,0xffffffff,0x3f6e005b,0x401cbcff,0xfa85fffa,
    0x006405ff,0xd8812000,0xffffffff,0x007ffeff,0xffffffb8,0xffff9102,
    0xbfffffff,0x3ff62001,0xffffffff,0x802fffcf,0xfffffffb,0xffffffff,
    0x3fff2002,0x3fea003f,0x002fffff,0x7ff4c000,0xffffffff,0x3fa202ff,
    0xffffffff,0x1bffee00,0x901bffea,0x04800001,0xfffffff3,0xffffffff,
    0x7fc4003f,0xb82fffff,0xffffffff,0x1fffffff,0x7ffffcc0,0xffffffff,
    0x6c04ffff,0xffffffff,0xffffffff,0x3fff2004,0x3fe6003f,0x002fffff,
    0x3ffe2000,0xffffffff,0xfd104fff,0xffffffff,0x7ffc407f,0x02fff882,
    0x20000064,0xffffe884,0xffffffff,0x2002ffff,0xfffffffc,0xfffffc82,
    0xffffffff,0x3fea06ff,0xffffffff,0xffffffff,0xffffd106,0xffffffff,
    0x00dfffff,0x01ffffe4,0x3ffff6e0,0x2000002f,0xfffffffd,0x2fffffff,
    0xffffff90,0x003fffff,0x800a8015,0x2400000c,0x5fffffe4,0xfffca989,
    0xf3002fff,0x5fffffff,0xbfffff90,0xfff73137,0xfff109ff,0x3137bfff,
    0xffffffb7,0xfffff10d,0x753159df,0x0dfffffd,0x04cccc40,0x5fffd000,
    0x7fc00000,0x54c41eff,0xfff101cb,0xdff937df,0x00000003,0x48000019,
    0x00fffff8,0x0bffffa6,0x7fffff40,0xffb82fff,0x7ffc406f,0xffffe87f,
    0x7ff4c01f,0xfffc86ff,0xffa800ef,0x000006ff,0x0bfffa00,0x7fcc0000,
    0x4c0001ff,0x1541ffff,0x90000000,0x44800001,0x802ffff9,0x802ffff9,
    0xffcffffa,0xfffa82ff,0xffffb804,0x3ffffea0,0x3fffe001,0x7ffffc46,
    0x3fff2000,0x00000005,0x000bfffa,0x3fffd400,0x7ffdc000,0x26600006,
    0x00199999,0x90000032,0x007fffa8,0x1003fffa,0xff1fffff,0xfff105ff,
    0xffff1003,0x0ffffec5,0x13ffee00,0x003ffffb,0x803fff88,0x19999999,
    0x3fffa000,0x13333302,0xfff73100,0x1333333f,0x3fffea00,0x7fec0001,
    0x0fffffff,0x00001900,0x7fffc448,0x0dff5001,0x27ffff90,0x9302ffff,
    0x3ffe6003,0x7ffff12f,0x5fff1000,0x004ffff8,0x6c019d50,0xffffffff,
    0xffd0000f,0x7ffec45f,0xb81dffff,0xfffffffe,0xffffffff,0x7fffc404,
    0x3fea0005,0xffffffff,0x00019000,0xfffe8480,0x0051001e,0x7cdffff1,
    0x00002fff,0x2a3ffffb,0x0000ffff,0xfff987b5,0x2000002f,0xfffffffa,
    0xd0000fff,0x7fdc5fff,0x5fffffff,0x7fffffc4,0xffffffff,0x6401ffff,
    0x0003ffff,0xfffffff5,0x32001fff,0x42400000,0xbdfffffc,0xffd80001,
    0x3fffe2ff,0x7e440002,0x3fee7fff,0xa800006f,0x0000ffff,0x3fffea00,
    0x00ffffff,0x45fffd00,0xfffffffb,0x7ffc45ff,0xffffffff,0x1fffffff,
    0x7ffffc40,0xfff90000,0x01ffffff,0x00000320,0xffffd109,0x159bffff,
    0x7fffd400,0x017fffc5,0xffffb880,0x3fff22ff,0xfb800005,0x000006ff,
    0xffffffc8,0xd0000fff,0x7fd45fff,0x1dffffff,0xfffffeb8,0xffffffff,
    0xffd804ef,0x4cc45fff,0xfa998800,0x19000fff,0x10480000,0xfffffffd,
    0x003bffff,0xf81ffffd,0x4c002fff,0xfffffffc,0x02fffe45,0x7ffe4000,
    0x20000005,0xffffa998,0xfffd0000,0x3ffffee5,0x731001bf,0x3333ffff,
    0xfb100133,0x47ffffff,0x2006fffc,0x000ffff9,0x48000019,0x3ffff620,
    0xffffffff,0x3fffee02,0x02ffff84,0x3ffffe20,0xffc83fff,0xc800004f,
    0x98805fff,0x09999999,0x7fffcc00,0xfffd0000,0xffffff97,0x3fea0003,
    0x7f40007f,0xffffffff,0x05fffff0,0x03fffe60,0x00000640,0x3fae2012,
    0xffffffff,0xffff884f,0x2ffff80f,0x3fffe200,0xff901eff,0x9000009f,
    0x7440bfff,0xffffffff,0xf3000eff,0x20001fff,0xfffffffe,0x20000eff,
    0x0007fffa,0x33ffffea,0xff9effff,0xf3002fff,0x32001fff,0x02400000,
    0x3ff6e620,0x642fffff,0xff02ffff,0x7c4005ff,0x6402efff,0x00005fff,
    0x205fffc8,0xfffffffc,0x003fffff,0x001ffff3,0x3fffffa0,0x80005fff,
    0x0007fffa,0x6c3bfff2,0xfffeffff,0xff3000df,0x032001ff,0x00090000,
    0x9ffffb30,0x57ffffcc,0xfffaaaaa,0x7ff4003f,0xffff7007,0xff500000,
    0x7ffdc0df,0xffffffff,0xfff3003f,0x3fa0001f,0x06ffffff,0xffff5000,
    0x7fff4000,0x3ffffa23,0x4c004fff,0x9000ffff,0x44800001,0x64000bc8,
    0x3ff66fff,0xffffffff,0x2fffffff,0x007ff700,0x003fffea,0xffff1000,
    0x7fff6440,0x0dffffff,0x1ffff300,0x3fffa000,0x00dfffff,0x3fffd400,
    0xffff8800,0x7ffffcc0,0x7cc001ff,0x19000fff,0x74480000,0x7c4004ff,
    0xfffb1fff,0xffffffff,0x0dffffff,0xf1000440,0x0000bfff,0x005ffff0,
    0x00dfff70,0x00ffff98,0xfffffd00,0x001dffff,0x03fffd40,0x2ffff880,
    0x6fffffc8,0xffff9800,0x00019000,0x3ffe2480,0x3fe6000f,0xffffb1ff,
    0xffffffff,0x00bfffff,0xfffc8000,0xed88002f,0x07fffec2,0x1bffee00,
    0x1ffff300,0x3fffa000,0xefffffad,0xfff50001,0x7ff4000f,0x7ffcc0ef,
    0x4c001dff,0x9000ffff,0x24800001,0x00dffffa,0x21ffffd0,0xfffffffd,
    0xffffffff,0x000000ce,0x1fffffc4,0x1fffd300,0x06ffffd4,0x0dfff700,
    0x0ffff980,0x5fffd000,0x3fffffe6,0xfffa8001,0x3ff20007,0xffedefff,
    0x06ffffff,0x03fffe60,0x00000640,0xfffffa92,0xffd501bf,0x7c000dff,
    0x00002fff,0x3fffee00,0xf7300aef,0xfd85ffff,0x100cffff,0x0dfffd95,
    0x0ffff980,0x5fffd000,0x7fffff4c,0x7ffd4002,0x3fa20007,0xffffffff,
    0x3fffffff,0xfbaaaa98,0xaaaabfff,0x00000c81,0xfffff524,0xfdbdffff,
    0x03ffffff,0xfffaa880,0x36e2003f,0x7ec000bd,0xefffffff,0xffffffed,
    0xffff886f,0xfdeeffff,0x6fffffff,0x2eaaaa60,0xaaabffff,0x3fea201a,
    0x7ff442ff,0x100acfff,0x5ffff955,0x00355555,0xfffffff3,0xffffffff,
    0x7fffe45f,0xffffffff,0x23ffffff,0x2400000c,0xfffffff3,0xffffffff,
    0xe8009fff,0xffffffff,0xfffc802f,0xffd8005f,0xffffffff,0x1effffff,
    0xffffff50,0xffffffff,0xf90dffff,0xffffffff,0xffffffff,0xffffe87f,
    0xfffa82ff,0x31efffff,0xfffffffd,0xffffffff,0xffc8805f,0xfbffffff,
    0x3fe23eff,0xffffffff,0xffffffff,0x000190ff,0x7fffc480,0xffffffff,
    0x002fffff,0x7fffffd4,0xe806ffff,0x0007ffff,0xfffffff7,0x9fffffff,
    0xffff9100,0xffffffff,0xf8817dff,0xffffffff,0xffffffff,0xfff50fff,
    0xfb05ffff,0xffffffff,0x3fffff6b,0xffffffff,0x1006ffff,0x00359975,
    0x7ffffffc,0xffffffff,0x0326ffff,0xea890000,0xffffc98d,0x004fffff,
    0xffffff30,0x700bffff,0x0009ffff,0x7ffff5c4,0x02ceffff,0x7fff64c0,
    0x2effffff,0x7fffffc0,0xffffffff,0x266fffff,0x2fffffff,0xffffffc8,
    0xfff94fff,0xffffffff,0x0bffffff,0x6d400000,0xffffffff,0xffffffff,
    0x3333321d,0xcccccccc,0xcccccccc,0x97531006,0x70000357,0xdffffffb,
    0x2ee60019,0x2a200001,0x0001acca,0x55e5d440,0xffb50009,0xffffffff,
    0x3bffffff,0xfffffdb8,0xfffec882,0xd910ceff,0xffffffff,0x19dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000088,0x55555555,0x55551000,
    0x80000035,0x00000cea,0x33332a20,0xcccccccc,0x988000ac,0x0009abca,
    0x00597100,0x99995100,0x97303799,0x01599999,0x57953100,0x00000013,
    0xffb93000,0x80037bff,0xffffffe8,0x3a000fff,0x03ffffff,0x7ffc0000,
    0x3a000003,0xffffffff,0xffffffff,0xfffb3000,0x03bfffff,0x7fffdc00,
    0x4404c81e,0xffffffff,0x3ffee3ff,0x0fffffff,0xffffb300,0x003bffff,
    0x007d9530,0xfffff900,0x009fffff,0x7fffffd4,0x5000ffff,0x7fffffff,
    0x7cc00000,0x000005ff,0xfffffff3,0xffffffff,0xfe8807ff,0xffffffff,
    0x4000efff,0xfffffffa,0x02ffea8c,0x3fffffea,0x3fa6ffff,0xffffffff,
    0x7ff4403f,0xffffffff,0x6cc00eff,0x003fffff,0x3ffffa60,0xffffffff,
    0xfff9800e,0x0fffffff,0xfffff100,0x000007ff,0x0037ffd4,0xfffff000,
    0xffffffff,0x5401ffff,0x09bcffff,0x5ffff953,0x4e7ffc00,0xfffffffd,
    0x3ffe200e,0x3fffffff,0x3fffffee,0x2a00ffff,0x09bcffff,0x5ffff953,
    0x7ffffec0,0xff30003f,0xffffffff,0x03ffffff,0xfffffb70,0x54001fff,
    0x03fffffd,0x3fea0000,0x2000006f,0xeeeeedb8,0xbdeeffff,0x37ffee01,
    0xfffc8800,0xa85db003,0x00dfffff,0xeffffb98,0xeeca82ce,0x201bffff,
    0x800dfffb,0x303fffc8,0x07ff959b,0x3ffffa00,0xfca98acf,0x000fffff,
    0x00ffff88,0x07fffd00,0x7fd40000,0x0000006f,0x01ffff30,0x00bffe60,
    0x007ffea0,0x019b7100,0x07fffd00,0x037ffdc0,0x000bffe6,0x2007ffea,
    0xc8003ffc,0x201effff,0x04ffffe9,0x0ffff880,0x7fffd000,0x2e600000,
    0x9999ffff,0x00001999,0x01ffff30,0x103fff10,0x98617995,0x00000eff,
    0x7fff4000,0x3ffee003,0x27ffe206,0xaaaaaaa8,0x01dff301,0x4003ffc8,
    0x00dffffa,0x1ffffd88,0x7fffc400,0xfffd0000,0x6cc00007,0xffffffff,
    0xffffffff,0x2600000d,0xc800ffff,0xfffc84ff,0x2a2fefff,0x266204ff,
    0x2f72e609,0x7ff4000a,0x3fee003f,0x53ff206f,0xfffffffd,0x4ffa82ef,
    0x001ffe40,0x003ffffe,0x06ffff88,0x07fffc40,0x3fffe800,0x13799751,
    0x3ffff200,0xffffffff,0x04ffffff,0x3ffe6000,0x86ff800f,0xffedfffe,
    0x43fec4ff,0x9cffffec,0xfffffffe,0x3fffa004,0x3ffee003,0xeb9bfe06,
    0xffffffff,0x407fd82f,0x26003ffc,0x8003ffff,0x002ffffb,0x003fffe2,
    0x667fff40,0xffffffff,0xffffc804,0xffffffff,0x04ffffff,0x3ffe6000,
    0x0ffd400f,0xf910ffee,0x22ffb89f,0xfffffff9,0xffffffff,0xfe801eff,
    0x3ee003ff,0x3ff506ff,0x75445ff0,0x02ffb87f,0xa800fff2,0x20006fff,
    0x2003fffe,0x000ffff8,0xffffffd0,0xffffffff,0x7fecc01b,0xffffffff,
    0x0dffffff,0x3fe60000,0x3fec00ff,0xfe817fe2,0xf32ffcc3,0xffffffff,
    0xffffffff,0xfffd00df,0x7ffdc007,0x3e0ffb06,0x40ff982f,0x3f205ff9,
    0x3ff2003f,0x3f20004f,0x3e2004ff,0xd0000fff,0xffffffff,0xdfffffff,
    0x3ffee600,0x9999999f,0xf3000001,0xfe801fff,0x3017fd46,0xc8dff01b,
    0xffffffff,0xffffddff,0x7ff403ff,0x3fee003f,0x20dfd06f,0x07fb82ff,
    0x7fe40dff,0x3fff6003,0x3fee0003,0x3fe2006f,0xfd0000ff,0xbfffffff,
    0x7ffffffb,0x1bffea00,0x4c000000,0x7c00ffff,0x003fdc4f,0x3f60ffb0,
    0x981effff,0x7406fffe,0x2e003fff,0x9ff06fff,0x2e66ffe0,0xffb05ffe,
    0x001ffe40,0x0005ffff,0x003fffd4,0x001ffff1,0x3fffffa0,0xffffa81e,
    0xdfff5006,0x00020000,0x401ffff3,0x2fe43ff8,0x20ff7000,0x405ffffd,
    0x7407fffb,0x2e003fff,0xff886fff,0xffffff03,0x3ee01bff,0x3ffff6a7,
    0x101dffff,0x0003ffff,0x007fffcc,0x00ffff88,0x9ffffd00,0x07fffd80,
    0x00dfff50,0x00efe880,0x01ffff30,0x2fe44ff8,0x20ffb000,0x9805fffd,
    0x3a00ffff,0x2e003fff,0x9ff06fff,0x3fffffe0,0xb3fec06f,0xffffffff,
    0x7ff409ff,0x3ea0002f,0x3e2006ff,0xd0000fff,0xf500bfff,0xf5001fff,
    0xa8000dff,0xf3002fff,0xfe801fff,0x0007fdc6,0xffb06ff8,0xfff1009f,
    0x7fff401f,0x3ffee003,0x3e0dfd06,0x3ffe99bf,0xca89bfe0,0xaccccccc,
    0x13fff600,0x5fffc800,0x3fffe200,0xfffd0000,0xffff3007,0xdfff5001,
    0xfffc8000,0xffff3004,0x4c7fd801,0x4c0403ff,0xfffb05ff,0xffff1009,
    0x1ffff401,0x0dfff700,0x17fc1ff6,0x3e60bff6,0xb800005f,0x20005fff,
    0x2004fffd,0x000ffff8,0x007fffd0,0x001ffff3,0x000dfff5,0x004fffc8,
    0x801ffff3,0x7ff41ffb,0xfb8bf501,0x9fffb02f,0x1ffff100,0x01fffec0,
    0x20bfff70,0x2ff81ffb,0x7dc0ffd8,0x000a602f,0x007fffea,0x0bfffe60,
    0x0ffff880,0x7fffd000,0x1ffff300,0x0dfff500,0x4fffc800,0x0ffff300,
    0xff11bfe0,0xffd979bf,0x3607fd89,0xf8804fff,0x3f200fff,0x3f6005ff,
    0x9bfe04ff,0x22deffda,0x3f64fff8,0x00bfe207,0x0dffff10,0x1ffffd00,
    0x7fffc400,0xfffd0000,0xffff3007,0xdfff5001,0xfffc8000,0xbfff7004,
    0x30fff200,0xfffffffd,0x204ffa8b,0x8804fffd,0x2a00ffff,0x8800ffff,
    0x3202ffff,0xffffb3ff,0x9fff98bf,0x3ea04ffa,0xffc8003f,0x3ee003ff,
    0x44004fff,0x0000ffff,0x3007fffd,0x5001ffff,0x2001ffff,0x3fff20b9,
    0xffff9804,0x3fff1004,0x39ddd950,0x200eff88,0x8804fffd,0x2200ffff,
    0x4406ffff,0x200ffffe,0xcb89fff8,0xaca80bcc,0x2a00eff8,0xfd0005ff,
    0xf9009fff,0x1000dfff,0x0001ffff,0x200ffffa,0x800ffff9,0x203ffff9,
    0x90ffffc9,0x105bffff,0x05fffff7,0x017ffcc0,0x00fffcc0,0x2013fff6,
    0x400ffff8,0x41effffd,0x4ffffea8,0x02fff980,0x01fff980,0x0077ffd4,
    0x3ffffe60,0xfffd981d,0xf88001ff,0xd0000fff,0xf3007fff,0x3e001fff,
    0xdcdeffff,0xfffffffe,0xffffff93,0xffffdbdf,0xf7000bff,0x71001bff,
    0xe9807fff,0x5401dfff,0xe802ffff,0xeeffffff,0x06ffffff,0x037ffee0,
    0x0fffee20,0x13fffea0,0x3fffee00,0xfffeefff,0x9804ffff,0xfffbaaaa,
    0x01aaaabf,0x33fffa62,0x3ffee201,0xffb8009f,0xffffffff,0x90ffffff,
    0xffffffff,0xdfffffff,0x3fea0001,0x2661bcff,0x202ffffc,0xfffffff9,
    0x7ffcc0ff,0x201fffff,0xfffffff9,0x1fffffff,0x7fffd400,0x3f2661bc,
    0x77402fff,0x006ffabc,0xffffff90,0xffffffff,0xffffc807,0xffffffff,
    0x43ffffff,0xfffffff9,0xffffd86f,0xd803ffff,0xffffffff,0x41efffff,
    0xffffffc9,0x0dffffff,0x7ff44000,0xffffffff,0x7ec00eff,0xffffffff,
    0x7ffffec4,0x6c405fff,0xffffffff,0x10000eff,0xfffffffd,0x01dfffff,
    0xffffff98,0x3a60003f,0xffffffff,0x7c401eff,0xffffffff,0xffffffff,
    0x3ffa0fff,0x3fffffff,0x3fffffe6,0xa800ffff,0xffffffff,0x5c401cff,
    0xeffffffe,0x4c00002c,0xfffffffd,0xff9001df,0x7fffffff,0xffffffc8,
    0xff7003ff,0x07ffffff,0x3ff66000,0x1dffffff,0x3ffff200,0xc80000ef,
    0xefffffff,0xffff000c,0xffffffff,0xffffffff,0xffffffd8,0x3fe22fff,
    0x7fffffff,0x66655400,0x3100009a,0x00001597,0x59953100,0xec880013,
    0x0cefffff,0x7ffff644,0x544000ce,0x00000acb,0x35995310,0x65cc0001,
    0xa8800001,0xa8000abb,0xfffffffd,0xffffffff,0x7f6441df,0xa83effff,
    0xdffffffd,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x97300008,0x44015999,0x81bcccca,
    0x1ccccca8,0x33332200,0x665440ac,0xcccccccc,0x100009ac,0x99999995,
    0x40035999,0xccccccc8,0xcccccccc,0x0ccccccc,0x333332a2,0x01accccc,
    0x44000000,0x665cc00a,0x1ccccccc,0x00000000,0x77ffff54,0xffff9002,
    0xf103ffff,0x9fffffff,0xfffffff8,0x3fff2005,0x3fa0ffff,0xffffffff,
    0x2effffff,0x7ffff400,0xffffffff,0x7cc02eff,0xffffffff,0xffffffff,
    0x3a0fffff,0xffffffff,0x2effffff,0x4c000000,0xff701ffe,0xffffffff,
    0xc98000bf,0x4003effd,0xffffffd8,0x7fc01eff,0x4fffffff,0xffffffb8,
    0x3ffea7ff,0x800fffff,0xfffffff8,0xfffff33f,0xffffffff,0x03dfffff,
    0xffffff30,0xffffffff,0x2601bfff,0xffffffff,0xffffffff,0x30ffffff,
    0xffffffff,0xffffffff,0x4c0001bf,0x21bcddcb,0xb04ffff9,0xffffffff,
    0x0003ffff,0x3fffffea,0xffd000ef,0xffffffff,0x7ffec03f,0xa83fffff,
    0xffffffff,0x3ffffe25,0xfb804fff,0x1fffffff,0x3ffffffe,0xffffffff,
    0x800fffff,0xffffffff,0xffffffff,0xff981fff,0xffffffff,0xffffffff,
    0x3fe0ffff,0xffffffff,0xffffffff,0x7f5c001f,0xefffffff,0x04fffffb,
    0xfffffff7,0x009fffff,0xb7bfff70,0xf900dfff,0xffffffff,0x5c40bfff,
    0x03fffffd,0x3bffffee,0x7ffe440b,0x7400ffff,0x1dffffff,0x7fffedc4,
    0xfeeeeeee,0x805fffff,0xeffffeb8,0xffffeeee,0x7cc0efff,0xeeeeefff,
    0xeeeeffff,0x220ffffe,0xeeffffeb,0xfffffeee,0xe9800eff,0xffffffff,
    0xffffffff,0x3bb2a00e,0xfffffffe,0x3ffe8007,0x2202fff8,0x99cfffff,
    0x006ffffb,0x407ffffb,0x406ffffa,0xfffffff8,0x3fffea03,0x7f401fff,
    0x7f5403ff,0xf9002fff,0x75cc09ff,0x7cc5ffff,0xfff987ff,0x7fffc40f,
    0x04fffd80,0x3ffffee6,0x7fffd405,0xffffffff,0x00efffff,0x7ffffdc0,
    0x64002fff,0x07ff904f,0x417fffcc,0x1002ffe8,0x101fffff,0x801fffff,
    0xfffffff8,0x3ffff607,0x7f401fff,0xff9803ff,0xff9004ff,0xffd1009f,
    0x7ffcc3ff,0x0ffff987,0x407fffc4,0x8804fffd,0x301ffffe,0xbfffffff,
    0xfffffd99,0xfd0005ff,0xbfffddff,0x7fc40000,0x3ffee00f,0x0006a206,
    0xb0dffff5,0x1007ffff,0xffffffff,0xfffff305,0xfe803fff,0xffb003ff,
    0x3ff200bf,0xfff1004f,0x3fffccbf,0x207fffcc,0xd80ffff8,0xf1004fff,
    0xff10bfff,0xd105ffff,0x0bffffff,0xaffff980,0x001ffffb,0x05ffe980,
    0x0037ffdc,0xffffd800,0x17fffea3,0x7ffffc40,0xffc86fff,0x01ffffff,
    0x801ffff4,0x9006fffc,0x5c009fff,0xff31ffff,0xffff30ff,0x0ffff881,
    0x004fffd8,0x707fffee,0x101bffff,0xfffffffd,0x7fe4005f,0x9ffff17f,
    0xfffa8000,0x7ffcc00e,0xf1000007,0xff13ffff,0x22001fff,0xfffcffff,
    0x3fffe21f,0x401ffffc,0x8803fffe,0x9003ffff,0xf8009fff,0xfff13fff,
    0x1ffff30d,0x360ffff0,0x22004fff,0x7f43ffff,0xfe880eff,0xffffffff,
    0xffff1006,0x03fffe49,0x1bfff900,0x3ffff100,0x3ea00000,0xfffdefff,
    0x3fe2003f,0x5ffff9ff,0x3e7fffee,0x7f401fff,0x7fd403ff,0xd8801fff,
    0x0199dfff,0x3a4fffe8,0xfff984ff,0x05ffd80f,0x8009fffb,0x3e64fffe,
    0xffb01fff,0xfff93fff,0x3ffee00f,0x3fffe61f,0x7ff44002,0x7ff4003f,
    0x2000003f,0xfffffffd,0x7fc4005f,0xffffc9ff,0x3ebffff1,0x7f401fff,
    0xa9999cff,0x6fffffec,0x3ffff620,0xffffffff,0x4bfff902,0xff980bb8,
    0x0bb880ff,0x009fffb0,0x2a5fffc8,0xffb07fff,0x3fe63fff,0xffe801ff,
    0x5fffe86f,0x3fffee00,0xfffec801,0xdfffffff,0xff100003,0x01ffffff,
    0x9ffff880,0xfacffff8,0xffff1fff,0xffffe803,0xffffffff,0x2e00efff,
    0xffffffff,0x706fffff,0x4c00dfff,0x0000ffff,0x8009fffb,0x3ee6fffb,
    0xfffd86ff,0x7fffc1ff,0x7fffcc02,0x1ffffa82,0x6fffec40,0x3fea0440,
    0xffffffff,0x0001ffff,0x3fff6aa6,0x02aadfff,0x23ffff10,0xffeffffc,
    0x07fffe6f,0xffffffd0,0xffffffff,0xfffb801b,0xffffffff,0xfff507ff,
    0x7ffcc00f,0xffb0000f,0xffb8009f,0x3fffee6f,0x3fffff60,0x17fffc42,
    0x81ffff20,0x6404ffff,0xffffffff,0x3fee1fff,0xffffffff,0x0002ffff,
    0xfffffff7,0x9fffffff,0x3ffff100,0x3fffffe6,0x3fffe2ff,0x7ffff401,
    0xffffffff,0x3ffa004f,0xffffffff,0xfff502ff,0x7ffcc00f,0xffb0000f,
    0xffb8009f,0x3fffe66f,0x5fffffb3,0x01ffff50,0x4effffc4,0xffd99999,
    0x7ffe407f,0xffffffff,0x3ffffa24,0xffffffff,0x2aa20006,0xbffffbaa,
    0x8800aaaa,0x3f61ffff,0x7c7fffff,0x7f401fff,0xffffffff,0x8005ffff,
    0x99dfffd9,0x3ff20099,0x3fe6005f,0xfb0000ff,0xfc8009ff,0x3ffe25ff,
    0xfffffdef,0x6ffff882,0x7ffffdc0,0xffffffff,0x32a02fff,0xcccccccc,
    0xaaa882cc,0x0aadfffe,0xff880000,0xf10000ff,0x7fd43fff,0x7fc3ffff,
    0x7ff401ff,0xfd9999cf,0x8005ffff,0x4004fffc,0x2004fffe,0x000ffff9,
    0x009fffb0,0x643fffe8,0xffffffff,0xfffe882f,0x7fff403f,0xffffffff,
    0x005fffff,0x7fec0000,0x4000004f,0x000ffff8,0x83ffff10,0x40fffffe,
    0x7401ffff,0xff503fff,0xc800bfff,0x7c004fff,0x26002fff,0x0000ffff,
    0x4009fffb,0x442ffff8,0xffffffff,0x7fffdc43,0x3fe600ff,0xffffffff,
    0xffffffff,0x016cc001,0x027fff40,0xdddb3000,0xdddffffd,0xff1003bd,
    0xfffa83ff,0x1ffff84f,0x01ffff40,0x07fffff5,0x027ffe40,0x03ffff50,
    0x07fffcc0,0x4fffd800,0x3fffea00,0xfffffa80,0xfffddeff,0x401fffff,
    0xfffffffd,0xffffffff,0x2e004fff,0xff8007ff,0x200003ff,0xfffffffa,
    0x3fffffff,0x1ffff880,0xf80ffff8,0x7f401fff,0x7fd403ff,0xf9001fff,
    0x3ea009ff,0x4c007fff,0x0000ffff,0x2009fffb,0x706ffffa,0xffffffff,
    0xffffffff,0xfff8805f,0x3fee004f,0xfff9007f,0xfff98007,0x0003001f,
    0x003fffe2,0x0ffffc40,0x1ffff800,0x01ffff40,0x037fffdc,0x804fffc8,
    0x02fffffa,0x07fffcc0,0x4fffd800,0xfffffa80,0xfffffb81,0xffffffff,
    0xb800efff,0x2000ffff,0x202ffff8,0x003fffe8,0x03fffec4,0x3001ffe8,
    0x57ffff75,0xfff98003,0xa8800abf,0x103ffffa,0x35bfffd5,0xdffffc80,
    0x3fff6201,0xbaaaaaad,0x04fffffe,0xfff75530,0x2003557f,0xaadfffd8,
    0xffebaaaa,0xffa84fff,0xffeddfff,0x02ceffff,0x5dfffd30,0xffd51001,
    0xfe9813df,0x7d4002ff,0xaaaeffff,0xffcaaaaa,0x7ffdc05f,0xffffffff,
    0x7ff4c03f,0x0effffff,0xffffffb0,0x7fec5fff,0xffffffff,0x3ffffa02,
    0x7ffec0ff,0xffffffff,0x6fffffff,0xfffffa80,0xffffffff,0x3fff601e,
    0xffffffff,0x6fffffff,0x89fffff0,0x4001bca8,0xfffffffa,0xfe880eff,
    0xffffffff,0x007bffa1,0xfffffe98,0xffffffff,0x05ffffff,0x7ffffffc,
    0x07ffffff,0x7fffffe4,0xfa83ffff,0xffffffff,0xfffff36f,0x0dffffff,
    0x7fffffcc,0x3ffffe64,0xffffffff,0x00dfffff,0xffffffe8,0xffffffff,
    0xfffff305,0xffffffff,0x01bfffff,0x0013fff6,0x3ffffa00,0x83ffffff,
    0xfffffffb,0x37fa5fff,0x7ffe4000,0xffffffff,0xffffffff,0x7fff403f,
    0xffffffff,0x7ffdc06f,0x2fffffff,0xffffff98,0xff15ffff,0xffffffff,
    0xfffb80bf,0x3ffe24ff,0xffffffff,0x03ffffff,0x3fffff60,0xffffffff,
    0xffff104f,0xffffffff,0x807fffff,0x00003fe9,0xffffffb0,0xf505ffff,
    0xffffffff,0x8000c4bf,0xfffffffa,0xffffffff,0x400effff,0xffffffc9,
    0x401dffff,0xfffffec8,0x3f6e03ef,0x0cefffff,0x3fffff6a,0xe800ceff,
    0x6d40ceff,0xffffffff,0x00adeeff,0x7fff64c0,0xefffffff,0x3ff6a00c,
    0xffffffff,0x0000adee,0xd9100000,0x7dffffff,0x7ffff5c0,0x0000ceff,
    0x3ffffae0,0xffffffff,0x0004efff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0xaccccccb,0x3332a200,0x5441bccc,0xcccccccc,0xcccccccc,0x65c44ccc,
    0xcccccccc,0x2a2000bc,0xcccccccc,0x4c000acc,0xcccccccb,0xcccccccc,
    0x321ccccc,0xcccccccc,0xcccccccc,0xccccb984,0x332e200a,0x97301bcc,
    0x44015999,0x81bcccca,0xcccccca8,0x332e601b,0x440acccc,0xccccccca,
    0xaccccccc,0x7ffffdc0,0x980fffff,0xffffffff,0x3fffa3ff,0xffffffff,
    0xffffffff,0x3fffe27f,0xffffffff,0xff8801ff,0xffffffff,0x7000ffff,
    0xffffffff,0xffffffff,0x45ffffff,0xffffffff,0xffffffff,0x7fffe47f,
    0xf980ffff,0x4fffffff,0x7fffffec,0xfff980ff,0x7c4fffff,0xffffffff,
    0xffffc84f,0x7c7fffff,0xffffffff,0xffffffff,0x7fffff47,0xb83fffff,
    0xffffffff,0xffff36ff,0xffffffff,0xffffffff,0x7fffd4ff,0xffffffff,
    0xffb804ff,0xffffffff,0xb003ffff,0xffffffff,0xffffffff,0x45ffffff,
    0xffffffff,0xffffffff,0x7ffffc7f,0xfc83ffff,0x7fffffff,0x7ffffffc,
    0xfffc83ff,0x2a7fffff,0xffffffff,0xffff87ff,0x2fffffff,0xfffffff5,
    0xffffffff,0x7fdc3fff,0xffffffff,0xfffff981,0x3e2fffff,0xffffffff,
    0xffffffff,0x3e27ffff,0xffffffff,0x802fffff,0xfffffff8,0x1fffffff,
    0xfffff700,0xffffffff,0xffffffff,0x7ffffc5f,0xffffffff,0x7ec7ffff,
    0x1fffffff,0xffffffa8,0x7ffec5ff,0xa82fffff,0xffffffff,0x3ffffe25,
    0xd85fffff,0xffffffff,0xffff10ff,0xffffffff,0x70ffffff,0x7bfffff9,
    0x7fedcc03,0x5c43cfff,0xeeeffffd,0xeeeeeeee,0x6dcc7fff,0xeeeeffff,
    0x2e6001be,0xeffffeed,0x54001bde,0xeeffffec,0xeeeeeeee,0x3e2ffffe,
    0xeeeeefff,0xfffffeee,0x7ffed447,0x3fea02ff,0x440adfff,0x2fffffeb,
    0x3ffffea0,0x7fecc0ae,0x80aceeff,0xfffeeca8,0x76dcc1df,0xeffffeee,
    0x200bdeee,0x000ffffc,0x013fffe2,0x400ffff6,0x3a07fffa,0x00003fff,
    0x00ffff88,0xffff5000,0x2ffff800,0x980bfffe,0x201fffff,0x202ffffd,
    0x805ffffb,0x04ffffe8,0x03bffff2,0x007fffa8,0x00bfffe0,0x00ffff88,
    0x3ffff980,0x3fffee00,0x3fffd801,0x0ffff500,0x7ffffff4,0xcdffffff,
    0xffff1000,0x3ea00001,0x7fc007ff,0x3fffe2ff,0xffffd102,0xffff8807,
    0xffff880f,0xfff1000f,0xfff707ff,0xff9801ff,0x999980ff,0x0ffffc40,
    0x1ffff100,0x3fffa000,0x3fffa006,0x7fffb006,0xdfff3020,0x7fffff40,
    0xffffffff,0xff8801ef,0x500000ff,0xe800ffff,0x3ffe1fff,0xffffb02f,
    0x3ffee00b,0xffffe85f,0x7ffd4002,0x3ffe61ff,0xff8801ff,0x7ffdc1ff,
    0x7fffcc3f,0x3ffe2000,0xff50000f,0xff5003ff,0x3f6005ff,0x77e443ff,
    0xe813ffe0,0xffffffff,0xffffffff,0x7fffc404,0xff500000,0x85fd50ff,
    0x7fec7ffb,0xffffb81f,0x3ff6000e,0x3ffee3ff,0xff70005f,0xfff11fff,
    0x7fc007ff,0x7fff42ff,0x3fffd46f,0x3fffe200,0x3ffe0000,0xfffd805f,
    0x3fff6007,0x317ffdc3,0x7ff4019b,0xccccccdf,0x1ffffffd,0x03fffe20,
    0x7ffd4000,0x446fff87,0x3ffdc1dc,0x0fffffcc,0x3fffe200,0xfffff88f,
    0x3ff20000,0xffffeeff,0x7fff4004,0x3ffffe23,0x1bffee0f,0x1ffff100,
    0x7ffe4000,0x3ffe200f,0x3ff6003f,0x27ffe43f,0x1ffff400,0x3ffff220,
    0x3fffe204,0xff500000,0xffff88ff,0x1072a000,0x005fffff,0x37fffea0,
    0x002ffffd,0xfffffd80,0xd8006fff,0x3fee4fff,0x3f23ffff,0x7c4005ff,
    0x20000fff,0x203ffff8,0x000ffffc,0x3ffffff6,0x004fffff,0x803fffe8,
    0x206ffff8,0x000ffff8,0xfffff500,0x1fffffff,0xfffd0000,0xfd80009f,
    0x5fffffff,0xffd10000,0x001dffff,0x74bfff90,0x26ffffff,0x4004fffd,
    0x000ffff8,0x03fffec0,0x800bffff,0xfffffffd,0x8004ffff,0x9003fffe,
    0x7c40dfff,0x00000fff,0xfffffff5,0x001fffff,0x6ffffc80,0xfff88000,
    0x000fffff,0x3fffe200,0xf70001ff,0x3ffe2dff,0xfd0fffff,0xf88007ff,
    0x40000fff,0xa82ffffa,0x4001ffff,0xfffffffd,0x8004ffff,0x7003fffe,
    0x7c40bfff,0x00000fff,0xfffffff5,0x001fffff,0x7ffffd40,0xff500000,
    0x0005ffff,0xfffff980,0xff50001f,0x3fffeeff,0xfff3ffff,0xff88005f,
    0xe80000ff,0xffe85fff,0xffd8006f,0xffffffff,0xffe8004f,0xfff9003f,
    0x7fffc407,0xfa802000,0xffffffff,0x30000fff,0x005fffff,0xffffd800,
    0x7c400004,0x0fffffff,0xffff9800,0xfddfffe8,0x5ffff6ff,0xffff8800,
    0xffb80000,0x3ffe61ff,0xffd8003f,0xffdaaadf,0xffe8004f,0xfff9803f,
    0x3ffe202f,0x3ffd000f,0x55ffff50,0x01ffff75,0xffffd100,0x40005407,
    0x000ffff8,0x7ffff400,0x000effff,0x7d7fffcc,0xfffaafff,0x01ffffaf,
    0x07fffc40,0x7ffc4000,0x3ffff24f,0xfffd8000,0x21fffdc3,0x3ffa01b8,
    0x999999cf,0x0fffffda,0x03fffe20,0x20fffe60,0xff87fffa,0xffb0006f,
    0x7ff40bff,0x7ffc4001,0x3600000f,0xffdeffff,0x7c4005ff,0xffffefff,
    0xfdffff88,0x44000fff,0x0000ffff,0x11ffff90,0x0009ffff,0xf30ffff6,
    0x2fff83ff,0xffffffd0,0xffffffff,0xff8807ff,0xffb800ff,0x7fffa85f,
    0x8004ffd8,0x00effffb,0x8009fff3,0x000ffff8,0xfffff700,0x9ffffd11,
    0xfffff800,0x3ff65fff,0x007fffff,0x00ffff88,0xffff3000,0x03ffff77,
    0x0ffff600,0x3ffe6054,0xfffffd04,0xffffffff,0xff1007ff,0xff7001ff,
    0xffff50df,0x26000a60,0x201fffff,0x4006fffa,0x000ffff8,0xfffffa80,
    0x3ffffe21,0x3fffa002,0x3ea3ffff,0x06ffffff,0x0ffff880,0x3ffa0000,
    0x06fffeef,0x0ffff600,0x06fffa80,0xfffffffd,0x19dfffff,0x3fffe200,
    0x6fffb800,0x007fffa8,0x3fffe200,0x7ffdc03f,0x7ffc4006,0x7cc0000f,
    0xfa83ffff,0xb001ffff,0x1fffffff,0x7fffffc4,0xff88005f,0x200000ff,
    0xfffffffa,0x3f60002f,0x3ea003ff,0xfffd06ff,0x3555555b,0xfff10001,
    0xfff7001f,0x0ffff50d,0x7fff4000,0xfffb804f,0x7ffc4006,0x3a20000f,
    0x2e04ffff,0x800fffff,0x6ffffffc,0xffffffd8,0xfff88004,0x7c00000f,
    0x07ffffff,0x3fffaa00,0xaaaaaaad,0x6fffcaaa,0x6ffff544,0x8000aaaa,
    0xffffbaa8,0xaaaaaaab,0x4c6fffda,0xaaaffffc,0xffc8002a,0xaaaabfff,
    0xfffdaaaa,0xfbaa9806,0x01aabfff,0x3ffff620,0x7fff400f,0x7fdc00ef,
    0xfa83ffff,0x403fffff,0xffbaaaa8,0x0aaaabff,0x3fff2000,0xc8004fff,
    0xffffffff,0xffffffff,0x366fffff,0xffffffff,0x000effff,0xfffffffd,
    0xffffffff,0x2dffffff,0xffffffe9,0x04ffffff,0x3fffffa0,0xffffffff,
    0x206fffff,0xfffffffa,0x2fffffff,0x7fffff40,0xffa83fff,0x0effffff,
    0xffffff50,0xfffff101,0x7ffec05f,0xffffffff,0x005fffff,0xffffff10,
    0xfff98001,0xffffffff,0xffffffff,0xfff36fff,0xffffffff,0xf5009fff,
    0xffffffff,0xffffffff,0x36dfffff,0xffffffff,0x00ffffff,0xffffffd0,
    0xffffffff,0x740dffff,0xffffffff,0x06ffffff,0x3fffffea,0xffe87fff,
    0x3fffffff,0xdfffff30,0x7ffffec0,0xfffff301,0xffffffff,0x003fffff,
    0x17ffff60,0x3fffe200,0xffffffff,0xffffffff,0xffff16ff,0xffffffff,
    0xff3007ff,0xffffffff,0xffffffff,0x3f2dffff,0xffffffff,0x000fffff,
    0xfffffffd,0xffffffff,0x7e40dfff,0xffffffff,0x205fffff,0xfffffff9,
    0xfffd86ff,0x02ffffff,0x07fffff1,0x0fffffd4,0xffffff88,0xffffffff,
    0x0000ffff,0x005ffff5,0x3ffff6a0,0xffffffff,0xffffffff,0x3ffff6a6,
    0x3effffff,0x3fff6e00,0xffffffff,0xffffffff,0xfffd916f,0xbfffffff,
    0x7fff4005,0xffffffff,0x6fffffff,0x3fffb220,0xefffffff,0x7fedc00c,
    0x981cffff,0xdfffffec,0x7ffffc03,0x7ffffc00,0x3fff6e00,0xffffffff,
    0x0002dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0xcccccccc,0x009acccc,0x99999510,
    0x97303799,0x22037999,0x03ccccca,0x666665cc,0xcb9800ac,0xcccccccc,
    0xcccccccc,0x9997304c,0x99730379,0x51015999,0x99999999,0x00135999,
    0x0000cc00,0x00000055,0x00015400,0x7fffc000,0xffffffff,0x00dfffff,
    0x7ffffffc,0x3f23ffff,0x5fffffff,0xffffffe8,0xffff501f,0x01ffffff,
    0x7fffffec,0xffffffff,0x87ffffff,0xfffffffd,0x3fffea4f,0xff86ffff,
    0xffffffff,0x2effffff,0x2ffdc000,0x1fffec00,0x20000000,0x20004ffd,
    0x0ceffed9,0xffffffa8,0xffffffff,0x502fffff,0xffffffff,0x7ffcdfff,
    0x0fffffff,0x3fffffe6,0xfffb06ff,0x7fffffff,0x7fffffc0,0xffffffff,
    0x7fffffff,0xfffffff8,0x3fff67ff,0x21ffffff,0xfffffffa,0xffffffff,
    0x0000dfff,0x4001ffff,0x2efffff8,0xf0000000,0x32000fff,0xffffffff,
    0x7ffffc42,0xffffffff,0x1fffffff,0xffffff88,0x363fffff,0xffffffff,
    0xffffff85,0xffb83fff,0xffffffff,0x3ffff601,0xfffffeff,0xffffffff,
    0xfffffe87,0x3fee4fff,0x47ffffff,0xfffffff8,0xffffffff,0x0006ffff,
    0xf000dffb,0x3dffffff,0x44000000,0x4000ffff,0xeccffff9,0x6dcc0fff,
    0xeeeeffff,0xffffeeee,0xfdb980ff,0x42ceefff,0xdffffff8,0xffdb880a,
    0xa80fffff,0xcffffeec,0x7fed4401,0xeffff9ff,0xfffeeeee,0xffffb887,
    0x76540ace,0x980cffff,0xeeffffdb,0xfffeeeee,0x88004fff,0xe88001dc,
    0xdfffffff,0x88000000,0x4000ffff,0xffd81cc8,0x0ffffa03,0x7ffffb10,
    0x03fffe80,0x7fffffd1,0x7fffec00,0x7fd405ff,0xffe8007f,0x307fff9d,
    0x7f40ffff,0xff9803ff,0xfffd007f,0xffffb807,0x0000001f,0xffffff50,
    0x000019ff,0x07fffc40,0x3ff20000,0x0ffffa03,0x027fffc0,0x260ffffa,
    0x02fffffe,0x7ffffec0,0x3fea02ff,0x7fc4007f,0x07fff9bf,0x740ffff3,
    0xf9803fff,0xffd007ff,0xfff3007f,0x0000007f,0xfffffb80,0x00003fff,
    0x01ffff10,0xff955000,0x7fff403f,0xdfff7003,0x43fffe80,0x1ffffffa,
    0xffffd800,0xf500ffff,0xfb800fff,0x7fff98ff,0x40ffff30,0x9803fffe,
    0xfd007fff,0x3f2007ff,0x000005ff,0xfffc8800,0x002effff,0x7fffc400,
    0x3fe20000,0x7402ffff,0xfd003fff,0xffe80bff,0x3fffee3f,0xfb0001ef,
    0xbfffffff,0x01fffea0,0x3e6dffb0,0xff8667ff,0x3fffa05f,0x7fff9803,
    0x07fffd00,0x01bffea0,0x98000000,0xfffffffd,0xf100001e,0x80001fff,
    0x03fffffe,0x401ffff4,0x404ffffb,0xff93fffe,0x0001dfff,0x7f67ffec,
    0xffa82fff,0x7ffc007f,0x2effff34,0x07ffb5ff,0x401ffff4,0xd007fff9,
    0x32007fff,0x00005fff,0xfea80000,0x0dffffff,0x7ffc4000,0xb980000f,
    0x3a02fffd,0xb3103fff,0x803fffff,0xffdbfffe,0x0000dfff,0x7ce7ffec,
    0xffa86fff,0x3fea007f,0x2ffff31f,0x006a7ffe,0x3007fffd,0x3a00ffff,
    0xf8803fff,0x55543fff,0xaaaaaaaa,0xaaaaaaaa,0x7fd40002,0x0cffffff,
    0x2aaaaa20,0xabffffba,0x000aaaaa,0x3a06ffc8,0xffffffff,0xffffffff,
    0xffffe803,0x006fffff,0x29fffb00,0x544ffffc,0x32007fff,0x3ffe67ff,
    0x01ffffff,0x3fffffa0,0xffffffff,0xfd007fff,0xfe8807ff,0x3ff61fff,
    0xffffffff,0xffffffff,0xb80005ff,0xffffffff,0xfffffd83,0xffffffff,
    0x5fffffff,0x03ffc400,0xfffffffd,0xffffffff,0x3fffa00d,0x4fffffff,
    0xfffd8000,0x87ffffa4,0x2007fffa,0x3fe65fff,0x1fffffff,0x3ffffa00,
    0xffffffff,0xd007ffff,0x33339fff,0xfffff953,0x7ffffc4d,0xffffffff,
    0xffffffff,0xe880000f,0xefffffff,0xffffff10,0xffffffff,0xffffffff,
    0xfb805441,0x3fffa06f,0xffffffff,0x804fffff,0xfffffffe,0x0005ffff,
    0xf327ffec,0x7fd4dfff,0xfff3007f,0x7ffffcc7,0x2001ffff,0xfffffffe,
    0xffffffff,0xfffd007f,0xffffffff,0xf81dffff,0xffffffff,0xffffffff,
    0x0007ffff,0xfffffd98,0x7ff41eff,0xffffffff,0xffffffff,0x3ffe26ff,
    0xfffedcdf,0x3ffffa03,0xffffffff,0x404fffff,0xeffffffe,0x005fffff,
    0xb13fff60,0x3ea7ffff,0xff7007ff,0xfff9557f,0x03ffffff,0x7fffff40,
    0xffffffff,0xfd007fff,0xffffffff,0x01ffffff,0xddddddb3,0xdddddddd,
    0x003bdddd,0x7fffe440,0x9302efff,0xfddddddd,0xdddddfff,0xffd837bd,
    0x3fffffff,0x56ffff40,0xfcbaaaaa,0x204fffff,0x71effffe,0x00bfffff,
    0x113fff60,0xf51fffff,0x3fa00fff,0xffffffff,0x0ffffbff,0x37fffa00,
    0xaaaaaaaa,0xd007fffc,0xffffffff,0x009fffff,0x00000000,0x3fffffee,
    0x440003ff,0x8000ffff,0xbcdeedc9,0x3fffe800,0xfffff700,0x077fff40,
    0x0bffffa2,0x13fff600,0x2b7fffea,0xf8807fff,0xffffffff,0x0dff97ff,
    0x03fffe80,0x007fff98,0xfffffffd,0x0019dfff,0x00000000,0xfffffff5,
    0x1000019f,0x0001ffff,0x3ffa0000,0x3fea003f,0xfffd02ff,0x3fffe607,
    0xfffd8006,0xbffffb04,0xf700ffff,0xffffffff,0x032e2fff,0x3fffe801,
    0x07fff980,0x339fffd0,0x00000133,0x75400000,0xdfffffff,0x3e200000,
    0x5c000fff,0x7f40001d,0x7ec003ff,0xfffd04ff,0x7fffdc07,0x7ffec002,
    0xfffff104,0xfb00ffff,0xf53333ff,0xffc80fff,0x07fffd01,0x00ffff30,
    0x000ffffa,0x00000000,0x7ffffecc,0x00001eff,0x00ffff88,0x001fffc0,
    0x007fffd0,0xd05fffc8,0xfe807fff,0x7ec006ff,0x3fee04ff,0x807fffff,
    0xff984fff,0x3ffe207f,0x07fffd04,0x00ffff30,0x000ffffa,0x00000000,
    0xffffff91,0x000005df,0x007fffc4,0x013ffee0,0x01ffff40,0x07ffff10,
    0x300ffffa,0x4007ffff,0x7404fffd,0x07ffffff,0x4c17ffd4,0x3ea07fff,
    0xfffd06ff,0xffff3007,0x0ffffa00,0x29800000,0x3ffee000,0x003fffff,
    0xfff88000,0xffb8000f,0xd51000ef,0x5555bfff,0xffb55555,0xea883fff,
    0x201adfff,0x01affffd,0x56ffff44,0xfffff301,0x7fecc0ff,0xff9310af,
    0x555557ff,0x988ffff9,0x201dfffe,0x09ffffc8,0xbfffd510,0x00015555,
    0x00bff900,0xffffffb0,0x0000019f,0x03fffe20,0x77ffd400,0x7fffec00,
    0xffffffff,0xffffffff,0x7fffec6f,0x81ffffff,0xfffffff9,0xfffffd83,
    0xfc82ffff,0xf887ffff,0xafffffff,0xffffffff,0xffffffff,0x3fffe67f,
    0x262fffff,0xfffffffe,0x7fffec3f,0xffffffff,0x3e00000e,0x22000fff,
    0x0dffffff,0x44000000,0x40007fff,0x2606ffe8,0xffffffff,0xffffffff,
    0x20ffffff,0xfffffff9,0xfd05ffff,0x98ffffff,0xffffffff,0xfffd06ff,
    0xffffb0ff,0xffffffff,0xffffffff,0x4fffffff,0xfffffffe,0x3fff66ff,
    0x0fffffff,0xfffffff3,0x9fffffff,0x7fec0000,0xfffe8006,0x0000001e,
    0x0017ffa0,0x881bf620,0xffffffff,0xffffffff,0x440cffff,0xffffffff,
    0xff504fff,0xf88dffff,0xffffffff,0xffff505f,0xfffff70f,0xffffdfff,
    0xffffffff,0x6cffffff,0xffffffff,0x3ffff25f,0x227fffff,0xffffffff,
    0x03ffffff,0x03322000,0x00b76600,0x26000000,0x200001de,0xfffdb800,
    0xffffffff,0x01bcefff,0x3fffff6e,0x3a00ceff,0xb81dffff,0xeffffffd,
    0x3fff600c,0xfffffb07,0x3fffb69d,0xffffffff,0x3267ffff,0xcefffffe,
    0x3fffb220,0x6d41dfff,0xffffffff,0x00003eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26005500,0x21bcddca,0x4cccc400,
    0x4ccccc00,0x6654c001,0x0001abcd,0x599b9530,0x0072a003,0x8800b260,
    0x00acddca,0x5e5d4c00,0x1bcb880a,0x6e54c000,0x4c4000ac,0x98019999,
    0x00099999,0xffb80000,0x3ffaa05f,0xdeffffff,0x7ff5c1ef,0xffb04fff,
    0x801fffff,0xffffffdb,0x001dffff,0xfffffc88,0xfdbeffff,0x117ffdc4,
    0xffb83553,0x7fed402f,0x2dffffff,0x3fff6600,0x321fffff,0x00efffff,
    0x7ffffdc0,0x200dffff,0xffffffe9,0xfffd84ff,0x02efffff,0xfea80000,
    0x7440ffff,0xffffffff,0x24ffffff,0xfffffff8,0xfffffa84,0x3f600fff,
    0xffffffff,0x002fffff,0x3fffffea,0xffffffff,0x3fffa0ff,0xfffffcbf,
    0x5ffffbcf,0xfffffb10,0xbfffffff,0xfffff001,0xb7ffffff,0xdfffffff,
    0xfffd5001,0xffffffff,0x3fff607f,0x2fffffff,0x3fffffea,0x0006ffff,
    0x3fffa600,0x7f447fff,0xffffffff,0x26ffffff,0xfffffff8,0xfffffa84,
    0x3fa00fff,0xffffffff,0x01ffffff,0xffffffc8,0xffffffff,0x3fee2fff,
    0xffffffff,0xffffffff,0xffffe883,0xffffffff,0x3e600eff,0xffffffff,
    0xffffffff,0x200fffff,0xfffffffb,0xffffffff,0xfffffd86,0x261fffff,
    0xffffffff,0x800006ff,0xffffffd8,0x7ffe40ef,0xfecdefff,0x5c7fffff,
    0x04fffffe,0xfffffffb,0x7fffe401,0xffdcceff,0x7d405fff,0xcdefffff,
    0xfffffffe,0x7fffec3f,0xffffffff,0xfd05ffff,0xb9dfffff,0xdffffffd,
    0xefffff80,0xffffffec,0xfffffdff,0xfffff305,0xfffb9dff,0xd987ffff,
    0xffffffff,0xfffffd84,0x0002efff,0x3ffff220,0xfb02ffff,0x2a015dff,
    0xb106fffe,0xa8809fff,0x5400ffff,0x3fa009ac,0x3fa207ff,0x7300efff,
    0xb07fffff,0xffffffff,0x0bffffff,0x13fffff2,0x7ffffdc4,0x206ee204,
    0x1ffffffd,0x81ffffb1,0xaefffff8,0xffffc980,0xffff500f,0xffff9007,
    0xb8000017,0xffffffff,0x2ffff403,0x027ffc40,0x1009fffb,0x0001ffff,
    0x07fffcc0,0x04ffffc8,0x05ffff70,0x17fffff9,0x7fffff71,0x3fffff10,
    0xfffff300,0x3fe60001,0x7fcc3fff,0x7ffec4ff,0xffc800ef,0x3ffa05ff,
    0xffff806f,0x75400006,0xcfffffff,0xffffd800,0x37101abe,0x04fffd80,
    0x00ffff88,0x2f2ea620,0x1ffff9aa,0x00bffff0,0xe81fffe8,0x3fa06fff,
    0xfffb85ff,0x3fe6002f,0x753004ff,0x0dffff75,0xf83ffff6,0x2000efff,
    0x501ffffc,0x5c07ffff,0x0002ffff,0xfffffd30,0x54003bff,0xffffffff,
    0x2001bdef,0x8804fffd,0x9800ffff,0xfffffffd,0x81ffffff,0x001ffff8,
    0x7c437fd4,0x3ee03fff,0xfffe87ff,0xfffc8005,0x3fffae06,0xffffffff,
    0xffeeeeee,0xffff11ff,0xdddddddd,0xfffddddd,0x7fff405f,0x1bfffa06,
    0x3ff62000,0x02efffff,0xfffff900,0xdfffffff,0x9fffb003,0x1ffff100,
    0x7fffec40,0xffffffff,0xffa81fff,0x0310007f,0x803fffea,0x7c1ffff8,
    0xa8002fff,0xfe987fff,0xffffffff,0xffffffff,0x52ffffff,0xffffffff,
    0xffffffff,0x409fffff,0xa82ffffa,0x0002ffff,0x3fffff22,0x80002fff,
    0xffffffea,0x03ffffff,0x4027ffec,0x100ffff8,0xfffffffd,0xffffffff,
    0xdfff703f,0xff500000,0xffff00ff,0x0ffffc45,0x7fffc400,0x3fffff20,
    0xffffffff,0xffffffff,0xff73ffff,0xffffffff,0xffffffff,0xfe80bfff,
    0xfffe86ff,0x3fee0006,0x03ffffff,0xedba8000,0xffffffff,0x3fff605f,
    0xffff8804,0xfffffd00,0xfffdddff,0xf703ffff,0x00000dff,0x405ffff1,
    0x220ffffb,0x8002ffff,0xf30ffff9,0xdfffffff,0xffffffff,0xffffffff,
    0x3fffea7f,0xffffffff,0xffffffff,0x7ffd406f,0x3fffea2f,0xffe88003,
    0x00efffff,0x98802000,0xfffffeca,0x09fffb00,0x01ffff10,0x19fffff7,
    0x3fffe620,0x07fff981,0xfffd0000,0x37fff40b,0x0027fffc,0xf93fffdc,
    0x9815bfff,0xccceffff,0x1ccccccc,0x99bffff3,0x99999999,0x07999999,
    0x74dfffd0,0x20007fff,0xffffffe9,0x440001df,0x3e6006fe,0xffb03fff,
    0xfff1009f,0xffffb01f,0xffff1003,0x0bfffe03,0x3ff20000,0x3f661dff,
    0xffd84fff,0x3e6001ff,0x3ffa5fff,0x3ffe205f,0xfff0006f,0x000000df,
    0x2abfffee,0x0003ffff,0xfffffea8,0x70000cff,0x6c007fff,0xffb06fff,
    0xffea80df,0xffff80ff,0xfffd9803,0xffffd01f,0x4fd88003,0xffffffc8,
    0xffffffee,0xfffff983,0xfffe8800,0x1bffee2f,0x2fffffb8,0xffffd800,
    0xf0000005,0xfffddfff,0xfb80000f,0x3fffffff,0xffffd800,0x3fee201e,
    0xfff704ff,0xfffd503f,0xfff05fff,0xfb5101df,0x017fffff,0x19fffff7,
    0xffffc880,0x3ffffee2,0xffffffff,0xffe82fff,0x3ee04fff,0x7cc6ffff,
    0x3620cfff,0x0effffff,0x113ff6a2,0x03bfffff,0x1efecb98,0xfffff700,
    0x00007fff,0xfffff910,0x74005fff,0xefffffff,0xffffeecd,0xfff302ff,
    0xfffdbdff,0xffffffff,0x7ffffec3,0xffffeddf,0xefffffff,0x7ffffe41,
    0xfedcdeff,0x52ffffff,0xffffffff,0xffffffff,0xfff885ff,0xeddeffff,
    0x0fffffff,0xdffffff8,0xfffffffe,0xfffedfff,0x7fd41fff,0xcdeeffff,
    0xffffffee,0x3ffe004f,0x000fffff,0x3ff62000,0x02efffff,0xffffffd8,
    0xffffffff,0x7f404fff,0xffffffff,0xffffffff,0x3fffe25f,0xffffffff,
    0xffffffff,0xffffd84f,0xffffffff,0xd0efffff,0xffdbffff,0xffddffff,
    0xfff30dff,0xffffffff,0x203fffff,0xfffffff9,0xffffffff,0xffffffff,
    0xfffc82ff,0xffffffff,0x4fffffff,0x3fffee00,0x000003ff,0xfffffd30,
    0x7dc03bff,0xffffffff,0x4fffffff,0xffffe880,0xffffffff,0x4c4fffff,
    0xffffffff,0xffffffff,0xd883ffff,0xffffffff,0xefffffff,0x997fff20,
    0x3f61bccb,0xffb104ff,0xffffffff,0xf9801bff,0xffffffff,0xffffffff,
    0x05ffffff,0x3fffffaa,0xffffffff,0x22001eff,0x00ffffff,0x75400000,
    0xcfffffff,0xfccfc880,0xffffffff,0x362000cf,0xefffffff,0xceffff9b,
    0xffffd880,0xf9beffff,0x00ceffff,0x3fffff66,0x1cffffff,0x8004fd88,
    0x65400dfd,0xeffffffe,0x3fa6002c,0xdadfffff,0xfffffdae,0xf9001cff,
    0xffffffff,0x00059dff,0x013ffff2,0xfb800000,0x3fffffff,0x79995300,
    0x44000135,0x000abcba,0xbccca880,0x4400001a,0xabcccca9,0x00000009,
    0xacca8800,0x65440000,0x32e600bc,0x260000bc,0x19abccba,0x00000000,
    0x32200000,0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36200000,0x00ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f4c0000,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000776a0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x51033333,0x988037b9,0x372e6099,0x988000ab,0x99980199,
    0x19998009,0x9502f72a,0x9880059b,0x99800199,0x33310099,0x33333333,
    0x00333333,0x88000000,0x1800c000,0x009b7000,0x55551f64,0x3ff62035,
    0x910fffff,0x1bffffff,0xcffffec8,0xffffffe9,0xffd7004f,0xfb09ffff,
    0x85dfffff,0xafffffd8,0x99effffe,0x1ffffffe,0x7ffff540,0x36200dff,
    0x1effffff,0x7ffffff4,0xffffffff,0x5c000fff,0x027dc04f,0x9003ffb8,
    0x77e401df,0x3ffe6000,0x7ffec00d,0x09ffffb2,0x3fffffee,0xffffb8ff,
    0x266fffff,0xffffffff,0xffffffff,0x3fe201ef,0x2fffffff,0x3fffffea,
    0x7ffdc7ff,0xffffffff,0xffffffff,0x3a00ffff,0xffffffff,0x3ffff203,
    0x7f46ffff,0xffffffff,0xffffffff,0x1bff2000,0xf006ffc8,0x3ee00dff,
    0xfff701ef,0x3ffee003,0xfffb00df,0x3ffff29f,0xfffff703,0xffffbfff,
    0x7fffffff,0x3fffffe6,0xffffffff,0x2206ffff,0xffffffff,0x3fffe61f,
    0x7dc7ffff,0xffffffff,0xffffffff,0x06ffffff,0x3ffffffa,0x3fee03ff,
    0x46ffffff,0xfffffffe,0xffffffff,0xfd8800ff,0xffd881ff,0xfff8801f,
    0x3fff6007,0x05fffb02,0xbfffff10,0x1fffffb0,0x40bfffee,0xffffffd8,
    0xdfffffff,0x323ffffd,0xffffffff,0xffffddff,0x3fee03ff,0xd84fffff,
    0x2effffff,0x7ffffec4,0xfffecfff,0xffecefff,0xffd500ff,0x801bffff,
    0xeffffffe,0x7fffff41,0xffffffff,0xe8806fff,0xfe881fff,0xff3001ff,
    0x7ec001ff,0xfffb03ff,0xffff3007,0x7fffecbf,0x3fffea1f,0xfffa9801,
    0x21dfffff,0xfd80efc9,0x981effff,0xc806fffe,0x20efffff,0x3fffffe8,
    0x4fffff80,0x97ffffe2,0x401ffff8,0x7c46fffc,0x7ff40fff,0x9fffd05f,
    0xff733333,0x9801dfff,0xf982ffff,0x26002fff,0x4000ffff,0xe884fffe,
    0xf9804fff,0xffddffff,0x7fc41fff,0xff3000ff,0x407fffff,0x3ffff600,
    0x3fffdc05,0xfffffa80,0xfffff99f,0xffff002f,0x0bffff0b,0xa805ffff,
    0x7fdc7fff,0x7fffc3ff,0x03fff902,0x1dfffff3,0x2ffffa80,0x02ffffa8,
    0x3e639df9,0xfd930fff,0x3fffa207,0x7fff440d,0x7ffcc00d,0x1fffffff,
    0x400ffff0,0x1efffff9,0x3fff6000,0xffff9805,0xffff3000,0xffffffff,
    0x7fffc003,0x82ffff81,0x4402ffff,0x3fa1ffff,0x3fe66fff,0xdff300ff,
    0xdfffff30,0xffffb801,0x2ffffb82,0xdfffff30,0xffbffffb,0x2201ffff,
    0x440efffe,0x400efffe,0xfffffff9,0x1bffe02f,0xdffff980,0x7fec0000,
    0xfff8804f,0x3fa2000f,0xefffffff,0x7fffc000,0x82ffff81,0xe802ffff,
    0xfff33fff,0x3fee3fff,0x4c14407f,0x00efffff,0x41ffffec,0x202ffffd,
    0xfffffffa,0xffffffff,0x3a201fff,0x7441ffff,0x5401ffff,0x02ffffff,
    0x3002ffec,0x0001ffff,0x009fffb0,0x001ffff1,0xfffffe88,0xff8000df,
    0xffff81ff,0x02ffff82,0xf95fffc8,0x369fffff,0x98005fff,0x00efffff,
    0x0fffffa2,0x07ffffb1,0xffffffb0,0xffffffff,0xff3009ff,0xff985fff,
    0x3f602fff,0x00dfffff,0x98013ff2,0x0000ffff,0x804fffd8,0x000ffff8,
    0x7ffffec4,0xfff0005f,0x5ffff03f,0x005ffff0,0xff1ffff5,0xf1ffffff,
    0x98007fff,0x00efffff,0x77fffec4,0x3ffff620,0xffd9800e,0xffffffff,
    0xe8801cff,0x7444ffff,0x3604ffff,0xffffffff,0x00ffee05,0x00ffff98,
    0x4fffd800,0x0ffff880,0x3fffa200,0x00efffff,0x40ffffc0,0xff82ffff,
    0xff8802ff,0xfffffcff,0xffffcfff,0x3ffe6001,0x2e000eff,0x5c0effff,
    0x000effff,0x3fffffa6,0x3a2001df,0x7443ffff,0x3602ffff,0xffffffff,
    0x5ff505ff,0x7fffcc00,0xffd80000,0xfff8804f,0xffd3000f,0xffffffff,
    0x7ffc003d,0x2ffff81f,0x002ffff8,0xfffffffd,0xffffffbd,0x7fcc00ff,
    0x8000efff,0x40effff9,0x00effffa,0xffffff30,0x3a2001ff,0x7441efff,
    0x3601efff,0xf99fffff,0xf885ffff,0x3fe6000f,0xd80000ff,0xf8804fff,
    0xf9800fff,0xfa9fffff,0x001fffff,0xff03ffff,0xffff05ff,0x3fff2005,
    0xffabffff,0x005fffff,0x1dfffff5,0xe88072a0,0x7440efff,0xe800efff,
    0xffffffff,0xfffe8805,0x7fff440d,0x3fff600d,0x3ffe61ff,0x000885ff,
    0x007fffcc,0x27ffec00,0x07fffc40,0x3ffffea0,0x3fffe60e,0xfff802ff,
    0x2ffff81f,0x002ffff8,0xfffffff5,0x3fffffe1,0xfffa803f,0x3fea05ff,
    0x7ffe400f,0xefffc80e,0x3ffff200,0x03ffffdd,0x20ffffa2,0x403fffe8,
    0x81fffffb,0x02fffff9,0xff755100,0x555557ff,0x3ffa6003,0x7fd401df,
    0xff7102ff,0xf101ffff,0x019fffff,0x20ffffe6,0xff83ffff,0xff1003ff,
    0x7e4bffff,0x401fffff,0xbffffffa,0xfdaaaaaa,0xffa802ff,0xfffa80ef,
    0xffff980e,0xfffff88e,0x1fffe880,0x01fffe88,0x01ffffc8,0x00bfffe6,
    0xfffffd10,0xffffffff,0x3e607fff,0xffffffff,0x7ffffcc0,0x3fee1fff,
    0x0effffff,0x3fffffa2,0x3fa23fff,0x22ffffff,0x22ffffff,0x02ffffff,
    0x2ffffff8,0x3fffffe6,0x3fffe200,0xffffffff,0x04ffffff,0x209ffd10,
    0xfc84ffe9,0x3fea1fff,0xeffb83ff,0x01bff700,0x007ffe20,0x2001bfe6,
    0xfffffffc,0xffffffff,0xfffb07ff,0x89ffffff,0xfffffffd,0x3ffffe5f,
    0x2a3fffff,0xffffffff,0x3ffff27f,0x3fe6ffff,0x3fe6ffff,0xd806ffff,
    0xfe87ffff,0x7cc06fff,0xffffffff,0xffffffff,0x27e4004f,0x3ea13f60,
    0xfffc83ff,0x4c03e981,0x0150003e,0xb8000440,0xffffffff,0xffffffff,
    0xffff906f,0xc87fffff,0xffffffff,0x3fffffa3,0x3e61ffff,0xffffffff,
    0x3ffffee6,0x3ffe5fff,0x3ffe5fff,0xfb805fff,0xffa84fff,0x7fcc04ff,
    0xffffffff,0xffffffff,0x10008004,0xb701edc0,0x00000005,0x80000000,
    0xffffffeb,0xffffffff,0xffd9101d,0x8819dfff,0xceffffec,0x3ffff260,
    0xfdb83dff,0x41dfffff,0xceffffeb,0x33bfffe0,0x33bfffe1,0xffff8801,
    0x05ffff01,0xffffff98,0xffffffff,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x55440009,0xaaaaaaaa,0xaaaaaaaa,
    0x000aaaaa,0x0d54c000,0x26200000,0x4cc41999,0xddd10199,0xccb985dd,
    0xcccccccc,0xcccccccc,0xbdca801b,0x00980000,0x00000000,0x2aaaa200,
    0xaaaaaaaa,0xaaaaaaaa,0x2000aaaa,0x3e6006e8,0xffffffff,0xffffffff,
    0x1fffffff,0xeffecba8,0xfffa800c,0xb8802fff,0x500cefed,0xfa8fffff,
    0xfa80ffff,0x3f20ffff,0xffffffff,0xffffffff,0x304fffff,0x07fffffd,
    0xffe98198,0x5f75c41e,0x7ffff640,0xffffffff,0xffffffff,0x10ceffff,
    0xfffffffd,0xffffffff,0xffffffff,0xb003dfff,0x3f600bff,0xffffffff,
    0xffffffff,0x1fffffff,0x7fffffdc,0x3f601fff,0x4fffffff,0x3ffffea0,
    0xff984fff,0x7ffc47ff,0xffffb07f,0xffffff87,0xffffffff,0xffffffff,
    0xffffa87f,0xf705ffff,0xffffe8bf,0x2ffffe45,0xfffffff5,0xffffffff,
    0xffffffff,0x2e7fffff,0xffffffff,0xffffffff,0xffffffff,0x6404ffff,
    0xb803ffff,0xffffffff,0xffffffff,0xffffffff,0x6777fdc1,0xf707ffed,
    0xffffffff,0xffff705f,0x0bffffbb,0xff0dffff,0x3ffe0dff,0xffffd87f,
    0xffffffff,0xffffffff,0x7ffcc5ff,0xdfffffff,0x47fffee0,0x0ffffff8,
    0x1ffffff1,0x3fffffee,0xffffffff,0xffffffff,0x54ffffff,0xffffffff,
    0xffffffff,0xffffffff,0x5c07ffff,0x02ffffff,0xeeeeedb8,0xeeeeeeee,
    0xfffeeeee,0x3f60081f,0x7fffc41f,0xffffc99c,0x82fbfea0,0x742ffeb8,
    0xffe84fff,0xffff985f,0xeeedb883,0xeeeeeeee,0xdeeeeeee,0x7ffff40b,
    0xefffffde,0x47ffffb9,0x746ffffe,0x3a27ffff,0xffffffff,0xffffffff,
    0xffffffff,0x3fae1eff,0xffffffff,0xffffffff,0xefffffff,0xffff300c,
    0x0003ffff,0x7ffc4000,0x9b97301f,0xfb85ffb9,0xfffb83ff,0xa80bff62,
    0x7ffec6ff,0x84fffd83,0x0006fffb,0x7fcc0000,0xfff50dff,0xffffffff,
    0x1effe987,0x41ffffdc,0x99999998,0x99999999,0x99999999,0x00000009,
    0xffff1000,0x01dfffff,0x3e200000,0x7f4c1fff,0xffffffff,0x407ffe42,
    0x3fe4fff8,0x20ffe806,0xfc82fffc,0xfffe82ff,0x00000002,0xf985fff8,
    0xffffffff,0xb8806604,0x0000000b,0x00000000,0x7fff4400,0x6ffffedf,
    0xf1000000,0x7fcc3fff,0xffffefff,0x037fec2f,0x3fe69ffd,0x21ffd805,
    0xfb81fffb,0x7ffc41ff,0x00000006,0x74409930,0x04ffffff,0x00000000,
    0x00000000,0x3ff60000,0xfffd16ff,0x0000009f,0x743ffff1,0x7e40adff,
    0x0fffdc2f,0xff1fffd4,0x3ffcc03f,0x2a03ffea,0x7fd40fff,0x5554402f,
    0xaaaaaaaa,0xaaaaaaaa,0x75c0000a,0x26602cff,0x99999999,0x19999999,
    0x00000000,0x20000000,0x20effffc,0x03fffff9,0x7fc40000,0x0dff11ff,
    0xf50bff66,0x7ec41bff,0x37ff61ff,0x45ffd981,0xff107ff9,0x80dff90f,
    0xfffffffb,0xffffffff,0x3fffffff,0xf0008000,0xffffffff,0xffffffff,
    0x0000000f,0x00000000,0x07ffffea,0x0bffffea,0xff880000,0x37ffa1ff,
    0xffffdcab,0x3fffa0ce,0x5ffffddf,0x5f7fff44,0x80efffeb,0x1bfe06ff,
    0xff007ffa,0xffffffff,0xffffffff,0x00ffffff,0x7ffc0000,0xffffffff,
    0x07ffffff,0x00000000,0xff000000,0x7dc05fff,0x0000ffff,0x3ffff100,
    0x7fffffcc,0x4fffffff,0x3fffffe2,0xe980ffff,0xffffffff,0x409fd01e,
    0x2ffc45fd,0x7fffff40,0xffffffff,0xffffffff,0x0000006f,0x3ffffffe,
    0xffffffff,0x000007ff,0x00000000,0x3ffffa80,0x2ffffc80,0x3fe00000,
    0x7ff4c0ff,0xeeebceff,0x7fff4c0c,0x5c00efff,0x03effffe,0x1930064c,
    0x32600b90,0xfffffffe,0xffffffff,0x001cefff,0x33320000,0xcccccccc,
    0x04cccccc,0x00000000,0xf8800000,0x3f6004ff,0x4000007f,0x0cc06ffd,
    0xbddb7000,0x00330007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xbb8003c9,0x4c000000,0x000001ed,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_49_latin1_x[224]={ 0,9,5,2,3,3,4,10,11,5,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,10,7,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,3,1,3,0,
10,2,6,-1,5,1,-1,3,-1,-2,6,1,6,6,8,0,2,9,8,7,5,2,0,-3,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_49_latin1_y[224]={ 36,7,9,6,5,8,11,9,8,8,8,11,30,21,
30,5,7,7,7,7,8,8,7,8,7,7,16,16,11,17,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,5,8,7,44,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,16,16,16,16,16,16,8,8,8,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,17,6,9,13,10,
8,8,8,10,7,17,21,21,10,2,4,5,7,7,7,16,8,19,34,7,7,17,7,7,7,17,0,0,0,2,
2,-1,10,9,0,0,0,2,0,0,0,2,10,2,0,0,0,2,2,15,8,0,0,0,2,0,10,8,7,7,
7,9,8,6,16,16,7,7,7,8,7,7,7,8,8,9,7,7,7,9,8,11,14,7,7,7,8,7,8,8,
 };
static unsigned short stb__courier_bold_49_latin1_w[224]={ 0,8,16,22,20,20,20,6,11,10,20,24,10,20,
8,20,20,20,21,21,20,21,20,20,20,20,8,11,26,26,26,19,19,28,25,24,24,24,24,25,26,20,25,27,
24,28,27,26,23,26,27,22,24,26,28,28,26,26,20,11,20,11,20,30,10,24,26,23,26,23,22,25,26,22,
17,24,22,29,24,24,26,26,23,20,23,25,27,28,26,26,20,12,6,12,22,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,19,23,20,26,
6,22,14,28,16,23,26,20,28,30,14,24,13,14,10,25,22,8,9,12,16,23,26,31,26,19,28,28,28,28,
28,28,28,24,24,24,24,24,20,20,20,20,25,27,26,26,26,26,26,18,26,26,26,26,26,26,23,23,24,24,
24,24,24,24,28,23,23,23,23,23,22,22,22,22,23,24,24,24,24,24,24,24,25,25,25,25,25,26,26,26,
 };
static unsigned short stb__courier_bold_49_latin1_h[224]={ 0,30,13,35,37,29,26,14,35,35,19,25,13,5,
7,36,30,29,29,30,28,29,30,29,30,30,21,25,25,13,25,28,33,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,34,26,28,26,27,26,26,26,26,26,35,36,35,15,5,8,21,29,21,29,21,28,30,28,28,
38,28,28,20,20,21,30,30,20,21,27,21,20,20,20,30,20,35,35,35,10,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,28,32,27,21,26,
35,32,6,27,14,19,15,5,27,6,14,31,16,16,8,30,32,7,10,16,14,18,29,29,29,29,36,36,36,34,
34,37,26,36,36,36,36,34,36,36,36,34,26,34,37,37,37,35,35,18,32,37,37,37,35,36,26,29,30,30,
30,28,29,31,21,28,30,30,30,29,29,29,29,28,29,27,30,30,30,28,29,25,26,30,30,30,29,39,38,38,
 };
static unsigned short stb__courier_bold_49_latin1_s[224]={ 237,238,98,141,28,235,234,245,1,218,181,
215,115,176,185,120,79,214,192,143,71,57,28,73,122,75,241,242,1,126,188,
92,218,211,1,112,160,30,104,137,112,233,102,27,79,52,55,1,139,108,81,
48,135,182,1,204,177,150,129,244,76,13,1,225,240,75,201,100,228,199,211,
96,51,163,28,186,28,77,25,145,1,165,1,28,78,49,223,107,50,52,136,
229,237,242,153,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,237,247,51,
1,124,25,52,28,241,128,49,157,22,176,209,194,66,94,240,240,240,149,71,
176,238,238,81,202,114,25,126,94,155,97,126,135,189,181,83,184,209,1,53,
164,234,78,99,59,109,80,210,1,154,164,191,226,1,127,100,49,25,26,55,
1,144,217,27,216,24,119,170,192,100,193,169,102,79,1,178,1,49,157,175,
200,124,167,153,163,185,49,225,1,141,1,46,73, };
static unsigned short stb__courier_bold_49_latin1_t[224]={ 37,116,494,79,40,216,307,473,116,79,473,
420,494,502,494,79,185,216,216,216,307,247,216,277,216,216,277,152,447,494,420,
307,116,365,420,307,365,393,393,307,420,393,336,420,393,365,420,336,420,116,365,
307,365,336,393,393,393,393,393,1,40,116,494,494,437,447,247,447,247,447,307,
216,336,307,1,307,336,473,473,447,216,216,473,447,336,447,447,473,473,185,473,
79,1,79,494,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,37,116,152,
365,447,365,116,152,299,336,494,473,494,502,336,494,494,152,365,420,382,185,152,
494,353,336,494,473,277,247,247,277,40,40,40,116,116,1,420,40,40,79,79,
116,40,79,79,116,365,116,1,41,1,79,79,473,152,1,1,40,116,79,393,
247,152,152,185,277,277,152,447,277,185,152,152,247,247,277,247,307,277,336,185,
185,185,277,247,420,365,216,185,185,277,1,1,1, };
static unsigned short stb__courier_bold_49_latin1_a[224]={ 415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_49_latin1(stb_fontchar font[STB_FONT_courier_bold_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_49_latin1_s[i] + stb__courier_bold_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_49_latin1_t[i] + stb__courier_bold_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_49_latin1_x[i];
            font[i].y0 = stb__courier_bold_49_latin1_y[i];
            font[i].x1 = stb__courier_bold_49_latin1_x[i] + stb__courier_bold_49_latin1_w[i];
            font[i].y1 = stb__courier_bold_49_latin1_y[i] + stb__courier_bold_49_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_49_latin1_s[i] + stb__courier_bold_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_49_latin1_t[i] + stb__courier_bold_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_49_latin1_x[i] + stb__courier_bold_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_49_latin1_y[i] + stb__courier_bold_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_49_latin1_LINE_SPACING
#endif

