// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT        450
#define STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_43_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_43_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_43_latin1_LINE_SPACING          28

static unsigned int stb__times_bold_43_latin1_pixels[]={
    0x4cccc133,0x00000199,0x0e666644,0x04cc0400,0x33310000,0x98000000,
    0x00002aaa,0x00000cc4,0x02aaaa98,0x2aaa2000,0x000000aa,0x1aaaaa80,
    0x033ae000,0x3fe039d5,0xfffffb13,0x4000001f,0x004ffffb,0xff1ffecc,
    0x36e20007,0xfffffffe,0x2000002d,0x01fffff8,0xffffb800,0x200002ef,
    0x002ffffd,0x7fffe400,0x40000002,0x00effff8,0x4bfff500,0xff06fff9,
    0xfffffa87,0x3a000000,0xd8004fff,0x7ff1ffff,0xcffda800,0x32a6209a,
    0x800003fe,0x06fffffc,0x2fbfa200,0x005ffc88,0x2ffff880,0xffb00000,
    0x000000bf,0x00efffb8,0x3ffff600,0x01ffff90,0xfff987ff,0x000000ff,
    0x0009fff1,0x7cfffffe,0xdfd1003f,0xdfb80017,0xff300000,0x005fffff,
    0x3e03ffa0,0x5c0004ff,0x00002fff,0x007ffec0,0xffd00000,0xfb80001d,
    0x3ffea6ff,0xf887ff06,0x0000ffff,0x00bff700,0x8ffffec0,0xffa803ff,
    0x7ec40003,0xffd80001,0x006ffc8d,0xfd04ffc8,0xfd8000ff,0x0000003f,
    0x00005ffb,0x03ffe200,0x37f22000,0xf80efe41,0x7fffc43f,0xd000000f,
    0xf98000bf,0x00ffe5ff,0x00003ff9,0x50000764,0x2ffb89ff,0x82fff400,
    0x0000ffff,0x00007ff1,0x005fe800,0x3ff70000,0x00000000,0x3fe21ffc,
    0x00000fff,0x00005f88,0x407ff06a,0x00000efc,0x3a0005e8,0x00df502f,
    0xc80ffff8,0x2a0005ff,0x0000004f,0x0000fe88,0x001fe800,0x7c000000,
    0x7fffc43f,0x0000000f,0x3fe00000,0x001ff503,0x007e6000,0xb3007260,
    0x7fff4005,0x00005505,0x00000000,0x00000000,0x00000000,0xfff887ff,
    0x000440ff,0x80000000,0x2ff883ff,0x90002200,0x00000009,0xdffffc80,
    0x00000000,0x00000000,0x00000000,0xeeeeeeb8,0x7776c4ee,0xf10ffe6e,
    0x36e1ffff,0xeb80adff,0x4eeeeeee,0x0377776c,0x5ddddddb,0x13fa0ffe,
    0xaa7ff540,0x0f884ccc,0x77777744,0x0eeeeeee,0x77777754,0x7ffc41ee,
    0xe8802fff,0xeeeeeeee,0x7540eeee,0x1eeeeeee,0xfdb95100,0x00359bdf,
    0x3b72a200,0x01acdeff,0xfffffb10,0xdff5107f,0x3e21ffc3,0xffd9ffff,
    0x440effff,0x3ffffffd,0x01effa88,0x3fffff22,0x7f987ff2,0xd39ff900,
    0x209ffff3,0xfff9302f,0x4015ffff,0x0aeffea9,0xffffff30,0xff93001b,
    0x015fffff,0x577ff54c,0xffff7000,0xfffd7359,0x7dc0001b,0xeb9acfff,
    0xd000dfff,0x401fffff,0x21ffc0fe,0xeefffff8,0x5ffffd9a,0x1fffffd0,
    0xf8007f40,0x7ff2ffff,0x74404fc8,0x3ffae4ff,0x807b02ff,0x04ffffff,
    0x2007fe60,0xeffffffb,0xfffff001,0x7fcc009f,0xfffd1001,0x7fffcc0b,
    0x7ff44002,0x3ffe605f,0xfff9802f,0x213e02ff,0x7ffc43ff,0x7fe40fff,
    0xfff982ff,0x013e02ff,0xf2ffffe8,0x007fc47f,0xf983fff6,0x13207fff,
    0x7fffffd0,0x8806f800,0xffffffee,0xfffe802f,0x37c003ff,0x6ffffb80,
    0x5ffff980,0xdffff700,0xbffff300,0xdffffb00,0x3fe07e20,0x7ffffc43,
    0xfffff982,0x6ffffd80,0x74003f10,0x7ff2ffff,0x3ee02fdc,0x7ffd43ff,
    0xb012e05f,0x007fffff,0x774406e8,0xfffffd88,0x7ffec02f,0x374003ff,
    0x7ffffcc0,0xffff9000,0xffff9809,0xfff9000f,0xfffa809f,0x906b81ff,
    0xffff8839,0xfffff00f,0xfffff503,0xe800d703,0x7ff2ffff,0xff3017ec,
    0xfffb81ff,0xb012e03f,0x005fffff,0x17ec05e8,0x3fffffee,0x3ffff601,
    0x02f4002f,0x027ffff4,0x3fffff10,0x27ffff40,0xfffff100,0xffffe803,
    0x44003e84,0xd00fffff,0x3a07ffff,0x3e84ffff,0x7ffff400,0x0ff47ff2,
    0x90bfffb0,0x5c01ffff,0x7fffec03,0x02f4002f,0xfd301ff7,0x7ec0dfff,
    0x4002ffff,0x7ffe405e,0x7f4002ff,0xfc80efff,0x4002ffff,0x00effffe,
    0x83ffffee,0x7c4000f9,0xfd00ffff,0x3ee09fff,0x3e60ffff,0x7fff4000,
    0x7fc7ff2f,0x5ffff300,0x80dfffd0,0x7ffec02c,0x2f4002ff,0x2203ffb0,
    0xb01ffffe,0x005fffff,0x3fe605e8,0xc8007fff,0x4c4fffff,0x007fffff,
    0x4fffffc8,0x1fffffc0,0xff100099,0x3f601fff,0x3fe05fff,0x01323fff,
    0x4bffffa0,0x40ff13ff,0xf987fffc,0x07404fff,0x3fffff60,0xf02f4002,
    0x7f4407ff,0xfffb03ff,0x5e8005ff,0x3fffff20,0xfffa8005,0x7ffe47ff,
    0xfa8005ff,0x6407ffff,0x07e7ffff,0x3fffe200,0xffffb00f,0x7fffe40d,
    0x3a0007e7,0x7ff2ffff,0x7fc41be6,0xfffd84ff,0x201a602f,0x02fffffd,
    0xff882f40,0x3fe202ff,0xffffb04f,0x05e8005f,0x13fffffa,0x3fffe600,
    0x3fffa0ff,0xf98004ff,0x200fffff,0xaafffff8,0xfff10006,0x3ff601ff,
    0x3fe204ff,0x006aafff,0x25ffffd0,0x20bf13ff,0x4c3ffff9,0x6407ffff,
    0xffffd803,0x02f4002f,0x403fffff,0xffb02ffd,0xe8005fff,0x3ffffe05,
    0xff88004f,0x3fe2ffff,0x8004ffff,0x2ffffff8,0x77fffec0,0xff10003e,
    0x3f601fff,0x7ec03fff,0x003eefff,0x25ffffd0,0x5c1fe3ff,0x7ec1ffff,
    0x3e205fff,0xffffd800,0x02f4002f,0x07fffff9,0xffd81ff2,0x74002fff,
    0xfffff105,0xff10007f,0x3e27ffff,0x003fffff,0xffffff88,0x7fffcc03,
    0x0d5400ff,0x03ffffe2,0x00fffff4,0x3fffffe6,0xfffd0000,0xfd8ffe5f,
    0x0ffffc80,0x0fffff6e,0xffb003d8,0xe8005fff,0x7ffff405,0x027f40df,
    0x05fffffb,0xff505e80,0x0005ffff,0xbffffff1,0x3fffffea,0xfff88002,
    0xfe805fff,0xff805fff,0x7ffffc43,0x1fffff00,0xbffffd00,0x7fff4000,
    0x7e47ff2f,0x1ffffd81,0x3ffff5f5,0xfd8016e0,0x4002ffff,0x7ff4405e,
    0x9f71efff,0xfffffd80,0xa82f4002,0x02ffffff,0xffffff00,0x3ffffeab,
    0xfff0002f,0xf500bfff,0xff005fff,0xfffff887,0x4ffffa82,0x5ffff500,
    0x7fff4000,0x7d47ff2f,0xeffffc83,0x7fffbafc,0x20081d70,0x02fffffd,
    0x74402f40,0xfcffffff,0xffffd803,0x82f4002f,0x3ffffff9,0xffff8800,
    0xffff34ff,0xf10007ff,0x009fffff,0x7c01fffe,0x7fffc43f,0x7ffec2ff,
    0x3fffc006,0x3fffa000,0x7cc7ff2f,0xfffff984,0x1ffff14f,0x1a607644,
    0x2fffffd8,0x8802f400,0x6ffffffd,0xfffffb00,0x105e8005,0x09ffffff,
    0xfffff100,0x3fffe27f,0xf88004ff,0x003fffff,0x3e009ff7,0x7fffc43f,
    0xffebdfcf,0x7dc001ff,0x7f40004f,0x87ff2fff,0xfffff06e,0xadfffd87,
    0x405b04ec,0x02fffffd,0x2e002f40,0x03ffffff,0x2fffffd8,0xff02f400,
    0x0009ffff,0x3ffffff3,0x27fffffc,0x7fffcc00,0xff1001ff,0x10ffe003,
    0xf51fffff,0x003bffff,0x0003ff10,0xf2ffffe8,0x883f987f,0xda881dfc,
    0xb500bdef,0xfffffd80,0x0027c002,0x7fffff4c,0x7fffec02,0x027c002f,
    0x0bfffffb,0xfffff500,0x7fffec1f,0xffa8005f,0x2000ffff,0x0ffe006d,
    0x41fffff1,0xd80002b9,0xffe80006,0x907ff2ff,0x0000001f,0xfff9007a,
    0x4f8007ff,0x3fff2000,0x7ffe406f,0x27c003ff,0xdfffff50,0xffff7000,
    0xffffa89f,0xffb8006f,0x74004fff,0x10ffe002,0x001fffff,0x000ba000,
    0x4bffffa0,0x06e883ff,0x04c80000,0x3fffffc8,0x200fe200,0xfffa80a8,
    0x3fff200f,0x3e2003ff,0x7ffff403,0x7fec000f,0xffe80fff,0x6c000fff,
    0x100fffff,0xff800f30,0x7ffffc43,0x4c040000,0xffb00007,0x40ffe3ff,
    0x000003f9,0x7fdc0176,0x2a004fff,0x7ffcc01f,0x02fffb81,0x13ffffee,
    0x4c01fa80,0x004fffff,0x13ffffe2,0x27ffffcc,0xfffff100,0xc8bfd309,
    0x21ffc004,0x00fffff8,0xc8bfd300,0x25d98004,0xff0ffffd,0x001fe407,
    0x80136200,0x06fffff8,0x3f201fa0,0xfff984ff,0x3fffe201,0x01fa006f,
    0x07ffffec,0xfffffb80,0x3ffff600,0xfff7000f,0xfff901ff,0xf0003e23,
    0xffff887f,0xff90000f,0x0003e23f,0x7fe47ffa,0x500ffe7f,0x300001bf,
    0xffb0009d,0xfb005fff,0x5fff9007,0xb00fff10,0x005fffff,0x3a2007fb,
    0x8803ffff,0x401fffff,0x03ffffe8,0x1fffff88,0x369fffb0,0x43ff8004,
    0x01fffff8,0x29fffb00,0xffd0004d,0xf8bffee5,0x3fc8803f,0x07fb3000,
    0x3fffa200,0xbf9101ff,0x07ffe600,0x22013fee,0x01fffffe,0xb000bf91,
    0xe805ffff,0x2001ffff,0x402ffffd,0x201ffffe,0x0feffffa,0x543ff800,
    0x002fffff,0xfdffff50,0x3fea0001,0xff8bffb4,0x33baa003,0xdd73101a,
    0xfd300005,0x759dffff,0xb8009ffd,0xff931dff,0x7ff4c007,0xebacefff,
    0x2e0004ff,0x261bffff,0x00cfffeb,0xbffffb80,0x3fffae61,0xfffc800c,
    0x7ff0000e,0x3fffff22,0xc8002bff,0x0000efff,0x67ffffe4,0x4001ffc0,
    0xedefecba,0x0002deff,0xfffffb80,0x001dffff,0xfffffd50,0x3ee0005b,
    0xffffffff,0xb880001d,0xfffffffe,0x40001cff,0xfffffeb8,0x001cffff,
    0x540000a8,0x5555511a,0x00055555,0x10000054,0x2aa01353,0x35300001,
    0x40000001,0x0aaccba9,0x15310000,0x5d4c0000,0x0000aacc,0x79755100,
    0x20000035,0x1abcbaa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06aaaa00,
    0x55540000,0x000001aa,0x2aa60010,0x000002aa,0x00aaaaa6,0x55500000,
    0x06200155,0x26200000,0x26000000,0x0aaaa600,0x55544000,0x4000000a,
    0x006ffffb,0xffff5000,0x9800000b,0x3ffa002d,0x000001ff,0x007ffffa,
    0x7fd40000,0x3e2005ff,0x40000bef,0xffffecb8,0x40002bde,0xf103ffd9,
    0x0003ffff,0x09ffffb0,0x7fc40000,0x0002ffff,0x1ffff500,0xf9100000,
    0xffe88005,0x2000004f,0x003fffe8,0xfff90000,0x3fae000b,0xff70000e,
    0xfb7359ff,0xb0001bff,0x7ec019ff,0x0005ffff,0x7fffffcc,0xf9000001,
    0x00dfffff,0x7ffdc000,0x7cc00002,0xfd10001f,0x800000df,0x0006ffe8,
    0x0dfff000,0x1fff9800,0x3fffa600,0x3fffe605,0x13ff6003,0xffffff30,
    0x7f40003f,0x005fffff,0xbfff9800,0x0003ffe8,0x017fee00,0x02ff8800,
    0x0fff4400,0x3a200000,0x000001ff,0x00077fd4,0x8037ff40,0x00effffb,
    0x06ffffd4,0x007ffee0,0xff91bffd,0x3fea000b,0x01fff99f,0x0ffec000,
    0x0000ffb1,0x000ffb80,0x006fe880,0x007fd100,0x7fd10000,0xfc800000,
    0xf900000e,0xff9801ff,0xf9000fff,0xfd809fff,0x1ffd407f,0x2000bfee,
    0x3fa20efe,0x3ea00005,0x007fb00e,0x02fc8000,0x1fff4400,0x0df10000,
    0x3e200000,0x7c000006,0x3600000e,0x7f403fff,0x22004fff,0x101fffff,
    0x7c01ffff,0x00df502f,0xfd105fb8,0x12e00003,0x000016e0,0x7e400000,
    0x000000ff,0x00000000,0x00000000,0x05ffff00,0x17ffffe4,0x3ffffa00,
    0x3ffff00e,0xd3007260,0x401e4003,0x0000004c,0x00000000,0x9fff1000,
    0x00100000,0x00000000,0x00004000,0x01ffff88,0x0ffffff3,0xfffff900,
    0x0ffffa09,0x80000000,0x22000000,0xdeffedca,0xdd1001ac,0xdddddddd,
    0xeea81ddd,0x41eeeeee,0x0002fffb,0x10002540,0xdddddddd,0xdddddddd,
    0x003ddddd,0x00009500,0x403fffe6,0x05fffffc,0xfffffa80,0x09fffb07,
    0xddddddd1,0x01dddddd,0x00025400,0xcffffb80,0xdfffeb9a,0xfff93000,
    0x4015ffff,0x0aeffea9,0x001ffff8,0x0007ec00,0x3ffff260,0xeeeeefff,
    0x01ffffff,0x000fd800,0x07fffa80,0x13fffffa,0x3fffe600,0xfffb80ff,
    0x3fff2205,0x000cffff,0x0000fd80,0x17fffa20,0x02ffff98,0x3fffffe0,
    0x07fe6004,0x003fffd4,0x00ffe600,0x7fffec00,0x3ffa604f,0x7cc0001f,
    0xfb80003f,0x3ffe05ff,0x98004fff,0x82ffffff,0xd806fffa,0x005fffff,
    0x007ff300,0x3fffee00,0xffff9806,0xffffd005,0x06f8007f,0x001bfff6,
    0x00fffb00,0x3ffff200,0x1ffc804f,0x3ffec000,0x7ffcc000,0xfffff104,
    0xff10007f,0xf307ffff,0xff9009ff,0x00009fff,0x0001fff6,0x03ffffe6,
    0x27fffe40,0x7ffffec0,0xd0374003,0x0000dfff,0x017fffc4,0x7fffe400,
    0x03f9004f,0x7fffc400,0xfff80002,0xfffff504,0x3fe0005f,0xf985ffff,
    0xffc801ff,0x80004fff,0x002ffff8,0x27ffff40,0xfffff100,0xffffd803,
    0x02f4002f,0x000dffff,0x37fffe40,0x7ffe4000,0x3f1004ff,0x7ffe4000,
    0xfb80006f,0xffff507f,0x3e0005ff,0xc85fffff,0xff9005ff,0x00009fff,
    0x00dffff9,0x7ffffe40,0x7fff4002,0x3ff600ef,0x74002fff,0xbffff105,
    0x3fe20000,0x0001ffff,0x27ffffe4,0x0001e848,0x3ffffff1,0x5ff70000,
    0xffffff30,0xfff10007,0xff889fff,0x3fff2005,0x440004ff,0x01ffffff,
    0xfffff980,0xfffc8007,0x3ff604ff,0x74002fff,0xbffff305,0x3fee0000,
    0x0005ffff,0x27ffffe4,0x000dc2cc,0xffffffb8,0xfd500005,0x7fffc419,
    0xf88004ff,0x713fffff,0x640019ff,0x004fffff,0x7ffffdc0,0xffc8005f,
    0xa8005fff,0x207fffff,0x02fffffd,0xffa82f40,0xd00005ff,0x1ffffffd,
    0x7ffe4000,0x005a84ff,0x7fff7400,0x00000fff,0xfff87fa6,0x98005fff,
    0xd1ffffff,0x3f20005f,0x0004ffff,0x7fffff74,0x7ff4000f,0x98004fff,
    0x00ffffff,0x05fffffb,0xff505e80,0x50000bff,0xfffffd3f,0x7fe40009,
    0x05d84fff,0x3a7ea000,0x004fffff,0x41bfb500,0x05fffffe,0xfffffa80,
    0x017df70f,0xfffffc80,0x27ea0004,0x04fffffe,0x7fffffc0,0xfff88004,
    0xffb02fff,0xe8005fff,0xbffff305,0x2abb0000,0x00ffffff,0xfffff900,
    0x0005f989,0x7ffd5760,0x20000fff,0xfa81dfe8,0x8006ffff,0x45fffffb,
    0x2002ffb8,0x04fffffc,0x7fd57600,0x1000ffff,0x07ffffff,0xfffff100,
    0x3fff607f,0x2f4002ff,0x00bffff0,0x3fe1f980,0x0003ffff,0x49fffff9,
    0x00005ffa,0x7fffc3f3,0xd10003ff,0x7ff403ff,0x6c001fff,0xd00fffff,
    0x3f2005ff,0x0004ffff,0x7fffc3f3,0xff5003ff,0x0005ffff,0xbffffff1,
    0x3fffff60,0xf02f4002,0x8000dfff,0x7fffe46d,0xff90006f,0xfffdffff,
    0x360000bf,0x7ffffe46,0xdffb0006,0xfffff980,0x3ffe6004,0x3fea04ff,
    0xfffc800f,0xdb0004ff,0x6fffffc8,0xfffff500,0x3fe0005f,0xfb05ffff,
    0x8005ffff,0x3fffa05e,0x0be20006,0x5ffffff1,0xffff9000,0xbffffddf,
    0x85f10000,0x2ffffff8,0x04fff800,0x0fffffd8,0xfffff900,0x1fffcc01,
    0x7ffffe40,0x42f88004,0x2ffffff8,0xfffff980,0xff88003f,0xfb04ffff,
    0x8005ffff,0x3fff205e,0x41f20007,0x06fffffd,0xfffffc80,0x0017fea4,
    0x7fec1f20,0x54006fff,0xf9005fff,0xf1007fff,0xa801dfff,0xfc805fff,
    0x8004ffff,0xffffb07c,0xfff100df,0x10009fff,0x07ffffff,0x0bfffff6,
    0x7c40bd00,0x88000fff,0xffff303f,0xfc8003ff,0x7d44ffff,0x1fc40005,
    0xffffff98,0x3ffea001,0x3fff2006,0x3ffa202f,0xffb800ef,0xfffc806f,
    0x7c4004ff,0xfffff303,0xffff003f,0xf30009ff,0x203fffff,0x02fffffd,
    0x3f602f40,0xfb8001ff,0x3ffffa00,0x7fe4005f,0x05e84fff,0xd007dc00,
    0x00bfffff,0x003fffcc,0x873fffaa,0x05fffea8,0x013fff20,0x13fffff2,
    0x7401f700,0x805fffff,0x05fffffd,0xfffffa80,0xffffb00f,0x04f8005f,
    0x001fffcc,0x777777f4,0xffffffee,0x3ff2000f,0x05b84fff,0x3bbfa002,
    0xfffeeeee,0x1000ffff,0x0001ffff,0xfdffffb3,0x80017dff,0xc803fffd,
    0x004fffff,0x777777f4,0xffffffee,0x7ffd400f,0xfb8006ff,0x3204ffff,
    0x003fffff,0x7fec027c,0x667d4006,0xfccccccc,0x004fffff,0x13fffff2,
    0x54068166,0xcccccccf,0xffffffcc,0x3fffe004,0x3fa20001,0x0005ffff,
    0x200bfffe,0x04fffffc,0x33333ea0,0xfffccccc,0xfe804fff,0x4000ffff,
    0x00fffffd,0x0ffffff2,0x9803f880,0x36002fff,0xffff7005,0x7fe400ff,
    0x20704fff,0x802ec079,0x07fffffb,0x00ffffa0,0xfffff500,0xff10003f,
    0xff9003ff,0x6c009fff,0xffff7005,0xfff300ff,0x7c4009ff,0x5c04ffff,
    0x004fffff,0x7d4007ea,0x03f5006f,0x3ffffe20,0xfff9003f,0x5d8009ff,
    0x44007ea0,0x03ffffff,0x003fffb0,0xfffffb00,0x3ffe000b,0xfffc800f,
    0x3f5004ff,0x3fffe200,0xffd803ff,0xf7000fff,0x8801ffff,0x006fffff,
    0xff7001fa,0x800dd003,0x06fffffc,0x9fffff90,0xd027d400,0xfffc800d,
    0xff9006ff,0x3a20000f,0x005fffff,0x800fffc8,0x04fffffc,0xfc800dd0,
    0x8806ffff,0x803ffffe,0x01fffff8,0x5fffffb0,0x0007fb00,0x4fa80bf9,
    0x7fffcc00,0xffc802ff,0xf5004fff,0x013ea07f,0xffffff30,0x09fff005,
    0x7fec4000,0x2002efff,0xc802fff9,0x804fffff,0x7cc004fa,0x002fffff,
    0x805ffffb,0x001ffffe,0x3fffffa2,0x00bf9101,0x44077e40,0xfe8004fe,
    0x400effff,0x06fffffd,0x417ffecc,0xe8004fe8,0x00efffff,0x00017fee,
    0x7ffff5c0,0x202eeeff,0x6c00effa,0x405fffff,0xe8004fe8,0x00efffff,
    0x37ffff70,0x67fff5cc,0xffe98000,0xebacefff,0x880004ff,0x3ffa60ed,
    0x3fe2000f,0x00dfffff,0xfffffff3,0xfd99557b,0xe983ffff,0x22000fff,
    0xdfffffff,0x01fff540,0x76540000,0x01acdefe,0x4067ffcc,0xfffffff9,
    0x1fffd301,0x7fffc400,0x1000dfff,0xffffffd7,0x00039fff,0xffffff70,
    0x0003bfff,0xfff92980,0x640bdfff,0xfffffffe,0xfdd13fff,0xffffffff,
    0xffffffff,0x7fe41fff,0x205effff,0xffffffec,0x9b33ffff,0x00000017,
    0xb7300000,0x3fffba27,0xeeffffff,0xffffff90,0x7ff640bd,0xffffffff,
    0x5d544003,0x00001abc,0x55997530,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,
    0x00100020,0x20198000,0x55554001,0x5000001a,0x00015555,0x02aaaa20,
    0x332ea000,0xeeeeedcc,0x310006ee,0x20000040,0x00000600,0x42002660,
    0x3eeeeeed,0x22ffe880,0x7002ffd8,0xa800001b,0x2a0befff,0x7ffd4007,
    0xa800005f,0x0005ffff,0x13ffff60,0x7ffe4400,0xeeeeffff,0x40019cff,
    0x20cfffe9,0x980000f9,0x3fa61efe,0x2600001e,0xdeffffec,0x7fda209b,
    0x90009eff,0x7fdcdfff,0x33ee007f,0xff980000,0xfcdfffff,0xfffa8006,
    0x6400000f,0x00005fff,0x3fffffe6,0x7ff44001,0x20ffffff,0xf10005fb,
    0x9dffffff,0x360000fd,0x3ff24fff,0xea80005f,0xbbceffff,0x6ebdffed,
    0x8005ffff,0x3f27fffd,0x2a000fff,0x6c0000ff,0xffffffff,0xf70004ff,
    0x800005ff,0x00005fff,0x7ffffff4,0x3ffe2005,0x0fffffff,0x64000fee,
    0xffffffff,0xf00005ff,0x7ff4dfff,0x7e40006f,0x2a01efff,0xfff6fffe,
    0xffa8005f,0x17ffe64f,0x003bee00,0xffbadf80,0x000effff,0x0017fee0,
    0x00effa80,0x3ffea000,0x001fff99,0xfffffffb,0x1fdc1fff,0xebaee800,
    0x01ffffff,0x7fff7000,0x001fffdc,0xeffffe88,0x2dffb000,0x8001ffff,
    0x03c982c9,0x00dff100,0xd9303e20,0x2e00005d,0x900000ff,0x800001df,
    0x3fa20efe,0xffffa805,0x0fffffff,0x74000fee,0x01775cc1,0x41654000,
    0x3a0002ca,0x000fffff,0xffffb7f4,0x00000001,0x005ffc80,0x00000000,
    0x200005f9,0x400000ef,0x3fd105fb,0xfffffc80,0x20ffffff,0x000003fb,
    0x00000000,0x3fff2000,0xf88001ff,0x003ffff6,0x30000000,0x00007fff,
    0x00000000,0x00000000,0x026401e4,0x3ffffff6,0x2e0fffff,0x0000003f,
    0x00000000,0xfffff500,0xfb640009,0x44001fff,0xdeffedca,0x360001ac,
    0xeeea86ff,0x805eeeee,0xeeeeeee9,0x0000000e,0x00000000,0xffffd000,
    0x1fffffff,0x88001fdc,0xdeffedca,0xdd1001ac,0xdddddddd,0xeea81ddd,
    0x41eeeeee,0x02fffffe,0x7ffda600,0x3fee001f,0xfeb9acff,0xb8000dff,
    0xfb882fff,0x04ffffff,0xaeffea88,0x3bbbba20,0xeeeeeeee,0xdddddd10,
    0xdddddddd,0x3ddddddd,0xeeeeee88,0xeeeeeeee,0x1eeeeeee,0x7ffffff4,
    0x2e0fffff,0xffb8003f,0xfeb9acff,0x93000dff,0x5fffffff,0x7ff54c01,
    0x7ffd40ae,0x40000fff,0x003ffff3,0x40bfffd1,0x002ffff9,0x5037ffcc,
    0x5fffffff,0x807fe200,0xffffffc8,0xff9300cf,0xdddfffff,0xffffffdd,
    0x3fff2603,0xeeeeffff,0x1ffffffe,0x7fffffe4,0x2e0fffff,0x3fa2003f,
    0x3fe605ff,0x3fe002ff,0x2004ffff,0xffb01ff9,0x0000ffff,0x200ffffc,
    0x806ffffb,0x005ffff9,0x80bfffe2,0xfffffffd,0x200fd001,0x05fffffd,
    0x9fffffb0,0x0ffff4c0,0x3fffff60,0x3fffa604,0x7ffffd41,0x20ffffff,
    0xff7003fb,0xff300dff,0x3fa00bff,0x4003ffff,0x3fffe06f,0x200005ff,
    0x2601ffff,0x000fffff,0x009ffff9,0x9027fffc,0xdfffffff,0x200db001,
    0x04fffffc,0x9fffff90,0x803ff900,0x04fffffc,0x7c41ffc8,0xffffffff,
    0x00fee0ff,0x03ffffe6,0x27fffe40,0x7ffffec0,0x88374003,0x04ffffff,
    0x3fffe000,0x3ffffa01,0x3ffe2004,0xffd001ff,0x7f7640bf,0x805fffff,
    0xfff9005c,0x3f2009ff,0x9004ffff,0xfffc803f,0x3f9004ff,0xffffffd0,
    0x7dc1ffff,0xffffe803,0x3ffe2004,0x7fec01ff,0x74002fff,0xfffff305,
    0x7c00005f,0xff901fff,0xe8005fff,0x800effff,0x3207fffe,0xffffff9d,
    0x802e404f,0x04fffffc,0x9fffff90,0x9007e200,0x009fffff,0x3fe207e2,
    0xffffffff,0xf900fee0,0x8005ffff,0x00effffe,0x0bfffff6,0x3ea0bd00,
    0x003fffff,0x07fffe00,0x1fffffe6,0x3ffff200,0xfffe804f,0x7fd57207,
    0x202fffff,0xfff9005c,0x3f2009ff,0x0904ffff,0xfffc803d,0x3d0904ff,
    0x3ffffe60,0x3ee0ffff,0x3fffe603,0xffc8007f,0x3f604fff,0x4002ffff,
    0xffff505e,0x400009ff,0xfc81ffff,0x8005ffff,0x07fffffa,0x01ffffd8,
    0x7fffe4b9,0x0b901fff,0x3fffff20,0xffff9004,0x370b309f,0xfffffc80,
    0x01b85984,0x3fffff22,0x80fee0ff,0x05fffffc,0xfffffa80,0x3ffff607,
    0x82f4002f,0x5ffffff9,0x3ffe0000,0xffffe81f,0xff98004f,0x6c00ffff,
    0xb902ffff,0xffffffd8,0x9005c80e,0x009fffff,0x13fffff2,0x7e40016a,
    0x5a84ffff,0x76654000,0x80fee0ff,0x04fffffe,0xfffff980,0xffffb00f,
    0x05e8005f,0xdffffff1,0x7ffc0000,0xfffff81f,0xff88004f,0x6c02ffff,
    0xb901ffff,0xfffffe88,0x9005c85f,0x009fffff,0x13fffff2,0x7e400176,
    0x5d84ffff,0x07ec0000,0x7ffc07f7,0x88004fff,0x02ffffff,0x05fffffb,
    0x3fa05e80,0x0007ffff,0x107fffe0,0x07ffffff,0xfffff100,0xfffd807f,
    0xf30b900f,0x87ffffff,0xfff9005c,0x3f2009ff,0x7cc4ffff,0xfff90005,
    0x05f989ff,0x707ec000,0x3ffe207f,0x88003fff,0x03ffffff,0x05fffffb,
    0x3ea05e80,0x000fffff,0x83ffff00,0x2ffffffa,0xffff8800,0x7ff405ff,
    0x5417207f,0x2fffffff,0x7fe40172,0xf9004fff,0x7d49ffff,0xff90005f,
    0x7fd49fff,0x7ec00005,0x7d40fee0,0x002fffff,0xffffff88,0xfffffb05,
    0x405e8005,0x02ffffff,0x3ffff000,0xffffffa8,0xffff0002,0xffe80bff,
    0xb817206f,0x0fffffff,0x3ff200b9,0xf9004fff,0xffdfffff,0x32000bff,
    0xfeffffff,0x00005fff,0x07f707ec,0x3fffffea,0xffff0002,0x3ff60bff,
    0x74002fff,0x7fffdc05,0x4a20006f,0x7cc1ffff,0x003fffff,0xffffff88,
    0x2ffff404,0xffd80b90,0x0b96ffff,0x3fffff20,0xffff9004,0xbffffddf,
    0x3fff2000,0xffffeeff,0x7ec00005,0x7cc0fee0,0x003fffff,0xffffff88,
    0xfffffb04,0x805e8005,0x02fffffd,0xfff3e880,0xffff883f,0xf88004ff,
    0x403fffff,0x3204ffff,0xffffe805,0x9005cdff,0x009fffff,0x93fffff2,
    0x90005ffa,0x549fffff,0x400005ff,0x40fee0fd,0x4ffffff8,0xffff8800,
    0xfffb03ff,0x5e8005ff,0xffffe880,0x3fa2001f,0xf03ffff1,0x009fffff,
    0xffffff30,0x7fffc403,0x22017200,0xffffffff,0xffff9005,0x3ff2009f,
    0x2fd44fff,0xffffc800,0x002fd44f,0xfb83f600,0x3ffffe03,0xff98004f,
    0xfb01ffff,0x8005ffff,0xffb1005e,0xb8805fff,0x3fffe0df,0xfffffd81,
    0xfffa8005,0x3ea00fff,0x02e404ff,0xffffff98,0xfff9005f,0x3f2009ff,
    0x5e84ffff,0xffff9000,0x000bd09f,0x3ee0fd80,0x3ffff603,0xffa8005f,
    0xfb00ffff,0x8005ffff,0x7fdc004f,0xa9abefff,0xff83ffec,0xfffa81ff,
    0xfb8006ff,0x5c04ffff,0x2e401fff,0xfffff700,0x3ff200bf,0xf9004fff,
    0xb709ffff,0xfff90040,0x40b709ff,0x20fd8000,0x3fea03fb,0xb8006fff,
    0x204fffff,0x03fffffc,0x440027c0,0xffffffda,0xff01ceff,0x3ffa03ff,
    0x6c000fff,0x400fffff,0x5c805ffe,0x7fffe400,0xfff9005f,0x3f2009ff,
    0x5984ffff,0xfffc81a0,0x205984ff,0x20fd8006,0x7ff403fb,0x6c000fff,
    0x200fffff,0x03fffffc,0x0000fe20,0x035db531,0x407fffe0,0x04fffff9,
    0x3ffffe20,0x0fffcc04,0x74002e40,0x9005ffff,0x009fffff,0x13fffff2,
    0x3207981c,0x704fffff,0x36001e60,0x300fee0f,0x009fffff,0x27ffffc4,
    0x3ffffee0,0x007ea004,0x0177c400,0x403ffff0,0x00fffffd,0x1fffff70,
    0x002ffd80,0xff1000b9,0x3f200bff,0x9004ffff,0x009fffff,0x3ff205d8,
    0x6c004fff,0x20fd8005,0xffd803fb,0xf7000fff,0x8801ffff,0x006fffff,
    0xd80001fa,0xff002fff,0x7f4403ff,0xf8803fff,0x4c01ffff,0x1b6003ff,
    0x2fffcc00,0xfffffc80,0xffff9004,0x27d4009f,0x9fffff90,0x0027d400,
    0x07f707ec,0x7ffffd10,0xfffff100,0x3fff6003,0x3fd802ff,0x3f620000,
    0xffff005f,0xffffb005,0xffffe805,0x004fd801,0xa80007fc,0xff9005ff,
    0x32009fff,0x004fffff,0x7e407ff5,0x5004ffff,0xfb0007ff,0xb001fdc1,
    0xe805ffff,0x2001ffff,0x1fffffe8,0x000bf910,0x009ff700,0x4013fffe,
    0x21bffffb,0x0cfffeb9,0x001ff440,0x003bff91,0x6c017f20,0x005fffff,
    0x0dfffffb,0x02fffd98,0x1bfffff6,0x05fffb30,0x7dc1fb00,0x7ffdc003,
    0x3fae61bf,0x98000cff,0xcefffffe,0x004ffeba,0x1ffe8800,0xdfffff00,
    0xfeb88059,0xffffffff,0x0ce8801c,0xffffd500,0xb0007dff,0xffff300b,
    0xf9803fff,0xbdffffff,0xfffeccaa,0xfff301ff,0x557bffff,0xfffffd99,
    0x41fb0003,0xb88003fb,0xfffffffe,0x80001cff,0xfffffffb,0x00001dff,
    0x00f7ff54,0x54400000,0x001abcba,0x000000d4,0xd1038800,0xfffffffd,
    0x3a21ddff,0xfffffffe,0xffffffff,0x220fffff,0xffffffee,0xffffffff,
    0x00ffffff,0x05442a80,0x2eaa2000,0x00001abc,0x55997530,0x22000001,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05555530,0x2aaa2000,0x400000aa,
    0x64006018,0x05eeeeee,0x00030040,0x22039000,0x20001100,0x00000600,
    0x00000ba8,0x00000350,0x80000000,0x001ffffe,0x9ffff700,0x7fcc0000,
    0x01ea0bef,0x6fffea88,0x43dfd300,0x0001efe9,0xf901f300,0x04ffc89f,
    0x987bfa60,0x00001efe,0x037fffea,0x77d44000,0xffb0001a,0xfb0001ff,
    0x88003fff,0x0002ffff,0x013fffa0,0xffff9800,0x06fcdfff,0x06fffb80,
    0x649fffb0,0x00005fff,0xfff30b90,0x3fffe23f,0x9fffb001,0x002fffec,
    0x3ea19f00,0x7f5c0003,0x1dffffff,0xfffff300,0xfff9800b,0x7dc005ff,
    0x200002ff,0x0005fff8,0x7ffffec0,0x004fffff,0x006fffa8,0x7f4dffff,
    0x800006ff,0xfffa81f8,0x7ffff52f,0x9bfffe00,0x0006fffe,0x06c81f50,
    0x23dfd300,0xefffc8de,0x7ffff400,0x3fa001ff,0x001fffff,0x0000bff6,
    0x000bff70,0xff95bf00,0x001dffff,0x00dfff50,0xfb8fffee,0x800003ff,
    0x1fffe06b,0x2001fffd,0x3ee3fffc,0x900003ff,0x8001f50d,0x97a2fff8,
    0x2a01fff9,0x5ffebfff,0xd7fff500,0x3e200bff,0xe800003f,0x8800005f,
    0x1776540f,0xdfff5000,0x54165400,0xd000002c,0x205e4407,0x54000cb8,
    0x002ca82c,0xbb07e600,0x8bffb000,0x00ffcc5e,0x3f625fff,0x2ffe801f,
    0x7003ffb1,0x1000007f,0x000000bf,0x7d400000,0x000006ff,0x0f980000,
    0x00000000,0xdd000000,0x8003fb37,0x2f45fff8,0xefb80fe4,0x5c06fc80,
    0x06fc80ef,0x00000000,0x02000000,0x7ffd4000,0x00040006,0x0b931000,
    0x00000000,0x64400000,0xa8002dff,0x17a0ffff,0x37e207e2,0x440bee00,
    0x0bee00df,0x00000000,0x2a000000,0xff500004,0x254000df,0x3f6e0000,
    0xe880dfff,0xeeeeeeee,0xdd10eeee,0xdddddddd,0xdddddddd,0x00003ddd,
    0x2e0001fb,0xbd0effff,0x10000760,0x41100001,0xeeeeeee8,0x70eeeeee,
    0xdddddddd,0x74c07ddd,0x03eeeeee,0x0003f600,0x01bffea0,0x0000fd80,
    0xfaaffe88,0xf9102fff,0x19ffffff,0x3ffff260,0xeeeeefff,0x01ffffff,
    0x01ffcc00,0xfffff980,0x00005e9f,0x00c00003,0xfffffc88,0xfea80cff,
    0x0bffffff,0xeffea880,0xff30000a,0xff500007,0x3e6000df,0x74c0003f,
    0x3fff61ff,0x3fff600f,0xffb005ff,0x74c09fff,0x40001fff,0x10007ffd,
    0xffffffff,0x3b22000b,0x001bdfff,0x177fff5c,0x7ffffec0,0x7fff4405,
    0x5c001fff,0x6c0000ef,0xa80007ff,0xb0006fff,0xd8000fff,0x3ffe26ff,
    0x3ff203ff,0xf9004fff,0x9009ffff,0x440003ff,0x0002ffff,0xfffffff5,
    0xfe88005f,0x3ffea9cf,0x8affe880,0x7e404ffc,0x9804ffff,0x04ffffff,
    0x0000fec0,0x00bfffe2,0x0dfff500,0x5ffff100,0x3ffea000,0x3ffffee4,
    0x3ffff204,0xfff9004f,0x3f2009ff,0x3ff20001,0x320006ff,0xffffffff,
    0xbfff3004,0x202fffa8,0x3e22fff8,0x3ff203ff,0xfb004fff,0x001fffff,
    0x200013e2,0x006ffffc,0x037ffd40,0x37fffe40,0x4fffe800,0x07fff2fa,
    0x4fffffc8,0xfffff900,0x007e2009,0x7ffffc40,0x3ee0001f,0xefffffff,
    0x17fff401,0xd80ffff4,0xfffc87ff,0xfffff900,0x3ffe2009,0xfb004fff,
    0xff880001,0x0001ffff,0x001bffea,0x3ffffff1,0xffff8800,0x02ea1f33,
    0x9fffff90,0x3ffff200,0x03d0904f,0x3fffee00,0x540005ff,0xffffffff,
    0xffff502f,0x0ffffb03,0xf70bfff5,0x3ff209ff,0x32004fff,0x01ffffff,
    0x400017cc,0x5ffffffb,0x3ffea000,0x7ffdc006,0x4c005fff,0x0b95ffff,
    0xfffff900,0x3fff2009,0xb85984ff,0xffdd0001,0x0001ffff,0xfffffd88,
    0xffe83fff,0xfffc80ff,0x27fff41f,0xc837ffd4,0x004fffff,0x3fffffe2,
    0x00037405,0xfffffee8,0xff50000f,0xfee800df,0x000fffff,0x7dbfffea,
    0xfffc8002,0xff9004ff,0x0b509fff,0x74fd4000,0x004fffff,0xfffff500,
    0x7fc41fff,0xfff907ff,0x3ffff87f,0x907fffa8,0x009fffff,0xffffffb8,
    0x0003f701,0xfffd3f50,0x2a0009ff,0x2a006fff,0xfffffe9f,0x3ffee004,
    0x90007aff,0x009fffff,0x13fffff2,0xd8000176,0xffffff55,0x3fa00001,
    0x24ffffff,0x707ffffa,0x7cc9ffff,0xeeeeefff,0xc80ffffe,0x004fffff,
    0x6fffffe8,0x00004f88,0x3fffeabb,0xfa8000ff,0x576006ff,0x0ffffffa,
    0xfffff500,0x3f20009d,0x9004ffff,0x989fffff,0xf300005f,0x7fffffc3,
    0x9bd00003,0x5cdfffff,0xf907ffff,0x7fd4dfff,0xccccceff,0xfc80cccc,
    0x8004ffff,0x2ffffffa,0x400007e4,0x3fffe1f9,0xfa8003ff,0x3f3006ff,
    0x1ffffffc,0xfffff880,0xff90001f,0x32009fff,0x2a4fffff,0xb00005ff,
    0xfffffc8d,0x2bd00006,0x70fffffc,0x320fffff,0x3ee7ffff,0x20005fff,
    0x04fffffc,0xfffffd00,0x00017ccd,0x7ffe46d8,0xfa8006ff,0x8db006ff,
    0x06fffffc,0x1fffffe0,0xffffc800,0xfff9004f,0xffffdfff,0x5f10000b,
    0xffffff88,0x2f40d002,0x2a1ffffb,0xf907ffff,0x7fd4dfff,0x320007ff,
    0x004fffff,0xffffff30,0x40001ba7,0x7ffc42f8,0x54002fff,0xf8806fff,
    0x7ffffc42,0xfffb002f,0x805409ff,0x04fffffc,0xdfffff90,0x00bffffd,
    0x3f60f900,0xf006ffff,0xffb97a03,0x3fffe67f,0xbffff907,0x07ffffcc,
    0xffffc800,0x3f60004f,0x1fbfffff,0x20f90000,0x06fffffd,0x037ffd40,
    0xfffd83e4,0xff1006ff,0xb907ffff,0x7ffffe40,0xffff9004,0x02ffd49f,
    0x4c0fe200,0x01ffffff,0x4cbd04f8,0x3fe25fff,0xffc80fff,0x3ffe23ff,
    0xc80404ff,0x004fffff,0x3ffffe60,0x100004ff,0x3ffe607f,0x2a001fff,
    0x7c406fff,0xfffff303,0x3fea003f,0xfdcfffff,0x7fffe405,0xfff9004f,
    0x05fa89ff,0xd007dc00,0x00bfffff,0x5cbd01ff,0x7fe41fff,0xfffd80ff,
    0x7fffec0f,0x901d100f,0x009fffff,0xfffffc80,0xf700000f,0x7ffff401,
    0x3fea005f,0x007dc06f,0x0bfffffd,0x7ffffe40,0x6400efff,0x004fffff,
    0x09fffff9,0xfe8000bd,0xfeeeeeee,0x00ffffff,0x97a0fffc,0xff884ffd,
    0xfffe81ff,0xfffffa84,0xf903e80e,0x0009ffff,0xffffff88,0xdfd00000,
    0xffdddddd,0x001fffff,0xd01bffea,0xdddddddf,0x1fffffff,0x3ffbee00,
    0xc800beff,0x004fffff,0x09fffff9,0x2a0040b7,0xcccccccf,0xffffffcc,
    0x5ffffc04,0x9ffd3bd1,0x227ffdc0,0xb00efff9,0x59ffffff,0x7fe40dd9,
    0x40004fff,0x0ffffff8,0xccfa8000,0xfccccccc,0x004fffff,0x540dfff5,
    0xcccccccf,0xffffffcc,0x2a27d004,0x7fe4000a,0xf9004fff,0xb309ffff,
    0x01760340,0x3fffffdc,0x3fffb260,0x01dfffff,0xb12fffb8,0xfd801bff,
    0xefffffff,0x3ffff200,0x7c40004f,0x000fffff,0xf7005d80,0x200fffff,
    0x3606fffa,0xffff7005,0x01f300ff,0xffff9000,0x3ff2009f,0x20704fff,
    0x007ea079,0x7fffffc4,0xf7531003,0xfd30003d,0x009fffdf,0x77ffffe4,
    0x7ffe400b,0x440004ff,0x00ffffff,0x800fd400,0x3ffffff8,0x06fffa80,
    0x3e2003f5,0x403fffff,0xf900005c,0x2009ffff,0x04fffffc,0x0dd02ec0,
    0xfffffc80,0x00bd0006,0x00ab9880,0x002aa200,0x4fffffc8,0x7ffc4000,
    0x40000fff,0x7fe4006e,0xfa806fff,0x00dd06ff,0x6fffffc8,0x800017c0,
    0x04fffffc,0x9fffff90,0xa827d400,0x7fcc004f,0x8002ffff,0x0000003b,
    0xfc800000,0x0004ffff,0x7fffffc4,0x13ea0000,0xfffff300,0xfffa805f,
    0x4004fa86,0x2ffffff9,0x40000f50,0x04fffffc,0x9fffff90,0x20ffea00,
    0xe8004fe8,0x00efffff,0x00000000,0xf9000000,0x0009ffff,0xffffff88,
    0x9fd10000,0xffffd000,0x7fec01df,0x027f446f,0x7fffff40,0x0004d80e,
    0x3fffff60,0xffffb005,0xffd980df,0x7fff4c2f,0x3ffe2000,0x000dffff,
    0x00000000,0xffd80000,0x40005fff,0x0ffffff9,0xfffe9800,0x3ffe2000,
    0x2e0dffff,0x26ffffed,0x000fffe9,0x3fffffe2,0x007e20df,0x7fffcc00,
    0x7cc01fff,0xbdffffff,0xfffeccaa,0x3fff21ff,0x3205efff,0xfffffffe,
    0x00003fff,0x00000000,0x3fffe600,0x20001fff,0x4ffffffd,0x7fffe400,
    0x3b205eff,0xffffffff,0x3f2003ff,0x05efffff,0x3fffffb2,0x063fffff,
    0xffdd1000,0xdfffffff,0x3ffba21d,0xffffffff,0xffffffff,0x000000ff,
    0x00000000,0x00000000,0xfffffdd1,0x01ddffff,0xffffee88,0xeeffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x02620000,0x04cc4000,0x00001c80,
    0x00000000,0x06600002,0x004c4000,0x30000080,0x00008003,0x000000cc,
    0x0f3332e0,0x37e4c000,0x03ff8800,0xfffb7100,0x9039dfff,0x3ff2003f,
    0x360001ff,0x0001ffff,0x0017dfb5,0x6ff77ec4,0x3ff30000,0x7ff5c400,
    0xdf90002d,0x00df9300,0x98037e40,0x2dc0bffd,0x1ffffa20,0xfffb5000,
    0x17f6000d,0x3fff2200,0xfffc9ace,0x005f70df,0x17ffffe6,0x7fffcc00,
    0xdfa8005f,0xf3005fca,0x0bffe1ff,0x0013fa00,0x1ffffffb,0x01ffa800,
    0x01bfff6a,0x400ffd40,0xdffffffa,0xf8804faa,0x30002fff,0x00dfff57,
    0x8001ff70,0x205ffff9,0x3fdffffa,0x3ffff600,0xfe8001ff,0x001fffff,
    0x003e62ec,0x7e4bfff1,0x3f2000ff,0x44664006,0x2004fffb,0x2e604fe8,
    0x8006fffa,0xfd004fe8,0xffffffff,0x3fe6005f,0xff80004f,0x7fc4006f,
    0x7ffdc003,0xfff9805f,0x3fea007f,0x006ffecf,0x7f5fffd4,0x07e2005f,
    0xfff900fa,0x02fffdc9,0x4001ff98,0x003ffe81,0xff801bf2,0x6fc8006f,
    0xfd9bf300,0x00dfffff,0x0007ff98,0x4006ffe8,0x7d4005fd,0xb000ffff,
    0x2007ffff,0x3ff62ffe,0x8bffa002,0x3e001ffd,0x3e017c43,0x3fea3fff,
    0x4fe800ff,0xdff88000,0x03ff5000,0x0037ff40,0x54007fea,0x5fffe547,
    0x2ff98000,0x37ff4000,0x001ff700,0x2fffffc4,0xfffff300,0x81efb803,
    0xdf7006fc,0x400df903,0x80d911eb,0x2a3ffff8,0x6401ffff,0x440000ef,
    0xd1002ffd,0xffe8009f,0x13fa2006,0x00600880,0x0013e600,0x200dffd0,
    0x6c003ff8,0x002fffff,0x1bfffffa,0x2e00df88,0x06fc402f,0x22005f70,
    0x402ffefe,0x2a3ffff9,0x2602ffff,0x640001ff,0x803fffff,0xfe8006fc,
    0x1bf2006f,0x00000000,0xffe80000,0x00bfb006,0x7fffff88,0x3ff7f600,
    0x80004fff,0x22000008,0x0164c000,0x23ffff88,0x201ffffa,0x500004fe,
    0x401ffffd,0xe8001ff9,0xff3006ff,0x00600003,0x00001800,0xf500dffd,
    0xffc8001f,0xf9006fff,0xffffff75,0x80000000,0x88000098,0xffff0009,
    0x07fffd47,0x0000efc8,0x817ffdc0,0xd0004fe8,0xfd100dff,0x76440009,
    0x001bdfff,0x37fffb22,0xffd0001b,0x03ff880d,0xffffff80,0xf33fa805,
    0x321fffff,0x22eeeeee,0x2eeeeeec,0x7fff6440,0x322003ff,0x03fffffe,
    0xf727ffec,0x3fe60dff,0xf8800002,0x0df901ff,0x037ff400,0x100037e4,
    0xfd539ffd,0xffd1007f,0x07ffd539,0x80dffd00,0xf88006fd,0x404fffff,
    0x3ffe24f9,0xff911fff,0x7e445fff,0x2e02ffff,0xffea9bef,0xbefb805f,
    0x05fffea9,0xfc97ffe6,0x09fd01ff,0x3f201000,0x003ff307,0x2037ff40,
    0x30001ff9,0xffa8bfff,0x3ffe602f,0x017ffd45,0xa81bffe0,0xf98000ff,
    0x204fffff,0x7ffc45f9,0x7ffc3fff,0xffff82ff,0x83ffd02f,0x204ffff9,
    0x7fcc1ffe,0x3fee04ff,0x640fffa7,0x5c0000ef,0x40ff42ff,0x40004fe8,
    0x3a206fff,0x3fa0004f,0xfffe82ff,0x05fffd01,0x8803fffd,0x1affffb9,
    0x8001ffc4,0x3ffffffa,0xff10dd10,0xff89ffff,0xffe82fff,0xfff982ff,
    0x0fffff84,0xf84fff98,0x2a00ffff,0x01efcdff,0x00005ff3,0xdb7dfff7,
    0x001bf203,0x7fffdcc4,0x006fc81a,0x07fffea0,0x2a1ffff6,0xfd81ffff,
    0x554407ff,0x6c2aaaaa,0x0399306f,0x3fffffea,0xf101dd02,0xe8bfffff,
    0xfe82ffff,0xffd82fff,0x7fffc0ff,0xffffd81f,0x0fffffc0,0x200d54c0,
    0x32e604fe,0x32a600ac,0x3fe602bc,0x222ec401,0x2aaaaaaa,0x2200ffcc,
    0xffffe85d,0x1ffffc80,0x407ffff4,0x001ffffc,0x981ff500,0x41efffff,
    0x3ffffff8,0xff101fd8,0xfe89ffff,0xffe82fff,0xfffc82ff,0x7ffff41f,
    0x1ffffc82,0x017ffff4,0x01ff9000,0xffb5ffb1,0x3fa00005,0x007fe804,
    0x74027f40,0x7fffc47f,0x7ffff907,0x83ffffc4,0x003ffffc,0xe83ff880,
    0x86ffffef,0x44ffffff,0x3fe202fc,0x7f43ffff,0xffe82fff,0xffe882ff,
    0x2fffff85,0xf85ffe88,0x0002ffff,0xd105ff30,0x3ffe29ff,0x37e40003,
    0x003ffec0,0xfb00df90,0xffffa8ff,0x9ffff707,0x83ffffd4,0x004ffffb,
    0x5b86fd80,0xd07fffa2,0x5cbfffff,0x7ffcc03f,0x7ff42fff,0xfffe82ff,
    0xd502202f,0x405fffff,0x7fff5408,0xd00002ff,0x3fff209f,0x003fffa2,
    0x200ffcc0,0x0007fffc,0xfc803ff3,0x7ffdc7ff,0xffff907f,0x3ffffdcd,
    0x06ffffc8,0x407fd400,0x40fffb80,0x56fffffc,0xfff5009f,0xffe81fff,
    0xfffe82ff,0x9fd5002f,0x005ffffd,0x3ffb3faa,0xb80002ff,0xfff880ff,
    0x13fff61f,0x2027f400,0x007ffdfa,0xfa809fd0,0x7fdc7ffd,0xfff907ff,
    0x7fffdcff,0xfffff907,0x1ffc4000,0x50bff500,0xf3dfffff,0x3fff200b,
    0xfffe84ff,0xffffe82f,0x97ff4c02,0x402ffffe,0xffd2ffe9,0x980005ff,
    0xfff502ff,0x37ffe41f,0x2037e400,0x07ffbaf9,0x4c06fc80,0x547ffbaf,
    0xf907ffff,0x7fd4dfff,0xfff907ff,0x7ec000df,0x17fe4006,0xffffffd8,
    0x3fff6006,0xfffe81ff,0xffffe82f,0x87fff202,0x202ffffe,0x3fa1fffc,
    0x40002fff,0x3fee04fe,0x3fff20ff,0x0ffcc007,0x3fee7f10,0x0ffcc007,
    0x3fee7f10,0x3ffffcc7,0x25ffffc8,0x907ffff9,0x000bffff,0xf0007fea,
    0x7ffc409f,0xf1000eff,0x3a0bffff,0xfe82ffff,0xffb02fff,0xffffe87f,
    0x87fffb02,0x002ffffe,0xb803fee0,0x3f20ffff,0x7f4007ff,0xfb93a204,
    0x27f4007f,0x7fdc9d10,0x7ffffc47,0x3ffffc80,0x03ffffe2,0x00fffff2,
    0x000ffe20,0xff5009f9,0x7e400dff,0x3fa06fff,0xffe82fff,0xfffc82ff,
    0x7ffff40f,0x0ffffc82,0x017ffff4,0x402ff980,0x321ffffa,0x32006fff,
    0x27b600ef,0x09fffc99,0x200efc80,0xffc999ed,0x3fff209f,0xffffd80f,
    0x07fffe40,0x007fffec,0x20037ec0,0xfb0044fa,0xf1007fff,0x7401ffff,
    0xfe83ffff,0xfff82fff,0x7fff40ff,0xfffff82f,0x17ffff40,0x805fe800,
    0x361ffff9,0xf3005fff,0x7ffc403f,0x2fffffff,0x100ffcc0,0xffffffff,
    0x7ffc45ff,0x4fffe81f,0x81ffff88,0x8004fffe,0x26001ffa,0xf903cc3f,
    0xe803ffff,0x6400efff,0x7ec4ffff,0x7c43ffff,0xd98cffff,0x442fffff,
    0x98cfffff,0x02fffffd,0x000ffb80,0x7f45fffb,0x9fd001ff,0xfffff880,
    0x402fffff,0x7fc404fe,0xffffffff,0x227ffdc2,0x700efff9,0xff989fff,
    0x7c4000ef,0x3fe6003f,0x705ffeee,0x9fffd57f,0x7fffe4c5,0xffff5003,
    0xffff913f,0xffff07ff,0xffdbffff,0x7fc75bff,0xedffffff,0x03adffff,
    0x4005ff30,0x3fe3fff8,0x1df9004f,0x1ffee000,0x0003bf20,0xf703ffdc,
    0x3ff625ff,0x7ffdc00d,0x01bffb12,0x400dfb00,0xfffffff9,0x4c4fa84f,
    0xffeffffd,0x6c000bef,0x9effffff,0x40dffffe,0x3ffffffc,0x1dfffff5,
    0x7fffffe4,0xdfffff53,0x017fa001,0x2e3ffea0,0xff3004ff,0x7fdc0003,
    0x00ffcc07,0x80fff700,0xfffeffe9,0x3ffa6004,0x0004fffe,0x6c003ff5,
    0xeeeeeeee,0x54c04f81,0x0000aacb,0x3bffff62,0xffffffd0,0x6fffe443,
    0x06fffe41,0x077fff22,0x001bfff9,0x40003fee,0x02defec8,0x00013fa0,
    0xfe80bdd5,0x77540004,0x15731005,0x55cc4000,0x04c40000,0x00800000,
    0x44000000,0x080000ab,0x00100180,0x00000003,0x06620000,0x98800000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00099800,0x01e6665c,
    0x99993000,0x09980019,0x33201310,0x40001ccc,0x00ccccc9,0x00010000,
    0x0000a200,0x03333326,0x20000000,0x20000009,0x00000099,0x7ffff64c,
    0xfe8801ef,0x200007ff,0x002ffffc,0x7ff03ff8,0x17fffe60,0xffff9000,
    0xdfffd005,0x1019f100,0xffc800b9,0x3f20003f,0xb3002fff,0x05b817ff,
    0x3ffffaa0,0xeb80000c,0x002effff,0xbfffb800,0x05fffd88,0x02ffff88,
    0x7ffff000,0x03ff3000,0x7d403ff1,0x20000fff,0xb803ffff,0x803fffff,
    0x37ee4fe9,0x3ffe6001,0x3fe0007f,0xff5003ff,0xf55bffff,0xfffd1009,
    0x003fffff,0x32fffa20,0x0004ffff,0x113fff20,0x1009ffff,0x00009fff,
    0x0007fff3,0x7fd41fee,0x17ffd400,0x3fff9800,0xfffff880,0xfe8800ff,
    0xb8002eee,0x002fffff,0x003fff98,0x3ffffffa,0x4403ffff,0xfffffffe,
    0xe8000fff,0x3ffe21ff,0xfa80002f,0xffe82fff,0xff9800ff,0xffc80007,
    0x1bf20004,0xfa8037e4,0xff90005f,0x3fff2009,0x5003fffb,0x20007fff,
    0x00fffff9,0x004ffc80,0x3ffb37e6,0xe806ffff,0xffffecff,0x64004fff,
    0xfffe87ff,0xffd80005,0xfffd81ff,0x5ff3002f,0x04ff8000,0xd827f400,
    0x3fee005f,0x04ff8000,0x221dff30,0x36200ffe,0x003ffecf,0x009fffd0,
    0x50013fe0,0xbfffca8f,0x260fdc00,0x06fffffd,0x21bffe20,0x0006fffb,
    0x81ffffe8,0x003ffffd,0x980013e6,0xff80004f,0x8007ff03,0x7cc002fb,
    0x037f6004,0xf9109fd1,0x0fffe61b,0x000e5400,0x88004f98,0x74400600,
    0x3ffffe00,0x3ffe6006,0x04fff987,0xfffff800,0x2ffffd81,0x00000000,
    0x03ff3000,0x00003ff1,0x3ea00000,0x2207ec04,0x3fffd81d,0x00000000,
    0x10000000,0xffffc801,0x3ffee004,0x0fffcc2f,0x7fffc000,0xffffd81f,
    0x00262000,0x70000600,0x03fea0ff,0x30000300,0x00980000,0x03fffe60,
    0x44000000,0x98800009,0x3e600000,0x2a001fff,0x7e45ffff,0xff00003f,
    0xfff03fff,0xfec8807f,0x2003ffff,0xbdfffec8,0x3fffe601,0xffffffff,
    0x204fffff,0x02efffeb,0x3bfffae0,0x88000002,0xfffe9bca,0x80038006,
    0xfffffec8,0x3fb22003,0x0003ffff,0x003fffb8,0x47ffffd4,0x0002ffc8,
    0x87ffffe0,0x400cffda,0xfea9befb,0xfe8805ff,0x3ffea9cf,0xffffff30,
    0xffffffff,0xfd109fff,0x09ff915f,0xc8affe88,0xddd104ff,0x8801dddd,
    0xffedfffe,0x34003fff,0x26fbee00,0x805fffea,0xfea9befb,0x740005ff,
    0xf88003ff,0xcffeffff,0x7fc00000,0x3ffe1fff,0x0fff401d,0x813fffe6,
    0x7d45fff9,0xaaa882ff,0xaaaacffb,0x41aadffa,0x3e22fff8,0xfff103ff,
    0x81fffc45,0x1fffffd9,0x83fffa20,0x006ffffc,0xffe801a6,0x27fffcc1,
    0xf983ffd0,0x90004fff,0x20001dff,0x0cfffffe,0x55555550,0xfffff005,
    0x77ffd443,0x84fff981,0xd00fffff,0xffd05fff,0x1ff9803f,0x3601ff88,
    0xfffc87ff,0xc87ffd80,0xff300fff,0x3e203fff,0x7fc43fff,0xb9001fff,
    0x13ffe600,0x203ffffe,0xff84fff9,0x26000fff,0x01fffffc,0x7fffec40,
    0x3ffee05f,0xff803fff,0xffa81fff,0xffffd86f,0x0fffffc0,0x40ffffd4,
    0x5c07fffd,0x01ff507f,0x2e17ffea,0x7fd44fff,0x4fffb85f,0x3fffff10,
    0x03fffee0,0x013ffffa,0x7ec00bf6,0x7ffc0fff,0xfffd81ff,0x7ffffc0f,
    0xfffe8801,0x803fffff,0xffffffc8,0x3fe203ff,0x3ffe004f,0xffff01ff,
    0x1ffffc89,0x417ffff4,0xc80ffffe,0x3201ffff,0x40df906f,0xfa84fffe,
    0x7fff46ff,0x06fffa84,0x03fffff1,0x6c1ffffa,0x2205ffff,0x3f2007fd,
    0x7ff41fff,0xfffc82ff,0x7ffff41f,0xfffb5002,0x403fffff,0xffb8cffa,
    0x3a00ffff,0x7ffc006f,0xffff01ff,0x85ffe88f,0x442fffff,0xf907ffff,
    0x7f407fff,0x7c09fb04,0xffa83fff,0x1ffffc7f,0x883fffd4,0x981fffff,
    0xfb07ffff,0x3a60dfff,0x3a2003ff,0xffff85ff,0x5ffe882f,0x02fffff8,
    0x7ffff440,0xbff905ff,0x5fffffe8,0xf0007fe0,0x3e03ffff,0x0881ffff,
    0x7fffff54,0x3ffffd42,0x04ffffb8,0x3fe07ff1,0xdffff303,0xfffddddd,
    0x3fffe61f,0xffeeeeee,0xfff880ff,0xfffa81ff,0xffff907f,0x1ffff50f,
    0xea811000,0x202fffff,0x7fff5408,0xf90002ff,0xfb0fffff,0xfff985ff,
    0x3fa84fff,0xfffff800,0x5fffff01,0xfecfea80,0x7fdc2fff,0xfff907ff,
    0x7fffccdf,0xffffffff,0xf54fffff,0x9999dfff,0x2a199999,0xccceffff,
    0x80cccccc,0x81fffff8,0x907ffffb,0xfa8fffff,0x80004fff,0xfffecfea,
    0x9fd5002f,0x005ffffd,0x7ffffec0,0x41fffea0,0x3ffffffd,0xff800374,
    0xfff01fff,0x3fa609ff,0x5ffffd2f,0x07ffffb8,0x4cfffff9,0xffffffff,
    0xffffffff,0xbffff74f,0xffffb800,0x3fe20005,0xffb81fff,0xfff907ff,
    0xfffff8bf,0x3fa60001,0x5ffffd2f,0xd2ffe980,0x0005ffff,0x07ffffc4,
    0x103ffffd,0x5fffffff,0x7c0003f2,0xfd01ffff,0xff907fff,0x7ffff43f,
    0x3ffffd42,0x26ffffc8,0xaaefeaa8,0xaaefeaaa,0xffff51aa,0xfffa800f,
    0x3e20007f,0xfa81ffff,0xff907fff,0x7ffcc9ff,0x0cec80ff,0x743fff90,
    0x3202ffff,0x3ffa1fff,0x640002ff,0x3fe26fff,0xff304fff,0x7f7fffff,
    0x7fffc000,0xffffd01f,0x43fffd85,0x4c2ffffe,0xf907ffff,0x3fa0bfff,
    0x4c0bfd04,0x000fffff,0x03ffffe6,0x7fffc400,0xffff881f,0x5ffff907,
    0x43ffffe4,0xfd84fffa,0x7fff43ff,0x7fffb02f,0x02ffffe8,0x27ffd400,
    0x0dfffff5,0x7fffffdc,0x7fc0005f,0xff901fff,0x7ffe43ff,0x7ffff40f,
    0x7ffffc42,0x3ffffc80,0xff03ff88,0x7fffc407,0xff10404f,0x00809fff,
    0x03fffff1,0x6c1ffffa,0x3f61ffff,0xffc87fff,0x7fffe47f,0x17ffff40,
    0x207fffe4,0x002ffffe,0x51fffc40,0x07ffffff,0x7fffffe4,0x3fe0003f,
    0x25931fff,0x7fc7fffa,0x7ff40fff,0xfffc82ff,0xffffd80f,0x981ff980,
    0x7fec01ff,0x1d100fff,0x07ffffec,0xff880e88,0xffb01fff,0xfffd01ff,
    0xfffffc8f,0x237ffcc0,0x740fffff,0xff82ffff,0x7ff40fff,0x02b882ff,
    0x7c46ff98,0x02ffffff,0x3ffffff6,0x7c02c84f,0xfff1ffff,0xf897ffe3,
    0xd98cffff,0x882fffff,0xfe81ffff,0x0ff704ff,0xf5003fea,0xd01dffff,
    0xfffffa87,0xf103e80e,0x2203ffff,0xfe81ffff,0x7ffd43ff,0x4ffe81ff,
    0x33ffffe2,0xfffffd98,0x7ffffc42,0xffffd98c,0x0effe82f,0x3a03ff20,
    0x2fffffff,0xffffff50,0x0db57dff,0x9fffff98,0xdfd2fff8,0xffffff81,
    0xffffedff,0x7ffdc3ad,0x077ffcc4,0xdf906fc8,0x3ffff600,0x06ecacff,
    0x9ffffffb,0x7c40dd95,0x2601ffff,0x7fcc4fff,0xffffb06f,0xf81ff90b,
    0xdfffffff,0x3adffffe,0x3ffffffe,0xdffffedf,0xfffff33a,0x205ff105,
    0xfffffff9,0xefecacff,0xfffffffe,0x7dc01fff,0xff91ffff,0xf903ff37,
    0x2a7fffff,0x80efffff,0xfb12fffb,0x27f401bf,0x36005fe8,0xffffffff,
    0x3fff600e,0x00efffff,0x07ffffe2,0x223fff50,0xd100effd,0x2a5dffff,
    0xfffc81ff,0xfff53fff,0x7fe41dff,0xff53ffff,0x7f41dfff,0xc9adffff,
    0x7fd401ef,0xffffffff,0x3ffee3ff,0x403fffff,0x1ffffffd,0x039dfd71,
    0x077fff22,0x401bfff9,0xfffeffe9,0x817fc404,0x7e4003ff,0x00beffff,
    0xefffffc8,0x7ffdc00b,0xec9804ff,0x00bdffef,0xfffffea8,0xff9100cf,
    0xfffc83bf,0x7ffe440d,0x6fffe41d,0x7ffff4c0,0x2003efff,0xffffffd8,
    0xfff303ff,0x00005dff,0x80080010,0x55cc4001,0x01991000,0x20003991,
    0x10000aa8,0xff100155,0x3fffffff,0x000ae200,0x0009a988,0x0800c004,
    0xaa980180,0x440001ac,0x0009acb9,0x00003753,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x42002660,0x10000098,0x00260013,0x00000000,0x0166665c,0x00013000,
    0x26600006,0x33000001,0x4c000201,0x000ccccc,0x05101000,0x93000060,
    0x7bdffffd,0x4fdb4413,0x09fb0000,0x1ffffecc,0xdb951000,0x0359bdff,
    0x3fffa200,0x7f5c0007,0xccccdfff,0x3bfae2cc,0x3fb22002,0x01cfffff,
    0x3fffae00,0x00720cff,0x0fffff20,0x7764c000,0x3fff20be,0x05dfd503,
    0xffffea80,0xffedbbce,0x0ff56ebd,0x40bfe000,0xfea8cffc,0x7fdc000e,
    0xfeb9acff,0x88000dff,0x8001ffff,0xb8bfffe9,0x4fffffff,0x01fffff1,
    0xbceffd98,0x2effecba,0x37ffa600,0xceffca9a,0xffe8001f,0xea80003f,
    0xff880cff,0xffe80fff,0xff9000ff,0x75403dff,0x3ff16fff,0x07fa8000,
    0xffb8fff9,0xffe8800e,0x3ffe605f,0xff98002f,0x7fc4004f,0x7ffe42ff,
    0xfff72ccd,0x7fdc07ff,0x7fe4401c,0x0fff8804,0x03fffb10,0x03fff980,
    0x6fffcc00,0x3fffee00,0x7fffcc2f,0x7ff4402f,0xfb000eff,0x0027ecdf,
    0x3ea17f20,0x7ffc43ff,0x7fffdc05,0xffff9806,0x7ff98005,0x7ffff400,
    0x077ffcc0,0x13fffff2,0x200077ec,0x3a00efd8,0xffd804ff,0x27fe4001,
    0x3ffee000,0xffff9805,0xfffff80f,0x7ffff400,0x37f4000f,0xf8000df7,
    0x2fffe82f,0x301ffff8,0x001fffff,0x013ffff2,0x4007fe60,0x887ffff8,
    0x7dc4ffff,0xfc83ffff,0x2fdc0004,0x801fffb8,0x74002fe8,0x7ec0004f,
    0x3fa005ff,0xfff705ff,0xffffc809,0x6f88001f,0x40007fe2,0x7fcc0ff9,
    0xfffe81ff,0x9ffffd05,0x7fffc400,0x4fa8001f,0xdffff500,0x8dffff10,
    0x41fffffa,0xfb9505fa,0x64d1359d,0x2fffc83f,0x4005f300,0x640004f9,
    0xa8005fff,0x005c401c,0x13ffffea,0x7f46c800,0x0bf90003,0xd03ffff7,
    0xff90ffff,0xe8005fff,0x000effff,0x7ffd4000,0xfffff06f,0x0fffff88,
    0xfb103be2,0x3ff2617f,0x3fa0ff46,0x5d000eff,0xa8000000,0x0001ffff,
    0xffe80000,0x20002fff,0x0037dc69,0xffd83fe8,0xfffe81ff,0x3fffe61f,
    0xffc8007f,0x00004fff,0x37fffc40,0x427fffc4,0x7dc6ffff,0x80fffd41,
    0x227c46f9,0x00effffe,0x000002c8,0x1bfffe20,0x20000000,0x0ffffffa,
    0x3e61c000,0x7fcc000f,0x1ffffe80,0x23ffffe8,0x05fffffc,0xfffffa80,
    0x3bbbbb27,0x3bbbb22e,0xfffd82ee,0x2ffff887,0x744fffd8,0x027ffc46,
    0xc83f61b2,0x03ffffff,0x3bbb2044,0x3bb22eee,0xfb02eeee,0x40007fff,
    0xeeeee884,0xfffd80ee,0x000007ff,0xfb8007fd,0x1fffff06,0x4bffffd0,
    0x04fffffe,0xfffff980,0xffff910f,0x7ffe445f,0xfffa82ff,0x3fffd40f,
    0x2a2fffb8,0x07ffec3f,0x8fea1a20,0xfffffffa,0x3f22002e,0x3222ffff,
    0x882fffff,0x988fffff,0x01f1000a,0x3fffffb3,0xbffffff0,0x3f200000,
    0x41ff4006,0x80fffff8,0x3e5ffffe,0x004fffff,0xffffff88,0x17ffffc2,
    0x817ffffc,0x3a24fffb,0xff300dff,0xf107dc1f,0xf8000dff,0x3ffffe24,
    0x002effff,0x20bffffe,0xb82fffff,0xffdeffff,0x7cc03fff,0xfffff301,
    0xfffff883,0x3000004f,0x3e2001ff,0xffff981f,0xffffe80f,0xffffff16,
    0xfff10007,0xfff87fff,0xfffe82ff,0x3ff6602f,0x803fffce,0x263e46ff,
    0x40005fff,0x7fffcc6e,0x1dffffff,0x2fffff80,0x82ffffe8,0xdefffffe,
    0x00efffff,0x3fe205f5,0x7fcc1fff,0x0002ffff,0x400bfe00,0xfff706fb,
    0xfffd01ff,0x3fffeaff,0xf88002ff,0x745fffff,0xfe82ffff,0x75402fff,
    0x2001bccc,0x2e36c4fe,0x40004fff,0xffffa87d,0x3fffffff,0x17ffff40,
    0x217ffff4,0x23fffff8,0x05ffffe8,0x3fe209f7,0x7fd41fff,0x0003ffff,
    0x4017f200,0xfff904fd,0xfffd01ff,0x3fffeaff,0xff0002ff,0xfe8bffff,
    0xffe82fff,0x0fb102ff,0xe87f9000,0x02fffe46,0x74c1f600,0xffffffff,
    0x3ffa04ff,0xfffe82ff,0x7fffcc2f,0x7fffcc1f,0x105fd81f,0xa83fffff,
    0x04ffffff,0x1fea0000,0x5c07fe20,0xe80fffff,0xff35ffff,0x0007ffff,
    0x9ffffff1,0x82ffffe8,0xf02ffffe,0xf70000bf,0x7fd47d85,0x3740006f,
    0x3fffff20,0xd04fffff,0xfd05ffff,0xffa85fff,0xfff81fff,0x07ff85ff,
    0x83fffff1,0x5ffffff9,0x7fc00000,0x503fd402,0xd01fffff,0x3e29ffff,
    0x004fffff,0xffffff88,0x17ffff43,0x417ffff4,0x000afffa,0x1f907e60,
    0x0037ffcc,0x322017e0,0xffffffff,0xffffe80f,0x2ffffe82,0x0fffffdc,
    0x237fffe4,0xf880fff8,0x7c41ffff,0x006fffff,0x027ec000,0xff9813f6,
    0xffe80fff,0x3fffe3ff,0xf98004ff,0x741fffff,0xfe82ffff,0xffd82fff,
    0xffffffff,0x1f100bde,0x7ffc2fa8,0x9f30000f,0x3ff62004,0xe84fffff,
    0xfe82ffff,0x7fdc2fff,0xffb81fff,0x7ffd47ff,0xfffff882,0xfffffe81,
    0x54000007,0x017fc07f,0x203ffffe,0x362ffffe,0x005fffff,0xffffffa8,
    0x17ffff40,0x417ffff4,0xfffffffd,0x1fffffff,0xa8bf1090,0x0c404fff,
    0x200d0fe4,0x6fffffe9,0x82ffffe8,0x4c2ffffe,0xa82fffff,0x320fffff,
    0xff884fff,0xffa81fff,0x0000ffff,0x407fe200,0xfff807fa,0xfffe81ff,
    0x3fffea1f,0xffb8006f,0xffe84fff,0xfffe82ff,0xffffa82f,0xffffffff,
    0x32000fff,0x0fffec0f,0x45f81e88,0x3ffa001f,0xfffe87ff,0xffffe82f,
    0x2fffff82,0x47ffffa8,0xf886fffe,0xff01ffff,0x0005ffff,0x904fd800,
    0xfffb00bf,0xffffd03f,0x1fffffd0,0xffffd800,0xffffe80f,0x2ffffe82,
    0xffffff50,0xffffffff,0x42fcc007,0xa89cfffb,0x42fc81ec,0x3fa2004f,
    0xfffe86ff,0xffffe82f,0x3ffffe82,0x25ffff98,0x40fffff8,0x01fffff8,
    0x0dfffff7,0x2e014400,0x005ff06f,0xd03ffff5,0xff30dfff,0x44009fff,
    0xd04fffff,0xfd05ffff,0x3aa05fff,0xdccccdef,0x4c4ffffe,0x107f901b,
    0x079dfdb9,0x01be17ea,0xd09fff90,0xfd05ffff,0xff905fff,0xfff309ff,
    0x7fffcc7f,0x7fffc41f,0x3fff601f,0xe88002ff,0x20ffc403,0xfd000ff9,
    0xffff05ff,0x3ffff603,0xfff7000f,0x3ffa01ff,0xfffe83ff,0x02ffe82f,
    0x362ffe98,0x5fd05fff,0x0ef98000,0x2a005ff8,0xffe83fff,0xfffe83ff,
    0xffffa82f,0x1ffff985,0x0fffffee,0x03fffff1,0x7fffff44,0x07fa2001,
    0xbf90ffa0,0x1fffdc00,0x8817ffe6,0x803ffffe,0x01fffff8,0xb13ffff2,
    0xa87fffff,0x3ee006ff,0xfffff10f,0x009ff101,0x7c07fee0,0xffd002ff,
    0x3ffff20d,0x7ffffec4,0x1ffffb03,0x645fffa8,0x444fffff,0x401fffff,
    0x2fffffd8,0x006fdc40,0x1ff46fb8,0x717ff600,0xfb003fff,0xfe805fff,
    0x7d401fff,0xfc89ffff,0x4c3fffff,0xfd001fff,0x7ffffdc9,0x05dfb103,
    0x803bf660,0x4c03ffff,0xff500fff,0xff913fff,0x2207ffff,0x7e42ffff,
    0xffffb86f,0x7fffc43f,0xfff7001f,0x95357dff,0x98007ffd,0x01ff30ff,
    0x225ffb00,0x2e001ffe,0x261bffff,0x00cfffeb,0xffffffb0,0xbffffd3d,
    0x0beffc81,0x21ff5d4c,0x00fffff8,0x4d5fffdc,0x4ffeba99,0xefffff80,
    0x01efea81,0x7fffffec,0xdffffe9e,0x3fffd300,0x2203bfea,0x5c0fffff,
    0x004fffff,0x3ffff6a2,0x01ceffff,0x3ee7fd00,0x3fb20006,0x8000efff,
    0xfffffeb8,0x001cffff,0x77fffec4,0xffffffd0,0xffffc883,0x00cdefff,
    0x2009fff9,0xfffffeb8,0xf000bfff,0xdffd7319,0x2007fffd,0x0effffd8,
    0x3ffffffd,0x3bff6e20,0x3ee00cef,0x3ffe23ff,0x01ffffff,0x565d4c40,
    0x79500001,0x20000b2e,0x00000ab9,0x35797551,0x15710000,0x54cc0000,
    0x00544001,0xabcaa980,0x53038001,0x20003599,0x00000ab8,0x20005544,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x00000199,0x04000022,0x01100000,
    0x22018800,0x03530000,0x00066200,0x00999800,0x77744004,0xeeeeeeee,
    0x80011004,0xeeeeeeed,0x1eeeeeee,0x00266000,0xfffec880,0x0001cfff,
    0x3ffffb22,0xb51000ce,0x98039dff,0x0eeeeeee,0x015bffb7,0x3fff6e20,
    0x800fa61d,0x3fffffd8,0xffffd980,0x2a0003ff,0xfffffedb,0x402d42cf,
    0xfffffffb,0x2203ffff,0x03dffffc,0x7fffffc4,0xffffffff,0xff50000f,
    0xffb30007,0xfd97579d,0xfb8005df,0xffd99cff,0x77fcc02f,0x01fffe99,
    0x3fffff66,0xffffffd9,0x77fe400e,0xfcbffa89,0x9fd3003f,0xd817ffea,
    0xfffd89cf,0x3a2001ff,0xa9abefff,0xfbcfffcb,0xffffe805,0x0fffffff,
    0xffffff50,0x7fd40bff,0xffffffff,0x0005ffff,0x8007fff1,0x4401cffb,
    0xf7004ffc,0xfff907ff,0x87ffe205,0x201ffff9,0xeefffff9,0x5ffffd9a,
    0x707fff60,0x007fffff,0x7fc1fff3,0x87fc83ff,0x00fffffa,0x03ffffb8,
    0x2ffffec4,0x3ffffe60,0x05ffffff,0xfffffff3,0x3f20bfff,0xffffffff,
    0x002fffff,0x007fffd0,0x200077ec,0x2600efd8,0xf880ffff,0x7f440fff,
    0xffffd86f,0xfffff100,0xffffc81f,0x06fffc82,0x007fffff,0xfff8fffb,
    0x0fffcc6f,0x02fffff4,0x05ffffd1,0x02fffd40,0x3ffffff2,0x881fffff,
    0xffffffff,0xfe83ffff,0xffffffff,0x000fffff,0x03ffffc8,0x80009f90,
    0x3ff605fb,0x3fffe07f,0x42fffec2,0x104ffffb,0x305fffff,0x4c1fffff,
    0xfd03ffff,0xf9807fff,0x3ffa0fff,0x27ffdc7f,0x03ffffe4,0x007ffffd,
    0xe80bff50,0x9999999e,0x7df90199,0xfffffb53,0x59fff0df,0xf7555555,
    0xff5000bf,0xf5007fff,0x333332ab,0xf902bccc,0x3ffffe07,0x87fffd01,
    0xfa85ffff,0xff107fff,0x3fe01fff,0x3fee1fff,0xfffd01ff,0xfffc807f,
    0x13ffee1f,0xf90ffff7,0xf901ffff,0x4000ffff,0x0be605fb,0x2e09f000,
    0x20ffffff,0xff7003f9,0xfff88007,0x7c403fff,0xdfff710e,0x05fffd73,
    0xfff883fd,0xfffd04ff,0x2ffffcc5,0x0fffffcc,0x07ffffc4,0x23ffffe8,
    0xd01ffffd,0xd807ffff,0x2e22ffff,0x7ffcc0be,0x7ffffc86,0x4fffff98,
    0x902fc000,0x2540003f,0x3fffff60,0xfe8016e1,0x77ec000f,0x5c03ffff,
    0x37ffc41f,0xf10bfff6,0xfffffd09,0x41ffff03,0x885ffffa,0x882fffff,
    0xd00fffff,0x7fc9ffff,0xffb00fff,0xffe807ff,0x75c003ff,0xffffd81e,
    0xfffffe85,0x02dc0001,0x57bdffff,0x7fd40000,0x80020fff,0x5c006ff8,
    0x3ffffd9f,0xfff83740,0x42fffd46,0x7ffe40fd,0x3fe61fff,0x7fffe45f,
    0x9fffff06,0x1fffff10,0x57ffff60,0x00fffff9,0x807ffffb,0x005fffff,
    0x7ffff400,0x7ffffdc2,0x04880007,0xfffffff5,0x100005df,0x000fffff,
    0x3001ffdc,0x3ffff69f,0x7c0fea03,0x7ffcc6ff,0x7d43fa86,0xb3ffffff,
    0xffc81bff,0xfffd06ff,0xffff10df,0x3fff601f,0xfffff56f,0x1ffffec0,
    0x1bffffa0,0xfff98000,0xffffc85f,0x4000007f,0xfffffffc,0x0001efff,
    0x013fffe6,0x000ffe80,0x7ffecdd1,0x403ee03f,0x7fdc6fff,0xfb09f04f,
    0xfbffffff,0x3ffee07f,0xffffb07f,0xfffff10f,0x3ffff601,0x1fffff74,
    0x0fffff60,0x0fffffb0,0x7ffe4000,0xffffe80e,0x4000005f,0xffffffff,
    0x002fffff,0x03ffff50,0x01bfe200,0x3ff60fd8,0x81f203ff,0x7ff46fff,
    0xd10dd01f,0xffffffff,0x7fffd407,0xffffd81f,0xfffff886,0x7ffffb00,
    0x03ffffea,0x21ffffec,0xffffeee8,0x01eeeeff,0x04fff880,0x13fffffe,
    0xffa80000,0xffffffff,0x8001ffff,0x0005fffb,0x5c00ffee,0x7fffec2f,
    0xff81b603,0xeffeb9ef,0xfd81f601,0x3fffffff,0x9fffff10,0x0bffffd0,
    0x01fffff1,0x4c7ffffa,0xb01fffff,0xf987ffff,0xffffffff,0x8001ffff,
    0x3e602ffb,0x003fffff,0x2aa62000,0xfffffecc,0xe8006fff,0x20000fff,
    0xf9800ffe,0x3ffffd84,0xfff81ba0,0x805fffdf,0x7ffec07d,0x704fffff,
    0xe81fffff,0xf884ffff,0xff00ffff,0x7ff41fff,0xfffb03ff,0xffff987f,
    0xffffffff,0x1ff8001f,0x7ffffd40,0x0000003f,0xfffff910,0x7cc005ff,
    0x220001ff,0x6e8806ff,0x07ffffb0,0xdfff03ec,0xd003fffa,0x3bbf660d,
    0x2fffffff,0x7dffffd0,0x7fffffb7,0x5fffff10,0x89ffff50,0x886ffffb,
    0x803ffffe,0x002fffff,0x5400fd40,0x04ffffff,0xc8000000,0x003fffff,
    0x00013ff2,0xfb007ff7,0x3ffff603,0x7c03f203,0xbfff36ff,0xffa85f80,
    0xffffe89f,0xff900fff,0xfffdffff,0xfff101ff,0xffd85fff,0xffffd06f,
    0x7ffff447,0xfffc803f,0x2d40002f,0xfffff980,0xeeec805f,0xeeeeeeee,
    0xfffb8004,0xbff3005f,0x1ffb0000,0x3603fa80,0x2a03ffff,0x4dfff02f,
    0xf301fffd,0x26fffa89,0xffffffd8,0x3332a202,0x05ffffb9,0xf9fffff1,
    0x3ffffd7b,0x3ffffa20,0xfffedfde,0xfffa803f,0x1dc0001f,0xfffff880,
    0x3fea006f,0x00cfffff,0x1bffee00,0x00077f40,0x201bfe20,0xccccccff,
    0xcdffffec,0xff05f883,0x37ffccdf,0x7fec1fc8,0xffffd83f,0xffe8004f,
    0xfff102ff,0xffff51ff,0xfe8803bf,0xffb3ffff,0x3fe007ff,0x540000ff,
    0x3fff6000,0x7dc007ff,0x0007ffff,0x9007fff0,0x500001df,0xfff007ff,
    0xffffffff,0x20dfffff,0x7ffc40fc,0x41fffe47,0x7fffc45f,0xfffff882,
    0x7ffcc006,0x3ffe205f,0x00ae60ff,0xfb06ea20,0x36007fff,0x000006ff,
    0xfffffa80,0x3fee000f,0x00006fff,0xfa803ffb,0x4006200e,0xff801ffd,
    0xffffffff,0x06ffffff,0x7fdc4bf3,0xfff10bff,0x2e17e43f,0xfb01ffff,
    0xc800ffff,0x2200ffff,0x000fffff,0xfffd8000,0xbff9003f,0x00002980,
    0x1fffffe8,0x3fffea00,0xf700005f,0x00ef880f,0x7fc4016c,0xfffff006,
    0xffffffff,0x7e40dfff,0x99999993,0x46666549,0xfffb85fa,0xffff501f,
    0x7ffc400b,0x7ffc402f,0x000000ff,0x03ffffd8,0x9ffdff93,0x2a01f440,
    0x7ffcc002,0x3ea004ff,0x9305ffff,0x09fb0015,0x32200fe8,0x3ffa800f,
    0x33333300,0xffffb333,0x2fe80139,0x077cc000,0x817fffd4,0x004ffff8,
    0x009ffff1,0x01fffff1,0xffb00000,0xfff707ff,0x99bfffff,0x205ffd97,
    0x001ffff9,0x03ffffea,0x7ffffd40,0x2ffff985,0xd803fe20,0xffffffff,
    0xfb007fff,0x6c00003f,0x1003ffff,0x2e0009ff,0xfff101ff,0x3ffea07f,
    0xfff8800f,0xfff1002f,0x000001ff,0x07ffffb0,0xfff711bd,0xffffffff,
    0x3fff201f,0x7fe4004f,0xff5005ff,0xff70bfff,0xc883bfff,0x3ffee01f,
    0xffffffff,0x6ff8805f,0x7fec0000,0x362003ff,0xfb3002ef,0xfffa801d,
    0x2fffd80e,0x1efff880,0x3fffe200,0x8000001f,0x4c4ffffe,0x3fffe21f,
    0x4fffffff,0x1fffffe0,0x3fffee00,0xffffa805,0xffffd05f,0x1df97bff,
    0x7ffffd40,0xffffffff,0x04ffa804,0x7ffec000,0xffb8003f,0xba999abf,
    0x32004ffe,0x3ee25fff,0x7ed403ff,0xfa8002ef,0x0002ffff,0x7fffc400,
    0xd98de85f,0xfffffddf,0x3f200eff,0x10004fff,0x017ffffb,0x5dffffb3,
    0x3ffff660,0x4402ceff,0xffffffff,0x02ffffff,0x0001ffd8,0x1ffffec0,
    0xffeb8800,0x0bffffff,0xfffe9800,0x100cfffd,0x0039ffd7,0xfffffb10,
    0x000059ff,0xffffec88,0x3fa63eff,0x3ffea5ff,0x74400dff,0x40000eff,
    0xefffffd9,0x0bdfffff,0x13755100,0x7ffff400,0xffffffff,0x4cc801ff,
    0xffd80000,0x980003ff,0x001abcaa,0x35753100,0x00035500,0x55555510,
    0x00005555,0xaaaaaa88,0x0b982aaa,0x000ab988,0x4000014c,0x9abccba9,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x3b260000,0x001f6442,0x3ae00188,0x00675c0c,0xec885d93,0xddddd703,
    0xeed89ddd,0x3bbb26ee,0xeeeeeeee,0x3bbbb203,0x04003eee,0x1ddddd10,
    0x0eeeee88,0xeeeeee88,0x0eeeeeee,0x77777754,0x266001ee,0xbffd9801,
    0x00002dc0,0x3a000095,0x3ff61fff,0xffb7002f,0x7d403dff,0x3ffea5ff,
    0x87fffa06,0xd882fffe,0x83ffffff,0x221effa8,0xffffffeb,0xfb9800ae,
    0x8800dfff,0x3fe204fc,0x7fc40fff,0x32600fff,0xafffffff,0x3ffaa600,
    0xfeb800ae,0xf303fffe,0x55bfffff,0x6c00009f,0x7cc0000f,0xfff14fff,
    0xffd880bf,0x03fffe9b,0x7e4ffffb,0xff980fff,0xffff14ff,0x7ffff40b,
    0x403fa00f,0x4ffffff9,0x01ffc800,0x04fffc88,0x03ffffe2,0x01fffff1,
    0x9ffffff0,0x00ffcc00,0xfd97ff4c,0xfffe81ff,0x3fffffff,0x7ff30000,
    0xfffd0000,0x017fff45,0x7dc5ffd1,0xffb81fff,0x1bffea5f,0x3a2ffff8,
    0x3e602fff,0x3e02ffff,0x7fffec04,0x3fb8006f,0x7fffecc0,0x3ffe204f,
    0x7ffc40ff,0xffe800ff,0x7c003fff,0x1fffd006,0xf313fffa,0xfffffd9b,
    0x6c0000df,0x980007ff,0x27ecc3fe,0xf11fff60,0xf9109fff,0x01dfc83b,
    0xfb30ffaa,0xffffb009,0x3007e20d,0x03ffffff,0x3aa06d80,0x4fffffff,
    0x3ffffe20,0x7ffffc40,0xffffd800,0x0374003f,0xf93fffe4,0x547a85ff,
    0x000bfffc,0x5ffff100,0x00000000,0xfd0bfff3,0x00000bff,0x3ea00000,
    0x6b81ffff,0xfffffd00,0x81fc4009,0xfffd9ac9,0x3fe204ff,0x7fc40fff,
    0xfd800fff,0x4002ffff,0xfffe805e,0x2206ea27,0x00000600,0x01bffff2,
    0x36000000,0xffb85fff,0x0000002f,0x3ffa0000,0x003e84ff,0x1ffffff5,
    0xf001f200,0x4409ffff,0x440fffff,0x800fffff,0x02fffffd,0x3e202f40,
    0x00007fff,0x3e200000,0x001fffff,0x4004c400,0x304ffff8,0x00180037,
    0x2e000180,0x260fffff,0x3ffa000f,0x7f003fff,0xfffff800,0x3fffe204,
    0x7fffc40f,0xfffd800f,0x2f4002ff,0x3ffffe20,0x02200000,0x7ffdc000,
    0x40005fff,0xfffffec8,0x3fffe603,0xfeb80005,0x91002eff,0x037bfffd,
    0x3fffff80,0xff700132,0xf700dfff,0xfffe8001,0x3ffe204f,0x7ffc40ff,
    0xffd800ff,0x74002fff,0x7fffc405,0x3bbae00f,0xfd913eee,0xe80005bf,
    0x0ffffffe,0x37df7000,0x20bfffd5,0x006ffffa,0x22bffa20,0x74404ffc,
    0xffea9cff,0x3fff2003,0x10007e7f,0x05ffffff,0xfe8004e8,0x3e204fff,
    0x7c40ffff,0xd800ffff,0x002fffff,0xfeec82f4,0x84eeffff,0xcfffffb8,
    0xffffffe9,0xd3f50001,0x009fffff,0xf983ffd0,0xffb84fff,0x88000fff,
    0x3fe22fff,0xbfff303f,0x002fffa8,0x55fffff1,0x3ff2000d,0x3ea05fff,
    0xfffe8000,0x3ffe204f,0x7ffc40ff,0xffd800ff,0x74002fff,0xfffffb05,
    0x740bffff,0xadfeffff,0x006ffffd,0x3ffeabb0,0x26000fff,0xfff84fff,
    0x7ffd40ff,0xfd8001ff,0x0fffc87f,0xe82fffe8,0xfb001fff,0x007ddfff,
    0x3ffffe60,0x000bb01f,0x813ffffa,0x40fffff8,0x00fffff8,0x2fffffd8,
    0x9882f400,0x99fffffa,0x3ffff600,0x7ffffc3f,0xf0fcc001,0x007fffff,
    0x207fffec,0x4c1fffff,0x003fffff,0x5c2fffd4,0x7fd44fff,0xfffd81ff,
    0xffff3007,0x6c0001ff,0x984fffff,0xffd0001f,0x7fc409ff,0x7fc40fff,
    0xfd800fff,0x4002ffff,0x7ffc405e,0xffd800ff,0xfffe85ff,0x236c002f,
    0x06fffffc,0x07ffff20,0xf05ffffd,0x001fffff,0x5427fff4,0x7ff46fff,
    0xfffc80ff,0xfffd001f,0xfa8000bf,0x6c0fffff,0x3ffa0006,0x3fe204ff,
    0x7fc40fff,0x20931fff,0x02fffffd,0x3e202f40,0xd800ffff,0xfd84ffff,
    0x22003fff,0x7fffc42f,0xfd1002ff,0xfffff0bf,0xfffff905,0xfff04c0b,
    0xffff507f,0x83ffffc4,0x003ffffc,0x005ffff5,0xfffffd00,0x00017c47,
    0x409ffffd,0x42fffff8,0x92fffffe,0x3ffff607,0x02f4002f,0x03ffffe2,
    0x13ffff60,0x00fffff6,0xfffb07c8,0x08800dff,0x7fffff54,0xfffff882,
    0x3e65b83f,0xeeeeefff,0xf50ffffe,0x3ee0ffff,0x3e004fff,0x700007ff,
    0x64dfffff,0x7ff40006,0x3fe204ff,0xeda9dfff,0xfbefffff,0xfffffb00,
    0x405e8005,0x00fffff8,0x84ffffd8,0x003ffffd,0x3fe607f1,0x0001ffff,
    0xfffd9fd5,0x3fff205f,0xeecdffff,0x3bfffea0,0xcccccccc,0xfffff70c,
    0x1bffff20,0x004ffb80,0xfffff100,0x0000fe5f,0x409ffffd,0xfffffff9,
    0xffffa8df,0x3ff604ff,0x74002fff,0x7fffc405,0xfffd800f,0xffffd84f,
    0x401f7003,0x05fffffe,0xe97ff4c0,0x3202ffff,0xffffffff,0x7fffdc0e,
    0x7ffdc005,0xffff907f,0x0ffc400f,0xfff90000,0x001f7bff,0x4ffffe80,
    0x3ffbbe60,0x7ffec4ff,0x7ffec04f,0x27c002ff,0x3ffffe20,0xffffd800,
    0x3ffffd84,0xddddfd00,0xfffffddd,0x3f2001ff,0x3fffa1ff,0x7ffd402f,
    0xfa80ceff,0x54007fff,0xf907ffff,0xd800dfff,0x7cc00006,0x04ffffff,
    0xffffe800,0x5d57ea04,0x002ae201,0x0ffffff2,0xf8809f00,0xd800ffff,
    0xfd84ffff,0xfa803fff,0xcccccccc,0x4ffffffc,0x43fffd80,0x002ffffe,
    0xf9801db1,0x2000ffff,0x907ffff9,0x800bffff,0xd800002e,0x00ffffff,
    0xffffe800,0x001bf204,0xffffc800,0x0fe2003f,0x1fffff10,0x9ffffb00,
    0x07ffffb0,0x3ee00bb0,0x6407ffff,0x7f40ffff,0xf1002fff,0xfff8803d,
    0xf10404ff,0xf901ffff,0x20207fff,0x50000079,0x00bfffff,0x3ffffa00,
    0x003ffa04,0x7ffdc000,0x3ea004ff,0x7fffc401,0xfffd800f,0xffffd84f,
    0x800fd403,0x3ffffff8,0x03ffffe0,0x005ffffd,0xb00bfff6,0x201fffff,
    0x3fff20e8,0xffffd80f,0x322ff4c0,0x3a000004,0x0001ffff,0x09ffffd0,
    0x0000fffc,0xfffff880,0x201fa006,0x00fffff8,0x84ffffd8,0x403ffffd,
    0x7fe4006e,0xff106fff,0xfb319fff,0x2005ffff,0x5404ffe8,0x80efffff,
    0x7fffc43e,0x84fffe81,0x1f11fffc,0x7dc00000,0x200005ff,0x304ffffe,
    0x00007fff,0x7ffffec0,0x803fd802,0x00fffff8,0x84ffffd8,0x204ffffd,
    0x7cc004fa,0xf02fffff,0xbfffffff,0x75bffffd,0x009ff700,0x9ffffffb,
    0x3ee0dd95,0x7ffcc4ff,0x4fffd80e,0x8000009b,0x0002fff8,0x17ffffe0,
    0x002fffd4,0xfffd1000,0x3f2203ff,0xffff1005,0xfffd001f,0xffffd09f,
    0x013fa209,0x3fffffa0,0xffffc80e,0xffff53ff,0xff8801df,0xfffb001f,
    0x01dfffff,0xd897ffdc,0xff500dff,0x0001fdff,0x00df9000,0xfffff800,
    0x09fff506,0xfe980000,0xbaceffff,0x26004ffe,0x401fffff,0x0efffff9,
    0x3bffffe6,0x07fff4c0,0xfffff100,0xfc881bff,0x7fe41dff,0x3fae00df,
    0x7e4001ef,0x00beffff,0xffeffe98,0xfffc804f,0x0000000e,0x400005f3,
    0x2ffffffc,0x001fff88,0xfff70000,0x3bffffff,0xffffc800,0x3fff203f,
    0xfa9fffff,0x2fffffff,0xdffffff9,0x7fff640b,0x3fffffff,0x20030010,
    0x40000998,0x10000aa8,0x50001573,0x00000001,0xee880007,0xffffffff,
    0x000c2eff,0xba980000,0x4000aacc,0xffffffec,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66540000,0x666643cc,0x3bbaa01c,0x805eeeee,0xeeeeeee9,0x85d9300e,
    0x54003ec8,0xeeeeeeee,0xd10eeeee,0x01dddddd,0xddddd700,0x745ddddd,
    0xeeeeeeee,0xee882eee,0x2002eeee,0xeeeeeee9,0x77777442,0x777641ee,
    0x20002eee,0xeeeeeee8,0xd0eeeeee,0xdddddddd,0xeeeee883,0x3fffa001,
    0x7fffcc1f,0x7ffdc405,0x8804ffff,0x00aeffea,0xfd87fffa,0xc88002ff,
    0xcfffffff,0xffffc880,0xfb88000f,0x1dffffff,0x7ffff4c4,0x22009fff,
    0x8002fffa,0x3fffffc9,0xfffffd98,0x7fffdc41,0xc880003f,0xcfffffff,
    0x7ffff540,0xfd9809df,0xff1000cf,0x3fea03ff,0xffa800ff,0x002fffff,
    0xf9803ff1,0xfff14fff,0x7f4000bf,0x4405ffff,0x000fffff,0x3ffffee0,
    0x3ffe202f,0x36005fff,0x7f40002f,0xff303fff,0x3fe03fff,0x00003fff,
    0x17fffff6,0x4fffff98,0x20027d40,0x5401fffb,0xfb003fff,0x03ffffff,
    0x7f401fa0,0x3fffa2ff,0x3ff20003,0x7c404fff,0x0000ffff,0x3fffffe2,
    0x7fffe403,0x01f6007f,0x3ffff600,0xfffff103,0x3ffffa03,0x3f200003,
    0x6c04ffff,0x6406ffff,0x7ff4000f,0x0bff5002,0x3fffff20,0x6d800eff,
    0x989fb300,0x20000cfd,0x04fffffc,0x07ffffc4,0x3fff2000,0x7fc406ff,
    0xf002ffff,0xffb00009,0x7ffc07ff,0xfffb01ff,0x6400007f,0x404fffff,
    0x01fffffa,0xff10017a,0x0ffb8005,0xfffeec80,0x5c805fff,0x00000000,
    0x27ffffe4,0x3ffffe20,0x7fc40000,0x6c01ffff,0x805fffff,0xd80000fa,
    0x3e03ffff,0xfb01ffff,0x00007fff,0x27ffffe4,0x27ffffc0,0x5c002f88,
    0x7f70002f,0xfff3b900,0xc809ffff,0x00000005,0x7ffffe40,0x7fffc404,
    0xfd80000f,0x5404ffff,0x00ffffff,0xd80002ec,0x3e03ffff,0xfb01ffff,
    0x00007fff,0x27ffffe4,0x3ffffe40,0x000007b8,0xaae40000,0x2fffffff,
    0x00001720,0xfff90000,0xff8809ff,0x00440fff,0x3ffffea0,0xfffff807,
    0x00be203f,0xfffb0220,0x7fffc07f,0xffffb01f,0x7e400007,0x9804ffff,
    0xe82fffff,0x00000004,0xff92e400,0x203fffff,0xdddd905c,0x777645dd,
    0xc8002eee,0x404fffff,0x90fffff8,0x0017dffd,0x0ffffffe,0xdfffffd0,
    0x73003dc0,0x3f67dffd,0x3fe03fff,0xffb01fff,0xeeea87ff,0x3202eeee,
    0x004fffff,0x889ffffd,0xddd1001f,0x2201dddd,0x0eeeeeee,0x3ff62e40,
    0xc80effff,0xffff9105,0x7ffe445f,0xfc8002ff,0x4404ffff,0xfeafffff,
    0x00ffffff,0x6fffffc8,0x3ffffe60,0x009d01ff,0x3b7fffe6,0x3ffffecf,
    0x07ffffe0,0x41ffffec,0x01bfffe9,0x27ffffe4,0x7ffffb80,0x366003dc,
    0x201fffff,0x1fffffd9,0x3fa22e40,0xc85fffff,0x7ffffc05,0x2fffff82,
    0xffffc800,0x7ffc404f,0xfc88cfff,0xf8806fff,0xb01fffff,0x9fffffbd,
    0xf1003f30,0x7fcc5fff,0x3e03ffff,0xfb01ffff,0x3f207fff,0xfff9001f,
    0x3e2009ff,0x13a2ffff,0x3fffe600,0x7ffcc01f,0x42e401ff,0xfffffff9,
    0x3fe02e43,0xffe82fff,0xfc8002ff,0x4404ffff,0xb83fffff,0xd805ffff,
    0x884fffff,0xfffffaaf,0xfd006c87,0xfff50dff,0x7ffc07ff,0xfffb01ff,
    0x01dd107f,0x7ffffe40,0x3fffa004,0x0003f35f,0x03fffff1,0x1fffff88,
    0xffa82e40,0x322fffff,0x7ffff405,0x2ffffe82,0xffffc800,0x7ffc404f,
    0xfff880ff,0x7fd400ff,0x27b87fff,0x42ffffff,0xfffb803f,0xffffd02f,
    0x7ffffc07,0x7ffffb01,0xc8001db0,0x004fffff,0x23ffffee,0xff10007c,
    0xf8803fff,0x6401ffff,0x3fffee05,0x80b90fff,0xe82ffffe,0x8002ffff,
    0x04fffffc,0x07ffffc4,0x02fffff8,0x3ffffff8,0xffff927c,0x4007d4bf,
    0xb01ffffd,0x7c07ffff,0xfb01ffff,0x0ed87fff,0xffffc800,0x3fe2004f,
    0x004ebfff,0x3fffff10,0xfffff880,0x3602e401,0x96ffffff,0xffffe80b,
    0x2ffffe82,0xffffc800,0x7ffc404f,0xfffd00ff,0xfff9007f,0x307d4dff,
    0x21ffffff,0xffff005d,0x3fff601f,0x3fffe03f,0xffffb01f,0x80017ec7,
    0x04fffffc,0xff999999,0x99bfffff,0xf8803999,0x4401ffff,0x401fffff,
    0xfffe805c,0x405cdfff,0xe82ffffe,0x8002ffff,0x04fffffc,0x07ffffc4,
    0x05ffffd8,0xffffff88,0xfffd0bb1,0x005f17ff,0x01fffff1,0x80fffff6,
    0xb01fffff,0x3f67ffff,0xff90006f,0x3ba09fff,0xfffeeeee,0xeeeeefff,
    0x7ffc401e,0x7fc401ff,0x2e401fff,0x7ffffc40,0x7f405fff,0xffe82fff,
    0xfc8002ff,0x4404ffff,0xb00fffff,0x200dffff,0x8cfffffd,0xffffb82f,
    0xf3007bef,0x7ec0ffff,0x3fe03fff,0xffb01fff,0xffffb7ff,0xfff90009,
    0xff0009ff,0x40009fff,0x01fffff8,0x0fffffc4,0x7cc01720,0x05ffffff,
    0x417ffff4,0x002ffffe,0x3fffffc8,0x7ffffc40,0xbffffb00,0x3fffea00,
    0xff106cff,0x009fffff,0x03ffffee,0x01ffffec,0x203fffff,0xfffffffd,
    0x4002ffff,0x04fffffc,0x3fffff80,0x3ffe2000,0x7fc401ff,0x2e401fff,
    0xfffff700,0xfffe80bf,0xffffe82f,0xc82dc882,0x403fffff,0x00fffff8,
    0x007ffffb,0x7ffffffc,0x3ffff603,0xff5001ff,0x3f601fff,0x3fe03fff,
    0xffb01fff,0xfffd1dff,0x7e4001df,0x8004ffff,0x003fffff,0x3ffffe20,
    0x7fffc401,0x002e401f,0x17fffff2,0x05ffffd0,0xf05ffffd,0xffc85fff,
    0x7c403fff,0xfb00ffff,0x64003fff,0x00ffffff,0x1bffffea,0xfffff980,
    0x7ffffb00,0x0fffffc0,0x33ffffd8,0x009fffff,0x27ffffe4,0xfffffff8,
    0xffffffff,0x4402ffff,0x401fffff,0x01fffff8,0x7f4002e4,0x7f405fff,
    0xffe82fff,0x7ffd42ff,0x7fffe46f,0x7ffc402f,0xfffd00ff,0xfff8800f,
    0xfff804ff,0x3e2003ff,0xfb02ffff,0x7fc07fff,0xffb01fff,0x7ffdc7ff,
    0xff9002ff,0x33209fff,0xfffccccc,0xccccceff,0x7ffc401c,0x7fc401ff,
    0x2e401fff,0x7fffc400,0x7ffff405,0x2ffffe83,0x237fffdc,0x00fffffc,
    0x0fffffc4,0x005ffff8,0x01ffffd8,0x00ffffc8,0x27fffec0,0x03ffffe8,
    0x407ffffe,0x743ffffd,0x800fffff,0x04fffffc,0x3fffff80,0x3ffe2000,
    0x7fc401ff,0x36c01fff,0x5fff9800,0x27fffe40,0x0ffffff6,0xd83ffff3,
    0x8806ffff,0x981fffff,0x8000ffff,0x3005fffa,0x5000bfff,0xb81fffff,
    0x104fffff,0x203fffff,0x4c3ffffe,0x805fffff,0x04fffffc,0x7ffffc40,
    0x3fe20004,0x7c401fff,0x7c01ffff,0xff50000f,0xffffa80b,0xffffc89f,
    0x6ffd83ff,0x00efffe8,0x4fffff88,0x001fffd8,0x800bffe0,0xd0002ffe,
    0x7d49ffff,0x106fffff,0x205fffff,0xc84ffffe,0x403fffff,0x05fffffd,
    0x7ffffcc0,0x3fe20005,0x7c401fff,0x9101ffff,0x20003bff,0xffd805fc,
    0xfe9effff,0xfe80dfff,0xfffc88af,0xfff1000f,0x7fd45ffb,0x7e40002f,
    0x03fdc007,0xffffd100,0xfffb5fdf,0xffb87dff,0xff984fff,0x7c40efff,
    0x302fffff,0x3fffffff,0x7fffec00,0xf70002ff,0xb809ffff,0x544fffff,
    0xeffffffe,0x805d8003,0x0effffd8,0x3ffffffd,0xffffff70,0x7c40039d,
    0xffffd31e,0x1000039d,0x4f88007f,0x7fec4000,0xdffb2fff,0x3fe2157b,
    0x1fffffff,0xfffffff9,0x3fffa25f,0xdd16ffff,0xffffffff,0xee881ddf,
    0xffffffff,0xf8801eff,0xffffffff,0x7ffffc41,0x0001ffff,0x1001c400,
    0x10000157,0x00015953,0x00ba981c,0x000b8000,0x200001b8,0x004d41b9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3bbba200,0xeeeeeeee,
    0xddddd703,0x2003dddd,0xdddd1008,0xdddddddd,0x77744009,0x2eeeeeee,
    0xdddd7000,0x22bddddd,0xeeeeeeee,0xcccceeee,0x7774400a,0xeeeeeeee,
    0xddddb1ee,0xdddddddd,0xeee80205,0xeeeeeeee,0x4c01abcc,0xeeeeeeee,
    0xccccdeee,0x775c001a,0x0003eeee,0xffffb880,0x4401cfff,0x0beffffb,
    0x7100b600,0x5dffffff,0x3f220001,0x05ffffff,0xffffff00,0xc98815ff,
    0xeeffffff,0xdffffffe,0x7ffe4400,0x880cffff,0xfffffffa,0x5dfd501d,
    0x3fffee60,0xffffeeff,0xb3100bff,0x9bffffff,0xffffffdb,0x3fee2005,
    0x00004fff,0x3fffff60,0x2fffc006,0x8017dc00,0x02fffffe,0xffffb000,
    0xa8003fff,0x3fffffff,0xfffffe80,0x7ffffd42,0xfffd801e,0xffb806ff,
    0xf100ffff,0xfc80ffff,0x3623ffff,0x402fffff,0x81fffffe,0x0dffffea,
    0x9ffffd00,0x7dc00000,0x2005ffff,0x98003ffa,0xffb002ff,0x00003fff,
    0x3ffffbb2,0x76f4004f,0x802fffff,0x82fffffc,0x1ffffff9,0x7ffffe40,
    0xffffa804,0x3ffee06f,0x3fee02ff,0xffd83fff,0x3f600fff,0xf101ffff,
    0x001fffff,0x009ffffb,0x7ffdc000,0xff5005ff,0x3ffa0003,0xffff9002,
    0x3200003f,0xffffffae,0xfd5f3000,0x9005ffff,0x205fffff,0x04fffffc,
    0x27ffffe4,0x7ffffcc0,0x3fffee06,0x3ffee02f,0xfff983ff,0x3ff606ff,
    0x3ea01fff,0xd804ffff,0x0004ffff,0x3fffee00,0x0efb804f,0xfffd8800,
    0xffff9002,0x3200003f,0x7ffffff6,0x7ff5b200,0xfc802fff,0xf502ffff,
    0xc80fffff,0x804fffff,0x06fffff9,0x2037fffc,0x03fffffb,0x01ffffff,
    0x07fffff6,0xffffff88,0x7fffec00,0x2e000004,0x404fffff,0xd10004fc,
    0x2005ffff,0xfffffffc,0x002cdeff,0x7fffddb2,0xd3f8806f,0x005fffff,
    0x05fffff9,0x3fffffe2,0x3ffff201,0xfff9804f,0x7e4c06ff,0x7ffdc00c,
    0xfffd03ff,0x3ff605ff,0x7fc01fff,0x6c01ffff,0x0004ffff,0x3fffee00,
    0x07fd104f,0x3fffe600,0x03eeeeff,0x99fffff9,0x5dffffdb,0x3fe2d900,
    0x5c02ffff,0xfffffd0f,0xffff9005,0x3ffe605f,0x3f201fff,0x9804ffff,
    0x006fffff,0x7fffdc00,0xffffb03f,0x3fff607f,0x7ff401ff,0x7ec02fff,
    0x00084fff,0xfffff700,0x003fd309,0x3ffffe20,0x04ffffff,0x83fffff9,
    0x03fffffd,0xffffb364,0x3a4e80bf,0x802fffff,0x02fffffc,0x0ffffff7,
    0x4fffffc8,0xfffff980,0x7dc00006,0xfd03ffff,0x3605ffff,0x201fffff,
    0x0ffffff8,0xa7fffec0,0x01dfffc8,0x3fffee00,0x0077d44f,0x3ffe6600,
    0x00999bff,0x03fffff9,0x03fffffd,0xffff3364,0x87e603ff,0x02fffffe,
    0x2fffffc8,0x5fffffb0,0xfffffc80,0xffff9804,0x5c00006f,0xf03fffff,
    0x201fffff,0x01fffffd,0x1fffffea,0x33ffff60,0xffffffe9,0xfff70000,
    0x1ffe49ff,0xffff0000,0x3ff2005f,0xffb81fff,0x1b206fff,0x09fffffd,
    0xffffd1b6,0xfff9005f,0xfffb05ff,0xff9007ff,0xf3009fff,0x000dffff,
    0xfffffb80,0xfffffb83,0x3ffff604,0x3fff201f,0xffd803ff,0xfdadfeff,
    0x70006fff,0xb19fffff,0x0003ffff,0x0bffffe0,0x7ffffe40,0xfffff981,
    0xfa8d900f,0x440fffff,0x7ffff42f,0xfffc802f,0xfeb99bff,0x9000cfff,
    0x009fffff,0x0dfffff3,0xfffb8000,0x7ffc43ff,0x3f600eff,0xf701ffff,
    0x200bffff,0x43fffffd,0x001fffff,0xefffffb8,0x0ffffffe,0xffff8000,
    0xfff9002f,0x3ffe03ff,0x0d901fff,0x87ffffff,0xffffe87b,0xfffc802f,
    0xffffffff,0x7e4001ef,0xffffffff,0xffffffff,0x00006fff,0x67ffffdc,
    0xfffffb98,0xffffd805,0xffb5311f,0x6c007fff,0xfe85ffff,0xb8002fff,
    0xffffffff,0x006fffff,0x2fffff80,0xfffff900,0x3ffffe03,0xf70d901f,
    0x3e8dffff,0x2fffffe8,0xfffffc80,0xfffecaac,0xfc800cff,0xccceffff,
    0xffdccccc,0x64406fff,0xfffb801c,0xffffffff,0xffb001cf,0xffffffff,
    0x0007ffff,0xb09ffffb,0x0007ffff,0x1dfffff7,0x9ffffffb,0xffff8000,
    0xfff9002f,0xfff103ff,0x43640fff,0x2ffffff8,0xfffd01f5,0xff9005ff,
    0xff905fff,0xc805ffff,0x804fffff,0x06fffff9,0x017fffea,0x5bfffff7,
    0x36000333,0xe9bfffff,0x00ffffff,0x4ffffd80,0x03ffffd8,0xfffffb80,
    0xffffff14,0x7fc0007f,0xf9002fff,0xf503ffff,0x640bffff,0xfffffb06,
    0x7ff4176b,0xfc802fff,0xf702ffff,0x403fffff,0x04fffffc,0x6fffff98,
    0x3fffff60,0x3fffee03,0xfb00003f,0x3e23ffff,0x006fffff,0x84ffffd8,
    0x003ffffd,0x4fffffb8,0x3fffffe6,0xfff0001f,0x3f2005ff,0xfc81ffff,
    0x3202ffff,0xfffff306,0x3fa03f5f,0xc802ffff,0x202fffff,0x07fffffe,
    0x13fffff2,0x3ffffe60,0x3ffffe06,0x3ffee06f,0xb00003ff,0x5c3fffff,
    0x03ffffff,0x27fffec0,0x027fffec,0x7ffffdc0,0x7ffffdc4,0xff8000ff,
    0xf9002fff,0xfa83ffff,0x6403ffff,0x3ffffa06,0x3ffa06ff,0xfc802fff,
    0x3202ffff,0x01ffffff,0x09fffff9,0xdfffff30,0x7ffffe40,0x3fffee07,
    0xfb00003f,0xfd83ffff,0x001fffff,0x213ffff6,0x004ffffd,0x4fffffb8,
    0xffffffc8,0xffff8006,0xfff9002f,0xffb759ff,0xd9003fff,0x7ffffd40,
    0x3fffa03f,0xffc802ff,0x3e602fff,0x903fffff,0x009fffff,0x0dfffff3,
    0x3ff7fec4,0x7fffff70,0x3ff60000,0x7fc41fff,0x000effff,0xb09ffffb,
    0x0009ffff,0x09fffff7,0x3ffffffa,0x7fffc004,0xfff9002f,0xffffffff,
    0x1b20017b,0x0ffffff0,0x2fffffe8,0xfffffc80,0x3fffe602,0xfff902ff,
    0xff3009ff,0x2100dfff,0x3fee06fa,0x00003fff,0x03fffffb,0x9ffffff5,
    0x3ffff600,0x4ffffd84,0xffffb800,0xffff104f,0x7c005fff,0x9002ffff,
    0x335fffff,0x406c8000,0x404ffffb,0x02fffffe,0x2fffffc8,0x3ffffee0,
    0xffff900f,0xfff3009f,0x7e400dff,0x3fffee04,0xfb00003f,0x3203ffff,
    0x02ffffff,0x84ffffd8,0x004ffffd,0x4fffffb8,0x3ffffe60,0xffd001ff,
    0xc80cc5ff,0x001fffff,0xf880d900,0x7f400fff,0xc802ffff,0x202fffff,
    0x06fffffd,0x13fffff2,0x3ffffe60,0x803fa006,0x03fffffb,0xffffb000,
    0x7fff403f,0x7ec00fff,0xffd84fff,0xfb8004ff,0x6405ffff,0x1fffffff,
    0x5ffffc80,0x7ffec0b3,0x900001ff,0x0bffb00d,0x5fffffd0,0xfffff900,
    0x3fffea05,0x3ff201ff,0xfa804fff,0x5006ffff,0xfffb807f,0xb00003ff,
    0x405fffff,0x5ffffff9,0x27fffec0,0x027fffec,0x7ffffe40,0xfffff805,
    0xfe800eff,0x200fffff,0x02fffffd,0x801fd000,0xff802ff9,0xd802ffff,
    0xa84fffff,0x02ffffff,0x2fffffec,0x7ffffd40,0x803fb807,0x04fffffc,
    0xffffd000,0xfffb807f,0x3fa04fff,0xffe84fff,0x7c4004ff,0x02ffffff,
    0x7ffffff4,0x764402ff,0x3e601cff,0x00efffff,0x077fe400,0x3ee01ba0,
    0x00efffff,0x3fffffea,0xfffecbdf,0x7cc00bff,0x01ffffff,0x3fffffa2,
    0x05fb103f,0xffffff30,0xfa80003f,0x00efffff,0x7fffffec,0xfffff983,
    0x3fffe60e,0x774400ef,0xffffffff,0x7ffe44ff,0xffffffff,0x2200803f,
    0xffffffee,0x2004efff,0xffffffe8,0x2a07503f,0xfffffffe,0xfd15efff,
    0xffffffff,0x59bdffff,0x7ff74401,0xefffffff,0xffffdb1e,0x5dffffff,
    0x7f740154,0xffffffff,0x3fa6006e,0xffffffff,0xfff105ef,0x323fffff,
    0xffffffff,0xffffffa9,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeee98000,0xeeeeeeee,
    0x000aaccc,0x3660eed4,0xdddd702d,0xdddddddd,0x5ddddddd,0xeeeeeeb8,
    0x203eeeee,0xeeeeeee9,0xdddddd13,0x87dddddd,0xeeeeeeea,0x3bbba25e,
    0xeeeeeeee,0xeeeeeeee,0xddddd33e,0xdddddddd,0xeeea8005,0xeeeeeeee,
    0x4001accc,0xeeeeeeeb,0xeeeeeeee,0x2eeeeeee,0x33333331,0x33333333,
    0x64c01333,0xeeffffff,0x3dfffffe,0x27fff880,0xd80ffff8,0xdeefffff,
    0xffffdccc,0xffd506ff,0x017fffff,0x5dffd510,0x7fffecc1,0x100bffff,
    0x13bffff7,0xfffff710,0xfdddddff,0x989fffff,0xfffffffc,0x6cc0000b,
    0xeeffffff,0x2dfffffe,0xfffffc80,0xfffffeee,0xffffeeef,0x5555593f,
    0x55555555,0x00955555,0x87fffffd,0x1effffc9,0x4bfffee0,0xe83ffffa,
    0x3600beff,0x02ffffff,0x3fffffa2,0x77dc001f,0x3ffff200,0xffb007ff,
    0x3fff6007,0x3f6204ff,0xfffd04ff,0x80000bff,0x41ffffff,0x0dffffd9,
    0x1037ff20,0x30ffffff,0x00127ffd,0xffd80480,0xff503fff,0x3e207fff,
    0xfff10fff,0x00bfd01f,0xbffffff5,0xfffff300,0x1fd8009f,0xfffffe80,
    0x04fe803f,0x3ffffee0,0x04fe9804,0x09fffffb,0xfffe8000,0xfff701ff,
    0x17f205ff,0x3fffffc4,0x0093fe88,0x7ec02400,0x2e03ffff,0x703fffff,
    0x3eea85dd,0xfd100df0,0x001fffff,0x3ffffff6,0x009f1000,0x3fffffe6,
    0x017e600f,0x9fffff70,0x6413e600,0x003fffff,0x7ffff400,0x3fff601f,
    0x00fc81ff,0x0ffffff1,0x00049fcc,0x3ff60120,0x7f403fff,0x0001ffff,
    0x6400fc40,0x03ffffff,0x3ffffe20,0x01fb004f,0x7ffffe40,0x00df105f,
    0x9fffff70,0xfc826c00,0x0003ffff,0x7fffff40,0x3fffe201,0x102640ff,
    0x80ffffff,0x4000093e,0xffffd804,0x7ffdc03f,0x400006ff,0xfff98068,
    0xc8006fff,0x01ffffff,0x740017cc,0x82ffffff,0xfb8000fd,0x0204ffff,
    0x3fff2097,0x400003ff,0x01fffffe,0x2fffffe4,0xfff880b2,0x49dc07ff,
    0x20120000,0x03fffffd,0x7fffffc4,0x0e600002,0x3fffffa0,0xff88001f,
    0x7405ffff,0xfff30006,0x7e41ffff,0xfff70001,0x112609ff,0x3ffff205,
    0x7400003f,0x401fffff,0x0ffffff9,0xffff1002,0x012100ff,0xfd804800,
    0xe803ffff,0x445fffff,0x0eeeeeee,0x7ffdc000,0x20004fff,0x1ffffffb,
    0x40003f70,0x5ffffffb,0x5c0005f5,0x704fffff,0x7ffe4009,0x400003ff,
    0x01fffffe,0x4ffffff8,0x3fffe200,0x0012007f,0xffd80480,0xfc803fff,
    0x4c0fffff,0x01fffffd,0x3fffe200,0x40000fff,0x86fffffe,0xe80004f8,
    0xfcffffff,0x7fdc0004,0x09b04fff,0x7ffffe40,0x7f400003,0xd801ffff,
    0x007fffff,0x1fffffe2,0x20000480,0xffffd804,0xfffb803f,0xff981fff,
    0x20001fff,0x2ffffffd,0xfffa8000,0x07e42fff,0x7ffcc000,0x0005ffff,
    0x4fffffb8,0x32004fa8,0x003fffff,0x7ffff400,0xfffd801f,0xf1000fff,
    0x400fffff,0x21200004,0xfffd9998,0x19999cff,0x7fffffdc,0xfffff882,
    0xfff50001,0x0000bfff,0x37fffff4,0x400005f3,0x5ffffffb,0xfffb8000,
    0x27fdc4ff,0xfffff900,0xfe800007,0xc801ffff,0x01ffffff,0xffffff10,
    0x00002400,0xfffff509,0xffffffff,0x7ffd41ff,0xff883fff,0xd0001fff,
    0x01ffffff,0x7ffcc000,0x00dd3fff,0xffffd000,0xb80007ff,0xedefffff,
    0x2004ffff,0x03fffffc,0x7fff4000,0xffb801ff,0x1002ffff,0x00ffffff,
    0x09000024,0xfffb3331,0x333339ff,0xffffffa8,0xfffff883,0xfffc8001,
    0x00003fff,0xffffffd8,0x800001fb,0xfffffff8,0x3fee0000,0xfffeffff,
    0x3f2004ff,0x0003ffff,0x7fffff40,0xffffb801,0xff1002ff,0x2400ffff,
    0xb0090000,0x007fffff,0x5ffffff5,0x3fffff10,0xffff9800,0x000006ff,
    0xfffffff3,0x64000009,0x05ffffff,0x3fffee00,0x9ffb514f,0x7fffe400,
    0x7400003f,0x801fffff,0x1ffffffb,0xfffff100,0x0002400f,0xfffb0090,
    0xff7007ff,0xf101ffff,0x8003ffff,0x1ffffffd,0x3f200000,0x000fffff,
    0xffff3000,0x0007ffff,0x13ffffee,0xfc8013ee,0x0003ffff,0x7fffff40,
    0xffffc801,0x3fe2007f,0x12007fff,0xd8048000,0x803fffff,0x07fffffc,
    0x03fffff1,0x7ffffd40,0x0002004f,0x3fffffe2,0xf8800000,0xffffff8d,
    0xffb8000f,0x09d04fff,0x7ffffe40,0x7f400003,0xd801ffff,0x006fffff,
    0x1fffffe2,0x20000480,0xffffd804,0xfffd803f,0xfff106ff,0x3e2003ff,
    0x00ffffff,0xf1000360,0x001fffff,0x2a1dd000,0x06ffffff,0xfffffb80,
    0x64009704,0x003fffff,0xfffd03b8,0xffd003ff,0x4400bfff,0x007fffff,
    0x04800012,0x3fffffd8,0xfffffe80,0xfffff103,0x3fff2003,0x22002fff,
    0xfff88007,0x00000fff,0x3ff607e4,0x4003ffff,0x04fffffb,0x7fe40093,
    0xd8003fff,0xfffffd02,0xfffff003,0x7fc4005f,0x12007fff,0xd8048000,
    0x403fffff,0x06fffff9,0x07ffffe2,0x3ffffe60,0x035c005f,0x7ffffc40,
    0x2e00000f,0xffff882f,0x2e001fff,0x204fffff,0x3fff2003,0x7c4003ff,
    0xfffffd01,0xffffa803,0x7fc4005f,0x12007fff,0xd8048000,0x403fffff,
    0x02fffffc,0x07ffffe2,0x3fffffa0,0x1be2000f,0x3fffe200,0x500000ff,
    0x7ffd407f,0x2e006fff,0x004fffff,0xfffff900,0x00fc8007,0x03fffffd,
    0x1fffffe8,0x7fffc400,0x0012007f,0xffd80480,0x3e203fff,0x4405ffff,
    0x401fffff,0x3ffffffb,0x002fec00,0x7fffffc4,0x5f980000,0xfffffd80,
    0xfff7003f,0x200009ff,0x03fffffc,0xfe81fe20,0x2601ffff,0x004fffff,
    0x7fffff88,0x80001200,0xffffd804,0x3fff203f,0x7fc400df,0x3e201fff,
    0x006fffff,0x0013ffa6,0x3fffffe2,0x7fc40000,0xffff8800,0xfb801fff,
    0x0005ffff,0x9fffffb0,0x81ffe600,0x02fffffe,0x09ffffb1,0x3fffe200,
    0x0012007f,0xffd80480,0xfd884fff,0xf1003fff,0x6c03ffff,0x01ffffff,
    0x3ffffc88,0xffff9800,0x220000ff,0x3ee006fe,0x00efffff,0x2fffffe4,
    0xfffd8000,0xff9805ff,0x3fffe06f,0xffe883ff,0x260002ff,0x00ffffff,
    0x24000090,0x3ffffea0,0xffdcacff,0x2e001cff,0x504fffff,0x5dffffff,
    0xb9955555,0x05ffffff,0xfffffb00,0xf710009f,0x32005fff,0xefffffff,
    0xfffff100,0x980005ff,0xdfffffff,0xffdbaabc,0xff705fff,0x959fffff,
    0x019dfffd,0xffffd800,0x999004ff,0x99999999,0x99999999,0xfffdd30b,
    0xffffffff,0x880037dd,0xffffffff,0x3fffe21f,0xffffffff,0xffffffff,
    0xe8801fff,0xfffffffe,0x400eefff,0xfffffffc,0xfffc80ee,0xffffffff,
    0xffffdd14,0x3ddfffff,0x3ffba600,0xffffffff,0xffffffff,0x3ffaa4ff,
    0xffffffff,0x001bdeff,0x7ffff640,0x3effffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdddddd00,0xdddddddd,0xdddddddd,0xeeee883d,0xeeeeeeee,
    0xeeeeeeee,0x0988001e,0x13300000,0x80440000,0x02620038,0x00062000,
    0x98800030,0x00009800,0x812a000c,0x00036600,0xffff5100,0xdddfffff,
    0xffffffdd,0x3fff2603,0xeeeeffff,0x1ffffffe,0x006fc800,0x02ff8800,
    0x7ffedc00,0x8817a2df,0x3fffffec,0x7ffedc00,0xfd7001ef,0x22005dff,
    0x1deffffc,0x37ffff66,0xffec8800,0x3ea01bdf,0x3fffaa4f,0x0dff30ce,
    0x2ff60000,0x00ffffff,0x803fffd3,0x04fffffd,0x007fffa6,0x0001bf20,
    0x000bfe20,0x54effec4,0x00eddffe,0xfd537df7,0xfb100bff,0x7fffd37f,
    0x457ff440,0x7e404ffc,0xfffebabf,0xfb8cffab,0x3fa202ff,0x3ffea9cf,
    0x3fb7ff60,0xcfffffff,0x00001fff,0x3fffedf0,0x7fec00ff,0x7fffe401,
    0x1ffc804f,0x006fc800,0x02ff8800,0x0fffe880,0x407fffe2,0x7fcc1ffe,
    0x3fa204ff,0x3fffee2f,0x22fff881,0xfb03fff8,0xfffe883f,0x7ffdc5ff,
    0x45fff980,0x3602fffa,0xbabdffff,0x01fffffc,0x23f70000,0x00ffffff,
    0x7e401fd8,0x9004ffff,0xdf90003f,0xff100000,0xfffb0005,0x07fffd09,
    0xff09fff3,0x3f601fff,0x7fffc47f,0xc87ffd84,0x7fdc0fff,0xffffc83f,
    0x2fffc41f,0x7417fff4,0xff301fff,0x3ff6205f,0xf1000004,0x7fffffc9,
    0x401fa800,0x04fffffc,0x90003f10,0x100000df,0xf98005ff,0xffc83fff,
    0x7ffec0ff,0x7ffffc0f,0x85fff981,0x7d45fffe,0xfffb85ff,0x07fffec4,
    0x41ffffee,0x3ea1fffe,0xffd81fff,0x01ff907f,0x0001ffb0,0x7fc1db00,
    0x0b80ffff,0x3ff200fc,0xd0904fff,0x0df90003,0x5ff10000,0xffffd800,
    0x7ffffcc2,0x0ffffe44,0x20bffffa,0xfb85fffd,0x7fff42ff,0x46fffa84,
    0x541ffffc,0xfb06ffff,0x7fff47ff,0xffffc80f,0x801ffc41,0x00003ff8,
    0x3ffe17d4,0x40e80fff,0x7ffe401c,0xb85984ff,0x06fc8001,0x2ff88000,
    0x7ffffc00,0x3fffba21,0x2fff445f,0x217ffffc,0x304ffff8,0x7ffff037,
    0x88ffff50,0xffa84ffe,0xfffb05ff,0x1ffffe29,0x21ffffe4,0x7ec007fa,
    0x3e200005,0xffffff85,0x40007c40,0x84fffffc,0x3200005a,0x8800006f,
    0x3e2002ff,0x37a1ffff,0x107ffffa,0xffffea81,0x7fffcc2f,0x7ffcc005,
    0xfeeeeeef,0x40980fff,0xffffffc8,0xfffeeeee,0xfffff55f,0x13fffee0,
    0xfb800df9,0x3f200007,0xffffff80,0x40007dc0,0x84fffffc,0x3331005d,
    0xff933333,0x33333333,0x99999983,0x99bff999,0x30999999,0x363fffff,
    0x0fffff56,0xffd9fd50,0xfffa85ff,0x7fd4006f,0xccccceff,0x4400cccc,
    0xffffbefc,0xccccccce,0xffff73cc,0x3ffff20f,0x20037e46,0x300007fb,
    0x3fffe07f,0x007fc0ff,0x7ffffe40,0xd802fcc4,0xffffffff,0xffffffff,
    0x3fe67fff,0xffffffff,0xffffffff,0xffff53ff,0x3ea1d73f,0x3a607fff,
    0xffffd2ff,0xfffffb85,0x3ffee000,0xfc80005f,0xdffff33f,0xffffb800,
    0xfffff907,0x64007fb8,0xbd00006f,0x7fffffc0,0x00fffb88,0xfffffc80,
    0x4017fea4,0xfffffffd,0xffffffff,0x3e67ffff,0xffffffff,0xffffffff,
    0xfff33fff,0x7d43f9ff,0xff906fff,0x7ffff43f,0x7ffffd42,0x3ffea001,
    0x3a60007f,0x3ffe62ff,0x3ea000ff,0xff907fff,0x1ffa8dff,0x0017fa00,
    0xff803ee0,0xfffeffff,0xfc8000ff,0xffefffff,0x553005ff,0xfb555555,
    0x5555555f,0x55554455,0xcffbaaaa,0xaaaaaaaa,0xffffff11,0x4ffffa85,
    0x743fffd8,0x7cc2ffff,0x2003ffff,0x00fffff9,0x44fffb80,0x01fffff8,
    0x1ffffe60,0x42ffffe4,0xff7006fe,0xef880003,0xfaaaaaaa,0xfdcfffff,
    0xc8000fff,0xfeefffff,0x00005fff,0x00001bf2,0xd000bfe2,0xf707ffff,
    0xffc85fff,0x7fff40ff,0xfffff82f,0xfff1000f,0x4c0809ff,0xff81ffff,
    0x22005fff,0xc80fffff,0xfa83ffff,0x2ffd404f,0x7ffec000,0xffffffff,
    0x3f60ffff,0xffc8000f,0x3fea4fff,0x3f200005,0xf8800006,0x7fdc002f,
    0xfffb82ff,0x7ffffc1f,0x17ffff40,0x2fffffe4,0x7ffec130,0x41d100ff,
    0xf907fffe,0x5403ffff,0x03ffff25,0x203ffff6,0x209efffa,0x005fffc9,
    0x7c00fd40,0x740fffff,0xffc8000f,0x2fd44fff,0x0df90000,0x5ff10000,
    0x7ffff000,0x88bfffb0,0x98cfffff,0x82fffffd,0x3ffffff8,0x7ffd45b8,
    0x23e80eff,0x83fffff8,0x1efffffc,0x3fe20f98,0xfffe81ff,0xfffffa84,
    0xffffffff,0xf10005ff,0x3fffe009,0x007d40ff,0x7ffffe40,0x00005e84,
    0x00001bf2,0x2000bfe2,0x7c45fffe,0xfff80fff,0xfedfffff,0x643adfff,
    0xdfffffff,0xffd80eec,0xecacffff,0x7ffffc46,0xfdefcadf,0xbacfffff,
    0xfffb82fd,0x077ffcc4,0x3aa3ffe6,0x8bffffff,0xc8004ffd,0xffff000f,
    0x00f881ff,0xfffffc80,0x00205b84,0x0000df90,0x8005ff10,0x23fffaed,
    0xf901fffc,0x2a7fffff,0x80efffff,0xfffffffc,0x3ff600ef,0x0effffff,
    0xffffffc8,0x3fff63ff,0x03ffffff,0x6c4bffee,0x1db00dff,0xd81aba98,
    0x17cc000e,0xffffff00,0x81a01d01,0x84fffffc,0x9001a059,0x100000df,
    0x7dc005ff,0xfffffb10,0x7e44019d,0x7fe41dff,0x3fea00df,0x800cefff,
    0xbefffffc,0xffffb100,0xffd7019f,0x3005dfff,0x9fffdffd,0x04000100,
    0x2002f400,0x80ffffff,0x7e40d502,0x0704ffff,0xffffd9e6,0xffffffff,
    0x7fffffff,0x017fc400,0x57310310,0x30010001,0x00ba8800,0x00155100,
    0x880055c4,0x88001aba,0x00000ab9,0x3f700000,0xfffff800,0x817a000f,
    0x04fffffc,0xfffb2ec0,0xffffffff,0xffffffff,0x2ff8800f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0xfff8004f,0xf5000fff,
    0x7fffe409,0x93ea004f,0xaaaaaaa9,0xaaaaaaaa,0x8002aaaa,0x000000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8000fe80,0x01ffffff,
    0x3202ffb8,0x004fffff,0x00007ff5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1bf20000,0x3fffe200,0x3f2202ff,0x3ff601ff,
    0x6cc06fff,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fe44000,0x7fec003f,0xabcfffff,0xfffffeca,0xfffff300,
    0x99557bff,0x03fffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x5fffffff,0xffffdd70,0xffffffff,0xffffffff,
    0xffffee88,0xffffffff,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x00000080,0x88000080,0x77775c00,0xee89eeee,0x25eeeeee,0xd73eeeeb,
    0x9ddddddd,0x06eeeec8,0x0c002200,0x64080000,0x22eeeeee,0x2eeeeeec,
    0xeeeeee98,0xeeeeeeee,0xdddddd13,0xddd19ddd,0xb3020ddd,0x44000005,
    0xdacefffc,0x93000003,0x7177f547,0x27dddddd,0x02dffec8,0xdfffffb1,
    0x7ffff4c1,0x5ffd40cf,0xfffff910,0x3bfea07f,0x3bbbbae1,0x3bffb23e,
    0xdfffda84,0xddddd701,0x2ffe447d,0x5fffff91,0x7ffffe44,0xcceff982,
    0xfffffbaa,0x3fff661f,0x3fa61fff,0x77f540bf,0x017fff31,0x7ff44000,
    0x04fffc9b,0x7ff54000,0x1fffff13,0x3ffffee2,0xfffffe9c,0x3fffa01f,
    0xffff986f,0x360bd03f,0x200fffff,0xfffa80fe,0xfffe8cff,0x3fee4fff,
    0x500fffff,0x269fffff,0x7c2fffff,0xff82ffff,0x5f982fff,0x9fffff70,
    0x3fffff60,0xfe80ff41,0xfffd16ff,0xb00005bf,0x4fe889ff,0xffc88000,
    0xfff72fff,0xfffe87ff,0xffdadfef,0x3fea06ff,0xffd80fff,0x01f885ff,
    0x05fffff3,0xfffb027c,0xff55bfdf,0x57fb5fff,0x40bffffb,0xf8cffffd,
    0x7c3fffff,0xfe82ffff,0x0f982fff,0x6fffff88,0x3ffffe20,0x7cc0be65,
    0x36a0ffff,0x00beffff,0x84fff880,0x2a0004f8,0x42effffd,0x42fffffa,
    0x43fffffd,0x201fffff,0xe83ffffe,0x540fffff,0x7fffec06,0x6c01f505,
    0x5c5fffff,0x20ffffff,0x00fffff8,0xdb9ffff9,0xe83fffd7,0xfe82ffff,
    0x05982fff,0x05fffffb,0x1fffffc8,0x7ffcc07d,0xffb880ff,0x2001dfff,
    0xb83ffffa,0x7f5c4005,0x3e01cfff,0xffd87fff,0xfffe85ff,0x3ffee02f,
    0x7fffcc6f,0x2026c3ff,0x81fffffa,0x7ffe405d,0xffffa86f,0xfffff81f,
    0xfffff901,0x20fae21f,0xe82ffffe,0x0882ffff,0x5fffff98,0xdfffff00,
    0xffff00d9,0xfffb500d,0xfa8017df,0x2444ffff,0xffffd980,0xfc9800be,
    0xffffd81c,0x3ffffd84,0x3ffffe20,0x3fff3321,0x2007e26f,0x444ffffe,
    0x7ffe402f,0xffff984f,0x5ffffd07,0x3fffff20,0x3fffa002,0xffffe82f,
    0x3fffa002,0xff7000ff,0xd003ffff,0x4c00bfff,0x1cfffffc,0x3fffffe0,
    0xfd71001e,0x0005bfff,0x9ffffb00,0x07ffffb0,0x24ffffd8,0xfffff9af,
    0x3ee00d71,0x1ae0ffff,0x13ffff20,0x41ffffe6,0x902ffffe,0x001fffff,
    0x417ffff4,0x002ffffe,0x09fffff7,0x7ffffe80,0x07fff900,0x3fffaa00,
    0xfffc82ef,0x2603ffff,0x0cfffffc,0x3f600000,0xffd84fff,0x7fd403ff,
    0x7f4f57ff,0x007d4fff,0x8fffffe2,0xfffc803e,0xffff984f,0x5ffffd07,
    0x1fffff20,0x5ffffd00,0x05ffffd0,0xdfffff10,0xffff5000,0xfff3007f,
    0xfc980001,0x3e62ffff,0x4fffffff,0x77fffec4,0xb0000002,0xfb09ffff,
    0xff007fff,0x5c9b5fff,0x0f9fffff,0x3ffff200,0xf9001f36,0xff309fff,
    0x3ffa0fff,0xfff902ff,0xffe800df,0xfffe82ff,0xfffd802f,0xfd0002ff,
    0xf001ffff,0x260000ff,0x4c3ffffd,0xffffffff,0x3bfffe64,0x20000002,
    0xd84ffffd,0xc803ffff,0x21feffff,0x6efffff8,0x7fffcc00,0xf9004daf,
    0xff309fff,0x3ffa0fff,0xfff902ff,0xffe800bf,0xfffe82ff,0x7ffcc02f,
    0x2a0005ff,0x803fffff,0x220005fd,0x2dffffeb,0xfffffd10,0x7fed41ff,
    0x0000beff,0x7fffec00,0x3ffffd84,0xfffff980,0xfffffd86,0xfffd8003,
    0xf9001fef,0xff309fff,0x3ffa0fff,0xfff902ff,0xffe8009f,0xfffe82ff,
    0x7fff402f,0x360000ff,0x00ffffff,0x4c0017dc,0x0cfffffc,0xfffff900,
    0xfff9105f,0x000039ff,0x13ffff60,0x00fffff6,0x41fffffc,0x00fffffa,
    0xfffffa80,0x3fff2005,0xffff984f,0x5ffffd07,0x13ffff20,0x5ffffd00,
    0x05ffffd0,0x27ffffdc,0x57d401a8,0x404fffff,0x36a000f9,0x402effff,
    0xffff9848,0x7fed404f,0x22003eff,0xfffb02db,0xffffb09f,0x3fff2007,
    0xbffff00f,0x7fff4000,0x3ff2002f,0xfff984ff,0xffffd07f,0x3ffff205,
    0x7fff4004,0xffffe83f,0xfffff102,0xf100f40d,0x3fffff25,0x5c401400,
    0x01cfffff,0xff103f10,0x326007ff,0x01cfffff,0x6c37fff4,0xfd84ffff,
    0xf3003fff,0x7fe40bff,0x3ee0002f,0x7e4006ff,0xff984fff,0xfffd07ff,
    0x3fff205f,0x7fe4004f,0x7ffec4ff,0xfffb03ff,0x03ea05ff,0x3ffe25e8,
    0x260005ff,0x0beffffd,0xc837c400,0xa8001fff,0x82dffffe,0x41fffffa,
    0xd84ffffd,0x2004ffff,0x3e602ffe,0x220000ff,0x64003fff,0xf985ffff,
    0xfff07fff,0x3ff207ff,0x7d4004ff,0xfc89ffff,0x983fffff,0x505fffff,
    0x207e40ff,0x02fffffd,0x7ffff5c0,0x7fc0002d,0x007ffb83,0x7fffe4c0,
    0xffff90cf,0xffffe87f,0x4ffffe84,0x003fee00,0x90000bfd,0xfd8001ff,
    0xffa86fff,0x7fc40fff,0xffb03fff,0xfb000bff,0xd3dfffff,0xe81bffff,
    0xa9afffff,0x887ffeba,0x7fdc0ffc,0x3000ffff,0x0019ffff,0x4bbffe00,
    0x0000ffe9,0x7fffd710,0x83ffffe6,0x0efffff9,0x3bffffe6,0x00bf1000,
    0x300005f7,0xff88009f,0x7e40ffff,0x7dc3ffff,0x440dffff,0x00ffffff,
    0x7fffec40,0xfffffd0e,0x3fffee3f,0xffffffff,0x3ffa26ff,0xfffd4fff,
    0x009fffff,0x00005df3,0xffffbbf0,0x000003df,0xffc8ff66,0x3ffff24f,
    0xffa9ffff,0x02ffffff,0x09100370,0x0005c000,0xfffffff7,0xffffd17f,
    0x3ff6dfff,0x71ffffff,0xffffffff,0x1571000b,0x00000000,0x22000000,
    0x0a000001,0x00001573,0x15106200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x015c04a8,
    0x0e440000,0x00000950,0x00008000,0x04000310,0x10002200,0x00400440,
    0x03100010,0x22005b50,0x4ccccc00,0x99999999,0x09999999,0x26000110,
    0x003f204f,0x4000efc8,0x0bf301fd,0x88007620,0x0ffc801e,0x01ff4000,
    0x39ffd910,0x37ffae20,0x41bf2202,0xfb80dffc,0xffb501df,0xee9807bf,
    0xffe81efd,0xced981ef,0x7fcc0dff,0xffffffff,0xffffffff,0x01f883ff,
    0x900ff980,0x7fc4009f,0x77cc003f,0xb009fb00,0xfd1003ff,0x7ffc401f,
    0x3fea0004,0xfffd000f,0xffb01fff,0xda81ffff,0xff986fff,0x7ffc44ff,
    0xffffb85f,0xff705fff,0xfa8bfe61,0x7c46ffff,0x983bfe66,0xffffffff,
    0xffffffff,0xfd83ffff,0x27fcc003,0x4000ffb8,0xd8002ffe,0x3ff980ef,
    0x00fffcc0,0x8807ffd1,0x20003fff,0xc804ffff,0x4fffebbd,0x7fdc4664,
    0x3feae64f,0xffffc86f,0x3ffffdc6,0x32b7ffee,0x7fc45fff,0xfc87ff46,
    0x321fffff,0x3fff12ff,0x55555544,0x99aaaaaa,0x43ff9999,0x1005fffa,
    0xff501ffd,0x05930009,0x41bfe600,0x7cc03ffd,0xffe881ff,0x03ffb003,
    0x3ffff200,0xf112201f,0xfe818dff,0x0dffd03f,0xa8bffff7,0x3e26ffff,
    0x3ffb80df,0xffd17ff2,0x3ffffe67,0xf87fee2f,0x000002ff,0xffb887ff,
    0x7ff4400f,0x00fffa83,0xfb000000,0x5fff30bf,0x21fff980,0xe983ffe8,
    0xc89bea2e,0x6ffc403f,0xd8005ffa,0x7fc403ff,0x0dffd00d,0x889ffff5,
    0x3ea5ffff,0xd97fe02f,0x2ffec5ff,0x85ffdff9,0x5fffb508,0x3fe00000,
    0x407ff883,0xf987ffe8,0x000004ff,0x13ffe600,0x3007fff6,0xffd13fff,
    0x3bfff607,0x3ffea5d0,0x43ff600f,0x7c002ffd,0x3f6200ff,0x1bffa02f,
    0x20bfffe2,0x3f23ffff,0xfd3fe406,0x86ffd8bf,0xdd501ff0,0x0005fff3,
    0x320ffe00,0x7fec04ff,0x7fffcc3f,0x99999880,0x99999999,0x01999999,
    0xf113fff6,0xf9803fff,0x203ffeff,0xd9effffb,0x06ffffb9,0xff993fe6,
    0x13fe6006,0x4fffffb8,0x3a0dffd0,0xffd80fff,0x5017fa1f,0x17ff61ff,
    0x3e60bffb,0xff2fec47,0x2000005f,0xfffb13ff,0x6fffd807,0x827fffc4,
    0xfffffffd,0xffffffff,0x2607ffff,0x7e43ffff,0x7cc00fff,0xdb803fff,
    0xeeefeeee,0x3fa00bee,0x01ffe40f,0xea805fd8,0xfe80ffff,0x0dff906f,
    0xff91ffee,0xf93fec01,0x03ffe8bf,0x2ffc87f7,0x0000bffe,0x1331ffc0,
    0xdfffd100,0x03ffffa8,0xfffffffb,0xffffffff,0x440fffff,0x7d45ffff,
    0x74402fff,0x90001fff,0x7d4001d9,0x0fff883f,0x2002fdc0,0xfe82fffb,
    0x09ff506f,0xff717fe6,0x89bfe207,0x077fc6ff,0x7ffc3744,0x02fffb8c,
    0x05990000,0x7fff4400,0x837ffd42,0xaaaaaaa9,0xaaaaaaaa,0x2e02aaaa,
    0xffe86fff,0x7ff4403f,0x22001fff,0x002ec8fd,0x7fdc0dff,0x5313e604,
    0xd03fff00,0x3fe20dff,0x3a0ffe02,0x3faa0bff,0xa8ffd41f,0x0ee981ff,
    0xebffffe8,0x00003eff,0x3e600000,0xfffb86ff,0x00000003,0x503bffe2,
    0xe8809fff,0x1fff9bff,0xf55ffa80,0x2ffc80bf,0x4c07ff40,0x3ebaaaef,
    0x407fe402,0x3fa06ffe,0x2607f200,0xfffdffff,0xddd9104f,0x409f7019,
    0xbb30bdc9,0x00000007,0x7fff3000,0x000fff90,0x7fdc0000,0x04ffe80e,
    0xf31fff44,0x7fd403ff,0x0bfff13f,0x26017fe2,0x7ffc45ff,0xf51fffff,
    0xf01fd85f,0x035c0dff,0xffe981ea,0x0003ffff,0x00000190,0x00000000,
    0xd83ffd40,0xb88003ff,0xfff10001,0x80bff701,0xf983ffe8,0xfff901ff,
    0xd83ffec1,0xffb001ff,0x3ffffa23,0x3fea7fff,0x442edbef,0x1affffb9,
    0x01440188,0x00def65c,0x00000000,0x00000000,0x40ffea00,0xfe8007fd,
    0xffb8001f,0x880bff01,0x3e603ffe,0x4ff981ff,0xaa827fcc,0x46aa2002,
    0xaaaaaaa9,0x5e654c2a,0x55555102,0x00000555,0x00000000,0x00000000,
    0x2e000000,0x00ffa07f,0x003fff88,0xfb80ffc4,0x1ffec00e,0x407ffcc0,
    0x00031008,0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,
    0x00fd103f,0x4000ffd8,0x1df102fc,0x4007d100,0x800002f9,0x99999999,
    0x99999999,0x00009999,0x20006aa6,0x4066cc0a,0x501ccccc,0xda879999,
    0x20eecc1d,0xeeeeeeee,0x444446ee,0x88888888,0x08888888,0x33333331,
    0x33333333,0x90013333,0x0016c40b,0x016c0002,0x004001b5,0x40000040,
    0xfffffff9,0xffffffff,0x223fffff,0xfd102deb,0x0019dfff,0x7ffdc3f1,
    0x7fffcc1f,0x3ffffd05,0x3e3fffc4,0x3ffe0fff,0x7fffffff,0x3fffffea,
    0xffffffff,0xf55fffff,0xffffffff,0xffffffff,0x00000bff,0x00000000,
    0x00000000,0xfff98000,0xffffffff,0xffffffff,0x3ffff23f,0xfffffe82,
    0x2e02dfff,0x27ffff47,0x207fffcc,0x5c1ffff8,0xff52ffff,0x7fffc5ff,
    0x27ffffff,0xfffffffa,0xffffffff,0xff55ffff,0xffffffff,0xffffffff,
    0x000000bf,0x00000000,0x00000000,0xaaaa8800,0xaaaaaaaa,0xaaaaaaaa,
    0xbfffff11,0xebabefb8,0x1cffffff,0x7fc4bf93,0xff506fff,0x1fffb85f,
    0x10ffff88,0x7fc1ffff,0xffffffff,0x2aaaaa27,0xaaaaaaaa,0x12aaaaaa,
    0x33333333,0x33333333,0x00003333,0x00000000,0x00000000,0x00000000,
    0x7fffc400,0xb882f46f,0xffffffff,0x7fff40ff,0x17fea03f,0x75c05ffb,
    0x21f7542e,0x88888888,0x00000088,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffd80000,0x4017c3ff,0xffffffda,0x0effe982,0xff13fd40,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9ffb3000,0x22002441,0x5400bcca,0x54bee001,0x0000002f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf3000000,0xffffffff,0xffffffff,
    0x01107fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xfffffff9,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xccccccc8,0xcccccccc,0x001ccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_43_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_43_latin1_y[224]={ 34,7,7,7,7,7,7,7,7,7,7,10,28,23,
28,7,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,8,7,8,7,39,7,15,8,15,8,15,7,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,7,7,7,20,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,15,8,7,11,8,
7,7,8,7,7,16,16,23,7,3,7,10,7,7,7,16,8,17,33,7,7,16,7,7,7,15,-1,-1,-1,0,
0,1,8,7,-1,-1,-1,0,-1,-1,-1,0,8,0,-1,-1,-1,0,0,12,7,-1,-1,-1,0,-1,8,7,7,7,
6,7,8,6,15,15,7,7,6,8,7,7,6,8,7,7,7,7,6,7,8,12,15,7,7,6,8,7,7,8,
 };
static unsigned short stb__times_bold_43_latin1_w[224]={ 0,7,16,19,18,35,30,7,12,12,16,22,8,13,
8,11,17,15,18,18,18,17,18,18,18,18,7,9,22,22,22,16,35,28,25,25,27,25,23,29,30,15,20,31,
25,36,28,28,23,28,29,19,24,28,28,39,28,28,26,8,11,8,18,21,9,18,20,16,20,16,15,18,20,11,
12,21,11,31,20,18,20,20,16,13,13,20,20,28,19,20,17,11,3,12,22,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,16,19,20,20,
3,17,13,28,12,19,22,13,28,21,14,22,11,11,9,21,22,8,8,10,11,19,28,28,29,16,28,28,28,28,
28,28,39,25,25,25,25,25,15,15,15,15,27,28,28,28,28,28,28,18,28,28,28,28,28,28,23,19,18,18,
18,18,18,18,26,16,16,16,16,16,12,12,13,13,18,20,18,18,18,18,18,22,18,20,20,20,20,20,20,20,
 };
static unsigned short stb__times_bold_43_latin1_h[224]={ 0,28,14,28,30,29,28,14,35,35,16,22,13,5,
7,28,28,27,27,28,27,27,28,27,28,28,20,26,20,10,20,28,36,27,26,28,26,26,26,28,26,26,27,26,
26,26,27,28,26,35,26,28,26,27,27,27,26,26,26,34,28,34,15,4,7,20,27,20,27,20,27,28,26,27,
36,26,26,19,19,20,28,28,19,20,26,19,19,19,18,27,18,35,36,35,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,28,20,26,
36,36,6,28,12,18,10,5,28,4,14,22,15,15,7,27,35,8,9,15,13,18,29,29,29,28,35,35,35,34,
34,33,26,35,35,35,35,34,35,35,35,34,26,35,36,36,36,35,35,18,29,36,36,36,35,35,26,28,28,28,
29,28,27,29,20,27,28,28,29,27,27,27,28,26,28,27,28,28,29,28,27,18,20,28,28,29,27,36,36,35,
 };
static unsigned short stb__times_bold_43_latin1_s[224]={ 255,138,154,59,201,118,220,248,59,30,83,
90,198,198,155,39,51,173,195,201,233,177,216,214,30,49,61,165,38,100,1,
130,64,22,108,1,178,41,128,147,134,214,77,1,152,71,27,69,175,169,199,
175,206,211,144,119,99,70,43,247,27,75,100,212,164,132,98,151,159,168,240,
119,229,243,47,192,180,140,69,212,68,89,172,24,33,189,119,90,228,123,210,
198,60,156,132,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,255,235,113,
110,231,230,1,129,184,146,207,1,220,198,1,234,171,67,119,131,174,189,140,
123,243,143,186,44,184,1,154,146,72,127,226,46,84,172,1,221,101,88,114,
146,72,1,210,130,1,43,176,205,1,163,1,64,30,30,147,100,192,17,47,
1,21,163,80,182,51,99,185,70,79,96,239,87,14,1,113,29,127,1,232,
40,220,213,104,21,113,98,195,59,56,26,5,234, };
static unsigned short stb__times_bold_43_latin1_t[224]={ 1,206,422,177,111,147,177,401,38,75,422,
374,422,438,438,206,206,264,235,177,235,235,206,235,235,235,401,320,401,438,401,
235,1,264,320,206,347,374,347,235,320,292,292,320,347,320,292,206,320,38,320,
206,347,264,264,292,347,347,347,75,206,111,422,438,438,374,292,374,292,374,264,
206,320,206,1,292,292,401,401,374,235,235,401,401,320,401,401,401,401,264,401,
38,1,38,438,347,347,347,347,347,347,347,347,347,347,347,347,347,347,347,347,
347,347,347,347,347,347,347,347,347,347,347,347,347,347,347,347,347,1,206,111,
235,373,292,1,1,438,206,422,422,422,438,235,438,422,374,422,422,438,264,75,
438,422,422,422,422,147,147,147,177,38,38,38,111,111,111,374,75,38,75,75,
111,75,111,38,111,347,75,1,1,38,75,75,422,147,38,1,1,75,111,320,
177,177,177,147,177,264,147,374,264,177,177,111,264,292,292,177,347,177,264,147,
177,111,147,264,422,374,206,206,147,292,1,1,1, };
static unsigned short stb__times_bold_43_latin1_a[224]={ 155,207,345,311,311,621,518,173,
207,207,311,354,155,207,155,173,311,311,311,311,311,311,311,311,
311,311,207,207,354,354,354,311,578,449,414,449,449,414,379,483,
483,242,311,483,414,586,449,483,379,483,449,346,414,449,449,621,
449,449,414,207,173,207,361,311,207,311,346,276,346,276,207,311,
346,173,207,346,173,518,346,311,346,346,276,242,207,346,311,449,
311,311,276,245,137,245,323,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,155,207,311,311,311,311,137,311,
207,464,186,311,354,207,464,311,248,341,186,186,207,358,336,155,
207,186,205,311,466,466,466,311,449,449,449,449,449,449,621,449,
414,414,414,414,242,242,242,242,449,449,483,483,483,483,483,354,
483,449,449,449,449,449,379,346,311,311,311,311,311,311,449,276,
276,276,276,276,173,173,173,173,311,346,311,311,311,311,311,341,
311,346,346,346,346,311,346,311, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_43_latin1(stb_fontchar font[STB_FONT_times_bold_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_43_latin1_s[i] + stb__times_bold_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_43_latin1_t[i] + stb__times_bold_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_43_latin1_x[i];
            font[i].y0 = stb__times_bold_43_latin1_y[i];
            font[i].x1 = stb__times_bold_43_latin1_x[i] + stb__times_bold_43_latin1_w[i];
            font[i].y1 = stb__times_bold_43_latin1_y[i] + stb__times_bold_43_latin1_h[i];
            font[i].advance_int = (stb__times_bold_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_43_latin1_s[i] + stb__times_bold_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_43_latin1_t[i] + stb__times_bold_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_43_latin1_x[i] + stb__times_bold_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_43_latin1_y[i] + stb__times_bold_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_43_latin1_LINE_SPACING
#endif

