// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT        486
#define STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_45_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_45_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_45_latin1_LINE_SPACING          29

static unsigned int stb__times_bold_45_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xec800000,0xcc885eee,0x002ccccc,0x0f2e7970,0xffff9800,0x8000002f,
    0x004fffff,0x7fffd400,0x0000001f,0x00fffff2,0xfffc8000,0x0000007f,
    0x06ffff98,0x87ff7000,0x0000dfd9,0x03ffffe2,0x7fffff5c,0x2bfd0004,
    0x320005fe,0x0002ffff,0xffffa800,0xf5000004,0x00009fff,0x3fffe600,
    0x4000007f,0x002ffffc,0x7ff40000,0x40002fff,0x3a1ffff9,0x20004fff,
    0x401ffffa,0x04fffff9,0x3fabfd00,0x3ffe0005,0x0000002f,0x0009fff9,
    0x7fffa800,0xfb000000,0x007fffff,0xfffd8000,0x20000004,0x6ffffffa,
    0x7ffdc000,0xfffff13f,0x7ffec000,0xfffff001,0x57fa0009,0xf30005fe,
    0x000007ff,0x002fffc0,0xfffb8000,0x54000001,0xfffedfff,0x6c000000,
    0x000007ff,0x3f3fffa0,0x260003ff,0x3fa1ffff,0xf10004ff,0x7fc003ff,
    0xd0004fff,0x0017fabf,0x0001ffe4,0x0bff5000,0xfb800000,0x4000004f,
    0x3ff64ffe,0xd8000004,0x000002ff,0xf50effb8,0xeb8000ff,0x067ecc3e,
    0x02ffa800,0x27ffffc0,0xfd5fe800,0x0ffe000b,0xf9000000,0x0000000b,
    0x00001ff2,0xfc82ffb8,0x8000000f,0x000004fe,0x7cc2ffc4,0x0000003f,
    0x017ec000,0x27ffffc0,0xfd5fe800,0x07d3000b,0xbb000000,0x00000001,
    0x00000764,0xf700f7c4,0x10000009,0x800000bb,0x3fa603fc,0x00000000,
    0xff000000,0x20009fff,0x00bfd5fe,0x00000000,0x00000000,0x88000000,
    0x0029800a,0x00000000,0x22006a00,0x0000000a,0xf0000000,0x0009ffff,
    0x02ff57fa,0x00019880,0x00000000,0x00000000,0x00198800,0x19880000,
    0x00000000,0x99995000,0x44199999,0x954ccccc,0x99999999,0x66666441,
    0x4fffff84,0x017dfb71,0x02ff57fa,0x7fff65c4,0x002cdeff,0x7ffffff4,
    0x84ffffff,0xfffffffc,0x3ffffa3f,0xffffffff,0xfffffc84,0x71003fff,
    0xdfffffd9,0x4000059b,0xffffecb8,0x4002cdef,0xfffffffe,0xc84fffff,
    0xffffffff,0xfffffd33,0xffd505df,0x3fffa65d,0xea82efff,0xfff82eff,
    0xffff8cff,0x5fe84fff,0xffa80bfd,0xdb88adff,0x4001efff,0xfffffffa,
    0xffe9800c,0x3ffea01f,0x800cffff,0x001fffe9,0x2b7fffea,0xefffdb88,
    0x7fd40001,0xdb88adff,0x4001efff,0xfffffffa,0xffe9800c,0xffffd01f,
    0x07fcc07f,0x1ffffff4,0x3e01ff30,0xbeedffff,0x42fffffd,0x20bfd5fe,
    0x01ffffd8,0x013fffe6,0xffffffb0,0x0ffcc001,0x7ffffec0,0x3fe6000f,
    0xfffb1001,0x7ffcc03f,0xfd88004f,0x3e601fff,0x6c004fff,0x00ffffff,
    0x9807fe60,0x205fffff,0xfff304f8,0x27c40bff,0xbffffff0,0x0fffff98,
    0x42ff57fa,0x02fffff9,0x0effff98,0xfffff900,0x00ff000f,0x1ffffff2,
    0x4c01fe00,0x802fffff,0x00effff9,0x5fffff30,0xdffff300,0x3fff2001,
    0x7f8007ff,0xfffffe80,0x7401f500,0x500fffff,0x7fffc01f,0xfffd80ff,
    0x7f57fa5f,0x7ffffc45,0x3fff2003,0xfff9006f,0xdd000fff,0x3ffff200,
    0x06e8007f,0x3fffff88,0x3ffff200,0xffff8806,0x3ff2003f,0xff9006ff,
    0xd000ffff,0xffff500d,0x5017607f,0x207fffff,0x7fffc05d,0xffff704f,
    0x7f57fa1f,0x7ffffec5,0x3ffe2000,0xffc803ff,0xe8006fff,0xffff9006,
    0x0dd000df,0x1fffffb0,0x7fffc400,0x7ffec03f,0x3e2000ff,0xc803ffff,
    0x006fffff,0xffd006e8,0x05f10dff,0x0dffffd0,0xfff805f1,0xfff304ff,
    0x817fa3ff,0x05fffffa,0xfffffe80,0x7fffe400,0x06e8006f,0xdfffff90,
    0xa80dd000,0x005fffff,0x0fffffe8,0xbfffff50,0xffffd000,0xfffc801f,
    0x6e8006ff,0xfffff700,0xf7007a85,0x7a85ffff,0x4fffff80,0x7fffff10,
    0x7fc417fa,0x8003ffff,0x06fffffc,0x37ffffe4,0xc8037400,0x006fffff,
    0x3fe206e8,0x8003ffff,0x86fffffc,0x3ffffff8,0xffffc800,0x7ffe406f,
    0x6e8006ff,0xfffff100,0xf1004e8b,0x4e8bffff,0x4fffff80,0x9fffff10,
    0x7fdc17fa,0x8000ffff,0x1ffffffa,0x3fffff20,0x006e8006,0x0dfffff9,
    0x7dc0dd00,0x000fffff,0xffffffa8,0x7ffffdc1,0xffa8000f,0x3201ffff,
    0x006fffff,0x3f2006e8,0x3f11ffff,0x7fffe400,0xf003f11f,0x7c09ffff,
    0xbfd5ffff,0x3fffff20,0xff98000f,0x3202ffff,0x006fffff,0xff9006e8,
    0xd000dfff,0x7fffe40d,0xf98000ff,0x642fffff,0x00ffffff,0xfffff980,
    0x3fff202f,0x6e8006ff,0x3fffe200,0x8800d94f,0xd94fffff,0x3ffffe00,
    0x3ffffe04,0x3fa0bfd5,0x0007ffff,0x9ffffff1,0x7ffffe40,0x006e8006,
    0x0dfffff9,0x7f40dd00,0x0007ffff,0x9ffffff1,0x7fffffe8,0xffff1000,
    0x7fe409ff,0xe8006fff,0x7ffec006,0x8002f8ff,0xf8fffffd,0xfffff002,
    0x3fffe209,0x3e0bfd3f,0x007fffff,0xffffff10,0x7fffe40b,0x06e8006f,
    0xdfffff90,0x7c0dd000,0x007fffff,0xffffff10,0xffffff8b,0xfff10007,
    0x7e40bfff,0x8006ffff,0x7fcc006e,0x000fefff,0xefffff98,0xffff000f,
    0x3ffe209f,0x30bfd2ff,0x0dffffff,0x3fffe200,0x3ff207ff,0xe8006fff,
    0xffff9006,0x0dd000df,0x3fffffe6,0xfff10006,0x7fccffff,0x0006ffff,
    0xfffffff1,0x7ffffe40,0x006e8006,0x4fffffe8,0x3fffa000,0x3fe004ff,
    0xff304fff,0x57fa1fff,0xffffaced,0x3e0005ff,0x00ffffff,0x0dfffff9,
    0x3200dd00,0x006fffff,0xfff506e8,0x4000bfff,0x0fffffff,0xbffffff5,
    0x7fffc000,0xff900fff,0xd000dfff,0xfff5000d,0x540003ff,0x001fffff,
    0x413ffffe,0x3a7ffffa,0xff3bfd5f,0x000dffff,0x3ffffffc,0xdfffff90,
    0x200dd000,0x06fffffc,0xff306e80,0x000dffff,0x3ffffffc,0xdffffff3,
    0x7fffc000,0x3ff207ff,0xe8006fff,0xffff0006,0xfff0000d,0xfff800df,
    0xffd80eff,0x757fa2ff,0xfffff8df,0xff10007f,0x640dffff,0x006fffff,
    0xff9006e8,0xd000dfff,0x3fffe20d,0xf10007ff,0x44dfffff,0x07ffffff,
    0xfffff100,0x7ffe40df,0x6e8006ff,0x7fff7000,0xfff70000,0xffff8007,
    0x3fe60eff,0xeaff44ff,0xffffff5f,0x3fe2000f,0x3205ffff,0x006fffff,
    0xff9006e8,0xd000dfff,0x7ffffc0d,0xff10007f,0xff8bffff,0x0007ffff,
    0xbffffff1,0x7ffffe40,0x006e8006,0x001fff10,0x01fff100,0xdfffff80,
    0xffffddfe,0xbfd5fe86,0x3ffffff6,0xfff98000,0x3f203fff,0x8006ffff,
    0xfff9005e,0xbd000dff,0x7ffffec0,0xff98000f,0x7ec3ffff,0x000fffff,
    0xffffff98,0x3ffff203,0x05e8006f,0x0017f600,0x8005fd80,0xd8cfffff,
    0x80ceffff,0x32bfd5fe,0x01ffffff,0xfffffa80,0x3ffee01f,0x5f8007ff,
    0xfffff700,0x40bf000f,0x1ffffffc,0xffffa800,0x7ffe41ff,0xa8001fff,
    0x01ffffff,0x1fffffee,0x80017e00,0x200002f9,0xff8002f9,0x2ea24fff,
    0xfeaff401,0xffffff15,0xfff90005,0xffb80bff,0xf8007fff,0xffff7004,
    0x09f000ff,0x7fffffc4,0xfffc8002,0xfff885ff,0xc8002fff,0x405fffff,
    0x07fffffb,0x20004f80,0x5400006a,0xffff0006,0x3fa0009f,0x7fdcbfd5,
    0xe8005fff,0x401fffff,0x07fffffa,0xa801fcc0,0x007fffff,0x3ee01fcc,
    0x8005ffff,0x01fffffe,0x0bfffff7,0xfffffd00,0xffffa803,0x1fcc007f,
    0x0007b000,0xf0003d80,0x0009ffff,0x22ff57fa,0x00fffffe,0x3ffffe20,
    0xffff8805,0x3ee000ff,0xffff1002,0x7dc001ff,0xffffe802,0x3fe2000f,
    0x7f405fff,0x2000ffff,0x05fffff8,0xffffff88,0x80bee000,0x3e20dfc8,
    0x6fe44000,0x40003e20,0x004fffff,0x17fabfd0,0x09fffff5,0x7ffffe40,
    0xffffd000,0x1be2005f,0xfffffd00,0x01be2005,0x27ffffd4,0xfffff900,
    0xffffa801,0x3ff2004f,0xfd000fff,0x2005ffff,0x7fdc06f8,0x2001323f,
    0x1323fffb,0xfffff800,0x2bfd0004,0xfffb85fe,0xff9800ff,0x2a001fff,
    0x00efffff,0x20017f44,0x0efffffa,0x0017f440,0x01fffff7,0x3fffff30,
    0x3fffee00,0xfff9800f,0x3ea001ff,0x400effff,0x7ec02fe8,0x001f15ff,
    0x22bfffb0,0x3fe0000f,0xd0004fff,0x5c17fabf,0x200effff,0x01fffff8,
    0xfffffc80,0x09fb300e,0x3ffff200,0x9fb300ef,0xffff7000,0x7ffc401d,
    0x7dc001ff,0x2200efff,0x001fffff,0xefffffc8,0x009fb300,0x9d7ffff7,
    0x3ffee000,0x20004ebf,0x05fffff8,0x3fabfd00,0x3fff6605,0xff9510ae,
    0x400019ff,0xeffffffc,0x04fffdbc,0x7fffe400,0xffdbceff,0x3660004f,
    0x510aefff,0x019ffff9,0x3fff6600,0xff9510ae,0x400019ff,0xeffffffc,
    0x04fffdbc,0x17ffffe0,0xfffff000,0x7ecc000b,0x00afffff,0x5feaff40,
    0xffffda80,0x1cffffff,0xffd30000,0x9fffffff,0x3a600003,0xffffffff,
    0x500001cf,0xfffffffb,0x00039fff,0x3ffff6a0,0x1cffffff,0xffd30000,
    0x9fffffff,0x59930003,0x33260000,0x3ba20002,0xeeeeeeee,0x6d3b6001,
    0x5d4c004e,0x0001abcc,0x332ea200,0x000009ab,0x57997510,0x40000013,
    0x1abccba9,0x54c00000,0x001abccb,0x32ea2000,0x00009abc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3000c000,0x15310005,0x000006e2,
    0xabba9880,0x00000019,0x26000000,0x00001aba,0x00020000,0x00000000,
    0x20000000,0xfffffffb,0x1b220001,0x07bffa20,0x437ff660,0x002effd8,
    0xfffda800,0xcfffeeef,0x3a000001,0x0001ffff,0xffdfff70,0x6400005d,
    0x400effff,0x400002fa,0x005ffffe,0xff700000,0x88001dff,0x001ffffd,
    0x9005fc88,0xc80bffff,0xfb301dff,0x9300009f,0x10137dff,0x001df953,
    0xffffb800,0x7440005f,0xffd10bff,0x3fe00009,0xf5000eff,0x2200003d,
    0x000ffffe,0xffe80000,0xf30000ff,0x88003fff,0x3fa004fe,0x3ee07fff,
    0xfff800ff,0x3ff20004,0xfe98001c,0xff100002,0x003fffff,0x5417fec0,
    0x40002fff,0x000ffff9,0x00017f4c,0x02fffe88,0x7cc00000,0x20001fff,
    0x001ffff8,0x320037ec,0xf105ffff,0x3f2009ff,0x744001ff,0xb80000ef,
    0xfc80004f,0x05fffcff,0x20dff700,0x0005fffa,0x000fffe4,0x0002ff98,
    0x00bffd10,0xffb80000,0x7c40001f,0x36001fff,0x744002ff,0xff701fff,
    0x3fea007f,0x3fea004f,0x7cc00004,0x3fe20002,0x05ffd12f,0x01fffb00,
    0x000dfff5,0x0001fff8,0x0000ffec,0x000ffe88,0x3ffa0000,0xff880001,
    0xff9001ff,0x0154000d,0x4013fff6,0x3006fffb,0x000007ff,0x6c0003f2,
    0x37f441ef,0x17fff400,0x001fffc4,0x0003ff30,0x001fff30,0x00bfe200,
    0x7fcc0000,0xff100001,0xff3003ff,0x8000007f,0xb005fffd,0xf100dfff,
    0x8000007f,0xdf98005e,0x000bf600,0x301dfffb,0xeb800059,0x3fa00001,
    0x2600006f,0x0000004e,0x400005d5,0x801ffff8,0x00007ffd,0x06fffc80,
    0x00bfffd0,0x00000bfb,0x98001f30,0x80035002,0x01effffb,0x00000000,
    0x007ffee0,0x00000000,0x88000000,0x4c01ffff,0x5c005fff,0x03cccccc,
    0x200ffff5,0x5c04ffff,0xfb3000ff,0x32aaa65d,0x00003d80,0x3e200003,
    0x003fffff,0x00000000,0x000bfff3,0x00000060,0x100000c0,0xd803ffff,
    0x4c004fff,0x06fffffd,0x801ffff3,0x402ffff8,0xff7002ff,0xfffd1f7d,
    0x0001ae0f,0x98000174,0x0effffff,0x7ffff440,0xffffffff,0xffffffff,
    0xffff002f,0x05d00003,0x5d000000,0x3fe20000,0x3fe201ff,0xff0002ff,
    0x3e20dfff,0x7cc02fff,0x3ea01fff,0x5ffd8806,0x13ffff2e,0x4c0003d4,
    0x2a00006f,0x3fffffff,0xfffff500,0xdb9999ff,0x05ffffff,0x017fffa0,
    0x000df300,0x06f98000,0xffff1000,0x7fffe403,0xfffb0001,0x7fffc0df,
    0x7fffc400,0x200ffa00,0x3e60fffe,0xf102ffff,0xffd80001,0xff700001,
    0x0bffffff,0x3ffffee0,0x7fff5407,0xffffb002,0x7fec0001,0x20000001,
    0x80001ffd,0x201ffff8,0x000ffffd,0x0dffffb0,0xe8037ff4,0x3fe607ff,
    0x1fffe400,0x03ffffe6,0x220001f8,0x80005fff,0xfffe8cfc,0xfa805fff,
    0x9007ffff,0x3f2005ff,0x10001fff,0x0000bfff,0x17ffe200,0x3ffe2000,
    0x3fffa01f,0xffb0000f,0x3fe60dff,0xfff7003f,0x5017ee03,0xff70ffff,
    0x01e80bff,0x3ffff200,0x1bee0000,0xbffffff9,0xfffffa80,0x00bf6007,
    0x017fffe4,0x0ffffc80,0xfc800000,0x40000fff,0x201ffff8,0x000fffff,
    0x0dffffb0,0x90017fee,0x0ff609ff,0x84ffff88,0x403ffffc,0xff10000f,
    0x20009fff,0xffa83ff8,0x2a02ffff,0x007fffff,0x7dc00be2,0x88003fff,
    0x004fffff,0x7ffc4000,0x440004ff,0xf101ffff,0x4000ffff,0xa86ffffd,
    0xfb0005ff,0x405fd05f,0xe81ffffb,0x2201ffff,0x3fee0007,0x8000ffff,
    0xfd102ffb,0x7d40dfff,0x5307ffff,0x3ee005d0,0xb8004fff,0x00ffffff,
    0x3fee0000,0x0000ffff,0x407fffe2,0x007ffff9,0x9bffff60,0x0001dfea,
    0xff177e4c,0x37fff403,0x037fffc4,0xfe8001a6,0x003fffff,0x7404ffd8,
    0xf501ffff,0x2e0fffff,0xf7002c83,0xd000bfff,0x07ffffff,0x7ff40000,
    0x0003ffff,0x407fffe2,0x007ffffa,0x9bffff60,0x400003fd,0x403fe6fb,
    0xc83ffffa,0x6404ffff,0xfff50004,0x800dffff,0x200ffff8,0x502fffe8,
    0x20ffffff,0x7d40003c,0x54006fff,0x6fffffff,0xff500000,0x00dfffff,
    0x0ffffc40,0x07ffff98,0x3ffff600,0x033fee26,0x67fe4400,0x7ec0ff10,
    0x7fc41fff,0x0f402fff,0xffaee800,0x4002ffff,0x200effff,0xf502fff9,
    0x3e0fffff,0x7fdc0003,0x774005ff,0x2ffffffa,0xaee80000,0x02ffffff,
    0x3ffff100,0x03ffffc0,0xdffffb00,0x001ffd10,0x440efe88,0x3fffa07f,
    0x7fffdc0f,0x80034c07,0xfffff2f9,0xffd800df,0x3fe00eff,0x3fffea07,
    0x003fb87f,0x27fffdc0,0x3fe5f300,0x0006ffff,0xfff97cc0,0x10006fff,
    0x7c03ffff,0x0000ffff,0x20dffffb,0x1000effa,0x3fe07ffd,0x8fffff00,
    0x05ffffe8,0x6d800174,0x3fffffee,0x3ffe6001,0xbff02fff,0x7ffffd40,
    0x001ffd47,0x0ffffee0,0x3fee6d80,0x0001ffff,0xfffb9b60,0x88001fff,
    0x3a01ffff,0x0000ffff,0x40dffffb,0xf9005fff,0x0bfa01ff,0xd1bfffe2,
    0x407ffff9,0x7f10005b,0x7fffffc4,0x7ffe4005,0x7fcc4fff,0x3fffea01,
    0xfffdcbff,0x7fe40003,0x7f1002ff,0x7fffffc4,0x7f100005,0x7fffffc4,
    0xfff88005,0x3fff201f,0xffb0000f,0x7ff40dff,0x0fffd007,0x7fcc1fec,
    0x3ef767ff,0x1f501fff,0x903f2000,0x01ffffff,0xfffffc80,0x02fe88ef,
    0x7fffffd4,0x03ffffff,0x7fffe400,0xc81f9001,0x00ffffff,0x640fc800,
    0x00ffffff,0x0ffffc40,0x05ffff50,0x3ffff600,0x07fffe06,0x01ffff10,
    0x3fe613ee,0xc8feefff,0xfa80ffff,0x7c400441,0xfffff984,0xffc8004f,
    0x1eefffff,0xfffffa80,0x3fffba9f,0x7ffec000,0x309f1007,0x09ffffff,
    0x984f8800,0x04ffffff,0x0ffffc40,0x00ffffe0,0x37fffec0,0x01ffff88,
    0x80ffffc4,0xfff886f8,0xff31ffff,0x0f6441ff,0x07dc01ec,0x7fffffe8,
    0xffff7000,0x2a007fff,0x4c7fffff,0x7c0003ff,0xf7004fff,0x3ffffa01,
    0x7dc0007f,0xfffffd00,0xfff8800f,0x7ffdc01f,0xfff90004,0x3ffea0df,
    0xffff800f,0x3203fa02,0x741effff,0xcfcbefff,0xbd006980,0x7ffffd40,
    0xfd30003f,0x003fffff,0x0ffffff5,0x440007f5,0xd000ffff,0x7fffd40b,
    0x3a0003ff,0x3fffea05,0x3e2003ff,0x7c401fff,0xf90006ff,0x3ee0dfff,
    0xffd007ff,0x82fcc09f,0xa880ceda,0x200bdefd,0x9bfa802e,0xff999999,
    0x0006ffff,0x7fffffe4,0x7fffd400,0x0007f07f,0x8027ffcc,0x99999bfa,
    0xffffff99,0x37f50006,0xff333333,0x400dffff,0x801ffff8,0x8001fffc,
    0x906ffffc,0x3600dfff,0x7ec05fff,0x20000002,0xfffd005a,0xffffffff,
    0x005fffff,0xffffe980,0x7fffd404,0x5407b07f,0x03fff200,0x7fffff40,
    0xffffffff,0xe8002fff,0xffffffff,0xffffffff,0xffff1002,0xbfff1003,
    0xffff9000,0x17fffa0d,0x037ffe40,0x00003fe2,0x2007e600,0xaaaaabf9,
    0xffffaaaa,0x02a005ff,0x01bfffa2,0x0ffffff5,0x100e80ee,0x26009fff,
    0xaaaaaabf,0xfffffaaa,0x5fcc005f,0xaaaaaaaa,0x5ffffffa,0x3ffff100,
    0x03ffe600,0xbffff900,0x013fff60,0x402fffdc,0x000005fa,0x6d8017cc,
    0x3ffff200,0xffe801ff,0x01ffff03,0x3fffffd4,0x40f50188,0x36005ffb,
    0x3fff2006,0x36001fff,0x3fff2006,0xf8801fff,0x2a001fff,0x8f2204ff,
    0x505ffffb,0x2a007fff,0xf7003fff,0x2a000009,0x07f3001f,0x7ffffc40,
    0x7ffd404f,0x80fff906,0x07fffffa,0x3fe06d80,0x07f3000e,0x7ffffc40,
    0x07f3004f,0x7ffffc40,0xfff8804f,0x7fdc001f,0x2a5ffb00,0xf103ffff,
    0x3f600dff,0x3ea000ff,0x2e00001e,0x03f6001f,0xfffffb00,0x7ffdc01f,
    0x80bff706,0x0ffffffa,0x5c17f200,0x3f6000ef,0x7ffec000,0xfd800fff,
    0x7ffec000,0x7d400fff,0xb8001fff,0x3fff81ef,0x980dfff5,0x7c401fff,
    0xf98001ff,0x7540004f,0x1be6001e,0x3fffea00,0x3fe604ff,0x07ffd04f,
    0xffffffa8,0x09ff7000,0x4c001df7,0xffa8006f,0x4c04ffff,0xffa8006f,
    0xa984ffff,0x01fffffb,0xc85fb100,0x3fff74ff,0x19fff300,0x02fffb88,
    0x2fbf2200,0x0bbee001,0x001bfa00,0x7ffffffc,0x11bfee01,0xf7009ff7,
    0x805fffff,0x643fffea,0x6fe8003f,0xfffff000,0x37f403ff,0xfffff800,
    0x5554c1ff,0x0000aaaa,0x3ffe234c,0x2003fffc,0xf11ffdb8,0x400007df,
    0xbdeffeb8,0x2dffecba,0xfffea800,0x7ffcc003,0x201effff,0xffddfffb,
    0xfff9802f,0xabdfffff,0xffffeecb,0x00032e1f,0x007fffd5,0xffffff98,
    0x7ff541ef,0x7fcc003f,0x01efffff,0x88000000,0x000bcecb,0x00002040,
    0x3732a200,0x0001abcd,0x3ffffff2,0xffd101ef,0xffffffff,0x6e5440df,
    0x774401bc,0xffffffff,0xffffffff,0x000fffff,0x7ffffe40,0xfd101eff,
    0xffffffff,0x3fff2dff,0x101effff,0xfffffffd,0x000dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x76e54400,
    0xfffffeee,0x20007fff,0x4009ba99,0x7310000b,0x00000035,0xb105bb91,
    0x00350001,0x7fffe400,0x7400000e,0x0000ffff,0xbffffd10,0x7fec0000,
    0xfa8003ff,0xfc81ffff,0x44007fff,0xfffffffc,0xaffeccce,0xffc98000,
    0xbcefffff,0x44003e21,0xffffffdc,0x00003def,0x7fffffcc,0x4001f91c,
    0x000efffb,0x0effff80,0x7fdc0000,0x00005fff,0x01ffffa2,0x7fffcc00,
    0xffc8007f,0x3ff602ff,0xfd1001ff,0x9fffffff,0x98003fd8,0xacfffffe,
    0xceffdcaa,0xffa800ff,0xdb88adff,0x0001efff,0xffffffd0,0x800fffff,
    0x003fffff,0x077ffd40,0x3fe20000,0x001fffff,0x3fffa200,0xffe80002,
    0x4003ffff,0xd802ffff,0xf8804fff,0xffffffff,0x000fec4f,0x2fffffee,
    0x3fffa600,0x3ff6200f,0x3fea01ff,0x4c0004ff,0xffffffff,0x2a003fff,
    0x007fffff,0x007ffe40,0x7ffe4000,0x0005fffc,0x02fff440,0x37ffea00,
    0x5000fffe,0x6c005fff,0xffd807ff,0xffffffff,0xb000fec4,0x003fffff,
    0xa807ffe4,0x802fffff,0x00effffb,0x3661f500,0x005fffff,0x3fffffdc,
    0x07ffe000,0x3fe60000,0x03ffd32f,0x7ff88000,0xa7ff4000,0x9004ffd8,
    0xfb0007ff,0x7ffcc03f,0xffffffff,0xc800fec4,0x001fffff,0xf880ffd8,
    0x2004ffff,0x006ffffc,0x33260730,0xfffa8002,0x2a0006ff,0x000001ff,
    0xfe881dfb,0xf9800006,0xff70002f,0x001ff905,0x220007ff,0x3ff204fe,
    0xffffffff,0x400fec4f,0x04fffffa,0xb01ff100,0x001fffff,0x1fffffcc,
    0x00000000,0x17ffffe6,0x001eb800,0x01bf5000,0x000017ec,0x44001f4c,
    0x13ee01ef,0x80007d30,0x3ff605d8,0xffffffff,0x200fec4f,0x0ffffff9,
    0x503ee000,0x00bfffff,0x1ffffff0,0x03310000,0xfffff000,0x00000007,
    0xa8014c00,0x00000001,0x4c0054c0,0x00000002,0x3fffffa0,0x44ffffff,
    0x7fec01fd,0x40005fff,0x3ffe20f8,0xc8003fff,0x006fffff,0x7fff65c4,
    0x002cdeff,0x00fffff4,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffffe,0x7ec4ffff,0x3fffe201,0xc80002ff,0x3ffffee0,0xffa8000f,
    0x5001ffff,0x115bffff,0x03dfffb7,0x43ffff20,0xfffffffc,0x201effff,
    0xfffffff9,0xfffffd16,0xffffffff,0xffffffff,0xffffe885,0xffffffff,
    0xffffffff,0x7fff442f,0xffffffff,0xffffd15f,0xffffffff,0x3ffffa2b,
    0xffffffff,0xffffff95,0xd89fffff,0x3ffee01f,0x00000fff,0xffffffc8,
    0xfff98000,0x6c403fff,0x2601ffff,0xa804ffff,0x7e446fff,0x0effffff,
    0x3bffa600,0xfffff502,0xdb9999ff,0x05ffffff,0x7fffffd4,0xfedccccf,
    0x202fffff,0xfffffffa,0x3ffea00e,0x200effff,0xfffffffa,0x7fffd40e,
    0x4fffffff,0xffd00fec,0x0000ffff,0x3fffffa0,0xfff30007,0x7cc09fff,
    0x9802ffff,0x200effff,0xfb04fff8,0x00bfffff,0xb801ff50,0x407fffff,
    0x402fffea,0x07fffffb,0x017fff54,0x3fffffee,0xffffb801,0xffb801ff,
    0xf881ffff,0xffffffff,0x00fec4ff,0x0dffffff,0x3ffe0000,0x10006fff,
    0x0dffffff,0x0fffffe2,0x6ffffc80,0x8817ff40,0x0fffffff,0x4017ec00,
    0x07fffffa,0xa805ff90,0x007fffff,0xfb805ff9,0x800fffff,0x0ffffffb,
    0xfffffb80,0xfffff00f,0x89ffffff,0xfff101fd,0x0000dfff,0xffffff30,
    0x7ffc000d,0xffb07fff,0x44001fff,0x203fffff,0x3ee00ffc,0x004fffff,
    0x7d4017e2,0x2007ffff,0x7fd402fd,0x36007fff,0x7ffd402f,0xfa800fff,
    0x800fffff,0x0ffffffa,0xffffff50,0xfd89ffff,0xfffff501,0x500000bf,
    0x0bffffff,0x7ffffc00,0x7ffd40ff,0xfe8005ff,0xf700ffff,0xffffd00f,
    0x3f6001ff,0xffff5000,0x17c400ff,0x3ffffea0,0x00be2007,0x0ffffff5,
    0x3ffffea0,0xffff5007,0xfffc80ff,0x44ffffff,0xfff501fd,0x0000ffff,
    0xffffff30,0x7ffc000d,0x7fc47fff,0x8003ffff,0x06fffffc,0xff500bf3,
    0x300bffff,0x7fd4007f,0x05307fff,0xfffa805d,0xd05307ff,0xffffa805,
    0xfff5007f,0x3ea00fff,0xb807ffff,0xffffffff,0xf980fec4,0x007fffff,
    0xffff8800,0xf10007ff,0xb8dfffff,0x00ffffff,0xfffffa80,0x004f881f,
    0x3ffffffd,0x54006e80,0x707fffff,0xfa805907,0x7707ffff,0xffa80590,
    0xf5007fff,0x200fffff,0x07fffffa,0xffffd710,0x101fd89f,0x3fffffff,
    0xfff00000,0x2000ffff,0x5ffffff9,0x7fffffe4,0xfff98000,0x07f02fff,
    0x3ffffe60,0x007ee05f,0xffffff50,0x54000f20,0x907fffff,0x3fea0007,
    0xf5007fff,0x200fffff,0x07fffffa,0x4fca9880,0xfff00fec,0x0005ffff,
    0xfffffd00,0xff50001f,0xfe87ffff,0x0007ffff,0x9ffffff1,0xfd800b60,
    0x882fffff,0xffa8005f,0x07f07fff,0x3fffea00,0x0007f07f,0x1fffffea,
    0x7ffffd40,0xffff5007,0xf98000ff,0xf900fec4,0x007fffff,0xffff9000,
    0xf50003ff,0xf83fffff,0x007fffff,0xffffff10,0xf100020b,0x90dfffff,
    0xff50001f,0x7f70ffff,0x3ffea000,0x03fb87ff,0xfffff500,0x3ffea00f,
    0xff5007ff,0x8000ffff,0x00fec4f9,0x9ffffff1,0xff100000,0x0005ffff,
    0x8bfffff7,0x6ffffff9,0xffff1000,0x40000fff,0x2ffffffc,0x54000fe6,
    0x547fffff,0xf50003ff,0xfa8fffff,0xff50003f,0x2a00ffff,0x007fffff,
    0x0ffffff5,0x6c4f9800,0x7ffec01f,0x000007ff,0x0bfffff7,0xfffffd00,
    0xfffffa83,0x3fe0005f,0x000fffff,0xfffff100,0x000374ff,0x7ffffff5,
    0x007fffb9,0x3ffffea0,0x3fffdcbf,0xffff5000,0x3fea00ff,0xf5007fff,
    0x000fffff,0x0fec4f98,0x3ffffe20,0x0e20003f,0x07fffff4,0xfffff500,
    0xfffff309,0x7fc000df,0xda87ffff,0x7fdc001c,0x2fbbffff,0x3ffea000,
    0xffffffff,0xff50003f,0xffffffff,0x2a0007ff,0x007fffff,0x0ffffff5,
    0x3ffffea0,0x27cc0007,0x3ea007f6,0x000effff,0xff504e88,0x6c009fff,
    0x880fffff,0x07ffffff,0xfffff100,0xffffc8df,0x7fffc001,0x0005ffff,
    0x7fffffd4,0x03fffba9,0xfffff500,0x7fff753f,0x3ffea000,0xff5007ff,
    0x2a00ffff,0x007fffff,0x3f627cc0,0xffff9001,0xee9800df,0x3fffe601,
    0xfff9800f,0x3ffe00ef,0x10007fff,0x4bffffff,0x04fffff8,0x7ffffdc0,
    0x540000ff,0x4c7fffff,0xf50003ff,0xf98fffff,0xff50003f,0x2a00ffff,
    0x007fffff,0x0ffffff5,0x6c4f9800,0x3fea001f,0x4c01efff,0xf9800dfc,
    0x2600efff,0x400effff,0x0ffffffd,0xffff9800,0x3ffe63ff,0xfe8006ff,
    0x0006ffff,0x7fffffa8,0x50003fa8,0x50ffffff,0x3ea0007f,0x5007ffff,
    0x00ffffff,0x1fffffea,0xd89f3000,0x7f44001f,0x9abdffff,0x003fffdb,
    0x57fffec4,0x3fffee60,0xffff9004,0xf50003ff,0xe83fffff,0x8003ffff,
    0x06fffffc,0xffffa800,0x0007f07f,0x1fffffea,0xfa8001fc,0x5007ffff,
    0x00ffffff,0x1fffffea,0xd89f3000,0xf930001f,0xffffffff,0x4400039d,
    0xffffffeb,0x2000beff,0x2ffffff8,0xffffc800,0xefffa85f,0xfffc8000,
    0xa80006ff,0xb07fffff,0xfa805407,0x7b07ffff,0xffa80540,0xf5007fff,
    0x200fffff,0x07fffffa,0x3627cc00,0xa980001f,0x0001adea,0xfffff700,
    0x7dc0009f,0x8005ffff,0x01fffffe,0xfc80006a,0x0006ffff,0x7fffffa8,
    0x80740770,0x07fffffa,0xa8074077,0x007fffff,0x0ffffff5,0x3ffffea0,
    0x27cc0007,0x800007f6,0x00000dfa,0x7fffff40,0x3fa0000f,0x2000ffff,
    0x05fffff8,0x7fe40000,0x80006fff,0x07fffffa,0xa81ea031,0x107fffff,
    0xfa81ea03,0x5007ffff,0x00ffffff,0x1fffffea,0xd89f3000,0xf100001f,
    0x00001fff,0x7ffffcc0,0x3ea0004f,0x2004ffff,0x00fffffc,0x7fe40000,
    0x80006fff,0x07fffffa,0x3ea06d80,0x8007ffff,0x3ffea06d,0xff5007ff,
    0x2a00ffff,0x007fffff,0x3f627cc0,0xf5100001,0x000007ff,0xffffffb8,
    0x3fee0003,0xf9800fff,0x0001ffff,0xffffc800,0xfa80006f,0x000fffff,
    0xffa817f2,0x2000ffff,0x3fea05fc,0xa800ffff,0x00ffffff,0xffffffa8,
    0x13e60000,0x800003fb,0x00003ffd,0xfffffa80,0xf70001df,0x4401dfff,
    0x001fffff,0xfff90000,0x50000dff,0x01ffffff,0xa813fee0,0x00ffffff,
    0x5409ff70,0x00ffffff,0xffffffa8,0xffffa800,0x260000ff,0x000fec4f,
    0x03fff100,0x3a600000,0xceffffff,0xfb3003bc,0x2a215dff,0x00cffffc,
    0x3f600000,0x0007ffff,0xffffffb8,0x7fff5402,0x3fffee03,0x7f5402ff,
    0x3fee03ff,0xb801ffff,0x01ffffff,0xffffffb8,0x13e60001,0x700003fb,
    0x0005ffd9,0xffb30000,0x07ddffff,0xffffda80,0x1cffffff,0x54000000,
    0x4fffffff,0x3ffe6000,0xabdfffff,0xffffeecb,0xffff301f,0x757bffff,
    0xfffffdd9,0x3fffe603,0x7cc05fff,0x05ffffff,0x7fffffcc,0x3a60005f,
    0x0000f643,0x00056664,0x4c400000,0x2600001a,0x01abccba,0x76c00000,
    0xffffffff,0x400eefff,0xfffffee8,0xffffffff,0xffffffff,0x3fffba20,
    0xffffffff,0xffffffff,0x3fba20ff,0xffffffff,0xffdd15ef,0xffffffff,
    0x3ffba2bd,0xffffffff,0x0000005e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20772200,0x00000bda,0x2e20e64c,0x9800002d,
    0x05981dec,0x00000000,0x2066cc00,0x00002db8,0x26073b26,0x32600005,
    0x016dc41c,0x03a60000,0x36a07722,0x3ffff60b,0xe8001fff,0x3fee1fff,
    0x2200005f,0x7fec7fff,0x2a00003f,0x8befffff,0x000006e8,0x0017df91,
    0x7fff9800,0x0017ffec,0x7ffffd40,0x006d88be,0x8ffff100,0x0003fffd,
    0x7f417200,0x3ffee1ff,0x0bffff65,0xffff9800,0x03ffffa4,0x7ffe4000,
    0xdffff12f,0x3fe20000,0xffffffff,0x9800005f,0x00ffcbff,0x3fff2000,
    0xbffff32f,0xfff88000,0xffffffff,0xff900005,0x3ffe25ff,0x1000006f,
    0xffff505f,0x87ffff49,0x0005fffd,0xb1ffffc4,0x0000ffff,0xf0ffffd4,
    0x0000bfff,0x3fffffee,0x001fffff,0x7c46c800,0x3ee00003,0xfff11fff,
    0xfb80009f,0xffffffff,0x500001ff,0x7fc3ffff,0x000005ff,0x3ffe20f5,
    0x9bfff63f,0x0005fffd,0x260effc8,0x00003fff,0x3ee2fff4,0x900001ff,
    0x7fffed4d,0x8800003f,0x0006c83f,0x717ffa20,0x80003fff,0xfffd50ec,
    0x800009ff,0x7fdc5ffe,0xd000001f,0x077fe409,0x7ec7fff3,0x100005ff,
    0x00005403,0x05101980,0x881b8000,0x00001cca,0x0d907f10,0x20130000,
    0x59000028,0x0039b510,0x44066000,0x22000002,0x500c401f,0x04fffd81,
    0x00000000,0x00000000,0x00000000,0x3f88d900,0x00000000,0x00000000,
    0x00000000,0x000d9000,0x13fff600,0x06620000,0x00000000,0x00000000,
    0xff980000,0x00007fcc,0x00000000,0x00000030,0x00000060,0x000003f8,
    0x0009fffb,0xfffecb88,0x002cdeff,0x7ffffff4,0x84ffffff,0xfffffffc,
    0xfffff53f,0x5007ffff,0xffffffff,0x3f220005,0xe88000bf,0xffffffff,
    0xffffffff,0x002fffff,0x00005d00,0x0005d000,0xfffdb980,0xfffd102f,
    0xffffffff,0x13fff6bf,0xffffa800,0xffdb88ad,0x7d4001ef,0x0cffffff,
    0x1fffe980,0xffffff50,0x362003ff,0x80001eff,0x500006f9,0x9fffffff,
    0xfffdb999,0x00005fff,0x00000df3,0x0006f980,0x3afbfea0,0x7d404fff,
    0x0effffff,0x0027ffec,0x0ffffec4,0x09ffff30,0xfffffd80,0x3fe6000f,
    0x7fffcc01,0x1000efff,0x200003ff,0x00001ffd,0x0ffffff7,0x02fffea8,
    0x01ffd800,0x3f600000,0xfc80001f,0x3fffe66f,0x7fffdc05,0xfffd81ff,
    0x7ffcc004,0xff9802ff,0xf9000eff,0x000fffff,0x3fee00ff,0x005fffff,
    0x440001f6,0x00005fff,0x0ffffff5,0x000bff20,0x00bfff10,0x3fe20000,
    0x7d40005f,0x3ffee2ff,0x3fee00ff,0xfd80ffff,0x3e2004ff,0x2003ffff,
    0x006ffffc,0x0ffffff9,0x2e00dd00,0xffffffff,0x000f9004,0x03ffff20,
    0x3ffea000,0x3f6007ff,0x7fe40002,0x000000ff,0x00ffffc8,0x83fffa00,
    0x02fffffe,0x3fffffea,0x04fffd80,0x3fffff60,0x3ffe2000,0xffc803ff,
    0xe8006fff,0xffbf7006,0x005fffff,0xf10000d9,0x0009ffff,0xffffff50,
    0x0017c400,0x9fffff10,0xf8800000,0x0004ffff,0x7ccffff7,0x200ffffb,
    0x07fffffa,0x2009fffb,0x05fffffa,0xfffffe80,0x7fffe400,0x06e8006f,
    0xfffd1f70,0xc803ffff,0xffb80006,0x0000ffff,0x3fffffd4,0x002e8298,
    0x3ffffee0,0x2000000f,0x0ffffffb,0x6fffe800,0x01f75db2,0x1fffffea,
    0x4027ffec,0x3ffffff8,0xffffc800,0x7ffe406f,0x6e8006ff,0x3fe6f700,
    0x00efffff,0x3a0001b2,0x03ffffff,0x7fffd400,0x5907707f,0x7fff4000,
    0x00003fff,0x3fffffa0,0x7fc4003f,0x000be7ff,0x1fffffea,0x4027ffec,
    0x0ffffffb,0xffffa800,0x3ff201ff,0xe8006fff,0x7d4f7006,0x05ffffff,
    0xf50001b2,0x0dffffff,0xffffa800,0x0007907f,0xfffffa80,0x000006ff,
    0xfffffff5,0xfff9800d,0x000fa8ff,0x7fffffa8,0x009fffb0,0x1ffffff9,
    0xffff3000,0x7fe405ff,0xe8006fff,0xfb8f7006,0x04ffffff,0xee8000d9,
    0x2ffffffa,0x3ffea000,0x007f07ff,0xffaee800,0x0002ffff,0xfffaee80,
    0x2a002fff,0x4d9fffff,0xffff5000,0x3fff60ff,0xffffe804,0xff10007f,
    0x6409ffff,0x006fffff,0x0f7006e8,0xfffffffb,0x4000d905,0xfffff2f9,
    0x7d4000df,0xfb87ffff,0x3e600003,0xdffffff2,0x2f980000,0x0dffffff,
    0x7ffffd40,0xf50001fb,0x360fffff,0xff804fff,0x0007ffff,0xbffffff1,
    0x7ffffe40,0x006e8006,0x3fffa0f7,0x3640ffff,0x7dcdb000,0x001fffff,
    0xffffff50,0x0003ffa8,0xfffb9b60,0x00001fff,0xffffb9b6,0xff1001ff,
    0x000dffff,0x3fffffd4,0x404fffd8,0x6ffffff9,0xffff1000,0x7fe40fff,
    0xe8006fff,0x220f7006,0xefffffff,0x44001b20,0x3fffe23f,0xf50005ff,
    0xb97fffff,0x00007fff,0xfff88fe2,0x00005fff,0x7ffc47f1,0x3e005fff,
    0x003fffff,0x3ffffea0,0x09fffb07,0xffffffa8,0x3ffe0005,0xf900ffff,
    0x000dffff,0x81ee00dd,0xfffffff9,0x64001b25,0x7fffe40f,0xfa8000ff,
    0xffffffff,0x00003fff,0xfffc81f9,0x80000fff,0x7ffe40fc,0xfb000fff,
    0x0007ffff,0x3fffffd4,0x404fffd8,0x6ffffff9,0x3fffe000,0x3ff207ff,
    0xe8006fff,0xb80f7006,0x3fffffff,0x9f1000d9,0xffffff30,0xfff50009,
    0xff753fff,0xf100007f,0xfffff309,0xf880009f,0xfffff984,0xfff7004f,
    0x12203fff,0x7fffffa8,0x809fffb0,0x7ffffff8,0xffff1000,0x7fe40dff,
    0xe8006fff,0x900f7006,0x3fffffff,0x1f7000d9,0x3fffffa0,0xfffa8007,
    0x1ffcc7ff,0x807dc000,0x07fffffe,0xe807dc00,0x007fffff,0x3bfffff6,
    0xf50174c1,0x360fffff,0xff804fff,0x0007ffff,0xbffffff1,0x7ffffe40,
    0x006e8006,0x3ffa00f7,0x06dfffff,0x3ea05e80,0x003fffff,0x3fffffd4,
    0x40001fd4,0x3ffea05e,0x20003fff,0x3ffea05e,0xf1003fff,0xbfffffff,
    0xffa807fd,0xffb07fff,0xfffb009f,0x30001fff,0x07ffffff,0x37ffffe4,
    0xb802f400,0xffff1007,0x800dffff,0x99999bfa,0xffffff99,0x7ffd4006,
    0x007f07ff,0x999bfa80,0xffff9999,0xf50006ff,0x33333337,0x0dffffff,
    0x7ffffd40,0xa804ffff,0xb07fffff,0xf9009fff,0x003fffff,0xffffff50,
    0x7fffdc03,0x05f8007f,0x7cc00f70,0x06ffffff,0x7fffff40,0xffffffff,
    0x2a002fff,0xb07fffff,0x3a005407,0xffffffff,0xffffffff,0xfffe8002,
    0xffffffff,0x002fffff,0xfffffdf3,0x3fea005b,0xffb07fff,0xfff1009f,
    0x90005fff,0x80bfffff,0x07fffffb,0xf7004f80,0xffffa800,0x3e6006ff,
    0xaaaaaaab,0xffffffaa,0x3ffea005,0x407707ff,0x2afe600e,0xaaaaaaaa,
    0x05ffffff,0x5555fcc0,0xffaaaaaa,0x9005ffff,0x4000dccd,0x07fffffa,
    0x2009fffb,0x05fffffb,0xfffffe80,0x7fffd401,0x1fcc007f,0xc8007b80,
    0x006fffff,0xffc801b6,0x5001ffff,0x20ffffff,0xd80f5018,0x3fff2006,
    0x36001fff,0x3fff2006,0x3f801fff,0xfff50000,0x3ff60fff,0x3ffa004f,
    0x22000fff,0x805fffff,0x0ffffff8,0x400bee00,0xffb0007b,0x3e600dff,
    0x3ffe2003,0xf5004fff,0x000fffff,0x01fcc0db,0xffffff10,0x00fe6009,
    0xffffff88,0x0007d404,0xfffffa80,0x09fffb07,0x7ffffd40,0x3fff2004,
    0xffd000ff,0x22005fff,0x01ee006f,0x37fff440,0x4000fd80,0x0ffffffd,
    0xfffffa80,0x17f2000f,0x6c000fd8,0x00ffffff,0x6c000fd8,0x00ffffff,
    0xa8000176,0x80ffffff,0x4004fffd,0x00fffffb,0x1fffff98,0x3fffea00,
    0x7f4400ef,0x003f2002,0x037ffcc0,0x540037cc,0x04ffffff,0xffffffa8,
    0x09ff7000,0x2a001be6,0x04ffffff,0x540037cc,0x04ffffff,0x400003f1,
    0x0ffffffa,0x005fffd8,0x0effffb8,0x3ffffe20,0xfffc8001,0xfb300eff,
    0x02fe8009,0x01bfea00,0x7c001bfa,0x01ffffff,0x7fffffdc,0x7fff5402,
    0x000dfd03,0x3ffffffe,0x001bfa01,0x7ffffffc,0x00006b81,0x7fffffdc,
    0x06fffd81,0xdfffb300,0x3ff2a215,0x20000cff,0xeffffffc,0x04fffdbc,
    0x057ffe40,0x206fc800,0x003fffea,0x7fffffcc,0xfff301ef,0x57bfffff,
    0xffffdd97,0xfffea83f,0x7ffcc003,0x541effff,0x4003fffe,0xfffffff9,
    0x0001f41e,0xffffff30,0xffffb0bf,0xb500037b,0xffffffff,0x000039ff,
    0x3fffffa6,0x001cffff,0xffffffd5,0xdb0001df,0x3fffff20,0xfd101eff,
    0xffffffff,0x3fba2dff,0xffffffff,0xffffffff,0x3f20ffff,0x1effffff,
    0xfffffd10,0x2dffffff,0xfffffffc,0xfffd101e,0xffffffff,0x2000054d,
    0xfffffee8,0x35efffff,0x15555555,0x65d4c000,0x00001abc,0x2f32ea20,
    0x0000009a,0x000e2000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8000064c,0x0001aaaa,
    0x0002aea2,0x000132a0,0x510000a6,0x55440001,0x55554000,0x01510001,
    0x00154c00,0x51000053,0x00597015,0x2ea62000,0x04d8009a,0x37bfd730,
    0x3fea0001,0xd88006ff,0x00dffcff,0x007ff100,0x1ffff540,0x03ff6600,
    0x006fd800,0x037fffdc,0x003ff660,0x201ffcc0,0x0dffffd8,0x20dfb000,
    0x200006fc,0xfffffeb8,0xfc82efff,0x77ffdc02,0x01dfffef,0x7fffffc0,
    0x3ffe6003,0x003fff72,0x4000dfb0,0x2fc89df8,0x7fff5c40,0xff50000f,
    0x7ffc4003,0x5c402fff,0x000ffffe,0xfd00bfd0,0x009ffffd,0x2a03ff50,
    0xc80000ff,0x98acffff,0x72efffec,0x7ff4407f,0xff933f72,0x3fee00df,
    0x000fffff,0x7fc4fffd,0x7fdc006f,0x21ee0001,0x74d4c06d,0x88000fff,
    0x7e4004ff,0x406fffff,0x0fffe9a9,0x00ffb800,0xffff3264,0x27fc4001,
    0x8000ffe0,0x01ffffe8,0x3fbfffe6,0x87ffa204,0x1ffee1fb,0x2bbffe20,
    0xfb803fff,0x7fffc6ff,0x07ff1003,0xfa84e800,0x1fffb001,0x00dfb000,
    0xfbdfff98,0xffb003ff,0xff98001f,0xffc81803,0x037ec006,0xa8002fec,
    0x800fffff,0x00fffffa,0x3f71bff2,0xfd807fb8,0x03ffe64f,0xe8dfffd0,
    0xfb006fff,0x0d90000d,0x7fec00f9,0x7fd4000f,0x27fec001,0x3600fff3,
    0x74000fff,0x3fa0006f,0x3fea001f,0x00ffa801,0x7ffffc40,0x3fff6004,
    0x1fffe05f,0x80fd03f7,0xfe883ff9,0x37fffc04,0x201ffffa,0x80001ffb,
    0x00fe63f9,0x000fffd8,0x50013fe2,0x7fd305ff,0x01fffb00,0x0007fdc0,
    0x0027fdc4,0x22009ff1,0x7f4002ff,0x2001ffff,0x82fffffa,0x2e2ffff9,
    0x7407b81f,0x03f6201f,0x22ffffc4,0x200ffffe,0x00003ff8,0x03bfbff2,
    0x00fffd80,0x2001bf60,0x3fa201fe,0x07ffec00,0x003ff980,0xdfffffa8,
    0x006fd800,0xf9002fec,0x800dffff,0x0ffffffd,0x8fffffd4,0x407881fb,
    0x20130009,0x746ffff8,0x7ec07fff,0xb8800006,0xffd8001c,0x3ff5000f,
    0x20013000,0x7ffec009,0x00dfd000,0x7fffe4c0,0x00ffd403,0xf801fee0,
    0x002fffff,0x3ffffbf6,0x7fffcc5f,0x101fbaff,0x74000000,0x7ff46fff,
    0x07fee06f,0x00000000,0x2003fff6,0x00004ff8,0xfffb0000,0x01ff7001,
    0xdfff5000,0x0027fc40,0x54017fc4,0x01ffffff,0xfff77f70,0xfff81fff,
    0x01ffffff,0x99999970,0x66666447,0xfffd80cc,0x827fffc7,0x00003ff8,
    0x77ff6e54,0xfffb000c,0x01dfb001,0xfedca800,0xfb000cef,0xff9801ff,
    0x3fa00003,0x03bf606f,0x4027f400,0x0ffffffd,0xff34fa80,0xfb85ffff,
    0x3fffffff,0xffffb300,0xffffb8df,0xfff981ff,0x03fffe27,0x000037ec,
    0xfd77dfb1,0xfb003fff,0xffa801ff,0x3f620001,0xffffebbe,0x0fffd801,
    0x00037f40,0x5413fea0,0x2e0001ff,0xffff807f,0x7cc00fff,0x3ffffe25,
    0xffffd84f,0x000dffff,0x70dfffff,0x203fffff,0xff31fffc,0x07fee07f,
    0x27fdc000,0x007ffff4,0x8807fff6,0x2e0004ff,0xfffe84ff,0x7ffec00f,
    0x003fee01,0xf5037660,0x09ff101d,0x01ff9800,0x3fffffe2,0x2237cc07,
    0x05ffffff,0xfffffffb,0xffd005ff,0xfff50dff,0x7fdc03ff,0x102ffd9d,
    0x200009ff,0xfb86fff8,0x7f406fff,0x3bf602ff,0xfff10000,0xdffff70d,
    0x02fffe80,0x20007ff3,0xe99cfffc,0x01dfb01e,0x409fd000,0x6ffffff9,
    0xf103ba20,0x40ffffff,0xfffffffb,0x7fec04ff,0xfff986ff,0x6dcc01ff,
    0x3f600bde,0xb8019806,0x7d41ffff,0xec987fff,0x42ceeeee,0xaa802ffa,
    0x0ffffdc0,0x21ffffea,0xeeeeeec9,0x1037f42c,0x7fee4403,0x3fea03ef,
    0x200aa802,0x3fea06fc,0x3a06ffff,0xffff880f,0x3a600fff,0xffffffff,
    0x3ffff605,0xfffff986,0x7dc00001,0xdffb101f,0x3ff203df,0x7ffd44ff,
    0x440000ff,0xffa804ff,0x27fffe40,0x03ffffea,0x03ff7000,0x017dffd7,
    0x09ff1000,0x4c01ff50,0xfff301ff,0x3f60dfff,0xfffff101,0x3ff200ff,
    0x04ffffff,0x30dffffb,0x003fffff,0x827fc400,0xffd1fffa,0x3ffff309,
    0x0fffffa8,0x077ec000,0x303ffe60,0xfa83ffff,0x0000ffff,0x3f20ffe6,
    0x006fffff,0x400efd80,0x7c00fff9,0x3fffe03f,0x02fc87ff,0x3fffffe2,
    0x3ffee006,0xd81fffff,0xf986ffff,0x0001ffff,0x7c41bf60,0x3ffee5ff,
    0x442dc982,0x00fffffd,0x00bfea00,0x301ffff1,0xffd885b9,0x20000fff,
    0xabf986fe,0x002ffffd,0x100bfea0,0xc801ffff,0x3fffa06f,0x01fdc7ff,
    0x3fffffe2,0x3fbee005,0xd84fffff,0xf986ffff,0x0001ffff,0x3603ff50,
    0x3fea4fff,0xfc8800ff,0x00fffffe,0x009ff100,0x001ffffd,0x3fffbf22,
    0xf70000ff,0xfc83903f,0xf10004ff,0xfffd009f,0x0ffa801f,0xffffff90,
    0x26013ea1,0x04ffffff,0x3ff67ee0,0xffd86fff,0xfff986ff,0x880001ff,
    0xfff104ff,0x7fffcc7f,0x2fff2202,0x00fffffa,0x801dfb00,0x00fffbed,
    0x7d5ffe44,0x8000ffff,0x26003ff9,0xb0001fff,0xbed801df,0xff800fff,
    0xfffff703,0x200bf33f,0x1ffffffa,0x323f7014,0xfd87ffff,0xff986fff,
    0x80001fff,0x3fe606fd,0x3ffe23ff,0x5fff704f,0x03ffffea,0x00bfea00,
    0x1fff51f9,0xa97ffdc0,0x000fffff,0x54006fe8,0xf50006ff,0xa8fc805f,
    0xfd800fff,0xfffff105,0x2001df7f,0x85fffffc,0x7c3f700f,0xffd86fff,
    0xfff986ff,0x540001ff,0x3fee01ff,0x3ffe23ff,0x7ffec45f,0x3ffffea1,
    0x27fc4000,0x7fd47ea0,0xfffd880f,0x3ffffea1,0x0ffdc000,0x00bff200,
    0x5013fe20,0x03ffea3f,0x5403fea0,0x0fffffff,0x3ffffa00,0xf703f82f,
    0x42fffec3,0x986ffffd,0x001fffff,0x5013fe20,0x7c47ffff,0x7ff45fff,
    0x7fffd45f,0x7fec000f,0xfa8be600,0xfffe80ff,0x7ffffd45,0x0ffe2000,
    0x007ff100,0x9803ff60,0x03ffea2f,0xd80bfe20,0x001fffff,0x17ffffe6,
    0x21fb837c,0xfd83fffc,0xff986fff,0x20001fff,0xff9806fd,0x3ffe63ff,
    0x3ffff23f,0x7ffffd42,0x0bfea000,0xcaaaef88,0x3f21bfff,0x7fd42fff,
    0x3a000fff,0x4fd8006f,0x05ff5000,0x655577c4,0xd801bfff,0x3ffe205f,
    0x3f6003ff,0xff00efff,0x7f43f707,0xffff906f,0xfffff50d,0x3fea0003,
    0xffff8801,0x8bfffe63,0x5c3fffff,0x000fffff,0xf9809ff1,0xffffffff,
    0x3ffffe4f,0x7ffffdc3,0x03ff7000,0x04c3fb80,0x2027fc40,0xfffffff9,
    0xfb804fff,0x7fffd407,0xfff9800f,0x3ffe01ff,0xff98fdc3,0xffff701f,
    0xfffff98f,0xff88002f,0x3fff2004,0x89bffea4,0x9affffff,0x1ffffffc,
    0x801ffb00,0xfeeeeee9,0xfff13eff,0xff935fff,0x1003ffff,0xfb8007ff,
    0x6c00fcc2,0x774c00ff,0xefffeeee,0x02ff8803,0x3bffffea,0x3fffe200,
    0x7fffc00d,0xfcafb8bd,0x3fe602ef,0xefb9cfff,0x002fffff,0xe8006fd8,
    0x3fff26ff,0x7fffff41,0xffffbfff,0x3ea02ccf,0x3ea0002f,0x7fff40ff,
    0xffbfffff,0x202ccfff,0x7d4006fe,0x0fffffff,0x0017fd40,0x001fff50,
    0xcf9827f4,0x1befffc8,0x7ffffb51,0x3ffae600,0xceffffff,0xffffb800,
    0xfff9cfff,0x2a000dff,0xe88001ff,0x2fff8aff,0xffffffa8,0xfffffb0d,
    0x02ffc409,0x03ffea00,0xbffffff5,0x3fffff61,0x007fee04,0xffffff98,
    0x7fc406ff,0x7fd40005,0x1fee000f,0xff7117e6,0xdfffffff,0x26200017,
    0x000bfeaa,0x3fffffc8,0xfffffff3,0x09ff1003,0xeffeb800,0x3ffae00c,
    0x77fecc2d,0x007fec04,0x03ffea00,0x30b7ffae,0x4409dffb,0x3e2003ff,
    0xffffffff,0x007fec04,0x03ffea00,0x740cc880,0x32a6200e,0x00000aac,
    0x40001fb8,0x800001ba,0x00000198,0x04400400,0x00009980,0x44004000,
    0x00198800,0x13300000,0x00000000,0x00000440,0x03aa0000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa00000,0x2a0001aa,0x00001aaa,0x5d440000,0x3aa0019a,
    0x0001eeee,0x4eeeed80,0x00000000,0x09ddddb0,0x3bbbb600,0x77776404,
    0x00000005,0x88000440,0xb8002201,0x0006ffff,0x00dffff7,0x320efecc,
    0x366003ef,0xefffefff,0xffff9002,0xf8800007,0x2000efff,0x7dc1dfd8,
    0x3e60003f,0x8000efff,0x806ffff9,0x01ffffe8,0x261f7e40,0xb1000dfe,
    0x260019ff,0x740beffe,0xffff1003,0xf88005ff,0x002fffff,0x7d4bfffb,
    0xfa800fff,0x3ffe64ff,0xfff9005f,0xfb80000d,0x64000eff,0x3fe65fff,
    0xf90001ff,0x20001dff,0x000efffc,0x009fffd1,0xd07fffd4,0x36009fff,
    0x9803ffff,0xdfffffff,0xf9002fdb,0x00dfffff,0xffffffc8,0xfffff006,
    0x01ffffe4,0x2a1bfff2,0xb003ffff,0x00003fff,0x0007fff4,0xb87ffffc,
    0x0003ffff,0x0001dffd,0x00077ffc,0x801fffa2,0xf33ffffc,0xf100dfff,
    0xb00dffff,0xffffffff,0xf3001fff,0x5fff7bff,0x37ffe600,0xd803fffb,
    0x3fe65fff,0x3fe200ff,0xfff985ff,0x3ff6007f,0xff100003,0x3f20003f,
    0x3ffe65ff,0xff98001f,0x3e60000e,0xd10000ef,0x3e6003ff,0x3ffa0fff,
    0xfff8803f,0xcef806ff,0xfffffffd,0x49ffb004,0xfb006ffa,0x03ffcc9f,
    0x2e06fec4,0x7fe402ef,0xfff884ff,0x3f6001ff,0xff700006,0x7ec40003,
    0x01f75c1d,0x000ffc80,0x00077e40,0x8013fa20,0x7ecc2efb,0xfff9000c,
    0x21f8805f,0x04fffeb8,0xf305ff50,0x2ffa807f,0x0003fe98,0x3fff6000,
    0xffff884f,0x0ff4002f,0x00ff4000,0x00000000,0x40000ff4,0x100000ff,
    0x000000ff,0x03efb880,0x004c4030,0x74403dd0,0x100ff407,0x000001fd,
    0x13ffff60,0x07ffffe2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00260000,0x0013004c,0x00000026,0x427ffff4,0x00fffff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xca800000,0x00ceffed,0x84ffffe8,0x802ffff9,0xceffedca,0x33332e00,
    0x333223cc,0x65c0cccc,0x223ccccc,0x0ccccccc,0xffedca80,0x64c000ce,
    0x4003dffd,0x03dffdc9,0x6ffee4c0,0x80000003,0xceffedca,0xfdc98000,
    0x64c003df,0x000bdffd,0xfd77dfb1,0xfe803fff,0x7f4c4fff,0x7ec402ff,
    0xffffebbe,0xffffb301,0xffffb8df,0x7fecc1ff,0x7fdc6fff,0x2201ffff,
    0xffebbefd,0xff5001ff,0x01bff75d,0xf75dff50,0xff5001bf,0x01bff75d,
    0x44007700,0xffebbefd,0x3ea001ff,0x0dffbaef,0xbcfffb80,0x2e00effd,
    0xfffe84ff,0x3fffa00f,0x0ffff24f,0x3a13fee0,0x3e00ffff,0xfb86ffff,
    0xff01ffff,0xff70dfff,0x3ee03fff,0xffffe84f,0x237fe400,0x3200effc,
    0x77fe46ff,0x91bff200,0xd8001dff,0x09ff7002,0x001ffffd,0xffc8dff9,
    0x3fff600e,0x07fffe21,0x2e1bffe2,0x3a06ffff,0x2e64ffff,0xf103effe,
    0xfff70dff,0x7fff40df,0xffffa86f,0xffffd01f,0xfffff50d,0x0dfff103,
    0x40dffff7,0x7c42fffa,0xfff504ff,0x04fff885,0xf885fff5,0x17c004ff,
    0x437ffc40,0x406ffffb,0x7c42fffa,0xfff904ff,0x1ffff50d,0x41ffffb8,
    0x207ffffa,0x884ffffe,0xfb83fffe,0x7fd41fff,0x3ff607ff,0xfff986ff,
    0xfffb01ff,0xffff30df,0xffff703f,0x7ffffa83,0x01ffff10,0xf881ffff,
    0xfff80fff,0x7fffc40f,0x00ffff80,0xf7001f50,0xffa83fff,0x3fe207ff,
    0xffff80ff,0x27fffc40,0x227fffcc,0x544ffffc,0xd00fffff,0x2e09ffff,
    0x7e40ffff,0x7fd44fff,0xffb00fff,0xfff30dff,0x3ff603ff,0xfff986ff,
    0xfffc81ff,0x7fffd44f,0x7fffc80f,0xc87fffd0,0xffd07fff,0x7fffc87f,
    0x007fffd0,0x3f200bf7,0x7fd44fff,0xff900fff,0x3fffa0ff,0x1ffffe43,
    0x4c7ffff8,0x7d41ffff,0xfd00ffff,0x3ea09fff,0x7fcc5fff,0x7ffd41ff,
    0xfffb00ff,0xffff30df,0x3fff603f,0xffff986f,0xffff981f,0x7ffffd41,
    0x06fffe80,0xfe89fffd,0xfffd06ff,0x06fffe89,0xd809fffd,0xff3002ff,
    0xfffa83ff,0xfffd00ff,0x13fffa0d,0x205fffff,0x4c0fffff,0x7fec42dc,
    0xffd00fff,0x3fe609ff,0x2dc987ff,0x7ffffec4,0xdffffb00,0x3fffff30,
    0x1bffff60,0x07ffffe6,0x36216e4c,0xf80fffff,0x9999efff,0x7c6fffe9,
    0x9999efff,0x7c6fffe9,0x9999efff,0x306fffe9,0x9800dffd,0x7fec42dc,
    0xfff00fff,0xd33333df,0x7fc4dfff,0xfff02fff,0xf91005ff,0x01fffffd,
    0x413ffffa,0x01fffff9,0xfffefc88,0xfffb00ff,0xffff30df,0x3fff603f,
    0xffff986f,0x3f22001f,0x40fffffe,0xfffffff8,0x7fffffff,0x3fffffe2,
    0xffffffff,0x3ffffe27,0xffffffff,0xffffa87f,0xfc880003,0x80fffffe,
    0xfffffff8,0x7fffffff,0x0bffffea,0x027ffffc,0xff57ff91,0x3fa01fff,
    0xff304fff,0x64405fff,0xffffabff,0xffffb00f,0xfffff30d,0x3ffff603,
    0xfffff986,0xbffc8801,0x40fffffa,0x007ffffa,0x07ffffa8,0x7ffffa80,
    0xffff3000,0xfc88000f,0xfffffabf,0x7ffffa80,0xffffb800,0xfffff01f,
    0x4bffee0d,0x00fffffa,0x209ffffd,0x03fffff9,0x3ea5fff7,0xfb00ffff,
    0xff30dfff,0x3f603fff,0xff986fff,0x7dc01fff,0xffff52ff,0xffffa81f,
    0x7fd4000f,0x54000fff,0x000fffff,0x04ffffe8,0x4bffee00,0x80fffffa,
    0x00fffffa,0x7ffffd40,0xbfffff01,0x21fffd88,0x00fffffa,0x209ffffd,
    0x42fffff9,0x2a1fffd8,0xb00fffff,0xf30dffff,0x3603ffff,0xf986ffff,
    0xb101ffff,0x7fd43fff,0x7fcc0fff,0x4c002fff,0x002fffff,0x17ffffcc,
    0x3fffe200,0x83ed983f,0x2a1fffd8,0x980fffff,0x002fffff,0x0fffffcc,
    0x44fffff8,0x7d45fffe,0xfd00ffff,0x3e209fff,0x7f41ffff,0x7ffd45ff,
    0xfffb00ff,0xffff30df,0x3fff603f,0xffff986f,0xbfffd01f,0x0fffffa8,
    0x27ffffc4,0x3fffe200,0x7fc4004f,0x54004fff,0xd82fffff,0x7ff42fff,
    0x7fffd45f,0xffff880f,0x7fc4004f,0xfff02fff,0x7ffe47ff,0x7fffd42f,
    0xffffd00f,0x3ffff409,0x50bffff2,0x201fffff,0x986ffffd,0xb01fffff,
    0xf30dffff,0xf903ffff,0xffa85fff,0xfff80fff,0x20c00fff,0x00ffffff,
    0x3ffffe0c,0xff90c00f,0xfff05fff,0x7fffe4bf,0x7ffffd42,0xffffff00,
    0x7ff41801,0xfff882ff,0x3fffe1ff,0x7fffdc3f,0xffffd00f,0x7e477229,
    0x7fffc6ff,0x7fffdc3f,0xffff900f,0xfffff50d,0x3ffff203,0xfffffa86,
    0x3fffff81,0x07ffffdc,0x27ffffe4,0xfffc8b70,0x916e04ff,0x409fffff,
    0x3fffee5b,0x5fffd83f,0x70fffffe,0x201fffff,0x04fffffc,0xffff516e,
    0xbffff307,0x7fffffc4,0xfffffc9a,0xffffd01f,0x7cdfff29,0x3ffe23ff,
    0xffc9afff,0xf701ffff,0xff98ffff,0xf702ffff,0xff98ffff,0x7c42ffff,
    0xc9afffff,0x81ffffff,0x4ffffff8,0x7fc40fa8,0xfa84ffff,0x7ffffc40,
    0x260fa84f,0xa84fffff,0xfff13fff,0xff935fff,0x2203ffff,0x84ffffff,
    0xfffe80fa,0x1ffffa84,0x7ffffff4,0xfffffbff,0x7fffc2cc,0x22fff94f,
    0xfffe85ff,0xffbfffff,0x4c2ccfff,0xb9cfffff,0x2fffffef,0x9fffff30,
    0xffffdf73,0xffffd05f,0xfff7ffff,0xfb8599ff,0xbcefffff,0xfff703fe,
    0xfd79dfff,0x3fffee07,0x3febceff,0x07ffffd8,0x7ff41dff,0xfbffffff,
    0x82ccffff,0xeffffffb,0xf303febc,0xffd81fff,0xffffa84f,0xfffb0dff,
    0xfffb89ff,0x3fff14ff,0xff501df9,0x361bffff,0x704fffff,0x9fffffff,
    0x1bfffff3,0x3ffffee0,0xffff9cff,0x7ffd40df,0xffb0dfff,0x3ee09fff,
    0xffffffff,0x7fffdc03,0x403fffff,0xfffffffb,0xfff103ff,0x7fcc3bff,
    0x7ffffd41,0xffffb0df,0x7ffdc09f,0x03ffffff,0xa867ffcc,0x3ae03fff,
    0x7ecc2dff,0x7ffec4ef,0x3f6a4fff,0x3ae00bdf,0x7ecc2dff,0x7fe404ef,
    0xfff33fff,0x3203ffff,0xf33fffff,0x83ffffff,0x4c2dffeb,0x5404effd,
    0x2dfffffe,0xffffd500,0x3aa005bf,0x02dfffff,0x7ffffe44,0xd700dfed,
    0xfd985bff,0xfea804ef,0x002dffff,0xffffffb1,0x2002005d,0x02000008,
    0x01100100,0x0001ba80,0x0000dd40,0x00088008,0x0000dd44,0x40003751,
    0x88001ba8,0x01acddca,0x00110010,0x00037510,0x0009ba98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04d55d44,0x44000070,0x00009ab9,0x22055300,
    0x3baa00aa,0x00001eee,0x0a035753,0x001aa880,0x001cc880,0x75310000,
    0x51000035,0x40001577,0x20009aa9,0x0002aaa9,0xffffd950,0x417dffff,
    0xe9800079,0x03ffffff,0x06fd8000,0xfc803ff5,0x40003fff,0xfffffffb,
    0xd3003a1c,0x005fffff,0x4c07fd40,0x77e40dfd,0x7fff4c02,0x0003ffff,
    0x7fffdffb,0xffffa800,0xfe800cff,0x20003fff,0xacffffd8,0xdfff9531,
    0xc8000ff9,0xfffc9dff,0x7c00005f,0x01ff704f,0x00dfff90,0x2b7ffa60,
    0xeeffca88,0x37fee00f,0x005ffb88,0x3f60bfb0,0x3ffea5ff,0x21bf900f,
    0x0effffea,0x6cdfd100,0xe8804fff,0xffffffff,0x3ffee00e,0xf50007ff,
    0x8801bfff,0x007ffffc,0xf51bfee0,0x00007fff,0x7ec0ffe2,0x3fff6006,
    0x7ffc4001,0x3fffa602,0x83fff700,0xf8005ffe,0xffff883f,0x0bffff27,
    0x3fa07fee,0xe8806fff,0x3ffea4ff,0x3ffa202f,0xffffffff,0xfffff105,
    0x6c4007ff,0x4006ffff,0x0007fff9,0xff07fff3,0x20000bff,0x9fd01ffa,
    0x03ffd800,0x4037fec0,0xf980ffe8,0xfffc86ff,0x03fea003,0xf52fffec,
    0xff881fff,0xffffa84f,0x7ffdc03f,0x13fffea3,0xffddffe8,0x82ffffff,
    0xffdbfffc,0xfff9000f,0xf50001df,0x3f2000ff,0xfffd83ff,0xff900006,
    0x000ffe20,0xfa801bf6,0xff3003ff,0x0bfff901,0x001ffff7,0xfd881bf2,
    0x4177dc0d,0xf887fffa,0x2205ffff,0x3e64ffff,0x5f505fff,0xfffffb88,
    0x0fffcc3f,0xf5007ff9,0x0007ffff,0xe8003fdc,0xffa84fff,0xfb00004f,
    0x007fe60d,0xb800fec0,0x2e004fff,0x7fffc41f,0x3ffffa84,0x0007ff00,
    0x7fffd400,0x7fffff81,0x17fffea0,0x3a05ffff,0x3ffff202,0x4077ec4f,
    0x3e200ffb,0x000fffff,0xf8003f40,0xffb86fff,0xff00001f,0x003fee09,
    0x7fec0000,0x3f1001ff,0x84ffffb8,0x805ffffa,0x00001ff9,0x03fffe20,
    0x81bffffe,0x4c6ffffb,0x100603ed,0x545fffff,0x027d405f,0x09fffffb,
    0x000f5000,0xb07ffffe,0x200009ff,0xdfb03ff8,0x6c000000,0x001fffff,
    0xffffd83d,0x7ffff984,0x0006fc80,0x84ffb800,0x03fffff8,0x01fffff6,
    0xfffe8000,0x18800c47,0xffffff30,0x01a00007,0xafffffc0,0x0003ffc8,
    0xffddddd1,0xffdddddd,0x332e5ddf,0x3223cccc,0x40cccccc,0x3ffffffc,
    0x7ffc0980,0xfff983ff,0x27f401ff,0xdffdc980,0x2601000b,0x201fffff,
    0x00fffffd,0xffff0000,0x2e000005,0x02ffffff,0x6c000000,0xffbfffff,
    0x3e60001d,0xffffffff,0xffffffff,0xffffb33f,0xffffb8df,0x7ffd41ff,
    0x003fffff,0x0fffffe2,0x0fffffe6,0xb801ff98,0xffdbcfff,0xff90000e,
    0xffc80bff,0x00001fff,0x102fff98,0x59999999,0xfffffb00,0x0000003f,
    0xfffffb80,0x880001cf,0xefffeeee,0xeffeeeee,0x7fffc2ee,0xffffb86f,
    0x7fffc41f,0x02ffffff,0x3fffff98,0x4fffff98,0x3601fee0,0x3fe21fff,
    0x7c4001ff,0xfc806fff,0x0003ffff,0x403ffe80,0x4fffffea,0xfffffe80,
    0x0000000f,0x7ffffcc0,0x3fff601f,0x7c01ffff,0x01ff704f,0x437ffff4,
    0x81fffffa,0xfffffffa,0x2a01efff,0x983fffff,0x204fffff,0x7fe404fe,
    0xffffa86f,0x3ffee000,0xfd999104,0x999dffff,0x7ec40009,0x7c403fff,
    0x4404ffff,0x07ffffff,0x22000000,0xfffffffb,0x3ffe600e,0x3ff8802f,
    0xfd80dfb0,0xff986fff,0xff501fff,0xffffffff,0xfff501bf,0xfff307ff,
    0x3fe20bff,0x3fffe202,0x4ffff984,0x80bffa00,0xfffffff8,0x07ffffff,
    0xffffda80,0x7fc04fff,0x7cc04fff,0x006fffff,0xff700000,0xffffff5b,
    0x02ffd809,0x3a03ff50,0x7ffec04f,0xffff986f,0x3ffee01f,0xffffffff,
    0x7fffdc0e,0xffff983f,0x80ff706f,0xf03ffffc,0x2a00ffff,0x7fc401ff,
    0xffffffff,0xd8007fff,0xffffffff,0x3fffe05f,0x7ffcc04f,0x00006fff,
    0x17fec400,0x5ffffff9,0x9002fec0,0x0ffe20ff,0x0dffffb0,0x03fffff3,
    0xfffffe98,0x21ffffff,0x83fffffb,0x05fffff9,0xfff80bfb,0xffff02ff,
    0x01db001f,0xfd555510,0x5555dfff,0x3fae2000,0x02ffffff,0x809fffff,
    0x7ffffff8,0x33333100,0x03333333,0xf88dffd1,0x80ffffff,0x36000ff8,
    0x03ff306f,0x86ffffd8,0x01fffff9,0xfffffd50,0x7d4bffff,0xf983ffff,
    0xf883ffff,0x3ffe202f,0xffff02ff,0x003f005f,0x37fffdc0,0x3f620000,
    0xf05fffff,0x8809ffff,0x0fffffff,0xfffeca80,0x0cefffff,0x5c1ffff4,
    0x0effffff,0x2a2017dc,0xaaaeffaa,0xaabffdaa,0x7fffec1a,0xfffff986,
    0x7ffdc001,0x12ffffff,0x307fffff,0x505fffff,0x7fd401ff,0xfff02fff,
    0x01f009ff,0x7fffcc00,0xf9000006,0x3e0dffff,0xe804ffff,0x01ffffff,
    0x7fffff40,0xffff703f,0x3ffffa07,0x017e25ff,0x3fffffe6,0xffffffff,
    0x7ec3ffff,0xff986fff,0x801c1fff,0xfffffffb,0x0fffffe4,0x07ffffe6,
    0xff7017f6,0x3fe03fff,0x34406fff,0x7fff4000,0x3a000004,0xff07ffff,
    0xf7009fff,0x007fffff,0xffffffb8,0xbfffff00,0x3ffffe60,0x001dd4ff,
    0xfffffff3,0xffffffff,0xffd87fff,0xfff986ff,0x800741ff,0x6fffffd8,
    0x20fffffa,0x80fffff9,0x7fd403ff,0xfff01fff,0x00100bff,0x07fff900,
    0x7fd40000,0xffff05ff,0xfff1009f,0xb8009fff,0x107fffff,0x40ffffff,
    0xfffffffa,0x266001fe,0x99999ffd,0x9999cffa,0x37fffec0,0x0fffffcc,
    0xffd000fa,0x7ffecdff,0xffff983f,0x400ffa87,0x01fffff9,0x009fffff,
    0x3fea0000,0x4000001f,0xff04fffe,0x32009fff,0x005fffff,0x3fffffd4,
    0xffffff98,0x3fffee02,0xb0006fff,0x07fea0df,0x1bffff60,0x07ffffe6,
    0xff8800dd,0x3ffee5ff,0xffffa84f,0x8806fc86,0xf02fffff,0x0007ffff,
    0xff998800,0x0015c00f,0x205fffb0,0x004fffff,0x07fffff6,0xfffffa80,
    0xfffff307,0x7fe401ff,0x00dfffff,0x6413fe03,0xffd800ff,0xfff986ff,
    0x017f41ff,0x88ffff60,0xfa84ffff,0x3ff83fff,0x5ffffd00,0x3fffff10,
    0x0016dc40,0x3fffffae,0x007ee207,0x00fffc80,0x009fffff,0x27ffffc4,
    0xfffff500,0x7ffffc0f,0x3f600eff,0x1effffff,0x17fc435c,0xf9006fd8,
    0xff50dfff,0xffe83fff,0x3fff6000,0x42fffe41,0xf986fffa,0xfff5001f,
    0xffff307f,0x6ffff80b,0xffdff700,0xbbddffff,0x64c1ffff,0x2ffd801c,
    0x13ffffe0,0xfffff300,0x3ffea005,0x3ff207ff,0x81efffff,0xffffffd8,
    0x1fdbdfff,0xff01ffa8,0x3ffee009,0x7fffcc7f,0x2fff42ff,0x84fff880,
    0xfc86fff9,0x06fc83ff,0x427fff40,0x201ffffa,0x01fffffa,0xffb10df8,
    0xffffffff,0x2ffff8df,0xf017fe20,0x0009ffff,0x07ffffb1,0xffffff50,
    0x7ffff440,0xdbcfffff,0xffffddff,0x04ffffff,0x3fe20ff9,0xffff3003,
    0xffdf739f,0xffe85fff,0x7fe400df,0x07ffea06,0x3fa0dffd,0x7ffcc004,
    0x27ffec0f,0x3fffff20,0x3a17c403,0xffffffff,0x3fe62fff,0xfc80cfff,
    0x7fffc00e,0x3ea0004f,0x440aefff,0x3effffda,0x7ffff4c0,0xdfffffff,
    0x3ffffee1,0x3f605fff,0x003ff505,0x7fffffdc,0xfffff9cf,0x3ffffa0d,
    0x7fe440bf,0x6ffd400d,0x305ffb88,0xf30003ff,0x3fea19ff,0xfff9803f,
    0x9ed800ff,0xfffbffd9,0xd85fffff,0x9bffffff,0xff003feb,0x8000bfff,
    0xfffffec8,0xbdfffffe,0x7ffdc000,0x01efffff,0x9ffffff3,0xf904ff80,
    0xffc8001f,0xfff33fff,0x37a3ffff,0xefffdb88,0x2002effe,0x4fffffea,
    0x8001fee0,0xffffffd8,0x3ff6002e,0xffd3004f,0x3ff621ff,0xfb103fff,
    0xbfffffff,0x3ffee001,0x00000fff,0x57999551,0x31000033,0x40035795,
    0xc8801ca9,0x0079701c,0x8000dd40,0xbcba880b,0x2a20001a,0x02cb801b,
    0x13753000,0x002e2000,0x54c06e60,0xaa8800ab,0x220009bc,0xffffffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00040000,0x00053100,0x026aea66,
    0x20188000,0x2a620008,0x2a200009,0x99800001,0x00009aba,0x00400000,
    0x07777754,0x08802800,0x33332200,0xfb712ccc,0xb880017d,0x74c3dffd,
    0x3b220002,0x22001cff,0xfffffffc,0x260002df,0x740beffe,0x7ffe4403,
    0x800cffff,0xcffffdb8,0x3f220002,0xdfffffff,0x3b220002,0xaaabdeff,
    0x3f661aaa,0x7ffe404f,0x7fb0003f,0x7000fee0,0x19fffffd,0x9fffffff,
    0x5bffd300,0xff91bfd5,0xffb50005,0xfd88005d,0xca9abcef,0x4003fffd,
    0xfffffff9,0x2e02fdbd,0xfd51dfff,0x7fc405ff,0x1dfff52e,0x77fec400,
    0xfdca9abc,0x7dc003ff,0xfffbaeff,0x3a3fffff,0x6402ffff,0x20006fff,
    0x7fd52efc,0x3ffe6000,0xfdbeedff,0x2a02ffff,0x7fc45fff,0x2002ffff,
    0x002fffe8,0x802dffa8,0x000dffb8,0xfffffffb,0x2e01ffff,0xff886fff,
    0xffe881ff,0x077ffec3,0x016ffd40,0x006ffdc4,0x2637ffec,0x2eeeffff,
    0x0bfffff3,0x001fffb0,0x67f7fdc0,0x7ffc0000,0x7fcc5fff,0xff980fff,
    0xfffb82ff,0xff3002ff,0xf90003ff,0xfb10005f,0xb9df001d,0x9fffffff,
    0x0ffffe60,0x2237ffe4,0x7cc1fffe,0x7e405fff,0xfd88002f,0x3ffee00e,
    0x3fffe83f,0x5fffff98,0x007ffb00,0x077ff440,0x7fffc000,0xfffd80ff,
    0x7fffe85f,0x5fffff50,0x5ffff700,0x01df5000,0x406fb800,0x3fae20f8,
    0x3ff203ff,0xfff501ff,0x7fffe41f,0x2ffffe80,0x0001df50,0x3fe06fb8,
    0xffc81fff,0xfffe81ff,0x1bf6001f,0x33bf2200,0x40000eff,0x704fffff,
    0x541fffff,0xf305ffff,0xa805ffff,0x8002ffff,0xccc88ff9,0x1abccccc,
    0x01809f70,0xffd00262,0x3fe609ff,0x3fffa2ff,0xdffffb07,0x7101ff30,
    0x1157bfd9,0x7cc27dcd,0xfc81ffff,0xfc883fff,0x7f44002e,0x8bbee000,
    0x0001fffe,0x413ffffe,0x21fffff9,0x304ffffb,0x405fffff,0x004ffff8,
    0x7fd43fd0,0xfffdabff,0x002fd81e,0x7fffc000,0xffff307f,0x1ffffe23,
    0x0fffffe4,0x3fea07fa,0xffeb88af,0x3ea17ec6,0xfb80ffff,0x00005fff,
    0x07d10000,0x001ffff3,0x13ffffe0,0x1fffffc4,0x207ffffb,0x02fffff8,
    0x007ffffa,0x3f613ea0,0x3ffe22ff,0x0037c41f,0x3fffa000,0xfffa83ff,
    0x3ffffea6,0xfffffb80,0x3f613ea3,0x8df700ef,0x7ffc46f8,0xfffb80ff,
    0x0000004f,0xfffb0000,0x3ffe000b,0xfff104ff,0x7fffc9ff,0xffff103f,
    0x3ffee05f,0x1fb0006f,0xd85fff90,0x1fc84fff,0x6ffee4c0,0x7ffe400b,
    0x7fe42fff,0x3fffee4f,0xffffa80f,0xf703f64f,0x86e803ff,0x7fff41fc,
    0xffffc81f,0xb9300001,0x00017bff,0xfff51551,0xfff0007f,0x7ffc09ff,
    0xffff35ff,0x3ffe205f,0xfffd02ff,0xbf10007f,0x50bffee0,0x9f30dfff,
    0x5e7ffdc0,0xf500effd,0x29ffffff,0x320dfff8,0x981fffff,0xf15fffff,
    0x05fff98b,0x44f98698,0xd81ffffb,0x0ec07fff,0x5e7ffdc0,0xb800effd,
    0xfffffffe,0x7c000fff,0x3e04ffff,0xff55ffff,0x3e205fff,0xf982ffff,
    0xffdaffff,0x5f500cef,0x90bffee0,0x1ba09fff,0xf10fffec,0x3fa03fff,
    0xceffffff,0xfffb83ff,0xfff981ff,0xd85f56ff,0x01003fff,0xfffd11ba,
    0x05ffff09,0x7fec03e8,0x3fffe21f,0x33fff201,0x7fffff50,0xfffff800,
    0xfffff104,0x3ffffea7,0xfffff103,0xfffffb05,0xffffffff,0x2e03f703,
    0x7ffc2fff,0xf90fb02f,0xfff50dff,0xfffd101f,0x03ffffff,0x0fffffea,
    0x57ffffe6,0x7fffc1fb,0x43ec0002,0xb13fffe8,0x9f003dff,0x437ffe40,
    0xc80ffffa,0x7ec0ffff,0x7c006fff,0xf104ffff,0x3e65ffff,0xf103ffff,
    0xff05ffff,0xb115dfff,0xd83fffff,0x5fff700f,0x813fff66,0x3ffe20fc,
    0xffff984f,0xffffd104,0x2209ffff,0x986fffff,0xfb4fffff,0x0ffffc41,
    0x403f2000,0xeffeffe9,0x05f8800c,0x309ffff1,0xf989ffff,0xffa84fff,
    0x3e001fff,0xf304ffff,0x3e21ffff,0xf104ffff,0xf885ffff,0xfe84ffff,
    0x03ec6fff,0xffddfff7,0x1fb801bf,0x40fffff2,0x6c07ffff,0xffffffff,
    0xffffc80d,0x7fffcc1f,0xff98fb3f,0x5c0000ff,0x557d701f,0x7fa80015,
    0x07ffff90,0xf91ffffe,0xff305fff,0x7c007fff,0xf504ffff,0xffd8ffff,
    0xfff106ff,0xfff985ff,0xfffc84ff,0xb81f62ff,0xfffbbfff,0x3e1fc805,
    0xff02ffff,0x36601fff,0xffffffff,0xffff885f,0xfff910ef,0xf31f65ff,
    0x80003fff,0x0fec41fc,0x07fdc000,0x817ffffc,0xf10fffff,0xf105ffff,
    0x4009ffff,0x80efffff,0x4c2ffffd,0xb81fffff,0x542fffff,0x983fffff,
    0x324fffff,0x5fff700f,0xb007fffa,0x3fffe21f,0xfffff02f,0xd3dff905,
    0x9fffffff,0xfffffd30,0xffffffff,0xfff03f21,0xfd80005f,0x0003ff40,
    0x7c42ffd8,0xff02ffff,0x3fe65fff,0xff882fff,0x3e005fff,0x20efffff,
    0xb04ffff9,0x643dffff,0x42ffffff,0x03fffffb,0x5cbfffff,0x5fff702f,
    0xd01bffea,0x7ffffd4f,0x9fffff02,0xd12fffd8,0x0fffffff,0x5fffffe4,
    0x2e5ffffe,0x1ffff42f,0xf51fa000,0x066239ff,0xa89fff00,0xf02fffff,
    0x3ea9ffff,0xff01ffff,0x7c00dfff,0xdfedffff,0x406ffffd,0xfefffffd,
    0x2fffffbf,0x27ffffcc,0x27ffffe8,0xfff704f9,0x817ffec5,0x3ffee5f9,
    0xffff01ff,0x3fffdcdf,0x3fffffa2,0x88cc401f,0x262fffff,0x37ffd44f,
    0xd8bf3000,0xffffffff,0x80bdffff,0x7dc6fff9,0xff01ffff,0x3feedfff,
    0xfff01fff,0x7fc00bff,0xffd8cfff,0xc800ceff,0x88efffff,0x442fffff,
    0xd05fffff,0xfe8fffff,0x23fffc80,0xf906fff9,0x7ffffd43,0xbfffff01,
    0xe82ffff4,0x003fffff,0x437fffdc,0x7ffec0fe,0x7e40d402,0x7ffffe41,
    0xffffffff,0x7ffdc0ef,0x3fffea0f,0xfffff01f,0x3ffffeab,0x7fffff02,
    0x7ffffc00,0x0006ea24,0xff1055cc,0xffd05fff,0x3ff60bff,0x41fd45ff,
    0x7ec5fffe,0x237c44ff,0x01fffff9,0x229fffff,0xf504ffff,0x800bffff,
    0xa81ffffe,0x7fff443f,0xf881d702,0xfffff986,0xffffffff,0x7ffec7ff,
    0x3fffe61f,0xfffff01f,0x3ffffe29,0xfffff882,0x3fffe002,0x0000004f,
    0x05fffff1,0x20dffff9,0xe83ffffc,0xffff731f,0x3ffe239f,0xf10ff64f,
    0x3e05ffff,0xff73ffff,0x3fe207ff,0x26005fff,0x3a04ffff,0xdfffb81f,
    0xfb03fdbb,0x3fffe607,0xffffffff,0x3ffa1fff,0x3ffe23ff,0xffff02ff,
    0x7ffffc7f,0xfffff882,0x3fffe000,0x0000004f,0x05fffff1,0x20fffff7,
    0x981ffffc,0x5555536f,0x5554c555,0xfd05fb8a,0xff105fff,0x3fea3fff,
    0x3ff604ff,0xfd1003ff,0x6f980dff,0x59bb9510,0x8817ee01,0xeeeeeffd,
    0x3fffffee,0x8bfffff1,0x882ffffe,0x361fffff,0xf882ffff,0x7c007fff,
    0x0004ffff,0xffff1000,0xffff105f,0xffffb03f,0x0006fdc0,0x5403bea0,
    0xf983ffff,0x3fe65fff,0x3fee05ff,0xfe8802ff,0xfb800eff,0x7d40000d,
    0x0bff900e,0x4cbffee0,0x546fffff,0xf983ffff,0x7fdc5fff,0xfff983ff,
    0x7ffc005f,0x000004ff,0x5fffff10,0x0ffffee0,0xb00bfffa,0x320003df,
    0x7ff401ff,0xffffa84f,0x037fff41,0x100bfffd,0x8009fffd,0x90001efd,
    0x3fe603ff,0x9ff6000f,0x87fffffa,0xfa84fffe,0xffe81fff,0xffffa84f,
    0x7fffc001,0x0000004f,0x05fffff3,0x2237fff4,0xf7003fff,0x3aa0039f,
    0xff9800ef,0x7ffec0ff,0x2ffff984,0x00ffff88,0x01ffff44,0x01cffb80,
    0x401dfd50,0x2002fff9,0x3ffee4ff,0xfff987ff,0x27ffec0f,0xd87ffe88,
    0x44004fff,0x005fffff,0xfff50000,0xffd807ff,0x09ffb14f,0xbeffe980,
    0xffcaa99a,0x7fcc004f,0x7fff50cf,0x0ffffd40,0x403dffd5,0x00bfffd9,
    0x77ff4c00,0xfcaa99ab,0xffb004ff,0x7f4c403d,0x7ffffc43,0x19fff304,
    0x100fffea,0x3ea19fff,0x6d4004ff,0x0affffff,0xd3100000,0x17ffffff,
    0x7ffff5c0,0x260003df,0xfffffffd,0x10000bef,0xdffffffb,0xfff91005,
    0x207fffdd,0x02dffeb8,0xffd98000,0xbeffffff,0x7ff5c000,0xfffeccee,
    0xffffb01e,0x7ffec403,0x1002efff,0x9dffffd7,0xccc88005,0x1ccccccc,
    0xccc80000,0x3ccccccc,0x001ba980,0x65d4c400,0x400001aa,0x80009ba9,
    0x009bba98,0x00004d54,0xcba98800,0xa80001aa,0x1abddcba,0x00179300,
    0x0004dd4c,0x00017510,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x37533000,0x0000b801,
    0x00000662,0x13bbbb60,0xffffffd8,0xffffffff,0x0000001f,0x00000060,
    0x44000000,0x65402201,0xcccccccc,0x33333220,0x13bbbb64,0xffffff00,
    0x09ffffff,0xffc98000,0xbcefffff,0x44003e21,0xfffffecb,0x00002cde,
    0x03bfffe6,0xfffffff8,0xffffffff,0x261ffdc6,0x80000dfd,0x6440002e,
    0xdb9802df,0x2002dfff,0x40beffe9,0xfffd303e,0xd505dfff,0x7f445dff,
    0xf3000fff,0xffffffff,0x7e443fff,0x3fa6002d,0xaaacffff,0xffceffdc,
    0xffffa800,0xffdb88ad,0xc80001ef,0x2600efff,0xffffffff,0x4fffffff,
    0xd87fffe2,0x40005fff,0x740006f9,0x2a02ffff,0xfffdaeff,0x7ffc400e,
    0xfcbdffff,0x7ffff402,0x03fe603f,0x00ffffe2,0x7fffffe4,0x746fffff,
    0xb802ffff,0x00bfffff,0x03ffffa6,0x1ffffd88,0x13fffe60,0x1dffd000,
    0xfffffb80,0xffffffff,0x3ffee1ff,0xfffff14f,0x1ffd8000,0xffff3000,
    0x9bfee0bf,0x405ffff8,0xfffffffd,0x4c00ffff,0x205fffff,0x3fe604f8,
    0xffff005f,0xffffffff,0x7ffffcc7,0x7fffec05,0x3ff2001f,0xffff300f,
    0xfff3005f,0xf30001df,0xffb001df,0xffffffff,0xf88dffff,0x3ff61fff,
    0x3e20005f,0xf50005ff,0xf70dffff,0xfffd87ff,0x373be01f,0x4fffffff,
    0xfffffd00,0x3003ea01,0xfa801fff,0xffffffff,0x3fea0fff,0x3f207fff,
    0x8001ffff,0xff880ffd,0x32003fff,0x8006ffff,0xff000ffc,0x555559bf,
    0x709ffb55,0xdfd887dd,0x3ff20000,0xff0000ff,0xfff07fff,0xffffb81f,
    0x5c43f103,0x2004fffe,0x03fffffa,0x3fe600bb,0x4ccfec03,0x09999999,
    0x03fffff8,0x09fffff5,0x203fe200,0x00fffffd,0x3ffffe20,0x00ff4003,
    0xd000df88,0x000003ff,0x3fffe200,0xff70004f,0xfffb81bf,0x1ffff887,
    0x00988060,0x6ffffe80,0x26002f88,0x017e205f,0x1dfff500,0xffffff30,
    0x07dc0001,0x17ffffea,0x3ffffa00,0x2000000f,0xff1000ea,0x0000000d,
    0x7fffffdc,0x402a0000,0xd507fffe,0x0000007d,0x3ffffee0,0x00003d42,
    0x800017d4,0x3fff601a,0x440005ff,0x3fffe20f,0xfc8003ff,0x0006ffff,
    0xb8002600,0x000004ff,0x3ffffa00,0x800003ff,0x007ffff8,0x20000000,
    0x45fffff8,0xd800004e,0x01acdeff,0x7ffc4000,0x80002fff,0x3fffee0c,
    0xfa8000ff,0x401fffff,0x0bdffdc9,0x3ffa0000,0x99999101,0xa8000599,
    0x6fffffff,0xff980000,0x54000fff,0x24cccccc,0x00bdfec9,0x3fffff20,
    0x64403f11,0x82cccccc,0xfffffff8,0x700002ff,0x01ffffff,0xfff90000,
    0x30001fff,0x05ffffff,0x6de7ffdc,0x40000eff,0x75407ff8,0x004fffff,
    0x7ffd7740,0x00002fff,0x0fffffd4,0x3fff2600,0xffff57ff,0x7c400dff,
    0x0d94ffff,0xfffffd50,0xfffff709,0x05dfffff,0xffffe800,0xd000007f,
    0x00ffffff,0x3ffffe20,0x3fffb04f,0x00ffffc4,0x009ff700,0x09fffff1,
    0xff97cc00,0x0006ffff,0x7ffffd40,0xfffd0003,0xffbdf9ff,0x6c007fff,
    0x2f8fffff,0xfffff100,0xfffffd09,0xbfffffff,0x7fffc000,0x000006ff,
    0x0fffffff,0x3fffe200,0xfffc85ff,0x0ffffa86,0x03ffd000,0x13ffffe0,
    0x3ee6d800,0x001fffff,0x3fffe600,0xff90004f,0x7dc3ffff,0x3000ffff,
    0x1fdfffff,0x7ffffc00,0x7ffffc44,0xffffffff,0xff88004f,0x0006ffff,
    0xfffff980,0xff10006f,0xf88fffff,0xff984fff,0xf88004ff,0x3ffe007f,
    0xf10004ff,0x7ffffc47,0x2200005f,0x00ffffff,0xfffffc80,0x7ffffcc2,
    0x3fffa001,0x7fc004ff,0x6e4c4fff,0xfffffffe,0x002fffff,0x7fffffd4,
    0xfa800005,0x005fffff,0x3fffffe0,0x3ffff20f,0x0fffff03,0x009ff700,
    0x027ffffc,0x7e40fc80,0x000fffff,0xfd05dfb3,0x000bffff,0x10fffff9,
    0x005fffff,0x0fffffd4,0x3ffffe00,0xffd73004,0x88ffffff,0x7fd42efc,
    0x0007ffff,0xfffff980,0x3fe0006f,0x7fc7ffff,0xfff02fff,0xfd8001ff,
    0x3ffe001f,0xf88004ff,0xfffff984,0xfff9804f,0x7ffdc3ff,0x09102fff,
    0x10fffff9,0x005fffff,0x006ffff8,0x04fffff8,0xffffd980,0x3fffa1ff,
    0x3fffe62f,0x800007ff,0x7ffffff8,0xffff1000,0x7ffc4dff,0xffff02ff,
    0x7fc4005f,0x7fffc007,0x0fb8004f,0xffffffd0,0xfffffb00,0xffffe81f,
    0x427441ef,0x887ffffc,0x002fffff,0x001fffdc,0x027ffffc,0xfffff700,
    0x3ffffe67,0x3ffffe25,0x800001ff,0x07ffffff,0xfffff100,0x7fffd4bf,
    0xfffff02f,0x27fdc009,0x3ffffe00,0x205e8004,0x3ffffffa,0x7fffff40,
    0x7fffd42f,0x6fecffff,0x0fffff90,0x05fffff1,0x00fff880,0x4fffff80,
    0x7ffdc000,0xfffff54f,0xffffff8f,0xd800002f,0x00ffffff,0xfffff980,
    0x3fffee3f,0xfffff01f,0x17fec00d,0x3ffffe00,0x4dfd4004,0xff999999,
    0x5c06ffff,0x83ffffff,0xfffffffa,0xff900dff,0xfff10fff,0xfb0005ff,
    0x3ffe000b,0xc80004ff,0x3ffe4fff,0x7ffe43ff,0x00003fff,0xffffffc8,
    0xfffa8001,0x3fea1fff,0xfff01fff,0x3e200bff,0xfff8007f,0x7f4004ff,
    0xffffffff,0x2fffffff,0x3fbff220,0xfffd302f,0xfc807bff,0xff887fff,
    0x98002fff,0xfff0002f,0x300009ff,0x7fdc7fff,0x7ffc40df,0x00004fff,
    0xffffff88,0xfffc8002,0x7ffcc5ff,0xffff01ff,0x3fea009f,0xffff8004,
    0x2fe6004f,0xaaaaaaaa,0x5ffffffa,0x03ff0880,0x2003fa88,0x887ffffc,
    0x002fffff,0x3e0006a8,0x0004ffff,0x3503fff0,0x7ffffec0,0xf7000007,
    0x000bffff,0x83fffffd,0x02fffff8,0x007fffff,0x2000bff6,0x004fffff,
    0xffc801b6,0x3001ffff,0x7f9001ff,0x7fffe400,0xfffff887,0x003d8002,
    0x13ffffe0,0x037f4000,0xfffff880,0x0e20003f,0x07fffff4,0xfffff100,
    0x3ffffa0b,0xfffff882,0x07ff8801,0x9fffff00,0x800fe600,0x4ffffff8,
    0x5009f700,0x3200bfff,0xf887ffff,0xc882ffff,0x003e20df,0x4fffff80,
    0x8802cda8,0x2a0002ff,0x00efffff,0xf504e880,0x4009ffff,0x00fffffc,
    0x307ffff5,0x200bffff,0xf0005ffa,0x2009ffff,0x7ec000fd,0x800fffff,
    0xfc9800fe,0xffc800ff,0xfff887ff,0xfffb82ff,0xf0001323,0xf889ffff,
    0x2e00dfff,0xfc80004f,0x4006ffff,0x3ee01ee9,0x9800ffff,0x401fffff,
    0xfa84fffe,0xfb001fff,0x3fe0005f,0xf9804fff,0xfffa8006,0x3a204fff,
    0x3fe2001f,0xfffc801f,0xffff887f,0x5fffd83f,0xf80001f1,0x7d44ffff,
    0xa83fffff,0x2a00005f,0x01efffff,0x4006fe4c,0x00effffb,0x07ffffe2,
    0x03fffe60,0x2009fffb,0x20007ff8,0x805fffff,0xff0006fe,0x503fffff,
    0xfb8001df,0xfffb006f,0xffff30ff,0xffff707f,0xf00009d7,0xfd0bffff,
    0x79dfffff,0x000007ff,0xbfffffd1,0xfffb7357,0xffd98007,0xf9510aef,
    0x40019fff,0xf50cfff9,0x7d4007ff,0xff70005f,0x2a01ffff,0x4003fffe,
    0xfffffff9,0x800b661e,0x00effdb8,0xffffff98,0x7ffffec3,0xfffff80d,
    0xffb80005,0x6440ffff,0xdfffffff,0x4000001b,0xffffffc9,0x001cefff,
    0x3ffff6a0,0x1cffffff,0xfffb1000,0x8005dfff,0x44001cca,0xffffffff,
    0x7fffe45f,0xd101efff,0xffffffff,0x4000dfff,0x7001bcc9,0xffffffff,
    0x3fffffab,0xcc982fff,0x7fc40002,0x5fffffff,0x00acaa88,0x26000000,
    0x001accaa,0x99753000,0x80000357,0x00009ba9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55100000,
    0xdddd3001,0x3531003d,0x00a80000,0x41666664,0x104cccc9,0x9fffffff,
    0x3ffea000,0x03ffffff,0xffffffa8,0xffff92ff,0xdfffffff,0x7fffec01,
    0x3a206fff,0xffffffff,0xf90effff,0xffffffff,0x7fffd4ff,0xffffffff,
    0xfffff903,0x2ea6003f,0x7f40002a,0xfffc801f,0x7fe4403f,0x0002dfff,
    0xf803ff71,0xfb83ffff,0x7dc07fff,0x0004ffff,0x7fffffd4,0xfb1001ff,
    0xffd303df,0x005fffff,0x0dffffa8,0xffffd300,0x3aa03fff,0x1fffffff,
    0xffffff30,0xf91003ff,0xff7001bf,0x005fffdb,0x003fff90,0xa807ffff,
    0xffffffff,0x3f22003f,0x7fc01fff,0xffb83fff,0xfff807ff,0x980004ff,
    0xefffffff,0x03ff1000,0x7fffffc4,0x5ff70007,0xffff5000,0xffa807ff,
    0x4c05ffff,0x06ffffff,0x1003fe20,0x3fe6bffd,0x3ea000ff,0x7d401fff,
    0x7fcc04ff,0xffffffff,0x7fecc03f,0x7c01ffff,0xfb83ffff,0xff807fff,
    0x00004fff,0xfffffff7,0x403ec00b,0x1ffffffc,0x004fb800,0xffffff30,
    0xffffd005,0xfffb00ff,0x22001fff,0xfffd804f,0x05ffff33,0x3ffffe20,
    0x027fe401,0x3fffffa2,0x1fffffff,0xfffffda8,0x7fc01fff,0xffb83fff,
    0xfff807ff,0x700004ff,0xffffffff,0x201f2009,0x5ffffff8,0x000fd800,
    0xffffff10,0xffff7003,0xffa805ff,0x5003ffff,0xfffa803f,0x1ffff13f,
    0x3ffffa00,0x027fc01f,0x5d5677dc,0x4fffffff,0x7fdcd644,0x7c01ffff,
    0xfb83ffff,0xff807fff,0x00004fff,0xfffffbf7,0x0d9005ff,0x3fffff20,
    0x13e2000f,0xffff8800,0xfff001ff,0xfd00bfff,0x200dffff,0xfffc806d,
    0x002ae23f,0x7fffffe4,0x4017ea01,0xfffd105e,0xffb00dff,0xff803fff,
    0xffb83fff,0xfff807ff,0x700004ff,0xfffffd1f,0x06c803ff,0xffffff30,
    0x007dc009,0xfffff100,0x3ff2003f,0x5c00ffff,0x01ffffff,0x7f401fc4,
    0x20003fff,0xfffffdfa,0x0d500001,0x7fffffa8,0xfffffc80,0x7ffffc01,
    0x7ffffb83,0x4fffff80,0x26f70000,0xefffffff,0xd801b200,0x007fffff,
    0xf100013e,0x003fffff,0x3fffffe6,0x7fffc403,0x07dc04ff,0x1fffffc0,
    0xf9ef8800,0x0001ffff,0x3ffa0020,0xffb806ff,0x7fc01fff,0xffb83fff,
    0xfff807ff,0xdfd914ff,0xa9ee0037,0x5fffffff,0xfa801b20,0x802fffff,
    0x440000fa,0x01ffffff,0x3fffffa0,0xfffff806,0x802f407f,0x003fffff,
    0xfff31fb0,0xccc883ff,0x0002cccc,0x02ffffec,0x0fffffdc,0x0fffffe0,
    0x01ffffee,0x2b3ffffe,0x4fffffff,0x7fdc7b80,0x904fffff,0xfffe800d,
    0x05e806ff,0xffff8800,0x3ea001ff,0x201fffff,0xfffffffa,0x5403f302,
    0xefffffcc,0x5f7000cc,0x07ffffe6,0x3fffffaa,0x7fe40004,0xffb803ff,
    0x7fc01fff,0xffb83fff,0xfff807ff,0xfb9bffff,0x5c03ffff,0xfffffd87,
    0x006c82ff,0x7fffffdc,0x0007e601,0x3ffffe20,0x7ffc001f,0x3b605fff,
    0x05ffffff,0xfffd80d9,0x1fffffff,0x3e64f980,0xf101ffff,0x0009ffff,
    0x00ffffe8,0x1fffffb8,0x1fffffc0,0x03ffffdc,0x0ffffffc,0x0bffffe2,
    0xfffd07b8,0x6c81ffff,0x7fffc400,0x01b605ff,0x7fffc400,0x7e4001ff,
    0x880fffff,0xfffffcbf,0x4c04f80f,0xdfffffaa,0x37c400aa,0x07ffffe6,
    0x04fffff8,0x27fffc00,0xfffffb80,0x7ffffc01,0x7ffffb83,0x4fffff80,
    0x0fffff90,0xfff883dc,0x320effff,0xfffc8006,0x2f980fff,0xfff10000,
    0x98003fff,0x83ffffff,0xffff88fc,0x007d43ff,0x07fffff0,0x3e60fec0,
    0x3e01ffff,0x0004ffff,0x801bffe6,0x01fffffb,0x41fffffc,0x047ffffb,
    0x827ffffc,0x00fffffa,0x7ffcc0f7,0x1b25ffff,0x3fffe600,0x006c83ff,
    0x3fffe200,0xfe8001ff,0x4f86ffff,0x1bfffff6,0xfff800db,0x7f7003ff,
    0x3fffff30,0x27ffffc0,0x3fff9000,0x7fffdc00,0x7fffc01f,0xffffc84f,
    0xfff0950f,0x3fe609ff,0x0f702fff,0xffffffb8,0x2000d93f,0x47fffffd,
    0x200003f8,0x1ffffff8,0xffffa800,0xa87ea1ff,0x11ffffff,0xfff8005f,
    0x5f9803ff,0x3fffff30,0x27ffffc0,0x07fff000,0xfffffb80,0x7ffffc01,
    0x7ffffd45,0xfff0591f,0x3fe209ff,0x0f703fff,0xffffff90,0x2000d93f,
    0x2ffffffa,0x800003ee,0x1ffffff8,0xfffff000,0x7fc2f4bf,0x1f74ffff,
    0xfffff800,0x80774403,0x01fffff9,0x013ffffe,0x002ffdc0,0x0fffffdc,
    0x3fffffe0,0xfffdfc9b,0xf80fceff,0xf104ffff,0x2e0bffff,0xffffd007,
    0x000dbfff,0x37fffff4,0x8800009f,0x01ffffff,0xfffff900,0xf905f31f,
    0x9d1fffff,0xfffff000,0x99bfd807,0xfffa9999,0xff809aff,0x88004fff,
    0xb8000eff,0x201fffff,0xfffffff8,0xffffb2ff,0x3ffe07ff,0x3ffe04ff,
    0x00f705ff,0x3fffffe2,0x2e0006ff,0xa9ffffff,0x4400000f,0x01ffffff,
    0xfffff300,0x3e60d97f,0x1fdfffff,0xfffff800,0x7ffffc03,0xffffffff,
    0xff84ffff,0xe8004fff,0xf70000ef,0x4403ffff,0xeffffeff,0x3ffffa21,
    0x3ffffe03,0x3ffffe04,0x4c00f703,0x6fffffff,0x3ffe2000,0x005ecfff,
    0x7ffc4020,0x20001fff,0xfefffffe,0x3ffffa03,0xff0006ff,0xff807fff,
    0xffffffff,0x4fffffff,0x04fffff8,0x00077e40,0x3fffff70,0xababfcc0,
    0x002ae600,0x209fffff,0x01fffff8,0xffa800f7,0x0006ffff,0x7fffffe4,
    0xfea8001f,0x7fffc41e,0x2a0001ff,0x0fffffff,0x3ffffee0,0xfff0003f,
    0xfff807ff,0xffffffff,0x84ffffff,0x004fffff,0x37003be6,0x7ffffdc0,
    0x001fee01,0xfffff800,0xfffff104,0x2001ee01,0x06fffffc,0x7fffc400,
    0xff0005ff,0xfff98dff,0x40000fff,0x04ffffff,0x7fffffc4,0xffff0000,
    0xffff807f,0xffffffff,0xf84fffff,0x1004ffff,0x0f8801ff,0x3ffffee0,
    0x007ff601,0x7fffc000,0xffff304f,0x8003dc0d,0x006ffffd,0xfffffd80,
    0xfffa8002,0x3ffe60ff,0xc80007ff,0x801fffff,0x005ffffd,0x0fffffe0,
    0x3ffe6000,0x3ffe01ff,0x5fd004ff,0x73333333,0xfffb80dd,0x3ffa01ff,
    0xff000003,0x3ea09fff,0x1ee04fff,0x7fff4400,0xffa80006,0xf50006ff,
    0xff98ffff,0x80005fff,0x006ffff9,0x005ffff5,0x1fffffc0,0x7ffcc000,
    0x3ffe01ff,0xffc804ff,0xffffffff,0x7fe405ff,0xff101fff,0x200000bf,
    0x905fffff,0x6401dfff,0xff30000f,0x3a0000df,0x10003fff,0xfa85ffff,
    0x0003ffff,0x005fffd0,0x0007fffc,0x07fffff0,0xffff3000,0x7fffc03f,
    0x7ffdc04f,0xffffffff,0x7fe403ff,0xff301fff,0x200000ff,0x40ffffff,
    0x402ffff8,0x2a0002fe,0x700006ff,0xc8000fff,0xfffc87ff,0x2a00004f,
    0x7e4007ff,0x7fc0004f,0x80003fff,0x01fffff9,0x817ffffe,0xfffffff9,
    0x2fffffff,0x7ffffec0,0x0ffff503,0x3ffe0000,0xfb11dffd,0xffc805ff,
    0xf90000af,0x3e20000d,0xfd80003f,0xffff51cf,0xff000009,0x1ff98009,
    0x3ffe2000,0x980004ff,0x701fffff,0x01ffffff,0xfffffff1,0xffffffff,
    0x7fffdc01,0xff881fff,0xf000004f,0x3fff625f,0xd500cfff,0xdfffffff,
    0x00db0001,0x0007e400,0xffffea80,0x00003fff,0xd0001f90,0xffb8000d,
    0x0001efff,0x0fffffcc,0x3fffffe2,0x7ff45fff,0xffffffff,0xed87ffff,
    0xffffffff,0x3260efff,0x2e000002,0x0abba880,0x20000000,0x22000038,
    0xa9800003,0x00002acc,0xa8001c40,0xffd90002,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffffe8,0x84ffffff,0xfffffffc,0x7ff4003f,0x802fffff,
    0xffff901a,0xc8000dff,0x07ffffff,0x3fffaa00,0xffffffff,0x000accee,
    0x3fffffa2,0xffffffff,0xffffffff,0x7ffff4c2,0xffffffff,0x7f44000e,
    0xffffffff,0xffd15fff,0xffffffff,0x3ff203ff,0x4fffffff,0x7fffffc4,
    0x3ffea04f,0x800cffff,0x001fffe9,0x3ffff620,0x3ffe602f,0xffffa80e,
    0xf980006f,0x0007ffff,0xfffffb88,0xfffedcff,0x54003eff,0xcfffffff,
    0xfffedccc,0x3ea02fff,0x0dffffff,0xfff50000,0x401dffff,0xfffffff9,
    0xfff5001e,0x2e2015ff,0x404fffff,0x0ffffffd,0x007fe600,0x3fffe600,
    0x3fff602f,0xffffb03f,0x3f60000d,0x00007fff,0x17fffffa,0x3bffffa6,
    0x3ffee001,0x7f5407ff,0x7fe402ff,0x0000ffff,0x7ffffdc0,0xfffb801f,
    0x74002fff,0xff000dff,0xfc809fff,0x8007ffff,0xf100007f,0x2205ffff,
    0xb06fffff,0x000dffff,0x1fffff20,0xfffd8000,0x3ff205ff,0xf5003fff,
    0x200fffff,0x7dc02ffc,0x0007ffff,0xfffffb80,0xfffa800f,0x2a001fff,
    0x7fc003ff,0x7e404fff,0x8007ffff,0xf100006e,0x7405ffff,0xf903ffff,
    0x0000dfff,0x01fffff2,0xffffd800,0x7fff405f,0xffa802ff,0x36007fff,
    0x7ffdc02f,0x800007ff,0x0ffffffa,0xfffff980,0x5ff5000f,0xfffff000,
    0xffffc809,0x06e8006f,0xffff1000,0x7ffd405f,0xffff900e,0x3f20000d,
    0x00007fff,0x17fffff2,0xffffff30,0xffffa803,0x0be2007f,0xffffff70,
    0xff500000,0x2600ffff,0x00ffffff,0x0000efb8,0x809fffff,0x06fffffc,
    0x00006e80,0x05fffff1,0x7e402b88,0x00006fff,0x00fffff9,0x7fffe400,
    0xfffe805f,0x7fd406ff,0x05307fff,0xfffb805d,0x800007ff,0x07fffffa,
    0xffffff30,0x00dfc801,0x3ffffe00,0x7fffe404,0x06e8006f,0xffff1000,
    0x3200005f,0x0006ffff,0x0fffff90,0x7ffe4000,0xffb805ff,0x2a01ffff,
    0x707fffff,0xfb805907,0x0007ffff,0xfffffa80,0xffff3007,0x3fa201ff,
    0xfff80003,0x7fe404ff,0xe8006fff,0x3fae6006,0xfffff14e,0x3f200005,
    0xccc86fff,0xc81ccccc,0x3267ffff,0x9000adfe,0x00bfffff,0x9ffffff1,
    0x7ffffd40,0x20007907,0x07fffffb,0xfffa8000,0xff3007ff,0xf301ffff,
    0x3e00005f,0x6404ffff,0x006fffff,0xffd006e8,0xff3dffff,0xcc885fff,
    0x902ccccc,0x930dffff,0x017bffff,0x2afffff9,0x05ffffff,0xbfffff90,
    0x3ffffa00,0xfff500ff,0x00fe0fff,0x7ffffdc0,0xfa800007,0x3007ffff,
    0x81ffffff,0x00000efa,0x013ffffe,0x0dfffff9,0xf900dd00,0x3fa61dff,
    0xa82fffff,0x04fffffe,0x40dffff9,0x7e402ffe,0xddfcffff,0x803fffff,
    0x05fffffc,0xffffffd0,0x3fffea03,0x003fb87f,0xffffff70,0xff500000,
    0x2600ffff,0x20ffffff,0x00000ffc,0x027ffffc,0x1bfffff2,0xf701ba00,
    0xff885fff,0xf102ffff,0x3209ffff,0xf106ffff,0xfff9003f,0x7fdc3fff,
    0xffc807ff,0xfb005fff,0x205fffff,0x47fffffa,0x70003ffa,0x00ffffff,
    0xffff5000,0x3fe600ff,0xfd88ffff,0x400005ff,0x404fffff,0x06fffffc,
    0x3e606e80,0xff506fff,0x7fc05fff,0xff904fff,0x07b60dff,0x7ffffe40,
    0x7ffffcc2,0x7fffe401,0xfff9005f,0x3ea07fff,0xdcbfffff,0x70003fff,
    0x00ffffff,0xffff5000,0x3fe600ff,0xffeaffff,0x00004fff,0x013ffffe,
    0x0dfffff9,0x7e40dd00,0xff104fff,0x7fc05fff,0xff904fff,0x01db0dff,
    0x3ffffe40,0x17ffffc4,0x3fffff20,0xffff9005,0x3fea09ff,0xffffffff,
    0xf70003ff,0x000fffff,0xfffff500,0x3ffe600f,0xffffffff,0x00002fff,
    0x809fffff,0x06fffffc,0x3f606e80,0xff103fff,0x7fc05fff,0xff904fff,
    0x00fd8dff,0x3ffffe40,0x17ffffc4,0x3fffff20,0xffff9005,0x3fea07ff,
    0xfba9ffff,0xf70003ff,0x000fffff,0xfffff500,0x3ffe600f,0xfffcdfff,
    0x0001ffff,0x04fffff8,0x37ffffe4,0xff037400,0x3e207fff,0x3e02ffff,
    0xf904ffff,0x7fecdfff,0x7ffe4001,0xffff887f,0x7ffe402f,0xffb005ff,
    0x2a05ffff,0x4c7fffff,0xf70003ff,0x000fffff,0xfffff500,0x3ffe600f,
    0xfffd0fff,0x0001dfff,0x04fffff8,0x37ffffe4,0xf8837400,0xf102ffff,
    0x7c05ffff,0xf904ffff,0x3ff6dfff,0x7fe4006f,0xfff887ff,0x7fe402ff,
    0xfb005fff,0x201fffff,0x87fffffa,0xf70003fa,0x000fffff,0xfffff500,
    0x3ffe600f,0xfff10fff,0x000bffff,0x04fffff8,0x37ffffe4,0xfa82f400,
    0xf102ffff,0x7c05ffff,0xf904ffff,0xfffbffff,0x7e4009ff,0xff887fff,
    0x7e402fff,0xd005ffff,0x40ffffff,0x07fffffa,0x3ee0007f,0x0007ffff,
    0x3ffea031,0xff3007ff,0x7cc1ffff,0x04ffffff,0x3ffffe00,0x7fffdc04,
    0x05f8007f,0x05fffff5,0x0bffffe2,0x04fffff8,0xddfffff9,0x003fffff,
    0x21fffff2,0x02fffff8,0x2fffffe4,0xffffff80,0x3fffea05,0x5407b07f,
    0xfffff700,0x412e000f,0x07fffffa,0xffffff30,0xfffffb81,0xff0002ff,
    0xfb809fff,0x8007ffff,0xffff304f,0x3ffe207f,0x3ffe02ff,0xfff904ff,
    0xffff31ff,0xff9001df,0xfff10fff,0xffc805ff,0xf9805fff,0x202fffff,
    0x07fffffa,0xb8074077,0x007fffff,0x3fea07d0,0xf3007fff,0x901fffff,
    0x3fffffff,0xfffff000,0xffffa809,0x1fcc007f,0x4fffff88,0x5fffff10,
    0x27ffffc0,0x26ffffc8,0x04fffffb,0x87ffffc8,0x02fffff8,0x2fffffe4,
    0x7ffffe40,0x7fffd405,0x2a03107f,0x3fffee07,0x2f98007f,0xffffff50,
    0x3fffe600,0xfffd00ff,0x8001dfff,0x404fffff,0x0ffffff8,0xf80bee00,
    0xf105ffff,0x7c05ffff,0xf904ffff,0xffe8dfff,0x7e402fff,0xff887fff,
    0x7e402fff,0x4405ffff,0x00ffffff,0x3fffffd4,0xf7036c00,0x000fffff,
    0x3fea03fb,0xf3007fff,0x201fffff,0xfffffff8,0x7fffc005,0xfffe804f,
    0xdf1002ff,0x7ffffc80,0x5fffff30,0x27ffffc0,0x46ffffc8,0x0ffffff8,
    0x1fffff20,0x0bffffe2,0xbfffffb0,0xfffffb80,0xffffa803,0x3f2000ff,
    0x3fffee05,0x7fd4007f,0xfffff500,0xfff3001f,0x7cc01fff,0x04ffffff,
    0x13ffffe0,0x3ffffea0,0x17f4400e,0x3ffffe20,0x7ffff444,0x3fffe03f,
    0xffff904f,0xfffff70f,0x7fffe40b,0xfffff887,0x7fffec03,0x3ffe606f,
    0xff5003ff,0x2001ffff,0x3ee04ffb,0x000fffff,0x7d40fff5,0x800fffff,
    0x1ffffffa,0x7ffffe40,0xfff003ff,0x3f2009ff,0x300effff,0x3f2009fb,
    0xdb31ffff,0x40dfffff,0xb04fffff,0x3a0fffff,0xb03fffff,0xf30fffff,
    0xd807ffff,0x707fffff,0x003dffff,0x7fffffdc,0x7fff5402,0x3ffff203,
    0x7d4402ff,0x3fee07ff,0xb801ffff,0x01ffffff,0x7fffffc4,0xfff803ff,
    0x3f2005ff,0xbcefffff,0x4004fffd,0xfefffffc,0xffffff9e,0xfffff83f,
    0xfffff985,0xffffb82f,0x7ffcc2ff,0x7fe43fff,0xf500efff,0x9dffffff,
    0x7bffffb9,0x7ffcc001,0xabdfffff,0xffffeecb,0xffff301f,0x9999ffff,
    0xfffffd99,0x3fffe60d,0x74405fff,0x0effffff,0x3ffffe20,0x700cffff,
    0x03ffffff,0x7ffff4c0,0x01cfffff,0xfffff900,0x33bffe2b,0x7ffdc09b,
    0x3ff20fff,0x26ffffff,0xfffffffb,0xfffff76f,0x3ffabfff,0x52ffffff,
    0xfffffffd,0xbdffffff,0x77440015,0xffffffff,0xffffffff,0x260fffff,
    0xfffffffe,0xffffffff,0x5fffffff,0x3ffffba2,0x5effffff,0xfffffdd1,
    0x85dfffff,0xfffffffe,0x226fffff,0xffffffff,0x5d44005f,0x0009abcc,
    0x44157300,0x7ffc401b,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0xbdddffff,0xfffe8037,0xffffffff,0x200abcde,0xffffffff,0xffffb85f,
    0xfffff31f,0xdfffffff,0x0159bddd,0xfea80000,0xffffffff,0xffffffff,
    0x4c6fffff,0xfffffffe,0xcdeeffff,0xff70000b,0xffffffff,0xffffffff,
    0xfffc87ff,0xffffffff,0x3ffe601e,0x3006ffff,0x7d402a00,0xccffffff,
    0xeffffffe,0x7fffcc00,0xffedcfff,0xd880cfff,0x01ffffff,0x5c0fffa2,
    0xcfffffff,0xffffedcc,0x000001df,0xffffffb8,0xedccdfff,0x06fffffe,
    0x3fffffea,0xffffedcf,0x7e4004ef,0xcccdffff,0xffffeccc,0xff9106ff,
    0x01dfffff,0x177ff4c0,0x7d405b80,0xfff905ff,0xfff90dff,0xfa803fff,
    0x74c7ffff,0x882fffff,0x807fffff,0x7fec02fd,0xff505fff,0x0003ffff,
    0xff7ff000,0x2203ffff,0x6406fffb,0x987fffff,0x02effffd,0x017dff90,
    0x7fffffc4,0x7ffec01f,0xa8005fff,0xbf3000ff,0x1ffffe80,0x6fffffb8,
    0xffffff50,0x7fffcc03,0xffff887f,0xfffc81ff,0x037401ff,0x2fffffe4,
    0xffffff10,0x4c000003,0xfffff8cf,0x37fcc01f,0x3ffffee0,0x3fffee07,
    0x0efd804f,0xfffffd80,0xfff8805f,0x4000ffff,0x3fa002fd,0x3fffe205,
    0xffffa84f,0x3fff606f,0x3fe605ff,0xff707fff,0xff30dfff,0x7c409fff,
    0xffffb803,0x7ffe405f,0x000005ff,0x3ffe23fa,0xf9801fff,0x7fffdc06,
    0x7ffec07f,0x07f403ff,0x7ffffd40,0xff7000ff,0x4009ffff,0x3f2005f8,
    0x3ffe205f,0xfffa83ff,0x3fee06ff,0x3e607fff,0xf307ffff,0xd01fffff,
    0x5c0fffff,0xfffb800f,0x7fcc05ff,0x0000ffff,0xff12fb80,0x2003ffff,
    0x7ffdc06e,0x7fc407ff,0x3e02ffff,0xffffd003,0xfe8007ff,0x000fffff,
    0x3f2001fb,0x7ff405ff,0xfffa81ff,0x3fea06ff,0xf302ffff,0x220fffff,
    0x82ffffff,0x02fffffb,0x3fee00bd,0x7c405fff,0x002fffff,0xf12fc400,
    0x303fffff,0x7dc06b85,0xc807ffff,0x00ffffff,0xfff9001f,0x5000dfff,
    0x0bffffff,0x32007f30,0x6c05ffff,0xfa80ffff,0x2a06ffff,0x02ffffff,
    0x0ffffff3,0x1ffffffc,0x2fffffc4,0xfb8017c4,0xf805ffff,0x003fffff,
    0xf107ec00,0x703fffff,0x7dc06887,0xa807ffff,0x83ffffff,0xfff98058,
    0x0001ffff,0x3ffffffd,0xd8806e80,0xccefffff,0x3ffee0cc,0xfffff506,
    0x7fffe40d,0xfff300ff,0x3fe20fff,0xfb02ffff,0xfb81ffff,0xffff7000,
    0xfff980bf,0x00002fff,0xfff10fea,0x07b03fff,0xfffff700,0x3fffe00f,
    0x3a0006ff,0x04ffffff,0x3fffe600,0x07ee05ff,0xfffffd10,0x41ffffff,
    0xf504fff8,0x740dffff,0x204fffff,0x07fffff9,0x3ffffff3,0x3ffffea0,
    0xf7002f42,0xb80bffff,0x00ffffff,0x221ba000,0x81ffffff,0xffb8003f,
    0xfb007fff,0x003fffff,0xffffff50,0xffb0000d,0xf105ffff,0xfd55100b,
    0x5555dfff,0x2a03ffd0,0xb06fffff,0x80bfffff,0x07fffff9,0x0bfffff9,
    0x2fffffc4,0x7dc005f1,0x6c05ffff,0x005fffff,0x2207f200,0x41ffffff,
    0xfb8003fb,0x9007ffff,0x05ffffff,0xfffff880,0x880002ff,0x86ffffff,
    0x7f4000fc,0xfc805fff,0x3fffea07,0x7fff4c6f,0xff9802ef,0xff887fff,
    0x6c00ffff,0xf70fffff,0x7ffdc001,0x3fea05ff,0x0000ffff,0x3e209f30,
    0x2a1fffff,0xfb8003ff,0x9007ffff,0x07ffffff,0xfffffc80,0x3200005f,
    0x22ffffff,0xfe8003f9,0xfa805fff,0x3fffea05,0xfffffeff,0x3e6001df,
    0x7547ffff,0x801effff,0xd3fffffa,0xfffb800b,0xfff705ff,0x00003dff,
    0xfff10374,0xffb79fff,0xfff3007f,0xffffffff,0xfb8fffff,0x004fffff,
    0x3fffffe6,0x2200000f,0x27ffffff,0xffd0006e,0x7f100bff,0x7ffffd40,
    0xffffeeef,0xf9800bef,0xfedfffff,0x00cfffff,0x3bffffe0,0x7dc002f9,
    0xedcfffff,0x2efffffe,0x0fdc0000,0xffffff10,0x07ffffff,0xffd99910,
    0x9999ffff,0xffffa899,0x3fa005ff,0x003fffff,0xffffb800,0x002fbbff,
    0x0bffffd0,0xffa806e0,0x7dc46fff,0x00cfffff,0x3fffffe6,0x02bcdeee,
    0x6ccccccc,0x9fdfffff,0x2e019999,0xeeffffff,0x05ffffff,0xfff88000,
    0xffffffff,0xa89fffff,0xb8003ffe,0x007fffff,0x9ffffff7,0x3fffee00,
    0x000006ff,0x3ffffffe,0x3fa0005f,0x00005fff,0x0dfffff5,0x3fffffe6,
    0xffff300e,0x7fc000ff,0xffffffff,0xffffffff,0xfff701ff,0x7fff4bff,
    0x00002fff,0x555557ec,0xffffbaaa,0x0ffa21ff,0x3fffee00,0xfff7007f,
    0xf1007fff,0x03ffffff,0x7fdc0000,0x000fffff,0x17ffffa0,0x7ffd4000,
    0x3fe606ff,0xf305ffff,0x000fffff,0x4ccccccc,0x9afffffe,0x2e019999,
    0x265fffff,0x0fffffff,0x05f50000,0xffffff10,0x8003f983,0x07fffffb,
    0xffffff90,0xffffb003,0x000009ff,0xdfffffd0,0xfffe8000,0xf500005f,
    0xe80dffff,0x81ffffff,0x07fffff9,0xfffb0000,0xf70001ff,0xfb8bffff,
    0x006fffff,0x2200bd00,0x81ffffff,0xffb8003f,0xfb007fff,0x801fffff,
    0xfffffffa,0x0006a000,0x1bfffff2,0xffffd000,0x3ea0000b,0x6406ffff,
    0x83ffffff,0x07fffff9,0xfffb0000,0xf70001ff,0xfb0bffff,0x007fffff,
    0x1001fc80,0x03ffffff,0xfb80c07b,0xd007ffff,0x80ffffff,0xfffffff8,
    0x000ec002,0x37ffffe4,0x3fffa000,0xf500005f,0xa80dffff,0x84ffffff,
    0x07fffff9,0x26666600,0xfffffd99,0x01999999,0x17ffffee,0x3fffffe2,
    0x9f30001f,0x7fffc400,0x503a81ff,0x3fffee09,0xffff007f,0xffc807ff,
    0x4005ffff,0xfc8000f8,0x0006ffff,0x02fffff4,0xffffa800,0x7ffdc06f,
    0xff983fff,0x20007fff,0xffffffff,0xffffffff,0xf701ffff,0x2a0bffff,
    0x06ffffff,0x8800dd00,0x81ffffff,0x2e07d018,0x807fffff,0x06fffffb,
    0x7fffffcc,0x03dc000f,0xfffffc80,0x7ff40006,0x500005ff,0x80dfffff,
    0x1ffffffd,0x7fffff98,0x26666000,0xffffd999,0x1999999f,0x3ffffee0,
    0x3ffff605,0x7dc004ff,0x7ffc4001,0x26001fff,0xffff702f,0xfffd00ff,
    0xffe805ff,0x4003ffff,0xf90007f8,0x000dffff,0x05ffffd8,0xffff5000,
    0xffff80df,0xfff306ff,0x00000fff,0x03fffff6,0x3fffee00,0x3ffa206f,
    0x1002ffff,0xff1000bf,0x2003ffff,0xff701fe8,0xfa80ffff,0x5c05ffff,
    0x06ffffff,0x0037f440,0x6fffffc8,0x7ffec000,0xb8002c6f,0x206fffff,
    0x0ffffffd,0xffffff30,0x3f600000,0x8001ffff,0x06fffffc,0x7fffffcc,
    0x01fd800f,0xfffff980,0xffe9802f,0xfffff700,0x7fff440f,0x7ffc404f,
    0x2001ffff,0x0005fffb,0x0dfffff9,0xffffa800,0x0002d8af,0x3ffffff9,
    0xfffffd88,0x3ffea01f,0x00000fff,0x2fffffe8,0xffffd800,0xfffc807f,
    0x7dc06fff,0xffa8000f,0x2203ffff,0x3207fffa,0x80ffffff,0x02fffffa,
    0xffffffd8,0xfffd1004,0x3f60009f,0x0007ffff,0xffffffc8,0xfff30004,
    0xd99fffff,0x07dfffff,0xfffffe88,0x6400005f,0x0effffff,0x3fffea00,
    0xfe803fff,0x40dfffff,0x00dfffc8,0x3ffffa20,0xcaacdfff,0x06fffffe,
    0xfffffff3,0xffffb79d,0xff50017d,0x99bfffff,0xfdb99999,0x007fffff,
    0xffffff50,0xd700009f,0x88007bff,0xfffffffe,0xeeffffff,0x7fec02bc,
    0xffffffff,0xdd0004ef,0xffffffff,0x3a60ddff,0xffffffff,0xf302efff,
    0x9fffffff,0x3fffffea,0xffdd01ff,0xffffffff,0xffffffff,0x7f4cbfff,
    0xffffffff,0x0bdeffff,0x3fffa200,0xffffffff,0xffffffff,0xb002ffff,
    0xfffffffd,0x01ddffff,0x00004400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xfffffff8,
    0x40efffff,0xfffffffc,0x3ffa21ff,0xffffffff,0xffffffff,0xffd14fff,
    0xffffffff,0x7ffdc000,0x3effffff,0xffffffd1,0x2bffffff,0xffffffe8,
    0x75ffffff,0xffffffff,0xffffffff,0x9fffffff,0x3fffffa2,0x2effffff,
    0x2aaaa200,0xaaaaaaaa,0x2aaaaaaa,0x0004cc00,0x00198800,0x7fffdc00,
    0x400dffff,0x00dffffa,0x7fffffcc,0xeecccccf,0xa84fffff,0xffffffff,
    0xfffd0002,0x4019ffff,0xfffffffa,0x3ffea00e,0x5c0effff,0xccdeffff,
    0xcefffffe,0x4ffffedc,0xffffff98,0x3550003f,0x33333333,0x33333333,
    0x7fc400b3,0xf9000003,0xf700000f,0x07ffffff,0x800fff60,0x0ffffffb,
    0x13fff620,0x7fffffe4,0xffa8006f,0x007fffff,0x3ffffff7,0xfffff700,
    0x3bff703f,0xbfffffb0,0x209ffd10,0x06fffffc,0x00006a00,0x3fe20048,
    0xf9000003,0x3600000f,0x0fffffff,0x4004fe80,0x0ffffffa,0x704fe980,
    0xffffff9f,0xfced8003,0x5006ffff,0x01ffffff,0xffffff50,0x6c0df701,
    0x105fffff,0x3fee09fb,0x20005fff,0x1200001a,0x003ff880,0x00ff9000,
    0x3ffe2000,0x5405ffff,0xff98005f,0x3000ffff,0x3e7ea09f,0x004fffff,
    0x3fff2fe2,0xff5006ff,0x5001ffff,0x01ffffff,0x7fec03f7,0x3e205fff,
    0xfffff704,0x00d4000b,0x44009000,0x000003ff,0x00000ff9,0x7fffffd4,
    0x00df102f,0x3ffffe60,0x4136000f,0xffffc8fa,0x1f7000ff,0x0dfffff9,
    0x3ffffea0,0xfffa800f,0x05b80fff,0x2fffffec,0x7fdc1320,0x20005fff,
    0x1200001a,0x003ff880,0x00ff9000,0xfffc8000,0xfe80ffff,0xfff30000,
    0x5c001fff,0xff31f504,0x2007ffff,0xfffff94f,0x3ffea00d,0xfa800fff,
    0xb80fffff,0x7fffec03,0xb825405f,0xefffffff,0x200bceee,0x1200001a,
    0x003ff880,0x00ff9000,0xfff88000,0x7e44ffff,0x3fe60001,0x7500ffff,
    0x21f50398,0x07fffffe,0xfff91fa8,0x3ea00dff,0x800fffff,0x0ffffffa,
    0x7fec0098,0x01805fff,0x9dfffff7,0xbffffffd,0x00003501,0x7ff10024,
    0x3f200000,0xa8000007,0x1fffffff,0x980007f7,0x00ffffff,0x87d40079,
    0x2ffffffa,0xfff936c0,0x3ea00dff,0x800fffff,0x0ffffffa,0xffffb000,
    0x7dc000bf,0x7d45ffff,0x541fffff,0x01200001,0x0003ff88,0x000ff900,
    0x3fff2000,0x04faefff,0xffff9800,0x007f00ff,0xffff07d4,0x17c40dff,
    0x0dfffff9,0x3ffffea0,0xfffa800f,0xb0000fff,0x00bfffff,0x7ffffdc0,
    0xfffffa85,0x00006a0f,0x3fe20048,0xf9000003,0x2000000f,0xffffffe8,
    0xf300005f,0x501fffff,0x07d4007f,0x3ffffff7,0xfff91f20,0x3ea00dff,
    0x800fffff,0x0ffffffa,0xffffb000,0x7dc000bf,0xfb05ffff,0x0d4bffff,
    0x3ae90000,0xeeeeeeee,0xeeeeeeff,0x3ba26eee,0xfeeeeeee,0xeeeeeeff,
    0x80002eee,0xfffffff9,0xff300002,0xfb81ffff,0x83ea003f,0x4ffffff8,
    0xfffc89f0,0xff5006ff,0x5001ffff,0x01ffffff,0x3ffff600,0x3ee0005f,
    0xf905ffff,0x2a1fffff,0x65200001,0xffffffff,0xffffffff,0x3e67ffff,
    0xffffffff,0xffffffff,0x0003ffff,0xffffff90,0xf300001f,0x957fffff,
    0x4007fffd,0x7ffe40fa,0x07d40fff,0x1bfffff2,0x7ffffd40,0xcccccccf,
    0xfffffdcc,0xffb0000f,0x4000bfff,0x05fffffb,0x3ffffff5,0x4800006a,
    0xddddddd7,0xddddffdd,0x44dddddd,0xeeeeeeee,0xeeeefffe,0x002eeeee,
    0x3ffffa00,0x980005ff,0xffffffff,0x003fffff,0xfff303ea,0x85e87fff,
    0x06fffffc,0xffffff50,0xffffffff,0xffffffff,0x3ff60001,0x20005fff,
    0x05fffffb,0x5ffffff3,0x4800006a,0x00ffe200,0x03fe4000,0x7cc00000,
    0x02ffffff,0x7fffcc00,0xfffdaaff,0x03ea003f,0x9bfffffa,0xfffc81f9,
    0xff5006ff,0x5001ffff,0x01ffffff,0x3ffff600,0x3ee0005f,0xf505ffff,
    0x2a1fffff,0x01200001,0x0003ff88,0x000ff900,0xfff50000,0x001fffff,
    0x7ffffcc0,0x01ffd40f,0xff501f50,0x1b25ffff,0x37ffffe4,0xfffffa80,
    0xfffa800f,0xb0000fff,0x00bfffff,0x7ffffdc0,0xfffff705,0x00000d4d,
    0x1ffc4009,0x7fc80000,0x44000000,0xfffffedf,0x3e60005f,0xb80fffff,
    0x03ea003f,0x6ffffffc,0xfff903f8,0x3ea00dff,0x800fffff,0x0ffffffa,
    0xffffb000,0x7dc000bf,0xfb05ffff,0x0d49ffff,0x40090000,0x00003ff8,
    0x0000ff90,0x4c774400,0x2fffffff,0xffff3000,0x00fa01ff,0xff700fa8,
    0x01f9ffff,0x1bfffff2,0x7ffffd40,0xfffa800f,0xb0000fff,0x00bfffff,
    0x7ffffdc0,0xfffff885,0x00006a0e,0x3fe20048,0xf9000003,0x4000000f,
    0x3ffee0fd,0x8000ffff,0x0ffffff9,0x7d400790,0xfffff100,0x7fe409ff,
    0xf5006fff,0x001fffff,0x1ffffff5,0x3fff6000,0x2e0005ff,0x4c5fffff,
    0x40effffe,0x1200001a,0x003ff880,0x00ff9000,0x0bf20000,0x3ffffffa,
    0xfff98005,0x07500fff,0xf9007d40,0x403fffff,0x06fffffc,0xffffff50,
    0xffff5001,0x360001ff,0x005fffff,0x3ffffee0,0xffffeece,0x0003504f,
    0x99998a40,0xdffa9999,0xaaaaaaaa,0x07fc8002,0x3fa80000,0xffffff10,
    0xff98005f,0x3100ffff,0x3007d400,0x80bfffff,0x06fffffc,0xffffff50,
    0xffff5001,0x360001ff,0x005fffff,0x3ffffee0,0xaceeeeff,0x00006a00,
    0xfffffb48,0xffffffff,0xffffffff,0x00ff9000,0x05f98000,0x7fffffdc,
    0x3fe6000f,0x0000ffff,0xfe801f50,0x7e402fff,0x5006ffff,0x01ffffff,
    0xffffff50,0x3ff60001,0x20005fff,0x05fffffb,0x00006a00,0xfffffb48,
    0xffffffff,0xffffffff,0x00ff9000,0x077c4000,0x7fffff40,0x3fe6005f,
    0x0000ffff,0xfa801f50,0xffc806ff,0xf5006fff,0x001fffff,0x1ffffff5,
    0x3fff6000,0x2e0005ff,0x005fffff,0x800006a0,0x55555534,0x55555555,
    0x05555555,0x00055300,0x00bfa200,0x7fffffcc,0xfff5003f,0x00003fff,
    0x3fa003ee,0xfffc803f,0xff5006ff,0x5001ffff,0x01ffffff,0x3ffff600,
    0x3ee0005f,0x0005ffff,0x4800006a,0x00000000,0x22000000,0x32000ffe,
    0x1fffffff,0xfffffb80,0xfb00001f,0x01ff7007,0xffffffb0,0x3fffee00,
    0xffb801ff,0x0001ffff,0x0dfffffd,0x7fffe400,0x06a0006f,0x00048000,
    0x00000000,0xfffb8800,0xfe8800df,0x2fffffff,0x3ffffa20,0x40000eff,
    0x200afffb,0xffa805f8,0x404fffff,0xfffffff8,0x7fffcc05,0xb8005fff,
    0x3fffffff,0xffff9800,0x50003fff,0x9999999b,0x99999999,0x0000d999,
    0x00000000,0xfffffc80,0xfd03efff,0xffffffff,0x7f744fff,0xffffffff,
    0x3a2005ef,0x6fffffff,0x7f540720,0xffffffff,0xfdd13eff,0xffffffff,
    0x3fba2bdf,0xffffffff,0x3faa05ef,0xffffffff,0x3a203eff,0xffffffff,
    0x0002efff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x18800000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66540000,0x0ccccccc,0x02666664,0xbfffb730,0x9502f447,0x019dffdb,
    0xfffdb980,0x3726002d,0x4c003dff,0x42ceffed,0x03dffec9,0x6ffee4c0,
    0x202d400b,0x2e896a00,0xda800000,0x0f99ceff,0x32600000,0x99999953,
    0x5eff64c9,0xffffb300,0xfb505fff,0x3ea005df,0xeffeacff,0xfd880eda,
    0xffffebbe,0x5dff5001,0x801dfffb,0xffbaeffa,0x77f4c00d,0x8dfffecc,
    0xffdacffa,0xfffb801e,0x80effdbc,0x3b665ff9,0x3ea2dfff,0x19fff15f,
    0xff900000,0x1ffffb7d,0xfd500000,0x3fff267f,0xffff57ff,0xffe80dff,
    0x3e204fff,0xfff9000f,0x0ffffc89,0xfe84ffb8,0x7dc00fff,0x3fffe26f,
    0x91bff205,0x3ea01dff,0xffffd84f,0x7ffe45ff,0x87fff600,0xd81ffff8,
    0xffffddff,0xffceffff,0xfffff11f,0x2e00005b,0x7fec47ff,0xf9300001,
    0xfe85ffff,0xdefcffff,0x203fffff,0x05fffff9,0x7d4013e6,0x7fcc0fff,
    0x7ffc40ff,0x6ffffb86,0xb0fffee0,0xf503ffff,0xfff885ff,0x84fff984,
    0x0ffffff8,0xc82fffc4,0xffa86fff,0xfffd80ff,0xfedbbdff,0xea81ffff,
    0x00bfffff,0x417ffe00,0x540001fe,0x0beffffd,0xffffffc8,0x3ffffee1,
    0x3ffffa00,0x001f700f,0x7c1bfffa,0x7fdc5fff,0x7ffd41ff,0x3fffe07f,
    0x1ffffdc0,0x203fffe2,0x7dc0ffff,0xfff81fff,0xfffd06ff,0x4ffff883,
    0x84ffff98,0x700dfff8,0xc9805fff,0x02dfffff,0x17fffcc0,0x44000fcc,
    0x2dfffffb,0x7ffffe40,0x7ffffcc2,0x3fffea01,0x2009d03f,0x985ffffa,
    0x321fffff,0x7d44ffff,0xfb80ffff,0xfff887ff,0x3fffe41f,0x643fffe8,
    0xfe84ffff,0xffb05fff,0xffffc89f,0x0fffff03,0xf5009ff7,0x3ae200bf,
    0x00beffff,0x3fffffa8,0x366002d8,0x00cfffff,0x0fffff90,0x05fffff1,
    0x86ffffe8,0xffd001f9,0xfff889ff,0x3fe63fff,0x7ffd41ff,0xfffe80ff,
    0xd07dd507,0x3fa0dfff,0x7ffcc4ff,0xffffe82f,0x8bfffb04,0xf02fffff,
    0xff81ffff,0x07ff2006,0xffffb300,0xfff803bf,0x0220dfff,0xffffd710,
    0xff90005d,0xfff10fff,0xffb805ff,0x03642fff,0x49fffff0,0xffffede8,
    0x2216e4c5,0x40fffffd,0x007ffff8,0x33dffff0,0xdfffd333,0xf503bb30,
    0x3339ffff,0x4dfffb33,0x02fffff8,0x4c5fffff,0x3e2002ff,0xd710004f,
    0x017dffff,0xfffffff9,0xfff93003,0x400039ff,0x887ffffc,0x402fffff,
    0x25fffff8,0xff1002f8,0xeb6c9fff,0x8806ffff,0xfffffefc,0x7ffffcc0,
    0x7ffc4000,0xffffffff,0x2a007fff,0xfffffffe,0xffffffff,0xffff50ff,
    0x3fffe05f,0x003fee4f,0x0000bfd0,0x9fffffb5,0x7ffffcc1,0xfd503fff,
    0x0017dfff,0xfffff900,0x5fffff10,0xfffff900,0xf9801ee1,0x1d94ffff,
    0x81fffffa,0xffabffc8,0x7fd40fff,0x54001fff,0x0007ffff,0x3a37faa0,
    0x8003ffff,0x01fffffb,0x64dfffff,0x6fd8007f,0x3fa60000,0x7fe43fff,
    0x44ffffff,0x02fffff8,0x7ffe4000,0xffff887f,0xfff9802f,0x4007d4ff,
    0xbcfffff9,0x3ffff61f,0x25fff705,0x40fffffa,0x03fffffa,0x7ffffd40,
    0x7f4c0000,0x3ffff63f,0xfffa8005,0xffff01ff,0x007fdcbf,0x00017fa0,
    0x3ffffee2,0xffffc81d,0x3622ffff,0x01cfffff,0xffff9000,0xfffff10f,
    0x3fff6005,0x2000faff,0xfefffff8,0x27ffff42,0xa87fff62,0x4c0fffff,
    0x004fffff,0x17ffffcc,0x5fff7000,0x07ffffc8,0xfffff980,0x9fffff01,
    0x2000ffd4,0x260004ff,0x1cfffffd,0x7ffffd40,0xffc885ff,0x0002dfff,
    0x43ffffe4,0x02fffff8,0xffffff50,0xffff0009,0xfffd07ff,0x5fffe85f,
    0x07ffffd4,0x3fffffe2,0x3ffe2000,0xf90004ff,0xfff90dff,0xf88001ff,
    0xff02ffff,0x7fc47fff,0x0bfee005,0xfffd7100,0x204017df,0xffffffd8,
    0x3fffaa00,0xc8000bff,0xf887ffff,0x2002ffff,0x01fffffe,0x5ffffd80,
    0x41ffffd0,0x542ffffc,0xe80fffff,0x005fffff,0x07fffffc,0xffff5060,
    0xfffff307,0xffe83009,0xfff882ff,0x17fe41ff,0x0037fc40,0xbfffff93,
    0x2e0d1003,0x801fffff,0xdfffffc9,0x3fff2002,0xffff887f,0x3fee002f,
    0xf30006ff,0x3fe0bfff,0x7fffc7ff,0x7fffdc3f,0xffffb80f,0xc89102ff,
    0x204fffff,0x7ffff45b,0xffffff02,0x3ea35403,0xff983fff,0xfff885ff,
    0x0bffaa03,0x3ffff6a0,0x0fc000be,0x00ffffb8,0x3fffae20,0x7e400bef,
    0xff887fff,0x22002fff,0x0002ffff,0x221bfff6,0x3e23ffff,0xc9afffff,
    0x01ffffff,0x3dfffffd,0x7fc44e88,0xfa84ffff,0x3ffffe20,0xffffea86,
    0x81f981ff,0xfa84fffe,0xffb81fff,0xdb99beff,0x7105ffff,0x05bfffff,
    0x44077c00,0x20006fff,0xcfffffc9,0xfffff901,0x7fffff10,0x07ffc800,
    0x7fffec00,0x437ffe41,0xfffffffe,0xcfffffbf,0x7fffd42c,0x6fecffff,
    0xffffff70,0xf07fd79d,0x99ffffff,0xffffd9fd,0x7fd97bff,0x03fffe60,
    0xf709fffb,0xffffffdf,0xbffdffff,0x7ffffec4,0xff80000c,0x03fff885,
    0xffeb8800,0x7fec1eff,0xfff987ff,0x7cc003ff,0x3f20003f,0xf31effea,
    0xff501bff,0x361bffff,0x504fffff,0xffffffff,0x7fdc01bf,0x3fffffff,
    0xffffff70,0x3fa21bff,0xffffffff,0x67ffcc03,0x307fff50,0x3fee1dff,
    0xfb0cffff,0x3bffe27f,0x7fc00002,0xffc88cff,0xd9800004,0x3fe63fff,
    0x7ec3ffff,0x000dffff,0xa80007ec,0x3fffee1f,0x75c03dff,0x7ecc2dff,
    0x7f4c04ef,0x003dffff,0xbfffffd5,0x7ffec405,0xfc882eff,0x02efffff,
    0xfffffb10,0x075405df,0x4d804cc4,0x000073e2,0x7ff67740,0x00004fff,
    0xfb9fdc40,0x5fffffff,0xfffffffd,0x01cc005f,0x5d4c0600,0x88008001,
    0x15cc4000,0x03751000,0x40037500,0x0001abb8,0x00026ea6,0x00040000,
    0x7510a000,0x00000003,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66540000,
    0x52cccccc,0x99999999,0x26666547,0x00000000,0x665c0000,0x3223cccc,
    0x80cccccc,0xccccccc8,0xcccccccc,0x33333321,0xcca8cccc,0x54003ccc,
    0x0000d401,0x44015000,0x0000000a,0x00014c00,0xfffffe98,0xfffb30cf,
    0x5c439fff,0x99932eff,0x76449999,0xeb981cef,0x99501cef,0xc9899999,
    0x3ff663ef,0x7fdc6fff,0xf981ffff,0xdcccefff,0x20ffffff,0xffffffea,
    0x9fff931d,0x00fec003,0x74c001f9,0x0fd8003f,0x64003ba0,0x006cc003,
    0x8802ffd4,0xffe84ffc,0xffe80fff,0x1fd01fff,0x7ffffe44,0xffffff37,
    0x7fffd43f,0xfb881fff,0x3ea7ffff,0x7fc0ffff,0xffb86fff,0xff981fff,
    0xfffffd02,0x3ffffa07,0x00ffc44f,0xfc813f20,0x7ffe4004,0x077cc000,
    0x6400efa8,0xff3003ff,0x1fffb00d,0xbfffff00,0x3fffffa8,0x4fffff98,
    0x3ff609d0,0xecdfbfff,0xfb8fffff,0xeffffece,0xfffff900,0x3fffffea,
    0x37ffff42,0x0fffffd4,0xffb817cc,0x3e206fff,0x2e0fffff,0x7fe4001f,
    0x001ff700,0x0007ffc8,0x3fa01dfb,0x1fffcc06,0x00fffe60,0x2a01fff2,
    0x42ffffff,0x886ffffe,0x886fffff,0xffff701f,0x7ffc47ff,0x3e22ffff,
    0xf702ffff,0xdff3ffff,0xfd81ffff,0xff986fff,0x07981fff,0x3ffffff1,
    0xfffffc80,0xb8007f14,0x9ff704ff,0x03b91000,0x417fe600,0x7cc05ffa,
    0xfff303ff,0x17fea007,0x3fffff20,0x7fffdc4f,0x7fffdc0f,0x7035c1ff,
    0xb07fffff,0xd05fffff,0x2e09ffff,0x25efffff,0xffd84ffc,0xfff986ff,
    0xb03881ff,0x009fffff,0x1ffffff1,0xffa800bb,0x0fffa80f,0x20000000,
    0xffd05ffd,0x3fff980b,0x441fffcc,0x8bfa0cfe,0x3fe22fe9,0x7c45ffff,
    0x6743ffff,0x744fffff,0x3fffee03,0xdffff907,0x17ffff60,0x7fffffdc,
    0xffd80440,0xfff986ff,0x3e6001ff,0x000fffff,0xfdfffff7,0x7ffd4001,
    0x04fff984,0x4c000000,0xffa84fff,0x7ffcc04f,0x207fff33,0xd71ffffc,
    0x2e37ffec,0xd85fffff,0x3e66ffff,0x27ffffd8,0x3fee00f9,0xfff907ff,
    0x3fff60df,0xffff705f,0xffd8009f,0xfff986ff,0x3fa001ff,0x4003ffff,
    0x03fffffe,0x03fffe60,0x001ffff3,0xfb000000,0xfffd07ff,0xcfff9807,
    0x3ea03fff,0x8daaffff,0x105ffffd,0x3fea13f2,0x2ab91fff,0xb92fffff,
    0x7ffffb80,0x0dffff90,0x417ffff6,0x03fffffb,0x37fffec0,0x0fffffcc,
    0xfffffb80,0xfffa8006,0xff3005ff,0xfff987ff,0xdddd703f,0xdddddddd,
    0xdddddddd,0x7fffcc0d,0x17fffd42,0x3ffffe60,0xeffeb803,0xffffffef,
    0x817f400c,0x5f4fffff,0xfafffffc,0x7fffdc03,0xdffff907,0x17ffff60,
    0x17ffffdc,0x3ffff600,0xfffff986,0xffff8801,0xfd0001ff,0x8805ffff,
    0x220fffff,0x900ffffe,0xffffffff,0xffffffff,0xd80fffff,0x7f41ffff,
    0x7dc01fff,0x220005ff,0xf98001de,0x3ffff206,0x7ffe47af,0x5c00faff,
    0xf907ffff,0x3f60dfff,0xff705fff,0xd8003fff,0xf986ffff,0xd801ffff,
    0x004fffff,0x3ffffe60,0xffffb806,0x17fffdc2,0xeeeeeeb8,0xeeeeeeee,
    0x06eeeeee,0x2077fffc,0x200efffe,0x03fffff9,0x3f9cea80,0x3017e400,
    0x89ffffff,0x5ffffff9,0x7ffffb80,0x0dffff90,0x417ffff6,0x00fffffb,
    0x37fffec0,0x0fffffcc,0x3ffffe60,0x7fc0000f,0xc802ffff,0xffc86fff,
    0x0000006f,0x1dfff700,0x00efffb8,0x3ff3ffe6,0x3ff6003f,0x9001dfd1,
    0xfffd005f,0xfffd03ff,0xff7005ff,0x3ff20fff,0xfffb06ff,0x3ffee0bf,
    0xffd8007f,0xfff986ff,0x7ff401ff,0x00303fff,0x3fffffb2,0x5fffb006,
    0x005fffb0,0xff000000,0xffff01df,0x9fffcc01,0xe803fff9,0x3fff27ff,
    0x005fd101,0x41fffff2,0x007ffffb,0x20fffff7,0xb06ffffc,0x2e0bffff,
    0x8007ffff,0x986ffffd,0x201fffff,0x06fffffb,0x327e6016,0x002fffff,
    0x3f60dffb,0x0000006f,0x407ffdc0,0x2601fffb,0x7fcc3fff,0x3ffea03f,
    0x417ffea4,0x7fcc003e,0xfff104ff,0x3fee00bf,0xfff907ff,0x3fff60df,
    0xffff705f,0xfff9000f,0xffff50df,0x3ffe203f,0x0f301fff,0xfff14e88,
    0xd1001fff,0xffd107ff,0x5db10005,0x3ffe2000,0x01fff881,0x4c0fffe6,
    0xff303fff,0x03fff83f,0x7fff4000,0x0bfff601,0x3ffffdc0,0x06ffffc8,
    0x20bffffb,0x007ffffb,0x47ffffb8,0x2ffffff9,0x9fffffb0,0xdb01ba20,
    0x4fffffc8,0x20dfd100,0xc8006fe8,0xf70007ff,0x0bff203f,0x403fff98,
    0xb503fff9,0x0019b305,0x06ffb800,0x7003ffd4,0x901fffff,0x360fffff,
    0xf706ffff,0x8001ffff,0x9cfffff9,0xfffffefb,0xfffff982,0x06fd880f,
    0xfff30bee,0x22003fff,0x5ff103ff,0x07ffd800,0x102ff880,0xffc805ff,
    0x0dff3003,0x80000000,0xff803ff8,0x3fff2004,0xfffd81ff,0xffffd07f,
    0x3ffff20d,0xffb8000f,0xf9cfffff,0x740dffff,0xa9cfffff,0x85fffeba,
    0xff83ffc8,0x000effff,0x37cc0ff3,0x00bfa600,0xfc80bee0,0x80079003,
    0x000000e9,0x00fd8000,0xd1001fc8,0x889fffff,0x43ffffff,0x1ffffffa,
    0x7fffff44,0xfff90003,0x3ffe67ff,0xff71ffff,0xffffffff,0xe89fffff,
    0xb8efffff,0xffffffff,0x05d3003f,0x00000f4c,0x6c407b00,0x00000003,
    0x00000000,0x024c00e6,0xffffffa8,0xffff77ff,0x3f6fffff,0x5fffffff,
    0xfffffff5,0x2a0005df,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0014c000,0x44000550,0x0d4000aa,
    0x4402a200,0x2014c00a,0x26001aa8,0xfff300aa,0xffffffff,0xffffffff,
    0x3bba27ff,0xeeeeeeee,0xeeeeeeee,0x000602ee,0x774c0000,0x64002eee,
    0x0005eeee,0x00197100,0x37ffff62,0x07fee000,0xffffb500,0x7fecc05d,
    0x32600cef,0xfffc81ff,0x0effe883,0x7fedef4c,0x36fbea04,0x7ffcc0df,
    0xffffffff,0xffffffff,0xffff13ff,0xffffffff,0xffffffff,0xa813607f,
    0x001ceffd,0x3fff20fc,0x0bfeb83f,0x07ffff44,0x3621ff54,0x7ffd40df,
    0xfefd803f,0xf1004fff,0x7d400bff,0x3fffffff,0xffffffd0,0xfffeb889,
    0x7fffc41f,0x4ffffc87,0xffe83fe2,0x362ffb83,0x333220ef,0xcccccccc,
    0xcccccccc,0x999911cc,0x99999999,0xf9999999,0x019f507f,0xfffffff7,
    0x0fa8017f,0x5c27fffc,0xe885ffff,0x7fc43fff,0x3fff61ff,0x3ffffec5,
    0x7fcc3320,0xffc800ff,0xffa802ff,0xfffdaadf,0x7ecd7643,0x26a60fff,
    0x7dc1fffe,0x7f41ffff,0x3ff26fff,0xf117ff64,0x27fdc1ff,0x00000000,
    0x887ff000,0x3e20ffff,0xfffffeff,0x7e882dff,0xe827ffcc,0x880fffff,
    0x7fdc6fff,0x3fffe4ff,0x3ffffe27,0x3f20601f,0xeff9807f,0xfff806ff,
    0x10ffe880,0x05fffd09,0xf507fff6,0xfd81ffff,0x3fee5fff,0xf71bff63,
    0x0fffa8ff,0x00000000,0x887ff000,0x3f62fffb,0x3fff260b,0xfdbcffff,
    0x827fe43f,0x1ffffff8,0x441fff30,0x3f61ffff,0x7fff45ff,0xffe8007f,
    0xd9ffd802,0x3fea03ff,0x00bfee03,0x7e40fff7,0x7ffcc1ff,0xffffc87f,
    0xffc98443,0x23ffec6f,0x0001fffa,0x00000000,0x3ffa07ff,0xfb5017a3,
    0xdfffffff,0xfd80bff0,0x7cc06fff,0x21ff5c3f,0x7d40dfd8,0x5c004fff,
    0xffa805ff,0x201fff34,0x3e200ffc,0x27fe404f,0xf03fff90,0xff50bfff,
    0x5fb303ff,0xffe8dffb,0x897ffd46,0xaaaaaaaa,0xaaaaaaaa,0x001aaaaa,
    0x107ff000,0x07e21fff,0x7fff5c40,0x805f984f,0x802effe9,0x400006f9,
    0x2a001dc9,0x00efffff,0xffc83ffa,0xd00dfb04,0x0fff80df,0x207fff20,
    0xf883fffd,0x1ffb87ff,0xffd8dffb,0x98fffd46,0xffffffff,0xffffffff,
    0x003fffff,0x5c7ff000,0x0a22ffed,0x000cc400,0x0000a600,0x00000000,
    0x07ffff93,0xff10ffee,0x03ff901f,0xf502ffc4,0xfffc803f,0x01fffb81,
    0xffb8dffd,0xf71bff64,0x0fffb8ff,0xfffffff3,0xffffffff,0x07ffffff,
    0x4ffe0000,0x000abcc8,0x00000000,0x00000000,0x7fd40000,0x06ff886f,
    0xff70bff7,0x81ffe409,0xfc801ff8,0x7ff881ff,0xfd13ff20,0x1bffa2bf,
    0xffc8fff1,0x4cccccc4,0x99999999,0x09999999,0x13300000,0x00000000,
    0x00000000,0x00000000,0xfc86ffd8,0x07ffa02f,0xf505fff1,0x07fa01ff,
    0x3fff9015,0xfa817fa0,0x7ffff41f,0x21bfffde,0x3bfa2ffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfa800000,0x037fcc4f,0x3ea1bfea,
    0xfffbcfff,0x4c1db02f,0x3fff907b,0xf880ff20,0x9f7f540f,0xe982ffe8,
    0x0004fdcf,0x00000000,0x00000000,0x00000000,0x00000000,0x3ea06ecc,
    0x00ffec0e,0x7dc17fec,0x3fffffff,0xffffffb0,0x3fff60df,0xe803f501,
    0x40040206,0x00000198,0x00000000,0x00000000,0x00000000,0x70000000,
    0xdd339fff,0x005ffa83,0x3620fff3,0x901dffff,0xffffffff,0x0bfffa09,
    0x01540244,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xefffdc88,0x001ddb03,0x2201775c,0x77775401,0x222eeeee,0xdeeeeeec,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555540,0xd31aaaaa,0xdddddddd,0xdddddddd,
    0x33267ddd,0xcccccccc,0xcccccccc,0x000002cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8000,0x3fffffff,0xfffffff5,
    0xffffffff,0x2a9fffff,0xffffffff,0xffffffff,0x0004ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff800000,0xffffffff,
    0xddddd33f,0xdddddddd,0x7ddddddd,0x3fffffea,0xffffffff,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x37777776,0x0002dddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_45_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_45_latin1_y[224]={ 36,8,8,8,8,8,8,8,8,8,8,11,29,24,
29,8,8,8,8,8,8,9,8,9,8,8,16,16,12,18,12,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,42,8,16,9,16,9,16,8,16,9,8,
8,9,9,16,16,16,16,16,16,16,10,17,17,17,17,17,17,8,8,8,21,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,16,9,8,12,9,
8,8,8,8,8,17,18,24,8,4,8,11,8,8,8,17,9,19,35,8,8,17,8,8,8,16,-1,-1,-1,1,
1,1,9,8,-1,-1,-1,1,-1,-1,-1,1,9,1,-1,-1,-1,1,1,13,7,-1,-1,-1,1,-1,9,8,8,8,
7,8,8,7,16,16,8,8,7,8,8,8,7,8,8,8,8,8,7,8,8,13,16,8,8,7,8,8,8,8,
 };
static unsigned short stb__times_bold_45_latin1_w[224]={ 0,8,16,20,19,36,32,7,13,12,17,23,8,13,
8,12,18,16,19,18,18,18,19,19,18,18,8,8,23,23,23,17,36,29,26,27,28,26,24,31,31,15,21,33,
26,38,29,30,23,30,30,19,25,29,29,41,30,29,27,9,12,9,19,22,10,19,21,17,21,17,16,19,21,11,
13,22,11,32,21,18,21,21,17,14,14,21,20,29,20,20,18,12,3,12,23,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,17,20,20,21,
3,18,14,29,13,20,23,13,29,22,14,23,12,11,9,22,23,8,8,10,12,20,29,29,30,16,29,29,29,29,
29,29,40,27,26,26,26,26,15,15,15,15,28,29,30,30,30,30,30,18,30,29,29,29,29,29,24,20,19,19,
19,19,19,19,28,17,17,17,17,17,12,12,14,14,18,21,18,18,18,18,18,23,18,21,21,21,21,20,21,20,
 };
static unsigned short stb__times_bold_45_latin1_h[224]={ 0,29,14,29,31,30,29,14,37,37,16,23,15,5,
8,29,29,28,28,29,28,28,29,28,29,29,21,28,21,10,21,29,37,28,27,29,27,27,27,29,27,27,28,27,
27,27,28,29,27,36,27,29,27,28,28,28,27,27,27,35,29,35,15,3,8,21,28,21,28,21,28,29,27,28,
37,27,27,20,20,21,29,29,20,21,27,20,20,20,19,28,19,37,37,37,8,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,29,21,27,
37,37,7,29,13,19,10,5,29,3,15,23,15,16,8,28,36,7,9,15,13,19,30,30,30,29,37,37,37,35,
35,35,27,36,37,37,37,35,37,37,37,35,27,36,38,38,38,36,36,19,31,38,38,38,36,37,27,29,29,29,
30,29,29,30,21,28,29,29,30,29,28,28,29,28,29,28,29,29,30,29,29,19,21,29,29,30,29,37,37,37,
 };
static unsigned short stb__times_bold_45_latin1_s[224]={ 184,247,72,66,32,74,33,248,1,168,229,
225,247,13,207,148,129,53,33,219,1,227,45,79,114,133,246,144,184,116,145,
180,55,114,1,1,110,139,32,1,96,193,175,209,166,57,115,29,28,185,74,
109,128,1,145,197,1,203,175,243,242,241,13,27,216,20,93,40,31,58,239,
182,88,53,15,65,243,31,208,105,1,23,64,169,233,82,230,1,123,193,104,
29,248,42,173,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,184,202,209,
198,124,52,252,122,227,152,89,144,140,13,65,50,33,201,48,1,197,70,133,
242,164,61,103,189,131,181,211,217,181,211,92,149,179,92,105,157,58,141,31,
122,117,101,85,227,146,62,123,1,92,216,1,210,1,62,32,154,32,1,154,
58,79,143,161,234,38,111,76,153,181,163,1,199,214,20,238,99,230,171,211,
60,19,95,161,165,1,87,99,52,121,205,226,184, };
static unsigned short stb__times_bold_45_latin1_t[224]={ 39,78,463,216,153,153,216,364,40,40,442,
392,442,479,463,216,216,306,306,216,306,276,246,276,246,246,276,276,420,463,420,
216,40,276,364,276,335,335,392,216,392,335,306,335,335,392,306,276,364,78,364,
216,392,335,306,306,392,364,364,116,153,40,463,479,463,420,306,420,335,420,306,
246,335,335,40,335,335,442,420,420,246,246,442,420,364,442,420,442,442,276,442,
40,1,40,463,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,
392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,392,39,246,116,
216,420,364,1,40,463,246,463,442,463,479,246,479,463,392,463,463,463,306,78,
463,463,463,463,442,153,153,153,185,40,40,40,116,116,116,364,78,78,40,78,
116,78,78,78,116,364,116,1,1,1,78,116,442,153,1,1,1,116,78,392,
185,185,185,153,185,185,153,420,276,185,185,185,185,276,306,216,276,246,276,246,
276,185,246,216,442,420,216,185,153,185,1,1,1, };
static unsigned short stb__times_bold_45_latin1_a[224]={ 163,217,361,325,325,650,542,181,
217,217,325,370,163,217,163,181,325,325,325,325,325,325,325,325,
325,325,217,217,370,370,370,325,605,470,434,470,470,434,397,506,
506,253,325,506,434,614,470,506,397,506,470,362,434,470,470,650,
470,470,434,217,181,217,378,325,217,325,362,289,362,289,217,325,
362,181,217,362,181,542,362,325,362,362,289,253,217,362,325,470,
325,325,289,256,143,256,338,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,163,217,325,325,325,325,143,325,
217,486,195,325,370,217,486,325,260,357,195,195,217,375,351,163,
217,195,215,325,488,488,488,325,470,470,470,470,470,470,650,470,
434,434,434,434,253,253,253,253,470,470,506,506,506,506,506,370,
506,470,470,470,470,470,397,362,325,325,325,325,325,325,470,289,
289,289,289,289,181,181,181,181,325,362,325,325,325,325,325,357,
325,362,362,362,362,325,362,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_45_latin1(stb_fontchar font[STB_FONT_times_bold_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_45_latin1_s[i] + stb__times_bold_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_45_latin1_t[i] + stb__times_bold_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_45_latin1_x[i];
            font[i].y0 = stb__times_bold_45_latin1_y[i];
            font[i].x1 = stb__times_bold_45_latin1_x[i] + stb__times_bold_45_latin1_w[i];
            font[i].y1 = stb__times_bold_45_latin1_y[i] + stb__times_bold_45_latin1_h[i];
            font[i].advance_int = (stb__times_bold_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_45_latin1_s[i] + stb__times_bold_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_45_latin1_t[i] + stb__times_bold_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_45_latin1_x[i] + stb__times_bold_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_45_latin1_y[i] + stb__times_bold_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_45_latin1_LINE_SPACING
#endif

