// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT        291
#define STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_34_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_34_latin_ext_LINE_SPACING          22

static unsigned int stb__arial_34_latin_ext_pixels[]={
    0x02ccb800,0xeeeeee98,0xeeeeeeee,0x001005ee,0x0c400980,0x20599700,
    0x01300019,0x00000800,0x80000008,0x0cc00018,0x80011000,0x00003000,
    0x4c400010,0x000ccc09,0x99882662,0x19300000,0x55555300,0x26000055,
    0x54400099,0xeeed802a,0x2aa6005e,0xdb951001,0xdddddddd,0x05551005,
    0x01551540,0x5550aaa0,0x004cc400,0xea9f7400,0x8002eeee,0x9800eff9,
    0xffffffff,0xffffffff,0x002fa807,0x301fff54,0x3fe6009f,0x80ff980e,
    0x03fb00e9,0x7ff6dc40,0x4c000bce,0x2dffffec,0xfedb8000,0x01ceffff,
    0x8001ff30,0x105effea,0x05bffff9,0x000bffe6,0x3ffff6e2,0x3a2002ce,
    0x07ff70ff,0x365ff980,0x900001ff,0xfffb001f,0x0000ffff,0x0001dff3,
    0xff805ffd,0xf1007fff,0x3fee00bf,0xffffffff,0xfd803fff,0x37ee003f,
    0x3ee005fa,0x007ff53f,0x0003ffd4,0xfffaa7fc,0xfd8003ff,0xddd3001f,
    0xdfffdddd,0x80bddddd,0x7cc005f9,0x3fa03fff,0x03ffb000,0xff503fe6,
    0x401be601,0xfffffffa,0xd8801fff,0xffffffff,0x644001ef,0xffffffff,
    0x401effff,0x2a000ff9,0x886fffff,0xffffffff,0x2ffff984,0x3ffff200,
    0x1effffff,0xf19ff300,0x3ee0009f,0x002ffaaf,0x4c01ba00,0x02aaaaaa,
    0x01ffd800,0x80dff100,0x002aaeff,0x3f2007fd,0xeeefffff,0x402eeffe,
    0xc8005ff9,0xfc8005ff,0x8005fe9f,0x40003ffb,0xf75514ff,0xff88007f,
    0xff100002,0x07d4000b,0x2b3ff200,0x2007f900,0x3e602ff8,0x007fdc0f,
    0xffb807f9,0xfecaacdf,0x3fe603ff,0xfebabcff,0xf5001fff,0x4c359fff,
    0x04ffffdb,0xe8003fe6,0xd82bacff,0xfeb89cff,0x5ffb982f,0xefffe880,
    0xffedbabd,0xdff7003f,0xfd8000df,0x00004fff,0x54c013e2,0x20001540,
    0x40002ff9,0x3fe02ff9,0x13353005,0xfff980aa,0x3e63ffff,0x1df9001f,
    0x8cc54c00,0x7ff4002a,0xfb0000ef,0x1aa8000d,0x4003ff98,0x200004ea,
    0x20005ff8,0x3a002ffc,0x07fcc04f,0x4c03ca80,0x07fdc0ff,0x2201ff10,
    0x3ea01fff,0xfff880ff,0xfff9100c,0x2effb801,0x1bff6600,0x88007fcc,
    0x7fc405ff,0x206ff985,0xffe807fc,0x7ffe402f,0x1fffb000,0xffe88000,
    0x7dc00005,0xf85fb001,0x275c0007,0x04ea8000,0x7ec017fe,0xff903fc2,
    0x4c7fffff,0xed8801ff,0x217ec001,0x7744007f,0x76c0000e,0xf3000001,
    0x6f44007f,0xf100004e,0x7ec000bf,0x0ffe002f,0x00009fb0,0xfb81ff30,
    0x827ec00f,0xfa804ffa,0x05ffe83f,0x5c09ff90,0x2e0005ff,0x0ff984ff,
    0x807ff500,0xffd02ff9,0x803fea01,0x5000effb,0x000009ff,0x00008800,
    0x9003ec20,0x0005e83d,0x00188008,0x200bff00,0xd02f41ec,0x7fffffff,
    0x0000ffcc,0xbd07b200,0x80000000,0x20000008,0x2e003ff9,0x200003a4,
    0x20005ff8,0x3e001cca,0x07fe202f,0x4c00a880,0xffdd50ff,0x3fea0bdd,
    0x000ffd80,0xfffa8bff,0x1fff1000,0x0007ff30,0xf985ff50,0x3ff7000f,
    0x104ff880,0x00ff9803,0x8001fff1,0x3dd70ffe,0x01774c00,0x3ffff726,
    0x654000be,0xb80efffe,0x3a6001ee,0x7f64c02e,0x7443deff,0x267fe81f,
    0x42ffc3ff,0x26001eeb,0xfffff2ee,0x7fcc7fff,0xf99ffa01,0x00f75c3f,
    0xfd05dd30,0x801ffccf,0xeffffdc9,0x1f74000b,0xb001ffcc,0x400016c5,
    0x40005ff8,0x02ff8000,0xec801bf2,0x3fe602fc,0xffffff70,0x20ffe20d,
    0x57002ffc,0x002ffd85,0x7f40565c,0x5bff9305,0x8df91664,0x3b200ff9,
    0x06eefffe,0x4000fff6,0xff501ff9,0x17d50007,0xa8007ff2,0x3fee03ff,
    0xffffffff,0xffff9004,0xfc83dfff,0x3fea001f,0xffffb103,0x25ffffff,
    0x4ffd05fd,0x2ffc3ff9,0x5000ffe4,0x3fffa7ff,0x3e63ffff,0x99ffa01f,
    0x0ffe43ff,0xd07ff500,0x01ffccff,0x7fffffdc,0x2004ffff,0x3ff984ff,
    0x1ea7aa00,0x2ffc4000,0x7ff6cc00,0xf10bd72d,0x027fc05f,0x40b30f88,
    0xf9310ff9,0x7ec0135f,0x00effa86,0x00fff100,0x80efb800,0xaffffffd,
    0x3fe62ff9,0xe803fe61,0x6fffffff,0x037ffe20,0x203ff300,0x00001ffb,
    0x54003ff9,0xffe983ff,0xffdbacdf,0x3ee00dff,0xfffc8adf,0x007ff20f,
    0xe983ffa8,0xcaacdfff,0x0efffffe,0x7fccffd0,0x7e42ffc3,0x3fea001f,
    0xffffff93,0x00ffcc7f,0x1ffccffd,0xa8007ff2,0x27fe83ff,0x3a603ff9,
    0xdbacdfff,0x800dffff,0x3ff984ff,0x027ff400,0x05ff8800,0x7ffffd40,
    0x886fccff,0x3ff302ff,0x0689e200,0xff703fe6,0x81ff5001,0x02cfffe8,
    0x0037fcc0,0x320bfe00,0xffd99cff,0x27f41ffd,0x4cc01ff3,0x0099dff9,
    0x0fffffa2,0xb01ff980,0x200001ff,0x2a001ffc,0xeffe83ff,0x17ffea01,
    0x3be2ffd4,0x3ff23ffb,0x0ffea001,0x401dfff1,0x200ffffa,0x204cc198,
    0x1ffc85ff,0x44ffea00,0x3fffffff,0x98807fe6,0x3f204cc1,0x3fea001f,
    0x4cc19883,0x07bffa00,0x805fffa8,0x3ff984ff,0x1fffe200,0x2ffc4000,
    0x17fff500,0x0dffff51,0x3ea05ff1,0x2b36000f,0x03fe603d,0xf3001ff7,
    0xfffd103f,0xa8037bff,0x200005ff,0x3ffb87fa,0xc87fff98,0x003fe66f,
    0x2a00ffe6,0xdfffdbff,0x02ff8800,0x40000dff,0x2a001ffc,0x27fe43ff,
    0x83fff980,0x4fe60ffd,0x07ff26fe,0x6c3ffa80,0xff7004ff,0x7c00005f,
    0x01ffc85f,0xfb8ffea0,0x263fffff,0x200001ff,0x2a001ffc,0x200003ff,
    0xf3004ffc,0x4ff807ff,0x2003ff98,0x002ffffb,0x005ff880,0x3a203ffa,
    0x0ffa86ff,0x8800ff70,0x7fcc02db,0x4007fdc0,0xf9102ff8,0x9fffffff,
    0x009ff501,0x2a27e400,0x3ffe04ff,0x3e67fa85,0x2ffa800f,0xf517fc40,
    0xff007fff,0x80bff307,0x99999998,0x003ff909,0xff11ffd4,0x7fd4001f,
    0x2e2ff40f,0xffc8111f,0x8ffea001,0xf5006ffa,0x0000dfff,0x7fe42ffc,
    0x0ffea001,0x47ffffd5,0x00001ff9,0xa8007ff2,0x100003ff,0x54001fff,
    0x3fe00fff,0x003ff984,0x017faffa,0x017fe200,0xf501ffd4,0x40bfd0df,
    0x010006fd,0xfb819910,0x09ff000f,0xffffda88,0x7fd41fff,0x3fe00004,
    0x9007fec1,0x4ff309ff,0xfb800ff9,0x437dc00f,0x405fffd8,0x4ffa86fd,
    0x7ffffdc0,0x3ff95fff,0xb1ffd400,0xf90005ff,0x227fc47f,0x0ffe407e,
    0x6c7ff500,0xff9802ff,0x7742ffda,0xffa76c03,0x001ffc85,0x54c0ffea,
    0x07fe63ff,0x9db00fba,0xa8007ff2,0x00fba3ff,0x17fec9db,0x01ffe400,
    0x7ff309ff,0x2e7fe600,0x440000ff,0xff9005ff,0x6ccdff00,0x17fa02ff,
    0x7fff6440,0x7dc002de,0x0bfd000f,0xfffdb980,0x017fe23f,0x207fc400,
    0x7fd404ff,0x3e66fa82,0x07fd800f,0x3ea05fd8,0x3fa204ff,0x01bfe62d,
    0xfffffff7,0x007ff2bf,0x3fe3ffa8,0xbff50007,0x9f117fcc,0x001ffc80,
    0x7fc4ffea,0x53ff8806,0x04ff8bff,0x85ffaffc,0x2a001ffc,0x1ffc03ff,
    0x9ff03ff3,0xff95ff80,0x1ffd4003,0x5ff809ff,0x54001ffe,0x13fe05ff,
    0x6c00ffe6,0x009ff17f,0x005ff880,0xdfb00dfd,0xf007bfe2,0xfff7009f,
    0x09ffffff,0x8007fdc0,0x220006fd,0x37fc7ffd,0x47f88000,0x7dc02ff9,
    0x264fc80f,0x6fe800ff,0x200ffb80,0x2200fff9,0xfff11ffe,0x55554401,
    0xff95ffaa,0x9ffd4003,0x10006ff8,0x17fd4fff,0xffc805f5,0x4ffea001,
    0x74405ff9,0x3e37fc4f,0xfaffc04f,0x01ffc85f,0xf00ffea0,0x40ffcc7f,
    0xaffc04ff,0x2a001ffc,0x013fe3ff,0x1bfe2bff,0x03ffc400,0x7ff309ff,
    0x74bff100,0x7c40007f,0x0bff005f,0x3fe2df90,0x027fc405,0x226fbfee,
    0x001fffdb,0x36001ff7,0x2000c47f,0x1ff61ffc,0xf986e200,0x200ffdc6,
    0x47fd07fd,0xff800ff9,0x0eff9804,0x900bfee0,0x0fffc3ff,0xf95ff800,
    0x7fd4003f,0x000bff33,0xff987ffc,0xf9003f23,0x7fd4003f,0x4409ff53,
    0x47fe84fe,0xaffc04ff,0x1ffc85ff,0x00ffea00,0x0ffcc7ff,0x3fe027fc,
    0x4003ff95,0x13fe3ffa,0x3fe6bff0,0x3ffe0005,0xf309ff00,0x5ff7007f,
    0x00017fdc,0x3e00bff1,0x26fc806f,0x3e00dfeb,0x07ff405f,0x7004ffb8,
    0x3fe001ff,0x800bfee6,0x3ff24ff9,0xa7fdc001,0x07fe47f9,0x3e617fe0,
    0x003fe61f,0x2e007ff3,0xff102fff,0x33ffa205,0x000fff20,0x1ffcaffc,
    0x54ffea00,0x360004ff,0x4bff11ff,0xc866d46f,0x3ea001ff,0x407ff73f,
    0x1ffd05fd,0x3fe027fc,0xff90bff5,0x1ffd4003,0xff98ffe0,0x7c04ff81,
    0x003ff95f,0x9ff1ffd4,0xff55ff80,0x7fec0009,0xf309ff01,0x8ffd007f,
    0x20005ff8,0xfd005ff8,0xd0dfb00d,0x03ffc0bf,0x7c407fd3,0x2e0aa25f,
    0xff8800ff,0x8013fe25,0x3fea3ff9,0x0fff4006,0x02ffb8ff,0xfd10ffee,
    0x400ff989,0x32001ffa,0x7d40dfff,0x203fee07,0x8001fff9,0x03ff95ff,
    0xfb9ffd40,0x3f60003f,0x7cdbfa1f,0xff93ff43,0x9ffd4003,0xdf902ffb,
    0xff0ffec0,0xff5ff809,0x003ff90b,0x3e01ffd4,0x207fe63f,0xaffc04ff,
    0x2a001ffc,0x013fe3ff,0x0ffeebff,0x01ffd800,0x7ff309ff,0xd84ff980,
    0xf10000ff,0x3ff200bf,0x5437fc00,0x1ffd00ff,0x4bff0000,0x7fdc0ff9,
    0x45ff9801,0xf7000ffe,0x05ffe83f,0xfe8bff90,0x4413fe60,0x7fec1fff,
    0x2007fcc0,0x54000ffb,0xfd33ffff,0xb027f409,0x4c003fff,0x03ff95ff,
    0xf99ffd40,0x3fa0004f,0x2f3fee0f,0xc97fea1f,0x3ea001ff,0x907ff53f,
    0x7ff401df,0xff013fe0,0x3f217feb,0x3fea001f,0xf31ffc03,0x809ff03f,
    0x03ff95ff,0xff1ffd40,0xf35ff809,0x7f40009f,0x309ff00f,0xffc807ff,
    0x004ffa81,0x200bff10,0x3ea03ffa,0x01ff986f,0x88003ff9,0x25ffeca9,
    0x7fd40ff9,0x3fea02ad,0x017ffe43,0x3ea1bfee,0x7fdc03ff,0x3e17e41f,
    0x7ff440ff,0x05ff910f,0xfd801ff3,0xffb10007,0x4407ffdf,0x3fa202ff,
    0x7e4401ff,0x03ff95ff,0xff1ffd40,0x3ffc000b,0xb8bfffec,0x3ff20fff,
    0x4ffea001,0x7fdc4ff9,0x3e3ffc00,0xfaffc04f,0x01ffc85f,0xf00ffea0,
    0x40ffcc7f,0xaffc04ff,0x2a001ffc,0x013fe3ff,0x02ffcbff,0x7c0fff00,
    0x03ff984f,0xfff037fc,0x17fe2000,0x881ffe80,0xff886ffe,0x805ff502,
    0xfffffeb8,0x3fe65fff,0x3ffffc40,0xfb03ff70,0x95359dff,0x3203fffb,
    0x99acffff,0xb82fffeb,0x5fffd45f,0xdffeffb9,0xf303fffc,0x06fe801f,
    0x7fffd400,0x00ffcc03,0x37ffffa6,0xfffeca9b,0x05ff70df,0xfd17fdc0,
    0x3fe2000d,0xfdfffb06,0xffb85fff,0x4bfee002,0x3fea6ff8,0x237fcc01,
    0xaffc04ff,0x2ffb85ff,0x00bfee00,0x0ffcc7ff,0x3fe027fc,0x4005ff75,
    0x13fe2ffb,0x37f4bff0,0x06ff8800,0x3fe613fe,0x80ffea03,0x88002ffc,
    0x3e6005ff,0xffbaacff,0x2ff886ff,0xf980ffe0,0x9bdfffff,0x03fe65fe,
    0x403fffa6,0x3fee06fd,0xffffffff,0x7ffdc01e,0xffffffff,0xb81ff303,
    0xb9efffff,0x01ffffff,0xff003fe6,0xf9100009,0x7fcc03ff,0xfffd8801,
    0xffffffff,0x01ffd41e,0x7e45ff90,0xffc8001f,0x3ffff603,0x3ffa80df,
    0xe8bff200,0x02ff99ff,0x7fc3ffc8,0xffaffc04,0x003ffa85,0xff00bff2,
    0x7c0ffcc7,0xaaffc04f,0x3f2003ff,0xf013fe2f,0x00ffe4bf,0xf01ffe40,
    0x07ff309f,0x7fffffec,0x06ffffff,0x7cc00000,0xebffffff,0x03ff886f,
    0x7fcc1bf6,0x5ff80acf,0x18803fe6,0x2a027f40,0xefffffec,0xff91000c,
    0x019fffff,0xfda85fd8,0x37ff60be,0xf984cc0b,0x0ffe600f,0x7ffb8000,
    0x8007fe60,0xffffffc9,0xbff303de,0x507ff400,0xf8800dff,0x27f600ff,
    0x3fe6009a,0x83ffa005,0x03ffdff9,0x7c0fff98,0x57fe205f,0x5ff985ff,
    0x003ffa00,0x0ffcc7ff,0xff102ffc,0x8017fe6b,0x17fe0ffe,0x3ea5ff88,
    0x7fc4006f,0x213fe00f,0xff103ff9,0xffffffff,0x0003ffff,0x71000133,
    0x3fa39dfb,0x4c07ff05,0x2ffc81ff,0xf997fe20,0x4013100f,0x26000ffa,
    0xa80001df,0x220009df,0x400004ff,0x1ff31ffc,0x000ffd40,0x1ffc8062,
    0x0003ff30,0xf8013ee2,0xff9801ff,0x003ffe86,0xbf013ff6,0x01fff800,
    0xfd86ff98,0xffb004ff,0x540bff09,0x20bff5ff,0xf9801fff,0x23ff806f,
    0x5ff81ff9,0xff97fea0,0x6ff9801f,0xff502ffc,0x003ffe8b,0xff013ff6,
    0x207ff309,0xaaaacffb,0x4ffcaaaa,0x037fcc00,0x82ffc000,0x2fec03ff,
    0x3ea03ff4,0x403fe66f,0x13fa06fe,0x017df900,0x02efc800,0x004ff980,
    0x4c5ff900,0x3fee00ff,0x07ff6000,0xfa81ffcc,0x3f20000f,0xfff9001d,
    0x17ff4c01,0x006fffc4,0x401dffd1,0x7e4003fa,0x3fa600ff,0x4fffa82f,
    0x837ff4c0,0xfe881ffe,0x320bff5f,0x3a600fff,0x3ff802ff,0x3fa07fe6,
    0x5ffe881f,0x9803fff2,0x7ff42ffe,0x45ffe881,0x200dfff8,0x200effe8,
    0xff983ff8,0x200ffd03,0x4c007ff8,0x593006ff,0x81ffc401,0x7fc404ff,
    0x880ffec1,0x3fe66fff,0x2a0dfd00,0x4c4000ff,0x4c0005fd,0xb8004feb,
    0x50002eff,0xff987ffd,0x001bfa00,0x3f20bff7,0x01ff501f,0x1ffdd400,
    0x6ffffc40,0xfffcba9b,0x3bffea03,0xffca99ac,0x0fe401ef,0x3fffe200,
    0xffcba9bd,0xffffd03f,0xf953357d,0x3ee01dff,0xfea88aef,0x33bff5ff,
    0x6ffffc43,0xfffcba9b,0x4c7ff003,0xeffb81ff,0xfffea88a,0x37fffe25,
    0xfffcba9b,0x8aeffb83,0x85fffea8,0x9acefffa,0x1efffca9,0x44bff210,
    0x983ffa99,0x3f6004ff,0x3fa2002f,0x07ff3006,0xfd80ffec,0x227dc01f,
    0x2a21dffb,0x3e66fffe,0x20dd700f,0x320002fd,0xf900006f,0x3faa000d,
    0x5cc01cef,0xf981effe,0x7fd4220f,0x7ffc4004,0x0fff711b,0x0001bfa6,
    0xe88037ec,0xffffffff,0xfe9804ff,0xffffffff,0x06e800df,0xffffd100,
    0x09ffffff,0x3ffa77f6,0xffffffff,0x3ffa200d,0xfcbfffff,0x8ffffff5,
    0xffffffe8,0x2004ffff,0x07fe63ff,0x3fffffa2,0x445fcbff,0xfffffffe,
    0xfd104fff,0x97ffffff,0x3ffa60bf,0xffffffff,0x3fffe00d,0xfffff50f,
    0x003ff907,0x40037fcc,0xfff1004e,0x27fe4c15,0x07ffff30,0x3ffa07fc,
    0xcbfffeff,0x01ff30ff,0x037cc274,0x3fffba60,0xd9910002,0xa80007ff,
    0xeeffffff,0x3ffffffe,0xff83fe60,0x8001ffff,0xfffffff9,0x7ffcc1ff,
    0xb930003f,0xb8005ffd,0xeffffffe,0x7ff54002,0x001bdfff,0xb80009d1,
    0xeffffffe,0x541df702,0xbdfffffe,0x3fff2000,0x3ebf92ef,0xd707ffff,
    0x5dffffff,0x263ff800,0x3ff201ff,0x0bf92eff,0x3fffffae,0xffc802ef,
    0x0bf92eff,0xfffffea8,0x7fcc01bd,0x3ffea1ff,0x06ff83ff,0x001ffe80,
    0xfa800bea,0xffffefff,0x3fffb805,0xf9113ea0,0x261bffff,0x01ff33ff,
    0x07f607f2,0x59dff500,0x7ffd4000,0x2e00003d,0xffffffed,0x4c00bcef,
    0xffff30ff,0x6cc0007f,0x80dfffff,0x0004fff9,0x00f7ffee,0x09aa9880,
    0x01a98000,0x10000000,0x90013553,0x000d4401,0x00004c40,0x04d54c40,
    0x10000000,0x26200013,0x880009aa,0xa9800009,0x0d4c4001,0x09ff5000,
    0x009ff700,0x260017e6,0x3dfffffd,0x002a6200,0x06a62055,0x39015440,
    0x00000aa0,0x004cc000,0x54c40000,0x2a880009,0x0000d4c4,0x88035310,
    0x980000aa,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x001ffd80,0x000fff88,0xa9880005,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa20000,0x33000002,0x22000013,0x44000099,0x40000099,0xb8000999,
    0x88000eff,0xeeb80099,0x0bba6001,0x5c17ffc0,0x3a6002ee,0x0007db2e,
    0x330ccc40,0x22ffa803,0x088007fe,0x3bb20000,0x00000003,0x00ccc000,
    0x000ccc00,0xb9000000,0x1003e881,0x00998833,0xddddddd7,0xdddddddd,
    0x01988001,0x01331000,0x40004ed8,0x2000fffa,0x20005ffd,0x00002ffb,
    0x00077fd4,0x02fffcc0,0x03ffe600,0x77fcc000,0x7ffcc000,0x7fcc005f,
    0x1ffc806f,0x00ffea00,0x7e413fee,0xff3000ff,0x00013fe7,0xff54ffc8,
    0x22ffa80b,0x7e4007fe,0xf880004f,0x100007ff,0x001fb0bf,0x005ffb80,
    0x017ffdc0,0x07ffc400,0x3627d400,0x7ff7001f,0xfc81bfe2,0xffffffff,
    0x00ffffff,0x017ffe20,0x03fff100,0x20005ff8,0x006ffff9,0x007ffff7,
    0x000ff4c0,0x001ffd00,0xffbff100,0xffa80009,0xffb00003,0xdff88003,
    0xd1003ff9,0xc80bfddf,0x3ea001ff,0x06fe803f,0x4017fff2,0x09ff3ff9,
    0x9bfe2000,0x7d400ffe,0x801ffa2f,0x0003d15a,0x02ffffb8,0x117f9000,
    0xf00009f7,0x4c0001df,0x001ffdff,0x007ffc40,0xffeffe80,0x4ffec005,
    0x3f200ffd,0xeeeeeeef,0x00eeeeee,0x0fffbfa0,0x02ffc800,0x10005ff8,
    0x09ff1dfd,0xffacff98,0x4454c002,0x40002a89,0x00002ff9,0x5ff51ffb,
    0x07fc8000,0x02ff9800,0xf70ffe80,0x3ffb005f,0x7e407ff5,0x3fea001f,
    0x007fd403,0x007ffff9,0x13fe7ff3,0x87fdc000,0x98802ff9,0x80066209,
    0x0000f23c,0x00bfd7fd,0x3fffe200,0x5c0000ff,0x220001ff,0x01dfb6ff,
    0x07ffc400,0xdfdb8800,0xffe8000a,0x7fe401ff,0x32000001,0x02ffb9ff,
    0x004ff880,0x36000bff,0x07ff51ff,0xffd9bfe2,0xf0bf6000,0x3ec8000f,
    0x5dd50000,0x00006f64,0x70000bb6,0x2660009d,0x2a004cc0,0x03bb23ee,
    0x5000ffe4,0x098807ff,0x7ffffe40,0xf9ffcc00,0xdb00004f,0x0001f645,
    0x4474c000,0x3e60000e,0x000ffb9f,0x00b32a00,0x00176c00,0x7c43ffa0,
    0x2a20005f,0x0000002a,0x07fff100,0x0003ff90,0xd93fea00,0x754000ff,
    0x017fe005,0x26604cc0,0x44133101,0x3b200099,0x40002f41,0x10000008,
    0x00000001,0x00000000,0xf9000000,0x7fd4003f,0xff900003,0xf980bff9,
    0x0009ff3f,0x00000000,0x01ffe400,0x7c5ff600,0x0000004f,0x00008000,
    0x80000080,0x00000000,0x3f200080,0x0000001f,0x00400001,0x0000bff0,
    0x5c000000,0x3a6001ee,0x7ee4c02e,0x000befff,0xffffb930,0xeeb8017d,
    0x4bba6001,0x26001eeb,0x05dd32ee,0x3bae9db0,0x4bba6001,0x2a001ffc,
    0x05dd33ff,0x3ff29db0,0x2603ffe8,0x2e9ff3ff,0xb80adffe,0x3a6001ee,
    0x005dd32e,0x07bae9db,0x402ee980,0x1ffa5ff8,0x003dd700,0x2601774c,
    0x2dffffec,0xffec9800,0x98002dff,0x2dffffec,0x3ff6e600,0x980bd72d,
    0x2dffffec,0x0007ff20,0x3ff6e200,0x2002ceff,0xceffedb8,0x20bff00b,
    0x3a00dee9,0xfb73003e,0x917ae5bf,0x7d4003ff,0x3ffee03f,0x4fffffff,
    0x7fffdc00,0x04ffffff,0xa8007ff2,0x03ff93ff,0xff1ffd40,0x93ff980d,
    0x7d4003ff,0x003ff93f,0xdff1ffd4,0xf93ff980,0x01fff31f,0x6ffcffe6,
    0xfffffffd,0x000ffe40,0x37fc7ff5,0x7e4ffe60,0x3fea001f,0x717fdc03,
    0x7e4005ff,0x3fea001f,0xffffb103,0x03dfffff,0xfffffb10,0x003dffff,
    0xffffffb1,0xa803dfff,0xcfffffff,0xffb106fc,0xdfffffff,0x003ff903,
    0xffffc800,0x1effffff,0x7ffffd40,0xf81fffff,0x1fff985f,0x54027fc0,
    0xcfffffff,0x0ffe46fc,0x307ff500,0x759bfffd,0x01bffffb,0xcdfffe98,
    0xdffffdba,0x001ffc80,0x7fe4ffea,0x8ffea001,0x3f200ffc,0x003ff90f,
    0xffc9ffd4,0x8ffea001,0x3f200ffc,0x2e1ff90f,0x7ff306ff,0x447bfffe,
    0x7fe46ffb,0x8ffea001,0x3f200ffc,0x003ff90f,0x3a01ffd4,0x02ffc47f,
    0x4003ff90,0xff983ffa,0xfebabcff,0x3e601fff,0xebabcfff,0x2601ffff,
    0xbabcffff,0x101ffffe,0xf7117fff,0xff30dfff,0xfd7579ff,0xffc83fff,
    0xfd100001,0xb757bdff,0x2e07fffd,0xcaacdfff,0x7fc3fffe,0x00fffcc5,
    0x3e2027fc,0xffb88bff,0x0ffe46ff,0xd07ff500,0x7d403dff,0x7ff405ff,
    0x3ffea01e,0x001ffc85,0x7fe4ffea,0x8ffea001,0x3fa03ff9,0x8007ff25,
    0x3ff93ffa,0x31ffd400,0x2ff407ff,0x7ff41ff9,0xff3ff983,0x9ff501df,
    0x5000ffe4,0x1ffcc7ff,0x7fe4bfd0,0x0ffea001,0xfd84ff98,0x3ff9000f,
    0x21ffd400,0x100cfff8,0xf101fff9,0x322019ff,0xff880fff,0xff9100cf,
    0x01ffd01f,0xf88dffd1,0xf9100cff,0x6ffe41ff,0xcccccccc,0xffd01ccc,
    0xfffc805f,0x00fffc40,0x7fc1fff5,0x003ffe65,0x3fa027fc,0x6ffe880f,
    0x5000ffe4,0x4ffc87ff,0x07fff300,0x4c013ff2,0x7fe43fff,0x4ffea001,
    0x2a001ffc,0x837f43ff,0x3ff22ff9,0x4ffea001,0x2a001ffc,0x837f43ff,
    0x3ff22ff9,0x303ffe60,0x07ffe7ff,0x3ff27fd8,0x0ffea001,0x3fe60dfd,
    0x8007ff22,0x3f203ffa,0x04ffa81f,0x4003ff90,0x7ff43ffa,0x09ff9005,
    0x3200bffd,0x5ffe84ff,0xa89ff900,0x3fea03ff,0x802fff46,0x3ff24ffc,
    0xffffffff,0xfb82ffff,0xff5000ef,0x804ffa89,0x57fe3ffa,0x2000eff9,
    0x3fea04ff,0x91bfea03,0x7d4003ff,0x03ffe23f,0x40fffa80,0x2000fff8,
    0x3f20fffa,0x3fea001f,0x4003ff93,0x7fdc3ffa,0x7e47fc81,0x3fea001f,
    0x4003ff93,0x7fdc3ffa,0x7e47fc81,0x237fdc0f,0x0dff3ff9,0xff91ffa8,
    0x1ffd4003,0x3f207fee,0x000ffe47,0x7fc07ff5,0x401ffe06,0x2a001ffc,
    0x3ffea3ff,0x1fff1000,0x8007ffd4,0x3ea0fff8,0xff1000ff,0x403fdc1f,
    0x3ffea6ff,0x1fff1000,0x3ffffff2,0xffffffff,0x007ffc42,0xfd83ffa0,
    0x4bff000f,0x0eff9dff,0x7027fc00,0x8dff00ff,0x2a001ffc,0x0bff63ff,
    0xb0fff200,0xf90005ff,0x00ffe47f,0x3f27ff50,0x3fea001f,0x7c27fc43,
    0x00ffe44f,0x3f27ff50,0x3fea001f,0x7c27fc43,0x407fe44f,0x3fe63ffe,
    0xf9809ff3,0x003ff92f,0x3e21ffd4,0x644ff84f,0x3ea001ff,0x07ff503f,
    0x64017fe4,0x3ea001ff,0x00bff63f,0x7ec15970,0x565c002f,0x000bff60,
    0x37ec1597,0xffb37ec0,0x0acb8005,0x80003ff9,0xa8003ffa,0x0bff20be,
    0xdff155c0,0xf000bfff,0x037ec09f,0x3ff237ec,0x8ffea001,0xf50007ff,
    0x007ff8bf,0x7e4bff50,0x3fea001f,0x4003ff93,0x7fd83ffa,0x3f20ffd4,
    0x3fea001f,0x4003ff73,0x7fd83ffa,0x3f20ffd4,0x0fff980f,0x0ffe7ff3,
    0x3f29ff10,0x3fea001f,0x7d47fd83,0x00ffe41f,0x3607ff50,0xffffffff,
    0xc806ffff,0x3ea001ff,0x00fff13f,0x01ffe200,0x03ffc400,0x00bfd000,
    0x1ffe2df9,0x0ffe4000,0x07fee000,0xeffa8000,0xffff0000,0xf8005fff,
    0x017fa04f,0x3ff91bf2,0x89ffd400,0xf10006ff,0x037fc4ff,0x327ff880,
    0x3ea001ff,0x003ff93f,0x7d41ffd4,0x321bf62f,0x3ea001ff,0x005ff73f,
    0x7d417fdc,0x321bf62f,0xdff700ff,0x1ffcffe6,0x7e53fe20,0x3fea001f,
    0x362ffa83,0x01ffc86f,0x220ffea0,0xffffffff,0x01ffffff,0x5000ffe4,
    0x1bfe67ff,0x37fcc000,0x6ff98000,0x1bfe0000,0x7fcdbf20,0xff900006,
    0xffd80003,0x3a200000,0x4002cfff,0xfff9efff,0x813fe000,0x6fc806ff,
    0x5000ffe4,0x17fe67ff,0x30fff800,0x7c000bff,0x03ff90ff,0xfc9ffd40,
    0x3fea001f,0x3e2bff03,0x01ffc83f,0x7d4ffea0,0x3ff2003f,0x3e2bff01,
    0x00ffc83f,0x3fe6fffa,0xf9809ff3,0x003ff92f,0xff81ffd4,0xf907ff15,
    0x7fd4003f,0xaacffb83,0xfcaaaaaa,0x0ffe404f,0x2a7ff500,0x500005ff,
    0x20000bff,0x00005ffa,0x3f601bfa,0x000bff56,0x0007ff20,0x0000dff0,
    0xfffffd10,0xeff8037b,0x400bff50,0x1bfa04ff,0xff91bf60,0x9ffd4003,
    0x20004ffa,0x9ff51ffd,0x8ffec000,0x2a001ffc,0x03ff93ff,0xc81ffd40,
    0x901ff57f,0x7d4003ff,0x00bff33f,0xfc807ff4,0xf901ff57,0x7ffcc01f,
    0x0bff3ffb,0xff91ffa8,0x1ffd4003,0x1ff57fc8,0x4003ff90,0x7fe83ffa,
    0x80fff100,0x2a001ffc,0x09ff53ff,0x13fea000,0x27fd4000,0x1ff90000,
    0xff56ff80,0x3f200009,0x3e60001f,0x4ccc405f,0x88099999,0xfffffffc,
    0x45ff80cf,0xff002ffd,0x007fe409,0x3ff91bfe,0xb9ffd400,0x360003ff,
    0x07ff71ff,0xc8ffec00,0x3ea001ff,0x003ff93f,0xf981ffd4,0xf905fdaf,
    0x7fd4003f,0x2007ffe3,0x3e606ff9,0xf905fdaf,0xfffb801f,0x01fff3ff,
    0x3ff93fec,0x81ffd400,0x05fdaff9,0x54003ff9,0x27fcc3ff,0x405ffb00,
    0x2a001ffc,0x09ff53ff,0x13fea000,0x27fd4000,0x7ff50000,0xfab7fd40,
    0xf900004f,0x7d40003f,0x7ffdc04f,0x205fffff,0xfffffda8,0x22ffc1ff,
    0xf800fff8,0x0ffea04f,0x7e46ffa8,0x3fea001f,0x0009ff33,0xff987ff4,
    0x3ffa0004,0x4003ff90,0x3ff93ffa,0x01ffd400,0x205ffbfd,0x2a001ffc,
    0x3ffee3ff,0x07ffa601,0x05ffbfd0,0x3a003ff2,0xfff3ffff,0xc93fe609,
    0x3ea001ff,0x3f7fa03f,0x03ff902f,0x321ffd40,0x3e6001ff,0x07ff206f,
    0xf13ffa80,0x220000bf,0x100005ff,0x80000bff,0xfe881ffe,0x00bff16f,
    0x007ff200,0x406ff980,0xfffffffb,0x36e6005f,0x3fe3ffff,0x805ffb85,
    0x7ff404ff,0x46ffe881,0x2a001ffc,0x017fe3ff,0x7fc7ff80,0x9ffe0005,
    0x2a001ffc,0x03ff93ff,0x701ffd40,0x7e40ffff,0x3fea001f,0x37fffe23,
    0xfffcba9b,0x7fffb804,0x2003ff20,0xff3ffff9,0x7fd419ff,0x000ffe46,
    0x7dc07ff5,0x3ff207ff,0x0ffea001,0xfd000dff,0x07ff203f,0x3e3ffa80,
    0x3e00006f,0x3e00006f,0x4c00006f,0xfbaacfff,0x1bfe6fff,0x6ffe4000,
    0xcccccccc,0xff12cccc,0x5554401f,0x005ffaaa,0x7cfffb10,0x05ffd05f,
    0x7cc04ff8,0xffbaacff,0x17fdc6ff,0x745ff700,0xff10006f,0x0006fe8d,
    0x7fdcdff1,0x4bfee002,0x2e002ffb,0x3fe202ff,0x0bfee04f,0x442ffb80,
    0xfffffffe,0xf1005fff,0x7fe409ff,0x7fff7000,0x3bffbbfe,0x7dc0efff,
    0x3fee002f,0x13ffe202,0x2002ffb8,0x3fea2ffb,0x4ffb8004,0x4005ff70,
    0x1ff62ffb,0xfb06e200,0x8371000f,0xb88007fd,0xfffff301,0x6cdfd7ff,
    0x1b88007f,0x3ffffff2,0xffffffff,0x007ffe4f,0x0312ffc0,0xff1ffc80,
    0x03ffe60b,0xf9804ff8,0xebffffff,0x01ffd46f,0x7e45ff90,0xffc8001f,
    0x000ffe43,0xff51ffe4,0x97fe4007,0x32003ffa,0x7fec02ff,0x00ffea01,
    0xb702ffc8,0x5dffffff,0x01ffd800,0xe8003ff2,0xb19ff3ff,0x5019dfff,
    0x7e4007ff,0x0ffec02f,0x4007ff50,0x3ff62ffc,0xfff88001,0x003ffa80,
    0xffc8bff2,0x27fdc001,0xb8003ff9,0x07ff24ff,0x209ff700,0xd1cefdb8,
    0x00ffe4bf,0x7e53fee0,0xffffffff,0x24ffffff,0xf0003ffc,0x00bfeebf,
    0xbff4ff98,0xf02ffdc0,0x36e2009f,0x8bfd1cef,0x3a005ff9,0x1bfea0ff,
    0x81fff100,0x44006ffa,0x3fe60fff,0x43ffa005,0x3a005ff9,0x37ec00ff,
    0x8017fe60,0xfa800ffe,0x3f60001d,0x00c40006,0x02624ff8,0x400bff30,
    0x7ec00ffe,0x02ffcc06,0x0001ffd0,0xf302fc40,0x7ff400bf,0x001bfea0,
    0x7fd43ffd,0x0fff4006,0xe800dff5,0xfd0001ff,0x0037fd4b,0x50007ffa,
    0x7ffcc05f,0x15ff8001,0x7cc009ff,0x0006203f,0x400013fe,0x1fff85fe,
    0xe86ff980,0x3f6003ff,0x07ffd04f,0x7c27fec0,0xff9801ff,0x400fffc6,
    0x7c406ff9,0x1fff803f,0x006ff980,0x440007f3,0x640003ff,0x3fe01dff,
    0x3fff0004,0x80dff300,0xff803ff8,0x6ff9801f,0x1fcc0000,0x2007ffe0,
    0xffe86ff9,0x0bff9005,0x3200bffd,0x5ffe85ff,0x98bff900,0x3fe200ac,
    0x802fff44,0xc8005ffc,0x7ffec00f,0x97fe6001,0xf7000ffe,0x6ffdc03f,
    0x409ff001,0x3e200ac9,0x0fffc84f,0x20bffa60,0x200dfff8,0x100effe8,
    0x4401bfff,0xfc80effe,0x3fa600ff,0x07ffe42f,0x805ffd30,0xfc800ffb,
    0x3fa600ff,0x07f5002f,0x007fdc00,0x1bf6a200,0x90004ff8,0x74c01fff,
    0x7fdc02ff,0x0fffc800,0x00bffa60,0x809f5000,0x2600fffc,0xffa82ffe,
    0x7ffdc03f,0x03fffa81,0x540fffdc,0x7dc03fff,0x1ffcc1ff,0xfa83ffb0,
    0x7fdc03ff,0x0fd8001f,0x0ffff440,0x97fff220,0x5c02fffc,0x6d4406ff,
    0x3ff8806f,0xd80ffe60,0xfff881ff,0xfcba9bdf,0x3fea03ff,0xca99acef,
    0x5401efff,0x99acefff,0x01efffca,0x37bffff1,0x07fff975,0x37bffff1,
    0x07fff975,0x09ff7331,0x37fffe20,0xfffcba9b,0x83bea003,0x3ee66201,
    0x2e00004f,0x09ff00ff,0x3fffe200,0xffcba9bd,0xfb99883f,0xfff1004f,
    0xf97537bf,0x000007ff,0x10a23ff3,0x537bffff,0x407fff97,0x9acffffc,
    0x02fffeb9,0x2b3ffff2,0x2fffeb99,0x33ffff20,0xfffeb99a,0x0bfff882,
    0x6417ff26,0x99acffff,0x002fffeb,0x98089fb0,0x9bdffffe,0xdffffeca,
    0x677ffec0,0xfffdca9a,0x01ff5001,0x1017fe42,0x64c17fff,0x3fa205ff,
    0xffffffff,0xffe9804f,0xffffffff,0xffd3000d,0xffffffff,0xffe8801b,
    0xffffffff,0x3fffa204,0x4fffffff,0x0dffff30,0xffffe880,0x04ffffff,
    0x7fdfff80,0x1bfffe60,0x3fb32000,0x013fe04f,0xffffe880,0x04ffffff,
    0x00dffff3,0xfffffe88,0x004fffff,0x3bffa000,0xfffe887f,0x4fffffff,
    0xfffffb80,0x03ffffff,0xffffffb8,0x803fffff,0xfffffffb,0x2a03ffff,
    0xfffeffff,0x7ffdc05f,0xffffffff,0x3fea0003,0xfb104fde,0xffffffff,
    0x7dc03dff,0xffffffff,0x766401ef,0x3ffe05ff,0xfffa807f,0x05ffffef,
    0xfffffd70,0xea8005df,0x1bdfffff,0xfffd5000,0x80037bff,0xffffffeb,
    0xffd7002e,0x405dffff,0x000efff8,0xfffffd70,0x2a0005df,0x2204effe,
    0x0000efff,0x06ffffc4,0x00009ff0,0xffffffd7,0x7ffc405d,0xfd70000e,
    0x05dfffff,0xfd980000,0x3fae03ef,0x02efffff,0x3ffff220,0x2000cfff,
    0xffffffc8,0x322000cf,0xcfffffff,0xfffd9800,0x91003dff,0x9fffffff,
    0xff900001,0xfc9805df,0x3defffff,0xfffd9500,0xf0019dff,0x2601bfff,
    0x3002ffff,0x7bfffffb,0x35531000,0x35300001,0x35300000,0x2a620000,
    0x3100009a,0x26001355,0x3100000a,0x00001355,0x054c0026,0x03330000,
    0x44000000,0x30009aa9,0x22000015,0x00009aa9,0x20004000,0x0009aa98,
    0x004d4c40,0x04d4c400,0x4d4c4000,0x35310000,0x9a988000,0x13000000,
    0x03531000,0x006a2000,0x10026620,0x10001353,0x00000353,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99800000,0xc804cc41,0x3a0000ee,0x0000003e,
    0x00002662,0x80131013,0xd5000eec,0x4cc005dd,0x00026661,0xee806620,
    0xed84ed84,0xdddddd74,0x179bdddd,0x3104ed80,0x80199813,0x00000998,
    0x00133300,0x0003aa00,0x00026660,0x80003330,0x00ccc099,0x06620ccc,
    0x417b5000,0x262000ec,0x0004cc41,0x00266200,0x98133000,0x13310019,
    0x44004cc4,0x004cc419,0xaa881333,0xf13ffb82,0x07fec0df,0x009ff000,
    0x0003ffe6,0x001dfff1,0x0fe437c0,0x2003ff60,0x2003fffa,0xdff35ffb,
    0xfff50000,0x3e1bfe0b,0xf95fe85f,0xffffffff,0x405fffff,0xffd105ff,
    0x200ffee1,0x00002ffe,0x00eff980,0x1fe4c400,0x1bfea000,0x7fff9000,
    0x87ff4000,0xfc803ffb,0x00bff12f,0x6fffff40,0x7d4006fc,0x003ffa4f,
    0x3fffb000,0x7fec0000,0x2007ff51,0x3bfa5ff9,0x25ff9800,0x3ee00efe,
    0x83ffd45f,0x0ffd9ffd,0x0003ff60,0xf3004ff8,0xfd8001ff,0x20005fef,
    0x5fb99cfb,0x400ffd80,0x4003fffa,0x3ffb0efe,0xdff88000,0x86ff83ff,
    0x95fe85ff,0x99999bff,0x7ffffd99,0xf9817fe0,0x804ff8df,0x00004ffa,
    0x003ffb00,0x7fffe440,0xe8001cff,0x2a0000ff,0x001ffdff,0xff1bff10,
    0x47fec009,0x30000efe,0xfffd93bf,0x5ff90005,0x00003ff7,0x0ffdffc8,
    0xdfd10000,0xb800bff1,0x00ffcaff,0x3f2bfee0,0x1ffd801f,0x7441ffea,
    0x6c01ffff,0x3e0000ff,0xfff3004f,0x57fdc001,0x10003ff9,0x03fffffd,
    0x5401ffb0,0x54003fff,0x07ff11ff,0x71ffd000,0x86ff85ff,0x92aa8099,
    0x3f2003ff,0x009980ff,0x037f7fdc,0x00005fe8,0x005ff300,0xfffffe80,
    0x2002ffff,0x20002ff9,0x1ffb5ff8,0x3ffe6000,0x7fc4006f,0x20000fff,
    0x005cc1ca,0x7ffffb00,0xffa80000,0x0000dfd4,0x077fffcc,0x7fffec00,
    0xfffd8002,0x97fa002f,0x3e605ee9,0xffd803ff,0x13fe0000,0x20019980,
    0x3ff25ffa,0x32e20002,0x03ff6001,0x0017ffd4,0x09d71764,0x45dd7000,
    0x1bfe0ded,0x03ff9000,0x0017ff40,0x003fff20,0x000037a6,0x00275c00,
    0x2a77ff20,0x00fffb8f,0x80007d90,0x9db10eec,0x7ffdc000,0xfff98000,
    0x00000002,0x17ffe200,0xbdb10000,0x0001f74c,0x001fff70,0x00fbb620,
    0x027ff440,0x0003b620,0x1ffb0004,0x027fc000,0x00200000,0x00022000,
    0xff501ffb,0x2200005f,0x00000000,0x90001bfe,0x7dc003ff,0x0000004f,
    0x00000000,0x37fc0000,0x0ffee1f5,0x00000000,0x00000000,0x3dd70000,
    0x01774c00,0x00000000,0x00000000,0x00000000,0x9dd10000,0xdffdb710,
    0x3ff60179,0x13fe0000,0x5bffb730,0x6dc417ae,0x00bceffe,0x7ffee4c0,
    0x7ec00bef,0x17ffd40f,0xffb93000,0x00017dff,0xff817ba0,0xed84ed86,
    0x4003ff94,0x4ed85ff9,0xb84ee880,0xeeeeeeee,0x000bcdee,0xeeeeeb80,
    0xeeeeeeee,0xff31eeee,0xff887d47,0x77777445,0xeeeeeeee,0x09dd72ee,
    0x4c9dd700,0xeeeeeeee,0xeeeeeeee,0xdddddd75,0x179bdddd,0x000ffe40,
    0x64007ff5,0x3aa003ee,0xeeea802e,0x21eeb801,0xeeeeeee8,0xeeeeeeee,
    0x4005dd72,0xddd72ee9,0xdddddddd,0xe881dddd,0x517fe24e,0xffffffff,
    0x1ffb03ff,0x027fc000,0xfffffff5,0xff50df99,0xffffffff,0x3ffee003,
    0x4fffffff,0xfa83ff60,0x2e0002ff,0xffffffff,0xf80004ff,0x21bfe06f,
    0x95fe85ff,0x7e4003ff,0x805ff84f,0xffc85ff8,0xffffffff,0x0002ffff,
    0x3fffffe2,0xffffffff,0xff52ffff,0x20107d43,0xfffffff8,0xffffffff,
    0x005fff13,0xf30fffc4,0xffffffff,0xffffffff,0x3ffffff2,0xffffffff,
    0x003ff902,0x8801ffd4,0x26007fff,0xffc804ff,0x47fe803f,0xfffffff8,
    0xffffffff,0x001fff93,0x7fe4ffe6,0xffffffff,0x440fffff,0x97fe25ff,
    0xaacdfffb,0x6c3fffec,0x3e0000ff,0x7fff104f,0xdffff711,0xacdfffb8,
    0x03fffeca,0x337fffa6,0xdffffdba,0xf50ffd80,0x260003ff,0xbacdfffe,
    0x00dffffd,0xf81bfe00,0xe85ff86f,0x003ff95f,0x3e07ffe6,0x5ff8805f,
    0xcccdffc8,0xfffecccc,0xff90003f,0xdddffddd,0xdddddddd,0xfa93fe63,
    0xeeee8800,0xeeeeeeee,0x3fea3fff,0x7ffb000f,0xeeeeee98,0xeeeefffe,
    0x9bff95ee,0xfd999999,0xff907fff,0x1ffd4003,0x2ffffb80,0x201bfe00,
    0x4406ffff,0x777445ff,0xeeeeeeee,0xff93fffe,0x3fe600bf,0xddddff93,
    0xdddddddd,0x25ff881d,0xfff15ff8,0x07ffd403,0x40001ffb,0x1ffd04ff,
    0x44dffd10,0x3ea01fff,0xdffd00ff,0x2fffd403,0x7fd47fec,0xfd0000ff,
    0x7fd403df,0x3fe0005f,0x3e1bfe06,0xf95fe85f,0x3333335f,0x09fff953,
    0x3e2017fe,0x01ffc85f,0x001fff90,0x3ee7ff88,0xdff0002f,0x00003ea1,
    0x361bff20,0xffb805ff,0x2ffc4005,0x800ffe40,0x7e40fffc,0x3fea001f,
    0xfd7fd003,0x07fec00b,0x1ff9ff30,0x001ffd40,0xfc9bff20,0xf9803fff,
    0x003ff93f,0x44bff100,0x09ff55ff,0x7ec7ff50,0x3fe0000f,0x203ffa84,
    0x3fea6ffa,0x83ffa804,0xf3004ffc,0xbffd87ff,0x005fffff,0x3004ffc8,
    0x20007fff,0x1bfe06ff,0x57fa17fe,0xfffffffc,0x4fffffff,0x22017fe0,
    0x1ffc85ff,0x00bffa00,0x7dc7ff90,0xff90002f,0x0001f77f,0x80fffb80,
    0x2202fff8,0x44000fff,0xffc805ff,0x0bffa001,0x54003ff9,0xff9803ff,
    0x7000ffb9,0x7fdc03ff,0x3f202ff9,0x3ee0001f,0x3fff20ff,0x7fcc00ff,
    0x0003ff93,0x7c4bff10,0x001ffb5f,0x0ffd97fe,0x213fe000,0x6ff807fb,
    0x7c003ff6,0x07ffc45f,0x41fff500,0xe9fffffd,0x3e2003ff,0x3ea000ff,
    0xff8000ff,0x3e1bfe06,0xf95fe85f,0xffffffff,0xf8039dff,0x5ff8805f,
    0x2001ffc8,0x22004ffb,0x3fee0fff,0x3ff60002,0x0000bfff,0x403fff50,
    0xfb00fffa,0xff10005f,0x03ff900b,0x3227fdc0,0x3ea001ff,0x17fd803f,
    0x3e6009ff,0x7d7f603f,0x01ffa04f,0x41fffa80,0x05ffcffc,0xffc9ffcc,
    0xff880001,0x7e57fe25,0x4557002f,0x20000ffd,0x06fd84ff,0x3ff26fd8,
    0xd8557002,0xfc8002ff,0x3ffff63f,0x003fff31,0x2000bff6,0xf8003ffc,
    0x21bfe06f,0x95fe85ff,0x955559ff,0x3e005fff,0x5ff8805f,0x2001ffc8,
    0x2e005ff9,0x17fdc4ff,0x3ffae000,0x0001efff,0x200fffe2,0xffa85ffd,
    0xbff10005,0x003ff900,0x3f22ffcc,0x3fea001f,0xd2ffc403,0x2ffc00ff,
    0xdf92ff88,0x80027fc0,0xfc83fff8,0x203ffe8f,0x3ff93ff9,0xbff10000,
    0xffaaffc4,0xffb0000e,0x27fc0001,0x7e402ff4,0x003bfea6,0x0007ff80,
    0x7fecbff5,0x077fdc0e,0x8003ffc0,0xf8005ffa,0x21bfe06f,0x95fe85ff,
    0x3fa203ff,0x05ff804f,0xfc85ff88,0x3ff2001f,0x03ffe004,0x00005ff7,
    0x3fffff66,0xffe88004,0x5fff1004,0x0007ffc4,0xc805ff88,0x3f2001ff,
    0x00ffe44f,0xb807ff50,0x0bfee2ff,0xfa83fec0,0x303ff50f,0xd10005ff,
    0x3ff209ff,0x300fff98,0x07ff27ff,0x97fe2000,0xffd15ff8,0xfd80059f,
    0x3fe0000f,0xc806ff84,0x3fffa26f,0x7fc4002c,0xfff10006,0xfe80ffec,
    0x37fc405f,0x07ff8800,0x3e06ff80,0xe85ff86f,0x403ff95f,0x7c03ffe8,
    0x5ff8805f,0x3001ffc8,0x2e003fff,0x2ffb84ff,0x2bea0000,0x4003fffc,
    0x54006ffd,0x0bff26ff,0x05ff8800,0x3001ffc8,0xffc83fff,0x0ffea001,
    0xff88ffd0,0x03ff7005,0x1ffc4df9,0x40007fdc,0x3f206ffd,0x20dff70f,
    0x3ff93ff9,0xbff10000,0xfd12ffc4,0x037bffff,0x0000ffd8,0x1bfa13fe,
    0xfd11bf60,0x037bffff,0x0005ff98,0x7fec3ffe,0x05fff100,0x0002ffcc,
    0xf8001fff,0x21bfe06f,0x95fe85ff,0xff9803ff,0x017fe02f,0x3f217fe2,
    0x999999af,0x04fffca9,0x2e03ffa0,0xcccccdff,0xa802cccc,0x00fff30f,
    0x0007ffdc,0x7fcdffec,0x7fc40004,0x9affc805,0xca999999,0xffc84fff,
    0x0ffea001,0xfd84ff98,0x3ff8800f,0x2ff44fe8,0x5c0037ec,0x3f200fff,
    0x20fffa0f,0xbff93ff9,0x99999999,0xff103999,0x222ffc4b,0xfffffffc,
    0x0ffd80cf,0x213fe000,0x7fc00ffc,0xffffc886,0xa80cffff,0x360004ff,
    0x01ffb1ff,0xa807ffdc,0x360004ff,0x7fc001ff,0x3e1bfe06,0xf95fe85f,
    0xfff9003f,0x2017fe01,0xffc85ff8,0xffffffff,0x2004ffff,0xff704ffa,
    0xffffffff,0x1f5009ff,0x5400ffec,0x10001fff,0x01dfdfff,0x05ff8800,
    0xffffffc8,0xffffffff,0x003ff904,0xf901ffd4,0x09ff503f,0xff117fa0,
    0xff87fc83,0x7ffd4004,0x307fe401,0xff981fff,0xffffff93,0xffffffff,
    0x44bff105,0xfb5105ff,0x83ffffff,0x20000ffd,0x3ffa84ff,0x881bfea0,
    0xffffffda,0x01ffdc1f,0x363ffb00,0x7fec00ff,0x007ff706,0x000ffec0,
    0x6ff81bfe,0x5fe85ff8,0x3a003ff9,0x0bff05ff,0xf90bff10,0xffffffff,
    0x80039dff,0xff700ffe,0xffffffff,0x215449ff,0x0bfea0fa,0x007fff10,
    0x1ffffa80,0x5ff88000,0xfffffc80,0xceffffff,0x007ff201,0x3e03ffa8,
    0x01ffe06f,0x1fee37e4,0xff98bfe6,0x3ffe2001,0x40ffc803,0x7fcc6ffb,
    0xffffff93,0xffffffff,0x44bff105,0xb73005ff,0x7ec7ffff,0x3fe0000f,
    0x103ffd04,0x4c00dffd,0x23ffffdb,0x20004ff9,0x1ffb0ffe,0x84fff880,
    0x20004ff9,0x7c000ffe,0x21bfe06f,0x95fe85ff,0x3e6003ff,0x05ff82ff,
    0xfc85ff88,0xfcaaaacf,0xfa8002ff,0x0bfee04f,0xa83ff600,0x00bfea0f,
    0x00009ffd,0x00013ff6,0x6402ffc4,0xcaaaacff,0xfc802fff,0x3fea001f,
    0x407ff503,0xfa802ffc,0x7c17f60f,0x001fee4f,0x32009ffd,0x3ffe80ff,
    0x7fe4ffe6,0xff880001,0x0017fe25,0xfd9fff62,0xcccccccf,0x4ff83ccc,
    0x559fff30,0x00dffff7,0xf1fff620,0x7fc000bf,0x2003ff67,0xff82fffa,
    0x1ffe0005,0xf81bfe00,0xe85ff86f,0x003ff95f,0x3e077fe4,0x5ff8805f,
    0xd101ffc8,0xfe8009ff,0xeeeeeeef,0xb8002ffe,0xd83ea3ff,0x3ff601ff,
    0x3ee00006,0xf100002f,0x3ff900bf,0x013ffa20,0x5c005ff7,0xfffb02ff,
    0xffffffff,0x5ff100df,0x5fd81ffc,0xfd8017f6,0x3ff2006f,0x30fff980,
    0x07ff27ff,0x97fe2000,0x00315ff8,0xffb1ffc8,0xffffffff,0x09ff0dff,
    0x7fffffcc,0x0626febf,0x743ff900,0xff10006f,0x8007fecd,0x7f40fffc,
    0xdff10006,0x40dff000,0x85ff86ff,0x03ff95fe,0x227ffc40,0xff8805ff,
    0x201ffc85,0x5003ffe8,0xffffffff,0x005fffff,0x2a1dff10,0x40dff10f,
    0x0000fffb,0x000bfee0,0x402ffc40,0x3a201ffc,0x3fea03ff,0x0bff2003,
    0x3fffffe2,0xffffffff,0xf34fe801,0xf9fee01f,0xfff7003f,0x07fe4001,
    0xff36ffb8,0x0007ff27,0xf897fe20,0x002ffbdf,0x7fed3fe6,0xffffffff,
    0x04ff86ff,0x8e77edc4,0x05ff75fe,0xf927fcc0,0xff90003f,0x0007fec7,
    0xffc8dffd,0x3ffc8001,0xdff00d4c,0x7fc37fc0,0xff95fe85,0xfffa8003,
    0x22017fe1,0x1ffc85ff,0x017ffcc0,0x77777ff4,0x2ffeeeee,0x5fffb000,
    0x5fff73f5,0x007ffe60,0x05ff7000,0x17fe2000,0x3007ff20,0x3e605fff,
    0x3ffa005f,0xaacffb80,0xfcaaaaaa,0x96fc804f,0x4ffcc0df,0xf9801ff9,
    0x7e4001ff,0x2fffa00f,0x3ff93ff9,0xbff10000,0x7fc6ffc4,0x0ffe6004,
    0x06200310,0x8aff4000,0x3e6004ff,0x01bfea3f,0x001fff10,0x3ea0004c,
    0x7fc4006f,0x8827fc0f,0x09f105ff,0x200bfd00,0x05f80018,0xf90bff10,
    0xfff9003f,0x02ffcc01,0x00017fdc,0xfffffffb,0x3fe209ff,0xb800002f,
    0x100002ff,0xff900bff,0x1fff9003,0x2007ffe0,0xffd06ff9,0x01ffe200,
    0x027f5fea,0x01feebfe,0x000bffe2,0xf9803ff2,0xf93ffbff,0xf100003f,
    0xeaffc4bf,0xff7000ff,0x0dffd803,0x30b7fee0,0x7fc40159,0x4003ffa4,
    0x7ff41ffb,0x13ff6003,0x009dff00,0xb001fff4,0x0bff09ff,0x7cc13fe6,
    0x05ff8002,0x003bff90,0x3e2007f3,0x01ffc85f,0x6c0bffd0,0xffb801ff,
    0x7f640002,0x201effff,0x00004ffe,0x0005ff70,0x2017fe20,0xfd001ffc,
    0x3fff20bf,0x0bffa600,0xd8013fe6,0x7fc402ff,0x7e402ffa,0xfe804fcc,
    0xff90004f,0xffffb801,0x003ff93f,0x44bff100,0x5fff95ff,0x806ffb80,
    0x2204fea9,0x7fcc6fda,0xc87ff603,0x7dc02fff,0xdfff886f,0x3bffa200,
    0x7fdcc000,0xbfff1002,0x77ff4401,0xd81ffd80,0x07f702ff,0x2009ff00,
    0xa806fda8,0xbff1003f,0x2003ff90,0xf982fff9,0x5ff7006f,0x3f220000,
    0x2ffe400b,0xff700000,0x3e200005,0x1ffc805f,0x05fff300,0x37bffff1,
    0x07fff975,0x98007ff2,0xdfe806ff,0x77d400ff,0x7fe402fe,0x3ff20005,
    0xffffe800,0x0003ff93,0x7c4bff10,0x3bfff65f,0xffdca9ac,0x1ff2001f,
    0xf887fea0,0x3f260bff,0xefffd85f,0xffdca9ac,0xdfff501f,0xff953359,
    0x740003df,0x3fea005f,0xca99acef,0xf501efff,0xffb53bff,0x83bea01d,
    0x0ffee101,0x801ff700,0x44060efa,0x1ffc85ff,0x03bff200,0x2e005ffb,
    0xcccccdff,0x403ccccc,0x7fd400fa,0xcccccccf,0x03cccccc,0x0005ff70,
    0x2017fe20,0x32001ffc,0xfe880eff,0xffffffff,0x01bfe04f,0x7007ffa0,
    0xf100bfff,0x7d401fff,0xccccccff,0x3ccccccc,0xf3001ff9,0x3ff27fff,
    0xcccccccd,0x442ccccc,0x17fe25ff,0xfffffff7,0x8803dfff,0x703ffecc,
    0xf50dffb9,0xffffdfff,0x7fffdc0b,0x1effffff,0x7ffff4c0,0x0dffffff,
    0x7f6e4c00,0x7f4c001f,0xffffffff,0x7fec00df,0x00ffffff,0x83fefffc,
    0x800fffff,0x004ffecc,0x20ffbfff,0xffc85ff8,0x3ffe2001,0x801bfe64,
    0xfffffffb,0x05ffffff,0x3ea007d4,0xffffffff,0x6fffffff,0x005ff700,
    0x017fe200,0x88007ff2,0x3ae04fff,0x2effffff,0x0013fea0,0xf3013fee,
    0x3fa007ff,0x7ffd406f,0xffffffff,0xf96fffff,0x3fee001f,0xfffff93f,
    0xffffffff,0x5ff889ff,0x32a17fe2,0xcefffffe,0xffff9800,0x3bfffe04,
    0xffffb301,0xd95007bf,0x19dfffff,0x7fff5400,0x0001bdff,0x007ffff7,
    0x7ffff540,0x2e001bdf,0x01dfffff,0x83effea8,0x802ffff8,0x00dffff8,
    0x07dffd50,0x3f217fe2,0x7fd4001f,0x005ffb1f,0x7fffffdc,0x5fffffff,
    0x7d400c40,0xffffffff,0x6fffffff,0x005ff700,0x017fe200,0x50007ff2,
    0x98803fff,0xfd8009aa,0xff88001f,0x0fffc00f,0x404ffc80,0xfffffffa,
    0xffffffff,0x001ff96f,0xffc9fff4,0xffffffff,0x444fffff,0x220005ff,
    0x3330001a,0x00133100,0x00006a62,0x20000351,0x100001a9,0x80000333,
    0x980001a9,0x0130000a,0x20009a98,0x26000199,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc0000,
    0x01331000,0x0004cc40,0x00013310,0x80001998,0x20000998,0x001e442a,
    0x26209988,0x13310001,0x104cc000,0x44000033,0x33000099,0x4cc40003,
    0x40620000,0x99800009,0x99800009,0x33100009,0x00009988,0x07ec27cc,
    0x00199800,0x00266200,0xffffff98,0xff7007ff,0x0bffffff,0x07d30bb0,
    0x3bbbbba6,0x544005ee,0x10006540,0x003f90bf,0x3e217b93,0x7fcd3b66,
    0x5ffd000e,0x0ffff400,0x07ffc400,0x7fff9000,0x7ffc4000,0xffe98001,
    0x003fcadf,0x7ec7ff50,0xfff50007,0x8ffe6000,0x7cc00ffd,0x5ffd00ff,
    0x7fff9000,0xbfff3000,0x20fe4000,0x540004f9,0xb00006ff,0x260009ff,
    0x03bfa5ff,0x22bfa000,0x90004fb8,0x00007fff,0x9800fff6,0xffffffff,
    0xffff7007,0x500bffff,0x807ec47f,0xfffffffa,0x3ff2007f,0x007fabef,
    0xfa88bfc8,0xffff9805,0x3fe3fedf,0x2003ffb5,0x32004ffa,0x000efdff,
    0x00017fe4,0x03ffbff5,0x00ffee00,0x7fe6fe40,0x50000fff,0x03fec7ff,
    0x007ff700,0x7ec7ff30,0x0ffec00f,0x8004ffa8,0x02ffdffa,0x3ff7fe20,
    0x5df10004,0x0001fd73,0x0000ffe8,0x0003ffa0,0x7fdd7fdc,0xff500001,
    0x0001ffff,0x03ffbff5,0x07ffb000,0x99999980,0x33100199,0x01333333,
    0x3ffbffe0,0x2aaaa205,0x1002aaaa,0xffffd9ff,0xfff10009,0xf9003fff,
    0x1dfff937,0x17fceffc,0x400bfd00,0x5ff8bffa,0x013fe200,0xfb5ff880,
    0x9ff0001f,0x2a2ec000,0x260001cd,0x01bb22ee,0x000df900,0x77645dd3,
    0x80ffe600,0xf88006fe,0x001ffb5f,0x3fea3ff6,0xfff90002,0x980007ff,
    0x400002ff,0x20004ff8,0x002ffffd,0x16edc400,0xb5ff9800,0xd80001ff,
    0x000003ff,0x00011000,0x02b7fae2,0x75400000,0x000b6e22,0x0015bb50,
    0x2606612e,0x2004eb89,0xb1000de9,0x017754bd,0x40004ea8,0x9dd10dec,
    0x005ea800,0x00004400,0x00000880,0x0000176c,0x9813f600,0xec8000de,
    0x009db10e,0x6f645dd5,0x59510000,0x7d900001,0x3a600000,0x3fa20005,
    0x2000004f,0x6f640000,0x0009dd10,0x3fa00010,0x400ffe67,0xeffffdc9,
    0x2e00000b,0x3a6001ee,0x0000002e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffee4c0,0x30000bef,0x7dffffb9,0x20000001,0x26001eeb,
    0x000662ee,0x00000000,0x00000000,0x00000000,0x00000000,0xfffb7100,
    0x000059df,0xfdb88000,0x002cefff,0x1ffccffd,0x7ffffdc0,0x004fffff,
    0xff909dd1,0x9ffd4003,0x26002eeb,0x3b2002ee,0xdd10003e,0x89dd1009,
    0x26002eeb,0x4ee882ee,0x8004eeb8,0x3bae4eeb,0xeeeeeeee,0xd70eeeee,
    0xdddddddd,0x01dddddd,0x7fffffdc,0x4004ffff,0xfffffffb,0x3ae04fff,
    0xeeeeeeee,0x90eeeeee,0x7d4003ff,0x321f743f,0x76c000ee,0xec800003,
    0x3bae003e,0xeeeeeeee,0x000eeeee,0x0000fbb2,0x4007dd90,0xeeeeeeeb,
    0x8000bccd,0xfffffffc,0xeb81efff,0x3ba6001e,0x3ffff202,0x1effffff,
    0xff33ff40,0x7fff4c07,0xfffdbacd,0x7fc400df,0x001ffc85,0x7fe4ffea,
    0x7ff3000f,0x1fffe200,0x82ffc400,0x45ff8ced,0x3000fffc,0xbff107ff,
    0x005fff10,0xf90fffc4,0xffffffff,0x21ffffff,0xfffffffc,0xffffffff,
    0xdfffe980,0xffffdbac,0x7ff4c00d,0xffdbacdf,0xffc80dff,0xffffffff,
    0xf90fffff,0x7fd4003f,0x3f627fc3,0x27fc000f,0x3fe20000,0x3ff2007f,
    0xffffffff,0x000fffff,0x000ffff1,0x03fffc40,0xffffff90,0x19ffffff,
    0xdfffd100,0xffdb757b,0x02ffc87f,0x220ffea0,0xabdefffe,0x03fffedb,
    0x01330662,0x500f7ff4,0xf880bfff,0x01ffc85f,0x7e4ffea0,0xff3005ff,
    0x3ffee007,0xff88002f,0xff1bff05,0x05fffc8b,0xf107ff30,0x3ffea0bf,
    0x87ffb000,0xeeeeeffc,0xeeeeeeee,0xddddff90,0xdddddddd,0x3dffd01d,
    0x02fffd40,0xa807bffa,0xffc85fff,0xeeeeeeee,0xf90eeeee,0x7fd4003f,
    0x3f627fc3,0x27fc000f,0x3fee0000,0xff9002ff,0xdddddddd,0x001ddddd,
    0x00bfffee,0x7fffdc00,0xddff9002,0xfffddddd,0xffe803ff,0x7ffe402f,
    0x800bff20,0xffe83ffa,0x7ffe402f,0x7e400000,0xfff3004f,0x42ffc407,
    0x2a001ffc,0xffff93ff,0x07ff3007,0x17faffa0,0x417fe200,0x45ff8dff,
    0x803ffffc,0xff883ff9,0x017ff605,0x3f217fee,0x3f20001f,0xfc80001f,
    0xfff3004f,0x013ff207,0x321fffcc,0x320001ff,0x3ea001ff,0x3627fc3f,
    0x7fc000ff,0x7f400004,0xf9005feb,0x4000003f,0x005febfe,0xbfd7fd00,
    0x007ff200,0x5c0dfff5,0xf5000eff,0x017fe49f,0xfb87ff50,0xff5000ef,
    0x7c400009,0x3ea000ff,0xbff100ff,0x4003ff90,0xfff93ffa,0xff9801ff,
    0xb9ff9803,0x7c4000ff,0xf1bff05f,0xffffc8bf,0x1ffcc00f,0xf102ffc4,
    0x7fc405ff,0x01ffc80f,0x007ff200,0x01fff100,0x207ffd40,0x2000fff8,
    0x3f20fffa,0x3f20001f,0x3fea001f,0x3f627fc3,0x27fc000f,0x3ff30000,
    0xf9001ff7,0x2000003f,0x0ffb9ff9,0x4ffcc000,0xfc800ffb,0xffe8801f,
    0x00fff884,0xfc87ff40,0x3fea002f,0x003ffe23,0x7741ffd0,0xfb276c03,
    0xff90005f,0x217fe207,0x2a001ffc,0xf9ff93ff,0x3ff980bf,0xff17fd80,
    0x5ff88009,0xbff1bff0,0x5ffcffc8,0x441ffcc0,0x7fd405ff,0x05ffb00f,
    0x80007ff2,0x40001ffc,0xc8002ffd,0x17fec3ff,0x91ffe400,0x640003ff,
    0x3ea001ff,0x3627fc3f,0x7fc000ff,0xfb000084,0x2013fe2f,0x00001ffc,
    0x3fe2ffb0,0xbfec0004,0xfc804ff8,0xffd1001f,0x003ffa83,0xff90bea8,
    0x1ffd4005,0x50007ff5,0x027fc17d,0x07ff97fe,0x20bff500,0xffc85ff8,
    0x4ffea001,0x3ffe8ffc,0x100ffe60,0x03ff4bff,0x7c17fe20,0x645ff8df,
    0x03ffe8ff,0x3e20ffe6,0x5ffd805f,0x3205ffa8,0x320001ff,0x7c0001ff,
    0xff50007f,0x0007ff8b,0x7fe4bff5,0x3ff20001,0x0ffea001,0x0ffd89ff,
    0xdaa7fc00,0x1001ceff,0x03ff4bff,0x0000ffe4,0xfd2ffc40,0x7fc4000f,
    0x3201ffa5,0x3ee001ff,0x00ffdc4f,0x02ffc800,0xfb8ffea0,0x3e00001f,
    0x8affc04f,0xf10006ff,0x17fe20ff,0xa8007ff2,0x31ff93ff,0x3e601fff,
    0x17fdc03f,0x44005ff7,0x1bff05ff,0x8ffc8bff,0xf300fff9,0x0bff107f,
    0x445fff10,0x3f200fff,0x3f20001f,0x3e20001f,0xff10006f,0x0037fc4f,
    0x3f27ff88,0x3f20001f,0x3fea001f,0x3f627fc3,0x6ffc000f,0xfffffffc,
    0x22ffb802,0x7e402ffb,0xb800001f,0x0bfee2ff,0x717fdc00,0xffc805ff,
    0x17fe2001,0x00001ffb,0xa800bff2,0x03ff63ff,0x04ff8000,0x5ff9affc,
    0x03ffe000,0x3f217fe2,0x3fea001f,0x3ee1ff93,0x07ff306f,0x7fc47fe8,
    0x17fe2005,0x2ffc6ffc,0x7fdc3ff2,0x107ff306,0x3ea00bff,0x00bff26f,
    0x40003ff9,0x20001ffc,0x20005ff9,0xbff30fff,0x87ffc000,0x20001ffc,
    0x2a001ffc,0x227fc3ff,0x7c000ffd,0xda9befff,0x7f401fff,0x202ffc47,
    0x00001ffc,0x7fc47fe8,0x8ffd0005,0x7e405ff8,0x3ff4001f,0x80001bfe,
    0x2a002ffc,0x01bfe3ff,0x809ff000,0x09ff55ff,0x40ffec00,0xffc85ff8,
    0x4ffea001,0x3ffa0ffc,0x203ff983,0xffd84ff9,0x0bff1000,0x17fe37fe,
    0x7ff41ff9,0x883ff983,0x3f6005ff,0x804ff9bf,0xccccdffc,0x1ccccccc,
    0x33337ff2,0xcccccccc,0x0013fea1,0xff51ffd8,0x7fec0009,0x999bff91,
    0x99999999,0x000ffe43,0x4ff87ff5,0x20007fec,0xfb80efff,0x13fe603f,
    0xfc803ff6,0xccccccdf,0x401ccccc,0xffd84ff9,0x27fcc000,0xf9007fec,
    0xffd8003f,0x880bff30,0x99999999,0xddddff90,0xdddddddd,0x17fe67ff,
    0x33333310,0x027fc133,0x1ffdd7fe,0x03ffb000,0xff90bff1,0x9ffd4003,
    0x3fe60ffc,0x01ffcc0f,0xff503ff9,0x17fe2009,0x2ffc6ffc,0xff983ff2,
    0x41ffcc0f,0x22005ff8,0x00efefff,0xffffffc8,0xffffffff,0x3fffff22,
    0xffffffff,0x00ffee2f,0xf71ffd80,0x7ec0007f,0xfffff91f,0xffffffff,
    0x00ffe45f,0xff87ff50,0x0007fec4,0xff807ffe,0x207ff204,0x3f204ffa,
    0xffffffff,0x402fffff,0xffa81ffc,0x0ffe4004,0xf9027fd4,0xffc8003f,
    0xb809ff51,0xffffffff,0xffffff95,0xffffffff,0x13fea7ff,0xffffff70,
    0x027fcbff,0x27fcd7fe,0x01ffd000,0xff90bff1,0x9ffd4003,0x7fdc0ffc,
    0xf01ffcc6,0x03ffc0df,0xff05ff88,0xfc8bff1b,0x237fdc0f,0xff883ff9,
    0x7ffd4005,0xfff9001f,0xffffffff,0x7fe45fff,0xffffffff,0x3e62ffff,
    0x3fa0004f,0x009ff30f,0xfc87ff40,0xffffffff,0x322fffff,0x3ea001ff,
    0x3627fc3f,0x7fc000ff,0xf02ff407,0x03ffc0df,0xfffffff9,0x5fffffff,
    0x3e06ff80,0x37fc007f,0x7e40fff0,0x7fec001f,0xb80dff31,0xffffffff,
    0xddddff95,0xdddddddd,0x1bfe67ff,0xffffff70,0x027fcbff,0x05ff97fe,
    0x441ffe00,0x1ffc85ff,0x64ffea00,0x3ffe80ff,0x7d40ffe6,0x0bff203f,
    0x7c17fe20,0x645ff8df,0x3ffe80ff,0x3e20ffe6,0xffd8005f,0x07ff2004,
    0x01ffc800,0x002ffc00,0x5ff8fff0,0xc9ffe000,0x320001ff,0x3ea001ff,
    0x3627fc3f,0x7fc000ff,0xa837f406,0x3ff203ff,0x003ff902,0x01ffd400,
    0x2a005ff9,0x3ff203ff,0x003ff902,0xff10ffe8,0x5554401f,0xf95ffaaa,
    0x7fd4005f,0x401fff13,0xfaaaaaa8,0xf013fe5f,0x0037f4bf,0xf106ff88,
    0x05ff70bf,0xfc97fdc0,0x0fff980f,0x3f607ff3,0xffffffff,0xf8806fff,
    0xf1bff05f,0x80ffc8bf,0xff30fff9,0x00bff107,0x4005ff70,0x20001ffc,
    0x40001ffc,0xf10006fe,0x006fe8df,0x7e4dff10,0x3ee0001f,0x3fee002f,
    0x3f627fc2,0x2ffc000f,0x7ec1bfa0,0xffffffff,0xff906fff,0x7ec00003,
    0xffffffff,0xfb006fff,0xffffffff,0x3f20dfff,0x3ffc001f,0x40007ffe,
    0x05ff95ff,0xff1ffd40,0x3fe0003f,0xff013fe5,0x000ffe4b,0xf881ffe4,
    0x03ffa85f,0x7e4bff20,0x2dff700f,0xff883ff9,0xffffffff,0x4401ffff,
    0x1bff05ff,0x0ffc8bff,0x3e6dff70,0x05ff883f,0x002ffb80,0x80007ff2,
    0x40001ffc,0xc8001ffc,0x0ffe43ff,0x91ffe400,0x540003ff,0x3f2003ff,
    0x3627fc2f,0x7fc000ff,0x4437f404,0xffffffff,0x81ffffff,0x00001ffc,
    0xfffffff1,0x3fffffff,0xfffff880,0xffffffff,0x01ffc81f,0xf91bfe20,
    0x3fe0007f,0x4005ff95,0x3ff23ffa,0x4bff0003,0x3fe205ff,0x001bfea5,
    0x2201fff1,0x5ff985ff,0x643ffa00,0x3ffa00ff,0xfb83ff9b,0xaaaaaacf,
    0x404ffcaa,0xbff05ff8,0xffc8bff1,0x26fffa00,0x5ff883ff,0x02ffb800,
    0x0007ff20,0x0001ffc8,0x20037fd4,0x7d40fff8,0x7fc4006f,0x007ff20f,
    0x005ff980,0x9ff03ffa,0x4000ffd8,0x37f404ff,0x55567fdc,0xffcaaaaa,
    0x001ffc84,0x559ff700,0xf9555555,0xcffb809f,0xaaaaaaaa,0xffc84ffc,
    0x17fea001,0x0003fff3,0x0bff2bff,0x263ffa80,0xf8001fff,0xa817fe5f,
    0x1fff45ff,0x409ffb00,0xfff05ff8,0x4dff3003,0x3e600ffc,0xe83ffbff,
    0xfff1007f,0xf05ff880,0xc8bff1bf,0x3fe600ff,0xf883ffbf,0xffb8005f,
    0x07ff2002,0x01ffc800,0x03ffe800,0x7413ff60,0x3f6003ff,0x00ffe44f,
    0x007ffe00,0x3fe1bfe6,0x0007fec4,0xdfd013fe,0x2200ffd0,0x1ffc87ff,
    0x0ffd0000,0xd01ffe20,0x3fe200ff,0x001ffc87,0x3f607ffa,0x3e6001ff,
    0x005ff95f,0x3f61ffd4,0x3e6001ff,0x207ffa5f,0x7c45ffe8,0x3a200dff,
    0x3e200eff,0x1fff905f,0x917ff4c0,0xffb801ff,0x7fcc3fff,0x0bff6004,
    0x8805ff88,0x07fe45ff,0x3ffffee0,0x005ff883,0x2002ffb8,0x20001ffc,
    0x80001ffc,0x200dfff8,0x100effe8,0x4401bfff,0x7e40effe,0x7e40001f,
    0x3fa600ff,0x6c4ff82f,0x7fc000ff,0x2637f404,0x3f6004ff,0x00ffe42f,
    0x027fcc00,0x2605ffb0,0x3f6004ff,0x00ffe42f,0xd105ffb8,0xc8803fff,
    0x5ff95fff,0x21ffd400,0x401fffe8,0x2e5fffc8,0xea88aeff,0xffa85fff,
    0xca99acef,0x4401efff,0xfff105ff,0xf97537bf,0x0ffc87ff,0x3ffffe80,
    0x3000ffe4,0x7fc40dff,0x45ff8805,0xfe800ffc,0xff883fff,0x2ffb8005,
    0x007ff200,0x001ffc80,0x9dfff500,0xfff95335,0xfffa803d,0xfca99ace,
    0xffc81eff,0x7fc40001,0xcba9bdff,0x9ff03fff,0x4000ffd8,0x37f404ff,
    0x98007ff2,0x0ffe46ff,0x0ffe4000,0x20dff300,0x26001ffc,0x0ffe46ff,
    0x07fff620,0xdffffe98,0xfffeca9b,0x05ff90df,0x4c1ffd40,0x9bdffffe,
    0xdffffeca,0x3ffffa20,0x05fcbfff,0xffffffd3,0x001bffff,0x7440bff1,
    0xffffffff,0x0ffc84ff,0x3ffff980,0x740037fc,0xbff101ff,0xc8bff100,
    0xff9800ff,0x5ff883ff,0x02ffb800,0x3337ff20,0xcccccccc,0x9bff92cc,
    0x99999999,0x3a605999,0xffffffff,0xd3000dff,0xffffffff,0x3f201bff,
    0xccccccdf,0x42cccccc,0xffffffe8,0x3e04ffff,0x667fec4f,0xcccccccc,
    0xfe809ff3,0x40037fc6,0x3ff21ffe,0xcccccccd,0x7c2ccccc,0xffe8006f,
    0x8006ff81,0x3ff21ffe,0xeecccccd,0x8802ffff,0xfffffffd,0x641effff,
    0x3ea002ff,0xfffb103f,0xffffffff,0x7ffe403d,0x80bf92ef,0xdfffffea,
    0x3fe2001b,0xfffeb805,0xf902efff,0x3fee001f,0x013fea3f,0x4413fee0,
    0xff8805ff,0x8007fe45,0xf883fffb,0xffb8005f,0x3fff2002,0xffffffff,
    0xff94ffff,0xffffffff,0x809fffff,0xdfffffea,0xfd50001b,0x037bffff,
    0xffffffc8,0xffffffff,0xfffd704f,0xf805dfff,0x7fffec4f,0xffffffff,
    0xfe809ff6,0x0013fea6,0xffc93fee,0xffffffff,0x2a4fffff,0xfb8004ff,
    0x027fd44f,0xf927fdc0,0xffffffff,0x8005dfff,0xffffffc9,0x5ff903de,
    0x01ffd400,0x3fffff26,0x22003def,0xa9800009,0x3fe20001,0x2aa62005,
    0x07fe4009,0x6c7ffd00,0xf88001ff,0x5ff880ff,0x645ff880,0x3fa000ff,
    0x05ff883f,0x002ffb80,0x3ffffff2,0xffffffff,0xfffff94f,0xffffffff,
    0x54c009ff,0xa9800001,0x7ffe4001,0xffffffff,0x4404ffff,0xf0009aa9,
    0xffffd89f,0xffffffff,0xfe809ff6,0x0007ff66,0x7e43ffe2,0xffffffff,
    0x24ffffff,0x88001ffd,0x3ff60fff,0xfff88001,0xffffff90,0x0039ddff,
    0x00353100,0xa800bff2,0x262003ff,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55540000,
    0x054c0000,0x4c40012e,0x00066209,0x0002aaa0,0x033104cc,0x4cc41330,
    0x99833100,0x00540000,0x2aaaaa20,0xddb02aaa,0x05dddddd,0x66666540,
    0x00002ccc,0x44000001,0x10000000,0x00100000,0x4c400080,0x00080000,
    0x00001000,0x40000110,0x00200000,0x00002000,0x00000000,0x02000988,
    0x01fff400,0x7bfffb00,0x2a000bf5,0x01ffa2ff,0x03fff100,0x64bff100,
    0x37fc01ff,0x3f205ff5,0x009ff10f,0x013b7a20,0xffffffa8,0xfffd06ff,
    0x005fffff,0x7fffffe4,0x930004ff,0x07bffffd,0x7fee4c00,0xf700beff,
    0xffb5005f,0x00039dff,0x9dffdb71,0xffd88017,0x01ff004f,0xfffd9300,
    0x710005bf,0x59dffffb,0xffb93000,0x80017dff,0x03dfffdb,0x7fff6d40,
    0xb88001de,0x30bdffed,0xdddddddd,0x9ee8dddd,0x981cefd8,0xefa8007f,
    0xfda976c0,0x3a001dff,0xf50003ff,0x7ffffd9d,0x8bfea000,0x440007fe,
    0x88001fff,0x07ff25ff,0x7fd4dff0,0x221ff902,0x970004ff,0xeea80074,
    0x05eeeeee,0x55555555,0x66540015,0x02cccccc,0x7ffff440,0x03ffffff,
    0x7ffffe40,0xb83fffff,0x3fee02ff,0xffffeeff,0xfff5001e,0x3fffffff,
    0x3fbffa20,0x027dc05f,0x3ffff620,0x01efffff,0xffffff90,0x003dffff,
    0x3fffffee,0x9804ffff,0xfffffffe,0x7ff4c00d,0xefffffff,0xffff3000,
    0xf51dffff,0xffffffff,0xdaff8fff,0x7cc1ffff,0x7fc4007f,0xffbaff81,
    0x003fffff,0x20005ddb,0x077261eb,0x22ee9800,0x440005ec,0x88000eee,
    0x07bae4ee,0x7754bdb0,0x221dd702,0x5b0003ee,0x0000016c,0x00000000,
    0x7fffd400,0xfffebabd,0xffe9804f,0xffdbacdf,0x17fdc5ff,0x05effec4,
    0x00bffae6,0x559bfff7,0x507fffd9,0x0bfe61df,0x30007fc4,0x7579ffff,
    0x403ffffd,0xbdefffe8,0x3fffedba,0x37fffa60,0xffffdbac,0xdfff100d,
    0x0dff9317,0x5e7fffcc,0x1ffffdca,0x677ffd40,0xfbeffca9,0xeeeeeeef,
    0x7f7fc6ee,0x3f626edf,0x7ec007ff,0xbffdff03,0x01fff955,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3d4f5400,0x84ee8800,0xeeeeeeeb,
    0xeeeeeeee,0x0fbb2000,0x37ffe600,0x9fff7100,0x00effe80,0xf117ffea,
    0x00dfe881,0x2207ff50,0x3ea01fff,0x217e40ff,0x09f705fb,0x067ffc40,
    0x00fffc88,0xc805fffd,0xffd00fff,0x7ffd403d,0x205ff905,0xff883ffa,
    0xff9100cf,0x3ffe201f,0xfffff303,0xdfff0005,0x3e73ea08,0x81bee007,
    0xfc80dfff,0xddddd74f,0xdddddddd,0x764001dd,0x6400003e,0x744003ee,
    0xeeeeeeee,0x72eeeeee,0xd70009dd,0x09dd109d,0xddddddd7,0xdddddddd,
    0x27ff4001,0x85ff8800,0xfffffffc,0xffffffff,0xffff1000,0x07ffd000,
    0x40bffea0,0xf3004ffc,0x6c3d47ff,0xff88004f,0x804ffa81,0x0ffc3ffa,
    0x3fe21fea,0x17ffa000,0x5c27fe40,0xf5000eff,0x09ff909f,0x30fffe60,
    0xffe80dff,0x802ffdc0,0xff905ffa,0xffff880b,0x1fff8002,0x03fc4220,
    0x3e00ff98,0xbff101ff,0x3ffffff2,0xffffffff,0xfff1000f,0x7c40000f,
    0x7c4007ff,0xffffffff,0x13ffffff,0x44005fff,0xff881fff,0xfffffc85,
    0xffffffff,0xff1000ff,0x3e2000ff,0xeeffc85f,0xeeeeeeee,0xf7000eee,
    0x5c005fff,0x7e4006ff,0x0fff886f,0x4dffea00,0xd737dc3e,0x5059bddd,
    0x01ffb0df,0xff897fe0,0x7e43fcc0,0x3ffea004,0x1fff1000,0x0007ffc4,
    0xff883ffa,0x3fea000f,0x00ffee0f,0xfff83ff7,0x0bff6000,0x9001fff1,
    0xf0005fff,0x3fc400ff,0x7c02fe80,0xcaffc06f,0xeeeeeeff,0x0eeeeeee,
    0x5ffff700,0x3fee0000,0x3a2002ff,0xeeeeeeee,0x23fffeee,0xb000fffa,
    0x3fe207ff,0xeeeffc85,0xeeeeeeee,0xff7000ee,0xf10005ff,0x03ff90bf,
    0x5ff40000,0x3fa005fe,0xffd8001f,0x001ffec1,0x417effe4,0x3bbf20fe,
    0xfc85fffe,0x8017fe42,0x03fe22ab,0x0ff88ff5,0x00bff600,0x7d415970,
    0xbea8003f,0x000bff60,0xffc8fff2,0xaaaaaaab,0x26d42ffc,0x713fe600,
    0x3e2007ff,0xff8002ff,0x01fe2006,0x3fe017f2,0xfcb7f405,0x2000001f,
    0x005febfe,0xbfd7fd00,0x7e400000,0x05ffd86f,0x2205ffb8,0x1ffc85ff,
    0x3fa00000,0x88005feb,0x1ffc85ff,0xff300000,0x1001ff73,0x2e000bff,
    0x03ffc4ff,0x81fffa80,0x20fe46f9,0x2fd42fe8,0x0003bfea,0x37dc1ff8,
    0xf88013f2,0x2e00007f,0x200001ff,0xf50007ff,0x7fffecbf,0xffffffff,
    0x3e00004f,0x00ffe46f,0x0005ffd0,0x7c400bff,0x007fcc07,0x3fa02ffc,
    0x0003ff96,0x2e7fe600,0x4c0000ff,0x00ffb9ff,0xfffb8000,0x02fff880,
    0x8803ffe2,0x1ffc85ff,0xff300000,0x8001ff73,0xffc85ff8,0xfb000001,
    0x2013fe2f,0x50004ffa,0x37fc4dff,0x07ff8800,0x81fc89f9,0x07fc43fb,
    0x059fffd1,0x744bf900,0x003fe23f,0x0006ff98,0x0003ff60,0x0037fc40,
    0x3fa7ff88,0xeeeeeeef,0x0003eeee,0xffb1ff60,0x17fec001,0x0027fc00,
    0x7fc40ff1,0x809ff001,0x03ff96fe,0x5ff60000,0x40004ff8,0x09ff17fd,
    0xfffa8000,0x03ffea01,0x22017fec,0x1ffc85ff,0xffb00000,0x10013fe2,
    0x3ff90bff,0xff100000,0x5c03ff4b,0xf10003ff,0x02ffccff,0xb01fff00,
    0xe81fc85f,0x441fe81f,0xbdfffffe,0xcfff8801,0x027e46ff,0x0017fea0,
    0x0006ff80,0x0017fe60,0xffb0fff8,0x3332a000,0xcccccccc,0xffeccccc,
    0x9001ffa1,0x99999bff,0x4ff81999,0xd81fe200,0x13fe004f,0x3ff2dfd0,
    0xf8800001,0x001ffa5f,0x3fa5ff88,0x3e200007,0xffd803ff,0x805ffa85,
    0xffc85ff8,0xf8800001,0x001ffa5f,0xff90bff1,0xf7000003,0x017fdc5f,
    0x8000bff2,0x13fea7ff,0x81ffd800,0xccdfc87e,0x5f705ffd,0xfffff910,
    0x4c019fff,0x220dfffe,0x7d4000ff,0xf300004f,0x999880bf,0xf5099999,
    0x7ec0009f,0x003ff71f,0xffffff70,0xffffffff,0x7c7fffff,0x7fe4007f,
    0xffffffff,0x0027fc1f,0x1bea0ff1,0xe809ff00,0x003ff96f,0x45ff7000,
    0x70002ffb,0x17fdc5ff,0x7ff44000,0x5fff1004,0x4007ffc4,0xffc85ff8,
    0xfb800001,0x00bfee2f,0xfc85ff88,0xe800001f,0x02ffc47f,0x8000bff2,
    0x7ff70ffe,0x0ffec000,0x7ffe43f4,0x3ee01dff,0x3ff6a202,0x401fffff,
    0x43fd80a8,0xfa81bcb9,0xf500004f,0xfffb809f,0xf75fffff,0x7ec0007f,
    0x809ff51f,0xfff72efc,0xffffffff,0xffffffff,0x20037fc7,0xfffffffc,
    0x7fc1ffff,0x440cc004,0x872e01ff,0xb7f404ff,0x00001ffc,0x7fc47fe8,
    0x8ffd0005,0x80005ff8,0x54006ffd,0x0bff26ff,0x642ffc40,0x800001ff,
    0x2ffc47fe,0x90bff100,0x99999bff,0x03999999,0xfd84ff98,0x0ffee00f,
    0x266ff800,0x3a0004ff,0x41fd80ff,0x1eea9afc,0x98007f60,0x03ffffdb,
    0x2e0ff980,0x443fffff,0x300005ff,0xffb80dff,0x35ffffff,0x740009ff,
    0x07ffa0ff,0xfa87ffcc,0xff70003f,0x2003ffc5,0xf8002ffc,0xfd00004f,
    0xf17fdc07,0x96fe809f,0x99999bff,0x03999999,0xfd84ff98,0x7fcc000f,
    0x000ffd84,0x003ffee0,0x3e6fff60,0x3fe2004f,0xccdffc85,0xcccccccc,
    0x27fcc01c,0x88007fec,0xfffc85ff,0xffffffff,0x7e402fff,0x04ffa81f,
    0x40013fee,0x2ffc5ff9,0x20fff000,0x30fe43fc,0x03fe01df,0x3ffec400,
    0xf11fec00,0x83ff939f,0x100006ff,0x54401fff,0x5ffaaaaa,0xf80017fe,
    0x1fffcc7f,0x4c7ffd51,0xfb0005ff,0x007ff43f,0x0005ffb0,0x700009ff,
    0x7ffcc0bf,0xfd013fe2,0x3fffff2d,0xffffffff,0x0ffe402f,0x20027fd4,
    0xffa81ffc,0xfff50004,0x3fe20003,0x2000efef,0xffc85ff8,0xffffffff,
    0x6402ffff,0x4ffa81ff,0x90bff100,0xffffffff,0x05ffffff,0x3fe06ff8,
    0x017fe607,0x3a27fd40,0xff10006f,0xf91bea0d,0xf985fb83,0x32000c46,
    0x3e6001ff,0x3f227dc7,0x4003fec5,0x0fffc1b8,0x3a5ff800,0xff10006f,
    0xdffff70d,0xff09ffff,0x3ffa000d,0x8007ff60,0xf8002ffe,0x7cc0004f,
    0xffff100f,0x3a027fc5,0xfffff96f,0xffffffff,0x06ff805f,0xff001ffe,
    0x003ffc0d,0x001fffc4,0x07fffea0,0x90bff100,0xffffffff,0x05ffffff,
    0x3fe06ff8,0x0bff1007,0x00003ff9,0xf901ffd4,0x07ff405f,0x217fec00,
    0xc8001ffc,0x83fa03ff,0x42fe81fc,0x0bfee3fc,0x004ff980,0x85fb0ff6,
    0x0ffe47f9,0xc93fee00,0xff0003ff,0x000ffe4b,0xd881ffe4,0x02efffff,
    0x88001ffd,0x1ffdc6ff,0x02fff880,0x0004ff80,0x7440bfa2,0x3fe2fdbf,
    0xfcb7f404,0x2a00001f,0x3ff203ff,0x07ff5002,0x20017fe4,0x00004ffe,
    0x10009ffb,0x3ff90bff,0x7fd40000,0x00bff203,0x3f217fe2,0x3600001f,
    0xffffffff,0x2e06ffff,0x82f205ff,0xffa86ffa,0x7ffc4006,0x643bee00,
    0x50ffa81f,0x27fc41ff,0x007ff300,0x07fe1fe6,0x7fd41ff1,0x0fff4006,
    0x0003fff3,0x37fd4bff,0x03ffe200,0x50037e60,0xfd800bff,0x037fc43f,
    0x002fffc8,0x64000260,0x6d3fa04f,0x2004c02f,0x00001ffc,0x3ffffff6,
    0x06ffffff,0xffffffb0,0x0dffffff,0x0037fec0,0x005ff700,0xf90bff10,
    0x6c00003f,0xffffffff,0x8806ffff,0x1ffc85ff,0xfff10000,0xffffffff,
    0x3e203fff,0x7fff02ff,0x3a03fff1,0x3f6003ff,0x8efe804f,0x2a266018,
    0x0ffe82ff,0x003ff700,0x3ff10ff6,0x7f40ff88,0xbff9005f,0x003fffb0,
    0x3fa2ffcc,0x3ff6003f,0x007f3004,0x5400bffa,0x5ffb06ff,0x05ffff00,
    0x0fbfe600,0x3606fa80,0x880bf65f,0xff904eff,0x3e200003,0xffffffff,
    0x401fffff,0xfffffff8,0x1fffffff,0x00fffb80,0x0bfee000,0x217fe200,
    0x00001ffc,0xfffffff1,0x3fffffff,0xc85ff880,0x700001ff,0x555559ff,
    0x09ff9555,0x5427ffd4,0x04fffffe,0x8037ffe2,0x800effe8,0x5000eff8,
    0x3ff209ff,0x37fdc02f,0xff06f980,0xfa87f987,0x7fdc03ff,0xfffe881f,
    0x7ffe4401,0x06fffc45,0x01dffd10,0x5c00fee0,0x7dc03fff,0xfff303ff,
    0x3fff6203,0x9510002f,0xff1001ff,0x2affea03,0x2602cfea,0xffc81ffb,
    0xff700001,0x55555559,0xb809ff95,0xaaaaacff,0x04ffcaaa,0x000fffcc,
    0x00bfee00,0x3217fe20,0x700001ff,0x555559ff,0x09ff9555,0xfc85ff88,
    0xfd00001f,0x1ffe200f,0x57dfff70,0xffffd733,0xefffa801,0xffca99ac,
    0x3a2001ef,0x5c40acef,0x7ec03ffd,0xca9aceff,0xd001fffd,0x917f607f,
    0x3fff20bf,0xfeb99acf,0x3fa602ff,0xca9bdfff,0x80dffffe,0x9acefffa,
    0x1efffca9,0x183bea00,0x2b7fff20,0xfffda989,0x5fffd404,0xf7dfd511,
    0x999999bf,0x3e203999,0x03fd802f,0x3fffffee,0x4fe807ff,0x0001ffc8,
    0x2200ffd0,0x3ff407ff,0x207ff880,0x0002fff8,0x002ffb80,0xfc85ff88,
    0xfd00001f,0x1ffe200f,0xf90bff10,0xf300003f,0x7fec009f,0x7fffcc02,
    0xffffffff,0x7f4c02ff,0xffffffff,0xf90000df,0xffd9bfff,0x3ee003df,
    0xffffffff,0xdf5001ef,0x6467fcc0,0x3fee01ff,0xffffffff,0xffd8803f,
    0xffffffff,0x7f4c01ef,0xffffffff,0xff8000df,0x7d407fdf,0xffffffff,
    0xff5002ff,0x1fffffff,0xfffffff5,0x5c7fffff,0xb807fedc,0x4ccc405f,
    0xa81bfe99,0xc80ffedc,0x980001ff,0x3f6004ff,0x09ff302f,0xe817fec0,
    0x000004ff,0x10005ff7,0x3ff90bff,0x9ff30000,0x017fec00,0xff90bff1,
    0xff900003,0x37fcc003,0x7fff5c40,0xfe99cfff,0x7f5401ef,0x01bdffff,
    0xfffb8800,0x8002dfff,0xfffffeca,0x3fa000ce,0x7fffe402,0xffc8803f,
    0x00cfffff,0x7fffe4c0,0x4003deff,0xdfffffea,0x3aa0001b,0xc8804fff,
    0xcefffffe,0x7f64c000,0xff51ceff,0xffffffff,0x7fff47ff,0x07fcc02e,
    0x902fd800,0x3205ffff,0xc80001ff,0x3e6001ff,0x03ff906f,0x6437fcc0,
    0x000005ff,0x2000bfee,0xffc85ff8,0xffc80001,0x1bfe6001,0xfc85ff88,
    0xccccccdf,0x42cccccc,0xfe8006ff,0x2a62001f,0x03ff5019,0x0000d4c0,
    0x0004cc00,0x0006a200,0xc9802f4c,0x988001ce,0x1000009a,0x40000353,
    0x800001a9,0x2a600019,0x2a200001,0x98800000,0x05d90009,0x88054c00,
    0x7fe40099,0xcccccccd,0x7c2ccccc,0xffe8006f,0x8006ff81,0x3fea1ffe,
    0xcccccccf,0x03cccccc,0x0005ff70,0xff90bff1,0x9999999b,0xf8599999,
    0xffe8006f,0x90bff101,0xffffffff,0x9fffffff,0x40027fd4,0x00004ffb,
    0x00000710,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffff20,0xffffffff,0x13fea4ff,
    0x513fee00,0xf70009ff,0x7fffd49f,0xffffffff,0x7006ffff,0xf10005ff,
    0xffff90bf,0xffffffff,0x7fd49fff,0x4ffb8004,0xf90bff10,0xffffffff,
    0x49ffffff,0x88001ffd,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffffc,0xffffffff,0x0007ff64,0xfd83ffe2,0xff88001f,0xfffff50f,
    0xffffffff,0x2e00dfff,0xf88002ff,0xffffc85f,0xffffffff,0x3ff64fff,
    0xfff88001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000330,0x00001000,
    0x01000008,0x00000000,0x00010000,0x01980000,0x00fff980,0x4c400040,
    0x51001980,0x80000001,0x00100099,0x00015300,0x00310010,0x3ffa0131,
    0x744bff93,0x7744004e,0x5d81ea84,0x26c075c0,0x801ffee0,0x405d81ea,
    0x13fe67fd,0x19502a20,0x01fff400,0x07260d44,0x02000040,0x0bfafbaa,
    0xbffb7300,0xd9817ae5,0x500dffff,0x7f6dc3dd,0x2000beff,0x00dfffd9,
    0x6ffedcc0,0x4bb69d72,0x00adffdb,0x7fffed40,0x7cc001ce,0x04fd8007,
    0xb01ffd80,0x3bfb6a5d,0x83ff002c,0x76400ff8,0xfdb802fc,0x7d4003ef,
    0x3fb2a00e,0xec8003ef,0x64c001fc,0x43defffe,0x7f401fe8,0xf15ff981,
    0x2ffc41df,0x217fe200,0x0fee0ef8,0x2fc8bf30,0x003ffc80,0x1fdc1df1,
    0xff99ff60,0x77ffe404,0x2a007eab,0xffb805ff,0x01feacef,0xbdfffd91,
    0x5c2dc005,0x004fbcff,0x3fffffea,0xfb06fccf,0x7fffffff,0xfd35ff70,
    0xffffffff,0xffff7001,0x26003fff,0xbfffffff,0xfb7ff5fc,0x01ffffff,
    0xddffff70,0x003dffff,0xa800fff3,0xff98006f,0x3eeffe03,0x02ffffff,
    0x3fd43fcc,0x02cc3e20,0x3ff77fea,0x03ff1003,0x7fffffe4,0x1f1000ef,
    0x7ec40166,0xffffffff,0x880bfb2f,0x21dfb07f,0x7fc41ffb,0x2ffc4005,
    0x7ffeffc8,0xffdffb00,0x03fec00d,0xfffdff90,0x267fd801,0x3fe204ff,
    0x05ffffec,0x7401bfa0,0x6ffffdcf,0xffffff70,0xfb009fff,0xf39ff70d,
    0x3ffe200d,0xffffb88b,0x8cfffc86,0x5c1fffd9,0xbdfffcff,0x05fffdba,
    0x5c577fcc,0x7c400fff,0xffa88aff,0xdffff5ff,0x81bfee23,0x40bdffd8,
    0x102ffeb9,0x400ffffb,0xd8001ff8,0x7f7fc05f,0xfffb9adf,0x2e1bea01,
    0xd13c405f,0x3ee1fe80,0x407fb007,0xda8beffc,0x4f1005ff,0xffe98069,
    0xfecaacdf,0x400effff,0x1ff885fa,0x3fe20ffa,0x2ffc4005,0x0befda88,
    0x7bfb5100,0x1ff44001,0xbefda880,0x4c198800,0x88faa009,0x3ea002db,
    0x24e8800f,0xfb80bdb8,0xfdb89bef,0x37f401ff,0x0ff84cc4,0x880ffe80,
    0x7fcc6ffe,0xb8dff307,0x300dffff,0x7ec09ffd,0x017fe40f,0x3e203ffa,
    0x1dfff5ff,0xd109ff50,0x3ea001bf,0xf9cfa83f,0x00ffa007,0x7fc00cc0,
    0x3ffb80ef,0x3f613f20,0x3dacd803,0x805fb800,0x3fe606fb,0x400ffd05,
    0x4403dacd,0x2a00efff,0xd800ffff,0x4c09883f,0x00bff101,0x0005ff88,
    0x44000000,0x00000009,0x00000000,0x00000262,0x2e01ffd0,0x37f404ff,
    0x5403fd80,0x3fea03ff,0xd01ffdc6,0x7ffdc3ff,0x1fff8806,0xff30dfd0,
    0x01ffcc07,0x3ffebff7,0x361ff601,0x7c40204f,0x7f88441f,0x000bf700,
    0x3fe38808,0x813fe01f,0x02fe82fe,0x4002db88,0x4c01efea,0x3fee00ff,
    0x400ff701,0xfd802db8,0xfff7004f,0x001ff005,0x017fe200,0x100bff10,
    0x00000000,0x00002000,0x00080001,0x00000040,0x7c407fd3,0x837f405f,
    0x7017ea2a,0x8dff00ff,0x3a600ffd,0x03ffee1c,0xd827fe40,0x07fdc0ff,
    0x4401ff70,0x80dff5ff,0x1bee1ffa,0x073bff6e,0x3fc40df5,0x0007fcc0,
    0x37fffb22,0x1ffe3fd2,0x7fc0bfd0,0x0007fc41,0x9ffb0001,0x402fe801,
    0xdfb00ffc,0x3ea00000,0xfff5006f,0x86f980df,0xa76c03ee,0x44005ff8,
    0xffb705ff,0x1f7407bf,0x3ee93b60,0x644276c0,0x02defffe,0x6ffff644,
    0xffec8803,0xca8803df,0xdd02effe,0x004ed807,0xfd905ff8,0x3f45ddff,
    0x6fd80ff1,0x7ec6fd80,0xffb8001f,0x1ffe2005,0xfd12ffdc,0x807fc80d,
    0x809ff5fe,0x03fa2ff9,0xffb7bffb,0xf102fc83,0x02fe880f,0x7ffffd40,
    0x3e4fffff,0xcb7ec06f,0xeeffeeee,0x2eeffeee,0xefffec88,0xff71002d,
    0x2017f201,0x7ff307fc,0x3601f740,0x00bff64e,0x3ff6bfe6,0x3e13ee02,
    0x8affc04f,0x7c4005ff,0x7fff4c5f,0xf80dffff,0xf2ffc04f,0x45ff809f,
    0xfffffffb,0xfff504ff,0x01dfffff,0x3fffffea,0xfd100eff,0x0dffffff,
    0x5ff809ff,0x7f654c40,0xffffd05f,0x3a3f47ff,0x017fa01f,0x5ff91bf2,
    0x07ff7000,0xd00ffe80,0x3fff37ff,0xd806fe80,0x8807ff5f,0xc8df34ff,
    0x237cc1df,0x0ff105fa,0x4c004fc8,0xeb89bfff,0x17fe0fff,0x3ff6dfb0,
    0xffffffff,0x5c3fffff,0xffffffff,0x0ffa004f,0x36003fea,0x80ffb07f,
    0xaffc04ff,0xf8806ff8,0x40bff53f,0x04ff82fe,0x5ff8affc,0x12ffc400,
    0x9317dfff,0x09ff0dff,0x13fe5ff8,0x7fdcbff0,0xffdb89be,0x67ffc41f,
    0x0fffd989,0x44e7ffc4,0xe80fffd9,0xfda89cff,0x2027fc5f,0x7f5c45ff,
    0x5fffffff,0x33dfd310,0x9f907fc1,0x64037fc0,0x027fdc6f,0x001ffdc0,
    0x7cc07ff6,0x800effff,0x5fd806fe,0xff8807ff,0x0ff89f94,0x7fc41750,
    0x2a07f880,0x7f4000ef,0x4fff881f,0xdfb017fe,0x37faaaa6,0xadfeaaaa,
    0x2fbfee1a,0x1fffdb89,0xff883fe6,0x800ffc42,0x3ff987fd,0x3e027fc0,
    0x80bff35f,0x37fc4fe8,0x9ff07f88,0xff15ff80,0x5ff8800b,0x7d40bff2,
    0x2027fc3f,0x013fe5ff,0x07ff4bff,0x7f44ffb8,0x89ff701f,0xff701ffe,
    0xd02ffd89,0x027fc3ff,0xfff997fe,0xfe9bdfff,0xf837f405,0xe81be61f,
    0x46fd806f,0xb8005ff8,0x7e4002ff,0x3fff601f,0x0ffb000d,0x13febfd0,
    0x3f65ff30,0x20013e62,0x07f881fe,0xb8003ff1,0xfdfd03ff,0xb017fe1f,
    0x20bfa0df,0x1ffd01ff,0xfb13fee0,0xb0dfd77d,0x3fec009f,0x7fc03fe4,
    0xfaaffc04,0x13fa204f,0x2fd41ffa,0x7fc04ff8,0x800bff15,0xdff35ff8,
    0x3e0ffe80,0xf2ffc04f,0x35ff809f,0x7fc407fd,0xb013fea5,0x13fea3ff,
    0x3e23ffb0,0x8ffea05f,0xaffc04ff,0x80acfff9,0x37f405ff,0x3fe0ffc4,
    0x801ff900,0xffff56ff,0x809fffff,0x64002ffb,0xffd882ff,0xf9000eff,
    0xf5ff801f,0x1ffa80bf,0x003fb8fd,0x7f882fb8,0xb0007fb0,0x2aff20ff,
    0x80bff2ff,0x81ff06fd,0xfe980ff8,0x117fe203,0x83dffffb,0x7ec006fb,
    0xf807fe87,0xbaffc04f,0x17f603ff,0x7e407ff4,0xf809ff03,0x00bff15f,
    0xff75ff88,0x21ffb807,0x2ffc04ff,0x5ff809ff,0x325ff800,0x7fd400ff,
    0xa801ff92,0x03ff32ff,0x404ff818,0x05ff95ff,0x3a02ffc4,0x42ff886f,
    0x7ff502fd,0xfab7fd40,0xffffffff,0x017fdc04,0xf30bff20,0x8bffd7ff,
    0x407ff500,0x1fff5ff9,0x8fd3fec0,0xfb8003fb,0xdf703302,0xd0599730,
    0x22bf70df,0x80bff3ff,0x87f986fd,0xf80006fa,0x206a605f,0x32e01ff8,
    0x3f21ff61,0x027fc04f,0x17fdd7fe,0x3f606fc8,0xf01ff81f,0x15ff809f,
    0xf8800bff,0x557ff95f,0xff955555,0x3e027fc5,0xf013fe5f,0xca9880bf,
    0x1ff65ffe,0x7ed3fe20,0x74ff8807,0xff0001ff,0xfd5ff809,0x06ffa80f,
    0x399fff97,0x9f70bfe6,0x440fff40,0x73316ffe,0x013337ff,0x4002ffb8,
    0x3fea1ffd,0x47fff11e,0x0ffe85fe,0x3febffb0,0x49ff304f,0x013ea1fd,
    0x98007f60,0x7fff40ff,0x22ffc6ff,0x9ff10ef9,0xdfb017fe,0xbf90bf70,
    0xeca98800,0xfd0005ff,0xb17fdc07,0xdfff10ff,0xf013fe01,0x20ffeabf,
    0x3fa00efc,0xf03fcc0f,0x15ff809f,0xf8800bff,0xfffffb5f,0xffffffff,
    0x3e027fc9,0xf013fe5f,0xffeb88bf,0x25ffffff,0xbff006fe,0x7fc01bfa,
    0x2000ff95,0xaffc04ff,0xff101ffd,0x3fffa0df,0x7ff32fff,0x3e607f98,
    0xffbaacff,0x4ff986ff,0x017fdc00,0xfe83ffa0,0x4fffcc0f,0xff984ff9,
    0x3fff622e,0x419ffff5,0x1fe46ffa,0x17dc0df3,0xfe8003fe,0x544f7dc2,
    0x897fe2ff,0x53fe21fe,0xb7ec05ff,0x99dfd998,0x999cfd99,0x7fff5c40,
    0x005fffff,0x3ea05fc8,0x41ff62ff,0xf82fffe8,0x9affc04f,0x07fdc4ff,
    0x3ee1ffe0,0xf013fe04,0x017fe2bf,0x3fabff10,0xeeeeeeef,0x3fe3eeee,
    0xff2ffc04,0x265ff809,0xbdffffff,0x1bfe5fe9,0x6ffaffc0,0x3f6bff00,
    0x09ff0007,0xbff75ff8,0x7fff5443,0x5dfd5506,0x20ffea15,0x3fe601fe,
    0xfebfffff,0x002ff986,0x20017fdc,0x13fe27fe,0x7fefffdc,0xfffff501,
    0x3ebffbff,0xffefffef,0x237d40ef,0x0ff883fd,0xfc801be6,0x7e41cc85,
    0x3fd9ffa4,0x5ff9ffcc,0xffdb7ec0,0xffffffff,0x263fffff,0xbdffffff,
    0x4c005fe9,0xfff300ff,0x203fec5f,0x7fc3fffc,0xf8affc04,0x007fea6f,
    0x5fb0dff3,0x3e027fc0,0x98bff15f,0x2bff101a,0x3e0007fd,0xf2ffc04f,
    0x35ff809f,0xf0159fff,0x403fecbf,0x0ffb4ff8,0x3f29ff10,0x4ff8000f,
    0xffd2ffc0,0x97fffdff,0x37f401ff,0x7e427fd4,0x77edc403,0xf90bfd1c,
    0xffb8001f,0x73ffc002,0x7fec05ff,0x7f4c06ff,0x2bff4fff,0xfffd8cff,
    0x41fd00ce,0xfdabfff8,0x801fe42f,0x3a000efa,0x2e3ff62f,0xf2ffa85f,
    0xb6fd80bf,0xffffffff,0x7fffffff,0x02b3ffe6,0xe88017fe,0xb7fd102f,
    0x403fec5f,0x27fc7ffb,0xffe97fe0,0xc802ff99,0x00ff83ff,0xff8817fe,
    0x7c4bff15,0x2bff304f,0xf0001ffb,0x2ffc40bf,0x7fc40bff,0x4405ff95,
    0x01ff25ff,0x3fe53fe6,0xfba7fcc0,0xf1e6c01f,0x2ffc40bf,0xbfffff91,
    0xe80ffe61,0x85ffb86f,0x740005fa,0x005fe85f,0x2002ffb8,0x3ff24ffa,
    0x17fff403,0x5ff83300,0x800989ff,0x3f620efb,0x7d43dfff,0x1ff8800f,
    0xf91bf600,0xfb01df9f,0x6fd8001f,0x37d43fcc,0x4405ff90,0x3f6005ff,
    0x7ed3fa04,0x5c01ff62,0x817fe2ff,0x3fe65ff8,0xf9803ffd,0x037d40ff,
    0xffa817fe,0xff8bff15,0x2a9ff505,0x77e404ff,0xfa817fe2,0xa817fe5f,
    0x80ffd5ff,0x3fee6ffa,0xb8ffec03,0x7fec03ff,0x4c09ff51,0x817fe4ff,
    0xa9885ffa,0x7403f981,0x85ffb86f,0x564c0ff8,0x313fe200,0xf70001ff,
    0x7ff4005f,0x701bfea1,0x80009fff,0x009ff5ff,0x22077f40,0x2ffa80aa,
    0x2009fb00,0x7cc0efe8,0xffa81fff,0x46fe8005,0x04fc85fb,0xff501ffa,
    0x81bea00d,0xd8bf65fd,0x9ff1007f,0xff502ffc,0x04fffd8b,0xf909ffb0,
    0x81ffe807,0xff15ffe8,0xd80ffe8b,0x07ffa2ff,0xfd07ffcc,0xbffd103f,
    0x7440fff4,0x03ffb5ff,0xfd1bffe2,0x1bfe601f,0x3e601ffd,0x807ff46f,
    0x3ffa2ffd,0x05ffe881,0x6c01fb80,0x05ffc87f,0x3ff985fd,0xf987ff60,
    0xfb80013f,0xdff7002f,0x701fff88,0x009fffff,0x4ffaffc0,0x3bfe2000,
    0x09ff5000,0x4c01bee0,0xff900dff,0x3fee217d,0x5ff8000f,0x1fec27e4,
    0x2203ffb0,0xf8806fff,0x57ff501f,0x3f659fd5,0x3ee17ee7,0x207ffa2f,
    0x7d45ffe8,0x7f4c04ff,0x803fd06f,0xa88aeffb,0xff15fffe,0x9cfffa8b,
    0x7cc6ffda,0x3faa23ff,0x577fdc3f,0x5fffea88,0x222bbfee,0xf75fffea,
    0x7f5443bf,0x7ffd46ff,0x03bfee22,0x5c45fff5,0x7fcc0eff,0x17ff262e,
    0x5115dff7,0x000bfffd,0xffd807f9,0x0bff91ac,0xfff113ee,0x2ffe4c17,
    0xfffffff3,0x5d73379d,0x6d417fdc,0x82fffdab,0xa88bfffb,0xfffcfffd,
    0x2bff0005,0x440004ff,0x440acefe,0x3003ffdb,0xff5001ff,0xffffc807,
    0x01ffffef,0x227fd420,0x01ff82fe,0xa8877fee,0xd806fffe,0x3ffee03f,
    0xfb7fffff,0xa867fe4f,0x3fee0fff,0xffea88ae,0x7ffff45f,0xfca99abe,
    0x7f880eff,0xffffe880,0x15fcbfff,0xfffb0bff,0x701dffff,0xfffdffff,
    0xfffd109f,0xbf97ffff,0x7fffff44,0x3a5fcbff,0xfffeffff,0x7dc0ffcb,
    0xffffefff,0xdffff700,0x2e01ffff,0xfffeffff,0x7fff440e,0x5fcbffff,
    0x8aefa800,0x7fffd43a,0x260bff94,0xffffa86f,0x545ffffe,0xffffffff,
    0x25ffffff,0xffe82ffb,0x2e02ffff,0xffffffff,0x05fff51e,0x3febff00,
    0xff900004,0xfffd9bff,0x1ff4003d,0x556ffd40,0x27bea2aa,0x0cffffeb,
    0x7ffff400,0xf103fe21,0xfffe801f,0xfcbfffef,0x017ee00f,0xfd333331,
    0xfb1ff637,0x85ffffff,0xffffffe8,0x3f65fcbf,0xfffffe9d,0x00dfffff,
    0x7e400bf7,0xbf92efff,0x7dc17fe2,0x200dffff,0xefffffd8,0x7fffe402,
    0xf90bf92e,0x3f25dfff,0x3ffff225,0x07ff30df,0x9dffffb3,0xfffd9801,
    0x6cc00cef,0x403fffff,0x92effffc,0x3fe000bf,0xfec86fff,0x40bff96f,
    0xffd980ff,0xdf03dfff,0x3f6e6137,0x3ee4ffff,0x7ff6442f,0xfe9802ef,
    0xfa84efff,0x2bff0004,0x200004ff,0xffffffb8,0x2fe4002d,0xffffff80,
    0x103aa6ff,0x7fc00015,0x43fcc3ff,0xfc8806fa,0xf30dffff,0x03fe607f,
    0xfb17ec00,0xfffeb88f,0x3fff201e,0x2ebf92ef,0x3ffaa0ef,0x400bdfff,
    0x988002fd,0x2a600000,0x09a88000,0x0004c400,0x310004c4,0xa9800035,
    0x01530000,0x0006a600,0x80000131,0x200ceeb8,0x0aa80008,0x2006a620,
    0x01a98801,0x0002a200,0x0060054c,0x00000000,0x20001330,0xa8800de8,
    0x2aaaaaaa,0x53000000,0x30551013,0x54c40035,0x05db0001,0x00055400,
    0x988002a2,0x2200c800,0x0554001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x41bfee00,0x276c03ee,0xd1fff880,0xffb805ff,0x8000000f,
    0x13fe67fd,0x007ffd40,0x00fff980,0x0017ffc4,0x55440020,0xaaaaaaaa,
    0x33b72601,0x27fd800a,0xa8803ff9,0x54006540,0x50000fff,0xf9001fff,
    0x000000df,0xfff30000,0x3ffea001,0x43ffb000,0x4c000efe,0x000001ee,
    0x0017ffc4,0x1676e544,0x362075c0,0x99bfe204,0x3ffa04ff,0x000dff10,
    0x36204ed8,0x001221de,0x00fba001,0x7fc03ffa,0x802ffc04,0x9ff52ffc,
    0x6ffff980,0x01fff400,0x3fe67fd8,0xffff9804,0x3ffb0006,0x01bfe600,
    0xdffd9510,0x7fffd405,0x04ffffff,0xfffffff7,0x267fd803,0x7fe403ff,
    0x807fabef,0x006ffff9,0x4003ffd0,0xf0001ffd,0x1d3003ff,0x01ffd800,
    0x0dffff30,0x7e5bfa20,0x5074c01f,0x17fe25ff,0xdff30000,0xfffe9800,
    0x2600efff,0x2017e45f,0x0dfd4ffa,0xffb5ff88,0x5ff80001,0x65ffec40,
    0x3b2202ff,0x3e03dfff,0x17fd404f,0xff809ff0,0x24ff8805,0x7f4406fe,
    0x2004ff8e,0xfb003ffe,0x2027fccf,0x4ff8efe8,0x01ffcc00,0x400bfea0,
    0xffffffe8,0xffff706f,0x09ffffff,0xf957dff3,0x3fec03ff,0x7c407ff3,
    0x4ffffecf,0x7c77f440,0x7fcc004f,0x2ff44003,0x01fff800,0x30007fd4,
    0x3a2007ff,0x005ff8ef,0x05ffbff3,0x3ea0ffb8,0x00bff12f,0x05ff5000,
    0x2f7ffea0,0x6c06fffc,0x006ffeff,0x01ffbff9,0x3ffbff50,0xfffff800,
    0x6c06ffff,0x2601dfff,0xffffffff,0x404ff80e,0x27fc04fe,0x2e017fe0,
    0x007fe66f,0x3fee3ffb,0x07ffd002,0x13306620,0xf51ffd80,0x2fec007f,
    0x006fc800,0xb5139ffd,0x0dfb0bff,0x2617fa00,0x066206ff,0x17540133,
    0xfb005b71,0x00ffee3f,0x30005fd8,0xff0003ff,0x0ffb803f,0x8017f600,
    0x7ff51ffd,0x13ffee00,0xf103fee0,0x0017fe23,0x8037e400,0x7e441ffe,
    0x3f6e203f,0x3f6000bd,0x3f2001ff,0xee8003ff,0x5efffeee,0x3ffffd50,
    0x4df7fc40,0xf85ffda8,0x400cc04f,0x2ffc04ff,0x13104c40,0x99813300,
    0x01331000,0x26600000,0x3000ccc0,0x01980003,0xfd02ffd8,0x005fe83f,
    0xf500ffc8,0x0000003f,0x30266000,0x00cc0033,0x00026200,0x3ee00666,
    0x0066000f,0x19981330,0x40066600,0x43d40ffb,0x2000003e,0x3ffa8019,
    0x000dff10,0x00998800,0x00019980,0xfd817fe0,0x206fd8cf,0xffb01ffa,
    0x0004ff81,0xff809ff0,0x00008005,0x00020000,0x00800010,0x20000400,
    0x05ff8800,0xff88ffea,0x06ff8003,0x04017fe2,0x00002000,0x00080001,
    0x02000040,0x0007fdc0,0x00100002,0x3ee00080,0xf113e60f,0x04000005,
    0x5c05fe80,0x0001004c,0x00200008,0x40bff000,0x827f443a,0x59300ffb,
    0x3ba4ff81,0xff276c03,0x805ff809,0x3dfffec8,0xdb00fba0,0x3fff6e09,
    0xffb7003d,0x36e007bf,0x7003dfff,0x007bfffb,0x0f7fff6e,0x0600ffcc,
    0x30007fe6,0x7fd807ff,0xdfffd910,0xfec8805b,0x4402deff,0x2defffec,
    0x7fff6440,0x764402de,0x402defff,0x2effeca8,0xeeffeea8,0xfffd9105,
    0xfd91007b,0x2e007bff,0x503dfffd,0x19ddffdd,0x0001db07,0x7fff6440,
    0x05ff303d,0xffec8800,0xca8803df,0x4402effe,0x03dfffec,0x2dffdb98,
    0xdba80bff,0xa81ffbbd,0x7c001eff,0xf013fe4f,0x2027fcbf,0x7fd405ff,
    0x0effffff,0x7fc04ff8,0x7ffff4c5,0xd300dfff,0xbfffffff,0x3fffa601,
    0x300dffff,0xfffffffd,0x3ffa601b,0x40dfffff,0xb8000ffb,0x802a60ff,
    0x7dc01ffb,0x7fffdc1f,0x704fffff,0xffffffff,0x3ffee09f,0x04ffffff,
    0xfffffff7,0x3fee09ff,0x4fffffff,0xfffffd10,0xfffb8dff,0xffa86fff,
    0x0effffff,0xffffff50,0x3a601dff,0xdfffffff,0x7ffffdc0,0x2a1d106f,
    0xdffd915e,0x3ffea019,0x40efffff,0x20000ffa,0xfffffffa,0xffd100ef,
    0x20dfffff,0xfffffff9,0xfff300ef,0xbff7ffff,0x3ffff620,0xfd06ffff,
    0x80159dff,0x013fe4ff,0x027fcbff,0xff8817fe,0xffd989cf,0x2027fc0f,
    0x3ffe25ff,0x6ffc98be,0x8befff88,0xf886ffc9,0xfc98beff,0xefff886f,
    0x86ffc98b,0x98befff8,0x3fe46ffc,0xc9efc800,0xc82effff,0x7fdc01ff,
    0x26fbfee2,0x41fffdb8,0xb89beffb,0x7dc1fffd,0xfdb89bef,0x77fdc1ff,
    0xfffdb89b,0x4df7fdc1,0x81fffdb8,0xda89cffe,0x3f2625ff,0x7fc409af,
    0xffd989cf,0x67ffc40f,0x0fffd989,0x45f7ffc4,0x4c46ffc9,0x0009affc,
    0xfffd1ff5,0xf883dfff,0xfd989cff,0xb9fee0ff,0x100ceffd,0xb3139fff,
    0xffd01fff,0xbffb5139,0x89beff88,0xf885ffda,0xffb98bff,0xfff885ff,
    0xfffebabd,0xffffe883,0x9ff02dff,0x3fe027fc,0xff013fe5,0x80fff40b,
    0x27fc4ffb,0xffc97fe0,0xc87ff502,0x7ff502ff,0xf502ffc8,0x02ffc87f,
    0xffc87ff5,0x6c7ff502,0xffd0007f,0xffffffff,0x400ffc89,0x3ffa2ffa,
    0xe89ff700,0x9ff700ff,0xf700ffe8,0x00ffe89f,0xffe89ff7,0xd89ff700,
    0x3ffd02ff,0xfd00ffb8,0x13fee03f,0x3ee03ffd,0x817fe44f,0xffb83ffa,
    0x77fd4000,0xffeb9bef,0xb80fff45,0x6dbf24ff,0x1effffff,0xf701ffe8,
    0x02ffd89f,0x7fd43ffd,0xe81ffb01,0xfff980ff,0x883ffc85,0x36a05ffd,
    0x84ffffff,0x013fe4ff,0x02ffcbff,0x3ea0bff1,0x0ffec04f,0x5ff809ff,
    0xfe80dff3,0x80dff30f,0xdff30ffe,0xf30ffe80,0x0ffe80df,0xfe80dff3,
    0x001ff90f,0x215dfff0,0x362fffb8,0x7fd400ff,0x4407fd32,0x0ffa65ff,
    0x3a65ff88,0x97fe203f,0x3e203fe9,0x80ffa65f,0x3fe25ff8,0x70ffea05,
    0x9ff501ff,0xf51ffd80,0x1ffd809f,0xfe80dff3,0x007fdc0f,0x20bffea0,
    0xff50ffe8,0xb1ffd809,0x537dfddf,0x7d41fffb,0x8ffec04f,0x3ea05ff8,
    0x403fee3f,0x3fe60ac9,0x317fee03,0x7fc40bff,0xffd73007,0x3e4ff87f,
    0xd2ffc04f,0x2ffd40bf,0x5400ffc8,0x013fe2ff,0x0ffeebff,0x3ee3ff70,
    0x8ffdc03f,0x7dc03ffb,0x807ff71f,0x7ff71ffb,0xf71ffb80,0x13cd803f,
    0x7fcc0bfd,0x300ffb0f,0xff0007ff,0x17fe000b,0x002ffc00,0xf0005ff8,
    0x00ffccbf,0x407fdc06,0x7d400ffc,0x801ff92f,0x7ff72ffa,0x5c1ffb80,
    0x7d4000ff,0x47fee05f,0x7d400ffc,0x09fffb2f,0xffc93fee,0x997fd400,
    0x540c01ff,0x2e001eff,0x3fe200ff,0x200ffdc5,0x54000ffb,0xf27fc5ff,
    0x25ff809f,0xff881ffd,0x00ffb05f,0x27fc9ff1,0x7fe57fe0,0xaaaaaaab,
    0x7ff92ffc,0x95555555,0x2fff25ff,0xcaaaaaaa,0x57ff92ff,0xf9555555,
    0x2afff25f,0xfcaaaaaa,0x409ff52f,0xc8004ff9,0x01ff92ff,0x4402ffa8,
    0x05ffeca9,0xffeca988,0xeca98805,0xa98805ff,0x8805ffec,0x25ffeca9,
    0x70000ffb,0x0ffb01ff,0x3f69ff10,0x94ff8807,0x555557ff,0xb85ff955,
    0x7d4000ff,0x4bfea03f,0xff8807fd,0xe80dffb4,0x00ffb0ff,0x3fee9ff1,
    0xfffd0000,0x7e40159d,0x645fe807,0x2ff9807f,0xffd01bf6,0x13fe4ff8,
    0x7fdcbff0,0xffeb88ae,0x00dfd05f,0x04ff97fe,0xfffdaffc,0xffffffff,
    0xffffb4ff,0xffffffff,0x3ffff69f,0xffffffff,0xfffffb4f,0xffffffff,
    0x3fffff69,0xffffffff,0x6c03ffa4,0xfa8002ff,0x801ff73f,0x75c42ffa,
    0xffffffff,0xfffeb885,0x885fffff,0xffffffeb,0xfeb885ff,0x5fffffff,
    0xffffeb88,0x3f25ffff,0x3fee0007,0xf006fe80,0x401bfabf,0xffffb5ff,
    0xffffffff,0x00ffb89f,0x3017fd40,0x01bfa5ff,0x3ffcaffc,0xfe8ffdc0,
    0x32bff006,0x3a20007f,0x2dffffff,0xfe806fe8,0x4403fec5,0x0bff23ff,
    0x3fe2ffc4,0xff013fe4,0xfffffd8b,0xf05fcbff,0x97fe00df,0xaffc04ff,
    0xeeeeeffe,0xd3eeeeee,0xddddddff,0x3a7ddddd,0xeeeeeeff,0xfd3eeeee,
    0xdddddddf,0x3fa7dddd,0xeeeeeeef,0x3e63eeee,0x3ff262ef,0x9ff30005,
    0xf7007fea,0x7fffcc3f,0x5fe9bdff,0x7fffffcc,0x4c5fe9bd,0xbdffffff,
    0x7fcc5fe9,0xe9bdffff,0x7fffcc5f,0x5fe9bdff,0xb8001ff6,0x06ff80ff,
    0x1bfebff0,0xffeaffc0,0xeeeeeeee,0x7fdc3eee,0x0ffd4000,0x3fe5ff30,
    0x32bff006,0x7fcc01ff,0x3e00dff3,0x000ffb5f,0xfffffb50,0x806fe89f,
    0x037f45fd,0xff327fc4,0x3f6a217d,0xff27fc2f,0xc85ff809,0xf92efffe,
    0x201ff60b,0x13fe4ff8,0x1ff6bff0,0x003fec00,0xb0007fd8,0x3f6000ff,
    0x7fdc0007,0x0efffeff,0x29ff3000,0x7e401ffa,0x59fff30f,0x7ccbff01,
    0xff80acff,0x2b3ffe65,0x3e65ff80,0xff80acff,0x2b3ffe65,0x3f25ff80,
    0xff70000f,0x100ffb01,0x01ff69ff,0x3fed3fe2,0x03fee000,0x403ff500,
    0x0ffb2ff9,0x3ee9ff10,0x97fcc02f,0xff8807fd,0x0001ff94,0x7fff5cc0,
    0x3a01ff23,0x403fec5f,0x7fdc3ff9,0x3fffffff,0x17fe4ff8,0x2205ff88,
    0xf903ec09,0x49ff300f,0x3fe205ff,0x0003ff75,0x70003ff7,0xf70003ff,
    0xff70003f,0xfd980003,0xeb83ffff,0x97fd401e,0x7f404ff8,0x880bff26,
    0x0bff25ff,0x3f25ff88,0x97fe202f,0x3e202ffc,0x80bff25f,0x3fee5ff8,
    0x2e1e6c01,0x07fc80ff,0xff94ff98,0x2e9ff300,0x2e0001ff,0x7d4000ff,
    0x4bfe601f,0xff9807fc,0xa807ff54,0x00ff90ff,0x3fee9ff3,0x001e6c01,
    0xffb97fea,0x322ffc00,0x7fd400ff,0xffffea82,0x49ff02ef,0x3fea05ff,
    0x206e8005,0x7ec03ffb,0xa817fe1f,0x09ff55ff,0xff52efc8,0x52efc809,
    0xefc809ff,0xc809ff52,0x09ff52ef,0x2e02efc8,0x3fea01cf,0xb07fec05,
    0x27fcc0ff,0xffa80ffd,0xf501ffa6,0x203ff4df,0x1ffa6ffa,0x7f4dff50,
    0x537fd407,0x7fcc09ff,0x5c07fdc4,0x7fec03ff,0xd807ff71,0x09ff51ff,
    0x7dc2efc8,0x7fd4000f,0x5cbfe601,0x7fec03ff,0xfb01bfa1,0x201ffdcf,
    0x9ff51ffd,0xfb27fcc0,0x267fe80d,0x3fea03ff,0x201ffdc5,0x3e200ffd,
    0x24ff801f,0xfe881ffe,0x06f8005f,0xf9807ff4,0x40fff46f,0x3fa5ffe8,
    0x1fff301f,0xf980fff4,0x07ffa0ff,0xfd07ffcc,0x3ffe603f,0x4c07ffa0,
    0x3f600fff,0xfff100cf,0x513fea03,0x3ff605ff,0x4407ff60,0x3ff66fff,
    0x4dfff101,0xff101ffd,0x80ffecdf,0x3f66fff8,0xdfff101f,0xfb00ffe8,
    0x01ffb85f,0x3e601ffd,0x807ff46f,0x7ff46ff9,0x81fff301,0x54001ffb,
    0x3fe601ff,0x4c03ffa2,0x27fdc6ff,0x7f45ff98,0x8dff300f,0xffb00ffe,
    0x8817fe45,0x07ff45ff,0xff85ffe8,0x09ff500f,0x402dff98,0x3bfee4ff,
    0xfffea88a,0x22ff8005,0x8bffea08,0x5c0effb8,0xea88aeff,0x3fe65fff,
    0x3ffaa23f,0x11fffcc3,0xf987ffd5,0x3faa23ff,0x1fffcc3f,0x987ffd51,
    0x3aa23fff,0xfe9803ff,0x2fbfee04,0x01fff710,0x36217ffd,0x6ffdc2ff,
    0x3fffaa21,0x8877fee6,0x2e6fffea,0x3aa21dff,0x3fee6fff,0x3ffaa21d,
    0x877fee6f,0x46fffea8,0x3262eff9,0xdffa85ff,0x17ffd42a,0xa81dff71,
    0x3ee22fff,0x7ffcc0ef,0x0fffaa23,0x00ab7fea,0xf300ffd4,0x17ffd45f,
    0xd01dff71,0x7fd419ff,0x17ffd40e,0x981dff71,0x3f262eff,0x5f7fcc5f,
    0x85ffb510,0x3621eff9,0xffb85fff,0x3ffee21e,0x0ffb8800,0xfe893fe0,
    0xcbffffff,0xffc8005f,0x7fdc2fee,0x0ffffeff,0xfffffe88,0x5c5fcbff,
    0xfffeffff,0xffff704f,0x209ffffd,0xffeffffb,0xfff704ff,0x09ffffdf,
    0x3fbfffee,0xd3004fff,0xfffd80bf,0x00efffef,0xffdfffd3,0x3fffa0bf,
    0xfcbfffef,0x3ffffa0f,0xffcbfffe,0x3bffffa0,0x0ffcbfff,0x3fbffffa,
    0x20ffcbff,0xffeffffe,0x5c0ffcbf,0xfffeffff,0xffff880e,0xeffffb87,
    0xf700ffff,0xffffdfff,0x3fffee01,0x104ffffe,0x200fffff,0x3e601ffa,
    0x7fffdc2f,0x100ffffe,0xfffdfffd,0x3ffee01d,0x00ffffef,0xffdffff7,
    0xfff701df,0x07ffffff,0x3fffffea,0xf505fddf,0xdfffdfff,0x3fee2003,
    0x3213fe00,0xf92effff,0xffb1000b,0xffb3019f,0xc8019dff,0xf92effff,
    0xffffb10b,0xfd8805df,0x402effff,0xefffffd8,0x7ffec402,0x6c402eff,
    0x02efffff,0x0fffffd4,0x7ffff540,0xffd8804f,0x32203fff,0x30dfffff,
    0x7fe447ff,0xff30dfff,0x7fffe447,0x47ff30df,0xdfffffc8,0x6447ff30,
    0x30dfffff,0xffb307ff,0xe9807fff,0xfd980fff,0x400cefff,0xceffffd9,
    0x7ffec400,0x75402eff,0xfa800fff,0x0bfe601f,0x3bffff66,0xfffc800c,
    0x6cc00cef,0x00ceffff,0x7ffffecc,0x7fff5403,0x6cc02eff,0xbfb4ffff,
    0x7fffecc0,0xfff800cf,0x27fc04ff,0x00001310,0x54c00310,0x00988000,
    0x00135100,0x00013510,0x10001351,0x51000135,0x3faa0013,0x4c4001bd,
    0x3530000a,0x00d4c400,0x000d4c40,0x4000d4c4,0x88001a98,0x4c0001a9,
    0x00c4001a,0x30000a98,0x2a200015,0x00c40009,0x4c03ff50,0x054c02ff,
    0x000a8800,0x20001530,0x4c4001a9,0x0330001a,0x000a8800,0x005677f4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x013ffa00,0x007ffd40,
    0x76d3b600,0x3e67fe84,0xffe8803f,0x7bd95003,0xee800015,0xb005dd35,
    0x7fc0009d,0xb810002f,0x0775406e,0x3ffd0040,0x5c03bfe2,0x0bff24ff,
    0x20000fba,0x000bddca,0x0002f744,0x03dd7001,0xeb9774c0,0x3ba6001e,
    0x0009dd12,0x372609db,0x74400bde,0x0bff10ff,0xeeeeeeb8,0x000bccde,
    0x88f22154,0x3ea01fff,0x555400ff,0x00aaaaaa,0x55555555,0x7fd40015,
    0x7775c00e,0xbccdeeee,0xe985d800,0x3ffff202,0x1ffe8002,0xf5fe8000,
    0x4cffd0bf,0xffd803ff,0x3fa201ff,0x00efffff,0xff9bfe00,0x01ffcc06,
    0x004ffb80,0xcafffecc,0x07fdc07f,0x82fffdb8,0x1ff96ff8,0xf99ffd80,
    0x009ff03f,0x7fffec40,0xf1001eff,0x764400df,0xc80cefff,0x3ea001ff,
    0x003ff93f,0xff89ffd4,0x45ff8005,0xffffffc8,0xaffcc03f,0x7e400efe,
    0xffffffff,0x4c00cfff,0xfcadfffe,0x882ffd43,0x200effff,0xffffffff,
    0xfffff01f,0x4005ffff,0xfc801ffe,0xffffffff,0x2e00cfff,0x403fa23f,
    0x1ffcaffb,0x00ffe600,0xffaff400,0x3e67fe85,0x57fdc03f,0xfe880ffc,
    0xfffebcff,0x4dff0001,0x3f200ffc,0xbfd0000f,0xffff9800,0xb80ff94f,
    0xfffb80ff,0xbff301ff,0x3fa005ff,0x3fe05fee,0xfff10004,0x1dff957d,
    0x00dff100,0x3fffffea,0x7fe42fff,0x4ffea001,0x2a001ffc,0x0bff13ff,
    0xfd8bff00,0xfffdbdff,0x7effdc03,0xeffc801f,0xfffeeeee,0x3f201fff,
    0x0fffffcd,0xfe81ffb8,0x3a05ff8e,0xeeeeeeee,0xdddddb00,0x2a003ddd,
    0xff9002ff,0xffdddddd,0x2203ffff,0x04ffefff,0x77f4bff3,0x009fb000,
    0x9b2ff400,0x09983310,0x7c53fe60,0x83ffc86f,0xf0006ff9,0x01ffccdf,
    0x2a000bfd,0x7e4000ff,0xff91abdf,0x440ffb80,0x402acfff,0x2003fffb,
    0x7c06fff8,0xff90004f,0x00bfd10b,0x3e600266,0xfeb8adff,0x07ff21ff,
    0xf93ffa80,0x7fd4003f,0x20017aa3,0x37fea5ff,0x007ffc40,0x400bfff2,
    0x75401ffc,0x517606ff,0x2fec039b,0x7fd47ff2,0x00000003,0x0027f400,
    0xea803ff9,0x3ae206ff,0x33100adf,0x8004cc41,0x74000019,0x0000be5f,
    0x99883310,0xfb03ffc0,0xdff0001f,0xff306fe8,0x02620005,0x641ffa00,
    0x07fdc07f,0x30013fe6,0x33100033,0x004ff801,0x2206ff98,0x400004ff,
    0xff702ffe,0x000ffe4d,0x3ff27ff5,0x0ffea001,0xbff0009d,0xfc817fe4,
    0x0099803f,0x4007ff20,0x00004ffd,0x40998330,0x00000199,0x06600008,
    0x003ff900,0x00013ff6,0x02000040,0x2bfd0000,0x000000ed,0x13fe6004,
    0x8002ffa8,0x0ffdc6ff,0x01003fe4,0x17fe0020,0x3ee03fe4,0x017fd40f,
    0x00200000,0x540027fc,0x37e402ff,0x2600d540,0x7ffc05ff,0x4003ff90,
    0x3ff93ffa,0x11ffd400,0xbff0005f,0xff303ff4,0x90002009,0x3e2003ff,
    0x001001ff,0x3ee80000,0x644276c0,0x02defffe,0x7fe40000,0x3fff1001,
    0xfd910000,0x91007bff,0x007bfffd,0x25bffb73,0xee8175fe,0x44276c03,
    0x02effeca,0x03ff7002,0xf88dff00,0x204ff84f,0xbdeffec9,0x3fffb661,
    0x905ff80c,0x0ffb80ff,0xdd00ffd4,0x884ed807,0x2defffec,0x3fae9ff0,
    0xffc80cef,0x007fdc00,0xff7017fe,0x92ffc805,0x7d4003ff,0x003ff93f,
    0x4e89ffd4,0x5bffb730,0x0ffc97fe,0x2207ff50,0x03dfffec,0x2001ffc8,
    0x4bb64ffa,0x01dfffda,0x3ee80fba,0xff013fe0,0xfffffb8b,0xec84ffff,
    0xeeeeeeee,0xffc80eee,0x13fea001,0x3e603ee8,0xefffffff,0xfffff300,
    0x2601dfff,0xbfffffff,0x13fe05fe,0xfe88bff0,0x06ffffff,0x000ffb00,
    0x1ff61bfe,0x3f203ff5,0xffffffff,0xffffffc9,0x82ffc0ff,0x7fdc07fc,
    0xddffdd90,0x404ff83d,0x7ffdc5ff,0x84ffffff,0xffffddff,0x3fec1eff,
    0x2017fd40,0x14c403ff,0xfc8ffdc0,0x3fea001f,0x4003ff93,0x04fddffa,
    0xfffffff3,0x7fd4bff7,0x501ffb04,0xffffffff,0x0ffe401d,0x7cbff100,
    0xfffffbaf,0x09ff03ff,0x9ff027fc,0x3ee5ff80,0xfdb89bef,0x7fff41ff,
    0xffffffff,0x01ffc80f,0xf817fe20,0x7dff104f,0x0bffb513,0x5137dff1,
    0xff10bffb,0xfff7317f,0x027fc0bf,0x9ffd17fe,0x0bffb513,0x01ffecc0,
    0xfa86ff80,0x641bf62f,0xdb89adff,0x9cffffff,0x7fc6ffda,0xb80ff905,
    0xffffb0ff,0x4ff85fff,0xff72ffc0,0xffb7137d,0xeffff83f,0x0fffc98a,
    0xf7003ff2,0x17fd407f,0x4ffd0000,0x2a001ffc,0x03ff93ff,0x0577fd40,
    0x98bfff88,0x225ffffb,0xf931cffe,0x9fff10bf,0x1fffb313,0x0007ff20,
    0x7f7fcfff,0xfffcaadf,0x3e04ff80,0x013fe04f,0x07ff4bff,0x5544ffb8,
    0xeaaaaaaa,0x3ff904ff,0x207ff800,0x3ff504ff,0xf503ff60,0x03ff603f,
    0xff101ffd,0x027fc0bf,0x2ffd97fe,0x4403ffd0,0x002ffffd,0x7fc1bfe0,
    0x3e07ff15,0x3fffa05f,0x7c9ff104,0x01ff905f,0xb9887fe4,0x7c099bff,
    0xd2ffc04f,0x3fee01ff,0x4077ffc4,0x3fea4ffa,0x81ffec02,0x0000ffe8,
    0x7e49ff90,0x3fea001f,0x4003ff93,0x7f403ffa,0x5fff980f,0xffffffc8,
    0x03ffd03f,0x7e413fee,0x7ff4001f,0x901bfff0,0x09ff09ff,0x9ff027fc,
    0xfd35ff80,0x02ffc407,0xc817fea0,0x7f4001ff,0x209ff00f,0x59300ffb,
    0x300ffb81,0x1ffcc159,0x7c0bff70,0x8affc04f,0x3fea05ff,0x3fffe603,
    0x3fe0000e,0x3eaff906,0x01ff980f,0xf701bfee,0x6417fe1f,0x3ff601ff,
    0xf00ffd40,0x35ff809f,0x7fc407fd,0xd00fffc5,0x1bfe21ff,0x884fffa8,
    0x00003ffe,0xffc8bff9,0x4ffea001,0x2a001ffc,0x3fe603ff,0x217fee03,
    0xefffffe9,0x404ffa80,0x3fba1ffd,0xeeeeeeff,0x3e3ffb00,0xbff101ff,
    0x7fc09ff0,0xf013fe04,0xbff000bf,0x077fcc00,0x777fff74,0xfb00eeee,
    0x413fe03f,0x4001effa,0x2001effa,0x3e200ffb,0x013fe05f,0x07fe6bff,
    0xd7730030,0x20007fff,0x5ff306ff,0x98000bfb,0x7fc404ff,0x3f20bff2,
    0x03ffa02f,0x7fc03ff5,0x002ffc04,0x1bfe2ffc,0x7e45ff50,0x7ffd41ef,
    0x27ff443f,0x6ffc8000,0x2001ffc8,0x3ff93ffa,0x01ffd400,0x7c401ff7,
    0x5effe45f,0x642ffeca,0x7fd400ff,0x3fffffe2,0xb01fffff,0x01bfe5ff,
    0x09ff0bff,0x9ff027fc,0x4405ff80,0x05ffeca9,0x201fff30,0xffffffff,
    0xffb01fff,0xe813fe05,0x00acefff,0xacefffe8,0x201ff200,0x13fe05fe,
    0x3feebff0,0xd9800000,0xff8004ff,0x3ff7fa06,0x6dd44002,0xaaaadffe,
    0xf4ffaaaa,0x3fff20bf,0x40fffc80,0x3fe01ffa,0x202ffc04,0x5ffeca98,
    0x3e6027fc,0x77fff43f,0x3ff9fffe,0x0001ffec,0xc80effb8,0x3ea001ff,
    0x003ff93f,0xf901ffd4,0x6cbfd00f,0x7ff903ff,0x7c403fec,0x01ffc84f,
    0xff8fff40,0x7c37f405,0x813fe04f,0x2ffc04ff,0x3ffffae2,0x8805ffff,
    0xfc801ffe,0x7ff4001f,0x4409ff01,0xdffffffe,0x3fffa202,0xfe82dfff,
    0x205fd806,0xaffc04ff,0x000007fc,0x2001bfe2,0x3fee06ff,0xfdb8807f,
    0xffffffff,0xffffffff,0x20bff5ff,0x98aefffc,0x540ffffc,0x13fe01ff,
    0xeb88bff0,0xffffffff,0x2201ffc5,0xfffc84ff,0x2ff98eff,0x00013ff6,
    0xc8077fcc,0x3ea001ff,0x003ff93f,0xfd01ffd4,0x22bfd00d,0x37f406ff,
    0x3fe00dfd,0x001ffc85,0x5ff87ffc,0x7fc37f40,0xf813fe04,0x32ffc04f,
    0x7bffffff,0xfd00bfd3,0x3ff2005f,0x07ffc001,0xda804ff8,0x04ffffff,
    0x7ffffed4,0x4037f44f,0x13fe05fd,0x1ff6bff0,0xffb00000,0x06ff8003,
    0x3013ffe2,0x7bdffffd,0xdddddff5,0x29dddddd,0xdff905ff,0xf9ffffff,
    0x01ffa81f,0xbff013fe,0x7fffffcc,0x7c5fe9bd,0x27fc403f,0x2a0aca88,
    0x0bff12ff,0x0ffe4000,0x4005ff70,0x5ff72ffb,0x017fdc00,0xbfb00dfd,
    0xf500ffea,0x401bfe3f,0x1ffc85ff,0xf9ffe200,0x437f404f,0x13fe04ff,
    0x7fc04ff8,0x159fff35,0xfd80bff0,0x3ff2003f,0x1ffe2001,0x4c004ff8,
    0x003fffeb,0x47fffd73,0x5fe807fc,0xff013fe0,0x0003ff2b,0x23ffa800,
    0x1bfe01a9,0x4c03ffb0,0x4c0adfff,0xff8003ff,0xfb1ff905,0x1ff37fff,
    0x3e01ffa8,0x9affc04f,0xf80acfff,0x2027fc5f,0xb8003ff9,0x03ff50ff,
    0xdfb00088,0x003ffa80,0x7fd4bff2,0x0bff2003,0xfe807fc8,0x9801ffb5,
    0x00ffb3ff,0xff909ff1,0x27fd4003,0x6fe809ff,0x3fe04ff8,0x8817fe04,
    0x05ff95ff,0xf902ffc4,0xffc800bf,0x13fea001,0x20004ff8,0xa8005ffa,
    0x03fee5ff,0x7fc0bff0,0x5d7fe205,0x9e6c01ff,0x7dc00ffb,0x4413fe2f,
    0x37ec05ff,0xa80fff20,0x7c0805ff,0x44ff905f,0x3ff5000a,0xf102ffc0,
    0x80bff2bf,0x2ffc5ff8,0x988bfea0,0xf937f400,0x1ffb803f,0x2602ffc0,
    0x3fa005ff,0x00bff30f,0xf7007ff4,0x95ff801f,0xff9801ff,0xf300ff93,
    0x03ff909f,0xff17ff40,0xf86fe809,0x813fe04f,0x3fea05ff,0xfa80ffd5,
    0x0dff706f,0x003ff900,0xff017ff4,0xd01bf609,0x406fd8ff,0x0ffe67fe,
    0x3e05ff98,0x57fea05f,0x3e604ffa,0x807ff54f,0x17fe0ffd,0xf1027fcc,
    0x07fe807f,0x2e037fe4,0x20bff3ff,0x2a0007fc,0x17fe01ff,0xffd5ffa8,
    0x7c6ffa80,0x87fec07f,0x3e604ff8,0x013fee4f,0x59900ffd,0x003fff00,
    0xfff8dff3,0x06ff9801,0xf501ffcc,0x00bfeabf,0x3fee3ff7,0x40ffec03,
    0xf7001ffc,0x404ff8bf,0x04ff86fe,0xffe813fe,0xb5ffe881,0x3fe203ff,
    0x0effa86f,0x01ffc800,0xf80bff70,0x05ff904f,0xff917fe2,0xd17fe205,
    0x3ffa01ff,0x207ffa05,0x3fa5ffe8,0x25ffb00f,0xf500fff8,0x81ffd8bf,
    0x3ee02ffd,0x07ff400f,0x03ffffa8,0x3fe1fff1,0x000ff905,0xfd00ffd4,
    0xbffd103f,0x7c407ff6,0x27ffc6ff,0x7f44ff98,0x0ffe880f,0x5403ffe6,
    0x400005ff,0x2600fffc,0x7fe42ffe,0x3ffa600f,0x00ffe802,0x3fe2bffd,
    0x8dff100e,0xff300ffe,0x007ff20d,0xf81fffb1,0x437f404f,0x13fe04ff,
    0x88aeffb8,0xf75fffea,0x7f5443bf,0x7ffcc6ff,0x3ff90000,0x0fffd880,
    0xf9827fc0,0xfb510bef,0xbeff985f,0x85ffb510,0x3621eff9,0x3ee05fff,
    0xfea88aef,0x3bfe65ff,0x717ff262,0x2e217dff,0x7fd40fff,0xeffda9df,
    0x3fee6620,0x1dffc804,0x3fb7fee6,0xffb511cf,0xfc82ffc9,0x3fea0007,
    0x2bbfee01,0x5fffea88,0x5443bff7,0x7fc6fffe,0x3fee0cff,0x0effdc0f,
    0xf907ffd3,0x3f2617df,0x400000ff,0x9bdffff8,0x83fffcba,0x9bdffff8,
    0x03fffcba,0x443dff30,0x3ee5fffd,0x3fea0aef,0x17ffd41f,0x201dff71,
    0xccccdffc,0x1ffffeec,0x7f404ff8,0x3e04ff86,0x3ffa204f,0xfcbfffff,
    0x3bffffa5,0x0ffcbfff,0x5335fff1,0x03555555,0x9999bff9,0x3ffffdd9,
    0x5c09ff00,0xffffffff,0xffff703f,0x207fffff,0xfffffffa,0x3a205fdd,
    0xbfffffff,0x7ffdc5fc,0x80efffef,0xffeffffc,0xfffb02ff,0x981fffff,
    0x1006ffff,0xffddfffd,0x7fffec7f,0x7fc5ffff,0x000ff905,0xd100ffd4,
    0x7fffffff,0x7fff4bf9,0xfcbfffef,0x3fb3fe0f,0x01ffffef,0xfffffffb,
    0x7ffec07f,0x02ffffff,0x1006ff88,0xfffffffd,0x74c09fff,0xffffffff,
    0x7d4004ff,0xddffffff,0x7fffe45f,0x703ffffe,0xfffdffff,0x7ffe401f,
    0xffffffff,0x09ff02df,0x4ff86fe8,0x32013fe0,0xf92effff,0x7fffe44b,
    0x27ff30df,0xfffffffa,0x84ffffff,0xfffffffc,0x02dfffff,0xea809ff0,
    0x02efffff,0x7fffff54,0x7fe4c02e,0x00bfb4ff,0x25dffff9,0xffd985fc,
    0x75403fff,0x00cfffff,0x6fffffdc,0x0efff881,0x3fff2200,0xfec80dff,
    0xff82efff,0x000ff905,0x6400ffd4,0xf92effff,0x7fffe44b,0x47ff30df,
    0xfffd8bff,0x7fdc00df,0xa802efff,0x0dfffffe,0x00dff100,0xfffffeb8,
    0xfd7002ef,0x05dfffff,0x3fff6600,0xd30bfb4f,0x01bfffff,0xeffffd98,
    0x7ffe400c,0xdeefffff,0x2027fc01,0x04ff86fe,0x988013fe,0x06a62000,
    0x7ffffd40,0xffffffff,0xfffffc84,0x01deefff,0x88027fc0,0x988001a9,
    0x0330001a,0x00131000,0x10006a60,0x53000153,0x00153001,0x80054c40,
    0x3fe00998,0x2a000005,0x262001ff,0x06a62000,0x00066000,0x200026a6,
    0x88001a98,0x310006ff,0x20001355,0x0009aa98,0x40006600,0x530001a9,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x2aaaaaaa,0x4c5ffc80,0xeeeeeeee,
    0xeeeeeeee,0xaaaaaa85,0x77640aaa,0x6c3eea80,0xfa8bdb4e,0x47ff60ef,
    0x3fa0eff8,0xc8dff10f,0xdd7000ee,0xeeeb8007,0xeeeeeeee,0x91eeeeee,
    0xeb8001dd,0x4000000e,0xb8006ffc,0x3a6001ee,0x003ee82e,0x0ddb0000,
    0x24ffa800,0x7dd02ffb,0x0000fb60,0xfb037fe4,0x407ff43f,0xe865c0a8,
    0x54ffea7f,0xcccccccc,0x002ccccc,0xca80176c,0x0001cded,0xc800fbb2,
    0xdeeeeeee,0x640009ac,0xddddd71e,0x01799bdd,0xdd34ee88,0xfffff98b,
    0x7c407fff,0x7ffcc0ef,0xffffffff,0xf87fffff,0xffffffff,0x5407fec0,
    0xeaffc4ff,0x20fff46f,0x3ff96ff8,0xffb5ff88,0x804ffa81,0x2000fff8,
    0xfffffff8,0xffffffff,0x1ffb2fff,0x01ffc800,0x3fea0000,0x7e4004ff,
    0x3fea002f,0x8004ff83,0xe801fff8,0xfc80007f,0x204ff9af,0x09ff04ff,
    0x1fff1000,0xfcb7f440,0xefffc81f,0x9ffa6fab,0xfff93ffa,0xffffffff,
    0x7e4007ff,0x7fec403f,0x00dfffff,0x03fffc40,0xffffffb0,0x03dfffff,
    0x7e4bfee0,0xffffffff,0xf100cfff,0x31ffeabf,0xdddddddd,0x81ffc80d,
    0xeeeeeee9,0xeeeeefff,0xeeeee85e,0x7ec0eeee,0x44ffa80f,0x54dfd5ff,
    0xbff302ff,0x3fea05ff,0xffb01ffd,0x03ffc803,0x7777fe40,0xeeeeeeff,
    0xfb1eeeee,0xffc8001f,0xf3000001,0x007ff3bf,0x50017fe4,0x09ff07ff,
    0x03fff100,0x0000ffd0,0x017fbbfa,0xffed89ff,0x00eeeeef,0x2007fee0,
    0x82ffdff9,0xfffecef8,0xfa9ffa4f,0xfffff93f,0xffffffff,0x3ffe6007,
    0x3fffa203,0x06fffdad,0x17fffdc0,0xeeeffd80,0xffffeeee,0x97ffd401,
    0xeeeeeffc,0x1fffffee,0xff55ff88,0xf880000f,0xff88002f,0xd8000005,
    0x4f9880ff,0x74b92ffc,0x7ffdc04f,0x1fffe404,0x440bff30,0x7c4006ff,
    0x00bfee7f,0x0003ff60,0x00003ff9,0x321ffd10,0x765401ff,0xcccccdff,
    0xffdccccc,0x013fe1ce,0x007ffe20,0x40001ffa,0x400efff8,0x7fff44ff,
    0x00ffffff,0xb800ffe0,0x5d504fff,0x26216dcc,0x00026621,0x2200bff3,
    0x3603fffe,0x7ec40bff,0x2ffa004f,0xffb005fe,0x07ffc801,0x64bfffee,
    0x7fd401ff,0x55ff886f,0x00100fff,0x88000cc4,0x040005ff,0x8807fec0,
    0x7d2ffc2f,0x199800cc,0x90033300,0x3ff205ff,0x1ffe4002,0xb0005ff7,
    0xfc8001ff,0x9aaaaabf,0x99880019,0x2e004cc0,0xffffffff,0xffffffff,
    0x3fe3ffff,0x03330004,0x0021ffa0,0x4004cc40,0x7fcc44ff,0x0019999d,
    0x4cc000cc,0x00000001,0x003bfa00,0x81fff7ec,0x3e205ff8,0x3ff3007f,
    0xfb001ff7,0x3ffb001f,0xfffffe88,0x1003ff92,0xff889ffd,0x2e0fff55,
    0x003dfffd,0x2ffc4000,0x3ffb2200,0x1ffb03df,0xbff03f20,0x000007f2,
    0x3fe20000,0x006ff886,0xf707ffc4,0xffb0005f,0xfffc8001,0xffffffff,
    0x000000be,0x37ffb2a0,0xcccccccc,0x1ceffdcc,0x000013fe,0x1e63ff40,
    0x7fc00000,0x0009ff04,0x00800040,0x00000000,0x2a003ff7,0x503ffaff,
    0xffd805ff,0xf17fd800,0x1ffb009f,0x547ff500,0x2ffbdfff,0x22003ff9,
    0x3fe21ffe,0xe98dff55,0xdfffffff,0xfd89ee80,0xff8801ce,0x3ffea005,
    0x40efffff,0x2fa80ffd,0xe8175ff8,0x227ba03e,0xdb01cefd,0x0ffee009,
    0xb8003ffb,0x17fdc4ff,0x007fec00,0x3fffff20,0xffffffff,0xa817b20f,
    0x0fb602ee,0x54005ff9,0x04ff83ff,0xeeeeeec8,0x40eeeeee,0x01fea7fe,
    0x3bbbbbb2,0x40eeeeee,0x29ff04ff,0x41beffda,0xfffb52ed,0xb52ed83b,
    0xe803bfff,0x03ee803e,0x004ff980,0x7ff17ff1,0x90033260,0xff8803ff,
    0x3601ffa5,0xffa800ff,0x7d4fff62,0x003ff92f,0xff127fdc,0xf89bfe6b,
    0xfc98beff,0xfdaff86f,0xf8801fff,0xfff1005f,0xfffb3139,0x1807fec1,
    0x7fc0bff0,0x3f6bfe04,0xbff01fff,0x987ff400,0xff8005ff,0x017fdc0f,
    0x0007fec0,0x2666bff2,0xfffba999,0x6c07fee6,0x5ff305ff,0x2002ffc8,
    0x4ff83ffa,0xfffffe80,0x0fffffff,0x2ffcbff4,0xfffffe80,0x0fffffff,
    0x7fc2a7fc,0xffffffcd,0x3eebfe3f,0x23ffffff,0xffffbaff,0x3fe03fff,
    0x004ff804,0xb000ffe8,0x00ffe2bf,0x201ffe00,0x3fee2ffb,0x007fec02,
    0x19907fe4,0xffc97fd4,0x97fe2001,0xbff35ff8,0xfa817fe4,0x7ff7fc3f,
    0xff1006ed,0x07ffa00b,0xffb27fdc,0x05ff8001,0xeff813fe,0x3e06edff,
    0x3fea005f,0x8001ffb3,0xffb84ffb,0x0ffd8002,0x00ffe400,0xf997ff44,
    0x0ffff03f,0x3ff21fee,0x0ffea002,0x2aa013fe,0xeaaaaaaa,0xdffe84ff,
    0x555001ff,0xfd555555,0x9dbff09f,0x9dfffff8,0xff1fffea,0xf955bffd,
    0x3fbfe1ff,0xfffcaadf,0xf009ff00,0xffb8009f,0x21ff7002,0x40003ff8,
    0xfe805ffa,0x202ffc47,0x7dc00ffd,0x2ffa805f,0xe8003ff9,0x457fe27f,
    0x0dff35ff,0x3fe0ffe8,0xf880046f,0x4ffa805f,0xfd8ffec0,0x2ffc000f,
    0x7fc09ff0,0xbff0046f,0xfaffd800,0xffe8004f,0xccdffb80,0x2ccccccc,
    0x32203ff6,0x00ffe43c,0x3fa4ffb8,0x1ffff985,0xffc85fe8,0xeeeeeeee,
    0x83ffeeee,0x013324ff,0x3a0bff50,0x0000efff,0x7c17fea0,0x7ffc3fff,
    0xf3ffb80e,0xff901bff,0x2037ffe9,0x9ff04ffc,0x8009ff00,0xff3007ff,
    0x001ffc45,0x3007ffa0,0x1ffb09ff,0x6667fec0,0x4ffeedcc,0x325ff500,
    0x7ec001ff,0x22bff10f,0x07ff74ff,0x3fe1ffb8,0x5555001f,0x5555dff7,
    0x400ffc83,0x1ffb2ffa,0x205ff800,0x3ffe04ff,0x017fe001,0xfff53333,
    0x013333ff,0xf704ffa8,0xffffffff,0x7fec9fff,0x646ff980,0xff1001ff,
    0x7dc3fe4d,0x7fc43ffd,0xfffffc82,0xffffffff,0x4ff83fff,0xf9801ffe,
    0xbffd00ef,0x7cc00001,0x7fff00ef,0x2603fff0,0x03fff4ff,0x7ffd7fe2,
    0x20bff101,0x4ff804ff,0x013fea00,0x3fe22ff4,0x3ff60003,0x81ffc804,
    0x3f604ffa,0xffffffff,0xf5000eff,0x007ff25f,0x3e23ff90,0x7e53fe5f,
    0xaaaaaabf,0x3fe2ffca,0x3fffe007,0xffffffff,0x4403fec4,0x01ffb4ff,
    0x3e05ff80,0x01ffe04f,0x7c40bff0,0xffffffff,0x406fffff,0xff700ffe,
    0xffffffff,0x07fec9ff,0x3f237fcc,0xdff1001f,0x3f60ffcc,0x7fd45fdb,
    0xeeeffc80,0xeeeeeeee,0x4ff83ffe,0x7cc01ffe,0xfff500ff,0xff980000,
    0x09ff700f,0xbff01bfe,0xbff01bfe,0xbff01bfe,0x3e013fe0,0x3ffa004f,
    0x40efc800,0xb0003ff8,0x3fe00dff,0xd81ffe06,0xffffffff,0x802fffff,
    0x3ff92ffa,0x11ffd800,0xd9ffcbff,0xffffffff,0x3e4fffff,0x3332006f,
    0xccceffcc,0x8037f42c,0x01ffb5ff,0x3e05ff80,0x01bfe04f,0x7c40bff0,
    0xffffffff,0x206fffff,0x3ee04ffa,0xffd8002f,0x643cc880,0xff3001ff,
    0x7fc4ff8b,0x2fec7fb9,0x2002ffc8,0x4ff83ffa,0x3a201332,0xfff701ff,
    0x7440000f,0xfff901ff,0xd017fe09,0xd017fedf,0xd017fedf,0x013fe0df,
    0x7c4013fe,0x1ff9805f,0x4003ff88,0x800effd8,0x3f203ffa,0x01ffb02f,
    0x0fffee62,0x3f25ff50,0x7ff4001f,0x7f4bff10,0xddddffd3,0x7ddddddd,
    0x10002ffc,0xdff00bff,0x7ed7fe00,0x2ffc000f,0x7fc09ff0,0x02ffc005,
    0x8005fe80,0xeeeeeffe,0x002ffeee,0x4000ffd8,0xfd001ffc,0x2a6fd87f,
    0x7c3ff37f,0x05ff903f,0x7c1ffd40,0xffd0004f,0x3ffffc05,0x5ffd0000,
    0x827ff7c0,0xb7f405ff,0xb7f405ff,0x37f405ff,0xff804ff8,0x05ff9004,
    0xf104ff88,0x7f44007f,0xffb000df,0xffffffff,0x3ff60dff,0x07ff8800,
    0xffc97fd4,0x13ffc001,0xd97f4bff,0x3fe0007f,0x3fe20004,0x807fd805,
    0x1ffb4ff8,0x205ff800,0x13fe04ff,0x000bff00,0xf50017fa,0xffffffff,
    0x0005ffff,0xc8001ffb,0x3aa601ff,0x0ffa86ff,0x99ffcbf9,0x5ff900ff,
    0x41ffd400,0xfd8004ff,0x7f4f403f,0xffb00007,0x4ff8c807,0xfe809ff0,
    0xfe809ff6,0xfe809ff6,0xf009ff06,0x1bfe009f,0x3333ff20,0xceffcccc,
    0x3ffa201c,0x3ffe2004,0xffffffff,0xffd81fff,0x03ff9000,0xffc97fd4,
    0x9bfe2001,0x4bf65ff8,0xf0001ffb,0x7c40009f,0x07fc805f,0xffb4ff98,
    0x05ff8001,0x4ff813fe,0x102ffc00,0xffdddddd,0x0bdddddf,0x3bbbbffa,
    0x2ffeeeee,0x00ffd800,0x7ffffe40,0xffffffff,0xd2ff881f,0xfcafec7f,
    0x00bff206,0xff83ffa8,0x2ffe4004,0x007fe840,0x005ffc80,0x27fc13fe,
    0x27fdbfa0,0x27fdbfa0,0x7fc1bfa0,0x804ff804,0xfc803ffa,0xffffffff,
    0x303fffff,0xb8007fff,0xaaaaacff,0x84ffcaaa,0xf5000ffd,0x97fd409f,
    0x2a001ffc,0x97fe25ff,0x09ff51fc,0x3fe2efc8,0x3fe20004,0x03ffb805,
    0xffd8ffec,0x02ffc000,0x27fc09ff,0x8817fe00,0xffffffff,0x86ffffff,
    0xfb805ff9,0xffd8002f,0x7ffe4000,0xffffffff,0x37f600cf,0x5fee0ff8,
    0x3ff203fe,0x0ffea002,0xfb8013fe,0x3ff4006f,0x1bfee000,0x3e09ff00,
    0xfb7f404f,0xfb7f404f,0x837f404f,0x4ff804ff,0x800ffc80,0xeeeeeeeb,
    0x2eeeffee,0x002fff98,0xf1007fe8,0x01ffb0ff,0xa80ffee0,0x03ff92ff,
    0xf10fff40,0xfd0654bf,0x3ffe603f,0x80013fe0,0xfd005ff8,0x9bfe601f,
    0x7c000ffd,0x813fe05f,0x7fc004ff,0x4ccccc05,0x9999eff9,0x01ffd809,
    0x8002ffb8,0x64000ffd,0xcccccdff,0xfb8009ab,0x7fc47faf,0x3f201ffb,
    0x3fea002f,0x5004ff83,0xe8001dff,0x3ea0007f,0x7fc000ef,0xe809ff04,
    0xe809ff6f,0xe809ff6f,0x009ff06f,0xffd009ff,0x7fc40000,0x0bffe203,
    0x013fe600,0x7ec2ffd8,0x3ffb000f,0xfc97fd40,0xbff7001f,0x4c05ff88,
    0x3aa23fff,0x027fc3ff,0x00bff100,0xb88bffea,0x3ff60eff,0x02ffc000,
    0x27fc09ff,0x0017fe00,0xf9802ff4,0x5ff7006f,0x01ffb000,0x001ffc80,
    0x9fdff100,0x80dfffd0,0x2a002ffc,0x04ff83ff,0x000fff98,0x30007fe8,
    0xf0001fff,0x013fe09f,0x013fedfd,0x013fedfd,0x13fe0dfd,0xf1013fe0,
    0x440000df,0x3ff603ff,0x3ff90002,0x237fcc00,0xfc800ffd,0x97fd407f,
    0x6c401ffc,0x7fc41fff,0xffffb805,0xf84ffffe,0x3e20004f,0x3fee005f,
    0x0ffffeff,0x66667fec,0xf3cccccc,0x027fc0bf,0xff8009ff,0x0bfd0005,
    0x400bff60,0xccccdffb,0xb3cccccc,0x999999ff,0x3f279999,0x3a00001f,
    0xffc82fff,0x17fe404f,0xf07ff500,0xfff8809f,0xaaaaa99a,0x67ff41aa,
    0xcccccccc,0x35fff13c,0x55555553,0xff04ff83,0xff6fe809,0xff6fe809,
    0xf06fe809,0x09ff009f,0x0004ff98,0x540ffe20,0xcccccfff,0x7c1ccccc,
    0xffe8006f,0x3333ff61,0xfffdcccc,0x97fd401f,0xccccdffc,0x2ffffeec,
    0xff35ff88,0xffffb10d,0x13fe05df,0x05ff8800,0x7fffecc0,0xfffd80ce,
    0xffffffff,0x7c0bff6f,0x013fe04f,0x2000bff0,0xff9805fe,0x3ffee006,
    0xffffffff,0xffffb5ff,0xffffffff,0x0007ff2d,0x80fffc80,0x6401fffa,
    0x3ea002ff,0x404ff83f,0xfffffffa,0x44ffffff,0xfffffffe,0xf56fffff,
    0xffffffff,0xff89ffff,0xe809ff04,0xe809ff6f,0xe809ff6f,0x009ff06f,
    0xffa809ff,0x3e200003,0xffffd03f,0xffffffff,0x027fd45f,0xfb27fdc0,
    0xffffffff,0x5005ffff,0x3fff25ff,0xffffffff,0xbff102ef,0x5101bfe6,
    0x04ff8013,0x017fe200,0x6c00a980,0xffffffff,0xbff6ffff,0xff027fc0,
    0x05ff8009,0xb00bfd00,0x7dc005ff,0xffffffff,0xffb5ffff,0xffffffff,
    0x07ff2dff,0x6ff98000,0x900fff10,0x7d4005ff,0x404ff83f,0xfffffffa,
    0x44ffffff,0xfffffffe,0xf56fffff,0xffffffff,0xff89ffff,0xe809ff04,
    0xe809ff6f,0xe809ff6f,0x009ff06f,0xffb809ff,0x3e200002,0xfffff03f,
    0xffffffff,0x00ffec5f,0xd87ffc40,0xffffffff,0x2a003dee,0xffff92ff,
    0x39ddffff,0xf35ff880,0x000000df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeeeb80,0xeeeeeeee,0x009db0ee,0xdddddd50,0xdddddddd,0x7000fb61,
    0xd70009dd,0x00f75c9d,0x3b25dd30,0xddd5000e,0x00077645,0x0013bbb2,
    0xeeb9bbb6,0x4bba6002,0xeeeeeeeb,0xd702ccde,0xdddddddd,0x4c0179bd,
    0xeeeeeeee,0xeeeeeeee,0x0005dd95,0x2eea97b6,0x01eeea80,0x3ae1eeb8,
    0x776c004e,0x77777440,0xeeeeeeee,0x555512ee,0x3a655555,0x0000004e,
    0x08000131,0x00100388,0x00100002,0x00080000,0x06620040,0xbee80040,
    0xfffffffc,0xffffffff,0x7000bff0,0xffffffff,0x21ffffff,0x7c4004ff,
    0x3e2002ff,0x0bff21ff,0xfb3ffa80,0xfff5001f,0x000ffd87,0x003fffec,
    0xfc9fffe6,0xff3000ff,0x3fffff27,0xffffffff,0x7ffffe43,0xffffffff,
    0xffff302f,0xffffffff,0x3eafffff,0xffa8005f,0x2013fe64,0xe803fffc,
    0x1fff447f,0x883ffc80,0xffffffff,0x3fffffff,0xfffffff5,0x4d7fe6ff,
    0xaaaaaaac,0x05aaaaaa,0x44004fe8,0xd2dfffec,0xffd9303f,0x76cc37bd,
    0x4400cfff,0x03dfffec,0xdffeca88,0xeffdb80b,0xfec8802d,0x7fe83dff,
    0xbfffd910,0x7e67fc07,0xeeeeeeef,0xf0eeeeee,0xff7000bf,0xdddddddd,
    0x3fe1dddd,0xfffa8004,0x87ffb000,0x2a002ffc,0x01ffb3ff,0xd83fffa8,
    0x7ec000ff,0x32002fff,0x3ff27fff,0x7ff3005f,0x3bbbbff2,0xfffffeee,
    0x3337ff23,0xffeccccc,0xeee983ff,0xefffeeee,0x3e5eeeee,0x7ec000ff,
    0x4037fc0f,0x4406ffff,0xfff985ff,0x82ffd400,0xeeeeeee8,0xfffeeeee,
    0xdddddd33,0x57fe6bdd,0x00700019,0x7d4009fd,0xffffffff,0xffffc84f,
    0xfc9fffff,0x0fffffff,0xffffff30,0x7f401dff,0x0effffff,0xffffffd1,
    0x3fea01bf,0x0effffff,0x3fea1ffa,0x0effffff,0x1ffccff8,0x017fe000,
    0x000bfee0,0xd80027fc,0xffb805ff,0x002ffc85,0x7fecffea,0x0fffea00,
    0x20007fec,0x005ffffd,0xfc9ffffe,0xf9803fff,0x803ff93f,0xf91fffd8,
    0x3ff2003f,0x3fe2000f,0x05ff9005,0x6c2ffc40,0x3fe600ff,0x3ea00ffc,
    0x0dff703f,0x0007ffc4,0x006ffc80,0x00cc2660,0x4fe80380,0x37fff300,
    0x81fffd71,0xb89adffc,0xcffffffd,0x886ffda9,0xda89beff,0xbffb05ff,
    0x5fff9315,0xd717dffd,0xfff10dff,0xfff93137,0xff11ffa1,0xffb3139f,
    0xfccff81f,0x3fe0001f,0x2ffb8005,0x009ff000,0x80bffe20,0xfc80fff8,
    0x3fea002f,0x2a01ffb3,0x3f602fff,0x7fec000f,0xff3007fc,0x7ffe4ffb,
    0x7fcc00ff,0x2003ff93,0x3ff93ffc,0x017ff400,0x200bff10,0x2e005ff9,
    0x1ffb82ff,0x3fe7fee0,0x807ff202,0xffd04ffe,0x3ee00005,0x200000ff,
    0x00700019,0x3fa009fd,0x4fff881f,0xffd02ffc,0x13fe209f,0x3f603ff5,
    0x827fe40f,0x02fffffa,0xffe85ff7,0x64bff701,0xb80fff45,0x667fc4ff,
    0x3e0001ff,0xffb8005f,0x09ff0002,0x3ffea001,0x205ffb00,0x2a002ffc,
    0x01ffb3ff,0xd805fff5,0x7ec000ff,0xc802ff9f,0x3f27fdcf,0x4c05ffcf,
    0x03ff93ff,0x7e57fea0,0x3fee001f,0x17fe2004,0x000ffe80,0x3fe60ffd,
    0x7fd7f603,0x101ffa04,0xffc83fff,0xff500004,0x03ee803f,0x0e000330,
    0x2e013fa0,0xfdfd03ff,0x807fe61f,0x7dc06ffb,0x403fee0f,0x37fc0ac9,
    0x013fff20,0x27fd4dfb,0x2743ffa0,0xfd809ff5,0x3f33fe1f,0x3fe0001f,
    0x41bdd305,0xf0002ffb,0x3bff6a9f,0x2ffec01c,0xf902ffd4,0x7fd4005f,
    0xfa81ffb3,0xffd802ff,0xfbfec000,0xdaff805f,0x3a3ff27f,0x3fe603ff,
    0x4003ff93,0x03ff97ff,0x002ffcc0,0x5c00bff1,0xff9803ff,0x4417fe04,
    0x40df92ff,0xffa804ff,0x00dff50e,0x0fffe200,0x4c013fe0,0x55470001,
    0xadffaaaa,0x3f61aaaa,0xff57f907,0x4ff98005,0xf517fc40,0x7cc003df,
    0x7ffc402f,0xc87fdc01,0x7fd400ff,0x3ff20ecb,0xf17fd400,0x003ff99f,
    0x7cc2ffc0,0x17fdc1ff,0xfcdff800,0x02ffffff,0xf88bffe2,0x3ff200ff,
    0x4ffea002,0x3fea0ffd,0x1ffb002f,0xf97fd800,0xfb7fa80f,0x7cc7fe4f,
    0x7ff300ff,0x44007ff2,0x03ff96ff,0x0027fe40,0x4400bff1,0xffc806ff,
    0x541ff601,0x03ff50ff,0x36005ff3,0x0fff8cff,0xffe88000,0x009ff004,
    0xd1c00066,0xffffffff,0x747fffff,0xf15fb86f,0xdba8807f,0xaaaadffe,
    0x44ffaaaa,0x0acefffe,0x2007fea0,0xaaaabfff,0xb1ffcaaa,0xfff100ff,
    0x807fd81b,0x33fe4ff8,0x20001ffc,0x7ffcc5ff,0x002ffb81,0x37dffff0,
    0x403fffb5,0x3ff26ffa,0x017fe402,0x3f67ff50,0x03fff50f,0x0007fec0,
    0x17fcdff6,0x9ff69f90,0xdff70ffc,0x7e4ffe60,0x9ff7001f,0x4c007ff2,
    0x22001fff,0x7e4005ff,0x037fc01f,0x3f207fee,0x2e0ffe26,0xff1000ff,
    0x0005ffdf,0x801bff60,0x033004ff,0xfffe8e00,0xffffffff,0x317fe3ff,
    0x13fe21df,0xfffffb71,0xffffffff,0x8bffffff,0xffffffe8,0x00ffc82d,
    0xffffffe8,0x2fffffff,0x3fe00dfd,0x200dfd06,0x333fe5ff,0xcccccdff,
    0x21cccccc,0x3ffe65ff,0x559ff700,0x35555555,0xb80efff8,0x7fec03ff,
    0xc804ff9b,0xeeeeeeff,0xffeeeeee,0xff51ffb3,0x7ec001ff,0x3fec000f,
    0x8ffc0bfd,0x83ff27fd,0xff983ffe,0x5003ff93,0x3ff23fff,0x9999999a,
    0x004fffca,0x2002ffc4,0x3ea04ff9,0x1ffc403f,0x17fa27f4,0xf3001bf6,
    0x00009fff,0x8003ffee,0x033004ff,0x99988e00,0x999dff99,0x897fe099,
    0x93fe21fe,0xdeffffe9,0xeeeeffab,0x4eeeeeee,0xfffffb50,0x007fd89f,
    0xdddddffd,0x25dddddd,0x9ff006ff,0x7c01bfe0,0x3f33fe5f,0xffffffff,
    0x3e2fffff,0x01dff35f,0x7fffffdc,0x44ffffff,0x3fe01fff,0x77ffc404,
    0xffc800ef,0xffffffff,0xb3ffffff,0xfffff7ff,0x07fec00b,0xfc9ff600,
    0x7ecff507,0xf983ff27,0x9ffcc0ff,0xaaaabffc,0x4fffecba,0x3ffffff2,
    0xffffffff,0x5ff88004,0x206fe800,0xfe800ffd,0x320ffc45,0x004ff87f,
    0x000fffc8,0x01fffa80,0x98027fc0,0xd0070001,0x4ffd009f,0x9ffcc3fd,
    0x40adfff9,0x00003ff9,0x1ffff5cc,0xff001ff9,0x1ff6000f,0x6c0ffe20,
    0x4ff8807f,0x3fff33fe,0xffffffff,0x37fe2fff,0x5c00eff9,0xffffffff,
    0x7fc4ffff,0x402ff407,0x001ffffa,0xdddddff9,0xfddddddd,0x3ffff67f,
    0x003ffe9f,0xd8001ffb,0x20bfe67f,0xc9ff64fd,0x37fdc0ff,0x7fe4ffe6,
    0xffffffff,0x3f20cfff,0xffffffff,0x0001ceff,0x7000bff1,0x9ff103ff,
    0xf71bf200,0x4c5ff30f,0x7c4001ff,0x40004fff,0x8003fff8,0x033004ff,
    0x3fa00e00,0xb8ffd804,0x92ffa85f,0x7fd407ff,0x50000805,0x0ffdcbff,
    0x007ffe20,0x801ff901,0xff901ff9,0x7c9ff300,0x001ffccf,0x3fffbfe0,
    0x9bffb805,0x99999999,0x3a037fc0,0x9ffb006f,0x017fe400,0x3f67ff50,
    0xfff31fff,0x01ffb003,0x7f47fd80,0x3f61ff84,0x3a03ff27,0x4ffe63ff,
    0xfffffffc,0xc81defff,0xcaaaacff,0x40002fff,0x88005ff8,0x1ffb84ff,
    0x6c1ff500,0x5c9ff05f,0xffd8007f,0x20001fff,0xf0004ffe,0x0066009f,
    0x27f401c0,0x77e7fe40,0xfd0ffd80,0x06ffc80f,0xdfb1ffdc,0x3e67fe80,
    0x7ffe404f,0xb877ec04,0x7fec03ff,0x807ff700,0x33fe1ffd,0x20001ffc,
    0x2fffffff,0x0017fdc0,0x7f405ff8,0x05ff7006,0x0017fe40,0x3ff67ff5,
    0x077fdc0e,0x0003ff60,0x47fc8ffb,0x93fec6fa,0xfff301ff,0x7e4ffe61,
    0x019999af,0x2203ff90,0x20004ffe,0xb0005ff8,0x00dfd0ff,0x7ff17fc4,
    0x5fd97f60,0x567fdc00,0xd8000fff,0x3e0006ff,0x35ff984f,0x200e0003,
    0xff9804fe,0x5ffa81ff,0x7d403ffa,0xff103fff,0x817fe41f,0x7fec5ff8,
    0xfffff101,0xd1bfe603,0x3fe601ff,0x807ff406,0x67fc6ff9,0x20001ffc,
    0xfff9efff,0x00bfee00,0x3a027fc0,0x5ff7006f,0x017fe400,0x3f67ff50,
    0x0bffd01f,0x4000ffd8,0x17fcc7fd,0x27fd87fb,0xff700ffc,0x7e4ffe6d,
    0x3f20001f,0x3ffa201f,0xbff10003,0x8bfea000,0x74003ff8,0x201ff34f,
    0x00ffe7fb,0xfb0eff98,0xffb800bf,0x3fe0000f,0x335ff984,0x3a00e000,
    0xdff9004f,0x3ffee217,0x9877ff20,0xcffedffb,0x89ffb511,0x510beff9,
    0xff985ffb,0x3ffea0bf,0x710bfffc,0xffa85ffd,0x3bfea22f,0x17ffd400,
    0xf81dff71,0x001ffccf,0x7d43bfe0,0x0bfee05f,0x2027fc00,0xff7006fe,
    0x17fe4005,0x367ff500,0xfff100ff,0x007fec05,0x3fa1ff60,0xfd83ff15,
    0xe803ff27,0x93ff9bff,0x640003ff,0x7fcc01ff,0xff88002f,0x97fe0005,
    0x64000ffb,0x4c0df96f,0x01ff99ff,0x443fff10,0xf3002fff,0xf80003ff,
    0x35ff984f,0x200e0003,0xff900098,0xffffdfff,0xefffe883,0x3f63fffe,
    0x5fffffff,0xffffff70,0x3ea07fff,0xffffefff,0xfdffff31,0x3ee07fff,
    0xefffefff,0xffff7000,0xf01ffffd,0x003ff99f,0x3f62ffc0,0x05ff702f,
    0xd013fe00,0x3fee00df,0x0bff2002,0xfb3ffa80,0x7ffdc01f,0x001ffb00,
    0x7fc87fd8,0x4ffb0df5,0x3e600ffc,0xf93ffbff,0x7e40003f,0xfffc801f,
    0x2ffc4000,0x21ff9000,0xfa8005fe,0xff809fd7,0x36007fba,0xfffa84ff,
    0x17ffc400,0x027fc000,0x4000669d,0x2aaaaaa3,0xaaaaaaaa,0x3ae7bea1,
    0x100cffff,0x1bfffff9,0xdffffd90,0xfffea805,0x6c402eff,0x40dfffff,
    0xdffffed8,0x7fff4c01,0x4c000cef,0x0ceffffd,0x001ffc80,0xff117fe0,
    0x05ff701f,0xd013fe00,0x3fee00df,0x0bff2002,0xfb3ffa80,0x6ffd801f,
    0x8001ffb0,0xaff987fd,0x27fd83fd,0x7dc00ffc,0xff93ffff,0x7fe40003,
    0x0bffd001,0x005ff880,0x3e6bfe60,0xff88001f,0x7e402ffa,0xf7004fcc,
    0x37fe40df,0x0013ffa0,0xf8827fc0,0x8e000332,0xfffffffe,0x23ffffff,
    0x005440ea,0x20015310,0x44000998,0x510001a9,0x026a2001,0x0002a600,
    0x200054c0,0x20001ffc,0x5ffb85ff,0x0002ffb8,0x6fe809ff,0x005ff700,
    0x50017fe4,0x03ff67ff,0xb09fff10,0xfd8001ff,0x1ffbfd07,0x7fe4ffb0,
    0xffffe800,0x0003ff93,0x9800ffe4,0x22002fff,0x740005ff,0x0006fcdf,
    0x003ff7fa,0x005fddf5,0xe801fff3,0xbff904ff,0x27fc0000,0x00330fc8,
    0xffffe8e0,0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0xccdffc80,0xcccccccc,0x20bff2cc,0x7fdc2ffe,0x09ff0002,0xf7006fe8,
    0x7fe4005f,0x4ffea002,0xfa800ffd,0x67fec2ff,0xcccccccc,0x2e0ffb3c,
    0xffb06fff,0x4c007fe4,0xff93ffff,0x7fe40003,0x3bff2001,0x0bff1000,
    0xfeffa800,0x3fee0003,0xfff8805f,0x7ff4400f,0x1fff9802,0x6667ffd4,
    0xcccccccc,0x09ff03cc,0x5564c3f3,0xaaaaaaaa,0x00005aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffff9,0xffffffff,0x7cc17fe9,
    0x0bfee0ff,0x2027fc00,0xff7006fe,0x17fe4005,0x367ff500,0xff9000ff,
    0x7fffec1f,0xffffffff,0x3e60ffb6,0x4ffb03ff,0xf7000ffc,0x07ff27ff,
    0x01ffc800,0x013ffe20,0x0002ffc4,0x003fffe2,0x03fff980,0xb00dffd0,
    0x7dc00bff,0x3ffea0ef,0xffffffff,0xf06fffff,0x0000209f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f200000,0xffffffff,0xf4ffffff,
    0x2ffdc0bf,0x20005ff7,0x37f404ff,0x002ffb80,0xa800bff2,0x01ffb3ff,
    0xfb37ff40,0xffffffff,0x1ff6dfff,0xfb00ffe8,0x0007fe4f,0x3ff27ffd,
    0x3ff20001,0x7ffd4001,0x05ff8801,0x05ffc800,0x01fff800,0xb809ff90,
    0x74000eff,0x3ffea5ff,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0cc00040,0x20000000,0x08005ee8,0xa8804c00,
    0xaaaaaaaa,0x2a22aaaa,0xaaaaaaaa,0x0002aaaa,0xdd705500,0x75cbbae3,
    0x017ff41e,0x00100002,0x00000080,0xdd002000,0x804ed807,0x201f7400,
    0x05dd54ed,0x81f74000,0x7640dee9,0xeeeeeeee,0xddb10eee,0xc8f76c03,
    0x0bbaa05e,0x00003ed8,0x77553ba6,0x004ed801,0x0ffa8000,0x4c000000,
    0xcb965c3c,0x2a006642,0x880cffec,0x800dfffc,0xf3003ff9,0x7dffb70f,
    0x00dff100,0x0ffffae6,0x3e60df30,0xffffffff,0x3e67ffff,0xffffffff,
    0xb887ffff,0x7fcc0bff,0x7e42fcc5,0x327ff92f,0x13fea2ff,0x3bfffb22,
    0xffdb802d,0xca8803df,0xdd02effe,0x239dfb13,0xdffb52ed,0x7ff64417,
    0x404ff81d,0x2a5db5ff,0xf81dfffd,0xaaffc04f,0x400b63ff,0x4c27fc3c,
    0xffe81fff,0xffffffff,0x1bfee0ff,0xff727fdc,0x417ff603,0x20002ff9,
    0x2bff30eb,0x7d404ff8,0x0005b52f,0x001ff500,0x0fcc01d7,0x7cc3ff10,
    0x5c1ff30f,0x3bfe606f,0x7fc46ffe,0x400fffff,0xf9806ffd,0x6effd47f,
    0x7fc403ff,0xceff8806,0x3e202ffd,0xfffff305,0xffffffff,0x7ffffccf,
    0xffffffff,0x7e67fc47,0x917fe60f,0x2ffc85df,0x3ff27ff9,0x3ee1bfa2,
    0xffffffff,0xffffd304,0x2201bfff,0xfffffffe,0xffdaff86,0xf95ff1ff,
    0x26bfffff,0x1fffffff,0x3fe027fc,0xfff75ff5,0xff87ffff,0xfaaffc04,
    0x735ff93f,0xff917bfd,0x3e627fc5,0x555500ff,0xffd55555,0x987ffb09,
    0x1ffcc6ff,0xf707fff8,0xff91000f,0xd97fe61f,0x53fec07f,0x00017dff,
    0x5003fea0,0xff301dff,0x897f601f,0x22fec3fe,0x47fd04fe,0x3bf22ff8,
    0x440bfb31,0xb102ffff,0x1fe8ffff,0x26601fee,0x544fc800,0x5f85d45f,
    0x4cccc393,0xb9999999,0x4ccccc7f,0x99999999,0x7f107dc1,0x2e62ffcc,
    0x4bff24fe,0x5ff93ffc,0xff703fe6,0xffb7137d,0xefff883f,0x06ffc98b,
    0xb5139ffd,0xfeff8bff,0x3bfe6edf,0xfffc9bef,0xfdaadffc,0x2027fc6f,
    0xffdff5ff,0x1fff955b,0x3fe027fc,0x3a25f715,0xffffffff,0x3fe0efff,
    0x003bfe64,0x105ffa80,0x3fa21fff,0x985fe81f,0xfe81ffff,0x3ff6a005,
    0x504cc5ff,0x3fe205ff,0x3ffffa64,0x7d40001c,0xeffc800f,0x40bffe60,
    0x1bf20ffb,0xffa8ffe2,0x2fe82981,0x1ff30bfe,0x1bf3bf20,0x03fce7d4,
    0x00002fdc,0xd1fe204c,0xffddfbff,0x1fee0007,0x217a0000,0xf904e87c,
    0xfb8ffdcd,0x223ff72f,0x00ffe809,0xffc89ff7,0xd87ff502,0x3ffd02ff,
    0xf8237ffc,0xfff886ff,0x20ffd80f,0xaffc04ff,0xfc80dfff,0xf013fe4f,
    0xf117ccbf,0xffd7bfff,0x34ff81df,0x40001dff,0x2a00eff9,0x07ff95ff,
    0x37ee1ff2,0x17fc43ff,0x3fffae20,0x3fe001cf,0x303ff505,0x05dffffb,
    0x003fea00,0x7cc77fe4,0x9ff102ff,0xfb817fd4,0x401bf60f,0x03fe27fa,
    0x5ffc07fe,0x10881ff9,0x77f540ff,0x3fffffa1,0xffffffff,0x7f6e5443,
    0x7fee547f,0x0001bdff,0x00000ff7,0xf88db0bd,0x7ffd9912,0xff987fd4,
    0x9801ff50,0x3fe203fe,0xd01bfe65,0x17fe21ff,0x3fe3ffa8,0x07ffe01f,
    0xfb81fffc,0xf013fe1f,0x407ffebf,0x13fe5ff8,0x07d4bff0,0xe981bff1,
    0xf9cff86f,0x260000ef,0xfc800fff,0x2605ffdf,0x6dfec1ff,0x807fd45f,
    0x2effffc9,0x01ff9000,0xfb880dfd,0x000bffff,0xc8003fea,0x02fffeff,
    0x7fc43ffa,0xf337f405,0x3ffa809f,0x17f41fe6,0x5fe87fdc,0xfb03fc40,
    0x7fff419f,0xffffffff,0x3ffea3ff,0x3607fdef,0xb80003ff,0xb800007f,
    0xf90fe21f,0x0f7ffea1,0x33fc4ff3,0x000088df,0x3ffb97fe,0xf98ffdc0,
    0x7fc0c01f,0xb03ffc07,0x3fea03ff,0xff013fe2,0xff01bfeb,0x3e027fcb,
    0xfa85f35f,0x81ff701f,0x05fffeff,0x07ffa200,0x0efffe80,0x3fe27fc0,
    0x2fec7fb9,0x67ffff54,0x7fcc0001,0x001ffc43,0x3bffffb5,0x7fffffcc,
    0x7fffffff,0x0bffff20,0x3f62ffb8,0x1ffd401f,0x3f205ff9,0x207fc43f,
    0x4fe81ff8,0xf8803fea,0x87fdc407,0xcccccccb,0x12cccccc,0x3fc45bff,
    0x03febfd8,0x913fdc00,0x99999999,0xf8899999,0x260ffddf,0xf004cc1f,
    0x32fc6f8b,0x53100bff,0x7e4bffd9,0xaaaaaabf,0xff72ffca,0x0dff0001,
    0x3f206ff8,0x45ff300f,0xaffc04ff,0x37f405ff,0xeff809ff,0x06fc83fe,
    0xfff0ffe2,0x0005ffff,0x3000bffa,0xfb005fff,0xff9bfd4d,0xff50ffe1,
    0x000017df,0x3fee37f4,0xffc88000,0xffff30ff,0xffffffff,0x7ffcc0ff,
    0x87ff600e,0x7cc00ffe,0x113fee5f,0x3fe03dfb,0x2a07fd42,0x027fc1ff,
    0x3fa00ff1,0xff300003,0xdf70ff70,0x80007fe6,0x3ffe67fb,0xffffffff,
    0xeeb887ff,0x0000080b,0x42ffcc00,0xfffffeb8,0x3ff65fff,0xffffffff,
    0x0ff94fff,0xf017fe00,0x03fe40bf,0x27fc5ff3,0x2ffd7fe0,0x4ff9bfa0,
    0xb0177fc0,0x44fe809f,0xfff9efff,0x1ffec000,0x2fffdc00,0xfc87fd40,
    0x7fccffe5,0x017ffd40,0x07fdc000,0x44000bfd,0x9910fffc,0x99ffb999,
    0x3e609999,0x100effff,0x27fccdff,0x7c43ff60,0x06ff446f,0xd515df90,
    0x90dfb09f,0x33fc40ff,0x17fc41ff,0xf00bdd10,0x3ffea25f,0x0970f440,
    0x264c9800,0xeeeeeeee,0x006eeeee,0x20002000,0x3e60eff9,0x7fffcc5f,
    0x5fe9bdff,0x3bbbbffa,0x3eeeeeee,0x3e000ffb,0x027fc04f,0x7fcc0ff9,
    0xff013fe2,0xfd013feb,0x3e027fcd,0x07fdc05f,0x7fc1ff98,0x00bff70e,
    0x4002ffe4,0x02fffff9,0x3fe97fc4,0x437e57f6,0x0cffffe9,0x7ff10000,
    0x2000bfe6,0x05ffffd9,0x3000ffa8,0xdff95fff,0xc8bfea01,0x5ff500ff,
    0x3fa0ffe4,0x22cccccf,0xefffffe8,0x441ffcc0,0x8ff103ff,0x6febbefd,
    0x4037fc40,0xedfffffb,0x0000002f,0x00000000,0xdfffd980,0xffb8ea02,
    0xcfff9803,0x365ff80a,0xff90007f,0x09ff0001,0x3f204ff8,0xf8bfe607,
    0x57fe205f,0x37f404ff,0x7fc409ff,0x81ffcc05,0x44ff87fd,0xfb802ffd,
    0xffd0006f,0xd801ffd3,0x2e0ff8df,0x4c07fd7f,0x02dffffd,0xf96fd800,
    0xffeb800f,0xf5000cff,0xfff3001f,0x8077fe45,0x82ff46fc,0x0ffe25fe,
    0xfffffff5,0x9dfd709f,0x6c03ff20,0x88ff106f,0x01effffd,0x98037fc4,
    0x05952dec,0x00000000,0xa8000000,0xffffffff,0x43fca8ac,0x7e400ffd,
    0x97fe202f,0xb8001ffb,0x1e6c01ff,0x4ff809ff,0xf981ff20,0xa817fe2f,
    0x809ff5ff,0x817fe6fe,0xff805ffa,0xbffd51df,0xff889ff0,0x3bfea00f,
    0x3ffc8000,0xfb80bff3,0x7fc47faf,0xb8801ffb,0x00beffff,0xff1ff500,
    0xfff93009,0xf50007df,0xfff9801f,0x80effc82,0x3fe63fe8,0xfb077dc1,
    0x3333310b,0x40001333,0x3ba604ed,0x54c03301,0x00266001,0x00000000,
    0x00000000,0x777fec00,0xffffffff,0x03fe83ff,0x3ea03ff4,0x013fea6f,
    0x3fea5df9,0xf93fe604,0x027fc04f,0x7fcc0ff9,0x2207ffa2,0x09ff5ffe,
    0x3ffa6fe8,0x05ffe881,0x7fffffe4,0x7c3fffff,0x05ffb84f,0x0001fff3,
    0xffc8bff3,0x3fbfe203,0x06fffe84,0xffffea80,0xdff8001d,0x3f6a01ff,
    0x0001dfff,0xd1003fea,0x02fe405f,0x37dc1ff3,0x7fcc3ff1,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c000000,0x3ff2a20d,0x880cffff,
    0x0ffec019,0x746fff88,0xfff301ff,0xd807ff41,0x013fe2ff,0x3fe409ff,
    0x7dc5ff30,0xfea88aef,0x809ff5ff,0x3bfee6fe,0xfffea88a,0x337ff205,
    0xfebeffff,0x7413fe2f,0x7ffc42ff,0xaaaaa99a,0x3ffa21aa,0x201ffe80,
    0xfc82fffe,0x260004ff,0xf30ffffd,0x7ffe40bf,0x3fffea06,0xfa80000c,
    0x8028800f,0x744fc803,0xfe89f93f,0x00000002,0x00000000,0x00000000,
    0x00000000,0x28000000,0x01bcca80,0x1dffb800,0x1bfffaa2,0x5447fff3,
    0x7fcc3ffe,0x17ff262e,0x4ff809ff,0xf981ff20,0x3fffa22f,0x5fcbffff,
    0x6fe809ff,0x3fffffa2,0x205fcbff,0x1054c5f9,0x827fc1dd,0x3ea0fff9,
    0xffffffff,0x3f64ffff,0x0dff303f,0x5407ffe4,0x80001fff,0xff30ffb8,
    0x1fffcc0b,0x0007df50,0x0002a880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a000000,0xfffeffff,0x7dc0ffcb,
    0xffffefff,0xdffff704,0xff81dfff,0x9027fc04,0x17fcc0ff,0x977fffe4,
    0x809ff5fc,0xfffc86fe,0x80bf92ef,0xff022001,0x52ffe409,0xffffffff,
    0x2a9fffff,0x7fe405ff,0x20dff304,0x00007ff8,0x017fe628,0x0cc01ffd,
    0x80000000,0x19999999,0x4ff86662,0x77547fee,0xeeeeeeee,0x1eeeeeee,
    0x33333331,0x33333333,0x00000033,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff220,0x07ff30df,0xdfffffb1,0xfffd9805,0x09ff03ff,
    0x3f204ff8,0x80bfe607,0x27fc0098,0x9981bfa0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8000,0xff30ffff,0xff727fcb,
    0x3ffffea3,0xffffffff,0xff51ffff,0xffffffff,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x40001a98,0x980009a8,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffff,0xff97fe61,0x8887fee4,0x88888888,
    0x20888888,0xddddddd9,0xdddddddd,0x000000dd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77777700,
    0x93ba6177,0x00222088,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_34_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,1,1,1,1,0,0,2,2,
-2,2,1,2,2,1,2,1,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,-1,0,1,2,1,1,1,1,1,1,1,1,1,1,1,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,0,
1,0,1,0,1,0,2,2,0,0,-1,-1,-1,-1,-1,-1,2,1,2,2,2,2,0,-2,2,2,1,2,0,2,
-1,2,2,2,1,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,1,1,2,1,2,1,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,0,0,
0,0,0,0,0,0,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,-2,1,
1,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,0,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_34_latin_ext_y[560]={ 27,5,5,4,3,4,4,5,4,4,4,9,23,17,
23,4,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,31,5,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,11,11,11,11,11,11,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,11,5,4,8,5,
4,4,5,4,4,12,11,17,4,1,4,8,4,4,5,11,5,14,26,4,4,12,4,4,4,11,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,4,5,5,
5,5,5,4,10,10,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,10,10,5,5,5,5,5,5,5,
1,6,0,5,5,10,-1,5,-1,5,-1,5,-1,5,-1,5,5,5,1,6,-1,5,0,5,5,10,-1,5,-1,5,
0,5,0,5,4,3,-1,-1,5,5,0,5,1,6,0,5,5,5,0,11,5,5,-1,5,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,10,-1,5,4,4,10,1,6,-1,5,-1,5,4,10,-1,5,5,10,-1,5,
-1,5,-1,5,4,10,-1,5,5,5,-1,5,5,5,0,5,1,6,-1,5,-1,4,-1,5,5,11,-1,5,-1,5,
0,-1,5,0,5,-1,5,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,5,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,5,-1,5,-1,
5,-1,5,-1,1,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_34_latin_ext_w[560]={ 0,4,9,17,15,25,19,4,9,9,11,16,4,10,
4,9,15,9,16,15,16,15,15,15,15,15,4,4,16,16,16,15,29,22,17,20,19,17,16,21,18,4,13,19,
14,22,18,22,17,22,20,18,18,18,21,29,21,21,18,6,9,7,14,19,6,15,15,14,14,15,10,15,13,3,
7,14,4,22,13,15,14,14,10,15,9,14,15,22,15,15,15,10,4,10,16,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,4,15,17,15,18,
4,15,10,23,11,14,16,10,23,19,10,15,10,10,6,14,17,4,8,7,11,13,24,24,25,15,22,22,22,22,
22,22,29,20,17,17,17,17,7,6,10,9,22,18,22,22,22,22,22,14,22,18,18,18,18,21,17,16,15,15,
15,15,15,15,25,14,15,15,15,15,7,7,11,9,15,13,15,15,15,15,15,15,16,14,14,14,14,15,14,15,
22,15,22,15,25,18,20,14,20,14,20,14,20,14,19,18,22,16,17,15,17,15,17,15,17,15,17,15,21,15,
21,15,21,15,21,15,18,13,22,15,11,11,10,10,10,10,7,8,4,4,19,10,17,11,19,14,15,14,7,14,
8,14,7,14,10,16,7,18,13,18,13,18,13,18,19,13,22,15,22,15,22,15,29,27,20,10,20,10,20,11,
18,15,18,15,18,15,18,15,18,9,18,12,18,8,18,14,18,14,18,14,18,14,18,14,18,18,29,22,21,15,
21,18,15,18,15,18,15,7,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,19,17,17,17,17,17,17,17,17,17,17,17,17,17,23,19,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,15,10,11,22,
15,18,14,18,14,18,14,18,14,18,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,15,29,25,22,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_34_latin_ext_h[560]={ 0,22,8,24,28,24,24,8,30,30,11,15,9,4,
4,24,23,22,22,23,22,23,23,22,23,23,16,21,16,10,16,23,30,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,25,22,24,22,23,22,22,22,22,22,29,24,29,13,3,5,18,23,18,23,18,23,24,22,22,
29,22,22,17,17,18,24,24,17,18,23,17,16,16,16,23,16,30,30,30,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,29,24,16,22,
30,30,4,24,12,14,10,4,24,3,10,19,13,13,5,23,29,4,8,13,13,14,24,24,24,23,28,28,28,27,
27,27,22,30,28,28,28,27,28,28,28,27,22,27,29,29,29,28,28,14,24,29,29,29,28,28,22,24,23,23,
23,23,23,24,18,23,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,13,19,23,23,23,23,29,29,29,
26,22,27,23,29,23,29,23,29,23,29,23,29,23,28,23,22,23,26,22,28,23,27,23,29,24,28,23,29,29,
28,29,28,29,30,31,28,28,22,22,27,22,26,21,27,22,29,29,27,16,23,29,29,29,29,29,16,28,28,29,
29,22,22,22,22,22,22,28,22,29,24,28,22,23,24,24,27,22,29,23,29,23,24,18,28,22,29,24,28,22,
29,23,29,23,30,23,29,23,31,30,28,23,22,23,28,23,27,22,29,23,29,24,29,23,29,23,28,22,28,29,
27,28,22,27,22,28,22,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,24,20,20,30,20,20,20,
20,20,20,20,20,20,20,20,20,20,24,18,20,20,20,20,20,20,20,20,20,20,20,20,20,23,17,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,23,28,22,29,
23,29,23,29,27,29,29,29,29,29,29,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,31,30,28,23,29,24,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__arial_34_latin_ext_s[560]={ 510,506,495,195,274,301,65,490,70,111,419,
273,476,290,505,310,177,471,413,82,396,161,394,380,341,235,235,345,218,448,256,
267,161,430,453,327,481,1,34,348,87,501,98,106,126,141,164,370,183,209,201,
282,222,283,241,263,293,65,315,378,1,502,357,317,498,1,219,33,326,17,177,
11,51,508,494,19,506,59,97,491,100,85,48,427,288,82,240,195,179,112,163,
59,191,230,481,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,510,507,305,
27,131,118,96,214,306,115,407,305,431,290,258,337,465,368,334,380,505,162,404,
301,481,372,345,320,472,139,229,251,280,257,216,19,42,134,137,140,142,78,60,
116,499,1,27,106,477,454,471,20,43,96,119,290,287,66,85,120,160,38,182,
255,257,241,225,209,193,213,401,146,130,114,98,82,410,86,418,370,474,396,378,
298,314,433,417,391,384,386,1,51,52,158,193,227,186,445,473,401,262,479,307,
449,328,67,349,273,386,426,303,33,373,457,168,1,239,355,1,66,407,393,481,
330,425,493,323,370,364,44,241,43,345,202,223,314,496,358,157,334,424,500,163,
203,507,507,335,171,145,481,102,466,147,187,179,20,35,63,78,167,246,273,306,
8,330,174,497,462,344,359,45,181,401,47,79,410,122,35,431,443,223,17,182,
461,350,94,447,17,60,1,121,490,1,441,24,101,331,346,28,498,371,464,435,
430,288,371,243,272,208,320,139,16,413,200,309,104,84,290,461,65,257,443,290,
154,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,409,350,350,196,
350,350,350,350,350,350,350,350,350,350,350,350,350,232,471,350,350,350,350,350,
350,350,350,350,350,350,350,350,302,111,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,390,203,
212,106,282,357,263,188,321,386,385,422,437,456,1,363,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,1,80,244,128,340,164,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,350,
350,350,350,350,350,350,350,350,350, };
static unsigned short stb__arial_34_latin_ext_t[560]={ 1,223,268,150,63,122,150,268,1,1,268,
269,268,284,274,150,175,223,223,199,223,175,175,223,199,199,269,246,269,268,269,
199,1,223,223,122,223,246,246,122,246,223,199,246,246,246,246,122,246,122,246,
122,246,199,246,246,246,246,246,1,150,1,268,284,277,269,199,269,199,269,199,
150,246,93,1,246,175,269,269,246,150,150,269,246,175,269,269,269,269,199,269,
1,1,1,277,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,1,150,1,
150,269,223,1,1,284,150,268,269,268,284,122,284,268,246,268,268,268,199,1,
284,268,268,268,269,122,150,150,199,93,93,93,122,122,122,223,1,93,93,93,
122,63,93,93,122,199,93,1,33,33,93,93,269,150,33,33,33,93,93,223,
150,175,175,175,175,175,150,246,175,175,175,175,175,199,223,199,223,175,199,175,
175,175,150,150,268,246,150,175,175,199,33,33,33,122,199,93,150,33,150,33,
150,33,199,33,175,33,175,93,199,199,175,122,223,93,150,122,175,33,122,63,
175,33,33,93,33,93,63,1,1,93,93,223,223,93,223,122,246,93,199,63,
63,63,246,150,63,63,33,63,33,269,93,93,63,63,223,223,223,223,223,223,
93,223,33,122,63,223,175,150,150,93,223,63,175,63,175,122,246,63,223,63,
122,63,223,33,199,63,199,1,175,63,175,1,1,63,175,223,150,63,150,93,
199,33,150,33,150,33,150,33,175,63,223,63,33,122,63,199,122,223,63,223,
199,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,122,246,246,1,
246,246,246,246,246,246,246,246,246,246,246,246,246,122,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,199,269,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,63,199,
63,223,1,199,1,199,1,93,1,1,1,1,33,1,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,1,1,63,199,1,150,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246, };
static unsigned short stb__arial_34_latin_ext_a[560]={ 135,135,173,271,271,433,325,93,
162,162,189,284,135,162,135,135,271,271,271,271,271,271,271,271,
271,271,135,135,284,284,284,271,494,325,325,352,352,325,297,379,
352,135,243,325,271,406,352,379,325,379,352,325,297,352,325,460,
325,325,297,135,135,135,228,271,162,271,271,243,271,271,135,271,
271,108,108,243,108,406,271,271,271,271,162,243,135,271,243,352,
243,243,243,163,126,163,284,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,135,162,271,271,271,271,126,271,
162,359,180,271,284,162,359,269,195,267,162,162,162,281,262,135,
162,162,178,271,406,406,406,297,325,325,325,325,325,325,487,352,
325,325,325,325,135,135,135,135,352,352,379,379,379,379,379,284,
379,352,352,352,352,325,325,297,271,271,271,271,271,271,433,243,
271,271,271,271,135,135,135,135,271,271,271,271,271,271,271,267,
297,271,271,271,271,243,271,243,325,271,325,271,325,271,352,243,
352,243,352,243,352,243,352,299,352,271,325,271,325,271,325,271,
325,271,325,271,379,271,379,271,379,271,379,271,352,271,352,271,
135,135,135,135,135,135,135,108,135,135,358,216,243,108,325,243,
243,271,108,271,108,271,142,271,163,271,108,352,271,352,271,352,
271,294,352,271,379,271,379,271,379,271,487,460,352,162,352,162,
352,162,325,243,325,243,325,243,325,243,297,135,297,183,297,135,
352,271,352,271,352,271,352,271,352,271,352,271,460,352,325,243,
325,297,243,297,243,297,243,108,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,366,365,365,271,365,365,365,365,365,
365,365,365,365,365,365,365,365,418,319,365,365,365,365,365,365,
365,365,365,365,365,365,365,416,326,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,325,271,135,108,379,271,352,271,352,271,352,
271,352,271,352,271,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,325,271,487,433,379,297,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_34_latin_ext(stb_fontchar font[STB_FONT_arial_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_34_latin_ext_s[i] + stb__arial_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_34_latin_ext_t[i] + stb__arial_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_34_latin_ext_x[i];
            font[i].y0 = stb__arial_34_latin_ext_y[i];
            font[i].x1 = stb__arial_34_latin_ext_x[i] + stb__arial_34_latin_ext_w[i];
            font[i].y1 = stb__arial_34_latin_ext_y[i] + stb__arial_34_latin_ext_h[i];
            font[i].advance_int = (stb__arial_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_34_latin_ext_s[i] + stb__arial_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_34_latin_ext_t[i] + stb__arial_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_34_latin_ext_x[i] + stb__arial_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_34_latin_ext_y[i] + stb__arial_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_34_latin_ext_LINE_SPACING
#endif

