// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT        326
#define STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_36_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_36_latin_ext_LINE_SPACING          23

static unsigned int stb__arial_36_latin_ext_pixels[]={
    0x00000000,0x00015551,0x00800288,0x00133300,0x2006aa62,0x000000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0006aa20,0x00005540,
    0x02aa8000,0x00000000,0x054c0000,0xaa980000,0x4c400000,0x00001aaa,
    0x00003330,0x22000000,0x30000999,0xffffffff,0xffffffff,0x3ee000ff,
    0x7d40006f,0x00faa006,0x003bfee0,0xdfffff91,0xfc97fc05,0x3ee0002f,
    0x013fee4f,0x77d477d4,0xfff88000,0xdff30003,0x003ff403,0x009ffd10,
    0x2005d800,0x26005ffb,0x3a00dfff,0x64bfe07f,0x3f6002ff,0x7fcc02ff,
    0x01bfee7f,0x3a09ff30,0xffec987f,0xffffffff,0x43fe202f,0x06fffffa,
    0x7ffffc40,0x3fffffa7,0x7ffecc03,0x800cffff,0x3fee06ff,0x007fe84f,
    0xff50ffd0,0x1bff2007,0xf980ffe8,0xffffffff,0xffffffff,0x1fff0007,
    0x00fe8000,0x0007ff50,0xe8803fff,0xffffffff,0x3f25ff03,0x7ec0002f,
    0x006ff8af,0x0077f7dc,0x005ffb80,0xd0037fa0,0xf88000ff,0x200000ff,
    0x7fcc006f,0xffff3003,0xf03ff40b,0x00bff25f,0x2017ffec,0x2e7ffff8,
    0x26004fff,0x8ffd04ff,0xfffffffc,0x2fffffff,0xffa8ff60,0x74006fff,
    0x3a5fffff,0x103fffff,0xfffffffb,0xf807ffff,0xfdff306f,0x007fe85f,
    0xff50ffd0,0x1fff1007,0x4407ff40,0xeccccccc,0xcccccdff,0xffb8004c,
    0x6fc40002,0x07ff5001,0x802ffb80,0xf711dffd,0x25ff03ff,0x40002ffc,
    0x0ffdffe8,0x00deb800,0x003bfe00,0xe801f5c0,0xfa80007f,0xf300004f,
    0x1db10009,0x3ffa6200,0x7c0ffd00,0x005ff92f,0x5005fffb,0xffb839ff,
    0xff3001ff,0xfc9ffa09,0xccffffff,0x01ccffec,0x99988df5,0x3e6006ff,
    0x3a1a9aef,0x980999ff,0x99adfffe,0x03ffffdb,0x3fe21bfe,0x3a1ffd8e,
    0xffd0007f,0x9007ff50,0xffe803ff,0x2ffc8000,0x27f40000,0x3ffcc000,
    0x003ffa80,0xff8027f4,0xf09ff907,0x00bff25f,0x3fffe600,0x317a6001,
    0xffb800bd,0x22f4c001,0x1ffa05e9,0x07fdc000,0x00fe4000,0x2f4c5e98,
    0x102ffa80,0xc97fc033,0x7fec02ff,0x0ff9002f,0x03bfffee,0x4413fe60,
    0xfffff319,0x0ffb8fff,0xf00bfe20,0x7fe400df,0x201ffa03,0x2200effe,
    0xff01fffc,0x225ffb0d,0x0ffd0eff,0x22066200,0x7fc40099,0x00ffe803,
    0x002ffc80,0x02fb2200,0x0fff5000,0x000ffea0,0x3fe20033,0xf0fff104,
    0x00bff25f,0x00d54c00,0xdf31be60,0x001aa800,0x37cc6f98,0x0000ffd0,
    0x40000554,0x1be6007e,0x3e200df3,0x3fe0003f,0x6c05ff92,0x36001fff,
    0xffff706f,0x9ff3009f,0x3ffff200,0x7fdc7fff,0x201fee00,0x3fa006ff,
    0x01ffa00f,0x2003fff9,0xdff06ffc,0x99881330,0x0000ffd0,0x01988000,
    0x0001ffd0,0x00005ff9,0x0026ce74,0x50133260,0x3dddffdd,0xfff00000,
    0x2ff80cc0,0x40005ff9,0x06620998,0x2a215440,0x20998802,0x55100198,
    0x3fa02a88,0x26620007,0x40006620,0x2a2005f8,0x88015442,0x3e0003ff,
    0x205ff92f,0x4001fffd,0x9ff706fe,0xf9803fff,0xfffb004f,0xfb8fffff,
    0x013fa00f,0xff801bfe,0x303ff406,0x44007fff,0x6ff81fff,0x03ff4000,
    0x00000000,0x0003ffa0,0x0000bff2,0x001f134c,0x3fee0000,0x401fffff,
    0xf9000cd9,0xff8001bf,0x0005ff92,0xffb17fe4,0x004ffb83,0x3f227fd4,
    0x707ff62f,0xfa8009ff,0x5c0ffd4f,0x7fe40dee,0x1007ff62,0x09ffffb5,
    0x50013fee,0x9ff109ff,0xff817b60,0xfb05ff92,0xfd0003ff,0x2ebfee0b,
    0x3e600eff,0x3ebdb04f,0x7fffffff,0xfa807fdc,0x06ff801f,0x3fffbba6,
    0x07fe85ee,0x20017fee,0x6ff81bdc,0xfe82f6c0,0x37dfd937,0x3a617b60,
    0x007dd32e,0x7ff49dd1,0x2ffc8000,0x44f10000,0x3f6e0007,0x29db0cef,
    0xaadffca8,0x3eefaa00,0xeffe8800,0x64bfe001,0x320002ff,0x07ff62ff,
    0xa8009ff7,0x17fe44ff,0xffb83ffb,0xa7fd4004,0xdff707fe,0x6c5ff901,
    0x3fe601ff,0x84ffffff,0x54004ffb,0x09ff04ff,0x2ff81ffa,0xffd85ff9,
    0xbfd0001f,0x7f4bfee0,0x13fe604f,0xfffebff4,0x7dc7ffff,0x00ffd00f,
    0xffb81bfe,0x85ffffff,0x3ffa07fe,0xff800002,0xe83ff406,0xfffffaff,
    0x87fe85ff,0x1ffe3ffa,0xfe8bfee0,0xffc8000f,0x3b600002,0xe88004eb,
    0x9fffffff,0x1ffd45fe,0x00f22d80,0x027fffdc,0x5ff92ff8,0x17fe4000,
    0xffb83ffb,0x27fd4004,0xffd8bff2,0x0027fdc1,0x3ff53fea,0xc8077fdc,
    0x07ff62ff,0x4d6fffc4,0x7dc6ffff,0x7fd4004f,0x3a09ff04,0x64bfe07f,
    0x3fff62ff,0x17fa0001,0xff997fdc,0x09ff302f,0x7ffe5ffa,0x7dc7ffff,
    0x009ff00f,0xaa981bfe,0x81aacffd,0xfff107fe,0xff000003,0xd07fe80d,
    0x5359ffff,0x7fe87ffd,0x3f23ffa8,0x23ff402f,0xc8000ffe,0x200002ff,
    0x4002fffa,0xbabdfff8,0x545ffffd,0x45b003ff,0x7fec403c,0x401efffd,
    0x05ff92ff,0xfb800000,0x7fd4004f,0xffb80004,0xa7fd4004,0x77fdc7fe,
    0xe8800000,0x3f3ea2ff,0x13fee1ff,0x209ff500,0x0ffd05ff,0x2ffc97fc,
    0x0007fffb,0xff705ff8,0x4077fdc5,0xffd04ff9,0x3fffffe6,0x407fdc7f,
    0xff003ff8,0x03ff600d,0x3e60ffd0,0xf000007f,0x07fe80df,0xb107fffd,
    0x43ff43ff,0x3fe63ffa,0xd13fe205,0xf90001ff,0x6c00005f,0x64005fff,
    0xfff904ff,0x003ffa8b,0x801f97f5,0xfff50efe,0x4bfe019f,0x00002ffc,
    0x027fdc00,0x0013fea0,0x0013fee0,0x9ffa9ff5,0x0000effb,0xc89ff700,
    0x2e4ffa9f,0x7d4004ff,0x20bfd04f,0x4bfe07fe,0xfffdbffc,0x3e0001ff,
    0x85ff704f,0xff984ffe,0x7e4ffd04,0x5c7fffff,0x2ffa80ff,0x200dff00,
    0x7fe807fe,0x000dff30,0xd01bfe00,0x17ffa0ff,0x3fa6ff98,0x743ffa87,
    0x3ff700ff,0x8000ffe8,0x00002ffc,0x01ffdff1,0xd01bfe20,0x3ffa8bff,
    0x00736a00,0xfd881ff3,0x2ff81eff,0x00005ff9,0x04ffb800,0x0027fd40,
    0x0027fdc0,0xbff53fea,0x0000effb,0xd03ff600,0xff70d64f,0x4ffa8009,
    0xfd01ff90,0xfc97fc0f,0xffdeffff,0xffa8000e,0x985ff701,0x7fcc2fff,
    0xfc8ffd04,0x7dc7ffff,0x01ffb80f,0x3e00dff0,0x07fe806f,0x0000dff5,
    0xfd01bfe0,0x007ffa0f,0x43ff4ffb,0x7fdc3ffa,0xfd0dfd02,0xff90001f,
    0x3ee00005,0x7003ff9f,0xffa805ff,0x001ffd45,0x207fc800,0x400ffffa,
    0xd8002ffc,0x9f74405e,0x54004ffb,0x80bdb4ff,0x9ff73ee8,0xd4ffa800,
    0x01fff5ff,0x74405ed8,0xf31ffa3e,0x04ffb809,0x8827fd40,0x3ff40dff,
    0x3ff25ff0,0xffe88eff,0x37fc4005,0xf705ff70,0x27fcc1df,0xdc987fe8,
    0x07fdc7ff,0xf8007fe4,0x4ff9806f,0xf107fe80,0x200000ff,0x3ff406ff,
    0xfb807fe8,0xf50ffd1f,0x85ff887f,0xffe83ff9,0x2ffc8000,0x2bfd0000,
    0xff9007fe,0x45ff8801,0xcb803ffa,0x80cdeffe,0x3a201ffc,0x7fe406ff,
    0x06ff8002,0xffba7fcc,0xa7fd4004,0x7fcc06ff,0x8009ff74,0xfffd4ffa,
    0xff809fff,0x8a7fcc06,0x017dc5ff,0x50013fee,0x7f4409ff,0xf81ffa4f,
    0x1dfff92f,0x8017ffcc,0x2e01effe,0x9ffd02ff,0xfe827fcc,0x2e3fe407,
    0x07fe80ff,0x2a01bfe0,0x7fe803ff,0x0003ffe0,0xd01bfe00,0x01bfa0ff,
    0x3ff4bfea,0x7ec1ffd4,0x407fe40f,0xc8000ffe,0x980002ff,0x05ff73ff,
    0x3e00ffd0,0x01ffd45f,0xffffffd3,0xffa85fff,0x07ffc405,0x0005ff90,
    0xff980dff,0x8009ff74,0x0dff4ffa,0xff74ff98,0x4ffa8009,0xfffdfffd,
    0x2037fc03,0x9ff34ff9,0x7dc00fd8,0x7fd4004f,0xd37fc404,0xc97fc0ff,
    0xffc80eff,0x37fc400f,0x9817fdc0,0x9ff32fff,0xf901ffa0,0xf80ffb8f,
    0x1bfe006f,0x200bfee0,0x3ff607fe,0xff800001,0xe83ff406,0x4ff9805f,
    0x7ff50ffd,0xff87ff50,0x001ffd05,0x0005ff90,0x3e63ffb0,0x07ff805f,
    0xffa8bfd0,0x9dfff303,0x0fffd755,0x5c01bffd,0x3ff202ff,0x06ff8002,
    0xffba7fcc,0xa7fd4004,0x7fcc06ff,0x8009ff74,0xdffd4ffa,0x201dff51,
    0x7fcc06ff,0x7c4bff34,0x04ffb806,0x1027fd40,0x3ff4dffb,0x3ff25ff0,
    0x01bffa02,0xb807fff1,0x3ff202ff,0xd04ff98f,0x47fc80ff,0x7ff80ffb,
    0x201bfe00,0xfe800ffd,0x00bff207,0x3e0f7e60,0x83ff406f,0xffa805fe,
    0xff50ffd3,0xfa9bfe07,0x01ffd02f,0x005ff900,0x746ff880,0x7ff400ff,
    0x545ff800,0x7ff903ff,0x2217ff40,0xf502ffff,0x17fe401f,0x2037fc00,
    0x9ff74ff9,0xf4ffa800,0x4ff980df,0xa8009ff7,0xd8ffd4ff,0x0dff04ff,
    0xff14ff98,0x5c01fd4d,0x7d4004ff,0x2bbfa04f,0xff81ffa0,0x4c05ff92,
    0x5c404fff,0x3fee04ff,0x4e7ff402,0x0ffd04ff,0x7fdc7fc8,0x000ffe80,
    0xffd00dff,0xa81ffa00,0xfc8004ff,0x406ff84f,0x0dfd07fe,0x3fa3ff70,
    0x903ffa87,0x81ff63ff,0xc8000ffe,0x5c0002ff,0x27fdc3ff,0x1003ff60,
    0x3ffa8bff,0x6406ff88,0xffe984ff,0x22fec0df,0x05ff91cc,0x980dff00,
    0x09ff74ff,0xff4ffa80,0x74ff980d,0xfa8009ff,0xf88ffd4f,0x06ff81ff,
    0xfff27fcc,0x3bfa0fe4,0x8009ff70,0xff504ffa,0x7c0ffd05,0x805ff92f,
    0xc802fffb,0x5ff701ff,0xfcfff980,0x80ffd04f,0x07fdc7fc,0xf800ffec,
    0x06ff806f,0x7c40ffd0,0x3e2001ff,0x06ff81ff,0x7fe83ff4,0x3fa7fc80,
    0x303ffa87,0x813fe7ff,0xc8000ffe,0x740002ff,0x3ffc40ff,0x500bfee0,
    0x4ff98bff,0xf9803530,0x3fff204f,0xf85ff93f,0x005ff92f,0xf980dff0,
    0x009ff74f,0xdff4ffa8,0xf74ff980,0xffa8009f,0xff50ffd4,0x406ff81d,
    0x3ff24ff9,0x6ff98ff2,0x50013fee,0x1bf609ff,0x5ff03ff4,0x3600bff2,
    0x7c400fff,0x05ff703f,0x9fffff90,0xf901ffa0,0xd80ffb8f,0xdff003ff,
    0x004ff980,0xffc80ffd,0xdffb000e,0xfd01bfe0,0x80fffa0f,0x1ffa6ff8,
    0xfe80ffea,0x3a01ffae,0xfc8000ff,0x3e60002f,0x05ffb05f,0x3a037fc4,
    0x7ffcc5ff,0x64c001ab,0x7f4c04ff,0xf81effff,0x005ff92f,0xf980dff0,
    0x009ff74f,0xdff4ffa8,0xf74ff980,0xffa8009f,0x3f60ffd4,0x2037fc4f,
    0x3fe64ff9,0x7fec4faf,0x0013fee3,0x3fe09ff5,0x7c0ffd05,0x005ff92f,
    0xf00bfff1,0x0bfee09f,0x27ffff40,0x7e407fe8,0x5c07fdc7,0xdff004ff,
    0x003ffa80,0xff880ffd,0x3f6201ef,0x0dff01ff,0xffd07fe8,0x8bff601f,
    0x3ffa87fe,0x1bf7fee0,0x0001ffd0,0x40005ff9,0xff502ffc,0x05ffc80b,
    0xfd0bfff9,0x2a607fff,0xfffffedc,0xffff7004,0x7e4bfe03,0xeeeeeeef,
    0xdff4eeee,0xf54ff980,0xffb8009f,0xf980dff4,0x009ff54f,0xffd4ffb8,
    0xf87ffe20,0x27fcc06f,0x54bfffee,0x7fd45ffe,0x27fdc004,0xffd04ff8,
    0xffc97fc0,0x7fff5002,0xf705fe80,0x3fe6005f,0x0ffd04ff,0x7fdc7fc8,
    0x005ff880,0xffb80dff,0x00ffd001,0x5bfffff3,0x5ffff953,0x3a037fc0,
    0xffffd07f,0x0fff6615,0x7ff50ffd,0x1ffffc40,0x0003ffa0,0x8000bff2,
    0x7ffc07ff,0x3bffa200,0xffffebac,0x4fffd885,0x7fffff54,0x004ffdff,
    0x203bffa6,0xffff92ff,0xffffffff,0x301bfebf,0x17fea9ff,0x3e7ff900,
    0xa7fcc06f,0x64005ffa,0x40ffd3ff,0xdff0effb,0xa84ff980,0xffffffff,
    0x02ffd40e,0x7c0fff20,0x40ffd04f,0x05ff92ff,0x00fffe40,0x3fee0bfd,
    0x3fff2002,0xc80ffd04,0x807fdc7f,0xdff006fe,0x000ffd80,0x3a200ffd,
    0xffffffff,0x7fc02fff,0xe83ff406,0xfffffdff,0x87fe85ff,0x7ec03ffa,
    0x7ff400ff,0x2ffc8000,0x5dff5000,0xfb555555,0xffd8809f,0xff9effff,
    0x3ee04c05,0x31bcefff,0xd88009ff,0x92ff85ff,0xffffffff,0x3ebfffff,
    0xa7fd406f,0x6c006ff9,0x80dff3ff,0xdff34ffa,0xd3ffd800,0x4ffe80ff,
    0xffa80dff,0xfffff704,0x1bfe607f,0x207ffb00,0x0ffd04ff,0x2ffc97fc,
    0x3fffa200,0x2e0dfd00,0x7f4002ff,0x80ffd04f,0x07fdc7fc,0xf800ffb8,
    0x03ff406f,0xa800ffd0,0xfffffffd,0x80dff003,0x2ffd07fe,0x03dffffb,
    0x7ff50ffd,0x806ffa80,0x00000ffe,0xffffb000,0xffffffff,0x3b2a00ff,
    0x09ff13df,0x0bfff980,0x3109ff50,0x7c0ffe80,0x4019802f,0x7fdc07fe,
    0x4003ffe4,0xffd1fff8,0x3e4ffb80,0xff1000ff,0x0099803f,0xff701ffa,
    0x2ab3ee09,0x00fff801,0x203fff10,0x80ff04ff,0x331002ff,0x037f4000,
    0x00013300,0x7fc80ffd,0xf8807fdc,0x06ff804f,0xfd002ffc,0x67ec000f,
    0x06620009,0x7f41ffa0,0x200014c7,0x7cc03ffa,0x006f802f,0x3e200000,
    0xffffffff,0x02ffffff,0x827fcc00,0x3ff21ffc,0x227fdc03,0x3f203ffc,
    0x2017fc1f,0xfd04fff9,0x27fec01f,0x2e00dffb,0x03ffa7ff,0x3f64ffd8,
    0xfff7006f,0x0dfff880,0x3600ffe8,0x03fb04ff,0x006ffd80,0x3e20fff7,
    0x405f883f,0xff5002ff,0xdfb0007f,0x6fffc000,0x01bfe000,0x0ffb8ff9,
    0xf003fee0,0x27fcc0df,0x000ffd00,0x200067fc,0x3e03fffa,0x00ffd06f,
    0x05ff5000,0xf8807fd8,0x3ff60005,0x3ffb8003,0x30dff700,0xffa80157,
    0x6c3ff903,0x7fec01ff,0xd03ffd44,0x02ff81ff,0x40ffedc4,0xff904ffc,
    0x2fffcc9f,0xc8fffee0,0xfff904ff,0x02fffcc9,0x200fffee,0xfc83ffca,
    0x9fff904f,0x26001be0,0x7dc05fff,0x7ff103ff,0xff80bf30,0xffb71002,
    0x07fd8003,0x13ff2a00,0x6406ff80,0x007fdc7f,0xdff00ffa,0x0017fdc0,
    0x22000ffd,0x2001ffdb,0xf01ffdb8,0x01ffa0df,0x0bfee000,0x9804ff88,
    0x3f60004f,0xffe8003f,0x3fff1000,0x7405ff98,0x3fd700ff,0xf9027fe4,
    0x9fff0bff,0x437fdc41,0x3fe002ff,0x9cfff985,0x4ffffda8,0x66ffffe4,
    0x6fffecba,0x44e7ffcc,0x44ffffda,0xacdffffc,0x06fffecb,0x7cc37ec0,
    0xfda89cff,0x4f984fff,0xffff9000,0xffd9759b,0x0ffe40df,0xff007fcc,
    0x4ff88005,0x017fdc00,0x401ff200,0x7e405ffa,0x2007fdc7,0x3fe00ffa,
    0x003ffa06,0x80007fe8,0xf88005fe,0x05ffa84f,0x00000ffd,0xd3083ffb,
    0xff3001ff,0x1ffec000,0x01bfe600,0xff09ff90,0x9ffb105f,0x7fd47b80,
    0xff9510bf,0xfff30bff,0x3ffffbdf,0x55405ff0,0xfb02ffdb,0x1dffffff,
    0xfff909ff,0xffffffff,0x3ffff60b,0x4ff8efff,0xffffffc8,0x805fffff,
    0x04ffcba9,0xfffffffb,0xf909ff1d,0x7fe40005,0xffffffff,0xfffd885f,
    0x32fffa07,0x200bfe3e,0x01ffdbaa,0x2f7ffc40,0xffcaa980,0x7fff7404,
    0x2e3fe402,0x3fd800ff,0x9bffffea,0x06fffeee,0x7fffff40,0xfdbaa803,
    0xb755002f,0x7ff743ff,0x00ffd02f,0x3fffae00,0x7ffffcc6,0x2fffe003,
    0xf51003ec,0x3ffc8005,0x43ffcc00,0xecdffffa,0x74405fff,0xeffffd85,
    0x7fe9efff,0xfffffd50,0x0bfe03df,0x05ffffe8,0x6fffff5c,0x36609ff0,
    0xdfffffff,0x7fff5c02,0x209ff0df,0xffffffd9,0xff9002df,0x75c01dff,
    0xff0dffff,0x0000fd09,0xffffffb3,0x3fe605bf,0x3fee01ff,0x0bfe2fff,
    0x13ffffe0,0x3fffdc00,0xfffffc80,0x3fffe600,0x5c7fc805,0x6f9800ff,
    0x5bffffea,0x1ffffff8,0x7ffff400,0xfffe803f,0x3ffe005f,0x3ffe65ff,
    0x01ffa05f,0x7fffec00,0x2ffffc42,0x3fffee00,0x03ee002f,0x001fff00,
    0xf707ffd0,0xbfffffff,0x2e01d900,0x23ffffff,0x32a02ffb,0x3a009bdd,
    0x2f32a02e,0x006a2001,0x9aa99880,0x00d44000,0x35533100,0xbcc98001,
    0x006a2002,0x40000310,0x009aa998,0x40066f4c,0x2ee81bb8,0x01bccb80,
    0x036e4c00,0x802bcc98,0x3002cdc9,0x002a9855,0x555447b2,0xbb9712aa,
    0x55500015,0x95001555,0xcb800379,0x66e4c1bc,0x00155403,0x01bdcb80,
    0x200059b7,0x5c001bb8,0x7fd4005f,0xdff70005,0x0deee540,0x2a600100,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xffd8004c,0xfff10002,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00000198,0x26001540,
    0x0004cc09,0x33300000,0x4d4c4000,0x31000000,0x00033555,0x06aa6600,
    0x00000000,0x00002600,0x000f7754,0x90776c40,0x400005dd,0x0000deea,
    0x0007ddb1,0x00deea80,0x09dd9000,0x0bdd9000,0x5ddb1000,0x3fe60000,
    0x006fffff,0x01bdd500,0x0f32a000,0x2e599900,0xffffffff,0x02ceffff,
    0x5f907f70,0x17ffea00,0xffffffb8,0xffffffff,0x013ee1ff,0xff32ffc4,
    0x009ff709,0x3204ffa8,0x22003fff,0xefffffed,0x7540001d,0xffffffff,
    0x440001ce,0xffffffeb,0x540000de,0x00002fff,0x880005f8,0x000fffff,
    0xf55ffa80,0xe80000bf,0x540002ff,0x400007ff,0x00002ffe,0x0001fff1,
    0x04ffffa8,0x06ffa800,0xdddd3000,0x0000bddd,0x0000fffa,0x2006ffc8,
    0xff70effa,0xffffffff,0x007fffff,0x37d44bfe,0xffeff880,0xfffff703,
    0xffffffff,0x1fe83fff,0x265ff880,0x4ffb84ff,0x827fd400,0x02ffeffa,
    0xffffff98,0x002fffff,0x7ffffdc4,0xfffffeef,0xfb8000df,0xffffffff,
    0x20002fff,0x0005fffd,0x79ffb730,0x3ffa0001,0x00006ff9,0x0dfd7ff9,
    0x4ffa8000,0x7ff70000,0x3fea0000,0x3f200004,0x7cc0002f,0x003ffbef,
    0x002ffb80,0x00000000,0x00009ff5,0x2006ffc8,0x3fee1ffe,0xaaaaaaad,
    0x05ffffcc,0xffffffb8,0x91ffd002,0xdff705ff,0x99999999,0xa8199999,
    0x5ff8806f,0x3ee13fe6,0x7fd4004f,0xfd6ff884,0x7ffdc01f,0xfeba9abe,
    0xfd1004ff,0x26015bff,0x002ffffc,0x79dfffb1,0xfffd9533,0xdff1000b,
    0x440001ff,0xfffffffd,0x7fe4002f,0x0009ff53,0x03ffffa0,0x0bfd0000,
    0x06fd8000,0x00bfd000,0x027fc400,0x43ffa200,0x80001ffd,0x980006fd,
    0x002f4c5e,0x00037ec0,0x8037fe40,0x7fdc2ffa,0x3fff2004,0xbeec9801,
    0x47ff9001,0x7fdc0ffe,0x3fa00004,0xf7000003,0xffa8009f,0xf31ffe84,
    0x1fffc0df,0x007ffea0,0x0019fff3,0x802fffb8,0xb804fffc,0x5c002fff,
    0x003ff9ff,0x3f7fff60,0x002ffffe,0xccb87991,0xcc880000,0x4400001c,
    0x800000cc,0x440001cc,0x200000cc,0xa80004c9,0x0f3222cc,0x00664000,
    0xf31be600,0xcc88000d,0x00000000,0xff707d90,0x3ffe8009,0x4cc00000,
    0x2e04cc41,0x200004ff,0x000007fb,0xa8009ff7,0x04cc44ff,0x3e602662,
    0x7ff7006f,0x00fffcc0,0x03ffd100,0x000fffd4,0xe800dff5,0x000ffd5f,
    0xafc7bfee,0x4000fffc,0x0009aa98,0x26aa6200,0x26200000,0x000009aa,
    0x00000000,0x35553100,0x55310000,0x22000035,0x00009aa9,0x05510aa2,
    0x5554c400,0x88012200,0x0001aaa9,0x20027fdc,0x00005ffb,0xffb80000,
    0x3e200004,0xb800003f,0x7d4004ff,0x2e00004f,0xff1002ff,0x0077f40d,
    0x077f4400,0x8003fff8,0xf3001ffe,0x00bfee7f,0x5f83ffe0,0x2600bffa,
    0xffffffed,0xdb30002d,0x5bffffff,0x3fb66000,0x02dfffff,0x20027fdc,
    0x9ff74ffa,0x04ffa800,0x7ffffecc,0x4c000cff,0xfffffffd,0x76cc000c,
    0x2dffffff,0x0027fdc0,0x93013fea,0xbfffffff,0x2027f443,0xffffffd9,
    0x1bfe00cf,0x98009ff7,0x764c06ff,0x29db0cef,0xe8803ee9,0x009ff74e,
    0x4c6fd800,0xee8803ee,0x8009ff74,0xd9304ffa,0x93b619df,0x2e004ffb,
    0x01ff903c,0xb873bb26,0x20ffe64c,0x50006ff9,0x3f6003bf,0x00bff31f,
    0x2fc5ff88,0xfb809ff5,0xffffffff,0x2e000eff,0xffffffff,0x2000efff,
    0xfffffffb,0x700effff,0xfa8009ff,0x009ff74f,0xb104ffa8,0xffffffff,
    0xb1007fff,0xffffffff,0x2e007fff,0xffffffff,0xf700efff,0xffa8009f,
    0xffffb104,0x9fffffff,0x6c40dfd1,0xffffffff,0xdff03fff,0x4004ffb8,
    0xfd105ffb,0xd3ffffff,0x403ffcbf,0x9ff72ffb,0xffb80000,0x5c03ffc2,
    0x09ff72ff,0x444ffa80,0xfffffffe,0x3fe65fe9,0xf980000f,0xfffe983f,
    0x8bff2fff,0x4ffc86fd,0xf1000000,0x00ffe8df,0xbf13fe60,0x7fec4018,
    0xfda9abdf,0x4401efff,0x9abdfffd,0x1effffda,0x6fffec40,0xfffda9ab,
    0x4ffb81ef,0xba7fd400,0x7d4004ff,0xfffe984f,0xffdb99ad,0x3fa603ff,
    0xdb99adff,0x2203ffff,0x9abdfffd,0x1effffda,0x4004ffb8,0xfe884ffa,
    0xb99abdff,0x0efffffd,0x5bfffd30,0xffffb733,0xfb8dff07,0x3fa2004f,
    0x7dffb03f,0xbffffd75,0x3a017fe4,0x013fee7f,0x87ff1000,0x7f402ffc,
    0x0013fee7,0xffd89ff5,0xfffebabe,0x67fff45f,0x17f60001,0x2ef7ffe6,
    0x44ffcffe,0x7ffc1ffb,0x70000002,0x4ffb87ff,0xf1bfe200,0xfffd800b,
    0x7fffcc03,0x0ffff600,0x01ffff30,0x201fffec,0x5c0ffff9,0x7d4004ff,
    0x009ff74f,0xfe84ffa8,0x3f2200ef,0xdffd01ff,0x7ffe4401,0x07fffb01,
    0x40ffff98,0x54004ffb,0xfffe84ff,0x7fffd402,0x03bffa01,0x41fffc88,
    0x27fdc6ff,0x37ffd4c0,0xf904ffc8,0x2ffccbff,0x7dc9ff10,0x999999df,
    0x00999999,0x3fe62ffc,0xb93fe205,0x7d4004ff,0x413ff24f,0x7445fffc,
    0x0bdfffff,0x885ff100,0xffb83fff,0x1ffc42ff,0x00007ffe,0x207ff400,
    0x74007ff8,0x8017e0ff,0x3000effa,0x3ea0bfff,0xff3000ef,0x3bfea0bf,
    0xbfff3000,0x4004ffb8,0x9ff74ffa,0x44ffa800,0x9001fffc,0xfff90dff,
    0x1bff2003,0x4003bfea,0x7dc5fff9,0x7fd4004f,0x0077fe44,0x904fffb8,
    0x32003fff,0x237fc6ff,0xeeeefffb,0xffffffee,0x06ff881e,0x3fa2fff4,
    0x43ff700f,0xfffffffb,0xffffffff,0x7437f402,0x3ff700ff,0x20027fdc,
    0xdff14ffa,0x885ffe80,0xfffffffd,0x1fea01cf,0xfd80fff2,0x24fe80ff,
    0x00007ff8,0x20bff300,0x32002ffd,0x00bf3fff,0x20017ff4,0xfe81fffa,
    0x7fd4002f,0x02ffe81f,0x70fffd40,0xfa8009ff,0x009ff74f,0x3e64ffa8,
    0x3e2003ff,0x3ffe61ff,0x3ffe2003,0x0017ff41,0xfb87ffea,0x7fd4004f,
    0x007ffe64,0x07ffffd4,0x800fffe6,0x3fe1fff8,0x7ffffdc6,0xffffffff,
    0x0bfea04f,0xfb8bff50,0xb8dfd02f,0xffffffff,0x2fffffff,0x7dc3fec0,
    0xb8dfd02f,0x7d4004ff,0x805ff54f,0x32605ffa,0xffffffff,0xf889fb04,
    0x3ffd407f,0x3fe65fc8,0xeeeec806,0x6406eeee,0xbff502ff,0xefffd800,
    0xffb800df,0x9ff90005,0x0005ffb8,0xffb89ff9,0x9ff90005,0x20027fdc,
    0x9ff74ffa,0x24ffa800,0xc8005ffb,0x17fee1bd,0xb86f7200,0xf90005ff,
    0x027fdc9f,0xfc93fea0,0x7ff5005f,0xffb89ff9,0x1bdc8005,0xfff71bfe,
    0xfffddddd,0x1ff9003d,0x445ff880,0x3ff985ff,0x5556ffdc,0xaaaaaaaa,
    0x07fe400a,0x3e617fe2,0x027fdc3f,0x7e53fea0,0x2ffc400f,0xfffdb980,
    0x17fc0eff,0xf300ffea,0x893f60bf,0xffd807ff,0x07ffffff,0x3fe03ffc,
    0x7fec000f,0x202dffff,0x30001ffd,0x1ffd8fff,0x8fff3000,0x30001ffd,
    0x27fdcfff,0x5d3fea00,0x7d4004ff,0x00bffa4f,0x02ffe800,0x07ff6000,
    0x73ffcc00,0xfa8009ff,0x007ffa4f,0x7fccffe6,0x0017ff47,0xfb8dff00,
    0xdffb104f,0x007fd803,0x1ffb0bff,0x7dc0ffc8,0xb800004f,0x0ffd82ff,
    0x3ee07fe4,0x7fd4004f,0x3e00ffb4,0xfb30005f,0x41ff8dff,0x7d400ffc,
    0x447ff03f,0xffd807ff,0x07ffffff,0x2aabbfea,0x4ffdaaaa,0xffeb8800,
    0xff80efff,0xff10000f,0x007ffc3f,0x21fff880,0x10000fff,0x3fee3fff,
    0xa7fd4004,0x54004ffb,0x3fff14ff,0x3fe20000,0x3e00001f,0xf10000ff,
    0x13fee3ff,0x229ff500,0xff8807ff,0xf887ffc4,0x200001ff,0x27fdc6ff,
    0x803bff60,0xbfd007fe,0xff87ff50,0x004ffb85,0x83ffa800,0x2ffc3ffa,
    0x20027fd4,0x0ffd3ffb,0x00017fa0,0x3e23fff5,0x403ff40f,0xff981ffb,
    0x000fffc1,0x7ec0fff0,0xffffffff,0x0007ffff,0x7ffff77c,0x001ffe20,
    0x3e25ffd0,0x7f40007f,0x00fff12f,0xf72ffe80,0xffa8009f,0x8009ff74,
    0xfff34ffa,0x7fcc0000,0x3e200007,0x7f40007f,0x009ff72f,0xff34ffa8,
    0x85fe880d,0xfff31ffe,0x6ff80000,0x74027fdc,0x3ffa06ff,0xf05ff800,
    0x417fd4df,0x00004ffb,0xff03ffb8,0x4c17fd4d,0x7e4005ff,0x001ffd2f,
    0x072e6bff,0x267ff700,0x17fe20ff,0x2e03ff60,0x1ffec0ff,0x20fff000,
    0xfffffff8,0xffffffff,0x4d7e0002,0x3fe64ffe,0x7fec0006,0x000dff33,
    0xff33ffd8,0xffd8000d,0x8009ff73,0x9ff74ffa,0x34ffa800,0x40000dff,
    0x00006ff9,0x0001bfe6,0x3fee7ffb,0xa7fd4004,0x7f405ffa,0x265ffb06,
    0x400006ff,0x27fdc6ff,0x827ffcc0,0x7c400ffd,0x23ff905f,0x9ff707fd,
    0xff900000,0x6c7ff205,0x0dff107f,0xfb1ffd80,0x5ff8801f,0x9800bff3,
    0x43ff15ff,0x7c405ff8,0x85fe886f,0x20006ffa,0x7ff707ff,0x01bfee00,
    0x3fe25f80,0x0017fea7,0x3ea9ff90,0x7e40005f,0x00bff54f,0xf74ffc80,
    0xffa8009f,0x8009ff74,0xdff54ffa,0x7fd40000,0x3ea00006,0x7e40005f,
    0x009ff74f,0xff74ffa8,0x8077ec09,0xdff53ffc,0x6ff80000,0xb8027fdc,
    0xffb82fff,0x82ffd402,0x09ff3ff9,0x00013fee,0x4c07ff60,0x409ff3ff,
    0xf1000fff,0x0bfee1ff,0x7fcbff50,0x1ffd4007,0x06ff85ff,0x7ec27fe4,
    0x09fff00f,0x741ffe00,0xff1000ff,0x17e0003f,0x3fe63ffd,0x7fe40006,
    0x000dff33,0xff33ffc8,0xffc8000d,0x8009ff73,0x9ff74ffa,0x14ffa800,
    0x40000fff,0x00007ff8,0x0001bfe6,0x3fee7ff9,0xa7fd4004,0xff905ffa,
    0x89ffec01,0x400007ff,0x27fdc6ff,0x81dffd00,0x7f406ff8,0x2bbfa05f,
    0x9ff701ff,0xfff00000,0x7d77f401,0x1bff201f,0xf13ffdc0,0x5ffe80df,
    0xd8013ff2,0xb0bfe1ff,0x3fe601ff,0x01ffe42f,0x8007fff5,0xff987ffa,
    0x27fe4006,0x5f81d950,0xfff17fe4,0x2ffe8000,0xd0001ffe,0x03ffc5ff,
    0x5cbffa00,0x7d4004ff,0x009ff74f,0x3fe4ffa8,0x3e00000f,0x200000ff,
    0x740007ff,0x09ff72ff,0xf34ffa80,0x03ff70df,0x3fe2ffe8,0x3e00000f,
    0x027fdc6f,0x909fff30,0x3ff209ff,0x37fee05f,0x13fee06f,0xfff10000,
    0x6fdffb80,0x02fffcc0,0xf90fffee,0x3fff209f,0x03bffea5,0x6c6ffd88,
    0x06ffdc5f,0x44bfffea,0xfc806ffc,0x74c01dff,0xffc87fff,0x3ffcc003,
    0x5f87ff90,0xffd0fff4,0x7ffc0001,0x0003ffa1,0x3fa1fff8,0x3fe0000f,
    0x009ff51f,0xff54ffb8,0x4ffb8009,0x00007ff6,0x0001ffd8,0x0003ffa0,
    0xff51fff8,0x4ffb8009,0xffa8fff1,0x21fff802,0x00001ffd,0x9ff71bfe,
    0x1fffc800,0x5677ff44,0x05ffffeb,0x80ffffe2,0xeeeefffb,0xeeeeeeee,
    0x09ff304e,0x03ffff88,0xbdffffd8,0x5fffecba,0xaceffe88,0x45ffffeb,
    0xbceffffa,0x1efffdca,0x3f607fd4,0xeffdabff,0xdfffcfff,0xffff9000,
    0xffb957bf,0xff01bfff,0xffd0001f,0xf1bfe607,0x323ffc4b,0xf10001ff,
    0x01ffc8ff,0xc8fff100,0xf10001ff,0x02ffd4ff,0x7d4fff20,0x7fe4005f,
    0x000bff23,0xffc8f7e6,0x3df98002,0x40007ff2,0x3fea7ff8,0x1ffe4005,
    0x3fe63fff,0x47ff9803,0x98002ffc,0x71bfe3df,0xfd0009ff,0xfffb10df,
    0xbff3dfff,0x00fffd80,0x3fffffee,0xffffffff,0x5ff505ff,0x01fffb00,
    0x3ffffee0,0x05ffffff,0x3fffff62,0x985ff9ef,0xffffffff,0xf880efff,
    0x7fff443f,0xfffb8eff,0xa8003fff,0xffffffff,0x501effff,0x2e000bff,
    0x3ffe06ff,0x5ffc97e2,0x80037fd4,0x7fd44ffd,0x9ffb0006,0x0006ffa8,
    0x7fcc9ffb,0x9ffec006,0x6c006ff9,0x13fea3ff,0xa93ff200,0xfc8004ff,
    0x01bfea4f,0xf327fec0,0xffd800df,0x3e77fee3,0x9ffb003f,0x8004ffa8,
    0x1bfe4ffc,0x30009ff7,0x32a07fff,0x9ff13dfe,0x406ffa80,0xfffffffb,
    0xffffffff,0x00ff905f,0x3001bfea,0xffffffd9,0x3b2a003b,0x09ff13df,
    0x3fffb722,0x7e403dff,0x6fedc41f,0x0deff643,0x2a002662,0xeffffffd,
    0x17fec02c,0x1fff8800,0xf17fff70,0x81fffd5b,0x4002fff8,0x7c41fff9,
    0x7cc002ff,0x7ffc41ff,0x7ffcc002,0x8007ffc1,0x3fe1fff8,0xfff1000f,
    0x00fffc43,0x443fff10,0x22001fff,0x3fe21fff,0x7fcc002f,0x007ffc1f,
    0x7c1fff88,0x5004ffff,0xff883fff,0x3fe2001f,0x001bfe1f,0x00000266,
    0x26027fcc,0x200002ff,0xff8801fd,0x05ff3004,0x0dfe4400,0x3fe60000,
    0x017fb004,0x000efe80,0x037f4400,0x001fecc0,0x37c40000,0x7ffffdc0,
    0x702fffff,0x22003fff,0xff705ffe,0x3fa2003f,0x3fff705f,0x17ffa200,
    0x5c01bff6,0x37fec7ff,0xc87ffb80,0xfb000eff,0x1dff90df,0x21bff600,
    0x1001fffb,0xffb0bffd,0x1ffee00d,0x4017ffee,0xf904ffe8,0x3f6001df,
    0x0037fc6f,0x4006fffc,0x7d400ab9,0x03fec03f,0x401fa000,0xfb000ffc,
    0x1f90000f,0x002ae600,0x3e007ff5,0x7c4001df,0x100000ef,0x20001ffd,
    0x00000cff,0x8027cc00,0xffffffea,0x7ffec00d,0x77ffd403,0x0ffff600,
    0x01dfff50,0x201fffec,0x980efffa,0x7dc05fff,0x7ffcc3ff,0x1fffdc05,
    0x00f7ffc4,0x103fffb1,0x4403dfff,0xfb01fffd,0xffa807ff,0xfff980ef,
    0x1fffdc05,0x017fffc4,0x881bffee,0x2201efff,0x7fc1fffd,0xffca8006,
    0x05ff9804,0x8803ffe2,0x400004ff,0x2ff8806f,0x009ff100,0x2001fd00,
    0x3e205ff9,0xf75000ff,0xffa8005f,0x7dc0003f,0x2e0001ff,0x00002ffd,
    0x0013ea00,0x4003df51,0xacefffd8,0xefffeca9,0x7ffec401,0xfeca9ace,
    0x6c401eff,0xa9acefff,0x01efffec,0x337ffff2,0x6fffecba,0x9bffff90,
    0xdfffd975,0x7ffffcc0,0xfffca9ad,0x3ffe602f,0xfca9adff,0x36202fff,
    0xa9acefff,0x01efffec,0x337ffff2,0x6fffecba,0xdfffffb0,0xffd95359,
    0xff9801df,0xca9adfff,0xff82ffff,0x1ff20006,0x4417ffc0,0xd3085ffd,
    0x400001ff,0x7dc01ff8,0xffe98406,0x3fe80000,0x20bffe00,0x8005ffd8,
    0xea8005ff,0x3001ceff,0x003dffd9,0x0017fa00,0x0ffa8000,0x017e0022,
    0x7ffffe40,0x0dffffff,0x3ffff200,0xdfffffff,0x3fff2000,0xffffffff,
    0xfffc800d,0xffffffff,0x7fffe405,0x5fffffff,0xffffe880,0x2fffffff,
    0xffffe880,0x2fffffff,0xfffff900,0x1bffffff,0xfffff900,0x0bffffff,
    0x3fee3bf6,0xffffffff,0x3fa2004f,0xffffffff,0x0dff02ff,0x7fe554c0,
    0xffff5004,0x0bfffd9b,0x07fffff3,0x9ffb0000,0x01ff8bd7,0x0fffffe6,
    0x6ffdc000,0x3fea07db,0xfffecdff,0xfd997005,0x7d40003f,0xccdeffff,
    0xfffffedc,0x5d540002,0x00002ffd,0x6efffc00,0x005f802f,0x3ffff220,
    0x0001cfff,0xffffff91,0x2200039f,0xfffffffc,0x7ecc001c,0x2dffffff,
    0xffffb300,0x8005bfff,0xffffffda,0xfda8003f,0x03ffffff,0xffffc880,
    0x4001cfff,0xffffffd9,0x3ff502df,0x7ffff644,0x50001cff,0xfffffffb,
    0x006ff807,0x03fffff2,0xfffffb80,0xff105fff,0x00000bff,0x93ffffe6,
    0x7fc405fa,0x200005ff,0x06fffff8,0x7fffffdc,0x3fa005ff,0x00004fff,
    0xfffffff7,0x19ffffff,0xfffd0000,0x000000bf,0x3dffff70,0x00003500,
    0x00066a62,0x03353100,0x9a988000,0x99880001,0x100009aa,0x00135533,
    0x01353300,0x26a66000,0x53100000,0x31000033,0x90013553,0x019a9803,
    0x4d4cc000,0x26000000,0x20002bcc,0x801bddca,0x00002cdb,0x20de5440,
    0xcdb800ed,0x95000002,0x6e540017,0xaa8001bd,0x000000aa,0x99bb9753,
    0xa8000037,0x00001bcc,0x00dd4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x93baa000,0x98005ee8,0x37b625ee,
    0xa8098000,0x0197000a,0xd3000197,0x400003dd,0x0001eed8,0x001bdd50,
    0x7543dd90,0xeea8003e,0x4b80001e,0x20001970,0xbdd52eed,0x04c00001,
    0x02f6a000,0x703d7000,0x2a00003d,0x2a001eee,0x360001aa,0x1bdd33ee,
    0x22eec800,0x4c002eeb,0x99999999,0x24eea800,0x80004ee9,0xaaaaaaaa,
    0xec80001a,0xd100005e,0x000003dd,0x5ffb0000,0x40007ff6,0x5ff93ffc,
    0xeffd9800,0x2007f99b,0x02fcc4fb,0x7ffff440,0xffd00000,0xd00001ff,
    0x220007ff,0x6ff88eff,0xffff8800,0x7dc0000f,0x8002fcc3,0x3ffa6ffa,
    0x6fe4c002,0x0009f50b,0x002ed764,0xdf117e60,0x3fe60000,0xfd000eff,
    0x3e6000bf,0x07ffb0ef,0x31dff100,0xff000bff,0xdfffffff,0x747ff600,
    0xf80000ff,0xffffffff,0x7fdc0005,0xc80004ff,0x400004ff,0x20006ffc,
    0x2ffbffe8,0x5ffec000,0xfd8003ff,0x4fffffef,0x6e77fc00,0xfd8001ff,
    0x0006ffaf,0x6ffbffc8,0x27fcc000,0x33fea000,0xe8000ffd,0x006ff9ff,
    0x6deffc40,0xfd0001ff,0x013fe61f,0x3fffffe0,0x10001ffe,0x0000f41f,
    0x3ffb7ff6,0xfe880002,0xd005ff9f,0x36000bff,0x0bff11ff,0x767fd400,
    0xff8000ef,0x6fffffff,0xf9dff100,0x3a00005f,0xeeeeeeee,0x3fe60004,
    0x0003ffad,0x0001bfe2,0x001bff20,0x09ffff30,0xffff1000,0x99fe000b,
    0x4000cffc,0x03efffd9,0xf54ffb80,0x7d40009f,0x009ff55f,0x00037ec0,
    0x01ffffc8,0xf53ffc80,0xea8000bf,0x0004efff,0x37ec5ff3,0x5477d400,
    0x0005fffd,0x0003d07c,0x3effec88,0x5ffb0000,0x3a013fee,0xf88005ff,
    0x003ff23f,0x3ffff900,0x00000000,0x00ffffe6,0x00000000,0xfd87ffc4,
    0xff90001f,0xf9000001,0x950000df,0x4c000099,0x30000ccc,0x10000201,
    0x32200015,0x00e65c4c,0x2e0ccc80,0xc88000cc,0x3200000c,0xc88002cc,
    0x00e65c4c,0x000d4400,0x3990f2a0,0x88395000,0xec80000a,0x400006da,
    0x26000009,0x0665c3cc,0x00026620,0x03990f26,0x0b332000,0x00000000,
    0x00007995,0x026aa620,0x45995000,0x90003cc8,0x20000039,0x80003cca,
    0x00009a98,0x01aaa988,0x00000000,0x54c40000,0x33000009,0x20000355,
    0x00009a98,0x00000000,0x35533000,0x00000000,0x09aa9880,0x17b70000,
    0x2a620000,0x0000009a,0x00000000,0x00135531,0x7dc00000,0x7fd4004f,
    0x00000004,0xfffffdb3,0x000005bf,0x00000000,0x22000000,0xefffffed,
    0x7ecc001d,0x0cffffff,0x8009ff70,0x9ff74ffa,0x04ffa800,0xfffffdb1,
    0xb88003bd,0xeffffffe,0x3b62000d,0x1defffff,0x8009ff70,0x9ff74ffa,
    0x04ffa800,0x7ffff5c4,0x2e00deff,0x7d4004ff,0x7f6cc04f,0x02dfffff,
    0x20027fdc,0x6cc04ffa,0xdffffffe,0xff700002,0x3fb26009,0x809db0ce,
    0xfffffed9,0x7fcc02df,0xffffffff,0x7fffffff,0x50013fee,0x3ffee9ff,
    0xffffffff,0x5c002cef,0xffffffff,0xf700efff,0xfb0003ff,0x7fffdcdf,
    0xffffffff,0xfff802ce,0xffffffff,0x303fffff,0xffffffff,0xb1005fff,
    0xffffffff,0xff707fff,0x4ffa8009,0xa8009ff7,0xfff984ff,0xffffffff,
    0xffff7002,0xffffffff,0xffff3005,0x5fffffff,0x8009ff70,0x9ff74ffa,
    0x04ffa800,0x3fffffee,0x02ffffff,0xa8009ff7,0x3fee04ff,0xffffffff,
    0x9ff700ef,0x04ffa800,0x3fffffee,0x00efffff,0x027fdc00,0x3fffffa2,
    0x205fe9ff,0xfffffffb,0x300effff,0xffffffff,0xffffffff,0x027fdcff,
    0x7dd3fea0,0xffffffff,0x03ffffff,0xbdfffd88,0xffffda9a,0x0dffd01e,
    0x20fffa80,0xfffffffb,0xffffffff,0x7ffffc03,0xffffffff,0xffb83fff,
    0xeba9abef,0x3a604fff,0xb99adfff,0x5c3ffffd,0x7d4004ff,0x009ff74f,
    0x7dc4ffa8,0xba9abeff,0x2204fffe,0x9bcefffd,0x5fffeca9,0x2fbffee0,
    0xfffeba9a,0x0027fdc4,0x7fdd3fea,0x27fd4004,0x677ffec4,0xffeca99b,
    0x04ffb85f,0x4427fd40,0x9abdfffd,0x1effffda,0x4004ffb8,0xfd884ffa,
    0xda9abdff,0x001effff,0xb013fee0,0xfd757dff,0xfb10bfff,0xb5357bff,
    0x103dffff,0xd9999999,0x99999bff,0x027fdc99,0x7dd3fea0,0xaaaaaadf,
    0x5ffffcca,0x01fffec0,0x203fffe6,0x1003fff9,0xffb87fff,0xaaaaaaad,
    0x05ffffcc,0x33333332,0xffdccccc,0x03fff83f,0xe80fffd4,0x32200eff,
    0x3fee1fff,0xa7fd4004,0x54004ffb,0x1fffc4ff,0x407ffea0,0xb804fffc,
    0xfff02fff,0x1fffa807,0x50013fee,0x13fee9ff,0x909ff500,0xf7009fff,
    0x4ffb85ff,0x427fd400,0x4c03fffd,0x7dc0ffff,0x7fd4004f,0x03fffd84,
    0x007fffcc,0x204ffb80,0xff904ffc,0x7fffb0bf,0x0ffff980,0x017fe400,
    0x4004ffb8,0x9ff74ffa,0x0fffe400,0x000effa8,0x2e0bfff3,0xfc800fff,
    0x04ffb85f,0x007fff20,0x42fff400,0xf7006ff9,0x3fff907f,0xb9bff200,
    0x7d4004ff,0x009ff74f,0x3e64ffa8,0x7ff7006f,0x003fff50,0x7cc37fd4,
    0x7ff7006f,0x20027fdc,0x9ff74ffa,0x44ffa800,0x2001fffa,0x7fdc6ffa,
    0x27fd4004,0x4003bfea,0x7dc5fff9,0x7fd4004f,0x0077fd44,0x005fff98,
    0x2209ff70,0x7ff406ff,0x0077fd45,0x005fff98,0xb8017fe4,0x7d4004ff,
    0x009ff74f,0xfd03ffe8,0xffa8005f,0x0bffd01f,0xb80fff98,0x7f4004ff,
    0xfd80003f,0x2ffb80ef,0x98dff100,0x22003fff,0x9ff71fff,0x74ffa800,
    0xfa8009ff,0x00bfee4f,0x7fc37fc4,0xffe8003f,0x8017fdc1,0x3fee6ff8,
    0xa7fd4004,0x54004ffb,0x1fffc4ff,0x70fff400,0xfa8009ff,0x017ff44f,
    0xb87ffea0,0x7d4004ff,0x017ff44f,0x007ffea0,0x5413fee0,0x7fd402ff,
    0x0017ff45,0x8007ffea,0xf7002ffc,0xffa8009f,0x8009ff74,0xffb85ffb,
    0x9ff90005,0x80bffe60,0xff702ffe,0x5ffb8009,0x7ffe4000,0x009ff701,
    0x3fee1e5c,0x1bdc8005,0xa8009ff7,0x09ff74ff,0x2e4ffa80,0x32e004ff,
    0x0037fcc3,0x7dc1dfa8,0x8f2e004f,0x54004ffb,0x09ff74ff,0x264ffa80,
    0xf50006ff,0x027fdc3b,0xfb93fea0,0xff90005f,0x0027fdc9,0xffb93fea,
    0x9ff90005,0x09ff7000,0xf1003ff2,0x02ffdcbf,0x004ffc80,0x5c00bff2,
    0x7d4004ff,0x009ff74f,0xfd86ff98,0xff30001f,0x07ffdc0f,0xf702ffe4,
    0xff98009f,0x3fea0006,0x3ffe602f,0x7ff40000,0xff700002,0x4ffa8009,
    0xa8009ff7,0x3ffe64ff,0x7fe40000,0xf9800004,0x2e0000ff,0x7d4004ff,
    0x009ff74f,0x3f24ffa8,0x5c00004f,0x7d4004ff,0x007ff64f,0xf73ffcc0,
    0xffa8009f,0x0007ff64,0x4003ffcc,0xffb04ffb,0xfd97fe00,0xff30001f,
    0x17fe400f,0x004ffb80,0xffba7fd4,0x2ffdc004,0x80007ffc,0x3a01fff8,
    0x7ffcc5ff,0x013fee00,0x000bff70,0x2013ffe6,0x001cfffe,0x001fff88,
    0x009ff700,0xff74ffa8,0x4ffa8009,0x00e7fff4,0x002fff80,0x9fffd000,
    0x9ff70003,0x74ffa800,0xfa8009ff,0x00bffe4f,0x09ff7000,0x3e4ffa80,
    0xf10000ff,0x13fee3ff,0x7c9ff500,0xf10000ff,0xfb8003ff,0x00ffd04f,
    0x0fff97fa,0x3fff1000,0x00bff200,0x20027fdc,0x9ff74ffa,0x1fff4400,
    0x0001ffe2,0x7cc05ffd,0x0bffa2ff,0x4009ff70,0x8003ffe8,0x1005ffe8,
    0x7bfffffd,0x0fff3001,0x27fdc000,0x5d3fea00,0x7d4004ff,0x7fff444f,
    0xf000bdff,0x000003ff,0x3fffffa2,0xffb800bd,0xa7fd4004,0x54004ffb,
    0x07ffe4ff,0x9ff70000,0x14ffa800,0xe8000fff,0x09ff72ff,0xf14ffa80,
    0xfe8000ff,0x7fdc002f,0x001ffd04,0x1ffe2bff,0x05ffd000,0x400bff20,
    0x54004ffb,0x09ff74ff,0x0dfff530,0x8000dff3,0x7dc03ffd,0x009ff76f,
    0x53009ff7,0x2000dfff,0x2000effd,0xffffffd8,0xff301cff,0x7dc0000d,
    0x7fd4004f,0x8009ff74,0xfd884ffa,0xcfffffff,0x00fff101,0xffd88000,
    0x1cffffff,0x8009ff70,0x9ff74ffa,0x14ffa800,0x00000fff,0xa8009ff7,
    0x0dff34ff,0x73ffd800,0xfa8009ff,0x00dff34f,0x003ffd80,0xfd827fdc,
    0xaffc400f,0x40006ff9,0xf9003ffd,0x3fee005f,0xa7fd4004,0xeeeefffb,
    0xffffffee,0x05ffa81e,0x027fe400,0x77fe7ff4,0xefffb800,0xfffeeeee,
    0x8001efff,0x0001fffc,0xffffff93,0xdff509ff,0x7fdc0000,0xa7fd4004,
    0x54004ffb,0x3f2604ff,0x4fffffff,0xc806ff98,0xeeeeeeee,0x7ffe4c06,
    0xb84fffff,0x7d4004ff,0x009ff74f,0xff34ffa8,0xdddd900d,0x7dcddddd,
    0x7fd4004f,0x000bff54,0xff74ffc8,0x4ffa8009,0x8000bff5,0x5c004ffc,
    0x5ff704ff,0xf55ffa80,0xfc8000bf,0x5ff9004f,0x013fee00,0x3ee9ff50,
    0xffffffff,0x204fffff,0x40006ff9,0xf9803ffc,0x7001ffff,0xffffffff,
    0x09ffffff,0x0bffea00,0x7edcc000,0x220effff,0x200007ff,0x54004ffb,
    0x09ff74ff,0x004ffa80,0xfffffb73,0x03ffc41d,0x7fffffec,0x2e6007ff,
    0x0efffffd,0x50013fee,0x13fee9ff,0x229ff500,0xffd807ff,0x27ffffff,
    0x54004ffb,0x0dff34ff,0x73ffc800,0xfa8009ff,0x00dff34f,0x003ffc80,
    0xf8827fdc,0xafff406f,0x40006ff9,0xf9003ffc,0x3fee005f,0xa7fd4004,
    0xeeeefffb,0x001efffe,0xe8000fff,0xff9002ff,0x7fdc009f,0xffeeeeef,
    0x260001ef,0x00004fff,0x1bfff660,0x00001fff,0x50013fee,0x13fee9ff,
    0x009ff500,0x9bfff660,0xfd807ff8,0x7fffffff,0x3ff66000,0x013fee6f,
    0x3ee9ff50,0x7fd4004f,0xb00fff14,0xffffffff,0x0027fdcf,0x7ff93fea,
    0x97ff4000,0x54004ffb,0x01ffe4ff,0x005ffd00,0x3204ffb8,0xfff904ff,
    0x0003ffcb,0x6400bffa,0xff5002ff,0x4ffb8009,0x36209ff7,0xfe801eff,
    0x3fe0000f,0x1ffe001f,0x209ff700,0x001effd8,0x005ffe88,0xfff50000,
    0x000ffec3,0x004ffa80,0xffaa7fdc,0x27fdc004,0x3ffea000,0x0007ffe1,
    0x80007ff8,0xff51fffa,0x4ffb8009,0xb8009ff5,0x07ffe4ff,0x2a7ff800,
    0x7dc004ff,0x003ffa4f,0xf51fff80,0xffb8009f,0x0003ffa4,0x4001fff8,
    0x3a204ffb,0xfebaceff,0x3ffa5fff,0x3ffe0000,0x05ff9001,0x0017fea0,
    0x3fee7ff9,0x077fec04,0x0007ff20,0x2003ffc4,0x7dc007ff,0x77fec04f,
    0x77fec000,0x0e5cc000,0xc8ffee00,0xf98002ff,0x00bff53d,0xff53ffc8,
    0x3ffc800b,0xb8003973,0x0fff63ff,0x267ff800,0x7dc001cb,0x00bff53f,
    0xff53ffc8,0x3ffc800b,0x8000fff6,0x17fea7ff,0x647ff900,0xf10001ff,
    0x02ffd4ff,0xfc8fff20,0xff10001f,0x9ff7000f,0xffffd880,0x25ff9eff,
    0x10001ffc,0x7e400fff,0xdff3002f,0x73ffd800,0xffd009ff,0x06ffa80d,
    0x009ffb00,0x5c007ff8,0xffe804ff,0x3fff2006,0x5ff98001,0x52ffcc00,
    0xf90009ff,0x01bfe69f,0x3e67ffb0,0x7fec006f,0x800bff33,0x3fea5ff9,
    0x9ffe0006,0x4c005ff9,0x0dff35ff,0xf33ffd80,0xffd800df,0x001bfea3,
    0x3fe67ff8,0x1ffec006,0x2000dff5,0x3fe64ffd,0x1ffec006,0x2000dff5,
    0x26e44ffd,0x2007ff70,0xf13dfeca,0x037fd49f,0x004ffd80,0xf800bff2,
    0xff1000ff,0x013fee3f,0x8813ffe6,0x4c002fff,0x7c001fff,0x7fdc007f,
    0x4fff9804,0x02fffa80,0x001ffe00,0x7fc47ff5,0x3fe2001f,0x003ffe1f,
    0xff0fffc4,0x3fe2001f,0x001ffe1f,0xfff87ff5,0x8fff0004,0x7d4007ff,
    0x003ffe3f,0xff0fffc4,0x3fe2001f,0x027ffc1f,0x7fc7ff80,0xfff1000f,
    0x017ffc43,0xf07ffe60,0x3e2001ff,0x3ffe21ff,0x7ffcc002,0xf9037fc1,
    0xf300007f,0x17ffc49f,0x07ffe600,0x002ffc80,0x5c01bff6,0x13fee7ff,
    0x017ffdc0,0x2003fff7,0x8005ffe8,0x7dc007ff,0xfff7004f,0x1fffcc05,
    0x13ff2000,0x641ffd80,0xfb000eff,0x06ffd8df,0xfd8fff70,0xfff7006f,
    0x2004ffc8,0x7fd41ffd,0x7fd4003f,0x0027fe47,0x7fec3ffb,0x8fff7006,
    0xf7006ffd,0x7fff50ff,0x47ffa800,0xf7006ffd,0x3fff70ff,0x17ffa200,
    0x5c01bff6,0xfffb87ff,0xbffd1001,0x3601ffd0,0x157302ff,0x5c3ffa80,
    0xd1001fff,0xfc800bff,0x3fe6002f,0x7ffdc05f,0x8013fee3,0x3600effe,
    0x7d403fff,0xf8000eff,0x7fdc007f,0x3bffa004,0x05ffe880,0xefffa800,
    0x1bff6200,0x807bffe2,0x4c1fffd8,0x7dc05fff,0x7ffcc3ff,0x1fffdc05,
    0x803bffea,0xf906ffd8,0xe9803bff,0x7fd47fff,0x3f6200ef,0x2fffcc6f,
    0x30fffee0,0xfb80bfff,0xfff903ff,0xffe9803b,0x2fffcc7f,0x40fffee0,
    0x5403fffd,0xf980efff,0x7fdc05ff,0x7fffb03f,0x0efffa80,0xfa84ffc8,
    0xbff300ff,0x407ffc40,0x5403fffd,0x4000efff,0x64002ffc,0xbacdffff,
    0x5c6fffec,0x3e6004ff,0x3f6204ff,0xca9aceff,0x001efffe,0xb800fff0,
    0x3e6004ff,0x5ffd84ff,0x3fea0000,0xdcabceff,0xf301efff,0x535bffff,
    0x205ffff9,0xacdffffc,0x06fffecb,0x59bffff9,0x0dfffd97,0x33bfffea,
    0xefffdcab,0x3ffff201,0xffdcabdf,0xfa80dfff,0xcabcefff,0xc81efffd,
    0xbacdffff,0x906fffec,0x759bffff,0x80dfffd9,0xbdfffffc,0xfffffdca,
    0xffffc80d,0xffecbacd,0x3ff6206f,0xeca9acef,0x3201efff,0xbacdffff,
    0x206fffec,0xacefffd8,0xefffeca9,0x9ffff101,0x809fffb7,0xfd882fff,
    0xfffb105f,0xfd95359d,0x90003dff,0xf90005ff,0xffffffff,0x9ff70bff,
    0x1fffc800,0x7ffffe40,0x0dffffff,0x01ffe000,0x8009ff70,0x3ea1fffc,
    0xeeeeeeff,0xeeeeeeee,0xfffff305,0x1dffffff,0xffffe880,0x2fffffff,
    0x7ffffe40,0x05ffffff,0x7fffffe4,0x405fffff,0xfffffff9,0x800effff,
    0xfffffffa,0x01efffff,0x7fffffcc,0x00efffff,0x3ffffff2,0x405fffff,
    0xfffffffc,0x5005ffff,0xffffffff,0x803dffff,0xfffffffc,0x9005ffff,
    0xffffffff,0x9001bfff,0xffffffff,0x3200bfff,0xffffffff,0x5c00dfff,
    0xffffffff,0xffffa804,0x05fffecd,0xffffffc8,0x00dfffff,0x005ff900,
    0x3ffff660,0xf702dfff,0xffd0009f,0xfff9100d,0x0039ffff,0x800fff00,
    0xe8004ffb,0x3ffea6ff,0xffffffff,0x06ffffff,0x3fffb722,0x54003dff,
    0xfffffffd,0x3ff66003,0x02dfffff,0xfffffb30,0x22005bff,0xfffffedc,
    0xfda8003d,0x2cefffff,0x3fb72200,0x003dffff,0xffffffb3,0x366005bf,
    0xdfffffff,0xffda8002,0x02ceffff,0x3ffff660,0x4002dfff,0xffffffc8,
    0x6cc001cf,0xdfffffff,0x7fe44002,0x01cfffff,0x3ffffea0,0x3fee003e,
    0x05ffffff,0x3ffff220,0x0001cfff,0x00017fe4,0x026aa662,0x0009ff70,
    0x4007fff3,0x00019a98,0x2003ffc0,0x98004ffb,0xfff53fff,0xffffffff,
    0x0dffffff,0x00054c40,0x009a9980,0x2aa66200,0x33100009,0x80001355,
    0x00000a98,0x00006a66,0x0000a988,0x026aa662,0x554cc400,0x33000009,
    0x31000035,0x00013553,0x00335310,0x35533100,0x53100001,0x98800033,
    0x32a00009,0x40001bdd,0x00019a98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00017bb2,0x221bdb10,0x32000ded,0x0fbaa2ee,0xd8bdd300,0x774400ee,
    0x800f76c5,0x5001eee8,0x55555555,0x74c00003,0x000001ee,0x0000bdd9,
    0x0007bba2,0xed897ba6,0xdd70000d,0x4000001b,0x00005eeb,0x0007bbae,
    0x800eee98,0x00005eec,0x776c0066,0x70197003,0x00000019,0x5ddb1000,
    0x0c400000,0xd897ba60,0x200000de,0x03e983ea,0x001eeea8,0x2ffffdc0,
    0x3fea0000,0x8005ff95,0xff88fff8,0x7ff90006,0x5c00ffee,0x07ff74ff,
    0x802ffe40,0xfffffff8,0x200005ff,0x00004ffd,0x003fff10,0x0bffe200,
    0xca7fdc00,0x6c0002ff,0x000003ff,0x0003fff1,0x3bfffe60,0x7ffb0000,
    0x07ffa200,0x85f7e440,0xffa806f9,0x87f7000e,0x100006f8,0x000017d9,
    0x4000dff5,0x3e1ceeb8,0x9ffe400f,0xf3002ffc,0x07fc03ff,0xff3003fa,
    0x20001fff,0x3ffadff9,0x7fe40000,0x30004ffc,0x01ffbbff,0x7d7fec00,
    0x7fec005f,0x22005ffa,0x3a2006ff,0xeeeeeeee,0xff100004,0x6400000b,
    0x200002ff,0x0002fff8,0x13fefff6,0x1ffa2000,0x7fdc0000,0xfd100003,
    0x000bff3f,0x9800bff3,0xffd005ff,0x07ffdfff,0x8001ffd0,0x2ffdbdff,
    0xb39d0000,0x3f200009,0xff70002f,0x0bfdffff,0x3fefff60,0x3ffe6003,
    0x377fee01,0x7f4404ff,0x8006ff9f,0xffb0fff8,0xfe800003,0x5c0005ff,
    0x0001ffff,0x037fffc4,0x37fff440,0x003fee00,0x80000000,0x00000ffc,
    0x0009ff10,0x01ccc880,0x3fffa200,0x3e600005,0xf800003f,0x3600004f,
    0x09ff72ff,0x000efd80,0x4401ffa8,0xfffc98ef,0x17fcc00e,0x7fff5400,
    0xd300004f,0x800007c4,0xfd0006fd,0x3fffd715,0x3fffe200,0x7ffcc005,
    0x3ffae201,0x7fec00be,0x8009ff52,0x33222cca,0x64400003,0xb80000cc,
    0x300002cc,0x20001999,0x4000ccc9,0x988001cc,0x00066209,0x0001cc80,
    0x00132600,0x03553300,0x19993000,0x3c980000,0x264c0000,0x79930000,
    0x2000ccc8,0x2a0001cc,0x4164c02c,0x0795001a,0x001a8800,0x0f13c400,
    0x06644000,0x26132200,0xccc98002,0x66644000,0x20031000,0x665c3cc9,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd8bff20,0x0000001f,
    0x00000000,0xffffd710,0x0001bdff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75f6c000,0x00000004,0x00000000,0x00000000,
    0x13fee000,0x00fffec0,0xff737fc4,0x4ff9800d,0x7ffffffc,0xffffffff,
    0x3fea003f,0x3fe0002f,0x00dff707,0x7e44ff98,0x007ff62f,0x7ffffc40,
    0xffffffff,0xf87fffff,0xffffffff,0x3fffffff,0x3ffffee0,0x2fffffff,
    0xffffff70,0xffffffff,0x7d4003ff,0x400002ff,0x0002fffa,0x017ffd40,
    0x0005ff90,0x54007ff8,0x7c002fff,0xff50007f,0xa800005f,0x2e002fff,
    0xffffffff,0xffffffff,0x800dff71,0xfff74ff9,0xddffffff,0x4fff003b,
    0xfffffffb,0xffffffff,0x30fff01f,0x3fe00dff,0xffa803ff,0x013ffee4,
    0x7fc4ff98,0xffffffff,0x03ffffff,0x017fff60,0xf707ff80,0x7cc009ff,
    0xb17fe44f,0x320003ff,0xffffffff,0xffffffff,0xffff87ff,0xffffffff,
    0xd883ffff,0x99bcefff,0x85fffeca,0xfffffffb,0xffffffff,0x3ff6001f,
    0x6c00005f,0x00005fff,0x002fffec,0x80005ff9,0x7ec007ff,0x7fc005ff,
    0xfffb0007,0xfd80000b,0x3ee005ff,0xffffffff,0x1fffffff,0x4009fff7,
    0xfff74ff9,0xffffffff,0x7fc03bff,0x3ffffee7,0xffffffff,0xfff01fff,
    0x3003ffe0,0x900dffff,0x7ffdc5ff,0x9ff3001f,0xccccccc8,0xffdccccc,
    0xdff1003f,0x3e0001ff,0xffff707f,0x13fe6003,0x7c400000,0xdffeccff,
    0xcccccccc,0xcccc84cc,0xcccccccc,0xfc83fffd,0xffb804ff,0x677fdc2f,
    0xcccccccc,0x1000cccc,0x001ffdff,0x3fbfe200,0xf100000f,0x2001ffdf,
    0x40002ffc,0x3e2007ff,0x2000ffef,0xf88007ff,0x0000ffef,0x1ffdff10,
    0x33bfee00,0xcccccccc,0xff70cccc,0x3e6003ff,0x99dff74f,0xfffdb999,
    0x9ffe05ff,0xcccceffb,0xcccccccc,0x20fff00c,0x7e402ffc,0x7400ffcf,
    0x3ffee0ff,0xff9800ef,0x7ff40004,0x27fee005,0xff0003ff,0x3fffee0f,
    0x4ff9800e,0xf9000000,0x01ffe49f,0x3fa00000,0x1fffa85f,0x71bfea00,
    0x000009ff,0x3ff9ffb8,0x3ff70000,0x200007ff,0x03ff9ffb,0x0005ff90,
    0x2e007ff8,0x003ff9ff,0x2e001ffe,0x003ff9ff,0xff3ff700,0x13fee007,
    0xffff7000,0x9ff3001d,0x2a00ffee,0xff80ffff,0x0013fee7,0x2a0fff00,
    0x6ff404ff,0x3e202ffa,0x7fffdc6f,0x4ff9804f,0x3bff6000,0x757fa000,
    0xfff0007f,0x3ffffee0,0x04ff9804,0xff880000,0x00fff21f,0xffd80000,
    0x03fff80e,0x2e1ffe80,0x000004ff,0x07feaff4,0x3abfd000,0xfd00007f,
    0x6401ffab,0x7c0002ff,0x57fa007f,0x3fe007fe,0xd5fe8007,0x3a0000ff,
    0x200ffd5f,0x40004ffb,0x04fffffb,0xff74ff98,0x3ffe6007,0x3ee7ff85,
    0x7c00004f,0x0dff107f,0x4ff9ffc4,0xf70ffea0,0x803fff9f,0x90004ff9,
    0x4c003fff,0x05ff73ff,0x2e0fff00,0x01fffcff,0x5eda7fcc,0x801f7440,
    0x7fe45ffc,0x90000003,0xff303fff,0x37ea000d,0x0013fee1,0x73ff9800,
    0x980005ff,0x05ff73ff,0x73ff9800,0xff9005ff,0x7ff80005,0x2e7ff300,
    0xfff002ff,0x73ff9800,0x980005ff,0x05ff73ff,0x0009ff70,0xfffcffb8,
    0xba7fcc01,0x3a2003ff,0x73ffc2ff,0x800009ff,0x1ffa07ff,0xffb1ffa8,
    0x2e0ffe40,0x0effbaff,0x0013fe60,0x000bffea,0x3fe63ffb,0x07ff8005,
    0xdff75ff7,0xfa7fcc01,0x27fcc06f,0x20fffc40,0x00003ffc,0x02fffa80,
    0x00009ff9,0x0004ffb8,0x4c7ff600,0x6c0005ff,0x0bff31ff,0x31ffd800,
    0xff900bff,0x7ff80005,0x263ffb00,0xfff005ff,0x31ffd800,0xd8000bff,
    0x0bff31ff,0x0009ff70,0xffbaffb8,0x53fe600e,0x5c003ffb,0x73ffc5ff,
    0x800009ff,0x3ff207ff,0x7dcff901,0x70ffd01f,0x13ffa5ff,0x4004ff98,
    0x4004fff9,0x7ff46ff8,0x83ffc000,0x9ffd2ffb,0xffa7fcc0,0x027fcc06,
    0x7e42ffdc,0x4000003f,0x3e04fff9,0x400002ff,0x00004ffb,0xfe8dff10,
    0xff10000f,0x000ffe8d,0xfe8dff10,0x17fe400f,0x01ffe000,0xffd1bfe2,
    0x00fff001,0x3fa37fc4,0xff10000f,0x400ffe8d,0x40004ffb,0x9ffd2ffb,
    0xfba7fcc0,0x7fc4003f,0xff73ffc6,0xff800009,0x40ffea07,0x0ffe64ff,
    0x3ee17fe2,0x05fff32f,0x88013fe6,0xb8005ffe,0x27fdc3ff,0x5c1ffe00,
    0x5fff32ff,0x7fd3fe60,0x027fcc06,0x7e40fffc,0x2000003f,0x7c05ffe8,
    0x400001ff,0x00004ffb,0xfb87ff70,0xff70004f,0x004ffb87,0xfb87ff70,
    0x17fe404f,0x01ffe000,0xff70ffee,0x00fff009,0x3ee1ffdc,0xff70004f,
    0x404ffb87,0x40004ffb,0xfff32ffb,0x5d3fe605,0xfe8003ff,0xfb9ffe0f,
    0x7c00004f,0x17fe207f,0xbff0bfe6,0xf707ff50,0x077fdc5f,0xb0027fcc,
    0xd0001dff,0x7ff881ff,0xb83ffc00,0x3bfee2ff,0xff4ff980,0x04ff980d,
    0xfc82ffdc,0x999999bf,0xd8001999,0x3e200eff,0xb800007f,0x99999dff,
    0x09999999,0x440ffe80,0xfd0007ff,0x07ff881f,0x881ffd00,0x7fe407ff,
    0x3ffc0002,0x2207ff40,0x7ff807ff,0x103ffa00,0x3a000fff,0x3ffc40ff,
    0x2677fee0,0x99999999,0x8bfee099,0xf980effb,0x007ff74f,0x7fc3ffb0,
    0x2677fee7,0x99999999,0x1ffe0099,0xff70ffd0,0x640ffd81,0x2ffb80ff,
    0x7cc27ff4,0xfff9004f,0xbff30003,0x800bff60,0x5ff707ff,0xf984ffe8,
    0x980dff4f,0x7ff404ff,0xfffff901,0xffffffff,0x7ffe4003,0x037fcc01,
    0x77777764,0x3ffee6ee,0xffffffff,0x4c02ffff,0x5ffb05ff,0x05ff9800,
    0x98005ffb,0x5ffb05ff,0x0017fe40,0xf301ffe0,0x0bff60bf,0x2600fff0,
    0x5ffb05ff,0x05ff9800,0x7dc05ffb,0xffffffff,0x22ffffff,0x7ff42ffb,
    0xf74ff984,0xff90007f,0xff73ffc5,0xffffffff,0x405fffff,0x7fe407ff,
    0x7d437ec0,0xb837f42f,0x7ffcc2ff,0x4027fcc2,0x0002fffa,0x3ea05ff9,
    0x1ffe005f,0x3e617fdc,0xa7fcc2ff,0x7fcc06ff,0x81bfea04,0xfffffffc,
    0x01ffffff,0x005fff50,0xfb00fff1,0xffffffff,0x7fffffdc,0xffffffff,
    0x17fe402f,0x4005ffa8,0xff502ffc,0x2ffc800b,0x640bff50,0x7c0002ff,
    0x17fe407f,0x7c05ffa8,0x5ff9007f,0x0017fea0,0x3ea05ff9,0x3ffee05f,
    0xffffffff,0x3ee2ffff,0x17ffcc2f,0x7fdd3fe6,0x3ffc8003,0xfffb9ffe,
    0xffffffff,0x3e02ffff,0x17fcc07f,0xff107ff1,0xb827fc49,0xeffb82ff,
    0x3013fe60,0x40009fff,0x7ffc07ff,0x20fff000,0xffb82ffb,0x7d3fe60e,
    0x27fcc06f,0x6405ffd0,0xaaaaacff,0x800aaaaa,0x1004fff9,0xffb00fff,
    0x4fffffff,0xaaaadffb,0xaaaaaaaa,0x203ffc00,0x3e000fff,0x07ffc07f,
    0xf80fff00,0x5ff900ff,0x07ff8000,0x3fe03ffc,0x01ffe00f,0x3fe03ffc,
    0x1ffe000f,0x2e01fff0,0xaaaaadff,0x0aaaaaaa,0x3ee0bfee,0x53fe60ef,
    0xd8003ffb,0xb9ffe2ff,0xaaaaadff,0x0aaaaaaa,0x3e01ffe0,0x407fea4f,
    0x0bfea6fe,0xfe817fdc,0x813fe64f,0x0005ffe8,0x2aabbfea,0x4ffdaaaa,
    0x2e0fff00,0x9ffd02ff,0x6ffa7fcc,0xa827fcc0,0xaaaaafff,0x003ffdaa,
    0x17ffa200,0x003fff00,0xff73ffc0,0xfa800009,0xaaaaaaef,0x5004ffda,
    0x55555dff,0x009ffb55,0x2aabbfea,0x4ffdaaaa,0x0005ff90,0x3ea07ff8,
    0xaaaaaaef,0x3e04ffda,0xeffa807f,0xdaaaaaaa,0xff5004ff,0x5555555d,
    0x3ee09ffb,0x7dc0004f,0x49ffd02f,0x7ff74ff9,0x43ffd000,0x13fee7ff,
    0x0fff0000,0x3fe4dfb0,0x7fe4ff90,0x205ff700,0xff32fff9,0x077fec09,
    0xffffb000,0xffffffff,0x1ffe00ff,0xf9817fdc,0x29ff32ff,0x7fcc06ff,
    0xfffffd04,0xffffffff,0x7ec00007,0x7ec000ef,0x3fe0003f,0x0013fee7,
    0xfffffb00,0xffffffff,0x3fff600f,0xffffffff,0xffb007ff,0xffffffff,
    0x3f20ffff,0x7fc0002f,0x3ffff607,0xffffffff,0x01ffe07f,0x3ffffff6,
    0x7fffffff,0xfffffb00,0xffffffff,0x013fee0f,0x205ff700,0xff32fff9,
    0x000ffee9,0x7ff83ffe,0x00013fee,0xf700fff0,0xa817fa1f,0x40bfd1ff,
    0x3f202ffb,0x04ff98ff,0x0003fff9,0x7fffffc4,0xffffffff,0x07ff802f,
    0x7e405ff7,0xf4ff98ff,0x4ffa80df,0xffffffa8,0xffffffff,0xff900003,
    0xff50003f,0x3ffc000d,0x00009ff7,0x7fffffc4,0xffffffff,0x7ffc402f,
    0xffffffff,0x4402ffff,0xffffffff,0x2fffffff,0x0002ffc8,0xff883ffc,
    0xffffffff,0xf02fffff,0xfff880ff,0xffffffff,0x4402ffff,0xffffffff,
    0x2fffffff,0x0004ffb8,0xf9017fdc,0x29ff31ff,0x44003ffb,0x73ffc7ff,
    0x800009ff,0xff9807ff,0x7c03ff9a,0x5c07ff3f,0x7ff402ff,0xfa84ff9c,
    0x5c0002ff,0xff7003ff,0x20fff00d,0x7f402ffb,0xfd4ff9cf,0x84ffb80f,
    0xaaaacffe,0x3ffdaaaa,0xfffa8000,0x3ffe0002,0x4fff0004,0x00004ffb,
    0x5c00ffee,0x7fdc06ff,0x0dff7003,0x7003ffb8,0x5ff90dff,0x07ff8000,
    0x2e007ff7,0x0fff06ff,0x7003ffb8,0xffb80dff,0x0dff7003,0x80009ff7,
    0x7f402ffb,0xf74ff9cf,0xffc8007f,0xff73ffc5,0xff800009,0xf77ff007,
    0x9dfd801f,0x3fee01ff,0x67ffcc02,0x7ffcc4ff,0xffe80003,0x3fff1000,
    0xf707ff80,0xfff9805f,0x1ffd4ffc,0x2627fec0,0xff9006ff,0xff980007,
    0x7d40003f,0x7d4003ff,0x013fee7f,0x00ffe800,0x403fff10,0xf1000ffe,
    0x7ff403ff,0x3fff1000,0x0002ffc8,0xffe83ffc,0x3fff1000,0xfe80fff0,
    0xfff1000f,0x007ff403,0x5c1fff88,0x5c0004ff,0x7fcc02ff,0xff74ffcf,
    0x7ffcc007,0xff73ffc1,0xff800009,0xfbbfb007,0xf7df700d,0x02ffb80f,
    0x4fffffc8,0x0017ffa2,0x001bfe60,0xff809ff9,0x005ff707,0x29fffff9,
    0xff904ffc,0x03ffd89f,0x0007ff90,0x002fff44,0x1dfffc80,0x3ffff4c0,
    0x00009ff7,0x9001bfe6,0x3fe609ff,0x27fe4006,0x4006ff98,0x7fe44ffc,
    0x3ffc0002,0x20037fcc,0x7ff84ffc,0x001bfe60,0x3e609ff9,0x7fe4006f,
    0x0027fdc4,0x200bfee0,0x74fffffc,0x7f4007ff,0x2e7ff85f,0x400004ff,
    0xff7007ff,0xff3009ff,0xffb80bfd,0xffffd002,0x002ffec9,0x003ffc80,
    0x3e03ffcc,0x05ff707f,0x53ffffa0,0xa89cfff9,0x264ffffd,0x3f2007ff,
    0x3f60003f,0x6400005f,0xabdfffff,0xdfffffdc,0x0013fee0,0x001ffe40,
    0x7e41ffe6,0x7fcc003f,0x007ff907,0x7e47ff98,0x7fc0002f,0x003ffc87,
    0x7fc3ffcc,0x00fff207,0x320fff30,0x7cc003ff,0x027fdc7f,0x00bfee00,
    0xba7ffff4,0x7d4403ff,0x7ff81fff,0x00013fee,0x2200fff0,0xf002ffff,
    0xfb805fff,0xfff3002f,0x3bffea9f,0xeeeeeeee,0x7c5eeeee,0xfe8000ff,
    0x41ffe03f,0xf3002ffb,0x7fec9fff,0xf8efffff,0x00fff64f,0xeeeeffc8,
    0xeeeeeeee,0xdddfff52,0xdddddddd,0x7d40bddd,0xffffffff,0xfb81efff,
    0xeeeeeeff,0x4eeeeeee,0x40007ffc,0xfff83ffe,0x3ffe8000,0x8000fff8,
    0x3ff23ffe,0xeeeeeeee,0x7ff84eee,0x8000fff8,0x3ffc3ffe,0x0001fff0,
    0xfff07ffd,0x7ffd0001,0x7777ffdc,0xeeeeeeee,0x05ff74ee,0x53fffe60,
    0xeeeeeffb,0xffffffee,0x7dcfff01,0xeeeeeeff,0x4eeeeeee,0x7400fff0,
    0x3f6007ff,0x7fdc00ff,0x3fff2002,0xffffff54,0xffffffff,0x7fd4dfff,
    0xdff70005,0xfb83ffc0,0x3ff2002f,0x7fff5c4f,0x269ff0df,0x32000fff,
    0xffffffff,0x53ffffff,0xffffffff,0xffffffff,0xffb500df,0x059dffff,
    0x7fffffdc,0xffffffff,0x17fea5ff,0x237fdc00,0x70005ffa,0x5ffa8dff,
    0x4dff7000,0xfffffffc,0x85ffffff,0x2ffd47ff,0x46ffb800,0xbff507ff,
    0x1bfee000,0x2000bff5,0x3fee6ffb,0xffffffff,0x75ffffff,0x7e4005ff,
    0xffff74ff,0xffffffff,0x3ffc03bf,0xfffffff7,0xffffffff,0x01ffe0bf,
    0x2005ffc8,0xfb806ffa,0x7ff4002f,0xffffff54,0xffffffff,0x7fecdfff,
    0xfff10002,0x5c1ffe03,0x7f4002ff,0x0035104f,0xc8009ffb,0xffffffff,
    0x53ffffff,0xffffffff,0xffffffff,0xa99800df,0x3ffee001,0xffffffff,
    0x365fffff,0xf10002ff,0x17fec3ff,0x1fff8800,0x4000bff6,0xff91fff8,
    0xffffffff,0xfff0bfff,0x0002ffd8,0x7fc3fff1,0x005ffb07,0xd87ffe20,
    0xf10002ff,0x3ffee3ff,0xffffffff,0xf75fffff,0xffe8005f,0xffffff74,
    0x039bdfff,0x7fdcfff0,0xffffffff,0x05ffffff,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07bba600,0x3a376c00,0x2a00005e,
    0xb0000dee,0x02f6c1dd,0x0e540a88,0x802f76c0,0x0015302a,0x80017bb2,
    0xd3005eec,0x0177547d,0xdd12f740,0xe8ddb009,0x5555305e,0x00155555,
    0xddb07764,0x4ccc4000,0x00999999,0x7fffffdc,0x31002fff,0x00013555,
    0x00066620,0x00000004,0x00200000,0x33100000,0x40019981,0x80009aa9,
    0x26661998,0x00000000,0x0001fff5,0x0004ffd8,0x0fff1ffa,0x1fff4000,
    0x41ffd000,0x7ec407ff,0x1fe9adff,0x27fffe40,0x3e217e40,0xffff7006,
    0xfff7000b,0x9ff3009f,0x4001ffdc,0x17fe26ff,0xdff1ffe0,0x3ffffee0,
    0x2002ffff,0x1ffa1ffd,0xffffa800,0x403fffff,0xfffffffb,0x7ed402ff,
    0x1cffffff,0x27ff4000,0xfffdc880,0x227db03e,0x00cdffdb,0x0fee13ea,
    0x37fffae0,0x229d900b,0x00bdffdb,0xffb9bfea,0xfffd5004,0x74003dff,
    0x1fff53ff,0x13fe6000,0x03ffea00,0x05ff9800,0x3e3ff400,0xf300007f,
    0xfe80009f,0x701ffe0f,0xfffffbff,0xbdffa80d,0x77c403ff,0x802fdb9b,
    0x3ffadff9,0x2f7fea00,0x7fcc03ff,0x000ffee4,0x5ff89bfe,0x7fc7ff80,
    0xfffff706,0x4005ffff,0x1ffa1ffd,0xffffa800,0x403fffff,0xaaaaaaa8,
    0xffd100aa,0xffffffff,0x3ea000bf,0xffd3006f,0x81dfffff,0xfffe8cfe,
    0x3a01efff,0x80ff50af,0xffffffe8,0x8dfe80ef,0xfffffffe,0x26ffee00,
    0xff9005ff,0x7fffffff,0x74bff500,0x331001ff,0x13bff533,0x07ffd400,
    0x01df9000,0x644cb800,0xfb00004c,0x9970000d,0x7ec04cc8,0x039fb511,
    0xfd87ffc4,0x7ffe401f,0xff8806ff,0x003ffb0f,0x3f61fff1,0x8b32201f,
    0xc8002cc9,0x00f3223c,0x07991332,0x65c00000,0x00132e0c,0x99999988,
    0x00000999,0x37fffe60,0xfffdb9ab,0x7f4000ef,0xfff9800f,0x5fffc9bd,
    0x6ffff7f4,0x206fffca,0x3ffffffa,0x4e7fff40,0x740effeb,0xcadffeef,
    0x7ec06ffe,0xb800efef,0xfb31cfff,0xffe803ff,0x4009ff30,0xfffffffc,
    0x326006ff,0x320000cc,0x2200001c,0x00009aa9,0x00019910,0x03300000,
    0x10e65400,0x95100799,0x332a0017,0x200f3222,0x33221cca,0x00000003,
    0x00000000,0x00000000,0x00000000,0xff880fff,0x7fd401ff,0x3fe6006f,
    0x07ffb001,0x7f45ffd1,0x7fc40bff,0x3bae602f,0x2ffe401c,0x7f44ffb8,
    0x7f440bff,0x3ffa202f,0xfff8801f,0x40bff701,0x17f61ff9,0xddddd700,
    0x000bdfff,0x00000000,0xffffed98,0x00002dff,0x13fee000,0x009ff500,
    0x00000000,0x00000000,0xfffff700,0xffffffff,0x54003fff,0xf0002fff,
    0xffff70ff,0xffffffff,0x3ee3ffff,0xfd8001ff,0x7fd4006f,0x3fe0002f,
    0x06ffec07,0x03fffa80,0x26001310,0x3fea05ff,0xb813ffa5,0x400004ff,
    0xff101ffe,0x205ffe8f,0x4c403ffa,0xdff50009,0x807ffc40,0x004cc098,
    0x827fcc00,0xfffffffb,0xffffffff,0xfffff71f,0xffffffff,0x7dc03fff,
    0xffffffff,0xff700eff,0xffb0003f,0x0027fdcd,0xff813fea,0xfffff707,
    0xffffffff,0x3fe03fff,0x009ff507,0xffd4ffa8,0xffff7000,0xffffffff,
    0x4003ffff,0x0005fffd,0xfff70fff,0xffffffff,0x743fffff,0x7d4006ff,
    0x7ec000ff,0x3e0005ff,0x3ffe607f,0x7ffe4001,0x214c0000,0x6ec00ffd,
    0x9807ffa4,0x200004ff,0x7ec06ff8,0x80bffa1f,0x00004ff9,0x6403ffc8,
    0x000001ce,0x413fe600,0xfffffffb,0xffffffff,0xfffff71f,0xffffffff,
    0xfb103fff,0xb5357bff,0x203dffff,0x54006ffe,0x3fee0fff,0x27fd4004,
    0x3ee0fff0,0xffffffff,0x1fffffff,0x3ea0fff0,0x7fd4004f,0x7000ffd4,
    0x99999dff,0x99999999,0x3bfe2001,0xff8000ff,0xcceffb87,0xcccccccc,
    0x3fe60ccc,0xfff1003f,0xeff88007,0xff0000ff,0x027fe40f,0x203ffd80,
    0x8ceffeda,0x9ff11fe8,0x03ffa000,0xb305ff88,0x8039dffd,0x07fec008,
    0x7c401ffd,0xffd9305f,0xffc8039d,0xdb300003,0x20039dff,0xf33dfeca,
    0x3bfee09f,0xcccccccc,0xf70ccccc,0x999999df,0x19999999,0x807fffb0,
    0x980ffff9,0xf1003fff,0x4ffb87ff,0x027fd400,0x3fee0fff,0xccccccce,
    0x00cccccc,0x3fea0fff,0xa7fd4004,0xfb8007fe,0x4000004f,0x03ff9ffb,
    0xfb87ff80,0xf700004f,0xff9001ff,0x3ff7000b,0x3e0007ff,0x03ffe07f,
    0x437fdc00,0xffffffd8,0x3e64feff,0xffd0002f,0x445ff880,0xfffffffd,
    0x3e20003f,0x403ff46f,0xfffc85ff,0x203fffff,0x40004ffb,0xffffffd8,
    0x3fa203ff,0xfaefffff,0x09ff704f,0x04ffb800,0x1dff5000,0x17ffe600,
    0x4007ffdc,0xffb85ffc,0x27fd4004,0x3ee0fff0,0x7c00004f,0x09ff507f,
    0xfd4ffa80,0x9ff7000f,0xfe800000,0xf000ffd5,0x09ff70ff,0x2fff4000,
    0x003ffe60,0x3ff57fa0,0x307ff800,0x4c000fff,0x7ff40fff,0xfffebabe,
    0xb88ffd47,0xfd01cdfd,0x45ff880f,0xcaabeffe,0x88005fff,0x3ff43ffe,
    0x3f62ffc0,0xffcaabff,0x0dff504f,0xbeffe800,0x05fffcaa,0xd757dffb,
    0x2e09ffff,0x5c0004ff,0xd00004ff,0xfa8005ff,0xbffd01ff,0x80fff980,
    0x54004ffb,0x1ffe04ff,0x00027fdc,0x7d41ffe0,0x7fd4004f,0x7000ffd4,
    0x000009ff,0xffb9ffcc,0x43ffc002,0x00004ffb,0xe80bffe6,0xf98002ff,
    0x005ff73f,0x3ea0fff0,0x3e20006f,0x37ff21ff,0x22fffb80,0xfff98ffb,
    0xfe83ffff,0x72ffc407,0xfd301bff,0xfd95005f,0x0ffd05ff,0x7fd4bff0,
    0x1ffe880d,0x000fff88,0x301bff70,0xffc85ffd,0x09fffb04,0x00013fee,
    0x00009ff7,0x2000bff7,0xff304ffc,0x17ff405f,0x4004ffb8,0x3fe04ffa,
    0x009ff707,0x507ff800,0xfa8009ff,0x000ffd4f,0x00009ff7,0xf98ffec0,
    0x3ffc005f,0x00027fdc,0x203ffee0,0xb0005ffc,0x17fe63ff,0x5c1ffe00,
    0x740004ff,0x1fff32ff,0x4dfffd10,0xceffaffc,0x744fffec,0xaffc407f,
    0x2600fff8,0xffe806ff,0x0ffd03ff,0x7ff4bff0,0x997fe600,0xeeefffee,
    0x7fc400ee,0x9bfe600f,0x7fc06ff8,0x09ff704f,0x04ffb800,0x01ffd800,
    0x40fff300,0xfc80fffb,0x13fee05f,0x409ff500,0x9ff707ff,0x7ff80000,
    0x8009ff50,0x2ffd4ffa,0x0bdffdc8,0x00027fdc,0x746ff880,0x3fe000ff,
    0x004ffb87,0x45ffe800,0x8000fff9,0x7ff46ff8,0x83ffc000,0x40004ffc,
    0x7ff72ffd,0x3ff73f60,0x07ffffb1,0x7f43fff5,0xaaffc407,0xffd803ff,
    0x7ff77c01,0x03ff40cf,0x4ffaaffc,0xf30ffe80,0xffffffff,0x3ffa801f,
    0xf31ffd80,0x4ffb807f,0x0009ff70,0x0004ffb8,0x0000fff8,0x7403fff1,
    0x7ffcc5ff,0x013fee00,0x7c09ff50,0x09ff707f,0x07ff8000,0xa8009ff5,
    0xd3ffd4ff,0x1dffffff,0x00027fdc,0x5c3ffb80,0x3fe004ff,0x004ffb87,
    0x2fff9800,0x4000bffa,0x7fdc3ffb,0x83ffc004,0x40004ffb,0x3ff91ffe,
    0x3feebf70,0x407fffb2,0x1ffa6ffa,0x3f2bff10,0x2ffb801f,0x0fffe400,
    0xbff00ffd,0x3200bfee,0xfb9911ff,0x019999df,0xb801ffc8,0x03ff72ff,
    0xf704ff98,0xfb80009f,0x7c40004f,0x7f40007f,0x3ffe602f,0x700bffa2,
    0xfa8009ff,0x41ffe04f,0x00004ffb,0xffa83ffc,0xa7fd4004,0xbceffffe,
    0x3ee6fffd,0x999999df,0x00999999,0x7c40ffe8,0x1ffe007f,0x26677fee,
    0x99999999,0x6ffb8009,0x40009ff7,0x7fc40ffe,0x83ffc007,0x40006ffa,
    0x1ffb0fff,0xff50ff98,0x201bff27,0x0ffd0ffe,0xffb5ff88,0x09ff5001,
    0x749ff700,0x95ff807f,0xffffffff,0x05ffffff,0xb000dff1,0xff5001ff,
    0x1003ff29,0x3fee09ff,0x9999999d,0x2e099999,0x99999dff,0x09999999,
    0x0001bfe6,0xfb807ffb,0x009ff76f,0xa8009ff7,0x1ffe04ff,0x4cceffdc,
    0x99999999,0x41ffe009,0xcccceffa,0xdccccccc,0x9fffd4ff,0x2e3ffd10,
    0xffffffff,0x2fffffff,0xd82ffcc0,0xfff002ff,0xffffff70,0xffffffff,
    0x3ffa005f,0x0000effc,0x3f60bff3,0x1ffe002f,0x0003ffcc,0x3ff4fff1,
    0xff987fe2,0x9009ff74,0x01ffa3ff,0x1ffabff1,0x002ffcc0,0x1ffa7fe8,
    0x7fed7fe0,0xffffffff,0xff03ffff,0x0ffd000d,0x7f57fe60,0x209ff007,
    0xfffffffb,0xffffffff,0x3ffffee2,0xffffffff,0x17fea2ff,0x09ff9000,
    0xdff9ffd0,0x09ff7001,0x204ffa80,0xfff707ff,0xffffffff,0x7c05ffff,
    0xffff507f,0xffffffff,0x3a9fffff,0x3fea05ff,0xffffff72,0xffffffff,
    0x2ffc805f,0x200bff50,0xfffb87ff,0xffffffff,0x3002ffff,0x003fffff,
    0xa817fe40,0x3fe005ff,0x003ffe07,0xfd2ffd40,0x2a1ff41f,0x07ff73ff,
    0x3fa5ff70,0xeaffc407,0xff9800ff,0x3ffb0004,0x3fe01ffa,0x5557ffb5,
    0x55555555,0x009ff303,0x3001ffd0,0x03ff69ff,0x7dc13fe0,0xffffffff,
    0x22ffffff,0xfffffffb,0xffffffff,0x001bfe62,0x3007ff90,0x003fffff,
    0x50013fee,0x3ffc09ff,0xffffffb8,0xffffffff,0x41ffe02f,0xfffffffa,
    0xffffffff,0x05ffd4ff,0xffba7fcc,0xaaaaaaad,0x400aaaaa,0x7ffc07ff,
    0xb87ff800,0xaaaaadff,0x0aaaaaaa,0x13fff200,0x80fff000,0xff000fff,
    0x02ffe40f,0xb1fff402,0x217f25ff,0x9ff52ffb,0x3a3ff900,0xaffc407f,
    0xfa801ffc,0x0015313f,0x1ffa5ff9,0x7fe57fe0,0xffb80002,0x1ffc8003,
    0xf73ffa80,0x4ff8803f,0x555bff70,0x55555555,0x56ffdc15,0xaaaaaaaa,
    0x3ffc0aaa,0x0bffa000,0x027ffe40,0x8009ff70,0x3fe04ffa,0x55bff707,
    0x55555555,0x3ffc0155,0x999dffa8,0x99999999,0x1ffd4ffb,0xfbaffc40,
    0x5400004f,0xaaaaaeff,0x804ffdaa,0x4ffb87ff,0xff800000,0x7fd40007,
    0xaaaaaaae,0xff004ffd,0x0fffcc0f,0x7fdc3bf0,0x2affee0e,0x1ffc80ef,
    0xfb00dff1,0x4009880f,0xfc802ffb,0x007ff72f,0xf0003ffb,0x00ffeabf,
    0x37ec0266,0x02ffb800,0xff52ffc8,0x04ffa805,0x80009ff7,0x80004ffb,
    0x20000ffe,0x3e001fff,0x7fd4007f,0x27fdc004,0x3ee0fff0,0x7c00004f,
    0x09ff507f,0xfd4ffa80,0x75ff880f,0x800009ff,0xfffffffd,0x07ffffff,
    0xffb87ff8,0xf8000004,0x7ec0007f,0xffffffff,0xf007ffff,0xeffc80ff,
    0xadfffa80,0x7fd41fff,0xff881ffe,0x100ffe47,0xffd80bff,0x0dff301e,
    0xf30fff88,0x7ff880df,0x35ff8800,0x7c401fff,0x0ffcc1ff,0x06ff9800,
    0xf887ffc4,0x27fec06f,0x0004ffb8,0x00027fdc,0x8000ffe4,0x7c007ff8,
    0x7fd4007f,0x1ffe4005,0x3ee0fff0,0x7c00004f,0x09ff507f,0xfd4ffa80,
    0x75ff880f,0x400009ff,0xfffffff8,0xffffffff,0x5c3ffc02,0x000004ff,
    0x20007ff8,0xfffffff8,0xffffffff,0x407ff802,0x982fffe8,0x04fffffd,
    0x3607fffd,0x7ffc43ff,0x807ffb00,0x3606feb9,0x3ff603ff,0xd01fff44,
    0xf10007ff,0x027fe49f,0xff98dffb,0x40009a9c,0x3f603ffd,0x81ffec4f,
    0xf704fffa,0xfb80009f,0xfa80004f,0xffb0006f,0x07ff8009,0x0037fcc0,
    0xff80fff6,0x009ff707,0x507ff800,0xfa8009ff,0x880ffd4f,0x09ff75ff,
    0x1ffdc000,0x406ffb80,0x4ffb87ff,0xff800000,0x3fee0007,0x0dff7003,
    0xd100fff0,0x7359dfff,0x03fffff9,0x22b7ffe6,0xb05ffea8,0x36617dff,
    0x3ea004ff,0xbfff101f,0x17ffa623,0x44b7ffe6,0x0006ffea,0x7fc47ff7,
    0xfda889ef,0x3ffe61ff,0xbdffffff,0x7c42fdba,0xfd311dff,0x33ffa0bf,
    0x9ffff711,0x0013fee0,0x0009ff70,0x005fff10,0x001fff98,0x7c003ffc,
    0xff1000ff,0x83ffc03f,0x00004ffb,0xffa83ffc,0xa7fd4004,0x7fc407fe,
    0x0009ff75,0x8007ff40,0x3e01fff8,0x04ffb87f,0x7ff80000,0x03ffa000,
    0x00fffc40,0x6c401ffe,0xffffffff,0x0cffffff,0x7fffffdc,0x200effff,
    0xfffffffc,0x6554405f,0x7f4c06fe,0x5fffffff,0x3ffffea0,0x000dffff,
    0x03fffba6,0xffffffd3,0xff985fff,0xffffffff,0x985fffff,0xfffffffe,
    0x3ffe205f,0xffafffff,0x009ff704,0x004ffb80,0x03fff700,0x017ffa20,
    0x2001ffe0,0xf7006ffd,0x07ff80ff,0x00009ff7,0xff507ff8,0x4ffa8009,
    0xff880ffd,0x0009ff75,0x001bfe60,0x7fc09ff9,0x004ffb87,0x07ff8000,
    0x00dff300,0x7c04ffc8,0x7e4c007f,0x8cffffff,0xf33fffe9,0xffffb73f,
    0x3faa007f,0x9803dfff,0x802fffff,0xdfffffc8,0xfffd8803,0xa8002fff,
    0x3204ffff,0x0cffffff,0x54137fd0,0x4fffffec,0xfffff910,0xfd71007b,
    0x13fe3dff,0x00027fdc,0x00013fee,0x403fffd8,0x000efffa,0x98007ff8,
    0x7dc05fff,0x3ffc03ff,0x0004ffb8,0xfa83ffc0,0x7fd4004f,0xf880ffd4,
    0x009ff75f,0x00fff200,0x7c0fff30,0x04ffb87f,0x7ff80000,0x07ff9000,
    0x407ff980,0x260007ff,0xfd5009a9,0x2660be67,0x02a60000,0x0accb880,
    0x001a8800,0x00026a60,0x002ceca8,0x03003531,0x8006aa20,0x220001a8,
    0x7fdc000a,0x7fdc0004,0x36200004,0xa9acefff,0x01efffec,0x000fff00,
    0x337ffff2,0x6fffecba,0xf707ff80,0xf800009f,0x09ff507f,0xfd4ffa80,
    0x75ff880f,0xdddddfff,0xdddddddd,0x000fff89,0xff03ffe8,0xddfff70f,
    0xdddddddd,0x7c009ddd,0xfff0007f,0x7ffd0001,0x0003ffc0,0x00017000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xddddfff7,
    0xdddddddd,0x3bffee9d,0xeeeeeeee,0x3204eeee,0xffffffff,0x0000dfff,
    0xc8001ffe,0xffffffff,0xff005fff,0x3bffee0f,0xeeeeeeee,0xff04eeee,
    0x013fea0f,0x3fa9ff50,0xbaffc407,0xffffffff,0xffffffff,0x0017fea5,
    0xff837fdc,0xfffffb87,0xffffffff,0x3e005fff,0xffa8007f,0xdff70005,
    0x0003ffc0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0xffffffff,0xffffffff,0xffffff75,0xffffffff,0xfc880bff,
    0x1cffffff,0x07ff8000,0x7ffecc00,0x002dffff,0x7fdc1ffe,0xffffffff,
    0x05ffffff,0x3fea0fff,0xa7fd4004,0x7fc407fe,0xffffff75,0xffffffff,
    0x17fecbff,0x1fff8800,0xffb87ff8,0xffffffff,0x05ffffff,0x2001ffe0,
    0x10002ffd,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff7,0xffffffff,0x3fffeebf,0xffffffff,
    0x2005ffff,0x00019a98,0x0003ffc0,0x09aa9988,0x707ff800,0xffffffff,
    0xffffffff,0x541ffe0b,0x7d4004ff,0x880ffd4f,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc0000,0x35530000,0x00000001,0x00000040,
    0x40154400,0x33100000,0x4c000003,0x000001aa,0x3104cc40,0x02662003,
    0x004cc400,0x00026662,0x8000336a,0x001aaa98,0x33104cc4,0x00000000,
    0x00a98800,0x00000000,0x08000000,0x44199800,0x00000099,0x4cc00000,
    0x8004cc41,0x00000998,0x077fe400,0xfd727fd4,0x03bfffff,0x3bffb2e0,
    0x6d4000cd,0x800defff,0x04fa85f8,0x6dc17f20,0x0001ceff,0xdb07fff1,
    0x00b7fae7,0x3dffffd3,0x5c27cc00,0x45ff903f,0x7cc01ffd,0xf88006ff,
    0xffe802ff,0x65f54004,0x7ecc000f,0x0cffffff,0x323ffb80,0xec9801ff,
    0x0001ceff,0x64427fdc,0x0dfffffe,0xfffffff5,0x20bfffff,0x04fa85f8,
    0xfa7fcc00,0xfffb306f,0xff90017b,0x200fff47,0x1cefffdb,0xf0007ff8,
    0x93fee0ff,0xfb002ffd,0x204003ff,0xff8807fe,0x19ff500f,0xfffffffd,
    0x74c03fff,0xffffffff,0xfffb002f,0x007fffff,0x3fa617fb,0x10bfa000,
    0xfffffffb,0xffb8001f,0xff59fd04,0x7fd40dff,0x01ffffff,0x7d42bfa0,
    0xd8bff207,0x3fe201ff,0x64004ffe,0xff1004ff,0x9174001f,0x3ff62007,
    0xffffffff,0x1ffdc03f,0xfc803ff9,0x3fffffff,0x13fee000,0xffffffd3,
    0xfff51dff,0xffffffff,0x85fec0bf,0x40000fe9,0x0dff4ff9,0xfffffff9,
    0x1ffd001d,0x74405ff7,0xffffffff,0x8003ffc3,0x3ff607ff,0x9004ffaa,
    0x801ffdff,0x03ff43fa,0xf5017fdc,0x37dffdbf,0x1dfff953,0x59dfff30,
    0x00fffd75,0xd55bfff9,0xf9805fff,0x004fffff,0xffd03fe2,0xdff7337f,
    0x206ff800,0xfffffdfe,0x25fff103,0x2006ffc8,0x3ffffffa,0xfd8bff20,
    0x27ff601f,0xf1002ffb,0xff9800df,0x3c8b6004,0xdfffe980,0xfffdb99a,
    0x8ffee03f,0x3f601ffc,0xffcaabff,0xff70004f,0x67fffcc9,0xbeffc989,
    0xcccccdff,0x2602cccc,0x04ffffff,0xd4ff9800,0xbfffb8df,0x01fffca9,
    0x27ff7fc4,0x2af7ffa0,0x3e3fffdb,0xfff0007f,0x7ff7f440,0x1bff5005,
    0x7fd40dff,0x7c03f6c3,0x7ffd404f,0x3fa600ff,0x03ffc85f,0xf980bffa,
    0xfffa80ff,0x67f5c400,0x237d4001,0xf980effb,0x1ff7005f,0x85ffff40,
    0x09ff7009,0x4c001ffd,0x0001ceeb,0xe93ff200,0xffb801ff,0x0ffa8000,
    0x1f97d500,0x01dffd00,0x00fffe44,0x6ffd4000,0x01ffe880,0x3e4ffb80,
    0x3fe606ff,0x00003fff,0x0039fd71,0xd93fe600,0x203bfe25,0xfa805ffb,
    0x7fcc05ff,0x7cdff505,0xfff0007f,0x0efff980,0x50fff880,0x3fea0bff,
    0x19806c83,0x1ffffa80,0x23fff880,0x7e406ff8,0x13fee04f,0x0001ffe8,
    0x224fd800,0x3ee01fff,0x0098803f,0x9002fff4,0x3ff903ff,0x00000000,
    0x2620ccc0,0x00988009,0x80026600,0xfc801cda,0xff9001ff,0xfd00000d,
    0x2ffcc01f,0xaa7fdc00,0x7cc00fff,0x00003fff,0xf9800000,0xffc8fe4f,
    0x003ff603,0xf7002662,0x86f6c03f,0xff0007ff,0x0133100f,0x33026620,
    0x20ffea03,0x2a00005d,0x32002fff,0x00d4c6ff,0xfd813fe6,0x0ffee01f,
    0x3fe00000,0x2013fea1,0x200005ff,0x2e002ffe,0x07fe83ff,0x00000000,
    0x00000000,0x20000000,0x2003fff9,0x0001fff8,0x2013fea0,0x5c000ffe,
    0x05ffd4ff,0x00ffff60,0x00000000,0x07ed3fe6,0x7d401fff,0x5400004f,
    0x7fc005ff,0x0fff0007,0x00000000,0x2fc87ff5,0x3bff6e60,0x0fffa80c,
    0x03ffe600,0x09ff9300,0xf901ffe4,0x7f65c05f,0x9800cdef,0x01ffdc7f,
    0xfb703fec,0xfd039dff,0x7fcc001f,0x013fea0f,0xee880bdb,0xe880bdb3,
    0x880bdb3e,0x80bdb3ee,0x0bdb3ee8,0xbdb3ee88,0x2e3ee880,0xdc8005ff,
    0xffdb301b,0x3fee039d,0x01ffc802,0x7ce7fdc0,0x3fe6006f,0xc980003f,
    0x001ceffe,0x267bfd93,0x7c4194ff,0x06ff805f,0x33bff6e6,0x9ffff100,
    0x00fff005,0xdb81ffe0,0x801cefff,0x0ceffdb9,0xeeffeea8,0x3f201b9e,
    0x3fffffff,0x40037fd4,0x95302ffe,0x9fffffdb,0x8837fcc0,0xfe980fff,
    0xffffffff,0x322fdc02,0xffc801ff,0x7ffff441,0x7f43ffff,0x6ffd8007,
    0xf803fff7,0xa7fcc06f,0x7fcc06ff,0xf980dff4,0x980dff4f,0x80dff4ff,
    0x0dff4ff9,0x3fa4ff98,0x4400002f,0xfffffffd,0xffffc83f,0xffffffff,
    0x7dc002ff,0x004ffbcf,0x0001fffc,0x3ffffff2,0x3fa203ff,0xfaefffff,
    0x09ff504f,0xf901ffd0,0x7fffffff,0x3ffffea0,0x7ff80bdf,0x10fff000,
    0xfffffffd,0x7ffe407f,0x5c3fffff,0x1fffffff,0x55fffdc0,0x2a2fffda,
    0xfd8005ff,0x7fff542f,0x4ffdffff,0x305fff40,0xff30bff9,0xfd7559df,
    0x43fe80ff,0xfd802ffb,0x5efff42f,0x23fffdba,0xf88007fe,0x00efffff,
    0x7cc06ff8,0x980dff4f,0x80dff4ff,0x0dff4ff9,0xdff4ff98,0xff4ff980,
    0x14ff980d,0x00003fff,0xaabeffe8,0x7ec5fffc,0xffffffff,0x003fffff,
    0x7fe67fdc,0x1fff4002,0x7fffb000,0x09fff955,0x2eafbff6,0x704ffffe,
    0xffb007ff,0xabfffb83,0x302fffda,0xfffffffb,0x0007ff89,0xbffd0fff,
    0x7fffb757,0x557fff70,0x5445fffb,0x00aacffc,0x2a037fea,0x17fea7ff,
    0xb8fff200,0x1bceffff,0xf9009ff3,0x7fffdbff,0xe80fff20,0x1ff102ff,
    0xf803ffa8,0x17fe62ff,0xffd37fd4,0x3ffea000,0x1bfe005f,0x3fe9ff30,
    0xfa7fcc06,0xa7fcc06f,0x7fcc06ff,0xf980dff4,0x980dff4f,0x0fff34ff,
    0xdffb8000,0x22ffe980,0xaaaabffd,0x1aaaaaaa,0x6e7fdc00,0x7ec001ff,
    0x999999cf,0xdffa8099,0x41ffe880,0xffb04ffb,0x0bfee09f,0xfa87ff60,
    0x7ffa80df,0x7ffedc40,0x0fff0eff,0xf31ffe00,0x1bfea0bf,0xf501bff5,
    0x07ff50ff,0xe803ffe0,0x0bff51ff,0x267ff900,0xf500bfff,0x3ff2009f,
    0xf103ffff,0x4ffc80df,0xff10df50,0x7ffdc01f,0xd807fee3,0x00ffd0de,
    0x5fffff70,0x2037fc00,0x0dff4ff9,0xdff4ff98,0xff4ff980,0xf4ff980d,
    0x4ff980df,0xff980dff,0x000dff34,0x007ffc40,0x7fe4dff3,0x5c000002,
    0x01ffecff,0x7ffffe40,0x86ffffff,0x3e600ffe,0x01bfe25f,0x3f209fff,
    0x2ffc802f,0xfe803ffe,0x3f26001f,0x00fff2ff,0xff71ffe0,0xf06f6c03,
    0x7ff401ff,0x401ffd41,0x5cc04ff8,0x009ff50a,0x3f29ff70,0x27fdc03f,
    0x3bfff620,0x5304fffe,0x04ff9803,0x3ff209f9,0xffff980d,0x0017fea3,
    0x6c400ffd,0x0fffefff,0x980dff00,0x80dff4ff,0x0dff4ff9,0xdff4ff98,
    0xff4ff980,0xf4ff980d,0x4ff980df,0x0000dff5,0x6c01ffd4,0x07ff51ff,
    0x70001330,0x03fff9ff,0xfffffc80,0x46ffffff,0xfe804ffa,0x807ff30f,
    0xff904ffb,0x25ff9003,0x5cc04ff8,0x2e014c0a,0x00fff5ff,0xff51ffe0,
    0x4ff8800b,0x2a055cc0,0xffa803ff,0x4ffa8002,0xb3ffc800,0xffd803ff,
    0x0bffea04,0x0003bff2,0x7413ff26,0xffff102f,0xf9ff9759,0x7fffc45f,
    0x07fe802c,0x13dffd10,0x2cd8dffd,0x3e6037fc,0x980dff4f,0x80dff4ff,
    0x0dff4ff9,0xdff4ff98,0xff4ff980,0x14ff980d,0x40000fff,0xfb801ffc,
    0x01fff32f,0x000fffc4,0x3ffb3fee,0x6ffe4001,0xaaaaaaaa,0x4017fdc2,
    0x3ff71ffc,0x904ff980,0xff9003ff,0x000bfea5,0xf100fff4,0x001ffebf,
    0x3fe23ffc,0xfa802cff,0x3ea0002f,0x1ffb803f,0x04ffa800,0xf92ffd80,
    0x7ffe409f,0x807ffa05,0x2a604ffb,0xfffffedc,0x200ff984,0xffffffe9,
    0x542ffa9f,0xbdffffff,0x9007fe80,0xfff88dff,0xff8dff34,0xfa7fcc06,
    0xa7fcc06f,0x7fcc06ff,0xf980dff4,0x980dff4f,0x80dff4ff,0x3ffe4ff9,
    0xffb00000,0x49ff5001,0x3f604ffc,0xffb8006f,0x4002ffdc,0xc8003ffd,
    0xffffffff,0x92ffffff,0xff8801ff,0x005ff704,0x3fee3ff9,0xbff70001,
    0xff9ffe40,0x0fff0007,0xbffffff5,0x03ff7017,0x01ffd400,0x4000ffe4,
    0xe8004ffa,0x7fff51ff,0x3fff2a21,0x09ff105f,0xfd50dfd0,0xfbffffff,
    0x00bf709f,0x473bffb2,0xfd981ffb,0x44ffffff,0xff8807fe,0xbfffa80f,
    0x37fc3ffb,0x7fd3fe60,0xfa7fcc06,0xa7fcc06f,0x7fcc06ff,0xf980dff4,
    0x980dff4f,0x07ff64ff,0x03ff4000,0x3e25ff98,0xda889eff,0xb8001fff,
    0x03ffccff,0x001fff40,0x7fffffec,0xffffffff,0x3e00ffd3,0x07ff504f,
    0x3f23ffb0,0xff10001f,0xf95117bf,0x01ffe1ff,0xd983ffc0,0x4fffffff,
    0x0000ffe4,0xf9007ff5,0xff50003f,0x3fff0009,0x7f7fffec,0x07fe9eff,
    0xf9005ff7,0x7fffdc3f,0x9ff31bce,0x10007fb0,0x4401ff90,0xefffffdb,
    0xf500ffd0,0x7ffdc0bf,0x37fc0fff,0x7fd3fe60,0xfa7fcc06,0xa7fcc06f,
    0x7fcc06ff,0xf980dff4,0x980dff4f,0x0bff24ff,0x74f7e600,0xff9800ff,
    0x7ffff4c4,0x002fffff,0xff79ff70,0x3fff8009,0xabffd800,0xaaaaaaaa,
    0x01ffb1aa,0x3e609ff0,0x0ffd803f,0x40003ff9,0xfffffff9,0x1ffe1eff,
    0x203ffc00,0xfffffdb8,0x003ff90e,0x401ffd40,0xa8002ffb,0x7c4004ff,
    0x7ffdc0ff,0x3fee3fff,0x801ffc82,0xfff33ffb,0x13fea017,0x400007fe,
    0x64c006fe,0x0ffd2fff,0xd807ff90,0xff84ffff,0xfa7fd406,0xa7fd406f,
    0x7fd406ff,0xfa80dff4,0xa80dff4f,0x80dff4ff,0x3fea4ffa,0x4ffc8004,
    0xf5003ff9,0x3fff207f,0xb900cfff,0x4dffdc09,0x3ea006ff,0xfc8003ff,
    0xff70002f,0x04ff8803,0xff009ff1,0x0017fdcd,0x3ffff260,0x3ffc0dff,
    0x7c403b6a,0x7e4c007f,0x05ff72ff,0x01ffd400,0x2601ffd4,0x09ff54ff,
    0x205ffc80,0x2fb809a9,0x9007ff70,0x0fff23ff,0xf989ff70,0x00aea207,
    0x0530bff3,0x4cc5ffb8,0x01bfee00,0x3a07fffa,0xa7fdc07f,0x7fdc07fe,
    0xfb80ffd4,0xb80ffd4f,0x80ffd4ff,0x0ffd4ffb,0x3e24ffb8,0x3e2001ff,
    0x05ff71ff,0x8805ff90,0x6ff802fd,0x7f4fff20,0xfffb002f,0x7ff50007,
    0x7d413300,0x27fcc02f,0xf980fff0,0x00ffea5f,0xfd809ff3,0x71ffe00b,
    0x3fe603ff,0x7dc02986,0x807ff55f,0x7fd44ff9,0x06ff8803,0xffa97fec,
    0x3ffe2004,0x03f60001,0x7402ffcc,0x03ffb0ff,0x7e44ffd8,0x203ffc04,
    0x7ff41ffc,0xf17fe201,0xff301bff,0x7ff4403f,0x07ff40ef,0x3fa9ffb0,
    0x53ff600f,0x3f600ffe,0x401ffd4f,0x1ffd4ffd,0xfea7fec0,0x13ff600f,
    0x2001dff9,0x3fe66ffd,0x07ffc406,0xfe803f40,0x25ffb00f,0xf9806ffa,
    0x98003fff,0x3e200fff,0x0dff11ff,0x2e04ffd8,0x3ff202ff,0xb01bfe22,
    0xefe805ff,0xa8fff00b,0xbff503ff,0x2201ffe8,0x0dff15ff,0x7d42ffd8,
    0x7ff9003f,0x543ffe20,0x3f2004ff,0x7f40006f,0x813ffa01,0x3ff25ffc,
    0x17fff204,0xffd805fd,0x70bff503,0x7fe40bff,0x81ffe543,0xfd105ffe,
    0x641dffff,0xfff904ff,0x6413ff29,0x9ff94fff,0x653fff20,0xfff904ff,
    0x6413ff29,0x9ff94fff,0x113fff20,0x4403dfff,0x7ec1fffd,0x13ff603f,
    0xfc803fc0,0x0fffa84f,0x5403bffa,0x003fffff,0x6c09ff90,0x1ffec6ff,
    0x204fffa8,0xf980eff8,0x03ffc85f,0x9801fff1,0xfff04fe9,0x440fff98,
    0x7fdc3ffe,0xc8fff205,0xfff103ff,0x004ffa81,0x263bfff1,0x3ea3fffc,
    0xf77dd04f,0x80005fff,0x4c510dfd,0x3661cfff,0x3fea0fff,0xff9510bf,
    0x07fc4bff,0x473ffe60,0x881fffc9,0xa88bdfff,0xfb00fffc,0x37ffe60f,
    0xefffca9a,0xf30efffb,0xfb5139ff,0x3fe69fff,0xffda89cf,0x9fff34ff,
    0xffffb513,0x273ffe69,0x4ffffda8,0x5139fff3,0x269ffffb,0xda89cfff,
    0xf984ffff,0xa9adffff,0x882ffffc,0xd311dfff,0x7fc00bff,0xffff8802,
    0x44fffdbc,0x89beffe8,0xffaeffca,0xeeeeeeee,0x3fe20eee,0xfda889ef,
    0xcffe81ff,0x9ffff711,0x11effc80,0xf101fff5,0x3f263bff,0x3fa003ff,
    0xfb0fff06,0xffd95bff,0xdfff881d,0xfffca88b,0x477ffe20,0x983fffc9,
    0x401abfff,0xffffffe9,0x27fd44ff,0x7fffffd4,0xfa80002f,0x7d47feff,
    0xffffffff,0xffffd81e,0xfe9efffe,0x5c01bea7,0xffffffff,0x3ffe601f,
    0x1effffff,0x13ff2ea6,0xffffffa8,0x3fea4fff,0x3ffff63f,0x4ff8efff,
    0x3ffffff6,0x364ff8ef,0xefffffff,0x3ff64ff8,0xf8efffff,0x3ffff64f,
    0x4ff8efff,0x3ffffff6,0x104ff8ef,0xfffffffd,0x4c05ffff,0xfffffffe,
    0x7fe4005f,0xff705dbc,0x09ffffff,0x3fffffa2,0xffa8efff,0xffffffff,
    0x7f4c1fff,0xffffffff,0xffffd102,0x09ff5fff,0xffffffb0,0x7f4c05ff,
    0x4fffffff,0x7ffee5c0,0xf10fff02,0xffffffff,0x3fffe601,0x81efffff,
    0xffffffe9,0x3ffa04ff,0xff9003ff,0xf505dfff,0xfff9309f,0x400005df,
    0x883efffb,0x4ffffffd,0x7ffffdc0,0x6cbfee3f,0x3fa6004f,0x800cffff,
    0xffffffc9,0x7fffe40d,0x7fec400e,0xfa82dfff,0xffffeb85,0xeb89ff0d,
    0xff0dffff,0xffffeb89,0xeb89ff0d,0xff0dffff,0xffffeb89,0xeb89ff0d,
    0xff0dffff,0xfffda809,0x1003ffff,0x7bfffff9,0xffff3000,0x7ffd409f,
    0xdb803eff,0x50ceffff,0xffffffff,0x203fffff,0xcffffffc,0x7ff5c400,
    0x009ff2ef,0x3bffffee,0xffff9002,0xffb005df,0x3ffc09ff,0xfffffd88,
    0x7fe4c01d,0x400dffff,0x2efffffc,0x27ffec40,0x0026a200,0x0000cc00,
    0x44002600,0x54c0009a,0x01550009,0x00353100,0x30054cc0,0x10005799,
    0x88030035,0x1a88001a,0x001a8800,0x88001a88,0x1a88001a,0x35330000,
    0x0d440001,0x1bca8000,0x00133100,0x00002a60,0x01a98800,0x00015100,
    0x00026a20,0x10004d44,0x80000333,0x330000a9,0x35100015,0x00130001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00133100,0x00199880,0x40000998,0x0001aa99,
    0x4ccc0000,0x4c000000,0x98800099,0x100ccc09,0x00cc4133,0x00026620,
    0x20033310,0x00000999,0x2a620000,0x4c00009a,0x262000cd,0x00066209,
    0x009aa988,0x00998800,0x00ccc400,0x00019988,0x00026aa2,0x99881331,
    0x30000000,0x40551055,0x26621998,0x00000000,0x2aa62000,0x3012200a,
    0x8000dfff,0x6c004ffe,0x44002fff,0xffffffeb,0x3ee000de,0x00b910ef,
    0x0000fff7,0x00fffcc0,0xf92ffd40,0x17fdc07f,0x26003ff9,0x40006fff,
    0xf7004ffe,0x2e6000ff,0x000ceffd,0x3ffffb66,0xa8002dff,0x7000fbbe,
    0x0ffe45ff,0xfffd7100,0x0005dfff,0x001bffe6,0x2007ffd0,0x4003fff8,
    0xcfffffeb,0x3ffd1000,0x3b61bfe6,0x37dfd934,0xa84fd800,0x57ff207f,
    0x2a02fff8,0xdb0bdfec,0x3bfb2607,0x9809db0c,0xfffffffc,0x413fa21d,
    0x05ffefe8,0x00bff500,0x1ffeffb8,0xfffff700,0x5fffffff,0x67ffcc00,
    0xfd800eff,0xb000003f,0x640005ff,0x05ff9bff,0xff917fdc,0xfdfd1003,
    0x3ea0009f,0x7fec005f,0x7ffe4003,0x803fffff,0xfffffffb,0x000effff,
    0x7003c8b6,0x0ffe45ff,0xeffffb80,0x2fffffcc,0x3fbfa200,0xff50004f,
    0x6ff9800b,0x3ffff200,0x2006ffff,0x1ffd6ff9,0xfff3bfd0,0x400bffff,
    0x05fc83ff,0x3f21fff1,0xfffd104f,0x9ff1dfff,0xfffffe88,0x105fe9ff,
    0xfffffffb,0xfd19ffff,0x5cffec0d,0xfe8003ff,0x3fe6000f,0x200efe8d,
    0xbcefffd8,0xfffeca99,0x3ffea005,0x3ff4002e,0x7fcc0000,0xffe80004,
    0xffb806fe,0x2007ff22,0x3ffb9ffd,0x00efe800,0x2006fe80,0xdaabfffb,
    0xfb102fff,0xb5357bff,0x003dffff,0x7003c8b6,0x0ffe45ff,0x2b7ff620,
    0x4ffdb880,0xf73ffb00,0xdfd0007f,0x5ff70001,0x17dff700,0x8013ffaa,
    0x01ffeffb,0x359ffdfd,0x1007ffd5,0x09fd03ff,0x6ff87fee,0x26b7ff60,
    0x44ffefea,0xebabeffd,0xe885ffff,0x99abdfff,0xefffffdb,0x6c9ff700,
    0x3ea001ff,0x3fe2001f,0x40bff50f,0xb804fffc,0x6cc02fff,0x000fffff,
    0x0001ffc4,0x0001bf60,0x007fffc4,0xffb80000,0x8007ffa4,0x10001ffa,
    0xff5007ff,0x0fff501b,0x300ffff6,0x5001ffff,0x0001f97f,0x0f7f4000,
    0x80bff500,0x3ffa4ffb,0x07fea001,0x406fc800,0xf980fff8,0x7fec006f,
    0x3fffa03f,0x01ffd883,0x2ff83fd4,0x7fdc7fd0,0x209ff900,0x3f24fffd,
    0xbfff904f,0x805fffd0,0x201ffffa,0x04cc4199,0x80013100,0x0ccc0998,
    0x001fffa8,0xfb81bfea,0x04ff89df,0x00009880,0x00004cc0,0x00013310,
    0x20ccc000,0x22000998,0x4c400009,0x00fff800,0xff507ffa,0x3fe6001d,
    0x39b5005f,0x64000000,0x4402206f,0x066603fe,0x44001331,0x19800009,
    0xd027fd40,0x333000df,0x205ffe80,0x7dc06ff9,0x300ff986,0xf1009883,
    0x4fff80df,0xfe80dff1,0x077fe45f,0x04fffb80,0x00000000,0x7ffc0000,
    0x1ffe8003,0xffa83910,0x00000001,0x00000000,0x00000000,0x00000000,
    0x404ff880,0x7ff40ab9,0x7ffd4002,0x00000001,0x981ff500,0x41beffec,
    0x00000ff9,0x00000000,0x2205ff70,0x000005ff,0xfb007ffa,0xa84fd80f,
    0x4c00007f,0x7fdc03ff,0xa805ff54,0x3ffe65ff,0xffff5001,0x7f6cc01f,
    0xb3001cef,0x0039dffd,0x33bfff6e,0x00dff301,0x88077ea0,0x6fe9ccca,
    0xeffed980,0xedb8801c,0x64c2cdff,0xb00ceffe,0x3ee880bd,0x9dffd930,
    0x3fb26003,0x93001cef,0x0039dffd,0x33bffb26,0x005ff501,0x0017fee0,
    0x97027fe4,0x019bdffd,0xbdffd970,0x30bf6019,0xfff99dff,0x2e04fc81,
    0x0cdeffec,0xeffecb80,0xecb800cd,0xb80cdeff,0x3ff702ff,0x3ffb2e00,
    0x7fe80cde,0xd71ffb80,0xdddffddd,0x5ddffddd,0xdd1017b6,0x3007fee7,
    0x03ff29ff,0x7e4bff10,0x7ff5005f,0xfb109ff9,0x7fffffff,0x7fffec40,
    0x2203ffff,0xfffffffe,0x04ffc83f,0x3fee0000,0x4fffffff,0xfffffb10,
    0x74c07fff,0xffffffff,0xfffffb8d,0x6ff82fff,0x6427fcc0,0xffffffff,
    0x7fffe403,0x6403ffff,0xffffffff,0x7fffe403,0xfb83ffff,0xffb0001f,
    0x3fe60003,0xffffe987,0x302fffff,0xfffffffd,0x0ff885ff,0x3f20ffe6,
    0x74c3fcc5,0xffffffff,0xfffd302f,0x05ffffff,0x3fffffa6,0x7e42ffff,
    0x06ff881f,0xfffffe98,0x7f42ffff,0x92ffa806,0xffffffff,0xffffffff,
    0xf301bfe7,0x003ff29f,0x1ff69ff1,0xffd2ffc0,0x27ff3003,0xffe87ff9,
    0xfffcaabe,0x57dffd05,0x20bfff95,0xdbabdffe,0x7ffc3fff,0xfb000002,
    0xffd97bff,0xdffd03ff,0xbfff9557,0x359fff30,0xffffff75,0xfffd757d,
    0x4c06ff81,0x7ffec4ff,0x4fffcaab,0x557fffb0,0x3609fff9,0xfcaabfff,
    0xfffb04ff,0x9fff9557,0x0001ffc8,0x20001fff,0x3e61fff8,0xebaaceff,
    0xfff987ff,0xffebaace,0x3f237dc7,0xff037604,0x677ffcc5,0x87ffebaa,
    0xaacefff9,0xf987ffeb,0xebaaceff,0x0ffe47ff,0x26017fdc,0xbaacefff,
    0x2ff47ffe,0xcaa7fcc0,0xcccffdcc,0x2ccdffcc,0xff980dff,0xf001ffd4,
    0x401ffa9f,0x0fff15fe,0xff89ff10,0x037fee0f,0xf70bffa6,0xffd301bf,
    0x505ff985,0x1fff8dff,0xffa80000,0x3fffb81e,0x4c06ffdc,0x7fec2ffe,
    0xbffff101,0xff1bfa60,0x24ff980d,0xe880dffa,0x6ffd41ff,0x41ffe880,
    0xe880dffa,0x6ffd41ff,0x21ffe880,0x88001ffc,0x740007ff,0x0fff22ff,
    0x7e42ffe8,0x8bffa03f,0x007f43fd,0xff91fec0,0x217ff407,0x3fa03ffc,
    0x01ffe42f,0x7fe45ffd,0x4037fc41,0x3fa03ffc,0x2017fa2f,0xdf703ffa,
    0xff01ff30,0xb4ff980d,0x9ff001ff,0x3e003ffa,0x80dff35f,0xffe85fe8,
    0x401fff11,0x3fe26ff9,0x1bfe600f,0x76c03ff7,0x00fff10d,0x03ffa000,
    0x3e25ffb8,0x3fe600ff,0xb013fe66,0x7cc01fff,0x301bfe3f,0x07ff49ff,
    0xfe8bff30,0x17fe600f,0x7cc01ffd,0x007ff45f,0x7fdcbff3,0x6ff98002,
    0x9ffec000,0x7e406ff8,0x01bfe24f,0x0ff49ff9,0x2a000ff1,0x80dff14f,
    0x3fe24ffc,0x127fe406,0xffc80dff,0xf307ff24,0x6ff8809f,0xfd27fe40,
    0x03ff700d,0x1fee13f6,0x3e6037fc,0x803ff94f,0x1ffb4ff8,0xf55ff880,
    0x06fe80bf,0x3fea5ffb,0x51ffd803,0xffb007ff,0x002ffd43,0x3201bfe6,
    0xeeeeeeee,0x2013fea6,0x0ffea7fe,0x4c47ff60,0x27fe400a,0xdff2ff40,
    0xf54ff980,0x1ffd009f,0x3a013fea,0x09ff50ff,0x3ea1ffd0,0x0ffe804f,
    0xf9807ff5,0x00bff54f,0x264ffc80,0x27fcc01a,0xff3006a6,0xdf307f49,
    0x997e6000,0x27fcc01a,0xff3006a6,0x4c01a989,0x07ff24ff,0x9801fff1,
    0x27fcc01a,0xff900ffd,0x7e417fc0,0x980dff05,0x07ff74ff,0xff74ff98,
    0x75ffa805,0x77ec09ff,0x327ff900,0xffb801ff,0x7003ff92,0x7ffc45ff,
    0xff8802cf,0xffffd807,0x3ee7ffff,0x0ffc802f,0xf7003ff9,0x6d44005f,
    0x7fd802ff,0xff301bfe,0x200bfee9,0x5ff71ffc,0x2e3ff900,0xffc802ff,
    0x9005ff71,0x1bfe23ff,0x3e65ffb0,0x7e40006f,0x7e4c003f,0xfc98004f,
    0xf887fa4f,0x09f70007,0x04ffc980,0x04ffc980,0x24ffc980,0xffd81ffc,
    0x64c0001f,0x0fffa4ff,0xf106ff88,0x207fd03f,0x7fcc06ff,0xd80dff14,
    0x0dff14ff,0xff55ffe8,0x803ff20b,0x1ffb3ffd,0x369ff500,0xffa800ff,
    0x7ffffd44,0xff880bdf,0xffffd807,0x3f27ffff,0x2ffb801f,0xf5001ffb,
    0x372a609f,0xffffffff,0xffffffff,0x80dff0ff,0xfff94ff9,0xffffffff,
    0x3ff25fff,0xffffffff,0xff92ffff,0xffffffff,0x3f25ffff,0xffffffff,
    0x322fffff,0xfff103ff,0x0003ffc1,0x54c0bffa,0xfffffedc,0x3b72a604,
    0x364fffff,0x3007fc4f,0x303fd817,0xffffdb95,0x6e54c09f,0x04fffffe,
    0x3ffb72a6,0x3ff24fff,0x3fffe881,0xfedca980,0x3fa4ffff,0x5ffb00ff,
    0x7fc1fea0,0x980dff02,0x0fff24ff,0xf927ffcc,0x3fff209f,0xf70dff35,
    0x2ffe803f,0x3e600ffd,0x200ffd5f,0xfd985ff9,0x84ffffff,0x20001fff,
    0x03ff67ff,0x7f4ffea0,0x8bff3007,0xffffffea,0xffffffee,0xffffffff,
    0xf980dff2,0xfffffb4f,0xffffffff,0x3ffff67f,0xffffffff,0xffffb3ff,
    0xffffffff,0x3fff67ff,0xffffffff,0x3fe23fff,0xfff931df,0x000ffe87,
    0xd507ffe0,0xbfffffff,0xffd509ff,0xffbfffff,0x3f637dc9,0xf83ff104,
    0x7fff542f,0x4ffdffff,0xfffffea8,0xa84ffdff,0xfffffffe,0x3ff24ffd,
    0x37fff601,0xffffea80,0x24ffdfff,0x30affffe,0xcca87ffb,0xdccccffd,
    0xf2ccccff,0x4ff980df,0x4473ffe2,0x224ffffb,0xebaceffe,0xff15ffff,
    0x802ffa8f,0x1ffd1fff,0x3a9ff300,0xff9800ff,0x3ff6e204,0x3f60efff,
    0x3fe0003f,0x2003ff67,0x1ffd3ffa,0x5c9ff300,0x0acdffff,0x55559ff7,
    0x15555555,0xff301bfe,0x2aafff69,0xaaaaaaaa,0x557ffb1a,0x55555555,
    0x2afff635,0xaaaaaaaa,0x57ffb1aa,0x55555555,0xffe98355,0x84ffffff,
    0x10001ffc,0xfffb8fff,0xff31bcef,0xeffffb89,0x49ff31bc,0x3fe20ff8,
    0x313f621c,0xffffb8ff,0x9ff31bce,0xceffffb8,0xb89ff31b,0x1bceffff,
    0x7fe49ff3,0x2fffd401,0x33bfffee,0x749ff31b,0xfffffdff,0xfffc85ff,
    0xffffffff,0xff3fffff,0x44ff980d,0xffffffe9,0x6c44ffcf,0x9effffff,
    0x47ffe5ff,0xf9803ff9,0x007ff27f,0x7fe4ffea,0x03ffa801,0x8bfff260,
    0x20006ffa,0x07ff27ff,0x7e4bfee0,0x3ffa801f,0x2015fff3,0xf0002ffc,
    0x4ffa80df,0x20005ff9,0x90002ffc,0x320005ff,0x900002ff,0x05dfffff,
    0x4001bfea,0x3fe64ffd,0x9ff500bf,0x805fffcc,0x1fec4ffa,0x3fb7ffea,
    0x327e40ff,0x2a017fff,0x3ffe64ff,0x49ff500b,0x500bfff9,0x0ffe49ff,
    0x987ff4c0,0xf500bfff,0xfbbff49f,0x9503dfff,0x9999bff9,0x59999dfd,
    0xff501bfe,0x3ffff209,0x504ff99e,0x3e27bfd9,0x277fee4f,0xffb003ff,
    0x4017fdc9,0x5ff72ffc,0x985ff900,0x22ffdc02,0xf0004fff,0x017fdcff,
    0xffb8ffec,0x92ffc802,0xffd809ff,0x3a1aa804,0xa7fdc07f,0x99803ffa,
    0x200ffea0,0x0ffea099,0xffa82660,0x40099803,0x44009ff8,0x4c002fff,
    0x3ff21fff,0x927fdc03,0xffb807ff,0x220ffcc4,0x40adfffd,0x3ff20ffa,
    0x927fdc03,0xffb807ff,0x700fff24,0x0ffe49ff,0xf93ffb80,0x4ffb807f,
    0x00511ffa,0x7f407fc4,0x701ffa03,0x0a8809ff,0x20013fe6,0x7ffc4ff9,
    0xff5004ff,0x037fcc3f,0x7cc3ffe2,0x7ffc406f,0x8807ffa0,0x7ffd45ff,
    0x3ffd4003,0xf980dff3,0x01bfe67f,0x3fa1fff1,0x3ffe200f,0xd3ffcc06,
    0x7fec01ff,0x401fff34,0xff31fff8,0x7ffc401f,0x401fff31,0xff31fff8,
    0x7ffc401f,0x077fea01,0x007ffee0,0x362fff44,0x7fec01ff,0xb007ff64,
    0x1df709ff,0x7fcc0220,0x200ffec2,0x3ff64ffd,0xb27fec01,0xffd803ff,
    0x0507ff24,0x7fed3fea,0xd27fec01,0xfa8000ff,0x201ff887,0x3f600ffe,
    0xff98004f,0xa8015734,0x7ffdc3ff,0x9ffd1005,0x6c07ffb0,0x1ffec4ff,
    0xfb89ffb0,0x0fff205f,0x0077fff2,0xd8ffffd3,0x3ff603ff,0xb01ffec2,
    0x1ffec9ff,0x4ffffe88,0xfc8fffa0,0x9fff904f,0xfb027fe4,0x04ffc8df,
    0xff91bff6,0x237fec09,0x3f604ffc,0x7e4c406f,0xfffd800f,0x77ffd403,
    0x9027fe40,0x7fe4bfff,0x17fff204,0x70017fec,0x9ff909ff,0x92fffe40,
    0x7fe409ff,0x813ff25f,0x3f25fffc,0xb07ff51f,0x13ff25ff,0x3a5fffc8,
    0x7e40007f,0x200ff985,0xff904ffc,0xff30009f,0x8817fe69,0x7fc40fff,
    0x7fdc02ff,0xbfff106f,0x17ffa623,0x4477ffe2,0xf885ffe9,0xca88bdff,
    0xff900fff,0xb957bfff,0x81bfffff,0x261cfff9,0xff885ffe,0xffd311df,
    0x0bfffb8b,0xfd7ffd71,0xfd7115bf,0x7ffcc1df,0xfffda89c,0x3bffe24f,
    0xfffda889,0x4f7ffc41,0x1fffda88,0x44f7ffc4,0x41fffda8,0x889efff8,
    0x001fffda,0xb1005ff3,0x5359dfff,0x03dfffd9,0x2217fff5,0x25ffffca,
    0x510bfffa,0x40bffff9,0x20aceffc,0x03ffeca8,0x2217fff5,0x25ffffca,
    0x510bfffa,0x54bffff9,0x9510bfff,0x7e4bffff,0x15fff11f,0x2a1dff91,
    0x9510bfff,0x7f4bffff,0x27ec0007,0x3e6037dc,0xfda89cff,0x98004fff,
    0x0bffe4ff,0x3617ff62,0xacefffff,0xefffeca9,0x3fffa600,0x205fffff,
    0xffffffe9,0x3fe605ff,0xefffffff,0x7fffd401,0xffffffff,0x3ffa201e,
    0x0dffffff,0xfffffd30,0x3f60bfff,0xefffffff,0xfffffb10,0xfb01dfff,
    0x1dffffff,0xffe989ff,0x2fffffff,0xfffffd30,0x2605ffff,0xfffffffe,
    0xffd302ff,0x5fffffff,0x7ff6ec40,0x7ffe4006,0xffffffff,0x3fff600d,
    0xe9efffef,0x7fffec7f,0xfe9efffe,0x7fff5407,0xeffffedf,0x7fffec01,
    0xfe9efffe,0x77fffec7,0x7fe9efff,0x7f7fffec,0x27fe9eff,0x3fe61ffc,
    0x41ffffff,0xffeffffd,0x3a7fe9ef,0x7fc0007f,0xd805fc82,0xefffffff,
    0x98004ff8,0x3ffea4ff,0x5fffecdf,0xffb8efd8,0xffffffff,0xff91004f,
    0x1007bfff,0x7bfffff9,0xffff9300,0x54001bff,0xeffffffd,0xfd91002c,
    0x1007dfff,0x7bfffff9,0xfffffb80,0xfffd903e,0xfeb807ff,0x9ff0dfff,
    0x3fffff20,0xffc800cf,0x800cffff,0xcffffffc,0xffffc800,0x7c400cff,
    0x8001efff,0xffffffc8,0xff7001cf,0x7dc7ffff,0x7fffdc2f,0x0bfee3ff,
    0x3ffff6a0,0x2e001cff,0x23ffffff,0x7fdc2ffb,0x3ee3ffff,0x7fffdc2f,
    0x4bfee3ff,0x7ecc1ffc,0xf701efff,0x5c7fffff,0x00ffd2ff,0x7407fc40,
    0xffd7003f,0x13fe1bff,0x713fe600,0xffffffff,0x443ff50b,0xffffffec,
    0x3510001c,0x00d44000,0x00153300,0x00353300,0x00135100,0x20006a20,
    0x262001a9,0x0d440009,0x03531000,0x006a6200,0x000d4c40,0x4001a988,
    0x00000999,0x00033531,0x80004d4c,0x000009a9,0x00004cc4,0x400026a6,
    0x300009a9,0x80000135,0x35300099,0x00aaa001,0x5502a880,0x01a88001,
    0x0d544000,0x01bddca8,0x26a600e4,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00355310,0x02aa5551,0x00000000,0x3000554c,
    0x00000035,0x4d54c400,0xa9880000,0x1a880009,0x00355000,0x03510000,
    0x00155100,0x026aa620,0x009a8800,0x98035500,0x004cc419,0x80055510,
    0x33300199,0x98833301,0x02666209,0x00099880,0x00000000,0x76400000,
    0x0000002e,0x00000000,0x30002666,0xfd9809ff,0x1dffffff,0x3f6dff10,
    0x027fdc03,0xfe93fea0,0x7fff441f,0x1ff8803f,0x0013fee0,0xea809ff5,
    0xbeffffff,0x3fb62000,0x01deffff,0x8003ff98,0x7fe80ffa,0x3ff98000,
    0x005fd800,0x7ffff5c4,0x32002eff,0x003fffff,0x2e007fd4,0x0bff64ff,
    0x007ffb80,0x5017ffea,0xff701fff,0x3a17fec9,0xff1004ff,0x037f403f,
    0xf0005ffb,0x2ffc80df,0x2005ffb0,0x2e003ffd,0xffffffff,0x2001deef,
    0xfffffffb,0x001deeff,0x8003fff3,0x3ee04ff9,0xffffffff,0x7fc40dff,
    0xfb80df76,0x7fd4004f,0xfd07ffa4,0x807ffd9f,0x7fdc05fc,0x27fd4004,
    0xfffffe88,0x01ffffff,0xffffff98,0x202fffff,0x4003fffa,0xffd02ff8,
    0xfffa8000,0x077dc003,0xdffff700,0x5fffff99,0xebcffa80,0xff1000ff,
    0x27ff6005,0x5c003ffa,0xff3007ff,0x7f407ffd,0x27ff601f,0xff883ffa,
    0x3ffc800f,0xfb037f40,0xdff0005f,0xb02ffc80,0x3f6005ff,0x3fee003f,
    0xffffffff,0xb801dfff,0xffffffff,0x01dfffff,0x4001ffec,0xfe884ff9,
    0xda9abdff,0x220effff,0x01ff16ff,0x20027fdc,0x3ffa4ffa,0xfb83fee1,
    0x03ff100f,0x4004ffb8,0xfe884ffa,0xcb99adff,0x2e03ffff,0xa9abefff,
    0x444fffeb,0x003ffffe,0xffd027ec,0x3ffa2000,0x3e6003ff,0xffb1001f,
    0xfb71015b,0x217ec09f,0x9fb003ff,0x7f7f4400,0xffb8005f,0x8ffe8807,
    0xffa81ffc,0x7f7f4403,0x13fe605f,0xd00bff10,0x17fec0df,0x2037fc00,
    0xffb02ffc,0x0b32a005,0xcceffb80,0xfffeeccc,0x7fdc02ff,0xeeccccce,
    0x302fffff,0x260009ff,0xfffd84ff,0x77ffcc02,0x05fd2740,0x20027fdc,
    0x3ee24ffa,0x3fe13fa0,0x700bf903,0xfa8009ff,0x1effe84f,0x817ffe40,
    0x7d403fff,0x233ea1ff,0x3ee003fd,0x01ffa00e,0x7ec67d40,0x013fa003,
    0x2001efe8,0x26005ffa,0xefb801ff,0x7ffcc000,0x9988000e,0x13ffd801,
    0x5fe81ffd,0x1dfff300,0x200ffa80,0xfe800efc,0x00bff606,0xf901bfe0,
    0x0bea205f,0xff700000,0xfffd5007,0x01ffdc01,0x407fff54,0x260006fd,
    0x7ffd44ff,0xbfff3000,0x813f23f8,0x54004ffb,0xf07e44ff,0x109fd07f,
    0xff7001ff,0x4ffa8009,0x8007ffd4,0x7cc0fffa,0x7ff7006f,0x007fb044,
    0xfd007fe6,0xd822000f,0x0df9003f,0x80037e40,0x74c03fe8,0xff9803ff,
    0x13310001,0x26000000,0x204cc419,0x4cc40019,0x40133000,0xdfd00098,
    0x0417fec0,0xf901bfe0,0x007dc05f,0x3fee0000,0x17ff6003,0x2003ffb8,
    0x09985ffd,0x13fe6000,0xa8005ffd,0x41f91fff,0x3fee07fa,0x27fd4004,
    0x82ff8976,0x04fc85fd,0x8009ff70,0x7ff44ffa,0x27fec003,0x4400bfee,
    0x0ff606ff,0x7401ff40,0xfb00007f,0x01ff3007,0x74c3fea0,0x81cceeee,
    0x3ee00ff9,0x3fe801ef,0x30000000,0x039dffd9,0x00000000,0x40000000,
    0x3ff606fe,0x3fe02642,0x817fe406,0x3ea007e8,0x3fee002f,0x3ffe2003,
    0x007ff702,0x0017ffc4,0x33dfeca8,0x37fdc9ff,0xedffc800,0x80ffc41f,
    0x54004ffb,0xf07f24ff,0x889fd05f,0xff7000ff,0x4ffa8009,0x20007edc,
    0x7fdc6ff9,0x80f2e004,0x6fc803fd,0x322ffd00,0xb002cefe,0x3ff8807f,
    0xf98bf600,0x4fffffff,0x22204fc8,0x3f203fea,0xfdb30006,0xf90039df,
    0x7fffffff,0x360bdb00,0x05bfd73e,0x37fae7db,0x76cbdb02,0x9bffb713,
    0xd81bfa01,0x09fb12ff,0x7e406ff8,0x003fb02f,0x7000ffdc,0xfb8007ff,
    0x07ff705f,0x6c5ffb80,0xfffd105e,0x9ff5dfff,0x80017fec,0xb00dfff9,
    0x13fee07f,0xd7dff500,0xd07fd03f,0x004fd87f,0x50013fee,0x800009ff,
    0x7ffcc7ff,0x3f600000,0x007fd403,0xfff9ffe8,0xd804ffff,0x02fec03f,
    0x7cc1ff10,0x20ffd445,0xff7007f9,0x0003fea0,0xffffffb1,0x7fec07ff,
    0xfffcaabf,0xe83ff404,0x6ffffacf,0xfffacfe8,0x74ffd06f,0xffffe8cf,
    0x6fe81eff,0xd15ffb03,0x6ff801df,0x9817fe40,0x07fec000,0x007ff700,
    0xf706ff88,0xff88007f,0xfd83ff46,0xffebabef,0x03ffe4ff,0x0fffc400,
    0x3ee0bf70,0x7fd4004f,0xdf900acf,0x3e61ff98,0x3fee000f,0x27fd4004,
    0x3ff60000,0x0e7fff41,0x01fec000,0x74005ff1,0xb9bdffff,0x7ec05fff,
    0x003fea03,0x2fcc6fb8,0x2ff83fd8,0x7fc81bb1,0x8002ff88,0xcaabeffe,
    0xffa85fff,0x1ffe880d,0x7f41ffa0,0x83fffffd,0xfffffdfe,0x7f4ffd03,
    0xfcadfffe,0xaefe86ff,0xffcffd87,0x06ff800d,0x00017fe4,0x4006ff88,
    0xf8003ffb,0x3ffb80ff,0x20fff800,0x4ffc87fe,0x229fffb0,0x740007ff,
    0x1fe602ff,0x20027fdc,0xf8804ffa,0x44ffcaef,0x7dc004fd,0x7fd4004f,
    0x33333314,0x33333333,0x87ff9333,0xdfffffe8,0x3fd8000b,0xd0017f60,
    0xfd107fff,0x81fec05f,0x6c002ff8,0xe82fcc3f,0x3a3fd81f,0x3ffb99df,
    0xb8005fd8,0xfe980dff,0x007ff42f,0x7f40bff3,0x17fffd07,0x3fffa026,
    0x3fa0130b,0x02ffffa7,0xfe85fff1,0xfffd87ff,0x9bfe005f,0x5ff90998,
    0xffd10000,0x3ffb8005,0x81ffe800,0xe8003ffb,0x11ffa1ff,0xfff80dff,
    0x000dff34,0x7c03ffd8,0x04ffb82f,0x8027fd40,0x0dfffffa,0x70003fe6,
    0xfa8009ff,0xfffff74f,0xffffffff,0x9fffffff,0xfffffb10,0x20039fff,
    0x1df703fd,0x05ffe800,0xfd81bfe6,0x0009fd03,0x9ef983fd,0x506fdb99,
    0x7fffcc9f,0x0efb86ff,0x07ffc400,0x7d4dff30,0x0ffe804f,0x3fa0ffd0,
    0xbffd005f,0xfd3ff400,0x27fdc09f,0x3607fffa,0x7c003fff,0x653ff26f,
    0x440002ff,0x32005ffe,0xccceffec,0x3ff603cc,0x3bffb322,0x203ccccc,
    0x1ffa2ffd,0xfb807ff3,0x00bff54f,0x404ffc80,0x4ffb84fc,0x027fd400,
    0xb0599710,0x2013109f,0x54004ffb,0xffff54ff,0xffffffff,0xffffffff,
    0x7ffe4c0b,0x804fffff,0x1ff881aa,0xffd0aa20,0x00ffd803,0x0df70355,
    0x07f404cc,0x3fffffe6,0x0bf300cf,0xf3059b73,0x2154403f,0xfd803ffa,
    0x005ff71f,0x3fa03ff9,0x005ffd07,0xe800bffa,0x807ffa7f,0x3fe24ff9,
    0x07ffd00f,0x7e4dff00,0x005ff94f,0x02fff440,0x3fffffe0,0x206fffff,
    0x3ffe3ffc,0xffffffff,0xe8fff206,0x00ffdc7f,0x7fcd3fe6,0x7fe40006,
    0x5c37d403,0x7d4004ff,0x2600004f,0x3ffa20ff,0x27fdc2ff,0x4d3fea00,
    0xaaaaaeff,0xaaaaaaaa,0x3004ffca,0xdfffffb7,0x13fa0001,0x7fe8bfd0,
    0x002ffb80,0x36a0ffcc,0x3a0dffff,0x6e77cc1f,0x27dc02ff,0x404fe800,
    0x0ffe45fe,0xfc97fdc0,0xffffffff,0xd02fffff,0x03ffa0ff,0x0007ff40,
    0x07ff4ffd,0x3a6bff10,0xffe886ff,0x6ff8002f,0x7fe53ff2,0xffd10002,
    0xfd99000b,0x799999df,0x991ffec0,0x9999dffd,0x1ffec079,0x0ffc8ffd,
    0xff27fc40,0xffe8000f,0x207fc402,0x54004ffb,0x200004ff,0x3ffa24fd,
    0x3ee2fffd,0x7fd4004f,0x000dff14,0x8001ffdc,0x006fffd9,0x7ec06fc8,
    0x4037f45f,0x22003ffa,0x77fcc3fe,0x3f64ffec,0xfd12fcc4,0x001fec05,
    0x3f6037e4,0x007fec5f,0xffda7fd4,0xffffffff,0xfd03ffff,0x801ffa0f,
    0x7f4007fe,0xf101ffa7,0x1bfffebf,0x00bffffa,0xf901bfe0,0x3f20005f,
    0x7dc0005f,0xffe8003f,0x003ffb82,0x3fa2ffe8,0xf803ff47,0x003ffa4f,
    0x801fff80,0x27fd43fe,0x013fee00,0x707fcc00,0x9bf223ff,0x5c004ffa,
    0x03ffe4ff,0x017fec00,0x07ffea00,0x200ff980,0x7f45fffc,0x04ffa805,
    0x3f617f60,0xfb87fe45,0x3e22fcc6,0x005ff00f,0x3200ff98,0x3ff45fff,
    0xfb5ff980,0x5555557f,0x20355555,0x0ffd07fe,0x2003ff40,0x01ffa7fe,
    0x3afebff1,0xffddf86f,0x06ff8002,0x80017fe4,0x40000eff,0xf8003ffb,
    0x3ffb81ff,0x21fff800,0x07fec7fe,0xff927fc0,0x3fe20005,0xa8bf9007,
    0x7e4005ff,0xfd00003f,0x7c44fe87,0x00bff52f,0x3fa3ffc8,0xffd0001f,
    0x00072e63,0x22007ff7,0x3fea03fe,0x02ff45fd,0xa801ffd4,0x409980ff,
    0x83fe27fa,0x86fb85f9,0x7c4007f9,0x37fea03f,0x007ff45f,0xffca7fcc,
    0xffd00002,0xe801ffa0,0x3ff4007f,0xff880ffd,0x521bfa35,0xf8002ffd,
    0x17fe406f,0x027fcc00,0x7ff70044,0x07ff8800,0x88007ff7,0x23ff47ff,
    0x7c401ffb,0x01bfea4f,0x8027fec0,0x37fcc7f9,0x00fff600,0xf03fea00,
    0x267fd05f,0x7ec006ff,0x013ff23f,0xf99ffea0,0x7fcc005f,0x40bfb005,
    0x45fbaff9,0xffb806fe,0x02ff8801,0x3f627f40,0x7f417e63,0x20027e43,
    0x3fe605fd,0x7fe45fba,0x53ffa801,0x133007ff,0xfe83ff40,0x01ffa007,
    0x3ff4ffd0,0xfd17fe20,0x017fec0d,0x32037fc0,0xfb8002ff,0x1ffd803f,
    0x4003ffb8,0xff705ffc,0x5ffc8007,0x3fea3ff4,0x127fd402,0x98005fff,
    0x3e001fff,0x007ffc1f,0x001fff88,0x7c43fe80,0x3e4fe81f,0xff1000ff,
    0x0fffc43f,0xf0fffa00,0xffa800ff,0x00ffa803,0x17ee7ff1,0xfd801ffd,
    0x04fd800f,0x307ff620,0x417e63ff,0x1ff50ffa,0x807fd400,0x8bf73ff8,
    0xfc802ffb,0x01fff32f,0xe80fffc4,0x00ffd07f,0x3a003ff4,0x101ffa7f,
    0x06fe8bff,0x2000bff6,0x7fe406ff,0x6ff98002,0xf707ff80,0x7fcc007f,
    0x07ff702f,0x217ffcc0,0x37fc47fe,0xf713ff60,0x3a2003ff,0x7ec005ff,
    0x8037fec4,0x80007ffb,0x2ff887fa,0x3ff64fe8,0x0fff7006,0x2001dff9,
    0xffc87ffb,0x07ff6004,0x2205ff10,0xd17ee4fe,0x7fc405ff,0x00efb806,
    0x203dff30,0x98000efb,0x3e2002ff,0x49fd102f,0x37fcc5fb,0xc83ffe20,
    0x3ff604ff,0x741ffa06,0x1ffa007f,0x7f4ffd00,0x22ffc407,0x3ff606fe,
    0x06ff8002,0x40017fe4,0x3202fff8,0x7ff705ff,0x037fec00,0x6c007ff7,
    0x87fe86ff,0xff503ffd,0x7fffb09f,0x0efffa80,0x2637dc00,0x7dc05fff,
    0xe80003ff,0xf05ff03f,0x2fffcc5f,0x20fffee0,0x201efff8,0xa83fffd8,
    0x2200efff,0xfe806ffd,0x333fee04,0xfd1cefec,0x3ff603ff,0x00ffcc02,
    0x400dffa8,0x2e002ffd,0x7f4004ff,0x333fee04,0x361cefec,0x3ff603ff,
    0x4f7ffc44,0x1fffda88,0x7f41ffa0,0x01ffa007,0x3ff4ffd0,0xfd17fe20,
    0x017fec0d,0x32037fc0,0xf70002ff,0x7e4c17ff,0x7ff700ff,0xffffa880,
    0x00ffee01,0x03ffff51,0x3ffa0ffd,0xffff711c,0xdfffb109,0xffd95359,
    0xf10003df,0xffffc81f,0xffecbacd,0xfa80006f,0xf317f607,0xffffc83f,
    0xffecbacd,0x3ffa606f,0xfca99bdf,0x3ea03fff,0xcabcefff,0x401efffd,
    0x7fdc06fb,0x2fffffff,0x215ffffd,0xe805ffe9,0x9ff5003f,0x677fe400,
    0x3fb2a20a,0x37dc003f,0x3ffffee0,0x3e22ffff,0xfd311dff,0x3ffa60bf,
    0x2fffffff,0xfe83ff40,0x01ffa007,0x3ff4ffd0,0xfd17fe20,0x777fec0d,
    0xeeeeeeee,0xc80dff4e,0xeeeeeeff,0x744eeeee,0xffedffff,0x3fee02ff,
    0xfeeeeeee,0x402fffff,0xeeeeeffb,0xffffffee,0x220ffd02,0xffffffff,
    0x3f204ffa,0xffffffff,0x20000dff,0xfffc82fe,0xffffffff,0x7fd00005,
    0x5ceffcc0,0xfff904ff,0xffffffff,0xfffb100b,0xffffffff,0xffff3003,
    0xdfffffff,0x01ff9801,0xfe8bf700,0xffffffcd,0x37e400df,0xaadffb80,
    0x3aa00aaa,0xffedffff,0x4c001eff,0xf70001ff,0x3fffa60b,0x805fffff,
    0xcffffffc,0xd07fe800,0x3ff400ff,0xfe9ffa00,0x22ffc407,0x3ff606fe,
    0xffffffff,0x0dff5fff,0xffffffc8,0x5fffffff,0xffffffb8,0x7fdc02ef,
    0xffffffff,0xb801cfff,0xffffffff,0x01cfffff,0xeb881ffa,0x9ff1efff,
    0xffffc880,0x0001cfff,0xfb504fc8,0x5bffffff,0x1bee0000,0x3ffffee0,
    0x3ff6600d,0x02dfffff,0x7fff6dc0,0x2000cdff,0xffffedc8,0xfe8803df,
    0x17ee0003,0x3ffeebfd,0xffa803ff,0xffff8800,0x801fffff,0xffffffda,
    0xfe88001c,0x17ee0003,0xfffffc88,0x54c4003d,0x83ff4001,0x3fa007fe,
    0xd3ff4007,0x5ff880ff,0xffb037f4,0xffffffff,0x1bfebfff,0xffffff90,
    0xbfffffff,0x2f372a20,0xffff7002,0x9ddfffff,0x7ffdc001,0xeeffffff,
    0x07fe800c,0x00001510,0x00033531,0x4402a880,0x0009aa99,0x80176c00,
    0x2003dec9,0x009aa998,0x00a98800,0x02a62000,0x000bd700,0x51002a98,
    0x0176c001,0xaaaaaa88,0x44000aaa,0x5c000099,0x54c0005e,0x00351002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0aaa6000,0x2204cc40,
    0x000c0099,0x00009988,0x00000000,0x00099880,0x3200f754,0x8399106e,
    0x017b60ec,0x26007dd1,0x102ec1bc,0x01998133,0x1760de4c,0x00000000,
    0x55400000,0x33300002,0xa8809988,0x0000009a,0x00000000,0x40000000,
    0x00ccc198,0x8801bba2,0x00000000,0x00000000,0xc8000000,0xfd1006ff,
    0x03bfe23f,0x44000fc8,0xff302fff,0xffffffff,0xffffffff,0x00017fe4,
    0x05fff980,0x2017fdc0,0xfffa87fd,0x7c6fccff,0x27fcc06f,0x77fffdc0,
    0x3e605fdc,0x813fee6f,0xdceffffc,0x03ffb85f,0x3e200000,0xffffffff,
    0xffffffff,0x003ffc7f,0x3a3ffd80,0x3ffe60ff,0x03ff41ff,0x009ff500,
    0x7f44ffa8,0x7ec5ff77,0x3ffa002f,0xdf103fa3,0xfff07ff4,0x7cc7ffe6,
    0x7ff5407f,0x40002eff,0xffc81ffb,0x3fff6002,0x4013fee2,0x8801fffd,
    0x81ffa6ff,0x26006ffc,0x01ffd6ff,0x20007fec,0x3e604ffc,0xffffffff,
    0xffffffff,0x000bff27,0x3fbfe200,0x3fee004f,0x6c3fec02,0xffffebcf,
    0x26037fc4,0xbfe804ff,0x02ffffeb,0x7fc5ffdc,0x75dffc05,0xfb82ffff,
    0x0000003f,0x3ffffff2,0xffffffff,0x7fc7ffff,0xfd100007,0x4c5ff91f,
    0x40ffffff,0x2a0007fe,0x7d4004ff,0xfbbff44f,0x01ffe22f,0x3ea37fd4,
    0x747f911d,0x4dffe0ff,0xfff31fff,0x3ffffa60,0x000dffff,0xc81fff88,
    0xffb002ff,0x06ff985f,0x007ffff0,0x3ff49ff5,0x800dff90,0x02ffeffa,
    0x10007fec,0xcc880dff,0xffeccccc,0x4ccccccd,0x0000bff2,0x3ee7ff60,
    0x5ff7002f,0x5d87fd80,0x7fc0e5c4,0x027fcc06,0x399313a2,0x3fbff600,
    0x313a600e,0x3fee0199,0x10000003,0xffd99fff,0x9999999b,0x7ff89999,
    0x3fe60000,0x7fdc3ffe,0x3ffa19ae,0x5fffffff,0x004ffa80,0x3fa27fd4,
    0xfc85fd57,0x2ffe803f,0x7fffffe8,0xfff07ff4,0x6447ffe6,0x5dffd04c,
    0x0dfffb53,0x03fffd00,0xfb005ff9,0x3ffe05ff,0x7fffcc00,0x22ffc806,
    0x266207fe,0xfffc8000,0x00ffd803,0x0003fee0,0x2005ff90,0x00002ffc,
    0xffd27fe4,0x05ff7003,0x00007fd8,0xff980dff,0x20000004,0x001fffe8,
    0x0ffee000,0x7e400000,0x00fff24f,0x0000bb00,0xd85fffa8,0xfffd01ff,
    0x0bffffff,0x677fee54,0xcccccccc,0x3ceffdcc,0x20fccffd,0x2e00fff8,
    0xfb5106ff,0x2600015b,0xf9001fff,0x3ffa209f,0x3fff2003,0x02ffc81f,
    0x9017ffec,0xffc805ff,0x7f400ffc,0x0006620f,0x00333000,0x88003ff6,
    0xfc800009,0x5ff9002f,0x19980000,0x5c004cc4,0x3fec02ff,0x06ff8000,
    0x00027fcc,0x02662000,0xff700000,0x3555555b,0xf8800013,0x0fff21ff,
    0x0009d000,0x3a033300,0x3fa6207f,0x0099999f,0x3fffffee,0xffffffff,
    0x5fffffff,0xb83dcffd,0x3ffe04ff,0x30000001,0x3e003fff,0x3fee00ef,
    0xfdff3006,0x05ff903f,0x200fffec,0x7f404ffa,0x2202ffad,0x2e6006ff,
    0x000ceffd,0xfffd9000,0x00000bdd,0x002ffc80,0x00005ff9,0x3ee00000,
    0xb3fec02f,0x3ee880bd,0xff980dff,0xffdb3004,0x0000039d,0xbdffd970,
    0xffff7019,0xffffffff,0xf900017d,0x03ffc8bf,0x0007f200,0x1ffa0000,
    0x2001ffa0,0xeefffeea,0xeeeeeeee,0xd4efffee,0xe813e6ff,0x4ffb81ff,
    0x26000000,0x0bf21fff,0xff009ff3,0x9bfd100f,0x5ff903ff,0x007fff60,
    0xf881bfe2,0x5409ff3f,0xff9003ff,0x07ffffff,0xddddddd9,0x6cbddddd,
    0x47ffffff,0xeeeeeeec,0x005eeeee,0x6400bff2,0xec8002ff,0x03bb600e,
    0x3fee5ec8,0xff3fec02,0xf4ff980d,0x4ff980df,0x7fffec40,0xed83ffff,
    0x9bffb713,0x3fffa601,0x42ffffff,0xfffffffb,0xefffffff,0x3ffe2000,
    0x001ffe41,0x5dd11e88,0x0f7ffb26,0x7f417b60,0x917fe807,0x54059ffb,
    0x7d4004ff,0x39bff44f,0x222ffd40,0xed800fff,0x885ed805,0x0bf20fff,
    0xfd005b93,0x8ffd801f,0xffc81ffc,0x01fffd82,0xfa81ffa0,0x640ffb1f,
    0x72f6c1ff,0xfb557fff,0xfffd85ff,0xffffffff,0x3ffaaa6f,0x7ffec2ab,
    0xffffffff,0x3ff2006f,0x05ff9002,0x205ff700,0xf102fff8,0x017fdc9f,
    0x06ff9ffa,0x6ffa7fcc,0x2027fcc0,0xcaabeffe,0x67f45fff,0xffffffe8,
    0x77ffcc1e,0x7ffebaac,0x5556ffdc,0xffdbaaaa,0x3fee006f,0x003ffc85,
    0xf57ff100,0x1bffffff,0xfe83ff40,0xe9ffe807,0x1fffffff,0x4004ffa8,
    0x3ff44ffa,0xc8bff600,0xffd003ff,0x3e0ffd00,0x00ff60ff,0x407ff980,
    0x3ff92ffa,0xfd85ff90,0x7e4001ff,0x5cff901f,0x0ffd01ff,0x37feaffd,
    0x5c7ffa80,0xcccccccc,0xfd84fffc,0x9999700f,0xfff99999,0x17fe4009,
    0x002ffc80,0xf504ff98,0x3fea09ff,0xd00bfee2,0x2037fcff,0x0dff4ff9,
    0x2e04ff98,0xfe980dff,0x3ffbfa2f,0x6fffcadf,0xfd01ffe4,0x01ffdc5f,
    0x003fffa8,0xff903fff,0x3e200007,0xdbcfffdf,0x3fa05fff,0xd00ffd07,
    0xb77bffff,0xff50dfff,0x4ffa8009,0x26003ff4,0x0dff16ff,0x7403ff40,
    0xd8fff07f,0x3f20003f,0x93fe205f,0xffc81ffc,0x007fff62,0x7c0ffea0,
    0x20ffe64f,0x7fe85ff8,0x7f401fff,0x7fe4001f,0x001ffb05,0x002ffe40,
    0x6400bff2,0x133102ff,0x3f20dff0,0x8ff906ff,0x7f402ffb,0xf301bfe7,
    0x501ffe9f,0x3fe209ff,0x9bfe600f,0x440bfffe,0xdff12fff,0x2e4ffc80,
    0x3f2003ff,0x5ffb805f,0x3337ff90,0x03333333,0x82ffff88,0xfd00fffa,
    0x201ffa0f,0xf883fffe,0x77fd42ff,0xcccccccc,0x44ffdccc,0xfc8007fe,
    0x002ffcaf,0x3fa01ffa,0xfe8fff07,0xfff10004,0x3237ec03,0x2ffc81ff,
    0x0007fffb,0x3e617fe2,0x542ffc2f,0x8ffe83ff,0x55cc04ff,0x3bfee000,
    0x001ffb00,0x003bfee0,0x2005ff90,0xff902ffc,0xf01ff909,0xff01ffdf,
    0x404ffb8b,0x01bfe7ff,0x1ffa9ff3,0x2a09ff70,0xffd803ff,0x5c09ffd1,
    0x006a64ff,0x7fdc9ff3,0x1bfea003,0x6407ffa0,0xffffffff,0x201fffff,
    0x3203fff8,0x0ffd02ff,0x3fa01ffa,0x0fff205f,0xfffffff5,0xffffffff,
    0x07fe89ff,0xffeff880,0x03ff4006,0x7fe83ff4,0xe80027f4,0x3fee04ff,
    0x640ffe41,0xffffdbff,0xffd0001f,0xfd81ff70,0x407fe40f,0x02ffaffe,
    0xfffa8000,0x9ffd9880,0x3fea0009,0x7fff400f,0xffffffff,0x02ffc84f,
    0xff509ff9,0xffaff987,0x2e17fcc2,0x3fea06ff,0xf301bfe7,0x803ff69f,
    0xff904ffd,0x25ff7003,0x3e601ffe,0x7e4c004f,0x00ffee4f,0x5407ff88,
    0x3ff206ff,0xffffffff,0x3e201fff,0x17fdc07f,0xffd07fe8,0x403ffd00,
    0x7fd44ffa,0xffffffff,0x4fffffff,0x77403ff4,0xfffffeee,0x204eeeee,
    0x7fe807fe,0x5ff8dfb0,0x06ffd800,0x3f20ffe6,0xffffc81f,0x00effdef,
    0x6c0ffc80,0x42ffa86f,0x7ffd06fe,0x800003ff,0xfd01fff9,0x00dfffff,
    0x2007ffe6,0xfffffffe,0xc84fffff,0x9ff902ff,0xff717fe0,0x1ff917fe,
    0x883fffb8,0x1bfe7fff,0x3f29ff30,0x9fff904f,0x2003ff60,0x1ffd4ffa,
    0x982ffc40,0xffffedca,0x00ffee4f,0x7406ff98,0x3ff202ff,0xaaaaaaac,
    0x3e200aaa,0x1ffd406f,0xffd07fe8,0x401ffd00,0x7fd45ff8,0x9999999d,
    0x4ffb9999,0x7fc03ff4,0xffffffff,0x206fffff,0x7fe807fe,0x6ff8dfb0,
    0x3bff6200,0x641bfa00,0xfffc81ff,0x5ffe88ef,0x22ff9800,0xff883ff8,
    0x7413fe24,0x001ffcff,0x0bffe200,0xffffffe8,0x2fff8806,0xb3333100,
    0x133337ff,0x0005ff90,0x57f63fec,0x42ff47fc,0x9adffffb,0x3e7fffec,
    0xa7fcc06f,0xa8acfff9,0xd04ffffd,0x3fe600ff,0xf880ffd5,0x7fff545f,
    0x4ffdffff,0xc800ffee,0x3fea05ff,0xaaaaaaaf,0x00003ffd,0xfa80bff1,
    0x20ffd03f,0x7fe807fe,0x2a2ffc40,0x7d4004ff,0x403ff44f,0xfdaaaaaa,
    0x2aaaaacf,0x3a01ffa0,0xf8bf907f,0xffd1006f,0x07fe401d,0xfc81ffc8,
    0x3fe60eff,0x4ff8002f,0x7f407fea,0x740bfea6,0x001ffcff,0x07ffd100,
    0x4003ff60,0x0003ffe8,0xc8017fe4,0x2a0002ff,0x54bfe1ff,0x07ff10ff,
    0xffffbff7,0x7cff9dff,0x27fcc06f,0xfffffff7,0x3a09ff1d,0xff9800ff,
    0xf880ffd4,0x3fffee5f,0x9ff31bce,0xb801ffdc,0x3fa02fff,0xffffffff,
    0x0003ffff,0xa80bff10,0x0ffd03ff,0x3fa01ffa,0x22ffc407,0x54004ffa,
    0x03ff44ff,0x005ff700,0xfd00ffd0,0xf893f20f,0xfff9807f,0x33fe600e,
    0xfc999999,0xff9099af,0x1fff901d,0x326fd800,0xc9ff207f,0x7ffd00ff,
    0x200005ff,0x36005ffd,0xffb000ff,0xff90000b,0x0bff2005,0x33ff8800,
    0x4ffe21ff,0xffb80ffb,0x8effffaa,0x01bfe7fb,0xfdb89ff5,0x9ff0dfff,
    0x2007ff20,0x0ffd3ffa,0xff35ff88,0x3fea017f,0x2ab7fee4,0xfecbaaaa,
    0x3fea05ff,0xffffffff,0x0003ffff,0xa80bff10,0x0ffd03ff,0x3fa01ffa,
    0x22ffc407,0x54004ffa,0x03ff44ff,0x6d555554,0xaaaaacff,0x201ffa02,
    0x49f707fe,0x7cc07ff9,0xffc805ff,0xffffffff,0xf92fffff,0x37ff405f,
    0x743fee00,0x47fea05f,0x3ffa05fe,0x7cc03ffa,0x0dffb04f,0x800ffd80,
    0x00006ffd,0x32005ff9,0x740002ff,0xfe8df96f,0x3ee0dfb5,0xd002a62f,
    0x4ffb80ff,0x81be06a0,0xfc802ffb,0x880ffd2f,0x07ff95ff,0x3ee4ffb8,
    0xffffffff,0x00dfffff,0x2aab3ffa,0xffdaaaaa,0xff100003,0x03ffa80b,
    0x1ffa0ffd,0xf101ffa0,0x04ffa8bf,0x3a27fd40,0xffff807f,0xffffffff,
    0x3fa06fff,0x707fe807,0x07ffcc7f,0x004fff98,0xfffffff9,0xffffffff,
    0x980bff25,0x26004fff,0x03ff9aff,0x03ff9ffc,0x1bfe3ffa,0xf905ffb0,
    0xfd8001df,0x77fe400f,0xff900000,0x0bff2005,0xd1ff7000,0xf8ffc89f,
    0x05ff703f,0x401ffd00,0x44004ffd,0x1bfe604f,0x3a1fff10,0xaffc407f,
    0x7ec01ffd,0x3fffee4f,0xffffffff,0x37fcc01d,0x003ffc80,0x80bff100,
    0xffd03ffa,0x3a01ffa0,0x2ffc407f,0x50013fea,0x07fe89ff,0xeeeeeee8,
    0xeeeeeeff,0x201ffa04,0x413107fe,0xfa80fffa,0x2a6003ff,0xaaaaaaaa,
    0x90aabffd,0xffb805ff,0x2ffe002f,0x7ec00ffb,0x3a01ff9d,0x207ff97f,
    0x7d40fff8,0xfc8000ff,0x3ffea01f,0x3f200000,0x5ff9002f,0xbff98000,
    0x67fd42ff,0x5ff701ff,0x09ff9000,0x0013fff2,0xffd809f5,0xe93ff603,
    0xaffc407f,0x3f204ffc,0x37fee5ff,0x01aaaaaa,0x801ffec0,0x00003ffc,
    0xfa80bff1,0x20ffd03f,0x7fe807fe,0x2a2ffc40,0x7d4004ff,0x003ff44f,
    0x0005ff70,0xffd00ffd,0x07ffd400,0x000bffe2,0x40ffe400,0xfd802ffc,
    0xbfb000ff,0xdf700dfb,0x7fe80ff7,0x263bfff1,0x7d43fffc,0xf70001ff,
    0xffa877df,0x6400001f,0xff9002ff,0xdfd00005,0xfff881ff,0x0bfee06f,
    0x33ffe600,0xffffda89,0x03fd4004,0x4477ffe2,0x7f45ffe9,0xaaffc407,
    0x9510bfff,0x7dcbffff,0xf300003f,0x7fe400ff,0xff100003,0x03ffa80b,
    0x1ffa0ffd,0xf101ffa0,0x04ffa8bf,0x3a27fd40,0x3ee0007f,0x7fe8002f,
    0x3307fe80,0x207ffd43,0x00003ffd,0x3207ff20,0xff8802ff,0xfff7005f,
    0xdff3009f,0x27fe80bf,0xffffffe9,0x7ffc44ff,0xaaaaaaad,0x7fcc0aaa,
    0xfff10fff,0x5555555b,0x32001555,0xff9002ff,0xdddddddd,0x3f209ddd,
    0xfffd06ff,0x017fdc09,0xfffffd80,0x04ff8eff,0xecbfff80,0x7ffff4c3,
    0xfe85ffff,0xb2ffc407,0xfffdffff,0x7dcffd3d,0xfb00003f,0x7fe4007f,
    0xeeeeeeee,0xf102eeee,0x3ffa80bf,0x3fa0ffd0,0x407fe807,0x7fd45ff8,
    0x27fd4004,0xb8001ffa,0xfe8002ff,0x887fe807,0xfff50fff,0x777ffd41,
    0xeeeeeeee,0x7fe4000e,0x002ffc81,0x1007fff5,0x2005ffff,0x7402ffff,
    0xffffc87f,0xfffa82ef,0xffffffff,0xfea82fff,0xffff51ff,0xffffffff,
    0x3f2005ff,0xfff9002f,0xffffffff,0x3fe60bff,0x3fff904f,0x0017fdc0,
    0xbffffd70,0x20013fe1,0x82fffffb,0xdfffffc8,0x880ffd03,0x7ffdc5ff,
    0x3fee3fff,0x0007ff72,0x001fff30,0x7fffffe4,0xffffffff,0x80bff103,
    0xffd03ffa,0x3a01ffa0,0x2ffc407f,0x50013fea,0x07fe89ff,0x00bfee00,
    0x3a01ffa0,0x0fff887f,0x7ec1fff5,0xffffffff,0x001fffff,0x7e40ffe4,
    0x3ff2002f,0x7ffe801f,0x03fff600,0x5440ffd0,0x3ffea009,0xffffffff,
    0x20c02fff,0xfffffffa,0x2fffffff,0x005ff900,0x3ffffff2,0x5fffffff,
    0x4c0bffe0,0x554c07ff,0x1a880000,0xbb880000,0x00351001,0xff880ffd,
    0x00135305,0x0000ffee,0x90013ff6,0xffffffff,0x07ffffff,0xf5017fe2,
    0x41ffa07f,0x7fe807fe,0x2a2ffc40,0x7d4004ff,0x003ff44f,0x0005ff70,
    0xffd00ffd,0x221fff10,0x3ffe0aaa,0xffffffff,0x4001ffff,0xffc81ffc,
    0x3ffa2002,0x2ffe400f,0x00dff500,0x00000ffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa988000,0x01f74c01,0x00027744,0x00000000,0x00000000,
    0x00008000,0x00000000,0x00000000,0x4c000000,0x000001aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeeeed8,0x0002eeee,0x00c40000,
    0x65c00000,0x4ccccccc,0xeeeeeea8,0xeeeeeeee,0xd305ed42,0x803bba27,
    0xffffffd8,0x00fff00c,0x54005ff7,0x32002fff,0xffffffff,0x2a00bcef,
    0x22001fff,0x3fee1fff,0xefffffff,0x3aa001de,0xfffffb83,0xffffffff,
    0xfff51fff,0xffffffff,0x3fa3ffff,0x2ffc8007,0x04ffa800,0xffa7fd40,
    0x3ffff207,0x3ff5bfe7,0xfffff000,0xffffffff,0x3ff27fff,0xfe8000ff,
    0xffff72ff,0xdfffffff,0x1bfee017,0x269ff300,0xffffffff,0xffffffff,
    0x013ff27f,0x443ffc40,0xffffffff,0x3fee3fff,0xffffffff,0x8002ceff,
    0x3ffee7fa,0x6ffd8001,0xffffffd0,0xfff70fff,0xffffffff,0x7ff47fff,
    0x12febeff,0x3ea01fff,0xffffffff,0x02ffc82f,0x36003ff4,0x32005fff,
    0xffffffff,0x201fffff,0x3a006ffd,0x7ffdc3ff,0xffffffff,0x7d401dff,
    0xffffb83f,0xffffffff,0xff51ffff,0xffffffff,0x3a3fffff,0xffc8007f,
    0x4ffa8002,0xfa7fd400,0xffff707f,0xfeb7fcbf,0x3ffe0007,0xffffffff,
    0xf93fffff,0x98007fff,0xff72ffff,0xffffffff,0xf70bffff,0x7cc009ff,
    0xfffff34f,0xffffffff,0x7ccfffff,0xff70007f,0xfffff509,0x47ffffff,
    0xfffffffb,0xffffffff,0x1ffe6003,0xa800dffd,0x99700fff,0x09999999,
    0xfffffff7,0x5fffffff,0x3ff2fbe6,0x3ffe27ff,0xadfff980,0x0fffeb88,
    0xf102ffcc,0x7fc4009f,0xf9000ffe,0xb99999bf,0x205ffffd,0xc804ffe8,
    0xeffb85ff,0xfedccccc,0x2a02ffff,0xeffb83ff,0xcccccccc,0xf50ccccc,
    0x999999df,0x21999999,0xfc8007fe,0xffa8002f,0xa7fd4004,0x9fff07ff,
    0xeb7fc133,0x3320007f,0xcccccccc,0x93fffdcc,0x800dffff,0xf72ffffc,
    0x999999df,0x89ffffdb,0x001ffffb,0x33229ff3,0xffeccccc,0x4ccccccd,
    0x40017ff4,0xffb81ffe,0x6ffdc001,0xcaaaaaaa,0x805ffffc,0x7cc7ffe8,
    0xff1003ff,0x0000007f,0x2e4ffb80,0x105ed42e,0x3ffa0999,0x217ff604,
    0xff700ffe,0x4ffdc003,0xff9003ff,0x7ffd8805,0x80bffe60,0xfb80effa,
    0xfffa803f,0x07ff500f,0x80009ff7,0x20005ffa,0xfc8007fe,0xffa8002f,
    0xa7fd4004,0x7ff887ff,0x3ff5bfe0,0xfd000000,0x7fffe4bf,0x3ffa000f,
    0x07ff72ff,0x45fffb10,0x00effffb,0x9004ff98,0x7dc005ff,0x7fcc005f,
    0x000ffb06,0x64009ff7,0x3aa01fff,0xffb87fff,0x5ffc800f,0x40000000,
    0x00005ff9,0x2037fc40,0xffb87ff9,0x800dfd02,0x00ffd5fe,0x7400bff2,
    0x3ff201ff,0x1fff880f,0x2007ff70,0xf505fff9,0x09ff707f,0x05ffa800,
    0x001ffa00,0x2000bff2,0x54004ffa,0x10fff4ff,0xb7fc0bff,0x000007fe,
    0x641dffb0,0x003ffcff,0x25ffbff3,0x36003ffb,0x3ffee4ff,0xff9804ff,
    0x05ff9004,0x007ffc40,0x3a07ff90,0xffb8006f,0x1fff4004,0x7ffffe44,
    0x80bffd07,0x9800fff9,0x01ceffed,0x007ff400,0x3fea0000,0x41ffe804,
    0xff985ff8,0x4ffe6003,0xfc802ffb,0x7ff7002f,0xe85ffe80,0x3fee03ff,
    0x3ffa2003,0x3bffbaa2,0x09ff71ee,0x05ffa800,0x001ffa00,0x2000bff2,
    0x54004ffa,0x30fff4ff,0xb7fc09ff,0x000007fe,0x641fffc8,0x006ffaff,
    0x25ff7df9,0x2a003ffb,0x33fee6ff,0x7cc01fff,0x5ff9004f,0x02ffd800,
    0x2203ffe0,0xfb8004ff,0x7fdc004f,0x5ffffcc5,0xfff307fe,0x017ff405,
    0x3fffff62,0x90003fff,0xbdb005ff,0x06aa2000,0x3603ff60,0x07fe40ff,
    0x263ffb00,0xffc805ff,0x07ff7002,0x323fff88,0x7fdc05ff,0x2ffdc003,
    0xfffffff7,0x0013fee3,0x000bff50,0xfdc8bff4,0x7fe40bdf,0x4ffa8002,
    0xfa7fd400,0x3ffbb27f,0xb7fc5eef,0x3bae07fe,0xffa8000d,0xcaffc82f,
    0xbff800ff,0x7ff72ffb,0x73ffc400,0x1dff75ff,0x8027fcc0,0x54002ffc,
    0xff3005ff,0x88bfe609,0x27fdc009,0x71bfe600,0x1ffa3dff,0xc80fffb8,
    0xffe805ff,0xfffcaabe,0x37fcc005,0x0007fe80,0x20dff000,0x2ffc3ffa,
    0xe8dff100,0x7fe400ff,0x01ffb002,0xf31fff70,0xffb801ff,0x37fc4003,
    0x55bff951,0x0013fee1,0x000bff50,0x7ff4fff4,0x320effff,0xfa8002ff,
    0x7fd4004f,0x7fecfff4,0x7c6fffff,0x2e0ffd6f,0x98000eff,0xff904fff,
    0x9807ff35,0x72ffb8ff,0x7cc007ff,0x74bfee7f,0x3fe604ff,0x05ff9004,
    0x001ffd00,0x3ee03ffb,0xeffffc9f,0x009ff704,0x75c5ffb8,0x3a03ff42,
    0x7ffcc5ff,0x06ffdc00,0x0017ff4c,0x3a003ffd,0x8000007f,0x3fe04ffd,
    0x800bfea6,0x7fdc3ffb,0x017fe404,0xb0037fd4,0x03ffdbff,0x0007ff70,
    0xffa81ffd,0x004ffb83,0x002ffd40,0x9dffffd0,0x64dfffb7,0xfa8002ff,
    0x7fd4004f,0x5d4cfff4,0x7c2aadff,0xf70ffd6f,0xd10001df,0x7fe40bff,
    0xfc80dff2,0x3ee5ff75,0x3fea003f,0x7ccbfee5,0x9ff302ff,0x00bff200,
    0x100fff20,0x7fe40dff,0xffffffff,0x027fdc1e,0x087ffd10,0xf980ffd0,
    0x0bffa2ff,0x401fff10,0xf7006ff9,0x3ff400bf,0x3f600000,0x3ff200ef,
    0xe800ffb1,0x3ffc40ff,0x2ab3ff20,0xffdcbaaa,0x3fe2000d,0xf7004fff,
    0xffb0007f,0xb83ffa83,0x99999dff,0x09999999,0x26677fea,0x09999999,
    0x4427fff4,0x5ff91ffe,0x9dff5000,0x99999999,0x3e9ffb99,0x04ff987f,
    0x23ff5bfe,0x0000effb,0x6401dffb,0x01ff92ff,0x2ffb9ffc,0x22007ff7,
    0x3fee3fff,0x203bfee2,0xf9004ff9,0xff10005f,0x03ffa80d,0x26f7fffa,
    0x20ffffba,0xa9804ffb,0x3a006fff,0x6ffb807f,0xf5009ff7,0x3ffb007f,
    0x005ffd00,0x00003ff4,0x801dffb0,0x09ff3ff9,0xd82ffcc0,0x3ff202ff,
    0xffffffff,0xf50005ff,0x7dc00dff,0xffc8003f,0x5c1ffd42,0xffffffff,
    0x2fffffff,0x3fffffea,0x3fffffff,0xf502fff4,0x00bff25f,0x3ffffea0,
    0xffffffff,0xfff4ffff,0x7c09ff30,0x7dcffd6f,0xf90000ef,0xffc803ff,
    0x2a07ff32,0x25ff70ff,0x53103ffb,0xfb8dfff9,0x427ff42f,0xf9004ff9,
    0x3f60005f,0x03ff601f,0xd103fff8,0x7ffdc9ff,0xffeeeeee,0x001effff,
    0x7f401ffa,0x800effcf,0xfb801ffc,0x37fcc02f,0x001ffa00,0x077fec00,
    0xffaefe80,0x0bff2001,0xf902ffd4,0xffffffff,0x0009ffff,0x001ffff5,
    0x2000ffee,0x7fd43ffc,0xfffffb83,0xffffffff,0x3ffea2ff,0xffffffff,
    0x17ff43ff,0x3f29ff30,0xffa8002f,0xffffffff,0x4fffffff,0x9ff30fff,
    0x7feb7fc0,0x0001dff7,0x200bffea,0x1bfa2ffc,0x5ff72fe4,0x3fffffee,
    0xffffffff,0x217fdc1f,0x7cc2fff9,0x5ff9004f,0x13fea000,0x2602ffc4,
    0x7ffcc01a,0xffffff70,0xffffffff,0x0ffd0009,0x3ffffe60,0x01ffb001,
    0xc809ff50,0x7f4003ff,0xfb800007,0x3ee000ef,0x7c006fdf,0x07ffc07f,
    0xaaacffc8,0xfffccaaa,0xfff1001e,0x3ee00bff,0xffd8003f,0x5c1ffd42,
    0xaaaaadff,0x0aaaaaaa,0x3333bfea,0x2ccccccc,0xf1007ff4,0x00bff2bf,
    0x2677fea0,0x99999999,0xfff4ffb9,0x7c09ff30,0xff5ffd6f,0x3e60001f,
    0xff9004ff,0x7c07fe45,0x5cbfee2f,0xffffffff,0x80cfffff,0xffb82ffb,
    0x013fe60e,0x00017fe4,0x3fee0dff,0x3f600002,0xddfff72f,0x3dfffddd,
    0x03ff4000,0x009fff90,0xf9803ff4,0x07ffc05f,0x981ffa00,0x3fe20019,
    0x7fc4000f,0x3ea003ff,0xaaaaaaef,0xf904ffda,0xffb1005f,0x33ff600d,
    0xfb803fff,0xffe8003f,0x5c1ffd41,0x540004ff,0x3a0005ff,0xaffc407f,
    0xa8002ffc,0x7d4004ff,0xf30fff4f,0xeb7fc09f,0x04ffffff,0x05ffe880,
    0xf98bff20,0x707fd43f,0x3bfee5ff,0xabcccccc,0x0bfee009,0xff327ff4,
    0x0bff2009,0x81ffc800,0x400007fe,0x9ff73ffb,0x07bff620,0x003ff400,
    0xfd001ffe,0x9ff3001f,0x0027fd40,0xff883ff4,0x9ff3000f,0x3fff6000,
    0x3fff6000,0xffffffff,0x5ff907ff,0x007ffc00,0x7fddbfee,0x1ffdc01f,
    0x207ffc00,0xffb83ffa,0x7fd40004,0x1ffa0005,0x3f2bff10,0xffa8002f,
    0xa7fd4004,0x4ff987ff,0x7ff5bfe0,0x001fffef,0x00077fec,0x6fe85ff9,
    0x3fee2fec,0x0007ff72,0x2605ff70,0x9ff32fff,0x00bff200,0x4c4ff980,
    0x400004ff,0x9ff74ffa,0x00effd80,0x4007fe80,0x7e4007ff,0x3ffa801f,
    0x0007ff60,0x7fc41ffa,0x5ff5000f,0x1bfea000,0xfffff880,0xffffffff,
    0x2ffc82ff,0x80fff200,0x3f61fff9,0x1ffdc06f,0x21ffe200,0xffb83ffa,
    0x7fd40004,0x1ffa0005,0x3f2bff10,0xffa8002f,0xa7fd4004,0x4ff987ff,
    0x7ff5bfe0,0x00effa8e,0x003fff90,0x7e42ffc8,0xf70bfe0f,0x00ffee5f,
    0x80bfee00,0xff98fffc,0x05ff9004,0x647fe800,0x099800ff,0xf72ffb80,
    0xdffd009f,0x00ffd000,0x5c007ff8,0xffc802ff,0x00dff102,0x7c41ffa0,
    0xff9000ff,0x3fe60003,0x0ffee002,0x6437fdc0,0x3ee002ff,0x7ffd105f,
    0x204fff88,0x64003ffb,0x3ffa85ff,0x0004ffb8,0x0002ffd4,0xff880ffd,
    0x0005ff95,0xa8009ff5,0x30fff4ff,0xb7fc09ff,0x27fec7fe,0x017ffd40,
    0x2617fe40,0x70ff53ff,0x0ffee5ff,0x0bfee000,0xff39ffd0,0x0bff2009,
    0x45ff7000,0xffb805ff,0x71ffd805,0xff3009ff,0x7fe8009f,0x003ffc00,
    0xf101bfe6,0x3fea01ff,0x0ffd0004,0x2a6007c8,0xffb0000a,0x00ffe800,
    0xc83fff10,0x3f2002ff,0x0bffb03f,0x5c0bffea,0x3e6003ff,0x3ffa81ff,
    0x0004ffb8,0x0002ffd4,0xff880ffd,0x0005ff95,0xa8009ff5,0x30fff4ff,
    0xb7fc09ff,0x7ffc47fe,0x0fffe601,0x417fe400,0x709fb6fe,0x0ffee5ff,
    0x0bfee000,0xff9fff30,0x0bff2009,0x2bff1000,0xf9802ffa,0x3fe600ff,
    0x4013fee6,0x2002fffb,0x7fc007fe,0x3ffd8007,0xc813ff60,0xfd0002ff,
    0x0005e80f,0x13fe2000,0x006ff980,0x3f227fe4,0xfff1002f,0x01fff703,
    0x5c07ffe4,0x3fa003ff,0x09ff305f,0x80009ff7,0x20005ffa,0x7fc407fe,
    0x0005ff95,0xa8009ff5,0x30fff4ff,0xb7fc09ff,0xeffa87fe,0x05ffe880,
    0x20bff200,0x82ff9ffc,0x7ff72ffb,0x5ff70000,0xfffff900,0x0bff2009,
    0x6dff6000,0x3ffa007f,0x45ffb104,0x3a004ffb,0xfd000eff,0x07ff800f,
    0x1dfff880,0x80bffd31,0xd0001ffe,0x01fd40ff,0x20013310,0x001ffd30,
    0x2001ffe4,0x7fe47ff9,0x6ffe9802,0x402fff98,0xfb85ffe8,0x7fd4403f,
    0xfff301ff,0x13fee357,0x0bff5000,0x203ff400,0x5ff95ff8,0x09ff5000,
    0xff4ffa80,0x409ff30f,0x20ffd6ff,0xffd84ffd,0x7fe40005,0x7feff982,
    0x3ee5ff70,0xfb80003f,0xfffd002f,0x3ff2009f,0xff980002,0x26004ffa,
    0xd512dfff,0x4ffb8bff,0x13ffe600,0x2003ff40,0xd30007ff,0xffffffff,
    0x01fff00b,0x441ffa00,0x7fec005f,0xffff9803,0x7ffc003f,0x3ffe8000,
    0x3bbbbff2,0xffffeeee,0x27ff441f,0x43fff980,0xeeeeeffb,0xffffffee,
    0x7ffff401,0xdddfff73,0xdddddddd,0x17fea9dd,0x407fe800,0xdff95ff8,
    0xdddddddd,0x13fea9dd,0x3e9ff500,0x04ff987f,0x83ff5bfe,0x3ea1fff8,
    0xeeeeeeff,0xeeeeeeee,0x3a05ff95,0xff704fff,0x000ffee5,0x400bfee0,
    0x004ffff9,0x00005ff9,0x007ffffa,0xffffff70,0xff709fff,0xfffc8009,
    0x007fe801,0x10003ffc,0x7bfffff9,0x00dff100,0x0303ff40,0x007ffb00,
    0x00bffff1,0x0005ffa8,0x7fe4dff7,0xffffffff,0xfd82efff,0x7fe4006f,
    0x3fffee1f,0xffffffff,0xfd8801df,0xffff74ff,0xffffffff,0x3eabffff,
    0x3fa0005f,0xcaffc407,0xffffffff,0xf55fffff,0xffa8009f,0xff30fff4,
    0xfeb7fc09,0x43bfee07,0xfffffffa,0xffffffff,0x05ff96ff,0x5c07ffee,
    0x07ff72ff,0x05ff7000,0x027ffe40,0x0002ffc8,0x00dfff70,0x3ffff620,
    0x9ff703ef,0x0dffd000,0xf800ffd0,0x5100007f,0x5ff88003,0x01ffa000,
    0x07ffb000,0x000b36e0,0x4000bff6,0xff91fff8,0xdfffffff,0x3fee059d,
    0xffe8001f,0x3ffffee6,0x1cdeffff,0x7dc13000,0xffffffff,0x5fffffff,
    0x4000bff5,0x7fc407fe,0xffffff95,0xbfffffff,0x50013fea,0x21ffe9ff,
    0x3fe04ff9,0xfe80ffd6,0xfffff54f,0xffffffff,0x3f2dffff,0x0fff302f,
    0xffb97fdc,0xffb80003,0x27ff4002,0x002ffc80,0x05fff100,0x00353000,
    0x30009ff7,0xfe807fff,0x03ffc007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x99999999,0x1554c007,0xa82b6a00,
    0xccccb82e,0x2a04cccc,0xcccccccc,0x66664c0c,0x331ccccc,0x33333333,
    0x00333333,0x00001553,0x00000530,0x00000000,0x06620000,0x00000000,
    0x00000000,0x00000000,0xe880bdb0,0x0000003e,0x05ed8000,0xeea9f744,
    0x6c01dd93,0x97b200ee,0x3bae05ed,0x21ddd10d,0xe9802eea,0x362bdb3e,
    0x3b6202ee,0x3bbbb20e,0xeeeeeeee,0x3e000005,0xffffffff,0x17ff6005,
    0x7ffffc40,0xfe81febd,0x7fffffff,0x3fffff60,0x7d40ffff,0xffffffff,
    0x555555b3,0x55555555,0x0ffb8019,0x7ff6d400,0x01fe88ce,0x39dffdb3,
    0x3ffb2600,0xd97001ce,0x0019bdff,0x39dffdb3,0x2e01ffd0,0x01cefffd,
    0x6fff6dc4,0x7ff64c2c,0xb73000ce,0x10019dff,0x037bfdb7,0x0f7bfb2a,
    0xbfd73ed8,0x26037fc5,0x227db4ff,0x442cefdb,0x6c1dffeb,0xbffb713e,
    0x406ff819,0x9ff74ff9,0x7c40bfee,0x9ff102ff,0xffb83ff4,0x43ffe20e,
    0xfc806ff8,0x7dcffd1f,0x7ffb00ff,0xffffffd8,0x46ffffff,0x40b6004c,
    0xcccccccc,0x3ff6003c,0xb5df5005,0x2e0dffff,0xcccccccc,0x33332a04,
    0x4c0ccccc,0xcccccccc,0x5400071c,0x007fdc00,0xfffffd88,0x884fefff,
    0xfffffffd,0x7ffe403f,0x203fffff,0xffffffe9,0xfb102fff,0x7fffffff,
    0x7440ffe8,0xffffffff,0xffffd303,0xf71bffff,0x5fffffff,0xfffffc80,
    0x3f203fff,0x4fffffff,0x7fffffec,0xacfe80ef,0x3fe6ffff,0xea7fcc06,
    0xfffff9cf,0xffff32ff,0x67f47fff,0xffffffe8,0x301bfe1e,0x53fee9ff,
    0xff504ff9,0x8bfea09f,0xeffb87fe,0xb07ffc40,0x6ff801ff,0x9ffb1ffa,
    0x970bff70,0x99999999,0x7fdc9fff,0x9cefda8c,0x0002ffd8,0x05ffd800,
    0x6d443d90,0x00000002,0x00380000,0xff7002a0,0x3bffa001,0x7fffebab,
    0x557dffd0,0x360bfff9,0xfcaabfff,0xfff984ff,0xffebaace,0x57dffd07,
    0x74bfff95,0x6fff40ff,0x3fffdbab,0x4d67ffcc,0xffffffba,0xfffebabe,
    0x57fff700,0xb05fffb5,0xf755bfff,0xdffd1bff,0x3ffff937,0xffffdfe8,
    0x301bfe3f,0x3fbfa9ff,0xffffbbef,0xfebcfffa,0xffdfd0ff,0xdfff95bf,
    0x3e6037fc,0x7c9f934f,0xdfff906f,0xffd1ff20,0x900effb8,0x1ffd4199,
    0x7f47ff50,0x317ffc47,0x20001fff,0x7f445ffc,0xffffffff,0x00005fff,
    0x00133100,0x00000000,0x1c000000,0xb8015000,0xffc800ff,0x2fffb80d,
    0x4c06ffdc,0x7fd42ffe,0x1ffe880d,0xfd01ffe4,0x0dffb85f,0x913ffe98,
    0x505ff98f,0x1ffd8dff,0x0bffff10,0x3ea1bfa6,0x7ffa80df,0x440fffd4,
    0x04fffffd,0xffe8bff5,0x7fc130bf,0xea7fcc06,0xffc83fff,0x3ffd82ff,
    0x8817fffd,0x0dff2fff,0x3e24ff98,0x3e03ff23,0xff80ffef,0xff73ff45,
    0x3fe0001d,0xe83ff606,0x0effa87f,0x20005ffd,0xe880effb,0xffddffff,
    0x764c05ff,0x0001ceff,0xdb000000,0x03ee880b,0x9bdffd97,0x20bdb001,
    0x002a0003,0xf9801ff7,0xffe880ff,0x03ffe26f,0x7f46ff98,0x97fe600f,
    0x7e406ff8,0x03ffe24f,0x1767ff98,0x76c03ff7,0x809ff30d,0x2600fffd,
    0x07ffc3ff,0x7f43ffd0,0x3ffe202f,0x0ffdc06f,0xff80bffd,0xea7fcc06,
    0xfff505ff,0x753fe607,0x3fee04ff,0xf980dff4,0xfa87e64f,0x7d7fcc3f,
    0x217fcc2f,0x1dff77fe,0x0ffe4000,0x3fa2ffc4,0xf99ff907,0x3ea0009f,
    0x3ffa00ff,0x13ff220b,0xffffffc8,0xddd903ff,0xdddddddd,0xb89f6cbd,
    0x7c0cdffd,0x27fcc06f,0x3fffffa6,0x7402ffff,0x4000707f,0x07fdc00a,
    0x6c0ffee0,0xf51ffdcf,0x3ffb007f,0x3a013fea,0x006a60ff,0x7fd49ff3,
    0x99ffd803,0x02ffd42f,0x9002a620,0xbfd009ff,0x26027fc4,0x0bff10ab,
    0x805fff70,0x3ffa5ff8,0x2037fc02,0x5ffd4ff9,0x403ffe20,0x3ffd5ff8,
    0xffa7fcc0,0xb27fcc06,0xfb8bff0d,0xffc8bff7,0x7fdfff40,0x7cc0000f,
    0x42ffa84f,0x3ffa07fe,0xf30006ff,0x7fc403ff,0x6c1ffa04,0xfcaabfff,
    0xfffd84ff,0xffffffff,0x3a33fa6f,0x1effffff,0xff301bfe,0x677ffcc9,
    0x07ffebaa,0x00383ff4,0x7ffec2a0,0xffffffff,0x3ff93fff,0x3feebf70,
    0x7003ff92,0x0bfee5ff,0x0007ff20,0x7e49ff93,0xdffb801f,0xffff882f,
    0x5100002c,0xfb005ffb,0x0017fd4f,0x4c027fcc,0xfe800fff,0xf003ffa6,
    0x4ff980df,0x7fc03ffd,0xfeaffc07,0x57fe200f,0x7fcc06ff,0xfd80eeac,
    0x7fcafec7,0x7ff42ff4,0x0004ffff,0x7fd87fe8,0x3e607fe8,0x88000fff,
    0x7d402fff,0x07fee01f,0xd101bff5,0xcccb83ff,0xffcccccc,0x3ffbfa4f,
    0x6fffcadf,0xff301bfe,0xd01ffe49,0x3ff405ff,0x42a00038,0xfffffffd,
    0x3fffffff,0xff981ffb,0x3f67ff50,0x4ffa800f,0xfffffff9,0x5fffffff,
    0x3fb72a60,0x3f64ffff,0xfffa800f,0x3fffea01,0x9800bdff,0xfffffdca,
    0xffffffff,0xf70fffff,0xff70003f,0xffff1005,0xffffffff,0x03ff4fff,
    0x3e6037fc,0x401ffd4f,0xaffc06ff,0x7fc407fe,0xf980dff5,0xf500beff,
    0xfa97fc3f,0xd07ff10f,0x3fffdfff,0x2ffb8000,0x3fa13fe2,0x037ff407,
    0x01fff440,0x3e2037ec,0x007ff43f,0x9000bff3,0xfffe8bff,0x97ffc40b,
    0x7fcc06ff,0xc80dff14,0x1ffa04ff,0x2150001c,0xfecccccb,0x1cccccdf,
    0x1ff88ffd,0x3ff53fe6,0xfb5ff980,0xffffffff,0xa87fffff,0xfffffffe,
    0x1ffa4ffd,0x402ffcc0,0xffffffd9,0xfffd504f,0xfffddfff,0xffffffff,
    0x3ff25fff,0x1ffc8001,0xffffff00,0xffffffff,0x201ffa1f,0x7fcc06ff,
    0xff80ffd4,0xfeaffc06,0xfaffc407,0x27fcc06f,0xf99ffc40,0x2e7ff10f,
    0xdffe80ff,0x0006ffa8,0xff72ffc4,0x5c0ffd03,0x4004ffff,0xf7005ffd,
    0x0ffd401f,0xfd009ff5,0x7fdc001f,0x027ff40e,0x1bfe9ff7,0x54c9ff30,
    0x027fcc01,0x000e0ffd,0x7fdc00a8,0xd07ff400,0xd3ffa87f,0xff3001ff,
    0x2aafff69,0xaaaaaaaa,0x3fffee1a,0x9ff31bce,0x4c007ff4,0x2e2003ff,
    0x0efffffd,0x337fffee,0x559ff70a,0x55555555,0x007ff215,0x2007ff20,
    0xaaaafff8,0xaaaaaaaa,0xff00ffd0,0xd4ffa80d,0x06ff80ff,0x07feaffc,
    0x6ffaffc4,0x8027fd40,0xe8df96fe,0x3a0dfb5f,0x027fec7f,0x743ff600,
    0x20ffd06f,0x1ffeeff9,0x00dffb00,0xfd027fc4,0x802ffb8f,0xf5001ffc,
    0x3ffd01ff,0xffa7fcc0,0x027fcc06,0x813ff260,0x000707fe,0x3fee0054,
    0xc97fec00,0x92ffb85f,0xff5003ff,0x000bff27,0x805fffcc,0x3ff24ffa,
    0x02ffa801,0x3fff2600,0x015fff32,0x4000bff2,0xb8002ffb,0xff9802ff,
    0x1ffa0007,0xf701ffa0,0xf01ffa9f,0xd5ff80df,0x5ff880ff,0xffb80ffd,
    0xd1ff7004,0xf8ffc89f,0x88ffd03f,0x20001fff,0x3ff9affa,0x3fa0ffd0,
    0x00eff9af,0x00077fe4,0x3ee0bffa,0x7fffe45f,0xffffffff,0xff9802ff,
    0x01ffd01f,0x6ffaffc4,0x9827fcc0,0xffffedca,0x41ffa04f,0x002a0003,
    0xfb801ff7,0xc80efabf,0x05ff71ff,0x3ea5ff90,0x2099803f,0x7dc03ffc,
    0x00bfee4f,0x53003ff2,0xf95ffb80,0x4ffd809f,0x3ea1aa80,0xa7fcc03f,
    0xfb804ffa,0x09a801ff,0x3fa01ffa,0x53ff600f,0x37fc07fe,0x3ff57fe0,
    0x7f57fe20,0x13ff600f,0x7fdffcc0,0x7fe7fd42,0xf70ffd01,0xff8000df,
    0xfd00ffbd,0x649ff90f,0x3fea05ff,0x7f44000f,0xfffcbeff,0x7fffec5f,
    0xffffffff,0x7fc403ff,0x01ffa02f,0x1bfebff1,0xea89ff30,0xdfffffff,
    0x1ffa04ff,0x0150001c,0x5400ffb8,0x881ffeff,0x1bfe67ff,0x261fff10,
    0x3e200fff,0x03ffb1ff,0x3e64ffd8,0x3ffc406f,0x8807ffa0,0x01ffd5ff,
    0x2037ffc4,0x3fe27ff9,0x897fec06,0x7fc00fff,0x7fd405ff,0x3201ffa5,
    0xfff904ff,0xff01ffa9,0xfd5ff80d,0x95ff880f,0x3ff209ff,0x3bfa004f,
    0x7ffc40ff,0x41ffa06f,0x19984ffd,0x2ff7fe40,0xff98ffd0,0x417ff40f,
    0x4001fffa,0xffffffe8,0x24ffffff,0xaaaabffd,0x1aaaaaaa,0x00fffa20,
    0xff880ffd,0xf980dff5,0x3fffee4f,0x9ff31bce,0x0383ff40,0xf7002a00,
    0xfffd001f,0xb0fff607,0x7fec07ff,0xb027fe44,0x27fe4dff,0xd8bfff90,
    0x3ff603ff,0x02ffdc04,0x3ff67ff9,0xffffd103,0x21fff409,0xff103ffc,
    0x02ffdc1f,0x05fffff9,0xfe8bffe2,0xcfff9807,0xffffda89,0xff80ffd4,
    0xfeaffc06,0x9affc407,0xda89cfff,0x2004ffff,0xfd06fffc,0x3ff409ff,
    0x221fff88,0x3e600fff,0x3fa02fff,0x20bffa27,0x3e20fff9,0xaaaaadff,
    0xf90aaaaa,0xbffd73bf,0x325ffd37,0x200002ff,0xfe805ffd,0xfaffc407,
    0xa7fd406f,0x500bfff9,0x3ff409ff,0x02a00038,0x3001ff70,0x5115bfff,
    0xff10bffd,0x3fa623bf,0xefff885f,0xfffda889,0x42fffea1,0x5ffffca8,
    0x88efffc4,0x8804ffe9,0xa88bdfff,0xff70fffc,0x3fae217f,0x8adffebf,
    0x40effeb8,0x931dfff8,0xffd07fff,0x3ff6615d,0x11cfffbe,0xfe8bffd7,
    0xffffb007,0x9ff1dfff,0xdff01ffa,0xffd5ff80,0x325ff880,0xefffffff,
    0x26004ff8,0xff904fff,0x03ff403f,0x7fc4dff7,0x3fff400f,0xffc9ffa0,
    0xa97ff204,0xffffffff,0x22ffffff,0x7440885d,0x200ffea4,0x3ff60099,
    0x80ffd006,0x0ffd5ff8,0xff94ffb8,0x04ffb807,0x001c1ffa,0x80000150,
    0xfffffffb,0xd300efff,0xffffffff,0x7fff4c0b,0x82ffffff,0xffeffffd,
    0x987fe9ef,0xffffffff,0x3fe6005f,0xefffffff,0x7ffffec1,0xfb10efff,
    0xdfffffff,0x3fffa601,0x104fffff,0xfffffffd,0x3ffe61df,0x0effffff,
    0xd7003ff4,0x3e1bffff,0xf80ffd4f,0xeaffc06f,0x2ffc407f,0x37ffffee,
    0xf8009ff0,0xfff302ff,0x7407fe80,0x1fff14ff,0x404ffb80,0x1fff57fe,
    0xf53ffe80,0xffffffff,0x005fffff,0x3ffe6040,0x07ffe200,0x4003bff2,
    0x7fc407fe,0x6c01ffd5,0x03ffb4ff,0x3a04ffd8,0x4000707f,0x9999970a,
    0x99999999,0x2e7fe639,0x03fffffd,0xfffffc88,0xfff9003d,0x5c019fff,
    0x23ffffff,0xfc882ffb,0x003dffff,0xfffffc98,0xfff700df,0x3b207dff,
    0x003fffff,0x5dfffff9,0xffffd700,0xffd9109d,0x3fa07fff,0x01a88007,
    0x7fc07fe8,0xfeaffc06,0x82ffc407,0x000001a8,0x00000000,0x00000000,
    0x00000000,0x4ffc8000,0x2a1bff60,0x3a000fff,0xaffc407f,0xff904ffc,
    0x813ff29f,0x3a05fffc,0x4000707f,0xfffffb0a,0xffffffff,0x260be67f,
    0x35100009,0x0d4c4000,0x0026a600,0x00035100,0x00054cc0,0x4c400353,
    0x35100009,0x13310001,0x0026a200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdfff1000,0xfffb5113,0x01fffa83,
    0x2203ff40,0x9fff35ff,0xffffb513,0x42fffea9,0x5ffffca8,0x01c1ffa0,
    0x3ff61500,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd300000,0xffffffff,0xadfff885,0xaaaaaaaa,
    0x880ffd0a,0x3fff65ff,0xff8effff,0x3bffff64,0x7fe9efff,0x66c1ffa0,
    0xcccccccc,0x00dccccc,0x00000000,0x00000000,0x2017fe00,0x0154c1a9,
    0x15502aa0,0xa9800000,0x04d44002,0x4004d440,0x51000aa9,0x026aa203,
    0x802eec80,0x99999999,0x41999999,0x99999999,0x01999999,0x0a2002aa,
    0x0ccc0000,0xd9500aa8,0x4188039b,0x26621998,0x99813301,0xeed86660,
    0x3e4eeeee,0x000000ff,0xffffffc8,0xffffa80c,0xffffffff,0x80ffd2ff,
    0x7f5c5ff8,0x9ff0dfff,0xffffffb8,0x740bfee3,0x0000007f,0x00000000,
    0x99ee2000,0x000000be,0xff300bff,0x8017fc43,0x07fdc6fc,0x0ea803f3,
    0x800fff80,0x04ffffeb,0x07fffff9,0x13ffffa2,0xda87ff30,0x003fffff,
    0xf9807ffb,0xffffffff,0x267fffff,0xffffffff,0x07ffffff,0xfd9807fa,
    0x3ff20cff,0x3e6bff74,0x01fff17f,0xffd881ff,0x21cfffff,0x7fec2fa8,
    0x20fffa25,0x97fe26ff,0xffff0fff,0x7fcbffff,0x0000000f,0xf5006a62,
    0xffffffff,0x3a5fffff,0x2ffc407f,0x98001a88,0x0000009a,0x00000000,
    0x80000000,0x3e67ffd9,0x00000cff,0xfc802ffc,0x2007fdc6,0x3fe22ff9,
    0x407ffe63,0x7dc06ffa,0x7fd403ff,0x543ffecd,0x0ffebcff,0x7f6fffc4,
    0x7fff505f,0x6ddeffc4,0x7ffb007f,0xfffff980,0xffffffff,0x3fffe67f,
    0xffffffff,0x03fa07ff,0x5fdacff8,0x7fdd3ff2,0x3e2fff35,0x17fd40ff,
    0x3ffffff2,0xffeeffff,0x03bfe62f,0xdff0fff3,0xfff2ffc4,0x3fffffe1,
    0x03ffe5ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffea800,0x3fffe26f,0xf00002df,0x3fe200bf,0xd102ff44,0xc86fe8bf,
    0x7fd41fff,0x7fff402f,0x3227f407,0x3e17ec6f,0x50f7e43f,0x7ff445ff,
    0x217f23ff,0xaaa802fe,0x55554400,0xaaaaaaaa,0x2aaa27fd,0xaaaaaaaa,
    0x4b6e2aaa,0x7d4d917d,0xffc87dc1,0x3e6bff74,0x81fff17f,0x3f26fec9,
    0xffeca8ac,0x21ffffff,0xff501ffc,0x3e26ff87,0x443ffe5f,0x40888888,
    0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,0xc8800000,
    0x01dfffff,0x7dffffb5,0x2ffc0001,0x545ff700,0x3ff903ff,0xfc80ffdc,
    0x5fff51ff,0xffaffa80,0x3ee06202,0x41ff9806,0x25fe83ff,0x43fd8cfa,
    0x004fd808,0xfc800000,0xfd800007,0xfffdfeef,0x29f10dd0,0xbff74ffc,
    0x0f91ffe6,0x02c97fcc,0x37ffff26,0x700bfe20,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfda80000,0x000befff,
    0x9fffff91,0x0bff0003,0x3a0ffe80,0x27fd40ff,0xfc80bff3,0x02fffcff,
    0x0dfb6fd8,0x203fe880,0x7c43ffe9,0x226fb81f,0x2ea0ff60,0x2e4fffed,
    0xcccccccc,0x01cccccc,0x001ff200,0x3ff6e600,0xfb0aceff,0x3fee7f30,
    0x3e29ff53,0x2aa2f45f,0x8000ffec,0x00331008,0x00000066,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ae20000,0x002dffff,
    0x7ffff540,0x6666442e,0xccceffcc,0xbff504cc,0xff137fcc,0x007ff41f,
    0x17ffffe4,0xfa9ffcc0,0xdfd1001f,0x0f7fdc01,0x3ea03fe6,0xe98ff607,
    0x4feeffff,0x3ffffff6,0xffffffff,0x1ff20003,0xff900000,0xc85f501d,
    0x265ff30f,0xa93fe2ff,0x3fffe63f,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,0x000019ff,
    0x7ffffc98,0x3fffffe6,0xffffffff,0xd8bffa07,0x47ffb3ff,0x36004ffb,
    0xf9004fff,0xa805fe8f,0x44400eff,0x3fe23fea,0x3606fc82,0x82fbfe3f,
    0x3fff64fd,0xffffffff,0x20003fff,0x4cccc7fc,0x99999999,0xbefb8199,
    0xd7dfd06f,0xf07fc49f,0xf89ff43f,0x05665c45,0x3333332a,0xcccccccc,
    0x9950cccc,0x99999999,0x99999999,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x001fffcc,0x7fec4000,0x3ffffe67,
    0xffffffff,0x1dff107f,0x7d43ffe2,0x01bfe26f,0x0fffffd4,0xf713fe20,
    0x27fdc01f,0x3e3fdc00,0x205fe84f,0x03ff33fd,0x000009fd,0x4cff9000,
    0xffffffff,0x47ffffff,0x0bfd1ffa,0xf05dfd71,0x3f20fe8f,0x7dc00061,
    0xffffffff,0xffffffff,0xfffff71f,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7cc00000,0x0002dfff,
    0xffffd500,0x0017fe00,0x7fe43ffb,0xf717fe42,0xfffa807f,0x2e01fffd,
    0x27fc41ff,0x2202ffc8,0x23fe40dd,0x3fee2efc,0xff8ff602,0x017ff622,
    0x00002662,0xff99ff20,0xffffffff,0x74c7ffff,0x0100fe64,0x80000000,
    0xaaaaaaa8,0xaaaaaaaa,0x55530aaa,0x55555555,0x15555555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xbeffffc9,
    0x7e440000,0x000cffff,0x7cc00bff,0x417fe24f,0x07fec6fe,0xf92fffa8,
    0x1bfe03ff,0x3f207fec,0x0aaaaacf,0x3ee677fa,0x77ffc43f,0x7ec05fff,
    0x3f7bff23,0xfd805fef,0x9800003f,0x2aaaa22a,0xaaaaaaaa,0x008102aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ee20000,0x001cffff,0x77fffed4,0x05ff8002,
    0xffb1bfa0,0x88ffe601,0xfffa84ff,0x20fffe42,0xff302ffa,0x7ffffcc7,
    0x3e60ffff,0x106fffff,0x007ffffb,0x7f5c47fb,0x00ff89ef,0x0001ffec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x2effffda,0x3fffae20,
    0x3e0001df,0x3ff5005f,0x2e017fcc,0x87fee0ff,0xf902fff9,0x407fe8ff,
    0x2aaa66fe,0x80aaaaaa,0x8802cdb9,0x06aa0019,0xfd800044,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32600000,0x224fffff,0x0cfffffc,
    0x05ff8000,0x7f43ff88,0xd89fd004,0x2017dc5f,0x004cc1fc,0x00000662,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x27fffb88,0x002efff9,0x402ffc00,0x02f4c5ea,0x6c41dd10,0x01800c1e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdf99f6a0,0x33000001,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002218,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_36_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,1,1,2,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
2,1,0,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-1,-1,-1,-1,-1,2,1,2,3,3,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,2,1,2,2,2,2,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_36_latin_ext_y[560]={ 29,5,5,5,3,5,5,5,5,5,5,10,25,19,
25,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,33,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,15,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,12,5,5,9,5,
5,5,5,5,5,13,12,19,5,2,5,9,5,5,5,12,5,16,28,5,5,13,5,5,5,12,0,0,0,0,
1,0,5,5,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,10,5,0,0,0,1,0,5,5,5,5,
5,6,5,5,11,11,5,5,5,5,5,5,5,5,5,6,5,5,5,6,5,11,11,5,5,5,5,5,5,5,
1,7,0,5,5,11,0,5,0,5,0,6,0,5,0,5,5,5,1,7,0,5,0,6,5,11,0,5,0,5,
0,5,1,6,5,4,0,0,5,5,0,6,2,7,0,5,5,5,0,12,5,5,0,5,5,5,12,0,0,5,
5,5,5,5,5,5,5,0,5,5,11,0,5,5,5,11,1,7,0,5,0,5,5,11,0,5,5,11,0,5,
0,5,0,5,5,11,0,5,5,6,0,5,5,6,0,6,1,7,0,5,0,5,0,5,5,12,0,5,0,5,
1,0,5,0,6,0,5,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,8,8,5,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,5,0,5,0,
5,0,5,0,1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-4,-2,0,5,0,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_36_latin_ext_w[560]={ 0,5,9,18,16,26,20,4,9,9,11,17,5,9,
5,9,16,10,17,16,17,16,16,16,16,16,5,5,17,17,17,16,31,23,18,21,20,18,17,23,19,4,14,20,
15,23,19,23,19,23,21,19,20,19,22,31,22,22,19,7,9,7,15,20,7,16,15,15,15,16,11,15,14,3,
7,14,3,23,14,16,15,15,10,15,9,14,16,24,16,16,16,11,4,10,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,16,18,16,19,
4,16,10,24,12,14,17,9,24,20,9,16,11,11,7,15,18,5,8,7,12,14,26,26,27,16,23,23,23,23,
23,23,31,21,18,18,18,18,7,7,11,9,23,19,23,23,23,23,23,15,23,19,19,19,19,22,19,17,16,16,
16,16,16,16,27,15,16,16,16,16,7,7,11,9,16,14,16,16,16,16,16,16,16,14,14,14,14,16,15,16,
23,16,23,16,26,19,21,15,21,15,21,15,21,15,20,19,23,17,18,16,18,16,18,16,18,16,18,16,23,15,
23,15,23,15,23,15,19,14,23,16,12,11,11,11,11,11,8,8,5,3,20,11,18,11,20,14,14,15,6,15,
8,15,8,15,9,17,8,19,14,19,14,19,14,19,20,14,23,16,23,16,23,16,30,29,21,10,21,10,21,12,
19,15,19,15,19,15,19,15,20,9,20,13,20,9,19,14,19,14,19,14,19,14,19,14,19,18,31,24,22,16,
22,19,16,19,16,19,16,8,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,26,20,17,17,17,17,17,17,17,17,17,17,17,17,17,25,19,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,16,11,11,23,
16,19,14,19,14,19,14,19,14,19,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,23,16,31,27,23,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_36_latin_ext_h[560]={ 0,24,10,25,30,25,25,10,31,31,11,16,9,4,
4,25,25,24,24,25,24,24,25,23,25,25,17,22,17,11,17,24,31,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,26,24,25,24,25,24,24,24,24,24,31,25,31,14,3,6,19,25,19,25,19,24,25,24,24,
31,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,31,31,31,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,31,25,17,24,
31,31,5,25,13,15,11,4,25,3,10,20,13,13,6,24,31,4,8,13,13,15,25,25,25,24,29,29,29,29,
28,29,24,31,29,29,29,28,29,29,29,28,24,29,30,30,30,30,29,15,25,30,30,30,29,29,24,25,25,25,
25,24,25,25,19,25,25,25,25,25,24,24,24,24,25,23,25,25,25,24,25,13,20,25,25,25,25,31,31,31,
28,23,29,25,31,25,30,25,30,25,30,24,30,25,29,25,24,25,28,23,29,25,29,24,31,25,29,25,30,31,
30,31,29,30,31,32,29,29,24,24,29,23,27,22,29,24,31,31,29,17,25,31,30,31,31,31,17,29,29,31,
31,24,24,24,24,24,24,29,24,31,25,29,24,24,25,25,29,23,30,25,30,25,25,19,29,24,31,25,29,24,
30,25,30,25,31,25,30,25,34,32,29,25,24,24,30,24,29,23,30,25,30,25,30,25,31,24,29,24,29,31,
28,29,24,29,23,29,24,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,25,21,21,31,21,21,21,
21,21,21,21,21,21,21,21,21,21,25,19,21,21,21,21,21,21,21,21,21,21,21,21,21,25,18,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,25,29,24,30,
25,30,25,30,29,31,31,31,31,31,31,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,33,32,29,25,30,26,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_36_latin_ext_s[560]={ 511,407,400,421,241,80,330,395,369,75,373,
182,410,476,470,276,69,423,419,406,437,384,357,474,242,286,433,503,146,355,164,
1,158,35,59,441,101,132,151,51,200,220,497,455,184,276,320,236,300,316,401,
150,340,107,361,476,78,434,256,406,44,379,246,446,451,180,197,262,1,163,225,
471,169,508,342,241,237,334,358,146,405,455,308,218,122,319,439,393,460,18,477,
310,284,264,425,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,511,413,227,
455,494,365,106,89,459,294,307,215,337,476,240,425,385,112,262,274,443,123,350,
486,416,299,286,200,170,213,265,439,239,263,287,335,204,391,242,414,415,20,119,
185,327,359,500,228,480,434,414,306,258,231,39,230,487,330,350,167,86,63,222,
370,353,336,319,205,277,260,234,220,203,186,169,152,363,504,327,397,75,35,92,
18,1,173,463,320,129,411,396,381,366,485,457,85,280,65,367,259,214,222,370,
185,392,155,482,1,21,86,454,49,456,491,238,1,481,32,1,310,56,480,220,
438,103,122,187,23,196,318,190,46,150,170,332,315,106,491,304,82,138,385,502,
275,475,456,118,473,299,445,289,197,418,311,504,111,436,423,356,82,413,395,386,
109,371,322,374,33,190,274,201,423,421,457,275,389,334,474,1,278,468,339,1,
319,399,350,127,303,83,35,138,102,1,139,1,62,358,171,61,34,43,139,379,
50,63,351,255,426,211,440,102,154,1,98,445,39,257,176,44,490,18,53,17,
306,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,127,94,94,387,
94,94,94,94,94,94,94,94,94,94,94,94,94,17,197,94,94,94,94,94,
94,94,94,94,94,94,94,94,54,373,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,73,388,
97,294,282,293,147,137,438,129,177,162,142,127,244,212,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,22,72,144,109,458,340,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94, };
static unsigned short stb__arial_36_latin_ext_t[560]={ 1,237,307,185,36,211,158,307,1,36,307,
307,307,307,307,158,159,262,237,129,237,262,129,262,158,158,287,262,307,307,307,
262,36,262,262,158,262,262,262,185,262,262,158,237,262,262,262,185,262,129,262,
211,262,211,262,237,262,262,262,1,211,1,307,314,307,287,211,287,211,287,262,
185,262,237,1,262,262,287,287,287,185,185,287,287,262,287,287,287,287,262,287,
1,1,1,307,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,1,237,1,
129,287,237,1,1,307,185,307,307,307,307,211,314,307,287,307,307,307,237,1,
307,307,307,307,307,211,211,211,211,99,99,99,99,129,99,237,1,99,129,129,
129,99,99,99,129,211,99,36,36,36,68,129,307,185,36,36,68,129,129,237,
185,185,185,185,237,185,185,287,185,185,185,185,185,211,211,211,237,185,287,185,
185,185,237,158,307,287,158,158,158,158,1,1,36,129,287,99,158,36,158,36,
158,36,159,36,237,68,159,99,159,211,129,129,287,99,159,129,211,36,158,99,
129,68,36,68,36,99,68,36,1,129,129,237,237,129,262,129,287,129,237,1,
1,99,287,159,1,68,1,1,1,287,99,36,1,1,211,237,237,211,211,211,
99,211,1,129,99,237,237,158,129,68,262,68,129,68,129,159,287,68,211,36,
158,68,211,68,158,68,185,36,159,68,159,1,1,68,159,237,237,68,237,68,
287,68,158,68,158,68,185,36,237,99,237,68,36,129,99,237,68,287,99,237,
237,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,211,287,287,1,
287,287,287,287,287,287,287,287,287,287,287,287,287,211,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,211,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,99,185,
99,237,36,211,68,185,36,99,1,1,1,1,1,1,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,1,1,99,185,36,129,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287, };
static unsigned short stb__arial_36_latin_ext_a[560]={ 143,143,183,287,287,458,344,98,
172,172,201,301,143,172,143,143,287,287,287,287,287,287,287,287,
287,287,143,143,301,301,301,287,523,344,344,372,372,344,315,401,
372,143,258,344,287,429,372,401,344,401,372,344,315,372,344,487,
344,344,315,143,143,143,242,287,172,287,287,258,287,287,143,287,
287,115,115,258,115,429,287,287,287,287,172,258,143,287,258,372,
258,258,258,172,134,172,301,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,143,172,287,287,287,287,134,287,
172,380,191,287,301,172,380,285,206,283,172,172,172,297,277,143,
172,172,188,287,430,430,430,315,344,344,344,344,344,344,516,372,
344,344,344,344,143,143,143,143,372,372,401,401,401,401,401,301,
401,372,372,372,372,344,344,315,287,287,287,287,287,287,458,258,
287,287,287,287,143,143,143,143,287,287,287,287,287,287,287,283,
315,287,287,287,287,258,287,258,344,287,344,287,344,287,372,258,
372,258,372,258,372,258,372,317,372,287,344,287,344,287,344,287,
344,287,344,287,401,287,401,287,401,287,401,287,372,287,372,287,
143,143,143,143,143,143,143,115,143,143,379,229,258,115,344,258,
258,287,115,287,115,287,150,287,172,287,115,372,287,372,287,372,
287,311,373,287,401,287,401,287,401,287,516,487,372,172,372,172,
372,172,344,258,344,258,344,258,344,258,315,143,315,193,315,143,
372,287,372,287,372,287,372,287,372,287,372,287,487,372,344,258,
344,315,258,315,258,315,258,115,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,388,387,387,287,387,387,387,387,387,
387,387,387,387,387,387,387,387,442,338,387,387,387,387,387,387,
387,387,387,387,387,387,387,440,345,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,344,287,143,115,401,287,372,287,372,287,372,
287,372,287,372,287,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,344,287,516,458,401,315,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_36_latin_ext(stb_fontchar font[STB_FONT_arial_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_36_latin_ext_s[i] + stb__arial_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_36_latin_ext_t[i] + stb__arial_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_36_latin_ext_x[i];
            font[i].y0 = stb__arial_36_latin_ext_y[i];
            font[i].x1 = stb__arial_36_latin_ext_x[i] + stb__arial_36_latin_ext_w[i];
            font[i].y1 = stb__arial_36_latin_ext_y[i] + stb__arial_36_latin_ext_h[i];
            font[i].advance_int = (stb__arial_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_36_latin_ext_s[i] + stb__arial_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_36_latin_ext_t[i] + stb__arial_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_36_latin_ext_x[i] + stb__arial_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_36_latin_ext_y[i] + stb__arial_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_36_latin_ext_LINE_SPACING
#endif

