// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT        358
#define STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_38_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_38_latin_ext_LINE_SPACING          25

static unsigned int stb__arial_38_latin_ext_pixels[]={
    0x20000000,0x88009998,0xaaaaaaaa,0xaaaaaaaa,0x6d3b62aa,0x3ffa004e,
    0x32e2000e,0x2aa9803e,0x03555000,0xaaaaaa88,0xaaaaaaaa,0x3a600aaa,
    0x9800e205,0x000acddb,0x54006aaa,0x005d90aa,0xdcaa8800,0x8001acce,
    0x88002aa8,0x2aa002aa,0x1555002a,0x54c05554,0x222aa80a,0xa9801cce,
    0xca80000a,0x35101acd,0x2a602a60,0x332e001a,0x003ccccc,0x40009997,
    0x554c2aa9,0x31cc8001,0x26000079,0x2a200ccc,0x000aaaaa,0x000007a2,
    0x2600dffd,0xffffffff,0xffffffff,0x2bfd0fff,0xff3005fe,0x7fcc003f,
    0x7fcc04ff,0x7d4003ff,0x3e601fff,0xffffffff,0xffffffff,0x540bfa01,
    0xffd8805f,0x803fffff,0x800ffffc,0x1ff31ffd,0xffd50000,0xffffffff,
    0x3ea0017d,0xffa8006f,0x5fff3006,0xd83ffe00,0x1ffd82ff,0xff30ffe8,
    0xffd807ff,0x7fec0001,0xff306fff,0xd80ff881,0x3fa003ff,0x05ffffff,
    0x005fff30,0x447ffe20,0xa8001fff,0x001ff9ff,0x01ffe880,0x7fffffd4,
    0x05ff3001,0x7ffcc000,0xffff3000,0xffffffff,0x1fffffff,0x02ff57fa,
    0x4002ffd8,0x203ffffe,0x2ffdffe8,0xfddff300,0x3ffe601f,0xffffffff,
    0x01ffffff,0x3fe60df7,0xffffe805,0x203ffffe,0x06ffdffa,0x3f21ffd8,
    0x3fee0004,0xecdeffff,0x03fffffe,0x8006ffa8,0xfb006ffa,0x7ffc009f,
    0x360bff60,0x0ffe81ff,0x01ffffd1,0x0000ffec,0x9ffffff7,0x5456ff40,
    0x7ffb06fe,0x55555400,0x2a001aaa,0x260006ff,0x05ffb6ff,0x17ffdc00,
    0x0dfd8000,0xfffffa80,0x05f7001f,0x2ffd8000,0x33332200,0xcfffdccc,
    0x24cccccc,0x00bfd5fe,0x98009ff3,0xfd801eff,0x00ffe8bf,0x7ccfff44,
    0x9fff306f,0x99999999,0x10199999,0x3fe603ff,0x0f7fe405,0x101fff91,
    0xbff51fff,0x221ffd80,0xfd8002ff,0x5400beff,0x200dfffd,0xa8006ffa,
    0xff9806ff,0x07ffc005,0xffb05ffb,0x881ffd03,0x3f603ffc,0x3fa0001f,
    0x201988cf,0xfffffff9,0x007ffb00,0x026204c4,0x005ff700,0x7ff7fdc0,
    0x51310004,0x00013135,0x26255131,0x3a666200,0x7fb001ff,0x3e600003,
    0x4400003f,0x3fa007ff,0x9500bfd5,0x5ff70009,0x54dff700,0x3f600eff,
    0x217ff24f,0x00006ff9,0xff302fec,0x01ffe80b,0xffd07fff,0x101ffec5,
    0x00df9033,0x00f7ff44,0x07fff440,0x8006ffa8,0xfd806ffa,0x0000000e,
    0x22033100,0x000005ff,0x0007ffc4,0x201676d4,0x3a003ffd,0x002fdc2f,
    0x200037ec,0x0005fffd,0x0bf70bfa,0xfb85fd00,0x07ff6005,0x001fffc0,
    0x0005d980,0x007ff880,0x02ff57fa,0x3fee0000,0x40999801,0x26600999,
    0xf9819981,0x2600006f,0x3fe602ff,0x703ffc05,0x19988bff,0x8000ccc4,
    0xe8802ff8,0xb80004ff,0xdff505ff,0x0dff5000,0x00001330,0xe8000000,
    0x4000006f,0x00005ffa,0x007ffb00,0x17ee17f4,0x88000000,0x20000aaa,
    0x02fdc2fe,0x3ee17f40,0x07ff6005,0x001fffc0,0x07777cc0,0xfff10000,
    0xfeaff400,0x20001005,0x00000ffc,0x7cc00000,0x3600006f,0xffb9307f,
    0xffd0799d,0x00066203,0x37f40000,0x001ffe40,0x509ff900,0xf5000dff,
    0x000000df,0x40000000,0x000006fe,0x0001ffdc,0x83ffd800,0x02622aa8,
    0x0aaa2131,0x2aa85551,0x8002aa88,0x55512aa8,0x426204c4,0x55512aa8,
    0x426204c4,0xffb02aa8,0x07332003,0x4c932000,0x3fe20000,0x757fa007,
    0x6ff5405f,0x07fe4001,0x9801e64c,0xfb5102cc,0x9966459d,0x100006ff,
    0x3fea09ff,0xb85fffff,0x40001eff,0x97000ccb,0x03ff7019,0x93027fcc,
    0x665437dd,0xf503ff60,0xff5000df,0x400f326d,0x79932cc9,0x5cb32600,
    0x0ccb80cc,0x65c0ffd0,0x3332000c,0x02ccdffe,0x2cefda88,0x3ffd8b32,
    0x8006ffa8,0x7fd46ffa,0x2a1ffe25,0xfa8006ff,0x00dff56f,0x3eadff50,
    0xffa8006f,0x003ffb06,0x8ba00000,0x2200006a,0x3fa007ff,0x7c40bfd5,
    0x64005c8a,0x1fff00ff,0x903ffb00,0x9fffffff,0x3fe69ff1,0xff900006,
    0x3ff72605,0xffb03cce,0x7ec0005f,0x3ffb001f,0x740bff30,0xfffd506f,
    0x3ffa3fff,0xf50ffe20,0xff5000df,0x4007ffcd,0x3ffe1ffd,0xb1ffd800,
    0x1ffd03ff,0xfd81ffa0,0xfff3001f,0x09ffffff,0xffffffc8,0x364ff8cf,
    0x6ffa83ff,0x46ffa800,0x3fe25ffa,0x006ffa87,0xff56ffa8,0xdff5000d,
    0x2001bfea,0xffb06ffa,0xefdc9803,0x800b322c,0x0000f65c,0x2007ff88,
    0x40bfd5fe,0x90007c5b,0x3ff201ff,0x437fc403,0xdcbdfffb,0xf34ffeff,
    0x3a0000df,0x5ff9807f,0xdffff880,0x1ffd8000,0x203ffb00,0x3ff707fe,
    0xb9dfff50,0x0dff5fff,0x6ffa8dfb,0x26ffa800,0x7c403ffc,0x01ffe46f,
    0xffd9bfe2,0xb00ffe81,0x0ffec0ff,0xffccc980,0x2e01cccf,0xfdcbdfff,
    0x3f64ffef,0x06ffa83f,0x546ffa80,0x1ffe25ff,0x2001bfea,0xdff56ffa,
    0x2dff5000,0xa8006ffa,0x3ffb06ff,0x7ffffe40,0x04ff8cff,0x03fffe20,
    0x7ff88000,0x7f57fa00,0x0f89aa05,0x403ff600,0x7d406ff9,0x17ffcc3f,
    0x9a7fffd4,0xf00006ff,0xbff300bf,0xfffffa80,0x7ec003ff,0x3ffb001f,
    0x3a03ff20,0x3fff985f,0x2ffffe44,0xff507fd4,0xdff5000d,0x2a037fcc,
    0x37fcc3ff,0xfd8ffea0,0x00ffe81f,0x7fec0ffb,0x6ff98001,0x05fff300,
    0x6c9ffff5,0x6ffa83ff,0x06ffa800,0x0dff5000,0x2adff500,0xfa8006ff,
    0x00dff56f,0x360dff50,0xfffb01ff,0xfdffb97b,0xfff8009f,0x2200000f,
    0x3fa007ff,0xdf80bfd5,0x7ec004eb,0x00fff407,0xfff81ffb,0x53ffea02,
    0xfffffff9,0xffffffff,0x013fe22f,0xfc817fe6,0xdffff54f,0x07ff6001,
    0xb80ffec0,0x17fc41ff,0xfd01fff4,0x3ff107ff,0x40037fd4,0x7ff46ffa,
    0x203ff601,0x3f601ffe,0x207ff60f,0xff900ffe,0x007ff601,0x4013fea0,
    0x3ea02fff,0x0fff64ff,0x2001bfea,0x00006ffa,0x5000dff5,0x1bfeadff,
    0x55bfea00,0xfa8006ff,0x03ffb06f,0xf503fff5,0x54009fff,0x0003ffff,
    0x801ffe20,0x80bfd5fe,0x44002db8,0x7fdc05ff,0x98dff104,0xffe806ff,
    0xffffff34,0xffffffff,0x27fcc5ff,0xf02ffcc0,0xfffd889f,0x1ffd803f,
    0x203ffb00,0x3fdc3ffa,0x2a037fdc,0x5ff01fff,0x40037fd4,0x7fdc6ffa,
    0x20dff104,0xff104ffb,0xe81ffd8d,0x5ff700ff,0x0007ff60,0x2600ffee,
    0xffe806ff,0x2a0fff64,0xfa8006ff,0xf500006f,0xff5000df,0x001bfead,
    0x7fd5bfea,0x6ffa8006,0xfd03ffb0,0x7ffd405f,0x3fbf6004,0x2200006f,
    0x3fa007ff,0x00003555,0x2017fe40,0xff707ff8,0x803ffa85,0xfff34ffb,
    0xdddddddd,0x5c3ddddd,0xff9803ff,0x203ff505,0x403ffffa,0xfb001ffd,
    0x13fe603f,0x5ffb0bfb,0x80fff980,0x3fea2ff8,0x6ffa8006,0xfb83ffc4,
    0x0fff102f,0xffb0bfee,0x201ffd03,0xffb06ff8,0x5ffb0003,0x007ff500,
    0x7fec9ff7,0x006ffa83,0x9976ffa8,0x51cca801,0xf5000dff,0x01bfeadf,
    0x7d5bfea0,0xffa8006f,0xa83ffb06,0xffe806ff,0x99ff1004,0x200005ff,
    0x3a007ff8,0xdb73005f,0x54059dff,0xfb006ffd,0x81ffd05f,0xfa802ffc,
    0x00dff34f,0x005ff900,0x3f20bff3,0x3ff6201f,0x07ff602f,0x880ffec0,
    0x427f45ff,0xff9806ff,0x543ff306,0xfa8006ff,0x82ffd86f,0x3f600ffe,
    0x40ffe82f,0xffe81ffd,0x2fbfe600,0x0007ff60,0x32003ffa,0xffa802ff,
    0x2a0fff64,0xfa8006ff,0x801ffd6f,0xdff53ffb,0x2dff5000,0xa8006ffa,
    0x0dff56ff,0x20dff500,0x7fdc1ffd,0x04ffb803,0xff35ff70,0x3e20000b,
    0x17fa007f,0x3fffff20,0xf80dffff,0x3ea004ff,0x42ffcc4f,0xf9801ffd,
    0x00dff34f,0x003ffd00,0x3ea0bff3,0x6ffd804f,0x4007ff60,0x3fe01ffd,
    0x3e61ffc7,0x4ffa804f,0xff98ff70,0x5ffb8007,0x7cc4ffa8,0x27fd405f,
    0x3f617fe6,0x00ffe81f,0xfb17ffcc,0xfff0003f,0x007ff600,0xffd93fe6,
    0x006ffa83,0xffd6ffa8,0x53ffb801,0xf5000dff,0x01bfeadf,0x7d5bfea0,
    0xffa8006f,0xd83ffb06,0xffa802ff,0x74ffd004,0x880000ff,0x3fa007ff,
    0x77fff405,0x5fffecbc,0x4000fff8,0x17fe47ff,0x4c00fff4,0x0dff34ff,
    0x01ffd000,0x220bff30,0x7c402fff,0x3ffb00ff,0x807ff600,0x217fc7ff,
    0xfb803ffb,0x88dfb03f,0xfc8007ff,0xc8fff04f,0x7ff802ff,0x7ec17fe4,
    0x00ffe81f,0x3f62ffd8,0x7fcc001f,0x03ffd006,0x7ec9ff30,0x06ffa83f,
    0xfd6ffa80,0x3ffb801f,0x5000dff5,0x1bfeadff,0x55bfea00,0xfa8006ff,
    0x83ffb06f,0xf9801ffe,0x5ff9804f,0x0000fff2,0xe801ffe2,0x3bfea05f,
    0x83fff700,0x2001fffd,0x1ffe2ffc,0x54017fec,0x0dff34ff,0x05ffd000,
    0x5c0bff30,0x3200cfff,0x3ffb01ff,0x407ff600,0x3fe27ff8,0x400ffec2,
    0x9ff01ffd,0x8001fff0,0xff903ffc,0xc803ffc5,0x41ffe2ff,0xffe81ffd,
    0x3bffa600,0x0007ff61,0x36009ff5,0xffa802ff,0x2a0fff64,0xfa8006ff,
    0x801ffd6f,0xdff53ffb,0x2dff5000,0xa8006ffa,0x0dff56ff,0x20dff500,
    0x7ff41ffd,0x04ff9801,0x3e62ffd8,0xf880007f,0x17fa007f,0x7c02ffe8,
    0xffe882ff,0x2bff3001,0xff904ff9,0x29ff7007,0x80006ff9,0xf9803ffd,
    0x7ffe405f,0x40dfb02f,0xfb001ffd,0x1bfea03f,0x2ffc87ff,0xd83ffcc0,
    0x1fff80ff,0x817ff400,0x9ff35ff9,0x4d7fe600,0x3ffb04ff,0x7401ffd0,
    0x1ffd81ff,0x01ffdc00,0xb803ffc8,0x0fff64ff,0x2001bfea,0x1ffd6ffa,
    0xf53ffb80,0xff5000df,0x001bfead,0x7fd5bfea,0x6ffa8006,0xfd83ffb0,
    0x4ffa802f,0x207ffc40,0x40002ffe,0x3a007ff8,0x65cbfd5f,0x03ffc805,
    0x74009ff3,0x203ff97f,0xfe806ffa,0x00dff34f,0x009ff900,0xf700dff1,
    0x7cc1bfff,0x07ff603f,0xb80ffec0,0x227fc5ff,0x7ec03ffa,0x03ffc85f,
    0x4c009ffb,0x3fa01fff,0x4003ff97,0x03ff97fe,0x3fa07ff6,0x09ff300f,
    0xb0007ff6,0x3ea003ff,0x4ffe806f,0x3ea0fff6,0xffa8006f,0xb801ffd6,
    0x0dff53ff,0x2adff500,0xfa8006ff,0x00dff56f,0x360dff50,0x1ffdc1ff,
    0x2027fdc0,0xffb84ffb,0x7fc40005,0x757fa007,0xff90005f,0x003ff407,
    0x0dfd5ff7,0x2602ffe8,0xdff34fff,0xbff70000,0x00dff100,0x2bffffa2,
    0x3600effa,0xffb001ff,0xd13ff203,0x06ff98bf,0xf513ffee,0x7ffd40df,
    0x0fffb003,0x6feaffb8,0x757fdc00,0x07ff606f,0x7e403ffa,0x03ffb00f,
    0x000ffe80,0xf980bffa,0x0fff64ff,0x2001bfea,0x1ffd6ffa,0xf53ffb80,
    0xff5000df,0x001bfead,0x7fd5bfea,0x6ffa8006,0xfa83ffb0,0x4ffe806f,
    0x440fff40,0x20000fff,0x3a007ff8,0x300bfd5f,0x7ffffb75,0x1003fec0,
    0x807ffdff,0xfa82fffa,0xdff34fff,0xfff30000,0x33bffe00,0xffffb803,
    0xffd803ff,0x03ffb001,0xff90bff6,0x40cffe81,0x714ffffc,0xfe803fff,
    0xfb100aff,0xff8807ff,0x44003ffe,0x203ffeff,0xffe81ffd,0x6c0ffb00,
    0x7fc001ff,0x7ffd4007,0x4ffffa82,0x3e60fff6,0xffb8007f,0xb801ffd5,
    0x0fff33ff,0x26bff700,0xfb8007ff,0x00fff35f,0x360bff70,0x2ffe81ff,
    0x813ffe60,0x3f606ff9,0x3e20004f,0x57fa007f,0xfed985fe,0xffffffff,
    0x003ff203,0x00ffffd8,0xccefffd8,0x34fffffe,0xdddddfff,0xdddddddd,
    0x007ffcbd,0x03ffffec,0x0efffd88,0x001ffd80,0x3fe03ffb,0x21ffcc0f,
    0xeccffff8,0xfefffdef,0xfa801eff,0xdcceffff,0x005ffffe,0x001ffffb,
    0x01ffffb0,0x7f40ffec,0x40ffb00f,0x26001ffd,0xfd8005ff,0xffecceff,
    0x3ff64fff,0x007ff983,0xffd5ffc8,0x33ffb801,0xf9000fff,0x01ffe6bf,
    0x7cd7ff20,0xffc8007f,0x503ffb05,0xff505fff,0x7fe409ff,0x01ffea03,
    0x007ff880,0x22ff57fa,0xfffffffd,0x203ffcbd,0x2a000ffc,0x2e005fff,
    0xcfffffff,0xfff34ffa,0xffffffff,0x4dffffff,0xf9001ffc,0x5c001fff,
    0x6c00efff,0xffb001ff,0x20bff103,0xfff986fe,0xffa8dfff,0x000dffff,
    0x3fffffa6,0x04ffffff,0x017ffea0,0x02fffd40,0x3fa07ff6,0x40ffd00f,
    0x2a001ffd,0xf70004ff,0x59ffffff,0x1ffec9ff,0x4003ffc4,0x1ffd4ffc,
    0xf13ffc80,0xff9000ff,0x001ffe29,0x7fc53ff2,0x4ffc8007,0x3603ffb0,
    0xfdccefff,0x3e04ffff,0x7ffc00ff,0xfff10002,0xfeaff400,0x2f7fff65,
    0x01ffdc09,0xf8003ff9,0x5cc002ff,0xff51cefd,0x3ffffe67,0xffffffff,
    0x3ea6ffff,0x00c4003f,0x04fff980,0xd800ffec,0x3ffa81ff,0x7307ff50,
    0xfec85bfd,0x0aaa82ce,0xffffb710,0x0003bfff,0x40005fff,0x7ec02fff,
    0x00ffe81f,0x7fec0ffd,0x0ffee001,0xefdb9800,0x6c7ff51c,0x3fff03ff,
    0xd3ffe800,0xffd801ff,0x0007ffe3,0x7ffc7ffd,0x1fff4001,0xe8003fff,
    0x3ffb03ff,0x7ffffdc0,0x04ffbcff,0xfffffff5,0xbfffffff,0xe8000000,
    0x3eabfd5f,0x7fec01ff,0x007ff203,0x0000dfd0,0x0007ff70,0xffd003fe,
    0x00880000,0xfb01bfe6,0x3ff6003f,0x200ffe81,0x00002ffc,0x4009ff70,
    0x0000aff9,0x200037f4,0xe80006fe,0x0ffd00ff,0x360007f4,0x000001ff,
    0x0fd8ffee,0x8013ff60,0xffb1fff9,0x23ffe803,0x26004ffd,0x3ff61fff,
    0x3ffe6004,0x8013ff61,0xfb01fff9,0xfdb9803f,0x07ff71ce,0x3ffffff6,
    0xffffffff,0x0000001f,0xbaff57fa,0xffe804ff,0x007ff203,0x8803ffa8,
    0xffc8009a,0x06f88002,0xb803ff98,0x5ffa84ff,0xd007ff40,0x3fa001ff,
    0x017fcc0f,0x00017ff4,0x0017fee0,0x50000df1,0x540007ff,0xe80003ff,
    0x0dfd00ff,0x7f4003fc,0x26a2000f,0x22ffc800,0x7ffdc07f,0x4fffb003,
    0x3e603ffd,0x3ffee3ff,0x8fffb003,0xb003fffb,0xfffb8fff,0x0fffb003,
    0x0000ffec,0x3e20ffee,0xccccccff,0x4ffecccc,0x0fffa800,0x3fabfd00,
    0x9807ffb5,0x3ee04fff,0x3ff6001f,0x06ff8800,0x0007ffcc,0xfd802fcc,
    0x84ffb806,0xf101fff9,0x0ffe80ff,0xd81ffd00,0xfff1006f,0xd880001b,
    0x4c000eff,0xfd80006f,0x3f60000f,0xff80000f,0x441bfe07,0x7fc4006f,
    0x37fc4006,0x443ffe60,0x7ff4406f,0xffb100af,0x07ffdc5f,0x11ffffc4,
    0x2015fffd,0x442fffd8,0x100afffe,0xe885fffb,0xb100afff,0x7ec05fff,
    0x004d441f,0x7dc0ffe4,0x3fee005f,0xfffa8007,0x3abfd000,0x40fff95f,
    0x204ffff9,0xf7004ffa,0x7ffc00bf,0x0bffd103,0x003fea00,0xf700bfe2,
    0x17ffa09f,0xf102ffe4,0x3fe200ff,0x000ffcc7,0x039fffd3,0xdfffc980,
    0x0ff98000,0x17fee000,0x05ffb800,0x07ff8800,0x3e609ff3,0x3fee001f,
    0x3fff8004,0x4cbffd10,0x7fd401ff,0xedccefff,0x7c45ffff,0xfca9beff,
    0x7d43ffef,0xdcceffff,0x505ffffe,0x99dfffff,0x0bffffdb,0x3bffffea,
    0xffffedcc,0x20ffec05,0x7c406ff8,0x2ffe80ff,0x0bffe200,0x01fff500,
    0xaff57fa0,0x88adfff9,0x4fffffba,0x0e6fffc0,0x1ffffdd1,0x77ffdc00,
    0x5fffdbac,0x37fe2000,0xdf904b9a,0x7cc0fe00,0xffcbdfff,0xffcc81ff,
    0x7fde405f,0x002fec5f,0xdffffea8,0xccbaaabc,0x002effff,0x5cd77fc0,
    0x3ffba205,0x3a2000ff,0x000ffffe,0x9fff9910,0x17ffedc4,0xb735dfd0,
    0x7ffee6e4,0xfffb8002,0xfffdbace,0xb9aefe85,0xfffff985,0x4fffffff,
    0xffffff70,0x07ff39ff,0xfffffff3,0x809fffff,0xfffffff9,0x404fffff,
    0xfffffff9,0x984fffff,0x81fffeee,0x3fa03fff,0x07ff984f,0x006ffc80,
    0xd003f544,0xfc97fabf,0xffffffff,0x5c06ff8c,0x7fc4ffff,0xc8002fff,
    0xffffffff,0xfd80005f,0xf106ffff,0x01fa803f,0x3fffffea,0xff981fff,
    0x3e601fff,0x3e21ffff,0x7dc0000f,0xffffffff,0x03ffffff,0xffff9000,
    0xffff80df,0xfff8002f,0x2a0002ff,0x261fffff,0x5c06ffff,0x3e7fffff,
    0x006fffff,0x3fffff20,0xf705ffff,0x220fffff,0xffffffeb,0x7f4c01cf,
    0xff33efff,0x3ffae207,0x01cfffff,0xffffd710,0x20039fff,0xfffffeb8,
    0xff501cff,0xf503ffff,0xfb759dff,0x3ff20bff,0xfff98004,0x006e8001,
    0x22ff57fa,0xdfffffea,0x5007ff61,0xffe89fff,0x3260002d,0x01bdfffe,
    0xdfd71000,0x02fd4019,0xd9100bf3,0x2019bfff,0x401efffa,0x641efffa,
    0x3100004f,0xffffdb95,0x000159df,0x5efed440,0x16fff400,0x2dffe800,
    0x7ffdc000,0x67ffcc1d,0xbdfda800,0x7dfffd10,0xec980001,0x401bdfff,
    0x801bdfda,0x0019aa98,0x80001530,0x0019aa98,0x0cd54c40,0x2aa62000,
    0xeee98019,0xff901eee,0xbfffffff,0x000fffc0,0x4004ffe8,0x262003fb,
    0x26201310,0x4400001a,0x20000000,0x00000000,0x07100cc0,0x01000200,
    0x00c40100,0x00880000,0x00000000,0x00000000,0x01300200,0x00040000,
    0x00001000,0x00000000,0x00000000,0x00000000,0xdb300000,0x4037bfff,
    0x20006ffa,0x26007ffb,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,0x0013ff60,
    0x003fff88,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99300000,0x53000039,0xc9800155,0x01665c4c,0x000ccc98,
    0xa8355500,0x440001aa,0x00031009,0x2aa05554,0x0600000a,0x05553000,
    0x980d4400,0x2200000a,0x100002aa,0x2aa61555,0x55554c0a,0x00a2002a,
    0x2aaa6200,0x0aaaaaaa,0x0c402620,0x2aa98000,0x372ea000,0x80000abc,
    0x5511aaa8,0x0d54c015,0x0aaaa200,0x000aaaa0,0x9b995100,0x35530035,
    0x02aa6000,0x0aaa9800,0x002fff40,0x004ffe80,0x3e67ffb0,0x3ea000ef,
    0xf300006f,0x3bfe61ff,0x37d40000,0x80007fc4,0x3ff26ffb,0x3e200004,
    0xfff10006,0x7fc40007,0x000ffc40,0x09fffd00,0x4dffb000,0xffd85ffe,
    0xfb006fff,0xe98003fd,0xffffffff,0x202fffff,0x07f986fa,0xffff9800,
    0x3ff26003,0xffffffff,0x3ff20002,0x80dffb0e,0x22005ffb,0x9802fffe,
    0x80002fff,0xffffffda,0x3ee02eff,0xffb0005f,0x7ff40003,0x077fcc05,
    0x37fd4000,0x3fff1000,0x10001ffd,0x200009fd,0x3ffd5ffb,0x33fe0000,
    0x000dfb30,0xff9bffd8,0x7d400006,0xbff70004,0x5dfd0000,0x000dfb51,
    0x7ff7fe40,0x3fe20002,0x01dff30f,0x0dfffffb,0x016e1d50,0xffffffd8,
    0xffffffff,0x33fe202f,0x005fea89,0x7efffc40,0xfffb801f,0xffffffff,
    0xf8000dff,0x1fff11ff,0x005ffb80,0x003fffd1,0x00037fd4,0x3ffffff6,
    0x05ffffff,0x2000bff7,0x50001ffd,0xffb00dff,0x3fa00003,0x7cc0000f,
    0x4002ffff,0x13155098,0xeffd8000,0x200002ff,0xfffffffa,0x7f440001,
    0x0000ffef,0x8000fe40,0x80000eff,0xfffffff8,0xff500001,0x0007ffab,
    0xffb17fdc,0x26fff603,0x224c8009,0xfffc800f,0xcccdffff,0x401ccfff,
    0xfffffffb,0x7fec0000,0x200fff8a,0x9bcffffc,0xfffdb988,0x3fea000e,
    0x200bff23,0xe8805ffb,0xc8001fff,0xe88002ff,0x261aefff,0xb84fffea,
    0xfb0005ff,0x3fa0003f,0x17fcc00f,0x2ffa8000,0xfff70000,0x85fd0007,
    0x440005fb,0x0004fffe,0xbefeb980,0xff300000,0x000003ff,0x3ee000ff,
    0x4c00001f,0x00002dec,0x7cc3ffe6,0xff8000ef,0xd80ffe64,0x354001ff,
    0xfff300d5,0xe87fffff,0x75c4007f,0xc80002df,0x1bfea5ff,0x0077ffdc,
    0x0027ffdc,0x27fc4bfd,0x405ffb80,0x001fffe8,0x2001bf60,0xc802fffd,
    0x7fdc3fff,0x3ffb0005,0x05ff5000,0x22000000,0x00000009,0x2e17f400,
    0xa880005f,0x8000002a,0x31000000,0x30000013,0x262000bf,0x00000000,
    0x0d54c000,0x20006aaa,0x200cc419,0xe8001ffd,0xfc802fdf,0x3fffffff,
    0x00003ff4,0x09998000,0x3e204ccc,0x7cc004ff,0x833000ff,0x3ee00198,
    0x3ffa205f,0x1980001f,0x0fffdc00,0xb8fff900,0xfb0005ff,0x1310003f,
    0x2a155440,0xca88002a,0xf101acdc,0xa8555105,0x22aa882a,0x884c4098,
    0x731002aa,0x000579b9,0x5e6e5d40,0xa880000a,0x001acdcc,0x440bee00,
    0xa88002aa,0x9731002a,0x0000579b,0x55e6e5d4,0x02aa8800,0xfb2aa880,
    0x0555103f,0x2aa202e6,0xffffffb2,0x87fe87ff,0x88002aa8,0xaa8002aa,
    0x37fec00a,0x03ffd800,0x3372e620,0xbff7002b,0x07fffa20,0x00055510,
    0xfff85551,0x7ffc4003,0x0017fee2,0x8000ffec,0xffa80aaa,0x801ffe25,
    0xffffffda,0x3fa22fff,0x225ffa86,0x6ffa87ff,0x06ffa800,0x7fffff44,
    0x000bffff,0xfffffc98,0x002fffff,0xfffffda8,0x4002efff,0x1ffffdb9,
    0x000dff50,0xe880dff5,0xffffffff,0xc98000bf,0xffffffff,0x3fea02ff,
    0x6ffa8006,0xff503ffb,0xdff5000d,0x3ffffffe,0x43ff43ff,0xa8006ffa,
    0xfe8006ff,0x3ffe202f,0x7df30001,0xffffd100,0x017fffff,0x7442ffdc,
    0xfa800eff,0xffa8006f,0x003ffea6,0xfb873b20,0xffb0005f,0x21e66403,
    0xffa82ffe,0x401ffe25,0xfffffffc,0xeaefffff,0x5ffa80ef,0x3ea1ffe2,
    0xffa8006f,0x3fffee06,0xffffffff,0x3fee001f,0xffffffff,0xb000dfff,
    0xffffffff,0x100bffff,0xfffffffd,0x0dff505f,0x40dff500,0xfffffffb,
    0x01ffffff,0x3ffffee0,0xffffffff,0x06ffa80d,0xfb6ffa80,0x0dff503f,
    0x3adff500,0xffffffff,0x7d43ff43,0xffa8006f,0x2ffe8006,0x001ffee0,
    0x3fee0010,0xffffffff,0xff701fff,0x0effe88b,0x00dff500,0x7ecdff50,
    0x5c00005f,0xfb0005ff,0x3bff603f,0x5417ff40,0x1ffe25ff,0x7dfffd10,
    0x3ff6a615,0xf500ffff,0x43ffc4bf,0xa8006ffa,0xffd886ff,0xd950abff,
    0x9005ffff,0x1379ffff,0xdfffb731,0x7fff4401,0x3faa61ae,0x3fe204ff,
    0xfffdbdff,0x037fd43f,0x4437fd40,0x0abffffd,0x5ffffd95,0x9ffff900,
    0xfb731137,0xffa81dff,0x6ffa8006,0xff503ffb,0xdff5000d,0x3ffffff2,
    0x43ff43ff,0xa8006ffa,0xfe8006ff,0x17ff602f,0xfb100000,0x2a157fff,
    0x82ffffec,0x3fa25ffb,0x3ea000ef,0xffa8006f,0x000fffe6,0x00bff700,
    0x3607ff60,0xffe80eff,0xfb000002,0xfd5009ff,0x000007ff,0x5000dff5,
    0xfff90dff,0xfff98019,0x3ffee01f,0xfffb800e,0x0bfff604,0x40ffff20,
    0x6fec6ffd,0x37fd47ff,0x437fd400,0x400cfffc,0x201ffff9,0x800efffb,
    0x7d44fffb,0xffa8006f,0xf503ffb6,0xff5000df,0x3ffffead,0x3ff43fff,
    0x40037fd4,0xe8006ffa,0x3ffe02ff,0x64000004,0x4c00cfff,0x7dc1ffff,
    0x1fffd15f,0x06ffa800,0xf16ffa80,0x800005ff,0xb0005ffb,0xeffd83ff,
    0x005ffd00,0x5fff7000,0x37ffe400,0x7fd40000,0x6ffa8006,0x0017ffcc,
    0x220dfff3,0x4c004fff,0xffb80fff,0x3ff2001f,0x40fff987,0x545ffd7f,
    0xfa8006ff,0x17ffcc6f,0x0dfff300,0x0013ffe2,0x7d41fff3,0xffa8006f,
    0xf503ffb6,0xff5000df,0x7ffffecd,0x43ff43ff,0xa8006ffa,0xfe8006ff,
    0x0bffe02f,0xff980000,0x3fe6002f,0x46ffdc6f,0x005ffffe,0x40037fd4,
    0xfff16ffa,0xfb800003,0xffb0005f,0x0077fec3,0x00005ffd,0x4009fff0,
    0x02fffffb,0x37fd4000,0x237fd400,0xa8005ffd,0xffd83fff,0x7ffb0006,
    0x8007fff0,0x7dc2fff8,0xeaa7cc3f,0x01bfea3d,0xfb1bfea0,0xff5000bf,
    0x0dffb07f,0xa8fff600,0xfa8006ff,0x503ffb6f,0xf5000dff,0x7fff44df,
    0x3ff43fff,0x40037fd4,0xe8006ffa,0xfff102ff,0x55555003,0xd8155555,
    0xfa8005ff,0x3bfee3ff,0x2fffeffe,0x01bfea00,0x7cdbfea0,0xb800007f,
    0xfb0005ff,0x03bff63f,0x65c5ffd0,0x0e65400c,0x2001fff5,0x6ffcbffa,
    0x2a00665c,0x0dff51cc,0x54dff500,0x90000fff,0xfff88dff,0x7df30001,
    0x000fffa8,0x7ec1cec8,0x2017e41f,0xa8006ffa,0x3ffea6ff,0xdff90000,
    0x001fff88,0x7d47df30,0xffa8006f,0xf503ffb6,0xff5000df,0xfffff70d,
    0xfa87fe87,0xffa8006f,0x2ffe8006,0x003fff10,0xffffffff,0x7ffd45ff,
    0xdff90000,0x6fffffdc,0x000fffd8,0x5000dff5,0x3ffe2dff,0x7dc00000,
    0xffb0005f,0x001dffb3,0x7ff45ffd,0xb1ffdc00,0x3e6009ff,0x43fff34f,
    0x7dc00ffe,0x00dff53f,0x7e4dff50,0x3e60004f,0x1ffee1ff,0x3f601000,
    0xe800005f,0x007f40ff,0x2001bfea,0x3ff26ffa,0x3fe60004,0x01ffee1f,
    0xdff50100,0x2dff5000,0xffa81ffd,0x6ffa8006,0xd0ffee20,0x0dff50ff,
    0x00dff500,0x7c05ffd0,0xfff801ff,0x2fffffff,0x80013ff2,0xff71fff9,
    0x7ffc4bff,0x0dff5006,0x7cdff500,0x400002ff,0xb0005ffb,0x0dfffdff,
    0xfe8bffa0,0x1ffdc00f,0xf1005fff,0x22ffe8bf,0x7dc00ffe,0x00dff53f,
    0x7ecdff50,0x7fc0003f,0x017ff63f,0x1fffc000,0x3ffc0000,0x3ea01be2,
    0xffa8006f,0x000fff66,0x7ec7fff0,0xa800005f,0xfa8006ff,0x503ffb6f,
    0xf5000dff,0x3ff980df,0x7fd43ff4,0x6ffa8006,0x02ffe800,0x2a00bffa,
    0xfeaaaaaa,0x00fff62f,0x2e7fff00,0xffa85fff,0x6ffa804f,0x26ffa800,
    0x00003ffd,0x8002ffdc,0xfffffffd,0x22ffe803,0x7dc00ffe,0x03fff13f,
    0xfd86fe88,0x003ffa3f,0x3fea7ff7,0x6ffa8006,0x0000bffe,0x7ffcbffd,
    0xf8800004,0x400002ff,0x1fdc6ff8,0x0037fd40,0xfff37fd4,0xffe80005,
    0x0013ffe5,0x01bfea00,0x7edbfea0,0x06ffa81f,0x406ffa80,0x3ff43ff9,
    0x40037fd4,0xe8006ffa,0x3ff602ff,0x7ff40004,0x000bffe2,0x3eebffd0,
    0x3fff206f,0x037fd402,0xf937fd40,0x0540009f,0x40017fee,0xffadfffd,
    0x17ff401f,0xfb801ffd,0x01fff33f,0x64077f44,0x03ffa4ff,0x3ea7ff70,
    0xffa8006f,0x003fff16,0x3e5ffc80,0x800002ff,0x0001fff8,0x363ffc40,
    0x6ffa801f,0x16ffa800,0x80003fff,0x3ffe5ffc,0xfa800002,0xffa8006f,
    0xf503ffb6,0xff5000df,0x43ff980d,0x6ffa87fe,0x06ffa800,0x202ffe80,
    0x40007ffa,0xfff12ffe,0xffc80003,0xe80bff75,0x3ea00fff,0xffa8006f,
    0x001bfea6,0xfb877fd4,0xffb0005f,0x2037fe4b,0x3ffa2ffe,0xa9ffdc00,
    0x7fec07ff,0x74dff700,0x7fdc00ff,0x000dff53,0x3fe6dff5,0xffb80007,
    0x003fff16,0x55555555,0x1ffe6155,0x7ffc0000,0x86aa1fe0,0xa8006ffa,
    0x0fff36ff,0x2dff7000,0xa801fff8,0xaaaaaaaa,0x00dff50a,0x3f6dff50,
    0x06ffa81f,0x406ffa80,0x3ff43ff9,0x40037fd4,0xe8006ffa,0x3fe202ff,
    0x3fa0003f,0x00fff32f,0x2edff700,0x7fcc05ff,0x1bfea05f,0x89bfea00,
    0xd8000fff,0x17fee5ff,0x10ffec00,0x7f407fff,0x003ffa2f,0x3fea7ff7,
    0x807ff207,0x3ffa5ffb,0xa9ffdc00,0xfa8006ff,0x00fff36f,0x22dff700,
    0xff801fff,0xffffffff,0x001fff12,0x25ffd000,0x3ffcc4fa,0x5000dff5,
    0x1ffe6dff,0x5bfee000,0xf801fff8,0xffffffff,0x00dff52f,0x3f6dff50,
    0x06ffa81f,0x406ffa80,0x3ff43ff9,0x40037fd4,0xe8006ffa,0x7fe402ff,
    0xffd0001f,0x001ffe65,0x7ddbfee0,0xfffb805f,0x00dff503,0xfe8dff50,
    0x7fcc005f,0x017fee2f,0x2a0ffec0,0xffd01fff,0x2007ff45,0xfff33ffb,
    0xb00bff20,0x07ff4bff,0x7d4ffee0,0xffa8006f,0x001fff36,0x3e5ffc80,
    0xfff801ff,0x2fffffff,0x0000bffe,0x7e5bfea0,0xf527fec2,0xff5000df,
    0x003ffe6d,0x7cbff900,0xfff801ff,0x2fffffff,0x5000dff5,0x07ff6dff,
    0x2001bfea,0x7cc06ffa,0x543ff43f,0xfa8006ff,0xffe8006f,0x1effe802,
    0x3fff2200,0x001fff32,0xf75ffc80,0x3ff600bf,0x06ffa81f,0x4c6ffa80,
    0xf1004fff,0x5ffb8dff,0x03ffb000,0x3fa0dffb,0x003ffa2f,0x3fe27ff7,
    0x017fdc0f,0xffd27ff4,0x33ffb801,0xf7000fff,0x07ffe2bf,0x49ffb000,
    0xaa802ffe,0xffeaaaaa,0x000fff62,0x2fffe200,0x3ffe60fe,0x001ffe61,
    0x7fc57fee,0x7ec0001f,0x00bffa4f,0x2aaaaaaa,0xfff32ffe,0x2bff7000,
    0xff981ffd,0x5ffb8007,0x3a1ffcc0,0x07ff987f,0x005ffb80,0x9802ffe8,
    0x00acffff,0x3fffff71,0x0007ffe2,0x3ee9ffb0,0xfff1005f,0x07ff981d,
    0xc85ffb80,0x2a01dfff,0x7dc1fffe,0xffb0005f,0x07fff103,0x7ff45ffd,
    0xf1ffdc00,0x1ffd45ff,0x3a2fff80,0x7fdc00ff,0x000fff33,0x7ff4bff9,
    0x7ff40003,0x0013ff63,0x7e45ffd0,0x02a0004f,0x9b7fffc4,0x7cc3fffd,
    0xffc8007f,0x000fffa5,0x7ec7ffd0,0x7f40004f,0x00fff32f,0x3f6bff90,
    0x07ff981f,0x405ffc80,0x3ff43ff9,0x4003ffcc,0xe8005ffc,0xfd3002ff,
    0xb99dffff,0x1bffffff,0x0003ffe8,0xffb9fff4,0x3ffea005,0x003ffcc5,
    0xfd82ffe4,0xcabdffff,0xb82ffffe,0xeeeeefff,0xb4eeeeee,0x3fee03ff,
    0xd17ff41f,0xffc801ff,0x7cd7ff23,0xfff5004f,0x2007ff41,0xfff13ffc,
    0x49ff9000,0x20005ffc,0x3ea0fff9,0x7f40007f,0x01bfea2f,0x4077fd40,
    0xffffffe8,0x7ff885ff,0x24ffc800,0x20005ffc,0x3ea0fff9,0x7f40007f,
    0x00fff12f,0x3f69ff90,0x07ff881f,0x404ffc80,0x3ff43ff9,0x4003ffc4,
    0x00c44ffc,0x8800bffa,0xfffffffd,0x01efffff,0x4000bff9,0xff70fff9,
    0xfffd800b,0x001ffe23,0xfc813ff2,0xffffffff,0xff702eff,0xffffffff,
    0x3f6bffff,0x1bff601f,0x7ff45ffd,0x11ffec00,0x0bff5fff,0x3a2fff40,
    0x7fec00ff,0x0007ffe3,0x7fcc7ffd,0xffd0002f,0x03fff88b,0x88bffa00,
    0xd8000fff,0x3fe205ff,0x202effff,0x74001fff,0x3ffe63ff,0xbffd0002,
    0x003fff88,0xff8bffa0,0x7ff4001f,0x3e03ffb3,0x7f4001ff,0x1ffcc03f,
    0x7ffc1ffa,0x1fff4001,0xfff80fff,0xfeb88001,0x2cefffff,0x017ffcc0,
    0x2e5ffe80,0x744005ff,0x3ffe1fff,0x1fff4001,0x3ffff220,0x5c03ffff,
    0xffffffff,0xb5ffffff,0x7fc403ff,0xd8bffa3f,0x7ff401ff,0x37fffe43,
    0x83fff700,0x7f401ffd,0x013ff63f,0x6c1fff98,0xfa8006ff,0xfffc82ff,
    0x5ffd0001,0x4005ffe8,0x2202fff9,0x800aa9ff,0x26004ffd,0x7fec1fff,
    0xfffa8006,0x01fffc82,0x6c5ffd00,0x3e6004ff,0x03ffb1ff,0x98013ff6,
    0x7cc01fff,0xd83ff43f,0x3e6004ff,0x03ffa1ff,0x000fffc4,0x00bfe620,
    0x001bff60,0x000bffea,0xfd800131,0x3fe6004f,0x3fe6001f,0x3100001a,
    0x02620001,0xfd8bffa0,0x3ffe603f,0x07fffc43,0x84fffa80,0x3e603ffd,
    0x3ffee3ff,0x0fffb003,0x001bfff1,0xe817ffea,0x22001eff,0x7cc2fffc,
    0xff1004ff,0x04fa80df,0x03fffb80,0xf10fffb0,0x2a001bff,0x3fa05fff,
    0x322001ef,0x3fee2fff,0xfffb003f,0xfb80ffec,0xffb003ff,0x87ff300f,
    0xfff707fe,0x1fff6007,0x3e605ffb,0xf300007f,0xff10005f,0x3ea001bf,
    0xfe8005ff,0xff7001ef,0x3ff6007f,0x17fd4007,0xdffd0000,0xfffc8003,
    0xb8bffa02,0xff880fff,0xfffe83ff,0x3ff6201e,0x1fff706f,0x47ffff10,
    0x00afffe8,0x205fffb1,0x402ffffa,0x200ffffc,0x0acffff9,0xfffff710,
    0x3bfff903,0x0ffff540,0x2000bf60,0x00afffe8,0x205fffb1,0x402ffffa,
    0x200ffffc,0x0acffff9,0xfffff710,0x57fff443,0x5fffb100,0xe880ffec,
    0xb100afff,0xf3005fff,0x107fe87f,0x2015fffd,0x5c2fffd8,0x7f441eff,
    0x9300005f,0xa8003fff,0x6402ffff,0x8000ffff,0x1007ffdb,0x2015fffd,
    0x002fffd8,0x0077fed4,0x3ffedc00,0x3ffb2a00,0x445ffd00,0xca9befff,
    0x6c3ffeff,0xceffffff,0xffffdcab,0xdfff100e,0xfdff9537,0xffffa87f,
    0xffedccef,0x7fd405ff,0xdcabdeff,0x800effff,0xefffffe9,0xfffffdcc,
    0x3ff600df,0xecabdfff,0xf802ffff,0x3fea0007,0xedccefff,0x5405ffff,
    0xabdeffff,0x0effffdc,0xffffe980,0xfffdccef,0xfa80dfff,0xdcceffff,
    0x6c5ffffe,0x3fea01ff,0xedccefff,0x3005ffff,0x07fe87ff,0x3bffffea,
    0xffffedcc,0x7dffff05,0x003ffffb,0x04ff8800,0xeffffa80,0xfffdcabd,
    0x540000ef,0xff5003ff,0xdb99dfff,0x000bffff,0x0001ffcc,0x0007ff50,
    0x3fa09ff3,0x7fffdc2f,0xff9cffff,0x3a67ff23,0xffffffff,0xfb804fff,
    0xcfffffff,0xff983ff9,0xffffffff,0xfd3004ff,0xffffffff,0xd8800bff,
    0xffffffff,0x001effff,0xfffffff9,0x005dffff,0x98000bf3,0xffffffff,
    0x3004ffff,0xfffffffd,0x800bffff,0xffffffd8,0x1effffff,0x7ffffcc0,
    0x4fffffff,0x5eeeffd8,0xffffff98,0x04ffffff,0xfd0ffe60,0xffff980f,
    0xffffffff,0x3fffea04,0x001fffff,0xff951300,0x3fa60007,0xffffffff,
    0x110005ff,0x003ffb51,0x7fffffcc,0x04ffffff,0x7ed44440,0x2220002f,
    0x001ffd98,0x05ffb311,0x3a60bffa,0xf33effff,0x50bfea7f,0xfffffffd,
    0x7f4c0019,0xff33efff,0x3ffae207,0x01cfffff,0xffffda80,0x0001cfff,
    0x3ffffae2,0x8002ceff,0xffffffc8,0x3f2003ff,0xeb880003,0xcfffffff,
    0xffda8001,0x01cfffff,0x3ffae200,0x02ceffff,0x3fffae20,0xb01cffff,
    0x20dfffff,0xfffffeb8,0x4c001cff,0x03ff43ff,0x7ffff5c4,0x8801cfff,
    0x1dfffffe,0xfff30000,0x50000dff,0xfffffffb,0x7dc00039,0x8005ffff,
    0xfffffeb8,0xa8001cff,0x005fffff,0x7ffffdc0,0xffff3005,0x17ff40df,
    0x5c002a60,0x04d4c403,0x0054c000,0x26aa6200,0x2a600001,0x8000009a,
    0x0001aa98,0x00d54c40,0x0000c980,0x0cd54c40,0x35530000,0x31000001,
    0x20000355,0x8019aa98,0x05eeeeec,0x019aa988,0x90bba600,0xa98800bd,
    0x3100019a,0x30000015,0x0019dffd,0x09aa9800,0xffd70000,0x3100007d,
    0x80003355,0x00beffea,0x77ff5400,0x3ffaa003,0x000000ce,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x80001aaa,0x0000ccc9,0x000aaaa0,
    0x5510aaa2,0x33300005,0x73100001,0x400157b9,0x4c000aaa,0x551002aa,
    0x55555555,0x00001335,0x0001554c,0x00015554,0x00aaa600,0x00055510,
    0x20005551,0x00002aa9,0x0001554c,0x00001553,0x000aaa60,0x1006aaa2,
    0x2aa98555,0x01555400,0x00355500,0xaaa88000,0x2a600001,0x00d54c2a,
    0x99813310,0x3fee0000,0x540000ff,0x00001fff,0x0005fff3,0xffe93ff6,
    0xfff80002,0x3fa20004,0xffffffff,0x00ffe802,0x0bfffe60,0x3ffffea0,
    0xffffffff,0x440004ef,0x80003fff,0x0003fff9,0x7ffff300,0x1fffd400,
    0x017fea00,0x0027ffc0,0x03fffe00,0x00ffec00,0x7ffcc000,0x7fec003f,
    0x7ff400ff,0x003ffd13,0x002fff98,0x001fffa8,0x77fe4000,0x3e200000,
    0x1fff31ff,0x327fdc00,0x26000dff,0x006ffeff,0x00fffd40,0x04ffd800,
    0x27ffa200,0x00004ffb,0x20009fff,0xfffffff9,0x403fffff,0xd1000ffe,
    0x803ffdff,0xfffffffa,0xffffffff,0x3f20005f,0x2a00005f,0x800006ff,
    0x2ffdffe8,0x1ffff500,0x02ffd400,0x002ffdc0,0x3fffea00,0x3ffb0003,
    0xff880000,0x7001ffdf,0x80dffbff,0xffc8fff8,0xdff70003,0x05ffd000,
    0xff880000,0x9800001f,0x1ffe8eff,0x327fdc00,0xf1000dff,0x0bff53ff,
    0x0fffd400,0x2ffcc000,0x77fcc000,0x200005ff,0xa8004fff,0x899befff,
    0x05fffea9,0x6c003ffa,0x0eff8bff,0x2abffea0,0xcaaaaaaa,0x000efffe,
    0x00077fc4,0x00bff200,0x17ffb000,0xf5001fff,0x5400bfff,0xff8005ff,
    0x6c00000f,0x0006ffef,0x00003ffb,0xff8bffd8,0x77fcc00f,0x4c04ffb8,
    0x004ffeff,0x0017fe40,0x00009ff5,0x005ff900,0x77fdc000,0xfb8003ff,
    0x01bfe64f,0xfd8fff60,0x3310003f,0x3f200003,0xf500000e,0x00001dff,
    0x40016664,0xfb804ffd,0x1ffd01ff,0x5cdff700,0x3fea05ff,0x7ffdc006,
    0x0ffdc002,0x6fd80000,0x3fee0000,0x003bfea5,0x07fffff5,0x0017fea0,
    0x00003ff7,0xffccff88,0x1ffd8002,0x3fee0000,0x881bfea5,0x3ffa2ffe,
    0x37ffdc03,0x06fd8000,0x0001bfa0,0x013fe200,0x3ff60000,0x3310004f,
    0x80009981,0x0ccc4199,0x00000000,0x80000133,0x00000999,0x3fe20000,
    0x0fff2006,0x4c007ff4,0x00ccc099,0xb000dff5,0x988009ff,0x4c000000,
    0x26600001,0x004ccc09,0x3fffffea,0x05ffa800,0x00004c40,0x7cd7fdc0,
    0xffd8005f,0x26600001,0x804ccc09,0x4cc41998,0x00999801,0x00331000,
    0x000004cc,0x0000cc40,0x00333000,0x2000aaa2,0xa8802aa8,0x001acdcc,
    0x2cefda88,0x54400b32,0x001acdcc,0x2f72e620,0x5440000a,0x001acdcc,
    0x4c009ff5,0x1ffd06ff,0x372e6200,0x7fd400ab,0x6ffa8006,0x372e6200,
    0x440000ab,0x02bcdcb9,0xb9731000,0x3ea00579,0x805ffedf,0x31005ffa,
    0x00579b97,0xfe9ffa00,0x7fec000f,0x55510001,0x05551000,0x2a202aaa,
    0xaaaaaaaa,0x800099aa,0xaaa80aaa,0xaaaaaaaa,0x01aaaaaa,0xaaaaa880,
    0xaaaaaaaa,0x81aaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x00dff51a,0x540dff50,
    0xfffffffd,0xff9002ef,0xf19fffff,0xffda809f,0x2effffff,0x3fffa200,
    0x02ffffff,0x7fffed40,0x402effff,0x6c006ffa,0x01ffd04c,0xfffffe88,
    0xf502ffff,0xff3000df,0xffe8801f,0x2fffffff,0x7fff4400,0x0bffffff,
    0xfffe8800,0x0bffffff,0x3e73fea0,0x7fd403ff,0x7fff4405,0x0bffffff,
    0x4bff3000,0x6c003ffc,0x9dfb71ff,0x037fd405,0xe837fd40,0xfffa82ff,
    0xffffffff,0x2004efff,0xffe82ffe,0xffffffff,0x03ffffff,0xfffffc80,
    0xffffffff,0x85ffffff,0xfffffffe,0xffffffff,0x00dff53f,0x360dff50,
    0xffffffff,0x5c05ffff,0xfdcbdfff,0x3604ffef,0xffffffff,0x9805ffff,
    0xffffffff,0xb003ffff,0xffffffff,0x440bffff,0x00002fff,0xf9803ffa,
    0xffffffff,0xffa83fff,0x7ffb8006,0x7ffffcc0,0x3fffffff,0xfffff700,
    0xffffffff,0x7ffdc003,0xffffffff,0x9ff501ff,0xa803fff2,0x3fee05ff,
    0xffffffff,0xd8001fff,0x1ffe62ff,0xfb5ffb00,0x05ffffff,0x5000dff5,
    0x3ffa0dff,0xfffffa82,0xffffffff,0xfd005fff,0xffffd05f,0xffffffff,
    0x8007ffff,0xfffffff8,0xffffffff,0xe85fffff,0xffffffff,0xffffffff,
    0x000dff53,0xfe88dff5,0x2a61aeff,0xf304fffe,0xfff505ff,0xfffd109f,
    0x7f54c35d,0x3fea04ff,0xa9899bef,0x2205fffe,0x21aefffe,0x04fffea9,
    0x0033fffa,0x403ffa00,0x99befffa,0x5fffea98,0x20037fd4,0x2a05ffe8,
    0x899befff,0x05fffea9,0x2fffff62,0xfffd950a,0xffd8805f,0xd950abff,
    0xf505ffff,0x02fff49f,0xfb10bff5,0x2a157fff,0x02ffffec,0xd03ffe20,
    0x7ec005ff,0xdbacffff,0x7fd40fff,0x6ffa8006,0xf505ffd0,0x555555ff,
    0xfffd9555,0x2ffe801d,0xccccccb8,0xfecccccc,0x7e4003ff,0xdffeccef,
    0xcccccccc,0xccb82ccc,0xcccccccc,0x53fffecc,0xf5000dff,0x2fffd8df,
    0x83fffc80,0x3ea02fff,0xfffd84ff,0x3fffc802,0x7009ffb0,0x3f603fff,
    0xffc802ff,0xfffd303f,0x000159df,0x3f601ffd,0xfffb804f,0x801bfea1,
    0x201fffe9,0xfb804ffd,0xfff901ff,0xfff98019,0x3fff201f,0x7ffcc00c,
    0x327fd41f,0x3ea07fff,0xcfffc85f,0x7fffcc00,0x09ff7001,0x6c00bff7,
    0xfb81efff,0x1bfea0ef,0x41bfea00,0xffa82ffe,0x7ffdc006,0x017ff402,
    0x2fffcc00,0x8bffe200,0x00003ffd,0x5fff9800,0x2001bfea,0x3fee6ffa,
    0x3ff2001f,0x4037fcc7,0x7fdc4ffe,0x3ff2001f,0x006ff887,0x3ee0fff2,
    0x3f2001ff,0x3ffa207f,0x1cefffff,0x101ffd00,0x7e400dff,0x33ffea3f,
    0xedcccccc,0x203fffff,0x32006ff8,0xfff983ff,0x3ffe6002,0x05fff306,
    0x237ffcc0,0x7fe44ffa,0x45ffa80f,0x2002fff9,0xd006fff9,0xfff103ff,
    0x3fff6001,0xa93ff201,0xfa8006ff,0x05ffd06f,0xb000dff5,0xffe809ff,
    0x7f440002,0x7e4000ef,0x01ffec6f,0x3a200000,0x3fea0eff,0x6ffa8006,
    0x1000fffe,0x7fd45fff,0x44ffb803,0x44003fff,0x7fd42fff,0x1bfe6004,
    0x1000fffe,0xeb805fff,0xffffffff,0x07ff401e,0x30027fd4,0x7ffd4dff,
    0xffffffff,0x402fffff,0x26004ffa,0x5ffd86ff,0x3fffa800,0x8005ffd8,
    0x3ea3fffa,0x86ffe84f,0x7fec5ffa,0xfffa8005,0x037fcc03,0x36009ffb,
    0x7fc405ff,0x001bfea6,0x7f41bfea,0x06ffa82f,0x406ffa80,0x40002ffe,
    0x4000fffe,0x7ec2fff8,0x0000003f,0x2a07fff4,0xfa8006ff,0x01fff56f,
    0x6439d900,0xffa802ff,0x003ffea4,0xf5073b20,0x4cd800df,0x0007ffd4,
    0x8800e764,0xffffffdb,0x03ffa03f,0xb001bfea,0x7fffd499,0xffffffff,
    0xfa800ace,0x266c006f,0x0003ffea,0x3ea37fe4,0xf90000ff,0x427fd4df,
    0x7d43fff9,0x03ffea5f,0x037fe400,0xfa80fff2,0x3ffb007f,0x7d4ffd00,
    0xffa8006f,0x505ffd06,0xf3000dff,0x7ff401ff,0x3ff60002,0xffb8002f,
    0x003ffd86,0x3ff60000,0x06ffa82f,0xfb6ffa80,0xd80000bf,0xff9801ff,
    0x0017ff64,0x0bffe200,0x17ff6000,0x98000000,0x04ffffeb,0xff101ffd,
    0xfa80005f,0xa99999ef,0x2002effd,0x0002fff8,0x0004ffc8,0xfc87ffe6,
    0x3e60004f,0x09ff51ff,0xfa83fff2,0x013ff25f,0x01fff980,0xff003ffe,
    0x1ffb005f,0x2a3ffb00,0xfa8006ff,0x05ffd06f,0x7000dff5,0xffe80fff,
    0xfff70002,0xfff10007,0x007ffb05,0x3fee0000,0x0dff503f,0x3edff500,
    0x400003ff,0xf9801ffe,0x00fffe4f,0x7fff4000,0x3fe0000c,0x0000003f,
    0x1fffd500,0x3a01ffd0,0x0000cfff,0xfc80dff5,0x3fa003ff,0x20000cff,
    0x40003ffd,0x3ff63fff,0x7ffc0003,0x7409ff53,0x97fea6ff,0x40003ffd,
    0xff503fff,0xffffffff,0xb00bffff,0x3ff200ff,0x000dff52,0x3fa0dff5,
    0x06ffa82f,0x02fff440,0x2000bffa,0x0005fff9,0x3f60dff7,0x8000003f,
    0x2a05fff9,0xfa8006ff,0x02fff8ef,0x17fec000,0xf8a7fd40,0x000002ff,
    0x9dffffd3,0x3fe20015,0x0000002f,0x0fffa200,0x74c03ffa,0x0aceffff,
    0x00dff500,0x2005fff9,0xceffffe9,0x3ffe000a,0x7ff40002,0x000bffe5,
    0x3eabffd0,0x3ffe604f,0x7fcbff53,0x7f40002f,0xffffb05f,0xffffffff,
    0xfd803fff,0x27ff7007,0xa8006ffa,0x5ffd06ff,0x400dff50,0x401fffe9,
    0x44002ffe,0x20006fff,0xffb03fff,0x88000007,0x7d406fff,0xffa8006f,
    0x001fff8e,0x01ffe400,0xff8a7fdc,0x2000001f,0xffffffe8,0x3e201cef,
    0x400001ff,0xb8005ff9,0x0ffe85ff,0x3ffffa20,0x201cefff,0xfd006ffa,
    0x3a2003ff,0xefffffff,0x3ffe201c,0x7fe40001,0x003fff15,0xf55ffc80,
    0xfffc809f,0xff15ffa8,0xfc80003f,0xcfff885f,0xcccccccc,0x6c04ffec,
    0xffc800ff,0x000dff51,0x3fa0dff5,0xcfffa82f,0xedcccccc,0x803fffff,
    0x74002ffe,0x70000fff,0x7fec0fff,0xffffffff,0xe8006fff,0x7d400fff,
    0xffa8006f,0x0007ff9e,0x806ffa80,0xfff34ffe,0x2e000000,0xfffffffe,
    0x7ff981ef,0xff880000,0x7fcc000f,0x800ffe85,0xffffffeb,0xffa81eff,
    0xdfff1006,0x7ff5c001,0x1effffff,0x0007ff98,0xff36ffb8,0xff70000f,
    0x2013fead,0x5ffaeffe,0x0000fff3,0xff70dff7,0x3ffdc00b,0x2007ff60,
    0xdff50ffd,0x0dff5000,0x3ea0bffa,0xffffffff,0x2fffffff,0x005ffd00,
    0x000fffec,0x6c07ffd0,0xffffffff,0x006fffff,0x400fffec,0xa8006ffa,
    0x0fff8eff,0xffe80000,0x53ffe602,0x0000fff8,0x3f6e2000,0x43ffffff,
    0x0000fff8,0x002ffd80,0x7f41ffe4,0x36e2000f,0x3fffffff,0x70037fd4,
    0x10009fff,0xffffffb7,0x07ff987f,0x36ffb800,0x70000fff,0x13feadff,
    0x3fbffe60,0x00fff35f,0xd0dff700,0x7c4005ff,0x3ff602ff,0x537fc402,
    0xf5000dff,0x0bffa0df,0x3fffffea,0xceffffff,0x3ffa000a,0x7fff7002,
    0x3ffd4000,0x3bbbff60,0xeeeeeeee,0x3ffee004,0x0dff5003,0x3edff500,
    0x800002ff,0xfa82fffa,0x3ffe4fff,0x00000002,0x3ffffae6,0x0017ffc4,
    0x17ffdc00,0x80ffe880,0x20000ffe,0x4ffffeb9,0xb001bfea,0x80003fff,
    0x4ffffeb9,0x0003ffe6,0x3e6bff90,0x640000ff,0x09ff55ff,0x3fffff20,
    0x001fff35,0x4c5ffc80,0xfc8007ff,0x1bff606f,0x7d49ff70,0xffa8006f,
    0x505ffd06,0x33333dff,0x005dffb5,0x3005ffd0,0x8000bfff,0x7ec03ffe,
    0x9800003f,0x26005fff,0xfb8007ff,0x007ffb5f,0x3fff6000,0xffffecce,
    0x00fff64f,0x54000000,0x3f60fffe,0x8800003f,0x200cffff,0xfd06fffa,
    0x2a00001f,0xff50fffe,0xfff8800d,0x3aa00006,0xfff10fff,0xffd80003,
    0x003fff14,0xf54ffd80,0x7ff4009f,0x3fff15ff,0x4ffd8000,0x40027fe4,
    0xfb01fff9,0x3fe609ff,0x01ffe60f,0x7417fee0,0x6ffa82ff,0x01fffe40,
    0x100bffa0,0x8000dfff,0xeeeefffa,0x3fffeeee,0x7fc40000,0x7fcc006f,
    0x5ffc8007,0x40009ff9,0x3ffee00a,0xffacffff,0x0013ff24,0x200000a8,
    0x3f23ffe8,0x02a0004f,0x77ffff44,0xffffdcbd,0x01ffd00e,0x7ff44000,
    0x000dff53,0x0007fff7,0xd1fff440,0xe80007ff,0x0fffa3ff,0x27ffd000,
    0x26004ffa,0x3fa5ffff,0x7f40003f,0x00fffc3f,0xb04ffe80,0x315bffff,
    0xf983fff7,0xffc8007f,0x505ffd05,0xff900dff,0x7ff4005f,0x07fff402,
    0x3fffa000,0xffffffff,0x00003fff,0x0007fff4,0x2001ffe2,0xdff54ffc,
    0x3bfea000,0x9dfb7300,0xfa8ffea3,0xff50006f,0x017fe61d,0xfa97fee0,
    0xff50006f,0x3fff601d,0xffffffff,0x207ff405,0xb8005ff9,0x0dff55ff,
    0x83fffa00,0xb8005ff9,0x17ff25ff,0x0fff9800,0x80017ff2,0xff50fff9,
    0xfffc8009,0x0017ff25,0x2a0fff98,0x2e0006ff,0x9ffb07ff,0xffffffff,
    0x00fff105,0x3a09ff90,0x6ffa82ff,0x03fffd00,0xc80bffa0,0x40001fff,
    0xfffffffa,0xffffffff,0x3f200003,0xff0001ff,0xffe8003f,0x001fff13,
    0x000bffb0,0xff11ffdc,0xffb0001f,0x007ffc4b,0xf897fe60,0xfd8000ff,
    0x7fedc05f,0x03deffff,0x7c40ffe8,0x7cc000ff,0x00dff55f,0x897ffe60,
    0x4c000fff,0x3ffe65ff,0xbffd0002,0x002fff98,0x7d4bffd0,0xffe8004f,
    0x00bffe65,0x362fff40,0x220004ff,0xffd83fff,0xcefffe99,0x007ffe01,
    0x3a07ffd0,0x6ffa82ff,0x1dfff100,0x205ffd00,0x0003fffb,0xb004ffe8,
    0x200007ff,0x0003fffb,0x98013ff6,0x3ffa1fff,0x7ffcc005,0x20026a22,
    0x7ff42ffc,0x7ffcc005,0x0017fec2,0xffd0fff2,0xfff9800b,0x3ff51002,
    0x20198001,0x64002ffd,0x262003ff,0x5ffb0000,0x43ffc800,0xa8006ffd,
    0xffd82fff,0xfffa8006,0x004c4002,0x001bff60,0x000bffea,0xb03fc400,
    0x00d443ff,0x2004ffd8,0xfd01fff9,0x0dff505f,0x027ffdc0,0x7cc17ff4,
    0x980004ff,0xfb000fff,0xf300007f,0xb80009ff,0xfb003fff,0x4fff98ff,
    0x8dfff100,0x7cc06ff8,0x7ffcc0ff,0xdfff1004,0x005fff70,0xf303ffa2,
    0x3e2009ff,0x7dc006ff,0x3e6000bf,0x7fdc0cff,0xffd1002f,0x7ffd4001,
    0x7ffdc004,0x1ffd1002,0x00dfff88,0x20bfff50,0x000dfff8,0x000bfff5,
    0x2009fff5,0x000dfff8,0x000bfff5,0xb02fcc00,0x5c0003ff,0xfb003fff,
    0x17ff40ff,0x20037fd4,0x7401fffd,0x7ffc42ff,0xffb00005,0x1ffec009,
    0x3ffe2000,0xfe880005,0xfb100aff,0xfff905ff,0x7ff5403b,0x03fff81f,
    0x320bffd1,0x2a01dfff,0xf881fffe,0x2a00cfff,0xff906fff,0x7f5403bf,
    0x64c001ff,0x91000ffe,0xff887ffd,0x3ea00cff,0x64c006ff,0x22002ffe,
    0x200cffff,0xf506fffa,0xfc805fff,0x3ea00fff,0x7e402fff,0x98000fff,
    0x5002ffec,0xc805ffff,0x0000ffff,0xd813ea00,0x220001ff,0x100afffe,
    0x7405fffb,0x6ffa82ff,0x37ffc400,0xfd0bffa0,0x300001df,0x6c001fff,
    0x740003ff,0x00000eff,0x9dfffff5,0xbffffdb9,0x7ffffec0,0xfffecabd,
    0xdfff702f,0xbfffb759,0xfffffd80,0xfffecabd,0x3ffa202f,0xfdcbdeff,
    0x3600efff,0xabdfffff,0x02ffffec,0x00ffe600,0x3a21ffa0,0xcbdeffff,
    0x00effffd,0x001bfa00,0xbdffffd1,0xdffffb97,0x7fffd401,0xffdcabde,
    0xfa800eff,0xcabdefff,0x00effffd,0x006fe800,0x37bfffea,0xffffdcab,
    0x4000000e,0x3ff607fb,0x7fd40001,0xedccefff,0x7405ffff,0x6ffa82ff,
    0x3fffb800,0xfa8bffa0,0xeeeeeeff,0xeeeeeeee,0x017ff65e,0xddddffb0,
    0xdddddddd,0x3bffea1d,0xeeeeeeee,0x85eeeeee,0xfffffff9,0x804fffff,
    0xfffffffc,0x402effff,0xfffffffc,0xff9005ff,0xffffffff,0x3f6005df,
    0xffffffff,0xff9005ff,0xffffffff,0x988005df,0x800ffeba,0x05ffb988,
    0x3ffffff6,0x005fffff,0x4ffb9898,0xffffb000,0xbfffffff,0x3fffa600,
    0xffffffff,0x7ff4c005,0xffffffff,0x2260005f,0x4004ffb9,0xffffffe9,
    0x005fffff,0xdff10000,0x3ff6bb77,0xff980001,0xffffffff,0xffe804ff,
    0x006ffa82,0x201fffd0,0x3fea2ffe,0xffffffff,0xffffffff,0x003fff37,
    0xffffffd8,0xffffffff,0xfffff50f,0xffffffff,0x20ffffff,0xfffffeb8,
    0x22001cff,0xfffffffc,0x3b26003f,0x001bdfff,0x7ffffe44,0xb8003fff,
    0xeffffffd,0x7e44003d,0x3fffffff,0xffff7000,0x3ffe009f,0x6dc01fff,
    0xdeffffff,0xffff0003,0x5c0001ff,0xeffffffd,0xfda8003d,0x1cffffff,
    0x3ff6a000,0x01cfffff,0x7ffffc00,0xfb50000f,0x39ffffff,0xd8000000,
    0xfb5fffff,0x2200003f,0xffffffeb,0xffd001cf,0x00dff505,0x417ffe60,
    0x3fea2ffe,0xffffffff,0xffffffff,0x000bffb7,0xfffffffb,0xffffffff,
    0x3ffffea1,0xffffffff,0x807fffff,0x0019aa98,0x01aa9880,0x00001000,
    0x000d54c4,0x09aa9880,0x55310000,0xdb500003,0x7f40039b,0x22001def,
    0x00009aa9,0x0e77ff44,0xaa988000,0x26000009,0x000009aa,0x0009aa98,
    0x9dffd100,0x2a600003,0x0000009a,0x16f6d400,0x00001dd9,0x03355310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55530000,0x4c000001,0x200002aa,
    0x4000aaa9,0x2aa21aaa,0x8555100a,0x51002aa8,0x88000155,0x00031009,
    0x002aaa60,0x5506aa60,0x26200035,0x0004cc09,0x00355500,0x35551000,
    0x15551000,0x00015544,0x0000aaaa,0xf8873ae2,0x00ccc407,0x2000aaaa,
    0x035302a8,0x0aaaa000,0x55544000,0xaaa80001,0x000aaa20,0x05d40000,
    0x55300f26,0xffffc801,0x005fffff,0x002fff40,0x9fff1000,0x7ff40000,
    0xeffa8005,0xe809ff90,0x0bffa3ff,0x077ffec0,0x30bf7000,0x360000ff,
    0xf10005ff,0x3bfe63ff,0xbff50000,0x00037fcc,0x01ffffb8,0x7ffec000,
    0xffc8000f,0x000fff65,0x005fff50,0x7ffffc40,0x2205fedf,0x3e604fff,
    0xff0002ff,0x0005fd03,0x005fff30,0x037fec00,0xb2ffdc00,0xfb3009ff,
    0x8037cc5b,0xabeffff9,0x7fec03fd,0x7fffe401,0x005fffff,0x003bfea0,
    0x5ffb8000,0x3fea0000,0x3ff20006,0x8805ff9c,0x4ffb8fff,0xffbff700,
    0x7fc4000b,0x00bfb30b,0x01fff300,0x477fd400,0x20001ffe,0x3fe65ffa,
    0xff980006,0x0000ffee,0xdffbff70,0x2bffa000,0x00004ffa,0x4000dff7,
    0xfffcaefb,0x3fee02ff,0x027fec06,0x515df900,0x00001ff9,0x00009ffb,
    0x002ffe88,0xfabffd80,0xfff9805f,0x03ffdfff,0xfffbdfb0,0xfd801fff,
    0x5554c01f,0x01aaaaaa,0x003ffa00,0x1dff0000,0x7ff40000,0x7fec0000,
    0xf5000eff,0x200bffdf,0xffb8eff9,0x3fee0004,0x000fffff,0x001ffd80,
    0xffeffc80,0x7fd40002,0x001bfe65,0xf33ffd10,0xf30000df,0x09ff71ff,
    0xfffff100,0xfc80000d,0x5d90001f,0x7c00cc98,0x3fe200ff,0x7f440006,
    0x002fffff,0x005ff980,0x0dff1000,0xdfff1000,0xbf9001df,0x1ffffd93,
    0x5443fe00,0xfd801dfd,0x0000001f,0x0017fd40,0x07fee000,0x2ffa8000,
    0xfff88000,0x7fe4001f,0xff8800ef,0x00bffa1f,0xbdfec980,0xff980000,
    0x3fa00003,0x880004ff,0x004cc099,0xc93ff600,0x220005ff,0x3ffa2ffe,
    0xfffa8003,0xe800000f,0x0000005f,0xc803ff70,0x300000ff,0x00015bd9,
    0x0003bf60,0x02ff9800,0xffff9800,0x983db001,0x00cc002c,0x4c400000,
    0x002bcdcb,0x00004c40,0x0004c400,0x00026200,0x00099880,0x20015550,
    0x4cc40998,0x00100000,0x00198800,0x00ccc400,0xb9731000,0x30000579,
    0x00333033,0x220ccc40,0x31000199,0x20000013,0xaa880198,0x2aa88002,
    0x13100355,0x00000000,0x00026600,0x00262000,0x004cc400,0x22000000,
    0x02bcdcb9,0x7ff44000,0xbfffffff,0x2aaaa200,0x9aaaaaaa,0x55550009,
    0x55544000,0x55555510,0x55555555,0x2aa21555,0x2aa88002,0x22015550,
    0xaaaaaaaa,0xaaaaaaaa,0x554c000a,0x15544002,0x89554400,0xaaaaaaaa,
    0xaaaaaaaa,0xfe8802aa,0xffffffff,0xa980000b,0x5554002a,0x2aa20002,
    0x5555510a,0x00335555,0x55555544,0xaaaaaaaa,0xdff50aaa,0x4dff5000,
    0x554c0aaa,0x55510001,0x55555555,0x01555555,0x002aa980,0x05553000,
    0xaaaaa880,0xaaaaaaaa,0x2a00aaaa,0x744000aa,0xffffffff,0x5c0000bf,
    0xffffffff,0x501fffff,0xffffffff,0x9dffffff,0x04fffa80,0x4cdffd00,
    0xffffffff,0xffffffff,0x07fff51f,0xd05ffa80,0x3fe605ff,0xffffffff,
    0x1fffffff,0x07fffc00,0x07fff500,0xf35ffa80,0xffffffff,0xffffffff,
    0x7fdc01ff,0xffffffff,0x40001fff,0x2000ffff,0x0004fffa,0x7fd4dffd,
    0xffffffff,0x7cc02eff,0xffffffff,0xffffffff,0x000dff51,0x7ff4dff5,
    0x002ffdc0,0xffffff98,0xffffffff,0x7c001fff,0x00000fff,0x000ffff8,
    0x3fffffe6,0xffffffff,0x3fa01fff,0x3fee002f,0xffffffff,0x99701fff,
    0xffffd881,0xffd950ab,0xfff505ff,0xffffffff,0x80bfffff,0x4001fffc,
    0x3e60fffb,0xffffffff,0xffffffff,0x01ffff51,0xe82ffd40,0xfff302ff,
    0xffffffff,0x03ffffff,0x1ffffd40,0x1ffff500,0x9affd400,0xffffffff,
    0xffffffff,0xfd880fff,0x950abfff,0x005ffffd,0x0ffffea0,0x03fff900,
    0x20fffb80,0xfffffffa,0xffffffff,0xfffff303,0xffffffff,0x3ea3ffff,
    0xffa8006f,0xf703ffa6,0x3e6000bf,0xffffffff,0xffffffff,0x3ffea001,
    0x5400003f,0x2003ffff,0xfffffff9,0xffffffff,0x3ffa01ff,0xfffd8802,
    0xfd950abf,0xffb05fff,0x0cfffc83,0x0ffffcc0,0x2aabffea,0xecaaaaaa,
    0xf100efff,0x7cc00dff,0x7ffcc3ff,0xcccccccc,0x50cccccc,0x400bffff,
    0xffd05ffa,0x33ffe605,0xcccccccc,0x000ccccc,0x01bffbf6,0x05ffffa8,
    0x6457fea0,0xfdcccccc,0xccccccff,0x9fff904c,0xffff9801,0xfefd8001,
    0x7fc4006f,0x3fe6006f,0x67ffd43f,0xeccccccc,0xf983ffff,0xccccccff,
    0xcccccccc,0x000dff50,0x7ff4dff5,0x002ffdc0,0xcccfff98,0xcccccccc,
    0x36000ccc,0x0006ffef,0x37ff7ec0,0x99fff300,0x99999999,0x74019999,
    0xffc802ff,0x7fcc00cf,0x0ffec1ff,0x4005fff3,0x7d46fff9,0x7fdc006f,
    0x3ffea02f,0x0bffd003,0x0000dff3,0x07fffff5,0x7417fea0,0xdff302ff,
    0xf1000000,0x005ff99f,0x0fffffea,0x802ffd40,0x98007ff8,0x26002fff,
    0x44006fff,0x02ffccff,0x01fffd40,0xfa85ffe8,0xffd3006f,0x06ff981f,
    0x06ffa800,0x3a6ffa80,0x2ffdc0ff,0x06ff9800,0xff880000,0x0002ffcc,
    0xff99ff10,0x1bfe6005,0x7ff40000,0x17ffcc02,0x8dfff300,0x3ff61ffd,
    0xfffa8005,0x001bfea3,0xfb013ff6,0xffb801ff,0x06ff980f,0xffffa800,
    0xffa800ff,0x205ffd05,0x00006ff9,0xf9affb80,0xfff5005f,0xf5001fff,
    0x3fe200bf,0x5ffd8007,0x3fffa800,0x26bfee00,0xfd8005ff,0x7fdc00ff,
    0x06ffa80f,0x262fff40,0xa80006ff,0xfa8006ff,0x703ffa6f,0x26000bff,
    0x000006ff,0xff9affb8,0xff700005,0x200bff35,0x00006ff9,0xd805ffd0,
    0xfa8005ff,0x47ff63ff,0x0000fffa,0x7fd4dff9,0x6ffa8006,0x037ffc40,
    0x2605fff1,0xa80006ff,0x05ffedff,0xfd05ffa8,0x1bfe605f,0x3fa00000,
    0x2003ffa7,0x5ffedffa,0x005ffa80,0xa800fff1,0x90000fff,0x7f400dff,
    0x0003ffa7,0x440dfff1,0xff502fff,0xfff8800d,0x001bfe63,0x001bfea0,
    0xffe9bfea,0x002ffdc0,0x0006ff98,0x3a7fe800,0xe80000ff,0x003ffa7f,
    0x0001bfe6,0x5017ff40,0x20001fff,0x3ff66ffc,0x0009ff91,0xfa8fffcc,
    0xff98006f,0x7ffd400f,0x40bffd03,0x80006ff9,0xfff9cffa,0x82ffd403,
    0xff302ffe,0x9800000d,0x0fff25ff,0x3e73fea0,0x7fd403ff,0x0fff1005,
    0x004ffc80,0x007ffe60,0xffc97fe6,0xfffa8003,0x40bffd03,0xc8006ffa,
    0x1bfe66ff,0x1bfea000,0xe9bfea00,0x2ffdc0ff,0x06ff9800,0x7fcc0000,
    0x000fff25,0x7e4bff30,0x6ff9803f,0xffd00000,0x027fe405,0x23fff300,
    0x7ffb1ffd,0x3fff8000,0x7000dff5,0x3f600fff,0x7ffdc0ff,0x01bfe600,
    0x653fea00,0x3ea00fff,0x05ffd05f,0x0001bfe6,0x4c5ffb00,0xffa807ff,
    0x401fff94,0xf1005ffa,0xffd800ff,0x7ffc0003,0x22ffd803,0xb0007ff9,
    0xffb81fff,0x1bfea00f,0x99ffe200,0xa80006ff,0xfa8006ff,0x703ffa6f,
    0x26000bff,0x000006ff,0xff317fec,0xffd8000f,0x201ffe62,0x00006ff9,
    0x6c05ffd0,0x7c0003ff,0x23ffb3ff,0x40002fff,0xdff55ffe,0x5ffe8800,
    0x4bfff100,0x4c02fff8,0xa80006ff,0x17ffa4ff,0xfd05ffa8,0x1bfe605f,
    0xff880000,0x017ff40f,0xffe93fea,0x017fea05,0x2003ffc4,0x40002fff,
    0x7c405ffe,0x17ff40ff,0x2fffc400,0xa805fff1,0xfd0006ff,0x01bfe63f,
    0x01bfea00,0xfe9bfea0,0x02ffdc0f,0x006ff980,0x3ffe2000,0x0017ff40,
    0x740fff88,0x7fcc02ff,0xfd000006,0x17ffc05f,0x57ffa000,0xfff89ffd,
    0x7fe40001,0x400dff55,0x001fffe9,0x7ecbffea,0x6ff9804f,0x4ffa8000,
    0x540fffe6,0x5ffd05ff,0x001bfe60,0x84ffb800,0x7d405ffb,0x0fffe64f,
    0x8802ffd4,0x3e2007ff,0x640001ff,0x7fdc05ff,0x005ffb84,0x365fff50,
    0xffa804ff,0x5ffb0006,0x0001bfe6,0x2001bfea,0x3ffa6ffa,0x002ffdc0,
    0x0006ff98,0x213fee00,0x70005ffb,0xbff709ff,0x006ff980,0x05ffd000,
    0x0007ffe2,0x3f6bff90,0x007ff99f,0xf56ffb80,0x999999ff,0xfffffdb9,
    0xdffb0007,0x2600dff5,0xffffffff,0xffffffff,0xf913fea2,0xbff501ff,
    0x4c0bffa0,0xffffffff,0xffffffff,0x81ffe802,0x2a00fff8,0x7ffe44ff,
    0x005ffa80,0x4c00fff1,0xb80007ff,0x7ff406ff,0x00fff881,0xf5dffb00,
    0x3fea00df,0x7ff90006,0x3fffffe6,0xffffffff,0x1bfea2ff,0xe9bfea00,
    0x2ffdc0ff,0xffff9800,0xffffffff,0xe802ffff,0xfff881ff,0x1ffe8000,
    0x200fff88,0xfffffff9,0xffffffff,0x17ff402f,0x0007ff98,0xffb6ffb8,
    0x000fff33,0x3eadff70,0xffffffff,0x2fffffff,0xffff1000,0x3e6003ff,
    0xffffffff,0x2fffffff,0x3fa13fea,0x05ffa86f,0x3e605ffd,0xffffffff,
    0x2fffffff,0xb037fcc0,0x7fd409ff,0xa86ffe84,0xff1005ff,0x3ffcc00f,
    0x37fdc000,0x6c0dff30,0xf10004ff,0x003fffff,0x4001bfea,0xfff35ffc,
    0xffffffff,0x545fffff,0xfa8006ff,0x703ffa6f,0x26000bff,0xffffffff,
    0xffffffff,0x037fcc02,0x98009ffb,0x3ff606ff,0x3fffe604,0xffffffff,
    0x7402ffff,0xfff302ff,0xdff70000,0x3fe67ff6,0x7e40000f,0xfffff55f,
    0xdfffffff,0xa8000159,0x2004ffff,0xeeeefff9,0xeeeeeeee,0x213fea1e,
    0x7d43fff9,0x05ffd05f,0x3bbbffe6,0xeeeeeeee,0x7fe401ee,0x81ffea03,
    0xff984ffa,0x02ffd43f,0x2007ff88,0x0000fff9,0xf902ffe4,0x3ffd407f,
    0xffff5000,0x37fd4009,0x34ffd800,0xdddddfff,0xdddddddd,0x0037fd43,
    0xffd37fd4,0x005ffb81,0xdddfff30,0xdddddddd,0xffc803dd,0x01ffea03,
    0x5407ff90,0x3fe607ff,0xeeeeeeef,0x01eeeeee,0xf9817ff4,0x640000ff,
    0x13ffb5ff,0x80003fff,0xdff54ffd,0xfb533333,0x400005df,0x4c006ffd,
    0xa80006ff,0xfff904ff,0xe82ffd41,0xdff302ff,0x3fe00000,0x17ffc00f,
    0xf904ffa8,0x2ffd41ff,0x007ff880,0x0007ffe2,0x7c09ffb0,0x7ffc00ff,
    0x3ff60002,0x37fd4006,0x33ffe800,0x30000dff,0xf7000fff,0x207ff4bf,
    0x30005ffb,0x00000dff,0xff003ffe,0x7ffc005f,0x817ffc00,0x00006ff9,
    0x2205ffd0,0x40001fff,0x3ffb4ffd,0x0000fffa,0x3fea7ffd,0x1fffe406,
    0x5ffb8000,0x037fcc00,0x027fd400,0x7fd4dffd,0x205ffd05,0x00006ff9,
    0xffffffa8,0xffffffff,0x409ff505,0x3fea6ffe,0x0fff1005,0x003ffe80,
    0xa81fff40,0xffffffff,0x05ffffff,0x017fee00,0x000dff50,0x7fccbffe,
    0xff980006,0x5ffc8007,0xff703ffa,0x3fe6000b,0xfa800006,0xffffffff,
    0x005fffff,0xfffffff5,0xbfffffff,0x001bfe60,0x017ff400,0x80007ffd,
    0x3ffb3ffe,0x80017ff2,0xff50fff9,0x5fff900d,0xbff70000,0x06ff9800,
    0x04ffa800,0x7d4fffe6,0x05ffd05f,0x0001bfe6,0x3fffff60,0xffffffff,
    0x4ffa81ff,0x54fffe60,0xff1005ff,0x5ffc800f,0x3ffe6000,0xfffffb00,
    0xffffffff,0x2e0003ff,0x7d4005ff,0xff88006f,0x00dff31f,0x00fff100,
    0x7f49ff90,0x02ffdc0f,0x006ff980,0xffffd800,0xffffffff,0xfd801fff,
    0xffffffff,0x81ffffff,0x00006ff9,0x6405ffd0,0x260005ff,0x3ffb0fff,
    0x000bffe6,0xff52fff4,0x3fffa00d,0x7fdc0001,0x37fcc005,0x27fd4000,
    0x2a3fff20,0x5ffd05ff,0x001bfe60,0x99fff100,0x99999999,0xff509ffd,
    0x8fffc809,0xf1005ffa,0xff9800ff,0xffd0002f,0x33ffe20b,0xcccccccc,
    0x0004ffec,0xa800bff7,0xfa8006ff,0x0dff30ff,0x07ffe000,0x747ffd00,
    0x2ffdc0ff,0x06ff9800,0x7ffc4000,0xcccccccc,0x404ffecc,0xccccfff8,
    0xfecccccc,0x06ff984f,0x5ffd0000,0x017ffcc0,0x365ffe80,0x1bff61ff,
    0x8bffea00,0xf1006ffa,0x40001dff,0x4c005ffb,0xa80006ff,0xffe804ff,
    0xfd05ffae,0x1bfe605f,0xbff70000,0x43ffdc00,0xfe804ffa,0x005ffaef,
    0xb000fff1,0xf5000dff,0x3fee05ff,0x1ffee005,0x02ffdc00,0x001bfea0,
    0xff997ffa,0xffb00006,0x7ffcc009,0xf703ffa1,0x3e6000bf,0x5c00006f,
    0x3ee005ff,0x2ffdc07f,0x30fff700,0x00000dff,0xfb00bffa,0xff5000df,
    0x10ffec5f,0x2001bfff,0x7d45fffa,0x3fee006f,0x3ee0004f,0x7fcc005f,
    0xffa80006,0xefff9804,0x5ffd05ff,0x001bfe60,0x005ffd00,0x2a17ffc4,
    0xff9804ff,0x1005ffef,0xf1000fff,0x2a001bff,0x3fa05fff,0x3fe2002f,
    0xffb8002f,0x37fd4005,0x87ffee00,0x00006ff9,0x2007fff7,0x7ff47ffd,
    0x002ffdc0,0x0006ff98,0x0017ff40,0x7405fff1,0x3e2002ff,0x37fcc2ff,
    0xffe80000,0x6fffc402,0xbfff5000,0x7fffd400,0x7fffe402,0x0037fd40,
    0x0007fff6,0x2002ffdc,0x80006ff9,0xf9004ffa,0x3a0bffff,0xdff302ff,
    0x7fcc0000,0x6ffc8007,0xc8027fd4,0x005fffff,0x2000fff1,0x402ffffa,
    0x300ffffc,0xf9000fff,0xff7000df,0x6ffa800b,0x17ffe600,0x0000dff3,
    0x02bfffa2,0x217ffec4,0x7fdc0ffe,0xdff30005,0x7fcc0000,0x6ffc8007,
    0x000fff30,0xff98dff9,0xfd000006,0xfff5005f,0xfffc805f,0x40d5540f,
    0xbdeffffa,0xeffffdca,0x006ffa80,0x0037ffc4,0x4005ffb8,0x80006ff9,
    0x3a004ffa,0xfd05ffff,0x1bfe605f,0x4ffc8000,0x1fff9800,0xe8013fea,
    0x1005ffff,0x54000fff,0xabdeffff,0x0effffdc,0x0013ff20,0x0007ffe6,
    0xa800bff7,0x6ccc06ff,0x7cc0ffff,0x2a00006f,0xccefffff,0x85ffffed,
    0x7fdc0ffe,0xdff30005,0x7fe40000,0xfff98004,0x004ffc81,0x261fff98,
    0x000006ff,0x2a005ffd,0xabdeffff,0x0effffdc,0xd303ffe8,0xffffffff,
    0x7d40bfff,0xffb8006f,0xffb8003f,0x7ffcc005,0xeeeeeeee,0x55eeeeee,
    0x7cc009ff,0xffd05fff,0x3bffe605,0xeeeeeeee,0x7c5eeeee,0xfd0001ff,
    0x027fd49f,0x0bffff30,0x001ffe20,0xfffffd30,0x0bffffff,0x0003fff0,
    0x70013ffa,0xfa800bff,0xfeeeeeff,0x0fffffff,0xeeefff98,0xeeeeeeee,
    0xff985eee,0xffffffff,0x1ffd04ff,0xeeefffb8,0xeeeeeeee,0xdddfff34,
    0xdddddddd,0xfff8bddd,0x9ffd0001,0x0003fff0,0xff993ffa,0xeeeeeeef,
    0x5eeeeeee,0x800bffa0,0xffffffe9,0x205fffff,0x6d403ffe,0xcfffffff,
    0x037fd401,0x00fffe80,0x002ffdc0,0x3fffffe6,0xffffffff,0x9ff56fff,
    0x5fffc800,0x2605ffd0,0xffffffff,0xffffffff,0x01bfea6f,0x2a7ffb80,
    0x7e4004ff,0xff1005ff,0x36a0000f,0xcfffffff,0x06ffa801,0x01ffee00,
    0x800bff70,0xfffffffa,0xcfffffff,0xfffff300,0xffffffff,0x220dffff,
    0xffffffeb,0x3ffa01cf,0x7ffffdc0,0xffffffff,0xfffff35f,0xffffffff,
    0x7d4dffff,0x3ee0006f,0x037fd47f,0x4cfff700,0xffffffff,0xffffffff,
    0x0bffa06f,0x3fff6a00,0x401cffff,0x26003ffe,0x2a0009aa,0xf30006ff,
    0xfb800bff,0x7fcc005f,0xffffffff,0x6fffffff,0xd0009ff5,0x3ffa0bff,
    0xfffff302,0xffffffff,0x7ecdffff,0x3e20004f,0x09ff53ff,0x00bffd00,
    0x0001ffe2,0x0026aa60,0x0009ffb0,0x001fffc4,0xa800bff7,0xffffffff,
    0x400bceef,0xfffffff9,0xffffffff,0xa98806ff,0xffd0019a,0xfffffb81,
    0xffffffff,0xfffff35f,0xffffffff,0x7ecdffff,0x3e20004f,0x13ff63ff,
    0x3fff8800,0xfffffff3,0xffffffff,0x7ff40dff,0x554c0002,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x055540aa,0x55510000,
    0xa8000001,0x000001aa,0x00015551,0x0000d554,0x6640032a,0x2a07b62c,
    0x3bbaa03e,0x04eeeeee,0x05999100,0x204cc400,0x3fa00099,0xffffffff,
    0x1e65c003,0x41ba8000,0x220003c9,0x02662099,0x90573000,0x88333019,
    0x06660099,0x00001331,0x55100055,0x55555555,0x99999900,0x80039999,
    0xeeeeeee8,0x98001eee,0x01bcddcb,0x10000000,0x01ed8000,0xff92ffe4,
    0xfb800009,0x000001ff,0x007fffee,0x3fff6000,0xffc8000e,0x320000ff,
    0x9fff001f,0x3fe22fe4,0x3fffee02,0x006fffff,0x009fff10,0xf32ffd40,
    0x7ff400df,0x3fffffff,0x037fec00,0x3fffa600,0x003fdace,0xfb8bff60,
    0x3f60004f,0x6fbadfff,0x7ec1fff0,0x83ffe02f,0x20002ffd,0x000eeef9,
    0x3fffffee,0xff806fff,0xffffffff,0x7ffc4002,0x1fffffff,0x3fffaa00,
    0x03efffff,0x37264ca8,0xd5001bef,0xf30003bf,0x5ffb001f,0x0000dff3,
    0x003fff70,0x3bfe6000,0x00000ffe,0x17ff7fee,0xffbff500,0x7ed4001d,
    0x200cefff,0x3fe24fff,0x406ffedf,0xeeeeeeea,0xf10004ee,0x540009ff,
    0x1bfe65ff,0xaaaaaa80,0x4001aaaa,0x40006ffd,0xffffdefc,0x360000ff,
    0x13fee2ff,0x76ffcc00,0xf03fffff,0x17fec1ff,0x7ec1fff0,0x9320002f,
    0x3fee004c,0x6fffffff,0xeeeeee80,0x4001eeee,0xccccccc8,0xd8800ccc,
    0xffffffff,0x200effff,0xffff77fd,0xf880bfff,0xc8005c8a,0xfff1006f,
    0x00001ffd,0x003fff70,0x3ffd1000,0x0000dff3,0x7fddbfe6,0x1fff1004,
    0xd100bff5,0xffffffff,0x13ffe05f,0x17dfff93,0x80000000,0x0004fff8,
    0xff997fea,0x00000006,0x0006ffd8,0xfda88ffc,0x7ec0002d,0x013fee2f,
    0xf931fe40,0x3ffe017d,0xf80bff60,0x0bff60ff,0x1aa2e800,0x00000000,
    0x00000000,0xbefffe88,0xfffda889,0x9ffb01ff,0xffd9bfff,0x3e2dc09f,
    0x01ff4000,0x03ffff30,0x2aa20000,0xd800000a,0x17ff24ff,0x3fff1000,
    0x74017ff4,0x0fff62ff,0xfbdfffb0,0x303ffff9,0x80cc0133,0x88002aa8,
    0x266002aa,0x26200009,0x0004cc09,0x2aa85551,0x00998800,0x0000cc00,
    0x88266200,0x31000099,0x06660001,0x4cc01331,0x0004cc41,0x001ecb90,
    0x00015550,0x2001554c,0xaaaaaaa8,0xaaaaaaaa,0xfffe80aa,0xffffa803,
    0xbefffd80,0x807ffdc0,0x8003e26a,0x4c001ff8,0x800001aa,0x0abcdcba,
    0x0ccc0000,0x20000ccc,0x4cc40998,0x20ccc400,0x3ee01998,0xb13f72ef,
    0x15550fff,0x2a02aaa0,0xfa8006ff,0x5555546f,0xaaaaaaaa,0x5551aaaa,
    0x55440005,0x12ffd40a,0x55510fff,0x55555555,0x01555555,0x002aa980,
    0x05553000,0x002aa880,0xaa82aa88,0xaaaa880a,0xaaaaaaaa,0x000aaaaa,
    0x003fffe2,0x002ffe80,0x003fffe0,0xffffff98,0xffffffff,0x7fe41fff,
    0x3fea001f,0x1fffd85f,0xf807ffa0,0x54004ebd,0xaa98007f,0xf9300002,
    0xffffffff,0x0d54c05f,0x00555500,0xaa98d54c,0x2aa88000,0x22aa8800,
    0x47ee2ffe,0x7f41fff8,0x05ffd02f,0x5000dff5,0xfffe8dff,0xffffffff,
    0xf53fffff,0x3a0009ff,0x5ffa86ff,0x3e61ffe2,0xffffffff,0xffffffff,
    0x7fffc001,0xff800000,0x3ea000ff,0x7d4003ff,0x82ffe85f,0xfffffff9,
    0xffffffff,0x7fc001ff,0x3a0000ff,0xf50002ff,0x4c007fff,0xffffffff,
    0xffffffff,0x13ffe21f,0x0bfff200,0xfb80bffb,0x0b6e202f,0x0017f600,
    0x0003fffe,0xffffff70,0xbfffffff,0x00dff501,0x800ffffc,0x3ffb3ffd,
    0x0fff3000,0x7cdff500,0xd87ee0ff,0x17ff43ff,0xfa82ffe8,0xffa8006f,
    0x7fffff46,0xffffffff,0x3ff23fff,0x7fdc001f,0x25ffa80f,0xff987ff8,
    0xffffffff,0x1fffffff,0x3fffea00,0x7d400003,0x2a003fff,0x2000ffff,
    0xffe85ffa,0xfffff982,0xffffffff,0x2001ffff,0x003ffffa,0x000bffa0,
    0x037ff7ec,0x999fff30,0x99999999,0x7fdc1999,0xffb0000f,0x403ffd8b,
    0x00003ffb,0x5000bfe0,0x0007ffff,0x5e7fffe4,0xffdb9889,0x7ffc40ef,
    0xffffa800,0x23fff004,0x98001ffd,0xfa8007ff,0xb8dff36f,0x7f40621f,
    0x05ffd02f,0x5000dff5,0xcccb8dff,0xcccccccc,0x223fffec,0x26006fff,
    0x00003fff,0x6667ffcc,0xcccccccc,0x36000ccc,0x0006ffef,0x37ff7ec0,
    0xbffff500,0x42ffd400,0xff982ffe,0xcccccccf,0x0ccccccc,0x3ffbf600,
    0x3ffa0006,0xcff88002,0xf3002ffc,0x3a0000df,0x2a0003ff,0x3ff60fff,
    0xba7fd402,0x665400cc,0x001ff301,0x06ffefd8,0x1dfff700,0x09fff700,
    0xf9005ffd,0xf300dfff,0x00ffecff,0x003ffcc0,0xff8b7fd4,0x4007ee0f,
    0xffd02ffe,0x00dff505,0x000dff50,0xa85fff98,0xfd003fff,0x300000bf,
    0x00000dff,0xff99ff10,0x3e200005,0x002ffccf,0x07fffff5,0x3a17fea0,
    0x6ff982ff,0xf8800000,0x002ffccf,0x0005ffd0,0xbff35ff7,0x01bfe600,
    0x07ffe200,0x2fff9800,0xf5007ff6,0x003ffa9f,0x3ee07ff7,0x67fc4006,
    0x44002ffc,0x4c004fff,0x7fe40fff,0xfdefe804,0x27fdc00f,0x30003ffb,
    0xf5000fff,0x717ff4df,0x3ffa003f,0x505ffd02,0xf5000dff,0x744000df,
    0xffb00eff,0xfffb801f,0xf9800000,0x8000006f,0x5ff9affb,0x5ff70000,
    0x2a00bff3,0x00ffffff,0xfe85ffa8,0x06ff982f,0xffb80000,0x0005ff9a,
    0xd0005ffd,0x007ff4ff,0x00037fcc,0x0007ffcc,0xfd8fffe0,0xa7fd401f,
    0x7dc00ffe,0x009fb03f,0xff9affb8,0x37fec005,0x43ffd800,0x7c406ff9,
    0x402ffbcf,0x3ff62ffd,0x7ff98001,0x26ffa800,0x3f73fffc,0x40bffa00,
    0xffa82ffe,0x6ffa8006,0x3fffa000,0x1bffe200,0x702fff88,0xcca80199,
    0x000dff31,0x74ffd000,0xe80000ff,0x003ffa7f,0x3ffb7fea,0x85ffa805,
    0xff982ffe,0xe8000006,0x003ffa7f,0x000bffa0,0x7fe4bff3,0x06ff9803,
    0x07ffa800,0x24ffe800,0x7d401ffd,0x801ffd4f,0xff883ffb,0xd3ff4002,
    0x3e2001ff,0xf30001ff,0x80fff07d,0x5ff8affb,0xfb07ffc0,0xff30003f,
    0xdff5000f,0xfdefffd8,0x05ffd001,0x3ea0bffa,0xffa8006f,0xfffb0006,
    0x7fff5005,0xe817ffa0,0x7fdc00ff,0x000dff33,0x25ff9800,0x40003ffc,
    0x3ff25ff9,0x9cffa803,0x7d403fff,0x82ffe85f,0x00006ff9,0xf92ffcc0,
    0xffd0007f,0x2ffd8005,0x2601ffe6,0xb80006ff,0xc80006ff,0x07ff65ff,
    0x3fa9ff50,0x1ffdc00f,0x26003fd4,0x0fff25ff,0x003ffdc0,0x1ffd8020,
    0x7fe9ff60,0xfb1bfe20,0x3bfb263f,0x07ff982c,0xd86ffa80,0x2dffffff,
    0xe817ff40,0x6ffa82ff,0x06ffa800,0x03fffb80,0x703fff60,0x7f401fff,
    0x9ffdc00f,0x00006ff9,0xf317fec0,0xfd8000ff,0x01ffe62f,0x7fe53fea,
    0x17fea00f,0x3e60bffa,0x4000006f,0x3fe62ffd,0x2ffe8007,0x03ffe200,
    0xf9805ffd,0xfb80006f,0xfd80006f,0x007ff64f,0x3ffa9ff5,0x41ffdc00,
    0x7ec005fc,0x01ffe62f,0x0002ffec,0x407ff700,0x07ff25ff,0x3f627fdc,
    0xfffffc9f,0x3ffcc4ff,0x837fd400,0xffffffda,0x05ffd01e,0x3ea0bffa,
    0xffa8006f,0x7ffcc006,0x7ffc4005,0x00bffe25,0xfb801ffd,0x00dff33f,
    0x7ffc4000,0x0017ff40,0x740fff88,0x7fd402ff,0xa817ffa4,0x2ffe85ff,
    0x0006ff98,0x03ffe200,0xe8005ffd,0x3ee002ff,0x05ffb84f,0x00037fcc,
    0x0003ffd4,0xffb1fff4,0xd4ffa803,0xffb801ff,0x2003fe83,0x7f40fff8,
    0x4fff802f,0x3e600000,0x47ff305f,0xffb03ffa,0xffeffd83,0x4ffffdcf,
    0x2001ffe6,0x6c406ffa,0x83ffffff,0xffd02ffe,0x00dff505,0x400dff50,
    0x0006fff8,0x3f65fff5,0x0ffe804f,0xf99ffdc0,0x2000006f,0xffb84ffb,
    0x9ff70005,0xa80bff70,0x3ffe64ff,0xd0bff503,0xdff305ff,0x7dc00000,
    0x05ffb84f,0x0017ff40,0xff103ffd,0x7ffcc01f,0xffffffff,0x262fffff,
    0x40000fff,0x3ff61fff,0xea7fd401,0x7fdc00ff,0x000ffc43,0xff709ff7,
    0x05fff00b,0x7ff80000,0x7c43ff90,0xb0ffd06f,0xc883ffff,0xfff30fff,
    0x55555555,0xdff95555,0xfd53f700,0x2ffe83ff,0xf505ffd0,0xff5000df,
    0x7fff400d,0x3ff60000,0xd006ffae,0xffb801ff,0xffffff33,0xffffffff,
    0xffd005ff,0x01fff103,0x103ffd00,0x7d401fff,0x07ffe44f,0x7f42ffd4,
    0xffff982f,0xffffffff,0xe802ffff,0xfff881ff,0x0bffa000,0xb037fcc0,
    0x7fcc09ff,0xffffffff,0x22ffffff,0x0001fff8,0xfd83ffe2,0xa7fd401f,
    0x7dc00ffe,0x0037dc3f,0x3e207ffa,0x3fe200ff,0xaaaa801f,0x80aaaaaa,
    0x6fe81ffd,0x7c40ffe8,0x1fffd85f,0x7cc7ffa0,0xffffffff,0xffffffff,
    0x21fb806f,0x7ff46ffd,0x505ffd02,0xf5000dff,0x3ff600df,0x7c40001f,
    0x001fffff,0xfb801ffd,0xfffff33f,0xffffffff,0xf9805fff,0x13ff606f,
    0x40dff300,0x3ea04ffd,0x86ffe84f,0xffe85ffa,0xfffff982,0xffffffff,
    0x7cc02fff,0x13ff606f,0x002ffe80,0x7d407ff9,0x3ffe607f,0xeeeeeeee,
    0x6c1eeeee,0x2a0004ff,0x0ffec7ff,0x7f53fea0,0x1ffdc00f,0xf98013f6,
    0x13ff606f,0x801fff88,0xffffffff,0x3ffb82ff,0x7dc27fc4,0x41ffd42f,
    0x7dc04ffd,0xfffff32f,0xffffffff,0x00dfffff,0x3ffcc3f7,0x7f40bffa,
    0x06ffa82f,0x806ffa80,0x0003fffb,0x09ffff50,0x2007ff40,0xfff33ffb,
    0xdddddddd,0x803ddddd,0x3ea03ffc,0x7fe4007f,0x81ffea03,0xff984ffa,
    0x42ffd43f,0xff982ffe,0xeeeeeeef,0x01eeeeee,0xf501ffe4,0x7ff400ff,
    0x01fff002,0xf302fff8,0x2a0000df,0x0e201fff,0xfb13ffe2,0x4ffa803f,
    0xfc801ffd,0x0017fc3f,0x7d407ff9,0x0fffc07f,0x7fffffc0,0xf982ffff,
    0x417fd44f,0x7fe44ff9,0x403ffd81,0xfff33ffa,0x99999999,0xdffb9999,
    0x20fdc098,0x3ffa1fff,0x305ffd02,0xf7000fff,0xfff980bf,0x7ec00005,
    0x7ff4006f,0x99ffdc00,0x000006ff,0xff801fff,0x3ffe002f,0x817ffc00,
    0xff904ffa,0x42ffd41f,0xff982ffe,0xff000006,0x2fff801f,0x005ffd00,
    0xfffffff5,0xbfffffff,0x001bfe60,0x205ffe80,0x3ff63ffa,0x3ea0000e,
    0x801ffd4f,0x3fe63ffd,0x03ffe000,0x7405fff0,0xaaa802ff,0x2ffeaaaa,
    0xffc8dff0,0xfe8dff00,0x805ffb07,0xfff34ffa,0x2dff5000,0x0fdc3ffc,
    0xffe87ffa,0x305ffd02,0xf9000fff,0x7ffc40bf,0xfb800006,0x7ff4005f,
    0x99ffdc00,0x800006ff,0xfffffffa,0x5fffffff,0xfffff500,0xffffffff,
    0x13fea0bf,0x3ea6ffe8,0x82ffe85f,0x00006ff9,0xffffffa8,0xffffffff,
    0x05ffd005,0xffffffb0,0xffffffff,0x0dff303f,0x7ffcc000,0x9ffff904,
    0x80005fff,0x3ffb4ffa,0x323ffe80,0x3fea006f,0xffffffff,0x3605ffff,
    0x740004ff,0x1ff902ff,0xffb037fc,0x6c13fe21,0x7fd401ff,0x000fff34,
    0x3feadff5,0xff10fdc6,0x817ff41f,0xff882ffe,0x4ffc8007,0x003fffa0,
    0x17fee000,0x801ffd00,0xdff33ffc,0xffb00000,0xffffffff,0x003fffff,
    0xfffffffb,0xffffffff,0x409ff503,0xff53fff9,0x305ffd0b,0x00000dff,
    0xfffffffb,0xffffffff,0x05ffd003,0xcccfff88,0xeccccccc,0x6ff984ff,
    0x7fe40000,0xffc881ef,0x80004fff,0x7ffb3ffa,0xd1fffcc0,0x7fec007f,
    0xffffffff,0x501fffff,0xe8000fff,0x5ff502ff,0xfb80ffe6,0x205ff52f,
    0x7d401ffd,0x00fff34f,0x3e2dff50,0xb87ee1ff,0x17ff46ff,0xff02ffe8,
    0xffe8003f,0x03fff903,0x3fee0000,0x07ff4005,0x7ccfff60,0x4400006f,
    0xcccccfff,0xffeccccc,0x67ffc404,0xcccccccc,0xfa84ffec,0x7ffe404f,
    0xfe85ffa8,0x06ff982f,0x7ffc4000,0xcccccccc,0x804ffecc,0x7dc02ffe,
    0x3fee005f,0x006ff987,0xffffc800,0xffecabce,0x80003fff,0xfff72ffc,
    0x7ffff101,0x44007fe2,0xcccccfff,0xffeccccc,0x07fff104,0x817ff400,
    0x3ff74ff8,0xfc9ffc40,0x03ffb00f,0xff34ffa8,0xdff5000f,0x3f72fff4,
    0xfd0fffa6,0x0bffa05f,0x30027fec,0xff703fff,0x4000007f,0x6c005ffb,
    0x7ff401ff,0x000dff33,0x005ffb80,0xf701ffee,0x7fdc00bf,0x804ffa87,
    0x5ffaeffe,0xf982ffe8,0x5c00006f,0x3ee005ff,0x2ffe807f,0x0017ff40,
    0xf985fff1,0x5000006f,0xffffffff,0xdfffffff,0xfeba8003,0xdfff10ff,
    0xfdff9537,0x801fea7f,0x2e005ffb,0x3ff207ff,0xffd0001f,0xfdb7f405,
    0xfd5fe807,0x00ffec0d,0x7fcd3fea,0x6ffa8007,0x32bbffe6,0x86fffcaf,
    0xffd02ffe,0x0fffee05,0x4c3ffec0,0x00004fff,0x002ffdc0,0xf980fff6,
    0x0dff33ff,0x2ffe8000,0x0bffe200,0x2002ffe8,0x7d42fff8,0xfff9804f,
    0xffe85ffe,0x006ff982,0x017ff400,0x805fff10,0x3e602ffe,0xffc8007f,
    0x0037fcc6,0x3ffaa000,0x88beffff,0x2005fffd,0x5c5ffffe,0xffffffff,
    0xbfb3ff9c,0x017ff400,0x405fff10,0x2001effe,0x202fffc8,0x05ff8ffc,
    0x4ff8ffc8,0x5007ff60,0x1ffe69ff,0x31bfea00,0xffffffff,0xffd01dff,
    0x40bffa05,0x00afffe8,0x885fffb1,0x00005fff,0x005ffb80,0x4407ffdc,
    0xff33ffff,0x7cc0000d,0xffc8007f,0x00fff306,0xfa8dff90,0xfff9004f,
    0x5ffd0bff,0x000dff30,0x003ffcc0,0x3a037fe4,0x3ff202ff,0xfff98004,
    0x001bfe61,0x554c4000,0x0dfd5009,0x827fffc0,0x3effffe9,0x06aa7ff3,
    0x003ffcc0,0xf3037fe4,0x20159fff,0x1fffffb8,0x3feffea0,0xfbffa802,
    0x07ff601f,0x3e69ff50,0xffa8007f,0xffffd986,0x3fa03fff,0x05ffd02f,
    0x77ffffd4,0xffffedcc,0x00effe85,0xffb80000,0x7ffc4005,0xeffca9be,
    0x0dff33ff,0x27fe4000,0x0fffcc00,0x40027fe4,0x3ea1fff9,0x3ffa004f,
    0x2ffe85ff,0x0006ff98,0x0013ff20,0xe807ffe6,0x3ffe02ff,0x9ffd0001,
    0x7777ffcc,0xeeeeeeee,0x00005eee,0x040015c0,0x00015300,0x009ff900,
    0x403fff30,0xefffffe9,0xfffffdcc,0x7fc400df,0xf8800ffe,0x7ec07fef,
    0xa7fd401f,0xa8007ff9,0x7ecc06ff,0x2ffe801b,0x9805ffd0,0xffffffff,
    0xfa84ffff,0xeeeeeeff,0xeeeeeeee,0x3fee005e,0xfffb8005,0xf9cfffff,
    0xddfff33f,0xdddddddd,0xff8bdddd,0xffd0001f,0x003fff09,0xfa93ffa0,
    0x3fe6004f,0x2ffe85ff,0xeeefff98,0xeeeeeeee,0x7ffc5eee,0x9ffd0001,
    0xa817ff40,0x2e0006ff,0x3ffe67ff,0xffffffff,0x06ffffff,0x00000000,
    0x00000000,0x8000fffc,0x6c404ffe,0xffffffff,0x001effff,0x801bfffa,
    0x6c05fffe,0x7fd401ff,0x000fff34,0xf700dff5,0x0bffa003,0x44017ff4,
    0xffffffeb,0xfff501cf,0xffffffff,0xffffffff,0x02ffdc00,0xffffe980,
    0x267ff33e,0xffffffff,0xffffffff,0x01bfea6f,0x547ffb80,0x2e0006ff,
    0x13fea7ff,0x0bfff900,0xff305ffd,0xffffffff,0xdfffffff,0x00037fd4,
    0x7f40fff7,0x09ffb02f,0x9fffc400,0xfffffff9,0xffffffff,0x000006ff,
    0x00000000,0x3fea0000,0x3fee0006,0xffd71007,0x059dffff,0x09fff900,
    0x01fffdc0,0xf5007ff6,0x01ffe69f,0x201bfea0,0xffd001fb,0x00bffa05,
    0x03355310,0xffffff50,0xffffffff,0x400fffff,0x80005ffb,0xff9800a9,
    0xffffffff,0x6fffffff,0x80013ff6,0x3f63fff8,0x3e20004f,0x09ff53ff,
    0xd0bffd00,0xfff305ff,0xffffffff,0x4dffffff,0x20004ffd,0x0003fff8,
    0x00000000,0x00000000,0x00000000,0x7fec0000,0x3fe20004,0x54c4003f,
    0xf980001a,0x3e6001ff,0x7fec01ff,0x9a7fd401,0xfa8007ff,0x00ca806f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x35550000,0x00000000,
    0x01000000,0x000aaa20,0xaa98aaa2,0x44155501,0x2a6002aa,0xba80000a,
    0x000accdc,0x23553000,0x731002aa,0x700579b9,0x35530399,0x2200aaa8,
    0x0d54c2aa,0x4c000000,0x540000aa,0x2aaa01aa,0x15550000,0x00aaaa00,
    0xd503dd30,0x0000000b,0x002aa600,0x006a2055,0x00d4c0aa,0x8006aa20,
    0x15542aa8,0xcb800000,0x0003cefe,0x0007ffea,0x566e6544,0x4405f101,
    0x322cefda,0x6ff5402c,0x037fd401,0xf737fd40,0x97fee09f,0xea803ffd,
    0x00dfffff,0x7ffff540,0x001cffff,0x45ffdc00,0x7f4407ff,0xffffffff,
    0x20bffa03,0xff70fff9,0x27ffd00b,0x6c00fff8,0xffffffff,0x3ee02fff,
    0x004effff,0x00ffffc8,0x20005ffd,0xf9801fff,0x7d4002ff,0x406fd80f,
    0xceffedb9,0xf7000002,0x81ff807f,0x1ff802fe,0xf9002fe8,0x007fffff,
    0x7fc4dff3,0x65499707,0x2602cefe,0xfffffffe,0xffe8000e,0xffda8002,
    0x2fffffff,0x7e41bfa2,0x8cffffff,0x2be204ff,0x7fd405c8,0x6ffa8006,
    0xfd813fee,0x804ffabf,0xfffffffb,0xfe8800ef,0xffffffff,0x00003fff,
    0x3fe2ffee,0x3fffee07,0xffffffff,0x02ffe81f,0xdff1bff7,0x1fff1001,
    0xff005ffb,0xffffffff,0xffd105ff,0x1dffffff,0x3f7fea00,0x2ffe80ef,
    0x03fff000,0x0009ffb0,0x13fa0df9,0xffffffc8,0x0000dfff,0xfb555551,
    0x3f2055bf,0x0ffc98ae,0x98aefc80,0x74400ffc,0xffffffff,0x9bfe600e,
    0xffb07ff8,0x3ffffff2,0xefffa85f,0x1fffecbc,0x013fea00,0x3fffff20,
    0xefffffff,0xfb80efea,0xffdcbdff,0x16e04ffe,0x37fd401f,0x737fd400,
    0x7f4409ff,0xfa806fff,0xfda89bff,0x3fa200ef,0xa989beff,0x004fffeb,
    0xd17ff700,0xfffb10ff,0x3b2a157d,0x7641ffff,0x3fff601f,0x3ea000ff,
    0x8803ffff,0xeeeeefff,0xfd82eeee,0xfeb89cff,0x7fc400ef,0xe85ffa8f,
    0xff0002ff,0x6ff8803f,0x109fd000,0x3ffa05ff,0xffecbcef,0xff30005f,
    0xffffffff,0x3fffa20d,0xd1002fff,0x05ffffff,0x8bdfff88,0x205fffd9,
    0x3fe26ff9,0xff9ffb07,0x9ffffbbf,0xc81fffc4,0x3fa006ff,0x7ff44006,
    0xb530abef,0x01ffffff,0xf505fff3,0x35409fff,0x7fd401f1,0x6ffa8006,
    0xf3013e62,0xff001fff,0x13ff605f,0x802fffd8,0x0003fffc,0x1763ffb8,
    0x2013fff2,0x541ffff9,0x3ffa200f,0xffc8002f,0x9ff5005f,0x3ffee000,
    0x807ffd00,0x3ff62ffe,0x0017ff43,0x6401fff8,0xff0000ff,0x503ff307,
    0x3ee01dff,0xe98001ff,0xeffeeeee,0x6f64c05e,0xec98000a,0xffc800ad,
    0x03fff105,0xfffb0000,0xfffc817d,0xc809ff90,0x133003ff,0x4fffd800,
    0x3fffea80,0x5405fff0,0x6fc04fff,0x7fd404eb,0x6ffa8006,0x4c401fcc,
    0x5ffb8009,0xf883ffc0,0x3ea003ff,0x5c0001ff,0xf313e3ff,0x7cc005ff,
    0x403646ff,0x20000998,0x3ee00199,0xffd0002f,0x02ffdc09,0x99883331,
    0x0017ff41,0x4401fff8,0xff300009,0x3a0ff703,0x7ffc02ff,0x3ee00002,
    0x0000003f,0xfff88000,0x013ff200,0x3fff6000,0x22bffa01,0xffa807ff,
    0x81980007,0x2002fffb,0xf986fffc,0x4ffe806f,0x4016dc40,0xa8006ffa,
    0x00fd46ff,0x17ff4000,0x320bff20,0xfd8006ff,0x7dc0005f,0xfd83fb3f,
    0xffa8005f,0x0007f53f,0xd8000000,0xf88000ff,0x7ffc00ff,0x7f400000,
    0xfff0002f,0xa8000003,0x05fd80ff,0xff900b97,0x7dc00007,0x0000003f,
    0x2ffc8000,0x001ef4c0,0x027fec00,0x3feafff2,0x01fff005,0x37bfb6e2,
    0xff83ff12,0x3fee004f,0x7fd42fff,0x04ffb803,0x37fd4000,0x337fd400,
    0x76dcc09f,0x3e02ceff,0x7fd400ff,0x003fdb85,0x200fff98,0x71cefda8,
    0xf50767ff,0x2e0003ff,0x804fbeff,0x02defeb9,0x33bfb2e0,0x007fe803,
    0x7fc00cc0,0xefeb9807,0x05ffd02d,0x807ffe00,0x02defeb9,0xffd99995,
    0xdff99999,0x32000399,0x2a2003ff,0xff71cefd,0xfedb9807,0x2e002cef,
    0x403cefec,0x200006ff,0xceffedb9,0x807ffb02,0xeffbbffb,0xcccccccc,
    0xfa81ffec,0xffffffff,0x7ffd45fe,0x97ff5000,0x2ffc8dff,0x304ffa80,
    0x59dffdb7,0x001bfea0,0x3f2bbfea,0x3ffff204,0x40dfffff,0xf8806ff9,
    0xd000007f,0x3ff207ff,0xfbbfffff,0x17ff203f,0xffff9800,0x7fffdc02,
    0x200effff,0xffffffe9,0xbff100ef,0xf3000000,0x7ffdc0bf,0x40efffff,
    0xf0002ffe,0xfff703ff,0x81dfffff,0xfffffffc,0xffffffff,0xba9803ff,
    0x003ffffd,0xfffffff9,0x6407ff77,0xffffffff,0x3fa600df,0x0effffff,
    0x0004ff88,0xffffff90,0xfd81bfff,0x67fd402f,0xfffffffc,0xffffffff,
    0x677ffe42,0x86ffffeb,0xf3004ffd,0x87ffe69f,0xf9801ffd,0xffffc84f,
    0x40dfffff,0xa8006ffa,0x202cefff,0xcbcefffe,0x7d45fffe,0x1fff005f,
    0xffb00000,0x7bfff50b,0x7ffdffd9,0x001fff40,0x900fffe0,0xfb79dfff,
    0xff501dff,0xffd979df,0x39ff303f,0x039dffdb,0x2fff8800,0x79dfff90,
    0x741dfffb,0xff0002ff,0xefffc83f,0x0efffdbc,0x3ffbbbae,0xffeeeeee,
    0xed982eee,0xffffffff,0xfffa803f,0xfeffecbd,0xdfffd03f,0xbfffd979,
    0x33bffea0,0x41fffecb,0x32a23ff9,0xffe802bd,0xffecbcef,0x00ffec5f,
    0x3ff73fea,0xffffffff,0x263fffff,0xfd983fff,0x17ffc0ff,0x3a2ffc40,
    0x07ffa2ff,0xfd13fe60,0xfd979dff,0x6ffa8bff,0x06ffa800,0x700effa8,
    0x7fdc3fff,0x01fff005,0xdff70000,0xb82fff98,0x3e03ffff,0x740002ff,
    0x3fe604ff,0x4ffe883f,0xc81fffc4,0xeffb86ff,0xffffffff,0x3ae62003,
    0xff303fff,0x9ffd107f,0x80017ff4,0x3fe61fff,0x4ffe883f,0x2e07fe60,
    0x7ffec07f,0xfcbdffff,0x7ffcc03f,0x3ffffb81,0x700effa8,0xff883fff,
    0x8dff903f,0xfff92ffa,0x2a01dfff,0xff700eff,0x00ffec3f,0x3ff33fea,
    0x7ff40003,0xbffff103,0x200fffc4,0xffd86fe8,0x200bff63,0x3fea4ffa,
    0x3fff700e,0x40037fd4,0xfe806ffa,0x17ffc02f,0x3a009ff7,0xffff51ff,
    0xffffffff,0xffffffff,0x02ffe8ff,0x440fffee,0x40001fff,0x3f605ffc,
    0x1ffea04f,0xfc809ff9,0x7fffe43f,0xffffdcdf,0xffff5004,0x27fec03f,
    0x7f4fff50,0xfff0002f,0x5027fec3,0x3fdc0fff,0x3f605fd8,0x5c09bdff,
    0x7ff403ff,0x0fffee02,0xff00bffa,0x04ffc85f,0xff71ffe4,0xffdfffb5,
    0xffd03fff,0x22fff805,0x7d401ffd,0x004ffbcf,0xe81ffe60,0xf30fffcf,
    0x7f4401ff,0x24ffc80e,0xfb803ffc,0x00bffa4f,0x7fd45fff,0x6ffa8006,
    0xc805cb80,0x0ffee3ff,0xfa8fff40,0xffffffff,0xffffffff,0x3e27ffff,
    0x3fff806f,0x001fff30,0x206ffb80,0x76c00fff,0x00fff10d,0xffe8fff5,
    0xfffd881f,0xffffb801,0x1fff03ef,0xfd0ded80,0x3fe0005f,0x003ffe1f,
    0x3f201bdb,0x2a09ff06,0x7ec01fff,0x1bfe203f,0x2e0fffe0,0x3ffc805c,
    0x2a01ffe2,0x3bff27ff,0x7ff542ff,0xc805cb86,0x07ff63ff,0xff39ff50,
    0x42b2e00d,0xdf904ffb,0x7fd47ff6,0x807fec07,0x3fea6ffb,0x24ffe806,
    0xffc805cb,0x001bfea3,0x0001bfea,0x7dc7ff90,0x3ffd003f,0x3bbbffe6,
    0xeeeeeeee,0x7ffeeeee,0x3200ffea,0xfff503ff,0xdff70000,0x0017fe20,
    0xf802ffd4,0x077720ff,0x300dffb0,0xbfff9533,0x0005ff88,0x20005ffd,
    0xbff11fff,0x13fa0000,0x7dc0bfe2,0x3ffe804f,0x200ffea0,0x40003ffc,
    0x3fea3ffc,0x21fff005,0x100ffffc,0x40007ffd,0x3ff63ffc,0xfa7fd401,
    0x7fdc02ff,0x505ff90f,0x4ffee1ff,0x3f207ffa,0x17fee01f,0x7cc05ffd,
    0xf90004ff,0x037fd47f,0x0037fd40,0xfffb7530,0x027fdc7f,0xff11ffe8,
    0x7d40001f,0x00ffee6f,0x7cc0ffee,0x640000ff,0x9ff505ff,0x3bfee000,
    0xcccccccc,0x0001ffec,0x0001fff1,0x7d47fff3,0xffd0004f,0x3ffe0005,
    0x0009ff51,0x3ea0ffe0,0x07ffb00f,0x204fff98,0xfb802ffb,0x2ea6003f,
    0x2e3ffffd,0xccccceff,0x1ffecccc,0xa805fff9,0x753007ff,0x6c7ffffb,
    0x7fd401ff,0x203fff54,0x3f64fff8,0x70ffcc1f,0x1ffe69ff,0x36017fe4,
    0x7ffd45ff,0x4ffffa82,0xffdba980,0x1ffe63ff,0x017fee00,0xffffed98,
    0x2a3fffff,0xfff004ff,0x000fffc1,0x7e4bff90,0x3ffa802f,0x005fff10,
    0x704ffd80,0x320007ff,0xffffffff,0x2fffffff,0x0bffa000,0x73ffdc00,
    0x3a0007ff,0xff0002ff,0x00ffee3f,0x7fd4cc40,0xffc9999a,0xff909999,
    0x7fffcc0f,0x00bff604,0xd980ffea,0xfffffffe,0x3fff23ff,0xffffffff,
    0xff72ffff,0x03ffe00f,0x3ffffb66,0x363fffff,0x7fd401ff,0x273fffa4,
    0x0efffca8,0xfe887ffa,0xf8a7fdc3,0x17fdc0ff,0x6c27ff40,0xfeccefff,
    0xd984ffff,0xfffffffe,0x1ffe63ff,0x017ff200,0x7fffffec,0x23ffcbdf,
    0xff005ff9,0x01fff41f,0x6c9ffb00,0xff9801ff,0x00fffa03,0x207ffd00,
    0xb0003ffc,0xffffffff,0x7fffffff,0x1ffec000,0x21fff000,0xd0003ffc,
    0x3e0005ff,0x07ff91ff,0x3ffff200,0xffffffff,0xf33fffff,0x75115bff,
    0x409fffff,0xf9801ffd,0xffffb03f,0xff97bfff,0x7ffffec7,0xffffffff,
    0x0dff53ff,0xfb07ffa0,0x7bffffff,0x7fec7ff9,0x127fd401,0xfffffffb,
    0xffd81fff,0x3f217f63,0xa8bffe3f,0xfff003ff,0x3fffee05,0x4ffacfff,
    0x7fffffec,0x23ffcbdf,0x4000fff8,0xfd804ffc,0x5c09bdff,0x17fe23ff,
    0xfb1ffe20,0x7fc0009f,0x00bff23f,0xfc80ffea,0x3e60005f,0x7ff700ff,
    0x0fff2000,0xfb000000,0x7f40007f,0x007ff72f,0x220bffa0,0xb8fffc00,
    0xf90003ff,0xffffffff,0xffffffff,0x7ffffe47,0xff8cffff,0x00bff206,
    0x3f60ffea,0x5c09bdff,0x0fff23ff,0x06ff9800,0x7ec3ffb0,0x5c09bdff,
    0x07ff63ff,0xd509ff50,0x07ffffff,0x77dd7fee,0x321ffd80,0x09ff35ff,
    0x803ffea0,0x51cefdb9,0x7ffec7ff,0x7fdc09bd,0x000fffc3,0xf500fffa,
    0xffd803ff,0x5403ffc3,0x7ffcc5ff,0xfffb8001,0x200ffea0,0x3e603ffb,
    0xfd0002ff,0x27fd40bf,0xfb84d440,0x2e60004f,0x3ffd002c,0x7400f726,
    0x09ff51ff,0x3fa13510,0x81bfe22f,0xff50fff8,0x21351009,0xaadffaa9,
    0xaacffbaa,0x7ff541aa,0x3f61dfff,0x07ff501f,0xfa87ff70,0x7fec01ff,
    0x0013fee3,0xd007ff98,0x0fffd4ff,0xfd8fff60,0x27fd401f,0x5003bea0,
    0x03ff3dff,0xff883ffa,0x2005ffaf,0x40005ffe,0xfff53ffb,0x43ffd803,
    0x26004ffd,0x7dc01fff,0x3ffe804f,0x32017fec,0x5ffd83ff,0x1fffc400,
    0x36017fe2,0x7fec03ff,0xfffa8006,0x01bfe602,0x7fccffee,0x21597006,
    0xf8806ffa,0x0dff50ff,0x7ccfff10,0x3ffb806f,0x7ff85ffd,0x4c3ffe20,
    0xffb806ff,0x5417fc43,0x262000ff,0x403fb01a,0xfd805ff8,0x027fdc3f,
    0xff31fff4,0x82b2e00d,0xff801ffe,0x2013fee6,0x19803ffe,0x013ea000,
    0x0fffffe2,0x7e437fdc,0x2e006fff,0x4d441fff,0x72ffc800,0xffd009ff,
    0x03fffb87,0xb00fffb0,0xff9807ff,0x02ffcc4f,0x3e603ffe,0xfb1003ff,
    0x3fff01ff,0x01fffcc0,0x0037ffe2,0x402fffd4,0x7f402ffe,0x00bffe1f,
    0x3e21fff7,0x7fe401ff,0x200fffc5,0x7ff46ffc,0xe8fff402,0x17ff42ff,
    0x7f46ffa8,0x0fff402f,0x3f207fe6,0x7f800007,0x201fff80,0x7ec3fff9,
    0x7ffcc03f,0x2017ffc4,0x3ea0fffb,0x27fdc05f,0xf9807ffb,0x7fcc04ff,
    0x3fb8004f,0x0bfff900,0x2207ffe6,0x5000ffff,0xff109fff,0x0fff980d,
    0xf9807ffb,0xfffe84ff,0xfffb100a,0x0fff9005,0x427fffcc,0xffb02ffe,
    0x6fffec09,0x3fffa600,0x01dff503,0x007fffb1,0x805ffff5,0x800ffffc,
    0xf700effa,0x1fffa8df,0xd89fff10,0xff500eff,0x0effc81f,0xa83fff50,
    0xff700eff,0x3217ff4d,0x7fc41eff,0x077fd44f,0xfb86ffb8,0x000bfb07,
    0x400ff880,0xd880effb,0x7fe43fff,0x3fffe607,0x80fffd44,0xfe84fff8,
    0x3fff304f,0xf303ffe4,0xc8809fff,0x64003ffe,0xfff1006f,0xff9315bf,
    0x7fff409f,0x3ff6201e,0x0fffe06f,0xf92fff44,0x7ffcc0ff,0xffffa84f,
    0xffedccef,0xff3005ff,0xf75115bf,0xf509ffff,0xfb5139ff,0xffc801ff,
    0xecaacdff,0x6403ffff,0xea88bfff,0x5003ffff,0x57bdffff,0x1dffffb9,
    0x5fffec00,0x0fffeb89,0x89cfffe8,0x40efffca,0x8adfffe8,0x883fffc9,
    0x989cfffe,0xfb04fffc,0xfd7137ff,0x17ff41ff,0x2fbfffe2,0xd80efffd,
    0xeb89bfff,0x6fc80fff,0x00007ff0,0xc8087ff0,0xea88bfff,0x7cc3ffff,
    0xba88adff,0xe84fffff,0xca89cfff,0xfa80efff,0xfb98adff,0x7ffcc2ff,
    0xffba88ad,0x3a004fff,0x7fcc007f,0xfa83ca9d,0xffffffff,0x3ff605ff,
    0xabceffff,0x0effffdc,0x33bffee0,0x45fffdba,0x88adfff9,0x4fffffba,
    0xffffff50,0x09ffffff,0xfffffc80,0xff8cffff,0xfffff506,0x2003ffff,
    0xfffffffb,0x001effff,0xfffffffb,0x4007ff5d,0xffffffe9,0x005fffff,
    0xfffffd88,0xb102ffff,0xffffffff,0x3fa601ff,0xffffffff,0x3fffa602,
    0x04ffffff,0x3fffff62,0x7f42ffff,0xffffb82f,0x100fffff,0xfffffffb,
    0x13fa05ff,0x0000bfe2,0x3b3bff20,0xfffffb07,0x07ff5dff,0xfffffff9,
    0x0dff19ff,0xffffffb1,0x5401ffff,0xffffffff,0xffff903f,0xf19fffff,
    0x5cc440df,0xfe8005ff,0x7c44ffff,0xffffeaaf,0x3ff201ef,0xfffffe99,
    0x04ffffff,0xffffff90,0x3f20bfff,0xffffffff,0x2206ff8c,0xffffffeb,
    0xd50001cf,0x43bfffff,0xfd301ffd,0x0019ffff,0xffffec98,0x4000cdff,
    0x8dffffdb,0xa8003ff9,0xfffffffd,0x7540001c,0x00dfffff,0xfffffea8,
    0xfff7003f,0x2003bfff,0xeffffffb,0xfffd5001,0xffd01bff,0x3fffa605,
    0xea801dff,0x00dfffff,0xff505ff1,0xf3000001,0x5c0dffff,0xa8dffffd,
    0xffd503ff,0x7ec3bfff,0xfffd501f,0x22007fff,0x2dfffffd,0x7ffff540,
    0x07ff61df,0x0ffffffc,0x77f5c400,0x22274c0b,0xffa801a9,0x7ffff542,
    0x4000cfff,0xbdfffec9,0x7fff5401,0x3ff61dff,0x9aa98801,0x26200001,
    0x5300001a,0x22000013,0x2000009a,0x2000001a,0x00009aa9,0x00035300,
    0x80004d4c,0x20000a98,0x40001aa8,0x200001a9,0x20000a98,0xaa8801a9,
    0x0002a980,0x00de5400,0x44000350,0x300001a9,0x44000135,0xa988001a,
    0x3ffa0001,0x000001de,0x77000008,0x009a9880,0x40002000,0x00001a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x0002bddc,
    0x01aaa880,0x542aa880,0x5553002a,0x55544000,0x02aaa800,0x026aa200,
    0x00154400,0x2aa15544,0x00000002,0x00005553,0x20035551,0x7000aaa9,
    0xcca80199,0x05553001,0x83553002,0x00000aaa,0x5506aa60,0x03cc9815,
    0x51059930,0x002aa855,0x0001554c,0x800d5544,0x0000aaa9,0x2a200000,
    0x001acdcc,0x79b97500,0x88000015,0x200001aa,0xfffffffb,0x3200002e,
    0xa8000eff,0x1ffe25ff,0x13fffe20,0x037fec00,0x002fffa8,0x7fffffd4,
    0xfff7001e,0x30017bff,0x07ff8dff,0x5439fb50,0xfff1005f,0xfb8000bf,
    0xfd1000ff,0x3ffa009f,0x01ffdc00,0x2e5ffd88,0x7ffc405f,0x300dff51,
    0x079dffd9,0xf51fff88,0x03ffe0df,0x2607ff60,0x1ffe26ff,0x5ffff880,
    0x7ffdc000,0x9fff1000,0x7f5cc000,0x6d4002de,0xffffffff,0xfc88002e,
    0xffffffff,0x4388001c,0x27975ffa,0x200bdfd8,0xfeeffffc,0x80002fff,
    0x0001fff8,0x7fc4bff5,0xfdffe807,0x7fcc002f,0x3fee000f,0x3fff6005,
    0x03ffffff,0x3fffffa2,0x4c01ffff,0x03ffc6ff,0x7fffffd4,0xfb002ffd,
    0x0007ffbf,0x20017ffc,0xe800fff9,0x7fdc00ff,0x77fe4003,0xfa804fff,
    0x00fff8ef,0x7fffffec,0x3ea00eff,0x00fff8ef,0xf8807ff9,0x4dff306f,
    0x36007ff8,0x003ffdff,0x0007ffe0,0x8001fff3,0xfffffffb,0xffd800ef,
    0xffffffff,0x3ee005ff,0xebacefff,0x2004ffff,0xaffd45fb,0xffffd6fd,
    0x33ffea09,0x07fff661,0x07ff7000,0x12ffd400,0xffc80fff,0x4003ffd4,
    0xd8002ffd,0xffb801ff,0xffeb8adf,0x7fffd01f,0x3fff9313,0x3e37fcc0,
    0x9cfd807f,0x00fffffc,0xffd4ffc8,0x7ff70003,0x13fea000,0x7003ffa0,
    0xe88007ff,0x2000cfff,0x01fffffc,0x5e77ffe4,0x200ffffd,0x01fffffc,
    0xf501bfe6,0x9bfe607f,0xf9007ff8,0x007ffa9f,0x000ffee0,0x90027fd4,
    0xfb79dfff,0x3a201dff,0x261aefff,0x404fffea,0x00adffd8,0x01dff951,
    0x74c5ff98,0xffbdfb5f,0x3fe03fff,0x17ffa04f,0x04ff8800,0x54000000,
    0x3ffe66ff,0x03ff8800,0x1017fa00,0x3f205fff,0x1fffb86f,0x000bff50,
    0x981db000,0xfff5002c,0x003ffe61,0x8000bfd0,0x7f400ffc,0x1ffdc00f,
    0xffffc980,0xffd8005f,0x7ffc403f,0x03ffe880,0x401ffff4,0x3f601ffe,
    0x4000000f,0xff30effa,0x5fe8001f,0x07fe4000,0x41fffcc0,0xfb04ffe8,
    0xff9005ff,0x17fec07f,0x01bfa600,0x4fe0bff3,0xa8aefffd,0x01fff303,
    0x0003ffd4,0x00000066,0x10266200,0x33100133,0x01988000,0xf3037fd4,
    0x3fff81ff,0x0017fec0,0x80000000,0x4cc40998,0x000cc000,0x74009980,
    0x7fdc00ff,0x3eff9803,0x88005ff9,0xffa80199,0x01bfea04,0x2e003331,
    0xdff104ff,0x31000000,0x00998813,0x80000cc0,0xffd80099,0x21ffea04,
    0x2001fffb,0xff707ffc,0xfd100c01,0x42ffcc0b,0x3fffb2f9,0x017fea00,
    0x000033ba,0x00000000,0x00000000,0x7ff90000,0x262ffe80,0xff9806ff,
    0x00000004,0x00000000,0x80000000,0x7dc00ffe,0xb05b003f,0x000001ff,
    0x2602ffd4,0xf1000000,0x0bfee0ff,0x00000000,0x00000000,0x003ffe00,
    0xfff81bdb,0x7ffc4003,0x5c17fcc2,0x40bdfffd,0xff302ff8,0xfb0ee88b,
    0x7fdc00bf,0xb9500005,0x98359dfd,0x01deffdc,0xca801997,0x8019971c,
    0x19971cca,0x971cca80,0x1cca8019,0xfd017fee,0x02ffd43f,0x71037fc4,
    0x0079dfdb,0x677f6dc4,0x3b6e2003,0x22003cef,0x03cefedb,0x3bfb6e20,
    0x03ffa03c,0x4007ff70,0xff9acca9,0xfedb8804,0x3fe203ce,0x930001df,
    0x0079dffd,0xffd05ffb,0xdfd97001,0xecb80079,0x5c003cef,0x003cefec,
    0x1e77f65c,0x000bff10,0x0007ffd4,0x3f20e764,0xeceffc84,0x46fb86ff,
    0xcceffdc9,0x3ff60d8b,0x1bfee003,0xfffb1000,0x27ffffff,0xfffffffb,
    0x00ffe84f,0xffe9ffdc,0xe9ffdc00,0x7fdc00ff,0xb801ffd3,0x3ffe23ff,
    0xb8fff300,0xfff003ff,0xfffff701,0xb803dfff,0xffffffff,0x7ffdc01e,
    0x01efffff,0x7fffffdc,0x7dc01eff,0xefffffff,0x400ffe81,0xe8803ffb,
    0xffffffff,0x3ffee01f,0x01efffff,0x7bfffff9,0xffffb001,0x401dffff,
    0x7fcc4ffa,0x7fff4c05,0x400effff,0xffffffe9,0x7f4c00ef,0x0effffff,
    0x7ffff4c0,0xfa80efff,0x3f60004f,0x4400005f,0x0f7e40ff,0x3fe13fa2,
    0x3ffffea1,0x5ffb05ff,0x03ffcc00,0xbfffd100,0xdfffd979,0xfb77bfff,
    0x0ffe85ff,0xfe9ffdc0,0x9ffdc00f,0x7dc00ffe,0x801ffd3f,0x7ff43ffb,
    0x27fec40c,0x7c013fee,0x7ffdc1ff,0xfffecbce,0x9dfff702,0x05fffd97,
    0x2f3bffee,0x702fffec,0xd979dfff,0x3ee05fff,0xfecbceff,0x07ff42ff,
    0x500ffee0,0xffbdffff,0x3ee0dfff,0xfecbceff,0xfff902ff,0x207dffff,
    0xdbcefffc,0x3e00ffff,0x017fe47f,0x979dfff5,0x2a03fffd,0xecbcefff,
    0xff501fff,0xffd979df,0x3ffea03f,0xfffecbce,0x001ffdc1,0x0007fff0,
    0x7cc5fb80,0x81df101f,0x3f7264fc,0xfb03ccef,0xfff8003f,0xbff70001,
    0x77fffe40,0x20ffe880,0x7dc00ffe,0x801ffd3f,0x1ffd3ffb,0xfd3ffb80,
    0x3ffb801f,0x5efffec4,0xf984fffd,0xfff8805f,0x40fffe61,0x7cc0fffd,
    0xfffb03ff,0x03fff981,0xf981fffb,0xfffb03ff,0x03fff981,0x7f41fffb,
    0x1ffe400f,0x30bfff10,0xf985fffd,0xfffb03ff,0x3fff2601,0x220effff,
    0xfe880fff,0x8bff203f,0x3fe207ff,0x0dff903f,0x3207fff1,0xfff886ff,
    0x10dff903,0x3f207fff,0x01ffe46f,0x02fff880,0x217e4000,0xf30005fb,
    0x00bff30d,0x51003ffb,0x555bffd5,0x0fff0055,0x00ffff88,0xffe9bfe2,
    0xe9ffdc00,0x7fdc00ff,0xb801ffd3,0x01ffd3ff,0xf703ffb8,0x05ffffff,
    0x9003ffe2,0x7ff45fff,0x227fec03,0x7ec03ffe,0x01fff44f,0xffd13ff6,
    0x44ffd807,0x7ec03ffe,0x007ff64f,0x7e407ffb,0x3ffe204f,0x201fff43,
    0xb9804ffd,0x2a7ffffd,0x3fea04ff,0x4d7fe606,0x3ff204ff,0x21ffe404,
    0x7e404ffc,0x027fe43f,0xff90fff2,0x23ffc809,0x10003ffb,0x00003fff,
    0x1fe41fd8,0x987f8800,0xffd805ff,0xffff9801,0x06ffffff,0x7c01ee44,
    0xffc803ff,0xb801ffd1,0x01ffd3ff,0xffd3ffb8,0xd3ffb801,0xffb801ff,
    0xfffffc83,0xfb02efff,0x7ffcc0bf,0x00dff32f,0x3e61fff1,0xfff8806f,
    0x100dff30,0x3fe61fff,0x0fff8806,0xf100dff3,0x0bff61ff,0x2207ffd0,
    0x7d400fff,0x01bfe65f,0x0003ffe2,0x3ea5fff7,0x4004c05f,0x03ff97fe,
    0x2a01ffe2,0x1ffe27ff,0xf89ffea0,0x7ffa807f,0x2a01ffe2,0x13fea7ff,
    0x7cc26a20,0xe800007f,0x0017f40f,0xbff30ff0,0x003ffb00,0xfffffff3,
    0x0000dfff,0xa801ffe8,0x01ffd2ff,0xffd3ffb8,0xd3ffb801,0xffb801ff,
    0xb801ffd3,0x3ffa23ff,0xffc989bf,0xefff884f,0x3fbfee21,0x007ff72f,
    0x7fdc7ff6,0x23ffb003,0xfb003ffb,0x00ffee3f,0xffb8ffec,0x23ffb003,
    0x3e603ffb,0x9ff503ff,0xfb9ffe00,0x3ffb003f,0xfb0032ea,0x37ffe29f,
    0x7fdc0001,0x3ea06fea,0x1fff005f,0x7c017fea,0x0bff50ff,0x7d43ffe0,
    0x1fff005f,0x2e01bfe6,0x1fff13ff,0x2fe80000,0x880017f4,0x05ff987f,
    0x8001ffd8,0x00001fff,0x3fffb2a6,0xcccccccf,0xfd4ffdcc,0x3ffb801f,
    0xfb801ffd,0x801ffd3f,0x1ffd3ffb,0x323ffb80,0xff300eff,0xffff705f,
    0xf95fffff,0x00bff23f,0xffc97fe4,0x25ff9002,0xf9002ffc,0x00bff25f,
    0xffc97fe4,0x25ff9002,0xf880fffa,0xff703fff,0x43ff6007,0xf9002ffc,
    0x013ff65f,0x7fe47ff9,0x000bdfff,0x1fff7fc4,0x999dff70,0xfd999999,
    0x33bfee3f,0xcccccccc,0xdff71ffe,0x99999999,0x3ee3ffd9,0xccccccef,
    0x21ffeccc,0x7f402ffe,0x00bffe1f,0xd89fb000,0xfa80403f,0x805ff986,
    0xe8001ffd,0x260002ff,0xffffffec,0xffffffff,0x5fffffff,0xfb801ffd,
    0x801ffd3f,0x1ffd3ffb,0xfd3ffb80,0x3ffb801f,0xa801fff1,0xffd304ff,
    0x3f65ffff,0x003ffb1f,0x7fed3fee,0x29ff7001,0xf7001ffd,0x007ff69f,
    0xffda7fdc,0x29ff7001,0xa9cefff8,0x03ffeffd,0x32005ff9,0x03ffb2ff,
    0x7d53fee0,0xfff100ff,0xfffffc81,0x36003eff,0x3200ffff,0xffffffff,
    0x2fffffff,0xfffffff9,0xffffffff,0x3fffff25,0xffffffff,0xffff92ff,
    0xffffffff,0x7fd45fff,0x8dff700e,0x00003ffd,0x17ee37e4,0x5fd85fd0,
    0xd805ff98,0xfe8001ff,0xff90000f,0xd59dffff,0xffffffff,0x2dffffff,
    0x7dc00ffe,0x801ffd3f,0x1ffd3ffb,0xfd3ffb80,0x3ffb801f,0x3e00bff5,
    0x5edd407f,0xfe87ff41,0x9ff7001f,0x5c007ffa,0x03ffd4ff,0x7f53fee0,
    0x9ff7001f,0x5c007ffa,0x3ffe64ff,0xf9cfffff,0x03ffb03f,0x7f4fff20,
    0x9ff7001f,0x456ffff4,0x306ffeca,0xfffffff9,0xfff5001d,0xffffd80b,
    0xffffffff,0xfffb3fff,0xffffffff,0x3f67ffff,0xffffffff,0xb3ffffff,
    0xffffffff,0x7fffffff,0x89bfffd8,0x640fffeb,0x2a0004ff,0xf107fcc0,
    0x07fee05f,0xbff307ff,0x003ffb00,0x0007ff88,0x037dfffb,0x20001ffd,
    0x7e400ffe,0x801ffd3f,0x1ffd3ffc,0xfd3ffc80,0x3ffc801f,0x36007ff9,
    0x3e0001ff,0x00bff67f,0xffd9ffe4,0x27ff9002,0xf9002ffd,0x00bff67f,
    0xffd9ffe4,0x87ff9002,0x3effffd9,0x3f207ff3,0x5ffb002f,0x6400bff6,
    0x3ffe23ff,0x5fffffff,0xfffb7300,0x3ffe00ff,0x01ffe402,0x007ff900,
    0x001ffe40,0x0007ff90,0xfffffb10,0xf505ffff,0x3ea000df,0x70bfa0ef,
    0x3f2a37ff,0x407fcc4f,0xfd805ff9,0x7fd4001f,0xfff98004,0x00fff401,
    0x400ffe80,0x1ffd3ffd,0xfd3ffd80,0x3ffd801f,0xfd801ffd,0x009ff73f,
    0x4000bff6,0x3fee5ff9,0x27ffb003,0xfb003ffb,0x00ffee7f,0xffb9ffec,
    0x27ffb003,0xfb003ffb,0x2054c07f,0x3fee05f9,0x23ffd003,0xfb003ffb,
    0xfffb887f,0x0003efff,0x200bffee,0xffb806fe,0x3fee0004,0x3fee0004,
    0x3fee0004,0x3aa00004,0x00dfffff,0x0001fff1,0x6fb8bffb,0xffffffb8,
    0x304fd84f,0xffb00bff,0x0ffc8003,0x04ffc800,0xb802fff8,0x03ffb1cd,
    0xffb3ffe8,0xb3ffe803,0xffe803ff,0xe803ffb3,0x0dff53ff,0xed83ffa0,
    0x23ffc805,0xff005ffa,0x017fea3f,0xffa8fffc,0x23fff005,0xff005ffa,
    0x017fea3f,0x4000fffc,0x3fea03fb,0x0fff8805,0x3e00bff5,0x3fea01ff,
    0x0065d401,0xf5013ff6,0xdff3007f,0x4c2b2e00,0x597006ff,0x401bfe61,
    0xdff30acb,0x002b2e00,0x3a003bf9,0x7cc005ff,0x84fe82ff,0x81cefdc8,
    0xff300ffb,0x004c400b,0x0002ffa8,0xfc807ffd,0x7fc405ff,0x407ffb2f,
    0xffb3fff9,0x9fffcc07,0x3e603ffd,0x07ffb3ff,0xf89fffcc,0x7fcc00ff,
    0x1017ff47,0x7fc41fff,0x37fdc01f,0xb803fff1,0x3ffe26ff,0x137fdc01,
    0xfb803fff,0x07ffe26f,0x000dff70,0xff880bf2,0x2ffe401f,0xb803fff1,
    0x7fe406ff,0x13ff601c,0xd807ff90,0xfff000ff,0x0fffb805,0xf700bffe,
    0x17ffc1ff,0xf83ffee0,0x7fdc02ff,0x5f7fc00f,0x4fff9800,0x0dfff100,
    0x40013fe6,0x3e602ffb,0x3ffa005f,0x37fea01e,0x8601aaba,0x3ee06ffc,
    0x3605ffff,0x3ffee6ff,0x3ffff880,0xf101fff7,0x3fee7fff,0xffff880f,
    0x101fff73,0x7e47ffff,0xffd100ef,0x106ffb87,0xff707ffd,0x3ffe601d,
    0x8077fdc2,0x7dc2fff9,0xfff300ef,0x00effb85,0xfb85fff3,0xfff300ef,
    0x17f60005,0x201dff90,0x7dc0fffa,0xfff300ef,0xffda8805,0x01fff500,
    0xb803ffe2,0x3ea005ff,0xfff101ff,0x01fffa89,0xfa89fff1,0xfff101ff,
    0x01fffa89,0x3009fff1,0x3200bff7,0x2a01dfff,0x2a01fffe,0xb1000eff,
    0xff8809ff,0x3ff6e006,0xfffff506,0x79bfffff,0x3fe63ff9,0xffb712df,
    0x37dffd5b,0x43fffd71,0xa9befff8,0x13ffeffc,0x9537dfff,0x227ffdff,
    0xca9befff,0xf13ffeff,0xf9537dff,0xfe87ffdf,0xfb989bef,0xffe885ff,
    0xffeb98be,0x2ffffa05,0x3fffc989,0x137fffd0,0x207fff93,0x989bfffe,
    0xfd03fffc,0xf93137ff,0x3ffa07ff,0xffc989bf,0x3ea0003f,0x222ca9cf,
    0x931bfffd,0x3fa07fff,0xfc989bff,0x3ea003ff,0x3fffa03f,0xffeca8ad,
    0x7fff7446,0x7ff4000f,0xffca89cf,0xfffe80ef,0xfffca89c,0xcfffe80e,
    0xefffca89,0x9cfffe80,0x0efffca8,0x003ff600,0x6fffffec,0xffffecab,
    0xefff9802,0x3fae60ac,0xfff002ff,0x3ea0079d,0xffff882f,0xffffffff,
    0x3f24ffff,0xffffffff,0x3ffffa23,0xb82fffff,0xffffffff,0x3ee3ff9c,
    0xcfffffff,0x3fee3ff9,0x9cffffff,0x3ffee3ff,0xf9cfffff,0x7fff4c3f,
    0x0dffffff,0xffffff30,0xd880bfff,0xffffffff,0x3ff6203f,0x3fffffff,
    0x3ffff620,0x203fffff,0xffffffd8,0x36203fff,0xffffffff,0xff80003f,
    0xfd83ffff,0xffffffff,0x3fff6203,0x03ffffff,0x7ffedd44,0x3fffe200,
    0x05ffffff,0x005fffff,0xfffffb10,0x201fffff,0xffffffd8,0xb100ffff,
    0xffffffff,0x3f6201ff,0xffffffff,0x6e55400f,0x7e4004ff,0xffffffff,
    0x22002eff,0xfefffffd,0x000dffff,0x41fffff6,0x1ffea888,0x44139fb0,
    0xefffffdb,0x7ffffd43,0xffd901de,0x4c019fff,0x33effffe,0xffe987ff,
    0x7ff33eff,0xeffffe98,0xe987ff33,0xf33effff,0x3ffee07f,0x8802efff,
    0x2efffffd,0x3fffae00,0xd7002cef,0x059dffff,0x3ffffae0,0xfd7002ce,
    0x0059dfff,0x3bffffae,0x7100002c,0x2e0159df,0x1dfffffe,0xffffd700,
    0xff70059d,0x71007fff,0x7dffffff,0x016fff40,0x3fffaa00,0xd5003fff,
    0x07ffffff,0x3ffffaa0,0xfd5003ff,0x007fffff,0x03fffffa,0x3fff2200,
    0x003fffff,0x3fffae20,0x0001cfff,0x701ffffb,0x40bfffff,0x15530009,
    0x000a9880,0x20006a62,0x530000a9,0x02a60001,0x00054c00,0x00135310,
    0x00135310,0x0000a980,0x2000054c,0x4c0000a9,0x54c0000a,0x00000000,
    0x0000d4c0,0x930002a6,0x30001799,0x00000353,0x01353000,0x004d4c00,
    0x00135300,0x0004d4c0,0x000b332e,0x00d54c40,0x01998000,0x700c4000,
    0x0007ddfd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55530000,
    0x55510000,0x0d554003,0x79b73000,0x00000003,0x442aa600,0xdca982aa,
    0x555402cc,0x2a880000,0x22001530,0x55530aaa,0xdcba8001,0x00000abc,
    0x55e6e5d4,0x65cc0000,0x555440ac,0xaaaaaaaa,0xdcb880aa,0x13ae000b,
    0x26155440,0x555401aa,0x10155511,0x106a6055,0x51000555,0xcb988055,
    0x20000abd,0x2000aaa8,0x20001aaa,0x2bcdcb98,0x0005db00,0x22000791,
    0x2aaa02ee,0x39fb5002,0xf8802fdc,0x40004fff,0x2000fffc,0x4000fffc,
    0xfffffffb,0x36e2000d,0x39911cef,0x4ffee000,0x3fee7ff9,0x3fffffff,
    0x0003ffb0,0xf881ff10,0xdffb001f,0x8802fff4,0xfffffffc,0x20001cff,
    0xffffffc9,0x2002ffff,0xffffffd8,0xffff51ef,0xffffffff,0xfffe885f,
    0xff8802ff,0x5ffd1001,0xb803ffe6,0xdff90fff,0x3e03fe20,0x037fd41f,
    0x8837fd40,0xfffffffe,0xfd8002ff,0x3ff2006f,0x744000ff,0xffffffff,
    0x17f200bf,0x00dff300,0xf8817fa0,0xffa803ff,0x2ffdffff,0xffbffd00,
    0x3fe20007,0xffd8001f,0x3ffee004,0x05ffffef,0xffffff90,0x007ff37f,
    0x7ccffee0,0xfffffb7f,0x09ffffff,0x00003ffb,0x36a2bbf6,0xfff1006f,
    0x003bfea1,0x33bfffee,0x4ffffeba,0xffffb800,0xffffffff,0x7f4400df,
    0xffffffff,0xfffffa9f,0xffffffff,0x7de7ff42,0x2fe401ff,0x23ffe600,
    0x7f401ffe,0x03fff12f,0x6d4577ec,0x06ffa86f,0x986ffa80,0xffffffff,
    0x2003ffff,0x5000fff8,0x01dffbff,0x3ffffee0,0xffffffff,0x400ff501,
    0x8006fffb,0x3f200ffb,0x39fb005f,0x01dffff9,0x3fa9ff90,0xffb8001f,
    0xffd10003,0x7dff7001,0x017ffd41,0x2ef3ffea,0x03ffdffd,0x267ff700,
    0xbeffdfff,0xffff7311,0x001ffd87,0xfffff100,0x3f2003ff,0x007ff62f,
    0x015bffb1,0x03bff2a2,0x67fffe40,0xfdb9889b,0xfd300eff,0x7e4c59ff,
    0xcceffcff,0xcccccccc,0xfd07fea1,0x00ffc40b,0x7ffffd40,0x727fd403,
    0xff8807ff,0xa81fffff,0xfa8006ff,0x77ffd46f,0xfea9899b,0xff9005ff,
    0x3ffe2005,0x4405ffa8,0x0abffffd,0x5ffffd95,0x8805ff10,0x006feffe,
    0xf1017fcc,0x3ba001df,0xa8016540,0xfff30eff,0x05ff8001,0x01ffc400,
    0xfb817ffc,0x3ffe604f,0x3ffffa81,0x27ff7000,0x03fffff9,0xb07fffcc,
    0x800003ff,0x4002deca,0x0ffe64ff,0x000bff60,0xf700dfd3,0xf7001dff,
    0x3ff609ff,0x3ffea01f,0xfb0004ff,0x201ff70d,0x320005fd,0xfd804fff,
    0x5002ffc6,0x7d405bd9,0xffa8006f,0x4027fec6,0x4401fffb,0x3fa004ff,
    0x80fff63f,0x400cfffc,0xe81ffff9,0x467cc04f,0x7f4006fb,0x007fdc04,
    0x4c400000,0x004cc409,0x40000660,0x7fcc0098,0x817fe206,0x3ee02ffe,
    0xf70003ff,0x3fffe67f,0x9fff1004,0x0000ffec,0x06600000,0xff700331,
    0x3fa20001,0x13ffe205,0x81fff300,0xa803fff9,0x0004ffff,0x3ff50bfd,
    0x0003ff30,0x33001998,0x00001981,0x001bfea0,0xff89bfea,0x0fff2006,
    0x44003310,0x0ccc4199,0x002fff98,0x2e1bffe6,0xf704406f,0x077e400d,
    0x00002620,0x00000000,0x00000000,0xfa817fea,0x0dff103f,0x0007fff0,
    0x7fccffee,0x7fe4005f,0x0007ff67,0x00000000,0x362ff980,0x0bcdeeee,
    0xfb02ff88,0x3f6000df,0x02ffe43f,0x009fffd0,0x3e613fe0,0x005fd82f,
    0x00000000,0x3fea0000,0x6ffa8006,0x98013fea,0x000006ff,0x5ffd8000,
    0x3fffa800,0x70007fcc,0x3fea00df,0x4c000001,0x2ceffedb,0xffdb7300,
    0x2e60059d,0x02ceffed,0xdffdb730,0x13fea059,0xf500ffe8,0x7ff9009f,
    0x33bf6a20,0x3e67ff71,0x7cc002ff,0x23ffb1ff,0x00bdffdb,0x9dfdb710,
    0x76dc4007,0x7e403cef,0x7fffff44,0x6fb82fff,0x001fff88,0x7c47df30,
    0x3ea001ff,0xfd0004ff,0x983ff309,0x32e001ff,0x8e65400c,0x65400ccb,
    0x8019971c,0xdff51cca,0x4dff5000,0x6c006ffa,0xffd9304c,0xd930079d,
    0x54079dff,0x90000fff,0x05ff0dff,0x44037dc0,0x995003ff,0x7ffe4001,
    0x0dffffff,0x3fffff20,0x200dffff,0xfffffffc,0x3f200dff,0xffffffff,
    0x81ffdc0d,0x3ee04ffa,0x3ffb803f,0xffffffc8,0xf33ffbbf,0xfd0003ff,
    0x367ff67f,0x1fffffff,0x7ffffdc0,0x5c01efff,0xffffffff,0x40ff881e,
    0x3f6621fe,0x5c1ff80f,0x040007ff,0x4003ffd4,0xb0004fff,0x81ff50bf,
    0x7f4005fd,0x9ffdc00f,0x7dc00ffe,0x801ffd3f,0xdff53ffb,0x4dff5000,
    0x0002fff8,0xffffffb0,0x3f601dff,0xefffffff,0x004ffc80,0xb07ffe60,
    0x37dc00bf,0xb0037ec0,0x3fa003ff,0xfecbceff,0xfffd05ff,0xfffd979d,
    0x3bfffa0b,0x5fffecbc,0x79dfffd0,0xb8bfffd9,0x1ffd03ff,0x4017fec0,
    0x7fd43ffa,0xeffecbdf,0x1fff33ff,0x29ffb000,0xbdfffffd,0x703fffec,
    0xd979dfff,0x3ee05fff,0xfecbceff,0x42fdc2ff,0x05ff01fe,0x5ffd89f9,
    0xffb80000,0x4ffe8005,0x81ff9000,0x07fcc6fd,0x003ffa00,0x3ffa7ff7,
    0xe9ffdc00,0x7fdc00ff,0x000dff53,0xffe8dff5,0x320000cf,0xfdbcefff,
    0x7fe40fff,0xfffdbcef,0x01ffec0f,0x50fffe00,0x37dc00ff,0x8003fee0,
    0xfa801ffd,0xfff700ef,0x00effa83,0xfa83fff7,0xfff700ef,0x00effa83,
    0x7dc3fff7,0x04ffa83f,0x4c017fec,0x3ffe63ff,0x3ffffb81,0x2000fff3,
    0xfffb4ffc,0x1fff903f,0xb03fff98,0xff981fff,0x1fffb03f,0x0ff417e4,
    0x7cc0ffc4,0x0027ffc6,0x027fe400,0x0027ff40,0xc89eff88,0x027f42ff,
    0x2007ff40,0x1ffd3ffb,0xfd3ffb80,0x3ffb801f,0x5000dff5,0xffe98dff,
    0x000aceff,0xd101fff1,0x7ffc47ff,0x43ffe880,0x40002fff,0x7fc45ffe,
    0x40df7001,0x6c002ff9,0xffe801ff,0x217ffc02,0x7fc02ffe,0x017ff42f,
    0xffd0bffe,0x22fff805,0xffd83ffb,0x017fe402,0xffd1ffd4,0x9fffdc05,
    0x90007ff9,0x3fff6bff,0xd0fff601,0xffd807ff,0x201fff44,0x07f64ffd,
    0xdf9307fa,0xfff1fe20,0xfb000005,0xffb0009f,0xffffffff,0xfff709ff,
    0xffa8bfff,0x0ffe8000,0xfe9ffdc0,0x9ffdc00f,0x7dc00ffe,0x00dff53f,
    0xd10dff50,0xdfffffff,0x27fd4039,0x7d4dff50,0x9bfea04f,0x0001fff8,
    0x7f42ffe4,0x40df7003,0xfd8005fe,0x05cb801f,0x65c3ffc8,0x43ffc805,
    0xffc805cb,0x6402e5c3,0x0ffee3ff,0xf700fff6,0x7ff7007f,0x3e01bfe2,
    0x0fff33ff,0x6d7fee00,0x7fcc05ff,0x201bfe67,0xff30fff8,0x1fff100d,
    0x3bfa03fa,0x01efffee,0x1fff89fe,0xaaaaaa80,0xffd0aaaa,0xfff90007,
    0xffffffff,0x3ff6609f,0x004fe83e,0xb801ffd0,0x01ffd3ff,0xffd3ffb8,
    0x53ffb801,0xf5000dff,0x7ff5c0df,0x1effffff,0x4c05ffa8,0x202ffd40,
    0x03ffcc09,0x437fdc00,0xbd5006fc,0x0003bf20,0x00007ff6,0x0007ff90,
    0x0001ffe4,0x40007ff9,0x3fee3ffc,0x02fffa83,0x3601bfe6,0x07ff53ff,
    0x3e67ff90,0xff70007f,0x2007ff6b,0x7ff70ffe,0x5c7ff600,0xffb003ff,
    0x3fa0bfa3,0x401fffff,0x3ffe27f8,0xfffff801,0xfb2fffff,0xff90007f,
    0xdddddddf,0x540007dd,0x776d40ff,0x00ffe80c,0xffe9ffdc,0xe9ffdc00,
    0x7fdc00ff,0x000dff53,0x7100dff5,0xfffffffb,0x1dfff887,0x37ffe200,
    0x1ffe6001,0x1bfee000,0x00003fe6,0xca883ff5,0x7fec3eee,0x2ea60001,
    0x003ffffd,0xffffb753,0x36ea6007,0x3003ffff,0x7ffffb75,0xfd81ffdc,
    0xffd00dff,0x9fffc405,0xfb802ffb,0x00fff33f,0x7ed3ff20,0x1ffd800f,
    0x32005ff9,0x05ff92ff,0x7ecbff20,0xfb31fe84,0x7c6fa80b,0xfff801ff,
    0x2fffffff,0xb0009ff9,0x000009ff,0xffb89fd0,0x7f42ffff,0x9ffdc00f,
    0x7dc00ffe,0x801ffd3f,0xdff53ffb,0x0dff5000,0xfffd7300,0xffffc89f,
    0x7e400bdf,0x00bdffff,0x0003ffe6,0x3e0bff90,0x3e20002f,0xffffe84f,
    0x07ff65ff,0xfffed980,0x03ffffff,0xfffffdb3,0x2607ffff,0xffffffed,
    0xdb303fff,0xffffffff,0x01ffdc7f,0x503dfffb,0xfb101dff,0x0bff67ff,
    0x7ccffea0,0xff90007f,0x6401ff67,0x03ffb3ff,0x7ed3fee0,0x9ff7001f,
    0x07fa1bf2,0x2fec09fb,0x2a00bffa,0xfeaaaaaa,0x00bff72f,0x0009ffd0,
    0x20ffa800,0xfeaaeff9,0x003ffa0f,0x3ffa7ff7,0xe9ffdc00,0x7fdc00ff,
    0x000fff33,0x8000bff7,0x640fffea,0xefffffff,0x3ffff203,0xf883efff,
    0x6c0001ff,0x09fb04ff,0x5c37ec00,0xffc98aff,0x2003ffb1,0xfffffffd,
    0xd83ffcbd,0xdfffffff,0xfd83ffcb,0xbdffffff,0xffd83ffc,0xcbdfffff,
    0x0ffee3ff,0x05ffff70,0x5137fffb,0x367ffffd,0xff9801ff,0x000fff33,
    0x3fecbff6,0xfd3ffc80,0x3fee003f,0x2003ffd4,0x1ff34ffb,0x7fc41fe8,
    0xfd87ff02,0x7f40004f,0x00dff72f,0x0009fff0,0x6c4fe800,0x3a4ff86f,
    0x7fdc00ff,0xb801ffd3,0x01ffd3ff,0xff33ffb8,0xbff9000f,0xffd10000,
    0xffff9307,0x2601dfff,0xfffffffc,0x01fff40e,0x40fffa00,0xf70007fb,
    0x887db01f,0x03ffb4ff,0x37bfffb0,0x6c3ffb81,0x409bdfff,0x7fec3ffb,
    0x7dc09bdf,0x6fffec3f,0x1ffdc09b,0xd3007ff7,0x3ff60dff,0xfcefffff,
    0x005ff93f,0x3fe67ff5,0x5fff0007,0x36003ff6,0x05ffb1ff,0x7ecfff20,
    0x7ff9002f,0x07fa17f4,0xff303fee,0x007ffa81,0xf997ff40,0x7fc4007f,
    0x2000004f,0x1ffc0ffa,0x1ffd37e4,0xfd3ffc80,0x3ffc801f,0xfc801ffd,
    0x00fff13f,0x3e69ff90,0xffb8005f,0x7fedcc05,0xdb9807ff,0x7e47ffff,
    0x3e60005f,0x3ff300ff,0x03ff8800,0xfd8ffcc0,0x7ffd401f,0x51ffec01,
    0xfd803fff,0x07ffea3f,0x7d47ffb0,0x7fec01ff,0x400ffee3,0xd701ffe8,
    0xf71bffff,0x00ffea7f,0x7fccffee,0xfff98007,0xd001ffb0,0x0ffee1ff,
    0xfb9ffec0,0x7ffb003f,0x07fa37dc,0x13f627f4,0x000fffe2,0x3fa2ffe8,
    0x3ff2003f,0x2000004f,0x17fc44fe,0x1ffd3fdc,0xfd3ffd80,0x3ffd801f,
    0xfd801ffd,0x007ffe3f,0x3e27ffd0,0x7cc000ff,0x7fdc005f,0x7fdc002f,
    0x0bffe62f,0x02fff400,0xfd000ffa,0x7fd8800b,0xf7007ff6,0x7ffd009f,
    0x74027fdc,0x13fee3ff,0xfb8fffa0,0x3ffe804f,0xb800ffee,0x0d4404ff,
    0x7fc4ffee,0x33ffd805,0xfb000fff,0x017fecbf,0xffa9ffe2,0x23fff005,
    0xff005ffa,0x364fe83f,0x21dd501e,0xff900ffb,0x3fa0003f,0x01bfee2f,
    0x027fffc4,0x0ffb8000,0x7dc17fcc,0x803ffb0f,0x3ffb3ffe,0xfb3ffe80,
    0x3ffe803f,0x98013ff6,0x3ff61fff,0x9ffe4002,0x7ec00cba,0x8019754f,
    0x7fec4ffd,0xfffa8006,0x002fe402,0x4c001ff9,0x3ff61ffe,0x01ffec01,
    0xfd93ffe6,0x7ffcc03f,0x300fff64,0x7fec9fff,0x27ffcc03,0x02b87ff7,
    0x20009ff7,0x3ffe3ffb,0x4fffe601,0x4c007ff9,0x3ff62fff,0x127fe406,
    0xfb803fff,0x07ffe26f,0xf30dff70,0x3ee0009f,0x77ff402f,0x3ff22001,
    0x0fffe22f,0x13ffff20,0x1ffc0000,0x7dc17fc4,0x980fff67,0x7ffb3fff,
    0xd9fffcc0,0x3fe603ff,0x0fffee3f,0x2e3ffec0,0xd1002fff,0x13ff61ff,
    0x3f67ff90,0x1ffe404f,0x0037ffe2,0x402fffd4,0xff3007fa,0x77fd4005,
    0x200ffec1,0x3e607ffc,0x3ff24fff,0x3fffe607,0x981fff24,0x3f24ffff,
    0x3ffe607f,0x44ffee4f,0xfff81fff,0x7ff70002,0x44077fdc,0xff33fffd,
    0x3fa6040f,0x27ffec6f,0x5c0fffa8,0xff300eff,0x0effb85f,0x205fff30,
    0x1000effa,0xf3009ffb,0x20159fff,0x1fffffb8,0x9027ffe4,0x009ffdff,
    0x01ff7000,0x9bf20ffe,0xf880fffb,0xfff73fff,0x7ffff101,0x2203ffee,
    0x3a23ffff,0xb100afff,0xff885fff,0x3ea00cff,0x3ffea6ff,0x21fff100,
    0xf100fffa,0xfff501ff,0xfffc805f,0x2ff8800f,0x0027f440,0xfb01bff7,
    0xfff9803f,0xffba88ad,0x3fe64fff,0xfba88adf,0x3e64ffff,0xba88adff,
    0x264fffff,0xa88adfff,0x24fffffb,0x3fee3ffb,0x6ffea8ae,0x0ffee000,
    0x5117fff9,0x267ffffd,0x9df307ff,0xd85ffffb,0x98adffff,0xfd03fffb,
    0xf93137ff,0x3ffa07ff,0xffc989bf,0x7ffcc03f,0x3ae60ace,0x26002fff,
    0xcefffffe,0xffffffdc,0xdfff900d,0x9ffd7337,0xddddfff5,0x0bdddddd,
    0x6c07ff10,0x127fc46f,0x9537dfff,0x227ffdff,0xca9befff,0xf13ffeff,
    0xf9537dff,0xfa87ffdf,0xdcceffff,0x105ffffe,0x7bdffffd,0x1dffffb9,
    0x8adfffe8,0x746ffeca,0xca8adfff,0x3ea06ffe,0xcabdefff,0x00effffd,
    0xfb013fa0,0x27fdc00d,0x9003ffb0,0xffffffff,0xc8dff19f,0xffffffff,
    0x646ff8cf,0xffffffff,0x646ff8cf,0xffffffff,0x2e6ff8cf,0x7ffe43ff,
    0x001fffff,0x360ffee0,0xefffffff,0xfff33ffa,0x3fffffa0,0x9ffd82ff,
    0xffffffff,0x3fff6203,0x03ffffff,0x3fffff62,0x1003ffff,0xfdfffffb,
    0x001bffff,0xfffffb10,0xdfffffff,0xffff7003,0x2abfffff,0xffffffff,
    0x807fffff,0x7fcc07fb,0x40fffbae,0xfffffffb,0x2e3ff9cf,0xffffffff,
    0x3ee3ff9c,0xcfffffff,0xff983ff9,0xffffffff,0xffd804ff,0xffffffff,
    0xffff105f,0x0bffffff,0xfffffff1,0xd300bfff,0xffffffff,0x7000bfff,
    0x0ffd40df,0xaadffc80,0x3ffb2aaa,0x3fffaa00,0x3ff61dff,0x7ffff541,
    0x07ff61df,0xbfffffd5,0x2a0ffec3,0x1dfffffe,0x7fdc7ff6,0xffffdb83,
    0x7dc0000d,0xfffb703f,0x27ff51bf,0xfb707ff9,0x3603bfff,0xffffd37f,
    0x3fae003d,0x002cefff,0x9dffffd7,0xfd710005,0x039fffff,0xffd71000,
    0x059dffff,0xfffeca80,0x3ffea3df,0xffffffff,0x7fc407ff,0xffffb803,
    0xffd301ff,0x3fe67dff,0x7ffff4c3,0x987ff33e,0x33effffe,0x3ae207ff,
    0xcfffffff,0x3ff6e001,0x03deffff,0x7ffffdc4,0x3ee203ef,0x03efffff,
    0x7fffed40,0x0001cfff,0xff101ff3,0x3ffe2007,0xb5ffffff,0x988003ff,
    0x2620001a,0x2620001a,0x2620001a,0x8800001a,0x5000009a,0x035005dd,
    0x00350000,0x0000cc40,0x300002a6,0x98000015,0x40000019,0x0001aa98,
    0x00006a20,0x00bd5000,0x0066f64c,0x30000a98,0x2a600015,0x54c40000,
    0x4400019a,0x00009aa9,0x30003533,0x20000353,0x00009aa9,0xbfb01550,
    0x66664c00,0x003ccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01599510,0x0013b200,0x01e44000,0x4009d900,0x0000ccc8,0x000b372a,
    0x00555400,0x06aa6000,0x00ccc800,0xaa880000,0x3033000a,0x25551155,
    0x0001aaa8,0x2aaa6000,0x3372a200,0x26155443,0x0aaa81aa,0xaaa8aaa2,
    0x01664c00,0x20551e64,0x555501a8,0x220aaa80,0x664002aa,0x2000002c,
    0x88002aa8,0x440002aa,0xaaaaaaaa,0xaaaaaaaa,0x2aa21aaa,0xa8800002,
    0xaaaaaaaa,0x2aaa0019,0x3fffff60,0x7fd4000f,0x36e4cb81,0xf3002cee,
    0x3ea000df,0x3fe6001f,0xfe98000f,0x001effff,0x417ff400,0xf30adfc9,
    0x013ff20f,0x001fff80,0x6ffd8000,0xd82fc880,0x26ff89ff,0x7100fffc,
    0x0ff417bf,0x205ffe80,0x85fffffa,0xfff13ffe,0x74bff901,0x03ffa2ff,
    0xf009ff50,0x6c17f4df,0x2fff983f,0xfb2ffdc0,0xfff8007f,0xbdfc8804,
    0xff303fe0,0xdff5000f,0xfffc8000,0xffffffff,0xffffffff,0x001bfea5,
    0x3fffea00,0xffffffff,0x87ff402e,0xffb9bffb,0x0ffe2004,0xfffdbfec,
    0x2e02ffff,0x88006fff,0x7cc003ff,0x7cc000ff,0xffffefff,0x3fa00000,
    0x7fffc42f,0x904fedff,0x7c0009ff,0x000001ff,0x4007ffcc,0xffd82ffc,
    0x7ec6ff89,0xffffd03f,0x200dfbdf,0xf100fff9,0x109fffff,0x5ffb1fff,
    0x7dd7fec0,0x007ff44f,0x3e013fea,0x22fbf26f,0xfd80ffc9,0x7ffb004f,
    0xf0009ff5,0xfff009ff,0x0dfdbfff,0x5000fff3,0x44000dff,0xffffffff,
    0xffffffff,0x3ea5ffff,0xa800006f,0xffffffff,0x3fffffff,0x3b21ffd0,
    0xd003fe42,0x6ffec0bf,0xffdbacff,0x77ff440f,0x5fe8006f,0x0eee8800,
    0x85fff400,0x0005ffd8,0xf70bffa0,0xffffd73b,0x013ff203,0x001fed80,
    0x0ffec000,0xd82ffc80,0x46fe89ff,0xff987fe8,0x3ffffdaa,0x403ffb00,
    0x010aeffa,0x0fffffe6,0xbfffff10,0xa801ffd0,0x6ff804ff,0x7ffffff4,
    0x005ff883,0x1bffffa2,0x027ffc00,0x3fae7bea,0xff982fff,0x6ffa8007,
    0x3bff2000,0xccdffecc,0xcccccccc,0x01bfea2c,0x3ffea000,0xdccccccc,
    0xe83ffffe,0x2ff400ff,0x200ffb80,0xb81efffd,0x33e60eff,0x5c006fb8,
    0x000000ff,0x4c3ffcc0,0x200007ff,0x0f642ffe,0xfc802ee6,0x3dc0004f,
    0x3e200000,0x3ff2003f,0x3a1ffd82,0x543ff985,0x005dc43e,0x6403ff98,
    0x3ee003ff,0xff3005ff,0x1ffd01df,0x804ffa80,0xdec986ff,0x01ff900b,
    0x0ffff980,0x01333000,0x5dc43eb8,0x7fff7540,0xeeeeeeee,0xfffeeeee,
    0x7fc4006e,0x00fff62f,0x006ffa80,0x06ffa800,0x81fffd50,0xffb00ffe,
    0x5ff3001b,0x01fffd80,0x20893ff2,0x3e6006fb,0x0000002f,0xfd04ffa8,
    0x3a00001f,0x400002ff,0x00884ffc,0x00000db0,0x64001988,0x1ffd82ff,
    0x004c40fe,0x03310000,0x8005ffb0,0x4c400199,0x01ffd009,0xf804ffa8,
    0x4cc0006f,0x13310000,0x00000000,0x7ffffdc0,0xffffffff,0xffffffff,
    0x7fe4007f,0x001ffec6,0x555dff50,0x01335555,0x0037fd40,0xffd17ff6,
    0x07fff301,0xb009fd10,0xff880bff,0x801bee06,0x640004fe,0x7fcc004c,
    0x006ff886,0x00bffa00,0x89ff9000,0x3fa800e9,0x00000000,0x66fff65c,
    0xb13ffb1c,0x0000003f,0x3ff60000,0x00000001,0x5003ffa0,0xdff009ff,
    0x00000000,0xfecb8000,0x400003ce,0xeefffeea,0xeeeeeeee,0x6efffeee,
    0x0bffe200,0x40007ffb,0xfffffffa,0x2dffffff,0x006ffa80,0xfd1fffcc,
    0xfb53101f,0x037e401f,0xe801ffd8,0x01bee07f,0x400037e4,0xff8007ff,
    0x01ffdc3f,0x25ffd000,0x65400ccb,0x527fe41c,0x47f001ff,0x3fb2a3cb,
    0x999502ce,0x99999999,0x7ffec799,0xffb2ffff,0x66540363,0x76549970,
    0x4cb82cef,0x0b3bfb2a,0x65c07ff6,0x33bfb2a4,0x00ccb802,0xfa801ffd,
    0x06ff804f,0x79701995,0xa82f7f62,0xcccccccc,0x303ccccc,0xfffffffd,
    0x1995001d,0x007ff980,0x8006ffa8,0xffd86ffb,0x3fea0003,0xffffffff,
    0x00efffff,0x2001bfea,0x3ffa6ffc,0x81ffc400,0xfb001ffa,0x3ffb001f,
    0x2a01bee0,0x440001ff,0xfb8005ff,0x1fff71ff,0x7ff40000,0xb801ffd2,
    0xa7fe43ff,0x81005ffb,0xffff96fd,0xff90bfff,0xffffffff,0x765cbfff,
    0xfb1ccdff,0x3ffb003f,0x7ffe5ff6,0x7ec5ffff,0xffffff97,0x01ffd8bf,
    0x3fff2ffb,0x6c05ffff,0x1ffd01ff,0x804ffa80,0x3ffb06ff,0x3ffadfb0,
    0x3fff24ff,0xffffffff,0xfffa85ff,0xfffecbce,0x00ffec01,0x2001ffe6,
    0x44006ffa,0xffd82fff,0x3fea0003,0xaaaaaaae,0x05ffffcc,0x2001bfea,
    0x3ffa7ff8,0x7c40cc88,0x03ff884f,0x6401ff60,0x0df702ff,0x0003ff88,
    0x0004ffa8,0xdffdfffd,0xfe800001,0x801ffd2f,0x7fe43ffb,0x0004ffcc,
    0x3fff3ff6,0x44ffffdd,0xeeeeeeeb,0x83fffdee,0xffd82ffc,0xb1ffd801,
    0xbbfff9ff,0x7ec9ffff,0xfddfffcf,0x3ff64fff,0xff9ffb01,0x9ffffbbf,
    0xe80ffec0,0x7fd400ff,0x837fc404,0xefd81ffd,0x21fffffd,0xeeeeeeeb,
    0x43fffdee,0xf903fff8,0x1ffd80df,0x003ffcc0,0x20037fd4,0xffb06ffb,
    0x7fd40007,0xfffb1006,0x01bfea07,0xfe8fffc0,0x221bfd0f,0x5fd80ffd,
    0x803fec00,0xdf703ffb,0x0005fd80,0x002ffe88,0xbfffff10,0x3fa00000,
    0x801ffd2f,0x7fe43ffb,0x40002fff,0x40befffd,0x8000fffc,0xff905ffd,
    0x003ffb05,0x3ff63ffb,0x7fe40bef,0x7dfffb0f,0xb0fffc81,0x3ff603ff,
    0x7fe40bef,0x03ffb00f,0xf5003ffa,0x6ff880bf,0xfb03ffb0,0x07515dff,
    0x217ff600,0x7e404ffc,0x07ff603f,0x555fff30,0x55555555,0x800dff95,
    0xffb03fff,0x7fd40007,0x2ffec006,0x0006ffa8,0x3ffa5ffd,0xffdfff30,
    0x01ff709f,0x800ffd80,0xdf701ffc,0x0007fdc0,0x017ffa20,0x6ffffb80,
    0x3fa00000,0x801ffd2f,0x7fe43ffb,0xd80001ff,0x3fa00fff,0x7fec002f,
    0x20bff206,0xfd801ffd,0x03fffb1f,0xffd97ff4,0x4bffa01f,0xffb01ffd,
    0x17ff403f,0xfd01ffd8,0x47ffe21f,0x7c405ffa,0x03ffb06f,0x0003fffb,
    0xf10dffb0,0xfff500ff,0x200ffec0,0xfffffff9,0xffffffff,0x2e006fff,
    0x3ff607ff,0xffffffff,0x7fd46fff,0x3ffdc006,0x27bfee66,0x20099999,
    0x1ffd3ffd,0x1f7fff54,0x40017fcc,0xfd801ffd,0x20bd500f,0x40002ff9,
    0x000effe8,0xfffffe98,0xd000003f,0x03ffa5ff,0xfc87ff70,0xb00000ef,
    0xffc809ff,0x3ffee003,0x20bff200,0xfd801ffd,0x809ffb1f,0x9ffb3ffc,
    0xfb3ffc80,0x13ff603f,0x3607ff90,0x1ffd01ff,0x7d47ffe2,0x37fd407f,
    0xfd81ffd8,0xfb80005f,0x5ffa80ff,0x201fff00,0x7cc01ffd,0xffffffff,
    0xffffffff,0x3ffa006f,0x3ffff603,0xffffffff,0x037fd46f,0xf83ffe60,
    0xffffffff,0x3f204fff,0x201ffd5f,0x202ff400,0x3ff60ff9,0x037fc402,
    0x980bfd00,0xffe880ff,0xffa8000e,0x1fffd9ef,0x3a000054,0x01ffd2ff,
    0x3ea3ffb8,0x200004ff,0x7dc03ffd,0xfff5003f,0x3fffb203,0x3ffb1eee,
    0x363ffb00,0x7fdc03ff,0xb807ffb3,0x03ffb3ff,0xf700fff6,0x07ff607f,
    0xff887ff4,0x05fff51f,0xfd837fec,0x03ffd81f,0x0fffd400,0xccceffb8,
    0xfecccccc,0x03ffb01f,0xcccfff98,0xcccccccc,0x5006ffdc,0xffd80fff,
    0xeeeeeeee,0x7fd44eee,0x3ffcc006,0x3ffffffe,0x204fffff,0x1ffd5ffd,
    0x01df9000,0xfb07ffc4,0x4ffb80df,0x01df9000,0x7407ffc4,0x98000eff,
    0x3fa24fff,0x1fff10ff,0x4bffa000,0x7dc00ffe,0x9ffff73f,0x7fec0000,
    0x01ffd402,0xb017ffcc,0x3fffffff,0x36007ff6,0x05ffb1ff,0xffb4ffa8,
    0xb4ffa805,0x3ff603ff,0x827fd402,0xffd01ffd,0x542aaa21,0xfc80ffff,
    0x3ffb06ff,0x0005ffb0,0x9017ffcc,0xffffffff,0x5fffffff,0x3007ff60,
    0xf5000fff,0x3ffa00df,0x01ffec03,0x00dff500,0xf506ffb8,0x3fa000df,
    0x001ffd4f,0x2201ffa8,0x3f60fffe,0xfff304ff,0x3ff50001,0x07fff440,
    0x0003fff2,0x7cc2fff4,0x0bff76ff,0xe97ff400,0x7fdc00ff,0x09ffdff3,
    0x0ffec000,0x3013fea0,0xaa807fff,0xb0aacffd,0xffb003ff,0x5007ff63,
    0x07ff69ff,0x3f69ff50,0x03ffb01f,0xfb04ffa8,0x03ffa03f,0xbfffff50,
    0xdffffd75,0x3607ff60,0xf30001ff,0xffd807ff,0xffffffff,0xb03fffff,
    0xff9803ff,0x6ffa8007,0xeefffa80,0xffeeeeee,0x3ea0003f,0x3fe2006f,
    0x0dff504f,0x74fffe00,0x3e2000ff,0x7fff404f,0x3ffff60f,0xfffb98ad,
    0x4ff88001,0x07fffec0,0x40007ffa,0xf501fff9,0x05ffd9ff,0xe97ff400,
    0x7fdc00ff,0x09ff95f3,0x0ffec000,0x8813fea0,0x32004ffe,0x1ffd82ff,
    0xfb1ffd80,0x4ffa803f,0xfa803ffb,0x203ffb4f,0x7d401ffd,0x03ffb04f,
    0xf5003ffa,0xfffffdbf,0x360dfb9f,0x1ffd81ff,0x4ffe8800,0x003ffc80,
    0x007ff600,0x5000fff3,0xffd00dff,0xffffffff,0x0007ffff,0xb8037fd4,
    0xf500ffff,0xff1000df,0x003ffa5f,0x7ec06fd8,0x3f60ffaf,0xffffffcf,
    0xfb0002ff,0xfaffc80d,0x01bfe20f,0x1bfea044,0xdfffff70,0x3fa00c40,
    0x801ffd2f,0x3f233ffc,0x3600004f,0x7fd401ff,0x017ffa04,0xfb05ff90,
    0x3ffb003f,0xf5007ff6,0x007ff69f,0x3ff69ff5,0x803ffb01,0xffb04ffa,
    0x003ffa03,0xffd19ff5,0x41bf69ff,0xffd81ffd,0x5ffe8001,0x009ff700,
    0x00ffec00,0x2001ffe6,0x7d406ffa,0xffffffff,0x03ffffff,0x3bffea00,
    0xffeeeeee,0x2a03ffff,0xfa8006ff,0x01ffd0ff,0xb803fee0,0x20ff99ff,
    0xffe99ffd,0x70001cef,0x7fdc01ff,0x3ea0ff99,0x3fff005f,0x3601bfee,
    0xff03ffff,0xd1fff80f,0xffd801ff,0x0027fe43,0x803ffb00,0xffb04ffa,
    0xffc8001d,0x801ffd82,0x3ffb1ffd,0xfb4ffa80,0x4ffa803f,0x3f603ffb,
    0x27fd401f,0xfd01ffd8,0x4ffa801f,0xfb0006a2,0x03ffb03f,0x00effd80,
    0x200dff30,0xffb00acb,0x07ff9803,0x406ffa80,0xfb004ffe,0x7d40007f,
    0xffffffff,0x02efffff,0x40037fd4,0x3ffa5ffe,0x03ff9800,0x7fccbfea,
    0xa887ff60,0x7fc40001,0x4cbfea03,0x1ffe20ff,0xfa9ffe60,0x7f4401ff,
    0x1ffd01ff,0x6c7ffe20,0x7ff401ff,0x0027fe43,0x803ffb00,0xffc84ffa,
    0xffb8000f,0x801ffd83,0x3ffb1ffd,0xfb4ffa80,0x4ffa803f,0x3f603ffb,
    0x27fd401f,0xfd01ffd8,0x4ffa801f,0x1ffd8000,0x2001ffd8,0x4000fffc,
    0x7dc02fff,0x3ffb00ff,0x007ff980,0x2606ffa8,0xfb000fff,0x7d40007f,
    0xffffffff,0x5003cdef,0xfb800dff,0x03ffa2ff,0xf9817fa0,0xd83fe63f,
    0x800001ff,0x3fe605fe,0xff03fe63,0x4ffd807f,0x7013ffe2,0xb03fffff,
    0x3fe605ff,0x980fff67,0x7fe43fff,0x3f600004,0x27fd401f,0x0007ffee,
    0x7ec27fdc,0x1ffd801f,0xfa803ffb,0x803ffb4f,0x3ffb4ffa,0x5007ff60,
    0x3ff609ff,0x801ffd01,0x80004ffa,0xffd81ffd,0x3fff7001,0x3fff5000,
    0x813ffe20,0x7cc01ffd,0xffa8007f,0x013ff606,0x0003ffd8,0x0001bfea,
    0x801bfea0,0x7f45fff9,0x07fe400f,0xddddff90,0x3ff6bdff,0x7e400001,
    0x3bff200f,0x25effeee,0xc882fffb,0x7fe41fff,0xffff701f,0xffb83fff,
    0x2fff441e,0xf101fff7,0xffc87fff,0x3f600004,0x27fd401f,0x0005fff5,
    0x8e6fffd4,0xfd801ffd,0x803ffb1f,0x3ffb4ffa,0xfb4ffa80,0x07ff603f,
    0x3609ff50,0x1ffd01ff,0x004ffa80,0xd81ffd80,0xffa801ff,0x3fa0002f,
    0xfca89cff,0x3f600eff,0x3ffcc01f,0x837fd400,0x2000fff9,0x20003ffd,
    0x00006ffa,0x4c06ffa8,0x41ffffd9,0x3e600ffe,0x7ffe402f,0xb6ffffff,
    0x400003ff,0x7e402ff9,0xffffffff,0x5efffec6,0x83ffffdb,0xaacffff8,
    0xfbcfffec,0x7ffc1fff,0xffffdbef,0x2fbffe21,0xffeffca9,0x777ffe43,
    0xeeeeeeee,0x07ff604e,0x3e69ff50,0xccccadff,0x40cccccc,0xb4ffffe8,
    0xffb003ff,0x5007ff63,0x07ff69ff,0x3f69ff50,0x03ffb01f,0xfb04ffa8,
    0x03ffa03f,0x0009ff50,0xfb03ffb0,0xfff9803f,0xccccccad,0x6c40cccc,
    0xffffffff,0x7fec00ff,0x03ffcc01,0xd837fd40,0x7ec005ff,0xeeeeeeef,
    0x50eeeeee,0x00000dff,0xddddfff5,0xfffffffd,0x01ffd03f,0x80013fa2,
    0x3ff60ff9,0xfd100001,0x7fcc0009,0xffffc880,0x203fffff,0xffffffd8,
    0x3fea2fff,0x7fffd44f,0xb81fffff,0xffffffff,0x7e43ff9c,0xffffffff,
    0x205fffff,0x7d401ffd,0xfffff54f,0xffffffff,0xffb303ff,0x007ff6bf,
    0x7fec7ff6,0xda7fd401,0x7fd401ff,0x3603ffb4,0x7fd401ff,0x203ffb04,
    0x7d400ffe,0xfd80004f,0x01ffd81f,0x7fffffd4,0xffffffff,0xfffd501f,
    0x36007fff,0x7fcc01ff,0x6ffa8007,0x001fff98,0x7fffffec,0xffffffff,
    0x00dff50f,0xffff5000,0xffffffff,0x3fa019ff,0x00dfb00f,0x360ff980,
    0xb00001ff,0xf98000df,0x3fb6600f,0x7000ceff,0x3bdffffd,0x3a20bf30,
    0x01dfffff,0x3bffffa6,0xfc87ff33,0xffffffff,0x205fffff,0x7d401ffd,
    0xfffff54f,0xffffffff,0x209803ff,0xfd801ffd,0x803ffb1f,0x3ffb4ffa,
    0xfb4ffa80,0x07ff603f,0x3609ff50,0x1ffd01ff,0x003ee980,0xd81ffd80,
    0x7fd401ff,0xffffffff,0x801fffff,0x6c0009a9,0x7fcc01ff,0x6ffa8007,
    0x8005ffd8,0xfffffffd,0xffffffff,0x000dff50,0xfffff500,0x7ddfffff,
    0x80ffe801,0x40001ffa,0x3bb20cc8,0xffa80000,0x66440001,0x00002000,
    0x13001531,0x000a9880,0x00000a98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5440aaa8,0xaaaaaaaa,0xaaaaaaaa,0x406aa62a,0x5300aaa8,0x55000015,
    0x05554035,0x4c6aaa00,0x2a0001aa,0x055541aa,0x02aaa200,0x20733200,
    0xaaaaaaa8,0x800019aa,0x2a01ccc8,0x42aa60aa,0x88002aa8,0x555512aa,
    0x35555555,0x2aa60013,0x0aaaa001,0x2a1aa980,0x035551aa,0x00aaa800,
    0x5302a980,0x71000015,0x2aaaaa20,0x099aaaaa,0x53000000,0x54c00035,
    0xaa8000aa,0x0351001a,0x00135310,0x359b9750,0x99055540,0x03ff6039,
    0xfffffff3,0xffffffff,0x3ee1ffff,0x3fff105f,0x0007ff60,0x03ffff70,
    0x98017ff2,0xbff72fff,0x7ffcc000,0x800bff70,0x005fffe8,0xfa82fff8,
    0xffffffff,0x0002efff,0x7407fff3,0x4fff21ff,0x4003fffa,0xfff55ffa,
    0xffffffff,0xa809dfff,0x3fe006ff,0xffb001ff,0xfba7ffc7,0x3e20007f,
    0x7c4000ff,0x03ffb07f,0x505fa800,0xffffffff,0x05bfffff,0x3fffffea,
    0xffffffff,0x00bff72f,0x02fffc40,0x007ffea0,0xfb813fa2,0x03ffffff,
    0xfffffe98,0xffe80dff,0x6c0bffe2,0x7ffcc0ff,0xffffffff,0xffffffff,
    0x220bff70,0x74c41fff,0x99999aff,0xeeff9800,0xfff880ff,0x4bffb001,
    0x40005ffb,0xeff8dffb,0x6ffec000,0x7fc004ff,0xffffa82f,0xffffffff,
    0x4c003fff,0x3fa03fff,0x54fff21f,0x2000ffff,0xfff55ffa,0xffffffff,
    0x40bfffff,0xa800fff8,0xf004ffff,0xa7ffc3ff,0x0001fff8,0xb000bff7,
    0x3ff60fff,0x3fe60001,0xfffff505,0xffffffff,0xfff50dff,0xffffffff,
    0x3ee5ffff,0x7d40005f,0xff1002ff,0x3ffa007f,0xffffe884,0x00efffff,
    0xdbfffff5,0xfe85ffff,0x40bffe2f,0x66440ffd,0xffdccccc,0xcccccccf,
    0x4417fee4,0x7ff41fff,0xffffffff,0x4fff4402,0xff706ff9,0x3fff300d,
    0x0002ffdc,0x07ffffec,0x6d7fee00,0x3ba002ff,0xcfffa82e,0xedcccccc,
    0x2003ffff,0x3a03fff9,0x4fff21ff,0x005ffffa,0x7fd57fea,0xaaaaaaaf,
    0xefffecaa,0x005ffd00,0x00dffff9,0xfff8fff3,0x0013ff64,0x2000fff4,
    0xfb07fffb,0x7cc0003f,0x9fff505f,0xb9999999,0xe98bffff,0xeeeeeeee,
    0x71fffeee,0xb0000bff,0xfd001fff,0x3ff200bf,0xafffe84f,0x0bfff731,
    0x415dfff1,0x3a0fffe9,0x0bbb62ff,0x20007fec,0x2e007ff8,0x07e405ff,
    0x3ffffffa,0x6c02ffff,0x17ff24ff,0x3a017ff4,0x2ffdc4ff,0x7ff44000,
    0x7fcc002f,0x03fff10f,0x1bfea000,0x07fff540,0x00133300,0x3fffea00,
    0xbff5003f,0x7001bfea,0x3f205fff,0xdefe804f,0x7fdc00ff,0xf527ffc4,
    0xff3000ff,0xfff8800d,0x03ffb07f,0x82ffcc00,0xb1006ffa,0x40007fff,
    0x3fee2ffe,0xff880005,0x77fe405f,0x7fff4400,0x077fdc4f,0x6c2fff98,
    0x7ff406ff,0x000bffa5,0x88001ffb,0x3ee007ff,0xb036c05f,0x260003ff,
    0x30199819,0x3ea01fff,0x2ffdc0ff,0x09988000,0x40998800,0x00000998,
    0xd800dff5,0x000005ff,0x7fffd400,0xffa800ff,0x000dff55,0x3e609ffb,
    0x67fc406f,0x7ec02ffb,0x227ffc2f,0x64002fff,0x7f4003ff,0xffb07ffe,
    0x7fcc0003,0x00dff505,0x0005ffe8,0xffb89ff9,0xff300005,0x3ffea07f,
    0x7fffdc01,0x0fff44ff,0xff17ff60,0x6ff9803f,0xb000bffa,0xf88001ff,
    0x3fee007f,0xd817e605,0x000001ff,0x207ffb00,0xffb83ffe,0x00000005,
    0x91000000,0x01bfea05,0x807fff30,0x02defeb9,0xedffa800,0xffa805ff,
    0x000dff55,0x7fc0dff5,0x457fdc07,0x7ffc05ff,0x3227ffc0,0x7fc005ff,
    0x3ff2000f,0xffb07ff9,0xfb930003,0x7d4799df,0x7fdc006f,0x6ff98007,
    0x0005ffb8,0x107fff20,0x74407fff,0x4ffbdfff,0x2601bfe2,0x1bfe67ff,
    0xfe87ffc0,0x7fec002f,0x3ffc4000,0x20bff700,0x3f601ef8,0x7bfd931f,
    0x01995001,0x503ffe20,0x3fee0dff,0x9e5c0005,0x970bdfd8,0x1e64c019,
    0xfa8332a0,0x00dff505,0x2e0dff90,0xffffffff,0x0332a00e,0x3fe73fea,
    0xaffd403f,0x98006ffa,0xffb00fff,0xfd3fec03,0x437fc40f,0x7fcc3fff,
    0xbff5000f,0xfa7fcc00,0x23ffb07f,0x82cefec9,0xfffffffa,0x001bfea5,
    0x8001fff3,0xffb81ffe,0x7f400005,0x02fff46f,0x7d4fffe6,0x013b664f,
    0x57513ffc,0xfe9ffe00,0x7fec002f,0x3fe20010,0x17fee007,0x7fec00c8,
    0xffffffc9,0x0ffec06f,0xe8bff900,0xbff702ff,0xd6fd8000,0x3f29ffff,
    0x3ffee03f,0xf51ffe00,0x01bfea0b,0x321ffe20,0xfdbcefff,0xffb00eff,
    0x329ff503,0x3ea00fff,0x00dff55f,0x5c0fff70,0x97fe03ff,0xff701ffc,
    0xd07ffd09,0x3f6005ff,0xdfd1002f,0xffd83ffc,0xffffffc9,0x7fee4c4f,
    0x3fea3cce,0x7ffcc006,0x13ff2000,0x0002ffdc,0x653ffe60,0x7cc00eff,
    0x013fea0c,0x006ff980,0xfe97fe60,0x7fec002f,0xff1002d9,0x2ffdc00f,
    0x3bff6000,0xffecceff,0x07ff604f,0x71fff880,0x7fdc0dff,0x77ec0005,
    0x31fffffd,0x7ff40bff,0x89ff302f,0xdff506fb,0x87ffe000,0xe883fff9,
    0x3ffb04ff,0x7f49ff50,0x57fea05f,0x44006ffa,0x3e605ffe,0x47ff305f,
    0xffb03ffa,0x705ffd03,0xff100bff,0x0ffe400f,0x3ff60fff,0xffdcfffe,
    0x5ff984ff,0x800dff50,0x26006ffa,0xff700fff,0xf700000b,0x03fff7ff,
    0x9ff50110,0x27fe4000,0x3ffe8800,0xb000bffa,0x2005ffff,0x2e007ff8,
    0x6c0005ff,0xfb81efff,0x3ffb00ff,0xf5ffb800,0x7fdc03ff,0x7fec0005,
    0x7c3a8aef,0xffff107f,0x70bfee09,0x1bfea0ff,0xb17ff400,0x7fd409ff,
    0x503ffb07,0x7ffcc9ff,0x2abff503,0x3a6006ff,0x7fc01fff,0x443ff907,
    0x0ffd06ff,0x3e20bff6,0x7fdc00ff,0x87ff5004,0xfffb07ff,0xfffc883f,
    0xa82ffcc0,0x3e2006ff,0x3fa005ff,0x17fee03f,0x7fec0000,0x40003fff,
    0x30004ffa,0x20003fff,0x3fa0effe,0x7fec002f,0xff1000df,0x2ffdc00f,
    0x3fff6000,0x407ffa01,0xe8001ffd,0x404ffdff,0x3fe05ffb,0x3fffb03f,
    0xa82ffc80,0xfd06feff,0x998ff90f,0x9999effb,0x3ff60099,0xb003ffe3,
    0x3ffb01bd,0xfc89ff50,0x5ffa80ff,0x9999fff5,0xfffdb999,0xffb007ff,
    0xfd0dfd03,0x05ff881f,0x3f203ffb,0x07ff403f,0x7c2ffc40,0x3fffb07f,
    0x260fff40,0xdff505ff,0x3fffaa00,0x1fff3000,0x002ffdc0,0xffff8800,
    0xffa80005,0xffe88004,0xfffb0004,0x002ffe83,0x95027ff4,0x9fffb999,
    0xf7039999,0xfd8000bf,0x17fdc04f,0x6401ffd8,0xfffecccc,0x3ccccdff,
    0xff817fee,0x0bffb03f,0xf909ff50,0xf881ff9d,0x7c7fc85f,0xffffffff,
    0x3f204fff,0x00bff15f,0x503ffb00,0xdffd09ff,0x3eabff50,0xffffffff,
    0x2fffffff,0x887ff700,0x2ffb84ff,0xfc81ffd4,0x0dff301f,0xd802ffcc,
    0x07ff80ff,0xfb809ffb,0x82ffcc2f,0xeeeefffa,0xfffffeee,0x3ff2003f,
    0x02ffdc04,0xfff90000,0xff500007,0xdffd0009,0xfffb1000,0x005ffd03,
    0x9007ffe4,0xffffffff,0x707fffff,0xd8000bff,0x7fd403ff,0x803ffb04,
    0xffffffff,0xffffffff,0xf817fee5,0x7ffb03ff,0x3a1bfe00,0x542ffacf,
    0x0ffd82ff,0x3ffffffe,0x204fffff,0x9ff55ffd,0x3ffb0000,0xf309ff50,
    0x5ffa87ff,0xfffffff5,0x59dfffff,0x27fcc001,0x3e60bfea,0x80ffe44f,
    0x3fa00ffc,0x05ff901f,0x3e05ff70,0x07ffb07f,0x7cc3ffa8,0xffff505f,
    0xffffffff,0x44005dff,0x7dc01fff,0x3000005f,0x003fffff,0x004ffa80,
    0x007fffa2,0x407fff60,0xfb002ffe,0x65401fff,0xcfffdccc,0xfb81cccc,
    0x7ec0005f,0x27fd402f,0x7c01ffd8,0xffffffff,0x5fffffff,0xaa817fee,
    0x05ffb00a,0xf883ff60,0x6c4ff8af,0x1ffd80ff,0x0006ffa8,0x3fee9ffd,
    0xffd80003,0x904ffa81,0x7fd41fff,0x333dff55,0x5dffb533,0x91bfe000,
    0x1bfe01ff,0x7fdc0ffd,0x413fee00,0xff9807ff,0x6c1ffe05,0x7fd402ff,
    0xa82ffcc4,0xffffffff,0x003defff,0xb806ffb8,0x800005ff,0x6ffffff8,
    0x27fd4000,0x1fffe880,0x1fffa800,0xaa8bffa0,0x7ff7fc0a,0x3ffc4000,
    0x00bff700,0x401ffd80,0xffb04ffa,0x37fc0003,0x005ffb80,0x800ffec0,
    0x3fea2ffb,0x5ff8dfd0,0xf503ffd0,0x3fe000df,0x007ff93f,0x503ffb00,
    0x7ff409ff,0x7d57fea6,0x7ffe406f,0x0ffc8003,0xffd81bfe,0x5409ff10,
    0x37fc407f,0x74027fd4,0x1ffe00ff,0x2a00ffec,0x2ffcc4ff,0x999effa8,
    0xd0000199,0xff7005ff,0xfb00000b,0x09fff3bf,0x027fd400,0x00f7ffcc,
    0x402ffd80,0x3ffe2ffe,0x07fec6c2,0x01ffe200,0x0005ffb8,0x2a00ffec,
    0x3ffb04ff,0x037fc000,0x0005ffb8,0x8800ffec,0xc9bf65ff,0x07ff30ff,
    0x3ea0bffe,0xff88006f,0x007ff72f,0x503ffb00,0x7fcc09ff,0x2abff53f,
    0xffc806ff,0x7fd4002f,0x5c07ff32,0x05ff52ff,0x7ec03fd4,0x00ffec1f,
    0x3333bfee,0xcfffcccc,0x03ffb0cc,0x7cc4ffa8,0x0dff505f,0x7fcc0000,
    0x0bff7007,0xfffb8000,0x005fff70,0x3013fea0,0x0001dfff,0x7f403ff4,
    0x40bffe2f,0x44000ffd,0x3ee007ff,0x7ec0005f,0x27fd401f,0x6c01ffd8,
    0xffeeeeee,0x4eeeeeef,0x00017fee,0x74003ffb,0xfa93fe7f,0x201ff92f,
    0xffa82fff,0xfffa8006,0x1009ff50,0x3ffb0135,0xc809ff50,0x5ffa8fff,
    0x3a00dff5,0x22001fff,0x03ff74ff,0xffc9ffc4,0x201be600,0x3fe24ffa,
    0xffffc806,0xffffffff,0xffb1ffff,0x44ffa803,0xff505ff9,0x6400000d,
    0xff7004ff,0x7cc0000b,0x7ffec2ff,0x4ffa8000,0x037ffea0,0x00dff000,
    0x7ffc5ffd,0x001ffb02,0x2007ff88,0x40005ffb,0x7d401ffd,0x03ffb04f,
    0xfffffff8,0xffffffff,0x017fee5f,0x003ffb00,0x7fccffdc,0x6feaffc2,
    0x2a0fffe0,0xfe8006ff,0x01bfe65f,0x3f60ffee,0x04ffa81f,0xffaeffe8,
    0x200dff55,0x000efff8,0x03fedbfa,0x06feaff4,0xff8037cc,0x200ffee7,
    0xfffffffc,0xffffffff,0x803ffb1f,0x7fcc4ffa,0x00dff505,0x0fffc000,
    0x005ffb80,0x0bffd100,0x000bfff1,0x3ea09ff5,0x880004ff,0xffe805ff,
    0xfd817d42,0x7fc4000f,0x17fee007,0x03ffb000,0xfb04ffa8,0xcccc803f,
    0xccfffccc,0x3ee3cccc,0x7ec0005f,0x3fe6001f,0x7ec0ffbb,0xf103ff9f,
    0xdff507ff,0x2fffb800,0x3a017ff4,0x1ffd81ff,0x9804ffa8,0x55ffefff,
    0x7dc00dff,0x3f2004ff,0xc805ff8f,0x004ff8ff,0xe97fe400,0x998800ff,
    0x99999999,0x36199fff,0x7fd401ff,0xa837fc44,0x000006ff,0x5c00fff1,
    0xb00005ff,0x3ea01dff,0x7d4003ff,0x3fffb84f,0xd0000000,0x00fc85ff,
    0x88001ffb,0x3ee007ff,0x7ec0005f,0x27fd401f,0x0001ffd8,0x7dc01bfe,
    0x7ec0005f,0x77f4001f,0xdffb86fd,0xfff100ff,0x00dff509,0x542fffcc,
    0xff700eff,0x207ff60d,0xf9004ffa,0x3eabffff,0x7fec006f,0x7ff5001f,
    0xff5005ff,0x00003ff7,0xff8cff88,0xff800004,0x803ffb07,0x7fc44ffa,
    0x00dff506,0x1bfea000,0x005ffb80,0x01fffb80,0x000fffec,0xff889ff5,
    0x0000003f,0xe88bffa0,0x003ff606,0x400fff10,0x40005ffb,0x7d401ffd,
    0x03ffb04f,0x8037fc00,0x40005ffb,0x64001ffd,0xf984ffff,0x3e206fff,
    0x6ffa84ff,0x7ffeccc0,0x7fffb01f,0x1fffd713,0x2a07ff60,0x3fa004ff,
    0xdff55fff,0x6fff8800,0xffdff100,0xfdff1001,0x0355500f,0x3fefffa0,
    0xff800001,0x803ffb07,0xfff84ffa,0x1bfea3ce,0x7fe40000,0x17fee005,
    0x7fff3000,0x0dffd100,0x3627fd40,0x400004ff,0xfe802aa8,0xd807fa2f,
    0x7c4000ff,0x3fee007f,0xeeeeeeef,0x7ec4eeee,0x27fd401f,0x0001ffd8,
    0x7dc01bfe,0xeeeeeeff,0x6c4eeeee,0x7d4001ff,0xfff02fff,0x7ffc409f,
    0xeefffa84,0xfffffeee,0x36201fff,0xffffffff,0x07ff602f,0x98013fea,
    0xff55ffff,0xfff7000d,0x3fffa007,0x3fffa006,0x03fff805,0x0dffff50,
    0x1ffe0000,0x2a00ffec,0xfffd84ff,0x01bfea7f,0x1ffec000,0xddfff700,
    0xdddddddd,0x37ff449d,0x09fff300,0xfa93fea0,0xeeeeeeff,0x00eeeeee,
    0x7403ffd4,0xb002e2ff,0xf88001ff,0x3fee007f,0xffffffff,0x7ec5ffff,
    0x27fd401f,0x0001ffd8,0x7dc01bfe,0xffffffff,0x6c5fffff,0xff8001ff,
    0xfffb00ff,0x27ffc403,0x7fffffd4,0xffffffff,0xffd5000c,0xd801bfff,
    0x4ffa81ff,0xafffe400,0xd0006ffa,0xf9001fff,0x7dc009ff,0xfff803ff,
    0x3fffe003,0xff000003,0x007ff60f,0x3f209ff5,0xdff50fff,0x3fa00000,
    0x3fee002f,0xffffffff,0x3f65ffff,0x7e4000ff,0xffa802ff,0x3fffff64,
    0xffffffff,0x7fd400ff,0x02ffe807,0x0007fec0,0xb801ffe2,0xffffffff,
    0x45ffffff,0x7d401ffd,0x03ffb04f,0x8037fc00,0xfffffffb,0x5fffffff,
    0x4000ffec,0x3ee06ffd,0x7774407f,0xfffffa83,0xbeefffff,0x06a60000,
    0xa81ffd80,0xfe8004ff,0x00dff55f,0x017ffe60,0x8007ffe6,0xf801fff9,
    0x3f2003ff,0x000000ff,0x3ff60fff,0x027fd401,0x0dff5062,0x3ffe0000,
    0x3ffee000,0xffffffff,0xfff55fff,0x3ffa0005,0x27fd400f,0xfffffffd,
    0xffffffff,0x07ffa801,0x0002ffe8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0xaa8000aa,0x2a20002a,0x555540aa,0xaaaaaaaa,0x531aaaaa,
    0xaa880035,0x6edcc02a,0x5555511c,0x55555555,0x00555555,0x80055530,
    0x000aaaa9,0x26355530,0xaaaaaaaa,0x5551001a,0x25551000,0xaaaaaaa8,
    0xaaaaaaaa,0x5555510a,0x55555555,0x2a215555,0xaaaaaaaa,0xdd700019,
    0x9ddddddd,0x777775c0,0x2a04eeee,0xeeeeeeee,0x7776405e,0x03eeeeee,
    0x00333260,0xddddddd3,0x26662bdd,0x99999999,0x00019999,0x35500198,
    0x00000000,0x00000000,0x40000000,0xa8001ffd,0xd0004fff,0xfffd0dff,
    0xffffffff,0x2e7fffff,0x3a2005ff,0x3f202fff,0xff33ffff,0xffffffff,
    0xffffffff,0xfff8001f,0x3fee000f,0xfd0004ff,0x3ffeebff,0xffffffff,
    0xfff301de,0x2dff5000,0xfffffff9,0xffffffff,0xfffff31f,0xffffffff,
    0x3ea3ffff,0xffffffff,0x2002efff,0xfffffffc,0x3ff205ff,0x5fffffff,
    0x3ffffee0,0x6c06ffff,0xffffffff,0x3fea004f,0x7ffd401f,0x97ffffff,
    0x33333333,0x53333333,0x3fb6e203,0x03ff12de,0x3000bff0,0x59dffdb7,
    0x3fb6e200,0x5cc003ce,0x300acefd,0x017bdfb7,0x677f65c0,0x00ffec03,
    0x01fffc80,0x407ffdc0,0xfffffffe,0xffffffff,0x00bff73f,0x807fffa2,
    0x1ffffffb,0xfffffff3,0xffffffff,0x4001ffff,0x003ffffa,0x01ffffee,
    0x57fffe60,0xfffffffb,0x2fffffff,0x8007ff98,0xfff36ffa,0xffffffff,
    0x263fffff,0xffffffff,0xffffffff,0xfffff51f,0xffffffff,0x995007ff,
    0x79999999,0x66666540,0x2603cccc,0xcccccccc,0x6665c03c,0x02cccccc,
    0x007ffea0,0x99999993,0x0000e999,0xffff5033,0xbfdfffff,0x0017fe00,
    0xfffffff9,0x7dc01bff,0xefffffff,0x7fffd401,0x6c2fffff,0xffffffff,
    0x7fff4c02,0xb00effff,0x220003ff,0x26006fff,0x99703fff,0x99999999,
    0x27fffd99,0xe8805ffb,0x7f401fff,0xccc881df,0xfffdcccc,0x4ccccccc,
    0x7ff7ec00,0x3ffee006,0x7dc002ff,0xdff75fff,0xb9999999,0xf987ffff,
    0xffa8007f,0x999fff36,0x99999999,0x3ffe6199,0xcccccccc,0x50cccccc,
    0x99999fff,0xffffd999,0x00000007,0x00000000,0xff500000,0x3800003f,
    0x320cc000,0xfebcefff,0x3e006fff,0x3ffa005f,0xffecbcef,0xdfff705f,
    0x5fffd979,0x37fffea0,0xb2fffecb,0xfb77bfff,0x3fea07ff,0xffecbcef,
    0x01ffd81f,0x0fffea00,0x002fff40,0x4bfff300,0x74405ffb,0xff801fff,
    0xff10001f,0x7c40000f,0x002ffccf,0x09ffdff7,0x5ffffe80,0xb100bff7,
    0x7ff98fff,0x36ffa800,0x98000fff,0xa80006ff,0xfd3006ff,0x000001ff,
    0x00000000,0x88000000,0x80000199,0x30cc0003,0xfb307fff,0x3fe001ff,
    0x1dff5005,0x307ffee0,0x3f607fff,0x7ffc40ff,0xefffb80d,0xff980dff,
    0x1fffc40f,0xfd86ffc8,0x7ec0001f,0x7fdc00ff,0xd100000f,0x7fdc1dff,
    0x3fffa205,0x00fff001,0x003ffc40,0xf35ff700,0x3fee00bf,0x26007ffc,
    0xf75ffdff,0x7ffc00bf,0x001ffe61,0x7fcdbfea,0x7fcc0007,0xffa80006,
    0x2fff4006,0x3bfb6e20,0x0332e03c,0x26039950,0x2ceffedb,0x3bfb2e00,
    0x0000003c,0x0380cca8,0xffd0cc00,0x3fffe207,0x00bff005,0xff00bffa,
    0x03ffe85f,0x3f227fec,0x3fee00ef,0x3ea00fff,0x027fe45f,0xffb0fff2,
    0xff880003,0x3ffe206f,0x3fa00002,0x2ffdc0ff,0x01fffe88,0x8001ffe0,
    0x00007ff8,0x0ffe9ffa,0xfccffb80,0x5ff9002f,0x17feebff,0x264ffd80,
    0xfa8007ff,0x00fff36f,0x006ff980,0x006ffa80,0xb81fffc4,0xffffffff,
    0x00ffe81e,0x7e41ffdc,0xffffffff,0x3ffa600d,0x00efffff,0x99999995,
    0x07999999,0x01c0ffec,0x7fcc6600,0x3ff3fa07,0x05ff800f,0xf900b970,
    0x037fcc7f,0xfd07ffc4,0xffff003f,0x23ffb005,0xfa807ff8,0x00ffec7f,
    0x7d407999,0xbffd03ff,0x7fec0000,0x85ffb82f,0x800effe8,0xccfffcca,
    0x3fe2001c,0xff300007,0x401ffe4b,0x4ff9cffb,0xff59fd00,0x8017feeb,
    0x3fe63ffc,0x6ffa8007,0x8000fff3,0x80006ff9,0xc8006ffa,0xfffb86ff,
    0xfffecbce,0x2007ff42,0x7ff43ffb,0xffecbcef,0xdfff505f,0x3fffd979,
    0xffffff90,0xbfffffff,0x1c0ffec0,0x7dc66000,0x36df904f,0xdddd91ff,
    0xdddfffdd,0x20003ddd,0x3fee3ffc,0x23ffb003,0xf9006ff8,0xff7001ff,
    0x4017fea5,0x3ff60fff,0x01dffb01,0x5c0fffd8,0x00000fff,0x2e07fff7,
    0x7ff445ff,0xfff9000e,0x005fffff,0x0003ffc4,0x3e62ffd8,0x4ffb807f,
    0xff300fff,0x3eebff53,0x3ffa005f,0x001ffe61,0x7fcdbfea,0x7fcc0007,
    0xffa80006,0x7ff88006,0xd81fffcc,0x3ffa0fff,0x51ffdc00,0x3ee01dff,
    0x7ffc41ff,0x70dff903,0xdddddddd,0x407fffbd,0x00381ffd,0x2ffc8cc0,
    0xff70ffa8,0x3fffff67,0xffffffff,0xba9802ff,0x323ffffd,0xff9002ff,
    0x4017fe65,0xaaaafffa,0xffcaaaaa,0x999dff73,0xfd999999,0x40ffec3f,
    0x8800effd,0x3fe25fff,0xf300002f,0x7fdc0bff,0x03bffa25,0xfffcca80,
    0x22001ccc,0x880007ff,0x7ff40fff,0xca7fdc02,0xbfe401ff,0xbff75ffa,
    0x31ffea00,0xf5000fff,0x01ffe6df,0x00dff300,0x00dff500,0xfe87ffa0,
    0x27fec03f,0xfb801ffd,0x00bffa3f,0xffc85fff,0x01ffe404,0x405ffd80,
    0x00381ffd,0x1ffd8cc0,0xff70ffcc,0x3fffff69,0xffffffff,0xfed982ff,
    0xffffffff,0x4007ff63,0x9ff74ffb,0x3fffe600,0xffffffff,0xfff94fff,
    0xffffffff,0x7ec5ffff,0x077fec1f,0x25fff500,0x00004ffd,0xb80dfff1,
    0xfffd15ff,0x3ffc0001,0x0fff1000,0x09ff7000,0xfb80bff7,0x809ff34f,
    0x2bff54ff,0x9999dffb,0xeffda999,0x557ffcc0,0xaaaaaaaa,0xf36ffcaa,
    0xf98000ff,0xfa80006f,0xffb0006f,0x201bfe65,0xffd0fff8,0x23ffb801,
    0xffc805cb,0x201ffe23,0xd8007ffa,0xffd806ff,0x4c000381,0x7443ffd1,
    0x027fdc3f,0xfb002ffc,0x7bffffff,0x7ff47ff9,0x29ff7001,0xf3003ffc,
    0xffffffff,0x2bffffff,0xfffffffd,0xffffffff,0xfd87ff63,0xfd8000ef,
    0x006ffaef,0x03fffa00,0xfd1bff70,0x4000bfff,0x220007ff,0xe80007ff,
    0xfff881ff,0xf93fee00,0x47fe607f,0xfff75ffa,0xffffffff,0xff301dff,
    0xffffffff,0xffffffff,0x3ffffe6d,0xffffffff,0x7fffcc3f,0xffffffff,
    0x3ea2ffff,0xff90006f,0x400ffee7,0x1ffd1ffd,0x003ffb80,0x7d47ff90,
    0x1fff005f,0x07ffdc00,0x1c0ffec0,0x7ec66000,0x3217f63f,0x5ff803ff,
    0x7bfffb00,0x23ffb813,0xf9002ffd,0x013fee7f,0x00037fd4,0x80007ff9,
    0xdffb1ffd,0x3fe20001,0x0001ffff,0x003fffb0,0xdffddff7,0x20005fff,
    0x220007ff,0x4c0007ff,0x3ff606ff,0xc93fee04,0x4df901ff,0xfff75ffa,
    0xffffffff,0xff301dff,0xffffffff,0xffffffff,0x3ffffe6d,0xffffffff,
    0x7fffcc3f,0xffffffff,0x3ea2ffff,0xff90006f,0x400bff2b,0x1ffd2ffc,
    0x803ffb80,0xffffdba9,0x333bfee3,0xeccccccc,0xff5001ff,0x3ff6003f,
    0x4c000381,0x3eebff71,0x01ffd80e,0xfa805ff8,0x7fec01ff,0x400ffee3,
    0xbff53ffd,0x01ffee00,0x004ffb80,0x7ecffec0,0x540000ef,0x0004ffff,
    0x007fff70,0x37ffffee,0x000fffd8,0x20007ff8,0x40007ff8,0x3ea03ffc,
    0x93fee07f,0x9ff04ff9,0xffbaffd4,0xeeeeeeef,0x4c3fffff,0xcccccfff,
    0xdccccccc,0xffff36ff,0xffffffff,0xfff987ff,0xeeeeeeee,0x2a1eeeee,
    0xfb0006ff,0x007ff69f,0xffea7fdc,0x41ffdc00,0xfffffed9,0x3f23ffff,
    0xffffffff,0x02ffffff,0x002fff98,0x00e07ff6,0x3fea3300,0xfd01ff9e,
    0x0bff001f,0xd009ff70,0x2ffd47ff,0xf11fff80,0x3ffa00ff,0x1bcb801f,
    0x2e00dff3,0x3bff60ac,0x00006fff,0x0000dffb,0x8017ffe6,0x225ffffb,
    0xf8006fff,0x3e20007f,0x7fc0007f,0x17ffc00f,0x7f44ffb8,0x2a1ff987,
    0x0bff75ff,0x4bfff910,0xa8007ff9,0x0fff36ff,0x06ff9800,0x06ffa800,
    0x3a7ffd00,0xff7001ff,0x7003ffa9,0xfffd87ff,0xfcbdffff,0x3ffff63f,
    0xffffffff,0x7cc03fff,0x7ec003ff,0x4000381f,0xfffff119,0x01bfee07,
    0x7ec02ffc,0x7ffcc03f,0x007ffe24,0xffe8dff7,0x7fffd403,0x0fffc406,
    0xfb805fff,0x3fff60ff,0x0003ffff,0x0005ffb8,0x006fff88,0x542fffdc,
    0x7c004fff,0x3e20007f,0x3ea0007f,0xffffffff,0x705fffff,0x1ffc89ff,
    0x3fea37e4,0x400bff75,0xff30fffa,0xdff5000f,0x0001ffe6,0x0000dff3,
    0x2000dff5,0x5ffb2fff,0x74fff200,0x7fe400ff,0x2f7fff63,0x91ffdc09,
    0x800007ff,0x8004ffe8,0x00381ffd,0xfff90cc0,0x07ffe60b,0x6402ffc0,
    0x3fe607ff,0x77fdc4ff,0x85fff300,0xf302fff9,0x409fffff,0x7fd46ffd,
    0x9fff101f,0xfadfffd8,0x5c0001ff,0xe80005ff,0x5c000fff,0x3ff206ff,
    0x1ffe002f,0x07ff8800,0x3ffff600,0xffffffff,0xffb81fff,0x3e27fcc4,
    0xbaffd43f,0x7f4005ff,0x00fff32f,0x3e6dff50,0x7cc0007f,0xfa80006f,
    0xff88006f,0x007ff71f,0x7ff4fff6,0xa9ffec00,0x7ec01fff,0x013fee3f,
    0x0bffd000,0x207ff600,0x10cc0003,0x315bffff,0x4009fff9,0xff9803cc,
    0xfba88adf,0xfe84ffff,0xfc989bff,0xfffb03ff,0xfff73159,0x15dfff5b,
    0x03fffd73,0x5139fffd,0xd81dfff9,0x1bff25ff,0x0bff7000,0x1fffc800,
    0x05ffb800,0x8007fff4,0x220007ff,0xf10007ff,0x999999ff,0x9ffd9999,
    0xfd09ff70,0x2a07fd4f,0x0bff75ff,0xf35ffc80,0xff5000ff,0x001ffe6d,
    0x000dff30,0x000dff50,0x3ea1fff5,0x3fff005f,0xfd007ff6,0x013fee7f,
    0xff98fffa,0x01597006,0x0003bff6,0x01c0ffec,0xffa86600,0xffffffff,
    0x4000005f,0xfffffffc,0x86ff8cff,0xffffffd8,0x7e403fff,0xffffffff,
    0x3ffffe64,0x102fffff,0xfffffffb,0xffb01fff,0x01fffc43,0x00bff700,
    0x01fffdc0,0x405ffb80,0xf005fff9,0x7c4000ff,0xff70007f,0x3ffdc00b,
    0x7e427fdc,0xf50dfb2f,0x017feebf,0x3e6bff90,0xffa8007f,0x000fff36,
    0x0006ff98,0x8006ffa8,0x3fe25ffe,0x37fdc01f,0x7cc07ffb,0x07ffb3ff,
    0x7c4fff98,0x7fdc02ff,0x0fffc80f,0x07ff6000,0x2330000e,0xffeaaff8,
    0xd901efff,0xdddddddd,0x83dddddd,0xdfffffea,0x5c07ff61,0x2ceffffe,
    0xffffd300,0xfd9105bf,0x0019ffff,0xffffffd5,0x20ffec07,0x0001fffa,
    0x2000bff7,0x0004fff9,0x2e017fee,0xff803fff,0x3fe20007,0x5ffd0007,
    0x17ffc400,0x3e613fee,0xf507ff4f,0x017feebf,0x3e67ffd0,0xffa8007f,
    0x000fff36,0x0006ff98,0x4006ffa8,0x7dc1fffb,0xfff300ef,0x407ffdc5,
    0xf93ffff8,0x7ffcc0ff,0x0fffd44f,0xb84fff88,0x40001fff,0x00381ffd,
    0x44e98cc0,0xfd801a98,0xffffffff,0x02ffffff,0x00003531,0x300002a6,
    0x54c40035,0x26a60001,0x81ffd800,0x70006ffd,0xf1000bff,0xb8000bff,
    0xffb005ff,0x07ff803f,0x01ffe200,0x001ffe60,0xff71bff2,0x3ebffa09,
    0x75ffa80f,0x7d400bff,0x0fff31ff,0x26dff500,0x4c0007ff,0xa80006ff,
    0x3e6006ff,0xfffd05ff,0xfff93137,0xbefff887,0xffeffca9,0x15bfff33,
    0xfffff751,0x39fffd09,0x1dfff951,0x002fffa8,0x381ffd80,0x010cc000,
    0xffffb000,0xffffffff,0x00005fff,0x00000000,0x00000000,0x881ffd80,
    0xb8003fff,0xfe8005ff,0x5c0000ef,0xff1005ff,0x3ffc01df,0x0fff1000,
    0x009ff900,0x5c3fff30,0xdff904ff,0x57fea0bf,0xb8805ffb,0x3fe66fff,
    0x6ffa8007,0x8000fff3,0x80006ff9,0x4cc06ffa,0x100ffffd,0xfffffffb,
    0x3fee07ff,0x9cffffff,0x3fff23ff,0x8cffffff,0xffd886ff,0xffffffff,
    0x56fffcc0,0xcccccccc,0x3ffb00cc,0x99999990,0x99999999,0x000003b9,
    0x2aa60000,0xaaaaaaaa,0xaaaaaaaa,0x1111110a,0x11111111,0x00111111,
    0x00000000,0x2e03ffb0,0x5c001fff,0x7d4005ff,0xeeeeeeff,0xeeeeeeee,
    0x00bff75e,0xf02fffd4,0x7c4000ff,0xfff8007f,0x9ffd0001,0xf9827fdc,
    0xff503fff,0x3bbffeeb,0xffffeeee,0x3fe60fff,0x6ffa8007,0x8000fff3,
    0xeeeefff9,0xeeeeeeee,0xdfff55ee,0xffffdddd,0x7001ffff,0x59dffffd,
    0xffffe980,0xa87ff33e,0x1dfffffe,0x75407ff6,0x03ffffff,0xfffffff5,
    0xffffffff,0x007ff603,0x00000000,0xff700000,0xffffffff,0xffffffff,
    0x3fffee3f,0xffffffff,0x1fffffff,0x00000000,0x00ffec00,0xb800dffb,
    0x7d4005ff,0xffffffff,0xffffffff,0x00bff77f,0xf03fffd8,0x7c4000ff,
    0x7fd4007f,0x3fee0006,0xe813fee7,0xff500fff,0x3ffffeeb,0xffffffff,
    0x3ffcc1df,0x9b7fd400,0x4c0007ff,0xffffffff,0xffffffff,0xfffff56f,
    0xffffffff,0x5300019f,0x02a60001,0x006a6200,0x004d4c00,0x3fffffea,
    0xffffffff,0x0000001f,0x00000000,0xdddda800,0xdddddddd,0x1ddddddd,
    0xfffffff7,0xffffffff,0x0003ffff,0x80000000,0x3e201ffd,0x3ee003ff,
    0x7fd4005f,0xffffffff,0xffffffff,0x800bff77,0xf81fffe8,0x3e20007f,
    0x7fec007f,0x3fe20004,0x409ff73f,0x3ea05ffb,0xfffff75f,0x9bdfffff,
    0x01ffe603,0x7cdbfea0,0x7cc0007f,0xffffffff,0xffffffff,0xffffff56,
    0x179ddfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99700000,0x01cca801,
    0x400ccb80,0x79931cca,0x99500000,0x99999999,0xccc87999,0x52665402,
    0x80000199,0x33200ccb,0x0073323c,0x0ccb8400,0x500f3260,0x80000199,
    0x95002cc9,0x00000839,0x8554154c,0x00aa82a9,0x001eea80,0x002b32a2,
    0x2003774c,0x00bcdcc8,0x006f72e2,0x1002f2e6,0x013ae079,0x3bffb260,
    0x3ae6003c,0x71002def,0x2079dfdb,0xb9501fff,0x98359dfd,0x01deffdc,
    0x7f654797,0x7edc40bd,0x24cb82de,0x82cefeca,0x7dc00ffe,0x3627973f,
    0x1ffd0bdf,0xf73ffb80,0x1002dcbf,0xffffc85d,0xffffffff,0x0fffdc5f,
    0x363fff88,0xffb801ff,0x80ffec02,0x3fe0effd,0x64c0003f,0x5c07ff97,
    0x3fe00fff,0x00033e27,0xd007ff88,0x01f441ff,0xff100764,0x3e66fc87,
    0x0037ec2f,0xd802ffec,0x00ffffff,0x2007ffa8,0xfffffffa,0xffffe981,
    0xffff903f,0x3fe607ff,0x8009f906,0xfffffffd,0x3fee00ef,0x0effffff,
    0x3ffffee0,0x7fc1efff,0x7ffec41f,0x73ffffff,0xffffffff,0x3f2dfb09,
    0x30ffffff,0xbfffffff,0xfff97fd8,0xfe8bffff,0x9ffdc00f,0xffffd6fd,
    0x7003ffa9,0x57fee7ff,0xfd735ffb,0x3ffd117b,0x7777775c,0x3fffdeee,
    0xfb06ffd8,0x01ffd8bf,0x6c02ffb8,0xeffd81ff,0x001fffc0,0xf37ffda8,
    0x7fff40bf,0x449ff302,0x0001dfff,0xf9805ffb,0x0fffa26f,0x3605ffc8,
    0x217fd46f,0x3fe20ffc,0x3ffe6003,0x5ffdc00f,0xa804ffb9,0xff1007ff,
    0x8dff735b,0xffcdfff8,0x567fd43f,0x7dc0ffeb,0x87f706ff,0x3bfff200,
    0x0ffffdbc,0xbcefffc8,0xb80efffd,0xecbcefff,0x3ffe2fff,0x37fffa21,
    0xefffecbc,0xfdbbdfff,0x6ffec2ff,0xffffceff,0xfddfff9d,0x3ff62fff,
    0xffddfffc,0x03ffa4ff,0x3f67ff70,0x1fffffde,0xfb801ffd,0x22bfd53f,
    0xfffffffe,0x05ffffff,0x20bffb00,0x7dc3fff8,0x0ffec0ef,0x2017fdc0,
    0x7fec1ffd,0x02eed80e,0x3fffae20,0x441ffe6f,0xf704ffff,0x7fffc45f,
    0x7d4003ef,0x17fe405f,0x320ffff2,0xff702fff,0x4437fc45,0x0ffe45ff,
    0x4ffffc80,0x3f217640,0x04cc9807,0xff50df70,0xb107fe41,0x22ff41ff,
    0xffd13ff9,0x233eadfd,0x03eb8bfa,0xd101fff1,0xfff987ff,0x44ffe883,
    0xf903fff9,0x83f2a1ff,0x3f205ffb,0xe880efff,0x3fff60ff,0x7fffd40f,
    0x37fec0cf,0x817dfffb,0xffd0fffc,0xb3ffb801,0x7515dfff,0x2e007ff4,
    0xd127c3ff,0xffbfffff,0x2000bfff,0x7d406ffd,0x3fff30ff,0x7003ffb0,
    0xffd805ff,0x003bff61,0x7ffe4c00,0x7fe42dff,0x6feffa82,0x3aa0ffd0,
    0x00cfffff,0x7c01fff0,0xfffc80ff,0x40bfff23,0x7fec5ff8,0x447ff701,
    0xff8806ff,0x8000ffdc,0x000005fe,0xf0ffd404,0x85ff507f,0x997fc408,
    0xfb6fb8cf,0xfffdfdff,0x813fea0d,0x7fec6ffa,0xd1ffea04,0xffd807ff,
    0x0fff1b25,0x00ffff88,0xffd9bfe2,0x7fffb01f,0xfd9ffe20,0x3ffa01ff,
    0xb801ffd2,0x3fffb3ff,0x2007ff40,0x0fe23ffb,0x5c45dff9,0xb8002fff,
    0xfc800fff,0x207ffd5f,0xfb801ffd,0x8ffec02f,0x0000effd,0xfffffea8,
    0x09ff500c,0x81ff9df9,0x64c05ff8,0x02dfffff,0xfa817fe4,0x3fff204f,
    0x202fffcb,0x3fea1ffe,0x507ff404,0xffb809ff,0x2003ff99,0x2a60dffd,
    0xaaaaaaaa,0x80aaaaaa,0xffffedb9,0xf105ff11,0x1ff9007f,0x736fb822,
    0x7bffffdb,0x017fea03,0x01fff013,0xff30ded8,0x1fff300f,0x03dc897a,
    0xc803fff8,0x0bffb1ff,0x3e03ffdc,0x09ffb0ff,0xffd3ffc8,0xb3ffb801,
    0xffe80bff,0x71ffdc00,0x00ffe83f,0xa8009ff5,0xd1001fff,0x40bffdff,
    0xfb801ffd,0x4ffec02f,0x40005ffd,0xefffffc8,0xd0dff002,0xa85ff59f,
    0xd71002ff,0x017dffff,0x3f60bff3,0x7ffe401f,0x3f202fff,0x03ffe24f,
    0xfe8dff30,0xe9bfe02f,0xfff3006f,0xfffffd87,0xffffffff,0x3ffa22ff,
    0x31ffefff,0x13fa03ff,0x5c07ff90,0x2fff986f,0x1dfff880,0x017fe200,
    0x8027fdc0,0x00debffd,0x007ffa00,0x7fecbfea,0x01bfea03,0x3ff61ffd,
    0xe9ffdc03,0x7fdc00ff,0xe807ffb3,0x7fdc00ff,0xff987f53,0x003ff404,
    0x8005fff3,0x00fffff9,0xaaa87ff6,0xacffdaaa,0xffb2aaaa,0x000bfffd,
    0x67ffffec,0x07fec001,0x9ff15ff1,0x8000ffd8,0x4fffffd9,0x7c40ffe8,
    0xfff9006f,0x7ffcc05f,0x400fff60,0x3fe63ffd,0x22ffb80f,0x98802ffb,
    0xffb0ffda,0xffffffff,0x745fffff,0xff30acff,0x7c0ffe23,0x7ffd103f,
    0x7cc6fb80,0xc802ffaf,0x0bdfffff,0x0013fea0,0xc8017fe4,0x4c005fff,
    0xcffffeca,0xcccccccc,0x5ffb4ffd,0x202ffcc0,0x5ffb0ffe,0xfd4ffa80,
    0x3ffb801f,0xfe805ffb,0x77fdc00f,0x1ffb83fe,0x400ffdc0,0x0003fff9,
    0xd805fff9,0xffff11ff,0xffffffff,0x3ff6ffff,0x003fffff,0x0befff88,
    0x45ff7000,0x8dfd0ffa,0x440005ff,0xfb87ffeb,0x01ffd43f,0x03ffffc8,
    0xff89bfee,0xdff7001f,0x7417ffc4,0x02ffc47f,0x54cffe20,0xaaaaaaaa,
    0x10aaaaaa,0x3ff507ff,0x7fc42ffc,0x01fff982,0x3fe26fb8,0x9003ff94,
    0xdfffffff,0x007ff707,0x4007ff60,0xc9805ffb,0xfffffffe,0xffffffff,
    0xb5ffffff,0x7fcc03ff,0xd87ff405,0x7fd401ff,0xb801ffd4,0x03ffb3ff,
    0x5c00ffe8,0xf700aeff,0x1ffc803f,0x027ff440,0x0bfffb00,0xff11ffd8,
    0xffffffff,0x36ffffff,0xfffadfff,0x7ffc4000,0xf10000be,0xf937ecbf,
    0x00ffe61f,0xffff9100,0xfd8dff10,0xfffc800f,0x3fa03fff,0x01bfea2f,
    0xfc83ffe2,0x84ff984f,0x66441ffc,0x0027fc40,0x221ffc00,0x3ff21fff,
    0x303ff621,0x2e001dff,0xe83fa66f,0xff93002f,0x41dfffff,0xd0003ffc,
    0x3ee003ff,0x7ffe404f,0xfeacefff,0xffffffff,0xfb6fffff,0x2ffcc03f,
    0x7ec3ffa0,0xa7fd401f,0x7e400ffe,0x803ffb3f,0x7e400ffe,0x2ffc403f,
    0x3a01ffe0,0x2e0005ff,0x203fffff,0x2aaa1ffd,0xacffdaaa,0xffb2aaaa,
    0x0037fecb,0x67ffffe4,0x27fe8001,0x4bfea4ff,0x50000ffc,0x09fffffb,
    0x7fc47ff6,0xafffc805,0xf303fffc,0x02ffd8df,0xff11ffe4,0x03ffb01d,
    0xbfd0bff3,0x003ff621,0x3200ddd3,0xfffdbdff,0x3bffe22f,0x7d43fffc,
    0x099999ef,0x4188df70,0xb7300009,0x7dcfffff,0xffb0003f,0x0fff2005,
    0x1befffd8,0x0000ffe8,0x7cc03ffb,0x87ff405f,0x7d401ffd,0x801ffd4f,
    0x3ffb3ffd,0x400ffe80,0xfe803ffd,0x09ff500f,0x000effd8,0xff5fff10,
    0x07ff603f,0xb00bfee0,0x7ffc43ff,0xfeb88003,0x2002efff,0x2ff99ffb,
    0x06feaffc,0x7fff5c40,0x7fd402ef,0xc805ff73,0x3ff22fff,0x47ff703f,
    0x3e206ff8,0x40ffec5f,0x3fa05ff8,0x77ffcc0f,0xfa804fff,0xffd1007f,
    0x89fb3dff,0x3fffffe9,0x7fffffc4,0xdf705fff,0xb8000000,0x9ff52fff,
    0x2e135100,0xffb003ff,0x07ffe605,0x0003ffd0,0xf9807ff6,0x87ff405f,
    0x7d401ffd,0x803ffb4f,0x3ffb3ffe,0x401ffd80,0xfc803ffe,0xff930bff,
    0x7ffe405f,0x3ffa0000,0x360dff73,0xffb801ff,0x20ffec02,0x0000fffa,
    0x3fffff6a,0x5ffcc00c,0x7fec0ffb,0x93003ff9,0x03bfffff,0xffeb7fc0,
    0x0bfff200,0x6c0ffff2,0x0ffea0ff,0xff307fec,0x80bff209,0xfea83ffa,
    0xf5003eff,0xbb8800ff,0x6540aa61,0xeeea81bc,0x04eeeeee,0x20000bd5,
    0x7ec00cba,0x00dff34f,0x3fea7ff7,0x0fff8805,0xf009ff90,0x9b7005ff,
    0x9807ff63,0x7ff405ff,0xa803ffb0,0x07ffb4ff,0xfd9fffcc,0x1ffec01f,
    0x807fff30,0xeffffff9,0x80efffff,0x0001fffb,0xffd1bff2,0x003ffb09,
    0xfd805ff7,0x06ffd81f,0xfffc9800,0x3fa02dff,0xffb86fde,0x75400ffd,
    0x00cfffff,0xffaffc80,0x0bffa204,0xf105ffc8,0x40ffc89f,0x37f42ffa,
    0x99009990,0x98000807,0x000006ee,0x00000000,0x3ff60000,0xd1ffe404,
    0xffe805ff,0x803fff11,0x3fa06ffb,0x7ffe403f,0x97ffc405,0x3e601ffd,
    0x87ff405f,0x7d401ffd,0x01fff74f,0x367ffff1,0x7fdc01ff,0xffff880f,
    0x3bffe603,0xefffffff,0x3fea0eff,0x3e60002f,0x7ffcc1ff,0x400ffec1,
    0x7ec02ffb,0x3fff881f,0x1000d554,0x0dffffd7,0x213ffff2,0x206ffff9,
    0x2efffff8,0x7ffcc000,0x174401ff,0x3ea02e40,0xd17fa21f,0x01ffa8bf,
    0x00000000,0x2aa98000,0x55545551,0x2602aaa1,0x0dddc41a,0x531bbb88,
    0x15555555,0x3feab332,0x1fff100f,0xb8077fd4,0x77fdc6ff,0x05fff300,
    0xf7037fe4,0x6c0bffff,0x07ff66ff,0x7405ff98,0x03ffb0ff,0xff14ffa8,
    0xff9537df,0x3ff67ffd,0x77ffc401,0xfeffca9b,0x57fea03f,0xd12ceda8,
    0x3ffe63ff,0xccccccad,0x3a20cccc,0xdff903ff,0x400ffec1,0x7ec02ffb,
    0x1fff701f,0x8001fffc,0xf507ffda,0x3fe05fff,0x3fe204ff,0x200001df,
    0x0006fffe,0x89d90000,0x1bd50ee9,0x4cc03ed8,0x99999999,0x26199999,
    0x99999999,0x41999999,0xfb82cdb8,0x7cfff76f,0x0bffe3ff,0x3ff60bfa,
    0x21fff706,0xfffffffe,0x3a7ffd1f,0xca8adfff,0xffd86ffe,0xffeb89bf,
    0xbfffe80f,0x5fffb989,0x96fffcc0,0xeadffdb8,0xeb89beff,0x3ff61fff,
    0x017fe601,0x3ff61ffd,0x727fd401,0xffffffff,0x3f67ff39,0xfffa801f,
    0xf9cfffff,0x002dc03f,0x7ffd43d1,0xffffffff,0x3f21ffff,0x27ff406f,
    0xf7003ffb,0x1ffd805f,0xff9bffa0,0x6440003f,0x03fffe07,0x100fffec,
    0x0000019f,0x0007fff7,0x00000000,0xffff1000,0xffffffff,0x3fe2ffff,
    0xffffffff,0x2a7fffff,0x5c5fffff,0x4fff76ff,0x3ffe3fff,0x405ffc42,
    0x7fc42ffe,0x3ffffa1f,0xffd1ffff,0x3ffffe27,0x105fffff,0xfffffffb,
    0x3f6205ff,0xffffffff,0xffff9004,0x447fffff,0xfffffffe,0x0ffec2ff,
    0xe80bff30,0x03ffb0ff,0x74c4ffa8,0xf33effff,0x007ff67f,0x77ffff4c,
    0x0007ff33,0xffff5000,0xffffffff,0x3fea3fff,0x7ffcc01f,0x0003ffb2,
    0x201ffd80,0xfff3fff9,0x80200007,0x3ee06ffd,0x0000007f,0x007ffc40,
    0x00000000,0x7fc40000,0xffffffff,0xf17fffff,0xffffffff,0x2fffffff,
    0xfda8cff8,0x7ddbfee4,0xf8fffe7f,0x7f64c2ff,0x237fc42f,0x66643ffb,
    0x90cccccc,0x7fdc45bb,0x803effff,0xdfffffea,0xfffeb800,0x54002cef,
    0x1defffff,0xfffffd90,0x03ffb019,0x3a02ffcc,0x03ffb0ff,0x2604ffa8,
    0x1ffd800a,0x000a9800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999900,0x99999999,0x66666499,
    0xcccccccc,0x887f97ff,0x2dff70ff,0x3ffa7ffa,0xfd017d43,0x745ff30b,
    0x8000005f,0x20001a99,0x260001a9,0x9880000a,0x2a62000a,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fd7fe80,0x3fea3f90,
    0x7ecdff35,0x1307e42f,0x2209ff73,0x00006609,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,
    0x3fb03fb7,0x7fc53fe6,0xe883ff24,0x3ffffe26,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd000000,0xff113eef,0x8ffe2ff8,0x10ff47fa,0x1019dffd,0x10037975,
    0x7750eee3,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe800000,0x3f2fbfa7,0xfb0ff42f,0x02e37cc5,
    0x7fffd400,0xe980beff,0x7ec1fff2,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0xeeeeeeee,0x5eeeeeee,
    0x13ff4000,0x107ffffb,0x00981883,0xffff7000,0x7bffffff,0x3fe5ffd7,
    0x007ff60f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff1000,0xffffffff,0x8000ffff,0x0aa987fe,0x00000000,
    0x7ee6ffdc,0xffffffff,0x41ffd2ff,0x00001ffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffc4,0xffffffff,
    0x7f40007f,0x00000007,0x4075c000,0xfffffeb9,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00300000,0x002b332a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_38_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,2,2,1,1,2,1,
3,0,1,3,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
3,1,1,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-1,-1,-1,-1,-1,2,1,2,3,3,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,2,1,2,2,2,2,2,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_38_latin_ext_y[560]={ 30,5,5,5,3,5,5,5,5,5,5,9,26,19,
26,5,5,5,5,5,5,5,5,5,5,5,12,12,9,12,9,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,34,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,15,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,12,5,5,9,5,
5,5,5,5,5,13,12,19,5,1,5,9,5,5,5,12,5,16,29,5,5,13,5,5,5,12,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,10,4,-1,-1,-1,0,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,11,11,5,5,5,5,5,5,5,
1,7,-1,5,5,11,-1,5,-1,5,-1,6,-1,5,-1,5,5,5,1,7,-1,5,0,6,5,11,-1,5,-1,5,
-1,5,0,6,5,3,-1,-1,5,5,-1,5,1,7,0,5,5,5,0,12,5,5,-1,5,5,5,12,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,11,-1,5,5,5,11,0,7,-1,5,-1,5,5,11,-1,5,5,11,-1,5,
-1,5,-1,5,5,11,-1,5,5,6,-1,5,5,6,0,5,1,7,-1,5,-1,4,-1,5,5,12,-1,5,-1,5,
0,-1,5,0,6,-1,5,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,8,8,5,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,-1,1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-2,-1,5,-1,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_38_latin_ext_w[560]={ 0,5,10,19,17,28,21,4,9,9,12,17,5,10,
4,10,17,10,18,17,18,17,17,17,17,17,4,5,17,17,17,17,33,24,19,23,21,19,18,24,20,4,15,21,
16,24,20,24,20,25,23,20,21,20,23,32,23,23,20,7,10,8,16,21,7,17,16,16,16,17,11,16,15,4,
8,15,4,25,15,17,16,16,10,15,10,15,17,25,17,17,17,11,3,11,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,17,18,17,20,
3,17,10,26,12,15,17,10,26,21,10,17,11,11,7,15,19,4,8,7,12,15,27,27,28,17,24,24,24,24,
24,24,33,23,19,19,19,19,8,7,11,10,24,20,24,24,24,24,24,16,25,20,20,20,20,23,20,18,17,17,
17,17,17,17,28,16,17,17,17,17,7,7,12,10,17,15,17,17,17,17,17,17,17,15,15,15,15,17,16,17,
24,17,24,17,27,21,23,16,23,16,23,16,23,16,21,20,24,18,19,17,19,17,19,17,19,17,19,17,24,16,
24,16,24,16,24,16,20,15,25,17,13,12,11,11,11,11,8,8,5,4,21,12,19,12,21,15,15,16,7,16,
9,16,8,16,10,18,8,20,15,20,15,20,15,20,21,15,24,17,24,17,24,17,31,30,23,10,23,10,23,12,
20,15,20,15,20,15,20,15,21,10,21,13,21,9,20,15,20,15,20,15,20,15,20,15,20,19,32,25,23,17,
23,20,17,20,17,20,17,8,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,28,21,18,18,18,18,18,18,18,18,18,18,18,18,18,26,20,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,17,12,12,24,
17,20,15,20,15,20,15,20,15,20,15,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,24,17,33,28,25,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_38_latin_ext_h[560]={ 0,25,10,26,31,26,26,10,33,33,11,18,9,4,
4,26,26,25,25,26,25,26,26,25,26,26,18,23,18,12,18,25,33,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,27,25,26,25,26,25,25,25,25,25,32,26,32,14,3,6,20,26,20,26,20,25,27,25,25,
33,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,33,33,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,32,26,18,25,
33,33,4,26,13,16,11,4,26,3,10,21,13,14,6,25,32,4,8,13,13,16,26,26,26,26,31,31,31,30,
30,30,25,32,31,31,31,30,31,31,31,30,25,30,32,32,32,31,31,16,27,32,32,32,31,31,25,26,26,26,
26,26,26,27,20,26,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,14,21,26,26,26,26,33,32,33,
29,24,31,26,32,26,32,26,32,26,32,25,32,26,31,26,25,26,29,24,31,26,30,25,33,27,31,26,32,33,
32,33,31,32,32,35,31,31,25,25,31,25,29,23,30,25,33,33,30,18,26,33,32,33,32,32,18,31,31,32,
32,25,25,25,25,25,25,31,25,32,26,31,25,25,26,27,31,24,32,26,32,26,26,20,31,25,32,26,31,25,
32,26,32,26,32,26,32,26,35,33,31,26,25,25,31,26,30,24,32,26,32,27,32,26,33,26,31,25,31,33,
30,31,25,30,24,31,25,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,26,22,22,33,22,22,22,
22,22,22,22,22,22,22,22,22,22,26,20,22,22,22,22,22,22,22,22,22,22,22,22,22,26,19,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,26,31,25,32,
26,32,26,32,30,32,32,32,32,32,32,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,35,33,31,26,32,27,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_38_latin_ext_s[560]={ 509,294,454,363,121,285,93,449,158,219,495,
234,465,496,507,501,143,450,461,289,324,271,460,391,113,131,268,503,273,402,317,
480,229,118,168,434,248,228,209,228,188,498,115,62,409,143,216,436,370,443,237,
383,96,362,300,261,426,17,41,264,461,500,402,425,480,425,148,17,109,492,84,
63,343,507,210,1,507,85,111,443,30,92,143,1,359,127,335,291,211,327,193,
91,65,333,480,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,509,157,154,
1,175,80,69,179,499,458,449,370,420,496,201,447,438,407,475,419,488,313,293,
507,471,487,462,386,47,472,1,75,423,398,241,259,284,361,427,447,312,74,128,
341,406,504,370,330,163,309,208,279,233,482,216,353,37,426,172,349,491,50,461,
73,55,37,19,1,478,80,56,417,399,381,363,345,224,500,67,205,259,232,221,
203,185,167,149,431,389,97,81,65,49,284,332,302,398,304,148,424,304,383,42,
346,1,307,87,188,130,236,290,186,482,405,423,322,378,442,239,370,138,1,448,
253,218,121,105,374,26,25,354,1,100,84,401,49,468,388,386,358,145,329,391,
345,139,229,324,320,334,197,404,488,252,361,353,471,132,32,215,101,302,147,1,
173,248,258,496,94,273,166,126,469,1,270,193,165,379,183,253,461,26,341,163,
499,382,118,187,404,142,420,111,295,66,311,43,168,194,485,10,205,332,131,157,
288,313,346,272,485,243,330,263,239,51,131,266,103,199,415,187,178,340,470,352,
264,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,161,370,370,354,
370,370,370,370,370,370,370,370,370,370,370,370,370,207,34,370,370,370,370,370,
370,370,370,370,370,370,370,370,98,154,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,1,125,
115,289,80,277,437,314,400,223,479,1,458,43,59,421,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,18,73,436,20,17,19,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370, };
static unsigned short stb__arial_38_latin_ext_t[560]={ 1,276,342,167,135,222,249,342,1,1,328,
328,342,342,129,135,167,276,276,167,276,167,167,276,195,195,328,276,328,343,328,
276,1,302,302,195,302,302,302,222,302,276,249,302,276,302,276,222,276,135,276,
222,302,222,276,276,276,302,302,37,222,1,328,323,342,302,222,328,222,302,302,
167,276,103,1,302,249,328,328,302,249,222,328,328,276,328,328,328,328,195,328,
1,1,1,349,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,1,276,37,
195,328,276,1,1,349,195,328,328,343,342,222,323,343,302,328,328,342,249,37,
342,342,328,328,328,249,222,249,249,103,103,103,135,135,135,249,37,103,103,103,
135,70,37,70,135,276,135,70,70,70,103,103,328,167,37,37,70,70,103,249,
222,222,222,222,222,167,167,328,195,195,195,195,195,249,222,276,276,195,249,195,
195,195,195,195,328,302,195,195,195,195,1,70,1,135,302,103,167,70,167,70,
167,70,167,70,276,37,167,103,167,249,167,135,302,103,167,135,249,1,167,103,
167,37,1,37,1,135,70,37,1,135,135,249,276,103,249,135,302,135,249,1,
1,135,328,167,1,37,1,37,37,328,103,103,37,70,276,249,276,249,249,276,
103,249,70,167,103,249,249,222,135,103,302,37,222,37,222,222,302,103,249,70,
195,70,276,70,222,70,222,70,195,70,195,1,1,103,195,276,249,103,249,135,
302,37,222,37,135,37,222,1,195,135,276,103,1,135,70,249,135,302,70,249,
249,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,167,302,302,1,
302,302,302,302,302,302,302,302,302,302,302,302,302,167,328,302,302,302,302,302,
302,302,302,302,302,302,302,302,167,328,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,135,167,
103,249,37,195,1,222,1,135,1,37,1,37,37,1,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,1,1,70,195,37,167,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302, };
static unsigned short stb__arial_38_latin_ext_a[560]={ 151,151,193,303,303,484,363,104,
181,181,212,318,151,181,151,151,303,303,303,303,303,303,303,303,
303,303,151,151,318,318,318,303,552,363,363,393,393,363,332,423,
393,151,272,363,303,453,393,423,363,423,393,363,332,393,363,514,
363,363,332,151,151,151,255,303,181,303,303,272,303,303,151,303,
303,121,121,272,121,453,303,303,303,303,181,272,151,303,272,393,
272,272,272,182,141,182,318,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,151,181,303,303,303,303,141,303,
181,401,201,303,318,181,401,301,218,299,181,181,181,314,292,151,
181,181,199,303,454,454,454,332,363,363,363,363,363,363,544,393,
363,363,363,363,151,151,151,151,393,393,423,423,423,423,423,318,
423,393,393,393,393,363,363,332,303,303,303,303,303,303,484,272,
303,303,303,303,151,151,151,151,303,303,303,303,303,303,303,299,
332,303,303,303,303,272,303,272,363,303,363,303,363,303,393,272,
393,272,393,272,393,272,393,335,393,303,363,303,363,303,363,303,
363,303,363,303,423,303,423,303,423,303,423,303,393,303,393,303,
151,151,151,151,151,151,151,121,151,151,400,242,272,121,363,272,
272,303,121,303,121,303,159,303,182,303,121,393,303,393,303,393,
303,329,394,303,423,303,423,303,423,303,544,514,393,181,393,181,
393,181,363,272,363,272,363,272,363,272,332,151,332,204,332,151,
393,303,393,303,393,303,393,303,393,303,393,303,514,393,363,272,
363,332,272,332,272,332,272,121,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,409,408,408,303,408,408,408,408,408,
408,408,408,408,408,408,408,408,467,357,408,408,408,408,408,408,
408,408,408,408,408,408,408,465,364,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,363,303,151,121,423,303,393,303,393,303,393,
303,393,303,393,303,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,363,303,544,484,423,332,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_38_latin_ext(stb_fontchar font[STB_FONT_arial_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_38_latin_ext_s[i] + stb__arial_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_38_latin_ext_t[i] + stb__arial_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_38_latin_ext_x[i];
            font[i].y0 = stb__arial_38_latin_ext_y[i];
            font[i].x1 = stb__arial_38_latin_ext_x[i] + stb__arial_38_latin_ext_w[i];
            font[i].y1 = stb__arial_38_latin_ext_y[i] + stb__arial_38_latin_ext_h[i];
            font[i].advance_int = (stb__arial_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_38_latin_ext_s[i] + stb__arial_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_38_latin_ext_t[i] + stb__arial_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_38_latin_ext_x[i] + stb__arial_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_38_latin_ext_y[i] + stb__arial_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_38_latin_ext_LINE_SPACING
#endif

