// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT        382
#define STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_39_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_39_latin_ext_LINE_SPACING          25

static unsigned int stb__arial_39_latin_ext_pixels[]={
    0x02666000,0x7ffffc40,0xffffffff,0x04ffffff,0x00d40002,0x09998000,
    0x3baa0000,0x2662001e,0x26200000,0x200001aa,0x44000199,0x005552aa,
    0x8004ccc4,0x00000998,0x00002aa2,0x019aa998,0x9a988000,0x04cc4000,
    0x2aa01331,0x00001532,0x00026a66,0x000d4c40,0xaa885540,0x4cc40001,
    0x000ccc40,0x55555530,0x20000155,0x51002aaa,0x02aa8855,0x0002aaaa,
    0x5fff7000,0x3fffe200,0xffffffff,0x4fffffff,0xf9000d90,0xf700000b,
    0x400003ff,0x22004ffe,0x0001fffe,0x3ffffae2,0x0002ceff,0x0007fffb,
    0x7edbfff2,0x3bffa006,0xefff9800,0x7f440000,0x8002ffff,0xffffffd9,
    0x0002dfff,0x7fffff4c,0x5ffd001e,0xfd82ffdc,0x4000df56,0xffffffd9,
    0x6d4000df,0xcefffffe,0x337d4001,0x0003dfff,0xfd87ffe6,0x3f20004f,
    0x0fffffff,0xdffb8000,0x93ffa000,0x3e603ffe,0x000004ff,0x10027ff4,
    0xffffffff,0xffffffff,0xfe889fff,0x037cc006,0x3fff8000,0x3fea0000,
    0x7ffec006,0xfc8000ff,0xffffffff,0x5c004fff,0x002fffff,0xdb7fffdc,
    0xfff5006f,0xffff1003,0x744000bf,0x01ffffff,0x3ffffaa0,0xffffffff,
    0xfb8004ff,0xffffffff,0x22ffe803,0xdfb05ffb,0x26001ff4,0xfffffffe,
    0x9004ffff,0xffffffff,0x22007fff,0x3ffe61ff,0xf50000ff,0x01bfeadf,
    0x99999500,0x80001999,0x88004ff9,0x4ffb9fff,0x00fffa80,0xbff50000,
    0xfff00000,0x6ff88005,0x0017dc00,0x02ffdc00,0x03ffa000,0xf9dffb80,
    0x3fa2006f,0xcbcdffff,0x01effffe,0xfe8fff98,0x3ffe000f,0x00dfb1bd,
    0x7400bffa,0x03ffcaff,0x7bfff500,0x3fa200b9,0x119acfff,0xdffff953,
    0x3ffe6003,0xfffdb9bd,0x717ff401,0x9bf60bff,0xf5001ff9,0x9599dfff,
    0x40bffffb,0xcdffffd8,0x4ffffdcc,0xb985fd80,0x20003ffe,0x0fffcffc,
    0x00000000,0x0002cb80,0x1bffbfea,0x003ffc80,0x01ffd000,0x5fff0000,
    0x06ff8800,0x002ffe40,0x003bfa00,0x02ffa800,0x643ffe60,0xff8805ff,
    0x7e400dff,0x7f4407ff,0x01dff52f,0xfb0bff30,0x09ff300d,0xfe97ff20,
    0xffd8002f,0xfff98004,0x3aa000be,0xfc802fff,0x0bffd05f,0x2a60aaa8,
    0xd8dfb01a,0xfffa806f,0x3ff2202e,0x5fff905f,0x27ffe440,0x4403ff50,
    0x740006ff,0x0001ffff,0x7fc45fc8,0x45fc8000,0x5c000ff8,0x4000ffff,
    0x800007fd,0x00001ec8,0x8005fff0,0x6c006ff8,0x200005ff,0x00000aa8,
    0x59970000,0x6c01ccc8,0x26003fff,0x32a02fff,0x01665c3c,0x7ec1ffd4,
    0x004ca806,0x64c19991,0xfff8004c,0x7ffd4001,0x7fdc0004,0x0fff401f,
    0x000fffa8,0x98dfb000,0x3fe202ff,0xff9000ef,0x05ffd05f,0xe81bff20,
    0x07fe805f,0x16664400,0x45fc8000,0xc8000ff8,0x007fc45f,0x000d5540,
    0x00005544,0x007bff20,0x0bffe000,0x7ffccc40,0xffd80199,0x26600005,
    0x024c009a,0x00000000,0x0017ffd4,0x00037fdc,0x82ffb800,0x000006fd,
    0x3e200000,0x7fcc007f,0xf300002f,0x7ff401df,0x00337601,0x437ec000,
    0x3ff606fe,0x7ff4000e,0x0037fc45,0x3ea07ffe,0x0ffd802f,0x0d54c000,
    0x81a98000,0xa98000aa,0x3000aa81,0x00998833,0x13310666,0x71f98000,
    0xff00000d,0x3fea005f,0x007fffff,0x7ecc0000,0x1dffffff,0x54027fc4,
    0x510000bd,0xe8198815,0x3e0005ff,0x013312ff,0xf700ccc0,0x22dfb05f,
    0x26600099,0x00266201,0xdff73310,0xffd00333,0x000a9803,0x7e409ff7,
    0x9988005f,0xd8666000,0x81ffb86f,0x8003fff8,0x3ea1fffa,0x7fe4006f,
    0xb007fe83,0xc98001ff,0xdffffffe,0x07ff9802,0x265ffd00,0xfd0007ff,
    0x47ff985f,0xff302ffe,0x002ffe8f,0x007e26c0,0x05fff000,0x3ffffea0,
    0xaa9807ff,0x2200cc40,0xfffffffe,0xe88dffff,0x5f6c00ef,0x3ae2006d,
    0xfb2fffff,0x0fffcc1f,0x4c397000,0xf8800fff,0x0bfee06f,0x7ffcdbf6,
    0x06ff8800,0xf000bff6,0xffffffff,0x1ffd401f,0xefffeb98,0xfd8dff11,
    0xbfff100f,0x7ffcc001,0x26ff8800,0x5ff986fd,0x0007ffb8,0xfff102ae,
    0x40cc4003,0xfb005ff9,0x7fe4001f,0xffffffff,0x3fe601ff,0x5ffd0007,
    0x4001ffe6,0x7fcc2ffe,0x9817ff47,0x17ff47ff,0xf996e000,0x7fc00000,
    0xf331002f,0x640333ff,0xb2ffffff,0x3fea01ff,0xdcbcefff,0xffeffffe,
    0x5d07c400,0x3ffffa00,0xffdbffff,0x001ffee0,0x01fff400,0xf701ffdc,
    0x74dfb05f,0xffb803ff,0x00bff603,0xffffff88,0x3e206fff,0xffff705f,
    0xff53ffff,0x203ff98b,0x002efffa,0x2e00fffa,0x41bf63ff,0x7ff40ffe,
    0xfd000005,0x900001bf,0x3f6005ff,0xffe9800f,0xffcbceff,0xf303ffff,
    0x3fa000ff,0x00fff32f,0xf30bffa0,0x02ffe8ff,0xffe8fff3,0x6fc40002,
    0x800004eb,0x44002fff,0x7f4406ff,0xbfffffff,0xffa80ffd,0x7fdc03ff,
    0x7a801fff,0x7fe401ec,0xffda88bf,0x3ffa0fff,0xf7000006,0x1ffd00bf,
    0x6c17fdc0,0x017fee6f,0xfd803ffa,0x4ccc002f,0x0099affe,0x3ee03fee,
    0xffb8acff,0xfd83ffdf,0x3fffea06,0xffb800cf,0x20ffe805,0x3ff906fd,
    0x0004fff8,0x9ffff900,0x3f600015,0x07ff2007,0x09ffff30,0x1ffff5cc,
    0x8003ffcc,0xfff32ffe,0x0bffa000,0xaaa85551,0xa8555100,0xc80000aa,
    0x00001fff,0x4002fff8,0x7fc06ff8,0xfda88aff,0x7c40ffff,0xf1001eff,
    0x3e001fff,0xfb801f33,0xfff900ef,0x027ff41f,0xfff88000,0x01bfe600,
    0xdfb03ff9,0x3007ffc4,0xffd80dff,0x3ffe0002,0x30bfd000,0x3f607fff,
    0x7fb81fff,0xfecffc88,0x7c402fff,0x3fe600ff,0xfa837ec6,0x01fffc2f,
    0xfff90000,0x0037bfff,0xf90037fc,0xeffe803f,0xfffd1001,0x007ff983,
    0x3e65ffd0,0xffd0007f,0x00000005,0x7ffc0000,0xf800005f,0x7c4002ff,
    0x3bfee06f,0x1ffff900,0x000fffd8,0x017fffee,0x401fff54,0x7f401fff,
    0x0fffe0ff,0xffd80000,0x00fff203,0xdfb01ffb,0x3203ffd8,0x7fec03ff,
    0xdff30002,0x20bfe600,0x3e203ffe,0xffa80fff,0xf917fec0,0x6c01bfff,
    0x3ff203ff,0xf9837ec3,0x07ffe24f,0xff500000,0xbfffffff,0x02ffc405,
    0x5405ff70,0xe8001fff,0x3ffcc6ff,0x32ffe800,0x3a000fff,0x000002ff,
    0xf5000000,0x0001ffff,0x002fff80,0xf8837fc4,0x7ff401ff,0x13ffe20f,
    0xffdffa80,0x4006001f,0xfa805ff9,0x3fff10ff,0xddddd700,0xfa8bdddd,
    0x03ffe06f,0xfb05ff88,0x206ffa8d,0x7ec00fff,0xff50002f,0x21fee00b,
    0xfd807ffa,0x43ff306f,0xfe983ff8,0xff502fff,0x207ffc0d,0xbff306fd,
    0x000fffcc,0x7f5c4000,0xefffffff,0x004ff980,0x7c417fe6,0xf30004ff,
    0x3ffcc5ff,0x32ffe800,0x3a000fff,0x003312ff,0x00cc4266,0xb0000998,
    0x007ff7ff,0x02fff800,0xa837fc40,0xffa806ff,0x03ffee0f,0xfea7fd40,
    0xaa98805f,0x0ffea009,0xff07ffc0,0xfff9005f,0x0fffffff,0xff503fff,
    0x02ffd80b,0x3fff0dfb,0xb00bff50,0x2e0005ff,0xbfb004ff,0x9007ff90,
    0x3fea09ff,0xc807fee1,0xff01ffff,0x0bff503f,0xf8fff100,0x000002ff,
    0x7ff65440,0x7dc2ffff,0x7ff4004f,0x00fffb82,0x997ffa00,0xfd0007ff,
    0x01ffe65f,0xfd97ff40,0xb7fc401f,0x7c401ffd,0xff88006f,0x0006ff8d,
    0x0017ffc0,0x7dc1bfe2,0x1fff003f,0x98027ff4,0x1ffee5ff,0xffffffc8,
    0x2ffc83ff,0x7c1fff00,0xffc803ff,0x7fffffff,0xfd84ffc8,0xbfff902f,
    0x7e437ec0,0x02ffd84f,0x0002ffd8,0x3a005ffb,0x00ffe85f,0xf903ffd8,
    0x403ffb8f,0xc80ffff9,0x2ffd84ff,0x41fff000,0x00003ffe,0x7f5c4000,
    0x3ff22fff,0xeffd8003,0x0013ff22,0x261fff90,0xfd0007ff,0x01ffe65f,
    0xfd97ff40,0xb7fc401f,0x7c401ffd,0xffb8006f,0x0005ffb3,0x0017ffc0,
    0x7ec1bfe2,0x1fff002f,0x4401fffc,0x7ffcc6ff,0x7ffff4c0,0x45ffffff,
    0xfd001ffd,0x027ff41f,0x4cccccc4,0xff987ffa,0xf03ffc47,0x6fd807ff,
    0x7c47ff98,0x5ffb007f,0x07ffa000,0x3e227fc0,0x3ffd006f,0xff31bfa0,
    0x5fff300d,0xf88fff30,0x3fa0007f,0x013ff21f,0xb8000000,0x3ff65fff,
    0x9ff90002,0x0001ffec,0x7cc7ffea,0xffd0007f,0x001ffe65,0xffd97ff4,
    0xdb7fc401,0x7fc401ff,0x0ffe8006,0x0000bff5,0x20017ffc,0xffd06ff8,
    0x43ffa003,0x4401fff8,0x7fc40efe,0x37ffe21f,0xfffd331b,0x8017fec5,
    0x3ff20ffe,0x7fcc0006,0x5c3ffd07,0x3ffe04ff,0xe837ec02,0x13fee1ff,
    0x0017fec0,0x3e007ff8,0x02ffd43f,0xff107ff8,0x00bffd09,0x3fa09ff9,
    0x013fee1f,0x2e1ffe80,0x2e0006ff,0x0004c41b,0xffd3ffd4,0xffb10005,
    0x0017ffc9,0x4cbffe60,0xfd0007ff,0x01ffe65f,0xfd97ff40,0xb7fc401f,
    0x7c401ffd,0x7fcc006f,0x003ffe26,0x017ffc00,0x6c1bfe20,0xffd002ff,
    0x003ffe61,0x3fe01ffd,0x01bfee2f,0x7fe4bffb,0x41fff003,0x0001fff9,
    0x7dc1ffe6,0x807ffa4f,0x3603ffeb,0x49ff706f,0xfb001ffe,0xff30005f,
    0x21ffc00d,0xf9804ffb,0x05ff506f,0x403dfff3,0xff704ff9,0x000fff49,
    0x7cc3fff0,0x3fa0007f,0x00fff34f,0x7ecbffe0,0x7f4c003f,0x3fff12df,
    0x7fff0000,0x4001ffe6,0xfff32ffe,0x4bffa000,0x7c401ffd,0x803ffb6f,
    0x6c006ff8,0x1ffec3ff,0x2fff8000,0x837fc400,0xff003ffc,0x01ffea1f,
    0x7fc03ffb,0x00bffe3f,0x7fdcdff3,0x0fff8804,0x0002fff4,0x3e20fff3,
    0x00dff17f,0x7ec0fff2,0x22fff106,0x3f6006ff,0xffa8002f,0x513fe005,
    0xffd009ff,0x40dff109,0x80cffffa,0xff101ffa,0x881bfe2f,0x1fff1009,
    0x8002fff8,0x3fe1fff9,0xffe8001f,0x8009ff91,0x7fcc1ffd,0xfe80000f,
    0x00fff33f,0x7ccbffa0,0xffd0007f,0x1007ff65,0x07ff6dff,0x400dff10,
    0x7d40fff8,0xff00007f,0xff88005f,0x009ff707,0x3e61fff1,0x5ff900ff,
    0x262fff80,0x6ff88029,0x7003ffe6,0xffb81fff,0xff30003f,0x54ffec0f,
    0xff1003ff,0xd81bf60d,0x03ffa9ff,0x000bff60,0xe800ffee,0x037fc45f,
    0xd10bffea,0xfe9803ff,0x3fa22fff,0x54ffec06,0x1bf603ff,0x7e43ffd4,
    0x7f4000ff,0x027fe46f,0xfc9ffe20,0x3fe2005f,0x00fff984,0x33fff800,
    0x3a000fff,0x0fff32ff,0x6cbffa00,0x7fc401ff,0x8803ffb6,0x3ee006ff,
    0x05fff05f,0x05fff000,0x301fff00,0xfb801fff,0x3fff10ff,0x8805ff70,
    0x88001fff,0x7fec7ffb,0x3fffe203,0x03fffd80,0x03fffdc0,0x1ffb9ff5,
    0x407fec00,0x3fea06fd,0x2000ffdc,0xd8002ffd,0x3f6002ff,0x101fff86,
    0xfd81fffd,0x3ff2004f,0x2ffeadff,0x7ee7fd40,0x41bf600f,0xff886ffb,
    0xffb000ef,0x4fffa85f,0xa97ff200,0x3ee007ff,0x2fff882f,0x7ffc4000,
    0x000fff32,0x7fccbffe,0x5fff0007,0xf1007ff6,0x007ff6df,0x7400dff1,
    0xbff902ff,0x5fff0000,0x9dfff000,0x203ffd8b,0x3e0ffff8,0x1ffd42ff,
    0x00fffcc0,0xffdb9731,0xfff98fff,0xffffe983,0xeffff880,0xffd5101b,
    0xeff80bff,0x7e4005ff,0x406fd81f,0x005ffeff,0x40017fec,0x2e001ffe,
    0x77fe41ff,0x7ffffcc2,0x00dffd51,0xfffffd30,0x3bfe0019,0x37ec05ff,
    0xf704ffc8,0x26017dff,0xe884fffd,0x2201efff,0x3e22fffe,0xff9000ff,
    0x00fffe03,0x23fff300,0x8000fff8,0xfff12fff,0x5fff0001,0xf1007ff6,
    0x007ff6df,0x2600dff1,0x3fe607ff,0x7fc0000f,0xffc8002f,0x3fe61fff,
    0xfffe984f,0xa93ffa0f,0xff7004ff,0x3fffae0f,0x7fffffff,0xcdefffc8,
    0x0fffeffe,0xfffffb10,0xffffb9bf,0xf9005dff,0xb8005fff,0x06fd81ff,
    0x017fffe4,0x000bff60,0xf1001ffe,0xdfffb09f,0xfff9ffd9,0x00bfffdf,
    0x2ffffb80,0x3ffff200,0xd837ec02,0x3fee01ff,0xdcbcefff,0x2205ffff,
    0xcefffffd,0x2fffffec,0xb001ffe8,0x3ff603ff,0x7fd40004,0x01fff10f,
    0x11fff880,0x88001fff,0x3ffb1fff,0xfb6ff880,0x6ff8803f,0x809ff900,
    0x40004ffe,0x90002fff,0xfc85fffd,0xffecdeff,0x3ee0fffe,0x00bff37f,
    0x3a227ff4,0xcdffffff,0xf507ff9a,0x1bffffff,0xff700fff,0xffffffff,
    0x4c007fff,0xb8007fff,0x06fd82ff,0x003fffcc,0x20017fec,0xe8006ff9,
    0x7ff440ff,0xffd1ffff,0x0007ffff,0x0bfffa60,0x03fffcc0,0x7ff837ec,
    0xfffffa80,0xcfffffff,0xffffc800,0xffffffff,0x005ff701,0x7dc03ff6,
    0x3a0000ff,0x0fffc5ff,0x87ffe600,0x4c001fff,0x3ffb1fff,0xfb6ff980,
    0x6ff9803f,0x337fff00,0xff933333,0x0000000f,0xff500c40,0xf1bfffff,
    0xf9fff0ff,0x7fdc00df,0x67fff41f,0x07ff980a,0x8b3bb6e6,0xd71007ff,
    0xbdffffff,0xffd00017,0x5ff70009,0xfd00dfb0,0xffb0009f,0x5ffa8005,
    0x85ff9800,0x20bdfdb8,0x81bdffd8,0xd88002aa,0x3fa007ff,0x86fd804f,
    0x71005ff9,0xfffffffd,0xfda80019,0xcdffffff,0x017fe600,0xf8807fec,
    0xf50004ff,0x3ffe85ff,0x23ffd400,0x54003ffe,0x0bff67ff,0x3f6dff50,
    0x37fd402f,0x7ffffd40,0xffffffff,0x000002ff,0x2e600000,0xff13deed,
    0xdffff70f,0x3ffe2001,0x00fffcc6,0x8001ffea,0x30006ff8,0x00001bfb,
    0x70003ffb,0x0dfb05ff,0x0003ffb0,0xb8005ffb,0xf70003ff,0x4000007f,
    0x01103ffc,0xb002ffe8,0xdfb003ff,0x0003ffb0,0x00139fd1,0x02ffe600,
    0x001ffb00,0x7e401ffb,0xfe8001ff,0x06ffc86f,0x322fff40,0x7f4006ff,
    0x00bff25f,0x3ff2dff9,0x037fe402,0x7fffffec,0xffffffff,0xff10005f,
    0x3e60005f,0x7c40006f,0x5ffff06f,0x3fffa600,0x402ffdc0,0x26a27ffb,
    0x05ff9800,0x0037fa00,0x00bff100,0x360bfee0,0x2ffc406f,0x01ffd800,
    0x0017fec0,0x0007ffb0,0x50bff900,0xffc80bff,0x05ff8804,0xff88dfb0,
    0x7ff10004,0xff980000,0x7fcc000c,0x00ffd804,0x800ffff4,0xa81fffe8,
    0xf5005fff,0xfffa87ff,0x7fff5005,0xd102ffe4,0x17ff2dff,0x406ffe88,
    0xaaabfff8,0xfbaaaaaa,0xf88001ff,0xf30002ff,0x009a88df,0xfd05ff98,
    0xfb807fff,0xffc83fff,0x3fff4405,0xfd00fff1,0x3620007f,0x20003ffe,
    0x50002ffb,0x0dfb07ff,0x0002ffb8,0xf8003ffb,0x220000ff,0x0001efff,
    0x106ffe98,0x7ec01fff,0x2ffb802f,0xfc8dfb00,0xdb30000f,0x200005ff,
    0x002ffec9,0x3a007fe4,0xfff9807f,0x7ffd404f,0x3fff603f,0xfff9101c,
    0x33fff60d,0xdfff9101,0xd02fffa8,0x3feadfff,0xdfffd02f,0x006ffb80,
    0x40027ffc,0x0002fff8,0xff88dff3,0x1ffec00f,0x7fffffec,0xffdcacdf,
    0xff703fff,0x3ffa201f,0x01fff47f,0x0001fff7,0x0001ffb0,0x4000fff3,
    0x6fd86ff9,0x001ffe60,0x2000fff8,0x80006ffa,0x01cfffe9,0xdfffda80,
    0x417ffa00,0x4c00fff9,0x3f6007ff,0x000ffe26,0x00037f40,0x20037fc0,
    0x3e203ff8,0xfff3006f,0xfb959dff,0x9807ffff,0xcdffffff,0x1fffffed,
    0xffffff30,0xffffdb9b,0xbffff03f,0xfddfd955,0x56ffffcd,0x6feefeca,
    0x001fff40,0x4001fff2,0x20002fdc,0x4fff85e9,0x903ffee0,0xfffb15ff,
    0xffffffff,0x7ffcc03d,0xfeba89be,0x3ee0ffff,0xeca9ceff,0x40001fff,
    0x1006ffa8,0x07fffd9d,0xbdffe800,0x6744dfb2,0x4003fffe,0x406ffebb,
    0x4fffbacb,0x3faa0000,0x9aabdfff,0xfffdbaa9,0xff9802ef,0xffdbadff,
    0xfece885f,0x3f6003ff,0x0001bee6,0x0017fea2,0x3ff2a660,0x47fb8004,
    0x04ffeca8,0x3ffff620,0xffffffff,0xfffd1001,0xffffffff,0xffe8803d,
    0xffffffff,0xfff501ef,0xd1dfffff,0x7fffd4df,0xfe8effff,0x03ffe606,
    0x05fff100,0x0003f200,0xffa83f88,0xfeca9bdf,0x1ffd43ff,0x3fffff66,
    0xf7002dff,0xffffffff,0xc85ffb1b,0xffffffff,0x3e0001ff,0x003fffff,
    0x013ffffe,0x3fffee00,0xfff8dfb6,0x7cc004ff,0x7403ffff,0x00ffffff,
    0xfffb8000,0xffffffff,0x003fffff,0x7fffffd4,0x3fe05fff,0x6c004fff,
    0x000bfe6f,0x7fffffc4,0x7fcc0001,0x0000ffff,0x7ffcc7fd,0xc98000ff,
    0xdfffffff,0xffb70002,0x17dfffff,0x7ffedc00,0x00beffff,0x7ffffec4,
    0xfb11bfa4,0x7f49ffff,0x017ff206,0x0037fec0,0x10003744,0x3ff201fd,
    0xffffffff,0x98809703,0xd50001aa,0x45dfffff,0xfd985ffa,0x01bdffff,
    0x7ffffc00,0x7fff4003,0x3ea00004,0xe8dfb6ff,0xb8004fff,0x4403ffff,
    0x02dfffff,0x32a20000,0xffffffed,0x0000bdff,0xdfffffb1,0x4fffe807,
    0xf76fd800,0x7fcc000d,0x80002eff,0x00ceffe9,0xf99bea00,0x80001eff,
    0x0001aa98,0x26aaa620,0x54c40000,0x300009aa,0x2a600015,0x5fff0000,
    0x3ffea000,0x0bfe2001,0x400d8800,0xdfffffe9,0x0000001b,0x00d4c400,
    0x000ccc00,0x0000c400,0x80000066,0x30555299,0x1a980003,0x0054c400,
    0x31000000,0x00001335,0x98003310,0x4aaa0001,0x880000aa,0x00000000,
    0x22155000,0x0000019a,0x00000000,0x00000000,0x20000000,0x40007ffa,
    0x5c004fff,0x80000000,0x00000199,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0027fec0,0x001fff20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x0001aaa8,0x00155540,0x00aa86aa,0x98199880,0x4cc00019,
    0x98800001,0x20000009,0x20009998,0x4fc80ff9,0x26662000,0x4cc00000,
    0x64000009,0x20001fff,0x8002fffa,0x99802ffe,0x3ffcc009,0x02ffe800,
    0x26005ffb,0x02666099,0x3fffffe6,0xffffffff,0x08006fff,0x4cc40000,
    0x00000009,0x99800000,0x3ff20009,0x19980004,0x05ff9000,0x80099988,
    0x0000fffa,0x003fff70,0x5fc9ff98,0x5fff1000,0x0002ffe4,0x0009fffb,
    0x0ffffc40,0xffe80000,0x27fc000e,0x8000bfe6,0x0000fffc,0x01bffea0,
    0xbffff000,0x7ffd4000,0x7ff4000f,0x27ffcc02,0x001ffe60,0xfd817ff4,
    0xfffa802f,0x305fff52,0xffffffff,0xffffffff,0x7f5400df,0xf100002e,
    0x40000bff,0x07fb07f9,0x7ffe4000,0x13ff2001,0xbfffb000,0x05ff9000,
    0x000fffd8,0x0000bfd1,0x4000fffa,0x000efffa,0x263ffe60,0x70000eff,
    0x005fffff,0x3ffffa00,0x4c00000f,0xa8001fff,0x5ffedfff,0x3ffe2000,
    0x3e200002,0x0004ffff,0x1fffff50,0x3ffea000,0x7ff4005f,0x27ffcc02,
    0x001ffe60,0xfd817ff4,0x4ffd802f,0x7cc13ffa,0xffffffff,0xffffffff,
    0x2a2fe006,0xf500000f,0x400001ff,0x0ffd44ff,0xfff88000,0x27fe4002,
    0xfdff7000,0xffc8009f,0x07ffe202,0x00072e00,0x000bff50,0x0000cca8,
    0xffedffb8,0xdff30001,0x0003ffd1,0xff9dffc8,0x7ec00006,0x3ee0002f,
    0x000dffff,0x0013ff20,0xfb5ffd00,0xfb00005f,0x0007ff7f,0x0bffffea,
    0x402ffe80,0x4c04fff9,0xfd0007ff,0x0732a05f,0x7ccdff30,0x1ffe606f,
    0x1aa00000,0x5c00007b,0x200004ff,0xfffefffa,0x3ee00004,0xffc8004f,
    0xdff30004,0x4005ffb1,0x3f201cca,0x8bf9003f,0xe8000ff8,0xfc8000ef,
    0x0007fc45,0x05ffffb0,0x4bffe200,0x0000eff9,0x3f21fff5,0xf300005f,
    0x3100009f,0x88000155,0x400005ff,0xfff15ffd,0x7fc40003,0x0006ff8d,
    0x1ffffff5,0x00bffa00,0x98059991,0xfd0007ff,0xf900005f,0x007fec1f,
    0x0000fff3,0x1741f300,0x3ff60000,0x3ee00000,0x0004ffff,0x80037fc0,
    0x88004ffc,0xfff12fff,0x7c400003,0x17f2005f,0x88001ff1,0xf90000aa,
    0x000ff88b,0x00f33220,0x5c3cca80,0x990002cc,0x01ccc839,0x002a9800,
    0x10000000,0x40000155,0x32a0ccc8,0x3ee0003c,0x005ffb3f,0xfffdff50,
    0x0bffa00b,0xfff30000,0x0bffa000,0x506aa000,0x7ff98035,0xbd000000,
    0x00000db7,0x000006aa,0x00013531,0x000aa880,0x0009ff90,0xaa985553,
    0x2a200001,0x06a6000a,0x4cc002aa,0x8004cc41,0x00aa81a9,0x80000000,
    0x00001a98,0x0009a998,0x04d4cc00,0x02aa2000,0x00000331,0x554c4000,
    0x3fa00001,0x00bff50f,0xff5dff50,0x5ffd005f,0x440aa880,0x01ffe619,
    0x8817ff40,0x00000099,0x0003ffcc,0x0ceb8800,0xaa980000,0x00000001,
    0x1aa98000,0x04ffc800,0x01aa9800,0x00099880,0x000fff30,0xff30bffa,
    0x4c2ffe8f,0xfd0007ff,0x01ffe65f,0x5017ff40,0xdfffffdb,0x36600039,
    0xdfffffff,0xffb30000,0x01bfffff,0x3fffae20,0x21ffb2ff,0xd0007ff9,
    0xd71005ff,0x9dffffff,0x3fe60005,0x003ffe26,0x3f6dff50,0x7ff400ff,
    0xfffeb882,0x21ffb2ff,0xd0007ff9,0x3ff605ff,0x000fff32,0x7fccbffa,
    0xff300007,0x3ffa000f,0xffec9802,0x802dffff,0xd0007ff9,0xd93005ff,
    0x5bffffff,0x013ff200,0x3fffb260,0x9002dfff,0x7fec05ff,0x003ffcc4,
    0x7cc2ffe8,0x217ff47f,0xd0007ff9,0x1ffe65ff,0x817ff400,0xfffffffc,
    0x2003ffff,0xffffffe9,0x004fffff,0x3fffffa6,0x04ffffff,0xffffffe8,
    0x30ffdbff,0x3a000fff,0x7fe402ff,0xffffffff,0xfd8004ff,0x01ffec3f,
    0x7c5bfea0,0x7ff405ff,0xfffffe82,0x0ffdbfff,0x2000fff3,0xffb02ffe,
    0x001ffe65,0xff997ff4,0xff300007,0x3ffa000f,0x7fffe402,0xffffffff,
    0x01ffe601,0x2017ff40,0xfffffffc,0x401fffff,0x64004ffc,0xffffffff,
    0x6401ffff,0x3ff602ff,0x003ffcc4,0x7cc2ffe8,0x217ff47f,0xd0007ff9,
    0x1ffe65ff,0x217ff400,0xcdffffd8,0x4ffffdcc,0xeffffa80,0xfffdcacc,
    0xfffa805f,0xfdcaccef,0x3f205fff,0xfda88bff,0xff30ffff,0x3ffa000f,
    0xffffd102,0xffd979bf,0x22003dff,0x7fd40fff,0x37fd4007,0x7405fff5,
    0x7ffe42ff,0xfffda88b,0x0fff30ff,0x40bffa00,0xfff32ffd,0x4bffa000,
    0x00007ff9,0x2000fff3,0xfd302ffe,0xf979dfff,0x207fffff,0xd0007ff9,
    0x3fa605ff,0xfcbcefff,0x203fffff,0xd3004ffc,0x979dffff,0x07ffffff,
    0xfb017fe4,0x07ff989f,0x885ffd00,0x055542aa,0x4001ffe6,0xfff32ffe,
    0x0bffa000,0x4405fff9,0x2a04fffc,0x2202efff,0x2a05fffc,0x2202efff,
    0xfb85fffc,0xfff900ef,0x01ffe61f,0x4417ff40,0x400dffff,0x7007fffc,
    0x3ffe0bff,0x1bfea002,0x3a01fffb,0x3bfee2ff,0x1ffff900,0x4001ffe6,
    0xffb02ffe,0x001ffe65,0xff997ff4,0xaaaaaabf,0x42aaaaaa,0xd0007ff9,
    0xfff305ff,0x7f5cc09f,0x7ff983ff,0x05ffd000,0x409ffff3,0x03fffeb9,
    0xf3009ff9,0x5cc09fff,0xf903fffe,0x27fec05f,0x4001ffe6,0x00002ffe,
    0x2000fff3,0xfff32ffe,0x0bffa000,0x32005ffd,0xfff106ff,0x3ff2001d,
    0xefff882f,0x5fff9000,0x7401fff8,0xfff30fff,0x0bffa000,0x800ffff6,
    0xe802fff9,0xbff902ff,0x237fd400,0xfd05fff8,0x00fffc5f,0x7cc3fffa,
    0xffd0007f,0x4cbff605,0xfd0007ff,0x3fffe65f,0xffffffff,0x7cc6ffff,
    0xffd0007f,0x03dffd05,0x07fffa20,0x2000fff3,0xffe82ffe,0xffd1001e,
    0x09ff903f,0x003dffd0,0x207fffa2,0x3f602ffc,0x03ffcc4f,0x002ffe80,
    0x00fff300,0x7ccbffa0,0xffd0007f,0x0037fc45,0x3f607ffe,0x7f4000ef,
    0x0effd85f,0x32fff400,0xff500bff,0x01ffe61f,0x2a17ff40,0xb8002fff,
    0x7fcc06ff,0x03ffe607,0x5437fd40,0xffe82fff,0x500bff32,0x3fe61fff,
    0x5ffd0007,0x7ccbff60,0xffd0007f,0x3ffffe65,0xffffffff,0x7fcc6fff,
    0x5ffd0007,0x001fffa8,0x7cc6ffe8,0xffd0007f,0x01fffa85,0xc86ffe80,
    0x7fd404ff,0xffe8001f,0x202ffc86,0x7fcc4ffd,0x5ffd0007,0x4cc00662,
    0x000fff30,0x7fccbffa,0x5ffd0007,0x20037fd4,0x7fc43ffc,0xffa8003f,
    0x0fffe21f,0x47ffea00,0xff003ffa,0x01ffe61f,0x3a17ff40,0x3e0005ff,
    0x3ff202ff,0x027ff404,0xfb06ffa8,0x2ffe81ff,0x3e007ff5,0x0fff30ff,
    0x40bffa00,0xfff32ffd,0x4bffa000,0xccccfff9,0xcccccccc,0x03ffcc3c,
    0x222ffe80,0x30004fff,0x7fcc5fff,0x5ffd0007,0x0027ffc4,0x642fff98,
    0x3fe204ff,0xff30004f,0x02ffc85f,0xff313ff6,0x3ffa000f,0x8803ffb2,
    0x0fff36ff,0x4cbffa00,0xfd0007ff,0x0fffc45f,0xf7033100,0x55c000ff,
    0x003ffdc0,0x7fe41570,0x21fff002,0xd0007ff9,0x7ffcc5ff,0x072e0001,
    0x3337fff0,0xfff93333,0x41bfea00,0x7f45fff8,0x005ff92f,0x7fcc3ffe,
    0x5fff0007,0x7ccbff60,0xffd0007f,0x001ffe65,0x003ffcc0,0x3ee2ffe8,
    0x3a0000ff,0x1ffe65ff,0x717ff400,0x40001fff,0x7fe45ffe,0x03ffee04,
    0x45ffe800,0x3f602ffc,0x03ffcc4f,0xfb2ffe80,0x6ff8803f,0x2000fff3,
    0xfff32ffe,0x0bffa000,0x0001bffd,0x000bffd0,0x00bffd00,0x01ffd800,
    0x3e61ffd0,0xffd0007f,0x003ffdc5,0x7ffd4000,0xffffffff,0xa802ffff,
    0x3fee06ff,0x6cbffa2f,0xffd001ff,0x003ffe21,0x6c07ffe0,0x0fff32ff,
    0x4cbffa00,0x300007ff,0x3a000fff,0x13ff22ff,0x1fff9000,0x4001ffe6,
    0x3ff22ffe,0x7fe40004,0x813ff20f,0x40004ffc,0x3f20fffc,0x13ff602f,
    0x2000fff3,0x3ffb2ffe,0xf36ff880,0x3fa000ff,0x00fff32f,0xf90bffa0,
    0x00159fff,0x0013ffe0,0x013ffe00,0x05ffb000,0x7cc3ffa0,0xffd0007f,
    0x0037ff45,0x7ffec000,0xffffffff,0xa805ffff,0x7fec06ff,0x365ffd0f,
    0xffd002ff,0x0007ffc1,0x6c03ffe2,0x0fff32ff,0x4cbffa00,0x300007ff,
    0x3a000fff,0x0fff62ff,0x3fff5000,0x4001ffe6,0x3ff62ffe,0x7fd40003,
    0x813ff21f,0x40003ffd,0x3f21fffa,0x13ff602f,0x2000fff3,0x3ffb2ffe,
    0xf36ff880,0x3fa000ff,0x00fff32f,0x320bffa0,0xbdffffff,0x0fffe001,
    0x3ffe0000,0x7e400003,0x1fff003f,0x4001ffe6,0x3ffa2ffe,0x44000004,
    0xaaaabfff,0xffbaaaaa,0x37fd401f,0x757ffe20,0x07ff92ff,0xff83ffe0,
    0x7fcc001f,0x4cbff607,0xfd0007ff,0x01ffe65f,0x03ffcc00,0x3e2ffe80,
    0x4c0002ff,0xfff32fff,0x8bffa000,0x40002fff,0x3f22fff9,0x0bffe04f,
    0x5fff3000,0xfb017fe4,0x07ff989f,0x365ffd00,0x7fc401ff,0x000fff36,
    0x7fccbffa,0x5ffd0007,0x3ffffea0,0x202dffff,0x0001fff8,0x00fffc40,
    0x13fee000,0x4c3ffe20,0xfd0007ff,0x01fffc5f,0x3fee0000,0x27ffc006,
    0x201bfea0,0xffeafffb,0x1009ff72,0x7ff41fff,0x3ffd4003,0x3e65ffb0,
    0xffd0007f,0x001ffe65,0x003ffcc0,0xff12ffe8,0xff00003f,0x01ffe67f,
    0xf897ff40,0xf80001ff,0x13ff23ff,0x000fffc4,0xf91fffc0,0x27fec05f,
    0x4001ffe6,0x3ffb2ffe,0xf36ff880,0x3fa000ff,0x00fff32f,0x880bffa0,
    0xffffffeb,0xff980eff,0x4c00001f,0x00001fff,0x2007ffcc,0xff30fffb,
    0x3ffa000f,0x003fff12,0xddddddd7,0x7ffd0bdd,0x07ffc800,0xd8037fd4,
    0x32ffefff,0xfb801fff,0x1bff20ff,0x40dffd00,0xfff32ffd,0x4bffa000,
    0x00007ff9,0x2000fff3,0xfff32ffe,0xffd00001,0x001ffe67,0xff997ff4,
    0xfe80000f,0x413ff23f,0x0000fff9,0x3f23ffe8,0x13ff602f,0x2000fff3,
    0x3ffb2ffe,0xf36ff880,0x3fa000ff,0x00fff32f,0x400bffa0,0xffffeca8,
    0x2fff82ff,0xfff80000,0xfd800002,0x3ffe203f,0x00fff30f,0xff8bffa0,
    0xfffc802f,0x47ffffff,0x4000fff9,0x2a02fff8,0xff1006ff,0x7ec5ffff,
    0x3ffe203f,0x17ffe60f,0x01fffd40,0x3fe65ffb,0x5ffd0007,0x0001ffe6,
    0x8003ffcc,0xfff32ffe,0xfff00001,0x001ffe67,0xff997ff4,0xff80000f,
    0x413ff23f,0x0000fff9,0x3f23fff8,0x13ff602f,0x2000fff3,0x3ffb2fff,
    0xf36ff880,0x3fe000ff,0x00fff32f,0x000bffe0,0x7ffff5c4,0x001fff42,
    0x01fff400,0x7ffcc000,0xffffe983,0x000fff30,0xfff8bffe,0xffffc803,
    0x647fffff,0xfb0005ff,0x37fd40df,0xfffff700,0x41fffcc5,0x40ffffe9,
    0x101dfffd,0xd80dfff9,0x0fff32ff,0x4cbffe00,0x300007ff,0x3e000fff,
    0x5fff12ff,0xfff88000,0x000fff32,0x7fc4bffe,0x7c40002f,0x13ff22ff,
    0x0017ffc4,0xc8bffe20,0x3ff602ff,0x007ffc44,0xfd97ffc0,0xb7fc401f,
    0x8000fff8,0xfff12fff,0x5fff0001,0xfff70000,0x004ffc8b,0x04ffc800,
    0xfff90000,0xfdffd9bd,0x3ffe21ff,0x2fff8000,0x22013ffa,0xfa999999,
    0x017ffc7f,0x01fffa80,0xd800dff5,0x7e42ffff,0xffecdeff,0x7cc0fffe,
    0xdcdfffff,0x01fffffe,0xff897fec,0xfff8000f,0xffffff32,0xffffffff,
    0x3e25ffff,0xff8000ff,0x00fffe2f,0x23fff300,0x8000fff8,0x3ffe2fff,
    0x7fcc0003,0x813ff21f,0x40003fff,0x3f21fff9,0x13ff602f,0x8001fff1,
    0xffb1fff8,0x16ff8803,0x88001fff,0xfff11fff,0xfff88001,0x20002621,
    0x7fdc7ffa,0x06ee0006,0x4000dff7,0xfff501bb,0xff1bffff,0x007ffc4f,
    0xc87ffe20,0x4c0006ff,0x1ffea7ff,0x09fff000,0x1001bfea,0xf505ffff,
    0x1bffffff,0x3f620fff,0xffffffff,0xfd801eff,0x01fff12f,0x31fff880,
    0xffffffff,0xffffffff,0x3ffe25ff,0x7ffc4000,0x0013ff61,0x221fff50,
    0x44000fff,0x3ff61fff,0x7fd40004,0x813ff20f,0x40004ffd,0x3f20fffa,
    0x13ff602f,0x30007ffe,0x3ff63fff,0xf37fcc01,0xf98003ff,0x07ffe1ff,
    0x23fff300,0xf0007ff9,0x3ffcc5ff,0x49ffd000,0x20007ff9,0xb7304ffe,
    0x3ffc59dd,0x30007ffe,0x7fcc3fff,0x3e60001f,0x013ff67f,0x20fff900,
    0xb8006ffa,0xb7302fff,0x3ffc59dd,0x3ffff6e0,0x2002efff,0x3ffe2ffd,
    0x7ffcc001,0xffffff31,0xffffffff,0x7fc5ffff,0x7fcc001f,0x03ffee1f,
    0x45ffe800,0x4c001fff,0x3fee1fff,0x3fa0000f,0x027fe45f,0x0001fff7,
    0x3f22fff4,0x13ff602f,0x5000fffa,0x17fecfff,0xfe9bfea0,0x7fd4003f,
    0x001fff47,0xfff1ffea,0x3ffd0003,0x8002fff8,0x7fc1fff9,0xff98002f,
    0xff10001f,0x003ffe8d,0x7f43ffd4,0x3e60005f,0x9000007f,0x3300007f,
    0x7c400000,0x3f62006f,0xffb0001c,0x001fff45,0x8001ffea,0x7ff403fc,
    0x3ffd4003,0x0013ffe2,0x3a17ffd4,0x7d4003ff,0x27ffc47f,0x2fffa800,
    0x3e2017ec,0xf50004ff,0x01fd85ff,0x7e427fec,0x7ff4006f,0x900bff25,
    0x37fe4dff,0x917ffa00,0xfe800dff,0x027fe45f,0x321ffe20,0x74000fff,
    0xfffc86ff,0x37ff4000,0xf3001351,0x06ffc8bf,0x5c2fff40,0x30003fff,
    0x00000fff,0x100007f6,0x8801bfff,0xff98009a,0x00fec005,0x643ffb00,
    0x7f4006ff,0x3f60005f,0x037fe401,0x3217ffa0,0xe8001fff,0x6ffc86ff,
    0x42fff400,0x8001fffc,0x0fe86ffe,0x01fffc80,0xf86ffe80,0x27fec00f,
    0x802fffd4,0x3f23fffa,0x3ffa205f,0x017ffea6,0x2a1fffd4,0xf5005fff,
    0xfffa87ff,0x17ff2004,0x003bffe2,0x4417ffec,0xb000efff,0x7fc45fff,
    0x43ffe807,0x5005fffa,0x3f607fff,0x7dc003ff,0x000007ff,0x900001ff,
    0xf880dffd,0x3ffe807f,0x0007fc00,0x7d43ffb0,0xff5005ff,0x7f40007f,
    0x2fffd400,0x03fffa80,0x2003fffd,0xa81fffe8,0xf5005fff,0x3ffa07ff,
    0xffd1001f,0x400ff03f,0x1001fffe,0xf883fffd,0x04ffd807,0x2039fffb,
    0x546fffc8,0xffd02fff,0xcfffd8df,0xdfff9101,0x073fff60,0x437ffe44,
    0x01efffe8,0x40bfffa2,0x00befffb,0x409fffb3,0x00befffb,0xd09fffb3,
    0x7fdc07ff,0xcfffd80f,0xdfff9101,0x77fffc40,0xffd5101b,0x00000bff,
    0x80000ffe,0x7f401ffc,0x3ffee03f,0x01ffc000,0xd81fff00,0x9101cfff,
    0x8000dfff,0xffd803ff,0xff9101cf,0x7ffcc0df,0x7ffd404f,0x3fff603f,
    0xfff9101c,0x7fffcc0d,0x7fffd404,0x002ff883,0x809ffff3,0x983ffffa,
    0x7fec01ff,0xfffff304,0xfffdb9bf,0xffff03ff,0xddfd955b,0xffff98df,
    0xffedcdff,0xff301fff,0xdb9bffff,0x203fffff,0xefffffd8,0xfffffecc,
    0x7fffdc02,0xffdcbcef,0xffb805ff,0xdcbcefff,0xf705ffff,0xd9539dff,
    0x3e603fff,0xdcdfffff,0x01fffffe,0x7ffffec4,0xffffdcdf,0x00002eff,
    0x2e73ff20,0xfe98002d,0x7ffdc00f,0xffeca9ce,0xefd8001f,0x2e01c98b,
    0xf986ffeb,0xdcdfffff,0x01fffffe,0x4577ec00,0x7ffcc1c9,0xfedcdfff,
    0x4c01ffff,0xacefffff,0x3fffffdc,0x7ffffcc0,0xfffedcdf,0x7fcc01ff,
    0xdcacefff,0x203fffff,0x1ca8aefe,0xdfffff30,0xffffb959,0x577f407f,
    0x3ff60ca8,0x3fffa204,0xffffffff,0xffff501e,0xfd1dffff,0xffffd10d,
    0xdfffffff,0xfffe8803,0xffffffff,0xfffc801e,0xffffffff,0xfff5001f,
    0xffffffff,0x3ea0019f,0xffffffff,0x3200cfff,0xffffffff,0x7f4401ff,
    0xffffffff,0x2e001eff,0xffffffff,0x003fffff,0xfff98000,0xfb002fff,
    0x2009ffff,0xfffffffc,0x50001fff,0x05ffffff,0x0fffffe6,0x7fffff44,
    0x1effffff,0xfffa8000,0xfe882fff,0xffffffff,0xb1001eff,0xffffffff,
    0x2003ffff,0xffffffe8,0x01efffff,0xfffffb10,0x3fffffff,0xfffffb80,
    0x3ff6201f,0xffffffff,0x7fdc01ff,0x3f61ffff,0xffdb804f,0x0befffff,
    0x7fffec40,0xb81bfa4f,0xfffffffd,0x36e000be,0xefffffff,0x3f6a000b,
    0xcdffffff,0x7f5c4000,0x0cffffff,0xffeb8800,0x00cfffff,0xfffffb30,
    0x6dc0037b,0xefffffff,0xeb88000b,0xdeffffff,0x0000000b,0x00b7ff26,
    0x0cffffe8,0x3fff6600,0x0001bdff,0x05efff5c,0x03ffffb8,0xfffffdb8,
    0x0000beff,0x33fffae0,0x3fff6e00,0x00beffff,0xffffc980,0x0002dfff,
    0xffffffb7,0x300017df,0xfffffff9,0x7f5c005b,0xf93003df,0x5bffffff,
    0x3ffae200,0x027fec2d,0x13555310,0x002a6000,0x35553100,0xa9880001,
    0x800009aa,0x0000aa99,0x026aa620,0xaa988000,0x4cc00009,0xa9880001,
    0x000009aa,0x0004d4cc,0x00000000,0x40000620,0x00000199,0x00d4c001,
    0x4d554c40,0x44000000,0x554c4000,0x2000009a,0x0001aa98,0x26aaa620,
    0x26200000,0x0c0001aa,0x2aa62000,0x00040001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88133100,0x44000099,0xfb800999,0x3ee0006f,
    0x7fcc006f,0x066001ff,0xffc80198,0x26000002,0x06666199,0x26066600,
    0x98800099,0x36000099,0x220001ff,0xfff30199,0xffffffff,0xc8059ddf,
    0x3ffc82ff,0x00333100,0x33310000,0x4c400000,0x98800019,0x00ccc419,
    0x09998800,0x1b900000,0x01333000,0x09988000,0x09998000,0x00004cc4,
    0x10013330,0xfa800333,0x3fff10ff,0xfffd8000,0x06ffb800,0x01bfee00,
    0x01ffff98,0x7dc0ffc0,0x02ffc805,0xfff30000,0x00fffe67,0xfa97ff60,
    0xf98000ef,0x360004ff,0x3a0001ff,0xff985fff,0xffffffff,0x0dffffff,
    0xf905ff90,0x3ff6007f,0x2000005f,0x004fffe8,0x9fff3000,0xfff88000,
    0x0013ff62,0x007ffe40,0x00ff8000,0x00fffdc0,0xffff5000,0xffc80003,
    0x007ffe26,0x0fffdc00,0x017ffd40,0x7ed7ff20,0x7cc0003f,0xff7001ff,
    0x7fdc000d,0xffff3006,0x3df90003,0x6401ffcc,0x000002ff,0x7fe4bff9,
    0xffd10005,0x003fff15,0x007ffd40,0x001ffd80,0x7ffdff90,0xeeefff98,
    0xffeeeeee,0xfc80efff,0x03ffc82f,0x3ffeffc8,0xffb00000,0x00005ffd,
    0x003ffee0,0x51fff500,0x20000bff,0x0002fff8,0x000bf300,0x00007fff,
    0x77ffffc4,0x7fec0000,0x0007ffb3,0x001fffc0,0xd000dff9,0x009ff9ff,
    0x007ff900,0x00037fdc,0xf300dff7,0x20003fff,0xfffefff8,0x05ff9006,
    0xdff10000,0x003ffe21,0xfdfff980,0xfc80002f,0xffb0004f,0xdff50003,
    0x7cc3ffd1,0x3f22007f,0x1cca86ff,0x5401cca8,0x1ffe8eff,0x7fdc0000,
    0x001ffe8e,0x07ff9000,0xfbff7000,0x200001df,0x00004ffc,0x7000fee0,
    0x800009ff,0x5ffabffe,0x7ffc4000,0x00004ffc,0x20013fee,0x44002ffd,
    0x0006ffff,0x4005ff88,0x20006ffb,0x7cc06ffb,0x40001fff,0x0cffffd9,
    0x005ff900,0x43ff7000,0x80001ffc,0x004ffffb,0x003ff600,0x0007ff60,
    0x3e63fff1,0x0fff30ff,0x01fff700,0x3fe20000,0x01fff31f,0x3ffe6000,
    0x001dff50,0x01ff6000,0x7fffec00,0xff100001,0xe800000b,0x37f4001f,
    0x3ff20000,0x0013ff65,0x0dffff30,0x06fe8000,0x00dfd100,0x00199930,
    0x00155300,0x0006ffb8,0xf981bfee,0x00000eff,0x32000662,0x800002ff,
    0x00d541aa,0x07997000,0x0aa88000,0x01ffd800,0x2a1554c0,0x0fff31aa,
    0x00bffe00,0x1554c000,0x00006aa6,0x2aa0d554,0x1000001a,0x10000155,
    0x00005999,0x00005544,0x800ff100,0x00000aa8,0x55105554,0xca800015,
    0x200000cc,0x20000aa8,0x4c000aa8,0x000009a9,0x5c003531,0x2e0006ff,
    0xfff306ff,0x9800001d,0x7e4001aa,0x2666202f,0x35530000,0xa9880000,
    0x00000001,0x000ffec0,0x1ffe6000,0x227fec00,0x99880998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4fcbb880,0x00000000,0x00000000,
    0x00000000,0xffb30000,0x01bfffff,0xfffeda80,0x2e01ceff,0x2e0006ff,
    0xfff986ff,0xc980000e,0xdffffffe,0x02ffc802,0x001dffd1,0x3ffffb26,
    0x50002dff,0xdfffffdb,0x3ffcc039,0x82ffe800,0x20001ffd,0xff305ffc,
    0x3ffa000f,0x6417fe44,0x0fff33ff,0x5cbffa00,0x3f2007ff,0x3fa005ff,
    0xfffff32f,0xffffffff,0xfd0dffff,0xffffffff,0xffffffff,0x001fffe4,
    0x204fff88,0xfffffec9,0xffff980e,0xffffffff,0x7cc02cee,0xffffffff,
    0xffffffff,0xfffc8006,0x7ffcc001,0xffffffff,0x06ffffff,0xe9809ffb,
    0xffffffff,0xf9004fff,0xffffffff,0x3fee07ff,0x3fee0006,0x077ffcc6,
    0x7ffe4000,0xffffffff,0x0bff201f,0x003bffa2,0x7fffffe4,0x01ffffff,
    0x3fffff20,0x03ffffff,0x2000fff3,0xffd82ffe,0x3ff20001,0x00fff305,
    0xc85fff10,0x3ffc82ff,0x2000fff3,0xfff12ffe,0x3fffa001,0x1fff1007,
    0x3fffffe6,0xffffffff,0xffe86fff,0xffffffff,0x47ffffff,0x8000fffe,
    0xf500effe,0xffffffff,0xffff983f,0xffffffff,0x300dffff,0xffffffff,
    0xffffffff,0xfff000df,0xff9800bf,0xffffffff,0x6fffffff,0x5409ffb0,
    0xacceffff,0x05ffffdc,0x37ffff62,0xffffdccc,0x006ffb84,0xf99bfee0,
    0x40000eff,0xceffffe9,0xffffffcb,0x885ff903,0x9800effe,0xbceffffe,
    0x3ffffffc,0x7fffec40,0xfffdcccd,0x07ff984f,0xb05ffd00,0x640003ff,
    0xfff305ff,0xfffd8800,0x6417fe40,0x0fff33ff,0xe8bffa00,0xff8802ff,
    0xfa801fff,0x3fffe66f,0xffffffff,0xe86fffff,0xffffffff,0xffffffff,
    0x02fffcc7,0x407ffee0,0x98adfff9,0x260fffff,0xeeeeefff,0xffffeeee,
    0xfff980ef,0xffffffff,0x06ffffff,0x7ffffd40,0x3ffe6000,0xffffffff,
    0x06ffffff,0x3ea09ffb,0x32202eff,0xff905fff,0x7fe4405f,0x037fdc4f,
    0x26dff700,0x0003ffff,0x027fffcc,0x07fffd73,0x7f445ff9,0xff9800ef,
    0x3ae604ff,0x3f203fff,0x3f2202ff,0x3ffcc4ff,0x82ffe800,0x20001ffd,
    0xff305ffc,0xff73100f,0x5ff907ff,0x3e67ff90,0xffd0007f,0x4027fe45,
    0x03ffdffa,0x3e64ffc8,0x0000007f,0x84fffa80,0x1002fffc,0x7f409fff,
    0x7f5fe45f,0x01ffe64f,0x86fffc88,0x00007ff9,0x3efff600,0x3fe6003f,
    0xfd800007,0xefff884f,0x5fff9000,0x2005ffd0,0x7fdc6ffc,0x3fee0006,
    0xffffff9e,0x3ffa0001,0xffd1001e,0x12ffc83f,0x2001dffd,0x1001effe,
    0x3a03fffd,0xff9002ff,0x007ff98d,0xfb05ffd0,0x7e40003f,0xffff305f,
    0xffffffff,0x209fffff,0xffc82ffc,0x000fff33,0xffa8bffa,0xf9ffd806,
    0x2ffe805f,0x0001ffe6,0xfff30000,0x07fff40b,0x3037fec0,0x8fe81fff,
    0x3fe67ffa,0xfffb8007,0x003ffcc0,0xdff88000,0x26006ff8,0x800007ff,
    0xffd84ffd,0x7ff4000e,0x0037fc45,0xffb87ffe,0x3fee0006,0xffedffff,
    0xffa8000e,0xffe8001f,0xfd97fe46,0x3fea005f,0xffe8001f,0x006ff886,
    0xff30fffc,0x3ffa000f,0x001ffd82,0x4c17ff20,0xffffffff,0xefffffff,
    0x20bff202,0xfff33ffc,0x8bffa000,0x7c00fff8,0x401ffd6f,0x7fcc7ff8,
    0x00000007,0x803bffe2,0x5405fff9,0x3ee01fff,0x7737c43f,0x003ffcc5,
    0x7cc2fff8,0x0000007f,0x3ff67ff7,0x0fff3002,0x9ffb0000,0x003fff88,
    0x2a1fffa8,0x7e4006ff,0x01bfee3f,0xfffffb80,0x00bfff35,0x004fff88,
    0x645fff30,0x06ffdaff,0x013ffe20,0x217ffcc0,0x64006ffa,0x1ffe63ff,
    0x417ff400,0x20001ffd,0xff305ffc,0xffffffff,0x90017fff,0x7ff905ff,
    0x4001ffe6,0x7ff42ffe,0x653fe601,0x3fea02ff,0x003ffcc5,0xfe880000,
    0xffc801ff,0x7fff102f,0x542ffd80,0x3ffcc04f,0x44ffd800,0x00007ff9,
    0x2a1ffd00,0xff3005ff,0xfb00000f,0x07ffb89f,0xf102ae00,0x4c4003ff,
    0x0037fdc1,0x8bffff70,0x2003fffb,0x0000fffb,0xffc97ffa,0x001fffff,
    0x0001fff7,0x3e22fff4,0x262001ff,0x003ffcc1,0xfd82ffe8,0x3f20001f,
    0x0fff305f,0x00f7ff54,0x7e417fe4,0x00fff33f,0xf90bffa0,0x8ffdc07f,
    0x3f204ffa,0x03ffcc3f,0xfd800000,0x3fa002ff,0x6ffd80ef,0x6c1ffe80,
    0x3ffcc02f,0x44ffe800,0x00007ff9,0x226ff980,0xf9800fff,0xd800007f,
    0x2fff44ff,0xffe80000,0x7dc0000d,0x3ee0006f,0xfffd05ff,0x13ff2003,
    0x1fff9000,0x3ffffff2,0x9ff9006f,0xfffc8000,0x006fff40,0x01ffe600,
    0x6c17ff40,0x320001ff,0xfff305ff,0x1fffe880,0x6417fe40,0x0fff33ff,
    0x50bffa00,0x3ff40bff,0xffe81bfe,0x003ffcc1,0x7fdc0000,0x7fcc004f,
    0x07ffd44f,0x3fc3ffc0,0x003ffcc0,0x2617ffc4,0x000007ff,0x7ec3ffd8,
    0x7ff9803f,0xffd80000,0x0027ffc4,0xffffc800,0xfb8000ac,0x3ee0006f,
    0x3ffe206f,0x07ffb006,0x1fffa800,0xfd1bfff9,0x7ffb009f,0xfffa8000,
    0x67fffe41,0xff98000a,0x5ffd0007,0x0003ffb0,0xf982ffe4,0xffe8807f,
    0x0bff200e,0x7fccfff2,0x5ffd0007,0xf107ff88,0x80ffd8bf,0xff987ff8,
    0x40000007,0x0005fffa,0x3e23fff9,0xff8803ff,0x4c02fcc7,0x6c4007ff,
    0x7fcc0fff,0x44000007,0x7fd40fff,0x07ff9807,0x4ffd8000,0x0001fffc,
    0xfffff900,0x2e0037bf,0x2e0006ff,0x7fd406ff,0x2fff804f,0x7ffcc000,
    0x7d4bff92,0x7ffc01ff,0x7fcc0002,0xffffc82f,0x3001bdff,0x3a000fff,
    0x1ffd82ff,0x17ff2000,0x9803ffcc,0x3f206fff,0x33ffc82f,0x3a000fff,
    0x1ffe82ff,0x7dc3ffa8,0x85ffa83f,0xaaabfff9,0xaaaaaaaa,0xff88002a,
    0x3a0000ef,0x0bff96ff,0xf90fffc0,0x0fff3007,0xffff7310,0x57fff307,
    0x55555555,0x2e005555,0x5fff05ff,0xabfff980,0xaaaaaaaa,0x3f602aaa,
    0x07ffe24f,0xff500000,0xbfffffff,0x037fdc05,0x00dff700,0x4405fffb,
    0x80001fff,0x5ff93fff,0x100effc8,0x00003fff,0x3ea07fff,0xffffffff,
    0x1ffe602d,0x417ff400,0x20001ffd,0xff305ffc,0x7ffe400f,0x905ff904,
    0x1ffe67ff,0x417ff400,0xffc83ffb,0x642ffcc0,0xfff982ff,0xffffffff,
    0x006fffff,0x00ffff44,0x33ffe600,0x3e000fff,0x503fa2ff,0x3ffe6357,
    0xffffffff,0x04ffffff,0xfffffff3,0xffffffff,0x3ffa00df,0x80bff902,
    0xfffffff9,0xffffffff,0x93ff606f,0x0001fff9,0xffeb8800,0x0effffff,
    0x0006ffb8,0x2201bfee,0xf300ffff,0xd00001ff,0x0bff27ff,0x2609fff1,
    0x80000fff,0x2e203ffe,0xfffffffe,0x7ff980ef,0x05ffd000,0x40003ffb,
    0xff305ffc,0xfffe800f,0xc82ffc81,0x0fff33ff,0x20bffa00,0x6fe85ff9,
    0xfe81fff0,0xffff980f,0xffffffff,0x4006ffff,0x0002fffd,0x5fffff90,
    0x13ffd800,0x25ffd0df,0xfffffff9,0xffffffff,0x3ffe602e,0xffffffff,
    0x806fffff,0x3e607ff9,0x3fe600ff,0xffffffff,0x06ffffff,0xfff13ff6,
    0x80000005,0xffffeca8,0x37fdc2ff,0x0dff7000,0x41bffea0,0x0000fff9,
    0xff93fff8,0x03fff505,0x0001fff3,0x2007fff0,0xffffeca8,0x3ffcc2ff,
    0x82ffe800,0x20001ffd,0xff305ffc,0xfff9800f,0xc82ffc86,0x0fff33ff,
    0x40bffa00,0x27fcc6ff,0x3e21ffd8,0x9fff306f,0x99999999,0x40079999,
    0x0003fffb,0x02ffff40,0x5c7ffd40,0x33ffd44f,0xffffffff,0x017fffff,
    0x999fff30,0x99999999,0xff900799,0x04ffe809,0x3333ffe6,0xcccccccc,
    0x3ff603cc,0x001fff44,0x2e200000,0x2e2ffffe,0x2e0006ff,0x3f2006ff,
    0xfff884ff,0x7fc40002,0x205ff92f,0x7c40effd,0x440002ff,0x10002fff,
    0x45ffffd7,0xf0007ff9,0x3ffb05ff,0x2ffe4000,0x8007ff98,0x7e43fffc,
    0x33ffc82f,0x3e000fff,0x1ffb02ff,0xfa817fdc,0x413fe63f,0x00007ff9,
    0x02fffd40,0x7ffd4000,0xbffd0000,0x7ff443fb,0xa81ffe64,0x9801effe,
    0x000007ff,0x2666fffe,0x7ffc9999,0x001ffe60,0x913ff600,0x000009ff,
    0x7ffdc000,0x3ffffee5,0xffffffff,0x0dff70ff,0x82fffe80,0x40003fff,
    0xff91fff9,0x13ffe205,0x0000fffe,0x0003fff3,0x44bfff70,0xf8000fff,
    0x1ffd82ff,0x17ff2000,0x4003ffcc,0x320fffe8,0x3ffc82ff,0x0001fff1,
    0x3ee05fff,0x403ff62f,0x3fee5ff8,0x00fff302,0x7ffc4000,0x9800000e,
    0x260007ff,0xc98fffff,0x7fcc6fff,0x7fff4407,0x03ffcc01,0xfffa8000,
    0xffffffff,0xf302ffff,0xb00000ff,0x6ffb89ff,0x106ee000,0xff500013,
    0x7ffffdcf,0xffffffff,0x0dff70ff,0x0ffff980,0x00027fec,0x7e43ffea,
    0x3ffee02f,0x0027fec1,0x883ffea0,0xffa80009,0x003ffe27,0xb03fff10,
    0x640003ff,0xfff305ff,0x3ffea000,0x320bff25,0x1fff13ff,0x1fff8800,
    0x7fc9ff30,0xfb3ff405,0x03ffcc0f,0xfffd0000,0x26000001,0x540007ff,
    0xffffffff,0x3ffcc0ef,0x077ff440,0x000fff30,0x3ffff600,0xffffffff,
    0xff305fff,0xfb00000f,0x07ff989f,0x4d3ffa00,0xff0007ff,0x3fffee5f,
    0xffffffff,0xdff70fff,0xbfff7000,0x000fffb8,0xfc97ffa0,0x77fec02f,
    0x003ffee0,0x265ffe80,0xff0007ff,0x00fffc5f,0x207ffe60,0x29981ffd,
    0x982ffe40,0x360007ff,0x5ff92fff,0x7fc7ff90,0x7fcc001f,0x55bfe01f,
    0x7fe403ff,0x7cc0bff0,0xb000007f,0x00005fff,0x003ffcc0,0x7ffff440,
    0xfff303ff,0x1bffe600,0x0007ff98,0xabfff880,0xaaaaaaaa,0xf981fffb,
    0xd800007f,0x2fff84ff,0x1fff9800,0x20007ffe,0x98801ffe,0x13100000,
    0x9fff1000,0x3ffea000,0x00098802,0x0009fff1,0xff0bffea,0xffd0003f,
    0x001fff43,0x04c1ffea,0x6c01fff0,0x4c0004ff,0xfc800001,0x00fffa3f,
    0xd80fff50,0x803ff97f,0x3ff9affa,0x001ffe60,0x0fffee00,0xff300000,
    0x3fe0000f,0x7cc01aaa,0x3ff2007f,0x0fff304f,0xdff70000,0x84fff800,
    0x00007ff9,0xfc84ffd8,0x7f4000ff,0x027fe46f,0x401ffe20,0x0003fffc,
    0x001fffdc,0x0007fff2,0x5c01bffa,0xfc804fff,0xfe8001ff,0x04ffc86f,
    0x323ffc40,0x7f4006ff,0xcfff985f,0xd00fff40,0x440009ff,0x0000dfff,
    0x7e47ff90,0x7ff4006f,0x74ffd405,0x79ff007f,0x7fcc03ff,0x7cc00007,
    0x000005ff,0x0007ff98,0x4c006f98,0x7f4007ff,0x7ff981ff,0xffe80000,
    0x3ffe4003,0x0003ffcc,0x4427fec0,0xb000efff,0xffa85fff,0x3ff2004f,
    0xffdb5005,0x76d40005,0x7f4002ff,0xfd1001ff,0x366003ff,0xfe803ffe,
    0xfd1001ff,0xfff503ff,0x2ffe4009,0x4017ffea,0xc883fffa,0x7fec4ffe,
    0x05fff104,0x6ffec800,0x5ff90000,0x802fffd4,0x4403fffa,0x005ffbff,
    0x80ffbdfb,0x00007ff9,0x001bffe2,0x3ffcc000,0x027dc000,0x001ffe60,
    0xf30dfff3,0x980000ff,0x44000fff,0x7fcc2fff,0xfd800007,0xdfff704f,
    0x3ff66017,0xfffe884f,0x3ffa201e,0x7fc4002f,0xff880006,0x7ffcc006,
    0x7ffd404f,0xdfd0003f,0x9ffff300,0x3ffffa80,0x3dfffd10,0x17fff440,
    0x80e7ffec,0x806fffc8,0x3fea0ffd,0x0fffd82f,0x3ff90000,0x3ffd0000,
    0x01cfffd8,0x00dfff91,0x00bffffa,0x02ffffdc,0x0001ffe6,0x000effe8,
    0xfff30000,0x03fd0000,0x007ff980,0x4c3fffc8,0x400007ff,0xb0005ffc,
    0x7ff98dff,0xffd80000,0x3fffee04,0xffdcbcef,0x3f6205ff,0xecceffff,
    0x002fffff,0x0027fdc4,0x017fee20,0x3ffffe60,0xfffdcace,0xa88003ff,
    0xff3006ff,0xb959dfff,0x807fffff,0xefffffd8,0xfffffecc,0xfffff302,
    0xfffdb9bf,0x7cc403ff,0x7fff40ff,0x2ffffdcf,0xffd30000,0x36ae0001,
    0x7fcc0fff,0xedcdffff,0x001fffff,0x001ffff9,0x00bfffe6,0xfffffff3,
    0xffffffff,0x3fe65fff,0xffffffff,0xffffffff,0x3fe6003f,0x3fc40007,
    0x03ffcc00,0x07fff440,0xfffffff3,0xffffffff,0xfff85fff,0xfff50002,
    0x7ffffcc3,0xffffffff,0xd82fffff,0x7fd404ff,0xffffffff,0xfc800cff,
    0xffffffff,0xf3001fff,0x001fffff,0xffffff30,0x3f620003,0xffffffff,
    0x22001fff,0x01ffffff,0x3ffff620,0xffffffff,0x3fff2001,0xffffffff,
    0x7ff4401f,0xffffffff,0xfffd01ef,0xfff307ff,0x07ffffff,0xffffd800,
    0xff10004f,0x3a209fff,0xffffffff,0x2001efff,0x4006fffa,0x4c00ffff,
    0xffffffff,0xffffffff,0xffff32ff,0xffffffff,0x7fffffff,0x03ffcc00,
    0x0013ea00,0x4001ffe6,0x3e65fffa,0xffffffff,0xffffffff,0x01ffea2f,
    0x4c9fff00,0xffffffff,0xffffffff,0x4ffd82ff,0xfffeb880,0x000cffff,
    0x7ffffed4,0x2000cdff,0x01effffa,0xdffff300,0xf9300005,0x5bffffff,
    0xffff3000,0x3260005d,0xdfffffff,0xffb50002,0x19bfffff,0x7ffedc00,
    0x00beffff,0x80fffffe,0xdfffffd8,0xffe80003,0x50000cff,0x7009ffff,
    0xfffffffb,0xf880017d,0x7ec004ff,0xfff9806f,0xffffffff,0x2fffffff,
    0xfffffff3,0xffffffff,0x4007ffff,0x40007ff9,0xf98002da,0x3f60007f,
    0xffff32ff,0xffffffff,0x45ffffff,0x40004ffd,0x3fe67ffc,0xffffffff,
    0xffffffff,0x004ffd82,0x004d54c4,0x0aa99800,0x00088000,0x00002200,
    0x01aa9880,0x00011000,0x01aa9880,0x554cc000,0xa9880000,0x220009aa,
    0x01a98001,0x00188000,0x00066200,0x026aaa62,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x31026620,0x0ccc4033,0x00000ccc,
    0x0a880000,0x20000aa8,0x1f5c0bc9,0x00000000,0x00019988,0x99981998,
    0x26620000,0x0004cc40,0x80001333,0x00000998,0x00033310,0x0004ccc0,
    0x000004c0,0x6c00fffb,0x300002ff,0x09998133,0x33100000,0x22000013,
    0x05fb80ff,0x03300cc0,0x99988000,0x99800000,0x99800009,0xff300009,
    0x01fff43f,0x7e45fff1,0xfff3005f,0x0002ffe8,0x8adfffc8,0x360007f9,
    0xfbbeffff,0x3fe6001f,0x000fff47,0x0ffffe20,0x49ffd000,0x40006ffb,
    0xff10fffa,0x3fee003f,0xf30000ff,0x00003fff,0x005fff88,0x05fff500,
    0x003f9800,0x01fff600,0x0002ffd8,0x7d4bff90,0x000000ef,0x0000dffd,
    0x7fc44fe8,0x417f4002,0xffe806fa,0x1bffa00e,0x3fe20000,0x7d40004f,
    0x50000fff,0x17feedff,0x263ffe60,0xf3000eff,0x02ffe8ff,0x7fffd400,
    0x005fffff,0xffbbff10,0x9800dfff,0x0fff47ff,0x3bff6000,0x220001ff,
    0xfff89fff,0xffb80000,0x2005ffb5,0x06ffeff9,0xfefff880,0x2e00000f,
    0x00000eff,0x40009ffd,0x02cefeca,0x07ffd800,0x000bff60,0xe8affe80,
    0x000001ff,0x0001fff5,0xedfffa80,0xfc8006ff,0x013fa61e,0x5403fff5,
    0x00000fff,0x004fff88,0x3ffffe20,0xff90000e,0x2001dffb,0x1ffedffb,
    0xd1ffe600,0xd80005ff,0xdffd934f,0x97ee0003,0x001cfeb8,0x3fa3ffcc,
    0x3f20001f,0x00fff8df,0x37bfe600,0x200001ff,0x04ffdffd,0xf73ffd10,
    0xffd8009f,0x0006ffab,0x0007ffe0,0x002ffd40,0xfffffea8,0x20002eff,
    0x36006eec,0x200002ff,0x2ffdfff8,0x3fa00000,0x5000002f,0x01bfffff,
    0xffffd100,0xfe801dff,0x0fff402f,0xff880000,0x3fa0004f,0x005ffaaf,
    0x03ffffa0,0x5ffffb00,0x42aa8800,0x40000aaa,0x001980aa,0x00004c40,
    0x550aaa20,0x3ea00015,0x0dff70ff,0xffffb800,0x74400003,0x36005fff,
    0x0fffa4ff,0xf92ffe40,0xf700009f,0x7400005f,0xfa8000ff,0xffffffff,
    0x000002ff,0x0017fec0,0x3fffea00,0x26000004,0x000003ff,0x000554c4,
    0x3ffff620,0x27fcc00d,0x000ffea0,0x2ccc8800,0x4bffb000,0x10003ffd,
    0x10003999,0x00007999,0x00003553,0x000d54c0,0x00000000,0x55500000,
    0x000aaa83,0x001e65c0,0x0aaa9800,0x88555100,0x555002aa,0x00555441,
    0x000aaa00,0x00035500,0xf35dfff1,0x01fffd57,0x01353300,0x000bff60,
    0x01332e00,0x05530000,0xa9880000,0x4c00001a,0x017b2001,0x00000aa6,
    0x001aa988,0x44155510,0x000002aa,0x4c000000,0xffffffec,0x64c0002d,
    0xdffffffe,0x07ff9802,0x265ffd00,0xfd0007ff,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ccbffb0,0x4013ffe3,0xffffffd9,
    0x3ff600df,0x0002aa22,0x00000000,0x2e200000,0xeffffffe,0x0000002c,
    0x00000000,0xffffeb88,0x0002ceff,0xffff1000,0xffffffff,0x9fffffff,
    0x0013ff60,0xfffffff9,0x003fffff,0xffffff90,0x03ffffff,0x8003ffcc,
    0xfff32ffe,0x0bffa000,0x03fff900,0xfffff980,0xefffffff,0x7fd402ce,
    0xffe8002f,0x209ffb02,0x0003fffc,0xfd09fff1,0xffffffff,0xffffffff,
    0x0017ffd4,0xffd17ff4,0xff71fcc5,0xfffe980d,0xffffffff,0xd15ffb04,
    0x039dffff,0x3fffffe6,0x1cefffff,0x3ff20000,0xf900001f,0xffffffff,
    0x3e609fff,0xffffffff,0xffffffff,0x2e0ffec6,0x800006ff,0xfffffffc,
    0xb04fffff,0x880005ff,0xffffffff,0xffffffff,0xffb04fff,0x3ffa6009,
    0xffcbceff,0x3003ffff,0x79dffffd,0x7ffffff9,0x001ffe60,0xff997ff4,
    0x5ffd0007,0x5ffff800,0x7fffcc00,0xffffffff,0x500dffff,0x8001ffff,
    0xffb02ffe,0x07fff409,0x077ff400,0x7ffffff4,0xffffffff,0x3ffea7ff,
    0x7ff4000f,0xf98fff12,0xa80b3623,0xacceffff,0x85ffffdc,0xffffcffd,
    0x980fffff,0xffffffff,0x1dffffff,0xffff8000,0x7f440005,0xcbcdffff,
    0x41effffe,0xfffffff9,0xffffffff,0x0ffec6ff,0x0001bfee,0xfffffe88,
    0xfffecbcd,0x17fec1ef,0x3ffe2000,0xffffffff,0xffffffff,0x009ffb04,
    0x409ffff3,0x03fffeb9,0x027fffcc,0x07fffd73,0x2000fff3,0xfff32ffe,
    0x0bffa000,0xfffffa80,0x3ffe6000,0xeeeeeeee,0x0efffffe,0x05ffffa8,
    0xd817ff40,0x3fe604ff,0x7fdc005f,0xffffd01f,0xffffffff,0x7d4fffff,
    0x74005fff,0x8fff12ff,0x7d4003f9,0x32202eff,0x7fec5fff,0x3f661eff,
    0xffff986f,0xffffffff,0x0004ffff,0x03ffffea,0x7fffc400,0x7ffe400d,
    0x7ffffcc7,0xffffffff,0x7ec6ffff,0x037fdc1f,0xffff8800,0x7ffe400d,
    0x0017fec7,0x17ffc000,0x04ffd800,0x001effe8,0x403fffd1,0x1001effe,
    0xf983fffd,0xffd0007f,0x001ffe65,0xb0017ff4,0x007ff7ff,0x1003ffcc,
    0xf50dfff9,0x4005ffff,0xffb02ffe,0x2fffc809,0x09fff100,0xfffa8000,
    0x3ffffea4,0x8bffa002,0x0fe62ffe,0x0efff880,0x45fff900,0xb00dfffd,
    0x7ff989ff,0xffffb980,0x7ffb0002,0x360007ff,0x26003fff,0x3fe62fff,
    0x3f600007,0x037fdc1f,0x3fffd800,0x8bffe600,0x00002ffd,0x002fff80,
    0xa809ffb0,0xe8001fff,0xfff506ff,0xdffd0003,0x0007ff98,0x3fe65ffd,
    0x5ffd0007,0x237fe200,0x3e6006ff,0xffb8007f,0x7fffd40f,0xffd000ff,
    0x013ff605,0x2003fffa,0x00006ffd,0x2a2fffcc,0x00ffffff,0x7e45ffd0,
    0x007f30df,0x00077fec,0xffd97ffa,0x3ffe201f,0x801ffe61,0x000fffd8,
    0x7fc6ffc4,0xfffa8006,0x6ffb8002,0x0001ffe6,0x7dc1ffd8,0xfa80006f,
    0xfb8002ff,0x00bff66f,0x3ffe0000,0x9ffb0002,0x027ffc40,0x42fff980,
    0x0004fff8,0x7cc5fff3,0xffd0007f,0x001ffe65,0xb8017ff4,0x05ffb3ff,
    0x001ffe60,0x3ea17ffc,0x005fffef,0x3f605ffd,0xfff9804f,0x0fffd405,
    0xfff10000,0xfeffa81d,0xffd005ff,0x5ffffd45,0xff1003fa,0xff50007f,
    0x017ff63f,0xff98bff2,0x7ff44007,0x9ffdc005,0x74002ffd,0x3e0005ff,
    0x0fff32ff,0x0ffec000,0x0001bfee,0x80017ffa,0x5ffb2fff,0xff000000,
    0x3f60005f,0x3ffee04f,0x3ffa0000,0x007ffdc5,0x4cbffd00,0xfd0007ff,
    0x01ffe65f,0x8017ff40,0xbff50ffe,0x01ffe600,0x2a27fec0,0x2fffaeff,
    0xb02ffe80,0x3f2009ff,0xfff102ff,0x74400007,0xffa81fff,0x802fffae,
    0x7fd42ffe,0x800cffff,0x20007ffb,0x0bff60ab,0xf993fea0,0xff98007f,
    0x3ffa002f,0x400bff50,0x0001fff9,0x7ff9872e,0x3ff60000,0x0037fdc1,
    0x007ffe60,0x3f61cb80,0x00554c2f,0x02fff800,0x409ffb00,0x40004ffc,
    0x3f20fffc,0x7e40004f,0x0fff30ff,0x4cbffa00,0xfd0007ff,0xdff3005f,
    0x4007ffc4,0xd0007ff9,0x6ffa89ff,0xe801fffb,0x9ffb02ff,0x077ff400,
    0x00037fec,0x40bfff60,0xfffb6ffa,0x82ffe801,0xfffffffa,0x17ffa03e,
    0x3ffb0000,0x4cbff300,0xfd0007ff,0x3fe6007f,0x003ffe26,0x0003ffdc,
    0x003ffcc0,0xb83ffb00,0x5c0006ff,0x800007ff,0xfff92ffd,0x80007dff,
    0xb0002fff,0x7fec09ff,0x7fd40003,0x00fff61f,0x23fff500,0xd0007ff9,
    0x1ffe65ff,0x017ff400,0x3f61ffec,0x7ff9803f,0x2fff8800,0xff8b7fd4,
    0x17ff405f,0x2004ffd8,0x7d44fff9,0x200000ff,0x2a04fffb,0xbfff16ff,
    0x202ffe80,0xffffffda,0x04fff81e,0x07fec000,0xf33ffc40,0x3ee000ff,
    0x7ffb005f,0xd003ffd8,0x00000dff,0x0000fff3,0x3ee0ffec,0x7f40006f,
    0xd800006f,0xffffebff,0x0003ffff,0x4000bffe,0x3fe04ffd,0x7cc0002f,
    0x0bffe2ff,0x5fff3000,0x4001ffe6,0xfff32ffe,0x0bffa000,0xa81fff10,
    0xff9807ff,0x7fec4007,0x537fd40f,0x7f405fff,0x09ffb02f,0x11fffc80,
    0x00007fff,0x202fffd4,0x3fea6ffa,0x0bffa02f,0x3fffbea0,0x1fffc1ff,
    0x3ff60000,0x26ff9800,0x50007ff9,0xff100dff,0x07ffa81f,0x0009ffd0,
    0x00fff300,0x20ffec00,0x40006ffb,0x00004ffe,0xceffffd8,0x2ffffc9a,
    0x05fff000,0x413ff600,0x0001fff8,0xff13fff8,0xff00003f,0x01ffe67f,
    0xf997ff40,0xffd0007f,0x05ffb805,0xf9805fff,0xfb98807f,0xffa83fff,
    0x807ffec6,0xffb02ffe,0xdffd0009,0x00017ff2,0x00efff88,0x3f637fd4,
    0x5ffd00ff,0x3ee7f300,0x3ffe26ff,0x7ec00001,0x4ff9801f,0x4001ffe6,
    0xfb807ff9,0x05fff05f,0x0007fff0,0x57fff300,0x55555555,0xffb05555,
    0x006ffb83,0x001fffc0,0x77ffec00,0x00bffd00,0x000bffe0,0xf9827fec,
    0xe80000ff,0x1fff33ff,0x7ffd0000,0x4001ffe6,0xfff32ffe,0x0bffa000,
    0x3205ffd0,0x7fcc05ff,0xffffffff,0x4fffffff,0xf88dff50,0x5ffd05ff,
    0x0013ff60,0x3ff3ffe6,0xd100000f,0xf5003fff,0x5fff88df,0x3005ffd0,
    0x97ffcc7f,0x0001fff9,0x4017fec0,0x3fe63ffa,0xfff10007,0x02ffe803,
    0xf880bff9,0xeeb801ff,0x5eeeeeee,0xfffffff3,0xffffffff,0x83ffb0df,
    0x20006ffb,0xb801fff8,0xeeeeeeee,0x01fffb5e,0x80037fd4,0xb0002fff,
    0x3fe609ff,0xff80000f,0x01fff33f,0x27fff000,0xd0007ff9,0x1ffe65ff,
    0x017ff400,0x7cc0fff3,0x3fe600ff,0xffffffff,0x02efffff,0x3ea1bfea,
    0x2ffe82ff,0x0009ffb0,0x0bfffff2,0xfffd8000,0x0dff5002,0xfd05fff5,
    0x87f3005f,0x3ffe3ffe,0x7ec00002,0x1ffd804f,0x4001ffe6,0x2602fff8,
    0x3fe607ff,0x17ffc00f,0x7ffffe40,0xff37ffff,0xffffffff,0x0dffffff,
    0xffb83ffb,0x7ffc0006,0xffffc802,0xfb7fffff,0x7ff880bf,0x05fff000,
    0x413ff600,0x0002fff8,0xf897ffc4,0x440002ff,0xfff32fff,0x4bffe000,
    0xf0007ff9,0x7fe405ff,0x027ff404,0xfffffff3,0x17ffffff,0x20dff500,
    0x7f40fffd,0x09ffb02f,0x2ffff400,0xfff70000,0x37fd4007,0x740fffd8,
    0x302a22ff,0x25ffc87f,0x00003ffe,0x3007ffec,0x7fcc1fff,0xfff30007,
    0x027fe403,0xff013ffa,0xfff9007f,0x2fffffff,0xccccfff9,0xcccccccc,
    0x41ffd83c,0x40006ffb,0xfc803fff,0xffffffff,0xf009ffb7,0x3fe000ff,
    0xffb0002f,0x01fffc09,0x87ffe600,0x40003fff,0xff11fff9,0xfff0001f,
    0x003ffe25,0xf80bffe0,0x99999bff,0x207ffc99,0x3aa07ff9,0xfa801eff,
    0xbfff106f,0xfb02ffe8,0x7d40009f,0x500000ff,0xa800bfff,0xfff106ff,
    0xf92ffe8b,0x5c3f989f,0x13ff24ff,0xfffb0000,0x5ffd101b,0x0007ff98,
    0x7c01fff5,0x99999bff,0x407ffc99,0x98804ffe,0xffa99999,0x000fff37,
    0x2e0ffec0,0x740006ff,0x998804ff,0x7ffa9999,0xff007ffb,0x3ffe000f,
    0x9ffb0002,0x0027fec0,0xd83ffea0,0x540004ff,0xfff10fff,0xfff88001,
    0x001fff11,0x501fff88,0xffffffff,0x5fffffff,0x101ffe60,0xa803fffd,
    0x3fee06ff,0x40bffa2f,0x20004ffd,0x00007ff9,0x001dfff1,0x2e06ffa8,
    0x3ffa2fff,0xf98dff52,0xf71fff43,0x5dc000df,0x3bffff61,0x4fffb99b,
    0x0007ff98,0x7d40fff7,0xffffffff,0x02ffffff,0x0001bff2,0x3fe6fff3,
    0x3f600007,0x037fdc1f,0x01bff200,0x36fff300,0x7ff802ff,0x05fff000,
    0x813ff600,0x0000fffb,0xff717ffa,0x7f40001f,0x00fffc5f,0xf87ffe60,
    0x7cc001ff,0xfffb01ff,0xffffffff,0x260bffff,0xfe8807ff,0x3fea00ef,
    0x87ffec06,0xffb02ffe,0x7fcc0009,0xffd00007,0xff50001f,0x0fffd80d,
    0x7ffc5ffd,0xff98fe61,0x01ffe62f,0xfb4ffe80,0xfffffd9f,0x3fe60bff,
    0xdff90007,0x7ffffec0,0xffffffff,0x3fe605ff,0x3e60001f,0x00fff37f,
    0x20ffec00,0x40006ffb,0x0001fff9,0x7fedffe6,0x007ff802,0x0005fff0,
    0xf8813ff6,0xf50004ff,0xfff885ff,0xfff50004,0x003ffe85,0x3fa3ffd4,
    0x7fd4003f,0x57fff107,0x55555555,0xf303fff7,0x3fe600ff,0x1bfea06f,
    0x3abfff10,0x9ffb02ff,0x3ffcc000,0x7ffec000,0xdff50002,0xd5fff880,
    0x77fec5ff,0x3f627f30,0x02fff86f,0xb1fff980,0xfffb15ff,0x7fcc05bf,
    0x9ffd0007,0x2afffe20,0xaaaaaaaa,0x3a01fffb,0x260005ff,0x0fff37ff,
    0x0ffec000,0x0001bfee,0x80017ffa,0x5ffb7ff9,0x000fff00,0x4000bffe,
    0x7e404ffd,0xfe8001ff,0x3fff906f,0x0dffd000,0xe800dff9,0x37fe45ff,
    0x417ffa00,0x7c006ffb,0x7ff984ff,0x13fff200,0x5c037fd4,0x2ffeafff,
    0x0009ffb0,0x0003ffcc,0x000fffee,0xb806ffa8,0x2ffeafff,0x2affffe6,
    0x1ffffccf,0x000fffc8,0xffb37ff4,0xf3001985,0xff7000ff,0x1bfee01f,
    0x409fff00,0x0003fffb,0x3fe6fff3,0x3f600007,0x037fdc1f,0x1fffdc00,
    0xb7ff9800,0xfff005ff,0x0bffe000,0x027fec00,0x800ffff4,0x201fffe8,
    0x1001fffe,0xf503fffd,0x3ea00bff,0x7ffd43ff,0x7fff5005,0x000fffa0,
    0xff30fff9,0xfffe800f,0x006ffa81,0x5ffdfffb,0x0013ff60,0x0007ff98,
    0x0017ffe6,0x200dff50,0x2ffefffd,0x7fffff44,0x102fffff,0x2001dfff,
    0x3f62fffd,0x3e60002f,0x7fc4007f,0x0fffa05f,0x80fff900,0x4003fffd,
    0xff37fffb,0x7ec0000f,0x037fdc1f,0x3fffd800,0xbfffdc00,0xff802ffd,
    0x5fff0007,0x13ff6000,0x13fffe60,0x07ffff50,0x04ffff98,0x01ffffd4,
    0x2039fffb,0xb06fffc8,0x22039fff,0xf306fffc,0xf88001ff,0x3ffcc2ff,
    0x1bffe600,0x4401bfea,0x02ffffff,0x40009ffb,0x10007ff9,0x0000dfff,
    0x2200dff5,0x82ffffff,0xffffffc8,0x7fdc00df,0xfb300bef,0x2ffd89ff,
    0x1ffe6000,0x1fffd880,0x001fff30,0x202fff88,0x1beffff8,0xffffd510,
    0x001ffe6b,0x5c1ffd80,0x100006ff,0x037dffff,0x3ffffaa2,0xf005ffb5,
    0x3fe000ff,0xffb0002f,0x3ffe6009,0xfdcaceff,0x3003ffff,0x59dfffff,
    0x7fffffb9,0xfffff980,0xfffedcdf,0xfff301ff,0xfdb9bfff,0x3203ffff,
    0xfb0005ff,0x07ff98df,0x43fffc80,0x2e006ffa,0xb02fffff,0x4c0009ff,
    0xfd0007ff,0x500001df,0x7dc00dff,0x4c02ffff,0x5c001dfc,0xbcefffff,
    0x85ffffdc,0x20002ffd,0x26207ff9,0x03ffffca,0x40017ff2,0x6c406ffd,
    0xcdffffff,0xeffffffd,0x001ffe62,0x5c1ffd80,0x200006ff,0xffffffd8,
    0xfffffdcd,0x0bff62ef,0x4001ffe0,0xb0002fff,0x6c4009ff,0xffffffff,
    0x4001ffff,0xffffffd8,0x01ffffff,0xfffffd10,0x3dffffff,0xffffe880,
    0xefffffff,0x00bffe01,0x30fffd40,0xd1000fff,0x7fd41fff,0x7ffec006,
    0x09ffb02f,0x03ffcc00,0x7ffffcc0,0xffffffff,0x53ffffff,0xfd800dff,
    0xf9802fff,0xfff50003,0xffffffff,0x5ffb019f,0x7ffcc000,0xffffffff,
    0x403fffff,0x50002fff,0xf7003fff,0xffffffff,0xf307ffff,0xffffffff,
    0xffffffff,0x20ffec5f,0xfffffffb,0xffffffff,0x7fffdc00,0xffffffff,
    0x02ffd83f,0xf0007ff8,0x360005ff,0xc98004ff,0xdfffffff,0x7e4c0002,
    0x2dffffff,0xfffb7000,0x017dffff,0x7fffedc0,0x200befff,0x40007ffa,
    0x3fe64fff,0xfff50007,0x0037fd4b,0x40bfffe2,0x20004ffd,0x98007ff9,
    0xffffffff,0xffffffff,0xdff53fff,0xffff8800,0x003f9802,0x3fffae20,
    0x200cffff,0x20002ffd,0xfffffff9,0xefffffff,0x03ffd402,0x013ffe00,
    0x7ffff5c4,0x300bdeff,0xffffffff,0xffffffff,0x0ffec5ff,0x3fffffee,
    0xffffffff,0xfeb8800f,0xbdefffff,0x005ffb00,0x3e000fff,0xfb0002ff,
    0x9880009f,0x000001aa,0x00035531,0x4d554c40,0x54c40000,0xfb0009aa,
    0xfc80009f,0x01ffe67f,0x52fffd80,0xf7000dff,0x3ff605ff,0x3fe60004,
    0xfff98007,0xffffffff,0xffffffff,0x000dff53,0x1005fff7,0x22000039,
    0xb0009aa9,0x4c0005ff,0xffffffff,0x001cdeff,0x80009ffb,0x30007ffc,
    0x26001353,0xffffffff,0xffffffff,0x07ff62ff,0xfffffff7,0xffffffff,
    0x35330001,0x0bff6001,0x0001ffe0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x26000133,0x04cc4099,0xffffff90,0x3fbb2a01,0xffffffff,
    0x2666006f,0xfff50000,0x00007fff,0x0000ccc4,0x00003000,0x55405440,
    0x1bea0000,0xcb801fec,0x0004c880,0x3bb20000,0x5eeeeeee,0x54c04c00,
    0x05edc401,0x3aa003b6,0xeeeeeeee,0xcc98000e,0xcccccccc,0x00555500,
    0x00015554,0x53000000,0x00000155,0x31000000,0x33333333,0xccccc803,
    0x502ccccc,0x26000035,0x8002ffff,0x3fe66ffb,0x3fff200f,0x7f4c0fff,
    0xffffffff,0x006fffff,0x0003fff6,0x3fffffea,0xff100003,0x0000009f,
    0x0003dff9,0xadfffc80,0x40007f98,0x7fcc3ff8,0xb0bfb001,0x3fee00bf,
    0x001ffe24,0xfffffffb,0x3aa00dff,0xfe89beff,0x3fffe202,0x006fcbef,
    0xfffffff5,0x50003fff,0xffffffff,0x3ffe03ff,0x1bffa006,0x23ffd800,
    0x20006ffa,0x0001fffb,0xffd1ffe6,0x43fff005,0xfff74ffc,0x1fffffff,
    0x7fffffc0,0xfb05ffff,0xfd10000b,0x0001ffdf,0x3ffa7ffb,0x66ffe402,
    0x3ffe60cc,0xffffffff,0x006fffff,0x40027ff4,0x3ffeccc9,0xdff90000,
    0xf3000000,0x80001ae3,0xfffffffa,0xb80005ff,0x5ffedfff,0x2fbfe600,
    0x7001ffdb,0x3ffc49ff,0x3bbbb200,0x005eeeee,0xffffffff,0x77dc01ff,
    0x3fffffeb,0xddddd500,0x001ddddd,0xffffff50,0x3e03ffff,0x3fa006ff,
    0x3f60006f,0x01bfea3f,0x01fffb80,0xd1ffe600,0xfff005ff,0xfba7fe43,
    0xffffffff,0x3fffe00f,0x05ffffff,0xb0000ff7,0x1dff39ff,0xcfff8800,
    0xffc803ff,0x3ffffa03,0x7fdc5fff,0xfff10002,0xffc80001,0xff880003,
    0x8000000f,0x0000fc4d,0xfd934fd8,0x200003df,0x04fffffc,0xfffffb80,
    0x3fee003f,0x001ffe24,0xefa80000,0x3fffdb88,0xd7117f40,0x0000005b,
    0xf8000000,0x3fa006ff,0x3f60006f,0x01bfea3f,0x01fffb80,0xd1ffe600,
    0xfff005ff,0xa9a7fe43,0xaaaaaaaa,0x2000000a,0x20001ff8,0x3ff26ffb,
    0xfff98005,0x7ff9005f,0x3ffffee0,0x7fdc5fff,0x3fe60002,0x7fe40004,
    0xffb80003,0x70000002,0x00007ccb,0x01980aa8,0xaaa88000,0x32e20000,
    0x54c000bc,0x00aaa21a,0x33106660,0x10353001,0x00000005,0x0006aa60,
    0x55400000,0x2aaa002a,0x2aa60002,0x000aaa20,0x000aaa98,0x550aaa20,
    0x15550015,0x0000d54c,0x7f400000,0x2aaa0004,0x00055540,0x80066654,
    0xffb03ffc,0x8bffffff,0x40002ffb,0x640002a9,0xa80003ff,0x0000002a,
    0x013af7e2,0x00000000,0x00000000,0x00000000,0xffd1ffe6,0x00000005,
    0x764c0000,0x2dffffff,0x007ff980,0x0005ffd0,0x00000000,0x00000000,
    0x00000000,0xf9827fec,0xffffffff,0xffffffff,0x00037e46,0x00000000,
    0x740fff20,0xffffffff,0x0017fdc5,0xfc800000,0x0000003f,0x3f200000,
    0x000001ff,0x0003fff9,0x07fff200,0x09ffb000,0x1fffc800,0x8fff3000,
    0x7fd42ffe,0xffe8002f,0x013ff602,0xffffff90,0x03ffffff,0x8003ffcc,
    0x9ffb2ffe,0xffffffe8,0xffffffff,0x3ffe67ff,0xffffffff,0x26ffffff,
    0xfffffff9,0xffffffff,0x3fff26ff,0xfff10003,0x013ff609,0x7cc13ff6,
    0xffffffff,0xffffffff,0x2007fd46,0x8000fff9,0xfff32ffe,0xffffffff,
    0x4dffffff,0xfff03ffc,0x8bffffff,0x90002ffb,0x80003fff,0x98003ffc,
    0xffffffff,0xffffffff,0x8003ffff,0x0005ffff,0x0bffff00,0x3ffe0000,
    0x7ec0005f,0x7fc0004f,0xf30005ff,0x42ffe8ff,0x000ffffa,0xfb017ff4,
    0x3fa6009f,0xfcbcefff,0x303fffff,0x3a000fff,0x89ffb2ff,0xfffffffe,
    0xffffffff,0x3fffe67f,0xffffffff,0x266fffff,0xffffffff,0xffffffff,
    0x07fff46f,0x077ff400,0xd804ffd8,0xfff304ff,0xffffffff,0x8dffffff,
    0x7cc02ff8,0xfe8000ff,0xfffff32f,0xffffffff,0x7e4dffff,0xffffb03f,
    0xfb8bffff,0xfff0002f,0xfc8000bf,0xffc8003f,0xffffffff,0xffffffff,
    0x7d4003ff,0x0000ffff,0x7ffffd40,0x7d400000,0x0000ffff,0x80013ff6,
    0x00fffffa,0x542aa880,0x7ffd40aa,0x7ff4005f,0x013ff602,0x813fffe6,
    0x83fffeb9,0xd0007ff9,0x13ff65ff,0xfffffffd,0xffffffff,0x7fffccff,
    0xffffffff,0x266fffff,0xffffffff,0xffffffff,0x2fffcc6f,0x07ffee00,
    0xd804ffd8,0xfff304ff,0x4fd80000,0x007ffcc0,0xf997ff40,0xffffffff,
    0xffffffff,0x640fff26,0xffffffff,0x0017fdc5,0x07ffffd4,0x07ff9000,
    0xfffff880,0xffffffff,0xffffffff,0x5ffec003,0x400003ff,0x03ffbffd,
    0x5ffec000,0x360003ff,0x360004ff,0x003ffbff,0x3fea0000,0x3a002fff,
    0x3ff602ff,0x1effe804,0x3fffd100,0x0007ff98,0x3ff65ffd,0xffa80004,
    0x01ffe64f,0x03ffcc00,0x3fff2000,0x9fff1002,0x804ffd80,0xff304ffd,
    0xfb80000f,0x07ffcc07,0x997ff400,0x900007ff,0x3fe207ff,0x45ffffff,
    0xd8002ffb,0x003ffbff,0x000fff20,0x7fd4dff9,0x44000007,0x06ff8dff,
    0x37fe2000,0x00006ff8,0x3fe37fe2,0x3ff60006,0xbff10004,0x0000dff1,
    0x7fffd400,0xffd000ff,0x027fec05,0x0007ffea,0xff31bffa,0x3ffa000f,
    0x0009ffb2,0x4c5fff98,0x300007ff,0x00000fff,0xb001fffd,0xffb00dff,
    0x09ffb009,0x0001ffe6,0x4c03ff30,0xe8000fff,0x0fff32ff,0x0fff2000,
    0xffffffb8,0x017fdc5f,0x3e37fe20,0x3f20006f,0x3fe2003f,0x01ffea3f,
    0x7ff70000,0x0000bff6,0xffd9ffdc,0xff700002,0x000bff67,0x80027fec,
    0x5ffb3ffb,0x40066200,0xfdff5099,0x3fa00bff,0x13ff602f,0x004fff88,
    0x4c5fff30,0xfd0007ff,0x013ff65f,0x0efff880,0x0003ffcc,0x0007ff98,
    0x05fff980,0x400fffd4,0xfd804ffd,0x0fff304f,0x07ff0000,0x0007ffcc,
    0xff997ff4,0xff900007,0xffffb807,0x17fdc5ff,0x6cffee00,0xf90002ff,
    0x7fe4007f,0x003ffd46,0x43ffa000,0x00005ffa,0x3fea1ffd,0xffd00005,
    0x0017fea1,0x80027fec,0xbff50ffe,0x007ff600,0x3feadff1,0x802fffae,
    0x3f602ffe,0x3ffee04f,0x3ffa0000,0x001ffe65,0xffd97ff4,0xffd10004,
    0x0fff303f,0x1ffe6000,0x7fe40000,0x7fff102f,0x013ff600,0x7cc13ff6,
    0xd800007f,0x3ffe605f,0x2ffe8000,0x0000fff3,0x2200fff2,0x5c5fffec,
    0x7f4002ff,0x00bff50f,0x400fff20,0x7d43fff8,0x2000007f,0x3fe26ff9,
    0x7cc0000f,0x03ffe26f,0x4dff3000,0x8000fff8,0x98004ffd,0x3ffe26ff,
    0x01ffd800,0xffab7fc4,0x801fffb6,0x3f602ffe,0x13ff204f,0x1fff9000,
    0x4001ffe6,0x9ffb2ffe,0x3fff6000,0x00fff302,0x01ffe600,0xeffe8000,
    0x006ffd80,0x36013ff6,0xfff304ff,0xff500000,0x03ffe601,0x4cbffa00,
    0x900007ff,0xf88007ff,0x017fdc5f,0x7c4dff30,0xfc8000ff,0xfff7003f,
    0x000fff50,0x21ffec00,0x40003ffd,0x7fec3ffd,0x7fec0003,0x001ffec3,
    0x40027fec,0x7fec3ffd,0x01ffd803,0xffab7fc4,0x80bfff16,0x3f602ffe,
    0x0fff604f,0x3fff5000,0x4001ffe6,0x9ffb2ffe,0x9fff7000,0x003ffcc0,
    0x007ff980,0x3ffe6000,0x007ffd44,0xb009ffb0,0x3fe609ff,0xf8800007,
    0x1fff302f,0x25ffd000,0x00007ff9,0x88007ff9,0x17fdc5ff,0xd87ffb00,
    0xfc8003ff,0xfff8803f,0x007ffa83,0x1fff1000,0x0007ffa8,0xf503ffe2,
    0x7c4000ff,0x3ffd40ff,0x027fec00,0x503ffe20,0xffb00fff,0x56ff8803,
    0x7ffd4dff,0x80bffa02,0x3fe04ffd,0x7cc0002f,0x0fff32ff,0x6cbffa00,
    0x7d4004ff,0x7fcc05ff,0xff300007,0xc800000f,0xfff11fff,0x4ffd8007,
    0x304ffd80,0x55557fff,0x55555555,0x304fe805,0xd0001fff,0x1ffe65ff,
    0x1ffe4000,0x717fe200,0x3e2005ff,0x3ffd40ff,0x01ffe400,0xfa83ffdc,
    0x7000007f,0x3ffe0bff,0xbff70002,0x000bffe0,0xff82ffdc,0x7fec002f,
    0x2ffdc004,0x6c02fff8,0x7fc401ff,0xfd8dff56,0x5ffd00ff,0x8827fec0,
    0x80001fff,0xfff33fff,0x4bffa000,0x22004ffd,0x4c00efff,0xaaaabfff,
    0xaaaaaaaa,0x55fffcc2,0xaaaaaaaa,0x3a002aaa,0x0bff96ff,0x009ffb00,
    0x3e609ffb,0xffffffff,0x6fffffff,0xf9837e40,0xeeeeeeff,0xfeeeeeee,
    0x7fff32ff,0x55555555,0xfc855555,0x7fc4003f,0x8017fdc5,0xfff05ffb,
    0x3ffc8005,0x503fff80,0x55555fff,0x03555555,0x640bffa0,0xfd0005ff,
    0x17ff205f,0x817ff400,0x6c005ffc,0x7f4004ff,0x0bff902f,0x4401ffd8,
    0x8dff56ff,0xfd05fff8,0x27fec05f,0x000fff98,0xf33ffe80,0x3fa000ff,
    0x009ffb2f,0x007fffa2,0x3fffffe6,0xffffffff,0x7ffcc6ff,0xffffffff,
    0x006fffff,0x3ff3ffe6,0xffd8000f,0x04ffd804,0xfffffff3,0xffffffff,
    0x0ff980df,0xffffff98,0xffffffff,0xf32fffff,0xffffffff,0xdfffffff,
    0x4003ffc8,0x7fdc5ff8,0x05ffd002,0x90017ff2,0xffb807ff,0xffff500f,
    0xffffffff,0xff3009ff,0x07ffcc0f,0x81ffe600,0x4000fff9,0x3e607ff9,
    0x3f6000ff,0x3fe6004f,0x03ffe607,0x4401ffd8,0x0dff56ff,0xfd05fff5,
    0x27fec05f,0x000fff98,0xf33fff80,0x3fa000ff,0x009ffb2f,0x400bfff6,
    0xfffffff9,0xffffffff,0x7fffcc6f,0xffffffff,0x4006ffff,0x02fffffc,
    0x009ffb00,0x3e609ffb,0xccccccff,0x3ccccccc,0xf983ff80,0xffffffff,
    0xffffffff,0xffff32ff,0xffffffff,0xfc8dffff,0x7fc4003f,0x4017fdc5,
    0x3e607ff9,0x3f2000ff,0x27ff403f,0xffffff50,0xffffffff,0x09ff9009,
    0x4004ffe8,0x7f404ffc,0x7fe4004f,0x027ff404,0x4009ffb0,0x7f404ffc,
    0x07ff604f,0x3eadff10,0x1fffb06f,0x3602ffe8,0xfff104ff,0xff880005,
    0x00fff32f,0x7ecbffe0,0xfffb804f,0x3ffe6003,0xcccccccc,0x4c3ccccc,
    0xcccccfff,0xcccccccc,0xfffe8003,0x3ff60005,0x04ffd804,0x0000fff3,
    0x7cc2fec0,0x999999ff,0xf9999999,0x9fff32ff,0x99999999,0xfc879999,
    0x7fc4003f,0x4017fdc5,0x7f404ffc,0x3ff2004f,0x03ffea03,0xcccfffa8,
    0xcccccccc,0x9bfff802,0xfc999999,0x7ffc007f,0x9999999b,0x7c007ffc,
    0x99999bff,0x007ffc99,0xf8013ff6,0x99999bff,0x207ffc99,0x7c401ffd,
    0x20dff56f,0x7f45fff8,0x13ff602f,0x0003fff8,0xf88fffcc,0xff8000ff,
    0x809ffb2f,0x4005fffa,0x00007ff9,0x0000fff3,0x07ffd400,0x09ffb000,
    0x2609ffb0,0x000007ff,0x3fe61fee,0xffe8000f,0x000fff32,0x000fff20,
    0xffb8bff1,0x9bfff802,0xfc999999,0x3ff2007f,0x277ffa03,0xfb999999,
    0x5400007f,0xffffffff,0x2fffffff,0xfffff500,0xffffffff,0x3ea005ff,
    0xffffffff,0x02ffffff,0x2009ffb0,0xfffffffa,0xffffffff,0x803ffb02,
    0xdff56ff8,0xd17ffdc0,0x7fec05ff,0x013ff604,0x21fff500,0x4000fff8,
    0xffb1fff8,0x77ffc409,0x3ffcc000,0x7ff98000,0x26000000,0x6c0007ff,
    0xffd804ff,0x00fff304,0x0ffc4000,0x0003ffe6,0x7fccbffa,0xff900007,
    0x5ff88007,0x2a017fdc,0xffffffff,0x2fffffff,0x207ff900,0xfffffffa,
    0x7fffffff,0x7fec0000,0xffffffff,0x005fffff,0xfffffffb,0xffffffff,
    0x3fff600b,0xffffffff,0xb005ffff,0x3f6009ff,0xffffffff,0x05ffffff,
    0xf9803ffb,0x80dff56f,0xffd0fffd,0x027fec05,0x0001fff7,0x3fe2fff4,
    0x7fcc001f,0x409ffb1f,0x8000fffe,0x00007ff9,0x0000fff3,0x03ffcc00,
    0x013ff600,0x7cc13ff6,0x4000007f,0x7ffcc4fe,0x2ffe8000,0x0000fff3,
    0x1000fff2,0x2ffb8bff,0x7ffffec0,0xffffffff,0xff9005ff,0x3ffffa07,
    0xffffffff,0x200007ff,0xaaabfff8,0xfbaaaaaa,0x7fc401ff,0xaaaaaabf,
    0x1fffbaaa,0x55fffc40,0xaaaaaaaa,0xd801fffb,0xff8804ff,0xaaaaaabf,
    0x1fffbaaa,0x5402ffd8,0x0dff56ff,0xfd5fff88,0x27fec05f,0x009fff10,
    0xd0bffea0,0xfa8007ff,0x413ff67f,0x0002fffd,0x0000fff3,0x0001ffe6,
    0x07ff9800,0x027fec00,0xf9827fec,0x4000007f,0x7ffcc6fc,0x2ffe8000,
    0x0000fff3,0x1000fff2,0x2ffb8bff,0x2afffe20,0xaaaaaaaa,0xc801fffb,
    0xfffa83ff,0xeeeeeeee,0x0007ffee,0x001bfee0,0xfb809fff,0x7ffc006f,
    0x037fdc04,0x2013ffe0,0xfb804ffd,0x7ffc006f,0x402ffc84,0xdff56ffc,
    0xd5fff700,0x7fec05ff,0x0fffe404,0x437ff400,0x74006ffc,0x13ff65ff,
    0x000fffee,0x0007ff98,0x000fff30,0x3ffcc000,0x13ff6000,0x4c13ff60,
    0x000007ff,0xff307fd4,0xffd0001f,0x001ffe65,0x001ffe40,0xff717fe2,
    0x037fdc05,0x2013ffe0,0xffe83ffc,0x0fff5004,0x1fff4000,0x01fff200,
    0xc8007ffd,0x7ff407ff,0x3ffe4003,0x4027fec0,0x64003ffe,0x5ffc87ff,
    0x55bffa20,0xffb006ff,0x6c05ffdf,0xffe804ff,0xffd1001f,0xbfff503f,
    0x8fffea00,0x7fcc4ffd,0x7cc0005f,0xf300007f,0x000000ff,0x0003ffcc,
    0x36013ff6,0xfff304ff,0xf8800000,0x03ffe62f,0x4cbffa00,0x900007ff,
    0xf88007ff,0x017fdc5f,0xc8007ffd,0xffc807ff,0x00fffcc3,0x0007ffa8,
    0x001fff30,0x302fff88,0x88001fff,0xff302fff,0xff88001f,0x27fec02f,
    0x003ffe60,0xa85fff10,0xffd02fff,0x01bfeadf,0x7fffffc4,0x013ff602,
    0x013fffe6,0x407ffff5,0x101cfffd,0xfd8dfff9,0x1bffe24f,0x1ffe6000,
    0x3ffcc000,0xf3000000,0xfd8000ff,0x4ffd804f,0x000fff30,0x4c355000,
    0xe8000fff,0x0fff32ff,0x0fff2000,0xb8bff100,0xfff302ff,0xfff88001,
    0x21ffe402,0x2a005ffd,0x900007ff,0x36000bff,0xbff906ff,0x1bff6000,
    0x8002ffe4,0x7ec06ffd,0x2ffe404f,0x86ffd800,0xcaadffff,0xf56feefe,
    0x7fdc00df,0x3f602fff,0xfff3004f,0xfb959dff,0x9807ffff,0xcdffffff,
    0x1fffffed,0xffd27fec,0xf300001d,0x260000ff,0x000007ff,0x001ffe60,
    0xb009ffb0,0x3fe609ff,0xffffffff,0xffffffff,0xfff30002,0x5ffd0001,
    0x0001ffe6,0x2001ffe4,0x7fdc5ff8,0x00bff902,0x901bff60,0x7ffcc7ff,
    0x1ffea001,0x17ffc000,0x1fffa800,0x0002fff8,0xff03fff5,0x3ea0005f,
    0x3ff601ff,0x017ffc04,0x41fffa80,0xfffffffa,0xf56fe8ef,0xffd800df,
    0x3ff602ff,0x3ff62004,0xffffffff,0xfd1001ff,0xffffffff,0xffb03dff,
    0x3ffffe69,0xffffffff,0x33ffffff,0xffffffff,0xffffffff,0x3ffe65ff,
    0xffffffff,0x2fffffff,0x01ffe600,0x009ffb00,0x3e609ffb,0xffffffff,
    0xffffffff,0xff30002f,0xffd0001f,0x3ffffe65,0xffffffff,0xf92fffff,
    0x801999bf,0x7fdc5ff8,0x005fff02,0x987ffea0,0x23ffeccc,0x54005ffd,
    0xffffffff,0x7fffffff,0x0003ffd4,0xff513ffe,0xfff8000f,0x003ffd44,
    0xd813ffe0,0x3fea04ff,0x7ffc0007,0xffffd884,0x7d5bfa4f,0x7fc4006f,
    0x3ff602ff,0xffc98004,0x02dfffff,0xffffb700,0x2017dfff,0xfff34ffd,
    0xffffffff,0xffffffff,0x3ffffe67,0xffffffff,0xf32fffff,0xffffffff,
    0xffffffff,0x7fcc005f,0x7fec0007,0x04ffd804,0xfffffff3,0xffffffff,
    0x20005fff,0x8000fff9,0xfff32ffe,0xffffffff,0x5fffffff,0x3ffffff2,
    0x22ffc400,0xffa82ffb,0x7ffc0007,0x3ffffea4,0x05fff33f,0xfffffa80,
    0xffffffff,0x27fec7ff,0x1fff2000,0x80009ffb,0x7fec7ffc,0x7fe40004,
    0x813ff607,0x40004ffd,0x54c07ffc,0x06ffa800,0x02fffb80,0x00013ff6,
    0x00035531,0x4d554c40,0x34ffd800,0xffffffff,0xffffffff,0x3fe67fff,
    0xffffffff,0xffffffff,0xffffff32,0xffffffff,0x4005ffff,0x40007ff9,
    0x00004ffd,0x00000000,0x0003ffe6,0x7fccbffa,0xffffffff,0xffffffff,
    0xffffff92,0x45ff8801,0xffd82ffb,0x7fe40004,0x3ffffea7,0x00dffb3f,
    0xffffff50,0xffffffff,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xaaaaaaaa,0x100001aa,0x80001333,0x00019aa9,0x01353300,0xa9880498,
    0x4c40001a,0x3000001a,0x40000355,0x20000199,0x0001aa98,0x00026662,
    0x01353300,0xaa988000,0x51000009,0x40198815,0x55400019,0x10000001,
    0x09988133,0x30000000,0x00000133,0x01331000,0x20000000,0x00009998,
    0x2f6a0000,0x04ccc400,0xfffffd00,0x000bffff,0x001bffe0,0x7ffffed4,
    0x40001dff,0xffffffd9,0x27fc41df,0xfffffe98,0x3b6a004f,0x1cefffff,
    0xffd93000,0x005bffff,0x02fffe40,0xfffd7100,0x0059dfff,0x002fffcc,
    0x7fffecc0,0x0000dfff,0xfffffd71,0x880017df,0x2fffffeb,0x3f201ffb,
    0xff90000f,0xffb91001,0x3ea0017b,0x0bffa0ff,0x77ffedc0,0xfff8000b,
    0xfdb98003,0x44002def,0x2000ffff,0x2ceffec8,0x3fffa000,0x3ff6a000,
    0xed8003ce,0xffe806db,0x3fffa007,0x05ffffff,0x0fffa800,0x7fff4c00,
    0xffffffff,0x7f44000e,0xffffffff,0xefe88dff,0xfffffc80,0x400effff,
    0xfffffffc,0x4003ffff,0xfffffffc,0x001fffff,0x1fffffd4,0x7fffe400,
    0xffffffff,0x3ffea004,0xffd30000,0xffffffff,0xffc8009f,0xfffeeeff,
    0x3fa003ff,0xbfffffff,0xffc80ffd,0xff98000f,0xffffa802,0x800effff,
    0x9ff95ffc,0xffffd300,0x8005ffff,0x54003fff,0xffffffff,0xfffd000d,
    0xff7001df,0x0bffffff,0x03fff300,0x3ffffa20,0x1000efff,0x2201741f,
    0x31003fff,0x33333333,0xffd00001,0xfffb8003,0xffdbceff,0x5002ffff,
    0x79dfffff,0xdffffdb9,0xfff901ff,0x3ffaa239,0xffffb106,0xfffb999b,
    0xffd3009f,0xff979dff,0x2007ffff,0xffe9fff8,0xfffd1001,0xfd979bff,
    0x2003dfff,0xa8004ffc,0xacceffff,0x05ffffdc,0x02dffe98,0x01bffd71,
    0x88bfffc8,0x0fffffda,0x03ffffee,0x009fd100,0x97bffff7,0xd003fffd,
    0x00bff9ff,0xb7dffff1,0x4005ffff,0x32003fff,0xfdbcffff,0xffc805ff,
    0x5405ffac,0xfebdffff,0x36000eff,0xfd1003ff,0xfffb7bff,0xd8f5001d,
    0x07ff9803,0x40000000,0x5c003ffa,0x2603ffff,0x402ffffb,0x403ffffa,
    0x81fffffb,0xb101fff9,0xfff907ff,0x7ffe4405,0x3fffe604,0x3ffae604,
    0x3ffe803f,0x8801fff3,0x400dffff,0x2007fffc,0x2a000ffd,0x2202efff,
    0x2a05fffc,0x2a001eff,0xff700fff,0x3fff201d,0xf79ff10f,0xefd8001f,
    0x77ffc400,0x806ffc80,0x00effff8,0x441effe8,0x5000fffd,0x3ea00355,
    0xfff982ff,0xd9bfea03,0xfff103ff,0x5ffd9819,0x009ff300,0x22077fe4,
    0x7f006ffe,0x7d4003e6,0x7fe4003f,0x2e00001f,0x7fc4003c,0xfd3000ef,
    0x3fe201ff,0xff1001ef,0x7ffd01ff,0x40fff880,0xf9002ffe,0x77ff40df,
    0xfffd1001,0x22664c03,0x7ec03cca,0x3e6003ff,0x991002ff,0x3ffe2003,
    0xfff9000e,0x01bff105,0x20dfd100,0x7f401fff,0x2a1910ff,0x3ea000ff,
    0x6ffd801f,0x401ffe40,0x9801ccc9,0xff101fff,0x4000007f,0x3ee04ffe,
    0x8733206f,0xfc80ccc8,0x1ffe605f,0x10026540,0x7f401fff,0xffea801f,
    0x01e5c003,0x017fffe0,0x36000000,0x44000fff,0xffb05fff,0x7fdc001f,
    0x3ffcc5ff,0x223ffe80,0x7fc006ff,0x1fffa81f,0x06ffe800,0x7fd40000,
    0xffb8002f,0x36000006,0x74000eff,0x26fe85ff,0x09999998,0xf989fd10,
    0xfffa805f,0x001ff500,0x2200ffe2,0x7c401fff,0x5000007f,0xffd80dff,
    0xf3000004,0xfff880df,0xfe800000,0x17ff401f,0xffc80000,0x027fdc05,
    0x00000030,0x07ffffd4,0x55d44000,0x3e617cc1,0xf70003ff,0xfff881ff,
    0x37fea004,0x3fea1fff,0x49ff7005,0x64006ffa,0x7ffc43ff,0xfff30004,
    0x35531005,0x017ffa00,0x402fff80,0x8801aa98,0xa8003fff,0x3fea1fff,
    0x3fffff60,0xff981eff,0x400ffea1,0xff500fff,0x01bf6001,0xd8037fcc,
    0xaa9801ff,0x2ffdc009,0x4017fea0,0xfd801ffd,0x0999801f,0x009aa980,
    0x7e4036dc,0x3553003f,0x02ffe801,0x2007ffc4,0x0009aa98,0x6c001331,
    0x003ffbff,0x3ffffea0,0x44fe9cff,0x40006ffc,0x7fdc3fff,0x9ff5000f,
    0xffb97ffa,0xeeeeeeef,0x225ffeee,0x22001fff,0x0fffb819,0x17ffa000,
    0xfffffe98,0x3ffe604f,0x072e0001,0xfffffe98,0x1ffee04f,0x740ab800,
    0x6677ec3f,0xc81fffec,0x00bff24f,0xfa807ffc,0x0ffb800f,0x00bff500,
    0x6dc0fff2,0x03ffffff,0xd803ffe6,0xffb003ff,0x00fff003,0x7ffedc00,
    0x00003fff,0x6dc03ffb,0x03ffffff,0x3a00fff1,0xfff901ff,0x807fffff,
    0xf1003ffc,0x00dff1bf,0xfffffb10,0x0bffffff,0x80007fff,0x7ff46ffd,
    0x4bff3004,0x3ff27ffb,0xffffffff,0x746fffff,0x80000dff,0x40004ffc,
    0xfc80fffc,0xffffffff,0x07ffb80e,0x7fe40000,0xefffffff,0x005ffe80,
    0x207fcc00,0x4fe883fd,0xffb0ff98,0x03ffa003,0x26007fd4,0x3ee002ff,
    0x9ff9004f,0xfffffd88,0x3e06ffff,0xfff103ff,0x01ffa003,0x00c17fe2,
    0xfffffb10,0x000dffff,0xb107ff98,0xffffffff,0x0fff30df,0xd30fff60,
    0xffffffff,0x7fe40bff,0x27ff7003,0x6c002ffd,0xda89cfff,0x7c42ffff,
    0x640002ff,0x3ffe0fff,0x46ff8803,0xff90fff9,0xdddddddd,0xc8bddddd,
    0x00acffff,0x007ffb00,0x41fffa80,0x511cfffc,0xffd0dffd,0x6400000d,
    0xd511cfff,0x9fff0dff,0x4fb80000,0xdf703fd8,0x7fecbfa0,0x01ffd002,
    0xfd003fea,0x5ffa800b,0xd8bffb00,0xf931cfff,0x3fee0bff,0xffd710bf,
    0x1bfe600b,0xdb8ffe60,0x6c03efff,0xf931cfff,0x51000bff,0x3f607fff,
    0xff931cff,0x06ffa8bf,0x7c49ff90,0xd331bdff,0x3f205fff,0x1ffd003f,
    0xa8017fea,0xff501fff,0x0fff98bf,0x7ffd4000,0x803fff10,0x7c40efe8,
    0x09ff71ff,0x3fff2000,0x001bdfff,0x0000bffe,0x7cc5fff3,0xffb101ff,
    0x004ffe87,0x3fff3000,0xf0fff620,0x800007ff,0x03fd83fd,0x4ff207fd,
    0xff003ffc,0x03fea01f,0x4000ffc8,0xfd007ff9,0x0fffd4bf,0x301fffa8,
    0xfffdfffd,0x3fa2007f,0xbffa804f,0xffffffe8,0xfffa80df,0x03fff501,
    0xffffd910,0x07ffea05,0xf50fffd4,0x3ff200bf,0xb01bfee4,0x3ff20bff,
    0x26ff9803,0xf000fff8,0x3fe207ff,0x3fea2fff,0xff980007,0x01fff31f,
    0xff00ffe8,0x017fea5f,0xffffa800,0x02dfffff,0x0007ffe2,0xfe8fffe0,
    0x7ffc403f,0x000fffe0,0x01fff400,0x7c43ffe2,0x400001ff,0x9cfd81fe,
    0x00ffdb99,0x13fee9f7,0x403ffe20,0xff500ffa,0x3ffe0003,0x37ffd403,
    0xfd807ffb,0x3ffea04f,0x1004ffff,0x2e00dffd,0xcdffebff,0xd86fffec,
    0x7fec03ff,0xffff9804,0x0fff604f,0x7dc9ffb0,0xbff7005f,0x26017ffc,
    0x7ff906ff,0xd87ffb00,0xff9803ff,0x3f37f607,0x01ffee5f,0xa97ffc00,
    0x7fec07ff,0x4cfffe01,0xdb800fff,0x3fae202c,0xefffffff,0x00fff980,
    0x33ffe800,0x3fa00fff,0x03fff13f,0xdddddd70,0x3fe6bddd,0x27ffd007,
    0x0001fff9,0x7ec0ff40,0x1dffffff,0x7fcd7ea0,0x7ffdc00f,0x22099300,
    0x04c404ff,0x9817ffdc,0x3fe6ffff,0x0d64c00f,0x77ffff44,0x201effff,
    0x001fffe8,0x01dffff9,0xff87fff5,0x0d64c00f,0x7fff7d40,0x0fff82ff,
    0xf70d64c0,0x3fea009f,0x2200a665,0x7ff906ff,0x40fff880,0xfa807ffa,
    0x31df904f,0x3ffd4dff,0x7ffc4000,0x201fff31,0x7fc02ffc,0x013ffa2f,
    0x2007fff3,0xffffeca8,0x7ffcc2ff,0xfff80000,0x200bff53,0x3ffe4ffb,
    0xffffc802,0xf57fffff,0x3fee00bf,0x000bffe4,0xfb05fd00,0x007ffd9d,
    0x1ffec9f7,0x01ffff10,0x201bf600,0xfffd06fe,0xbff9535b,0x1bfe2bff,
    0xdfff3000,0x1fffd883,0x01fffe88,0x03bfff20,0xf10fffa8,0x100000df,
    0x23fffd98,0x20006ff8,0xf7004ffb,0xf71000bf,0x0fff20ff,0x3e0bff70,
    0x7fe402ff,0xf11ffa83,0x07ffccff,0x9ffea000,0xfb81fff8,0x7ffc402f,
    0x80fffe61,0x0000fffe,0x5ffffd71,0x0017ffc4,0x5cbffe20,0xeeeeefff,
    0x5ffeeeee,0x3200fffe,0xffffffff,0xddfff77f,0xdddddddd,0x1fff4bff,
    0x0ff60000,0x3ff98ff6,0xff31fe40,0xfffd307f,0xff70001f,0x06ffd803,
    0xffffffd3,0x2bff37ff,0x40005ffa,0x7e405ffd,0x1fffe86f,0x17ffe400,
    0xfa97ff40,0x0000005f,0x7d43fff2,0x3ea0005f,0x9ff7005f,0x76e5cc40,
    0xf907ffff,0x2ffe807f,0xd80bff90,0x1ffc42ff,0x7fc43ffe,0x7dc0002f,
    0x217ffc6f,0xf9803ffa,0x7ffec1ff,0xffec99ad,0xf700002f,0x3fff8bff,
    0x7ffcc000,0xffffff91,0xffffffff,0x027ff4df,0x4cccccc4,0xfff97ffa,
    0xffffffff,0x7e4dffff,0x5c00004f,0x4c3fd84f,0x0bfa01ff,0xd9bdfff9,
    0x01fffdff,0x403ff980,0x6406fffc,0x52efffff,0x13fee9ff,0x0fff9800,
    0x2e0ffe80,0xb8001fff,0xfc800fff,0x009ff74f,0xffe80000,0x0009ff73,
    0xc802ffcc,0xffeb84ff,0xffffffff,0x407ff907,0x3e607ff9,0x3ff600ff,
    0x7fc27f43,0x00fffe0f,0xe8bff900,0x13fea4ff,0xc83ffdc0,0xffffffff,
    0x009882ff,0x6c7ffa80,0x540004ff,0xdff90fff,0xdddddddd,0x7e4bdddd,
    0x7cc0006f,0xdddff97f,0xdddddddd,0x37fdcbdd,0x4c377000,0x41fec0ff,
    0x7f980efc,0xffffff50,0x00fff1bf,0xfb80bfd0,0x98806fef,0xa7fdc0ab,
    0x20004ffc,0xf7006ffa,0x017ff47f,0x006ffa80,0x3ff2bff5,0x40000004,
    0x9ff94ffc,0x37fc4000,0x223ffc80,0xdffffffe,0x907ff9ac,0x7fe407ff,
    0x027ff404,0x37e49ff9,0x3f237fc4,0x7f40006f,0x9bffdc4f,0x3fa005ff,
    0x3ff6604f,0x980cffff,0xff0007ff,0x07ffdc5f,0x4bffd000,0x40004ffb,
    0x0001fff9,0x7fddffe6,0x7fcc0004,0x3ffa0007,0x7fb0ff64,0xf909ff10,
    0x776dcc09,0x001ffe2c,0x7cc01ff9,0x0006fccf,0xff52ffc8,0x7fdc000b,
    0x4bff5004,0x831007ff,0xf5007ff9,0x017fea9f,0xff700000,0x0017feab,
    0xb007ff88,0x7fff45ff,0x7ff980ac,0x7c07ff90,0x99999bff,0x207ffc99,
    0x1ff56ffa,0xf98bff30,0x416403ff,0xff80fffc,0x2006ffcf,0x1001fffb,
    0xfff003ff,0x3ffd0003,0x0027ffc4,0x2a2fffa8,0xe80005ff,0x260005ff,
    0x0bff57ff,0x05fff000,0x43fff300,0x0ff60ffa,0xff30ffd4,0x7fc40003,
    0x0bfe6006,0xdf95ff98,0x1fff0000,0x64017fe6,0x017fee2a,0xff9affd4,
    0x2bff7006,0xb800fff8,0x0bff33ff,0xed98ab20,0x29ff9005,0x59005ff9,
    0x801fff85,0xfff30fff,0x07ffa803,0x3ea07ff9,0xffffffff,0x02ffffff,
    0x5ff3fff3,0x3613ff20,0xff100fff,0x0fffe65d,0x077fffdc,0x06fff880,
    0x6401be20,0x7c4004ff,0x1fffc87f,0x46ffe800,0xb800fff9,0x7ffdc2cd,
    0xfff30003,0x2003ffe6,0x7fe42cdb,0x7ff4000f,0x32a6fd86,0x7c4f3202,
    0x004d444f,0x8802ffcc,0x3fa204ff,0x3f61bf25,0x37fd400f,0x9801fff1,
    0x1ffe66ff,0xf8a7fdc0,0xffe800ff,0x200bff62,0xfff11ffd,0x26ff9801,
    0xfb007ff9,0x03ffe27f,0xfc8dff30,0x37fd403f,0xf700bff7,0x0fff20ff,
    0x7fffffec,0xffffffff,0xffff105f,0x3ffe209f,0x0efff882,0xeefffe98,
    0x7ffc06ff,0xffd3002f,0x2fcc001f,0x04fffa80,0x7417ff20,0xd1001fff,
    0xffd03fff,0x3fff9809,0x003fffd8,0xfd3fffdc,0xfff9809f,0x077ffc43,
    0x82fffd80,0x8000dfe8,0xff886fe9,0x03ffe807,0xfe80dfb0,0x361bf20e,
    0x7fec04ff,0x2027ff42,0x3fe24ffb,0x7ffc402f,0x5013ffa2,0x7fcc1fff,
    0x1ffe600e,0xfb809ffd,0x01fffc4f,0xfe87ffea,0x27fdc04f,0xfb01bfe2,
    0x02ffe47f,0x641fffa2,0xfff883ff,0xaaaaaaab,0x01fffbaa,0x220dfff7,
    0x3ea04ffe,0xfb503fff,0xe803ffff,0x5c03ffff,0x4003ffff,0xe8800ffa,
    0x2201efff,0xf302fffe,0xfa809fff,0xff303fff,0x7fff407f,0xeffff880,
    0xffd5101b,0x7ffccbff,0x03fffa03,0x02fbffee,0x027ffecc,0x4005fff3,
    0xfd00effb,0x7ffdc07f,0x01ffb800,0x3fffffe2,0x3ee4ffff,0xdffb00ff,
    0x205fff30,0x7dc1fff9,0xffb102ff,0x02fffb8d,0xfd0bfff3,0x3ffa20df,
    0x817ffcc4,0x7dc1fff9,0xffd301ff,0x02fff989,0xfb03fff3,0x3ffee09f,
    0x403ffee0,0x907fffe8,0xdff707ff,0x04fff800,0x26fbfffa,0x00efffb9,
    0x6fffffd4,0xffffecac,0x3ff601ef,0xacdfffff,0x3fffffdc,0x9dff8800,
    0xffb104a8,0xfd99dfff,0x9805ffff,0xacefffff,0x3fffffdc,0x56fffec0,
    0x2fffec99,0x3ffff620,0xfffdcdff,0xfd82efff,0xec99adff,0x3ee02fff,
    0xcbceffff,0x805ffffd,0x80beffe8,0x00dfffb9,0x273bffee,0x01fffeca,
    0x4403ff88,0xffffffff,0x7fff44ff,0xfffeb99c,0x59fff901,0x07fffd73,
    0x26b3fffa,0x80fffeb9,0xb9adfffd,0x980efffe,0xb99befff,0xff904fff,
    0xffd7359f,0x3fff607f,0xfffc99be,0x59fff906,0x07fffd73,0x26b7ffe6,
    0x4c2fffda,0xa89befff,0x0fffffeb,0xfe83ffc8,0x7fe4003f,0xfffff307,
    0x3dffffff,0x3fffa600,0xffffffff,0x640cffff,0xfffd8aff,0xffffffff,
    0x3f60001e,0x6407ffff,0xffffffff,0x1001ffff,0xfffffffb,0x003fffff,
    0x3ffffff2,0x7002ffff,0xffffffff,0x807fffff,0xfffffffc,0xfa802fff,
    0xffffffff,0x2000cfff,0xeefffffc,0x003fffff,0xfffffff9,0x3a003fff,
    0x7e40005f,0xfffff106,0x803fffff,0xfffffffc,0x3f6204ff,0xffffffff,
    0xfffb101e,0x3dffffff,0x7ffff4c0,0x6405ffff,0xffffffff,0x3ffa204f,
    0xdfffffff,0x3ffff200,0x404fffff,0xfffffff9,0xfff703ff,0x1bffffff,
    0xff905ffb,0x00fff987,0x217ffc40,0xffdabff8,0x0003ffff,0xffffffb5,
    0x3ffea3bf,0x987ff53f,0xfffffffd,0xc880002d,0xa802efff,0xfffffffd,
    0xc98000cd,0xdfffffff,0xffd98002,0x000cffff,0x7ffff5c4,0x000bdeff,
    0xffffffb3,0x75c40019,0xcfffffff,0x3faa0000,0x02dfffff,0xffffd980,
    0xf9001bdf,0xfc80001f,0x3fff2206,0x3000cfff,0x3dfffffd,0x3fffaa00,
    0xb3004fff,0x07dfffff,0x3ffff220,0xfd3003df,0x003dffff,0x3fffffea,
    0xffd3002f,0x2003dfff,0xefffffd8,0x7fff5401,0x3fea2eff,0x643ffc85,
    0xfb0005ff,0x445e88df,0x000009a9,0x44066aa6,0x012e3ffc,0x00035531,
    0x30000c00,0x00001553,0x001aa988,0x006aa200,0x09a99800,0x1aa88000,
    0xaa988000,0x88000009,0x20000099,0xf9800199,0xca80002f,0x03553003,
    0x009a9800,0x01353100,0x000cc400,0x00006a20,0x20001353,0x00009a98,
    0x800026a6,0x440009a9,0x800001a9,0x50002fff,0x00103fff,0x40000000,
    0x000000d8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000fff50,0x0004fff8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6c000000,0x640004ff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc00000,0x41998001,0x19880998,
    0x1000aa98,0x19988133,0x4c0ccc40,0x55100019,0x03310013,0x20001553,
    0x419981aa,0x33000998,0x99980003,0x01999801,0x20009988,0x26660199,
    0x2004cc40,0x04cc4199,0x006aa200,0x000ccc00,0x00333100,0x0004ccc4,
    0x3304ccc0,0xaa980013,0xa9800009,0x20000000,0x31000999,0x00266003,
    0xa8000a98,0x0666000a,0x98801331,0x00199819,0x4009fff9,0x7ff47ff8,
    0x3f67fd82,0x402fffff,0x3fa1fff9,0x7ffc403f,0xf117ff22,0x7ff5c1ff,
    0x202dffff,0xfff90ffc,0xf8007dff,0x23ffcc3f,0xfc802ffe,0xf30004ff,
    0xff7007ff,0xfff9805f,0x06ff8800,0xff997ff2,0x1ffe200f,0x91005ffb,
    0x07fffffd,0x2fffdc00,0x7ffc4000,0x3ffe6005,0x7fd40005,0x05fff52f,
    0xfffff710,0x64c001bf,0x1ceffffe,0x3ffffffa,0x1fffffff,0x003fff60,
    0xf1007ff6,0xfff700df,0x3ea003df,0xfff1000f,0x4402ffd8,0x3ff22fff,
    0xffffa805,0xfff1003f,0xfd82ffe8,0xfffffd8f,0x7dc04fff,0x00bff76f,
    0x3e63ffea,0x7ffc40ef,0xfffffe98,0x904fffff,0xffffb1ff,0x2007ffff,
    0x7fcc0ff9,0x2017ff47,0x02fffffa,0x005ffd80,0x3a01bff2,0xffb803ff,
    0xe9fff403,0x7fc402ff,0x2017fec7,0xffffffe8,0xfa8006ff,0x0003ffff,
    0x00077fe4,0x0003ffea,0x3fa4ffe8,0xfff8804f,0x3fffffff,0xfffffa80,
    0xfd1fffff,0xffffffff,0xe803ffff,0xffd804ff,0x037fc401,0x3ffbfff2,
    0x03fe801f,0xfb1ffe20,0xfff3005f,0x801dff31,0xffe9fff8,0x47ff8801,
    0xffd82ffe,0xeb9adffe,0x7ec01fff,0x000effcf,0x3ffb7ff2,0xfafff880,
    0xecbbefff,0xfc85ffff,0xa99bffef,0xc801fffe,0x47ff986f,0x3e202ffe,
    0x01ffe8ff,0x003bfe60,0xb805ffd0,0xffe805ff,0x67ffc400,0xff8803ff,
    0x1017fec7,0xb539fffd,0x44009fff,0x1ffe9fff,0x3fff1000,0x13fee000,
    0x337fcc00,0xfd100dff,0xff935bff,0x7fdc03ff,0xfebabeff,0xffffe9ff,
    0xffffffff,0x7ffc401f,0x00ffec00,0xf881bfe2,0x0dfd30df,0x2000ffb8,
    0x7fec7ff8,0xdbff7002,0xffd003ff,0x003ffe67,0xaaa85551,0x0dfffd80,
    0x404ffe88,0x00ffffe8,0x2ffffd80,0xffffff10,0x3ffe6015,0x6fffe42f,
    0x009ffd00,0x555109fd,0x3a00aaa8,0x1fff33ff,0x007ff600,0x101bfa20,
    0x7cc01fff,0xfff5006f,0x155400bf,0xfd802aaa,0x0fff505f,0xf99fff40,
    0xfb8000ff,0x7ec0002f,0xffc8000f,0x2007ff60,0xfb00fffd,0x3ffee0ff,
    0xffff700d,0x800001ff,0x7ec04ff9,0x37fc401f,0xfa81ff90,0x00ffe02f,
    0xaa855510,0x3ff6000a,0xcc9802ff,0x00166544,0x1fffb000,0x4037fd40,
    0x0001ccc9,0x44059991,0x801fffff,0x7e46ffe8,0x3fea01ff,0x017fc405,
    0x1e654000,0x6400b32e,0x3260002c,0x1ffec00c,0x4007ff90,0x0000cccb,
    0x07ffe000,0x9800ffe8,0x1e6544cc,0x001e5c00,0x8002cc80,0x016642cc,
    0x2603fff8,0xffe81fff,0xffffa805,0xa800000f,0x0ffec04c,0xd81bfe20,
    0x03ff886f,0x00001ff7,0x99910000,0x00000007,0x2ffec000,0x001ffe60,
    0x44000000,0x2002ffff,0x3f22fffa,0x37fc405f,0x0001fea0,0x00000000,
    0x7d400000,0x03ffe06f,0x00000000,0xd01bfe60,0x000000ff,0x00000000,
    0x30000000,0xfd801fff,0x07ffd44f,0x0ffffc80,0x20000000,0x7c401ffd,
    0x417fa06f,0x3ff884ff,0x00000000,0x2a620000,0x9880009a,0x3f6009aa,
    0x3ffc404f,0x00555440,0x99800cc4,0x00bfff10,0x7e49fff0,0x07ff804f,
    0x06622fec,0x19884cc0,0x26213300,0x22133001,0x01330019,0xff503fff,
    0x554c400b,0xaa880009,0x6ff9800a,0x0017fe60,0x0002aaa2,0x000aaa88,
    0x002aaa20,0x00aaa880,0x201bfea0,0x7fec09a8,0x3ffe6004,0x2200000f,
    0x36009aa9,0x7fc401ff,0x7c17fa06,0x007fb84f,0x01aa9880,0x03553100,
    0x7ffffe40,0xfc803fff,0x3fffffff,0xf803ffd8,0x3ffea07f,0x3604ffff,
    0x7fc401ff,0x007fff16,0x7e4fff90,0x0fff803f,0xffb0ffe0,0xb6ff8803,
    0xff8803ff,0x8803ffb6,0x03ffb6ff,0xfc86ff88,0x02ffd84f,0xffffffc8,
    0xffa803ff,0x204fffff,0x3f605ffa,0x3fea002f,0x004fffff,0x3fffffea,
    0x3fea004f,0x004fffff,0x3fffffea,0x6ffa804f,0x3ffe2000,0x7ffec001,
    0xffc80000,0x83ffffff,0x7c401ffd,0x21bf606f,0x7fc43ff8,0x3fa60003,
    0x004fffff,0xffffffd3,0x7fff4c09,0x5fffffff,0xfffffd30,0xd8bfffff,
    0x7ff802ff,0xfffffe88,0xd81effff,0x7fc401ff,0x003fff16,0x321fff50,
    0xfff803ff,0xd83ff300,0x7fc401ff,0x8803ffb6,0x03ffb6ff,0xffb6ff88,
    0x86ff8803,0x7fc47ff9,0x7fff4c07,0x5fffffff,0xfffffd10,0x503dffff,
    0x3fe609ff,0xfffd1006,0x3dffffff,0x7ffff440,0x01efffff,0x3fffffa2,
    0x201effff,0xffffffe8,0x2601efff,0x2a0007ff,0xfb8007ff,0x260000ff,
    0xfffffffe,0x7fec5fff,0x037fc401,0x5ff30ff9,0x20007fc8,0xfffffffc,
    0x3f200eff,0xffffffff,0x6fffc40e,0xfffd331b,0xbdfff885,0x5fffd331,
    0x7c017fec,0xbfffd87f,0x1ffff731,0x4401ffd8,0x3fff16ff,0x3fff3000,
    0x3e00fff2,0x0ff700ff,0xf8803ffb,0x803ffb6f,0x3ffb6ff8,0xfb6ff880,
    0x6ff8803f,0x7dc3ffd0,0x3ffe204f,0xffd331bd,0x7fffb05f,0x3fffee63,
    0xd827fd40,0xffb002ff,0x3fee637f,0xfffb00ff,0x3ffee637,0x7fffb00f,
    0x3fffee63,0x37fffb00,0x03fffee6,0x000fffc4,0x8006ffb8,0x0000fffa,
    0x237bfff1,0x22fffe99,0x7c401ffd,0x0bfea06f,0x7fc41ffb,0xfff90003,
    0x3ffaa239,0x39fff906,0x71bffaa2,0xffd80dff,0x2037fdc5,0x3ff65ffd,
    0x547ff802,0xfd101fff,0x01ffd8bf,0xff8b7fc4,0xff88001f,0x007ff91f,
    0x3f601fff,0x401ffd84,0x3ffb6ff8,0xfb6ff880,0x6ff8803f,0xf8803ffb,
    0x49ff706f,0x3ee01ffe,0x2ffec06f,0x4407ffea,0x7fd45ffe,0x006ff984,
    0x2203fff5,0xffa85ffe,0xbffd101f,0x203fff50,0xfa85ffe8,0xffd101ff,
    0x027ff40b,0x005ffb80,0xaabfff98,0x0aaaaaaa,0x36037fdc,0x0bff65ff,
    0xe80dff30,0x3ffebdff,0x980037e4,0xfb101fff,0x1fff987f,0x7c7ffb10,
    0x7fcc02ff,0x2017ffc6,0x3ff66ff9,0x227ff802,0x7c402fff,0x07ff61ff,
    0x3e2dff10,0xff0000ff,0x00fff25f,0x3e203ffe,0x01ffd82f,0xffdb7fc4,
    0xdb7fc401,0x7fc401ff,0x8803ffb6,0xfff106ff,0xff01bfe2,0x6ff9805f,
    0x100bffe2,0x7fd43fff,0x805ffb84,0x4402fff8,0x3fe21fff,0x7ffc402f,
    0x00bffe21,0x7c43fff1,0x7fc402ff,0x3ffba61f,0x0eeeeeff,0x002ffe40,
    0x7fffffc4,0x2fffffff,0x26017ffc,0x0bff66ff,0x880dff50,0x44fffffe,
    0xd0002ff8,0xff8807ff,0x00fffa0f,0x2661fff1,0x46ff8802,0xff880299,
    0x200bff66,0x1bfe67ff,0xfb27fe40,0x6ff8803f,0x0001fff1,0x7fe4bffe,
    0x80fff803,0xffd80ffa,0xdb7fc401,0x7fc401ff,0x8803ffb6,0x03ffb6ff,
    0x3606ff88,0x03ffa9ff,0x7c4014cc,0x01bfe66f,0xff527fe4,0x01fff509,
    0x9006ff98,0x37fcc9ff,0x264ffc80,0xff9006ff,0x8037fcc9,0x3fe64ffc,
    0xffffffff,0x27fec00f,0x7fffc400,0xffffffff,0x4014cc2f,0x3ff26ff8,
    0x037fdc03,0xc81cdca8,0x2013106f,0xfd007ff9,0x01ffe67f,0x2001fff4,
    0x0007ffb8,0x7ecfff71,0x27ff802f,0xf5004ffb,0x00ffecbf,0x7fc5bfe2,
    0xfff0000f,0x200fff23,0x6fc80fff,0x8803ffb0,0x03ffb6ff,0xffb6ff88,
    0xb6ff8803,0xff8803ff,0x373fea06,0x100000ff,0x7fdcfff7,0x4bff5004,
    0xfff04ffa,0x27fdc03d,0x2e5ffa80,0xff5004ff,0x8027fdcb,0x3fee5ffa,
    0x4bff5004,0xefffeee9,0x6c00eeee,0xf98005ff,0xcccccdff,0x0001cccc,
    0x7dcfff71,0x3ffe204f,0xff100006,0xefffe985,0x802ffd41,0xbff54ffb,
    0x413fee00,0xffedcb98,0x5cc407ff,0x7ffffedc,0x3e00bff6,0x00fff27f,
    0xffb3ffcc,0x16ff8803,0x20001fff,0x7ff90fff,0xd01fff00,0x07ff607f,
    0x3f6dff10,0xb7fc401f,0x7c401ffd,0x803ffb6f,0x7fc06ff8,0x88005ffe,
    0xfffedcb9,0x00fff27f,0xff53ffcc,0x3fffe609,0x007ff903,0xffc9ffe6,
    0x4fff3003,0xf3003ffc,0x01ffe4ff,0x3a07ff98,0xfc8003ff,0xff98005f,
    0x3100000f,0xffffdb97,0x80fffd4f,0x0006fffe,0xffa8df90,0x2e2fffff,
    0xeeeeefff,0x5ffeeeee,0xddddfff7,0xffdddddd,0xffffeb8b,0x07ffffff,
    0xffffffd7,0x7ecfffff,0x27ff802f,0xf1002ffd,0x07ff61ff,0x3e2dff10,
    0xf88000ff,0x07ff90ff,0xf881fff0,0x03ffb01f,0xffb6ff88,0xb6ff8803,
    0xff8803ff,0x8803ffb6,0x7fe406ff,0x3ae002ff,0xffffffff,0x0bff67ff,
    0xa87ffc40,0x3fa604ff,0x7fec0eff,0x1fff1002,0x4400bff6,0x5ffb0fff,
    0x43ffe200,0xf1002ffd,0x3ff201ff,0x6ffb8003,0x0fffa800,0x7ff5c000,
    0xffffffff,0x37fffa27,0xfeeffdaa,0xff980006,0xea977f42,0x3ffff26f,
    0xffffffff,0xfff96fff,0xffffffff,0x3a2dffff,0xcdffffff,0x7447ff9a,
    0xcdffffff,0x3f67ff9a,0x27ff802f,0xf1002ffd,0x00ffecff,0x7fc5bfe2,
    0xff98000f,0x200fff27,0x3fdc0fff,0x8803ffb0,0x03ffb6ff,0xffb6ff88,
    0xb6ff8803,0xff8803ff,0x3fffcc06,0xffffe880,0xff9acdff,0x400bff67,
    0x3fea7ff8,0x7ffec404,0x00bff60e,0xffb3ffc4,0x9ffe2005,0xf1002ffd,
    0x017fecff,0x3607ff88,0xfa8002ff,0xffb8007f,0xfd10000f,0x59bfffff,
    0xff88fff3,0x8effffff,0xd80006fe,0x217fd46f,0xdff93ff9,0xdddddddd,
    0x3f2bdddd,0xeeeeeeef,0xd5eeeeee,0x30159fff,0xfffe8fff,0x7ff980ac,
    0x3e00bff6,0x00fff27f,0xffb3ffcc,0x16ff9803,0x70001fff,0x1ffe4dff,
    0x3607ffc0,0x07ff605f,0x3f6dff30,0xb7fcc01f,0x7cc01ffd,0x803ffb6f,
    0xfe806ff9,0xfffd004f,0xfff30159,0x9801ffe4,0x13fea7ff,0x91fffdc0,
    0x3e6007ff,0x00fff27f,0xff93ffcc,0x9ffe6007,0xf3003ffc,0x3ffe20ff,
    0xfff88000,0x7ffec001,0xfffd0000,0xfff30159,0xffffd930,0x00037f49,
    0xff90bfe6,0x7fdd3fe0,0x3fee0004,0xfff30004,0x27ffa803,0x5401fff9,
    0x019807ff,0x2009ff70,0x3ff66ffa,0x8b7fd402,0xe8000fff,0x3e0004ff,
    0x017fc0ff,0xfa805ffb,0x805ffb6f,0x5ffb6ffa,0xfb6ffa80,0x6ffa805f,
    0x801ffd80,0x5401fff9,0x13fee7ff,0xf537fd40,0x7fd4009f,0x4013fee6,
    0x3fee6ffa,0x4dff5004,0xf5004ffb,0x027fdcdf,0xf506ffa8,0x7ec000bf,
    0x3fe6005f,0xf98000ff,0x7fd401ff,0x7c054407,0x7ec0000f,0xfd07fd86,
    0x0017feab,0x0005ffa8,0xf700bff7,0x02ffdcff,0x2203ffdc,0x2a00dfff,
    0xffb006ff,0x2017fe49,0xfff16ffc,0xfffa8001,0x1ffe0001,0x7e401ff3,
    0xb7fe402f,0x7e402ffc,0x805ff96f,0x5ff96ffc,0x406ffc80,0xf7005ff8,
    0xfff700bf,0xd8037fd4,0x13fea4ff,0x50fff880,0x3f600dff,0x01bfea4f,
    0xff527fec,0x93ff600d,0xfb006ffa,0x03ff209f,0x0fffa800,0x1ffff900,
    0x0bff7000,0x000fff70,0x30001be2,0x0dfb05ff,0x7ffcdbfa,0x32cdb800,
    0xb7001fff,0x80bff959,0x3f27ffe8,0x7ff4405f,0x5ffec807,0x201fff40,
    0x3f21fff9,0x3ffa205f,0x001fff16,0x0006ffe8,0x1bf23ffc,0x440bff90,
    0xbff96ffe,0xcb7ff440,0x3fa205ff,0x40bff96f,0x5c06ffe8,0xff9002ff,
    0x7ffe880b,0x2601fff4,0x3fea1fff,0xff8825c4,0x00fffa0f,0xfe83fff3,
    0x7ffcc03f,0x201fff41,0x7f41fff9,0x7ffcc03f,0x002ffa81,0x805ffe80,
    0x00fffff9,0x405ffc80,0x0007ffe8,0xd8000df3,0x20ff906f,0x13ffa5fe,
    0x747fff30,0x7fcc04ff,0x00fffbbf,0x5cffffd1,0xfd100fff,0x7e400fff,
    0x3ffea01f,0x8bffd102,0xfd02fffa,0x3ffe2dff,0x7e441300,0x260003ff,
    0x027f46ff,0x740bffea,0xfff56fff,0x5bfffa05,0xfd02fffa,0x3ffeadff,
    0x0dfffd02,0x7003ffcc,0x3a201fff,0x7fd47fff,0xbffd102f,0x3fa4ffa8,
    0x46ffc83f,0xd102fffa,0xfff50bff,0x17ffa205,0x440bffea,0xffa85ffe,
    0xbffd102f,0x995dff50,0x20620135,0x500efffa,0x01fffdff,0x01fff700,
    0x01ffffa2,0x0007fd40,0xf701ff98,0x4c9ff01f,0x3fa03fff,0x3ffe60ff,
    0x23fffa03,0x89befff9,0xfffffeba,0x37dfff30,0xffffd751,0xffd3001f,
    0xcfffd801,0x5fffb99a,0x55bffff0,0x2dfddfd9,0xf880fff8,0x5ffffddf,
    0xffbb9800,0x00bfe24f,0x2ab7fffe,0x26feefec,0xcaadffff,0x3e6feefe,
    0xecaadfff,0x3fe6feef,0xfecaadff,0x33a26fee,0x2003fffe,0x89befff9,
    0xfffffeba,0x567ffec0,0x85fffb99,0x3fe64ffa,0xfffda9cf,0xacfffd82,
    0x05fffb99,0x26b3fff6,0x205fffb9,0x99acfffd,0x3605fffb,0xb99acfff,
    0xffa85fff,0xffffffff,0x05feccdf,0x379ffff5,0xfd1dffb7,0xffffffff,
    0x3e6bffff,0xba89beff,0x00fffffe,0x89dff880,0x0bfd004a,0x3ee1ffcc,
    0x6fffec1f,0xfffec99a,0xadfffd82,0x2fffec99,0x3fffffee,0xffd8dfff,
    0x3ffffee2,0xfd8dffff,0xffffb02f,0xff91009f,0xbfffffff,0x7ffffd40,
    0x6fe8efff,0xf901fff1,0x0bffffff,0x3fffee00,0x401fea1f,0xfffffffa,
    0x2a6fe8ef,0xffffffff,0x3ea6fe8e,0xefffffff,0x3fea6fe8,0x8effffff,
    0x7fffc6fe,0xffb8004f,0xdfffffff,0x6442ffd8,0xffffffff,0x89ff505f,
    0xfffffffa,0xfff9104f,0x0bffffff,0xfffffc88,0x4405ffff,0xfffffffc,
    0x7e4405ff,0xffffffff,0xfffff105,0xffffffff,0x2601ffff,0xffffffff,
    0xffffd0ff,0xffffffff,0x7fffdcbf,0xd8dfffff,0xfb0002ff,0x500fffff,
    0xffd803ff,0x905ffdad,0xffffffff,0x7fe405ff,0xffffffff,0xffffea82,
    0x17fea2ef,0xdfffffd5,0xe82ffd45,0x000cffff,0x3fffffaa,0xffd8803d,
    0x5bfa4fff,0xca80fff8,0x004effff,0x0bffff60,0x6c400bfb,0x3a4fffff,
    0x7ffec46f,0x11bfa4ff,0x49fffffb,0x7fec46fe,0x1bfa4fff,0x0009fffd,
    0x7fffff54,0x417fea2e,0xdfffffea,0x213fea03,0x2fffffda,0xffffea80,
    0x3aa003df,0x03dfffff,0x3ffffaa0,0x3aa003df,0x03dfffff,0x5104e7ec,
    0xbfffffd9,0x7ff64c01,0x3fa1ceff,0xffffffff,0x7545ffff,0x22efffff,
    0x10005ffa,0x0059dff9,0xfd100bfd,0x401dffff,0xffffffd9,0xffd9800c,
    0x400cffff,0x20001a98,0x40001a98,0x53000018,0x054c0003,0x054c0000,
    0x01a98000,0x26000355,0x1530000a,0x002a6000,0x200054c0,0x22000019,
    0x300001a9,0x30000035,0x2a600035,0x1a980001,0x01a98000,0x001a9800,
    0x55440026,0x0a980009,0x31000000,0x00000035,0x1ffa8002,0x0f7b6e00,
    0x00355100,0x000d5440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20019988,0x2a600019,0x4400000a,0x98000199,0x55400009,0x33310001,
    0x35530000,0x000ccc00,0x004d54c4,0x20355000,0x099880aa,0x4400ccc4,
    0x06662199,0x0009a980,0x0017b500,0x88013310,0x000aa219,0x0009aa98,
    0x00666600,0x00026660,0x00157531,0x000ccc40,0x01ffe204,0x02b26001,
    0x4cc405d9,0x407fc400,0x333105fb,0x701ff101,0x26a600bf,0x2017ffe1,
    0x9005fff8,0xd10001ff,0xf00000bf,0x2a000bff,0x00dffffd,0x000ffc80,
    0x005fff88,0xffffeda8,0x3e202eff,0xeb8800ff,0xbeffffff,0x3fe20000,
    0xa82ff982,0x3ffa0fff,0xa7ffc403,0xb804fff8,0x00efffff,0x1b6fb600,
    0x1ffff100,0xffabfec0,0xfd5005ff,0x17ffffff,0x7ffcc000,0x5fff8003,
    0xffff9100,0xd0007fff,0x6c800fff,0xe983ffc4,0xffffd803,0x100ffaad,
    0xe803ffff,0x81ffc45f,0xfd00fffe,0x403ff88b,0xf0fffffd,0xff900bff,
    0xfff9001d,0x1dfb0001,0xffb80000,0xff88000f,0x005ffece,0x80017fcc,
    0xc8006ffc,0xffffffff,0xf881efff,0x7fe400ff,0xfffeeeff,0xf50003ff,
    0x01ff701f,0x7fdd7fee,0x26ffc805,0xfd806ffc,0x1fffffff,0x3a0f9800,
    0x3fffa002,0x1ffb00ef,0x80bfffff,0xfffffffa,0x003fffff,0x000bffb0,
    0x22017ffe,0xfffffffe,0x3a000eff,0xff1007ff,0xa87ff88d,0x7fcc03ff,
    0x5fffffed,0x3bffffa0,0x37ffe600,0xff306ffe,0x7ffcc03f,0x6c06ffed,
    0x3e7fffff,0x7fc405ff,0x7ffdc01f,0x7d4000ff,0xf800001f,0xfd0001ff,
    0x001ffb8d,0x20009fd1,0x2000fff8,0xceffffe9,0xffffffcb,0x807ffc42,
    0x102dffe9,0x001bffd7,0xdf907fc8,0xffcffd80,0x21fff006,0x5c00fff8,
    0xfeb9cfff,0x354000ef,0x7fe400f6,0xfb05ffac,0x5fdbffdf,0x77fffd40,
    0xfffedccd,0x7fcc005f,0xfff0000e,0x7bffd00b,0x13fff263,0x007ffe80,
    0xfb30dff1,0xc807ff70,0x33ff264f,0xf59ff900,0xfffa80bf,0xffb00dff,
    0xffff5007,0x7fcc01bf,0x3fe3abef,0x17fdc05f,0x3ef3fe20,0x3fe2000f,
    0xfb800003,0x04c0003f,0x6c007fee,0xf90000ef,0x7fcc005f,0x3ae603ff,
    0x3aa22fff,0x03dff507,0x007ffd40,0x3fa0bfb0,0x7fffc405,0x2ffb800f,
    0x3e00bfee,0x7ffc42ff,0xf33f8002,0x4dff5001,0xffd83ffd,0xf98020ef,
    0x36202eff,0x36005fff,0x320001ff,0x7fc403cc,0x0fff500f,0x802665c0,
    0x0bd06ff8,0x98807ff7,0x7fd40100,0x009ffb0e,0x7cc03553,0x554c004f,
    0x06ffb800,0x97017ffe,0x2a191007,0x3fa000ff,0x97000006,0xb9800007,
    0xff5005ff,0x16640003,0x07bffa00,0x0ffffc40,0x37fe217a,0x6fe88000,
    0x7c13fe00,0xccc9803f,0xb8797001,0x7ff9803c,0x0009ffb0,0x2007ffd5,
    0x33221ccc,0x07ffec0c,0x01fffd00,0x00fffee0,0x00001664,0x809ff500,
    0x00001dee,0x261bfe20,0x03ffb83f,0x33320000,0x00333221,0x00265400,
    0x27fe4000,0x000bfff0,0x007fd400,0x0000ffb8,0x40000000,0xf1003fff,
    0x0000007f,0x003fff50,0x225fff98,0x106fe83f,0xd1015995,0x5ff1009f,
    0x0005ff30,0x98000000,0x7ff907ff,0x0000c000,0x05ffd800,0x007ffe60,
    0x001fff90,0x554c0000,0x3ffe6009,0x26200001,0x54c401aa,0xf8999eff,
    0x67fe4c45,0x00662099,0x100004cc,0x02660033,0x15551000,0x405ff900,
    0x26205fff,0x7d4001aa,0x2ff9800f,0x55544000,0x0d5d4400,0x3ffb6200,
    0x006fe804,0x04d54c40,0x002fff40,0xf99fffa8,0x440ffa86,0xdffffffe,
    0x310ffcc0,0x35ff7333,0x35ff7333,0x2aea6203,0x800cc400,0x5fff0099,
    0x8801fff0,0x01330019,0x002aea62,0x6c009ffb,0xf88006ff,0x2a6204ff,
    0x6dc000ab,0x03ffffff,0x02b3fffe,0x7fff4c00,0xff504fff,0x0affffff,
    0x3ffffff6,0x007ff64f,0x2620dff1,0x03ffb009,0x3316ff88,0xffff5001,
    0x7e409fff,0x13ffa02f,0x3fffffa6,0x1ff5004f,0x000bfd00,0x3fffff62,
    0x3fea1dff,0x003fffff,0x2e03ff98,0xf90000ff,0x7fffffff,0x003ffee0,
    0xdfeffd80,0x7443fe80,0xffc99bef,0x3f24fc84,0xffffffff,0xffffffff,
    0x7fffe447,0xffb03fff,0x06ff8803,0x7e41fffb,0x1ffd805f,0x2237fc40,
    0xfffffffc,0x007ffb03,0x70002b98,0xff910dff,0x807fffff,0xffffffd8,
    0xff506fff,0x037bffff,0x3fffff20,0x540effff,0x7fffffff,0x3fffff60,
    0x07ff64ff,0x320dff10,0x3ffb03ff,0xf96ff880,0x7ff4407f,0xefffffff,
    0x202ffc81,0x7fe44ffe,0xefffffff,0x007fd400,0x20003ff2,0xfffffffa,
    0xffcaffff,0x4fffffff,0x306fd800,0xd30005ff,0xffffffff,0xbff90bff,
    0xfffc8000,0xe81ff303,0x2ff880ef,0xffc87fcc,0xffffffff,0x7fffffff,
    0x3fffffa2,0x6c0effff,0x7fc401ff,0x1dfff106,0xb003dffb,0xff8803ff,
    0x3ffffa26,0x40efffff,0x00002ffd,0x0fffcc00,0xffffffd1,0x3601dfff,
    0xf931cfff,0x3fe60bff,0x2effffff,0x473fff20,0x446ffea8,0x199effa9,
    0x33ff2620,0x07ff6099,0x320dff10,0x3ffb03ff,0xf96ff880,0x7ffec07f,
    0xffff731b,0x202ffc81,0x3ff23ffd,0xffd511cf,0x00ffa80d,0x20007fea,
    0x11adfff9,0xffffffd5,0x3ffea637,0x2217fc42,0x5fe886ff,0xdfff8800,
    0xfffd331b,0x004ffe85,0x80fffd40,0x0ffc44fb,0x5fd03950,0x3feaaaa6,
    0xffbaaaad,0x3ffa2aad,0xfff931bd,0x401ffd89,0x3ea06ff8,0x00dfffff,
    0x8803ffb0,0x37ffa6ff,0x9fff931b,0x0002ffd8,0x7ffc4000,0x46f7ffa2,
    0xa84fffc9,0xff501fff,0x7fed403f,0x984fffff,0xfb101fff,0x0dff107f,
    0xb03ffb80,0xff8803ff,0x207ff906,0x7c401ffd,0x207ff96f,0xd101fffa,
    0x2ffc8bff,0x7ccfff20,0xffb101ff,0x807fd407,0x90004ff8,0x7fc407ff,
    0xfd100eff,0x9bffc81f,0xfc83ffeb,0xffb8000f,0x22ffec06,0x40002fff,
    0xfb02fff9,0x0005fa87,0x7fcc0ff2,0x881ff982,0xff500fff,0x401ffd8f,
    0x7f406ff8,0x6c004fff,0x7fc401ff,0x201fff16,0x7fec7ffa,0xaaaa8802,
    0xaaaaaaaa,0xfaaaaaaa,0x1fff13ff,0x361ffea0,0x7fec03ff,0xffb73004,
    0x3ffe87ff,0x207ffc40,0x5c006ff8,0x3ffb03ff,0x906ff880,0x3ff607ff,
    0xcb7fc401,0xfff883ff,0x0fffc402,0x7e405ff9,0x807ffd2f,0xf500fff8,
    0x01bf601f,0x403ffc40,0x4c02fffd,0x7ffc45ff,0xfa85ffff,0xfff0001f,
    0x26ff9805,0x0001fff8,0xfd03fff8,0x0004fc83,0x7fd413ee,0xa80ffb80,
    0x6f7404ff,0x1007ff61,0x3f660dff,0x4002ffff,0x7c401ffd,0x809ff56f,
    0x3ff61dee,0xffff9802,0xffffffff,0xffffffff,0x09ff54ff,0x7fc1dee8,
    0x0d64c00f,0x2fff4400,0x3a00fff3,0x37fc43ff,0x40ffee00,0x7c401ffd,
    0x07ff906f,0xf1007ff6,0x20fff2df,0xf9006ff9,0x017fe49f,0xfff35ff7,
    0x40fffa00,0x3ff704c9,0xa9880cc0,0x06ffc802,0x9710ffd0,0xff1039bd,
    0x98098809,0x6ff88029,0x0003ffe6,0x740fffa0,0x001fec1f,0x3f20bf50,
    0x260dfb07,0xd8001fff,0x7fc401ff,0xfffffb86,0x36000fff,0x7fc401ff,
    0x003fff36,0x3005ffb0,0xffffffff,0xffffffff,0x29ffffff,0x8001fff9,
    0x20006ff8,0x7d401eca,0x017fea7f,0x3e227fdc,0x7fdc006f,0x803ffb03,
    0xff906ff8,0x007ff607,0x3ff2dff1,0x004ffb83,0x7fe4bff5,0x2a7fee02,
    0xff7005ff,0x7ff30009,0x9ffffb70,0x3f660001,0x3ffb004f,0x037ec000,
    0x8001bfa2,0x3e67ffb8,0xf80000ff,0x85fd03ff,0x2e0004fc,0x20bfb04f,
    0x3ffe04fe,0xfb000acf,0x6ff8803f,0x4c6fffdc,0x56546fff,0x200ffec0,
    0x3ffe6ff8,0xfb000acf,0xfff1005f,0x99999999,0x99999999,0x7ffc7ffd,
    0xf5000acf,0x7e4000bf,0x37fcc06f,0xddddfff7,0xffdddddd,0x006ff88b,
    0xfffffffb,0x200ffec7,0xff906ff8,0x007ff607,0x3ff2dff1,0x003ffc83,
    0x7fe4fff3,0x2e7fea02,0xeeeeefff,0x5ffeeeee,0xc85fe800,0x4fffefff,
    0x7f65cc40,0xeeeeffff,0xfeeeeeee,0xff70002f,0x06ffd803,0xfedcb988,
    0x3fe27fff,0x7c40002f,0x87fb02ff,0x902805fb,0x213fe07f,0x3ea03ff8,
    0x1bdfffff,0x1007ff60,0x7ffd4dff,0xd27ffdc4,0x1ffd89ff,0xf537fc40,
    0x37bfffff,0x8017fec0,0x40001fff,0x3fea2ffe,0x01bdffff,0x80013fee,
    0x3601fff9,0x3fff23ff,0xffffffff,0x7c46ffff,0xfffb006f,0x7ec7ffff,
    0x37fc401f,0xfb03ffc8,0x6ff8803f,0xffb07ff9,0x3ffe2005,0x5405ff90,
    0xffffc8ff,0xffffffff,0x64006fff,0x27fcc0ff,0xd701ffb1,0xffffffff,
    0xffffffff,0x9fffffff,0x07ff3000,0x206fffc8,0xffffffeb,0x7fc7ffff,
    0x7cc0003f,0x89f701ff,0x3f200ff9,0x5532fe87,0x55559ff7,0x55559ff9,
    0xffffff98,0xffd82eff,0xd37fc401,0x3ff60bff,0x40fff8bf,0x7c401ffd,
    0x7fffcc6f,0xd82effff,0xffd002ff,0xfff80007,0x7ffffcc2,0xfc82efff,
    0x7ec0004f,0xec99bdff,0x3ff21fff,0xeeeeeeee,0x445eeeee,0x931006ff,
    0x6c1339ff,0x7fc401ff,0x207ff906,0x7c401ffd,0xb07ff96f,0x3e2005ff,
    0x80bff27f,0xeffc8ff9,0xeeeeeeee,0x2005eeee,0x4c982ffa,0x3621ffa8,
    0xbdefffff,0xeeeeffb9,0xeeeeeeee,0x5fe8003e,0x37fffdc0,0x7fffff44,
    0x7ff9acdf,0x00027fec,0x4c03ffea,0x82fec0ff,0x3fcc4ff9,0xfffffff9,
    0xffffffff,0x3f6a0fff,0x44ffffff,0x7c401ffd,0x03fff36f,0x7feffff4,
    0x401ffd85,0xfb506ff8,0x89ffffff,0xfb002ffd,0x7cc0009f,0xffb501ff,
    0xa89fffff,0x440005ff,0xfffffffe,0x7fdc1eff,0xff880004,0x1ffdc006,
    0x4c01ffd8,0x7ff906ff,0x3007ff60,0x0fff2dff,0x4c00fff2,0x0bff27ff,
    0x9ff77f88,0x7c400000,0x7fc8004f,0x056ffff4,0x00027fdc,0x007fe400,
    0x0df99ff5,0x0159fffd,0xffb8fff3,0x3fa0000f,0x21fec05f,0xda9aeff8,
    0x27e40eff,0xfffffff9,0xffffffff,0xb7300fff,0x7ec7ffff,0xb7fcc01f,
    0x7c407ffa,0xd82fffff,0x7fcc01ff,0xffdb9806,0x0bff63ff,0x0037fe40,
    0x200fff70,0x3ffffdb9,0x64017fe6,0xffff702a,0xf5019dff,0xf10000bf,
    0xffb800df,0x805ffb03,0xff906ffa,0x00bff607,0x3ff2dff5,0x004ffb83,
    0x7fe4dff5,0x7d57a202,0x2000005f,0xfa8006fd,0x07ffea4f,0x0009ff90,
    0x02ffa800,0x37e57fe6,0x5007ffe6,0xfff88fff,0xfff50004,0x40ffa805,
    0xffffffe8,0x10ffcc0e,0x333bfd33,0x333bff33,0xfe880033,0x00bff65f,
    0x3feadff5,0xffff9807,0x805ffb06,0x44006ffa,0x09885ffe,0x03fff880,
    0x03fff880,0x25ffe880,0x4c00fff8,0x7fcc06ff,0x7ffcc00a,0x42cdb800,
    0x5c006ff8,0x5ff903ff,0x906ffc80,0x3ff207ff,0xcb7fe402,0x6ffa83ff,
    0x649ffb00,0x3e6002ff,0xcdb800ff,0x01ffb802,0x322ffe40,0xffd805ff,
    0x039dd006,0x8813fe20,0x71bf25fe,0xff700bff,0x03fff90f,0x00dffd00,
    0x6e541bf6,0x4ff882cd,0x3e20ffe0,0x07b2a03f,0x7e4fff50,0xb7fe402f,
    0xc802fff9,0xff906fff,0x56ffc805,0xffa803d9,0x02effd87,0x0007ffe4,
    0xca83fff2,0x3ffd401e,0xf7013ffa,0xdffa809f,0x04ffe801,0x221fffcc,
    0x7dc007ff,0x0bff904f,0xc837ff44,0xbff903ff,0xcb7ff440,0x7ffd03ff,
    0x21fff980,0x74002ffc,0x7fcc04ff,0x1ffc403f,0x09ffd100,0xfb809ffb,
    0x7dc02fff,0xdfb000ff,0x320efe80,0x02ffe46f,0x741fffa2,0xd1001fff,
    0x22003fff,0x98000dfe,0x3fe606fe,0x201ffa82,0x7cc06ffc,0x817ff26f,
    0x3fe6ffe8,0x7ffcc05f,0x5ffc85ff,0x65bffa20,0x7fcc06ff,0x0ffedb86,
    0x037ffe20,0x227ffdc0,0x7cc06ffc,0x17ffcc6f,0x401fff98,0x402ffda9,
    0x3a03fff9,0x7fc40fff,0x3fea000f,0x05fff506,0x641bfffa,0xfff503ff,
    0x5bfffa05,0xff503ffc,0x3ffa205f,0x5017fe45,0x3ffe6355,0x03fffa03,
    0x4c00bfd0,0xff902fff,0x7fffcc0f,0xfff102ff,0x07fee009,0xffffff88,
    0xff74ffff,0x3ffa201f,0xffff307f,0xffffa809,0x7ffcc003,0x3bfee002,
    0x203fea00,0x7fcc07fb,0x8fff601f,0xfd02fffa,0x7ffdcdff,0xfffff503,
    0xfffa8bff,0x2dfffd02,0x3601fff9,0x3fe603ff,0x7fffe404,0x3fff6201,
    0x0fffcc0e,0xf907ffb0,0xfd7359ff,0x7c4007ff,0xfffd805f,0xffec99ad,
    0x9dfff02f,0xdfff500b,0xdffff879,0xfeefecaa,0x407ff906,0xcaadffff,
    0xf96feefe,0x7ffec07f,0xfffb99ac,0x202ffc85,0x3ff64ffe,0xfec99adf,
    0x7fe402ff,0x3dff5000,0x5f7ffcc0,0x9effdb88,0xa9bdfffc,0x800efffd,
    0x7c403ff8,0xffffffff,0x7dfff34f,0xfffd7513,0x3fe601ff,0xdcacefff,
    0x003fffff,0x17dffd10,0x1bfff730,0xfb07fc80,0xbfffb00d,0xfffd9337,
    0xadffff83,0x6feefeca,0x55effff4,0xe9efffec,0x7ffc5fff,0xefecaadf,
    0x3fff66fe,0xffec99bd,0x7ff9101f,0xdffff700,0xfffd9579,0x3ff601bf,
    0xfec99bdf,0xfff901ff,0x09ffffff,0xffdbaa88,0xffff9002,0x05ffffff,
    0x07ffffe4,0x37ffff40,0x3fffffea,0x06fe8eff,0x7d407ff9,0xefffffff,
    0x7ff96fe8,0x7fffe440,0x905fffff,0x7ff405ff,0x7ffffe44,0x402fffff,
    0xf3002ff9,0x99999bff,0x7ffffdc3,0x2e0dffff,0xffffffff,0xbfd000ef,
    0x86fc8000,0xfffffffb,0x2ffd8dff,0x3ffff620,0xffffffff,0xffc80001,
    0xfffeefff,0xbfd003ff,0x22013fa0,0xfffffffe,0xffa81eff,0x8effffff,
    0x7fec46fe,0x4fffffff,0xa87fff62,0xffffffff,0x3a26fe8e,0xffffffff,
    0x7ffd41ef,0x3e6007ff,0xffffffff,0x74404fff,0xffffffff,0x7f4c01ef,
    0x801effff,0x06fffffa,0x7fffecc0,0xec800cff,0xd8802fff,0xfd887fff,
    0x3fa4ffff,0x807ff906,0x4fffffd8,0x1ffe5bfa,0x7ffff540,0x3ff203df,
    0x213ffa02,0xffffffd9,0x2ff4400c,0xfffffb00,0xea87ffff,0x02dfffff,
    0xffffffb5,0x07fe4007,0x41bf2000,0xefffffea,0x2017fea2,0xffffffc9,
    0x800002df,0xffffffea,0x1ffc002d,0x7001ffc4,0x9dffffff,0x7ffec401,
    0x41bfa4ff,0xdfffffeb,0xb105fb02,0x749fffff,0xffffb86f,0xfb80ceff,
    0x4001dfff,0xfffffdc8,0x2e002cef,0xceffffff,0x04d4c000,0x59ddb300,
    0x1aa88000,0x00031000,0x02a60062,0x00fff200,0xfc800a98,0x0d4c003f,
    0x002ffc80,0x00355100,0x900077ec,0x99999999,0x02a62039,0x00135100,
    0x0002ff98,0x4c403ca8,0x9800001a,0x00001aa9,0x00266200,0x44055440,
    0x988000aa,0xa980009a,0x2a620000,0x53005000,0x2a620001,0x00130009,
    0x00d4c400,0x04d4c400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99980000,
    0x99800000,0x0b260019,0x266003b6,0x004cc409,0xb50fffa6,0x31026660,
    0x03ffcc13,0x3a2ffe80,0x03fd02ff,0x26620df3,0x4c400000,0x88199819,
    0x09998199,0x3b607260,0x04ccc000,0x26aa6200,0x22000000,0x880006ff,
    0x07ff96ff,0xfb026662,0x3ee0009f,0x503ff06f,0xaa9800df,0x82662009,
    0x00000998,0x332a0000,0xcccccccc,0x8009983c,0x4c400998,0x2000009a,
    0x26625ffc,0x009a9800,0x06fffa80,0x7ffd4000,0xfffe8803,0x006fbadf,
    0x7fccbffb,0xffd8800f,0xb81ffebd,0x3ffe26ff,0x001ffe62,0xffd17ff4,
    0x883bf205,0x5ffd04fe,0xfe880000,0x417fee3f,0x3fee4ffe,0xfffe880e,
    0x006fcadf,0x801fffd4,0xfffffffc,0x8800003f,0x880006ff,0x07ff96ff,
    0xfb03bffa,0x3ee0009f,0x41df906f,0xdb804fe8,0x03ffffff,0x7fdc5ffd,
    0x207fb805,0xceffedb8,0xffffd801,0x6fffffff,0x6402ffcc,0xffd502ff,
    0x0019ffff,0x3a5ffc80,0xffd304ff,0xf8800dff,0x0004ffff,0x4013ffa0,
    0xffffdffb,0xfd1004ff,0x007ffa5f,0x3bffff90,0xfda7fec0,0x03ffcc3f,
    0x3a2ffe80,0xfff102ff,0x201fffdb,0x00002ffe,0xf98fff98,0xfff100ef,
    0x201fff13,0xffffdffb,0x7f4004ff,0xffe9804f,0xffffffff,0x3ffe0005,
    0xffffffff,0xdff10002,0x3ea0fff2,0x4ffd80ff,0x0dff7000,0x3fb7ffe2,
    0x3f6200ff,0xffffffff,0x2e2ffe86,0x7fcc05ff,0xfffff707,0x4019ffff,
    0xffffffff,0x7cc6ffff,0x2ffc805f,0x7fffff44,0x002fffff,0xfe97ff20,
    0xfffe884f,0x7f4004ff,0x003ffcaf,0x006ff980,0xffda8bfa,0x3fe6000c,
    0x2003ffcf,0x06ffffc8,0xffcffe88,0x007ff985,0x6dc5ffd0,0x3ffa602f,
    0x3fa01eff,0x7000002f,0x03ffdbff,0xffdeffa8,0xda8bfa02,0x2a000bff,
    0xff8806ff,0xfd331bdf,0x3e0005ff,0xffffffff,0xf10002ff,0x20fea2df,
    0xffb02ffe,0x3fee0009,0x3fffa606,0x7fec01ef,0xfff931cf,0x2e2ffe8b,
    0x3fe205ff,0xefffb87f,0x6fffecbc,0x333dff10,0x81333333,0xfc805ff9,
    0x7fffec2f,0xffffb99b,0xbff90000,0x7e427ff4,0x001bbdff,0x7fc57ff6,
    0x7ec0001f,0x0066000f,0x3ffea000,0xff91005f,0x005ffb9f,0x20dffff3,
    0xd0007ff9,0x01fb85ff,0xa801aa98,0x000001fc,0x00bffff6,0x01ffffe4,
    0xd0000066,0xff7001ff,0x05ffd80d,0x53333300,0x00133dff,0xfa9bfe20,
    0xb027fd41,0x2e0009ff,0xaa9806ff,0x1fffa801,0x543fff50,0x06aa60aa,
    0x23ffff4c,0xf503fff9,0x9ff509ff,0x17fe6000,0xfb8bff20,0xffd102ff,
    0x3ff2000d,0x3606aaa5,0x910003ff,0x1e64c199,0x03991000,0x40000000,
    0x7c004ccb,0x03ffa0bf,0x403332a0,0xd0007ff9,0x00fc85ff,0x01f70000,
    0xccc80000,0x1e664003,0x44000000,0xfff001cc,0x06ff9805,0x1bfe2000,
    0x9bfe2000,0x403ca87d,0x70004ffd,0x00000dff,0xfd807ffb,0xfc80004f,
    0x7ec7ffff,0x7ffd405f,0x0017fdc0,0xc805ff98,0x13ffa2ff,0x003fff10,
    0x400bff90,0x00001ffe,0x00000000,0x00aaa880,0x06000000,0x0002ffcc,
    0x000fff30,0x5e88bffa,0x09aa9880,0x00007e80,0x00000000,0x026aa620,
    0x26600000,0x06ff8802,0x220aa880,0x2a2006ff,0x65bfe20a,0x3f60001f,
    0xff70004f,0x1aa9880d,0x400fff80,0x20001ac9,0xffdfffe9,0x4007ffc7,
    0x7fec1ffe,0xbff30001,0x225ff900,0xfd800fff,0xffc8003f,0x03ffe005,
    0x99801988,0x22199801,0x99999999,0x20199999,0xfffffffa,0x4cccc404,
    0x99999999,0x3fb26019,0x02ffdcff,0x41544331,0xd0007ff9,0x03ba65ff,
    0xffffffc8,0x23fd03ff,0x1aa98198,0x2a606620,0x2662000a,0xffff9000,
    0x3107ffff,0x00155303,0x1ffee200,0x7fff5c40,0x06ff89ef,0x7ffff5c4,
    0x116ff89e,0x0aa21988,0x40013ff6,0xfd306ffb,0x209fffff,0x00006ff8,
    0xff101331,0x4fff17ff,0xfb007ff9,0x007fe87f,0x2017fe60,0xdff32ffc,
    0x013fee00,0xe897ff20,0x3ffe6625,0x7fec0999,0x0bffe203,0x3f25ff98,
    0xffffffff,0x440fffff,0xfffffffe,0xff901eff,0xffffffff,0xf701ffff,
    0xffffffff,0x2ffb01df,0x265ffffa,0xfd0007ff,0x201bfddf,0xffffffe9,
    0x0c85ffff,0x7fe43ff2,0xfd83ffff,0x3fffff67,0x2ffc802f,0x7ffff4c0,
    0x45ffffff,0x3fff67fd,0x31002fff,0xffffdb97,0x3fffa00f,0xffbfffff,
    0x7ffff406,0x6ffbffff,0x7fd5ff60,0x13ff65ff,0x437fdc00,0xfffffffc,
    0x7fd40eff,0xff900005,0x43dff307,0x0aa627ff,0xf117fec0,0x2aee62df,
    0x02ffcc00,0x00417fe4,0x8002ffd8,0x9be65ffc,0xfffffffc,0x02ffd44f,
    0x5c09fff5,0x3fff23ff,0xffffffff,0x7fec0fff,0xfff731bf,0xffff901f,
    0xffffffff,0xfffc81ff,0xfffdb9bd,0xf8ffd84f,0x3e65ffff,0xffd0007f,
    0x7fc4015b,0xfd331bdf,0xffc805ff,0xffffffd8,0x47fec5ff,0xfffffffd,
    0x17fe404f,0x37bfff10,0x8bfffa66,0xfffd8ffd,0x204fffff,0xffffffeb,
    0xc807ffff,0xda88afff,0x3206ffff,0xda88afff,0x3606ffff,0xfffff8ff,
    0x0013ff65,0x3f237fdc,0xfd511cff,0x04ffb8df,0x07ff9000,0x0fff05d3,
    0x21fff800,0xfffbcff9,0xf300efff,0x5ffb00bf,0x3ffe2000,0x5ffc8000,
    0xfffc9fe6,0x444fffff,0x3ff207ff,0x83ffa06f,0xaaaaaaa9,0x44fffaaa,
    0xd101fffa,0x55530bff,0xf5555555,0xfff989ff,0x0dfff503,0xdbffdffb,
    0x03ffcc5f,0x802ffe80,0x7ec06ffb,0x77fe405f,0xfeb9beff,0x3bff62ff,
    0xfeb9adff,0x3ff201ff,0x01bfee02,0x7fecbffb,0xeb9adffe,0x7f441fff,
    0xacdfffff,0x7dc07ff9,0xfff900ef,0x03bfea0d,0xb037ffe4,0xfdbffdff,
    0x0027fec5,0x3e66ffb8,0xffb101ff,0x0027fe47,0x003ffc80,0x70003ffc,
    0xfffb8fff,0xffffffff,0x06ff983f,0x8002ffd8,0x0005ffe8,0x3fd4bff9,
    0x33fff331,0x03ffd013,0x203ffffa,0xd0006ff8,0xfff88bff,0x0fffc402,
    0x85ffe800,0x7dc04ffd,0xefffd87f,0x0fff3020,0x00bffa00,0xf300bffe,
    0xfffc80df,0x5ffe880e,0x2037fff6,0x3204ffe8,0x3ffe02ff,0xb37fcc02,
    0xd101bfff,0xfffe89ff,0x7ff980ac,0x2017ffc0,0xfff06fff,0x06fff805,
    0x083bfff6,0x80027fec,0x3ffa6ffb,0x87ffc403,0x00005ffa,0xf8007ff9,
    0xff10007f,0xffffc87f,0xfffba9ac,0x037fcc1f,0x20017fec,0x000fffe8,
    0x7dcbff90,0x00fff80f,0x7cc1ffdc,0xfa82ffdf,0xffd8003f,0x037fcc0e,
    0x8004ffc8,0x7cc0effd,0xffe800ff,0x007ffec1,0x4001ffe6,0x99802ffe,
    0x06ff8802,0x300fffe4,0x7ffecfff,0x81bfea00,0x26602ffc,0x26ff8802,
    0x2a00fffd,0x3ffe66ff,0x03ffd401,0xf700dff1,0x0dff10df,0x6c0dff70,
    0x7ec00fff,0xff70004f,0x401ffe6d,0xbff33ffe,0x640ab200,0x7fc003ff,
    0xffe88007,0x00effe85,0xf98dffd1,0x2ffe807f,0x3fffa200,0x3ff20001,
    0x3e03fee5,0x7fcc00ff,0xff9ffb86,0x000ffd84,0x5c07ffe4,0xff5004ff,
    0xfffc800b,0x005ffa80,0xffd87ff7,0x07ff9805,0x005ffd00,0x3ffdc400,
    0x1017ff20,0x2ffecfff,0xc81ffe60,0x880002ff,0x3ff67ffb,0x73ffcc05,
    0xff700bff,0x027fd40f,0x7d437fcc,0x6ff8804f,0x2017ff60,0x70004ffd,
    0x17feadff,0xf8a7fdc0,0x7fcc00ff,0x007ff906,0x44007ff8,0xa980fffe,
    0x7ffcc00b,0x003ffe63,0x22005fff,0x0001fffe,0xff92ffe4,0x001fff03,
    0x6fd81ffd,0x0dff0dff,0x01fffb80,0x26007ff9,0x3ee007ff,0x9ff701ff,
    0xb13fea00,0xff3009ff,0x3ffe000f,0xcb988002,0x07ffffed,0x7c027fe4,
    0x09ffb0ff,0x3207ff88,0x262002ff,0xffffedcb,0x1013ff67,0x2ffe4fff,
    0x81fffa20,0xf8803ffb,0x03ffb86f,0x3606ff88,0xffd804ff,0xdff70004,
    0x3bbbffee,0xfeeeeeee,0x013ffa5f,0x3f209ff7,0x3ffc003f,0x3fffd100,
    0x3ff20000,0x813ffe64,0x9002fffb,0x00003fff,0x7fe4bff9,0x800fff82,
    0xa7fc2ffc,0x3fe60ffd,0x3ffea004,0x00bff602,0x4007ffc4,0x3202fffa,
    0xff3003ff,0x803ffd8d,0x8000fff8,0x2e002fff,0xfffffffe,0x7e407fff,
    0x0fff803f,0xff007ffb,0x017fe40f,0x7fffff5c,0x367fffff,0x7ff803ff,
    0x4403ffee,0x3607fffe,0xdff002ff,0x2005ffb0,0x3ff606ff,0x04ffd803,
    0x32dff700,0xffffffff,0x6fffffff,0x4c0bffe6,0xff901fff,0x07ff8007,
    0x03fffd30,0x37fdc000,0x303ffff3,0x3005ffff,0x00003fff,0xffd97ff2,
    0x800fff82,0x3fe64ff9,0x7e45ff52,0xfff3001f,0x02ffd809,0x300fff10,
    0xfd809fff,0xfff3002f,0x8802ffd8,0x44000fff,0xe8801fff,0xcdffffff,
    0x6407ff9a,0xfff803ff,0xf005ffb0,0x17fe40ff,0xfffffd10,0xfff359bf,
    0x7c017fec,0x3bffe67f,0xffeba89b,0xffb00fff,0x21bfe005,0xff002ffc,
    0x017fec0d,0x80027fec,0xdff96ffb,0xdddddddd,0xfc8bdddd,0xfeb9acff,
    0x3ff203ff,0x03ffc003,0x00ffffcc,0x9ffe6000,0xbefffff9,0x2fffffeb,
    0x004ffc80,0xd97ff200,0x0fff83ff,0x7dcdff00,0x749ff10f,0xfff1007f,
    0x07ff900b,0x101ffe60,0xf900bfff,0x3fea007f,0x8017fec6,0x4c001fff,
    0xfe801fff,0xf980acff,0x1ffe407f,0xfd87ffc0,0x07ff802f,0xfe80bff2,
    0xf980acff,0x00bff67f,0xfff71ffe,0x1bffffff,0x3ee05ffb,0x0dff003f,
    0x3e007ff7,0x0bff606f,0x3113ff60,0x76ffb805,0x200009ff,0xfffffffc,
    0x7fe404ff,0x03ffc003,0x003bffea,0x9bfea000,0xfffeeff9,0x2ffbefff,
    0x801ffd80,0x7fe40299,0x3e0fffa5,0xffb000ff,0xdfd1bfa1,0x22013fe2,
    0xf7006ffe,0x3fea009f,0x1bffa206,0x8027fdc0,0x7fec4ffb,0x07ffd002,
    0x807ffa80,0x5401fff9,0x7fe407ff,0xb0fff803,0xfff005ff,0x9817fe40,
    0x7d401fff,0x00bff67f,0x3faa1ffe,0x2a2effff,0x9ff305ff,0x30dff100,
    0xff1009ff,0x017fec0d,0x3fa27fec,0x57ff201f,0x00005ffa,0x3fffffa6,
    0x3ffc801e,0x503ffc00,0x3001bfff,0x3ee009b9,0x6d7fe65f,0xfa8effff,
    0x0ffe802f,0x200fff80,0x3ffa4ffd,0x000fff84,0x9ff17ff5,0xffb9ffc8,
    0x0effd801,0x00dff500,0xfd813ff6,0xff5000ef,0x0fffa00d,0x32005ffb,
    0x7f4006ff,0x5ffb805f,0x407ffb80,0xff803ffc,0x005ffb0f,0x7fe40fff,
    0x00bff702,0x7fecfff7,0x207ff802,0x9f501a98,0x403ffc40,0xff886ffa,
    0x06ffa807,0x3600bff6,0x17fec4ff,0x3e6bffb0,0xcdb800ff,0x04f7dc02,
    0x007ff900,0xff707ff8,0x7fcc009f,0x47ffb007,0x2a625ff9,0x1bb60000,
    0xd00fff40,0x27ffc9ff,0x88007ffc,0x42ffadff,0x07fdbffa,0x001fffc8,
    0x2601fff4,0xff901fff,0xffe8003f,0x07ffd403,0x5400bff6,0xf5005fff,
    0xff9007ff,0x7ffe880b,0x401ffe40,0x5ffb0fff,0x640fff00,0xbff902ff,
    0x27ffe880,0xff802ffd,0x17e40007,0xd00fffa0,0x3ffa0dff,0x037ff403,
    0xfb005ffb,0x05ffc89f,0xffe8fffa,0x1fffcc04,0x002fff60,0x4003ffc8,
    0xfffb87ff,0x3fff8004,0x307ffd40,0x00000bff,0x09ffb000,0xff8bffe2,
    0x00fff85f,0x3ff3ff60,0x7feffc40,0x0fffdc05,0x17ffd400,0x705ffe88,
    0x70003fff,0x3a603fff,0x2ffd83ff,0x37fff600,0x1bfff201,0x807ffdc0,
    0x407fffe8,0xff803ffc,0x005ffb0f,0x7fe40fff,0x01fff702,0xd9ffffa2,
    0x7ff802ff,0x01fec000,0x6407ffe6,0xff306fff,0x3fff203f,0x00bff606,
    0xff313ff6,0xfffd817f,0x80fffe61,0x5400fffe,0x9000ffeb,0xff8007ff,
    0x027ffc47,0x01fffc80,0xf987ffd3,0x0000005f,0x82fffa80,0x3fe0fffd,
    0x00fff85f,0x1bfffee0,0x017ffff4,0x0005fff5,0x4d67ffec,0x505fffb9,
    0x40005fff,0x989cfffd,0xfb06fffb,0x7fcc005f,0xedcdffff,0x001fffff,
    0x137dfff3,0xfffffd75,0x01ffe401,0xffd87ffc,0x207ff802,0xff302ffc,
    0xd75137df,0x361fffff,0x7ff802ff,0x437ec000,0x4e7ffdc0,0x6ffffea9,
    0x273ffee0,0x6ffffda9,0x200bff60,0xffd84ffd,0xffffddff,0xadfffd83,
    0x2fffec99,0x00bfee00,0x2001ffe4,0x2ffec7ff,0x3fffa000,0xfffc99be,
    0x005ff985,0x00aaa800,0xb9ffffd0,0xff85ffff,0x00fff85f,0x0ffffe20,
    0x807fffe4,0xcccefff9,0xcccccccc,0x7fffe442,0x305fffff,0x9999dfff,
    0x59999999,0xffffff70,0x3601bfff,0x74c002ff,0xffffffff,0x4001efff,
    0xfffffffb,0x2ffd8dff,0x200fff20,0x5ffb0fff,0x640fff00,0x3fee02ff,
    0xdfffffff,0xffb2ffd8,0x00fff005,0xccfffa80,0xffffc84f,0x6ff9ffff,
    0x7ffffe40,0x06ff9fff,0x3600bff6,0xfff984ff,0x04ffffff,0x3ffffff2,
    0x4c02ffff,0x00fffcaa,0x8007ff90,0x3ffea7ff,0xffffffff,0x7444ffff,
    0xffffffff,0x0bff304f,0xfff88000,0xffff3002,0xf07fffff,0x1fff0bff,
    0x1fffe800,0x40bfff50,0xfffffffa,0xffffffff,0xffffd505,0x7fd407bf,
    0xffffffff,0x505fffff,0x5dfffffb,0x002ffd80,0xfffffd70,0x40005dff,
    0xefffffea,0xc817fea2,0xfff803ff,0xf005ffb0,0x17fe40ff,0x3ffffaa0,
    0x57fea2ef,0xff802ffd,0xffe80007,0xfb504fff,0x3fe3dfff,0xfffda806,
    0x40dff1ef,0xfd802ffd,0xfff9104f,0xb3007dff,0x19ffffff,0xfffffb00,
    0x1ffe4007,0xfd9ffe00,0xffffffff,0x04ffffff,0xdffffff7,0x02ffcc05,
    0x3ffe2000,0x3ff62002,0xff03dfff,0x01fff0bf,0x207ffc80,0x2a03fff8,
    0xffffffff,0x5fffffff,0x5001a980,0xffffffff,0xbfffffff,0x00135100,
    0x0000bff6,0x01355531,0x0d4c4000,0x0fff2000,0x7ec3ffe0,0x07ff802f,
    0x4400bff2,0x3f6001a9,0x07ff802f,0x39bb5000,0x00026600,0x40004cc0,
    0x00002ffd,0x20001a98,0x5c001aa8,0x4001cdee,0x7c003ffc,0x3ffffa7f,
    0xffffffff,0x4c404fff,0xbff3001a,0xff880000,0x3530002f,0xf09ddd00,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5ffb0000,0x22000000,
    0x883316ff,0x220000aa,0x004c40aa,0x01ffe601,0x0017ff40,0x7fffffcc,
    0xffffffff,0x83ffffff,0x80002ffd,0xfffffff9,0x01ceffff,0xd702ae20,
    0x0027fec5,0x7cc3fff2,0xffffffff,0x02ceefff,0x0003ffcc,0x004ccc00,
    0xaaaaaa98,0x7fc42aaa,0xffffffff,0xffffffff,0xaaaa984f,0x002aaaaa,
    0x4ea81771,0x2e05ffb0,0x000005ff,0xfb05ff70,0xccc9803f,0xcccccccc,
    0xff73cccc,0x7fe4000d,0x3ee1fff2,0x13ffa06f,0x1fffc800,0x227fec00,
    0x00002ffd,0x36dff100,0xfffe88ff,0xb8801cef,0xd1effffe,0x4c1b20df,
    0xfd0007ff,0xff90005f,0xffffffff,0xffffffff,0x5ffb07ff,0xfff30000,
    0xffffffff,0xc803bfff,0xfabdffff,0x07ffe61f,0x31fffc40,0xffffffff,
    0xffffffff,0x1ffe601b,0xff300000,0x3fee009f,0xffffffff,0x3ffffe20,
    0xffffffff,0x84ffffff,0xfffffffb,0x7dc00fff,0xfeabefff,0x205ffb03,
    0x00005ffb,0x82fff980,0x7d401ffd,0xffffffff,0x76ffffff,0x64000dff,
    0x21fff2ff,0x3fa06ffb,0x3fe0004f,0x7ec005ff,0x017fec4f,0xff880000,
    0xffd3ffb6,0x01ffffff,0xffffffd8,0x446fe9ff,0xfff306fe,0x0bffa000,
    0xfffff100,0xffffffff,0xffffffff,0x77fff6c7,0x003eeeee,0x3fffffe6,
    0xffffffff,0xbff104ff,0x0dfffffd,0x3200bff9,0x7ffcc6ff,0xeeeeeeee,
    0x0efffffe,0x0007ff98,0x27ffcc00,0xfffffb80,0x220fffff,0xffffffff,
    0xffffffff,0xffb84fff,0xffffffff,0x7ef7fc00,0xb00fffff,0x3fee05ff,
    0xe8000005,0xffd82fff,0x7fffd401,0xffffffff,0xdff76fff,0x97fe4000,
    0xdff70fff,0x0027ff40,0x0fffffa8,0xb13ff600,0x000005ff,0x7edbfe20,
    0x3661efff,0x3ff206ff,0xfffb30ae,0x06ff88df,0x2000fff3,0x64002ffe,
    0x1ffea6ff,0xffffd000,0x09ffffff,0x403ffcc0,0x82ffffc9,0x3fb265fb,
    0x2fff881c,0x217ffcc0,0x22007ff9,0xf986fffc,0x4000007f,0x0004fff9,
    0xfff80000,0x00000002,0xfeb89fe6,0x0bff602d,0x0002ffdc,0x3ffff200,
    0x401ffd82,0x99999998,0xfffb9999,0x000dff71,0xfc997fe4,0x5c0dff70,
    0xfb0004fd,0x4007ff7f,0x7fec4ffd,0x10000002,0x3fff6dff,0x09ffb00d,
    0x3201dff7,0x7fc46fff,0x00fff306,0x800bffa0,0x3ea3fff8,0x65c0007f,
    0xccccdffe,0x3fe6002c,0x3ffa2007,0x0804c40f,0x2037fdc0,0xff985ffd,
    0xfffb8007,0x003ffcc0,0x33322000,0x00000002,0x0002fff8,0x02620000,
    0x17fec004,0x0005ffb8,0x3fffe600,0x01ffd82f,0x17ff4000,0x4000dff7,
    0xb9b62ffc,0x17d406ff,0x46ffc400,0x3f6006ff,0x017fec4f,0xff880000,
    0x403fffb6,0x7fc1fff8,0x37ffc02f,0x7cc1bfe2,0xffd0007f,0x37fe4005,
    0x0001ffea,0x00017fec,0x2003ffcc,0x0005fff8,0x303ffe80,0xff303fff,
    0x3ffe000f,0x7ffffcc2,0xdeeeffff,0x4000000b,0x13300198,0x017ffc00,
    0x02aaa200,0xfb000000,0x17fee05f,0xf10000a6,0xb05ffbdf,0x400003ff,
    0x7fdc4ffc,0x3ff20006,0x7fdc9f32,0x000fdc06,0xffd9ffdc,0x89ffb002,
    0x2aa22ffd,0x15510001,0xffdb7fc4,0x22ffc805,0xfb806ff8,0xfff3316f,
    0x3ffcc333,0x02ffe800,0xa87fff10,0xb00007ff,0x01a985ff,0x001ffe60,
    0x880bffea,0xff500099,0x09ffd01f,0x4001ffe6,0x7fcc4ffd,0xffffffff,
    0x80dfffff,0x99999998,0x21999999,0x7c401ffd,0x3ffe006f,0xfff50002,
    0x4409ffff,0x00aa9819,0xf702ffd8,0x003fb8bf,0x7ecffec0,0x01ffd82f,
    0x0dff3000,0x4000dff7,0x41df2ffc,0x3ea06ffb,0x1ffd0006,0x6c017fea,
    0x57fec4ff,0xdfffffe8,0x7ff5c400,0x6ff89eff,0xf5005ffb,0x027fd49f,
    0xffab7fc4,0x267fffff,0xfd0007ff,0x3fee005f,0x007ffa87,0x325ffb00,
    0x02dfffff,0x8003ffcc,0x3f203ffe,0x3ffa003f,0x807ffd44,0xd0007ff9,
    0xfff989ff,0xffffffff,0xc85fffff,0xffffffff,0xb0ffffff,0xff8803ff,
    0x0bffe006,0xffffd100,0x03dfffff,0x7ffecffb,0x3f602fff,0x4bff702f,
    0x20002ffc,0x5ffb3ffa,0x0003ffb0,0x2e0bffa0,0x320006ff,0xff7032ff,
    0x0007740d,0xff137fcc,0x9ffb001f,0xffecffd8,0x01ffffff,0x3ffffffa,
    0xfb6ffbff,0xbff3003f,0xf801ffdc,0xfffff56f,0x3ffccfff,0x02ffe800,
    0xa83fff88,0xb00007ff,0xffffd7ff,0x4c09ffff,0xf90007ff,0x1ffe40bf,
    0x41fff300,0x3e603ffe,0xff88007f,0x03ffcc2f,0x27fff544,0x3ffffff2,
    0xffffffff,0x8803ffb0,0x3fe006ff,0x7fec002f,0xfff731bf,0xd8ffd81f,
    0xffffffff,0x715ffb04,0xffb5ffb8,0x7fc40007,0x360bff65,0xc80001ff,
    0xdff705ff,0x17fe4000,0x040dff70,0x87ffb000,0xfd803ffd,0x7fffec4f,
    0xffea88ae,0xafffc80f,0xffffda88,0x1001ffb6,0x17fecfff,0x3316ff80,
    0x4c333fff,0xfd0007ff,0xfff7005f,0x001ffea0,0x77fffec0,0xfffea99b,
    0x00fff301,0xc81bfee0,0x7e4003ff,0x80dff54f,0x44007ff9,0x7cc0fffd,
    0x3f62007f,0x2aaa60ff,0xfaaaaaaa,0x07ff64ff,0x400dff10,0x2a002fff,
    0xfd101fff,0xfeffd8bf,0xffeb9adf,0xfcffd81f,0x7f77fdc4,0x7f40002f,
    0x20bff60f,0x40001ffd,0xf700fff9,0x7e4000df,0x1bfee02f,0x3fe20000,
    0x03ffd40f,0x3f627fec,0xfd880eff,0x077fdc4f,0xfb6fffc8,0xdff3001f,
    0xe801ffe4,0x837fc46f,0xd0007ff9,0xfff005ff,0x2bffea07,0xaaaaaaaa,
    0xfffb01aa,0x827ff40b,0x50007ff9,0x7fe40fff,0x7ffc4003,0x4c02ffe8,
    0xb98807ff,0xf983ffff,0x7fcc007f,0xffe8002f,0x200ffec5,0x3e006ff8,
    0xff1002ff,0xfff8805f,0x037fff61,0x3613ffa2,0x7dc3ffff,0x0001ffff,
    0x3f617fdc,0x21ffd82f,0xfb001aaa,0x37fdc09f,0xf9055530,0x37fdc05f,
    0x7fdc0000,0x805fff05,0x7fec4ffd,0x3ffe200f,0xf00bffe0,0x07ff6dff,
    0xfb93fe60,0x8dff004f,0xff306ff8,0x3ffa000f,0x07ffdc02,0xffffffa8,
    0xffffffff,0x01fffb04,0x3322ffd4,0xccccfffd,0x3fe203cc,0x07ff901f,
    0xffdff700,0xffff300d,0xffffffff,0x209fffff,0xe8007ff9,0x7ec004ff,
    0x0ffec0ef,0x801bfe20,0xf3002fff,0x3ff200df,0x803fff64,0xffd86ffa,
    0xefffb84f,0x7fcc0000,0xd82ffd85,0x0fffe1ff,0x807ffe20,0x3f206ffb,
    0x02ffc86f,0x0001bfee,0x640bffa0,0x7fec05ff,0x4027fec4,0xdff13ffd,
    0x36dff700,0xffa802ff,0x2017fea3,0x7fc46ff8,0x00fff306,0xd00bffa0,
    0x7fd409ff,0xffffffff,0xfb04ffff,0x6ff880bf,0x7ffffffc,0x206fffff,
    0xf902fff8,0xeeed807f,0xefffffee,0x260eeeee,0xffffffff,0xefffffff,
    0x01ffe602,0x8017ff60,0xfd80fffc,0x37fc401f,0x7fffffe4,0x7fffffff,
    0x5004ffb8,0x2ffecbff,0x3a1ffe60,0xdff903ff,0xffd00001,0xb05ffb01,
    0x1fffc3ff,0x2037fe40,0x3f206ffb,0x02ffc86f,0x0001bfee,0x4c0fff30,
    0x3f600fff,0x017fec4f,0xffaa7fdc,0xb6ff9804,0xffb009ff,0x007ffcc3,
    0xff11bfea,0x01ffe60d,0x5017ff40,0x7d401fff,0xccccccff,0xb02ccccc,
    0xfff009ff,0xcfffdcc8,0x203ccccc,0xf901fff9,0xffff807f,0xffffffff,
    0x261fffff,0xffffffff,0x00bfffff,0x8007ff98,0xf7004ffe,0x3ff603ff,
    0x437fc401,0xfffffffc,0x87ffffff,0xf3003ffc,0x027fecff,0xfd89ffe2,
    0xfffc82ff,0xffc80005,0xb05ffb02,0x1fffc3ff,0x2017ffc0,0x3f206ffb,
    0x02ffc86f,0x0001bfee,0xe809ff90,0x3ff604ff,0x400ffec4,0x7ff76ffa,
    0x36dff100,0x3e600fff,0x1ffec0ff,0xf11bffa0,0x1ffe60df,0x017ffc00,
    0x3333bffd,0x0fff7333,0x0fff6000,0x7cc1ffe0,0xff50007f,0x0fff201f,
    0x99999990,0x9999bfff,0x3ffcc199,0x03dffd50,0x800fff30,0xa802fff8,
    0x3f602fff,0x37fc401f,0x7cccccc4,0x19999bff,0x1002ffd8,0x3ff61fff,
    0x3a7ff803,0x7ec2ffff,0x40005fff,0x3f604ffa,0x21ffd82f,0x7d400999,
    0x6ffb807f,0x32026620,0x3fee02ff,0x7fc00006,0x999999bf,0x3607ffc9,
    0x07fec4ff,0xfdbffcc0,0x2dff002f,0x880dfffd,0xff982ffe,0xdfff902f,
    0xf106ff88,0xff0001ff,0x3ffea05f,0xffffffff,0x00007fff,0xff005ffb,
    0x01ffe60f,0x807ffdc0,0x20003ffc,0xf3001ffe,0xffe880ff,0x3ffcc01f,
    0x03fff600,0x809fff30,0x7c401ffd,0x3ffe006f,0x05ffb002,0xfd9ffe20,
    0x27ff802f,0x7c2ffeef,0x0005ffdf,0xd803bfe2,0x1ffd82ff,0x09ffb000,
    0x000dff70,0xf7017fe4,0x540000df,0xffffffff,0x2fffffff,0xfd89ffb0,
    0x6ff9800f,0x3e005ffb,0xdffffb6f,0x9fff7337,0x567ffe40,0x6ffffda9,
    0xf8837fc4,0x7c4000ff,0xfffd01ff,0xffffffff,0x0000ffff,0x3e00bff6,
    0x0fff307f,0x81bff200,0x20003ffc,0xf3001ffe,0xffd100ff,0x3ffcc01d,
    0x3ffee620,0x7ffc403f,0x01ffd805,0xf0037fcc,0x3f2005ff,0xfff3003f,
    0x7c017fec,0x17fed27f,0x017fee7e,0xeeeffb80,0xfffeeeee,0x3ffb4eee,
    0x1fff1000,0x00dff700,0x7017fe40,0x40000dff,0xfffffffd,0xffffffff,
    0xd89ffb05,0xffa801ff,0x2007ff75,0xf9ffb6ff,0xbfffffff,0xfffff700,
    0x8dff7fff,0x3fe06ff8,0x7fcc001f,0xefffa81f,0xeeeeeeee,0x00007ffe,
    0xff005ffb,0x01ffe60f,0x9027ff40,0xfff807ff,0xffffffff,0x21ffffff,
    0xf3007ff9,0x7fcc0dff,0xffffffff,0x06ffffff,0x8037ff44,0x7d402ffd,
    0x3ffe006f,0x09ff7002,0xfd9bfea0,0x87ff802f,0xfb842ffd,0x3f20005f,
    0xffffffff,0x5fffffff,0x70003ffb,0x3ee00bff,0x3f20006f,0x1bfee02f,
    0x7ffc4000,0xaaaaaaab,0x81fffbaa,0x7fec4ffd,0x34ffb802,0xff1009ff,
    0x362bff6d,0x002dffff,0x3bffffa6,0x7c46ff89,0x0fffa06f,0x20fff500,
    0xf5004ffe,0x360000ff,0x7ff802ff,0x000fff30,0x6403fff7,0x7ffc03ff,
    0xffffffff,0x21ffffff,0x32007ff9,0xff304fff,0xffffffff,0x007fffff,
    0x2001dffb,0x7e402ffc,0x3ffe006f,0x0dff5002,0xfd93ff60,0x87ff802f,
    0xff702ffd,0x7fe4000b,0xffffffff,0xb5ffffff,0xfd0003ff,0x3fee005f,
    0x3ff20006,0x01bfee02,0x037fdc00,0x3613ffe0,0x27fec4ff,0xf89ffec0,
    0x6ffa807f,0x01985ffb,0x1054c400,0x6ff88dff,0x001bff20,0xff30bffd,
    0x3fea003f,0xffb00007,0x20fff005,0x44007ff9,0x7e406fff,0x5555403f,
    0xabfffaaa,0x260aaaaa,0x7f4007ff,0xfff981ff,0xefffffff,0xfc800acc,
    0x3f2001ff,0x3ffa205f,0x0bffe006,0x403ffe80,0x3f61fff9,0x87ff802f,
    0xff702ffd,0x2000000b,0xffd82ffd,0x1fff8001,0x00dff700,0x7017fe40,
    0x20000dff,0x64003ffe,0x4ffd87ff,0x3007ffec,0x7ff41fff,0xdb7ff403,
    0x000002ff,0xf11bfe20,0x7ffd40ff,0x7fff5005,0x400bffb0,0x00007ffa,
    0xff005ffb,0x01ffe60f,0x01fffd88,0x0001ffe4,0x26003ffd,0x7cc007ff,
    0x7ff986ff,0x7fdc0000,0x7fd4001f,0xdfffd02f,0x017ffc00,0x205fff50,
    0x7ec5ffe8,0x87ff802f,0xff702ffd,0x2000000b,0xffd82ffd,0x7ffcc001,
    0x0dff7000,0x017fe400,0x0000dff7,0x8001fff3,0x7ec2fff8,0x77ffec4f,
    0x43ffe880,0xf901fff9,0x0bff6dff,0xf8800000,0x00fff86f,0x4073fff6,
    0x986fffc8,0x2a001fff,0xb00007ff,0xfff005ff,0x881ffe60,0x4ffffca9,
    0x003ffc80,0x4007ffa0,0xc8007ff9,0x7fcc3fff,0x3ea00007,0xff0002ff,
    0xfd955bff,0x7c00dfdd,0x7ec002ff,0xfb99acff,0x2ffd85ff,0xfd87ff80,
    0x0bff702f,0x3f600000,0x01ffd82f,0x0037fdc0,0x4000dff7,0x3ee02ffc,
    0xfc80006f,0xffb0005f,0x6c4ffd8d,0x99beffff,0xf706fffb,0xfd5339ff,
    0x3ff6dfff,0x20000002,0xfff86ff8,0xfff985ce,0xfedcdfff,0xfd81ffff,
    0x7fd4005f,0xffffffff,0xd87fffff,0x7ff802ff,0xffffff30,0xffffffff,
    0x3f2009ff,0x3fa0003f,0xfff3001f,0xfffd1000,0x003ffcc1,0xcefff980,
    0xcccccccc,0x3ffea2cc,0xe8efffff,0x3ffe006f,0x7fe44002,0x5fffffff,
    0xf005ffb0,0x05ffb0ff,0x3fffffee,0xffffffff,0xffd8000f,0x001ffd82,
    0x7002ffe4,0xffffffff,0x1fffffff,0xfb80bff2,0xffffffff,0x40ffffff,
    0x50002fff,0x7fec3fff,0x7f4ffec4,0x0dffffff,0x3fffff20,0xb6ff9fff,
    0x000005ff,0x6437fc40,0x881fffff,0xfffffffe,0x981effff,0x54002fff,
    0xffffffff,0x7fffffff,0xf802ffd8,0xffff307f,0xffffffff,0x64003bff,
    0x3a0003ff,0xff3001ff,0x3fea000f,0x01ffe65f,0x7fffd400,0xffffffff,
    0x7ec45fff,0x3fa4ffff,0x0bffe006,0x7fff5400,0x3f603dff,0x87ff802f,
    0xff702ffd,0xffffffff,0x001fffff,0xfb05ffb0,0xffd8003f,0x3ffee004,
    0xffffffff,0xff90ffff,0x7fffdc05,0xffffffff,0x3fea0fff,0x7ffc0007,
    0xfb13ff64,0xffffb11f,0x3f6a007d,0xdff1efff,0x0000bff6,0x06ff8800,
    0x405fffd9,0xffffffdb,0xffb00bef,0xfff5000d,0xffffffff,0xfb0fffff,
    0x0fff005f,0x3fffffe6,0x1ceeffff,0x03ffc800,0x007ffa00,0x0003ffcc,
    0x3e65fffb,0xf500007f,0xffffffff,0x0bffffff,0x8000054c,0x80002fff,
    0xffb001a9,0xb0fff005,0x3fee05ff,0xffffffff,0x000fffff,0xfd82ffd8,
    0x7fec001f,0x3ffee002,0xffffffff,0xff90ffff,0x7fffdc05,0xffffffff,
    0x3ff60fff,0x7fe40004,0x8013ff67,0x260000a9,0x17fec009,0xf1000000,
    0x001880df,0x026aaa62,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0xffffffff,0x200acdef,0xfffffff9,0x01ceffff,0xffffff98,
    0xffffffff,0x3fe26fff,0xffffffff,0x95ffffff,0x20007fff,0x3f64fff8,
    0x005ff91f,0x55555100,0xc8155555,0x05ffb2ff,0xffff3000,0xdfffffff,
    0xdff70039,0xffff9800,0x001bfee1,0x05ffffa8,0x7ffff100,0x000bffea,
    0x1ff8bffa,0xfff36fa8,0xdfffffff,0x3e2017dd,0xffffffff,0xffffffff,
    0x0dff94ff,0x26ffb800,0x32007ffb,0x3a005fff,0xaaa982ff,0x02aaaaaa,
    0x0003ffe6,0x3ea0bffa,0xfc8004ff,0xfffe80ff,0xffffffff,0x227fffff,
    0xaaaaaaaa,0x426620aa,0xfffffffb,0x2fffffff,0xffffff30,0xffffffff,
    0x7ffcc03b,0xffffffff,0x26ffffff,0xfffffff8,0xffffffff,0x03fffa5f,
    0x83bffa00,0x5ff91ffd,0xfff50000,0x3fffffff,0xffb2ffc8,0xff300005,
    0xffffffff,0x403bffff,0x26006ffb,0x7dc1ffff,0x3ea0006f,0x8000ffff,
    0xf53ffffb,0xe8001fff,0x837f62ff,0xfff34fe8,0xffffffff,0x881bffff,
    0xffffffff,0xffffffff,0xfff34fff,0x7ff40003,0x003ffe22,0x803ffff4,
    0xfd80fff8,0xffffffff,0x03ffe607,0x40bffa00,0x2001fffc,0xfd01fffa,
    0xffffffff,0xffffffff,0x7fffffd4,0x3fa1ffff,0xfffff74f,0xffffffff,
    0xfff307ff,0xffffffff,0x209fffff,0xfffffff9,0xffffffff,0x3ffe26ff,
    0xffffffff,0x265fffff,0x5c005fff,0x7fec1fff,0x0005ff91,0xffffff50,
    0xfc83ffff,0x005ffb2f,0xfffff300,0xffffffff,0x3ee09fff,0xfff3006f,
    0x0dff703f,0x7fffd400,0xffe8002f,0xffff53ff,0x2ffe800b,0x3fb7ffe6,
    0xffff30ff,0xffffffff,0xf88dffff,0xffffffff,0xffffffff,0x13ffa4ff,
    0x43ffcc00,0xf8802ffe,0xa801ffff,0xfffb06ff,0x0fffffff,0x0007ffcc,
    0xfd017ff4,0xff1001df,0x7fff407f,0xffffffff,0x2a7fffff,0xffffffff,
    0x53ffa1ff,0x54406ffb,0x7cc2fffe,0xffb9807f,0x7ff982ff,0xfff10000,
    0xff900001,0x3fe2005f,0x91ffd84f,0x000005ff,0xb1cca800,0x300005ff,
    0xf9300fff,0xff705fff,0xffff300d,0x01bfee03,0xfffffa80,0x7ffcc005,
    0xffff53ff,0x7ff4005f,0x7ffff542,0x01ffe61e,0x02ffff4c,0x800bffe0,
    0x90007ffb,0x9ff909ff,0xffbff500,0x09ff9007,0xf5310000,0x333333ff,
    0xf3333333,0xf30137ff,0xffd00bff,0xf500000b,0xd00009ff,0x1bfee9ff,
    0x227fec40,0x22007ff9,0x7cc0fffd,0xf100007f,0x200001ff,0xd800fffe,
    0x3ffb06ff,0x0000bff2,0x3f600000,0xf980002f,0x3fa2007f,0x37fdc0ff,
    0x07fffe60,0x0006ffb8,0x3fff7fea,0x3bfee000,0xffff53ff,0x3fa001ff,
    0x0355302f,0xd800fff3,0x3e000fff,0x3e2002ff,0xff8002ff,0x06ffa81f,
    0x5ff9ffd8,0x002ffe80,0xffffb800,0xffffffff,0xffffffff,0xff704fff,
    0x7ffe405f,0x7cc00000,0x500005ff,0x1bfee355,0x4c7ffa80,0x744007ff,
    0x3ffcc5ff,0xfff88000,0xff300000,0xfffa80bf,0x323ffb01,0x400002ff,
    0x0009aa98,0x00017fec,0x2003ffcc,0x7dc5fff8,0x3ffe606f,0x37fdc00e,
    0x9bff5000,0x7f4005ff,0xff53ffdd,0x200bfffd,0x30002ffe,0xf8800fff,
    0x3fe002ff,0x7fec002f,0x37fd4005,0x400fff88,0x01ffd6ff,0x8803ffc4,
    0x7dc01aa9,0xffffffff,0xffffffff,0x04ffffff,0x2a03fff6,0x00001fff,
    0x0077ffc4,0x70002662,0x7c400dff,0x1ffe60ff,0x8bffe600,0x00007ff9,
    0x0001fff1,0x817ffe40,0x3603fff8,0x05ff91ff,0x9004ccc4,0xffffffff,
    0x36133107,0x0554c2ff,0x007ff980,0x2e2fffa8,0xfff306ff,0xdff7001d,
    0x6ffd4000,0xf3005ff9,0x2a7ffb5f,0x2fffaeff,0x102ffe80,0xfff30133,
    0x09ffd000,0x0017ffc0,0x8003ffea,0x3fa03ffd,0x53fe601f,0x3ea02ffc,
    0x7ff4c05f,0x3104ffff,0x3333fff5,0x33333333,0x0137fff3,0x222fffc4,
    0x00004fff,0x00ffff44,0x2001ffe4,0x26006ffb,0x3ffcc6ff,0x23ffe800,
    0x00007ff9,0x0001fff1,0x80effe80,0x7ec06ffd,0x205ff91f,0x980effe8,
    0xfffffffe,0x7fe45fff,0x3f25ffb2,0x403effff,0xd0007ff9,0x37fdc7ff,
    0x0077ffcc,0x0006ffb8,0x7ffd7fea,0xd8ffc800,0x2dff53ff,0x7400fffd,
    0x7ff902ff,0x000fff30,0x7c00bffb,0xff8002ff,0xfff1002f,0x01ffe401,
    0x3fea3ff7,0x80fff204,0xfffffffc,0xff300eff,0xffd0001f,0x3ffea005,
    0x0017ffa3,0x0bfff600,0x001ffe40,0xb801bfee,0x3ffcc4ff,0x25ffb800,
    0x00007ff9,0x0001fff1,0x44fff980,0x6c00fffa,0x05ff91ff,0x101dffd1,
    0x2637bfff,0x322fffe9,0xd7ffb2ff,0xffffffff,0x03ffcc07,0x2e5ffc80,
    0x7ffcc6ff,0x3fee000e,0x3fea0006,0xd005ff95,0x54fff6bf,0xbfff16ff,
    0x902ffe80,0xfff307ff,0x07ffd000,0x0017ffc0,0xb802ffe4,0x7fd405ff,
    0xff1ffa05,0x80fff40d,0x511cfffc,0x3e60dffd,0xfe8000ff,0x3ff6002f,
    0x00fffb8f,0x7ffdc000,0x0fff2004,0x00dff700,0xf307ffee,0x3ea000ff,
    0x01ffe66f,0x07ffc400,0x7fe40000,0x07fff11f,0x3f23ffb0,0x77ff442f,
    0x80dff700,0x3ff25ffd,0x9dffffb2,0x5ffff935,0x001ffe60,0xff737fdc,
    0x077ffccd,0x01bfee00,0xf35ffa80,0x2ff980bf,0x3fea7ffb,0x80bffea6,
    0xff902ffe,0x00fff307,0x002fff88,0x2000bffe,0xe800fff8,0x7fc401ff,
    0xd8bff107,0x7ff880ff,0x203fff30,0xf983ffd8,0xfe8000ff,0x3fa2002f,
    0x002fffef,0x2fffd400,0x00fff200,0x555fff70,0xffdb9755,0x0fff303d,
    0x99ffe600,0xaaaabfff,0xaaaaaaaa,0x55fffc42,0xaaaaaaaa,0x3ffa002a,
    0x200bff96,0x5ff91ffd,0x0077ff44,0xf9805fff,0x6cbff26f,0xfd00efff,
    0x1ffe60bf,0x73ffd400,0x3ffe6dff,0xffb8003f,0x3fea0006,0xc803ffe5,
    0x54fff67f,0x7ffec6ff,0x205ffd00,0xff983ffc,0x3ffa2007,0x3ffe000f,
    0x7ffb0002,0x006ff980,0xff503ffd,0xa83ffb87,0x7ffd05ff,0x40fff880,
    0xeeeefff9,0xeeeeeeee,0x4002fffe,0x04fffff9,0x7ffc4000,0x7fe4000e,
    0x7ffdc003,0xffffffff,0xff300fff,0x3fe2000f,0xfffff31f,0xffffffff,
    0xff88dfff,0xffffffff,0x2006ffff,0xfffcfff9,0x23ffb000,0xffd12ffc,
    0x0299801d,0x3f26ff88,0x01fffb2f,0x33237fd4,0xccccfffd,0x3fe203cc,
    0xf3dff71f,0x003fffff,0x0006ffb8,0xffc97fea,0xfd97fe02,0x88dff53f,
    0xffd05fff,0x20fff205,0x9999fff9,0xffca9999,0x7fc003ff,0xff50002f,
    0x03ffc80d,0xf907ff70,0x85ff981f,0xff982ffc,0x87ffd007,0xfffffff9,
    0xffffffff,0x8002ffff,0x0006fffc,0x0ffff440,0x01ffe400,0x3ffffee0,
    0xffffffff,0x7ff983ff,0x5fff1000,0x3fffffe6,0xffffffff,0x7ffc46ff,
    0xffffffff,0x64006fff,0x002fffff,0x7fe47ff6,0x000bffb2,0x27ffb880,
    0xbffb2ffc,0x7c7ff880,0xffffffff,0x3e206fff,0xffff72ff,0x1dffdbff,
    0x037fdc00,0x4cbff500,0x5ff305ff,0xffa9ffec,0x82fffa86,0xff902ffe,
    0xfffff307,0xffffffff,0xf000bfff,0x7c0005ff,0x3ffe00ff,0x0bff3000,
    0x3ffe0dfd,0x5407ff40,0xff7005ff,0xfffff989,0xffffffff,0x02ffffff,
    0x0ffffc80,0x3ff60000,0xff90002f,0xfffb8007,0xccaaaaaa,0x4c4ffffe,
    0xf30007ff,0x3ffe63ff,0xcccccccc,0x443ccccc,0xcccccfff,0x03cccccc,
    0x05fffe80,0xfc8ffec0,0x006ffdaf,0x3b72e620,0x3f27ffff,0x009ffb2f,
    0xfdcc8fff,0xccccccff,0x47ffe603,0x35fffffb,0x5c00bfff,0x2a0006ff,
    0x07ff45ff,0x3ff63fe4,0x360dff53,0x7ff40fff,0x307ff902,0xffffffff,
    0x5dffffff,0x0bffe000,0x03ffc800,0xf800bff5,0x827fcc6f,0x3fe21ffd,
    0xddfff706,0xdddddddd,0xfff98bff,0x99999999,0xfff99999,0x7ffcc002,
    0x700006ff,0x40007fff,0x5c003ffc,0xfb1006ff,0x3ffcc5ff,0x0fffa800,
    0x0000fff3,0x0003ffe2,0x1fff5000,0x91ffd800,0x3fffffff,0xfffeb800,
    0x7fffffff,0x7fecbff2,0x307ff803,0x2a000fff,0xfff70fff,0x3fffb8bf,
    0x00dff700,0x322ffd40,0x44ff82ff,0xdff53ffd,0xd17ffe20,0x3ff205ff,
    0xeefff983,0xbcdeeeee,0x7ffc0002,0x3fe60002,0x005ffb06,0x3ee0ffd8,
    0x47ff502f,0xff904ff9,0xffffffff,0x98dfffff,0xe8000fff,0x3e2002ff,
    0x03fffdff,0x2fffd400,0x0fff2000,0x00dff700,0x3e65ffd8,0xff70007f,
    0x003ffccf,0x00fff880,0x7fcc0000,0x1ffd8007,0xfffffff9,0x3ffa200d,
    0x9acdffff,0x4bff27ff,0xff802ffd,0x00fff307,0x5c3ffee0,0xffd05fff,
    0xdff7003f,0x2ffd4000,0xff317fe6,0xf53ffd83,0x7ffdc0df,0x640bffa2,
    0x7ff983ff,0x3e000000,0x740002ff,0x3ffc41ff,0xb17fdc00,0x3fe201ff,
    0x640bfee5,0xeeeeeeff,0x5eeeeeee,0x0007ffcc,0xb0017ff4,0x3fff6dff,
    0xfff10001,0xfc80001d,0x46aaa03f,0x54006ffb,0x1ffe67ff,0x337fe400,
    0x20000fff,0x0000fff8,0x03ffcc00,0xfc8ffec0,0x4ffe8dff,0xacfffe80,
    0x327ff980,0x05ffb2ff,0x3e60fff0,0xff90007f,0x1037fdcd,0xf700dfff,
    0x7d4000df,0x647fe85f,0x53ffd87f,0xffd80dff,0x205ffd0f,0xff983ffc,
    0x20000007,0x40002fff,0x7fdc4ffb,0x4ff98004,0xffd017fe,0xff703fec,
    0xff300009,0xffd0001f,0x3ffee005,0x01dfff11,0x01fffd00,0x07ff9000,
    0xffba7ff4,0x7ffc4006,0x000fff32,0xff993ffa,0xff100007,0x8000001f,
    0xd8007ff9,0x4bff91ff,0x2601fffa,0x7d401fff,0x6cbff27f,0x7ff802ff,
    0x000fff30,0xffb93ffa,0x27ffd406,0x001bfee0,0xfc85ffa8,0x3613fe2f,
    0x0dff53ff,0xfd5fff88,0x0fff205f,0x0001ffe6,0x02fff800,0x23ffc400,
    0xf0000ffe,0x00ffeadf,0x17fe1ff9,0x0005ffa8,0x000fff98,0x9802ffe8,
    0x7fd43fff,0x7fec004f,0xf900002f,0xa7ff407f,0x44006ffb,0xfff31fff,
    0x1fff7000,0x0003ffcc,0x000fff88,0x3ffcc000,0xc8ffec00,0x77fe42ff,
    0x00bff700,0x7fe4fff7,0xf005ffb2,0x1ffe60ff,0x87ffee00,0xfd806ffb,
    0x3fee02ff,0x3fea0006,0xf55ff985,0x27ffb03f,0xfb806ffa,0x02ffeaff,
    0xff307ff9,0x4000000f,0x80002fff,0xbff32ffd,0xcbfec000,0x7fd401ff,
    0x2603ff9a,0xdb800fff,0x07ffcc2c,0x017ff400,0x6417ffa2,0xf7002fff,
    0x400007ff,0x3fa03ffc,0x00dff74f,0x3e67ffa8,0x7fc4007f,0x03ffcc5f,
    0x0fff8800,0x7cc00000,0xffd8007f,0xf885ff91,0xbff904ff,0x27ffe880,
    0x5ffb2ffc,0x260fff00,0x7c4007ff,0x37fdc6ff,0x07fffc40,0x0006ffb8,
    0x7f417fea,0xfb06fd8f,0x01bfea7f,0x7ff7ffec,0x307ff902,0x00000fff,
    0x0017ffc0,0xfba7fd40,0x3ea0002f,0xf007fe9f,0x803ff79f,0x7cc04ffe,
    0x7ffcc3ff,0x2ffe8000,0x007ffec0,0x9801fffd,0x00005fff,0x2601ffe4,
    0x00dff73f,0xf337ffc4,0x7ec400ff,0x3ffcc1ff,0xfff88000,0x4c000000,
    0xfd8007ff,0x505ff91f,0xff703fff,0x3ffa201f,0x6cbff27f,0x7ff802ff,
    0x400fff30,0x5c1fffd8,0xff5006ff,0x1bfee0df,0x05ffa800,0x09ff5ff9,
    0x7fd4fff6,0xffff1006,0x3ff205ff,0x007ff983,0x3ffe0000,0xfff00002,
    0x10001ffa,0x00bff7ff,0x01ff7bf6,0xe80fffe6,0x7fcc0fff,0xffe8000f,
    0x0bffee02,0x40bfff30,0x0006fff8,0x403ffc80,0x0dff71fb,0x3fffd710,
    0x3103ffcc,0x07ffff95,0x0000fff3,0x0003ffe2,0x0fff3000,0x323ffb00,
    0xdffb02ff,0xbefff981,0xfffeba89,0x25ff90ff,0xff802ffd,0x40fff307,
    0xffffca98,0x006ffb84,0x2e13fff2,0x2a0006ff,0xfff305ff,0x3ff603ff,
    0x400dff53,0x02fffffb,0xff307ff9,0x4000000f,0x00002fff,0x09ff7ff9,
    0xffffd000,0x3ffee005,0xfffb005f,0xffd9335b,0x1fff305f,0x05ffd000,
    0x4013ffe6,0xfd03fffb,0x000001df,0x7e807ff9,0x3fffffee,0xffffffff,
    0x7ffcc3ff,0xffffffff,0x303fffff,0xffffffff,0xffffffff,0x3ffe25ff,
    0x4c000000,0xfd8007ff,0x205ff91f,0xfb84fff8,0xffffffff,0xf92ffd8d,
    0x00bff65f,0x7fcc1ffe,0xffffffff,0x04ffffff,0xe800dff7,0x7fdc2fff,
    0xffffffff,0xf50fffff,0x7fff40bf,0x54fff606,0x7ec006ff,0xff902fff,
    0x00fff307,0x7ffc0000,0xff100002,0x00003fff,0x001ffff9,0x00bfffe6,
    0xffffffc8,0xf302ffff,0xfd0001ff,0xdffd105f,0x1fffd800,0x7fffffcc,
    0xffffffff,0x903fffff,0x1ff407ff,0xfffffff7,0xffffffff,0xfffff307,
    0xffffffff,0x7fcc05df,0xffffffff,0xffffffff,0x001fff12,0x7ff98000,
    0x91ffd800,0x7fdc05ff,0xfffea81f,0x3fea2eff,0x3f65ff95,0x07ff802f,
    0xfffffff3,0xbfffffff,0x037fdc03,0x83fffe60,0xfffffffb,0xffffffff,
    0x640bff50,0x3f603fff,0x00dff53f,0x02ffff88,0xff307ff9,0x4000000f,
    0x00002fff,0x001bfff6,0x037ffd40,0x003fffe0,0xfffffb30,0x7fcc019f,
    0xffe8000f,0x01fffd82,0x077ffc40,0xfffffff3,0xffffffff,0x3207ffff,
    0x70ae03ff,0xffffffff,0x4059ddff,0xfffffff9,0x01cdefff,0xffffff98,
    0xffffffff,0xff12ffff,0x8000001f,0xd8007ff9,0x05ff91ff,0x100effd8,
    0x7e400353,0x005ffb2f,0x3fe60fff,0xffffffff,0xfb801cee,0xffb8006f,
    0x3fffee5f,0xffffffff,0xbff50fff,0x007ffcc0,0x3fea7ffb,0xfffb8006,
    0x307ff902,0x00000fff,0x0017ffc0,0x07fff500,0x3ffe2000,0x37fec004,
    0x06aa2000,0x007ffcc0,0x2a17ff40,0x50003fff,0x7fcc9fff,0xffffffff,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0xe8000fff,0x800002ff,0xcccccccb,0xcccccccc,0x07fe804c,0x33001988,
    0x4400ccc1,0x32601aaa,0x5554403c,0x0d5d4400,0x9aa98800,0x15510000,
    0x026aa200,0x09aa9800,0x1aa98800,0x15551000,0x20033100,0x75310099,
    0x01988015,0x99801998,0x35303311,0x80aaa880,0x0aa98198,0x4c426620,
    0x86660009,0x13310998,0x104ccc40,0x88154433,0x99999999,0x4c199999,
    0x99980099,0x4aa00000,0x100000b8,0x26198005,0xe8000fff,0x5d4402ff,
    0x0717cc1a,0xfd007000,0x03ffb00f,0x3fe6ff88,0xffff501f,0xff709fff,
    0xffffb10d,0x7d43bfff,0x03ffffff,0xffffff90,0xd95007ff,0x019dffff,
    0xdfffffd7,0x3ff6e003,0x3003ffff,0x9ffffffd,0x3fffea00,0x3f604fff,
    0x37fc401f,0x3fffff22,0x7ffb03ff,0x017ffc40,0x5ff6bff3,0xdfffffd8,
    0x3ffffa60,0xfb3fec4f,0x905fffff,0x1bfea7ff,0xfd37fd40,0x40bff69f,
    0x360effe8,0xbffff57f,0xffffffc8,0xffffffff,0x803bffa0,0x0001fffa,
    0xf89ffdc4,0x220001df,0x215cc3fe,0xfff31ff9,0x5ffd0001,0x3ffffea0,
    0x24fe9cff,0x80380003,0xffd807fe,0xf37fc401,0xffe883ff,0xefffffff,
    0xf51bfee1,0xffffffff,0xffff95ff,0x409fffff,0xffffffe9,0x3205ffff,
    0xffffffff,0x3fff61ff,0x03ffffff,0x3fffff62,0x6406ffff,0xffffffff,
    0xffd100ef,0xdfffffff,0x803ffb03,0x3fa26ff8,0xffffffff,0x02ffd40e,
    0x5c09fff5,0xd1ffb3ff,0xbfffffff,0x3fffffe6,0x23ff64ff,0xfffffffd,
    0xf1ffe44f,0xffb003ff,0xfda7ff47,0xeffe882f,0x7fc7fec0,0x7fe45fff,
    0xffffffff,0x3e20ffff,0xfff104ff,0x7ecc0007,0xfff13fff,0xf70005df,
    0xffff97ff,0x2bfff7bf,0x8000fff9,0x7ec42ffe,0xffffffff,0x0001c5ff,
    0x03ff401c,0x2200ffec,0x07ffe6ff,0x2637fffb,0xf70ffffb,0x6fffccbf,
    0xfffd511a,0x2a637fff,0xff882fff,0xfd331bdf,0xfff905ff,0xffd5115b,
    0x37fffb3f,0x413ffee6,0x931cfffd,0x3f20bfff,0xfd511cff,0x3fff60df,
    0xffff731b,0x401ffd81,0x3ffa6ff8,0xfff931bd,0x207ff889,0x3a06fffc,
    0xfdffb0ff,0xfffd537d,0xb535bff9,0x3ff63fff,0xeb9adffe,0x3ff21fff,
    0x1013ff23,0x7ff41fff,0xe885ffb4,0xffd80eff,0x42fedffe,0xaaaaaaa9,
    0x84fffaaa,0xfd81fffa,0xfd50005f,0x5c19ffff,0x0cfffffe,0x3fffee00,
    0xffffffff,0x03ffe65f,0xb0bffa00,0xb5139fff,0x0385ffff,0xfe803800,
    0x01ffd807,0xf9537fc4,0x80fffd43,0x27c5ffe8,0x7c407ff9,0xd100efff,
    0x6ffb81ff,0x262ffec0,0x3f604fff,0x100effff,0xffa81fff,0x3fff501f,
    0x101fff98,0xffa87ffb,0xbffd101f,0x4401ffd8,0x1fff16ff,0x3a1ffea0,
    0xfffd01ff,0x4dff101f,0xf906fffd,0x3fa05fff,0x1bfffb3f,0x649ffd10,
    0x1ffe63ff,0xaa8bff50,0x445ffb1a,0xfb00effe,0x00041dff,0x6c0bffd0,
    0x7ffdc6ff,0x3ff22000,0x200befff,0xdfffffda,0xffff9002,0xdfffb539,
    0x000fff98,0x3ea2ffe8,0xfff501ff,0x3800038b,0xd807fe80,0x7fc401ff,
    0xff88fdc6,0x7ffc403f,0x3fe25f32,0x2fffd807,0x3e2ffcc0,0x7fcc02ff,
    0x4037fec6,0x401fffff,0x7fec5ffa,0x227fec03,0x7c403ffe,0x5fff10ff,
    0x21fff880,0x7c401ffd,0x809ff56f,0x7fdc1dee,0xffdff983,0x363ffa82,
    0xff500fff,0xaffdc0bf,0x2a00fffd,0x0fff26ff,0x7ec05ffd,0x2ffd802f,
    0xd80bffd1,0x00000fff,0x4401dffb,0xfff34fff,0x3ff6a005,0x4002dfff,
    0xefffffc8,0x33ff200b,0x4c6ffa80,0xe8000fff,0x0fffe2ff,0x17ffffc4,
    0x22700007,0xfe999999,0x0999999f,0xf8803ffb,0xff33ec6f,0x53ff200d,
    0x055310fc,0x200dff90,0x014cc7fe,0x3fa37fc4,0xfffb800f,0x41fff006,
    0x64c00fff,0x01ffe61a,0xff99fff4,0x49ff9006,0x7c401ffd,0x03fff36f,
    0x21bfe600,0x84ff9ffb,0x3ff60ffd,0x0bffe205,0xffb6ffa8,0x27ff980b,
    0x7fdc3ffc,0x00fff104,0x3fa2bff6,0x5ffd805f,0xfff90000,0x3fff3001,
    0xb8809ffd,0x0bfffffe,0xffea8000,0xff81cfff,0x87ffa00f,0x8000fff9,
    0xfff32ffe,0x7fe6fec0,0x4e0000e5,0xfffffffc,0xffffffff,0x8803ffb6,
    0xb93e66ff,0xff5004ff,0x20005fbd,0xb004ffd9,0x710003ff,0x3ffc4fff,
    0x04fff880,0x3e23ffb0,0x3ea0006f,0x9ff7005f,0x54013fee,0x07ff65ff,
    0x7fcdff10,0x4000acff,0xb7ec0ffe,0x46ff86ff,0x7fc04ffd,0x5bfe601f,
    0x7c404ffd,0x10fff27f,0x3fee0fff,0xd5ffb004,0x3f600dff,0xfb80004f,
    0x3f2001ff,0x4406ffff,0x02dfffff,0xff930000,0x7fcc5fff,0x31ffdc04,
    0xd0001fff,0x13fea5ff,0x7fcc77e4,0x4e0000e6,0xfffffffc,0xffffffff,
    0x8803ffb6,0xc8bf56ff,0xff3003ff,0x731003df,0xdfffffd9,0xdddddddd,
    0x4405ffdd,0xfffedcb9,0x01bfe67f,0xeeeefff8,0xffeeeeee,0x00bff52f,
    0x777ffdc0,0xeeeeeeee,0x07ff95ff,0xfd9ffe60,0x37fc401f,0xbffffff5,
    0x5ff90037,0x1ffb4ff8,0x3f627fcc,0x07ffc03f,0x3f6dff30,0x27ff803f,
    0xffd83ffc,0x000ffe82,0xfffffffb,0x07ffb003,0x2fffa800,0xffffe800,
    0x77ffc400,0x10000000,0x7dc7fff9,0x2ffc401f,0x0001fff3,0x3ff25ffd,
    0xf11ffa83,0x40001cff,0x99999953,0x99999fff,0x007ff679,0x09fffff1,
    0x22005ffb,0x75c00fff,0xffffffff,0xffffffff,0x4fffffff,0xfffffeb8,
    0x2e7fffff,0x3fa004ff,0xffffffff,0x73ffffff,0x640009ff,0xffffffff,
    0x6fffffff,0x22005ffb,0x3ffb0fff,0x4c6ff880,0xffffffff,0x93fe602e,
    0x5ff52ff9,0x3f60ffe4,0x07ffc02f,0x3f6dff30,0x27ff802f,0xffa83ffc,
    0x0037fcc5,0xfffffffb,0x05ffb00d,0x27ffcc00,0x4fffa800,0xeffff880,
    0x2000000b,0x23ffffd9,0x7c402ffa,0x3bffe64f,0xeeeeeeee,0x2fffeeee,
    0xff885ffb,0x0387ffc3,0xfe803800,0x01ffd807,0xb017ffc4,0x3e2005ff,
    0x3ff6207f,0xb9bdefff,0xeeeeeeff,0x3eeeeeee,0x3fffffa2,0x7ff9acdf,
    0xe8013fee,0xeeeeeeff,0x3eeeeeee,0x40009ff9,0xeeeeeffc,0xeeeeeeee,
    0x2005ffb5,0x3ff67ff8,0x837fc401,0xffffffda,0xb9bfe04f,0x49ff10ff,
    0x2ffd87fe,0x3007ffc0,0x0bff6dff,0xffc9ffe0,0x641fff03,0x3f6002ff,
    0x4fff8dff,0x0017fec0,0x005fff88,0x07ffff60,0x3ffff6a0,0x100001cf,
    0x7dffffd7,0x5404ff81,0x3ffe61ff,0xffffffff,0xffffffff,0xfe87ffb2,
    0x070fff84,0xfd007000,0x03ffb00f,0x6406ff98,0xff3003ff,0x6ffff40f,
    0x04ffb80a,0x67fff400,0x27ff980a,0x3e005ffa,0x2a0002ff,0x2e0005ff,
    0x320004ff,0xff3003ff,0x200ffecf,0xb9806ff9,0xb03ffffd,0xd1bfa1ff,
    0x213fe2df,0x7fc02ffd,0x5bfe600f,0xff802ffd,0x640fff27,0x03ffe3ff,
    0x2a5ffd80,0x3f601fff,0xfe88002f,0x3ee0006f,0x2006ffff,0xdfffffc8,
    0xff930002,0x6c05bfff,0xfff102ff,0xffffff98,0xffffffff,0xf92fffff,
    0x4437e49f,0x0000e6ff,0x01ffa00e,0xf500bff6,0x4ffb80df,0x20dff500,
    0x6401fffa,0x260004ff,0x7d401fff,0x01bfe67f,0x0027ffc4,0x200bff30,
    0x17fea2ac,0x04ffb800,0x7ecdff50,0x37fd402f,0x17ffa200,0x7fc5ffd4,
    0x7dcffe44,0x02ffd81f,0xf3007ffc,0x00bff6df,0x3ffc9ffe,0x3eadff30,
    0x7fec005f,0xb037fec2,0xfb0005ff,0x220001df,0x4ffeafff,0x7ff5c400,
    0xa800bfff,0x1cfffffe,0x2efffb80,0x98bfffb5,0x99999fff,0x99999999,
    0xdff52fff,0x3e603fea,0x20000e5f,0x807fe803,0x7dc02ffc,0x3ffd406f,
    0x904ffd80,0xffb00bff,0x473ba00d,0xfb805ffb,0x07ffe27f,0x01bffee0,
    0xff8866ec,0x37fcc00f,0x7001fff3,0x1bfea59b,0xf927fec0,0x6ffc805f,
    0xfa803d95,0x5bff107f,0xbffa85ff,0x5ffb07fd,0x200fff80,0x5ffb6ff9,
    0x7e4fff00,0x23ffa03f,0x6c001ffc,0x7ffc42ff,0x005ffb04,0x001fffc8,
    0x7cd3ffa0,0xb50002ff,0x83bfffff,0xefffffc8,0xfff3000b,0xffffffff,
    0x7ffcc7ff,0x2ffe8000,0x5ff3fff3,0x0393ff20,0xfe803800,0x05ffc807,
    0x201bffa2,0x7cc03ffe,0x9ffb01ff,0x2ffffb80,0xc87ffdc0,0x7f4405ff,
    0x027fec7f,0x0bffffe2,0xfe8fff70,0x27fdc04f,0xf3013ffa,0x1fff47ff,
    0xc87ffe60,0x3fa205ff,0x80dff96f,0x3f606ff9,0x7c40ffcf,0xfb05ffdf,
    0x0fff805f,0x7edbfe60,0x27ff802f,0x3ee03ffc,0x8006ffbf,0xffa82ffd,
    0x02ffd81f,0x007ffee0,0x20effc80,0x0000fffb,0x3fffff22,0xbfffff13,
    0xfff98005,0xffffffed,0xff33fffd,0xffd0001f,0x3ffffe25,0x45fff104,
    0x80380003,0xffa807fe,0xdfffd01f,0x05fff500,0xc817ffa2,0x3fe607ff,
    0xf102ffff,0x7ffdc9ff,0xffffd100,0x104fff88,0x3ffffffd,0x313ffe20,
    0x3e605fff,0x7ffcc1ff,0x83fffa03,0xd102fffa,0xfffa8bff,0x2dfffd02,
    0x3601fff9,0x3fee03ff,0xfffd06ff,0x0bff605f,0x4c01fff0,0x05ffb6ff,
    0x7fe4fff0,0x3fffe203,0x8d55403f,0xffb02ffd,0x005ffb0d,0x000bffea,
    0xe81fff98,0x880005ff,0xff13ffeb,0x2600039f,0x336e65ff,0x7ccffee1,
    0xfe8000ff,0x1bffee2f,0x0e27ff44,0x2e00e000,0xffff004c,0xddfd9559,
    0x3ff600df,0xffb99acf,0x3fe600ff,0xfdb88bef,0xdfffc9ef,0xefffda9b,
    0x2fbffe60,0xfffeba89,0x7ffe40ff,0xfffb99bd,0xacfffd9e,0x0efffda9,
    0x9acfffc8,0xb03fffeb,0x9335bfff,0xfb05fffd,0xf73359ff,0x3ffe0bff,
    0xefecaadf,0x3fff66fe,0xffec99bd,0x3ffe201f,0xffff903f,0x00bff601,
    0x7cc01fff,0x005ffb6f,0x1ffe4fff,0x03ffff60,0x3f69ffd0,0x9fff102f,
    0x9802ffd8,0xccccefff,0x2ccccccc,0x4c13ffa2,0x00002fff,0x05f44f6a,
    0x0024c000,0x0fff98ee,0x42ffe800,0x99befffe,0x1c0efffb,0x0001c000,
    0x7ffffd40,0x6fe8efff,0xffff9100,0x03dfffff,0xffffff70,0x7dc1bfff,
    0xffffffff,0xffffb80e,0xd8dfffff,0xfffb82ff,0x0effffff,0x3ffffff2,
    0x3200efff,0xffffffff,0x7ffe404f,0x2fffffff,0xfffff910,0x540bffff,
    0xffffffff,0x3a26fe8e,0xffffffff,0xffe801ef,0xbfff501f,0x2017fec0,
    0x3e600fff,0x005ffb6f,0x1ffe4fff,0x01bffea0,0x7fed3ffa,0x87ffee02,
    0xfa802ffd,0xffffffff,0x25ffffff,0x3200effc,0x00000fff,0x00000000,
    0x03ffe600,0x98bffa00,0xffffffff,0x0381efff,0xddd73800,0xdddddddd,
    0xd889dddd,0x3a4fffff,0x7f54006f,0x003dffff,0x7fffff54,0xfffb502d,
    0xea807fff,0x22efffff,0xfb105ffa,0x209dffff,0xffffffdb,0xfffd3003,
    0x26003dff,0xcffffffd,0xfffea800,0xd8803dff,0x3a4fffff,0xffffb86f,
    0x9000ceff,0x7fc40fff,0x0bff603f,0x4c01fff0,0x05ffb6ff,0x7fe4fff0,
    0x02fff803,0xffb4ffe8,0x26ffe805,0xfa802ffd,0xffffffff,0x55ffffff,
    0xfd005fff,0x000000bf,0x00000000,0x0007ffcc,0xff897ff4,0xfffffdab,
    0x0000e03f,0x7ffffe4e,0xffffffff,0x02a606ff,0x0d4c0000,0x054c4000,
    0x0026a200,0x00035310,0x10006a20,0x4c000135,0x2200009a,0x260001aa,
    0x2a60001a,0x35310000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fff980,0xd12ffe80,0x009a988b,
    0x93800038,0xffffffff,0xdfffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0xffe8000f,
    0x64000042,0xcccccccc,0xcccccccc,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x007ffcc0,
    0x0017ff40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x8000fff9,0xc8802ffe,
    0x0eea802c,0x2a002764,0x543ed85e,0x4c007000,0x2a000099,0x0988001a,
    0x4006a600,0x20019a98,0x06600099,0x66402a98,0xcccccccc,0x81cccccc,
    0x999009a8,0x99999999,0x30399999,0x46aaa055,0x3fea7ffb,0x00bffb0f,
    0x08888000,0x22204444,0x11044440,0x6666665c,0x237752cc,0xeeeeeeea,
    0xeeeeeeee,0x3314eeee,0x33333333,0x33333333,0x00000033,0x00000000,
    0x00000000,0x20000000,0x8000fff9,0xf9802ffe,0x8dfd004f,0xf1003ff9,
    0x20ffc87f,0x7ec00ffa,0x2fff8805,0x0dff7000,0x3fffb260,0x3ffee02e,
    0xffb102ff,0x2a03dfff,0x00dffffd,0xfb807fe4,0x7ffffc06,0xffffffff,
    0x3f223fff,0xfff83fff,0xffffffff,0xd83fffff,0x29ffd04f,0x3fea7ffb,
    0xa8bffb0f,0x401cefed,0x27ffcc48,0xff8dffd1,0x753ff21f,0xffffd4ff,
    0x3fa7ffff,0xfffff74f,0xffffffff,0x2bffffff,0xfffffffb,0xffffffff,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x4013fe60,
    0x7fe43ff9,0x4c6fe800,0x7fff44ff,0x03fffb00,0x002fff88,0x803fffd0,
    0xffeefff8,0xffffd80f,0xffd83fff,0x40effdce,0xffeceff8,0x03fff205,
    0x3fe02fd4,0xffffffff,0x23ffffff,0x4ffccffd,0x7ffffffc,0xffffffff,
    0x80cff83f,0xfff74ffe,0xfd87ffd4,0xffffb15f,0xa839ffff,0x42ffec6e,
    0x3fe2fff8,0x753ff21f,0xffffd4ff,0x3fa7ffff,0x5555514f,0x55555555,
    0x23555555,0xfffffffb,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8013fe60,0x3fe21ffd,0x217fe406,0x7f440ffe,
    0x7ffec0ff,0x2fff8802,0xffffa800,0x307fe405,0xdffa89ff,0x541ffd51,
    0x17fd41ff,0x3ff71bfa,0x0fffffb8,0xa97ea393,0x55555543,0xdaaaaaaa,
    0x88bf53ff,0x2aaaa1ff,0xaaaaaaaa,0x6c40aaaa,0x7ff43ffe,0x7d4fff74,
    0x2bffb0ff,0xfffffffb,0xffeeffff,0x03bfe26f,0xfff37fd4,0xfea7fe43,
    0x7777754f,0x3ffa3777,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88013fe6,0x1ffdc6ff,0x7e45ff98,0xfffd102f,
    0x00bfff61,0x80009998,0x00ffdffd,0x1bfa0b2e,0x9ff30bfd,0x3ff81dc4,
    0x0ffdc098,0x1ff79ff1,0x37efbfee,0x80007ffc,0x05f93ffb,0x000007f7,
    0x3e61ff60,0x7d4fff53,0x5d7ff27f,0xfeca9bef,0xffffffff,0x7007ff25,
    0x82aaa3ff,0x37751aa9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x27fcc000,0xd13ff200,0xffe883ff,0x101bfe61,
    0xfffbfffd,0x40000005,0x4ff9cff9,0x43ff8800,0x0bff03ff,0x27fedd4c,
    0x117fee60,0x643fea19,0xffffffff,0x5c0000df,0x501fb3ff,0x8000009f,
    0xfb86ffa8,0x7c4dff31,0x5cffee6f,0xfff9100d,0x2cc87fff,0x00079700,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fcc0000,0x7ffc4004,0xf91bfea1,0x0fff449f,0x7ffff440,0xdddd702f,
    0xdddddddd,0x3f209ddd,0x800ffd0f,0x3e20ffd8,0xa8dfb02f,0xfffffffd,
    0x01fffc04,0x2a207fd4,0x0001cfff,0x7e4ffee0,0x0002fd83,0xffffff00,
    0x7fc4fd05,0xff52ffc4,0xaa980025,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeee8000,0xeefffeee,
    0xf502eeee,0xa7ff41df,0x3f20fffa,0x3fe2005f,0x3ff203ff,0xffffffff,
    0x886fffff,0x0ffea5ff,0x217ff4c0,0xdf902ff8,0x5ef7ffdc,0x36204ffa,
    0x7d404ffe,0xefefc80f,0x3ee00000,0x225ff33f,0x00000ffb,0x2effff88,
    0x1ff43fe8,0x0ff88ff6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf8000000,0xffffffff,0x3fffffff,
    0x6c1dff50,0x1fff54ff,0xb0027fec,0x201fffff,0xfffffffc,0xffffffff,
    0x7c2ffb86,0xeffb806f,0x3607ff01,0x207bfe5f,0xff3004ff,0x207fd407,
    0x0efd8ffb,0x7ff70000,0x7fffffdc,0x7fffffc2,0xffffffff,0x200c43ff,
    0x5c1ec82b,0x00036c2e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8000,0xffffffff,0xff03ffff,
    0x237fd43f,0x3fe24ffc,0xfffd801f,0x9880ffff,0x99999999,0x80999999,
    0x2ffc87ff,0x8037ff20,0x4ff886fe,0xff707ff1,0x037ec007,0x7fcc1ff5,
    0x000bff13,0xb30ffee0,0xfff01bff,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26600000,0xdffa9999,0x80999999,0x7ff44ffc,0x50fff441,
    0xffd80dff,0x0fffe8af,0x7d400000,0x05ff984f,0xf5009ffb,0x3ffaa3bf,
    0x54437fa0,0x3fe24fff,0x5037fc42,0x5c6b81ff,0xd500000e,0x3ba0005d,
    0xeeeeeeee,0x02eeeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x22004ff9,
    0x1ffdc6ff,0x7e45ff98,0x5fffb02f,0x007fff44,0x8017ffc4,0xffb00ffe,
    0xcceffc83,0xffd84ccc,0x543fffff,0xefffefff,0x4dffe45f,0x2a03ffeb,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09ff3000,
    0xf10ffec0,0x2ffc80df,0x7fec3ff4,0xfffe882f,0x17ffc400,0x502ffcc0,
    0x7ffc49ff,0x07ffffff,0x05fffff7,0x233fff6e,0x3fe20ffa,0x405fffff,
    0x00000ffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ff30000,
    0x90ffe600,0xdfd001ff,0x7ec4ff98,0x3ffa202f,0x17ffc400,0x2017fec0,
    0x99930fff,0x09999999,0x11000a98,0x6f65c400,0x04c9801c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfd004ff9,0x003ff98d,
    0xffc87ff3,0x744016c0,0x1ccc8800,0x88019980,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x027fcc00,
    0x3b20774c,0x42f5c004,0x000003ed,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00004ff9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_39_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,1,2,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
3,1,1,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-1,-1,-1,-1,-1,2,1,3,3,3,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,2,1,2,2,2,2,2,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_39_latin_ext_y[560]={ 31,6,6,5,3,5,5,6,5,5,5,10,27,20,
27,5,5,5,5,5,6,6,5,6,5,5,12,12,10,13,10,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,35,5,12,6,12,6,12,5,12,6,6,
6,6,6,12,12,12,12,12,12,12,6,12,12,12,12,12,12,5,5,5,15,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,31,12,6,5,10,6,
5,5,5,5,5,14,13,20,5,2,5,10,5,5,5,12,6,16,30,5,5,14,5,5,5,12,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,5,12,12,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,11,11,5,5,5,5,5,6,5,
1,7,0,6,6,12,-1,5,-1,5,0,6,-1,5,-1,6,6,6,1,7,-1,6,0,6,6,12,-1,5,-1,5,
0,6,0,6,5,4,-1,-1,6,6,0,6,1,7,0,6,6,6,0,12,6,6,-1,5,6,6,12,-1,-1,6,
6,6,6,6,6,6,6,-1,5,6,12,-1,5,5,5,12,1,7,-1,6,-1,5,5,12,-1,5,6,12,-1,5,
-1,5,-1,5,5,12,-1,5,6,6,-1,6,6,6,0,6,1,7,-1,6,-1,5,-1,5,6,12,-1,5,-1,5,
0,-1,5,0,6,-1,5,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,9,9,5,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,12,9,9,9,9,9,9,9,9,9,9,9,9,9,6,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,5,-1,5,-1,
5,-1,5,-1,1,-1,-1,-1,-1,-1,-1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-5,-2,-1,5,-1,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_39_latin_ext_w[560]={ 0,4,10,19,17,27,22,5,9,9,12,18,5,10,
4,10,17,11,17,17,18,18,17,17,17,17,4,5,18,18,18,17,34,25,20,23,22,20,18,24,21,4,15,22,
17,25,21,25,20,25,23,21,21,21,24,33,24,24,21,8,10,8,16,21,7,17,16,17,16,17,11,17,16,4,
8,16,4,25,16,18,17,16,11,16,10,15,18,25,18,18,17,11,3,11,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,17,19,18,21,
3,17,10,26,13,15,18,10,26,21,10,17,12,12,8,16,19,4,9,8,12,15,28,28,29,17,25,25,25,25,
25,25,34,23,20,20,20,20,8,7,12,10,25,21,25,25,25,25,25,16,25,21,21,21,21,24,20,19,17,17,
17,17,17,17,29,17,17,17,17,17,8,7,12,10,18,16,18,18,18,18,18,17,18,15,15,15,15,18,17,18,
25,17,25,17,28,21,23,17,23,17,23,17,23,17,22,21,25,19,20,17,20,17,20,17,20,17,20,17,24,17,
24,17,24,17,24,17,21,16,25,18,13,12,12,12,12,11,9,9,4,4,21,12,19,12,22,16,16,17,7,17,
9,17,9,17,10,19,8,21,16,21,16,21,16,21,22,16,25,18,25,18,25,18,32,31,23,11,23,11,23,12,
21,16,21,16,21,16,21,16,21,10,21,14,21,10,21,15,21,15,21,15,21,15,21,15,21,20,33,25,24,18,
24,21,17,21,17,21,17,9,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,21,18,18,18,18,18,18,18,18,18,18,18,18,18,27,21,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,25,17,12,12,25,
18,21,15,21,15,21,15,21,15,21,15,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,25,17,34,29,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_39_latin_ext_h[560]={ 0,25,9,27,32,27,27,9,34,34,12,17,9,4,
4,27,27,26,26,27,25,26,27,25,27,27,19,24,18,11,18,26,34,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,28,25,27,25,26,25,25,25,25,25,32,27,32,15,3,6,20,26,20,26,20,26,27,25,25,
33,25,25,19,19,20,26,26,19,20,26,20,19,19,19,27,19,34,34,34,7,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,26,32,27,17,25,
34,34,5,27,14,16,11,4,27,3,11,21,14,14,6,26,32,5,9,14,14,16,27,27,27,27,32,32,32,31,
31,31,25,34,32,32,32,31,32,32,32,31,25,31,33,33,33,32,32,16,28,33,33,33,32,32,25,27,27,27,
27,26,27,27,20,26,27,27,27,27,26,26,26,26,26,25,27,27,27,26,27,15,22,27,27,27,27,34,32,34,
30,25,31,26,33,26,33,27,33,27,32,26,33,27,32,26,25,26,30,25,32,26,31,26,33,27,32,27,33,34,
32,33,32,33,34,35,32,32,25,25,31,25,30,24,31,25,33,33,31,19,26,33,33,34,33,33,19,32,32,33,
33,25,25,25,25,25,25,32,26,33,27,32,26,26,27,27,31,25,33,26,33,27,27,20,32,26,33,27,32,26,
33,27,33,27,34,26,33,27,35,35,32,26,25,26,32,26,31,25,33,26,33,27,33,27,33,27,32,26,32,34,
31,32,26,31,25,32,26,26,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,27,22,22,34,22,22,22,
22,22,22,22,22,22,22,22,22,22,27,20,22,22,22,22,22,22,22,22,22,22,22,22,22,26,20,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,32,27,32,26,33,
27,33,27,33,31,33,33,33,33,33,33,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,36,34,32,27,34,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_39_latin_ext_s[560]={ 508,507,272,183,286,448,236,266,384,328,188,
23,260,335,346,129,467,392,404,431,384,422,395,414,359,323,384,505,455,231,474,
458,252,478,1,225,22,45,66,182,1,504,476,198,221,239,265,138,299,46,218,
116,320,81,342,367,445,85,470,44,499,99,109,373,311,153,1,203,18,221,498,
276,155,150,309,115,110,317,343,239,35,53,406,274,70,258,365,291,436,204,418,
184,196,394,283,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,508,492,392,
356,493,196,324,287,319,156,152,58,201,335,249,351,220,61,126,166,302,441,53,
330,250,179,139,42,294,19,78,377,73,369,132,169,234,143,103,338,324,481,434,
387,502,503,204,454,157,276,383,431,467,62,36,74,72,179,171,268,110,367,242,
260,409,108,1,212,19,485,123,363,207,1,164,476,503,470,441,381,82,338,318,
299,280,45,241,91,23,188,172,156,140,200,328,305,1,132,195,142,218,247,129,
449,105,413,304,346,1,341,346,289,172,269,478,401,420,345,408,381,340,98,23,
494,193,122,395,153,467,269,140,60,1,492,419,138,298,183,465,492,221,287,457,
493,360,360,323,255,211,219,65,114,389,449,441,47,201,460,450,432,403,364,355,
264,230,247,37,182,182,160,89,112,312,319,88,478,131,337,376,171,410,311,231,
292,158,101,25,329,83,275,362,364,157,203,27,49,1,399,297,414,88,425,338,
281,409,454,361,259,318,220,287,427,290,1,217,165,429,242,27,365,263,345,64,
497,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,304,42,42,232,
42,42,42,42,42,42,42,42,42,42,42,42,42,126,101,42,42,42,42,42,
42,42,42,42,42,42,42,42,114,79,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,455,223,
23,199,406,54,61,73,432,260,454,23,39,476,1,492,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,1,104,108,48,78,27,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
42,42,42,42,42,42,42,42,42, };
static unsigned short stb__arial_39_latin_ext_t[560]={ 1,231,362,231,106,203,231,362,1,1,362,
362,362,362,362,203,172,259,259,172,286,259,172,286,172,172,339,313,339,362,339,
259,1,286,313,172,313,313,313,172,339,286,259,313,313,313,313,172,313,172,286,
172,313,286,313,313,313,313,313,139,139,139,362,362,362,339,286,339,286,339,259,
172,313,313,38,313,313,339,339,339,286,286,339,339,286,339,339,339,339,203,339,
1,1,1,362,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,1,259,72,
203,339,286,1,1,362,231,362,362,362,362,172,362,362,339,362,362,362,259,139,
362,362,362,362,362,172,231,231,172,139,106,106,139,139,139,286,1,72,72,72,
139,72,38,106,139,286,139,38,38,38,106,106,362,172,72,38,72,106,72,286,
203,203,231,203,259,203,172,339,259,172,231,172,203,172,231,231,259,259,286,203,
203,203,259,203,362,339,203,203,203,203,1,106,1,172,313,139,259,38,259,38,
172,38,172,106,231,72,172,106,259,313,259,139,313,106,259,139,231,38,172,139,
203,38,1,106,38,106,38,1,1,139,106,313,286,139,286,139,313,139,313,38,
38,139,339,259,72,72,1,72,72,339,106,106,72,72,286,286,286,286,286,286,
106,259,38,203,106,259,259,203,203,139,286,72,231,72,203,203,339,72,259,72,
231,106,259,72,231,38,231,1,231,72,231,1,1,106,231,286,231,106,231,139,
286,38,231,38,231,38,231,38,203,72,259,106,1,139,106,259,139,286,72,259,
231,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,231,339,339,1,
339,339,339,339,339,339,339,339,339,339,339,339,339,231,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,259,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,72,203,
106,259,1,203,38,203,1,139,1,38,38,1,38,1,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,1,1,139,231,1,172,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339, };
static unsigned short stb__arial_39_latin_ext_a[560]={ 155,155,198,311,311,497,373,107,
186,186,217,326,155,186,155,155,311,311,311,311,311,311,311,311,
311,311,155,155,326,326,326,311,567,373,373,403,403,373,341,434,
403,155,279,373,311,465,403,434,373,434,403,373,341,403,373,527,
373,373,341,155,155,155,262,311,186,311,311,279,311,311,155,311,
311,124,124,279,124,465,311,311,311,311,186,279,155,311,279,403,
279,279,279,187,145,187,326,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,155,186,311,311,311,311,145,311,
186,412,207,311,326,186,412,308,223,307,186,186,186,322,300,155,
186,186,204,311,466,466,466,341,373,373,373,373,373,373,559,403,
373,373,373,373,155,155,155,155,403,403,434,434,434,434,434,326,
434,403,403,403,403,373,373,341,311,311,311,311,311,311,497,279,
311,311,311,311,155,155,155,155,311,311,311,311,311,311,311,307,
341,311,311,311,311,279,311,279,373,311,373,311,373,311,403,279,
403,279,403,279,403,279,403,343,403,311,373,311,373,311,373,311,
373,311,373,311,434,311,434,311,434,311,434,311,403,311,403,311,
155,155,155,155,155,155,155,124,155,155,410,248,279,124,373,279,
279,311,124,311,124,311,163,311,187,311,124,403,311,403,311,403,
311,337,404,311,434,311,434,311,434,311,559,527,403,186,403,186,
403,186,373,279,373,279,373,279,373,279,341,155,341,209,341,155,
403,311,403,311,403,311,403,311,403,311,403,311,527,403,373,279,
373,341,279,341,279,341,279,124,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,420,419,419,311,419,419,419,419,419,
419,419,419,419,419,419,419,419,479,366,419,419,419,419,419,419,
419,419,419,419,419,419,419,477,374,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,373,311,155,124,434,311,403,311,403,311,403,
311,403,311,403,311,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,373,311,559,497,434,341,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_39_latin_ext(stb_fontchar font[STB_FONT_arial_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_39_latin_ext_s[i] + stb__arial_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_39_latin_ext_t[i] + stb__arial_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_39_latin_ext_x[i];
            font[i].y0 = stb__arial_39_latin_ext_y[i];
            font[i].x1 = stb__arial_39_latin_ext_x[i] + stb__arial_39_latin_ext_w[i];
            font[i].y1 = stb__arial_39_latin_ext_y[i] + stb__arial_39_latin_ext_h[i];
            font[i].advance_int = (stb__arial_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_39_latin_ext_s[i] + stb__arial_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_39_latin_ext_t[i] + stb__arial_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_39_latin_ext_x[i] + stb__arial_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_39_latin_ext_y[i] + stb__arial_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_39_latin_ext_LINE_SPACING
#endif

