// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT        416
#define STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_41_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_41_latin_ext_LINE_SPACING          27

static unsigned int stb__arial_41_latin_ext_pixels[]={
    0x26666666,0x99999999,0x00099999,0x00bfff60,0x40000000,0x3000aaaa,
    0x3f200001,0x000003ff,0x00000000,0x00000000,0x00000000,0x80660000,
    0x00000098,0x54c40000,0x0aaccdcb,0x00eeb800,0x80aaaa20,0x20000998,
    0x13310eeb,0x554c0000,0x00055541,0x0004ccc0,0x4cccccc0,0x99999999,
    0x88009999,0x00001aaa,0x06662008,0xffffff10,0xffffffff,0x09ffffff,
    0x13ffe600,0x00fa8000,0x4fff9800,0x001fc880,0x05fff880,0x1bffe600,
    0x3ffea000,0x3ffa0002,0x013ffe25,0xdf73ff98,0xffd80001,0x7dc0001f,
    0x7f4002ff,0x001ff883,0xfffffff1,0x4c0000ff,0xfffffffd,0x002dffff,
    0xb8003ff2,0x3f202fff,0x3f20004f,0x009ff90f,0x22ffe400,0x40002fff,
    0x000ffff9,0x3ffffe20,0xffffffff,0x806fffff,0x000ffffd,0xfb837c00,
    0x7ffc407f,0xffffffff,0xffffffff,0xffb0004f,0x7dc0000b,0xfd80001f,
    0x3fff006f,0xdff70000,0xffb80001,0xe980002f,0xf10000ff,0x17ff25ff,
    0x3f3fe600,0x7cc0000f,0x4c0003ff,0xc8000eff,0x1ff621ff,0xfffff880,
    0x80007fff,0xffffffea,0xffffffef,0xffc802ff,0x13ffe000,0x0009ff90,
    0xffc87fe4,0x3f200004,0x017ffc5f,0x3ffff200,0x3fe20003,0xffffffff,
    0xffffffff,0x7f7fe406,0x2a00006f,0x0fff705f,0xeeeeee88,0xeefffeee,
    0x03eeeeee,0x00eff880,0x003fe000,0x03ffe600,0x000fffc0,0x007ffe20,
    0x037fe400,0x06fd8800,0x2bffea00,0x50000eff,0x00003fff,0x8000bffb,
    0x20004fe8,0xffefffe8,0x0000002f,0x7fffec00,0xda9809bd,0x6404ffff,
    0xff7000ff,0x09ff900d,0xc87fe400,0x200004ff,0x7ffc5ffc,0x77fc0002,
    0x220006ff,0xeeeeefff,0xeeeeeeee,0x3fea05ee,0x004ffc8f,0x2e07f900,
    0xb80007ff,0x000007ff,0x00003ff9,0x0004f7c4,0x800bff20,0x40001fff,
    0x00002ffb,0x8000ffec,0x53330aa8,0xfff90005,0xa88003ff,0x2a88988a,
    0x1dff1000,0x33551000,0x2000aa21,0x2fffffd8,0x20554400,0xd10002a8,
    0x80039fff,0x00efffc8,0x3a001ff9,0xffc800ff,0x3ff20004,0x0009ff90,
    0x2604cc40,0x2a000099,0x01ffebff,0x05fff100,0xfff10000,0x00fffe27,
    0x5c07fa00,0xb80007ff,0x000007ff,0x00003bf7,0x0017ffd4,0xf000b320,
    0x880003ff,0x88000009,0xf10005fe,0x007fa83f,0x005fffd0,0xfa83ff10,
    0x3ff90007,0x07fe2000,0x44000ff5,0xf10001aa,0x007fa83f,0x01effe88,
    0x2fff4c00,0x9800ffc8,0xff9001cc,0x7fe40009,0x0009ff90,0x80000000,
    0x5ffb9ffd,0x5fff1000,0x99500000,0x00ccc987,0xb81fe600,0xb80007ff,
    0x800007ff,0x001fccfc,0x05fff500,0x3e000000,0x510001ff,0x01357997,
    0x00000be6,0x2a0ffc40,0x0000007f,0xf507fe20,0x0000000f,0x3ea0ffc4,
    0x00000007,0x3ea0ffc4,0x5ffe8007,0x7ff40000,0x000ffc83,0x09ff9000,
    0xc87fe400,0x000004ff,0x3e200000,0x01fff17f,0x05fff100,0x00000000,
    0x7027dc00,0x70000fff,0x80000fff,0x001722f8,0x017ffd40,0xff500000,
    0x07ffffff,0xfffffb50,0xf987ffff,0x4155506f,0x33302aa8,0x0cc40cc1,
    0x55501333,0x98155441,0x22066099,0x20266619,0x2aa20aaa,0x4c133302,
    0x26619881,0x0d54c009,0x26099980,0x26619881,0x09ff7009,0x22002a88,
    0x7fe41ffe,0xf9000000,0x7e40009f,0x889ff90f,0x0000001a,0x25ffb800,
    0x88003ffd,0x00002fff,0x000d54c0,0x17f554c0,0x000fff70,0x000fff70,
    0x1ea0f980,0x00000000,0x50033fee,0xffffffff,0x7ffec407,0xffffffff,
    0x0ffe8aef,0x7cc5fff0,0x7ffc40ff,0x7fff0002,0x7cc5fff0,0x7ffc40ff,
    0x7fff0002,0x7cc5fff0,0x7ffc40ff,0x7fff0002,0x3ffffaa0,0x22fff0df,
    0xf0002fff,0xdff107ff,0x7ffff4c0,0x987ffe1d,0x87fe45ff,0x5001fff9,
    0x27fe4dff,0x41dfff30,0x9ff90ffc,0x37ffffee,0x03fff302,0x801bfea0,
    0x3fee2ffe,0xfff88006,0xd5000002,0x21bfffff,0x3f6e07ff,0x203fffff,
    0x80007ffb,0x00007ffb,0x001363e8,0x000d4c40,0x09d35d70,0xbfffaa88,
    0xfff300aa,0x97359bff,0xfffffffd,0x317ffc03,0xff881fff,0xfff0002f,
    0x4c5fff07,0x7fc40fff,0xfff0002f,0x4c5fff07,0x7fc40fff,0xfff0002f,
    0xfffff707,0xfff1dfff,0x000bffe2,0x7ec1fffc,0xffff901f,0xff13ffff,
    0x641ffb0f,0x13ffa0ff,0xf91ffec0,0x3ffe609f,0xc87fe40e,0xffffddff,
    0xfd05ffff,0x3ff6009f,0x1fff3003,0x0017ffc4,0x000bffe2,0x3fffee00,
    0xff8effff,0xffffe887,0x80dfffff,0x80007ffb,0x00007ffb,0x01ffefb8,
    0x7fff5400,0x0fff0dff,0x003e63e8,0x2200fffc,0x400dffff,0x02fffffb,
    0xff317ffc,0x2fff881f,0x07fff000,0x7fcc5fff,0x17ffc40f,0x83fff800,
    0x3fe62fff,0x17ffc40f,0x43fff800,0xa9bdfffa,0x17fffffc,0x20005fff,
    0x7fcc3fff,0x7bfffb04,0xff9ffd73,0x647ff50d,0x1ffee0ff,0xc83ffe20,
    0xfff984ff,0x90ffc80e,0x15bfffff,0x707fff93,0xff100fff,0x3ff6001f,
    0x005ffd84,0x0017ffc4,0x37ffea00,0xffffca9b,0x7fff447f,0xffffd9ad,
    0x007ffb86,0x007ffb80,0xffff9800,0x3ff20000,0x8effffff,0x117c07ff,
    0x3ffe001f,0x1ffff401,0x5ffff100,0x4c099980,0x2fff8819,0x07fff000,
    0x19981333,0x002fff88,0x3307fff0,0x88199813,0xf0002fff,0x7ffc47ff,
    0xfffff304,0x000bffe2,0x3f21fffc,0x3fffb80f,0x4ffffe88,0x7fe4bff0,
    0x00bffe20,0xffc8bff7,0x02fffcc4,0x3ff21ff9,0xfff503ff,0x02fff885,
    0x8802ffdc,0xffa81fff,0x3fe2000f,0x999999bf,0x09999999,0x304fff88,
    0xfc8fffff,0x7dffc2ff,0x3ffdc2ff,0x3ffdc000,0x7fe40000,0xfb0003ff,
    0xf9537bff,0xc80fffff,0x2005d89e,0x3ee01fff,0x7e4003ff,0x00006fff,
    0x005fff10,0x000fffe0,0x02fff880,0x007fff00,0x17ffc400,0x23fff800,
    0x7d405ffe,0x5fff17ff,0x0fffe000,0xfff30bff,0x7fffcc07,0x7e4dfd02,
    0x02ffec0f,0xff90bffa,0x02fffcc9,0x7fe43ff2,0x3ffe404f,0x3a02ffec,
    0xff7002ff,0x01fffc0d,0xffffff10,0xffffffff,0xffd0dfff,0x7fffa80b,
    0xf313ffe2,0xf717ffad,0xf70000ff,0xf00000ff,0x000dffdf,0x2609fff3,
    0x4407ffff,0x2001dffd,0x3fe01fff,0x7fdc006f,0x0002fffd,0x02fff880,
    0x007fff00,0x17ffc400,0x03fff800,0x3ffe2000,0x7fff0002,0x7400fffc,
    0x5fff17ff,0x8fffe000,0xffd82ff9,0x1fffd806,0x7fe4ffb0,0x303ffd40,
    0x9ff90fff,0x2017ffe6,0xfff90ffc,0x1fff8801,0xf303ffd4,0x7ff400ff,
    0x01fff204,0xffffff88,0xffffffff,0xfff86fff,0x27ffe801,0x4fb86ff9,
    0xffb89df3,0xffb80007,0x7d400007,0x001ffebf,0x2602ffec,0x31007fff,
    0x03fff000,0x800bffea,0xdffd5ffa,0xff100000,0x3fe0005f,0x2200003f,
    0xf0002fff,0x400007ff,0x0002fff8,0x3fe67fff,0x2fff5006,0x0002fff8,
    0x7fe47fff,0x017ffc40,0xfb03ffe4,0x7c07fe4f,0x9ff902ff,0xff19ff90,
    0x2aa600bf,0x200bff90,0xfff82ffd,0x009ff902,0x9803ffe6,0xf1002fff,
    0xffffffff,0xffffffff,0x006ff98d,0x7fdcfff5,0xb802fe85,0xb80007ff,
    0x400007ff,0x5ffb9ffd,0x07ffe600,0x201fffa0,0x2001aaa8,0xff901fff,
    0x37fcc00d,0x7e43fff7,0x5ffb804f,0x0005fff1,0x7fe4fffe,0x15ffb804,
    0x20005fff,0x9ff93fff,0x22bff700,0xf0002fff,0x17fee7ff,0xf8bffcc0,
    0xff0002ff,0x643fec7f,0xff7006ff,0xf937f40b,0x0bff901f,0x3f207ffe,
    0x03ffffdf,0x013ff200,0x7e427fe4,0x03fff05f,0x201bff20,0xf1005ffe,
    0x200005ff,0xf3005ffb,0x21ffe4ff,0xff7007f8,0xff70000f,0x7c40000f,
    0x01fff17f,0x401bfea0,0xfd507ffa,0x3dffffff,0xf01fff80,0x3e600bff,
    0x3ffe20ef,0x2013ff22,0xfff15ffb,0x3ffe0005,0x7009ff93,0x3ffe2bff,
    0x7fff0002,0x2e013ff2,0x5fff15ff,0x4fffe000,0xf1004ffc,0x0bffe2ff,
    0xb1fffc00,0x09ffd0df,0x4413ff60,0x03ff24ff,0xf503ffe6,0x3fff20df,
    0x001fffff,0x2007ff90,0xff985ffb,0x037fd40f,0xdddffff0,0xfffddddd,
    0xfff1001f,0x3f200005,0xfff1004f,0x3ea17ff4,0x0fff7005,0x0fff7000,
    0x2ffdc000,0x2e007ffb,0xff3005ff,0xffffd88f,0x3fffffff,0x7c07ffe0,
    0xfe8804ff,0x23fff80f,0xfb804ffc,0x05fff15f,0x64fffe00,0xffb804ff,
    0x005fff15,0x7e4fffe0,0x5ffb804f,0x0005fff1,0x7fecfffe,0x2fff1003,
    0x0002fff8,0x2ff47fff,0xe8017ffc,0x7ff502ff,0xfe807fe4,0x81ffec3f,
    0xfedffffc,0xff90006f,0x1bfea005,0x3f61fff4,0xfff5003f,0xffffffff,
    0x009fffff,0x0005fff1,0x400fff60,0x3ffe7ff8,0xb801fec1,0xb80007ff,
    0x200007ff,0x3fee2ffe,0x09ffb006,0xfd1ffe20,0xb53359ff,0x3e01ffff,
    0xfff881ff,0x0fff4403,0x3f24ffe8,0x5ffb804f,0x0005fff1,0x7fe4fffe,
    0x15ffb804,0x20005fff,0x9ff93fff,0x22bff700,0xf0002fff,0x13ff27ff,
    0xf8bffcc0,0xff0002ff,0x2227fc7f,0xff001fff,0x87ff201f,0xff700ffc,
    0x807ffc4d,0xff34fffc,0xff90007f,0x17fee007,0xff137fdc,0x3ff6001f,
    0xffffffff,0x07ffffff,0x002fff88,0x009ff900,0xfff9ffe6,0xb8007fc2,
    0xb80007ff,0x300007ff,0x7fc41fff,0x3ffd802f,0x4cfff100,0x3e602fff,
    0x3fff03ff,0x805fff30,0x3fa01ffd,0x013ff25f,0x7fc57fee,0xfff0002f,
    0x2013ff27,0xfff15ffb,0x3ffe0005,0x7009ff93,0x3ffe2bff,0x7fff0002,
    0x54017fee,0x5fff17ff,0x8fffe000,0x7ffc45ff,0x07ffa800,0xffc8dff1,
    0x21fff100,0x3f205ffa,0x0fffe45f,0x00fff200,0xf881ffe4,0x0bff50ff,
    0x00bffe20,0x402fffa8,0x0002fff8,0x200bff70,0x3ffa7ffa,0xb801be63,
    0xb80007ff,0xb00007ff,0xbffb09ff,0x009ff900,0xffd9ffe6,0x05ffc805,
    0xff303fff,0x17fec05f,0xfc97ffa0,0x5ffb804f,0x0005fff1,0x7fe4fffe,
    0x15ffb804,0x20005fff,0x9ff93fff,0x22bff700,0xf0002fff,0x1ffea7ff,
    0xf8bffdc0,0xff0002ff,0x7437f47f,0xffe801ff,0x41ffe885,0x3f600ffc,
    0x405ffb3f,0x7f444ffc,0x42aa606f,0xfb005ffc,0x9ffec03f,0xf7002ffd,
    0xffd000ff,0x2fff880b,0xfff50000,0xd9ffee00,0x213ee4ff,0x3fee1dee,
    0xffb80007,0xff880007,0x0fffa81f,0x802ffdc0,0x372e7ffa,0x05ffb801,
    0xff103fff,0x0fff207f,0xfc93ffe0,0x5ffb804f,0x0005fff1,0x7fe4fffe,
    0x15ffb804,0x20005fff,0x9ff93fff,0x22bff700,0xf0002fff,0x3ffe27ff,
    0x17fff802,0x20005fff,0x1ff63fff,0xf700fff2,0x9ffb07ff,0x5401ff90,
    0x80fff6ff,0xffa84ffc,0x21ff903f,0x4400fffc,0x3ea00fff,0x400fff6f,
    0xc8004ffe,0x3e201fff,0x100002ff,0xff005fff,0xd37fdcff,0x0fff883f,
    0x0001ffee,0x0001ffee,0xff81bfee,0x3ffd403f,0x007ffb80,0x741bfea0,
    0x9fff03ff,0x1009ff70,0x7fe49fff,0x15ffb804,0x20005fff,0x9ff93fff,
    0x22bff700,0xf0002fff,0x13ff27ff,0x7c57fee0,0xff0002ff,0x077fdc7f,
    0x22ffff70,0xf0002fff,0x07fe47ff,0x5403ffea,0x7e41ffff,0x0ffc80ff,
    0x7fd7ffc0,0x827fe404,0xfc81fffd,0x09fff90f,0xf806ffc8,0x004ffaff,
    0x0003fff3,0x4409fff1,0x00002fff,0xb803bfee,0x3fe27fff,0xfc87f8bf,
    0x03ffdc6f,0x03ffdc00,0x027ff400,0xf880fff9,0xfff802ff,0x3aea6007,
    0xffb06fff,0x7ff45ddf,0x802ffd45,0x3f23fff9,0x5ffb804f,0x0005fff1,
    0x7fe4fffe,0x15ffb804,0x20005fff,0x9ff93fff,0x22bff700,0xf0002fff,
    0x7ffc47ff,0xffffc81e,0x005fff17,0xf98fffe0,0x6fff444f,0x7ffffdc0,
    0x05fffd53,0xf9003ff2,0xc803ffff,0xfff104ff,0x321ff90d,0xf703ffff,
    0xff9005ff,0x32003fff,0x360006ff,0x3fe207ff,0x999999bf,0x99999999,
    0x3bffe209,0x7ffffc81,0x2fe7ffe4,0xf70bffea,0xf70000ff,0xf98000ff,
    0x3fe600ff,0x77fdc02f,0x1fffee00,0x7fffee4c,0x506fffff,0x64bfffff,
    0xdff30fff,0x07ffdc00,0xf7009ff9,0x01fffcbf,0xc9fffc40,0xffb804ff,
    0x000fffe5,0x7e4fffe2,0x5ffb804f,0x2000fffe,0x7cc3fff8,0xffedffff,
    0x3fe7ffef,0xff88003f,0x4c3ffc3f,0xffddffff,0xffffffaf,0x3f201eff,
    0x7ffcc00f,0x4ffc806f,0x90fffea0,0x3fff21ff,0xfdb9bdff,0xff3005ff,
    0x7fc00dff,0x3ea0003f,0xfff102ff,0xffffffff,0xffffffff,0xfffff987,
    0xffefffed,0xcffffe87,0x84ffffb9,0x80007ffb,0x40007ffb,0xfe806ffc,
    0x7ffc405f,0xffffc81e,0x7ffff4c7,0xffddffff,0x3fffaa06,0x26fffe66,
    0xf1000eff,0x4ffc8bff,0x3e5ffb80,0xf88003ff,0x09ff92ff,0x7fcbff70,
    0xff88003f,0x009ff92f,0x7ffcbff7,0xfff88003,0xffffe882,0x6ffabfff,
    0x2000fffe,0x7e42fff8,0xffffa82f,0xfffd1eff,0xc801bfff,0xffe800ff,
    0x4ffc803f,0x90fffec0,0x37ff21ff,0xfffffffd,0x7ff4004f,0xfff5003f,
    0xfff80001,0xfffff106,0xffffffff,0x07ffffff,0xffffffd1,0x10dff57f,
    0xfffffffd,0x3fee0bff,0xffb80007,0x7ffc0007,0xeeeeeeef,0x400ffffe,
    0xedfffff9,0x27ffefff,0xcefffff9,0x0dff709b,0x3ffa0260,0x2000ffee,
    0x7e42fffc,0x5ffc804f,0x20013ffa,0xff91fff9,0x4bff9009,0x98004ffe,
    0x9ff91fff,0x74bff900,0xf98004ff,0xd95101ff,0x3fea37bf,0x0013ffa6,
    0xf107ffe6,0xfd7301ff,0x7fec417b,0x2aa881bd,0xf7001ff9,0xff9001ff,
    0x6fff8809,0x7fe43ff2,0x9dffff74,0xfff70003,0x1bff6001,0x3fff2000,
    0xfffff881,0xffffffff,0x03ffffff,0x37bfd951,0xfc81bfea,0x02efffff,
    0x0001ffee,0xffa80000,0xffffffff,0x04ffffff,0xfffffe88,0x16ffabff,
    0x4015ffff,0x40006ffc,0x01fffff9,0x21bffe60,0xfd804ffc,0x01bff25f,
    0x643fff20,0xffd804ff,0x001bff25,0x7e43fff2,0x5ffd804f,0x2001bff2,
    0x0000fffc,0xffc97fea,0xfffc8006,0x00eff980,0x3fe20000,0x001ff91f,
    0x0000bff5,0x3ff20013,0xa889ff90,0x7fd40000,0x00000005,0x000013f2,
    0x800005fd,0x3f205ffa,0xb800aaac,0x0000004f,0x7fffec00,0xffffffff,
    0x2007ffff,0x51cdfeca,0x3ffe6dff,0x06ffd801,0xfc80f774,0xf5000dff,
    0xff703fff,0x4bfff00b,0x2003fffa,0x3ee6fff8,0x5fff805f,0x800fffea,
    0x3ee6fff8,0x5fff805f,0x800fffea,0x0d46fff8,0x549ff900,0x22003fff,
    0x3ee06fff,0x800000df,0x3f22ffe8,0x2ffd800f,0xefff8000,0x643ff201,
    0x000004ff,0x00005ffb,0x017ec000,0x003fe000,0x7fe40035,0x0007fe04,
    0x40000bf6,0x10006eeb,0x54005fff,0x00002fff,0x3feebff7,0x0dffd006,
    0xfb01fff8,0x4405ffff,0x703ffffd,0x7dc01fff,0x3ffe25ff,0xfff9002f,
    0x007ffdc7,0x7c4bfff7,0xf9002fff,0x7ffdc7ff,0x97ffee00,0x002ffff8,
    0xff87fff9,0x7ffc401f,0x0bfffe22,0x01fffe40,0x000bfff6,0x44fffb80,
    0x7c400ffc,0xdd00006f,0x3f201fff,0x009ff90f,0x0dff1000,0xf8000000,
    0x2200001f,0x1fff807f,0x817ffc40,0xfd0007f9,0x3f200003,0xff70007f,
    0xbffd000f,0xfc8006a0,0x01fff94f,0x406fffc8,0xffc81fff,0xcefffffe,
    0xffffffdc,0x17ffe202,0x22ffffd4,0x01bffffb,0x88dfffd3,0xff505fff,
    0xfffb8bff,0xffd301bf,0x5fff88df,0x8bffff50,0x01bffffb,0xd0dfffd3,
    0xffd80bff,0x7fffdc0f,0xfffd301b,0xfffd100d,0x7540003b,0xffc84fff,
    0x01ffec00,0x13fee000,0xffc87fe4,0xfd800004,0x0000003f,0x00027fc0,
    0xe803ff50,0x7fec05ff,0x00bf700f,0x0000ffe0,0x8003ffe4,0xc8004ffe,
    0xfff81fff,0x97ff4401,0x2e03fffa,0x5407ffff,0x9ffe41fd,0xfffffffa,
    0x00efffff,0xacffffd8,0x5ffcffec,0xffffffd8,0xfffffedd,0xffffd81f,
    0xfcffecac,0xffffd85f,0xfffeddff,0xffd81fff,0xffecacff,0xffd85ffc,
    0xfeddffff,0xb81fffff,0x730bdfff,0x3603fffb,0xddffffff,0x1ffffffe,
    0x3ffff200,0x99819adf,0x1effffda,0xbc81ff90,0x000fffec,0x827fe400,
    0x9ff90ffc,0xd9790000,0x00001fff,0xbffd8000,0x10003b88,0x86a21bff,
    0x30bdfffb,0x403fffb7,0xfb0002fe,0x40014c3f,0x98007feb,0x88001fff,
    0xffe84fff,0x87ffec05,0x9bdfffe8,0xffeffeba,0x7cc7d807,0xfffeb84f,
    0x001dffff,0x3fffffa2,0x5ff8bfff,0xffffff90,0x1dffffff,0x3ffffa20,
    0xff8bffff,0xfffff905,0xdfffffff,0x3fffa201,0xf8bfffff,0xffff905f,
    0xffffffff,0x7ffec01d,0xffffffff,0x7fffe402,0xffffffff,0xfd98000e,
    0xffffffff,0xffffffff,0x07fe402f,0x07fffffe,0x3fb72000,0xff900fff,
    0x0013ff21,0x3fffffe0,0x00000001,0xffffffa8,0x3ff60005,0x7ec3ffef,
    0xffffffff,0x3fe202ff,0xfff50000,0x4000bffd,0xffc8006f,0x3ff60006,
    0xacfffb87,0x7fffb730,0xffffff98,0xfff3ffff,0x5427d403,0x1aaa8805,
    0x7ffe4000,0xbff12eff,0x7fffe4c0,0x002dffff,0x5dfffff9,0xc9817fe2,
    0xffffffff,0xfff9002d,0x3fe25dff,0x3fff2605,0x02dfffff,0xffffff70,
    0x26005dff,0xfffffffc,0x880002df,0xffffffec,0xceffffff,0x40ffc800,
    0x002ffffe,0xfffffd00,0xc87fe407,0xe80004ff,0x0002ffff,0x3f200000,
    0x0002efff,0x3bffffa6,0xfffffb81,0x4c02efff,0x7ec0005f,0x0003efff,
    0xff0009f3,0x7d40007f,0xfffd82ff,0xffffffff,0xffffb104,0x7fe41bff,
    0x000bf104,0x22000000,0x3300001a,0x00013555,0x400006a2,0x009aaa99,
    0x00035100,0x26aaa660,0xb9750000,0x4c000379,0x0009aaa9,0x2ea62000,
    0x00abccdc,0x260775c0,0x00000acc,0x002ab2aa,0x26621dd7,0xcc980000,
    0x0000000a,0x00155000,0x00de4c00,0x0de6e5d4,0x20000200,0x20000bb8,
    0x54001ff9,0x40000fff,0xff706fff,0x5bffffff,0x01553100,0x00001800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0xffd8001e,0xffc80006,0x9975101f,0x00000037,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x65540000,0x00009bcc,0x2b36e600,0xbccba801,
    0x0e674402,0x10099880,0x06660133,0x8002aaa8,0x01accb98,0x40006660,
    0x20009999,0xeb802aaa,0x00199804,0x5b993000,0x00013310,0x35999751,
    0x004ccc00,0x26099980,0x31000099,0x4ccccc13,0x99988009,0x99999999,
    0x26666660,0x99999999,0x26620000,0x98a75c00,0x00099999,0xeec87ddb,
    0xffc80005,0x09fff52f,0xcb80e640,0x980c0001,0x776c001a,0x002f75c4,
    0xfffffc98,0x004fffff,0x7fffe400,0xffd502ff,0x205dffff,0x804ffff8,
    0xff904ffc,0x203ffe09,0x003ffffa,0xffffffd5,0x7cc05dff,0x7e4000ff,
    0xf7001fff,0xf8805fff,0x3ffe602f,0x7e400000,0xffc82fff,0x3ff6a004,
    0x2effffff,0x017ffc40,0xf33fff80,0x3a000dff,0xffff33ff,0x3fb20dff,
    0xffffffff,0xff16ffff,0xffffffff,0x19dfffff,0x04ffc800,0x7fdc7fe6,
    0x3004ffff,0x3fe63fff,0x7c40001f,0x1bffa4ff,0xf30bfb00,0xf910003f,
    0x17fc39df,0x4bffe600,0x8001fff9,0xfffffffc,0x1effffff,0xfffb8000,
    0xfa80ffff,0xffffffff,0xffff882f,0x27fe403f,0xff04ffc8,0xefff981f,
    0x7fe401ff,0xffffffff,0xfff304ff,0x7ffe4001,0xfff3000e,0xfb801fff,
    0x1fff300e,0x7fd40000,0xffc82fff,0xfffe8804,0xffffffff,0xfff100ef,
    0x3ffe0005,0x07ffff33,0x267ffd00,0x46ffffff,0xfffffffa,0xffffffff,
    0xfffff16f,0xffffffff,0x003dffff,0xfd027fe4,0x7ffffdc9,0x3fee004f,
    0x002ffe8e,0x266ffb80,0x54001fff,0xfeb9adff,0xfff90006,0x0fffffff,
    0x23ffea00,0x44003ffe,0xcdeffffd,0xfffedbaa,0x7fc0003f,0x883babef,
    0xb88befff,0xa881fffe,0x7e407ffc,0x09ff904f,0xfe883ffe,0x00fff9bf,
    0x579ffffb,0xbffff975,0x00fff981,0x01dfff90,0x2abffe20,0x7fc00eff,
    0x01fff304,0x6ffec000,0x09ff9009,0xcfffffa8,0xfffca9ab,0xfff880ef,
    0x7fff0002,0x07ffffe6,0x227ffd00,0x26ffcaaa,0xfffffff9,0xfffeeeef,
    0xbfff14ee,0x99999999,0x5fffffdb,0x413ff200,0x3fee0ffb,0x4001aaae,
    0x04ffeffd,0x41fff000,0x90003ffd,0x3fffffff,0x233fa000,0x04ffffeb,
    0x3ffff200,0xffe8004f,0xffb802ff,0xf30001ff,0xff7001ff,0x13ffe20f,
    0x4c03ffd0,0x355301aa,0xfd82aaa0,0x21bff26f,0x200bfffa,0x4c4fffc8,
    0xfc800fff,0x3a000eff,0x17ff65ff,0xf303ff70,0x400001ff,0x7e400fff,
    0x3ffe604f,0x3f2200bf,0x7fc40eff,0xfff0002f,0x3ffffe67,0x1fff4006,
    0xfd16ffa8,0x3fffffff,0x7c41ffd8,0x322002ff,0x53007fff,0x89ff1035,
    0x40005ffb,0x005fffe8,0x445ff500,0x540005ff,0x000ceffd,0xb881dd10,
    0xfe80000c,0xfb8006ff,0x26000dff,0x70004ffe,0x3f600dff,0x1bfee03f,
    0x0005ff90,0x33260000,0x20e6640c,0x36004ffd,0x7ffcc7ff,0x77ffe400,
    0x33326000,0x00733220,0xfff30bff,0x3e200001,0x4ffc806f,0x007fffa0,
    0x443fffc8,0xf0002fff,0x3ffe67ff,0x3a003fff,0xdff503ff,0x3fffffee,
    0x7fec1fff,0x017ffc41,0x00fffe40,0x207fe400,0x80005ffb,0x0000aaa8,
    0x19883310,0x00000000,0x40000000,0x4000aaa8,0x0005fff9,0x0001fff5,
    0x36009ff9,0x33a604ff,0x0ffee00c,0x00000000,0x003ffe00,0x261fff88,
    0x3f200fff,0x00000eff,0x07ff2000,0x0001fff3,0x2017fe60,0xff704ffc,
    0xffd0005f,0x02fff88d,0x267fff00,0x1fffefff,0x207ffd00,0xfff96ffa,
    0x83ffffff,0x7fc41ffd,0xfff0002f,0xff880007,0x005ffb85,0x5e6e54c0,
    0x04ccc002,0x20999800,0x30000999,0x04ccc133,0x20999800,0x30000999,
    0xfffd8133,0x3ffa0000,0x3ffe8004,0x01fff700,0x07ff7000,0x00000000,
    0x00fff980,0xf327ff40,0x3ff201ff,0x000000ef,0x22ffcc00,0x0000fff9,
    0x900bff30,0x3ffe09ff,0xfff50006,0x017ffc45,0xf33fff80,0x0dfff3ff,
    0x540fffa0,0xffffd6ff,0xd83fffff,0x7ffc41ff,0xbffb0002,0x2ffc8000,
    0x8005ffb8,0xffffffe9,0x4400cfff,0xf0002fff,0x3ffe27ff,0x7fff0002,
    0x000bffe2,0xff89fffc,0xfff0002f,0x004fff87,0x4005edc0,0xfffffffc,
    0x3fe207ff,0x5c0001ff,0x3ff203ff,0x209ff904,0xff900fff,0x1fffc409,
    0x98266600,0xffc80fff,0xff3000ef,0x3fea003f,0x983ffe06,0x00000fff,
    0xf900bff3,0x5fff309f,0x20de4000,0x0002fff8,0x3fe67fff,0x04fffb8f,
    0xf503ffe8,0x3ffffedf,0x6c1fffff,0x7ffc41ff,0xbffd0002,0xf89ff900,
    0x5ffb80ff,0x7fffdc00,0xffffffff,0x3ffe203f,0x7fff0002,0x000bffe2,
    0xff89fffc,0xfff0002f,0x00bffe27,0xf51fffc0,0x000005ff,0xfffffd80,
    0x4c05ffff,0x0003ffff,0xfc80ffee,0x09ff904f,0x7e403ffe,0x7ffec04f,
    0xff980000,0x2fffe40f,0x027ff400,0x3203ffd8,0x3ffe63ff,0xff300000,
    0x09ff900b,0x0001fff9,0x05fff100,0x4cfffe00,0xfffb0fff,0x03ffe803,
    0x3ff6dff5,0x1fffffff,0x3e20ffec,0xf88002ff,0xffc804ff,0x5c17fea4,
    0xfd3005ff,0x5359dfff,0x0bffffd9,0x000bffe2,0xff89fffc,0xfff0002f,
    0x00bffe27,0xf89fffc0,0xff0002ff,0x07ffe47f,0x2a000000,0xaafffcaa,
    0xfffe801a,0xfb8000ef,0x13ff203f,0xff827fe4,0x09ff900f,0x1cffffb8,
    0x3ffe6000,0x017fff20,0x403ffdc0,0x2600fff8,0x3ffe66ff,0xff300000,
    0x09ff900b,0x0000fffd,0x00bffe20,0xf99fffc0,0xdfff10ff,0x503ffe80,
    0x3fff2dff,0x41ffffff,0x7fc41ffd,0xffd8002f,0x4ffc802f,0x7dc0bff6,
    0xfff8805f,0x7f5400ef,0xfff885ff,0x7fff0002,0x000bffe2,0xff89fffc,
    0xfff0002f,0x00bffe27,0xfb1fffc0,0x000000ff,0x005ffb80,0x3ffbffa6,
    0x7d4003ff,0x13ff204f,0xff827fe4,0x09ff900f,0xffffff90,0x7cc0037b,
    0xffff90ff,0x3fe20001,0x2ffdc02f,0x4c3ffe20,0x00000fff,0xf9009ff5,
    0x0bfff09f,0x3fe20000,0xfff0002f,0xb83ffe67,0x3fa04fff,0x2dff503f,
    0xfffffff9,0x0ffec1ff,0x800bffe2,0x005fffe9,0x7ffc9ff9,0x00bff701,
    0x4007fff9,0x443fffd8,0xf0002fff,0x3ffe27ff,0x7fff0002,0x000bffe2,
    0xff89fffc,0xfff0002f,0x002fff47,0x3f600000,0xdff7004f,0x3bffff21,
    0x0bff5001,0xfc827fe4,0x01fff04f,0x5c013ff2,0xffffffff,0x7fcc02df,
    0xfffffc8f,0x3ff60005,0x017ff405,0xff997ffc,0xf700000f,0x9ff9009f,
    0x0009fff0,0x0bffe200,0x99fffc00,0x7fec0fff,0x07ffd01f,0xffc9bfea,
    0x41ffffff,0x7fc41ffd,0xccccccdf,0xfffffeec,0x9ff9000f,0x5c03ffe6,
    0x7fcc05ff,0xffd0004f,0x17ffc41f,0x13fff800,0x20005fff,0xfff13fff,
    0x3ffe0005,0x005fff13,0xff8fffe0,0x5555004f,0x15555555,0x017ff400,
    0xfe986fe8,0xf8804fff,0x13ff206f,0xff827fe4,0x09ff900f,0x7fffecc0,
    0x03ffffff,0xfffbfff3,0x0007ffff,0xf981ffea,0x7ffd007f,0x0003ffe6,
    0x400ffec0,0x7fc44ffc,0x1000003f,0x20005fff,0xfff33fff,0x06fff881,
    0x3ea07ffd,0x3fff626f,0x7ec1ffff,0x7fffc41f,0xffffffff,0x00dfffff,
    0x7dd3ff20,0x17fee07f,0x001fffd0,0x893ffe60,0xf0002fff,0x3ffe27ff,
    0x7fff0002,0x000bffe2,0xff89fffc,0xfff0002f,0x8027ffc7,0xfffffffe,
    0x3e001fff,0xff9801ff,0x3ffff204,0x03ffd805,0x3f209ff9,0x01fff04f,
    0x20013ff2,0xffffeca8,0xff985fff,0xfe8cffff,0xff0001ff,0x13ff205f,
    0xf9a7fec0,0x980000ff,0xff9006ff,0x03fff889,0xfff10000,0x3ffe0005,
    0x701fff33,0xffd09fff,0x21bfea07,0x1ffffffb,0x3e20ffec,0xffffffff,
    0x1bdfffff,0x74ffc800,0x7fdc0dff,0x0bffea05,0x4dffb000,0x0002fff8,
    0x3fe27fff,0xfff0002f,0x00bffe27,0xf89fffc0,0xff0002ff,0x02fff47f,
    0xffffffe8,0x3001ffff,0x3ee00fff,0x7ff4c03f,0x7ff4403f,0x827fe41b,
    0xfff04ffc,0x013ff201,0x3ff6a200,0x3e60efff,0x3e64ffff,0xf90006ff,
    0x07ffe0bf,0xf9affe40,0x220000ff,0x9003ffeb,0xbfff09ff,0x3e200000,
    0xff0002ff,0x03ffe67f,0x3a0fffec,0xdff503ff,0x0fff54c0,0xff107ff6,
    0x7555559f,0x0005dfff,0xffca7fe4,0x817fee05,0x80007ffb,0xff11fffb,
    0x3fe0005f,0x05fff13f,0x44fffe00,0xf0002fff,0x3ffe27ff,0x7fff0002,
    0xb802ffec,0xfccccccc,0xff5001ff,0x1bfe600d,0x03fffa20,0x43fffd10,
    0xff904ffc,0x403ffe09,0x00004ffc,0x24ffffa8,0xc84ffff9,0x98004fff,
    0x7fd40fff,0x57fee006,0x0000fff9,0x800bfffe,0xffe84ffc,0x3e000006,
    0xff0002ff,0x03ffe67f,0x3a37ffc4,0xdff503ff,0xd83ffb00,0x7ffc41ff,
    0x27ffec02,0xb4ffc800,0x7fdc09ff,0x01bff205,0x4fffea00,0x0002fff8,
    0x3fe27fff,0xfff0002f,0x00bffe27,0xf89fffc0,0xff0002ff,0x03ffe47f,
    0x0fffc400,0x005ffb80,0x2200fffe,0xf8803fff,0x13ff21ff,0xff827fe4,
    0x09ff900f,0x3f620000,0x13ffe67f,0x002fffe8,0x7ec3ffe8,0x3fee003f,
    0x001fff36,0x0017ffc0,0x3f613ff2,0x0040007f,0x10007fff,0x3fe65fff,
    0x3ffee00f,0x540fffa4,0xffd806ff,0x220ffec1,0xfd802fff,0xfc8003ff,
    0x409ffb4f,0x3fa05ffb,0xf880005f,0x5fff14ff,0x4fffe000,0x0002fff8,
    0x3fe27fff,0xfff0002f,0x00bffe27,0xf51fffc0,0x880005ff,0xfb001fff,
    0x7fe4007f,0x4ffc804f,0x0ffff4c0,0x3f209ff9,0x01fff04f,0x5c413ff2,
    0xff30004c,0x03ffe63f,0x00ffff88,0xf137fdc0,0x7e4001ff,0x01fff35f,
    0x1ffffc00,0x709ff900,0x40003fff,0x7ff43dfc,0xfff88003,0x801fff31,
    0xffd1fffd,0x01bfea07,0xffb07ff6,0x02fff883,0x005fffd0,0xffb4ffc8,
    0x02ffdc0b,0x00009fff,0x7fc57ffe,0xfff0002f,0x00bffe27,0xf89fffc0,
    0xff0002ff,0x0bffe27f,0x21fffc00,0x40005fff,0xd001fff8,0xfd8005ff,
    0x3ea01eff,0x3ffe604f,0x827fe41b,0xfff04ffc,0x413ff201,0x0002fff8,
    0x3fe67ffd,0x7ffdc00f,0x7ffc4006,0x800bff50,0xfff35ffd,0x75c40001,
    0xff9003ff,0x05fff109,0x22fffc00,0x98004ffd,0xfff30fff,0x6fff8801,
    0x3ea07ffd,0x1ffd806f,0x3e20ffec,0xff3002ff,0x7e4003ff,0x40dff94f,
    0xff105ffb,0x3600007f,0x5fff16ff,0x4fffe000,0x0002fff8,0x3fe27fff,
    0xfff0002f,0x00bffe27,0x321fffc0,0x20002fff,0xf001fff8,0xd88003ff,
    0xd80cffff,0x3ff202ff,0x209ff903,0xfff04ffc,0x813ff201,0xf0004ffd,
    0x3ffe63ff,0x4fffd800,0xd9ffec00,0x7f4002ff,0x01fff34f,0x0fff3000,
    0x7413ff20,0xf50006ff,0x6ffc83ff,0x27ffc800,0xb800fff9,0x3ffecfff,
    0xb00dff50,0x1ffd83ff,0x0017ffc4,0x400dfff7,0xfff74ffc,0x882ffdc0,
    0x00002fff,0x3fe2dffb,0xfff0002f,0x00bffe27,0xf89fffc0,0xff0002ff,
    0x0bffe27f,0x21fffc00,0x000ffff8,0x003fff30,0x4000fff1,0x22fffffb,
    0x7fc06ffb,0x413ff206,0xfff04ffc,0x813ff201,0x4000fffb,0x3fe67ffa,
    0xfff8800f,0x3fea002f,0xf000fff6,0x3ffe67ff,0xffb00000,0x09ff9003,
    0x000fffea,0xf50dfff1,0x7c4007ff,0x3ffe66ff,0xffffd000,0x3fea07ff,
    0x41ffd806,0x7fc41ffd,0x7ff4002f,0x9ff9003f,0x5c03ffea,0xfff105ff,
    0x3fa00007,0x05fff15f,0x44fffe00,0xf0002fff,0x3ffe27ff,0x7fff0002,
    0x000bffe2,0x7d41fffc,0x22002fff,0x801ffffc,0x40006ffa,0xddffffd8,
    0x3e600dff,0x13ff205f,0xff827fe4,0x09ff900f,0x017fffc4,0x264ffe98,
    0xf5000fff,0x7c001fff,0x004ffaff,0xf997ffc4,0x700000ff,0xff9007ff,
    0x27ffec09,0x2fffe880,0x005fffd0,0xf98ffff2,0xff1000ff,0x2a07ffff,
    0xffd806ff,0x220ffec1,0x4c002fff,0xc800ffff,0x3fff34ff,0xf817fee0,
    0xf00005ff,0x3ffe29ff,0x7fff0002,0x000bffe2,0xff89fffc,0xfff0002f,
    0x00bffe27,0xc81fffc0,0x0abeffff,0x7fffe544,0xffb800df,0xff700005,
    0x5003dfff,0x7fe409ff,0x209ff904,0xff900fff,0xffffd809,0xffb8809c,
    0x3ffe61ff,0x3fff2000,0x3fff2005,0x7d4001ff,0x2bffe67f,0x99999999,
    0xff501999,0x09ff9009,0x5effffc4,0x9ffff700,0x5ffffdc0,0xdfffd301,
    0x000fff98,0x0fffffee,0x6c037fd4,0x0ffec1ff,0x000bffe2,0x2017fff2,
    0x3ffe4ffc,0x40bff703,0x80006ffe,0x3fe3fff8,0xff88003f,0x00fffe3f,
    0xf8fffe20,0xf88003ff,0x0fffe3ff,0x0fffe200,0xffffffb8,0xfffffdef,
    0x36002eff,0x200003ff,0x01ffffd8,0x3204ffb8,0x9ff904ff,0x6403ffe0,
    0xffd804ff,0xfedeffff,0x4c1fffff,0x74000fff,0xf3003fff,0x7000dfff,
    0x7ffccbff,0xffffffff,0xa80fffff,0xffc804ff,0x7fff4c04,0xffecceff,
    0xfd805fff,0xeedfffff,0x40ffffff,0x4000fff9,0x503ffffe,0xffb00dff,
    0x441ffd83,0xd0002fff,0xfc805fff,0x413ff24f,0x3ee05ffb,0x540000ff,
    0x3ffe1fff,0xfff88003,0x000fffe2,0xff8bffe2,0xff88003f,0x00fffe2f,
    0x00bffe20,0xffffffd3,0x7fffffff,0x05ffd000,0xfff50000,0x3ffb803f,
    0x6413ff20,0x1fff04ff,0x4013ff20,0xfffffffc,0x80efffff,0x4000fff9,
    0x001ffff9,0x0007fffd,0x7fcc7ff9,0xffffffff,0x80ffffff,0xfc805ff9,
    0xffe8804f,0xffffffff,0x3ee003ff,0xffffffff,0xf980efff,0x7c4000ff,
    0xff503fff,0x83ffb00d,0x7fc41ffd,0xff30002f,0x7fe401ff,0x5c17fea4,
    0x3fe205ff,0x7f40004f,0x027ff46f,0xd0fffcc0,0xf30009ff,0x27ff43ff,
    0x0fffcc00,0x30009ffd,0x26003fff,0xfffffffc,0xf0000bde,0x000001ff,
    0x701bffe6,0x7fe407ff,0x209ff904,0xff900fff,0x7f64c009,0xbdefffff,
    0x01fff300,0x1dfff700,0x01fff700,0x4c1ffd00,0xffffffff,0xffffffff,
    0x805ff980,0x26004ffc,0xfffffffc,0xc98000cf,0xfffffffe,0x3ffe602e,
    0xfffb8000,0x00dff503,0xffd83ffb,0x017ffc41,0x0bfff900,0x3fe27fe4,
    0x05ffb80f,0x0007fff4,0x643fffb8,0xfc8006ff,0x1bff20ff,0x83fff200,
    0xc8006ffc,0x3ff20fff,0xfffc8006,0xff988000,0xff100003,0x4008000f,
    0x2e00fff9,0x0ff203ff,0x01fff000,0x40013ff2,0x000affc8,0x00004c00,
    0x0017fea0,0x30017fea,0xbff30001,0x80001300,0x0009bffa,0x2bfea200,
    0x4c400001,0x3fea0000,0x41ffd806,0x10001ffd,0x32000013,0x1ffe44ff,
    0x2602ffdc,0x88005fff,0x7d40efff,0x3e2003ff,0x7ffd46ff,0x3ffe2003,
    0x01fffd46,0xa8dfff10,0x22003fff,0x20006fff,0x00003ff9,0x3000dff5,
    0xffd00ffd,0x01ffdc05,0xf80003fd,0x9ff900ff,0x177ec000,0x7ffc0000,
    0xfd80002e,0xffe8002f,0x3ffe2001,0xbff3001d,0x1dfff880,0x01ffb800,
    0x0df30000,0x3fee0000,0x7d4000cf,0x1ffd806f,0x8000ffec,0x000cfffb,
    0xf113ff20,0x0bff70ff,0x01dfff90,0x07fffea0,0x00bfffe2,0x221fffe4,
    0x9002ffff,0xff887fff,0xff9002ff,0xffff887f,0x7fff9002,0x7ff54000,
    0x7e40002f,0xff88004f,0x3ffe202f,0x80bff201,0x220000ff,0xff900fff,
    0x7ee40007,0x200000ef,0x000fffed,0x001bfe20,0x10017fea,0x200ffffd,
    0x74406ff8,0xc8006fff,0x0000efff,0x0002fd40,0x4fffea80,0x037fd400,
    0x3f60ffec,0xfd50001f,0x6c0009ff,0x3ffc83ff,0xd802ffdc,0x100affff,
    0x409ffff9,0x01bffffb,0x20dfffd3,0x01bffffb,0x20dfffd3,0x01bffffb,
    0x20dfffd3,0x01bffffb,0x00dfffd3,0x01bfe200,0x005fff00,0x403bff60,
    0x7f407ffb,0x07ff101f,0x03ffcc00,0x00005ffd,0x00007ff5,0x0009ff50,
    0x4001ffec,0x20001ffd,0xff003ffb,0x3ff2001f,0x9ff50002,0xffb80000,
    0x74000000,0x3ea000ff,0x1ffd806f,0x0000ffec,0x80007ff4,0xff883ffe,
    0x002ffdc6,0xbdfffff9,0xffffffb9,0xffffb007,0xfffdbbff,0x7ec03fff,
    0xeddfffff,0x01ffffff,0x3ffffff6,0xfffffedd,0x3fff601f,0xffeddfff,
    0x0001ffff,0x400fff30,0xfffc99a9,0xfff30000,0xffb5139d,0xff9310bf,
    0x21efe80f,0x3aa62029,0x7e4cc5ff,0x4c0001ff,0x00003ffd,0x2005ffb8,
    0x0fffecbc,0x02ffcc00,0x00fff200,0x0056ffec,0x4000fff6,0x00005ffb,
    0xa8867fcc,0xff100001,0x5554401f,0xfd806ffc,0x00ffec1f,0x03ffe200,
    0xfffc9980,0x5c5ff901,0x01aaaeff,0x7fffffdc,0x1effffff,0x3ffff200,
    0xffffffff,0xfffc800e,0xffffffff,0xffc800ef,0xffffffff,0xfc800eff,
    0xffffffff,0x0000efff,0x3ffff7aa,0x3fff6003,0x40005fff,0xfffffffb,
    0x7c40dfff,0x5c04ffff,0x04ffefff,0x8bfffff6,0x06fffff9,0xffffdd00,
    0x36e0000d,0x000ffffe,0x07fffffe,0x003ff600,0xffffdb90,0x3ffea001,
    0x3fb762ff,0x36e006ff,0x000ffffd,0xefffe800,0xd10002ff,0x809fffdb,
    0x6ffffff9,0x6c1ffd80,0x744001ff,0x004fffed,0x1bffffe6,0x7fdcdfd0,
    0x5004ffff,0xfffffffd,0x3260005b,0xffffffff,0x7e4c002d,0xdfffffff,
    0x7fe4c002,0x2dffffff,0x7ffe4c00,0x02dfffff,0xffffb800,0x7ffc005f,
    0x0000efff,0xfffffea8,0xfff104ff,0xffb100bf,0x7f405dff,0x7fdc4fff,
    0xf0001eff,0x003dffff,0x3ffff600,0x7ff4003f,0xf88002ff,0xffe8002f,
    0x5c002fff,0x3fe2ffff,0x2002ffff,0x03fffffd,0xffd50000,0x20003bff,
    0x0efffff9,0x7ffffcc0,0x1ffd806f,0x2000ffec,0x0efffff9,0x3fffee00,
    0x8ffcc00e,0x4ffffffb,0x5554c400,0x4cc00001,0x00009aaa,0x09aaa998,
    0xaa998000,0x9800009a,0x0009aaa9,0x2aeea600,0xccaa8000,0xa800000b,
    0x2009bccb,0x4002cce8,0xcb800ab8,0xccc981bc,0x2660000a,0x4000009a,
    0x000aacaa,0x000acc98,0x20009d70,0x0002acaa,0xaa8b72e6,0xaa8002ac,
    0x00000aac,0x0002c980,0x01abba88,0x26666660,0x88198800,0xba880019,
    0xc98001ab,0xd7000acc,0x26666629,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0016e440,
    0x00000000,0x9d504eb8,0x7ffc4000,0x2000000f,0x8001fffe,0x775c5eeb,
    0x3a20000d,0x00000fff,0x001fffe8,0xfffc8000,0xdb100002,0x200001bd,
    0x000fffe8,0x7fffc000,0x55540000,0x6540000a,0x00079302,0x00fffe80,
    0x3fffd000,0x774c0000,0x1000004e,0x00007999,0x267fff70,0x20005fff,
    0x3622eee9,0x3a2002ee,0x99880fff,0xfcdf9800,0x36a00004,0x03fe20be,
    0x03ff5000,0x980009fd,0x00004fff,0x007fff30,0x453ffa20,0x40002fff,
    0x006ffffd,0x7fffe400,0x2000000e,0x0004fff8,0x17ffff60,0xfff98000,
    0x2e000004,0x80002fff,0x0000fffe,0x7f407fdc,0x3f600004,0x0000efff,
    0x0017ffd4,0xffffd100,0xf1000007,0x00000dff,0x7fe4bfff,0x7dc0000f,
    0x0bffb0ff,0x6ffffd80,0xd806ffc8,0x00003e64,0x3bfffff6,0x00006fec,
    0xfd759dfd,0xf700003f,0x000001ff,0x8000bffb,0xffd9fff9,0x7fdc0003,
    0x0005ffce,0xff7fff50,0x6400000b,0x200006ff,0x3ffdeffb,0x3fea0000,
    0xd000000f,0x200009ff,0x0000fffe,0x54d6ffc4,0x00001ffd,0xbff7dff7,
    0x4ffe8000,0x7fec0000,0x0002ffed,0x037ffc40,0x3ffea000,0x005fff10,
    0x2b3ff600,0x2e000eff,0x44ffceff,0x2f806ffc,0x220000fc,0xffffcdff,
    0x300003ff,0x5fffffff,0x7fe40000,0x7cc00003,0xb80000ef,0x005fffff,
    0xe8fffcc0,0x440003ff,0x9ffb2fff,0xff100000,0x2600001f,0xfff89fff,
    0x3ee00002,0xa800004f,0x200005ff,0x0000fffe,0xffffffb8,0xf300003f,
    0x0fffa3ff,0x037fd400,0x3ffee000,0x000fff98,0x1bffe200,0x3ffd0000,
    0x00027fe4,0xffffff10,0x7ffcc003,0x7e47ffd1,0x2a5c806f,0x6fb80007,
    0x0016fe4c,0x3bb6e200,0xd800000c,0x6c00007f,0x200001ff,0x000efffd,
    0x993ffe20,0x20001fff,0x3fe25ffe,0x6400002f,0x100001ff,0x7fd49fff,
    0x3600000f,0x400000ff,0x00000efe,0x0003332e,0x6fffecc0,0xfd100002,
    0x17ffcc9f,0x007ff400,0x5fff3000,0x00077fe4,0x00555500,0x21ffcc00,
    0x800006ff,0x002ffff9,0xf98fffe2,0x0dff91ff,0x07fdff10,0x00131000,
    0x00000000,0x00cc4000,0x00266000,0x02666000,0x03331000,0x20001331,
    0x99881998,0x4c400000,0x26200000,0x00999819,0x004cc000,0x00266000,
    0x00000000,0x44000000,0x09988199,0x00099800,0x40ccc400,0x00000999,
    0x98800000,0x00009981,0x00133100,0x98819988,0x26dff909,0x01750099,
    0x30002666,0x00579b95,0x9b953000,0x99980057,0x13330000,0x80004ccc,
    0x98800999,0x2001accb,0x30000999,0xa9800133,0x0002bcdc,0xbcdca980,
    0x73100002,0x00003599,0x2bcdca98,0x97310000,0x98000359,0x200001aa,
    0x09bcccaa,0x33300000,0x5d440001,0x0001accc,0x3332ea20,0x2200001a,
    0x01acccba,0x6e54c000,0x400002bc,0x1acccba8,0x01331000,0x3fe3bff2,
    0xfff0002f,0xfffd3007,0x19ffffff,0x7ff4c000,0xcfffffff,0x17ffc400,
    0x13fff800,0x20005fff,0x3aa03fff,0xffffffff,0x3ffe202e,0x7fff0002,
    0xffffd300,0x019fffff,0x7fff4c00,0x0cffffff,0xfffea800,0x02efffff,
    0xffffd300,0x019fffff,0xffffd500,0x005dffff,0x7fffff54,0x300fff0d,
    0xfffffff9,0x00009fff,0x8003fff8,0xffffffda,0x20002eff,0xffffffda,
    0x20002eff,0xffffffda,0x20002eff,0xffffffe9,0x0000cfff,0x3fffff6a,
    0x4002efff,0xff906ffc,0x005fff1d,0x700fffe0,0xffffffff,0x007fffff,
    0xffffff70,0x7fffffff,0x017ffc40,0xf13fff80,0x3e0005ff,0xfff903ff,
    0xffffffff,0x3ffe209f,0x7fff0002,0xfffffb80,0xffffffff,0xfffb8003,
    0xffffffff,0x3f2003ff,0xffffffff,0x5c004fff,0xffffffff,0x003fffff,
    0x3ffffff2,0x04ffffff,0xffffffb8,0x07ff8eff,0x7fffffe4,0xefffffff,
    0xfff00001,0x7ff44007,0xffffffff,0x22000eff,0xfffffffe,0x00efffff,
    0x3ffffa20,0xffffffff,0x7fdc000e,0xffffffff,0x44003fff,0xfffffffe,
    0x00efffff,0x320dff90,0x2fff8eff,0x07fff000,0x3bffffa6,0xffeca9ac,
    0xfd3005ff,0x5359dfff,0x0bffffd9,0x000bffe2,0xff89fffc,0xfff0002f,
    0x9ffffb07,0xfff97557,0xfff881bf,0x7fff0002,0x3ffffa60,0xfeca9ace,
    0xd3005fff,0x359dffff,0xbffffd95,0x9ffffb00,0xfff97557,0xfe9801bf,
    0xa9acefff,0x05ffffec,0xbcffffd8,0xffffcbaa,0xbfff500d,0xffff9537,
    0x3ff620ff,0xbaacdeff,0x03ffffed,0x03fff800,0x9fffff50,0xfff95357,
    0xff5001df,0x53579fff,0x01dffff9,0x9fffff50,0xfff95357,0xfd3001df,
    0x5359dfff,0x0bffffd9,0x3ffffea0,0xffca9abc,0xfc800eff,0x1dff906f,
    0x20005fff,0xff883fff,0x75400eff,0x7c405fff,0x5400efff,0xf885fffe,
    0xff0002ff,0x0bffe27f,0x21fffc00,0x200bfffa,0x444fffc8,0xf0002fff,
    0xfff107ff,0xfea801df,0x7fc405ff,0x75400eff,0x3ea05fff,0x32200bff,
    0x3e204fff,0x5400efff,0x2a05fffe,0x2200bfff,0xf884fffc,0xfff304ff,
    0x3fffa0ff,0xfffb802f,0x7fc0001f,0xfff9803f,0x3f2200bf,0x3e600eff,
    0x2200bfff,0x200efffc,0x00bffff9,0x03bfff22,0x0effff88,0x2ffff540,
    0x2ffffe60,0x3fff2200,0x37fe400e,0xff8effc8,0xfff0002f,0x07fff907,
    0x1fffec40,0x007fff90,0x21fffec4,0x0002fff8,0x3fe27fff,0xfff0002f,
    0x004ffd87,0xff11fff6,0x3fe0005f,0x3fffc83f,0x3fff6200,0x0ffff203,
    0x3fffd880,0x4009ffb0,0x3f207ffd,0x362003ff,0xffb03fff,0x3ffec009,
    0x2a02fff4,0xffb87fff,0x3a6000df,0x7c0004ff,0xffe803ff,0x3ff2001f,
    0x3fffa03f,0x3fff2001,0x07fffa03,0x03fffc80,0x800ffff2,0x203fffd8,
    0x2001fffe,0x6403fffc,0xdff906ff,0x0005fff1,0xff30fffe,0x3fa0009f,
    0xfff980ff,0xfffd0004,0x017ffc41,0xf13fff80,0x3e0005ff,0x07ffc3ff,
    0x43fff100,0x0002fff8,0xff987fff,0xffd0004f,0x9fff301f,0x3fffa000,
    0x000fff80,0x2607ffe2,0xd0004fff,0xfff01fff,0x7ffc4001,0x400fffc1,
    0x7fcc7ffe,0xff50005f,0x7fc0001f,0x7ffdc03f,0x6ffe8002,0x005fff70,
    0x2e0dffd0,0xe8002fff,0xfff306ff,0x3ffa0009,0x2fffb80f,0x06ffe800,
    0xfc837fe4,0x02fff8ef,0xe87fff00,0x30000fff,0xffd09fff,0x3e60001f,
    0x3ffe24ff,0x7fff0002,0x000bffe2,0xff31fffc,0xffe8001f,0x00bffe24,
    0x3a1fffc0,0x30000fff,0xffd09fff,0x3e60001f,0x7ffcc4ff,0x27ff4000,
    0x0007fff4,0x4c4fff98,0x74000fff,0x1bfe64ff,0x363ffd40,0x20000fff,
    0x20004ffe,0x7fc03fff,0xff50006f,0x0dfff05f,0x0bffea00,0x4001bffe,
    0xfe82fffa,0xf30000ff,0xdfff09ff,0x3ffea000,0x41bff202,0xfff8effc,
    0x7fff0002,0x0017ffd4,0xf51bff60,0xd80005ff,0x3ffe26ff,0x7fff0002,
    0x000bffe2,0xff11fffc,0x9998007f,0x00bffe20,0xf51fffc0,0xd80005ff,
    0x7ffd46ff,0x7fec0002,0x01fffc46,0xf5026660,0xd80005ff,0x7ffc46ff,
    0x04ccc003,0x2600bff7,0x27ffc7ff,0x02f6e000,0x03fff800,0x000bffe6,
    0xff981bc8,0x2f20002f,0x02fff981,0x2a06f200,0x40002fff,0x7fcc6ffd,
    0x2f20002f,0x837fe401,0xfff8effc,0x7fff0002,0x0003ffdc,0xf70fffdc,
    0xf70000ff,0x3ffe23ff,0x7fff0002,0x000bffe2,0x3f61fffc,0x880000ff,
    0xf0002fff,0x3ffdc7ff,0x7ffdc000,0x001ffee1,0xb07ffee0,0x00001fff,
    0x0001ffee,0xfb07ffee,0x900001ff,0x3e2009ff,0x0bffea7f,0x40000000,
    0x3f203fff,0x000000ff,0x0001fff9,0x03fff200,0x7fdc0000,0xffb80007,
    0x03fff21f,0x3f200000,0x1dff906f,0x20005fff,0x3ff23fff,0xffa80006,
    0x01bff23f,0x4fffea00,0x0002fff8,0x3fe27fff,0xfff0002f,0xcffffb87,
    0x3fe20001,0xfff0002f,0x0037fe47,0x91fffd40,0x50000dff,0xffb87fff,
    0x40001cff,0x80006ffc,0x7dc3fffa,0x0001cfff,0x4400fff6,0x3fff27ff,
    0x00000000,0x7407fff0,0x000007ff,0x0001fffa,0x007ffe80,0x1bff2000,
    0x3ffea000,0x001fffa3,0x37fe4000,0xff8effc8,0xfff0002f,0x002fff47,
    0xd27ffc40,0x10000bff,0x3fe29fff,0xfff0002f,0x00bffe27,0x641fffc0,
    0xbdffffff,0x3ffe2001,0x7fff0002,0x0002fff4,0xfd27ffc4,0xf10000bf,
    0xfff909ff,0x0037bfff,0x0005ffe8,0xc84fff88,0xbdffffff,0x13ff2001,
    0xfb3ffcc0,0x000000ff,0x01fffc00,0x0000bfff,0x002fffc0,0x0bfff000,
    0x7ff40000,0xff880005,0x017ffe4f,0x7fe40000,0xf1dff906,0x3e0005ff,
    0x13ffe3ff,0x2fffc000,0x00009fff,0x7fc57ffe,0xfff0002f,0x00bffe27,
    0xb81fffc0,0xffffffff,0x7fc402df,0xfff0002f,0x0027ffc7,0x3e5fff80,
    0xf00004ff,0x3fee0bff,0xdfffffff,0x04fff802,0x0bfff000,0x3fffffee,
    0x5c02dfff,0xff5005ff,0x002fff4f,0xff000000,0x27ffc07f,0xfff00000,
    0x7c000009,0x000004ff,0x00013ffe,0xfff2fffc,0x20000009,0xff906ffc,
    0x005fff1d,0x7c4fffe0,0xb00003ff,0x3ffe2dff,0xffb00003,0x00bffe2d,
    0xf89fffc0,0xff0002ff,0x7fecc07f,0xffffffff,0x05fff103,0x44fffe00,
    0x00003fff,0x3fe2dffb,0xfb00003f,0x7fecc0df,0xffffffff,0x07fff103,
    0x1bff6000,0xfffffd98,0x503fffff,0x3ee00fff,0x013ffe7f,0x55555554,
    0x0000aaaa,0x3e207fff,0x000003ff,0x0007fff1,0x0fffe200,0x7fc40000,
    0xfb00003f,0x0fffe2df,0x7e400000,0x1dff906f,0x20005fff,0xfff13fff,
    0x3f600005,0x05fff16f,0x5bff6000,0x0002fff8,0x3fe27fff,0xfff0002f,
    0xfd951007,0x0bffffff,0x0005fff1,0x7fc4fffe,0xfb00002f,0x0bffe2df,
    0x37fec000,0x7ff65440,0x885fffff,0x00002fff,0x5100dffb,0xffffffd9,
    0x5fff10bf,0x7cffff00,0xffd004ff,0xffffffff,0x3ffe0003,0x07fff103,
    0x3fe20000,0x1000003f,0x00007fff,0x00bffe20,0x8b7fec00,0x00003fff,
    0x20dff900,0xfff8effc,0x7fff0002,0x000fffe2,0xf8afff40,0xd00003ff,
    0x3ffe2bff,0x7fff0002,0x000bffe2,0x4001fffc,0xfffffda8,0x0bffe20e,
    0x89fffc00,0x00003fff,0x3fe2bffd,0xfd00003f,0xb51000bf,0x41dfffff,
    0x0003fff8,0x000bffd0,0xfffffb51,0x0effb81d,0xe9fffee0,0xffd005ff,
    0xffffffff,0x3ffe0003,0x017ffe03,0x5fff8000,0x3fe00000,0x1000005f,
    0x00007fff,0xfff97ffa,0x90000005,0x3ff20dff,0x002fff8e,0x7fc7fff0,
    0xff00005f,0x02fffc9f,0x14fff800,0x20005fff,0xfff13fff,0x3ffe0005,
    0xffa80003,0x3ffe24ff,0x7fff0002,0x0002fffc,0x3fe4fff8,0xff00005f,
    0xf500009f,0xfff89fff,0xfff00005,0xff500009,0xfff889ff,0xffffc81e,
    0x4017ff67,0xcccccccb,0xf0001fff,0x7ff407ff,0x3a000006,0x000006ff,
    0x0001bffa,0x005fff80,0x749fff00,0x000006ff,0x320dff90,0x07fff6ff,
    0x47fff100,0x80006ffe,0x3fa3fff8,0xf880006f,0x0fffe3ff,0x8fffe200,
    0x88003fff,0x00003fff,0xff8fffb1,0xff88003f,0x01bffa3f,0x8fffe200,
    0x80006ffe,0x0003fff8,0xe8fffb10,0x880006ff,0x00003fff,0xf30fffb1,
    0xffdbffff,0x7e4fffdf,0xf880007f,0xff0001ff,0x3ffec07f,0xfd802000,
    0x0040007f,0x8000fffb,0x01bffa00,0x8fffe200,0x40007ffd,0x0dff9000,
    0x7ffdbff2,0xfff88003,0x003ffee2,0x43fff500,0x0000fffb,0xff0fffd4,
    0xff10007f,0x01fffc5f,0x897ffc40,0xf30004cb,0x1fffc3ff,0x17ffc400,
    0x0001fff7,0x2e1fffa8,0x40000fff,0x9711fffa,0x3fe60009,0x03ffee1f,
    0x3fff5000,0x400132e2,0xe881fff9,0xbfffffff,0x3fea6ffa,0x7c40002f,
    0xff0001ff,0x7ffdc07f,0x37f20001,0x00fffdc3,0xb87bf900,0x20001fff,
    0x7fdc3dfc,0x7d40000f,0x3ffee1ff,0x37f20001,0x41bff203,0x9ffd6ffc,
    0x3fff3000,0x0027ffc4,0xf11bffa0,0xe80009ff,0x27ff46ff,0x0fffcc00,
    0x30009ffd,0x3fe23fff,0xffd0002f,0x0027ff47,0xf10fffcc,0xe80009ff,
    0x7ffc46ff,0x7ff40004,0x00bffe26,0xf11fff40,0xe80009ff,0x3ffe26ff,
    0x7ffd0002,0x37fb2a20,0xf8dff51b,0x440005ff,0x3b2e1fff,0x01fffc01,
    0x0005fff1,0x3e22fffc,0x3e0002ff,0x7ffc45ff,0x3ffe0002,0x027ffc45,
    0x11bffa00,0x40005fff,0x3f205fff,0x2dff906f,0xc8006ffc,0x7ff40fff,
    0xff70000f,0x1fffd07f,0x3ffee000,0x0037fe43,0xf907ffe4,0xff9000df,
    0x027fec1f,0x321fff80,0xfc8006ff,0x7fff40ff,0xfff70000,0x01fffd07,
    0x0fffee00,0x20009ffb,0x7ff41fff,0xff70000f,0x04ffd87f,0x003fff00,
    0x322ffd40,0x20002fff,0x3fa1fff8,0x3ffe202f,0x037ff402,0x81fffa80,
    0x50006ffe,0xffd03fff,0x3fea000d,0x0fffe81f,0x7fff7000,0x000dffd0,
    0xc807ffea,0xdff906ff,0x800fffea,0xf986fff8,0xf88005ff,0xff980eff,
    0xff88005f,0x7ffd40ef,0x3ffe2003,0x01fffd46,0xb8dfff10,0x54000fff,
    0x7ffd47ff,0x3ffe2003,0x05fff986,0x0efff880,0x005fff98,0x40efff88,
    0x4000fffb,0xff987ffa,0xff88005f,0x7ffdc0ef,0x3ffd4000,0xffc8006a,
    0x07fffc44,0x1fff9800,0xf980fff6,0x7fd401ff,0x7fc4003f,0x7fff506f,
    0x6fff8800,0x007fff50,0x306fff88,0x1000bfff,0xf501dfff,0xf88007ff,
    0x7fe406ff,0x3ffe2006,0xfff9002f,0x3bfff207,0xffff5000,0x77ffe403,
    0xffff5000,0x5ffff103,0x0ffff200,0x005ffff1,0xf10ffff2,0x26005fff,
    0x7fc44ffe,0xff9002ff,0x3fff207f,0xfff5000e,0x7ffe403f,0xfff5000e,
    0xffff103f,0x3ffa6005,0x1dfff904,0x3fffea00,0x2ffff881,0x89ffd300,
    0x7c401fff,0xfffa82ff,0x3f22002f,0x3ff21fff,0x01fff206,0x8027ffec,
    0x202fffe8,0x1004fffd,0x6c05fffd,0xd1004fff,0x7e405fff,0xf5000eff,
    0x7ec03fff,0xfd1004ff,0xffc805ff,0x5cbbb706,0x301bffff,0xd80dfffd,
    0x100affff,0x009ffff9,0x015ffffb,0x13ffff22,0x1bffffb8,0x0dfffd30,
    0x06ffffee,0x837fff4c,0x09cffffd,0x1ffffb88,0x1bffffb8,0x0dfffd30,
    0x0affffd8,0x9ffff910,0x5ffffb00,0x3fff2201,0x3fff604f,0xfb8809cf,
    0x3f601fff,0x9100afff,0x6c09ffff,0x809cffff,0x41ffffb8,0x7ec05ffe,
    0xfff900ff,0xa88157df,0x0dfffffc,0x7077ffe6,0x2200bfff,0x00bdffff,
    0x809ffff7,0x0bdffff8,0x09ffff70,0xbdffff88,0x9ffff700,0x5ffffb00,
    0x3fff2201,0x7ffc404f,0xff700bdf,0xff9009ff,0xb1fff20d,0xbbffffff,
    0x3ffffffd,0xfffff900,0xffffb9bd,0x7e4007ff,0xdcdeffff,0x03ffffff,
    0xffffffd8,0xfffffedd,0x3fff601f,0xffeddfff,0x3601ffff,0xdeffffff,
    0x1ffffffe,0x3fffff60,0xffffeddf,0xffc801ff,0xfdcdefff,0x003fffff,
    0x3bfffff2,0xfffffdcd,0xfffd803f,0xffedefff,0xc801ffff,0xcdefffff,
    0x3ffffffd,0xfffffd80,0xffffedef,0xfffb81ff,0xffb730bd,0xfffb803f,
    0xffdeffff,0x02efffff,0xfbdffffb,0x4001dfff,0xefffffe9,0xfffffecc,
    0xfffd3005,0xffd99dff,0x2600bfff,0xcefffffe,0x5fffffec,0x3ffff200,
    0xfffdcdef,0xd3003fff,0x99dfffff,0x0bfffffd,0x641bff20,0xfffc87ff,
    0xffffffff,0x3ee000ef,0xffffffff,0x8001efff,0xfffffffb,0x01efffff,
    0x3fffff20,0xefffffff,0xffffc800,0xffffffff,0xfffc800e,0xffffffff,
    0xffc800ef,0xffffffff,0x2e000eff,0xffffffff,0x001effff,0xffffffb8,
    0x1effffff,0x3ffff200,0xffffffff,0x3fee000e,0xffffffff,0x32001eff,
    0xffffffff,0x200effff,0xfffffffd,0x3002ffff,0xfffffffd,0x07ffffff,
    0xfffffe88,0x8000ffff,0xffffffe8,0x03ffffff,0x7ffff440,0xffffffff,
    0x7ff44003,0xffffffff,0xfb8003ff,0xffffffff,0x4001efff,0xffffffe8,
    0x03ffffff,0x641bff20,0xff9306ff,0x5bffffff,0x7ff54000,0x02dfffff,
    0xfffea800,0x002dffff,0xfffff930,0x8005bfff,0xffffffc9,0x4c002dff,
    0xffffffec,0x26000bde,0xfffffffc,0x2a0002df,0xfffffffe,0xea80002d,
    0xdfffffff,0xfd930002,0x7bdfffff,0x3faa0001,0x2dffffff,0xffd93000,
    0x17bdffff,0xfffff700,0x0005dfff,0xffffff93,0x40017bdf,0xcefffffc,
    0x7e4c0001,0xcfffffff,0x3f260000,0xcfffffff,0x3f260000,0xcfffffff,
    0x7f540000,0x2dffffff,0x7fe4c000,0x0cffffff,0x037fe400,0xaaa99800,
    0x22000009,0x0001aaa9,0x35553100,0xa9980000,0x800009aa,0x009aaa99,
    0xaaa98800,0x53300000,0x00001355,0x00d554c4,0xaa988000,0x4400001a,
    0x0000aaa9,0x0d554c40,0x2a620000,0x2a0000aa,0x001bcdcb,0x03553100,
    0x02aa6000,0x54cc0000,0x8000009a,0x0009aa99,0x9aa99800,0x98800000,
    0x00001aaa,0x01355330,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000bbbaa,0x3ffe0000,0x2000000f,0x0001fffd,0x64000000,
    0x2f75c5ee,0x2aaa0000,0xaaaaaaaa,0xeed88000,0x001f76c2,0x275413ae,
    0x10e65c00,0x00001999,0x7fcc0000,0x0fffe22f,0x221eee98,0x32003eed,
    0x00003fff,0x01fffe40,0x7ffc4000,0x4c00000e,0x00005fff,0x00000000,
    0x200bfff5,0x4003fffd,0x039700cc,0x7ffdc000,0x98000004,0x000fffff,
    0x3fee0000,0x2000001f,0x0003fff9,0x7fffffc0,0x001fffff,0x3e67fff1,
    0x400001ff,0xffffffff,0x70001fff,0x3ff21fff,0x1ffa8006,0xe8004fe8,
    0x3ffe23ff,0x9d910000,0x4003fe83,0xffb0fffb,0x4dff9009,0xd8006ffc,
    0x000007ff,0x0017ffe2,0x0fffe400,0x3fe20000,0x00004fff,0x260bdea8,
    0xd00000ff,0x74001dff,0x7f4006ff,0x000ff984,0xfffff300,0x44000005,
    0x0effcffe,0xff000000,0x8000007f,0x00005ffd,0xfffffff8,0x2001ffff,
    0xffe8fffa,0xff800002,0xffffffff,0x3f20001f,0x00fff9df,0x759dfd00,
    0xd0003ffd,0x7ffc47ff,0xfffa8000,0x0ffccfff,0xadffd800,0x3fa006ff,
    0x00fff9cf,0x03ffe880,0xdff70000,0xf1000001,0x000005ff,0x5ffd9ffb,
    0x7ff40000,0x5fecefff,0xfff30000,0xfff88003,0x33fee003,0x006feb99,
    0xf7ffd100,0x000003ff,0x7fe57ff6,0xb8000005,0x000005ff,0x00077fcc,
    0x66666400,0x00cccccc,0x7ffffe40,0x55000004,0x55555555,0xfe800015,
    0x0001ffff,0x3fffffe6,0xffd0002f,0x007ffc47,0x7f5f7ec0,0x0006ffff,
    0x1fffffd1,0x7fffc400,0x260001ff,0x000007ff,0x00003fff,0x0013fee0,
    0x4dbfee00,0x80001fff,0xfffccff8,0x00002fff,0x20005ffb,0x6c006ff9,
    0x0fffffff,0xbffb0000,0x0003bfea,0x21fff700,0x0003ffe8,0x0077f400,
    0x3ff60000,0x00000001,0xfffb0000,0x0000000b,0x3e200000,0x80003fff,
    0x00ceedb8,0x30266200,0xff100033,0x05ff5c43,0xffff3000,0xfff50003,
    0xf500007f,0xb800007f,0x000002ff,0x00001bfe,0xfb87ffea,0x5c0000ef,
    0x16fe546f,0x4ff98000,0x17fd4000,0x3fffae00,0xf700000c,0x2ffec1ff,
    0x2aaa0000,0x001554c1,0x00266000,0x02660000,0x04ccc000,0x00999800,
    0x00099988,0xdca98000,0x400002bc,0x00001998,0x13330000,0x02666000,
    0x00000330,0x00013310,0x00015554,0x00001310,0x00000988,0x00004cc0,
    0x4c04cc40,0x44000099,0x00000009,0x20000331,0x00000099,0x04ccc000,
    0x00006662,0x2f332aa0,0x10000009,0x33333333,0x33333333,0x99833333,
    0x99999999,0x20009999,0x0002fff8,0x4ccc7fff,0x99999999,0x00000999,
    0xffffffd3,0x30019fff,0x33333333,0x33333333,0x4ccc1333,0x99999999,
    0x09999999,0x000bffe2,0x3331fffc,0x26620001,0x00026660,0x98804cc4,
    0x99800009,0x33300009,0x26620001,0x09998000,0x4cc00000,0x40000009,
    0x20000999,0x99999998,0x99999999,0x13310199,0x02666000,0x02666200,
    0x03333000,0xffffc980,0x04ffffff,0x7ffec000,0xffffffff,0xffffffff,
    0xffff11ff,0xffffffff,0x8019dfff,0x0002fff8,0x3fe27fff,0xffffffff,
    0x0cefffff,0xffff7000,0xffffffff,0x7ffc407f,0xffffffff,0xffffffff,
    0xfffff14f,0xffffffff,0x44dfffff,0xf0002fff,0x3ffe67ff,0x7ffd0006,
    0x001bffe6,0xfc81fff4,0x7cc0006f,0x4c000fff,0xd0006fff,0xf98007ff,
    0x00000fff,0x01ffff30,0x3fe60000,0xfb0000ff,0xffffffff,0xffffffff,
    0x01bff20f,0x03fffe60,0x0dfff500,0x27ffd400,0xfffff900,0xffffffff,
    0xf300003d,0xffffffff,0xffffffff,0x223fffff,0xffffffff,0xffffffff,
    0x3fe201ef,0xfff0002f,0x3ffffe27,0xffffffff,0x001effff,0x3bffffa6,
    0xffeca9ac,0xfff105ff,0xffffffff,0xffffffff,0x3fffe29f,0xffffffff,
    0x26ffffff,0x0002fff8,0x3fe67fff,0xfe8003ff,0x7ffff33f,0x07ffd000,
    0x0001bff2,0x007ffff9,0x03ffff98,0x003ffe80,0x01ffffe4,0xfffc8000,
    0x9000003f,0x0007ffff,0x3ffffff6,0xffffffff,0xff907fff,0xfff9000d,
    0xffb0007f,0xff10007f,0xfb1001df,0x559bdfff,0x7ffffdb7,0xfffc8000,
    0xeefffeee,0xeeeeeeee,0xfff10eee,0x9999999b,0xfffffdb9,0x0bffe205,
    0x89fffc00,0xccccdfff,0xffedcccc,0xf8802fff,0x5400efff,0xe885fffe,
    0xeeeeeeee,0xeeeeefff,0xfff13eee,0xdddddddd,0xbddddddd,0x0017ffc4,
    0xff33fff8,0xe8003fff,0xffff33ff,0xffe8003f,0x00dff903,0x6ffeff80,
    0x7fffcc00,0x7ff4001f,0x7f7fc003,0xf000006f,0x000dffdf,0x3ffbfe00,
    0xddd90006,0xdddddddd,0x0ffffddd,0x2001bff2,0x006ffeff,0x00ffff88,
    0x00fffe40,0x02ffffe8,0x01ffffb8,0x49fff100,0x40007ffb,0x2002fff8,
    0x107fffc8,0x20005fff,0xfff13fff,0x7fe44005,0xfffc807f,0x3ff62003,
    0xffb8003f,0x3ffe2007,0xff100002,0x3fe0005f,0xfffff33f,0x3ffe800d,
    0x0dfffff3,0x903ffe80,0x54000dff,0x01ffebff,0x3ffffe60,0x1fff4006,
    0xfd7ff500,0xa800003f,0x01ffebff,0x5ffd4000,0x00001ffe,0x0ffff200,
    0x20037fe4,0x1ffebffa,0x5fffa800,0x13ffea00,0x06fffdc0,0x09ffd300,
    0x83fff200,0x40007ffb,0x8002fff8,0xf881fffc,0xff0002ff,0x0bffe27f,
    0x07fff200,0x004fff98,0x001fffd0,0x2007ffb8,0x0002fff8,0x005fff10,
    0x7ccfffe0,0x003fffff,0x7fccfffa,0x2003ffff,0xff903ffe,0x7fec000d,
    0x2005ffb9,0x3ffffff9,0x00fffa00,0xffb9ffd8,0x7ec00005,0x005ffb9f,
    0x5cffec00,0x000005ff,0x40bfff70,0x6c006ffc,0x05ffb9ff,0x05fffb00,
    0x00dffd10,0x0017ffe6,0x0007ffd4,0xf713ffe2,0xf88000ff,0xff0002ff,
    0x5fff107f,0x4fffe000,0x0002fff8,0x7f407fff,0xf30000ff,0xfb8009ff,
    0x3fe2007f,0xf100002f,0x3e0005ff,0xdfff33ff,0x3a003fff,0xdfff33ff,
    0x3a003fff,0xdff903ff,0x5ffe2000,0x3000fff8,0x3fffdfff,0x00fffa00,
    0xff8bffc4,0xf100000f,0x03ffe2ff,0xbffc4000,0x0000fff8,0x77ffd400,
    0x01bff200,0xff17ff88,0xff10001f,0xffc801ff,0xfffb001f,0x7ff40001,
    0x7ffe4004,0x003ffdc0,0x00bffe20,0x442ffec0,0xf0002fff,0x3ffe27ff,
    0xbffb0002,0x00bffea0,0x00dffb00,0x2007ffb8,0x0002fff8,0x005fff10,
    0x7ccfffe0,0x06fff9ff,0x3e67ffd0,0x06fff9ff,0x3207ffd0,0xf70006ff,
    0x01ffecbf,0xff9fff98,0x7ffd006f,0xd97fee00,0x700003ff,0x1ffecbff,
    0x5ffb8000,0x0000fff6,0x0ffff980,0x0037fe40,0x7fecbff7,0xfff50003,
    0x1fffcc0b,0x009fff00,0x000bdb80,0x2e13ffe2,0x440007ff,0xd0002fff,
    0xfff10bff,0x3ffe0005,0x005fff13,0x5c17ffa0,0xb80007ff,0x2e001fff,
    0x3e2007ff,0x100002ff,0x20005fff,0xfff33fff,0x009fff71,0x3fe67ffd,
    0x04fffb8f,0xf903ffe8,0x3fa000df,0x01bfee2f,0x7dc7ffcc,0xffe804ff,
    0x45ffd003,0x00006ffb,0x7fdc5ffd,0xffd00006,0x0037fdc5,0xffff8800,
    0x06ffc802,0xfb8bffa0,0x3f60006f,0xffe882ff,0x3ffea006,0x00000002,
    0xf701fff7,0xf88000ff,0xf88002ff,0xfff884ff,0x7fff0002,0x000bffe2,
    0x6413ffe2,0xa80006ff,0x2e003fff,0x3e2007ff,0x100002ff,0x20005fff,
    0xfff33fff,0x007fff61,0x3fe67ffd,0x03fffb0f,0xf903ffe8,0xff3000df,
    0x17ffc41f,0xd87ffcc0,0x7f401fff,0xfff9803f,0x00bffe20,0x41fff300,
    0x0002fff8,0xf107ffcc,0x000005ff,0x2007fffd,0xf3006ffc,0x7ffc41ff,
    0xfff10002,0x0fffc81f,0x03fff200,0x22000000,0xff705fff,0xff88000f,
    0xffd8002f,0x2fff882f,0x27fff000,0x8002fff8,0xfd02fffd,0xf10000bf,
    0x7dc009ff,0x3fe2007f,0xf100002f,0x3e0005ff,0x1fff33ff,0xd01bffe2,
    0x3ffe67ff,0x80dfff10,0xff903ffe,0x9ffb000d,0x300bffb0,0x3fe21fff,
    0x1fff406f,0x6c27fec0,0x6c0005ff,0x5ffd84ff,0x27fec000,0x0002ffec,
    0x017fff20,0xb006ffc8,0xbffb09ff,0x7ffd4000,0x00fffe64,0x000fffb0,
    0x3fee0000,0x0fff701f,0x2fff8800,0x3fffa600,0x05fff105,0x44fffe00,
    0x26002fff,0x3e05fffe,0xf00004ff,0x7dc00bff,0x3fe2007f,0x999999bf,
    0x09999999,0x0017ffc4,0xff33fff8,0x27ffdc1f,0x3e67ffd0,0x3ffee0ff,
    0x40fffa04,0x44006ffc,0xffa81fff,0x7ffcc00f,0x813ffee0,0x7c403ffe,
    0xfffa81ff,0xfff10000,0x01fff503,0x07ffe200,0x0003ffea,0x037ffd40,
    0x201bff20,0xfa81fff8,0x360000ff,0xbffd1fff,0x0bffd000,0x3e000000,
    0x3fee05ff,0xffffffff,0x221fffff,0xccccdfff,0xfffeeccc,0xff100fff,
    0x3fe0005f,0x9bfff13f,0xdd999999,0x01ffffff,0x000fffe2,0x0037fec0,
    0x4400fff7,0xffffffff,0xffffffff,0x17ffc46f,0x33fff800,0xffd81fff,
    0x27ffd01f,0x7ec0fff9,0x7ffd01ff,0x001bff20,0x7fc0dff7,0x7ffcc03f,
    0x80fffec0,0x7dc03ffe,0x0fffe06f,0x037fdc00,0x20007fff,0x3fe06ffb,
    0xf980003f,0x64000fff,0xffb806ff,0x00fffe06,0xbefff880,0xf8000fff,
    0x555004ff,0x55555555,0x1fffb801,0x3ffffee0,0xffffffff,0x3ffe21ff,
    0xffffffff,0x0dffffff,0x00bffe20,0xf89fffc0,0xffffffff,0xffffffff,
    0x3ffe200d,0xffb00002,0x3ffdc00d,0xfffff100,0xffffffff,0xf88dffff,
    0xff0002ff,0x03ffe67f,0x3a0dfff1,0x1fff33ff,0xd06fff88,0x3ff207ff,
    0x27ff4006,0x980fff90,0x7fc40fff,0x07ffd06f,0x3204ffe8,0xfd0007ff,
    0x3ffe409f,0x04ffe800,0x0001fff2,0x003fffd1,0xd00dff90,0x7fe409ff,
    0x7fd40007,0x0002ffff,0x3a009fff,0xffffffff,0x7ff401ff,0x7fffdc05,
    0xffffffff,0x3fe21fff,0xffffffff,0x01bdffff,0x002fff88,0x3e27fff0,
    0xffffffff,0x1bdfffff,0x03fff880,0x0bffd000,0x003ffdc0,0xfffffff1,
    0xffffffff,0xfff88dff,0x7fff0002,0x2e03ffe6,0xffe84fff,0x701fff33,
    0xffd09fff,0x01bff207,0x200fff98,0x2602fff9,0xffb80fff,0x03ffe84f,
    0x9803ffe6,0x4c002fff,0x3e600fff,0x7cc002ff,0x3fe600ff,0x3f60002f,
    0xf90003ff,0xfff980df,0x0bffe600,0xffffb000,0x7ff4000b,0xffffd005,
    0x03ffffff,0x200fffd4,0x40007ffb,0xaaacfff8,0x2efffbaa,0x0bffe200,
    0x89fffc00,0xaaaacfff,0x02efffba,0x002fffc0,0x004fff80,0x8801ffee,
    0x00002fff,0x0005fff1,0x7fccfffe,0x3fffb00f,0xff33ffe8,0x3fff601f,
    0xc81fff41,0x3f2006ff,0x5ffe806f,0x403ffe60,0x7f41fffd,0x1bff203f,
    0x0017ffa0,0xfd00dff9,0xffc800bf,0x05ffe806,0x09fff900,0x037fe400,
    0x3a01bff2,0x440005ff,0x0000ffff,0x5c017ff6,0xfccccccc,0x3ffa01ff,
    0xcccccccf,0x0007ffec,0x2017ffc4,0x2004fffd,0x88003fff,0xfff13fff,
    0x4fffd805,0x01bffa00,0x0fffe200,0x007ffb80,0x000bffe2,0x003fff80,
    0xf33fff88,0x3fe201ff,0x99fff46f,0xff100fff,0x03ffe8df,0x7c00dff9,
    0xeeeeefff,0x0ffffeee,0x201fff30,0x7f46fff8,0x3fffe03f,0xeeeeeeee,
    0x2000ffff,0xeeeeffff,0xffffeeee,0x3fffe000,0xeeeeeeee,0x4000ffff,
    0x0006fffa,0x3e037fe4,0xeeeeefff,0x0ffffeee,0x2ffec000,0x1fff2000,
    0x3ffe2000,0xfffff501,0xffffffff,0x88000fff,0xfd802fff,0xfff003ff,
    0xfff10007,0x00bffe25,0x400ffff6,0x0000fffb,0x000fffd4,0x4400fff7,
    0x00002fff,0x2000fffe,0xff32fff8,0x7ffdc01f,0x7ccfffa4,0x3fee00ff,
    0x40fffa4f,0xf5006ffc,0xffffffff,0x9fffffff,0x803ffe60,0x3fa4fffb,
    0xffff503f,0xffffffff,0x2009ffff,0xfffffffa,0xffffffff,0xfff5004f,
    0xffffffff,0x009fffff,0x007fffcc,0x81bff200,0xfffffffa,0xffffffff,
    0x7ec0004f,0x7d40005f,0x440002ff,0xffd01fff,0xffffffff,0x00ffffff,
    0x02fff880,0x005fffd0,0x30009ffd,0x3fe23fff,0xfffd002f,0x9fff1005,
    0x6ffe8000,0x03ffdc00,0x005fff10,0x027ff400,0x98fffcc0,0x7ec00fff,
    0x27ffd1ff,0x6c00fff9,0x7ffd1fff,0x401bff20,0xfffffffd,0xffffffff,
    0x1fff307f,0xd1fffd80,0x3ff607ff,0xffffffff,0x07ffffff,0xffffffb0,
    0xffffffff,0x3f600fff,0xffffffff,0x7fffffff,0x3fffd100,0xdff90000,
    0x7ffffec0,0xffffffff,0x40007fff,0x80005ffd,0x40005fff,0xfa81fff8,
    0xaaaaabff,0x7ffdaaaa,0x7ffc4000,0xffff3002,0x06ffc803,0x10fffc80,
    0x26005fff,0xe801ffff,0x70000fff,0xb8007fff,0x3e2007ff,0x200002ff,
    0xc8006ffc,0xfff30fff,0x6fff8801,0x3fe67ffd,0x7ffc400f,0x3207ffd6,
    0xff8806ff,0x3fea002f,0x0fff982f,0xeb7ffc40,0xfff883ff,0x3ffea002,
    0x17ffc402,0x05fff500,0x002fff88,0x200bffea,0x0003fffd,0x220dff90,
    0x2a002fff,0x20002fff,0x80005ffd,0x0002fffc,0x3a07ffe2,0x3ee006ff,
    0x7c40007f,0x3ee002ff,0x7fd406ff,0x3fe2003f,0x0bffe26f,0x06fffb80,
    0x005fff98,0x00efff88,0x003ffdc0,0x0005fff1,0x01fffd40,0x4cdfff10,
    0xfb800fff,0x33ffecff,0xf7001fff,0x07ffd9ff,0x2e01bff2,0xfe8007ff,
    0x0fff985f,0xecfffb80,0x7ffb83ff,0x05ffe800,0x4003ffdc,0x7dc05ffe,
    0xffe8007f,0x27ffe405,0xdff90000,0x001ffee0,0x80017ffa,0x80005ffd,
    0x000ffff8,0x983fff30,0x2e002fff,0x440007ff,0x74002fff,0x3e203fff,
    0xf9002fff,0x7ffc47ff,0x7fff4002,0xefffc803,0xffff5000,0xfff70003,
    0x17ffc400,0xfff10000,0x3ff2005f,0x03ffe63f,0x7fffff40,0x01fff33f,
    0x3fffffa0,0x0dff903f,0x0009ffd0,0xf983fff9,0xffd000ff,0xfd07ffff,
    0xff90009f,0x27ff403f,0x0fffe400,0x0009ffd0,0x2a03fff9,0x00006fff,
    0xfe837fe4,0xffc8004f,0xffb0001f,0x3ea0000b,0x22002fff,0x6c1ffffc,
    0x7dc006ff,0x7c40007f,0x7cc002ff,0x3ee00fff,0xd301bfff,0xff88dfff,
    0x7fcc002f,0xffd800ff,0xf9100aff,0x20009fff,0x22007ffb,0x00002fff,
    0x0dffffdc,0x46fffe98,0x1000fff9,0x27ffffff,0x1000fff9,0x07ffffff,
    0xf301bff2,0xf10003ff,0xfff989ff,0xffff1000,0xfff987ff,0xfff88001,
    0x03fff304,0x09fff100,0x0007ffe6,0x2613ffe2,0x0000efff,0x4c37fe40,
    0x88001fff,0xb0004fff,0x40000bff,0xabeffffc,0x7ffe5440,0x3fe60dff,
    0x7fdc003f,0x9999999f,0x10999999,0x90005fff,0xfd80bfff,0xeddfffff,
    0x41ffffff,0x8002fff8,0x9005fffc,0x9bdfffff,0x7ffffffb,0x3ffdc000,
    0x37fff100,0x33333333,0x01333333,0xbffffffb,0xffffffdb,0x00fff983,
    0x3ffffee0,0x001fff33,0x1fffffdc,0x6406ffc8,0x360006ff,0x7ffcc7ff,
    0x3ffee000,0x37fe43ff,0x0fffb000,0x8001bff2,0xff907ffd,0x7fec000d,
    0x57fff447,0x99999999,0x09999999,0xfc86ffc8,0x3f60006f,0xffb0007f,
    0xfb80000b,0xdeffffff,0xefffffff,0x007ffd82,0xffffffb8,0xffffffff,
    0x5fff15ff,0x3fffa000,0x7fffe402,0xffffffff,0x2fff880e,0x5fffd000,
    0x3fffee00,0xffffffff,0x7dc0001e,0x3fe2007f,0xffffffff,0xffffffff,
    0xffff903f,0xffffffff,0x1fff301d,0xffffe800,0x001fff33,0x03ffffe8,
    0xff80dff9,0x3ea0003f,0x3ffe62ff,0x7fff4000,0x01fffc3f,0x05fff500,
    0x40007fff,0xff82fffa,0x3ea0003f,0x3ffe62ff,0xffffffff,0xffffffff,
    0x86ffc83f,0x20003fff,0x8002fffa,0x00005ffd,0xfffffe98,0xffffffff,
    0x07fff303,0xfffff700,0xffffffff,0x3fe2bfff,0xff30002f,0xfc9801ff,
    0xdfffffff,0x0bffe202,0x7fffcc00,0x3ffaa000,0x02dfffff,0x0fff7000,
    0x7ffffc40,0xffffffff,0x03ffffff,0x3fffff26,0x2602dfff,0x44000fff,
    0xff33ffff,0xff88001f,0xdff903ff,0x007ffd40,0x99bffe00,0x44000fff,
    0x3ea3ffff,0x7c0000ff,0x7ffd46ff,0x7ffc0000,0x007ffd46,0x99bffe00,
    0xffffffff,0xffffffff,0xfc83ffff,0x07ffd46f,0x1bffe000,0x017ff600,
    0xffc98000,0xbdefffff,0x03fff200,0x3fffee00,0xffffffff,0xff15ffff,
    0x7e40005f,0x266005ff,0x88009aaa,0x20002fff,0x8005fffc,0x001aaa98,
    0x07ffb800,0x3ffffe20,0xffffffff,0x03ffffff,0x13555330,0x01fff300,
    0x27fff700,0x8000fff9,0xf903fffb,0x37fec0df,0x7ffe4000,0x001fff31,
    0x6c7fff70,0xc80006ff,0x3ff61fff,0xffc80006,0x01bff61f,0x47fff200,
    0xfffffff9,0xffffffff,0xc83fffff,0x37fec6ff,0x7ffe4000,0x2ffec001,
    0x98800000,0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00ffff40,0x59995000,0x02fffd40,
    0x07775400,0x0003ddd1,0x017ffe60,0x6664c000,0x3a000002,0x4c001fff,
    0xdd706fff,0x00deea8b,0x85997000,0x40000ccc,0x4003fffc,0x0007fff9,
    0x6c3eed88,0x3aa003ee,0x3bba60ee,0x012e0001,0x27ffdc00,0x4c403300,
    0x4ccccc40,0x00099999,0x005fffb0,0x01a980a8,0x00bbbaa0,0x88732e00,
    0x00000ccc,0x4000e6d4,0x9990eeec,0x00666443,0xdffff900,0x3fe00001,
    0x77ff406f,0xffb00000,0x0027ff4b,0xfffff880,0xfb800004,0x000003ff,
    0x0007fff5,0x2201fffb,0xfff14ffe,0x7ec00005,0x00fffc4f,0xfffff500,
    0xfffa8003,0xffa80003,0x01dff71f,0x3a5ffd80,0x740003ff,0x7cc0000f,
    0xd002ffff,0x85ff109f,0xfffffffb,0x98004fff,0x32004fff,0xfd0bdfff,
    0x7ffdc007,0xffe80003,0x003ffe63,0xfccfc800,0x7fff4001,0x7cc7fff0,
    0xf50000ff,0x00bff7df,0x01fff700,0x000fffcc,0x75fff100,0x40000dff,
    0x2ffecffd,0x7fdc0000,0xd000003f,0xf30009ff,0xff9803ff,0x003ffd9f,
    0x227fec00,0x10001fff,0x1fff7fff,0x07ffb800,0x1dff9000,0x10003fff,
    0xbff95fff,0xffd91000,0x80019dff,0xfffbfff8,0x22ffb801,0x7dc0ffd8,
    0xffffffff,0xffd8004f,0x3ffea005,0x1fffffff,0x0fffee00,0x8fffa000,
    0x0000fff9,0x02e45f10,0x7c3fffa0,0x3ffe63ff,0xfff98000,0x0009ffb2,
    0x6c02ffe8,0x800002ff,0x0ffffff9,0xdff90000,0x0007ffe6,0x03fffb80,
    0x6ff98000,0x07ffb000,0x3ffffee0,0xfd800005,0x00fffc4f,0xf74ffe80,
    0xffb000df,0x3f600007,0x0002ffff,0x3bffffe6,0x7ffdc000,0x2fffffff,
    0x557ff600,0xfe800eff,0x83ffffff,0xaaaaaaa9,0x44001aaa,0x36000fff,
    0xfffc98df,0x7fdc005f,0xfe80003f,0x03ffe63f,0x507cc000,0xfffe800f,
    0x7cc7fff0,0x744000ff,0x3ffe24ff,0x9ff50002,0x004ff980,0x3ffee000,
    0xf500001f,0x77fe43ff,0x55300000,0xb0000035,0xf10001ff,0xffc800bf,
    0x800000ef,0x0ccc0998,0x46ffd800,0xe8004ffe,0xf100006f,0x00009fff,
    0x001ffff7,0xfeffffa8,0x02ffffef,0x360fffb8,0xfd8805ff,0x0002ffff,
    0x1ffc8000,0x540e6400,0x9988000b,0x98800009,0x000ccc09,0x04d8fa00,
    0x330ccc40,0x00199813,0x98819988,0x55300009,0x00033100,0x03555000,
    0x04cc4000,0x00004ccc,0x26f332aa,0x4cc00000,0x03310000,0x00266600,
    0xb9530000,0x4c000579,0x0ccc4099,0x000cc400,0x00333100,0x004ccc00,
    0x4bbffe20,0x1fffd57e,0x44099980,0x26200199,0x0aaa801a,0x2000aaa2,
    0x00000098,0x4ccccc40,0x99999999,0x26219999,0x4c000099,0xfb800199,
    0x44001ffe,0x13310099,0x80033310,0x40009998,0x04cc4199,0x00000ccc,
    0x00133300,0x00026660,0x4c004ccc,0xfffffffc,0x4c404fff,0x4c000099,
    0x04cc4199,0x99999998,0x00019999,0x3ffffa60,0x00cfffff,0x00004cc4,
    0x33333333,0x33333333,0x33310133,0x33333333,0x83333333,0x99999999,
    0x99999999,0x3ffe4099,0x3fff99fa,0x4ccccccc,0x99999999,0x26200999,
    0x2fff8009,0x2603ffe6,0x99999999,0x99999999,0x04cc4009,0x3fffff60,
    0xffffffff,0x3ea7ffff,0x2a0006ff,0x98004fff,0x4000ffff,0xff906ffc,
    0x03fff50d,0x02ffff40,0xfc8fff70,0x07ffcc4f,0x7cc00000,0xf8000fff,
    0xff0002ff,0xfffc807f,0xffffffff,0xff501eff,0x7d4000df,0x37fe44ff,
    0x7fffffc4,0xefffffff,0x3fee0002,0xffffffff,0x3f203fff,0xff10004f,
    0xffffffff,0xffffffff,0xfffffb0d,0xffffffff,0x7c4fffff,0xffffffff,
    0xffffffff,0x227ff46f,0x12fff47e,0xffffffff,0xffffffff,0x7fe40dff,
    0x22fff806,0x7c40fff9,0xffffffff,0xffffffff,0x37fe406f,0x3fffff60,
    0xffffffff,0x7ec7ffff,0xf88003ff,0xc8000eff,0x4003ffff,0xff906ffc,
    0x05fff10d,0x1ffffe20,0x645ffd80,0x7ffcc4ff,0xc8000000,0x8003ffff,
    0xf0002fff,0x3f6207ff,0xaacdefff,0x3ffffedb,0x007fffb0,0x81dfff10,
    0xff886ffc,0xffffffff,0x03ffffff,0x3ffffa60,0xfeca9ace,0xff905fff,
    0x3fe20009,0xffffffff,0xffffffff,0xfffffd86,0xffffffff,0x3e27ffff,
    0xffffffff,0xffffffff,0x20fffc6f,0x1166d47e,0xffffffff,0xffffffff,
    0x7fe40dff,0x22fff806,0x7c40fff9,0xffffffff,0xffffffff,0x37fe406f,
    0x3bbbbb20,0xeeeeeeee,0x7c47fffe,0x64000fff,0xf0001fff,0x800dffdf,
    0xff906ffc,0x013ffa0d,0x0fffffdc,0x643fff80,0x7ffcc4ff,0xf8000000,
    0x8006ffef,0xf0002fff,0x3ffa07ff,0xffb802ff,0xfff881ff,0x7fe4000f,
    0x86ffc81f,0xeeeefff8,0xfffffeee,0xff8806ff,0x75400eff,0xffc85fff,
    0xfff10004,0xdddddddd,0xbddddddd,0xdddddd90,0xdddddddd,0x7fc4ffff,
    0xeeeeeeef,0xeeeeeeee,0x3a0fffc5,0xdfff1007,0xdddddddd,0x0bdddddd,
    0x4c037fe4,0x40ccc099,0xeeeefff8,0xeeeeeeee,0x7e405eee,0x9000006f,
    0xff507fff,0x7fd400bf,0xff50004f,0x4003ffd7,0xff906ffc,0x01bff20d,
    0x1ffeffec,0x20fffc40,0x7fcc4ffc,0x4000000f,0x1ffebffa,0x017ffc00,
    0xb83fff80,0x2000dfff,0xf504ffe9,0x7d400bff,0xdff904ff,0x003fff10,
    0x0bffff71,0x003fffc8,0x90ffff62,0x220009ff,0x00002fff,0xfff90000,
    0x017ffc47,0x89ffd000,0xfff1007e,0x32000005,0x000006ff,0x000bffe2,
    0x06ffc800,0xfffb8000,0x0bfff605,0x01bffa20,0xfb9ffd80,0x3ff2005f,
    0x20dff906,0xf800fff9,0x806ff9ef,0xffc86ffb,0x007ffcc4,0x3ff60000,
    0x4005ffb9,0xf0002fff,0xfff987ff,0xfff50005,0x0bfff601,0x81bffa20,
    0xff886ffc,0x3fa2001f,0xfff303ff,0x3ffa0009,0x013ff20f,0x017ffc40,
    0x5c000000,0x7fc45fff,0x3200002f,0x01fa0fff,0x0017ffc4,0x06ffc800,
    0x3fe20000,0x2000002f,0x00006ffc,0x0077ffd4,0x801ffff1,0x0001fffc,
    0x3fe2fff1,0xdff9000f,0xf81bff20,0x7fcc02ff,0xd801fff4,0x4ffc84ff,
    0x0007ffcc,0x2fff1000,0x2000fff8,0xf0002fff,0xfffd87ff,0x3ffa0000,
    0x1ffff104,0x01fffc80,0x3e21bff2,0x7c4001ff,0xfffd07ff,0x3fe60001,
    0x013ff24f,0x017ffc40,0x2a000000,0x7c40efff,0x200002ff,0xfd3ffff9,
    0x0bffe200,0x7fe40000,0x22000006,0x00002fff,0x001bff20,0x0ffff980,
    0x05fffa80,0x000fffe6,0x3f65ffb8,0xdff9003f,0xd81bff20,0x7fe404ff,
    0xe805ffb2,0x4ffc82ff,0x0007ffcc,0x4bff7000,0x3e003ffd,0xff0002ff,
    0x04fff87f,0x005edc00,0x4c0bfff5,0x7e403fff,0x1fff886f,0x3fffa800,
    0x0017ffd4,0xfc9bff60,0x00d4c44f,0x0005fff1,0x7fcc0000,0xfff880ff,
    0x7dc00002,0x007fefff,0x0005fff1,0x41bff200,0xfb804ffc,0x05fff15f,
    0x7fe40000,0xff100006,0x7ec005ff,0xffe882ff,0x7ff40006,0x401bfee2,
    0xff906ffc,0x02ffdc0d,0x7fdc3ffa,0x03ffe204,0xff313ff2,0x4000001f,
    0x3fee2ffe,0x0bffe006,0x51fffc00,0x00005fff,0x17ffec00,0x4037ff44,
    0xff886ffc,0xfff0001f,0x007ffb8b,0x91fffb80,0x3ffa69ff,0x7c41dfff,
    0x000002ff,0x5ffff100,0x00bffe20,0x3ffee000,0x00bdffff,0x0005fff1,
    0x41bff200,0xfb804ffc,0x05fff15f,0x7fe40000,0xffd00006,0xff88007f,
    0x7ffe40ff,0x3fe60000,0x0bffe20f,0x641bff20,0x3fe606ff,0x89bfe207,
    0x3fea07ff,0x989ff906,0x00000fff,0x441fff30,0xff002fff,0x3fe0005f,
    0x03fff23f,0xf8800000,0x7fe40fff,0x6ffc800f,0x001fff88,0xfc8dff90,
    0xfa80006f,0x79ff93ff,0xffffffff,0x17ffc41f,0xe8000000,0x3e203fff,
    0x000002ff,0xffffff93,0xfff105ff,0x32000005,0x9ff906ff,0x22bff700,
    0x00002fff,0x001bff20,0x017fff20,0x327ffd40,0x80007fff,0xffd84ffd,
    0x06ffc805,0xff80dff9,0x89ff501f,0xff901ffe,0x313ff207,0x00001fff,
    0x3613ff60,0xfff005ff,0x3ffe0005,0x001fff63,0x3fea0000,0x0fffe64f,
    0x4437fe40,0x50001fff,0x5ffe8fff,0xfff88000,0xffffff94,0xdfffb759,
    0x00bffe21,0x3f200000,0x7fc405ff,0x8000002f,0xfffffffa,0x017ffc44,
    0x6ffc8000,0x7009ff90,0x3ffe2bff,0x32000002,0x540006ff,0x40006fff,
    0xffd1fffd,0xff88000b,0x0fffa81f,0xc837fe40,0x7fec06ff,0xc83ffb03,
    0x3ffd03ff,0xf313ff20,0x000001ff,0xf503fff1,0xfff001ff,0x55555559,
    0xff555555,0x02fff47f,0xfd800000,0x0bffd1ff,0x4437fe40,0x30001fff,
    0x7ffc1fff,0xfff00004,0x13ffff2b,0xf89fffd4,0x99999bff,0x99999999,
    0xfff50000,0x7fff100d,0x33333333,0x00133333,0xfffc9fe8,0x2fffe22f,
    0x99999999,0x40099999,0xff906ffc,0x2bff7009,0x999bfff8,0x99999999,
    0xffc80099,0x3fe60006,0x440000ff,0xfffbefff,0x7fdc0000,0x00fffe06,
    0x3f20dff9,0x2ffdc06f,0xffa87ff8,0x207ff885,0x7fcc4ffc,0xb800000f,
    0x3ffe06ff,0xfffff803,0xffffffff,0x3fffffff,0x54013ffe,0xaaaaaaaa,
    0xff8800aa,0x00fffbef,0x221bff20,0x10001fff,0x3fe25fff,0xfb00003f,
    0x17fff2df,0x3e2bffb0,0xffffffff,0xffffffff,0xfff98006,0xfff8800f,
    0xffffffff,0x06ffffff,0xffd13f40,0x3fffe21f,0xffffffff,0x406fffff,
    0xff906ffc,0x2bff7009,0xfffffff8,0xffffffff,0xffc806ff,0xffd10006,
    0x2a00003f,0x02ffffff,0x04ffe800,0xf901fff2,0x1bff20df,0xf30fff10,
    0x0fff10bf,0x7e40bff5,0x07ffcc4f,0x7ff40000,0x01fff204,0x3ffffffe,
    0xffffffff,0x3e3fffff,0xffd004ff,0xffffffff,0x3ffea003,0x64002fff,
    0xfff886ff,0x3ffe0001,0x005fff13,0x65bff600,0x7dc00fff,0xfffff16f,
    0xffffffff,0x800dffff,0x001fffe8,0xfffffff1,0xffffffff,0x7e800dff,
    0xf897ffd4,0xffffffff,0xffffffff,0x837fe406,0xfb804ffc,0xfffff15f,
    0xffffffff,0x900dffff,0x36000dff,0x00003fff,0x02ffffec,0x07ffcc00,
    0x405fff30,0xff906ffc,0x81ffd00d,0xffd03ffb,0x203ffc85,0x7fcc4ffc,
    0x4c00000f,0x3e600fff,0x7ffc02ff,0xcccccccd,0xffcccccc,0x017ffa3f,
    0x7ffffff4,0x2001ffff,0x005ffffd,0xf886ffc8,0xf10001ff,0x3ffe27ff,
    0xffd00003,0x201fff2b,0xfff16ffa,0xffffffff,0x0dffffff,0x03fffd80,
    0x3ffffe20,0xffffffff,0x4006ffff,0x13fff87e,0xffffffff,0xffffffff,
    0x6ffc80df,0x7009ff90,0x3ffe2bff,0xffffffff,0x06ffffff,0x8006ffc8,
    0x0004fffc,0x0ffff880,0x6ffc8000,0x205ffe80,0xff906ffc,0x85ff900d,
    0xff700ffe,0x200ffe89,0x7fcc4ffc,0x6400000f,0xffe806ff,0x017ffc05,
    0x363fff80,0x997005ff,0xfff99999,0x7ffc4003,0xffc8000f,0x01fff886,
    0x45fff300,0x00005fff,0x3ff29fff,0x16ff9806,0x00005fff,0x09fff900,
    0x02fff880,0x07b73000,0x29ffb0fd,0x0002fff8,0x20dff900,0xfb804ffc,
    0x05fff15f,0x7fe40000,0x7ffd4006,0x36000006,0xf00005ff,0xdddddfff,
    0x1ffffddd,0x641bff20,0xffa806ff,0x981bfe24,0x1bfe25ff,0xf989ff90,
    0x400000ff,0xeeeeffff,0xffffeeee,0x00bffe00,0xf91fffc0,0xf10000ff,
    0xfd8003ff,0xff90005f,0x03fff10d,0x87ffea00,0x80006ffe,0xff93fff8,
    0x2dff3009,0x0002fff8,0x37ffd400,0x17ffc400,0x6ffb8000,0x3ffd87e8,
    0x0005fff1,0x41bff200,0xfb804ffc,0x05fff15f,0x7fe40000,0x3ffe6006,
    0x2000000f,0x80005ffd,0xfffffffa,0xffffffff,0x0dff904f,0x2201bff2,
    0x13fea6ff,0x7fd4fff0,0x227fe404,0x0000fff9,0x3ffffea0,0xffffffff,
    0x3fe04fff,0xfff0002f,0x017ffd47,0x07ffe200,0x00bffb00,0x221bff20,
    0x90001fff,0xfffb8fff,0x7fd40000,0x009ff91f,0x3fe2dff3,0x2000002f,
    0x000ffff9,0x002fff88,0x81fff100,0x12fff87e,0x00005fff,0x641bff20,
    0xffb804ff,0x005fff15,0x37fe4000,0x1fffe880,0x7ec00000,0xfd80005f,
    0xffffffff,0x7fffffff,0x320dff90,0xffd006ff,0xb00bff21,0x0bff23ff,
    0xf989ff90,0x200000ff,0xfffffffd,0xffffffff,0x0bffe07f,0x21fffc00,
    0x40005fff,0x4001fff8,0x90005ffd,0xfff10dff,0x3ff60003,0x027ffc47,
    0xc9bffa00,0xff9804ff,0x005fff16,0x3ffa2000,0xff10001f,0x7400005f,
    0x2e3f44ff,0xfff10fff,0x32000005,0x9ff906ff,0x22bff900,0x00002fff,
    0x401bff20,0x0003fffd,0x05ffd800,0x17ffc400,0x05fff500,0x3f20dff9,
    0x5ff9006f,0x3ee01ffe,0x801ffd3f,0x7fcc4ffc,0xf100000f,0x7d4005ff,
    0x5fff02ff,0x0fffe000,0x0005fff9,0x000fffc4,0x40017ff6,0xff886ffc,
    0xff88001f,0x0fffe84f,0x7fff7000,0x4c027fe4,0x5fff16ff,0x3f600000,
    0x220003ff,0x00002fff,0x7e8ffff2,0xf893ffee,0x000002ff,0x3f20dff9,
    0x5ffd804f,0x0005fff1,0x037fe400,0x0027ffe4,0x5ffd8000,0x3ffdc000,
    0x42fff400,0xff906ffc,0x2ffea00d,0xf8805ff9,0x900dff4f,0xfff989ff,
    0xff700000,0xbffd000f,0x000bffe0,0x3e21fffc,0x30000fff,0xd8003fff,
    0xf90005ff,0x3fff10df,0x1fffb000,0x00bfff30,0x41dfff10,0xf9804ffc,
    0x05fff16f,0xfff90000,0xff880009,0x2200002f,0xfeadfffd,0x446fffea,
    0x00002fff,0x2e0dff90,0xfff805ff,0x005fff15,0x37fe4000,0x01bffea0,
    0xffd80000,0x7ff40005,0xfffc8004,0xc837fe41,0xff1006ff,0x2007ff7b,
    0x03ff9efe,0x7cc4ffc8,0xd00000ff,0xf90009ff,0x5fff03ff,0x0fffe000,
    0x00bfffea,0x1ffffc88,0x02ffec00,0x886ffc80,0x54001fff,0x3f205fff,
    0xf5000eff,0xffc83fff,0x16ff9804,0x00005fff,0x006fffa8,0x02fff880,
    0xfffd8000,0xefffffff,0x017ffc40,0x6ffc8000,0x401fff70,0xff15fffb,
    0x4000005f,0x3e606ffc,0x00000eff,0x017ff600,0x01fff980,0x44fff880,
    0xff906ffc,0x6fff400d,0xff9001ff,0xf9003ff9,0x0fff989f,0xfff98000,
    0xfff88001,0x002fff84,0x3207fff0,0x0abeffff,0x7fffe544,0x7ec000df,
    0xff90005f,0x03fff10d,0x0ffffdc0,0x2bffff60,0xffff9100,0x009ff909,
    0x3fe2dff3,0x2600002f,0x0000efff,0x002fff88,0xfffd7000,0x2209ffff,
    0x00002fff,0x220dff90,0xff505fff,0x3ffe2bff,0x32000002,0xffd106ff,
    0x3333335f,0x33333333,0xffd80013,0x3ff20005,0x3ff60006,0xc837fe47,
    0x3ee006ff,0x2a007fff,0x9007ffff,0xfff989ff,0x9999999a,0xfc819999,
    0x3f60006f,0x02fff87f,0x407fff00,0xfffffffb,0xffffffde,0xfb0002ef,
    0x3f2000bf,0xbfff886f,0xa9999999,0x02ffffeb,0xdfffff90,0xfffffb9b,
    0x13ff207f,0x7c5bfe60,0x99999bff,0x99999999,0xfffd1099,0x33333335,
    0x33333333,0x26fffe21,0x99999999,0x00999999,0x00dffd44,0x266fffe2,
    0x99999999,0x90099999,0x7fec0dff,0xffecacff,0xfff15ffc,0x33333337,
    0x33333333,0x837fe401,0xfffffff9,0xffffffff,0x003fffff,0x0002ffec,
    0x40007fff,0x3f22fffa,0x0dff906f,0x27fffcc0,0xbffff100,0x313ff200,
    0xffffffff,0xffffffff,0x003fff81,0xf0bffea0,0x3e0005ff,0x7f4c03ff,
    0xffffffff,0x0003ffff,0x8002ffec,0xff886ffc,0xffffffff,0x2fffffff,
    0x7fffdc00,0xffffffff,0x13ff201e,0x7c5bfe60,0xffffffff,0xffffffff,
    0xffff33ff,0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,0x03ffffff,
    0x3e200fd0,0xffffffff,0xffffffff,0xdff903ff,0x7ffff440,0xff8bffff,
    0xffffff15,0xffffffff,0x407fffff,0xff306ffc,0xffffffff,0xffffffff,
    0xfd8007ff,0xff50005f,0xff80001f,0x41bff26f,0x7c006ffc,0x74002fff,
    0xf9003fff,0xffff989f,0xffffffff,0x3ea0ffff,0x7c0000ff,0x17ffc6ff,
    0x03fff800,0xfffff930,0x0017bdff,0x00bffb00,0x221bff20,0xffffffff,
    0xdfffffff,0x3faa0001,0x2dffffff,0x804ffc80,0xfff16ff9,0xffffffff,
    0xffffffff,0x3ffffe67,0xffffffff,0x3fffffff,0xfffffff1,0xffffffff,
    0x2007ffff,0xfff1007e,0xffffffff,0xffffffff,0x01bff207,0x3bfffff2,
    0x3e2bff12,0xffffffff,0xffffffff,0x3ff203ff,0xfffff306,0xffffffff,
    0x7fffffff,0x05ffd800,0x00dffb00,0x23fff900,0xff906ffc,0xfffd800d,
    0x7ffdc000,0x89ff9000,0xfffffff9,0xffffffff,0x01bff60f,0x87fff200,
    0xf0002fff,0x310007ff,0x00000355,0x40017ff6,0xff886ffc,0xffffffff,
    0x0000bcee,0x06aaa620,0x009ff900,0x3fe2dff3,0xffffffff,0xffffffff,
    0xfffff33f,0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,0x003fffff,
    0x3fe200db,0xffffffff,0xffffffff,0x0dff903f,0x8800d440,0xffffffff,
    0xffffffff,0x3f203fff,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66644000,0x000f32a0,0x6544cc98,
    0x76c0002c,0x2620005e,0x99999999,0x99993009,0x05999999,0xffffff90,
    0x0009ffff,0x33732a60,0x0000002a,0xa8800000,0x654002aa,0x276c0002,
    0x00000000,0x1acb9800,0x0276c000,0x40005950,0x98802eea,0x00013100,
    0x2af332a6,0x35300000,0x0bd90000,0x2a007ba6,0x55530aaa,0x33100003,
    0x26026621,0xd8002ccb,0x1510003e,0x0fff9800,0x8001bfee,0x7fec7ffa,
    0x7ffc0004,0x3ff20007,0xffffffff,0xfffff704,0x009fffff,0xfffffff9,
    0x80009fff,0xffffffea,0x0000bfff,0x57997510,0x00be6013,0x005fff70,
    0x0001ffe4,0xb8003ff9,0x70000cff,0x2e0019ff,0x05ffffff,0x003ff900,
    0x4000fff2,0xf9005ff8,0x0013fa0b,0xffffffd7,0x10003bff,0x7bfffffb,
    0x41bfa000,0x7c400ffb,0x3fffa5ff,0xffb80000,0xfc89ff95,0x000effff,
    0xfc801ff7,0x5dfffd1f,0x83ffe600,0x20006ffb,0x7fec7ffa,0x7ffc0004,
    0x3ff20007,0xffffffff,0xfffff704,0x009fffff,0xddddddd7,0x20007ddd,
    0xffffffe9,0x2fffffff,0x3ff6a000,0x3fffffff,0x20037fcc,0x91004fff,
    0x20007fff,0x5c003ff9,0x8004e9ae,0x804e9aeb,0xfebbeff9,0x7fd4002f,
    0xfffc8803,0x1ffb0003,0x42ffea00,0x3001ffb8,0xffffffff,0x00bfffff,
    0x7fffffdc,0x44005fff,0x0ffb04ff,0x261dff90,0x00001fff,0x3ff2bff7,
    0x3b7ffee4,0xff8807ff,0xc9ffc804,0x002fffff,0x7dc1fff3,0x3ea0006f,
    0x027fec7f,0x01fffe00,0xccccca80,0x002ccccc,0x00000000,0xfffff500,
    0xff95359b,0x88009fff,0xfffffffd,0x8aefffff,0x2e000ffe,0xff9006ff,
    0x10007fff,0x5d000bff,0x3a0007cc,0xfb003e63,0x005ff88d,0x32017fe2,
    0x003fffff,0x4002ffb8,0xfffefffd,0xffff3004,0xfd97579f,0xa801dfff,
    0xebadffff,0x3000dfff,0x17fe05ff,0xfd87ffe0,0x2e00003f,0x29ff95ff,
    0x3ee0eff8,0x07fdc03f,0x7feffe40,0x4c007fff,0x004cc419,0x88333100,
    0x4c000099,0x00000199,0x04cc4000,0x04ccc000,0x3ffe6000,0x7fd400df,
    0xff3004ff,0x7359bfff,0xffffffd9,0xffe8003f,0x9cff8800,0xfd8003ff,
    0x22f8000f,0x17c000f8,0x811001f1,0x36004ff8,0x7fc400ff,0x4003ff9c,
    0x90004ff9,0x009fffff,0x033fffe2,0x0efffd88,0x01bfff10,0x2009fff3,
    0xff881ffb,0x31ffdc04,0x80000bff,0x4fe25ffb,0x7fe82ffb,0x4013fe20,
    0x30bffffc,0x4ccc0005,0x33330000,0x33333333,0x81333333,0x99999999,
    0x99999999,0x4cccc099,0x99999999,0x00999999,0x0001bff2,0x001ffff3,
    0x0bfffa20,0x1fffe880,0x6ffffc40,0x7fffdc00,0x664c002f,0x7c191001,
    0x7fd4003f,0x13d90002,0x3d9000bb,0x71000bb1,0x2e003ffd,0x0c8802ff,
    0xfd000ffe,0xa988000d,0x3ff20009,0x3fea003f,0x1dff704f,0x8037fe40,
    0x5ff507fc,0x6543cb80,0x5c00000c,0x647ea5ff,0x0ffc80ff,0x2001ff90,
    0x0004fffc,0x03fffe60,0xfffff100,0xffffffff,0x44dfffff,0xffffffff,
    0xffffffff,0x3ffe26ff,0xffffffff,0x6fffffff,0x001bff20,0x07ffff90,
    0x0bfff200,0x1bffe200,0x007fffd0,0x017fffc4,0xff800000,0x13fe2003,
    0xdffd8800,0xffd88001,0xffd8001d,0x9ff1000e,0x01ffc000,0x0003ff90,
    0x3fe20000,0xffc8004f,0x03ffe81f,0x4007ffcc,0x1ff706fe,0x00000000,
    0x7ecbff70,0x3ee0ffb0,0x04ff881f,0x003fff20,0xffffc800,0x7ffc4003,
    0xffffffff,0x6fffffff,0x3fffffe2,0xffffffff,0x3e26ffff,0xffffffff,
    0xffffffff,0x1bff206f,0xffdff000,0xfff1000d,0x7fdc000d,0x7fff702f,
    0xffffc800,0x4d544006,0x3e00f4c0,0x1bfa003f,0x000c4000,0xb0000c40,
    0xd003dffd,0xff8000df,0x07ff3003,0x03551000,0x00fffe40,0x42fffc40,
    0xff801edc,0x27fc402f,0x4c007fd8,0x980001aa,0xcaffdc0a,0x5c1ffa2f,
    0x0ffc82ff,0x01fff200,0xffdff000,0xfff8800d,0xeeeeeeee,0x5eeeeeee,
    0x3bbbffe2,0xeeeeeeee,0x3e25eeee,0xeeeeeeff,0xeeeeeeee,0x1bff205e,
    0xebffa800,0x7dc001ff,0x7c0001ff,0xdfff05ff,0xfdffb800,0x7e4402ff,
    0x8adfffff,0x1ffc04ff,0x001ffb80,0x22000000,0x20001aaa,0x7e407fd8,
    0x7fc0001f,0x05fe8803,0x3fff2200,0x9801efff,0x3ee0004b,0x220000ff,
    0x3ff20fff,0xffffffff,0xffffffff,0xffffb107,0x54003dff,0x74fffffc,
    0xfb066bff,0x107ff20f,0xfc8007ff,0x2a00006f,0x01ffebff,0x00bffe20,
    0x17ffc400,0xfff88000,0xf9000002,0x7ec000df,0x005ffb9f,0x0002ffec,
    0x2a07ffec,0x2a002fff,0x0dffd5ff,0x7fffffd4,0x06ffffff,0xf9803ff8,
    0x7fe4003f,0x05ffb804,0xffffffd5,0xf50003df,0x0ffe605f,0x00ffe000,
    0x40003ff6,0xffffffe9,0x00003fff,0x02fff980,0x91bfee00,0xffffffff,
    0xffffffff,0xfff70fff,0x9fffffff,0xfffffb00,0xbff7bfff,0x6c07fe40,
    0x00ffc87f,0x002ffe40,0xf73ffb00,0x7fc400bf,0xf100002f,0x200005ff,
    0x0002fff8,0x00dff900,0x7c5ffe20,0x3fe000ff,0xfb80004f,0x37fe42ff,
    0x5cdff300,0xffa81fff,0xffd9acff,0xff801fff,0x037f4403,0x4027fe40,
    0x7ec45ffb,0xffffffff,0x1f6c43ff,0x7441ffe4,0xff00006f,0x02ffa807,
    0x7ffff500,0x9fffb735,0xff000000,0x3ea0009f,0x666543ff,0xccccffec,
    0x4ccdffdc,0x55f7ffd4,0x05fffeb9,0x26f7fff6,0x5fffffda,0xf113fe60,
    0x03ff88bf,0x004ffc80,0x22fff100,0xf1000fff,0x200005ff,0x0002fff8,
    0x005fff10,0x1bff2000,0xb2ffdc00,0x3e2007ff,0xa80003ff,0x7ffc3fff,
    0x1dff3005,0x2217ffc4,0xc880efff,0xff804fff,0x007fec03,0x4027fe40,
    0x7ff45ffb,0xfda99acf,0x7fec0fff,0x1fffb88a,0x0000ffd8,0x7c407ff0,
    0x3fa0005f,0xfff700df,0x99999983,0x99999999,0xfe999999,0xfb71005f,
    0x3a005fff,0x01ff905f,0x4037ffe2,0xf982fffc,0xfff504ff,0xdffd80bf,
    0x641fffb9,0xff90007f,0x3ee00009,0x00fff65f,0x0017ffc4,0x02fff880,
    0x5fff1000,0x3f200000,0xffd0006f,0x8037fdc5,0x0002fff9,0x7c4fff88,
    0xfe8804ff,0x43fff80f,0x3e207ffc,0x7c00ffff,0x0bfea03f,0x027fe400,
    0xff32ffdc,0x7ffcc05f,0x7ffffc43,0xffa83fff,0x3fe00002,0x003bfa03,
    0x0077fdc0,0xff99bfee,0xffffffff,0xffffffff,0x006fffff,0x03fffffd,
    0x6c13fe20,0x1bff607f,0xb03fff20,0xffb80bff,0x7ff4c05f,0x7cc3ffff,
    0xff90003f,0x3fa00009,0x01bfee2f,0x0017ffc4,0x02fff880,0x5fff1000,
    0x3f200000,0xff98006f,0x0bffe20f,0x007ffea0,0x127ffc00,0xe8807fff,
    0x9ffd01ff,0xd01fffc4,0x809ffdbf,0xbff102ee,0x27fe4000,0xfb2ffdc0,
    0xbff900bf,0xdffffb30,0x00bff105,0x702ee800,0x7c0003ff,0xfff002ff,
    0x3ffffe63,0xffffffff,0xffffffff,0xfff007ff,0x3009ffff,0x17fe05ff,
    0x4017ffc4,0x7fc3fff8,0x5fff801f,0xdfffc880,0x0007fd81,0x00013ff2,
    0xf883ffe6,0xff8802ff,0xf100002f,0x200005ff,0x0002fff8,0x00dff900,
    0xfb09ffb0,0xfff500bf,0x3fe00003,0x0bffe64f,0x7403ffb0,0x1ffe65ff,
    0xffc8efc8,0x77ec0005,0x20ffd400,0xfb804ffc,0x00772e5f,0x11017fee,
    0x400efe80,0x40001ffa,0xec984ff9,0x7fcc2dee,0x7ffb000f,0x3fffffe2,
    0xffffffff,0xffffffff,0x7357006f,0x401dfffb,0xff880ffb,0x00dff303,
    0xff127fe4,0x17fee00f,0x7fcc0100,0x0cdedb83,0x0004ffc8,0xfd84ffd8,
    0xfff8805f,0xff100002,0x2200005f,0x00002fff,0x800dff90,0xfa81fff8,
    0x7fcc00ff,0xf880002f,0x3ffe62ff,0x00bff602,0x7fd4bffd,0x2a3ff706,
    0x2e0006ff,0x7fcc01ff,0x027fe41f,0x0002ffdc,0x8000dff5,0x7cc01ffb,
    0x220001ff,0xfff986fe,0x3ea5ffff,0xaaaaaaff,0x4ffdaaaa,0x0000fffe,
    0x80017ff6,0x3605fffa,0x03ff507f,0xb8017fee,0x1bfea5ff,0x002ffd40,
    0xd88dfb00,0x41ffffff,0x40004ffc,0xfa81fff8,0x7fc400ff,0x999999bf,
    0x09999999,0x4cdfffc4,0x99999999,0x7fc40999,0x999999bf,0x09999999,
    0x0037fe40,0xff81bfee,0x7ffc403f,0xff980003,0x0fffe21f,0x7c01ffe4,
    0x17fee4ff,0xff98ffe6,0x9ff30007,0x1fffe880,0x5c027fe4,0x2a6005ff,
    0x006fffeb,0x1013fe60,0x0003fffd,0x7f407fe4,0x1ffeb9be,0xfffffff7,
    0xffffffff,0x027ff4bf,0x027ff400,0x07fff200,0xffc82ff4,0x009ff900,
    0xff73ffd4,0x17fe600b,0x17fcc000,0x3f6fbff2,0x13ff20ff,0x0dff7000,
    0x2201fffc,0xffffffff,0xffffffff,0x7fffc46f,0xffffffff,0x446fffff,
    0xffffffff,0xffffffff,0x37fe406f,0x813ffa00,0xff807ffc,0xfb80004f,
    0x27ffc0ff,0x44027fdc,0x3ff24fff,0x222ff444,0xe8000fff,0xfffe806f,
    0x027fe41f,0xc982ffdc,0xfffffffd,0x3a0006ff,0xfffe806f,0xff50001f,
    0x985ff707,0xffff95ff,0xffffffff,0x7ecdffff,0x7c40006f,0xf80003ff,
    0xfddd73ff,0xfdddddff,0x2bddddff,0x26004ffd,0x13ff27ff,0x002ffcc0,
    0x7c46fd80,0x927fcc5f,0xe80009ff,0x3ff204ff,0x7fffc407,0xffffffff,
    0x446fffff,0xffffffff,0xffffffff,0x7fffc46f,0xffffffff,0x406fffff,
    0x26006ffc,0x3e600fff,0x7fec02ff,0xffc80006,0x545ffe87,0xff3005ff,
    0x237fe47f,0x7fcc0efd,0x0ffc8007,0x7feffec0,0x4027fe41,0x7f4c5ffb,
    0xdfffffff,0x90006ffd,0xffd801ff,0x88001ffd,0x206205ff,0xdff74ff8,
    0x55555555,0x64555555,0x4c0007ff,0x80002fff,0xfff94ffe,0xffffffff,
    0xffffffff,0xa8013ff2,0x17fee7ff,0x002ffcc0,0x2e17fcc0,0x27fd81ff,
    0x20004ffc,0x2600fff9,0x3e202fff,0xffffffff,0xffffffff,0x7ffffc46,
    0xffffffff,0x7c46ffff,0xffffffff,0xffffffff,0x037fe406,0xd00dff90,
    0xffa80bff,0xf100802f,0xfff90bff,0x801bfe61,0x3ea0fffb,0x207fee7f,
    0x54006ffa,0x7fe403ff,0x7e41ffab,0x5ffb804f,0x3bffffe6,0xdff709bc,
    0x07ff5000,0xffaaffc8,0x0ffd8001,0x51ffb800,0x30000dff,0x40005fff,
    0x1980fffc,0x5d7ff600,0xeeefffee,0xeeeffeee,0x0bff75ee,0xf537fdc0,
    0x3fea00df,0x6fe80005,0xfc80ffd8,0x009ff90f,0x4037fe40,0x3e205ffe,
    0x100002ff,0x00005fff,0x000bffe2,0x037fe400,0xdddffff0,0xfffddddd,
    0x7fff801f,0x3605fc40,0xff981fff,0x00eff9bf,0x98bfff10,0x2ff99fff,
    0x4009ff90,0x7d405ff8,0xc83ff54f,0xffc804ff,0x15ffff15,0x0037fe40,
    0xf7017fe2,0x007fea9f,0x0003ff70,0x7fccdff7,0xfe80000f,0xf98000ff,
    0x3ffd44ff,0xb07ffd00,0x07fea0ff,0x2006ffa8,0x3fe25ffc,0x0bff7007,
    0x82ffa800,0x3ff707fe,0x3e000188,0xeeeeefff,0x0ffffeee,0x005fff10,
    0x0bffe200,0x7ffc4000,0xf9000002,0x3fea00df,0xffffffff,0x04ffffff,
    0x7027ffdc,0xff717fff,0x77ff407f,0x32000ffe,0x7fc42fff,0xf104ffbf,
    0x7ec007ff,0x97fe600f,0x7fe41ffa,0x35ffd804,0xfb003fff,0xffd800df,
    0xa97fe600,0x3e6001ff,0x7ec4004f,0x3ffe20ef,0x3efe8803,0x0027ffd4,
    0x2207fff4,0xf8802fff,0x05ff81ff,0x7cc01ff9,0xff8802ff,0x017ffc3f,
    0x0002fff4,0x3fec1bfa,0x7dc1ffb8,0x3ea004ff,0xffffffff,0x4fffffff,
    0x005fff10,0x0bffe200,0x7ffc4000,0xf9000002,0x3ff600df,0xffffffff,
    0x07ffffff,0x80dfffd8,0xffffffea,0x7ffcc06f,0x3e6001ff,0xfffb06ff,
    0x7ffdc0df,0x05ff7000,0x4ccf7fc4,0x3ee1affb,0x5fff805f,0x3a00dff7,
    0x3ee006ff,0x3bfe202f,0x1affb999,0x800dfd00,0xf904ffe9,0xffc801ff,
    0x3fffe81f,0x9fffb100,0x201bffa0,0x7c40fffd,0x00dfd04f,0xf900dffb,
    0x6ffd81ff,0x02fffd40,0x205ff500,0x1ff907fd,0x04fffea8,0xffffffb0,
    0xffffffff,0x3fe20fff,0xf100002f,0x200005ff,0x0002fff8,0x00dff900,
    0x4005fff1,0x4402fffa,0x302efffe,0x03fffffd,0x01bfff90,0x07fffea0,
    0x80ffffc4,0x3003fffb,0xff9809ff,0xffffffff,0x803ffee7,0xff95fffb,
    0xfffc801f,0x09ff3006,0xffffff98,0xc807ffff,0x3ea001ff,0x3fe202ff,
    0xfff500ef,0x3fffe60d,0x3ffe600d,0xfff300ef,0x3fff2019,0xf02ffa82,
    0xfff100bf,0x3fff201b,0x05ffe883,0x00bffff3,0xf7037f40,0x80ffb03f,
    0x7c400ffe,0x3ea002ff,0xfff882ff,0xff100002,0x2200005f,0x00002fff,
    0x700dff90,0xfd000fff,0xffd100bf,0xfb99dfff,0x05ffffff,0x5fffffb0,
    0x7fffec40,0x7fffe403,0xfffdb9be,0x01bfa005,0x3bbbbba6,0x3e26effe,
    0xfff505ff,0x0fffeabf,0x07ffffb8,0xd300dfd0,0xffdddddd,0x3ffa80dd,
    0x07bfea00,0x33fffea0,0xffffeb9a,0x3fffa200,0xffdcbdff,0xfb805fff,
    0xebaadfff,0xff704fff,0x007ff301,0x2b3bffee,0x03fffeb9,0x26fbffe6,
    0x5ffeffca,0x05ff5000,0x3e62ffcc,0x3ffe204f,0x03ffdc00,0x442fff40,
    0x00002fff,0x0005fff1,0x00bffe20,0x37fe4000,0x0027ff40,0x800fffe4,
    0xfffffffc,0xffffffff,0xdff901ef,0x99dfffff,0x5ffffffb,0xfffff880,
    0xdfffffff,0x03ff9000,0x81ffa800,0xcacffffd,0x15ffcffe,0x537bfffd,
    0xfffdffd7,0x003ff900,0x401ffa80,0x26005ff8,0xccccdfff,0xffffa84c,
    0x1fffffff,0xfffffb00,0x7fffffff,0x7fffe400,0x03ffffff,0x7fd41ff6,
    0x3ffea001,0x3fffffff,0xfffffa80,0x5ff9dfff,0x00dfd000,0xff95dff9,
    0x7f6f4c1f,0xffe804ff,0xfffc8004,0x017ffc41,0x2fff8800,0xfff10000,
    0x32000005,0x7fcc06ff,0xff88001f,0x3ee2004f,0xcfffffff,0x8bfffd51,
    0xfff53ffc,0xffffffff,0xbfd001df,0xffffff91,0x7fcc005d,0xffa80003,
    0xffffe881,0xff8bffff,0x3ffffe65,0xff3fffff,0x1ffd403f,0x0ffd4000,
    0x8003ff60,0xfffffffd,0xff9107ff,0x007fffff,0xffffd950,0x00039bff,
    0xffffffd3,0x05ff801b,0x88001ff9,0xcefffffd,0x3fae6001,0xbff34fff,
    0x03ff7000,0xfffffb10,0xffffa85f,0x7fcc00df,0xff88001f,0x17ffc44f,
    0xfff88000,0xff100002,0x2000005f,0x7e406ffc,0x3f60006f,0x5310007f,
    0x7fdc0335,0x2e13fe66,0xfffffffe,0x1dd1001d,0x8001aa98,0x00005ff8,
    0x7e401993,0xf12effff,0xfffd88bf,0x3f20dfff,0x0bff104f,0x03326000,
    0x4002ffb8,0xcccccccc,0xa98804cc,0x26000009,0x200000aa,0x2001aa98,
    0x055301aa,0x00aa8800,0x000a8800,0x002ff400,0x2033bf6e,0x001abba8,
    0x4000dff9,0x7fc47ffd,0x999999bf,0x99999999,0x37fff109,0x33333333,
    0x21333333,0x999bfff8,0x99999999,0xf9009999,0x3fff80df,0x3ffea000,
    0x10000002,0x8805a859,0x20001aaa,0x00000000,0x51000000,0x2a620003,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x20003fff,0x3e22fffa,0xffffffff,0xffffffff,
    0xffff13ff,0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,0x903fffff,
    0x7fd40dff,0x7fc0000f,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000fffa8,0xf137ffc0,0xffffffff,0xffffffff,
    0x3ffe27ff,0xffffffff,0xffffffff,0xffffff13,0xffffffff,0x207fffff,
    0x3f606ffc,0xfc80006f,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0037fec0,0x88fffe40,0xffffffff,0xffffffff,
    0xfff13fff,0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x554c1aaa,
    0x8804c402,0x65cc0009,0x999880ac,0x99999999,0x2a200199,0x2a200009,
    0x0cc000aa,0x10001310,0x51000033,0x40000355,0x4c000eea,0x009acdca,
    0x0002ccb8,0x26a20000,0x5554c000,0x400d5540,0x55442aa9,0x5554c00a,
    0x20355510,0x5540aaa8,0x0aaa801a,0xa800aaa2,0x4c0002aa,0xa9801aaa,
    0x2a2001aa,0x155541aa,0x665d4400,0x550001ac,0x05554435,0x001a9800,
    0x00055550,0x32019988,0xfff10fff,0xd04fd805,0xffd3007f,0x45dfffff,
    0xfffffffe,0x07ffffff,0x7ffff6cc,0xffe8003f,0x3f6000ef,0x4005ff04,
    0x4efffffb,0x3fffaa00,0x001effff,0x98037ec0,0xfffffffe,0x3fa00bff,
    0x009ff94f,0x4400bff7,0x3efffffd,0x49ffd100,0x9800effc,0x3ff62fff,
    0x0efff805,0x6c03fff9,0x3ffea5ff,0x22fff800,0xb800fff9,0x0002ffff,
    0x2003bffa,0x000fffe8,0xff99bff2,0x3f6a001f,0xefffffff,0x1fff4002,
    0x3201fff3,0xfffd52ff,0x2a001bff,0xd803ffff,0x3fffa7ff,0x757ff600,
    0xffb803ff,0x003ff222,0xfffffff3,0x3fa5ffff,0xffffffff,0x2a07ffff,
    0xffffffff,0xff9000ef,0x5c00bffd,0x3ff222ff,0xfffe8800,0x00efffff,
    0x3fffff62,0x03ffffff,0x2013fe00,0xfffffffc,0x03ffffff,0x3ff29ffd,
    0x05ffb804,0xffffff50,0x3001dfff,0xfff33fff,0x7ffd4001,0xa806ffb8,
    0xfff11fff,0xbfff8807,0xf001fff8,0x7ffcc5ff,0x77ffcc00,0xfa8001ff,
    0x3e2001ff,0x7f4003ff,0x007ffd4f,0x3fffffa2,0xefffffff,0x47ffd000,
    0xf900fff9,0xfffff55f,0x8805ffff,0x01ffefff,0xffd3ffec,0x7ffc401f,
    0x3a005ffd,0x3fffefff,0x77fffd40,0xfffdb99b,0xeeeeffea,0x5eeeeeee,
    0x59ffff90,0x00bfffb7,0xffb1fff7,0x7fff4009,0xd003fffe,0xfb579fff,
    0x3fa01dff,0xda99acff,0x8000ffff,0x3a601ff9,0x9acdffff,0x4ffffeca,
    0xff94ffe8,0x0bff7009,0x79ffff50,0x01fffd95,0xffddff50,0xbff90005,
    0xfd001fff,0x02ffdc5f,0xffdfff98,0x8bffe003,0x2200fff9,0xfff9bffe,
    0x1fff4000,0x07ffcc00,0xfbfff100,0x3fea009f,0xa9abcfff,0x00effffc,
    0x3e63ffe8,0xbff900ff,0xfd757dff,0xffe80fff,0x200fff9b,0x3ffa7ffd,
    0x7ffcc00f,0x322000ef,0x403fffff,0x201ffff9,0x2ffffffb,0x7ffcc000,
    0x07fff704,0xf897ffcc,0xfb1002ff,0x2007ffff,0xf981fffb,0xfff984ff,
    0x0fffe602,0x881ff200,0x400dffff,0x444fffea,0x09ff92fa,0x880bff70,
    0xd881efff,0xff9006ff,0x740007ff,0x9802ffff,0x07ffc5ff,0xbffff700,
    0x40999800,0x7fec0199,0x801bff26,0x20004ffa,0x54003ffb,0x3006ffff,
    0x4017ffff,0x00efffc8,0x26604cc4,0x3ffff201,0x05fff903,0xffc9bff2,
    0xe9332a06,0xca800fff,0x310000cc,0xffb00135,0xfff5001f,0xd80005ff,
    0x7fec06ff,0x50f32e05,0x98800999,0xff10009a,0x7ffcc05f,0x402ffec0,
    0xe8005ffc,0x3fff205f,0x3ff62003,0xfc87dc3f,0x5ffb804f,0x007ffe40,
    0x6400bffa,0x440003cc,0x95002ccc,0x001cc989,0x0004ccb8,0xccc98000,
    0x00733220,0x4000265c,0xcb8003cb,0xffd000cc,0x7fe4003f,0x4000003f,
    0x6c04fffc,0xccc885ff,0x00166641,0x0003fffa,0x88000000,0x36003fff,
    0x0002ffff,0x5003ffe2,0x00001fff,0x2e000000,0xffe807ff,0x400ee5c3,
    0x44005ffb,0xfff303ff,0x3ffa0009,0x9ff93ec7,0x80bff700,0xfa804fff,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x2fffb800,
    0x06ffe800,0x7fe40000,0x2ffe400f,0x3a000000,0xa8800fff,0x0000001a,
    0x3001bff2,0x0005ffff,0xa801ffe4,0x26a60019,0x2aa60000,0x13ff6001,
    0x001bfee0,0x800dff50,0xffb00ffa,0x3e60001f,0x22fd8bff,0xfb804ffc,
    0x3ffe205f,0x01fff000,0x00026a60,0x001aaa88,0x54c00000,0x0000001a,
    0x00000000,0x00000000,0x006fff80,0x005fff50,0x64006aa6,0xffb806ff,
    0x01aa9806,0xffd82aa0,0xfff9100f,0x3203dfff,0xffb804ff,0x0013ffe5,
    0x000bfffa,0x0001fff8,0x3fff6e60,0xb1001dff,0x3dffffff,0x802fff80,
    0x2000fff8,0x6fffeba9,0xa837e400,0x40003fff,0x42fefffc,0xfb804ffc,
    0x1ffe605f,0x302ffe80,0xbfffffb7,0x3ffaa003,0x81efffff,0xfb804ffc,
    0xfffb105f,0x6403dfff,0xffb804ff,0x7009ff95,0x13ff2bff,0x7e57fee0,
    0x5ffb804f,0xf7009ff9,0x17ffccbf,0x80379000,0xffffffd8,0x17ff201e,
    0x441bfea0,0xeffffffd,0xfb0ffc01,0x3ffa60ff,0x3fffffff,0xb804ffc8,
    0x5fff15ff,0x5fff9000,0x03ffc000,0xffff7000,0x07ffffff,0xffffffb8,
    0xf104ffff,0x3fe001ff,0xffb9302f,0xdfffffff,0x704ff800,0x50000fff,
    0xf901bfff,0xbff7009f,0x0037fdc0,0xff707ffd,0xffffffff,0x7ffec407,
    0xffffffff,0x4027fe43,0xffb85ffb,0xffffffff,0x009ff904,0x3ff2bff7,
    0x95ffb804,0xff7009ff,0x2013ff2b,0x9ff95ffb,0x64bff700,0x00000fff,
    0x7ffffdc0,0x904fffff,0xff5009ff,0xfffff70d,0x409fffff,0x1fff21ff,
    0x2affffea,0x44fffdb9,0xfb804ffc,0x01fff35f,0x05fff700,0x897fe200,
    0x00bdffdb,0x55ffffdc,0x02ffffc9,0x357dfff5,0x30bfffd7,0x3a001fff,
    0x7ff4c3ff,0xddffffff,0x3e6006ff,0x0dff902f,0x0fffe000,0x5c027fe4,
    0x3fea05ff,0x13ffe007,0x357ffff7,0x205ffff9,0x99acfffe,0x20ffffda,
    0xfb804ffc,0x77ffd45f,0xfffeb9ab,0x804ffc85,0x9ff95ffb,0x32bff700,
    0xffb804ff,0x7009ff95,0x13ff2bff,0xfe97fee0,0x4000007f,0x9abefffa,
    0xc85fffeb,0xffa804ff,0x5f7ffd46,0x5fffeb9a,0x3f22ff88,0x0dffe86f,
    0x643fff70,0xffb804ff,0x000fff55,0x266fffea,0x19999999,0xffaaffcc,
    0x02ffffff,0x201bfff1,0xff887ffe,0xfff900df,0x007ffa85,0xff98fffa,
    0x09bcefff,0x5c00dff7,0xbffd00ff,0x3ffa0000,0x009ff904,0x7c40bff7,
    0xff8800ff,0x37ffe24f,0x30fffd00,0x7cc05fff,0x13ff23ff,0xf897fee0,
    0xff900dff,0x04ffc85f,0xff95ffb8,0x2bff7009,0xfb804ffc,0x009ff95f,
    0x3ff2bff7,0x25ffb804,0x00005fff,0x037ffe20,0x3217ffe4,0xffa804ff,
    0x037ffe26,0x2217ffe4,0x1bfee3ff,0xb801dff7,0x13ff26ff,0x7dd7fee0,
    0xff30007f,0xffffffff,0xffa8ffff,0xfeffffac,0xfc83ffff,0x7ffcc07f,
    0x4037fec2,0x3ea0fffc,0x3ff6007f,0x15ffff14,0x0037fe40,0x7ffc0bfb,
    0xffd00004,0x013ff20b,0xff017ff2,0xfff7009f,0x203ffe4b,0x7ec2fff9,
    0x5ffc805f,0x2e013ff2,0x1bff65ff,0xc83fff20,0xffb804ff,0x7009ff95,
    0x13ff2bff,0x7e57fee0,0x5ffb804f,0xf7009ff9,0x027ffcbf,0xdffb0000,
    0x41fff900,0xfa804ffc,0x01bff66f,0xf983fff2,0xf17fee3f,0x3fe005ff,
    0x009ff91f,0x3ff2bff7,0xfff10007,0xffffffff,0xeffb8fff,0x7fd41dff,
    0x1ffec0ff,0xf116f6c0,0xff1005ff,0x037fdc7f,0x3e69ffb0,0xffd801ff,
    0x07ff1006,0x000fffe2,0xc837fec0,0xffd804ff,0x0fffe405,0x4bffff10,
    0xed803ffd,0x00ee5c2d,0xff92ffdc,0x2bff7009,0x8802fff8,0x3ff23fff,
    0x95ffb804,0xff7009ff,0x2013ff2b,0x9ff95ffb,0x32bff700,0xffb804ff,
    0x007fff15,0x3ffe2000,0x3fff8802,0x2a013ff2,0x5fff16ff,0x47fff100,
    0x3fea4ff9,0x003ffe65,0xffc9ffec,0x95ffb804,0x22000fff,0xffffffff,
    0x647fffff,0x2204ffff,0x7ffc5ffe,0x3fe60000,0x93ff2006,0x36006ffb,
    0x0dff74ff,0x401bffa0,0xff101ffa,0x3600005f,0xbff706ff,0x80bffd00,
    0xa83fffe8,0x3e5fffff,0x000000ff,0xf937fd40,0xbff7009f,0xc801bfe6,
    0x13ff24ff,0x7e57fee0,0x5ffb804f,0xf7009ff9,0x013ff2bf,0x7fe57fee,
    0x15ffb804,0x00007fff,0x801bfe60,0x3ff24ffc,0x36ffa804,0x7e400dff,
    0x993fea4f,0x3ffea4ff,0xaaaaaaaa,0xf94ffdaa,0xbff7009f,0x4001ffee,
    0x0002fff9,0x500dfff7,0x3fe23fff,0x7fdc0007,0x97fee005,0x36007ffa,
    0x1fff94ff,0x06fffc80,0x7c40ff90,0xd00003ff,0x3fea0bff,0x3fff200f,
    0xffffa805,0xbcfffeef,0x0fff14ff,0x75300000,0x7e4dfffd,0x5ffb804f,
    0x5c00bff7,0x13ff25ff,0x7e57fee0,0x5ffb804f,0xf7009ff9,0x013ff2bf,
    0x7fe57fee,0x25ffb804,0x00005fff,0x400bff70,0x3ff25ffb,0x76ffa804,
    0x7dc00bff,0x997fea5f,0x3ffee4ff,0xffffffff,0xf95fffff,0xbff7009f,
    0x0003ffea,0x000bffea,0x8017ffd4,0xdff52ffe,0x4ffc8000,0x99ffea00,
    0x3fa007ff,0x07fff53f,0x03ffffdc,0x7fc05fe8,0xff00005f,0x3ffe609f,
    0xbffff505,0x3fffa600,0xff94ffff,0x001bfea9,0xfffb9300,0x4dffffff,
    0xfb804ffc,0x009ff95f,0xff93ffd4,0x2bff7009,0xfb804ffc,0x009ff95f,
    0x3ff2bff7,0x95ffb804,0xff7009ff,0x0037ff4b,0x04ffc800,0xfc9ffea0,
    0x6ffa804f,0x54009ff9,0x97fee7ff,0x3ff23ff8,0xffffffff,0x96ffffff,
    0xff7009ff,0x007ffe6b,0x00bffee0,0x00fffd40,0xff74ffd8,0xffd8000b,
    0x9ffe6004,0xd000fff8,0x3ffa27ff,0xfeba9bdf,0x8807ffef,0x7ff402ff,
    0xff980006,0x3fff203f,0xcfffcacf,0x6dc005ff,0x3f61bdff,0x00bff73f,
    0x3fffa600,0xfddfffff,0x013ff26f,0x7fed7fee,0x9ffe6004,0xfb804ffc,
    0x009ff95f,0x3ff2bff7,0x95ffb804,0xff7009ff,0x2013ff2b,0x3ff65ffb,
    0xd8040007,0x3e6004ff,0x013ff27f,0x7fedbfea,0x9ffe6004,0x3fe26ffb,
    0x2abbfee3,0xaaaaaaaa,0x9ff92aaa,0x22bff700,0xc8002fff,0x30002fff,
    0x32001fff,0x0dff74ff,0x04ffc800,0xff1ffea0,0x3ffe001f,0x3ffffe62,
    0xff3fffff,0x0ffb803f,0x007ffdc0,0x07ffea00,0xffffffb0,0x0bff17ff,
    0x5ffd0000,0x0001bfee,0x3bffffe6,0xdff709bc,0x5c027fe4,0x09ff95ff,
    0xf93ffd40,0xbff7009f,0x2e013ff2,0x09ff95ff,0x3f2bff70,0x5ffb804f,
    0xf7009ff9,0x0fffdcbf,0x47bf9000,0x2a004ffc,0x13ff27ff,0x7e5bfea0,
    0x3fea004f,0xff1bff27,0x0037fd45,0x2013ff20,0x3ffa5ffc,0xffff8005,
    0xfff10002,0x4fff6003,0x40007ff9,0x2e005ffb,0x0fffc6ff,0x207ffc40,
    0xffffffd8,0x013ff20d,0xff100dfb,0xff80009f,0xfeb8806f,0xff12efff,
    0xff00000b,0x01ffe61f,0x5ffff100,0x937fe401,0xff9009ff,0x8017feeb,
    0x3ff26ffb,0x95ffc804,0xff9009ff,0x2013ff2b,0x9ff95ffc,0x32bff900,
    0xffc804ff,0x00bffe25,0x2e5fff80,0x3ee005ff,0x013ff26f,0x7fddbfea,
    0x9bfee005,0x17fc7ffc,0x0001fff3,0x6c027fe4,0x3ffee5ff,0x3ffea001,
    0x3fe0002f,0x3ffd003f,0x2003ffe2,0x3fea4de9,0x17ff2006,0xf5009ffb,
    0x554c40ff,0xf007f900,0x3ffa009f,0xff70001f,0x1a88007f,0x98807f98,
    0x6ffa800a,0x2003ffe2,0x3fe64de9,0x6ffd801f,0x36013ff2,0x0dff55ff,
    0xf92ffe40,0xbffb009f,0x36013ff2,0x09ff95ff,0x3f2bffb0,0x5ffd804f,
    0xfb009ff9,0x06ffe8bf,0x43fff500,0x32006ffa,0x018805ff,0x400dff50,
    0x3ff65ffc,0xff105547,0xdfd1007f,0x2017fee7,0x3fe25fff,0x3ffa004f,
    0x2e0002ff,0xff8805ff,0x401fffc7,0x3fe64ffc,0xfff8802f,0x4037fd43,
    0x80005ffd,0x7fcc01fe,0xbfff3001,0xdfff1000,0x7d400001,0x03ffe805,
    0x7fc4ffd8,0x4ffc803f,0x7401bfee,0x17fee6ff,0x7cd7ffe0,0xff8802ff,
    0x017fee3f,0x7fdd7ffe,0x75fff805,0xfff00bff,0x2017feeb,0xbff75fff,
    0xa8bfff00,0x44003fff,0x7fcc6fff,0xfff8802f,0x3fffd803,0x00bffe60,
    0xfe8fffe2,0xffc800ff,0x7ffe400f,0x401fff71,0x7e45fffb,0xffc803ff,
    0x20002fff,0x6403fff8,0x37fe46ff,0xb0bffa20,0xff900dff,0x05ffd01f,
    0x000fffc4,0x3200ffc0,0x7fe4007f,0xff5000ef,0x800003ff,0xffb804fb,
    0x07ffd407,0xd101bff2,0x7ffe45ff,0x37ffe400,0x5c01fff7,0x3ff65fff,
    0x0fffc806,0xb803ffee,0xfff75fff,0xafffdc01,0x2e00fffb,0xfff75fff,
    0xafffdc01,0x2e00fffb,0xffd85fff,0xffd1004f,0x0dffb05f,0x001fff90,
    0x405fffd9,0xfc806ffd,0x3fffa0ff,0xefff8800,0x4dfff500,0xf505fff8,
    0xfe88bfff,0xffb104ff,0x3337fffb,0x33333333,0x02fffc81,0xf883fff7,
    0xfd880dff,0xdfff886f,0x07fff900,0x2207ffee,0x00005ffe,0x5fe809ff,
    0xffffe800,0xfff9100a,0x9000007f,0xfff300df,0x13ffea07,0x2037ffe2,
    0x7d46ffd8,0x3fee03ff,0x3ffe27ff,0xbffff505,0x806fffc4,0x7c43fffc,
    0xfff505ff,0x17ffe2bf,0x8affffd4,0xff505fff,0x3ffe2bff,0xbffff505,
    0x5417ffe2,0xf885ffff,0x700bdfff,0x2209ffff,0xf900dfff,0xf88007ff,
    0x3ffe206f,0x7fff900d,0x950fffe8,0xffff5099,0xfffd7359,0xffffd81f,
    0xfcffecac,0xfffe885f,0xfffdbbdf,0xffffffd6,0xffffffff,0xdfffe887,
    0x2fffdb9b,0x57dfff50,0x03ffffb5,0x2b3bffee,0x03fffeb9,0x5567fff4,
    0x000ffffc,0x73bff900,0x00ffe29b,0x7ffffe40,0xffffdcde,0x000003ff,
    0x05447ff5,0x26fbfff2,0x205fffdb,0xaabefffa,0x441ffffd,0xa9bdfffe,
    0x7ffeffeb,0x567fffec,0x5ffcffec,0x5677ffdc,0x03fffeb9,0x959ffffb,
    0x4bff9ffd,0xcacffffd,0x25ffcffe,0xcacffffd,0x25ffcffe,0xcacffffd,
    0x25ffcffe,0xcacffffd,0x05ffcffe,0xdfffffd3,0xfffffd99,0xefffb80b,
    0xfffeb9ac,0x6ff98003,0x677ffdc0,0x3fffeb9a,0xfb0fffe8,0x3ffea0ff,
    0xffffffff,0xffffe881,0xff8bffff,0x3ffff605,0xd0efffff,0xffffffff,
    0x07ffffff,0x3ffffff6,0x7d403fff,0xffffffff,0x7ffd402f,0x3fffffff,
    0xffffd880,0x001fffff,0x3fffe600,0x01ff55ff,0x7fffdc00,0xffffffff,
    0x2000001e,0xffeffff8,0xfffffd80,0xa805ffff,0xffffffff,0xfff302ff,
    0x7fffffff,0xfe887ffe,0xbfffffff,0xffa85ff8,0xffffffff,0x3fffa203,
    0xf8bfffff,0x3fffa25f,0xf8bfffff,0x3fffa25f,0xf8bfffff,0x3fffa25f,
    0xf8bfffff,0x3fffa25f,0xf8bfffff,0x3ffa205f,0xffffffff,0xff5003ff,
    0xffffffff,0x3b7aa007,0xfa802fff,0xffffffff,0x1fffd03f,0xc881fff6,
    0x3fffffff,0xfffffc80,0x80bff12e,0xdfffffdb,0x3ffffa0b,0xffffffff,
    0x3fae03ff,0x002cefff,0xffffffb1,0x3f620019,0x01ceffff,0x7ffffe40,
    0x800000cf,0xb0cfffda,0x2e0000df,0xfffffffe,0x0000001d,0x1bfffff7,
    0x3ffffea0,0x362002ef,0x0cffffff,0x7fffec40,0x3ff20dff,0xfffffc84,
    0x20bff12e,0xefffffd8,0xfff9001c,0x3fe25dff,0xfffffc85,0x90bff12e,
    0x25dfffff,0xffc85ff8,0xff12efff,0xfffff90b,0x017fe25d,0x3fffff26,
    0x4000cfff,0xefffffd8,0x3fee001c,0x22005fff,0xcefffffd,0x43fffa01,
    0x31007ffd,0x51000135,0x54400003,0x00000001,0x2000054c,0x40001aa8,
    0x80000aa8,0x00009aa8,0xaa808800,0x4c400001,0x00001aaa,0x006ea000,
    0x0009aa88,0x000d5440,0x000554c4,0x00006a20,0x80002aa2,0x220001a8,
    0x2a20001a,0x06a20001,0x001a8800,0x4d54cc00,0x55100000,0x2ea60001,
    0x220000ab,0x331000aa,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa880000,0x2aa2002a,0x5000002a,0x01379995,0x804ccc00,0x99980000,
    0xbcca8800,0xaa800002,0x2a60002a,0xaaa801aa,0x000aaa20,0x0000aaaa,
    0x80155544,0x0002aaa8,0x00026a60,0x5e6e54c0,0x02620002,0x554004c4,
    0x00aaa20a,0x00155510,0x000aaaa0,0x00d55440,0x00355530,0x0accb980,
    0x4cc40000,0x26026660,0x002bccba,0x00054c40,0x000aa988,0xaa815551,
    0xffd8001a,0x7fe4001f,0x9300002f,0xffffffff,0xf70009ff,0x037545ff,
    0x01fffc00,0x3fffffee,0xf700001e,0x7c0007ff,0xfe800eff,0x03ffe63f,
    0x3ffffa80,0xfffd8000,0x3fff6001,0xfb730001,0x003bffff,0xfffffd30,
    0x0019ffff,0x9fb06fc8,0x4c7fff00,0xd1000fff,0x5000dfff,0x0007ffff,
    0x003fffb0,0x0037ffcc,0x7ffffec4,0x98000cff,0xff2ffe40,0x7fffdc7f,
    0x004fffff,0x7fffffe4,0xffeb800c,0x201dffff,0x3ee4ffe8,0x7c4000ef,
    0xfd0003ff,0xf90000df,0xffffffff,0x003dffff,0xfecfffa8,0x7c0000ef,
    0x3ff203ff,0x1fffffff,0x5ffe8000,0x3ffee000,0x47ffd001,0x1000fff9,
    0x03ffdfff,0x1fffc400,0x02fff400,0x7ffffdc0,0x003fffff,0x3fffffee,
    0x3fffffff,0x42ffe600,0xf802ffb8,0x3ffe63ff,0xfdffb000,0x7fcc00bf,
    0x0001ffef,0x000bffe6,0x8007ffea,0xffffffe8,0x22005fff,0x2ffe41fc,
    0xffd17fff,0xffffffff,0xfe9801df,0xffffffff,0x3ffff602,0x03ffffff,
    0x3e6bffe6,0xfc8001ff,0x3e20005f,0xb10001ff,0x59bdffff,0xffffdb75,
    0xfff98007,0xf00002ef,0x3fea07ff,0xffeb89cf,0x7fd40006,0x3fa0000e,
    0x3ffa002f,0x003ffe63,0x7fcdfff4,0xff90000f,0x3fe20009,0x3fee001f,
    0xffc9abff,0x7f4c02ff,0xa9acefff,0x05ffffec,0x3fbfff60,0xfff005ff,
    0x007ffcc7,0x7f477fdc,0xffe8803f,0x000fff9b,0x0009ffb0,0x8802ffdc,
    0x951cfffe,0x3e007fff,0x2ffe41ff,0xfffd9fff,0xffb7537d,0x7fc40dff,
    0xffebbeff,0xfffc81ff,0xfffca9ac,0x3bfea02f,0x88002ffe,0x980006ff,
    0xfd0005ff,0xf7005fff,0x71003fff,0x007fffff,0x81fffc00,0xffa85ffd,
    0x3fa0001f,0x3ea0000f,0x4cc4004f,0xd800ccc0,0x1bff26ff,0x01bfe200,
    0x00bff300,0x4037ffe2,0x3e207ffe,0x5400efff,0x2005fffe,0x04fffffc,
    0x33026660,0x3fff3003,0xb007ffe6,0x37fe4dff,0x037fc400,0x00ffec00,
    0xfb03ffe4,0x3ffe00df,0x7ffc9f01,0x2600bfff,0xfb03ffff,0xffd303ff,
    0x405fff0d,0x7e405ffe,0x30004fff,0x20000199,0x5c000cca,0x2000dfff,
    0x6404ffe9,0xfffadfff,0xfff00001,0x40bffe07,0x10002fff,0xb8000599,
    0x0000004c,0x90733220,0xca800599,0xca80000c,0x7ffc800c,0x817ffcc0,
    0x2003fffc,0x003fffd8,0x00026a62,0x665c0000,0x301e6543,0xccc83999,
    0x06654001,0x02cc8000,0x2603ffe8,0xfff007ff,0x7fc5f303,0xd3004fff,
    0xff881fff,0x3ffea04f,0x501bfe62,0x99900fff,0x00000007,0x3e600000,
    0xf50005ff,0x67ec01ff,0x003ffea1,0x40fffe00,0xfff02fff,0x00000003,
    0x00000000,0x00000000,0xb0000000,0xbdb007ff,0x09fff305,0x03fffa00,
    0x00000000,0x00000000,0x00000000,0xfff88000,0x01bfe601,0x7e40fffc,
    0x017fffe0,0x987fff70,0x7fc00fff,0x03ffe63f,0x00000130,0x001aa980,
    0x001aa980,0x0007ffec,0x4409ffd0,0x00bff900,0x207fff00,0xff985ffd,
    0x9a980006,0xaa988000,0x2aa20000,0x55440001,0x55440001,0x55440001,
    0x01fff001,0x1fffd000,0x3ffe6000,0x35551004,0x55544000,0xaa988001,
    0x2aa20000,0x2a20001a,0x220001aa,0x7c401aaa,0x3ff200ff,0x83fff004,
    0x7fffc3fc,0x7ffc4000,0x403ffd46,0x7ffc4ffd,0x9880002e,0x6c4000aa,
    0x1effffff,0x3fff6200,0xf801efff,0x5c0004ff,0x765c00bd,0x1fffadef,
    0x1fffc000,0x743fffb8,0xb98004ff,0x1dfffffd,0xffffeb80,0xc8801dff,
    0x1effffff,0xffff9100,0x22003dff,0xeffffffc,0xfff91001,0x2203dfff,
    0xa80007ff,0x40002fff,0x3aa06ffd,0xefffffff,0xfffea801,0x401effff,
    0xffffffeb,0xffea801d,0x01efffff,0xfffffea8,0xea801eff,0xefffffff,
    0x207ff981,0x2a00fff8,0xffffffff,0x6fff818b,0x1fff9000,0x2017ffc4,
    0x7fe42fff,0x000bdfff,0x3fffffae,0x7fdc01df,0xffffffff,0xffffb804,
    0x04ffffff,0x000bffea,0x3ffa2000,0xffffffff,0x7ffc0006,0x3ffff103,
    0x001dffd3,0xffffffb8,0x3603ffff,0xffffffff,0x3fa603ff,0xffffffff,
    0x7fff4c03,0x03ffffff,0x7fffff4c,0x4c03ffff,0xfffffffe,0x6ffa83ff,
    0x7ffb8000,0xfffb8000,0x7fffec41,0x3fffffff,0xfffffb10,0x07ffffff,
    0x3ffffff6,0xb103ffff,0xffffffff,0x36207fff,0xffffffff,0xfb103fff,
    0xffffffff,0x7ff987ff,0x5013ff20,0xffffffff,0x027ffc07,0x42fffa80,
    0x3ee05ffe,0xfffc80ff,0x01ceffff,0x3ffffff6,0xf503ffff,0xd7357dff,
    0x7d40bfff,0xeb9abeff,0xff905fff,0x8000001f,0xbbdffff9,0x02fffffd,
    0x80fffe00,0xfffffff9,0x7fdc000d,0xffc9abff,0xfffc82ff,0xfffca9ac,
    0xffffa82f,0xfffdb9ab,0x7ffff504,0x9fffb735,0x2ffffea0,0x4fffdb9a,
    0x57ffff50,0x89fffb73,0x80005ffb,0x80006ffc,0x7f43fffa,0xda99acff,
    0xfe80ffff,0xda99acff,0x7e40ffff,0xfca9acff,0xffe82fff,0xfda99acf,
    0xffe80fff,0xfda99acf,0xffe80fff,0xfda99acf,0x3fe60fff,0x01fff107,
    0xbfffaa88,0x3ffe00aa,0xfff30004,0x0bfffb85,0x502fff54,0xfffffffb,
    0x9fff909f,0xffff9535,0x0dfff885,0x105fff90,0x3201bfff,0xffd82fff,
    0xe8000007,0xfe981eff,0x3e0005ff,0x7fdc03ff,0x88003fff,0xfd00dfff,
    0x05fff0ff,0x7f42fff4,0xfff700df,0x01bffd03,0x3a07ffee,0xff700dff,
    0x1bffd03f,0xb87ffee0,0xe80006ff,0x880005ff,0x3fe64fff,0x3ffe602f,
    0x017ffcc3,0xff87fff3,0x17ffa02f,0x4c05fff3,0x7fcc3fff,0x3ffe602f,
    0x017ffcc3,0x7cc7fff3,0x09ff907f,0x001fff80,0x20007fff,0xfa83fff8,
    0xfffcdfff,0xfb51004f,0x41dfffff,0x3fa02fff,0x037fec5f,0x3607ffe4,
    0xffc806ff,0x02fff40f,0x3fee0000,0x7fff400f,0x7fff0000,0x7ffff4c0,
    0xfff90005,0x22fff980,0x7d406ff9,0x077fdc7f,0xf71bfee0,0xffb801df,
    0x0077fdc6,0xff71bfee,0x6ffb801d,0x0001ffe6,0x00013ffe,0xffb2fffc,
    0x8bff900b,0xfc805ffd,0x01bfe65f,0xffd8fff5,0x45ffc805,0xfc805ffd,
    0x02ffec5f,0xff32ffe4,0x00bffa0f,0x2003fff0,0x20003fff,0xfd103fff,
    0x05ffffff,0x7ffdcc00,0x80dff32f,0x3fe27ffa,0xfff8802f,0x00bffe23,
    0xff0fffe2,0x2aaa009f,0xaaaaaaaa,0x007fff10,0x0005fff5,0x3620fffe,
    0x3fffffff,0x03ffd800,0x3e62ded8,0x404c00ff,0xff002fff,0x017ffc3f,
    0x3fe1fff8,0x3fff002f,0xf8017ffc,0x1fff11ff,0x449bd300,0x00003fff,
    0x6e5cdffb,0x45ffb801,0xfb801dcb,0x03ffe65f,0x3b970130,0xb8bff700,
    0xffb801dc,0x400ee5c5,0x3fe65ffb,0x009ffd07,0xf001fff8,0x7c0007ff,
    0xffea84ff,0x3effffff,0x3fe20040,0x01fff34f,0x37fcc098,0x4c9ff900,
    0x3f2006ff,0x027ffc4f,0xffffffe8,0xff31ffff,0x3ffa001f,0x7fff0004,
    0x9dfffe88,0x0441ffff,0x0001fff0,0x002efff8,0x8007ffcc,0xfff33ffd,
    0x4fff6001,0xb000fff9,0x3ffe67ff,0x47ffb000,0xfc803fff,0x0bffe24f,
    0x37fec000,0x0dff5000,0x46ffa800,0x0002efff,0x06ffa800,0x037fd400,
    0x99bfea00,0xfff907ff,0x0fffc005,0x003fff80,0xf90fffe0,0xb5337dff,
    0xfec8bfff,0x26ffb804,0x4002efff,0x2e005ffb,0x17fee5ff,0x745ffb80,
    0xffd005ff,0xffffffff,0x801bfea3,0xf0005ffd,0xfffe87ff,0x83fffea2,
    0x7fc43ffd,0xffc80007,0x400bdfff,0xaaaafffa,0xfdaaaaaa,0x55fff54f,
    0x55555555,0x3fea9ffb,0xaaaaaaaf,0x54ffdaaa,0x55555fff,0xffb55555,
    0x2037fe49,0x3e22ffe8,0xd00003ff,0x54c00bff,0x006fffeb,0x7fff5d4c,
    0x7ffffe46,0x980000bd,0x06fffeba,0x7ff5d4c0,0x5d4c006f,0x3e66fffe,
    0xffff107f,0x3fff001b,0x00fffe00,0x2a2fff80,0x3ea03fff,0x3ffee4ff,
    0x927fec00,0x17bfffff,0x004ffc80,0xffc9ffea,0x1ffea004,0x2e00bffb,
    0xfccccccc,0x0bff71ff,0x0037fdc0,0x3ee3fff8,0xfffb82ff,0xa85fff16,
    0x900006ff,0xdfffffff,0xffff7039,0xffffffff,0x3eebffff,0xffffffff,
    0x5fffffff,0xfffffff7,0xffffffff,0x3fffeebf,0xffffffff,0x3e25ffff,
    0xfd880dff,0x05fff86f,0x09fff000,0x3ffff726,0x206fffff,0xfffffdc9,
    0xfc86ffff,0xceffffff,0xffdc9801,0x6fffffff,0x3fff7260,0x06ffffff,
    0x3ffff726,0x266fffff,0x3fa207ff,0x7fc01eff,0x7fff001f,0x3ffe2000,
    0x2017ffa2,0xff10fffb,0x7ffcc0bf,0x7ffffe41,0xfd81ceff,0x3fe6004f,
    0x8013ff67,0x7fe47ff9,0xff880007,0x009ff91f,0x80037fdc,0x3ffe3fff,
    0x33fff605,0xffb87ffb,0x36a00005,0xffffffff,0x7ffffe44,0xffffffff,
    0xfff96fff,0xffffffff,0x32dfffff,0xffffffff,0xffffffff,0xffffff96,
    0xffffffff,0xfffa8dff,0xfffdaabe,0x06ffe81f,0x3fff8800,0x7fffff4c,
    0x6ffddfff,0xfffffe98,0x6ffddfff,0xfffffb50,0x3a609fff,0xffffffff,
    0xe986ffdd,0xffffffff,0xe986ffdd,0xffffffff,0x3e66ffdd,0x7fec407f,
    0x3ffe02ff,0x07fff001,0x47ffe600,0xd000fff9,0x7ffdc7ff,0xffca9abe,
    0xfffb506f,0xc89fffff,0x3ea004ff,0x013ff27f,0x7d47ffa8,0x440002ff,
    0xbff91fff,0x037fdc00,0xf33fff80,0xffe805ff,0xfb84ffff,0x8800006f,
    0xffffffda,0x55dff70e,0x55555555,0x3fee5555,0xaaaaaaae,0x72aaaaaa,
    0x55555dff,0x55555555,0x2abbfee5,0xaaaaaaaa,0xffa82aaa,0xffffffff,
    0x01fff702,0x1fffa800,0x3bffffe6,0xdff709bc,0xefffff98,0xdff709bc,
    0xfffda880,0x3e60efff,0x9bceffff,0xf98dff70,0x9bceffff,0xf98dff70,
    0x9bceffff,0x7ccdff70,0xfff7007f,0x07ffe03f,0x001fffc0,0xf50fffa8,
    0x7fec00ff,0x7ffffec4,0x804fffff,0xfffffda8,0x0bff70ef,0xf737fdc0,
    0x7fdc00bf,0x005fff86,0xb8fffc40,0x3f2006ff,0x007b2e4f,0x3fea7fff,
    0x7ffc400f,0xff980fff,0x98000007,0xf52ffffb,0xfa8000df,0x7d40006f,
    0x7d40006f,0x4400006f,0xcffffffd,0x13ffe200,0x4dffd000,0x00affff8,
    0xff89bff2,0x3f200aff,0x7dcc006f,0xfff12fff,0x7fe4015f,0x2bfffe26,
    0x89bff200,0x200affff,0x3fe66ffc,0x3ffa6007,0x003fff04,0x4000fffe,
    0x3fee7ffc,0x17fee006,0x3fffffaa,0x730003ef,0x3ea5ffff,0x3ff2006f,
    0x801bfea5,0xffc85ffc,0x3e20002f,0x0fff51ff,0xfd1fff40,0x7ffc405f,
    0x005fff32,0x20bffff3,0x9800fff8,0x880104de,0xfff34fff,0x7fcc0001,
    0x3e60000f,0x260000ff,0x00000fff,0x001bff88,0x0003fffa,0xf31fffdc,
    0xffb003ff,0x00fffccd,0x00837fec,0xf9a7ffc4,0xffd801ff,0x007ffe66,
    0xff99bff6,0x6ffd801f,0x5001ffe6,0x3ffe0fff,0x07fff001,0x49fff100,
    0x32007ff9,0x3f6204ff,0x1002001d,0x3fe69fff,0xfff8802f,0x00bffe63,
    0x220fffe2,0x0000ffff,0x3e23fff3,0xff9802ff,0x80fff62f,0xff11fff9,
    0x3ffa00bf,0x7fff00ef,0x649ff900,0xffb804fe,0x007fff16,0x3e27dfd1,
    0xfe8803ff,0x07fff13e,0x227dfd10,0xe8803fff,0x7fd403ef,0x3fe6001d,
    0xff88005f,0x1bfee0ef,0xf737ff40,0x3ffa00df,0x2013fb26,0xdff76ffb,
    0xb9bffa00,0xffd006ff,0x8037fdcd,0x3fe66ffe,0x7ffc4007,0x001fff81,
    0x70007fff,0x7fc43fff,0x5ffd001f,0x402eff80,0xfb804fec,0x01bff66f,
    0xfb03fff2,0xfff900df,0x3fffea01,0x3ff22002,0x1bff61ff,0xf91bff60,
    0x3ffe40df,0xb003fffa,0x01dfffff,0xe880dff9,0x3ffee2ff,0x927fec00,
    0xfc801fff,0x3fff21ff,0x0fffe400,0xc801fff9,0x3ff21fff,0x7ffe400f,
    0x7fedcc01,0x3fff2004,0xfff5000e,0x0fffc83f,0x937ffe40,0xfc801fff,
    0x3ffee6ff,0xca7fec00,0x7e400fff,0x3fff26ff,0x37ffe400,0xc801fff9,
    0x3fe66fff,0xfa81f5c7,0x03fff07f,0x000fffe0,0xfd0dfff1,0xfff700bf,
    0x7fe5c401,0x03ffee06,0x7c49ffb0,0xff900dff,0xbfff107f,0x0ffff201,
    0x7dffff90,0xffca8815,0x3e60dfff,0xff900dff,0xdfff983f,0x22fffdc1,
    0x880efff9,0xfffffffd,0x6fffc40e,0x46ffd880,0x2605fff8,0x3fe21fff,
    0xfff500ef,0x0efff88d,0x88dfff50,0xf500efff,0xfff88dff,0xdfff500e,
    0x007ff800,0x057fffec,0x4ffffc88,0x203fffa8,0x2a7ffffb,0x3ee03fff,
    0x3fe27fff,0x3ffe605f,0x407fff51,0x2a7ffffb,0x3ee03fff,0x3fea7fff,
    0x3ffee03f,0xb9ffe67f,0xffe81fff,0x007fff06,0x0b80fffe,0x20ffffaa,
    0x2a05fff9,0x32004fff,0xfff102ff,0x0fffcc0b,0x2b3bffee,0x03fffeb9,
    0x2b3bffee,0x03fffeb9,0xffffff70,0xfffffbdf,0x3ea05dff,0xeb99beff,
    0xffb04fff,0xffffbdff,0xffff901d,0xffffd97b,0x1dfffd19,0xabefffa8,
    0x81ffffda,0x9abefffb,0xa86fffca,0xb9acffff,0xa80ffffe,0xb9acffff,
    0xa80ffffe,0xb9acffff,0xa80ffffe,0xb9acffff,0x200ffffe,0x0bff9310,
    0xfffff900,0xffffb9bd,0x3fa207ff,0xeba9bdff,0x227ffeff,0xa9bdfffe,
    0x7ffeffeb,0x55f7ffdc,0x26fffca9,0x9bdfffe8,0xffeffeba,0x37fffa27,
    0xeffeba9b,0x3ffa27ff,0xfeba9bdf,0x3e67ffef,0x67ffe47f,0x01ffffb9,
    0x05ddfffb,0xfb81fffc,0x5ffffeef,0x33bfff20,0x6fffdb9a,0xfffa9840,
    0x3bffee00,0xfffca9ab,0xfffff506,0x007fffff,0xfffffff5,0x98007fff,
    0xfffffffe,0x03ffffff,0xffffff98,0x2203ffff,0xfffffffe,0x3fee00ff,
    0xffffffff,0x40fffec2,0xfffffffa,0x3f602fff,0xffffffff,0x3ffea04f,
    0xffffffff,0x3fffea01,0x1fffffff,0x3ffffea0,0x01ffffff,0x3fffffea,
    0x401fffff,0x1ffffffb,0xffff7000,0xffffffff,0xfff9803d,0x3fffffff,
    0x7fcc3fff,0xffffffff,0xfd83fff3,0xffffffff,0xffff984f,0xf3ffffff,
    0x7ffcc3ff,0x3fffffff,0x7fcc3fff,0xffffffff,0x3e63fff3,0xffffe87f,
    0x2a03ffff,0x204fffff,0xff883fff,0x04ffffff,0xffffffb8,0x200dffff,
    0x4ffffff8,0xfffffd80,0x404fffff,0xefffffd8,0x3f62001c,0x01ceffff,
    0x3fff2600,0x0bdeffff,0x3ffb6200,0x9001dfff,0x39dfffff,0xffffb300,
    0x3f603bdf,0x3fff6202,0xa800cfff,0xeffffffe,0xfffc8803,0x1003ffff,
    0xfffffff9,0x3ff22007,0x003fffff,0xffffff91,0x3fee007f,0x80002eff,
    0xffffffea,0x362002df,0x0dffffff,0xfb113ff2,0x41bfffff,0xfea84ffc,
    0x03efffff,0x3fffff62,0x13ff20df,0xffffffb1,0x227fe41b,0xffffffd8,
    0x4d3ff20d,0xfdb887ff,0xa801efff,0x3e06fffe,0xfdb883ff,0x2003efff,
    0xffffffd8,0xfff8802e,0x3aa003ff,0x3effffff,0x00554400,0x00554400,
    0x554c4000,0x2a200001,0x2a60001a,0x2a60000a,0x4005000a,0x10001aa8,
    0x40003553,0x00009a98,0x00026a62,0x0009a988,0x0026a620,0x000004c0,
    0x01aaa988,0x0554c400,0x15531000,0xaa988000,0x554c4001,0x2a620000,
    0x2620000a,0x000000aa,0x20001551,0x4c000009,0x54c0000a,0x0310001a,
    0x1aa98800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55500000,
    0x98000015,0x4400000a,0x13330099,0x82666000,0x13310998,0x0ccc4000,
    0x001aa880,0x5665cc40,0x00000001,0x66655400,0x000000ab,0x1aa98000,
    0x33100000,0x00351001,0xbccca880,0x00999801,0x00133300,0xabcccaa8,
    0x2a600000,0x00998800,0xd8000000,0x0666003e,0x44013330,0x26000099,
    0x4c426201,0x5c133109,0x000002cc,0x9fff5000,0x25ff7000,0xdfffffe9,
    0xffb80001,0x02fff885,0x647fff00,0x0dff96ff,0x07ffd400,0xfffffc88,
    0x3aa001ef,0xffffffff,0x3ffe602e,0x0dff5001,0x3ffff260,0x01cfffff,
    0x0fffb800,0x7fff5400,0x0fff0dff,0xcaffdc00,0xfffd72ff,0x644005bf,
    0xefffffff,0x05fff101,0x00fffe00,0x3fffff26,0x001cffff,0xfffffb50,
    0x7e57fe29,0x3e20004f,0x3fff007f,0x7cc01ff2,0xfff300ff,0x027fe407,
    0xf107fd00,0x653ff23f,0x13ff64ff,0x40000000,0x70006ffd,0xffff55ff,
    0x003fffff,0x2e666662,0xf1099eff,0x3e0005ff,0x5bff23ff,0x20006ffc,
    0xe980fffa,0xffffffff,0xfffc803f,0xffffffff,0x13ffa04f,0x401ffec0,
    0xcceffffc,0x0dffffec,0x3ffee000,0x3ffee000,0xf8efffff,0x3ee0007f,
    0xf95ff95f,0xbfffffff,0xfffff100,0x07ffffff,0x0005fff1,0xf900fffe,
    0xd999dfff,0x001bffff,0x7fffffec,0x95ff8dff,0x440009ff,0xfff007ff,
    0x2007fea3,0xf300fff9,0x7fe407ff,0x3ff20004,0xfc9ff621,0x6c9ff94f,
    0x000004ff,0x0fff9800,0xfbff7000,0xffb759df,0xff9001df,0xffffffff,
    0x0bffe25f,0x91fffc00,0x1bff2dff,0x0fffa800,0x55ffffd4,0x04fffdb9,
    0x2f3ffff6,0xffffcbaa,0x07ffb80d,0x200fff88,0x402effe9,0x001fffda,
    0x001fff70,0x26f7ffea,0x7fffffca,0x57fee000,0xadffeffc,0x03fffc98,
    0x985ffff4,0x441ffffc,0xf0002fff,0x3fa607ff,0x7ed402ef,0xffd801ff,
    0xffc98adf,0x9ff95ffe,0x3ffc4000,0xf11fff80,0xfff3007f,0x0fffe601,
    0x3bffffb6,0x400eeeee,0xfffffff8,0x653ff22f,0x13ff64ff,0x20000000,
    0x20001ffd,0x503ffffb,0xf9007fff,0xffffffff,0x3ffe25ff,0x7fff0002,
    0xffcb7d4c,0x3fea0006,0x06fff40f,0xa81fffb8,0x2200bfff,0xf884fffc,
    0x7fdc02ff,0x0bffe605,0x05ffd300,0x01999500,0x209fff10,0x007ffff9,
    0x7e57fee0,0xff503fff,0x3fff205f,0x11bffa01,0x20005fff,0xff983fff,
    0x7f4c002f,0x3ffea02f,0xbffff503,0x80013ff2,0xff007ff8,0x402ff43f,
    0x5100fff9,0xfffd05fb,0xffffffff,0xfffb1003,0x4ffc85ff,0x4fa893e2,
    0x40000000,0x40002cc8,0x6c05fffb,0x998805ff,0x9effb999,0x05fff109,
    0x20fffe00,0x00dff95f,0x707ffd40,0xfb801dff,0x04ffd86f,0x6c1fff60,
    0x7ff405ff,0x01dfd102,0x03ff6200,0x3fa00000,0x7ffd405f,0x3fee0007,
    0x809fff95,0xffd07ffc,0x1fff8807,0x000bffe2,0x3a21fffc,0xb10000ef,
    0x3ff601ff,0xafffdc05,0x20004ffc,0xff007ff8,0x403fdc3f,0x6400fff9,
    0xffecb81f,0x0cccccce,0x406aa200,0x0be64ffc,0x000007f5,0x40000000,
    0x5c00fffb,0x2e0006ff,0xfff885ff,0x7fff0002,0xdff94f88,0x7ffd4000,
    0x400bffe0,0x7ffc1fff,0x3ffe2000,0x207ffa81,0x3f607ff9,0x3333310f,
    0x06fe8033,0xfff80000,0x07ffe801,0x657fee00,0x7c400fff,0x7ffc41ff,
    0x23ffd801,0x0002fff8,0xffd87fff,0x39bb7300,0x7fc1bfa0,0x5fff801f,
    0x40009ff9,0xff007ff8,0x017fcc3f,0xd003ffe6,0x04ffc80f,0x3f200000,
    0xfb03f64f,0x20000003,0x9801aaa9,0x7dc009aa,0x6ffa807f,0x7dc0a980,
    0x2fff885f,0x87fff000,0x0dff91fc,0x87ffd400,0xb000fff9,0x7ffcc7ff,
    0x27ff4000,0xf902fff8,0x8bfea09f,0xfffffffa,0x3ff980df,0x01332200,
    0x5401bfe6,0x0a9807ff,0xffcaffdc,0x85ffb005,0xa800fff9,0x3ffe209a,
    0x7fff0002,0x7d417fd4,0x85ffffff,0x7fc43ff9,0x2bff7007,0x55444ffc,
    0x03ffc400,0x7fc1fff8,0x07ffcc04,0xfc80bf90,0x04d4c44f,0x9ff90000,
    0x07fb0bf2,0x80026a60,0xffffffeb,0x3ffa60cf,0x700bffff,0xff300dff,
    0x3fff2a0f,0x0bff74ff,0x0005fff1,0x2fc8fffe,0x8001bff2,0xff50fffa,
    0x5555555f,0x49ffb555,0x4003fff8,0xff900999,0x407ffe0b,0x77fd45fd,
    0x0effeeee,0x26006fb8,0xffb806ff,0x0fff3005,0x3fffff2a,0x3f2bff74,
    0x9ff9004f,0x001fff98,0x00bffe20,0xfb1fffc0,0x37dff50b,0xf707ffb7,
    0x006ffa8d,0x3ff2bff5,0xdfffff74,0x01ffe207,0x3f60fffc,0x07ffcc06,
    0xfc805f98,0xffffd34f,0xffb803bf,0x229ff905,0x3fe62c81,0xfffffb14,
    0x7fec405d,0xffffffff,0xfffffc8e,0xf706ffff,0xfff300bf,0xffffffb0,
    0x0bff7bff,0x0005fff1,0x3ff77ffe,0x0037fe42,0x2e1fff50,0xffffffff,
    0xffffffff,0x007ffec5,0x3ffe6000,0x8837fd40,0x83fd41ff,0xff883ffa,
    0x0bff5001,0x2009ff90,0xffd87ff8,0xbdffffff,0x07ff95ff,0xf317fee0,
    0x440005ff,0xf0002fff,0x07fe27ff,0x3ea07ff5,0x70ffc41f,0x3e600bff,
    0xf99ff95f,0xbfffffff,0x200fff10,0x7fdc1fff,0x03ffe600,0x9ff90028,
    0xfffffff7,0x7fdc03ff,0x009ff905,0xfe9cff98,0x4fffffff,0x359fffd0,
    0xfffffb53,0xf7535bff,0xbff709ff,0xd8fff300,0xda9bdfff,0x885fffff,
    0xf0002fff,0x90159dff,0x54000dff,0xfff90fff,0xffffffff,0xb8dfffff,
    0x001cffff,0xb0fffa00,0x1bee07ff,0x5fd81fea,0x32009fb0,0xffd804ff,
    0x8fff1003,0xa9bdfffd,0x95fffffd,0x3ea005ff,0x04fff86f,0x0bffe200,
    0xb9fffc00,0x406fd86f,0x24fd82dc,0xf1004ffc,0x3ffff2bf,0xffda9bdf,
    0x07ffc46f,0x220fffc0,0x3fe603ff,0xfc80000f,0xbabdffff,0x700efffd,
    0x3ff20bff,0x77fcc004,0xfdbacfff,0x7fd41fff,0x3fff200e,0xffd101ff,
    0x805ffb85,0x3fe67ff9,0xffff504f,0x05fff10b,0x00fffe00,0x4000dff9,
    0xff70fffa,0x5555555d,0x05555555,0xbffffff9,0x7dc00037,0x03ffe26f,
    0x3fd427e4,0x3ee07fd0,0x2fff8805,0x004ffc80,0x7fccfff3,0xffff504f,
    0x400fff2b,0xffd85ffb,0x3fe20006,0xfff0002f,0x3fe13f27,0x97ee0002,
    0xf3005ffb,0x3ffff2bf,0x45fff703,0xf800fff8,0x05fe81ff,0x0003ffe6,
    0x0fffff20,0xb81fffd4,0x9ff905ff,0xffff9800,0x5fff980c,0x22017ff4,
    0x4402ffff,0x3fee0fff,0x27ff9805,0x7dc05ffe,0xfff885ff,0x7fff0002,
    0x006ffc80,0x543ffea0,0x400006ff,0xfffffffb,0x44002dff,0xbff50fff,
    0x7d41fec0,0x00ffb887,0xfe880df5,0xbff7006f,0xe9ffea00,0x7fdc05ff,
    0x007ff95f,0x5544fff2,0xaaaafffd,0xfff8801a,0x7fff0002,0x1ff30ff6,
    0x537d4000,0x3ea00dff,0x09fff95f,0x3e26ffc8,0xfff800ff,0x2607fc81,
    0x80000fff,0x6c04fffc,0xbff704ff,0x0013ff20,0xb80dfff3,0x177227ff,
    0x8037ffc0,0x3fee2ffc,0x27ff9805,0xff801fff,0x2fff885f,0x07fff000,
    0x0006ffc8,0x7cc3ffea,0x400000ff,0xffffffd9,0x2003ffff,0x5ffb3ffd,
    0x7d417f40,0xffffffff,0x881fe603,0x5001fffe,0x3ee00fff,0x007ffe7f,
    0x7fe57ffe,0x23ffb005,0xfffffff9,0x8805ffff,0xf0002fff,0x50bfa7ff,
    0xf98000ff,0x401ffe67,0xfff95ffb,0x2fff8801,0x8803fff1,0xffa81fff,
    0x01fff301,0x1fff9000,0x705ffb80,0x3ff20bff,0x7ffcc004,0x07ffcc02,
    0x09ffd000,0xfb93fea0,0x7ff9805f,0x3200dff1,0xfff885ff,0x7fff0002,
    0x006ffc80,0x443ffea0,0xe8803fff,0xca8803ef,0xfffffffe,0x2dff5005,
    0x17f407ff,0x7fffffd4,0x07f9802f,0x005fffd1,0x4017ffc4,0xdff17fff,
    0x657ff200,0x7c400fff,0xffff30ff,0xbfffffff,0x05fff100,0x74fffe00,
    0x003fd42f,0xff89fe60,0x5ffe802f,0x3600bff9,0x7fff13ff,0x01fffa80,
    0x3fe607ff,0xfc80000f,0x6ffa806f,0x320bff70,0x7cc004ff,0x7fc401ff,
    0x9731000f,0x5559fffd,0xf7555555,0x02ffdcdf,0xffabffcc,0x0bff7005,
    0x0005fff1,0xf900fffe,0x7d4000df,0x3fff20ff,0x0fffe400,0x7fed4400,
    0xf800efff,0x404ffaff,0x9ffa83fd,0xa805fea9,0xfffe886f,0xeffb8002,
    0x5fffee00,0xf7005ffa,0x13fff2bf,0x998dff90,0x999effd9,0xfff88009,
    0x7fff0002,0x1ff30ff6,0x237d4000,0x7d406ffb,0x09ff95ff,0x7c53ff20,
    0xfd100fff,0x1bf603ff,0x0007ffcc,0x402ffe40,0xff706ff9,0x013ff20b,
    0x001fff30,0x2e601fff,0xfffffffd,0xffffffff,0x7fffffff,0x26017fee,
    0x0bff77ff,0x2217fea0,0xf0002fff,0xffc807ff,0x3fea0006,0x3bffe20f,
    0x0dfff500,0x3ffea000,0xfffc804f,0x27e401ff,0x3fa23fd4,0x6c2fdc04,
    0x10002fff,0xf903dfff,0x3feeffff,0x2bff5005,0x703ffffc,0x7dc05fff,
    0xff10007f,0x3fe0005f,0xf889f93f,0x41f5402f,0xdfff85fb,0x5ffff980,
    0x2e007ff9,0xffff15ff,0xfffd881b,0x01ff701f,0x0001fff3,0x3009ff90,
    0x3fee0dff,0x009ff905,0xf007ff98,0xffe881ff,0xedffffff,0xffffffff,
    0xffffffff,0x300bff70,0x13ff6fff,0xf82ffcc0,0xf88003ff,0x7fe403ff,
    0x3fea0006,0x7fffd40f,0xfffeb9ac,0x2200000f,0xf9807ffd,0xfa806fff,
    0xf987fa87,0x50ffa02f,0x80007fff,0xedfffff9,0xb7ffefff,0x3e6009ff,
    0xfffff95f,0xfffb737b,0x06ffa80b,0x00fffe00,0x54fffe20,0x206fd87f,
    0x3fe85ff8,0x9befffa8,0x5fffffca,0x2a005ff9,0xffff16ff,0xfffd9bff,
    0x3e603fff,0x0fff982f,0x4ffc8000,0x706ff980,0x3ff20bff,0x3ffcc004,
    0x260fff80,0xacdfffff,0x2ab3ffa1,0xaaaaaaaa,0x17fee2aa,0x7ddffe60,
    0xbff3005f,0x000fffe0,0x900bffe2,0x54000dff,0xffa80fff,0xffffffff,
    0x0265c41f,0x01fff980,0x003fffe8,0x07fa85ff,0xff301ff9,0x004ffc81,
    0xffffd100,0xdff57fff,0x4c017fee,0xbbff95ff,0xffffffff,0x09ff7009,
    0x01fffc00,0xf17ffc40,0x0dff885f,0x2617fecc,0xfff300ff,0xf7dfffff,
    0x00fff2bf,0xff8affdc,0xffffffbf,0x201ffccf,0xfff984ff,0xffc80000,
    0x06ff9804,0x3f20bff7,0x7fcc004f,0x41fff007,0x200aefff,0x40003ffe,
    0xf9805ffb,0x00dff57f,0x7f417fea,0xff98004f,0x37fe401f,0xf7017722,
    0x7fe440ff,0x103fffff,0x20005fff,0xfb803ffe,0xdf9000ff,0xff107fa8,
    0xfd0bfb0b,0x0062005f,0x37bfd951,0x7fd5bfea,0x2bff5006,0xfff74ffc,
    0x320039df,0x3a0002ff,0xf98004ff,0x21bf21ff,0xfecdfffb,0x05fd83ff,
    0x7ffffec4,0x3f2bff74,0x9ff9003f,0x7fd5ffe2,0x3ff94fff,0x7cc3fe40,
    0xc80000ff,0xff9804ff,0x20bff706,0x4c004ffc,0xfff007ff,0x007ffea1,
    0x4400fffe,0xff980000,0x200fff17,0xff905ffb,0xfff9000d,0x46ffc801,
    0x7e407ff9,0xbf91007f,0x09ffb001,0x007ffe00,0x88017fea,0x81fea4ff,
    0x3fee2ffa,0x00fffc41,0x0004ffd8,0x7fc57fea,0x2bff7007,0x05444ffc,
    0x01bfe200,0x00dff900,0x441fff90,0xffe984ff,0xfb82efff,0x06a6001f,
    0x3ff2bff7,0x27ffb004,0x0d4c7ff8,0x41ffa800,0x0000fff9,0x9804ffc8,
    0xbff706ff,0x0013ff20,0x3e00fff3,0x0dff90ff,0x00dfff30,0x80017ff6,
    0x3ffe6ff9,0x05ffe802,0x4007fff5,0xc806fff8,0x7ffc46ff,0x01bff200,
    0xf7003fc8,0xfa8001ff,0x5ffb007f,0x12ffa800,0x30998033,0x3ffe09ff,
    0x45fff002,0x3ff2001a,0x200bffe4,0x9ff95ffe,0x3fee0000,0x7fd40001,
    0x3fe2003f,0x02ffa86f,0x26035753,0x700004ff,0x1fff2bff,0x447ffe60,
    0x400007ff,0x7fcc3ff8,0xfc80000f,0x6ff9804f,0x320bff70,0x7cc004ff,
    0x1fff007f,0xd101bff2,0xa805ffff,0x20003fff,0x3ff66ffa,0x2fffd406,
    0x02ffff88,0x007fff90,0xfff0dff9,0x13ffe207,0x1001fe80,0x2005ffff,
    0x8804ffe9,0xfb0006ff,0x3ea0007f,0x17ff606f,0xf83ffee0,0x7fc401ff,
    0x01bff62f,0x3f2bfff5,0xfb80004f,0xf880003f,0xf9002fff,0x3ff607ff,
    0xdff50003,0x7fdc0000,0x807fff95,0x3fe25ffd,0xfe800007,0x007ffcc5,
    0x027fe400,0xfb837fcc,0x09ff905f,0x007ff980,0x3fee1fff,0x3fff602f,
    0xfd102fff,0xfb8000ff,0x17ffa25f,0x02ffffcc,0x037ffff7,0x01bfffa6,
    0x7e437fe4,0x3fa20bff,0x3fe002ff,0x3fff6004,0xfb8809cf,0xfd801fff,
    0xfb10003f,0x322003bf,0x3ea00eff,0x3fe604ff,0x02fff45f,0xe883fff6,
    0xfff305ff,0x013ff2bf,0xb9fff700,0x5103599d,0x7ffff703,0x3fffa603,
    0x37ff6206,0xdff91001,0x7dc00001,0x7ffff95f,0x887fff20,0x800007ff,
    0x3fe60ffb,0x999999af,0xc8199999,0xff9804ff,0x20bff706,0x4c004ffc,
    0xfff007ff,0x37fffe21,0xcfffdb9a,0x9cefffc8,0x01ffffdb,0xfffb9980,
    0x5f7ffcc3,0xffeffca9,0x7fffec05,0xfffeddff,0xf9001fff,0xffff10df,
    0x9ffffdbf,0x21ffd800,0x3fff6029,0xffedefff,0x7901ffff,0x001fffd9,
    0xadfffb80,0x7ffed4c1,0xdfffb004,0x3ffee613,0x6fffdc0e,0xfffb730b,
    0x7dfff303,0xffdff953,0x0013ff2b,0xffffffa8,0xceffffff,0xffb05ffe,
    0xfdbbffff,0x003fffff,0x835bfff7,0x04fffda9,0x5ffb8000,0x7bfffff9,
    0x89fffb73,0x00007ff8,0x3e62ff98,0xffffffff,0x0fffffff,0x4c027fe4,
    0xbff706ff,0x0013ff20,0x3e00fff3,0x3ffea0ff,0x2fffffff,0x7fffffdc,
    0x0002ffff,0x01ffffff,0xfffffff5,0x00bff3bf,0xfffffff9,0x01dfffff,
    0xb837fe40,0xffffffff,0xffa8004f,0x6406ffef,0xffffffff,0x200effff,
    0x01ffffff,0xfffd3000,0xffffffff,0x7f44005d,0xffffffff,0xfffb01ff,
    0xffffffff,0x7fffd405,0xff9dffff,0x0009ff95,0x7fffffc4,0xfffffffe,
    0xf900ffff,0xffffffff,0x4001dfff,0xffffffe9,0x02efffff,0xbff70000,
    0x3ff2bff2,0x83ffffff,0x00007ff8,0x7fcc9ff0,0xffffffff,0x40ffffff,
    0xf9804ffc,0x0bff706f,0x30013ff2,0x3fe00fff,0x7ffecc0f,0xb500ceff,
    0x19ffffff,0x3ffe2000,0x3ae603ff,0xff34ffff,0x3ff2600b,0x2dffffff,
    0x06ffc800,0x3fffffa6,0x3f60003d,0x9804ffff,0xffffffec,0x7f400bde,
    0x00002fff,0xfffffc98,0x20001dff,0xfffffffa,0x7fdc00cf,0x2effffff,
    0xfffeb980,0x32bff34f,0x6c0004ff,0x6dc409df,0x0cffffff,0x3ffff260,
    0x002dffff,0x3ffff260,0x0001dfff,0xcaffdc00,0xffff72ff,0x3fe203df,
    0xfb000007,0x7ffffccd,0xffffffff,0x7fe40fff,0x06ff9804,0x3f20bff7,
    0x7fcc004f,0x01fff007,0x20006a62,0x80001aa8,0x001bccb8,0x000002a2,
    0x01355533,0x4c400000,0x2200001a,0x88000abb,0x4000aaa9,0x0000acc9,
    0x00333000,0xcca98800,0x5d4000ab,0x0001bcdc,0x33100151,0x00880001,
    0x0006aa60,0x026aaa66,0x06660000,0x31000000,0x03510013,0x00006660,
    0x000154c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc40000,0x99999999,0x99999999,0x13330199,0x02666000,
    0x33333330,0x00033333,0x00d55440,0x20000ccc,0xa9800998,0x0555442a,
    0x00006662,0x26666666,0x99999999,0x20099999,0x15553002,0x15553000,
    0x15bb5000,0x26203fd4,0xbdd98009,0xa883fe20,0x999802aa,0x99999999,
    0x55510001,0x2aaa6005,0x554c0001,0x3000000a,0x55001555,0x02aa9835,
    0x2a215554,0x32e600aa,0x155511cc,0x2661aaa8,0x99880009,0x0aaaa201,
    0xa82b76a0,0xfb00006f,0xffffffff,0xffffffff,0xff03ffff,0x3fe0005f,
    0x3ffe203f,0xffffffff,0x40002eff,0x4c04fffa,0x20000fff,0xf9804ffc,
    0x17ffa2ff,0x0001ffea,0xfffffff1,0xffffffff,0x309fffff,0xfff100dd,
    0xff9000bf,0xffe8005f,0x4febdfff,0x2027fe40,0xbefffffd,0xfffc86fd,
    0x3fffe202,0xffffffff,0x3f2002ef,0xff8801ff,0x220000ef,0x0006ffff,
    0x06fff880,0x221fff70,0x7cc02fff,0x13ffa1ff,0x7fffff44,0xfa9bff64,
    0x1bff21ff,0x81bffa00,0x7401fffd,0xebdfffff,0xf980004f,0xffffffff,
    0xffffffff,0xf81fffff,0xff0002ff,0x7ffc407f,0xffffffff,0x003fffff,
    0x809fff50,0x0000fff9,0x5c013ff2,0x6ffb8fff,0x000fff50,0xffffff88,
    0xffffffff,0x44ffffff,0xfe806ffa,0x4003ffef,0x2002fffc,0xfffdcff9,
    0x7e401fff,0x37fe204f,0x3ffffffc,0x440dffb0,0xffffffff,0xffffffff,
    0x1fffc403,0x00fffb80,0x7f7fec00,0x5c00004f,0x36000fff,0x09ffb5ff,
    0x2e3bfee0,0x3ff605ff,0x3a22ffff,0x2ffe8bff,0x001fffc4,0x2203fff7,
    0x7d403fff,0xfffffdcf,0xfc80001f,0xfffeeeff,0xeeeeeeee,0xf80eeeee,
    0xff0002ff,0x7ffc407f,0xfeeeeeee,0x06ffffff,0x04fffa80,0x0007ffcc,
    0x4009ff90,0x0fffdffd,0x000fff50,0xeeeeee88,0xeefffeee,0x43eeeeee,
    0x7e406ffa,0x02ffe8df,0x00bfff20,0x36a25fc8,0xffc802df,0x951fea04,
    0x7f4405df,0xdfff102f,0xffdddddd,0x40dfffff,0x3e005ffc,0x640002ff,
    0x07ffd6ff,0x17ffc000,0x37ffa200,0x7ec005ff,0x100effdf,0x1537dfff,
    0xffdfff98,0x01fff704,0x40bfff10,0xfc804ffc,0x0b7f6a24,0x3ffe2000,
    0x001ffee4,0x9fff7510,0x55555555,0xfff55555,0xfff1055b,0xfff91003,
    0xcc9800bf,0x7ffcc02c,0x3ff20000,0x7fff4004,0x1ffea01f,0x3ee00000,
    0xffa8007f,0x43ffee06,0x5000fffa,0x44003999,0xfc800009,0x0026204f,
    0x20dff300,0x8801fff8,0x885ffffc,0xf7000eff,0xfa80009f,0x3fff31ff,
    0x9ff70000,0x3ffe6000,0x744000ef,0x2a01ffff,0xfa800fff,0x7f405fff,
    0xfffb804f,0x00dff100,0x00000262,0xb83fff20,0x5c0007ff,0xffffffff,
    0xffffffff,0xffffffff,0x01fff887,0x0ffffa60,0xff980000,0x3f20000f,
    0x6644004f,0x3ffd402c,0x7dc00000,0xffa8007f,0x70b33206,0x00000799,
    0xfc800000,0x0000004f,0xff101993,0x7f4c003f,0x0e64c3ff,0x00079700,
    0xcb859970,0xcb80003c,0x66540003,0x9930001c,0x6ffb8059,0x03332e00,
    0x403fff50,0x2a04fff8,0x000000cc,0x7ffc4000,0x003ffdc4,0x3ffffee0,
    0xffffffff,0xffffffff,0xff887fff,0x7fc4001f,0x2aa2007f,0x0fff9801,
    0x13ff2000,0xff500000,0x8000160f,0xa8007ffb,0x000006ff,0x0004d4c0,
    0x80035530,0x00004ffc,0xfff10000,0xfff88003,0x00000007,0x00000000,
    0x00000000,0x7fdc0000,0x6c000005,0x3ff205ff,0x4000000f,0x0001aaa8,
    0xb81fff90,0x440007ff,0xaacfffba,0xaaaaaaaa,0xadfffaaa,0x01fff882,
    0x03fffb80,0x3fffff22,0xfff301ef,0x7fe40001,0x05440004,0x6c47ffa8,
    0x3ee00007,0x3ff6007f,0x007fffff,0xffdb9800,0x1001dfff,0xdffffffb,
    0x09ff9003,0xf7009ff9,0x3e2000bf,0xfb8001ff,0x200003ff,0x000001a9,
    0x00000000,0x00035300,0x13fee000,0xff300000,0x7fff105f,0x400a8800,
    0xffffffea,0xf10001ef,0xfff709ff,0x7ffc0000,0x7fff0002,0x00fffc40,
    0x305ffe80,0xfffffffd,0xfff307ff,0x7fe40001,0x23ff9004,0x542efffe,
    0x1ffa27ff,0x7ffb8000,0x3ffff600,0x3ee07fff,0xfff7005f,0x7fffffff,
    0xfffffb80,0x404fffff,0xffc84ffc,0x85ffb804,0xff105ffb,0x3fa0003f,
    0x217fee5f,0xffd52ffc,0xfd81bfff,0x7ffdc04f,0x91ffe200,0xffffffff,
    0x4fffffff,0xffd52ffc,0xf901bfff,0xffffffff,0x5cffffff,0x3f2004ff,
    0x3ff2004f,0x206ffd86,0xfffd1ffc,0xfffd885d,0xffffffff,0xfffb8003,
    0x007ffb80,0x00bffe00,0x101fffc0,0x20003fff,0xffa86ffb,0xfdb9abff,
    0x7ffcc4ff,0x3ff20000,0x93ff9004,0xa85fffff,0x5fff37ff,0x7fdc0000,
    0x3f2aa007,0x2e02aaef,0xffb805ff,0xffc9abff,0xfff502ff,0xffd7357d,
    0xa7fe40bf,0x2013ff23,0xffb85ffb,0x03fff105,0xb9bfee00,0xaffc85ff,
    0xfffffffa,0x1bfea2ff,0x405fffd0,0x7fe45ffa,0xffffffff,0x3f27ffff,
    0xfffffaaf,0x7e42ffff,0xffffffff,0x2e7fffff,0x3f2004ff,0x3fe2004f,
    0x0bffe63f,0xffc9ffc8,0x7ff42fff,0xfda99acf,0x22000fff,0xff705fff,
    0x7fc0000f,0xfff0002f,0x0fffc407,0x87ffa800,0xf700dffe,0x7ffcc3ff,
    0x3ff20000,0xfbff9004,0xf50fffff,0x03dff7ff,0x7ffb8000,0x06ffa800,
    0x880bff70,0xfd00dfff,0xbfff10ff,0x0bfff201,0x93e67fe4,0xff7009ff,
    0x20bff70b,0x0001fff8,0x7fdcfff5,0xffdffc85,0xfffebabe,0x403ffe27,
    0x204ffff8,0x66542ffc,0xcccccccc,0x3f24fffc,0xbabeffdf,0x6547fffe,
    0xcccccccc,0x2e4fffcc,0x3f2004ff,0x7fdc004f,0x9017ff67,0xfffffbff,
    0x02fff98f,0x800fffe6,0xf701fffb,0x7c0000ff,0xaaaaacff,0xaaaaaaaa,
    0x3e203fff,0xf10001ff,0x77fdc1ff,0x337fdc00,0x40001fff,0xf9004ffc,
    0x0a617fff,0x3bffffea,0xfb800000,0xffa8007f,0x0bff7006,0x4c07ffc8,
    0x7fec2fff,0x0fffc806,0x27ffffc8,0xfb804ffc,0x05ffb85f,0x0003fff1,
    0x7dc3ffe2,0xffffc85f,0x45fff903,0xff502ffe,0x7ffc0dff,0xfff10000,
    0x3ffffc8b,0x005fff90,0xb8bfff10,0x3f2004ff,0xffe8004f,0x401fff9b,
    0x30bffffc,0x805ffd85,0x3e005ffc,0x3fee05ff,0xffffffff,0xf01fffff,
    0xffffffff,0xffffffff,0x75507fff,0x55559fff,0x7fc40355,0x00bffe2f,
    0xff98fffc,0x13ffe00f,0xffc93ff2,0x13fff20f,0x2ffffd40,0xff700000,
    0xdff5000f,0x017fee00,0xdb007ffb,0x17ffc45b,0x41fffc40,0x322ffffc,
    0xffb804ff,0x545ffb85,0xaacfffba,0x2201aaaa,0xbff72fff,0x809fff90,
    0x3fee5ffd,0xffdff905,0x00bff301,0x03bffa20,0xd809fff9,0x744005ff,
    0x7fdc0eff,0x13ff2004,0x3bffea00,0xffc804ff,0x1dcb804f,0x005ffb80,
    0x5c03fff7,0xffffffff,0x1fffffff,0xfffffff0,0xffffffff,0xf07fffff,
    0xffffffff,0xf807ffff,0x1fff33ff,0x4cfff600,0x3fe00fff,0x24ffc84f,
    0x3f20fffc,0xff5000ff,0x2600009f,0xffdccccc,0x03cccccf,0x5c01bfea,
    0x7ffc05ff,0x3fe60000,0x13ff2006,0xf907fff2,0xbff7009f,0xff8bff70,
    0xffffffff,0x7fc03fff,0x90bff73f,0xfc801fff,0x41ffe65f,0x82ffcefe,
    0xb0003ffb,0xff901fff,0x5ffc801f,0x07ffec00,0x90027fdc,0xccb809ff,
    0xfffffccc,0x0cccccdf,0x0003fff2,0x01bfea00,0x2e02fff4,0xffffffff,
    0x1fffffff,0x999bfff0,0x99999999,0xf07fff99,0xffffffff,0x4407ffff,
    0xfff53fff,0x55555555,0x269ffb55,0x3fe00fff,0x24ffc84f,0x3f20fffc,
    0xfff3007f,0x7d40000f,0xffffffff,0xb86fffff,0x3ccfffdc,0x8817fee0,
    0x5c0007ff,0x3ee005ff,0x27ffd45f,0x5c027fe4,0x5ffb85ff,0x7ffffffc,
    0x03ffffff,0x7dcfffe2,0x06ffc85f,0x7f46ffb8,0x567fc41f,0x0ffe84ff,
    0x1fffc800,0x700dff90,0x7e400dff,0x9ff701ff,0x027fe400,0x3ffffffa,
    0xffffffff,0x3ff20fff,0x75300007,0x500dfffd,0xfb803fff,0x3e00007f,
    0xff0002ff,0x7ffc407f,0xfff30001,0x3ffffee5,0xffffffff,0xfff35fff,
    0x41666401,0x332a4ffc,0x4037fe44,0x007ffffa,0x3bbbaa00,0xeeefffee,
    0xfffd85ee,0x2e06ffff,0x3fea05ff,0x7fe40006,0x9ffea004,0xc84ffffb,
    0xffb804ff,0x105ffb85,0x20003fff,0xff72fff9,0x00bff90b,0xffc8dff5,
    0x7c57fd43,0x037fc46f,0x017ffdc0,0xf500bff9,0x3fee00df,0x13fee02f,
    0x404ffc80,0xfffffffe,0xffffffff,0x1bff20ff,0x3ff72600,0x6fffffff,
    0xccfffe80,0xfecccccc,0x3e00007f,0xff0002ff,0x7ffc407f,0xfff50001,
    0x3fffff25,0xffffffff,0xfff36fff,0x7fe40001,0x0bff9004,0x0ffffff0,
    0xff700000,0x7f76400f,0x2e05eeff,0x3fee05ff,0x7fec0005,0x9ffe6004,
    0xc84fffff,0xffb804ff,0x105ffb85,0x20003fff,0xff72fffa,0x009ff90b,
    0xff98dff5,0xfe87fec5,0x00ffea0f,0x807fff50,0xfa804ffc,0xfffa806f,
    0x027fdc03,0x8809ff90,0xfc999999,0x999999ef,0x002ffe41,0xffffffd3,
    0x0dffbbff,0xffffffa8,0xffffffff,0x3e00007f,0xff0002ff,0x7ffc407f,
    0xfff70001,0x2abbfee3,0xaaaaaaaa,0xfff32aaa,0x7fe40001,0x09ff9004,
    0x0fff7bf0,0xff700000,0xdff5000f,0x817fee00,0x40006ffb,0x2a004ffc,
    0x3f2fe7ff,0x04ffc84f,0xfb85ffb8,0x3fff105f,0x3ffee000,0xf90bff71,
    0xdff5009f,0x6ff8fff0,0xffd8bff2,0x3ffe6001,0x04ffc805,0x4c06ffa8,
    0xfb805fff,0x3ff2004f,0x3fee0004,0x13ff2005,0x7ffffcc0,0xff709bce,
    0xffffe80d,0xffffffff,0x00007fff,0x4000bffe,0x3e203fff,0xfb0001ff,
    0x037fd4df,0x03ffe600,0x04ffc800,0x9009ff90,0x0001ffea,0x01ffee00,
    0x401bfea0,0x3e605ffb,0x7dc0007f,0x3fee005f,0x427fe466,0xfc804ffc,
    0x05ffb85f,0x0003fff1,0xffb9bff6,0x804ffc85,0xffd86ffa,0x7d49ff32,
    0x801bfe4f,0x9006fff9,0xff5009ff,0x37ffcc0d,0x004ffb80,0x55013ff2,
    0xffb55555,0x5555555d,0x8804ffc8,0x200affff,0x3ea06ffc,0xaaaaabff,
    0x7ffdaaaa,0x3ffe0000,0x7fff0002,0x00fffc40,0x327ffc40,0x40001fff,
    0x0000fff9,0x64013ff2,0x3ea004ff,0x8000007f,0xa8007ffb,0xff7006ff,
    0x07ffc40b,0xf526f4c0,0x7fe400df,0xc84ffc85,0xffd804ff,0x105ffb85,
    0x10003fff,0x7fdc9fff,0x804ffc85,0xffa86ffa,0x7c43ff74,0x009ff56f,
    0x003bffa2,0x54027fe4,0xffd106ff,0x3fee001d,0x13ff2004,0xffffffd0,
    0xffffffff,0x7fe41fff,0x1fff9804,0x206ffd80,0x2e006ffe,0x200007ff,
    0xf0002fff,0x7fc407ff,0xffd8001f,0x0fffe21f,0x4cfbfa20,0x20000fff,
    0xf9004ffc,0x7fd4009f,0xb8000007,0xfa8007ff,0xbff7006f,0x803fff80,
    0x3fe64ffc,0xfff8802f,0xb84ffc83,0xfff805ff,0x105ffb85,0xb0003fff,
    0x7fdc3fff,0x804ffc85,0xff886ffa,0xffd0ffb6,0x2003ff91,0x2001fffe,
    0xfa804ffc,0x3fffd06f,0x027fdc00,0xe809ff90,0xffffffff,0xffffffff,
    0x013ff20f,0x7401bfee,0xfff306ff,0x3ffdc005,0x5fff0000,0x0fffe000,
    0x001fff88,0x642fffd4,0x7e400fff,0x1fff31ff,0x27fe4000,0x004ffc80,
    0x0001ffea,0x01ffee00,0x401ffea0,0x7e405ffb,0x7ff4406f,0x4037fec2,
    0xfc80fffc,0x0fffb84f,0x217ffee0,0xff105ffb,0xffa8003f,0x42ffdc5f,
    0xfa804ffc,0xf3ffb06f,0xf5ff90bf,0x3ff600ff,0x7fe4001f,0x86ffa804,
    0x4001fffd,0x32004ffb,0x4cc404ff,0xeffc9999,0x41999999,0xfc804ffc,
    0x7fe400ff,0x0dffb06f,0x007ffb80,0x00bffe00,0x101fffc0,0x5c003fff,
    0xf881ffff,0xff500eff,0x07ffccdf,0x09ff9000,0x8013ff20,0x00007ffa,
    0x007ffb80,0x801fffa8,0x7c405ffb,0xfd880dff,0xdfff886f,0x07fff900,
    0x3e213ff2,0xfff505ff,0x0bff70bf,0x8007ffe2,0x5c1ffffb,0x4ffc85ff,
    0x706ffa80,0x307ffbff,0x009ffdff,0x0005fff9,0xf5009ff9,0x2fffc8df,
    0x04ffb800,0x0013ff20,0x2005ffb8,0xfa804ffc,0x3fee03ff,0xfff987ff,
    0x7ffdc003,0x99999999,0xf8099999,0xff0002ff,0x7ffc407f,0x9999999b,
    0x3ffffeba,0x33fffea0,0xffffeb9a,0x26bffe60,0x99999999,0x13ff2199,
    0x0027fe40,0x3333fff5,0x33333333,0x7ffb8003,0xffff9800,0xbff700ee,
    0x7dfff500,0x3ffffb55,0x33bffee0,0x3fffeb9a,0x6c13ff20,0xecacffff,
    0xb85ffcff,0xfff105ff,0x33333337,0x7ffffd75,0xf90bff70,0xdff5009f,
    0x3ffffe20,0x5fffff01,0x03fffb80,0x009ff900,0x7fdcdff5,0xff70003f,
    0x27fe4009,0x0bff7000,0x4027fe40,0x9bdfffe8,0xffeffeba,0x007ffd87,
    0xffffffb8,0xffffffff,0x2fff85ff,0x07fff000,0x7fffffc4,0xffffffff,
    0xfa803fff,0xffffffff,0x7ffcc1ff,0xffffffff,0xf90fffff,0x3ff2009f,
    0x3ffea004,0xffffffff,0x000fffff,0x4001ffee,0x01fffffd,0x2a00bff7,
    0xffffffff,0x7fd402ff,0xffffffff,0x827fe403,0xffffffe8,0x85ff8bff,
    0xff105ffb,0xffffffff,0x7fffffff,0x3217fee0,0xffa804ff,0x1ffffa06,
    0x407fffd8,0xeccffff9,0xeeeeeeee,0x009ff93e,0x3fe6dff5,0xeeeeccff,
    0x73eeeeee,0x7e4009ff,0x3ee0004f,0x3ff2005f,0xffff3004,0x27ffffff,
    0x3fe61fff,0xffb8003f,0xffffffff,0x85ffffff,0xf0002fff,0x7fc407ff,
    0xffffffff,0x00cfffff,0x3ffff220,0xff303fff,0xffffffff,0x21ffffff,
    0xf9004ffc,0x7fd4009f,0xffffffff,0x00ffffff,0x001ffee0,0x02fffec8,
    0x4400bff7,0xcffffffd,0xfffb1000,0x90039dff,0xffc809ff,0xff12efff,
    0x20bff70b,0xfffffff8,0xffffffff,0x17fee00c,0x2a013ff2,0x3ff206ff,
    0x3ffee05f,0x7fffcc05,0xffffffff,0xff94ffff,0x2dff5009,0xfffffff9,
    0xffffffff,0x009ff74f,0x00027fe4,0x6400bff7,0x362004ff,0x0dffffff,
    0xffc93ff2,0xffb8000f,0xffffffff,0x85ffffff,0xf0002fff,0x7fc407ff,
    0xffffffff,0x0000beef,0x2004d4c4,0xfffffff9,0xffffffff,0x009ff90f,
    0xa8013ff2,0xffffffff,0xffffffff,0x1ffee000,0x80262000,0x10005ffb,
    0x88000355,0x7e4000aa,0x0351004f,0x20bff700,0xfffffff8,0x0beeffff,
    0xc85ffb80,0xffa804ff,0x0fffe606,0x402fff98,0xfffffff9,0xffffffff,
    0x009ff94f,0x3fe6dff5,0xffffffff,0x74ffffff,0x7e4009ff,0x3ee0004f,
    0x3ff2005f,0xaa988004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00666000,0x41aaa800,0x26660aaa,0x99999999,0x2e600009,0x26660bcc,
    0x13310000,0x4ccccccc,0x99999999,0x00099999,0x53100353,0x26666003,
    0x4ccc0001,0x33100009,0xfffff700,0xbfffffff,0x00001998,0x33330098,
    0x33333333,0x4c400133,0x4c000099,0x99988199,0x99999999,0x41999999,
    0x33000199,0x09998133,0x21333000,0x99999999,0x99999999,0x22133109,
    0x4c000099,0x99999999,0x99999999,0x44266209,0x20000099,0x0abccba8,
    0x4cccccc0,0x00199999,0xccccc980,0xf8bccccc,0xd00001ff,0x7ffc47ff,
    0xffffff11,0xffffffff,0x3fe6005b,0xff32ffff,0x3fa000df,0xfffff13f,
    0xffffffff,0x9fffffff,0x209ff100,0xffffffc8,0xffff302e,0x3e20003f,
    0x88005fff,0x7e400fff,0xffffffff,0x3fe65fff,0x9100000f,0xffff103f,
    0xffffffff,0x8019dfff,0x0006fffa,0x3613ffea,0xffffffff,0xffffffff,
    0x03ffe67f,0x3ffff900,0x0002fff8,0x3ffe7fff,0xffffffff,0x95ffffff,
    0x13ff29ff,0xffff8800,0xffffffff,0x26ffffff,0x9ff94ffc,0x3fee0000,
    0x0cffffff,0xffffff88,0xefffffff,0x57ffd802,0xffffffff,0x3fff1bff,
    0x3ffa0000,0x447ffe23,0xffffffff,0xffffffff,0x3ffa201f,0xff30ffff,
    0xfd0007ff,0x3fffe27f,0xffffffff,0xffffffff,0x27ff4404,0x7fffffdc,
    0x4c0dffff,0x003fffff,0x0bffff70,0x01fffb00,0xffffffe8,0x25ffffff,
    0x0000fff9,0xf103fff0,0xffffffff,0xffffffff,0xfffd803d,0xfff88003,
    0xffffd80e,0xffffffff,0x267fffff,0x32000fff,0xff80efff,0xfff0002f,
    0x3fffffe7,0xffffffff,0x9ff95fff,0x80013ff2,0xfffffff8,0xffffffff,
    0x3ff26fff,0x0009ff94,0xffffffd0,0x885fffff,0xffffffff,0xffffffff,
    0x55fff603,0xffffffff,0x1fff8dff,0x7ffd0000,0xf88fffc4,0xeeeeeeff,
    0xfffffeee,0xbfff700f,0x7ffcc535,0x7f4001ff,0xddddd13f,0xdfffdddd,
    0x7ddddddd,0x44fffd80,0xaacffffa,0x4c5fffeb,0x006fffff,0x0bffffd0,
    0x0ffffb80,0x4ccfffc0,0x09999999,0x0003ffe6,0x440fffc0,0xccccdfff,
    0xffedcccc,0x3e202fff,0x64000fff,0xdd901fff,0xdddddddd,0xffffdddd,
    0x8007ffcc,0xf00efffc,0x3e0005ff,0xddfff3ff,0xdddddddd,0x3f29dddd,
    0x009ff94f,0x777ffc40,0xeeeeeeee,0x325eeeee,0x09ff94ff,0xdfffc800,
    0x3fffee21,0x3bbffe20,0xfffeeeee,0xfb06ffff,0x3e2000ff,0x100001ff,
    0x21998133,0x3001fff8,0x320dfffd,0x3fe606ff,0x74006fff,0x3ee003ff,
    0x3620007f,0x3e24ffff,0xff700dff,0x7fffcc7f,0x7c4001ff,0x2005ffff,
    0x00fffff9,0x4001ffe2,0x0000fff9,0xf103fff0,0x644005ff,0x7d407fff,
    0x3ea005ff,0x800004ff,0x3e63fffc,0xffc800ff,0x3ffe00ef,0x7fff0002,
    0x0000fffe,0x3ff29ff9,0x3fe20004,0x5300002f,0x013ff235,0x04fffa80,
    0xf89bffe6,0xfb8801ff,0xccb85fff,0xfff10004,0x00000003,0x0007ffe2,
    0xfb03fffb,0x7ffcc09f,0x3a003fff,0x3ee003ff,0xff50007f,0x7e49ffff,
    0x7ffc806f,0x3ff7ffe6,0x77fdc003,0x3fa005ff,0x2a00ffff,0xf30005ff,
    0x200001ff,0xff881fff,0xffc8002f,0x7ffec01f,0x6ffe8802,0xffb80000,
    0x07ffcc5f,0x03bfff20,0x0005fff0,0x7ffcfffe,0x7fe40003,0x0009ff94,
    0x0017ffc4,0x09ff9000,0x037fec00,0xf887ffd4,0x3a2001ff,0x00003fff,
    0xffffff88,0xdeeeffff,0x3e200002,0x7cc001ff,0x2ffe83ff,0x3fbffe60,
    0xffd001ff,0x3ffdc007,0x3fff6200,0x3fa4ffef,0xfff8802f,0xff5fff30,
    0xcefe800d,0xff9005ff,0x5c01fff9,0xf30004ff,0x200001ff,0xff881fff,
    0xfff0002f,0xffff8807,0x0fffe400,0x3fea0000,0x7ffcc0ef,0x3bfff200,
    0x02fff800,0x3e7fff00,0x640003ff,0x09ff94ff,0x17ffc400,0xff900000,
    0x7ffc0009,0x25fff002,0x4001fff8,0x8007fff8,0xff885ffb,0xffffffff,
    0x0cffffff,0x7ffc4000,0x5fff8001,0x2602ffe8,0x6fff9fff,0x007ffd00,
    0x2003ffdc,0xfc8effff,0x03fff14f,0x7ccbffe0,0x01fff8ff,0xff99ff30,
    0x1bff300b,0x7ec01fff,0xff30002f,0x7d40001f,0x3fffffff,0x0005fff1,
    0x2a017ff6,0x3e605fff,0x400003ff,0x980ffff9,0xff900fff,0x3fe001df,
    0xfff0002f,0x000fffe7,0x3f29ff90,0x3e20004f,0x000002ff,0x53113ff2,
    0x07ffcc03,0xf13ffe80,0xf50003ff,0xfb8007ff,0xffff885f,0xffffffff,
    0x205fffff,0xff105ffb,0xffb0003f,0x3fffff2d,0x3e60ffff,0x4fffb8ff,
    0x003ffe80,0xf001ffee,0x27fe49ff,0x7fc00753,0x32fff32f,0xff7003ff,
    0x880bff93,0xfff88fff,0x983ffa00,0x7fcc009a,0x3ea0000f,0x3fffffff,
    0x0005fff1,0x6c017ffa,0xfe882fff,0x4400006f,0xf302ffff,0xfff901ff,
    0x7ffc001d,0x7fff0002,0x0000fffe,0x3ff29ff9,0x3bffe604,0x00bffe20,
    0xca7fe400,0xfffd34ff,0x06203bff,0xf11fff80,0x3e0003ff,0x7dc005ff,
    0xbfff885f,0x99999999,0x04ffffc9,0x3e20bff7,0xfe8001ff,0xfffff95f,
    0x7cc1ffff,0x3fffb0ff,0x003ffe80,0xf001ffee,0x04ffc819,0x43ffe600,
    0xdff37ff9,0x7e5bfa00,0x97fec05f,0xf100fff8,0xffff91ff,0x3fe607df,
    0x2a20000f,0x0aabfffa,0x0005fff1,0x2009fff1,0x640ffff8,0x00000fff,
    0x301ffff4,0xffc81fff,0xfff8005f,0x7fff0002,0x0000fffe,0x3ff29ff9,
    0x1dfff304,0x002fff88,0x329ff900,0xffffbcff,0x000fffff,0xf13ffcc0,
    0x320003ff,0x7dc006ff,0x1fff885f,0x3fffa600,0x105ffb80,0x88003fff,
    0xd5533fff,0x985559ff,0xfff10fff,0x03ffe80d,0x001ffee0,0x013ff201,
    0x266ffd80,0x07ffe7ff,0x3f27ff30,0x93fea05f,0xf300fff8,0xffffffff,
    0xf981bfff,0xf00000ff,0xfff103ff,0xfffb0005,0x7ffd4005,0x00fffe64,
    0xbfff9000,0x20fff980,0x0005fffc,0x20005fff,0x7fff3fff,0x4ffc8000,
    0xff309ff9,0xfff101df,0x3f200005,0xfffff94f,0xfffb759f,0x3e20001d,
    0x3ffe25ff,0xfff50001,0x85ffb800,0x4001fff8,0xfb82fffa,0x3fff105f,
    0x1fffd800,0x2602ffe8,0x3fee0fff,0x0fffa04f,0x007ffb80,0x009ff900,
    0x98fffe60,0x0fff27ff,0x3f21ff90,0x1dff105f,0xb807ffc4,0xbbdfffff,
    0x4c6ffffd,0x00000fff,0xff103fff,0x7f4c005f,0xfd8005ff,0x0bffd1ff,
    0xfffa8000,0x0fff9806,0x001ffff9,0x2ab3ffe0,0xaaaaaaaa,0xf3fffaaa,
    0xc80007ff,0x89ff94ff,0x2205fff9,0x9999bfff,0x99999999,0xca7fe409,
    0xf504ffff,0xd10007ff,0x7fc41fff,0xff30001f,0x7fdc001f,0x01fff885,
    0x427ffc40,0xff105ffb,0x3faa003f,0x5ffd05ff,0x207ffcc0,0xfd01fffd,
    0x7fdc007f,0xff900007,0xfff10009,0x267ff98b,0x37f406ff,0x3fa0bff9,
    0x07ffc41f,0x105fffc8,0x7cc9fffb,0xf00000ff,0xfff103ff,0x9999999b,
    0xffffffdd,0xfff10001,0x001fff7d,0x7fffcc00,0x8fff9800,0x05fffffc,
    0xffffff00,0xffffffff,0x27ffffff,0xffffffff,0x6fffffff,0xffca7fe4,
    0x017ffe64,0xfffffff1,0xffffffff,0x4ffc8dff,0xd80bfff9,0x744005ff,
    0x7fc41fff,0xff10001f,0x7fdc005f,0x01fff885,0xb86ffe80,0xfff105ff,
    0xdddddddd,0x1fffffff,0x980bffa0,0x7fc40fff,0x07ffd06f,0x003ffdc0,
    0x004ffc80,0x207fff44,0x7ffc7ff9,0x647ff301,0x4ffb85ff,0x700fff88,
    0xffb009dd,0x03ffe63f,0x0fffc000,0x7fffffc4,0xffffffff,0x0000dfff,
    0x3fffffea,0x3a200002,0xf3001fff,0xfffffbff,0xff0007ff,0xffffffff,
    0xffffffff,0x3fffe7ff,0xffffffff,0x7fe46fff,0x3e69ff94,0xff8805ff,
    0xffffffff,0x6fffffff,0xffca7fe4,0x37fdc00f,0x3fffd100,0x003fff10,
    0x001fffc0,0xff10bff7,0xffd0003f,0x20bff70b,0xfffffff8,0xffffffff,
    0x3ffa00df,0x03ffe602,0x3a13ffee,0x3ee003ff,0xf900007f,0x7f44009f,
    0x7ff982ff,0xfc81ffe4,0x317ff20f,0x3fe20dff,0xf100000f,0x3ffe67ff,
    0xfff00000,0xfffff103,0xffffffff,0x000037bf,0x017ffff6,0x7fffb000,
    0x7fffcc00,0xfffe8cff,0x6fffc001,0xcccccccc,0xfffccccc,0xfffffff3,
    0xffffffff,0xf94ffc8d,0x0bfff19f,0x3ffffe20,0xffffffff,0x7e46ffff,
    0x00fff94f,0x7400dff5,0xff101fff,0x3e20003f,0x3ee003ff,0x1fff885f,
    0x84fff800,0xff105ffb,0xffffffff,0x005bdfff,0x7cc05ffd,0xfffb00ff,
    0x003ffe83,0x0001ffee,0x98027fe4,0xf302fffe,0x06ff98ff,0x5ffc8dff,
    0xf880fff4,0x200000ff,0xfff34ffd,0x3fe00001,0xcfff881f,0xffbaaaaa,
    0x400002ef,0x000ffff8,0x13fff200,0xfffff300,0x037ffcc9,0x000bffe0,
    0xfff9fffc,0x7fe40003,0xfffbff94,0x3fe2007f,0xf900002f,0x01bff29f,
    0x5c01bfe6,0x3e201fff,0xf30001ff,0x7dc005ff,0x1fff885f,0x17ffdc00,
    0xf882ffdc,0xaaaaacff,0xfe80009a,0x3ffe602f,0x8dfff100,0x2e003ffe,
    0x900007ff,0xff3009ff,0x7fcc05ff,0x4c1ffe87,0x2ffe43ff,0x7c407ff9,
    0x200000ff,0xfff36ffc,0x3fe00001,0x2fff881f,0x027ffec0,0x17ff6000,
    0xfffa8000,0xfff98006,0x4fffc84f,0x00bffe00,0xff9fffc0,0x7e40003f,
    0xfffff94f,0xf1003fff,0x200005ff,0x9ff94ffc,0x00dff300,0xf100bffe,
    0x2a0003ff,0x99971fff,0x2217fee0,0x71001fff,0x3ee0dfff,0x3fff105f,
    0xffd00000,0x07ffcc05,0x749fff70,0x3ee003ff,0xf900007f,0xfffa809f,
    0x3ffcc01f,0x3f21ffe4,0xaaffe40f,0x99999eff,0x99fffa99,0x7dc00009,
    0x01fff36f,0x07ffe000,0x200bffe2,0x0003fffd,0x0017ff60,0x07fffcc0,
    0x27ffcc00,0x005fffd0,0x4000bffe,0x7fff3fff,0x4ffc8000,0xfdbffff9,
    0xfff100df,0x3f200005,0x009ff94f,0xf300dff3,0xfff100ff,0x3ff20003,
    0x5c1fff67,0xfff885ff,0xbaaaaaac,0x1fffffdc,0x220bff70,0x00001fff,
    0x2602ffe8,0x7ec00fff,0x07ffd1ff,0x003ffdc0,0x204ffc80,0x800efffb,
    0xff987ff9,0x7e42ffc6,0xfffff75f,0xffffffff,0x0109ffff,0xf9affe40,
    0xf00000ff,0xfff103ff,0x3fffa005,0xffb00002,0xfd10000b,0x260003ff,
    0x3e200fff,0xff800fff,0xfff0002f,0x000fffe7,0x3f29ff90,0x7fff34ff,
    0x02fff880,0x29ff9000,0xf9804ffc,0x5ffa806f,0x01fff880,0x6cfffb00,
    0xbff707ff,0xffffff10,0xffffffff,0x7dc07fff,0x3fff105f,0xffd00000,
    0x07ffcc05,0x75bffe20,0x3ee003ff,0xf900007f,0x3ffee09f,0xfff3000e,
    0x7d47ffa0,0x75ffc82f,0xffffffff,0xffffffff,0x03ffea9f,0xf9a7ff40,
    0xf00000ff,0xfff103ff,0x3ffe6005,0xfd80001f,0xfd80005f,0x260003ff,
    0x7dc00fff,0xfff806ff,0x7fff0002,0x0000fffe,0x3ff29ff9,0x00fffe45,
    0x0005fff1,0x7e53ff20,0x6ff9804f,0x804ffb80,0x8001fff8,0x3f64fff8,
    0x0bff707f,0xfffffff1,0xffffffff,0x5ffb8019,0x003fff10,0x05ffd000,
    0x4007ffcc,0xffecfffb,0x1ffee003,0x27fe4000,0x002fffe4,0x7e41ffe6,
    0x901ff93f,0x3bbaabff,0xeeeeeeee,0x13eeefff,0xf3005fff,0x3ffe65ff,
    0xfff00000,0x05fff103,0x037ffdc0,0x02ffec00,0x13fff200,0x1fff3000,
    0x09fffb00,0x0002fff8,0x3ffe7fff,0x7fe40003,0xe889ff94,0x3fe206ff,
    0xf900002f,0x013ff29f,0x2a01bfe6,0xff8802cc,0xffd8001f,0xf706f80f,
    0xbfff10bf,0x79999999,0x3ee00135,0x3fff105f,0xffd00000,0x07ffcc05,
    0xfffffe80,0x3fee003f,0xff900007,0x04fffb89,0x307ff980,0x417fedff,
    0x88005ffc,0xffd00fff,0x4dffb00d,0x0000fff9,0xf103fff0,0xfe8005ff,
    0x6c0003ff,0x2a0005ff,0x80006fff,0x8800fff9,0x3e02ffff,0xff0002ff,
    0x00fffe7f,0x329ff900,0xfffa84ff,0x05fff103,0x53ff2000,0xf9804ffc,
    0x8800006f,0x54001fff,0x4f985fff,0xf10bff70,0x000003ff,0x3e20bff7,
    0x800001ff,0x3e602ffe,0xff1000ff,0x4007ffff,0x00007ffb,0x7fc49ff9,
    0xff30005f,0x7dfff40f,0x0bff902f,0x01fff100,0x4037ffea,0x3e61fffc,
    0xd00000ff,0xfff107ff,0xfff98005,0x3f60000f,0xff30005f,0x300001df,
    0x2a001fff,0xff00ffff,0x3fe0005f,0x007fff3f,0xf94ffc80,0x3fff609f,
    0x02fff881,0x29ff9000,0xf9804ffc,0x8800006f,0x2e001fff,0xfb81ffff,
    0x10bff702,0x00003fff,0x220bff70,0x00001fff,0x2602ffe8,0x2e000fff,
    0x003fffff,0x0001ffee,0xffb27fe4,0x3333333f,0x26133333,0x3ff207ff,
    0x3ff207ff,0xfff88005,0x3ffff200,0xfffebaad,0x4d7ffcc3,0x99999999,
    0xfffb0199,0x3ffe25dd,0xfffc8002,0x3ff60005,0xffe88005,0x999999af,
    0x99999999,0x01fff309,0x82fffe40,0xf0002fff,0x0fffe7ff,0x29ff9000,
    0xff104ffc,0x7fff10df,0x33333333,0x13333333,0x7fe53ff2,0x06ff9804,
    0x8804ccb8,0x9999bfff,0xffeba999,0x0efb82ff,0xf10bff70,0x000003ff,
    0x3e20bff7,0x800001ff,0x3e602ffe,0x7f4000ff,0x2e003fff,0x900007ff,
    0x3ffea9ff,0xffffffff,0xf33fffff,0x7ffcc0ff,0x17ff205f,0x03ffe200,
    0xffffff90,0xf305ffff,0xffffffff,0x1fffffff,0xbfffff50,0x000bffe2,
    0x0017fff4,0x8005ffd8,0xfffffff9,0xffffffff,0xf33fffff,0xfe8001ff,
    0x2fff83ff,0x27fff000,0x40003fff,0x9ff94ffc,0x21fffd40,0xfffffff8,
    0xffffffff,0xff93ffff,0x2013ff29,0xfd806ff9,0xfff8807f,0xffffffff,
    0x02ffffff,0x5ffb80b7,0x001fff88,0x05ffb800,0x0003fff1,0x405ffd00,
    0x4000fff9,0x003ffff8,0x0001ffee,0xffca7fe4,0xffffffff,0x33ffffff,
    0xffe80fff,0x17ff202f,0x03ffe200,0x3ffffa60,0xff301dff,0xffffffff,
    0x01ffffff,0x45bfffaa,0x30002fff,0x0001ffff,0x3000bffb,0xffffffff,
    0xffffffff,0x3e67ffff,0x7cc000ff,0x7ffc1fff,0x7fff0002,0x0000fffe,
    0x3ff29ff9,0x0fffec04,0xfffffff1,0xffffffff,0x3f27ffff,0x009ff94f,
    0xfb00dff3,0xfff100ff,0xffffffff,0x003bffff,0xfff88000,0xfb800001,
    0x3fff105f,0xffd00000,0x07ffcc05,0x1fffdc00,0x00fff700,0x753ff200,
    0xffffffff,0xffffffff,0xc80fff33,0x7fe407ff,0xfff88005,0x0554c000,
    0x7ffffcc0,0xffffffff,0x09800fff,0x000bffe2,0x005fffc8,0x8005ffd8,
    0xfffffff9,0xffffffff,0xf33fffff,0xf70001ff,0x7ffc1dff,0x7fff0002,
    0x0000fffe,0x3ff29ff9,0x37ffc404,0xfffffff1,0xffffffff,0x3f27ffff,
    0x009ff94f,0xfb00dff3,0xfff100ff,0xdfffffff,0x0000179d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00199880,0x4c199880,0x99999999,
    0x26200099,0x31000099,0x0ccc4133,0x02666200,0x00033300,0x00002666,
    0x99999991,0x32007999,0xcccccccc,0x6664c04c,0x2ccccccc,0x41bec880,
    0x3ffe63fe,0xffffffff,0x545fffff,0x1fe60add,0x33333322,0x2004cccc,
    0x00002aaa,0x40000000,0xccccccca,0xcccccccc,0x353005cc,0x55440001,
    0xa988001a,0x0000000a,0x000d54c0,0x000d5440,0x006aaa60,0x00026aa6,
    0xfb800000,0x640001ff,0x3ffe66ff,0xffffffff,0x7c402dff,0xe8000fff,
    0x3fea0eff,0x3ffa001f,0x3fee005f,0xfff98007,0x3e60000f,0xffffffff,
    0xfff8806f,0xffffffff,0x3fffee00,0x05ffffff,0x77ffffd4,0x3e60ffcc,
    0xffffffff,0x5fffffff,0x37fffffa,0xff985feb,0xffffffff,0x3fffa007,
    0x3fee0000,0x55440004,0x150f4c09,0x26090000,0xdfffffdb,0xfffd5001,
    0x803dffff,0xffffffeb,0x04ffc81d,0xb105ffb8,0x3dffffff,0x7ffe4400,
    0x7001efff,0xfffffffd,0x7fff4c19,0xf900bfff,0xbff7009f,0xffc9fffc,
    0x003fff8f,0xf31fffc0,0xffffffff,0x07ffffff,0x005fffa8,0x220fffe4,
    0xf1002fff,0x6c00ffff,0xfc8005ff,0x20003fff,0xfffffff9,0xf8806fff,
    0xffffffff,0x3fee00ff,0xffffffff,0x7677ec05,0x4c6fffff,0xffffffff,
    0xffffffff,0xff99ff34,0xf305ffff,0xffffffff,0x7ff400ff,0x3ee0000f,
    0xfc88004f,0x8adfffff,0x0002a4ff,0x3ffee120,0x3fffffff,0x3ffff620,
    0x3fffffff,0xffffffb0,0xfc87ffff,0x5ffb804f,0xffffffb8,0x9804ffff,
    0xfffffffe,0x3f6203ff,0xffffffff,0xffffc8ef,0x906fffff,0xff7009ff,
    0xfc9fffcb,0x00dffb7f,0x307ffd40,0xdddddfff,0xffffffdd,0x3fffc809,
    0x07fff500,0x5c013ffa,0x001fffff,0xf0007fff,0x000dffdf,0x00000000,
    0x88000000,0x3fae61ff,0x9999980c,0xd9999999,0x8bf90eff,0x0002dfda,
    0x7fff4000,0x3fee0000,0x7ffd4004,0xffffffff,0x0000546f,0x3fffee24,
    0xffffc9ab,0x59fffd02,0xffffb533,0xacfffc81,0x2ffffca9,0x2e013ff2,
    0x7ffd45ff,0xffeb9abe,0x3ffea05f,0xffdb9abf,0x9fffd04f,0xfffb5335,
    0x535bffff,0xf909fff7,0xbff7009f,0xffc9fffc,0x003fff57,0xf317ff60,
    0xff5001ff,0x7f4405ff,0x7fc400ff,0x1bff205f,0x7feffec0,0x1fff8803,
    0x75ffd400,0x000001ff,0x00000000,0x00cc0000,0x7fcc0000,0x0002621f,
    0x97000000,0x5c000199,0x3ea004ff,0xfd9acfff,0x0541ffff,0xff124000,
    0x3ffa01bf,0x02fff987,0xff0fffe6,0x2fff405f,0xf7009ff9,0x6fffc4bf,
    0x05fff900,0x5c037ffa,0x7fd41fff,0x3fff200e,0xffd101ff,0x804ffc85,
    0x3fba5ffb,0x7fc99952,0xff88004f,0x07ffcc2f,0x04ffe880,0x2037ffcc,
    0x2600effe,0xff800fff,0xb806ff9e,0xfd8006ff,0x005ffb9f,0x00355300,
    0x03555100,0x00d54400,0x40000000,0x0002ffe8,0x00000000,0x4ffb8000,
    0x1dfff100,0x89fff910,0x2480000a,0x7cc07ffc,0x2ffec2ff,0xf32ffe40,
    0x7ffa80df,0x2e013ff2,0x1bff65ff,0x703fff20,0xfb801dff,0x017ff46f,
    0x00bfffe2,0x7e41fff1,0x5ffb804f,0x3f2017d4,0xffb8007f,0x00fff986,
    0x201ffee0,0xf904fffb,0xfff003ff,0xf4ff9805,0xffd801ff,0xbffc4004,
    0x0000fff8,0xffffffb1,0x7f54003d,0x1effffff,0xffffc880,0x30001eff,
    0x32000035,0x200005ff,0xfb804ffc,0x0000005f,0xc8027fdc,0x3fe207ff,
    0x002a0fff,0x3ffd9200,0x5c2ded80,0xffb801dc,0x003ffe65,0x04ffc813,
    0xff15ffb8,0xfff1005f,0x002fff87,0x37223fff,0x0dfff005,0xfc8bff20,
    0x5ffb804f,0x3e600fdc,0x7f4002ff,0x0fff983f,0x03ffe600,0x507fffa0,
    0x36007fff,0x7fe404ff,0xe805ffb2,0x7dc002ff,0x00fff65f,0x3ffffee0,
    0x404fffff,0xffffffd8,0x203fffff,0xffffffe9,0xffc83fff,0xfffffd52,
    0x3e60001b,0xffb800ff,0x013ff205,0xffc97fee,0xffffffff,0x7007ffff,
    0xff1009ff,0x76ff407f,0x0002a4ff,0x00fff920,0x7d400000,0x177ffc6f,
    0x013ff200,0x7fcd7fee,0x93ff2006,0xb000fff9,0x740007ff,0xff5004ff,
    0x4027fe49,0x03745ffb,0x2005ffe8,0xf980fff9,0x3ea000ff,0xfff1007f,
    0x02fffc4d,0xe80bff70,0x09ff70ff,0x0007ffc4,0xffb8bffa,0x7ffd4006,
    0xffeb9abe,0x3fffa05f,0xffda99ac,0xfffa80ff,0xffdb9abf,0x557fe44f,
    0xffffffff,0x7f44002f,0xbff7003f,0x4027fe40,0x3ff25ffb,0xffffffff,
    0x3ae7ffff,0xffeeeeee,0x4eeeeeef,0x7e40fff3,0x2a5ffc8e,0xf1480000,
    0x000000ff,0xdfffd753,0xdfffffc8,0x27fe400b,0xfbaffdc0,0x3fee005f,
    0x2abffea5,0xaaaaaaaa,0x31004ffd,0x59fffd97,0x55555555,0x7fe4dff7,
    0x25ffb804,0xff7001fd,0x3ff2001f,0x01fff305,0x0027fe40,0x3f69fff5,
    0x3e6000ff,0x9bfe207f,0x3ea07ff8,0x7fcc006f,0x0bffe20f,0x06fffc40,
    0x982fffc8,0x3e602fff,0xdffe83ff,0x43fff700,0xbeffdffc,0x07fffeba,
    0x0037fe40,0x7e40bff7,0x5ffb804f,0x3333332a,0xfffccccc,0x3fffff24,
    0xffffffff,0xdff55fff,0x7d47fee0,0x00002a6f,0x0037fd52,0x3ff72600,
    0x6fffffff,0xffffffc8,0xffc81cef,0x95ffb804,0x7d4009ff,0x3fffee7f,
    0xffffffff,0x7305ffff,0xfffffffb,0xffffffff,0xffffffff,0x5c027fe4,
    0x01febeff,0x00bffe20,0xf9817ffc,0xff5000ff,0xffd8003f,0x001fffdf,
    0xf501fff8,0x01ffe89f,0xd8007ff9,0x5ffd84ff,0x00dffb00,0xfd81fff9,
    0x5ffc805f,0x20077fdc,0x3ff26ffb,0xfff903ff,0x3ffe6005,0x17fee002,
    0xb804ffc8,0xf88005ff,0x7ffe45ff,0xffffffff,0xf75fffff,0x47ff30bf,
    0x002a7ff9,0x2ffdd200,0xffe98000,0xddffffff,0xffb506ff,0x89ffffff,
    0xfb804ffc,0x009ffb5f,0xff93ffcc,0xffffffff,0x8dffffff,0xffffffe8,
    0xffffedff,0xffffffff,0xff90ffff,0xdfff7009,0xffb00017,0x0fff500b,
    0x4cd7ffcc,0xfdba9999,0xf88002ff,0x003fffff,0x3607ffb0,0x1ffe41ff,
    0x2001ffe8,0xfa81fff8,0x7fc400ff,0xfff8802f,0x400ee5c3,0x7ffc5ffb,
    0x23fff002,0x6c04fffc,0xff9005ff,0x5ffb800f,0x2013ff20,0x44005ffb,
    0x4c40effe,0xffc99999,0x0999999d,0xfe889ff9,0xa87ffc45,0xf7480000,
    0xf30000df,0x379dffff,0x101bfee1,0xffffffb5,0x013ff21d,0x7fe57fee,
    0x9ffea004,0xaaaaeffb,0xaaaaaaaa,0x3fffe62a,0x3fa1acdf,0xaaaaaacf,
    0x22aaaaaa,0xfb804ffc,0x7cc0005f,0x7fec00ff,0x3fffe604,0xffffffff,
    0x20001fff,0x005ffff9,0x7c17fee0,0x85ffa87f,0x5c007ff8,0x3ffe06ff,
    0x037fcc03,0x0009ff90,0x3e66ffa8,0xffb000ff,0x003fff27,0x3e00bff9,
    0x7dc004ff,0x13ff205f,0x0017fee0,0x8001fffb,0xfc804ffb,0x2077ec6f,
    0x002a7ff9,0x3ffcd200,0x3ffe2000,0x3ff200af,0x7fdcc006,0x09ff92ff,
    0x3eebff90,0x3fee005f,0x001bfea6,0x02bbffe0,0x0003ffe8,0x64027fe4,
    0xe80005ff,0x3fe203ff,0x3ffe601f,0xffffffff,0x000cffff,0x013fffa0,
    0x987ff880,0x7ff885ff,0x4005ffa8,0x3f204ffe,0x2ffdc07f,0x00bff700,
    0xfffeba98,0x2abffea6,0xaaaaaaaa,0xdff94ffd,0x00dff700,0x8001fff5,
    0x3f205ffb,0x5ffb804f,0x07fff200,0x013fee00,0xffb9ffea,0x2a6ffa81,
    0xf1480000,0xbd3001ff,0x00fffcc9,0x00837fec,0xfca7ffc4,0x5ffd804f,
    0x6400dff5,0x3ffe65ff,0x3fea0000,0x3fff801f,0xff901100,0x0bffb009,
    0x0dff7000,0x26037fdc,0xeeeeefff,0xffffffee,0xffb8001f,0x20001fff,
    0x7fdc0ffe,0xc85ffd03,0x3e6003ff,0x3fe600ff,0x13ff202f,0x207ffa80,
    0xfffffdc9,0x3ee6ffff,0xffffffff,0x5fffffff,0xf500bff9,0xbffb00df,
    0x0bff7000,0x5c027fe4,0xff7005ff,0x3ee0005f,0xfff9804f,0xf902ff99,
    0x0000549f,0x007fff24,0x7fdc9ff9,0x4dffd006,0xfb804fec,0x00bff76f,
    0x3fe6bfff,0xfff8802f,0x00fffe23,0x7e4fbfa2,0xfff9806f,0x4bffb006,
    0xfe805ffb,0xf880005f,0x5ffd00ff,0x00fff980,0x7fffe4c4,0x3ffe6001,
    0x0000efff,0xffe85ff9,0xe89ff700,0x3f2000ff,0x5ffe806f,0x8013ff60,
    0xfe987ff9,0xdfffffff,0x3ff26ffd,0xffffffff,0x96ffffff,0xff5009ff,
    0x2fff880d,0x05ffb800,0x2e013ff2,0xffa805ff,0x3ee0003f,0xfff8804f,
    0xff104ffb,0x0000547f,0x80dff924,0x3f22ffe8,0x7fe400ff,0x03ffee6f,
    0x3ee9ffb0,0x3fee00ff,0x01bff65f,0xf903fff2,0xffc801ff,0x80dff91f,
    0x02ffffe8,0xf71fffd4,0x7fdc01ff,0xfb00005f,0x0fff307f,0x001fff30,
    0x8037ffd4,0xffadfff8,0xff50005f,0x3037fc49,0x37fc4bff,0x3bfffe00,
    0xfeeeeeee,0xff900fff,0x3ffd4009,0x3bffffe6,0xdff709bc,0x55577fdc,
    0xaaaaaaaa,0x09ff92aa,0xc80dff50,0xf70006ff,0x27fe40bf,0x202ffdc0,
    0x0005fff9,0xd8027fdc,0x2e06ffff,0x002a0fff,0xfff89200,0x6ffd880d,
    0x701fffd4,0x7c4fffff,0x3fe605ff,0x0bfff11f,0x897fffea,0xf900dfff,
    0xfff107ff,0x3ffea01d,0x80bffee6,0x2ffffffd,0x88fffd10,0xff505fff,
    0xcca80bff,0x21bfea04,0xf9804ffc,0x7e4000ff,0xffd801ff,0x05fffb0f,
    0x54dff100,0x3ffc04ff,0x54009ff5,0xffffffff,0xffffffff,0x00bff704,
    0xff137fdc,0x7e4015ff,0x01bfea6f,0x009ff900,0xff80dff5,0xff70003f,
    0x027fe40b,0xf302ffe4,0x70000dff,0x3e2009ff,0xff701fff,0x0000a87f,
    0x77ffd448,0xffffdaab,0x6ffff441,0xeffeba9b,0x7ffdc7ff,0xffca9abe,
    0x7fffec6f,0xfcffecac,0x77ffdc5f,0xfffeb9ac,0x3fffea03,0xfffeb9ac,
    0x3fffe20f,0xfffdb9ad,0xcefffc8c,0x1ffffdb9,0xacefffd8,0x5ffcffec,
    0x203ffe40,0x7ffc1fff,0x0fff9801,0x17ffd400,0x88fffee0,0x8000ffff,
    0x5ff90ffe,0xf91ffd80,0x7fec005f,0xffffffff,0x07ffffff,0x6400dff5,
    0x3ffe65ff,0x26ffd801,0x0000fff9,0x2a013ff2,0x3fea06ff,0xff70000f,
    0x027fe40b,0xe882ffec,0x80000eff,0x32001aa8,0xb9beffff,0x0a85fffd,
    0xfa848000,0xffffffff,0xffff302f,0x27ffffff,0x7fec1fff,0xffffffff,
    0xffffe884,0xff8bffff,0xfffffa85,0x803fffff,0xfffffffa,0xfa81ffff,
    0xffffffff,0x7fffdc2f,0x02ffffff,0xffffffd1,0x0bff17ff,0x6407ffc8,
    0x1bfea4ff,0x007ffcc0,0x80fffe20,0xfa85fff9,0xfc8006ff,0x700fff2f,
    0x03ffa7ff,0x017ffc40,0x305fff50,0xf1005fff,0x37fdc7ff,0x226ffe80,
    0xe8803fff,0x09ff93ef,0x640dff50,0x2e0006ff,0x3fee05ff,0x05fff805,
    0x0003fffd,0x7fc40000,0xffffffff,0x00a80dff,0xfb104800,0x019fffff,
    0xfffffd88,0x13ff20df,0x3fffffaa,0x7fe403ef,0xff12efff,0x3fff620b,
    0x2001ceff,0xffffffc8,0x7fecc03f,0x500cefff,0x9ffffffb,0xffff9001,
    0x17fe25df,0x980fff90,0x0fff27ff,0x007ffcc0,0x407ffea0,0x900fffe8,
    0xa8009fff,0x05ff9bff,0xdff4ff88,0x03ffdc00,0xd82fff40,0xffc806ff,
    0x03fff20f,0xc8dfff90,0x7e400fff,0x09ff91ff,0x6c0dff50,0x2e0004ff,
    0x3fee05ff,0x3ffee00f,0x01fffd85,0x7ffffe40,0xffffffff,0x37fa5fff,
    0xffffffc8,0x0002a02e,0x2aa20120,0xaa988001,0x54c40000,0x1a88001a,
    0x0aa88000,0x9a988000,0x0d4c4000,0x00d54400,0x0001a880,0x8fff4000,
    0xf3000fff,0xfc8001ff,0x3fff607f,0x0ffff401,0xf7bff100,0x3bfa007f,
    0x3a003ff9,0xfc8004ff,0xfff881ff,0x7fff900d,0x203fffa8,0x447ffffb,
    0xf500efff,0x27fe4dff,0xf037fd40,0x5c0007ff,0x3fe205ff,0xffff505f,
    0x02fffc8b,0xfffffc80,0xffffffff,0x1dd15fff,0x5001aa98,0x00900001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xacffb800,
    0x3e6005ff,0x3ea000ff,0xfff706ff,0xdfff3009,0x6fff4001,0xff9001ff,
    0x26003ff9,0x88001fff,0xff704fff,0xfd7359df,0xffd107ff,0xfd7537bf,
    0xf50fffdf,0xd7359fff,0x7e41ffff,0x6ffa804f,0x005fff30,0x202ffdc0,
    0xcacffffd,0x25ffcffe,0x0003fffb,0xfffffff9,0xffffffff,0x000008bf,
    0x99999995,0x99999999,0x00000b99,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x1ffceff8,0x2bffe600,0x99999999,0x81ffffda,
    0x2006fff9,0x2005fffb,0x007ffffb,0x01ffffea,0x0006ffc8,0xfa81fff6,
    0xffffffff,0x3ffe603f,0x3fffffff,0xff503fff,0xffffffff,0x04ffc83f,
    0xf506ffa8,0x5c0001ff,0x7f4405ff,0xbfffffff,0xfff35ff8,0xddddd99f,
    0x007ddddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6ffffc80,0x7fffcc00,0xffffffff,0xd02fffff,
    0xe8001fff,0xf3002fff,0x44009fff,0x2005ffff,0x20003fff,0x2202fffa,
    0xcefffffd,0xfffd8801,0x3f20dfff,0xfff9104f,0x3207ffff,0xffa804ff,
    0x00fff706,0x005ffb80,0x5dfffff9,0x7fcd7fe2,0xffffffff,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffcc00,0x7ffcc003,0xffffffff,0x902effff,0x10005fff,
    0x2001ffff,0x4002ffff,0x5003fffe,0x80001fff,0x51006fff,0x26200015,
    0x100000aa,0xfc801353,0x6ffa804f,0x000dff70,0x4005ffb8,0xff3001a8,
    0xffffffff,0x09ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1fffd000,0xffff9800,0xefffffff,
    0x3fea02cd,0x3ea0005f,0xffb006ff,0xffb8001f,0xdffb000f,0xfff90000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9800353,0x54c00009,
    0x1554c01a,0x00002a20,0x00000000,0x80000000,0x000001a9,0x00aa8800,
    0x00009a98,0x65c00000,0x001c800c,0x2000e200,0x7100001a,0x91073223,
    0xcc880039,0x26166442,0x40071002,0x98000998,0x64001acb,0x5d44005e,
    0x595002ac,0x00b32e60,0x41666654,0xaaaaaaaa,0xaaaaaaaa,0x03dd100a,
    0x2aaaaaaa,0xaaaaaaaa,0x033310aa,0xffffb710,0x3f6a07bf,0x003effff,
    0x3fffff62,0x7ffb81ef,0x3ffa3ff9,0x09ffb2ef,0x200fffb8,0x7ff47ff8,
    0x7ffe400f,0x7ffffe41,0xffffffff,0x54bff27f,0x0dfffffe,0x8007ffd4,
    0x3ff95ffc,0x3bffffaa,0x7fffec43,0xaffdc0cf,0x3e604ffc,0xfd000eff,
    0x5bff003f,0x89fd0000,0x7fd40ba8,0x3f260000,0xd03bfa2f,0xffc800df,
    0xf307fec0,0x4fe8805f,0x00dffb00,0x7fffffdc,0x5fff3005,0x3fffea00,
    0x3f201eff,0x7ffec43f,0xfd101eff,0x41dfffff,0xffffffff,0xffffffff,
    0x03ff102f,0x3ffffffe,0xffffffff,0x3fff52ff,0x7ffffd40,0x645fffff,
    0xffffffff,0x7fdc00df,0xffffffff,0xfcbffdc4,0xfffffc9f,0xe80dff52,
    0x3ea02fff,0x37ffc45f,0x907fff50,0xffffffff,0x4fffffff,0xfffaaffc,
    0x42ffffff,0xff002fff,0x2e7ff25f,0xffffffff,0xffffff32,0x5ffb8dff,
    0x3e609ff9,0x3a000dff,0xfff801ff,0xa8000bff,0xffdbdfff,0xfffbceff,
    0xffda8004,0x13fe62ff,0x2a009ff3,0x1ffd43ff,0x440bfffa,0xd801fffe,
    0xff3006ff,0x05ffd77d,0x00dfffb0,0xfd9bfff1,0xfff910bf,0xfefffe87,
    0xffd80fff,0x24ffdbbd,0xffffffff,0xffffffff,0x01ff102f,0x3ffffffe,
    0xffffffff,0x3fff52ff,0x37fffea0,0xdfffdb9b,0x9adfffd8,0x00efffba,
    0x357dfff5,0x5cdfffb7,0xfbff96ff,0x7c4fffff,0xfff100ff,0x17fe409f,
    0x441fffd4,0x99505fff,0x99999999,0x7e49fff9,0xbabeffdf,0x7e47fffe,
    0x7ff9805f,0x3bff7ff2,0xaffffbac,0xfecabeff,0x57fee3ff,0xff984ffc,
    0xffe8005f,0xffffc801,0x5c001dff,0xffffffff,0x05ffffff,0x3fffae20,
    0x7fec0dff,0x2017fec2,0x7fc47ff8,0x2fffe886,0x017fff44,0xb006ffd8,
    0x05ff88df,0x0fffffc4,0xfb03ff60,0x7fffe43f,0x433fea3f,0x7d45ffb8,
    0x327fd82f,0xcccccccc,0xffeccccc,0x9fe15b12,0x999992da,0x99999999,
    0x3ea39999,0xffe881ff,0xffff500f,0x3a205fff,0xfff883ff,0x7fff700d,
    0x7fe57e62,0xe8530bff,0xfff502ff,0x07ffc0df,0x6c0fffd8,0x40000eff,
    0x7e45fff8,0xff903fff,0x07ffcc5f,0xfc93ff20,0xff883fff,0xfe884fff,
    0x657fee6f,0x7ffcc4ff,0x3ffd0005,0x7fff5400,0x2e002eff,0xcabcffff,
    0x3005ffff,0x9ffffff9,0x83ffe201,0x3600fff8,0x17fec2ff,0x12fffe88,
    0x4005fffd,0x22002aaa,0x2027fc40,0x05ffbffc,0x7fd41554,0xff39ff12,
    0xfc837f47,0xfb81cc0f,0x7e40000f,0xf9fff72f,0x009ffd7f,0x3fff5000,
    0x805fff70,0x03fffffb,0x3607ffcc,0xffc806ff,0x3f27f10f,0xffb804ff,
    0xffdff905,0x40bff301,0x3ee5fff8,0x440001ff,0x7e40effe,0x7fec04ff,
    0x201fff45,0x3ff21fff,0x3fff605f,0xb9ffea06,0x49ff95ff,0x0005fff9,
    0x20007ffa,0xffffffc9,0x77fd400c,0x04ffe881,0x7fffff54,0xbff7002d,
    0xf705ffc8,0x05ffb8df,0x75ffff44,0x00002fff,0xffeb8800,0xfdbffc01,
    0xffb0000f,0x47ff0644,0x5ff304ff,0x7f65d440,0x7e40000f,0xffffd72f,
    0x009dffff,0x3fff5000,0x2009ffb0,0x9006fffe,0x7ffc49ff,0x2fff8802,
    0x3fff25f5,0x07ff9800,0x05ff9dfd,0xfa807ff7,0x3fff9aff,0xfffd8000,
    0x00fffc80,0x3ee2ffe4,0x1bfea06f,0x5c01fff9,0x3e201fff,0x2bff70ff,
    0xfff34ffc,0xffe8000b,0x3ae20001,0x01dfffff,0x7c403ffb,0xfffc887f,
    0x8001cfff,0x3fe23ffe,0x0fffc42f,0x1003fff1,0x5ffffffd,0x2aaaaa60,
    0xaaaaaaaa,0x3f601aaa,0x7fdc00ef,0x0009ff54,0xff809ff7,0x2207ff13,
    0x7fecc3ff,0x00ffffff,0x217fe400,0x0aeffea8,0x3e200000,0x05ffd07f,
    0x013ffee0,0xff337fd4,0x6ffe400f,0x1fff25fa,0x441ffe80,0x84ffacff,
    0xfc800ffe,0x005ffeff,0x01fffc80,0xf700dff9,0x1fff88df,0xfc87ffb0,
    0x7ffd407f,0xb8fffc00,0x39ff95ff,0x2a00bfff,0xfeaaaaaa,0xaaaaaabf,
    0x3ff66000,0x7fc1efff,0x21ffb805,0x2efffffd,0x7ffd4000,0xe83ffea0,
    0x27ff45ff,0xffffd100,0x7fffe405,0xffffffff,0x3605ffff,0x3a01effe,
    0x03ffe0ff,0x06ffec40,0x7fc4ffe0,0x547ff103,0xcbceffff,0x640000ff,
    0xfffa82ff,0x8000003f,0xfff886ff,0x9fff3000,0x55555555,0x7dcfff75,
    0x3fee005f,0x37fe45ff,0xa87ff900,0x46ff8aff,0x3a006ff8,0x000fffff,
    0x017ffdc0,0xf500bff9,0x07ffb0df,0xfc81fff1,0x3ffcc06f,0xfb8fffc0,
    0xffbff95f,0x3fe007ff,0xffffffff,0x2fffffff,0xffeb8800,0x013fe62f,
    0xfff93fea,0x200001cf,0x7ffc4ffe,0x543fff55,0x22000fff,0x202ffffe,
    0xfffffffc,0xffffffff,0x7fd8805f,0xfb8bff50,0xffe9803f,0x7c7ff004,
    0x45ff304f,0x7dc0affe,0x7e40000f,0x55ffcc2f,0x555542ff,0xaaaaaaaa,
    0x3a0aaaaa,0x07ff985f,0x3ffffe20,0xffffffff,0x3ff27fff,0x3ffea004,
    0x005ffc82,0xffb17fe6,0xfa83ffa1,0x3fe6003f,0x540002ff,0x7e403fff,
    0x6ffa804f,0xfb86ffa8,0x05ffc85f,0x7c03ffcc,0x2bff71ff,0xfffffffc,
    0xffff800f,0xffffffff,0x002fffff,0x2fffeb88,0x2a013fe6,0x3fffe4ff,
    0xf500001c,0x7ffd43ff,0xfd13ffa1,0x3fa2009f,0x502fffff,0x99999999,
    0x99999999,0x0bfea007,0xff10bff6,0x2fffa80d,0xfe8ffe00,0x223ff906,
    0x1ffd04ff,0x2ffc8000,0xffd9bfe2,0x3fffffe1,0xffffffff,0x0ff22fff,
    0x8801bfee,0xffffffff,0xffffffff,0x009ffb0f,0xfc83ffcc,0x3ffc004f,
    0x2ffc9bfe,0x88007ff6,0x0002ffff,0x2017ffe6,0xfa804ffc,0x83fff06f,
    0xffc82ffe,0x03ffcc04,0xffb8fffc,0xd9ffff95,0x99900bff,0xbfff9999,
    0x03999999,0x7fffe4c0,0x02ffc1ef,0xffb0ffdc,0x0005bfff,0x7f43ffe8,
    0x0fffcc3f,0x8801fff3,0xffebfffe,0x4000002f,0xffc83ed8,0xd83ffcc3,
    0xdff702ff,0x23ff8003,0x3ee0cffa,0x6437f45f,0x40000fff,0x0fe42ffc,
    0x7ffc1bf1,0xffffffff,0x02ffffff,0x400dff50,0xaaacfff9,0xaaaaaaaa,
    0x09ff90aa,0xc83ffd40,0x7ec004ff,0x549ff32f,0x01bfe4ff,0x1fffffb0,
    0xdfff3000,0x013ff200,0x7e41bfea,0x41ffe64f,0x7cc04ffc,0x1fff807f,
    0x3ff2bff7,0x07fff34f,0x00fff400,0x3fff6a00,0xffb02dff,0x43ffc403,
    0xffffffc8,0x7fdc000b,0xb82ffdc5,0x2ffdc5ff,0x25fffd10,0x002fffe8,
    0x6c00aaaa,0xffb88aff,0x827fe41f,0xffa86ffa,0x1aaaaabf,0xffd0ffe0,
    0x83ffffbf,0xffdcfffa,0x40001fff,0x18180aa9,0xccccccc8,0xcccccccc,
    0xff3001cc,0x7ffd400f,0x7fdc0002,0x1bfee005,0x20027fe4,0x3ff74ffa,
    0xffab7fc4,0x3ffee004,0x44005ffe,0x9000effe,0xff5009ff,0xc9ffe60d,
    0x9ff904ff,0x807ff980,0xbff71fff,0xff917ff2,0x3fa0001f,0xfb88001f,
    0x00cfffff,0x440f7fd4,0x75c04ffe,0x01dfffff,0x220fff88,0x3fa00fff,
    0x40fff42f,0x442fffe8,0xb002fffe,0x3e200dff,0x3fffffff,0xd007ffc4,
    0xffff83ff,0x04ffffff,0xffb10ffe,0x3603dfff,0xf8cfffff,0x0000003f,
    0x00000000,0x000fff88,0x4009fff7,0x007ffa80,0x7e417ff6,0x7fc4004f,
    0xffd0ffb6,0x2003ff91,0xff8bfff8,0x3ffa003f,0x3ff2001f,0x06ffa804,
    0x7ff4bffa,0x809ff901,0xff807ff9,0x32bff71f,0x7ffc44ff,0x3ffd0006,
    0x7ffecc00,0x7000beff,0x9579ffff,0x200bffff,0xefffffd9,0x85ff900b,
    0x7c402ffc,0x437fcc6f,0xd102fffe,0xfb003fff,0x7ecc00df,0xfb82efff,
    0x2ffdc05f,0xddddddd3,0x77407ddd,0x059b7502,0x54159510,0x0000002a,
    0x00000000,0x2009fff0,0x9006fffe,0x7ffc4bff,0x2fff8802,0x0009ff90,
    0x0bff3ffb,0x0fff5ff9,0xf737ff40,0xffb003ff,0xffc8003f,0x06ffa804,
    0x3fe73fee,0x013ff206,0xff00fff3,0x657fee3f,0xfffa84ff,0x1ffe8003,
    0xffffeb80,0x7dc002df,0xffffffff,0x005fffff,0x3fffff22,0x17fe60cf,
    0x2e00bff3,0x1ffdc3ff,0xd100bfe6,0x3ff6009f,0x80110006,0x64401ccb,
    0x0000004c,0x00000000,0x00000000,0xfb800000,0x7fdc00ff,0x7cc03fff,
    0x37fec3ff,0x807ffe40,0xb8004ffc,0x983ffdff,0x004ffeff,0xfe83fff7,
    0x7ffe406f,0x4ffc8002,0x206ffa80,0x3ffcfff8,0x3013ff20,0xfff00fff,
    0x7e57fee3,0x1fffb04f,0x01ffe800,0x0cfffff8,0xcfffa800,0xbeffffdb,
    0x8004fffb,0x22ffffea,0x7fec0ffd,0x03ff6000,0x02a81ffb,0x4c400910,
    0x00000009,0x00000000,0x00000000,0x00000000,0x20000000,0xf701fffe,
    0x07ffffff,0x103fffa2,0x2e01bfff,0x3f203fff,0xff88004f,0xfff01fff,
    0xff3005ff,0x9fff307f,0x00fffee0,0x4027fe40,0x7ec06ffa,0x3200ffff,
    0x7fcc04ff,0x71fff807,0x13ff2bff,0x0037ffc4,0x3e007ffa,0x40000bef,
    0x05d444fe,0x80007fea,0xdd32ffd9,0x001ee985,0x3a21f6c4,0x0000003e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0xb9bcffff,
    0xfd8dfffd,0xfda9bdff,0xff702fff,0xfb7359df,0xffc80dff,0xfffd0004,
    0x3fffec0f,0x206ffe80,0x7cc1fffb,0xeeeccfff,0x3eeeeeee,0xf5009ff9,
    0xfffa80df,0x27fe405f,0x201ffe60,0xbff71fff,0xfb813ff2,0x3b2003ff,
    0x002d801e,0x2000e200,0x9100001a,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0xfffffffe,0x7ffe44ff,
    0x3fffffff,0x7ffffdc0,0x805fffff,0x90004ffc,0x7dc0bfff,0xffc805ff,
    0x77ff401f,0x3ffffe60,0xffffffff,0x9ff94fff,0x00dff500,0xc805ffff,
    0x7fcc04ff,0x71fff807,0x13ff2bff,0x001fffb0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xdffffffc,0xffffb502,0x220019ff,0xcefffffd,0x09ff9002,
    0x0fffe600,0x402fff98,0x9803fffa,0x3fe65fff,0xffffffff,0x94ffffff,
    0xff5009ff,0x0fff900d,0x9809ff90,0xfff807ff,0x3f2bff71,0x7ffc404f,
    0x01799506,0x26213331,0x21332e19,0x32a202a8,0x05001bcd,0x2a215553,
    0x888882aa,0x2a088888,0x8aaa20aa,0x44444ccb,0x88888888,0x88888888,
    0x2aaaaa60,0xaaaaaaaa,0x2aaaaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02a62000,0x00355100,0x000aa880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffec400,0x7ffd43ff,0x363fff52,
    0x06fb87ff,0xfffffff5,0x8db1017d,0x7e46fff8,0x7fff42ff,0x3a7fffff,
    0x3ffe22ff,0x7dcfff90,0xffffffff,0xffffffff,0xfff75fff,0xffffffff,
    0xffffffff,0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbffd8000,0x3ea1ffda,0x3fff52ff,0x3f61fff6,0x7fffd40e,0xdfffffff,
    0x5c6ffdbb,0xffd80fff,0x7fffff45,0x3ffa7fff,0x643ffe22,0x3ffee7ff,
    0xffffffff,0xffffffff,0xfffff75f,0xffffffff,0xbfffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7dc3fd40,0x54bffea6,
    0xfffb1fff,0x54bfffb0,0xffecdfff,0xffffffff,0x80fffc6f,0x3fa1ffe8,
    0x7fffffff,0xff88bffa,0x44fff90f,0x99999999,0x99999999,0x00019999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07f90000,
    0x3fea1ff1,0x83fff52f,0x4bff206f,0xfeb983fa,0x1effffff,0xf300ffee,
    0x444444bf,0x26608888,0x000ccc09,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bf20000,0xfff987f4,0x4c3fff31,
    0x4fff204f,0xfec9801a,0x03cb83de,0x00019950,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7cc2fdc0,
    0xf887ffc7,0xbb17dc7f,0x000dfffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ffe2000,
    0xfe89fb30,0xdf737fc7,0x7fffffc1,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x6ffefffa,0x2fec6fd8,0x559550b7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x704fffe9,0x003fc89f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000188,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_41_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,3,2,2,2,1,1,-1,2,1,2,2,3,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,1,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-1,-1,-1,-1,-1,2,1,3,3,3,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,2,1,2,2,2,2,2,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_41_latin_ext_y[560]={ 33,6,6,6,4,6,6,6,6,6,6,11,29,21,
29,6,6,6,6,6,6,7,6,7,6,6,13,13,11,14,11,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,37,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,33,13,6,6,11,6,
6,6,6,6,6,15,14,21,6,2,6,10,6,6,6,13,6,18,32,6,6,15,6,6,6,13,0,0,0,0,
1,1,6,6,0,0,0,1,0,0,0,1,6,0,0,0,0,0,1,12,5,0,0,0,1,0,6,6,6,6,
6,7,6,5,13,13,6,6,6,6,6,6,6,6,6,7,6,6,6,7,6,12,12,6,6,6,6,6,6,6,
2,8,0,6,6,13,0,6,0,6,0,7,0,6,0,6,6,6,1,8,0,6,1,7,6,13,0,6,0,6,
0,6,1,7,6,4,0,0,6,6,0,7,2,8,0,6,6,6,1,13,6,6,0,6,6,6,13,0,0,6,
6,6,6,6,6,6,6,0,6,6,13,0,6,6,6,13,1,8,0,6,0,6,6,13,0,6,6,13,0,6,
0,6,0,6,6,13,0,6,6,7,0,6,6,7,0,7,1,8,0,6,0,5,0,6,6,13,0,6,0,6,
1,0,6,1,7,0,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,13,10,10,10,10,10,10,10,10,10,10,10,10,10,6,13,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,6,0,6,0,
6,0,6,-1,1,-1,-1,-1,-1,-1,-1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-4,-2,0,6,0,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_41_latin_ext_w[560]={ 0,5,11,20,18,29,23,5,9,9,12,18,4,11,
5,11,18,11,18,18,19,18,18,18,18,18,4,4,18,18,18,18,35,26,21,25,23,21,18,26,22,4,16,23,
18,26,22,26,21,27,25,22,22,22,25,35,25,25,22,8,11,8,17,22,8,18,17,18,17,18,12,17,16,4,
8,17,4,27,16,19,17,17,11,16,10,16,18,27,19,19,18,11,4,12,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,18,20,18,22,
4,18,11,28,13,16,18,11,28,22,11,18,12,12,8,17,20,4,9,8,13,16,30,29,31,18,26,26,26,26,
26,26,35,25,21,21,21,21,8,8,12,11,26,22,26,26,26,26,26,17,27,22,22,22,22,25,21,20,18,18,
18,18,18,18,31,18,18,18,18,18,8,7,13,11,18,16,19,19,19,19,19,18,19,16,16,16,16,19,17,19,
26,18,26,18,29,22,25,18,25,18,25,18,25,18,23,22,26,20,21,18,21,18,21,18,21,18,21,18,26,17,
26,17,26,17,26,17,22,16,26,18,13,13,12,12,12,12,9,9,5,4,23,13,20,12,23,17,17,18,7,18,
9,18,9,18,11,20,9,22,16,22,16,22,16,22,23,16,26,19,26,19,26,19,34,33,25,11,25,11,25,12,
22,16,22,16,22,16,22,16,22,10,22,14,22,10,22,16,22,16,22,16,22,16,22,16,22,21,35,27,25,19,
25,22,18,22,18,22,18,9,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,22,19,19,19,19,19,19,19,19,19,19,19,19,19,28,22,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,18,12,12,26,
19,22,16,22,16,22,16,22,16,22,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,26,18,35,31,27,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__arial_41_latin_ext_h[560]={ 0,27,11,28,33,28,28,11,35,35,12,18,10,5,
4,28,28,27,27,28,27,27,28,26,28,28,20,26,18,12,18,27,35,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,30,27,28,27,28,27,27,27,27,27,35,28,35,15,4,6,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,35,35,35,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,28,35,28,18,27,
35,35,5,28,14,17,12,5,28,3,11,23,14,15,6,28,35,4,9,14,14,17,29,29,29,28,33,33,33,33,
32,32,27,35,33,33,33,32,33,33,33,32,27,33,34,34,34,34,33,16,30,34,34,34,33,33,27,28,28,28,
28,27,28,29,21,28,28,28,28,28,27,27,27,27,28,26,28,28,28,27,28,16,23,28,28,28,28,35,35,35,
31,26,33,28,35,28,34,28,34,28,34,27,34,28,33,28,27,28,32,26,33,28,32,27,35,28,33,28,34,35,
34,35,33,34,35,37,33,33,27,27,33,26,31,25,33,27,35,35,32,20,28,35,34,35,35,35,20,33,33,35,
35,27,27,27,27,27,27,33,27,35,28,33,27,27,28,28,33,26,34,28,34,28,28,21,33,27,35,28,33,27,
34,28,34,28,35,28,34,28,38,36,33,28,27,27,34,27,33,26,34,28,34,29,34,28,35,28,33,27,33,35,
32,33,27,32,26,33,27,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,28,23,23,35,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,21,23,23,23,23,23,23,23,23,23,23,23,23,23,28,21,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,33,28,33,27,34,
28,34,28,35,33,35,35,35,35,35,35,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,37,36,33,28,35,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_41_latin_ext_s[560]={ 509,505,236,404,311,468,104,503,373,185,471,
224,248,301,325,172,130,116,128,385,174,194,72,213,458,237,507,494,281,484,243,
451,288,111,27,416,470,407,365,41,342,507,87,318,213,147,70,259,35,134,243,
143,93,309,1,75,49,269,295,383,415,308,384,331,292,360,379,341,252,433,57,
234,434,429,364,389,384,173,137,413,270,361,58,379,232,396,154,70,98,166,118,
214,324,68,263,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,509,499,480,
288,262,456,367,49,313,332,438,317,452,301,186,354,224,282,402,371,283,397,317,
507,253,415,424,300,210,309,277,215,293,343,370,397,1,467,1,236,244,382,330,
28,447,167,494,500,298,234,247,197,170,24,200,334,162,78,101,147,211,141,1,
398,379,360,341,491,305,258,452,240,221,202,183,164,289,325,209,23,68,196,21,
1,479,242,442,352,301,382,365,348,331,329,372,390,107,158,456,286,410,149,363,
128,389,91,415,223,468,256,176,445,64,50,72,177,189,339,50,91,440,124,289,
1,1,462,315,247,114,297,1,51,91,227,37,446,404,232,94,499,352,465,499,
81,494,201,100,91,342,105,141,349,206,45,37,195,226,427,478,110,129,154,262,
320,333,285,462,257,397,488,434,33,139,138,51,110,441,425,37,1,64,479,338,
498,113,141,274,147,224,324,118,477,124,494,1,88,166,419,175,198,465,272,90,
246,442,20,1,241,419,294,262,215,1,350,483,165,441,424,378,418,263,266,414,
433,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,358,321,321,28,
321,321,321,321,321,321,321,321,321,321,321,321,321,184,35,321,321,321,321,321,
321,321,321,321,321,321,321,321,71,484,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,64,275,
280,443,392,311,488,399,265,365,224,207,184,167,144,127,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,24,69,28,1,99,190,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,321,
321,321,321,321,321,321,321,321,321, };
static unsigned short stb__arial_41_latin_ext_t[560]={ 1,213,403,180,146,180,242,384,40,40,384,
384,403,403,403,213,213,328,328,180,328,328,213,356,242,213,356,328,384,384,384,
328,1,356,356,213,328,328,328,242,328,76,242,328,328,328,328,242,328,180,328,
271,328,271,356,356,356,328,328,40,271,40,384,403,403,356,271,356,271,356,328,
271,328,328,40,328,328,384,384,356,271,271,384,356,328,356,384,384,384,271,384,
40,1,40,403,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,1,213,1,
271,384,300,1,40,403,271,384,384,384,403,271,403,403,356,384,384,403,271,40,
104,403,384,384,384,180,180,180,271,111,111,111,111,180,146,300,40,146,146,146,
180,111,146,76,146,300,111,76,76,76,76,146,384,180,76,76,76,111,146,328,
242,242,242,242,300,242,180,356,242,242,242,242,242,300,300,300,328,242,356,242,
242,213,300,213,384,356,213,213,213,213,1,1,1,180,356,111,242,1,213,76,
242,76,213,76,300,76,213,146,180,300,271,180,356,111,180,180,300,1,271,146,
213,111,1,76,1,146,76,40,1,146,146,300,271,146,356,180,328,146,271,1,
40,146,384,271,40,76,40,40,1,384,146,146,40,40,271,271,300,300,300,300,
111,300,40,213,111,300,271,242,271,111,356,76,213,76,180,213,384,111,300,40,
180,111,300,76,242,76,242,40,242,76,242,1,1,111,242,300,300,40,300,111,
356,40,213,76,180,40,213,40,213,146,300,111,40,146,111,300,146,356,146,300,
300,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,180,356,356,40,
356,356,356,356,356,356,356,356,356,356,356,356,356,213,384,356,356,356,356,356,
356,356,356,356,356,356,356,356,271,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,146,213,
111,300,40,213,40,213,1,146,1,1,1,1,1,1,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,1,1,111,271,1,180,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356, };
static unsigned short stb__arial_41_latin_ext_a[560]={ 163,163,208,327,327,522,392,112,
196,196,229,343,163,196,163,163,327,327,327,327,327,327,327,327,
327,327,163,163,343,343,343,327,596,392,392,424,424,392,359,457,
424,163,294,392,327,489,424,457,392,457,424,392,359,424,392,554,
392,392,359,163,163,163,276,327,196,327,327,294,327,327,163,327,
327,130,130,294,130,489,327,327,327,327,196,294,163,327,294,424,
294,294,294,196,153,196,343,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,163,196,327,327,327,327,153,327,
196,433,217,327,343,196,433,324,235,322,196,196,196,338,315,163,
196,196,214,327,490,490,490,359,392,392,392,392,392,392,587,424,
392,392,392,392,163,163,163,163,424,424,457,457,457,457,457,343,
457,424,424,424,424,392,392,359,327,327,327,327,327,327,522,294,
327,327,327,327,163,163,163,163,327,327,327,327,327,327,327,322,
359,327,327,327,327,294,327,294,392,327,392,327,392,327,424,294,
424,294,424,294,424,294,424,361,424,327,392,327,392,327,392,327,
392,327,392,327,457,327,457,327,457,327,457,327,424,327,424,327,
163,163,163,163,163,163,163,130,163,163,432,261,294,130,392,294,
294,327,130,327,130,327,171,327,196,327,130,424,327,424,327,424,
327,355,425,327,457,327,457,327,457,327,587,554,424,196,424,196,
424,196,392,294,392,294,392,294,392,294,359,163,359,220,359,163,
424,327,424,327,424,327,424,327,424,327,424,327,554,424,392,294,
392,359,294,359,294,359,294,130,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,442,440,440,327,440,440,440,440,440,
440,440,440,440,440,440,440,440,503,385,440,440,440,440,440,440,
440,440,440,440,440,440,440,501,393,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,392,327,163,130,457,327,424,327,424,327,424,
327,424,327,424,327,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,392,327,587,522,457,359,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_41_latin_ext(stb_fontchar font[STB_FONT_arial_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_41_latin_ext_s[i] + stb__arial_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_41_latin_ext_t[i] + stb__arial_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_41_latin_ext_x[i];
            font[i].y0 = stb__arial_41_latin_ext_y[i];
            font[i].x1 = stb__arial_41_latin_ext_x[i] + stb__arial_41_latin_ext_w[i];
            font[i].y1 = stb__arial_41_latin_ext_y[i] + stb__arial_41_latin_ext_h[i];
            font[i].advance_int = (stb__arial_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_41_latin_ext_s[i] + stb__arial_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_41_latin_ext_t[i] + stb__arial_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_41_latin_ext_x[i] + stb__arial_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_41_latin_ext_y[i] + stb__arial_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_41_latin_ext_LINE_SPACING
#endif

