// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT        436
#define STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_42_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_42_latin_ext_LINE_SPACING          27

static unsigned int stb__arial_42_latin_ext_pixels[]={
    0xfffffff1,0xffffffff,0x03ffffff,0x27775400,0x00320000,0x4c000080,
    0x80001aaa,0x00009a98,0x6f774400,0x00000000,0x00035330,0x004cc000,
    0x0000a980,0x40066620,0x220001a9,0x3531002a,0x2a600000,0x0000000a,
    0x00000000,0x26003350,0x300000aa,0x00003355,0x17775400,0x3bb60000,
    0x4c00001e,0x10003eed,0xffffffff,0xffffffff,0x003fffff,0x007fff40,
    0x04fd8800,0x0002d880,0x000ffff4,0xfffffd98,0x00001dff,0x002fffc8,
    0x05ffff10,0xfffeb880,0x003cefff,0x7fff4400,0x76dc04ff,0x2cdfffff,
    0xffffb800,0x3e600dff,0x9fb0001f,0x4fffd880,0x3fffe200,0x005ff900,
    0x005ffff1,0x7ec6ffb8,0x7fd4005f,0x7fc400ff,0x7fe402ff,0xfec88002,
    0xffffffff,0x3000001c,0x003fffff,0x2fffcc00,0x7f4c0000,0xff88001f,
    0xffffffff,0xffffffff,0x50001fff,0x00003fff,0x5c002fe4,0x2a0002ff,
    0xa8002fff,0xfffffffe,0x001dffff,0x09fff100,0x7ffff400,0xffd8800f,
    0xffffffff,0x80001eff,0xffffffe8,0xffffd104,0xbfffffff,0xfffd1001,
    0x07ffffff,0x540037e4,0x3fa200ff,0x32004fff,0x3f201fff,0xfffe802f,
    0x3ee000ff,0x02ffec6f,0xdfffff10,0xfffff880,0x00bff203,0xfffffda8,
    0xffffffff,0x200003ef,0xfffdffe8,0x3ea00000,0x800001ff,0x8000ffd8,
    0x99999999,0x999bfffa,0x00019999,0x0000fffa,0xd0001fd0,0x740005ff,
    0xfc8004ff,0xedefffff,0x01ffffff,0x05ffc800,0x2fbff200,0x7fcc06ff,
    0xedefffff,0x03ffffff,0x7fffdc00,0xff982fed,0xffeeffff,0x401fffff,
    0xdbcffffd,0xf101ffff,0x7fc4007f,0x6fffdc03,0xfff1002c,0x02ffc807,
    0x7fd77fe4,0xdff7000e,0x2005ffd8,0x4ffccffe,0x3fff7220,0x00bff206,
    0x3fffffa2,0xccaaabcd,0x00dfffff,0x96ffd800,0x80000dff,0x00005ffc,
    0x4cd54266,0xf3000009,0x000003ff,0x00017fe6,0x000b3fe0,0x20005ffd,
    0xd8006ffa,0x300cffff,0x001ffffb,0x0077fc40,0xb1fffa80,0x3fea0bff,
    0x9881beff,0x004ffffc,0x2017ffa0,0x00cffff8,0x40dfffd5,0xe883fffa,
    0x3ff206ff,0x01ffb000,0x8003ffd8,0xfc805ffb,0x3ffea02f,0x200bffb1,
    0x66543cca,0x2dff9003,0x8803fff8,0xff902fff,0xffff9805,0x3f6a002d,
    0x20001fff,0x3fa1fffb,0x6c00004f,0xf00001ff,0x007ff07f,0x07ffe600,
    0x774c0000,0x7cc00000,0x7f4004ff,0xbd90002f,0xfffb8001,0xfff9000e,
    0x5544000d,0xfff10000,0x21fffc47,0x004ffff8,0x003fffea,0x00bffe20,
    0x4007ffee,0xf701fffc,0x7ffd40df,0x00bff101,0xff007ff5,0xdff0001f,
    0x40bff200,0x3e24fff8,0x000003ff,0x50fffd40,0xf9003fff,0x0bff207f,
    0x00efffa8,0x3fffa600,0x35550001,0x000aaa98,0x006aa200,0x7c1ffc00,
    0xf300003f,0x000003ff,0x007fdff3,0x27ffcc00,0x00bffa00,0xff100000,
    0xfd8001df,0x310001ff,0x07500135,0x3fff6000,0xfff88002,0xfffa8003,
    0x03ffe800,0xd827ff40,0x7ffc04ff,0x007ff203,0xf8801ffb,0x0000007f,
    0x00005ff9,0x00000000,0x9ff70000,0x540bff20,0x00004fff,0x0003bff2,
    0x00066a20,0x00000000,0x03990399,0x3ffe6000,0x5d800001,0x880001ea,
    0xa8802ccc,0x1aacfffa,0xfd800000,0xf88001ff,0x366005ff,0xefffffff,
    0x003ff982,0x02fffd40,0x00fff900,0x100dff70,0xb8003fff,0xfff706ff,
    0x54009980,0x3fe604ff,0x07ff8805,0xff900000,0x00000005,0x00000000,
    0x3209ff50,0xfff882ff,0xfd800002,0xeca8005f,0x2effffff,0x00fffe00,
    0xf07ffdc0,0x2e0007ff,0x4c000fff,0x00001fff,0x0017c2f8,0xff500000,
    0x0bffffff,0x800b6e20,0x0005fff8,0x26013bf2,0xfffffffe,0xf11effff,
    0x2aa601ff,0x03fff601,0x1eff9800,0x7ed55440,0x880aaaef,0x4c003fff,
    0xff980dee,0xff00004f,0x0bff201f,0x441ffe20,0x2a000aaa,0x25ff90aa,
    0x2000aaa8,0x55510aaa,0x05554001,0x37bdd930,0xfa80554c,0x05ff904f,
    0x5c407ff9,0x2a20aced,0x017ff42a,0xfffffd88,0x3fffffff,0x003fff80,
    0x7c1fff70,0xf70003ff,0xf98001ff,0x800001ff,0x0003e64e,0x2f7b6e60,
    0x7d42aa61,0x5fffffff,0x5fcef880,0x05fff500,0xb8004400,0xdeffffff,
    0xdffffffe,0x3ee01ffe,0x9fff105f,0x00150000,0x3fffffee,0xfd01ffff,
    0x200000df,0x000dfffc,0x4427fe40,0xf8800fff,0x0fffe07f,0xc87ffcc0,
    0x0fffe2ff,0xf07ffcc0,0x3e6007ff,0xffe880ff,0xf94fffff,0x17fea05f,
    0x3e617fe4,0x3ffee05f,0xff71ffff,0x805ff98d,0xeffffffa,0xffffffed,
    0x01fffc05,0x20fffb80,0x70003fff,0x98001fff,0x00001fff,0x05ebcfa8,
    0x7ffec400,0xff94ffff,0x005ffd05,0x007e26c8,0x0003fff6,0x3fff2000,
    0xfc8809df,0x402fffff,0xff705ffb,0x0000005f,0xffffffd8,0xf900ffff,
    0x000019ff,0x05ffffb0,0x437fd400,0xf1005ffb,0x37fe40df,0x325ffc80,
    0x1bff22ff,0x322ffe40,0xff9006ff,0xffffd30b,0xfbdffffd,0x17fea05f,
    0x3fa17fe4,0xffffb00f,0xf93ffffd,0x01ffd09f,0x4effffe4,0xffffc880,
    0x07fff00e,0x83ffee00,0x70003fff,0x98001fff,0x00001fff,0x005ffff0,
    0x7ffff440,0xfdeffffe,0x02ffe82f,0x00f61f40,0x0001fffa,0x3fffea00,
    0xfffd3002,0x0bff700b,0x0007fff2,0xff980000,0xfff3000f,0x00017bff,
    0xfffffd30,0x3fe0001b,0x01ffec0f,0x2606ff98,0xfe801fff,0x98bff22f,
    0xfe801fff,0x0fffcc2f,0x7417ff40,0x3220bfff,0x502fffff,0x3ff20bff,
    0x6c0ffea2,0x3a61cfff,0xa82fffff,0xfff303ff,0x3fa2007f,0x7fff05ff,
    0x3ffee000,0x000fffe0,0x0007ffdc,0x0007ffe6,0x3fffe600,0x3ffa0005,
    0x3ff220bf,0xffe82fff,0xf135c002,0x0dfff003,0xff880000,0x7e4000ff,
    0x7dc01fff,0x0fffb05f,0xa8000000,0x74c007ff,0xceffffff,0x7fe4000a,
    0x3fffffbe,0x42ffe800,0xf3002fff,0x4ffe80df,0x323ffcc0,0x27ff42ff,
    0x741ffe60,0x7fcc04ff,0x02fffb87,0x40bfffee,0xff906ff9,0x5c07fe45,
    0xff103fff,0xff103fff,0x03fffa09,0x0bfff600,0x4000fffe,0x3fe0fffb,
    0xff70003f,0xff98001f,0xc800001f,0x000fffff,0x202fffa8,0xe82ffffb,
    0x7c4002ff,0xff006fce,0x800000bf,0x4002fffd,0x05fffffc,0xfe82ffdc,
    0x0000006f,0x0037fdc0,0x7fffff44,0x00beffff,0xfb127fe4,0x4001dfff,
    0x3fe65ffd,0x9ff5001f,0x407ffb80,0x7fe44ffc,0x203ffdc2,0xff704ffc,
    0x84ffc80f,0xfe805ffe,0xfff102ff,0xff8bff20,0x03fff885,0xf03fffdc,
    0x7fff50bf,0x3ffe2000,0x003fff87,0x7c1fff70,0xf70003ff,0xf98001ff,
    0x800001ff,0x03ffdfff,0x804ffe80,0xfe82fffe,0xdb88002f,0x9fff1002,
    0x7c400000,0x7dc006ff,0x01fffbdf,0x7fc17fee,0xddd5005f,0xbddddddd,
    0x027fec00,0xffffb300,0x05ffffff,0xffb837f4,0xf9002fff,0x07ffd4df,
    0x402ffd80,0x3e01fff8,0x17fe41ff,0xf807ffe2,0xfff101ff,0x20fffc03,
    0x9800fff8,0x3fa02fff,0x52ffc81f,0xfff905ff,0x0bfff100,0x3fe237f4,
    0x7dc0006f,0x1fffc2ff,0x0fffb800,0x4000fffe,0x4000fffb,0x0001fff9,
    0x7d67fd40,0x7fcc006f,0xfffa800f,0x002ffe82,0x3ffe0000,0x2a000005,
    0x2a001fff,0xbfff15ff,0xe82ffdc0,0xff7005ff,0xffffffff,0x1fff400d,
    0xfdb98000,0x84ffffff,0x36204ff9,0xc802ffff,0x1ffee7ff,0x803ffd40,
    0xff504ffd,0xb05ff90d,0x3fea09ff,0x827fec06,0xff986ffa,0x0bffe006,
    0x9886ffb8,0x881ff909,0xff003fff,0x22ffc09f,0x0002fffa,0x7fc5fff8,
    0xff70003f,0x01fffc1f,0x00fffb80,0x00fffcc0,0x4bff6000,0x2a001fff,
    0x3fe006ff,0x02ffe82f,0x3bb72a60,0x7ffc02bc,0x36000006,0x3e6007ff,
    0x1bff60ef,0xfd05ffb8,0x3fee00df,0xffffffff,0x07ffe006,0x764c0000,
    0x7d45ffff,0xfffb805f,0x3ffdc01f,0xda80dff9,0xf5002fff,0x0fff60ff,
    0x3ea0bff2,0x07ffb07f,0xfb07ffa8,0x0bff707f,0x2017ff40,0x200ceffe,
    0xfffb87fc,0x05fff000,0xff713fe6,0xfb00001f,0x1fffc1ff,0x0fffb800,
    0x4000fffe,0x4000fffb,0x0001fff9,0x643ffe20,0x3ee005ff,0x3ffa005f,
    0x802ffe82,0xffffffd8,0xfd01efff,0x400000ff,0xf1006fff,0x7ffb81ff,
    0x6c17fee0,0x553007ff,0xffb55555,0x3ffe600d,0xb8000000,0x3e21ffff,
    0xffa800ff,0x7ffd405f,0xf80bff90,0x7c001eff,0x7ffc42ff,0xf02ffc80,
    0xfff885ff,0x42fff800,0xfc80fff8,0x3ff6004f,0x7ffe4402,0x321ff603,
    0xff3006ff,0x0bfee01f,0x0000fff9,0xff87ffea,0xff70003f,0x01fffc1f,
    0x00fffb80,0x00fffcc0,0x4dff7000,0xb000fffa,0x7ec009ff,0x02ffe82f,
    0x77ffffd4,0x1ffffffe,0x001fffc8,0x7ffc0540,0x1ffe8805,0x700fffa8,
    0x3fee0bff,0xfc80001f,0xfff5006f,0x4c000000,0x7ffc4fff,0x7ffc800d,
    0xd87ffcc0,0x7ffc05ff,0x5ffc8004,0xfc82ffdc,0x8bff902f,0xf9005ffb,
    0x05ffb8bf,0x6c009ffb,0xfe8802ff,0x21bfa03f,0xf5005ffe,0x0ffec0ff,
    0x0001bffa,0xff17ffcc,0x3ee0007f,0x0fffe0ff,0x07ffdc00,0x07ffe600,
    0x3ffe8000,0xd801fffc,0x3f6004ff,0x02ffe82f,0x44177ffc,0xfa85fffc,
    0x260002ff,0xfff12eff,0x03ffd009,0x5c0bffea,0xfff305ff,0xff900009,
    0x17fee00d,0x00f76c40,0x546ffd80,0x4c01efff,0x3ea00fff,0x01bff27f,
    0x001dfffd,0xfd07ffcc,0x0bff205f,0xfd07ffcc,0x3fe6005f,0x40bffa0f,
    0x3a005ffc,0x7f4c02ff,0x17fe02ff,0x5c00fffe,0x1ffe05ff,0x00017ffe,
    0xff1fffcc,0x3ee0007f,0x0fffe0ff,0x07ffdc00,0x07ffe600,0x7ffcc000,
    0x8037fe40,0x3a005ffc,0x2ffe82ff,0x007ffea0,0xff01fff9,0x7e40009f,
    0x7fff31ff,0x202ffd80,0xf703fff9,0x37ff40bf,0x37fe4000,0x004ffd80,
    0x0007fff1,0x3f21ffea,0x3e204fff,0x3ffe407f,0xb300fff7,0xfe800bff,
    0x40fff33f,0x3fa02ffc,0x00fff33f,0xff33ffe8,0x037fdc0f,0x4405fff0,
    0x7400bfff,0x03ffe86f,0x2e07fff0,0x7ffc44ff,0xff100004,0x01fffc7f,
    0x20fffb80,0x70003fff,0x98001fff,0x00001fff,0xff30bffb,0xdff7005f,
    0x417ffc00,0x3fa02ffe,0xfff9805f,0x01fffd80,0x26fff880,0x3203fff8,
    0x7fcc03ff,0x0bff702f,0x0027ffdc,0x401bff20,0x3e003ffe,0xf90006ff,
    0x3ffee0bf,0x5ffb82ef,0xf537fec0,0xff1001ff,0x7fdc003f,0x6409ff75,
    0x3fee02ff,0x8009ff75,0x9ff75ffb,0x007ffcc0,0x7017ffcc,0x399509ff,
    0x3ff21ff6,0x1fffb804,0x440effa8,0x00004fff,0x7fc7fff3,0xff70003f,
    0x01fffc1f,0x00fffb80,0x00fffcc0,0x17ffc400,0x9805ffe8,0xf9800fff,
    0x3ffe82ff,0x2002a620,0xf881fff8,0xfd8005ff,0x27ffc2ff,0xb804ffc8,
    0xff701fff,0x2fffe80b,0xdffb1000,0x007ffe00,0x002fffc8,0x2603ffe8,
    0x50cffffe,0xfe801fff,0x07ffea5f,0x001ffdc0,0xffb1fff1,0x017fe403,
    0xffb1fff1,0xfff88003,0x7401ffd8,0xffd804ff,0x03ffa02f,0x7fe4bff2,
    0x2037fd40,0xf987fff8,0xbfff02ff,0x3fea0000,0x00fffe2f,0xf07ffdc0,
    0x2e0007ff,0x4c000fff,0x80001fff,0x3ee07ffb,0xffe800ff,0x2fffd804,
    0x0005ffe8,0x407ffea0,0x000efffc,0xfd0dfff9,0x0bff70bf,0x403fff20,
    0x7c405ffb,0x5c004fff,0x8806ffff,0x22000fff,0x1004ffff,0x9001fffb,
    0xffbfffff,0x9fff003d,0x801fffc4,0x6c005ffa,0x406ffbff,0x7ec02ffc,
    0x0006ffbf,0x0dff7ffb,0x403fff50,0x302ffff9,0x3ff20dff,0xf885ff72,
    0xffd102ff,0x5ffe88df,0x001bffa0,0xf0fffdc0,0x2e0009ff,0x27ffc7ff,
    0x07ffb800,0x01fff980,0x04ffe800,0x200fffe2,0x2a01fffa,0xfc82ffff,
    0x1005efff,0xffffb975,0x7fff403f,0xfe980acf,0xffd80fff,0x002ffd46,
    0x7dc0fffb,0xfffa805f,0x5441bdff,0x3fffffeb,0x007ffa80,0xaeffffc8,
    0xfffea881,0x3ffa6005,0xf1003fff,0x4ffe83ff,0x00dff300,0x3fffffa8,
    0x2017fe40,0x03fffffa,0xfffff500,0x3fffa007,0xfffffb83,0x20bff302,
    0xbff12ffc,0xa85fffb0,0x89ffffff,0x200efffc,0x00007ffd,0x7fc1fff9,
    0xff90004f,0x004fff8f,0x000fff90,0x0003fff3,0x401fff98,0xfd007ffd,
    0xfff707ff,0xfff305ff,0x7f5c0fff,0xffffffff,0x3fa201ff,0xecdfffff,
    0x01ffffff,0x3e63fff7,0xff1000ef,0x2ffdc0bf,0xfffff980,0xffffefff,
    0x000cffff,0x2000bff7,0xfffffffc,0xffffffee,0xfff70004,0x3fea00bf,
    0x005ffb87,0xf000dff3,0xc801ffff,0xfff802ff,0x3e0000ff,0x3000ffff,
    0xfddffffd,0x05fffdff,0x7e417fea,0x203ffa2f,0xffdefffe,0xfffffcdf,
    0xfa805fff,0xe80001ff,0x27ff45ff,0x47ffd800,0xb0004ffe,0xf3000fff,
    0xc80003ff,0xffa806ff,0xffe9802f,0xefffeeff,0xfd302fff,0xffa81fff,
    0xcfffffff,0xd801fffa,0xffffffff,0x201dffff,0xff8dfff8,0x3ff2000f,
    0x17fee02f,0xffffd880,0xffffffff,0x7ec001ef,0x3ee0004f,0xffffffff,
    0x0003ffff,0x027fff4c,0x7cc27fdc,0xfff1006f,0xbfff9000,0x005ff900,
    0x000bfff9,0x005fffc8,0x7ffffec4,0x05fff4ff,0x7e417fea,0x20ffee2f,
    0xffffffe8,0xffffff33,0x7ffc007f,0x7fdc0006,0x037fec2f,0x6c6ffe80,
    0xfd0006ff,0x000000df,0xffffff00,0xffffffff,0x36200bff,0x4fffffff,
    0x33005fff,0xbfffff50,0x7ffc4137,0xfff91001,0x03dfffff,0x3fbfff20,
    0x3fe2001f,0x2ffdc07f,0x7ff5c400,0x2cdfffff,0x05ffd000,0xffeb8800,
    0x1cdfffff,0xffb10000,0x2ffd803f,0x1003fff0,0xf3000fff,0xff9005ff,
    0x5fff3005,0xfff98000,0xfb950002,0x0fffc59d,0xf905ffa8,0x0fff445f,
    0x0df7ed44,0x02f7bfaa,0xff906aa6,0x3e20005f,0x7fdc0fff,0x7fc4000f,
    0x07ffdc4f,0x13ffe200,0x50000000,0xffffffff,0xffffffff,0x6e54001f,
    0x3ffe2cef,0xfff10001,0xfff9803f,0xcff88001,0xff88001a,0x6c001fff,
    0x7dc02fff,0x4c40005f,0x00000efd,0x00003fff,0x00dffd44,0xffd00100,
    0x037fcc09,0xf100bff7,0xff1000ff,0x0bff200f,0x001ffe20,0x001ffe20,
    0x03fff000,0x7e413fea,0x07ffcc2f,0x3ea00000,0x7ffc40ff,0xffd8000f,
    0x5fff983f,0x17ffe400,0x0017ffe6,0x0005fff9,0x0003ddd5,0x7777ffec,
    0xeeeeeeee,0x00004fff,0xd807ffe2,0x7ffcc2ee,0x1fffa801,0x03ff9800,
    0x77ffdc00,0xfffd3001,0x0bff900b,0x037fa000,0x3ffe2000,0x7dc00000,
    0xfe98003f,0x37fe400f,0x4407ffb0,0x7c400fff,0xffb8007f,0x05ff9004,
    0x0009ff70,0x4009ff70,0x3fe60009,0x09ff500f,0x3ee0bff2,0x000000ef,
    0x2a03fff3,0x1002ffff,0x740bfffd,0xf3004fff,0x3ffa0dff,0xfff3004f,
    0x3fea000d,0xff10002f,0xffe8007f,0x98002607,0x3fe00fff,0x03ffdc3f,
    0x001fffc8,0x02efffa8,0xfffffb00,0x3fee2019,0xfc800eff,0xf880004f,
    0x40004fff,0x00006ffb,0x02fffeb8,0x201fffc0,0xff105ffc,0x09ff700f,
    0xd000fff0,0x3f2003ff,0x1ffe802f,0x1ffe8000,0x007ffe00,0xfb81bff6,
    0x05ff904f,0x000ffff6,0x07fff900,0x1dffffc8,0xfffff510,0x7fffd401,
    0xffd980ad,0xfff502ff,0xfb3015bf,0x20005fff,0x0002fffa,0x8001fff7,
    0xff02fffb,0xdff9003f,0x5c3fff80,0x7d401fff,0x20002fff,0xc8007ff8,
    0xfffffeff,0xffffdcef,0xfb000dff,0xd800009f,0x3a0002ff,0x000004ff,
    0xb001bfe2,0x3e201fff,0x7ff903ff,0x01fff100,0x2002fff8,0x32005ffb,
    0x7fdc02ff,0xffb80005,0x37ff4005,0x80fffea0,0xff902ffd,0x3fffa205,
    0x2a20002e,0x7004fffe,0x9dffffff,0xdffffffb,0xffff9001,0xffffdfff,
    0xfc809fff,0xfeffffff,0x04ffffff,0x0bffea00,0x02fff400,0x82fffc40,
    0x7d406ffe,0x7ee403ff,0x027ffd42,0x05fffff3,0x07ffc400,0x269ff700,
    0xfffffffe,0x803fffff,0x005fff70,0x03ffc800,0xff711330,0x4000005f,
    0x4c006ffa,0x711befff,0xf101fffd,0x7fdc00df,0x56ffe403,0xffdbab80,
    0x3ff2001f,0x7fedd5c2,0xbab8001f,0x4001fffd,0x10adfffb,0x20bfff95,
    0x900fffa8,0xffc805ff,0x401adfff,0xeffffda9,0x7ff4c001,0xffffffff,
    0x7dc004ff,0xffffffff,0x7003ffff,0xffffffff,0x007fffff,0x0007f200,
    0x000bffe6,0x5c0fffe4,0x510acfff,0x200dfff9,0xfffe80fb,0xffeba9be,
    0x2003ffef,0x4fffecc9,0x217fe600,0xffffffea,0xf9800bef,0x0007ffff,
    0xffffdcc8,0xffffb000,0x00001fff,0x7ffff75c,0xfffb8002,0xffffffff,
    0x003ff902,0x7cc07fe8,0x7f44ffff,0x4004ffff,0x7ff42ffc,0xd0004fff,
    0x009fffff,0x3fffff60,0x85fffffe,0x06fffff8,0x2600bff2,0xfffffffe,
    0xffffeeef,0x0002ffff,0x7ffffed4,0x0000beff,0xfffffd71,0x80017fff,
    0xfffffeb8,0x0000bfff,0x64001fa0,0x260007ff,0xffb04fff,0xffffdfff,
    0xdd1003ff,0x3ffffe60,0xb8cfffff,0x3ee005ff,0x000effff,0x54c402d4,
    0x7dc0009a,0x0002ffff,0x7fffffc4,0x3fffe002,0x00002fff,0x27ffffec,
    0xfffd5000,0x203fffff,0x88004ff8,0x7fdc03ff,0x7ffec4ff,0xffc8005f,
    0x2ffffec2,0xffffb000,0x7e44000b,0xffffffff,0xfffff105,0x017fe401,
    0xfffff930,0xffffffff,0x000009ff,0x00135553,0xaaa99800,0x33000019,
    0x00033555,0x0009fb00,0x00013ffe,0x3220fffd,0xffffffff,0x3fd000df,
    0x7fffe440,0x3fe61dff,0x9995000f,0x00000059,0xddb50000,0x91000039,
    0x800179b9,0x00adedcb,0xbbaa8000,0x9700000a,0x40157bdb,0x2e0006fb,
    0xeec9806f,0x01676d44,0x542ffc80,0x40002ced,0x0002ceda,0xbddd9710,
    0x777c4017,0x17fe400b,0xb9753000,0x0179bddd,0x00000000,0x00000000,
    0x20000000,0xf50004fa,0xb80003ff,0x2e202fff,0x001bdeec,0x531000a8,
    0x00000035,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00500000,0x0037fec0,0x037ffc40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13ed8800,0x800005db,
    0x0004eeea,0x20039700,0x66444ccb,0x32e0002c,0x0e66443c,0xee980000,
    0x5c00005e,0x2e001eee,0x200005ff,0x0005eee9,0x01777640,0xeeed8000,
    0x002eeeee,0x7ff6e5c4,0xffffffff,0xed88002f,0xea80004e,0xe80004ee,
    0x80001fff,0x70003fff,0x40001fff,0x4004eeea,0x775c4eed,0x32e0000d,
    0x800000cc,0x000001c9,0x0002aaaa,0x4005ffb8,0x05febff9,0xfffe8000,
    0xfd000000,0x3ffe2003,0x001bff63,0x6c7fff30,0x000005ff,0x0007fff6,
    0xfffff980,0x0bff7000,0xfffb8000,0x3e200003,0x000006ff,0xffffffff,
    0x7fdc007f,0xffffffff,0x02ffffff,0x004ffd80,0x01fffd00,0xffff9800,
    0xfff80005,0xfff70003,0x7ffc0001,0x7fcc000e,0x05fff33f,0x7fffdc00,
    0x7f400005,0x000006fd,0x0003fffd,0x4002ffdc,0x0005fffa,0x02fffa80,
    0x0ff10000,0xa9fffa80,0x80000fff,0xffa8fffb,0x1000000e,0x00007fff,
    0x7fefffc4,0x0bff7006,0xdff90000,0xff980000,0xa800002f,0xaaaaaaaa,
    0xfffe8801,0xffffffff,0x02ffffff,0x0017fdc0,0x01fffa80,0xffffc800,
    0x7fc0000f,0xff70003f,0x3ea0001f,0xf50001ff,0x07ffd1ff,0x6fffcc00,
    0x500003ff,0x000be21f,0x07fffa00,0x05ffb800,0x2aa62660,0x00000998,
    0x00007ffd,0x4002fdc0,0x1ffeeffc,0x3ff60000,0x0001fffd,0x017ff200,
    0x2bffd000,0xfb805ffd,0xd000005f,0x800005ff,0x00006ffb,0x09980998,
    0xfffffc80,0xb999cfff,0x80099dff,0x331aa899,0x7ff40001,0xfff00003,
    0x80007ffb,0x70003fff,0x20001fff,0x40003ffe,0x05fffffc,0x2fffe200,
    0x0002fff8,0x002e45d8,0x0ffff400,0x0bff7000,0x7fc1ffc0,0xff980003,
    0x6c000005,0xffd0003f,0x800007ff,0x02ffffe8,0x3fe20000,0x7e400006,
    0x7fff10ff,0x005ffb80,0x0dff1000,0x5ff90000,0x3ff80000,0x7cc03ff8,
    0xffffffff,0x0027fdc3,0x0ffe0ffe,0x02ffcc00,0xacffa800,0x7c0006ff,
    0xf70003ff,0xf50001ff,0x3a00009f,0x40006fff,0x3fea6ffd,0x3dc0001f,
    0x200000fa,0x0000eeed,0x83ff8000,0x980003ff,0x000000aa,0x880007fc,
    0x00003ccc,0x00799930,0x0aa88000,0x55540000,0x201554c1,0x00005ffb,
    0x00006620,0x0000d540,0x3fe0ffe0,0x7fffe403,0x5c3fffff,0x7fc004ff,
    0x0003ff83,0x40000331,0x3fff2ffd,0x1fffc000,0x0fffb800,0x002a9800,
    0x02666200,0x1ccc9800,0x0001e65c,0x03f6f7e2,0x00000000,0x0e640000,
    0x00000e64,0xf5000000,0x0000000d,0x066a2000,0x2a200000,0x00000019,
    0x05ffb800,0x00000000,0x00335100,0xc81cc800,0x7ffec01c,0x43ffffff,
    0x64004ffb,0x001cc81c,0xf1000000,0x17ff21ff,0x03fff800,0x01fff700,
    0x01353100,0x00000000,0x0009a988,0x0e7e4c00,0xa9880000,0x20000009,
    0x70003fff,0x7ffc1fff,0xfff70003,0xefca8801,0x3ffe04fe,0xfff70003,
    0x3fb2a001,0x02efffff,0xffd95000,0x005dffff,0x8001fffc,0xff70fffb,
    0x5ef7654b,0x89ffd000,0xa8003fff,0xffffffec,0x3ffe002e,0xfff70003,
    0x3fffffa1,0x7dc3ffff,0x07fff04f,0x03ffee00,0xfff13ffa,0xdff70007,
    0x0007ffd4,0x0003fff8,0x2001fff7,0xffffffd9,0x3fa001df,0x01fffc4f,
    0x7fffecc0,0xf801dfff,0xf70003ff,0x366001ff,0xdfffffff,0x0d54c001,
    0x8001fffc,0x3fe0fffb,0xff70003f,0x3ffa601f,0x03ffffff,0x20007fff,
    0x4400fffb,0xfffffffd,0x003fffff,0xfffffb10,0x7fffffff,0x007fff00,
    0x5c3ffee0,0xfffd8dff,0xe804ffff,0x1fffc4ff,0xffffb100,0xffffffff,
    0x07fff007,0x43ffee00,0xfffffffe,0x27fdc3ff,0x0003fff8,0xfd01fff7,
    0x03fff89f,0x7c3ffe80,0xff0003ff,0x3ee0007f,0x7f5400ff,0xffffffff,
    0xfe801dff,0x01fffc4f,0xfffffd50,0x3bffffff,0x001fffc0,0x400fffb8,
    0xffffffea,0x01dfffff,0xff0bff70,0x3ee0007f,0x0fffe0ff,0x07ffdc00,
    0x6fffffd4,0xf85ffffe,0xf70003ff,0x7fd401ff,0xfedeffff,0x005fffff,
    0x7fffffd4,0xfffffede,0x1fffc05f,0x0fffb800,0xfffddff7,0x0bffffdb,
    0x7fc4ffe8,0xfff5003f,0xffdbdfff,0xf80bffff,0xf70003ff,0x3fff61ff,
    0x43ffffff,0xfff04ffb,0x3fee0007,0x44ffe80f,0x4c003fff,0x7fe40fff,
    0x7fff0006,0x3ffee000,0x3ffff200,0xfffedeff,0x7f401fff,0x01fffc4f,
    0xffffffc8,0xfffffede,0x07fff01f,0x03ffee00,0xffffffc8,0xfffffede,
    0x5ffb801f,0x0003fff8,0x7fc1fff7,0xff70003f,0xefff881f,0xfffff70a,
    0x003fff87,0x201fff70,0x09dffffc,0xeffffc88,0xffffc800,0xffc8809d,
    0xfff00eff,0x3fee0007,0xfffff70f,0x09fffb07,0x3321665c,0xfffc801c,
    0xfc8809df,0xff00efff,0x3ee0007f,0xffff70ff,0xb87fffff,0x7fff04ff,
    0x3ffee000,0x642ccb80,0x7ec001cc,0x2fff985f,0x03fff800,0x01fff700,
    0x033ffff6,0x07fffecc,0xcc859970,0xfffd801c,0xffb300cf,0x7fff01ff,
    0x3ffee000,0x9ffffb00,0x3fff6601,0x2ffdc00f,0x8001fffc,0x3fe0fffb,
    0xff70003f,0x1fffd81f,0x37ff57ec,0x4000fffe,0xf980fffb,0xd1003fff,
    0xf980bfff,0xd1003fff,0x3fe0bfff,0xff70003f,0x3fffee1f,0x03fff201,
    0xff300000,0x3a2007ff,0xfff05fff,0x3fee0007,0xfffff10f,0xfb87ffff,
    0x07fff04f,0x03ffee00,0x7c400000,0xbffd02ff,0x07fff000,0x03ffee00,
    0x003bffee,0x0037ffe4,0x7ffdc000,0xfff9000e,0x007fff0d,0x203ffee0,
    0x000efffb,0xb80dfff9,0x3fff85ff,0x1fff7000,0x8001fffc,0x3e60fffb,
    0x47fc43ff,0x3fe2fff9,0xff70003f,0x1fffd01f,0x5fffb000,0x007fff40,
    0x417ffec0,0x70003fff,0x3fee1fff,0x7ffc404f,0x74000003,0xd8000fff,
    0xfff82fff,0xfff70003,0x7ffffd41,0x7fdc3fff,0x007fff04,0x003ffee0,
    0x7fdc0000,0x03ffee07,0x007fff00,0x103ffee0,0x8001dfff,0x0001fffd,
    0x3bffe200,0x7ffec000,0x001fffc1,0x440fffb8,0x4000efff,0x2e01fffd,
    0x3fff85ff,0x1fff7000,0x8001fffc,0x3ee0fffb,0x2e6fa87f,0x0fffe0ac,
    0x07ffdc00,0x000fffea,0xa83fffc4,0x10003fff,0xfff0ffff,0x3fee0007,
    0x01fff70f,0x000bff70,0x1fffd400,0x7fff8800,0x0003fff8,0xfa81fff7,
    0x43ffffff,0xfff04ffb,0x3fee0007,0x0000000f,0x7c409ffd,0x7fc003ff,
    0xff70003f,0x1fffd81f,0x5fff8800,0x3f600000,0xf88001ff,0x1fffc5ff,
    0x0fffb800,0x000fffec,0x702fffc4,0x7fff0bff,0x3ffee000,0x000fffe0,
    0xfb07ffdc,0x007f90bf,0x20007fff,0x3e20fffb,0x5c0006ff,0x7fc42fff,
    0x7dc0006f,0x1fffc2ff,0x0fffb800,0x2600dff7,0x06aa66ff,0xf1055540,
    0xb8000dff,0x7ffc2fff,0xfff70003,0xfffd9101,0x04ffb87f,0x20007fff,
    0x5530fffb,0x02aaa003,0x401fff98,0x7c007ffd,0xf70003ff,0x7ffc41ff,
    0x3bf20005,0x4006aa64,0x3fe20aaa,0x3f20005f,0x01fffc4e,0x20fffb80,
    0x0005fff8,0xfb813bf2,0x03fff85f,0x41fff700,0x70003fff,0x7ff41fff,
    0xf801ff84,0xf70003ff,0x7ffd41ff,0xfff80002,0x017ffd45,0x22fffc00,
    0x70003fff,0x3fee1fff,0x1fff1005,0x22017ff2,0x3fea1fff,0xff80002f,
    0x01fffc5f,0x00fffb80,0x2e1ffe44,0x7fff04ff,0x3ffee000,0x100bff90,
    0x7e403fff,0xfffa806f,0x0fffe002,0x07ffdc00,0x0005fff5,0x2ffe4044,
    0x50fffc40,0x40005fff,0x07fff008,0x83ffee00,0x0002fffa,0x3fee0022,
    0x003fff85,0x7c1fff70,0xf70003ff,0x1fffc1ff,0x7fc01fe6,0xff70003f,
    0x07ffdc1f,0x7ffec000,0x003ffee0,0x83fff600,0x70003fff,0x3fee1fff,
    0x47ffe004,0xf8805ffc,0x3ffee1ff,0xffd80000,0x00fffe0f,0x007ffdc0,
    0x3ee1ffe4,0x07fff04f,0x43ffee00,0xf8805ffc,0x3ffe01ff,0xffffffff,
    0x005fffff,0x40013ffe,0x7fec7ffb,0xc800000f,0xff8805ff,0x03fff61f,
    0x7ffc0000,0xfff70003,0x007ffec1,0x7fdc0000,0x003fff85,0x7c1fff70,
    0xf70003ff,0x17ffc1ff,0x7fc013ee,0xff70003f,0x03ffe41f,0x1fffa800,
    0x0001fff2,0xff0fffd4,0x3ee0007f,0x07ff70ff,0xfc97ffc0,0xfff8805f,
    0x001fff21,0xf0fffd40,0x2e0007ff,0xfc800fff,0x827fdc3f,0x70003fff,
    0x3ff21fff,0x1fff8805,0xffffff50,0xffffffff,0x3a001fff,0xf90004ff,
    0x07ffe8df,0xbff90000,0x43fff100,0x00007ffe,0x000fffe0,0xfd07ffdc,
    0x000000ff,0x3fe17fee,0xff70003f,0x01fffc1f,0x20fffb80,0x17f43ffe,
    0x003fff80,0x741fff70,0x300006ff,0x7ff45fff,0xff300006,0x01fffc5f,
    0x70fffb80,0x3e2009ff,0x0bff90ff,0x743fff10,0x300006ff,0x7ffc5fff,
    0xfff70003,0x87ff9001,0xfff04ffb,0x3fee0007,0x00bff90f,0x3603fff1,
    0xeeeeefff,0xffeeeeee,0xbffb004f,0x17ff6000,0x0000dfff,0x2017ff20,
    0x3fe1fff8,0x2000006f,0x70003fff,0x7ffc1fff,0x70000006,0x7fff0bff,
    0x3ffee000,0x000fffe0,0xfd07ffdc,0x207fc4bf,0x007fff00,0xf83ffee0,
    0x300005ff,0x7ffc7fff,0xff300005,0x01fffc7f,0x70fffb80,0x3e600bff,
    0x017ff27f,0xff87ffe2,0xf300005f,0x1fffc7ff,0x0fffb800,0x5c3ffc80,
    0x7fff04ff,0x3ffee000,0x100bff90,0xff103fff,0xffe8007f,0x0dff9007,
    0xf13ffa00,0x00000bff,0x22017ff2,0x3ffe1fff,0x3e000005,0xf70003ff,
    0x2fffc1ff,0xfb800000,0x03fff85f,0x41fff700,0x70003fff,0x7fec1fff,
    0x3ee17ea6,0x00fffe5f,0x887ffdc0,0x00004fff,0x3e27fff1,0x100004ff,
    0x7ffc7fff,0xfff70003,0x401bfee1,0x3ff25ffa,0x1fff8805,0x0009fff1,
    0xf8fffe20,0xf70003ff,0xff9001ff,0xf04ffb87,0x2e0007ff,0xbff90fff,
    0x03fff100,0x8001fff7,0xb802fffb,0x44000fff,0x3fe23fff,0x9000004f,
    0xff100bff,0x13ffe23f,0xfff80000,0xfff70003,0x013ffe21,0x7fdc0000,
    0x003fff85,0x7c1fff70,0xf70003ff,0x7ffd41ff,0xffb07f90,0x001fffc7,
    0xf10fffb8,0x200009ff,0xff13fff9,0x2600009f,0x3ffe3fff,0xfff70003,
    0x007ffee1,0xffc8fffa,0x1fff8805,0x0009fff1,0xf8fffe60,0xf70003ff,
    0xff9001ff,0xf04ffb87,0x2e0007ff,0xbff90fff,0x03fff100,0x1000bffd,
    0xf300bfff,0xfc800bff,0x2fffc2ff,0xffc80000,0x1fff8805,0x00017ffe,
    0x003fff80,0x7c1fff70,0x000005ff,0xff0bff70,0x3ee0007f,0x0fffe0ff,
    0x07ffdc00,0x0ffd7ffe,0xff87ffe6,0xff70003f,0x02fffc1f,0x2fffa800,
    0x00017ffe,0xff17ffd4,0x3ee0007f,0xbfff70ff,0x21fffa80,0xf8805ffc,
    0x17ffe1ff,0x7ffd4000,0x000fffe2,0x4007ffdc,0x7fdc3ffc,0x007fff04,
    0x643ffee0,0xff8805ff,0x17ffcc1f,0x1fffc800,0x04fffd80,0xf0dfff50,
    0x00000dff,0x22017ff2,0x3ffe1fff,0x3e000006,0xf70003ff,0x37ffc1ff,
    0xfb800000,0x04fff85f,0xf8fff700,0xf70004ff,0x9fff70ff,0x5ffe88ff,
    0x80027ffc,0x7ff47ffb,0xff700006,0x037ff43f,0x1fffb800,0x40013ffe,
    0x3fee7ffb,0xfff504ff,0x805ffc8b,0x3fa1fff8,0xf700006f,0x27ffc3ff,
    0x07ffb800,0xfb87ff90,0x09fff04f,0xc9ffee00,0xff8805ff,0x03ffe41f,
    0x09fff300,0x5bffff30,0xffffb301,0x00fffd05,0x17ff2000,0xe87ffe20,
    0x000007ff,0x40013ffe,0x7ff47ffb,0x70000007,0x9fff0bff,0x1fff2000,
    0x20009fff,0xffb07ffc,0xff953dff,0x4fff81df,0x8fff9000,0x00007ffd,
    0x7ec1fff9,0xf900007f,0x27ffc1ff,0x27ffc800,0xbefffffb,0x0ffffdba,
    0x4402ffe4,0x3ff61fff,0xff900007,0x027ffc1f,0x007ffc80,0xffb87ff9,
    0x009fff04,0xfc9fff20,0xfff8805f,0x0027ffc1,0x401fffa0,0xfffffffc,
    0xfffffffe,0x03fff904,0x7e40a800,0xfff8805f,0x007fff21,0xfff01500,
    0x3ff20009,0x00fffe47,0xf7002a00,0x09ffd0bf,0xd1fff600,0x360009ff,
    0xffb107ff,0xdfffffff,0x009ffd03,0xf51fff60,0xd00003ff,0xfffa8bff,
    0xffe80001,0x0027ff45,0x3ee7ffd8,0xfffffcdf,0xfc80efff,0xfff8805f,
    0x007ffea1,0xd17ffa00,0x360009ff,0xff9007ff,0xd04ffb87,0x360009ff,
    0x17ff27ff,0xa87ffe20,0x40001fff,0x5002fffb,0xffffffff,0x407fffff,
    0x0002fffa,0x7e4bbfe6,0xfff8805f,0x00bffea1,0x22eff980,0xb0004ffe,
    0xfffa8fff,0x3fe60002,0x0bff702e,0x2000dffb,0x7fec6ffe,0xdffd0006,
    0xfffffb80,0x3ff603ff,0xdffd0006,0x000dfff0,0xf82fffb8,0x5c0006ff,
    0x7fec2fff,0xdffd0006,0xffaaffdc,0x3202dfff,0xffa805ff,0x037ffc1f,
    0x0bffee00,0x2000dffb,0xf9006ffe,0x04ffb87f,0x2000dffb,0x3ff26ffe,
    0x1fffa805,0x0001bff6,0x801bffe2,0xfffffdb8,0xf800cfff,0x320004ff,
    0xbff91fff,0x83fff500,0x20004fff,0x3f61fffc,0xffd0006f,0x009fff0d,
    0x80fffe40,0xffb85ffb,0x7fc4000f,0x07ffdc4f,0x13ffe200,0x3575df70,
    0x01fff700,0x84fff880,0x0002fffc,0x901ffff1,0x20005fff,0x5c0ffff8,
    0x44000fff,0x3fee4fff,0xb800d445,0xffb805ff,0x17ffe41f,0xffff8800,
    0x007ffdc0,0x013ffe20,0x3ee1ffe4,0x1fff704f,0x4fff8800,0x2e017fee,
    0x00001fff,0x0003fe20,0x0139fd30,0x01fffd80,0x26fff880,0xfb805ffb,
    0x7ffec1ff,0xfff88001,0x007ffdc6,0x213ffe20,0x8001fffd,0x2e06fff8,
    0xfff985ff,0x7ffe4005,0x02fffcc2,0x00bfff20,0xf30007fb,0xfc800bff,
    0xfff882ff,0xffd8000f,0xffff103f,0xfffb0001,0x0bfff307,0x22fffc80,
    0x40005ffb,0xfc806ffb,0x7ffc41ff,0xffd8000f,0x5fff983f,0x17ffe400,
    0x5c3ffc80,0xfff304ff,0xfffc800b,0x201bfee2,0x0001fffc,0x001be600,
    0x8000ff40,0x8005fff8,0x3ee2fffd,0xfffc806f,0x02fffc41,0x217ffec0,
    0x4005fff9,0xf882fffc,0xfd8005ff,0x3ff202ff,0x09fffd05,0x41bffe60,
    0x3004fffe,0xf880dfff,0xffd0001f,0x3fe6009f,0x3ffea06f,0xffd1002f,
    0xfffa80bf,0xffd1002f,0x7fff40bf,0xdfff3004,0x0005ffb8,0x3017ffd4,
    0xf503ffff,0x22005fff,0x3a05fffe,0xf3004fff,0x7e400dff,0x027fdc3f,
    0x2009fffd,0x7d46fff9,0x3fe602ff,0x000001ff,0x400017ea,0x320000ff,
    0x9000efff,0xffa8dfff,0x3ffe602f,0xefffc81f,0xdfff9000,0x013fffa0,
    0x9037ffcc,0x2001dfff,0x6406fffc,0xfff504ff,0xfb3015bf,0x3ea05fff,
    0x980adfff,0x402ffffd,0x2a0006fa,0x80adffff,0x02ffffd9,0x0effffe4,
    0xfffffa88,0xffffc800,0xfff5101d,0x7fd401ff,0xd980adff,0x7dc2ffff,
    0x7c40005f,0xff980fff,0xff901fff,0x2a203bff,0x200fffff,0x0adffffa,
    0x2ffffd98,0x70fff200,0x7fd409ff,0xd980adff,0x7c42ffff,0xff980fff,
    0x00001fff,0x0003fee0,0x0005ff30,0xacffffe8,0xffffe980,0x07fffc40,
    0x0fffffcc,0xacffffe8,0xffffe980,0xbffff500,0xfffb3015,0xfffe805f,
    0xfe980acf,0x7ec00fff,0x3fff204f,0xfffeffff,0x6404ffff,0xefffffff,
    0x4fffffff,0x0004fc80,0x7fffffe4,0xffffffef,0xfff7004f,0xffb9dfff,
    0x001dffff,0x7fffffdc,0xfffffdce,0xffc800ef,0xffefffff,0xb84fffff,
    0xc80005ff,0xecbdffff,0x01ffedff,0x3fffffee,0xfffffdce,0xffc800ef,
    0xffefffff,0x004fffff,0x3ee1ffe4,0x7ffe404f,0xfffeffff,0xf904ffff,
    0xfd97bfff,0x003ffdbf,0x6ffcc000,0xf8003510,0x800620ef,0xffffffe8,
    0xfffffecd,0xffff901f,0xdbffd97b,0x3fa203ff,0xecdfffff,0x01ffffff,
    0x7fffffe4,0xffffffef,0xffe8804f,0xfecdffff,0x101fffff,0x700bffee,
    0xffffffff,0x007fffff,0x3fffffee,0x3fffffff,0x0003ff00,0xffffff70,
    0x7fffffff,0xfffe9800,0xffffffff,0xfd30004f,0xffffffff,0xb8009fff,
    0xffffffff,0x703fffff,0x10000bff,0xfffffffb,0x007ff6bf,0xffffffd3,
    0x09ffffff,0xfffffb80,0xffffffff,0x3ffc8003,0x5c027fdc,0xffffffff,
    0x203fffff,0xffffffd8,0x03ffb5ff,0xffe80000,0x4002ffef,0x5fedfffc,
    0xffffd800,0xffffffff,0x3ff6201d,0xb5ffffff,0xffd803ff,0xffffffff,
    0xf7001dff,0xffffffff,0x8007ffff,0xfffffffd,0x01dfffff,0x0ffffff3,
    0x3fffae20,0x00bfffff,0x7fff5c40,0x00bfffff,0x0000ff30,0x7ffff5c4,
    0x000bffff,0x3ffff6a0,0x000befff,0xffffda80,0x000befff,0xffffd710,
    0x4017ffff,0x00005ffb,0x3bffffee,0x4007ff64,0xffffffda,0x10000bef,
    0xffffffd7,0x200017ff,0x7fdc3ffc,0xffd71004,0x17ffffff,0x3fffee00,
    0x07ff64ef,0xfd500000,0x8003dfff,0x4ffffff9,0xfff91000,0x03dfffff,
    0x7ffffdc0,0x007ff64e,0x3fffff22,0x8001efff,0xfffffeb8,0x0000bfff,
    0xffffff91,0xfb803dff,0x8002ffff,0x019aaa99,0x55533000,0x0a200033,
    0x54cc0000,0x000019aa,0x009aaa98,0x2aa60000,0x4000009a,0x019aaa99,
    0x00055530,0x00155100,0x35553000,0x99800001,0x00019aaa,0x5440aa98,
    0xa998001a,0x200019aa,0x00000aa8,0x37930000,0xacda8000,0x53100000,
    0x88000355,0x400000aa,0x001aaa98,0x2aaa6600,0x44000019,0x2001aaa9,
    0x001cdeda,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aa20353,
    0x2ccc8800,0x26026654,0x07ffffff,0xf0066000,0xffffffff,0xffffffff,
    0x74c007ff,0x3bbb64ee,0xccc80001,0x3ffee003,0x3ffe6fff,0xffffffff,
    0x00aceeef,0xf317ff20,0x800005ff,0x3220ccca,0x4c0002cc,0x802aa02a,
    0x00005ffb,0x275c0bb2,0x0ccca800,0x00000000,0x01f775c0,0x005fff88,
    0xfb8fff50,0x3ffea05f,0x05fff300,0x1dfffb00,0x3bbae000,0x09930002,
    0x7dc00e64,0x07ffb05f,0x7ec1bf20,0x7fdc0005,0x05fff10f,0xffffff98,
    0x7df93007,0x3e03fdc1,0xffffffff,0xffffffff,0x3f6003ff,0x9fff30ff,
    0xfffb0000,0x3fee005f,0x3fe6ffff,0xffffffff,0xffffffff,0x8bff9001,
    0x0002fff9,0x927ff440,0x30000dff,0x1ff503ff,0x002ffdc0,0x881ff900,
    0xfa8003ff,0x00006fff,0x0007fff9,0x00dfff10,0x01ffffc4,0x2e3ffd40,
    0x3fea05ff,0x5fff300f,0xefffd800,0xfff30000,0xf10003ff,0x01ff505f,
    0x360bff70,0xff3003ff,0x0ffee639,0x5bff6000,0xe9804ffd,0x807ffeee,
    0xeffffff9,0x7fc06ffc,0xffffffff,0xffffffff,0xfff1003f,0x0037fec5,
    0x7ff7fdc0,0xfffb801f,0x3ffe4eee,0xffffffff,0xffffffff,0x45ffc802,
    0x0002fff9,0x9afff980,0x00000fff,0x7f4c3bff,0x02ffdc06,0x9fff3000,
    0x001fffb7,0xffdfff88,0xffc80005,0xfc80003f,0x3e2000ff,0x4000ffff,
    0x7fdc7ffa,0x03ffea05,0x0017ffcc,0x001dfffb,0x3f7ffa20,0xfe8000ef,
    0x6feb98be,0x20bff700,0x32003ffd,0x5fffffff,0xffd10000,0x2000bffd,
    0xfc807ff9,0xfffffcbe,0x67ffc02f,0x99999999,0x09999999,0x4c9ff900,
    0x40000fff,0xffaafff9,0x37fdc00e,0x1007fff0,0x5ffffd53,0x4c5ffc80,
    0x00002fff,0xffdfff70,0x7d400005,0x1fffffff,0x002ffdc0,0x3fffea00,
    0xe8001fff,0x07ffd5ff,0x3fffc800,0x7ffc4000,0x7ffc4001,0x7d4005ff,
    0x0277547f,0x2601fff5,0xfb002fff,0x40001dff,0xbff95ffd,0xffff1000,
    0x2001ffff,0xffb04eea,0xfffb8007,0x00000cff,0x03bfffe6,0x03ffcc00,
    0x3f6a1ffc,0x3fff801c,0xf8800000,0x017fe46f,0x93ffa200,0x7dc05ffd,
    0x0fffe06f,0x13ffee00,0xf98bff90,0x000002ff,0x00fffff6,0x3ffea000,
    0xfb801eff,0x8800005f,0x000bdedc,0xf30fffc8,0x640005ff,0x40003fff,
    0x88003ffb,0x03ffffff,0x001ffea0,0x9807ffd4,0xfd802fff,0x20000eff,
    0xff10fffb,0xfb10009f,0x0001bfff,0x53000000,0x54000003,0x20001ccc,
    0x00007ff9,0x01fffc00,0x55440000,0x00015540,0x91066654,0x7fdc0399,
    0x00fffe06,0x203ffec0,0x7fcc5ffc,0x4000002f,0x00003ccc,0x000d54c0,
    0x0000bff7,0x64400000,0x2665c1cc,0x00000000,0x22000555,0x0fffffff,
    0x00fff500,0x403ffea0,0x6c02fff9,0x0000efff,0x2a60d554,0x04c0002a,
    0x00000000,0x40000000,0x00009a98,0x0001ffe6,0x07fff000,0x00000000,
    0x2a660000,0x37fdc001,0x0007fff0,0xc807ffea,0x7ffcc5ff,0x98000002,
    0x2000000a,0x5c001a99,0x000005ff,0x54c00000,0x00000000,0x000a9800,
    0x7fe7ffc4,0xfff5005f,0x3ffea000,0x05fff300,0x0077ffec,0x00000000,
    0x00019a88,0x7fff0000,0x3ffee000,0xfffb3000,0x003bffff,0x7fc7ff98,
    0xff70003f,0x01fffc1f,0x0fffe000,0x07ffdc00,0x7fff5c40,0x403cefff,
    0x3fe06ffb,0xff30003f,0x2ffe405f,0x000bffe6,0x3ffb6e00,0x002cdfff,
    0x3fffae20,0x403cefff,0x54c05ffb,0x764c01aa,0x2aa61bde,0x7ff6dc00,
    0x002cdfff,0x1bdeec98,0xb7002aa6,0x9bfffffd,0x9fff8805,0xa803fffc,
    0x1554c7ff,0x201fff50,0xfb02fff9,0x00000bff,0x8001bff2,0xfffffeca,
    0x553002ef,0x206aaa05,0x70003fff,0xea801fff,0xffffffff,0x3001dfff,
    0x3fff8fff,0x1fff7000,0x0001fffc,0x000fffe0,0x1007ffdc,0xfffffffb,
    0x03dfffff,0xff81bfee,0xff70003f,0x2ffe403f,0x000bffe6,0xffffe880,
    0xdfffffff,0x3ff62000,0xffffffff,0xff701eff,0x77ffd40b,0xffffd100,
    0x3ff29fff,0xffffd102,0xbfffffff,0xfffd1001,0x3f29ffff,0xfffd102f,
    0xffffffff,0x3ffe201b,0x801fffd1,0x7fdc7ffa,0x03ffea05,0x6c17ffcc,
    0x00005fff,0x001bff20,0x3fffff62,0x3fffffff,0xd82ffdc0,0x3fff83ff,
    0x1fff7000,0x7ffffe40,0xffffedef,0xff9801ff,0x001fffc7,0x3e0fffb8,
    0x400003ff,0x70003fff,0x3e601fff,0xdeffffff,0x3ffffffe,0x3e06ffb8,
    0xfd0003ff,0x7fe401ff,0x017ffcc5,0xffff9800,0xffffeeff,0xf9801fff,
    0xdeffffff,0x3ffffffe,0xf505ffb8,0x7f4c0bff,0xffffefff,0xf982ffde,
    0xfeefffff,0x01ffffff,0x3bffffa6,0xffdeffff,0xfffff982,0xfffffeef,
    0xfff881ff,0x80bfff31,0x7fdc7ffa,0x03ffea05,0x3617ffcc,0x00005fff,
    0x0037fe40,0x3fffffea,0xfffffede,0x17fee05f,0x7fc1ffec,0xff70003f,
    0x3fff601f,0xffb300cf,0xff9801ff,0x001fffc7,0x3e0fffb8,0x400003ff,
    0x70003fff,0xff501fff,0x31037dff,0xb89ffff9,0x3ffe06ff,0xfffd8003,
    0x22ffe405,0x0002fff9,0x0cffff88,0x0dfffd50,0xbeffffa8,0xfffc9881,
    0x42ffdc4f,0x7405fffa,0x3220bfff,0x442fffff,0x500cffff,0x740dfffd,
    0x3220bfff,0x442fffff,0x500cffff,0xf10dfffd,0x7ffe43ff,0x71ffea03,
    0x7fd40bff,0x5fff300f,0x002fffec,0x37fe4000,0xbffff900,0xfff91013,
    0xbff701df,0x3e0fff60,0xf70003ff,0xfff701ff,0x3ff2001d,0x3ffcc06f,
    0x4000fffe,0x3fe0fffb,0xaaaaaadf,0xaaaaaaaa,0x003fff80,0x881fff70,
    0x2004ffff,0x2e0ffffa,0x3ffe06ff,0x75d4c403,0x6400ffff,0x7ffcc5ff,
    0xffb80002,0xfff9001f,0x3fffe203,0x3ffea004,0x517fee0f,0xfb80bfff,
    0x3fee02ff,0x7ffdc2ff,0x3fff9001,0x405fff70,0x5c2ffffb,0xf9001fff,
    0xfff883ff,0x03fffa21,0x3ee3ffd4,0x3ffea05f,0x25fff300,0x004ffffd,
    0x6ffc8000,0x7ffff300,0x3fffa200,0xb05ffb85,0x7fff07ff,0x3ffee000,
    0x077ffc40,0x07fff600,0x7fc7ff98,0xff70003f,0x7ffffc1f,0xffffffff,
    0xf82fffff,0xf70003ff,0xfffd81ff,0xfff88002,0xf81bfee3,0xffffffff,
    0xffffffff,0xffc801ff,0x017ffcc5,0x01fff400,0x6c13ffa0,0x88002fff,
    0x3fee3fff,0x017ffe65,0x3a017ffa,0x7ff42fff,0x27ff4003,0x7402fff4,
    0x7ff42fff,0x27ff4003,0xf307ffe2,0x3fea0dff,0x502ffdc7,0x3e601fff,
    0xffffdaff,0x000002ff,0xe8037fe4,0xd8000fff,0x7fdc2fff,0xf07ffb05,
    0x2e0007ff,0x7fec0fff,0xff88001f,0x1ffe605f,0x20007fff,0x3fe0fffb,
    0xffffffff,0xffffffff,0x003fff82,0x541fff70,0x20005fff,0x3fee7ffc,
    0x3ffffe06,0xffffffff,0x000dffff,0xff98bff9,0x7c40002f,0x7dc001ff,
    0x5fffa86f,0x9fff2000,0xfff35ffb,0x1fff100b,0x45fff300,0x4001fff8,
    0x7fc46ffb,0xfff9800f,0x007ffe22,0xf88dff70,0xfffc81ff,0x5c7ffa83,
    0x3fea05ff,0xdfff300f,0xffffbfff,0x64000001,0xffa806ff,0xff10003f,
    0x05ffb8ff,0xfff07ffb,0x3fee0007,0x17ffe20f,0x04efc800,0xfff1ffe6,
    0x3fee0007,0x33bffe0f,0xcccccccc,0xf81ccccc,0xf70003ff,0x7ffec1ff,
    0x3fe60000,0x40dff71e,0xffffffff,0xacffffff,0x2ffe4000,0x000bffe6,
    0x007fff10,0x6c0dee98,0x20000fff,0xff71eff9,0x00bfff3b,0xf801bfe6,
    0x3ffe22ff,0x6f74c003,0x801bfe60,0x3fe22fff,0x774c003f,0x07ffe20d,
    0x503fffa2,0x5ffb8fff,0x403ffea0,0x4ffffff9,0x000bfff7,0x037fe400,
    0x001bffe2,0x5c5fff70,0x7ffb05ff,0x0007fff0,0xfa83ffee,0x220002ff,
    0x47ff9800,0x70003fff,0x7ffc1fff,0x7fc00003,0xff70003f,0x13ffe21f,
    0xf702a000,0x1fffc0df,0x77ffe4c4,0x5ffc8001,0x0017ffcc,0x0037ff40,
    0x09fff100,0xfb815000,0x06ffffff,0x400bff70,0x7ff42ffe,0x3ee00006,
    0x3ffa005f,0x0037ff42,0x03fff100,0xf51bffea,0x05ffb8ff,0x4c03ffea,
    0x6c3fffff,0x00003fff,0xa80dff90,0x80002fff,0x3fee5fff,0xf07ffb05,
    0x2e0007ff,0x3ff60fff,0x8000000f,0x7ffc7ff9,0xfff70003,0x001fffc1,
    0x00fffe00,0xb87ffdc0,0x00002fff,0x7c0dff70,0x7fcc03ff,0x7e4002ff,
    0x17ffcc5f,0x7ffe4000,0xfb80000c,0x000002ff,0xfffffff7,0x9ff9009f,
    0x217fec00,0x000cfffc,0x004ffc80,0xff90bff6,0x1000019f,0x7e403fff,
    0x1ffea3ff,0x7d40bff7,0xfff300ff,0xffff107f,0xf9000003,0xfffb80df,
    0xffd80000,0x20bff70f,0xfff83ffd,0xfff70003,0x003fff41,0x7ff98000,
    0x8001fffc,0x3fe0fffb,0x7c00003f,0xf70003ff,0x3fff21ff,0xf7000001,
    0x1fffc0df,0x0ffffcc0,0x98bff900,0x80002fff,0xbdfffff9,0xfff90000,
    0x2e000003,0xffccffff,0x27fec01f,0x985ffb00,0x0bdfffff,0x09ffb000,
    0x2617fec0,0x0bdfffff,0x3fff1000,0x87fff440,0x7fdc7ffa,0x03ffea05,
    0x501fffcc,0x0001dfff,0x406ffc80,0x00007ffc,0x3ee3fff5,0x07ffb05f,
    0x20007fff,0x3fe0fffb,0x0000006f,0xfff8fff3,0xfff70003,0x001fffc1,
    0x00fffe00,0xd87ffdc0,0x000007ff,0xff81bfee,0xfff5003f,0x3ff2001d,
    0x017ffcc5,0xfffe9800,0x00acefff,0x000fffb0,0x27ffdc00,0xfc80dffd,
    0x3ffa005f,0xffffe982,0x000aceff,0x7400bff9,0xffe982ff,0x0aceffff,
    0x03fff100,0xf56fffa8,0x05ffb8ff,0x4c03ffea,0x7ec02fff,0x400005ff,
    0x7f406ffc,0xf300006f,0x17fee5ff,0x7fc1ffec,0xff70003f,0x02fffc1f,
    0xff980000,0x001fffc7,0x3e0fffb8,0x400003ff,0x70003fff,0x3ffa1fff,
    0x2e000006,0x3ffe06ff,0x3fff6003,0x8bff9006,0x0002fff9,0x3ffffa20,
    0x0befffff,0x001bffa0,0x46ffb800,0x2e04fff9,0x3fe006ff,0xfffd102f,
    0x7dffffff,0x037fdc01,0x2205fff0,0xfffffffe,0x2200beff,0xfc801fff,
    0x47ffabff,0x3ea05ffb,0xfff300ff,0xfffe8805,0x3f200003,0x2fffc06f,
    0xfff98000,0x360bff73,0x3fff83ff,0x1fff7000,0x0013ffe2,0x3ffcc000,
    0x4000fffe,0x3fe0fffb,0x7c00003f,0xf70003ff,0x17ffe1ff,0x77777540,
    0xf75eeeee,0x1fffc0df,0x7ffff100,0x98bff900,0x00002fff,0xfffffd98,
    0xf02fffff,0x3aa00bff,0xeeeeeeee,0x90bff75e,0x3e603fff,0xff9800ff,
    0x7fecc02f,0xffffffff,0x01fff302,0x805fff30,0xffffffd9,0xf102ffff,
    0xff1003ff,0xb8fff7ff,0x3fea05ff,0x5fff300f,0x3ffff300,0x3ff20000,
    0x13ffe206,0x7ffc4000,0x360bff73,0x3fff83ff,0x1fff7000,0x0002fffc,
    0x47ff9800,0x70003fff,0x7ffc1fff,0x7fc00003,0xff70003f,0x017ffa1f,
    0x7fffffdc,0xff76ffff,0x01fffc0d,0x03fffea0,0xf98bff90,0x000002ff,
    0x7fffedcc,0xffe84fff,0xffff7005,0x2dffffff,0xfe885ffb,0x9ffd00ef,
    0x05fffb00,0x7ffedcc0,0xfd04ffff,0xfffb009f,0x7edcc005,0x84ffffff,
    0x5001fff8,0x8fffffff,0x3ea05ffb,0xfff300ff,0x3fff2005,0xff900006,
    0x27ffc40d,0xfff98000,0x360bff73,0x3fff83ff,0x1fff7000,0x00037ffc,
    0x47ff9800,0x70003fff,0x7ffc1fff,0x7fc00003,0xff70003f,0x01bffa1f,
    0x7fffffdc,0xff76ffff,0x01fffc0d,0x02fffe40,0xff317ff2,0x0000005f,
    0xffffec98,0x8037ff45,0xfffffffb,0xbff76fff,0x413ffea0,0x2601fffa,
    0x0002ffff,0x3ffffb26,0x01fffa85,0x00bfffe6,0xfffec980,0x0fffc45f,
    0xfffff900,0x205ffb8f,0xf300fffa,0x7f4005ff,0xc80004ff,0x7ffc06ff,
    0xff500005,0x417fee5f,0xfff83ffd,0xfff70004,0x0007ffe8,0x8fff3000,
    0x70004fff,0xcfff8fff,0x99999999,0x19999999,0x80027ffc,0x3ff67ffb,
    0x55553007,0x2dffb555,0x3fe06ffb,0xff88003f,0x3ff202ff,0x4dfffcc5,
    0x99999999,0x00000999,0x6c3ffff7,0x553007ff,0xffb55555,0xd817feed,
    0xffd01fff,0xffff707f,0x2e00005f,0xfe81ffff,0xfffb83ff,0x700002ff,
    0x7c43ffff,0x3e2001ff,0x7dc7ffff,0x3ffea05f,0x05fff300,0x17fffc40,
    0x1bff2000,0x000dffd0,0x5c7ffee0,0x7ffb05ff,0x0009fff0,0xff91fff2,
    0x0a80003f,0x3e3ffcc0,0xf90004ff,0xfffff8ff,0xffffffff,0x47ffffff,
    0x90004fff,0x7ffdcfff,0xffc80001,0x7c0dff76,0xf50003ff,0x3f201fff,
    0x7fffcc5f,0xffffffff,0x0004ffff,0xb93ffe60,0x80001fff,0xbff76ffc,
    0x077ffc40,0x77ffff4c,0xfffefffe,0x3e600002,0xffe984ff,0xefffeeff,
    0x00002fff,0xf893ffe6,0x7d4001ff,0x7fdc7fff,0x03ffea05,0x0017ffcc,
    0x003fffee,0x406ffc80,0x00007ffd,0x3ee1fff9,0x07ffb05f,0x20009ffd,
    0x7fd47ffd,0x3e60002f,0xfff302ef,0x0004ffe8,0xfff8fffb,0xffffffff,
    0xffffffff,0x0027ff47,0x3e67ffd8,0xc80004ff,0x0dff76ff,0x0001fffc,
    0x320bfffb,0x7ffcc5ff,0xffffffff,0xb14fffff,0x360003dd,0x3ffe66ff,
    0xffc80004,0xa80bff76,0xfb104fff,0x29ffffff,0xddb12fff,0x3ff60003,
    0xffffb106,0x3ffe9fff,0x003ddb12,0xf89bff60,0xfc8001ff,0x2ffdc7ff,
    0x201fff50,0x8002fff9,0x0006fffd,0xf501bff6,0xd00003ff,0x2ffdcbff,
    0xfd83ffd8,0xffd0006f,0x009fff0d,0x80fffe40,0x7fec7ff9,0xdffd0006,
    0xfffffff8,0xffffffff,0x7ec7ffff,0xffd0006f,0x006ffe8d,0xf76ffc80,
    0x1fffc0df,0xffff1000,0x98bff905,0xffffffff,0xffffffff,0x007fff14,
    0xfd1ffea0,0xf90000df,0x017feedf,0xa807fff6,0x3e2cefdc,0x7fff11ff,
    0x1ffea000,0x59dfb950,0xff88fffc,0xff50003f,0x00fffc4f,0x23fffc40,
    0x3ea05ffb,0xfff300ff,0xfff10005,0x017f649f,0x3e01bff6,0x5c0006ff,
    0x3fee2fff,0x707ffb05,0x88001fff,0xffd84fff,0xff88001f,0x1ffe606f,
    0x8001fff7,0x0004fff8,0x7dc02fdc,0x7c4000ff,0x7ffdc4ff,0x7fe40004,
    0x000dff76,0x10000110,0x00220001,0x0006fff8,0xffb8bff9,0x7e40004f,
    0x0008806f,0x0fffc000,0x2000dfff,0x80005ffc,0x3ffe1fff,0xbff90006,
    0x00022000,0xbf7013f2,0x00620000,0x201ffec0,0xfc805ffe,0xf10002ff,
    0xd8001fff,0xfff983ff,0x7ffe4005,0x05fff882,0x02fffd80,0xff31ffe6,
    0xffc800bf,0x7e40002f,0x5fff9803,0x17ffe400,0x0017fff4,0xf76ffd88,
    0xf88000df,0x88001dff,0x2001dfff,0x6402effe,0xe8002fff,0xfffe83ff,
    0xffb10002,0x7fffb00d,0x26000980,0x3ff20fff,0xffe8002f,0xf30004c3,
    0x7ffe41ff,0x3ffe8002,0xdfff8800,0x805fd001,0x900003fc,0x64007fff,
    0x7ffc05ff,0xffff8804,0xfffd8000,0x3ffd8003,0x009fffd0,0xc81bffe6,
    0x9000efff,0xf980dfff,0x4fffe87f,0x0dfff300,0x005fd000,0x4013fffa,
    0xf106fff9,0xb8009fff,0xff76ffff,0xfe88000d,0xe88007ff,0xb000ffff,
    0x4405ffff,0x1004ffff,0xf101fffb,0xb8009fff,0xc806ffff,0x3e02ffff,
    0xffd801ff,0x27fffc46,0x0fffd880,0x6c00fffc,0x7ffc46ff,0xffb1004f,
    0xfd10001f,0x3fe00fff,0x0017ec01,0x3fffeb80,0x01fff900,0x400bffee,
    0x002ffffa,0x00bfffd1,0x540bffa0,0x80adffff,0x02ffffd9,0x567ffff4,
    0xffffe980,0x43ffcc00,0x0adffffa,0x2ffffd98,0x04ff8000,0x5bffff50,
    0xffffb301,0x7fffd405,0x5d441bdf,0x73fffffe,0x40000dff,0x20003ffc,
    0x4c003ffb,0x7fe406ff,0xa881aeff,0x2a05fffe,0x1bdfffff,0x7fff5d44,
    0x3e6003ff,0x1bffa06f,0x907fff50,0x035dffff,0x0bfffd51,0xfa80dffd,
    0xfffc83ff,0xea881aef,0x80005fff,0x7c403ffc,0x027fc03f,0x1ffe2000,
    0x5f7ffc40,0x03fffea0,0xdffffc80,0xffff5101,0x3fe0001f,0x3fff202f,
    0xfffeffff,0x8804ffff,0xdffffffe,0xffffffec,0xff733301,0x3ffff20f,
    0xffffefff,0x00004fff,0x81443ffb,0xfffffffc,0xfffffffe,0xffff9804,
    0xfffeffff,0x20cfffff,0x0999effb,0x13ff2000,0x05ffb800,0x403ffcc0,
    0xfffffffc,0xffffffee,0xffff9804,0xfffeffff,0x00cfffff,0x807ffcc0,
    0x10adfffb,0x40bfff95,0xfffffffc,0xffffffee,0x5bfff704,0x3fff2a21,
    0x3ffff205,0xfffeefff,0x00004fff,0xfd009ff9,0xffb1441d,0x10001443,
    0x32001fff,0xffefffff,0xb8001fff,0xceffffff,0xeffffffd,0x32222000,
    0x7dc00fff,0xffffffff,0x4003ffff,0xfffffffd,0x01dfffff,0xfffffff3,
    0x7ffffdc0,0xffffffff,0x3ea00003,0x207feeff,0xfffffffb,0x03ffffff,
    0x3ffff620,0xffffffff,0xfffb81ef,0x32006fff,0x00fffedc,0x3ffb72e0,
    0x7665401f,0xf7003fff,0xffffffff,0x4007ffff,0xffffffd8,0xefffffff,
    0xfd995001,0xffd807ff,0xffffefff,0xfffb805f,0xffffffff,0x7fec03ff,
    0xffffefff,0xfffb805f,0xffffffff,0x320003ff,0x00fffedc,0xfedfffb8,
    0x37bffea6,0x3326007f,0x2004fffd,0xffffffe8,0x20002fff,0xffffffe9,
    0x04ffffff,0xfffffb80,0xffd71006,0x17ffffff,0x3ff22000,0x1effffff,
    0x7ffffcc0,0x7f5c407f,0xbfffffff,0xfe800000,0x4406ffff,0xffffffeb,
    0x10000bff,0xffffffd7,0x7dc059bf,0x006fffff,0x0ffffffe,0xffffff00,
    0xffffb009,0xeb8800df,0xdfffffff,0xd710001c,0xbfffffff,0xffc80059,
    0x4400efff,0xfffffffc,0x2e2005ff,0xfffffffe,0xfc8801cd,0xffffffff,
    0x3fae2005,0xcdffffff,0x7ffc0001,0xd1003fff,0xe8bfffff,0x006fffff,
    0x3bffffee,0xfffb8000,0x0002dfff,0xfffffb50,0x00017dff,0x07bffff6,
    0x2aaa6600,0x44000019,0x2001aaa9,0x2aaaaaa8,0x2aaa6600,0x80000019,
    0x4001cdc9,0x019aaa99,0x554c4000,0x2aa2000a,0x2002aaaa,0x000bcdcc,
    0x01bcdcc8,0x0399b970,0xaaa98800,0x98800001,0x40000aaa,0x002ccdca,
    0x6f7765c4,0x2620000b,0x20001aaa,0xbdeeecb8,0x2a620000,0x400001aa,
    0x000bcdcc,0x300acc98,0xa80015b9,0x0002cccc,0x0000aa88,0x4d554c00,
    0xedb80000,0x000000cd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe8800000,
    0x3bbb25ee,0x79990002,0x000ccc98,0x9911332a,0x664c0039,0x01e65c1c,
    0x54c00000,0x00000000,0x54000000,0x00004eee,0xb8399930,0x800003cc,
    0x0000eeed,0x017bb620,0x0fbb6200,0x0000bdd9,0x01f77540,0x33320000,
    0x00666542,0x13bbaa00,0xee880000,0x0000005e,0x02777540,0x3b200000,
    0x000002ee,0x0001bddb,0x20039997,0xff11fffc,0x7d4000bf,0x7fff11ff,
    0x4fff8800,0x20017ff6,0x3fea6ffd,0xffffa81f,0x07ffffff,0x0001fc80,
    0xffffffb0,0x000bffff,0x77ff4000,0x36000000,0x3ffea6ff,0x7dc00001,
    0x400003ff,0x004ffffd,0x31fffb80,0x00003fff,0x3ffffe20,0x2e000001,
    0xfff11fff,0xffd00007,0x4000001f,0x2001fffc,0x0bfb03fe,0x01fffd80,
    0xff300000,0x200000bf,0x005ffffc,0x802fffd8,0x3f23fff8,0x640000ef,
    0x5ffc8eff,0x3fff5000,0x0001dff5,0x3fa9fff1,0xffff503f,0x0fffffff,
    0x3bff2a20,0x7ec0002b,0xffffffff,0x0000005f,0x0003fff5,0xbfff8800,
    0x0003ffe8,0x005ffe80,0x777fe400,0xd80002ff,0x3ffe8eff,0x3fa00000,
    0x000fffdf,0x5bff6000,0x80004ffd,0x0001fffa,0x0fffe200,0x981ff900,
    0x744002ff,0x000005ff,0x001dff90,0xbfff5000,0xfd8009ff,0xffb802ff,
    0x007ffe25,0x7f7ff400,0x320000ef,0x01fffeff,0x37ffe600,0x332604ff,
    0xcccccccc,0x7ffe4404,0x02efffff,0x99999700,0x00599999,0x3ffa0000,
    0x30000003,0x09ffbfff,0xdff50000,0x7d400001,0x1fff99ff,0xeffe8000,
    0x000004ff,0x7fddbff2,0x74000006,0x006ffeff,0x007ffd00,0x5ffc8000,
    0xefff8800,0x0006ffec,0x0001fff1,0x1fff8800,0xff880000,0x02fff8af,
    0x00bfff60,0xffb83ffa,0x3e200003,0x0000ffff,0x02ffffd8,0xffffb800,
    0x10000006,0xfffffffd,0x0005ffff,0x00000000,0x0009ff50,0xfffb8000,
    0xd000006f,0x400003ff,0x3f24fff8,0x440000ef,0x0006ffff,0x87ffea00,
    0x00005ffe,0x3ffffe20,0xffa80000,0x44000005,0x30000eff,0x1dffffff,
    0x27fd4000,0x3f200000,0xd000002f,0x7ffd4bff,0x15553001,0x541aa880,
    0x9800002a,0x00001ccc,0x00079991,0x006665c0,0xffd80000,0xfcafcaef,
    0x40001fff,0x000019a8,0x002a9800,0x99700000,0x10000019,0x80000355,
    0xaaa82aa9,0xaa980001,0x2000000a,0x55442aaa,0x2000000a,0x0001ccca,
    0x00015530,0x00aa8800,0x2ccca800,0x05530000,0x2aa80000,0x55100000,
    0x01aaa815,0x2a200000,0x00000019,0x00000000,0x7f400000,0x81fffc4f,
    0x3f23fffa,0x00bfff31,0xffffeca8,0x00002eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb80000,0xffd95007,0x005dffff,0xffffffd8,
    0xffffffff,0x7fc4ffff,0xffffffff,0x0aceeeff,0x03ffdc00,0x7fc4ffe8,
    0x8fff903f,0x3fff61fc,0xfffd8800,0xffffffff,0x4c00003f,0xffffffff,
    0xffffffff,0x007fffff,0x003fffd0,0x7ffffec0,0xffffffff,0x324fffff,
    0x40005fff,0xff13fffc,0x3ea000bf,0x07ffea7f,0x0ffffb80,0x89fff200,
    0xffffffff,0xffffffff,0x3e1fffff,0xffffffff,0xaceeefff,0x2fffc400,
    0x07ffa800,0x0001ffee,0x0007fffa,0x3fffd000,0xfe800000,0xfb8001ff,
    0x7fec407f,0xffffffff,0xffb003ff,0xffffffff,0xffffffff,0xffffff89,
    0xffffffff,0x2001ffff,0xfd007ffb,0x03fff89f,0x1fc89ffd,0x5007ffe6,
    0xbdffffff,0xbffffffd,0x7fec0000,0xffffffff,0xffffffff,0x98007fff,
    0x0005ffff,0x3ffffff6,0xffffffff,0x7f44ffff,0xf30002ff,0x7ffc4bff,
    0xffa8003f,0x00bffe27,0x02ffffd8,0xf893ffa0,0xffffffff,0xffffffff,
    0x3fe1ffff,0xffffffff,0xffffffff,0x3fffe201,0x7ffa8003,0x001ffee0,
    0x0bffff30,0x7fcc0000,0x000005ff,0x017fffe6,0xa81ffee0,0xdeffffff,
    0x5ffffffe,0xfffffd80,0xffffffff,0x7c4fffff,0xffffffff,0xffffffff,
    0xff7002ff,0x0b32e00f,0x3fe03999,0x260fe41f,0xffffc800,0xffc8809d,
    0x40000eff,0xfffffff9,0xffffffff,0x7fffffff,0xffffc800,0xffb0000f,
    0xffffffff,0xffffffff,0x0ffff989,0x0fffe800,0x03ffffe2,0xe8fff500,
    0x3fe004ff,0xf1004fff,0x7ffc45ff,0xffffffff,0xffffffff,0x3fffe1ff,
    0xffffffff,0x2fffffff,0x1fffff10,0x07ffa800,0x0001ffee,0x01fffff9,
    0x3ff20000,0x00000fff,0x1fffff90,0x07ffb800,0x13bffff9,0xdffff910,
    0x4cccc401,0x99999999,0x42fffe99,0x98803fff,0x02ffffea,0x0007ffb8,
    0x89ffd000,0xf98001fc,0xd1003fff,0x8000bfff,0xf999fffc,0x99999cff,
    0x19999999,0xfdfff800,0x3310003f,0x33333333,0xfffd3333,0x09fff905,
    0x43fffc80,0x05fffff8,0x323ffd40,0xff3006ff,0x2a00dffd,0x4ccc0fff,
    0xffa99999,0x999999bf,0x01fffc19,0x7fff54c4,0xffff882f,0x7fd4005f,
    0x01ffee07,0xffbfff00,0x3e000007,0x003ffdff,0xfbfff000,0xffb8007f,
    0x3ffff987,0xbfffd100,0xffb00000,0x07fff09f,0x09fff700,0x000fff70,
    0x1bff2000,0xfd0003f9,0xfb0001ff,0x220005ff,0x7ffc4fff,0xa8000003,
    0x06ffacff,0x7ec00000,0x3ffa04ff,0xfff3001f,0xfffff10b,0x7fd4007f,
    0x007ffd47,0x7ffdffdc,0x06ffc801,0x01fff980,0x001fffc0,0x4427ffdc,
    0x03ffffff,0xb81ffea0,0x2a0007ff,0x06ffacff,0xcffa8000,0x00006ffa,
    0xffacffa8,0x3ffdc006,0x0007fff4,0x0017ffec,0x0bfff900,0x4000fffe,
    0xfb807ffd,0x0000007f,0x7e47fff5,0x7ffd4001,0xfff10003,0x3ff2000f,
    0x01fffc0f,0x7fec0000,0x0003fff2,0x3fff2000,0x37ffcc05,0x80fffe80,
    0xfffffff8,0x8fff5000,0xe802fff8,0x03ffd8ff,0x8004ffe8,0x4001fff9,
    0xb0003fff,0xfff10fff,0x2001ffff,0x3ee07ffa,0x3f60007f,0x003fff2f,
    0xf2ffd800,0x800003ff,0x3fff2ffd,0x23ffdc00,0x0003fffa,0x000ffff1,
    0x03bffee0,0x8001fffc,0x5c01fffa,0x2aa607ff,0x41555001,0xcaffffe8,
    0x3fe2001f,0x7dc0006f,0x7c4002ff,0x3fff85ff,0x7c400000,0x0bff90ff,
    0xff700000,0xff9001df,0xfffc809f,0xf9fff102,0x3ea00bff,0x04ffe87f,
    0xffabffc4,0x0fffc405,0x0fffcc00,0x00fffe00,0x20fffd40,0xfffcfff8,
    0x0fff5005,0x8003ffdc,0xff90fff8,0x7c40000b,0x0bff90ff,0x7ffc4000,
    0x400bff90,0x3fe27ffb,0x7dc0006f,0x4c0002ff,0x3e01ffff,0xf30003ff,
    0xffb805ff,0x017ff207,0xd107ffe2,0x19ffffff,0x0bffea00,0x17ffe000,
    0x03fff900,0x00007fff,0x2a6ffb80,0x00000fff,0x07fffe60,0x0ffff440,
    0x204fff98,0xffc9fff8,0x7ffa803f,0x5406ffc8,0x0fff14ff,0x0007ffa8,
    0x8003fff3,0x30003fff,0xff885fff,0x03fffc9f,0x2e07ffa8,0xf70007ff,
    0x07ffd4df,0x6ffb8000,0x0003ffea,0xf537fdc0,0x3ee001ff,0x0bffea7f,
    0x17ffe000,0xffff8800,0x01fffc02,0x01fffb80,0xf903ffdc,0xfff100bf,
    0xffffb103,0xb807dfff,0x80000fff,0x1000fffd,0x3fe0bfff,0x4000003f,
    0x7ffc3ffe,0xf1000003,0x98005fff,0xffd06fff,0x7ffc401d,0x801fffd1,
    0xffa87ffa,0xd17fe407,0x7fe403ff,0xfff30005,0x3fff8003,0x3fff7000,
    0xfd1fff88,0xffa801ff,0x01ffee07,0x3e1fff40,0xd00003ff,0x3fff87ff,
    0x7ffd0000,0x7003fff8,0x7ffdcfff,0xffd80000,0xffd0000f,0x7fff009f,
    0x3fffa000,0x03ffdc00,0xf100bff9,0x7e4403ff,0x1effffff,0x000fff90,
    0x007ffea0,0xf80fffdc,0x000003ff,0xf903ffe6,0x200000df,0x0004fffe,
    0xfb87fff9,0x7fc401ff,0x0bfff31f,0xf887ffa8,0x3ffe01ff,0xe813ff20,
    0xf30003ff,0xff8003ff,0xffd0003f,0x1fff881f,0xa80bfff3,0x3fee07ff,
    0xfff98007,0x0037fe40,0x207ffcc0,0x80006ffc,0x7e40fff9,0xfff7006f,
    0x0003ffe4,0x001fffa8,0x005fffc8,0xb0007fff,0xf700bfff,0x2ffe40ff,
    0x00fffc40,0xffffefd8,0x06ffe82f,0x5fff3000,0x0bfff100,0x0001fffc,
    0x30bffb00,0x00005fff,0x005fffc8,0x43fffa20,0x8804fff8,0x3ff21fff,
    0x1ffea03f,0xf981ffec,0x837fd46f,0x0001fff8,0x8003fff3,0xd8003fff,
    0xff885fff,0x0ffff21f,0x2e07ffa8,0xfd8007ff,0x2fff985f,0x2ffec000,
    0x0017ffcc,0x2617ff60,0xfb802fff,0x01bffa7f,0x17ffcc00,0x3bffee00,
    0x07fff000,0xffeba988,0xffb800ff,0x017ff207,0x4007ffe2,0xfffc99fc,
    0x02fffc0f,0x3fff9800,0x01fffb80,0x2aab7ffe,0xaaaaaaaa,0x5fff1002,
    0x0017ffa0,0x0efffb80,0x7ffcc000,0x200dffb5,0x3a21fff8,0xff500fff,
    0x417fee0f,0xfff83ffb,0x007ff980,0x007ffe60,0x8807fff0,0xffffeba9,
    0x21fff880,0x500fffe8,0x7fdc0fff,0x7ffc4007,0x00bffd02,0x817ffc40,
    0x20005ffe,0xfd02fff8,0xfff700bf,0x0002fffc,0x003fff98,0x003fffe6,
    0xfffffff8,0xffffffff,0x7001ffff,0x7fe40fff,0x1fff8805,0x7d43f900,
    0x3ffe24ff,0xff100004,0xdfff007f,0xffffff80,0xffffffff,0xffb800ff,
    0x03ffee07,0x3ffe6000,0xf900000f,0x03fff9ff,0x307ffe20,0x3ea0dfff,
    0x0fff307f,0x3f607ff6,0x04ffb82f,0x07ffe600,0xffffff00,0xffffffff,
    0x203fffff,0x7cc1fff8,0xfff506ff,0x003ffdc0,0xfb81ffee,0xf70000ff,
    0x7ffdc0ff,0xfff70000,0x007ffdc0,0x7fc5ffee,0xf100004f,0x3e2007ff,
    0x7c002fff,0xffffffff,0xffffffff,0x3fee000d,0x017ff207,0x4007ffe2,
    0x37ff41fc,0x0009fff1,0x00fffe60,0xf805fff7,0xffffffff,0x0fffffff,
    0x204ffe80,0x0003fff8,0x017fffc4,0xfffd1000,0x7c4007ff,0xfffc81ff,
    0x207ffa83,0x7ff80fff,0xfb0bff70,0x7cc0005f,0x7fc001ff,0xffffffff,
    0xdfffffff,0x07ffe200,0x2a0ffff2,0x3fee07ff,0x27ff4007,0x007fff10,
    0x8813ffa0,0xd0003fff,0x7fc409ff,0xbffdc03f,0x0004fff8,0x007fff30,
    0x000ffffa,0x3ffffffe,0xcfffffff,0xffb8000a,0x017ff207,0x4007ffe2,
    0x3ffe41fc,0x00017ffe,0x2017ffd4,0xff806ffe,0xeeeeeeef,0x00eeeeee,
    0x200fffcc,0x40007ffd,0x0003fffe,0x6ffffa80,0x0fffc400,0x207fff44,
    0x3f607ffa,0x82ffd42f,0xfff87ff9,0x3fe60000,0x7ffc001f,0xffffffff,
    0x800acfff,0xe881fff8,0x7fd40fff,0x01ffee07,0x401fff98,0x98007ffd,
    0x7ec01fff,0xff98007f,0x3ffec01f,0xff9ffee0,0xf500005f,0xff9005ff,
    0x3fe000bf,0xffc9883f,0xf70001ef,0x2ffe40ff,0xa8fffc40,0x41fc86ed,
    0x3fa0fffa,0xf700006f,0x7fd403ff,0x3fff802f,0xffc80000,0x2fffa806,
    0xbfff9000,0x7ec00000,0x7c4001ff,0xfff501ff,0x207ffa8d,0x7fe44ffb,
    0x987ffe03,0x4c0006ff,0x7c001fff,0xfc9883ff,0xf1001eff,0x3fea03ff,
    0x03ffd46f,0x6400fff7,0xffa806ff,0x7fe4002f,0x2fffa806,0x037fe400,
    0x7017ffd4,0x37ff4fff,0xfffb8000,0x77ffdc01,0x7fff0000,0x2ffff980,
    0x07ffb800,0x22017ff2,0xfff51fff,0xffa83f90,0x003ffec7,0x00fffc80,
    0x3ffffffa,0xffffffff,0xf800003f,0xffffffff,0x5fffffff,0xefffb800,
    0x2e000000,0xf88007ff,0x3ff201ff,0x81ffea3f,0x7ff46ff9,0xb8bff600,
    0x4c0004ff,0x7c001fff,0x7fcc03ff,0xff8802ff,0x3fff201f,0xb81ffea3,
    0x3fe007ff,0xffffffff,0x05ffffff,0x7fffffc0,0xffffffff,0x7fc005ff,
    0xffffffff,0x05ffffff,0xffd9ffee,0xff900007,0x7ffcc01f,0x3fe0000f,
    0xfff9803f,0x7fdc001f,0x017ff207,0x7c47ffe2,0x20fe42ff,0x7fd45ffc,
    0xfe80001f,0x3ffea05f,0xffffffff,0x003fffff,0x7fffd400,0xffffffff,
    0x000fffff,0x003fffe6,0xfff70000,0x3fff1000,0x87fff440,0x7fc07ffa,
    0x80dff10f,0x3ff64ffa,0x7fcc0001,0x7ffc001f,0xffff9803,0x0fffc401,
    0x21fffd10,0x3ee07ffa,0xfff5007f,0xffffffff,0x01ffffff,0x3ffffea0,
    0xffffffff,0x5000ffff,0xffffffff,0xffffffff,0x9ffee01f,0x0001fffa,
    0x2205ffe8,0x0002ffff,0xa801fffc,0x2000efff,0x3f207ffb,0xfffa805f,
    0xf91bff61,0x41fffc43,0x40006fff,0x3a02fffb,0xffffffff,0xffffffff,
    0x7ec00003,0xeeeeeeff,0xfffeeeee,0xffff1004,0x70000005,0xf1000fff,
    0xffa803ff,0x80fff56f,0x9ff72ffd,0x3e6ff880,0xf980007f,0x7fc001ff,
    0xfff5003f,0x7ffc401d,0xb7ffd401,0x3ee07ffa,0xfffb007f,0xdddddddd,
    0x09fffddd,0x3bbfff60,0xeeeeeeee,0xb004fffe,0xdddddfff,0xffdddddd,
    0x1ffee09f,0x8000dfff,0x3a02fffb,0x80003fff,0x36003fff,0x2e006fff,
    0x3fee07ff,0x1fffb805,0xfc97ffee,0x20dffd51,0x0002fffc,0x201ffff1,
    0x999bfffa,0xf9999999,0x200003ff,0x4003fff8,0xfd007ffe,0x000007ff,
    0x001ffee0,0x2007ffe2,0xffabfffc,0xda7fd407,0xffe802ff,0x0005ff98,
    0x001fff98,0xb001fffc,0x7c40dfff,0xffc801ff,0x207ffabf,0xf8807ffb,
    0x7f4003ff,0xfff8807f,0x3fff4003,0x01fffc40,0x5c1fffa0,0x7ffe47ff,
    0xfff10002,0x3fff201f,0xfff00005,0x7ffc4007,0xfff7003f,0x4037fdc0,
    0x7ec1fffc,0xecfdbeff,0xf102ffff,0xb0001fff,0x7f407fff,0x7ffc006f,
    0x3ee00003,0x7dc000ff,0x7fe402ff,0x0000005f,0x2001ffee,0x8801fff8,
    0x7ffbffff,0xffaffc40,0x73ff9007,0x300007ff,0xf8003fff,0x3e2003ff,
    0xff103fff,0xfff1003f,0x5c0fff7f,0xffb807ff,0x7fdc000f,0x7ffdc02f,
    0x7ffdc000,0x07ffdc02,0x0bffee00,0xff11ffee,0xfb0001ff,0x3fea07ff,
    0x3e00006f,0x7d4003ff,0xfb800fff,0x3ffea07f,0x3fffe602,0xfffffc81,
    0x02ffffff,0x017fffd4,0x05fffe88,0x000fffe6,0x00007fff,0x4002fff4,
    0x2a05fff8,0x00006fff,0x03ffdc00,0x00fffc40,0xffffffa8,0xf9ffe807,
    0x7ff5005f,0x00003ff9,0x8003fff3,0x54003fff,0xf880ffff,0xff5001ff,
    0x5c0fffff,0xffe807ff,0xfff88005,0x02fff405,0x02fffc40,0x20017ffa,
    0xfb85fff8,0xffffa87f,0xfffd1002,0x3bffe60b,0x3fe00000,0xffc8003f,
    0x7ffb805f,0x03fffe20,0x07ffffe6,0x7ffffedc,0xf9000dff,0x2203bfff,
    0x00fffffa,0x2001fff6,0x00003fff,0x0005fff3,0x2607fff2,0x0000efff,
    0x3ffdc000,0x0fffc400,0xfffff900,0xf9ff900f,0x6ffc007f,0x300007fe,
    0xf8003fff,0xfc8003ff,0xfff885ff,0x3fff2001,0x3fee07ff,0x17ffcc07,
    0x1fffc800,0x005fff30,0x407fff20,0x0002fff9,0xfb83fff9,0xffff907f,
    0x3fea203b,0xff880fff,0x99999aff,0x99999999,0x1fffc199,0x7fffc400,
    0x03ffdc02,0x2f7ffff2,0xffedffec,0x67f54401,0xfff70001,0xffb9dfff,
    0x401dffff,0x8003fff9,0x9999cfff,0x99999999,0x03ffe409,0x89fff300,
    0x99affff8,0x99999999,0x00199999,0x8007ffb8,0x2001fff8,0x07fffff8,
    0x1fffffa8,0x3ffff600,0xff300004,0xfff8003f,0xfff88003,0x0fffc42f,
    0xfffff100,0x03ffdc0f,0x8001fff2,0xf904fff9,0x7cc000ff,0xfff904ff,
    0x7ffcc000,0x703ffdc4,0x9dffffff,0xdffffffb,0x3fffe601,0xffffffff,
    0xffffffff,0x001fffc7,0x00ffffa8,0xb101ffee,0xffffffff,0x4007ff6b,
    0x4c0001fc,0xfffffffe,0x804fffff,0x8000fffd,0xffffffff,0xffffffff,
    0x027ffc3f,0x31fffa00,0xffffffff,0xffffffff,0x000fffff,0x1000fff7,
    0xa8003fff,0x8807ffff,0x4007ffff,0x002ffffb,0x03fff300,0x003fff80,
    0x41ffff50,0x4001fff8,0x207ffffa,0x7fc07ffb,0x7f40004f,0x09fff07f,
    0x07ffe800,0x80009fff,0x7fdc7ffe,0x7fff4c07,0xffffffff,0x7ffcc04f,
    0xffffffff,0xffffffff,0x01fffc7f,0x0bfffb00,0xb803ffdc,0x24efffff,
    0xf9001ffd,0x36a00003,0xefffffff,0xfff9800b,0xffff0004,0xffffffff,
    0x547fffff,0x40001fff,0x3e62fffb,0xffffffff,0xffffffff,0xb8007fff,
    0xf88007ff,0xfc8001ff,0xffd007ff,0xff98009f,0x300000ff,0xf8003fff,
    0x360003ff,0x3fe25fff,0xffc8001f,0x1ffee07f,0x001fffa8,0x217ffdc0,
    0x0001fffa,0x2a17ffdc,0x40001fff,0x3ee2fffb,0xffb5007f,0x17dfffff,
    0xfffff300,0xffffffff,0xffffffff,0x0003fff8,0x40bfffe2,0x44007ffb,
    0x700000aa,0x3000003d,0x80013555,0x0000fffc,0xffffffff,0xffffffff,
    0x037fec7f,0x37ffc400,0xfffffff3,0xffffffff,0x00ffffff,0x000fff70,
    0x0003fff1,0x200ffff1,0x8002fffc,0x00006fff,0x0007ffe6,0x40007fff,
    0xf12ffff8,0xf10003ff,0x7fdc0fff,0x01bff607,0x1bffe200,0x0000dffb,
    0xfd8dfff1,0xf880006f,0x200006ff,0x0009aaa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3dddb100,
    0x3a600000,0x880004ee,0x64004eed,0x55103eee,0x77744055,0x3ba2000d,
    0xbdd900de,0x4c402001,0x0aaa6001,0x80005553,0x55542aa9,0x75400001,
    0x500004ee,0x00aa2015,0x883332a0,0x00002ccc,0x4eb82ca8,0x7774c000,
    0x01e4c004,0x64c00199,0x1e6641cc,0x2aaa0000,0x76c00002,0x980000de,
    0x0d5541aa,0x05d40000,0xaaa80000,0x002aaa20,0x2aa0d554,0xfff5000a,
    0x3a00000b,0x80000fff,0x004ffffe,0x6c1fffa2,0x3ee01fff,0x7dc002ff,
    0xfff702ff,0xefda80df,0x801fee1c,0x7fe47ffb,0x7fe40005,0x0027ff45,
    0x03fffa00,0x82fec000,0xe88004fd,0x1bff24ff,0xfff50000,0x9ff55bff,
    0x7ff44000,0x3e6002ff,0x00ffb81f,0xf737fec0,0x400001ff,0x0007fff8,
    0x17ffff20,0x17ff6000,0x00009ffd,0x01ff7fcc,0x17ffc000,0x2003fff3,
    0x3fe23fff,0x3fee002f,0x4c00000f,0x80002fff,0x2ffeeffc,0x0fffe600,
    0x4407fff3,0xf8004fff,0xfff304ff,0x3e609ffb,0xfdffffff,0x3fee006f,
    0x002ffe47,0xfd17ff20,0x5400009f,0x00001fff,0x5c42ffee,0xf30002ff,
    0x1fff55ff,0xffd80000,0xfffffffe,0x3ff60001,0x2001fffd,0xfb98befe,
    0xff88005f,0x02fff8bf,0x7ffc4000,0xff500007,0x0009ffbf,0x7f45ffd8,
    0x3600004f,0x00001ea5,0xff98bffe,0x7fff001f,0x0017ffc4,0x00013ff2,
    0x0009ffb0,0xf33fff50,0x7d4003ff,0x02ffec6f,0x2001bfee,0xff106ffb,
    0x20fffa7f,0xffebaefc,0x2e001fff,0x2ffe47ff,0x17ff2000,0x00009ffd,
    0x0001fff4,0x7f7ffec0,0x5c0005ff,0x01ffeeff,0x8ffc4000,0x02effeb8,
    0x23ffee00,0x3000effa,0xffffffff,0x3fe60001,0x0003ffef,0x07fff880,
    0xafff8800,0x0002fff8,0xffd17ff6,0x17c00009,0xf00000be,0x7ffcc5ff,
    0x47fff001,0x8002fff8,0x00000ffe,0x0000bff3,0x7e47fff1,0x3f2000ef,
    0x00dff32f,0xf0001fff,0x3ffa01ff,0xf07ffea6,0x0bec985f,0x21554c00,
    0x40002aa9,0x55542aa9,0xff500001,0x22000009,0x0cfffffc,0xfffd8000,
    0x8800003f,0x0003102a,0x362fff98,0x366005ff,0x000cffff,0x2ffffdc0,
    0xcc880000,0xfe80004c,0x07ffea5f,0x20d54c00,0x00001aaa,0x000f993a,
    0x10555400,0x2a001555,0x055541aa,0x00d54400,0x00aa9800,0x42aa9800,
    0x4001aaa8,0x01dd71aa,0x8001aa88,0x55101aa8,0x02aaa815,0x51000000,
    0x00000033,0x54c00000,0x88000002,0x000009a9,0x000f3322,0x19a88000,
    0x2aaa8000,0x00055544,0x2000004c,0x00004ccb,0x0006a660,0x502aaa20,
    0x00000555,0x7d400000,0x00005ebc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0xffffffec,0x3ffe002e,0xfff70003,
    0x00000001,0x00000000,0x50000000,0xffffffd9,0x0000005d,0x00000000,
    0x71000000,0xdffffffd,0x00000079,0x02fffe40,0x0ffff200,0x0bfffe00,
    0xffd00000,0xfb80003f,0x7fffc07f,0xffffffff,0x3fffffff,0x7ffffffc,
    0xffffffff,0x7fc3ffff,0xffffffff,0xffffffff,0x8fff703f,0x7fcc5ffc,
    0x7dc0002f,0x7ffb807f,0x03ffdc00,0x7fffec40,0xffffffff,0x03fff803,
    0x21fff700,0x0005fffc,0x001fffe4,0x000ffff4,0x7fffffc4,0xcdeeefff,
    0x7ec40001,0xffffffff,0x7dc03fff,0x7fc0005f,0xffffffff,0xffffffff,
    0x7ffffc3f,0xffffffff,0x03ffffff,0x7ffffec4,0xefffffff,0x009fff01,
    0xe83ffee0,0x30002fff,0x3000bfff,0x000bffff,0x7fffcc00,0x7fdc0005,
    0x7ffffc07,0xffffffff,0x43ffffff,0xffffffff,0xffffffff,0x7ffc3fff,
    0xffffffff,0xffffffff,0xc8fff703,0x7ffcc5ff,0x7fdc0002,0x07ffb807,
    0x003ffdc0,0x3fffffea,0xfffffede,0x1fffc05f,0x0fffb800,0x000bfffa,
    0x002fffcc,0x02ffffcc,0x7ffffc40,0xffffffff,0xa8001dff,0xdeffffff,
    0x5ffffffe,0x0017fee0,0xfffffff0,0xffffffff,0xff87ffff,0xffffffff,
    0xffffffff,0x3ffe603f,0xfedeffff,0xf83fffff,0xf70004ff,0x7ffcc1ff,
    0xffe8000f,0xffc8000f,0x00000fff,0x1fffff90,0x3ffdc000,0x3fffffe0,
    0xffffffff,0x7c3fffff,0xffffffff,0xffffffff,0x7fffc3ff,0xffffffff,
    0x3fffffff,0xfc8fff70,0x17ffcc5f,0x1ffee000,0x001ffee0,0x6400fff7,
    0x809dffff,0x0effffc8,0x0007fff0,0xf983ffee,0xe8000fff,0xc8000fff,
    0x000fffff,0x7fffffc4,0xffffffff,0x9000dfff,0x013bffff,0x1dffff91,
    0x000bff70,0xfffffff8,0xffffffff,0x7fc3ffff,0xffffffff,0xffffffff,
    0xffff503f,0xf931037d,0xfff89fff,0xfff70004,0x04fffc81,0x01fffe40,
    0xffdfff80,0xff000003,0x0007ffbf,0x3e03ffdc,0x99999cff,0x99999999,
    0x67ffc099,0x99999999,0x09999999,0x4cce7ffc,0x99999999,0xf7009999,
    0x45ffc8ff,0x0002fff9,0x5c03ffdc,0x7dc007ff,0xfff3007f,0x3fa2007f,
    0x7fff05ff,0x3ffee000,0x027ffe40,0x00ffff20,0x7fefffc0,0x7ffc4003,
    0xa999999c,0xeffffdba,0x7fffcc00,0xfffd1003,0x00bff70b,0x99cfff80,
    0x99999999,0x7c099999,0x99999cff,0x99999999,0xfff88099,0x3fea004f,
    0x13ffe0ff,0x07ffdc00,0x800ffff4,0x0005fff9,0xdff59ff5,0xff500000,
    0x000dff59,0x3e03ffdc,0x400003ff,0x00003fff,0x0001fffc,0x647ffb80,
    0x7ffcc5ff,0x7fdc0002,0x07ffb807,0x803ffdc0,0x8000fffe,0xff82fffd,
    0xff70003f,0x3fffd01f,0x17ffe600,0x567fd400,0x7c4006ff,0x3a6003ff,
    0x7f405fff,0xfd8000ff,0x2ffdc2ff,0x0fffe000,0x7fff0000,0xffb00000,
    0xff10005f,0x027ffc7f,0x80fffb80,0xd006fff9,0x20001fff,0x3fff2ffd,
    0xffd80000,0x0003fff2,0xff01ffee,0xf800007f,0x400003ff,0x00003fff,
    0xfc8fff70,0x17ffcc5f,0x1ffee000,0x001ffee0,0xf500fff7,0x220007ff,
    0xfff87fff,0xfff70003,0x0dfff301,0x003fffa0,0xff97fec0,0x3fe2001f,
    0x7f44003f,0xfff501ff,0x3fe20007,0x02ffdc7f,0x00fffe00,0x07fff000,
    0xfffa8000,0x3ff20005,0x0013ffe7,0xc807ffdc,0x7e404fff,0xf10002ff,
    0x17ff21ff,0xfff88000,0x000bff90,0xff01ffee,0xf800007f,0x400003ff,
    0x00003fff,0xfc8fff70,0x17ffcc5f,0x1ffee000,0x001ffee0,0xf880fff7,
    0x5c0006ff,0x7ffc2fff,0xfff70003,0x13fff201,0x005fff90,0x643ffe20,
    0x3e2005ff,0xf98003ff,0xfff886ff,0x7fdc0006,0x017fee2f,0x007fff00,
    0x03fff800,0x7ffec000,0x3fe60000,0x009fff1e,0x403ffee0,0x301fffe8,
    0x40009fff,0x3fea6ffb,0xf700000f,0x07ffd4df,0x03ffdc00,0x0000fffe,
    0x0007fff0,0x003fff80,0x8fff7000,0x7fcc5ffc,0x7dc0002f,0x7ffb807f,
    0x03ffdc00,0x000bffea,0xff17ffe0,0x3ee0007f,0xffd100ff,0x3ffe603f,
    0x3fee0004,0x003ffea6,0x001fffc4,0x540fffc8,0x80002fff,0x3fee5fff,
    0x2f7b6e65,0x00fffe01,0x07fff000,0x7ffc4000,0x40a80004,0x70004fff,
    0x7cc01fff,0xdffd06ff,0x7ff40001,0x001fffc3,0x7c3ffe80,0xfb8003ff,
    0x1fffc07f,0x3ffe0000,0x7fc00003,0x7000003f,0x5ffc8fff,0x0017ffcc,
    0x201ffee0,0x5c007ffb,0x7fdc07ff,0xfd80000f,0x0fffe0ff,0x07ffdc00,
    0x20dfff30,0x0000effe,0xfff0fffa,0x3ffe2007,0xfff30003,0x00fffb85,
    0x0fffd800,0x3ff2bff7,0x80efffff,0x00003fff,0x0001fffc,0x005fff70,
    0x13ffe000,0x07ffdc00,0x70ffff20,0x40003fff,0x7e40fff9,0xf980006f,
    0x37fe40ff,0x03ffdc00,0x0000fffe,0x0007fff0,0x003fff80,0x8fff7000,
    0x7fcc5ffc,0x7dc0002f,0x7ffb807f,0x03ffdc00,0x0001fff2,0xff0fffd4,
    0x3ee0007f,0x7fe400ff,0x0fffdc3f,0x1fff3000,0x1006ffc8,0x40007fff,
    0x7fe43fff,0xff500007,0x37bfee3f,0xffffffff,0x1fffc0ef,0x3ffe0000,
    0x3f200003,0x000001ff,0x20009fff,0x4400fffb,0xff10fffe,0xfd80009f,
    0x2fff985f,0x2ffec000,0x0017ffcc,0xff01ffee,0xf800007f,0x400003ff,
    0x00003fff,0xfc8fff70,0x17ffcc5f,0x1ffee000,0x001ffee0,0xfe80fff7,
    0xf300006f,0x1fffc5ff,0x0fffb800,0x87fff440,0x0004fff8,0x7cc2ffec,
    0xff8802ff,0x3f60003f,0x037ff44f,0x2fff9800,0x59fffff7,0x22fffecc,
    0x00003fff,0x0001fffc,0x000fffb0,0x027ffc00,0x00fffb80,0xfb5fff98,
    0xf88000df,0xbffd02ff,0x7ffc4000,0x00bffd02,0x7c07ffb8,0xaaaaadff,
    0xaaaaaaaa,0xadfff80a,0xaaaaaaaa,0xf80aaaaa,0xaaaaadff,0xaaaaaaaa,
    0x1ffee00a,0xff98bff9,0x7dc0002f,0x7ffb807f,0x03ffdc00,0x00017ffe,
    0xff1fffcc,0x3ee0007f,0xff9800ff,0x00dffb5f,0x02fff880,0xf100bffd,
    0x6c0007ff,0x2fffc6ff,0xfff98000,0x07ffff73,0x3fe3ffec,0xaaaaaadf,
    0xaaaaaaaa,0xaadfff80,0xaaaaaaaa,0x7f40aaaa,0x2000006f,0xeeeeffff,
    0xeeeeeeee,0x000fffee,0xfff9fff9,0xffb80003,0x03ffee07,0x03ffdc00,
    0x4001fff7,0x7fc07ffb,0xffffffff,0xffffffff,0xffffff82,0xffffffff,
    0xff82ffff,0xffffffff,0xffffffff,0x91ffee02,0xfff98bff,0x7fdc0002,
    0x07ffb807,0x103ffdc0,0x00009fff,0xff8fffe2,0xff70003f,0x3ff2001f,
    0x001fffcf,0x703ffdc0,0xf8801fff,0x320003ff,0x3ffe27ff,0xff100004,
    0x13ffee7f,0x7c3fff30,0xffffffff,0xffffffff,0xfffff82f,0xffffffff,
    0x7c2fffff,0xdd5005ff,0xdddddddd,0x3fffffeb,0xffffffff,0x0fffffff,
    0xffffd100,0xfd00007f,0x7ffc409f,0x9ffd0003,0x01fffc40,0xf80fff70,
    0xffffffff,0xffffffff,0xfffff82f,0xffffffff,0xf82fffff,0xffffffff,
    0xffffffff,0x1ffee02f,0xff98bff9,0x7dc0002f,0x7ffb807f,0x03ffdc00,
    0x0009fff1,0xf8fffe60,0xf70003ff,0x3a2001ff,0x003fffff,0x204ffe80,
    0x4403fff8,0x20003fff,0xff10fffb,0x2600009f,0xfff73fff,0x1fff8803,
    0x3ffffffe,0xffffffff,0xfff82fff,0xffffffff,0x2fffffff,0xb802fff4,
    0xffffffff,0xfffff6ff,0xffffffff,0xffffffff,0x7ffd4001,0xf980006f,
    0x7fec01ff,0xfff98007,0x03ffec01,0xf80fff70,0xccccceff,0xcccccccc,
    0xcefff81c,0xcccccccc,0xf81ccccc,0xccccceff,0xcccccccc,0x1ffee01c,
    0xff98bff9,0x7dc0002f,0x7ffb807f,0x03ffdc00,0x00017ffe,0xff17ffd4,
    0x3ee0007f,0x3ea000ff,0x80006fff,0x6c01fff9,0x7fc407ff,0x3f60003f,
    0x02fffc7f,0x2fffa800,0x3e00fff7,0x3bffe2ff,0xcccccccc,0x81cccccc,
    0xccccefff,0xcccccccc,0x37ff41cc,0xfffffb80,0xff6fffff,0x555555bf,
    0x95555555,0xd8001fff,0x80001fff,0xfa806ffc,0x7e4002ff,0xfffa806f,
    0x0fff7002,0x0003fff8,0x001fffc0,0x00fffe00,0x3ffdc000,0xff317ff2,
    0xfb80005f,0x7ffb807f,0x03ffdc00,0x0001bffa,0xff0fffdc,0x3ee0009f,
    0xffd8007f,0xfc80001f,0xfffa806f,0x0fffe202,0x46ffe800,0x00006ffe,
    0x3ee3fff7,0x5fff006f,0x0001fffc,0x000fffe0,0x007ffd80,0x55555553,
    0x3ffedffb,0xfff70004,0x7ffb8001,0xffff0000,0xffffffff,0x800bffff,
    0xffffffff,0xffffffff,0x0fff7005,0x0003fff8,0x001fffc0,0x00fffe00,
    0x3ffdc000,0xff317ff2,0xfb80005f,0x7ffb807f,0x03ffdc00,0x0001fff6,
    0xff07ffe4,0x3f20009f,0xffb8007f,0xfff00007,0xffffffff,0x40bfffff,
    0x0003fff8,0xffb17ffe,0x3f20000f,0x0bff70ff,0xff8bffe0,0x7c00003f,
    0x200003ff,0x0001fffb,0xfff6ffc8,0x3fee0009,0x7fdc000f,0xffa80007,
    0xffffffff,0x0fffffff,0xfffff500,0xffffffff,0x7001ffff,0xfff80fff,
    0x7fc00003,0x7c00003f,0x000003ff,0xffc8fff7,0x017ffcc5,0x01ffee00,
    0x7001ffee,0xffa80fff,0xfe80001f,0x027ff45f,0x007ffd80,0x0007ffb8,
    0xffffffa8,0xffffffff,0xff100fff,0x3e20007f,0x7ffd44ff,0xffe80001,
    0x4017fee5,0x3ffe2fff,0x7fc00003,0x2600003f,0x80004fff,0x9fff6ffc,
    0x3ffee000,0x3ffdc000,0x7ffec000,0xeeeeeeee,0x04fffeee,0xdddfffb0,
    0xdddddddd,0xf7009fff,0x3fff80ff,0x7ffc0000,0x7fc00003,0x7000003f,
    0x5ffc8fff,0x0017ffcc,0x201ffee0,0x5c007ffb,0xfff807ff,0x7fdc0006,
    0x037fec2f,0x006ffe80,0x0007ffb8,0xeeefffd8,0xeeeeeeee,0xff104fff,
    0x3e60007f,0x6fff83ff,0x7ffdc000,0x4017fee2,0x3ffe2fff,0x7fc00003,
    0x7400003f,0xc80006ff,0x09fff6ff,0x03ffee00,0x00fff700,0x03fff880,
    0x403fff40,0x4003fff8,0xfb807ffe,0x1fffc07f,0x3ffe0000,0x7fc00003,
    0x7000003f,0x5ffc8fff,0x0017ffcc,0x201ffee0,0x5c007ffb,0xffc807ff,
    0xff10002f,0xfffb81ff,0x7ffc4000,0x7ffb8004,0x7ffc4000,0x3fff4003,
    0x003fff88,0x901fffb0,0x20005fff,0x2e0ffff8,0xfff005ff,0x001fffc5,
    0x00fffe00,0x9fff7000,0x6ffc8000,0x20009fff,0x4000fffb,0x40007ffb,
    0x4000fffb,0x5c02fffb,0x5c000fff,0x7dc02fff,0x1fffc07f,0x3ffe0000,
    0x7fc00003,0x7000003f,0x5ffc8fff,0x0017ffcc,0x201ffee0,0x5c007ffb,
    0xff8807ff,0xfd8000ff,0xfff983ff,0x7ffe4005,0x7ffb8002,0x7ffdc000,
    0x7ffdc000,0x03fff882,0x04fffa80,0x001ffff1,0xb87fffb0,0xfff005ff,
    0x001fffc5,0x00fffe00,0x3fffa000,0xffb10002,0x0013ffed,0x0007ffdc,
    0x0001ffee,0x1000bffd,0xfe80bfff,0xff88005f,0x3ffdc05f,0x000fffe0,
    0x007fff00,0x03fff800,0xfff70000,0x7cc5ffc8,0x5c0002ff,0xffb807ff,
    0x3ffdc007,0x2ffffa80,0xbfffd100,0x027fff40,0x006fff98,0x000fff70,
    0x8005ffe8,0xf885fff8,0xfe8003ff,0x3fea01ff,0xfd1002ff,0xbff70bff,
    0xf8bffe00,0x400003ff,0x00003fff,0x04ffff88,0xb7fffdc0,0x70004fff,
    0xb8001fff,0x260007ff,0x90002fff,0x3e603fff,0xf90002ff,0x7fdc03ff,
    0x01fffc07,0x0fffe000,0x7fff0000,0x3ee00000,0x22ffe47f,0x0002fff9,
    0x5c03ffdc,0x7dc007ff,0x3ff2007f,0xf5101dff,0x5401ffff,0x80adffff,
    0x02ffffd9,0x00fff700,0x017ffcc0,0x41fffc80,0x2003fff8,0x805fffea,
    0x01dffffc,0x1fffff51,0x200bff70,0x3ffe2fff,0x7fc00003,0x5000003f,
    0x37bfffff,0xfffeba88,0x09fff3ff,0x03ffee00,0x00fff700,0x003ffe40,
    0x209fff30,0x20007ffc,0x2e04fff9,0x7ffc07ff,0x9999999c,0x99999999,
    0x4ce7ffc1,0x99999999,0x7c199999,0x99999cff,0x99999999,0xfff70199,
    0x7cc5ffc8,0x99999bff,0x09999999,0x2e01ffee,0x7dc007ff,0x7fdc007f,
    0xfdceffff,0x00efffff,0xffffffc8,0xffffffef,0x3ee0004f,0x3f20007f,
    0x3e60007f,0x7ffc44ff,0xa999999c,0x5ffffdca,0x3fffee00,0xfffdceff,
    0xf700efff,0x3ffe00bf,0x2673ffe2,0x99999999,0x7c199999,0x99999cff,
    0x99999999,0x3fe60199,0xfeffffff,0xcfffffff,0x0013ffe0,0x0007ffdc,
    0x8001ffee,0x40004fff,0xfff07ffe,0xffe80009,0x01ffee07,0xffffffff,
    0xffffffff,0xfff8ffff,0xffffffff,0xffffffff,0x7fffffc7,0xffffffff,
    0x707fffff,0x5ffc8fff,0x7fffffcc,0xffffffff,0x1ffee4ff,0x001ffee0,
    0x3000fff7,0xfffffffd,0x009fffff,0xffffffb8,0x3fffffff,0x3ffdc000,
    0x09fff000,0x47ffe800,0xfffffff8,0xffffffff,0xe98005ff,0xffffffff,
    0x5c04ffff,0xfff005ff,0x7fffffc5,0xffffffff,0x7c7fffff,0xffffffff,
    0xffffffff,0x7ec407ff,0xffffffff,0xf81effff,0xf70004ff,0xfb8001ff,
    0xff50007f,0xfb80003f,0x7ffd42ff,0x7fdc0001,0x0fff702f,0xfffffff8,
    0xffffffff,0x7fc7ffff,0xffffffff,0xffffffff,0x7ffffc7f,0xffffffff,
    0x07ffffff,0xffc8fff7,0x7ffffcc5,0xffffffff,0x3fee4fff,0x07ffb807,
    0x003ffdc0,0xfffffb50,0x00017dff,0x3ffffae2,0x000bffff,0x007ffb80,
    0x003fff50,0x22fffb80,0xfffffff8,0xffffffff,0x6d40003e,0xefffffff,
    0x5ffb800b,0x7c5fff00,0xffffffff,0xffffffff,0x7fffc7ff,0xffffffff,
    0x7fffffff,0xfffd7100,0x059bffff,0x80027ffc,0x4000fffb,0xb0007ffb,
    0x10000dff,0xffd8dfff,0xff880006,0x0fff706f,0xfffffff8,0xffffffff,
    0x7fc7ffff,0xffffffff,0xffffffff,0x7ffffc7f,0xffffffff,0x07ffffff,
    0xffc8fff7,0x7ffffcc5,0xffffffff,0x3fee4fff,0x07ffb807,0x003ffdc0,
    0x09aaa980,0x54cc0000,0x000019aa,0x8003ffdc,0x80006ffd,0x3e26fff8,
    0xffffffff,0x001cdeef,0x9aaa9800,0x2ffdc000,0x3e2fff80,0xffffffff,
    0xffffffff,0x7fffc7ff,0xffffffff,0x7fffffff,0xaaa98800,0x13ffe000,
    0x07ffdc00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00f33220,0x40bc9800,0x20000ee9,0x0001cccb,
    0xa882aaa2,0xb880002a,0x003ec82c,0x3bbbbb20,0x004eeeee,0x99999930,
    0x20099999,0xaaaaaaa9,0x3aa02aaa,0xeeeeeeee,0x3100006e,0x20000135,
    0x44000098,0x440001aa,0x3a8009a9,0x00004c40,0x00000aa6,0x00098800,
    0x001aa880,0x00002660,0x00000000,0x00000000,0x03351000,0x98000000,
    0x80006fff,0xbeffffe8,0x40007fd9,0x0002fffd,0xfa87ffe6,0x2e0000ff,
    0xaadfffff,0x360003ff,0xffffffff,0xf50005ff,0xffffffff,0x3fee00ff,
    0xffffffff,0x3fffea07,0x07ffffff,0x3fff6a00,0x002dffff,0x000bfd10,
    0x8000ffd8,0xffffffd9,0x3ff982ef,0x000bfd10,0x00027fcc,0x801ffff1,
    0x3ffffec8,0x03ff6000,0xfffeca80,0x3fea1cef,0xffffffff,0xb806ffff,
    0x40006fff,0x4004fffc,0xff51fffe,0xeca800bf,0x2effffff,0x0bfffa00,
    0x37ffcc00,0x77fdc000,0x4fffffff,0x7ffec000,0x3fe60002,0x03ffea1f,
    0xfeffe800,0x00ffffff,0x3ffff600,0x05ffffff,0xfffff500,0x00ffffff,
    0x3fffffee,0x2a07ffff,0xeeeeeeee,0xfa8006ee,0xffffffff,0x2002efff,
    0x0005fff9,0x3000bfee,0xfffffffd,0x223dffff,0xff980fff,0x3fa0005f,
    0x3ee0000e,0xffe802ff,0x002fffef,0x2002ffb8,0xfffffffc,0xfff52fff,
    0xffffffff,0xf980dfff,0x0005ffff,0x800bfff1,0x3fa3fff9,0xfb1000ef,
    0xffffffff,0xf1007fff,0x26000dff,0x80006fff,0x3ff6a4fd,0x6c0000cf,
    0x20002fff,0x3ea1fff9,0xf30000ff,0x3ffae21f,0x0000002e,0x00000000,
    0x55555530,0x00055555,0x3ff20000,0xfedeffff,0x404fffff,0x05ffffc8,
    0x00bff300,0xffffffb8,0xfffffede,0x441ffedf,0x005ffffc,0x0003ff90,
    0xc803fff8,0x1bfe62ff,0x00bff300,0x6fffffec,0xaaffffec,0xffffffff,
    0x06ffffff,0x3fafffe2,0xffb8003f,0x7fec000e,0x007ffe65,0x7fffffd4,
    0xfffffede,0xfff9805f,0xaaa88001,0x0aa80002,0x4c000030,0x20000aaa,
    0x2a20aaa8,0x2a60002a,0x00003102,0x00000000,0x00000000,0xfd800000,
    0x9301cfff,0x7c0bffff,0x005ffcff,0x4001dfd0,0x09dffffc,0xfffffc88,
    0xfcfff82f,0xffa8005f,0x7fdc0003,0xb0775005,0x7f4001ff,0xfffd000e,
    0xffc8815d,0x999effdf,0x99999999,0x4d7ff600,0x7c001fff,0x7c4001ff,
    0x0fff60ff,0x6ffffe40,0xfffc8809,0x7fdc00ef,0x00000005,0x00000000,
    0x00000000,0x00000000,0x4000fffe,0x8000fffb,0x0001fffe,0x3e07ffb8,
    0xffffffff,0xffffffff,0xfff703ff,0x3fe6005f,0x21bf03ff,0xfc8005ff,
    0x3fea001f,0xfd3002ff,0x437e0bff,0x7c4005ff,0xfe80006f,0x7cc0000e,
    0x3ff2005f,0xbfff5001,0xfffff700,0x3f20000d,0x3fff20ff,0x07ff7000,
    0x443ff700,0xff3005ff,0x3a2007ff,0xfc805fff,0xffffd81f,0xffffffff,
    0x24ffffff,0x0005fff8,0xfff8fff5,0xffffffff,0xffffffff,0x7fffffc3,
    0xffffffff,0x003fffff,0x003fffd0,0x000fffe0,0x0007ffdc,0x017fffe6,
    0x81ffee00,0xffffffff,0xffffffff,0xff983fff,0x744000ef,0x7c081fff,
    0x7fcc005f,0x3ffe2004,0x7fe4000f,0x7fc081ff,0x07fec005,0x80000000,
    0x000cfffb,0x74009ff5,0x3f2006ff,0x00006fff,0x00000000,0xfd000000,
    0xfb0001ff,0xd80005ff,0xffffffff,0xffffffff,0x3ffe24ff,0xffa8003f,
    0x7fffffc7,0xffffffff,0x7c3fffff,0xffffffff,0xffffffff,0xf98003ff,
    0xf0005fff,0x2e0007ff,0x64000fff,0x000fffff,0xf03ffdc0,0xffffffff,
    0xffffffff,0xfffd07ff,0x3fe60003,0x05ff806f,0x001bfe20,0x8005fffb,
    0x05fffffc,0x2e005ff8,0x000002ff,0xffd80150,0xdff1002f,0x17ffcc00,
    0xdffff100,0x00000000,0x00000000,0x07fff500,0x1fffe200,0xffffb000,
    0xffffffff,0x49ffffff,0x00fffff8,0x3e3ffd40,0xffffffff,0xffffffff,
    0x7fffc3ff,0xffffffff,0x3fffffff,0xffffc800,0xfff8000f,0xfff70003,
    0xdfff8001,0x5c0003ff,0x3ffe07ff,0x9999999c,0x99999999,0x02fffc40,
    0x03fff200,0x6c00bff0,0x3e2000ff,0x7dc006ff,0x01fffbdf,0xf9802ffc,
    0x5440005f,0x262ceedc,0x32a600ff,0x7ec00eff,0x3ff6000f,0xfffc8006,
    0x32600006,0x002bceed,0x2f3bb726,0x765c4002,0xf8802cde,0x5c0006ff,
    0x55102fff,0x26666205,0x99999999,0x22fffe99,0x05fffff8,0x3e3ffd40,
    0x99999cff,0x99999999,0x67ffc099,0x99999999,0x09999999,0xfdfff800,
    0xfff8003f,0xfff70003,0x67fd4001,0x40006ffa,0x3fe07ffb,0x5c00003f,
    0x40000fff,0x7c03fff9,0x7ff5005f,0x1fffa800,0x457fea00,0x7fc05fff,
    0x01dfd005,0x7fffd400,0xfebfffff,0x0ffea005,0x4003ffb8,0x98004fff,
    0x80006fff,0xffffffe9,0x3a600eff,0xffffffff,0xfffb800e,0x01efffff,
    0x000bffea,0x5417ffe0,0x400007ff,0x7c44fffd,0x003fffff,0xfff1ffea,
    0xff800007,0x0000003f,0x7fd67fd4,0x3fff8006,0x1fff7000,0xf97fec00,
    0x2e0001ff,0x3ffe07ff,0x7f400003,0xf880006f,0x2ffc06ff,0x002ffc40,
    0x3003ffec,0x7fec1dff,0x402ffc06,0x20001ffc,0xfefffffd,0x40efffff,
    0x5ff88099,0x800bff10,0x0002fff8,0x8000dfff,0xeeffffe8,0x882fffff,
    0xfeeffffe,0x3a02ffff,0xffefffff,0xff704fff,0xfb00001f,0xfff501ff,
    0x7fe40000,0xffff885f,0xf5000fff,0x03fff8ff,0x1fffc000,0x36000000,
    0x03fff2ff,0x003fff80,0x001fff70,0x7e43ffe2,0x3ee0005f,0x0fffe07f,
    0xbfff0000,0x3ffa0000,0x402ffc07,0xf8000ffe,0xff1006ff,0x07ffb81f,
    0x3e602ffc,0x3ee0004f,0x3ae21eff,0x7fc45fff,0xd04ffc85,0xf98001ff,
    0xff0001ff,0xfd8000df,0x7fdc41ef,0x1effd86f,0x837ffdc4,0x4c1dfffc,
    0xfc83fffe,0xf500007f,0xfff503ff,0x3fee0000,0xfff880ef,0x5005fffc,
    0x3fff8fff,0x7ffc0000,0x20000003,0xff90fff8,0x3fff800b,0x1fff7000,
    0xa9bfee00,0x70000fff,0x7ffc0fff,0x3e200003,0xb00004ff,0x7fc01fff,
    0x00ffdc05,0x805fff80,0xfa81ffe8,0x17fe00ff,0x0006ff88,0x9813ffe2,
    0x7dc1ffff,0xfffdabdf,0x001ffc81,0x000fffa8,0x999fffd0,0x79999999,
    0x5405fff0,0x7ffc1fff,0x07ffea02,0xd807fff3,0x7ff40fff,0xff300006,
    0x0fff505f,0xffff3000,0x27ffe203,0xa803fffc,0x1fffc7ff,0x3ffe0000,
    0x20000003,0x3fea6ffb,0x3ffe000f,0xfff70003,0x0fffa001,0x20007fff,
    0x3fe07ffb,0x2600003f,0x00003fff,0x7c03fff7,0x13fe605f,0x27ffc400,
    0xa80fff40,0x3fe02fff,0x003ff605,0x207ffd80,0x85fffff8,0xfffffffe,
    0x004ff983,0x001fff70,0x3fffff60,0xffffffff,0x403ffcc6,0x3fe62dee,
    0x42dee807,0xf8806ffe,0x2fffc4ff,0xfff98000,0x007ffa83,0x17fffc40,
    0x3a3fff10,0x7d400fff,0x01fffc7f,0x0fffe000,0xfe800000,0x01fffc3f,
    0x0007fff0,0x2003ffee,0x7e40fff9,0xff70006f,0x01fffc0f,0x5fff5000,
    0x3fea0000,0x40f3202f,0x98806fe8,0x01fffcc0,0xf980bff6,0x0f3203ff,
    0x3101ffd4,0x203fff80,0x0fffbefe,0x0cdeeca8,0x8806fe88,0x03ffe409,
    0xfffff900,0xffffffff,0x03fff88d,0x07fff100,0x07ffe200,0xf13ffdc0,
    0x200009ff,0xfa83fff8,0x7f40007f,0x7fc404ff,0x0bfff31f,0x7fc7ffa8,
    0x7c00003f,0x000003ff,0xc81fff30,0x3fe006ff,0xff70003f,0xbffb001f,
    0x005fff30,0x7c0fff70,0x200003ff,0x0002fff9,0x001fff70,0x200ffe40,
    0x7fc46fe8,0x0fff203f,0x005fff30,0x2617fe20,0x0bfffffd,0x6403ffe6,
    0x1fff88ff,0x0ffec000,0xf71bfa20,0x360001ff,0xcccccfff,0xe83ccccc,
    0x000adfff,0x056ffff4,0x00fff300,0xf887ffcc,0x300004ff,0xff507fff,
    0x7fe4000f,0xfff8805f,0x80ffff21,0x7ffc7ffa,0x7fc00003,0x0000003f,
    0xff30bffb,0x3ffe005f,0xfff70003,0x2fff8801,0x000bffd0,0x7fc0fff7,
    0xaaaaaadf,0xaaaaaaaa,0x01fffc40,0x07ffc800,0x00ffea00,0x3fe1bff6,
    0x09ff904f,0x003fff70,0x3a03ffa0,0x4fffffff,0x7d41ffea,0x00bffa2f,
    0x803ffa80,0x7fd46ffd,0xffd0001f,0xffa8000d,0x01beffff,0xffffffa8,
    0x7fdc01be,0x3ffe2006,0x0017ffe1,0x417ffd40,0x70007ffa,0x1001dfff,
    0x7f443fff,0xfff500ff,0xaaadfff8,0xaaaaaaaa,0xfff80aaa,0xaaaaaaad,
    0x0aaaaaaa,0x05fff100,0x7c017ffa,0xf70003ff,0xffb801ff,0x03ffee07,
    0x40fff700,0xffffffff,0xffffffff,0x7ffc42ff,0xffb00005,0x3fe2000d,
    0x6fffc805,0xfb85ffe8,0xfff9005f,0x5ff70001,0x5117ff90,0x3fee1ffd,
    0x744ff886,0xf10003ff,0xfff900bf,0x02fff98d,0x00dfff00,0xfffff300,
    0x4019ffff,0xfffffff9,0xffc80cff,0x17ffc005,0x0000dffd,0x2a07ffee,
    0xf98007ff,0xf1000fff,0xfff983ff,0xf8fff506,0xffffffff,0xffffffff,
    0xfffff82f,0xffffffff,0x002fffff,0x7dc0fff7,0xfff800ff,0xfff70003,
    0x04ffe801,0x000fffe2,0x7fc0fff7,0xffffffff,0xffffffff,0x006ffe82,
    0x00bfff00,0x7003ff60,0xfb0dffff,0x05ffa8df,0x001fff60,0x36213fe6,
    0x93ffb85f,0x0dfd0dff,0x20009ffb,0x7dc00ffd,0x7fc46fff,0xfff0003f,
    0x2e20000d,0xfffffffe,0x3fae202f,0x2fffffff,0x2002ffec,0x3ff63fff,
    0xff900007,0x0fff501f,0x2ffff880,0x07ffe200,0x2a0ffff2,0x7fffc7ff,
    0xffffffff,0x82ffffff,0xffffffff,0xffffffff,0xffd002ff,0x1fffc409,
    0x001fffc0,0x200fffb8,0x6c01fff9,0x7dc007ff,0x3bffe07f,0xcccccccc,
    0x81cccccc,0x0000fffc,0x001fffc4,0x2a017fdc,0xb86fddff,0xdff31fff,
    0x3ffe2001,0x37f44005,0x71ffb800,0x0ffc8fff,0x8002ffe8,0x7d402ffb,
    0xff86fddf,0xff88004f,0x8800006f,0xffffffdb,0xffdb8803,0x3f23ffff,
    0x7ffc005f,0x007ffea2,0x417ffa00,0x74007ffa,0x44003fff,0xfe881fff,
    0x3ffd40ff,0x3333bffe,0xcccccccc,0xfff81ccc,0xccccccce,0x1ccccccc,
    0x01fff980,0x7c03ffec,0xf70003ff,0x7fe401ff,0x2fffa806,0x81ffee00,
    0x00003fff,0x402fffcc,0x07fff601,0x809ff300,0x0dfb6ff9,0xff1bfff1,
    0x7fe4001f,0x7fe4002f,0x6fe88001,0x7dc7ffea,0x03fff01f,0x404ff980,
    0x0dfb6ff9,0x9000fffb,0x0000dfff,0xdfff9300,0xfff93000,0x0037fdcd,
    0xff83fff1,0x7dc0006f,0xfff502ff,0x2fffe400,0x0fffc400,0x546fffa8,
    0x1fffc7ff,0x3ffe0000,0x64000003,0xffa806ff,0x27ffc02f,0x07ffb800,
    0x7ffffffc,0xffffffff,0x3fee005f,0x00fffe07,0x3fffa000,0x2a177401,
    0xe8005fff,0x77fc406f,0x3f20dfb0,0x001ffeff,0x001fffe2,0x30007ff5,
    0x7fc45ffd,0x303ff9af,0xe8001fff,0x77fc406f,0xff30dfb0,0x7fc4007f,
    0x980006ff,0x0fffc800,0x7fe4004c,0x01fff30f,0x903ffea0,0x20005fff,
    0x500ffff8,0x3ee00fff,0x88000eff,0x3f201fff,0x1ffea3ff,0x00007fff,
    0x0003fff8,0x7ffffc00,0xffffffff,0x7fc05fff,0xff90004f,0x7fffd40f,
    0xffffffff,0x000fffff,0x7fc0fff7,0x9800003f,0x3e206fff,0xfff8aeff,
    0x7fe4000f,0xb07ff401,0x3ffe20df,0x7ec001ff,0x3e2002ff,0xffb8005f,
    0xedfff82f,0x1fff605f,0x403ff900,0x3f60ffe8,0x00dffd06,0x037fffdc,
    0x00dff900,0x3f23fff1,0xfff8806f,0x009fff11,0x3e21bffa,0xd8000fff,
    0x3ea03fff,0xfff9807f,0xff10000f,0x7ff4403f,0xf8fff50f,0x400003ff,
    0x00003fff,0x3ffffea0,0xffffffff,0x3a00ffff,0xfb0004ff,0x7ffec0ff,
    0xeeeeeeee,0x04fffeee,0x7c0fff70,0x000003ff,0x103dfff9,0xfffffff9,
    0xffa8005f,0x4dffe403,0x809efe99,0x001efffb,0x00bfffd3,0x4000ffd8,
    0xf901fffc,0x2601dfff,0x2a003fff,0x7fe403ff,0x9efe999b,0x02fffdc0,
    0x37ffffd4,0x5fff5000,0x2a7ffb80,0x7dc02fff,0x07ffe47f,0x40fffea0,
    0x002ffffa,0x80bfffd1,0x7c407ffa,0x20002fff,0x5401fff8,0xfff56fff,
    0x0003fff8,0x001fffc0,0xdfffb000,0xdddddddd,0x409fffdd,0xd0006ffd,
    0x3fe20dff,0x7ff4003f,0x0fff7007,0x0001fffc,0x7ffffd00,0x3ffff201,
    0x7fc4005f,0xffffd805,0x85ffffff,0x0cfffffd,0xdffff710,0x17fdc001,
    0x1bffd100,0x1ffffc40,0x006fffa8,0x36017fe2,0xffffffff,0xfffd85ff,
    0x9fff700e,0x33333dff,0x13333333,0x403bffe2,0x3e24fff8,0xff100eff,
    0xefff889f,0x0dfff501,0x1dffffc8,0xfffff510,0x07ffa801,0x001ffff4,
    0x007ffe20,0x3eaffff2,0x01fffc7f,0x0fffe000,0x7fc40000,0x7ff4003f,
    0x03ffee07,0x09fff100,0x0003ffee,0x7005fff7,0x7ffc0fff,0x64000003,
    0xcdffffff,0xfffffffd,0x3ff6001d,0xeeeec800,0x44efffee,0xffffeffc,
    0xfffdceff,0x2000dfff,0x22004ff9,0xf7004ffe,0xb759ffff,0x4001ffff,
    0xec800ffd,0xfffeeeee,0xffffb04e,0xffffb79d,0xffffff53,0xffffffff,
    0x7fffdc5f,0xfffbaaac,0x7fffdc1f,0xfffbaaac,0xffffa81f,0xfffdbabc,
    0xfffb801f,0xffdcefff,0x800effff,0x3f207ffa,0x880005ff,0xf8801fff,
    0x47ffbfff,0x00003fff,0x0001fffc,0x00fffb80,0x817ffdc0,0x4005fff9,
    0xfd02fffc,0xff1000bf,0xfff700bf,0x001fffc0,0x7ffdc000,0xffffffff,
    0x0cffffff,0x0017fdc0,0x7dc37ec0,0xffffd34f,0xffffffff,0x1dfd0007,
    0x67fff400,0x222ccccc,0xffffffff,0x002effff,0x0000bfee,0x3f201bf6,
    0xffffffff,0xfffff52f,0xffffffff,0xfffc85ff,0xefffffff,0xfffff900,
    0x01dfffff,0x7fffff54,0x001effff,0x3fffffa6,0x4fffffff,0x41ffea00,
    0x0006fffa,0x003fff10,0x3fffffea,0x001fffc7,0x00fffe00,0x2fff4000,
    0x2fffc400,0x009fffd0,0x4c1bffe6,0x90002fff,0xfb803fff,0x0fffe07f,
    0xea800000,0xefffffff,0x7ffff912,0x0017fe60,0x3e637ec0,0xfffea85f,
    0x00beffff,0x001ffc80,0x3fffffe6,0x3fa5ffff,0xfffffb8e,0x7cc003ff,
    0xfb00005f,0x3fb2a00d,0x2a1cefff,0xffffffff,0x2fffffff,0xfffffd98,
    0xfd9804ef,0x04efffff,0xfffff910,0x5400059d,0xfffffffd,0x7d4000be,
    0xefff987f,0xff100000,0x7fe4003f,0x7ffc7fff,0x7fc00003,0x9800003f,
    0x90002fff,0x3ea03fff,0x980adfff,0x902ffffd,0x4c000fff,0x7dc04fff,
    0x33ffe07f,0x99999999,0x19999999,0xaaa98800,0x7ffb3009,0x0003bfa0,
    0x2d41e5c0,0x04d54c40,0x07ff5000,0xccccca80,0xb12ccccc,0x09aa981f,
    0x01dfd000,0x00f2e000,0x0002a620,0x2a620000,0x5310001a,0x98800035,
    0x9800000a,0x00009aaa,0x5ffff100,0x33333333,0x33333333,0x000fffc4,
    0x8ffffff1,0x9999cfff,0x99999999,0x7ffc1999,0x9999999c,0x99999999,
    0x007ffc81,0x813ffe60,0xfffffffc,0xfffffffe,0x013ffe04,0x80fffd00,
    0x3fe07ffb,0xffffffff,0xffffffff,0x0000007f,0x000003aa,0x00000000,
    0x00000000,0x00000c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffffe6,0xffffffff,0x27ffffff,0x4001fff8,0x7c7ffffa,
    0xffffffff,0xffffffff,0x7fffc7ff,0xffffffff,0x7fffffff,0x0004fff8,
    0x2e03fff4,0xffffffff,0x203fffff,0x0001fffa,0x7017ffdc,0x7ffc0fff,
    0xffffffff,0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,
    0xffffffff,0xffffffff,0x3ffe27ff,0xfffc8001,0x7fffffc7,0xffffffff,
    0x7c7fffff,0xffffffff,0xffffffff,0x7ffd47ff,0x7fdc0001,0x7f5c402f,
    0xbfffffff,0x037fec00,0x37ffc400,0x7c0fff70,0xffffffff,0xffffffff,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0xffffffff,0xffffffff,
    0x3e27ffff,0xf88001ff,0x7fffc7ff,0xffffffff,0x7fffffff,0x7ffffffc,
    0xffffffff,0x7ec7ffff,0xf880006f,0x266006ff,0x00019aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55000000,0x00000003,0x03533000,0x00000000,
    0x00001a88,0xb8800000,0x0000002d,0x00b6e200,0x00000000,0x00000000,
    0x22000000,0x000001a9,0x00000000,0x00000000,0x80000000,0x000019a9,
    0x00000000,0x00000000,0x90aa8800,0x7ffc4bff,0x213ffe24,0xfb0006fd,
    0x77fe41ff,0x7f5c4000,0x3cefffff,0x93ffe200,0x4004fff8,0x0dfffffc,
    0x7fff4000,0xef880002,0x540005fc,0x4000efff,0x005fcef8,0x07fffc40,
    0x13fffc80,0x9300dfff,0x0037bdfd,0x0ffffa20,0x3ffae000,0x00bfffff,
    0xffd80000,0x9800002f,0x74006fff,0x40002fff,0x1bdfedb8,0x7fdc4000,
    0x0befffff,0x46ffd800,0x3a00effd,0x1fffc4ff,0x2fffe880,0x7ffdc000,
    0x1ffb8004,0xffa8bff9,0x20bffb1f,0x88000ffb,0xfff34ffe,0x7fec4003,
    0xffffffff,0xf5001eff,0x17ff63ff,0xffffe980,0x0001ffff,0x001bffa2,
    0x01f89b20,0xfffff300,0x226c800b,0x3ee0001f,0xff1002ff,0x07ffe4bf,
    0xfffff910,0xb0009fff,0x003fffff,0x3ffffee0,0xcfffffff,0xf3000000,
    0x000009ff,0x0003fff6,0x000dffd1,0x7fffffd4,0xd88005ff,0xffffffff,
    0x000cffff,0x7d53ffe2,0x7ff400ff,0x801fffc4,0x01fffffd,0x01bffe00,
    0xff937ec0,0xf5dff90b,0x3fe601df,0xfff30003,0x4005ffd5,0xfffffff9,
    0xfffffede,0xdff9003f,0x4001dff5,0xfdbdfffe,0x20000fff,0x0002fff9,
    0x000f61f4,0x3f6fffa2,0xb0fa004f,0x7ffc0007,0x3bfee004,0x805fff10,
    0xfeeffffe,0x2e005fff,0x0fffafff,0x7fffe400,0xffffeeff,0x00000eff,
    0x0006ffd8,0x03fff300,0x0bffe600,0x3fffea00,0x0effffee,0x7dfff500,
    0x7fe4c413,0x3e6001ef,0x02fffaff,0x7fc4ffe8,0xeffb803f,0x8000fffa,
    0x0000fffb,0x2ffe49ff,0x1fffffd8,0x0002ff40,0x09fffff5,0x77fffd40,
    0xffc9881b,0xffd004ff,0x5c003fff,0x7fcc1fff,0x7d40003f,0x35c0006f,
    0xfb0003f1,0x0bffe2df,0x03f13640,0x017fee00,0x7dc3ffd0,0x7ffec05f,
    0x3fff261d,0x2fff9805,0x6400dff9,0x880cffff,0x01ffffea,0x3ffe2000,
    0xfb000000,0xfa80007f,0x7fcc006f,0x7ffd40ef,0x2effc806,0x0fffea00,
    0xfffffb80,0x85997003,0x7cc01ccc,0x0dff92ff,0x003ffd00,0xfc8bfe60,
    0xffff105f,0x00ff9005,0x05fffc80,0x13fffe20,0x0ffffa80,0x2ffff880,
    0x82ffec00,0x80005ffe,0x20001ffb,0x006fcef8,0x2e1fffb8,0xf8801fff,
    0x20006fce,0x2a000efe,0x077fc3ff,0x407fff30,0x2200fffb,0x3fa25ffe,
    0xfffa804f,0xfff9000f,0x7e40000d,0x1000001f,0x20000bff,0x36001ffc,
    0x3fe606ff,0x37fee01f,0xffe88000,0x3fff6002,0x40000005,0x3e24fff8,
    0x3ea004ff,0x3ee0003f,0x017ff20f,0x03ff5000,0x36000000,0x88002fff,
    0x00003fff,0x207fff00,0x00006ffb,0x6dc40000,0x00000002,0x000b6e20,
    0x00000000,0x4406ffc8,0x00003fff,0x07fff600,0x07fff500,0x00000000,
    0x00000000,0x05fff300,0xf305ffc8,0xfb00009f,0x0000001f,0x00000000,
    0x3a000000,0x02ffe46f,0x13fe2000,0x2a000000,0x20005fff,0x00007ffc,
    0x20bffb00,0x00003ffd,0x00000000,0x00000000,0x00000000,0x01fff400,
    0x0002ffec,0x4fff9800,0x1fffb000,0x00000000,0x00000000,0x07ffc800,
    0x440fff98,0x3bba25ff,0x102cceee,0x00000dfd,0x00000000,0x10000000,
    0x5ffc87ff,0xbceedc98,0x006fe802,0xcdedca88,0x0fffd802,0x3bfe6000,
    0x776dcc01,0x3ff2002c,0x07ffc41f,0xeecb8800,0xa98002cd,0x02bceedc,
    0xceedb980,0x006aa602,0x26005554,0x202ceedb,0x55001aa9,0x800a9815,
    0xa9805ffc,0x02bceedc,0x000ffda8,0x807fff30,0xbeefecb9,0xeeeca881,
    0x6544001c,0x8002cded,0x2cdedca8,0x004ffd80,0xffb87ffd,0x3ffffe20,
    0x980dffff,0x06aa61ff,0xa9855540,0x1555001a,0x54006aa6,0x035530aa,
    0xa802aaa0,0x2ffe41ff,0xffffffd3,0x7dc01dff,0x3fea000f,0x1effffff,
    0x009fff10,0xfc801500,0xefffffff,0xefff9801,0x00dffd10,0x3ffffee0,
    0x8801efff,0xfffffffd,0xfc801eff,0xefffffff,0x805ffc81,0xf901fff8,
    0xdfffffff,0x00bff903,0x0003fff1,0xb101fff4,0xffffffff,0x006003df,
    0x20dffd00,0xffffffe8,0x3fea5fff,0x1effffff,0xfffffa80,0x5001efff,
    0xffffffff,0x17ffc03d,0x745ffc80,0x4d7fc44f,0x05ffcaa9,0x2ffe4bfb,
    0xc8fffc40,0xff8805ff,0x00bff91f,0x3f23fff1,0xfff8805f,0x321ff201,
    0xfffd15ff,0xfffffddf,0x00bfe605,0x77ffffe4,0xb83fffff,0x00002fff,
    0x7fffec40,0x1fffffef,0xbefffc80,0x8000efff,0xfefffffe,0x2a04ffff,
    0xfeefffff,0x101fffff,0xfdfffffb,0xfc83ffff,0xfff8805f,0x7fffec41,
    0x1fffffef,0x4402ffe4,0x70001fff,0x3ea01fff,0xffeeffff,0x0001ffff,
    0x0fffc800,0x77ffffd4,0xddfffffe,0xffefffff,0x3f201fff,0xfffeffff,
    0x7fe403ff,0xffffefff,0x1fff883f,0x4cdff900,0x0ffc40ff,0xfa80ffc8,
    0x00bff90f,0x3f23fff1,0xfff8805f,0x100bff91,0x3ff23fff,0x1fff8805,
    0x3f217fe0,0x83dffb5f,0x206fffb8,0xffb805ff,0x7fecc1df,0x0fffe42f,
    0x3f200000,0x3ae21dff,0xfd800fff,0x004fffff,0x83bfff90,0xf03fffe9,
    0xf9105dff,0x3ff20bff,0x3fae21df,0x17ff20ff,0x907ffe20,0x5c43bfff,
    0x3f20fffe,0xfff8805f,0x7fe54001,0x3bffe03f,0x5fffc882,0xfb800000,
    0x3ffe21ff,0xfffd881e,0x7540cfff,0xffb80fff,0x7fecc1df,0xbfff702f,
    0x2fffd983,0x800fffcc,0x17ee7ffb,0x7d407fe2,0x325ff01f,0xff8805ff,
    0x00bff91f,0x3f23fff1,0xfff8805f,0x100bff91,0x3e603fff,0xf5ffc82f,
    0x7fd405ff,0x80ffb01f,0x6404fff8,0x3ffec6ff,0x3e600000,0x3fe604ff,
    0xfff9803f,0xf30002ff,0xffd807ff,0x0fffd40f,0x303fff20,0x7cc09fff,
    0x17ff23ff,0x987ffe20,0x3e604fff,0x17ff23ff,0x007ffe20,0x3fffff6a,
    0x07ffea02,0x441fff90,0xaaaaaaaa,0xaaaaaaaa,0xfffcaaaa,0x1017fee2,
    0x803fffff,0x7fc44ffe,0x37fe404f,0x2027ffc4,0x7fcc6ffc,0xfff7000f,
    0x7fc427ec,0x740dfb01,0x00bff93f,0x3f23fff1,0xfff8805f,0x100bff91,
    0x3ff23fff,0x1fff8805,0xf901ff70,0x00fff3bf,0x3ea05bdd,0x1bff201f,
    0xfd1fff40,0x800000df,0xfd806ffc,0x7ffe406f,0xd0001fff,0xff100dff,
    0x05ffe89f,0x640fff98,0xffd806ff,0x2017ff26,0x3f21fff8,0x6ffd806f,
    0x22017ff2,0xfd801fff,0x200cffff,0xf9805ffe,0x3ffe20ff,0xffffffff,
    0xffffffff,0x3a3fffff,0xffc802ff,0x7ff9804f,0xe8037fe4,0x37fe43ff,
    0x2a3ffe80,0x3ea007ff,0x220ffa7f,0xca999aff,0x53f202ff,0xf8805ffc,
    0x0bff91ff,0x323fff10,0xff8805ff,0x00bff91f,0x3603fff1,0x1bff906f,
    0x00007fff,0x7fc07ff1,0xdff7002f,0xa802fffc,0xeeeeeeee,0x0fff65ee,
    0x4c0af260,0xfffffffe,0x7fc4000f,0xfff7001f,0x8800a988,0x7fec1fff,
    0x22bc9803,0xf8805ffc,0x0fff61ff,0xfc8af260,0xfff8805f,0xffffe801,
    0x53103fff,0x3fff1001,0x7fffffc4,0xffffffff,0xffffffff,0x00ea64ff,
    0x8007ffdc,0x3ffe1ffe,0x8dff7002,0xf7002fff,0x03ffd4df,0x3a1fff50,
    0xffff882f,0x402effff,0x0bff95fc,0x323fff10,0xff8805ff,0x00bff91f,
    0x3f23fff1,0xfff8805f,0x904ff881,0x3fffabff,0x3a0000ad,0x1fff305f,
    0xe9ffea00,0xff7005ff,0xffffffff,0x0007ffcd,0x9ffffcc0,0x5c46fffc,
    0x07ff980a,0x003ffe60,0x41fffa80,0x20000fff,0xf8805ffc,0x03ffe1ff,
    0x05ffc800,0x801fff88,0x3fffaa20,0xffa80004,0x777ffc1f,0xeeeeeeee,
    0xeeeeeeee,0x10003fff,0x6c00fff9,0x1fff32ff,0x99ffea00,0xf5000fff,
    0x03ffd4ff,0x7f4fff50,0xfeeff883,0x9f9003ff,0x22017ff2,0xbff91fff,
    0x23fff100,0xf8805ffc,0x0bff91ff,0x503fff10,0x3ff203ff,0xffffff55,
    0xfc80037d,0xcfffa80f,0xcccccccc,0xfd0fffdc,0x3fee00df,0xffffffff,
    0x000fff16,0x83ffff10,0x3ee4fffe,0x37fdc1ff,0x03fff100,0xffb97510,
    0x7fc43fff,0x7fe40007,0x1fff8805,0x8000fff1,0xf8805ffc,0x360001ff,
    0x51001fff,0xfffffb97,0x004ffe83,0x02fff980,0xffedba88,0xcccccfff,
    0xffeccccc,0x999fff54,0xb9999999,0x3fea1fff,0xcccccccf,0x0fffdccc,
    0x2001fff3,0x13f67ffa,0xffa87fe2,0xf93fd803,0xfff100bf,0x2017ff23,
    0xff91fff8,0x3fff100b,0x22017ff2,0x7fc81fff,0xf997ff20,0xffffffff,
    0x2ff9800c,0xffffffb8,0xffffffff,0xfffb1fff,0x2aaaa600,0x56ffdaaa,
    0x90000fff,0xfd105fff,0x1bff65ff,0xf0017ff2,0x3fae05ff,0xffffffff,
    0x1ffea1ff,0x0bff9000,0x2a3fff10,0x640007ff,0xff8805ff,0x3e20001f,
    0x3fae05ff,0xffffffff,0x37fec1ff,0x7ffd4000,0xfffdb881,0xffffffff,
    0xffffffff,0xf75fffff,0xffffffff,0xffffffff,0x3ffffee3,0xffffffff,
    0xff11ffff,0x3fee001f,0x3e217f27,0x00ffd41f,0x2ffe4bfe,0xc8fffc40,
    0xff8805ff,0x00bff91f,0x3f23fff1,0xfff8805f,0x3205fe81,0x7f5c45ff,
    0x2fffffff,0xfc84ff80,0xffffffff,0xffffffff,0x003fff72,0x2edff900,
    0xf80006ff,0x3fe606ff,0x82fffaff,0x7c005ffd,0x7ffd43ff,0xacffffff,
    0x3fee1fff,0x7fe40006,0x1fff8805,0x8000dff7,0xf8805ffc,0x640001ff,
    0xfffa87ff,0xacffffff,0x7fe41fff,0xffc80007,0x7fffcc0f,0xfcbeffff,
    0xffffffff,0x6fffffff,0xfffffff9,0xffffffff,0x3fff25ff,0xffffffff,
    0x22ffffff,0xf7001fff,0x207fccdf,0xefd81ff8,0x321ff500,0xff8805ff,
    0x00bff91f,0x3f23fff1,0xfff8805f,0x100bff91,0xff883fff,0x817ff203,
    0xfffffdb8,0x437ec03f,0x80006ffb,0x0004fff9,0xff56ffc8,0xff98000f,
    0x7ffd403f,0xff907fff,0x2fff800b,0x37ffffea,0x3ffe209b,0x001ffea1,
    0x100bff90,0x3fea3fff,0x7fe40007,0x1fff8805,0x7ffd4000,0x3ffffea0,
    0x3fe209bd,0x07ffdc1f,0x1fff6000,0x59fffff5,0x006ffb83,0x0037fdc0,
    0x0037fdc0,0x001fff80,0x4fe8bff9,0x7c40ffc4,0x64bfb05f,0xff8805ff,
    0x00bff91f,0x3f23fff1,0xfff8805f,0x100bff91,0xffb83fff,0x017ff200,
    0x06fffc98,0x3ea07fdc,0xfd00007f,0xf90000df,0x03ffe6df,0x7ffd4040,
    0xffffc801,0x0dff704f,0x88fffc40,0x4c01ffff,0x3fe61fff,0xf901000f,
    0xfff500bf,0x003ffe63,0x02ffe404,0x988fffd4,0x3fea003a,0x3ffff10f,
    0x41fff980,0x0004fff8,0xff13ffe6,0xffb803df,0x7fd40006,0xffa80007,
    0xffd00007,0x0fff6005,0x7fc41ff7,0x985ff701,0x17ff21ff,0x647ffea0,
    0xffa805ff,0x00bff91f,0x3f23fff5,0xfffa805f,0x32037ec1,0x200265ff,
    0x2200fffc,0x7ffc43ff,0x7dc06001,0x640004ff,0x3fff16ff,0x4c7bfe00,
    0xfb004fff,0x3e601fff,0xff5000ff,0x07ffe61f,0x887ffea0,0xff001fff,
    0x017fee3d,0x7c47ffee,0xdff001ff,0x2017fee3,0xff31fffb,0x3fee003f,
    0x007ffe66,0x3207ffea,0xd0001fff,0x7fd41fff,0x7ffc802f,0xf8826600,
    0x206001ff,0x2001fff8,0x00bff901,0xf885fff1,0x807fe26f,0x17fa26fe,
    0xf700bff7,0x17fee3ff,0x5c7ffee0,0xffb805ff,0x00bff71f,0xff83fff7,
    0x66ffe404,0xff8806ff,0x42ff401f,0xfb005fff,0x5fffd0ff,0x3ff62000,
    0x2013ffe6,0x3fe0fff9,0xfff9007f,0x3ffe209f,0x4dffd004,0xf9007ffb,
    0x4fff83ff,0x70fff980,0xff900dff,0x027ffc3f,0xfb87ffcc,0xfffc806f,
    0x400fffe1,0x3fee5ffe,0x3fff9007,0x00dfff10,0xc89fff50,0xfe8806ff,
    0xff8801ff,0x017ffe4f,0x3fe3ffec,0xfffb005f,0x400fff98,0xf980fffb,
    0x3100664f,0x703ff613,0xff900dff,0x01bfee3f,0x7dc7fff2,0xfffc806f,
    0x900dff71,0x7fcc3fff,0x56ffe402,0x7dc02fff,0x87fc807f,0x5401fffb,
    0xff884fff,0x7dc004ff,0x3fee6fff,0x2ffec00f,0x900bfff6,0x09ffffff,
    0x5003fff2,0x7fdc7fff,0x7ffd401f,0x07ffdc2f,0xfa97ff60,0x3fe602ff,
    0x3ffee1ff,0x52ffec00,0x7cc05fff,0x3ff61fff,0x7ffdc00f,0x007ffee2,
    0x205ffff5,0x000dfffd,0xc81ffff7,0x7ec00fff,0x6c00efff,0x3fee0fff,
    0x7ffd401f,0x00fffdc4,0x3613ffea,0x7ff403ff,0x037fee04,0x0bffa200,
    0x980bffea,0xff51ffff,0x7ffcc05f,0x05fff51f,0xa8ffffcc,0x3e602fff,
    0x3ff21fff,0x46ffe400,0xf100efff,0xff5009ff,0x05fffd03,0x407fffe2,
    0xbdfffffa,0x7ff5d441,0x7ff43fff,0xfffb881e,0x17fffc41,0x7ffffe44,
    0xff884fff,0xfff501ef,0x04fffa8d,0x0bffffe6,0x2207bffa,0x3e21fffb,
    0xff980fff,0x7ff41fff,0xfffb881e,0x03fffe21,0x87ffffe6,0x701dfff9,
    0xffa8bfff,0x3ffe604f,0xffd102ff,0x7ec405ff,0xffa83fff,0x3fff203f,
    0xf700efff,0xfffd0bff,0x3fffe205,0x02fffe81,0x503ffff1,0x3f607fff,
    0x7fe400ff,0x3fee002e,0xffff103f,0xfffff301,0x03fffe23,0x47ffffe6,
    0x980ffff8,0xf11fffff,0xff301fff,0x37f43fff,0xfbaffe40,0xbaaacfff,
    0x8801ffff,0xfff984ff,0xffebabdf,0x7fcc03ff,0xfeffffff,0xcfffffff,
    0xcffff980,0x3ffffdab,0x9dffff70,0x1dffffd7,0x509ffff5,0x7579ffff,
    0xd03ffffb,0x7537dfff,0x7ffdfffd,0x79ffff30,0x07ffffb5,0x97bffff9,
    0x3ffdbffd,0xbcffff98,0x83ffffda,0xcbdffffc,0x1ffedffe,0x5f7fffd4,
    0x0ffffeba,0x9befffe8,0xfefffeba,0x3ff6203f,0xfdccefff,0x101fffff,
    0x737dfffd,0xf31dfffb,0xf957bfff,0xf301dfff,0xd757bfff,0x2607ffff,
    0xbabdffff,0x203ffffe,0xcabdfffe,0x5003fffe,0x4137ffff,0x1efffc99,
    0x6ffffe40,0xfedffecb,0x3ffff21f,0xedffecbd,0x3fff21ff,0xdffecbdf,
    0x3ff21ffe,0xffecbdff,0xff11ffed,0x4bff9007,0xfffffffc,0x2000efff,
    0xffd306fd,0xffffffff,0x3ff62007,0xffffffff,0x4c01efff,0xfffffffe,
    0x7fd404ff,0xffffffff,0x82fffd44,0xffffffea,0xf301efff,0xffffffff,
    0x0bff719f,0x3fffffa6,0xb104ffff,0xffffffff,0x2607ff6b,0xfffffffe,
    0xffb104ff,0x2bffffff,0xffb81ffd,0xffffffff,0xffff300d,0x19ffffff,
    0xf700bff7,0xffffffff,0x9801dfff,0xffffffff,0x7ff444ff,0xefffffff,
    0x3fffa600,0x3fffffff,0x7ffff4c0,0x03ffffff,0xffffffd8,0x44003fff,
    0xfffffffd,0x00cfffff,0xfffffd88,0x3ffb5fff,0x7ffffec4,0x3ffb5fff,
    0x7ffffec4,0x3ffb5fff,0x7ffffec4,0x3ffb5fff,0x32007fea,0x7fecc5ff,
    0x004effff,0x3200ffb8,0xcffffffe,0xfeb88000,0xcdffffff,0x7ffe4002,
    0x1001efff,0xbffffffb,0x803be605,0xefffffc8,0xffc8802c,0x261dffff,
    0x3f200fff,0x01efffff,0xefffffb8,0xc807ff64,0x1effffff,0xfffffb80,
    0x407ff64e,0xffffffd8,0xffc8802e,0x261dffff,0xc9800fff,0xeffffffd,
    0x3f62003c,0x01deffff,0xfffffd91,0x7f64005d,0x00cfffff,0x3ffffb20,
    0x2e000cff,0x1efffffe,0x3fae2000,0x0befffff,0xffffb800,0x07ff64ef,
    0x3bffffee,0x2e07ff64,0x24efffff,0xffb81ffd,0x3f64efff,0x000ff91f,
    0x00d54c40,0x002aa200,0x0006aa62,0x0aaa9880,0x35310000,0x55440001,
    0x40013000,0x10000a98,0x00003553,0x0004d4c4,0x00005544,0x0004d4c4,
    0x00005544,0x0004d54c,0x000d54c4,0x03551000,0x15531000,0x09a98800,
    0x2aa62000,0x54c40001,0x4c40001a,0x8000009a,0x00000998,0x80002aa2,
    0x20000aa8,0x20000aa8,0x55000aa8,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40006620,0x00000aa8,0x00013531,0x00000000,
    0x00000000,0xa9800000,0x22000000,0x000009a9,0x00066a60,0x00998800,
    0x80554c00,0x000002aa,0x00000000,0x54400000,0x4ccc0009,0x00000000,
    0x00000000,0x88000000,0x0000009a,0x00000000,0x00ffff88,0x3ffffa20,
    0x037ec004,0x3ae27ffc,0x2effffff,0x227fec00,0x26003fff,0x01ceffdc,
    0x0ffffa00,0x7ffcc000,0xfedb8006,0x02cdffff,0x7ffecc00,0x001dffff,
    0x7fffdc40,0x000befff,0x7fffe440,0xc8000cff,0x4ff880ff,0x3e27ff40,
    0xffb003ff,0x003fff89,0x003fffe8,0xfffeca80,0x4402dfff,0x2a002fff,
    0xd1006fff,0x5ffe8bff,0x45fff500,0x2002fff9,0x1cefedb9,0x3ffb2a00,
    0x50002fff,0x8000dfff,0x3cefedc8,0x3ffe6000,0xffff3004,0x3001dfff,
    0xfff005ff,0x3ffffea9,0x0effffff,0xf89ffb00,0xff9003ff,0x1bffffff,
    0xffffc800,0xfd80001f,0x3a2000ff,0xffffffff,0x4000dfff,0xffffffea,
    0x01dfffff,0x7fffec40,0xffffffff,0xffb8000c,0xffffffff,0x83ff4003,
    0x7f403ff9,0x01fffc4f,0x7fc4ffd8,0x7fe4003f,0x10001fff,0xfffffffb,
    0x205dffff,0x2002fff8,0x2000fffd,0xff72fff9,0x7fe4001d,0x009ffd0f,
    0x7fffffe4,0x7dc00dff,0xffffffff,0xfff70005,0x3fee0005,0x1effffff,
    0x1fff7000,0x319ffb00,0xfd009ffb,0x33ffe00d,0xdefffffa,0x0efffffe,
    0x7c4ffd80,0x7f4403ff,0xfffeffff,0xff5000ef,0x001fff5f,0x017ffcc0,
    0xffffff30,0xffffffdd,0x3ff2003f,0xfedeffff,0x001fffff,0x137dfff5,
    0x77ffe4c4,0x3ffea001,0xffffcacf,0x17fe002f,0x3a00ffdc,0x1fffc4ff,
    0x7c4ffd80,0x3ee003ff,0x00fffaff,0x7ffffd40,0xffffedef,0xfff885ff,
    0x3fff3002,0x5fff7000,0xb0003fff,0x0bff7bff,0x3ffffa20,0x06ffffee,
    0x2afbffea,0x004ffffc,0x000dff90,0xfdfffff9,0x0005ffff,0xf3013ff2,
    0x01ffb09f,0xf8017fd4,0xacfffeff,0x7fffd440,0x42ccb806,0x7e402ccc,
    0x7f4c0eff,0xfff9806f,0x000dff92,0x1001ffec,0x2019ffff,0x806fffea,
    0x00cffffd,0x01ffffb3,0x002effc8,0x200fffea,0xa80dfff9,0x9800fffe,
    0x1ffb03ff,0x642ccb80,0x997001cc,0x002ccc85,0x3f25fff3,0x3ff2006f,
    0xc8809dff,0x6445ffff,0xffb001fe,0x7fec0007,0x10002fff,0x01dfffff,
    0x02ffffa0,0xf309fff9,0x3ff207ff,0xffd0000f,0x7ffd4005,0xfff710ae,
    0x3f60001f,0x07fee00f,0xfe80bfea,0x3fffe006,0xff9801ff,0x000002ff,
    0x204fff98,0x2204ffe8,0x7ff45ffe,0x5ff88005,0x0fffdc00,0x01fffc80,
    0x003bffee,0x7037ffe4,0x10001bff,0xfd805ffd,0x3fe200ef,0x2ffa803f,
    0x0000dfd0,0x80000000,0x7f45ffe8,0xfff9805f,0xffd1002f,0x200f90bf,
    0x80005ff9,0x0004fffe,0x00ffffcc,0x202fffa8,0x7e40fffc,0x3ffe206f,
    0xdff10002,0x03fff400,0x0009fff3,0x80ffc800,0xff503ff9,0x7fffc005,
    0x3fe6002f,0x8000007f,0x4c00fffe,0x00000fff,0xe8000000,0x7f4003ff,
    0xdfff104f,0xfffd8001,0x404ff981,0x3ff60098,0x00fffe00,0x3201bff2,
    0x4ff880ff,0x00000000,0x00000000,0x0007fff4,0x3a17ffec,0x00000006,
    0x00000000,0x4c04ffe8,0x7ffc2fff,0x017ff403,0xff100000,0x6ffe807f,
    0x7ec00000,0x04ff980f,0xff800dfd,0xfd8003ff,0x000001ff,0xe801fffc,
    0x000002ff,0x7c400000,0x7dc001ff,0x3fffb06f,0xbfff1000,0xb705ff88,
    0x105dffff,0x3fe20dfd,0x5ef9801f,0xf307fe80,0x0000007f,0x00000000,
    0x1fffd400,0x6fff8800,0x00000fee,0x00000000,0x0dff5000,0xff0fbb60,
    0x0fff805f,0x26000000,0x7dc00fff,0x0355307f,0x7ec2aaa0,0x84ff980f,
    0x7c002ffa,0xa8000fff,0x5c403fff,0x402cdeec,0x9001fff8,0xcb8809ff,
    0x8002cdee,0x2cdeecb8,0x03fff880,0x206f74c0,0x0005fff8,0xff713bf2,
    0xddfff901,0xff309fff,0x03fff303,0x55554c00,0xaaaaeffa,0x0aacffda,
    0x3bb72a60,0x544002bc,0x002cdedc,0xcdedca88,0x6fff8802,0x7ffd4000,
    0xa9804fdb,0x02bceedc,0x6f765c40,0xca98002c,0x402bceed,0x40003ffd,
    0x2e01fff8,0x54c006ff,0x02bceedc,0x2007ffcc,0xff907ffb,0x3fff100b,
    0x3ea07ff2,0x006fe83f,0x0006fff8,0xfb81bffe,0xefffffff,0x00fff501,
    0xf7037fdc,0xdfffffff,0x3ffee003,0x01efffff,0x00037ff4,0x00bffea0,
    0x9fd00880,0xc987ff90,0x85fd81ff,0x0002fff9,0x3ffffff2,0xffffffff,
    0x882fffff,0xfffffffd,0xfa801eff,0xefffffff,0xffff5001,0x403dffff,
    0x0002fffa,0x03fffff8,0x7ffffec4,0x801effff,0xfffffffb,0xfd8801ef,
    0xffffffff,0x03fff01e,0x0fff8800,0x400bffe0,0xffffffd8,0x3e01efff,
    0x7ff402ff,0x00bff905,0x3ee3fff1,0x41ffc83f,0xf8001ffb,0x360005ff,
    0xfffd07ff,0xfffffdff,0x00fff509,0xfe83ffdc,0xfffeffff,0x7ff404ff,
    0xffffefff,0x3fff204f,0xfb00000c,0x000001ff,0xffa81ff3,0x2a1bf602,
    0x4fff80ff,0x3fff2000,0xffffffff,0xffffffff,0x7ffffd42,0xffffffee,
    0x3ffff201,0x3fffffef,0x7ffffe40,0x03fffffe,0x0001fff7,0x803fff90,
    0xeefffffa,0x01ffffff,0x3bfffffa,0x204fffff,0xeefffffa,0x81ffffff,
    0x035307ff,0x201fff10,0xf5006ffb,0xffddffff,0x3203ffff,0x3fe606ff,
    0x0bff902f,0x223fff10,0x3fe60eff,0x0005fe86,0x4000bfff,0xffc87ffd,
    0x7ff4c1df,0x07ffcc3f,0x40fffc80,0x4c1dfffc,0xf903fffe,0xfe983bff,
    0xfff303ff,0x00017bff,0x0003fff4,0xfc85fb80,0xff01b806,0x00dffb05,
    0x6ccccc40,0xa99999ff,0x40999dff,0xc882efff,0xff705fff,0xffd983bf,
    0xbfff702f,0x2fffd983,0x0007ffc8,0x803fff50,0xc882efff,0xff905fff,
    0xffe983bf,0x5dfff03f,0x8bfff910,0x3f6a6ff8,0x100cffff,0x3fe01fff,
    0xdfff002f,0xbfff9105,0x87bffa20,0x00dfffc9,0xf100bff9,0x7ffdc3ff,
    0x5c1fffdc,0xff0001ff,0x7e4000bf,0x3ffe60ff,0x07ffec03,0x7400bffe,
    0x3fe60fff,0x7ffec03f,0x01fffcc0,0x4c03fff6,0xeffffffe,0x3fe000ac,
    0xb000006f,0x007fd09f,0xfb83fe80,0x200000ff,0x7ff506fe,0x00fffd40,
    0xf103fff2,0xffc809ff,0x04fff886,0x7f437fe4,0xf300006f,0x7fd405ff,
    0x7ffe401f,0x01fffcc0,0xf503fff6,0xffc803ff,0x5dbfe60f,0xffffffff,
    0x0fff881e,0x5006ffb8,0xfc803fff,0x3ff200ff,0x3fffffff,0x402ffe40,
    0x7e41fff8,0xf82fffff,0x3fe0005f,0x3ee0004f,0x1bffa0ff,0xd13ffe20,
    0xff500dff,0x37ff43ff,0x227ffc40,0xf8806ffe,0x3fa204ff,0xffffffff,
    0x7ffc00be,0xfd000005,0x001ff887,0xee8a7e40,0xeeeefffe,0xbff0006e,
    0xe807fee0,0xff9805ff,0x037fe40f,0x7e43ffe8,0x7ffd006f,0x0005fff8,
    0x405fff30,0xf9805ffe,0x37ff40ff,0x227ffc40,0xf9805ffe,0x37fea0ff,
    0xecbceffc,0x7c40ffff,0x5ffc80ff,0x00bffd00,0x4401fff3,0xfffffffd,
    0x05ffc804,0x981fff88,0xfb80bddc,0xf803101f,0x2a0004ff,0xfff10fff,
    0x1ffee003,0x4c0bfff5,0xf11fffff,0x3ee003ff,0x07ffe27f,0x403ffdc0,
    0xffffffd9,0xf102ffff,0x000009ff,0x3ff30bfa,0x15fc8000,0xffffffff,
    0x3000ffff,0x1ff607ff,0x10015310,0xfff83fff,0x8dff7002,0xf7002fff,
    0x27ffc4df,0xfff88000,0x002a6203,0xf887ffe2,0xff7001ff,0x800a988f,
    0x3ee1fff8,0xf704ffff,0xfff88bff,0x00fffb80,0x8800a988,0xff901fff,
    0xffffdfff,0x2ffe405f,0x00fffc40,0xb85ff880,0xf80dfffe,0x2e0004ff,
    0xfff30fff,0x07ffcc00,0x26bbfff6,0xffdffb98,0x00fff30f,0xf987ffcc,
    0x3fe6007f,0x36e6000f,0x4fffffff,0x000bfff0,0xf10ffa00,0xfc80003f,
    0xfffddd14,0x00dddddf,0x3e03ff70,0x5400006f,0x3fe61fff,0xfff5000f,
    0x8007ffcc,0x3fe27ffa,0xf300004f,0x400007ff,0x3e61fffa,0x3fe6007f,
    0x3ea0000f,0x3ffee1ff,0x7ffdc03f,0x203ffe22,0x001efff8,0x0fffd400,
    0x20efffec,0x902fffe9,0xff100bff,0x3ee0003f,0x7fffe41f,0x7ffc1fff,
    0x3fee0004,0x801bfee7,0x7441fff8,0xffffffff,0x70fff8df,0x7c400dff,
    0x0dff71ff,0x00fffc40,0xfffd9300,0x0dfff0bf,0x13f60000,0x80200bfe,
    0xfff703fd,0x3ff20000,0x004ff880,0xffb97510,0x7fd43fff,0xcccccccf,
    0x0fffdccc,0x9999fff5,0xfb999999,0x2fffc1ff,0xfffa8000,0xcba88002,
    0x21fffffd,0x22006ffb,0xa8801fff,0xfffffdcb,0x01bffee1,0xff12fff4,
    0x3ffee01f,0xba88003f,0x1fffffdc,0x2017ffdc,0xfc80fffd,0xfff8805f,
    0x5ff88001,0x645fffcc,0x27ffc6ff,0x4dff9000,0x7c005ffc,0xfff902ff,
    0x3e69ffff,0x017ff27f,0x3f25fff0,0x7ffc005f,0xff700002,0x7ffe83ff,
    0xbf900000,0xf880bfd0,0x502ff82f,0x00001fff,0x3fea0dfd,0x3ffae002,
    0xffffffff,0x3fffee1f,0xffffffff,0xf71fffff,0xffffffff,0xffffffff,
    0x0037ff43,0x01fffb80,0xfffffd70,0x43ffffff,0x7c005ffc,0xffd702ff,
    0xffffffff,0x1fffd43f,0x226ffb80,0x3ee00fff,0x5c00efff,0xfffffffe,
    0x7fc1ffff,0xffe8805f,0x805ffc85,0x8001fff8,0x7fec1ffc,0xff1ffd40,
    0x7ec0009f,0x017ff65f,0x4c07fff0,0x2a0acedb,0x17ff67ff,0x367fff00,
    0x7fc005ff,0x2600003f,0x7fe44fff,0x0540001f,0xff503fe6,0x207fec03,
    0xff500ffa,0x3ff2000f,0xffffffff,0xffffffff,0x7fffd42f,0xfacfffff,
    0x3fff21ff,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,0x03ffec5f,
    0x0fffc800,0x7ffffd40,0xffacffff,0x017ff61f,0xfa87fff0,0xffffffff,
    0x261fffac,0xf5002fff,0x07ffc4ff,0x3ffffa60,0xfffffa81,0xffacffff,
    0x07ffe61f,0x643ffdc0,0xff8805ff,0x7fc4001f,0xf82ffc44,0x013ffe5f,
    0x325ffe80,0x7fc005ff,0x7dc0002f,0x017ff25f,0x3f25fff0,0x7ffc005f,
    0x003ddb12,0xf51bff60,0x4c0005ff,0x13fa2eff,0xf930bffa,0x40bfb09f,
    0x90005ffb,0xffffffff,0xffffffff,0x7fd45fff,0x209bdfff,0x3ee1fff8,
    0xfb80006f,0xf500006f,0xf00003ff,0xffa80bff,0x209bdfff,0x3f21fff8,
    0x7ffc005f,0x3ffffea2,0x3fe209bd,0x07ffe21f,0x887ffcc0,0xd8800fff,
    0x7fd46fff,0x209bdfff,0x3ea1fff8,0x3fe6007f,0x02ffe40f,0x000fffd4,
    0xff303ff2,0xff9bfa09,0xff10004f,0x037fdc9f,0x003fff10,0x2e3ffd80,
    0x3e2006ff,0x0dff71ff,0x88fffc40,0x50003fff,0x9fff0fff,0x7ffe4000,
    0xd103fee1,0xffffdfff,0x403ff30b,0x50003ffc,0x99bffd99,0x99dff999,
    0x3fe23999,0x7fcc01ff,0x01ffea1f,0x01ffea00,0x37ffc400,0x3ffee000,
    0x3fffe202,0x0fffcc01,0x4400dff7,0xfff11fff,0xfff9803f,0x801fffc1,
    0x3fe26ffa,0x3fee000f,0x3ffff10f,0x21fff980,0x22007ffa,0x7fdc1fff,
    0x1fffb805,0x213fe200,0xffb03ffa,0x80027ffc,0x3e60fffc,0xff5000ff,
    0x00554c1f,0xf317ffc4,0x3ea001ff,0x1fff30ff,0x83ffea00,0x90006fff,
    0xfffb0bff,0xfff10003,0x706ff88d,0x07ffffff,0x7c40bfd1,0xd80000ef,
    0x4ff880ff,0x00fffcc0,0xf10fffd4,0x40c003ff,0x2001fff8,0x0ffff201,
    0x7fffc400,0x07ffe600,0x987ffea0,0xf5000fff,0x3ffe61ff,0x1fffa801,
    0xb802fff4,0x3ffe24ff,0x9fffc000,0xa801fff9,0x3fe61fff,0xfff5001f,
    0x900dff70,0x64003fff,0x3ffa80ff,0x7ffcffd0,0xfff88004,0x027ffc45,
    0x7ec6ffe8,0x7ffb803f,0x8027ffc4,0x3fe26ffe,0xdffd004f,0x002fffc8,
    0xf883ffe8,0xfd8005ff,0x4ff982ff,0xd806aa20,0x3fee00ff,0xdfd00001,
    0x700bfea0,0x3f200fff,0x2fffc1ff,0x7c7ffd80,0xffb005ff,0x1ffff10f,
    0x7fffb000,0x007ffb80,0x7c43fff9,0xffd004ff,0x803ffdcd,0x7d41fffc,
    0x7ffd006f,0x0407ffc4,0x3eebffb0,0xfff9007f,0x003fff83,0xff50dff9,
    0x7ffcc05f,0x9ff1001f,0x7413fe60,0x013ffe6f,0x20bfff20,0x5400fffc,
    0x7fdc3fff,0x1fffc406,0x2007ffe4,0x7e43fffa,0x7fd400ff,0x7fffc43f,
    0xfffb1004,0x3bfff201,0xdfff9000,0x006ffdc0,0x017ff440,0x00009ff7,
    0x7e413fe2,0x7ffdc01f,0x7fffd401,0x00fffdc2,0xf713ffea,0xffa803ff,
    0xffff504f,0x3ffa2005,0xfffb805f,0x7fffd401,0x007ffe42,0xfb8fffea,
    0x7fd401ff,0x5ffe82ff,0x10fffd40,0x375c1fff,0x3ee7fff0,0x7fd401ff,
    0x7ffec2ff,0x27ffcc00,0x407fffc4,0x01fffff9,0x7c01ffb0,0x25ff886f,
    0x8ae04fff,0x107fffc9,0x2a03dfff,0xff886fff,0xdffd104f,0x07bffe20,
    0x4437ffd4,0xf501efff,0x3ff20dff,0xa881aeff,0x7405fffe,0x80acffff,
    0x00ffffe9,0x00177fe4,0x6407fff7,0xceedcfff,0x425440ab,0xffb03ff9,
    0x09fff500,0x17ffffcc,0x8817fff4,0xfe81ffff,0xfff102ff,0x7ffe403f,
    0xff5101cf,0xf5001fff,0x7fcc09ff,0x7fc42fff,0xfff501ef,0x04fffa8d,
    0x0bffffe6,0x5413ffee,0x7fc44fff,0x09fff30f,0x3ea5fff7,0x3fe604ff,
    0x7fc42fff,0xffd300ef,0x7fffe40d,0xedffecbd,0xff9801ff,0x217fec04,
    0x3ffe2ffc,0xfdfff304,0x5403ffff,0xbabcffff,0x701ffffd,0xb75bffff,
    0x5403ffff,0xbabcffff,0x501ffffd,0x7579ffff,0x403ffffb,0xfffffffc,
    0xffffffee,0xfffe8804,0xffecdfff,0x5001ffff,0x4137ffff,0x1efffc99,
    0x3ffffea0,0xffffffff,0x5c1fffee,0x0bff01ff,0x2fbfffa0,0xefffeba9,
    0xfff983ff,0xffebabdf,0xfff303ff,0xffd757bf,0xff7007ff,0xfb9dffff,
    0x01bfffff,0x5f7fff40,0xefffeba9,0xfffa83ff,0xffdbabcf,0xfffe81ff,
    0xffeba9be,0xfb03ffef,0xfb759dff,0xfff10bff,0x5efffd41,0x745fffeb,
    0xba9befff,0x3ffefffe,0xbdffffb8,0x1ffffcba,0x3ffff620,0xffb5ffff,
    0x01ffb003,0xebdfff88,0x27ffc5ff,0xffffffd8,0xfea801ff,0xffffffff,
    0x7ffe401e,0x1fffffff,0xffffea80,0x01efffff,0x7fffff54,0x801effff,
    0xfffffffb,0x03ffffff,0x7ffffec0,0xdfffffff,0x7fec4001,0xffffffff,
    0x7c400cff,0xffefffff,0xffffffff,0x407fec4f,0xf3004ff8,0xffffffff,
    0x0bff719f,0x3fffffa6,0x403fffff,0xffffffe9,0x2003ffff,0xffffffea,
    0x04ffffff,0xfffff980,0xb8cfffff,0xffd505ff,0xdfffffff,0x3fffe603,
    0x8cffffff,0x3ee05ffb,0xffffffff,0x81fff105,0xfffffffc,0x7ffcc0ef,
    0xcfffffff,0xf705ffb8,0xffffffff,0x3ee003df,0x364effff,0x7fcc01ff,
    0xffff5004,0xfff81dff,0xfffd9504,0x644003bf,0x2cefffff,0x3fffaa00,
    0x2000bfff,0xefffffc8,0x3f22002c,0x02ceffff,0x7fff5c40,0x01cdffff,
    0xffff9100,0x003dffff,0xfffeb880,0x000befff,0x510277f2,0xbffffffb,
    0xf506fe85,0x7e44005f,0x21dfffff,0x3200fff9,0xcffffffe,0x3ffb2000,
    0x000cffff,0xfffffb50,0x00017dff,0x7ffffe44,0x3ffe61df,0xffff9100,
    0x910059df,0x3bffffff,0x5007ffcc,0x7bfffffd,0x03ffe201,0x3fffff6a,
    0x3fff2203,0x3e61dfff,0xff9100ff,0x007fffff,0x0002aa20,0x4001ffb0,
    0x003dfec8,0x00015300,0x00015310,0x001aa988,0x000a9880,0x000a9880,
    0x35553100,0x53100000,0x00000355,0x00004cc4,0x554c0011,0x2035500a,
    0x88000aa9,0x00001aa9,0x0006aa62,0x00355310,0x9aaa9800,0x4c400000,
    0x200001aa,0x10000a98,0x00003553,0x00001a98,0x44003530,0x00001aa9,
    0x00026aa2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x307bff62,
    0x2200001b,0x00000fff,0x3aa07d90,0x7ffc0005,0xfff70003,0x8827ffc1,
    0x554009a9,0x3001cc80,0x00597017,0x0d544000,0x037bd973,0x0001ffee,
    0x0000bffd,0x00000000,0xfff33fff,0x4c13ae01,0x0000005e,0x20000000,
    0x00000998,0xceedb980,0x00000002,0x982aa601,0x002cdedb,0x2f540000,
    0xec806e98,0x400bd503,0x803ffd40,0xfd9afffc,0xf100003f,0xffd801ff,
    0x1ff7004f,0xfa809ff0,0x1fffc5ff,0x0fffb800,0xfd513ffe,0x3ee0dfff,
    0xfa8bdfff,0x7ff4c02f,0x4ff98bef,0x50fffdc0,0xffb83fff,0xffffff73,
    0x7ffb81ff,0xafff4000,0x7f45fff8,0x7fe4005f,0x7c00003f,0x0fff99ff,
    0xfd05ff30,0xff70000b,0x400001df,0xb006fff9,0x00000dff,0x7fffffe4,
    0x7ec01eff,0x3fff20ff,0xfb835400,0xfffff93f,0xc8001dff,0xf3004fff,
    0x00dfd05f,0x9ff01ff7,0xfa85b300,0x3fea007f,0x000bffff,0x77777754,
    0xb85eefff,0x802fffff,0xfdbdfff8,0x7ff401ff,0x01fffc0f,0x20fffb80,
    0x3fea4fff,0xff05ffff,0xffffffff,0xfffe801f,0x1fffffff,0xf16ffd80,
    0x7ff707ff,0xfffffff9,0x7ffb8dff,0x2fff4000,0x3f25fff3,0x7fc4006f,
    0xf800005f,0x0fff99ff,0x32f7ffa0,0x40002ffe,0x05fffff9,0x3ffe6000,
    0x0dffb006,0xffb10000,0xffffdfff,0x5ffe803f,0x4403fff3,0x7ff707fe,
    0xfffffff9,0x22001fff,0x74005fff,0xffecbdff,0xdfff8802,0x401fffcb,
    0x7fd42ffc,0x3ffae007,0xf70000df,0xffffffff,0xfff98dff,0x9801fffa,
    0x2fffffff,0x40fffcc0,0x70003fff,0x7ffc1fff,0x37ffffe4,0x88ffa83e,
    0x02efffda,0xfda97fc4,0x3a003fff,0x05ffccff,0x39fffff7,0x72fffecc,
    0xe8000fff,0x7ffdc5ff,0x4000fffa,0x0000effc,0xa89fff80,0x3fa200fd,
    0x003fffff,0x75fff440,0x300003ff,0x3600dfff,0x800006ff,0x221dfffc,
    0x200fffeb,0xffeafff8,0x83ffd403,0x1cfffffb,0x09fffb51,0x003bfee0,
    0xfffffd10,0x7fcc009f,0x802fffff,0x75442fff,0x7ffdc407,0x0001fffe,
    0xf9999993,0x7c479bff,0x1fff73ff,0x9bdb7100,0x07ffb001,0x4000fffe,
    0x7cc0fffb,0x007fff13,0x05710795,0x15413260,0x7fffc400,0x3ffee06f,
    0x9fff601f,0x40007ffb,0xffd85ffe,0x44001fff,0x00001fff,0x3ec3fff0,
    0x1ceedb80,0x6ffd8000,0x0005fff1,0x00dfff30,0x00017f2a,0x409fff30,
    0x5403fff9,0x804fffff,0xff707ffa,0x3fa203ff,0xfff8807f,0x3b6e0001,
    0xb88001ce,0xf000cded,0x01ba05ff,0x3ee5dffb,0x200000ff,0xfe80fff8,
    0x037ff46f,0x9ff30000,0x001fffc0,0x540fffb8,0x01fff52f,0x00000000,
    0x7ffd4000,0x3ffee00f,0x8fffcc04,0x40007ffb,0xfe885ffe,0xfb8003ff,
    0x2000002f,0x017e1fff,0xfb800000,0x3ffee0ff,0x00000000,0x000017e2,
    0xfb00dff9,0xfff900df,0x1ffea00d,0x2027ffdc,0x5c00fffa,0x000003ff,
    0xf0000000,0x09f105ff,0xffc81da8,0x3e200005,0x000000ff,0x7c000000,
    0xf70003ff,0x70fc81ff,0x00000dff,0x00000000,0x1fffb800,0xb8fffc40,
    0x740007ff,0x000005ff,0xf8000000,0x02fd89ff,0x00000000,0x00000000,
    0x00003fa8,0x4c01ffec,0x000002bc,0x7dc1ffea,0x7fcc00ff,0x0000001f,
    0x00000000,0x7442fff8,0x5531001f,0x005fff13,0x42f7b2a2,0x0000fff8,
    0x3bb2e200,0xf00002cd,0x2e0007ff,0x93ea0fff,0x44006ffb,0x02cdeecb,
    0xa800d54c,0x800000aa,0xf800fffb,0x0fff72ff,0x05ffe800,0x00000000,
    0x0def6544,0x05f13fff,0x9bdb9510,0x00000005,0xdb951000,0xfd10059b,
    0xff800001,0x0000000f,0xfffca980,0xfff70aaa,0x007ffe00,0x32a60000,
    0x202bceed,0x55001aa9,0x3feaa215,0x1f99aacf,0xffffe980,0x406ffeef,
    0xffffffd8,0x00fff8bf,0x70015544,0xffffffff,0x0aaa203d,0x0003fff8,
    0xf931fff7,0x006ffb89,0x3fffffee,0xff901eff,0x3fff100b,0x5555554c,
    0xaaaaaaaa,0x00fff70a,0x7fdcbffa,0x7ff40007,0x80555305,0xaaaaaaa9,
    0xaaaaaaaa,0xffffd880,0x3fff3fff,0x7fffd400,0x501effff,0xaa880355,
    0x0d54400a,0xffffffa8,0x3ba01eff,0xca88aaa0,0xf880bcee,0x54c0007f,
    0x37b6e60a,0xffffb02c,0x3ee3ffff,0x5fff006f,0xdb982aa6,0xd8802cde,
    0xffffffff,0x5ffc81ef,0x51fff880,0xffffffff,0x7ffdc009,0xffffffff,
    0xfffd303f,0xf9ffffdf,0xffa801ff,0xffffd007,0x9fffffdf,0x7c0fff50,
    0xf70003ff,0x707dffff,0x3fa00dff,0xfffeffff,0x5ffc84ff,0x21fff880,
    0xfffffffb,0xffffffff,0x200dff72,0xfff72ffe,0x5ffe8000,0xb80bff70,
    0xffffffff,0x2fffffff,0x77ffff44,0xfffcffff,0xffff9001,0x7fffffdf,
    0xa80bff90,0x7e403fff,0xffffc83f,0x3fffffef,0xb7fc4130,0xfffffff9,
    0x03ffd42f,0x64ffee00,0xefffffff,0x7ffffec0,0xbff71fff,0x5cbffe00,
    0xffff93ff,0x2a01dfff,0xfeefffff,0x641fffff,0xff8805ff,0xfffff51f,
    0x2e009fff,0xa89aefff,0xd07ffffc,0x6c417fff,0x400fffff,0xfc807ffa,
    0x7f4c1dff,0x3ffd43ff,0x0007fff0,0x802fffee,0xfc806ffb,0x7f4c1dff,
    0x2ffe43ff,0x70fffc40,0xffffffff,0x5fffffff,0x7401bfee,0x0fff72ff,
    0x05ffe800,0xfb80bff7,0xffffffff,0x42ffffff,0x220bfffe,0x01fffffd,
    0x41dfffb8,0x4c2fffd9,0x3f200fff,0x7ffc05ff,0x0efffdc1,0x00bfff66,
    0x3febbfe2,0xffffffff,0x001bfee3,0xff97ff70,0xffffffff,0x20fff501,
    0xff005ffb,0x32ffee5f,0xffffffff,0xefff80ff,0x5fffc882,0x4402ffe4,
    0xfff81fff,0x7ffc4002,0xffff300d,0x02fffb83,0x003ffff2,0xf980fff5,
    0x7fec03ff,0x81ffea0f,0x70003fff,0xfb801fff,0x7ffcc06f,0x07ffec03,
    0xf100bff9,0x4ccc43ff,0x99999999,0x3fee5fff,0x25ffd006,0x40007ffb,
    0xff705ffe,0x9999880b,0xf9999999,0x7ffdc5ff,0x3ffff202,0x27ffc401,
    0x3e1bff20,0x3ffa02ff,0x1bfe607f,0xc809fff1,0xff8806ff,0x7309dfff,
    0x7fd4ffff,0x7fdc0007,0xb511cfff,0xff509fff,0x017fee0f,0xffb97ffc,
    0xb511cfff,0xffa89fff,0x7ffe401f,0x2017ff20,0xff81fff8,0x7fe4002f,
    0x4fffa807,0x7c02fff4,0x7d400fff,0x37ff407f,0x527ffc40,0x7ffc0fff,
    0xfff70003,0x06ffb801,0x44037ff4,0x3ff24fff,0x1fff8805,0x6fff8800,
    0xe8037fdc,0x0fff72ff,0x05ffe800,0x0000bff7,0x3a1bffe2,0xffe805ff,
    0x37fe401f,0x643ffe80,0xfff104ff,0x3fee03ff,0x8037fe44,0x7c403ffe,
    0x3ee04fff,0x1fff32ff,0x3fee0200,0xffd101ff,0x20fff50f,0xff005ffb,
    0x3fffee5f,0x8fffd101,0xf9805ffe,0x17ff20ff,0x207ffe20,0x22002fff,
    0xfd003fff,0x01fff8df,0x400fffb8,0x3e207ffa,0xff7001ff,0xf03ffd4f,
    0x2e0007ff,0x7dc00fff,0x3ffe206f,0x4fff7001,0xf8805ffc,0x744001ff,
    0x7fdc0eff,0x25ffd006,0x40007ffb,0xff705ffe,0xfd10000b,0x3fff01df,
    0x03fff700,0x7002fff8,0x6ffa8dff,0x9ffbff70,0xff07ffa0,0x3fee005f,
    0x7fffc406,0x8a7ffc00,0xff001fff,0x13ffee3d,0xa81fff50,0xbff707ff,
    0x5cbffe00,0x7d404fff,0x02a620ff,0xc87ffe20,0xff8805ff,0x02fff81f,
    0x003ffe60,0xf987ffd4,0xfff1007f,0x07ffa801,0x9801ffe6,0xfff50fff,
    0x001fffc0,0x400fffb8,0x3e606ffb,0x3fe6007f,0x00bff90f,0x8003fff1,
    0xfb81fffd,0x5ffd006f,0x0001ffee,0x3ee0bffd,0xfd80005f,0x7ff881ff,
    0x03fff100,0x8007ffcc,0x7fc47ffa,0xf9ffd80f,0x47ff886f,0x5000fff9,
    0xff880fff,0x4ffd803f,0x26013ffe,0xfff70fff,0x1fff9801,0xfb83ffd4,
    0x5fff005f,0x3003ffee,0x40003fff,0x3f21fffa,0xfff8805f,0x002fff81,
    0x9801ffea,0xdff51fff,0x007ffc00,0xfb81ffea,0x3fe2006f,0x40fff51f,
    0x70003fff,0xfb801fff,0x1bfee06f,0x91fff880,0xff100bff,0x7fec003f,
    0x0dff702f,0x7dcbffa0,0x7f40007f,0x0bff705f,0x2fffd800,0x400dff50,
    0x3ea01fff,0xccccccff,0xfffdcccc,0x7c1ffec0,0xa81fff6f,0x7ffd44ff,
    0xcccccccc,0x00fffdcc,0x200bffe2,0x3fee5ffc,0x2ffec00f,0x3e00fff7,
    0xffdd91ff,0x3ee1dddf,0x5fff005f,0x7c01ffee,0xba8801ff,0x1fffffdc,
    0x22017ff2,0xfff81fff,0x1bfee002,0x91fff880,0x7fc00bff,0x3ffd400f,
    0x800bff90,0xfff52fff,0x0027ffc0,0xb807ffb8,0x3ff206ff,0x97ffc005,
    0xf8805ffc,0xff9001ff,0x37fdc07f,0xf72ffe80,0xfe8000ff,0x0bff705f,
    0x1fffe400,0x400bff70,0x3ee01fff,0xffffffff,0xffffffff,0x262ffdc1,
    0x85ffb4ff,0x7fdc2ffd,0xffffffff,0x1fffffff,0x007ffe20,0xffd17ff2,
    0xfff7103d,0x8037fdc3,0xfffb2fff,0x2e1fffff,0xfff005ff,0x401bfee5,
    0xfd702fff,0xffffffff,0x2ffe43ff,0x40fffc40,0x32002fff,0x7fc005ff,
    0x00bff92f,0x2a007ff4,0x3ff607ff,0x9fffc005,0x3fe07ffa,0xff90004f,
    0x0dff700f,0x2002ffec,0xbff93fff,0x03fff100,0x809fff70,0xfd006ffb,
    0x01ffee5f,0x20bffd00,0x70005ffb,0xfc809fff,0x3ffa005f,0x3ffff201,
    0xffffffff,0x442fffff,0x8ffdc7ff,0x3ffc4ffb,0x7fffffe4,0xffffffff,
    0x3e202fff,0xffc801ff,0x67fffcc5,0x3ffffdab,0xf802ffdc,0xffb972ff,
    0x3ee1999f,0x5fff005f,0x7c017fee,0x7ffd42ff,0xacffffff,0x3ff21fff,
    0x1fff8805,0x2002fff8,0x22006ffb,0xdff71fff,0x007ffc00,0xfc81ffea,
    0x7ffc005f,0x740fff52,0xfb0005ff,0xdff700ff,0x002ffe40,0x7fe4bffe,
    0x1fff8805,0x02fffd40,0xe8037fdc,0x0fff72ff,0x05ffe800,0x5000bff7,
    0xf700bfff,0x7ff400df,0x01bfee01,0x43ffd000,0x9bfe67fd,0xffb85ff9,
    0xf1000006,0xff9001ff,0xffffd30b,0x709fffff,0x3fe00bff,0x83ffd42f,
    0xff005ffb,0x017fee5f,0xff517ffc,0x4137bfff,0x3f21fff8,0xfff8805f,
    0x002fff81,0x9801ffea,0xfff30fff,0x007ffc00,0xfb81ffea,0x3fe2006f,
    0x40fff51f,0xd0006ffd,0xff700dff,0x037fdc0d,0x323fff10,0xffa805ff,
    0x3ffe601f,0x6ffb800e,0x2e5ffd00,0x1fed87ff,0xb827ffc0,0x7cc005ff,
    0xf9800eff,0x3ffe007f,0x01ffea01,0x47ff9000,0x87ffc5ff,0xffa82ffc,
    0xf1000007,0xff9001ff,0x7fffe40b,0xff701eff,0x0bffe00b,0x3ee0fff5,
    0x5fff005f,0x7c017fee,0xffff12ff,0x1fff9803,0x2a017ff2,0xfff81fff,
    0x3ffe6002,0x4fff7000,0x8800fff8,0x7d400fff,0x3ffe607f,0x1fff5000,
    0xfb81ffea,0x7c4000ff,0xffb804ff,0x03ffe606,0xb87ffd40,0xffb805ff,
    0xfffd101f,0x74000001,0x0fff72ff,0xff805fff,0x0bff703f,0x07fff440,
    0x001fff00,0x4403fff1,0x06001fff,0x3eadff30,0xe97fe43f,0xfff880ff,
    0x44006001,0xfc800fff,0x9dfe805f,0x02ffdc00,0x7d42fff8,0x0018007f,
    0x7c017fee,0x3fff32ff,0x43fff500,0xfb805ffb,0x2fff81ff,0x0fffe200,
    0x3a2fff40,0xffc804ff,0x3ffd400f,0x009fff10,0xffa9bffa,0x17ffe607,
    0x05fff900,0x440dff70,0xfd004fff,0x037fdcdf,0x440fffe4,0x0001fffe,
    0xb97ffc00,0x3ffe87ff,0x40fffe20,0xd1005ffb,0xe8003fff,0xffc804ff,
    0x2fffc01f,0x207ffd80,0x1ffc8fff,0x7fce7fd4,0x017ffe05,0x2203ffec,
    0xfc800fff,0x77fc405f,0x05ffb802,0xfa85fff0,0x7fdc007f,0x3fee00cf,
    0x25fff005,0xf9007ffb,0x37fdc3ff,0x40fffe40,0x64002fff,0x7dc00fff,
    0x7ffe41ff,0x3fffe200,0x03ffd400,0x5003fff2,0x7fd47fff,0x27fff407,
    0x06fff980,0xc80dff70,0x7d400fff,0x3ffea3ff,0x3fffe602,0x02fffd81,
    0xfff80000,0xfb0fff71,0x7ffe40df,0x00bff701,0x000bfff6,0x8803fff2,
    0x5c01ffff,0x7d401fff,0x3ff204ff,0xff887fea,0x2e03ffbe,0x7d401fff,
    0x7fc404ff,0x5ffc800f,0x37fee440,0x4017fee0,0x7fcc2fff,0x3faa000f,
    0x3fee04ff,0x25fff005,0x5401fffb,0x3ea2ffff,0x3fe602ff,0x3ffe81ff,
    0x77ffc400,0x09fff700,0x2203bffa,0x400ffffe,0x7c407ffa,0xff501eff,
    0x07ffa8df,0x56ffffcc,0xffffd980,0x0dff7002,0x01efff88,0xf88dfff5,
    0xff980fff,0x7fe41fff,0x8000003f,0xff70fff8,0x5bfff50f,0x037ffdc4,
    0xf900bff7,0x740007ff,0xfe880eff,0xfe801fff,0xfff102ff,0x6ffd403f,
    0xdffd05ff,0xffe801ff,0xffff102f,0x0fff8803,0x005ffc80,0xfb807ff6,
    0x5fff005f,0x003fff98,0x2e01ffd0,0xfff005ff,0x813ffea5,0x22fffff9,
    0x980ffff8,0xe81fffff,0xf98005ff,0xdb9acfff,0xd100efff,0xf9559fff,
    0x801fffff,0xfa807ffa,0xdbabcfff,0x7d41ffff,0xfffc807f,0xfffeffff,
    0x2004ffff,0xfa806ffb,0xdbabcfff,0xfc81ffff,0xfecbdfff,0x2e1ffedf,
    0x00003fff,0x3ff66220,0x6c1ffee7,0xffefffff,0x3ee00fff,0x7ffdc05f,
    0x7f440003,0xffcaacff,0x9801ffff,0xbabdffff,0x803ffffe,0x903fffff,
    0x300dffff,0x757bffff,0x007ffffd,0x9001fff1,0xf5100bff,0x7fdc01ff,
    0x85fff005,0x2efffff8,0x40bffa00,0xff005ffb,0x77fff45f,0xfffeba9b,
    0x7fe43ffe,0xffecbdff,0xfc81ffed,0x2005efff,0xffffffe8,0x4c00dfff,
    0xffffffff,0x400ffe9f,0xd5007ffa,0xffffffff,0xfff503df,0x3fffee00,
    0xffffffff,0x7fdc003f,0xfffd5006,0x3dffffff,0x3ffff620,0xffb5ffff,
    0x37fffe63,0xeeeeeeee,0x32005eee,0x2e4fffff,0xffd307ff,0x3fffffff,
    0x205ffb80,0xeedffff9,0xeeeeeeee,0xffff985e,0xfe9fffff,0xffd3001f,
    0xffffffff,0x3fff6007,0xffff501f,0x3ffa6007,0xffffffff,0x1fff1003,
    0x20bff900,0x4ffffff9,0x802ffdc0,0xffc82fff,0x99103fff,0x5c0dffdb,
    0xfff005ff,0x7ffffcc5,0xb8cfffff,0x7fec45ff,0xb5ffffff,0xfff303ff,
    0xc8800dff,0x2efffffe,0x3ff6e200,0x1ffd0dff,0x007ffa80,0x3fffff22,
    0x3fea02ce,0x3fae2007,0xbfffffff,0x6ffb8000,0x3fff2200,0x7002ceff,
    0x49dfffff,0xfff31ffd,0xffffffff,0x00ffffff,0x077ffff4,0xfc80fff7,
    0x01deffff,0x2605ffb8,0xffffffff,0xffffffff,0xfffb7107,0x07ffa1bf,
    0xffffd900,0x5c0019ff,0x3e207fff,0x64001fff,0xcffffffe,0x3ffe2000,
    0x05ffc800,0x19fffff5,0x005ffb80,0x3b205fff,0xff504fff,0x5c03ffff,
    0xfff005ff,0xffffc885,0x3fe61dff,0xffffb80f,0x07ff64ef,0x03ffff54,
    0x00353100,0x00035100,0x0007ffa8,0x2a001531,0x330007ff,0x00033555,
    0x0006ffb8,0x40001531,0xf3000aa8,0xffffffff,0xffffffff,0x66f76400,
    0xaa980000,0x2ffdc000,0xffffff30,0xffffffff,0x35100fff,0x26200000,
    0xf10001aa,0xffe80bff,0x2a620006,0xff10001a,0xbff9001f,0x026aa620,
    0x802ffdc0,0x4c402fff,0x33732600,0x05ffb802,0x2205fff0,0x80001aa9,
    0x80000aa8,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x65440000,
    0x4002cded,0x2bceedc9,0x00000000,0x800d54c0,0x26000aaa,0x2bceedca,
    0x55510000,0x21553001,0x0002dec9,0x3202aa00,0x0000001c,0x22000000,
    0xcccccccc,0x000ccccc,0x2e003531,0xa80005ff,0xaa9800aa,0x6ffc8001,
    0x4000fffe,0x5530fffb,0x7c400015,0x9a8800ff,0x6f764c01,0x442aa61b,
    0x2a000aaa,0x980400aa,0x3b6ea1aa,0x544000bd,0x2a61bdec,0xff30000a,
    0xffffffff,0xffffffff,0x2a00ffff,0xffffffff,0x7ff4c01e,0x0effffff,
    0x2a1fffb8,0xf5001fff,0xffc80bff,0x1fff8805,0xffffd880,0x01efffff,
    0x1fffcc00,0x7cd7fe40,0x2a06ffff,0xfb805fff,0xfa8adfff,0x44ffe81f,
    0xfb803fff,0x7f6e4c07,0xfb800cde,0xffffffff,0x2200ffff,0xeffffffc,
    0x017fee03,0x007ffe00,0x20017ff2,0x3ffe6ffc,0xfff70003,0x007fff21,
    0x00fff880,0x13ffffb2,0x3fffffa2,0x45ff94ff,0xf3003fff,0x0b6201ff,
    0x7ec5ffdc,0x04ffffff,0xfffffd88,0x03ffb3ff,0x3ffff600,0xffffffff,
    0xffffffff,0xfffc807f,0xfffffeff,0xffffd103,0x5fffffdd,0x3e2dffb0,
    0x3ea003ff,0x7fe405ff,0x1fff8805,0x7ffffd40,0xffffffee,0x3fe60001,
    0xbffc803f,0x03fffffe,0x1003bffa,0xffffffff,0xffd01fff,0x403fff89,
    0xf9107ffa,0xffffffff,0xffffc809,0xffffffff,0xffff500f,0x3dffffff,
    0x000bff70,0x9003fff0,0xf9000bff,0x01fffcdf,0x90fffb80,0x40003fff,
    0xf900fff8,0x987fffff,0xffeffffe,0x22ffdeff,0xf9006ffc,0x0bfee0bf,
    0x7ff67fdc,0x5ffffedf,0x3ffffa60,0xfdcfffed,0xff98001f,0xffffffff,
    0xffffffff,0x5c07ffff,0x6cc1dfff,0xffd82fff,0x7ffdc41e,0xccffe886,
    0x7d4004ff,0x7fe405ff,0x1fff8805,0x4177ffc0,0x005fffc8,0x00fffe60,
    0x3bfffff2,0xff500fdc,0x1ff5003f,0x5dfffb51,0xff13ffa0,0x7ffcc07f,
    0xffffe887,0x6ffffeee,0x3337ffa0,0xcccccccc,0xdffff980,0xffffdbab,
    0x002ffdc1,0x400fffc0,0xc8005ffc,0x0fffe6ff,0x87ffdc00,0x0001fffc,
    0x2603ffe2,0x1edeffff,0x105ffff4,0x45fffff9,0xe801fff9,0x5ffd02ff,
    0x3ffffee0,0x04fffd83,0xd887fffd,0x001fffff,0x999fffc8,0x9999cfff,
    0x99999999,0x13ffe201,0xff0dff90,0x7ffd405f,0xfffff981,0xfffa8006,
    0x02ffe405,0x500fffc4,0xfc803fff,0x260000ff,0xffc80099,0xfd0041ff,
    0x0f2a007f,0x99700ae2,0x101ccc85,0xfb0ffffd,0xffb109ff,0x07ffe09f,
    0xfffe8800,0x1dfff501,0x0002ffdc,0x6400fffc,0xfc8005ff,0x00fffe6f,
    0x887ffdc0,0x44000199,0xffb80fff,0x3ffee01f,0x3fffee02,0x2027ff42,
    0x3fa07ff9,0xffff702f,0x07ffe403,0xc807ffee,0x4001ffff,0x7fc4fff8,
    0x6400003f,0xffd006ff,0x403ffcc7,0xff502dee,0x000001ff,0x100bff90,
    0x7f403fff,0xfff9805f,0x20000000,0x2004fffc,0x00004ff9,0x2e000000,
    0x547fffff,0x7e402fff,0x3ffc41ff,0x3ffee000,0x1fffd402,0x0000bff7,
    0xf9003fff,0xff9000bf,0x001fffcd,0x000fffb8,0x0fff8800,0x7406ffc8,
    0xffe805ff,0x03ffdc2f,0xfe813ff2,0x9fff702f,0x43fff880,0xfe805ffd,
    0x7e4001ff,0x1fffc0ff,0x3ffe0000,0x4dff7002,0x0003fff8,0x00000000,
    0x22017ff2,0x26201fff,0xfff8800a,0x20000001,0x0001fffc,0x00000000,
    0x3fffa600,0x7fe47fff,0x87ffd005,0x40006ffa,0xfb005ffe,0x02ffdcbf,
    0x00fffc00,0x4002ffe4,0x3ffe6ffc,0xfff70003,0xf1000001,0x9ffb01ff,
    0x007ffc40,0x2217ffcc,0x3fe01fff,0x0bffa01f,0x4007ffdc,0x7ffc5ffb,
    0x1fffb801,0x17ffe200,0x0000fffe,0x000fff98,0xffe8fff5,0x00000adf,
    0x3b6e6000,0x3ff202ce,0x1fff8805,0x3fea0000,0x3b60001f,0xfffc801e,
    0x20000000,0xbceedca9,0x3ee00002,0x7ffbdfff,0xc8017ff4,0x27fdc5ff,
    0x5fff1000,0xb9bfee00,0x3bb2a5ff,0x7ffc00ac,0x05ffc801,0x3e6ffc80,
    0xf70003ff,0x00f641ff,0x42f7b2a2,0xfd80fff8,0x1bfe604f,0xd82fff80,
    0xdff504ff,0x9fff5510,0x37fdc355,0x226ff980,0xff1007ff,0x7fe4003f,
    0x03fff81f,0x3ffea000,0xcccccccc,0x20fffdcc,0xeffffffa,0x0aa9801b,
    0xc805bd93,0xffffffff,0x05ffc81e,0x001fff88,0xffdcba88,0x20001fff,
    0xfc800fff,0x1553007f,0x880b7b26,0xfffffffd,0x54401eff,0x7fffd02a,
    0xfe89ffe6,0xdff9001f,0x0002ffd8,0x400372e2,0x3fee6ffb,0xffffffb5,
    0x0fffc05f,0x002ffe40,0xfff37fe4,0x3fee0007,0x440bfa0f,0xfffffffd,
    0x530fff8b,0x555bffd5,0x002ffdc1,0xff505ffd,0x20fff60f,0xfffffffa,
    0x017fee5f,0xfa87ffc4,0x3ffe006f,0xbfff1001,0x000fffe0,0xfffffb80,
    0xffffffff,0x7cc1ffff,0xffffffff,0x35ff900c,0x10dfffff,0xfdfffffb,
    0xfc83ffff,0xfff8805f,0xfffd7001,0xffffffff,0x3fe20003,0x0bff9007,
    0x3e6bff20,0xfa86ffff,0xffeeffff,0x2a01ffff,0x3bfd07ff,0x0003ffcc,
    0x3fe27fec,0x59bb951f,0xfb000001,0x777fdc9f,0xffffefff,0x03fff04f,
    0x000bff90,0x7ffcdff9,0xfff70003,0x74c1ffc1,0xfffeffff,0xf90fffcf,
    0xffffffff,0x0027fe45,0x3fe05ffb,0x07ffc42f,0x7fffffd4,0x13fee5ff,
    0xf91fff80,0x7ff400df,0x3fff7001,0x000fffe0,0xfffffc80,0xffffffff,
    0xb882ffff,0xfffffffe,0xebffc82f,0xc83fffff,0x2e21dfff,0x3f20fffe,
    0xfff8805f,0x7fffd401,0xfacfffff,0xf70001ff,0x3ff200df,0xd7ff9005,
    0xf07fffff,0xf9105dff,0x7fd40bff,0xff303907,0xff88000f,0x2fffe23f,
    0xffffffff,0x3e600002,0x3ffee2ff,0x3f620bff,0x1fff83ff,0x005ffc80,
    0x3fe6ffc8,0xff70003f,0x7427fc1f,0x3620bfff,0xf90fffff,0xffffffff,
    0x0027fec5,0x3f205ffb,0x02ffdc5f,0xfb817ff4,0x3ffe003f,0x400bff92,
    0xf8801ffd,0x3ffe05ff,0x3ee00003,0x2000006f,0xfffffdb8,0x7fffe43f,
    0x4c0fdcef,0x3e604fff,0x17ff23ff,0x807ffe20,0xbdfffffa,0x07ffe209,
    0x13ffa200,0x802ffe40,0xcefffffc,0x7ffd40fd,0x07ffe401,0x4007ffa8,
    0x40007ff9,0x3e61fffc,0xffffffff,0x0005ffff,0x20efff98,0x202ffffb,
    0xfff87ffd,0x05ffc801,0x3e6ffc80,0xf70003ff,0x227fc1ff,0x3202fffb,
    0xfd80ffff,0x17ff204f,0x302ffe80,0x7ff41fff,0x02ffe802,0x22009ff7,
    0xdff70fff,0x00fff400,0xf00fffdc,0x55555bff,0x05555555,0x0003ffd4,
    0xfff93000,0x1ffffc8d,0x037fe404,0xff937fec,0x3fff300b,0x07fffe20,
    0x003fff30,0x00fffe88,0x200bff90,0x041ffffc,0x4c02fff4,0xff500fff,
    0x7ff9800f,0x3ffe6000,0x6ffffdc4,0xfffba89b,0x3a20004f,0x7fdc1fff,
    0x7ffc404f,0x4017ffc3,0xc8005ffd,0x0fffe6ff,0x87ffdc00,0x7ff45ff8,
    0x0ffff805,0x2e04ffd8,0x3fe006ff,0x4fffa02f,0xfd007ff9,0x17fee05f,
    0xf53ffcc0,0x7ffc00ff,0x06fff801,0x7ffffffc,0xffffffff,0x3fff100f,
    0x01300c00,0x641fff90,0xfb004fff,0x5793007f,0x5402ffdc,0xff301fff,
    0xfff5003f,0x7ff44003,0x3ff2003f,0x9fff9005,0x002a6200,0x5407ffe2,
    0x7cc007ff,0xff10007f,0xfffc81df,0x3fffa203,0xffe88001,0x0fffb82f,
    0x7c6ffc80,0xffe803ff,0x6ffc8005,0x4000fffe,0xff10fffb,0x801fff8b,
    0xfd80fffb,0x3ffe604f,0x2fff9800,0x7dd7fee0,0x5ffd004f,0x401bfee0,
    0x3fe25ffa,0xfff8800f,0x17ffdc01,0x3fffffe0,0xffffffff,0x3ffe00ff,
    0x4fffb005,0xf8806ffc,0x3fff21ff,0x01fff001,0x037fd400,0xb80fffe4,
    0xff9007ff,0x3fa2003f,0x7e4003ff,0xfff9005f,0x2a000003,0xff501fff,
    0x7ff9800f,0xfffe8800,0x802cb981,0x4005fff9,0x702ffff9,0x3ea00dff,
    0x02fffc7f,0x0017ffe2,0xfff9bff2,0xfff70003,0xf99bfe61,0xfff1007f,
    0x809ffb01,0xfd804ffe,0x3fe202ff,0x001ffd8f,0x3ee05ffd,0xffe801ff,
    0x4027ffc3,0x7401fffc,0xfff806ff,0xeeeeeeee,0x200eeeee,0x5401fffb,
    0x3fea4fff,0x3ffdc02f,0x2003fff2,0x40007ff8,0x2a01fff9,0xf701ffff,
    0xffa803ff,0xfe8802ff,0xfc8003ff,0xfff9005f,0xba880001,0x1fffffdc,
    0x800fff50,0x44007ff9,0x0003fffe,0x001fff20,0x5c05fffd,0xff3005ff,
    0x17fffc1f,0x00bfffb0,0x7fcdff90,0xff70003f,0xa9bfea1f,0x3fe006ff,
    0x04ffd80f,0x300fffd4,0xd805ffff,0x006ffbff,0x7dc0bffa,0x7fd405ff,
    0x07ffd41f,0x03ffff10,0x4017ffd4,0x00003fff,0x102fffe8,0x7c43ffff,
    0xff100eff,0x07ffc89f,0x000fff50,0x80efff88,0x01fffff9,0x4c09fff5,
    0x802fffff,0x0003fffd,0x3200bff9,0xd70007ff,0xffffffff,0x3ea03fff,
    0x7fcc007f,0x3ffe6007,0x5400003f,0xf7000fff,0xffb805ff,0x3fff1004,
    0x20fffffc,0x05ffffc8,0x3e6ffc80,0xf70004ff,0x93ffd4ff,0x7fc00bff,
    0x04ffd80f,0xb83fffe8,0x402fffff,0x03fffffa,0x5c0bffa0,0xf504ffff,
    0x3ffa0bff,0xfffe881e,0x3fffa01f,0xffffffff,0x0003ffff,0xdffff980,
    0xffffebab,0xcffffb83,0xffffbaaa,0x802ffe41,0x80006ffb,0xcbdffffb,
    0x1ffedfff,0x2fbfffa0,0xefffeba9,0x7fd403ff,0x3f20004f,0xbff9005f,
    0xffffa800,0xfacfffff,0xfff501ff,0x07ff9800,0x05ffff50,0xfff30000,
    0x13ffa005,0x800ffee0,0x3ffe1fff,0xffdcefff,0x8005ffff,0x3ffe6ffc,
    0xfff90004,0xff93ffdc,0x07ff400b,0x4c027fec,0xfeeffffe,0x02fffeff,
    0x00fffff8,0x5c0bffa0,0xabefffff,0x00ffffdb,0x559ffff3,0x3ffffff9,
    0x3ffffea0,0xffffffff,0x00003fff,0xfffffd30,0x407fffff,0xfffffffc,
    0xfc80efff,0xfff5005f,0x3ff20000,0xb5ffffff,0x7fcc03ff,0xffffffff,
    0x405ffb8c,0x40005ffc,0xf9005ffc,0x7fd400bf,0x209bdfff,0xf501fff8,
    0xff9800ff,0xffffb807,0xf1000001,0x3fe003ff,0x4ffb800f,0x41fff100,
    0xffffbfff,0x5ffaefff,0x26ffd800,0xb0004ffe,0x7ffdcfff,0x400dff70,
    0xffd80fff,0xfffb1004,0x3fe9ffff,0xfffc802f,0x17ff4005,0xffcdffb8,
    0x0effffff,0x7ffff4c0,0xfffaffff,0xfffffd01,0xffffffff,0x00007fff,
    0xffffec80,0xd9800cff,0x4effffff,0x4017ff20,0x1000fff9,0xffffdb80,
    0x007ff64e,0xffffff91,0x07ffcc3b,0x4007ffd0,0x02ffe409,0x1005ffc8,
    0x9803ffff,0xff501fff,0x7ff9800f,0x0f7ffe40,0x20019880,0x9800fff9,
    0xff7007ff,0x1ffe6009,0xfff33fff,0xbff31bff,0xfb00bfb2,0x037fecdf,
    0x326ffe80,0xfff30fff,0x407ffc00,0x54004ffd,0x3e2cefdc,0xff9801ff,
    0x7ff4002f,0x2abff702,0x02dffffe,0x7ffffe40,0x81fff88d,0x999bfffa,
    0xf9999999,0x000003ff,0x003ff510,0x007bf220,0x8802ffe4,0xff001fff,
    0x80a9803d,0x262002fe,0x0ff301aa,0x2005fff0,0x0180fffa,0x200bff90,
    0xa801fff9,0xff501fff,0x7ff9800f,0x03bfff60,0x00fffcc0,0x5007ffb8,
    0x3ee00fff,0xdff7006f,0x2a21fff8,0x03ffd801,0xff72fff4,0xff88001f,
    0x47fff24f,0x8800fff8,0xffd80fff,0xff800004,0x7ff8801f,0x02ffe800,
    0x1a88bff7,0x41a88000,0xfe81fff8,0x7ffc006f,0x20000003,0x740005fa,
    0xfc800bff,0x3ffe005f,0x0fff9804,0x003fe000,0x017ea000,0x6400fffa,
    0xfffa86ff,0x0bff900c,0x401ffee0,0xf501fffc,0xff9800ff,0x0bfffb07,
    0x007fff00,0x44017ffa,0xff7002aa,0x9ffd003f,0x0001fff8,0xff80bff9,
    0x17ffe64f,0x45fff900,0x3fa2fffd,0xfffc804f,0x404ffd80,0x3fe60009,
    0x4ffb800f,0x02ffe800,0x0000bff7,0x3fff1000,0x003fff98,0x0001fffc,
    0x009f9000,0x1fffcb80,0x002ffe40,0xd801fff7,0x220005ff,0x9000007f,
    0xdffb00bf,0x09fff100,0x20bfffd5,0xf7005ffc,0xffa803ff,0xfff502ff,
    0x87ff9800,0x0004fffb,0xb801fffb,0x00001fff,0x017ffee0,0xff81fff5,
    0xff90001f,0x3ffee01f,0x027fff42,0x6c6fff98,0x3ff22fff,0x3ffe200f,
    0x04ffd80f,0x6c00fffc,0xffd006ff,0x7ffd0003,0x0017fee0,0x3fe20000,
    0x03ffec1f,0x001fffc0,0x0dfb0000,0x13fea000,0x800bff90,0xb881effe,
    0x20001fff,0x00001ff9,0x5400ffc8,0x7ec04fff,0x7ff401ff,0x005ffc81,
    0x4c09fff5,0x502fffff,0xf9800fff,0x2fffc47f,0xdfff3000,0x13ffee03,
    0xff700000,0x3fea0bff,0x01fff84f,0x7dfff100,0x07fffd41,0x2b7fffea,
    0xffffd980,0x217ffec2,0xe880effe,0xfd80ffff,0x37ff404f,0x00fffea0,
    0x40017fee,0xff705ffe,0x0000000b,0x7cc3fff1,0xff8003ff,0x999999cf,
    0x09999999,0x42ffb800,0xfb310009,0x5ffc807f,0x7fffcc00,0xffffdabc,
    0x7fc40003,0x0000620d,0xb735dff5,0x1efffd83,0x01ffff4c,0x7e417ff4,
    0x3ffa005f,0xfeba9bef,0x503ffeff,0xf9800fff,0x4fffec7f,0x99999999,
    0x7fdc1999,0xfdbabeff,0x2a000dff,0xfb800eee,0xbaceffef,0xf80efffd,
    0x320001ff,0xffefffff,0xff901fff,0xffdfffff,0xb09fffff,0xfe885fff,
    0xffcaacff,0xfd80ffff,0x7ffdc04f,0xff9510ad,0x36eae0bf,0x90001fff,
    0x5cbdffff,0x000005ff,0x21fff880,0x8000fffd,0xffffffff,0xffffffff,
    0xff88003f,0x401ffdef,0x06ffffff,0x8005ffc8,0xffffffe9,0x00004fff,
    0x9fdbfffb,0xffff0000,0xfe883fff,0xfffeffff,0xdcc885ff,0xff906ffe,
    0x7ffcc00b,0xcfffffff,0xf505ffb8,0xff9800ff,0x3ffffea7,0xffffffff,
    0xffc87fff,0xffffffff,0xfffb8004,0xbbffb801,0xffffffff,0x03fff00d,
    0x7fff4400,0x02ffffff,0x7fffffdc,0x3fffffff,0x305fffb0,0xffffffff,
    0xb01ffd3f,0xffb009ff,0xffffdfff,0x7fff40bf,0x260004ff,0x2e7fffff,
    0x000005ff,0x31fff880,0x20009fff,0xffffffff,0xffffffff,0xffb0003f,
    0xf801ffff,0x801dffff,0x20005ffc,0xeffffffc,0x3ea00001,0x003fffff,
    0xffffd980,0xffff700b,0x207fffff,0x2ffffff9,0x800bff90,0xffffffc8,
    0x03ffe61d,0x3001ffea,0x7ffe4fff,0xffffffff,0x107fffff,0xbffffffb,
    0x3fee0005,0x3ffb801f,0x7dffffd5,0x001fff80,0xfffffb80,0xd71002df,
    0xffffffff,0x7ffec017,0xfffb7102,0x03ffa1bf,0x22013ff6,0xfffffffc,
    0x7fec05ff,0x980005ff,0xf70ffffe,0x000000bf,0x323fff10,0xf0000fff,
    0xffffffff,0xffffffff,0x6e440007,0x3533002c,0x2ffe4001,0x4d4c4000,
    0x2a000000,0x800001bd,0x951000a8,0x40159bdb,0x00bcdcc9,0x40017ff2,
    0x0001aa98,0x3001ffea,0x7ffecfff,0xffffffff,0x807fffff,0x80001aa9,
    0x0001fffb,0xa8005544,0x200000aa,0x40000aa8,0x019aaa99,0x00155530,
    0xfb000351,0x65c4009f,0x800bdeee,0x0002ceda,0x554c1980,0x00000002,
    0x00001555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0xffffffff,0x01cdeeef,0x007fff10,0x13ffe000,0x07ffdc00,0x40037ff4,
    0x3fe4fffa,0xffffffff,0x0aceeeff,0x017ffec0,0x09930371,0x26600000,
    0x99999999,0x7fffc409,0xffffffff,0xffffffff,0x3333301f,0x80333333,
    0x99805ffc,0x99999999,0x3ffea009,0x20000001,0xff903ffb,0x9999100b,
    0x99999999,0x26199999,0x20002fff,0xfff75ffb,0xf80bffe6,0x740006ff,
    0x98001fff,0xffffffff,0x00bdeeff,0x7fffffc4,0xcdeeefff,0x3fffe001,
    0xffffffff,0x3fffffff,0x3ffffffa,0xffffffff,0xfff71fff,0x3ffffe20,
    0xffffffff,0x7c401dff,0x000003ff,0x20009fff,0xf980fffb,0x7f4002ff,
    0x3fffe0ff,0xffffffff,0x01ffffff,0x220bfff6,0x89cffffd,0x3f6006fd,
    0xff1002ff,0xffffffff,0xffff885f,0xffffffff,0xffffffff,0xffff881f,
    0x1fffffff,0x2017ff20,0xffffffff,0x3ea03fff,0x000001ff,0x207fff30,
    0xf9805ffc,0xffffffff,0xffffffff,0x005fff31,0xfbaffdc0,0x05fff37f,
    0x00037ffc,0x00bffff3,0xffffff30,0xffffffff,0x7ffc407f,0xffffffff,
    0x801dffff,0xffffffff,0xffffffff,0x3ffa3fff,0xffffffff,0x1fffffff,
    0x3e20fff7,0xffffffff,0xffffffff,0x7fff100d,0x3fe00000,0xff70004f,
    0x1bff601f,0x42fffa80,0xffffffff,0xffffffff,0xffb02fff,0xffff705f,
    0x09ffffff,0x017ffec0,0xffffff88,0x442fffff,0xffffffff,0xffffffff,
    0x881fffff,0xffffffff,0x3f201fff,0xffff805f,0x3fffffff,0x007ffea0,
    0x7ff40000,0x0bff903f,0xffffff30,0xffffffff,0x3fe63fff,0x3ee0002f,
    0x26fff75f,0x3fe02fff,0x3f20006f,0x4000ffff,0xfffffff9,0xffffffff,
    0xffff104f,0xffffffff,0x01bfffff,0x7ffffffc,0xffffffff,0x3fa3ffff,
    0xffffffff,0xffffffff,0x220fff71,0x9999cfff,0xffdbaa99,0xff880eff,
    0xf000003f,0x2e0009ff,0xff100fff,0x3ffa007f,0x803fff86,0xffffea98,
    0x82fffd82,0xffd934fd,0x7ec001bf,0x2aa002ff,0xaaaaaaaa,0x9999980a,
    0xbfffa999,0x19999999,0x2aaaaaa0,0x200aaaaa,0xaa805ffc,0xaaaaaaaa,
    0x3ffea01a,0xc8000001,0xf903ffff,0x999100bf,0x99999999,0x4cbfff99,
    0x20002fff,0xdd515ffb,0xd80bffe6,0x3e0006fe,0x003ffdff,0x4cdfffcc,
    0xfcaa9999,0xff884fff,0x999999cf,0xffffdbaa,0x39fff00e,0x33333333,
    0x41333333,0x9999dffe,0x99999999,0x41ffee19,0x2003fff8,0x885ffffa,
    0x00003fff,0x3ffffbaa,0xeeeeeeee,0xffeeeeee,0xffb83eef,0x7ffdc00f,
    0x003fff81,0xd84fffb8,0x1cc82fff,0xd8000b98,0x00002fff,0x3fe60000,
    0x0000001f,0x005ffc80,0x3fea0000,0x4000001f,0x03fffffa,0x0000bff9,
    0x983bff20,0x20002fff,0x9afc5ffb,0x7cc02fff,0x9ff50005,0x9800dff5,
    0xd3002fff,0xfff10fff,0x7ff4c007,0x07fff05f,0x27ff4000,0x3ffdc000,
    0x003fff88,0x20ffff44,0xaaadfff8,0x099aaaaa,0x7ffffdc0,0xffffffff,
    0xffffffff,0xf884ffff,0x3fe204ff,0x07fff05f,0x21fff600,0x0002fffd,
    0x00000000,0xff300000,0x0000003f,0x00bff900,0x7fd40000,0x0000881f,
    0xffffff88,0x00bff903,0x3fff3000,0x002fff98,0xf997fee0,0x805fff33,
    0xfb0003fa,0x007ffe5f,0x002fff98,0xf10bffe6,0xe88007ff,0xfff81fff,
    0x3fa00003,0xfb80004f,0x7fff107f,0xdfff5000,0xffffff88,0xffffffff,
    0xfdd501cf,0xdddddfff,0xdddddddd,0x07ddfffd,0x6407ffea,0xfff00fff,
    0x3fea0007,0x0fffec1f,0x00000000,0x20035530,0x26000aaa,0x40001fff,
    0x2cdeecb8,0x00bff900,0x33bb72a6,0xfffa802b,0x00017441,0x7ff57fec,
    0x00bff903,0x3ffe8800,0x002fff98,0x7457fee0,0x05fff31f,0x88001fd8,
    0xbff90fff,0x17ffcc00,0x113ffe00,0x30007fff,0xfff0dfff,0x7f400007,
    0xfb80004f,0x7fff107f,0x3fff6000,0x3ffffe20,0xffffffff,0x7c05ffff,
    0xf70004ff,0xffd001ff,0x09fff10b,0x8001fffc,0x7e42fff9,0x415531ff,
    0x02cdedb9,0x2aaaaaa6,0xaaaaaaaa,0x00bff90a,0x4003fff1,0x0001fff9,
    0x3fffffee,0x7e401eff,0x7fec405f,0xefffffff,0x87ffea01,0x40002ff9,
    0x7ffd5ffb,0x0017ff20,0x20dff900,0x0002fff9,0x0f557fee,0x6c05fff3,
    0xff70005f,0x007ffd4d,0x002fff98,0x3e227ff4,0xf90003ff,0x3fff81ff,
    0x3ffa0000,0xffb80004,0x07fff107,0x8bffe600,0xeeeefff8,0xffeeeeee,
    0x3fe04fff,0xff70004f,0xfff3001f,0x00fffc85,0x4000fffe,0x7e41fffb,
    0x27ff70ff,0xfffffffc,0xffffb80e,0xffffffff,0xbff92fff,0x03fff100,
    0x00fffcc0,0xfffffe80,0x04fffffe,0xfa817ff2,0xffeeffff,0xf501ffff,
    0x3ffea3ff,0x3fe20000,0x207ffd0e,0x00005ffc,0x4c07ffea,0x20002fff,
    0x3e605ffb,0x013202ff,0x7c3ffe80,0xff3003ff,0x7fc4005f,0x1fffc42f,
    0x2fff9800,0x0001fffc,0x0009ffd0,0x220fff70,0x20003fff,0x3fe23fff,
    0x3ff2003f,0x9fff03ff,0x3ffee000,0x4dffb000,0x7c03fff9,0xfd0003ff,
    0xfffb81ff,0xff97ff70,0xffffffff,0xfffffb81,0xffffffff,0x0bff92ff,
    0x003fff10,0x000fffcc,0x20efffe4,0x903fffe9,0xff076bff,0xff9105df,
    0x3ffea0bf,0x000effb9,0xfd0fff40,0x17ff207f,0x7ffc4000,0x0bffe604,
    0x05ffb800,0x000bffe6,0x07ffcc00,0x4c01bff2,0x2a002fff,0xfff887ff,
    0x3ffe0003,0x001fffc3,0x009ffd00,0x20fff700,0x0003fff8,0xff893ff6,
    0x7fcc003f,0x09fff06f,0x03ffee00,0xd97ffc40,0xfff806ff,0xfffd8003,
    0x2e7ffb85,0x11cfffff,0x889fffb5,0x99999999,0x25fff999,0xf8805ffc,
    0x3e6001ff,0x7cc001ff,0x7fec03ff,0xeeffc80f,0x07ffea1f,0x501fff90,
    0x1bffdfff,0x4ffc8000,0xfc81fff4,0xf900005f,0xfff980ff,0x3fee0002,
    0x0bffe605,0x7fec0000,0x02fff985,0x002fff98,0xf107fff7,0x6c0007ff,
    0x1fffc4ff,0x9ffd0000,0xfff70000,0x00fffe20,0x226ffc80,0xe8003fff,
    0xffff07ff,0xdddddddd,0xffdddddd,0x7fe4001f,0x802fff9e,0x4c403fff,
    0x0ffffeba,0x3ee7ffa8,0xfd101fff,0x3e2000ff,0x2ffe46ff,0x00fffc40,
    0x003fff30,0x8806ffe8,0xffc84fff,0x3ffa0fff,0x0fff9805,0x4fffffa8,
    0x6ff98000,0xf903ffe8,0x055544bf,0x04fff880,0x3017ffcc,0xbff70555,
    0x017ffcc0,0x7ffc4000,0x00bffd02,0x999bfff3,0xfffdb999,0x3ffe205f,
    0x3ff60003,0x556fffc6,0xaaaaaaaa,0x7f40aaaa,0xaaaaaadf,0x40aaaaaa,
    0x66647ffb,0xccccdfff,0x7fe403cc,0x00fffe27,0x207ffee0,0xffffffff,
    0xffffffff,0x000fffff,0x3fffffe2,0xfffff005,0xffffffff,0x03ffffff,
    0xffb9bfea,0x7ffd404f,0x7ff44000,0x02ffe40e,0x000fffc4,0x4003fff3,
    0x7001fff8,0xfff90fff,0x00a9883d,0xa81fff88,0x0003ffff,0xe81ffe88,
    0xbff903ff,0x8017ffd4,0x4c00fffb,0x3f602fff,0x05ffb87f,0x000bffe6,
    0x81ffee00,0x4c00fffb,0xffffffff,0x2fffffff,0x00fffe20,0x7c7ffc80,
    0xffffffff,0xffffffff,0x7ffff42f,0xffffffff,0x7fdc1fff,0x7fffffc7,
    0x6fffffff,0x887ffe40,0x98003fff,0xfff82fff,0xffffffff,0xffffffff,
    0xdddb00ff,0xffffffdd,0x87dddddd,0xffffffff,0xffffffff,0x3fe600df,
    0x003ffee6,0x8003fff3,0xfc81fffd,0xfff8805f,0xfffff981,0xffffffff,
    0x7ff982ff,0x03ffe600,0x0001dff9,0x703fff50,0x00007fff,0x7f40fff2,
    0x4bff903f,0xd002fffa,0xff300bff,0x3ffec05f,0xf302ffdc,0x000005ff,
    0x7c409ffd,0x7fcc03ff,0xffffffff,0x0cffffff,0x003fff88,0xf83ffee0,
    0xffffffff,0xffffffff,0x7ffff42f,0xffffffff,0x7fdc1fff,0x7fff7747,
    0x5eeeeeee,0xf13ffec0,0xf50007ff,0xbfff03ff,0x55555555,0xff955555,
    0x3fffa01f,0xffffffff,0x44ffffff,0xffffffff,0xacffffff,0x25ff9800,
    0xff007ffb,0x7fec003f,0x0bff902f,0x303fff10,0xffffffff,0x5fffffff,
    0x400dff70,0x3f21fff8,0x544005ff,0xfffffdcb,0x0ffffdc1,0x37fd4000,
    0x3207ffd0,0x3ffea5ff,0x2fff9802,0x02fff980,0x3ee1fff6,0x3ffe605f,
    0x7cc00002,0x7fec01ff,0x6fffcc07,0xedcccccc,0x40efffff,0x0003fff8,
    0xfff1fff6,0x9999999d,0x39999999,0xeeefffe8,0xeeeeeeee,0x83ffdc1e,
    0x0003fff8,0xff89fffa,0xffc8003f,0x04fff80f,0x01fff700,0x3bbbbbb6,
    0xeeeefffe,0x7ffc3eee,0xfffc9883,0xbff1001e,0xf8037fdc,0xff9002ff,
    0x2ffe407f,0x40fffc40,0xfbaaaaa8,0xaaaaacff,0x005ffc80,0xffd97ffc,
    0xfeb805ff,0xffffffff,0x3fff21ff,0x440001ff,0x3fa00fff,0x4bff903f,
    0xc800aaa8,0xff3006ff,0x1554c05f,0xf302ffdc,0x800005ff,0xfa806ffc,
    0x3fe602ff,0xffb1002f,0x3fff88df,0x1bffa000,0x00007fff,0x00027ff4,
    0xf883ffdc,0x3e0003ff,0x3ffe26ff,0x7ffcc003,0x009fff06,0x003ffee0,
    0x001ffe60,0xf9807fff,0xff002fff,0x802ffdc9,0xfb802fff,0x7fe404ff,
    0x1fff8805,0x07ffe600,0x005ffd80,0xeff9fffc,0x3fea05ff,0xcfffffff,
    0x3fe1fffa,0x0001ffff,0x3a01ffec,0xbff903ff,0x7ffc4000,0x5fff3003,
    0x2ffdc000,0x005fff30,0xfffff800,0xffffffff,0x3e605fff,0x7e4002ff,
    0x3ffe23ff,0x3ffe0003,0x001fffc5,0x009ffd00,0x20fff700,0x0003fff8,
    0x7c4bfff1,0xf71003ff,0x3fe03fff,0xff70004f,0xff30001f,0x3fff800f,
    0x1ffff980,0x3ee4ff80,0x5fff005f,0x05fffa80,0x8805ffc8,0x26001fff,
    0x32001fff,0x7fc005ff,0xbff93d2f,0x3ffffea0,0x3fe209bd,0x3feb3e1f,
    0x3ea0001f,0xaaaaaaff,0xaadffeaa,0x0017ff22,0x000fffb8,0x0005fff3,
    0xf302ffdc,0x400005ff,0xfffffffa,0xffffffff,0xfff300ff,0xfff88005,
    0x00fffe26,0x227ffc40,0x00003fff,0x00013ffa,0x7c41ffee,0xf30003ff,
    0x7ffc47ff,0xcccccccd,0x4fffffee,0x0013ffe0,0xb807ffdc,0xfdcccccc,
    0xccccccff,0x01fffc2c,0x00efffa8,0xbff71ff4,0x80bffe00,0x800efff9,
    0xfa805ffc,0x3e6001ff,0x3ee001ff,0x3fe2006f,0x17ff211f,0x007fffe2,
    0xa9c3fff3,0x20001fff,0xfffffffb,0xffffffff,0xbff90fff,0x2fff4000,
    0x05fff300,0x02ffdc00,0x0005fff3,0x777ffec0,0xeeeeeeee,0xf304fffe,
    0xfd0005ff,0x1fffc4ff,0x3fff9800,0x0001fffc,0x0009ffd0,0x220fff70,
    0xb0003fff,0x7fc41fff,0xffffffff,0x4fffffff,0x0027ffc0,0xd00fffb8,
    0xffffffff,0xffffffff,0x03fff89f,0x01bfff60,0x2ffdc7fd,0x102fff80,
    0x2001fffd,0xfb805ffb,0x3e6001ff,0x3e6001ff,0xff5000ff,0x85ffc81f,
    0xa801fff9,0xffa81fff,0x3ee0001f,0xffffffff,0xffffffff,0x00bff90f,
    0x007ffe60,0x002fff98,0x9817fee0,0x00002fff,0x8007fff1,0xff307ffe,
    0xffb0005f,0x01fffc4f,0x40fffd80,0x00003fff,0x00013ffa,0x7c41ffee,
    0xfa8003ff,0x7ffc46ff,0xffffffff,0x800dffff,0x70004fff,0x3fa01fff,
    0xffffffff,0xffffffff,0x001fffc4,0x407ffff1,0x17fee0aa,0x4417ffc0,
    0x2001fffe,0xfc806ffb,0x3e6001ff,0x3e2001ff,0xffd004ff,0x70bff90d,
    0x3f200fff,0xfffa81ff,0x332a0001,0xcccccccc,0x4ccdfffc,0x40017ff2,
    0x4c007ffb,0x20002fff,0x3e605ffb,0x700002ff,0xb8001fff,0xff982fff,
    0xffe8002f,0x00fffe25,0x213ffea0,0x00003fff,0x00013ffa,0x7c41ffee,
    0xfe8003ff,0x7ffc41ff,0xbccccccd,0x7fc0009a,0xff70004f,0xff30001f,
    0x3fff800f,0x7fffd400,0x17fee000,0x6c17ffc0,0x54002fff,0x3e602fff,
    0x26001fff,0x64001fff,0x7d400fff,0x5ffc83ff,0x401fffb8,0xa82ffffa,
    0x00001fff,0x40fffa00,0x90005ffc,0xf9800dff,0x2e0002ff,0x3fe605ff,
    0xfd00002f,0xff1000bf,0x5fff30bf,0x3fff9800,0x000fffe2,0x3e07fffa,
    0x200003ff,0x80004ffe,0xff107ffb,0x7f4c007f,0xfff885ff,0xff000003,
    0x3ee0009f,0xf98000ff,0x7ffc007f,0xfffc8003,0x17fee005,0x3217ffc0,
    0x88003fff,0xf980ffff,0x2001ffff,0x4001fff9,0x501efff8,0x3f20dfff,
    0x4fffa85f,0x3ffffe60,0x01fffa82,0x3fa00000,0x0bff903f,0x017ffa00,
    0x005fff30,0x302ffdc0,0x00005fff,0x0005fff3,0xf307fff2,0x7c4005ff,
    0x3fe21fff,0x3faa003f,0x7fff05ff,0x7ff40000,0xffb80004,0x39fff107,
    0x95533333,0x01dffffb,0x0007fff1,0x013ffe00,0x007ffdc0,0x003ffcc0,
    0x2000fffe,0x5c2ffff8,0xbff70eee,0xb8bffe00,0x20003fff,0xcbdffffc,
    0x1ffedffe,0x07ffe600,0x3fffea00,0xfffdbabc,0x0bff901f,0x26fbfffa,
    0xfefffeba,0xafffa83f,0x99999999,0x00009999,0x3f207ffd,0xff88005f,
    0x7fcc003f,0x999999bf,0x70999999,0x7fcc0bff,0x999999bf,0x40999999,
    0x20007ffc,0x7cc4fff9,0x99999bff,0xfffda999,0x67ffc44f,0xaa999999,
    0x05ffffdc,0x26673ffe,0x99999999,0x3fa19999,0xfb80004f,0xffff107f,
    0xffffffff,0x01dfffff,0x000fffe2,0x027ffc00,0x00fffb80,0x007ff980,
    0x8001fffc,0x320ffffa,0xbff70fff,0x4cbffe00,0xeeedffff,0xeeeeeeee,
    0x3ffff625,0xffb5ffff,0x7ffcc003,0xffd50001,0xdfffffff,0x82ffe403,
    0xfffffff9,0xffb8cfff,0xfffffa85,0xffffffff,0xd0004fff,0x3ff207ff,
    0xfff98005,0x7ffcc002,0xffffffff,0xf74fffff,0x7ffcc0bf,0xffffffff,
    0x7c4fffff,0x740004ff,0x7ffcc7ff,0xffffffff,0x86ffffff,0xfffffff8,
    0xffffffff,0x7ffc05ff,0xffffffff,0xffffffff,0x0013ffa7,0x441ffee0,
    0xffffffff,0xefffffff,0x1fffc402,0xfff80000,0xfff70004,0xfff30001,
    0x03fff800,0x97fff600,0xff70fffc,0x4bffe00b,0xfffffff9,0xffffffff,
    0xffffb87f,0x07ff64ef,0x01fff980,0x3fff2200,0xc802ceff,0x3f2205ff,
    0x21dfffff,0x7d40fff9,0xffffffff,0x4fffffff,0x07ffd000,0x20017ff2,
    0x4001fff9,0xfffffff9,0xffffffff,0x40bff74f,0xfffffff9,0xffffffff,
    0x07ffea4f,0x5fff7000,0x7fffffcc,0xffffffff,0xff880cff,0xffffffff,
    0x03efffff,0xfffffff8,0xffffffff,0x3fa7ffff,0xfb80004f,0xffff107f,
    0xdfffffff,0x3e20039d,0x000003ff,0x20009fff,0x8000fffb,0x7c007ff9,
    0x220003ff,0xff92ffff,0x017fee1f,0xff997ffc,0xffffffff,0x07ffffff,
    0x00002aa2,0x001fff98,0x00153100,0x8805ffc8,0x50001aa9,0xffffffff,
    0xffffffff,0x3ffa0009,0x00bff903,0x000fff50,0xfffffff3,0xffffffff,
    0x817fee9f,0xfffffff9,0xffffffff,0x01bff64f,0x9bffe200,0xfffffff9,
    0xbceeffff,0x3fffe200,0xeeffffff,0x3fe001cd,0xffffffff,0xffffffff,
    0x013ffa7f,0x01ffee00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,
    0x40005fff,0xff73fffc,0x3e20000b,0xffffffff,0x001cdeee,0x3feebff7,
    0x3fe60005,0xffd8002f,0x3ffe60ef,0x3fe60002,0x20001fff,0xf13ffffb,
    0x2a000bff,0x8176c7ff,0xffff13ec,0xddffffff,0x2a0017bd,0xf11cc80a,
    0xffffffff,0xffffffff,0x3f23ffff,0xf80000ff,0x3fff54ff,0x7fffdc00,
    0x1fff2000,0x4cccccc4,0x2a019999,0x10006fff,0xff70bfff,0xffb0000b,
    0xffffffff,0xffffffff,0x0027ffc9,0x310fffb8,0x33333333,0x11554c33,
    0x55555555,0x55555555,0x99100355,0x0aaa2007,0x0017fff4,0x2e5fff98,
    0x100005ff,0xffffffff,0xbfffffff,0x75ffb803,0x4c000bff,0x6c002fff,
    0x7cc0efff,0x260002ff,0x004fffff,0x4fffff60,0x003ffff8,0x7ec7ffa8,
    0xf12ff986,0xffffffff,0xbfffffff,0x3fffee03,0x11ffb8ad,0xffffffff,
    0xffffffff,0x263fffff,0x40003fff,0xff11fffa,0x7fec005f,0x3fa002ff,
    0xffff504f,0x1fffffff,0x027ffe40,0x407fff40,0x80005ffb,0xfffffffd,
    0xffffffff,0x3ffe4fff,0xfff70004,0x3ffffea1,0x327fffff,0x00330fff,
    0xf3007100,0x3fea00df,0x1ffff307,0x1fffd000,0x0002ffdc,0xffffff88,
    0xffffffff,0xf700dfff,0x017feebf,0x02fff980,0x03bfff60,0x000bffe6,
    0x7fffff98,0xffff1000,0x3fffe27f,0x7fd4000f,0x5e77fcc7,0x3fe26ffd,
    0xffffffff,0xffffffff,0x7ffffc41,0x227fffff,0xffffffff,0xffffffff,
    0x3a1fffff,0x6c0006ff,0x27ff46ff,0x9fffff00,0x0bffe200,0x7fffffd4,
    0x400fffff,0x2002fffe,0x5541fffc,0xaaaaeffd,0xffb001aa,0xffffffff,
    0xffffffff,0x0027ffc9,0xf50fffb8,0xffffffff,0x87ffe4ff,0x38800019,
    0x006ff980,0x7e40fff5,0x7e4004ff,0x2ffdc3ff,0xfff88000,0xa999999c,
    0xeffffdba,0xf74eea80,0x7cc000bf,0xffb002ff,0x3fe601df,0x3e60002f,
    0x001fffff,0x3fffffb8,0x0bfffff1,0xb87ffa80,0x1fffffff,0x2673ffe2,
    0xba999999,0x2e0effff,0xffdb88ff,0x4cccc2ef,0xfffa9999,0x9999999b,
    0x00fffdc1,0x43fff880,0xf3006ffc,0x200dffdf,0x5100fffa,0x55555555,
    0xfff30055,0xfff5001f,0xfffffd09,0x07ffffff,0x26666620,0x99999999,
    0x3e2fffe9,0xf70004ff,0x2aaa21ff,0x2aaaaaaa,0x0cc3fff2,0x401c4000,
    0xf5006ff9,0xfffe80ff,0xbfff3001,0x000bff70,0x00fffe20,0x05ffffa8,
    0x000bff70,0x4017ffcc,0x200efffd,0x0002fff9,0x3ffbffe6,0xfffe8004,
    0xffff13ff,0x7d4007ff,0xbdb9307f,0x07fff107,0x27ffec40,0x03710595,
    0x07ffe600,0x09fff100,0x03ffee00,0x7001fff5,0x03fff7ff,0x000dff90,
    0xfffb8000,0x37ffc405,0xffffffe8,0x003fffff,0x7ffec000,0x0027ffc4,
    0x000fffb8,0x330ccc40,0x00710000,0x2a00dff3,0x7fcc07ff,0xfffd006f,
    0x00bff701,0x0fffe200,0x3fffd100,0x00bff700,0x017ffcc0,0x003bfff6,
    0x0005fff3,0x7fdfffcc,0x6ffc4007,0xfff13fff,0x2001ffff,0x40007ffa,
    0x8003fff8,0x00006fff,0x03fff300,0x00fffb00,0x2213ffa0,0xfe802fff,
    0x803ffd8f,0x00004ffe,0x3fffd800,0x003fffa0,0x0000bff7,0x3fff2000,
    0x004fff85,0x001fff70,0x00066000,0x3e600e20,0xfff5006f,0x09fff900,
    0x702fffc8,0x20000bff,0x8003fff8,0xb806fffa,0x260005ff,0x3f602fff,
    0xf9800eff,0x260002ff,0x1fff9fff,0x3ebfee00,0x9fff13ff,0x2a00bfff,
    0x440007ff,0xc8003fff,0x00000fff,0x01fff980,0x01fffa80,0x80fffcc0,
    0x7c404ffe,0x80bff57f,0x8801fff8,0x02cdedca,0x0ffff880,0x802fffc8,
    0x00005ffb,0xefffb800,0x004fff80,0x201fff70,0x98002aa8,0x03880001,
    0x5006ff98,0xfd100fff,0x3fe603ff,0x17fee04f,0x20355530,0x0003fff8,
    0x54c1fffb,0x4cbff72a,0x301bdedb,0x3f605fff,0x3e6005ff,0x260002ff,
    0x4ffc9fff,0x7fdffa00,0x93fff13f,0xf5007fff,0x155440ff,0x003fff88,
    0x102fffa8,0x98000555,0xf0001fff,0xfc8009ff,0x1bff206f,0x3e29ff50,
    0x3ffd407f,0x7ffffd40,0x4001efff,0x7d46fffa,0xff7004ff,0x6776dccb,
    0x3e600002,0xfff01fff,0x3fee0009,0x0fff500f,0x00003300,0x26666271,
    0x99effa99,0x3ea19999,0xfff3007f,0x03bffa0d,0x2a05ffb8,0xf100efff,
    0x260007ff,0x3fee2fff,0x3f2bff75,0x0effffff,0x6c17ffcc,0x4c005fff,
    0x20002fff,0xff99fff9,0x29ff1007,0xfff13fff,0x003fffa3,0x7d40fff5,
    0x7fff107f,0x5fff5000,0x001ffea0,0x003fff30,0x001fff20,0x7d407fff,
    0x17fe407f,0x7e403ffd,0x7ffe405f,0xfffffeff,0x7ffe4003,0x00dfff13,
    0xffcaffdc,0x01efffff,0x7fffc400,0x013ffe02,0x807ffdc0,0x98007ffa,
    0x93880001,0xffffffff,0xffffffff,0x01ffea3f,0x5c3fffc8,0x7dc01fff,
    0xbfff505f,0x03fff880,0xb8fffe00,0xbdff75ff,0xffffffff,0x7ffcc1df,
    0x02fffec2,0x017ffcc0,0x23fff300,0xfb801fff,0x227fff1f,0xfff31fff,
    0x07ffa80b,0x7c41ffea,0xfb8003ff,0xfff500ff,0xfff98000,0xfff30001,
    0x3ffea005,0x07ffe200,0x3f20fff8,0x0fffa04f,0x41dfffb8,0x002fffd9,
    0x7ec7fff4,0x3ee000ff,0xfffffdef,0x000effff,0x013fffa0,0x20009fff,
    0xf500fffb,0x033000ff,0x3f271000,0xffffffff,0xffffffff,0x400fff51,
    0xf10fffe8,0xff7009ff,0x0bfff50b,0x007fff10,0xf727fec0,0x3fffeebf,
    0x3ff662cf,0x8bffe65f,0x0005fffd,0x0005fff3,0xfc8fffcc,0x27fe804f,
    0xfff13fff,0x01fffe43,0x7d40fff5,0x7fff107f,0x0fffd000,0x0003ffd4,
    0x0007ffe6,0xb005ffe8,0xffb00bff,0x51bfe607,0x3fe20dff,0x9fff101f,
    0x006ffc80,0x7fffffcc,0x7fdc002f,0x3660bfff,0x90004fff,0xff00bfff,
    0x3ee0009f,0xfff500ff,0x00033000,0x3bbae710,0xefffeeee,0x50eeeeee,
    0xf9800fff,0x0dffb5ff,0xf517fee0,0x3e200bff,0x320003ff,0x57fee6ff,
    0x203ffffb,0x3fe67ffd,0x9ffffb2f,0x3ffe6000,0x3fe60002,0x80fff31f,
    0x3ffe4ff9,0x443fff13,0xf500fffe,0x3ffd40ff,0x003fff88,0x5027ffe4,
    0x98000fff,0x20001fff,0x4400fffb,0xfb802fff,0x07ff705f,0xff301fff,
    0x037fe40f,0x4003ffe8,0x04fffffb,0x1ffffb80,0x001fff60,0x003bffee,
    0x3bbbfffe,0xeeeeeeee,0x00fffeee,0x3000fff5,0x07100003,0x200dff30,
    0xc8007ffa,0x1fffcfff,0x4cbff700,0xcc805fff,0xcccdfffc,0x7e403ccc,
    0x5d7fee7f,0x7cc04fff,0x5fff31ff,0x5ffffffb,0x5fff3000,0x7ffcc000,
    0xc807ffe1,0x4fffe1ff,0x7cc1fff8,0xfff506ff,0x883ffd40,0x9999cfff,
    0xffba9999,0x3ea00fff,0x7cc0007f,0x220001ff,0x7dc03fff,0xfff3006f,
    0x3607ff60,0x4ffb82ff,0x400bffe0,0xd8006ffb,0x70006fff,0xf9809fff,
    0x7fcc007f,0xfff000ff,0xffffffff,0xffffffff,0x3fea01ff,0x00198007,
    0xf9803880,0xfff5006f,0xfffd1000,0x7dc007ff,0x0bfff35f,0x3fffffe0,
    0x6fffffff,0xb87ffe40,0x3fff75ff,0x31fff880,0xbfffdfff,0x8001ffff,
    0x0002fff9,0xfc87ffe6,0xf1bfa04f,0x3ffe27ff,0x83fffc81,0x3ea07ffa,
    0xffff107f,0xffffffff,0x05ffffff,0x0007ffa8,0x000fffcc,0xd01bff20,
    0x7fc007ff,0x707ff80f,0x5ffb0bff,0x003ffe60,0x4003ffd4,0x001ffffd,
    0x400fffb8,0x1001fff8,0x4005ffff,0xffffffff,0xffffffff,0x500fffff,
    0x33000fff,0x00710000,0x2a00dff3,0xf50007ff,0xb800dfff,0x5fff9dff,
    0x3ffbba00,0xeeeeeeef,0x73ffec05,0x1ffeebff,0xf997ffc0,0xf74fffff,
    0xf9800bff,0x260002ff,0x3fe61fff,0xf89ff307,0x3fff13ff,0x81fffd10,
    0x3ea07ffa,0xffff107f,0xffffffff,0x001bffff,0x8000fff5,0x0001fff9,
    0x9807ffcc,0x36000fff,0x2ffd42ff,0xff87ff98,0x9fff500f,0x99999999,
    0x001fffb9,0x37ffffdc,0x03ffdc00,0xd002fff8,0xf8007fff,0xaaaaadff,
    0xaaaaaaaa,0xf500fffc,0x033000ff,0x30071000,0x3ea00dff,0x3f60007f,
    0x7dc001ff,0x06ffffff,0x03fff880,0xb9fffa00,0x0dff75ff,0x7ccbffe0,
    0x7ec3ffff,0x3e6003ff,0x260002ff,0x7ffc1fff,0x7c1ffc81,0x3fff13ff,
    0x51bffea0,0x7fd40fff,0xfffff107,0xdfffffff,0x7d400399,0x7cc0007f,
    0xe80001ff,0xbff903ff,0x44ffb800,0x3fe03ffc,0x81bfe61f,0xfffffffb,
    0xffffffff,0xff3001ff,0x009fffdf,0xf006ffb8,0xff9005ff,0xfff000bf,
    0x3fee0009,0x0fff500f,0x00003300,0xdff30071,0x01ffea00,0x007ffb80,
    0xffffffb8,0x7c4004ff,0x3e0003ff,0x57fee6ff,0xff005ffb,0x3fffe65f,
    0x1ffff883,0x05fff300,0x0fffcc00,0x3fa13ff2,0xf13fff86,0x7fe403ff,
    0x81ffea3f,0xff107ffa,0x4000007f,0x40007ffa,0x0001fff9,0xff06ffb8,
    0xff98005f,0xb007ff46,0x27fdc5ff,0xffffff90,0xffffffff,0xf1005fff,
    0xfffd1dff,0x2ffdc003,0x402fff80,0x000efffb,0x0004fff8,0x2a01fff7,
    0x3bae07ff,0x0000330e,0xdff30071,0x01ffea00,0x007ffb80,0xccffffb8,
    0x22001fff,0x10003fff,0x7fdcbfff,0x200bff75,0xfff32fff,0x77ffd407,
    0x2fff9800,0x3ffe6000,0x2637fcc1,0x3fff83ff,0x4403fff1,0xff50fffe,
    0x83ffd40f,0x0003fff8,0x01ffea00,0x03fff300,0x3fff1000,0x0007ffa8,
    0x3fe21fff,0xb27fd406,0x7fdc03ff,0x6c000006,0xfff31fff,0x3fee001f,
    0x05fff005,0x007fffcc,0x004fff80,0x201fff70,0x3f207ffa,0x000330ff,
    0xff300710,0x1ffea00d,0x07ffb800,0x24fffb80,0x22006ffe,0x30003fff,
    0x7fdc7fff,0x200bff75,0xfff32fff,0x5fffd805,0x02fff980,0x07ffe600,
    0xffc87ffa,0xf13fff80,0xffa803ff,0x40fff56f,0xff107ffa,0x4000007f,
    0x40007ffa,0x0001fff9,0xfd89ffb0,0xffb0004f,0x1013fee5,0x03ffcdff,
    0x0001ffea,0x44fffb80,0x7005fffc,0x3fe00bff,0xffff102f,0x7ffc0005,
    0xfff70004,0x81ffea01,0x0330fffc,0x20071000,0xff500099,0x7fdc000f,
    0x6ffb8007,0x8027ffcc,0x0003fff8,0x7dc1fffb,0x00bff75f,0x7fccbffe,
    0x7ff4402f,0x7ffcc03f,0x3fe60002,0x24ffc81f,0x7fff06ff,0x2007ffe2,
    0xffabfffc,0x41ffea07,0x0003fff8,0x01ffea00,0x03fff300,0x9ffea000,
    0x0001fff8,0x3ff69ff5,0x98ffe802,0x7fc405ff,0x4006001f,0xfd06fff9,
    0xff7007ff,0x0bffe00b,0x001ffff4,0x0013ffe0,0xa807ffdc,0x3ff207ff,
    0x0000330f,0x20000071,0x20007ffa,0xb8007ffb,0xfffc85ff,0x3fff8801,
    0x6fffa800,0xffbaffdc,0x25fff005,0x9802fff9,0x2601ffff,0x20002fff,
    0xf981fff9,0x207ff57f,0xfff13fff,0xffff1003,0x7d40fff7,0x7fff107f,
    0x7d400000,0x7cc0007f,0x200001ff,0xdff51fff,0xaffc4000,0xff9007ff,
    0xf007ff73,0x3f600bff,0x3ffa207f,0xffff100f,0x05ffb801,0xf905fff0,
    0xf0000bff,0x2e0009ff,0xff500fff,0x0ccfd00f,0xfc9c4000,0xffffffff,
    0xffffffff,0x7dc00001,0xffb8007f,0x0effe885,0x01fffc40,0x20ffff40,
    0xbff75ffb,0x4cbffe00,0xf9002fff,0x7fcc0dff,0x3e60002f,0x3ffd01ff,
    0x3fe01ff9,0x03fff13f,0x3ffffea0,0x1ffea07f,0x001fffc4,0x0fff5000,
    0x1fff9800,0x3ff20000,0x0005ffb4,0x5ff9ffe8,0xf97ff500,0xfff7003f,
    0x4fffa803,0x00bfff60,0xb80dfff7,0xfff005ff,0x06fffa85,0x09fff000,
    0x03ffee00,0x2203ffd4,0x0000665f,0x7fffe4e2,0xffffffff,0x001fffff,
    0x03ffdc00,0xa82ffdc0,0x7c404fff,0x3a6003ff,0xffb85fff,0x200bff75,
    0xfff32fff,0x7fff4005,0x05fff304,0x0fffcc00,0x5ffcffc8,0x7c4fffe0,
    0x3f2001ff,0x2a07ffff,0xfff107ff,0x54000007,0x4c0007ff,0x00001fff,
    0x3fe3bfe2,0xffc80007,0x3e003ffc,0x2007fedf,0xf102fffe,0x3ee03fff,
    0xffb005ff,0x2ffdc09f,0x262fff80,0x0000efff,0x0009fff0,0x5403ffee,
    0x27d407ff,0x71000033,0x3ffffff2,0xffffffff,0x00001fff,0x4003ffdc,
    0x3f605ffb,0x3fe201ff,0x999999cf,0xffffdcaa,0x75ffb80e,0x3fe00bff,
    0x05fff32f,0x17fffc40,0x4cdfffcc,0x99999999,0x3fff3099,0x3ffffe60,
    0x44fffe03,0x22001fff,0x207fffff,0xff107ffa,0x4000007f,0x40007ffa,
    0x0001fff9,0x7fe7ff40,0xffa80004,0x36001fff,0x2004ffff,0xabdffff9,
    0x03ffffeb,0x001dfff3,0x407fffe2,0xff005ffb,0x3fffe25f,0x9999999a,
    0x99999999,0x0013ffe1,0xa807ffdc,0x3fea07ff,0x33333661,0xcccccccc,
    0x003ccccc,0x40000000,0xb8007ffb,0x3fe205ff,0xfff100ef,0xffffffff,
    0x1dffffff,0x7dd7fee0,0x5fff005f,0x000bffe6,0x981ffff7,0xffffffff,
    0xffffffff,0x403fff34,0x200ffffe,0xfff13fff,0xfffa8003,0x1ffea07f,
    0x001fffc4,0x0fff5000,0x1fff9800,0x7fd40000,0x80001fff,0x007ffff8,
    0x017fffdc,0x3ffffa60,0x03ffffff,0x0007fffa,0x701ffff5,0x3fe00bff,
    0xfffff32f,0xffffffff,0xffffffff,0x80027ffc,0xf500fffb,0x0075c0ff,
    0x00000000,0xf7000000,0xff7000ff,0x4fffa80b,0xffffff10,0xffffffff,
    0xffb805df,0x200bff75,0xfff32fff,0xfffb0005,0xfffff98d,0xffffffff,
    0xfff34fff,0x2fffe403,0x7c4fffe0,0xfc8001ff,0x3fea07ff,0x07fff107,
    0x7fd40000,0x7fcc0007,0xf800001f,0x00006fff,0x0013fffa,0x001ffff3,
    0x3ffffb20,0x3f200cff,0xf90003ff,0xbff70bff,0x4cbffe00,0xffffffff,
    0xffffffff,0x3fe7ffff,0xff70004f,0x1ffea01f,0x00000010,0x00000000,
    0x007ffb80,0xd805ffb8,0xff881fff,0xffffffff,0x7001ceef,0x17feebff,
    0xf997ffc0,0xf88002ff,0x3fe64fff,0xffffffff,0x34ffffff,0x7cc03fff,
    0x7ffc02ff,0x003fff13,0x40ffff10,0xff107ffa,0x4000007f,0x40007ffa,
    0x0001fff9,0x03fffc80,0x3fff2000,0x6fff8002,0xaa988000,0x6fffa801,
    0x7fff4000,0x802ffdc2,0xfff32fff,0xffffffff,0xffffffff,0x027ffcff,
    0x00fffb80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x800a8000,0x01bdeca8,0x5e76dcc4,0xdca98001,0x4002bcee,
    0xbeefecb9,0xeeeca881,0x3726001c,0x8002bcee,0x02ceedb9,0x54006aa6,
    0x32e200aa,0x8002cdee,0x2cdeecb8,0x54cfffe0,0x1555001a,0x5100aaa6,
    0x8059bdb9,0x54401aaa,0x554400aa,0x5cc15531,0xa880aced,0xa983deec,
    0x37b6e60a,0x0555102c,0x260aaa80,0xaaaaaaaa,0x0aaaaaaa,0xa9803553,
    0x42aa61aa,0xaa82dec9,0x5555002a,0x0205554c,0x00020400,0x01000000,
    0x00013310,0xa8800262,0x262ceedc,0xffd700ff,0x07ffffff,0xfffffff7,
    0xfb1001bf,0xffffffff,0xffe8803d,0x5fffffff,0x3fffffea,0x3a601eff,
    0xffffffff,0xfffc800e,0x81efffff,0xf8805ffc,0xfff701ff,0x03dfffff,
    0x3ffffee0,0xff81efff,0x00bff93f,0x3ee3fff1,0x3ffea07f,0x01efffff,
    0xfa80bff9,0x7fe403ff,0x3f67ff73,0x21ffffff,0xffffffe8,0x64ffee0e,
    0xefffffff,0x017ffc40,0x7dc7ffa8,0xffffffff,0x72ffffff,0x7fd40bff,
    0x4d7fe45f,0x5c6fffff,0x7e404fff,0x3fff21ff,0x70007ea0,0x0016fc1d,
    0x36a00000,0x03ffc806,0x3ffff220,0x3fea00cf,0xbfffffff,0xfff905fe,
    0xfffffdff,0x7ffffe49,0x01effffe,0x3bffffea,0x1ffffffe,0xdfffff50,
    0xbbfffffd,0xffdfffff,0xfd103fff,0xfffddfff,0x3f6205ff,0xfffeffff,
    0x2ffe41ff,0x40fffc40,0xfefffffe,0x7404ffff,0xffefffff,0x7ffc4fff,
    0x100bff93,0x3fee3fff,0xfffff907,0x07fffffd,0x6401fff3,0x7fc05fff,
    0xfb7ff71f,0xffffffff,0xffffff31,0x7fdcbfff,0xffffffcb,0x7ec0ffff,
    0x9ffb004f,0xffffffb8,0xffffffff,0x20bff72f,0xfc85fffa,0xfffffebf,
    0x01fffd83,0xfc87fff5,0x3fff30ff,0x4b7ffae6,0xfff0effb,0x0000017d,
    0x1bffee20,0x800fff20,0xfffffffd,0xfffffb06,0xdffffffd,0x5dfff701,
    0x67ffecc1,0x540cfffd,0x3fe07ffe,0xffc882ef,0xefff885f,0xffffd881,
    0x7f540cff,0x77fec0ff,0x37ffdc41,0x21dfffc8,0x20fffeb8,0xf8805ffc,
    0x7ffe41ff,0x7fff4c1d,0x1bfff903,0x23fffe98,0xbff92fee,0x23fff100,
    0xffb87ffb,0x7fecc1df,0x02fff82f,0x981ffffa,0x3ffee6ff,0xff711bff,
    0x4c3bffdf,0xff72fffe,0x2a239fff,0x7d44fffd,0xfff8807f,0x4ccccc41,
    0xff999999,0x217fee5f,0xf905fffa,0xfb9dffff,0x0dfff101,0xf90bfff1,
    0x3ffa21ff,0xffffffef,0x3e5fffff,0x01cfffff,0xffb30000,0xf900dfff,
    0x3fea007f,0x85ffb30c,0x221efffb,0x885fffeb,0x3200ffff,0x03ffffff,
    0x7d41fff4,0x7fe401ff,0x02ffdc0f,0x07ffffe2,0xff89ffd0,0x3ffea02f,
    0x027ffcc1,0x7e47fff3,0xfff8805f,0x00fffe61,0xf981fffb,0x7fec03ff,
    0x7e47ee1f,0xfff8805f,0xf88fd531,0x7fe404ff,0x104ffc86,0x203fffff,
    0x3fee4ffb,0xfff902ff,0x3ffe209f,0x03ffff74,0x3e1fffa2,0x7fdc02ff,
    0x3fe20006,0x22ffdc6f,0x3205fffa,0x0041ffff,0xfd87fff5,0x199880ff,
    0x7fffff44,0xffffffff,0x7fff5c45,0x00002eff,0xdfffffd5,0x7ff90017,
    0x261bb600,0x3ffe25ff,0x3fffe604,0x00fffdc1,0x02fffff4,0x3a07ffcc,
    0xff9805ff,0x017ff40f,0x4027ffe4,0x3fe67ff9,0x42dee807,0xfd806ffc,
    0x017ff26f,0xfe87ffe2,0xfff8806f,0x4037ff44,0x9f64fff8,0xf8805ffc,
    0x323741ff,0xffd006ff,0x706ffa87,0x209ffbff,0x3fee1ffe,0x3ffea04f,
    0x57ff200f,0x5404fffb,0x7fe40fff,0x01fff405,0x0effe880,0xff52ffdc,
    0xfffc80bf,0xfffd8004,0x005fff71,0x2bbffe60,0x0ffff710,0xfffffda8,
    0x644000bf,0x1dffffff,0x01ffe400,0xb1ffcc00,0x7fc40fff,0x7fec5fff,
    0xffff5004,0x0fffa003,0xf1001531,0x03a983ff,0x001fff70,0x7fc47ffa,
    0x3f60003f,0x2bc9803f,0x22017ff2,0xfff11fff,0x9ffee003,0x9002fff8,
    0xc97e6fff,0xff8805ff,0x3fe2fc1f,0xdff7002f,0xd80fff88,0x886ff9ff,
    0x7ffdc7ff,0x13ffe201,0x3eedff70,0x7fcc00ff,0x07ffcc1f,0x000fff98,
    0x703fffb0,0x3ffeabff,0x1fffc804,0xeffe8800,0x0004fff9,0xf981bfea,
    0xfc8800ff,0x01dfffff,0x7ffffecc,0xf90000bf,0xfb00007f,0x01fffc1f,
    0x1fff7dfd,0xf0017ff4,0x7e400fff,0x7d40004f,0x220001ff,0x36007ffc,
    0x3fffa2ff,0x7fc000ad,0x3f20000f,0xfff8805f,0x400fff31,0xff30fff9,
    0x7ffcc00f,0x3ff20efb,0x1fff8805,0xfff98bee,0x0fff5000,0xdff07ffb,
    0xff503ffe,0x00fffb89,0x2a01fffc,0x0fff76ff,0x3a07ffe0,0xbff903ff,
    0x3fff6000,0xf3bff702,0x3f200bff,0xf30000ff,0x00dfffff,0x401ffd80,
    0x54003ffb,0x3efffffe,0x3ffffae2,0xc80002df,0x220003ff,0x3fe64ffe,
    0x11ff900f,0x3fe23fff,0x3ffa001f,0xcccccccf,0x05ffdccc,0xffb97510,
    0x22003fff,0xffffedba,0xcccccccf,0x24ffeccc,0xeffffffa,0x3ffc401b,
    0x17ff2000,0x5c7ffe20,0x3e2006ff,0x0dff71ff,0x6ffffc40,0x402ffe40,
    0x7f71fff8,0xcccfffa8,0xdccccccc,0x7fdc0fff,0xfda7fcc5,0x217fec2f,
    0xff807ffb,0xb7fd402f,0xff006ffb,0x0dff705f,0x2000bffa,0x2e03fffc,
    0x6ffffeff,0x00fff900,0xfffffc80,0x37fc0000,0x002ffc40,0xfffffc98,
    0x9ffffff6,0xeeed8001,0xeefffeee,0x205eeeee,0x7d44fffa,0x45ff507f,
    0xfff32ffe,0xffffd800,0xffffffff,0x2e06ffff,0xfffffffe,0x7101ffff,
    0xfffffffb,0xffffffff,0xffffffff,0xffff98bf,0x80cfffff,0x40007ffa,
    0xf8805ffc,0x0bff91ff,0xf92fff80,0xfff800bf,0x00bff904,0x7ffbfff1,
    0xffffff70,0xffffffff,0xff883fff,0xfb8ffdc7,0x5c3ffc4f,0xfff806ff,
    0xbb7fd402,0xfff005ff,0x81fff105,0xb8007ff9,0x7dc04fff,0x4fffffff,
    0x005ffc80,0x03fffe80,0x027fcc00,0x0000fff8,0x7dbffee2,0x20003fff,
    0xfffffffe,0xffffffff,0x5fff706f,0xf10dff70,0x73ffe89f,0xfd800fff,
    0xffffffff,0x7fffffff,0xffffffa8,0xfffacfff,0xfffff981,0xffcbefff,
    0xffffffff,0x86ffffff,0xfffffeb8,0x7fdc2fff,0x7fe40006,0x1fff8805,
    0xf800bffb,0x0bffb3ff,0x903fff80,0xff100bff,0x3f2017bf,0xffffffff,
    0xffffffff,0x361ffe82,0x99bfe67f,0x5ffb85ff,0x402fff80,0xbff76ffa,
    0x40bffe00,0x7fe43ffd,0x7ffd4004,0xffffb805,0x401fffcc,0x40005ffc,
    0x006ffff8,0x802ffc40,0x220006ff,0xff6ffffc,0x00019fff,0xfffffffd,
    0xffffffff,0x1dffb0df,0x3a1bff20,0x54ffd86f,0xfe800fff,0x999999ef,
    0x19999999,0x6fffffd4,0x3ffe209b,0x7ffffd41,0x37fdc1ac,0xdb880000,
    0x23ffffff,0x40007ffa,0xf8805ffc,0x0bff91ff,0xf92fff80,0xfff800df,
    0x00bff902,0xb803fff1,0x400006ff,0x17fe3ffc,0x3ff21fff,0x805ffb82,
    0x7d402fff,0x00bff76f,0x7d40bffe,0x00fffc6f,0x01dfff30,0x749fff70,
    0x7fe406ff,0x7fec0005,0x40003fff,0xff9807fe,0xffda8004,0xfd52efff,
    0x005bffff,0x4cccccc4,0x9999cffc,0x6ffec099,0x91ffee00,0x5ffd01ff,
    0x8003ffe6,0x80006fff,0x401ffff8,0x7fc1fff9,0x7fdc01ef,0x30000006,
    0x7ccdfff9,0x901000ff,0xff500bff,0x01bfee3f,0xf71fff88,0x7fc400ff,
    0x0bff901f,0x803fff30,0x00007ffa,0xffab7fcc,0xfe97fe43,0x05ffb80f,
    0x5402fff8,0x0bff76ff,0xf80bffe0,0x0dff51ff,0x07fff440,0x545ffb80,
    0x3f204fff,0x3ee0005f,0x01fffdff,0x013ff200,0x22003ffd,0xcffffffb,
    0xffffb301,0x400017df,0xf9003ffc,0x999999ff,0x5c7ffea7,0x3fff01ff,
    0x88017ffc,0x3000ffff,0x03fff303,0x543fff50,0xfc802fff,0x0266007f,
    0x3ff20026,0x03fff10f,0x7dc7bfe0,0xfffb805f,0x001fff31,0x7cc3ffea,
    0xff5000ff,0x17fee01f,0x007ffee0,0x4003fff1,0xc8fff801,0x67fd41ff,
    0xff705ff9,0x05fff00b,0xff76ffa8,0x0bffe00b,0xffb4ffc8,0x3ffa2007,
    0x3fee001f,0x01fffc85,0x2000bff9,0xffd4fff8,0x7fcc000d,0x7ffd884f,
    0xffffd980,0x91000bff,0x39ffffff,0x07ff9000,0xffffff10,0x3e2dffff,
    0x03ff9aff,0x7f41fff3,0xfff9005f,0xfff1007f,0x803ffdc9,0x3f21fffc,
    0xffe8806f,0xfff8801f,0x100dff94,0x7ffc3fff,0x0fff9804,0xf900dff7,
    0x3ffe23ff,0x4dffd004,0xd004fff8,0x7fdc0bff,0x1fffc806,0x005fff80,
    0x7e40fffb,0xf887feaf,0x703ffbef,0xfff00bff,0x76ffa805,0x3fe00bff,
    0x3bfe602f,0xb000fff8,0xb8005fff,0xfff885ff,0x00bff906,0xf89bffa0,
    0xf90004ff,0xfb9bdfff,0x7105ffff,0x5dfffffd,0xffea8000,0x2002efff,
    0xc9803ffc,0xcccccccc,0x3b7ffe3c,0x1fff605f,0x9805fff5,0x00ffffff,
    0xf70fffe4,0xffa803ff,0x3fff22ff,0x7fffec00,0x7ffec00e,0x805fff50,
    0x7fdc7ffb,0x2ffec00f,0x4c05fff5,0x3f21ffff,0x7fd400ff,0x07ffe43f,
    0x80fffea0,0x2602fffa,0xb801ffff,0x7d401fff,0x3fea04ff,0xffd05ffd,
    0x3ee01ffd,0x2fff805f,0xfbb7fd40,0x5fff005f,0xffcffe80,0x7fff9005,
    0x0bff7000,0x3213ffea,0xfb8005ff,0x7ffdc1ff,0x7ffe4002,0xffffffff,
    0x3f22ffff,0x01cfffff,0x7fecc000,0xc803ffff,0x000003ff,0x03bffff2,
    0x6c1fffcc,0xff502fff,0x03dfffff,0xf51bffea,0x7fcc09ff,0x3fea2fff,
    0x3fff203f,0xf700efff,0x7ffc4bff,0x9fff100e,0x103dffd0,0x7c43fff7,
    0xff980fff,0x3fe21fff,0xfff501ef,0x3dfff10d,0x01bffea0,0x260dfff1,
    0x001fffff,0x2205fffd,0x7c01ffff,0xf903ffff,0x7dc0dfff,0x2fff805f,
    0xfbb7fd40,0x5fff005f,0xfffffb80,0x3fffb802,0x0bff7000,0x320fffec,
    0x7cc005ff,0xfffd04ff,0x50eeeb81,0xffd59fff,0xffd3bfff,0x3ffffe1f,
    0x4000000b,0x06ffffc8,0x0003ffc8,0x3fffe200,0x0dfff503,0x2f7fffe6,
    0x9efffdba,0xabcffff9,0x80fffffc,0xa9befffe,0xffefffeb,0x3bfffa23,
    0xefffdb9b,0xbdffff98,0x0effffca,0x567fffdc,0x1ffffbaa,0xbcffff98,
    0x83ffffda,0xcbdffffc,0x1ffedffe,0x5e7fffd4,0x1ffffdba,0x79ffff50,
    0x3ffffb75,0xbffff900,0xfdbffd97,0x3fe6003f,0xfebabdff,0xfd803fff,
    0xff501fff,0x7fdc07ff,0x02fff805,0xffbb7fd4,0x05fff005,0x07ffff88,
    0xedffff98,0xeeeeeeee,0x0bff75ee,0x3237ffc4,0x7f4005ff,0x3ffe606f,
    0x907ffe45,0x09aa989f,0xeff8bfa2,0x00000002,0xf900dfd5,0x8000007f,
    0xacfffffb,0x00ffffdb,0x3fffffa2,0x260effff,0xfffffffe,0xff301fff,
    0xffffffff,0x98bff719,0xffffffff,0x7ff444ff,0xefffffff,0xfffff900,
    0x01dfffff,0x7fffff4c,0xb104ffff,0xffffffff,0x2a07ff6b,0xfffffffe,
    0x7d401eff,0xffffffff,0xfb1001ef,0xbfffffff,0x98007ff6,0xfffffffe,
    0xf7003fff,0x7fc40fff,0x3fee01ff,0x02fff805,0xffbb7fd4,0x05fff005,
    0x009fffb0,0xfffffff3,0xffffffff,0x017feeff,0x7e49fff7,0x3ff2005f,
    0x7ffdc01f,0x703fff22,0x1c851000,0x00000000,0x59950093,0x7c400000,
    0xffffffff,0x7002efff,0x9dfffffd,0x3fffb220,0xc8803fff,0x1dffffff,
    0xb103ffe6,0x3bdfffff,0x3fffb220,0xd9802eff,0x4effffff,0x3ffff200,
    0xfb801eff,0x364effff,0xff9101ff,0x0059dfff,0x7ffffe44,0xf70002ce,
    0x6c9dffff,0xec8001ff,0x0cffffff,0x17ffe200,0xb80dffd0,0xfff805ff,
    0xbb7fd402,0xfff005ff,0x3fff5005,0xfffff300,0xffffffff,0x3feeffff,
    0x1fffd805,0x2a00bff9,0xfd004fff,0x3fff21ff,0x00000000,0x00000000,
    0x80000000,0xfffb8efe,0x0003ffff,0x260006a6,0x9880019a,0x440001aa,
    0x44000aa9,0x880009a9,0x40001aa9,0x80009a98,0x80000aa8,0x80000a98,
    0x00000a98,0x00002aa2,0x01aa9880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c0fd880,
    0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000018,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00200080,0x0000aa98,0x0003332a,0x0004d54c,0x98800331,
    0x80262000,0x3ffa01aa,0xffffffff,0xd6ffffff,0xffffffff,0xffffffff,
    0x5c02a60d,0xfff50eee,0x44fffe65,0x15504fff,0x22204440,0x00110008,
    0x22044440,0x2aa08880,0xaaaaaaaa,0x11111110,0x11111111,0x41111111,
    0xff70ddda,0xffffffff,0xffffffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x117fe200,0x2ffc4dfd,0xec8037f4,0x003e8800,
    0x40007ffd,0x4000fffc,0xcffffffb,0x3fffa600,0xfd9100df,0xe8807fff,
    0x80ffe05f,0xfffffffe,0xffffffff,0xfffffd6f,0xffffffff,0xffa8dfff,
    0x7fe41eff,0x25fff50f,0xff13fff9,0x01ff509f,0xfe8bfff6,0xffb501ff,
    0x570059ff,0x7f43fff2,0xd97ffc3f,0xffffffff,0xfffff71f,0xffffffff,
    0xffffffff,0x5c3ffee3,0xffffffff,0xffffffff,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffb0000,0x7dc1ffc8,0x01ffd42f,
    0x8803bff2,0x7d403ffe,0x320007ff,0x2e000fff,0xfffeefff,0xfffff705,
    0xffd01fff,0x205fffdf,0x3e05fff9,0x3fffa02f,0xffffffff,0xfd6fffff,
    0xffffffff,0xdfffffff,0x7fefffd4,0x43fff21f,0xff32fffa,0x13ffe27f,
    0x3e603bf2,0x7ffc44ff,0xfffffc85,0x4c1cffff,0x1fff92fd,0xfff0fffa,
    0x3fffff65,0xff71ffff,0xffffffff,0xffffffff,0x3fee3fff,0x7777730f,
    0x77777777,0x77777777,0x00000001,0x00000000,0x00000000,0x00000000,
    0x70000000,0x5ffa89ff,0xfe81ffd0,0x3ffee01f,0xfffe880e,0x7fffec02,
    0xfff90002,0x37fe2001,0x103ffa20,0xfd539fff,0x22ffc8bf,0x7e446ff9,
    0xfd0a5fff,0x33310cc3,0x33333333,0x22133333,0x99999999,0xffa99999,
    0x6447ff16,0x43fff26f,0xff32fffa,0x13ffe27f,0xc837fff6,0xfff306ff,
    0x7ffffd43,0xefffffff,0xf92ffffd,0x0fffa1ff,0x3ff65fff,0x1fffffff,
    0x33333331,0x33333333,0x21333333,0x0000fffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf107ffcc,0x3fea01ff,0x2037fcc5,
    0x220efffb,0x4c02fffe,0x006ffeff,0x7ecc0000,0x642ffa80,0x2ffc81ff,
    0x3ff60eea,0x3ff3ffe0,0xfd19ff55,0x000dfb53,0xf9800000,0x3e0df56f,
    0xff53f41f,0x4fffe65f,0x2e04fff8,0x1fff14ff,0xf52ffd40,0xffd957bf,
    0xffffffff,0x43332a3f,0x66642ccc,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd0000000,0x4ffd85ff,0x321ffec0,
    0x7fdc04ff,0xfffe88ef,0xdaffc802,0x000001ff,0x7ff71000,0xff106fe8,
    0x8bff3009,0x32bff0df,0xffffffff,0x00000fff,0x3fe60000,0x3f207f96,
    0xff997e23,0x45fff11f,0x3ea02fff,0x003ff95f,0x07ea1ff9,0x7ffff5c4,
    0x00001eff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0x7ffd46ff,0x07ffcc00,0xb805fff1,0xfffeefff,
    0x56ff8802,0x3bae0bff,0xeeeeeeee,0x0eeeeeee,0xfffecb98,0x027fc3ff,
    0x7fdc0bff,0x3fe040cf,0xfffb9515,0x000379df,0xf9800000,0x3609f76f,
    0xff13ea2f,0xd07ffc1f,0x76e5c3ff,0x00021fff,0x98004c11,0x0002bdcb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x3e21fff9,0xff9002ff,0x00fffb8d,0x7fffffdc,0x47ff7002,
    0xffc80ffe,0xffffffff,0x1fffffff,0x7fffffec,0x3fe23ffe,0xd81bfa04,
    0xff802fff,0x03fffb05,0x00000000,0xff9b7fcc,0xfa87fcc0,0x3637f41f,
    0xf07fe47f,0x009fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x45ffe880,0x22006ffd,
    0x7ff43fff,0xffffc805,0x83ffe003,0xffc84ffb,0xffffffff,0x1fffffff,
    0x46b3fff2,0x27fc3ff9,0x54c0bff0,0x3e00effc,0xfcefc85f,0xeeeed81f,
    0xeeeeeeee,0x0005eeee,0xffb37fcc,0x5c9ff939,0x645fd80e,0x3237dc6f,
    0x0001bcdc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x222fffa8,0x6c003fff,0x7ffe46ff,
    0x3fffa200,0xffa800ef,0x207ffc45,0x99999998,0x99999999,0xa837fc19,
    0x837f43ff,0xf5004ff8,0x22ffc07f,0x1dfd2ffb,0xffffffe8,0xffffffff,
    0x4c0006ff,0x3ff626ff,0x50085fff,0x4c2c9859,0x0000003c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff71bff6,0x3fe6001f,0x0fffe21f,0xfffffe88,0x7ff400ef,
    0x003ffd82,0x85ff8000,0x7ec3fff8,0x22ffc81f,0x5ff88099,0xff897fe0,
    0xfd13fea5,0xffffffff,0xdfffffff,0x6ff98000,0x002ceca8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fff8800,0xe8027ff4,0x2ffec4ff,0x75fffd10,
    0x2601dfff,0xdff306ff,0x06665400,0x512ffc80,0xf887fffd,0xffd98cff,
    0x3217fe26,0x17fe04ff,0xa83d81d1,0xaaaaaaaa,0xaaaaaaaa,0x09980002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x3e20fff9,0x7fd401ff,
    0x807ffcc6,0x2e2fffe8,0xfd80efff,0x0bffa03f,0x007ffe40,0xffffff98,
    0xfb84fedf,0x1fffffff,0x6d5effdc,0x3fe01fff,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x02ffdc4f,0xfe83fff1,
    0xfffd102f,0x1dfff705,0x7007ffc4,0x3f200bff,0x3ea000ff,0xff92efff,
    0x3ffffe60,0xffffd00d,0xff807fff,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe800000,0x817fec1f,0x7fd43ffc,0x0bfff604,
    0x325fffb8,0x7fc405ff,0xfffc801f,0x00998000,0x00135100,0x019bdd95,
    0x00007990,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf88bff30,0x86ff886f,0x3a200eff,0x0efb802f,0x2a002aaa,0x998801aa,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffb80000,0x361ffd42,0x0ffdc0ff,0x15001440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07990000,0x16644997,0x00001664,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_42_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,2,2,3,2,3,3,1,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,1,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,2,1,3,3,3,2,1,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,3,2,1,1,1,1,1,1,2,1,2,2,2,2,2,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_42_latin_ext_y[560]={ 34,7,7,6,4,6,6,7,6,6,6,11,30,22,
30,6,6,6,6,6,7,7,6,7,6,6,14,14,11,15,11,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,39,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,34,14,7,6,11,7,
6,6,6,6,6,15,15,22,6,2,6,11,6,6,6,14,7,18,33,6,6,15,6,6,6,14,0,0,0,1,
1,1,7,6,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,12,6,0,0,0,1,0,7,6,6,6,
6,7,6,6,14,14,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,13,13,6,6,6,6,6,7,6,
2,8,0,7,7,14,0,6,0,6,0,7,0,6,0,7,7,7,2,8,0,7,1,7,7,14,0,6,0,6,
0,7,1,7,6,5,0,0,7,7,0,7,2,8,0,7,7,7,1,14,7,7,0,6,7,7,14,0,0,7,
7,7,7,7,7,7,7,0,6,7,14,0,6,6,6,14,1,8,0,7,0,6,6,14,0,6,7,14,0,6,
0,6,0,6,6,14,0,6,7,7,0,7,7,7,0,7,2,8,0,7,0,6,0,6,7,14,0,6,0,6,
1,0,6,1,7,0,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,10,10,10,10,10,10,10,10,10,10,7,14,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,6,0,6,0,
6,0,6,0,1,0,0,0,0,0,0,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-4,-2,0,6,0,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_42_latin_ext_w[560]={ 0,5,11,21,19,30,24,5,10,10,13,18,5,11,
5,11,19,11,18,19,20,19,19,19,19,19,5,5,18,18,18,19,35,27,22,25,24,22,19,25,22,5,15,24,
18,27,23,27,22,27,25,23,23,23,25,36,25,25,23,8,11,9,17,23,8,19,18,18,18,19,12,18,17,4,
8,17,4,27,17,19,18,18,12,17,11,17,19,27,19,19,18,11,4,12,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,18,20,19,22,
4,19,11,28,14,17,18,11,28,23,11,19,12,12,7,17,21,5,9,8,13,17,30,30,31,19,27,27,27,27,
27,27,36,25,22,22,22,22,8,8,13,11,27,23,27,27,27,27,27,17,27,23,23,23,23,25,22,20,19,19,
19,19,19,19,31,18,19,19,19,19,8,8,13,11,19,17,19,19,19,19,19,19,19,17,17,17,17,19,18,19,
27,19,27,19,30,23,25,18,25,18,25,18,25,18,24,23,27,20,22,19,22,19,22,19,22,19,22,19,25,18,
25,18,25,18,25,18,22,17,27,19,14,13,12,13,12,12,10,9,5,4,23,13,20,12,24,17,17,18,7,18,
9,18,9,18,11,20,9,23,17,23,17,23,17,22,23,17,27,19,27,19,27,19,35,34,25,12,25,12,25,13,
23,17,23,17,23,17,23,17,23,11,23,15,23,10,23,17,23,17,23,17,23,17,23,17,23,21,36,27,25,19,
25,23,18,23,18,23,18,9,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,26,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,31,23,20,20,20,20,20,20,20,20,20,20,20,20,20,29,23,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,27,19,13,13,27,
19,23,17,23,17,23,17,23,17,23,17,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,27,19,36,31,27,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__arial_42_latin_ext_h[560]={ 0,27,10,29,34,29,29,10,36,36,13,19,10,4,
4,29,29,28,28,29,27,28,29,27,29,29,20,26,19,12,19,28,36,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,31,27,29,27,28,27,27,27,27,27,35,29,35,16,3,7,21,28,21,28,21,28,28,27,27,
35,27,27,20,20,21,28,28,20,21,28,21,20,20,20,28,20,36,36,36,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,35,29,19,27,
36,36,5,29,15,18,12,4,29,4,11,23,15,15,7,28,35,5,9,15,15,18,30,30,30,28,34,34,34,33,
33,33,27,36,34,34,34,33,34,34,34,33,27,33,35,35,35,34,34,17,30,35,35,35,34,34,27,29,29,29,
29,28,29,29,21,28,29,29,29,29,28,28,28,28,28,27,29,29,29,28,29,16,23,29,29,29,29,36,35,36,
32,27,34,28,35,28,35,29,35,29,35,28,35,29,34,28,27,28,32,27,34,28,33,28,35,28,34,29,35,36,
35,35,34,35,36,37,34,34,27,27,34,27,32,26,34,27,35,35,33,20,28,35,35,36,35,35,20,34,34,35,
35,27,27,27,27,27,27,34,28,35,28,34,28,28,29,28,34,27,35,28,35,29,29,21,34,28,35,28,34,28,
35,29,35,29,36,28,35,29,38,37,34,28,27,28,35,28,33,27,35,28,35,29,35,29,35,28,34,28,34,36,
33,34,28,33,27,34,28,28,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,29,24,24,36,24,24,24,
24,24,24,24,24,24,24,24,24,24,29,21,24,24,24,24,24,24,24,24,24,24,24,24,24,28,21,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,34,29,34,28,35,
29,35,29,35,34,35,35,35,35,35,35,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,38,37,34,29,36,30,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__arial_42_latin_ext_s[560]={ 510,129,220,254,111,19,96,214,273,262,144,
479,208,298,334,495,374,196,208,235,285,227,428,318,489,94,415,456,460,158,441,
247,398,386,414,178,437,462,485,51,419,505,304,96,121,140,168,473,205,211,103,
154,242,320,266,292,349,1,395,158,19,51,55,340,250,56,267,126,350,231,369,
382,78,73,500,27,507,279,307,163,433,452,382,108,421,145,325,251,395,401,345,
284,316,380,259,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,510,344,49,
233,421,80,393,242,286,204,93,1,177,298,394,310,196,483,498,122,242,286,261,
280,232,135,108,19,239,298,349,118,422,450,478,95,470,442,471,104,1,24,47,
72,70,106,115,498,1,25,209,120,434,275,144,37,270,462,25,148,172,196,29,
448,469,368,255,164,276,141,76,372,354,334,316,296,501,76,42,184,1,135,121,
134,114,125,74,73,1,1,477,459,441,296,172,341,147,244,222,456,325,94,380,
198,424,161,474,53,25,77,250,257,45,21,188,329,321,281,49,329,85,1,344,
31,132,361,246,290,367,333,171,53,393,303,52,375,129,228,175,442,409,192,410,
400,506,503,200,495,446,158,421,272,364,87,79,203,193,367,357,338,306,264,234,
385,438,376,420,274,391,349,50,182,131,214,467,56,1,453,381,21,359,151,167,
138,53,39,352,435,309,417,218,21,222,1,1,72,335,494,190,409,61,145,123,
172,1,476,450,180,108,217,356,72,298,301,248,321,416,224,238,1,153,29,163,
115,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,275,462,462,197,
462,462,462,462,462,462,462,462,462,462,462,462,462,336,183,462,462,462,462,462,
462,462,462,462,462,462,462,462,85,207,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,196,408,
79,224,92,388,68,423,237,93,283,307,1,406,486,191,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,25,84,159,302,130,329,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462, };
static unsigned short stb__arial_42_latin_ext_t[560]={ 1,335,415,247,112,247,217,415,1,1,415,
391,415,415,415,217,217,306,306,217,335,306,247,335,247,247,391,363,391,415,391,
306,1,335,335,247,335,335,335,217,363,335,306,363,363,363,363,183,363,183,335,
247,363,306,363,363,363,363,363,76,217,76,415,415,415,391,306,391,306,391,306,
306,363,363,40,363,217,391,391,391,306,306,391,391,306,391,391,391,391,306,391,
1,1,1,415,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,1,306,40,
247,391,335,1,1,415,247,415,415,415,415,217,415,415,363,391,415,415,306,40,
415,415,415,415,415,183,183,183,306,112,112,112,183,148,148,306,1,148,148,148,
183,148,148,148,148,335,183,40,40,1,148,148,415,183,1,40,40,148,148,335,
247,247,247,217,306,247,217,391,277,217,217,247,247,183,277,277,306,277,335,217,
247,247,277,247,415,391,247,217,217,217,1,40,1,183,335,148,277,40,306,40,
217,40,217,40,306,76,217,148,277,363,277,183,363,148,277,183,277,76,306,148,
217,76,1,76,76,148,76,1,1,148,148,335,363,148,363,183,363,112,363,76,
76,112,363,277,76,76,1,76,76,391,148,148,76,76,335,335,335,335,335,335,
112,277,76,277,112,277,277,247,277,112,335,76,277,112,183,183,391,112,306,76,
306,112,306,76,183,76,183,1,306,76,217,1,1,112,277,335,277,76,277,183,
335,76,277,40,217,76,217,40,306,112,277,112,1,148,112,277,183,335,112,277,
277,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,217,363,363,1,
363,363,363,363,363,363,363,363,363,363,363,363,363,247,391,363,363,363,363,363,
363,363,363,363,363,363,363,363,277,391,363,363,363,363,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,112,247,
112,277,40,247,40,217,40,112,40,40,40,40,1,40,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,
363,363,363,1,1,112,217,1,183,363,363,363,363,363,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,363,
363,363,363,363,363,363,363,363,363, };
static unsigned short stb__arial_42_latin_ext_a[560]={ 167,167,214,335,335,535,401,115,
200,200,234,351,167,200,167,167,335,335,335,335,335,335,335,335,
335,335,167,167,351,351,351,335,611,401,401,434,434,401,367,468,
434,167,301,401,335,501,434,468,401,468,434,401,367,434,401,568,
401,401,367,167,167,167,282,335,200,335,335,301,335,335,167,335,
335,134,134,301,134,501,335,335,335,335,200,301,167,335,301,434,
301,301,301,201,156,201,351,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,167,200,335,335,335,335,156,335,
200,443,223,335,351,200,443,332,241,330,200,200,200,347,323,167,
200,200,220,335,502,502,502,367,401,401,401,401,401,401,602,434,
401,401,401,401,167,167,167,167,434,434,468,468,468,468,468,351,
468,434,434,434,434,401,401,367,335,335,335,335,335,335,535,301,
335,335,335,335,167,167,167,167,335,335,335,335,335,335,335,330,
367,335,335,335,335,301,335,301,401,335,401,335,401,335,434,301,
434,301,434,301,434,301,434,370,434,335,401,335,401,335,401,335,
401,335,401,335,468,335,468,335,468,335,468,335,434,335,434,335,
167,167,167,167,167,167,167,134,167,167,442,267,301,134,401,301,
301,335,134,335,134,335,175,335,201,335,134,434,335,434,335,434,
335,363,435,335,468,335,468,335,468,335,602,568,434,200,434,200,
434,200,401,301,401,301,401,301,401,301,367,167,367,226,367,167,
434,335,434,335,434,335,434,335,434,335,434,335,568,434,401,301,
401,367,301,367,301,367,301,134,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,453,451,451,335,451,451,451,451,451,
451,451,451,451,451,451,451,451,516,394,451,451,451,451,451,451,
451,451,451,451,451,451,451,514,403,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,401,335,167,134,468,335,434,335,434,335,434,
335,434,335,434,335,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,401,335,602,535,468,367,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_42_latin_ext(stb_fontchar font[STB_FONT_arial_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_42_latin_ext_s[i] + stb__arial_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_42_latin_ext_t[i] + stb__arial_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_42_latin_ext_x[i];
            font[i].y0 = stb__arial_42_latin_ext_y[i];
            font[i].x1 = stb__arial_42_latin_ext_x[i] + stb__arial_42_latin_ext_w[i];
            font[i].y1 = stb__arial_42_latin_ext_y[i] + stb__arial_42_latin_ext_h[i];
            font[i].advance_int = (stb__arial_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_42_latin_ext_s[i] + stb__arial_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_42_latin_ext_t[i] + stb__arial_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_42_latin_ext_x[i] + stb__arial_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_42_latin_ext_y[i] + stb__arial_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_42_latin_ext_LINE_SPACING
#endif

