// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT        577
#define STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_49_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_49_latin_ext_LINE_SPACING          32

static unsigned int stb__arial_49_latin_ext_pixels[]={
    0x33330000,0xaaaa8001,0xaaaaaaaa,0xaaaaaaaa,0x4002aaaa,0x18800038,
    0x33310000,0x20000013,0x000aaaa9,0xaa997ffc,0xaa80001a,0x5300002a,
    0x9ddfdb97,0x00000159,0x3bbb32a0,0x00000abc,0x0066664c,0x00055554,
    0x15555510,0x55017ffc,0x00d54403,0x33bb72a0,0x5553001c,0xdd910001,
    0x0155549f,0x440d5540,0xeef81aaa,0x5555002c,0x26000001,0x00004ccc,
    0x80599991,0x00002aaa,0xfffa8000,0x7ffc003f,0xffffffff,0xffffffff,
    0x006fffff,0x8000ffe6,0xd00002fb,0x0000dfff,0x037fff40,0xfc97ffc0,
    0xf80004ff,0x20000fff,0xffffffeb,0xdfffffff,0xc9800002,0xffffffff,
    0x000cffff,0x7ffffc40,0x2fffd805,0xfffd1000,0x02fff89f,0xffc81bfa,
    0xfffd3001,0x03bfffff,0x002fffd8,0xa7ffffd4,0x4005fff8,0xf885fff8,
    0xffff84ff,0x7fec00df,0x8800002f,0x005fffff,0x0ffffc80,0x017ffe20,
    0x3a000000,0xf8004fff,0xffffffff,0xffffffff,0x6fffffff,0x03fff100,
    0x05ffd300,0xffff5000,0x2a000001,0x8000ffff,0xfff92fff,0xfff00009,
    0xfc88001f,0xffffffff,0xffffffff,0x880003ff,0xfffffffd,0xffffffff,
    0x3f60004f,0x403fffff,0x8002fffd,0x84ffffe8,0x3f202fff,0x07ff883f,
    0xffffff50,0x03ffffff,0x0017ffec,0x9ffffff1,0x0017ffe2,0xf10bfff1,
    0xffff09ff,0xffd80bff,0xe800002f,0x03ffffff,0x3fffe200,0x2fffc401,
    0x20000000,0x0006fffa,0xffffffff,0xffffffff,0xffffffff,0x03fea00d,
    0x17ffd400,0x7fff4000,0x3a000002,0xf0001fff,0x3fff25ff,0xfff80004,
    0x3fee000f,0xabceffff,0xffcba999,0x000dffff,0xffffff30,0xffdbbdff,
    0x00bfffff,0xf97fff90,0x7fec05ff,0x7f44002f,0xfff04fff,0x7fffc405,
    0x03fffecc,0xdfffff88,0xfffffdba,0x05fffb00,0x67fffe40,0x0bfff11b,
    0x85fff880,0xba84fff8,0x200ffffc,0x0002fffd,0x65fffe40,0x90001fff,
    0xf1007fff,0x00000bff,0x0fffe800,0x55555000,0xffb55555,0x555555bf,
    0x2e005555,0x3ea0005f,0x540002ff,0x00004fff,0x00fffea0,0xf92fff80,
    0xf00009ff,0x32001fff,0x01cfffff,0x7fffed40,0x7fd4002f,0x809befff,
    0xfffffc98,0x3ffea004,0x403fffa6,0x2002fffd,0x03ffffe8,0xf500bffe,
    0xbfffffff,0x37fff600,0x5fffe880,0x005fffb0,0xf8837ff4,0x7c4005ff,
    0xfff885ff,0x1fffd404,0x005fffb0,0x2fffd400,0x8001fffd,0x1005fff8,
    0x0000bfff,0x7ffd4000,0xc8000001,0x00003fff,0x001777ec,0x0017ffd4,
    0x0017ffa0,0x0bffd000,0x92fff800,0x00009fff,0xb001ffff,0x0005ffff,
    0x5ffffb10,0x3fffe200,0x7f4c004f,0xf8801fff,0x3fe60fff,0xfffd80ef,
    0xfffd1002,0x2fff807f,0xffffd880,0x3ffe002e,0x3ffe600f,0x05fffb07,
    0x00fffe20,0xf8800000,0xfff804ff,0x0bfff605,0x7ffc4000,0x1bffe60f,
    0x01dff900,0x017ffe20,0xec800000,0x0000003e,0x0007fff9,0x03ffff80,
    0x02fffa80,0x037ba600,0xcc880000,0x7fc0000c,0x09fff92f,0x1ffff000,
    0x77fff440,0x7dc00000,0xfd800fff,0x10001fff,0x300dfffb,0x55503555,
    0x5fffb035,0xffffd100,0x05fff007,0x88000880,0xfe805fff,0xfffd81ff,
    0x5fff3002,0x40000000,0xd804fff8,0x3ff606ff,0x5300002f,0x55550355,
    0x05554001,0x0bfff100,0x54000000,0x00000cfe,0x03fffc80,0x7fffc000,
    0xfffa8003,0x00000002,0x30000000,0xff92fff8,0xff00009f,0x7fec01ff,
    0x2000004f,0x5c06fff9,0x0002ffff,0x00ffffcc,0xffd80000,0x7ff4402f,
    0xfff003ff,0x40000005,0xeb806fff,0xfffd81cd,0x3fff3002,0x40000000,
    0xd804fff8,0x3ff606ff,0x0000002f,0x40000000,0x0005fff8,0x9bfb0000,
    0x000001ff,0x003fffc8,0x1ffffc00,0xffeee880,0x001eeeef,0x4c000000,
    0xacdeedcb,0xff27e401,0x13fff25f,0x3fffe000,0x07fff500,0xfa8000c0,
    0x3ffe04ff,0xfb00005f,0x000009ff,0x80bfff60,0x02ffffe8,0x800bffe0,
    0x3fa00019,0xd80001ff,0xf3002fff,0x000003ff,0x27ffc400,0xb03ffe40,
    0x00005fff,0x00000000,0x05fff880,0xf8800000,0x0000fe23,0x07fff900,
    0x20000000,0xfffffff9,0x4c001fff,0x5c400001,0xfffffffe,0xfb82efff,
    0x25fff1ff,0x0004fffc,0xd00ffff8,0xfd700bff,0x64417bff,0x7ffdc2cc,
    0x0ffff980,0xbff30000,0x02f77445,0xd9777540,0xfd102fff,0xf8005fff,
    0x7f5c02ff,0xd10bdfff,0xfff705dd,0xfd80003f,0xff5002ff,0x3bba203f,
    0x77744004,0x04fff884,0x3607ffc8,0x00002fff,0x409ddd10,0x8005eee8,
    0xff12eeea,0xddd500bf,0x3e40005d,0x00000364,0x000ffff2,0x30006200,
    0xffffffff,0x3aa003ff,0x80002eff,0xfffffffa,0xffffffff,0x45fff51e,
    0xfff92fff,0xfff00009,0x1fff701f,0x7ffffd40,0xff50efff,0x07ffd07f,
    0x000bfff9,0x3ffa0180,0x7fec001f,0x05fffb0f,0x05ffffd1,0x205fff00,
    0xfffffffa,0xfff89eff,0x7ffffb03,0x7ffec000,0x3fff5002,0x017ffe20,
    0x10bfff10,0xf9009fff,0x7ffec0ff,0xf1000002,0xffe80bff,0x7fec001f,
    0x0bfff10f,0x04ffffa8,0x3a0fd400,0x64000005,0x00003fff,0x7bfffdb7,
    0x98bbba21,0x99bfffb9,0x26bbe001,0x2e0000fd,0xffffffff,0xfffffedd,
    0x43fffdff,0xfff92fff,0xfff00009,0x2fff881f,0x3ffffee0,0xc8efffff,
    0xffb81fff,0x03ffff86,0x3ee00000,0x3e2004ff,0x3fff65ff,0x7ffff442,
    0x5fff0002,0xffffff50,0xf5ffffff,0x3fa207ff,0x8000dfff,0x5002fffd,
    0x3e203fff,0x7c4005ff,0xfff885ff,0x07ffc804,0x000bfff6,0x2fffc400,
    0x013ffee0,0x225fff88,0x3ea05fff,0x00004fff,0x00bee1bf,0xfff90000,
    0xfe880007,0xefffffff,0xa83fff89,0xb8002fff,0x8001fc0f,0x9cfffffd,
    0xffffb300,0xfff09fff,0x013fff25,0x03fffe00,0x7e40bff9,0x988adfff,
    0x7ffeeffe,0x4c5fff10,0x0002ffff,0x3ffe2000,0x3ffee007,0x88bfff62,
    0x001ffffe,0xf30bffe0,0x2215dfff,0xffffffea,0xffffd103,0xfd8007ff,
    0xff5002ff,0x3ffe203f,0x7ffc4005,0x04fff885,0x3607ffb8,0x00002fff,
    0x80bfff10,0x2007fff8,0x3e22fffb,0xfff505ff,0x5c00007f,0x0006ffff,
    0x3fffc800,0x3ffea000,0xffffffff,0xa83fffaf,0xd8002fff,0xb8006d87,
    0x002fffff,0x1bffffaa,0xffc97ffc,0xff80004f,0x17ffc0ff,0x03ffffa8,
    0x1bfffff6,0x3ea3ffd8,0x00000fff,0x17ffec00,0x6c7ffe80,0xffd12fff,
    0xf80009ff,0x7fff42ff,0x3fff200d,0xfffb83ff,0x1efffffe,0x05fffb00,
    0x403ffee0,0x4005fff8,0xf885fff8,0xffb804ff,0x5fffb00f,0x3e200000,
    0xffd805ff,0xfffd002f,0x985fff88,0x0003ffff,0x37fffd40,0x7e400000,
    0xf30003ff,0x2215dfff,0xffffffda,0x02fffa83,0x3e21fa80,0x7ffc4003,
    0xf88000df,0xff81ffff,0x09fff92f,0x1ffff000,0xe883ffcc,0x7c403fff,
    0x3204ffff,0x3ffee4ff,0x80000007,0x9805fffa,0x7fec4fff,0xffffe8af,
    0x3e0001ff,0x3ffea2ff,0xffffb006,0x52fffe87,0x09ffffff,0x005fffb0,
    0xf881ffee,0x7c4005ff,0xfff885ff,0x0fffa804,0x005fffb0,0x3ffe2000,
    0x5fffa805,0x44fff980,0x7cc5fff8,0x00003fff,0x1fffffd8,0x7e400000,
    0xfb0003ff,0x7e401bff,0xfa83ffff,0xff0002ff,0x8001fd57,0x0007fffe,
    0x17fffff6,0x7fe4bffe,0xff80004f,0x13ff20ff,0x802fffe4,0x202ffffb,
    0x3ff25ffb,0x0000005f,0x801ffff0,0x7ec1fffc,0xffffebff,0x0000ffff,
    0x7fe45fff,0xfff3002f,0x0fffd47f,0x3fffff62,0x3fff601e,0x0dffb002,
    0x002fffc4,0x2217ffe2,0xf9804fff,0xfffb02ff,0x22000005,0xff005fff,
    0xffc801ff,0x2fffc41f,0x007ffff3,0xffff1000,0x000009ff,0x003fffc8,
    0x006fff98,0x507ffffb,0x20005fff,0x001dffd9,0x017fffcc,0xffeffd80,
    0x97ffc1ff,0x0004fffc,0x3e0ffff8,0xfff881ff,0xfff5001f,0x37fd401f,
    0x8009fff9,0xffffffff,0xc82fffff,0x7fc03fff,0xffffd86f,0xfffaffff,
    0xfff0005f,0x0037fec5,0xfc8ffff6,0x3ffea04f,0xffb03fff,0xfff3005f,
    0x2fffc407,0x17ffe200,0x4013ffe2,0xffb06fff,0x2000005f,0x9005fff8,
    0xff807fff,0x5fff886f,0x005ffff3,0x3ffee000,0x0000fffd,0x0ffff200,
    0x0bfff600,0x1ffffcc0,0x0017ffd4,0x64000220,0x90006fff,0xfffb1fff,
    0xf92fff8b,0xf00009ff,0x3fe21fff,0x0bfff707,0x03fffcc0,0xffc97fea,
    0x7ffc005f,0xffffffff,0xfff982ff,0x0fffea06,0x3ffffff6,0x7ffff70e,
    0x7ffc0000,0x7ffdc005,0x100bffe3,0x05fffffb,0xb005fffb,0x7c401fff,
    0x7c4005ff,0xfff885ff,0x5fff9004,0x005fffb0,0x3ffe2000,0xdfff3005,
    0x41fffd40,0xff9dfff8,0x000003ff,0x3feb7ffa,0x2000003f,0x8003fffc,
    0x6c006fff,0xffa83fff,0x4c40002f,0xffff8000,0xfffb8001,0x43ffff51,
    0xfff72fff,0xfff00009,0x41bfe61f,0x2001fffe,0x5c05fff8,0x3ffee4ff,
    0x7fffc006,0xffffffff,0x1fffd02f,0x203fff60,0x0efffffd,0x00ffffec,
    0x27ffc400,0x4fffea00,0x5003fff8,0xd83fffff,0xd7302fff,0xf8807fff,
    0x7c4005ff,0xfff885ff,0x3fffa004,0x5fffb0ad,0x3e200000,0x3fa005ff,
    0xfffb00ff,0xfdfff101,0x000bffff,0x2bffe600,0x0006fff8,0x0ffff200,
    0x0bfff100,0x83fffb80,0x4002fffa,0xfffffecb,0x7fd402de,0xffa8007f,
    0x17fffc2f,0x3fee5fff,0x7c40004f,0xdff50fff,0x00ffff10,0x404fffa8,
    0x3fea2ffc,0x6664007f,0xfecccccc,0xfff702ff,0x0bfff107,0x03bffff6,
    0x03bfffe2,0x7fff5000,0x3fff9800,0x9801bffe,0x7ec5ffff,0xfffb02ff,
    0xfff1005f,0xfff8800b,0x04fff885,0x3ffff620,0x005fffb2,0x3ffe2000,
    0x3ffee005,0x05fff883,0xfffffff1,0x00005fff,0x361fff90,0x00001fff,
    0x007fff90,0x004fff98,0x541fffd4,0xd3002fff,0xffffffff,0x3201bfff,
    0x4c006fff,0xffc83fff,0x54bffe3f,0x40005fff,0x3ee7fff8,0x6fff985f,
    0x17ffdc00,0xf983ffe0,0x00000fff,0x8817ffec,0xffa86fff,0xdfffb02f,
    0x7fffd401,0x7fdc0004,0x7fc4002f,0x0bfff63f,0x47fff980,0xfb02fffd,
    0x3e2003ff,0x7c4005ff,0xfff885ff,0xfffc8004,0x005fffb2,0x3ffe2000,
    0x3ffe2005,0x02fffa86,0x9ffffff1,0x0001ffff,0x2a6fff80,0x00004fff,
    0x007fff90,0x003fffb8,0x541fffcc,0xfb802fff,0xffffffff,0x80ffffff,
    0x2005fffc,0xf704fff9,0x97ffc9ff,0x0005fff9,0xf93fffcc,0xbfff509f,
    0x0fffd800,0x3e1ffe60,0x00003fff,0xb017ffec,0xffd83fff,0x0bfff607,
    0x0bffff60,0x3fffb800,0x1fffcc00,0x007ffff5,0xfb0ffff4,0x3ff605ff,
    0xff8801ef,0x7fc4005f,0x4fff885f,0x7fffd400,0x005fffb2,0x3ffe2000,
    0x7ffec005,0x103ffec1,0x365fffff,0x00005fff,0xff13ffea,0x000001ff,
    0x8007fff9,0x4002fffb,0xfa83fff8,0x7fd402ff,0x74c41cff,0xfd83ffff,
    0xfd1004ff,0x7ffdc0bf,0x7c4bffe5,0x540006ff,0x3ff26fff,0x03fffa84,
    0x203fff40,0xffc85ffd,0x6c00006f,0x3ea02fff,0x3ffe24ff,0x0bfff604,
    0x3ffffa20,0xfff30000,0xfffa8009,0x6ffffe43,0x1fffa800,0x540bfff6,
    0x401ffffe,0x4005fff8,0xf885fff8,0x3f2004ff,0xffb0dfff,0x2000005f,
    0x4005fff8,0x3e24fffa,0x3fe204ff,0x3ffe21ff,0xfb00002f,0xfffc83ff,
    0xfc800003,0x7dc003ff,0x7cc003ff,0xfffa83ff,0x17ffec02,0x43fffdc0,
    0x8803fffe,0x7d405ffe,0x8bffe7ff,0x0000ffff,0xfb97ffee,0x4fff985f,
    0x17ffee00,0x981fff98,0x0001ffff,0x00bfff60,0x7fdcffff,0x3fff601f,
    0xffff3002,0x3fe2000d,0x7fdc005f,0xffffd83f,0x7ffdc03f,0x00bfff60,
    0x401fffd1,0x4005fff8,0xf885fff8,0xff3004ff,0x5fffb09f,0x3e200000,
    0xff8005ff,0x07ffee7f,0xb85fff88,0x0000ffff,0x4c37ffc4,0x00006fff,
    0x003fffc8,0x0027ffcc,0x2a0fffea,0x3e602fff,0x3fa005ff,0x7fffc0ff,
    0x0effd802,0xf3fffcc0,0x7fffc5ff,0x3ffa0001,0x41bfea3f,0xf1005fff,
    0x7f407fff,0x3fffa04f,0xfb00000e,0xffc805ff,0x80dffb1f,0x2002fffd,
    0x404ffffc,0x3ffe1eed,0x3ff6000f,0xffff903f,0x3ffa03df,0x017ffec6,
    0x101fffd4,0x8800bfff,0xff885fff,0xfff9004f,0x05fffb01,0x3fe20000,
    0xffc8005f,0x80dffb1f,0xfd05fff8,0xb8000bff,0xffd03fff,0xc800003f,
    0x44003fff,0x5c005fff,0xffa83fff,0x3ffee03f,0x3fff6001,0x01ffff41,
    0x2003bff6,0x3fe7fffa,0x17fff22f,0x7fffd400,0x741ffe62,0xff9007ff,
    0x3ff603ff,0x7fffcc06,0xfe880005,0x7fc402ff,0x03fff8bf,0x0017ffec,
    0x80bffffa,0x3ff22fff,0xfff3003f,0x7ffd407f,0x3f624fff,0x7ffec1ff,
    0x0bffd002,0x002fffc4,0x2217ffe2,0xff004fff,0x3fff607f,0xf1000002,
    0xf1000bff,0x7fff17ff,0x05fff880,0x005ffff3,0x807fff40,0x0005fffb,
    0x01fffe40,0x007fffc0,0x507fffd0,0x06009fff,0x83fff900,0x3203fffd,
    0xf7000fff,0x17ffcdff,0x007ffff1,0x88dfffd0,0xffc80fff,0x7ffd403f,
    0x5fffb07f,0xdffff700,0x3fea0001,0xfe802fff,0x00fffaef,0x0017ffec,
    0x03ffffe6,0xff117ffc,0xffb001ff,0xfd8807ff,0xfeaeffff,0xfffd82ff,
    0x0fff9002,0x002fffc4,0x2217ffe2,0xfa804fff,0xfffb01ff,0x22000005,
    0xd0005fff,0x1fff5dff,0x05fff880,0x003ffff2,0x817ffe60,0x000ffff8,
    0x0ffff200,0x0ffff200,0x1ffffcc0,0x567fffcc,0xd980000a,0x7fe41fff,
    0x3fff704f,0x2fffe400,0xffd85fff,0xea800cff,0xfe82ffff,0xffff983f,
    0xfffff901,0x7fff4c1f,0x3fffa005,0xd5000bff,0x03ffffff,0xffdfff50,
    0x5fffb00b,0xffff7000,0x90bffe0b,0x2203dfff,0x03fffffd,0xfffffd50,
    0x3f603bff,0xff7002ff,0x3ffe201f,0x7ffc4005,0x04fff885,0xb00fffb8,
    0x00005fff,0x017ffe20,0x7f7ffd40,0xfff8805f,0x2ffff405,0x17ffe400,
    0x00ffff60,0x3fffc800,0xffff8800,0xffffd800,0xffffff03,0x54c4007f,
    0xffffffdc,0x42fffdc1,0x4002fffa,0x3fe4fffd,0x7fffcc2f,0xba9bceff,
    0x5fffffec,0x2e0dff70,0xb99bffff,0xffffeffe,0x4ffffdce,0x7ffec400,
    0x99abdfff,0xfffffedb,0xf1000dff,0x005fffff,0x0005fffb,0x20fffff6,
    0x7fc42fff,0xca9acfff,0x3fffffff,0x7fffe400,0x7ffec06f,0x1fff5002,
    0x017ffe20,0x10bfff10,0xf9009fff,0x7ffec0ff,0xeeeeeeee,0x4eeeeeee,
    0x017ffe20,0x7ffffc40,0xfff8802f,0x7fffcc05,0x3ffe2002,0x6fffa807,
    0x3ff20000,0xff90003f,0x3f6203df,0xf503ffff,0x409fffff,0xfffffdc9,
    0x1fffffff,0x307fffcc,0xf0007fff,0x7ffc5fff,0xfffffa82,0xffffffff,
    0x2605ffff,0xff902fff,0x9fffffff,0x3ffffffa,0x20002fff,0xfffffffb,
    0xffffffff,0x8001efff,0x007ffffd,0x0005fffb,0x07ffffe2,0xfd105fff,
    0xffffffff,0x05fff9df,0xffffd300,0x17ffec0b,0x01fffa80,0x800bfff1,
    0xf885fff8,0xffc804ff,0x3ffff607,0xffffffff,0x06ffffff,0x0017ffe2,
    0x07ffffd8,0x00bfff10,0x001ffff9,0x4013ffee,0x0002ffff,0x007fff90,
    0x3ffffe20,0xfffca9ac,0x2a03ffff,0xa85ffffe,0xfffffffe,0xfffeefff,
    0x33ffff81,0x50009fff,0xfff8ffff,0xffffb102,0xffffffff,0xffd007ff,
    0x7fffec0b,0x3fee3fff,0x01efffff,0xfffd9800,0xffffffff,0x0003ffff,
    0x013fffe6,0x0017ffec,0x1dffff50,0xfb017ffc,0x9fffffff,0x000bffee,
    0x04ffffd8,0x2005fffb,0xf101fffa,0xf8800bff,0xfff885ff,0x07ffc804,
    0x3ffffff6,0xffffffff,0x2206ffff,0x20005fff,0x004ffff9,0x100bfff1,
    0x200bfffd,0x9001fffe,0x0000bfff,0x000ffff2,0xfffffe88,0xfcefffff,
    0x133002ff,0xffffff50,0x32159dff,0xffb81fff,0x05ffe8ef,0x4ffff880,
    0x2a017ffc,0xffffffec,0x5000beff,0x5cc07fff,0xeb80bdfe,0x2a01bdff,
    0x2e2002aa,0xfffffffe,0x0000acdf,0x001fffe8,0x0005fffb,0x25ffffc8,
    0x5cc02fff,0x2e1bdfec,0x40001fff,0xd81ffffc,0xf5002fff,0x3fe203ff,
    0x7fc4005f,0x4fff885f,0x207ffc80,0xfffffffd,0xffffffff,0x3e206fff,
    0x740005ff,0xf1001fff,0x3ea00bff,0x7cc02fff,0xeeeeefff,0xffeeeeee,
    0x000000ff,0xfff90000,0x2e9fffff,0x40002fff,0xacfffff9,0x07fff200,
    0x3fffffe2,0xff90005f,0x2fff83ff,0x3bfa6200,0x3f60001a,0x000002ff,
    0x02fffd80,0xbff73100,0x3a000001,0x000006ff,0x3ffe0000,0xff900002,
    0xf900003f,0x0bfd07ff,0x01fffa80,0x10005ff3,0x0000bfff,0x0001fff2,
    0x3fe20000,0x7f40005f,0x0000006f,0xffff9000,0xffffffff,0x7fffffff,
    0x00000000,0x6ff65cc0,0x0bffee1b,0xfb055550,0x3a001dff,0xff702fff,
    0x0001dfff,0xf0bffff3,0xfd0005ff,0xff100009,0x000003ff,0x02fffec0,
    0x01ffdc00,0xfff98000,0xf9000003,0xf80019df,0xb00002ff,0xedb81fff,
    0xfff9800f,0x4003ff85,0xf501fff9,0xff10003f,0x7dffb0bf,0x07ffc801,
    0x37bfe200,0xfff88002,0x3fe60005,0x2600003f,0x0002deff,0xffffffff,
    0xffffffff,0x000dffff,0x00355550,0xffc80000,0x3ffe201f,0x00ffff86,
    0x80bfffe0,0x003ffffe,0x0effffa8,0x8002fff8,0x500003ff,0x0007ffff,
    0xfffd8800,0xffb00005,0x800003bf,0x0000fffc,0xfffff900,0x17ffc003,
    0x44009dfb,0xffc86fff,0xfff8803f,0x000ffc46,0x640bffe6,0xff30007f,
    0xffffb09f,0x37fec01f,0xffff1000,0xff98009f,0x3f20004f,0x200000ff,
    0x04fffff9,0x577ffd40,0xaaaaaaaa,0xffffaaaa,0x7fec0002,0x0000004f,
    0x1007ffec,0xff98dfff,0x3fe2006f,0x3ff602ff,0x8800dfff,0x01fffffd,
    0x88005fff,0x200004ff,0x01effffa,0xfffb8000,0x2a00005f,0x001fffda,
    0x09fff100,0x5d440000,0x3e005ffe,0x3ffee2ff,0x9fffb003,0x00dfff50,
    0xfa87fff7,0x7fc4002f,0x01ffb03f,0x07fff300,0x07fff953,0x0002fff4,
    0x1fffb731,0x1fffcc00,0x4fff8800,0x5cc40000,0x2000fffd,0x0002fffd,
    0x000bfffb,0x004fffd8,0x4004efd8,0x7c406ffe,0x7ffd46ff,0x3fff6007,
    0xffff902f,0x1379ffff,0xffffb731,0x7ffc05ff,0x3ffcc002,0x3fea0000,
    0x000adfff,0x3fffae60,0x2000004f,0x80005ffd,0x001fffd8,0xfff50000,
    0x8bffe003,0xa807fffa,0xff01ffff,0x7fc409ff,0x2ffdc1ff,0x837ffc00,
    0xb8003ffd,0x7e403fff,0x9fff107f,0x7ff40000,0x3ffee004,0xffd88003,
    0x2000001f,0x1004fff8,0x0001ffff,0x003fffe6,0x04fffd80,0x01fffb80,
    0x009fff90,0xff88dfb9,0xffd802ff,0xffb82fff,0xfffffebf,0xffffffff,
    0x7c01efff,0x7c4002ff,0x03260cff,0x7ffec400,0x19abefff,0xffeba998,
    0x0000dfff,0x1bffe600,0x3f732e00,0x00005fff,0x07fff600,0xd117ffc0,
    0x4435dfff,0x04ffffc9,0x277fffea,0xdffff530,0x217fff50,0x3ff203a8,
    0xff9099cf,0x5115c45d,0x03ffff93,0x333fff44,0x003fffd5,0x17ffea00,
    0xfffc9a88,0xdccb800f,0x0005ffff,0x27ffd400,0x05fffb80,0x27fff400,
    0x9fffb000,0xbfff5000,0x3ffff500,0x3a13ea00,0xb301efff,0x87ffffff,
    0x3aa2fffa,0xffffffff,0x00cfffff,0x8002fff8,0xffeffffe,0x7540000f,
    0xffffffff,0xffffffff,0x02efffff,0x6e744000,0x003fffff,0xffffffb8,
    0x7000000e,0xdffffdbb,0x217ffc00,0xfffffff8,0x5fffffff,0xfffffc80,
    0xefffffff,0xfffff880,0x3e606ffe,0xf54fffff,0x9ffdffff,0x7fffffdc,
    0x7ff6e6c6,0x3fffe5ff,0xb10006ff,0x5fffffd9,0x7ffffdc0,0xfff7005f,
    0x0001dfff,0x7ff66cc0,0xfd001fff,0xb80005ff,0x80007fff,0xfd0003fd,
    0x4c415dff,0x004ffffc,0x3fe607f6,0xfeccdfff,0xfffbefff,0xb81fff44,
    0xfffffffe,0x3e000bef,0xf98002ff,0x0fffffff,0xffb30000,0xffffffff,
    0xffffffff,0x26000007,0x4fffffff,0xffff5000,0x000001ff,0x7fffffec,
    0x3ffe000f,0xffffe982,0x3fffffff,0x3fffee00,0x05ffffff,0x7fffffd4,
    0x7ffe406f,0x3fff64ff,0x3f63ffff,0x7c1fffff,0x0effffff,0x07fffffe,
    0x7fffcc00,0x7ec03fff,0x001fffff,0x1ffffff5,0xffa80000,0x003fffff,
    0x000ffff3,0x05ffff10,0x000ff800,0xffffff10,0xffffffff,0xbfb1001b,
    0x7ffffdc0,0x24ffffff,0x27447ffe,0x9aba9880,0x5fff0000,0x3ff62000,
    0x000001be,0xffffb731,0x7bffffff,0x98000003,0x01defffe,0x3bffa600,
    0x4000001c,0x03eeffec,0x202fff80,0xfffffed9,0xc88000be,0x2ceffffe,
    0x7bffd300,0x3ffa6003,0x67ff5c4f,0x7ffff40a,0xeffee80d,0xcffff82d,
    0x3faa0000,0xe800ceff,0x000dffff,0x073bffa6,0x3faa0000,0x2000ceef,
    0x0004fffc,0x00bfffb0,0x00037e40,0x3fffffa6,0x03ffffff,0x6cc02740,
    0xdfffffff,0x017ffe41,0x30000000,0x00000133,0x10000000,0x00000133,
    0x00000000,0x00000022,0x4cc00000,0x02620009,0x00620000,0x22000000,
    0x04c00009,0x01330000,0x80000000,0x04400009,0x00000000,0x01ffff80,
    0xffff5000,0x5ffb0001,0x3b6a0000,0x0befffff,0x44000800,0x0000aba9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37ffd400,0x3ffe0000,0x1ec8004f,0x26200000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0x00007fff,0x007fffc8,0x00000010,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6f76e5cc,0x000001ac,0xbdefdb88,
    0x2aaaaa62,0xaaaaaaaa,0x000099aa,0x7017fe20,0xccb81999,0x0bff100c,
    0x006aaa60,0x50aaaa00,0x55540555,0x55555532,0x55555555,0x55555555,
    0x3332e001,0x2a000003,0x00002aaa,0x00555510,0x5554c000,0x8000000a,
    0x0001aaa9,0x5554c000,0xaaa8000a,0x40000001,0x000aaaa9,0x00000000,
    0x86aaaa60,0x0002aaaa,0x006aaaa0,0x5c400000,0xfffffffe,0x0001dfff,
    0xfffff300,0x3ff21fff,0xffffffff,0xffffffff,0x640000ce,0x7fec01ff,
    0x0ffff41f,0x9005ff70,0x0003ffff,0x3e27ffe8,0x3ffa05ff,0xffffff77,
    0xffffffff,0xffffffff,0xffff5001,0x5000005f,0x0005ffff,0x3ffff600,
    0xf1000004,0x0000bfff,0xfffff880,0x10000002,0x000bffff,0x000bfff1,
    0xfffe8000,0x3fe20006,0x7ffec1ff,0x7f400004,0xfff30eff,0x2a00007f,
    0x0006ffff,0xfffa8000,0xffffffff,0x000dffff,0x3fffe600,0x3f26ffff,
    0xffffffff,0xffffffff,0x0003ffff,0xfb009ff5,0xfffe83ff,0x007ffc01,
    0x01bffff2,0x44fffd00,0x3fa05fff,0xfffff77f,0xffffffff,0xffffffff,
    0xfff8801f,0x0001ffff,0x027fff40,0xfffb8000,0x00003fff,0x03ffff30,
    0x7ff40000,0x0000ffff,0xefffb800,0xfff88000,0x20000005,0x000ffffa,
    0x537ffcc0,0x0000bfff,0x21ffff98,0x0005fffd,0x3fffff60,0x20000001,
    0xfffffffc,0xffffedce,0x00000eff,0xd9dffffb,0x7fffe49f,0xffffffff,
    0xffffffff,0x744003ff,0xffd800ff,0x0ffff41f,0x9013fea0,0x007fffff,
    0xf13fff40,0x7ff40bff,0xffffff77,0xffffffff,0xffffffff,0x9fffe801,
    0x0000effe,0x00dfff50,0x3ffe6000,0x001fffcd,0xbfff7000,0x3f200000,
    0x0effebff,0x7fc00000,0xf10001ff,0x00000bff,0x00ffff40,0xcfffb800,
    0x000effe8,0x1fffe400,0x001dfff1,0x3fffe200,0x000004ff,0x9fffffb0,
    0x7fff5401,0xff00005f,0xffc803ff,0x2ea6004f,0x01fffffe,0x4013ff20,
    0x7640eeec,0xffe800ee,0x3ffff201,0xfd0001ff,0x2fffc4ff,0x3eefffd0,
    0xaaaaadff,0xaaaaaaaa,0x200aaaaa,0xff33fffc,0x3a0000bf,0x00000fff,
    0xd0ffff88,0x00001fff,0x007fff20,0xbfff5000,0x0017ffe6,0x2fffb800,
    0x3ffe2000,0x50000005,0x00007fff,0xffdfffd8,0x4400001f,0x7fe45fff,
    0x2e00001f,0x0fffdfff,0x7dc00000,0x2000dfff,0x005ffffc,0x02fffcc0,
    0x0027ffe4,0x07ffff70,0x003ffe60,0xfa800000,0x3fff206f,0xd0006fff,
    0x40000fff,0x0004fffb,0x6fffb800,0x0027ffe4,0x007ffe60,0x7ffec000,
    0x01bffea3,0x5ffd8000,0x3fe20000,0x3fff20ff,0xfd000003,0xf880009f,
    0x000005ff,0x000bffd0,0xffffd100,0x7000005f,0x7fc41dff,0x7400003f,
    0x3fffadff,0x3e600000,0x90005fff,0x0001ffff,0x401fffdc,0x0004fffc,
    0x8037ffe4,0x00004ffd,0x2ffe8000,0xffffff90,0xffd0007f,0x7dc0000f,
    0x000004ff,0xa80aaaa8,0x20000aaa,0x00002cca,0x70799930,0x00003999,
    0x00133220,0x42cccb80,0x000cccc8,0x02664c00,0x2fffc400,0x64400000,
    0x2000004c,0x004ffff9,0x83997000,0x00003cc9,0x7c57ffcc,0x000006ff,
    0x0017fffa,0x009fffd0,0x00fffe40,0x0027ffe4,0x03fffe20,0x003fff10,
    0xf9000000,0x3fff20df,0x001ffffe,0x0003fff4,0x009fff70,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,0x0000005f,
    0x00000000,0x00000000,0x7fe40000,0x03fffb0f,0xfff30000,0xfb80003f,
    0xd0000fff,0xf9001fff,0xd00009ff,0xfc805fff,0x0000006f,0x03fff300,
    0xffd5fff9,0xffe800df,0x3ee00007,0x000004ff,0x98003300,0x80001aaa,
    0x88002aaa,0xccefecb9,0xaaa98002,0xaaa80001,0x006aaa62,0x00aaaa00,
    0x3fb2e620,0x88002cce,0x03105fff,0x42666400,0x40004ccc,0xcefecb98,
    0xaa98002c,0xaa80001a,0xfff8002a,0x013ffea6,0x3fff2000,0x9df00005,
    0xddd30017,0xdddffffd,0x9fff903d,0xfffd0000,0x27ffc407,0x00bddd10,
    0x405ddd50,0xffc85ffe,0x3ffff9af,0x89fffa00,0x3b604eee,0x09fff75e,
    0x75c00000,0x10bdffff,0x3ff25ddd,0xff80004f,0xff5000ff,0xffffffff,
    0x320017df,0x80004fff,0xff90ffff,0xff00009f,0x3ea001ff,0xffffffff,
    0x1000beff,0x7edcbfff,0x000bffff,0x3fe1fffe,0xff50007f,0xffffffff,
    0x320017df,0x80004fff,0x2000ffff,0x7fc4fffa,0x400000ff,0x0002ffff,
    0xff700010,0xffffffff,0xfff901ff,0xff880009,0x3fee02ff,0x7fff401f,
    0x7ffec001,0x03fff200,0x3f25fff9,0xfd001fff,0x2fffc4ff,0x3eefffd0,
    0x000004ff,0xffffffa8,0xff89efff,0x09fff93f,0x1ffff000,0xffffd880,
    0xffffffff,0xfc803fff,0xf80004ff,0xfff90fff,0xfff00009,0xffd8801f,
    0xffffffff,0x803fffff,0xfd8dfff8,0xffffffff,0x0ffff002,0x8800ffff,
    0xfffffffd,0xffffffff,0x4fffc803,0xffff8000,0x3fff6000,0x01fffe41,
    0xffff5000,0x00000003,0x7fffffe4,0x907fffff,0x80009fff,0x200ffffa,
    0xfb806ffe,0x3e2004ff,0x7fcc05ff,0x17ffe43f,0x200dfffd,0x3fe27ffe,
    0x5fffa05f,0x0004fffb,0x7fffd400,0xffffffff,0xff93fffa,0xff00009f,
    0x7fd401ff,0xcdffffff,0xfffffffe,0x27ffe404,0x7fffc000,0x009fff90,
    0x01ffff00,0x7fffffd4,0xfffecdff,0x4404ffff,0xfffeefff,0xffffffef,
    0x87fff803,0x2a007fff,0xffffffff,0xfffffecd,0x7fe404ff,0xff80004f,
    0xff1000ff,0xdfff30df,0x7fdc0000,0x0000007f,0x7e4ccc40,0x00999bff,
    0x0009fff9,0x037fffcc,0x1009fff1,0x5c00ffff,0xff802fff,0x17ffe45f,
    0x009ffff3,0x7fc4fffd,0x5fffa05f,0x0004fffb,0x3fffe600,0xffd510ae,
    0x3f27ffff,0xf80004ff,0xff900fff,0x2013bfff,0xefffffc9,0x09fff900,
    0x1ffff000,0x0013fff2,0x403fffe0,0x9dfffffc,0xffff9300,0x3fe201df,
    0x4c2effff,0x402ffffd,0xeed86eed,0xffff9006,0x326013bf,0x00efffff,
    0x0009fff9,0x001ffff0,0x740fffee,0x00001fff,0x000dfff7,0xfd800000,
    0xff9001ff,0x3ee0009f,0x2a01ffff,0xfb003fff,0x3fa005ff,0xfffb007f,
    0x642fffc8,0x7401ffff,0x3ffe27ff,0x5dfffa05,0x00004fff,0x037fffa0,
    0x3fffffc8,0x0009fff9,0x301ffff0,0x005fffff,0x27ffff44,0x004fffc8,
    0x90ffff80,0x00009fff,0xf301ffff,0x4005ffff,0x04ffffe8,0x1dfffff1,
    0x037ffe40,0x3e600000,0x2002ffff,0x04ffffe8,0x0009fff9,0x001ffff0,
    0x5c03fffa,0x00005fff,0x000bfff9,0xfe800000,0x3ff2007f,0xccccccef,
    0xfffecccc,0x6404ffff,0xf5002fff,0xff300bff,0x3ff2009f,0x0bfff21f,
    0xd01bfffa,0x7ffc4fff,0x5dfffa05,0xffffffff,0xffffffff,0xfa87ffff,
    0xffb006ff,0x3fff27ff,0xfff80004,0xdfffe80f,0xfffb0000,0x9fff905f,
    0xffff0000,0x013fff21,0x03fffe00,0x0037fffa,0x17fffec0,0x07ffffc4,
    0x01ffff40,0xffd00000,0x360001bf,0xfc82ffff,0xf80004ff,0xf9800fff,
    0x3fe205ff,0xd80000ff,0x00004fff,0x7ffc0000,0x3fff2006,0xffffffff,
    0xffffffff,0xffe802ff,0x3ffe001f,0x7ffe400f,0x9fff7001,0x4c17ffe4,
    0x3a04ffff,0x3ffe27ff,0x5dfffa05,0xffffffff,0xffffffff,0xfc87ffff,
    0xff3002ff,0x3fff27ff,0xfff80004,0x7fffdc0f,0x7fec0000,0x7ffe40ff,
    0xfff80004,0x09fff90f,0x1ffff000,0x00ffffb8,0x7fffec00,0x27fffc40,
    0x05fffa80,0xff700000,0xd80001ff,0x7e40ffff,0xf80004ff,0xfc800fff,
    0x7fec02ff,0xfd80003f,0x000003ff,0x3ffe2000,0x3fff2005,0xffffffff,
    0xffffffff,0xffff000d,0x7ffe4001,0x037ffc03,0x649fff50,0xff902fff,
    0x3ffa03ff,0x817ffe27,0xfff77ffe,0xffffffff,0xffffffff,0x0dffb0ff,
    0x93fffd80,0x00009fff,0x7c41ffff,0x80003fff,0x643ffff8,0x80004fff,
    0xff90ffff,0xff00009f,0x7ffc41ff,0xf880003f,0x7fc43fff,0x3fa000ff,
    0x8000006f,0x003ffff8,0x3ffff880,0x0027ffe4,0x007fffc0,0x201fffe2,
    0x0006fffa,0x004fffc8,0x2a000000,0x32003fff,0xffffffff,0xffffffff,
    0x7fc4001b,0x7fcc007f,0x3ffea06f,0x3ffea003,0x80bfff25,0xfd06fffe,
    0x2fffc4ff,0x3eefffd0,0xccccceff,0xcccccccc,0xfff84ccc,0x7ffdc005,
    0x009fff93,0x41ffff00,0x0006fffc,0x91bffee0,0x00009fff,0x3f21ffff,
    0xf80004ff,0x3ff20fff,0x2e00006f,0x7fc46fff,0x7fe4005f,0x00fbba27,
    0x321eeeb8,0x00006fff,0xf91bffee,0xf00009ff,0xfb801fff,0xfff004ff,
    0xfc80005f,0x000004ff,0x3ffee000,0x3fff2002,0xfff73304,0xf88001bf,
    0xfe8006ff,0xfffb00ff,0x7ffcc001,0x80bfff26,0xe84ffff9,0x3ffe27ff,
    0x5dfffa05,0x00004fff,0x004fff88,0xfc9fffd4,0xf80004ff,0x3ffe0fff,
    0x2200002f,0x3f21ffff,0xf80004ff,0xfff90fff,0xfff00009,0x17fffc1f,
    0xfff10000,0x27ffc43f,0x47ffee00,0x2004fff8,0x3fe1fffc,0x200002ff,
    0x321ffff8,0x80004fff,0x7400ffff,0xf9001fff,0xb8000bff,0x00005fff,
    0x3ff60000,0x3ff2001f,0xffe8804f,0x3e6002ff,0xfb8005ff,0xfff883ff,
    0x7ffc4005,0x00bfff26,0xe83ffff9,0x3ffe27ff,0x5dfffa05,0x00004fff,
    0x003fffa8,0xfc9fffcc,0xf80004ff,0xfff10fff,0xe800001f,0x3ff23fff,
    0xff80004f,0x9fff90ff,0xffff0000,0x03fffe21,0xfffd0000,0x01fffc47,
    0x44bffea0,0x32004fff,0xfff11fff,0xe800001f,0x3ff23fff,0xff80004f,
    0x3fe600ff,0xeeeeeeff,0xfffeeeee,0x3ea0000f,0x000007ff,0x1fffa000,
    0x09fff900,0x3ffffa20,0x9fff3001,0xdfff1000,0x005fff50,0x7e4ffff0,
    0xffe802ff,0x13fff46f,0x7f40bfff,0x09fff77f,0xfff70000,0xfff88005,
    0x009fff93,0x21ffff00,0x0007fff9,0x25fffb80,0x0004fffc,0xf90ffff8,
    0xf00009ff,0x3fe61fff,0xb800007f,0x3fe25fff,0x7fd4002f,0x09fff14f,
    0x98fffe40,0x00007fff,0x325fffb8,0x80004fff,0x3200ffff,0xffffffff,
    0xffffffff,0x20003fff,0x001ffff8,0x0159d500,0x006fff80,0x0027ffe4,
    0x01ffffd1,0x00bfff30,0xb07fff60,0x3e000fff,0x3fff27ff,0xffff9802,
    0xf89fffa4,0x3ffa05ff,0x009fff77,0x7fff7000,0x3fff9800,0x0009fff9,
    0x2a1ffff0,0x00006fff,0x326fffa8,0x80004fff,0xff90ffff,0xff00009f,
    0x3ffea1ff,0xfa800006,0x3ffe26ff,0x7ffd4003,0x009fff13,0xfa8fffe4,
    0x800006ff,0x3f26fffa,0xf80004ff,0x3fe00fff,0xffffffff,0xffffffff,
    0x6c0006ff,0x00003fff,0x400bfffb,0x4005fff8,0x4004fffc,0x806ffff9,
    0x0005fff8,0x7c49fff5,0xf88004ff,0x3fff26ff,0xffff9002,0xf89fffa3,
    0x3ffa05ff,0x009fff77,0x9fff3000,0x3fffa800,0x0009fff9,0x2e1ffff0,
    0x00005fff,0x327fff98,0x80004fff,0xff90ffff,0xff00009f,0x3ffee1ff,
    0xf9800005,0x3ffe27ff,0x7ffdc004,0x009fff13,0xfb8fffe4,0x800005ff,
    0x3f27fff9,0xf80004ff,0xff500fff,0x555555df,0xf5555555,0x40005fff,
    0x0006fffb,0x02ffff88,0x00fffea0,0x009fff90,0x09ffff90,0x006fff88,
    0xfb9fffe0,0xf88001ff,0x3fff25ff,0x3fffa002,0x7c4fffd6,0x3ffa05ff,
    0x009fff77,0xbfff1000,0x3fffb800,0x0009fff9,0x321ffff0,0x00004fff,
    0x327fff98,0x80004fff,0xff90ffff,0xff00009f,0x3fff21ff,0xf9800004,
    0x3ffe27ff,0x7ffe4005,0x009fff12,0xfc8fffe4,0x800004ff,0x3f27fff9,
    0xf80004ff,0xffb00fff,0x3f60005f,0x220005ff,0x0003ffff,0x0037ffdc,
    0x000bffee,0x0009fff9,0x00bffffa,0x4000dfff,0xffb1fffc,0x3fe6000d,
    0x0bfff24f,0xcffff980,0x3fe27ffe,0x5fffa05f,0x0004fffb,0x01ffff00,
    0xc9fffec0,0x80004fff,0xffd0ffff,0x1000007f,0x3f21ffff,0xf80004ff,
    0xfff90fff,0xfff00009,0x0ffffa1f,0x3fe20000,0xdfff10ff,0x0fffe800,
    0x4009fff1,0xffd1fffc,0x1000007f,0x3f21ffff,0xf80004ff,0xff880fff,
    0xf30000ff,0x40001fff,0x000ffffc,0x07ffff30,0x00fffc80,0x027ffe40,
    0x6ffff980,0x003fff40,0xf17fff10,0x260007ff,0x3ff23fff,0x7fe4002f,
    0x227fffff,0x3fa05fff,0x09fff77f,0x3ff20000,0xfff3003f,0x13fff27f,
    0x3fffe000,0x007fffb0,0xffff3000,0x0027ffe4,0xc87fffc0,0x80004fff,
    0xffb0ffff,0x3000007f,0x7fc4ffff,0xff3001ff,0x27ffc4bf,0x23fff900,
    0x0003fffd,0x27fff980,0x0004fffc,0xb80ffff8,0x40005fff,0x0004fffe,
    0x00f7fff4,0x3ffffe20,0x3fff4000,0x27ffe400,0xffff9000,0x07ffec09,
    0x5dffd000,0x20001fff,0x3f22fffb,0xfe8002ff,0x227fffff,0x3fa05fff,
    0x09fff77f,0x3fe20000,0xffd800ff,0x9fff73ff,0xffff0000,0x013fff61,
    0x3ffee000,0x013ffee7,0x43fffe00,0x0004fffb,0xfb0ffff8,0x000009ff,
    0x7c4ffff7,0xfb005fff,0x7ffc47ff,0x3fff2004,0x009fffb1,0xffff7000,
    0x0027ffdc,0x407fffc0,0x0002fffe,0x003fffdc,0x3ffffea0,0xffff7002,
    0xfff0003f,0xfff9000d,0x7f440009,0xff701fff,0x7d40005f,0x005ffeff,
    0xc83fff60,0x98002fff,0x27ffffff,0x3a05fff8,0x9fff77ff,0x7e400000,
    0xfb101eff,0x3ee7ffff,0x440004ff,0xff90ffff,0x900000bf,0x7fdcdfff,
    0x7c40004f,0xfff70fff,0xff880009,0xbfff90ff,0xff900000,0x7fffc4df,
    0x7ffdc03f,0x027ffc46,0x323fff90,0x00005fff,0x2e6fffc8,0x40004fff,
    0x4c0ffff8,0x80007fff,0x002ffff8,0x7ffffdc0,0xd75119bf,0x005fffff,
    0x009fff10,0x009fff90,0x6ffffa80,0x009fff10,0x7ffffc40,0x3fe0002f,
    0x17ffe45f,0xffffc800,0x17ffe27f,0xff77ffe8,0xddddddff,0xdddddddd,
    0xf88bdddd,0xa9acffff,0xfffffffc,0x00bfff73,0x27fff880,0x0007fffb,
    0x25fffd80,0x0005fffb,0xf73fffc4,0x88000bff,0x3fee7fff,0xd800007f,
    0x3fe25fff,0x440dffff,0x441ffffd,0x32004fff,0xfff71fff,0xfb00000f,
    0x7ffdcbff,0x7fc40005,0x4fffc87f,0xfffb0000,0xff50000b,0xffffffff,
    0x7fffffff,0x3ffea000,0xfffc8003,0xffd80004,0xdffd03ff,0xfffd8000,
    0x3e60007f,0x7ffe43ff,0x3ffa0002,0x3ffe27ff,0x5dfffa05,0xffffffff,
    0xffffffff,0x86ffffff,0xffffffe8,0xffceffff,0x0bfff52f,0x7fff9800,
    0x003fffe2,0x7fffd000,0x002fffd4,0xa9fffe60,0x40005fff,0x3e27fff9,
    0x00000fff,0xf11ffff4,0xdfffffff,0x7fffffdb,0x009fff10,0xf88fffe4,
    0x00000fff,0xf51ffff4,0x98000bff,0xfff87fff,0xf500001f,0x00001fff,
    0xffffffd5,0xbfffffff,0x7fdc0003,0xffc8002f,0xf880004f,0xfb80ffff,
    0x260000ff,0x0004ffff,0xf907ffea,0x4c0005ff,0x3e27ffff,0x3ffa05ff,
    0xffffff77,0xffffffff,0xffffffff,0x7fffec0d,0xff74ffff,0x1bffe65f,
    0xdfff5000,0x003fffe8,0x3fffea00,0x01bffe60,0x4dfff500,0x0006fff9,
    0x3a37ffd4,0x00003fff,0x883fffea,0xfff9dfff,0x2fffffff,0x009fff10,
    0xfd0fffe4,0x400007ff,0x260ffffa,0x40006fff,0x7d46fffa,0x400006ff,
    0x0004ffff,0x3ffff260,0x02efffff,0x0fffc800,0x4fffc800,0xfff70000,
    0x5fff30bf,0xfffe8000,0x3ff60001,0x02fffc86,0x3fffe400,0x740bfff1,
    0xffff77ff,0xffffffff,0xffffffff,0xcb980dff,0x3ee1bdfe,0xffff11ff,
    0xfffb8000,0x07fffdc5,0xfffe8000,0x03fffc45,0x97ffee00,0x0007fff8,
    0x2e2fffdc,0x0000ffff,0x88bfffd0,0xffb15fff,0x4019ffff,0x2005fff8,
    0x3ee1fffd,0x00000fff,0xf88bfffd,0x5c0007ff,0x7fec5fff,0x6400003f,
    0x00007fff,0x157fff30,0xffe80000,0x00000007,0x3ffa0000,0x7ff40006,
    0x3fe20006,0x0000003f,0x3ffa0000,0x5fe80007,0x7e400000,0x3fffa1ff,
    0x3ffa0001,0x7fffc43f,0xffb80005,0xfffe82ff,0x3ffa0001,0x0ffff43f,
    0x7fffd000,0x05ffff88,0xffffb800,0x42fffc42,0x88009ab9,0x3a005fff,
    0x3fe21fff,0xb80005ff,0xfe82ffff,0x3a0001ff,0x00003fff,0x003fe400,
    0x17fe2000,0xfff80000,0xf0000006,0x00005bdf,0x0003fff5,0x000fffe6,
    0x0007ffb8,0x005bdff0,0x1fffa000,0x07ff1000,0xffd80000,0x3bfff20f,
    0xfffa8000,0xffffb81f,0x3fe20002,0xfff905ff,0xff50001d,0xfffc83ff,
    0xffa8000e,0xfffb81ff,0x3e20002f,0xff885fff,0x3e00005f,0xff1006ff,
    0xfffb83ff,0x3e20002f,0xff905fff,0xf50001df,0x00003fff,0x005fe800,
    0x7ffdc000,0x4c00002e,0x00004fff,0xbfffff00,0x9ffd0000,0x3fff2000,
    0x3ffa0000,0xfff00003,0x00000bff,0x8000dfff,0xfd801ffa,0x3fe2004e,
    0x7fffd46f,0xfffe8006,0x3ffff606,0xfffa8003,0xfff500ff,0xffd000df,
    0xffff50df,0xfffd000d,0x7fffec0d,0xfffa8003,0xfff880ff,0x3fe00005,
    0xffd801ff,0xfffd81ff,0xffa8003f,0xff500fff,0xfd000dff,0x00000dff,
    0x0009ff00,0xffca9800,0x2e00003f,0x00002fff,0xfffb5300,0xffa80003,
    0xfff88007,0x3fe60004,0x2a600007,0x0001fffd,0x002fffc0,0x200bfee0,
    0xb003fffb,0xffb09fff,0xd5001bff,0x4405ffff,0x00efffff,0x5fffff90,
    0xdffffd80,0xfffea800,0xffffb02f,0xffd5001b,0x7fc405ff,0x9000efff,
    0x205fffff,0x0005fff8,0x01bfff60,0x03fffff9,0x1dfffff1,0x3ffff200,
    0x7ffec02f,0xfea800df,0x00002fff,0x02ffc400,0xff700000,0x7f40000f,
    0x000000ff,0x005ffe80,0x003ffe80,0x007fff62,0x003ffd80,0x0bffd000,
    0x7ffcc000,0x7fdc0005,0x7fffa805,0x1ffffa80,0xffffff88,0xecba9bde,
    0x805fffff,0xdfffffe9,0xedb988ab,0x803fffff,0xeffffff8,0xfecba9bd,
    0x2205ffff,0xdeffffff,0xffecba9b,0xe9805fff,0xabdfffff,0xffedb988,
    0x3e203fff,0x200005ff,0x0adffffa,0xfffffb51,0x3ffa603f,0x88abdfff,
    0xffffedb9,0xfff8803f,0xa9bdefff,0xfffffecb,0x80000005,0x0000fff8,
    0xfffe8800,0x4d5cc000,0x006fffda,0xff980000,0xf980006f,0x3732e07f,
    0x0005ffff,0x0001bfe6,0x037ffcc0,0x3fae6a00,0x540003ff,0x7510bfff,
    0x577fff44,0x3fff2621,0x3ffea04f,0xffffffff,0x05ffffff,0x3ffff620,
    0xffffffff,0x001fffff,0x3fffffea,0xffffffff,0xfa805fff,0xffffffff,
    0xffffffff,0x3ff62005,0xffffffff,0x1fffffff,0x02fffc40,0x3fffa000,
    0xffffefff,0x201fff9e,0xffffffd8,0xffffffff,0x2a001fff,0xffffffff,
    0xffffffff,0x0000005f,0x4cbbffe0,0x360000db,0x5fffffdc,0xffffb800,
    0x0003ffff,0x7ee6c400,0x0003ffff,0x2e07ff90,0x0effffff,0x07ffa000,
    0x37362000,0x003fffff,0x3ffffe60,0x440000ff,0xffefffff,0x7ffffc46,
    0xffffffff,0xffe8805f,0xffffffff,0x0003ffff,0xfffffff7,0xbfffffff,
    0xffd10001,0xffffffff,0x4007ffff,0xffffffe8,0xffffffff,0xfff70003,
    0xffffffff,0x1001bfff,0x0000bfff,0xfffffd88,0xff35ffff,0xfff7003f,
    0xffffffff,0x0001bfff,0xffffffd1,0xffffffff,0x00000007,0xffffffc8,
    0x3e0000ff,0x0effffff,0xffffd800,0x00006fff,0xfffff880,0x400004ff,
    0xffa80ffe,0x0000ffff,0x00013fea,0x7fffffc4,0x7dc0004f,0x002fffff,
    0xfffff700,0xffd30bff,0xffffffff,0xfda8007f,0xffffffff,0xa80000be,
    0xfffffffe,0x80000bef,0xffffffda,0x000befff,0xfffffb50,0x017dffff,
    0xfffd5000,0x17dfffff,0x2fffc400,0xfeb80000,0x263effff,0x2a001fff,
    0xfffffffe,0x80000bef,0xffffffda,0x000befff,0xe8800000,0x0effffff,
    0x3ffba000,0x360002de,0x0cfffffe,0xe9800000,0x001defff,0x84ff9800,
    0x01ceffe9,0x0037f400,0xdfffd300,0xf900003b,0x0003dfff,0xdeffea80,
    0x7ff6cc02,0x000befff,0x55dd54c0,0x20000019,0x009abba9,0x2aa60000,
    0x00019abb,0x55dd54c0,0x20000019,0x009abba9,0x09ddd100,0xa9880000,
    0x20000009,0x009abba9,0x2aa60000,0x00019abb,0xb7000000,0x000039bd,
    0x31000000,0x00000001,0x10000000,0x00044033,0x00013300,0x00000000,
    0x00000011,0x01310000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1aaaa800,0x50000000,0x54005555,
    0x1aaaaaaa,0x13331000,0x33100000,0x13331013,0x55510000,0x22000055,
    0xaaaaaaaa,0x00000000,0xaaaa9800,0xaaaaaaaa,0x000001aa,0x55544000,
    0x1aaaaaaa,0xaaaa8800,0x98000001,0x88002aaa,0x5440aaaa,0x262002aa,
    0x99988099,0x55440000,0x300001aa,0x59bddd95,0x55300001,0x000d5443,
    0x04ccc400,0x03000000,0x0055554c,0x1fffe980,0x54000000,0x2003ffff,
    0xffffffff,0xfff88003,0x400000ff,0x220efffa,0x0000ffff,0x01ffffb0,
    0xffff1000,0x0005ffff,0x077fffc4,0x3fb22000,0xffffffff,0x5fffffff,
    0x0ffffc40,0x000ffff6,0xffffffb8,0x0004ffff,0x000dfffd,0xffff8800,
    0xfff90001,0x02fffe89,0x83fffe60,0x001ffff8,0x27fffcc0,0xfffd3000,
    0xffffffff,0x7440001b,0x0efe89ff,0x7fcc0000,0x00000eff,0x980ffa80,
    0x0005ffff,0x003bff62,0xffe80000,0x7ffc004f,0x003fffff,0x6fffffe8,
    0xffc80000,0x07fff64f,0xffe88000,0xf880004f,0x2fffffff,0x3fff6000,
    0x2e0005ff,0xffffffff,0xffffffff,0xfa805fff,0x3ffea6ff,0x7fdc0005,
    0xffffffff,0xfff10004,0x4000005f,0x0000dffe,0xfb8ffff4,0xfb8003ff,
    0x3fff65ff,0xff980002,0xfb0004ff,0xffffffff,0x07ffffff,0x6f7fc400,
    0x400000ff,0x5ffffff8,0xfc800000,0x3fffea07,0x7fdc0000,0x30000005,
    0xf000dfff,0x5ddddfff,0xbfffc800,0x00005fff,0xfb9fffe8,0x800003ff,
    0x000ffff8,0x77777440,0x90002fff,0x9fff9fff,0xffffb000,0xffffffff,
    0xffffffff,0x3fff200b,0x006fff8b,0x00000000,0x001bffe6,0x027fe400,
    0xefff8800,0x0005fff9,0x3eabfff6,0x300004ff,0x0009ffff,0xfffffffb,
    0xfffffddd,0x4c0009ff,0x0001ffff,0xfbfffd80,0x000003ff,0x3ee027f4,
    0x4c4004ff,0x33155309,0x36000001,0xf8000fff,0x540006ff,0xfff75fff,
    0xf8800007,0x05fffeff,0x3fe60000,0xb800004f,0xa8002fff,0xfff96fff,
    0x7ffd4005,0xbfffffff,0xdfffaaaa,0x3fa001aa,0x00fffeff,0x00998800,
    0xa8000133,0x80002fff,0x21aa8998,0x2a000099,0x0effffff,0x3ffa2000,
    0x0005ffff,0x13fffe60,0xdffff700,0x7ffe4405,0x262002ff,0x33099889,
    0xff900001,0x0bfff29f,0x7fc40000,0x0fffd802,0x20bfee00,0x00004ff9,
    0x002fff98,0x000dfff0,0xd07fffcc,0x00003fff,0x6fffff98,0xfb800000,
    0x400000ff,0x4002fffb,0x3a0ffff8,0xf8801fff,0xffffffff,0x4fff81ff,
    0xffff1000,0x200003ff,0xff982ffb,0xffc80004,0xffb80006,0x004ff982,
    0x7ffffe40,0xff980000,0x0000efff,0x06aaaa20,0x09fffd00,0x37fff440,
    0x305ff700,0xa80009ff,0x3fe26fff,0x800000ff,0xfd000ffb,0x7fdc009f,
    0x004ff982,0x02cca800,0x01bffe00,0x42eeed80,0x000deee9,0x6f775c00,
    0x70000000,0x80000399,0x4002fffb,0x7cc3fffe,0x7d400eff,0xffffffff,
    0x4fff81ff,0x3ffe6000,0x2e00003f,0x4ff982ff,0x19970000,0x2ffb8000,
    0x0004ff98,0x001cccc8,0x3bbbaa00,0x00000001,0x02fffc40,0x17fffcc0,
    0x982ffb80,0x220004ff,0x7541eeed,0x800004ee,0x322005fd,0x3fee004c,
    0x004ff982,0x20000000,0x00006fff,0x00000000,0x00000000,0xff700000,
    0x0000005f,0xfffff900,0x03ffffff,0x00009fff,0x7dc00000,0x04ff982f,
    0x80000000,0xff982ffb,0x00000004,0x00000000,0x2e000330,0x90002fff,
    0x2e00bfff,0x4ff982ff,0x00000000,0x03ff8000,0x35553000,0x55550000,
    0xdb973000,0x400359bd,0x80006fff,0xcdeedcb9,0x4c00001a,0xacdeedcb,
    0x4c400001,0x2ccefecb,0xfff70000,0xd9950005,0x001579dd,0x7fffffec,
    0xf81fffff,0xaaa984ff,0xaaa80001,0x006aaa62,0x80aaaa00,0xccc84ccc,
    0x03555304,0x05555000,0x66426664,0x2a60004c,0x0acdeeec,0x3ffae000,
    0xdd10bdff,0x1fffd85d,0xdfff3000,0x000d554c,0x00155540,0x37bbb2a6,
    0x200000ac,0x001ffb99,0xfc815555,0xf80004ff,0xb8800fff,0xfffffffe,
    0xf801dfff,0x710006ff,0xfffffffd,0x0003bfff,0x7ffff5c4,0x1dffffff,
    0x7ffd4000,0xffffffff,0x2e0000be,0x93002fff,0xffffffff,0x8019ffff,
    0xffffffff,0xff81ffff,0x4fffc84f,0xffff8000,0x009fff90,0x01ffff00,
    0x3fe1fffe,0x9fff907f,0xffff0000,0x21fffe01,0x4c007fff,0xfffffffe,
    0x000dffff,0x3fffffea,0xff89efff,0x27ffe43f,0x4799b000,0x0004fffc,
    0x400ffff8,0xffffffe9,0x00dfffff,0xfffdb980,0xfd000fff,0xfffc83ff,
    0xfff80004,0x7ffd400f,0xffffffff,0x200dffff,0xa8006fff,0xffffffff,
    0xdfffffff,0x7ffd4000,0xffffffff,0x000dffff,0x7ffffec4,0xffffffff,
    0xf70003ff,0xfd8805ff,0xffffffff,0x4fffffff,0x3fffffa0,0x81ffffff,
    0xffc84fff,0xff80004f,0x9fff90ff,0xffff0000,0x21fffe01,0xff907fff,
    0xff00009f,0x3ffe01ff,0x007fff87,0x3ffffff6,0xffffffff,0xfffa803f,
    0xffffffff,0x543fffaf,0x0000ffff,0x027ffe40,0x07fffc00,0xffffffb0,
    0xffffffff,0x3fe6007f,0xffffffff,0xfffe801e,0x027ffe41,0x07fffc00,
    0xffffff90,0xfffdb9df,0x3e01dfff,0x7e4006ff,0xceffffff,0xffffffed,
    0xfff9000e,0xdb9dffff,0x1dffffff,0x3fffea00,0xfecdffff,0x04ffffff,
    0x02fffb80,0x3fffffe6,0xffeddeff,0x905fffff,0xffffffff,0xfff03fff,
    0x09fff909,0x1ffff000,0x0013fff2,0x403fffe0,0xfff87fff,0x09fff907,
    0x1ffff000,0x3e1fffe0,0xffb007ff,0xdddfffff,0x9fffffff,0x77fffcc0,
    0xfffd510a,0xfff07fff,0x400003bf,0x0004fffc,0xb00ffff8,0xdfffffff,
    0xffffffdd,0xfffb809f,0xfffeefff,0x7ff403ff,0x27ffe41f,0x7fffc000,
    0xfffffb00,0x7ff54019,0xdfff05ff,0x7fffec00,0x3faa00cf,0xfd805fff,
    0x200cffff,0x05ffffea,0xdfffffc8,0xfff93009,0x5c001dff,0xff502fff,
    0x0137dfff,0xfffff931,0xfffff709,0x03ffffff,0xff909fff,0xff00009f,
    0x3fff21ff,0xfff80004,0x0dddb00f,0x3f20dddb,0xf80004ff,0xddb00fff,
    0x00dddb0d,0x05dffff7,0x7ffffe44,0x1bfffd02,0x7ffffe40,0xfffffd83,
    0x640000ad,0x80004fff,0xfb80ffff,0x2202efff,0x02fffffc,0x17bffff5,
    0x3fffffee,0x07fffa02,0x0009fff9,0x701ffff0,0x001bffff,0x42ffffe4,
    0xf7006fff,0x4001bfff,0x205ffffc,0x00dffffb,0x17ffff20,0x2fffff98,
    0x3fffa200,0x3fee004f,0xffff882f,0x7f4c004f,0x7fc41fff,0xffffffff,
    0x84fff81f,0x0004fffc,0xf90ffff8,0xf00009ff,0x00001fff,0x027ffe40,
    0x07fffc00,0xfe800000,0x3a2004ff,0xffa86fff,0xfffb006f,0x3fff607f,
    0x0aceffff,0x27ffe400,0x7fffc000,0x04fffe80,0x1bfffa20,0x217fffe2,
    0x5fffbdfe,0x907fffa0,0x00009fff,0xf981ffff,0x90005fff,0xff81ffff,
    0xfff9806f,0xff90005f,0xfff301ff,0x3f2000bf,0xffd00fff,0x360001bf,
    0x7002ffff,0xffb05fff,0x220003ff,0xfb86fffd,0xffffffff,0x84fff81f,
    0x0004fffc,0xf90ffff8,0xf00009ff,0x00001fff,0x027ffe40,0x07fffc00,
    0x7c400000,0xf98005ff,0x7fe42fff,0xfff3002f,0x7ffe407f,0xefffffff,
    0xfffc801c,0xfff80004,0x2fffc40f,0x7fffcc00,0x077ffdc2,0x7fecffe2,
    0x3fffd00f,0x004fffc8,0x40ffff80,0x0005fffe,0x3e27fff4,0xffe806ff,
    0x7f40005f,0xfffe84ff,0x7ff40005,0xffffb84f,0x7fec0000,0xffb800ff,
    0x7fffdc2f,0x7fcc0002,0xfffd81ff,0x81ffffff,0xffc84fff,0xff80004f,
    0x9fff90ff,0xffff0000,0x64000001,0x80004fff,0x0000ffff,0x2fffb800,
    0xbfff9000,0x4006ffd8,0x5403fffd,0xfffffffe,0x00ceffff,0x0009fff9,
    0xb81ffff0,0x90002fff,0xffe8bfff,0x50ffa81f,0x3fa07fff,0x7ffe41ff,
    0xfff80004,0x3fffe60f,0x7fdc0001,0x1bffe0ff,0x03ffff30,0xffffb800,
    0x07fffe60,0xffff7000,0x1ffffc41,0x7ffc4000,0xfffb803f,0x02ffffc2,
    0x4fffd800,0xffffff70,0x9fff03ff,0x009fff90,0x21ffff00,0x0004fffc,
    0x000ffff8,0x3fff2000,0xfff80004,0x8000000f,0x0001fffd,0xff8dfff3,
    0x7fdc005f,0xfd93003f,0xffffffff,0xfff905ff,0xfff00009,0x1fffd81f,
    0xdfff3000,0xc837ffc4,0xd004d46f,0xffc83fff,0xff80004f,0x3fff20ff,
    0x9df00005,0x037ffc17,0x0017fff2,0x905e77c0,0x0000bfff,0xfc82f3be,
    0x200006ff,0xb806fffb,0x3fe62fff,0x300000ff,0x64c05bff,0x81fffffe,
    0xffc84fff,0xff80004f,0x9fff90ff,0xffff0000,0x00fbba21,0xf91eeeb8,
    0xf00009ff,0x3ba21fff,0x3bae003e,0x27ffe41e,0x4799b000,0x4004fff8,
    0x8003fffa,0xfffffdb9,0x7e43ffff,0xf80004ff,0x7fe40fff,0x3360004f,
    0x17ffea3c,0x740027fc,0x7fe41fff,0xff80004f,0x3fffe0ff,0x40100002,
    0x7fc06fff,0x100002ff,0x017fffc0,0x3fe00800,0x200002ff,0x401ffff8,
    0x3f22fffb,0x400005ff,0xffb88001,0x84fff81f,0x0004fffc,0xf90ffff8,
    0xf00009ff,0x3fe21fff,0x3ff2004f,0x09fff91f,0x1ffff000,0x8013ffe2,
    0x7d41fffc,0x00000fff,0x001fffd4,0x000fffe6,0x3fffae60,0x3ff23fff,
    0xff80004f,0x7ffd40ff,0x5c00000f,0xff984fff,0xfffe8001,0x027ffe41,
    0x87fffc00,0x001ffffa,0x6fff8000,0x07fffea0,0xff500000,0x000003ff,
    0x00ffff88,0x7fff4000,0x17ffdc03,0x0007ffff,0x3ea00000,0x4fff81ff,
    0x004fffc8,0x90ffff80,0x00009fff,0x3e21ffff,0x3f2004ff,0x9fff91ff,
    0xffff0000,0x013ffe21,0xf81fffc8,0x0001dfff,0x00bffee0,0x007fff10,
    0xfffe9800,0x9fff90ff,0xffff0000,0x3bffff01,0x7fe40000,0x007fb82f,
    0xc83fffd0,0x80004fff,0xff70ffff,0x000000ff,0xfb81bffe,0x000007ff,
    0x007fffb8,0xfff98000,0xfb800007,0x7fdc05ff,0x5ffff32f,0x00000000,
    0x3e07ffea,0xfffc84ff,0xfff80004,0x09fff90f,0x1ffff000,0x8013ffe2,
    0xff91fffc,0xff00009f,0x3ffe21ff,0x3fff2004,0xfffffd81,0x5c0000ad,
    0x4c003fff,0x00003fff,0x27ffff70,0x0004fffc,0xd80ffff8,0x0adfffff,
    0x7ffe4000,0x0005fe81,0xfc83fffd,0xf80004ff,0xfff70fff,0x2000000d,
    0x3ee06fff,0x000006ff,0x006fffb8,0xfffa8000,0xfa800006,0x7fdc06ff,
    0x1ffff52f,0x00000000,0x3e07ffea,0xfffc84ff,0xfff80004,0x09fff90f,
    0x1ffff000,0x8013ffe2,0xff91fffc,0xff00009f,0x3ffe21ff,0x3fff2004,
    0xfffffb01,0x00159dff,0x004fff98,0x311fffd4,0xfb000055,0x3fff2bff,
    0xfff80004,0xffffb00f,0x0159dfff,0x42fffc80,0xd0003ff8,0xffc83fff,
    0xff80004f,0xbfff90ff,0x3e000000,0x3ff206ff,0x8000005f,0x0005fffc,
    0x5fffb800,0xff980000,0x7ffdc07f,0x00ffff72,0x54000000,0xfff81fff,
    0x04fffc84,0x0ffff800,0x0009fff9,0x221ffff0,0x32004fff,0xfff91fff,
    0xfff00009,0x13ffe21f,0x01fffc80,0x3ffffff2,0x01ceffff,0x005fff88,
    0xff1fffdc,0xa80003ff,0xfff96fff,0xfff00009,0x7ffe401f,0xefffffff,
    0xfffb801c,0x0007fd43,0x641fffe8,0x80004fff,0xffb0ffff,0x0000009f,
    0xfd81bffe,0x000004ff,0x004fffd8,0xfffc8000,0xf9800004,0x7fdc07ff,
    0x0bfff92f,0x40000000,0xff81fffa,0x4fffc84f,0xffff8000,0x009fff90,
    0x21ffff00,0x2004fff8,0xff91fffc,0xff00009f,0x3ffe21ff,0x3fff2004,
    0x7fff5401,0xffffffff,0x3ffe00ce,0x3ff6000f,0x0ffff63f,0xdfff1000,
    0x0013fff2,0x003fffe0,0xffffffd5,0x19dfffff,0xb13ffea0,0x802660df,
    0x7e41fffe,0xf80004ff,0xfffb0fff,0x20000007,0x3f606fff,0x000003ff,
    0x003fffd8,0xfffe8000,0xf8800003,0x3ee00fff,0x9fff92ff,0xfffff800,
    0xffffffff,0x3fff5002,0xf909fff0,0xf00009ff,0x3ff21fff,0xff80004f,
    0x9fff10ff,0x8fffe400,0x0004fffc,0xf10ffff8,0x7e4009ff,0xd93001ff,
    0xffffffff,0x3f205fff,0xff3003ff,0x7ffe47ff,0x7fd40006,0x09fff95f,
    0x1ffff000,0x3ffb2600,0xffffffff,0x6fff982f,0xffe827fc,0x83fffd07,
    0x0004fffc,0xf90ffff8,0x000009ff,0xc81bffe0,0x00004fff,0x04fffc80,
    0xffd80000,0x9800003f,0x7dc07fff,0xbfff92ff,0xfffff800,0xffffffff,
    0x3fff5002,0xf909fff0,0xf00009ff,0x3ff21fff,0xff80004f,0x9fff10ff,
    0x8fffe400,0x0004fffc,0xf10ffff8,0x7e4009ff,0xb98001ff,0xfffffffd,
    0xfff883ff,0xfffd800f,0x3fffe63f,0x3ff60002,0x09fff94f,0x1ffff000,
    0xffb73000,0x7fffffff,0x261ffff0,0xfff981ff,0x83fffd04,0x0004fffb,
    0xf90ffff8,0x000009ff,0xc81bffe0,0x00004fff,0x04fffc80,0xffd80000,
    0xb800004f,0x7dc07fff,0xdfff72ff,0xfffff800,0xffffffff,0x3fff5002,
    0xf709fff0,0xf00009ff,0x3fee1fff,0xff80004f,0x9fff10ff,0x8fffe400,
    0x0004fffb,0xf10ffff8,0x7e4009ff,0x980001ff,0xffffffeb,0x1efffc83,
    0xfffffb10,0x3ffffe87,0xffffa800,0x009fff70,0x01ffff00,0xffd73000,
    0xfc87ffff,0x20ff95ff,0xfd02fffc,0xfffb83ff,0x7fc40004,0xbfff70ff,
    0x3e000000,0x3fee06ff,0x8000005f,0x0005fffb,0x5fffc800,0xffc80000,
    0x7ffdc06f,0x00ffff52,0xccccccc8,0x02fffecc,0xf03fff50,0xfff709ff,
    0xff880009,0x9fff70ff,0xfff88000,0x09fff10f,0xb8fffe40,0x40004fff,
    0xf10ffff8,0x7e4009ff,0x400001ff,0x0fffffe9,0x67ffffc4,0xffffca9a,
    0x7fcc3fff,0x8800dfff,0x2e5ffffd,0x40004fff,0x000ffff8,0x7fff4c00,
    0x3ffe20ff,0xfa85feaf,0x3ffa07ff,0x2fffdc1f,0x3ffe2000,0x01fffea7,
    0x7ffc0000,0x1fffea06,0x3ea00000,0x000007ff,0x007fffb8,0x5fffd800,
    0x997ffdc0,0x0000ffff,0x017ffec0,0xf81fffa8,0xfffb84ff,0x7fc40005,
    0x17ffee7f,0xffff1000,0x0027ffc4,0x3ee3fff9,0x440005ff,0x3fe27fff,
    0x3ff2004f,0x7000001f,0xd107ffff,0xffffffff,0x5fff9dff,0xffffff70,
    0xb95357bd,0x41dfffff,0x0005fffb,0x003fffc4,0xffff7000,0xfffffb87,
    0x7fffdc2f,0x07fffa01,0x000bfff5,0x227fff98,0x0001ffff,0x7c159d50,
    0x3fe206ff,0x500001ff,0x3fe2159d,0x500001ff,0x3fe2159d,0x400000ff,
    0x5c03fffe,0x3ffe2fff,0x6c00003f,0xf5002fff,0x9fff03ff,0x00bfff50,
    0x27fff980,0x0005fffa,0xf13fffcc,0x7e4009ff,0xbfff51ff,0xfff98000,
    0x013ffe27,0x221fffc8,0xd80002a9,0x3f605fff,0x4fffffff,0x2e05fff7,
    0xffffffff,0xffffffff,0x7ffd40ef,0x7fcc0005,0x0154c47f,0x2fffec00,
    0x6fffffec,0x3fffffdc,0x20ffff40,0x0006fff9,0x3637ffd4,0x00003fff,
    0x7fcbfffb,0x7ffec06f,0xffb00003,0x1fffecbf,0xfffd8000,0x00ffffa5,
    0xffffa800,0x17ffdc00,0x000dfff9,0x02fffd80,0xf03fff50,0xfff309ff,
    0xffa8000d,0x1bffe66f,0xdfff5000,0x0027ffc4,0x3e63fff9,0x540006ff,
    0x3fe26fff,0x3ff2004f,0x07fffe1f,0xdfff5000,0xdfecb980,0x07ffee1b,
    0xfffffe98,0xffffffff,0xfff980cf,0x7fd40006,0x0ffffc6f,0x3ffea000,
    0xfffff906,0x07ffffff,0x883fffd0,0x40007fff,0x7dc5fffb,0x880006ff,
    0x3fe2ffff,0x7ffdc06f,0xff880006,0x3ffee2ff,0xff880006,0x3ffee2ff,
    0xfd00000f,0xff700bff,0x7fffcc5f,0x3f600001,0xff5002ff,0x09fff03f,
    0x000ffff1,0x225fffb8,0x40007fff,0x3e25fffb,0x3f6005ff,0xffff11ff,
    0xfffb8000,0x017ffe25,0x361fffd8,0x40003fff,0x0006fff8,0x003fff90,
    0xffffffb5,0x4037bdff,0x0007fff8,0x362fffdc,0x40003fff,0x2a06fff8,
    0xffffffff,0xfffd000d,0x03fffd03,0x1ffff400,0x00ffffe2,0x8dfff700,
    0x7c406fff,0x40003fff,0x7c46fffb,0x40003fff,0x7c46fffb,0x80005fff,
    0x802ffffb,0x7f42fffb,0x00000eff,0x2005fffb,0xff81fffa,0x3fffd04f,
    0x7fff4000,0x00ffff43,0x47fffd00,0x2005fff8,0x3fa1fffe,0x3a0001ff,
    0x3fe23fff,0x3ffa005f,0x1bfff21f,0xbfff5000,0x3ff60000,0x7e4c000f,
    0x740009cf,0x20001fff,0x7e43fffe,0x540006ff,0x3ea05fff,0x009bcbbf,
    0x40ffff40,0x000efffc,0x81ffffa8,0x000ffffc,0x87ffff30,0xfc806fff,
    0x30000fff,0xf907ffff,0x20001fff,0xb83ffff9,0x0002ffff,0x017fffe2,
    0x2617ffdc,0x0005ffff,0x02fffe88,0xf03fff50,0x3ff209ff,0xfa8000ef,
    0x7fe41fff,0xfa8000ef,0x7ffc1fff,0xffff1006,0x077ffe43,0x7fffd400,
    0x8037ffc1,0x261ffff8,0x0002ffff,0xfd93fff6,0x3fe2004e,0xff90006f,
    0x3ff20005,0xfa8000ef,0x7fcc1fff,0x360002ff,0x3f204fff,0xffd00007,
    0xffff503f,0xfffd000d,0x77fff40d,0x7ffc4001,0x37ffc0ff,0x1efffe80,
    0x7fffc400,0xdfffd00f,0xfff88003,0xfffb00ff,0xff50007f,0x2e001fff,
    0xffb82fff,0x50000eff,0x005fffff,0x3e07ffea,0xfff504ff,0xffd000df,
    0xffff50df,0xfffd000d,0x03ffff0d,0x43ffffb0,0x006ffffa,0xf86fffe8,
    0xfd801fff,0x7ff41fff,0xfa8003ff,0x3fee0fff,0xfffb003f,0x3ffe0009,
    0x7d4003ef,0xe8006fff,0xffd06fff,0xf50007ff,0x7fc01fff,0xffd00005,
    0x3fff603f,0xfea800df,0x3ea02fff,0x7002ffff,0xf03fffff,0x3ea00dff,
    0x7002ffff,0x403fffff,0x02fffffa,0x3fffff70,0x7ffffc40,0xfff9000e,
    0x7dc005ff,0xfffd02ff,0x2a0017ff,0x1ffffffe,0x03fff500,0x7ec09fff,
    0xa800dfff,0xb02ffffe,0x001bffff,0x05ffffd5,0xc80dfffb,0x6c1fffff,
    0x800dffff,0x82ffffea,0x6406fffd,0x4c1fffff,0x00dfffff,0x5ffffd88,
    0x403fffd4,0x001ffffa,0x3fff9330,0xffffd800,0xffea800d,0xfff302ff,
    0xb1001bff,0x4c0bffff,0xd00002ff,0x3e203fff,0xbdefffff,0xfffecba9,
    0xffb805ff,0x119bffff,0xfffffd75,0x01bffe05,0xffffffb8,0xfd75119b,
    0x7005ffff,0x37ffffff,0x3ffaea23,0xe9802fff,0xabdfffff,0xffedb988,
    0x5c003fff,0xfb102fff,0x57bfffff,0xfffdb733,0x001bffff,0x7c0fffd4,
    0x3fe204ff,0x9bdeffff,0xffffecba,0x3ffe205f,0xa9bdefff,0xfffffecb,
    0xbffff505,0x3ff6a215,0x7c41ffff,0xbdefffff,0xfffecba9,0xfff505ff,
    0x36a215bf,0x81ffffff,0xeffffffb,0xfdca9abd,0x440effff,0x21aefffe,
    0x4ffffc98,0xbffd0000,0xffff8800,0xba9bdeff,0x5fffffec,0x7ffffdc0,
    0xca9abdef,0x0efffffd,0x0003fee0,0x00ffff40,0xfffffff5,0xffffffff,
    0x7d400bff,0xffffffff,0xffffffff,0x2bbffe03,0x3ea01aaa,0xffffffff,
    0xffffffff,0x3ffea003,0xffffffff,0x03ffffff,0x3ffff620,0xffffffff,
    0x401fffff,0xffdaaaa8,0x7ffdc02f,0xffffffff,0xefffffff,0xfffa8001,
    0x404fff81,0xfffffffa,0xffffffff,0xffa805ff,0xffffffff,0x5fffffff,
    0x7fffff40,0x9effffef,0xffa81fff,0xffffffff,0x5fffffff,0x7fffff40,
    0x9effffef,0xff701fff,0xffffffff,0xdfffffff,0x3fffe201,0xffffffff,
    0x980005ff,0x8004fffb,0xfffffffa,0xffffffff,0xff7005ff,0xffffffff,
    0xdfffffff,0x005fe801,0x07fffa00,0xfffffd10,0xffffffff,0xfd50007f,
    0xffffffff,0x803bffff,0xffffffff,0x7fff5403,0xffffffff,0xa8001dff,
    0xfffffffe,0x1dffffff,0xffff7000,0xffffffff,0xf1001bff,0x5fffffff,
    0xffffb300,0xffffffff,0x40007fff,0xff81fffa,0xffe8804f,0xffffffff,
    0x2003ffff,0xffffffe8,0xffffffff,0xfffd8803,0x35ffffff,0x3a203fff,
    0xffffffff,0x03ffffff,0xfffffd88,0xff35ffff,0x7ff4c03f,0xffffffff,
    0x400cffff,0xffffffe9,0x003fffff,0xffffdf30,0x220003ff,0xfffffffe,
    0x3fffffff,0x7fff4c00,0xffffffff,0x4400cfff,0x200003ff,0x5001fffe,
    0xfffffffb,0x00017dff,0xfffffc98,0x002effff,0xffffffff,0x3ff26007,
    0xefffffff,0xfc980002,0xffffffff,0xd500002e,0xffffffff,0x7c40017d,
    0x2fffffff,0x3ffae200,0xcdffffff,0x7d40000a,0x4fff81ff,0x3fff6a00,
    0xbeffffff,0xffb50000,0xdfffffff,0xfeb80017,0x263effff,0x6d401fff,
    0xffffffff,0x5c000bef,0x3efffffe,0x2007ffe6,0xffffffda,0x001bdeff,
    0x7ffff6cc,0x20000bef,0xfffffffa,0xfda80002,0xffffffff,0x2a0000be,
    0xfffffffd,0x5001bdef,0x400003ff,0x8001fffe,0x19abbaa9,0x53300000,
    0xd0001577,0x5ddddddd,0x77533000,0x40000015,0x00abba99,0x5d4c0000,
    0x100009ab,0xdddddddd,0x2a620003,0x00000aba,0xe80eee98,0x530003ee,
    0x00335775,0xbbaa9800,0x8800019a,0x000009a9,0x4d5dd54c,0xa9880001,
    0x98000009,0x0009baaa,0x0004c400,0x9bdb9300,0x26000005,0x019abbaa,
    0xaaa98000,0x5100009b,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaaa600,0x01000000,0xa8800000,0x440002aa,0x004c4009,
    0x55544000,0x0aaaaa1a,0x04ccc400,0x0004ccc4,0x407ff500,0x40000ffd,
    0xc980aca8,0x9998001c,0x00333301,0x55100000,0x00000355,0x0d555440,
    0x2a000000,0x00002aaa,0x0d554c00,0x33000000,0x06666033,0x000cc000,
    0x00000000,0x2aa00000,0x2000002a,0x0005ffff,0x0cffda80,0xfe800000,
    0x20004fff,0xff100ffd,0xf9000009,0x3fe21fff,0xf50004ff,0xfff98dff,
    0x7c00000f,0x0dff307f,0xffffa800,0x07ff62df,0x0ffff600,0x0009fff9,
    0xfff90000,0x0000001f,0x007fffec,0xff500000,0x000005ff,0x7ffffcc0,
    0xb0000001,0xffb89fff,0xff00005f,0x7c400001,0x7fec1fff,0x3fe6004f,
    0x7fff40ff,0xbffffb03,0xff700000,0x800001df,0x05fcaef9,0x7fe40000,
    0x0002ffff,0x3f609ff5,0x4400002f,0x3ee2ffff,0x640006ff,0x3ffa4fff,
    0xd800001f,0xeb98beff,0x220003ff,0xffffffff,0x000fffff,0x31ffff88,
    0x0000dfff,0xffff1000,0x40000005,0x001ffff9,0x7ff40000,0x0000004f,
    0x3fffffa2,0x8000000e,0xf11fffe8,0x80001dff,0x000bffa8,0x9bffe600,
    0x8005fffa,0x3ee6fffa,0xfff704ff,0x00007fff,0x001fffe8,0x7d47c800,
    0xf5000000,0x3fffbbff,0xbfff1000,0x1dffb737,0xffb80000,0x07fffc4f,
    0x7fff4000,0x003fffb9,0xfffd1000,0x00bfffff,0xcadffc80,0x3fffffff,
    0x3ffe6000,0x001fffd6,0xff900000,0x0000009f,0x003fffd8,0x7fd40000,
    0x0000006f,0x7fdfffec,0x0000005f,0xfb1dfff3,0x220003ff,0xfffffffc,
    0xb80000cf,0xffe8cfff,0xff90000e,0x0dfff17f,0x3f3bffe6,0x500002ff,
    0x00007fff,0x00fe13e0,0x3ffe2000,0x0efff88f,0xffff9800,0x001fffff,
    0x46ffe800,0x0002fffb,0xffdfff10,0x8000009f,0xffffffd8,0xffd80004,
    0x0efff541,0x7ffdc000,0x0001fffe,0xfff88000,0x40000005,0x0005fff8,
    0xfffe8000,0x20000000,0xff54fffb,0x0000009f,0x3ffbffea,0xff70002f,
    0xffffffff,0xb00005ff,0x3fffbfff,0xfffe8000,0xe880fffe,0xfffd1fff,
    0xffd00001,0x6c000009,0x0000fcc6,0x517fff40,0x2000bfff,0xdfffffe9,
    0xfa800001,0x27ff40ff,0x3fea0000,0x00006fff,0x2aeea200,0x33100000,
    0x40000080,0x03fffffd,0xf9000000,0x000001df,0x006ffc80,0xff980000,
    0x0000001f,0xd83fffe6,0x00002fff,0xfffff900,0x3fee0009,0xffffefff,
    0x0002ffff,0x7fffff44,0xff880002,0xfb01ffff,0x7ffcc7ff,0x66440006,
    0x54000004,0x006ea9cf,0x3ccc9800,0x001cccb8,0x0026a620,0x1cca8000,
    0x00026644,0x0deeeb80,0x00000000,0x00000000,0x776c4000,0x0000004e,
    0x00073320,0x33320000,0x80000000,0x00002cca,0x0e665c00,0x00133322,
    0xeeed8000,0xfff30004,0x2e7fe3bf,0x000fffff,0x27fffcc0,0xfff50000,
    0x3332607f,0x02cccb84,0x00000000,0x07bfff20,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0001aaa9,0x2a62aaa8,0xa80001aa,0x000002aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff40000,
    0xe887fc3f,0x00005fff,0x00000000,0x20000000,0xcdeeeca9,0xaaa9800a,
    0x2a00d401,0x4c0002aa,0x80001aaa,0xcefecb98,0x2000002c,0xcefecb98,
    0xaa98002c,0xaaaaaaaa,0x099aaaaa,0x27ffe400,0x7fffc000,0x009fff90,
    0x21ffff00,0xaaaaaaaa,0xaaaaaaaa,0xaaaaaaaa,0xaaa80002,0xaaaaaaaa,
    0xaaaaaaaa,0x22aaaaaa,0xaaaaaaa9,0xaaaaaaaa,0x51000099,0x55555555,
    0x55555555,0x22155555,0x30002aaa,0x00015555,0xa8855551,0xaaaaaaaa,
    0xaaaaaaaa,0x260aaaaa,0x0ff87fff,0x001fffea,0x006aaaa0,0x15555000,
    0x05555400,0x3ffa6000,0xffffffff,0x3ff200df,0xff80004f,0x320000ff,
    0x20003fff,0xfffffffa,0x00beffff,0xffff5000,0xdfffffff,0x3ff20017,
    0xffffffff,0xffffffff,0xffc800ce,0xff80004f,0x9fff90ff,0xffff0000,
    0x3fffffe1,0xffffffff,0xffffffff,0x4c0006ff,0xffffffff,0xffffffff,
    0xffffffff,0x3ffff26f,0xffffffff,0xceffffff,0x3ffe6000,0xffffffff,
    0xffffffff,0xfff30fff,0x3ffe000f,0xfb8003ff,0x7ffcc4ff,0xffffffff,
    0xffffffff,0x3fea0fff,0x7c0ff84f,0x20001fff,0x006ffffa,0x0ffff400,
    0x03fffd00,0x7fffec00,0xffffffff,0xff903fff,0xff00009f,0x640001ff,
    0x88003fff,0xfffffffd,0xffffffff,0x3f620003,0xffffffff,0x03ffffff,
    0xffffffc8,0xffffffff,0x3fffffff,0x027ffe40,0x87fffc00,0x0004fffc,
    0xff0ffff8,0xffffffff,0xffffffff,0x0dffffff,0xffffd800,0xffffffff,
    0xffffffff,0x326fffff,0xffffffff,0xffffffff,0x003fffff,0xfffffff3,
    0xffffffff,0x1fffffff,0x000ffffc,0x1bffffe6,0x0bfff600,0xfffffff3,
    0xffffffff,0x1fffffff,0x7c0fffe4,0x0de6dc0f,0xffffb000,0x7400003f,
    0x3a001fff,0xb0001fff,0xdfffffff,0xffffffdd,0x9fff909f,0xffff0000,
    0x7fe40001,0x7fd4003f,0xcdffffff,0xfffffffe,0xfffa8004,0xecdfffff,
    0x4fffffff,0x7ffffe40,0xffffffff,0xffffffff,0x3fff203f,0xfff80004,
    0x09fff90f,0x1ffff000,0x3ffffffe,0xffffffff,0xffffffff,0x3e60006f,
    0xffffffff,0xffffffff,0xffffffff,0x3ffff26f,0xffffffff,0xffffffff,
    0xff9803ff,0xffffffff,0xffffffff,0x3f60ffff,0x7dc003ff,0x000fffff,
    0x2607fffc,0xffffffff,0xffffffff,0x20ffffff,0xff81fffd,0xf1000000,
    0x009fffff,0x0ffff400,0x03fffd00,0xdffff700,0x7ffe4405,0x7ffe42ff,
    0xfff80004,0x3f20000f,0x3f2003ff,0x009dffff,0xdfffff93,0x3fff2001,
    0x93009dff,0x01dfffff,0x8013fff2,0xffffeba9,0x9fff901f,0xffff0000,
    0x013fff21,0x43fffe00,0xaaaaaaaa,0xadfffdaa,0xaaaaaaaa,0x3ff60002,
    0xfffbaadf,0xaaaaaabf,0xaaaaaaaa,0x013fff22,0xfffeba98,0x554401ff,
    0xaaaaaaaa,0xfbaaaaaa,0x3ee0ffff,0x7ec005ff,0x002fffef,0x221bffe6,
    0xaaaaaaaa,0xaaaaaaaa,0x20fffffb,0xff84fffb,0xf7000000,0x01fffbff,
    0x3fffa000,0x3fffa001,0xfffe8001,0x3ffa2004,0x27ffe46f,0x7fffc000,
    0x3ff20000,0xfff3003f,0x744005ff,0x9804ffff,0x002fffff,0x13ffffa2,
    0x0027ffe4,0x07ffff70,0x0013fff2,0x643fffe0,0x80004fff,0x4000ffff,
    0x0003fffc,0x7fffcc00,0x007fffc1,0x4fffc800,0x3ffee000,0x8000003f,
    0x441ffffd,0x22006fff,0x4fffbfff,0x13ffee00,0x7fec0000,0x7ffcc1ff,
    0x0000ff86,0xf5bffd00,0x200007ff,0x2001fffe,0x4001fffe,0x8005fff8,
    0x322ffff9,0x80004fff,0x0000ffff,0x400ffff2,0x000dfffe,0x05ffffb0,
    0x00dfffe8,0x5ffffb00,0x009fff90,0x06fffc80,0x0009fff9,0x321ffff0,
    0x80004fff,0x4000ffff,0x0003fffc,0x2fffec00,0x0007fffc,0x04fffc80,
    0x37ffe400,0x3f600000,0xffd02fff,0x3fea001f,0x007ffd8f,0x0007fff6,
    0x3ffff600,0x87ffff02,0x800000ff,0xff8afff9,0xfd00006f,0x7f4003ff,
    0x7dc001ff,0xf90002ff,0x7ffe4bff,0xfff80004,0x3f20000f,0xffb803ff,
    0x6c0000ff,0xf700ffff,0x80001fff,0x640ffffd,0x40004fff,0xc80ffff8,
    0x80004fff,0xff90ffff,0xff00009f,0xfc8001ff,0x000003ff,0x207fffe2,
    0x0000ffff,0x009fff90,0x0ffff880,0xff900000,0x7fe409ff,0xdff9002f,
    0x4007ffee,0x00007fff,0x04ffffc8,0x433ffff2,0x800000ff,0xffb0fffc,
    0xfd00003f,0x7f4003ff,0x7ec001ff,0xf30001ff,0x7ffe4dff,0xfff80004,
    0x3f20000f,0x7fc403ff,0x880003ff,0xf883ffff,0x80003fff,0x643ffff8,
    0x80004fff,0xfc82fffe,0xf80004ff,0xfff90fff,0xfff00009,0xffc8001f,
    0x2000003f,0xff05fffc,0x200001ff,0x0004fffc,0x002fffe8,0xffffa800,
    0x27ffd405,0xf34ffe80,0xff3007ff,0xa80000bf,0xd805ffff,0xffdfffff,
    0xff800000,0x13ffea6f,0x3fffa000,0x3fffa001,0x7ffe4001,0x33360004,
    0x013fff23,0x03fffe00,0x3fffc800,0x037ffe40,0xdfff7000,0x00dfff90,
    0x37ffdc00,0x0013fff2,0x20ffffa0,0x0004fffc,0xf90ffff8,0xf00009ff,
    0xc8001fff,0x00003fff,0x03ffff10,0x0003fffe,0x027ffe40,0x1ffff400,
    0x3fe60000,0x7c400eff,0xff8806ff,0x017ffe2f,0x000fffee,0xeffff980,
    0xffffb000,0x017bffff,0x9fff5000,0x000ffff8,0x00ffff40,0x003fffd0,
    0x00ffffa8,0x7ffe4000,0xfff80004,0x3f20000f,0x7ffc03ff,0x2200002f,
    0x7fc1ffff,0x200002ff,0x321ffff8,0x40004fff,0xc82ffff8,0x80004fff,
    0xff90ffff,0xff00009f,0xfc8001ff,0x000003ff,0x7c0dfff9,0x00000fff,
    0x0009fff9,0x02ffff88,0x3ffa2000,0xffd001ff,0xfffb801f,0x201fff20,
    0x0001fffd,0x3ffffd10,0xfffeb800,0x0cffffff,0x3fff6000,0x01fffe41,
    0x07fffa00,0x01fffe80,0x1dffff80,0x3ff20000,0xff80004f,0x320000ff,
    0x3e203fff,0x00000fff,0xf11ffff4,0x00001fff,0x323fffe8,0x40004fff,
    0xc80ffffa,0x80004fff,0xff90ffff,0xff00009f,0xfc8001ff,0x800003ff,
    0x202ffff8,0x0000ffff,0x009fff90,0x0ffffa80,0x3ff60000,0x3f2002ff,
    0x7fec01ff,0x017ffd46,0x0001bffe,0x02ffffd8,0x3fff2600,0x02efffff,
    0x86fff880,0x0006fff9,0x000ffff4,0x0003fffd,0x5bfffffb,0xffc80001,
    0xff80004f,0x320000ff,0x3e603fff,0x800007ff,0x3e65fffb,0x800007ff,
    0x3f25fffb,0x260004ff,0xf906ffff,0xf00009ff,0x3ff21fff,0xff80004f,
    0x7e4000ff,0x800003ff,0x7c06fffc,0x00000fff,0x0009fff9,0x037fffcc,
    0xffff9000,0xfffa8009,0x21fffc03,0x2204fff8,0x00004fff,0x009ffff9,
    0x3fbfe200,0x001fffff,0xe81fffdc,0x20001fff,0x2001fffe,0x0001fffe,
    0xfffffffb,0xc800159d,0x80004fff,0x0000ffff,0xa80ffff2,0x00006fff,
    0x2a6fffa8,0x00006fff,0x326fffa8,0x70004fff,0x203fffff,0x0004fffc,
    0xf90ffff8,0xf00009ff,0xc8001fff,0x00003fff,0x017fffc4,0x0003fffe,
    0x027ffe40,0xfffffb80,0xff500001,0xf1000bff,0x7fcc0bff,0x06ffe81f,
    0x000bffea,0x17fffea0,0x31ff0000,0x00dffff9,0x700fffe8,0x4000bfff,
    0x2001fffe,0x0001fffe,0x3ffffff2,0x01ceffff,0x004fffc8,0x00ffff80,
    0x0ffff200,0x005fffb8,0x7fff9800,0x0017ffee,0x9fffe600,0xcccefffc,
    0xeccccccc,0x4fffffff,0x013fff20,0x43fffe00,0x0004fffc,0x000ffff8,
    0x001fffe4,0x1bffee00,0x3fffffe0,0xffffffff,0x7e45ffff,0xccccceff,
    0xffeccccc,0x004fffff,0xdffff300,0x3ffa0001,0x41fff207,0xf900fffc,
    0x980001ff,0x000effff,0xf507fc00,0x26009fff,0x3e205fff,0xd0000fff,
    0x74003fff,0x40001fff,0xffffffea,0x0cefffff,0x009fff90,0x01ffff00,
    0x1fffe400,0x009fff90,0xffff3000,0x0027ffe4,0x3fffcc00,0xfffffff9,
    0xffffffff,0x05ffffff,0x004fffc8,0x90ffff80,0x00009fff,0x8001ffff,
    0x0003fffc,0x017fffc0,0x7ffffffc,0xffffffff,0x7fe45fff,0xffffffff,
    0xffffffff,0x00002fff,0x03ffffd1,0x0fffdc00,0xf305ffe8,0x3ffa07ff,
    0x7f440006,0x00001fff,0x7fdc0ff8,0xfff9006f,0x3fffd805,0x3fffd000,
    0x0ffff400,0xfec98000,0xffffffff,0xfffc82ff,0xfff80004,0x3f20000f,
    0x3ffa03ff,0x8800003f,0xffd0ffff,0x1000007f,0x3f21ffff,0xffffffff,
    0xffffffff,0xfc800dff,0xf80004ff,0xfff90fff,0xfff00009,0xffc8001f,
    0x2e00003f,0xff006fff,0xffffffff,0xffffffff,0xfffffc8b,0xffffffff,
    0x0dffffff,0x3ff60000,0x4c0002ff,0xff883fff,0x17ffe02f,0x0013ffe2,
    0x05ffffb0,0x03fe0000,0x100ffff3,0xf500ffff,0x3a000dff,0x3a001fff,
    0x00001fff,0xffffdb98,0x643fffff,0x80004fff,0x0000ffff,0xd80ffff2,
    0x00003fff,0x367fff98,0x00003fff,0x327fff98,0xffffffff,0xffffffff,
    0x7fdc001b,0xff80004f,0x9fff70ff,0xffff0000,0xfffc8001,0x3fe00003,
    0xfff003ff,0x9999999f,0x79999999,0xffffffc8,0xffffffff,0x00001bff,
    0x03ffffc8,0x09fff000,0x6c01fff5,0xfffa87ff,0x3ff20001,0x220003ff,
    0xd01ff019,0xfb803fff,0xfff004ff,0xffd0005f,0x7ff4003f,0x8000001f,
    0xfffffeb9,0x13ffee3f,0x3fffe000,0x3ff20000,0x3fff603f,0xfb800004,
    0x3fff67ff,0xfb800004,0x3fff27ff,0xfff73304,0xfb8001bf,0x440004ff,
    0xff70ffff,0xf880009f,0x64000fff,0x00003fff,0x400dfff7,0x0000ffff,
    0x209fff90,0xdffffb99,0x7d400000,0x00005fff,0x3f61bff6,0x7ffdc06f,
    0x003ffe41,0x0bffff50,0x13ffa600,0x7fec07fc,0x7fff401f,0xbfff9001,
    0x3fffd000,0x0ffff400,0x26000000,0x70fffffe,0x80009fff,0x000ffff8,
    0x80ffff20,0x0005fffc,0x26fffc80,0x0005fffc,0x26fffc80,0x8804fffc,
    0x002ffffe,0x0017ffee,0x5cffff10,0x40005fff,0x8007fff8,0x0003fffc,
    0xddffffd0,0xdddddddd,0x0001ffff,0x013fff20,0x0bffffa2,0x7ffcc000,
    0x200000ef,0x7fc0fffb,0x7ffcc04f,0x002fff43,0x0effff98,0xdfff3000,
    0x3fa03fe0,0x3fe600ff,0xeeeeeeff,0xfffeeeee,0x7ff4000f,0x3ffa001f,
    0x0000001f,0x27ffff70,0x0005fffb,0x003fffc4,0x80ffff20,0x0007fffb,
    0x25fffd80,0x0007fffb,0x25fffd80,0x1004fffc,0x003ffffd,0x0017ffea,
    0x54ffff30,0x40005fff,0x8007fff9,0x0003fffc,0xffffffa8,0xffffffff,
    0x000fffff,0x09fff900,0x3ffffa20,0x7f440001,0x00000fff,0xf317ffcc,
    0xfff003ff,0x01fffc49,0x7ffff440,0x7ffc0000,0xf80ff81f,0x7fe406ff,
    0xffffffff,0xffffffff,0x7ff4003f,0x3ffa001f,0x2a62001f,0xffd80002,
    0x0bfff55f,0x7fff9800,0x7ffe4000,0x3fffe203,0x7f400000,0x3ffe23ff,
    0x7400000f,0x3ff23fff,0x3fa2004f,0xf9800fff,0x540006ff,0x3fe66fff,
    0x7d40006f,0xfc8006ff,0xe80003ff,0xffffffff,0xffffffff,0x00000fff,
    0x4009fff9,0x00ffffe8,0x3ffff600,0xff000002,0x03ffdc9f,0x3ea6ffc8,
    0xfd8000ff,0x80002fff,0xff85fffd,0x02fffdc0,0x3ffffffe,0xffffffff,
    0x006fffff,0x000ffff4,0x4003fffd,0x0001ffff,0xf9b7ffd4,0x540006ff,
    0x14c46fff,0x03fffc80,0x001ffff4,0x1ffff500,0x003fffe8,0x3fffea00,
    0x013fff20,0x0dffff30,0x00ffff10,0x25fffb80,0x0007fff8,0x002fffdc,
    0x001fffe4,0x3ffffea0,0xffffffff,0x0fffffff,0xfff90000,0xfff98009,
    0xff70006f,0x000007ff,0xffd37fec,0x3ffea00b,0x000dff90,0x007ffff7,
    0x3fffe600,0xff307fc3,0x7fd403ff,0xaaaaaaef,0xfaaaaaaa,0x3a002fff,
    0x3a001fff,0x36001fff,0x40003fff,0xff16fff8,0xfb8000ff,0x3fff65ff,
    0x2fffd800,0x07fffdc0,0xfffe8000,0x0ffffb85,0xfffd0000,0x04fffc8b,
    0x4ffffc80,0x01fffe80,0x0ffffa00,0x0003fffd,0x001ffff4,0x001fffe4,
    0x00ffffa0,0x003fffe0,0x27ffe400,0x7fffe400,0x7ffd4004,0x4000005f,
    0xfff17ffa,0x3ffe2007,0x8009ffd1,0x005ffffa,0x7fffec00,0x3ee1ff0c,
    0x7ec04fff,0xfb0002ff,0x7f400bff,0x3fa001ff,0x3f2001ff,0x540006ff,
    0x3ffa5fff,0x3fa0001f,0x3fff23ff,0x2fffd801,0x2ffffc40,0x7ffdc000,
    0xffff882f,0xffb80005,0x7ffe42ff,0xfffd0004,0xfffc805f,0xffa8000e,
    0x7ffe41ff,0xffa8000e,0xfc8001ff,0x2a0003ff,0x8000ffff,0x0000ffff,
    0x009fff90,0x0bffffa0,0x37fffc40,0x7c400000,0x1fffa9ff,0x7cfffa00,
    0x3e2002ff,0x00006fff,0xbfffffb0,0xfffffbff,0xffff880d,0xfff30000,
    0x3ffa001f,0x3ffa001f,0x3fe6001f,0x360002ff,0x3ff24fff,0xfa8000ef,
    0x3fee1fff,0xfffe802f,0xffffb801,0x3fe20002,0x3fee05ff,0x220002ff,
    0xfc85ffff,0xf30004ff,0xfa80dfff,0xe8006fff,0xffa86fff,0xfe8006ff,
    0xf90006ff,0x6c0007ff,0xf0004fff,0x00001fff,0x0013fff2,0x037fffcc,
    0x07ffff44,0xfe800000,0x006ffcbf,0x7fceffe4,0xffd1000f,0x000001ff,
    0x7fffffec,0x04ffffff,0x005fffb8,0x027fff40,0x001fffe8,0x0007fffa,
    0x007ffffd,0x41ffff50,0x006ffffa,0x546fffe8,0x7d406fff,0x3f6007ff,
    0xa8003fff,0x400fffff,0x003ffffd,0x0fffffa8,0x004fffc8,0x13ffff20,
    0x1bffffb0,0xffffd500,0x3ffff605,0xffea800d,0xf90002ff,0x260007ff,
    0x0000ffff,0x0001ffff,0x013fff20,0x4ffffc80,0x0ffffec0,0xf9000000,
    0x009ffd9f,0xffbfff98,0x3fff6006,0x8000001f,0xffffffdb,0xfd002eff,
    0xb80005ff,0xfd007fff,0x7f4003ff,0x7cc001ff,0x800dffff,0x85ffffd8,
    0x00dffffd,0x2ffffea8,0x81ffffc4,0x005ffff8,0x3bffffe2,0xffff9000,
    0xfff1005f,0x32001dff,0x902fffff,0x40009fff,0x01ffffe8,0x3fffffe2,
    0xecba9bde,0x205fffff,0xeffffff8,0xfecba9bd,0x0005ffff,0x000ffff2,
    0x0027ffec,0x001ffff0,0x13fff200,0xfffe8800,0xffff701f,0x80000005,
    0x2fffeffa,0xfefff800,0xfff7003f,0x0000005f,0x159ff930,0x3fffcc00,
    0x7ffc4000,0xfffe802f,0x3fffa001,0xfffb8001,0x9abdefff,0xfffffdca,
    0xffff880e,0xba9bdeff,0x5fffffec,0x5bffff70,0xfffff953,0xffe98003,
    0x88abdfff,0xffffedb9,0x3fa6003f,0x8abdffff,0xfffedb98,0x3ff203ff,
    0x7d40004f,0x7d406fff,0xffffffff,0xffffffff,0xffffa805,0xffffffff,
    0x005fffff,0x01fffe40,0x0ffffcc0,0xdffff000,0xdddddddd,0x5ddddddd,
    0x0013fff2,0x0dffff50,0xddfffff1,0xdddddddd,0xdddddddd,0xfff1009d,
    0xb0001fff,0x003fffff,0xddfffff1,0xdddddddd,0xdddddddd,0x0ff8009d,
    0x4fffc800,0xfffb0000,0x3fffd00b,0x0ffff400,0xffffb800,0xffffffff,
    0x00efffff,0x3fffffea,0xffffffff,0x3e205fff,0xffffffff,0x0004ffff,
    0xffffffb1,0xffffffff,0x10003fff,0xfffffffb,0xffffffff,0xffc803ff,
    0xfd80004f,0x74403fff,0xffffffff,0x03ffffff,0x3ffffa20,0xffffffff,
    0xc80003ff,0xd8003fff,0x40005fff,0xffffffff,0xffffffff,0xff93ffff,
    0xfb00009f,0xff887fff,0xffffffff,0xffffffff,0x05ffffff,0x0dffffd0,
    0x3fffee00,0xffff1007,0xffffffff,0xffffffff,0x800bffff,0xff8000ff,
    0x500001ff,0xe801ffff,0x3a001fff,0x20001fff,0xffffffe9,0xffffffff,
    0xffe8800c,0xffffffff,0x9803ffff,0xfffffffe,0x80004fff,0xfffffffb,
    0xdfffffff,0x7fdc0000,0xffffffff,0x800dffff,0x0004fffc,0x0fffff88,
    0xffffda80,0x0befffff,0xfffb5000,0x7dffffff,0x3f200001,0x7c4003ff,
    0x40001fff,0xffffffff,0xffffffff,0xff93ffff,0xf100009f,0x7c41ffff,
    0xffffffff,0xffffffff,0x5fffffff,0x7ffff900,0x3ffe6000,0xfff1005f,
    0xffffffff,0xffffffff,0x00bfffff,0x54000ff8,0x00006fff,0x2027fffc,
    0x2001fffe,0x0001fffe,0xfffffda8,0x01bdefff,0xffffda80,0x0befffff,
    0x7fffe400,0x0002ceff,0x7ffff540,0x00beffff,0x7ff54000,0xbeffffff,
    0x3fff2000,0xff700004,0xa9800bff,0x0019abba,0x5dd54c00,0x8000019a,
    0x4003fffc,0x0005fffc,0xfffffff8,0xffffffff,0xf93fffff,0x200009ff,
    0x225ffffb,0xffffffff,0xffffffff,0xffffffff,0xffff5005,0x7ff40003,
    0xfff1003f,0xffffffff,0xffffffff,0x00bfffff,0x6c000cc8,0x00003fff,
    0x203fffe4,0x2001fffe,0x0001fffe,0x4dd554c0,0x54c00000,0x0019abba,
    0x00aba980,0x75300000,0x00001357,0x2aeea600,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaaa8000,0x2e000000,0x13b600ee,0x0aaaa800,
    0x000aaaa8,0x55551000,0x26000003,0x00001aaa,0x01555540,0x44010000,
    0x10000019,0x00055555,0x00aaaa98,0xffe80000,0x2000007f,0x002aaaa8,
    0x2aaaa200,0x2aaa6002,0x55500002,0x26600005,0x0004cc00,0x0055554c,
    0x404ccc40,0x00009998,0x2aaa6000,0x8000000a,0x0000aaaa,0xfffc8000,
    0x2000005f,0xff704ffa,0x7fdc0007,0x2fffdc6f,0xff900000,0x000001ff,
    0x01fffff3,0x3fea0000,0x400003ff,0x41cfffd8,0x00000ffd,0x01ffffb8,
    0x7fffcc00,0xe8000005,0x00007fff,0x07fffec0,0xfffb8000,0xfff1001f,
    0xd80005ff,0x0005ffff,0xf702ffc4,0xff88003f,0xf70005ff,0xfff98dff,
    0x0000000e,0x001bfffa,0x3fff2000,0x0000005f,0x7fffffd4,0xf1000003,
    0x3ee637ff,0x6c0001ff,0xfff13fff,0x2000001d,0x002ffff8,0xffff8800,
    0x00000eff,0x005fffe8,0x7fffc400,0xffcbefff,0xff000007,0x200007ff,
    0x000ffffa,0x7fff4000,0xe8000007,0x00004fff,0x4007ffff,0x1ffffffd,
    0xffff7000,0xe80007ff,0x7ff881ff,0xefffb800,0x3ff60000,0x07fffa3f,
    0xfa800000,0x00000fff,0x7ffffd40,0x0000004f,0xff7dfff3,0x2000005f,
    0xfffffffa,0x880003ff,0xffd8fffe,0x2000001f,0x0004fffc,0xf5fffb00,
    0x80000bff,0x0006fff9,0xfdfffc80,0x4fffffff,0xffb80000,0x5c00005f,
    0x00004fff,0x03ffff40,0x7fc40000,0x5c0000ff,0x32005fff,0xeffebfff,
    0x7ffcc000,0x001fffce,0x2b3ffea0,0x004ffeca,0x001ffff8,0xb9fffe80,
    0x00002fff,0x0ffff400,0x3e200000,0x2fffbeff,0x74400000,0xfffd1fff,
    0x2a000001,0x3fffffff,0x3fe60000,0x002fffff,0x3ffe2000,0xf9000005,
    0x3ffee9ff,0x3f600003,0x800000ff,0x3faa1ffe,0x0000cfff,0x00effe80,
    0xfffd8000,0x36000000,0x00005eee,0x09fff300,0x0effe800,0x2dfff500,
    0x2005fff9,0xfd0fffe8,0x6c0001ff,0xffffffff,0xfffb8006,0xff100002,
    0x009fffdf,0xffa80000,0x8000003f,0xffd1fffe,0x4000003f,0x3e63fffd,
    0x00000eff,0x02b32ea0,0x3fea0000,0x00004fff,0x007ffdc0,0x7ffd4000,
    0x017fff46,0x17ffcc00,0x4cc80000,0x00017730,0x07ffea00,0xffe80000,
    0x00000004,0xf7000000,0x2a0001ff,0xf1000fff,0x7fe41fff,0xfffb004f,
    0x037ffcc7,0x3fffee00,0xfd0003ff,0xa800009f,0x005fffff,0xffe80000,
    0xd8000005,0x3fe64fff,0x800000ef,0xca84ccc9,0x000002cc,0x70000000,
    0x00007999,0x00399900,0x3332e000,0x026664c1,0x01665400,0x00000000,
    0x332e0000,0x44000002,0x000004cc,0x00000000,0x4000732e,0x2e002ccb,
    0x66442ccc,0x664c00cc,0x2cccb84c,0x9aa98000,0x99910000,0x3b200000,
    0x00000dee,0x06664400,0x32200000,0xccca84cc,0x00000002,0x95000000,
    0x1579ddd9,0x00000000,0x00000000,0x00000000,0x00000000,0xefecb988,
    0x000002cc,0x00000000,0xcb980000,0x01acdeed,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aaaa980,
    0x2aaa0000,0xff93002a,0xffffffff,0xa98019ff,0xa80001aa,0x2aaa62aa,
    0x2a00000a,0x55532aaa,0x55500003,0x00d554c5,0x01555400,0xffffff50,
    0x17dfffff,0x2aaaa600,0xaaaaaaaa,0xaaaaaaaa,0x555530aa,0x55555555,
    0x55555555,0xd7100155,0xffffffff,0x00003bff,0x00355550,0x80aaaa80,
    0x80001aaa,0xaaaaaaa9,0xaaaaaaaa,0x0aaaaaaa,0x55555553,0x55555555,
    0x15555555,0x0002aaaa,0x2aaaaa60,0xaaaaaaaa,0x00000009,0x00035555,
    0xaaaa8000,0xff980001,0x700005ff,0x8803ffff,0xfffffffd,0xffffffff,
    0x3fff204f,0x7f40001f,0x3fffe67f,0xff700005,0x3ffee3ff,0xfff80004,
    0x3ffff90f,0x7ffe8000,0xffffd880,0xffffffff,0xfb803fff,0xffffffff,
    0xffffffff,0xf70fffff,0xffffffff,0xffffffff,0x801fffff,0xfffffffa,
    0xffffffff,0xf500000d,0x8000dfff,0x7c41fffe,0xb80005ff,0xffffffff,
    0xffffffff,0x70ffffff,0xffffffff,0xffffffff,0x21ffffff,0x0002fffd,
    0xffffffc8,0xffffffff,0x00000cff,0x0dffff50,0x7d400000,0x00006fff,
    0x005ffff9,0x4ffff880,0x7ffffcc0,0xfeddefff,0x05ffffff,0x00dffff9,
    0x647ffe80,0x0002ffff,0x727fffc4,0x00009fff,0x3f21ffff,0x40006fff,
    0x7d407ffe,0xdfffffff,0xffffffec,0x7ffdc04f,0xffffffff,0xffffffff,
    0xfff70fff,0xffffffff,0xffffffff,0x7e401fff,0xceffffff,0xffffffed,
    0xfd80000e,0x0001ffff,0xf107fffa,0x70000bff,0xffffffff,0xffffffff,
    0x21ffffff,0xfffffffb,0xffffffff,0x0fffffff,0x0005fffb,0xffffff90,
    0xffffffff,0x0019ffff,0xffffd800,0x0000001f,0x03fffffb,0x3fffa000,
    0x3fa0000f,0x7fd406ff,0x809befff,0xfffffc98,0xfffffc84,0x3ffa0003,
    0x0ffffe87,0x3fffa000,0x027ffdc6,0x87fffc00,0x03fffffc,0x81fffa00,
    0x9dfffffc,0xffff9300,0x3fee01df,0xffffffff,0xffffffff,0xff70ffff,
    0xffffffff,0xffffffff,0x3601ffff,0x00cfffff,0x17ffffaa,0xffff1000,
    0x740009ff,0x7fc41fff,0xfb80005f,0xffffffff,0xffffffff,0xf70fffff,
    0xffffffff,0xffffffff,0x361fffff,0x80002fff,0xfffffffc,0xffffffff,
    0x003fffff,0xfffff100,0x0000009f,0x9ffffff1,0x3fe60000,0xf70005ff,
    0x7c403fff,0x4004ffff,0x41ffffe9,0x1ffffffc,0x0fffd000,0x00bffff3,
    0x07fffee0,0x0009fff7,0x321ffff0,0x01ffffff,0x20fffd00,0x02fffff9,
    0x3ffffa20,0x5bfff704,0x55555555,0x55555555,0x37ffee15,0xaaaaaaaa,
    0xaaaaaaaa,0xfffb80aa,0x3f2000df,0x20005fff,0xfffdfffb,0xfffd0000,
    0x05fff883,0xdfffb800,0xaaaaaaaa,0xaaaaaaaa,0xbfff70aa,0x55555555,
    0x55555555,0x3fff6155,0xffc80002,0xaaaaaadf,0xfffdbaaa,0x80003fff,
    0xfffdfffb,0x5c000000,0x0fffdfff,0xfff90000,0xff88005f,0x7fec03ff,
    0xb10001ff,0xffc8dfff,0x0006ffff,0x3f20fffd,0x44002fff,0xfb83ffff,
    0xf80004ff,0xfff90fff,0x2000dfff,0xffd07ffe,0x360001bf,0xfb82ffff,
    0x800004ff,0x0004fffb,0x3fffe600,0xfff90005,0x3fa0001f,0x03fffadf,
    0x83fffd00,0x0005fff8,0x004fffb8,0x4fffb800,0xffd80000,0xfc80002f,
    0xfc8003ff,0x0002ffff,0x7fd6fff4,0x4000003f,0xfffadffe,0x3fa00003,
    0x36000fff,0x7dc06fff,0x40002fff,0x321ffff9,0x3fffffff,0x07ffe800,
    0x003ffffa,0x706fffd8,0x00009fff,0x3f21ffff,0x03ffffff,0xb87ffe80,
    0x0000ffff,0x207fffec,0x0004fffb,0x04fffb80,0x3ffa0000,0x7f40005f,
    0xf98004ff,0x6fff8aff,0x3fffd000,0x005fff88,0x04fffb80,0xfffb8000,
    0xfd800004,0xc80002ff,0x30003fff,0x000fffff,0x7c57ffcc,0x000006ff,
    0x3e2bffe6,0x200006ff,0x004ffff9,0x801ffff7,0x0005ffff,0x649fffb0,
    0xffffefff,0x3fff4001,0x09ffff30,0x03fffee0,0x0027ffdc,0xc87fffc0,
    0xffffefff,0x3fff4001,0x00ffffe2,0x3fffe200,0x027ffdc3,0x7ffdc000,
    0xf3000004,0x80003fff,0x000ffffb,0xfd87ffe4,0xfe8001ff,0x7ffc41ff,
    0xffb80005,0xb800004f,0x00004fff,0x002fffd8,0x03fffc80,0x3fffea00,
    0xfff90003,0x007fff61,0x7ffe4000,0x003fffb0,0x7fffe400,0x7fffc401,
    0x7fffcc03,0xff300000,0x57ffe45b,0x4006fffe,0x7e407ffe,0x7c401fff,
    0x3ee03fff,0xf80004ff,0xfff90fff,0x00dfffd5,0x7e47ffe8,0x200006ff,
    0x7dc6fffb,0x800004ff,0x0004fffb,0x0bfff900,0x2f3be000,0x37ffc000,
    0x0009fff5,0xf883fffd,0x400605ff,0x0004fffb,0x04fffb80,0xfffd8000,
    0xffc80002,0x7e40003f,0xff0007ff,0x27ffd4df,0xfff80000,0x013ffea6,
    0xdfffd000,0x05fffd80,0x005fffc8,0xffc80c00,0x3ffff9af,0x01fffa00,
    0xb01bfffa,0xfb80bfff,0xf80004ff,0xfff90fff,0x07ffff35,0x3e3fff40,
    0x00002fff,0xb87fffe2,0x00004fff,0x004fffb8,0x5ffff000,0x00020000,
    0x7c4fffa8,0x74000fff,0x7fc41fff,0x3ffb265f,0xff702cef,0x7000009f,
    0x00009fff,0x005fffb0,0x07fff900,0xffff9800,0x7ffd4002,0x007fffc4,
    0x3ffea000,0x007fffc4,0xffff3000,0x3fffea09,0x3ffff800,0xf9000000,
    0x3fff25ff,0xfffd001f,0x9ffff300,0x03fffea0,0x009fff70,0x21ffff00,
    0xff92fffc,0x3fa003ff,0x3fffe27f,0x7f400000,0x3ffee3ff,0xfb800004,
    0x800004ff,0x001ffffa,0xfd800000,0x7ffe41ff,0x7fff4003,0xbafffc41,
    0xffffffff,0x4fffb84f,0xffb80000,0xd800004f,0x80002fff,0x0003fffc,
    0x004fffe8,0x320fffec,0x00003fff,0x320fffec,0x00003fff,0x20ffffe4,
    0x802ffff8,0x002ffff9,0xfff90000,0x037fff45,0x9007ffe8,0xf883ffff,
    0xfb802fff,0xf80004ff,0xfff90fff,0x037fff45,0x3e67ffe8,0x800007ff,
    0x3ee5fffb,0x800004ff,0x0004fffb,0x07fffb80,0x88000000,0xff986fff,
    0x7ff4006f,0x77ffc41f,0xfffffffd,0x7dc4ffff,0x800004ff,0x0004fffb,
    0x02fffd80,0x3fffc800,0xfffb8000,0x3ffe2006,0x06fff986,0x3ffe2000,
    0x06fff986,0x7ff44000,0x2fffe46f,0x0ffffa80,0xf9000000,0x7ffcc5ff,
    0x7ffe804f,0xdfffd100,0x005fffc8,0x0009fff7,0x321ffff0,0x3fe62fff,
    0xffe804ff,0x01bffea7,0x3ffea000,0x013ffee6,0x3ffee000,0xfb800004,
    0x000006ff,0x3fffb800,0x003fffd0,0x220ffff4,0xdfffffff,0xfffea98a,
    0x13ffee3f,0x3fee0000,0xd800004f,0x80002fff,0x0003fffc,0x007fff98,
    0x740fffee,0x00001fff,0x3a07fff7,0x00001fff,0x997fffcc,0x7000ffff,
    0x0000ffff,0x17ffe400,0x007ffff2,0x4c00fffd,0xff32ffff,0x3ee001ff,
    0xccccceff,0xcccccccc,0x0ffffccc,0xfc85fff9,0x7f401fff,0x17ffee7f,
    0x3fe60000,0x13ffee7f,0x3fee0000,0xc800004f,0x00005fff,0xfffe8000,
    0x0bfff700,0x20ffff40,0x0efffff8,0xb9bfff60,0x00004fff,0x004fffb8,
    0x2fffd800,0xfffc8000,0xff880003,0xffd000ff,0x3ffee01f,0xffd00005,
    0x3ffee01f,0xfc800005,0xfffe8fff,0x3fff2002,0x20000005,0xfe82fffc,
    0x7ff406ff,0x7ffe4007,0x02fffe8f,0x3ffffee0,0xffffffff,0xffffffff,
    0xfff90fff,0x0dfffd05,0x3f27ffe8,0x800004ff,0x3ee7fff9,0xffffffff,
    0xffffffff,0x7fdc7fff,0xffffffff,0xffffffff,0x7ffec7ff,0x00000004,
    0x102fffcc,0x2001ffff,0x7c41fffe,0x4401ffff,0xff70ffff,0xffffffff,
    0xffffffff,0xfffb8fff,0xffffffff,0xffffffff,0x17ffec7f,0x7ffe4000,
    0xff880003,0xff9801ff,0x3ffe205f,0x7cc0000f,0x3fe205ff,0x400000ff,
    0xffefffe8,0x7fe4004f,0x7ffc004f,0xffffffff,0x5fff92ff,0x09ffff30,
    0x2003fff4,0xffefffe8,0x7fdc004f,0xffffffff,0xffffffff,0x90ffffff,
    0xff305fff,0x7ff409ff,0x00ffffa7,0x3ffe2000,0xfffff70f,0xffffffff,
    0xffffffff,0xffffffb8,0xffffffff,0x47ffffff,0x0003fffd,0x7fe40000,
    0x7ffec02f,0x3fffd003,0x02ffff88,0x2e3fffb0,0xffffffff,0xffffffff,
    0x7dc7ffff,0xffffffff,0xffffffff,0x7fec7fff,0xfc80002f,0xf00003ff,
    0xf9003fff,0xffd805ff,0x7e40003f,0x7fec02ff,0xa800003f,0x0effffff,
    0x2fffe400,0x3ffffe00,0xffffffff,0x205fff92,0xd01ffffc,0xf5000fff,
    0x01dfffff,0xfffffb80,0xffffffff,0xffffffff,0xfff90fff,0x3ffff205,
    0x6cfffd01,0x00003fff,0x2e7fff98,0xffffffff,0xffffffff,0x7dc7ffff,
    0xffffffff,0xffffffff,0x7fe47fff,0x0000004f,0x01fffe20,0x401bffea,
    0x7c41fffe,0xf9001fff,0x3ffee5ff,0xffffffff,0xffffffff,0x7fffdc7f,
    0xffffffff,0xffffffff,0x017ffec7,0x1fffe400,0xffff8000,0x3fffc401,
    0x037ffd40,0x0ffff100,0x00dfff50,0x3fff2000,0xfb8001ff,0x7fc006ff,
    0xffffffff,0xfff92fff,0x37fff405,0x0007ffe8,0x03fffff9,0x3bfff700,
    0x33333333,0xf3333333,0x3ff21fff,0x3fffa02f,0x6cfffd06,0x00004fff,
    0x2e7fffb8,0xccccefff,0xcccccccc,0x7dc4cccc,0xccccceff,0xcccccccc,
    0x7fe44ccc,0x0000004f,0x013ffee0,0x4017fffc,0x7c41fffe,0x3ee007ff,
    0xdfff72ff,0x99999999,0x99999999,0xcefffb89,0xcccccccc,0x4ccccccc,
    0x0017ffec,0x01fffe40,0x7fffc400,0x27ffdc00,0x02ffff80,0x09fff700,
    0x00bfffe0,0x3ffe2000,0xff50004f,0xccc800ff,0xfecccccc,0x5fff92ff,
    0x27fffcc0,0x8003fff4,0x004ffff8,0x009fff70,0x21ffff00,0x2602fffc,
    0xfe84ffff,0x17fff27f,0x3ff20000,0x13ffee6f,0x3fee0000,0xb800004f,
    0x00005fff,0x3fffa000,0xbfff9001,0x83fffd00,0x2006fff8,0xff72fffb,
    0x7000009f,0x00009fff,0x005fffb0,0x07fff900,0xffff3000,0x03fffd00,
    0x017fff20,0x00ffff40,0x005fffc8,0x5fffb000,0x3ffe6000,0x6c00000f,
    0xfff92fff,0xffffc805,0x003fff41,0x005fffb0,0x013ffee0,0x43fffe00,
    0x6402fffc,0x7f41ffff,0x1fffee7f,0x3ff60000,0x13ffee5f,0x3fee0000,
    0xa800004f,0x00007fff,0xffff3000,0xdddddddd,0x1ffffddd,0x41fffe80,
    0x2005fff8,0xff72fffb,0x7000009f,0x00009fff,0x005fffb0,0x07fff900,
    0xdfff5000,0xeffff980,0xeeeeeeee,0x00ffffee,0x77fffcc0,0xeeeeeeee,
    0x00ffffee,0xfffd8000,0x3ffe0002,0x6c00003f,0xfff92fff,0xdfffd005,
    0x0007ffe8,0x000bfff6,0x0027ffdc,0xc87fffc0,0xfe802fff,0x3fff46ff,
    0x001ffff1,0x3fffe800,0x0013ffee,0x13ffee00,0x3fe20000,0x500001ff,
    0x7e40159d,0xffffffff,0xffffffff,0x7ff403ff,0x2fffc41f,0x25fff700,
    0x0004fffb,0x04fffb80,0xfffd8000,0xffc80002,0xfb80003f,0x7fe405ff,
    0xffffffff,0xffffffff,0x7fe4003f,0xffffffff,0xffffffff,0xd800003f,
    0x20002fff,0x0006fffc,0xc97ffec0,0xf9802fff,0x3ffa4fff,0x3ff60007,
    0xff70002f,0xff00009f,0x3fff21ff,0xffff9802,0xfd1fffa4,0x400007ff,
    0x2e0ffffa,0x00004fff,0x004fffb8,0x7fffb000,0x3ff60000,0x3fffe05f,
    0xffffffff,0xffffffff,0x0ffff406,0x8017ffe2,0xff72fffb,0x7000009f,
    0x00009fff,0x005fffb0,0x07fff900,0x9fffb000,0xffffff80,0xffffffff,
    0x06ffffff,0x7fffffc0,0xffffffff,0x06ffffff,0xfffd8000,0x3fe60002,
    0x200001ff,0xff92fffd,0x3ff2005f,0x0fffd1ff,0x17ffec00,0x4fffb800,
    0xffff8000,0x005fff90,0x747ffff2,0x7ffdc7ff,0xfd00000f,0xfffb8bff,
    0xfb800004,0x000004ff,0x000dfff7,0x05ffff10,0x2abbffea,0xaaaaaaaa,
    0x2ffffaaa,0x107fffa0,0x5c00bfff,0xfff72fff,0xf7000009,0x000009ff,
    0x0005fffb,0x007fff90,0x3ffff880,0x2bbffea0,0xaaaaaaaa,0xffffaaaa,
    0xdfff5002,0x55555555,0xfff55555,0xd800005f,0x40002fff,0x000efffe,
    0x25fffb00,0x2002fffc,0xffd6fffe,0x7fec000f,0xff70002f,0xff00009f,
    0x3fff21ff,0x3fffa002,0xf88fffd6,0x80005fff,0x5c2ffffb,0x00004fff,
    0x004fffb8,0xffff1000,0xffb80007,0x3fff606f,0xfffb0002,0x0ffff40b,
    0x8017ffe2,0xff72fffb,0x7000009f,0x00009fff,0x005fffb0,0x07fff900,
    0xffffc800,0x0bfff600,0x2fffec00,0x02fffd80,0x0bfffb00,0xfffd8000,
    0x7fcc0002,0x880005ff,0xff92fffe,0x7fcc005f,0x07ffecff,0x0bfff600,
    0x27ffdc00,0x7fffc000,0x005fff90,0x767fffcc,0xfffb87ff,0x3e20002f,
    0xffb85fff,0xb800004f,0x00004fff,0x03ffff20,0x7fffcc00,0x1ffff103,
    0x3ffe6000,0x3fffd00f,0x005fff88,0x7dcbffee,0x800004ff,0x0004fffb,
    0x02fffd80,0x3fffc800,0x3ffe2000,0x3ffe204f,0xff30000f,0xff8801ff,
    0xf30000ff,0x00001fff,0x0017ffec,0x77fffdc0,0xfff50000,0x3fff25ff,
    0x7ffe4002,0x0007ffff,0x000bfff6,0x0027ffdc,0xc87fffc0,0x64002fff,
    0x7fffffff,0x07ffffb0,0xfffff500,0x09fff701,0xfff70000,0xe8000009,
    0x4001efff,0x00fffff8,0x000bfff7,0xd04fffe8,0xff883fff,0x3fee005f,
    0x09fff72f,0xfff70000,0xfb000009,0x900005ff,0x40007fff,0x200ffffd,
    0x0005fffb,0x2027fff4,0x0005fffb,0x0027fff4,0x05fffb00,0x3fffa000,
    0xd5000bff,0x23ffffff,0x8002fffc,0x7ffffffe,0x3fff6000,0xfff70002,
    0xfff00009,0x0bfff21f,0x3ffffa00,0xfff107ff,0x32001dff,0x702fffff,
    0x00009fff,0x009fff70,0xfffa8000,0xff7002ff,0x7f403fff,0x5c0002ff,
    0xffd07fff,0x5fff883f,0x4bffee00,0x0004fffb,0x04fffb80,0xfffd8000,
    0xffc80002,0xfc88003f,0x7f404fff,0x5c0002ff,0x7f407fff,0x5c0002ff,
    0x00007fff,0x000bfff6,0x7fffec40,0xb99abdff,0xffffffed,0x3fff20df,
    0xfff98002,0x20007fff,0x0002fffd,0x0009fff7,0x321ffff0,0x98002fff,
    0x07ffffff,0x3fffffa6,0xdb988abd,0x03fffffe,0x0013ffee,0x13ffee00,
    0x3ee00000,0x19bfffff,0xffffd751,0x7ffcc05f,0xff880007,0xfffe82ff,
    0x02fffc41,0x2e5fff70,0x00004fff,0x004fffb8,0x2fffd800,0xfffc8000,
    0x3fee2003,0x2600efff,0x80007fff,0x302ffff8,0x0000ffff,0x005ffff1,
    0x0bfff600,0xfff70000,0xffffffff,0xdfffffff,0x05fff903,0x3ffff200,
    0x3f60007f,0xf70002ff,0xf00009ff,0x3ff21fff,0xff90002f,0xd880ffff,
    0xffffffff,0xffffffff,0x7ffdc01f,0xeeeeeeef,0xeeeeeeee,0xfff75eee,
    0xdddddddf,0xdddddddd,0x7d40bddd,0xffffffff,0xffffffff,0x27ffe403,
    0xfffd8000,0x41fffe85,0x2005fff8,0xff72fffb,0xddddddff,0xdddddddd,
    0x3eebdddd,0xeeeeefff,0xeeeeeeee,0xfb5eeeee,0xddddddff,0xdddddddd,
    0x3bfff29d,0xeeeeeeee,0xfffffffe,0x7ffe400e,0xffb00004,0x3fff20bf,
    0xffb00004,0x360000bf,0x00002fff,0xfffffd98,0xffffffff,0x3ff203ff,
    0x3fa0002f,0x20007fff,0x0002fffd,0x0009fff7,0x321ffff0,0x20002fff,
    0x007ffffe,0xfffffff7,0xbfffffff,0xffff7001,0xffffffff,0xffffffff,
    0x3ffeedff,0xffffffff,0xffffffff,0x75406fff,0xffffffff,0x01dfffff,
    0x001ffff8,0x1ffff500,0x441fffe8,0x2e005fff,0xfff72fff,0xffffffff,
    0xffffffff,0x3feedfff,0xffffffff,0xffffffff,0xffb6ffff,0xffffffff,
    0xffffffff,0x3fffff2d,0xffffffff,0x0effffff,0x01ffff80,0xffff5000,
    0x03ffff01,0x3ffea000,0xfd80000f,0x000002ff,0x3ffffae2,0x0acdffff,
    0x017ffe40,0xfffff300,0x7ffec000,0xfff70002,0xfff00009,0x0bfff21f,
    0xffff9800,0x7ff54007,0xbeffffff,0x3ffee000,0xffffffff,0xffffffff,
    0xfff76fff,0xffffffff,0xffffffff,0x2600dfff,0xfffffffc,0xf5002eff,
    0x80000dff,0x7f44ffff,0x7ffc41ff,0x3ffee005,0xffffff72,0xffffffff,
    0xffffffff,0x3ffffeed,0xffffffff,0xffffffff,0xfffffb6f,0xffffffff,
    0x32dfffff,0xffffffff,0xffffffff,0xff5002df,0xf80000df,0x7fd44fff,
    0x7c00006f,0x80004fff,0x0002fffd,0x75531000,0xff900015,0xfc80005f,
    0x360007ff,0x70002fff,0x00009fff,0x3f21ffff,0x640002ff,0x20007fff,
    0x009abba9,0xfffff700,0xffffffff,0xffffffff,0x3fffeedf,0xffffffff,
    0xffffffff,0x998006ff,0x8000abba,0x0003fffd,0x23fffe40,0x7c41fffe,
    0x3ee005ff,0xffff72ff,0xffffffff,0xffffffff,0x3ffeedff,0xffffffff,
    0xffffffff,0xfffb6fff,0xffffffff,0xdfffffff,0x3ffffff2,0xdeffffff,
    0x7ec000bc,0x400003ff,0x7ec7fffc,0x400003ff,0x0007fffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x99880999,0x2aa60009,0xaaaaaaaa,
    0x7ffc01aa,0x4c4000ef,0x4cc00199,0x00000099,0x1bd70000,0x000276c0,
    0x4cc01100,0x80f32000,0x0c002cc8,0x20002660,0x74c4eee9,0x880004ee,
    0xaaaaaaaa,0x000aaaaa,0xd80bccb8,0x0000005e,0x3bb60000,0x006eed86,
    0xddd90000,0x8800000b,0x00001999,0x6c0eeed8,0x80000eee,0x99999999,
    0x80019999,0x76c0eeed,0x555000ee,0xffff8803,0x017fff41,0xffffff90,
    0x0bffffff,0x007fffdc,0x03ffff40,0x09ffff30,0xffffffa8,0x07ffffff,
    0x04ffa800,0x00007ff7,0x17dfff70,0xb002ffcc,0x3ff201ff,0xbfff9002,
    0x002ffb85,0x4c5fff98,0x80005fff,0xfffffff9,0x00ffffff,0x3ffffa20,
    0x0bff51cf,0x067f5400,0x3fe00000,0x07fff87f,0xffd00000,0x800000ff,
    0x000ffffc,0x07fff400,0x0003fffa,0xffffff10,0x3fffffff,0x0fffe800,
    0x4007fff4,0x9804fff8,0xff70efff,0xffc8009f,0xffffffff,0x3ffa05ff,
    0xffd0002f,0x7fcc00ff,0x7fd404ff,0xffffffff,0x880007ff,0xf731bfff,
    0x800001ff,0xfffffffb,0x003ffebd,0xf3037fee,0xffb001ff,0xf79fffff,
    0xf30003ff,0xfff98bff,0xff980005,0xffffffff,0x32000fff,0xffffffff,
    0x0003ffff,0x01ff9bfb,0x7ffc0000,0x007fff87,0xfffd0000,0xc800000f,
    0x0000ffff,0x207fff40,0x0000fffe,0x7fffffc4,0x1fffffff,0x07fff400,
    0x2003fffa,0x7004fff8,0xfff19fff,0xddd7000d,0xdddddddd,0x3ffea09d,
    0x3ffa0004,0x3fe6007f,0x7fd404ff,0xffffffff,0x500007ff,0xffffffff,
    0x8800007f,0xfffeefff,0x000fffff,0x7ef7fff4,0xfa803fff,0xfffffdff,
    0x30006fff,0xff98bfff,0xe880005f,0xeeeeeeee,0x1000eeee,0xff935fff,
    0x000dffff,0x03f88fe2,0x3ffe0000,0x007fff87,0xfffd0000,0xc800000f,
    0x0000ffff,0x207fff40,0x0000fffe,0x7fffffc4,0x1fffffff,0x07fff400,
    0x2003fffa,0x2004fff8,0xfffefffd,0x00000000,0x0002fff4,0x801ffffa,
    0x004ffff9,0x40000000,0xfffffffa,0xfa800003,0x3fff265f,0xe88002ef,
    0x4fffffff,0x545ff900,0x00dffffd,0x87999100,0x0003ccc8,0x98000000,
    0xdfeb85ff,0x21f20002,0x2000006c,0xccc84ccc,0xd0000004,0x0000ffff,
    0x0ffffc80,0x665c0000,0x06665c0c,0x00000000,0x40cccb80,0xf1004ccb,
    0x744009ff,0x001fffff,0x7d400000,0x5c0000ff,0x22004ccc,0x0002cccc,
    0x50000000,0x00015997,0x20732600,0x80001ca8,0x01cefedb,0x260332e0,
    0x000000bb,0x00000000,0x09988000,0x7d400000,0x00002f41,0x00000000,
    0x00000000,0x033332a0,0x00000000,0x00000000,0x88000000,0x4c004fff,
    0x0002eeee,0x66426664,0x0000004c,0x54c00000,0xa80001aa,0x000002aa,
    0x00000000,0x00000000,0xa9800000,0xa80001aa,0x988002aa,0x2ccefecb,
    0x00000000,0x5f70df80,0x98800000,0x2ccefecb,0x65400000,0x0abceeec,
    0x00000000,0x2aaa0000,0x2a60001a,0xaaaaaaaa,0xaaaaaaaa,0x530aaaaa,
    0x55555555,0x55555555,0x88155555,0x00004fff,0x7fff8000,0x2207fff8,
    0xaa981aaa,0xaaaaaaaa,0xaaaaaaaa,0x2aa0aaaa,0x9fff90aa,0xffff0000,
    0x55540001,0x0000001a,0x000d5554,0x02aaaa00,0x000d554c,0xf9155540,
    0xf00009ff,0x2a001fff,0xffffffff,0x000befff,0x00555540,0xffffb800,
    0x2a000006,0xffffffff,0x000befff,0xffff9300,0xffffffff,0x2aa20019,
    0xaaaaaaaa,0xaaaaaaaa,0x0000aaaa,0x00dffff5,0x7ffffdc0,0xffffffff,
    0xffffffff,0xfffff70f,0xffffffff,0xffffffff,0x4fff881f,0x5555554c,
    0xaaaaaaaa,0xaaaaaaaa,0xf0ffff00,0x7fc40fff,0xffffb84f,0xffffffff,
    0xffffffff,0x3fffa0ff,0x009fff91,0x01ffff00,0x3fffea00,0x20000006,
    0x006ffffa,0x0ffff400,0x01ffffc8,0x93fff400,0x00009fff,0x8801ffff,
    0xfffffffd,0xffffffff,0x3ffa0003,0xf500001f,0x0000dfff,0xfffffb10,
    0xffffffff,0x440007ff,0xfffffffd,0xffffffff,0xfff9804f,0xffffffff,
    0xffffffff,0xb0000fff,0x003fffff,0x3ffffee0,0xffffffff,0xffffffff,
    0xfffff70f,0xffffffff,0xffffffff,0x4fff881f,0x7fffffdc,0xffffffff,
    0xffffffff,0xf0ffff00,0x7fc40fff,0xffffb84f,0xffffffff,0xffffffff,
    0x3fffa0ff,0x009fff91,0x01ffff00,0x3ffff600,0x0000001f,0x03fffffb,
    0x7fff4000,0xdffff901,0x7ffe8000,0x0013fff2,0x803fffe0,0xfffffffa,
    0xffffecdf,0xd0004fff,0x00003fff,0x07fffff6,0xfffa8000,0xecdfffff,
    0x4fffffff,0xffff9800,0xeddeffff,0x5fffffff,0x7ffffcc0,0xffffffff,
    0xffffffff,0xff88000f,0x0004ffff,0xfffffff7,0xffffffff,0x1fffffff,
    0x3fffffee,0xffffffff,0xffffffff,0x227ffc40,0xfffffffb,0xffffffff,
    0x0fffffff,0xdb0dddb0,0x7ffc40dd,0xfffffb84,0xffffffff,0xffffffff,
    0x47fffa0f,0x0004fffc,0x000ffff8,0xffffff88,0x88000004,0x04ffffff,
    0x3fffa000,0xfffff901,0x7ff40007,0x013fff27,0x03fffe00,0x6fffffe4,
    0xfff93009,0xe8001dff,0x80001fff,0x4ffffff8,0xfff90000,0x26013bff,
    0x0efffffc,0xfffff500,0x9310137d,0x409fffff,0xfffffff9,0xffffffff,
    0x0fffffff,0xdfffb800,0xb8000fff,0xaaaadfff,0xaaaaaaaa,0x70aaaaaa,
    0x5555bfff,0x55555555,0x81555555,0x2e24fff8,0xffffffff,0xffffffff,
    0x00ffffff,0x7fc40000,0xdfffb84f,0xaaaaaaaa,0xaaaaaaaa,0x3fffa0aa,
    0x009fff91,0x01ffff00,0xfbfff700,0x000001ff,0xffdfffb8,0xfd00000f,
    0x3ff203ff,0x0001ffff,0x7fe4fffd,0xff80004f,0xfff980ff,0x3a2002ff,
    0x4004ffff,0x0001fffe,0xffdfffb8,0x7cc0000f,0x2002ffff,0x04ffffe8,
    0x4fffff88,0x7fff4c00,0x5555101f,0x55555555,0xfff75555,0xfd0001ff,
    0x07fff5bf,0x09fff700,0xfff70000,0x44000009,0xf7974fff,0x55555bff,
    0x55555555,0x00155555,0xfff88000,0x04fffb84,0xfffd0000,0x013fff23,
    0x03fffe00,0x2b7ffa00,0x00003fff,0x7d6fff40,0xd00003ff,0x3f203fff,
    0x006fffff,0x7e4fffd0,0xf80004ff,0xffe80fff,0xfb0000df,0x74005fff,
    0x80001fff,0xfffadffe,0x7ff40003,0xfb0000df,0xfd805fff,0x10001fff,
    0x000dfffb,0x7fffec00,0xfff98001,0x006fff8a,0x004fffb8,0x4fffb800,
    0x3e200000,0xfbcfcdff,0x000004ff,0x3e200000,0xfffb84ff,0xfd000004,
    0x3fff23ff,0xfff80004,0x7fcc000f,0x06fff8af,0x3fe60000,0x06fff8af,
    0x3fffd000,0x3fffff20,0xfe8003ff,0x13fff27f,0x3fffe000,0x07fffdc0,
    0x3fff6000,0xfffd000f,0xff980003,0x06fff8af,0x3fffee00,0x7fec0000,
    0xfff700ff,0xf980005f,0x00001fff,0x02ffffd8,0x21fff900,0x4001fffd,
    0x0004fffb,0x04fffb80,0x3fe20000,0xffbcffff,0x0000004f,0x3fe20000,
    0x4fffb84f,0xffd00000,0x13fff23f,0x3fffe000,0x7ffe4000,0x003fffb0,
    0x3fff2000,0x003fffb0,0x03fffd00,0x3ffbfff2,0x7f4001ff,0x13fff27f,
    0x3fffe000,0x0ffffe20,0x3ffe2000,0xfffd003f,0xffc80003,0x03fffb0f,
    0x7ffff100,0xfff10000,0x3fffe07f,0xffb00005,0xc800009f,0x0004ffff,
    0xffa9bffe,0x7fdc004f,0xb800004f,0x00004fff,0x3ffffe20,0x04fffb8e,
    0xeee88000,0x3bbae003,0x213ffe21,0x0004fffb,0x23fffd00,0x0004fffc,
    0x000ffff8,0xff537ffc,0x2000009f,0x3fea6fff,0xfe80004f,0xfff901ff,
    0x00dfffd5,0x3f27ffe8,0xf80004ff,0x3ff20fff,0x2e00006f,0xfd006fff,
    0xf80003ff,0x3ffea6ff,0xfffc8004,0x3ee00006,0xfff986ff,0xf300000f,
    0x400005bf,0x005ffffa,0xf13ffea0,0x5c001fff,0x00004fff,0x004fffb8,
    0x3ffe2000,0x13ffee5f,0x3fe20000,0x3ff2004f,0x13ffe21f,0x0013ffee,
    0x8ffff400,0x0004fffc,0x000ffff8,0xff13ffea,0x800001ff,0x7fc4fffa,
    0x740000ff,0xff901fff,0x7ffff35f,0x93fff400,0x00009fff,0x7fc1ffff,
    0x200002ff,0x801ffff8,0x0001fffe,0xff13ffea,0xff8001ff,0x200002ff,
    0x641ffff8,0x00005fff,0x4c00000c,0x000effff,0x907fff60,0x5c007fff,
    0x00004fff,0x004fffb8,0x3ffea000,0x027ffdc5,0x7ffc4000,0x3fff2004,
    0x213ffe21,0x0004fffb,0x23fffd00,0x0004fffc,0x000ffff8,0xf907fff6,
    0x800007ff,0x7e41fffd,0x740003ff,0xff901fff,0x3ffff25f,0x4fffd001,
    0x0004fffc,0xf10ffff8,0x00001fff,0x803fffe8,0x0001fffe,0xf907fff6,
    0x7c4007ff,0x00000fff,0x3e1ffff4,0x00003fff,0x74400000,0x0001ffff,
    0x261bffe2,0x2e006fff,0x00004fff,0x004fffb8,0xffff7000,0x04fffb89,
    0xfff88000,0x3fff2004,0x213ffe21,0x0004fffb,0x23fffd00,0x0004fffc,
    0x000ffff8,0xf30dfff1,0x40000dff,0xf986fff8,0x740006ff,0xff901fff,
    0x37fff45f,0x327ffe80,0x80004fff,0xff30ffff,0x700000ff,0xfd00bfff,
    0x220003ff,0xff986fff,0x3fe6006f,0xb800007f,0x3fe65fff,0x000002ff,
    0x7fec0000,0x5c0002ff,0xffd03fff,0x3fee003f,0xb800004f,0x00004fff,
    0x4fffffc8,0x0027ffdc,0x27ffc400,0x43fff900,0xfb84fff8,0x000004ff,
    0x3f23fffd,0xf80004ff,0xf7000fff,0x3ffa07ff,0xf700001f,0x3ffa07ff,
    0x3fa0001f,0xfff901ff,0x27fffcc5,0xf93fff40,0xf00009ff,0x3fea1fff,
    0xa800006f,0xfe806fff,0xf70001ff,0x3ffa07ff,0xfff5001f,0xf500000d,
    0x7ffd4dff,0x0000000f,0x3fff2000,0xfe80004f,0xfff700ff,0x3ffee00b,
    0xfb800004,0x800004ff,0x44ffffff,0x0004fffb,0x04fff880,0x887fff20,
    0xffb84fff,0xd000004f,0x3ff23fff,0xff80004f,0xffd000ff,0x3ffee01f,
    0xffd00005,0x3ffee01f,0x3ffa0005,0x5fff901f,0x01ffffc8,0xff93fff4,
    0xff00009f,0x3ffee1ff,0xf9800005,0xffe807ff,0xffd0001f,0x3ffee01f,
    0xbfff7005,0xff300000,0x3fffdcff,0x00000000,0x0bffff50,0xbfff3000,
    0x07fffc40,0x7ffffdc0,0xffffffff,0x7fffffff,0x7fffffdc,0xffffffff,
    0x47ffffff,0x44fff9ef,0x0004fffb,0x04fff880,0x887fff20,0xffb84fff,
    0xffffffff,0xffffffff,0xfffe87ff,0x009fff91,0x01ffff00,0x40bfff30,
    0x000ffff8,0x02fffcc0,0x001ffff1,0x407fffa0,0xfe82fffc,0x7ff406ff,
    0x013fff27,0x43fffe00,0x0004fffc,0x07fff980,0x001fffe8,0x205fff98,
    0x800ffff8,0x0004fffc,0x27fff980,0x0005fffc,0xf3000000,0x0001dfff,
    0x805fff90,0xb803fffd,0xffffffff,0xffffffff,0x7dc7ffff,0xffffffff,
    0xffffffff,0xf8a47fff,0x7ffdc4ff,0xffffffff,0xffffffff,0x27ffc47f,
    0x43fff900,0xfb84fff8,0xffffffff,0xffffffff,0xffe87fff,0x09fff91f,
    0x1ffff000,0x05fff900,0x003fffd8,0x017ffe40,0x000ffff6,0xc80ffff4,
    0xff982fff,0x3ffa04ff,0x013fff27,0x43fffe00,0x0003fffe,0x0ffff880,
    0x00ffff40,0x017ffe40,0x200ffff6,0x0003fffe,0x0ffff880,0x8009fff9,
    0xffffffff,0x002fffff,0x0fffff44,0x7ffc4000,0x6fffa807,0xfffffb80,
    0xffffffff,0x7fffffff,0x7fffffdc,0xffffffff,0x07ffffff,0xfb89fff1,
    0xffffffff,0xffffffff,0x7fc47fff,0x3ff2004f,0x13ffe21f,0x3fffffee,
    0xffffffff,0x87ffffff,0xff91fffe,0xff00009f,0xff8801ff,0xfffa807f,
    0x3fe20006,0xfffa807f,0xfffd0006,0x0bfff203,0x80ffffe4,0x3ff27ffe,
    0xff80004f,0x7fffb0ff,0xff300000,0xfffd00ff,0xfff88003,0x6fffa807,
    0x03fffd80,0xfff98000,0x017fff27,0xfffffff0,0x05ffffff,0x2ffffd80,
    0xfff70000,0x3fffe009,0x77ffdc02,0xcccccccc,0xcccccccc,0x677ffdc4,
    0xcccccccc,0x4ccccccc,0xb89fff10,0xffffffff,0xffffffff,0x7c47ffff,
    0x3f2004ff,0x3ffe21ff,0xcefffb84,0xcccccccc,0x4ccccccc,0xf71fffe8,
    0xf00009ff,0xfb801fff,0xfff004ff,0x3ee0005f,0xfff004ff,0xffd0005f,
    0x3fff203f,0x1bfffa02,0xff73fff4,0xff00009f,0x3fff61ff,0xfb800004,
    0xffe807ff,0x7fdc001f,0xffff004f,0x4fffd805,0xffb80000,0x1bffee7f,
    0xffffff00,0x5fffffff,0x7fffe400,0x3fa00003,0xff9001ff,0xfffb80bf,
    0xfb800004,0x000004ff,0xf713ffe2,0x99999dff,0x99999999,0xff889999,
    0x3ff2004f,0x13ffe21f,0x0013ffee,0x8ffff400,0x0004fffb,0x007fffc4,
    0x4007fffa,0x0005fffc,0x2003fffd,0x8005fffc,0xf901fffe,0x7fcc05ff,
    0x7ffe84ff,0x0013ffee,0x21ffff10,0x0005fffc,0x06fffc80,0x001fffe8,
    0x800ffff4,0x6405fffc,0x00005fff,0x2a6fffc8,0x64007fff,0xcccccccc,
    0x5002fffe,0x000bffff,0x77fffcc0,0xeeeeeeee,0x00ffffee,0x0013ffee,
    0x13ffee00,0xff880000,0x27ffdc4f,0x7fc40000,0x3ff2004f,0x13ffe21f,
    0x0013ffee,0x8ffff400,0x0005fffb,0x203fffc4,0xeeeffff9,0xeeeeeeee,
    0x4000ffff,0xeeeffff9,0xeeeeeeee,0x4000ffff,0xf901fffe,0xffc805ff,
    0x3fff41ff,0x000bfff7,0x2e7fff88,0x00007fff,0x805fffd8,0x2001fffe,
    0xeeeffff9,0xeeeeeeee,0x2e00ffff,0x00007fff,0x265fffd8,0x0000ffff,
    0x017ffec0,0x077fffcc,0xfff90000,0xffffffff,0xffffffff,0x27ffdc07,
    0x7fdc0000,0x2000004f,0x7dc4fff8,0x800004ff,0x2004fff8,0x3e21fffc,
    0xfffb84ff,0xfd000004,0x3ffea3ff,0x7fcc0005,0x7ffe407f,0xffffffff,
    0xffffffff,0x7ffe4003,0xffffffff,0xffffffff,0x7fff4003,0x05fff901,
    0xe8dfffd0,0x3ffea7ff,0x7fcc0005,0x3fffe27f,0x7f400000,0xffe803ff,
    0x3ff2001f,0xffffffff,0xffffffff,0x3ffe203f,0x7400000f,0x7ffc3fff,
    0x6c00003f,0x74402fff,0x0000ffff,0x7fffffc0,0xffffffff,0x06ffffff,
    0x0013ffee,0x13ffee00,0xff880000,0x27ffdc4f,0x7fc40000,0x3ff2004f,
    0x13ffe21f,0x0013ffee,0x8ffff400,0x0006fff9,0x2037ffd4,0xffffffff,
    0xffffffff,0x4006ffff,0xffffffff,0xffffffff,0x4006ffff,0xf901fffe,
    0xff3005ff,0x3fff49ff,0x000dfff3,0x746fffa8,0x00003fff,0x003fffea,
    0x8007fffa,0xffffffff,0xffffffff,0x7406ffff,0x00003fff,0x903fffea,
    0x0000dfff,0x402fffd8,0x002ffffd,0x77ffd400,0xaaaaaaaa,0xfffaaaaa,
    0x9fff702f,0xff700000,0x4000009f,0x7dc4fff8,0x800004ff,0x2005fff8,
    0x3e21fffd,0xfffb84ff,0xfd000004,0x3ffe23ff,0x7fdc0007,0x3ffea05f,
    0xaaaaaaae,0xffaaaaaa,0xff5002ff,0x555555df,0xf5555555,0x74005fff,
    0xff901fff,0x3ff2005f,0x4fffd1ff,0x0007fff8,0x2e2fffdc,0x0000ffff,
    0x00bfffd0,0x4007fffa,0xaaaefffa,0xaaaaaaaa,0x02ffffaa,0x003fffee,
    0x2ffff400,0x00ffffcc,0x5fffb000,0x1ffffdc0,0x7fec0000,0xffb0002f,
    0x3ffee0bf,0xfb800004,0x000004ff,0xf713ffe2,0x000009ff,0x400bfff1,
    0x3e21fffe,0xfffb84ff,0xfd000004,0x7fff43ff,0x3ffa0001,0x3fff603f,
    0xfffb0002,0x3fff600b,0xfffb0002,0x7fff400b,0x05fff901,0xeb7fff40,
    0x7fff47ff,0x3ffa0001,0x7fffc43f,0xffb80005,0xffd002ff,0x3ff6003f,
    0xffb0002f,0x7ffc40bf,0xfb80005f,0xffd02fff,0x200001df,0xf502fffd,
    0x0000bfff,0x01ffff10,0x3fffe600,0x04fffb80,0xfffb8000,0x22000004,
    0x7fdc4fff,0xf000004f,0x3e200dff,0x3fe21fff,0x4fffb84f,0xffd00000,
    0x77ffe43f,0xfffa8000,0xffff101f,0x3fe60001,0x7fc400ff,0xf30000ff,
    0x3a001fff,0xff901fff,0x7fcc005f,0x47ffecff,0x000efffc,0x81ffffa8,
    0x002ffffb,0x17fffe20,0x01fffe80,0x00ffff88,0x1ffff300,0x17fffdc0,
    0xffff1000,0x7fffcc0b,0xfe880005,0xfff882ff,0x7000006f,0x8000bfff,
    0xfb84fffe,0x800004ff,0x0004fffb,0x13ffe200,0x0009fff7,0x07fffe00,
    0x87ffff60,0xfb84fff8,0x000004ff,0x7d43fffd,0xe8006fff,0x3ee06fff,
    0x740005ff,0x7dc04fff,0x740005ff,0xfd004fff,0x3ff203ff,0x7fe4002f,
    0x547fffff,0x8006ffff,0x3606fffe,0x8003ffff,0x00fffffa,0x007fffa0,
    0x0017ffee,0x809fffd0,0x003ffffd,0x0fffffa8,0x77fffdc0,0xfff50000,
    0xffe885ff,0x000000ff,0x0005fffd,0xb87fffb8,0x00004fff,0x004fffb8,
    0x3ee00000,0x000004ff,0xc80dfffb,0x221fffff,0xffb84fff,0xd000004f,
    0xffd83fff,0xea800dff,0x3a02ffff,0x40002fff,0x7407fffb,0x40002fff,
    0xd007fffb,0x3f203fff,0xfe8002ff,0xd87fffff,0x800dffff,0x02ffffea,
    0x3bffffe2,0xffff9000,0xffe8005f,0xfffe801f,0x7fdc0002,0x7ffc407f,
    0xf9000eff,0x2005ffff,0x0bfffffe,0xffffd500,0xfffd83ff,0x3000001f,
    0x0000ffff,0xb85ffff1,0x00004fff,0x004fffb8,0x39999000,0x009fff70,
    0x3ffea000,0xfb510adf,0x443fffff,0xffb84fff,0xd000004f,0xff883fff,
    0x9bdeffff,0xffffecba,0x3ffe605f,0xff880007,0xfff302ff,0xff10000f,
    0xffd005ff,0x3fff203f,0xfff98002,0xff887fff,0x9bdeffff,0xffffecba,
    0xffe9805f,0x88abdfff,0xffffedb9,0xffe8003f,0x7ffcc01f,0xff880007,
    0x7f4c02ff,0x8abdffff,0xfffedb98,0x362003ff,0xbdffffff,0xffedb99a,
    0x40dfffff,0x002ffffb,0x3fff2000,0xffb00004,0xffffb8bf,0xeeeeeeee,
    0xeeeeeeee,0xffff75ee,0xdddddddd,0xdddddddd,0x7fffcbdd,0x04fffb81,
    0x3ffa0000,0xfffeffff,0x21fff9ef,0xfb84fff8,0xeeeeefff,0xeeeeeeee,
    0x3a5eeeee,0xffa81fff,0xffffffff,0x5fffffff,0x027ffe40,0x5fffd800,
    0x009fff90,0x17fff600,0x407fffa0,0x0002fffc,0x0ffffff9,0x3fffffea,
    0xffffffff,0x22005fff,0xfffffffd,0xffffffff,0xfd0001ff,0xffc803ff,
    0xfb00004f,0xfb100bff,0xffffffff,0xffffffff,0x3fee0003,0xffffffff,
    0xffffffff,0xffff881e,0xeeeeeeef,0xeeeeeeee,0x7fc4eeee,0x500001ff,
    0x7dc1ffff,0xffffffff,0xffffffff,0xf76fffff,0xffffffff,0xffffffff,
    0x7cdfffff,0xffb81fff,0xeeeeeeff,0xeeeeeeee,0x6c45eeee,0xffffffff,
    0x43fff35f,0xfb84fff8,0xffffffff,0xffffffff,0x3a6fffff,0xfd101fff,
    0xffffffff,0x007fffff,0x0003ffff,0x03fffea0,0x0007fffe,0x07fffd40,
    0x407fffa0,0x0002fffc,0x81fffffa,0xffffffe8,0xffffffff,0xfff70003,
    0xffffffff,0x0001bfff,0x200ffff4,0x0001ffff,0x01ffff50,0x3ffffee0,
    0xffffffff,0x4c0000df,0xfffffffd,0xffffffff,0x3fffe203,0xffffffff,
    0xffffffff,0x3ea5ffff,0x400006ff,0x3ee4ffff,0xffffffff,0xffffffff,
    0xf76fffff,0xffffffff,0xffffffff,0x7cdfffff,0xffb81fff,0xffffffff,
    0xffffffff,0xd706ffff,0x47dfffff,0x3e21fff9,0xfffb84ff,0xffffffff,
    0xffffffff,0x3ffa6fff,0x7fed401f,0xefffffff,0xfffa800b,0x7fc00006,
    0x7ffd44ff,0x7fc00006,0x7ff404ff,0x5fff901f,0x7ffcc000,0xffda807f,
    0xefffffff,0xea80000b,0xffffffff,0xe80000be,0x3ea01fff,0x400006ff,
    0x4004ffff,0xffffffea,0x0000beff,0x7fff5c40,0xacdfffff,0x7fffc400,
    0xffffffff,0xffffffff,0x3f65ffff,0x400003ff,0x3ee7fffc,0xffffffff,
    0xffffffff,0xf76fffff,0xffffffff,0xffffffff,0x6cdfffff,0xffb81ddd,
    0xffffffff,0xffffffff,0x4406ffff,0x440009a9,0xffb84fff,0xffffffff,
    0xffffffff,0x3fa6ffff,0x2a6001ff,0x0019abba,0x001fffec,0x1ffff200,
    0x0007fffb,0x07fffc80,0xc80ffff4,0x40002fff,0x4007fffc,0x19abbaa9,
    0x2a600000,0x00009abb,0x00ffff40,0x0007fffb,0x07fffc80,0x2aeea600,
    0x00000009,0x01575531,0xfffff100,0xffffffff,0xffffffff,0x0000bfff,
    0x00000000,0x00000000,0x3ffee000,0xffffffff,0xffffffff,0x00006fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeed80000,0x07776c0e,0x42eeea80,0x0002eeea,0xffffff30,0x0fffffff,
    0x66666540,0x3ccccccc,0x20000000,0x332a0001,0x01bcdeee,0x00010000,
    0x80000188,0x75400019,0xfd00000e,0x372a007f,0x00001ccd,0x2001fff5,
    0x00000eea,0x0001fff3,0xca800098,0x20003cee,0x00002ffd,0x20000066,
    0x40000019,0x000ccccb,0x80003300,0x2e1cccc9,0xf8004ccc,0xfffe80ff,
    0x007fffc0,0x5c3fffb8,0x00003fff,0xfffffff3,0x00ffffff,0x7fffffe4,
    0x05ffffff,0xeedcb980,0x7e401acd,0x3fae2004,0xffffffff,0x3a2002ef,
    0xdffb31ee,0xfb910037,0x0059dfff,0x177ff540,0x07ffdc00,0x2ffdc000,
    0x7ffffc40,0x40004fff,0x7002fff8,0x00001fff,0x2205fff1,0x37261eee,
    0x802defff,0xeffffffc,0x37fcc001,0xffea8000,0x75c0002e,0x10bdffff,
    0x30005ddd,0xd007ffff,0x7edcc5dd,0x8002efff,0x3e66fffe,0x4c002fff,
    0xfffd05ff,0x00ffff81,0xb87fff70,0x00003fff,0xfffffff3,0x00ffffff,
    0x7fffffe4,0x05ffffff,0xffffd710,0x5dffffff,0x003fff70,0xfffffff7,
    0xffffffff,0xfff1003f,0xffffff35,0xffffb80f,0x0dffffff,0x4d77c400,
    0x3f2000fd,0x40000fff,0x4400fff9,0xffddfffe,0x360004ff,0xff9004ff,
    0xb00001ff,0x7fc409ff,0xfffff72f,0x6c09ffff,0xfffeffff,0x3ffa001f,
    0x5df00002,0x50001fb3,0xffffffff,0x7fff13df,0x9fffb000,0x54fffe00,
    0xffffffff,0xff3000ef,0x7ffec1ff,0x3ffc8004,0xf81fffd0,0xf7000fff,
    0xfffb87ff,0x26600003,0x99999999,0x32a00199,0xcccccccc,0xfa803ccc,
    0xffffffff,0x1effffff,0x9005fff5,0xdfffffff,0xfffffdbb,0xff8807ff,
    0xfffffeaf,0xfffb104f,0xffffffff,0x7dc003df,0x75401fc0,0x000fffff,
    0x00bffa20,0xfb03bfee,0x3ee000df,0xffea806f,0x40000fff,0x7c406ffa,
    0xffffcaff,0x6fffffff,0x50cfff98,0x2a00bffd,0x700006ff,0x4003f81f,
    0xfffffffa,0xffafffff,0x7fcc003f,0x3ffe006f,0xffffffbb,0x00ffffff,
    0x222fffc8,0xd0006fff,0x332e03ff,0x004ccc84,0x930b3326,0x00000599,
    0x00000000,0x7fffdc00,0xfeddffff,0xfdffffff,0xffe803ff,0x3009cfff,
    0x09fffffb,0x7ff7ffc4,0xb01ffeef,0x4439ffff,0x00ffffea,0x80bb0db0,
    0xfffdfffc,0x3ff20000,0x05b75005,0x1000fff5,0xfc803fff,0x00fffdff,
    0x07ffe200,0xffdfff10,0xfd73137f,0xffd85fff,0x02fff884,0x0001ffe8,
    0x00db0fb0,0x577fffcc,0xffffd510,0xfd8007ff,0x3fe000ff,0x8abfffef,
    0x4ffffda9,0x227ffc40,0x8000fffc,0x00007ff8,0x00000000,0x55554000,
    0x55400001,0x3f6000aa,0x009cffff,0xffffffb3,0xfff9009f,0x74c003df,
    0xf103ffff,0x443bffff,0x3dfff503,0x04fffd80,0x1fc43f50,0x7f477f60,
    0xff50000f,0x3600001d,0xfe8004ff,0x1dfd803f,0x40001ffd,0xf8803ffe,
    0x100dffff,0x7c4dfffd,0x9ffb01ff,0x005ffa80,0xf887ea00,0x3fffa003,
    0x3fff200d,0x3e2003ff,0x7fc002ff,0x3200dfff,0x7dc07fff,0x17ffc46f,
    0x04ffa800,0x402aaaa0,0x000aaaa9,0x0aaaaa00,0x7fffd400,0x7f400006,
    0xff7001ff,0x54005fff,0x806ffffe,0x004ffffa,0x1ffffd10,0x1fffff10,
    0x0ffff400,0x01fffd80,0x1fd77ff0,0x7ff41b80,0xfff88000,0x764c0001,
    0x64000eff,0x837005ff,0x70000ffe,0x3e200bff,0x4400ffff,0xff30ffff,
    0x17fee01f,0x0003ffd0,0xfeabff80,0xdfff5000,0x3ffff600,0x0aaa6003,
    0x3ffffe00,0x7fffc400,0x102aaa00,0x6c000555,0x3fa002ff,0xfff301ff,
    0x2e0000bf,0x0001ffff,0x03fffffb,0x7fff4000,0xffff8801,0xff88000d,
    0x3a201fff,0x40006fff,0x885ffff8,0x2003ffff,0x2004fffb,0x3005fff9,
    0x0003bffb,0x20003ffa,0x80004ffd,0x8004fffd,0x0000fff9,0x20003ffa,
    0x1000fff9,0x2007ffff,0xff51fffe,0x037fdc0f,0x0000bff5,0x03bffb30,
    0x017ffe40,0x03ffff98,0x3fe00000,0xffb003ff,0x0000005f,0x000fff80,
    0xc807fffa,0x0002ffff,0x027fffc4,0xfffff880,0x3a00004f,0xfe801fff,
    0x360007ff,0x205fffff,0x001ffffb,0x1ffffa80,0x00ffffc4,0x003fffb0,
    0x4007ffe8,0x7f400008,0x7fdc000f,0xfff00006,0x220019ff,0x40002ffe,
    0x44000ffe,0x22002ffe,0xb000ffff,0x3fea5fff,0x81ffea07,0x00001ffe,
    0x36000220,0x7ec006ff,0x4c4003ff,0x3fe13600,0xff9001ff,0x0188005f,
    0x0dff3000,0x01fffe80,0x007ffff4,0x0dfffd00,0x6fffdc00,0x00000fff,
    0x9803fffd,0x0002ffff,0xffffdffb,0x17fffa03,0xfffd8000,0x07fffc44,
    0x00fffd00,0x001fff90,0xffe80000,0x3ffe6000,0x2a200000,0xfb007ffc,
    0xfd00009f,0xffd8001f,0x7ffc4004,0x3fff2007,0x5c0fff32,0xbff506ff,
    0x98800000,0x2fffc000,0x0fffee00,0xffffb710,0x27fdc5bf,0x4003fffe,
    0x4c02fffb,0xceffffec,0x9ff70002,0x1fffe800,0x2ffffcc0,0xffffb800,
    0x3ffa0001,0x003fffad,0x03fffd00,0x006fffc8,0xfb1fff90,0xfff10bff,
    0x5400001f,0x7fc47fff,0x7ffc007f,0xcccccccf,0xffeccccc,0x07ddd11f,
    0x00f775c0,0x74001ffd,0x000003ff,0xf500bffa,0xd00001df,0x7d4001ff,
    0x7c4000ef,0x3ee006ff,0x1fff12ff,0x7417ff20,0x400001ff,0xfffffecb,
    0x3fe202de,0x7fd4004f,0x3ffea03f,0xefffffff,0x7fc0effb,0x3fea007f,
    0xfff9103f,0xbfffffff,0x1ffe8001,0x0ffff400,0x17fffe40,0x3fffe200,
    0x3fe60003,0x06fff8af,0x3fffd000,0x01ffff80,0x51fffb80,0xfb83ffff,
    0x400006ff,0x222ffff8,0x22005fff,0xffffffff,0xffffffff,0xff12ffff,
    0x7fe4009f,0x03ffa01f,0x002ffe40,0xbff90040,0x00fffc40,0x00ffe800,
    0x003fff10,0x00bfff10,0xff17ffdc,0x0fffa05f,0x00017fee,0xfffffe98,
    0x0dffffff,0x003fffa8,0x441fffcc,0xfffffffd,0xffffffff,0x006fff81,
    0x260fffea,0xffffffff,0x02ffffff,0x000fff10,0x2003fffd,0x000ffffe,
    0x001bfff6,0x361fff90,0x80001fff,0x2a01fffe,0xa8007fff,0x7ffc2fff,
    0x2fffec2f,0x7fec0000,0x17ffe23f,0xfffffa80,0xffffffff,0x3fffffff,
    0x4009fff1,0x3a01fffc,0xffa800ff,0xff10000f,0x9fff103f,0x001fff40,
    0x001ffd00,0x4000fff6,0x2005fff8,0x3f22fffb,0x0fff985f,0x0001fff8,
    0xffffff70,0xffffffff,0x2fffb81f,0x1fffc400,0x56ffffe4,0xffffd510,
    0x01bffe0b,0xe83fffa8,0x261bffff,0x01fffffb,0x8005ffa8,0x3001fffe,
    0x2009ffff,0x000ffffb,0xf537ffc0,0xd00009ff,0x7e403fff,0x7cc006ff,
    0xfffc83ff,0x027fff43,0x7ffe4000,0x017ffe24,0xccefff98,0xcccccccc,
    0x12cccccc,0x64009fff,0x3fa01fff,0x7ffc400f,0x7fec0002,0x3fff661e,
    0x00dff702,0x00ffe800,0x0006ffb8,0x8017ffe2,0x3e22fffb,0xffc8aeff,
    0x05ffb84f,0xffff5000,0xffe98839,0x7ffdc3ff,0x7ffcc003,0x1ffffcc3,
    0x07ffff60,0xa801bffe,0x7fdc3fff,0x3fa201ef,0xffc806ff,0xfffe8003,
    0x3fff2001,0x7ffc401f,0x7d40003f,0x7fffc4ff,0x7ff40000,0x3fff201f,
    0x3ffe6005,0x89fff704,0x0002fffe,0x25fffb80,0x2005fff8,0x0005fff8,
    0x013ffe20,0x201fffc8,0x7ec00ffe,0xf980004f,0xffffffff,0x1fff305f,
    0xffe80000,0x07ffcc00,0xbfff1000,0x17ffdc00,0x3fffffee,0x7fc40eff,
    0xfb00000f,0xff7005ff,0x4fff98ff,0x1fffd400,0x300ffffa,0xf0bfffff,
    0x7d400dff,0x3ffe63ff,0xfffd000f,0x00ffe805,0x01fffe80,0x037fff40,
    0x0017fff6,0x907fff60,0x80007fff,0x3601fffe,0xd1004fff,0x7fdc0bff,
    0x0ffffc5f,0x7fdc0000,0x17ffe26f,0x00ffff00,0x27ffc400,0x03fff900,
    0xf7007ff4,0x4c0000df,0xfffffffe,0x00bffa04,0x03ffa000,0x0005ffd0,
    0x005fff88,0x2a0bffee,0x04ffffff,0x00009ff7,0x8017ffe6,0x3e20fffe,
    0x7dc005ff,0x3ffea3ff,0x77ffc406,0x7ffc1fff,0x3ffea006,0x013fff63,
    0x207fffa8,0xd0006ff9,0x98003fff,0xf504ffff,0x80001fff,0xf986fff8,
    0x740006ff,0x3fa01fff,0xfe8803ff,0x7ffd405f,0x07fffe27,0x3fea0000,
    0x17ffe26f,0x01fffd00,0xff881880,0x3ff2004f,0x02aaa01f,0x300fffcc,
    0x26003355,0x200abccb,0x2a005ffc,0x0aaa801a,0x8017ff20,0x7ffc41aa,
    0x3ffee005,0x15975102,0x803ffe20,0xffb801a9,0x3ff6001f,0x07fffc1f,
    0x47fffb00,0x7402fffc,0x3fffbaff,0x50037ffc,0x7ff47fff,0x7ff4000f,
    0x09ff700f,0x07fffa00,0x3ffff200,0x17fffc41,0x7ffdc000,0x03fffd03,
    0x0ffff400,0x005ffff0,0x9801dffb,0x7ffc7fff,0xc800002f,0x3fe26fff,
    0x7fec005f,0x7ff4004f,0x09fff11f,0x00fffe40,0x40fffa00,0xfffffffb,
    0x7d400003,0xffb000ef,0x3ea0000b,0xffb000ef,0x05fff88b,0x00bffee0,
    0x413ff200,0x05fffffd,0xffc80030,0x1fffe41f,0x3ffff980,0xc803fff6,
    0x9fff34ff,0x2006fff8,0x3fe3fffa,0xffc8006f,0x05ffb02f,0x07fffa00,
    0x3fffa200,0x02fffe46,0x0fffe800,0x00bfff70,0x00ffff40,0xd807fffd,
    0xfa800eff,0x7fff47ff,0xfd800003,0x3ffe25ff,0x7ffcc005,0xfff7001f,
    0x027ffc4d,0x003fff90,0xc82ffe40,0xffffffff,0xf100005f,0x3f2003ff,
    0x880005ff,0xf7001fff,0xfff88bff,0x3ffee005,0x7fc40002,0x7fff440f,
    0x001effff,0x3fff6600,0x07fffc41,0x1ffffec0,0x7d40fffd,0x22fffc6f,
    0x2a006fff,0xfff33fff,0xfff7000b,0x001ffe07,0x001fffe8,0x25ffff30,
    0x000ffff9,0x05fff980,0x003fffe2,0x00ffff40,0x6407fffb,0xf7000fff,
    0xfffd8dff,0xfe800004,0x3ffe24ff,0xfffc8005,0x7ffcc00e,0x13ffe23f,
    0x01fffc80,0x01fff300,0x7359fff5,0x0005fffd,0x2009ffb0,0x005ffffa,
    0x004ffd80,0x88bffff5,0x2e005fff,0x40002fff,0xffd84ffc,0x6fffdadf,
    0xdca98800,0x81ffffff,0x101efffc,0x47fffffb,0xff106fff,0x46fff81f,
    0x2a006fff,0xfff53fff,0xfff50009,0x00bff309,0x00ffff40,0x1ffff900,
    0x0005fffd,0x00bfff20,0x0007fffb,0xc807fffa,0xff704fff,0x7fe4003f,
    0x2fffe45f,0x7ffc0000,0x17ffe23f,0x3fffe200,0xfffc982f,0x27ffc46f,
    0x03fff900,0x05ffd100,0x3e217ff6,0x5c0004ff,0xff3006ff,0x8000bfff,
    0xf3006ffb,0xf88bffff,0x3ee005ff,0x220002ff,0x7fcc0fff,0x17ffcc1f,
    0x3fff7260,0xffffffff,0xffff881f,0xffca9acf,0xf13fffff,0x3ffa0bff,
    0x7c7ffe81,0x3ea006ff,0x7fff73ff,0xbfff3000,0x0007ff90,0x000ffff4,
    0xfdfffd10,0x200009ff,0xa807fff8,0xd0006fff,0x7dc03fff,0xfffa85ff,
    0x7ffec002,0x037ffd44,0x3ffe2000,0x17ffe21f,0x7fffd400,0xffffdeff,
    0x7fc40eff,0x3ff2004f,0xffd8001f,0x402ea604,0x20003ffd,0x8800fff9,
    0x05ffefff,0x03ffe600,0x3fbffe20,0x2fffc45f,0x05fff700,0x427fe400,
    0xff905ffc,0x3fffaa0d,0xefffffff,0xd101fffe,0xffffffff,0x5fff9dff,
    0x321bffe2,0xffff03ff,0x2006fff8,0xff53fffa,0xff50007f,0x03ffd09f,
    0x0ffff400,0x3ffea000,0x0000efff,0x009fff70,0x000bfffe,0x9807fffa,
    0x3e60ffff,0xff8003ff,0xffff82ff,0x3ee00002,0x7ffc47ff,0x3f620005,
    0xffffffff,0xff880eff,0x3ff2004f,0x7fd4001f,0x7fc40006,0x3fa0000f,
    0xffe8803f,0x0005ffac,0x2200fffa,0x5ffacffe,0x002fffc4,0x0005fff7,
    0x3a03ffe2,0xfff302ff,0xffffff50,0x32159dff,0x7ec01fff,0x4fffffff,
    0x7fc5fff7,0x82ffd46f,0x7fc5fff8,0x3fea006f,0x09fff33f,0x89fff700,
    0x40007ff8,0x0001fffe,0x1fffffc8,0x3ffa0000,0xfff9001f,0xfffd000b,
    0x3ffff803,0x0009fff3,0x320ffff5,0x2e006fff,0x9ffff300,0x005fff88,
    0xffffeb80,0x2202efff,0x32004fff,0x22001fff,0x40001fff,0x20005ffd,
    0xfb005ffc,0x017feabf,0x802ffe40,0xbff55ffd,0x005fff88,0x000bffee,
    0xff827fec,0x1fff102f,0x67ffffcc,0x3fff200a,0xfecb9801,0x3ffee1bd,
    0xf99fffa1,0xfff300ef,0x006fff89,0x7c4fffea,0xfc8005ff,0x27fd43ff,
    0x3fffa000,0xff880001,0x200004ff,0xeeeffff9,0xeeeeeeee,0x4000ffff,
    0x5c01fffe,0xffe8efff,0xfff88005,0xffff304f,0x3bff5007,0x00ffffe8,
    0x6cc00000,0xf88009ff,0x3f6005ff,0x3fa001ff,0x3620003f,0x50001fff,
    0xf9001fff,0x17fea1df,0x03ffe600,0x543bff20,0x000005ff,0x7ffcc000,
    0x01fff880,0x7ec3fff1,0xfd000eff,0x400005ff,0x3f21fffc,0x1ffe8aff,
    0x00fffea0,0x1fffd400,0xb000ffff,0xffd85fff,0x7ff40002,0xfb00001f,
    0x400005ff,0xfffffffc,0xffffffff,0x4003ffff,0x4401fffe,0x5fffffff,
    0xffff9000,0x7fffec03,0x7fffec00,0x09ffff74,0x00ceffc8,0x005fe800,
    0x8017ffe2,0x7001fffe,0x4c000bff,0x0001ffff,0x7005fff1,0x7fd41fff,
    0x7ffc4005,0x0fffb802,0x88017fea,0x0002deff,0xf01ffec0,0x3fe203ff,
    0x03fffe1f,0x02ffff80,0x3fff6000,0x373ffee0,0x7ff403ff,0xf500001f,
    0x7fff47ff,0x3ffe6003,0x000fff87,0x00ffff40,0x2fffd800,0x3ffe0000,
    0xffffffff,0xffffffff,0x7ff4006f,0xfffb801f,0x98000eff,0x4405ffff,
    0x202fffff,0xfefffffb,0x6400efff,0x000fffff,0x000ffe20,0x2200dfff,
    0x9801ffff,0x70000fff,0x0001dfff,0x54027fec,0x7fd41fff,0x27fec005,
    0x20fffd40,0x22005ffa,0x005fffff,0x01fff300,0xf9817ff4,0xdfff30ff,
    0x7fffc400,0x00277ec2,0xf98dfff1,0x405fffff,0x0006fffb,0xa8bffee0,
    0x36006fff,0x7fcc5fff,0xffe80006,0xfb00001f,0x200005ff,0xaaaefffa,
    0xaaaaaaaa,0x02ffffaa,0x007fffa0,0x01fffff4,0x77fffd40,0xffffa800,
    0x7ff5404f,0x800fffff,0x04fffba9,0x013fe600,0x003ffff0,0x803ffffb,
    0x0002ffe8,0x000bfffb,0x9006ffb8,0xffffffff,0x500fffff,0x3f200dff,
    0xffffffff,0x53007fff,0x0003fffb,0xd807ffb0,0xfff503ff,0x003fffd4,
    0xb85ffffb,0xfb003fff,0xfff909ff,0x7fd401df,0x200001ff,0x7ec1fffb,
    0xffb805ff,0x1ffdc1ff,0x7fff4000,0xffb00001,0x3600005f,0xb0002fff,
    0x7400bfff,0xfb001fff,0x001bffff,0x3fffffb1,0x7fffd400,0xa889bdef,
    0xffffffdb,0xfffa8003,0xfff30000,0x6fffd800,0x7ffffe40,0x02ffe401,
    0x1ffff440,0x3ffe2000,0xffff9001,0xffffffff,0x1fff880f,0xfffff900,
    0xffffffff,0x0bffd000,0x07ff9800,0xfb06ffc8,0x7fffc4bf,0xffffd802,
    0x3fffd42f,0x0ffffd40,0x1fffffc4,0x27fffe44,0x3ff60000,0x7fffcc0f,
    0xfffd881e,0x01ffe83f,0x1fffe800,0xfffb0000,0xff100005,0x260001ff,
    0xd000ffff,0xf9003fff,0x9fffffff,0xfb731137,0x005fffff,0xfffffd30,
    0xffffffff,0x19ffffff,0x0fffec00,0xcfff8800,0x3ea03260,0x510adfff,
    0x3ffffffb,0x0077fd40,0x00fffec0,0x01fff400,0x55555530,0x055dff95,
    0x2003ffe8,0xaaaaaaa9,0x002aeffc,0x002fffcc,0x200fff60,0x2e0cfff8,
    0x7ff41fff,0xffb301ef,0xe887ffff,0x221aefff,0x04ffffc9,0x3ffffffa,
    0xfffffede,0x99980006,0xf706fffd,0xfbbfffff,0x10bfffff,0x20000fff,
    0x0001fffe,0x005fffb0,0x0bfff700,0x4fffe800,0x03fffd00,0xfebfffb8,
    0xffffffff,0xefffffff,0x3f220001,0xffffffff,0xffdfffff,0xdcc83fff,
    0x006ffffe,0x77ffff40,0xffd00fff,0xfffdffff,0x03fff3df,0x0007ffe2,
    0x3ffffff2,0x806fffff,0x00005ffc,0x5c02ffd4,0x400005ff,0xd8805ffa,
    0x2fffffec,0x1ffe6000,0xcffffb80,0xf984ffff,0xeccdffff,0xffbeffff,
    0xffff884f,0xffffffff,0x3ff205ff,0xffffffff,0x000cffff,0xfffffd80,
    0x3ffa603f,0xffffffff,0x0bff503f,0x3fffa000,0xffb00001,0xfd00005f,
    0xb80005ff,0xfd007fff,0x7fd403ff,0x3fffaa2f,0xffffffff,0x00000cff,
    0xfffffd71,0x74c5dfff,0x361fffff,0x0effffff,0x7ffcc000,0x100fffff,
    0xfffffffb,0x3ffe6bff,0x009ffb01,0xffffff10,0x0dffffff,0x000fff98,
    0x02ffd400,0x0003ffe6,0x00bff500,0xfffffff3,0xffe80009,0x7ffe4003,
    0x2e04ffff,0xffffffff,0x3ffa4fff,0xffffd307,0x7fffffff,0xdaaffd40,
    0xdfffffff,0x3fe00001,0x800effff,0xffffffeb,0x3ff200cf,0xffd00003,
    0x3600003f,0x40002fff,0x0007fff9,0x02ffff88,0x201fffe8,0xfd703ffe,
    0xdfffffff,0x40000017,0x09aaba98,0x83ffff20,0x02deffed,0x3ff62000,
    0xeb800bdf,0x23efffff,0xfb81fff9,0x9930006f,0x99999999,0x7f440799,
    0x9800002f,0x3fa202cc,0x9800002f,0xfe9802cc,0x0001deff,0x80037fd4,
    0x02dfffda,0xfffffd98,0x7fe41dff,0x3fb6602f,0x00beffff,0x26207fdc,
    0x00001aba,0x4fffff88,0x35753000,0x00332e00,0x0ffff400,0xfffd8000,
    0x7fe40002,0xfb00004f,0xffd00bff,0x0274403f,0x09aba988,0x00000000,
    0x005fc880,0x00000000,0x0026a620,0x0004ccc0,0x98800000,0x00000019,
    0x000ccc40,0x00000000,0x04cc4000,0x80004000,0x000aba98,0x00131000,
    0x00000330,0x00026000,0x00000000,0x01fffe80,0x5fffb000,0xffff8000,
    0xff500001,0xffe801ff,0x0000001f,0x00000000,0x00004400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a000000,0x00001fff,0x0005fffb,
    0x0037ffd4,0x13fffe00,0x003fffd0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x003fffd0,0x0bfff600,
    0x3fffd800,0x7fe40000,0x7fff407f,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffe8000,0xffb00001,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0f332a00,0x000b332e,0x42aaa600,0x55402aaa,0x000d5401,
    0x7bddd950,0x2aaaaa03,0xaaaaaaaa,0x4002aaaa,0x02ceedca,0x66440000,
    0x2aa003cc,0x440d5401,0xa9881aaa,0x02cdeedc,0x15753000,0x02a98000,
    0x20001554,0xa8009ab9,0x80000aaa,0x2602aaa8,0x0155402a,0x00ba9880,
    0x2aa60000,0x332a000a,0xccc8003c,0x004ccc84,0x00cccc98,0x3332a000,
    0x3322001c,0x200003cc,0x0009ab98,0x220fbbb6,0x3ea1fffe,0x000006ff,
    0x3fa3fff9,0x07fec07f,0x8003ffa8,0xfffffffc,0x7ffc4fff,0xffffffff,
    0x05ffffff,0xfffffb10,0x00003dff,0x03ffff20,0x500ffd80,0xfff707ff,
    0xfffffb8b,0x03efffff,0xfffff900,0x700039df,0x3fe605ff,0xffec8004,
    0x201effff,0x0001fffe,0x207fff88,0xff301ffc,0xffe98009,0x002dffff,
    0xfff90310,0x3ffe6005,0x7fc003ff,0x07fff87f,0x7ffff440,0x3fa00006,
    0xfc8005ff,0x40001fff,0xfffffffc,0xfffe801d,0x1dfff304,0x0003fffa,
    0x8fffe400,0x7dc07ffe,0x0ffe885f,0x3fffa600,0xffffffff,0x3ffffe4f,
    0xffffffff,0x9805ffff,0xffffffff,0x00001fff,0x017fffc4,0x2217fee0,
    0xffb80ffe,0xfffff35f,0xffffffff,0x7fd400bf,0xffffffff,0x7fcc002f,
    0x005ffb06,0x7fffff44,0x80dfffff,0x0001fffe,0x207fff88,0xffb06ff9,
    0x7ffec005,0x4fffffff,0x6417dc00,0xf8802fff,0x01ffffff,0x3e1fffe0,
    0x7ec007ff,0x004fffff,0x0efffa80,0xbfffb000,0x3ffa6000,0xffffffff,
    0x27fff404,0xf99fff70,0x000003ff,0xfe8fffe4,0x7ff4407f,0x4fffebdf,
    0x3fffe600,0xffdbdfff,0xffff4fff,0xffffffff,0x00bfffff,0xb59ffffd,
    0x000dffff,0x04fffb80,0xdfffe880,0x704fffdb,0xfff3bfff,0xffb9bdff,
    0x00bfffff,0xbdfffff3,0x07fffffb,0xbdfffd80,0x2006fffd,0xdffffff9,
    0x85fffffe,0x0001fffe,0x407fff88,0xfdbdfffd,0x3f2006ff,0xffddffff,
    0xe9804fff,0xfffc82ff,0x9fffe802,0xf000fffe,0xffff0fff,0x67ffdc00,
    0x0003fffb,0x000ffff4,0x01fffd10,0xfffffa80,0xfffffdef,0x13fffa05,
    0xffffffb0,0xc8000007,0xff971fff,0xfffff300,0x4400dfff,0x0adffffe,
    0xfcfffe98,0xaaaaafff,0xaaaaaaaa,0x2fffe402,0x01ffffc4,0x0bfff000,
    0x7fffcc00,0x2e06ffff,0xefffefff,0xfff7100b,0x7fc409ff,0xffa80dff,
    0x3a2003ff,0xffffffff,0xffff3000,0xffff905b,0x01fffe87,0x7fff8800,
    0x7ffff440,0x7000ffff,0xf505ffff,0xfa809fff,0xfeca82ff,0xa7ffe402,
    0xb006fff9,0xdddb0ddd,0x9bffe600,0x0001fffe,0x0005fff5,0x009fff10,
    0x17ffffc4,0x82ffff4c,0x4402cccb,0x005ffffe,0xfffc8000,0x4401be21,
    0x03effffc,0x1ffffdc0,0x7fffec40,0x000006ff,0x3203fffd,0x00004fff,
    0x0001fff7,0xeffffc88,0x7fffdc03,0x3ea005ff,0xfb00ffff,0xff980bff,
    0xfeb8007f,0x2000cfff,0x5404fffe,0x7ff47fff,0xf880001f,0xfd7007ff,
    0x44009dff,0x2601ffff,0x2a00ffff,0x3fa02fff,0x1bffea00,0x000bfff7,
    0xffd10000,0x7fffcc3f,0x4ffe8000,0x3fe60000,0xfffb000f,0xfffd801d,
    0x55100002,0x00000055,0xfa87fff2,0x00030004,0x001ffffc,0x1bfffff6,
    0x7ffc0000,0x1bffe206,0x0d554000,0x000c0000,0x0bfffff7,0xbffff300,
    0x01ffff10,0x003fff90,0xfb8000c0,0xffd005ff,0x0ffff43f,0x7ffc4000,
    0x00018007,0x5009fff7,0x7d407fff,0x01fe02ff,0x55015555,0x00000155,
    0x82aaa980,0x4001aaa9,0x00002aa8,0x9800aa98,0x8801ffff,0x00006fff,
    0x40000000,0x3f61fffc,0x40000002,0x8006fffa,0x06fffff9,0xfff88000,
    0x17ffe607,0x00000000,0x3fee0000,0x90000fff,0xfa81ffff,0xff3004ff,
    0x0000007f,0x001fffd0,0xfe93ffee,0x880001ff,0x00007fff,0x07fffe00,
    0x5037ffc0,0x3ee05fff,0x00000005,0x00000000,0x00000000,0xfff90000,
    0x7ffdc009,0x06600001,0x20130000,0xbfd1fffc,0x00062000,0x0017fff4,
    0x06ffffd8,0xfffd0000,0x13ffee05,0x00330000,0xfb800000,0x20003fff,
    0x5c2ffff9,0xf1001ffe,0x22000bff,0x7fc40009,0x2f22004f,0x07fffa1a,
    0x3ffe2000,0x000c4007,0x0037ffcc,0x2a05fffb,0xefb82fff,0x00198001,
    0x00000000,0x00000000,0x7ec00000,0x3e2001ff,0x04ff84ff,0x7ffffe4c,
    0xeb8001df,0x323dffff,0x00991fff,0x7ffff64c,0xff9802ce,0x3e60007f,
    0x00006fff,0x81dfff90,0x001fffe8,0x7fffe4c0,0x3a201dff,0x3ae003ee,
    0xffff71ee,0xffe80003,0x9800605f,0x97004fff,0xbdfffffd,0x2fffb805,
    0xfffd0000,0xff100003,0xfdc880ff,0x802cefff,0x2003fffb,0x3a64fffa,
    0xeeefffee,0x3000e99e,0xbffffff9,0x1f774403,0x23ddd700,0x2003eee8,
    0xdd11eeeb,0x775c007d,0x07ddd11e,0xd0f775c0,0xff000fff,0x209ff0df,
    0xffffffd8,0x800dffff,0xfffffff9,0xfffc8dff,0x7fe44001,0xffffffff,
    0x3ffee00d,0x7ff40005,0x1000006f,0x744bffff,0x20004fff,0xffffffd8,
    0x880dffff,0x32004fff,0xfff71fff,0xff50000f,0x2e0000ff,0x74c01fff,
    0xffffffff,0xfb00dfff,0x200001ff,0x0001fffe,0x207fff88,0xfffffffb,
    0x3200dfff,0x22001fff,0x3fe66fff,0xffffffff,0x3ff62001,0xffffffff,
    0x4fff880d,0x47fff200,0x2004fff8,0xff11fffc,0x7fe4009f,0x09fff11f,
    0x88fffe40,0xe8006fff,0x3fe20fff,0xffffe985,0xffffffff,0x7fffd406,
    0xefffffff,0x2001fffd,0xfffffff9,0x2fffffff,0x007fff90,0x06fffd80,
    0x3fee0000,0xffffacff,0x3fa60005,0xffffffff,0xff886fff,0x3ff2004f,
    0x0dfff71f,0xffff3000,0xff980001,0x7ffdc07f,0xffffffff,0xfe80ffff,
    0x0026606f,0x000ffff4,0x43fffc40,0xffffffd8,0x1effffff,0x001fffd0,
    0x3e67fff8,0xffffffff,0xffd3001f,0xffffffff,0xfff10dff,0x7ffe4009,
    0x009fff11,0xf88fffe4,0x3f2004ff,0x9fff11ff,0x8fffe400,0x8006fff8,
    0x3e21fffe,0xffffe86f,0x3fff6a1b,0xffff305f,0x3faa215d,0x001fffff,
    0x86fffffa,0x1fffffb9,0x002fffd8,0x037ffe40,0x3ff60000,0x05ffffff,
    0x7ffff400,0x3fff6a1b,0x27ffc45f,0x23fff900,0x0006fffb,0x00ffff88,
    0xfffd5100,0x7fffd407,0x7ff4c41c,0x5fff83ff,0x3ffff6e2,0x3ffa00ce,
    0xf880001f,0xfffd87ff,0x3faa21cf,0xfff80fff,0x7ffc000f,0x3fee660f,
    0x200199bf,0x21bffffe,0x45ffffda,0x2004fff8,0xff11fffc,0x7fe4009f,
    0x09fff11f,0x88fffe40,0x32004fff,0x3ffe1fff,0xffff8007,0xf91bfe61,
    0x7c403dff,0xffd81fff,0xffb100df,0x2e003fff,0x2201efff,0xfe86fffe,
    0x5c0001ff,0x00006fff,0x7ffff440,0x640003ff,0x2201efff,0x3e21ffff,
    0x3f2004ff,0xdfff71ff,0x3ffe0000,0x36e6001f,0x402fffff,0xb802fffd,
    0x7fc47fff,0xffffd14f,0x205fffff,0x0001fffe,0x547fff88,0x6c01efff,
    0xfff84fff,0xfffe8007,0x02fffa80,0x1efffc80,0x87fffe20,0x2004fff8,
    0xff11fffc,0x7fe4009f,0x09fff11f,0x88fffe40,0x32004fff,0x3ff61fff,
    0x3fe6000f,0x9ffe62ff,0x801ffff8,0x7cc4fffa,0xffd007ff,0xff3003ff,
    0x3fa001ff,0x7fffc2ff,0x7fd40000,0xffffffff,0x05ffffff,0x3ffffee0,
    0x7c40001f,0xfa801fff,0x3ffe24ff,0x3fff2004,0x00bfff71,0x07fffe00,
    0x7ffffcc0,0x7fcc01ef,0x3ffa005f,0x33ffe60f,0xffffffe8,0xe84fffff,
    0x80001fff,0x7f47fff8,0xffb001ff,0x07fff83f,0x81fffe80,0x4002fffa,
    0x801ffff8,0x3e24fffa,0x3f2004ff,0x9fff11ff,0x8fffe400,0x2004fff8,
    0xff11fffc,0x7fe4009f,0x13fff21f,0x2ffffc80,0xffb9ffea,0x3ffe005f,
    0x01fffdc7,0x01ffffa8,0x004fffd8,0xf89fffea,0x40000fff,0xfffffff9,
    0xffffffff,0xffea805f,0x006fffff,0x02fffdc0,0x7c4ffff0,0x3f2004ff,
    0xbfff71ff,0x3ffa0000,0xfff5002f,0x4039ffff,0x2001fffb,0x3e61fffd,
    0xaefffdff,0xffffb989,0x0ffff41f,0x7ffc4000,0x013ffee7,0x225fff98,
    0xd8006fff,0xffa81fff,0x7fdc002f,0x3ffe005f,0x013ffe27,0xf11fffc8,
    0x7e4009ff,0x9fff11ff,0x8fffe400,0x2004fff8,0x3ea1fffc,0xf9801fff,
    0x3ea3ffff,0x3fffb0ff,0x6c0d5400,0x3a000fff,0xfe801fff,0x7f4000ff,
    0xffff30ff,0xff980001,0xffffffff,0x05ffffff,0x6fffffdc,0x0004ffff,
    0x8007fff6,0x7ffc41aa,0x3fff2004,0x00bfff71,0x0bfffa00,0x7ff77dc0,
    0x1804ffff,0x0fffe400,0x7ffffff3,0x37ffec40,0x0007fffa,0xd9fffe20,
    0x74001fff,0x3ffe27ff,0xfffd8006,0x02fffa81,0x00fffec0,0xff883550,
    0x3ff2004f,0x09fff11f,0x88fffe40,0x32004fff,0xfff11fff,0x7ffe4009,
    0x0f7ffec1,0xfffffd30,0xf87ffdc5,0x200007ff,0x64006ffe,0xff801fff,
    0xffc8006f,0x1ffff12f,0xfffa8000,0xcccccccf,0x202ccccc,0xd0dffffc,
    0x7905ffff,0x03fffc03,0x4fff8800,0x47fff200,0x0005fffb,0x003fffd0,
    0x7fffec40,0x36600004,0x3fea1fff,0xfd003fff,0x7fff47ff,0xff880001,
    0x01fffa7f,0x443fff20,0xd8006fff,0xffa81fff,0x7ffc002f,0xff100007,
    0x7fe4009f,0x09fff11f,0x88fffe40,0x32004fff,0xfff11fff,0x7ffe4009,
    0x7ffffc41,0xffca88ac,0x2e2fffdf,0xfff89fff,0xff100007,0xffb800bf,
    0x7ffcc01f,0xfffb8005,0x007fffe3,0x0dfff700,0x7ffdc000,0x7fffc43f,
    0x1fffea1f,0x001fffe2,0x027ffc40,0x2e3fff90,0x00005fff,0x0001ffff,
    0x03ffff70,0xfdca9880,0x261fffff,0x2006ffff,0x3fa6fffa,0x880001ff,
    0x3ffe7fff,0xcccccccf,0xffeccccc,0x0dfff11f,0x01fffd00,0x4005fff5,
    0x0007fff8,0x009fff10,0xf88fffe4,0x3f2004ff,0x9fff11ff,0x8fffe400,
    0x2004fff8,0xfa81fffc,0xffffffff,0xfffa9fff,0x227fff21,0x00006fff,
    0x8009fff3,0x5401fffb,0xa8004fff,0x3ffa4fff,0x7e40002f,0x100006ff,
    0x2609ffff,0xf90effff,0xfff109ff,0x3e20000d,0x3f2004ff,0xbfff71ff,
    0x3ffe0000,0x3f600007,0x6e4c05ff,0xffffffff,0x3e21ffff,0x7c003fff,
    0x3fffa7ff,0xff880001,0xfffff17f,0xffffffff,0x5fffffff,0x4003fffc,
    0xfa80fffe,0x3e2002ff,0x100006ff,0x64009fff,0xfff11fff,0x7ffe4009,
    0x009fff11,0xf88fffe4,0x3f2004ff,0xffd301ff,0x3fffffff,0xfc87ffee,
    0x5fff9aff,0xfff50000,0xfffa8007,0x1fffdc01,0x2fffcc00,0x0007fffb,
    0x006fffc8,0x0ffff900,0xf5ffffa8,0xff305fff,0x220000bf,0x32004fff,
    0xfff71fff,0xff10000b,0x440000ff,0xea80ffff,0xffffffff,0x1fffeeff,
    0x000ffffc,0x7f43fff6,0x880001ff,0xfff57fff,0xffffffff,0xffffffff,
    0x03fffc7f,0x407fffc0,0x2002fffa,0x0005fff9,0x009fff10,0xf88fffe4,
    0x3f2004ff,0x9fff11ff,0x8fffe400,0x2004fff8,0x6401fffc,0x0bdffffe,
    0xfd83fff2,0x5fff8aff,0xfff50000,0xfffa8009,0x1fffd401,0x27ffd400,
    0x0009fff9,0x006fffd8,0x09fffd00,0xfbffff90,0x3fe20fff,0xf100005f,
    0x7e4009ff,0xbfff71ff,0xfff30000,0xff80000d,0x7ffd41ff,0xacefffff,
    0xe83fff90,0x64000fff,0xfffd2fff,0xff100003,0x3bffe6ff,0xcccccccc,
    0xcccccccc,0x003fffa2,0x2a0ffff0,0x22002fff,0x00005fff,0x4009fff1,
    0xff11fffc,0x7fe4009f,0x09fff11f,0x88fffe40,0x32004fff,0x26001fff,
    0xb1fff601,0x3ffe7fff,0xff300006,0xffb800bf,0x7ffcc01f,0xfffb8004,
    0x01bffee4,0x6ffff880,0xffff0000,0x3fff6003,0x3e04ffff,0x100006ff,
    0x64009fff,0xfff71fff,0xff70000b,0xd80000bf,0x3fe62fff,0x200acfff,
    0x7ec1fffc,0x7e4001ff,0x3fffd1ff,0x22006620,0xfff17fff,0xfc80000b,
    0x3e2001ff,0xfff505ff,0x6fff8005,0xfff10000,0x7ffe4009,0x009fff11,
    0xf88fffe4,0x3f2004ff,0x9fff11ff,0x0fffe400,0xdfff0000,0xfd3fffe8,
    0x098800ff,0x0037ffcc,0x1007fff2,0x9000bfff,0x7fc47fff,0xf70001ff,
    0x0000dfff,0x4003fffe,0xffffffe8,0x01fffa00,0xff881310,0x3ff6005f,
    0x0bfff71f,0x9fffb000,0x8004cba8,0x3f61fffe,0xfd000eff,0xfffd85ff,
    0x3ffec003,0xf983fffd,0xff9804ff,0x01fffe6f,0x5fff7000,0x27ffd400,
    0x002fffa8,0x2003fff4,0x7ffc4098,0x3fff6005,0x00bfff11,0xf88fffec,
    0x3f6005ff,0xbfff11ff,0x0fffec00,0xfff98000,0xda7fff44,0x2e000fff,
    0x3ffe2fff,0x7ffec007,0x07fff801,0x42fffd80,0x0005fffc,0x00dffffd,
    0x07fffa00,0xfffff980,0x07ffec03,0x25fff700,0x2005fff8,0xff71fffe,
    0xf88000bf,0x7ffc0fff,0x7ffc000f,0x007fffc7,0xb85ffff0,0x74004fff,
    0x3fffa5ff,0x02fffc41,0xfd37ffcc,0x188001ff,0x00bfff30,0xa817ffe4,
    0x6c002fff,0x2e000fff,0xfff12fff,0x7fff400b,0x00bfff11,0xf88ffff4,
    0x3fa005ff,0xbfff11ff,0x0ffff400,0x40019551,0x7fc2fffc,0x9fff95ff,
    0x07ffec00,0x2007fff9,0x801ffff8,0x2003fffe,0xf987fff9,0x54001fff,
    0x006fffff,0x09fffb00,0xeffffe80,0x13fff200,0x20fffd80,0xf1006fff,
    0x3fee3fff,0x7dc0005f,0xfffd85ff,0x3ffe6002,0x01bffe66,0x82ffff88,
    0x26006fff,0x3ffa3fff,0x06fff81f,0x365fffb8,0x74004fff,0x7ffc1fff,
    0xffff000f,0x0bffea01,0x09fff900,0xf07ffec0,0x3e200dff,0x3ffe1fff,
    0xffff1006,0x8037ffc3,0x3e1ffff8,0xff1006ff,0x7ffd43ff,0x3fffe003,
    0x8affffc0,0x9800ffff,0x7fd45fff,0xfff9007f,0xfff5003f,0x7ffec00d,
    0x1dfffb05,0x3fffa600,0x700006ff,0x1003ffff,0xdffffffd,0x3fffe201,
    0x5fff9800,0x400ffffc,0xf71ffffd,0x44000bff,0xfa82ffff,0x3fa006ff,
    0x3ffea4ff,0x3fff6007,0x4fffb82f,0x43fffd00,0xfe81fffe,0x7ff402ff,
    0x3fffe63f,0xdfff7001,0x007fff90,0x5409fff5,0x44003fff,0x9800ffff,
    0x7ffc5fff,0xfffd801f,0x07fffe1f,0x87ffff60,0xd801ffff,0x3fe1ffff,
    0xffd801ff,0x3ffe21ff,0x7fff7005,0x64bffff0,0xfe805fff,0xfffe83ff,
    0x7fffd405,0xfffb001f,0xffff700b,0x3fffea03,0x7ffd401e,0x0006fffe,
    0x03bfffa0,0xfffffe88,0xf900efff,0xffd00bff,0x6fffd87f,0x7ffffe40,
    0x80bfff71,0xffffd300,0x13fffe20,0x83bfff20,0x802ffff8,0x82fffffd,
    0x403ffff8,0x7f46fffb,0xfffc81ff,0xffff900e,0x0efffc83,0x1ffffcc0,
    0x017fffc4,0x403ffff3,0x8004fffa,0xe805fffc,0x7fec3fff,0x7ffe406f,
    0x3fff61ff,0x7fffe406,0x1bfff61f,0x3fffff90,0x2037ffec,0x41fffffc,
    0x5c02fffe,0xfff07fff,0x7fffc4bf,0xfffe981e,0xdffff305,0xfffff903,
    0x3fe6003f,0xfd881eff,0x7dc03fff,0x221bffff,0xf9ffffc9,0xeeeeefff,
    0xeeeeeeee,0x7fffcc2e,0xffb510af,0xfffd9fff,0xfff101df,0xffd303df,
    0xffff50bf,0x3f6a215b,0xf71fffff,0xdfd80bff,0xfffffdaa,0x3fffe603,
    0xfffe980d,0xefffe81f,0xffffb301,0x3ff207ff,0x7ec41bff,0x7ff41fff,
    0xffff881f,0xffeb99bf,0xfff885ff,0xffc982ff,0x3fee06ff,0xfffa82ff,
    0x7ffcc04f,0x8800aacf,0x981effff,0xfa85fffe,0x510adfff,0x3ffffffb,
    0x56ffffd4,0xffffb510,0x7ffd43ff,0xfb510adf,0x543fffff,0x10adffff,
    0xffffffb5,0xcffff983,0x7fffe4c1,0x8bffff02,0xdffffffa,0x0effffed,
    0x3ffffea0,0xcffffedf,0x2e001fff,0xddffffff,0x05ffffff,0xffffff90,
    0xffffffdf,0x3fffffe7,0xffffffff,0xfb83ffff,0xffffffff,0xd12fffff,
    0x501dffff,0xbbffffff,0x01dffffd,0x3ffffffa,0xf9effffe,0xbfff71ff,
    0x7ffffd40,0x803fffff,0xdefffffb,0x3ffffffd,0xbfffff30,0xdffffd99,
    0x6409fff7,0xedffffff,0xe84fffff,0xff701fff,0xffffffff,0x3ea01fff,
    0xfdefffff,0x00efffff,0x6fffffec,0x05fffffd,0xfffffff0,0x3ffea007,
    0xffeddfff,0xffd00eff,0xfffdffff,0x83fff3df,0xeffffffe,0xff9effff,
    0x7ffff41f,0xeffffeff,0x7f41fff9,0xffefffff,0x1fff9eff,0xefffffb8,
    0x2ffffffd,0x217fffe0,0xffffffe8,0x800effff,0xfffffffa,0xfffa9fff,
    0x7ff4c001,0xffffffff,0x7fd4003f,0xffffffff,0x3fffe2ff,0xffffffff,
    0x03ffffff,0xffffffd3,0x881dffff,0x2203fffe,0xfffffffe,0x2200efff,
    0xfffffffd,0x3fff35ff,0xe817ffee,0xffffffff,0x3fea002f,0xffffffff,
    0x7fdc01ef,0xffffffff,0x01fffa4f,0xfffffff5,0x3a07ffff,0x3f201fff,
    0xffffffff,0x7ec401ef,0xffffffff,0xf7000eff,0xffffffff,0x3ea001df,
    0x004fffff,0x3fffffa2,0x00efffff,0x3fffff62,0xff35ffff,0xfffd883f,
    0x35ffffff,0xfd883fff,0xffffffff,0x883fff35,0xfffffffd,0x3fff35ff,
    0x3fffff20,0x02ffffff,0x702ffffc,0xdffffffd,0xffc88005,0xf51dffff,
    0x2e0003ff,0xfffffffe,0xd710000c,0x9fffffff,0xffffff83,0xffffffff,
    0x2203ffff,0xffffffec,0x17f6203d,0x7ffff5c0,0x2e002eff,0x3efffffe,
    0x7dc7ffe6,0x3f6605ff,0x02dfffff,0xffffc880,0x2003ffff,0xffffffd9,
    0x7ffe41df,0x7ffec402,0x201cffff,0x4c01fffe,0xdffffffe,0x3fae000b,
    0x2effffff,0xfffea800,0x8002efff,0x05ffffea,0xffffeb80,0x2e002eff,
    0x3efffffe,0x5c07ffe6,0x3efffffe,0x5c07ffe6,0x3efffffe,0x5c07ffe6,
    0x3efffffe,0x9807ffe6,0xfffffffe,0xcccc800c,0x13753003,0xba988000,
    0x30000001,0x00003575,0x09abaa98,0x00000000,0x80015731,0x37530003,
    0x54c40001,0x40000009,0x0001ba98,0x026eea60,0xaba98800,0x51000000,
    0x00001357,0x00dd4c40,0x9aba9800,0x75300000,0x26000035,0xa9800009,
    0x2200009b,0x800009a9,0x00009a98,0x0009a988,0x009a9880,0x57531000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x40019999,
    0x65c0cccb,0x0000004c,0x00131000,0x33322000,0x6644002c,0x880004cc,
    0x64c0cccc,0x554004cc,0x000201aa,0xbddb9730,0x97000359,0x99990599,
    0x00000003,0x00009880,0xc84ccb80,0x220004cc,0x0000cccc,0x2cccc980,
    0x66664400,0x26000004,0x95000001,0x1579ddd9,0x54c40000,0x3200009b,
    0x4ccc84cc,0xd0000000,0x000003ff,0x01ffffcc,0xd03fffa0,0xc8001fff,
    0xffd83dfe,0xffec8800,0x000cdeff,0x1ffff900,0xffff7000,0xff700005,
    0x2fffe8bf,0x7fffd400,0x400375c2,0xfffffeb8,0x01dfffff,0x83fffe20,
    0x2005fffb,0x5c0befda,0xd97003ff,0x5bdfffff,0xfffd0000,0x00ffff81,
    0xdffffd00,0xffb00000,0xf70001ff,0x00003fff,0x3fffff26,0x260001df,
    0xfffffffc,0x00cfffff,0xfffff500,0xf0007fff,0xfff81fff,0xdfec8007,
    0xc80ffd82,0x000003ff,0x0017fff6,0xfd03fffa,0x7f4001ff,0xaacfffff,
    0xffb807ff,0xffffffff,0x7c40003f,0x20001fff,0x0006fffc,0x2e7fffb0,
    0x10003fff,0xff77fffd,0x7d4003ff,0xffffffff,0x0dffffff,0x2bfff500,
    0x000efff8,0xbffffff9,0x803ffd35,0xffffffe9,0x00dfffff,0x03fffa00,
    0x0001ffff,0xbffffff9,0x7fc40000,0x320001ff,0x40005fff,0xffffffd8,
    0x000dffff,0x3fffff62,0xffffffff,0x22004fff,0xfffffffd,0x2001efff,
    0x7fc0ffff,0x7ff4007f,0xfaacffff,0x0bff507f,0x3fe20000,0xfe8000ef,
    0x7fff40ff,0xffff7000,0xffffffff,0xffffb80b,0xffffffff,0x3f20005f,
    0xd80003ff,0x80001fff,0xff9fffe8,0xfd80005f,0x01dfffff,0x3fffff20,
    0xffedceff,0x000effff,0xffb7fff9,0x3fe6001f,0xffffffff,0x7fdc06ff,
    0xffffffff,0x000fffff,0xf81fffd0,0x54000fff,0xfffacfff,0xff900003,
    0xfd00007f,0x260003ff,0xfffffffe,0x006fffff,0xfffffff3,0xfffdbbdf,
    0x100bffff,0xbbfffffd,0x01fffffd,0xf03fffe0,0x7e400fff,0xffffffff,
    0x3fe04fff,0xc800000f,0xb0001fff,0xeed81ddd,0x5ffd000e,0x3fffff26,
    0x3ffe600e,0x7fe440bf,0xf88002ff,0x100005ff,0x0000bffd,0x3fffffe6,
    0x6440000e,0x001fffff,0x67ffffec,0x3fffaa00,0x3ffa005f,0x2002ffff,
    0xff714ffc,0x5403ffff,0x441cffff,0x03ffffe9,0x81dddb00,0x2000eeed,
    0xfb0ffff9,0x880003ff,0x00004fff,0x000bffd1,0x86fffffa,0x05ffffda,
    0x77ffffd4,0xfc98809b,0x6c04ffff,0xe982ffff,0xdb006fff,0x6eed81dd,
    0x4c7ffa00,0x0efffffc,0x000bff60,0x05fff100,0x00000000,0x9b710bdb,
    0x7fff9003,0x05fffc80,0x00effc80,0x3ffe6000,0xff700001,0x40001fff,
    0xffffffd9,0x3fee003f,0x32000dff,0x1005ffff,0x007fffff,0xca80eec8,
    0xfffd802d,0x7fffb802,0x00000000,0x117fff44,0x0001ffff,0x00037fe4,
    0x007ffe60,0x03dfff90,0x80ffffc4,0x04fffff8,0x7ffff4c0,0x1ffff501,
    0x1ffff440,0xd0000000,0x39b710bd,0x009ff700,0x02aa8800,0x00000000,
    0xffd00000,0xffff100d,0x0aaa8001,0xaa980000,0x2aa00001,0x360001aa,
    0xfe8bffff,0xff9801ff,0xf90005ff,0x26001fff,0x00002aaa,0x7ffcc000,
    0x3fffa005,0x00000000,0x20aaaa60,0x0001aaa9,0x00002aaa,0x8006aa60,
    0x801ffff8,0xfb04fffa,0x20003fff,0x706fffd8,0xf5007fff,0x00000bff,
    0x40000000,0x00006ff9,0x00000000,0x80000000,0x75007fff,0x00000135,
    0x00000000,0xf9000000,0xefff887d,0x2ffff400,0x3fffa000,0x00000004,
    0xfff70000,0x7ffec003,0x00000001,0x00000000,0x00000000,0x05fffb80,
    0x2e1fffe0,0x0002ffff,0x40ffffcc,0xf000fffd,0x00000fff,0x80000000,
    0x00000fff,0x000004c4,0x800000c4,0xffd80018,0x0000004f,0x20000031,
    0x10000018,0x05100003,0x302fffd4,0x0003ffff,0x00ffffb8,0x00001310,
    0x00180000,0x000fffe4,0x00001880,0x00000310,0x40000062,0xffd80018,
    0x06aa001f,0x002ffffc,0x84fffd80,0x3a007ffe,0x88000fff,0x88000009,
    0xffc80009,0x76440003,0x0cdeffff,0xffec9800,0x0002ceff,0xdffffd93,
    0xfff50059,0x000037df,0x7ffff64c,0x930002ce,0x59dffffd,0x3f722000,
    0x002cefff,0x2f372a60,0x901fffd8,0x0000bfff,0x4402f3be,0xdeffffec,
    0x3bba200c,0x3bbae003,0xfd980001,0x910001ff,0x59dffffb,0x3f722000,
    0x002cefff,0xffffb910,0x2200059d,0xceffffdc,0x07fff802,0x3ffe6000,
    0xf300000f,0xfffb05bf,0x1fffe001,0x7fff65c0,0x8002deff,0xfffffecb,
    0xffa802de,0x3fee0005,0xffffffff,0xff91003f,0xffffffff,0x3f22001b,
    0xffffffff,0x3fa200df,0xadffffff,0xffc88000,0xffffffff,0xff91000d,
    0xffffffff,0x7fdc001b,0xffffffff,0x3fe6000d,0xfeffffff,0xffff06ff,
    0x00200005,0x3fffffee,0x103fffff,0x64009fff,0x22001fff,0xffffdca9,
    0xfb8001ff,0xffffffff,0x3ee000df,0xffffffff,0x3ee000df,0xffffffff,
    0x3ee000df,0xffffffff,0xfff100df,0x7e40000f,0x400005ff,0x17ffd401,
    0x027ffc40,0x3fffffa6,0x0dffffff,0xffffe980,0xdfffffff,0x01ffe200,
    0x7ffffdc0,0xffffffff,0x7fffcc05,0xffffffff,0x7fcc02ff,0xffffffff,
    0x2202ffff,0xfffffffd,0x9800beff,0xffffffff,0x02ffffff,0x7fffffcc,
    0xffffffff,0x7ffec402,0xffffffff,0xffc801ef,0xffffffff,0x7d42ffff,
    0x00001fff,0xfffff700,0xffffffff,0x09fff10b,0x00fffe40,0xfffffb93,
    0x3fffffff,0x7ffec400,0xffffffff,0x7ec401ef,0xffffffff,0x4401efff,
    0xfffffffd,0x01efffff,0x7ffffec4,0xefffffff,0x06fff881,0x3fffe000,
    0x40000003,0x400ffff8,0x2e02fffd,0xffffffff,0x0fffffff,0x3ffffee0,
    0xffffffff,0x3ffa00ff,0x7ffcc001,0x7fe440bf,0x3ffa02ff,0x3ee61bff,
    0x3a01ffff,0x261bffff,0x01fffffb,0x7fffffe4,0x402fffff,0x21bffffe,
    0x1fffffb9,0x2fffffa0,0x3fffee61,0x3fff601f,0x3faa21cf,0x3f600fff,
    0xba9bdfff,0x46fffffe,0x0007fffb,0xffff3000,0xfffc8817,0x27ffc42f,
    0x03fff900,0xffffffd5,0xffddffff,0x7fec003f,0x3aa21cff,0x3600ffff,
    0x221cffff,0x00ffffea,0x873ffff6,0x0ffffea8,0x33ffff60,0x3fffaa21,
    0x2fffcc0f,0xfff98000,0x0000002f,0x81efffd8,0x206fffd8,0x41cffffa,
    0x3ffffe98,0x39ffff50,0xffffe988,0x013fee03,0x807fff90,0xf705fffc,
    0x74403dff,0xff706fff,0x7f4403df,0xd95006ff,0xffffffff,0x3bffee09,
    0x3fffa201,0x3dfff706,0x37fff440,0x01efffa8,0xa827ffec,0x2e03ffff,
    0x2e1fffff,0x00006fff,0x07fff900,0x445fffc8,0x32004fff,0x7fd41fff,
    0xceffffff,0x03fff90a,0x07bffea0,0x209fffb0,0x401efffa,0xf504fffd,
    0xfd803dff,0xfff504ff,0xfffd803d,0x02fffc44,0xffffa800,0x00000000,
    0x99dffffb,0x01dffffb,0x4017ffec,0xfb07fffb,0xff7005ff,0x37fcc0ff,
    0x01bffa00,0x303fffe2,0x2001ffff,0x7cc2fffe,0xfd000fff,0xb88005ff,
    0x3ffffffd,0x007fffcc,0x4c2fffe8,0xd000ffff,0xffd05fff,0x3ff6003f,
    0x2fffe81f,0x3ffffa80,0x0017fff2,0x37ff4000,0x07fffc40,0x4009fff1,
    0x3e61fffc,0x00acffff,0x4007fff2,0xb001fffe,0xffd03fff,0x3ff6003f,
    0x1fffe81f,0x03fffb00,0x2003fffd,0x7fc1fffd,0xf700006f,0x00000fff,
    0xfffea800,0x03ffffff,0x002fffcc,0xf981fffd,0x3fa005ff,0x3ffe00ff,
    0x1fffe000,0x204d5d40,0x2004fffd,0x7ec7fffa,0x3ea004ff,0x540007ff,
    0x7ec5fffe,0x3ea004ff,0x7ffec7ff,0x3ffea004,0x027ffdc7,0xb8bfff30,
    0x36005fff,0x3ff66fff,0x0000004f,0x2a00ffff,0x3fe209ab,0x3ff2004f,
    0x3bfff61f,0x5fffd000,0x09fff700,0x22fffcc0,0x2004fffb,0x7dc5fff9,
    0x3e6004ff,0x7ffdc5ff,0x3ffe6004,0x003fff45,0xfff90262,0x0000000b,
    0x7ffff5c4,0x00cfffff,0x8007ffee,0x7dc1fffd,0x3f6001ff,0x3ff601ff,
    0x3fff6002,0xffe80004,0x7ff4000f,0x03fffa0f,0x81fffd00,0xff500098,
    0x0fffe8ff,0x07fff400,0x8001fffd,0x3f60fffe,0x7f4001ff,0x0ffff47f,
    0x1ffff100,0x000ffff6,0x7ffec000,0x7fc40004,0x3ff2004f,0x03fffe1f,
    0x02ffff80,0x001fffd8,0x3f63fff4,0x7f4001ff,0x0fffec7f,0xb1fffa00,
    0xe8003fff,0x7ffec7ff,0x3ffee000,0x009fff92,0xfffffff8,0x82ffffff,
    0xdffffff9,0x2fffffed,0x7e400180,0x000601ff,0x5403fff9,0x3ea004ff,
    0x001befff,0x000dfff0,0x7fc5fff9,0xffc8006f,0x05fff52f,0xf07fff40,
    0xf9000dff,0x37ffc5ff,0x17ffe400,0x9000fffd,0x7ffc1fff,0xfffd8006,
    0x009fff91,0x3fea0000,0x8001beff,0x2004fff8,0xff31fffc,0x7fc400df,
    0xffe802ff,0xfffc8007,0x001fffa0,0xfe83fff2,0xffc8007f,0x01fffa0f,
    0xc83fff20,0x36004fff,0xfff90fff,0xffff800b,0xffffffff,0x7fffd42f,
    0xfffd880d,0x2600002f,0x0001fffd,0x03fffb30,0x1003ffc4,0xfffffffd,
    0xff30015b,0xff7000bf,0x17ffe67f,0x4fffee00,0x1005fff9,0x7fccdfff,
    0xffb8005f,0x0bfff33f,0x47fff700,0xccccffff,0xcccccccc,0xff11fffe,
    0xff9000df,0x13fff25f,0x74400000,0xdfffffff,0xfff8800a,0x3fff2004,
    0x00ffff51,0x017fffec,0x6667fffc,0xcccccccc,0x3e1fffec,0xcccccfff,
    0xeccccccc,0x3ffe1fff,0xcccccccf,0xffeccccc,0x33fffe1f,0xcccccccc,
    0x1fffeccc,0x003fffe2,0xfb97ffe6,0x7fc006ff,0xffffffff,0x3fe22fff,
    0xffa804ff,0x4c4000ff,0xfffffdca,0x54c4001f,0xffffffdc,0x00fff401,
    0xfffffb10,0x017dffff,0x0013ffea,0x7d53ffea,0xfa8004ff,0x3fffa4ff,
    0x4fffc803,0x0013ffea,0x7d53ffea,0xfa8004ff,0xffff14ff,0xffffffff,
    0xffffffff,0x017ffe65,0x5cfffee0,0x00005fff,0x3fff6200,0xbeffffff,
    0x09fff100,0x88fffe40,0xd802ffff,0x402fffff,0xfffffff8,0xffffffff,
    0xf12fffff,0xffffffff,0xffffffff,0x3fe25fff,0xffffffff,0xffffffff,
    0xffff12ff,0xffffffff,0xffffffff,0x05fffc85,0x2a3fffe8,0x64007fff,
    0xcccccccc,0x3ee2fffe,0x3f2006ff,0x6e4c04ff,0xffffffff,0x4c01ffff,
    0xffffffdc,0x01ffffff,0x4001ffe4,0xfffffffc,0xfb82ffff,0xf98003ff,
    0x7fff75ff,0xbfff3000,0x067fffdc,0x21ffffb8,0x8003fffb,0xff75fff9,
    0xff30007f,0x3fffeabf,0xffffffff,0xffffffff,0x009fff53,0x2a9fff50,
    0x00007fff,0xffffc800,0x2fffffff,0x004fff88,0xfe87fff2,0xfb301eff,
    0x807fffff,0xfffffffa,0xffffffff,0xf53fffff,0xffffffff,0xffffffff,
    0x3fea7fff,0xffffffff,0xffffffff,0xffff53ff,0xffffffff,0xffffffff,
    0xeffff887,0x5fffe981,0x007fffcc,0x3fff6000,0x007fffa2,0x80ffff88,
    0xffffffea,0xffeeffff,0xfffd501f,0xdfffffff,0x9803fffd,0x2a0005ff,
    0xffffffec,0x7ffd44ff,0xfffa8003,0x007fff54,0xc89fff50,0xddefffff,
    0x43fffffe,0x8003fffa,0xff54fffa,0xff50007f,0x3bffe69f,0xcccccccc,
    0xcccccccc,0x009fff52,0x227fff70,0x0001ffff,0x80159d50,0xfffffeca,
    0x7fc44fff,0x3ff2004f,0x3fffe61f,0xfffeccdf,0x04fffbef,0x6677ffcc,
    0xcccccccc,0x32cccccc,0x9999dfff,0x99999999,0x3e659999,0xccccceff,
    0xcccccccc,0xfff32ccc,0x9999999d,0x99999999,0xffff5059,0xfffdbbff,
    0xffff01df,0xfd800007,0x1fffe2ff,0x07fff600,0xfffffff5,0x3f2159df,
    0xfffa81ff,0xacefffff,0x003fff90,0x00001fff,0xfffffb71,0x27ffcc7f,
    0xa7ffdc00,0x8004fff9,0xfd84fffb,0xffffffff,0xff981fff,0xffb8004f,
    0x09fff34f,0x29fff700,0x0005fff8,0x017ffe60,0xd8bfff20,0x00003fff,
    0x400bfffb,0xfffffdb8,0x13ffe23f,0x41fffc80,0xfffffffb,0x3fa4ffff,
    0x7ffc407f,0x3e200005,0x200005ff,0x0005fff8,0x017ffe20,0xffe88000,
    0xffffffff,0xdfff900e,0xffd80000,0x0dfff12f,0x45fff900,0xacfffff9,
    0x07fff200,0x59fffff3,0x0fffe401,0x0017fec0,0x7fff5400,0x017ffe25,
    0x44ffff20,0xc8005fff,0xfb303fff,0x9dffffff,0x17ffe201,0x4ffff200,
    0x8005fff8,0x3fe3fffc,0x2200007f,0xd8006fff,0x3fee1fff,0xf880006f,
    0x20002fff,0x225fffea,0x36005fff,0xfd981fff,0x1dffffff,0x2017ffe4,
    0x00007fff,0x0003fffc,0x001fffe0,0x00ffff00,0xffd70000,0x805dffff,
    0x001ffff9,0x4bfff600,0x8006fff8,0x3f62fffb,0xfd000eff,0xfffd85ff,
    0xfffd000e,0x09ff7005,0x54002620,0x7ffc7fff,0xfffd8007,0x001fffe2,
    0x100bfff6,0x4003bff7,0xd8007fff,0x3ffe2fff,0xfffd8007,0x003fffa2,
    0x3ffe0310,0xfffe8007,0x0ffffe20,0xdfff7000,0x2a001310,0x3fe27fff,
    0x3ffa005f,0x2ea6201f,0x01ff600a,0x0007fff4,0x7fff4062,0xe80c4000,
    0x44000fff,0x01fffd01,0xb8001880,0x20009cff,0x000efffe,0x45fffb00,
    0x4000ffff,0x3fe0fffd,0x3fe000ff,0x7fffc2ff,0x3fffe000,0x06ff9802,
    0x0017ffd4,0x7f41fffd,0x3e6003ff,0x7fff47ff,0x3ffe6003,0x19ff9007,
    0x1ffff400,0x8ffff300,0x2003fffe,0x7ec7fff9,0x7f4004ff,0x3fff61ff,
    0x3ffea002,0x0ffffc86,0xffff3000,0x017ffd47,0x7c1fffd0,0xff1006ff,
    0x400003ff,0xffb005ff,0xffe8009f,0x13fff61f,0x43fffd00,0x4004fffd,
    0x3f61fffe,0x7f4004ff,0xffb001ff,0xff980017,0x880005ff,0x3f62fffe,
    0x7fc002ff,0x1bffe67f,0x2ffff880,0x801bffe6,0x002ffff8,0x7cc01ffd,
    0xff1005ff,0x6fffa8df,0x17fff600,0x400dfff5,0xb005fffd,0x001bffff,
    0x400dfff5,0x7d45fffd,0x3f6006ff,0x7ffcc5ff,0xfff7001f,0x06fffa8d,
    0x40bfffa0,0x001efffe,0x07ffffc4,0x200bfff3,0x7fc6fff8,0xffd801ff,
    0x100001ff,0x3e6007ff,0xf7001fff,0xfff98dff,0xfff7001f,0x1ffff98d,
    0x8dfff700,0x001ffff9,0x400dfff7,0x004fffff,0x077fffdc,0xffffa800,
    0x3bffee2f,0xbfff7000,0x003fffd4,0x545ffffb,0x36007fff,0x9002ffff,
    0xffe807ff,0xfffc803f,0x05fffd84,0x81ffffb8,0xb805fffd,0x4001ffff,
    0xb003fff9,0xf700bfff,0xffb03fff,0xfff700bf,0xdfff903f,0xffff9801,
    0x04fffe83,0x206fffc8,0x02fffffa,0x3fffff70,0x007fffd0,0xfd89fff9,
    0x7fe406ff,0x00001fff,0x6400dff1,0x4c00efff,0xfc83ffff,0x7cc00eff,
    0xffc83fff,0x7fcc00ef,0xfffc83ff,0x7ffcc00e,0xffa8003f,0x7ff4001f,
    0x5000bfff,0x3ffffffd,0x805fffe8,0x221ffff9,0xd802ffff,0x222fffff,
    0xd802ffff,0x002fffff,0xfb80bff5,0xf700cfff,0xff303fff,0xfb103dff,
    0x3e607fff,0xd881efff,0x0003ffff,0x2600dffb,0x881effff,0x303ffffd,
    0x103dffff,0x207ffffb,0x82fffff8,0x06ffffc9,0x01dffff3,0x03ffffd3,
    0xffffffb8,0xfd75119b,0x2e05ffff,0x700cffff,0xfa83ffff,0x510adfff,
    0x3ffffffb,0x3fe20000,0xff88081f,0xfc982fff,0xff106fff,0xf9305fff,
    0x3e20dfff,0xc982ffff,0xf106ffff,0x9305ffff,0x000dffff,0x20027ffc,
    0xffffffd8,0xedb99abd,0xdfffffff,0xdffff980,0x7ffff901,0x03dfffd0,
    0x3fffff66,0x77fff43f,0xffffb301,0x3e2007ff,0xfffc807f,0xffeddeff,
    0x3ee03fff,0xfddfffff,0x405fffff,0xdffffffb,0x5ffffffd,0xf9531300,
    0x7dc00bff,0xfddfffff,0x405fffff,0xdffffffb,0x5ffffffd,0x7ffffd40,
    0xfffffdef,0x3fa600ef,0xffddffff,0x5003ffff,0xffffffff,0xffffffff,
    0xfffc807f,0xffeddeff,0xffd03fff,0xfffdffff,0x03fff3df,0x7fffc000,
    0xa80febad,0xdeffffff,0x0effffff,0x3ffffea0,0xfffffdef,0x3fea00ef,
    0xffdeffff,0x200effff,0xeffffffa,0xeffffffd,0xb7313000,0x20007fff,
    0xfffffffb,0xffffffff,0x6401efff,0xdeffffff,0x05fffffe,0x9bfffff3,
    0x7dffffd9,0xff989fff,0xfeccdfff,0xfffbefff,0x07ffa004,0x3fffff60,
    0x1fffffff,0xffffe980,0x3fffffff,0xffffd300,0x7fffffff,0x3fffe200,
    0x4001ffff,0xffffffe9,0x003fffff,0xffffffd3,0x007fffff,0x3fffff62,
    0x0effffff,0xffffe880,0x1effffff,0x7fff5400,0xffffffff,0xfb001dff,
    0xffffffff,0x6c403fff,0xffffffff,0x03fff35f,0x7ffdc000,0x100fffff,
    0xfffffffb,0x001dffff,0xffffffb1,0x01dfffff,0xfffffb10,0x1dffffff,
    0xffffb100,0xdfffffff,0x3ffea001,0x000effff,0x3ffff660,0xffffffff,
    0x2a003fff,0xfffffffe,0x5c03ffff,0xffffffff,0x3ffa4fff,0xfffffb87,
    0x24ffffff,0x2e007ffe,0xfb3004ff,0x9dffffff,0xffeb8001,0x00cfffff,
    0xffffeb80,0x2000cfff,0xeffffff9,0x3fae0001,0x0cffffff,0xfffeb800,
    0x000cffff,0xfffffeb8,0xc8002eff,0xeffffffd,0x7e4c0004,0xffffffff,
    0xfd98002e,0xceffffff,0xfffd7000,0x7fcc7dff,0x6400001f,0x03ffffff,
    0xfffffeb8,0xb8002eff,0xfffffffe,0xfeb8002e,0x2effffff,0xfffeb800,
    0x002effff,0x7fffffdc,0x7100000d,0xfffffffd,0x000159bf,0x3ffffff2,
    0xb3000dff,0xbfffffff,0x82fffc83,0xffffffd9,0x7ffe41df,0x0dff3002,
    0x1baa9880,0x2ea60000,0x2600001a,0x10001aba,0x00357975,0x1aba9800,
    0x2ea60000,0x2600001a,0x00009aba,0x00137530,0x77533000,0x22000015,
    0x0001baa9,0x0004d4c4,0xca980000,0x7530001a,0x20000135,0x0009aba9,
    0x13575300,0x2ea60000,0x5300009a,0x00015797,0x5d54c400,0x8800000a,
    0x0000aba9,0x002aea62,0x55d4c400,0x99000000,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xccc88000,0x9800000c,0x8002cccc,0x002cccca,
    0x9ddb7300,0x77440017,0x3bae003e,0x3320001e,0x930002cc,0x665c3999,
    0x4c00004c,0x88000aaa,0x0000cccc,0x009ddd90,0x776e5400,0x000001bd,
    0x91035553,0xcc981999,0x4000003c,0x000cccca,0x09999300,0x00059995,
    0xdddb9510,0x00000379,0x77766544,0xe88002cc,0xea8005ee,0x026002ee,
    0x00c40000,0x55300000,0xfffd0015,0xb00000df,0x0001dfff,0x001bfffa,
    0xfffffd88,0x1003ffff,0x64009fff,0x90001fff,0x003fffff,0x4cdfffb0,
    0x0002ffff,0x00fffe40,0x77ffff40,0xffd80000,0xfb80005f,0xffffffff,
    0x6400001d,0xff903fff,0x1fffe8bf,0x3e200000,0x00004fff,0xf11ffff4,
    0x40001fff,0xffffffda,0x00beffff,0xfff91000,0xffffffff,0x7ff40019,
    0x7fec001f,0x7ff5c00f,0x3ba23dff,0x45ddd11e,0xbffffeda,0x32000000,
    0x7e401fff,0x005fffff,0x3fffe600,0x3fe20001,0xf98002ff,0xffffffff,
    0xf8805fff,0x3f2004ff,0xfa8001ff,0x00efffff,0x83fffe60,0x0004fffd,
    0x01fffc80,0x7ffffe40,0xfd80005f,0x220005ff,0xfffffffe,0x003fffff,
    0x0ffff200,0xf92fffe8,0x000007ff,0x006fffb8,0xffff8800,0x003fffb0,
    0x3ffffa60,0xffffeeff,0x40004fff,0xfffffffc,0xffffffff,0x9fff7003,
    0x2fffc400,0xffffff30,0x3fe6bfff,0x25fff11f,0xfffffffd,0x000002ff,
    0x5c03fff9,0xfffacfff,0xffb00003,0xf300005f,0xf8800dff,0xc9acffff,
    0x403fffff,0x2004fff8,0x4001fffc,0xff9efff8,0x3ff2005f,0x1bffe22f,
    0xfffff800,0xffffffff,0x7ffd402f,0x003fffad,0x02fffec0,0xbffffb00,
    0xffff9537,0x3200003f,0x3e203fff,0x4fff9fff,0xff800000,0x000000ff,
    0xff7bfff3,0x3ee0007f,0x300adfff,0x01dffff9,0xfffff900,0xfffdddff,
    0x100bffff,0x5c00ffff,0xff502fff,0xfffdffff,0x23fff5df,0xffdbfff8,
    0xfffffeff,0xc800003f,0xff301fff,0x3fff61df,0x7fc40001,0x2a00004f,
    0x36002fff,0xf700dfff,0xff880fff,0x3ff2004f,0x7ff4001f,0x09fff71f,
    0xc89fff10,0x20001fff,0xffffffff,0x02ffffff,0x6c3fffe2,0x20002fff,
    0x0002ccca,0x205ffff9,0x00ffffd8,0x3fffc800,0x7ffffd40,0x8000006f,
    0x0002fffb,0x7fffdc00,0xd88004ff,0x4000cfff,0x002fffea,0x33fffff2,
    0xfffd7300,0xffd801df,0xfffd002f,0x3bfffe60,0x7ffff4c1,0xffff11ff,
    0xfd985dff,0x00002fff,0x440fffe4,0x3e22fffe,0x20000fff,0x00006ffc,
    0x2006ffc8,0x7400ffff,0x3e201fff,0x3f2004ff,0x3f2001ff,0x7fff44ff,
    0x237fdc02,0x0003fff8,0x77777774,0x1eeeffff,0x88bfffa0,0x0000ffff,
    0x3fe20000,0xffe802ff,0xfc80003f,0xffb803ff,0x00000fff,0x003ffe80,
    0xfffb0000,0x3f6000df,0x220001ff,0xb801fffd,0x000effff,0x0bffff91,
    0x805fffa8,0xfb04fff9,0xffd80bff,0xfff11fff,0x7e401dff,0x400006ff,
    0xa981fffc,0xaaa982aa,0x2aaa0001,0x55000000,0xfff30015,0x3fff700b,
    0x027ffc40,0x003fff90,0x102aaaa2,0xaa805555,0x0155440a,0x3ff20000,
    0xaaa8801f,0x01aaa982,0x2a000000,0xf1005fff,0x90000dff,0x2a007fff,
    0x00001aaa,0x002aa880,0x2aa20000,0xfb8000aa,0x700000ef,0xfe801dff,
    0xa8000eff,0x7c02ffff,0x7e400fff,0xfff981ff,0xffffd007,0x3ffffe23,
    0x3fffe800,0x3ff20000,0x0000001f,0x00000000,0x7fff7000,0x01fff900,
    0x0027ffc4,0x0003fff9,0x00000000,0xff900000,0x0000003f,0x70000000,
    0x74007fff,0x40000fff,0x0003fffc,0x00000000,0x00000000,0x01fff300,
    0x0e6f6544,0x540bff90,0x0000ffff,0x803ffff2,0x7c03fffc,0xfff706ff,
    0x3ffea007,0x9ffff11f,0x17ffea00,0xfffc8000,0x00262001,0x00262000,
    0x00262000,0x802fffc8,0x7c407ffe,0x3f2004ff,0x220001ff,0x00000009,
    0x90098000,0x40003fff,0x4c000018,0xd8003fff,0x2e001fff,0x40000abc,
    0x0003fffc,0x09980000,0x00018800,0x20003100,0xff501ffe,0x3bffffff,
    0x6c0bffa0,0x40005fff,0x203ffff8,0x2a06fff9,0xffb03fff,0xfffe800f,
    0x01ffff11,0x0037ff40,0x7ffe4026,0x3ffb2e01,0x002defff,0xffffecb8,
    0xb8002def,0xefffffec,0x3fff202d,0x1fffd401,0x013ffe20,0x001fffc8,
    0x3ffffb22,0x3a200cde,0x3ae003ee,0x7f5c01ee,0x3f22dfff,0x326001ff,
    0x2ceffffe,0x7ffd4000,0xfffe8002,0x00000002,0x744ffff2,0x3ae003ee,
    0x32e201ee,0xcefffffe,0xfffdc881,0x30001dff,0x9dffffd9,0x09ff5005,
    0x337fffea,0x881ffffe,0xfd9505ff,0xff500003,0xfffe80df,0x01fffb00,
    0x9001bffa,0x3fe23fff,0x7fe4005f,0xfffeb807,0x3fff22df,0xffffe981,
    0xdfffffff,0xfffe9800,0xffffffff,0xffe9800d,0xffffffff,0xfffd80df,
    0x03fff400,0x0027ffc4,0x2003fff9,0xfffffffb,0xf103ffff,0x7e4009ff,
    0xfff301ff,0x2bffffff,0x8801fffc,0xfffffffc,0x0000dfff,0x0003fff7,
    0x0007fffb,0x7fe40000,0x09fff13f,0x80fffe40,0xfffffffa,0x2a2fffff,
    0xffffffff,0x91000dff,0xffffffff,0x7ec01bff,0x2fffa80f,0xb06ffd88,
    0x000801ff,0x1ffff100,0x41fffdc0,0xf105fff8,0xfb800bff,0x9fff11ff,
    0x1fffb800,0xffffff30,0x3ff2bfff,0x7fffdc1f,0xffffffff,0x3ee00fff,
    0xffffffff,0x00ffffff,0x3fffffee,0xffffffff,0x07ffec0f,0x007fff50,
    0x4009fff1,0xb801fffc,0xffffffff,0x885fffff,0x32004fff,0xffa81fff,
    0xffffffff,0x01fffdef,0x7fffffcc,0xffffffff,0xfffd8002,0xfffc8000,
    0x00000004,0x7c4ffff2,0x3f2004ff,0xfffc81ff,0xffffffff,0xfffdbfff,
    0xffffffff,0x7fcc00ef,0xffffffff,0xf882ffff,0x1fff885f,0x4c17ff40,
    0x000004ff,0x80ffffe0,0xfa86fff8,0xfff302ff,0xfffa8009,0x007fff11,
    0xa82fffa8,0xffffffff,0xfffdefff,0x33fffea1,0x7fff4c41,0xffff503f,
    0xffe98839,0xfff503ff,0xfe98839f,0x7fec3fff,0x3fffa00f,0x4fff8800,
    0x07fff200,0x17ffff30,0x2ffffc88,0x0027ffc4,0xf983fff9,0x510aefff,
    0x3ffffffd,0xbffffe80,0x3fffee61,0x3fe2001f,0xff50007f,0x000000df,
    0x89fffe40,0x32004fff,0x7fdc1fff,0x2a209cff,0xfffffffe,0x3faa21bf,
    0x7ff406ff,0x3ee61bff,0x7dc1ffff,0x04ffa82f,0xfd01bd88,0x4000000d,
    0x6c04fffd,0x7fec1fff,0x0fffea07,0x23fff300,0x4002fff8,0x7cc4fffa,
    0x510aefff,0x3ffffffd,0x4017ffec,0xfb07fffb,0xff7005ff,0x3fff60ff,
    0x7fffb802,0xa807ffec,0xf1003fff,0x7ec009ff,0x7fe401ff,0x7ffe403f,
    0x027ffc45,0xd83fff90,0xb100dfff,0x403fffff,0x201efffb,0x006fffe8,
    0x0013fff6,0x007fffc4,0xfc800000,0x9fff13ff,0x0fffe400,0x2007bffa,
    0x0efffffe,0x817ffec0,0x201efffb,0x646fffe8,0x0ffc80ff,0x0ff90000,
    0x7dc00000,0x7fd405ff,0x13ffe24f,0x004fff98,0xf88fffcc,0x7d4003ff,
    0x7ffec3ff,0xfffb100d,0x3ffe63ff,0x3fffa005,0x02fffcc0,0x981fffd0,
    0x3a005fff,0x3ff60fff,0x3fffb00f,0x17ffe200,0x01fffe80,0x44037ff4,
    0x3e20ffff,0x3f2004ff,0x3ffea1ff,0xffffd006,0x3fffe603,0x5fffd000,
    0x0dfff900,0xfff55500,0x5555559f,0x64000001,0xfff13fff,0x7ffe4009,
    0x00fffea1,0x07ffffd4,0x437ffc40,0x000ffff9,0x7ec5fffd,0x000ffd07,
    0xfe87fdc0,0xffffffff,0xffffffff,0xffffffff,0xfff806ff,0x807ffee7,
    0x4005fff8,0xff11fffa,0xffb8009f,0x1bffea3f,0x8fffff40,0x2001fffb,
    0x7dc1fffd,0x3f6001ff,0x7ffdc1ff,0x3fff6001,0x403fff61,0x1001fffd,
    0x7c00bfff,0x7fc01fff,0x3575007f,0x027ffc41,0x5c3fff90,0xf5003fff,
    0x3f603fff,0x3ea004ff,0x7fec07ff,0xff8002ff,0xffffffff,0x0001ffff,
    0x4ffff200,0x2004fff8,0x3f61fffc,0xff3000ff,0x7d4007ff,0x7ffec1ff,
    0x3ffea004,0x7fc1bfa7,0x3ea00006,0xfffffd1f,0xffffffff,0xffffffff,
    0x0fffffff,0x363fff90,0xfff806ff,0x7ffdc006,0x00bfff11,0x2e2fffc8,
    0xf5003fff,0x00303fff,0x201fffc8,0x7ffe4001,0xf9000601,0x7ffec3ff,
    0x0bfff700,0x01bffe20,0x00ffffc4,0x0013fff6,0x009fff10,0xfb0fffe4,
    0xffe800ff,0x1fffd01f,0x0fffe800,0x05ffffb0,0x3ffffe00,0xffffffff,
    0x2000001f,0xff13fffc,0x7fe4009f,0x2001881f,0x000ffff8,0xfd0fffe2,
    0xfe8001ff,0x10bfd0ff,0x40000bff,0xfffd2ffa,0xffffffff,0xffffffff,
    0xffffffff,0x7fff100f,0xd007fff1,0xfc800fff,0xdfff11ff,0x0fffe800,
    0xd001fff6,0x80003fff,0x001fffd9,0x3fffb300,0x3f660000,0x3fff61ff,
    0xdffff100,0x3ffff001,0x3ffffd00,0xeffffa80,0xff88001b,0x3ff2004f,
    0x01bffa1f,0x203fff90,0xc8006fff,0xffd82fff,0x3a0002ff,0xeffffeee,
    0x000eeeee,0x3fff2000,0x009fff13,0x000fffe4,0x03fffcc0,0x3e27ffc0,
    0xfc8006ff,0x20dfb2ff,0x200006ff,0xfffb1ffb,0x9999999b,0x99999999,
    0xfffb9999,0x3bffa00d,0xc800fffa,0xf1003fff,0x3fe23fff,0xff3001ff,
    0x06ffe8bf,0x00fffe40,0xffdca988,0x4001ffff,0xfffdca98,0x44001fff,
    0xffffdca9,0x3fff61ff,0x3fffee00,0x7ffec02f,0x7fffe406,0x7ff4401f,
    0x0adfffff,0x04fff880,0x447fff20,0x64005fff,0xff981fff,0xffb8005f,
    0x7fffec3f,0x7ec00001,0x000001ff,0x13fffc80,0x64009fff,0x22001fff,
    0xffffecb9,0xccccccff,0xffcccccc,0x17ffe66f,0x4fffee00,0x0ffd07fc,
    0x87fe4000,0x0004fffc,0x02fffd40,0xffefffa8,0xffff1005,0x3ffff200,
    0x0bffff11,0x88ffff60,0x64005fff,0xb9301fff,0xffffffff,0x9803ffff,
    0xffffffdc,0x01ffffff,0x7fffee4c,0xffffffff,0x003fff61,0x1bfffff7,
    0x37fffea0,0xfffb710a,0xb1003fff,0xffffffff,0x3e2017df,0x3f2004ff,
    0x9fff31ff,0x1fffb800,0x004fffa8,0x2a4fffa8,0x0001ffff,0x03fffc80,
    0xfc800000,0x9fff13ff,0x0fffe400,0xffffb730,0xffffffff,0xffffffff,
    0xffffffff,0x0027ffd4,0xfba7ffd4,0x01ffd80f,0xfb03ef88,0x02fffd4f,
    0x3fff2000,0xffff1004,0x7e4005ff,0x7fd405ff,0xfff11fff,0xffb807ff,
    0x27ffcc6f,0x07ffee00,0xffffffd5,0xffddffff,0x3ffaa03f,0xffffffff,
    0x501fffee,0xfffffffd,0xfffddfff,0x007ffec3,0x77ffffcc,0xfffff900,
    0x3dffffdf,0x64003fff,0xffffffff,0xff882fff,0x3ff2004f,0x07fff71f,
    0x81fffa80,0x8003fffb,0x3fa5fff9,0x000002ff,0x0005fff7,0xfff90000,
    0x013ffe27,0x881fffc8,0xfffffffe,0xffffdfff,0xffffffff,0xffffffff,
    0x007fff71,0x2abfff30,0x5ffa83ff,0x885ffc80,0x3ffe65ff,0x7ec00007,
    0x3f6003ff,0x44007fff,0xb81effff,0x11ffffff,0x1bffffff,0x1ffffd88,
    0x001fffdc,0xfa87ffea,0xefffffff,0x3fff90ac,0xffffff50,0x32159dff,
    0xffa81fff,0xceffffff,0x43fff90a,0x1000fffd,0x01fffffb,0x3ffffff6,
    0xfff35fff,0xfd950003,0x9fffffff,0x004fff88,0x7d47fff2,0x7d4004ff,
    0xfffa81ff,0xfffa8003,0x00dfff14,0x7ffe4000,0x80000000,0xff13fffc,
    0x7fe4009f,0x7fffcc1f,0x22bdefff,0xccccefff,0xcccccccc,0xff50cccc,
    0xff50007f,0xe837f49f,0x3fe603ff,0x22ffb81f,0x000ffff8,0x0bfffe00,
    0x4ffff980,0xffff9800,0xffffedff,0xff11fffe,0xbdffffff,0x07fffffd,
    0x8009fff5,0xff31fffa,0x40159fff,0x7cc1fffc,0x00acffff,0xf307fff2,
    0x0159ffff,0xfb0fffe4,0xfb8001ff,0x3f204fff,0x23efffff,0x0001fff9,
    0x7fffedc4,0x3ffe23ff,0x3fff2004,0x009fff51,0x981fffb8,0xb8004fff,
    0xfff54fff,0x00988009,0x0007ffd8,0x32005310,0xfff13fff,0x7ffe4009,
    0x3bfffea1,0x3ffe009b,0x3e600006,0xfb8004ff,0x0bfee4ff,0x22b7ffe6,
    0x04fffeb8,0xffff0ffd,0x3e600005,0x74001fff,0x10001fff,0xfffffffd,
    0x3fff95ff,0x3e77ffe2,0xffffffff,0x9fff502f,0x1fffb800,0x001dfffb,
    0xfb0bfffa,0x3a001dff,0x7fec2fff,0xffd000ef,0x07ffec5f,0x7fffd400,
    0x04dd4c00,0x0000ffd4,0x2ffff540,0x400bfff1,0xff31fffd,0xffc800bf,
    0x5fff881f,0x3fffc800,0x8005fff7,0x3e03fffb,0xd80004ff,0xfd800fff,
    0xbfff12ff,0x0fffec00,0x2009fffb,0x0006fff8,0x017ffe20,0x88ffff20,
    0xfe980eff,0xffffffff,0x909ff705,0x0000dfff,0x0017fff6,0x0001bffa,
    0x3fffffb2,0x23fff91d,0xfb15fff8,0x019fffff,0x002fffcc,0x7fc7fff2,
    0x3fe000ff,0x7fffc2ff,0x3fffe000,0x007fffc2,0x6c5ffff0,0xd0000fff,
    0x00003fff,0x22001ff7,0xfff50009,0x02fffc4f,0x7c3fffd0,0x7ec007ff,
    0xffff01ff,0x5fffb000,0x0013ffee,0x2a03fffd,0x80000fff,0xd801fffc,
    0xfff12fff,0x7fff400b,0x00dfff11,0x003fffcc,0x7ffc0cd4,0xfffd8007,
    0x882ffe42,0xeffffffc,0x01fff302,0x007ffff1,0x1ffffa80,0x1fffcc00,
    0x35510000,0x223fff90,0xab985fff,0xffff0009,0x9fffd800,0x2006fff9,
    0x262ffff8,0x22006fff,0x3e62ffff,0x3e2006ff,0x3ff62fff,0xff90000f,
    0xf900005f,0x5fff500d,0x07fff400,0x2200dfff,0x3f61ffff,0xff1003ff,
    0x3ffa03ff,0x3fe6003f,0x1bffe67f,0x07fff880,0x0000bffa,0x4017ffdc,
    0x3fe1fffe,0xfff1006f,0x13ffea3f,0x2ffffb80,0x1bffe600,0x4007fffd,
    0xfd07fff9,0xaaa9807f,0x0bffa201,0x00ffffc8,0x17fffa00,0x03fff200,
    0xfc800000,0xbfff11ff,0x7fec0000,0xfff1003f,0x0ffff53f,0x17fffec0,
    0x400ffff5,0x2a2ffffd,0x36007fff,0x3f62ffff,0x027540ff,0x0003fffa,
    0x2601ff60,0xf1005fff,0xffff8dff,0xffffd801,0x01bffea1,0x80ffffe4,
    0x2006fffa,0x7fc5fffd,0xffb003ff,0x17ff60bf,0xfffa8000,0x3fffd406,
    0x2007fffe,0xf71ffffd,0x3e200dff,0x000effff,0xfa87fffb,0x3f6006ff,
    0xfff105ff,0xfd300009,0xfff8809f,0x6c4001ef,0x4001ffff,0x0004fff8,
    0x7ffe4000,0x00bfff11,0x37ffd400,0x9ffffc80,0x802ffff8,0x22fffffd,
    0x802ffff8,0x22fffffd,0x802ffff8,0x22fffffd,0x3fa0fffd,0xfff503ff,
    0x3fa0000f,0xfffe802f,0x4fffc803,0x2037ffec,0x41fffffc,0x5404fffe,
    0x201fffff,0xb805fffd,0x7dc1ffff,0x7e402fff,0x7f441fff,0x1abba9ff,
    0xfff88100,0xffff103f,0x06fffd8b,0x8fffffe4,0x401ffff9,0xffffffe8,
    0x7ffdc00e,0x0bfffb07,0x03ffff70,0x0077ffd4,0x05fffb80,0x7fffff90,
    0x3fffea00,0x7ec4005f,0x000001ff,0x88fffe40,0x00005fff,0x2027fff4,
    0xd1fffffa,0x2603dfff,0x3ffffffd,0x80f7fff4,0xffffffd9,0x0f7fff43,
    0xfffffd98,0x83fff63f,0x542ffff9,0x0004fffe,0x4c3dffb0,0x3fffee1b,
    0xffff700c,0xdffffa83,0xfffb510a,0xff983fff,0x7e440eff,0x201fffff,
    0x81effff9,0x03ffffd8,0x15bffffb,0x3ffffaa2,0x7ffff442,0xefffffff,
    0xfdb999bd,0x6ffffdc1,0xffffca9a,0x7fffd41f,0xffb510ad,0x7fc3ffff,
    0xeb980dff,0xfffebfff,0x7fe440ae,0xfff302ff,0xffb103df,0xfd3007ff,
    0x71003bff,0x8009fffd,0xbdfffffd,0xffb7510a,0xb801dfff,0x5ffffdcc,
    0xc8000000,0xfff11fff,0xf980000b,0x6440efff,0x31ffffff,0x99bfffff,
    0xf7dffffd,0xfff989ff,0xffeccdff,0x4fffbeff,0x6fffffcc,0xeffffecc,
    0x3f64fffb,0x7ffd40ff,0xfffffdff,0x3ee00006,0x3fffefff,0x77ffffe4,
    0xfffffedd,0xfffffd03,0x3dffffdf,0xff503fff,0xffdbffff,0x03fff9ff,
    0xffffffb8,0xffffffdd,0x3fffa205,0xffffffff,0xfff884ff,0xffffffff,
    0xffffffff,0x7ffc44ff,0xffffffff,0xfffd04ff,0xffffdfff,0x543fff3d,
    0xdcdfffff,0x10dfffff,0xbdfffffd,0x07fffffd,0xffffffb8,0xffffffdd,
    0x3ff62005,0xbaabceff,0x2fffffdc,0xffffb000,0xffffffff,0x01dfffff,
    0xffffff70,0x0000001d,0x223fff90,0x00005fff,0xffffffa8,0xfcffffed,
    0x3ffee1ff,0xffffffff,0x2e1fffa4,0xffffffff,0x3ffa4fff,0xfffffb87,
    0x24ffffff,0x3ff67ffe,0xffffc80f,0x00efffff,0x7fff4000,0xfd82ffff,
    0xffffffff,0x36201fff,0xffffffff,0x03fff35f,0x3fffffea,0xffa9ffff,
    0xffe9801f,0xffffffff,0xfff7003f,0xdfffffff,0x7fffec05,0xfffedcdf,
    0xffffffff,0xffffe986,0x04ffffff,0x3fffff62,0xff35ffff,0xffffb83f,
    0x3fffffff,0xffffffb0,0x007fffff,0x3fffffa6,0x03ffffff,0xffffd500,
    0xffffffff,0xa800019f,0xffffffff,0x3fffffff,0x3fffea00,0x000000ff,
    0x23fff900,0x0005fff8,0xfffff500,0xf53fffff,0xffd983ff,0x41dfffff,
    0xd982fffc,0xdfffffff,0x417ffe41,0xffffffd9,0x7ffe41df,0x201fffb2,
    0xffffffea,0x32000003,0x200acefe,0xffffffd9,0xd7000cef,0x47dfffff,
    0x2201fff9,0xdffffffc,0x003fff51,0x7fffff5c,0x44000cff,0xdefffedc,
    0x0bffa803,0x3ffff2a0,0x3202dfff,0xceffffff,0xfffd7002,0x7fcc7dff,
    0xfffd981f,0x401cefff,0xffffffdb,0xeb8000cf,0xcfffffff,0xec980000,
    0xdfffffff,0xdb800002,0xffffffff,0x4c000bef,0x001ceffe,0x3f200000,
    0xbfff11ff,0x64400000,0x1dffffff,0x2203fff5,0x0000aba9,0x01575310,
    0x2ea62000,0x8000000a,0x0001aba9,0x44000000,0x0001baa9,0x0004d4c4,
    0x01ba9880,0x2ea60000,0x0c00001a,0x98002800,0x2000abba,0x0000aba9,
    0x00026a62,0x00375310,0x00d5d440,0x35753000,0x99800000,0x0000009a,
    0x55955310,0x11000013,0x00000000,0x7447bbae,0x000004ee,0x001ba988,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3b72a200,0x0001bcee,
    0x20b332a0,0x5501cccb,0x00000035,0xfa81ffe6,0x0d554c6f,0x15554000,
    0x0006aaa2,0x9bdd9731,0x775c0057,0x0355533e,0x05555000,0xeeeca980,
    0x00000acd,0x3bfb2e62,0x550002cc,0x98d54403,0xcca83ccc,0xcccc802c,
    0x00d55403,0x40000000,0xaaaaaaa9,0x09aaaaaa,0x65c00000,0x2aa204cc,
    0x8000001a,0xaaaaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x1555502a,0x55550000,
    0x55555555,0x55555555,0x00055555,0x7ffffed4,0x0befffff,0x7ffc4000,
    0x17ffea1f,0x002fffc4,0x5ffb8000,0xf917fee0,0xf00009ff,0x7fdc1fff,
    0xfff7004f,0xffffffff,0xfff9005d,0x013fff29,0x03fffe00,0xfffffd30,
    0x1bffffff,0x7ffd4000,0xffffffff,0x3fa000be,0xe87ff206,0x3fe62fff,
    0x7fdc00ef,0x3fe201ff,0x2e00005f,0x7e40bdfe,0xffff901f,0xffffffff,
    0x0019ffff,0xffff9800,0x13ffe203,0xff300000,0xffffffff,0xffffffff,
    0xdfffffff,0x007fffa0,0x3ffffe00,0xffffffff,0xffffffff,0x98006fff,
    0xeffffffe,0xfffffffe,0x7fcc0004,0x1dfff16f,0x017ffe20,0x7fec0000,
    0x90fff603,0x00009fff,0x7dc1ffff,0x7ec404ff,0xffffffff,0x02efffff,
    0x7e53fff2,0xf80004ff,0x3f600fff,0xffffffff,0x03ffffff,0x7fffec40,
    0xffffffff,0xf9003fff,0x8fff107f,0xfd0ffff8,0xffd003ff,0xfff8807f,
    0xffb00005,0xf55bffff,0x3ff201ff,0xffffffff,0xffffffff,0xfb00000c,
    0xff8809ff,0x4000004f,0xfffffffd,0xffffffff,0xffffffff,0xfffd06ff,
    0xfff00003,0xffffffff,0xffffffff,0x00dfffff,0xadffffb8,0xffff9300,
    0x7dc0001d,0x1fffdbff,0x017ffe20,0x7ff40000,0x907ffe02,0x00009fff,
    0x7dc1ffff,0x3fea04ff,0xcdffffff,0xfffffffe,0x29fff904,0x0004fffc,
    0xb00ffff8,0xdfffffff,0xffffffdd,0x3fea009f,0xcdffffff,0xfffffffe,
    0xffff8804,0x83fffecc,0xffbdfffa,0xfffa802f,0x3ff32e05,0xccccccef,
    0xfffb802c,0xffffffff,0x3fff205f,0xffffffff,0xffffffff,0x7cc0003f,
    0xff8806ff,0x2000004f,0xfffffff9,0xffffffff,0xffffffff,0xffd06fff,
    0xff00003f,0xffffffff,0xffffffff,0x0dffffff,0x33fff620,0x7ff54000,
    0x3f60002f,0x402fffff,0x0005fff8,0x0fff8800,0xc81fff10,0x80004fff,
    0x3ee0ffff,0xfff904ff,0x220139ff,0x84fffffc,0xff93ffeb,0xff00009f,
    0xfff701ff,0x7e4405df,0x6402ffff,0x09dfffff,0xfffff930,0xfffa801d,
    0x205fffff,0x4ffffffc,0x80dffd00,0xfffffffe,0x04ffffff,0xf933ffd8,
    0x401dffff,0xaaadfffc,0xdbaaaaaa,0x03ffffff,0x03fff600,0x013ffe20,
    0xfffd8000,0xffffbaad,0xaaaaaaab,0x2aaaaaaa,0x003fffd0,0x55555500,
    0xfffb5555,0x5555555b,0x3f600555,0x220001ff,0x0001fffd,0x09ffffd1,
    0x00bfff10,0xfff30000,0x6437fd40,0x80004fff,0xfb80ffff,0xfffff984,
    0x3ff62002,0x27fb04ff,0x0004fffc,0xe80ffff8,0x22004fff,0x2606fffe,
    0x002fffff,0x13ffffa2,0x3ffff620,0xfffe802e,0xfff5005f,0xffffe801,
    0xffffffff,0x85ed804f,0xc801ddb8,0x44003fff,0x02fffffd,0x02fff880,
    0x009fff10,0x3ffe6000,0x07fffc1f,0x7ff40000,0x0000001f,0x000ffff2,
    0x00effb80,0x1dff7000,0x2aaa6000,0xbfff1002,0xf7000000,0x2ffdc0bf,
    0x0027ffe4,0x407fffc0,0xfffe83fb,0xff90000d,0x23ff05ff,0x0004fffc,
    0x440ffff8,0x98005fff,0xfd02ffff,0x20001bff,0x002ffffd,0x55100022,
    0x2a600155,0xfbaa801a,0xaaaaaeff,0x000001aa,0x03fffc80,0xfffff300,
    0x05553000,0x027ffc40,0xfffd8000,0x00ffff85,0xfffe8000,0x20000001,
    0x0003fffc,0x441fff30,0x09999999,0x005ffc80,0x7fc40000,0x8000005f,
    0x3f603ffd,0x4fffc83f,0xffff8000,0x7dc2fd80,0x40000fff,0x7cc6fffd,
    0x013fff26,0x03fffe00,0x0005fff7,0x2e17fff2,0x0000ffff,0x007fffec,
    0x00000000,0x3ffe2000,0x00000005,0x03fffc80,0x3fffea00,0x10000003,
    0x00009fff,0x03ffff10,0x0001ffff,0x03fffd00,0x900000ae,0x00007fff,
    0xffd07ffa,0xbfffffff,0x017ff401,0x20009880,0x1105fff8,0x3ffa0000,
    0x207ffe02,0x0004fffc,0x440ffff8,0x7fffc47f,0xff880003,0x43ff52ff,
    0x0004fffc,0x6c0ffff8,0x30001fff,0xff88dfff,0x880003ff,0x0003ffff,
    0x00008000,0xbfff1002,0x000004c0,0x1fffe400,0x3fffa000,0x10000007,
    0x00009fff,0x20bfff90,0x0000ffff,0x81fffe80,0x400002fc,0x0003fffc,
    0xfe84ffa8,0xffffffff,0xbff101ef,0x3ffb2e00,0x202defff,0x36e5fff8,
    0x00bdffff,0x3bbbbbae,0xeeeeefff,0xeeefffee,0x009fff94,0x41ffff00,
    0x7fe41fe8,0x2e00007f,0x2ffbefff,0x0027ffe4,0x207fffc0,0x0004fffc,
    0xff90f336,0x5c0000df,0xec806fff,0x3ba200ee,0x7dffb31e,0x98f77443,
    0x881beffd,0x3b265fff,0x002dffff,0x8003bbb2,0x0003fffc,0x217fffcc,
    0xeeeeeee9,0xeeeeeeee,0xfff11eee,0xf8800009,0xfff01fff,0xd000001f,
    0x7ec43fff,0x6400002f,0x80003fff,0xffe80ffd,0xfea99999,0x03ff606f,
    0xfffffe98,0x0dffffff,0xf95fff88,0xdfffffff,0x3ffff203,0xffffffff,
    0xffffffff,0x9fff96ff,0xffff0000,0xf03ff731,0x00005fff,0x77ffffc4,
    0x04fffc80,0x0ffff800,0x007fffd4,0x7fffc000,0x3e200002,0x7ec01fff,
    0x3fe200ff,0xfffff9af,0x2bffe27f,0x7ffffff9,0xf75fff88,0xffffffff,
    0xfffb001d,0x7ffe4001,0xffd80003,0x7fffcc4f,0xffffffff,0x11ffffff,
    0x00009fff,0x206fffc8,0x0000ffff,0x11fffe80,0x0001fffd,0x03fffc80,
    0x82ffc400,0x7ff407fe,0x209ff301,0xfffffffb,0xffffffff,0x6f7ffc40,
    0xffffffff,0xffc82fff,0xffffffff,0xffffffff,0xff96ffff,0xff00009f,
    0x05dfffff,0x001ffff1,0x5fffe800,0x013fff20,0x03fffe00,0x0077fffe,
    0xffff8800,0x7f400000,0x7fec03ff,0x3ffe200f,0xffffffea,0x3abffe24,
    0x84ffffff,0xffdefff8,0xffffffff,0xfffd805f,0x3fff2000,0xffb80003,
    0x7fffcc6f,0xffffffff,0x11ffffff,0x00009fff,0x017fffc4,0x0001ffff,
    0x33fffd00,0x0001dfff,0x07fff900,0x02ffb800,0xffb80ffd,0x2a1bfa03,
    0x441cffff,0x43ffffe9,0xfffffff8,0xfffd510b,0xaaaa983f,0xaaadffea,
    0xacffeaaa,0x9fff92aa,0xffff0000,0x7fcc015b,0xb800007f,0x3f205fff,
    0xf80004ff,0xffd80fff,0x000adfff,0x03fffcc0,0x7ffdc000,0x07ffec05,
    0xffdfff10,0x443ffddf,0xefffefff,0xff881ffe,0x89bfffff,0x3ffffea9,
    0x007ffec0,0x007fff90,0x8ffff300,0xaaaaaaa8,0xff9aaaaa,0x3ffe25ff,
    0x3f200004,0x7ffc06ff,0xe800000f,0xdfffcfff,0xf9000000,0xc80007ff,
    0x0ffd00ff,0x3202ffd8,0x2fffd87f,0x47fffb80,0x0efffff8,0x017fff60,
    0xff00fff4,0x3fff203f,0xfff80004,0xfffa800f,0xfa800006,0x3ff206ff,
    0xff80004f,0xfffb00ff,0x159dffff,0x6fffa800,0xffa80000,0x7ffec06f,
    0x3fffe200,0xf10e21df,0x443bffff,0xfffff103,0x7ffe401b,0x07ffec06,
    0x07fff900,0xffff1000,0xffd80001,0x27ffc46f,0xfff88000,0x7fffc02f,
    0xfe800000,0x004fffff,0x7ffe4000,0x3fec0003,0x7d40ffd0,0x3fee00ff,
    0x017ffe60,0x220fffe8,0x800fffff,0x4401fffe,0xff100fff,0x3fff201f,
    0xfff80004,0xfffb800f,0xf9800005,0x3ff207ff,0xff80004f,0x3ff200ff,
    0xffffffff,0xffb801ce,0x9800005f,0x7ec07fff,0x3fe200ff,0xf8800fff,
    0x2000ffff,0x00fffff8,0x203fffc4,0x4c00fffd,0x9cfffd99,0x01999999,
    0x003ffff0,0x077ffe40,0xfd13ffe2,0x3ee007ff,0xfff806ff,0xffffffff,
    0x5fffffff,0x3fffffa0,0xc8000003,0x40003fff,0x3ffa06fe,0xffedcccc,
    0x0ffd402f,0x4003fff7,0x3e21fffd,0xf5003fff,0xffa80bff,0x81bfea06,
    0x0004fffc,0x800ffff8,0x0004fffd,0x07fff980,0x0013fff2,0x003fffe0,
    0xffffffd5,0x19dfffff,0x013fff20,0x3ffe6000,0x07ffec07,0x07ffff10,
    0x0ffffe20,0x7ffff100,0x03fff600,0x400fffd8,0xffffffff,0xffffffff,
    0x1ffff800,0xffff7000,0x89fff103,0xf003fffe,0xff005fff,0xffffffff,
    0xffffffff,0x7ffff40b,0x26200002,0xffd99999,0x999999cf,0x205fe800,
    0xfffffffe,0xfa801eff,0xc800302f,0x3fe21fff,0x3fa000ff,0x2ffdc07f,
    0x6409ff90,0x80004fff,0xe800ffff,0x00003fff,0x00ffff88,0x0009fff9,
    0x001ffff0,0x3ffffb26,0x2fffffff,0x003fffe8,0xffff8800,0x03fff600,
    0x01ffff88,0x03ffff10,0x0ffff880,0x03fff900,0x2007ffec,0xffffffff,
    0xffffffff,0x1ffff800,0xffffa800,0x89fff102,0xb803fffe,0xff006fff,
    0xffffffff,0xffffffff,0x3fffe60b,0x7ec00002,0xffffffff,0xffffffff,
    0x206fd804,0xfffeeffe,0x3fee001f,0xfd980001,0x3ffe21ff,0x7ffec005,
    0x80fff600,0x3f203ffd,0xf80004ff,0xfd800fff,0x800003ff,0x3207fff9,
    0x80004fff,0x8000ffff,0xfffffdb9,0x7ec3ffff,0x800003ff,0x6c07fff9,
    0x3e200fff,0xf1000fff,0x88001fff,0x2e007fff,0x3f602fff,0x777400ff,
    0xeeeeffff,0x400eeeee,0x001ffff8,0x01ffffcc,0xfe89fff1,0xfff803ff,
    0xffff003f,0x99999999,0x07999999,0x03fffff5,0xfffd8000,0xffffffff,
    0x04ffffff,0x3fa07fc8,0x00fff4c7,0x2000ffc8,0xfffdca98,0x3fe21fff,
    0x7fe4004f,0x07ffa02f,0x2e01fff8,0x80004fff,0xd800ffff,0x00004fff,
    0x207fffb8,0x0004fffb,0x000ffff8,0xfffeb980,0x3ff63fff,0xb800004f,
    0x7ec07fff,0x3fe200ff,0x3fe2007f,0xff88007f,0x3fee006f,0x3fff602f,
    0x3fff2000,0xff980003,0x3e2000ff,0x7c404fff,0x555544ff,0x37ffdc01,
    0x01ffff00,0x3ffee000,0x00001fff,0x66666654,0xcccefffe,0xfb802ccc,
    0x30ffd00f,0xfb001fff,0xffdc980f,0xffffffff,0x3ffe21ff,0x7ffdc003,
    0x01fff103,0xf701ffe2,0x880009ff,0xc800ffff,0x00006fff,0x206fffc8,
    0x0004fffb,0x007fffc4,0x3ffa6000,0xfff90fff,0xf900000b,0xffd80dff,
    0x3ffe200f,0x3ffe2005,0xfff88005,0x3ffee005,0x03fff602,0x03fffc80,
    0x7fffa800,0x3fffa200,0x4fff8805,0x7fff4000,0xeeeeeeef,0x0ffffeee,
    0xffff0000,0x00003fff,0x1fffe400,0x0ffea000,0xffa83ff4,0x82ffc405,
    0xffffffea,0xffeeffff,0x0bffe21f,0x27fff500,0xfffeeeeb,0xfeeeeeee,
    0x4eeeeeff,0x000bfff7,0x007fff88,0x000ffff7,0x0bfffb00,0x002fffdc,
    0x01fffe20,0xfffb8000,0x0ffff73f,0xfffb0000,0x0fffd80b,0x017ffe20,
    0x005fff88,0x005fff88,0xd80bffee,0x32000fff,0x80003fff,0x2007fffb,
    0x800efffd,0x0004fff8,0x3fffffea,0xffffffff,0x000fffff,0xffd5ff00,
    0x0000003f,0x001fffe4,0xfe837f40,0x80fff607,0xffa82ffb,0xceffffff,
    0x43fff90a,0x4003fff8,0xff92fffb,0xffffffff,0xffffffff,0x3eadffff,
    0x4c0005ff,0xf1007fff,0x00001fff,0x202fffe8,0x0005fffa,0x223fffcc,
    0xd80002a9,0xfff15fff,0xe800001f,0x7ec03fff,0x3fe200ff,0x3fe2005f,
    0xff88005f,0x3fee005f,0x3fff602f,0x3fff2000,0xffd80003,0xfffb005f,
    0x3fe2001f,0x3fa0004f,0xffffffff,0xffffffff,0xf00000ff,0x007fffa3,
    0xffc80000,0xfb80003f,0x207fe82f,0xfd00fff9,0xfffff30f,0x7fe40159,
    0x13ffe21f,0x23fff900,0xfffffffc,0xffffffff,0x6fffffff,0x000dfff3,
    0x006fffa8,0x0013fffa,0x0ffffa80,0x01bffe60,0x8dfff500,0x0001ffff,
    0xfd37ffd4,0x400007ff,0x400ffffa,0x2200fffd,0x22005fff,0x88005fff,
    0x2e005fff,0x3f602fff,0x3f2000ff,0x440003ff,0xc802ffff,0x2001ffff,
    0x0004fff8,0xfffffff5,0xffffffff,0x001fffff,0xfffe8200,0x20000001,
    0x0003fffc,0x740eff88,0x2ffe407f,0x7ec27fdc,0xfd000eff,0x7ffc45ff,
    0x7ffec004,0xfff55530,0xf5555557,0x555557ff,0x03fffe25,0x5fffb800,
    0x3fffee00,0xffd00000,0xfff880bf,0x7fdc0007,0x1fffec5f,0x3ffe2000,
    0x03fffee6,0x7fff4000,0x0fffd805,0x017ffe20,0x005fff88,0x005fff88,
    0xd80bffee,0x32000fff,0x40003fff,0x400ffffc,0x002ffffb,0x0027ffc4,
    0x003fffe8,0x000ffff8,0x1fffe800,0x32000000,0x00003fff,0x7fe8bff9,
    0x317ffc40,0xfff01fff,0x7ffc001f,0x1bffe22f,0x20fffd00,0xf300fff8,
    0x3ffa00ff,0x3fa0002f,0x3e2003ff,0x80005fff,0x802ffffb,0x0001fffe,
    0xf90ffffa,0xa8000dff,0x3fe25fff,0xb80005ff,0xd802ffff,0x3e200fff,
    0x3e2005ff,0xf88005ff,0x3ee005ff,0x3ff602ff,0x3ff2000f,0x3e20003f,
    0x7d405fff,0x88003fff,0xa8004fff,0x8000ffff,0x0000ffff,0x01fffe80,
    0x3f200000,0x200003ff,0x06623ffe,0x74426620,0xfff982ff,0x3ffe2006,
    0x3fffe22f,0xdfff5001,0xa81bfea0,0xff9006ff,0x3ea000df,0x5c001fff,
    0x0002ffff,0x017fffe2,0x0077ffe4,0x0ffffd40,0x00bfffe6,0x44fffd80,
    0x002ffffb,0x17fffe20,0x007ffec0,0x400bfff1,0x8005fff8,0x2005fff8,
    0x3602fffb,0x32000fff,0x20003fff,0x201ffffd,0x004ffff9,0x009fff10,
    0x009fffb0,0x003fffe0,0x3fffa000,0x20000001,0x0003fffc,0x013ffe20,
    0x13ffa600,0x003fffd4,0x445ffffb,0xd004ffff,0x3ee03fff,0x13ff204f,
    0x1ffffd40,0x37fff400,0xffffd800,0xfffa8003,0xff5000ff,0xfd000dff,
    0x3ffa0dff,0xfa8003ff,0xffd80fff,0xfa8003ff,0xb000ffff,0x7c401fff,
    0x3e2005ff,0xf88005ff,0x3ee005ff,0x3ff602ff,0x3ff2000f,0xfc88003f,
    0x3a204fff,0x20005fff,0x4004fff8,0x000ffff9,0x001ffff0,0x3fffd000,
    0x64000000,0x00003fff,0x0077ffd4,0x05fffb80,0x00bfffe2,0x8bfffff6,
    0x04fffff8,0xb02fffe4,0x7ff407ff,0x3fff6002,0xfea800cf,0x10002fff,
    0x01bfffff,0x3fffff20,0x7ffec002,0xfea800df,0xff302fff,0x1001bfff,
    0x20bffffb,0x0efffff8,0xfffff900,0x7ffec005,0x17ffe200,0x05fff880,
    0x05fff880,0x80bffee0,0x2000fffd,0x2003fffc,0xefffffb8,0xdfffd100,
    0xfff88000,0x7ffec004,0x3ffe0004,0xe800000f,0x00001fff,0x0ffff200,
    0x3fa60000,0xb8801dff,0xe804fffe,0xb301efff,0x47ffffff,0xcffffff8,
    0x7fffec40,0x807ffe00,0x22001fff,0xdeffffff,0xffecba9b,0x40005fff,
    0xdfffffe9,0xecb988ab,0x003fffff,0xffffff88,0xecba9bde,0x405fffff,
    0xeffffffb,0xfdca9abd,0x200effff,0xdfffffe9,0xedb988ab,0x003fffff,
    0x1007ffec,0x4400bfff,0x88005fff,0x2e005fff,0x3f602fff,0x3f2000ff,
    0xeeeeeeff,0xffffeeee,0x3600efff,0x9999ffff,0xaaaaaaaa,0x9fff12aa,
    0x7fffcc00,0x3ffe0001,0xeeeeeeef,0xeeeeeeee,0xefffe82e,0xeeeeeeee,
    0x05eeeeee,0x01fffe40,0xffd88000,0xbaabceff,0x2fffffdc,0xfffff300,
    0xffffd99b,0x449fff7d,0xffffcfff,0xfffffede,0x03ffe203,0x4003ffcc,
    0xfffffffa,0xffffffff,0x100005ff,0xfffffffb,0xffffffff,0x540003ff,
    0xffffffff,0xffffffff,0xfff7005f,0xffffffff,0x1dffffff,0xffffb100,
    0xffffffff,0x003fffff,0x401fffb0,0x2005fff8,0x8005fff8,0x2005fff8,
    0x3602fffb,0x32000fff,0xffffffff,0xffffffff,0x2200dfff,0xffffffff,
    0xffffffff,0xfff17fff,0x7ffec009,0x7ffc0005,0xffffffff,0xffffffff,
    0xffffe83f,0xffffffff,0x06ffffff,0x01fffe40,0x3faa0000,0xffffffff,
    0x000cffff,0x7fffffdc,0x3a4fffff,0x3ffe27ff,0xfffffe9b,0x5401efff,
    0x3fea06ff,0xffd10006,0xffffffff,0x0007ffff,0xfffff700,0xffffffff,
    0x100001bf,0xfffffffd,0x7fffffff,0xfffe9800,0xffffffff,0x4000cfff,
    0xfffffffb,0xdfffffff,0xfffb0000,0x2fffc401,0x0bfff100,0x0bfff100,
    0x017ffdc0,0x4001fffb,0xfffffffc,0xffffffff,0xf8800cff,0xffffffff,
    0xffffffff,0x9fff17ff,0x3fffe200,0x7ffc0001,0xffffffff,0xffffffff,
    0xffffe83f,0xffffffff,0x06ffffff,0x01fffe40,0xec980000,0xdfffffff,
    0x7ecc0002,0x1dffffff,0xf897ffe4,0xfffb13ff,0x90019fff,0x7fe409ff,
    0x7ed40004,0xffffffff,0x000000be,0x7fffff54,0x000befff,0xfffda800,
    0xbeffffff,0x3f6a0000,0xefffffff,0x540001bd,0xfffffffe,0x40000bef,
    0x2200fffd,0x22005fff,0x88005fff,0x2e005fff,0x3f602fff,0x3f2000ff,
    0xffffffff,0x0bdeffff,0x3fffe200,0xffffffff,0x7fffffff,0x2009fff1,
    0x0005fffc,0xfffffff8,0xffffffff,0xe83fffff,0xffffffff,0xffffffff,
    0x7e4006ff,0x000003ff,0x01353300,0x75310000,0x20000015,0x54000aa9,
    0x332e01cc,0x2a600001,0x0019abba,0x75300000,0x00001357,0x5dd54c00,
    0x8000019a,0x009baaa9,0x2ea60000,0x000009ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa9800000,0xa80001aa,0x00a002aa,
    0xaaaaaa98,0x9aaaaaaa,0xeeeb8000,0x13bb6001,0x02aaa980,0x0cccc880,
    0x00266644,0x002aaaa8,0x99991000,0x664c0001,0x2ccca83c,0x66400000,
    0x654404cc,0x3203deed,0x66441ccc,0xccb800cc,0xccc8802c,0x0155553c,
    0x001aaa98,0x033332a0,0x000aaaa8,0x98aaaa20,0x00001aaa,0x544aaaa0,
    0x9ddd31aa,0x2aa00000,0xb80000aa,0x665c0ccc,0x3322000c,0x57531001,
    0xff700003,0xff00009f,0x7e9801ff,0x3ffff200,0xffffffff,0x000cffff,
    0x4003fff9,0x36005fff,0x70007fff,0xffd8dfff,0xfff0002f,0x200000df,
    0x006ffffe,0x317fff40,0x4401dfff,0xff81deed,0x2ffffa86,0xffffff10,
    0x7ffd409f,0x01fffec6,0x0fffffe4,0x43ffff20,0x6c02fffd,0x10004fff,
    0xb809ffff,0x20005fff,0x3f25fffd,0x000003ff,0x3e2bfff1,0xbfff55ff,
    0x3f600000,0xe80002ff,0x7ff41fff,0x3ffa001f,0x7fffdc02,0x000dffff,
    0x009fff70,0x01ffff00,0x9003ffe4,0xffffffff,0xffffffff,0xfc8019ff,
    0x3fe001ff,0x3ff6005f,0x3f60007f,0x9fff73ff,0x7fffc000,0xfc800006,
    0x005fffff,0x43fffe20,0x2601fffe,0xbeffffff,0xf705ffc9,0xffd10dff,
    0x807fffff,0xff54fffc,0xfff500bf,0x2201ffff,0x3f62ffff,0x7fec02ff,
    0xff70004f,0xfff100df,0xff50003f,0x7ffe43ff,0xf1000003,0x3ffe2bff,
    0x00bfff55,0x3fff6000,0xffe80002,0x0ffff41f,0x02fffb80,0xfffffff5,
    0x009fffff,0x009fff70,0x01ffff00,0x9003fff4,0xffffffff,0xffffffff,
    0x6407ffff,0x3e001fff,0x3f6005ff,0x220007ff,0xfff9fffe,0x7ffc0005,
    0x5400006f,0xfffacfff,0x3fea0003,0x02fffbdf,0x7ffffff4,0x02ffffff,
    0xf90bfff6,0x3d99dfff,0xf5fffd00,0xff100dff,0x0dfff3df,0xfb13fff2,
    0xffd805ff,0xfff0004f,0x3fea001f,0xffe8006f,0x1fffe44f,0xff880000,
    0x2bfff15f,0x0005fffa,0x05fffb00,0x3fffd000,0x801fffe8,0xa82ffffa,
    0xdeffffff,0x05fffffe,0x027ffdc0,0x07fffc00,0x400fffd0,0xaaadfffc,
    0xdbaaaaaa,0x03ffffff,0x4003fff9,0x36005fff,0x40007fff,0xeffffff9,
    0x7ffc0000,0x2600006f,0xffb0ffff,0x7e40005f,0x404fffff,0xfb50eff8,
    0xd009ffff,0xfffd8dff,0xfff10003,0xd001ffff,0x3fea5fff,0x2fffc44f,
    0x2017ffec,0x8004fffd,0x4002fffb,0x2002fffe,0x640ffffa,0x00003fff,
    0x22bfff10,0xfdd35fdc,0x3600000b,0x80002fff,0x7640eeec,0x7fd400ee,
    0x7fc42fff,0xfc881eff,0x74c03fff,0xeeffffee,0xeeeeeeee,0xffeeeeee,
    0xfe85eeff,0x3ff2007f,0x7ec4003f,0xfc82ffff,0x3fe001ff,0x2aa6005f,
    0xfa80002a,0x0001ffff,0x002aaaa8,0x5fffd100,0x007fffc4,0xbffffd00,
    0x307dd300,0x220017b9,0x3ffa2fff,0x3ea0000f,0xc801ffff,0x7fec4fff,
    0x03bfee2f,0x400bfff6,0xff8003fc,0xff98003f,0x3ffa006f,0x3fffc83f,
    0xff100000,0x5c4fa8bf,0xb000005f,0x00005fff,0x7ec40000,0x742fffff,
    0xfa804fff,0x3ea00fff,0xffffffff,0xffffffff,0xffffffff,0xfe87ffff,
    0x3ff2007f,0xff30003f,0xfff90fff,0x2fffc003,0x40000000,0x0001aaaa,
    0x4c000000,0xaa982aaa,0x2a20001a,0x00000aaa,0x0d54c000,0x0000ffff,
    0x10035555,0xa8815555,0x02aaa2aa,0x8017ffec,0x544002fe,0x3f60002a,
    0xffb803ff,0x7fff906f,0x3e200000,0x217e45ff,0x000003fd,0x0005fffb,
    0x3ea00000,0x2fffffff,0x003bffe2,0x501fffec,0xffffffff,0xffffffff,
    0xffffffff,0xd0ffffff,0x7e400fff,0x2a0003ff,0x7e43ffff,0x3fe001ff,
    0x00c4005f,0x00000000,0x00000330,0x00000000,0x00000000,0x002fffc0,
    0x00000000,0x5fffb000,0x001ff100,0x3e200000,0x3e200fff,0xff902fff,
    0xffffffff,0x17ddffff,0x25fff880,0x3fe20ff8,0xfb000001,0x000005ff,
    0xfffd8800,0x22fffeff,0x2003fffa,0x2205fff9,0xadfffdaa,0xaaaaaaaa,
    0xfaaaaaaa,0xd92abfff,0xdddffffd,0x1fffe409,0x3fffa000,0x00fffe47,
    0x880bfff0,0xceffffdc,0x02600002,0xfffc9800,0x0001dfff,0x00000000,
    0x01300000,0x5fff8000,0x00000000,0x3f600000,0x6fd802ff,0x00098000,
    0x409fff90,0x3205fffc,0xffffffff,0xffffffff,0xff102dff,0x88ffe2bf,
    0x098003fe,0x02fffd80,0x22000000,0xb8efffff,0x3ff22fff,0x7ffc001f,
    0x9fff7006,0xffff0000,0xfffffd81,0x3206ffff,0x40003fff,0x322ffff9,
    0x3e001fff,0x3fee05ff,0xffffffff,0x3ddd100d,0x77ffee4c,0xffb1002d,
    0xffffffff,0x1ddd901b,0x0bddd100,0x403bbaa0,0x2204eee8,0x37261eee,
    0x002defff,0x7fc1ddd9,0xeee9805f,0xeeeeeeee,0x1eeeeeee,0x803bbb20,
    0xfd80eeec,0x77ec02ff,0x43ddd101,0xdefffdc9,0x3ffe2002,0xffff881f,
    0x3ffff201,0xffffffff,0xffffffff,0x25fff883,0x3617d42e,0x3f6e62ee,
    0xfb03deff,0x000005ff,0x2601ddd9,0x3ee4ffff,0x3fb6e2ff,0x3fffc000,
    0x04fffb80,0x0ffff800,0x7fffffec,0x3f206fff,0xd80003ff,0x3ff24fff,
    0x3ffe001f,0xffffd885,0xffffffff,0x2fff881e,0xfffffff7,0xfe9809ff,
    0xffffffff,0xffb86fff,0xfffb803f,0x7ffd800f,0x817ffe20,0xff72fff8,
    0x9fffffff,0x41fffb00,0xf9805fff,0xffffffff,0xffffffff,0x3fff601f,
    0x03fff600,0x500bfff6,0x7ffc401b,0xffffff72,0x5c009fff,0xffc85fff,
    0x7ffe404f,0xccccccce,0xffffeeec,0x7ffc42ff,0xfff81805,0xffffff53,
    0xfd81bfff,0x800002ff,0xf300fffd,0xfffb83bf,0xff300002,0x3fee00bf,
    0xff80004f,0x74cc40ff,0x00999fff,0x000ffff2,0xc9bffee0,0x3e001fff,
    0xfffd85ff,0x3faa21cf,0x7fc40fff,0xfffffcaf,0x06ffffff,0x86fffffa,
    0x45ffffda,0xd805fff8,0x4402ffff,0x3e204fff,0x3fe205ff,0xfffffcaf,
    0x06ffffff,0xff07ffec,0xfff300bf,0xffffffff,0x3fffffff,0x007ffec0,
    0xfb01fffb,0x100005ff,0xfff95fff,0xffffffff,0x7fff400d,0x03fffe62,
    0x007fff90,0xfffffd88,0x017ffe20,0x7d5fffc0,0xffffffff,0x3ff60fff,
    0xd800002f,0x3b300fff,0x00bffee0,0x27ffdc00,0x04fffb80,0x0ffff800,
    0x801fffa0,0x0003fffc,0x327fff98,0x3e002fff,0x7ffd45ff,0x7ffec01e,
    0x7f7ffc44,0xeb989bff,0xfc82ffff,0x3e201eff,0x7ff41fff,0xfffff807,
    0x17ffd404,0x40bfff10,0xfffefff8,0xffeb989b,0x3ff602ff,0x017ffe0f,
    0x2aaaaaa2,0xf9aaaaaa,0x7ec05fff,0x3ff600ff,0x2fffd80f,0xfff88000,
    0x989bfffe,0x02ffffeb,0x6cdfff50,0xfc803fff,0xf70003ff,0x7fc49fff,
    0xfff0005f,0x3159fffd,0x47ffffd7,0x0002fffd,0x00fffd80,0x05fff700,
    0xffff1000,0x3ffee005,0xccccccce,0xcccccccc,0x200ffffc,0x32007ffe,
    0x80003fff,0xf90ffff8,0x3e2005ff,0x7fff45ff,0x3fffb001,0x6fffffc4,
    0xdfffd100,0x01ffff88,0x644fffa8,0x3e601fff,0x6406ffff,0x7fc407ff,
    0x3ffe205f,0xfd100dff,0x7fec0dff,0x017ffe0f,0x7ffec000,0x0fffd806,
    0x203fff60,0x0002fffd,0xdfffff88,0xdfffd100,0x57ffec00,0x9006fff9,
    0x40007fff,0x3e25fffd,0xff0005ff,0x6c01dfff,0x3ff67fff,0xd800002f,
    0x70000fff,0x00005fff,0x400dfff9,0xfffffffb,0xffffffff,0xffffffff,
    0x1fffa00f,0xfffb3330,0x33333339,0x3fffe003,0x005fff91,0xfb97ffe2,
    0x3e6004ff,0x3ffe25ff,0x7fc400ff,0x3ffee0ff,0x1fffe005,0x5c07fff3,
    0x00ffffff,0xf1017ffe,0x7fc40bff,0x7c400fff,0xffb00fff,0x02fffc1f,
    0x7ffe4000,0xfffd800e,0x03fff600,0x000bfff6,0x3ffffe20,0x7fffc400,
    0xdfff3000,0x2005fffb,0x0003fffc,0xf89fffee,0xff0005ff,0xe8801fff,
    0xfffb1fff,0x6fffb805,0x00fffd80,0x05fff700,0xffffa800,0x3ffee001,
    0xffffffff,0xffffffff,0x200fffff,0x7fc07ffe,0xffffffff,0x00ffffff,
    0xf91ffff8,0x3ea009ff,0x3fff65ff,0x3fff4001,0x007ffff1,0xfd87fffa,
    0x2aa001ff,0x40dfff01,0x2fffbffe,0x805fff30,0x2205fff8,0xd003ffff,
    0x3f603fff,0x17ffe0ff,0xfff70000,0x3ff6003f,0x3fff600f,0x02fffd80,
    0xffff8800,0x3fffd003,0x99999988,0xeffffffd,0x40999999,0x0003fffc,
    0x447fffe2,0xf0005fff,0x36009fff,0xfffb2fff,0x6fffb805,0x00fffd80,
    0x05fff700,0x7fffd400,0x7ffdc003,0xffffffff,0xffffffff,0x200fffff,
    0x7fc07ffe,0xffffffff,0x00ffffff,0xf91ffff8,0x3ee00bff,0x1fffa5ff,
    0x43fff200,0x000ffff8,0x7fc5fffb,0x6400007f,0xff880fff,0x705ffe9f,
    0xf8801fff,0x3fe205ff,0xffb000ff,0x3fff605f,0x0017ffe0,0x2ffffa80,
    0x03fff600,0xd80fffd8,0x80002fff,0x000ffff8,0xfc85fffb,0xffffffff,
    0xffffffff,0x7fe46fff,0x7fc0003f,0xbfff11ff,0x3fffe000,0x7fff9001,
    0x700bfff6,0xfb00dfff,0x2e0001ff,0x30002fff,0x000dffff,0x333bfff7,
    0x33333333,0xfff33333,0xffeec81f,0x743eeeff,0xeeffffee,0x0eeeeeee,
    0x8ffffc40,0x402ffffc,0x3e5ffff9,0xcccccfff,0xeccccccc,0xfff11fff,
    0x7ffe400f,0x00ffff12,0x2fffa800,0xff97ffa8,0x017ffa0f,0x8817ffe2,
    0x32007fff,0xffb02fff,0x02fffc1f,0xffff9800,0x7ffec003,0x03fff600,
    0x000bfff6,0x01fffe20,0x642fffc8,0xffffffff,0xffffffff,0x7e46ffff,
    0x220003ff,0xff10ffff,0x3fe000bf,0xff5000ff,0x0bfff67f,0x00dfff70,
    0x0001fffb,0x000bffee,0x03bfffea,0x13ffee00,0x3fffe000,0x7ffffec0,
    0x3204ffff,0x80003fff,0xf90ffff9,0x2201ffff,0xf15ffffe,0xffffffff,
    0xffffffff,0x3fe25fff,0x3fee006f,0x0dfff12f,0xfff88000,0xf55ffc84,
    0xfff881ff,0x5fff8803,0x01bffe20,0xb02fffb8,0x7ffc1fff,0xff880005,
    0xfd8004ff,0x3ff600ff,0x2fffd80f,0xfff88000,0x3ffee006,0x7ffffe42,
    0xffffffff,0x6fffffff,0x001fffe4,0x44ffff50,0xf0005fff,0x7d400fff,
    0x5fffb3ff,0x02aaa980,0x000fffd8,0x005fff70,0x0effffb8,0x9fff7000,
    0xffff0000,0xfffffd81,0x3204ffff,0x80003fff,0x3f27fffa,0x31ceffff,
    0xbfffffd9,0x3fffffea,0xffffffff,0x13ffffff,0x5c00bfff,0xfff32fff,
    0xfb00000b,0x25ffd0df,0x7d43fff8,0xff8800ff,0x3ffe205f,0x3ffee005,
    0x41fffb02,0x40005fff,0x005fffe8,0x401fffb0,0xfd80fffd,0x880002ff,
    0x2e005fff,0xd8002fff,0xfc8007ff,0xd10003ff,0x7fc4bfff,0xfff0005f,
    0x7ffd400d,0x005fffb3,0x1fffb000,0x3ffee000,0x3fff2002,0x2e0000ef,
    0x80004fff,0x3a00ffff,0x3f2007ff,0xb80003ff,0x3ff27fff,0xffffffff,
    0x5ffeffff,0x999dfff3,0x99999999,0x22599999,0x2e005fff,0xfff12fff,
    0xf700000b,0x7ffc41ff,0xfb17ffa0,0x3fe200df,0x3ffe205f,0x3ffee005,
    0x41fffb02,0x40005fff,0x000efffd,0x401fffb0,0xfd80fffd,0x880002ff,
    0x2e005fff,0xd8002fff,0xfc8007ff,0xd88003ff,0x3e21ffff,0xff0005ff,
    0x7fd400df,0x05fffb3f,0xfffb0000,0x3fee0001,0xfffb002f,0xf70000bf,
    0xf00009ff,0x7f401fff,0x3ff2007f,0xfd80003f,0x3fff25ff,0xffffffea,
    0x15ffc9ff,0x0000bfff,0x002fffc4,0x7fc5fff7,0x8800006f,0x3fea3fff,
    0x3e3ffe46,0xff1003ff,0x7ffc40bf,0x3ffee005,0x41fffb02,0x20005fff,
    0x000ffffd,0x803fff60,0xfd80fffd,0x880002ff,0x2e005fff,0xd8002fff,
    0xfc8007ff,0xa99803ff,0x44fffffc,0x0005fff8,0x5400dfff,0xfffb3fff,
    0xfb000005,0x2e0001ff,0x74402fff,0x0004ffff,0x009fff70,0x01ffff00,
    0x9003fff4,0x80007fff,0x322ffff8,0xffd89fff,0xff91efff,0x003fffcb,
    0x0bfff100,0xd17ffdc0,0x98800fff,0xb2fff400,0xfffa89ff,0x001fff51,
    0x8817ffe2,0x2e005fff,0xffb02fff,0x02fffc1f,0x1ffffc80,0x7ffec000,
    0x03fff600,0x000bfff6,0x017ffe20,0x642fffb8,0xffffffff,0xffffffff,
    0x7e46ffff,0xffffffff,0xffffffff,0x7c40ffff,0xff0005ff,0x7fd400df,
    0x05fffb3f,0xfffb0000,0x3fee0001,0x3ffa202f,0x200003ff,0x0004fffb,
    0x200ffff8,0x32007ffe,0x40003fff,0x320ffffc,0x55cc1fff,0x1fffd000,
    0xf8818800,0x3ee005ff,0x3fff62ff,0x3ffee000,0x7cfff902,0x3fff82ff,
    0x4400dff9,0x3e205fff,0x3ee005ff,0xfffb02ff,0x002fffc1,0x017fffdc,
    0x07ffec00,0xb01fffb0,0x00005fff,0x400bfff1,0x7e42fffb,0xffffffff,
    0xffffffff,0x7fe46fff,0xffffffff,0xffffffff,0xfff880cf,0xdfff0005,
    0x9fffd400,0x0002fffd,0x00fffd80,0x05fff700,0x0bffffe2,0xfff70000,
    0xfff00009,0x3fff401f,0x07fff900,0x7fffc400,0x00fffe45,0x27ffec00,
    0x47fffa00,0x2005fff8,0x3f22fffb,0x3f6004ff,0xfff300ff,0xb01fff33,
    0x13ffebff,0x05fff880,0x8017ffe2,0xfb02fffb,0x2fffc1ff,0x3fffea00,
    0xffb00003,0x7ffec01f,0x02fffd80,0x5fff8800,0x0bffee00,0xfffffff9,
    0xffffffff,0xc8dfffff,0xffffffff,0xffffffff,0x3fe201df,0xfff0005f,
    0x7ffd400d,0x005fffb3,0x1fffb000,0x3ffee000,0xffffe882,0xfb800001,
    0xf80004ff,0x3fa00fff,0xff9000ff,0x7ec0007f,0x7fe41fff,0xf980001f,
    0xf7001fff,0x7ffc4dff,0x3ffee005,0x03fffe22,0x017ffe60,0xdff79fff,
    0x3e7ffee0,0x3e2001ff,0x3fe205ff,0x3fee005f,0x1fffb02f,0x3002fffc,
    0x0009ffff,0x007ffec0,0xfb01fffb,0x100005ff,0x5c00bfff,0xd8002fff,
    0xfc8007ff,0xccccceff,0x009abccc,0x00bfff10,0x801bffe0,0xffb3fffa,
    0xb000005f,0x20001fff,0xfe82fffb,0x00000eff,0x009fff70,0x01ffff00,
    0x800ffff4,0x8003fffc,0x84ffffc8,0x0001fffc,0x01dfff90,0x23ffff98,
    0x2005fff8,0x7e42fffb,0xffe805ff,0x77fe403f,0xff304ffd,0x800fffbf,
    0x2205fff8,0x2e005fff,0xffb02fff,0x02fffc1f,0x05fffe88,0x7ffec000,
    0x03fff600,0x000bfff6,0x017ffe20,0x002fffb8,0x8007ffd8,0x0003fffc,
    0x0bfff100,0x01bffe00,0xfb3fffa8,0x000005ff,0x0001fffb,0xf70bffee,
    0x00001fff,0x027ffdc0,0x07fffc00,0x57dfffb0,0x1fffe405,0xffff7100,
    0xfff901df,0x3e200003,0xc982ffff,0x7c46ffff,0x3ee005ff,0x7ffc42ff,
    0xffe981ef,0xfffa805f,0x3fe02fff,0x4004ffff,0x2205fff8,0x2e005fff,
    0xffb02fff,0x02fffc1f,0x037fff44,0x7ffec000,0x03fff600,0x000bfff6,
    0x017ffe20,0x002fffb8,0x8007ffd8,0x0003fffc,0x0bfff100,0x01bffe00,
    0xfb3fffa8,0x000005ff,0x0001fffb,0xf88bffee,0x00001fff,0x027ffdc0,
    0x07fffc00,0xffffff70,0x77ffe40f,0xeeeeeeee,0xfffffffe,0x3fff900e,
    0x7fd40000,0xffdeffff,0x440effff,0x2e005fff,0xffa82fff,0xfeddffff,
    0xf000efff,0x401fffff,0x02fffffd,0x02fffc40,0x400bfff1,0xfb02fffb,
    0x2fffc1ff,0x4ffffec0,0xaaaaa999,0x202aaaaa,0x3600fffd,0xffd80fff,
    0xeeeeeeef,0xeeeeeeee,0x00bfff14,0x0017ffdc,0x4003ffec,0x0003fffc,
    0x0bfff100,0x01bffe00,0xfb3fffa8,0xddddddff,0xdddddddd,0x3fff609d,
    0xfff70000,0x77fffec5,0xeeeeeeee,0x00eeeeee,0x004fffb8,0x00ffff80,
    0x7fffffec,0xfffff900,0xffffffff,0x1bffffff,0x00fffe40,0x3ff62000,
    0xffffffff,0xfff880ef,0x3ffee005,0xffffd102,0x1dffffff,0x7fffec00,
    0x7fffdc06,0xfff88007,0x17ffe205,0x02fffb80,0x7fc1fffb,0x7ffc405f,
    0xffffffff,0xffffffff,0x03fff607,0xd80fffd8,0xffffffff,0xffffffff,
    0xbfff16ff,0x17ffdc00,0x03ffec00,0x01fffe40,0xfff88000,0xdfff0005,
    0x9fffd400,0xfffffffd,0xffffffff,0xffb06fff,0x3ee0001f,0xffff32ff,
    0xffffffff,0xffffffff,0x9fff7001,0xffff0000,0xffec8801,0xfff901ff,
    0xffffffff,0x19ffffff,0x03fff900,0x3fae0000,0x2effffff,0x017ffe20,
    0x402fffb8,0xffffffeb,0xffb8002e,0x7fcc04ff,0xf88005ff,0x3fe205ff,
    0x3fee005f,0x1fffb02f,0x2202fffc,0xffffffff,0xffffffff,0x3f607fff,
    0x3ff600ff,0xffffd80f,0xffffffff,0x16ffffff,0x5c00bfff,0xd8002fff,
    0xfc8007ff,0x000003ff,0x000bfff1,0xa801bffe,0xfffb3fff,0xffffffff,
    0xdfffffff,0x003fff60,0xa97ffdc0,0xffffffff,0xffffffff,0xb800ffff,
    0x80004fff,0x2000ffff,0x7fe40198,0xffffffff,0x00bdefff,0x007bbae0,
    0x2ea60000,0xff88009a,0x3fee005f,0x2ea6002f,0x3e200009,0xff802fff,
    0xf88002ff,0x3fe205ff,0x3fee005f,0x1fffb02f,0x2202fffc,0xffffffff,
    0xffffffff,0x3f607fff,0x3ff600ff,0xffffd80f,0xffffffff,0x16ffffff,
    0x5c00bfff,0xd8002fff,0xfc8007ff,0x000003ff,0x000bfff1,0xa801bffe,
    0xfffb3fff,0xffffffff,0xdfffffff,0x003fff60,0xc97ffdc0,0xffffffff,
    0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54400000,
    0x2aaa1aaa,0xeedca802,0x00000acd,0x001aaaa8,0x2aaaaaa0,0x9aaaaaaa,
    0x55530009,0x55555555,0x30001355,0x55555555,0x55555555,0x01555555,
    0x55510188,0x55555555,0x55555555,0x06aaa655,0x8aaaa000,0x2aa0aaaa,
    0xaa80001a,0x220000aa,0x2a0aaaaa,0x80000aaa,0x01aaaaa9,0x55551000,
    0x86aaa215,0x80002aaa,0xaaaaaaa9,0x9aaaaaaa,0x55551001,0x2aaa6000,
    0xaa88000a,0x2aaaa22a,0xaa980001,0xaaaa882a,0xaaaaaaaa,0xaaaaaaaa,
    0x75c400aa,0x5532ceee,0x55000035,0x3fffe655,0x40bfff13,0xfffffffa,
    0x00004fff,0x01bfffea,0xfffffd80,0xffffffff,0x7e403dff,0xffffffff,
    0xcfffffff,0xffff7000,0xffffffff,0xffffffff,0x17dc01ff,0xffffffa8,
    0xffffffff,0x75ffffff,0x00009fff,0x3fa1ffff,0xbfff11ff,0xfffb0000,
    0x3fa20005,0x7fec4fff,0xfd80002f,0x0006ffff,0x3fffffb0,0x7c53ffe2,
    0xc80005ff,0xffffffff,0xffffffff,0x3fe600be,0xfff0007f,0xf70007ff,
    0xfffd89ff,0x3e20001f,0xff983fff,0xffffffff,0xffffffff,0x2600ffff,
    0x3fffffff,0x003ffff9,0xf37ffe80,0x3fe27fff,0xfffe885f,0xffffffff,
    0xd80002ff,0x001fffff,0xffffffb0,0xffffffff,0x3205dfff,0xffffffff,
    0xffffffff,0x7dc00cff,0xffffffff,0xffffffff,0x980fffff,0xff502ffe,
    0xffffffff,0xffffffff,0x3ffeebff,0xfff80004,0x23fffd0f,0x0005fff8,
    0x002fffd8,0x4ffffe88,0x002fffd8,0xfffffd80,0xff80000f,0xff11ffff,
    0x17ffe29f,0x3fff2000,0xffffffff,0xffffffff,0x3ffff00d,0xffff9800,
    0xffd8006f,0x7fffc42f,0x3ffa0006,0xffff305f,0xffffffff,0xffffffff,
    0x3fa201ff,0x92ffffff,0x000dffff,0xff37ffe8,0x3ffe27ff,0xeffffd85,
    0xfffdb9ab,0x220000ff,0x04ffffff,0xfffffb00,0xffffffff,0x05ffffff,
    0xfffffff9,0xffffffff,0x407fffff,0xfffffffb,0xffffffff,0x0fffffff,
    0x502fffa8,0xffffffff,0xffffffff,0x3eebffff,0xf80004ff,0xfffd0fff,
    0x017ffe23,0x0bfff600,0xffffd100,0x0bfff609,0x3fff6000,0x40003fff,
    0x1ffffffa,0x3e29fff1,0xc80005ff,0xffffffff,0xffffffff,0xfb05ffff,
    0xfb8007ff,0x000fffff,0x5407fffc,0x8004ffff,0x300efffc,0xffffffff,
    0xffffffff,0x01ffffff,0x37fffff6,0xffff90ec,0x7f40007f,0x7ffff37f,
    0xf717ffe2,0x75407fff,0x20006fff,0xfffdfffb,0xfffd8000,0xaaaaaaac,
    0xffffecaa,0x6fffe40f,0xaaaaaaaa,0xfffffdba,0xbfff703f,0x55555555,
    0x55555555,0xfff50155,0x3bffea05,0xaaaaaaaa,0xaaaaaaaa,0x009fff72,
    0x21ffff00,0xff11fffe,0xfb0000bf,0x744005ff,0x3603ffff,0x80002fff,
    0x6ffffffd,0x7ffec000,0xfff11fff,0x017ffe29,0x37fff200,0xaaaaaaaa,
    0xffffdbaa,0x5fffb84f,0x7f7fec00,0x3e6002ff,0x3ff206ff,0x3ea002ff,
    0x2a201fff,0xaaaaaaaa,0xbaaaaaaa,0xd00fffff,0x7e405fff,0x001fffff,
    0x3e6fffd0,0xf8803fff,0xf8804fff,0xd0003fff,0x7fff5bff,0x5fffb000,
    0xffffc800,0x01fffe43,0x7ffffe40,0x04fffb82,0x7fd40000,0xbfff502f,
    0x7fdc0000,0xff80004f,0x3fffd0ff,0x0017ffe2,0x00bfff60,0x1fffff44,
    0x00bfff60,0x3bfff600,0x10000fff,0x3fffffff,0x7c53ffe2,0xc80005ff,
    0xa8003fff,0x442fffff,0x22006fff,0x4fffbfff,0x13ffee00,0x01ffffd0,
    0x07ffff10,0xffb00000,0x7ffc03ff,0x7fffe406,0xfd0006ff,0x3fffe6ff,
    0x6fffa803,0x17ffea00,0x2bffe600,0x8006fff8,0x8002fffd,0x7e45fffb,
    0xf30003ff,0xff70ffff,0x8000009f,0xf502fffa,0x40000bff,0x0004fffb,
    0xfd0ffff8,0x3ffe23ff,0xffd80005,0xffe8802f,0xffd803ff,0xfd80002f,
    0x03fffcff,0xfdfff500,0x3ffe23ff,0x00bfff14,0x07fff900,0x3fffe200,
    0x00fffe84,0xfb1fff50,0x7fec00ff,0x7ffcc01f,0xfffe805f,0xd8000005,
    0x2202ffff,0x7e405fff,0x03ffffff,0xf37ffe80,0xf9007fff,0x7c4007ff,
    0xfc8007ff,0x3fffb0ff,0x2fffd800,0x7fff8800,0x001fffe4,0x87ffff50,
    0x0004fffb,0x17ffd400,0x005fffa8,0x13ffee00,0x3fffe000,0x223fffd0,
    0x80005fff,0x4402fffd,0x003ffffe,0x0005fffb,0xff3fffb0,0x3f6000bf,
    0x11fffdcf,0x3fe29fff,0xfc80005f,0x320003ff,0xffc86fff,0xdff9002f,
    0x4007ffee,0xf7007fff,0x7e405fff,0x00000eff,0x27fffe40,0x013ffe20,
    0xfffdfff9,0xffe8003f,0x07ffff17,0x003fffd0,0x000fffe8,0xff537ffc,
    0xffd8009f,0xffd0002f,0x1fffe43f,0x3fff2000,0x027ffdc7,0x77744000,
    0x1eeeefff,0x000bfff5,0x027ffdc0,0x87fffc00,0xff11fffe,0xd800c0bf,
    0x3a202fff,0x2002ffff,0x0002fffd,0xfc9fffd8,0x7c4000ff,0x1fffd9ff,
    0x3e29fff1,0xc80005ff,0x20003fff,0x540ffffa,0xfd004fff,0x0fffe69f,
    0x017ffe60,0x80ffffd8,0x001ffffa,0x7ffd4000,0xfff8805f,0x57ffe404,
    0x4006fffe,0xfff17ffe,0x93bba25f,0xf8004aa9,0x7d4007ff,0x7fffc4ff,
    0x3fff6000,0xfffb0002,0x01fffe41,0x3fffe600,0x013ffee2,0x3ffe6000,
    0x1fffffff,0x000bfff5,0x027ffdc0,0x87fffc00,0xff11fffe,0x7ff64cbf,
    0xffb02cef,0x3ffa205f,0x7ec002ff,0xd80002ff,0xfffa9fff,0xb7fd4003,
    0xff11fffd,0x17ffe29f,0x8bbbbaa0,0x0003fffc,0x220ffffc,0xf8806fff,
    0x17ffe2ff,0x00fffee0,0x46ffff88,0x003ffff8,0x7ffcc000,0xddd700ef,
    0xddddffff,0xf9afffc8,0x3a003fff,0x3fffe7ff,0x00bfff12,0x17ffe600,
    0x83fffb00,0x2003fffc,0x8002fffd,0x7e46fff8,0xe80003ff,0x3fee4fff,
    0x9800004f,0xffffffff,0xbfff51ff,0x7fdc0000,0xff80004f,0x3fffd0ff,
    0x7dd7ffe2,0xffffffff,0x82fffd84,0x02ffffe8,0x02fffd80,0x1fffd800,
    0xd800bfff,0x3fffb3ff,0x7c53ffe2,0x7fd405ff,0x7ffe44ff,0x7ffc0003,
    0x0fffe81f,0x907ffdc0,0xffb00fff,0xffa8003f,0x3fff63ff,0x44000005,
    0x201ffffe,0xfffffffc,0x7fe47fff,0x3ffff92f,0xf9fffa00,0xfff11fff,
    0x3f20000b,0x3e2003ff,0xfff986ff,0x3fff6006,0xfffa8002,0x01fffe44,
    0x37ffdc00,0x0009fff7,0x3fee6600,0x3ea199bf,0x200005ff,0x0004fffb,
    0xfd0ffff8,0x3ffe23ff,0xffffffde,0x6c4fffff,0x7f442fff,0xb0002fff,
    0x00005fff,0x3f23fffb,0xff1000ff,0x47fff63f,0xff14fff8,0x7ffd40bf,
    0x3fffc84f,0x3ffe6000,0x03fff907,0x7d46ffd8,0x7ffc02ff,0xfff90006,
    0x1ffff71f,0xfd800000,0x7e402fff,0xffffffff,0x17ffe47f,0x200dfffd,
    0x3ffa7ffe,0x0bfff11f,0xffff7000,0x7ffdc001,0x03fffd03,0x00bfff60,
    0x83ffff70,0x0003fffc,0x2e7fff98,0x00004fff,0x817ffd40,0x0005fffa,
    0x013ffee0,0x43fffe00,0xff11fffe,0x15bfffff,0x7ffffd53,0xd117ffec,
    0x0003ffff,0x0017ffec,0x98fffec0,0xf7003fff,0x8fffecdf,0xff14fff8,
    0x3ffea0bf,0x7fff903f,0x7ffe4000,0x07fff506,0x7c43fff8,0x3fe204ff,
    0x3fa0004f,0x1ffffeff,0x7e400000,0x98804fff,0x99dfffa9,0x17ffe419,
    0x009ffff3,0x7ff4fffd,0x0bfff10f,0xffffb800,0x7fff4002,0x0bfff700,
    0x26ffff60,0x99999999,0x80efffeb,0x0003fffc,0x70ffff88,0x00009fff,
    0x02fffa80,0x000bfff5,0x677ffdc0,0xcccccccc,0xfccccccc,0xfffd0fff,
    0x3ffffe23,0x3fff600e,0x44bfff66,0x004ffffe,0x017ffec0,0x0fffec00,
    0x3600bfff,0x3fff63ff,0x229fff11,0xff985fff,0x3ff203ff,0xff30003f,
    0x3fe209ff,0x3ffe605f,0x206ffe81,0x0002fffa,0x3fffffe6,0x4000003f,
    0x005ffffa,0x404fff88,0x7e42fffc,0x7f401fff,0x43fff67f,0x0005fff8,
    0x013fffee,0x40bfff30,0x800ffff8,0xfffffffd,0xffffffff,0xff900eff,
    0xf100007f,0x3fee3fff,0xffffffff,0xffffffff,0x3fea07ff,0xffff502f,
    0xffffffff,0x87ffffff,0xfffffffb,0xffffffff,0xffffffff,0x23fffd0f,
    0x01fffff8,0xd87fffc4,0xffe8afff,0x0001ffff,0x000bfff6,0xc87fff60,
    0x7c400fff,0x3fff60ff,0x229fff11,0x7fcc5fff,0x7fe403ff,0x7dc4003f,
    0x3a00ffff,0x3ff207ff,0x01fff907,0x0003fff2,0xbfffff70,0xf9800000,
    0x8000efff,0x6404fff8,0xffe82fff,0x3fff406f,0x7fc4fffb,0xff90005f,
    0xf90009ff,0xffd805ff,0xfffd803f,0xffffffff,0x0bffffff,0x007fff90,
    0x47fffe00,0xfffffffb,0xffffffff,0x207fffff,0xf502fffa,0xffffffff,
    0xffffffff,0xffffb87f,0xffffffff,0xffffffff,0xffd0ffff,0x3fffe23f,
    0x3fffb002,0x3faffff6,0x0fffffff,0x5fffb000,0xfffb0000,0x01fffcc3,
    0xffb1bfee,0x53ffe23f,0x3e65fff8,0xfc803fff,0xaaaaadff,0xffeccaaa,
    0x5c02ffff,0xffd01fff,0x0fffe60b,0x00037ff4,0x01ffffe8,0x3fa20000,
    0x10001fff,0xfc809fff,0xfff982ff,0x9fffa04f,0x3fe27ffc,0xffb8005f,
    0xf88004ff,0xffa807ff,0xfffd806f,0xffffffff,0xffffffff,0x03fffc83,
    0x3ffff000,0x3fffffee,0xffffffff,0x07ffffff,0x540bffea,0xffffffff,
    0xffffffff,0x7ffdc3ff,0xffffffff,0xffffffff,0xfd0fffff,0x3ffe23ff,
    0xfff9001f,0x3fffff65,0xffffafff,0xfffb0005,0xffb00005,0x05fff83f,
    0x3f61fff4,0x9fff11ff,0x7cd7ffe2,0xf9002fff,0xffffffff,0xffffffff,
    0xf3009fff,0xfff107ff,0x42fffc05,0x0004fff8,0x6fffff98,0x3f600000,
    0x20002fff,0x6404fff8,0xff902fff,0x3ffa03ff,0xf89bfee7,0x7cc005ff,
    0x70003fff,0x3e009fff,0x7ec02fff,0xcccccdff,0xffedcccc,0x7fe44fff,
    0xf880003f,0xfff70fff,0x9999999d,0x99999999,0x7ffd4099,0xdffff502,
    0xdddddddd,0xb85ddddd,0x9999dfff,0x99999999,0xffff9999,0x223fffd0,
    0x2e007fff,0xfffb2fff,0x3ee1dfff,0xd8003fff,0x80002fff,0x7e41fffd,
    0xfff100ff,0x11fffd81,0x3fe29fff,0x3ffff9df,0x3ffff200,0xffffffff,
    0x1effffff,0x213ffe00,0x3600fffa,0xfffa87ff,0x7fc40001,0x004fffff,
    0xffffc800,0x7fc40003,0x7ffe404f,0x1bfffa02,0xff73fff4,0x02fffc4d,
    0x00ffffa0,0x01fffe80,0x80bfff90,0x4002fffd,0x24ffffe9,0x0003fffc,
    0x2e7fff98,0x00004fff,0x817ffd40,0x0005fffa,0x013ffee0,0x43fffe00,
    0xff11fffe,0x7fdc00df,0xfffffb2f,0xffffd81d,0x7ffec001,0xffd80002,
    0x1fffcc1f,0xfd85ffb8,0x9fff11ff,0x3ffbffe2,0x32005fff,0xffffffff,
    0xeeffffff,0xffd8002c,0x406ffd86,0x7e41fffb,0xfd80007f,0x1fffffff,
    0x3fea0000,0x880005ff,0x7e404fff,0x3fe602ff,0x7ffe84ff,0xff897fea,
    0x3fe6005f,0x3e60006f,0xeeeeefff,0xffeeeeee,0x3ff600ff,0xfd88002f,
    0xfff90fff,0xff500007,0x27ffdcdf,0x3ea00000,0xfff502ff,0x7dc0000b,
    0xf80004ff,0xfffd0fff,0x017ffe23,0xfb2fffb8,0xf101dfff,0x4001dfff,
    0x0002fffd,0xf81fffd8,0x7ffd05ff,0x223fffb0,0xfff14fff,0x5fffffff,
    0x33fff200,0x99999999,0xff700000,0x04fff81f,0x3a1fffcc,0x5c0005ff,
    0xffe8ffff,0x980000ff,0x000effff,0x04fff880,0x2017ffe4,0x741ffffc,
    0x97fea7ff,0x2005fff8,0x0002fffb,0x3ffffff2,0xffffffff,0x203fffff,
    0x0002fffd,0x327ffff1,0x80003fff,0x3ee5fffb,0x000004ff,0xa817ffd4,
    0x00005fff,0x0013ffee,0x743fffe0,0xfff11fff,0x7ffdc00b,0x01dfffb2,
    0x027fffd4,0x005fffb0,0x03fffb00,0xf881fff9,0xfffd80ff,0x229fff11,
    0xfcffffff,0xfc800fff,0x000003ff,0x98bffe60,0xff801fff,0x0fffe24f,
    0xffff9800,0x0bffff32,0xfffe8800,0xf100000f,0xffc809ff,0xfffe802f,
    0xf33fff46,0x2fffc49f,0x01fff900,0x7ffffc00,0xffffffff,0x6fffffff,
    0x00bfff60,0x95fffd80,0x00007fff,0x7dc9fffb,0x000004ff,0xa817ffd4,
    0x00005fff,0x0013ffee,0x743fffe0,0xfff11fff,0x7ffdc00b,0x005fffb2,
    0x005ffffb,0x000bfff6,0x207fff60,0x7dc3fff9,0x3fffb05f,0x7c53ffe2,
    0xffb2ffff,0xfff900bf,0x80000007,0x3fee4fff,0x4dff9007,0x0000fffa,
    0xc8bfffd1,0x0002ffff,0x00bffff6,0x4fff8800,0x017ffe40,0xd27fffcc,
    0x27fccfff,0x400bfff1,0x20007ffe,0xaaaefffa,0xaaaaaaaa,0x02ffffaa,
    0x0005fffb,0xfcb7ffdc,0x440003ff,0x3ee3ffff,0x000004ff,0xa817ffd4,
    0x00005fff,0x0013ffee,0x743fffe0,0xfff11fff,0x7ffdc00b,0x005fffb2,
    0x01ffffd1,0x005fffb0,0x03fffb00,0xffd17ffe,0x47fff605,0xff14fff8,
    0x7ffc43ff,0x7ffe402f,0x40000003,0x3ffa6ffd,0x1fff5005,0x8001bff2,
    0xe80ffffd,0x8000ffff,0x003ffffb,0x27ffc400,0x00bfff20,0xe8ffffe4,
    0x8ffe27ff,0x2005fff8,0x20006ffe,0x0002fffd,0x360bfffb,0x20002fff,
    0xff95fffb,0xfc80007f,0x3fee0fff,0x4000004f,0xf502fffa,0x40000bff,
    0x0004fffb,0xfd0ffff8,0x3ffe23ff,0x3ffee005,0x005fffb2,0x01bfffe6,
    0x000bfff6,0x407fff60,0xff30fffc,0x3fff601f,0x229fff11,0xffb85fff,
    0x3ff200ff,0x0000003f,0xff8bffd4,0xfff1003f,0x0013ffa3,0x80ffffdc,
    0x006ffff8,0x02ffffd4,0x7ffc4000,0x17ffe404,0x2dfffd00,0x04cc7ffe,
    0x400bfff1,0x10000998,0x0001ffff,0x203fffe6,0x0002fffd,0x7e53fff6,
    0x220003ff,0x7dc4ffff,0x000004ff,0xa817ffd4,0x00005fff,0x0013ffee,
    0x743fffe0,0xfff11fff,0x7ffdc00b,0x005fffb2,0x027fffe4,0x000bfff6,
    0x407fff60,0xff93fff9,0x8fffec0b,0xff14fff8,0x3fffa0bf,0x0ffff205,
    0xf1000000,0x3fff53ff,0xf9fff400,0xf98002ff,0x7dc04fff,0xf1004fff,
    0x0000dfff,0x013ffe20,0x4005fff9,0xfecffff9,0xfff8807f,0x40000005,
    0x0005fffb,0x6c27fff4,0x10002fff,0x3f25ffff,0x360003ff,0x7dc0ffff,
    0x000004ff,0xa81fffd4,0x00005fff,0x0013ffee,0x743fffe0,0xfff11fff,
    0x7ffdc00b,0x005fffb2,0x02ffffe8,0x000bfff6,0x807fff60,0x5ffd6ffe,
    0x88fffec0,0xfff14fff,0x3fffe60b,0x07fff902,0xfd000000,0x00dff97f,
    0xff9dffc8,0xffe8000f,0xfffb006f,0xffe8803f,0x000000ff,0xc809fff1,
    0x64002fff,0x7fffffff,0x05fff880,0x7f400000,0x5c0002ff,0xffd87fff,
    0xffd0002f,0x3fff21ff,0xffc88003,0xfffb84ff,0x54000004,0xff504fff,
    0x5c0000bf,0x80004fff,0xffd0ffff,0x17ffe23f,0xb2fffb80,0x98005fff,
    0xb00fffff,0x00005fff,0x6403fffb,0x07ffafff,0xf88fffec,0xbfff14ff,
    0x07fffe40,0x001fffe4,0x7fe40000,0x4004ffec,0x6ffbfff9,0xffffc800,
    0xffff1000,0x7ffec01d,0x2000001f,0x6404fff8,0xe8002fff,0x27ffffff,
    0xff10aaaa,0x555400bf,0x7fcc000a,0xf880007f,0x7fec2fff,0x7f54002f,
    0x3ff24fff,0x3ee2003f,0xb80effff,0x00004fff,0x67fffcc0,0xbfff50aa,
    0x7fdc0000,0xff80004f,0x3fffd0ff,0x8017ffe2,0xffb2fffb,0xff70005f,
    0x3ff60bff,0xfd80002f,0x3fe601ff,0x6c04ffff,0xfff11fff,0x017ffe29,
    0xf90bfffd,0x000007ff,0xffdff500,0xfff0005f,0xa8007ffd,0x4003ffff,
    0x705ffffa,0x0005ffff,0x4fff8800,0x017ffe40,0x7ffffcc0,0x4bfffe7f,
    0x1005fff8,0x8003ffff,0x0004fffc,0xd8bfffb0,0xeeeeefff,0xffeeeeee,
    0x7e45ffff,0xeeeeeeff,0xffffeeee,0xf700efff,0xdddddfff,0xdddddddd,
    0x20bddddd,0x3fffffff,0x000bfff5,0x027ffdc0,0x87fffc00,0xff11fffe,
    0x7fdc00bf,0x05fffb2f,0x3ffff600,0xeefffd83,0xeeeeeeee,0xfb4eeeee,
    0xffe803ff,0x7ec02fff,0x9fff11ff,0x3017ffe2,0xfc85ffff,0x000003ff,
    0xfffff880,0xffd8000f,0x22001fff,0x0005ffff,0x885ffff9,0xeeefffff,
    0xeeeeeeee,0xeeeeeeee,0x04fff884,0x0017ffe4,0x7fffffc8,0x7c4bfffe,
    0xff1005ff,0xff8003ff,0x500001ff,0x7ec1ffff,0xffffffff,0xffffffff,
    0x7fe40eff,0xffffffff,0xffffffff,0x3fee00ef,0xffffffff,0xffffffff,
    0xf506ffff,0x2a9fffff,0x00005fff,0x0013ffee,0x743fffe0,0xfff11fff,
    0x7ffdc00b,0x005fffb2,0x3ffffe20,0x7ffffec1,0xffffffff,0xfb6fffff,
    0xffc803ff,0xffd807ff,0x29fff11f,0xc805fff8,0x3f20ffff,0x000003ff,
    0xdffffd00,0x3ffee000,0x7ff4007f,0x3a0000ef,0x3e20ffff,0xffffffff,
    0xffffffff,0x5fffffff,0x404fff88,0x0002fffc,0xf9fffffa,0xfff12fff,
    0x3ffe200b,0x3fea001f,0x7c00006f,0x3ff64fff,0xffffffff,0xefffffff,
    0xfffff903,0xffffffff,0x005bffff,0xfffffff7,0xffffffff,0xdfffffff,
    0x7ffff540,0x00bfff55,0x27ffdc00,0x7fffc000,0x223fffd0,0x2e005fff,
    0xfffb2fff,0x7fd40005,0x3ff60eff,0xffffffff,0xffffffff,0x803fffb6,
    0x804ffff9,0xff11fffd,0x17ffe29f,0x97fffa20,0x0003fffc,0xfff90000,
    0x3e60007f,0x32005fff,0x0001ffff,0x137fffcc,0xffffffff,0xffffffff,
    0xffffffff,0x09fff10b,0x002fffc8,0x9ffffe60,0xff12ffff,0x3fe200bf,
    0x3f6001ff,0x400003ff,0x3f67fffc,0xffffffff,0x2cceefff,0x7ffffe40,
    0xefffffff,0x2e000bcd,0xffffffff,0xffffffff,0x06ffffff,0x7fd41330,
    0x2e00005f,0x80004fff,0xffd0ffff,0x17ffe23f,0xb2fffb80,0x80005fff,
    0x365ffffc,0xffffffff,0xffffffff,0x3fffb6ff,0x03fffd00,0x223fffb0,
    0xfff14fff,0x3ffea00b,0x07fff92f,0x2a000000,0x0001ffff,0x400ffffa,
    0x004ffffa,0x9ffff700,0x3fffffe2,0xffffffff,0xffffffff,0xfff885ff,
    0x17ffe404,0x3fff2000,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5555554c,0xaaaaaaaa,0x4000099a,0xfffffffb,0xffffffff,0x006aaa60,
    0x55551000,0x002aaaa6,0x2aaaa800,0x15544000,0x55555550,0x55555555,
    0x55555555,0x55554055,0xaaaaaaaa,0xfffff80a,0xffffffff,0x2fffffff,
    0x15555300,0xaaaa8800,0xaaaaaaaa,0xaaaa9802,0xaaaaaaaa,0x55551002,
    0x55555555,0x2aaaa605,0xaaaaaaaa,0x23dddd12,0xaaaaaaa9,0xaaaaaaaa,
    0x00aaaaaa,0x000aaaa0,0x00000000,0xaa980062,0x04c4000a,0x04c40000,
    0x00031000,0xc8006600,0x3ff20eee,0xffffffff,0xffffffff,0xfd8000ce,
    0xffffffff,0x20ffffff,0x0007fffb,0x9a7ffe40,0x0005ffff,0x03ffff70,
    0x07ffd800,0x3ffffffe,0xffffffff,0xffffffff,0xffff106f,0xffffffff,
    0xfffff03f,0xffffffff,0x5fffffff,0x3fffee00,0x7ffd4001,0xffffffff,
    0xfffc807f,0xffffffff,0xfff5005f,0xffffffff,0x3ffee0ff,0xffffffff,
    0x3ffff16f,0x266666ae,0x99999999,0x2a999999,0x01bff600,0x80262000,
    0xfd93004d,0x4059dfff,0x5c02fffd,0xefffffec,0xeb88002d,0x0befffff,
    0x3ffb2a20,0x30002cef,0xbffffff9,0x07ffec03,0xfffffff9,0xffffffff,
    0x07ffffff,0xfffffe80,0xffffffff,0x3ffe20ff,0x3e00002f,0x3ff20fff,
    0x440002ff,0x0004ffff,0xf03fffdc,0xffffffff,0xffffffff,0xdfffffff,
    0x3ffffe20,0xffffffff,0xffffff81,0xffffffff,0x02ffffff,0x03ffff70,
    0xfffffa80,0x7fffffff,0xfffffc80,0x5fffffff,0xfffff500,0xffffffff,
    0x3ffffee0,0x6fffffff,0x2e3ffff1,0x14c00000,0x00dffb00,0xfffb7100,
    0x7fdc5bff,0x3fff2204,0xdfffffff,0x02fffd80,0xffffffd3,0x01bfffff,
    0x3fffff20,0x81ffffff,0xfffffff9,0x1000dfff,0xfffffffb,0xfb01bfff,
    0x7ffe41ff,0xffffffff,0xffffffff,0xf1003fff,0xdddddfff,0x1ddddddd,
    0x005fffd8,0x0bfff500,0x001ffffd,0x037fff40,0x3fffe200,0x3ffffe07,
    0xffffffff,0xffffffff,0xdd106fff,0xdddddddd,0xddb01ddd,0xdddddddd,
    0xffffdddd,0x3fee001d,0x74c001ff,0xeeeeeeee,0xeb806eee,0xeeeeeeee,
    0xd3004eee,0xdddddddd,0x3aa0dddd,0xeeeeeeee,0xfff15eee,0x00002e3f,
    0x7ec00530,0x7d40006f,0xffffffff,0x00effbef,0xfffffff3,0x5fffffff,
    0xb82fffd8,0xffffffff,0x0fffffff,0x3ffff620,0xffffffff,0x3fffea1f,
    0xffffffff,0x7ff4c01f,0xffffffff,0xfffd86ff,0x013fff20,0xfffeba98,
    0xff9801ff,0xf980003f,0x80000fff,0xf982fffd,0x70005fff,0x0003ffff,
    0x07ffffe8,0x2aaaaaaa,0xdfffdaaa,0xaaaaaaaa,0x0000002a,0x3ffe2000,
    0x3fee001f,0x000001ff,0x00000000,0x00000000,0xb8666640,0x14c00000,
    0x00dffb00,0x3ffff620,0xffffffff,0x3fa01fff,0x2e61bfff,0x361fffff,
    0x7fd42fff,0x74c41cff,0x3603ffff,0x10bdffff,0x55ffffd5,0x213bffff,
    0x0ffffd98,0x2fffffa0,0x3ffff6a1,0x907ffec5,0x40009fff,0x803ffffb,
    0x0001fffb,0x005fffd0,0x07fff880,0x00bffff2,0x07ffff10,0xffffc800,
    0xfc80007f,0x000003ff,0xe8000000,0x4c002fff,0x0000aaaa,0x00000000,
    0x00000000,0x01700000,0x00298000,0x4001bff6,0x0adffffc,0xbffffd51,
    0x0f7ffdc0,0x4dfffb10,0x7ec1fe98,0xffb802ff,0xffff507f,0xffffc807,
    0x5c03ffff,0xff905fff,0x7fc403df,0x3fff61ff,0x013fff20,0x0dfff900,
    0x001fff90,0x17ffee00,0x9fff7000,0x0ffffe80,0x1bfff600,0xffff3000,
    0x90000fff,0x00007fff,0x00002620,0x09fff900,0x00000000,0x06200000,
    0x00c40000,0xb8000000,0x14c00000,0x00dffb00,0x07ffff30,0x81ffffd8,
    0x000ffff9,0xff89fffd,0x017ffe61,0xf80fffe8,0xfb005fff,0x009fffff,
    0xf107fff2,0xf5003fff,0x7ffec9ff,0x013fff20,0x1ffff100,0x006ffe80,
    0x3fffe200,0x3ffa0000,0x7ffcc01f,0xfff7004f,0x7440001f,0x07ffedff,
    0x3fffc800,0xfd970000,0x05bdffff,0x7ffd4000,0x40000006,0x2003eee8,
    0x4401eeeb,0xceffffdc,0xfd930002,0x0059dfff,0x001ddd90,0x80000170,
    0x3ff60029,0xfffe8006,0x7fffcc03,0x4fffd85f,0x9bffea00,0x7ffdc6f9,
    0x3fff6001,0x077ffd41,0xfffff880,0x3ffe2006,0x02fffdc5,0x7ecffff0,
    0x3fff20ff,0xffe80004,0x27ffc02f,0x3ff60000,0xff30003f,0x3ff200df,
    0x7fc401ff,0x640003ff,0x7ffe8eff,0xfffc8000,0x7f4c0003,0xffffffff,
    0x40000dff,0x201ffff8,0xeeeeeee9,0xeeeeeeee,0xfff11eee,0x7ffe4009,
    0x3fffee01,0x0dffffff,0xffff9100,0x1bffffff,0x07ffec00,0x00005c00,
    0xfd800a60,0x7fd4006f,0x7ffc406f,0x7f41fffe,0x7f4000ff,0x02fe89ff,
    0xfff90006,0x03fffc83,0x27fffe40,0x83fff600,0x2001fffd,0x7ffec1aa,
    0x013fff20,0x0ffffa00,0x003fff98,0x37ffd400,0x3fffc800,0x1bfffa00,
    0x00bfffb0,0xd1fffa80,0x90000fff,0x40007fff,0xfffffffb,0xffffffff,
    0x3ff20000,0x7ffcc05f,0xffffffff,0x1fffffff,0x4009fff1,0xd881fffc,
    0xffffffff,0x401effff,0xfffffff9,0x2fffffff,0x01fffb00,0x00001700,
    0xdddd3298,0xffffdddd,0xdddddddd,0x017ffe45,0x3feebffa,0x037ffc3f,
    0x767ffe40,0x2600004f,0x7f41fffd,0x7d4001ff,0x5c002fff,0x3ffe1fff,
    0xffb00007,0x27ffe41f,0x3ffe2000,0x3ffea02f,0x57bb9511,0xffff8001,
    0xffff8001,0x3ffe6000,0xffff504f,0x7fc40001,0x01fffa4f,0x0ffff200,
    0x7fffd400,0x7ff4c41c,0xf30003ff,0xf9801fff,0xffffffff,0xffffffff,
    0x09fff11f,0x40fffe40,0x21cffffd,0x0ffffea8,0x2fffffa0,0x3fffee61,
    0xfffd801f,0x000b8000,0xffa94c00,0xffffffff,0xffffffff,0x3fff62ff,
    0x4d3ff200,0x3fe64fff,0xffb8005f,0x10003fff,0xffffb953,0xffff83ff,
    0x7ffcc000,0xccccccdf,0xffdccccc,0x0ffff12f,0x3fff6000,0x013fff20,
    0x1ffff500,0x64fffe40,0xffffffff,0x3fff2003,0x7ffd4004,0xfffc8004,
    0x7fffc41f,0x7fec0002,0x003fff46,0x01fffe40,0x02fffd80,0x007fffb8,
    0x007fffd0,0x55555551,0xff355555,0x7ffc4bff,0x3fff2004,0x0f7ffd41,
    0x413fff60,0x201efffb,0x806fffe8,0x8000fffd,0x4c00000b,0xffffff52,
    0xffffffff,0x45ffffff,0x3ea07ffe,0x52fffc6f,0x50009fff,0x4003dfff,
    0xfffffdc9,0x1fffffff,0x001fffe2,0x3fffffe2,0xffffffff,0x13ffffff,
    0x0000dfff,0xfc83fff6,0x260004ff,0x6c06ffff,0xffffffff,0x0effffff,
    0x06fff980,0x00fffec0,0x37fff440,0x0017fff2,0xe83fff70,0xc80007ff,
    0x98003fff,0x3a005fff,0x4c000fff,0x00007fff,0x11bfff60,0x64009fff,
    0x7ff41fff,0xfffb001f,0x0ffff983,0x05fffd00,0x000fffd8,0x400000b8,
    0xddddd329,0xdffffddd,0x5ddddddd,0xf8837ffc,0x37ffc0ff,0x0007fff7,
    0x200bfff3,0xffffffea,0xffeeffff,0x17ffe61f,0x7ffffc00,0xffffffff,
    0x4fffffff,0x000bfff3,0xc83fff60,0x70004fff,0x803fffff,0xffffffff,
    0xfffffedd,0xfffe800f,0xdfff1001,0x7ffcc000,0x1ffff32f,0x7ffcc000,
    0x007ffe83,0x03fffc80,0x01fffb80,0x007fff60,0x009fffb0,0x3fff2000,
    0x27ffc40e,0x43fff900,0x2004fffb,0x7ec5fff9,0x3ea004ff,0x7fec07ff,
    0x00b8000f,0x0014c000,0x4400dffb,0xffd05fff,0x54fffd03,0xa8003fff,
    0xfa804fff,0xefffffff,0x3fff90ac,0x0037ffc4,0xcccffff8,0xcccccccc,
    0xf12ccccc,0x20000bff,0x3f20fffd,0xccccceff,0xffeccccc,0x404fffff,
    0x0bfffff8,0x5ffffd88,0x04fffb80,0x007fff70,0x8ffffc80,0x0002fffe,
    0xfe837ff4,0xfc80007f,0x0c0003ff,0x07fff200,0x1ffff880,0xffb80000,
    0xfff881ff,0x3fff2004,0x007fff61,0xfe8fffd0,0x7f4000ff,0x3ff600ff,
    0x00b8000f,0x0014c000,0x4400dffb,0xffc86fff,0x4cffff03,0xb8004fff,
    0x7cc04fff,0x00acffff,0xff07fff2,0xff1000ff,0x400001ff,0x00006fff,
    0x7e41fffb,0xffffffff,0xffffffff,0xa802ffff,0xa802ffff,0x4402ffff,
    0xfd007fff,0x880001ff,0xfffefffe,0x7fe40004,0x0fffd00f,0x7fff9000,
    0x4c000000,0x2001fffd,0x0005fffb,0x2ffffa80,0x009fff10,0xfd0fffe4,
    0xff9000ff,0x037ffc1f,0x017ffe40,0x0001fffb,0x98000017,0x1bff6002,
    0xa8dfff00,0xfff105ff,0x02fffc4b,0x01fffe40,0x003bfff6,0x3a17fff4,
    0xfa8007ff,0x00001fff,0x1001fffa,0x0fffd813,0x3ffffff2,0xffffffff,
    0x00dfffff,0x00395310,0x403fffec,0x4c02fffc,0x00005fff,0xdffffff5,
    0x7fcc0001,0x1fffa03f,0x3fff2000,0x98800003,0xfffffdca,0x3ffa001f,
    0x4c00002f,0x2203ffff,0x32004fff,0x3ffe1fff,0xcccccccf,0xffeccccc,
    0x0bfff31f,0x07fff700,0x0007ffec,0x2000005c,0x3ff60029,0x3fff4006,
    0x2601dff3,0x7ffc4fff,0xfffd8007,0x07fffc01,0x85ffff00,0x4001fffd,
    0x003ffffb,0x7fec04cc,0x3fee000f,0x41fffb2f,0xfffffffc,0xffffffff,
    0x000001bf,0x07fffc40,0x017ffe60,0x0003fff9,0x7ffffe40,0x3fa20001,
    0x3fff405f,0x7ffe4000,0xdc980003,0xffffffff,0x3001ffff,0x0000ffff,
    0x04ffff88,0x0027ffc4,0x3e23fff9,0xffffffff,0xffffffff,0xfff52fff,
    0xfff50009,0x07ffec09,0x00005c00,0xfd800a60,0x7fe4006f,0x01ffe8af,
    0xfd0fffea,0x7cc007ff,0x7fcc07ff,0x3fe2006f,0x7ffe42ff,0x3ffe2005,
    0x7ec006ff,0x3fff21ff,0x3fff6004,0x641fffb0,0x73304fff,0x001bffff,
    0xffd00000,0xfffd003f,0x037ffc01,0x3ffe2000,0x7ec0004f,0x7ff400ff,
    0xffc80007,0x3aa0003f,0xffffffff,0x1fffeeff,0x07fff900,0x7ff44000,
    0xfff8805f,0x3fff2004,0xffffff51,0xffffffff,0x27ffffff,0x8003fffb,
    0x3605fff9,0x2aa00fff,0x000170aa,0x36002980,0x7dc006ff,0x03ffdcff,
    0x2a0ffff4,0x36007fff,0x7d404fff,0x3f6007ff,0x7fc42fff,0xff9001ff,
    0x2007ffff,0x7c46fff9,0xf9800fff,0x3fff65ff,0x013fff20,0x0bffffa2,
    0xf9000000,0xff7007ff,0x3ffea05f,0xfd800003,0x2a0002ff,0xfe802fff,
    0xfc80007f,0xf50003ff,0xdfffffff,0x3fff2159,0xffff8801,0x3f600000,
    0xf8800eff,0x3f2004ff,0xdfff31ff,0x99999999,0x99999999,0x00fffea5,
    0x813ffea0,0xf100fffd,0x002e3fff,0x40053000,0x4c006ffd,0x05ffffff,
    0xd837ffdc,0xfb805fff,0x7c400fff,0xfd802fff,0xfb82ffff,0x7dc01fff,
    0x2fffffff,0x1ffff440,0x402fffe4,0x3f63fffe,0x3fff20ff,0xfffd1004,
    0x0000003f,0x4027ffdc,0xfb05fff8,0x000001ff,0x0005fffb,0x4013ffe2,
    0x80007ffe,0x8003fffc,0xacfffff9,0x07fff200,0x017ffee0,0xffffd800,
    0x9fff1000,0x8fffe400,0x0005fff8,0x013ffe60,0x813ffee0,0xf100fffd,
    0x002e3fff,0x40053000,0xc8006ffd,0x200effff,0x101ffffa,0x103dffff,
    0x007ffffb,0x407bfffa,0xffffffd9,0x5ffffd03,0xffffc881,0x0cffffdc,
    0x77fff5cc,0xeffff880,0x5fffe981,0xf907ffec,0x744009ff,0x0000ffff,
    0x7fff9000,0x03fff600,0x000bfff1,0x0bfff600,0x7fffdc00,0xffffffff,
    0xffffffff,0x7fe4001f,0xffd8003f,0xffd000ef,0xfffd005f,0x3f200003,
    0x22001fff,0x36005fff,0x3ffe1fff,0x3e200007,0xfc8005ff,0x3ff603ff,
    0xffff100f,0x000002e3,0x55540053,0xfff88002,0xffc883ff,0x7fdc04ff,
    0xffddffff,0x2004ffff,0xcdfffff9,0xbeffffec,0xfd304fff,0xfdbdffff,
    0x7e47ffff,0xfedeffff,0x200effff,0xdffffffa,0x0effffed,0xf907ffec,
    0xf98009ff,0x53006fff,0xffb00075,0x3fea003f,0x17ffdc3f,0xffd80000,
    0xff70002f,0xffffffff,0xffffffff,0xc8003fff,0xf8003fff,0x3e000fff,
    0x7c402fff,0x700006ff,0x8005ffff,0x2005fff8,0x3fa1fffe,0x0c4000ff,
    0x8007fff8,0x3602fffd,0xff100fff,0x0002e3ff,0x00005300,0xffffe800,
    0xfffedeff,0xfd3006ff,0xffffffff,0xf70007ff,0xffffffff,0x3fff49ff,
    0xfffff910,0x05ffffff,0xfffffff7,0x001dffff,0xffffffd1,0xb01dffff,
    0x7fe41fff,0xffc8004f,0xfff804ff,0x7ff4000f,0x3ffe000f,0x003fff46,
    0x5fffb000,0x3ffee000,0xffffffff,0xffffffff,0x7e4001ff,0x7cc003ff,
    0x3e2006ff,0x7d402fff,0xa80005ff,0x0003ffff,0x2200dfff,0x3f61ffff,
    0x7f4004ff,0x3fffa1ff,0x3ffe6003,0x07ffec07,0x00b87fc0,0xc994c000,
    0xcccccccc,0xcccccccc,0x7fe41ccc,0xffffffff,0x000cffff,0x7fffff64,
    0x20000cff,0xffffffd9,0x7ffe41df,0x7fff5402,0x201cefff,0xfffffec9,
    0xeb8002ef,0x2effffff,0x9fff9000,0x3fffa000,0x7ffec02f,0x3ffea003,
    0x7ffe4006,0x009fff11,0x7ffec000,0x55510002,0x55555555,0x55fffd55,
    0xfc800155,0x7d4003ff,0x3f6007ff,0x7e402fff,0x4c0003ff,0x0004ffff,
    0x2007fffe,0x261ffffd,0x7001ffff,0xffa8dfff,0x3ff6006f,0x7ffec05f,
    0x173fcc00,0x52980000,0xffffffff,0xffffffff,0x7d45ffff,0xffffb55f,
    0x0003bfff,0x00357530,0xaba98800,0x51000000,0x5cc00037,0x3000009a,
    0x80001375,0x0004fffc,0x80dffff3,0x000efffb,0x8005fffd,0xff73fff9,
    0x4000001f,0x0002fffd,0x3fff4000,0x7ffe4000,0x7ffc4003,0xfffd802f,
    0x7ff402ff,0x3a20002f,0x40005fff,0x6406fffd,0x641fffff,0x4c00efff,
    0xfd83ffff,0xffb805ff,0x7fec01ff,0x72fdc00f,0x29800001,0xfffffff5,
    0xffffffff,0x5c5fffff,0x5d4c40ff,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x13fff200,0xffffc800,0x3fffe204,0x6fffc804,0x2dffd000,
    0x00005ffe,0x017ffec0,0x3fa00000,0xfc80007f,0xfe8003ff,0xfb301eff,
    0x807fffff,0x0001ffff,0x00dfffd1,0xbffff500,0x3ff6a215,0x7c41ffff,
    0xc982ffff,0xf306ffff,0xb103dfff,0xb007ffff,0x7cc01fff,0x00002e3f,
    0x3ffea530,0xffffffff,0xffffffff,0x0000cc2f,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0004fffc,0x07ffffa2,0x0dffffa8,0x1ffffe98,
    0x3fff5000,0x00005fff,0x02fffd80,0x7f400000,0xfc80007f,0xf98003ff,
    0xeccdffff,0xffbeffff,0x3ffe204f,0x3ff60007,0xaa9999ff,0xaaaaaaaa,
    0x7fffff42,0x9effffef,0xffa81fff,0xffdeffff,0x200effff,0xdffffffb,
    0x5ffffffd,0x01fffb00,0x99717fe2,0x99999999,0x99999999,0x00005b99,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,0xa80009ff,
    0x6406ffff,0xddefffff,0x01ffffff,0x3bffe200,0x000007ff,0x002fffd8,
    0x7ff40000,0xffc80007,0xff70003f,0xffffffff,0x03fff49f,0x000dfff3,
    0x3fffffe2,0xffffffff,0x447fffff,0xfffffffd,0x3fff35ff,0x3ffff620,
    0xefffffff,0xfffe9800,0xffffffff,0x3fff6003,0x0000f600,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,0xfb00009f,
    0xfb807fff,0xffffffff,0x80000eff,0x04fffffc,0xffd80000,0x0000002f,
    0x0003fff4,0x001fffe4,0xfffffb30,0xffc83bff,0xbfff502f,0x3ffe2000,
    0xffffffff,0xffffffff,0xffffd707,0x7ffcc7df,0x7fff5c01,0x002effff,
    0xfffffeb8,0x6c000cff,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64000000,0x80004fff,0x00fffff8,0x7ffffe44,
    0x00003eff,0x07ffffe6,0x3f600000,0x000002ff,0x003fff40,0x01fffe40,
    0x55d4c400,0xffb80000,0xff10003f,0xffffffff,0xffffffff,0x9a9880ff,
    0x54c00000,0x000009ab,0x00035753,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0xf700004f,0x4400bfff,
    0x00001aba,0x01bfffa0,0x7fec0000,0x0000002f,0x0003fff4,0x001fffe4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000004c4,0x440004cc,0x31000001,
    0x06200000,0x00440000,0x000004c0,0x02000013,0x001f7744,0x3a23ddd7,
    0x3bba26ee,0x3bbae003,0x009ddd11,0x005dddd5,0x774c0000,0xeeeeeeee,
    0xeeeeeeee,0x001ddd91,0x200bddd1,0x3b20eeea,0x3b2005ee,0x777744ee,
    0x009ddd31,0x003ddd70,0x00000000,0x00000000,0x74000000,0x298003ee,
    0x44004800,0xdeffffec,0x65c4000c,0xcefffffe,0xfffdc881,0x10001dff,
    0x9dffffb9,0x3b260005,0x02ceffff,0x930f7744,0x017bfffd,0xbffffb71,
    0x43ddd103,0xdefffdc9,0x23ddd102,0x21beffd9,0x2004fff8,0xff11fffc,
    0x27ffc4ff,0x23fff900,0x5405fff8,0x6643ffff,0xf3000001,0xffffffff,
    0xffffffff,0x0fffee3f,0x03fffee0,0xf31fff60,0xf7009fff,0xfff81fff,
    0x03fffe2f,0x00ffff00,0x703aa000,0x02540009,0xf507ffb0,0x84ffc8df,
    0x00006ffa,0x98009fff,0x3f6002ff,0xffff7005,0x7fffffff,0x3fffea00,
    0xffffffff,0x3ffffea2,0x00dfffff,0x3ffffee0,0x00dfffff,0xfffff910,
    0x01bfffff,0x7e4bffe2,0x6fffffff,0x7fffff44,0x7fc44fff,0xfffff72f,
    0xf109ffff,0xffff35ff,0x7ffc4fff,0x3fff2004,0x44ffff11,0x32004fff,
    0xfff11fff,0x7fffd40b,0x02effc83,0x7ffcc000,0xffffffff,0x1fffffff,
    0xb00bfff1,0x8805ffff,0xffb84fff,0x3fe601ff,0xffff82ff,0x00bfff22,
    0x004fffa8,0x3ffee200,0x5113fee0,0xffa83597,0x86ffa804,0x7c42fff8,
    0x4ffd82ff,0x4fff8000,0x3fffe600,0x5fffd802,0x7ffffdc0,0xffffffff,
    0x7fffe405,0xffffffff,0xffffdbff,0xffffffff,0x7fec400e,0xffffffff,
    0x7cc01eff,0xffffffff,0x882fffff,0xfffcafff,0x5fffffff,0xffffffd1,
    0x7c45ffff,0xffffcaff,0x6fffffff,0x7f57ffc4,0x224fffff,0x32004fff,
    0xfff11fff,0x027ffc4f,0x223fff90,0xff505fff,0x3ff207ff,0x0000bfff,
    0xaaaaaa88,0xf9aaaaaa,0x7ff45fff,0xfffff807,0x17ffd404,0x206fffd8,
    0xff04fffe,0x7ffcc5ff,0x3fff6005,0xfd980001,0xff10ffff,0xfffb39ff,
    0xff55dfff,0x7fc405ff,0x05ffd82f,0xf881fff7,0x7c0002ff,0x7ec004ff,
    0x3f602fff,0x3e602fff,0x6440bfff,0xf702ffff,0x44139fff,0xffffffea,
    0x3aa21bff,0x7ec06fff,0x2a21cfff,0x200ffffe,0x21bffffe,0x1fffffb9,
    0x7ff7ffc4,0xffc98ace,0xacffecff,0x6fffeb98,0x3ffbffe2,0xfeb989bf,
    0x3fe22fff,0xfeefffef,0x13ffe21f,0x11fffc80,0x7fc4ffdd,0x3ff2004f,
    0x0bfff11f,0x407ffff5,0xfffffffb,0x0000001d,0x6437ffec,0x3e601fff,
    0x6406ffff,0x3fe207ff,0xfffc83ff,0x07333206,0x1001fffd,0x8000dfff,
    0xffffffeb,0x3fffea0f,0xffffffff,0x04ffffff,0x7dc37fec,0x3ffa00ff,
    0x00fffc85,0x013ffe00,0x0bffff60,0x00bffff6,0xc807fff9,0xffd05fff,
    0xfffd003d,0xfd801dff,0xfff502ff,0xfffd803d,0x3dfff704,0x37fff440,
    0x1bffffe2,0xefffffb8,0x5ffff301,0x37ffffe2,0xdfffd100,0x6fffffc4,
    0xfff10e21,0x7ffe4009,0xff13fc41,0x7fe4009f,0x8bfff11f,0x803ffffa,
    0xffffffc8,0x000002ef,0x80efffc8,0x2e03fff9,0x00ffffff,0xf5017ffe,
    0x7fd43fff,0x2e0001ff,0xfb803fff,0xc88003ff,0xefffffff,0xfffff502,
    0xffffffff,0xfb809fff,0x7ffc41ff,0x17ffd404,0x0017ffe2,0x0004fff8,
    0x6c5ffffb,0xe802ffff,0xff8806ff,0x7ffd40ff,0xffff5003,0xfff1001f,
    0x07fffa0d,0x20fffec0,0x000ffff9,0x7c45fffd,0x2200ffff,0x402fffff,
    0xff13fffb,0xf8801fff,0xfff10fff,0xff1001ff,0x7fe4009f,0xf137cc1f,
    0x7e4009ff,0xbfff11ff,0x017fffcc,0x7ffff540,0x0000cfff,0x1ffffb80,
    0xe81bffe0,0x02fffbff,0x9005fff3,0x3fe2dfff,0x440003ff,0xfe806fff,
    0x36a000ff,0xcfffffff,0xffffc801,0x3ffee21c,0x7ffcc06f,0x00fffe85,
    0x5c0fffd8,0xf0002fff,0x6c0009ff,0xffdbffff,0xfff002ff,0x26aea00f,
    0x007ffec0,0x03ffff98,0x707ffea0,0x4c009fff,0x7fec5fff,0x3fea004f,
    0x3fffe27f,0x6fffd802,0x14fffa80,0x2007ffff,0xff11fffe,0x3e2007ff,
    0x3f2004ff,0x127dc1ff,0x64009fff,0xfff11fff,0x0bfffe6b,0xfff93000,
    0x005bffff,0x3fffea00,0x07ffe402,0x7f4fffc4,0x1fff705f,0x5fffd100,
    0x000bfffb,0x807fff60,0x8805fff8,0xffffffeb,0x3fa000be,0x3fe601ff,
    0x3ffa00ff,0x1fffdc0f,0x85fff980,0x8000fffe,0x40004fff,0xfffffffd,
    0x3ff6002f,0x2200004f,0x3ffe2001,0x3fe2000f,0x0fffec3f,0xd1fffa00,
    0xe8001fff,0xfff10fff,0xfff9001f,0xbfff3009,0x003fffe2,0xf897ffec,
    0xf1001fff,0x7e4009ff,0x87fa21ff,0x2004fff8,0xff11fffc,0x5ffff3bf,
    0x75c40000,0xbeffffff,0xfff30000,0xfff5007f,0x32fff505,0xbffd07ff,
    0x7fffcc00,0x0000efff,0x409fff50,0x2602fffb,0xfffffffc,0xffa8001d,
    0xfffa803f,0x87fff904,0x4006fff9,0x7d43fffc,0x4ccc45ff,0xfff99999,
    0x9999999d,0xffffd801,0x7d4002ff,0x001befff,0x7fcc0000,0xfff8007f,
    0x003fff44,0xff07ffe4,0xff9000df,0x1bffe25f,0x017ffe40,0xf8afffc4,
    0x3f2007ff,0xffff12ff,0x3ffe2001,0x3fff2004,0xf885fd11,0x3f2004ff,
    0xdfff11ff,0x00bfffff,0x3ff66000,0x00cfffff,0x13fffe20,0x427ffc40,
    0xfff55ffc,0x03fff881,0x7ffffe40,0x7c00001f,0x3ffa06ff,0xffffb307,
    0x00017fff,0xb0037fe4,0xfff30dff,0x03fffd0d,0x0ffff880,0xf91fffec,
    0xffffffff,0xffffffff,0xf8801fff,0x8004ffff,0xffffffe8,0x00000adf,
    0xfffd9731,0x99999fff,0xf9999999,0xffff8dff,0xcccccccc,0xfffecccc,
    0x00bfff31,0x227fff70,0xf9006fff,0xff1003ff,0x1bffe2bf,0x12fffb80,
    0x4400ffff,0x32004fff,0x2ffdcfff,0x004fff88,0x7c47fff2,0xffffffff,
    0x2000002f,0xffffffb8,0xfffd1000,0x6ffd800b,0xff12ffe8,0x0fffa87f,
    0xffffe800,0xfc800003,0xfff981ff,0xfffff904,0x3a00005b,0x3f2005ff,
    0x3fffe87f,0x002fffdc,0x4c5fffb8,0xff90ffff,0xffffffff,0xffffffff,
    0xffd801ff,0x8002ffff,0xffffffd8,0x000befff,0x3ffff6e6,0xffffffff,
    0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,0x52ffffff,0x50009fff,
    0x3fe29fff,0xfff9005f,0xbfff1003,0x8017ffe2,0xff12fffb,0x7fc400bf,
    0x3ff2004f,0xf101ceff,0x7e4009ff,0xffff11ff,0x1ffffbff,0xfb000000,
    0x36001fff,0x4000efff,0x3e20fffb,0x17ffa0ff,0x2000dffb,0x003ffffc,
    0x4fff9800,0x900fffc8,0x0005ffff,0x004ffe80,0xf903ffea,0xfff98bff,
    0xffe8000f,0x2fffdc2f,0xfffffff9,0xffffffff,0x401fffff,0xfffffffd,
    0xff90002f,0xffffffff,0xffe8805f,0xffffffff,0xfffffffd,0xffffffff,
    0xf51fffff,0xffffffff,0xffffffff,0x3fee7fff,0xff98003f,0x0bfff15f,
    0x007fff20,0x7c57ffe2,0x3ee005ff,0xbfff12ff,0x27ffc400,0x05fff900,
    0x009fff10,0xf88fffe4,0xffd1ffff,0x200000bf,0xffffffb8,0xffffd800,
    0xfff88000,0xf91bfea3,0x03fff8ff,0xfffff980,0xe800001f,0x6fff87ff,
    0x3fffff20,0xfd00002d,0x7fe400bf,0x83fffd07,0x4004fffb,0x7c45fffa,
    0x2aa60fff,0xffaaaaaa,0xaaaaaadf,0xfffb00aa,0x5ffffb5f,0x7f654000,
    0x4fffffff,0xffffff30,0x7fc57bdf,0xccccccef,0xcccccccc,0xdfff30cc,
    0x99999999,0x99999999,0x00fffea5,0x453ffea0,0xf9005fff,0xff1003ff,
    0x17ffe2bf,0x12fffb80,0x4400bfff,0x32004fff,0xf8801fff,0x3f2004ff,
    0xffff11ff,0x17fffcc3,0xffb30000,0x009fffff,0x003ffff9,0xfb2fff40,
    0x1fffa89f,0x8001fff5,0xffffffe8,0xfb800006,0x3ffea2ff,0x3fff6603,
    0x000bffff,0x801fff20,0xff106ffd,0x3fffb0df,0x07fff400,0x000bfff2,
    0x40013ffe,0x362ffffd,0x0002ffff,0xffffdb88,0x7ffd43ff,0x3e009bef,
    0x200006ff,0x0005fff8,0x013ffe60,0x453ffee0,0xf9005fff,0xff1003ff,
    0x17ffe2bf,0x12fffb80,0x4400bfff,0x36005fff,0xf8801fff,0x3f6005ff,
    0xbfff11ff,0x01ffff70,0x7ff5c400,0x002effff,0x005ffff7,0x3e7ffc80,
    0x3fff82ff,0xb000dff9,0xfffb9fff,0xf8800009,0x3fff65ff,0xfffc8800,
    0x001dffff,0x803fffa8,0x2e04fffa,0x7fc43fff,0xfff7005f,0x05fff985,
    0x009fff00,0x05ffffb0,0x005ffffb,0xfffea800,0x027ffec5,0x006fff88,
    0x03fffc00,0xbfff1000,0x7fff9000,0x4017ffe2,0x8801fffc,0xfff15fff,
    0x7ffdc00b,0x00bfff12,0x002fffc4,0x1003fffd,0x7400bfff,0xfff11fff,
    0x17fffa0b,0x3fff2600,0x001dffff,0x00ffffea,0x27ffe600,0xfd80fff9,
    0x009fff5f,0x88efffa8,0x0002ffff,0xf8bffec0,0x5c4005ff,0xeffffffe,
    0x3ffa000b,0x3ffe602f,0x7ffec00f,0x017ffdc0,0x3613ffe2,0xf0000eff,
    0xfd8009ff,0x3f602fff,0x4c402fff,0xffff5000,0x0037ffc4,0x000ffff3,
    0xfffd0335,0xf0188001,0xfb000fff,0x3ffe25ff,0x3fff9005,0x2bfff100,
    0x2005fff8,0xff12fffb,0xfff800bf,0xffff1006,0x1bffe003,0x8ffffc40,
    0xf305fff8,0x2a005fff,0xfffffffd,0x7fcc000c,0x200004ff,0x6ffbcfff,
    0xff3fff70,0x7fc4003f,0x3ffea2ff,0x2a00000f,0xfffaafff,0x3f6a0001,
    0x1cffffff,0xdffffc80,0xffff9309,0x9fff100d,0xd80dffb0,0xfffa86ff,
    0x3ffe0001,0x3ffe6004,0xfffd802f,0x05fff505,0xa87fff40,0x2e004fff,
    0x2002ffff,0x7ec6fff9,0x7f4004ff,0x3fffa1ff,0x3ffe6003,0x017ffe27,
    0x400fffe4,0xff15fff8,0x7fdc00bf,0x0bfff12f,0x01ffff80,0x01ffffd8,
    0x003ffff0,0x223ffffb,0x3f205fff,0xf7100fff,0x5dffffff,0x3ffa2000,
    0x6400005f,0x04ffdeff,0xfffbfff3,0x4fffd800,0x005fffd8,0x6e7ffc00,
    0x100006ff,0xfffffff9,0x3ffee05b,0xffffffff,0x804fffff,0x7c40fffa,
    0xfff303ff,0x009ffd03,0x004fff80,0xb0017fd4,0x7ffcc0bf,0xdfff1005,
    0x8037ffdc,0x0efffff8,0x87fffb00,0x001ffff9,0xfa8dfff7,0x3f6006ff,
    0x3ffe25ff,0x3fff9005,0x2bfff100,0x2005fff8,0xff12fffb,0xffd800bf,
    0x7ffe406f,0xffb001ff,0xfffc80df,0xbfff11ff,0x85fffe80,0xfffffffb,
    0x3a20001d,0x00006fff,0xffffffa8,0x3ffffe02,0x3fee004f,0xfff880ef,
    0x1555502f,0xfffff900,0x7000009f,0xfffffffd,0x7ffffdc1,0xffffffff,
    0x804fffff,0xffa85ffc,0x84ffe80f,0x80006ffb,0xa8004fff,0xe8048002,
    0xfc803fff,0x3ffe64ff,0x7ff4401f,0x400effff,0xf907fffb,0xf9801dff,
    0xffd83fff,0xfffb805f,0x17ffe21f,0x00fffe40,0xf8afffc4,0x3ee005ff,
    0xbfff12ff,0xffff9800,0x3ff6a22c,0x5001ffff,0x215bffff,0xfffffda8,
    0x0bfff11f,0x42ffffa8,0x0cfffffc,0xfffd8000,0xaaa9999f,0x2aaaaaaa,
    0x7fffffc0,0x3ffff600,0xfff3002f,0x7ffdc05f,0x2ffff80f,0xfffff980,
    0x2000000f,0x0fffffd9,0xb37ffff1,0x3bffffff,0x805ffff5,0xfd81ffe8,
    0x437fd44f,0x0001fff8,0x0004fff8,0x7dc00000,0xf700cfff,0xfff83fff,
    0xfeb980df,0xefffebff,0x7ffe440a,0xffff102f,0xfff9305f,0x3ffe60df,
    0xffd881ef,0x7ffc43ff,0x3fff9005,0x2bfff100,0x2005fff8,0xff12fffb,
    0xffd000bf,0xfffdffff,0x03fff3df,0x7fffff40,0x9effffef,0xfff11fff,
    0xffff900b,0x0177fe41,0xffff1000,0xffffffff,0xffffffff,0x6ffffd80,
    0x3ffffdc0,0x09fffd00,0xf0bfffb0,0x3a005fff,0x0006ffff,0xfff91000,
    0x221ffd41,0x7d40aba9,0x3553004f,0xaa855510,0x01aa880a,0x09fff000,
    0x00000000,0xbdfffff9,0x7fffffdb,0xbfffff50,0xbfffffb9,0x3ffffa21,
    0xffffedef,0x7ffd403f,0xfffdefff,0x2e00efff,0xddffffff,0x85ffffff,
    0x9005fff8,0xf1003fff,0x3ffe2bff,0x3ffee005,0x00bfff12,0xfffffb10,
    0x3e6bffff,0x362001ff,0xffffffff,0x23fff35f,0x8805fff8,0x3725ffff,
    0xf8800001,0xffffffff,0xffffffff,0x7fdc07ff,0x7fcc04ff,0xff9005ff,
    0xff1001ff,0xffff87ff,0xffff7002,0x00000005,0x003a81d7,0x000012a0,
    0x00000000,0x00000000,0xffffb000,0xffffffff,0x7fffdc03,0x3fffffff,
    0xffffffb0,0x007fffff,0x3fffff62,0x0effffff,0xffffe980,0x3fffffff,
    0x00bfff10,0x2007fff2,0xff15fff8,0x7fdc00bf,0x0bfff12f,0x7fff5c00,
    0x3fe63eff,0xfeb8001f,0x263effff,0xfff11fff,0x3ffea00b,0x8000002f,
    0xfffffff8,0xffffffff,0x4407ffff,0xf802ffff,0xf9802fff,0x2e002fff,
    0x3fe1ffff,0xff1002ff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffffb3,0xb30019df,0x9dffffff,0xfffdb803,0x000cffff,
    0xfffffeb8,0xb8002eff,0xfffffffe,0x3ffe200c,0x3fff9005,0x2bfff100,
    0x2005fff8,0xff12fffb,0x310000bf,0x00000135,0x0009a988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0dd54c40,0x37531000,0x55d44000,0x2a600001,
    0x000009ab,0x00035753,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x70000199,0x2a000fff,0x001ccddc,0x0079dd97,0x9300eea8,
    0x880599d9,0x02ceeedc,0x10000000,0x00000fff,0x0aaaa800,0x019bdb70,
    0x55415555,0x2aaaa1aa,0x401aa880,0x0bceecb9,0xccb8e200,0x332600cc,
    0x2aaaa1cc,0x33333310,0x65433333,0x666540cc,0x55555530,0x55555555,
    0x55555555,0x44444355,0x88888888,0x88888888,0x00000888,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff1000,0xffd00003,0x7fc4007f,
    0x04ffffff,0x3fffffa6,0xffb801ef,0x7fff440f,0xc81effff,0xffffffff,
    0x7fffe40e,0xffffffff,0xffffffff,0x2037fc00,0xfffffffc,0xffffffff,
    0x3e0fffff,0x7f4c2fff,0x7c3fffff,0x3ffa2fff,0x3ffff13f,0x5c03ff90,
    0xffffffff,0x97a600be,0x203ffff9,0x7fc5fffe,0xffff92ff,0x1fffffff,
    0xfb07fff2,0x3fff23ff,0xffffffff,0xffffffff,0xf96fffff,0xffffffff,
    0xffffffff,0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x0003ffff,0x06ffffa8,0xbbfffd10,0xf309ffff,0xffffffff,
    0x7ffe403f,0x7ffff40f,0x20fffffe,0xecdffffb,0x7fe46fff,0xffffffff,
    0xffffffff,0x2ffc00ff,0x3fffff20,0xffffffff,0x0fffffff,0xe88bfffe,
    0xfffdbeff,0xe8bfffe2,0xfff13fff,0x40ffd03f,0xfffffffd,0x89dfffff,
    0x545ffda8,0xfa80ffff,0x7ffc0fff,0xfffff92f,0x21ffffff,0x7ec1fffc,
    0xffff91ff,0xffffffff,0xffffffff,0x3f2dffff,0xffffffff,0xffffffff,
    0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x0001ffff,0x17ffffec,0x2077fdc0,0xffe86ffd,0xfffc88cf,0xffffea85,
    0x8bffee0f,0xf13fffb8,0xfff307ff,0x7ffffe43,0xffffffff,0x0fffffff,
    0x989fd06a,0x3fffff22,0xffffffff,0x0fffffff,0xfc8bfffe,0x87ff442f,
    0x3fa2ffff,0xffff13ff,0xbffff883,0x3ffffe20,0xffffffff,0xffffffff,
    0x83fffc85,0xff81fffe,0xffff92ff,0x1fffffff,0xfb07fff2,0x2eee63ff,
    0xbbbbbbbb,0xbbbbbbbb,0xb72bbbbb,0xbbbbbbbb,0xbbbbbbbb,0x9bbbbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x0003ffff,
    0x7ff7ffcc,0x82dba805,0x7fd47ffa,0x2fff880f,0x3ff7fff2,0x413ff60f,
    0xdfb35ffe,0x9517fec0,0x99999999,0x99999999,0x77fc1999,0xfd719fb3,
    0x6666654d,0xcccccccc,0x0fffdccc,0xff8bfffe,0x3e5ff505,0x3ffa2fff,
    0x3ffff13f,0x6ffeba88,0x26b3ffe2,0xfffffeba,0x4fffffff,0xf98dffb0,
    0xffff03ff,0x333332a5,0x70cccccc,0xeec83ddd,0x0000001e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x64000199,
    0x1fff9eff,0x27fec000,0xfc80fff2,0x7477f64f,0x360080ff,0x320083ff,
    0x000003ff,0xdfffff50,0x3fffffdf,0x7fdc0000,0x4bfffe0f,0x3fa01ff8,
    0x745ffff3,0x0ff83fff,0x44bffe20,0x3f2600df,0xffffffff,0xb17ff403,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf1000000,0x13ffa5ff,0x3ffb2600,0x00ffec0e,
    0x20dcbff5,0x22000ffe,0x53100fff,0x07ffffb9,0x32600000,0xfffffffe,
    0x0001ceff,0xf83ffee0,0x3ff11fff,0xffe9ff40,0x0bfff61f,0xffb80ff3,
    0x4400912f,0x0bdefedb,0x2a1aa880,0x0000002a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0x99999999,
    0x99999999,0xf7009999,0x07ffdcff,0x13fff600,0xf300fffc,0x0ffe80df,
    0x0bffd100,0xffffffd7,0x00007fff,0xffb51000,0x0000039f,0xfd07ffdc,
    0x505ff8ff,0x3fff25ff,0x707fff20,0x7f66d4bf,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff5000,0xffffffff,0xffffffff,0x893ffe05,0x7c003fff,
    0x7c0cffff,0x3fe600ff,0x007ff407,0x2077ffd4,0xdffffffe,0x0003ffdc,
    0xfff30000,0x000003ff,0xf907ffdc,0x41ffc8df,0xff70ffe8,0x4c7ffa8f,
    0x3fff23ff,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffea000,0xffffffff,
    0xffffffff,0x1fffa82f,0x4003ffe4,0x747ffca8,0x3fea01ff,0x007ff406,
    0x903bfff2,0xc815bfff,0x000003ff,0xf9fff980,0x000000ff,0x7dc1fff7,
    0x77ffc45f,0x2a2fffdb,0x37fcc5ff,0xfeb8bff1,0x0000beef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffd4000,0xffffffff,0xffffffff,0x86ffe82f,0x0002fff9,
    0xffd8bffa,0x013fee03,0x36201ffd,0xffd04fff,0x51fff409,0x99999999,
    0x99999999,0xe8819999,0x1dff93ff,0xff700000,0x41ffcc1f,0xffffffe9,
    0x7c27fc43,0x0001ec5f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0xaaaaaaaa,
    0xaaaaaaaa,0x7cc0aaaa,0xdffd02ff,0x3ff20080,0xe81bfee5,0x7ff403ff,
    0x2fffe980,0x5c0bffe0,0x3ff23fff,0xffffffff,0xffffffff,0x37fe40ff,
    0x00013ffa,0x883ffee0,0x3f6e01ee,0x05db00ce,0x000007db,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff60000,0x07ffee07,0xf103fff1,0x7ffc49ff,
    0x1bffaa2d,0xf303ffa0,0xfd803dff,0xffffa85f,0x3fffff24,0xffffffff,
    0x0fffffff,0x27cc1fc8,0xffb80000,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x44001999,0x7fc04fff,0x1effd85f,0x50bfff66,
    0xffddffff,0xffd005ff,0x4f7ffc41,0x50999999,0xffbbffff,0x7e49ffff,
    0xffffffff,0xffffffff,0x20300fff,0x2e000001,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ffff10,0x00fffe40,0xf303fff2,
    0xffffffff,0x3ffee0bf,0x002fffff,0x7fec1ffd,0xffffffff,0x3ffff66f,
    0x6ff8bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff880000,0xff1001ff,0xfff300df,0xffffd309,0xd8809fff,
    0x000ceffe,0x7fc43ffa,0xffffffff,0x7f6d46ff,0x0332e0cd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff10000,
    0x3fee003f,0xfffb002f,0x2f32e601,0x0000000a,0x55442aaa,0xaaaaaaaa,
    0x000002aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffc4000,0x3331001f,0x00ccc400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33000000,0x00000033,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_49_latin_ext_x[560]={ 0,3,2,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,2,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,1,1,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-3,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,4,1,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
4,1,1,0,1,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,3,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,4,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,2,3,4,4,2,1,-3,3,2,2,3,1,3,
-1,3,2,3,2,0,0,3,2,3,2,3,2,2,3,2,2,1,2,1,2,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,2,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,-1,-2,2,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,0,1,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_49_latin_ext_y[560]={ 39,7,7,7,4,7,7,7,7,7,7,13,34,25,
34,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,44,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,20,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,16,7,7,12,7,
7,7,7,7,7,17,16,25,7,2,7,12,7,7,7,16,7,21,38,7,7,17,7,7,7,16,-1,-1,-1,0,
1,0,7,7,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,14,6,-1,-1,-1,1,-1,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,14,14,7,7,7,7,7,7,7,
2,9,0,7,7,15,-1,7,-1,7,0,8,-1,7,-1,7,7,7,1,9,-1,7,0,8,7,15,-1,7,-1,7,
0,7,1,8,7,5,-1,-1,7,7,0,7,2,9,0,7,7,7,0,16,7,7,-1,7,7,7,16,-1,0,7,
7,7,7,7,7,7,7,-1,7,7,15,-1,7,7,7,15,1,9,-1,7,-1,7,7,15,-1,7,7,15,-1,7,
-1,7,-1,7,7,15,-1,7,7,8,-1,7,7,8,0,7,1,9,0,7,-1,6,-1,7,7,16,-1,7,-1,7,
1,-1,7,0,8,-1,7,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,7,11,11,7,11,11,11,
11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,7,-1,7,-1,
7,-1,7,-1,1,-1,-1,-1,-1,-1,-1,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-3,-1,7,-1,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_49_latin_ext_w[560]={ 0,6,12,24,22,35,28,6,12,12,15,22,6,13,
6,13,22,13,22,22,23,22,22,21,22,22,6,6,22,22,22,22,41,31,24,28,27,24,22,30,26,5,18,27,
20,31,26,31,25,32,29,26,25,26,29,41,29,29,26,10,13,10,19,26,9,22,21,21,21,22,14,21,20,5,
10,20,5,32,20,22,21,21,14,20,12,20,22,32,22,22,21,13,4,13,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,21,24,22,26,
4,22,13,33,15,20,22,13,33,26,13,22,14,14,9,19,24,6,10,9,16,20,34,34,36,21,31,31,31,31,
31,31,42,28,24,24,24,24,9,8,14,13,31,26,31,31,31,31,31,20,32,26,26,26,26,29,25,23,22,22,
22,22,22,22,37,21,22,22,22,22,9,8,15,13,22,20,22,22,22,22,22,22,23,20,20,20,20,22,21,22,
31,22,31,22,35,27,28,21,28,21,28,21,28,21,27,27,31,24,24,22,24,22,24,22,24,22,24,22,30,21,
30,21,30,21,30,21,26,20,31,22,15,15,14,14,14,14,10,10,6,5,26,15,23,15,27,20,20,20,9,20,
11,20,11,20,13,23,10,26,20,26,20,26,20,25,27,20,31,22,31,22,31,22,41,39,29,14,29,14,29,15,
26,20,26,20,26,20,26,20,25,12,25,17,25,12,26,20,26,20,26,20,26,20,26,20,26,25,41,32,29,22,
29,26,21,26,21,26,21,11,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,35,27,23,23,23,23,23,23,23,23,23,23,23,23,23,33,27,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,22,14,14,31,
22,26,20,26,20,26,20,26,20,26,20,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,31,22,42,37,32,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_49_latin_ext_h[560]={ 0,32,12,33,40,34,33,12,42,42,14,21,12,5,
5,33,33,32,32,33,32,32,33,31,33,33,23,30,23,15,23,32,42,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,35,32,33,32,33,32,32,32,32,32,41,33,41,18,4,7,25,33,25,33,25,32,34,32,32,
42,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,42,42,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,41,33,22,32,
42,42,5,33,17,21,14,5,33,4,12,27,17,17,7,32,41,5,11,17,17,21,34,34,34,33,40,40,40,39,
38,39,32,42,40,40,40,38,40,40,40,38,32,39,41,41,41,40,39,19,35,41,41,41,39,40,32,33,33,33,
33,33,33,34,25,33,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,19,27,33,33,33,33,42,41,42,
37,31,39,33,41,33,41,33,41,33,40,32,41,33,40,33,32,33,38,31,40,33,39,32,42,34,40,33,41,42,
40,42,39,41,42,44,40,40,32,32,39,32,37,30,39,32,42,42,39,23,33,42,41,42,42,42,23,40,39,42,
42,32,32,32,32,32,32,40,32,42,34,40,32,32,33,34,39,31,41,33,41,33,33,25,40,32,42,34,40,32,
41,33,41,33,41,33,41,33,45,43,40,33,32,32,40,33,39,31,40,33,41,34,41,33,42,33,40,32,40,42,
38,40,32,39,31,40,32,32,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,33,28,28,42,28,28,28,
28,28,28,28,28,28,28,28,28,28,33,25,28,28,28,28,28,28,28,28,28,28,28,28,28,33,24,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,40,33,40,32,41,
33,41,33,41,39,41,41,41,41,41,41,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,45,43,40,33,42,34,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__arial_49_latin_ext_s[560]={ 510,1,200,80,422,345,116,179,85,121,140,
464,213,282,275,494,335,470,484,216,114,31,262,187,425,482,346,313,376,117,245,
14,182,37,69,181,94,122,160,394,183,210,257,237,265,286,485,229,345,125,1,
202,138,175,54,371,413,84,443,57,494,158,24,337,255,419,58,482,490,60,470,
404,216,8,392,324,318,106,139,83,468,446,160,1,147,203,353,290,323,423,268,
367,150,415,231,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,510,505,478,
232,399,344,306,333,296,358,101,422,156,282,1,310,186,344,86,44,265,78,200,
501,220,76,59,443,289,217,252,210,284,445,477,148,419,297,414,1,230,205,346,
476,500,316,492,1,346,195,126,337,251,173,329,487,92,283,224,310,222,89,371,
70,47,24,1,471,448,381,22,372,349,326,303,280,233,293,277,456,158,212,112,
89,187,45,22,1,367,461,440,419,398,466,369,98,45,164,116,239,471,252,28,
145,68,376,255,142,97,1,417,23,46,162,451,252,371,312,57,98,177,173,1,
135,169,202,31,311,361,375,224,59,119,325,1,307,281,330,77,298,180,261,356,
381,82,504,285,161,55,450,278,489,224,396,47,429,403,302,397,435,400,457,501,
146,323,134,324,62,121,409,188,450,249,275,79,51,111,471,74,442,296,292,55,
158,143,276,1,1,451,120,397,68,348,210,33,81,227,358,481,33,200,231,89,
231,173,167,28,196,444,141,155,94,353,164,1,255,15,326,378,392,209,395,255,
243,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,392,320,320,30,
320,320,320,320,320,320,320,320,320,320,320,320,320,139,391,320,320,320,320,320,
320,320,320,320,320,320,320,320,105,175,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,445,35,
477,197,412,335,225,276,252,26,300,391,424,327,1,279,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,1,94,253,297,117,426,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,320,
320,320,320,320,320,320,320,320,320, };
static unsigned short stb__arial_49_latin_ext_t[560]={ 1,464,556,397,132,256,295,556,47,47,556,
530,556,556,556,256,295,431,431,295,497,497,295,497,329,295,530,497,530,556,530,
464,1,464,464,329,464,464,464,329,464,464,363,464,464,464,464,397,464,256,497,
397,497,397,497,464,464,497,464,90,329,90,556,556,556,497,397,497,363,530,464,
256,464,464,1,464,464,530,530,530,363,363,530,530,464,530,530,530,530,363,530,
1,1,1,556,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,1,295,90,
363,530,431,1,1,556,363,556,530,556,556,397,556,556,497,556,556,556,431,90,
248,556,556,556,530,256,256,256,363,174,174,174,215,215,215,397,47,174,174,174,
215,90,174,132,256,397,215,90,47,47,174,215,530,256,47,47,47,215,174,431,
363,363,363,363,329,329,256,530,329,329,329,329,329,431,431,431,431,329,431,329,
329,363,329,329,556,497,295,295,295,295,1,47,47,256,497,215,295,47,329,90,
295,90,295,174,431,90,295,174,295,431,363,215,497,174,295,215,431,47,256,215,
329,90,47,174,1,215,90,1,1,174,174,431,397,215,397,256,497,215,397,1,
1,215,497,295,47,132,1,1,1,530,174,215,1,1,431,431,431,397,397,215,
174,431,47,256,174,431,431,295,256,215,497,132,295,132,256,295,497,132,397,47,
256,132,397,132,329,90,363,90,329,90,329,1,1,132,295,397,431,132,329,215,
497,132,295,132,256,47,363,1,363,132,431,174,1,256,132,397,215,497,132,431,
431,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,363,497,497,47,
497,497,497,497,497,497,497,497,497,497,497,497,497,397,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,397,530,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,132,397,
132,431,47,363,90,363,90,215,90,47,90,90,90,90,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,1,1,132,363,1,256,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497, };
static unsigned short stb__arial_49_latin_ext_a[560]={ 195,195,249,390,390,624,468,134,
234,234,273,410,195,234,195,195,390,390,390,390,390,390,390,390,
390,390,195,195,410,410,410,390,712,468,468,507,507,468,429,546,
507,195,351,468,390,585,507,546,468,546,507,468,429,507,468,662,
468,468,429,195,195,195,329,390,234,390,390,351,390,390,195,390,
390,156,156,351,156,585,390,390,390,390,234,351,195,390,351,507,
351,351,351,234,182,234,410,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,195,234,390,390,390,390,182,390,
234,517,260,390,410,234,517,388,281,385,234,234,234,404,377,195,
234,234,256,390,585,585,585,429,468,468,468,468,468,468,702,507,
468,468,468,468,195,195,195,195,507,507,546,546,546,546,546,410,
546,507,507,507,507,468,468,429,390,390,390,390,390,390,624,351,
390,390,390,390,195,195,195,195,390,390,390,390,390,390,390,385,
429,390,390,390,390,351,390,351,468,390,468,390,468,390,507,351,
507,351,507,351,507,351,507,431,507,390,468,390,468,390,468,390,
468,390,468,390,546,390,546,390,546,390,546,390,507,390,507,390,
195,195,195,195,195,195,195,156,195,195,516,311,351,156,468,351,
351,390,156,390,156,390,205,390,234,390,156,507,390,507,390,507,
390,424,507,390,546,390,546,390,546,390,702,662,507,234,507,234,
507,234,468,351,468,351,468,351,468,351,429,195,429,263,429,195,
507,390,507,390,507,390,507,390,507,390,507,390,662,507,468,351,
468,429,351,429,351,429,351,156,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,528,526,526,390,526,526,526,526,526,
526,526,526,526,526,526,526,526,602,460,526,526,526,526,526,526,
526,526,526,526,526,526,526,599,470,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,468,390,195,156,546,390,507,390,507,390,507,
390,507,390,507,390,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,468,390,702,624,546,429,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_49_latin_ext(stb_fontchar font[STB_FONT_arial_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_49_latin_ext_s[i] + stb__arial_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_49_latin_ext_t[i] + stb__arial_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_49_latin_ext_x[i];
            font[i].y0 = stb__arial_49_latin_ext_y[i];
            font[i].x1 = stb__arial_49_latin_ext_x[i] + stb__arial_49_latin_ext_w[i];
            font[i].y1 = stb__arial_49_latin_ext_y[i] + stb__arial_49_latin_ext_h[i];
            font[i].advance_int = (stb__arial_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_49_latin_ext_s[i] + stb__arial_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_49_latin_ext_t[i] + stb__arial_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_49_latin_ext_x[i] + stb__arial_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_49_latin_ext_y[i] + stb__arial_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_49_latin_ext_LINE_SPACING
#endif

